$( set.mm - Version of 20-Aug-2008

This is a preproduction version of set.mm with the latest changes.
The last "official" version is found in the download:
http://us2.metamath.org:8888/downloads/metamath.zip (17-Aug-2008)

#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
    Metamath source file for logic, set theory, numbers, and Hilbert space
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#

                           ~~ PUBLIC DOMAIN ~~

This file is placed in the public domain per the Creative Commons Public
Domain Dedication:  http://creativecommons.org/licenses/publicdomain/
The public domain release applies worldwide.  In case this is not
legally possible, the right is granted to use the work for any purpose,
without any conditions, unless such conditions are required by law.

Norman Megill - email: nm(at)alum(dot)mit(dot)edu - http://metamath.org

Contributor list:

SA Stefan Allan         DH David Harvey           MO Mel L. O'Cat
JA Juha Arpiainen       J2 Jeff Hoffman           JO Jason Orendorff
GB Gregory Bush         SJ Szymon Jaroszewicz     JP Josh Purinton
PC Paul Chapman         RL Raph Levien            SR Steve Rodriguez
SF Scott Fenton         FL Frederic Line          AS Alan Sare
JH Jeffrey Hankins      R2 Roy F. Longton         ES Eric Schmidt

"A thing of beauty is a joy forever." - Keats

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                          Contents of this header
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

1. Recent label changes
2. Finding shorter proofs
3. Bibliography
4. Quick "How To"
5. Metamath syntax summary
6. Other notes

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                          1. Recent label changes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

This is part of an ongoing project to improve naming consistency.  If you are
using an older version of set.mm as the base for your project, you should
review the following changes before updating to this version.  If you want to
create an automated script, you can make can make global substitutions into
your database by processing the ones *without* "Notes" in *reverse* order,
starting backwards from the date of the set.mm version you used.  When doing
global substitutions, match a space or beginning-of-line before the label and a
space or end-of-line after the label.  The ones *with* "Notes" must be
processed manually.

If you have suggestions for better names, let me know.

IMPORTANT:  Except for general-purpose utility theorems, I often do not
include label changes of theorems first added in the past year, because the
current work in progress is subject to frequent changes.  If you are using
theorems from a new section being developed, let me know.  Currently I do not
include label changes in the Hilbert space section, since as far as I know I am
the only one using it.

Date      Old       New         Notes

18-Aug-08 divcan2    [--same--] changed hyp. order; swapped var. names
18-Aug-08 divcan1t   [--same--] changed antecendent order; swapped var. names
18-Aug-08 divcan1z   [--same--] changed hyp. order; swapped var. names
18-Aug-08 divcan1    [--same--] changed hyp. order; swapped var. names
17-Aug-08 ltmuldiv2t [--same--]  changed antecedent grouping
17-Aug-08 ltdivmult [--same--]  changed antecedent grouping
17-Aug-08 ledivmult [--same--]  changed antecedent grouping
17-Aug-08 ltdivmul2t [--same--]  changed antecedent grouping
17-Aug-08 ledivmul2t [--same--]  changed antecedent grouping
17-Aug-08 lemuldivt [--same--]  changed antecedent grouping
17-Aug-08 lemuldiv2t [--same--]  changed antecedent grouping
16-Aug-08 ltmuldivt [--same--]  changed antecedent grouping
15-Aug-08 bii       dfbi1
15-Aug-08 biigb     dfbi1gb
15-Aug-08 bi        dfbi2
15-Aug-08 dfbi      dfbi3
14-Aug-08 lediv1t   [--same--]  changed antecedent grouping
14-Aug-08 ltdiv1t   [--same--]  changed antecedent grouping
10-Jul-08 expne0t   [--same--]  swapped biconditional
10-Jul-08 sq0t      sqeq0t
10-Jul-08 sq00      sqeq0
 7-Jul-08 syl3dan3  syld3an3
 7-Jul-08 syl3dan2  syld3an2
31-May-08 isnvi     [--same--]  eliminated hypotheses G e. V, S e. V
31-May-08 isnvg     ---         obsolete; use isnv
31-May-08 isvcg     ---         obsolete; use isvc
31-May-08 ideq      [--same--]  eliminated hypothesis A e. V
31-May-08 ideqg     [--same--]  eliminated first antecedent A e. C
28-May-08 opelxpex  ---         obsolete; use opelxp1
22-May-08 ax9a      ax9
22-May-08 ax9       ax9o
21-May-08 ax6-2     ax6
21-May-08 ax6-3     ax6o
21-May-08 ax-6      ax-6o
21-May-08 ax-5      ax-5o
17-May-08 ax-10     ax-10o
16-May-08 er2       dfer2
16-May-08 er2       dfer2
16-May-08 sb7       dfsb7
13-May-08 cla4e2v   cla42ev
13-May-08 cla4e2gv  cla42egv
12-May-08 a4w1      a4eiv
12-May-08 a4w       a4imev
12-May-08 a4c1      a4imed
12-May-08 a4c       a4ime
12-May-08 a4b1      a4v
12-May-08 a4b       a4imv
12-May-08 a4at      a4imt
12-May-08 a4a       a4im
11-May-08 sbea4     a4sbe
11-May-08 sbia4     a4sbim
11-May-08 sbba4     a4sbbi
 6-May-08 inf4      axinf2
 6-May-08 minfnre   mnfnre
27-Apr-08 sb6y      sb6f
27-Apr-08 sb5y      sb5f
17-Apr-08 sbn2      ---         obsolete; use sbn
17-Apr-08 sbn1      ---         obsolete; use sbn
 9-Apr-08 isvci     [--same--]  weakened hyp from G : ... to dom G = ...
 9-Apr-08 isabli    [--same--]  weakened hyp from G : ... to dom G = ...
 2-Apr-08 19.2      [--same--]  generalized to use 2 set variables
30-Mar-08 grprn     [--same--]  weakened hyp from G : ... to dom G = ...
11-Mar-08 absefimt  absefit
11-Mar-08 axcnre    [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 cnegextlem2 [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 cnegext   [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 recextlem1 [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 recextlem2 [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 recext    [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 crulem    [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 cru       [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 crut      [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 crne0     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 crmul     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 crrecz    [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 creur     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 creui     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 rimul     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 df-re     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 df-im     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 revalt    [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 imvalt    [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 replimt   [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 df-cj     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 cjvalt    [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 replim    [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 crret     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 crimt     [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 crre      [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 crim      [--same--]  changed 'x. i' to 'i x.'
11-Mar-08 efit4pt   efi4pt      changed 'x. i' to 'i x.'
10-Mar-08 fabex     [--same--]  added 3rd hypothesis
 6-Mar-08 pm2.36    [--same--]  corrected to match Principia Mathematica
 6-Mar-08 pm2.37    [--same--]  corrected to match Principia Mathematica
 6-Mar-08 pm2.38    [--same--]  corrected to match Principia Mathematica
 2-Mar-08 csbiet    csbiegft
 2-Mar-08 csbie2g   csbie2t
 2-Mar-08 vsbcint   sbhyp
 2-Mar-08 cbvsbcv   cbvralsv
 1-Mar-08 sbcrex    sbcrexg
 1-Mar-08 sbcral    sbcralg
 1-Mar-08 19.23g    19.23t
 1-Mar-08 19.21g    19.21t
 1-Mar-08 minusex   negex
 1-Mar-08 negext    cnegext
 1-Mar-08 negex     cnegex
29-Feb-08 hbneq     hbne
29-Feb-08 hbne      hbn
29-Feb-08 csbiet    csbiegft
29-Feb-08 sbciet    sbciegft
29-Feb-08 elabt     elabgt
29-Feb-08 vtoclefg  vtoclegft
23-Feb-08 sqdif0    subsq0
23-Feb-08 binom2a   ---         obsolete; use subsq
12-Feb-08 cnhl      [--same--]  added hypothesis to assign vector space to var
 9-Feb-08 oneirr    onirr
 9-Feb-08 ordeirr   ordirr
 9-Feb-08 eirr      elirr
 9-Feb-08 eirrv     elirrv
29-Jan-08 oibabs    [--same--]  swapped sides of biconditional
24-Jan-08 cos2t     ---         obsolete; use cos2tt
20-Jan-08 ffvrni    ffvelrni
20-Jan-08 ffvrn     ffvelrn
20-Jan-08 fnfvrn    fnfvelrn
20-Jan-08 fvrn      fvelrn
20-Jan-08 fvelrn    fvelrnb
18-Jan-08 arch      [--same--]  changed x to n, changing $f hypothesis order
18-Jan-08 cos1lem4  8th4div3
18-Jan-08 eftlex    ---         obsolete; use eftlext
18-Jan-08 sin2t     ---         obsolete; use sin2tt
15-Jan-08 explt1t   expord2t
15-Jan-08 eft0vallem eft0val
15-Jan-08 effsumlelem ---       obsolete; use reeftclt
15-Jan-08 eftvallem eftval
15-Jan-08 efpartex  eftlex
15-Jan-08 efcltlem4 efseq0ex
15-Jan-08 efcltlem2a ef0lem
15-Jan-08 dfef2lem  dfef2
15-Jan-08 efcltlem3 efseq1ex
15-Jan-08 eftcltlem eftclt
15-Jan-08 eftabslem eftabs
12-Jan-08 rgen2xxx  rgen2a
12-Jan-08 rgen2a    rgen2
12-Jan-08 rgen2     rgen2xxx
12-Jan-08 cnbn      [--same--]  added hypothesis to assign vector space to var
12-Jan-08 cnph      [--same--]  added hypothesis to assign vector space to var
12-Jan-08 cnims     [--same--]  reorganized hypotheses and conclusion
14-Jan-08 rgen3     [--same--]  generalized for 3 different class variables
12-Jan-08 cnnv      [--same--]  added hypothesis to assign vector space to var
10-Jan-08 zneo      [--same--]  changed -. ... = to =/=
 3-Jan-08 ax7-467   ax467to7
 3-Jan-08 ax6-467   ax467to6
 3-Jan-08 ax4-467   ax467to4
 3-Jan-08 ax6-67    ax67to6
 3-Jan-08 ax7-67    ax67to7
 3-Jan-08 ax4-46    ax46to4
 3-Jan-08 ax5-46    ax46to5
29-Dec-07 eftvallem [--same--]  added hypothesis
22-Dec-07 zfnuleu   [--same--]  added $e hypothesis to remove ax-nul dependency
 8-Dec-07 supxrre2  [--same--]  changed -. ... = to =/=
23-Nov-07 sub4      addsub4
23-Nov-07 sub4t     addsub4t
17-Nov-07 climres   [--same--]  generalized antecedent from A e. CC to A e. B
12-Nov-07 climle    climcmp
11-Nov-07 eqneqi    necon3bii
11-Nov-07 eqneqd    necon3bid
10-Nov-07 ser0cj    [--same--]  weakened hypotheses
 9-Nov-07 ser1cj    ---         obsolete; derive from serzcj (as in ser0cj)
 9-Nov-07 ser0re    ---         obsolete; derive from serzre (as in ser0cj)
 9-Nov-07 ser1re    ---         obsolete; derive from serzre (as in ser0cj)
 8-Nov-07 mp3dan    mp3dan23
23-Oct-07 pm3.27bd  pm3.27bi
23-Oct-07 pm3.26bd  pm3.26bi
16-Oct-07 expbndt   expubndt
16-Oct-07 expge1t   [--same--]  strengthened from N e. NN to N e. NN0
12-Oct-07 kmlem15   [--same--]  changed -. ... = to =/=
12-Oct-07 kmlem14   [--same--]  changed -. ... = to =/=
12-Oct-07 kmlem13   [--same--]  changed -. ... = to =/=
12-Oct-07 kmlem10   [--same--]  changed -. ... = to =/=
12-Oct-07 kmlem9    [--same--]  changed -. ... = to =/=
12-Oct-07 kmlem7    [--same--]  changed -. ... = to =/=
12-Oct-07 kmlem5    [--same--]  changed -. ... = to =/=
12-Oct-07 kmlem4    [--same--]  changed -. ... = to =/=
12-Oct-07 kmlem3    [--same--]  changed -. ... = to =/=
 5-Oct-07 1open     topopn
 5-Oct-07 1clsd     topcld
 3-Oct-07 intss3    ntrss3
 2-Oct-07 isopen3   isopn3
 2-Oct-07 isopen2   isopn2
 2-Oct-07 cmclsopen cmclsopn
 2-Oct-07 snclsd    sncld
 2-Oct-07 clsdlp    cldlp
 2-Oct-07 isclsd3   iscld3
 2-Oct-07 cmntrclsd cmntrcld
 2-Oct-07 clsclsd   clscld
 2-Oct-07 clsdcls   cldcls
 2-Oct-07 unclsd    uncld
 2-Oct-07 intclsd   intcld
 2-Oct-07 iinclsd   iincld
 2-Oct-07 0clsd     0cld
 2-Oct-07 openclsd  opncld
 2-Oct-07 clsdopen  cldopn
 2-Oct-07 clsdss    cldss
 2-Oct-07 isclsd2   iscld2
 2-Oct-07 isclsd    iscld
 2-Oct-07 clsdval   cldval
 2-Oct-07 df-clsd   df-cld
 2-Oct-07 isopn2    isopn4OLD
28-Sep-07 ---       ---         changed math symbol from "floor" to "|_"
26-Sep-07 ser0cl    ser0cl1
26-Sep-07 ser1cl    ser1cl1
25-Sep-07 ser1re2   ser1re
25-Sep-07 ser1re    ser1ref
23-Sep-07 df-fac    [--same--]  swapped arguments of union
23-Sep-07 seqzrnx   seqzrn
23-Sep-07 seqzrn    seqzrn2
23-Sep-07 seqzrn2   seqzrnx
23-Sep-07 seq1rnx   seq1rn
23-Sep-07 seq1rn    seq1rn2
23-Sep-07 seq1rn2   seq1rnx
17-Sep-07 pm2.21nd  pm2.24d
17-Sep-07 pm2.21ni  pm2.24i
16-Sep-07 dvelimf2  dvelimfALT
 8-Sep-07 lemul2it  [--same--]  rearranged antecedent
 8-Sep-07 lemul1it  [--same--]  rearranged antecedent
 7-Sep-07 0vval     0vfval
 4-Sep-07 ---       ---         Many changes after df-ms, described in the
                                  4-Sep-2007 entry of
                                  us.metamath.org/mpegif/mmnotes.txt
 4-Sep-07 elssab    ---         obsolete; use elssabg
 4-Sep-07 nvc       nvvc
 4-Sep-07 ---       ---         changed math symbol from "Met" to "MetSp"
 4-Sep-07 ---       ---         changed math symbol from "CMet" to "CMetSp"
25-Aug-07 fopabco   fopabcos
21-Aug-07 xrltnet   [--same--]  changed -. A = B to B =/= A; triple conjunction
21-Aug-07 lttri2    [--same--]  changed -. A = B to A =/= B
21-Aug-07 lttri2t   [--same--]  changed -. A = B to A =/= B
15-Aug-07 sbccsbg   sbccsb2g
11-Aug-07 recdivt   [--same--]  rearranged antecedent
 9-Aug-07 funopabex2g opabex2g
 9-Aug-07 funopabex2 opabex2
 9-Aug-07 funopabex opabex
 9-Aug-07 cnco      [--same--]  swapped 2nd & 3rd args in 1st triple conj
 6-Aug-07 ---       ---         changed "ncv" to "nv" in the labels of:
                                  cncv df-ncv ncvss ncvrel ncvop ncvvop
                                  isncvg isncvi ncvi ncvv ncvgcl
                                  ncvscl ncvf ncvcl ncvcli ncvdm ncvs
                                  ncvm1 ncvdif ncvpi ncvz0 ncvz ncvtri
                                  ncvabs ncvge0 cnncv cnncv0 elimncvu
                                  ncvnd phncv bnncv hlncv hilncv
 4-Aug-07 subval    ---         obsolete; use subvalt
31-Jul-07 divge0t   [--same--]  rearranged antecedent
31-Jul-07 divgt0t   [--same--]  rearranged antecedent
31-Jul-07 ltne      [--same--]  changed -. A = B to B =/= A
31-Jul-07 ltnet     [--same--]  changed -. A = B to B =/= A; triple conjunction
31-Jul-07 ltlen     [--same--]  changed -. A = B to B =/= A
31-Jul-07 ltlent    [--same--]  changed -. A = B to B =/= A
22-Jul-07 xrleltnet [--same--]  changed -. A = B to B =/= A
20-Jul-07 nngt1ne1t [--same--]  changed -. A = 1 to A =/= 1
18-Jul-07 leltnet   [--same--]  changed -. A = B to B =/= A
15-Ju1-07 zornx     zorn
15-Ju1-07 zorn      zorn2
15-Ju1-07 zorn2     zornx
18-Jun-07 caucvglem2 [--same--]  changed -. S = (/) to S =/= (/)
17-Jun-07 seq1ublem [--same--]  changed -. ... = (/) to =/= (/)
17-Jun-07 suppr     supexpr
17-Jun-07 ruclem33  [--same--]  changed -. ... = (/) to =/= (/)
16-Jun-07 ltrec1t   [--same--]  rearranged antecedent
15-Jun-07 lerec2t   [--same--]  rearranged antecedent
 3-Jun-07 nordeq    [--same--]  changed -. A = B to A =/= B
 3-Jun-07 xpsndisj  [--same--]  changed -. A = B to A =/= B
 2-Jun-07 peano3    [--same--]  changed -. A = (/) to A =/= (/)
 2-Jun-07 disjsn2   [--same--]  changed -. A = B to A =/= B
 2-Jun-07 fun2ssres [--same--]  antecedent changed to use triple conjunction
 2-Jun-07 onelpsst  [--same--]  changed -. A = B to A =/= B
 1-Jun-07 ordelssne [--same--]  changed -. A = B to A =/= B
 1-Jun-07 suprleubi [--same--]  changed -. A = (/) to A =/= (/)
31-May-07 suprnubi  [--same--]  changed -. A = (/) to A =/= (/)
30-Mar-07 onssmin   [--same--]  changed -. A = (/) to A =/= (/)
29-May-07 suprlub   [--same--]  changed -. A = (/) to A =/= (/)
29-May-07 funssfv   [--same--]  antecedent changed to use triple conjunction
29-May-07 limuni3   [--same--]  changed -. A = (/) to A =/= (/)
29-May-07 ordge1n0  [--same--]  changed -. A = (/) to A =/= (/)
28-May-07 onmindif2 [--same--]  changed -. A = (/) to A =/= (/)
28-May-07 suprleub  [--same--]  changed -. A = (/) to A =/= (/)
28-May-07 tz7.7     [--same--]  changed -. B = A to B =/= A
27-May-07 nnullss   [--same--]  changed -. ... = (/) to =/= (/)
27-May-07 supxrre2  [--same--]  changed -. A = (/) to A =/= (/)
27-May-07 fodomfib  [--same--]  changed -. A = (/) to A =/= (/)
26-May-07 supxrre1  [--same--]  changed -. A = (/) to A =/= (/)
24-May-07 supxrgtmnf [--same--]  changed -. A = (/) to A =/= (/)
23-May-07 ltmsqt    ---         obsolete; use msqgt0t
23-May-07 msqgt0    [--same--]  changed -. A = (/) to A =/= (/)
22-May-07 supxrbnd  [--same--]  changed -. A = (/) to A =/= (/)
21-May-07 suprnub   [--same--]  changed -. A = (/) to A =/= (/)
21-May-07 19.3r     ---         obsolete; use 19.3
21-May-07 19.9rv    ---         obsolete; use 19.9v
20-May-07 19.9r     ---         obsolete; use 19.9
17-May-07 iunn0     [--same--]  changed -. ... = (/) to =/= (/)
17-May-07 iinon     [--same--]  changed -. A = (/) to A =/= (/)
17-May-07 map0      [--same--]  changed -. B = (/) to B =/= (/)
16-May-07 infmrcl   [--same--]  changed -. A = (/) to A =/= (/)
16-May-07 suprub    [--same--]  changed -. A = (/) to A =/= (/)
16-May-07 suprcli   [--same--]  changed -. A = (/) to A =/= (/)
16-May-07 suprubi   [--same--]  changed -. A = (/) to A =/= (/)
16-May-07 suprlubi  [--same--]  changed -. A = (/) to A =/= (/)
14-May-07 sup3i     [--same--]  changed -. A = (/) to A =/= (/)
13-May-07 kmlemxx   kmlem8      changed -. ... = (/) to =/= (/)
13-May-07 kmlem8    kmlem9
13-May-07 kmlem9    kmlem10
13-May-07 kmlem10   kmlem11
13-May-07 kmlem11   kmlem12     changed -. ... = to =/=
13-May-07 kmlem12   kmlem13     changed -. ... = to =/=
13-May-07 kmlem13   kmlemxx
13-May-07 supxrre   [--same--]  changed -. A = (/) to A =/= (/)
13-May-07 infmsup   [--same--]  changed -. A = (/) to A =/= (/)
13-May-07 suprcl    [--same--]  changed -. A = (/) to A =/= (/)
12-May-07 kmlem1    [--same--]  changed -. ... = to =/=
12-May-07 kmlem3    [--same--]  changed -. ... = to =/=
12-May-07 kmlem6    [--same--]  changed -. ... = to =/=
12-May-07 kmlem7    [--same--]  changed -. ... = to =/=
11-May-07 infm3     [--same--]  changed -. A = (/) to A =/= (/)
11-May-07 sup3      [--same--]  changed -. A = (/) to A =/= (/)
10-May-07 oneqmin   [--same--]  changed -. B = (/) to B =/= (/)
10-May-07 infmssuzcl [--same--]  changed -. S = (/) to S =/= (/)
 5-May-07 xpexr2    [--same--]  changed -. ... = (/) to =/= (/)
 5-May-07 tz7.49c   [--same--]  changed -. ... = to =/=
 4-May-07 tz7.49    [--same--]  changed -. ... = to =/=
 4-May-07 funimass2 [--same--]  conjoined antecedents in hypothesis
 3-May-07 ac4c      [--same--]  changed -. x = (/) to x =/= (/)
30-Apr-07 aceq6b    [--same--]  changed -. z = (/) to z =/= (/)
30-Apr-07 disjpss   [--same--]  changed -. B = (/) to B =/= (/)
30-Apr-07 infxpidmlem10 [--same--]  changed -. g = (/) to g =/= (/)
30-Apr-07 1ne0      [--same--]  changed -. 1o = (/) to 1o =/= (/)
30-Apr-07 ac5b      [--same--]  changed -. x = (/) to x =/= (/)
30-Apr-07 aceq6a    [--same--]  changed -. z = (/) to z =/= (/)
30-Apr-07 on0eln0   [--same--]  changed -. A = (/) to A =/= (/)
28-Apr-07 tz7.2     [--same--]  changed -. B = A to B =/= A; triple conjunction
25-Apr-07 ac5       [--same--]  changed -. x = (/) to x =/= (/)
23-Apr-07 ac4       [--same--]  changed -. z = (/) to z =/= (/)
22-Apr-07 ac8       [--same--]  changed -. ... = to =/=
22-Apr-07 uzwo2     [--same--]  changed -. S = (/) to S =/= (/)
21-Apr-07 aceq5     [--same--]  changed -. ... = to =/=
21-Apr-07 epfrc     [--same--]  -. B = (/) to B =/= (/); triple conjunction
20-Apr-07 dfepfr    [--same--]  changed -. x = (/) to x =/= (/)
19-Apr-07 xpnz      [--same--]  changed -. ... = (/) to =/= (/)
18-Apr-07 ltexprlem1 [--same--]  changed -. C = (/) to C =/= (/)
17-Apr-07 uzwo      [--same--]  changed -. S = (/) to S =/= (/)
17-Apr-07 aceq4     [--same--]  changed -. z = (/) to z =/= (/)
17-Apr-07 prn0      [--same--]  changed -. A = (/) to A =/= (/)
15-Apr-07 elni      [--same--]  changed -. A = (/) to A =/= (/)
14-Apr-07 aceq3lem  [--same--]  changed -. z = (/) to z =/= (/)
14-Apr-07 aceq3     [--same--]  changed -. z = (/) to z =/= (/)
13-Apr-07 tpnz      [--same--]  changed -. ... = (/) to =/= (/)
13-Apr-07 0nep0     [--same--]  changed -. (/) = { (/) } to (/) =/= { (/) }
12-Apr-07 1cn       ax1cn
12-Apr-07 ax1re     1re
11-Apr-07 zfreg     [--same--]  changed -. A = (/) to A =/= (/)
11-Apr-07 zfreg2    [--same--]  changed -. A = (/) to A =/= (/)
11-Apr-07 inf1      [--same--]  changed -. x = (/) to x =/= (/)
11-Apr-07 inf2      [--same--]  changed -. x = (/) to x =/= (/)
11-Apr-07 zorn2lem6  [--same--]  changed -. H = (/) to H =/= (/)
11-Apr-07 zorn2lem5  [--same--]  changed -. H = (/) to H =/= (/)
11-Apr-07 zorn2lem3  [--same--]  changed -. D = (/) to D =/= (/)
11-Apr-07 zorn2lem2  [--same--]  changed -. D = (/) to D =/= (/)
11-Apr-07 zorn2lem1  [--same--]  changed -. D = (/) to D =/= (/)
11-Apr-07 inf3lem2  [--same--]  changed -. ... = to =/=
11-Apr-07 inf3lem3  [--same--]  changed -. ... = to =/=
11-Apr-07 inf3lem4  [--same--]  changed -. -. x = (/) to x =/= (/)
11-Apr-07 inf3lem5  [--same--]  changed -. -. x = (/) to x =/= (/)
11-Apr-07 inf3lem6  [--same--]  changed -. -. x = (/) to x =/= (/)
11-Apr-07 inf3lem7  [--same--]  changed -. -. x = (/) to x =/= (/)
11-Apr-07 inf3      [--same--]  changed -. -. x = (/) to x =/= (/)
10-Apr-07 htalem    [--same--]  changed -. A = (/) to A =/= (/)
 9-Apr-07 ac3       [--same--]  changed -. z = (/) to z =/= (/)
 9-Apr-07 rnxp      [--same--]  changed -. A = (/) to A =/= (/)
 7-Apr-07 aceq2     [--same--]  changed -. z = (/) to z =/= (/)
 6-Apr-07 tz6.12i   [--same--]  changed -. B = (/) to B =/= (/)
 6-Apr-07 scott0s   [--same--]  changed -. .. = (/) to =/= { (/) }
 6-Apr-07 dmxp      [--same--]  changed -. A = (/) to A =/= (/)
 6-Apr-07 nnsuc     [--same--]  changed -. A = (/) to A =/= (/)
 5-Apr-07 onne0     [--same--]  changed -. On = (/) to On =/= (/)
 5-Apr-07 ord0eln0  [--same--]  changed -. A = (/) to A =/= (/)
 5-Apr-07 wereu     [--same--]  -. B = (/) to B =/= (/); triple conjunction
 3-Apr-07 aceq5lem5 [--same--]  changed -. u = (/) to u =/= (/)
 3-Apr-07 aceq5lem4 [--same--]  changed -. u = (/) to u =/= (/)
 3-Apr-07 aceq5lem3 [--same--]  changed -. u = (/) to u =/= (/)
 3-Apr-07 aceq5lem2 [--same--]  changed -. u = (/) to u =/= (/)
 3-Apr-07 pssdifn0  [--same--]  changed -. ... = to =/=
 3-Apr-07 fri       [--same--]  changed -. ... = (/) to ... =/= (/)
 2-Apr-07 cplem1    [--same--]  changed -. ... = (/) to =/= (/)
 2-Apr-07 cplem2    [--same--]  changed -. ... = (/) to =/= (/)
 2-Apr-07 0pss      [--same--]  changed -. A = (/) to A =/= (/)
 2-Apr-07 inelcm    [--same--]  changed -. ... = (/) to =/= (/)
 2-Apr-07 snnz      [--same--]  changed -. A = (/) to A =/= (/)
 2-Apr-07 inf0      [--same--]  changed conclusion to match ax-inf exactly
 2-Apr-07 n0f       ---         obsolete; use ne0f
26-Mar-07 df-lim    [--same--]  changed -. A = (/) to A =/= (/)
26-Mar-07 pwen      [--same--]  eliminated redundant hypotheses
26-Mar-07 ssundif   undif
23-Mar-07 fo2       dffo2
23-Mar-07 fofv      dffo3
22-Mar-07 fnbr      [--same--]  eliminated redundant hypotheses
22-Mar-07 fnop      [--same--]  eliminated redundant hypotheses
21-Mar-07 kardex    [--same--]  eliminated redundant hypothesis
21-Mar-07 qsid      [--same--]  eliminated redundant hypothesis
21-Mar-07 0nelqs    [--same--]  eliminated redundant hypothesis
21-Mar-07 brecop2   [--same--]  eliminated redundant hypothesis
21-Mar-07 ecelqsdm  [--same--]  eliminated redundant hypothesis
18-Mar-07 map0b     [--same--]  changed -. A = (/) to A =/= (/)
17-Mar-07 oninton   [--same--]  changed -. A = (/) to A =/= (/)
17-Mar-07 wefrc     [--same--]  -. B = (/) to B =/= (/); triple conjunction
17-Mar-07 onint     [--same--]  changed -. A = (/) to A =/= (/)
17-Mar-07 tz7.5     [--same--]  -. B = (/) to B =/= (/); triple conjunction
17-Mar-07 fiint     [--same--]  changed -. x = (/) to x =/= (/)
16-Mar-07 ishlg     [--same--]  changed hypothesis from X = dom N to X = ran G
16-Mar-07 unitopt   ---         obsolete; use topopn
16-Mar-07 peano3nn0 nn0p1nnt
15-Mar-07 intex     [--same--]  changed -. A = (/) to A =/= (/)
 4-Mar-07 opthreg   [--same--]  added converse:  ->  to  <->
15-Feb-07 qbtwnre   [--same--]  antecedent changed to use triple conjunction
13-Feb-07 rcla42ev  [--same--]  antecedent changed to use triple conjunction
10-Feb-07 fodomb    [--same--]  changed -. A = (/) to A =/= (/)
 7-Feb-07 rabbidv   [--same--]  conjoined antecedents in hypothesis
 5-Feb-07 equidALT  equid1
 5-Feb-07 ax-11     ax-11o
 2-Feb-07 ax11a     ax11v
 1-Feb-07 frc       [--same--]  -. = (/) to =/= (/); conjoined antecedents
31-Jan-07 itimesi   ixi
31-Jan-07 isqm1     i2
30-Jan-07 dffr2     [--same--]  changed -. ... = (/) to ... =/= (/)
30-Jan-07 df-fr     [--same--]  changed -. ... = (/) to ... =/= (/)
30-Jan-07 f1oeng    [--same--]  conjoined antecedents
29-Jan-07 2sumeq2d  ---         obsolete; use 2sumeq2dv
29-Jan-07 sumeq12d  ---         obsolete; use sumeq12dv
29-Jan-07 sumeq12rd ---         obsolete; use sumeq12rdv
29-Jan-07 eval      [--same--]  ( 1 ^ k ) changed to 1
22-Jan-07 ax11el    [--same--]  generalized with less restrictive variables
18-Jan-07 climcvgc1 ---         obsolete; use clmi1
18-Jan-07 climcvg1  ---         obsolete; use clmi2
18-Jan-07 clim1     ---         obsolete; use clm2
18-Jan-07 clim1a    ---         obsolete; use clm3
18-Jan-07 clim2a    ---         obsolete; use clm2
18-Jan-07 clim2     ---         obsolete; use clm4
18-Jan-07 climcvg2  ---         obsolete; use clmi2
18-Jan-07 climcvg2z ---         obsolete; use clmi2
18-Jan-07 climcvgc2z ---        obsolete; use clmi1
18-Jan-07 climcvg2zb ---        obsolete; use clmi2
18-Jan-07 clim2az   ---         obsolete; use clm3
18-Jan-07 clim3az   ---         obsolete; use clm3
18-Jan-07 clim3a    ---         obsolete; use clm3
18-Jan-07 clim3     ---         obsolete; use clm4
18-Jan-07 clim3b    ---         obsolete; use clm2
18-Jan-07 climcvg3  ---         obsolete; use clmi2
18-Jan-07 climcvg3z ---         obsolete; use clmi2
18-Jan-07 clim4a    ---         obsolete; use clm3
18-Jan-07 clim4     ---         obsolete; use clm4
18-Jan-07 climcvg4  ---         obsolete; use clmi2
18-Jan-07 climcvgc4z ---        obsolete; use clmi1
18-Jan-07 climcvg4z ---         obsolete; use clmi2
18-Jan-07 clim0cvg4z ---        obsolete; use clm0i
18-Jan-07 climcvgc5z ---        obsolete; use clmi1
18-Jan-07 climcvg5z ---         obsolete; use clmi2
18-Jan-07 clim0cvg5z ---        obsolete; use clm0i
18-Jan-07 climnn0   ---         obsolete; use clm4
18-Jan-07 climnn    ---         obsolete; use clm4
18-Jan-07 clim0nn   ---         obsolete; use clm0
18-Jan-07 climcvgnn ---         obsolete; use clmi2
18-Jan-07 climcvgnn0 ---        obsolete; use clmi2
18-Jan-07 clim0cvgnn0 ---       obsolete; use clm0i
18-Jan-07 climcvg2nn0 ---       obsolete; use clmi2
18-Jan-07 clim0cvg2nn0 ---      obsolete; use clm0i
18-Jan-07 climnn0le ---         obsolete; use clm4le
18-Jan-07 clim0nn0le ---        obsolete; use clm4le and clm0
16-Jan-07 abn0      [--same--]  changed -. ... = (/) to ... =/= (/)
16-Jan-07 rabn0     [--same--]  changed -. ... = (/) to ... =/= (/)
16-Jan-07 nsuceq0   [--same--]  changed -. ... = (/) to ... =/= (/)
16-Jan-07 iin0      [--same--]  changed -. A = (/) to A =/= (/)
16-Jan-07 fint      [--same--]  changed -. B = (/) to B =/= (/)
14-Jan-07 clim3z    clm4at
12-Jan-07 climconst [--same--]  made M e. ZZ a hypothesis instead of antecedent
11-Jan-07 climres2  ---         obsolete; use climres
 4-Jan-07 iunconst  [--same--]  changed -. A = (/) to A =/= (/)
21-Dec-06 intssuni2 [--same--]  changed -. A = (/) to A =/= (/)
21-Dec-06 intssuni  [--same--]  changed -. A = (/) to A =/= (/)
21-Dec-06 prer2     preqr2
20-Dec-06 ccms      cnms
20-Dec-06 ccims     cnimsOLD
20-Dec-06 ccmsval   cnimsval
18-Dec-06 cvgannn   ---         obsolete; use cvganuz
18-Dec-06 cvgannn0  ---         obsolete; use cvganuz
14-Dec-06 cleqreli  eqrelriv
14-Dec-06 cleqrel   eqrel
12-Dec-06 rnco      rncoss
12-Dec-06 dmco      dmcoss
 5-Dec-06 r19.2z    [--same--]  -. A = (/) to A =/= (/); conjoined antecendents
24-Nov-06 infn0     [--same--]  changed -. A = (/) to A =/= (/)
24-Nov-06 0sdom     [--same--]  changed -. A = (/) to A =/= (/)
24-Nov-06 0sdomg    [--same--]  changed -. A = (/) to A =/= (/)
24-Nov-06 infxpabs  [--same--]  -. B = (/) to B =/= (/); use w3a for antec.
24-Nov-06 xpdom3    [--same--]  changed antecedent from -. B = (/) to B =/= (/)
14-Nov-06 zfnul     axnul
14-Nov-06 zfaus     axsep
28-Oct-06 inv       inv1
25-Oct-06 orcana    ---         obsolete; use pm5.6
10-Oct-06 oprec     [--same--]  changed order of $f hypotheses
10-Oct-06 ecoprdi   [--same--]  changed order of $f hypotheses
10-Oct-06 ecoprass  [--same--]  changed order of $f hypotheses
 9-Oct-06 unisseq   ---         obsolete; use unimax
 8-Oct-06 notzfaus  [--same--]  more meaningful first hypothesis
 8-Oct-06 intmin    [--same--]  swapped arguments of = sign
 8-Oct-06 intmin2   [--same--]  swapped arguments of = sign
 5-Oct-06 expcant   [--same--]  generalized antecedent from e. NN to e. NN0
 5-Oct-06 expsubt   [--same--]  generalized antecedent from e. NN to e. NN0
 5-Oct-06 divexpt   [--same--]  generalized antecedent from e. NN to e. NN0
 5-Oct-06 expwordit [--same--]  generalized antecedent from e. NN to e. NN0
 5-Oct-06 explt1t   [--same--]  generalized antecedent from e. NN to e. NN0
 5-Oct-06 recexpt   [--same--]  generalized antecedent from e. NN to e. NN0
 5-Oct-06 expordt   [--same--]  generalized antecedent from e. NN to e. NN0
 5-Oct-06 iineq2dv  [--same--]  conjoined antecedents in hypothesis
 5-Oct-06 iuneq2dv  [--same--]  conjoined antecedents in hypothesis
 5-Oct-06 r19.9rzv  [--same--]  changed antecedent from -. A = (/) to A =/= (/)
 5-Oct-06 r19.45zv  [--same--]  changed antecedent from -. A = (/) to A =/= (/)
 5-Oct-06 r19.27zv  [--same--]  changed antecedent from -. A = (/) to A =/= (/)
 5-Oct-06 r19.36zv  [--same--]  changed antecedent from -. A = (/) to A =/= (/)
 5-Oct-06 iindif2   [--same--]  changed antecedent from -. A = (/) to A =/= (/)
 5-Oct-06 r19.28zv  [--same--]  changed antecedent from -. A = (/) to A =/= (/)
 5-Oct-06 r19.3rzv  [--same--]  changed antecedent from -. A = (/) to A =/= (/)
 2-Oct-06 phplem5   phplem4
 2-Oct-06 phplem4   phplem3
 2-Oct-06 phplem3   phplem2
 2-Oct-06 phplem2   phplem1
 2-Oct-06 phplem1   ---         obsolete; use difsnid
29-Sep-06 uniord    orduni
29-Sep-06 onunit    ssonunit
29-Sep-06 onuni     ssonuni
29-Sep-06 ac6s2     ac6s3
29-Sep-06 ac6c      ---         obsolete; use ac6s5
21-Sep-06 rankuni   rankuni2
20-Sep-06 npnz      [--same--]  strengthened by adding converse
20-Sep-06 onsucuni2 [--same--]  swapped arguments of = sign
19-Sep-06 nlimsuc   ---         obsolete; use nlimsucg
19-Sep-06 limuni2   limuni3
15-Sep-06 ranklon   rankval4
13-Sep-06 cbvop     rexxp
11-Sep-06 zfaus     zfauscl
10-Sep-06 fex       [--same--]  antecedent changed to use conjunction & swapped
10-Sep-06 f1dmex    [--same--]  antecedent changed to use conjunction & swapped
10-Sep-06 fnex      [--same--]  antecedent changed to use conjunction & swapped
10-Sep-06 ssexg     [--same--]  antecedent changed to use conjunction & swapped
10-Sep-06 funimaexg [--same--]  antecedent changed to use conjunction & swapped
10-Sep-06 resfunexg [--same--]  antecedent changed to use conjunction & swapped
 9-Sep-06 funex     [--same--]  antecedent changed to use conjunction & swapped
 8-Sep-06 cls       clsp
29-Aug-06 elab3g    elab3
26-Aug-06 unop      uniop
26-Aug-06 unpr      unipr
26-Aug-06 unictb    [--same--]  removed irrelevant hypothesis
16-Aug-06 ssrab     ssrab2
16-Aug-06 rabss     rabss2
16-Aug-06 ssab      ssab2
13-Aug-06 fvco3     [--same--]  antecedent changed to use triple conjunction
13-Aug-06 fvco2     [--same--]  antecedent changed to use triple conjunction
 6-Jun-06 sq0       sq00
 1-Jun-06 infpn     infpn2
27-May-06 ---       ---         exp was changed to ex to prevent matching
27-May-06 ---       ---           math token 'exp'.
27-May-06 exp       ex
26-May-06 f1ocnvfvb [--same--]  antecedent changed to use triple conjunction
22-Apr-06 fvco      [--same--]  antecedent changed to use triple conjunction
10-Apr-06 plus1let  p1let
10-Apr-06 leplus1t  lep1t
10-Apr-06 ltplus1   ltp1
10-Apr-06 ltplus1t  ltp1t
29-Mar-06 xpdom2    [--same--]  eliminated the A e. V hypothesis
29-Mar-06 xpdom1    [--same--]  eliminated the A e. V hypothesis
28-Mar-06 sspr      [--same--]  eliminated both $e hypotheses
26-Mar-06 fnfvop    fnopfvb
26-Mar-06 fnfvbr    fnbrfvb
26-Mar-06 eqri      eqriv
26-Mar-06 eqrd      eqrdv
26-Mar-06 nn0z      nn0zrab
26-Mar-06 nnz       nnzrab
24-Mar-06 fodomb    [--same--]  eliminated the B e. V hypothesis
24-Mar-06 eldmg     eldm2g
22-Mar-06 prprc     prprc1
22-Mar-06 sqrsqet   sqrsqt
22-Mar-06 sqrsqe    sqrsq
22-Mar-06 sqrsq     sqrmsq2
21-Mar-06 nn0le2sqet nn0le2msqt
21-Mar-06 le2sqet   le2sqt
21-Mar-06 le2sqt    le2msqt
21-Mar-06 lt2sqet   lt2sqt
21-Mar-06 lt2sqt    lt2msqt
21-Mar-06 le2sqe    le2sq
21-Mar-06 le2sq     le2msq
21-Mar-06 lt2sqe    lt2sq
21-Mar-06 lt2sq     lt2msq
21-Mar-06 ltsqt     ltmsqt
13-Mar-06 sq11t     [--same--]  rearranged antecedent
11-Mar-06 sqrecl    resqcl
11-Mar-06 sqreclt   resqclt
11-Mar-06 ---       ---         'sq' is normal square (A ^ 2)
11-Mar-06 sqe0      sqeq0
11-Mar-06 sqe11     sq11
11-Mar-06 sqegt0    sqgt0
11-Mar-06 sqege0    sqge0
11-Mar-06 sqe11t    sq11t
11-Mar-06 sqege0t   sqge0t
11-Mar-06 ---       ---         'msq' is square represented by mult. (A x. A)
11-Mar-06 sqeq0      msq0
11-Mar-06 sqgt0     msqgt0
11-Mar-06 sqge0     msqge0
11-Mar-06 sq11      msq11
11-Mar-06 sqznn     msqznn
11-Mar-06 sqrsqid   sqrmsq
11-Mar-06 sqeq0      msq0
24-Feb-06 lerect    [--same--]  rearranged antecedent
24-Feb-06 ltrect    [--same--]  rearranged antecedent
24-Feb-06 lt2sqet   [--same--]  rearranged antecedent
24-Feb-06 le2sqet   [--same--]  rearranged antecedent
24-Feb-06 lt2sqt    [--same--]  rearranged antecedent
24-Feb-06 le2sqt    [--same--]  rearranged antecedent
20-Feb-06 funfvopi  funopfv
20-Feb-06 funopfv   funfvop
20-Feb-06 funfvop   funopfvb
 9-Feb-06 divneq0bt divne0bt
 9-Feb-06 divneq0   divne0
 9-Feb-06 recneq0z  recne0z
 9-Feb-06 pm2.61an2 pm2.61dan
 9-Feb-06 pm2.61an1 pm2.61ian
28-Jan-06 cleqfvf   eqfnfvf
26-Jan-06 fri       [--same--]  changed to closed theorem instead of inference
17-Jan-06 relin     relin1
17-Jan-06 ssrelqqq  relss
17-Jan-06 relss     ssrel
17-Jan-06 ssrel     ssrelqqq
16-Jan-06 elrnqqq   elrn2
16-Jan-06 elrn2     elrn
16-Jan-06 elrn      elrnqqq
12-Jan-06 df-ef     [--same--]  revised to use new df-sum
 9-Jan-06 rabeqbi2i rabeq2i
 9-Jan-06 abeqbi2   abeq2
 9-Jan-06 abeqbi1   abeq1
 9-Jan-06 abeqbi2i  abeq2i
 9-Jan-06 abeqbi1i  abeq1i
 9-Jan-06 abeqbi2d  abeq2d
 9-Jan-06 abbieq2i  abbi2i
 9-Jan-06 abbieqi   abbii
 9-Jan-06 abbieqd   abbid
 9-Jan-06 abbieqdv  abbidv
 9-Jan-06 abbieq2dv abbi2dv
 9-Jan-06 abbieq1dv abbi1dv
 9-Jan-06 rabbieqi  rabbii
 9-Jan-06 rabbieqdv rabbidv
 9-Jan-06 rabbieqsdv rabbisdv
 9-Jan-06 rabbieqrdv rabbirdv
 9-Jan-06 opabbieqd opabbid
 9-Jan-06 opabbieqdv opabbidv
 9-Jan-06 oprabbieqd oprabbid
 9-Jan-06 oprabbieqdv oprabbidv
 9-Jan-06 oprabbieqi oprabbii
 9-Jan-06 abeqbi2   abeq2
 9-Jan-06 abeqbi2i  abeq2i
 9-Jan-06 abeqbi1   abeq1
 9-Jan-06 abeqbi2d  abeq2d
 9-Jan-06 abeqbi1i  abeq1i
 9-Jan-06 rabeqbi2i rabeq2i
 9-Jan-06 oprabbieqi oprabbii
 7-Jan-06 divgt0lem divgt0i2
 5-Jan-06 lep1t  letrp1t
 4-Jan-06 nnegdift  ---         obsolete; use subge0t (swapped biconditional)
 2-Jan-06 opabbii.2 opabbii
 1-Jan-06 negdi2    negsubdi
 1-Jan-06 negdi2t   negsubdit
 1-Jan-06 negdi3    negsubdi2t
 1-Jan-06 negdi3t   negsubdi2t
17-Dec-05 msca      ---         obsolete; now embedded inside equs4 proof
16-Dec-05 1expt     [--same--]  antecedent extended from NN to NN0
16-Dec-05 nnexpclt  [--same--]  antecedent extended from NN to NN0
16-Dec-05 nn0expclt [--same--]  antecedent extended from NN to NN0
16-Dec-05 zexpclt   [--same--]  antecedent extended from NN to NN0
16-Dec-05 qexpclt   [--same--]  antecedent extended from NN to NN0
16-Dec-05 reexpclt  [--same--]  antecedent extended from NN to NN0
16-Dec-05 expclt    [--same--]  antecedent extended from NN to NN0
16-Dec-05 expcllem  [--same--]  antecedent extended from NN to NN0; + 3rd hyp.
16-Dec-05 expp1t    [--same--]  antecedent extended from NN to NN0
16-Dec-05 expvalt   expnnvalt
13-Dec-05 sbcco     sbccog
 1-Dec-05 subneg2t  subnegt
 1-Dec-05 subnegt   ---         obsolete; use negsubt (swapped equality)
 1-Dec-05 subneg    ---         obsolete; use negsub (swapped equality)
 1-Dec-05 reueq     reueq1
 1-Dec-05 rexeq     rexeq1
 1-Dec-05 raleq     raleq1
 1-Dec-05 reueqf    reueq1f
 1-Dec-05 rexeqf    rexeq1f
 1-Dec-05 raleqf    raleq1f
 1-Dec-05 ad2antxx  ad2antrr
 1-Dec-05 ad2antrr  ad2antll
 1-Dec-05 ad2antll  ad2antxx
29-Nov-05 sbcel2    sbcel2gv
29-Nov-05 sbcel1    sbcel1gv
28-Nov-05 sbcn      sbcng
28-Nov-05 sbcim     sbcimg
28-Nov-05 sbcbi     sbcbidig
28-Nov-05 sbcor     sbcorg
28-Nov-05 sbcan     sbcang
28-Nov-05 sbcal     sbcalg
28-Nov-05 sbcex     sbcexg
28-Nov-05 sbceq1    sbceq1a
21-Nov-05 2o        2on
21-Nov-05 1o        1on
19-Nov-05 zfrep3    axrep5
19-Nov-05 zfrep2    axrep4
19-Nov-05 axrep     axrep2
18-Nov-05 hbsbcg    hbsbc1g
18-Nov-05 hbsbc     hbsbc1
18-Nov-05 hbsbcv    hbsbc1v
18-Nov-05 ---       ---         More changes to the bixx series below -
18-Nov-05 ---       ---         changed to xxbix to be analogous to the xxeqx
18-Nov-05 ---       ---         series e.g. uneq12d.  Also, the bi(r)abxx were
18-Nov-05 ---       ---         changed to (r)abbieqxx: "bi" in hyp. and
18-Nov-05 ---       ---         "eq" in conclusion.
18-Nov-05 bial      albii
18-Nov-05 bi2al     2albii
18-Nov-05 biex      exbii
18-Nov-05 bi2ex     2exbii
18-Nov-05 bi3ex     3exbi
18-Nov-05 biald     albid
18-Nov-05 biexd     exbid
18-Nov-05 bisb      sbbii
18-Nov-05 bisbd     sbbid
18-Nov-05 bialdv    albidv
18-Nov-05 biexdv    exbidv
18-Nov-05 bi2aldv   2albidv
18-Nov-05 bi2exdv   2exbidv
18-Nov-05 bi3exdv   3exbidv
18-Nov-05 bi4exdv   4exbidv
18-Nov-05 bieud     eubid
18-Nov-05 bieudv    eubidv
18-Nov-05 bieu      eubii
18-Nov-05 bimod     mobid
18-Nov-05 bimo      mobii
18-Nov-05 biralda   ralbida
18-Nov-05 birexda   rexbida
18-Nov-05 biraldva  ralbidva
18-Nov-05 birexdva  rexbidva
18-Nov-05 birald    ralbid
18-Nov-05 birexd    rexbid
18-Nov-05 biraldv   ralbidv
18-Nov-05 birexdv   rexbidv
18-Nov-05 biraldv2  ralbidv2
18-Nov-05 birexdv2  rexbidv2
18-Nov-05 biral     ralbii
18-Nov-05 birex     rexbii
18-Nov-05 bi2ral    2ralbii
18-Nov-05 bi2rex    2rexbii
18-Nov-05 biral2    ralbii2
18-Nov-05 birex2    rexbii2
18-Nov-05 birala    ralbiia
18-Nov-05 birexa    rexbiia
18-Nov-05 bi2rexa   2rexbiia
18-Nov-05 bi2ralda  2ralbida
18-Nov-05 bi2raldva 2ralbidva
18-Nov-05 bi2rexdva 2rexbidva
18-Nov-05 bireudva  reubidva
18-Nov-05 bireudv   reubidv
18-Nov-05 bireua    reubiia
18-Nov-05 bireu     reubii
18-Nov-05 bisbcdv   sbcbidv
18-Nov-05 bisbc     sbcbii
18-Nov-05 eqrabi    rabeqbi2i
18-Nov-05 eqab      abeqbi2
18-Nov-05 eqabr     abeqbi1
18-Nov-05 eqabi     abeqbi2i
18-Nov-05 eqabri    abeqbi1i
18-Nov-05 eqabd     abeqbi2d
18-Nov-05 biabri    abbieq2i
18-Nov-05 biabi     abbieqi
18-Nov-05 biabd     abbieqd
18-Nov-05 biabdv    abbieqdv
18-Nov-05 biabrdv   abbieq2dv
18-Nov-05 biabldv   abbieq1dv
18-Nov-05 birabi    rabbieqi
18-Nov-05 birabdv   rabbieqdv
18-Nov-05 birabsdv  rabbieqsdv
18-Nov-05 birabrdv  rabbieqrdv
18-Nov-05 biopabd   opabbieqd
18-Nov-05 biopabdv  opabbieqdv
18-Nov-05 bioprabd  oprabbieqd
18-Nov-05 bioprabdv oprabbieqdv
18-Nov-05 bioprabi  oprabbieqi
18-Nov-05 bicon1i   con1bii
18-Nov-05 bicon2i   con2bii
18-Nov-05 bicon4i   con4bii
18-Nov-05 bicon4d   con4bid
18-Nov-05 bicon2    con2bi
18-Nov-05 bicon2d   con2bid
18-Nov-05 bicon1d   con1bid
18-Nov-05 bisyl7    syl7ib
18-Nov-05 bisyl8    syl8ib
11-Nov-05 sbcbidv   [--same--]  swapped antecedents
21-Oct-05 ciin      [--same--]  "|^|" changed to "|^|_"
21-Oct-05 cuin      [--same--]  "U." changed to "U_"
21-Oct-05 ---SYMBOL CHANGE----  Changed "|^|" to "|^|_" in thm's using ciin
21-Oct-05 ---SYMBOL CHANGE----  Changed "U." to "U_" in thm's using ciun
20-Oct-05 rax5      ra5
20-Oct-05 rax4      ---         obsolete; use ra4sbc
20-Oct-05 reuuni2f  [--same--]  weakened its hypotheses
19-Oct-05 reuss     [--same--]  antecedent changed to use triple conjunction
10-Oct-05 uzwo      [--same--]  changed to use ZZ> notation
10-Oct-05 uzwo2     [--same--]  changed to use ZZ> notation
 1-Oct-05 nnncant   nnncan1t
13-Sep-05 leltnet   [--same--]  antecedent changed to use triple conjunction
10-Sep-05 ifel      ifcl
 6-Sep-05 dmopab2   dmopab3
 5-Sep-05 peano2uz  peano2uz2
 1-Sep-05 cleqfv    eqfnfv
 1-Sep-05 df-seq    df-seq1
 1-Sep-05 cseqz     cseq1
 1-Sep-05 serft     ser1ft
 1-Sep-05 serf      ser1f
 1-Sep-05 sercl     ser1cl
 1-Sep-05 serrecl   ser1recl
 1-Sep-05 serre     ser1re
 1-Sep-05 sercl2    ser1cl2
 1-Sep-05 serf2     ser1f2
 1-Sep-05 ser12     ser11
 1-Sep-05 sersuc2   ser1p1
 1-Sep-05 sermono   ser1mono
 1-Sep-05 seradd2   ser1add2
 1-Sep-05 seradd    ser1add
 1-Sep-05 serdir    ser1dir
 1-Sep-05 serabsdiflem ser1absdiflem
 1-Sep-05 serabsdif ser1absdif
 1-Sep-05 serre2    ser1re2
 1-Sep-05 sercj     ser1cj
 1-Sep-05 serconst  ser1const
 1-Sep-05 sertrunclem ser1trunclem
 1-Sep-05 sercmp    ser1cmp
 1-Sep-05 sercmp0   ser1cmp0
 1-Sep-05 sercmp2lem ser1cmp2lem
 1-Sep-05 sercmp2   ser1cmp2
 1-Sep-05 seqlem1   seq1lem1
 1-Sep-05 seqlem2   seq1lem2
 1-Sep-05 seqrval   seq1rval
 1-Sep-05 seqval    seq1val
 1-Sep-05 seqfnlem  seq1fnlem
 1-Sep-05 seqval2   seq1val2
 1-Sep-05 seq1lem   seq11lem
 1-Sep-05 seqsuclem seq1suclem
 1-Sep-05 seqp1     seq1p1
 1-Sep-05 seqm1     seq1m1
 1-Sep-05 seqfn     seq1fn
 1-Sep-05 seqrn     seq1rn2
 1-Sep-05 seqrn2    seq1rn
 1-Sep-05 seqcl     seq1cl
 1-Sep-05 seqres    seq1res
 1-Sep-05 seqbnd    seq1bnd
 1-Sep-05 sequblem  seq1ublem
 1-Sep-05 sequb     seq1ub
 1-Sep-05 seqhcau   seq1hcau
 1-Sep-05 ---SYMBOL CHANGE----  Changed math symbol 'seq' to 'seq1'
 1-Sep-05 seq1      seq11       Warning: change _before_ symbol change above
17-Aug-05 df-clim   [--same--]  The old df-clim, df-shft, and df-seq0, and
17-Aug-05 df-shft   [--same--]      all derived theorems, have been scrapped
17-Aug-05 df-seq0   [--same--]      or rederived from the new definitions.
30-Jul-05 ---       ---         syl* changes below were sugg'ed by Scott Fenton
30-Jul-05 syl34d    imim12d
30-Jul-05 syl4d     imim1d
30-Jul-05 syl3d     imim2d
30-Jul-05 syl34     imim112i
30-Jul-05 syl4      imim1i
30-Jul-05 syl3      imim2i
30-Jul-05 syl2      imim1
30-Jul-05 syl1      imim2
27-Jul-05 uzind     [--same--]  weaker basis hyp.; different mand. hyp. order
13-Jul-05 mp3an11   mp3anl1
13-Jul-05 mp3an12   mp3anl2
13-Jul-05 mp3an13   mp3anl3
13-Jul-05 syl3an11  syl3anl1
13-Jul-05 syl3an12  syl3anl2
13-Jul-05 syl3an13  syl3anl3
13-Jul-05 mpan11    mpanl1
13-Jul-05 mpan12    mpanl2
13-Jul-05 mpan21    mpanr1
13-Jul-05 mpan22    mpanr2
13-Jul-05 sylan11   sylanl1
13-Jul-05 sylan12   sylanl2
13-Jul-05 sylan21   sylanr1
13-Jul-05 sylan22   sylanr2
13-Jul-05 mpan121   mpanlr1
13-Jul-05 ecased    ---         obsolete; use ecase23d (diff. hyp. order)
11-Jul-05 lelt      lenlt
11-Jul-05 leltt     lenltt
11-Jul-05 lenltt    eqleltt
10-Jul-05 bcpasc    bcpasc2
10-Jul-05 bcvalt    bcval2t
 9-Jul-05 sermconst ---         obsolete; use ser1mulc
 9-Jul-05 seqsuc    seq1p1
 3-Jul-05 peano5c   ---         obsolete; use peano5nn (restr. qntfr.)
 3-Jul-05 df-n      [--same--]  shortened with restricted quantifier
 2-Jul-05 mulge0t   [--same--]  conjoined antecedents
 2-Jul-05 prodgt02t [--same--]  swapped A e. RR and B e. RR
27-Jun-05 syl3an    [--same--]  changed order of hypotheses
25-Jun-05 ecoprcom  [--same--]  changed order of $f hypotheses
21-Jun-05 nn0ltlem1 nn0ltlem1t
21-Jun-05 subsub    subsub23
17-Jun-05 ecoprdist ---         obsolete; use ecoprdi
16-Jun-05 binom     binom2
12-Jun-05 oel       orabs
30-May-05 ltdiv23t  [--same--]  conjoined antecedents
30-May-05 ledivt    lediv1t
23-May-05 rcla42v   [--same--]  swapped antecedents
23-May-05 rcla4v    [--same--]  swapped antecedents
23-May-05 rcla4     [--same--]  swapped antecedents
10-May-05 mpbiranr  mpbiran2
 8-May-05 funfv2    [--same--]  changed to A F y instead of <. A , y >. e. F
 8-May-05 imasn     ---         obsolete; use relimasn (A R y instead of o.p.)
 3-May-05 nndiv     nndivt
 2-May-05 subaddeq  pncan3
 2-May-05 subaddeqt pncan3t
 1-May-05 divne0bt  [--same--]  changed antecedent to triple conjunction
 1-May-05 divcan2t  [--same--]  changed antecedent to triple conjunction
 1-May-05 divcan1t  [--same--]  changed antecedent to triple conjunction
30-Apr-05 divnegt   [--same--]  changed antecedent to triple conjunction
30-Apr-05 divrect   [--same--]  changed antecedent to triple conjunction
30-Apr-05 divcan3t  [--same--]  changed antecedent to triple conjunction
30-Apr-05 divcan4t  [--same--]  changed antecedent to triple conjunction
29-Apr-05 crut      [--same--]  generalized -> to <->
29-Apr-05 cru       [--same--]  generalized -> to <->
29-Apr-05 isqm1     itimesi
29-Apr-05 crmult    crmul       changed hypotheses from real to complex
29-Apr-05 redivclt  [--same--]  changed antecedent to triple conjunction
29-Apr-05 divclt    [--same--]  changed antecedent to triple conjunction
28-Apr-05 ine0      [--same--]  changed -. and = to =/=
27-Apr-05 ltdivt    ltdiv1t
27-Apr-05 ltdiv     ltdiv1
27-Apr-05 ltdivi    ltdiv1i
24-Apr-05 prodgt0   [--same--]  strengthened 0 < A to 0 <_ A
24-Apr-05 prodgt0i  prodgt0lem
 7-Apr-05 equs2     ---         obsolete; use equs5
 7-Apr-05 equs1     ---         obsolete; use equs4
 6-Apr-05 absltt    [--same--]  swapped & contraposed conjunct with -u
 6-Apr-05 absle     [--same--]  swapped & contraposed conjunct with -u
 6-Apr-05 abslt     [--same--]  swapped & contraposed conjunct with -u
26-Mar-05 abscj     [--same--]  swapped arguments of = sign
18-Mar-05 reim0     reim0b
18-Mar-05 rere      rereb
18-Mar-05 cjre      cjreb
18-Mar-05 negre     negreb
11-Mar-05 frsuc     frsuct
10-Mar-05 nn0addge2 [--same--]  Generalized 1st hyp from NN0 to RR
10-Mar-05 nn0addge1 [--same--]  Generalized 1st hyp from NN0 to RR
 5-Mar-05 chv       chvarv
 5-Mar-05 chv2      chvar
 4-Mar-05 divdistr  divdir
 4-Mar-05 divdistrz divdirz
 4-Mar-05 divge0t   [--same--]  conjoined the two left-most antecedents
 4-Mar-05 divgt0t   [--same--]  conjoined the two left-most antecedents
 4-Mar-05 absgt0t   [--same--]  changed  -. A = 0  to  A =/= 0
 4-Mar-05 absgt0    [--same--]  changed  -. A = 0  to  A =/= 0
24-Feb-05 absidt    [--same--]  conjoined the two left-most antecedents
27-Feb-05 del34     ---         obsolete; use dral1 instead
27-Feb-05 del35     ---         obsolete; use dral1 instead
27-Feb-05 del34b    dral1
27-Feb-05 del36     ---         obsolete; use dral2 instead
27-Feb-05 del40     ---         obsolete; use drex1 instead
27-Feb-05 del41     ---         obsolete; use drex1 instead
27-Feb-05 del42     ---         obsolete; use drex2 instead
27-Feb-05 del43     ---         obsolete; use drsb1 instead
27-Feb-05 del43b    drsb1
27-Feb-05 del44     ---         obsolete; use drsb2 instead
27-Feb-05 del45     ---         obsolete; use drsb2 instead
27-Feb-05 ddelimf2  dvelimf2
27-Feb-05 ddelimf   dvelimf
27-Feb-05 ddelimdf  dvelimdf
27-Feb-05 ddelim    dvelim
27-Feb-05 ddeeq1    dveeq1
27-Feb-05 ddeeq2    dveeq2
27-Feb-05 ddeel1    dveel1
27-Feb-05 ddeel2    dveel2
24-Feb-05 bi3ord    3orbi123d
24-Feb-05 im3ord    3orim123d
24-Feb-05 bi3or     3orbi123i
24-Feb-05 bi3an     3anbi123i
24-Feb-05 bi3and    3anbi123d
24-Feb-05 im3an     3anim123i
24-Feb-05 divdistrt divdirt
24-Feb-05 ltdiv1t   [--same--]  conjoined the two left-most antecedents
24-Feb-05 lediv1t   [--same--]  conjoined the two left-most antecedents
24-Feb-05 ltmuldivt [--same--]  conjoined the two left-most antecedents
24-Feb-05 ltdivmult [--same--]  conjoined the two left-most antecedents
24-Feb-05 ltmuldiv2t [--same--]  conjoined the two left-most antecedents
24-Feb-05 gt0ne0t   [--same--]  conjoined the two left-most antecedents
24-Feb-05 ltrect    [--same--]  conjoined the two left-most antecedents
24-Feb-05 recgt0t   [--same--]  conjoined the two left-most antecedents
24-Feb-05 lerect    [--same--]  conjoined the two left-most antecedents
21-Feb-05 nn0ge0i   nn0ge0
21-Feb-05 rdgzer    rdg0
21-Feb-05 rdgzert   rdg0t
21-Feb-05 frzer     fr0t
21-Feb-05 mulzer1   mul01
21-Feb-05 mulzer2   mul02
21-Feb-05 mulzer1t  mul01t
21-Feb-05 mulzer2t  mul02t
21-Feb-05 divzer    div0
21-Feb-05 ax-hvzercl ax-hv0cl
21-Feb-05 ax-hvmulzer ax-hvmul0
21-Feb-05 hizer1t   hi01t
21-Feb-05 hizer2t   hi02t
19-Feb-05 ax0re     0re
13-Feb-05 cardcard  cardidm
13-Feb-05 exp2t     sqvalt
13-Feb-05 uzind2    ---         Obsolete; use uzind3
 5-Feb-05 ---       ---         We will adopt "equ" (vs. old "eq") for
 5-Feb-05 ---       ---         set variable equality and "eq" (vs. old
 5-Feb-05 ---       ---         "cleq") for class equality.  (Remember it
 5-Feb-05 ---       ---         is important to do these in REVERSE order
 5-Feb-05 ---       ---         below!)
 5-Feb-05 cleqri    eqri
 5-Feb-05 cleqrd    eqrd
 5-Feb-05 cleqid    eqid
 5-Feb-05 cleqcom   eqcom
 5-Feb-05 cleqcomi  eqcomi
 5-Feb-05 cleqcomd  eqcomd
 5-Feb-05 cleq1     eqeq1
 5-Feb-05 cleq2     eqeq2
 5-Feb-05 cleq1i    eqeq1i
 5-Feb-05 cleq2i    eqeq2i
 5-Feb-05 cleq1d    eqeq1d
 5-Feb-05 cleq2d    eqeq2d
 5-Feb-05 cleq12    eqeq12
 5-Feb-05 cleq12i   eqeq12i
 5-Feb-05 cleq12d   eqeq12d
 5-Feb-05 cleqan12d eqeqan12d
 5-Feb-05 cleqan12rd eqeqan12rd
 5-Feb-05 cleqtr    eqtrt
 5-Feb-05 cleq2tr   eq2tr
 5-Feb-05 cleqab    abeqbi2
 5-Feb-05 cleqabi   abeqbi2i
 5-Feb-05 cleqabr   abeqbi1
 5-Feb-05 cleqabd   abeqbi2d
 5-Feb-05 cleqabri  abeqbi1i
 5-Feb-05 cleq2ab   eq2ab
 5-Feb-05 cleqrabi  rabeqbi2i
 5-Feb-05 clneq     nelneq
 5-Feb-05 clneq2    nelneq2
 5-Feb-05 sbeq2     equsb2
 5-Feb-05 sbeq1     equsb1
 5-Feb-05 eqvin.l2  ---           obsolete; use equvin instead
 5-Feb-05 eqvin     equvin
 5-Feb-05 eqvin.l1  equvini
 5-Feb-05 eqsal     equsal
 5-Feb-05 eqsex     equsex
 5-Feb-05 eqs5      equs5
 5-Feb-05 eqs4      equs4
 5-Feb-05 eqs3      equs3
 5-Feb-05 eqs2      equs2
 5-Feb-05 eqs1      equs1
 5-Feb-05 eq6s      hbnaes
 5-Feb-05 eq6       hbnae
 5-Feb-05 eq5s      hbaes
 5-Feb-05 eq5       hbae
 5-Feb-05 eq4ds     nalequcoms
 5-Feb-05 eq4s      alequcoms
 5-Feb-05 eq4       ax-10
 5-Feb-05 a14b      elequ2
 5-Feb-05 a13b      elequ1
 5-Feb-05 eqt2b     equequ2
 5-Feb-05 a8b       equequ1
 5-Feb-05 eqt       equtr
 5-Feb-05 eqt2      equtrr
 5-Feb-05 eqan      equtr2
 5-Feb-05 eqcom     equcomi
 5-Feb-05 eqcomb    equcom
 5-Feb-05 eqcoms    equcoms
 5-Feb-05 eqid      equid
 3-Feb-05 sb5f1     sb6rf
21-Jan-05 mulcanxx  mulcant2
21-Jan-05 mulcant2  mulcant
21-Jan-05 mulcant   mulcanxx
10-Jan-05 add41r3   add42
10-Jan-05 caopr41r3 caopr42
10-Jan-05 an41r3s   an42s
10-Jan-05 an41r3    an42
 8-Jan-05 ---       ---         The imxx series was changed analogously
 8-Jan-05 ---       ---         to the bixx series change.
 8-Jan-05 im2an     anim12i
 8-Jan-05 imran     anim1i
 8-Jan-05 imlan     anim2i
 8-Jan-05 im2or     orim12i
 8-Jan-05 imror     orim1i
 8-Jan-05 imlor     orim2i
 8-Jan-05 im2and    anim12d
 8-Jan-05 imrand    anim1d
 8-Jan-05 imland    anim2d
 8-Jan-05 im2ord    orim12d
 8-Jan-05 imrord    orim1d
 8-Jan-05 imlord    orim2d
 8-Jan-05 ---       ---         The bixx series was changed to be analogous
 8-Jan-05 ---       ---         to the xxeqx series e.g. uneq12d.
 8-Jan-05 ---       ---         (Suggested by Raph Levien.)
 8-Jan-05 bi2and    anbi12d
 8-Jan-05 birand    anbi1d
 8-Jan-05 biland    anbi2d
 8-Jan-05 bi2imd    imbi12d
 8-Jan-05 birimd    imbi1d
 8-Jan-05 bilimd    imbi2d
 8-Jan-05 bi2ord    orbi12d
 8-Jan-05 birord    orbi1d
 8-Jan-05 bilord    orbi2d
 8-Jan-05 bi2bid    bibi12d
 8-Jan-05 birbid    bibi1d
 8-Jan-05 bilbid    bibi2d
 8-Jan-05 binegd    negbid
 8-Jan-05 bi2an     anbi12i
 8-Jan-05 biran     anbi1i
 8-Jan-05 bilan     anbi2i
 8-Jan-05 bi2im     imbi12i
 8-Jan-05 birim     imbi1i
 8-Jan-05 bilim     imbi2i
 8-Jan-05 bi2or     orbi12i
 8-Jan-05 biror     orbi1i
 8-Jan-05 bilor     orbi2i
 8-Jan-05 bi2bi     bibi12i
 8-Jan-05 birbi     bibi1i
 8-Jan-05 bilbi     bibi2i
 8-Jan-05 bineg     negbii
 3-Jan-05 pm5.41    imdi
 1-Jan-05 iundif    iundif2
 1-Jan-05 iindif    iindif2
 1-Jan-05 iunin     iunin2
 1-Jan-05 iinin     iinin2
 1-Jan-05 sylan13br sylancbr
 1-Jan-05 sylan13b  sylancb
 1-Jan-05 sylan13   sylanc
 1-Jan-05 syl13     sylc
26-Dec-04 0ne1o     ---         obsolete; use 1ne0
19-Dec-04 sbequ6    [--same--]  swapped biconditional order
19-Dec-04 sbequ5    [--same--]  swapped biconditional order
15-Dec-04 syl2and   syl2ani
15-Dec-04 sylan2d   sylan2i
15-Dec-04 syland    sylani
12-Dec-04 nnordex   nnaordex
12-Dec-04 nnwordex  nnawordex
12-Dec-04 mpand     mpdan
12-Dec-04 ontr      ontr1
 6-Dec-04 on0eqel   on0eqelt
30-Nov-04 exp2      sqvalt
30-Nov-04 1exp      1expt
30-Nov-04 0exp      0expt
30-Nov-04 exp1      exp1t
30-Nov-04 expp1     expp1t
18-Nov-04 divrclz   redivclz
18-Nov-04 divrclt   redivclt
18-Nov-04 subrclt   resubclt
18-Nov-04 negrclt   renegclt
18-Nov-04 mulrclt   remulclt
18-Nov-04 divrcl    redivcl
18-Nov-04 subrcl    resubcl
18-Nov-04 negrcl    renegcl
18-Nov-04 mulrcl    remulcl
18-Nov-04 addrcl    readdcl
18-Nov-04 ltdivmul  ---         obsolete; use ltmuldiv instead
18-Nov-04 ltdivmult ---         obsolete; use ltmuldivt instead (note: there
                                is a new ltdivmult that is unrelated)
18-Nov-04 distr2t   adddirt
18-Nov-04 distr2    adddir
18-Nov-04 distr     adddi
18-Nov-04 subdistr  subdir
17-Nov-04 nnrect    nnrecgt0t
17-Nov-04 posdif    [--same--]  swapped biconditional and variable order
15-Nov-04 negdistt3 negdi3t
15-Nov-04 negdistt2 negdi2t
15-Nov-04 negdistt  negdit
15-Nov-04 negdist3  negdi3
15-Nov-04 negdist2  negdi2
11-Nov-04 reuunis   reuuni2
11-Nov-04 reuuni    reuuni1
 9-Nov-04 zlelt1    zleltp1t
 9-Nov-04 zltle1    zltp1let
 7-Sep-04 arch      [--same--]  removed quantifier, changed set var. to class
 2-Nov-04 dfom2     dfom3
 2-Nov-04 dfom3     dfom4
29-Oct-04 df-ded    df-if
29-Oct-04 dedeq1    ifeq1
29-Oct-04 dedeq2    ifeq2
29-Oct-04 dedeq12   ifeq12
29-Oct-04 dedbi     ifbi
29-Oct-04 dedlem1   iftrue
29-Oct-04 dedlem2   iffalse
29-Oct-04 dedex     ifex
29-Oct-04 cded      cif
29-Oct-04 ---SYMBOL CHANGE----  Changed math symbol 'ded' to 'if'
28-Oct-04 cmulc     cmul
20-Oct-04 oprabex   oprabex2
14-Oct-04 nn0lelt1  nn0leltp1t
14-Oct-04 nn0ltle1  nn0ltp1let
14-Oct-04 nnlelt1   nnleltp1t
14-Oct-04 nnltle1   nnltp1let
14-Oct-04 rnoel3    rabn0
14-Oct-04 noel3     abn0
14-Oct-04 noel2     n0i
14-Oct-04 peano2c   peano2nn
12-Oct-04 supeu     supeui
12-Oct-04 supcl     supcli
12-Oct-04 supub     supubi
12-Oct-04 suplub    suplubi
12-Oct-04 supnub    supnubi
12-Oct-04 suprcl    suprcli
12-Oct-04 suprub    suprubi
12-Oct-04 pm4.12    con2bi
12-Oct-04 bicon4    con4bii
12-Oct-04 con2bi    con2bii
12-Oct-04 bicon1    con1bii
12-Oct-04 pm2.11    exmid
11-Oct-04 sbf1      ---         obsolete; use sbf instead
11-Oct-04 ceqsexg   ceqex
 9-Oct-04 fvco2     fvco3
 8-Oct-04 indif0    difdisj
 8-Oct-04 biopab    opabbii.2
 8-Oct-04 bioprab   oprabbieqi
 7-Oct-04 ssii      sselii
 6-Oct-04 op2nd     op2ndb
 6-Oct-04 op1st     op1stb
 3-Oct-04 ind       nnind
 3-Oct-04 sylan5    sylan2
 3-Oct-04 sylan5b   sylan2b
 3-Oct-04 sylan5br  sylan2br
 3-Oct-04 sylan5d   sylan2i
 3-Oct-04 zind      ---         obsolete; use uzind
30-Sep-04 fvop      funfvop
30-Sep-04 funfvop   funopfv
30-Sep-04 pm4.21    bicom
30-Sep-04 bicom     bicomi
30-Sep-04 entr      entri
30-Sep-04 sstr2qqq  sstr
30-Sep-04 sstr      sstr2
30-Sep-04 sstr2     sstr2qqq
29-Sep-04 xp0qqq    xp0r
29-Sep-04 xp0r      xp0
29-Sep-04 xp0       xp0qqq
28-Sep-04 xpdom     xpdom2      changed variable names
28-Sep-04 xpdom2    xpdom3
26-Sep-04 xpindi    inxp
26-Sep-04 xpun1     xpundi
26-Sep-04 xpun2     xpundir
25-Sep-04 entr      entrt
23-Sep-04 ssfnres   ---         obsolete; use fnssres instead
23-Sep-04 resun     resundi
21-Sep-04 f11       [--same--]  changed o.p. membership to binary relation
21-Sep-04 unisuc    [--same--]  swapped arguments of = sign
21-Sep-04 onunisuc  [--same--]  swapped arguments of = sign
21-Sep-04 undif3    ---         obsolete; use undif
21-Sep-04 ssequn2   [--same--]  swapped arguments of = sign
21-Sep-04 sseqin2   [--same--]  swapped arguments of = sign
21-Sep-04 onelun    [--same--]  swapped arguments of = sign
21-Sep-04 dfss4     [--same--]  swapped arguments of = sign
21-Sep-04 ordunisuc ordunisssuc
21-Sep-04 ssfun     funss
15-Sep-04 19.6      alex
15-Sep-04 alex      alexeq
15-Sep-04 19.11     excom
15-Sep-04 19.11a    excomim
15-Sep-04 19.5      alcom
15-Sep-04 19.7      alnex
15-Sep-04 19.14     exnal
15-Sep-04 alnex     alinexa
15-Sep-04 exnal     exanali
15-Sep-04 dmsn      dmsnop
15-Sep-04 rnsn      rnsnop
13-Sep-04 ppnull    pwpw0
13-Sep-04 pwnull    pw0
13-Sep-04 zfnull2   zfnul
13-Sep-04 nullpss   0pss
13-Sep-04 nullss    0ss
13-Sep-04 nulleq    eq0
13-Sep-04 nnull     n0
13-Sep-04 nnullf    n0f
13-Sep-04 xpdisj    xpsndisj
13-Sep-04 subdist   subdi
13-Sep-04 negdist   negdi
13-Sep-04 nndist    nndi
13-Sep-04 xpindist  inxp
11-Sep-04 ssd       sseld
11-Sep-04 ssi       sseli
11-Sep-04 vtoclab   elab2
11-Sep-04 vtoclabg  elab2g
11-Sep-04 elab2g    elab3g
 6-Sep-04 comm      com12
 4-Sep-04 opabval   fvopab3
 4-Sep-04 opabvalig fvopab3ig
 4-Sep-04 opabval2g fvopab4g
 4-Sep-04 opabval2  fvopab4
 3-Sep-04 undif2    difun2
 1-Sep-04 dedlem2   [--same--]  swapped arguments of = sign
 1-Sep-04 dedlem1   [--same--]  swapped arguments of = sign
31-Aug-04 pm2.16d   con3d
31-Aug-04 pm2.03d   con2d
31-Aug-04 pm2.15d   con1d
31-Aug-04 pm2.16    con3
31-Aug-04 pm2.03    con2
31-Aug-04 pm2.15    con1
31-Aug-04 con3      con3i
31-Aug-04 con2      con2i
31-Aug-04 con1      con1i
29-Aug-04 oprabelrn elrnoprab
27-Aug-04 ssequn1   [--same--]  swapped arguments of = sign
27-Aug-04 df-ss     dfss
27-Aug-04 imdistanb ---         obsolete; use imdistan
27-Aug-04 imdistan  [--same--]  now includes converse
17-Aug-04 difun2    [--same--]  swapped arguments of = sign
17-Aug-04 undif1    [--same--]  swapped arguments of = sign and union
17-Aug-04 difin     [--same--]  swapped arguments of = sign
17-Aug-04 unindistr undir
17-Aug-04 unindist  undi
17-Aug-04 inundistr indir
17-Aug-04 inundist  indi
17-Aug-04 indist    inindi
16-Aug-04 ss2un     unss12      order of variables changed
15-Aug-04 funmo,dffunmof,dffunmo
                    [--same--]  ordered pair membership -> binary relation
15-Aug-04 dfrel2    [--same--]  swapped arguments of = sign
12-Aug-04 unxp      xpundir
11-Aug-04 elima2    elima3
11-Aug-04 reluni    [--same--]  restricted quantifier and added converse
 9-Aug-04 imun      imaun
 3-Aug-04 1id       om1
 3-Aug-04 oalim     [--same--]  conjoined antecedents; now uses indexed union
 3-Aug-04 divdiv23  divdiv23z
 3-Aug-04 divdiv23i divdiv23
 2-Aug-04 divrec,divrecz [--same--] swapped A and B
 2-Aug-04 zq        zqt
 2-Aug-04 qre       qret
 1-Aug-04 mulcant  [--same--]  swapped conjunct in antecedent
 1-Aug-04 axrecex,axrrecex,divclt,divcan1t,divcan2t,recidt,divdistrt,divrclt
                    [--same--]  conjoined the two left-most antecedents
 1-Aug-04 peano1c   1nn
 1-Aug-04 1nn       1onn
28-Jul-04 sbco0     sbid2
28-Jul-04 sbid2     sbid2v
26-Jul-04 cardonval oncardval
15-Jun-04 ssin      [--same--]  swapped biconditional order
15-Jun-04 unss      [--same--]  swapped biconditional order
11-Jun-04 dfun2     df-un
11-Jun-04 df-un     dfun2
11-Jun-04 dfin2     df-in
11-Jun-04 df-in     dfin2
 3-Jun-04 ssintss   intss
 3-Jun-04 intss     intss1
30-May-04 r1clos    r1pwcl      now uses antecedent instead of hypothesis
30-May-04 r1powt    r1pw
28-May-04 sqvalt    ---         obsolete; use exp2
28-May-04 expntwo   exp2
28-May-04 expnone   ---         obsolete; use expp1t
28-May-04 expnsuc   ---         obsolete; use expp1t
28-May-04 expnzer   ---         obsolete; use exp0t
26-May-04 ontrt     ---         obsolete; use onelon instead
26-May-04 ddelim*   [--same--]  (*=wildcard) changed order of hypotheses
21-May-04 fvcnvb    f1ocnvfvb
21-May-04 fvcnv     f1ocnvfv
21-May-04 sbcb      sbcbidig    now uses antecedent instead of hypothesis
21-May-04 sbci      sbcimg
21-May-04 sbb       sbbi
21-May-04 sbo       sbor
21-May-04 sbi       sbim
21-May-04 sbim      sbimi
21-May-04 sba       sban
21-May-04 fvelrn    [--same--]  changed to restricted quantifier
 8-Feb-04 zfpowb    pwexb
 8-Feb-04 zfpowcl   pwex
 8-Feb-04 zfnull    0ex
 8-Feb-04 limelon   [--same--]  changed first -> to /\ in antecedent


=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           2. Finding shorter proofs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

I like shorter proofs, and any shorter proof I accept will be acknowledged.

Usually I will automatically accept shorter proofs that (1) shorten the set.mm
file (with compressed proofs), (2) reduce the size of the HTML file generated
with SHOW STATEMENT xx / HTML, (3) use only existing, unmodified theorems in
the database (the order of theorems may be changed though), (4) use no
additional axioms, and (5) involve none of the special cases listed below.

Usually I will also automatically accept a _new_ theorem that is used to
shorten multiple proofs, if the total size of set.mm (including the comment of
the new theorem) decreases as a result.

In borderline cases, I may choose to look primarily at the number of compressed
proof steps with less weight on the length of the label section (since the
names are in principal arbitrary).  If two proofs have the same number of
compressed proof steps, I will typically give preference to the one with the
smaller number of different labels, or if these are the same, the proof with
the fewest number of characters that the proofs happen to have by chance when
label lengths are included.

The remainder of this section lists theorems that purposely do not have
shortest proofs for various reasons.  It is primarily a reminder to myself and
normally you don't have to worry about it.  In the list, theorem names are
surrounded by whitespace to facilitate future label changes.

The proofs of id1 , snex , sbth , ordon , ltso and several other theorems (in
particular ones avoiding ax-reg and ax-ac ) could be made shorter but are
longer to illustrate specific points or to avoid specific axioms.

The following proofs should not be MINIMIZE_WITH'ed in the Proof Assistant,
since they are for illustrative purposes, have proofs that avoid certain
axioms, or involve areas I want to rework in the future.

   " id1 " using anything
   " dfbi1gb " using anything
   " con3th " using " con3 "
   " merlem1 " through " ax3 " using anything
   " ax4-* " using " ax-4 "
   " ax6-* " using " ax-6o "
   " ax7-* " using " ax-7 "
   " hbequid " using " equid "
   " dvelimf " using " dvelimfALT "
   anything using " om0x " (i.e. don't use om0x - use om0 instead)
   " dtru " , " dtruALT " , " ax16 " using anything
   " pwpw0 " using " pwsn "
   " omex " using " inf3 "
   " pjpj " using " pjpj0 "
   " pjoml " using " omls "
   " pjococ " using " omlsi "
   " pjococ " using " ococ "
   " pjpjtht " using " pjtht "
   " pjpjth " using " pjth "

In set theory, don't use equequ1 , equequ2 , elequ1 , elequ2 - use the set
theory versions eqeq1 , eqeq2 , eleq1 , eleq2 instead.

Don't use ax17eq or ax17el - use ax-17 instead.

Don't use elirr if efrirr , ordirr , or onirr can be used (to avoid the Axiom
of Regularity when it is not needed).

Always use weq, wel, wsb instead of wceq, wcel, wsbc in predicate calculus.
The opposite applies to set theory.  If e.g. weq is accidentally used in set
theory, "minimize_with wceq / allow_growth" in the Proof Assistant will replace
it with wceq.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                             3. Bibliography
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Bibliographical references are made by bracketing an identifer in a theorem's
comment, such as [RussellWhitehead].  These refer to HTML tags on the following
web pages:

  Logic and set theory - see http://us.metamath.org/mpegif/mmset.html#bib
  Hilbert space - see http://us.metamath.org/mpegif/mmhil.html#ref


=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                           4. Quick "How To"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

How to use this file under Windows 95/98/NT/2K/XP/Vista:

1. Download the program metamath.exe per the instructions on the
   Metamath home page (http://us.metamath.org) and put it in the same
   directory as this file (set.mm).
2. In Windows Explorer, double-click on metamath.exe.
3. Type "read set.mm" and press Enter.
4. Type "help" for a list of help topics, and "help demo" for some
   command examples.


=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      5. Metamath syntax summary
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

The HELP LANGUAGE command in the Metamath program will give you a quick
overview of Metamath.  Syntax summary:

          $c ... $. - Constant declaration
          $v ... $. - Variable declaration
          $d ... $. - Disjoint (distinct) variable restriction
  <label> $f ... $. - "Floating" hypothesis (i.e. variable type declaration)
  <label> $e ... $. - "Essential" hypothesis (i.e. a logical assumption for a
                      theorem or axiom)
  <label> $a ... $. - Axiom or definition or syntax construction
  <label> $p ... $= ... $. - Theorem and its proof
          ${ ... $} - Block for defining the scope of the above statements
                      (except $a, $p which are forever active)
$)        $( ... $) $( - Comments (may not be nested); see HELP LANGUAGE
                         for markup features
          $[ ... $] - Include a file

The above tokens (i.e. those beginning with "$") are the ONLY primitives built
into the Metamath language.  The only 'logic' Metamath uses in its proof
verification algorithm is the substitution of expressions for variables while
checking for distinct variable violations.  EVERYTHING ELSE, including the
axioms for logic, is defined in this database file.

Here is some more detail about the syntax.  A <token> may not contain the "$"
character but may contain any other non-whitespace printable character.  A
<label> may contain only alphanumeric characters and the characters ".-_".
Tokens and labels are case-sensitive.

          $c <tokenlist> $. <tokenlist> is a (whitespace-separated) list of
                            distinct tokens unused in current scope.
          $v <tokenlist> $. <tokenlist> is a (whitespace-separated) list of
                            distinct tokens unused in current scope.
          $d <tokenlist> $. <tokenlist> is a (whitespace-separated) list of
                            distinct tokens previously declared with $v in
                            current scope.  It means that substitutions into
                            these tokens may not have variables in common.
  <label> $f <tokenlist> $. <tokenlist> is a list of 2 tokens, the first of
                            which must be previously declared with $c
                            in the current scope.
  <label> $e <tokenlist> $. <tokenlist> is a list of 2 or more tokens, the
                            first of which must be previously declared with $c
                            in the current scope.
  <label> $a <tokenlist> $. <tokenlist> is a list of 2 or more tokens, the
                            first of which must be previously declared with $c
                            in the current scope.
  <label> $p <tokenlist> $= <proof> $. <tokenlist> is a list of 2 or more
                            tokens, the first of which must be previously
                            declared with $c in the current scope.  <proof> is
                            either a whitespace-delimited sequence of previous
                            labels (created by SAVE PROOF <label> /NORMAL) or a
                            compressed proof (created by SAVE PROOF <label>
                            /COMPRESSED).  After using SAVE PROOF, use
                            WRITE SOURCE to save the database file to disk.
          ${ ... $} - Block for scoping the above statements (except $a, $p
                      which are forever active)
$)        $( <any text> $) $( Comment.  Note: <any text> may not contain
                             adjacent "$" and ")" characters.
          $[ <filename> $]   Insert contents of <filename> at this point.
                             If <filename> is current file or has been already
                             been inserted, it will not be inserted again.

Inside of comments, it is recommended that labels be preceded with a tilde (~)
and math symbol tokens be enclosed in grave accents (` `).  This way the LaTeX
and HTML rendition of comments will be accurate, and (future) tools to globally
change labels and math symbols will also change them in comments.  Note that ``
inside of grave accents is interpreted as a single ` . See HELP LANGUAGE for
other markup features in comments.

The proofs in this file are in "compressed" format for storage efficiency.  The
Metamath program reads the compressed format directly.  This format is
described in an Appendix of the Metamath book.  It is not intended to be read
by humans.  For viewing proofs you should use the various SHOW PROOF commands
described in the Metamath book (or the on-line HELP).


=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                          6. Other notes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

1. It is recommended that you be familiar with chapters 2 and 4 of the
'Metamath' book to understand the Metamath language.  Chapters 2, 3 and 5
explain how to use the program.  Chapter 3 gives you an informal overview of
what this source file is all about.  Appendix A shows you the standard
mathematical symbols corresponding to some of the ASCII tokens in this file.

The ASCII tokens may seem cryptic at first, even if you are familiar with set
theory, but a review of the definition summary in Chapter 3 should quickly
enable you to see the correspondence to standard mathematical notation.  To
easily find the definition of a token, search for the first occurrences of the
token surrounded by spaces.  Some odd-looking ones include "-." for "not", and
"(_" for "is a subset of."  (HELP TEX tells you how to obtain a LaTeX output to
see the real mathematical symbols.)  Let me know if you have better suggestions
for naming ASCII tokens.

2. Logic and set theory provide a foundation for all of mathematics.  To learn
about them, you should study one or more of the references listed below.  The
textbooks provide a motivation for what we are doing, whereas Metamath lets you
see in detail all hidden and implicit steps.  Most standard theorems are
accompanied by citations.  Some closely followed texts include the following:

  Axioms of propositional calculus - [Margaris].
  Axioms of predicate calculus - [Megill] (System S3' in the article
      referenced).
  Theorems of propositional calculus - [WhiteheadRussell].
  Theorems of pure predicate calculus - [Margaris].
  Theorems of equality and substitution - [Monk2], [Tarski], [Megill].
  Axioms of set theory - [BellMachover].
  Development of set theory - [TakeutiZaring].  (The first part of [Quine]
      has a good explanation of the powerful device of "virtual" or
      class abstractions, which is essential to our development.)
  Construction of real and complex numbers - [Gleason]
  Theorems about real numbers - [Apostol]

3. Convention:  All $a statements starting with "|-" have labels starting with
"ax-" (axioms) or "df-" (definitions).  "ax-" corresponds to what is
traditionally called an axiom.  "df-" introduces new symbols or a new
relationship among symbols that can be eliminated; they always extend the
definition of a wff or class.  Metamath blindly treats $a statements as new
facts but does not try to justify them; their justification is the job of
mathematicians and philosophers.  Generally our philosophy is to make
definitions easy to eliminate by simple symbol substitutions.

4. Our method of definition, the axioms for predicate calculus, and the
development of substitution are somewhat different from those found in standard
texts.  The axioms were designed for direct derivation of standard results
without excessive use of metatheorems.  (See Theorem 9.7 of [Megill] for a
rigorous justification.)  Typically we are minimalist when introducing new
definitions; they are introduced only when a clear advantage becomes apparent
for reducing the number of symbols, shortening proofs, etc.  We generally avoid
the introduction of gratuitous definitions because each one requires associated
theorems and additional elimination steps in proofs.

5. For the most part, the notation attempts to conform to modern conventions,
with variations due to our choice of the axiom system or to make proofs
shorter.  Listed below are some important conventions and how they correspond
to textbook language.  The notation is usually explained in more detail when
first introduced.

  Typically, Greek letters (ph = phi, ps = psi, ch = chi, etc.) are used for
      propositional (wff) variables; x,y,z,... for individual (i.e. set)
      variables; and A,B,C,... for class variables.
  "|-", meaning "It is provable that," is the first token of all assertions
      and hypotheses that aren't syntax constructions.  This is a standard
      convention in logic.  For us, it also prevents any ambiguity with
      statements that are syntax constructions, such as "wff -. ph".
  "$e |- ( ph -> A. x ph ) $." should be read "Assume variable x is
      (effectively) not free in wff phi."  Literally, this says "Assume it is
      provable that phi implies for all x phi."
  "|- ( -. A. x x = y -> ..." should be read "If x and y are distinct
      variables, then..."  This antecedent provides us with a technical
      device (called a "distinctor" in [Megill]) to avoid the need for the
      $d statement early in our development of predicate calculus, permitting
      unrestricted substitituions as conceptually simple as those in
      propositional calculus.  However, the $d eventually becomes a
      requirement, and after that this device is rarely used.
  "[ y / x ] ph" should be read "the wff that results when y is properly
      substituted for x in ph."
  "$d x y $." should be read "Assume x and y are distinct variables."
  "$d x ph $." should be read "Assume x does not occur in phi $."  Sometimes
      a theorem is proved with "$e |- ( ph -> A. x ph ) $." in place of
      "$d x ph $." when a more general result is desired; ~ ax-17 can be used
      to derive the $d version.  For an example of how to get from the $d
      version back to the $e version, see the proof of ~ euf from ~ df-eu .
  "$d x A $." should be read "Assume x is not a variable occurring in class
      A."
  "$d x A $.  $d x ps $.  $e |- ( x = A -> ( ph <-> ps ) ) $." is an idiom
      often used instead of explicit substitution, meaning "Assume psi results
      from the substitution of A for x in phi."
  "$e |- A e. V $." should be read "Assume class A is a set (i.e. exists)."
      This is a convenient convention used by [Quine].
  "$d x y $.  $e |- y e. A -> A. x y e. A $." should be read "Assume x is
      (effectively) not a free variable in class A."
  "`' R" should be read "converse of (relation) R" and is the same as
      the more standard notation R^{-1}.
  "( f ` x )" should be read "the value of function f at x" and is the same
      as the more familiar f(x).
  The Deduction Theorem of standard logic is never used.  Instead, in
      set theory we use other tricks to make a $e hypothesis become
      an antecedent.  See the comment for theorem ~ dedth below.

$)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                           Pre-logic
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( Declare the primitive constant symbols for propositional calculus. $)
  $c ( $.  $( Left parenthesis $)
  $c ) $.  $( Right parenthesis $)
  $c -> $. $( Right arrow (read:  "implies") $)
  $c -. $. $( Right handle (read:  "not") $)
  $c wff $. $( Well-formed formula symbol (read:  "the following symbol
               sequence is a wff") $)
  $c |- $. $( Turnstile (read:  "the following symbol sequence is provable" or
              'a proof exists for") $)

  $( Introduce some variable names we will use to represent well-formed
     formulas (wff's). $)
  $v ph $. $( Greek phi $)
  $v ps $.  $( Greek psi $)
  $v ch $.  $( Greek chi $)
  $v th $.  $( Greek theta $)
  $v ta $.  $( Greek tau $)

  $( Specify some variables that we will use to represent wff's.
     The fact that a variable represents a wff is relevant only to a theorem
     referring to that variable, so we may use $f hypotheses.  The symbol
     ` wff ` specifies that the variable that follows it represents a wff. $)
  $( Let variable ` ph ` be a wff. $)
  wph $f wff ph $.
  $( Let variable ` ps ` be a wff. $)
  wps $f wff ps $.
  $( Let variable ` ch ` be a wff. $)
  wch $f wff ch $.
  $( Let variable ` th ` be a wff. $)
  wth $f wff th $.
  $( Let variable ` ta ` be a wff. $)
  wta $f wff ta $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Dummy link theorem for assisting proof development
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    dummylink.1 $e |- ph $.
    dummylink.2 $e |- ps $.
    $( (_Note_:  This theorem will never appear in a completed proof and can be
       ignored if you are using this database to learn logic - please start
       with the next statement, ~ wn .)

       This is a technical theorem to assist proof development.  It provides a
       temporary way to add an independent subproof to a proof under
       development, for later assignment to a normal proof step.

       The Metamath program's Proof Assistant requires proofs to be developed
       backwards from the conclusion with no gaps, and it has no mechanism that
       lets the user to work on isolated subproofs.  This theorem provides a
       workaround for this limitation.  It can be inserted at any point in a
       proof to allow an independent subproof to be developed on the side, for
       later use as part of the final proof.

       _Instructions_:  (1) Assign this theorem to any unknown step in the
       proof.  Typically, the last unknown step is the most convenient, since
       'assign last' can be used.  This step will be replicated in hypothesis
       dummylink.1, from where the development of the main proof can continue.
       (2) Develop the independent subproof backwards from hypothesis
       dummylink.2.  If desired, use a 'let' command to pre-assign the
       conclusion of the independent subproof to dummylink.2.  (3) After the
       independent subproof is complete, use 'improve all' to assign it
       automatically to an unknown step in the main proof that matches it.
       (4) After the entire proof is complete, use
       'minimize */n/b/e 3syl,we?,wsb' to clean up (discard) all dummylink
       references automatically.

       This theorem was originally designed to assist importing partially
       completed Proof Worksheets from Mel O'Cat's mmj2 Proof Assistant GUI,
       but it can also be useful on its own.  Interestingly, this "theorem" -
       or more precisely, inference - requires no axioms for its proof. $)
    dummylink $p |- ph $=
      (  ) C $.
      $( [8-Feb-2006] $) $( [7-Feb-2006] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                           Propositional calculus
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Recursively define primitive wffs for propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( If ` ph ` is a wff, so is ` -. ph ` or "not ` ph ` ."  Part of the
     recursive definition of a wff (well-formed formula).  In classical logic
     (which is our logic), a wff is interpreted as either true or false.
     So if ` ph ` is true, then ` -. ph ` is false; if ` ph ` is false, then
     ` -. ph ` is true.  Traditionally, Greek letters are used to represent
     wffs, and we follow this convention.  In propositional calculus, we define
     only wffs built up from other wffs, i.e. there is no starting or "atomic"
     wff.  Later, in predicate calculus, we will extend the basic wff
     definition by including atomic wffs ( ~ weq and ~ wel ). $)
  wn $a wff -. ph $.

  $( If ` ph ` and ` ps ` are wff's, so is ` ( ph -> ps ) ` or " ` ph ` implies
     ` ps ` ."  Part of the recursive definition of a wff.  The resulting wff
     is (interpreted as) false when ` ph ` is true and ` ps ` is false; it is
     true otherwise.  (Think of the truth table for an OR gate with input
     ` ph ` connected through an inverter.)  The left-hand wff is called the
     antecedent, and the right-hand wff is called the consequent.  In the case
     of ` ( ph -> ( ps -> ch ) ) ` , the middle ` ps ` may be informally called
     either an antecedent or part of the consequent depending on context. $)
  wi $a wff ( ph -> ps ) $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The axioms of propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $(
     Postulate the three axioms of classical propositional calculus.
  $)

  $( Axiom _Simp_.  Axiom A1 of [Margaris] p. 49.  One of the 3 axioms of
     propositional calculus.  The 3 axioms are also given as Definition 2.1
     of [Hamilton] p. 28.  This axiom is called _Simp_ or "the principle of
     simplification" in _Principia Mathematica_ (Theorem *2.02 of
     [WhiteheadRussell] p. 100) because "it enables us to pass from the joint
     assertion of ` ph ` and ` ps ` to the assertion of ` ph ` simply."

     _General remarks_:  Propositional calculus (axioms ~ ax-1 through ~ ax-3
     and rule ~ ax-mp ) can be thought of as asserting formulas that are
     universally "true" when their variables are replaced by any combination
     of "true" and "false."  Propositional calculus was first formalized by
     Frege in 1879, using as his axioms (in addition to rule ~ ax-mp ) the
     wffs ~ ax-1 , ~ ax-2 , ~ pm2.04 , ~ con3 , ~ nega , and ~ negb .  Around
     1930, Lukasiewicz simplified the system by eliminating the third (which
     follows from the first two, as you can see by looking at the proof of
     ~ pm2.04 ) and replacing the last three with our ~ ax-3 .  (Thanks to Ted
     Ulrich for this information.)

     The theorems of propositional calculus are also called _tautologies_.
     Tautologies can be proved very simply using truth tables, based on the
     true/false interpretation of propositional calculus.  To do this, we
     assign all possible combinations of true and false to the wff variables
     and verify that the result (using the rules described in ~ wi and ~ wn )
     always evaluates to true.  This is called the _semantic_ approach.  Our
     approach is called the _syntactic_ approach, in which everything is
     derived from axioms.  A metatheorem called the Completeness Theorem for
     Propositional Calculus shows that the two approaches are equivalent and
     even provides an algorithm for automatically generating syntactic proofs
     from a truth table.  Those proofs, however, tend to be long, and the
     much shorter proofs that we show here were found manually.  Truth tables
     grow exponentially with the number of variables, but it is unknown if the
     same is true of proofs - an answer to this would resolve the P=NP
     conjecture in complexity theory. $)
  ax-1 $a |- ( ph -> ( ps -> ph ) ) $.
  $( [ ?] $) $( [ ?] $)

  $( Axiom _Frege_.  Axiom A2 of [Margaris] p. 49.  One of the 3 axioms of
     propositional calculus.  It "distributes" an antecedent over two
     consequents.  This axiom was part of Frege's original system and is known
     as _Frege_ in the literature.  It is also proved as Theorem *2.77 of
     [WhiteheadRussell] p. 108.  The other direction of this axiom also
     turns out to be true, as demonstrated by ~ pm5.41 . $)
  ax-2 $a |- ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $.

  $( Axiom _Transp_.  Axiom A3 of [Margaris] p. 49.  One of the 3 axioms of
     propositional calculus.  It swaps or "transposes" the order of the
     consequents when negation is removed.  An informal example is that the
     statement "if there are no clouds in the sky, it is not raining" implies
     the statement "if it is raining, there are clouds in the sky."  This
     axiom is called _Transp_ or "the principle of transposition" in
     _Principia Mathematica_ (Theorem *2.17 of [WhiteheadRussell] p. 103).
     We will also use the term "contraposition" for this principle, although
     the reader is advised that in the field of philosophical logic,
     "contraposition" has a different technical meaning. $)
  ax-3 $a |- ( ( -. ph -> -. ps ) -> ( ps -> ph ) ) $.

  $(
     Postulate the modus ponens rule of inference.
  $)

  ${
    $( Minor premise for modus ponens. $)
    min $e |- ph $.
    $( Major premise for modus ponens. $)
    maj $e |- ( ph -> ps ) $.
    $( Rule of Modus Ponens.  The postulated inference rule of propositional
       calculus.  See e.g. Rule 1 of [Hamilton] p. 73.  The rule says, "if
       ` ph ` is true, and ` ph ` implies ` ps ` , then ` ps ` must also be
       true."  This rule is sometimes called "detachment," since it detaches
       the minor premise from the major premise. $)
    ax-mp $a |- ps $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Logical implication
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$( The results in this section make use of the first 2 axioms only.  In
   an implication, the wff before the arrow is called the "antecedent"
   and the wff after the arrow is called the "consequent." $)

$( We will use the following descriptive terms very loosely:  A "theorem"
   usually has no $e hypotheses.  An "inference" has one or more $e hypotheses.
   A "deduction" is an inference in which the hypotheses and the result
   share the same antecedent. $)

  ${
    $( Premise for ~ a1i . $)
    a1i.1 $e |- ph $.
    $( Inference derived from axiom ~ ax-1 .  See ~ a1d for an explanation of
       our informal use of the terms "inference" and "deduction." $)
    a1i $p |- ( ps -> ph ) $=
      ( wi ax-1 ax-mp ) ABADCABEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $( Premise for ~ a2i . $)
    a2i.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference derived from axiom ~ ax-2 . $)
    a2i $p |- ( ( ph -> ps ) -> ( ph -> ch ) ) $=
      ( wi ax-2 ax-mp ) ABCEEABEACEEDABCFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $( First of 2 premises for ~ syl . $)
    syl.1 $e |- ( ph -> ps ) $.
    $( Second of 2 premises for ~ syl . $)
    syl.2 $e |- ( ps -> ch ) $.
    $( An inference version of the transitive laws for implication ~ imim2 and
       ~ imim1 , which Russell and Whitehead call "the principle of the
       syllogism...because...the syllogism in Barbara is derived from them"
       (quote after Theorem *2.06 of [WhiteheadRussell] p. 101).  Some authors
       call this law a "hypothetical syllogism."

       (A bit of trivia:  this is the most commonly referenced assertion in our
       database.  In second place is ~ ax-mp , followed by ~ visset , ~ bitr ,
       ~ imp , and ~ ex .  The Metamath program command 'show usage' shows the
       number of references.) $)
    syl $p |- ( ph -> ch ) $=
      ( wi a1i a2i ax-mp ) ABFACFDABCBCFAEGHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    $( Premise for ~ com12 .  See ~ pm2.04 for the theorem form. $)
    com12.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference that swaps (commutes) antecedents in an implication. $)
    com12 $p |- ( ps -> ( ph -> ch ) ) $=
      ( wi ax-1 a2i syl ) BABEACEBAFABCDGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    a1d.1 $e |- ( ph -> ps ) $.
    $( Deduction introducing an embedded antecedent.  (The proof was revised by
       Stefan Allan, 20-Mar-2006.)

       _Naming convention_:  We often call a theorem a "deduction" and suffix
       its label with "d" whenever the hypotheses and conclusion are each
       prefixed with the same antecedent.  This allows us to use the theorem in
       places where (in traditional textbook formalizations) the standard
       Deduction Theorem would be used; here ` ph ` would be replaced with a
       conjunction ( ~ df-an ) of the hypotheses of the would-be deduction.  By
       contrast, we tend to call the simpler version with no common antecedent
       an "inference" and suffix its label with "i"; compare theorem ~ a1i .
       Finally, a "theorem" would be the form with no hypotheses; in this case
       the "theorem" form would be the original axiom ~ ax-1 .  In
       propositional calculus we usually prove the theorem form first without a
       suffix on its label (e.g.  ~ pm2.43 vs.  ~ pm2.43i vs.  ~ pm2.43d ), but
       (much) later we often suffix the theorem form's label with "t" as in
       ~ negnegt vs. ~ negneg , especially when our "weak deduction theorem"
       ~ dedth is used to prove the theorem form from its inference form.  When
       an inference is converted to a theorem by eliminating an "is a set"
       hypothesis, we sometimes suffix the theorem form with "g" (for somewhat
       overstated "generalized") as in ~ uniex vs.  ~ uniexg . $)
    a1d $p |- ( ph -> ( ch -> ps ) ) $=
      ( wi ax-1 syl ) ABCBEDBCFG $.
      $( [20-Mar-2006] $) $( [5-Aug-1993] $)
  $}

  ${
    a2d.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Deduction distributing an embedded antecedent. $)
    a2d $p |- ( ph -> ( ( ps -> ch ) -> ( ps -> th ) ) ) $=
      ( wi ax-2 syl ) ABCDFFBCFBDFFEBCDGH $.
      $( [23-Jun-1994] $)
  $}

  $( A closed form of syllogism (see ~ syl ).  Theorem *2.05 of
     [WhiteheadRussell] p. 100. $)
  imim2 $p |- ( ( ph -> ps ) -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) $=
    ( wi ax-1 a2d ) ABDZCABGCEF $.
    $( [5-Aug-1993] $)

  $( A closed form of syllogism (see ~ syl ).  Theorem *2.06 of
     [WhiteheadRussell] p. 100. $)
  imim1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi imim2 com12 ) BCDABDACDBCAEF $.
    $( [5-Aug-1993] $)

  ${
    imim1i.1 $e |- ( ph -> ps ) $.
    $( Inference adding common consequents in an implication, thereby
       interchanging the original antecedent and consequent. $)
    imim1i $p |- ( ( ps -> ch ) -> ( ph -> ch ) ) $=
      ( wi imim1 ax-mp ) ABEBCEACEEDABCFG $.
      $( [5-Aug-1993] $)

    $( Inference adding common antecedents in an implication. $)
    imim2i $p |- ( ( ch -> ph ) -> ( ch -> ps ) ) $=
      ( wi a1i a2i ) CABABECDFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    imim12i.1 $e |- ( ph -> ps ) $.
    imim12i.2 $e |- ( ch -> th ) $.
    $( Inference joining two implications. $)
    imim12i $p |- ( ( ps -> ch ) -> ( ph -> th ) ) $=
      ( wi imim2i imim1i syl ) BCGBDGADGCDBFHABDEIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    imim3i.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference adding three nested antecedents. $)
    imim3i $p |- ( ( th -> ph ) -> ( ( th -> ps ) -> ( th -> ch ) ) ) $=
      ( wi imim2i a2d ) DAFDBCABCFDEGH $.
      $( [19-Dec-2006] $) $( [19-Dec-2006] $)
  $}

  ${
    3syl.1 $e |- ( ph -> ps ) $.
    3syl.2 $e |- ( ps -> ch ) $.
    3syl.3 $e |- ( ch -> th ) $.
    $( Inference chaining two syllogisms. $)
    3syl $p |- ( ph -> th ) $=
      ( syl ) ACDABCEFHGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl5.2 $e |- ( th -> ps ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the second antecedent of the first premise. $)
    syl5 $p |- ( ph -> ( th -> ch ) ) $=
      ( wi imim1i syl ) ABCGDCGEDBCFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6.2 $e |- ( ch -> th ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise. $)
    syl6 $p |- ( ph -> ( ps -> th ) ) $=
      ( wi imim2i syl ) ABCGBDGECDBFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl7.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl7.2 $e |- ( ta -> ch ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the third antecedent of the first premise. $)
    syl7 $p |- ( ph -> ( ps -> ( ta -> th ) ) ) $=
      ( wi imim1i syl6 ) ABCDHEDHFECDGIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl8.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl8.2 $e |- ( th -> ta ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise. $)
    syl8 $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi imim2i syl6 ) ABCDHCEHFDECGIJ $.
      $( [1-Aug-1994] $)
  $}

  ${
    imim2d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding nested antecedents. $)
    imim2d $p |- ( ph -> ( ( th -> ps ) -> ( th -> ch ) ) ) $=
      ( wi a1d a2d ) ADBCABCFDEGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpd.1 $e |- ( ph -> ps ) $.
    mpd.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A modus ponens deduction. $)
    mpd $p |- ( ph -> ch ) $=
      ( wi a2i ax-mp ) ABFACFDABCEGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syld.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( Syllogism deduction.  (The proof was shortened by O'Cat, 19-Feb-2008. $)
    syld $p |- ( ph -> ( ps -> th ) ) $=
      ( wi imim2d mpd ) ABCGBDGEACDBFHI $.
      $( [19-Feb-2008] $) $( [5-Aug-1993] $)
  $}

  ${
    imim1d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding nested consequents. $)
    imim1d $p |- ( ph -> ( ( ch -> th ) -> ( ps -> th ) ) ) $=
      ( wi imim1 syl ) ABCFCDFBDFFEBCDGH $.
      $( [3-Apr-1994] $)
  $}

  ${
    imim12d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    imim12d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Deduction combining antecedents and consequents. $)
    imim12d $p |- ( ph -> ( ( ch -> th ) -> ( ps -> ta ) ) ) $=
      ( wi imim1d imim2d syld ) ACDHBDHBEHABCDFIADEBGJK $.
      $( [7-Aug-1994] $)
  $}

  $( Swap antecedents.  Theorem *2.04 of [WhiteheadRussell] p. 100. $)
  pm2.04 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi ax-2 ax-1 syl5 ) ABCDDABDACDBABCEBAFG $.
    $( [5-Aug-1993] $)

  $( Theorem *2.83 of [WhiteheadRussell] p. 108. $)
  pm2.83 $p |-  ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ( ch -> th ) ) ->
                ( ph -> ( ps -> th ) ) ) ) $=
    ( wi imim1 imim3i ) BCECDEBDEABCDFG $.
    $( [13-Jan-2005] $) $( [3-Jan-2005] $)

  ${
    com3.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Commutation of antecedents.  Swap 2nd and 3rd. $)
    com23 $p |- ( ph -> ( ch -> ( ps -> th ) ) ) $=
      ( wi pm2.04 syl ) ABCDFFCBDFFEBCDGH $.
      $( [5-Aug-1993] $)

    $( Commutation of antecedents.  Swap 1st and 3rd. $)
    com13 $p |- ( ch -> ( ps -> ( ph -> th ) ) ) $=
      ( wi com12 com23 ) BCADFBACDABCDFEGHG $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Rotate left. $)
    com3l $p |- ( ps -> ( ch -> ( ph -> th ) ) ) $=
      ( com23 com13 ) ACBDABCDEFG $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Rotate right. $)
    com3r $p |- ( ch -> ( ph -> ( ps -> th ) ) ) $=
      ( com3l ) BCADABCDEFF $.
      $( [25-Apr-1994] $)
  $}

  ${
    com4.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $.
    $( Commutation of antecedents.  Swap 3rd and 4th. $)
    com34 $p |- ( ph -> ( ps -> ( th -> ( ch -> ta ) ) ) ) $=
      ( wi pm2.04 syl6 ) ABCDEGGDCEGGFCDEHI $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Swap 2nd and 4th. $)
    com24 $p |- ( ph -> ( th -> ( ch -> ( ps -> ta ) ) ) ) $=
      ( wi com34 com23 ) ADBCEABDCEGABCDEFHIH $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Swap 1st and 4th. $)
    com14 $p |- ( th -> ( ps -> ( ch -> ( ph -> ta ) ) ) ) $=
      ( wi com34 com13 ) DBACEABDCEGABCDEFHIH $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Rotate left.  (The proof was shortened by
       O'Cat, 15-Aug-2004.) $)
    com4l $p |- ( ps -> ( ch -> ( th -> ( ph -> ta ) ) ) ) $=
      ( wi com14 com3l ) DBCAEGABCDEFHI $.
      $( [15-Aug-2004] $) $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Rotate twice. $)
    com4t $p |- ( ch -> ( th -> ( ph -> ( ps -> ta ) ) ) ) $=
      ( com4l ) BCDAEABCDEFGG $.
      $( [25-Apr-1994] $)

    $( Commutation of antecedents.  Rotate right. $)
    com4r $p |- ( th -> ( ph -> ( ps -> ( ch -> ta ) ) ) ) $=
      ( com4t com4l ) CDABEABCDEFGH $.
      $( [25-Apr-1994] $)
  $}

  ${
    a1dd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction introducing a nested embedded antecedent.  (The proof was
       shortened by O'Cat, 15-Jan-2008.) $)
    a1dd $p |- ( ph -> ( ps -> ( th -> ch ) ) ) $=
      ( wi ax-1 syl6 ) ABCDCFECDGH $.
      $( [15-Jan-2008] $) $( [17-Dec-2004] $)
  $}

  ${
    mp2.1 $e |- ph $.
    mp2.2 $e |- ps $.
    mp2.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A double modus ponens inference. $)
    mp2 $p |- ch $=
      ( wi ax-mp ) BCEABCGDFHH $.
      $( [5-Apr-1994] $)
  $}

  ${
    mpi.1 $e |- ps $.
    mpi.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A nested modus ponens inference.  (The proof was shortened by Stefan
       Allan, 20-Mar-2006. $)
    mpi $p |- ( ph -> ch ) $=
      ( a1i mpd ) ABCBADFEG $.
      $( [20-Mar-2006] $) $( [5-Aug-1993] $)
  $}

  ${
    mpii.1 $e |- ch $.
    mpii.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A doubly nested modus ponens inference. $)
    mpii $p |- ( ph -> ( ps -> th ) ) $=
      ( wi com23 mpi ) ACBDGEABCDFHI $.
      $( [31-Dec-1993] $)
  $}

  ${
    mpdd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    mpdd.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A nested modus ponens deduction. $)
    mpdd $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a2d mpd ) ABCGBDGEABCDFHI $.
      $( [13-Dec-2004] $) $( [12-Dec-2004] $)
  $}

  ${
    mpid.1 $e |- ( ph -> ch ) $.
    mpid.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A nested modus ponens deduction. $)
    mpid $p |- ( ph -> ( ps -> th ) ) $=
      ( a1d mpdd ) ABCDACBEGFH $.
      $( [16-Dec-2004] $) $( [14-Dec-2004] $)
  $}

  ${
    mpdi.1 $e |- ( ps -> ch ) $.
    mpdi.2 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( A nested modus ponens deduction.  (The proof was shortened by O'Cat,
       15-Jan-2008.) $)
    mpdi $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a1i mpdd ) ABCDBCGAEHFI $.
      $( [15-Jan-2008] $) $( [16-Apr-2005] $)
  $}

  ${
    mpcom.1 $e |- ( ps -> ph ) $.
    mpcom.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Modus ponens inference with commutation of antecedents. $)
    mpcom $p |- ( ps -> ch ) $=
      ( com12 mpd ) BACDABCEFG $.
      $( [17-Mar-1996] $)
  $}

  ${
    syldd.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syldd.2 $e |- ( ph -> ( ps -> ( th -> ta ) ) ) $.
    $( Nested syllogism deduction. $)
    syldd $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi imim2 syl6 mpdd ) ABCDHZCEHZFABDEHLMHGDECIJK $.
      $( [13-Dec-2004] $) $( [12-Dec-2004] $)
  $}

  ${
    sylcom.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylcom.2 $e |- ( ps -> ( ch -> th ) ) $.
    $( Syllogism inference with commutation of antecedents.  (The proof was
       shortened by O'Cat, 2-Feb-2006 and shortened further by Stefan Allan,
       23-Feb-2006.) $)
    sylcom $p |- ( ph -> ( ps -> th ) ) $=
      ( wi a2i syl ) ABCGBDGEBCDFHI $.
      $( [24-Feb-2006] $) $( [29-Aug-2004] $)
  $}

  ${
    syl5com.2 $e |- ( ph -> ( ps -> ch ) ) $.
    syl5com.1 $e |- ( th -> ps ) $.
    $( Syllogism inference with commuted antecedents. $)
    syl5com $p |- ( th -> ( ph -> ch ) ) $=
      ( a1d sylcom ) DABCDBAFGEH $.
      $( [25-May-2005] $) $( [24-May-2005] $)
  $}

  ${
    syl6com.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6com.2 $e |- ( ch -> th ) $.
    $( Syllogism inference with commuted antecedents. $)
    syl6com $p |- ( ps -> ( ph -> th ) ) $=
      ( syl6 com12 ) ABDABCDEFGH $.
      $( [26-May-2005] $) $( [25-May-2005] $)
  $}

  ${
    syli.1 $e |- ( ps -> ( ph -> ch ) ) $.
    syli.2 $e |- ( ch -> ( ph -> th ) ) $.
    $( Syllogism inference with common nested antecedent. $)
    syli $p |- ( ps -> ( ph -> th ) ) $=
      ( com12 sylcom ) BACDECADFGH $.
      $( [5-Nov-2004] $) $( [4-Nov-2004] $)
  $}

  ${
    syl5d.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl5d.2 $e |- ( ph -> ( ta -> ch ) ) $.
    $( A nested syllogism deduction.  (The proof was shortened by Josh
       Purinton, 29-Dec-2000 and shortened further by O'Cat, 2-Feb-2006.) $)
    syl5d $p |- ( ph -> ( ps -> ( ta -> th ) ) ) $=
      ( wi a1d syldd ) ABECDAECHBGIFJ $.
      $( [3-Feb-2006] $) $( [5-Aug-1993] $)
  $}

  ${
    syl6d.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl6d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( A nested syllogism deduction.  (The proof was shortened by Josh
       Purinton, 29-Dec-2000 and shortened further by O'Cat, 2-Feb-2006.) $)
    syl6d $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( wi a1d syldd ) ABCDEFADEHBGIJ $.
      $( [3-Feb-2006] $) $( [5-Aug-1993] $)
  $}

  ${
    syl9.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl9.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( A nested syllogism inference with different antecedents.  (The proof
       was shortened by Josh Purinton, 29-Dec-2000.) $)
    syl9 $p |- ( ph -> ( th -> ( ps -> ta ) ) ) $=
      ( wi a1i syl5d ) ADCEBDCEHHAGIFJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl9r.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl9r.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( A nested syllogism inference with different antecedents. $)
    syl9r $p |- ( th -> ( ph -> ( ps -> ta ) ) ) $=
      ( wi syl9 com12 ) ADBEHABCDEFGIJ $.
      $( [5-Aug-1993] $)
  $}

  $( Principle of identity.  Theorem *2.08 of [WhiteheadRussell] p. 101.
     For another version of the proof directly from axioms, see ~ id1 .
     (The proof was shortened by Stefan Allan, 20-Mar-2006.) $)
  id $p |- ( ph -> ph ) $=
    ( wi ax-1 mpd ) AAABZAAACAECD $.
    $( [20-Mar-2006] $) $( [20-Mar-2006] $)

  $( Principle of identity.  Theorem *2.08 of [WhiteheadRussell] p. 101.  This
     version is proved directly from the axioms for demonstration purposes.
     This proof is a very popular example in the literature and is identical,
     step for step, to the proofs of Theorem 1 of [Margaris] p. 51,
     Example 2.7(a) of [Hamilton] p. 31, Lemma 10.3 of [BellMachover] p. 36,
     and Lemma 1.8 of [Mendelson] p. 36.  It is also
     "Our first proof" in Hirst and Hirst's _A Primer for Logic and Proof_
     p. 16 (PDF p. 22) at
     ~ http://www.mathsci.appstate.edu/~~jlh/primer/hirst.pdf .
     For a shorter version of the proof that takes advantage of previously
     proved theorems, see ~ id . $)
  id1 $p |- ( ph -> ph ) $=
    ( wi ax-1 ax-2 ax-mp ) AAABZBZFAACAFABBGFBAFCAFADEE $.
    $( [5-Aug-1993] $)

  $( Principle of identity with antecedent. $)
  idd $p |- ( ph -> ( ps -> ps ) ) $=
    ( wi id a1i ) BBCABDE $.
    $( [26-Nov-1995] $)

  $( This theorem, called "Assertion," can be thought of as closed form of
     modus ponens.  Theorem *2.27 of [WhiteheadRussell] p. 104. $)
  pm2.27 $p |- ( ph -> ( ( ph -> ps ) -> ps ) ) $=
    ( wi id com12 ) ABCZABFDE $.
    $( [5-Aug-1993] $)

  $( Absorption of redundant antecedent.  Also called the "Contraction" or
     "Hilbert" axiom.  Theorem *2.43 of [WhiteheadRussell] p. 106.  (The proof
     was shortened by O'Cat, 15-Aug-2004.) $)
  pm2.43 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi pm2.27 a2i ) AABCBABDE $.
    $( [15-Aug-2004] $) $( [5-Aug-1993] $)

  ${
    pm2.43i.1 $e |- ( ph -> ( ph -> ps ) ) $.
    $( Inference absorbing redundant antecedent. $)
    pm2.43i $p |- ( ph -> ps ) $=
      ( wi pm2.43 ax-mp ) AABDZDGCABEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    pm2.43d.1 $e |- ( ph -> ( ps -> ( ps -> ch ) ) ) $.
    $( Deduction absorbing redundant antecedent.  (The proof was shortened by
       O'Cat, 3-Feb-2006.) $)
    pm2.43d $p |- ( ph -> ( ps -> ch ) ) $=
      ( idd mpdd ) ABBCABEDF $.
      $( [4-Feb-2006] $) $( [18-Aug-1993] $)
  $}

  ${
    pm2.43a.1 $e |- ( ps -> ( ph -> ( ps -> ch ) ) ) $.
    $( Inference absorbing redundant antecedent.  (The proof was shortened by
       O'Cat, 3-Feb-2006.) $)
    pm2.43a $p |- ( ps -> ( ph -> ch ) ) $=
      ( ax-1 mpdd ) BABCBAEDF $.
      $( [4-Feb-2006] $) $( [7-Nov-1995] $)

    $( Inference absorbing redundant antecedent. $)
    pm2.43b $p |- ( ph -> ( ps -> ch ) ) $=
      ( pm2.43a com12 ) BACABCDEF $.
      $( [31-Oct-1995] $)
  $}

  ${
    sylc.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylc.2 $e |- ( th -> ph ) $.
    sylc.3 $e |- ( th -> ps ) $.
    $( A syllogism inference combined with contraction. $)
    sylc $p |- ( th -> ch ) $=
      ( wi syl mpd ) DBCGDABCHFEIJ $.
      $( [4-May-1994] $)
  $}

  $( Converse of axiom ~ ax-2 .  Theorem *2.86 of [WhiteheadRussell] p. 108. $)
  pm2.86 $p |- ( ( ( ph -> ps ) -> ( ph -> ch ) ) ->
               ( ph -> ( ps -> ch ) ) ) $=
    ( wi ax-1 imim1i com23 ) ABDZACDZDBACBHIBAEFG $.
    $( [25-Apr-1994] $)

  ${
    pm2.86i.1 $e |- ( ( ph -> ps ) -> ( ph -> ch ) ) $.
    $( Inference based on ~ pm2.86 . $)
    pm2.86i $p |- ( ph -> ( ps -> ch ) ) $=
      ( wi pm2.86 ax-mp ) ABEACEEABCEEDABCFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    pm2.86d.1 $e |- ( ph -> ( ( ps -> ch ) -> ( ps -> th ) ) ) $.
    $( Deduction based on ~ pm2.86 . $)
    pm2.86d $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wi pm2.86 syl ) ABCFBDFFBCDFFEBCDGH $.
      $( [29-Jun-1995] $)
  $}

  $( The Linearity Axiom of the infinite-valued sentential logic (L-infinity)
     of Lukasiewicz.  (Contributed by O'Cat, 12-Aug-2004.) $)
  loolin $p |- ( ( ( ph -> ps ) -> ( ps -> ph ) ) -> ( ps -> ph ) ) $=
    ( wi ax-1 imim1i pm2.43d ) ABCZBACZCBABGHBADEF $.
    $( [14-Aug-2004] $) $( [12-Aug-2004] $)

  $( An alternate for the Linearity Axiom of the infinite-valued sentential
     logic (L-infinity) of Lukasiewicz, due to Barbara Wozniakowska, _Reports
     on Mathematical Logic_ 10, 129-137 (1978).  (Contributed by O'Cat,
     8-Aug-2004.) $)
  loowoz $p |- ( ( ( ph -> ps ) -> ( ph -> ch ) ) ->
                 ( ( ps -> ph ) -> ( ps -> ch ) ) ) $=
    ( wi ax-1 imim1i a2d ) ABDZACDZDBACBHIBAEFG $.
    $( [9-Aug-2004] $) $( [8-Aug-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Logical negation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$( This section makes our first use of the third axiom of propositonal
   calculus. $)

  ${
    a3i.1 $e |- ( -. ph -> -. ps ) $.
    $( Inference rule derived from axiom ~ ax-3 . $)
    a3i $p |- ( ps -> ph ) $=
      ( wn wi ax-3 ax-mp ) ADBDEBAECABFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    a3d.1 $e |- ( ph -> ( -. ps -> -. ch ) ) $.
    $( Deduction derived from axiom ~ ax-3 . $)
    a3d $p |- ( ph -> ( ch -> ps ) ) $=
      ( wn wi ax-3 syl ) ABECEFCBFDBCGH $.
      $( [26-Mar-1995] $)
  $}

  $( From a wff and its negation, anything is true.  Theorem *2.21 of
     [WhiteheadRussell] p. 104.  Also called the Duns Scotus law. $)
  pm2.21 $p |- ( -. ph -> ( ph -> ps ) ) $=
    ( wn ax-1 a3d ) ACZBAFBCDE $.
    $( [5-Aug-1993] $)

  ${
    pm2.21i.1 $e |- -. ph $.
    $( A contradiction implies anything.  Inference from ~ pm2.21 . $)
    pm2.21i $p |- ( ph -> ps ) $=
      ( wn a1i a3i ) BAADBDCEF $.
      $( [16-Sep-1993] $)
  $}

  ${
    pm2.21d.1 $e |- ( ph -> -. ps ) $.
    $( A contradiction implies anything.  Deduction from ~ pm2.21 . $)
    pm2.21d $p |- ( ph -> ( ps -> ch ) ) $=
      ( wn a1d a3d ) ACBABECEDFG $.
      $( [10-Feb-1996] $)
  $}

  $( Theorem *2.24 of [WhiteheadRussell] p. 104. $)
  pm2.24 $p |-  ( ph -> ( -. ph -> ps ) ) $=
    ( wn pm2.21 com12 ) ACABABDE $.
    $( [6-Jan-2005] $) $( [3-Jan-2005] $)

  ${
    pm2.24ii.1 $e |- ph $.
    pm2.24ii.2 $e |- -. ph $.
    $( A contradiction implies anything.  Inference from ~ pm2.24 . $)
    pm2.24ii $p |- ps $=
      ( pm2.21i ax-mp ) ABCABDEF $.
      $( [27-Feb-2008] $) $( [27-Feb-2008] $)
  $}

  $( Proof by contradiction.  Theorem *2.18 of [WhiteheadRussell] p. 103.
     Also called the Law of Clavius. $)
  pm2.18 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi pm2.21 a2i a3d pm2.43i ) ABZACZAIAIHAIBZAJDEFG $.
    $( [5-Aug-1993] $)

  $( Peirce's axiom.  This odd-looking theorem is the "difference" between
     an intuitionistic system of propositional calculus and a classical system
     and is not accepted by intuitionists.  When Peirce's axiom is added to an
     intuitionistic system, the system becomes equivalent to our classical
     system ~ ax-1 through ~ ax-3 .  A curious fact about this
     theorem is that it requires ~ ax-3 for its proof even though the
     result has no negation connectives in it. $)
  peirce $p |- ( ( ( ph -> ps ) -> ph ) -> ph ) $=
    ( wi wn pm2.21 imim1i pm2.18 syl ) ABCZACADZACAJIAABEFAGH $.
    $( [5-Aug-1993] $)

  $( The Inversion Axiom of the infinite-valued sentential logic (L-infinity)
     of Lukasiewicz.  Using ~ dfor2 , we can see that this essentially
     expresses "disjunction commutes."  Theorem *2.69 of [WhiteheadRussell]
     p. 108. $)
  looinv $p |- ( ( ( ph -> ps ) -> ps ) -> ( ( ps -> ph ) -> ph ) ) $=
    ( wi imim1 peirce syl6 ) ABCZBCBACGACAGBADABEF $.
    $( [20-Aug-2004] $) $( [12-Aug-2004] $)

  $( Converse of double negation.  Theorem *2.14 of [WhiteheadRussell] p. 102.
     (The proof was shortened by David Harvey, 5-Sep-1999.  An even shorter
     proof found by Josh Purinton, 29-Dec-2000.) $)
  nega $p |- ( -. -. ph -> ph ) $=
    ( wn wi pm2.21 pm2.18 syl ) ABZBGACAGADAEF $.
    $( [5-Aug-1993] $)

  ${
    negai.1 $e |- -. -. ph $.
    $( Inference from double negation. $)
    negai $p |- ph $=
      ( wn nega ax-mp ) ACCABADE $.
      $( [27-Feb-2008] $) $( [27-Feb-2008] $)
  $}

  $( Converse of double negation.  Theorem *2.12 of [WhiteheadRussell]
     p. 101. $)
  negb $p |- ( ph -> -. -. ph ) $=
    ( wn nega a3i ) ABZBAECD $.
    $( [5-Aug-1993] $)

  ${
    negbi.1 $e |- ph $.
    $( Infer double negation. $)
    negbi $p |- -. -. ph $=
      ( wn negb ax-mp ) AACCBADE $.
      $( [27-Feb-2008] $) $( [27-Feb-2008] $)
  $}

  $( Reductio ad absurdum.  Theorem *2.01 of [WhiteheadRussell] p. 100. $)
  pm2.01 $p |- ( ( ph -> -. ph ) -> -. ph ) $=
    ( wn wi nega imim1i pm2.18 syl ) AABZCHBZHCHIAHADEHFG $.
    $( [18-Aug-1993] $)

  ${
    pm2.01d.1 $e |- ( ph -> ( ps -> -. ps ) ) $.
    $( Deduction based on reductio ad absurdum. $)
    pm2.01d $p |- ( ph -> -. ps ) $=
      ( wn wi pm2.01 syl ) ABBDZEHCBFG $.
      $( [18-Aug-1993] $)
  $}

  $( Contraposition.  Theorem *2.03 of [WhiteheadRussell] p. 100. $)
  con2 $p |- ( ( ph -> -. ps ) -> ( ps -> -. ph ) ) $=
    ( wn wi nega imim1i a3d ) ABCZDACZBICAHAEFG $.
    $( [5-Aug-1993] $)

  ${
    con2d.1 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( A contraposition deduction. $)
    con2d $p |- ( ph -> ( ch -> -. ps ) ) $=
      ( wn wi con2 syl ) ABCEFCBEFDBCGH $.
      $( [19-Aug-1993] $)
  $}

  $( Contraposition.  Theorem *2.15 of [WhiteheadRussell] p. 102. $)
  con1 $p |- ( ( -. ph -> ps ) -> ( -. ps -> ph ) ) $=
    ( wn wi negb imim2i a3d ) ACZBDABCZBICHBEFG $.
    $( [5-Aug-1993] $)

  ${
    con1d.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( A contraposition deduction. $)
    con1d $p |- ( ph -> ( -. ch -> ps ) ) $=
      ( wn wi con1 syl ) ABECFCEBFDBCGH $.
      $( [5-Aug-1993] $)
  $}

  $( Contraposition.  Theorem *2.16 of [WhiteheadRussell] p. 103. $)
  con3 $p |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $=
    ( wi wn negb imim2i con2d ) ABCABDZBHDABEFG $.
    $( [5-Aug-1993] $)

  ${
    con3d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( A contraposition deduction. $)
    con3d $p |- ( ph -> ( -. ch -> -. ps ) ) $=
      ( wi wn con3 syl ) ABCECFBFEDBCGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    con1.a $e |- ( -. ph -> ps ) $.
    $( A contraposition inference. $)
    con1i $p |- ( -. ps -> ph ) $=
      ( wn negb syl a3i ) ABDZADBHDCBEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    con2.a $e |- ( ph -> -. ps ) $.
    $( A contraposition inference. $)
    con2i $p |- ( ps -> -. ph ) $=
      ( wn nega syl a3i ) ADZBHDABDAECFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    con3.a $e |- ( ph -> ps ) $.
    $( A contraposition inference. $)
    con3i $p |- ( -. ps -> -. ph ) $=
      ( wn nega syl con1i ) ADZBHDABAECFG $.
      $( [5-Aug-1993] $)
  $}

  $( This is NOT theorem *2.37 of [WhiteheadRussell] p. 105. $)
  pm2.37OLD $p |-  ( ( ps -> ch ) ->
          ( ( -. ps -> ph ) -> ( -. ph -> ch ) ) ) $=
    ( wn wi con1 imim1d com12 ) BDAEZBCEADZCEIJBCBAFGH $.
    $( [23-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.5 of [WhiteheadRussell] p. 107. $)
  pm2.5 $p |-  ( -. ( ph -> ps ) -> ( -. ph -> ps ) ) $=
    ( wi wn pm2.21 con3i pm2.21d ) ABCZDADZBIHABEFG $.
    $( [27-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.51 of [WhiteheadRussell] p. 107. $)
  pm2.51 $p |-  ( -. ( ph -> ps ) -> ( ph -> -. ps ) ) $=
    ( wi wn ax-1 con3i a1d ) ABCZDBDABHBAEFG $.
    $( [27-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.52 of [WhiteheadRussell] p. 107. $)
  pm2.52 $p |-  ( -. ( ph -> ps ) -> ( -. ph -> -. ps ) ) $=
    ( wi wn ax-1 con3i a1d ) ABCZDBDADBHBAEFG $.
    $( [27-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.521 of [WhiteheadRussell] p. 107. $)
  pm2.521 $p |-  ( -. ( ph -> ps ) -> ( ps -> ph ) ) $=
    ( wi wn pm2.52 a3d ) ABCDABABEF $.
    $( [6-Feb-2005] $) $( [3-Jan-2005] $)

  ${
    pm2.24i.1 $e |- ph $.
    $( Inference version of ~ pm2.24 . $)
    pm2.24i $p |- ( -. ph -> ps ) $=
      ( wn a1i con1i ) BAABDCEF $.
      $( [20-Aug-2001] $)
  $}

  ${
    pm2.24d.1 $e |- ( ph -> ps ) $.
    $( Deduction version of ~ pm2.21 . $)
    pm2.24d $p |- ( ph -> ( -. ps -> ch ) ) $=
      ( wn a1d con1d ) ACBABCEDFG $.
      $( [31-Jan-2006] $) $( [30-Jan-2006] $)
  $}

  ${
    mto.1 $e |- -. ps $.
    mto.2 $e |- ( ph -> ps ) $.
    $( The rule of modus tollens. $)
    mto $p |- -. ph $=
      ( wn con3i ax-mp ) BEAECABDFG $.
      $( [19-Aug-1993] $)
  $}

  ${
    mtoi.1 $e |- -. ch $.
    mtoi.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Modus tollens inference. $)
    mtoi $p |- ( ph -> -. ps ) $=
      ( wn con3d mpi ) ACFBFDABCEGH $.
      $( [5-Jul-1994] $)
  $}

  ${
    mtod.1 $e |- ( ph -> -. ch ) $.
    mtod.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Modus tollens deduction. $)
    mtod $p |- ( ph -> -. ps ) $=
      ( wn con3d mpd ) ACFBFDABCEGH $.
      $( [3-Apr-1994] $)
  $}

  ${
    mt2.1 $e |- ps $.
    mt2.2 $e |- ( ph -> -. ps ) $.
    $( A rule similar to modus tollens. $)
    mt2 $p |- -. ph $=
      ( wn con2i ax-mp ) BAECABDFG $.
      $( [19-Aug-1993] $)
  $}

  ${
    mt2i.1 $e |- ch $.
    mt2i.2 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( Modus tollens inference. $)
    mt2i $p |- ( ph -> -. ps ) $=
      ( wn con2d mpi ) ACBFDABCEGH $.
      $( [26-Mar-1995] $)
  $}

  ${
    mt2d.1 $e |- ( ph -> ch ) $.
    mt2d.2 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( Modus tollens deduction. $)
    mt2d $p |- ( ph -> -. ps ) $=
      ( wn con2d mpd ) ACBFDABCEGH $.
      $( [4-Jul-1994] $)
  $}

  ${
    mt3.1 $e |- -. ps $.
    mt3.2 $e |- ( -. ph -> ps ) $.
    $( A rule similar to modus tollens. $)
    mt3 $p |- ph $=
      ( wn con1i ax-mp ) BEACABDFG $.
      $( [18-May-1994] $)
  $}

  ${
    mt3i.1 $e |- -. ch $.
    mt3i.2 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Modus tollens inference. $)
    mt3i $p |- ( ph -> ps ) $=
      ( wn con1d mpi ) ACFBDABCEGH $.
      $( [26-Mar-1995] $)
  $}

  ${
    mt3d.1 $e |- ( ph -> -. ch ) $.
    mt3d.2 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Modus tollens deduction. $)
    mt3d $p |- ( ph -> ps ) $=
      ( wn con1d mpd ) ACFBDABCEGH $.
      $( [26-Mar-1995] $)
  $}

  ${
    mt4d.1 $e |- ( ph -> ps ) $.
    mt4d.2 $e |- ( ph -> ( -. ch -> -. ps ) ) $.
    $( Modus tollens deduction. $)
    mt4d $p |- ( ph -> ch ) $=
      ( a3d mpd ) ABCDACBEFG $.
      $( [18-Jun-2006] $) $( [9-Jun-2006] $)
  $}

  ${
    nsyl.1 $e |- ( ph -> -. ps ) $.
    nsyl.2 $e |- ( ch -> ps ) $.
    $( A negated syllogism inference. $)
    nsyl $p |- ( ph -> -. ch ) $=
      ( wn con3i syl ) ABFCFDCBEGH $.
      $( [31-Dec-1993] $)
  $}

  ${
    nsyld.1 $e |- ( ph -> ( ps -> -. ch ) ) $.
    nsyld.2 $e |- ( ph -> ( ta -> ch ) ) $.
    $( A negated syllogism deduction. $)
    nsyld $p |- ( ph -> ( ps -> -. ta ) ) $=
      ( wn con3d syld ) ABCGDGEADCFHI $.
      $( [10-Apr-2005] $) $( [9-Apr-2005] $)
  $}

  ${
    nsyl2.1 $e |- ( ph -> -. ps ) $.
    nsyl2.2 $e |- ( -. ch -> ps ) $.
    $( A negated syllogism inference. $)
    nsyl2 $p |- ( ph -> ch ) $=
      ( wn con1i syl ) ABFCDCBEGH $.
      $( [26-Jun-1994] $)
  $}

  ${
    nsyl3.1 $e |- ( ph -> -. ps ) $.
    nsyl3.2 $e |- ( ch -> ps ) $.
    $( A negated syllogism inference. $)
    nsyl3 $p |- ( ch -> -. ph ) $=
      ( wn con2i syl ) CBAFEABDGH $.
      $( [1-Dec-1995] $)
  $}

  ${
    nsyl4.1 $e |- ( ph -> ps ) $.
    nsyl4.2 $e |- ( -. ph -> ch ) $.
    $( A negated syllogism inference. $)
    nsyl4 $p |- ( -. ch -> ps ) $=
      ( wn con1i syl ) CFABACEGDH $.
      $( [15-Feb-1996] $)
  $}

  ${
    nsyli.1 $e |- ( ph -> ( ps -> ch ) ) $.
    nsyli.2 $e |- ( th -> -. ch ) $.
    $( A negated syllogism inference. $)
    nsyli $p |- ( ph -> ( th -> -. ps ) ) $=
      ( wn con3d syl5 ) ACGBGDABCEHFI $.
      $( [3-May-1994] $)
  $}

  $( Theorem *3.2 of [WhiteheadRussell] p. 111, expressed with primitive
     connectives.  (The proof was shortened by Josh Purinton, 29-Dec-2000.) $)
  pm3.2im $p |- ( ph -> ( ps -> -. ( ph -> -. ps ) ) ) $=
    ( wn wi pm2.27 con2d ) AABCZDBAGEF $.
    $( [5-Aug-1993] $)

  $( Theorem 8 of [Margaris] p. 60.  (The proof was shortened by Josh Purinton,
     29-Dec-2000.) $)
  mth8 $p |- ( ph -> ( -. ps -> -. ( ph -> ps ) ) ) $=
    ( wi pm2.27 con3d ) AABCBABDE $.
    $( [5-Aug-1993] $)

  $( Theorem *2.61 of [WhiteheadRussell] p. 107.  Useful for eliminating an
     antecedent.  (The proof was shortened by O'Cat, 19-Feb-2008.) $)
  pm2.61 $p |- ( ( ph -> ps ) -> ( ( -. ph -> ps ) -> ps ) ) $=
    ( wn wi con1 imim1d pm2.18 syl6com ) ACBDZABDBCZBDBIJABABEFBGH $.
    $( [6-Mar-2008] $) $( [5-Aug-1993] $)

  $( Theorem *2.61 of [WhiteheadRussell] p. 107.  Useful for eliminating an
     antecedent.  (The proof was shortened by O'Cat, 19-Feb-2008.) $)
  pm2.61-ocatOLD $p |- ( ( ph -> ps ) -> ( ( -. ph -> ps ) -> ps ) ) $=
    ( wi wn pm2.37OLD pm2.18 syl6 ) ABCADBCBDBCBBABEBFG $.
    $( [19-Feb-2008] $) $( [5-Aug-1993] $)

  ${
    pm2.61i.1 $e |- ( ph -> ps ) $.
    pm2.61i.2 $e |- ( -. ph -> ps ) $.
    $( Inference eliminating an antecedent. $)
    pm2.61i $p |- ps $=
      ( wi wn pm2.61 mp2 ) ABEAFBEBCDABGH $.
      $( [5-Apr-1994] $)
  $}

  ${
    pm2.61d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.61d.2 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Deduction eliminating an antecedent. $)
    pm2.61d $p |- ( ph -> ch ) $=
      ( wi com12 wn pm2.61i ) BACFABCDGABHCEGI $.
      $( [27-Apr-1994] $)
  $}

  ${
    pm2.61d1.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.61d1.2 $e |- ( -. ps -> ch ) $.
    $( Inference eliminating an antecedent. $)
    pm2.61d1 $p |- ( ph -> ch ) $=
      ( wn wi a1i pm2.61d ) ABCDBFCGAEHI $.
      $( [20-Jul-2005] $) $( [15-Jul-2005] $)
  $}

  ${
    pm2.61d2.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    pm2.61d2.2 $e |- ( ps -> ch ) $.
    $( Inference eliminating an antecedent. $)
    pm2.61d2 $p |- ( ph -> ch ) $=
      ( wi a1i pm2.61d ) ABCBCFAEGDH $.
      $( [18-Aug-1993] $)
  $}

  ${
    pm2.61ii.1 $e |- ( -. ph -> ( -. ps -> ch ) ) $.
    pm2.61ii.2 $e |- ( ph -> ch ) $.
    pm2.61ii.3 $e |- ( ps -> ch ) $.
    $( Inference eliminating two antecedents.  (The proof was shortened by Josh
       Purinton,  29-Dec-2000.) $)
    pm2.61ii $p |- ch $=
      ( wn pm2.61d2 pm2.61i ) ACEAGBCDFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    pm2.61nii.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.61nii.2 $e |- ( -. ph -> ch ) $.
    pm2.61nii.3 $e |- ( -. ps -> ch ) $.
    $( Inference eliminating two antecedents. $)
    pm2.61nii $p |- ch $=
      ( com12 pm2.61d1 pm2.61i ) BCBACABCDGEHFI $.
      $( [5-Aug-1993] $)
  $}

  ${
    pm2.61iii.1 $e |- ( -. ph -> ( -. ps -> ( -. ch -> th ) ) ) $.
    pm2.61iii.2 $e |- ( ph -> th ) $.
    pm2.61iii.3 $e |- ( ps -> th ) $.
    pm2.61iii.4 $e |- ( ch -> th ) $.
    $( Inference eliminating three antecedents. $)
    pm2.61iii $p |- th $=
      ( wn wi a1d pm2.61i pm2.61ii ) BCDABIZCIZDJZJAPNADOFKKELGHM $.
      $( [2-Jan-2002] $)
  $}

  $( Theorem *2.6 of [WhiteheadRussell] p. 107. $)
  pm2.6 $p |-  ( ( -. ph -> ps ) -> ( ( ph -> ps ) -> ps ) ) $=
    ( wi wn pm2.61 com12 ) ABCADBCBABEF $.
    $( [1-Feb-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.65 of [WhiteheadRussell] p. 107.  Proof by contradiction. $)
  pm2.65 $p |- ( ( ph -> ps ) -> ( ( ph -> -. ps ) -> -. ph ) ) $=
    ( wi wn pm3.2im a2i con2d ) ABCAABDCZABHDABEFG $.
    $( [5-Aug-1993] $)

  ${
    pm2.65i.1 $e |- ( ph -> ps ) $.
    pm2.65i.2 $e |- ( ph -> -. ps ) $.
    $( Inference rule for proof by contradiction. $)
    pm2.65i $p |- -. ph $=
      ( wi wn pm2.65 mp2 ) ABEABFEAFCDABGH $.
      $( [18-May-1994] $)
  $}

  ${
    pm2.65d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    pm2.65d.2 $e |- ( ph -> ( ps -> -. ch ) ) $.
    $( Deduction rule for proof by contradiction. $)
    pm2.65d $p |- ( ph -> -. ps ) $=
      ( wi wn pm2.65 sylc ) BCFBCGFBGABCHDEI $.
      $( [26-Jun-1994] $)
  $}

  ${
    ja.1 $e |- ( -. ph -> ch ) $.
    ja.2 $e |- ( ps -> ch ) $.
    $( Inference joining the antecedents of two premises.  (The proof was
       shortened by O'Cat, 19-Feb-2008.) $)
    ja $p |- ( ( ph -> ps ) -> ch ) $=
      ( wi imim2i pm2.61d1 ) ABFACBCAEGDH $.
      $( [19-Feb-2008] $) $( [5-Aug-1993] $)
  $}

  ${
    jc.1 $e |- ( ph -> ps ) $.
    jc.2 $e |- ( ph -> ch ) $.
    $( Inference joining the consequents of two premises. $)
    jc $p |- ( ph -> -. ( ps -> -. ch ) ) $=
      ( wn wi pm3.2im sylc ) BCBCFGFABCHDEI $.
      $( [5-Aug-1993] $)
  $}

  $( Simplification.  Similar to Theorem *3.26 (Simp) of [WhiteheadRussell]
     p. 112. $)
  pm3.26im $p |- ( -. ( ph -> -. ps ) -> ph ) $=
    ( wn wi pm2.21 con1i ) AABCZDAGEF $.
    $( [5-Aug-1993] $)

  $( Simplification.  Similar to Theorem *3.27 (Simp) of [WhiteheadRussell]
     p. 112. $)
  pm3.27im $p |- ( -. ( ph -> -. ps ) -> ps ) $=
    ( wn wi ax-1 con1i ) BABCZDGAEF $.
    $( [5-Aug-1993] $)

  $( Importation theorem expressed with primitive connectives. $)
  impt $p |- ( ( ph -> ( ps -> ch ) ) -> ( -. ( ph -> -. ps ) -> ch ) ) $=
    ( wi wn con3 imim2i com23 con1d ) ABCDZDZCABEZDKACEZLJMLDABCFGHI $.
    $( [25-Apr-1994] $)

  $( Exportation theorem expressed with primitive connectives. $)
  expt $p |- ( ( -. ( ph -> -. ps ) -> ch ) -> ( ph -> ( ps -> ch ) ) ) $=
    ( wn wi pm3.2im imim1d com12 ) AABDEDZCEBCEABICABFGH $.
    $( [5-Aug-1993] $)

  ${
    impi.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( An importation inference. $)
    impi $p |- ( -. ( ph -> -. ps ) -> ch ) $=
      ( wi wn impt ax-mp ) ABCEEABFEFCEDABCGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    expi.1 $e |- ( -. ( ph -> -. ps ) -> ch ) $.
    $( An exportation inference. $)
    expi $p |- ( ph -> ( ps -> ch ) ) $=
      ( wn wi expt ax-mp ) ABEFECFABCFFDABCGH $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem used to justify definition of biconditional ~ df-bi .  (The proof
     was shortened by Josh Purinton, 29-Dec-2000.) $)
  bijust $p |- -. ( ( ph -> ph ) -> -. ( ph -> ph ) ) $=
    ( wi wn id pm2.01 mt2 ) AABZGCBGADGEF $.
    $( [11-May-1999] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Logical equivalence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the biconditional connective. $)
  $c <-> $. $( Double arrow (read:  'if and only if' or
               'is logically equivalent to') $)

  $( Extend our wff definition to include the biconditional connective. $)
  wb $a wff ( ph <-> ps ) $.

  $( This is our first definition, which introduces and defines the
     biconditional connective ` <-> ` .  We define a wff of the form
     ` ( ph <-> ps ) ` as an abbreviation for
     ` -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ` .

     Unlike most traditional developments, we have chosen not to have a
     separate symbol such as "Df." to mean "is defined as."  Instead, we will
     later use the biconditional connective for this purpose ( ~ df-or is its
     first use), as it allows us to use logic to manipulate definitions
     directly.  This greatly simplifies many proofs since it eliminates the
     need for a separate mechanism for introducing and eliminating
     definitions.  Of course, we cannot use this mechanism to define the
     biconditional itself, since it hasn't been introduced yet.  Instead, we
     use a more general form of definition, described as follows.

     In its most general form, a definition is simply an assertion that
     introduces a new symbol (or a new combination of existing symbols, as in
     ~ df-3an ) that is eliminable and does not strengthen the existing
     language.  The latter requirement means that the set of provable
     statements not containing the new symbol (or new combination) should
     remain exactly the same after the definition is introduced.  Our
     definition of the biconditional may look unusual compared to most
     definitions, but it strictly satisfies these requirements.

     The justification for our definition is that if we mechanically replace
     the first wff above (the definiendum i.e. the thing being defined) with
     the second (the definiens i.e. the defining expression) in the
     definition, the definition becomes a substitution instance of previously
     proved theorem ~ bijust .  It is impossible to use ~ df-bi to prove any
     statement expressed in the original language that can't be proved from
     the original axioms.  For if it were, we could replace it with instances
     of ~ bijust throughout the proof, thus obtaining a proof from the
     original axioms (contradiction).

     Note that from Metamath's point of view, a definition is just another
     axiom - i.e. an assertion we claim to be true - but from our high level
     point of view, we are are not strengthening the language.  To indicate
     this fact, we prefix definition labels with "df-" instead of "ax-".
     (This prefixing is an informal convention that means nothing to the
     Metamath proof verifier; it is just for human readability.)

     See ~ dfbi1 , ~ dfbi2 , and ~ dfbi3 for theorems suggesting typical
     textbook definitions of ` <-> ` , showing that our definition has the
     properties we expect.  Theorem ~ dfbi shows this definition rewritten
     in an abbreviated form after conjunction is introduced, for easier
     understanding. $)
  df-bi $a |- -. ( ( ( ph <-> ps ) -> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) )
        -> -. ( -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) -> ( ph <-> ps ) ) ) $.

  $( Property of the biconditional connective. $)
  bi1 $p |- ( ( ph <-> ps ) -> ( ph -> ps ) ) $=
    ( wb wi wn df-bi pm3.26im ax-mp syl ) ABCZABDZBADZEDEZKJMDZMJDZEDENABFNOGHK
    LGI $.
    $( [11-May-1999] $)

  $( Property of the biconditional connective. $)
  bi2 $p |- ( ( ph <-> ps ) -> ( ps -> ph ) ) $=
    ( wb wi wn df-bi pm3.26im ax-mp pm3.27im syl ) ABCZABDZBADZEDEZMKNDZNKDZEDE
    OABFOPGHLMIJ $.
    $( [11-May-1999] $)

  $( Property of the biconditional connective. $)
  bi3 $p |- ( ( ph -> ps ) -> ( ( ps -> ph ) -> ( ph <-> ps ) ) ) $=
    ( wi wb wn df-bi pm3.27im ax-mp expi ) ABCZBACZABDZLJKECEZCZMLCZECEOABFNOGH
    I $.
    $( [11-May-1999] $)

  ${
    biimp.1 $e |- ( ph <-> ps ) $.
    $( Infer an implication from a logical equivalence. $)
    biimp $p |- ( ph -> ps ) $=
      ( wb wi bi1 ax-mp ) ABDABECABFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    biimpr.1 $e |- ( ph <-> ps ) $.
    $( Infer a converse implication from a logical equivalence. $)
    biimpr $p |- ( ps -> ph ) $=
      ( wb wi bi2 ax-mp ) ABDBAECABFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    biimpd.1 $e |- ( ph -> ( ps <-> ch ) ) $.

    $( Deduce an implication from a logical equivalence. $)
    biimpd $p |- ( ph -> ( ps -> ch ) ) $=
      ( wb wi bi1 syl ) ABCEBCFDBCGH $.
      $( [5-Aug-1993] $)

   $( Deduce a converse implication from a logical equivalence. $)
    biimprd $p |- ( ph -> ( ch -> ps ) ) $=
      ( wb wi bi2 syl ) ABCECBFDBCGH $.
      $( [5-Aug-1993] $)

   $( Deduce a commuted implication from a logical equivalence. $)
    biimpcd $p |- ( ps -> ( ph -> ch ) ) $=
      ( biimpd com12 ) ABCABCDEF $.
      $( [3-May-1994] $)

   $( Deduce a converse commuted implication from a logical equivalence. $)
    biimprcd $p |- ( ch -> ( ph -> ps ) ) $=
      ( biimprd com12 ) ACBABCDEF $.
      $( [3-May-1994] $)
  $}

  ${
    impbi.1 $e |- ( ph -> ps ) $.
    impbi.2 $e |- ( ps -> ph ) $.
    $( Infer an equivalence from an implication and its converse. $)
    impbi $p |- ( ph <-> ps ) $=
      ( wi wb bi3 mp2 ) ABEBAEABFCDABGH $.
      $( [5-Aug-1993] $)
  $}

  $( Relate the biconditional connective to primitive connectives.  See ~ dfbi1gb
     for an unusual version proved directly from axioms. $)
  dfbi1 $p |- ( ( ph <-> ps ) <-> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ) $=
    ( wb wi wn bi1 bi2 jc bi3 impi impbi ) ABCZABDZBADZEDELMNABFABGHMNLABIJK $.
    $( [5-Aug-1993] $)

  $( This proof of ~ dfbi1 , discovered by Gregory Bush on 8-Mar-2004, has
     several curious properties.  First, it has only 17 steps directly
     from the axioms and ~ df-bi , compared to over 800 steps were the proof
     of ~ dfbi1 expanded into axioms.  Second, step 2 demands only the property
     of "true"; any axiom (or theorem) could be used.  It might be thought,
     therefore, that it is in some sense redundant, but in fact no proof
     is shorter than this (measured by number of steps).  Third, it illustrates
     how intermediate steps can "blow up" in size even in short proofs.
     Fourth, the compressed proof is only 182 bytes (or 17 bytes in D-proof
     notation), but the generated web page is over 200kB with intermediate
     steps that are essentially incomprehensible to humans (other than Gregory
     Bush).  If there were an obfuscated code contest for proofs, this would be
     a contender. $)
  dfbi1gb $p |- ( ( ph <-> ps ) <-> -. ( ( ph -> ps ) -> -. ( ps -> ph ) ) ) $=
    ( wch wth wb wi wn df-bi ax-1 ax-mp ax-3 ax-2 ) ABEZABFBAFGFGZFNMFGFGZMNEZA
    BHCDCFFZOPFZCDIRGZQGZFZQRFSPOFZSFZFZUASUBISUCTFZFZUDUAFUEUFTGZUCGZFZUEUHUIM
    NHUHUGIJTUCKJUESIJSUCTLJJRQKJJJ $.
    $( [10-Mar-2004] $) $( [10-Mar-2004] $)

  $( Logical equivalence of commuted antecedents.  Part of Theorem *4.87 of
     [WhiteheadRussell] p. 122. $)
  bi2.04 $p |- ( ( ph -> ( ps -> ch ) ) <-> ( ps -> ( ph -> ch ) ) ) $=
    ( wi pm2.04 impbi ) ABCDDBACDDABCEBACEF $.
    $( [5-Aug-1993] $)

  $( Double negation.  Theorem *4.13 of [WhiteheadRussell] p. 117. $)
  pm4.13 $p |- ( ph <-> -. -. ph ) $=
    ( wn negb nega impbi ) AABBACADE $.
    $( [5-Aug-1993] $)

  $( Theorem *4.8 of [WhiteheadRussell] p. 122. $)
  pm4.8 $p |-  ( ( ph -> -. ph ) <-> -. ph ) $=
    ( wn wi pm2.01 ax-1 impbi ) AABZCGADGAEF $.
    $( [5-Feb-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.81 of [WhiteheadRussell] p. 122. $)
  pm4.81 $p |-  ( ( -. ph -> ph ) <-> ph ) $=
    ( wn wi pm2.18 pm2.24 impbi ) ABACAADAAEF $.
    $( [10-Feb-2005] $) $( [3-Jan-2005] $)

  $( Contraposition.  Theorem *4.1 of [WhiteheadRussell] p. 116. $)
  pm4.1 $p |- ( ( ph -> ps ) <-> ( -. ps -> -. ph ) ) $=
    ( wi wn con3 ax-3 impbi ) ABCBDADCABEBAFG $.
    $( [5-Aug-1993] $)

  $( Contraposition.  Bidirectional version of ~ con2 . $)
  bi2.03 $p |- ( ( ph -> -. ps ) <-> ( ps -> -. ph ) ) $=
    ( wn wi con2 impbi ) ABCDBACDABEBAEF $.
    $( [5-Aug-1993] $)

  $( Contraposition.  Bidirectional version of ~ con1 . $)
  bi2.15 $p |- ( ( -. ph -> ps ) <-> ( -. ps -> ph ) ) $=
    ( wn wi con1 impbi ) ACBDBCADABEBAEF $.
    $( [5-Aug-1993] $)

  $( Antecedent absorption implication.  Theorem *5.4 of
     [WhiteheadRussell] p. 125. $)
  pm5.4 $p |- ( ( ph -> ( ph -> ps ) ) <-> ( ph -> ps ) ) $=
    ( wi pm2.43 ax-1 impbi ) AABCZCGABDGAEF $.
    $( [5-Aug-1993] $)

  $( Distributive law for implication.  Compare Theorem *5.41 of
     [WhiteheadRussell] p. 125. $)
  imdi $p |- ( ( ph -> ( ps -> ch ) ) <->
               ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi ax-2 pm2.86 impbi ) ABCDDABDACDDABCEABCFG $.
    $( [5-Aug-1993] $)

  $( Theorem *5.41 of [WhiteheadRussell] p. 125. $)
  pm5.41 $p |-  ( ( ( ph -> ps ) -> ( ph -> ch ) ) <->
                ( ph -> ( ps -> ch ) ) ) $=
    ( wi pm2.86 ax-2 impbi ) ABDACDDABCDDABCEABCFG $.
    $( [10-Feb-2005] $) $( [3-Jan-2005] $)

  $( Principle of identity for logical equivalence.  Theorem *4.2 of
     [WhiteheadRussell] p. 117. $)
  pm4.2 $p |- ( ph <-> ph ) $=
    ( id impbi ) AAABZDC $.
    $( [5-Aug-1993] $)

  $( Principle of identity with antecedent. $)
  pm4.2d $p |- ( ph -> ( ps <-> ps ) ) $=
    ( wb pm4.2 a1i ) BBCABDE $.
    $( [25-Nov-1995] $)

  ${
    bicom.1 $e |- ( ph <-> ps ) $.
    $( Inference from commutative law for logical equivalence. $)
    bicomi $p |- ( ps <-> ph ) $=
      ( biimpr biimp impbi ) BAABCDABCEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitr.1 $e |- ( ph <-> ps ) $.
    bitr.2 $e |- ( ps <-> ch ) $.
    $( An inference from transitive law for logical equivalence. $)
    bitr $p |- ( ph <-> ch ) $=
      ( biimp syl biimpr impbi ) ACABCABDFBCEFGCBABCEHABDHGI $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitr2.1 $e |- ( ph <-> ps ) $.
    bitr2.2 $e |- ( ps <-> ch ) $.
    $( An inference from transitive law for logical equivalence. $)
    bitr2 $p |- ( ch <-> ph ) $=
      ( bitr bicomi ) ACABCDEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitr3.1 $e |- ( ps <-> ph ) $.
    bitr3.2 $e |- ( ps <-> ch ) $.
    $( An inference from transitive law for logical equivalence. $)
    bitr3 $p |- ( ph <-> ch ) $=
      ( bicomi bitr ) ABCBADFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitr4.1 $e |- ( ph <-> ps ) $.
    bitr4.2 $e |- ( ch <-> ps ) $.
    $( An inference from transitive law for logical equivalence. $)
    bitr4 $p |- ( ph <-> ch ) $=
      ( bicomi bitr ) ABCDCBEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    3bitr.1 $e |- ( ph <-> ps ) $.
    3bitr.2 $e |- ( ps <-> ch ) $.
    3bitr.3 $e |- ( ch <-> th ) $.
    $( A chained inference from transitive law for logical equivalence. $)
    3bitr $p |- ( ph <-> th ) $=
      ( bitr ) ABDEBCDFGHH $.
      $( [5-Aug-1993] $)

    $( A chained inference from transitive law for logical equivalence. $)
    3bitrr $p |- ( th <-> ph ) $=
      ( bitr2 bitr3 ) DCAGABCEFHI $.
      $( [10-Aug-2006] $) $( [4-Aug-2006] $)
  $}

  ${
    3bitr2.1 $e |- ( ph <-> ps ) $.
    3bitr2.2 $e |- ( ch <-> ps ) $.
    3bitr2.3 $e |- ( ch <-> th ) $.
    $( A chained inference from transitive law for logical equivalence. $)
    3bitr2 $p |- ( ph <-> th ) $=
      ( bitr4 bitr ) ACDABCEFHGI $.
      $( [10-Aug-2006] $) $( [4-Aug-2006] $)

    $( A chained inference from transitive law for logical equivalence. $)
    3bitr2r $p |- ( th <-> ph ) $=
      ( bitr4 bitr2 ) ACDABCEFHGI $.
      $( [10-Aug-2006] $) $( [4-Aug-2006] $)
  $}

  ${
    3bitr3.1 $e |- ( ph <-> ps ) $.
    3bitr3.2 $e |- ( ph <-> ch ) $.
    3bitr3.3 $e |- ( ps <-> th ) $.
    $( A chained inference from transitive law for logical equivalence. $)
    3bitr3 $p |- ( ch <-> th ) $=
      ( bitr3 bitr ) CBDCABFEHGI $.
      $( [19-Aug-1993] $)

    $( A chained inference from transitive law for logical equivalence. $)
    3bitr3r $p |- ( th <-> ch ) $=
      ( bitr3 ) DBCGBACEFHH $.
      $( [5-Aug-1993] $)
  $}

  ${
    3bitr4.1 $e |- ( ph <-> ps ) $.
    3bitr4.2 $e |- ( ch <-> ph ) $.
    3bitr4.3 $e |- ( th <-> ps ) $.
    $( A chained inference from transitive law for logical equivalence.  This
       inference is frequently used to apply a definition to both sides of a
       logical equivalence. $)
    3bitr4 $p |- ( ch <-> th ) $=
      ( bitr4 bitr ) CADFABDEGHI $.
      $( [5-Aug-1993] $)

    $( A chained inference from transitive law for logical equivalence. $)
    3bitr4r $p |- ( th <-> ch ) $=
      ( bitr4 bitr2 ) CADFABDEGHI $.
      $( [2-Sep-1995] $)
  $}

  $( The next three rules are useful for building up wff's around a
     definition, in order to make use of the definition. $)

  ${
    bi.a $e |- ( ph <-> ps ) $.

    $( Introduce an antecedent to both sides of a logical equivalence. $)
    imbi2i $p |- ( ( ch -> ph ) <-> ( ch -> ps ) ) $=
      ( wi biimp imim2i biimpr impbi ) CAECBEABCABDFGBACABDHGI $.
      $( [5-Aug-1993] $)

    $( Introduce a consequent to both sides of a logical equivalence. $)
    imbi1i $p |- ( ( ph -> ch ) <-> ( ps -> ch ) ) $=
      ( wi biimpr imim1i biimp impbi ) ACEBCEBACABDFGABCABDHGI $.
      $( [5-Aug-1993] $)

    $( Negate both sides of a logical equivalence. $)
    negbii $p |- ( -. ph <-> -. ps ) $=
      ( wn biimpr con3i biimp impbi ) ADBDBAABCEFABABCGFH $.
      $( [5-Aug-1993] $)

  $}

  ${
    imbi12i.1 $e |- ( ph <-> ps ) $.
    imbi12i.2 $e |- ( ch <-> th ) $.
    $( Join two logical equivalences to form equivalence of implications. $)
    imbi12i $p |- ( ( ph -> ch ) <-> ( ps -> th ) ) $=
      ( wi imbi2i imbi1i bitr ) ACGADGBDGCDAFHABDEIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbi.min $e |- ph $.
    mpbi.maj $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus ponens. $)
    mpbi $p |- ps $=
      ( biimp ax-mp ) ABCABDEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbir.min $e |- ps $.
    mpbir.maj $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus ponens. $)
    mpbir $p |- ph $=
      ( biimpr ax-mp ) BACABDEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    mtbi.1 $e |- -. ph $.
    mtbi.2 $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus tollens. $)
    mtbi $p |- -. ps $=
      ( wn negbii mpbi ) AEBECABDFG $.
      $( [15-Nov-1994] $)
  $}

  ${
    mtbir.1 $e |- -. ps $.
    mtbir.2 $e |- ( ph <-> ps ) $.
    $( An inference from a biconditional, related to modus tollens. $)
    mtbir $p |- -. ph $=
      ( wn negbii mpbir ) AEBECABDFG $.
      $( [15-Nov-1994] $)
  $}

  ${
    mpbii.min $e |- ps $.
    mpbii.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a nested biconditional, related to modus ponens. $)
    mpbii $p |- ( ph -> ch ) $=
      ( biimpd mpi ) ABCDABCEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbiri.min $e |- ch $.
    mpbiri.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a nested biconditional, related to modus ponens. $)
    mpbiri $p |- ( ph -> ps ) $=
      ( biimprd mpi ) ACBDABCEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbid.min $e |- ( ph -> ps ) $.
    mpbid.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, related to modus ponens. $)
    mpbid $p |- ( ph -> ch ) $=
      ( biimpd mpd ) ABCDABCEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpbird.min $e |- ( ph -> ch ) $.
    mpbird.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, related to modus ponens. $)
    mpbird $p |- ( ph -> ps ) $=
      ( biimprd mpd ) ACBDABCEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    a1bi.1 $e |- ph $.
    $( Inference rule introducing a theorem as an antecedent. $)
    a1bi $p |- ( ps <-> ( ph -> ps ) ) $=
      ( wi ax-1 pm2.27 ax-mp impbi ) BABDZBAEAIBDCABFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylib.1 $e |- ( ph -> ps ) $.
    sylib.2 $e |- ( ps <-> ch ) $.
    $( A mixed syllogism inference from an implication and a biconditional. $)
    sylib $p |- ( ph -> ch ) $=
      ( biimp syl ) ABCDBCEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylbi.1 $e |- ( ph <-> ps ) $.
    sylbi.2 $e |- ( ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication.
       Useful for substituting an antecedent with a definition. $)
    sylbi $p |- ( ph -> ch ) $=
      ( biimp syl ) ABCABDFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylibr.1 $e |- ( ph -> ps ) $.
    sylibr.2 $e |- ( ch <-> ps ) $.
    $( A mixed syllogism inference from an implication and a biconditional.
       Useful for substituting a consequent with a definition. $)
    sylibr $p |- ( ph -> ch ) $=
      ( biimpr syl ) ABCDCBEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylbir.1 $e |- ( ps <-> ph ) $.
    sylbir.2 $e |- ( ps -> ch ) $.
    $( A mixed syllogism inference from a biconditional and an implication. $)
    sylbir $p |- ( ph -> ch ) $=
      ( biimpr syl ) ABCBADFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylibd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylibd.2 $e |- ( ph -> ( ch <-> th ) ) $.
    $( A syllogism deduction. $)
    sylibd $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpd syld ) ABCDEACDFGH $.
      $( [3-Aug-1994] $)
  $}

  ${
    sylbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylbid.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( A syllogism deduction. $)
    sylbid $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpd syld ) ABCDABCEGFH $.
      $( [3-Aug-1994] $)
  $}

  ${
    sylibrd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylibrd.2 $e |- ( ph -> ( th <-> ch ) ) $.
    $( A syllogism deduction. $)
    sylibrd $p |- ( ph -> ( ps -> th ) ) $=
      ( biimprd syld ) ABCDEADCFGH $.
      $( [3-Aug-1994] $)
  $}

  ${
    sylbird.1 $e |- ( ph -> ( ch <-> ps ) ) $.
    sylbird.2 $e |- ( ph -> ( ch -> th ) ) $.
    $( A syllogism deduction. $)
    sylbird $p |- ( ph -> ( ps -> th ) ) $=
      ( biimprd syld ) ABCDACBEGFH $.
      $( [3-Aug-1994] $)
  $}

  ${
    syl5ib.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl5ib.2 $e |- ( th <-> ps ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional.  Useful for substituting an embedded antecedent with a
       definition. $)
    syl5ib $p |- ( ph -> ( th -> ch ) ) $=
      ( biimp syl5 ) ABCDEDBFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5ibr.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl5ibr.2 $e |- ( ps <-> th ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional. $)
    syl5ibr $p |- ( ph -> ( th -> ch ) ) $=
      ( biimpr syl5 ) ABCDEBDFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5bi.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl5bi.2 $e |- ( th -> ps ) $.
    $( A mixed syllogism inference. $)
    syl5bi $p |- ( ph -> ( th -> ch ) ) $=
      ( biimpd syl5 ) ABCDABCEGFH $.
      $( [5-Aug-1993] $)

    $( A mixed syllogism inference. $)
    syl5cbi $p |- ( th -> ( ph -> ch ) ) $=
      ( syl5bi com12 ) ADCABCDEFGH $.
      $( [22-Jun-2007] $) $( [19-Jun-2007] $)
  $}

  ${
    syl5bir.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl5bir.2 $e |- ( th -> ch ) $.
    $( A mixed syllogism inference. $)
    syl5bir $p |- ( ph -> ( th -> ps ) ) $=
      ( biimprd syl5 ) ACBDABCEGFH $.
      $( [3-Apr-1994] $)

    $( A mixed syllogism inference. $)
    syl5cbir $p |- ( th -> ( ph -> ps ) ) $=
      ( syl5bir com12 ) ADBABCDEFGH $.
      $( [20-Jun-2007] $) $( [20-Jun-2007] $)
  $}

  ${
    syl6ib.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6ib.2 $e |- ( ch <-> th ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional. $)
    syl6ib $p |- ( ph -> ( ps -> th ) ) $=
      ( biimp syl6 ) ABCDECDFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6ibr.1 $e |- ( ph -> ( ps -> ch ) ) $.
    syl6ibr.2 $e |- ( th <-> ch ) $.
    $( A mixed syllogism inference from a nested implication and a
       biconditional.  Useful for substituting an embedded consequent with a
       definition. $)
    syl6ibr $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpr syl6 ) ABCDEDCFGH $.
      $( [5-Aug-1993] $)
  $}


  ${
    syl6bi.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6bi.2 $e |- ( ch -> th ) $.
    $( A mixed syllogism inference. $)
    syl6bi $p |- ( ph -> ( ps -> th ) ) $=
      ( biimpd syl6 ) ABCDABCEGFH $.
      $( [2-Jan-1994] $)
  $}

  ${
    syl6bir.1 $e |- ( ph -> ( ch <-> ps ) ) $.
    syl6bir.2 $e |- ( ch -> th ) $.
    $( A mixed syllogism inference. $)
    syl6bir $p |- ( ph -> ( ps -> th ) ) $=
      ( biimprd syl6 ) ABCDACBEGFH $.
      $( [18-May-1994] $)
  $}

  ${
    syl7ib.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl7ib.2 $e |- ( ta <-> ch ) $.
    $( A mixed syllogism inference from a doubly nested implication and a
       biconditional. $)
    syl7ib $p |- ( ph -> ( ps -> ( ta -> th ) ) ) $=
      ( biimp syl7 ) ABCDEFECGHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl8ib.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    syl8ib.2 $e |- ( th <-> ta ) $.
    $( A syllogism rule of inference.  The second premise is used to replace
       the consequent of the first premise. $)
    syl8ib $p |- ( ph -> ( ps -> ( ch -> ta ) ) ) $=
      ( biimp syl8 ) ABCDEFDEGHI $.
      $( [1-Aug-1994] $)
  $}

  ${
    3imtr3.1 $e |- ( ph -> ps ) $.
    3imtr3.2 $e |- ( ph <-> ch ) $.
    3imtr3.3 $e |- ( ps <-> th ) $.
    $( A mixed syllogism inference, useful for removing a definition from both
       sides of an implication. $)
    3imtr3 $p |- ( ch -> th ) $=
      ( sylbir sylib ) CBDCABFEHGI $.
      $( [10-Aug-1994] $)
  $}

  ${
    3imtr4.1 $e |- ( ph -> ps ) $.
    3imtr4.2 $e |- ( ch <-> ph ) $.
    3imtr4.3 $e |- ( th <-> ps ) $.
    $( A mixed syllogism inference, useful for applying a definition to both
       sides of an implication. $)
    3imtr4 $p |- ( ch -> th ) $=
      ( sylbi sylibr ) CBDCABFEHGI $.
      $( [5-Aug-1993] $)
  $}

  ${
    con1bii.1 $e |- ( -. ph <-> ps ) $.
    $( A contraposition inference. $)
    con1bii $p |- ( -. ps <-> ph ) $=
      ( wn biimp con1i biimpr con2i impbi ) BDAABADZBCEFBAJBCGHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    con2bii.1 $e |- ( ph <-> -. ps ) $.
    $( A contraposition inference. $)
    con2bii $p |- ( ps <-> -. ph ) $=
      ( wn bicomi con1bii ) ADBBAABDCEFE $.
      $( [5-Aug-1993] $)
  $}

  $( For ~ bicon3 :  See ~ negbii . $)

  $( For ~ con4bii :  Later. $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Logical disjunction and conjunction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare connectives for disjunction ('or') and conjunction ('and'). $)
  $c \/ $. $( Vee (read:  'or') $)
  $c /\ $. $( Wedge (read:  'and') $)

  $( Extend wff definition to include disjunction ('or'). $)
  wo $a wff ( ph \/ ps ) $.
  $( Extend wff definition to include conjunction ('and'). $)
  wa $a wff ( ph /\ ps ) $.

  $( Define disjunction (logical 'or').  This is our first use of the
     biconditional connective in a definition; we use it in place of the
     traditional "<=def=>", which means the same thing, except that we can
     manipulate the biconditional connective directly in proofs rather than
     having to rely on an informal definition substitution rule.  Note that
     if we mechanically substitute ` ( -. ph -> ps ) ` for ` ( ph \/ ps ) ` ,
     we end up with an instance of previously proved theorem ~ pm4.2 .  This
     is the justification for the definition, along with the fact that it
     introduces a new symbol ` \/ ` .  Definition of [Margaris] p. 49. $)
  df-or $a |- ( ( ph \/ ps ) <-> ( -. ph -> ps ) ) $.

  $( Define conjunction (logical 'and').  Definition of [Margaris] p. 49. $)
  df-an $a |- ( ( ph /\ ps ) <-> -. ( ph -> -. ps ) ) $.

  $( Theorem *4.64 of [WhiteheadRussell] p. 120. $)
  pm4.64 $p |-  ( ( -. ph -> ps ) <-> ( ph \/ ps ) ) $=
    ( wo wn wi df-or bicomi ) ABCADBEABFG $.
    $( [1-Feb-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.54 of [WhiteheadRussell] p. 107. $)
  pm2.54 $p |-  ( ( -. ph -> ps ) -> ( ph \/ ps ) ) $=
    ( wo wn wi df-or biimpr ) ABCADBEABFG $.
    $( [10-Feb-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.63 of [WhiteheadRussell] p. 120. $)
  pm4.63 $p |-  ( -. ( ph -> -. ps ) <-> ( ph /\ ps ) ) $=
    ( wa wn wi df-an bicomi ) ABCABDEDABFG $.
    $( [19-Feb-2005] $) $( [3-Jan-2005] $)

  $( Logical 'or' expressed in terms of implication only.  Theorem *5.25 of
     [WhiteheadRussell] p. 124. $)
  dfor2 $p |- ( ( ph \/ ps ) <-> ( ( ph -> ps ) -> ps ) ) $=
    ( wo wn wi df-or pm2.6 pm2.21 imim1i impbi bitr ) ABCADZBEZABEZBEZABFMOABGL
    NBABHIJK $.
    $( [20-Aug-2004] $) $( [12-Aug-2004] $)

  ${
    ori.1 $e |- ( ph \/ ps ) $.
    $( Infer implication from disjunction. $)
    ori $p |- ( -. ph -> ps ) $=
      ( wo wn wi df-or mpbi ) ABDAEBFCABGH $.
      $( [11-Jun-1994] $)
  $}

  ${
    orri.1 $e |- ( -. ph -> ps ) $.
    $( Infer implication from disjunction. $)
    orri $p |- ( ph \/ ps ) $=
      ( wo wn wi df-or mpbir ) ABDAEBFCABGH $.
      $( [11-Jun-1994] $)
  $}

  ${
    ord.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    $( Deduce implication from disjunction. $)
    ord $p |- ( ph -> ( -. ps -> ch ) ) $=
      ( wo wn wi df-or sylib ) ABCEBFCGDBCHI $.
      $( [18-May-1994] $)
  $}

  ${
    orrd.1 $e |- ( ph -> ( -. ps -> ch ) ) $.
    $( Deduce implication from disjunction. $)
    orrd $p |- ( ph -> ( ps \/ ch ) ) $=
      ( wn wi wo df-or sylibr ) ABECFBCGDBCHI $.
      $( [27-Nov-1995] $)
  $}

  $( Implication in terms of disjunction.  Theorem *4.6 of
     [WhiteheadRussell] p. 120. $)
  imor $p |- ( ( ph -> ps ) <-> ( -. ph \/ ps ) ) $=
    ( wi wn wo pm4.13 imbi1i df-or bitr4 ) ABCADZDZBCJBEAKBAFGJBHI $.
    $( [5-Aug-1993] $)

  $( Theorem *4.62 of [WhiteheadRussell] p. 120. $)
  pm4.62 $p |-  ( ( ph -> -. ps ) <-> ( -. ph \/ -. ps ) ) $=
    ( wn imor ) ABCD $.
    $( [24-Feb-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.66 of [WhiteheadRussell] p. 120. $)
  pm4.66 $p |-  ( ( -. ph -> -. ps ) <-> ( ph \/ -. ps ) ) $=
    ( wn pm4.64 ) ABCD $.
    $( [1-Feb-2005] $) $( [3-Jan-2005] $)

  $( Express implication in terms of conjunction.  Theorem 3.4(27) of [Stoll]
     p. 176. $)
  iman $p |- ( ( ph -> ps ) <-> -. ( ph /\ -. ps ) ) $=
    ( wi wn wa pm4.13 imbi2i df-an con2bii bitr ) ABCABDZDZCZAKEZDBLABFGNMAKHIJ
    $.
    $( [5-Aug-1993] $)

  $( Express conjunction in terms of implication. $)
  annim $p |- ( ( ph /\ -. ps ) <-> -. ( ph -> ps ) ) $=
    ( wi wn wa iman con2bii ) ABCABDEABFG $.
    $( [2-Aug-1994] $)

  $( Theorem *4.61 of [WhiteheadRussell] p. 120. $)
  pm4.61 $p |-  ( -. ( ph -> ps ) <-> ( ph /\ -. ps ) ) $=
    ( wn wa wi annim bicomi ) ABCDABECABFG $.
    $( [24-Feb-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.65 of [WhiteheadRussell] p. 120. $)
  pm4.65 $p |-  ( -. ( -. ph -> ps ) <-> ( -. ph /\ -. ps ) ) $=
    ( wn pm4.61 ) ACBD $.
    $( [24-Feb-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.67 of [WhiteheadRussell] p. 120. $)
  pm4.67 $p |-  ( -. ( -. ph -> -. ps ) <-> ( -. ph /\ ps ) ) $=
    ( wn pm4.63 ) ACBD $.
    $( [27-Feb-2005] $) $( [3-Jan-2005] $)

  $( Express implication in terms of conjunction. $)
  imnan $p |- ( ( ph -> -. ps ) <-> -. ( ph /\ ps ) ) $=
    ( wa wn wi df-an con2bii ) ABCABDEABFG $.
    $( [9-Apr-1994] $)

  $( Idempotent law for disjunction.  Theorem *4.25 of [WhiteheadRussell]
     p. 117. $)
  oridm $p |- ( ( ph \/ ph ) <-> ph ) $=
    ( wo wn wi df-or pm2.24 pm2.18 impbi bitr4 ) AABACADZAAAEAJAAFAGHI $.
    $( [5-Aug-1993] $)

  $( Theorem *4.25 of [WhiteheadRussell] p. 117. $)
  pm4.25 $p |-  ( ph <-> ( ph \/ ph ) ) $=
    ( wo oridm bicomi ) AABAACD $.
    $( [27-Feb-2005] $) $( [3-Jan-2005] $)

  $( Axiom *1.2 (Taut) of [WhiteheadRussell] p. 96. $)
  pm1.2 $p |-  ( ( ph \/ ph ) -> ph ) $=
    ( wo oridm biimp ) AABAACD $.
    $( [27-Feb-2005] $) $( [3-Jan-2005] $)

  $( Commutative law for disjunction.  Theorem *4.31 of [WhiteheadRussell]
     p. 118. $)
  orcom $p |- ( ( ph \/ ps ) <-> ( ps \/ ph ) ) $=
    ( wn wi wo bi2.15 df-or 3bitr4 ) ACBDBCADABEBAEABFABGBAGH $.
    $( [5-Aug-1993] $)

  $( Axiom *1.4 of [WhiteheadRussell] p. 96. $)
  pm1.4 $p |-  ( ( ph \/ ps ) -> ( ps \/ ph ) ) $=
    ( wo orcom biimp ) ABCBACABDE $.
    $( [27-Feb-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.62 of [WhiteheadRussell] p. 107. $)
  pm2.62 $p |-  ( ( ph \/ ps ) -> ( ( ph -> ps ) -> ps ) ) $=
    ( wo wi dfor2 biimp ) ABCABDBDABEF $.
    $( [6-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.621 of [WhiteheadRussell] p. 107. $)
  pm2.621 $p |-  ( ( ph -> ps ) -> ( ( ph \/ ps ) -> ps ) ) $=
    ( wo wi pm2.62 com12 ) ABCABDBABEF $.
    $( [6-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.68 of [WhiteheadRussell] p. 108. $)
  pm2.68 $p |-  ( ( ( ph -> ps ) -> ps ) -> ( ph \/ ps ) ) $=
    ( wo wi dfor2 biimpr ) ABCABDBDABEF $.
    $( [27-Feb-2005] $) $( [3-Jan-2005] $)

  $( Elimination of disjunction by denial of a disjunct.  Theorem *2.55 of
     [WhiteheadRussell] p. 107. $)
  orel1 $p |- ( -. ph -> ( ( ph \/ ps ) -> ps ) ) $=
    ( wo wn wi df-or biimp com12 ) ABCZADZBIJBEABFGH $.
    $( [12-Aug-1994] $)

  $( Elimination of disjunction by denial of a disjunct.  Theorem *2.56 of
     [WhiteheadRussell] p. 107. $)
  orel2 $p |- ( -. ph -> ( ( ps \/ ph ) -> ps ) ) $=
    ( wn wo orel1 orcom syl5ib ) ACABDBBADABEBAFG $.
    $( [12-Aug-1994] $)

  $( Theorem *2.25 of [WhiteheadRussell] p. 104. $)
  pm2.25 $p |-  ( ph \/ ( ( ph \/ ps ) -> ps ) ) $=
    ( wo wi orel1 orri ) AABCBDABEF $.
    $( [1-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.53 of [WhiteheadRussell] p. 107. $)
  pm2.53 $p |-  ( ( ph \/ ps ) -> ( -. ph -> ps ) ) $=
    ( wn wo orel1 com12 ) ACABDBABEF $.
    $( [1-Mar-2005] $) $( [3-Jan-2005] $)

  ${
    orbi2i.1 $e |- ( ph <-> ps ) $.

    $( Inference adding a left disjunct to both sides of a logical
       equivalence. $)
    orbi2i $p |- ( ( ch \/ ph ) <-> ( ch \/ ps ) ) $=
      ( wn wi wo imbi2i df-or 3bitr4 ) CEZAFKBFCAGCBGABKDHCAICBIJ $.
      $( [5-Aug-1993] $)

    $( Inference adding a right disjunct to both sides of a logical
       equivalence. $)
    orbi1i $p |- ( ( ph \/ ch ) <-> ( ps \/ ch ) ) $=
      ( wo orcom orbi2i 3bitr ) ACECAECBEBCEACFABCDGCBFH $.
      $( [5-Aug-1993] $)

  $}

  ${
    orbi12i.1 $e |- ( ph <-> ps ) $.
    orbi12i.2 $e |- ( ch <-> th ) $.
    $( Infer the disjunction of two equivalences. $)
    orbi12i $p |- ( ( ph \/ ch ) <-> ( ps \/ th ) ) $=
      ( wo orbi2i orbi1i bitr ) ACGADGBDGCDAFHABDEIJ $.
      $( [5-Aug-1993] $)
  $}

  $( A rearrangement of disjuncts. $)
  or12 $p |- ( ( ph \/ ( ps \/ ch ) ) <-> ( ps \/ ( ph \/ ch ) ) ) $=
    ( wn wo wi bi2.04 df-or imbi2i 3bitr4r 3bitr4 ) ADZBCEZFZBDZACEZFZAMEBPEOLC
    FZFLOCFZFQNOLCGPROACHIMSLBCHIJAMHBPHK $.
    $( [5-Aug-1993] $)

  $( Axiom *1.5 (Assoc) of [WhiteheadRussell] p. 96. $)
  pm1.5 $p |-  ( ( ph \/ ( ps \/ ch ) ) -> ( ps \/ ( ph \/ ch ) ) ) $=
    ( wo or12 biimp ) ABCDDBACDDABCEF $.
    $( [1-Mar-2005] $) $( [3-Jan-2005] $)

  $( Associative law for disjunction.  Theorem *4.33 of [WhiteheadRussell]
     p. 118. $)
  orass $p |- ( ( ( ph \/ ps ) \/ ch ) <-> ( ph \/ ( ps \/ ch ) ) ) $=
    ( wo or12 orcom orbi2i 3bitr4 ) CABDZDACBDZDICDABCDZDCABEICFKJABCFGH $.
    $( [5-Aug-1993] $)

  $( Theorem *2.31 of [WhiteheadRussell] p. 104. $)
  pm2.31 $p |-  ( ( ph \/ ( ps \/ ch ) ) -> ( ( ph \/ ps ) \/ ch ) ) $=
    ( wo orass biimpr ) ABDCDABCDDABCEF $.
    $( [2-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.32 of [WhiteheadRussell] p. 105. $)
  pm2.32 $p |-  ( ( ( ph \/ ps ) \/ ch ) -> ( ph \/ ( ps \/ ch ) ) ) $=
    ( wo orass biimp ) ABDCDABCDDABCEF $.
    $( [6-Mar-2005] $) $( [3-Jan-2005] $)

  $( A rearrangement of disjuncts. $)
  or23 $p |- ( ( ( ph \/ ps ) \/ ch ) <-> ( ( ph \/ ch ) \/ ps ) ) $=
    ( wo orcom orbi2i orass 3bitr4 ) ABCDZDACBDZDABDCDACDBDIJABCEFABCGACBGH $.
    $( [18-Oct-1995] $)

  $( Rearrangement of 4 disjuncts. $)
  or4 $p |- ( ( ( ph \/ ps ) \/ ( ch \/ th ) ) <->
                ( ( ph \/ ch ) \/ ( ps \/ th ) ) ) $=
    ( wo or12 orbi2i orass 3bitr4 ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHACL
    HI $.
    $( [12-Aug-1994] $)

  $( Rearrangement of 4 disjuncts. $)
  or42 $p |- ( ( ( ph \/ ps ) \/ ( ch \/ th ) ) <->
                 ( ( ph \/ ch ) \/ ( th \/ ps ) ) ) $=
    ( wo or4 orcom orbi2i bitr ) ABECDEEACEZBDEZEJDBEZEABCDFKLJBDGHI $.
    $( [11-Jan-2005] $) $( [10-Jan-2005] $)

  $( Distribution of disjunction over disjunction. $)
  orordi $p |- ( ( ph \/ ( ps \/ ch ) ) <->
               ( ( ph \/ ps ) \/ ( ph \/ ch ) ) ) $=
    ( wo oridm orbi1i or4 bitr3 ) ABCDZDAADZIDABDACDDJAIAEFAABCGH $.
    $( [25-Feb-1995] $)

  $( Distribution of disjunction over disjunction. $)
  orordir $p |- ( ( ( ph \/ ps ) \/ ch ) <->
               ( ( ph \/ ch ) \/ ( ps \/ ch ) ) ) $=
    ( wo oridm orbi2i or4 bitr3 ) ABDZCDICCDZDACDBCDDJCICEFABCCGH $.
    $( [25-Feb-1995] $)

  $( Introduction of a disjunct.  Axiom *1.3 of [WhiteheadRussell] p. 96. $)
  olc $p |- ( ph -> ( ps \/ ph ) ) $=
    ( wn ax-1 orrd ) ABAABCDE $.
    $( [30-Aug-1993] $)

  $( Introduction of a disjunct.  Theorem *2.2 of [WhiteheadRussell] p. 104. $)
  orc $p |- ( ph -> ( ph \/ ps ) ) $=
    ( pm2.24 orrd ) AABABCD $.
    $( [30-Aug-1993] $)

  ${
    orci.1 $e |- ph $.
    $( Deduction introducing a disjunct. $)
    orci $p |- ( ph \/ ps ) $=
      ( wo orc ax-mp ) AABDCABEF $.
      $( [20-Jan-2008] $) $( [19-Jan-2008] $)

    $( Deduction introducing a disjunct. $)
    olci $p |- ( ps \/ ph ) $=
      ( wo olc ax-mp ) ABADCABEF $.
      $( [20-Jan-2008] $) $( [19-Jan-2008] $)
  $}

  ${
    orcd.1 $e |- ( ph -> ps ) $.
    $( Deduction introducing a disjunct. $)
    orcd $p |- ( ph -> ( ps \/ ch ) ) $=
      ( wo orc syl ) ABBCEDBCFG $.
      $( [19-Feb-2008] $) $( [20-Sep-2007] $)

    $( Deduction introducing a disjunct. $)
    olcd $p |- ( ph -> ( ch \/ ps ) ) $=
      ( wo olc syl ) ABCBEDBCFG $.
      $( [11-Apr-2008] $) $( [11-Apr-2008] $)
  $}

  ${
    orcs.1 $e |- ( ( ph \/ ps ) -> ch ) $.
    $( Deduction eliminating disjunct. $)
    orcs $p |- ( ph -> ch ) $=
      ( wo orc syl ) AABECABFDG $.
      $( [21-Jun-1994] $)
  $}

  ${
    olcs.1 $e |- ( ( ph \/ ps ) -> ch ) $.
    $( Deduction eliminating disjunct. $)
    olcs $p |- ( ps -> ch ) $=
      ( wo olc syl ) BABECBAFDG $.
      $( [21-Jun-1994] $)
  $}

  $( Theorem *2.07 of [WhiteheadRussell] p. 101. $)
  pm2.07 $p |-  ( ph -> ( ph \/ ph ) ) $=
    ( olc ) AAB $.
    $( [6-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.45 of [WhiteheadRussell] p. 106. $)
  pm2.45 $p |-  ( -. ( ph \/ ps ) -> -. ph ) $=
    ( wo orc con3i ) AABCABDE $.
    $( [8-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.46 of [WhiteheadRussell] p. 106. $)
  pm2.46 $p |-  ( -. ( ph \/ ps ) -> -. ps ) $=
    ( wo olc con3i ) BABCBADE $.
    $( [8-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.47 of [WhiteheadRussell] p. 107. $)
  pm2.47 $p |-  ( -. ( ph \/ ps ) -> ( -. ph \/ ps ) ) $=
    ( wo wn pm2.45 orcd ) ABCDADBABEF $.
    $( [6-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.48 of [WhiteheadRussell] p. 107. $)
  pm2.48 $p |-  ( -. ( ph \/ ps ) -> ( ph \/ -. ps ) ) $=
    ( wo wn pm2.46 olcd ) ABCDBDAABEF $.
    $( [9-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.49 of [WhiteheadRussell] p. 107. $)
  pm2.49 $p |-  ( -. ( ph \/ ps ) -> ( -. ph \/ -. ps ) ) $=
    ( wo wn pm2.46 olcd ) ABCDBDADABEF $.
    $( [7-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.67 of [WhiteheadRussell] p. 107. $)
  pm2.67 $p |-  ( ( ( ph \/ ps ) -> ps ) -> ( ph -> ps ) ) $=
    ( wo orc imim1i ) AABCBABDE $.
    $( [6-Jan-2005] $) $( [3-Jan-2005] $)

  $( Join antecedents with conjunction.  Theorem *3.2 of [WhiteheadRussell]
     p. 111. $)
  pm3.2 $p |- ( ph -> ( ps -> ( ph /\ ps ) ) ) $=
    ( wa wn wi df-an biimpr expi ) ABABCZIABDEDABFGH $.
    $( [5-Aug-1993] $)

  $( Join antecedents with conjunction.  Theorem *3.21 of
     [WhiteheadRussell] p. 111. $)
  pm3.21 $p |- ( ph -> ( ps -> ( ps /\ ph ) ) ) $=
    ( wa pm3.2 com12 ) BABACBADE $.
    $( [5-Aug-1993] $)

  ${
    pm3.2i.1 $e |- ph $.
    pm3.2i.2 $e |- ps $.
    $( Infer conjunction of premises. $)
    pm3.2i $p |- ( ph /\ ps ) $=
      ( wa pm3.2 mp2 ) ABABECDABFG $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem *3.37 (Transp) of [WhiteheadRussell] p. 112. $)
  pm3.37 $p |-  ( ( ( ph /\ ps ) -> ch ) -> ( ( ph /\ -. ch ) -> -. ps ) ) $=
    ( wa wi wn pm3.21 imim1d com12 iman syl6ib con2d ) ABDZCEZBACFDZNBACEZOFBNP
    BAMCBAGHIACJKL $.
    $( [7-Mar-2005] $) $( [3-Jan-2005] $)

  $( Nested conjunction of antecedents. $)
  pm3.43i $p |- ( ( ph -> ps ) ->
                ( ( ph -> ch ) -> ( ph -> ( ps /\ ch ) ) ) ) $=
    ( wa pm3.2 imim3i ) BCBCDABCEF $.
    $( [5-Aug-1993] $)

  ${
    jca.1 $e |- ( ph -> ps ) $.
    jca.2 $e |- ( ph -> ch ) $.
    $( Deduce conjunction of the consequents of two implications ("join
       consequents with 'and'"). $)
    jca $p |- ( ph -> ( ps /\ ch ) ) $=
      ( wn wi wa jc df-an sylibr ) ABCFGFBCHABCDEIBCJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    jcai.1 $e |- ( ph -> ps ) $.
    jcai.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction replacing implication with conjunction. $)
    jcai $p |- ( ph -> ( ps /\ ch ) ) $=
      ( mpd jca ) ABCDABCDEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    jctl.1 $e |- ps $.
    $( Inference conjoining a theorem to the left of a consequent. $)
    jctl $p |- ( ph -> ( ps /\ ph ) ) $=
      ( a1i id jca ) ABABACDAEF $.
      $( [31-Dec-1993] $)
  $}

  ${
    jctr.1 $e |- ps $.
    $( Inference conjoining a theorem to the right of a consequent. $)
    jctr $p |- ( ph -> ( ph /\ ps ) ) $=
      ( id a1i jca ) AABADBACEF $.
      $( [18-Aug-1993] $)
  $}

  ${
    jctil.1 $e |- ( ph -> ps ) $.
    jctil.2 $e |- ch $.
    $( Inference conjoining a theorem to left of consequent in an
       implication. $)
    jctil $p |- ( ph -> ( ch /\ ps ) ) $=
      ( a1i jca ) ACBCAEFDG $.
      $( [31-Dec-1993] $)
  $}

  ${
    jctir.1 $e |- ( ph -> ps ) $.
    jctir.2 $e |- ch $.
    $( Inference conjoining a theorem to right of consequent in an
       implication. $)
    jctir $p |- ( ph -> ( ps /\ ch ) ) $=
      ( a1i jca ) ABCDCAEFG $.
      $( [31-Dec-1993] $)
  $}

  $( Conjoin antecedent to left of consequent. $)
  ancl $p |- ( ( ph -> ps ) -> ( ph -> ( ph /\ ps ) ) ) $=
    ( wa pm3.2 a2i ) ABABCABDE $.
    $( [15-Aug-1994] $)

  $( Conjoin antecedent to right of consequent. $)
  ancr $p |- ( ( ph -> ps ) -> ( ph -> ( ps /\ ph ) ) ) $=
    ( wa pm3.21 a2i ) ABBACABDE $.
    $( [15-Aug-1994] $)

  ${
    ancli.1 $e |- ( ph -> ps ) $.
    $( Deduction conjoining antecedent to left of consequent. $)
    ancli $p |- ( ph -> ( ph /\ ps ) ) $=
      ( id jca ) AABADCE $.
      $( [12-Aug-1993] $)
  $}

  ${
    ancri.1 $e |- ( ph -> ps ) $.
    $( Deduction conjoining antecedent to right of consequent. $)
    ancri $p |- ( ph -> ( ps /\ ph ) ) $=
      ( id jca ) ABACADE $.
      $( [15-Aug-1994] $)
  $}

  ${
    ancld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to left of consequent in nested
       implication. $)
    ancld $p |- ( ph -> ( ps -> ( ps /\ ch ) ) ) $=
      ( wi wa ancl syl ) ABCEBBCFEDBCGH $.
      $( [15-Aug-1994] $)
  $}

  ${
    ancrd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to right of consequent in nested
       implication. $)
    ancrd $p |- ( ph -> ( ps -> ( ch /\ ps ) ) ) $=
      ( wi wa ancr syl ) ABCEBCBFEDBCGH $.
      $( [15-Aug-1994] $)
  $}

  $( Conjoin antecedent to left of consequent in nested implication. $)
  anc2l $p |- ( ( ph -> ( ps -> ch ) ) -> ( ph -> ( ps -> ( ph /\ ch ) ) ) ) $=
    ( wi wa pm3.2 imim2d a2i ) ABCDBACEZDACIBACFGH $.
    $( [10-Aug-1994] $)

  $( Conjoin antecedent to right of consequent in nested implication. $)
  anc2r $p |- ( ( ph -> ( ps -> ch ) ) -> ( ph -> ( ps -> ( ch /\ ph ) ) ) ) $=
    ( wi wa pm3.21 imim2d a2i ) ABCDBCAEZDACIBACFGH $.
    $( [15-Aug-1994] $)

  ${
    anc2li.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to left of consequent in nested
       implication. $)
    anc2li $p |- ( ph -> ( ps -> ( ph /\ ch ) ) ) $=
      ( wi wa anc2l ax-mp ) ABCEEABACFEEDABCGH $.
      $( [10-Aug-1994] $)
  $}

  ${
    anc2ri.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction conjoining antecedent to right of consequent in nested
       implication. $)
    anc2ri $p |- ( ph -> ( ps -> ( ch /\ ph ) ) ) $=
      ( wi wa anc2r ax-mp ) ABCEEABCAFEEDABCGH $.
      $( [15-Aug-1994] $)
  $}

  $( Conjunction in terms of disjunction (DeMorgan's law).  Theorem *4.5 of
     [WhiteheadRussell] p. 120. $)
  anor $p |- ( ( ph /\ ps ) <-> -. ( -. ph \/ -. ps ) ) $=
    ( wa wn wi wo df-an pm4.62 negbii bitr ) ABCABDZEZDADKFZDABGLMABHIJ $.
    $( [5-Aug-1993] $)

  $( Negated conjunction in terms of disjunction (DeMorgan's law).  Theorem
     *4.51 of [WhiteheadRussell] p. 120. $)
  ianor $p |- ( -. ( ph /\ ps ) <-> ( -. ph \/ -. ps ) ) $=
    ( wa wn wo anor negbii pm4.13 bitr4 ) ABCZDADBDEZDZDKJLABFGKHI $.
    $( [5-Aug-1993] $)

  $( Negated disjunction in terms of conjunction (DeMorgan's law).  Compare
     Theorem *4.56 of [WhiteheadRussell] p. 120. $)
  ioran $p |- ( -. ( ph \/ ps ) <-> ( -. ph /\ -. ps ) ) $=
    ( wo wn wa pm4.13 orbi12i negbii anor bitr4 ) ABCZDADZDZBDZDZCZDLNEKPAMBOAF
    BFGHLNIJ $.
    $( [5-Aug-1993] $)

  $( Theorem *4.52 of [WhiteheadRussell] p. 120. $)
  pm4.52 $p |-  ( ( ph /\ -. ps ) <-> -. ( -. ph \/ ps ) ) $=
    ( wn wa wo anor pm4.13 orbi2i negbii bitr4 ) ABCZDACZKCZEZCLBEZCAKFONBMLBGH
    IJ $.
    $( [11-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.53 of [WhiteheadRussell] p. 120. $)
  pm4.53 $p |-  ( -. ( ph /\ -. ps ) <-> ( -. ph \/ ps ) ) $=
    ( wn wo wa pm4.52 con2bii bicomi ) ACBDZABCEZCJIABFGH $.
    $( [11-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.54 of [WhiteheadRussell] p. 120. $)
  pm4.54 $p |-  ( ( -. ph /\ ps ) <-> -. ( ph \/ -. ps ) ) $=
    ( wn wa wo anor pm4.13 orbi1i negbii bitr4 ) ACZBDKCZBCZEZCAMEZCKBFONALMAGH
    IJ $.
    $( [11-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.55 of [WhiteheadRussell] p. 120. $)
  pm4.55 $p |-  ( -. ( -. ph /\ ps ) <-> ( ph \/ -. ps ) ) $=
    ( wn wo wa pm4.54 con2bii bicomi ) ABCDZACBEZCJIABFGH $.
    $( [11-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.56 of [WhiteheadRussell] p. 120. $)
  pm4.56 $p |-  ( ( -. ph /\ -. ps ) <-> -. ( ph \/ ps ) ) $=
    ( wo wn wa ioran bicomi ) ABCDADBDEABFG $.
    $( [11-Mar-2005] $) $( [3-Jan-2005] $)

  $( Disjunction in terms of conjunction (DeMorgan's law).  Compare Theorem
     *4.57 of [WhiteheadRussell] p. 120. $)
  oran $p |- ( ( ph \/ ps ) <-> -. ( -. ph /\ -. ps ) ) $=
    ( wo wn wa pm4.13 ioran negbii bitr ) ABCZJDZDADBDEZDJFKLABGHI $.
    $( [5-Aug-1993] $)

  $( Theorem *4.57 of [WhiteheadRussell] p. 120. $)
  pm4.57 $p |-  ( -. ( -. ph /\ -. ps ) <-> ( ph \/ ps ) ) $=
    ( wo wn wa oran bicomi ) ABCADBDEDABFG $.
    $( [11-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *3.1 of [WhiteheadRussell] p. 111. $)
  pm3.1 $p |-  ( ( ph /\ ps ) -> -. ( -. ph \/ -. ps ) ) $=
    ( wa wn wo anor biimp ) ABCADBDEDABFG $.
    $( [21-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *3.11 of [WhiteheadRussell] p. 111. $)
  pm3.11 $p |-  ( -. ( -. ph \/ -. ps ) -> ( ph /\ ps ) ) $=
    ( wa wn wo anor biimpr ) ABCADBDEDABFG $.
    $( [25-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *3.12 of [WhiteheadRussell] p. 111. $)
  pm3.12 $p |-  ( ( -. ph \/ -. ps ) \/ ( ph /\ ps ) ) $=
    ( wn wo wa pm3.11 orri ) ACBCDABEABFG $.
    $( [25-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *3.13 of [WhiteheadRussell] p. 111. $)
  pm3.13 $p |-  ( -. ( ph /\ ps ) -> ( -. ph \/ -. ps ) ) $=
    ( wn wo wa pm3.11 con1i ) ACBCDABEABFG $.
    $( [25-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *3.14 of [WhiteheadRussell] p. 111. $)
  pm3.14 $p |-  ( ( -. ph \/ -. ps ) -> -. ( ph /\ ps ) ) $=
    ( wa wn wo pm3.1 con2i ) ABCADBDEABFG $.
    $( [25-Mar-2005] $) $( [3-Jan-2005] $)

  $( Elimination of a conjunct.  Theorem *3.26 (Simp) of [WhiteheadRussell]
     p. 112. $)
  pm3.26 $p |- ( ( ph /\ ps ) -> ph ) $=
    ( wa wn wi df-an pm3.26im sylbi ) ABCABDEDAABFABGH $.
    $( [5-Aug-1993] $)

  ${
    pm3.26i.1 $e |- ( ph /\ ps ) $.
    $( Inference eliminating a conjunct. $)
    pm3.26i $p |- ph $=
      ( wa pm3.26 ax-mp ) ABDACABEF $.
      $( [15-Jun-1994] $)
  $}

  ${
    pm3.26d.1 $e |- ( ph -> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct. $)
    pm3.26d $p |- ( ph -> ps ) $=
      ( wa pm3.26 syl ) ABCEBDBCFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    pm3.26bi.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct. $)
    pm3.26bi $p |- ( ph -> ps ) $=
      ( wa biimp pm3.26d ) ABCABCEDFG $.
      $( [27-May-1998] $)
  $}

  $( Elimination of a conjunct.  Theorem *3.27 (Simp) of [WhiteheadRussell]
     p. 112. $)
  pm3.27 $p |- ( ( ph /\ ps ) -> ps ) $=
    ( wa wn wi df-an pm3.27im sylbi ) ABCABDEDBABFABGH $.
    $( [5-Aug-1993] $)

  ${
    pm3.27i.1 $e |- ( ph /\ ps ) $.
    $( Inference eliminating a conjunct. $)
    pm3.27i $p |- ps $=
      ( wa pm3.27 ax-mp ) ABDBCABEF $.
      $( [15-Jun-1994] $)
  $}

  ${
    pm3.27d.1 $e |- ( ph -> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct. $)
    pm3.27d $p |- ( ph -> ch ) $=
      ( wa pm3.27 syl ) ABCECDBCFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    pm3.27bi.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Deduction eliminating a conjunct. $)
    pm3.27bi $p |- ( ph -> ch ) $=
      ( wa biimp pm3.27d ) ABCABCEDFG $.
      $( [27-May-1998] $)
  $}

  $( Theorem *3.41 of [WhiteheadRussell] p. 113. $)
  pm3.41 $p |-  ( ( ph -> ch ) -> ( ( ph /\ ps ) -> ch ) ) $=
    ( wa pm3.26 imim1i ) ABDACABEF $.
    $( [21-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *3.42 of [WhiteheadRussell] p. 113. $)
  pm3.42 $p |-  ( ( ps -> ch ) -> ( ( ph /\ ps ) -> ch ) ) $=
    ( wa pm3.27 imim1i ) ABDBCABEF $.
    $( [27-Mar-2005] $) $( [3-Jan-2005] $)

  $( Conjoin antecedent to left of consequent.  Theorem *4.7 of
     [WhiteheadRussell] p. 120. $)
  anclb $p |- ( ( ph -> ps ) <-> ( ph -> ( ph /\ ps ) ) ) $=
    ( wi wa ancl pm3.27 imim2i impbi ) ABCAABDZCABEIBAABFGH $.
    $( [25-Jul-1999] $)

  $( Conjoin antecedent to right of consequent. $)
  ancrb $p |- ( ( ph -> ps ) <-> ( ph -> ( ps /\ ph ) ) ) $=
    ( wi wa ancr pm3.26 imim2i impbi ) ABCABADZCABEIBABAFGH $.
    $( [25-Jul-1999] $)

  $( Conjunction implies implication.  Theorem *3.4 of [WhiteheadRussell]
     p. 113. $)
  pm3.4 $p |- ( ( ph /\ ps ) -> ( ph -> ps ) ) $=
    ( wa pm3.27 a1d ) ABCBAABDE $.
    $( [31-Jul-1995] $)

  $( Conjunction with implication.  Compare Theorem *4.45 of
     [WhiteheadRussell] p. 119. $)
  pm4.45im $p |- ( ph <-> ( ph /\ ( ps -> ph ) ) ) $=
    ( wi wa ax-1 ancli pm3.26 impbi ) AABACZDAIABEFAIGH $.
    $( [17-May-1998] $)

  ${
    anim12i.1 $e |- ( ph -> ps ) $.
    anim12i.2 $e |- ( ch -> th ) $.
    $( Conjoin antecedents and consequents of two premises. $)
    anim12i $p |- ( ( ph /\ ch ) -> ( ps /\ th ) ) $=
      ( wa pm3.26 syl pm3.27 jca ) ACGZBDLABACHEILCDACJFIK $.
      $( [5-Aug-1993] $)
  $}

  ${
    anim1i.1 $e |- ( ph -> ps ) $.
    $( Introduce conjunct to both sides of an implication. $)
    anim1i $p |- ( ( ph /\ ch ) -> ( ps /\ ch ) ) $=
      ( id anim12i ) ABCCDCEF $.
      $( [5-Aug-1993] $)

    $( Introduce conjunct to both sides of an implication. $)
    anim2i $p |- ( ( ch /\ ph ) -> ( ch /\ ps ) ) $=
      ( id anim12i ) CCABCEDF $.
      $( [5-Aug-1993] $)
  $}

  ${
    orim12i.1 $e |- ( ph -> ps ) $.
    orim12i.2 $e |- ( ch -> th ) $.
    $( Disjoin antecedents and consequents of two premises. $)
    orim12i $p |- ( ( ph \/ ch ) -> ( ps \/ th ) ) $=
      ( wn wa wo con3i anim12i oran 3imtr4 ) AGZCGZHZGBGZDGZHZGACIBDISPQNROABEJ
      CDFJKJACLBDLM $.
      $( [6-Jun-1994] $)
  $}

  ${
    orim1i.1 $e |- ( ph -> ps ) $.
    $( Introduce disjunct to both sides of an implication. $)
    orim1i $p |- ( ( ph \/ ch ) -> ( ps \/ ch ) ) $=
      ( id orim12i ) ABCCDCEF $.
      $( [6-Jun-1994] $)

    $( Introduce disjunct to both sides of an implication. $)
    orim2i $p |- ( ( ch \/ ph ) -> ( ch \/ ps ) ) $=
      ( id orim12i ) CCABCEDF $.
      $( [6-Jun-1994] $)
  $}

  $( Theorem *2.3 of [WhiteheadRussell] p. 104. $)
  pm2.3 $p |-  ( ( ph \/ ( ps \/ ch ) ) -> ( ph \/ ( ch \/ ps ) ) ) $=
    ( wo pm1.4 orim2i ) BCDCBDABCEF $.
    $( [2-Apr-2005] $) $( [3-Jan-2005] $)

  $( Disjunction of antecedents.  Compare Theorem *3.44 of
     [WhiteheadRussell] p. 113. $)
  jao $p |- ( ( ph -> ps ) -> ( ( ch -> ps ) -> ( ( ph \/ ch ) -> ps ) ) ) $=
    ( wi wn wo con3 wa pm3.43i con1 syl6 oran syl7ib syl5 syl ) ABDBEZAEZDZCBDZ
    ACFZBDZDABGRPCEZDZUASRUCQUBHZEZBTRUCPUDDUEBDPQUBIBUDJKACLMCBGNO $.
    $( [5-Apr-1994] $)

  ${
    jaoi.1 $e |- ( ph -> ps ) $.
    jaoi.2 $e |- ( ch -> ps ) $.
    $( Inference disjoining the antecedents of two implications. $)
    jaoi $p |- ( ( ph \/ ch ) -> ps ) $=
      ( wi wo jao mp2 ) ABFCBFACGBFDEABCHI $.
      $( [5-Apr-1994] $)
  $}

  $( Theorem *2.41 of [WhiteheadRussell] p. 106. $)
  pm2.41 $p |-  ( ( ps \/ ( ph \/ ps ) ) -> ( ph \/ ps ) ) $=
    ( wo olc id jaoi ) BABCZGBADGEF $.
    $( [2-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.42 of [WhiteheadRussell] p. 106. $)
  pm2.42 $p |-  ( ( -. ph \/ ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wn wi pm2.21 id jaoi ) ACABDZHABEHFG $.
    $( [2-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.4 of [WhiteheadRussell] p. 106. $)
  pm2.4 $p |-  ( ( ph \/ ( ph \/ ps ) ) -> ( ph \/ ps ) ) $=
    ( wo orc id jaoi ) AABCZGABDGEF $.
    $( [2-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.44 of [WhiteheadRussell] p. 119. $)
  pm4.44 $p |-  ( ph <-> ( ph \/ ( ph /\ ps ) ) ) $=
    ( wa wo orc id pm3.26 jaoi impbi ) AAABCZDAJEAAJAFABGHI $.
    $( [2-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.63 of [WhiteheadRussell] p. 125. $)
  pm5.63 $p |-  ( ( ph \/ ps ) <-> ( ph \/ ( -. ph /\ ps ) ) ) $=
    ( wo wn wa pm2.53 ancld orrd wi pm2.24 pm3.4 jaoi impbi ) ABCZAADZBEZCZNAPN
    OBABFGHQABAOBIPABJOBKLHM $.
    $( [2-Apr-2005] $) $( [3-Jan-2005] $)

  $( Import-export theorem.  Part of Theorem *4.87 of [WhiteheadRussell]
     p. 122. $)
  impexp $p |- ( ( ( ph /\ ps ) -> ch ) <-> ( ph -> ( ps -> ch ) ) ) $=
    ( wa wi wn df-an imbi1i expt impt impbi bitr ) ABDZCEABFEFZCEZABCEEZMNCABGH
    OPABCIABCJKL $.
    $( [5-Aug-1993] $)

  $( Theorem *3.3 (Exp) of [WhiteheadRussell] p. 112. $)
  pm3.3 $p |-  ( ( ( ph /\ ps ) -> ch ) -> ( ph -> ( ps -> ch ) ) ) $=
    ( wa wi impexp biimp ) ABDCEABCEEABCFG $.
    $( [10-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *3.31 (Imp) of [WhiteheadRussell] p. 112. $)
  pm3.31 $p |-  ( ( ph -> ( ps -> ch ) ) -> ( ( ph /\ ps ) -> ch ) ) $=
    ( wa wi impexp biimpr ) ABDCEABCEEABCFG $.
    $( [14-Apr-2005] $) $( [3-Jan-2005] $)

  ${
    imp.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Importation inference.  (The proof was shortened by Eric Schmidt,
       22-Dec-2006.) $)
    imp $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wi impexp mpbir ) ABECFABCFFDABCGH $.
      $( [22-Dec-2006] $) $( [5-Aug-1993] $)

    $( Importation inference with commuted antecedents. $)
    impcom $p |- ( ( ps /\ ph ) -> ch ) $=
      ( com12 imp ) BACABCDEF $.
      $( [26-May-2005] $) $( [25-May-2005] $)
  $}

  $( Theorem *4.14 of [WhiteheadRussell] p. 117. $)
  pm4.14 $p |-  ( ( ( ph /\ ps ) -> ch ) <-> ( ( ph /\ -. ch ) -> -. ps ) ) $=
    ( wa wi wn impexp bi2.04 bitr iman imbi2i bi2.03 3bitr ) ABDCEZBACEZEZBACFD
    ZFZEQBFENABCEEPABCGABCHIORBACJKBQLM $.
    $( [11-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.15 of [WhiteheadRussell] p. 117. $)
  pm4.15 $p |-  ( ( ( ph /\ ps ) -> -. ch ) <-> ( ( ps /\ ch ) -> -. ph ) ) $=
    ( wa wn wi impexp imnan imbi2i bi2.03 3bitr ) ABDCEZFABLFZFABCDZEZFNAEFABLG
    MOABCHIANJK $.
    $( [11-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.78 of [WhiteheadRussell] p. 121. $)
  pm4.78 $p |-  ( ( ( ph -> ps ) \/ ( ph -> ch ) ) <->
                ( ph -> ( ps \/ ch ) ) ) $=
    ( wi wn wo wa impexp annim imbi1i bi2.04 imbi2i pm5.4 bitr 3bitr3 df-or
    3bitr4 ) ABDZEZACDZDZABEZCDZDZRTFABCFZDAUBGZTDAUBTDZDZUAUDAUBTHUFSTABIJUHAU
    DDUDUGUDAUBACKLAUCMNORTPUEUCABCPLQ $.
    $( [10-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.79 of [WhiteheadRussell] p. 121. $)
  pm4.79 $p |-  ( ( ( ps -> ph ) \/ ( ch -> ph ) ) <->
                ( ( ps /\ ch ) -> ph ) ) $=
    ( wn wi wo wa pm4.78 ianor imbi2i bitr4 pm4.1 orbi12i 3bitr4 ) ADZBDZEZOCDZ
    EZFZOBCGZDZEZBAEZCAEZFUAAETOPRFZEUCOPRHUBUFOBCIJKUDQUESBALCALMUAALN $.
    $( [14-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.87 of [WhiteheadRussell] p. 122.  (The proof was shortened by
     Eric Schmidt, 26-Oct-2006.) $)
  pm4.87 $p |-  ( ( ( ( ( ph /\ ps ) -> ch ) <-> ( ph -> ( ps -> ch ) ) ) /\
                ( ( ph -> ( ps -> ch ) ) <-> ( ps -> ( ph -> ch ) ) ) ) /\
                ( ( ps -> ( ph -> ch ) ) <-> ( ( ps /\ ph ) -> ch ) ) ) $=
    ( wa wi wb impexp bi2.04 pm3.2i bicomi ) ABDCEABCEEZFZKBACEEZFZDMBADCEZFLNA
    BCGABCHIOMBACGJI $.
    $( [27-Oct-2006] $) $( [3-Jan-2005] $)

  $( Theorem *3.33 (Syll) of [WhiteheadRussell] p. 112. $)
  pm3.33 $p |-  ( ( ( ph -> ps ) /\ ( ps -> ch ) ) -> ( ph -> ch ) ) $=
    ( wi imim1 imp ) ABDBCDACDABCEF $.
    $( [16-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *3.34 (Syll) of [WhiteheadRussell] p. 112. $)
  pm3.34 $p |-  ( ( ( ps -> ch ) /\ ( ph -> ps ) ) -> ( ph -> ch ) ) $=
    ( wi imim2 imp ) BCDABDACDBCAEF $.
    $( [16-Apr-2005] $) $( [3-Jan-2005] $)

  $( Conjunctive detachment.  Theorem *3.35 of [WhiteheadRussell] p. 112. $)
  pm3.35 $p |- ( ( ph /\ ( ph -> ps ) ) -> ps ) $=
    ( wi pm2.27 imp ) AABCBABDE $.
    $( [14-Dec-2002] $)

  $( Theorem *5.31 of [WhiteheadRussell] p. 125. $)
  pm5.31 $p |-  ( ( ch /\ ( ph -> ps ) ) -> ( ph -> ( ps /\ ch ) ) ) $=
    ( wi wa pm3.21 imim2d imp ) CABDABCEZDCBIACBFGH $.
    $( [19-Apr-2005] $) $( [3-Jan-2005] $)

  ${
    imp3.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.

    $( Importation deduction. $)
    imp3a $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( wi wa impexp sylibr ) ABCDFFBCGDFEBCDHI $.
      $( [31-Mar-1994] $)

    $( An importation inference. $)
    imp31 $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( wa wi imp ) ABFCDABCDGEHH $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp32 $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( wa imp3a imp ) ABCFDABCDEGH $.
      $( [26-Apr-1994] $)

  $}

  ${
    imp4.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $.

    $( An importation inference. $)
    imp4a $p |- ( ph -> ( ps -> ( ( ch /\ th ) -> ta ) ) ) $=
      ( wi wa impexp syl6ibr ) ABCDEGGCDHEGFCDEIJ $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp4b $p |- ( ( ph /\ ps ) -> ( ( ch /\ th ) -> ta ) ) $=
      ( wa wi imp4a imp ) ABCDGEHABCDEFIJ $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp4c $p |- ( ph -> ( ( ( ps /\ ch ) /\ th ) -> ta ) ) $=
      ( wa wi imp3a ) ABCGDEABCDEHFII $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp4d $p |- ( ph -> ( ( ps /\ ( ch /\ th ) ) -> ta ) ) $=
      ( wa imp4a imp3a ) ABCDGEABCDEFHI $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp41 $p |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $=
      ( wa wi imp imp31 ) ABGCDEABCDEHHFIJ $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp42 $p |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $=
      ( wa wi imp32 imp ) ABCGGDEABCDEHFIJ $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp43 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $=
      ( wa imp4b imp ) ABGCDGEABCDEFHI $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp44 $p |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ta ) $=
      ( wa imp4c imp ) ABCGDGEABCDEFHI $.
      $( [26-Apr-1994] $)

    $( An importation inference. $)
    imp45 $p |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> ta ) $=
      ( wa imp4d imp ) ABCDGGEABCDEFHI $.
      $( [26-Apr-1994] $)

  $}

  ${
    exp.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Exportation inference.  (This theorem used to be labeled "exp" but was
       changed to "ex" so as not to conflict with the math token "exp", per
       the June 2006 Metamath spec change.)  (The proof was shortened by Eric
       Schmidt, 22-Dec-2006.) $)
    ex $p |- ( ph -> ( ps -> ch ) ) $=
      ( wa wi impexp mpbi ) ABECFABCFFDABCGH $.
      $( [22-Dec-2006] $) $( [5-Aug-1993] $)

    $( Exportation inference with commuted antecedents. $)
    expcom $p |- ( ps -> ( ph -> ch ) ) $=
      ( ex com12 ) ABCABCDEF $.
      $( [26-May-2005] $) $( [25-May-2005] $)
  $}

  ${
    exp3a.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Exportation deduction. $)
    exp3a $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wa wi impexp sylib ) ABCFDGBCDGGEBCDHI $.
      $( [20-Aug-1993] $)
  $}

  ${
    exp31.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An exportation inference. $)
    exp31 $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wi wa ex ) ABCDFABGCDEHH $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp32.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An exportation inference. $)
    exp32 $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wa ex exp3a ) ABCDABCFDEGH $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp4a.1 $e |- ( ph -> ( ps -> ( ( ch /\ th ) -> ta ) ) ) $.
    $( An exportation inference. $)
    exp4a $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa wi impexp syl6ib ) ABCDGEHCDEHHFCDEIJ $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp4b.1 $e |- ( ( ph /\ ps ) -> ( ( ch /\ th ) -> ta ) ) $.
    $( An exportation inference. $)
    exp4b $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa exp3a ex ) ABCDEGGABHCDEFIJ $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp4c.1 $e |- ( ph -> ( ( ( ps /\ ch ) /\ th ) -> ta ) ) $.
    $( An exportation inference. $)
    exp4c $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa exp3a ) ABCDEGABCHDEFII $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp4d.1 $e |- ( ph -> ( ( ps /\ ( ch /\ th ) ) -> ta ) ) $.
    $( An exportation inference. $)
    exp4d $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa exp3a exp4a ) ABCDEABCDGEFHI $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp41.1 $e |- ( ( ( ( ph /\ ps ) /\ ch ) /\ th ) -> ta ) $.
    $( An exportation inference. $)
    exp41 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa ex exp31 ) ABCDEGABHCHDEFIJ $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp42.1 $e |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $.
    $( An exportation inference. $)
    exp42 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa exp31 exp3a ) ABCDEGABCHDEFIJ $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp43.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( An exportation inference. $)
    exp43 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa ex exp4b ) ABCDEABGCDGEFHI $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp44.1 $e |- ( ( ph /\ ( ( ps /\ ch ) /\ th ) ) -> ta ) $.
    $( An exportation inference. $)
    exp44 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi wa exp32 exp3a ) ABCDEGABCHDEFIJ $.
      $( [26-Apr-1994] $)
  $}

  ${
    exp45.1 $e |- ( ( ph /\ ( ps /\ ( ch /\ th ) ) ) -> ta ) $.
    $( An exportation inference. $)
    exp45 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wa exp32 exp4a ) ABCDEABCDGEFHI $.
      $( [26-Apr-1994] $)
  $}

  ${
    impac.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Importation with conjunction in consequent. $)
    impac $p |- ( ( ph /\ ps ) -> ( ch /\ ps ) ) $=
      ( wa ancrd imp ) ABCBEABCDFG $.
      $( [9-Aug-1994] $)
  $}

  ${
    adantl.1 $e |- ( ph -> ps ) $.
    $( Inference adding a conjunct to the left of an antecedent. $)
    adantl $p |- ( ( ch /\ ph ) -> ps ) $=
      ( wi a1i imp ) CABABECDFG $.
      $( [30-Aug-1993] $)
  $}

  ${
    adantr.1 $e |- ( ph -> ps ) $.
    $( Inference adding a conjunct to the right of an antecedent. $)
    adantr $p |- ( ( ph /\ ch ) -> ps ) $=
      ( a1d imp ) ACBABCDEF $.
      $( [30-Aug-1993] $)
  $}

  ${
    adantld.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding a conjunct to the left of an antecedent. $)
    adantld $p |- ( ph -> ( ( th /\ ps ) -> ch ) ) $=
      ( wi a1d imp3a ) ADBCABCFDEGH $.
      $( [4-May-1994] $)
  $}

  ${
    adantrd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction adding a conjunct to the right of an antecedent. $)
    adantrd $p |- ( ph -> ( ( ps /\ th ) -> ch ) ) $=
      ( wa pm3.26 syl5 ) ABCBDFEBDGH $.
      $( [4-May-1994] $)
  $}

  ${
    adant2.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding a conjunct to antecedent. $)
    adantll $p |- ( ( ( th /\ ph ) /\ ps ) -> ch ) $=
      ( wa wi ex adantl imp ) DAFBCABCGDABCEHIJ $.
      $( [4-May-1994] $)

    $( Deduction adding a conjunct to antecedent. $)
    adantlr $p |- ( ( ( ph /\ th ) /\ ps ) -> ch ) $=
      ( wa wi ex adantr imp ) ADFBCABCGDABCEHIJ $.
      $( [4-May-1994] $)

    $( Deduction adding a conjunct to antecedent. $)
    adantrl $p |- ( ( ph /\ ( th /\ ps ) ) -> ch ) $=
      ( wa ex adantld imp ) ADBFCABCDABCEGHI $.
      $( [4-May-1994] $)

    $( Deduction adding a conjunct to antecedent. $)
    adantrr $p |- ( ( ph /\ ( ps /\ th ) ) -> ch ) $=
      ( wa ex adantrd imp ) ABDFCABCDABCEGHI $.
      $( [4-May-1994] $)
  $}

  ${
    adantl2.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Deduction adding a conjunct to antecedent. $)
    adantlll $p |- ( ( ( ( ta /\ ph ) /\ ps ) /\ ch ) -> th ) $=
      ( wi exp31 a1i imp41 ) EABCDABCDGGGEABCDFHIJ $.
      $( [31-Dec-2004] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent. $)
    adantllr $p |- ( ( ( ( ph /\ ta ) /\ ps ) /\ ch ) -> th ) $=
      ( wi exp31 a1d imp41 ) AEBCDABCDGGEABCDFHIJ $.
      $( [23-Apr-2005] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent. $)
    adantlrl $p |- ( ( ( ph /\ ( ta /\ ps ) ) /\ ch ) -> th ) $=
      ( wi exp31 a1d imp42 ) AEBCDABCDGGEABCDFHIJ $.
      $( [31-Dec-2004] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent. $)
    adantlrr $p |- ( ( ( ph /\ ( ps /\ ta ) ) /\ ch ) -> th ) $=
      ( wi exp31 a1dd imp42 ) ABECDABCDGEABCDFHIJ $.
      $( [5-Jan-2005] $) $( [26-Dec-2004] $)
  $}

  ${
    adantr2.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Deduction adding a conjunct to antecedent. $)
    adantrll $p |- ( ( ph /\ ( ( ta /\ ps ) /\ ch ) ) -> th ) $=
      ( wi exp32 a1d imp44 ) AEBCDABCDGGEABCDFHIJ $.
      $( [31-Dec-2004] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent. $)
    adantrlr $p |- ( ( ph /\ ( ( ps /\ ta ) /\ ch ) ) -> th ) $=
      ( wi exp32 a1dd imp44 ) ABECDABCDGEABCDFHIJ $.
      $( [31-Dec-2004] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent. $)
    adantrrl $p |- ( ( ph /\ ( ps /\ ( ta /\ ch ) ) ) -> th ) $=
      ( wi exp32 a1dd imp45 ) ABECDABCDGEABCDFHIJ $.
      $( [31-Dec-2004] $) $( [26-Dec-2004] $)

    $( Deduction adding a conjunct to antecedent. $)
    adantrrr $p |- ( ( ph /\ ( ps /\ ( ch /\ ta ) ) ) -> th ) $=
      ( wi wa a1d exp32 imp45 ) ABCEDABCEDGABCHHDEFIJK $.
      $( [31-Dec-2004] $) $( [26-Dec-2004] $)
  $}

  ${
    ad2ant.1 $e |- ( ph -> ps ) $.
    $( Deduction adding conjuncts to antecedent. $)
    ad2antrr $p |- ( ( ( ph /\ ch ) /\ th ) -> ps ) $=
      ( wa adantr ) ACFBDABCEGG $.
      $( [19-Oct-1999] $)

    $( Deduction adding conjuncts to antecedent. $)
    ad2antlr $p |- ( ( ( ch /\ ph ) /\ th ) -> ps ) $=
      ( wa adantl adantr ) CAFBDABCEGH $.
      $( [19-Oct-1999] $)

    $( Deduction adding conjuncts to antecedent. $)
    ad2antrl $p |- ( ( ch /\ ( ph /\ th ) ) -> ps ) $=
      ( wa adantr adantl ) ADFBCABDEGH $.
      $( [19-Oct-1999] $)

    $( Deduction adding conjuncts to antecedent. $)
    ad2antll $p |- ( ( ch /\ ( th /\ ph ) ) -> ps ) $=
      ( wa adantl ) DAFBCABDEGG $.
      $( [19-Oct-1999] $)
  $}

  ${
    ad2ant2.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding two conjuncts to antecedent. $)
    ad2ant2l $p |- ( ( ( th /\ ph ) /\ ( ta /\ ps ) ) -> ch ) $=
      ( wa adantrl adantll ) AEBGCDABCEFHI $.
      $( [9-Jan-2006] $) $( [8-Jan-2006] $)

    $( Deduction adding two conjuncts to antecedent. $)
    ad2ant2r $p |- ( ( ( ph /\ th ) /\ ( ps /\ ta ) ) -> ch ) $=
      ( wa adantrr adantlr ) ABEGCDABCEFHI $.
      $( [9-Jan-2006] $) $( [8-Jan-2006] $)

    $( Deduction adding two conjuncts to antecedent. $)
    ad2ant2lr $p |- ( ( ( th /\ ph ) /\ ( ps /\ ta ) ) -> ch ) $=
      ( wa adantrr adantll ) ABEGCDABCEFHI $.
      $( [23-Nov-2007] $) $( [23-Nov-2007] $)

    $( Deduction adding two conjuncts to antecedent. $)
    ad2ant2rl $p |- ( ( ( ph /\ th ) /\ ( ta /\ ps ) ) -> ch ) $=
      ( wa adantrl adantlr ) AEBGCDABCEFHI $.
      $( [24-Nov-2007] $) $( [24-Nov-2007] $)
  $}

  $( Simplification of a conjunction. $)
  simpll $p |- ( ( ( ph /\ ps ) /\ ch ) -> ph ) $=
    ( id ad2antrr ) AABCADE $.
    $( [19-Mar-2007] $) $( [18-Mar-2007] $)

  $( Simplification of a conjunction. $)
  simplr $p |- ( ( ( ph /\ ps ) /\ ch ) -> ps ) $=
    ( id ad2antlr ) BBACBDE $.
    $( [20-Mar-2007] $) $( [20-Mar-2007] $)

  $( Simplification of a conjunction. $)
  simprl $p |- ( ( ph /\ ( ps /\ ch ) ) -> ps ) $=
    ( id ad2antrl ) BBACBDE $.
    $( [21-Mar-2007] $) $( [21-Mar-2007] $)

  $( Simplification of a conjunction. $)
  simprr $p |- ( ( ph /\ ( ps /\ ch ) ) -> ch ) $=
    ( id ad2antll ) CCABCDE $.
    $( [21-Mar-2007] $) $( [21-Mar-2007] $)

  ${
    biimpa.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Inference from a logical equivalence. $)
    biimpa $p |- ( ( ph /\ ps ) -> ch ) $=
      ( biimpd imp ) ABCABCDEF $.
      $( [3-May-1994] $)

    $( Inference from a logical equivalence. $)
    biimpar $p |- ( ( ph /\ ch ) -> ps ) $=
      ( biimprd imp ) ACBABCDEF $.
      $( [3-May-1994] $)

    $( Inference from a logical equivalence. $)
    biimpac $p |- ( ( ps /\ ph ) -> ch ) $=
      ( biimpcd imp ) BACABCDEF $.
      $( [3-May-1994] $)

    $( Inference from a logical equivalence. $)
    biimparc $p |- ( ( ch /\ ph ) -> ps ) $=
      ( biimprcd imp ) CABABCDEF $.
      $( [3-May-1994] $)
  $}

  ${
    pm3.26bda.1 $e |- ( ph -> ( ps <-> ( ch /\ th ) ) ) $.
    $( Deduction eliminating a conjunct. $)
    pm3.26bda $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa biimpa pm3.26d ) ABFCDABCDFEGH $.
      $( [23-Oct-2007] $) $( [22-Oct-2007] $)

    $( Deduction eliminating a conjunct. $)
    pm3.27bda $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa biimpa pm3.27d ) ABFCDABCDFEGH $.
      $( [25-Oct-2007] $) $( [22-Oct-2007] $)
  $}

  $( Disjunction of antecedents.  Compare Theorem *4.77 of
     [WhiteheadRussell] p. 121. $)
  jaob $p |- ( ( ( ph \/ ch ) -> ps ) <-> ( ( ph -> ps ) /\ ( ch -> ps ) ) ) $=
    ( wo wi wa orc imim1i olc jca jao imp impbi ) ACDZBEZABEZCBEZFOPQANBACGHCNB
    CAIHJPQOABCKLM $.
    $( [30-May-1994] $)

  $( Theorem *4.77 of [WhiteheadRussell] p. 121. $)
  pm4.77 $p |-  ( ( ( ps -> ph ) /\ ( ch -> ph ) ) <->
                ( ( ps \/ ch ) -> ph ) ) $=
    ( wo wi wa jaob bicomi ) BCDAEBAECAEFBACGH $.
    $( [10-Apr-2005] $) $( [3-Jan-2005] $)

  ${
    jaod.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jaod.2 $e |- ( ph -> ( th -> ch ) ) $.
    $( Deduction disjoining the antecedents of two implications. $)
    jaod $p |- ( ph -> ( ( ps \/ th ) -> ch ) ) $=
      ( wi wo jao sylc ) BCGDCGBDHCGABCDIEFJ $.
      $( [18-Aug-1994] $)
  $}

  ${
    jaoian.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    jaoian.2 $e |- ( ( th /\ ps ) -> ch ) $.
    $( Inference disjoining the antecedents of two implications. $)
    jaoian $p |- ( ( ( ph \/ th ) /\ ps ) -> ch ) $=
      ( wo wi ex jaoi imp ) ADGBCABCHDABCEIDBCFIJK $.
      $( [26-Oct-2005] $) $( [23-Oct-2005] $)
  $}

  ${
    jaodan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    jaodan.2 $e |- ( ( ph /\ th ) -> ch ) $.
    $( Deduction disjoining the antecedents of two implications. $)
    jaodan $p |- ( ( ph /\ ( ps \/ th ) ) -> ch ) $=
      ( wo ex jaod imp ) ABDGCABCDABCEHADCFHIJ $.
      $( [24-Oct-2005] $) $( [14-Oct-2005] $)
  $}

  ${
    jaao.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jaao.2 $e |- ( th -> ( ta -> ch ) ) $.
    $( Inference conjoining and disjoining the antecedents of two
       implications. $)
    jaao $p |- ( ( ph /\ th ) -> ( ( ps \/ ta ) -> ch ) ) $=
      ( wa wi adantr adantl jaod ) ADHBCEABCIDFJDECIAGKL $.
      $( [30-Sep-1999] $)
  $}

  $( Theorem *2.63 of [WhiteheadRussell] p. 107. $)
  pm2.63 $p |-  ( ( ph \/ ps ) -> ( ( -. ph \/ ps ) -> ps ) ) $=
    ( wo wn pm2.53 idd jaod ) ABCZADBBABEHBFG $.
    $( [19-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.64 of [WhiteheadRussell] p. 107. $)
  pm2.64 $p |-  ( ( ph \/ ps ) -> ( ( ph \/ -. ps ) -> ph ) ) $=
    ( wn wo wi ax-1 orel2 jaoi com12 ) ABCZDABDZAAKAEJAKFBAGHI $.
    $( [19-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *3.44 of [WhiteheadRussell] p. 113. $)
  pm3.44 $p |-  ( ( ( ps -> ph ) /\ ( ch -> ph ) ) ->
                ( ( ps \/ ch ) -> ph ) ) $=
    ( wo wi wa jaob biimpr ) BCDAEBAECAEFBACGH $.
    $( [24-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.43 of [WhiteheadRussell] p. 119. $)
  pm4.43 $p |-  ( ph <-> ( ( ph \/ ps ) /\ ( ph \/ -. ps ) ) ) $=
    ( wo wn wa orc jca pm2.64 imp impbi ) AABCZABDZCZEAKMABFALFGKMAABHIJ $.
    $( [25-Apr-2005] $) $( [3-Jan-2005] $)

  $( Idempotent law for conjunction. $)
  anidm $p |- ( ( ph /\ ph ) <-> ph ) $=
    ( wa pm3.26 pm3.2 pm2.43i impbi ) AABZAAACAGAADEF $.
    $( [5-Aug-1993] $)

  $( Theorem *4.24 of [WhiteheadRussell] p. 117. $)
  pm4.24 $p |-  ( ph <-> ( ph /\ ph ) ) $=
    ( wa anidm bicomi ) AABAACD $.
    $( [17-Jan-2005] $) $( [3-Jan-2005] $)

  ${
    anidms.1 $e |- ( ( ph /\ ph ) -> ps ) $.
    $( Inference from idempotent law for conjunction. $)
    anidms $p |- ( ph -> ps ) $=
      ( ex pm2.43i ) ABAABCDE $.
      $( [15-Jun-1994] $)
  $}

  $( Commutative law for conjunction.  Theorem *4.3 of [WhiteheadRussell]
     p. 118. $)
  ancom $p |- ( ( ph /\ ps ) <-> ( ps /\ ph ) ) $=
    ( wa pm3.27 pm3.26 jca impbi ) ABCZBACZHBAABDABEFIABBADBAEFG $.
    $( [25-Jun-1998] $)

  ${
    ancoms.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Inference commuting conjunction in antecedent.  _Notational convention_:
       We sometimes suffix with "s" the label of an inference that manipulates
       an antecedent, leaving the consequent unchanged.  The "s" means that the
       inference eliminates the need for a syllogism ( ~ syl ) -type inference
       in a proof. $)
    ancoms $p |- ( ( ps /\ ph ) -> ch ) $=
      ( wa ancom sylbi ) BAEABECBAFDG $.
      $( [21-Apr-1994] $)
  $}

  ${
    ancomsd.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Deduction commuting conjunction in antecedent. $)
    ancomsd $p |- ( ph -> ( ( ch /\ ps ) -> th ) ) $=
      ( wa ancom syl5ib ) ABCFDCBFECBGH $.
      $( [13-Dec-2004] $) $( [12-Dec-2004] $)
  $}

  $( Theorem *3.22 of [WhiteheadRussell] p. 111. $)
  pm3.22 $p |-  ( ( ph /\ ps ) -> ( ps /\ ph ) ) $=
    ( wa ancom biimp ) ABCBACABDE $.
    $( [17-Jan-2005] $) $( [3-Jan-2005] $)

  $( Associative law for conjunction.  Theorem *4.32 of [WhiteheadRussell]
     p. 118. $)
  anass $p |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ph /\ ( ps /\ ch ) ) ) $=
    ( wa wn wi impexp imnan imbi2i bitr negbii df-an 3bitr4 ) ABDZCEZFZEABCDZEZ
    FZENCDAQDPSPABOFZFSABOGTRABCHIJKNCLAQLM $.
    $( [5-Aug-1993] $)

  ${
    anasss.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Associative law for conjunction applied to antecedent (eliminates
       syllogism). $)
    anasss $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( exp31 imp32 ) ABCDABCDEFG $.
      $( [15-Nov-2002] $)
  $}

  ${
    anassrs.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Associative law for conjunction applied to antecedent (eliminates
       syllogism). $)
    anassrs $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( exp32 imp31 ) ABCDABCDEFG $.
      $( [15-Nov-2002] $)
  $}

  $( Distribution of implication with conjunction. $)
  imdistan $p |- ( ( ph -> ( ps -> ch ) ) <->
                 ( ( ph /\ ps ) -> ( ph /\ ch ) ) ) $=
    ( wi wa anc2l imp3a pm3.27 imim2i exp3a impbi ) ABCDDZABEZACEZDZLABNABCFGOA
    BCNCMACHIJK $.
    $( [31-May-1999] $)

  ${
    imdistani.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Distribution of implication with conjunction. $)
    imdistani $p |- ( ( ph /\ ps ) -> ( ph /\ ch ) ) $=
      ( wa anc2li imp ) ABACEABCDFG $.
      $( [1-Aug-1994] $)
  $}

  ${
    imdistanri.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Distribution of implication with conjunction. $)
    imdistanri $p |- ( ( ps /\ ph ) -> ( ch /\ ph ) ) $=
      ( com12 impac ) BACABCDEF $.
      $( [8-Jan-2002] $)
  $}

  ${
    imdistand.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Distribution of implication with conjunction (deduction rule). $)
    imdistand $p |- ( ph -> ( ( ps /\ ch ) -> ( ps /\ th ) ) ) $=
      ( wi wa imdistan sylib ) ABCDFFBCGBDGFEBCDHI $.
      $( [28-Aug-2004] $) $( [27-Aug-2004] $)
  $}

  $( Theorem *5.3 of [WhiteheadRussell] p. 125. $)
  pm5.3 $p |-  ( ( ( ph /\ ps ) -> ch ) <->
               ( ( ph /\ ps ) -> ( ph /\ ch ) ) ) $=
    ( wa wi pm3.3 imdistand pm3.27 imim2i impbi ) ABDZCEZKACDZELABCABCFGMCKACHI
    J $.
    $( [27-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.61 of [WhiteheadRussell] p. 125. $)
  pm5.61 $p |-  ( ( ( ph \/ ps ) /\ -. ps ) <-> ( ph /\ -. ps ) ) $=
    ( wo wn wa orel2 imdistanri orc anim1i impbi ) ABCZBDZEALELKABAFGAKLABHIJ
    $.
    $( [10-Apr-2005] $) $( [3-Jan-2005] $)

  ${
    sylan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    ${
      sylan.2 $e |- ( th -> ph ) $.
      $( A syllogism inference. $)
      sylan $p |- ( ( th /\ ps ) -> ch ) $=
        ( wi ex syl imp ) DBCDABCGFABCEHIJ $.
        $( [21-Apr-1994] $)
    $}

    ${
      sylanb.2 $e |- ( th <-> ph ) $.
      $( A syllogism inference. $)
      sylanb $p |- ( ( th /\ ps ) -> ch ) $=
        ( biimp sylan ) ABCDEDAFGH $.
        $( [18-May-1994] $)
    $}

    ${
      sylanbr.2 $e |- ( ph <-> th ) $.
      $( A syllogism inference. $)
      sylanbr $p |- ( ( th /\ ps ) -> ch ) $=
        ( biimpr sylan ) ABCDEADFGH $.
        $( [18-May-1994] $)
    $}

    ${
      sylan2.2 $e |- ( th -> ps ) $.
      $( A syllogism inference. $)
      sylan2 $p |- ( ( ph /\ th ) -> ch ) $=
        ( ex syl5 imp ) ADCABCDABCEGFHI $.
        $( [21-Apr-1994] $)
    $}

    ${
      sylan2b.2 $e |- ( th <-> ps ) $.
      $( A syllogism inference. $)
      sylan2b $p |- ( ( ph /\ th ) -> ch ) $=
        ( biimp sylan2 ) ABCDEDBFGH $.
        $( [21-Apr-1994] $)
    $}

    ${
      sylan2br.2 $e |- ( ps <-> th ) $.
      $( A syllogism inference. $)
      sylan2br $p |- ( ( ph /\ th ) -> ch ) $=
        ( biimpr sylan2 ) ABCDEBDFGH $.
        $( [21-Apr-1994] $)
    $}

    ${
      syl2an.2 $e |- ( th -> ph ) $.
      syl2an.3 $e |- ( ta -> ps ) $.
      $( A double syllogism inference. $)
      syl2an $p |- ( ( th /\ ta ) -> ch ) $=
        ( sylan sylan2 ) DBCEABCDFGIHJ $.
        $( [31-Jan-1997] $)
    $}

    ${
      syl2anb.2 $e |- ( th <-> ph ) $.
      syl2anb.3 $e |- ( ta <-> ps ) $.
      $( A double syllogism inference. $)
      syl2anb $p |- ( ( th /\ ta ) -> ch ) $=
        ( sylanb sylan2b ) DBCEABCDFGIHJ $.
        $( [29-Jul-1999] $)
    $}

    ${
      syl2anbr.2 $e |- ( ph <-> th ) $.
      syl2anbr.3 $e |- ( ps <-> ta ) $.
      $( A double syllogism inference. $)
      syl2anbr $p |- ( ( th /\ ta ) -> ch ) $=
        ( sylanbr sylan2br ) DBCEABCDFGIHJ $.
        $( [29-Jul-1999] $)
    $}
  $}

  ${
    syland.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    syland.2 $e |- ( ph -> ( ta -> ps ) ) $.
    $( A syllogism deduction. $)
    syland $p |- ( ph -> ( ( ta /\ ch ) -> th ) ) $=
      ( wi exp3a syld imp3a ) AECDAEBCDHGABCDFIJK $.
      $( [17-Dec-2004] $) $( [15-Dec-2004] $)
  $}

  ${
    sylan2d.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    sylan2d.2 $e |- ( ph -> ( ta -> ch ) ) $.
    $( A syllogism deduction. $)
    sylan2d $p |- ( ph -> ( ( ps /\ ta ) -> th ) ) $=
      ( ancomsd syland ) AEBDACBDEABCDFHGIH $.
      $( [17-Dec-2004] $) $( [15-Dec-2004] $)
  $}

  ${
    $v et $. $( Greek eta $)
    syl2and.wet $f wff et $.
    syl2and.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    syl2and.2 $e |- ( ph -> ( ta -> ps ) ) $.
    syl2and.3 $e |- ( ph -> ( et -> ch ) ) $.
    $( A syllogism deduction. $)
    syl2and $p |- ( ph -> ( ( ta /\ et ) -> th ) ) $=
      ( sylan2d syland ) ABFDEABCDFGIJHK $.
      $( [17-Dec-2004] $) $( [15-Dec-2004] $)
  $}

  ${
    sylanl1.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    sylanl1.2 $e |- ( ta -> ph ) $.
    $( A syllogism inference. $)
    sylanl1 $p |- ( ( ( ta /\ ps ) /\ ch ) -> th ) $=
      ( wa anim1i sylan ) ABHCDEBHFEABGIJ $.
      $( [30-Apr-2005] $) $( [10-Mar-2005] $)
  $}

  ${
    sylanl2.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    sylanl2.2 $e |- ( ta -> ps ) $.
    $( A syllogism inference. $)
    sylanl2 $p |- ( ( ( ph /\ ta ) /\ ch ) -> th ) $=
      ( wa anim2i sylan ) ABHCDAEHFEBAGIJ $.
      $( [2-Jan-2005] $) $( [1-Jan-2005] $)
  $}

  ${
    sylanr1.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    sylanr1.2 $e |- ( ta -> ps ) $.
    $( A syllogism inference. $)
    sylanr1 $p |- ( ( ph /\ ( ta /\ ch ) ) -> th ) $=
      ( wa anim1i sylan2 ) ABCHDECHFEBCGIJ $.
      $( [15-May-2005] $) $( [9-Apr-2005] $)
  $}

  ${
    sylanr2.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    sylanr2.2 $e |- ( ta -> ch ) $.
    $( A syllogism inference. $)
    sylanr2 $p |- ( ( ph /\ ( ps /\ ta ) ) -> th ) $=
      ( wa anim2i sylan2 ) ABCHDBEHFECBGIJ $.
      $( [1-May-2005] $) $( [9-Apr-2005] $)
  $}

  ${
    sylani.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    sylani.2 $e |- ( ta -> ps ) $.
    $( A syllogism inference. $)
    sylani $p |- ( ph -> ( ( ta /\ ch ) -> th ) ) $=
      ( wi a1i syland ) ABCDEFEBHAGIJ $.
      $( [2-May-1996] $)
  $}

  ${
    sylan2i.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    sylan2i.2 $e |- ( ta -> ch ) $.
    $( A syllogism inference. $)
    sylan2i $p |- ( ph -> ( ( ps /\ ta ) -> th ) ) $=
      ( wi a1i sylan2d ) ABCDEFECHAGIJ $.
      $( [1-Aug-1994] $)
  $}

  ${
    $v et $. $( Greek eta $)
    syl2ani.wet $f wff et $.
    syl2ani.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    syl2ani.2 $e |- ( ta -> ps ) $.
    syl2ani.3 $e |- ( et -> ch ) $.
    $( A syllogism inference. $)
    syl2ani $p |- ( ph -> ( ( ta /\ et ) -> th ) ) $=
      ( sylan2i sylani ) ABFDEABCDFGIJHK $.
      $( [3-Aug-1999] $)
  $}

  ${
    syldan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    syldan.2 $e |- ( ( ph /\ ch ) -> th ) $.
    $( A syllogism deduction with conjoined antecents. $)
    syldan $p |- ( ( ph /\ ps ) -> th ) $=
      ( ex syld imp ) ABDABCDABCEGACDFGHI $.
      $( [26-Feb-2005] $) $( [24-Feb-2005] $)
  $}

  ${
    sylan9.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylan9.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents. $)
    sylan9 $p |- ( ( ph /\ th ) -> ( ps -> ta ) ) $=
      ( wa wi adantr adantl syld ) ADHBCEABCIDFJDCEIAGKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    sylan9r.1 $e |- ( ph -> ( ps -> ch ) ) $.
    sylan9r.2 $e |- ( th -> ( ch -> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents. $)
    sylan9r $p |- ( ( th /\ ph ) -> ( ps -> ta ) ) $=
      ( wi syl9r imp ) DABEHABCDEFGIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    mpan9.1 $e |- ( ph -> ps ) $.
    mpan9.2 $e |- ( ch -> ( ps -> th ) ) $.
    $( Modus ponens conjoining dissimilar antecedents. $)
    mpan9 $p |- ( ( ph /\ ch ) -> th ) $=
      ( wa adantr wi adantl mpd ) ACGBDABCEHCBDIAFJK $.
      $( [1-Feb-2008] $) $( [1-Feb-2008] $)
  $}

  ${
    sylanc.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    sylanc.2 $e |- ( th -> ph ) $.
    sylanc.3 $e |- ( th -> ps ) $.
    $( A syllogism inference combined with contraction. $)
    sylanc $p |- ( th -> ch ) $=
      ( ex sylc ) ABCDABCEHFGI $.
      $( [3-Oct-1999] $)
  $}

  ${
    $v et $. $( Greek eta $)
    syl2anc.wet $f wff et $.
    syl2anc.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    syl2anc.2 $e |- ( et -> ph ) $.
    syl2anc.3 $e |- ( et -> ps ) $.
    syl2anc.4 $e |- ( et -> ch ) $.
    syl2anc.5 $e |- ( et -> th ) $.
    $( A syllogism inference combined with contraction. $)
    syl2anc $p |- ( et -> ta ) $=
      ( wa jca sylanc ) ABLCDLEFGFABHIMFCDJKMN $.
      $( [18-Jun-2007] $) $( [16-Jun-2007] $)
  $}

  ${
    sylancb.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    sylancb.2 $e |- ( th <-> ph ) $.
    sylancb.3 $e |- ( th <-> ps ) $.
    $( A syllogism inference combined with contraction. $)
    sylancb $p |- ( th -> ch ) $=
      ( syl2anb anidms ) DCABCDDEFGHI $.
      $( [9-Sep-2004] $) $( [3-Sep-2004] $)
  $}

  ${
    sylancbr.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    sylancbr.2 $e |- ( ph <-> th ) $.
    sylancbr.3 $e |- ( ps <-> th ) $.
    $( A syllogism inference combined with contraction. $)
    sylancbr $p |- ( th -> ch ) $=
      ( syl2anbr anidms ) DCABCDDEFGHI $.
      $( [14-Sep-2004] $) $( [3-Sep-2004] $)
  $}

  ${
    sylancom.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    sylancom.2 $e |- ( ( ch /\ ps ) -> th ) $.
    $( Syllogism inference with commutation of antecents. $)
    sylancom $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa pm3.27 sylanc ) CBDABGFEABHI $.
      $( [2-Jul-2008] $) $( [2-Jul-2008] $)
  $}

  ${
    pm2.61ian.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    pm2.61ian.2 $e |- ( ( -. ph /\ ps ) -> ch ) $.
    $( Elimination of an antecedent. $)
    pm2.61ian $p |- ( ps -> ch ) $=
      ( wi ex wn pm2.61i ) ABCFABCDGAHBCEGI $.
      $( [3-Jan-2005] $) $( [1-Jan-2005] $)
  $}

  ${
    pm2.61dan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    pm2.61dan.2 $e |- ( ( ph /\ -. ps ) -> ch ) $.
    $( Elimination of an antecedent. $)
    pm2.61dan $p |- ( ph -> ch ) $=
      ( ex wn pm2.61d ) ABCABCDFABGCEFH $.
      $( [3-Jan-2005] $) $( [1-Jan-2005] $)
  $}

  ${
    condan.1 $e |- ( ( ph /\ -. ps ) -> ch ) $.
    condan.2 $e |- ( ( ph /\ -. ps ) -> -. ch ) $.
    $( Proof by contradiction. $)
    condan $p |- ( ph -> ps ) $=
      ( wn ex pm2.65d nega syl ) ABFZFBAKCAKCDGAKCFEGHBIJ $.
      $( [21-Feb-2006] $) $( [9-Feb-2006] $)
  $}

  $( Introduce one conjunct as an antecedent to the another. $)
  abai $p |- ( ( ph /\ ps ) <-> ( ph /\ ( ph -> ps ) ) ) $=
    ( wa wi pm3.26 pm3.4 jca pm3.35 impbi ) ABCZAABDZCZJAKABEABFGLABAKEABHGI $.
    $( [12-Aug-1993] $)

  ${
    bi.aa $e |- ( ph <-> ps ) $.

    $( Introduce a left conjunct to both sides of a logical equivalence. $)
    anbi2i $p |- ( ( ch /\ ph ) <-> ( ch /\ ps ) ) $=
      ( wa biimp anim2i biimpr impbi ) CAECBEABCABDFGBACABDHGI $.
      $( [5-Aug-1993] $)

    $( Introduce a right conjunct to both sides of a logical equivalence. $)
    anbi1i $p |- ( ( ph /\ ch ) <-> ( ps /\ ch ) ) $=
      ( wa ancom anbi2i 3bitr ) ACECAECBEBCEACFABCDGCBFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    anbi12.1 $e |- ( ph <-> ps ) $.
    anbi12.2 $e |- ( ch <-> th ) $.
    $( Conjoin both sides of two equivalences. $)
    anbi12i $p |- ( ( ph /\ ch ) <-> ( ps /\ th ) ) $=
      ( wa anbi1i anbi2i bitr ) ACGBCGBDGABCEHCDBFIJ $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem *5.53 of [WhiteheadRussell] p. 125. $)
  pm5.53 $p |-  ( ( ( ( ph \/ ps ) \/ ch ) -> th ) <->
                ( ( ( ph -> th ) /\ ( ps -> th ) ) /\ ( ch -> th ) ) ) $=
    ( wo wi wa jaob anbi1i bitr ) ABEZCEDFKDFZCDFZGADFBDFGZMGKDCHLNMADBHIJ $.
    $( [28-Apr-2005] $) $( [3-Jan-2005] $)

  $( A rearrangement of conjuncts. $)
  an12 $p |- ( ( ph /\ ( ps /\ ch ) ) <-> ( ps /\ ( ph /\ ch ) ) ) $=
    ( wa ancom anbi1i anass 3bitr3 ) ABDZCDBADZCDABCDDBACDDIJCABEFABCGBACGH $.
    $( [12-Mar-1995] $)

  $( A rearrangement of conjuncts. $)
  an23 $p |- ( ( ( ph /\ ps ) /\ ch ) <-> ( ( ph /\ ch ) /\ ps ) ) $=
    ( wa ancom anbi2i anass 3bitr4 ) ABCDZDACBDZDABDCDACDBDIJABCEFABCGACBGH $.
    $( [12-Mar-1995] $)

  ${
    an1s.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Deduction rearranging conjuncts. $)
    an1s $p |- ( ( ps /\ ( ph /\ ch ) ) -> th ) $=
      ( wa an12 sylbi ) BACFFABCFFDBACGEH $.
      $( [13-Mar-1996] $)

    $( Inference commuting a nested conjunction in antecedent. $)
    ancom2s $p |- ( ( ph /\ ( ch /\ ps ) ) -> th ) $=
      ( exp32 com23 imp32 ) ACBDABCDABCDEFGH $.
      $( [25-May-2006] $) $( [24-May-2006] $)

    $( Deduction rearranging conjuncts. $)
    ancom13s $p |- ( ( ch /\ ( ps /\ ph ) ) -> th ) $=
      ( exp32 com13 imp32 ) CBADABCDABCDEFGH $.
      $( [31-May-2006] $) $( [31-May-2006] $)
  $}

  ${
    an1rs.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Deduction rearranging conjuncts. $)
    an1rs $p |- ( ( ( ph /\ ch ) /\ ps ) -> th ) $=
      ( wa an23 sylbi ) ACFBFABFCFDACBGEH $.
      $( [13-Mar-1996] $)

    $( Inference commuting a nested conjunction in antecedent. $)
    ancom1s $p |- ( ( ( ps /\ ph ) /\ ch ) -> th ) $=
      ( wi exp31 com12 imp31 ) BACDABCDFABCDEGHI $.
      $( [25-May-2006] $) $( [24-May-2006] $)

    $( Deduction rearranging conjuncts. $)
    ancom31s $p |- ( ( ( ch /\ ps ) /\ ph ) -> th ) $=
      ( exp31 com13 imp31 ) CBADABCDABCDEFGH $.
      $( [2-Jun-2006] $) $( [31-May-2006] $)
  $}

  $( Absorption into embedded conjunct. $)
  anabs1 $p |- ( ( ( ph /\ ps ) /\ ph ) <-> ( ph /\ ps ) ) $=
    ( wa pm3.26 ancli impbi ) ABCZACGGADGAABDEF $.
    $( [4-Sep-1995] $)

  $( Absorption into embedded conjunct. $)
  anabs5 $p |- ( ( ph /\ ( ph /\ ps ) ) <-> ( ph /\ ps ) ) $=
    ( wa ancom anabs1 bitr3 ) AABCZCGACGGADABEF $.
    $( [20-Jul-1996] $)

  $( Absorption into embedded conjunct. $)
  anabs7 $p |- ( ( ps /\ ( ph /\ ps ) ) <-> ( ph /\ ps ) ) $=
    ( wa pm3.27 ancri impbi ) BABCZCGBGDGBABDEF $.
    $( [20-Jul-1996] $)

  ${
    anabsi5.1 $e |- ( ph -> ( ( ph /\ ps ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction. $)
    anabsi5 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa wi adantr pm2.43i ) ABEZCAICFBDGH $.
      $( [11-Jun-1995] $)
  $}

  ${
    anabsi6.1 $e |- ( ph -> ( ( ps /\ ph ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction. $)
    anabsi6 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( ancomsd anabsi5 ) ABCABACDEF $.
      $( [14-Aug-2000] $)
  $}

  ${
    anabsi7.1 $e |- ( ps -> ( ( ph /\ ps ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction. $)
    anabsi7 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( exp3a pm2.43b imp ) ABCABCBABCDEFG $.
      $( [20-Jul-1996] $)
  $}

  ${
    anabsi8.1 $e |- ( ps -> ( ( ps /\ ph ) -> ch ) ) $.
    $( Absorption of antecedent into conjunction. $)
    anabsi8 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anabsi5 ancoms ) BACBACDEF $.
      $( [26-Sep-1999] $)
  $}

  ${
    anabss1.1 $e |- ( ( ( ph /\ ps ) /\ ph ) -> ch ) $.
    $( Absorption of antecedent into conjunction. $)
    anabss1 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa adantrr anidms ) ABEZCHACBDFG $.
      $( [20-Jul-1996] $)
  $}

  ${
    anabss3.1 $e |- ( ( ( ph /\ ps ) /\ ps ) -> ch ) $.
    $( Absorption of antecedent into conjunction. $)
    anabss3 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa adantrl anidms ) ABEZCHBCADFG $.
      $( [20-Jul-1996] $)
  $}

  ${
    anabss4.1 $e |- ( ( ( ps /\ ph ) /\ ps ) -> ch ) $.
    $( Absorption of antecedent into conjunction. $)
    anabss4 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anabss1 ancoms ) BACBACDEF $.
      $( [20-Jul-1996] $)
  $}

  ${
    anabss5.1 $e |- ( ( ph /\ ( ph /\ ps ) ) -> ch ) $.
    $( Absorption of antecedent into conjunction. $)
    anabss5 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa adantlr anidms ) ABEZCAHCBDFG $.
      $( [10-May-1994] $)
  $}

  ${
    anabss7.1 $e |- ( ( ps /\ ( ph /\ ps ) ) -> ch ) $.
    $( Absorption of antecedent into conjunction. $)
    anabss7 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wa ex anabsi7 ) ABCBABECDFG $.
      $( [20-Jul-1996] $)
  $}

  ${
    anabsan.1 $e |- ( ( ( ph /\ ph ) /\ ps ) -> ch ) $.
    $( Absorption of antecedent with conjunction. $)
    anabsan $p |- ( ( ph /\ ps ) -> ch ) $=
      ( an1rs anabss1 ) ABCAABCDEF $.
      $( [24-Mar-1996] $)
  $}

  ${
    anabsan2.1 $e |- ( ( ph /\ ( ps /\ ps ) ) -> ch ) $.
    $( Absorption of antecedent with conjunction. $)
    anabsan2 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( anassrs anabss3 ) ABCABBCDEF $.
      $( [10-May-2004] $) $( [10-May-2004] $)
  $}

  $( Rearrangement of 4 conjuncts. $)
  an4 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
              ( ( ph /\ ch ) /\ ( ps /\ th ) ) ) $=
    ( wa an12 anbi2i anass 3bitr4 ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHACL
    HI $.
    $( [10-Jul-1994] $)

  $( Rearrangement of 4 conjuncts. $)
  an42 $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
                 ( ( ph /\ ch ) /\ ( th /\ ps ) ) ) $=
    ( wa an4 ancom anbi2i bitr ) ABECDEEACEZBDEZEJDBEZEABCDFKLJBDGHI $.
    $( [7-Feb-1996] $)

  ${
    an4s.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( Inference rearranging 4 conjuncts in antecedent. $)
    an4s $p |- ( ( ( ph /\ ch ) /\ ( ps /\ th ) ) -> ta ) $=
      ( wa an4 sylbi ) ACGBDGGABGCDGGEACBDHFI $.
      $( [10-Aug-1995] $)
  $}

  ${
    an41r3s.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $.
    $( Inference rearranging 4 conjuncts in antecedent. $)
    an42s $p |- ( ( ( ph /\ ch ) /\ ( th /\ ps ) ) -> ta ) $=
      ( wa an42 sylbir ) ACGDBGGABGCDGGEABCDHFI $.
      $( [10-Aug-1995] $)
  $}

  $( Distribution of conjunction over conjunction. $)
  anandi $p |- ( ( ph /\ ( ps /\ ch ) ) <->
               ( ( ph /\ ps ) /\ ( ph /\ ch ) ) ) $=
    ( wa anidm anbi1i an4 bitr3 ) ABCDZDAADZIDABDACDDJAIAEFAABCGH $.
    $( [14-Aug-1995] $)

  $( Distribution of conjunction over conjunction. $)
  anandir $p |- ( ( ( ph /\ ps ) /\ ch ) <->
               ( ( ph /\ ch ) /\ ( ps /\ ch ) ) ) $=
    ( wa anidm anbi2i an4 bitr3 ) ABDZCDICCDZDACDBCDDJCICEFABCCGH $.
    $( [24-Aug-1995] $)

  ${
    anandis.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) ) -> ta ) $.
    $( Inference that undistributes conjunction in the antecedent. $)
    anandis $p |- ( ( ph /\ ( ps /\ ch ) ) -> ta ) $=
      ( wa an4s anabsan ) ABCFDABACDEGH $.
      $( [7-Jun-2004] $) $( [7-Jun-2004] $)
  $}

  ${
    anandirs.1 $e |- ( ( ( ph /\ ch ) /\ ( ps /\ ch ) ) -> ta ) $.
    $( Inference that undistributes conjunction in the antecedent. $)
    anandirs $p |- ( ( ( ph /\ ps ) /\ ch ) -> ta ) $=
      ( wa an4s anabsan2 ) ABFCDACBCDEGH $.
      $( [8-Jun-2004] $) $( [7-Jun-2004] $)
  $}

  $( A theorem similar to the standard definition of the biconditional.
     Definition of [Margaris] p. 49. $)
  dfbi2 $p |- ( ( ph <-> ps ) <-> ( ( ph -> ps ) /\ ( ps -> ph ) ) ) $=
    ( wb wi wn wa dfbi1 df-an bitr4 ) ABCABDZBADZEDEJKFABGJKHI $.
    $( [5-Aug-1993] $)

  $( Definition ~ df-bi rewritten in an abbreviated form to help intuitive
     understanding of that definition.  Note that it is a conjunction of
     two implications; one which asserts properties that follow from the
     biconditional and one which asserts properties that imply the
     biconditional. $)
  dfbi $p |- ( ( ( ph <-> ps ) -> ( ( ph -> ps ) /\ ( ps -> ph ) ) )
        /\ ( ( ( ph -> ps ) /\ ( ps -> ph ) ) -> ( ph <-> ps ) ) ) $=
    ( wb wi wa dfbi2 biimp biimpr pm3.2i ) ABCZABDBADEZDKJDJKABFZGJKLHI $.
    $( [16-Aug-2008] $) $( [15-Aug-2008] $)

  ${
    impbid.1 $e |- ( ph -> ( ps -> ch ) ) $.
    impbid.2 $e |- ( ph -> ( ch -> ps ) ) $.
    $( Deduce an equivalence from two implications. $)
    impbid $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wi wa wb jca dfbi2 sylibr ) ABCFZCBFZGBCHALMDEIBCJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    impbid1.1 $e |- ( ph -> ( ps -> ch ) ) $.
    impbid1.2 $e |- ( ch -> ps ) $.
    $( Infer an equivalence from two implications. $)
    impbid1 $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wi a1i impbid ) ABCDCBFAEGH $.
      $( [7-Mar-2007] $) $( [6-Mar-2007] $)
  $}

  ${
    impbid2.1 $e |- ( ps -> ch ) $.
    impbid2.2 $e |- ( ph -> ( ch -> ps ) ) $.
    $( Infer an equivalence from two implications. $)
    impbid2 $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wi a1i impbid ) ABCBCFADGEH $.
      $( [7-Mar-2007] $) $( [6-Mar-2007] $)
  $}

  ${
    impbida.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    impbida.2 $e |- ( ( ph /\ ch ) -> ps ) $.
    $( Deduce an equivalence from two implications. $)
    impbida $p |- ( ph -> ( ps <-> ch ) ) $=
      ( ex impbid ) ABCABCDFACBEFG $.
      $( [20-Feb-2007] $) $( [17-Feb-2007] $)
  $}

  $( Commutative law for equivalence.  Theorem *4.21 of [WhiteheadRussell]
     p. 117. $)
  bicom $p |- ( ( ph <-> ps ) <-> ( ps <-> ph ) ) $=
    ( wi wa wb ancom dfbi2 3bitr4 ) ABCZBACZDJIDABEBAEIJFABGBAGH $.
    $( [5-Aug-1993] $)

  ${
    bicomd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Commute two sides of a biconditional in a deduction. $)
    bicomd $p |- ( ph -> ( ch <-> ps ) ) $=
      ( wb bicom sylib ) ABCECBEDBCFG $.
      $( [5-Aug-1993] $)
  $}

  $( Contraposition.  Theorem *4.11 of [WhiteheadRussell] p. 117. $)
  pm4.11 $p |- ( ( ph <-> ps ) <-> ( -. ph <-> -. ps ) ) $=
    ( wb wn wi wa pm4.1 anbi12i dfbi2 3bitr4 bicom bitr ) ABCZBDZADZCZONCABEZBAEZF
    NOEZONEZFMPQSRTABGBAGHABINOIJNOKL $.
    $( [21-May-1994] $)

  ${
    con4bii.1 $e |- ( -. ph <-> -. ps ) $.
    $( A contraposition inference. $)
    con4bii $p |- ( ph <-> ps ) $=
      ( wb wn pm4.11 mpbir ) ABDAEBEDCABFG $.
      $( [21-May-1994] $)
  $}

  ${
    con4bid.1 $e |- ( ph -> ( -. ps <-> -. ch ) ) $.
    $( A contraposition deduction. $)
    con4bid $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wn wb pm4.11 sylibr ) ABECEFBCFDBCGH $.
      $( [21-May-1994] $)
  $}

  $( Contraposition.  Theorem *4.12 of [WhiteheadRussell] p. 117. $)
  con2bi $p |- ( ( ph <-> -. ps ) <-> ( ps <-> -. ph ) ) $=
    ( wn wi wa wb bi2.03 bi2.15 anbi12i dfbi2 3bitr4 ) ABCZDZLADZEBACZDZOBDZEALFBO
    FMPNQABGBAHIALJBOJK $.
    $( [15-Apr-1995] $)

  ${
    con2bid.1 $e |- ( ph -> ( ps <-> -. ch ) ) $.
    $( A contraposition deduction. $)
    con2bid $p |- ( ph -> ( ch <-> -. ps ) ) $=
      ( wn wb con2bi sylibr ) ABCEFCBEFDCBGH $.
      $( [15-Apr-1995] $)
  $}

  ${
    con1bid.1 $e |- ( ph -> ( -. ps <-> ch ) ) $.
    $( A contraposition deduction. $)
    con1bid $p |- ( ph -> ( -. ch <-> ps ) ) $=
      ( wn bicomd con2bid ) ABCEACBABECDFGF $.
      $( [9-Oct-1999] $)
  $}

  ${
    bitrd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitrd.2 $e |- ( ph -> ( ch <-> th ) ) $.
    $( Deduction form of ~ bitr . $)
    bitrd $p |- ( ph -> ( ps <-> th ) ) $=
      ( biimpd sylibd biimprd sylibrd impbid ) ABDABCDABCEGFHADCBACDFIEJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitr2d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr2d.2 $e |- ( ph -> ( ch <-> th ) ) $.
    $( Deduction form of ~ bitr2 . $)
    bitr2d $p |- ( ph -> ( th <-> ps ) ) $=
      ( bitrd bicomd ) ABDABCDEFGH $.
      $( [11-Jun-2004] $) $( [9-Jun-2004] $)
  $}

  ${
    bitr3d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr3d.2 $e |- ( ph -> ( ps <-> th ) ) $.
    $( Deduction form of ~ bitr3 . $)
    bitr3d $p |- ( ph -> ( ch <-> th ) ) $=
      ( bicomd bitrd ) ACBDABCEGFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    bitr4d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bitr4d.2 $e |- ( ph -> ( th <-> ch ) ) $.
    $( Deduction form of ~ bitr4 . $)
    bitr4d $p |- ( ph -> ( ps <-> th ) ) $=
      ( bicomd bitrd ) ABCDEADCFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5bb.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl5bb.2 $e |- ( th <-> ps ) $.
    $( A syllogism inference from two biconditionals. $)
    syl5bb $p |- ( ph -> ( th <-> ch ) ) $=
      ( wb a1i bitrd ) ADBCDBGAFHEI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5rbb.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl5rbb.2 $e |- ( th <-> ps ) $.
    $( A syllogism inference from two biconditionals. $)
    syl5rbb $p |- ( ph -> ( ch <-> th ) ) $=
      ( syl5bb bicomd ) ADCABCDEFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5bbr.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl5bbr.2 $e |- ( ps <-> th ) $.
    $( A syllogism inference from two biconditionals. $)
    syl5bbr $p |- ( ph -> ( th <-> ch ) ) $=
      ( bicomi syl5bb ) ABCDEBDFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5rbbr.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl5rbbr.2 $e |- ( ps <-> th ) $.
    $( A syllogism inference from two biconditionals. $)
    syl5rbbr $p |- ( ph -> ( ch <-> th ) ) $=
      ( bicomi syl5rbb ) ABCDEBDFGH $.
      $( [25-Nov-1994] $)
  $}

  ${
    syl6bb.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6bb.2 $e |- ( ch <-> th ) $.
    $( A syllogism inference from two biconditionals. $)
    syl6bb $p |- ( ph -> ( ps <-> th ) ) $=
      ( wb a1i bitrd ) ABCDECDGAFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6rbb.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6rbb.2 $e |- ( ch <-> th ) $.
    $( A syllogism inference from two biconditionals. $)
    syl6rbb $p |- ( ph -> ( th <-> ps ) ) $=
      ( syl6bb bicomd ) ABDABCDEFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6bbr.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6bbr.2 $e |- ( th <-> ch ) $.
    $( A syllogism inference from two biconditionals. $)
    syl6bbr $p |- ( ph -> ( ps <-> th ) ) $=
      ( bicomi syl6bb ) ABCDEDCFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6rbbr.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl6rbbr.2 $e |- ( th <-> ch ) $.
    $( A syllogism inference from two biconditionals. $)
    syl6rbbr $p |- ( ph -> ( th <-> ps ) ) $=
      ( bicomi syl6rbb ) ABCDEDCFGH $.
      $( [25-Nov-1994] $)
  $}

  ${
    sylan9bb.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylan9bb.2 $e |- ( th -> ( ch <-> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents. $)
    sylan9bb $p |- ( ( ph /\ th ) -> ( ps <-> ta ) ) $=
      ( wa wb adantr adantl bitrd ) ADHBCEABCIDFJDCEIAGKL $.
      $( [4-Mar-1995] $)
  $}

  ${
    sylan9bbr.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    sylan9bbr.2 $e |- ( th -> ( ch <-> ta ) ) $.
    $( Nested syllogism inference conjoining dissimilar antecedents. $)
    sylan9bbr $p |- ( ( th /\ ph ) -> ( ps <-> ta ) ) $=
      ( wb sylan9bb ancoms ) ADBEHABCDEFGIJ $.
      $( [4-Mar-1995] $)
  $}

  ${
    3imtr3d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr3d.2 $e |- ( ph -> ( ps <-> th ) ) $.
    3imtr3d.3 $e |- ( ph -> ( ch <-> ta ) ) $.
    $( More general version of ~ 3imtr3 .  Useful for converting
       conditional definitions in a formula. $)
    3imtr3d $p |- ( ph -> ( th -> ta ) ) $=
      ( sylibd sylbird ) ADBEGABCEFHIJ $.
      $( [8-Apr-1996] $)
  $}

  ${
    3imtr4d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr4d.2 $e |- ( ph -> ( th <-> ps ) ) $.
    3imtr4d.3 $e |- ( ph -> ( ta <-> ch ) ) $.
    $( More general version of ~ 3imtr4 .  Useful for converting
       conditional definitions in a formula. $)
    3imtr4d $p |- ( ph -> ( th -> ta ) ) $=
      ( sylibrd sylbid ) ADBEGABCEFHIJ $.
      $( [26-Oct-1995] $)
  $}

  ${
    3bitrd.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitrd.2 $e |- ( ph -> ( ch <-> th ) ) $.
    3bitrd.3 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction from transitivity of biconditional. $)
    3bitrd $p |- ( ph -> ( ps <-> ta ) ) $=
      ( bitrd ) ABDEABCDFGIHI $.
      $( [13-Aug-1999] $)

    $( Deduction from transitivity of biconditional. $)
    3bitrrd $p |- ( ph -> ( ta <-> ps ) ) $=
      ( bitr2d bitr3d ) ADEBHABCDFGIJ $.
      $( [11-Aug-2006] $) $( [4-Aug-2006] $)
  $}

  ${
    3bitr2d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr2d.2 $e |- ( ph -> ( th <-> ch ) ) $.
    3bitr2d.3 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction from transitivity of biconditional. $)
    3bitr2d $p |- ( ph -> ( ps <-> ta ) ) $=
      ( bitr4d bitrd ) ABDEABCDFGIHJ $.
      $( [11-Aug-2006] $) $( [4-Aug-2006] $)

    $( Deduction from transitivity of biconditional. $)
    3bitr2rd $p |- ( ph -> ( ta <-> ps ) ) $=
      ( bitr4d bitr2d ) ABDEABCDFGIHJ $.
      $( [11-Aug-2006] $) $( [4-Aug-2006] $)
  $}

  ${
    3bitr3d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr3d.2 $e |- ( ph -> ( ps <-> th ) ) $.
    3bitr3d.3 $e |- ( ph -> ( ch <-> ta ) ) $.
    $( Deduction from transitivity of biconditional.  Useful for converting
       conditional definitions in a formula. $)
    3bitr3d $p |- ( ph -> ( th <-> ta ) ) $=
      ( bitr3d bitrd ) ADCEABDCGFIHJ $.
      $( [24-Apr-1996] $)

    $( Deduction from transitivity of biconditional. $)
    3bitr3rd $p |- ( ph -> ( ta <-> th ) ) $=
      ( bitr3d ) ACEDHABCDFGII $.
      $( [11-Aug-2006] $) $( [4-Aug-2006] $)
  $}

  ${
    3bitr4d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr4d.2 $e |- ( ph -> ( th <-> ps ) ) $.
    3bitr4d.3 $e |- ( ph -> ( ta <-> ch ) ) $.
    $( Deduction from transitivity of biconditional.  Useful for converting
       conditional definitions in a formula. $)
    3bitr4d $p |- ( ph -> ( th <-> ta ) ) $=
      ( bitr4d bitrd ) ADBEGABCEFHIJ $.
      $( [18-Oct-1995] $)

    $( Deduction from transitivity of biconditional. $)
    3bitr4rd $p |- ( ph -> ( ta <-> th ) ) $=
      ( bitr4d ) AEBDAECBHFIGI $.
      $( [11-Aug-2006] $) $( [4-Aug-2006] $)
  $}

  ${
    3imtr3g.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr3g.2 $e |- ( ps <-> th ) $.
    3imtr3g.3 $e |- ( ch <-> ta ) $.
    $( More general version of ~ 3imtr3 .  Useful for converting
       definitions in a formula. $)
    3imtr3g $p |- ( ph -> ( th -> ta ) ) $=
      ( wa imp anbi2i 3imtr3 ex ) ADEABICADIEABCFJBDAGKHLM $.
      $( [20-May-1996] $)
  $}

  ${
    3imtr4g.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3imtr4g.2 $e |- ( th <-> ps ) $.
    3imtr4g.3 $e |- ( ta <-> ch ) $.
    $( More general version of ~ 3imtr4 .  Useful for converting
       definitions in a formula. $)
    3imtr4g $p |- ( ph -> ( th -> ta ) ) $=
      ( bicomi 3imtr3g ) ABCDEFDBGIECHIJ $.
      $( [20-May-1996] $)
  $}

  ${
    3bitr3g.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr3g.2 $e |- ( ps <-> th ) $.
    3bitr3g.3 $e |- ( ch <-> ta ) $.
    $( More general version of ~ 3bitr3 .  Useful for converting
       definitions in a formula. $)
    3bitr3g $p |- ( ph -> ( th <-> ta ) ) $=
      ( syl5bbr syl6bb ) ADCEABCDFGIHJ $.
      $( [4-Jun-1995] $)
  $}

  ${
    3bitr4g.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3bitr4g.2 $e |- ( th <-> ps ) $.
    3bitr4g.3 $e |- ( ta <-> ch ) $.
    $( More general version of ~ 3bitr4 .  Useful for converting
       definitions in a formula. $)
    3bitr4g $p |- ( ph -> ( th <-> ta ) ) $=
      ( syl5bb syl6bbr ) ADCEABCDFGIHJ $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem *3.47 of [WhiteheadRussell] p. 113.  It was proved by Leibniz, and
     it evidently pleased him enough to call it 'praeclarum theorema.' $)
  prth $p |- ( ( ( ph -> ps ) /\ ( ch -> th ) ) ->
               ( ( ph /\ ch ) -> ( ps /\ th ) ) ) $=
    ( wi wa pm3.2 imim2d imim2i com23 imp4b ) ABEZCDEZACBDFZLAMCNEZBMOEABDNCBDG
    HIJK $.
    $( [12-Aug-1993] $)

  $( Theorem *3.48 of [WhiteheadRussell] p. 114. $)
  pm3.48 $p |- ( ( ( ph -> ps ) /\ ( ch -> th ) ) ->
               ( ( ph \/ ch ) -> ( ps \/ th ) ) ) $=
    ( wi wa wn wo pm3.26 con3d pm3.27 imim12d df-or 3imtr4g ) ABEZCDEZFZAGZCEBG
    ZDEACHBDHQSRCDQABOPIJOPKLACMBDMN $.
    $( [28-Jan-1997] $)

  ${
    anim12d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    anim12d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Conjoin antecedents and consequents in a deduction. $)
    anim12d $p |- ( ph -> ( ( ps /\ th ) -> ( ch /\ ta ) ) ) $=
      ( wi wa prth sylanc ) BCHDEHBDICEIHABCDEJFGK $.
      $( [3-Apr-1994] $)
  $}

  ${
    anim12ii.1 $e |- ( ph -> ( ps -> ch ) ) $.
    anim12ii.2 $e |- ( th -> ( ps -> ta ) ) $.
    $( Conjoin antecedents and consequents in a deduction. $)
    anim12ii $p |- ( ( ph /\ th ) -> ( ps -> ( ch /\ ta ) ) ) $=
      ( wa com12 anim12d ) BADHCEHBACDEABCFIDBEGIJI $.
      $( [12-Nov-2007] $) $( [11-Nov-2007] $)
  $}

  ${
    anim1d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Add a conjunct to right of antecedent and consequent in a deduction. $)
    anim1d $p |- ( ph -> ( ( ps /\ th ) -> ( ch /\ th ) ) ) $=
      ( idd anim12d ) ABCDDEADFG $.
      $( [3-Apr-1994] $)

    $( Add a conjunct to left of antecedent and consequent in a deduction. $)
    anim2d $p |- ( ph -> ( ( th /\ ps ) -> ( th /\ ch ) ) ) $=
      ( idd anim12d ) ADDBCADFEG $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem *3.45 (Fact) of [WhiteheadRussell] p. 113. $)
  pm3.45 $p |-  ( ( ph -> ps ) -> ( ( ph /\ ch ) -> ( ps /\ ch ) ) ) $=
    ( wi id anim1d ) ABDZABCGEF $.
    $( [17-Jan-2005] $) $( [3-Jan-2005] $)

  ${
    $v et $. $( Greek eta $)
    im2an9.wet $f wff et $.
    im2an9.1 $e |- ( ph -> ( ps -> ch ) ) $.
    im2an9.2 $e |- ( th -> ( ta -> et ) ) $.

    $( Deduction joining nested implications to form implication of
       conjunctions. $)
    im2anan9 $p |- ( ( ph /\ th ) -> ( ( ps /\ ta ) -> ( ch /\ et ) ) ) $=
      ( wa wi adantr adantl anim12d ) ADIBCEFABCJDGKDEFJAHLM $.
      $( [29-Feb-1996] $)

    $( Deduction joining nested implications to form implication of
       conjunctions. $)
    im2anan9r $p |- ( ( th /\ ph ) -> ( ( ps /\ ta ) -> ( ch /\ et ) ) ) $=
      ( wa wi adantl adantr anim12d ) DAIBCEFABCJDGKDEFJAHLM $.
      $( [29-Feb-1996] $)

  $}

  ${
    orim12d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    orim12d.2 $e |- ( ph -> ( th -> ta ) ) $.
    $( Disjoin antecedents and consequents in a deduction. $)
    orim12d $p |- ( ph -> ( ( ps \/ th ) -> ( ch \/ ta ) ) ) $=
      ( wi wo pm3.48 sylanc ) BCHDEHBDICEIHABCDEJFGK $.
      $( [10-May-1994] $)
  $}

  ${
    orim1d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Disjoin antecedents and consequents in a deduction. $)
    orim1d $p |- ( ph -> ( ( ps \/ th ) -> ( ch \/ th ) ) ) $=
      ( idd orim12d ) ABCDDEADFG $.
      $( [23-Apr-1995] $)

    $( Disjoin antecedents and consequents in a deduction. $)
    orim2d $p |- ( ph -> ( ( th \/ ps ) -> ( th \/ ch ) ) ) $=
      ( idd orim12d ) ADDBCADFEG $.
      $( [23-Apr-1995] $)
  $}

  $( Axiom *1.6 (Sum) of [WhiteheadRussell] p. 97. $)
  orim2 $p |-  ( ( ps -> ch ) -> ( ( ph \/ ps ) -> ( ph \/ ch ) ) ) $=
    ( wi id orim2d ) BCDZBCAGEF $.
    $( [16-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.38 of [WhiteheadRussell] p. 105. $)
  pm2.38 $p |-  ( ( ps -> ch ) -> ( ( ps \/ ph ) -> ( ch \/ ph ) ) ) $=
    ( wi id orim1d ) BCDZBCAGEF $.
    $( [6-Mar-2008] $) $( [6-Mar-2008] $)

  $( Theorem *2.36 of [WhiteheadRussell] p. 105. $)
  pm2.36 $p |-  ( ( ps -> ch ) -> ( ( ph \/ ps ) -> ( ch \/ ph ) ) ) $=
    ( wi wo pm2.38 pm1.4 syl5 ) BCDBAECAEABEABCFABGH $.
    $( [6-Mar-2008] $) $( [6-Mar-2008] $)

  $( Theorem *2.37 of [WhiteheadRussell] p. 105. $)
  pm2.37 $p |-  ( ( ps -> ch ) -> ( ( ps \/ ph ) -> ( ph \/ ch ) ) ) $=
    ( wi wo pm2.38 pm1.4 syl6 ) BCDBAECAEACEABCFCAGH $.
    $( [6-Mar-2008] $) $( [6-Mar-2008] $)

  $( Theorem *2.73 of [WhiteheadRussell] p. 108. $)
  pm2.73 $p |-  ( ( ph -> ps ) -> ( ( ( ph \/ ps ) \/ ch ) ->
                ( ps \/ ch ) ) ) $=
    ( wi wo pm2.621 orim1d ) ABDABEBCABFG $.
    $( [29-Apr-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.74 of [WhiteheadRussell] p. 108. $)
  pm2.74 $p |-  ( ( ps -> ph ) -> ( ( ( ph \/ ps ) \/ ch ) ->
                ( ph \/ ch ) ) ) $=
    ( wo wi wn orel2 orim1d orc a1d ja ) BAABDZCDZACDZEBFLACBAGHANMACIJK $.
    $( [9-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.75 of [WhiteheadRussell] p. 108. $)
  pm2.75 $p |-  ( ( ph \/ ps ) ->
                ( ( ph \/ ( ps -> ch ) ) -> ( ph \/ ch ) ) ) $=
    ( wi wo orc a1d pm2.27 orim2d jaoi ) AABCDZEZACEZDBAMLACFGBKCABCHIJ $.
    $( [14-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.76 of [WhiteheadRussell] p. 108. $)
  pm2.76 $p |-  ( ( ph \/ ( ps -> ch ) ) ->
                ( ( ph \/ ps ) -> ( ph \/ ch ) ) ) $=
    ( wo wi pm2.75 com12 ) ABDABCEDACDABCFG $.
    $( [16-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.8 of [WhiteheadRussell] p. 108. $)
  pm2.8 $p |-  ( ( ps \/ ch ) -> ( ( -. ch \/ th ) -> ( ps \/ th ) ) ) $=
    ( wn wo wi orc a1d pm2.24 orim1d jaoi ) ABDZCEZACEZFBANMACGHBLACBAIJK $.
    $( [16-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.81 of [WhiteheadRussell] p. 108. $)
  pm2.81 $p |-  ( ( ps -> ( ch -> th ) ) -> ( ( ph \/ ps ) ->
                ( ( ph \/ ch ) -> ( ph \/ th ) ) ) ) $=
    ( wi wo orim2 pm2.76 syl6 ) BCDEZEABFAJFACFADFEABJGACDHI $.
    $( [17-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.82 of [WhiteheadRussell] p. 108. $)
  pm2.82 $p |-  ( ( ( ph \/ ps ) \/ ch ) -> ( ( ( ph \/ -. ch ) \/ th ) ->
                ( ( ph \/ ps ) \/ th ) ) ) $=
    ( wo wn wi ax-1 pm2.24 orim2d jaoi orim1d ) ABEZCEACFZEZMDMOMGCMOHCNBACBIJK
    L $.
    $( [18-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.85 of [WhiteheadRussell] p. 108. $)
  pm2.85 $p |-  ( ( ( ph \/ ps ) -> ( ph \/ ch ) ) ->
                ( ph \/ ( ps -> ch ) ) ) $=
    ( wo wi wn imor pm2.48 orim1i sylbi orbi2i orordi bitr2 sylib ) ABDZACDZEZA
    BFZDZPDZABCEZDZQOFZPDTOPGUCSPABHIJUBARCDZDTUAUDABCGKARCLMN $.
    $( [9-Jan-2005] $) $( [3-Jan-2005] $)

  ${
    pm3.2ni.1 $e |- -. ph $.
    pm3.2ni.2 $e |- -. ps $.
    $( Infer negated disjunction of negated premises. $)
    pm3.2ni $p |- -. ( ph \/ ps ) $=
      ( wo wn wa pm3.2i ioran mpbir ) ABEFAFZBFZGKLCDHABIJ $.
      $( [4-Apr-1995] $)
  $}

  $( Absorption of redundant internal disjunct.  Compare Theorem *4.45
     of [WhiteheadRussell] p. 119. $)
  orabs $p |- ( ph <-> ( ( ph \/ ps ) /\ ph ) ) $=
    ( wo wa orc ancri pm3.27 impbi ) AABCZADAIABEFIAGH $.
    $( [5-Aug-1993] $)

  $( Absorb a disjunct into a conjunct.  (Contributed by Roy F. Longton
     23-Jun-2005.) $)
  oranabs $p |- ( ( ( ph \/ -. ps ) /\ ps ) <-> ( ph /\ ps ) ) $=
    ( wn wo wa pm5.61 pm4.13 anbi2i 3bitr4 ) ABCZDZJCZEALEKBEABEAJFBLKBGZHBLAMH
    I $.
    $( [12-Apr-2008] $) $( [23-Jun-2005] $)

  $( Distribution of implication over biconditional.  Theorem *5.74 of
     [WhiteheadRussell] p. 126. $)
  pm5.74 $p |- ( ( ph -> ( ps <-> ch ) ) <->
               ( ( ph -> ps ) <-> ( ph -> ch ) ) ) $=
    ( wb wi bi1 imim3i bi2 impbid wa pm2.86d anim12d pm4.24 dfbi2 3imtr4g impbi )
    ABCDZEZABEZACEZDZRSTQBCABCFGQCBABCHGIUAAAJBCEZCBEZJAQUAAUBAUCUAABCSTFKUAACB
    STHKLAMBCNOP $.
    $( [1-Aug-1994] $)

  ${
    pm5.74i.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Distribution of implication over biconditional (inference rule). $)
    pm5.74i $p |- ( ( ph -> ps ) <-> ( ph -> ch ) ) $=
      ( wb wi pm5.74 mpbi ) ABCEFABFACFEDABCGH $.
      $( [1-Aug-1994] $)
  $}

  ${
    pm5.74d.1 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.74d $p |- ( ph -> ( ( ps -> ch ) <-> ( ps -> th ) ) ) $=
      ( wb wi pm5.74 sylib ) ABCDFGBCGBDGFEBCDHI $.
      $( [21-Mar-1996] $)
  $}

  ${
    pm5.74da.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.74da $p |- ( ph -> ( ( ps -> ch ) <-> ( ps -> th ) ) ) $=
      ( wb ex pm5.74d ) ABCDABCDFEGH $.
      $( [5-May-2007] $) $( [4-May-2007] $)
  $}

  ${
    pm5.74ri.1 $e |- ( ( ph -> ps ) <-> ( ph -> ch ) ) $.
    $( Distribution of implication over biconditional (reverse inference
       rule). $)
    pm5.74ri $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wb wi pm5.74 mpbir ) ABCEFABFACFEDABCGH $.
      $( [1-Aug-1994] $)
  $}

  ${
    pm5.74rd.1 $e |- ( ph -> ( ( ps -> ch ) <-> ( ps -> th ) ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.74rd $p |- ( ph -> ( ps -> ( ch <-> th ) ) ) $=
      ( wi wb pm5.74 sylibr ) ABCFBDFGBCDGFEBCDHI $.
      $( [19-Mar-1997] $)
  $}

  ${
    mpbidi.min $e |- ( th -> ( ph -> ps ) ) $.
    mpbidi.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, related to modus ponens. $)
    mpbidi $p |- ( th -> ( ph -> ch ) ) $=
      ( wi pm5.74i sylib ) DABGACGEABCFHI $.
      $( [9-Aug-1994] $)
  $}

  $( Implication in terms of implication and biconditional. $)
  ibib $p |- ( ( ph -> ps ) <-> ( ph -> ( ph <-> ps ) ) ) $=
    ( wb wa pm3.4 pm3.26 a1d impbid ex bi1 com12 pm5.74i ) ABABCZABMABMABDZABAB
    ENABABFGHIMABABJKHL $.
    $( [31-Mar-1994] $)

  $( Implication in terms of implication and biconditional. $)
  ibibr $p |- ( ( ph -> ps ) <-> ( ph -> ( ps <-> ph ) ) ) $=
    ( wi wb ibib bicom imbi2i bitr ) ABCAABDZCABADZCABEIJAABFGH $.
    $( [6-Jun-2005] $) $( [29-Apr-2005] $)

  ${
    ibi.1 $e |- ( ph -> ( ph <-> ps ) ) $.
    $( Inference that converts a biconditional implied by one of its arguments,
       into an implication. $)
    ibi $p |- ( ph -> ps ) $=
      ( biimpd pm2.43i ) ABAABCDE $.
      $( [17-Oct-2003] $) $( [17-Oct-2003] $)
  $}

  ${
    ibir.1 $e |- ( ph -> ( ps <-> ph ) ) $.
    $( Inference that converts a biconditional implied by one of its arguments,
       into an implication. $)
    ibir $p |- ( ph -> ps ) $=
      ( bicomd ibi ) ABABACDE $.
      $( [28-Jul-2004] $) $( [22-Jul-2004] $)
  $}

  ${
    ibd.1 $e |- ( ph -> ( ps -> ( ps <-> ch ) ) ) $.
    $( Deduction that converts a biconditional implied by one of its arguments,
       into an implication. $)
    ibd $p |- ( ph -> ( ps -> ch ) ) $=
      ( wb wi ibib sylibr ) ABBCEFBCFDBCGH $.
      $( [27-Jun-2004] $) $( [26-Jun-2004] $)
  $}

  $( Theorem *5.501 of [WhiteheadRussell] p. 125. $)
  pm5.501 $p |-  ( ph -> ( ps <-> ( ph <-> ps ) ) ) $=
    ( wb ibib pm5.74ri ) ABABCABDE $.
    $( [1-Feb-2005] $) $( [3-Jan-2005] $)

  $( Distributive law for disjunction.  Theorem *4.41 of [WhiteheadRussell]
     p. 119. $)
  ordi $p |- ( ( ph \/ ( ps /\ ch ) ) <-> ( ( ph \/ ps ) /\ ( ph \/ ch ) ) ) $=
    ( wa wo pm3.26 orim2i pm3.27 jca wn wi df-or pm3.43i 3imtr4g sylbi imp
    impbi ) ABCDZEZABEZACEZDSTUARBABCFGRCABCHGITUASTAJZBKZUASKABLUCUBCKUBRKUASU
    BBCMACLARLNOPQ $.
    $( [5-Aug-1993] $)

  $( Distributive law for disjunction. $)
  ordir $p |- ( ( ( ph /\ ps ) \/ ch ) <->
              ( ( ph \/ ch ) /\ ( ps \/ ch ) ) ) $=
    ( wa wo ordi orcom anbi12i 3bitr4 ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMKNLA
    CGBCGHI $.
    $( [12-Aug-1994] $)

  $( Distributive law for implication over conjunction.  Compare Theorem
     *4.76 of [WhiteheadRussell] p. 121. $)
  jcab $p |- ( ( ph -> ( ps /\ ch ) ) <->
                 ( ( ph -> ps ) /\ ( ph -> ch ) ) ) $=
    ( wn wa wo wi ordi imor anbi12i 3bitr4 ) ADZBCEZFLBFZLCFZEAMGABGZACGZELBCHA
    MIPNQOABIACIJK $.
    $( [3-Apr-1994] $)

  $( Theorem *4.76 of [WhiteheadRussell] p. 121. $)
  pm4.76 $p |-  ( ( ( ph -> ps ) /\ ( ph -> ch ) ) <->
                ( ph -> ( ps /\ ch ) ) ) $=
    ( wa wi jcab bicomi ) ABCDEABEACEDABCFG $.
    $( [22-May-2005] $) $( [3-Jan-2005] $)

  ${
    jcad.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jcad.2 $e |- ( ph -> ( ps -> th ) ) $.
    $( Deduction conjoining the consequents of two implications. $)
    jcad $p |- ( ph -> ( ps -> ( ch /\ th ) ) ) $=
      ( wa imp jca ex ) ABCDGABGCDABCEHABDFHIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    jctild.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jctild.2 $e |- ( ph -> th ) $.
    $( Deduction conjoining a theorem to left of consequent in an
       implication. $)
    jctild $p |- ( ph -> ( ps -> ( th /\ ch ) ) ) $=
      ( a1d jcad ) ABDCADBFGEH $.
      $( [22-Apr-2005] $) $( [21-Apr-2005] $)
  $}

  ${
    jctird.1 $e |- ( ph -> ( ps -> ch ) ) $.
    jctird.2 $e |- ( ph -> th ) $.
    $( Deduction conjoining a theorem to right of consequent in an
       implication. $)
    jctird $p |- ( ph -> ( ps -> ( ch /\ th ) ) ) $=
      ( a1d jcad ) ABCDEADBFGH $.
      $( [22-Apr-2005] $) $( [21-Apr-2005] $)
  $}

  $( Theorem *3.43 (Comp) of [WhiteheadRussell] p. 113. $)
  pm3.43 $p |-  ( ( ( ph -> ps ) /\ ( ph -> ch ) ) ->
                ( ph -> ( ps /\ ch ) ) ) $=
    ( wa wi jcab biimpr ) ABCDEABEACEDABCFG $.
    $( [27-May-2005] $) $( [3-Jan-2005] $)

  $( Distributive law for conjunction.  Theorem *4.4 of [WhiteheadRussell]
     p. 118. $)
  andi $p |- ( ( ph /\ ( ps \/ ch ) ) <-> ( ( ph /\ ps ) \/ ( ph /\ ch ) ) ) $=
    ( wn wo wa ordi ioran orbi2i ianor anbi12i 3bitr4 negbii anor oran ) ADZBCE
    ZDZEZDABFZDZACFZDZFZDAQFTUBESUDPBDZCDZFZEPUEEZPUFEZFSUDPUEUFGRUGPBCHIUAUHUC
    UIABJACJKLMAQNTUBOL $.
    $( [5-Aug-1993] $)

  $( Distributive law for conjunction. $)
  andir $p |- ( ( ( ph \/ ps ) /\ ch ) <->
              ( ( ph /\ ch ) \/ ( ps /\ ch ) ) ) $=
    ( wo wa andi ancom orbi12i 3bitr4 ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMKNLA
    CGBCGHI $.
    $( [12-Aug-1994] $)

  $( Double distributive law for disjunction. $)
  orddi $p |- ( ( ( ph /\ ps ) \/ ( ch /\ th ) ) <->
              ( ( ( ph \/ ch ) /\ ( ph \/ th ) ) /\
              ( ( ps \/ ch ) /\ ( ps \/ th ) ) ) ) $=
    ( wa wo ordir ordi anbi12i bitr ) ABECDEZFAKFZBKFZEACFADFEZBCFBDFEZEABKGLNM
    OACDHBCDHIJ $.
    $( [12-Aug-1994] $)

  $( Double distributive law for conjunction. $)
  anddi $p |- ( ( ( ph \/ ps ) /\ ( ch \/ th ) ) <->
              ( ( ( ph /\ ch ) \/ ( ph /\ th ) ) \/
              ( ( ps /\ ch ) \/ ( ps /\ th ) ) ) ) $=
    ( wo wa andir andi orbi12i bitr ) ABECDEZFAKFZBKFZEACFADFEZBCFBDFEZEABKGLNM
    OACDHBCDHIJ $.
    $( [12-Aug-1994] $)

  $( Prove formula-building rules for the biconditional connective. $)

  ${
    bibi.a $e |- ( ph <-> ps ) $.

    $( Inference adding a biconditional to the left in an equivalence. $)
    bibi2i $p |- ( ( ch <-> ph ) <-> ( ch <-> ps ) ) $=
      ( wb wi wa dfbi2 imbi1i anbi2i imbi2i anbi1i bitr4 3bitr ) CAECAFZACFZGOBCFZ
      GZCBEZCAHPQOABCDIJRCBFZQGSOTQABCDKLCBHMN $.
      $( [5-Aug-1993] $)

    $( Inference adding a biconditional to the right in an equivalence. $)
    bibi1i $p |- ( ( ph <-> ch ) <-> ( ps <-> ch ) ) $=
      ( wb bicom bibi2i 3bitr ) ACECAECBEBCEACFABCDGCBFH $.
      $( [5-Aug-1993] $)

    ${
      bibi12.2 $e |- ( ch <-> th ) $.
      $( The equivalence of two equivalences. $)
      bibi12i $p |- ( ( ph <-> ch ) <-> ( ps <-> th ) ) $=
        ( wb bibi2i bibi1i bitr ) ACGADGBDGCDAFHABDEIJ $.
        $( [5-Aug-1993] $)
    $}
  $}

  ${
    bid.1 $e |- ( ph -> ( ps <-> ch ) ) $.

    $( Deduction negating both sides of a logical equivalence. $)
    negbid $p |- ( ph -> ( -. ps <-> -. ch ) ) $=
      ( wb wn pm4.11 sylib ) ABCEBFCFEDBCGH $.
      $( [21-May-1994] $)

    $( Deduction adding an antecedent to both sides of a logical
       equivalence. $)
    imbi2d $p |- ( ph -> ( ( th -> ps ) <-> ( th -> ch ) ) ) $=
      ( wb a1d pm5.74d ) ADBCABCFDEGH $.
      $( [5-Aug-1993] $)

    $( Deduction adding a consequent to both sides of a logical equivalence. $)
    imbi1d $p |- ( ph -> ( ( ps -> th ) <-> ( ch -> th ) ) ) $=
      ( wn wi negbid imbi2d pm4.1 3bitr4g ) ADFZBFZGLCFZGBDGCDGAMNLABCEHIBDJCDJ
      K $.
      $( [5-Aug-1993] $)

    $( Deduction adding a left disjunct to both sides of a logical
       equivalence. $)
    orbi2d $p |- ( ph -> ( ( th \/ ps ) <-> ( th \/ ch ) ) ) $=
      ( wn wi wo imbi2d df-or 3bitr4g ) ADFZBGLCGDBHDCHABCLEIDBJDCJK $.
      $( [5-Aug-1993] $)

    $( Deduction adding a right disjunct to both sides of a logical
       equivalence. $)
    orbi1d $p |- ( ph -> ( ( ps \/ th ) <-> ( ch \/ th ) ) ) $=
      ( wo orbi2d orcom 3bitr4g ) ADBFDCFBDFCDFABCDEGBDHCDHI $.
      $( [5-Aug-1993] $)

    $( Deduction adding a left conjunct to both sides of a logical
       equivalence. $)
    anbi2d $p |- ( ph -> ( ( th /\ ps ) <-> ( th /\ ch ) ) ) $=
      ( wa biimpd anim2d biimprd impbid ) ADBFDCFABCDABCEGHACBDABCEIHJ $.
      $( [5-Aug-1993] $)

    $( Deduction adding a right conjunct to both sides of a logical
       equivalence. $)
    anbi1d $p |- ( ph -> ( ( ps /\ th ) <-> ( ch /\ th ) ) ) $=
      ( wa anbi2d ancom 3bitr4g ) ADBFDCFBDFCDFABCDEGBDHCDHI $.
      $( [5-Aug-1993] $)

    $( Deduction adding a biconditional to the left in an equivalence. $)
    bibi2d $p |- ( ph -> ( ( th <-> ps ) <-> ( th <-> ch ) ) ) $=
      ( wi wa wb imbi2d anbi1d imbi1d anbi2d bitrd dfbi2 3bitr4g ) ADBFZBDFZGZDCFZ
      CDFZGZDBHDCHARSQGUAAPSQABCDEIJAQTSABCDEKLMDBNDCNO $.
      $( [5-Aug-1993] $)

    $( Deduction adding a biconditional to the right in an equivalence. $)
    bibi1d $p |- ( ph -> ( ( ps <-> th ) <-> ( ch <-> th ) ) ) $=
      ( wb bibi2d bicom 3bitr4g ) ADBFDCFBDFCDFABCDEGBDHCDHI $.
      $( [5-Aug-1993] $)

  $}

  $( Theorem *4.37 of [WhiteheadRussell] p. 118. $)
  orbi1 $p |-  ( ( ph <-> ps ) -> ( ( ph \/ ch ) <-> ( ps \/ ch ) ) ) $=
    ( wb id orbi1d ) ABDZABCGEF $.
    $( [12-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.36 of [WhiteheadRussell] p. 118. $)
  anbi1 $p |-  ( ( ph <-> ps ) -> ( ( ph /\ ch ) <-> ( ps /\ ch ) ) ) $=
    ( wb id anbi1d ) ABDZABCGEF $.
    $( [15-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.22 of [WhiteheadRussell] p. 117. $)
  pm4.22 $p |-  ( ( ( ph <-> ps ) /\ ( ps <-> ch ) ) -> ( ph <-> ch ) ) $=
    ( wb id bibi1d biimpar ) ABDZACDBCDHABCHEFG $.
    $( [30-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.84 of [WhiteheadRussell] p. 122. $)
  imbi1 $p |-  ( ( ph <-> ps ) -> ( ( ph -> ch ) <-> ( ps -> ch ) ) ) $=
    ( wb id imbi1d ) ABDZABCGEF $.
    $( [9-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.85 of [WhiteheadRussell] p. 122. $)
  imbi2 $p |-  ( ( ph <-> ps ) -> ( ( ch -> ph ) <-> ( ch -> ps ) ) ) $=
    ( wb ax-1 pm5.74d ) ABDZCABGCEF $.
    $( [9-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.86 of [WhiteheadRussell] p. 122. $)
  bibi1 $p |-  ( ( ph <-> ps ) -> ( ( ph <-> ch ) <-> ( ps <-> ch ) ) ) $=
    ( wb id bibi1d ) ABDZABCGEF $.
    $( [15-Jun-2005] $) $( [3-Jan-2005] $)

  ${
    bi12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction joining two equivalences to form equivalence of
       implications. $)
    imbi12d $p |- ( ph -> ( ( ps -> th ) <-> ( ch -> ta ) ) ) $=
      ( wi imbi1d imbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [5-Aug-1993] $)

    $( Deduction joining two equivalences to form equivalence of
       disjunctions. $)
    orbi12d $p |- ( ph -> ( ( ps \/ th ) <-> ( ch \/ ta ) ) ) $=
      ( wo orbi1d orbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [5-Aug-1993] $)

    $( Deduction joining two equivalences to form equivalence of
       conjunctions. $)
    anbi12d $p |- ( ph -> ( ( ps /\ th ) <-> ( ch /\ ta ) ) ) $=
      ( wa anbi1d anbi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [5-Aug-1993] $)

    $( Deduction joining two equivalences to form equivalence of
       biconditionals. $)
    bibi12d $p |- ( ph -> ( ( ps <-> th ) <-> ( ch <-> ta ) ) ) $=
      ( wb bibi1d bibi2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [5-Aug-1993] $)

  $}

  $( Theorem *4.39 of [WhiteheadRussell] p. 118. $)
  pm4.39 $p |-  ( ( ( ph <-> ch ) /\ ( ps <-> th ) ) ->
                ( ( ph \/ ps ) <-> ( ch \/ th ) ) ) $=
    ( wb wa pm3.26 pm3.27 orbi12d ) ACEZBDEZFACBDJKGJKHI $.
    $( [30-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.38 of [WhiteheadRussell] p. 118. $)
  pm4.38 $p |-  ( ( ( ph <-> ch ) /\ ( ps <-> th ) ) ->
                ( ( ph /\ ps ) <-> ( ch /\ th ) ) ) $=
    ( wb wa pm3.26 pm3.27 anbi12d ) ACEZBDEZFACBDJKGJKHI $.
    $( [30-May-2005] $) $( [3-Jan-2005] $)

  ${
    $v et $. $( Greek eta $)
    bi2an9.wet $f wff et $.
    bi2an9.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bi2an9.2 $e |- ( th -> ( ta <-> et ) ) $.

    $( Deduction joining two equivalences to form equivalence of
       conjunctions. $)
    bi2anan9 $p |- ( ( ph /\ th ) -> ( ( ps /\ ta ) <-> ( ch /\ et ) ) ) $=
      ( wa anbi1d anbi2d sylan9bb ) ABEICEIDCFIABCEGJDEFCHKL $.
      $( [31-Jul-1995] $)

    $( Deduction joining two equivalences to form equivalence of
       conjunctions. $)
    bi2anan9r $p |- ( ( th /\ ph ) -> ( ( ps /\ ta ) <-> ( ch /\ et ) ) ) $=
      ( wa wb bi2anan9 ancoms ) ADBEICFIJABCDEFGHKL $.
      $( [19-Feb-1996] $)

    $( Deduction joining two biconditionals with different antecedents. $)
    bi2bian9 $p |- ( ( ph /\ th ) -> ( ( ps <-> ta ) <-> ( ch <-> et ) ) ) $=
      ( wa wb adantr adantl bibi12d ) ADIBCEFABCJDGKDEFJAHLM $.
      $( [14-May-2004] $) $( [12-May-2004] $)
  $}

  $( Implication in terms of biconditional and conjunction.  Theorem *4.71 of
     [WhiteheadRussell] p. 120. $)
  pm4.71 $p |- ( ( ph -> ps ) <-> ( ph <-> ( ph /\ ps ) ) ) $=
    ( wi wa wb ancl pm3.26 impbid1 bi1 pm3.27 syl6 impbi ) ABCZAABDZEZMANABFABG
    HOANBANIABJKL $.
    $( [5-Aug-1993] $)

  $( Implication in terms of biconditional and conjunction.  Theorem *4.71 of
     [WhiteheadRussell] p. 120 (with conjunct reversed). $)
  pm4.71r $p |- ( ( ph -> ps ) <-> ( ph <-> ( ps /\ ph ) ) ) $=
    ( wi wa wb pm4.71 ancom bibi2i bitr ) ABCAABDZEABADZEABFJKAABGHI $.
    $( [25-Jul-1999] $)

  ${
    pm4.71i.1 $e |- ( ph -> ps ) $.
    $( Inference converting an implication to a biconditional with conjunction.
       Inference from Theorem *4.71 of [WhiteheadRussell] p. 120. $)
    pm4.71i $p |- ( ph <-> ( ph /\ ps ) ) $=
      ( wi wa wb pm4.71 mpbi ) ABDAABEFCABGH $.
      $( [6-Jan-2004] $) $( [4-Jan-2004] $)
  $}

  ${
    pm4.71ri.1 $e |- ( ph -> ps ) $.
    $( Inference converting an implication to a biconditional with conjunction.
       Inference from Theorem *4.71 of [WhiteheadRussell] p. 120 (with
       conjunct reversed). $)
    pm4.71ri $p |- ( ph <-> ( ps /\ ph ) ) $=
      ( wi wa wb pm4.71r mpbi ) ABDABAEFCABGH $.
      $( [1-Dec-2003] $) $( [1-Dec-2003] $)
  $}

  ${
    pm4.71rd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction converting an implication to a biconditional with conjunction.
       Deduction from Theorem *4.71 of [WhiteheadRussell] p. 120. $)
    pm4.71rd $p |- ( ph -> ( ps <-> ( ch /\ ps ) ) ) $=
      ( wi wa wb pm4.71r sylib ) ABCEBCBFGDBCHI $.
      $( [12-Feb-2005] $) $( [10-Feb-2005] $)
  $}

  $( Theorem *4.45 of [WhiteheadRussell] p. 119. $)
  pm4.45 $p |-  ( ph <-> ( ph /\ ( ph \/ ps ) ) ) $=
    ( wo orc pm4.71i ) AABCABDE $.
    $( [30-May-2005] $) $( [3-Jan-2005] $)

  $( Implication in terms of biconditional and disjunction.  Theorem *4.72 of
     [WhiteheadRussell] p. 121. $)
  pm4.72 $p |- ( ( ph -> ps ) <-> ( ps <-> ( ph \/ ps ) ) ) $=
    ( wi wo wb olc pm2.621 impbid2 bi2 pm2.67 syl impbi ) ABCZBABDZEZMBNBAFABGH
    ONBCMBNIABJKL $.
    $( [30-Aug-1993] $)

  $( Introduction of antecedent as conjunct.  Theorem *4.73 of
     [WhiteheadRussell] p. 121. $)
  iba $p |- ( ph -> ( ps <-> ( ps /\ ph ) ) ) $=
    ( wa ancrb pm5.74ri ) ABBACABDE $.
    $( [30-Mar-1994] $)

  $( Introduction of antecedent as conjunct. $)
  ibar $p |- ( ph -> ( ps <-> ( ph /\ ps ) ) ) $=
    ( wa anclb pm5.74ri ) ABABCABDE $.
    $( [5-Dec-1995] $)

  $( Distribution of implication over biconditional.  Theorem *5.32 of
     [WhiteheadRussell] p. 125. $)
  pm5.32 $p |- ( ( ph -> ( ps <-> ch ) ) <->
               ( ( ph /\ ps ) <-> ( ph /\ ch ) ) ) $=
    ( wb wi wn wa pm4.11 imbi2i pm5.74 3bitr df-an bibi12i bitr4 ) ABCDZEZABFZE
    ZFZACFZEZFZDZABGZACGZDPAQTDZERUADUCOUFABCHIAQTJRUAHKUDSUEUBABLACLMN $.
    $( [1-Aug-1994] $)

  ${
    pm5.32i.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Distribution of implication over biconditional (inference rule). $)
    pm5.32i $p |- ( ( ph /\ ps ) <-> ( ph /\ ch ) ) $=
      ( wb wi wa pm5.32 mpbi ) ABCEFABGACGEDABCHI $.
      $( [1-Aug-1994] $)

    $( Distribution of implication over biconditional (inference rule). $)
    pm5.32ri $p |- ( ( ps /\ ph ) <-> ( ch /\ ph ) ) $=
      ( wa pm5.32i ancom 3bitr4 ) ABEACEBAECAEABCDFBAGCAGH $.
      $( [12-Mar-1995] $)
  $}

  ${
    pm5.32d.1 $e |- ( ph -> ( ps -> ( ch <-> th ) ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.32d $p |- ( ph -> ( ( ps /\ ch ) <-> ( ps /\ th ) ) ) $=
      ( wb wi wa pm5.32 sylib ) ABCDFGBCHBDHFEBCDIJ $.
      $( [29-Oct-1996] $)

    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.32rd $p |- ( ph -> ( ( ch /\ ps ) <-> ( th /\ ps ) ) ) $=
      ( wa pm5.32d ancom 3bitr4g ) ABCFBDFCBFDBFABCDEGCBHDBHI $.
      $( [1-Jan-2005] $) $( [25-Dec-2004] $)
  $}

  ${
    pm5.32da.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Distribution of implication over biconditional (deduction rule). $)
    pm5.32da $p |- ( ph -> ( ( ps /\ ch ) <-> ( ps /\ th ) ) ) $=
      ( wb ex pm5.32d ) ABCDABCDFEGH $.
      $( [10-Dec-2006] $) $( [9-Dec-2006] $)
  $}

  $( Theorem *5.33 of [WhiteheadRussell] p. 125. $)
  pm5.33 $p |-  ( ( ph /\ ( ps -> ch ) ) <->
                ( ph /\ ( ( ph /\ ps ) -> ch ) ) ) $=
    ( wi wa ibar imbi1d pm5.32i ) ABCDABEZCDABICABFGH $.
    $( [31-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.36 of [WhiteheadRussell] p. 125. $)
  pm5.36 $p |-  ( ( ph /\ ( ph <-> ps ) ) <-> ( ps /\ ( ph <-> ps ) ) ) $=
    ( wb id pm5.32ri ) ABCZABFDE $.
    $( [31-May-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.42 of [WhiteheadRussell] p. 125. $)
  pm5.42 $p |-  ( ( ph -> ( ps -> ch ) ) <->
                ( ph -> ( ps -> ( ph /\ ch ) ) ) ) $=
    ( wi wa ibar imbi2d pm5.74i ) ABCDBACEZDACIBACFGH $.
    $( [3-Jun-2005] $) $( [3-Jan-2005] $)

  ${
    bianabs.1 $e |- ( ph -> ( ps <-> ( ph /\ ch ) ) ) $.
    $( Absorb a hypothesis into the second member of a biconditional.
       (Contributed by FL, 15-Feb-2007.) $)
    bianabs $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wa ibar bitr4d ) ABACECDACFG $.
      $( [22-May-2008] $) $( [15-Feb-2007] $)
  $}

  $( Absorption of disjunction into equivalence. $)
  oibabs $p |- ( ( ( ph \/ ps ) -> ( ph <-> ps ) ) <-> ( ph <-> ps ) ) $=
    ( wo wb wi orc imim1i ibd olc ibibr sylibr impbid ax-1 impbi ) ABCZABDZEZPQ
    ABQABAOPABFGHQBPEBAEBOPBAIGBAJKLPOMN $.
    $( [29-Jan-2008] $)  $( [6-Aug-1995] $)

  $( Law of excluded middle, also called the principle of _tertium non datur_.
     Theorem *2.11 of [WhiteheadRussell] p. 101.  It says that something is
     either true or not true; there are no in-between values of truth.  This is
     an essential distinction of our classical logic and is not a theorem of
     intuitionistic logic. $)
  exmid $p |- ( ph \/ -. ph ) $=
    ( wn id orri ) AABZECD $.
    $( [5-Aug-1993] $)

  $( Theorem *2.1 of [WhiteheadRussell] p. 101. $)
  pm2.1 $p |-  ( -. ph \/ ph ) $=
    ( wn nega orri ) ABAACD $.
    $( [7-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *2.13 of [WhiteheadRussell] p. 101. $)
  pm2.13 $p |-  ( ph \/ -. -. -. ph ) $=
    ( wn negb orri ) AABZBBECD $.
    $( [4-Jun-2005] $) $( [3-Jan-2005] $)

  $( Law of noncontradiction.  Theorem *3.24 of [WhiteheadRussell] p. 111
     (who call it the "law of contradiction"). $)
  pm3.24 $p |- -. ( ph /\ -. ph ) $=
    ( wn wa wo exmid ianor mpbir ) AABZCBHHBDHEAHFG $.
    $( [16-Sep-1993] $)

  $( Theorem *2.26 of [WhiteheadRussell] p. 104. $)
  pm2.26 $p |-  ( -. ph \/ ( ( ph -> ps ) -> ps ) ) $=
    ( wn wi nega imim1i com12 orri ) ACZABDZBDJICZBKABAEFGH $.
    $( [5-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.18 of [WhiteheadRussell] p. 124.  This theorem says that
     logical equivalence is the same as negated "exclusive-or." $)
  pm5.18 $p |- ( ( ph <-> ps ) <-> -. ( ph <-> -. ps ) ) $=
    ( wb wn bicom wi wa pm2.61 pm2.65 con2 syl5 anim12d dfbi2 syl5ib annim syl6ib
    com12 imnan sylib negbii sylibr wo pm2.5 pm2.21 adantl sylbir jca ax-1
    adantr pm2.51 jaoi ianor 3imtr4 sylbi impbi bitr con2bii ) ABCBACZABDZCZDAB
    EUTURUTUSACZURDZAUSEVAVBVABAFZABFZGZDZVBVAVCVDDZFVFVCVAVGVCVAAUSGZVGVCUSAFZ
    AUSFZGZVHVAVCVIAVJUSBAHVCBADZFUSVJBAIABJKLUSAMZNABOZPQVCVDRSURVEBAMTZUAVBVF
    VAVOVCDZVGUBVKVFVAVPVKVGVPVIVJBAUCVPBVLGVJBAOVLVJBAUSUDUEUFUGVGVIVJVGVHVIVN
    AVIUSAUSUHUIUFABUJUGUKVCVDULVMUMUNUOUPUQUP $.
    $( [28-Jun-2002] $)

  $( Move negation outside of biconditional.  Compare Theorem *5.18 of
     [WhiteheadRussell] p. 124. $)
  nbbn $p |- ( ( -. ph <-> ps ) <-> -. ( ph <-> ps ) ) $=
    ( wn wb bicom pm5.18 bitr con2bii ) ACZBDBIDZABDZCIBEKJKBADJCABEBAFGHG $.
    $( [27-Jun-2002] $)

  $( Theorem *5.11 of [WhiteheadRussell] p. 123. $)
  pm5.11 $p |-  ( ( ph -> ps ) \/ ( -. ph -> ps ) ) $=
    ( wi wn pm2.5 orri ) ABCADBCABEF $.
    $( [17-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.12 of [WhiteheadRussell] p. 123. $)
  pm5.12 $p |-  ( ( ph -> ps ) \/ ( ph -> -. ps ) ) $=
    ( wi wn pm2.51 orri ) ABCABDCABEF $.
    $( [17-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.13 of [WhiteheadRussell] p. 123. $)
  pm5.13 $p |-  ( ( ph -> ps ) \/ ( ps -> ph ) ) $=
    ( wi pm2.521 orri ) ABCBACABDE $.
    $( [7-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.14 of [WhiteheadRussell] p. 123. $)
  pm5.14 $p |-  ( ( ph -> ps ) \/ ( ps -> ch ) ) $=
    ( wi wn ax-1 con3i pm2.21d orri ) ABDZBCDJEBCBJBAFGHI $.
    $( [17-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.15 of [WhiteheadRussell] p. 124. $)
  pm5.15 $p |-  ( ( ph <-> ps ) \/ ( ph <-> -. ps ) ) $=
    ( wb wn pm5.18 biimpr con1i orri ) ABCZABDCZJIIJDABEFGH $.
    $( [1-Feb-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.16 of [WhiteheadRussell] p. 124. $)
  pm5.16 $p |-  -. ( ( ph <-> ps ) /\ ( ph <-> -. ps ) ) $=
    ( wb wn wa wo wi pm5.18 biimp pm4.62 mpbi ianor mpbir ) ABCZABDCZEDNDODZFZN
    PGQNPABHINOJKNOLM $.
    $( [17-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.17 of [WhiteheadRussell] p. 124. $)
  pm5.17 $p |-  ( ( ( ph \/ ps ) /\ -. ( ph /\ ps ) ) <-> ( ph <-> -. ps ) ) $=
    ( wo wa wn wi wb orcom df-or bitr imnan bicomi anbi12i dfbi2 bicom 3bitr2 ) AB
    CZABDEZDBEZAFZASFZDSAGASGQTRUAQBACTABHBAIJUARABKLMSANSAOP $.
    $( [22-Mar-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.19 of [WhiteheadRussell] p. 124. $)
  pm5.19 $p |-  -. ( ph <-> -. ph ) $=
    ( wb wn pm4.2 pm5.18 mpbi ) AABAACBCADAAEF $.
    $( [1-Feb-2005] $) $( [3-Jan-2005] $)

  $( An alternate definition of the biconditional.  Theorem *5.23 of
     [WhiteheadRussell] p. 124. $)
  dfbi3 $p |- ( ( ph <-> ps ) <-> ( ( ph /\ ps ) \/ ( -. ph /\ -. ps ) ) ) $=
    ( wb wn wa wo pm5.18 wi imnan bi2.15 iman bitr anbi12i dfbi2 ioran 3bitr4r
    con1bii ) ABCABDZCZDABEZADZREZFZABGUCSARHZRAHZETDZUBDZESUCDUDUFUEUGABIUEUAB
    HUGBAJUABKLMARNTUBOPQL $.
    $( [27-Jun-2002] $)

  $( Two ways to express "exclusive or."  Theorem *5.22 of [WhiteheadRussell]
     p. 124. $)
  xor $p |-  ( -. ( ph <-> ps ) <->
                ( ( ph /\ -. ps ) \/ ( ps /\ -. ph ) ) ) $=
    ( wn wb wa wo dfbi3 nbbn ancom pm4.13 anbi1i orbi12i orcom bitr3 3bitr3 ) AC
    ZBDPBEZPCZBCZEZFZABDCASEZBPEZFZPBGABHUAUCUBFUDUCQUBTBPIARSAJKLUCUBMNO $.
    $( [11-Jan-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.24 of [WhiteheadRussell] p. 124. $)
  pm5.24 $p |-  ( -. ( ( ph /\ ps ) \/ ( -. ph /\ -. ps ) ) <->
                ( ( ph /\ -. ps ) \/ ( ps /\ -. ph ) ) ) $=
    ( wa wn wo wb dfbi3 negbii xor bitr3 ) ABCADZBDZCEZDABFZDALCBKCENMABGHABIJ
    $.
    $( [11-Feb-2005] $) $( [3-Jan-2005] $)

  $( Two ways to express "exclusive or." $)
  xor2 $p |-  ( -. ( ph <-> ps ) <-> ( ( ph \/ ps ) /\ -. ( ph /\ ps ) ) ) $=
    ( wb wn wa wo xor ioran pm5.24 oran anbi2i ancom bitr3 3bitr3 bitr ) ABCDAB
    DZEBADZEFZABFZABEZDZEZABGTQPEZFDUAUCDZEZRUBTUCHABIUEUASEUBSUDUAABJKUASLMNO
    $.
    $( [11-Feb-2005] $) $( [3-Jan-2005] $)

  $( Two ways to express "exclusive or." $)
  xor3 $p |-  ( -. ( ph <-> ps ) <-> ( ph <-> -. ps ) ) $=
    ( wn wb pm5.18 con2bii bicomi ) ABCDZABDZCIHABEFG $.
    $( [4-Jan-2006] $) $( [1-Jan-2006] $)

  $( Theorem *5.55 of [WhiteheadRussell] p. 125. $)
  pm5.55 $p |-  ( ( ( ph \/ ps ) <-> ph ) \/ ( ( ph \/ ps ) <-> ps ) ) $=
    ( wi wo wb pm5.13 pm4.72 orcom bibi2i bicom 3bitr bitr orbi12i mpbi ) BACZA
    BCZDABDZAEZQBEZDBAFORPSOABADZEAQERBAGTQABAHIAQJKPBQESABGBQJLMN $.
    $( [7-Jun-2005] $) $( [3-Jan-2005] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Miscellaneous theorems of propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Two propositions are equivalent if they are both true.  Theorem *5.1 of
     [WhiteheadRussell] p. 123. $)
  pm5.1 $p |- ( ( ph /\ ps ) -> ( ph <-> ps ) ) $=
    ( wb pm5.501 biimpa ) ABABCABDE $.
    $( [21-May-1994] $)

  $( Two propositions are equivalent if they are both false.  Theorem *5.21 of
     [WhiteheadRussell] p. 124. $)
  pm5.21 $p |- ( ( -. ph /\ -. ps ) -> ( ph <-> ps ) ) $=
    ( wn wa pm5.1 con4bid ) ACZBCZDABGHEF $.
    $( [21-May-1994] $)


  ${
    pm5.21ni.1 $e |- ( ph -> ps ) $.
    pm5.21ni.2 $e |- ( ch -> ps ) $.
    $( Two propositions implying a false one are equivalent. $)
    pm5.21ni $p |- ( -. ps -> ( ph <-> ch ) ) $=
      ( wn wb pm5.21 con3i sylanc ) AFCFACGBFACHABDICBEIJ $.
      $( [16-Feb-1996] $)

    ${
      pm5.21nii.3 $e |- ( ps -> ( ph <-> ch ) ) $.
      $( Eliminate an antecedent implied by each side of a biconditional. $)
      pm5.21nii $p |- ( ph <-> ch ) $=
        ( wb pm5.21ni pm2.61i ) BACGFABCDEHI $.
        $( [21-May-1999] $)
    $}
  $}

  ${
    pm5.21nd.1 $e |- ( ( ph /\ ps ) -> th ) $.
    pm5.21nd.2 $e |- ( ( ph /\ ch ) -> th ) $.
    pm5.21nd.3 $e |- ( th -> ( ps <-> ch ) ) $.
    $( Eliminate an antecedent implied by each side of a biconditional. $)
    pm5.21nd $p |- ( ph -> ( ps <-> ch ) ) $=
      ( wb wn wa ex con3d jcad pm5.21 syl6 pm2.61d2 ) ADBCHZADIZBIZCIZJQARSTABD
      ABDEKLACDACDFKLMBCNOGP $.
      $( [23-Nov-2005] $) $( [20-Nov-2005] $)
  $}

  $( Transfer negation via an equivalence. $)
  bibif $p |- ( -. ps -> ( ( ph <-> ps ) <-> -. ph ) ) $=
    ( wn wb bi1 con3d com12 pm5.21 expcom impbid ) BCZABDZACZLKMLABABEFGMKLABHI
    J $.
    $( [7-Nov-2007] $) $( [3-Oct-2007] $)

  $( Theorem *5.35 of [WhiteheadRussell] p. 125. $)
  pm5.35 $p |-  ( ( ( ph -> ps ) /\ ( ph -> ch ) ) ->
                ( ph -> ( ps <-> ch ) ) ) $=
    ( wi wa pm5.1 pm5.74rd ) ABDZACDZEABCHIFG $.
    $( [28-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.54 of [WhiteheadRussell] p. 125. $)
  pm5.54 $p |-  ( ( ( ph /\ ps ) <-> ph ) \/ ( ( ph /\ ps ) <-> ps ) ) $=
    ( wa wb pm5.1 anabss1 iba bicomd pm5.21ni orri ) ABCZADZKBDKLBABLKAEFBAKBAG
    HIJ $.
    $( [28-Jun-2005] $) $( [3-Jan-2005] $)

  $( Elimination of antecedents in an implication. (The proof was shortened by
     Juha Arpiainen, 19-Jan-2006.) $)
  elimant $p |- ( ( ( ph -> ps ) /\ ( ( ps -> ch ) -> ( ph -> th ) ) ) ->
                ( ph -> ( ch -> th ) ) ) $=
    ( wi wa pm3.27 ax-1 syl5 com23 ) ABEZBCEZADEZEZFZCADOLMCKNGCBHIJ $.
    $( [21-Jan-2006] $) $( [13-Oct-1999] $)

  ${
    baib.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Move conjunction outside of biconditional. $)
    baib $p |- ( ps -> ( ph <-> ch ) ) $=
      ( wa ibar syl6rbbr ) BCBCEABCFDG $.
      $( [13-May-1999] $)
  $}

  ${
    baibr.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    $( Move conjunction outside of biconditional. $)
    baibr $p |- ( ps -> ( ch <-> ph ) ) $=
      ( baib bicomd ) BACABCDEF $.
      $( [11-Jul-1994] $)
  $}

  $( Theorem *5.44 of [WhiteheadRussell] p. 125. $)
  pm5.44 $p |-  ( ( ph -> ps ) -> ( ( ph -> ch ) <->
                ( ph -> ( ps /\ ch ) ) ) ) $=
    ( wa wi jcab baibr ) ABCDEABEACEABCFG $.
    $( [28-Jun-2005] $) $( [3-Jan-2005] $)

  $( Conjunction in antecedent versus disjunction in consequent.  Theorem *5.6
     of [WhiteheadRussell] p. 125. $)
  pm5.6 $p |-  ( ( ( ph /\ -. ps ) -> ch ) <-> ( ph -> ( ps \/ ch ) ) ) $=
    ( wn wa wi wo impexp df-or imbi2i bitr4 ) ABDZECFALCFZFABCGZFALCHNMABCIJK
    $.
    $( [22-Mar-2005] $) $( [8-Jun-1994] $)

  $( Theorem to move a conjunct in and out of a negation. $)
  nan $p |- ( ( ph -> -. ( ps /\ ch ) ) <-> ( ( ph /\ ps ) -> -. ch ) ) $=
    ( wa wn wi impexp imnan imbi2i bitr2 ) ABDCEZFABKFZFABCDEZFABKGLMABCHIJ $.
    $( [9-Nov-2003] $) $( [9-Nov-2003] $)

  ${
    orcanai.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    $( Change disjunction in consequent to conjunction in antecedent. $)
    orcanai $p |- ( ( ph /\ -. ps ) -> ch ) $=
      ( wn ord imp ) ABECABCDFG $.
      $( [8-Jun-1994] $)
  $}


  ${
    intnan.1 $e |- -. ph $.
    $( Introduction of conjunct inside of a contradiction. $)
    intnan $p |- -. ( ps /\ ph ) $=
      ( wa pm3.27 mto ) BADACBAEF $.
      $( [16-Sep-1993] $)

    $( Introduction of conjunct inside of a contradiction. $)
    intnanr $p |- -. ( ph /\ ps ) $=
      ( wa pm3.26 mto ) ABDACABEF $.
      $( [3-Apr-1995] $)
  $}

  ${
    intnand.1 $e |- ( ph -> -. ps ) $.
    $( Introduction of conjunct inside of a contradiction. $)
    intnand $p |- ( ph -> -. ( ch /\ ps ) ) $=
      ( wa pm3.27 nsyl ) ABCBEDCBFG $.
      $( [12-Jul-2005] $) $( [10-Jul-2005] $)

    $( Introduction of conjunct inside of a contradiction. $)
    intnanrd $p |- ( ph -> -. ( ps /\ ch ) ) $=
      ( wa pm3.26 nsyl ) ABBCEDBCFG $.
      $( [12-Jul-2005] $) $( [10-Jul-2005] $)
  $}

  ${
    mpan.1 $e |- ph $.
    mpan.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens. $)
    mpan $p |- ( ps -> ch ) $=
      ( wi ex ax-mp ) ABCFDABCEGH $.
      $( [30-Aug-1993] $)
  $}

  ${
    mpan2.1 $e |- ps $.
    mpan2.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens. $)
    mpan2 $p |- ( ph -> ch ) $=
      ( ex mpi ) ABCDABCEFG $.
      $( [16-Sep-1993] $)
  $}

  ${
    mp2an.1 $e |- ph $.
    mp2an.2 $e |- ps $.
    mp2an.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens. $)
    mp2an $p |- ch $=
      ( mpan ax-mp ) BCEABCDFGH $.
      $( [13-Apr-1995] $)
  $}

  ${
    mpani.1 $e |- ps $.
    mpani.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( An inference based on modus ponens. $)
    mpani $p |- ( ph -> ( ch -> th ) ) $=
      ( wi exp3a mpi ) ABCDGEABCDFHI $.
      $( [10-Apr-1994] $)
  $}

  ${
    mpan2i.1 $e |- ch $.
    mpan2i.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( An inference based on modus ponens. $)
    mpan2i $p |- ( ph -> ( ps -> th ) ) $=
      ( exp3a mpii ) ABCDEABCDFGH $.
      $( [10-Apr-1994] $)
  $}

  ${
    mp2ani.1 $e |- ps $.
    mp2ani.2 $e |- ch $.
    mp2ani.3 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( An inference based on modus ponens. $)
    mp2ani $p |- ( ph -> th ) $=
      ( mpani mpi ) ACDFABCDEGHI $.
      $( [13-Dec-2004] $) $( [12-Dec-2004] $)
  $}

  ${
    mpand.1 $e |- ( ph -> ps ) $.
    mpand.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction based on modus ponens. $)
    mpand $p |- ( ph -> ( ch -> th ) ) $=
      ( wi exp3a mpd ) ABCDGEABCDFHI $.
      $( [13-Dec-2004] $) $( [12-Dec-2004] $)
  $}

  ${
    mpan2d.1 $e |- ( ph -> ch ) $.
    mpan2d.2 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction based on modus ponens. $)
    mpan2d $p |- ( ph -> ( ps -> th ) ) $=
      ( exp3a mpid ) ABCDEABCDFGH $.
      $( [13-Dec-2004] $) $( [12-Dec-2004] $)
  $}

  ${
    mp2and.1 $e |- ( ph -> ps ) $.
    mp2and.2 $e |- ( ph -> ch ) $.
    mp2and.3 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( A deduction based on modus ponens. $)
    mp2and $p |- ( ph -> th ) $=
      ( mpand mpd ) ACDFABCDEGHI $.
      $( [13-Dec-2004] $) $( [12-Dec-2004] $)
  $}

  ${
    mpdan.1 $e |- ( ph -> ps ) $.
    mpdan.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens. $)
    mpdan $p |- ( ph -> ch ) $=
      ( ex mpd ) ABCDABCEFG $.
      $( [23-May-1999] $)
  $}

  ${
    mpancom.1 $e |- ( ps -> ph ) $.
    mpancom.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( An inference based on modus ponens with commutation of antecedents. $)
    mpancom $p |- ( ps -> ch ) $=
      ( ancoms mpdan ) BACDABCEFG $.
      $( [13-Mar-2004] $) $( [28-Oct-2003] $)
  $}

  ${
    mpanl1.1 $e |- ph $.
    mpanl1.2 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpanl1 $p |- ( ( ps /\ ch ) -> th ) $=
      ( wi wa ex mpan imp ) BCDABCDGEABHCDFIJK $.
      $( [16-Aug-1994] $)
  $}

  ${
    mpanl2.1 $e |- ps $.
    mpanl2.2 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpanl2 $p |- ( ( ph /\ ch ) -> th ) $=
      ( wi wa ex mpan2 imp ) ACDABCDGEABHCDFIJK $.
      $( [16-Aug-1994] $)
  $}

  ${
    mpanl12.1 $e |- ph $.
    mpanl12.2 $e |- ps $.
    mpanl12.3 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpanl12 $p |- ( ch -> th ) $=
      ( mpanl1 mpan ) BCDFABCDEGHI $.
      $( [15-Jul-2005] $) $( [13-Jul-2005] $)
  $}

  ${
    mpanr1.1 $e |- ps $.
    mpanr1.2 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpanr1 $p |- ( ( ph /\ ch ) -> th ) $=
      ( wa ex mpani imp ) ACDABCDEABCGDFHIJ $.
      $( [3-May-1994] $)
  $}

  ${
    mpanr2.1 $e |- ch $.
    mpanr2.2 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpanr2 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa ex mpan2i imp ) ABDABCDEABCGDFHIJ $.
      $( [3-May-1994] $)
  $}

  ${
    mpanlr1.1 $e |- ps $.
    mpanlr1.2 $e |- ( ( ( ph /\ ( ps /\ ch ) ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mpanlr1 $p |- ( ( ( ph /\ ch ) /\ th ) -> ta ) $=
      ( wa wi ex mpanr1 imp ) ACHDEABCDEIFABCHHDEGJKL $.
      $( [7-Jan-2005] $) $( [30-Dec-2004] $)
  $}

  $( Modus-tollens-like theorem. $)
  mtt $p |- ( -. ph -> ( -. ps <-> ( ps -> ph ) ) ) $=
    ( wn wi pm2.21 con3 com12 impbid2 ) ACZBCZBADZBAEKIJBAFGH $.
    $( [7-Apr-2001] $)

  ${
    mt2bi.1 $e |- ph $.
    $( A false consequent falsifies an antecedent. $)
    mt2bi $p |- ( -. ps <-> ( ps -> -. ph ) ) $=
      ( wn wi pm2.21 con2 mpi impbi ) BDZBADZEZBKFLAJCBAGHI $.
      $( [19-Aug-1993] $)
  $}

  ${
    mtbid.min $e |- ( ph -> -. ps ) $.
    mtbid.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, similar to modus tollens. $)
    mtbid $p |- ( ph -> -. ch ) $=
      ( biimprd mtod ) ACBDABCEFG $.
      $( [26-Nov-1995] $)
  $}

  ${
    mtbird.min $e |- ( ph -> -. ch ) $.
    mtbird.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( A deduction from a biconditional, similar to modus tollens. $)
    mtbird $p |- ( ph -> -. ps ) $=
      ( biimpd mtod ) ABCDABCEFG $.
      $( [10-May-1994] $)
  $}

  ${
    mtbii.min $e |- -. ps $.
    mtbii.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a biconditional, similar to modus tollens. $)
    mtbii $p |- ( ph -> -. ch ) $=
      ( biimprd mtoi ) ACBDABCEFG $.
      $( [27-Nov-1995] $)
  $}

  ${
    mtbiri.min $e |- -. ch $.
    mtbiri.maj $e |- ( ph -> ( ps <-> ch ) ) $.
    $( An inference from a biconditional, similar to modus tollens. $)
    mtbiri $p |- ( ph -> -. ps ) $=
      ( biimpd mtoi ) ABCDABCEFG $.
      $( [24-Aug-1995] $)
  $}

  ${
    2th.1 $e |- ph $.
    2th.2 $e |- ps $.
    $( Two truths are equivalent. $)
    2th $p |- ( ph <-> ps ) $=
      ( a1i impbi ) ABBADEABCEF $.
      $( [18-Aug-1993] $)
  $}

  ${
    2false.1 $e |- -. ph $.
    2false.2 $e |- -. ps $.
    $( Two falsehoods are equivalent. $)
    2false $p |- ( ph <-> ps ) $=
      ( wn wb pm5.21 mp2an ) AEBEABFCDABGH $.
      $( [5-Apr-2005] $) $( [4-Apr-2005] $)
  $}

  ${
    tbt.1 $e |- ph $.
    $( A wff is equivalent to its equivalence with truth. (The proof was
       shortened by Juha Arpiainen, 19-Jan-2006.) $)
    tbt $p |- ( ps <-> ( ps <-> ph ) ) $=
      ( wb pm5.501 ax-mp bicom bitr ) BABDZBADABIDCABEFABGH $.
      $( [21-Jan-2006] $) $( [18-Aug-1993] $)
  $}

  $( The negation of a wff is equivalent to the wff's equivalence to
     falsehood.  (Contributed by Juha Arpiainen, 19-Jan-2006.) $)
  nbn2 $p |- ( -. ph -> ( -. ps <-> ( ph <-> ps ) ) ) $=
    ( wn wb pm5.21 ex pm4.11 biimp biimpcd impbid ) ACZBCZABDZKLMABEFMKLMKLDABG
    HIJ $.
    $( [21-Jan-2006] $) $( [19-Jan-2006] $)

  ${
    nbn.1 $e |- -. ph $.
    $( The negation of a wff is equivalent to the wff's equivalence to
       falsehood. $)
    nbn $p |- ( -. ps <-> ( ps <-> ph ) ) $=
      ( wn wb nbn2 ax-mp bicom bitr ) BDZABEZBAEADJKECABFGABHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    nbn3.1 $e |- ph $.
    $( Transfer falsehood via equivalence. $)
    nbn3 $p |- ( -. ps <-> ( ps <-> -. ph ) ) $=
      ( wn negbi nbn ) ADBACEF $.
      $( [12-Sep-2006] $) $( [11-Sep-2006] $)
  $}

  ${
    biantru.1 $e |- ph $.
    $( A wff is equivalent to its conjunction with truth. $)
    biantru $p |- ( ps <-> ( ps /\ ph ) ) $=
      ( wa wb iba ax-mp ) ABBADECABFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    biantrur.1 $e |- ph $.
    $( A wff is equivalent to its conjunction with truth. $)
    biantrur $p |- ( ps <-> ( ph /\ ps ) ) $=
      ( wa wb ibar ax-mp ) ABABDECABFG $.
      $( [3-Aug-1994] $)
  $}

  ${
    biantrud.1 $e |- ( ph -> ps ) $.
    $( A wff is equivalent to its conjunction with truth. $)
    biantrud $p |- ( ph -> ( ch <-> ( ch /\ ps ) ) ) $=
      ( wa anim2i expcom pm3.26 impbid1 ) ACCBEZCAJABCDFGCBHI $.
      $( [2-Aug-1994] $)

    $( A wff is equivalent to its conjunction with truth. $)
    biantrurd $p |- ( ph -> ( ch <-> ( ps /\ ch ) ) ) $=
      ( wa biantrud ancom syl6bb ) ACCBEBCEABCDFCBGH $.
      $( [1-May-1995] $)
  $}

  ${
    mpbiran.1 $e |- ( ph <-> ( ps /\ ch ) ) $.
    ${
      mpbiran.2 $e |- ps $.
      $( Detach truth from conjunction in biconditional. $)
      mpbiran $p |- ( ph <-> ch ) $=
        ( wa biantrur bitr4 ) ABCFCDBCEGH $.
        $( [27-Feb-1996] $)
    $}

    ${
      mpbiran2.2 $e |- ch $.
      $( Detach truth from conjunction in biconditional. $)
      mpbiran2 $p |- ( ph <-> ps ) $=
        ( wa biantru bitr4 ) ABCFBDCBEGH $.
        $( [22-Feb-1996] $)
    $}

    ${
      mpbir2an.2 $e |- ps $.
      mpbir2an.3 $e |- ch $.
      $( Detach a conjunction of truths in a biconditional. $)
      mpbir2an $p |- ph $=
        ( mpbiran mpbir ) ACFABCDEGH $.
        $( [12-May-2005] $) $( [10-May-2005] $)
    $}
  $}

  $( A wff is equivalent to itself with true antecedent. $)
  biimt $p |- ( ph -> ( ps <-> ( ph -> ps ) ) ) $=
    ( wi ax-1 pm2.27 impbid2 ) ABABCBADABEF $.
    $( [28-Jan-1996] $)

  $( Theorem *5.5 of [WhiteheadRussell] p. 125. $)
  pm5.5 $p |-  ( ph -> ( ( ph -> ps ) <-> ps ) ) $=
    ( wi biimt bicomd ) ABABCABDE $.
    $( [28-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *5.62 of [WhiteheadRussell] p. 125.  (Contributed by Roy F.
     Longton, 21-Jun-2005.) $)
  pm5.62 $p |-  ( ( ( ph /\ ps ) \/ -. ps ) <-> ( ph \/ -. ps ) ) $=
    ( wa wn wo ordir exmid mpbiran2 ) ABCBDZEAIEBIEABIFBGH $.
    $( [22-Jun-2005] $) $( [21-Jun-2005] $)

  $( A wff is disjoined with truth is true. $)
  biort $p |- ( ph -> ( ph <-> ( ph \/ ps ) ) ) $=
    ( wo orc ax-1 impbid2 ) AAABCZABDAGEF $.
    $( [23-May-1999] $)

  $( A wff is equivalent to its disjunction with falsehood.  Theorem *4.74 of
     [WhiteheadRussell] p. 121. $)
  biorf $p |- ( -. ph -> ( ps <-> ( ph \/ ps ) ) ) $=
    ( wn wi wo biimt df-or syl6bbr ) ACZBIBDABEIBFABGH $.
    $( [23-Mar-1995] $)

  ${
    biorfi.1 $e |- -. ph $.
    $( A wff is equivalent to its disjunction with falsehood. $)
    biorfi $p |- ( ps <-> ( ps \/ ph ) ) $=
      ( wo wn wb biorf ax-mp orcom bitr ) BABDZBADAEBKFCABGHABIJ $.
      $( [23-Mar-1995] $)
  $}

  ${
    bianfi.1 $e |- -. ph $.
    $( A wff conjoined with falsehood is false. $)
    bianfi $p |- ( ph <-> ( ps /\ ph ) ) $=
      ( wa pm2.21i pm3.27 impbi ) ABADZAHCEBAFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    bianfd.1 $e |- ( ph -> -. ps ) $.
    $( A wff conjoined with falsehood is false. $)
    bianfd $p |- ( ph -> ( ps <-> ( ps /\ ch ) ) ) $=
      ( wa pm2.21d pm3.26 impbid1 ) ABBCEZABIDFBCGH $.
      $( [27-Mar-1995] $)
  $}

  $( Theorem *4.82 of [WhiteheadRussell] p. 122. $)
  pm4.82 $p |-  ( ( ( ph -> ps ) /\ ( ph -> -. ps ) ) <-> -. ph ) $=
    ( wi wn wa pm2.65 imp pm2.21 jca impbi ) ABCZABDZCZEADZKMNABFGNKMABHALHIJ
    $.
    $( [28-Jun-2005] $) $( [3-Jan-2005] $)

  $( Theorem *4.83 of [WhiteheadRussell] p. 122. $)
  pm4.83 $p |-  ( ( ( ph -> ps ) /\ ( -. ph -> ps ) ) <-> ps ) $=
    ( wn wo wi wa exmid a1bi jaob bitr2 ) BAACZDZBEABEKBEFLBAGHABKIJ $.
    $( [28-Jun-2005] $) $( [3-Jan-2005] $)

  $( Negation inferred from embedded conjunct. $)
  pclem6 $p |- ( ( ph <-> ( ps /\ -. ph ) ) -> -. ps ) $=
    ( wn wa wb bi1 pm3.27 syl6 pm2.01d wi bi2 exp3a com23 con3 syli mpd ) ABACZ
    DZEZQBCZSASARQARFBQGHIQSBAJTSBQASBQAARKLMBANOP $.
    $( [20-Aug-1993] $)

  $( A transitive law of equivalence.  Compare Theorem *4.22 of
     [WhiteheadRussell] p. 117. $)
  biantr $p |- ( ( ( ph <-> ps ) /\ ( ch <-> ps ) ) -> ( ph <-> ch ) ) $=
    ( wb id bibi2d biimparc ) CBDZACDABDHCBAHEFG $.
    $( [18-Aug-1993] $)


  $( Disjunction distributes over the biconditional.  An axiom of system DS in
     Vladimir Lifschitz, "On calculational proofs" (1998),
     ~ http://citeseer.ist.psu.edu/lifschitz98calculational.html . $)
  orbidi $p |-  ( ( ph \/ ( ps <-> ch ) ) <->
                ( ( ph \/ ps ) <-> ( ph \/ ch ) ) ) $=
    ( wb wo orc a1d impbid id orbi2d jaoi wi wa pm2.85 anim12i dfbi2 orbi2i ordi
    bitr 3imtr4 impbi ) ABCDZEZABEZACEZDZAUFUBAUDUEAUEUDACFGAUDUEABFGHUBBCAUBIJ
    KUDUELZUEUDLZMABCLZEZACBLZEZMZUFUCUGUJUHULABCNACBNOUDUEPUCAUIUKMZEUMUBUNABC
    PQAUIUKRSTUA $.
    $( [9-Jan-2005] $) $( [8-Jan-2005] $)

  $( Associative law for the biconditional.  An axiom of system DS in Vladimir
     Lifschitz, "On calculational proofs" (1998),
     ~ http://citeseer.ist.psu.edu/lifschitz98calculational.html .
     Interestingly, this law was not included in _Principia Mathematica_ but
     was apparently first noted by Jan Lukasiewicz circa 1923.  (The proof was
     shortened by Juha Arpiainen, 19-Jan-2006.) $)
  biass $p |- ( ( ( ph <-> ps ) <-> ch ) <-> ( ph <-> ( ps <-> ch ) ) ) $=
    ( wb pm5.501 bibi1d bitr3d wn nbbn a1i nbn2 3bitr3d pm2.61i ) AABDZCDZABCDZ
    DZDAPOQABNCABEFAPEGAHZBHZCDZPHZOQTUADRBCIJRSNCABKFAPKLM $.
    $( [21-Jan-2006] $) $( [8-Jan-2005] $)

  $( Lukasiewicz's shortest axiom for equivalential calculus.  Storrs McCall,
     ed., _Polish Logic 1920-1939_ (Oxford, 1967), p. 96. $)
  biluk $p |- ( ( ph <-> ps ) <-> ( ( ch <-> ps ) <-> ( ph <-> ch ) ) ) $=
    ( wb bicom bibi1i biass bitr mpbi bitr4 ) ABDZCBACDZDZDZCBDLDKCDZMDKNDOBADZ
    CDMKPCABEFBACGHKCMGICBLGJ $.
    $( [11-Jan-2005] $) $( [10-Jan-2005] $)

  $( Disjunction distributes over the biconditional.  Theorem *5.7 of
     [WhiteheadRussell] p. 125.  This theorem is similar to ~ orbidi .
     (Contributed by Roy F. Longton, 21-Jun-2005.) $)
  pm5.7 $p |-  ( ( ( ph \/ ch ) <-> ( ps \/ ch ) ) <->
               ( ch \/ ( ph <-> ps ) ) ) $=
    ( wb wo orbidi orcom bibi12i bitr2 ) CABDECAEZCBEZDACEZBCEZDCABFJLKMCAGCBGH
    I $.
    $( [22-Jun-2005] $) $( [21-Jun-2005] $)

  $( Dijkstra-Scholten's Golden Rule for calculational proofs. $)
  bigolden $p |- ( ( ( ph /\ ps ) <-> ph ) <-> ( ps <-> ( ph \/ ps ) ) ) $=
    ( wi wa wb wo pm4.71 pm4.72 bicom 3bitr3r ) ABCAABDZEBABFEKAEABGABHAKIJ $.
    $( [12-Jan-2005] $) $( [10-Jan-2005] $)

  $( Theorem *5.71 of [WhiteheadRussell] p. 125.  (Contributed by Roy F.
     Longton, 23-Jun-2005.) $)
  pm5.71 $p |-  ( ( ps -> -. ch ) -> ( ( ( ph \/ ps ) /\ ch ) <->
                ( ph /\ ch ) ) ) $=
    ( wn wo wa wb orel2 orc impbid1 anbi1d pm2.21 pm5.32rd ja ) BCDZABEZCFACFGB
    DZPACQPABAHABIJKOCPACPAGLMN $.
    $( [24-Jun-2005] $) $( [23-Jun-2005] $)

  $( Theorem *5.75 of [WhiteheadRussell] p. 126. $)
  pm5.75 $p |-  ( ( ( ch -> -. ps ) /\ ( ph <-> ( ps \/ ch ) ) ) ->
                ( ( ph /\ -. ps ) <-> ch ) ) $=
    ( wn wi wo wb wa bi1 pm5.6 sylibr adantl bi2 olc imim12i syl exp3a a2d
    impcom pm3.26 jcad impbid ) CBDZEZABCFZGZHZAUCHZCUFUHCEZUDUFAUEEUIAUEIABCJK
    LUGCAUCUFUDCAEUFCUCAUFCUCAUFCBAFZEZCUCHAEUFUEAEUKAUEMCUEAUJCBNABNOPCBAJKQRS
    UDUFTUAUB $.
    $( [22-Mar-2005] $) $( [3-Jan-2005] $)

  $( Removal of conjunct from one side of an equivalence. $)
  bimsc1 $p |- ( ( ( ph -> ps ) /\ ( ch <-> ( ps /\ ph ) ) )
               -> ( ch <-> ph ) ) $=
    ( wa wb wi id pm4.71r biimp bicomd sylan9bbr ) CBADZEZCLABFZAMGNALNALEABHIJ
    K $.
    $( [5-Aug-1993] $)

  ${
    ecase2d.1 $e |- ( ph -> ps ) $.
    ecase2d.2 $e |- ( ph -> -. ( ps /\ ch ) ) $.
    ecase2d.3 $e |- ( ph -> -. ( ps /\ th ) ) $.
    ecase2d.4 $e |- ( ph -> ( ta \/ ( ch \/ th ) ) ) $.
    $( Deduction for elimination by cases. $)
    ecase2d $p |- ( ph -> ta ) $=
      ( wo wn wa wi imnan sylibr mpd jca ioran orcom sylib ord ) ACDJZKZEACKZDK
      ZLUCAUDUEABUDFABCLKBUDMGBCNOPABUEFABDLKBUEMHBDNOPQCDROAUBEAEUBJUBEJIEUBST
      UAP $.
      $( [21-Apr-1994] $)
  $}

  ${
    ecase3.1 $e |- ( ph -> ch ) $.
    ecase3.2 $e |- ( ps -> ch ) $.
    ecase3.3 $e |- ( -. ( ph \/ ps ) -> ch ) $.
    $( Inference for elimination by cases. $)
    ecase3 $p |- ch $=
      ( wn wa wo ioran sylbir ex pm2.61ii ) ABCAGZBGZCNOHABIGCABJFKLDEM $.
      $( [23-Mar-1995] $)
  $}

  ${
    ecase.1 $e |- ( -. ph -> ch ) $.
    ecase.2 $e |- ( -. ps -> ch ) $.
    ecase.3 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Inference for elimination by cases. $)
    ecase $p |- ch $=
      ( ex pm2.61nii ) ABCABCFGDEH $.
      $( [22-Jul-2005] $) $( [13-Jul-2005] $)
  $}

  ${
    ecase3d.1 $e |- ( ph -> ( ps -> th ) ) $.
    ecase3d.2 $e |- ( ph -> ( ch -> th ) ) $.
    ecase3d.3 $e |- ( ph -> ( -. ( ps \/ ch ) -> th ) ) $.
    $( Deduction for elimination by cases. $)
    ecase3d $p |- ( ph -> th ) $=
      ( wi com12 wo wn ecase3 ) BCADHABDEIACDFIABCJKDGIL $.
      $( [2-May-1996] $)
  $}

  ${
    ccase.1 $e |- ( ( ph /\ ps ) -> ta ) $.
    ccase.2 $e |- ( ( ch /\ ps ) -> ta ) $.
    ccase.3 $e |- ( ( ph /\ th ) -> ta ) $.
    ccase.4 $e |- ( ( ch /\ th ) -> ta ) $.
    $( Inference for combining cases. $)
    ccase $p |- ( ( ( ph \/ ch ) /\ ( ps \/ th ) ) -> ta ) $=
      ( wo wa anddi or4 bitr jaoi sylbi ) ACJBDJKZABKZCBKZJZADKZCDKZJZJZEQRUAJS
      UBJJUDACBDLRUASUBMNTEUCRESFGOUAEUBHIOOP $.
      $( [29-Jul-1999] $)
  $}

  ${
    $v et $. $( Greek eta $)
    ccasedwet $f wff et $.
    ccased.1 $e |- ( ph -> ( ( ps /\ ch ) -> et ) ) $.
    ccased.2 $e |- ( ph -> ( ( th /\ ch ) -> et ) ) $.
    ccased.3 $e |- ( ph -> ( ( ps /\ ta ) -> et ) ) $.
    ccased.4 $e |- ( ph -> ( ( th /\ ta ) -> et ) ) $.
    $( Deduction for combining cases. $)
    ccased $p |- ( ph -> ( ( ( ps \/ th ) /\ ( ch \/ ta ) ) -> et ) ) $=
      ( wa wo jaod anddi or4 bitr syl5ib ) ABCKZDCKZLZBEKZDEKZLZLZFBDLCELKZATFU
      CARFSGHMAUAFUBIJMMUERUALSUBLLUDBDCENRUASUBOPQ $.
      $( [10-May-2004] $) $( [9-May-2004] $)
  $}

  ${
    ccase2.1 $e |- ( ( ph /\ ps ) -> ta ) $.
    ccase2.2 $e |- ( ch -> ta ) $.
    ccase2.3 $e |- ( th -> ta ) $.
    $( Inference for combining cases. $)
    ccase2 $p |- ( ( ( ph \/ ch ) /\ ( ps \/ th ) ) -> ta ) $=
      ( adantr adantl ccase ) ABCDEFCEBGIDEAHJDECHJK $.
      $( [29-Jul-1999] $)
  $}

  ${
    4cases.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    4cases.2 $e |- ( ( ph /\ -. ps ) -> ch ) $.
    4cases.3 $e |- ( ( -. ph /\ ps ) -> ch ) $.
    4cases.4 $e |- ( ( -. ph /\ -. ps ) -> ch ) $.
    $( Inference eliminating two antecedents from the four possible cases that
       result from their true/false combinations. $)
    4cases $p |- ch $=
      ( pm2.61ian wn pm2.61i ) BCABCDFHABICEGHJ $.
      $( [25-Oct-2003] $) $( [25-Oct-2003] $)
  $}

  ${
    niabn.1 $e |- ph $.
    $( Miscellaneous inference relating falsehoods. $)
    niabn $p |- ( -. ps -> ( ( ch /\ ps ) <-> -. ph ) ) $=
      ( wa wn pm3.27 pm2.24i pm5.21ni ) CBEBAFCBGABDHI $.
      $( [31-Mar-1994] $)
  $}

  $( Lemma for an alternate version of weak deduction theorem. $)
  dedlem0a $p |- ( ph -> ( ps <-> ( ( ch -> ph ) -> ( ps /\ ph ) ) ) ) $=
    ( wi wa ax-1 imim1i com12 impbid2 iba imbi2d bitrd ) ABCADZBDZMBAEZDABNBMFN
    ABAMBACFGHIABOMABJKL $.
    $( [2-Apr-1994] $)

  $( Lemma for an alternate version of weak deduction theorem. $)
  dedlem0b $p |- ( -. ph -> ( ps <-> ( ( ps -> ph ) -> ( ch /\ ph ) ) ) ) $=
    ( wn wi wa pm2.21 imim2d com23 pm3.27 imim12i con1d com12 impbid ) ADZBBAEZ
    CAFZEZOPBQOAQBAQGHIROBRBABDPQABAGCAJKLMN $.
    $( [2-Apr-1994] $)

  $( Lemma for weak deduction theorem. $)
  dedlema $p |- ( ph -> ( ps <-> ( ( ps /\ ph ) \/ ( ch /\ -. ph ) ) ) ) $=
    ( wn wa wo orc idd pm2.24 adantld jaod impbid2 iba orbi1d bitrd ) ABBCADZEZ
    FZBAEZQFABRBQGABBQABHAPBCABIJKLABSQABMNO $.
    $( [26-Jun-2002] $)

  $( Lemma for weak deduction theorem. $)
  dedlemb $p |- ( -. ph -> ( ch <-> ( ( ps /\ ph ) \/ ( ch /\ -. ph ) ) ) ) $=
    ( wn wa wo olc expcom wi pm2.21 com23 imp3a pm3.26 a1i jaod impbid ) ADZCBA
    EZCQEZFZCQTSRGHQRCSQBACQABCABCIJKLSCIQCQMNOP $.
    $( [15-May-1999] $)

  ${
    elimh.1 $e |- ( ( ph <-> ( ( ph /\ ch ) \/ ( ps /\ -. ch ) ) )
                     -> ( ch <-> ta ) ) $.
    elimh.2 $e |- ( ( ps <-> ( ( ph /\ ch ) \/ ( ps /\ -. ch ) ) )
                     -> ( th <-> ta ) ) $.
    elimh.3 $e |- th $.
    $( Hypothesis builder for weak deduction theorem.  For more information,
       see the Deduction Theorem link on the Metamath Proof Explorer home
       page. $)
    elimh $p |- ta $=
      ( wa wn wo wb dedlema syl ibi dedlemb mpbii pm2.61i ) CECECAACIBCJZIKZLCE
      LCABMFNOSDEHSBTLDELCABPGNQR $.
      $( [26-Jun-2002] $)
  $}

  ${
    dedt.1 $e |- ( ( ph <-> ( ( ph /\ ch ) \/ ( ps /\ -. ch ) ) )
                     -> ( th <-> ta ) ) $.
    dedt.2 $e |- ta $.
    $( The weak deduction theorem.  For more information, see the Deduction
       Theorem link on the Metamath Proof Explorer home page. $)
    dedt $p |- ( ch -> th ) $=
      ( wa wn wo wb dedlema mpbiri syl ) CAACHBCIHJKZDCABLODEGFMN $.
      $( [26-Jun-2002] $)
  $}

  $( Contraposition.  Theorem *2.16 of [WhiteheadRussell] p. 103.  This version
     of ~ con3 demonstrates the use of the weak deduction theorem to derive
     it from ~ con3i . $)
  con3th $p |- ( ( ph -> ps ) -> ( -. ps -> -. ph ) ) $=
    ( wi wn wa wo wb id negbid imbi1d imbi2d elimh con3i dedt ) BAABCZBDZADZCBO
    EAODEFZDZQCBRGZPSQTBRTHZIJARBAOAACARCTBRAUAKARGZARAUBHKAHLMN $.
    $( [27-Jun-2002] $)

  $( The consensus theorem.  This theorem and its dual (with ` \/ ` and ` /\ `
     interchanged) are commonly used in computer logic design to eliminate
     redundant terms from Boolean expressions.  Specifically, we prove that the
     term ` ( ps /\ ch ) ` on the left-hand side is redundant. $)
  consensus $p |- ( ( ( ( ph /\ ps ) \/ ( -. ph /\ ch ) ) \/ ( ps /\ ch ) ) <->
                      ( ( ph /\ ps ) \/ ( -. ph /\ ch ) ) ) $=
    ( wa wn wo id wi dedlema biimpd adantrd dedlemb adantld pm2.61i ancom
    orbi12i sylib jaoi orc impbi ) ABDZAEZCDZFZBCDZFUDUDUDUEUDGUEBADZCUBDZFZUDA
    UEUHHABUHCABUHABCIJKUBCUHBUBCUHABCLJMNUFUAUGUCBAOCUBOPQRUDUEST $.
    $( [16-May-2003] $)

  $( Theorem *4.42 of [WhiteheadRussell] p. 119.  (Contributed by Roy F.
     Longton, 21-Jun-2005.) $)
  pm4.42 $p |-  ( ph <-> ( ( ph /\ ps ) \/ ( ph /\ -. ps ) ) ) $=
    ( wa wn wo wb dedlema dedlemb pm2.61i ) BAABCABDCEFBAAGBAAHI $.
    $( [21-Jun-2005] $) $( [21-Jun-2005] $)

  ${
    ninba.1 $e |- ph $.
    $( Miscellaneous inference relating falsehoods. $)
    ninba $p |- ( -. ps -> ( -. ph <-> ( ch /\ ps ) ) ) $=
      ( wn wa niabn bicomd ) BECBFAEABCDGH $.
      $( [31-Mar-1994] $)
  $}

  ${
    $v et $. $( Greek eta $)
    wet $f wff et $.
    prlem1.1 $e |- ( ph -> ( et <-> ch ) ) $.
    prlem1.2 $e |- ( ps -> -. th ) $.
    $( A specialized lemma for set theory (to derive the Axiom of Pairing). $)
    prlem1 $p |- ( ph -> ( ps ->
                  ( ( ( ps /\ ch ) \/ ( th /\ ta ) ) -> et ) ) ) $=
      ( wa wo wi biimprcd adantl a1dd wn pm2.24 syl5 adantr a1d jaoi com3l ) BC
      IZDEIZJABFUBABFKZKUCUBAFBCAFKBAFCGLMNUCUDADUDEDDOFBDFPHQRSTUA $.
      $( [18-Oct-1995] $)
  $}

  $( A specialized lemma for set theory (to derive the Axiom of Pairing). $)
  prlem2 $p |- ( ( ( ph /\ ps ) \/ ( ch /\ th ) ) <->
               ( ( ph \/ ch ) /\ ( ( ph /\ ps ) \/ ( ch /\ th ) ) ) ) $=
    ( wa wo orabs anbi1i anass bitr orcom orbi12i andi bitr4 ) ABEZCDEZFZACFZOE
    ZRPEZFRQEOSPTORAEZBESAUABACGHRABIJPRCEZDETCUBDCCAFZCEUBCAGUCRCCAKHJHRCDIJLR
    OPMN $.
    $( [5-Aug-1993] $)

  ${
    oplem1.1 $e |- ( ph -> ( ps \/ ch ) ) $.
    oplem1.2 $e |- ( ph -> ( th \/ ta ) ) $.
    oplem1.3 $e |- ( ps <-> th ) $.
    oplem1.4 $e |- ( ch -> ( th <-> ta ) ) $.
    $( A specialized lemma for set theory (ordered pair theorem). $)
    oplem1 $p |- ( ph -> ps ) $=
      ( wn wi wa ord negbii syl5ib jcad syl5bb biimpar syl6 pm2.18 syl ) ABJZBK
      BAUBCELBAUBCEABCFMADJEUBADEGMBDHNOPCBECDEBIHQRSBTUA $.
      $( [18-Oct-1995] $)
  $}

  $( Lemma used in construction of real numbers. $)
  rnlem $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
  ( ( ( ph /\ ch ) /\ ( ps /\ th ) ) /\ ( ( ph /\ th ) /\ ( ps /\ ch ) ) ) ) $=
    ( wa anandir anandi anbi12i ancom anbi2i an4 bitr 3bitr ) ABECDEZEANEZBNEZE
    ACEZADEZEZBCEZBDEZEZEZQUAERTEEZABNFOSPUBACDGBCDGHUCSUATEZEUDUBUESTUAIJQRUAT
    KLM $.
    $( [4-Sep-1995] $)

  $( A single axiom for Boolean algebra known as DN_1.  See
     ~ http://www-unix.mcs.anl.gov/~~mccune/papers/basax/v12.pdf . $)
$(
  dn1 $p |- ( -. ( -. ( -. ( ph \/ ps ) \/ ch ) \/
            -. ( ph \/ -. ( -. ch \/ -. ( ch \/ th ) ) ) ) <-> ch ) $=
            ? $.
$)
    $( [@] $) $( [22-Jun-2005] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Abbreviated conjunction and disjunction of three wff's
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend wff definition to include 3-way disjunction ('or'). $)
  w3o $a wff ( ph \/ ps \/ ch ) $.
  $( Extend wff definition to include 3-way conjunction ('and'). $)
  w3a $a wff ( ph /\ ps /\ ch ) $.

  $( These abbreviations help eliminate parentheses to aid readability. $)

  $( Define disjunction ('or') of 3 wff's.  Definition *2.33 of
     [WhiteheadRussell] p. 105.  This abbreviation reduces the number of
     parentheses and emphasizes that the order of bracketing is not
     important by virtue of the associative law ~ orass . $)
  df-3or $a |- ( ( ph \/ ps \/ ch ) <-> ( ( ph \/ ps ) \/ ch ) ) $.

  $( Define conjunction ('and') of 3 wff.s.  Definition *4.34 of
     [WhiteheadRussell] p. 118.  This abbreviation reduces the number of
     parentheses and emphasizes that the order of bracketing is not
     important by virtue of the associative law ~ anass . $)
  df-3an $a |- ( ( ph /\ ps /\ ch ) <-> ( ( ph /\ ps ) /\ ch ) ) $.

  $( Associative law for triple disjunction. $)
  3orass $p |- ( ( ph \/ ps \/ ch ) <-> ( ph \/ ( ps \/ ch ) ) ) $=
    ( w3o wo df-3or orass bitr ) ABCDABECEABCEEABCFABCGH $.
    $( [8-Apr-1994] $)

  $( Associative law for triple conjunction. $)
  3anass $p |- ( ( ph /\ ps /\ ch ) <-> ( ph /\ ( ps /\ ch ) ) ) $=
    ( w3a wa df-3an anass bitr ) ABCDABECEABCEEABCFABCGH $.
    $( [8-Apr-1994] $)

  $( Rotation law for triple conjunction. $)
  3anrot $p |- ( ( ph /\ ps /\ ch ) <-> ( ps /\ ch /\ ph ) ) $=
    ( wa w3a ancom 3anass df-3an 3bitr4 ) ABCDZDJADABCEBCAEAJFABCGBCAHI $.
    $( [8-Apr-1994] $)

  $( Rotation law for triple disjunction. $)
  3orrot $p |- ( ( ph \/ ps \/ ch ) <-> ( ps \/ ch \/ ph ) ) $=
    ( wo w3o orcom 3orass df-3or 3bitr4 ) ABCDZDJADABCEBCAEAJFABCGBCAHI $.
    $( [4-Apr-1995] $)

  $( Commutation law for triple conjunction. $)
  3ancoma $p |- ( ( ph /\ ps /\ ch ) <-> ( ps /\ ph /\ ch ) ) $=
    ( wa w3a ancom anbi1i df-3an 3bitr4 ) ABDZCDBADZCDABCEBACEJKCABFGABCHBACHI
    $.
    $( [21-Apr-1994] $)

  $( Commutation law for triple conjunction. $)
  3ancomb $p |- ( ( ph /\ ps /\ ch ) <-> ( ph /\ ch /\ ps ) ) $=
    ( w3a 3ancoma 3anrot bitr ) ABCDBACDACBDABCEBACFG $.
    $( [21-Apr-1994] $)

  $( Reversal law for triple conjunction. $)
  3anrev $p |- ( ( ph /\ ps /\ ch ) <-> ( ch /\ ps /\ ph ) ) $=
    ( w3a 3ancoma 3anrot bitr4 ) ABCDBACDCBADABCECBAFG $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  3simpa $p |- ( ( ph /\ ps /\ ch ) -> ( ph /\ ps ) ) $=
    ( w3a wa df-3an pm3.26bi ) ABCDABECABCFG $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  3simpb $p |- ( ( ph /\ ps /\ ch ) -> ( ph /\ ch ) ) $=
    ( w3a wa 3ancomb 3simpa sylbi ) ABCDACBDACEABCFACBGH $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  3simpc $p |- ( ( ph /\ ps /\ ch ) -> ( ps /\ ch ) ) $=
    ( w3a wa 3anrot 3simpa sylbi ) ABCDBCADBCEABCFBCAGH $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  3simp1 $p |- ( ( ph /\ ps /\ ch ) -> ph ) $=
    ( w3a 3simpa pm3.26d ) ABCDABABCEF $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  3simp2 $p |- ( ( ph /\ ps /\ ch ) -> ps ) $=
    ( w3a 3simpa pm3.27d ) ABCDABABCEF $.
    $( [21-Apr-1994] $)

  $( Simplification of triple conjunction. $)
  3simp3 $p |- ( ( ph /\ ps /\ ch ) -> ch ) $=
    ( w3a 3simpc pm3.27d ) ABCDBCABCEF $.
    $( [21-Apr-1994] $)

  ${
    3simp1i.1 $e |- ( ph /\ ps /\ ch ) $.
    $( Infer a conjunct from a triple conjunction. $)
    3simp1i $p |- ph $=
      ( w3a 3simp1 ax-mp ) ABCEADABCFG $.
      $( [21-Apr-2005] $) $( [19-Apr-2005] $)

    $( Infer a conjunct from a triple conjunction. $)
    3simp2i $p |- ps $=
      ( w3a 3simp2 ax-mp ) ABCEBDABCFG $.
      $( [21-Apr-2005] $) $( [19-Apr-2005] $)

    $( Infer a conjunct from a triple conjunction. $)
    3simp3i $p |- ch $=
      ( w3a 3simp3 ax-mp ) ABCECDABCFG $.
      $( [21-Apr-2005] $) $( [19-Apr-2005] $)
  $}

  ${
    3simp1d.1 $e |- ( ph -> ( ps /\ ch /\ th ) ) $.
    $( Deduce a conjunct from a triple conjunction. $)
    3simp1d $p |- ( ph -> ps ) $=
      ( w3a 3simp1 syl ) ABCDFBEBCDGH $.
      $( [6-Sep-2005] $) $( [4-Sep-2005] $)

    $( Deduce a conjunct from a triple conjunction. $)
    3simp2d $p |- ( ph -> ch ) $=
      ( w3a 3simp2 syl ) ABCDFCEBCDGH $.
      $( [6-Sep-2005] $) $( [4-Sep-2005] $)

    $( Deduce a conjunct from a triple conjunction. $)
    3simp3d $p |- ( ph -> th ) $=
      ( w3a 3simp3 syl ) ABCDFDEBCDGH $.
      $( [7-Sep-2005] $) $( [4-Sep-2005] $)
  $}

  ${
    3adant.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    $( Deduction adding a conjunct to antecedent. $)
    3adant1 $p |- ( ( th /\ ph /\ ps ) -> ch ) $=
      ( w3a wa 3simpc syl ) DABFABGCDABHEI $.
      $( [16-Jul-1995] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant2 $p |- ( ( ph /\ th /\ ps ) -> ch ) $=
      ( w3a wa 3simpb syl ) ADBFABGCADBHEI $.
      $( [16-Jul-1995] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3 $p |- ( ( ph /\ ps /\ th ) -> ch ) $=
      ( w3a wa 3simpa syl ) ABDFABGCABDHEI $.
      $( [16-Jul-1995] $)
  $}

  ${
    3ad2ant.1 $e |- ( ph -> ch ) $.
    $( Deduction adding conjuncts to an antecedent. $)
    3ad2ant1 $p |- ( ( ph /\ ps /\ th ) -> ch ) $=
      ( adantr 3adant2 ) ADCBACDEFG $.
      $( [23-Apr-2005] $) $( [21-Apr-2005] $)

    $( Deduction adding conjuncts to an antecedent. $)
    3ad2ant2 $p |- ( ( ps /\ ph /\ th ) -> ch ) $=
      ( adantr 3adant1 ) ADCBACDEFG $.
      $( [23-Apr-2005] $) $( [21-Apr-2005] $)

    $( Deduction adding conjuncts to an antecedent. $)
    3ad2ant3 $p |- ( ( ps /\ th /\ ph ) -> ch ) $=
      ( adantl 3adant1 ) DACBACDEFG $.
      $( [23-Apr-2005] $) $( [21-Apr-2005] $)
  $}

  ${
    3adantl.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Deduction adding a conjunct to antecedent. $)
    3adantl1 $p |- ( ( ( ta /\ ph /\ ps ) /\ ch ) -> th ) $=
      ( w3a wi wa ex 3adant1 imp ) EABGCDABCDHEABICDFJKL $.
      $( [26-Feb-2005] $) $( [24-Feb-2005] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adantl2 $p |- ( ( ( ph /\ ta /\ ps ) /\ ch ) -> th ) $=
      ( w3a wi wa ex 3adant2 imp ) AEBGCDABCDHEABICDFJKL $.
      $( [25-Feb-2005] $) $( [24-Feb-2005] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adantl3 $p |- ( ( ( ph /\ ps /\ ta ) /\ ch ) -> th ) $=
      ( w3a wi wa ex 3adant3 imp ) ABEGCDABCDHEABICDFJKL $.
      $( [28-Apr-2005] $) $( [24-Feb-2005] $)
  $}

  ${
    3adantr.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Deduction adding a conjunct to antecedent. $)
    3adantr1 $p |- ( ( ph /\ ( ta /\ ps /\ ch ) ) -> th ) $=
      ( w3a wa ancoms 3adantl1 ) EBCGADBCADEABCHDFIJI $.
      $( [27-Jun-2005] $) $( [27-Apr-2005] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adantr2 $p |- ( ( ph /\ ( ps /\ ta /\ ch ) ) -> th ) $=
      ( w3a wa ancoms 3adantl2 ) BECGADBCADEABCHDFIJI $.
      $( [28-Apr-2005] $) $( [27-Apr-2005] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adantr3 $p |- ( ( ph /\ ( ps /\ ch /\ ta ) ) -> th ) $=
      ( w3a wa ancoms 3adantl3 ) BCEGADBCADEABCHDFIJI $.
      $( [28-Apr-2005] $) $( [27-Apr-2005] $)
  $}

  ${
    3ad2antl.1 $e |- ( ( ph /\ ch ) -> th ) $.
    $( Deduction adding conjuncts to antecedent. $)
    3ad2antl1 $p |- ( ( ( ph /\ ps /\ ta ) /\ ch ) -> th ) $=
      ( adantlr 3adantl2 ) AECDBACDEFGH $.
      $( [4-Aug-2007] $) $( [4-Aug-2007] $)

    $( Deduction adding conjuncts to antecedent. $)
    3ad2antl2 $p |- ( ( ( ps /\ ph /\ ta ) /\ ch ) -> th ) $=
      ( adantlr 3adantl1 ) AECDBACDEFGH $.
      $( [4-Aug-2007] $) $( [4-Aug-2007] $)

    $( Deduction adding conjuncts to antecedent. $)
    3ad2antl3 $p |- ( ( ( ps /\ ta /\ ph ) /\ ch ) -> th ) $=
      ( adantll 3adantl1 ) EACDBACDEFGH $.
      $( [4-Aug-2007] $) $( [4-Aug-2007] $)

    $( Deduction adding a conjuncts to antecedent. $)
    3ad2antr1 $p |- ( ( ph /\ ( ch /\ ps /\ ta ) ) -> th ) $=
      ( adantrr 3adantr3 ) ACBDEACDBFGH $.
      $( [25-Dec-2007] $) $( [25-Dec-2007] $)

    $( Deduction adding a conjuncts to antecedent. $)
    3ad2antr2 $p |- ( ( ph /\ ( ps /\ ch /\ ta ) ) -> th ) $=
      ( adantrl 3adantr3 ) ABCDEACDBFGH $.
      $( [27-Dec-2007] $) $( [27-Dec-2007] $)

    $( Deduction adding a conjuncts to antecedent. $)
    3ad2antr3 $p |- ( ( ph /\ ( ps /\ ta /\ ch ) ) -> th ) $=
      ( adantrl 3adantr1 ) AECDBACDEFGH $.
      $( [30-Dec-2007] $) $( [30-Dec-2007] $)
  $}

  $( Introduction in triple disjunction. $)
  3mix1 $p |- ( ph -> ( ph \/ ps \/ ch ) ) $=
    ( wo w3o orc 3orass sylibr ) AABCDZDABCEAIFABCGH $.
    $( [4-Apr-1995] $)

  $( Introduction in triple disjunction. $)
  3mix2 $p |- ( ph -> ( ps \/ ph \/ ch ) ) $=
    ( w3o 3mix1 3orrot sylibr ) AACBDBACDACBEBACFG $.
    $( [4-Apr-1995] $)

  $( Introduction in triple disjunction. $)
  3mix3 $p |- ( ph -> ( ps \/ ch \/ ph ) ) $=
    ( w3o 3mix1 3orrot sylib ) AABCDBCADABCEABCFG $.
    $( [4-Apr-1995] $)

  ${
    3pm3.2i.1 $e |- ph $.
    3pm3.2i.2 $e |- ps $.
    3pm3.2i.3 $e |- ch $.
    $( Infer conjunction of premises. $)
    3pm3.2i $p |- ( ph /\ ps /\ ch ) $=
      ( w3a wa df-3an pm3.2i mpbir2an ) ABCGABHCABCIABDEJFK $.
      $( [10-Feb-1995] $)
  $}

  ${
    3jca.1 $e |- ( ph -> ps ) $.
    3jca.2 $e |- ( ph -> ch ) $.
    3jca.3 $e |- ( ph -> th ) $.
    $( Join consequents with conjunction. $)
    3jca $p |- ( ph -> ( ps /\ ch /\ th ) ) $=
      ( wa w3a jca df-3an sylibr ) ABCHZDHBCDIAMDABCEFJGJBCDKL $.
      $( [9-Apr-1994] $)
  $}

  ${
    3jcad.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3jcad.2 $e |- ( ph -> ( ps -> th ) ) $.
    3jcad.3 $e |- ( ph -> ( ps -> ta ) ) $.
    $( Deduction conjoining the consequents of three implications. $)
    3jcad $p |- ( ph -> ( ps -> ( ch /\ th /\ ta ) ) ) $=
      ( w3a wa imp 3jca ex ) ABCDEIABJCDEABCFKABDGKABEHKLM $.
      $( [3-Oct-2005] $) $( [25-Sep-2005] $)
  $}

  ${
    $v et $. $( Greek eta $)
    i3wet $f wff et $.
    3anim123i.1 $e |- ( ph -> ps ) $.
    3anim123i.2 $e |- ( ch -> th ) $.
    3anim123i.3 $e |- ( ta -> et ) $.
    $( Join antecedents and consequents with conjunction. $)
    3anim123i $p |- ( ( ph /\ ch /\ ta ) -> ( ps /\ th /\ et ) ) $=
      ( wa w3a anim12i df-3an 3imtr4 ) ACJZEJBDJZFJACEKBDFKOPEFABCDGHLILACEMBDF
      MN $.
      $( [8-Apr-1994] $)
  $}

  ${
    $v et $. $( Greek eta $)
    b3wet $f wff et $.
    bi3.1 $e |- ( ph <-> ps ) $.
    bi3.2 $e |- ( ch <-> th ) $.
    bi3.3 $e |- ( ta <-> et ) $.
    $( Join 3 biconditionals with conjunction. $)
    3anbi123i $p |- ( ( ph /\ ch /\ ta ) <-> ( ps /\ th /\ et ) ) $=
      ( wa w3a anbi12i df-3an 3bitr4 ) ACJZEJBDJZFJACEKBDFKOPEFABCDGHLILACEMBDF
      MN $.
      $( [21-Apr-1994] $)

    $( Join 3 biconditionals with disjunction. $)
    3orbi123i $p |- ( ( ph \/ ch \/ ta ) <-> ( ps \/ th \/ et ) ) $=
      ( wo w3o orbi12i df-3or 3bitr4 ) ACJZEJBDJZFJACEKBDFKOPEFABCDGHLILACEMBDF
      MN $.
      $( [17-May-1994] $)
  $}

  ${
    3anbi1i.1 $e |- ( ph <-> ps ) $.
    $( Inference adding two conjuncts to each side of a biconditional. $)
    3anbi1i $p |- ( ( ph /\ ch /\ th ) <-> ( ps /\ ch /\ th ) ) $=
      ( pm4.2 3anbi123i ) ABCCDDECFDFG $.
      $( [8-Sep-2006] $) $( [8-Sep-2006] $)

    $( Inference adding two conjuncts to each side of a biconditional. $)
    3anbi2i $p |- ( ( ch /\ ph /\ th ) <-> ( ch /\ ps /\ th ) ) $=
      ( pm4.2 3anbi123i ) CCABDDCFEDFG $.
      $( [5-Oct-2006] $) $( [8-Sep-2006] $)

    $( Inference adding two conjuncts to each side of a biconditional. $)
    3anbi3i $p |- ( ( ch /\ th /\ ph ) <-> ( ch /\ th /\ ps ) ) $=
      ( pm4.2 3anbi123i ) CCDDABCFDFEG $.
      $( [18-Oct-2006] $) $( [8-Sep-2006] $)
  $}

  ${
    3imp.1 $e |- ( ph -> ( ps -> ( ch -> th ) ) ) $.
    $( Importation inference. $)
    3imp $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( w3a wa df-3an imp31 sylbi ) ABCFABGCGDABCHABCDEIJ $.
      $( [8-Apr-1994] $)
  $}

  ${
    3impa.1 $e |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $.
    $( Importation from double to triple conjunction. $)
    3impa $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( exp31 3imp ) ABCDABCDEFG $.
      $( [20-Aug-1995] $)
  $}

  ${
    3impb.1 $e |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $.
    $( Importation from double to triple conjunction. $)
    3impb $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( exp32 3imp ) ABCDABCDEFG $.
      $( [20-Aug-1995] $)
  $}

  ${
    3impia.1 $e |- ( ( ph /\ ps ) -> ( ch -> th ) ) $.
    $( Importation to triple conjunction. $)
    3impia $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wi ex 3imp ) ABCDABCDFEGH $.
      $( [13-Jun-2006] $) $( [13-Jun-2006] $)
  $}

  ${
    3impib.1 $e |- ( ph -> ( ( ps /\ ch ) -> th ) ) $.
    $( Importation to triple conjunction. $)
    3impib $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( exp3a 3imp ) ABCDABCDEFG $.
      $( [15-Jun-2006] $) $( [13-Jun-2006] $)
  $}

  ${
    3exp.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Exportation inference. $)
    3exp $p |- ( ph -> ( ps -> ( ch -> th ) ) ) $=
      ( wa w3a df-3an sylbir exp31 ) ABCDABFCFABCGDABCHEIJ $.
      $( [30-May-1994] $)

    $( Exportation from triple to double conjunction. $)
    3expa $p |- ( ( ( ph /\ ps ) /\ ch ) -> th ) $=
      ( 3exp imp31 ) ABCDABCDEFG $.
      $( [20-Aug-1995] $)

    $( Exportation from triple to double conjunction. $)
    3expb $p |- ( ( ph /\ ( ps /\ ch ) ) -> th ) $=
      ( 3exp imp32 ) ABCDABCDEFG $.
      $( [20-Aug-1995] $)

    $( Exportation from triple conjunction. $)
    3expia $p |- ( ( ph /\ ps ) -> ( ch -> th ) ) $=
      ( wi 3exp imp ) ABCDFABCDEGH $.
      $( [19-May-2007] $) $( [19-May-2007] $)

    $( Exportation from triple conjunction. $)
    3expib $p |- ( ph -> ( ( ps /\ ch ) -> th ) ) $=
      ( 3exp imp3a ) ABCDABCDEFG $.
      $( [20-May-2007] $) $( [19-May-2007] $)

    $( Commutation in antecedent.  Swap 1st and 3rd. $)
    3com12 $p |- ( ( ps /\ ph /\ ch ) -> th ) $=
      ( wi 3exp com12 3imp ) BACDABCDFABCDEGHI $.
      $( [28-Jan-1996] $)

    $( Commutation in antecedent.  Swap 1st and 3rd. $)
    3com13 $p |- ( ( ch /\ ps /\ ph ) -> th ) $=
      ( w3a 3anrev sylbi ) CBAFABCFDCBAGEH $.
      $( [28-Jan-1996] $)

    $( Commutation in antecedent.  Swap 2nd and 3rd. $)
    3com23 $p |- ( ( ph /\ ch /\ ps ) -> th ) $=
      ( 3exp com23 3imp ) ACBDABCDABCDEFGH $.
      $( [28-Jan-1996] $)

    $( Commutation in antecedent.  Rotate left. $)
    3coml $p |- ( ( ps /\ ch /\ ph ) -> th ) $=
      ( 3com23 3com13 ) ACBDABCDEFG $.
      $( [28-Jan-1996] $)

    $( Commutation in antecedent.  Rotate right. $)
    3comr $p |- ( ( ch /\ ph /\ ps ) -> th ) $=
      ( 3coml ) BCADABCDEFF $.
      $( [28-Jan-1996] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3r1 $p |- ( ( ph /\ ( ta /\ ps /\ ch ) ) -> th ) $=
      ( 3expb 3adantr1 ) ABCDEABCDFGH $.
      $( [16-Feb-2008] $) $( [16-Feb-2008] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3r2 $p |- ( ( ph /\ ( ps /\ ta /\ ch ) ) -> th ) $=
      ( 3expb 3adantr2 ) ABCDEABCDFGH $.
      $( [17-Feb-2008] $) $( [17-Feb-2008] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3r3 $p |- ( ( ph /\ ( ps /\ ch /\ ta ) ) -> th ) $=
      ( 3expb 3adantr3 ) ABCDEABCDFGH $.
      $( [18-Feb-2008] $) $( [18-Feb-2008] $)
  $}

  ${
    3an1rs.1 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( Swap conjuncts. $)
    3an1rs $p |- ( ( ( ph /\ ps /\ th ) /\ ch ) -> ta ) $=
      ( w3a wi ex 3exp com34 3imp imp ) ABDGCEABDCEHABCDEABCDEHABCGDEFIJKLM $.
      $( [3-Apr-2008] $) $( [16-Dec-2007] $)
  $}

  ${
    3imp1.1 $e |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $.
    $( Importation to left triple conjunction. $)
    3imp1 $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $=
      ( w3a wi 3imp imp ) ABCGDEABCDEHFIJ $.
      $( [26-Feb-2005] $) $( [24-Feb-2005] $)

    $( Importation deduction for triple conjunction. $)
    3impd $p |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $=
      ( w3a wi com4l 3imp com12 ) BCDGAEBCDAEHABCDEFIJK $.
      $( [28-Oct-2006] $) $( [26-Oct-2006] $)

    $( Importation to right triple conjunction. $)
    3imp2 $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $=
      ( w3a 3impd imp ) ABCDGEABCDEFHI $.
      $( [28-Oct-2006] $) $( [26-Oct-2006] $)
  $}

  ${
    3exp1.1 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( Exportation from left triple conjunction. $)
    3exp1 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi w3a ex 3exp ) ABCDEGABCHDEFIJ $.
      $( [26-Feb-2005] $) $( [24-Feb-2005] $)
  $}

  ${
    3expd.1 $e |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $.
    $( Exportation deduction for triple conjunction. $)
    3expd $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( wi w3a com12 3exp com4r ) BCDAEBCDAEGABCDHEFIJK $.
      $( [27-Oct-2006] $) $( [26-Oct-2006] $)
  $}

  ${
    3exp2.1 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( Exportation from right triple conjunction. $)
    3exp2 $p |- ( ph -> ( ps -> ( ch -> ( th -> ta ) ) ) ) $=
      ( w3a ex 3expd ) ABCDEABCDGEFHI $.
      $( [28-Oct-2006] $) $( [26-Oct-2006] $)
  $}

  ${
    3adant1l.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Deduction adding a conjunct to antecedent. $)
    3adant1l $p |- ( ( ( ta /\ ph ) /\ ps /\ ch ) -> th ) $=
      ( wa 3expb adantll 3impb ) EAGBCDABCGDEABCDFHIJ $.
      $( [12-Jan-2006] $) $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant1r $p |- ( ( ( ph /\ ta ) /\ ps /\ ch ) -> th ) $=
      ( wa 3expb adantlr 3impb ) AEGBCDABCGDEABCDFHIJ $.
      $( [17-Jan-2006] $) $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant2l $p |- ( ( ph /\ ( ta /\ ps ) /\ ch ) -> th ) $=
      ( wa 3com12 3adant1l ) EBGACDBACDEABCDFHIH $.
      $( [22-Feb-2006] $) $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant2r $p |- ( ( ph /\ ( ps /\ ta ) /\ ch ) -> th ) $=
      ( wa 3com12 3adant1r ) BEGACDBACDEABCDFHIH $.
      $( [23-Jan-2006] $) $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3l $p |- ( ( ph /\ ps /\ ( ta /\ ch ) ) -> th ) $=
      ( wa 3com13 3adant1l ) ECGBADCBADEABCDFHIH $.
      $( [5-Feb-2006] $) $( [8-Jan-2006] $)

    $( Deduction adding a conjunct to antecedent. $)
    3adant3r $p |- ( ( ph /\ ps /\ ( ch /\ ta ) ) -> th ) $=
      ( wa 3com13 3adant1r ) CEGBADCBADEABCDFHIH $.
      $( [27-Jan-2006] $) $( [8-Jan-2006] $)
  $}

  ${
    syl3anc.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    syl3anc.2 $e |- ( ta -> ph ) $.
    syl3anc.3 $e |- ( ta -> ps ) $.
    syl3anc.4 $e |- ( ta -> ch ) $.
    $( A syllogism inference combined with contraction. $)
    syl3anc $p |- ( ta -> th ) $=
      ( w3a 3jca syl ) EABCJDEABCGHIKFL $.
      $( [2-Jan-2005] $) $( [1-Jan-2005] $)
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    syl3an.we $f wff et $.
    syl3an.wz $f wff ze $.
    syl3an.1 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    ${
      syl3an1.2 $e |- ( ta -> ph ) $.
      $( A syllogism inference. $)
      syl3an1 $p |- ( ( ta /\ ps /\ ch ) -> th ) $=
        ( wa 3expb sylan 3impb ) EBCDABCHDEABCDFIGJK $.
        $( [22-Aug-1995] $)
    $}

    ${
      syl3an2.2 $e |- ( ta -> ps ) $.
      $( A syllogism inference. $)
      syl3an2 $p |- ( ( ph /\ ta /\ ch ) -> th ) $=
        ( wi 3exp syl5 3imp ) AECDABCDHEABCDFIGJK $.
        $( [22-Aug-1995] $)
    $}

    ${
      syl3an3.2 $e |- ( ta -> ch ) $.
      $( A syllogism inference. $)
      syl3an3 $p |- ( ( ph /\ ps /\ ta ) -> th ) $=
        ( 3exp syl7 3imp ) ABEDABCDEABCDFHGIJ $.
        $( [22-Aug-1995] $)
    $}

    ${
      syl3an1b.2 $e |- ( ta <-> ph ) $.
      $( A syllogism inference. $)
      syl3an1b $p |- ( ( ta /\ ps /\ ch ) -> th ) $=
        ( biimp syl3an1 ) ABCDEFEAGHI $.
        $( [22-Aug-1995] $)
    $}

    ${
      syl3an2b.2 $e |- ( ta <-> ps ) $.
      $( A syllogism inference. $)
      syl3an2b $p |- ( ( ph /\ ta /\ ch ) -> th ) $=
        ( biimp syl3an2 ) ABCDEFEBGHI $.
        $( [22-Aug-1995] $)
    $}

    ${
      syl3an3b.2 $e |- ( ta <-> ch ) $.
      $( A syllogism inference. $)
      syl3an3b $p |- ( ( ph /\ ps /\ ta ) -> th ) $=
        ( biimp syl3an3 ) ABCDEFECGHI $.
        $( [22-Aug-1995] $)
    $}

    ${
      syl3an1br.2 $e |- ( ph <-> ta ) $.
      $( A syllogism inference. $)
      syl3an1br $p |- ( ( ta /\ ps /\ ch ) -> th ) $=
        ( biimpr syl3an1 ) ABCDEFAEGHI $.
        $( [22-Aug-1995] $)
    $}

    ${
      syl3an2br.2 $e |- ( ps <-> ta ) $.
      $( A syllogism inference. $)
      syl3an2br $p |- ( ( ph /\ ta /\ ch ) -> th ) $=
        ( biimpr syl3an2 ) ABCDEFBEGHI $.
        $( [22-Aug-1995] $)
    $}

    ${
      syl3an3br.2 $e |- ( ch <-> ta ) $.
      $( A syllogism inference. $)
      syl3an3br $p |- ( ( ph /\ ps /\ ta ) -> th ) $=
        ( biimpr syl3an3 ) ABCDEFCEGHI $.
        $( [22-Aug-1995] $)
    $}

    ${
      syl3an.2 $e |- ( ta -> ph ) $.
      syl3an.3 $e |- ( et -> ps ) $.
      syl3an.4 $e |- ( ze -> ch ) $.
      $( A triple syllogism inference. $)
      syl3an $p |- ( ( ta /\ et /\ ze ) -> th ) $=
        ( w3a 3anim123i syl ) EFGLABCLDEAFBGCIJKMHN $.
        $( [14-May-2004] $) $( [13-May-2004] $)
    $}

    ${
      syl3anb.2 $e |- ( ta <-> ph ) $.
      syl3anb.3 $e |- ( et <-> ps ) $.
      syl3anb.4 $e |- ( ze <-> ch ) $.
      $( A triple syllogism inference. $)
      syl3anb $p |- ( ( ta /\ et /\ ze ) -> th ) $=
        ( w3a 3anbi123i sylbi ) EFGLABCLDEAFBGCIJKMHN $.
        $( [20-Oct-2005] $) $( [15-Oct-2005] $)
    $}

    ${
      syld3an3.2 $e |- ( ( ph /\ ps /\ ta ) -> ch ) $.
      $( A syllogism inference. $)
      syld3an3 $p |- ( ( ph /\ ps /\ ta ) -> th ) $=
        ( w3a 3simp1 3simp2 syl3anc ) ABCDABEHFABEIABEJGK $.
        $( [23-May-2007] $) $( [20-May-2007] $)
    $}

    ${
      syld3an1.2 $e |- ( ( ta /\ ps /\ ch ) -> ph ) $.
      $( A syllogism inference. $)
      syld3an1 $p |- ( ( ta /\ ps /\ ch ) -> th ) $=
        ( 3com13 syld3an3 ) CBEDCBADEABCDFHEBCAGHIH $.
        $( [14-Jul-2008] $) $( [7-Jul-2008] $)
    $}

    ${
      syld3an2.2 $e |- ( ( ph /\ ta /\ ch ) -> ps ) $.
      $( A syllogism inference. $)
      syld3an2 $p |- ( ( ph /\ ta /\ ch ) -> th ) $=
        ( 3com23 syld3an3 ) ACEDACBDEABCDFHAECBGHIH $.
        $( [24-May-2007] $) $( [20-May-2007] $)
    $}
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    $v si $. $( Greek sigma $)
    syl3anl1.we $f wff et $.
    syl3anl1.wz $f wff ze $.
    syl3anl1.ws $f wff si $.
    syl3anl1.1 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    ${
      syl3anl1.2 $e |- ( et -> ph ) $.
      $( A syllogism inference. $)
      syl3anl1 $p |- ( ( ( et /\ ps /\ ch ) /\ th ) -> ta ) $=
        ( w3a wi ex syl3an1 imp ) FBCIDEABCDEJFABCIDEGKHLM $.
        $( [28-Apr-2005] $) $( [24-Feb-2005] $)
    $}

    ${
      syl3anl2.2 $e |- ( et -> ps ) $.
      $( A syllogism inference. $)
      syl3anl2 $p |- ( ( ( ph /\ et /\ ch ) /\ th ) -> ta ) $=
        ( w3a wi ex syl3an2 imp ) AFCIDEABCDEJFABCIDEGKHLM $.
        $( [26-Feb-2005] $) $( [24-Feb-2005] $)
    $}

    ${
      syl3anl3.2 $e |- ( et -> ch ) $.
      $( A syllogism inference. $)
      syl3anl3 $p |- ( ( ( ph /\ ps /\ et ) /\ th ) -> ta ) $=
        ( w3a wi ex syl3an3 imp ) ABFIDEABCDEJFABCIDEGKHLM $.
        $( [27-Jun-2005] $) $( [24-Feb-2005] $)
    $}

    ${
      syl3anl.2 $e |- ( et -> ph ) $.
      syl3anl.3 $e |- ( ze -> ps ) $.
      syl3anl.4 $e |- ( si -> ch ) $.
      $( A triple syllogism inference. $)
      syl3anl $p |- ( ( ( et /\ ze /\ si ) /\ th ) -> ta ) $=
        ( w3a 3anim123i sylan ) ABCMDEFGHMIFAGBHCJKLNO $.
        $( [24-Dec-2006] $) $( [24-Dec-2006] $)
    $}
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    $v si $. $( Greek sigma $)
    syl3anr1.we $f wff et $.
    syl3anr1.1 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    ${
      syl3anr1.2 $e |- ( et -> ps ) $.
      $( A syllogism inference. $)
      syl3anr1 $p |- ( ( ph /\ ( et /\ ch /\ th ) ) -> ta ) $=
        ( w3a ancoms syl3anl1 ) FCDIAEBCDAEFABCDIEGJHKJ $.
        $( [16-Aug-2007] $) $( [31-Jul-2007] $)
    $}

    ${
      syl3anr2.2 $e |- ( et -> ch ) $.
      $( A syllogism inference. $)
      syl3anr2 $p |- ( ( ph /\ ( ps /\ et /\ th ) ) -> ta ) $=
        ( w3a ancoms syl3anl2 ) BFDIAEBCDAEFABCDIEGJHKJ $.
        $( [6-Aug-2007] $) $( [1-Aug-2007] $)
    $}

    ${
      syl3anr3.2 $e |- ( et -> th ) $.
      $( A syllogism inference. $)
      syl3anr3 $p |- ( ( ph /\ ( ps /\ ch /\ et ) ) -> ta ) $=
        ( w3a ancoms syl3anl3 ) BCFIAEBCDAEFABCDIEGJHKJ $.
        $( [23-Aug-2007] $) $( [23-Aug-2007] $)
    $}
  $}

  ${
    3impdi.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) ) -> th ) $.
    $( Importation inference (undistribute conjunction). $)
    3impdi $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( anandis 3impb ) ABCDABCDEFG $.
      $( [14-Aug-1995] $)
  $}

  ${
    3impdir.1 $e |- ( ( ( ph /\ ps ) /\ ( ch /\ ps ) ) -> th ) $.
    $( Importation inference (undistribute conjunction). $)
    3impdir $p |- ( ( ph /\ ch /\ ps ) -> th ) $=
      ( anandirs 3impa ) ACBDACBDEFG $.
      $( [20-Aug-1995] $)
  $}

  ${
    3anidm12.1 $e |- ( ( ph /\ ph /\ ps ) -> ch ) $.
    $( Inference from idempotent law for conjunction. $)
    3anidm12 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wi 3exp pm2.43i imp ) ABCABCEAABCDFGH $.
      $( [7-Mar-2008] $) $( [7-Mar-2008] $)
  $}

  ${
    3anidm13.1 $e |- ( ( ph /\ ps /\ ph ) -> ch ) $.
    $( Inference from idempotent law for conjunction. $)
    3anidm13 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( 3com23 3anidm12 ) ABCABACDEF $.
      $( [10-Mar-2008] $) $( [7-Mar-2008] $)
  $}

  ${
    3anidm23.1 $e |- ( ( ph /\ ps /\ ps ) -> ch ) $.
    $( Inference from idempotent law for conjunction. $)
    3anidm23 $p |- ( ( ph /\ ps ) -> ch ) $=
      ( 3exp pm2.43d imp ) ABCABCABBCDEFG $.
      $( [1-Feb-2007] $) $( [1-Feb-2007] $)
  $}

  ${
    3ori.1 $e |- ( ph \/ ps \/ ch ) $.
    $( Infer implication from triple disjunction. $)
    3ori $p |- ( ( -. ph /\ -. ps ) -> ch ) $=
      ( wn wa wo ioran w3o df-3or mpbi ori sylbir ) AEBEFABGZECABHNCABCINCGDABC
      JKLM $.
      $( [28-Sep-2006] $) $( [26-Sep-2006] $)
  $}

  $( Disjunction of 3 antecedents. $)
  3jao $p |- ( ( ( ph -> ps ) /\ ( ch -> ps ) /\ ( th -> ps ) ) ->
              ( ( ph \/ ch \/ th ) -> ps ) ) $=
    ( wi w3a wo w3o jao syl6 3imp df-3or syl5ib ) ABEZCBEZDBEZFACGZDGZBACDHNOPR
    BEZNOQBEPSEABCIQBDIJKACDLM $.
    $( [8-Apr-1994] $)

  ${
    3jaoi.1 $e |- ( ph -> ps ) $.
    3jaoi.2 $e |- ( ch -> ps ) $.
    3jaoi.3 $e |- ( th -> ps ) $.
    $( Disjunction of 3 antecedents (inference). $)
    3jaoi $p |- ( ( ph \/ ch \/ th ) -> ps ) $=
      ( wi w3a w3o 3pm3.2i 3jao ax-mp ) ABHZCBHZDBHZIACDJBHNOPEFGKABCDLM $.
      $( [12-Sep-1995] $)
  $}

  ${
    3jaod.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3jaod.2 $e |- ( ph -> ( th -> ch ) ) $.
    3jaod.3 $e |- ( ph -> ( ta -> ch ) ) $.
    $( Disjunction of 3 antecedents (deduction). $)
    3jaod $p |- ( ph -> ( ( ps \/ th \/ ta ) -> ch ) ) $=
      ( wi w3o 3jao syl3anc ) BCIDCIECIBDEJCIABCDEKFGHL $.
      $( [16-Oct-2005] $) $( [14-Oct-2005] $)
  $}

  ${
    3jaoian.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    3jaoian.2 $e |- ( ( th /\ ps ) -> ch ) $.
    3jaoian.3 $e |- ( ( ta /\ ps ) -> ch ) $.
    $( Disjunction of 3 antecedents (inference). $)
    3jaoian $p |- ( ( ( ph \/ th \/ ta ) /\ ps ) -> ch ) $=
      ( w3o wi ex 3jaoi imp ) ADEIBCABCJDEABCFKDBCGKEBCHKLM $.
      $( [17-Oct-2005] $) $( [14-Oct-2005] $)
  $}

  ${
    3jaodan.1 $e |- ( ( ph /\ ps ) -> ch ) $.
    3jaodan.2 $e |- ( ( ph /\ th ) -> ch ) $.
    3jaodan.3 $e |- ( ( ph /\ ta ) -> ch ) $.
    $( Disjunction of 3 antecedents (deduction). $)
    3jaodan $p |- ( ( ph /\ ( ps \/ th \/ ta ) ) -> ch ) $=
      ( w3o ex 3jaod imp ) ABDEICABCDEABCFJADCGJAECHJKL $.
      $( [21-Oct-2005] $) $( [14-Oct-2005] $)
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    syl3an9b.we $f wff et $.
    syl3an9b.wz $f wff ze $.
    syl3an9b.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    syl3an9b.2 $e |- ( th -> ( ch <-> ta ) ) $.
    syl3an9b.3 $e |- ( et -> ( ta <-> ze ) ) $.
    $( Nested syllogism inference conjoining 3 dissimilar antecedents. $)
    syl3an9b $p |- ( ( ph /\ th /\ et ) -> ( ps <-> ze ) ) $=
      ( wb wa sylan9bb 3impa ) ADFBGKADLBEFGABCDEHIMJMN $.
      $( [1-May-1995] $)
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    bi3d.we $f wff et $.
    bi3d.wz $f wff ze $.
    bi3d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    bi3d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    bi3d.3 $e |- ( ph -> ( et <-> ze ) ) $.
    $( Deduction joining 3 equivalences to form equivalence of disjunctions. $)
    3orbi123d $p |- ( ph -> ( ( ps \/ th \/ et ) <-> ( ch \/ ta \/ ze ) ) ) $=
      ( wo w3o orbi12d df-3or 3bitr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
      $( [20-Apr-1994] $)

    $( Deduction joining 3 equivalences to form equivalence of conjunctions. $)
    3anbi123d $p |- ( ph -> ( ( ps /\ th /\ et ) <-> ( ch /\ ta /\ ze ) ) ) $=
      ( wa w3a anbi12d df-3an 3bitr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
      $( [22-Apr-1994] $)
  $}

  ${
    $v et $. $( Greek eta $)
    3anbi12d.we $f wff et $.
    3anbi12d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    3anbi12d.2 $e |- ( ph -> ( th <-> ta ) ) $.
    $( Deduction conjoining and adding a conjunct to equivalences. $)
    3anbi12d $p |- ( ph -> ( ( ps /\ th /\ et ) <-> ( ch /\ ta /\ et ) ) ) $=
      ( pm4.2d 3anbi123d ) ABCDEFFGHAFIJ $.
      $( [8-Sep-2006] $) $( [8-Sep-2006] $)

    $( Deduction conjoining and adding a conjunct to equivalences. $)
    3anbi13d $p |- ( ph -> ( ( ps /\ et /\ th ) <-> ( ch /\ et /\ ta ) ) ) $=
      ( pm4.2d 3anbi123d ) ABCFFDEGAFIHJ $.
      $( [9-Sep-2006] $) $( [8-Sep-2006] $)

    $( Deduction conjoining and adding a conjunct to equivalences. $)
    3anbi23d $p |- ( ph -> ( ( et /\ ps /\ th ) <-> ( et /\ ch /\ ta ) ) ) $=
      ( pm4.2d 3anbi123d ) AFFBCDEAFIGHJ $.
      $( [10-Sep-2006] $) $( [8-Sep-2006] $)
  $}

  ${
    3anbi1d.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction adding conjuncts to an equivalence. $)
    3anbi1d $p |- ( ph -> ( ( ps /\ th /\ ta ) <-> ( ch /\ th /\ ta ) ) ) $=
      ( pm4.2d 3anbi12d ) ABCDDEFADGH $.
      $( [9-Sep-2006] $) $( [8-Sep-2006] $)

    $( Deduction adding conjuncts to an equivalence. $)
    3anbi2d $p |- ( ph -> ( ( th /\ ps /\ ta ) <-> ( th /\ ch /\ ta ) ) ) $=
      ( pm4.2d 3anbi12d ) ADDBCEADGFH $.
      $( [2-Nov-2006] $) $( [8-Sep-2006] $)

    $( Deduction adding conjuncts to an equivalence. $)
    3anbi3d $p |- ( ph -> ( ( th /\ ta /\ ps ) <-> ( th /\ ta /\ ch ) ) ) $=
      ( pm4.2d 3anbi13d ) ADDBCEADGFH $.
      $( [11-Sep-2006] $) $( [8-Sep-2006] $)
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    3anim123d.we $f wff et $.
    3anim123d.wz $f wff ze $.
    3anim123d.1 $e |- ( ph -> ( ps -> ch ) ) $.
    3anim123d.2 $e |- ( ph -> ( th -> ta ) ) $.
    3anim123d.3 $e |- ( ph -> ( et -> ze ) ) $.
    $( Deduction joining 3 implications to form implication of conjunctions. $)
    3anim123d $p |- ( ph -> ( ( ps /\ th /\ et ) -> ( ch /\ ta /\ ze ) ) ) $=
      ( wa w3a anim12d df-3an 3imtr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
      $( [30-Jun-2005] $) $( [24-Feb-2005] $)

    $( Deduction joining 3 implications to form implication of disjunctions. $)
    3orim123d $p |- ( ph -> ( ( ps \/ th \/ et ) -> ( ch \/ ta \/ ze ) ) ) $=
      ( wo w3o orim12d df-3or 3imtr4g ) ABDKZFKCEKZGKBDFLCEGLAPQFGABCDEHIMJMBDF
      NCEGNO $.
      $( [4-Apr-1997] $)
  $}

  ${
    $v et $. $( Greek eta $)
    an6wet $f wff et $.
    $( Rearrangement of 6 conjuncts. $)
    an6 $p |- ( ( ( ph /\ ps /\ ch ) /\ ( th /\ ta /\ et ) ) <->
              ( ( ph /\ th ) /\ ( ps /\ ta ) /\ ( ch /\ et ) ) ) $=
      ( w3a wa df-3an anbi12i an4 anbi1i 3bitr bitr4 ) ABCGZDEFGZHZADHZBEHZHZCF
      HZHZRSUAGQABHZCHZDEHZFHZHUCUEHZUAHUBOUDPUFABCIDEFIJUCCUEFKUGTUAABDEKLMRSU
      AIN $.
      $( [13-Mar-1995] $)
  $}

  ${
    mp3an1.1 $e |- ph $.
    mp3an1.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an1 $p |- ( ( ps /\ ch ) -> th ) $=
      ( wa 3expb mpan ) ABCGDEABCDFHI $.
      $( [21-Nov-1994] $)
  $}

  ${
    mp3an2.1 $e |- ps $.
    mp3an2.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an2 $p |- ( ( ph /\ ch ) -> th ) $=
      ( 3expa mpanl2 ) ABCDEABCDFGH $.
      $( [21-Nov-1994] $)
  $}

  ${
    mp3an3.1 $e |- ch $.
    mp3an3.2 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an3 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa 3expa mpan2 ) ABGCDEABCDFHI $.
      $( [21-Nov-1994] $)
  $}

  ${
    mp3an12.1 $e |- ph $.
    mp3an12.2 $e |- ps $.
    mp3an12.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an12 $p |- ( ch -> th ) $=
      ( mp3an1 mpan ) BCDFABCDEGHI $.
      $( [15-Jul-2005] $) $( [13-Jul-2005] $)
  $}

  ${
    mp3an13.1 $e |- ph $.
    mp3an13.2 $e |- ch $.
    mp3an13.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an13 $p |- ( ps -> th ) $=
      ( mp3an3 mpan ) ABDEABCDFGHI $.
      $( [16-Jul-2005] $) $( [14-Jul-2005] $)
  $}

  ${
    mp3an23.1 $e |- ps $.
    mp3an23.2 $e |- ch $.
    mp3an23.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an23 $p |- ( ph -> th ) $=
      ( mp3an3 mpan2 ) ABDEABCDFGHI $.
      $( [16-Jul-2005] $) $( [14-Jul-2005] $)
  $}

  ${
    mp3an1i.1 $e |- ps $.
    mp3an1i.2 $e |- ( ph -> ( ( ps /\ ch /\ th ) -> ta ) ) $.
    $( An inference based on modus ponens. $)
    mp3an1i $p |- ( ph -> ( ( ch /\ th ) -> ta ) ) $=
      ( wa wi w3a com12 mp3an1 ) CDHAEBCDAEIFABCDJEGKLK $.
      $( [9-Jul-2005] $) $( [5-Jul-2005] $)
  $}

  ${
    mp3anl1.1 $e |- ph $.
    mp3anl1.2 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anl1 $p |- ( ( ( ps /\ ch ) /\ th ) -> ta ) $=
      ( wa wi w3a ex mp3an1 imp ) BCHDEABCDEIFABCJDEGKLM $.
      $( [25-Feb-2005] $) $( [24-Feb-2005] $)
  $}

  ${
    mp3anl2.1 $e |- ps $.
    mp3anl2.2 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anl2 $p |- ( ( ( ph /\ ch ) /\ th ) -> ta ) $=
      ( wa wi w3a ex mp3an2 imp ) ACHDEABCDEIFABCJDEGKLM $.
      $( [26-Feb-2005] $) $( [24-Feb-2005] $)
  $}

  ${
    mp3anl3.1 $e |- ch $.
    mp3anl3.2 $e |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anl3 $p |- ( ( ( ph /\ ps ) /\ th ) -> ta ) $=
      ( wa wi w3a ex mp3an3 imp ) ABHDEABCDEIFABCJDEGKLM $.
      $( [25-Feb-2005] $) $( [24-Feb-2005] $)
  $}

  ${
    mp3anr1.1 $e |- ps $.
    mp3anr1.2 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anr1 $p |- ( ( ph /\ ( ch /\ th ) ) -> ta ) $=
      ( wa w3a ancoms mp3anl1 ) CDHAEBCDAEFABCDIEGJKJ $.
      $( [6-Nov-2006] $) $( [4-Nov-2006] $)
  $}

  ${
    mp3anr2.1 $e |- ch $.
    mp3anr2.2 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anr2 $p |- ( ( ph /\ ( ps /\ th ) ) -> ta ) $=
      ( wa w3a ancoms mp3anl2 ) BDHAEBCDAEFABCDIEGJKJ $.
      $( [25-Nov-2006] $) $( [24-Nov-2006] $)
  $}

  ${
    mp3anr3.1 $e |- th $.
    mp3anr3.2 $e |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $.
    $( An inference based on modus ponens. $)
    mp3anr3 $p |- ( ( ph /\ ( ps /\ ch ) ) -> ta ) $=
      ( wa w3a ancoms mp3anl3 ) BCHAEBCDAEFABCDIEGJKJ $.
      $( [19-Oct-2007] $) $( [19-Oct-2007] $)
  $}

  ${
    mp3an.1 $e |- ph $.
    mp3an.2 $e |- ps $.
    mp3an.3 $e |- ch $.
    mp3an.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mp3an $p |- th $=
      ( mp3an1 mp2an ) BCDFGABCDEHIJ $.
      $( [14-May-1999] $)
  $}

  ${
    mpd3an3.2 $e |- ( ( ph /\ ps ) -> ch ) $.
    mpd3an3.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpd3an3 $p |- ( ( ph /\ ps ) -> th ) $=
      ( wa 3expa mpdan ) ABGCDEABCDFHI $.
      $( [12-Nov-2007] $) $( [8-Nov-2007] $)
  $}

  ${
    mpd3an23.1 $e |- ( ph -> ps ) $.
    mpd3an23.2 $e |- ( ph -> ch ) $.
    mpd3an23.3 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( An inference based on modus ponens. $)
    mpd3an23 $p |- ( ph -> th ) $=
      ( id syl3anc ) ABCDAGAHEFI $.
      $( [5-Dec-2006] $) $( [4-Dec-2006] $)
  $}

  ${
    biimp3a.1 $e |- ( ( ph /\ ps ) -> ( ch <-> th ) ) $.
    $( Infer implication from a logical equivalence.  Similar to ~ biimpa . $)
    biimp3a $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa biimpa 3impa ) ABCDABFCDEGH $.
      $( [6-Sep-2005] $) $( [4-Sep-2005] $)
  $}

  ${
    3anandis.1 $e |- ( ( ( ph /\ ps ) /\ ( ph /\ ch ) /\ ( ph /\ th ) )
                      -> ta ) $.
    $( Inference that undistributes a triple conjunction in the antecedent. $)
    3anandis $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) -> ta ) $=
      ( wa w3a 3simp1 anim2i 3simp2 3simp3 syl3anc ) ABGACGADGEABCDHZGFNBABCDIJ
      NCABCDKJNDABCDLJM $.
      $( [21-Apr-2007] $) $( [18-Apr-2007] $)
  $}

  ${
    3anandirs.1 $e |- ( ( ( ph /\ th ) /\ ( ps /\ th ) /\ ( ch /\ th ) )
                      -> ta ) $.
    $( Inference that undistributes a triple conjunction in the antecedent. $)
    3anandirs $p |- ( ( ( ph /\ ps /\ ch ) /\ th ) -> ta ) $=
      ( wa w3a 3simp1 anim1i 3simp2 3simp3 syl3anc ) ADGBDGCDGEABCHZDGFNADABCIJ
      NBDABCKJNCDABCLJM $.
      $( [18-Apr-2007] $) $( [25-Jul-2006] $)
  $}

  ${
    ecase23d.1 $e |- ( ph -> -. ch ) $.
    ecase23d.2 $e |- ( ph -> -. th ) $.
    ecase23d.3 $e |- ( ph -> ( ps \/ ch \/ th ) ) $.
    $( Deduction for elimination by cases. $)
    ecase23d $p |- ( ph -> ps ) $=
      ( wo wn wa jca ioran sylibr w3o 3orass sylib ord mt3d ) ABCDHZACIZDIZJSIA
      TUAEFKCDLMABSABCDNBSHGBCDOPQR $.
      $( [15-Jul-2005] $) $( [22-Apr-1994] $)
  $}

  ${
    3ecase.1 $e |- ( -. ph -> th ) $.
    3ecase.2 $e |- ( -. ps -> th ) $.
    3ecase.3 $e |- ( -. ch -> th ) $.
    3ecase.4 $e |- ( ( ph /\ ps /\ ch ) -> th ) $.
    $( Inference for elimination by cases. $)
    3ecase $p |- th $=
      ( wi 3exp wn a1d pm2.61i pm2.61nii ) BCDABCDIZIABCDHJAKZOBPDCELLMFGN $.
      $( [19-Jul-2005] $) $( [13-Jul-2005] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
      Other axiomatizations of classical propositional calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Carew Meredith's sole axiom for propositional calculus.  This amazing
     formula is thought to be the shortest possible single axiom for
     propositional calculus with inference rule ~ ax-mp , where negation and
     implication are primitive.  Here we prove Meredith's axiom from ~ ax-1 ,
     ~ ax-2 , and ~ ax-3 .  Then from it we derive the Lukasiewicz axioms
     ~ luk-1 , ~ luk-2 , and ~ luk-3 .  Using these we finally re-derive our
     axioms as ~ ax1 , ~ ax2 , and ~ ax3 , thus proving the equivalence of
     all three systems.  C. A. Meredith, "Single Axioms for the Systems
     (C,N), (C,O) and (A,N) of the Two-Valued Propositional Calculus," _The
     Journal of Computing Systems_ vol. 3 (1953), pp. 155-164.  Meredith
     claimed to be close to a proof that this axiom is the shortest possible,
     but the proof was apparently never completed.

     An obscure Irish lecturer, Meredith (1904-1976) became enamored with
     logic somewhat late in life after attending talks by Lukasiewicz and
     produced many remarkable results such as this axiom.  From his obituary:
     "He did logic whenever time and opportunity presented themselves, and he
     did it on whatever materials came to hand:  in a pub, his favored pint
     of porter within reach, he would use the inside of cigarette packs to
     write proofs for logical colleagues." $)
  meredith $p |- ( ( ( ( ( ph -> ps ) -> ( -. ch -> -. th ) ) -> ch ) ->
       ta ) -> ( ( ta -> ph ) -> ( th -> ph ) ) ) $=
    ( wi wn ax-3 pm2.21 imim1i com23 syl5 con3d pm2.27 impi com12 imim2d a2d
    con3 syl6 syl ) ABFZCGZDGZFZFZCFZEFZEGZUCUCAGZUDFZFZGFZGZFZEAFZDAFZFUHUMEUM
    UGEUMULCUFCULHUFUJUCUDUJUBUEABIJKLJMUOUPUKUQUOUJUIFUKUPUOUJUIUDUJUOUIUDFUJU
    NUDUIUNUJUDUCULUKUCUKNOPQPREASLADHTUA $.
    $( [14-Dec-2002] $)

  $( Step 3 of Meredith's proof of Lukasiewicz axioms from his sole axiom.
     (The step numbers refer to Meredith's original paper.) $)
  merlem1 $p |- ( ( ( ch -> ( -. ph -> ps ) ) -> ta ) -> ( ph -> ta ) ) $=
    ( wn wi meredith ax-mp ) DAEZFIBFZEZIFFZJFCJFZFZMDFADFFJDECEFZEKEFZFOFDFLFN
    IBOKDGJPDCLGHDIJAMGH $.
    $( [14-Dec-2002] $)

  $( Step 4 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem2 $p |- ( ( ( ph -> ph ) -> ch ) -> ( th -> ch ) ) $=
    ( wi wn merlem1 meredith ax-mp ) BBDZAECEZDDADAADZDKBDCBDDAJIAFBBACKGH $.
    $( [14-Dec-2002] $)

  $( Step 7 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem3 $p |- ( ( ( ps -> ch ) -> ph ) -> ( ch -> ph ) ) $=
    ( wi wn merlem2 ax-mp meredith ) AADZCEZJDZDZCDBCDZDZMADCADZDOBEZPDDBDZLDZN
    KKDLDRJKIFKLQFGCABBLHGAACCMHG $.
    $( [14-Dec-2002] $)

  $( Step 8 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem4 $p |- ( ta -> ( ( ta -> ph ) -> ( th -> ph ) ) ) $=
    ( wi wn meredith merlem3 ax-mp ) AADBEZIDDBDZCDCADBADDZDCKDAABBCFKJCGH $.
    $( [14-Dec-2002] $)

  $( Step 11 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem5 $p |- ( ( ph -> ps ) -> ( -. -. ph -> ps ) ) $=
    ( wi wn meredith merlem1 merlem4 ax-mp ) BBCZBDZJCCBCBCIICCZABCZADZDZBCCZBB
    BBBEIJNDCCBCZACZOCZKOCZBBBNAEOKDZCMTCCZACQCZRSCUAUBMBLTFAPUAGHOTAKQEHHH $.
    $( [14-Dec-2002] $)

  $( Step 12 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem6 $p |- ( ch -> ( ( ( ps -> ch ) -> ph ) -> ( th -> ph ) ) ) $=
    ( wi merlem4 merlem3 ax-mp ) BCEZIAEDAEEZECJEADIFJBCGH $.
    $( [14-Dec-2002] $)

  $( Between steps 14 and 15 of Meredith's proof of Lukasiewicz axioms from his
     sole axiom. $)
  merlem7 $p |- ( ph -> ( ( ( ps -> ch ) -> th ) -> ( ( ( ch -> ta ) ->
                  ( -. th -> -. ps ) ) -> th ) ) ) $=
    ( wi wn merlem4 merlem6 meredith ax-mp ) BCFZLDFZCEFDGBGFFZDFZFZFZAPFZDNLHP
    AGZFCGZSFFZCFLFZQRFOUAFUBSMOTICEDBUAJKPSCALJKK $.
    $( [22-Dec-2002] $)

  $( Step 15 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem8 $p |- ( ( ( ps -> ch ) -> th ) -> ( ( ( ch -> ta ) ->
                  ( -. th -> -. ps ) ) -> th ) ) $=
    ( wph wi wn meredith merlem7 ax-mp ) EEFZEGZLFFEFEFKKFFZABFCFBDFCGAGFFCFFEE
    EEEHMABCDIJ $.
    $( [22-Dec-2002] $)

  ${
    $v et $. $( Greek eta $)
    meredith.we $f wff et $.
    $( Step 18 of Meredith's proof of Lukasiewicz axioms from his sole
       axiom. $)
    merlem9 $p |- ( ( ( ph -> ps ) -> ( ch -> ( th -> ( ps -> ta ) ) ) ) ->
                    ( et -> ( ch -> ( th -> ( ps -> ta ) ) ) ) ) $=
      ( wi wn merlem6 merlem8 ax-mp meredith ) CDBEGZGZGZFHZGBHZPGGZBGABGZGZSOG
      FOGGMRHDHGZHAHGZGUAGRGZTNRGUCPCNQIDMRUBJKBEUAARLKOPBFSLK $.
      $( [22-Dec-2002] $)
  $}

  $( Step 19 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem10 $p |- ( ( ph -> ( ph -> ps ) ) -> ( th -> ( ph -> ps ) ) ) $=
    ( wi wn meredith merlem9 ax-mp ) AADZAEZJDDADADIIDDZAABDZDZCLDDZAAAAAFLADJC
    EDDADZADNDKNDLAACAFOAMCBKGHH $.
    $( [14-Dec-2002] $)

  $( Step 20 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem11 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi wn meredith merlem10 ax-mp ) AACZADZICCACACHHCCZAABCZCZKCZAAAAAELMCJMC
    ABLFLKJFGG $.
    $( [14-Dec-2002] $)

  $( Step 28 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem12 $p |- ( ( ( th -> ( -. -. ch -> ch ) ) -> ph ) -> ph ) $=
    ( wn wi merlem5 merlem2 ax-mp merlem4 merlem11 ) CBDDBEZEZAEZMAEZEZNLOBBEKE
    LBBFBKCGHAMLIHMAJH $.
    $( [14-Dec-2002] $)

  $( Step 35 of Meredith's proof of Lukasiewicz axioms from his sole axiom. $)
  merlem13 $p |- ( ( ph -> ps ) ->
              ( ( ( th -> ( -. -. ch -> ch ) ) -> -. -. ph ) -> ps ) ) $=
    ( wi wn merlem12 merlem5 ax-mp merlem6 meredith merlem11 ) BBEZAFZDCFFCEEZN
    FZEZFZEZEAEZAEZABEQBEETUAEZUASUBOREZREZSRCDGRBEZRFPEZEREUCEZUDSEUFUGQPEUFPC
    DGQPHIRUEUFOJIRBRNUCKIIAMSTJITALIBBAQAKI $.
    $( [14-Dec-2002] $)

  $( 1 of 3 axioms for propositional calculus due to Lukasiewicz, derived from
     Meredith's sole axiom. $)
  luk-1 $p |- ( ( ph -> ps ) -> ( ( ps -> ch ) -> ( ph -> ch ) ) ) $=
    ( wi wn meredith merlem13 ax-mp ) CCDZAEZEZEJDDKDBDZBCDACDDZDZABDZMDZCCKABF
    MADZOEZEZERDDSDLDZNPDOLDTABJIGOLRQGHMASOLFHH $.
    $( [14-Dec-2002] $)

  $( 2 of 3 axioms for propositional calculus due to Lukasiewicz, derived from
     Meredith's sole axiom. $)
  luk-2 $p |- ( ( -. ph -> ph ) -> ph ) $=
    ( wn wi merlem5 merlem4 ax-mp merlem11 meredith ) ABZACZJACZCZKAJBZCIBMCCZI
    CZICZLOPCZPNQAMDIONEFOIGFAMIJIHFJAGF $.
    $( [14-Dec-2002] $)

  $( 3 of 3 axioms for propositional calculus due to Lukasiewicz, derived from
     Meredith's sole axiom. $)
  luk-3 $p |- ( ph -> ( -. ph -> ps ) ) $=
    ( wn wi merlem11 merlem1 ax-mp ) ACZHBDZDIDAIDHBEABHIFG $.
    $( [14-Dec-2002] $)

  ${
    luklem1.1 $e |- ( ph -> ps ) $.
    luklem1.2 $e |- ( ps -> ch ) $.
    $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
    luklem1 $p |- ( ph -> ch ) $=
      ( wi luk-1 ax-mp ) BCFZACFZEABFIJFDABCGHH $.
      $( [23-Dec-2002] $)
  $}

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem2 $p |- ( ( ph -> -. ps ) ->
                ( ( ( ph -> ch ) -> th ) -> ( ps -> th ) ) ) $=
    ( wn wi luk-1 luk-3 ax-mp luklem1 ) ABEZFZBACFZFZMDFBDFFLKCFZMFZNAKCGBOFPNF
    BCHBOMGIJBMDGJ $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem3 $p |- ( ph -> ( ( ( -. ph -> ps ) -> ch ) -> ( th -> ch ) ) ) $=
    ( wn wi luk-3 luklem2 luklem1 ) AAEZDEZFJBFCFDCFFAKGJDBCHI $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem4 $p |- ( ( ( ( -. ph -> ph ) -> ph ) -> ps ) -> ps ) $=
    ( wn wi luk-2 luklem3 ax-mp luk-1 luklem1 ) ACADADZBDZBCZBDZBLJDZKMDJCJDJDZ
    NJEJONDAEJJJLFGGLJBHGBEI $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem5 $p |- ( ph -> ( ps -> ph ) ) $=
    ( wn wi luklem3 luklem4 luklem1 ) AACADADBADZDHAAABEAHFG $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem6 $p |- ( ( ph -> ( ph -> ps ) ) -> ( ph -> ps ) ) $=
    ( wi luk-1 wn luklem5 luklem2 luklem4 luklem1 ax-mp ) AABCZCKBCZKCZKAKBDKEZ
    KCZKCMKCZCZPMOCZQNLCRNBEZNCZLNSFTSBCBCLCLSKBBGBLHIINLKDJMOKDJKPHJI $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem7 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ps -> ( ph -> ch ) ) ) $=
    ( wi luk-1 luklem5 luklem1 luklem6 ax-mp ) ABCDZDJCDZACDZDZBLDZAJCEBKDMNDBJ
    KDZKBJBDOBJFJBCEGJCHGBKLEIG $.
    $( [22-Dec-2002] $)

  $( Used to rederive standard propositional axioms from Lukasiewicz'. $)
  luklem8 $p |- ( ( ph -> ps ) -> ( ( ch -> ph ) -> ( ch -> ps ) ) ) $=
    ( wi luk-1 luklem7 ax-mp ) CADZABDZCBDZDDIHJDDCABEHIJFG $.
    $( [22-Dec-2002] $)

  $( Standard propositional axiom derived from Lukasiewicz axioms. $)
  ax1 $p |- ( ph -> ( ps -> ph ) ) $=
    ( luklem5 ) ABC $.
    $( [22-Dec-2002] $)

  $( Standard propositional axiom derived from Lukasiewicz axioms. $)
  ax2 $p |- ( ( ph -> ( ps -> ch ) ) -> ( ( ph -> ps ) -> ( ph -> ch ) ) ) $=
    ( wi luklem7 luklem8 luklem6 ax-mp luklem1 ) ABCDDBACDZDZABDZJDZABCEKLAJDZD
    ZMBJAFNJDOMDACGNJLFHII $.
    $( [22-Dec-2002] $)

  $( Standard propositional axiom derived from Lukasiewicz axioms. $)
  ax3 $p |- ( ( -. ph -> -. ps ) -> ( ps -> ph ) ) $=
    ( wn wi luklem2 luklem4 luklem1 ) ACZBCDHADADBADZDIHBAAEAIFG $.
    $( [22-Dec-2002] $)

  $( Axiom of Nicod from _Introduction to Mathematical Philosophy_ B. Russell,
     p. 152.  The axiom is recovered from this raw form by substituting
     ` ( ph | ps ) ` for ` -. ( ph /\ ps ) ` , where ` | ` is the Sheffer
     stroke (NAND) connective, so that the Sheffer stroke becomes the sole
     connective.  See ~ nicodmpraw for the inference rule.  (Based on a proof
     by Jeff Hoffman, 19-Nov-2007.) $)
  nicodraw $p |- -. ( -. ( ph /\ -. ( ch /\ ps ) ) /\ -. ( -. ( ta /\
      -. ( ta /\ ta ) ) /\ -. ( -. ( th /\ ch ) /\ -. ( -. ( ph /\ th ) /\
         -. ( ph /\ th ) ) ) ) ) $=
    ( wa wn wi iman biimpr pm3.26 imim2i con3 imim2d bi2.03 imnan bitr2
    syl6ibr syl5ibr anidm imbi2i bitr3 sylibr 3syl pm4.24 biimp mpbi jctil ) AC
    BFZGFGZEEEFZGFGZDCFGZADFGZUNFZGFGZFZHUJUQGFGUJUPULUJAUIHZACHZUPURUJAUIIJUIC
    ACBKLUSUMUNHZUPUSDCGZHZUNUMUSVBDAGZHZUNUSVAVCDACMNVDADGHUNDAOADPQRDCPSUPUMU
    OHUTUMUOIUOUNUMUNTUAUBUCUDEUKHULEUKEUEUFEUKIUGUHUJUQIUG $.
    $( [20-Nov-2007] $) $( [19-Nov-2007] $)

  ${
    nicmin $e |- ph $.
    nicmaj $e |- -. ( ph /\ -. ( ch /\ ps ) ) $.
    $( The inference rule for the axiom of Nicod, in raw form as explained in
       ~ nicodraw . $)
    nicodmpraw $p |- ps $=
      ( wa wi wn iman mpbir pm3.27d ax-mp ) ABDACBACBFZGAMHFHEAMIJKL $.
      $( [20-Nov-2007] $) $( [19-Nov-2007] $)
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                Predicate calculus axiomatization
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The axioms of predicate calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols needed for pure predicate calculus. $)
  $c A. $. $( "inverted A" universal quantifier (read:  "for all") $)
  $c set $. $( Individual variable type (read:  "the following is an
             individual (set) variable" $)

  $( Declare some names for individual variables. $)
  $v x $.
  $v y $.
  $v z $.
  $v w $.
  $v v $.
  $v u $.
  $( Let ` x ` be an individual variable. $)
  vx $f set x $.
  $( Let ` y ` be an individual variable. $)
  vy $f set y $.
  $( Let ` z ` be an individual variable. $)
  vz $f set z $.
  $( Let ` w ` be an individual variable. $)
  vw $f set w $.
  $( Let ` v ` be an individual variable. $)
  vv $f set v $.
  $( Let ` u ` be an individual variable. $)
  vu $f set u $.

  $( Extend wff definition to include the universal quantifier ('for all').
     ` A. x ph ` is read " ` ph ` (phi) is true for all ` x ` ."  Typically,
     in its final application ` ph ` would be replaced with a wff containing
     a (free) occurrence of the variable ` x ` , for example ` x = y ` .
     In a universe with a finite number of objects, "for all" is equivalent
     to a big conjunction (AND) with one wff for each possible case of
     ` x ` .  When the universe is infinite (as with set theory), such a
     propositional-calculus equivalent is not possible because an infinitely
     long formula has no meaning, but conceptually the idea is the same. $)
  wal $a wff A. x ph $.

  $( Declare the equality predicate symbol. $)
  $c = $.  $( Equal sign (read:  'is equal to') $)

  $( --- Start of patch to prevent connective overloading $)
  $c class $.
  $( This syntax construction states that a variable ` x ` , which has been
     declared to be a set variable by $f statement vx, is also a class
     expression.  This can be justified informally as follows.  We know that
     the class builder ` { y | y e. x } ` is a class by ~ cab .  Since (when
     ` y ` is distinct from ` x ` ) we have ` x = { y | y e. x } ` by
     ~ cvjust , we can argue that that the syntax " ` class x ` " can be
     viewed as an abbreviation for " ` class { y | y e. x } ` ".  See the
     discussion under the definition of class in [Jech] p. 4 showing that
     "Every set can be considered to be a class."

     While it is tempting and perhaps occasionally useful to view ~ cv as a
     "type conversion" from a set variable to a class variable, keep in mind
     that ~ cv is intrinsically no different from any other class-building
     syntax such as ~ cab , ~ cun , or ~ c0 .

     (The description above applies to set theory, not predicate calculus.
     The purpose of introducing ` class x ` here, and not in set theory where
     it belongs, is to allow us to express i.e.  "prove" the ~ weq of
     predicate calculus from the ~ wceq of set theory, so that we don't
     "overload" the ` = ` connective with two syntax definitions.  This is
     done to prevent ambiguity that would complicate some Metamath
     parsers.)  $)
  cv $a class x $.

  ${
    $v A $.
    $v B $.
    wceq.cA $f class A $.
    wceq.cB $f class B $.
    $( Extend wff definition to include class equality.

       (The purpose of introducing ` wff A = B ` here, and not in set theory
       where it belongs, is to allow us to express i.e. "prove" the ~ weq of
       predicate calculus in terms of the ~ wceq of set theory, so that we
       don't "overload" the ` = ` connective with two syntax definitions.
       This is done to prevent ambiguity that would complicate some Metamath
       parsers.  For example, some parsers - although not the Metamath
       program - stumble on the fact that the ` = ` in ` x = y ` could be the
       ` = ` of either ~ weq or ~ wceq , although mathematically it makes no
       difference.  The class variables ` A ` and ` B ` are introduced
       temporarily for the purpose of this definition but otherwise not used
       in predicate calculus.  See ~ df-cleq for more information on the set
       theory usage of ~ wceq .) $)
    wceq $a wff A = B $.
  $}

  $( Extend wff definition to include atomic formulas using the equality
     predicate.

     (Instead of introducing ~ weq as an axiomatic statement, as was done
     in an older version of this database, we introduce it by "proving" a
     special case of set theory's more general ~ wceq .  This lets us avoid
     overloading the ` = ` connective, thus preventing ambiguity that would
     complicate certain Metamath parsers.  However, logically ~ weq is
     considered to be a primitive syntax, even though here it is artificially
     "derived" from ~ wceq .  Note: To see the proof steps of this syntax
     proof, type "show proof weq /all" in the Metamath program.) $)
  weq $p wff x = y $=
    ( cv wceq ) ACBCD $.
    $( [24-Jan-2006] $)
  $( --- End of patch to prevent connective overloading $)

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include atomic formulas using the equality
     predicate.

     After we introduce ~ cv and ~ wceq in set theory, this syntax construction
     becomes redundant, since it can be derived with the proof
     "vx cv vy cv wceq". @)
  weq @a wff x = y @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Declare the membership predicate symbol. $)
  $c e. $. $( Stylized epsilon $)

  $( --- Start of patch to prevent connective overloading $)
  ${
    $v A $.
    $v B $.
    wcel.cA $f class A $.
    wcel.cB $f class B $.
    $( Extend wff definition to include the membership connective between
       classes.

       (The purpose of introducing ` wff A e. B ` here is to allow us to
       express i.e. "prove" the ~ wel of predicate calculus in terms of the
       ~ wceq of set theory, so that we don't "overload" the ` e. ` connective
       with two syntax definitions.  This is done to prevent ambiguity that
       would complicate some Metamath parsers.  The class variables ` A ` and
       ` B ` are introduced temporarily for the purpose of this definition but
       otherwise not used in predicate calculus.  See ~ df-clab for more
       information on the set theory usage of ~ wcel .) $)
    wcel $a wff A e. B $.
  $}

  $( Extend wff definition to include atomic formulas with the epsilon
     (membership) predicate.  This is read " ` x ` is an element of ` y ` ,"
     " ` x ` is a member of ` y ` ," " ` x ` belongs to ` y ` ," or " ` y `
     contains ` x ` ."  Note:  The phrase " ` y ` includes ` x ` " means
     " ` x ` is a subset of ` y ` ;" to use it also for ` x e. y ` , as some
     authors occasionally do, is poor form and causes confusion, according to
     George Boolos (1992 lecture at MIT).

     This syntactical construction introduces a binary non-logical predicate
     symbol ` e. ` (epsilon) into our predicate calculus.  We will eventually
     use it for the membership predicate of set theory, but that is
     irrelevant at this point:  the predicate calculus axioms for ` e. `
     apply to any arbitrary binary predicate symbol.  "Non-logical" means
     that the predicate is presumed to have additional properties beyond the
     realm of predicate calculus, although these additional properties are
     not specified by predicate calculus itself but rather by the axioms of a
     theory (in our case set theory) added to predicate calculus.  "Binary"
     means that the predicate has two arguments.

     (Instead of introducing ~ wel as an axiomatic statement, as was done
     in an older version of this database, we introduce it by "proving" a
     special case of set theory's more general ~ wcel .  This lets us avoid
     overloading the ` e. ` connective, thus preventing ambiguity that would
     complicate certain Metamath parsers.  However, logically ~ wel is
     considered to be a primitive syntax, even though here it is artificially
     "derived" from ~ wcel .  Note: To see the proof steps of this syntax
     proof, type "show proof wel /all" in the Metamath program.) $)
  wel $p wff x e. y $=
    ( cv wcel ) ACBCD $.
    $( [24-Jan-2006] $)
  $( --- End of patch to prevent connective overloading $)

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include atomic formulas with the epsilon
     (membership) predicate.  This is read " ` x ` is an element of ` y ` ,"
     " ` x ` is a member of ` y ` ," " ` x ` belongs to ` y ` ," or " ` y `
     contains ` x ` ."  Note:  The phrase " ` y ` includes ` x ` " means
     " ` x ` is a subset of ` y ` "; to use it also for ` x e. y ` (as some
     authors occasionally do) is poor form and causes confusion.

     After we introduce ~ cv and ~ wcel in set theory, this syntax construction
     becomes redundant, since it can be derived with the proof
     "vx cv vy cv wcel". @)
  wel @a wff x e. y @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Axiom of Quantified Implication.  Axiom C4 of [Monk2] p. 105. $)
  ax-5 $a |- ( A. x ( ph -> ps ) -> ( A. x ph -> A. x ps ) ) $.

  $( Axiom of Quantified Negation.  Axiom C5-2 of [Monk2] p. 113. $)
  ax-6 $a |- ( -. A. x ph -> A. x -. A. x ph ) $.

  $( Axiom of Quantifier Commutation.  This axiom says universal quantifiers
     can be swapped.  One of the 4 axioms of pure predicate calculus.  Axiom
     scheme C6' in [Megill] p. 448 (p. 16 of the preprint).  Also appears as
     Lemma 12 of [Monk2] p. 109 and Axiom C5-3 of [Monk2] p. 113.  An
     alternate axiomatization could use ~ ax467 in place of ~ ax-4 , ~ ax-6o ,
     and ~ ax-7 . $)
  ax-7 $a |- ( A. x A. y ph -> A. y A. x ph ) $.

  ${
    ax-g.1 $e |- ph $.
    $( Rule of Generalization.  The postulated inference rule of pure predicate
       calculus.  See e.g. Rule 2 of [Hamilton] p. 74.  This rule says that if
       something is unconditionally true, then it is true for all values of a
       variable.  For example, if we have proved ` x = x ` , we can conclude
       ` A. x x = x ` or even ` A. y x = x ` .  Theorem ~ a4i shows we can go
      the other way also:  in other words we can add or remove universal
      quantifiers from the beginning of any theorem as required. $)
    ax-gen $a |- A. x ph $.
  $}

  $( Axiom of Equality.  One of the equality and substitution axioms of
     predicate calculus with equality.  This is similar to, but not quite, a
     transitive law for equality (proved later as ~ equtr ).  Axiom scheme C8'
     in [Megill] p. 448  (p. 16 of the preprint).  Also appears as Axiom C7 of
     [Monk2] p. 105.

     Axioms ~ ax-8 through ~ ax-16 are the axioms having to do with
     equality, substitution, and logical properties of our binary predicate
     ` e. ` (which later in set theory will mean "is a member of").  Note
     that all axioms except ~ ax-16 and ~ ax-17 are still valid even when
     ` x ` , ` y ` , and ` z ` are replaced with the same variable because they
     do not have any distinct variable (Metamath's $d) restrictions.  Distinct
     variable restrictions are required for ~ ax-16 and ~ ax-17 only. $)
  ax-8 $a |- ( x = y -> ( x = z -> y = z ) ) $.

  $( Axiom of Existence.  One of the equality and substitution axioms of
     predicate calculus with equality.  One thing this axiom tells us is that
     at least one thing exists (although ~ ax-4 and possibly others also tell
     us that, i.e. they are not valid in the empty domain of a "free logic.")
     In this form (not requiring that ` x ` and ` y ` be distinct) it was
     used in an axiom system of Tarski (see Axiom B7' in footnote 1 of
     [KalishMontague] p. 81.)  It is equivalent to axiom scheme C10' in
     [Megill] p. 448 (p. 16 of the preprint); the equivalence is established
     by ~ ax9o and ~ ax9 . A more convenient form of this axiom is ~ a9e ,
     which has additional remarks.

     Raph Levien proved the independence of this axiom from the others on
     12-Apr-2005.  See item 16 at
     ~ http://us.metamath.org/award2003.html . $)
  ax-9 $a |- -. A. x -. x = y $.

  $( Axiom of Quantifier Substitution.  One of the equality and substitution
     axioms of predicate calculus with equality.  Appears as Lemma L12 in
     [Megill] p. 445 (p. 12 of the preprint).

     This axiom replaces the old axiom ~ ax-10o , which is proved from this one
     as theorem ~ ax10o .  Conversely, this axiom is proved from ~ ax-10o as
     theorem ~ ax10 . $)
  ax-10 $a |- ( A. x x = y -> A. y y = x ) $.

  $( Axiom of Variable Substitution.  One of the 5 equality axioms of predicate
     calculus.  The final consequent ` A. x ( x = y -> ph ) ` is a way of
     expressing " ` y ` substituted for ` x ` in wff ` ph ` " (cf. ~ sb6 ).
     It is based on Lemma 16 of [Tarski] p. 70 and Axiom C8 of [Monk2] p. 105,
     from which it can be proved by cases.

     The original version of this axiom, that isn't otherwise used in our
     development, was ~ ax-11o ("o" for "old"), which was replaced with this
     shorter ~ ax-11 in Jan. 2007.

     Juha Arpiainen proved the independence of this axiom (in the form of the
     older axiom ~ ax-11o ) from the others on 19-Jan-2006.  See item 9a at
     ~ http://us.metamath.org/award2003.html .

     Interestingly, if the wff expression substituted for ` ph ` contains no
     wff variables, the resulting statement _can_ be proved without invoking
     this axiom.  This means that even though this axiom is _metalogically_
     independent from the others, it is not _logically_ independent.
     Specifically, we can prove any wff-variable-free instance of axiom
     ~ ax-11o (from which the ~ ax-11 instance follows by theorem ~ ax11 .)
     The proof is by induction on formula length, using ~ ax11eq and ~ ax11el
     for the basis steps and ~ ax11indn , ~ ax11indi , and ~ ax11inda for the
     induction steps.

     See also ~ ax11v and ~ ax11v2 for other equivalents of this axiom that
     (unlike this axiom) have distinct variable restrictions. $)
  ax-11 $a |- ( x = y -> ( A. y ph -> A. x ( x = y -> ph ) ) ) $.

  $( Axiom of Quantifier Introduction.  One of the equality and substitution
     axioms of predicate calculus with equality.  Informally, it says that
     whenever ` z ` is distinct from ` x ` and ` y ` , and ` x = y ` is true,
     then ` x = y ` quantified with ` z ` is also true.  In other words, ` z `
     is irrelevant to the truth of ` x = y ` .  Axiom scheme C9' in [Megill]
     p. 448  (p. 16 of the preprint).  It apparently does not otherwise appear
     in the literature but is easily proved from textbook predicate calculus
     by cases.

     An open problem is whether this axiom is redundant.  Note that the
     analogous axiom for the membership connective, ~ ax-15 , has been shown
     to be redundant.  It is also unknown whether this axiom can be replaced
     by a shorter formula.  However, it can be derived from two slightly
     shorter formulas, as shown by ~ a12study . $)
  ax-12 $a |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x = y -> A. z x = y ) ) ) $.

  $( Axiom of Equality.  One of the equality and substitution axioms for a
     non-logical predicate in our predicate calculus with equality.  It
     substitutes equal variables into the left-hand side of the ` e. ` binary
     predicate.  Axiom scheme C12' in [Megill] p. 448  (p. 16 of the preprint).
     It is a special case of Axiom B8 (p. 75) of system S2 of [Tarski] p. 77.
     "Non-logical" means that the predicate is not a primitive of predicate
     calculus proper but instead is an extension to it.  "Binary" means that
     the predicate has two arguments.  In a system of predicate calculus with
     equality, like ours, equality is not usually considered to be a
     non-logical predicate.  In systems of predicate calculus without equality,
     it typically would be. $)
  ax-13 $a |- ( x = y -> ( x e. z -> y e. z ) ) $.

  $( Axiom of Equality.  One of the equality and substitution axioms for a
     non-logical predicate in our predicate calculus with equality.  It
     substitutes equal variables into the right-hand side of the ` e. ` binary
     predicate.  Axiom scheme C13' in [Megill] p. 448  (p. 16 of the preprint).
     It is a special case of Axiom B8 (p. 75) of system S2 of [Tarski]
     p. 77. $)
  ax-14 $a |- ( x = y -> ( z e. x -> z e. y ) ) $.

  ${
    $d x ph $.
    $( Axiom to quantify a variable over a formula in which it does not occur.
       Axiom C5 in [Megill] p. 444 (p. 11 of the preprint).  Also appears as
       Axiom B6 (p. 75) of system S2 of [Tarski] p. 77 and Axiom C5-1 of
       [Monk2] p. 113.

       This axiom is _logically_ redundant in the (logically complete)
       predicate calculus axiom system consisting of ~ ax-gen , ~ ax-4 through
       ~ ax-9 , ~ ax-10o , and ~ ax-12 through ~ ax-16 :  in that system, we
       can derive any instance of ~ ax-17 not containing wff variables by
       induction on formula length, using ~ ax17eq and ~ ax17el for the basis
       together ~ hbn , ~ hbal , and ~ hbim .  However, if we omit this axiom,
       our development would be quite inconvenient since we could work only
       with specific instances of wffs containing no wff variables - this axiom
       introduces the concept of a set variable not occurring in a wff (as
       opposed to just two set variables being distinct).  $)
    ax-17 $a |- ( ph -> A. x ph ) $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Derive ax-4, ax-5o, and ax-6o
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.  $d y ph $.
    $( Theorem showing that ~ ax-4 can be derived from ~ ax-5 , ~ ax-gen ,
       ~ ax-8 , ~ ax-9 , ~ ax-11 , and ~ ax-17 and is therefore redundant.
       Lemma 21 of [Monk2] p. 114.

       This theorem should not be referenced in any proof.  Instead, we will
       use ~ ax-4 below so that uses of ~ ax-4 can be more easily identified.
       In particular, this will more cleanly separate out the theorems of
       "pure" predicate calculus that don't involve equality or distinct
       variables.  A beginner can accept ~ ax-4 a priori, so that the proof of
       this theorem ( ~ ax4 ), which involves equality as well as the distinct
       the distinct variable requirements of ~ ax-17 , can be put off until
       later.

       Note:  All predicate calculus axioms introduced from this point forward
       are redundant.  Immediately before their introduction, we prove them
       from earlier axioms to demonstrate their redundancy.  Specifically,
       redundant axioms ~ ax-4 , ~ ax-5o , ~ ax-6o , ~ ax-9o , ~ ax-10o ,
       ~ ax-11o , ~ ax-15 , and ~ ax-16 are proved by theorems ~ ax4 , ~ ax5o ,
       ~ ax6o , ~ ax9o , ~ ax10o , ~ ax11o , ~ ax15 , and ~ ax16 . $)
    ax4 $p |- ( A. x ph -> ph ) $=
      ( vy wal wi weq wn ax-9 ax-17 ax-8 pm2.43i con3i ax-gen ax-5 ax-mp syl
      mt3 mpi ax-11 syl5 con2 syl6 con3 a3d ) ABDZAEZCBFZGZCDZCBHUFGZUJCDZUIUJC
      IUJUHEZCDUKUIEULCUGUFUGAUEUGAGZUEBCFZGZBDZEZUEGZUGUMAUOEZBDZUQUGUMUNUMEZB
      DZUTUGUMCDZVBUMUGUNVCVBEUGCCFZUNVDUPBCHZVDGZVFBDZUPVFBIVFUOEZBDVGUPEVHBUN
      VDUNVDBCCJKLMVFUOBNOPQCBCJRUMBCSPUMCITVAUSEZBDVBUTEVIBUNAUAMVAUSBNOUBAUOB
      NUBUQUPGURVEUEUPUCRUBUDLMUJUHCNOPQ $.
      $( [21-May-2008] $) $( [21-May-2008] $)
  $}

  $( Axiom of Specialization.  A quantified wff implies the wff without a
     quantifier (i.e. an instance, or special case, of the generalized wff).
     In other words if something is true for all ` x ` , it is true for any
     specific ` x ` (that would typically occur as a free variable in the wff
     substituted for ` ph ` ). (A free variable is one that does not occur in
     the scope of a quantifier:  ` x ` and ` y ` are both free in ` x = y ` ,
     but only ` y ` is free in ` A. x x = y ` .) This is one of the 4 axioms
     of what we call "pure" predicate calculus.  Axiom scheme C5' in [Megill]
     p. 448 (p. 16 of the preprint).  Also appears as Axiom B5 of [Tarski] p.
     67 (under his system S2, defined in the last paragraph on p. 77).  Note
     that the converse of this axiom does not hold in general, but a weaker
     inference form of the converse holds and is expressed as rule ~ ax-gen .
     Conditional forms of the converse are given by ~ ax-12 , ~ ax-15 ,
     ~ ax-16 , and ~ ax-17 .

     Unlike the more general textbook Axiom of Specialization, we cannot
     choose a variable different from ` x ` for the special case.  That is
     dealt with later when substitution is introduced - see ~ stdpc4 .

     An alternate axiomatization could use ~ ax467 and ~ ax-5o in place of
     ~ ax-4 , ~ ax-5o , ~ ax-6o , and ~ ax-7 .

     This axiom is redundant, as shown by theorem ~ ax4 . $)
  ax-4 $a |- ( A. x ph -> ph ) $.

  $( Show that the original axiom ~ ax-5o can be derived from ~ ax-5 and
     others.  See ~ ax5 for the rederivation of ~ ax-5 from ~ ax-5o .

     Part of the proof is based on the proof of Lemma 22 of [Monk2] p. 114.

     This theorem should not be referenced in any proof.  Instead, use ~ ax-5o
     below so that uses of ~ ax-5o can be more easily identified. $)
  ax5o $p |- ( A. x ( A. x ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( wal wi ax-5 wn ax-4 con2i ax-6 con1i ax-gen ax-mp 3syl syl5 ) ACDZBECDPCD
    ZBCDPPBCFPPGZCDZGZTCDZQSPRCHIRCJTPEZCDUAQEUBCPSACJKLTPCFMNO $.
    $( [22-May-2008] $) $( [21-May-2008] $)

  $( Axiom of Quantified Implication.  This axiom moves a quantifier from
     outside to inside an implication, quantifying ` ps ` .  Notice that
     ` x ` must not be a free variable in the antecedent of the quantified
     implication, and we express this by binding ` ph ` to "protect" the
     axiom from a ` ph ` containing a free ` x ` .  One of the 4 axioms of
     "pure" predicate calculus.  Axiom scheme C4' in [Megill] p. 448 (p. 16 of
     the preprint).  It is a special case of Lemma 5 of [Monk2] p. 108 and
     Axiom 5 of [Mendelson] p. 69.

     This axiom is redundant, as shown by theorem ~ ax5o . $)
  ax-5o $a |- ( A. x ( A. x ph -> ps ) -> ( A. x ph -> A. x ps ) ) $.

  $( Rederivation of axiom ~ ax-5 from the orginal version, ~ ax-5o .
     See ~ ax5o for the derivation of ~ ax-5o from ~ ax-5 .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-5
     above so that uses of ~ ax-5 can be more easily identified. $)
  ax5 $p |- ( A. x ( ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( wi wal ax-4 syl5 ax-gen ax-5o ax-mp syl ) ABDZCEZACEZBDZCEZNBCEDMODZCEMPD
    QCMABNLCFACFGHLOCIJABCIK $.
    $( [23-May-2008] $) $( [23-May-2008] $)

  $( Show that the original axiom ~ ax-6o can be derived from ~ ax-6 and
     others.  See ~ ax6 for the rederivation of ~ ax-6 from ~ ax-6o .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-6o
     below so that uses of ~ ax-6o can be more easily identified. $)
  ax6o $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn ax-4 ax-6 nsyl4 ) ABCZAHDBCABEABFG $.
    $( [22-May-2008] $) $( [21-May-2008] $)

  $( Axiom of Quantified Negation.  This axiom is used to manipulate negated
     quantifiers.  One of the 4 axioms of pure predicate calculus.  Equivalent
     to axiom scheme C7' in [Megill] p. 448 (p. 16 of the preprint).  An
     alternate axiomatization could use ~ ax467 in place of ~ ax-4 , ~ ax-6o ,
     and ~ ax-7 .

     This axiom is redundant, as shown by theorem ~ ax6o . $)
  ax-6o $a |- ( -. A. x -. A. x ph -> ph ) $.

  $( Rederivation of axiom ~ ax-6 from the orginal version, ~ ax-6o .
     See ~ ax6o for the derivation of ~ ax-6o from ~ ax-6 .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-6
     above so that uses of ~ ax-6 can be more easily identified. $)
  ax6 $p |- ( -. A. x ph -> A. x -. A. x ph ) $=
    ( wal wn wi ax-4 id ax-gen ax-5o ax-mp nsyl ax-6o nsyl4 ) ABCZBCZDZBCZNDZBC
    ZNQREZBCQSETBQONPBFNNEZBCNOEUABNGHANBIJKHPRBIJNBLM $.
    $( [23-May-2008] $) $( [23-May-2008] $)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                Predicate calculus without distinct variables
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
    "Pure" predicate calculus ax-4, ax-5o, ax-6o, ax-gen
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  $( Declare the existential quantifier symbol. $)
  $c E. $.   $( Backwards E (read:  "there exists") $)

  $( Extend wff definition to include the existential quantifier ("there
     exists"). $)
  wex $a wff E. x ph $.

  $( Define existential quantification.  ` E. x ph ` means "there exists at
     least one set ` x ` such that ` ph ` is true."  Definition of [Margaris]
     p. 49. $)
  df-ex $a |- ( E. x ph <-> -. A. x -. ph ) $.

  ${
    a4i.1 $e |- A. x ph $.
    $( Inference rule reversing generalization. $)
    a4i $p |- ph $=
      ( wal ax-4 ax-mp ) ABDACABEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    gen2.1 $e |- ph $.
    $( Generalization applied twice. $)
    gen2 $p |- A. x A. y ph $=
      ( wal ax-gen ) ACEBACDFF $.
      $( [30-Apr-1998] $)
  $}

  ${
    a4s.1 $e |- ( ph -> ps ) $.
    $( Generalization of antecedent. $)
    a4s $p |- ( A. x ph -> ps ) $=
      ( wal ax-4 syl ) ACEABACFDG $.
      $( [5-Aug-1993] $)
  $}

  ${
    a4sd.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction generalizing antecedent. $)
    a4sd $p |- ( ph -> ( A. x ps -> ch ) ) $=
      ( wal ax-4 syl5 ) ABCBDFEBDGH $.
      $( [17-Aug-1994] $)
  $}

  ${
    mpg.1 $e |- ( A. x ph -> ps ) $.
    mpg.2 $e |- ph $.
    $( Modus ponens combined with generalization. $)
    mpg $p |- ps $=
      ( wal ax-gen ax-mp ) ACFBACEGDH $.
      $( [24-May-1994] $)
  $}

  ${
    mpgbi.1 $e |- ( A. x ph <-> ps ) $.
    mpgbi.2 $e |- ph $.
    $( Modus ponens on biconditional combined with generalization. $)
    mpgbi $p |- ps $=
      ( wal biimp mpg ) ABCACFBDGEH $.
      $( [24-May-1994] $)
  $}

  ${
    mpgbir.1 $e |- ( ph <-> A. x ps ) $.
    mpgbir.2 $e |- ps $.
    $( Modus ponens on biconditional combined with generalization. $)
    mpgbir $p |- ph $=
      ( wal biimpr mpg ) BACABCFDGEH $.
      $( [24-May-1994] $)
  $}

  ${
    a5i.1 $e |- ( A. x ph -> ps ) $.
    $( Inference from ~ ax-5o . $)
    a5i $p |- ( A. x ph -> A. x ps ) $=
      ( wal wi ax-5o mpg ) ACEZBFIBCEFCABCGDH $.
      $( [5-Aug-1993] $)
  $}

  $( Abbreviated version of ~ ax-6o . $)
  a6e $p |- ( E. x A. x ph -> ph ) $=
    ( wal wex wn df-ex ax-6o sylbi ) ABCZBDIEBCEAIBFABGH $.
    $( [5-Aug-1993] $)

  ${
    a7s.1 $e |- ( A. x A. y ph -> ps ) $.
    $( Swap quantifiers in an antecedent. $)
    a7s $p |- ( A. y A. x ph -> ps ) $=
      ( wal ax-7 syl ) ACFDFADFCFBADCGEH $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.20i.1 $e |- ( ph -> ps ) $.
    $( Inference quantifying both antecedent and consequent. $)
    19.20i $p |- ( A. x ph -> A. x ps ) $=
      ( a4s a5i ) ABCABCDEF $.
      $( [5-Aug-1993] $)

    $( Inference doubly quantifying both antecedent and consequent. $)
    19.20i2 $p |- ( A. x A. y ph -> A. x A. y ps ) $=
      ( wal 19.20i ) ADFBDFCABDEGG $.
      $( [5-Feb-2005] $) $( [3-Feb-2005] $)
  $}

  $( Theorem 19.20 of [Margaris] p. 90.  (The proof was shortened by O'Cat,
     30-Mar-2008.) $)
  19.20 $p |- ( A. x ( ph -> ps ) -> ( A. x ph -> A. x ps ) ) $=
    ( wi wal id a4sd 19.20i ax-5o syl ) ABDZCEACEZBDZCELBCEDKMCKABCKFGHABCIJ $.
    $( [30-Mar-2008] $) $( [5-Aug-1993] $)

  ${
    19.20ii.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference quantifying antecedent, nested antecedent, and consequent. $)
    19.20ii $p |- ( A. x ph -> ( A. x ps -> A. x ch ) ) $=
      ( wal wi 19.20i 19.20 syl ) ADFBCGZDFBDFCDFGAKDEHBCDIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.20d.1 $e |- ( ph -> A. x ph ) $.
    19.20d.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.20 of [Margaris] p. 90. $)
    19.20d $p |- ( ph -> ( A. x ps -> A. x ch ) ) $=
      ( wal wi 19.20ii syl ) AADGBDGCDGHEABCDFIJ $.
      $( [4-Jan-2002] $)
  $}

  $( Theorem 19.15 of [Margaris] p. 90. $)
  19.15 $p |- ( A. x ( ph <-> ps ) -> ( A. x ph <-> A. x ps ) ) $=
    ( wb wal bi1 19.20ii bi2 impbid ) ABDZCEACEBCEJABCABFGJBACABHGI $.
    $( [5-Aug-1993] $)

  ${
    19.21ai.1 $e |- ( ph -> A. x ph ) $.
    19.21ai.2 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90. $)
    19.21ai $p |- ( ph -> A. x ps ) $=
      ( wal 19.20i syl ) AACFBCFDABCEGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    albii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding universal quantifier to both sides of an
       equivalence. $)
    albii $p |- ( A. x ph <-> A. x ps ) $=
      ( wb wal 19.15 mpg ) ABEACFBCFECABCGDH $.
      $( [7-Aug-1994] $)

    $( Inference adding 2 universal quantifiers to both sides of an
       equivalence. $)
    2albii $p |- ( A. x A. y ph <-> A. x A. y ps ) $=
      ( wal albii ) ADFBDFCABDEGG $.
      $( [9-Mar-1997] $)
  $}

  ${
    hbth.1 $e |- ph $.
    $( No variable is (effectively) free in a theorem.

       This and later "hypothesis-building" lemmas, with labels starting
       "hb...", allow us to construct proofs of formulas of the form
       ` |- ( ph -> A. x ph ) ` from smaller formulas of this form.  These are
       useful for constructing hypotheses that state
       " ` x ` is (effectively) not free in ` ph ` ." $)
    hbth $p |- ( ph -> A. x ph ) $=
      ( wal ax-gen a1i ) ABDAABCEF $.
      $( [5-Aug-1993] $)
  $}

  $( Closed theorem version of bound-variable hypothesis builder ~ hbn . $)
  hbnt $p |- ( A. x ( ph -> A. x ph ) -> ( -. ph -> A. x -. ph ) ) $=
    ( wal wi wn con3 19.20ii ax-6o con1i syl5 ) AABCZDZBCKEZBCZAEZBCOLMOBAKFGNA
    ABHIJ $.
    $( [5-Aug-1993] $)

  $( ` x ` is not free in ` A. x ph ` .  Example in Appendix in [Megill]
     p. 450 (p. 19 of the preprint).  Also Lemma 22 of [Monk2] p. 114. $)
  hba1 $p |- ( A. x ph -> A. x A. x ph ) $=
    ( wal id a5i ) AABCZBFDE $.
    $( [5-Aug-1993] $)

  ${
    hb.1 $e |- ( ph -> A. x ph ) $.
    $( If ` x ` is not free in ` ph ` , it is not free in ` -. ph ` . $)
    hbn $p |- ( -. ph -> A. x -. ph ) $=
      ( wal wi wn hbnt mpg ) AABDEAFZIBDEBABGCH $.
      $( [5-Aug-1993] $)

    $( If ` x ` is not free in ` ph ` , it is not free in ` A. y ph ` . $)
    hbal $p |- ( A. y ph -> A. x A. y ph ) $=
      ( wal 19.20i ax-7 syl ) ACEZABEZCEIBEAJCDFACBGH $.
      $( [5-Aug-1993] $)

    $( If ` x ` is not free in ` ph ` , it is not free in ` E. y ph ` . $)
    hbex $p |- ( E. y ph -> A. x E. y ph ) $=
      ( wn wal wex hbn hbal df-ex albii 3imtr4 ) AEZCFZEZOBFACGZPBFNBMBCABDHIHA
      CJZPOBQKL $.
      $( [5-Aug-1993] $)

    ${
      hb.2 $e |- ( ps -> A. x ps ) $.
      $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
         ` ( ph -> ps ) ` .  (The proof was shortened by O'Cat, 3-Mar-2008.) $)
      hbim $p |- ( ( ph -> ps ) -> A. x ( ph -> ps ) ) $=
        ( wi wal wn hbn pm2.21 19.21ai ax-1 ja ) ABABFZCGAHNCACDIABJKBNCEBALKM
        $.
        $( [4-Mar-2008] $)  $( [5-Aug-1993] $)

      $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
         ` ( ph \/ ps ) ` . $)
      hbor $p |- ( ( ph \/ ps ) -> A. x ( ph \/ ps ) ) $=
        ( wn wi wal wo hbn hbim df-or albii 3imtr4 ) AFZBGZPCHABIZQCHOBCACDJEKA
        BLZQPCRMN $.
        $( [5-Aug-1993] $)

      $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
         ` ( ph /\ ps ) ` . $)
      hban $p |- ( ( ph /\ ps ) -> A. x ( ph /\ ps ) ) $=
        ( wn wi wal wa hbn hbim df-an albii 3imtr4 ) ABFZGZFZQCHABIZRCHPCAOCDBC
        EJKJABLZRQCSMN $.
        $( [5-Aug-1993] $)

      $( If ` x ` is not free in ` ph ` and ` ps ` , it is not free in
         ` ( ph <-> ps ) ` . $)
      hbbi $p |- ( ( ph <-> ps ) -> A. x ( ph <-> ps ) ) $=
        ( wi wa wal wb hbim hban dfbi2 albii 3imtr4 ) ABFZBAFZGZQCHABIZRCHOPCABCDE
        JBACEDJKABLZRQCSMN $.
        $( [5-Aug-1993] $)

      ${
        hb.3 $e |- ( ch -> A. x ch ) $.
        $( If ` x ` is not free in ` ph ` , ` ps ` , and ` ch ` , it is not
           free in ` ( ph \/ ps \/ ch ) ` . $)
        hb3or $p |- ( ( ph \/ ps \/ ch ) -> A. x ( ph \/ ps \/ ch ) ) $=
          ( wo wal w3o hbor df-3or albii 3imtr4 ) ABHZCHZPDIABCJZQDIOCDABDEFKGK
          ABCLZQPDRMN $.
          $( [14-Sep-2003] $)

        $( If ` x ` is not free in ` ph ` , ` ps ` , and ` ch ` , it is not
           free in ` ( ph /\ ps /\ ch ) ` . $)
        hb3an $p |- ( ( ph /\ ps /\ ch ) -> A. x ( ph /\ ps /\ ch ) ) $=
          ( wa wal w3a hban df-3an albii 3imtr4 ) ABHZCHZPDIABCJZQDIOCDABDEFKGK
          ABCLZQPDRMN $.
          $( [14-Sep-2003] $)
      $}
    $}
  $}

  $( Lemma 24 of [Monk2] p. 114. $)
  hba2 $p |- ( A. y A. x ph -> A. x A. y A. x ph ) $=
    ( wal hba1 hbal ) ABDBCABEF $.
    $( [30-May-2008] $) $( [29-May-2008] $)

  $( Lemma 23 of [Monk2] p. 114. $)
  hbia1 $p |- ( ( A. x ph -> A. x ps ) -> A. x ( A. x ph -> A. x ps ) ) $=
    ( wal hba1 hbim ) ACDBCDCACEBCEF $.
    $( [12-Jun-2008] $) $( [29-May-2008] $)

  $( ` x ` is not free in ` -. A. x ph ` . $)
  hbn1 $p |- ( -. A. x ph -> A. x -. A. x ph ) $=
    ( wal hba1 hbn ) ABCBABDE $.
    $( [5-Aug-1993] $)

  $( ` x ` is not free in ` E. x ph ` . $)
  hbe1 $p |- ( E. x ph -> A. x E. x ph ) $=
    ( wn wal wex hbn1 df-ex albii 3imtr4 ) ACZBDCZKBDABEZLBDJBFABGZLKBMHI $.
    $( [5-Aug-1993] $)

  $( Proof of a single axiom that can replace ~ ax-4 and ~ ax-6o .  See
     ~ ax46to4 and ~ ax46to6 for the re-derivation of those axioms.
     (Contributed by Scott Fenton, 12-Sep-2005.) $)
  ax46 $p |- ( ( A. x -. A. x ph -> A. x ph ) -> ph ) $=
    ( wal wn ax-6o ax-4 ja ) ABCZDBCHAABEABFG $.
    $( [19-Sep-2005] $) $( [12-Sep-2005] $)

  $( Re-derivation of ~ ax-4 from ~ ax46 .  Only propositional calculus is
     used for the re-derivation.  (Contributed by Scott Fenton,
     12-Sep-2005.) $)
  ax46to4 $p |- ( A. x ph -> ph ) $=
    ( wal wn wi ax-1 ax46 syl ) ABCZIDBCZIEAIJFABGH $.
    $( [13-Sep-2005] $) $( [12-Sep-2005] $)

  $( Re-derivation of ~ ax-6o from ~ ax46 .  Only propositional calculus is
     used for the re-derivation.  (Contributed by Scott Fenton,
     12-Sep-2005.) $)
  ax46to6 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn wi pm2.21 ax46 syl ) ABCZDBCZDJIEAJIFABGH $.
    $( [13-Sep-2005] $) $( [12-Sep-2005] $)

  $( Proof of a single axiom that can replace both ~ ax-6o and ~ ax-7 .  See
     ~ ax67to6 and ~ ax67to7 for the re-derivation of those axioms. $)
  ax67 $p |- ( -. A. x -. A. y A. x ph -> A. y ph ) $=
    ( wal wn ax-7 con3i 19.20i ax-6o syl ) ABDCDZEZBDZEACDZBDZEZBDZENQMPLBKOACB
    FGHGNBIJ $.
    $( [18-Nov-2006] $) $( [18-Nov-2006] $)

  $( Re-derivation of ~ ax-6o from ~ ax67 .  Note that ~ ax-6o and ~ ax-7 are
     not used by the re-derivation. $)
  ax67to6 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn hba1 con3i 19.20i ax67 ax-4 3syl ) ABCZDZBCZDKBCZDZBCZDKAPMOLBKNAB
    EFGFABBHABIJ $.
    $( [19-Nov-2006] $) $( [18-Nov-2006] $)

  $( Re-derivation of ~ ax-7 from ~ ax67 .  Note that ~ ax-6o and ~ ax-7 are
     not used by the re-derivation. $)
  ax67to7 $p |- ( A. x A. y ph -> A. y A. x ph ) $=
    ( wal wn ax67to6 a3i ax67 19.20i syl ) ACDBDZKEZCDEZCDZABDZCDNKLCFGMOCACBHI
    J $.
    $( [19-Nov-2006] $) $( [18-Nov-2006] $)

  $( Proof of a single axiom that can replace ~ ax-4 , ~ ax-6o , and ~ ax-7
     in a subsystem that includes these axioms plus ~ ax-5o and ~ ax-gen (and
     propositional calculus).  See ~ ax467to4 , ~ ax467to6 , and ~ ax467to7
     for the re-derivation of those axioms.  This theorem extends the idea in
     Scott Fenton's ~ ax46 . $)
  ax467 $p |- ( ( A. x A. y -. A. x A. y ph -> A. x ph ) -> ph ) $=
    ( wal wn ax-4 hbn1 ax-6o con1i 19.20i ax-7 3syl nsyl4 ja ) ACDZBDEZCDBDZABD
    AOAQACFOEZRCDPBDZCDQACGRSCSOOBHIJPCBKLMABFN $.
    $( [19-Nov-2006] $) $( [18-Nov-2006] $)

  $( Re-derivation of ~ ax-4 from ~ ax467 .  Only propositional calculus is
     used by the re-derivation. $)
  ax467to4 $p |- ( A. x ph -> ph ) $=
    ( wal wn wi ax-1 ax467 syl ) ABCZIBCDBCBCZIEAIJFABBGH $.
    $( [19-Nov-2006] $) $( [19-Nov-2006] $)

  $( Re-derivation of ~ ax-6o from ~ ax467 .  Note that ~ ax-6o and ~ ax-7 are
     not used by the re-derivation.  The use of ~ 19.20i (which uses ~ ax-4 )
     is allowed since we have already proved ~ ax467to4 . $)
  ax467to6 $p |- ( -. A. x -. A. x ph -> ph ) $=
    ( wal wn wi ax467to4 hba1 con3i 19.20i syl pm2.21 ax467 3syl ) ABCZDZBCZDNB
    CZDZBCZBCZDTNEATPTSPSBFROBNQABGHIJHTNKABBLM $.
    $( [19-Nov-2006] $) $( [19-Nov-2006] $)

  $( Re-derivation of ~ ax-7 from ~ ax467 .  Note that ~ ax-6o and ~ ax-7 are
     not used by the re-derivation.  The use of ~ 19.20i (which uses ~ ax-4 )
     is allowed since we have already proved ~ ax467to4 . $)
  ax467to7 $p |- ( A. x A. y ph -> A. y A. x ph ) $=
    ( wal wn ax467to6 a3i wi pm2.21 ax467 syl 19.20i nsyl4 ) ACDBDZNEZCDZEZCDZA
    BDZCDRNOCFGQSCPBDZEZBDSPUAABUATSHATSIABCJKLPBFMLK $.
    $( [19-Nov-2006] $) $( [19-Nov-2006] $)

  $( The analog in our "pure" predicate calculus of axiom 5 of modal logic
     S5. $)
  modal-5 $p |- ( -. A. x -. ph -> A. x -. A. x -. ph ) $=
    ( wn hbn1 ) ACBD $.
    $( [8-Oct-2005] $) $( [5-Oct-2005] $)

  $( The analog in our "pure" predicate calculus of the Brouwer axiom (B) of
     modal logic S5. $)
  modal-b $p |- ( ph -> A. x -. A. x -. ph ) $=
    ( wn wal ax-6o a3i ) ACZBDCBDAGBEF $.
    $( [6-Oct-2005] $) $( [5-Oct-2005] $)

  $( If a wff is true, it is true for at least one instance.  Special case of
     Theorem 19.8 of [Margaris] p. 89. $)
  19.8a $p |- ( ph -> E. x ph ) $=
    ( wn wal wex ax-4 con2i df-ex sylibr ) AACZBDZCABEKAJBFGABHI $.
    $( [5-Aug-1993] $)

  $( Theorem 19.2 of [Margaris] p. 89, generalized to use two set variables.
     (Contributed by O'Cat, 31-Mar-2008.) $)
  19.2 $p |- ( A. x ph -> E. y ph ) $=
    ( wex 19.8a a4s ) AACDBACEF $.
    $( [31-Mar-2008] $)

  ${
    19.3.1 $e |- ( ph -> A. x ph ) $.
    $( A wff may be quantified with a variable not free in it.  Theorem 19.3 of
       [Margaris] p. 89. $)
    19.3 $p |- ( A. x ph <-> ph ) $=
      ( wal ax-4 impbi ) ABDAABECF $.
      $( [21-May-2007] $) $( [5-Aug-1993] $)
  $}

  $( Theorem 19.5 of [Margaris] p. 89. $)
  alcom $p |- ( A. x A. y ph <-> A. y A. x ph ) $=
    ( wal ax-7 impbi ) ACDBDABDCDABCEACBEF $.
    $( [5-Aug-1993] $)

  $( Theorem 19.7 of [Margaris] p. 89. $)
  alnex $p |- ( A. x -. ph <-> -. E. x ph ) $=
    ( wex wn wal df-ex con2bii ) ABCADBEABFG $.
    $( [5-Aug-1993] $)

  $( Theorem 19.6 of [Margaris] p. 89. $)
  alex $p |- ( A. x ph <-> -. E. x -. ph ) $=
    ( wal wn wex pm4.13 albii alnex bitr ) ABCADZDZBCJBEDAKBAFGJBHI $.
    $( [5-Aug-1993] $)

  $( A closed version of one direction of ~ 19.9 . $)
  19.9t $p |- ( A. x ( ph -> A. x ph ) -> ( E. x ph -> ph ) ) $=
    ( wal wi wn wex hbnt con1d df-ex syl5ib ) AABCDBCZAEBCZEAABFKALABGHABIJ $.
    $( [5-Aug-1993] $)

  ${
    19.9.1 $e |- ( ph -> A. x ph ) $.
    $( A wff may be existentially quantified with a variable not free in it.
       Theorem 19.9 of [Margaris] p. 89.  (Contributed by FL, 24-Mar-2007.) $)
    19.9 $p |- ( E. x ph <-> ph ) $=
      ( wex wal wi 19.9t mpg 19.8a impbi ) ABDZAAABEFKAFBABGCHABIJ $.
      $( [20-May-2007] $) $( [24-Mar-2007] $)
  $}

  ${
    19.9d.1 $e |- ( ps -> A. x ps ) $.
    19.9d.2 $e |- ( ps -> ( ph -> A. x ph ) ) $.
    $( A deduction version of one direction of ~ 19.9 . $)
    19.9d $p |- ( ps -> ( E. x ph -> ph ) ) $=
      ( wal wi wex 19.20i 19.9t 3syl ) BBCFAACFGZCFACHAGDBLCEIACJK $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.14 of [Margaris] p. 90. $)
  exnal $p |- ( E. x -. ph <-> -. A. x ph ) $=
    ( wal wn wex alex con2bii ) ABCADBEABFG $.
    $( [5-Aug-1993] $)

  $( Theorem 19.22 of [Margaris] p. 90. $)
  19.22 $p |- ( A. x ( ph -> ps ) -> ( E. x ph -> E. x ps ) ) $=
    ( wi wal wn wex con3 19.20ii con3d df-ex 3imtr4g ) ABDZCEZAFZCEZFBFZCEZFACG
    BCGNRPMQOCABHIJACKBCKL $.
    $( [5-Aug-1993] $)

  ${
    19.22i.1 $e |- ( ph -> ps ) $.
    $( Inference adding existential quantifier to antecedent and consequent. $)
    19.22i $p |- ( E. x ph -> E. x ps ) $=
      ( wi wex 19.22 mpg ) ABEACFBCFECABCGDH $.
      $( [5-Aug-1993] $)

    $( Inference adding 2 existential quantifiers to antecedent and
       consequent. $)
    19.22i2 $p |- ( E. x E. y ph -> E. x E. y ps ) $=
      ( wex 19.22i ) ADFBDFCABDEGG $.
      $( [5-Feb-2005] $) $( [3-Feb-2005] $)
  $}

  $( A transformation of quantifiers and logical connectives. $)
  alinexa $p |- ( A. x ( ph -> -. ps ) <-> -. E. x ( ph /\ ps ) ) $=
    ( wn wi wal wa wex imnan albii alnex bitr ) ABDEZCFABGZDZCFNCHDMOCABIJNCKL
    $.
    $( [19-Aug-1993] $)

  $( A transformation of quantifiers and logical connectives. $)
  exanali $p |- ( E. x ( ph /\ -. ps ) <-> -. A. x ( ph -> ps ) ) $=
    ( wi wal wn wa wex iman albii alnex bitr con2bii ) ABDZCEZABFGZCHZOPFZCEQFN
    RCABIJPCKLM $.
    $( [25-Mar-1996] $)

  $( A relationship between two quantifiers and negation. $)
  alexn $p |- ( A. x E. y -. ph <-> -. E. x A. y ph ) $=
    ( wn wex wal exnal albii alnex bitr ) ADCEZBFACFZDZBFLBEDKMBACGHLBIJ $.
    $( [18-Aug-1993] $)

  $( One direction of Theorem 19.11 of [Margaris] p. 89. $)
  excomim $p |- ( E. x E. y ph -> E. y E. x ph ) $=
    ( wex 19.8a 19.22i2 hbe1 hbex 19.9 sylib ) ACDBDABDZCDZBDLAKBCABEFLBKBCABGH
    IJ $.
    $( [5-Aug-1993] $)

  $( Theorem 19.11 of [Margaris] p. 89. $)
  excom $p |- ( E. x E. y ph <-> E. y E. x ph ) $=
    ( wex excomim impbi ) ACDBDABDCDABCEACBEF $.
    $( [5-Aug-1993] $)

  $( Theorem 19.12 of [Margaris] p. 89.  Assuming the converse is a mistake
     sometimes made by beginners!  But sometimes the converse does hold,
     as in ~ 19.12vv and ~ r19.12sn . $)
  19.12 $p |- ( E. x A. y ph -> A. y E. x ph ) $=
    ( wal wex hba1 hbex ax-4 19.22i 19.21ai ) ACDZBEABECKCBACFGKABACHIJ $.
    $( [5-Aug-1993] $)

  ${
    19.16.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.16 of [Margaris] p. 90. $)
    19.16 $p |- ( A. x ( ph <-> ps ) -> ( ph <-> A. x ps ) ) $=
      ( wb wal 19.15 19.3 syl5bbr ) ABECFACFBCFAABCGACDHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.17.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.17 of [Margaris] p. 90. $)
    19.17 $p |- ( A. x ( ph <-> ps ) -> ( A. x ph <-> ps ) ) $=
      ( wb wal 19.15 19.3 syl6bb ) ABECFACFBCFBABCGBCDHI $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.18 of [Margaris] p. 90. $)
  19.18 $p |- ( A. x ( ph <-> ps ) -> ( E. x ph <-> E. x ps ) ) $=
    ( wb wal wex wi bi1 19.20i 19.22 syl bi2 impbid ) ABDZCEZACFZBCFZOABGZCEPQG
    NRCABHIABCJKOBAGZCEQPGNSCABLIBACJKM $.
    $( [5-Aug-1993] $)

  ${
    exbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding existential quantifier to both sides of an
       equivalence. $)
    exbii $p |- ( E. x ph <-> E. x ps ) $=
      ( wb wex 19.18 mpg ) ABEACFBCFECABCGDH $.
      $( [24-May-1994] $)
  $}

  ${
    2exbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding 2 existential quantifiers to both sides of an
       equivalence. $)
    2exbii $p |- ( E. x E. y ph <-> E. x E. y ps ) $=
      ( wex exbii ) ADFBDFCABDEGG $.
      $( [16-Mar-1995] $)
  $}

  ${
    3exbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding 3 existential quantifiers to both sides of an
       equivalence. $)
    3exbi $p |- ( E. x E. y E. z ph <-> E. x E. y E. z ps ) $=
      ( wex exbii 2exbii ) AEGBEGCDABEFHI $.
      $( [2-May-1995] $)
  $}

  $( Commutation of conjunction inside an existential quantifier. $)
  exancom $p |- ( E. x ( ph /\ ps ) <-> E. x ( ps /\ ph ) ) $=
    ( wa ancom exbii ) ABDBADCABEF $.
    $( [18-Aug-1993] $)

  ${
    19.19.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.19 of [Margaris] p. 90. $)
    19.19 $p |- ( A. x ( ph <-> ps ) -> ( ph <-> E. x ps ) ) $=
      ( wb wal wex 19.18 19.9 syl5bbr ) ABECFACGBCGAABCHACDIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.21.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.21 of [Margaris] p. 90.  The hypothesis can be thought of as
       " ` x ` is not free in ` ph ` ." $)
    19.21 $p |- ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) $=
      ( wi wal 19.20 syl5 hba1 hbim ax-4 imim2i 19.21ai impbi ) ABEZCFZABCFZEZP
      ACFQAABCGDHROCAQCDBCIJQBABCKLMN $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.21-2.1 $e |- ( ph -> A. x ph ) $.
    19.21-2.2 $e |- ( ph -> A. y ph ) $.
    $( Theorem 19.21 of [Margaris] p. 90 but with 2 quantifiers. $)
    19.21-2 $p |- ( A. x A. y ( ph -> ps ) <-> ( ph -> A. x A. y ps ) ) $=
      ( wi wal 19.21 albii bitr ) ABGDHZCHABDHZGZCHAMCHGLNCABDFIJAMCEIK $.
      $( [11-Feb-2005] $) $( [4-Feb-2005] $)
  $}

  ${
    stdpc5.1 $e |- ( ph -> A. x ph ) $.
    $( An axiom scheme of standard predicate calculus that emulates Axiom 5 of
       [Mendelson] p. 69.  The hypothesis ` ( ph -> A. x ph ) ` can be thought
       of as emulating " ` x ` is not free in ` ph ` ."  With this convention,
       the meaning of "not free" is less restrictive than the usual textbook
       definition; for example ` x ` would not (for us) be free in ` x = x ` by
       ~ hbequid .  This theorem scheme can be proved as a metatheorem of
       Mendelson's axiom system, even though it is slightly stronger than his
       Axiom 5. $)
    stdpc5 $p |- ( A. x ( ph -> ps ) -> ( ph -> A. x ps ) ) $=
      ( wi wal 19.21 biimp ) ABECFABCFEABCDGH $.
      $( [22-Sep-1993] $)
  $}

  ${
    19.21ad.1 $e |- ( ph -> A. x ph ) $.
    19.21ad.2 $e |- ( ps -> A. x ps ) $.
    19.21ad.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.21 of [Margaris] p. 90. $)
    19.21ad $p |- ( ph -> ( ps -> A. x ch ) ) $=
      ( wal wa hban imp 19.21ai ex ) ABCDHABICDABDEFJABCGKLM $.
      $( [10-Feb-1997] $)
  $}

  ${
    19.21bi.1 $e |- ( ph -> A. x ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90. $)
    19.21bi $p |- ( ph -> ps ) $=
      ( wal ax-4 syl ) ABCEBDBCFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.21bbi.1 $e |- ( ph -> A. x A. y ps ) $.
    $( Inference removing double quantifier. $)
    19.21bbi $p |- ( ph -> ps ) $=
      ( wal 19.21bi ) ABDABDFCEGG $.
      $( [20-Apr-1994] $)
  $}

  ${
    19.22d.1 $e |- ( ph -> A. x ph ) $.
    19.22d.2 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90. $)
    19.22d $p |- ( ph -> ( E. x ps -> E. x ch ) ) $=
      ( wi wal wex 19.21ai 19.22 syl ) ABCGZDHBDICDIGAMDEFJBCDKL $.
      $( [20-May-1996] $)
  $}

  ${
    19.23.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.23 of [Margaris] p. 90. $)
    19.23 $p |- ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) $=
      ( wi wal wex 19.22 19.9 syl6ib hbe1 hbim 19.8a imim1i 19.21ai impbi ) ABE
      ZCFZACGZBEZRSBCGBABCHBCDIJTQCSBCACKDLASBACMNOP $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.23ai.1 $e |- ( ps -> A. x ps ) $.
    19.23ai.2 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90. $)
    19.23ai $p |- ( E. x ph -> ps ) $=
      ( wex 19.22i 19.9 sylib ) ACFBCFBABCEGBCDHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.23bi.1 $e |- ( E. x ph -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90. $)
    19.23bi $p |- ( ph -> ps ) $=
      ( wex 19.8a syl ) AACEBACFDG $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.23ad.1 $e |- ( ph -> A. x ph ) $.
    19.23ad.2 $e |- ( ch -> A. x ch ) $.
    19.23ad.3 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.23 of [Margaris] p. 90. $)
    19.23ad $p |- ( ph -> ( E. x ps -> ch ) ) $=
      ( wi wal wex 19.21ai 19.23 sylib ) ABCHZDIBDJCHANDEGKBCDFLM $.
      $( [28-Jan-1997] $)
  $}

  $( Theorem 19.26 of [Margaris] p. 90.  Also Theorem *10.22 of
     [WhiteheadRussell] p. 119. $)
  19.26 $p |- ( A. x ( ph /\ ps ) <-> ( A. x ph /\ A. x ps ) ) $=
    ( wa wal pm3.26 19.20i pm3.27 jca pm3.2 19.20ii imp impbi ) ABDZCEZACEZBCEZ
    DOPQNACABFGNBCABHGIPQOABNCABJKLM $.
    $( [5-Aug-1993] $)

  $( Theorem 19.26 of [Margaris] p. 90 with two quantifiers. $)
  19.26-2 $p |- ( A. x A. y ( ph /\ ps ) <->
                ( A. x A. y ph /\ A. x A. y ps ) ) $=
    ( wa wal 19.26 albii bitr ) ABEDFZCFADFZBDFZEZCFKCFLCFEJMCABDGHKLCGI $.
    $( [27-Apr-2005] $) $( [3-Feb-2005] $)

  ${
    19.27.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.27 of [Margaris] p. 90. $)
    19.27 $p |- ( A. x ( ph /\ ps ) <-> ( A. x ph /\ ps ) ) $=
      ( wa wal 19.26 19.3 anbi2i bitr ) ABECFACFZBCFZEKBEABCGLBKBCDHIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.28.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.28 of [Margaris] p. 90. $)
    19.28 $p |- ( A. x ( ph /\ ps ) <-> ( ph /\ A. x ps ) ) $=
      ( wa wal 19.26 19.3 anbi1i bitr ) ABECFACFZBCFZEALEABCGKALACDHIJ $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.29 of [Margaris] p. 90. $)
  19.29 $p |- ( ( A. x ph /\ E. x ps ) -> E. x ( ph /\ ps ) ) $=
    ( wal wex wa wn wi 19.20 alnex syl6ib con3i df-an exnal 3imtr4 exbii
    sylibr ) ACDZBCEZFZABGZHZGZCEZABFZCERSGZHZGUBCDZGTUDUHUGUHRUACDUFAUACIBCJKL
    RSMUBCNOUEUCCABMPQ $.
    $( [5-Aug-1993] $)

  $( Variation of Theorem 19.29 of [Margaris] p. 90. $)
  19.29r $p |- ( ( E. x ph /\ A. x ps ) -> E. x ( ph /\ ps ) ) $=
    ( wal wex wa 19.29 ancom exancom 3imtr4 ) BCDZACEZFBAFCELKFABFCEBACGLKHABCI
    J $.
    $( [18-Aug-1993] $)

  $( Variation of Theorem 19.29 of [Margaris] p. 90 with double
     quantification. $)
  19.29r2 $p |- ( ( E. x E. y ph /\ A. x A. y ps ) ->
             E. x E. y ( ph /\ ps ) ) $=
    ( wex wal wa 19.29r 19.22i syl ) ADEZCEBDFZCFGKLGZCEABGDEZCEKLCHMNCABDHIJ
    $.
    $( [11-Feb-2005] $) $( [3-Feb-2005] $)

  $( Variation of Theorem 19.29 of [Margaris] p. 90 with mixed
     quantification. $)
  19.29x $p |- ( ( E. x A. y ph /\ A. x E. y ps ) ->
             E. x E. y ( ph /\ ps ) ) $=
    ( wal wex wa 19.29r 19.29 19.22i syl ) ADEZCFBDFZCEGLMGZCFABGDFZCFLMCHNOCAB
    DIJK $.
    $( [25-Mar-2005] $) $( [11-Feb-2005] $)

  $( Theorem 19.35 of [Margaris] p. 90.  This theorem is useful for moving
     an implication (in the form of the right-hand side) into the scope of a
     single existential quantifier. $)
  19.35 $p |- ( E. x ( ph -> ps ) <-> ( A. x ph -> E. x ps ) ) $=
    ( wal wn wi wex wa 19.26 annim albii df-an 3bitr3 con2bii df-ex imbi2i
    3bitr4r ) ACDZBEZCDZEZFZABFZEZCDZERBCGZFUCCGUEUBASHZCDRTHUEUBEASCIUGUDCABJK
    RTLMNUFUARBCOPUCCOQ $.
    $( [5-Aug-1993] $)

  ${
    19.35i.1 $e |- E. x ( ph -> ps ) $.
    $( Inference from Theorem 19.35 of [Margaris] p. 90. $)
    19.35i $p |- ( A. x ph -> E. x ps ) $=
      ( wi wex wal 19.35 mpbi ) ABECFACGBCFEDABCHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.35ri.1 $e |- ( A. x ph -> E. x ps ) $.
    $( Inference from Theorem 19.35 of [Margaris] p. 90. $)
    19.35ri $p |- E. x ( ph -> ps ) $=
      ( wi wex wal 19.35 mpbir ) ABECFACGBCFEDABCHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.36.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.36 of [Margaris] p. 90. $)
    19.36 $p |- ( E. x ( ph -> ps ) <-> ( A. x ph -> ps ) ) $=
      ( wi wex wal 19.35 19.9 imbi2i bitr ) ABECFACGZBCFZELBEABCHMBLBCDIJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.36i.1 $e |- ( ps -> A. x ps ) $.
    19.36i.2 $e |- E. x ( ph -> ps ) $.
    $( Inference from Theorem 19.36 of [Margaris] p. 90. $)
    19.36i $p |- ( A. x ph -> ps ) $=
      ( wi wex wal 19.36 mpbi ) ABFCGACHBFEABCDIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.37.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.37 of [Margaris] p. 90. $)
    19.37 $p |- ( E. x ( ph -> ps ) <-> ( ph -> E. x ps ) ) $=
      ( wi wex wal 19.35 19.3 imbi1i bitr ) ABECFACGZBCFZEAMEABCHLAMACDIJK $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.38 of [Margaris] p. 90. $)
  19.38 $p |- ( ( E. x ph -> A. x ps ) -> A. x ( ph -> ps ) ) $=
    ( wex wal wi hbe1 hba1 hbim 19.8a ax-4 imim12i 19.21ai ) ACDZBCEZFABFCNOCAC
    GBCHIANOBACJBCKLM $.
    $( [5-Aug-1993] $)

  $( Theorem 19.39 of [Margaris] p. 90. $)
  19.39 $p |- ( ( E. x ph -> E. x ps ) -> E. x ( ph -> ps ) ) $=
    ( wex wi wal 19.2 imim1i 19.35 sylibr ) ACDZBCDZEACFZLEABECDMKLACCGHABCIJ
    $.
    $( [5-Aug-1993] $)

  $( Theorem 19.24 of [Margaris] p. 90. $)
  19.24 $p |- ( ( A. x ph -> A. x ps ) -> E. x ( ph -> ps ) ) $=
    ( wal wi wex 19.2 imim2i 19.35 sylibr ) ACDZBCDZEKBCFZEABECFLMKBCCGHABCIJ
    $.
    $( [5-Aug-1993] $)

  $( Theorem 19.25 of [Margaris] p. 90. $)
  19.25 $p |- ( A. y E. x ( ph -> ps ) ->
              ( E. y A. x ph -> E. y E. x ps ) ) $=
    ( wi wex wal 19.35 biimp 19.20i 19.22 syl ) ABECFZDGACGZBCFZEZDGNDFODFEMPDM
    PABCHIJNODKL $.
    $( [5-Aug-1993] $)

  $( Theorem 19.30 of [Margaris] p. 90. $)
  19.30 $p |- ( A. x ( ph \/ ps ) -> ( A. x ph \/ E. x ps ) ) $=
    ( wn wi wal wo wex 19.20 orcom df-or bitr albii df-ex orbi2i imor 3bitr4
    3imtr4 ) BDZAEZCFSCFZACFZEZABGZCFUBBCHZGZSACIUDTCUDBAGTABJBAKLMUBUADZGUGUBG
    UFUCUBUGJUEUGUBBCNOUAUBPQR $.
    $( [5-Aug-1993] $)

  ${
    19.32.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.32 of [Margaris] p. 90. $)
    19.32 $p |- ( A. x ( ph \/ ps ) <-> ( ph \/ A. x ps ) ) $=
      ( wn wi wal wo hbn 19.21 df-or albii 3bitr4 ) AEZBFZCGNBCGZFABHZCGAPHNBCA
      CDIJQOCABKLAPKM $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.31.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.31 of [Margaris] p. 90. $)
    19.31 $p |- ( A. x ( ph \/ ps ) <-> ( A. x ph \/ ps ) ) $=
      ( wo wal 19.32 orcom albii 3bitr4 ) BAEZCFBACFZEABEZCFLBEBACDGMKCABHILBHJ
      $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.43 of [Margaris] p. 90. $)
  19.43 $p |- ( E. x ( ph \/ ps ) <-> ( E. x ph \/ E. x ps ) ) $=
    ( wo wn wal wex wa ioran albii 19.26 alnex anbi12i 3bitr negbii df-ex oran
    3bitr4 ) ABDZEZCFZEACGZEZBCGZEZHZESCGUBUDDUAUFUAAEZBEZHZCFUGCFZUHCFZHUFTUIC
    ABIJUGUHCKUJUCUKUEACLBCLMNOSCPUBUDQR $.
    $( [5-Aug-1993] $)

  ${
    19.44.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.44 of [Margaris] p. 90. $)
    19.44 $p |- ( E. x ( ph \/ ps ) <-> ( E. x ph \/ ps ) ) $=
      ( wo wex 19.43 19.9 orbi2i bitr ) ABECFACFZBCFZEKBEABCGLBKBCDHIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.45.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.45 of [Margaris] p. 90. $)
    19.45 $p |- ( E. x ( ph \/ ps ) <-> ( ph \/ E. x ps ) ) $=
      ( wo wex 19.43 19.9 orbi1i bitr ) ABECFACFZBCFZEALEABCGKALACDHIJ $.
      $( [5-Aug-1993] $)
  $}

  $( Theorem 19.33 of [Margaris] p. 90. $)
  19.33 $p |- ( ( A. x ph \/ A. x ps ) -> A. x ( ph \/ ps ) ) $=
    ( wal wo orc 19.20i olc jaoi ) ACDABEZCDBCDAJCABFGBJCBAHGI $.
    $( [5-Aug-1993] $)

  $( The antecedent provides a condition implying the converse of ~ 19.33 .
     Compare Theorem 19.33 of [Margaris] p. 90. $)
  19.33b $p |- ( -. ( E. x ph /\ E. x ps ) ->
               (  A. x ( ph \/ ps ) <-> ( A. x ph \/ A. x ps ) ) ) $=
    ( wex wa wn wo wal wi ianor alnex orbi12i bitr4 wb biorf 19.20i 19.15 syl
    olc syl6bir orcom syl6bb orc jaoi sylbi 19.33 impbid1 ) ACDZBCDZEFZABGZCHZA
    CHZBCHZGZUJAFZCHZBFZCHZGZULUOIZUJUHFZUIFZGUTUHUIJUQVBUSVCACKBCKLMUQVAUSUQUL
    UNUOUQBUKNZCHUNULNUPVDCABOPBUKCQRUNUMSTUSULUMUOUSAUKNZCHUMULNURVECURABAGUKB
    AOBAUAUBPAUKCQRUMUNUCTUDUEABCUFUG $.
    $( [2-Apr-2004] $) $( [27-Mar-2004] $)

  $( Theorem 19.34 of [Margaris] p. 90. $)
  19.34 $p |- ( ( A. x ph \/ E. x ps ) -> E. x ( ph \/ ps ) ) $=
    ( wal wex wo 19.2 orim1i 19.43 sylibr ) ACDZBCEZFACEZLFABFCEKMLACCGHABCIJ
    $.
    $( [5-Aug-1993] $)

  $( Theorem 19.40 of [Margaris] p. 90. $)
  19.40 $p |- ( E. x ( ph /\ ps ) -> ( E. x ph /\ E. x ps ) ) $=
    ( wa wex pm3.26 19.22i pm3.27 jca ) ABDZCEACEBCEJACABFGJBCABHGI $.
    $( [5-Aug-1993] $)

  ${
    19.41.1 $e |- ( ps -> A. x ps ) $.
    $( Theorem 19.41 of [Margaris] p. 90. $)
    19.41 $p |- ( E. x ( ph /\ ps ) <-> ( E. x ph /\ ps ) ) $=
      ( wa wex wn wal df-ex wo hbn 19.31 ianor albii alnex orbi1i bitr4 3bitr4
      con2bii ) ABEZCFTGZCHZGACFZBEZTCIUBUDAGZBGZJZCHUECHZUFJZUBUDGZUEUFCBCDKLU
      AUGCABMNUJUCGZUFJUIUCBMUHUKUFACOPQRSQ $.
      $( [5-Aug-1993] $)
  $}

  ${
    19.42.1 $e |- ( ph -> A. x ph ) $.
    $( Theorem 19.42 of [Margaris] p. 90. $)
    19.42 $p |- ( E. x ( ph /\ ps ) <-> ( ph /\ E. x ps ) ) $=
      ( wa wex 19.41 exancom ancom 3bitr4 ) BAECFBCFZAEABECFAKEBACDGABCHAKIJ $.
      $( [18-Aug-1993] $)
  $}

  $( Rotate 4 universal quantifiers twice. $)
  alrot4 $p |- ( A. x A. y A. z A. w ph <-> A. z A. w A. x A. y ph ) $=
    ( wal alcom albii bitr 3bitr ) AEFZDFCFZBFACFZEFZDFZBFNBFZDFMBFEFZDFLOBLKCF
    ZDFOKCDGRNDACEGHIHNBDGPQDMBEGHJ $.
    $( [7-Feb-2005] $) $( [2-Feb-2005] $)

  $( Swap 1st and 3rd existential quantifiers. $)
  excom13 $p |- ( E. x E. y E. z ph <-> E. z E. y E. x ph ) $=
    ( wex excom exbii 3bitr ) ADEZCEBEIBEZCEABEZDEZCEKCEDEIBCFJLCABDFGKCDFH $.
    $( [9-Mar-1995] $)

  $( Rotate existential quantifiers. $)
  exrot3 $p |- ( E. x E. y E. z ph <-> E. y E. z E. x ph ) $=
    ( wex excom13 excom bitr ) ADECEBEABEZCEDEIDECEABCDFIDCGH $.
    $( [17-Mar-1995] $)

  $( Rotate existential quantifiers twice. $)
  exrot4 $p |- ( E. x E. y E. z E. w ph <-> E. z E. w E. x E. y ph ) $=
    ( wex excom13 exbii bitr ) AEFDFCFZBFACFZDFEFZBFKBFEFDFJLBACDEGHKBEDGI $.
    $( [9-Mar-1995] $)

  ${
    nex.1 $e |- -. ph $.
    $( Generalization rule for negated wff. $)
    nex $p |- -. E. x ph $=
      ( wn wex alnex mpgbi ) ADABEDBABFCG $.
      $( [18-May-1994] $)
  $}

  ${
    nexd.1 $e |- ( ph -> A. x ph ) $.
    nexd.2 $e |- ( ph -> -. ps ) $.
    $( Deduction for generalization rule for negated wff. $)
    nexd $p |- ( ph -> -. E. x ps ) $=
      ( wn wal wex 19.21ai alnex sylib ) ABFZCGBCHFALCDEIBCJK $.
      $( [2-Jan-2002] $)
  $}

  ${
    hbim1.1 $e |- ( ph -> A. x ph ) $.
    hbim1.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( A closed form of ~ hbim . $)
    hbim1 $p |- ( ( ph -> ps ) -> A. x ( ph -> ps ) ) $=
      ( wi wal a2i 19.21 sylibr ) ABFZABCGZFKCGABLEHABCDIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    albid.1 $e |- ( ph -> A. x ph ) $.
    albid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for universal quantifier (deduction rule). $)
    albid $p |- ( ph -> ( A. x ps <-> A. x ch ) ) $=
      ( wb wal 19.21ai 19.15 syl ) ABCGZDHBDHCDHGALDEFIBCDJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    exbid.1 $e |- ( ph -> A. x ph ) $.
    exbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for existential quantifier (deduction rule). $)
    exbid $p |- ( ph -> ( E. x ps <-> E. x ch ) ) $=
      ( wb wal wex 19.21ai 19.18 syl ) ABCGZDHBDICDIGAMDEFJBCDKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    exan.1 $e |- ( E. x ph /\ ps ) $.
    $( Place a conjunct in the scope of an existential quantifier. $)
    exan $p |- E. x ( ph /\ ps ) $=
      ( wa wex wal hbe1 19.27 ancom mpbi mpgbi 19.29 ax-mp exancom ) BAECFZABEC
      FBCGACFZEZPBQEZRCBQCACHIQBESDQBJKLBACMNBACOK $.
      $( [18-Aug-1993] $)
  $}

  $( Split a biconditional and distribute quantifier. $)
  albi $p |- ( A. x ( ph <-> ps ) <->
             ( A. x ( ph -> ps ) /\ A. x ( ps -> ph ) ) ) $=
    ( wb wal wi wa dfbi2 albii 19.26 bitr ) ABDZCEABFZBAFZGZCEMCENCEGLOCABHIMNCJK
    $.
    $( [18-Aug-1993] $)

  $( Split a biconditional and distribute 2 quantifiers. $)
  2albi $p |- ( A. x A. y ( ph <-> ps ) <->
             ( A. x A. y ( ph -> ps ) /\ A. x A. y ( ps -> ph ) ) ) $=
    ( wb wal wi wa albi albii 19.26 bitr ) ABEDFZCFABGDFZBAGDFZHZCFNCFOCFHMPCAB
    DIJNOCKL $.
    $( [5-Feb-2005] $) $( [3-Feb-2005] $)

  ${
    hbnd.1 $e |- ( ph -> A. x ph ) $.
    hbnd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbn . $)
    hbnd $p |- ( ph -> ( -. ps -> A. x -. ps ) ) $=
      ( wal wi wn 19.21ai hbnt syl ) ABBCFGZCFBHZMCFGALCDEIBCJK $.
      $( [3-Jan-2002] $)
  $}

  ${
    hbimd.1 $e |- ( ph -> A. x ph ) $.
    hbimd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    hbimd.3 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbim . $)
    hbimd $p |- ( ph -> ( ( ps -> ch ) -> A. x ( ps -> ch ) ) ) $=
      ( wi wal wn hbnd pm2.21 19.20i syl6com ax-1 ja com12 ) BCHZARDIZBCASHABJZ
      TDISABDEFKTRDBCLMNACCDISGCRDCBOMNPQ $.
      $( [1-Jan-2002] $)
  $}

  ${
    hband.1 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    hband.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hban . $)
    hband $p |- ( ph -> ( ( ps /\ ch ) -> A. x ( ps /\ ch ) ) ) $=
      ( wa wal anim12d 19.26 syl6ibr ) ABCGZBDHZCDHZGLDHABMCNEFIBCDJK $.
      $( [2-Jan-2002] $)
  $}

  ${
    hbbid.1 $e |- ( ph -> A. x ph ) $.
    hbbid.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    hbbid.3 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbbi . $)
    hbbid $p |- ( ph -> ( ( ps <-> ch ) -> A. x ( ps <-> ch ) ) ) $=
      ( wi wa wal wb hbimd anim12d dfbi2 albi 3imtr4g ) ABCHZCBHZIQDJZRDJZIBCKZUAD
      JAQSRTABCDEFGLACBDEGFLMBCNBCDOP $.
      $( [1-Jan-2002] $)
  $}

  ${
    hbald.1 $e |- ( ph -> A. y ph ) $.
    hbald.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbal . $)
    hbald $p |- ( ph -> ( A. y ps -> A. x A. y ps ) ) $=
      ( wal 19.20d ax-7 syl6 ) ABDGZBCGZDGKCGABLDEFHBDCIJ $.
      $( [2-Jan-2002] $)
  $}

  ${
    hbexd.1 $e |- ( ph -> A. y ph ) $.
    hbexd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbex . $)
    hbexd $p |- ( ph -> ( E. y ps -> A. x E. y ps ) ) $=
      ( wex wal 19.22d 19.12 syl6 ) ABDGZBCHZDGLCHABMDEFIBDCJK $.
      $( [2-Jan-2002] $)
  $}

  $( Closed form of Theorem 19.21 of [Margaris] p. 90. $)
  19.21t $p |- ( A. x ( ph -> A. x ph ) ->
               ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) ) $=
    ( wal wi 19.20 imim2d com12 a4s hba1 ax-4 a1i hbimd imim2i 19.20i syl6
    impbid ) AACDZEZCDZABEZCDZABCDZEZSUBUDECUBSUDUBRUCAABCFGHITUDUDCDUBTAUCCSCJ
    SCKUCUCCDETBCJLMUDUACUCBABCKNOPQ $.
    $( [27-May-1997] $)

  $( Closed form of Theorem 19.23 of [Margaris] p. 90. $)
  19.23t $p |- ( A. x ( ps -> A. x ps ) ->
               ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) ) $=
    ( wal wi wex hba1 ax-4 impbid2 imbi2d albid 19.23 syl5bb bitr3d ) BBCDZEZCD
    ZAOEZCDZABEZCDACFZBEZQRTCPCGQOBAQOBBCHPCHIZJKQUAOEUBSQOBUAUCJAOCBCGLMN $.
    $( [8-Nov-2005] $) $( [7-Nov-2005] $)

  $( Introduce a conjunct in the scope of an existential quantifier. $)
  exintr $p |- ( A. x ( ph -> ps ) -> ( E. x ph -> E. x ( ph /\ ps ) ) ) $=
    ( wi wal wa hba1 ancl a4s 19.22d ) ABDZCEAABFZCKCGKALDCABHIJ $.
    $( [11-Aug-1993] $)

  $( Add/remove a conjunct in the scope of an existential quantifier.
     (Contributed by Raph Levien, 3-Jul-2006.) $)
  exintrbi $p |- ( A. x ( ph -> ps ) -> ( E. x ph <-> E. x ( ph /\ ps ) ) ) $=
    ( wi wal wa wb wex pm4.71 albii 19.18 sylbi ) ABDZCEAABFZGZCEACHNCHGMOCABIJ
    ANCKL $.
    $( [6-Jul-2006] $) $( [3-Jul-2006] $)

  ${
    aaan.1 $e |- ( ph -> A. y ph ) $.
    aaan.2 $e |- ( ps -> A. x ps ) $.
    $( Rearrange universal quantifiers. $)
    aaan $p |- ( A. x A. y ( ph /\ ps ) <-> ( A. x ph /\ A. y ps ) ) $=
      ( wa wal 19.28 albii hbal 19.27 bitr ) ABGDHZCHABDHZGZCHACHOGNPCABDEIJAOC
      BCDFKLM $.
      $( [12-Aug-1993] $)
  $}

  ${
    eeor.1 $e |- ( ph -> A. y ph ) $.
    eeor.2 $e |- ( ps -> A. x ps ) $.
    $( Rearrange existential quantifiers. $)
    eeor $p |- ( E. x E. y ( ph \/ ps ) <-> ( E. x ph \/ E. y ps ) ) $=
      ( wo wex 19.45 exbii hbex 19.44 bitr ) ABGDHZCHABDHZGZCHACHOGNPCABDEIJAOC
      BCDFKLM $.
      $( [8-Aug-1994] $)
  $}

  $( Quantified "excluded middle."  Exercise 9.2a of Boolos, p. 111,
     _Computability and Logic_. $)
  qexmid $p |- E. x ( ph -> A. x ph ) $=
    ( wal 19.8a 19.35ri ) AABCZBFBDE $.
    $( [10-Dec-2000] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Equality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Show that the original axiom ~ ax-9o can be derived from ~ ax-9 and
     others.  See ~ ax9 for the rederivation of ~ ax-9 from ~ ax-9o .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-9o
     below so that uses of ~ ax-9o can be more easily identified. $)
  ax9o $p |- ( A. x ( x = y -> A. x ph ) -> ph ) $=
    ( weq wal wi wex wn ax-9 df-ex mpbir 19.22 mpi a6e syl ) BCDZABEZFBEZQBGZAR
    PBGZSTPHBEHBCIPBJKPQBLMABNO $.
    $( [5-Aug-1993] $)

  $( A variant of ~ ax-9 .  Axiom scheme C10' in [Megill] p. 448 (p. 16 of the
     preprint).

     This axiom is redundant, as shown by theorem ~ ax9o . $)
  ax-9o $a |- ( A. x ( x = y -> A. x ph ) -> ph ) $.

  $( Rederivation of axiom ~ ax-9 from the orginal version, ~ ax-9o .
     See ~ ax9o for the derivation of ~ ax-9o from ~ ax-9 .  Lemma L18 in
     [Megill] p. 446 (p. 14 of the preprint).

     This theorem should not be referenced in any proof.  Instead, use ~ ax-9
     above so that uses of ~ ax-9 can be more easily identified. $)
  ax9 $p |- -. A. x -. x = y $=
    ( weq wn wal wi ax-9o modal-b mpg ) ABCZJDAEDZAEFKAKABGJAHI $.
    $( [5-Aug-1993] $)

  $( At least one individual exists.  This is not a theorem of free logic,
     which is sound in empty domains.  For such a logic, we would add this
     theorem as an axiom of set theory (Axiom 0 of [Kunen] p. 10).
     In the system consisting of ~ ax-5 through ~ ax-14 and ~ ax-17 , all
     axioms other than ~ ax-9 are believed to be theorems of free logic,
     although the system without ~ ax-9 is probably not complete in free
     logic. $)
  a9e $p |- E. x x = y $=
    ( weq wex wn wal ax-9 df-ex mpbir ) ABCZADJEAFEABGJAHI $.
    $( [5-Aug-1993] $)

  $( Identity law for equality (reflexivity).  Lemma 6 of [Tarski] p. 68.
     This is often an axiom of equality in textbook systems, but we don't need
     it as an axiom since it can be proved from our other axioms (although
     the proof, as you can see below, is not as obvious as you might think).
     This proof uses only axioms without distinct variable conditions and thus
     requires no dummy variables.  A simpler proof, similar to Tarki's, is
     possible if we make use of ~ ax-17 ; see the proof of ~ equid1 . $)
  equid $p |- x = x $=
    ( weq wal wn wi ax-12 pm2.43i 19.20i ax-9o syl ax-6o pm2.61i ) AABZACZDZACZ
    MPMNEZACMOQAOQAAAFGHMAAIJMAKL $.
    $( [5-Aug-1993] $)

  $( One of the two equality axioms of standard predicate calculus, called
     reflexivity of equality.  (The other one is ~ stdpc7 .)  Axiom 6 of
     [Mendelson] p. 95.  Mendelson doesn't say why he prepended the redundant
     quantifier, but it was probably to be compatible with free logic (which is
     valid in the empty domain). $)
  stdpc6 $p |- A. x x = x $=
    ( weq equid ax-gen ) AABAACD $.
    $( [16-Feb-2005] $) $( [16-Feb-2005] $)

  $( Commutative law for equality.  Lemma 7 of [Tarski] p. 69. $)
  equcomi $p |- ( x = y -> y = x ) $=
    ( weq equid ax-8 mpi ) ABCAACBACADABAEF $.
    $( [5-Aug-1993] $)

  $( Commutative law for equality. $)
  equcom $p |- ( x = y <-> y = x ) $=
    ( weq equcomi impbi ) ABCBACABDBADE $.
    $( [20-Aug-1993] $)

  ${
    equcoms.1 $e |- ( x = y -> ph ) $.
    $( An inference commuting equality in antecedent.  Used to eliminate the
       need for a syllogism. $)
    equcoms $p |- ( y = x -> ph ) $=
      ( weq equcomi syl ) CBEBCEACBFDG $.
      $( [5-Aug-1993] $)
  $}

  $( A transitive law for equality. $)
  equtr $p |- ( x = y -> ( y = z -> x = z ) ) $=
    ( weq wi ax-8 equcoms ) BCDACDEBABACFG $.
    $( [23-Aug-1993] $)

  $( A transitive law for equality.  Lemma L17 in [Megill] p. 446
     (p. 14 of the preprint). $)
  equtrr $p |- ( x = y -> ( z = x -> z = y ) ) $=
    ( weq equtr com12 ) CADABDCBDCABEF $.
    $( [23-Aug-1993] $)

  $( A transitive law for equality. $)
  equtr2 $p |- ( ( x = z /\ y = z ) -> x = y ) $=
    ( weq equtr equcomi syl5 imp ) ACDZBCDZABDZICBDKJACBEBCFGH $.
    $( [12-Aug-1993] $)

  $( An equivalence law for equality. $)
  equequ1 $p |- ( x = y -> ( x = z <-> y = z ) ) $=
    ( weq ax-8 equtr impbid ) ABDACDBCDABCEABCFG $.
    $( [5-Aug-1993] $)

  $( An equivalence law for equality. $)
  equequ2 $p |- ( x = y -> ( z = x <-> z = y ) ) $=
    ( weq equtrr wi equcoms impbid ) ABDCADZCBDZABCEJIFBABACEGH $.
    $( [5-Aug-1993] $)

  $( An identity law for the non-logical predicate. $)
  elequ1 $p |- ( x = y -> ( x e. z <-> y e. z ) ) $=
    ( weq wel ax-13 wi equcoms impbid ) ABDACEZBCEZABCFKJGBABACFHI $.
    $( [5-Aug-1993] $)

  $( An identity law for the non-logical predicate. $)
  elequ2 $p |- ( x = y -> ( z e. x <-> z e. y ) ) $=
    ( weq wel ax-14 wi equcoms impbid ) ABDCAEZCBEZABCFKJGBABACFHI $.
    $( [5-Aug-1993] $)

  ${
    ax11i.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    ax11i.2 $e |- ( ps -> A. x ps ) $.
    $( Inference that has ~ ax-11 (without ` A. y ` ) as its conclusion and
       doesn't require ~ ax-10 , ~ ax-11 , or ~ ax-12 for its proof.  The
       hypotheses may be eliminable without one or more of these axioms in
       special cases.  Proof similar to Lemma 16 of [Tarski] p. 70. $)
    ax11i $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( weq wi wal biimprcd 19.21ai syl6bi ) CDGZABMAHZCIEBNCFMABEJKL $.
      $( [27-May-2008] $) $( [20-May-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                  Axioms ax-10 and ax-11
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Show that ~ ax-10o can be derived from ~ ax-10 .  An open problem is
     whether this theorem can be derived from ~ ax-10 and the others when
     ~ ax-11 is replaced with ~ ax-11o .  See theorem ~ ax10 for the
     rederivation of ~ ax-10 from ~ ax10o .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-10o
     below so that uses of ~ ax-10o can be more easily identified. $)
  ax10o $p |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $=
    ( cv wceq wal wi ax-11 equcoms a4s ax-10 pm2.27 19.20ii syl syld ) BDZCDZEZ
    BFZABFZQPEZAGZCFZACFZRTUCGZBUECBACBHIJSUACFUCUDGBCKUAUBACUAALMNO $.
    $( [17-May-2008] $) $( [16-May-2008] $)

  $( Axiom ~ ax-10o ("o" for "old") was the original version of ~ ax-10 ,
     before it was discovered (in May 2008) that the shorter ~ ax-10 could
     replace it.  It appears as Axiom scheme C11' in [Megill] p. 448 (p. 16
     of the preprint).

     This axiom is redundant, as shown by theorem ~ ax10o . $)
  ax-10o $a |- ( A. x x = y -> ( A. x ph -> A. y ph ) ) $.

  $( Rederivation of ~ ax-10 from original version ~ ax-10o .  See theorem
     ~ ax10o for the derivation of ~ ax-10o from ~ ax-10 .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-10
     above so that uses of ~ ax-10 can be more easily identified. $)
  ax10 $p |- ( A. x x = y -> A. y y = x ) $=
    ( weq wal ax-10o pm2.43i equcomi 19.20i syl ) ABCZADZJBDZBACZBDKLJABEFJMBAB
    GHI $.
    $( [17-May-2008] $) $( [16-May-2008] $)

  $( Commutation law for identical variable specifiers.  The antecedent and
     consequent are true when ` x ` and ` y ` are substituted with the same
     variable.  Lemma L12 in [Megill] p. 445 (p. 12 of the preprint). $)
  alequcom $p |- ( A. x x = y -> A. y y = x ) $=
    ( ax-10 ) ABC $.
    $( [5-Aug-1993] $)

  ${
    alequcoms.1 $e |- ( A. x x = y -> ph ) $.
    $( A commutation rule for identical variable specifiers. $)
    alequcoms $p |- ( A. y y = x -> ph ) $=
      ( weq wal alequcom syl ) CBECFBCEBFACBGDH $.
      $( [5-Aug-1993] $)
  $}

  ${
    nalequcoms.1 $e |- ( -. A. x x = y -> ph ) $.
    $( A commutation rule for distinct variable specifiers. $)
    nalequcoms $p |- ( -. A. y y = x -> ph ) $=
      ( weq wal alequcom nsyl4 con1i ) ACBECFZBCEBFJABCGDHI $.
      $( [2-Jan-2002] $)
  $}

  $( All variables are effectively bound in an identical variable specifier. $)
  hbae $p |- ( A. x x = y -> A. z A. x x = y ) $=
    ( weq wal wi wn ax-12 ax-4 syl7 ax-10o alequcoms pm2.43i syl5 pm2.61ii a5i
    ax-7 syl ) ABDZAEZSCEZAETCESUAACADCEZCBDCEZTUAFZUBGUCGSUATABCHSAIJUDACSACKL
    UDBCBCDBESBEZUATSBCKTUESABKMNLOPSACQR $.
    $( [5-Aug-1993] $)

  ${
    hbalequs.1 $e |- ( A. z A. x x = y -> ph ) $.
    $( Rule that applies ~ hbae to antecedent. $)
    hbaes $p |- ( A. x x = y -> ph ) $=
      ( weq wal hbae syl ) BCFBGZJDGABCDHEI $.
      $( [5-Aug-1993] $)
  $}

  $( All variables are effectively bound in a distinct variable specifier.
     Lemma L19 in [Megill] p. 446 (p. 14 of the preprint). $)
  hbnae $p |- ( -. A. x x = y -> A. z -. A. x x = y ) $=
    ( weq wal hbae hbn ) ABDAECABCFG $.
    $( [5-Aug-1993] $)

  ${
    hbnalequs.1 $e |- ( A. z -. A. x x = y -> ph ) $.
    $( Rule that applies ~ hbnae to antecedent. $)
    hbnaes $p |- ( -. A. x x = y -> ph ) $=
      ( weq wal wn hbnae syl ) BCFBGHZKDGABCDIEJ $.
      $( [5-Aug-1993] $)
  $}

  $( Lemma used in proofs of substitution properties. $)
  equs3 $p |- ( E. x ( x = y /\ ph ) <-> -. A. x ( x = y -> -. ph ) ) $=
    ( weq wn wi wal wa wex alinexa con2bii ) BCDZAEFBGLAHBILABJK $.
    $( [5-Aug-1993] $)

  $( Lemma used in proofs of substitution properties. $)
  equs4 $p |- ( A. x ( x = y -> ph ) -> E. x ( x = y /\ ph ) ) $=
    ( weq wi wal wn wa wex pm3.27 ax-4 imp jc nsyl ex hbn1 syl6 a5i ax-9o syl
    equs3 sylibr ) BCDZAEZBFZUCAGEZBFZGZUCAHBIUEUCUHBFZEZBFUHUDUJBUEUCUHUIUEUCU
    HUEUCHZUFUGUKUCAUEUCJUEUCAUDBKLMUFBKNOUFBPQRUHBCSTABCUAUB $.
    $( [5-Aug-1993] $)

  ${
    equsal.1 $e |- ( ps -> A. x ps ) $.
    equsal.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A useful equivalence related to substitution. $)
    equsal $p |- ( A. x ( x = y -> ph ) <-> ps ) $=
      ( weq wi wal 19.3 syl6bbr pm5.74i albii ax-1 a5i syl ax-9o impbi bitr4 )
      CDGZAHZCITBCIZHZCIZBUAUCCTAUBTABUBFBCEJKLMBUDBUBUDEBUCCUBTNOPBCDQRS $.
      $( [5-Aug-1993] $)
  $}

  ${
    equsex.1 $e |- ( ps -> A. x ps ) $.
    equsex.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( A useful equivalence related to substitution. $)
    equsex $p |- ( E. x ( x = y /\ ph ) <-> ps ) $=
      ( weq wn wi wex wal wa exnal df-an exbii hbn negbid equsal con2bii
      3bitr4 ) CDGZAHZIZHZCJUCCKZHUAALZCJBUCCMUFUDCUAANOUEBUBBHCDBCEPUAABFQRST
      $.
      $( [5-Aug-1993] $)
  $}

  ${
    dvelimfALT.1 $e |- ( ph -> A. x ph ) $.
    dvelimfALT.2 $e |- ( ps -> A. z ps ) $.
    dvelimfALT.3 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Proof of ~ dvelimf without using ~ ax-11 .  See ~ dvelimALT for a proof
       (of the distinct variable version ~ dvelim ) that doesn't require
        ~ ax-10 . $)
    dvelimfALT $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( weq wal wn wi ax-10o alequcoms hba1 syl5 a1d wa hbnae hban ax-12 imp
      a1i hbimd hbald ex pm2.61i equsal albii 3imtr3g ) CDICJKZEDIZALZEJZUNCJZB
      BCJCEICJZUKUNUOLZLUPUQUKUPUNEJZUOUNURUOLECUNECMNUMEOPQUPKZUKUQUSUKRZUMCEU
      SUKECEESCDESTUTULACUSUKCCECSCDCSTUSUKULULCJLEDCUAUBAACJLUTFUCUDUEUFUGABED
      GHUHZUNBCVAUIUJ $.
      $( [12-Nov-2002] $)
  $}

  ${
    dral1.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
    dral1 $p |- ( A. x x = y -> ( A. x ph <-> A. y ps ) ) $=
      ( weq wal hbae biimpd 19.20d ax-10o syld biimprd wi alequcoms impbid ) CD
      FCGZACGZBDGZQRBCGSQABCCDCHQABEIJBCDKLQSADGZRQBADCDDHQABEMJTRNDCADCKOLP $.
      $( [24-Nov-1994] $)
  $}

  ${
    dral2.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
    dral2 $p |- ( A. x x = y -> ( A. z ph <-> A. z ps ) ) $=
      ( weq wal hbae albid ) CDGCHABECDEIFJ $.
      $( [21-Mar-2005] $) $( [27-Feb-2005] $)
  $}

  ${
    drex1.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
    drex1 $p |- ( A. x x = y -> ( E. x ph <-> E. y ps ) ) $=
      ( weq wal wn wex negbid dral1 df-ex 3bitr4g ) CDFCGZAHZCGZHBHZDGZHACIBDIN
      PROQCDNABEJKJACLBDLM $.
      $( [5-Apr-2005] $) $( [27-Feb-2005] $)
  $}

  ${
    drex2.1 $e |- ( A. x x = y -> ( ph <-> ps ) ) $.
    $( Formula-building lemma for use with the Distinctor Reduction Theorem.
       Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
    drex2 $p |- ( A. x x = y -> ( E. z ph <-> E. z ps ) ) $=
      ( weq wal hbae exbid ) CDGCHABECDEIFJ $.
      $( [16-May-2005] $) $( [27-Feb-2005] $)
  $}

  $( Closed theorem form of ~ a4im . $)
  a4imt $p |- ( A. x ( ( ps -> A. x ps ) /\ ( x = y -> ( ph -> ps ) ) ) ->
              ( A. x ph -> ps ) ) $=
    ( wal wi weq wa imim2 imim2d imp com23 19.20ii ax-9o syl6 ) BBCEZFZCDGZABFZ
    FZHZCEACERPFZCEBUAAUBCUARAPQTRAPFZFQSUCRBPAIJKLMBCDNO $.
    $( [16-Jan-2008] $) $( [15-Jan-2008] $)

  ${
    a4im.1 $e |- ( ps -> A. x ps ) $.
    a4im.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Specialization with implicit substitution.  Compare Lemma 14 of [Tarski]
       p. 70.  The ~ a4im series of theorems requires that only one direction
       of the substitution hypothesis hold. $)
    a4im $p |- ( A. x ph -> ps ) $=
      ( wal weq wi syl6com 19.20i ax-9o syl ) ACGCDHZBCGZIZCGBAPCNABOFEJKBCDLM
      $.
      $( [8-May-2008] $) $( [5-Aug-1993] $)
  $}

  ${
    a4ime.1 $e |- ( ph -> A. x ph ) $.
    a4ime.2 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Existential introduction with implicit substitution.  Compare Lemma 14
       of [Tarski] p. 70. $)
    a4ime $p |- ( ph -> E. x ps ) $=
      ( wn wal wex hbn weq con3d a4im con2i df-ex sylibr ) ABGZCHZGBCIRAQAGCDAC
      EJCDKABFLMNBCOP $.
      $( [7-Aug-1994] $)
  $}

  ${
    a4imed.1 $e |- ( ch -> A. x ch ) $.
    a4imed.2 $e |- ( ch -> ( ph -> A. x ph ) ) $.
    a4imed.3 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Deduction version of ~ a4ime . $)
    a4imed $p |- ( ch -> ( ph -> E. x ps ) ) $=
      ( wex wa wal adantr imp jca 19.26 sylibr weq adantld a4ime ex ) CABDICAJZ
      BDEUACDKZADKZJUADKUAUBUCCUBAFLCAUCGMNCADOPDEQABCHRST $.
      $( [5-Aug-1993] $)
  $}

  ${
    cbv1.1 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    cbv1.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    cbv1.3 $e |- ( ph -> ( x = y -> ( ps -> ch ) ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbv1 $p |- ( A. x A. y ph -> ( A. x ps -> A. y ch ) ) $=
      ( wal wi a4s 19.20ii ax-7 syl6 weq com23 syl6d ax-9o a7s syld ) AEIZDIZBD
      IZUCEIZCEIZUBUCBEIZDIUDUABUFDABUFJEFKLBDEMNAUDUEJEDADIZUCCEUGUCDEOZCDIZJZ
      DICABUJDABUHCUIAUHBCHPGQLCDERNLST $.
      $( [5-Aug-1993] $)
  $}


  ${
    cbv2.1 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    cbv2.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    cbv2.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbv2 $p |- ( A. x A. y ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal weq wb wi bi1 syl6 cbv1 bi2 equcomi syl5 a7s impbid ) AEIDIBDIZCEIZ
      ABCDEFGADEJZBCKZBCLHBCMNOAUBUALEDACBEDGFAUCCBLZEDJAUCUDUEHBCPNEDQROST $.
      $( [5-Aug-1993] $)
  $}

  ${
    cbv3.1 $e |- ( ph -> A. y ph ) $.
    cbv3.2 $e |- ( ps -> A. x ps ) $.
    cbv3.3 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbv3 $p |- ( A. x ph -> A. y ps ) $=
      ( wi wal imim2i a1i weq cbv1 id ax-gen mpg ) AAHZDIACIBDIHCQABCDAADIAEJBB
      CIHQFKCDLABHHQGKMQDANOP $.
      $( [5-Aug-1993] $)
  $}


  ${
    cbval.1 $e |- ( ph -> A. y ph ) $.
    cbval.2 $e |- ( ps -> A. x ps ) $.
    cbval.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbval $p |- ( A. x ph <-> A. y ps ) $=
      ( wi wal wb imim2i a1i weq cbv2 id ax-gen mpg ) AAHZDIACIBDIJCRABCDAADIAE
      KBBCIHRFLCDMABJHRGLNRDAOPQ $.
      $( [5-Aug-1993] $)
  $}

  ${
    cbvex.1 $e |- ( ph -> A. y ph ) $.
    cbvex.2 $e |- ( ps -> A. x ps ) $.
    cbvex.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbvex $p |- ( E. x ph <-> E. y ps ) $=
      ( wn wal wex hbn weq negbid cbval negbii df-ex 3bitr4 ) AHZCIZHBHZDIZHACJ
      BDJSUARTCDADEKBCFKCDLABGMNOACPBDPQ $.
      $( [5-Aug-1993] $)
  $}

  ${
    chv2.1 $e |- ( ps -> A. x ps ) $.
    chv2.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    chv2.3 $e |- ph $.
    $( Implicit substitution of ` y ` for ` x ` into a theorem.  (Contributed
       by Raph Levien, 9-Jul-2003.) $)
    chvar $p |- ps $=
      ( weq biimpd a4im mpg ) ABCABCDECDHABFIJGK $.
      $( [29-Jul-2003] $) $( [9-Jul-2003] $)
  $}

  $( A variable introduction law for equality.  Lemma 15 of [Monk2] p. 109,
     however we do not require ` z ` to be distinct from ` x ` and ` y `
     (making the proof longer). $)
  equvini $p |- ( x = y -> E. z ( x = z /\ z = y ) ) $=
    ( weq wal wo wa wex wi a9e equid jctl 19.22i ax-mp hbae ax-8 a4s anim1d
    19.22d mpi equcomi jctir equtrr anim2d jaoi a1d wn ioran hbnae hban ax-12
    imp anc2li equcoms a4imed sylbi pm2.61i ) CADZCEZCBDZCEZFZABDZACDZUTGZCHZIZ
    VBVFVCUSVFVAUSCCDZUTGZCHZVFUTCHVJCBJUTVICUTVHCKZLMNUSVIVECCACOUSVHVDUTURVHV
    DICCACPQRSTVAVDVHGZCHZVFURCHVMCAJURVLCURVDVHCAUAVKUBMNVAVLVECCBCOVAVHUTVDUT
    VHUTICCBCUCQUDSTUEUFVBUGUSUGZVAUGZGZVGUSVAUHVCVEVPCAVNVOCCACUICBCUIUJVNVOVC
    VCCEIABCUKULVCVEIACVDVCUTACBPUMUNUOUPUQ $.
    $( [5-Aug-1993] $)

  $( Bound-variable hypothesis builder for ` x = x ` .  This theorem tells us
     that ` x ` is effectively not free in ` x = x ` , even though it is
     technically free according to the traditional definition of free variable.
     (The proof shows that this can be proved without ~ ax-9 , even though the
     theorem ~ equid cannot be.  A shorter proof that uses ~ ax-9 is obtainable
     from ~ equid and ~ hbth .) $)
  hbequid $p |- ( x = x -> A. x x = x ) $=
    ( weq wal wi ax-12 ax-1 pm2.61ii ) AABZACZIHIDAAAEIHFZJG $.
    $( [3-Aug-2008] $) $( [27-Dec-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Substitution (without distinct variables)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c [ $. $( Left bracket $)
  $c / $. $( Division. $)
  $c ] $.  $( Right bracket $)

  $( --- Start of patch to prevent connective overloading $)
  ${
    $v A $.
    wsbc.cA $f class A $.
    $( Extend wff notation to include the proper substitution of a class for a
       set.  Read this notation as "the proper substitution of class ` A ` for
       set variable ` x ` in wff ` ph ` ."

       (The purpose of introducing ` wff [ A / x ] ph ` here is to allow us to
       express i.e. "prove" the ~ wsb of predicate calculus in terms of the
       ~ wsbc of set theory, so that we don't "overload" its connectives with
       two syntax definitions.  This is done to prevent ambiguity that would
       complicate some Metamath parsers.  The class variable ` A ` is
       introduced temporarily for the purpose of this definition but otherwise
       not used in predicate calculus.  See ~ df-sbc for more information on
       the set theory usage of ~ wsbc .) $)
    wsbc $a wff [ A / x ] ph $.
  $}

  $( Extend wff definition to include proper substitution (read "the wff that
     results when ` y ` is properly substituted for ` x ` in wff ` ph ` ").

     (Instead of introducing ~ wsb as an axiomatic statement, as was done
     in an older version of this database, we introduce it by "proving" a
     special case of set theory's more general ~ wsbc .  This lets us avoid
     overloading its connectives, thus preventing ambiguity that would
     complicate some Metamath parsers.  Note: To see the proof steps of
     this syntax proof, type "show proof wsb /all" in the Metamath
     program.) $)
  wsb $p wff [ y / x ] ph $=
    ( cv wsbc ) ABCDE $.
    $( [24-Jan-2006] $)
  $( --- End of patch to prevent connective overloading $)

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include proper substitution (read "the wff that
     results when ` y ` is properly substituted for ` x ` in wff ` ph ` ").

     After we introduce ~ cv and ~ wsbc in set theory, this syntax construction
     becomes redundant, since it can be derived with the proof
     "wph vx vy cv wsbc". @)
  wsb @a wff [ y / x ] ph @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Define proper substitution.  Remark 9.1 in [Megill] p. 447 (p. 15 of the
     preprint).  For our notation, we use ` [ y / x ] ph ` to mean "the wff
     that results when ` y ` is properly substituted for ` x ` in the wff
     ` ph ` ."  We can also use ` [ y / x ] ph ` in place of the "free for"
     side condition used in traditional predicate calculus; see, for example,
     ~ stdpc4 .

     Our notation was introduced in Haskell B. Curry's _Foundations of
     Mathematical Logic_ (1977), p. 316 and is frequently used in textbooks
     of lambda calculus and combinatory logic.  This notation improves the
     common but ambiguous notation, " ` ph ( y ) ` is the wff that results
     when ` y ` is properly substituted for ` x ` in ` ph ( x ) ` ."  For
     example, if the original ` ph ( x ) ` is ` x = y ` , then ` ph ( y ) `
     is ` y = y ` , from which we obtain that ` ph ( x ) ` is ` x = x ` .  So
     what exactly does ` ph ( x ) ` mean?  Curry's notation solves this
     problem.

     In most books, proper substitution has a somewhat complicated recursive
     definition with multiple cases based on the occurrences of free and
     bound variables in the wff.  Instead, we use a remarkable little formula
     that is exactly equivalent and gives us a single direct definition.  We
     later prove that our definition has the properties we expect of proper
     substitution (see theorems ~ sbequ , ~ sbcom2 and ~ sbid2v ).

     Note that our definition is valid even when ` x ` and ` y ` are replaced
     with the same variable, as ~ sbid shows.  We achieve this by having ` x `
     free in the first conjunct and bound in the second.  We can also achieve
     this by using a dummy variable, as the alternate definition ~ dfsb7 shows
     (which some logicians may prefer because it doesn't mix free and bound
     variables).  Another version that mixes free and bound variables is
     ~ dfsb3 .  When ` x ` and ` y ` are distinct, we can express proper
     substitution with the simpler expressions of ~ sb5 and ~ sb6 .

     There are no restrictions on any of the variables, including what
     variables may occur in wff ` ph ` . $)
  df-sb $a |- ( [ y / x ] ph <->
              ( ( x = y -> ph ) /\ E. x ( x = y /\ ph ) ) ) $.

  ${
    sbimi.1 $e |- ( ph -> ps ) $.
    $( Infer substitution into antecedent and consequent of an implication. $)
    sbimi $p |- ( [ y / x ] ph -> [ y / x ] ps ) $=
      ( weq wi wa wex wsb imim2i anim2i 19.22i anim12i df-sb 3imtr4 ) CDFZAGZQA
      HZCIZHQBGZQBHZCIZHACDJBCDJRUATUCABQEKSUBCABQELMNACDOBCDOP $.
      $( [25-Jun-1998] $)
  $}

  ${
    sbbii.1 $e |- ( ph <-> ps ) $.
    $( Infer substitution into both sides of a logical equivalence. $)
    sbbii $p |- ( [ y / x ] ph <-> [ y / x ] ps ) $=
      ( wsb biimp sbimi biimpr impbi ) ACDFBCDFABCDABEGHBACDABEIHJ $.
      $( [5-Aug-1993] $)
  $}

  $( Formula-building lemma for use with the Distinctor Reduction Theorem.
     Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
  drsb1 $p |- ( A. x x = y -> ( [ z / x ] ph <-> [ z / y ] ph ) ) $=
    ( weq wal wi wa wex wsb wb equequ1 a4s imbi1d anbi1d drex1 anbi12d df-sb
    3bitr4g ) BCEZBFZBDEZAGZUBAHZBIZHCDEZAGZUFAHZCIZHABDJACDJUAUCUGUEUIUAUBUFAT
    UBUFKBBCDLMZNUDUHBCUAUBUFAUJOPQABDRACDRS $.
    $( [5-Aug-1993] $)

  $( One direction of a simplified definition of substitution. $)
  sb1 $p |- ( [ y / x ] ph -> E. x ( x = y /\ ph ) ) $=
    ( wsb weq wi wa wex df-sb pm3.27bi ) ABCDBCEZAFKAGBHABCIJ $.
    $( [5-Aug-1993] $)

  $( One direction of a simplified definition of substitution. $)
  sb2 $p |- ( A. x ( x = y -> ph ) -> [ y / x ] ph ) $=
    ( weq wi wal wa wex wsb ax-4 equs4 jca df-sb sylibr ) BCDZAEZBFZPOAGBHZGABC
    IQPRPBJABCKLABCMN $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution. $)
  sbequ1 $p |- ( x = y -> ( ph -> [ y / x ] ph ) ) $=
    ( weq wsb wa wi wex pm3.4 19.8a jca df-sb sylibr ex ) BCDZAABCEZOAFZOAGZQBH
    ZFPQRSOAIQBJKABCLMN $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution. $)
  sbequ2 $p |- ( x = y -> ( [ y / x ] ph -> ph ) ) $=
    ( weq wi wa wex wsb pm3.26 com12 df-sb syl5ib ) BCDZMAEZMAFBGZFZAABCHPMANOI
    JABCKL $.
    $( [5-Aug-1993] $)

  $( One of the two equality axioms of standard predicate calculus, called
     substitutivity of equality.  (The other one is ~ stdpc6 .)  Translated
     to traditional notation, it can be read:
     " ` x = y -> ( ph ( x , x ) -> ph ( x , y ) ) ` , provided that ` y ` is
     free for ` x ` in ` ph ( x , y ) ` ."  Axiom 7 of [Mendelson] p. 95. $)
  stdpc7 $p |- ( x = y -> ( [ x / y ] ph -> ph ) ) $=
    ( wsb wi sbequ2 equcoms ) ACBDAECBACBFG $.
    $( [15-Feb-2005] $) $( [15-Feb-2005] $)

  $( An equality theorem for substitution. $)
  sbequ12 $p |- ( x = y -> ( ph <-> [ y / x ] ph ) ) $=
    ( weq wsb sbequ1 sbequ2 impbid ) BCDAABCEABCFABCGH $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution. $)
  sbequ12r $p |- ( x = y -> ( [ x / y ] ph <-> ph ) ) $=
    ( weq wsb wb sbequ12 equcom bicom 3imtr4 ) CBDAACBEZFBCDKAFACBGBCHKAIJ $.
    $( [7-Oct-2004] $) $( [6-Oct-2004] $)

  $( An equality theorem for substitution. $)
  sbequ12a $p |- ( x = y -> ( [ y / x ] ph <-> [ x / y ] ph ) ) $=
    ( weq wsb sbequ12 wb equcoms bitr3d ) BCDAABCEACBEZABCFAJGCBACBFHI $.
    $( [5-Aug-1993] $)

  $( An identity theorem for substitution.  Remark 9.1 in [Megill] p. 447
     (p. 15 of the preprint). $)
  sbid $p |- ( [ x / x ] ph <-> ph ) $=
    ( wsb weq wb equid sbequ12 ax-mp bicomi ) AABBCZBBDAJEBFABBGHI $.
    $( [5-Aug-1993] $)

  $( The specialization axiom of standard predicate calculus.  It states that
     if a statement ` ph ` holds for all ` x ` , then it also holds for the
     specific case of ` y ` (properly) substituted for ` x ` .  Translated to
     traditional notation, it can be read:  " ` A. x ph ( x ) -> ph ( y ) ` ,
     provided that ` y ` is free for ` x ` in ` ph ( x ) ` ."  Axiom 4 of
     [Mendelson] p. 69.  See also ~ a4sbc and ~ ra4sbc . $)
  stdpc4 $p |- ( A. x ph -> [ y / x ] ph ) $=
    ( wal weq wi wsb ax-1 19.20i sb2 syl ) ABDBCEZAFZBDABCGAMBALHIABCJK $.
    $( [5-Aug-1993] $)

  ${
    sbf.1 $e |- ( ph -> A. x ph ) $.
    $( Substitution for a variable not free in a wff does not affect it. $)
    sbf $p |- ( [ y / x ] ph <-> ph ) $=
      ( wsb weq wex wa sb1 19.41 sylib pm3.27d wal stdpc4 syl impbi ) ABCEZAQBC
      FZBGZAQRAHBGSAHABCIRABDJKLAABMQDABCNOP $.
      $( [17-Oct-2004] $) $( [5-Aug-1993] $)
  $}

  $( Substitution has no effect on a bound variable. $)
  sbf2 $p |- ( [ y / x ] A. x ph <-> A. x ph ) $=
    ( wal hba1 sbf ) ABDBCABEF $.
    $( [2-Jul-2005] $) $( [1-Jul-2005] $)

  ${
    sb6x.1 $e |- ( ph -> A. x ph ) $.
    $( Equivalence involving substitution for a variable not free. $)
    sb6x $p |- ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) $=
      ( wsb weq wi wal sbf ax-1 19.21ai sylbi sb2 impbi ) ABCEZBCFZAGZBHZOARABC
      DIAQBDAPJKLABCMN $.
      $( [5-Aug-1993] $)
  $}

  ${
    hbs1f.1 $e |- ( ph -> A. x ph ) $.
    $( If ` x ` is not free in ` ph ` , it is not free in ` [ y / x ] ph ` . $)
    hbs1f $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( wsb wal weq wex wa sb1 19.41 sylib pm3.27d stdpc4 a5i 3syl ) ABCEZAABFQ
      BFQBCGZBHZAQRAIBHSAIABCJRABDKLMDAQBABCNOP $.
      $( [5-Aug-1993] $)
  $}

  $( Substitution does not change an identical variable specifier. $)
  sbequ5 $p |- ( [ w / z ] A. x x = y <-> A. x x = y ) $=
    ( weq wal hbae sbf ) ABEAFCDABCGH $.
    $( [21-Dec-2004] $) $( [5-Aug-1993] $)

  $( Substitution does not change a distinctor. $)
  sbequ6 $p |- ( [ w / z ] -. A. x x = y <-> -. A. x x = y ) $=
    ( weq wal wn hbnae sbf ) ABEAFGCDABCHI $.
    $( [14-May-2005] $) $( [5-Aug-1993] $)

  ${
    sbt.1 $e |- ph $.
    $( A substitution into a theorem remains true.  (See ~ chvar and ~ chvarv
       for versions with implicit substitution. $)
    sbt $p |- [ y / x ] ph $=
      ( weq wi wsb sb2 a1i mpg ) BCEZAFABCGBABCHAKDIJ $.
      $( [21-Jan-2004] $) $( [21-Jan-2004] $)
  $}

  $( Substitution applied to an atomic wff. $)
  equsb1 $p |- [ y / x ] x = y $=
    ( weq wi wsb sb2 id mpg ) ABCZIDIABEAIABFIGH $.
    $( [5-Aug-1993] $)

  $( Substitution applied to an atomic wff. $)
  equsb2 $p |- [ y / x ] y = x $=
    ( weq wi wsb sb2 equcomi mpg ) ABCBACZDIABEAIABFABGH $.
    $( [5-Aug-1993] $)

  ${
    sbied.1 $e |- ( ph -> A. x ph ) $.
    sbied.2 $e |- ( ph -> ( ch -> A. x ch ) ) $.
    sbied.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Conversion of implicit substitution to explicit substitution (deduction
       version of ~ sbie ). $)
    sbied $p |- ( ph -> ( [ y / x ] ps <-> ch ) ) $=
      ( wsb wal wi wex weq wa wb bi1 syl6 imp3a 19.20i 19.22 syl sb1 syl5 hba1
      19.23 sylib ax-4 syld a4s bi2 com23 19.20ii sb2 impbid ) ABDEIZCAADJZUOCK
      FUPUOCDLZCUPDEMZBNZDLZUQUOUPUSCKZDJUTUQKAVADAURBCAURBCOZBCKHBCPQRSUSCDTUA
      BDEUBUCUPUQCDJZCUPCVCKZDJUQVCKAVDDGSCVCDCDUDUEUFCDUGQUHUAAUPCUOKFUPCVCUOA
      VDDGUIUPVCURBKZDJUOACVEDAURCBAURVBCBKHBCUJQUKULBDEUMQUHUAUN $.
      $( [30-Jun-1994] $)
  $}

  ${
    sbie.1 $e |- ( ps -> A. x ps ) $.
    sbie.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit substitution. $)
    sbie $p |- ( [ y / x ] ph <-> ps ) $=
      ( wi wsb wb id hbth wal a1i weq sbied ax-mp ) AAGZACDHBIAJZQABCDQCRKBBCLG
      QEMCDNABIGQFMOP $.
      $( [30-Jun-1994] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                  Theorems using axiom ax-11
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A property related to substitution that unlike ~ equs5 doesn't require a
     distinctor antecedent. $)
  equs5a $p |- ( E. x ( x = y /\ A. y ph ) -> A. x ( x = y -> ph ) ) $=
    ( weq wal wa wi hba1 ax-11 imp 19.23ai ) BCDZACEZFLAGZBEZBNBHLMOABCIJK $.
    $( [4-Feb-2007] $) $( [2-Feb-2007] $)

  $( A property related to substitution that unlike ~ equs5 doesn't require a
     distinctor antecedent. $)
  equs5e $p |- ( E. x ( x = y /\ ph ) -> A. x ( x = y -> E. y ph ) ) $=
    ( weq wa wex wn wi wal equs3 hbn1 ax-11 con3d com12 df-ex syl6ibr 19.21ai
    sylbi ) BCDZAEBFSAGZHZBIZGZSACFZHZBIABCJUCUEBUABKUCSTCIZGZUDSUCUGSUFUBTBCLM
    NACOPQR $.
    $( [11-Feb-2007] $) $( [2-Feb-2007] $)

  $( A version of ~ sb4 that doesn't require a distinctor antecedent. $)
  sb4a $p |- ( [ y / x ] A. y ph -> A. x ( x = y -> ph ) ) $=
    ( wal cv wsbc wceq wa wex wi sb1 equs5a syl ) ACDZBCEZFBEOGZNHBIPAJBDNBCKAB
    CLM $.
    $( [4-Feb-2007] $) $( [2-Feb-2007] $)

  ${
    equs45f.1 $e |- ( ph -> A. y ph ) $.
    $( Two ways of expressing substitution when ` y ` is not free in
        ` ph ` . $)
    equs45f $p |- ( E. x ( x = y /\ ph ) <-> A. x ( x = y -> ph ) ) $=
      ( weq wa wex wi wal anim2i 19.22i equs5a syl equs4 impbi ) BCEZAFZBGZPAHB
      IZRPACIZFZBGSQUABATPDJKABCLMABCNO $.
      $( [25-Apr-2008] $) $( [25-Apr-2008] $)

    $( Equivalence for substitution when ` y ` is not free in ` ph ` . $)
    sb6f $p |- ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) $=
      ( wsb weq wi wal sbimi sb4a syl sb2 impbi ) ABCEZBCFAGBHZNACHZBCEOAPBCDIA
      BCJKABCLM $.
      $( [30-Apr-2008] $)  $( [5-Aug-1993] $)

    $( Equivalence for substitution when ` y ` is not free in ` ph ` . $)
    sb5f $p |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) $=
      ( wsb weq wi wal wa wex sb6f equs45f bitr4 ) ABCEBCFZAGBHNAIBJABCDKABCDLM
      $.
      $( [18-May-2008] $)  $( [5-Aug-1993] $)
  $}

  $( One direction of a simplified definition of substitution that unlike ~ sb4
     doesn't require a distinctor antecedent. $)
  sb4e $p |- ( [ y / x ] ph -> A. x ( x = y -> E. y ph ) ) $=
    ( cv wsbc wceq wa wex wi wal sb1 equs5e syl ) ABCDZEBDNFZAGBHOACHIBJABCKABC
    LM $.
    $( [23-Feb-2007] $) $( [2-Feb-2007] $)

  $( Special case of a bound-variable hypothesis builder for substitution. $)
  hbsb2a $p |- ( [ y / x ] A. y ph -> A. x [ y / x ] ph ) $=
    ( wal cv wsbc wceq wi sb4a sb2 a5i syl ) ACDBCEZFBEMGAHZBDABMFZBDABCINOBABC
    JKL $.
    $( [5-Feb-2007] $) $( [2-Feb-2007] $)

  $( Special case of a bound-variable hypothesis builder for substitution. $)
  hbsb2e $p |- ( [ y / x ] ph -> A. x [ y / x ] E. y ph ) $=
    ( cv wsbc wceq wex wi wal sb4e sb2 a5i syl ) ABCDZEBDNFACGZHZBIOBNEZBIABCJP
    QBOBCKLM $.
    $( [17-Mar-2007] $) $( [2-Feb-2007] $)

  ${
    hbsb3.1 $e |- ( ph -> A. y ph ) $.
    $( If ` y ` is not free in ` ph ` , ` x ` is not free in
       ` [ y / x ] ph ` . $)
    hbsb3 $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( cv wsbc wal sbimi hbsb2a syl ) ABCEZFZACGZBKFLBGAMBCDHABCIJ $.
      $( [5-Aug-1993] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                  Predicate calculus with distinct variables
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            The axiom of quantifier introduction ax-17
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x ps $.
    a4imv.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( A version of ~ a4im with a distinct variable requirement instead of a
       bound variable hypothesis. $)
    a4imv $p |- ( A. x ph -> ps ) $=
      ( ax-17 a4im ) ABCDBCFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $v f $.
    $( Define a temporary individual variable. $)
    aev.vf $f set f $.
    $d f u v $.  $d f u x y $.  $d u w $.
    $( A "distinctor elimination" lemma with no restrictions on variables in
       the consequent, proved without using ~ ax-16 .  The proof is unusual in
       that it involves linking 17 implications, which might provide an
       interesting challenge for an automated theorem prover. $)
    aev $p |- ( A. x x = y -> A. z w = v ) $=
      ( vu aev.vf weq wal hbae alequcom ax-8 a4imv equcomi 3syl 19.20i a5i
      19.21bi 19.21ai ) ABHAIZDEHZCABCJTUADTTAIAFHZAIZUADIZABAJTUBATBAHZBIFAHZU
      BABKUEUFBFBFALMFANOPUCUFFIZFGHZFIZUDAFKUFUHFUGUCGFHZUHFAKUBUJAGAGFLMGFNOQ
      UIUIFIFEHZFIZUDFGFJUIUKFUIUJGIEFHZUKFGKUJUMGEGEFLMEFNOPULUMEIZEDHZEIUDFEK
      UMUOEUNULUAUOEFKUKUAFDFDELMDENOQEDKOOOORS $.
      $( [8-Nov-2006] $) $( [8-Nov-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Derive the axiom of distinct variables ax-16
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.  $d z ph $.
    $( Theorem showing that ~ ax-16 is redundant if ~ ax-17 is included in the
       axiom system.  The important part of the proof is provided by ~ aev .

       See ~ ax16ALT for an alternate proof that does not require ~ ax-10 or
       ~ ax-12 .

       This theorem should not be referenced in any proof.  Instead, use
       ~ ax-16 below so that theorems needing ~ ax-16 can be more easily
       identified. $)
    ax16 $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( vz weq wal wi aev wsb ax-17 sbequ12 biimpcd 19.20d hbsb3 stdpc7 cbv3
      syl6com syl ) BCEBFBDEZDFZAABFZGBCDBDHATABDIZDFUAASUBDADJZSAUBABDKLMUBADB
      ABDUCNUCADBOPQR $.
      $( [8-Nov-2006] $) $( [8-Nov-2006] $)
  $}

  ${
    $d x y $.
    $( Axiom of Distinct Variables.  The only axiom of predicate calculus
       requiring that variables be distinct (if we consider ~ ax-17 to be a
       metatheorem and not an axiom).  Axiom scheme C16' in [Megill]
       p. 448 (p. 16 of the preprint).  It apparently does not otherwise
       appear in the literature but is easily proved from textbook predicate
       calculus by cases.  It is a somewhat bizarre axiom since the antecedent
       is always false in set theory (see ~ dtru ), but nonetheless it is
       technically necessary as you can see from its uses.

       This axiom is redundant if we include ~ ax-17 ; see theorem ~ ax16 .
       Alternately, ~ ax-17 becomes logically redundant in the presence of this
       axiom, but without ~ ax-17 we lose the more powerful metalogic that
       results from being able to express the concept of a set variable not
       occurring in a wff (as opposed to just two set variables being
       distinct).  We retain ~ ax-16 here to provide logical completeness for
       systems with the simpler metalogic that results from omitting ~ ax-17 ,
       which might be easier to study for some theoretical purposes. $)
    ax-16 $a |- ( A. x x = y -> ( ph -> A. x ph ) ) $.
  $}

  ${
    $d x z $.  $d y z $.
    $( Theorem to add distinct quantifier to atomic formula.  (This theorem
       demonstrates the induction basis for ~ ax-17 considered as a
       metatheorem.  Do not use it for later proofs - use ~ ax-17 instead, to
       avoid reference to the redundant axiom ~ ax-16 .) $)
    ax17eq $p |- ( x = y -> A. z x = y ) $=
      ( weq wal wi ax-12 ax-16 pm2.61ii ) CADCECBDCEABDZJCEFABCGJCAHJCBHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct. $)
    dveeq2 $p |- ( -. A. x x = y -> ( z = y -> A. x z = y ) ) $=
      ( vw weq ax-17 equequ2 dvelimfALT ) CDEZCBEZABDIAFJDFDBCGH $.
      $( [2-Jan-2002] $)

    $( Version of ~ dveeq2 using ~ ax-16 instead of ~ ax-17 . $)
    dveeq2ALT $p |- ( -. A. x x = y -> ( z = y -> A. x z = y ) ) $=
      ( vw weq ax17eq equequ2 dvelimfALT ) CDECBEABDCDAFCBDFDBCGH $.
      $( [19-Jun-2008] $) $( [29-Apr-2008] $)
  $}

  ${
    $d x ch $.  $d x ph $.
    19.23adv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.23 of [Margaris] p. 90. $)
    19.23adv $p |- ( ph -> ( E. x ps -> ch ) ) $=
      ( ax-17 19.23ad ) ABCDADFCDFEG $.
      $( [27-Apr-1994] $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    ax11v2.1 $e |- ( x = z -> ( ph -> A. x ( x = z -> ph ) ) ) $.
    $( Recovery of ~ ax11o from ~ ax11v without using ~ ax-11 .  The
       hypothesis is even weaker than ~ ax11v , with ` z ` both distinct from
       ` x ` _and_ not occurring in ` ph ` .  Thus the hypothesis provides an
       alternate axiom that can be used in place of ~ ax11o . $)
    ax11v2 $p |- ( -. A. x x = y ->
                 ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( weq wal wn wex wi a9e wa wb equequ2 adantl dveeq2 imp hba1 imbi1d a4s
      albid syl imbi2d imbi12d mpbii ex 19.23adv mpi ) BCFZBGHZDCFZDIUIAUIAJZBG
      ZJZJZDCKUJUKUODUJUKUOUJUKLZBDFZAUQAJZBGZJZJUOEUPUQUIUTUNUKUQUIMUJDCBNZOUP
      USUMAUPUKBGZUSUMMUJUKVBBCDPQVBURULBUKBRUKURULMBUKUQUIAVASTUAUBUCUDUEUFUGU
      H $.
      $( [2-Feb-2007] $) $( [2-Feb-2007] $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    ax11a2.1 $e |- ( x = z -> ( A. z ph -> A. x ( x = z -> ph ) ) ) $.
    $( Derive ~ ax-11o from a hypothesis in the form of ~ ax-11 .  The
       hypothesis is even weaker than ~ ax-11 , with ` z ` both distinct from
       ` x ` and not occurring in ` ph ` .  Thus the hypothesis provides an
       alternate axiom that can be used in place of ~ ax11o .  As theorem
       ~ ax11 shows, the distinct variable conditions are optional.  An
       open problem is whether ~ ax11o can be derived from ~ ax-11 without
       relying on ~ ax-17 . $)
    ax11a2 $p |- ( -. A. x x = y ->
                 ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( weq wal wi ax-17 syl5 ax11v2 ) ABCDBDFZADGLAHBGAEADIJK $.
      $( [2-Feb-2007] $) $( [2-Feb-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Derive the original axiom of variable substitution ax-11o
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x z $.  $d y z $.  $d z ph $.
    $( Derivation of set.mm's original ~ ax-11o from the shorter ~ ax-11 that
       has replaced it.

       An open problem is whether this theorem can be proved without relying on
       ~ ax-16 or ~ ax-17 .

       Another open problem is whether this theorem can be proved without
       relying on ~ ax-12 (see note in ~ a12study ).

       Theorem ~ ax11 shows the reverse derivation of ~ ax-11 from
       ~ ax-11o .

       This theorem should not be referenced in any proof.  Instead, use
       ~ ax-11o below so that theorems needing ~ ax-11o can be more easily
       identified. $)
    ax11o $p |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( vz ax-11 ax11a2 ) ABCDABDEF $.
      $( [5-Feb-2007] $) $( [3-Feb-2007] $)
  $}

  $( Axiom ~ ax-11o ("o" for "old") was the original version of ~ ax-11 ,
     before it was discovered (in Jan. 2007) that the shorter ~ ax-11 could
     replace it.  It appears as Axiom scheme C15' in [Megill] p. 448 (p. 16
     of the preprint).  It is based on Lemma 16 of [Tarski] p. 70 and Axiom
     C8 of [Monk2] p. 105, from which it can be proved by cases.  To
     understand this theorem more easily, think of
     " ` -. A. x x = y -> ` ..." as informally meaning "if ` x ` and ` y `
     are distinct variables then..."  The antecedent becomes false if the
     same variable is substituted for ` x ` and ` y ` , ensuring the theorem
     is sound whenever this is the case.  In some later theorems, we call an
     antecedent of the form ` -. A. x x = y ` a "distinctor."

     This axiom is redundant, as shown by theorem ~ ax11o . $)
  ax-11o $a |- ( -. A. x x = y ->
             ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.

  $( Rederivation of axiom ~ ax-11 from the orginal version, ~ ax-11o .
     See theorem ~ ax11o for the derivation of ~ ax-11o from ~ ax-11 .

     This theorem should not be referenced in any proof.  Instead, use ~ ax-11
     above so that uses of ~ ax-11 can be more easily identified. $)
  ax11 $p |- ( x = y -> ( A. y ph -> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wi pm4.2d dral1 ax-1 19.20i syl6bir a1d wn ax-11o ax-4 syl7
    pm2.61i ) BCDZBEZRACEZRAFZBEZFZFSUCRSTABEUBAABCSAGHAUABARIJKLSMRAUBTABCNACO
    PQ $.
    $( [22-Jan-2007] $) $( [22-Jan-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
     Theorems without distinct variables that use axiom ax-11o
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A bidirectional version of ~ ax-11o . $)
  ax11b $p |- ( ( -. A. x x = y /\ x = y ) ->
              ( ph <-> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wn wa wi ax-11o imp ax-4 com12 adantl impbid ) BCDZBEFZOGAOAHZBEZ
    POARHABCIJORAHPROAQBKLMN $.
    $( [7-Jul-2006] $) $( [30-Jun-2006] $)

  $( Lemma used in proofs of substitution properties. $)
  equs5 $p |- ( -. A. x x = y ->
             ( E. x ( x = y /\ ph ) -> A. x ( x = y -> ph ) ) ) $=
    ( cv wceq wal wn wa wi hbnae hba1 ax-11o imp3a 19.23ad ) BDCDEZBFGZOAHOAIZB
    FZBBCBJQBKPOARABCLMN $.
    $( [5-Aug-1993] $)

  $( One direction of a simplified definition of substitution when variables
     are distinct. $)
  sb3 $p |- ( -. A. x x = y -> ( E. x ( x = y /\ ph ) -> [ y / x ] ph ) ) $=
    ( weq wal wn wa wex wi wsb equs5 sb2 syl6 ) BCDZBEFNAGBHNAIBEABCJABCKABCLM
    $.
    $( [5-Aug-1993] $)

  $( One direction of a simplified definition of substitution when variables
     are distinct. $)
  sb4 $p |- ( -. A. x x = y -> ( [ y / x ] ph -> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wn wa wex wi wsb equs5 sb1 syl5 ) BCDZBEFNAGBHNAIBEABCJABCKABCLM
    $.
    $( [5-Aug-1993] $)

  $( Simplified definition of substitution when variables are distinct. $)
  sb4b $p |- ( -. A. x x = y -> ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) ) $=
    ( weq wal wn wsb wi sb4 sb2 impbid1 ) BCDZBEFABCGLAHBEABCIABCJK $.
    $( [27-May-1997] $)

  $( An alternate definition of proper substitution that, like ~ df-sb , mixes
     free and bound variables to avoid distinct variable requirements. $)
  dfsb2 $p |- ( [ y / x ] ph <->
              ( ( x = y /\ ph ) \/ A. x ( x = y -> ph ) ) ) $=
    ( wsb weq wa wi wal wo sbequ2 a4s ax-4 jctild orc syl6 wn sb4 olc pm2.61i
    sbequ1 imp sb2 jaoi impbi ) ABCDZBCEZAFZUFAGBHZIZUFBHZUEUIGUJUEUGUIUJUEAUFU
    FUEAGBABCJKUFBLMUGUHNOUJPUEUHUIABCQUHUGROSUGUEUHUFAUEABCTUAABCUBUCUD $.
    $( [18-Feb-2005] $) $( [17-Feb-2005] $)

  $( An alternate definition of proper substitution ~ df-sb that uses only
     primitive connectives (no defined terms) on the right-hand side. $)
  dfsb3 $p |- ( [ y / x ] ph <->
              ( ( x = y -> -. ph ) -> A. x ( x = y -> ph ) ) ) $=
    ( weq wa wi wal wo wn wsb df-or dfsb2 imnan imbi1i 3bitr4 ) BCDZAEZPAFBGZHQ
    IZRFABCJPAIFZRFQRKABCLTSRPAMNO $.
    $( [18-Mar-2007] $) $( [6-Mar-2007] $)

  $( Bound-variable hypothesis builder for substitution. $)
  hbsb2 $p |- ( -. A. x x = y -> ( [ y / x ] ph -> A. x [ y / x ] ph ) ) $=
    ( weq wal wn wsb wi sb4 sb2 a5i syl6 ) BCDZBEFABCGZMAHZBENBEABCIONBABCJKL
    $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution. $)
  sbequi $p |- ( x = y -> ( [ x / z ] ph -> [ y / z ] ph ) ) $=
    ( weq wal wsb wi wn wa wex hbsb2 equvini stdpc7 sbequ1 sylan9 19.22i syl
    19.35 sylib hbnae 19.9d syl9 ex com23 sbequ2 a4s adantr drsb1 biimpd
    alequcoms sylan9r syld pm2.61ii ) DBEZDFZDCEZDFZBCEZADBGZADCGZHZHUPIZUSURIZ
    VBVCUSVDVBHVCUSJUTVADKZVDVAVCUTUTDFZUSVEADBLUSVBDKZVFVEHUSBDEZUQJZDKVGBCDMV
    IVBDVHUTAUQVAABDNADCOZPQRUTVADSTPVAVDDDCDUAADCLUBUCUDUEUPUSVBUPUSJUTAVAUPUT
    AHZUSUOVKDADBUFUGUHUSAABCGZUPVAABCOVLVAHBDVHBFVLVAABDCUIUJUKULUMUDURUSVBURU
    SJUTAVAURUTACBGZUSAURUTVMADCBUIUJABCNPURAVAHZUSUQVNDVJUGUHUMUDUN $.
    $( [5-Aug-1993] $)

  $( An equality theorem for substitution.  Used in proof of Theorem 9.7
     in [Megill] p. 449 (p. 16 of the preprint). $)
  sbequ $p |- ( x = y -> ( [ x / z ] ph <-> [ y / z ] ph ) ) $=
    ( weq wsb sbequi wi equcoms impbid ) BCEADBFZADCFZABCDGLKHCBACBDGIJ $.
    $( [5-Aug-1993] $)

  $( Formula-building lemma for use with the Distinctor Reduction Theorem.
     Part of Theorem 9.4 of [Megill] p. 448 (p. 16 of preprint). $)
  drsb2 $p |- ( A. x x = y -> ( [ x / z ] ph <-> [ y / z ] ph ) ) $=
    ( weq wal wsb wi sbequi a4s equcoms impbid ) BCEZBFADBGZADCGZMNOHBABCDIJMON
    HZBPCBACBDIKJL $.
    $( [5-Apr-2005] $) $( [27-Feb-2005] $)

  $( Negation inside and outside of substitution are equivalent. $)
  sbn $p |- ( [ y / x ] -. ph <-> -. [ y / x ] ph ) $=
    ( wn wsb cv wceq wal wi sbequ2 nsyld a4s sb4 wa wex sb1 equs3 sylib con2i
    syl6 pm2.61i sbequ1 con3d com12 wsbc sb2 pm4.13 sbbii sylibr con3i jca
    df-sb impbi ) ADZBCEZABCEZDZBFCFZGZBHZUOUQIZUSVABUSUOAUPUNBCJABCJKLUTDUOUSU
    NIZBHZUQUNBCMUPVCUPUSANBOVCDABCPABCQRSTUAUQVBUSUNNBOZNUOUQVBVDUSUQUNUSAUPAB
    CUBUCUDUQUSUNDZIBHZDVDVFUPVFVEBURUEUPVEBCUFAVEBCAUGUHUIUJUNBCQUIUKUNBCULUIU
    M $.
    $( [5-Aug-1993] $)

  $( Removal of implication from substitution. $)
  sbi1 $p |- ( [ y / x ] ( ph -> ps ) -> ( [ y / x ] ph -> [ y / x ] ps ) ) $=
    ( weq wal wi wsb sbequ2 syl5d sbequ1 syl6d a4s wn sb4 ax-2 19.20ii sb2
    syl6 pm2.61i ) CDEZCFZABGZCDHZACDHZBCDHZGGZUAUGCUAUDUEBUFUAUDABUEUCCDIACDIJ
    BCDKLMUBNZUDUAAGZCFZUFUEUHUDUAUCGZCFZUJUFGUCCDOULUJUABGZCFUFUKUIUMCUAABPQBC
    DRSSACDOJT $.
    $( [5-Aug-1993] $)

  $( Introduction of implication into substitution. $)
  sbi2 $p |- ( ( [ y / x ] ph -> [ y / x ] ps ) -> [ y / x ] ( ph -> ps ) ) $=
    ( wsb wi wn sbn pm2.21 sbimi sylbir ax-1 ja ) ACDEZBCDEABFZCDEZNGAGZCDEPACD
    HQOCDABIJKBOCDBALJM $.
    $( [5-Aug-1993] $)

  $( Implication inside and outside of substitution are equivalent. $)
  sbim $p |- ( [ y / x ] ( ph -> ps ) <-> ( [ y / x ] ph -> [ y / x ] ps ) ) $=
    ( wi wsb sbi1 sbi2 impbi ) ABECDFACDFBCDFEABCDGABCDHI $.
    $( [5-Aug-1993] $)

  $( Logical OR inside and outside of substitution are equivalent. $)
  sbor $p |- ( [ y / x ] ( ph \/ ps ) <-> ( [ y / x ] ph \/ [ y / x ] ps ) ) $=
    ( wn wi wsb wo sbim sbn imbi1i bitr df-or sbbii 3bitr4 ) AEZBFZCDGZACDGZEZB
    CDGZFZABHZCDGSUAHRPCDGZUAFUBPBCDIUDTUAACDJKLUCQCDABMNSUAMO $.
    $( [29-Sep-2002] $)

  ${
    sb19.21.1 $e |- ( ph -> A. x ph ) $.
    $( Substitution with a variable not free in antecedent affects only the
       consequent. $)
    sb19.21 $p |- ( [ y / x ] ( ph -> ps ) <-> ( ph -> [ y / x ] ps ) ) $=
      ( wi wsb sbim sbf imbi1i bitr ) ABFCDGACDGZBCDGZFAMFABCDHLAMACDEIJK $.
      $( [5-Aug-1993] $)
  $}

  $( Conjunction inside and outside of a substitution are equivalent. $)
  sban $p |- ( [ y / x ] ( ph /\ ps ) <-> ( [ y / x ] ph /\ [ y / x ] ps ) ) $=
    ( wn wi wsb wa sbn sbim imbi2i bitr negbii df-an sbbii 3bitr4 ) ABEZFZEZCDG
    ZACDGZBCDGZEZFZEZABHZCDGUAUBHTRCDGZEUERCDIUGUDUGUAQCDGZFUDAQCDJUHUCUABCDIKL
    MLUFSCDABNOUAUBNP $.
    $( [5-Aug-1993] $)

  $( Conjunction inside and outside of a substitution are equivalent. $)
  sb3an $p |- ( [ y / x ] ( ph /\ ps /\ ch ) <->
              ( [ y / x ] ph /\ [ y / x ] ps /\ [ y / x ] ch ) ) $=
    ( w3a wsb wa df-3an sbbii sban anbi1i bitr4 3bitr ) ABCFZDEGABHZCHZDEGPDEGZ
    CDEGZHZADEGZBDEGZSFZOQDEABCIJPCDEKTUAUBHZSHUCRUDSABDEKLUAUBSIMN $.
    $( [16-Dec-2006] $) $( [14-Dec-2006] $)

  $( Equivalence inside and outside of a substitution are equivalent. $)
  sbbi $p |- ( [ y / x ] ( ph <-> ps )
     <-> ( [ y / x ] ph <-> [ y / x ] ps ) ) $=
    ( wb wsb wi wa dfbi2 sbbii sbim anbi12i sban 3bitr4 bitr ) ABEZCDFABGZBAGZHZCD
    FZACDFZBCDFZEZPSCDABIJQCDFZRCDFZHUAUBGZUBUAGZHTUCUDUFUEUGABCDKBACDKLQRCDMUA
    UBINO $.
    $( [5-Aug-1993] $)

  ${
    sblbis.1 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Introduce left biconditional inside of a substitution. $)
    sblbis $p |- ( [ y / x ] ( ch <-> ph ) <-> ( [ y / x ] ch <-> ps ) ) $=
      ( wb wsb sbbi bibi2i bitr ) CAGDEHCDEHZADEHZGLBGCADEIMBLFJK $.
      $( [19-Aug-1993] $)
  $}

  ${
    sbrbis.1 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Introduce right biconditional inside of a substitution. $)
    sbrbis $p |- ( [ y / x ] ( ph <-> ch ) <-> ( ps <-> [ y / x ] ch ) ) $=
      ( wb wsb sbbi bibi1i bitr ) ACGDEHADEHZCDEHZGBMGACDEILBMFJK $.
      $( [18-Aug-1993] $)
  $}

  ${
    sbrbif.1 $e |- ( ch -> A. x ch ) $.
    sbrbif.2 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Introduce right biconditional inside of a substitution. $)
    sbrbif $p |- ( [ y / x ] ( ph <-> ch ) <-> ( ps <-> ch ) ) $=
      ( wb wsb sbrbis sbf bibi2i bitr ) ACHDEIBCDEIZHBCHABCDEGJNCBCDEFKLM $.
      $( [18-Aug-1993] $)
  $}

  $( A specialization theorem. $)
  a4sbe $p |- ( [ y / x ] ph -> E. x ph ) $=
    ( wsb wn wal wex stdpc4 sbn sylib con2i df-ex sylibr ) ABCDZAEZBFZEABGPNPOB
    CDNEOBCHABCIJKABLM $.
    $( [5-Aug-1993] $)

  $( Specialization of implication. $)
  a4sbim $p |- ( A. x ( ph -> ps ) -> ( [ y / x ] ph -> [ y / x ] ps ) ) $=
    ( wi wal wsb stdpc4 sbim sylib ) ABEZCFKCDGACDGBCDGEKCDHABCDIJ $.
    $( [5-Aug-1993] $)

  $( Specialization of biconditional. $)
  a4sbbi $p |- ( A. x ( ph <-> ps ) -> ( [ y / x ] ph <-> [ y / x ] ps ) ) $=
    ( wb wal wsb stdpc4 sbbi sylib ) ABEZCFKCDGACDGBCDGEKCDHABCDIJ $.
    $( [5-Aug-1993] $)

  ${
    sbbid.1 $e |- ( ph -> A. x ph ) $.
    sbbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Deduction substituting both sides of a biconditional. $)
    sbbid $p |- ( ph -> ( [ y / x ] ps <-> [ y / x ] ch ) ) $=
      ( wb wal wsb 19.21ai a4sbbi syl ) ABCHZDIBDEJCDEJHANDFGKBCDELM $.
      $( [5-Aug-1993] $)
  $}

  $( Elimination of equality from antecedent after substitution. $)
  sbequ8 $p |- ( [ y / x ] ph <-> [ y / x ] ( x = y -> ph ) ) $=
    ( wsb weq wi equsb1 a1bi sbim bitr4 ) ABCDZBCEZBCDZKFLAFBCDMKBCGHLABCIJ $.
    $( [5-Aug-1993] $)

  ${
    hbsb4.1 $e |- ( ph -> A. z ph ) $.
    $( A variable not free remains so after substitution with a distinct
       variable. $)
    hbsb4 $p |- ( -. A. z z = y -> ( [ y / x ] ph -> A. z [ y / x ] ph ) ) $=
      ( weq wal wn wsb wi wb equequ1 a4s dral1 negbid hbsb2 ax-10o alequcoms
      syl9r sylbid wa hbae ax-4 19.20i sbequ2 sbequ1 19.20ii syl5 syld 3syl
      a1d sb4 hbnae hban ax-12 imp a1i hbimd 19.20d sb2 a7s syl6 syl9 pm2.61i
      ex ) DBFZDGZDCFZDGZHZABCIZVKDGZJZJVGVJBCFZBGZHZVMVGVIVOVHVNDBVFVHVNKDDBCL
      MNOVPVKVKBGZVGVLABCPVQVLJBDVKBDQRSTVGHZVJVMVOVRVJUAZVMJVOVMVSVOVODGVNDGZV
      MBCDUBVOVNDVNBUCUDVTVKAVLVNVKAJDABCUEMVTADGZVLAVNAVKDABCUFUGEUHUIUJUKVPVK
      VNAJZBGZVSVLABCULVSWCWBDGZBGVLVSWBWDBVRVJBDBBUMDCBUMUNVSVNADVRVJDDBDUMDCD
      UMUNVRVJVNVTJBCDUOUPAWAJVSEUQURUSWBVLDBWCVKDABCUTUDVAVBVCVDVEVD $.
      $( [5-Aug-1993] $)
  $}

  $( A variable not free remains so after substitution with a distinct
     variable (closed form of ~ hbsb4 ). $)
  hbsb4t $p |- ( A. x A. z ( ph -> A. z ph ) ->
               ( -. A. z z = y -> ( [ y / x ] ph -> A. z [ y / x ] ph ) ) ) $=
    ( wal wi wsb weq wn wb wa ax-4 biantru dfbi2 bitr4 2albii a4sbbi a4s hba1
    albid imbi12d a7s sylbi hbsb4 syl5bir ) AADEZFZDEBEZABCGZUIDEZFZUFBCGZULDEZ
    FZDCHDEIUHAUFJZDEBEUKUNJZUGUOBDUGUGUFAFZKUOUQUGADLMAUFNOPUOUPDBUOBEZDEZUIUL
    UJUMURUIULJDAUFBCQRZUSUIULDURDSUTTUAUBUCUFBCDADSUDUE $.
    $( [14-Apr-2004] $) $( [7-Apr-2004] $)

  ${
    dvelimf.1 $e |- ( ph -> A. x ph ) $.
    dvelimf.2 $e |- ( ps -> A. z ps ) $.
    dvelimf.3 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Version of ~ dvelim without any variable restrictions. $)
    dvelimf $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( weq wal wn wsb hbsb4 sbie albii 3imtr3g ) CDICJKAEDLZQCJBBCJAEDCFMABEDG
      HNZQBCROP $.
      $( [1-Oct-2002] $)
  $}

  ${
    dvelimdf.1 $e |- ( ph -> A. x ph ) $.
    dvelimdf.2 $e |- ( ph -> A. z ph ) $.
    dvelimdf.3 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    dvelimdf.4 $e |- ( ph -> ( ch -> A. z ch ) ) $.
    dvelimdf.5 $e |- ( ph -> ( z = y -> ( ps <-> ch ) ) ) $.
    $( Deduction form of ~ dvelimf .  This version may be useful if we want to
       avoid ~ ax-17 and use ~ ax-16 instead. $)
    dvelimdf $p |- ( ph -> ( -. A. x x = y -> ( ch -> A. x ch ) ) ) $=
      ( weq wal wn wi wa wsb 19.21ai 19.20i2 hbsb4t 3syl imp wb sbied adantr
      albid 3imtr3d ex ) ADELDMNZCCDMZOAUIPBFEQZUKDMZCUJAUIUKULOZAADMZFMBBDMOZD
      MFMUIUMOAUNFHGRAUOFDISBFEDTUAUBAUKCUCUIABCFEHJKUDZUEAULUJUCUIAUKCDGUPUFUE
      UGUH $.
      $( [15-Apr-2004] $) $( [7-Apr-2004] $)
  $}

  $( A composition law for substitution. $)
  sbco $p |- ( [ y / x ] [ x / y ] ph <-> [ y / x ] ph ) $=
    ( wsb wb weq equsb2 sbequ12 bicomd sbimi ax-mp sbbi mpbi ) ACBDZAEZBCDZNBCD
    ABCDECBFZBCDPBCGQOBCQANACBHIJKNABCLM $.
    $( [5-Aug-1993] $)

  ${
    sbid2.1 $e |- ( ph -> A. x ph ) $.
    $( An identity law for substitution. $)
    sbid2 $p |- ( [ y / x ] [ x / y ] ph <-> ph ) $=
      ( wsb sbco sbf bitr ) ACBEBCEABCEAABCFABCDGH $.
      $( [5-Aug-1993] $)
  $}

  $( An idempotent law for substitution. $)
  sbidm $p |- ( [ y / x ] [ y / x ] ph <-> [ y / x ] ph ) $=
    ( weq wal wsb wb sbequ12 bicomd a4s wn hbnae hbsb2 wi pm4.2d a1i sbied
    pm2.61i ) BCDZBEZABCFZBCFZUAGZSUCBSUAUBUABCHIJTKZUAUABCBCBLABCMSUAUAGNUDSUA
    OPQR $.
    $( [30-Jun-1994] $)

  ${
    sbco2.1 $e |- ( ph -> A. z ph ) $.
    $( A composition law for substitution. $)
    sbco2 $p |- ( [ y / z ] [ z / x ] ph <-> [ y / x ] ph ) $=
      ( weq wal wsb wb sbequ sbid2 syl5bbr sbequ12 bitr3d a4s wn hbnae hbsb3
      hbsb4 wi a1i sbied bicomd pm2.61i ) BCFZBGZABDHZDCHZABCHZIZUEUJBUEAUHUIUE
      UGDBHUHAUGBCDJADBEKLZABCMNOUFPZUIUHULAUHBCBCBQUGDCBABDERSUEAUHITULUKUAUBU
      CUD $.
      $( [30-Jun-1994] $)
  $}

  ${
    sbco2d.1 $e |- ( ph -> A. x ph ) $.
    sbco2d.2 $e |- ( ph -> A. z ph ) $.
    sbco2d.3 $e |- ( ph -> ( ps -> A. z ps ) ) $.
    $( A composition law for substitution. $)
    sbco2d $p |- ( ph -> ( [ y / z ] [ z / x ] ps <-> [ y / x ] ps ) ) $=
      ( wsb wi hbim1 sbco2 sb19.21 sbbii bitr 3bitr3 pm5.74ri ) ABCEIZEDIZBCDIZ
      ABJZCEIZEDIZUACDIASJZATJUACDEABEGHKLUCARJZEDIUDUBUEEDABCEFMNAREDGMOABCDFM
      PQ $.
      $( [5-Aug-1993] $)
  $}

  $( A composition law for substitution. $)
  sbco3 $p |- ( [ z / y ] [ y / x ] ph <-> [ z / x ] [ x / y ] ph ) $=
    ( weq wal wsb wb drsb1 sbequ12a 19.20i a4sbbi syl bitr3d wn hbnae hbsb2
    sbco2d sbco sbbii syl5rbbr pm2.61i ) BCEZBFZABCGZCDGZACBGZBDGZHUDUEBDGZUFUH
    UEBCDIUDUEUGHZBFUIUHHUCUJBABCJKUEUGBDLMNUDOZUECBGZBDGUFUHUKUECDBBCCPBCBPABC
    QRULUGBDACBSTUAUB $.
    $( [5-Aug-1993] $)

  $( A commutativity law for substitution. $)
  sbcom $p |- ( [ y / z ] [ y / x ] ph <-> [ y / x ] [ y / z ] ph ) $=
    ( weq wal wsb wb wn wa drsb1 hbae sbbid bitr3d adantr wi hbnae hban ax-12
    imp 19.20i 19.21t 3syl albid adantrr nalequcoms bi2.04 albii syl5bb alcom
    adantrl sb4b imbi2d sylan9bbr adantl sylan9bb 3bitr4d pm2.61ian ex sbequ12
    a4s pm2.61ii ) BCEZBFZDCEZDFZABCGZDCGZADCGZBCGZHZVDIZVFIZVKBDEBFZVLVMJZVKVN
    VKVOVNVGBCGVHVJVGBDCKVNVGVIBCBDBLABDCKMNOVNIZVOJZVEVCAPZBFZPZDFZVCVEAPZDFZP
    ZBFZVHVJVQVEVRPZBFZDFZWAWEVPVLWHWAHVMVPVLJZWGVTDVPVLDBDDQZBCDQZRWIWIBFVEVEB
    FPZBFWGVTHVPVLBBDBQZBCBQRWIWLBVPVLWLDCBSTUAVEVRBUBUCUDUEVPVMWHWEHVLVPVMJZWF
    DFZBFWEWHWNWOWDBVPVMBWMDCBQZRWNVCWBPZDFZWDWOWNWNDFVCVCDFPZDFWRWDHVPVMDWJDCD
    QRWNWSDVPVMWSVMWSPDBBCDSUFTUAVCWBDUBUCWFWQDVEVCAUGUHUIUDWFDBUJUIUKNVOVHWAHV
    PVMVHVEVGPZDFVLWAVGDCULVLWTVTDWKVLVGVSVEABCULUMUDUNUOVOVJWEHVPVLVJVCVIPZBFV
    MWEVIBCULVMXAWDBWPVMVIWCVCADCULUMUDUPUOUQURUSVDVIVHVJVDAVGDCBCDLVCAVGHBABCU
    TVAMVCVIVJHBVIBCUTVANVFVGVHVJVEVGVHHDVGDCUTVAVFAVIBCDCBLVEAVIHDADCUTVAMNVB
    $.
    $( [27-May-1997] $)

  ${
    sb5rf.1 $e |- ( ph -> A. y ph ) $.
    $( Reversed substitution. $)
    sb5rf $p |- ( ph <-> E. y ( y = x /\ [ y / x ] ph ) ) $=
      ( weq wsb wa wex sbid2 sb1 sylbir sbequ12r biimpa 19.23ai impbi ) ACBEZAB
      CFZGZCHZAQCBFSACBDIQCBJKRACDPQAACBLMNO $.
      $( [22-Mar-2005] $) $( [3-Feb-2005] $)

    $( Reversed substitution. $)
    sb6rf $p |- ( ph <-> A. y ( y = x -> [ y / x ] ph ) ) $=
      ( weq wsb wi wal sbequ1 equcoms com12 19.21ai sb2 sbco sylib sbf impbi )
      ACBEZABCFZGZCHZATCDRASASGBCABCIJKLUAACBFZAUASCBFUBSCBMACBNOACBDPOQ $.
      $( [5-Aug-1993] $)
  $}

  ${
    sb8.1 $e |- ( ph -> A. y ph ) $.
    $( Substitution of variable in universal quantifier. $)
    sb8 $p |- ( A. x ph <-> A. y [ y / x ] ph ) $=
      ( wal wsb hbal stdpc4 19.21ai hbsb3 sbid2 sylib impbi ) ABEZABCFZCEZNOCAC
      BDGABCHIPABOBCABCDJGPOCBFAOCBHACBDKLIM $.
      $( [5-Aug-1993] $)
  $}

  ${
    sb8e.1 $e |- ( ph -> A. y ph ) $.
    $( Substitution of variable in existential quantifier. $)
    sb8e $p |- ( E. x ph <-> E. y [ y / x ] ph ) $=
      ( wn wal wsb wex hbn sb8 sbn albii bitr negbii df-ex 3bitr4 ) AEZBFZEABCG
      ZEZCFZEABHSCHRUARQBCGZCFUAQBCACDIJUBTCABCKLMNABOSCOP $.
      $( [12-Aug-1993] $)
  $}

  $( Commutation of quantification and substitution variables. $)
  sb9i $p |- ( A. x [ x / y ] ph -> A. y [ y / x ] ph ) $=
    ( weq wal wsb wi drsb1 drsb2 bitr3d dral1 biimprd wn hbsb2 19.20ii hbnaes
    stdpc4 sbco sylib 19.20i a7s syl6 pm2.61i ) CBDCEZACBFZBEZABCFZCEZGUDUHUFUG
    UECBUDACCFUGUEACBCHACBCIJKLUDMZUFUECEZBEZUHUFUKGCBBUIUEUJBACBNOPUEUHCBUFUGC
    UFUEBCFUGUEBCQABCRSTUAUBUC $.
    $( [5-Aug-1993] $)

  $( Commutation of quantification and substitution variables. $)
  sb9 $p |- ( A. x [ x / y ] ph <-> A. y [ y / x ] ph ) $=
    ( wsb wal sb9i impbi ) ACBDBEABCDCEABCFACBFG $.
    $( [5-Aug-1993] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Predicate calculus with distinct variables (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( This is a version of ~ ax-11o when the variables are distinct.  Axiom
       (C8) of [Monk2] p. 105.  See theorem ~ ax11v2 for the rederivation of
       ~ ax-11o from this theorem. $)
    ax11v $p |- ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) $=
      ( weq wal wi ax-16 ax-1 syl5 a1d ax-11o pm2.61i ) BCDZBEZMAMAFZBEZFZFNQMN
      OPAOBCGAMHIJABCKL $.
      $( [5-Aug-1993] $)

    $( Two equivalent ways of expressing the proper substitution of ` y ` for
       ` x ` in ` ph ` , when ` x ` and ` y ` are distinct.  Theorem 6.2 of
       [Quine] p. 40.  The proof does not involve ~ df-sb . $)
    sb56 $p |- ( E. x ( x = y /\ ph ) <->  A. x ( x = y -> ph ) ) $=
      ( weq wi wal hba1 ax11v ax-4 com12 impbid equsex ) ABCDZAEZBFZBCNBGMAOABC
      HOMANBIJKL $.
      $( [14-Apr-2008] $) $( [14-Apr-2008] $)

    $( Equivalence for substitution.  Compare Theorem 6.2 of [Quine] p. 40.
       Also proved as Lemmas 16 and 17 of [Tarski] p. 70. $)
    sb6 $p |- ( [ y / x ] ph <-> A. x ( x = y -> ph ) ) $=
      ( weq wi wa wex wal wsb sb56 anbi2i df-sb ax-4 pm4.71ri 3bitr4 ) BCDZAEZP
      AFBGZFQQBHZFABCISRSQABCJKABCLSQQBMNO $.
      $( [14-Apr-2008] $) $( [18-Aug-1993] $)

    $( Equivalence for substitution.  Similar to Theorem 6.1 of [Quine]
       p. 40. $)
    sb5 $p |- ( [ y / x ] ph <-> E. x ( x = y /\ ph ) ) $=
      ( wsb weq wi wal wa wex sb6 sb56 bitr4 ) ABCDBCEZAFBGMAHBIABCJABCKL $.
      $( [14-Apr-2008] $) $( [18-Aug-1993] $)

    $( Identity law for equality (reflexivity).  Lemma 6 of [Tarski] p. 68.
       This proof is similar to Tarski's and makes use of a dummy variable
       ` y ` .  See ~ equid for a proof that avoids dummy variables (but is
       less intuitive). $)
    equid1 $p |- x = x $=
      ( vy weq wex a9e ax-17 ax-8 pm2.43i 19.23ai ax-mp ) BACZBDAACZBAEKLBLBFKL
      BAAGHIJ $.
      $( [5-Apr-2005] $) $( [1-Apr-2005] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    ax16i.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    ax16i.2 $e |- ( ps -> A. x ps ) $.
    $( Inference with ~ ax-16 as its conclusion, that doesn't require ~ ax-10 ,
       ~ ax-11 , or ~ ax-12 for its proof.  The hypotheses may be eliminable
       without one or more of these axioms in special cases. $)
    ax16i $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( cv wceq wal wi ax-17 ax-8 cbv3 a4imv equid1 mpi syl syl5com 19.20d
      mpcom 19.20i biimpcd biimprd syl6com ) CHZDHZIZCJZUFEHZIZEJZAACJZKUIUJUGI
      ZEJZULUHUNCEUHELZUNCLCEDMNUOUJUFIZEJZULUHUOURUNUHECECDMOUHUNUQEUPUNUGUFIZ
      UQUHUNUGUJIZUSUQKUNUJUJIZUTEPZEDEMQDECMRUHUFUFIUSCPCDCMQSTUAUQUKEUQVAUKVB
      ECEMQZUBRRAULBEJUMAUKBEAELZUKABFUCTBAECGVDUQUKBAKVCUKABFUDRNUER $.
      $( [2-Jun-2008] $) $( [20-May-2008] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( Version of ~ ax16 that doesn't require ~ ax-10 or ~ ax-12 for its
       proof. $)
    ax16ALT $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( vz cv wsbc sbequ12 ax-17 hbsb3 ax16i ) AABDEFBCDABDGABDADHIJ $.
      $( [7-Jun-2008] $) $( [17-May-2008] $)
  $}

  ${
    $d x ps $.
    a4v.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Specialization with implicit substitution. $)
    a4v $p |- ( A. x ph -> ps ) $=
      ( weq biimpd a4imv ) ABCDCDFABEGH $.
      $( [30-Aug-1993] $)
  $}

  ${
    $d x ph $.
    a4imev.1 $e |- ( x = y -> ( ph -> ps ) ) $.
    $( Distinct-variable version of ~ a4ime . $)
    a4imev $p |- ( ph -> E. x ps ) $=
      ( ax-17 a4ime ) ABCDACFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.
    a4eiv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    a4eiv.2 $e |- ps $.
    $( Inference from existential specialization with implicit substitution. $)
    a4eiv $p |- E. x ph $=
      ( wex weq biimprd a4imev ax-mp ) BACGFBACDCDHABEIJK $.
      $( [19-Aug-1993] $)
  $}

  ${
    $d x z $.  $d y z $.
    $( A variable introduction law for equality.  Lemma 15 of [Monk2]
       p. 109. $)
    equvin $p |- ( x = y <-> E. z ( x = z /\ z = y ) ) $=
      ( weq wa wex equvini ax-17 equtr imp 19.23ai impbi ) ABDZACDZCBDZEZCFABCG
      PMCMCHNOMACBIJKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.
    $( A generalization of axiom ~ ax-16 . $)
    a16g $p |- ( A. x x = y -> ( ph -> A. z ph ) ) $=
      ( weq wal wi hbae wn ax-9 ax-16 mt3i equcomi syl 19.21ai pm4.2d dral1
      biimprd syl9r mpcom ) DBEZDFZBCEBFZAADFZGUCUADBCDHUCBDEZUAUCUEUEIZBFBDJUF
      BCKLBDMNOUCAABFZUBUDABCKUBUDUGAADBUBAPQRST $.
      $( [5-Aug-1993] $)

    $( A generalization of axiom ~ ax-16 . $)
    a16gb $p |- ( A. x x = y -> ( ph <-> A. z ph ) ) $=
      ( weq wal a16g ax-4 impbid1 ) BCEBFAADFABCDGADHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.
    albidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for universal quantifier (deduction rule). $)
    albidv $p |- ( ph -> ( A. x ps <-> A. x ch ) ) $=
      ( ax-17 albid ) ABCDADFEG $.
      $( [5-Aug-1993] $)

    $( Formula-building rule for existential quantifier (deduction rule). $)
    exbidv $p |- ( ph -> ( E. x ps <-> E. x ch ) ) $=
      ( ax-17 exbid ) ABCDADFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    2albidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for 2 existential quantifiers (deduction rule). $)
    2albidv $p |- ( ph -> ( A. x A. y ps <-> A. x A. y ch ) ) $=
      ( wal albidv ) ABEGCEGDABCEFHH $.
      $( [4-Mar-1997] $)

    $( Formula-building rule for 2 existential quantifiers (deduction rule). $)
    2exbidv $p |- ( ph -> ( E. x E. y ps <-> E. x E. y ch ) ) $=
      ( wex exbidv ) ABEGCEGDABCEFHH $.
      $( [1-May-1995] $)
  $}

  ${
    $d x ph $.  $d y ph $.  $d z ph $.
    3exbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for 3 existential quantifiers (deduction rule). $)
    3exbidv $p |- ( ph -> ( E. x E. y E. z ps <-> E. x E. y E. z ch ) ) $=
      ( wex exbidv 2exbidv ) ABFHCFHDEABCFGIJ $.
      $( [1-May-1995] $)
  $}

  ${
    $d x ph $.  $d y ph $.  $d z ph $.  $d w ph $.
    4exbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for 4 existential quantifiers (deduction rule). $)
    4exbidv $p |- ( ph ->
                     ( E. x E. y E. z E. w ps <-> E. x E. y E. z E. w ch ) ) $=
      ( wex 2exbidv ) ABGIFICGIFIDEABCFGHJJ $.
      $( [3-Aug-1995] $)
  $}

  ${
    $d x ph $.
    $( Special case of Theorem 19.9 of [Margaris] p. 89. $)
    19.9v $p |- ( E. x ph <-> ph ) $=
      ( ax-17 19.9 ) ABABCD $.
      $( [21-May-2007] $) $( [28-May-1995] $)
  $}

  ${
    $d x ph $.
    $( Special case of Theorem 19.21 of [Margaris] p. 90.  _Notational
       convention_:  We sometimes suffix with "v" the label of a theorem
       eliminating a hypothesis such as ` ( ph -> A. x ph ) ` in ~ 19.21
       via the use of distinct variable conditions combined with ~ ax-17 .
       Conversely, we sometimes suffix with "f" the label of a theorem
       introducing such a hypothesis to eliminate the need for the
       distinct variable condition; e.g. ~ euf derived from ~ df-eu .
       The "f" stands for "not free in" which is less restrictive than
       "does not occur in." $)
    19.21v $p |- ( A. x ( ph -> ps ) <-> ( ph -> A. x ps ) ) $=
      ( ax-17 19.21 ) ABCACDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.
    19.21aiv.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90. $)
    19.21aiv $p |- ( ph -> A. x ps ) $=
      ( ax-17 19.21ai ) ABCACEDF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    19.21aivv.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90. $)
    19.21aivv $p |- ( ph -> A. x A. y ps ) $=
      ( wal 19.21aiv ) ABDFCABDEGG $.
      $( [31-Jul-1995] $)
  $}

  ${
    $d x ph $.  $d x ps $.
    19.21adv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.21 of [Margaris] p. 90. $)
    19.21adv $p |- ( ph -> ( ps -> A. x ch ) ) $=
      ( ax-17 19.21ad ) ABCDADFBDFEG $.
      $( [10-Feb-1997] $)
  $}

  ${
    $d x ph $.
    19.20dv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.20 of [Margaris] p. 90. $)
    19.20dv $p |- ( ph -> ( A. x ps -> A. x ch ) ) $=
      ( ax-17 19.20d ) ABCDADFEG $.
      $( [3-Apr-1994] $)

    $( Deduction from Theorem 19.22 of [Margaris] p. 90. $)
    19.22dv $p |- ( ph -> ( E. x ps -> E. x ch ) ) $=
      ( ax-17 19.22d ) ABCDADFEG $.
      $( [27-Apr-1994] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    19.20dvv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90. $)
    19.20dvv $p |- ( ph -> ( A. x A. y ps -> A. x A. y ch ) ) $=
      ( wal 19.20dv ) ABEGCEGDABCEFHH $.
      $( [8-May-2004] $) $( [27-Apr-2004] $)

    $( Deduction from Theorem 19.22 of [Margaris] p. 90. $)
    19.22dvv $p |- ( ph -> ( E. x E. y ps -> E. x E. y ch ) ) $=
      ( wex 19.22dv ) ABEGCEGDABCEFHH $.
      $( [3-Aug-1995] $)
  $}

  ${
    $d x ps $.
    $( Special case of Theorem 19.23 of [Margaris] p. 90. $)
    19.23v $p |- ( A. x ( ph -> ps ) <-> ( E. x ph -> ps ) ) $=
      ( ax-17 19.23 ) ABCBCDE $.
      $( [28-Jun-1998] $)
  $}

  ${
    $d x ps $.  $d y ps $.
    $( Theorem 19.23 of [Margaris] p. 90 extended to two variables. $)
    19.23vv $p |- ( A. x A. y ( ph -> ps ) <-> ( E. x E. y ph -> ps ) ) $=
      ( wi wal wex 19.23v albii bitr ) ABEDFZCFADGZBEZCFLCGBEKMCABDHILBCHJ $.
      $( [23-Aug-2004] $) $( [10-Aug-2004] $)
  $}

  ${
    $d x ps $.
    19.23aiv.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90. $)
    19.23aiv $p |- ( E. x ph -> ps ) $=
      ( ax-17 19.23ai ) ABCBCEDF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.  $d y ps $.
    19.23aivv.1 $e |- ( ph -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90. $)
    19.23aivv $p |- ( E. x E. y ph -> ps ) $=
      ( wex 19.23aiv ) ADFBCABDEGG $.
      $( [1-Aug-1995] $)
  $}

  ${
    $d x ch $.  $d x ph $.  $d y ch $.  $d y ph $.
    19.23advv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.23 of [Margaris] p. 90. $)
    19.23advv $p |- ( ph -> ( E. x E. y ps -> ch ) ) $=
      ( wex 19.23adv ) ABEGCDABCEFHH $.
      $( [31-Jul-1995] $)
  $}

  ${
    $d x ps $.
    $( Theorem 19.27 of [Margaris] p. 90. $)
    19.27v $p |- ( A. x ( ph /\ ps ) <-> ( A. x ph /\ ps ) ) $=
      ( ax-17 19.27 ) ABCBCDE $.
      $( [4-Jun-2004] $) $( [3-Jun-2004] $)
  $}

  ${
    $d x ph $.
    $( Theorem 19.28 of [Margaris] p. 90. $)
    19.28v $p |- ( A. x ( ph /\ ps ) <-> ( ph /\ A. x ps ) ) $=
      ( ax-17 19.28 ) ABCACDE $.
      $( [25-Mar-2004] $) $( [25-Mar-2004] $)
  $}

  ${
    $d x ps $.
    $( Special case of Theorem 19.36 of [Margaris] p. 90. $)
    19.36v $p |- ( E. x ( ph -> ps ) <-> ( A. x ph -> ps ) ) $=
      ( ax-17 19.36 ) ABCBCDE $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x ps $.
    19.36aiv.1 $e |- E. x ( ph -> ps ) $.
    $( Inference from Theorem 19.36 of [Margaris] p. 90. $)
    19.36aiv $p |- ( A. x ph -> ps ) $=
      ( ax-17 19.36i ) ABCBCEDF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d x ps $.  $d y ph $.
    $( Special case of ~ 19.12 where its converse holds. $)
    19.12vv $p |- ( E. x A. y ( ph -> ps ) <-> A. y E. x ( ph -> ps ) ) $=
      ( wi wal wex 19.21v exbii 19.36v albii bitr2 3bitr ) ABEZDFZCGABDFZEZCGAC
      FZPEZNCGZDFZOQCABDHIAPCJUARBEZDFSTUBDABCJKRBDHLM $.
      $( [18-Jul-2001] $)
  $}

  ${
    $d x ph $.
    $( Special case of Theorem 19.37 of [Margaris] p. 90. $)
    19.37v $p |- ( E. x ( ph -> ps ) <-> ( ph -> E. x ps ) ) $=
      ( ax-17 19.37 ) ABCACDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.
    19.37aiv.1 $e |- E. x ( ph -> ps ) $.
    $( Inference from Theorem 19.37 of [Margaris] p. 90. $)
    19.37aiv $p |- ( ph -> E. x ps ) $=
      ( wi wex 19.37v mpbi ) ABECFABCFEDABCGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.
    $( Special case of Theorem 19.41 of [Margaris] p. 90. $)
    19.41v $p |- ( E. x ( ph /\ ps ) <-> ( E. x ph /\ ps ) ) $=
      ( ax-17 19.41 ) ABCBCDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.  $d y ps $.
    $( Theorem 19.41 of [Margaris] p. 90 with 2 quantifiers. $)
    19.41vv $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x E. y ph /\ ps ) ) $=
      ( wa wex 19.41v exbii bitr ) ABEDFZCFADFZBEZCFKCFBEJLCABDGHKBCGI $.
      $( [30-Apr-1995] $)
  $}

  ${
    $d x ps $.  $d y ps $.  $d z ps $.
    $( Theorem 19.41 of [Margaris] p. 90 with 3 quantifiers. $)
    19.41vvv $p |- ( E. x E. y E. z ( ph /\ ps ) <->
                     ( E. x E. y E. z ph /\ ps ) ) $=
      ( wa wex 19.41vv exbii 19.41v bitr ) ABFEGDGZCGAEGDGZBFZCGMCGBFLNCABDEHIM
      BCJK $.
      $( [30-Apr-1995] $)
  $}

  ${
    $d x ph $.
    $( Special case of Theorem 19.42 of [Margaris] p. 90. $)
    19.42v $p |- ( E. x ( ph /\ ps ) <-> ( ph /\ E. x ps ) ) $=
      ( ax-17 19.42 ) ABCACDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d y ph $.
    $( Distribution of existential quantifiers. $)
    exdistr $p |- ( E. x E. y ( ph /\ ps ) <-> E. x ( ph /\ E. y ps ) ) $=
      ( wa wex 19.42v exbii ) ABEDFABDFECABDGH $.
      $( [9-Mar-1995] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    $( Theorem 19.42 of [Margaris] p. 90 with 2 quantifiers. $)
    19.42vv $p |- ( E. x E. y ( ph /\ ps ) <-> ( ph /\ E. x E. y ps ) ) $=
      ( wa wex exdistr 19.42v bitr ) ABEDFCFABDFZECFAJCFEABCDGAJCHI $.
      $( [16-Mar-1995] $)
  $}

  ${
    $d y ph $.  $d z ph $.
    $( Distribution of existential quantifiers. $)
    exdistr2 $p |- ( E. x E. y E. z ( ph /\ ps ) <->
                   E. x ( ph /\ E. y E. z ps ) ) $=
      ( wa wex 19.42vv exbii ) ABFEGDGABEGDGFCABDEHI $.
      $( [17-Mar-1995] $)
  $}

  ${
    $d y ph $.  $d z ph $.  $d z ps $.
    $( Distribution of existential quantifiers. $)
    3exdistr $p |- ( E. x E. y E. z ( ph /\ ps /\ ch ) <->
                E. x ( ph /\ E. y ( ps /\ E. z ch ) ) ) $=
      ( w3a wex wa 3anass exbii 19.42v anbi2i 3bitr bitr ) ABCGZFHZEHZABCFHIZEH
      IZDRASIZEHTQUAEQABCIZIZFHAUBFHZIUAPUCFABCJKAUBFLUDSABCFLMNKASELOK $.
      $( [9-Mar-1995] $)
  $}

  ${
    $d y ph $.  $d z ph $.  $d w ph $.  $d z ps $.  $d w ps $.  $d w ch $.
    $( Distribution of existential quantifiers. $)
    4exdistr $p |- ( E. x E. y E. z E. w ( ( ph /\ ps ) /\ ( ch /\ th ) ) <->
                E. x ( ph /\ E. y ( ps /\ E. z ( ch /\ E. w th ) ) ) ) $=
      ( wa wex anass exbii 19.42v anbi2i 3bitr bitr ) ABICDIZIZHJZGJZFJZABCDHJI
      ZGJIZFJIZEUAAUCIZFJUDTUEFTABUBIZIZGJAUFGJZIUESUGGSABQIZIZHJZUGRUJHABQKLUK
      AUIHJZIABQHJZIZIUGAUIHMULUNABQHMNUNUFAUMUBBCDHMNNOPLAUFGMUHUCABUBGMNOLAUC
      FMPL $.
      $( [9-Mar-1995] $)
  $}

  ${
    $d y ph $.  $d x ps $.
    cbvalv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbvalv $p |- ( A. x ph <-> A. y ps ) $=
      ( ax-17 cbval ) ABCDADFBCFEG $.
      $( [5-Aug-1993] $)

    $( Rule used to change bound variables with implicit substitution. $)
    cbvexv $p |- ( E. x ph <-> E. y ps ) $=
      ( ax-17 cbvex ) ABCDADFBCFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d y x $.  $d y z $.  $d w x $.  $d w z $.
    cbval2.1 $e |- ( ph -> A. z ph ) $.
    cbval2.2 $e |- ( ph -> A. w ph ) $.
    cbval2.3 $e |- ( ps -> A. x ps ) $.
    cbval2.4 $e |- ( ps -> A. y ps ) $.
    cbval2.5 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbval2 $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( wal hbal weq wb wi wa ax-17 hban expcom pm5.32d cbval 19.28 3bitr3
      pm5.32 mpbir ) ADLZBFLZCEAEDGMBCFIMCENZUGUHOPUIUGQZUIUHQZOUIAQZDLUIBQZFLU
      JUKULUMDFUIAFUIFRZHSUIBDUIDRZJSDFNZUIABUIUPABOKTUAUBUIADUOUCUIBFUNUCUDUIU
      GUHUEUFUB $.
      $( [22-Dec-2003] $) $( [22-Dec-2003] $)

    $( Rule used to change bound variables with implicit substitution. $)
    cbvex2 $p |- ( E. x E. y ph <-> E. z E. w ps ) $=
      ( wex hbex weq wb wi wa ax-17 hban expcom pm5.32d cbvex 19.42 3bitr3
      pm5.32 mpbir ) ADLZBFLZCEAEDGMBCFIMCENZUGUHOPUIUGQZUIUHQZOUIAQZDLUIBQZFLU
      JUKULUMDFUIAFUIFRZHSUIBDUIDRZJSDFNZUIABUIUPABOKTUAUBUIADUOUCUIBFUNUCUDUIU
      GUHUEUFUB $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d z w ph $.  $d x y ps $.  $d x w $.  $d z y $.
    cbval2v.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbval2v $p |- ( A. x A. y ph <-> A. z A. w ps ) $=
      ( ax-17 cbval2 ) ABCDEFAEHAFHBCHBDHGI $.
      $( [2-Mar-2005] $) $( [4-Feb-2005] $)

    $( Rule used to change bound variables with implicit substitution. $)
    cbvex2v $p |- ( E. x E. y ph <-> E. z E. w ps ) $=
      ( ax-17 cbvex2 ) ABCDEFAEHAFHBCHBDHGI $.
      $( [26-Jul-1995] $)
  $}

  ${
    $d x ph $.  $d x ch $.
    cbvald.1 $e |- ( ph -> A. y ph ) $.
    cbvald.2 $e |- ( ph -> ( ps -> A. y ps ) ) $.
    cbvald.3 $e |- ( ph -> ( x = y -> ( ps <-> ch ) ) ) $.
    $( Deduction used to change bound variables with implicit substitution,
       particularly useful in conjunction with ~ dvelim . $)
    cbvald $p |- ( ph -> ( A. x ps <-> A. y ch ) ) $=
      ( wal wi hbim1 ax-17 weq wb com12 pm5.74d cbval 19.21v 19.21 3bitr3
      pm5.74ri ) ABDIZCEIZABJZDIACJZEIAUBJAUCJUDUEDEABEFGKUEDLDEMZABCAUFBCNHOPQ
      ABDRACEFSTUA $.
      $( [2-Jan-2002] $)

    $( Deduction used to change bound variables with implicit substitution,
       particularly useful in conjunction with ~ dvelim . $)
    cbvexd $p |- ( ph -> ( E. x ps <-> E. y ch ) ) $=
      ( wn wal wex hbnd weq wb pm4.11 syl6ib cbvald negbid df-ex 3bitr4g ) ABIZ
      DJZICIZEJZIBDKCEKAUBUDAUAUCDEFABEFGLADEMBCNUAUCNHBCOPQRBDSCEST $.
      $( [2-Jan-2002] $)
  $}

  ${
    $v f $.
    $v g $.
    $( Define temporary individual variables. $)
    cbvex4v.vf $f set f $.
    cbvex4v.vg $f set g $.
    $d w z ch $.  $d u v ph $.  $d x y ps $.  $d f g ps $.  $d f w $.
    $d g z $.  $d u v w x y z $.
    cbvex4v.1 $e |- ( ( x = v /\ y = u ) -> ( ph <-> ps ) ) $.
    cbvex4v.2 $e |- ( ( z = f /\ w = g ) -> ( ps <-> ch ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbvex4v $p |- ( E. x E. y E. z E. w ph <-> E. v E. u E. f E. g ch ) $=
      ( wex weq wa 2exbidv cbvex2v 2exbii bitr ) AGNFNZENDNBGNFNZINHNCKNJNZINHN
      UAUBDEHIDHOEIOPABFGLQRUBUCHIBCFGJKMRST $.
      $( [26-Jul-1995] $)
  $}

  ${
    $d y ph $.  $d x ps $.
    $( Rearrange existential quantifiers. $)
    eeanv $p |- ( E. x E. y ( ph /\ ps ) <-> ( E. x ph /\ E. y ps ) ) $=
      ( wa wex exdistr ax-17 hbex 19.41 bitr ) ABEDFCFABDFZECFACFLEABCDGALCBCDB
      CHIJK $.
      $( [26-Jul-1995] $)
  $}

  ${
    $d y ph $.  $d z ph $.  $d x z ps $.  $d x y ch $.
    $( Rearrange existential quantifiers. $)
    eeeanv $p |- ( E. x E. y E. z ( ph /\ ps /\ ch ) <->
                 ( E. x ph /\ E. y ps /\ E. z ch ) ) $=
      ( wa wex w3a 19.42vv eeanv anbi2i bitr exbii 19.41v 3anass 3exbi 3bitr4
      ) ABCGZGZFHEHZDHZADHZBEHZCFHZGZGZABCIZFHEHDHUCUDUEIUBAUFGZDHUGUAUIDUAASFH
      EHZGUIASEFJUJUFABCEFKLMNAUFDOMUHTDEFABCPQUCUDUEPR $.
      $( [26-Jul-1995] $)
  $}

  ${
    $d z ph $.  $d w ph $.  $d x ps $.  $d y ps $.  $d y z $.  $d w x $.
    $( Rearrange existential quantifiers. $)
    ee4anv $p |- ( E. x E. y E. z E. w ( ph /\ ps ) <->
                  ( E. x E. y ph /\ E. z E. w ps ) ) $=
      ( wa wex excom exbii eeanv 2exbii 3bitr ) ABGFHZEHDHZCHNDHZEHZCHADHZBFHZG
      ZEHCHRCHSEHGOQCNDEIJPTCEABDFKLRSCEKM $.
      $( [31-Jul-1995] $)
  $}

  ${
    $d x ph $.
    nexdv.1 $e |- ( ph -> -. ps ) $.
    $( Deduction for generalization rule for negated wff. $)
    nexdv $p |- ( ph -> -. E. x ps ) $=
      ( ax-17 nexd ) ABCACEDF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ps $.
    chv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    chv.2 $e |- ph $.
    $( Implicit substitution of ` y ` for ` x ` into a theorem. $)
    chvarv $p |- ps $=
      ( a4v mpg ) ABCABCDEGFH $.
      $( [20-Apr-1994] $)
  $}

  ${
    $d x z $.  $d y z $.
    $( When the class variables in definition ~ df-clel are replaced with set
       variables, this theorem of predicate calculus is the result.  This
       theorem provides part of the justification for the consistency of that
       definition, which "overloads" the set variables in ~ wel with the class
       variables in ~ wcel . $)
    cleljust $p |- ( x e. y <-> E. z ( z = x /\ z e. y ) ) $=
      ( weq wel wa wex ax-17 elequ1 equsex bicomi ) CADCBEZFCGABEZLMCAMCHCABIJK
      $.
      $( [28-Jan-2004] $) $( [28-Jan-2004] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        More substitution theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$( The theorems in this section make use of the $d statement. $)

  ${
    $d y z $.  $d x y $.
    $( Lemma for ~ equsb3 . $)
    equsb3lem $p |- ( [ x / y ] y = z <-> x = z ) $=
      ( weq wsb wb equsb2 equequ1 sbimi ax-mp sbbi mpbi ax-17 sbf bitr3 ) BCDZB
      AEZACDZBAEZRRPFZBAEZSQFABDZBAEUABAGUBTBAABCHIJRPBAKLRBARBMNO $.
      $( [4-Dec-2005] $) $( [4-Dec-2005] $)
  $}

  ${
    $d w y z $.  $d w x $.
    $( Substitution applied to an atomic wff.  (Contributed by Raph Levien and
       FL, 4-Dec-2005.) $)
    equsb3 $p |- ( [ x / y ] y = z <-> x = z ) $=
      ( vw weq wsb equsb3lem sbbii ax-17 sbco2 3bitr3 ) BCEZBDFZDAFDCEZDAFLBAFA
      CEMNDADBCGHLBADLDIJADCGK $.
      $( [4-Dec-2005] $) $( [4-Dec-2005] $)
  $}

  ${
    $d w y z $.  $d w x $.
    $( Substitution applied to an atomic membership wff. $)
    elsb3 $p |- ( [ x / y ] y e. z <-> x e. z ) $=
      ( vw wel wsb wb weq equsb2 elequ1 sbimi ax-mp sbbi mpbi ax-17 sbf bitr3
      sbbii sbco2 3bitr3 ) BCEZBDFZDAFDCEZDAFZUABAFACEZUBUCDAUBUCBDFZUCUCUAGZBD
      FZUFUBGDBHZBDFUHBDIUIUGBDDBCJKLUCUABDMNUCBDUCBOPQRUABADUADOSUDUEDAFZUEUEU
      CGZDAFZUJUDGADHZDAFULDAIUMUKDAADCJKLUEUCDAMNUEDAUEDOPQT $.
      $( [7-Nov-2006] $) $( [7-Nov-2006] $)
  $}

  ${
    $d x y $.
    $( ` x ` is not free in ` [ y / x ] ph ` when ` x ` and ` y ` are
       distinct. $)
    hbs1 $p |- ( [ y / x ] ph -> A. x [ y / x ] ph ) $=
      ( weq wal wsb wi ax-16 hbsb2 pm2.61i ) BCDBEABCFZKBEGKBCHABCIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d y z $.
    hbsb.1 $e |- ( ph -> A. z ph ) $.
    $( If ` z ` is not free in ` ph ` , it is not free in ` [ y / x ] ph `
       when ` y ` and ` z ` are distinct. $)
    hbsb $p |- ( [ y / x ] ph -> A. z [ y / x ] ph ) $=
      ( weq wal wsb wi ax-16 hbsb4 pm2.61i ) DCFDGABCHZMDGIMDCJABCDEKL $.
      $( [12-Aug-1993] $)
  $}

  ${
    $d x z $.  $d x w $.  $d y z $.
    $( Commutativity law for substitution.  Used in proof of Theorem 9.7 of
       [Megill] p. 449 (p. 16 of the preprint). $)
    sbcom2 $p |- ( [ w / z ] [ y / x ] ph <-> [ y / x ] [ w / z ] ph ) $=
      ( weq wal wsb wb wn wa wi alcom bi2.04 albii 19.21v bitr 3bitr3 a1i sb4b
      imbi2d albidv sylan9bbr sylan9bb 3bitr4d ex hbae sbequ12 a4s sbbid
      bitr3d pm2.61ii ) BCFZBGZDEFZDGZABCHZDEHZADEHZBCHZIZUNJZUPJZVAVBVCKZUOUMA
      LZBGZLZDGZUMUOALZDGZLZBGZURUTVHVLIVDUMVILZBGZDGVMDGZBGVHVLVMDBMVNVGDVNUOV
      ELZBGVGVMVPBUMUOANOUOVEBPQOVOVKBUMVIDPORSVCURUOUQLZDGVBVHUQDETVBVQVGDVBUQ
      VFUOABCTUAUBUCVBUTUMUSLZBGVCVLUSBCTVCVRVKBVCUSVJUMADETUAUBUDUEUFUNUSURUTU
      NAUQDEBCDUGUMAUQIBABCUHUIUJUMUSUTIBUSBCUHUIUKUPUQURUTUOUQURIDUQDEUHUIUPAU
      SBCDEBUGUOAUSIDADEUHUIUJUKUL $.
      $( [27-May-1997] $)
  $}

  ${
    $d x y z $.  $d w y $.
    $( Equivalence for double substitution. $)
    2sb5 $p |- ( [ z / x ] [ w / y ] ph <->
               E. x E. y ( ( x = z /\ y = w ) /\ ph ) ) $=
      ( wsb weq wa wex sb5 19.42v anass exbii anbi2i 3bitr4r bitr ) ACEFZBDFBDG
      ZQHZBIRCEGZHAHZCIZBIQBDJSUBBRTAHZHZCIRUCCIZHUBSRUCCKUAUDCRTALMQUERACEJNOM
      P $.
      $( [25-Mar-2005] $) $( [3-Feb-2005] $)

    $( Equivalence for double substitution. $)
    2sb6 $p |- ( [ z / x ] [ w / y ] ph <->
               A. x A. y ( ( x = z /\ y = w ) -> ph ) ) $=
      ( wsb weq wi wal wa sb6 19.21v impexp albii imbi2i 3bitr4r bitr ) ACEFZBD
      FBDGZRHZBISCEGZJAHZCIZBIRBDKTUCBSUAAHZHZCISUDCIZHUCTSUDCLUBUECSUAAMNRUFSA
      CEKOPNQ $.
      $( [12-Feb-2005] $) $( [3-Feb-2005] $)
  $}

  ${
    $d x y $.
    $( Equivalence for substitution. $)
    sb6a $p |- ( [ y / x ] ph <-> A. x ( x = y -> [ x / y ] ph ) ) $=
      ( wsb weq wi wal sb6 wb sbequ12 equcoms pm5.74i albii bitr ) ABCDBCEZAFZB
      GOACBDZFZBGABCHPRBOAQAQICBACBJKLMN $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d x w $.  $d y z $.  $d z w $.
    2sb5rf.1 $e |- ( ph -> A. z ph ) $.
    2sb5rf.2 $e |- ( ph -> A. w ph ) $.
    $( Reversed double substitution. $)
    2sb5rf $p |- ( ph <->
                E. z E. w ( ( z = x /\ w = y ) /\ [ z / x ] [ w / y ] ph ) ) $=
      ( weq wsb wa wex sb5rf 19.42v sbcom2 anbi2i anass bitr exbii hbsb
      3bitr4r ) ADBHZABDIZJZDKUAECHZJZACEIBDIZJZEKZDKABDFLUCUHDUAUDUBCEIZJZJZEK
      UAUJEKZJUHUCUAUJEMUGUKEUGUEUIJUKUFUIUEACEBDNOUAUDUIPQRUBULUAUBCEABDEGSLOT
      RQ $.
      $( [16-May-2005] $) $( [3-Feb-2005] $)

    $( Reversed double substitution. $)
    2sb6rf $p |- ( ph <->
                A. z A. w ( ( z = x /\ w = y ) -> [ z / x ] [ w / y ] ph ) ) $=
      ( weq wsb wi wal wa sb6rf 19.21v sbcom2 imbi2i impexp bitr albii hbsb
      3bitr4r ) ADBHZABDIZJZDKUBECHZLZACEIBDIZJZEKZDKABDFMUDUIDUBUEUCCEIZJZJZEK
      UBUKEKZJUIUDUBUKENUHULEUHUFUJJULUGUJUFACEBDOPUBUEUJQRSUCUMUBUCCEABDEGTMPU
      ASR $.
      $( [6-Jun-2005] $) $( [3-Feb-2005] $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.
    $( An alternate definition of proper substitution ~ df-sb .  By
       introducing a dummy variable ` z ` in the definiens, we are able to
       eliminate any distinct variable restrictions among the variables
       ` x ` , ` y ` , and ` ph ` of the definiendum.  No distinct variable
       conflicts arise because ` z ` effectively insulates ` x ` from ` y ` .
       To achieve this, we use a chain of two substitutions in the form of
       ~ sb5 , first ` z ` for ` x ` then ` y ` for ` z ` .  Compare Definition
       2.1'' of [Quine] p. 17, which is obtained from this theorem by applying
       ~ df-clab .  Theorem ~ sb7f provides a version where ` ph ` and ` z `
       don't have to be distinct. $)
    dfsb7 $p |- ( [ y / x ] ph <-> E. z ( z = y /\ E. x ( x = z /\ ph ) ) ) $=
      ( wsb weq wa wex sb5 sbbii ax-17 sbco2 3bitr3 ) ABDEZDCEBDFAGBHZDCEABCEDC
      FOGDHNODCABDIJABCDADKLODCIM $.
      $( [29-Jan-2004] $) $( [28-Jan-2004] $)
  $}

  ${
    $d w x z $.  $d w y z $.  $d w ph $.
    sb7f.1 $e |- ( ph -> A. z ph ) $.
    $( This version of ~ dfsb7 does not require that ` ph ` and ` z ` be
       distinct.  This permits it to be used as a definition for substitution
       in a formalization that omits the logically redundant axiom ~ ax-17
       i.e. that doesn't have the concept of a variable not occurring in a
       wff.  ( ~ df-sb is also suitable, but its mixing of free and bound
       variables is distasteful to some logicians.) $)
    sb7f $p |- ( [ y / x ] ph <->
               E. z ( z = y /\ E. x ( x = z /\ ph ) ) ) $=
      ( vw wsb weq wa wex dfsb7 ax-17 hban hbex equequ1 equequ2 anbi1d exbidv
      anbi12d cbvex bitr ) ABCGFCHZBFHZAIZBJZIZFJDCHZBDHZAIZBJZIZDJABCFKUFUKFDU
      BUEDUBDLUDDBUCADUCDLEMNMUKFLFDHZUBUGUEUJFDCOULUDUIBULUCUHAFDBPQRSTUA $.
      $( [4-Aug-2006] $) $( [26-Jul-2006] $)
  $}

  ${
    $d x y $.
    sb10f.1 $e |- ( ph -> A. x ph ) $.
    $( Hao Wang's identity axiom P6 in Irving Copi, _Symbolic Logic_ (5th ed.,
       1979), p. 328.  In traditional predicate calculus, this is a sole
       axiom for identity from which the usual ones can be derived. $)
    sb10f $p |- ( [ y / z ] ph <-> E. x ( x = y /\ [ x / z ] ph ) ) $=
      ( weq wsb wa wex hbsb sbequ equsex bicomi ) BCFADBGZHBIADCGZNOBCADCBEJABC
      DKLM $.
      $( [9-May-2005] $) $( [9-May-2005] $)
  $}

  ${
    $d x ph $.
    $( An identity law for substitution.  Used in proof of Theorem 9.7 of
       [Megill] p. 449 (p. 16 of the preprint). $)
    sbid2v $p |- ( [ y / x ] [ x / y ] ph <-> ph ) $=
      ( ax-17 sbid2 ) ABCABDE $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d x ph $.
    $( Elimination of substitution. $)
    sbelx $p |- ( ph <-> E. x ( x = y /\ [ x / y ] ph ) ) $=
      ( wsb weq wa wex sbid2v sb5 bitr3 ) AACBDZBCDBCEKFBGABCHKBCIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $( Note:  A more general case could also be proved with
       "$d x z $.  $d y w $.  $d x ph $.  $d y ph $.", but with more
       difficulty. $)
    $d x y z $.  $d w y $.  $d x y ph $.
    $( Elimination of double substitution. $)
    sbel2x $p |- ( ph <-> E. x E. y ( ( x = z /\ y = w ) /\
                     [ y / w ] [ x / z ] ph ) ) $=
      ( weq wsb wa wex sbelx anbi2i exbii exdistr 3bitr4 anass 2exbii bitr4 )
      ABDFZCEFZADBGZECGZHZHZCIBIZRSHUAHZCIBIRTHZBIRUBCIZHZBIAUDUFUHBTUGRTCEJKLA
      BDJRUBBCMNUEUCBCRSUAOPQ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.
    $( A theorem used in elimination of disjoint variable restriction on ` x `
       and ` y ` by replacing it with a distinctor ` -. A. x x = z ` . $)
    sbal1 $p |- ( -. A. x x = z ->
             ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) ) $=
      ( weq wal wn wsb wb wi sbequ12 a4s dral2 bitr3d a1d wa hba1 hbsb4 ax-4
      sbimi 19.20i syl6 adantl sb4 19.20ii hbnaes ax-7 ax-16 ax-12 pm2.61i
      19.20 syl9 sb2 sylan9 impbid ex ) CDEZCFZBDEBFGZABFZCDHZACDHZBFZIZJURVDUS
      URUTVAVCUQUTVAICUTCDKLAVBCDBUQAVBICACDKLMNOURGZUSVDVEUSPVAVCUSVAVCJVEUSVA
      VABFVCUTCDBABQRVAVBBUTACDABSTUAUBUCVEVCUQAJZBFZCFZUSVAVEVCVFCFZBFZVHVCVJJ
      CDBVEVBVIBACDUDUEUFVFBCUGUBVHVAJBDCUSCFVHUQUTJZCFVAUSVGVKCUSUQUQBFZVGUTBC
      EBFZUSUQVLJZJVMVNUSUQBCUHOCDBUIUJUQABUKULUEUTCDUMUBUFUNUOUPUJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d x z $.
    $( Move universal quantifier in and out of substitution. $)
    sbal $p |- ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) $=
      ( weq wal wsb wb a16gb sbimi sbequ5 sbbi 3imtr3 bitr3d sbal1 pm2.61i ) BD
      EBFZABFZCDGZACDGZBFZHQTSUAQCDGARHZCDGQTSHQUBCDABDBIJBDCDKARCDLMTBDBINABCD
      OP $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d x z $.
    $( Move existential quantifier in and out of substitution. $)
    sbex $p |- ( [ z / y ] E. x ph <-> E. x [ z / y ] ph ) $=
      ( wn wal wsb wex sbn sbal albii bitr negbii df-ex sbbii 3bitr4 ) AEZBFZEZ
      CDGZACDGZEZBFZEZABHZCDGUABHTRCDGZEUDRCDIUFUCUFQCDGZBFUCQBCDJUGUBBACDIKLML
      UESCDABNOUABNP $.
      $( [27-Sep-2003] $)
  $}

  ${
    $d x z $.  $d y z $.
    sbalv.1 $e |- ( [ y / x ] ph <-> ps ) $.
    $( Quantify with new variable inside substitution. $)
    sbalv $p |- ( [ y / x ] A. z ph <-> A. z ps ) $=
      ( wal wsb sbal albii bitr ) AEGCDHACDHZEGBEGAECDILBEFJK $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( An equivalent expression for existence. $)
    exsb $p |- ( E. x ph <-> E. y A. x ( x = y -> ph ) ) $=
      ( wex wsb weq wi wal ax-17 sb8e sb6 exbii bitr ) ABDABCEZCDBCFAGBHZCDABCA
      CIJNOCABCKLM $.
      $( [12-Feb-2005] $) $( [2-Feb-2005] $)
  $}

  ${
    $d x y z $.  $d y w $.  $d z w ph $.
    $( An equivalent expression for double existence. $)
    2exsb $p |- ( E. x E. y ph <->
                  E. z E. w A. x A. y ( ( x = z /\ y = w ) -> ph ) ) $=
      ( wex weq wi wal wa exsb exbii excom bitr impexp albii 19.21v bitr2
      3bitr ) ACFZBFZCEGZAHZCIZBFZEFZBDGZUBJAHZCIZBIZDFZEFUJEFDFUAUDEFZBFUFTULB
      ACEKLUDBEMNUEUKEUEUGUDHZBIZDFUKUDBDKUNUJDUMUIBUIUGUCHZCIUMUHUOCUGUBAOPUGU
      CCQRPLNLUJEDMS $.
      $( [12-Feb-2005] $) $( [2-Feb-2005] $)
  $}

  ${
    $d z ps $.
    dvelim.1 $e |- ( ph -> A. x ph ) $.
    dvelim.2 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( This theorem can be used to eliminate a distinct variable restriction on
       ` x ` and ` z ` and replace it with the "distinctor" ` -. A. x x = y `
       as an antecedent.  ` ph ` normally has ` z ` free and can be read
       ` ph ( z ) ` , and ` ps ` substitutes ` y ` for ` z ` and can be read
       ` ph ( y ) ` .  We don't require that ` x ` and ` y ` be distinct: if
       they aren't, the distinctor will become false (in multiple-element
       domains of discourse) and "protect" the consequent.

       To obtain a closed-theorem form of this inference, prefix the hypotheses
       with ` A. x A. z ` , conjoin them, and apply ~ dvelimdf . $)
    dvelim $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( ax-17 dvelimf ) ABCDEFBEHGI $.
      $( [23-Nov-1994] $)
  $}

  ${
    $d z ps $.  $d x z $.  $d y z $.
    dvelimALT.1 $e |- ( ph -> A. x ph ) $.
    dvelimALT.2 $e |- ( z = y -> ( ph <-> ps ) ) $.
    $( Version of ~ dvelim that doesn't use ~ ax-10 .  (See ~ dvelimfALT for a
       version that doesn't use ~ ax-11 .) $)
    dvelimALT $p |- ( -. A. x x = y -> ( ps -> A. x ps ) ) $=
      ( cv wceq wal wn wi ax-17 hba1 ax16ALT a1i hbimd a1d wa hbn hban ax-12
      imp ex pm2.61i hbald equsal albii 3imtr3g ) CHZDHZIZCJZKZEHZUKIZALZEJZURC
      JBBCJUNUQCEUNEMUJUOIZCJZUNUQUQCJLZLUTVAUNUTUPACUSCNZUPCEOAACJLZUTFPQRUTKZ
      UNVAVDUNSZUPACVDUNCUTCVBTUMCULCNTUAVDUNUPUPCJLEDCUBUCVCVEFPQUDUEUFABEDBEM
      GUGZURBCVFUHUI $.
      $( [15-Jun-2008] $) $( [17-May-2008] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct. $)
    dveeq1 $p |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $=
      ( vw weq ax-17 equequ1 dvelimfALT ) DCEZBCEZABDIAFJDFDBCGH $.
      $( [2-Jan-2002] $)

    $( Version of ~ dveeq1 using ~ ax-16 instead of ~ ax-17 . $)
    dveeq1ALT $p |- ( -. A. x x = y -> ( y = z -> A. x y = z ) ) $=
      ( vw weq ax17eq equequ1 dvelimfALT ) DCEBCEABDDCAFBCDFDBCGH $.
      $( [20-Jun-2008] $) $( [29-Apr-2008] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct. $)
    dveel1 $p |- ( -. A. x x = y -> ( y e. z -> A. x y e. z ) ) $=
      ( vw wel ax-17 elequ1 dvelimfALT ) DCEZBCEZABDIAFJDFDBCGH $.
      $( [2-Jan-2002] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Quantifier introduction when one pair of variables is distinct. $)
    dveel2 $p |- ( -. A. x x = y -> ( z e. y -> A. x z e. y ) ) $=
      ( vw wel ax-17 elequ2 dvelimfALT ) CDEZCBEZABDIAFJDFDBCGH $.
      $( [2-Jan-2002] $)
  $}

  ${
    $d z y $.  $d z x $.
    $( Move quantifier in and out of substitution. $)
    sbal2 $p |- ( -. A. x x = y ->
             ( [ z / y ] A. x ph <-> A. x [ z / y ] ph ) ) $=
      ( weq wal wn wi wsb hbnae wb dveeq1 19.20i hbnaes 19.21t syl albid alcom
      syl5rbbr sb6 albii 3bitr4g ) BCEBFGZCDEZABFZHZCFZUDAHZCFZBFZUECDIACDIZBFU
      CUHBFZCFUGUJUCULUFCBCCJUCUDUDBFHZBFZULUFKUNBCBUCUMBBCDLMNUDABOPQUHCBRSUEC
      DTUKUIBACDTUAUB $.
      $( [2-Jan-2002] $)
  $}

  ${
    $d w y $.  $d w z $.  $d w x $.  $( ` w ` is dummy. $)
    $( Axiom ~ ax-15 is redundant if we assume ~ ax-17 .  Remark 9.6 in
       [Megill] p. 448 (p. 16 of the preprint), regarding axiom scheme C14'.

       Note that ` w ` is a dummy variable introduced in the proof.  On the
       web page, it is implicitly assumed to be distinct from all other
       variables.  (This is made explicit in the database file set.mm).  Its
       purpose is to satisfy the distinct variable requirements of ~ dveel2 and
       ~ ax-17 .  By the end of the proof it has vanished, and the final
       theorem has no distinct variable requirements.

       This theorem should not be referenced in any proof.  Instead, use
       ~ ax-15 below so that theorems needing ~ ax-15 can be more easily
       identified. $)
    ax15 $p |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x e. y -> A. z x e. y ) ) ) $=
      ( vw weq wal wn wel wi cv wcel hbn1 dveel2 hbim1 ax-17 wceq elequ1
      imbi2d dvelimfALT 19.21 syl6ib pm2.86d ) CAECFGZCBEZCFGZABHZUFCFZUCUEUFIZ
      UHCFUEUGIUEDJZBJKZIUHCADUEUJCUDCLZCBDMNUHDOUIAJPUJUFUEDABQRSUEUFCUKTUAUB
      $.
      $( [29-Jun-1995] $)
  $}

  $( Axiom of Quantifier Introduction.  One of the equality and substitution
     axioms for a non-logical predicate in our predicate calculus with
     equality.  Axiom scheme C14' in [Megill] p. 448 (p. 16 of the preprint).
     It is redundant if we include ~ ax-17 ; see theorem ~ ax15 .  Alternately,
     ~ ax-17 becomes unnecessary in principle with this axiom, but we lose the
     more powerful metalogic afforded by ~ ax-17 .  We retain ~ ax-15 here to
     provide completeness for systems with the simpler metalogic that results
     from omitting ~ ax-17 , which might be easier to study for some
     theoretical purposes. $)
  ax-15 $a |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x e. y -> A. z x e. y ) ) ) $.

  ${
    $d x z $.  $d y z $.
    $( Theorem to add distinct quantifier to atomic formula.  This theorem
       demonstrates the induction basis for ~ ax-17 considered as a
       metatheorem.) $)
    ax17el $p |- ( x e. y -> A. z x e. y ) $=
      ( weq wal wel wi ax-15 ax-16 pm2.61ii ) CADCECBDCEABFZKCEGABCHKCAIKCBIJ
      $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d w z x $.  $d w y $.
    $( Version of ~ dveel2 using ~ ax-16 instead of ~ ax-17 . $)
    dveel2ALT $p |- ( -. A. x x = y -> ( z e. y -> A. x z e. y ) ) $=
      ( vw wel ax17el elequ2 dvelimfALT ) CDECBEABDCDAFCBDFDBCGH $.
      $( [10-May-2008] $) $( [10-May-2008] $)
  $}

  ${
    $d x u v $.  $d y u v $.  $d z u v $.  $d w u v $.
    $( Basis step for constructing a substitution instance of ~ ax-11o without
       using ~ ax-11o .  Atomic formula for equality predicate. $)
    ax11eq $p |- ( -. A. x x = y ->
               ( x = y -> ( z = w -> A. x ( x = y -> z = w ) ) ) ) $=
      ( vu vv weq wal wn wi wa 19.26 equid a1i ax-gen wb equequ1 equequ2
      sylan9bb a4s hba1 imbi2d albid imbi12d adantr mpbii exp32 sylbir
      ad2antll ax-12 impcom adantrr equtrr 19.20i syl6 sylbid adantll dral2
      ad2antrr mpbid imp biimprcd adantlr ad2antlr wex a9e ax-1 19.21aiv
      adantl dveeq2 im2anan9 sylibr syl 19.23adv mpi a1d 4cases ) ACGZAHZADGZAH
      ZABGZAHIZWBCDGZWBWDJZAHZJZJZJZVSWAKVRVTKZAHZWIVRVTALWKWCWBWGWKWCWBKZKAAGZ
      WBWMJZAHZJZWGWOWMWNAWMWBAMNONWKWPWGPWLWKWMWDWOWFWJWMWDPAVRWMCAGZVTWDACAQA
      DCRZSTZWKWNWEAWJAUAWKWMWDWBWSUBUCUDUEUFUGUHVSWAIZKZWCWBWGXAWLKVTWBVTJZAHZ
      JZWGWTWLXDVSWTWLKZVTBDGZXCWBVTXFPWTWCABDQUIXEXFXFAHZXCWTWCXFXGJZWBWCWTXHB
      DAUJUKULXFXBABDAUMUNUOUPUQVSXDWGPWTWLVSVTWDXCWFVRVTWDPAACDQTZXBWEACAVSVTW
      DWBXIUBURUDUSUTUGVSIZWAKZWCWBWGXKWLKWQWBWQJZAHZJZWGXJWLXNWAXJWLKZWQCBGZXM
      WBWQXPPXJWCABCRZUIXOXPXPAHZXMXJWCXPXRJZWBXJWCXSCBAUJVAULXPXLAWBWQXPXQVBUN
      UOUPVCWAXNWGPXJWLWAWQWDXMWFVTWQWDPAWRTZXLWEADAWAWQWDWBXTUBURUDVDUTUGXJWTK
      ZWHWCYAWGWBYAEDGZEVEWGEDVFYAYBWGEYAFCGZFVEYBWGJZFCVFYAYCYDFYAYCYBWGYAYCYB
      KZKZFEGZWBYGJZAHZJWGYGYHAYGWBVGVHYFYGWDYIWFYEYGWDPZYAYCYGCEGYBWDFCEQEDCRS
      ZVIYFYEAHZYIWFPYFYCAHZYBAHZKZYLYAYEYOXJYCYMWTYBYNACFVJADEVJVKVAYCYBALVLYL
      YHWEAYEAUAYLYGWDWBYEYJAYKTUBUCVMUDUFUGVNVOVNVOVPVPVQ $.
      $( [22-Jan-2007] $) $( [22-Jan-2007] $)
  $}

  ${
    $d x u v $.  $d y u v $.  $d z u v $.  $d w u v $.
    $( Basis step for constructing a substitution instance of ~ ax-11o
       without using ~ ax-11o .  Atomic formula for membership predicate. $)
    ax11el $p |- ( -. A. x x = y ->
               ( x = y -> ( z e. w -> A. x ( x = y -> z e. w ) ) ) ) $=
      ( vv vu weq wal wn wel wi wa 19.26 wb elequ1 elequ2 bitrd adantl ax-17
      dvelimfALT biimprcd 19.20i syl6 adantr sylbid sylan9bb a4s hba1 imbi2d
      albid imbi12d mpbid exp32 sylbir ad2antll ax-15 impcom adantrr adantll
      dral2 ad2antrr imp adantlr ad2antlr wex a9e ax-1 19.21aiv dveeq2
      im2anan9 sylibr syl mpbii 19.23adv mpi a1d 4cases ) ACGZAHZADGZAHZABGZAHI
      ZWBCDJZWBWDKZAHZKZKZKZVSWALVRVTLZAHZWIVRVTAMWKWCWBWGWKWCWBLZLAAJZWBWMKZAH
      ZKZWGWLWPWKWLWMBBJZWOWBWMWQNWCWBWMBAJWQABAOABBPQZRWCWQWOKWBWCWQWQAHWOEEJZ
      WQABEWSASWQESEBGWSBEJWQEBEOEBBPQTWQWNAWBWMWQWRUAUBUCUDUERWKWPWGNWLWKWMWDW
      OWFWJWMWDNAVRWMCAJZVTWDACAOADCPZUFUGZWKWNWEAWJAUHWKWMWDWBXBUIUJUKUDULUMUN
      VSWAIZLZWCWBWGXDWLLADJZWBXEKZAHZKZWGXCWLXHVSXCWLLZXEBDJZXGWBXEXJNXCWCABDO
      ZUOXIXJXJAHZXGXCWCXJXLKZWBWCXCXMBDAUPUQURXJXFAWBXEXJXKUAUBUCUEUSVSXHWGNXC
      WLVSXEWDXGWFVRXEWDNAACDOUGZXFWEACAVSXEWDWBXNUIUTUKVAULUMVSIZWALZWCWBWGXPW
      LLWTWBWTKZAHZKZWGXOWLXSWAXOWLLZWTCBJZXRWBWTYANXOWCABCPZUOXTYAYAAHZXRXOWCY
      AYCKZWBXOWCYDCBAUPVBURYAXQAWBWTYAYBUAUBUCUEVCWAXSWGNXOWLWAWTWDXRWFVTWTWDN
      AXAUGZXQWEADAWAWTWDWBYEUIUTUKVDULUMXOXCLZWHWCYFWGWBYFFDGZFVEWGFDVFYFYGWGF
      YFECGZEVEYGWGKZECVFYFYHYIEYFYHYGWGYFYHYGLZLZEFJZWBYLKZAHZKWGYLYMAYLWBVGVH
      YKYLWDYNWFYJYLWDNZYFYHYLCFJYGWDECFOFDCPUFZRYKYJAHZYNWFNYKYHAHZYGAHZLZYQYF
      YJYTXOYHYRXCYGYSACEVIADFVIVJVBYHYGAMVKYQYMWEAYJAUHYQYLWDWBYJYOAYPUGUIUJVL
      UKVMUMVNVOVNVOVPVPVQ $.
      $( [22-Jan-2007] $) $( [22-Jan-2007] $)
  $}

  ${
    ax11f.1 $e |- ( ph -> A. x ph ) $.
    $( Basis step for constructing a substitution instance of ~ ax-11o without
       using ~ ax-11o .  We can start with any formula ` ph ` in which ` x ` is
       not free. $)
    ax11f $p |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $=
      ( weq wi wal wn ax-1 19.21ai a1i ) BCEZALAFZBGFZFLBGHNLAMBDALIJKK $.
      $( [22-Jan-2007] $) $( [21-Jan-2007] $)
  $}

  ${
    ax11indn.1 $e |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.
    $( Induction step for constructing a substitution instance of ~ ax-11o
       without using ~ ax-11o .  Negation case. $)
    ax11indn $p |- ( -. A. x x = y ->
               ( x = y -> ( -. ph -> A. x ( x = y -> -. ph ) ) ) ) $=
      ( weq wal wn wi wa wex hbn1 con3 syl6 com23 19.21ad exanali syl5ib 19.8a
      syl5 exp3a ) BCEZBFGZUAAGZUAUCHZBFZUBUAUCIZBJZUEUFUBUAAHZBFZGZUEUGUBUJUDB
      UABKUHBKUBUAUJUCUBUAAUIHUJUCHDAUILMNOUAABPQUFBRST $.
      $( [21-Jan-2007] $) $( [21-Jan-2007] $)

    ${
      ax11indi.2 $e |- ( -. A. x x = y ->
                 ( x = y -> ( ps -> A. x ( x = y -> ps ) ) ) ) $.
      $( Induction step for constructing a substitution instance of ~ ax-11o
         without using ~ ax-11o .  Implication case. $)
      ax11indi $p |- ( -. A. x x = y ->
           ( x = y -> ( ( ph -> ps ) -> A. x ( x = y -> ( ph -> ps ) ) ) ) ) $=
        ( weq wal wn wi wa wo ax11indn imp pm2.21 imim2i 19.20i syl6 ax-1 jaod
        imor syl5ib ex ) CDGZCHIZUDABJZUDUFJZCHZJUEUDKZAIZBLUHUFUIUJUHBUIUJUDUJ
        JZCHZUHUEUDUJULJACDEMNUKUGCUJUFUDABOPQRUIBUDBJZCHZUHUEUDBUNJFNUMUGCBUFU
        DBASPQRTABUAUBUC $.
        $( [22-Jan-2007] $) $( [21-Jan-2007] $)
    $}
  $}

  ${
    ax11indalem.1 $e |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.
    $( Lemma for ~ ax11inda2 and ~ ax11inda . $)
    ax11indalem $p |- ( -. A. y y = z  -> ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) ) $=
      ( weq wal wn wi ax-1 a5i a1i pm4.2d dral1 imbi2d dral2 3imtr4d alequcoms
      a1d adantr wa hbnae hba1 hban imp ax-4 sylan2 19.20d simplr ax-12
      alequcom con3i syl2an adantlr sylanc wb 19.21ai 19.21t syl albid ax-7
      syl5bi ad2antrr syld exp31 pm2.61ian ) BDFBGZCDFCGZHZBCFZBGHZVJADGZVJVLIZ
      BGZIZIZIZVGVQVIVGVPVKVGVOVJVODBDBFDGZABGZVJVSIZBGZVLVNVSWAIVRAVTBVSVJJKLA
      ADBVRAMNZVMVTDBBVRVLVSVJWBOPQRSSTVGHZVIUAZVKVJVOWDVKUAVJUAZVLVJAIZBGZDGZV
      NVKVJDGZVLWHIWEVKWIUAAWGDVKWIDBCDUBVJDUCUDVKVJAWGIZWIVKVJWJEUEVJDUFUGUHWD
      VKVJUIWDVJWIVKWDVJWIVRHZDCFDGZHZVJWIIZWCVIWKWMWNBCDUJUEVRVGDBUKULWLVHDCUK
      ULUMZUEUNUOWDWHVNIVKVJWDWFDGZBGVNWHWDWPVMBWCVIBBDBUBCDBUBUDWDWNDGWPVMUPWD
      WNDWCVIDBDDUBCDDUBUDWOUQVJADURUSUTWFDBVAVBVCVDVEVF $.
      $( [14-Mar-2007] $) $( [24-Jan-2007] $)
  $}

  ${
    $d z y $.
    ax11inda2.1 $e |- ( -. A. x x = y ->
               ( x = y -> ( ph -> A. x ( x = y -> ph ) ) ) ) $.
    $( A proof of ~ ax11inda2 that is slightly more direct. $)
    ax11inda2ALT $p |- ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) $=
      ( cv wceq wal wn wi ax-1 a5i a1i pm4.2d dral1 imbi2d dral2 3imtr4d
      alequcoms a1d wa hbnae hba1 hban imp ax-4 sylan2 19.20d simplr dveeq1
      nalequcoms adantlr sylanc wb 19.21ai 19.21t syl albid ax-7 syl5bi
      ad2antrr syld exp31 pm2.61i ) BFZDFZGBHZVECFGZBHIZVHADHZVHVJJZBHZJZJZJVGV
      NVIVGVMVHVMDBVFVEGDHZABHZVHVPJZBHZVJVLVPVRJVOAVQBVPVHKLMAADBVOANOZVKVQDBB
      VOVJVPVHVSPQRSTTVGIZVIVHVMVTVIUAVHUAZVJVHAJZBHZDHZVLVIVHDHZVJWDJWAVIWEUAA
      WCDVIWEDBCDUBVHDUCUDVIVHAWCJZWEVIVHWFEUEVHDUFUGUHVTVIVHUIVTVHWEVIVTVHWEVH
      WEJZDBDBCUJUKZUEULUMVTWDVLJVIVHVTWBDHZBHVLWDVTWIVKBBDBUBVTWGDHWIVKUNVTWGD
      BDDUBWHUOVHADUPUQURWBDBUSUTVAVBVCVD $.
      $( [4-May-2007] $) $( [4-May-2007] $)

    $( Induction step for constructing a substitution instance of ~ ax-11o
       without using ~ ax-11o .  Quantification case.  When ` z ` and ` y ` are
       distinct, this theorem avoids the dummy variables needed by the more
       general ~ ax11inda . $)
    ax11inda2 $p |- ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) $=
      ( weq wal wn wi a16g ax-1 syl5 a1d ax11indalem pm2.61i ) CDFCGZBCFZBGHZQA
      DGZQSIZBGZIZIZIPUCRPUBQPTUASTCDBJSQKLMMABCDENO $.
      $( [14-Mar-2007] $) $( [24-Jan-2007] $)
  $}

  ${
    $d w ph $.  $d w x $.  $d w y $.  $d w z $.
    ax11inda.1 $e |- ( -. A. x x = w ->
               ( x = w -> ( ph -> A. x ( x = w -> ph ) ) ) ) $.
    $( Induction step for constructing a substitution instance of ~ ax-11o
       without using ~ ax-11o .  Quantification case.  (When ` z ` and ` y `
       are distinct, ~ ax11inda2 may be used instead to avoid the dummy
       variable ` w ` in the proof.) $)
    ax11inda $p |- ( -. A. x x = y ->
               ( x = y -> ( A. z ph -> A. x ( x = y -> A. z ph ) ) ) ) $=
      ( weq wal wn wi wex a9e wa ax11inda2 wb dveeq2 imp hba1 equequ2 a4s
      albid negbid syl adantl imbi1d imbi2d imbi12d mpbii ex 19.23adv mpi
      pm2.43i ) BCGZBHZIZUMADHZUMUPJZBHZJZJZUOECGZEKUOUTJZECLUOVAVBEUOVAVBUOVAM
      ZBEGZBHZIZVDUPVDUPJZBHZJZJZJVBABEDFNVCVFUOVJUTVCVABHZVFUOOUOVAVKBCEPQZVKV
      EUNVKVDUMBVABRZVAVDUMOZBECBSZTZUAUBUCVCVDUMVIUSVAVNUOVOUDVCVHURUPVCVKVHUR
      OVLVKVGUQBVMVKVDUMUPVPUEUAUCUFUGUGUHUIUJUKUL $.
      $( [14-Mar-2007] $) $( [24-Jan-2007] $)
  $}

  $( Part of a study related to ~ ax-12 .  The consequent introduces a new
     variable ` z ` .  There are no distinct variable restrictions. $)
  a12stdy1 $p |- ( A. x x = y -> E. x y = z ) $=
    ( weq wal wex a9e wn ax-10o con3d df-ex 3imtr4g mpi ) ABDAEZBCDZBFZOAFZBCGN
    OHZBEZHRAEZHPQNTSRABIJOBKOAKLM $.
    $( [9-Apr-2008] $) $( [14-Jan-2008] $)

  $( Part of a study related to ~ ax-12 .  The consequent is quantified with
     a different variable.  There are no distinct variable restrictions. $)
  a12stdy2 $p |- ( A. z ( z = x /\ x = y ) -> A. y y = x ) $=
    ( cv wceq wa wal 19.26 ax-10o alequcom syl6 imp sylbi ) CDADZEZNBDZEZFCGOCG
    ZQCGZFPNEBGZOQCHRSTRSQAGTQCAIABJKLM $.
    $( [9-Apr-2008] $) $( [14-Jan-2008] $)

  $( Part of a study related to ~ ax-12 .  The consequent introduces two new
     variables.  There are no distinct variable restrictions. $)
  a12stdy3 $p |- ( A. z ( z = x /\ x = y ) -> A. v E. y x = w ) $=
    ( weq wa wal wex a12stdy2 hbae a12stdy1 19.20i 3syl ) CAFABFGCHBAFBHZOEHADF
    BIZEHABCJBAEKOPEBADLMN $.
    $( [9-Apr-2008] $) $( [14-Jan-2008] $)

  $( Part of a study related to ~ ax-12 .  The second antecedent of ~ ax-12
     is replaced.  There are no distinct variable restrictions. $)
  a12stdy4 $p |- ( -. A. z z = x -> ( A. y z = x ->
           ( x = y -> A. z x = y ) ) ) $=
    ( weq wal wn wi wa ax-10o alequcoms con3d impcom pm2.21d ex ax-12 a1dd
    pm2.61d ) CADZCEZFZCBDCEZRBEZABDZUCCEGZGZTUAUETUAHUBUDUATUBFUAUBSUBSGBCRBCI
    JKLMNTUAFUDUBABCOPQ $.
    $( [9-Apr-2008] $) $( [14-Jan-2008] $)

  $( Proof of first hypothesis of ~ a12study . $)
  a12lem1 $p |- ( -. A. z z = y ->
                  ( A. z ( z = x -> z = y ) -> x = y ) ) $=
    ( weq wal wn wi wb equequ1 imbi12d a4s dral2 equid a1bi biimpr syl6bi a1d
    wa hbn1 hban hbth a1i ax-12 imp hbimd 19.21ai equtr ax-8 imim12d ax-gen
    19.26 a4imt sylbir mpan2 syl mpii ex pm2.61i ) CADZCEZCBDZCEFZUSVAGZCEZABDZ
    GZGUTVFVBUTVDAADZVEGZCEZVEVCVHCACUSVCVHHCUSUSVGVAVECAAICABIJKLVHVECVEVHVGVE
    AMZNOKPQUTFZVBVFVKVBRZVDVGVEVJVLVHVIGZCEZVDVHGZVLVMCVKVBCUSCSVACSTZVLVGVECV
    PVGVGCEGVLVGCVJUAUBVKVBVEVECEGABCUCUDUEUFVNUSVCVHGGZCEZVOVQCUSVGUSVAVECAAUG
    CABUHUIUJVNVRRVMVQRCEVOVMVQCUKVCVHCAULUMUNUOUPUQUR $.
    $( [16-Jan-2008] $) $( [15-Jan-2008] $)

  $( Proof of second hypothesis of ~ a12study . $)
  a12lem2 $p |- ( A. z ( z = x -> -. z = y ) -> -. x = y ) $=
    ( weq wn wi wal wa wex equcom imbi1i imnan bitr albii alnex equvini con3i
    sylbi ) CADZCBDZEZFZCGZACDZTHZCIZEZABDZEUCUEEZCGUGUBUICUBUDUAFUISUDUACAJKUD
    TLMNUECOMUHUFABCPQR $.
    $( [16-Jan-2008] $) $( [15-Jan-2008] $)

  ${
    a12study.1 $e |- ( -. A. z z = y ->
                    ( A. z ( z = x -> z = y ) -> x = y ) ) $.
    a12study.2 $e |- ( A. z ( z = x -> -. z = y ) -> -. x = y ) $.
    $( Rederivation of axiom ~ ax-12 from two shorter formulas, without using
       ~ ax-12 .  See ~ a12lem1 and ~ a12lem2 for the proofs of the hypotheses
       (using ~ ax-12 ).  This is the only known breakdown of ~ ax-12 into
       shorter formulas.  See ~ a12studyALT for an alternate proof.  Note that
       the proof depends on ~ ax-11o , whose proof ~ ax11o depends on ~ ax-12 ,
       meaning that we would have to replace ~ ax-11 with ~ ax-11o in an
       axiomatization that uses the hypotheses in place of ~ ax-12 .  Whether
       this can be avoided is an open problem. $)
    a12study $p |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x = y -> A. z x = y ) ) ) $=
      ( weq wal wn wa wex wi hbn1 hban hba1 ax-11o equid1 ax-8 mpi syl5 imp3a
      19.21ad sylan9 19.23ad ex imnan imim1i sylbir 19.20i syl con2i df-ex
      sylibr syl7 ) CAFZCGHZCBFZCGHZACFZUPIZCJZABFZCGZVAUOUQUTVBKUOUQIUSVBCUOUQ
      CUNCLUPCLZMVACNUOUSUNUPKZCGZUQVBUOURUPVEUOUNUPVEKURUPCAOURAAFUNAPACAQRSTU
      QVEVACVCVDCNDUAUBUCUDVAUSHZCGZHUTVGVAVGUNUPHZKZCGVAHVFVICVFURVHKVIURUPUEU
      NURVHUNCCFURCPCACQRUFUGUHEUIUJUSCUKULUM $.
      $( [16-Jan-2008] $) $( [15-Jan-2008] $)

    $( Alternate proof of ~ a12study , also without using ~ ax-12 . $)
    a12studyALT $p |- ( -. A. z z = x -> ( -. A. z z = y ->
              ( x = y -> A. z x = y ) ) ) $=
      ( weq wal wn wi wa hbn1 hban con3d wex hba1 ax-11o ax11indn a5i syl8
      imp3a annim syl5ibr 19.23ad exnal sylan9r hbnd pm4.13 albii 3imtr4g ex )
      CAFZCGHZCBFZCGHZABFZUOCGZIULUNJZUOHZHZUSCGUOUPUQURCULUNCUKCKZUMCKLUNURUKU
      MIZCGZHZULURCGZUNVBUODMULVAHZCNVDVCULVEVDCUTURCOULUKUMHZJVDVEULUKVFVDULUK
      VFUKVFIZCGVDUMCAUMCAPQVGURCERSTUKUMUAUBUCVACUDUBUEUFUOUGZUOUSCVHUHUIUJ $.
      $( [17-Jan-2008] $) $( [17-Jan-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Existential uniqueness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols needed for uniqueness notation. $)
  $c E! $.  $( Backwards E exclamation point. $)
  $c E* $.  $( Backwards E superscript *. $)

  $( Extend wff definition to include existential uniqueness ("there exists a
     unique ` x ` such that ` ph ` "). $)
  weu $a wff E! x ph $.

  $( Extend wff definition to include uniqueness ("there exists at most one
     ` x ` such that ` ph ` "). $)
  wmo $a wff E* x ph $.

  ${
    $d x y $.  $d y ph $.
    $( Define existential uniqueness, i.e. "there exists exactly one ` x `
       such that ` ph ` ."  Definition 10.1 of [BellMachover] p. 97; also
       Definition *14.02 of [WhiteheadRussell] p. 175.  Other possible
       definitions are given by ~ eu1 , ~ eu2 , ~ eu3 , and ~ eu5 (which in
       some cases we show with a hypothesis ` ph -> A. y ph ` in place of a
       distinct variable condition on ` y ` and ` ph ` ).  Double uniqueness is
       tricky:  ` E! x E! y ph ` does not mean "exactly one ` x ` and one
       ` y ` " (see ~ 2eu4 ). $)
    df-eu $a |- ( E! x ph <-> E. y A. x ( ph <-> x = y ) ) $.
  $}

  $( Define "there exists at most one ` x ` such that ` ph ` ."  Here we
     define it in terms of existential uniqueness.  Notation of [BellMachover]
     p. 460, whose definition we show as ~ mo3 .  For other possible
     definitions see ~ mo2 and ~ mo4 . $)
  df-mo $a |- ( E* x ph <-> ( E. x ph -> E! x ph ) ) $.

  ${
    $d x y z $.  $d ph z $.
    euf.1 $e |- ( ph -> A. y ph ) $.
    $( A version of the existential uniqueness definition with a hypothesis
       instead of a distinct variable condition. $)
    euf $p |- ( E! x ph <-> E. y A. x ( ph <-> x = y ) ) $=
      ( vz weu weq wb wal wex df-eu ax-17 hbbi hbal equequ2 bibi2d albidv
      cbvex bitr ) ABFABEGZHZBIZEJABCGZHZBIZCJABEKUBUEECUACBATCDTCLMNUEELECGZUA
      UDBUFTUCAECBOPQRS $.
      $( [12-Aug-1993] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d y ps $.  $d y ch $.
    eubid.1 $e |- ( ph -> A. x ph ) $.
    eubid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for uniqueness quantifier (deduction rule). $)
    eubid $p |- ( ph -> ( E! x ps <-> E! x ch ) ) $=
      ( vy weq wb wal wex weu bibi1d albid exbidv df-eu 3bitr4g ) ABDGHZIZDJZGK
      CRIZDJZGKBDLCDLATUBGASUADEABCRFMNOBDGPCDGPQ $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d x ph $.
    eubidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for uniqueness quantifier (deduction rule). $)
    eubidv $p |- ( ph -> ( E! x ps <-> E! x ch ) ) $=
      ( ax-17 eubid ) ABCDADFEG $.
      $( [9-Jul-1994] $)
  $}

  ${
    eubii.1 $e |- ( ph <-> ps ) $.
    $( Introduce uniqueness quantifier to both sides of an equivalence. $)
    eubii $p |- ( E! x ph <-> E! x ps ) $=
      ( weq weu wb equid hbequid a1i eubid ax-mp ) CCEZACFBCFGCHMABCCIABGMDJKL
      $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( Bound-variable hypothesis builder for uniqueness. $)
    hbeu1 $p |- ( E! x ph -> A. x E! x ph ) $=
      ( vy weq wb wal wex weu hba1 hbex df-eu albii 3imtr4 ) ABCDEZBFZCGZPBFABH
      ZQBFOBCNBIJABCKZQPBRLM $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d y z $.  $d x z $.  $d z ph $.
    hbeu.1 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for "at most one."  Note that ` x `
       and ` y ` needn't be distinct (this makes the proof more difficult). $)
    hbeu $p |- ( E! y ph -> A. x E! y ph ) $=
      ( vz weq wb wal wex weu wi ax-10o alequcoms hba1 syl5 wn hbnae a1i
      dveeq1 hbbid hbald pm2.61i hbex df-eu albii 3imtr4 ) ACEFZGZCHZEIZUJBHACJ
      ZUKBHUIBEBCFBHZUIUIBHZKULUICHZUMUIUNUMKCBUICBLMUHCNOULPZUHBCBCCQUOAUGBBCB
      QAABHKUODRBCESTUAUBUCACEUDZUKUJBUPUEUF $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d x y z $.  $d ph z $.
    sb8eu.1 $e |- ( ph -> A. y ph ) $.
    $( Variable substitution in uniqueness quantifier.  (This theorem can also
       be proved without requiring that ` x ` and ` y ` be distinct, but
       the proof would be longer.) $)
    sb8eu $p |- ( E! x ph <-> E! y [ y / x ] ph ) $=
      ( vz weq wb wal wex wsb weu ax-17 hbbi sb8 equequ1 sbie sblbis albii
      bitr exbii df-eu 3bitr4 ) ABEFZGZBHZEIABCJZCEFZGZCHZEIABKUFCKUEUIEUEUDBCJ
      ZCHUIUDBCAUCCDUCCLMNUJUHCUCUGABCUCUGBCUGBLBCEOPQRSTABEUAUFCEUAUB $.
      $( [7-Aug-1994] $)
  $}

  ${
    $d x y $.
    cbveu.1 $e |- ( ph -> A. y ph ) $.
    cbveu.2 $e |- ( ps -> A. x ps ) $.
    cbveu.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbveu $p |- ( E! x ph <-> E! y ps ) $=
      ( weu wsb sb8eu sbie eubii bitr ) ACHACDIZDHBDHACDEJNBDABCDFGKLM $.
      $( [25-Nov-1994] $)
  $}

  ${
    $d x y $.
    eu1.1 $e |- ( ph -> A. y ph ) $.
    $( An alternate way to express uniqueness used by some authors.
       Exercise 2(b) of [Margaris] p. 110. $)
    eu1 $p |- ( E! x ph <->
                E. x ( ph /\ A. y ( [ y / x ] ph -> x = y ) ) ) $=
      ( wsb weu weq wb wal wex wi wa hbs1 euf sb8eu equcom imbi2i albii sb6rf
      anbi12i ancom albi 3bitr4 exbii ) ABCEZCFUECBGZHCIZBJABFAUEBCGZKZCIZLZBJU
      ECBABCMNABCDOUKUGBUJALUEUFKZCIZUFUEKCIZLUKUGUJUMAUNUIULCUHUFUEBCPQRABCDST
      AUJUAUEUFCUBUCUDUC $.
      $( [20-Aug-1993] $)
  $}

  ${
    $d x y z $.  $d ph z $.
    mo.1 $e |- ( ph -> A. y ph ) $.
    $( Equivalent definitions of "there exists at most one." $)
    mo $p |- ( E. y A. x ( ph -> x = y ) <->
               A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) $=
      ( vz weq wi wal wex wsb wa ax-17 hbim hbal equequ2 imbi2d albidv cbvex
      hbs1 sbequ2 ax-8 imim12d cbv3 ancli aaan sylibr prth equtr2 syl6 19.20i2
      syl 19.23aiv sylbir 19.20 19.20i a7s 19.22 hbsb3 19.22i syl5com impexp
      bi2.04 bitr 2albii syl5ib wn alnex hbn sbequ1 equcoms con3d pm2.21 19.8a
      3syl a1d pm2.61i impbi ) ABCFZGZBHZCIZAABCJZKZVRGZCHBHZWAABEFZGZBHZEIWEWH
      VTECWGCBAWFCDWFCLMZNVTELECFZWGVSBWJWFVRAECBOPQRWHWEEWHWGWBCEFZGZKZCHBHZWE
      WHWHWLCHZKWNWHWOWGWLBCWIWBWKBABCSWKBLMZVRWBAWFWKABCTBCEUAUBUCUDWGWLBCWIWP
      UEUFWMWDBCWMWCWFWKKVRAWFWBWKUGBCEUHUIUJUKULUMWBCIZWEWAGWQWBVSGZCHBHZWAWEW
      SWBBHZCIZWAWQWSWTVTGZCHZXAWAGWRXCCBWRBHXBCWBVSBUNUOUPWTVTCUQUKWBWTCABCDUR
      ZUSUTWDWRBCWDAWBVRGGWRAWBVRVAAWBVRVBVCVDVEWQVFZWAWEXEWBVFZCHZWAWBCVGXGAVF
      ZBHVTWAXFXHCBWBBXDVHACDVHCBFAWBAWBGBCABCVIVJVKUCXHVSBAVRVLUOVTCVMVNUMVOVP
      VQ $.
      $( [7-Aug-1994] $)
  $}

  ${
    $d x y $.  $d ph y $.
    $( Existential uniqueness implies existence. $)
    euex $p |- ( E! x ph -> E. x ph ) $=
      ( vy weu wex wsb weq wi wal wa ax-17 eu1 19.40 sylbi pm3.26d ) ABDZABEZAB
      CFBCGHCIZBEZPARJBEQSJABCACKLARBMNO $.
      $( [15-Sep-1993] $)
  $}

  ${
    $d x y $.
    eumo0.1 $e |- ( ph -> A. y ph ) $.
    $( Existential uniqueness implies "at most one." $)
    eumo0 $p |- ( E! x ph -> E. y A. x ( ph -> x = y ) ) $=
      ( weu weq wb wal wex wi euf bi1 19.20i 19.22i sylbi ) ABEABCFZGZBHZCIAPJZ
      BHZCIABCDKRTCQSBAPLMNO $.
      $( [8-Jul-1994] $)
  $}

  ${
    $d x y $.
    eu2.1 $e |- ( ph -> A. y ph ) $.
    $( An alternate way of defining existential uniqueness.  Definition 6.10 of
       [TakeutiZaring] p. 26. $)
    eu2 $p |- ( E! x ph <->
    ( E. x ph /\ A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) ) $=
      ( weu wex wsb wa weq wi wal euex eumo0 mo sylib jca 19.29r impexp albii
      19.21 bitr anbi2i abai bitr4 exbii eu1 sylibr impbi ) ABEZABFZAABCGZHBCIZ
      JZCKZBKZHZUIUJUOABLUIAULJBKCFUOABCDMABCDNOPUPAUKULJZCKZHZBFZUIUPAUNHZBFUT
      AUNBQVAUSBVAAAURJZHUSUNVBAUNAUQJZCKVBUMVCCAUKULRSAUQCDTUAUBAURUCUDUEOABCD
      UFUGUH $.
      $( [8-Jul-1994] $)
  $}

  ${
    $d x y $.
    eu3.1 $e |- ( ph -> A. y ph ) $.
    $( An alternate way to express existential uniqueness. $)
    eu3 $p |- ( E! x ph <->
                ( E. x ph /\ E. y A. x ( ph -> x = y ) ) ) $=
      ( weu wex wsb wa weq wi wal eu2 mo anbi2i bitr4 ) ABEABFZAABCGHBCIZJCKBKZ
      HPAQJBKCFZHABCDLSRPABCDMNO $.
      $( [8-Jul-1994] $)
  $}

  ${
    euor.1 $e |- ( ph -> A. x ph ) $.
    $( Introduce a disjunct into a uniqueness quantifier. $)
    euor $p |- ( ( -. ph /\ E! x ps ) -> E! x ( ph \/ ps ) ) $=
      ( wn weu wo hbn biorf eubid biimpa ) AEZBCFABGZCFLBMCACDHABIJK $.
      $( [22-Oct-2005] $) $( [21-Oct-2005] $)
  $}

  ${
    $d x ph $.
    $( Introduce a disjunct into a uniqueness quantifier. $)
    euorv $p |- ( ( -. ph /\ E! x ps ) -> E! x ( ph \/ ps ) ) $=
      ( ax-17 euor ) ABCACDE $.
      $( [23-Mar-1995] $)
  $}

  ${
    $d x y $.
    mo2.1 $e |- ( ph -> A. y ph ) $.
    $( Alternate definition of "at most one." $)
    mo2 $p |- ( E* x ph <-> E. y A. x ( ph -> x = y ) ) $=
      ( wmo wex weu wi weq wal df-mo wn alnex pm2.21 19.20i 19.8a syl sylbir
      eumo0 ja wa eu3 biimpr expcom impbi bitr ) ABEABFZABGZHZABCIZHZBJZCFZABKU
      IUMUGUHUMUGLALZBJZUMABMUOULUMUNUKBAUJNOULCPQRABCDSTUGUMUHUHUGUMUAABCDUBUC
      UDUEUF $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d x y $.
    mo3.1 $e |- ( ph -> A. y ph ) $.
    $( Alternate definition of "at most one."  Definition of [BellMachover]
       p. 460, except that definition has the side condition that ` y ` not
       occur in ` ph ` in place of our hypothesis. $)
    mo3 $p |- ( E* x ph <->
               A. x A. y ( ( ph /\ [ y / x ] ph ) -> x = y ) ) $=
      ( wmo weq wi wal wex wsb wa mo2 mo bitr ) ABEABCFZGBHCIAABCJKOGCHBHABCDLA
      BCDMN $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d x y $.  $d y ph $.
    mo4f.1 $e |- ( ps -> A. x ps ) $.
    mo4f.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( "At most one" expressed using implicit substitution. $)
    mo4f $p |- ( E* x ph <-> A. x A. y ( ( ph /\ ps ) -> x = y ) ) $=
      ( wmo wsb wa weq wi wal ax-17 mo3 sbie anbi2i imbi1i 2albii bitr ) ACGAAC
      DHZIZCDJZKZDLCLABIZUBKZDLCLACDADMNUCUECDUAUDUBTBAABCDEFOPQRS $.
      $( [12-Apr-2004] $) $( [10-Apr-2004] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    mo4.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( "At most one" expressed using implicit substitution. $)
    mo4 $p |- ( E* x ph <-> A. x A. y ( ( ph /\ ps ) -> x = y ) ) $=
      ( ax-17 mo4f ) ABCDBCFEG $.
      $( [26-Jul-1995] $)
  $}

  ${
    mobid.1 $e |- ( ph -> A. x ph ) $.
    mobid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for "at most one" quantifier (deduction rule). $)
    mobid $p |- ( ph -> ( E* x ps <-> E* x ch ) ) $=
      ( wex weu wi wmo exbid eubid imbi12d df-mo 3bitr4g ) ABDGZBDHZICDGZCDHZIB
      DJCDJAPRQSABCDEFKABCDEFLMBDNCDNO $.
      $( [8-Mar-1995] $)
  $}

  ${
    mobii.1 $e |- ( ps <-> ch ) $.
    $( Formula-building rule for "at most one" quantifier (inference rule). $)
    mobii $p |- ( E* x ps <-> E* x ch ) $=
      ( weq wmo wb equid hbequid a1i mobid ax-mp ) CCEZACFBCFGCHMABCCIABGMDJKL
      $.
      $( [9-Mar-1995] $)
  $}

  $( Bound-variable hypothesis builder for "at most one." $)
  hbmo1 $p |- ( E* x ph -> A. x E* x ph ) $=
    ( wex weu wi wal wmo hbe1 hbeu1 hbim df-mo albii 3imtr4 ) ABCZABDZEZPBFABGZ
    QBFNOBABHABIJABKZQPBRLM $.
    $( [8-Mar-1995] $)

  ${
    hbmo.1 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for "at most one." $)
    hbmo $p |- ( E* y ph -> A. x E* y ph ) $=
      ( wex weu wi wal wmo hbex hbeu hbim df-mo albii 3imtr4 ) ACEZACFZGZRBHACI
      ZSBHPQBABCDJABCDKLACMZSRBTNO $.
      $( [9-Mar-1995] $)
  $}

  ${
    $d x y $.
    cbvmo.1 $e |- ( ph -> A. y ph ) $.
    cbvmo.2 $e |- ( ps -> A. x ps ) $.
    cbvmo.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbvmo $p |- ( E* x ph <-> E* y ps ) $=
      ( wex weu wi wmo cbvex cbveu imbi12i df-mo 3bitr4 ) ACHZACIZJBDHZBDIZJACK
      BDKQSRTABCDEFGLABCDEFGMNACOBDOP $.
      $( [9-Mar-1995] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( Uniqueness in terms of "at most one." $)
    eu5 $p |- ( E! x ph <-> ( E. x ph /\ E* x ph ) ) $=
      ( vy weu wex weq wi wal wa wmo ax-17 eu3 mo2 anbi2i bitr4 ) ABDABEZABCFGB
      HCEZIPABJZIABCACKZLRQPABCSMNO $.
      $( [23-Mar-1995] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    eu4.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Uniqueness using implicit substitution. $)
    eu4 $p |- ( E! x ph <-> ( E. x ph /\
             A. x A. y ( ( ph /\ ps ) -> x = y ) ) ) $=
      ( weu wex wmo wa weq wi wal eu5 mo4 anbi2i bitr ) ACFACGZACHZIQABICDJKDLC
      LZIACMRSQABCDENOP $.
      $( [26-Jul-1995] $)
  $}

  $( Existential uniqueness implies "at most one." $)
  eumo $p |- ( E! x ph -> E* x ph ) $=
    ( weu wex wmo eu5 pm3.27bi ) ABCABDABEABFG $.
    $( [23-Mar-1995] $)

  ${
    eumoi.1 $e |- E! x ph $.
    $( "At most one" inferred from existential uniqueness. $)
    eumoi $p |- E* x ph $=
      ( weu wmo eumo ax-mp ) ABDABECABFG $.
      $( [5-Apr-1995] $)
  $}

  $( Existence in terms of "at most one" and uniqueness. $)
  exmoeu $p |- ( E. x ph <-> ( E* x ph -> E! x ph ) ) $=
    ( wex wmo weu wi df-mo biimp com12 biimpr euex imim12i peirce syl impbi )
    ABCZABDZABEZFZQPRQPRFZABGZHISTPFPTQRPQTUAJABKLPRMNO $.
    $( [17-Apr-2004] $) $( [5-Apr-2004] $)

  $( Existence implies "at most one" is equivalent to uniqueness. $)
  exmoeu2 $p |- ( E. x ph -> ( E* x ph <-> E! x ph ) ) $=
    ( weu wex wmo eu5 baibr ) ABCABDABEABFG $.
    $( [18-Apr-2004] $) $( [5-Apr-2004] $)

  $( Absorption of existence condition by "at most one." $)
  moabs $p |- ( E* x ph <-> ( E. x ph -> E* x ph ) ) $=
    ( wex weu wi wmo pm5.4 df-mo imbi2i 3bitr4r ) ABCZKABDZEZEMKABFZENKLGNMKABH
    ZIOJ $.
    $( [4-Nov-2002] $)

  $( Something exists or at most one exists. $)
  exmo $p |- ( E. x ph \/ E* x ph ) $=
    ( wex wmo wn weu wi pm2.21 df-mo sylibr orri ) ABCZABDZLELABFZGMLNHABIJK $.
    $( [8-Mar-1995] $)

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    $( "At most one" is preserved through implication (notice wff reversal). $)
    immo $p |- ( A. x ( ph -> ps ) -> ( E* x ps -> E* x ph ) ) $=
      ( vy wi wal weq wex wmo imim1 19.20ii 19.22dv ax-17 mo2 3imtr4g ) ABEZCFZ
      BCDGZEZCFZDHAREZCFZDHBCIACIQTUBDPSUACABRJKLBCDBDMNACDADMNO $.
      $( [22-Apr-1995] $)
  $}

  ${
    immoi.1 $e |- ( ph -> ps ) $.
    $( "At most one" is preserved through implication (notice wff reversal). $)
    immoi $p |- ( E* x ps -> E* x ph ) $=
      ( wi wmo immo mpg ) ABEBCFACFECABCGDH $.
      $( [16-Feb-2006] $) $( [15-Feb-2006] $)
  $}

  ${
    $d x y $.  $d x y ph $.  $d y ps $.
    $( Move antecedent outside of "at most one." $)
    moimv $p |- ( E* x ( ph -> ps ) -> ( ph -> E* x ps ) ) $=
      ( vy wi wmo weq wal wex ax-1 a1i imim1d 19.20dv 19.22dv ax-17 mo2
      3imtr4g com12 ) AABEZCFZBCFZASCDGZEZCHZDIBUBEZCHZDITUAAUDUFDAUCUECABSUBBS
      EABAJKLMNSCDSDOPBCDBDOPQR $.
      $( [28-Jul-1995] $)
  $}

  $( Uniqueness implies "at most one" through implication. $)
  euimmo $p |- ( A. x ( ph -> ps ) -> ( E! x ps -> E* x ph ) ) $=
    ( wi wal wmo weu immo eumo syl5 ) ABDCEBCFACFBCGABCHBCIJ $.
    $( [22-Apr-1995] $)

  $( Add existential uniqueness quantifiers to an implication.  Note the
     reversed implication in the antecedent. $)
  euim $p |- ( ( E. x ph /\ A. x ( ph -> ps ) ) -> ( E! x ps -> E! x ph ) ) $=
    ( wex wi wal wa weu wmo euimmo adantl wb exmoeu2 adantr sylibd ) ACDZABECFZ
    GBCHZACIZACHZQRSEPABCJKPSTLQACMNO $.
    $( [20-Oct-2005] $) $( [19-Oct-2005] $)

  $( "At most one" is still the case when a conjunct is added. $)
  moan $p |- ( E* x ph -> E* x ( ps /\ ph ) ) $=
    ( wa pm3.27 immoi ) BADACBAEF $.
    $( [22-Apr-1995] $)

  ${
    moani.1 $e |- E* x ph $.
    $( "At most one" is still true when a conjunct is added. $)
    moani $p |- E* x ( ps /\ ph ) $=
      ( wmo wa moan ax-mp ) ACEBAFCEDABCGH $.
      $( [9-Mar-1995] $)
  $}

  $( "At most one" is still the case when a disjunct is removed. $)
  moor $p |- ( E* x ( ph \/ ps ) -> E* x ph ) $=
    ( wo orc immoi ) AABDCABEF $.
    $( [19-Apr-2004] $) $( [5-Apr-2004] $)

  $( "At most one" imports disjunction to conjunction. $)
  mooran1 $p |- ( ( E* x ph \/ E* x ps ) -> E* x ( ph /\ ps ) ) $=
    ( wmo wa moan ancom mobii sylib jaoi ) ACDZABEZCDZBCDKBAEZCDMABCFNLCBAGHIBA
    CFJ $.
    $( [20-Apr-2004] $) $( [5-Apr-2004] $)

  $( "At most one" exports disjunction to conjunction. $)
  mooran2 $p |- ( E* x ( ph \/ ps ) -> ( E* x ph /\ E* x ps ) ) $=
    ( wo wmo moor orcom mobii sylbi jca ) ABDZCEZACEBCEZABCFLBADZCEMKNCABGHBACF
    IJ $.
    $( [21-Apr-2004] $) $( [5-Apr-2004] $)

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    moanim.1 $e |- ( ph -> A. x ph ) $.
    $( Introduction of a conjunct into "at most one" quantifier. $)
    moanim $p |- ( E* x ( ph /\ ps ) <-> ( ph -> E* x ps ) ) $=
      ( vy wa weq wi wal wex wmo impexp albii 19.21 bitr exbii ax-17 mo2
      imbi2i 19.37v bitr4 3bitr4 ) ABFZCEGZHZCIZEJABUDHZCIZHZEJZUCCKABCKZHZUFUI
      EUFAUGHZCIUIUEUMCABUDLMAUGCDNOPUCCEUCEQRULAUHEJZHUJUKUNABCEBEQRSAUHETUAUB
      $.
      $( [3-Dec-2001] $)

    $( Introduction of a conjunct into uniqueness quantifier. $)
    euan $p |- ( E! x ( ph /\ ps ) <-> ( ph /\ E! x ps ) ) $=
      ( wa wex wmo weu 19.42 wi moanim anbi2i abai bitr4 anbi12i anass an4
      3bitr4 eu5 anabs1 exbii 19.41 bitr3 anbi1i bitr pm4.24 ) ABEZCFZAEZUGCGZE
      ZAAEZBCFZBCGZEZEZUGCHZABCHZEUHAUJEZEAUMEZAUNEZEUKUPUHUTUSVAABCDIUSAAUNJZE
      VAUJVBAABCDKLAUNMNOUHAUJPAAUMUNQRUQUHUJEUKUGCSUHUIUJUHUGAEZCFUIVCUGCABTUA
      UGACDUBUCUDUEAULURUOAUFBCSOR $.
      $( [20-Feb-2005] $) $( [19-Feb-2005] $)
  $}

  ${
    $d x y ph $.  $d y ps $.
    $( Introduction of a conjunct into "at most one" quantifier. $)
    moanimv $p |- ( E* x ( ph /\ ps ) <-> ( ph -> E* x ps ) ) $=
      ( ax-17 moanim ) ABCACDE $.
      $( [23-Mar-1995] $)
  $}

  $( Nested "at most one" and uniqueness quantifiers. $)
  moaneu $p |- E* x ( ph /\ E! x ph ) $=
    ( weu wa wmo wi eumo hbeu1 moanim mpbir ancom mobii ) AABCZDZBEMADZBEZPMABE
    FABGMABABHIJNOBAMKLJ $.
    $( [1-Mar-2006] $) $( [25-Jan-2006] $)

  $( Nested "at most one" quantifiers. $)
  moanmo $p |- E* x ( ph /\ E* x ph ) $=
    ( wmo wa wi id hbmo1 moanim mpbir ancom mobii ) AABCZDZBCLADZBCZOLLELFLABAB
    GHIMNBALJKI $.
    $( [26-Jan-2006] $) $( [25-Jan-2006] $)

  ${
    $d x ph $.
    $( Introduction of a conjunct into uniqueness quantifier. $)
    euanv $p |- ( E! x ( ph /\ ps ) <-> ( ph /\ E! x ps ) ) $=
      ( ax-17 euan ) ABCACDE $.
      $( [23-Mar-1995] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d y ps $.
    $( "At most one" picks a variable value, eliminating an existential
       quantifier. $)
    mopick $p |- ( ( E* x ph /\ E. x ( ph /\ ps ) ) -> ( ph -> ps ) ) $=
      ( vy wa wex wmo wi wsb ax-17 hbs1 hban weq sbequ12 anbi12d cbvex sbequ2
      imim2i exp3a com4t imp wal mo3 ax-4 a4s sylbi syl5 19.23aiv impcom ) ABEZ
      CFZACGZABHZUKACDIZBCDIZEZDFULUMHZUJUPCDUJDJUNUOCACDKBCDKLCDMZAUNBUOACDNBC
      DNOPUPUQDUPAUNEZURHZUMULUNUOUTUMHUTAUNUOBUTAUNUOBHZURVAUSBCDQRSTUAULUTDUB
      ZCUBUTACDADJUCVBUTCUTDUDUEUFUGUHUFUI $.
      $( [27-Jan-1997] $)
  $}

  $( Existential uniqueness "picks" a variable value for which another wff is
     true.  If there is only one thing ` x ` such that ` ph ` is true, and
     there is also an ` x ` (actually the same one) such that ` ph ` and ` ps `
     are both true, then ` ph ` implies ` ps ` regardless of ` x ` .  This
     theorem, which apparently does not appear explicitly in the literature,
     can be quite useful because it lets us eliminate existential quantifiers
     in a hypothesis. $)
  eupick $p |- ( ( E! x ph /\ E. x ( ph /\ ps ) ) -> ( ph -> ps ) ) $=
    ( wmo wa wex wi weu mopick eumo sylan ) ACDABECFABGACHABCIACJK $.
    $( [10-Jul-1994] $)

  $( Existential uniqueness "pick" showing wff equivalence. $)
  eupickb $p |- ( ( E! x ph /\ E! x ps /\ E. x ( ph /\ ps ) ) ->
               ( ph <-> ps ) ) $=
    ( weu wa wex w3a wi eupick 3adant2 3simpc pm3.22 19.22i anim2i 3syl impbid
    ) ACDZBCDZABEZCFZGZABQTABHRABCIJUARTERBAEZCFZEBAHQRTKTUCRSUBCABLMNBACIOP $.
    $( [25-Nov-1994] $)

  $( "At most one" can show the existence of a common value.  In this case we
     can infer existence of conjunction from a conjunction of existence, and
     it is one way to achieve the converse of ~ 19.40 . $)
  mopick2 $p |- ( ( E* x ph /\ E. x ( ph /\ ps ) /\ E. x ( ph /\ ch ) ) ->
                E. x ( ph /\ ps /\ ch ) ) $=
    ( wmo wa wex w3a pm3.26 19.22i 3ad2ant2 hbmo1 hbe1 hb3an wi mopick anim12i
    3anass anandi bitr jcab 3imtr4 ancld syl6ibr 19.22d mpd ) ADEZABFZDGZACFZDG
    ZHZADGZABCHZDGUIUGUMUKUHADABIJKULAUNDUGUIUKDADLUHDMUJDMNULAABCFZFUNULAUOUGU
    IFZUGUKFZFZABOZACOZFULAUOOUPUSUQUTABDPACDPQULUGUIUKFFURUGUIUKRUGUIUKSTABCUA
    UBUCABCRUDUEUF $.
    $( [22-Apr-2004] $) $( [5-Apr-2004] $)

  $( Introduce or eliminate a disjunct in a uniqueness quantifier. $)
  euor2 $p |- ( -. E. x ph -> ( E! x ( ph \/ ps ) <-> E! x ps ) ) $=
    ( wex wn wo weu wmo wa euex 19.43 sylib ord com12 wi eumo orcom mobii moor
    sylbi syl a1i jcad eu5 syl6ibr hbe1 euor olc 19.22i wal 19.8a orim1i
    ax-gen euim mpan2 3syl adantl mpd ex impbid ) ACDZEZABFZCGZBCGZVBVDBCDZBCHZ
    IVEVBVDVFVGVDVBVFVDVAVFVDVCCDZVAVFFVCCJABCKLMNVDVGOVBVDVCCHZVGVCCPVIBAFZCHV
    GVCVJCABQRBACSTUAUBUCBCUDUEVBVEVDVBVEIVABFZCGZVDVABCACUFUGVEVLVDOZVBVEVFVHV
    MBCJBVCCBAUHUIVHVCVKOZCUJVMVNCAVABACUKULUMVCVKCUNUOUPUQURUSUT $.
    $( [25-Oct-2005] $) $( [21-Oct-2005] $)

  ${
    moexex.1 $e |- ( ph -> A. y ph ) $.
    $( "At most one" double quantification. $)
    moexex $p |- ( ( E* x ph /\ A. x E* y ps ) -> E* y E. x ( ph /\ ps ) ) $=
      ( wmo wal wa wex wi hbmo1 hba1 hbe1 hbmo hbim mopick ex com3r 19.21ad
      immo a4sd syl6 19.23ai wn hbex pm3.26 19.22i con3i exmo ori syl a1d
      pm2.61i imp ) ACFZBDFZCGZABHZCIZDFZACIZUOUQUTJZJZAVCCUOVBCACKUQUTCUPCLUSC
      DURCMNOOAUOUSBJZDGZVBAUOVDDEADCENUOUSABUOUSABJABCPQRSVEUPUTCUSBDTUAUBUCVA
      UDZVBUOVFUTUQVFUSDIZUDUTVGVAUSVADADCEUEURACABUFUGUCUHVGUTUSDUIUJUKULULUMU
      N $.
      $( [3-Dec-2001] $)
  $}

  ${
    $d y ph $.
    $( "At most one" double quantification. $)
    moexexv $p |- ( ( E* x ph /\ A. x E* y ps ) -> E* y E. x ( ph /\ ps ) ) $=
      ( ax-17 moexex ) ABCDADEF $.
      $( [26-Jan-1997] $)
  $}

  $( Double quantification with "at most one." $)
  2moex $p |- ( E* x E. y ph -> A. y E* x ph ) $=
    ( wex wmo hbe1 hbmo 19.8a immoi 19.21ai ) ACDZBEABECKCBACFGAKBACHIJ $.
    $( [3-Dec-2001] $)

  $( Double quantification with existential uniqueness. $)
  2euex $p |- ( E! x E. y ph -> E. y E! x ph ) $=
    ( wex weu wmo wa eu5 hbe1 hbmo 19.41 biimpr excom sylanb 2moex 19.21bi
    anim2i sylibr 19.22i syl sylbi ) ACDZBEUBBDZUBBFZGZABEZCDZUBBHUEABDZUDGZCDZ
    UGUHCDZUDUJUCUJUKUDGUHUDCUBCBACIJKLABCMNUIUFCUIUHABFZGUFUDULUHUDULCABCOPQAB
    HRSTUA $.
    $( [3-Dec-2001] $)

  $( Double quantification with existential uniqueness and "at most one." $)
  2eumo $p |- ( E! x E* y ph -> E* x E! y ph ) $=
    ( weu wmo wi euimmo eumo mpg ) ACDZACEZFKBDJBEFBJKBGACHI $.
    $( [3-Dec-2001] $)

  $( Double existential uniqueness. $)
  2eu2ex $p |- ( E! x E! y ph -> E. x E. y ph ) $=
    ( weu wex euex 19.22i syl ) ACDZBDIBEACEZBEIBFIJBACFGH $.
    $( [3-Dec-2001] $)

  $( A condition allowing swap of "at most one" and existential quantifiers. $)
  2moswap $p |- ( A. x E* y ph -> ( E* x E. y ph -> E* y E. x ph ) ) $=
    ( wmo wal wex wa hbe1 moexex expcom 19.8a pm4.71ri exbii mobii syl6ibr ) AC
    DBEZACFZBDZQAGZBFZCDZABFZCDRPUAQABCACHIJUBTCASBAQACKLMNO $.
    $( [11-Apr-2004] $) $( [10-Apr-2004] $)

  $( A condition allowing swap of uniqueness and existential quantifiers. $)
  2euswap $p |- ( A. x E* y ph -> ( E! x E. y ph -> E! y E. x ph ) ) $=
    ( wmo wal wex wa weu wi excomim a1i 2moswap anim12d eu5 3imtr4g ) ACDBEZACF
    ZBFZQBDZGABFZCFZTCDZGQBHTCHPRUASUBRUAIPABCJKABCLMQBNTCNO $.
    $( [13-Apr-2004] $) $( [10-Apr-2004] $)

  $( Double existential uniqueness implies double uniqueness quantification. $)
  2exeu $p |- ( ( E! x E. y ph /\ E! y E. x ph ) -> E! x E! y ph ) $=
    ( wex wmo wa weu hbe1 hbmo 19.41 19.8a immoi anim2i 19.22i sylbir excom
    sylanb pm3.26 adantl anim12i ancoms eu5 anbi12i exbii mobii bitr 3imtr4 )
    ACDZBDZUHBEZFZABDZCDZULCEZFZFUHACEZFZBDZUQBEZFZUHBGZULCGZFACGZBGZUOUKUTUOUR
    UKUSUIUNURUMUIUNFUHUNFZBDURUHUNBULBCABHIJVEUQBUNUPUHAULCABKLMNOACBPQUJUSUIU
    QUHBUHUPRLSTUAVAUKVBUOUHBUBULCUBUCVDVCBDZVCBEZFUTVCBUBVFURVGUSVCUQBACUBZUDV
    CUQBVHUEUCUFUG $.
    $( [3-Dec-2001] $)

  ${
    $d x y z w v u $.  $d z w v u ph $.
    $( Two equivalent expressions for double "at most one." $)
    2mo $p |- ( E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) <->
              A. x A. y A. z A. w ( ( ph /\ [ z / x ] [ w / y ] ph ) ->
                   ( x = z /\ y = w ) ) ) $=
      ( vv vu weq wa wi wal wex wsb equequ2 bi2anan9 imbi2d 2albidv cbvex2v
      ax-17 hbs1 hbim hbsb sbequ12 sylan9bbr equequ1 imbi12d cbval2 biimp
      ancli alcom aaan albii bitr hbal sylibr prth equtr2 anim12i an4s syl6
      19.20i2 syl 19.23aivv sylbir alrot4 19.20 19.20ii sylbi 19.22 19.20i
      3syl 19.21ai 19.22i2 syl5com impexp bi2.04 2albii syl5ib wn alnex hbn
      negbid biimpr pm2.21 19.8a 19.23bi a1d pm2.61i impbi ) ABDHZCEHZIZJZCKZBK
      ZELZDLZAACEMZBDMZIZWLJZEKDKZCKBKZWQABFHZCGHZIZJZCKZBKZGLFLXCXIWOFGDEFDHZG
      EHZIZXGWMBCXLXFWLAXJXDWJXKXEWKFDBNGECNOPQRXIXCFGXIXGWSDFHZEGHZIZJZIZEKZDK
      ZCKZBKZXCXIXIXPEKZDKZIZYAXIYCXIYCXGXPBCDEXGDSXGESZWSXOBWRBDTZXOBSUAZWSXOC
      WRBDCACETUBZXOCSUAZWLAWSXFXOWKAWRWJWSACEUCWRBDUCUDZWJXDXMWKXEXNBDFUECEGUE
      OUFUGUHUIYAXHYBIZDKZBKYDXTYLBXTXRCKZDKYLXRCDUJYMYKDXGXPCEYEYIUKULUMULXHYB
      BDXHDSXPBEYGUNUKUMUOXSXBBCXQXADEXQWTXFXOIWLAXFWSXOUPXDXMXEXNWLXDXMIWJXEXN
      IWKBDFUQCEGUQURUSUTVAVAVBVCVDWSELZDLZXCWQJYOWSWMJZEKDKZCKBKZWQXCYRWSCKZBK
      ZELZDLZWQYOYRYTWOJZEKZDKZUUAWPJZDKUUBWQJYRYPCKZBKZEKDKUUEYPBCDEVEUUHUUCDE
      UUGYSWNBWSWMCVFVGVAVHUUDUUFDYTWOEVIVJUUAWPDVIVKWSYTDEWSYSBYFYHVLVMVNXBYQB
      CXAYPDEXAAWSWLJJYPAWSWLVOAWSWLVPUMVQVQVRYOVSZWQXCUUIWSVSZEKZDKZWQUULYNVSZ
      DKUUIUUKUUMDWSEVTULYNDVTUMUULAVSZCKBKZWOWQUUOUULUUNUUJBCDEUUNDSUUNESWSBYF
      WAWSCYHWAWLAWSYJWBUGWCUUNWMBCAWLWDVAWOWQEWPDWEWFVKVDWGWHWI $.
      $( [7-Feb-2005] $) $( [2-Feb-2005] $)
  $}

  ${
    $d z w ph $.  $d x y ps $.  $d x y z w $.
    2mos.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Double "exists at most one" with implicit substitution. $)
    2mos $p  |- ( E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) <->
             A. x A. y A. z A. w ( ( ph /\ ps ) -> ( x = z /\ y = w ) ) ) $=
      ( weq wa wi wal wex wsb 2mo ax-17 sb19.21 wb expcom pm5.74d sbie bitr3
      pm5.74ri anbi2i imbi1i 2albii bitr ) ACEHZDFHZIZJDKCKFLELAADFMZCEMZIZUIJZ
      FKEKZDKCKABIZUIJZFKEKZDKCKACDEFNUNUQCDUMUPEFULUOUIUKBAUJBCEBCOUGUJBUGUJJU
      GAJZDFMUGBJZUGADFUGDOPURUSDFUSDOUHUGABUGUHABQGRSTUAUBTUCUDUEUEUF $.
      $( [17-May-2005] $) $( [10-Feb-2005] $)
  $}

  $( Double existential uniqueness.  This theorem shows a condition under
     which a "naive" definition matches the correct one. $)
  2eu1 $p |- ( A. x E* y ph ->
        ( E! x E! y ph <-> ( E! x E. y ph /\ E! y E. x ph ) ) ) $=
    ( wmo wal weu wex wa wi eu5 exbii mobii anbi12i bitr pm3.27bi ax-4 anim2i
    ancoms immoi hba1 moanim sylib ancrd 2moswap com12 imdistani syl6 syl
    2eu2ex excom jca jctild an4 syl6ibr 2exeu impbid1 ) ACDZBEZACFZBFZACGZBFZAB
    GZCFZHZUTURVEUTURVABGZVCCGZHZVABDZVCCDZHZHZVEUTURVKVHUTVAUQHZBDZURVKIUTVMBG
    ZVNUTUSBGZUSBDZHVOVNHUSBJVPVOVQVNUSVMBACJZKUSVMBVRLMNOVNURVIURHVKVNURVIVNUR
    VAHZBDURVIIVSVMBVAURVMURUQVAUQBPQRSURVABUQBTUAUBUCVIURVJURVIVJABCUDUEUFUGUH
    UTVFVGABCUIZUTVFVGVTABCUJUBUKULVEVFVIHZVGVJHZHVLVBWAVDWBVABJVCCJMVFVIVGVJUM
    NUNUEABCUOUP $.
    $( [3-Dec-2001] $)

  $( Double existential uniqueness. $)
  2eu2 $p |- ( E! y E. x ph -> ( E! x E! y ph <-> E! x E. y ph ) ) $=
    ( wex weu wmo wal wi eumo 2moex wa 2eu1 pm3.26 syl6bi 3syl 2exeu expcom
    impbid ) ABDZCEZACEBEZACDBEZTSCFACFBGZUAUBHSCIACBJUCUAUBTKUBABCLUBTMNOUBTUA
    ABCPQR $.
    $( [3-Dec-2001] $)


  $( Double existential uniqueness. $)
  2eu3 $p |- ( A. x A. y ( E* x ph \/ E* y ph ) ->
 ( ( E! x E! y ph /\ E! y E! x ph ) <-> ( E! x E. y ph /\ E! y E. x ph ) ) ) $=
    ( wmo wo wal weu wa wex wb hbmo1 19.31 albii hbal 19.32 bitr wi 2eu1
    biimpd ancom syl6ib adantld adantrd jaoi 2exeu ancoms jca impbid1 sylbi )
    ABDZACDZECFZBFZUJCFZUKBFZEZACGBGZABGCGZHZACIBGZABICGZHZJUMUNUKEZBFUPULVCBUJ
    UKCACKLMUNUKBUJBCABKNOPUPUSVBUNUSVBQUOUNURVBUQUNURVAUTHZVBUNURVDACBRSVAUTTU
    AUBUOUQVBURUOUQVBABCRSUCUDVBUQURABCUEVAUTURACBUEUFUGUHUI $.
    $( [3-Dec-2001] $)

  ${
    $d x y z w $.  $d z w ph $.
    $( This theorem provides us with a definition of double existential
       uniqueness ("exactly one ` x ` and exactly one ` y ` ").  Naively one
       might think (incorrectly) that it could be defined by
       ` E! x E! y ph ` .  See ~ 2eu1 for a condition under which the naive
       definition holds and ~ 2exeu for a one-way implication.  See ~ 2eu5 and
       ~ 2eu8 for alternate definitions. $)
    2eu4 $p |- ( ( E! x E. y ph /\ E! y E. x ph ) <->
      ( E. x E. y ph /\ E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) ) ) $=
      ( wex weu wa weq wi wal ax-17 eu3 anbi12i an4 excom anbi2i anidm bitr
      hba1 19.3 19.26 jcab albii 3bitr4r alcom bitr4 19.23v 2albii hbe1 hbim
      aaan 3bitr 2exbii eeanv bitr2 ) ACFZBGZABFZCGZHUQBFZUQBDIZJZBKZDFZHZUSCFZ
      USCEIZJZCKZEFZHZHVAVGHZVEVKHZHVAAVBVHHJZCKZBKZEFDFZHURVFUTVLUQBDUQDLMUSCE
      USELMNVAVEVGVKOVMVAVNVRVMVAVAHVAVGVAVAACBPQVARSVRVDVJHZEFDFVNVQVSDEVQAVBJ
      ZCKZAVHJZBKZHZCKZBKZVCVIHZCKBKVSVQWAWBCKZBKZHZBKZWFWABKZWIBKZHWLWIHZWKVQW
      MWIWLWIBWHBTUAQWAWIBUBVQWAWHHZBKWNVPWOBVPVTWBHZCKWOVOWPCAVBVHUCUDVTWBCUBS
      UDWAWHBUBSUEWEWJBWEWACKZWCCKZHWJWAWCCUBWQWAWRWIWACVTCTUAWBCBUFNSUDUGWDWGB
      CWAVCWCVIAVBCUHAVHBUHNUIVCVIBCUQVBCACUJVBCLUKUSVHBABUJVHBLUKULUMUNVDVJDEU
      OUPNUM $.
      $( [3-Dec-2001] $)

    $( An alternate definition of double existential uniqueness (see ~ 2eu4 ).
       A mistake sometimes made in the literature is to use ` E! x E! y ` to
       mean "exactly one ` x ` and exactly one ` y ` ."  (For example, see
       Proposition 7.53 of [TakeutiZaring] p. 53.)  It turns out that this is
       actually a weaker assertion, as can be seen by expanding out the formal
       definitions.  This theorem shows that the erroneous definition can be
       repaired by conjoining ` A. x E* y ph ` as an additional condition.  The
       correct definition apparently has never been published.  ( ` E* ` means
       "exists at most one.") $)
    2eu5 $p |- ( ( E! x E! y ph /\ A. x E* y ph ) <->
      ( E. x E. y ph /\ E. z E. w A. x A. y ( ph -> ( x = z /\ y = w ) ) ) ) $=
      ( weu wmo wal wa wex weq wi 2eu1 pm5.32ri eumo adantl 2moex syl pm4.71i
      2eu4 3bitr2 ) ACFBFZACGBHZIACJZBFZABJZCFZIZUCIUHUDBJABDKCEKILCHBHEJDJIUCU
      BUHABCMNUHUCUHUFCGZUCUGUIUEUFCOPACBQRSABCDETUA $.
      $( [26-Oct-2003] $) $( [26-Oct-2003] $)
  $}

  ${
    $d x y z w v u $.  $d z w v u ph $.
    $( Two equivalent expressions for double existential uniqueness. $)
    2eu6 $p  |- ( ( E! x E. y ph /\ E! y E. x ph ) <->
               E. z E. w A. x A. y ( ph <-> ( x = z /\ y = w ) ) ) $=
      ( vu vv wex weu wa weq wi wal wb 2eu4 wsb 19.29r2 ax-17 hbs1 hbsb
      sbequ12 sylan9bbr cbvex2 equequ2 bi2anan9 imbi2d 2albidv cbvex2v hbim
      equequ1 imbi12d cbval2 2exbii 2mo 3bitr anbi12i 2albi ancom bitr equcom
      imbi2i impexp 2albii hban sbco2 sbcom2 sbbii 3bitr3r syl6bb anbi2d
      19.21-2 3bitr3 anbi2i abai 2sb6 anbi1i 3bitr2 bitr4 3imtr4 bi2 19.20i2
      19.22i2 2exsb sylibr bi1 jca impbi ) ACHZBIABHCIJWHBHZABDKZCEKZJZLZCMBMZE
      HDHZJZAWLNZCMBMZEHDHZABCDEOWPWSACEPZBDPZEHDHZXAXAEFPZDGPZJZDGKZEFKZJZLZFM
      GMZEMDMZJXAXJJZEHDHZWPWSXAXJDEQWIXBWOXKAXABCDEADRAERZWTBDSZWTBDCACESTZWKA
      WTWJXAACEUAWTBDUAUBZUCWOABGKZCFKZJZLZCMBMZFHGHXAXHLZEMDMZFHGHXKWNYBDEGFXH
      WMYABCXHWLXTAXFWJXRXGWKXSDGBUDEFCUDUEUFUGUHYBYDGFYAYCBCDEYADRYAERXAXHBXOX
      HBRZUIXAXHCXPXHCRZUIWLAXAXTXHXQWJXRXFWKXSXGBDGUJCEFUJUEUKULUMXADEGFUNUOUP
      WSWLALZCMBMZWNJZEHDHXMWRYIDEWRWNYHJYIAWLBCUQWNYHURUSUMXLYIDEXLXAXAWNLZJXA
      WNJYIXJYJXAXAAJZDBKZECKZJZLZCMBMXAWMLZCMBMXJYJYOYPBCYOYKWLLYPYNWLYKYLWJYM
      WKDBUTECUTUPVAXAAWLVBUSVCYOXIBCGFYOGRYOFRXEXHBXAXDBXOXCDGBXAEFBXOTTVDYEUI
      XEXHCXAXDCXPXCDGCXAEFCXPTTVDYFUIXTYKXEYNXHXTAXDXAXTAACFPZBGPZXDXSAYQXRYRA
      CFUAYQBGUAUBWTEFPZBDPZDGPYSBGPXDYRYSBGDYSDRVEYTXCDGWTEFBDVFVGYSYQBGACFEXN
      VEVGVHVIVJXRYLXFXSYMXGBGDUDCFEUDUEUKULXAWMBCXOXPVKVLVMXAWNVNXAYHWNABCDEVO
      VPVQUMVRVSWSWIWOWSYHEHDHWIWRYHDEWQYGBCAWLVTWAWBABCDEWCWDWRWNDEWQWMBCAWLWE
      WAWBWFWGUS $.
      $( [13-Feb-2005] $) $( [2-Feb-2005] $)
  $}

  $( Two equivalent expressions for double existential uniqueness. $)
  2eu7 $p  |- ( ( E! x E. y ph /\ E! y E. x ph ) <->
             E! x E! y ( E. x ph /\ E. y ph ) ) $=
    ( wex weu wa hbe1 hbeu euan ancom eubii 3bitr 3bitr4r ) ABDZCEZACDZFZBEOPBE
    ZFNPFZCEZBEROFOPBNBCABGHITQBTPNFZCEPOFQSUACNPJKPNCACGIPOJLKROJM $.
    $( [21-Feb-2005] $) $( [19-Feb-2005] $)

  $( Two equivalent expressions for double existential uniqueness.
     Curiously, we can put ` E! ` on either of the internal conjuncts but not
     both.  We can also commute ` E! x E! y ` using ~ 2eu7 . $)
  2eu8 $p  |- ( E! x E! y ( E. x ph /\ E. y ph ) <->
                E! x E! y ( E! x ph /\ E. y ph ) ) $=
    ( wex weu wa 2eu2 pm5.32i hbeu1 hbeu euan ancom eubii hbe1 3bitr 3bitr4r
    2eu7 3bitr3r ) ACDZBEZABEZCEZFZTABDZCEZFUASFZCEZBEZUDSFCEBETUBUEACBGHUBSFZB
    EUBTFUHUCUBSBUABCABIJKUGUIBUGSUAFZCESUBFUIUFUJCUASLMSUACACNKSUBLOMTUBLPABCQ
    R $.
    $( [24-Apr-2005] $) $( [20-Feb-2005] $)

  ${
    $d x y $.
    $( Two ways to express "only one thing exists."  The left-hand side
       requires only one variable to express this.  Both sides are false in
       set theory; see theorem ~ dtru . $)
    exists1 $p |- ( E! x x = x <-> A. x x = y ) $=
      ( weq weu wb wal wex df-eu equid tbt bicom bitr albii exbii hbae 19.9
      3bitr2 ) AACZADRABCZEZAFZBGSAFZBGUBRABHUBUABSTASSRETRSAIJSRKLMNUBBABBOPQ
      $.
      $( [6-Apr-2004] $) $( [5-Apr-2004] $)

    $( A condition implying that at least two things exist. $)
    exists2 $p |- ( ( E. x ph /\ E. x -. ph ) -> -. E! x x = x ) $=
      ( vy weq weu wex wn wa wal exists1 pm3.24 wi ax-16 a5i 19.9t syl anim12d
      mtoi sylbi con2i ) BBDBEZABFZAGZBFZHZUABCDZBIZUEGBCJUGUEAUCHAKUGUBAUDUCUG
      AABILZBIUBALUFUHBABCMNABOPUGUCUCBILZBIUDUCLUFUIBUCBCMNUCBOPQRST $.
      $( [9-May-2004] $) $( [10-Apr-2004] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                    Zermelo-Fraenkel Set Theory
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
             ZF Set Theory - start with the Axiom of Extensionality
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$( Logic is a prerequisite. $)
$( $[ logic.mm $] $) $( Use this if logic is separated out of set.mm. $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Introduce the Axiom of Extensionality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $v t $.
  $( Let ` t ` be an individual variable. $)
  vt $f set t $.

$(
$)

  ${
    $d x y z $.
    $( Axiom of Extensionality.  An axiom of Zermelo-Fraenkel set theory.  It
       states that two sets are identical if they contain the same elements.
       Axiom Ext of [BellMachover] p. 461.

       Set theory can also be formulated with a _single_ primitive predicate
       ` e. ` on top of traditional predicate calculus _without_ equality.  In
       that case the Axiom of Extensionality becomes
       ` ( A. w ( w e. x <-> w e. y ) -> ( x e. z -> y e. z ) ) ` , and
       equality ` x = y ` is _defined_ as ` A. w ( w e. x <-> w e. y ) ` .  All
       of the usual axioms of equality then become theorems of set theory.
       See, for example, Axiom 1 of [TakeutiZaring] p. 8.

       To use the above "equality-free" version of Extensionality with
       Metamath's logical axioms, we would rewrite ~ ax-8 through ~ ax-16 with
       equality expanded according to the above definition.  Some of those
       axioms could be proved from set theory and would be redundant.  Not all
       of them are redundant, since our axioms of predicate calculus make
       essential use of equality for the proper substitution that is a
       primitive notion in traditional predicate calculus.  A study of such an
       axiomatization would be an interesting project for someone exploring the
       foundations of logic.

       _General remarks_:  Our set theory axioms are presented using defined
       connectives ( ` <-> ` , ` E. ` , etc.) for convenience.  However, it is
       implicitly understood that the actual axioms use only the primitive
       connectives ` -> ` , ` -. ` , ` A. ` , ` = ` , and ` e. ` .  It is
       straightforward to establish the equivalence between the actual axioms
       and the ones we display, and we will not do so.

       It is important to understand that strictly speaking, all of our set
       theory axioms are really schemes that represent an infinite number of
       actual axioms.  This is inherent in the design of Metamath
       ("metavariable math"), which manipulates only metavariables.  For
       example, the metavariable ` x ` in ~ ax-ext can represent any actual
       variable _v1_, _v2_, _v3_,... .  Distinct variable restrictions ($d)
       prevent us from substituting say _v1_ for both ` x ` and ` z ` .  This
       is in contrast to typical textbook presentations that present actual
       axioms (except for Replacement ~ ax-rep , which involves a wff
       metavariable).  In practice, though, the theorems and proofs are
       essentially the same.  The $d restrictions make each of the the infinite
       axioms generated by the ~ ax-ext scheme exactly logically equivalent to
       each other and in particular to the actual axiom of the textbook
       version. $)
    ax-ext $a |- ( A. z ( z e. x <-> z e. y ) -> x = y ) $.

    $( The Axiom of Extensionality ( ~ ax-ext ) restated so that it postulates
       the existence of a set ` z ` given two arbitrary sets ` x ` and ` y ` .
       This way to express it follows the general idea of the other ZFC axioms,
       which is to postulate the existence of sets given other sets. $)
    axext $p |- E. z ( ( z e. x <-> z e. y ) -> x = y ) $=
      ( cv wcel wb wceq wi wex wal ax-ext 19.36v mpbir ) CDZADZENBDZEFZOPGZHCIQ
      CJRHABCKQRCLM $.
      $( [28-Sep-2003] $)
  $}

  ${
    $d z x w $.  $d z y w $.
    $( A generalization of the Axiom of Extensionality in which ` x ` and
       ` y ` need not be distinct. $)
    zfext2 $p |- ( A. z ( z e. x <-> z e. y ) -> x = y ) $=
      ( vw cv wceq wex wcel wb wal wi a9e ax-ext elequ2 bibi1d albidv equequ1
      imbi12d mpbii 19.23aiv ax-mp ) DEZAEZFZDGCEZUCHZUEBEZHZIZCJZUCUGFZKZDALUD
      ULDUDUEUBHZUHIZCJZUBUGFZKULDBCMUDUOUJUPUKUDUNUICUDUMUFUHDACNOPDABQRSTUA
      $.
      $( [15-Sep-1993] $)
  $}

  ${
    $d x y z $.  $d ph z $.
    bm1.1.1 $e |- ( ph -> A. x ph ) $.
    $( Any set defined by a property is the only set defined by that property.
       Theorem 1.1 of [BellMachover] p. 462. $)
    bm1.1 $p |- ( E. x A. y ( y e. x <-> ph ) ->
                  E! x A. y ( y e. x <-> ph ) ) $=
      ( vz cv wcel wb wal wex wsbc wa wceq wi weu 19.26 biantr 19.20i ax-ext
      syl sylbir ax-17 hbbi hbal elequ2 bibi1d albidv sbie sylan2b gen2 jctr
      eu2 sylibr ) CFZBFZGZAHZCIZBJZUSURURBEFZKZLUOUTMZNZEIBIZLURBOUSVDVCBEURUN
      UTGZAHZCIZVBVAURVGLUQVFLZCIZVBUQVFCPVIUPVEHZCIVBVHVJCUPAVEQRBECSTUAURVGBE
      VFBCVEABVEBUBDUCUDVBUQVFCVBUPVEABECUEUFUGUHUIUJUKURBEUREUBULUM $.
      $( [30-Jun-1994] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                   Class abstractions (a.k.a. class builders)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constants use in class definition. $)
  $c { $. $( Left brace $)
  $c | $.  $( Vertical bar $)
  $c } $. $( Right brace $)
  $( --- Start of old code before overloading prevention patch. $)
  $(
  @c class @. @( Class variable type @)
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Declare variable symbols that will be used to represent classes.  Note
     that later on ` R ` , ` S ` , ` F ` and ` G ` denote relations and
     functions, but these letters serve as mnemonics only and in fact behave
     no differently from the variables ` A ` through ` D ` . $)
  $v A $.
  $v B $.
  $v C $.
  $v D $.
  $v P $.
  $v Q $.
  $v R $.
  $v S $.
  $v T $.
  $v U $.

  $( Introduce the class builder or class abstraction notation ("the class of
     sets ` x ` such that ` ph ` is true").  Our class variables ` A ` ,
     ` B ` , etc. range over class builders (implicitly in the case of defined
     class terms such as ~ df-nul ).  Note that a set variable can be
     expressed as a class builder per theorem ~ cvjust , justifying the
     assignment of set variables to class variables via the use of ~ cv . $)
  cab $a class { x | ph } $.

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( A set variable is a class expression.  The syntax " ` class x ` " can be
     viewed as an abbreviation for " ` class { y | y e. x } ` " (a special case
     of ~ cab ), where ` y ` is distinct from ` x ` .  See the discussion under
     the definition of class in [Jech] p. 4.  Note that ` { y | y e. x } = x `
     by ~ cvjust . @)
  cv @a class x @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Let ` A ` be a class variable. $)
  cA $f class A $.
  $( Let ` B ` be a class variable. $)
  cB $f class B $.
  $( Let ` C ` be a class variable. $)
  cC $f class C $.
  $( Let ` D ` be a class variable. $)
  cD $f class D $.
  $( Let ` P ` be a class variable. $)
  cP $f class P $.
  $( Let ` Q ` be a class variable. $)
  cQ $f class Q $.
  $( Let ` R ` be a class variable. $)
  cR $f class R $.
  $( Let ` S ` be a class variable. $)
  cS $f class S $.
  $( Let ` T ` be a class variable. $)
  cT $f class T $.
  $( Let ` U ` be a class variable. $)
  cU $f class U $.

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include class equality. @)
  wceq @a wff A = B @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff definition to include the membership connective between
     classes. @)
  wcel @a wff A e. B @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Define class abstraction notation (so-called by Quine), also called a
     "class builder" in the literature.  ` x ` and ` y ` need not be distinct.
     Definition 2.1 of [Quine] p. 16.  Typically, ` ph ` will have ` y ` as a
     free variable, and " ` { y | ph } ` " is read "the class of all sets ` y `
     such that ` ph ( y ) ` is true."  We do not define ` { y | ph } ` in
     isolation but only as part of an expression that extends or "overloads"
     the ` e. ` relationship.

     This is our first use of the ` e. ` symbol to connect classes instead of
     sets.  The syntax definition ~ wcel , which extends or "overloads" the
     ~ wel definition connecting set variables, requires that both sides of `
     e. ` be a class.  In ~ df-cleq and ~ df-clel , we introduce a new kind of
     variable (class variable) that can substituted with expressions such as
     ` { y | ph } ` .  In the present definition, the ` x ` on the left-hand
     side is a set variable.  Syntax definition ~ cv allows us to substitute
     a set variable ` x ` for a class variable:  all sets are classes by
     ~ cvjust (but not necessarily vice-versa).  For a full description of
     how classes are introduced and how to recover the primitive language,
     see the discussion in Quine (and under ~ abeq2 for a quick overview).

     Because class variables can be substituted with compound expressions
     and set variables cannot, it is often useful to convert a theorem
     containing a free set variable to a more general version with a class
     variable.  This is done with theorems such as ~ vtoclg which is used, for
     example, to convert ~ elirrv to ~ elirr . $)
  df-clab $a |- ( x e. { y | ph } <-> [ x / y ] ph ) $.

  $( Simplification of class abstraction notation when the free and bound
     variables are identical. $)
  abid $p |- ( x e. { x | ph } <-> ph ) $=
    ( cv cab wcel wsbc df-clab sbid bitr ) BCZABDEABJFAABBGABHI $.
    $( [5-Aug-1993] $)

  ${
    $d x y $.
    $( Bound-variable hypothesis builder for a class abstraction. $)
    hbab1 $p |- ( y e. { x | ph } -> A. x y e. { x | ph } ) $=
      ( cv wsbc wal cab wcel hbs1 df-clab albii 3imtr4 ) ABCDZEZNBFMABGHZOBFABC
      IACBJZONBPKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x z $.
    hbab.1 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for a class abstraction. $)
    hbab $p |- ( z e. { y | ph } -> A. x z e. { y | ph } ) $=
      ( cv wsbc wal cab wcel wceq wi ax-16 hbsb4 pm2.61i df-clab albii 3imtr4
      ) ACDFZGZTBHZSACIJZUBBHBFSKBHTUALTBDMACDBENOADCPZUBTBUCQR $.
      $( [1-Mar-1995] $)
  $}

  ${
    $d x z $.
    hbabd.1 $e |- ( ph -> A. x A. y ph ) $.
    hbabd.2 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction form of bound-variable hypothesis builder ~ hbab . $)
    hbabd $p |- ( ph -> ( z e. { y | ps } -> A. x z e. { y | ps } ) ) $=
      ( cv wsbc wal cab wcel wceq wi wn ax-7 syl 19.20i2 hbsb4t 3syl ax-16
      pm2.61d2 df-clab albii 3imtr4g ) ABDEHZIZUGCJZUFBDKLZUICJACHUFMCJZUGUHNZA
      ACJDJZBBCJNZCJDJUJOUKNAADJCJULFACDPQAUMDCGRBDECSTUGCEUAUBBEDUCZUIUGCUNUDU
      E $.
      $( [16-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x y z $.
    df-cleq.1 $e |- ( A. x ( x e. y <-> x e. z ) -> y = z ) $.
    $( Define the equality connective between classes.  Definition 2.7 of
       [Quine] p. 18.  Also Definition 4.5 of [TakeutiZaring] p. 13; Chapter 4
       provides its justification and methods for eliminating it.  Note that
       its elimination will not necessarily result in a single wff in the
       original language but possibly a "scheme" of wffs.

       This is an example of a somewhat "risky" definition, meaning that it has
       a more complex than usual soundness justification (outside of Metamath),
       because it "overloads" or reuses the existing equality symbol rather
       than introducing a new symbol.  This allows us to make statements that
       may not hold for the original symbol.  For example, it permits us to
       deduce ` y = z <-> A. x ( x e. y <-> x e. z ) ` , which is not a theorem
       of logic but rather presupposes the Axiom of Extensionality.  We
       therefore include this axiom as a hypothesis, so that the use of
       Extensionality is properly indicated.

       We could avoid this complication by introducing a new symbol, say =_2,
       in place of ` = ` .  This would also have the advantage of making
       elimination of the definition straightforward, so that we could
       eliminate Extensionality as a hypothesis.  We would then also have the
       advantage of being able to identify in various proofs exactly where
       Extensionality truly comes into play rather than just being an artifact
       of a definition..  One of our theorems would then be ` x ` =_2
       ` y <-> x = y ` by invoking Extensionality.

       However, to conform to literature usage, we retain this overloaded
       definition.  This also makes some proofs shorter and probably easier to
       read, without the constant switching between two kinds of equality.

       See also comments under ~ df-clab , ~ df-clel , and ~ abeq2 . $)
    df-cleq $a |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $.
  $}

 ${
    $d x A $.  $d x B $.  $d x y z $.
    $( The same as ~ df-cleq with the hypothesis removed using the Axiom
       of Extensionality ~ ax-ext . $)
    dfcleq $p |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $=
      ( vy vz ax-ext df-cleq ) ADEBCDEAFG $.
      $( [15-Sep-1993] $)
  $}

  ${
    $d x y z $.
    $( Every set is a class.  Proposition 4.9 of [TakeutiZaring] p. 13.  This
       theorem shows that a set variable can be expressed as a class
       abstraction.  This provides a motivation for the class syntax
       construction ~ cv , which allows us to substitute a set variable for a
       class variable.  See also ~ cab and ~ df-clab .  Note that this is not a
       rigorous justification, because ~ cv is used as part of the proof of
       this theorem, but a careful argument can be made outside of the
       formalism of Metamath, for example as is done in Chapter 4 of Takeuti
       and Zaring.  See also the discussion under the definition of class in
       [Jech] p. 4 showing that "Every set can be considered to be a class." $)
    cvjust $p |- x = { y | y e. x } $=
      ( vz cv wcel cab wceq wb dfcleq wsbc df-clab elsb3 bitr2 mpgbir ) ADZBDOE
      ZBFZGCDZOEZRQEZHCCOQITPBRJSPCBKCBALMN $.
      $( [7-Nov-2006] $) $( [7-Nov-2006] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Define the membership connective between classes.  Theorem 6.3 of
       [Quine] p. 41, or Proposition 4.6 of [TakeutiZaring] p. 13, which we
       adopt as a definition.  See these references for its metalogical
       justification.  Note that like ~ df-cleq it extends or "overloads" the
       use of the existing membership symbol, but unlike ~ df-cleq it does not
       strengthen the set of valid wffs of logic when the class variables are
       replaced with set variables (see ~ cleljust ), so we don't include any
       set theory axiom as a hypothesis.  See also comments about the syntax
       under ~ df-clab . $)
    df-clel $a |- ( A e. B <-> E. x ( x = A /\ x e. B ) ) $.
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    eqrd.1 $e |- ( ph -> ( x e. A <-> x e. B ) ) $.
    $( Deduce equality of classes from equivalence of membership. $)
    eqrdv $p |- ( ph -> A = B ) $=
      ( cv wcel wb wal wceq 19.21aiv dfcleq sylibr ) ABFZCGNDGHZBICDJAOBEKBCDLM
      $.
      $( [17-Mar-1996] $)
  $}

  ${
    $d x A $.  $d x B $.
    eqri.1 $e |- ( x e. A <-> x e. B ) $.
    $( Infer equality of classes from equivalence of membership. $)
    eqriv $p |- A = B $=
      ( wceq cv wcel wb dfcleq mpgbir ) BCEAFZBGKCGHAABCIDJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.
    $( Class identity law (reflexivity of class equality).  Theorem 6.4 of
       [Quine] p. 41. $)
    eqid $p |- A = A $=
      ( vx cv wcel pm4.2 eqriv ) BAABCADEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Commutative law for class equality.  Theorem 6.5 of [Quine] p. 41. $)
    eqcom $p |- ( A = B <-> B = A ) $=
      ( vx cv wcel wb wal wceq bicom albii dfcleq 3bitr4 ) CDZAEZMBEZFZCGONFZCG
      ABHBAHPQCNOIJCABKCBAKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqcoms.1 $e |- ( A = B -> ph ) $.
    $( Inference applying commutative law for class equality to an
       antecedent. $)
    eqcoms $p |- ( B = A -> ph ) $=
      ( wceq eqcom sylbi ) CBEBCEACBFDG $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqcomi.1 $e |- A = B $.
    $( Inference from commutative law for class equality. $)
    eqcomi $p |- B = A $=
      ( wceq eqcom mpbi ) ABDBADCABEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqcomd.1 $e |- ( ph -> A = B ) $.
    $( Deduction from commutative law for class equality. $)
    eqcomd $p |- ( ph -> B = A ) $=
      ( wceq eqcom sylib ) ABCECBEDBCFG $.
      $( [15-Aug-1994] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality implies equivalence of equalities. $)
    eqeq1 $p |- ( A = B -> ( A = C <-> B = C ) ) $=
      ( vx wceq cv wcel wb wal dfcleq biimp 19.21bi bibi1d albidv 3bitr4g ) ABE
      ZDFZAGZQCGZHZDIQBGZSHZDIACEBCEPTUBDPRUASPRUAHZDPUCDIDABJKLMNDACJDBCJO $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeq1i.1 $e |- A = B $.
    $( Inference from equality to equivalence of equalities. $)
    eqeq1i $p |- ( A = C <-> B = C ) $=
      ( wceq wb eqeq1 ax-mp ) ABEACEBCEFDABCGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction from equality to equivalence of equalities. $)
    eqeq1d $p |- ( ph -> ( A = C <-> B = C ) ) $=
      ( wceq wb eqeq1 syl ) ABCFBDFCDFGEBCDHI $.
      $( [27-Dec-1993] $)
  $}

  $( Equality implies equivalence of equalities. $)
  eqeq2 $p |- ( A = B -> ( C = A <-> C = B ) ) $=
    ( wceq eqeq1 eqcom 3bitr4g ) ABDACDBCDCADCBDABCECAFCBFG $.
    $( [5-Aug-1993] $)

  ${
    eqeq2i.1 $e |- A = B $.
    $( Inference from equality to equivalence of equalities. $)
    eqeq2i $p |- ( C = A <-> C = B ) $=
      ( wceq wb eqeq2 ax-mp ) ABECAECBEFDABCGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeq2d.1 $e |- ( ph -> A = B ) $.
    $( Deduction from equality to equivalence of equalities. $)
    eqeq2d $p |- ( ph -> ( C = A <-> C = B ) ) $=
      ( wceq wb eqeq2 syl ) ABCFDBFDCFGEBCDHI $.
      $( [27-Dec-1993] $)
  $}

  $( Equality relationship among 4 classes. $)
  eqeq12 $p |- ( ( A = B /\ C = D ) -> ( A = C <-> B = D ) ) $=
    ( wceq eqeq1 eqeq2 sylan9bb ) ABEACEBCECDEBDEABCFCDBGH $.
    $( [3-Aug-1994] $)

  ${
    eqeq12i.1 $e |- A = B $.
    eqeq12i.2 $e |- C = D $.
    $( A useful inference for substituting definitions into an equality. $)
    eqeq12i $p |- ( A = C <-> B = D ) $=
      ( wceq eqeq1i eqeq2i bitr ) ACGBCGBDGABCEHCDBFIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeq12d.1 $e |- ( ph -> A = B ) $.
    eqeq12d.2 $e |- ( ph -> C = D ) $.
    $( A useful inference for substituting definitions into an equality. $)
    eqeq12d $p |- ( ph -> ( A = C <-> B = D ) ) $=
      ( wceq eqeq1d eqeq2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeqan12d.1 $e |- ( ph -> A = B ) $.
    eqeqan12d.2 $e |- ( ps -> C = D ) $.
    $( A useful inference for substituting definitions into an equality. $)
    eqeqan12d $p |- ( ( ph /\ ps ) -> ( A = C <-> B = D ) ) $=
      ( wa wceq adantr adantl eqeq12d ) ABICDEFACDJBGKBEFJAHLM $.
      $( [9-Aug-1994] $)
  $}

  ${
    eqeqan12rd.1 $e |- ( ph -> A = B ) $.
    eqeqan12rd.2 $e |- ( ps -> C = D ) $.
    $( A useful inference for substituting definitions into an equality. $)
    eqeqan12rd $p |- ( ( ps /\ ph ) -> ( A = C <-> B = D ) ) $=
      ( wceq wb eqeqan12d ancoms ) ABCEIDFIJABCDEFGHKL $.
      $( [9-Aug-1994] $)
  $}

  $( Transitive law for class equality.  Proposition 4.7(3) of [TakeutiZaring]
     p. 13. $)
  eqtrt $p |- ( ( A = B /\ B = C ) -> A = C ) $=
    ( wceq eqeq1 biimpar ) ABDACDBCDABCEF $.
    $( [25-Jan-2004] $) $( [25-Jan-2004] $)

  $( A transitive law for class equality. $)
  eqtr2t $p |- ( ( A = B /\ A = C ) -> B = C ) $=
    ( wceq eqtrt eqcom sylanb ) BADACDBCDABDBACEABFG $.
    $( [21-May-2005] $) $( [20-May-2005] $)

  $( A transitive law for class equality. $)
  eqtr3t $p |- ( ( A = C /\ B = C ) -> A = B ) $=
    ( wceq eqtrt eqcom sylan2b ) ACDCBDABDBCDACBEBCFG $.
    $( [21-May-2005] $) $( [20-May-2005] $)

  ${
    eqtr.1 $e |- A = B $.
    eqtr.2 $e |- B = C $.
    $( An equality transitivity inference. $)
    eqtr $p |- A = C $=
      ( wceq eqeq2i mpbi ) ABFACFDBCAEGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqtr2.1 $e |- A = B $.
    eqtr2.2 $e |- B = C $.
    $( An equality transitivity inference. $)
    eqtr2 $p |- C = A $=
      ( eqtr eqcomi ) ACABCDEFG $.
      $( [21-Feb-1995] $)
  $}

  ${
    eqtr3.1 $e |- A = B $.
    eqtr3.2 $e |- A = C $.
    $( An equality transitivity inference. $)
    eqtr3 $p |- B = C $=
      ( eqcomi eqtr ) BACABDFEG $.
      $( [6-May-1994] $)
  $}

  ${
    eqtr4.1 $e |- A = B $.
    eqtr4.2 $e |- C = B $.
    $( An equality transitivity inference. $)
    eqtr4 $p |- A = C $=
      ( eqcomi eqtr ) ABCDCBEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    3eqtr.1 $e |- A = B $.
    3eqtr.2 $e |- B = C $.
    3eqtr.3 $e |- C = D $.
    $( An inference from three chained equalities. $)
    3eqtr $p |- A = D $=
      ( eqtr ) ABDEBCDFGHH $.
      $( [29-Aug-1993] $)

    $( An inference from three chained equalities. $)
    3eqtrr $p |- D = A $=
      ( eqtr2 eqtr3 ) CDAGABCEFHI $.
      $( [4-Aug-2006] $) $( [3-Aug-2006] $)
  $}

  ${
    3eqtr2.1 $e |- A = B $.
    3eqtr2.2 $e |- C = B $.
    3eqtr2.3 $e |- C = D $.
    $( An inference from three chained equalities. $)
    3eqtr2 $p |- A = D $=
      ( eqtr4 eqtr ) ACDABCEFHGI $.
      $( [4-Aug-2006] $) $( [3-Aug-2006] $)

    $( An inference from three chained equalities. $)
    3eqtr2r $p |- D = A $=
      ( eqcomi 3eqtrr ) ABCDECBFHGI $.
      $( [4-Aug-2006] $) $( [3-Aug-2006] $)
  $}

  ${
    3eqtr3.1 $e |- A = B $.
    3eqtr3.2 $e |- A = C $.
    3eqtr3.3 $e |- B = D $.
    $( An inference from three chained equalities. $)
    3eqtr3 $p |- C = D $=
      ( eqtr eqtr3 ) ACDFABDEGHI $.
      $( [6-May-1994] $)

    $( An inference from three chained equalities. $)
    3eqtr3r $p |- D = C $=
      ( eqtr3 ) BDCGABCEFHH $.
      $( [16-Aug-2004] $) $( [15-Aug-2004] $)
  $}

  ${
    3eqtr4.1 $e |- A = B $.
    3eqtr4.2 $e |- C = A $.
    3eqtr4.3 $e |- D = B $.
    $( An inference from three chained equalities. $)
    3eqtr4 $p |- C = D $=
      ( eqtr4 eqtr ) CADFABDEGHI $.
      $( [5-Aug-1993] $)

    $( An inference from three chained equalities. $)
    3eqtr4r $p |- D = C $=
      ( eqtr4 eqtr2 ) CADFABDEGHI $.
      $( [2-Sep-1995] $)
  $}

  ${
    eqtrd.1 $e |- ( ph -> A = B ) $.
    eqtrd.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction. $)
    eqtrd $p |- ( ph -> A = C ) $=
      ( wceq eqeq2d mpbid ) ABCGBDGEACDBFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqtr2d.1 $e |- ( ph -> A = B ) $.
    eqtr2d.2 $e |- ( ph -> B = C ) $.
    $( An equality transitivity deduction. $)
    eqtr2d $p |- ( ph -> C = A ) $=
      ( eqtrd eqcomd ) ABDABCDEFGH $.
      $( [18-Oct-1999] $)
  $}

  ${
    eqtr3d.1 $e |- ( ph -> A = B ) $.
    eqtr3d.2 $e |- ( ph -> A = C ) $.
    $( An equality transitivity equality deduction. $)
    eqtr3d $p |- ( ph -> B = C ) $=
      ( eqcomd eqtrd ) ACBDABCEGFH $.
      $( [18-Jul-1995] $)
  $}

  ${
    eqtr4d.1 $e |- ( ph -> A = B ) $.
    eqtr4d.2 $e |- ( ph -> C = B ) $.
    $( An equality transitivity equality deduction. $)
    eqtr4d $p |- ( ph -> A = C ) $=
      ( eqcomd eqtrd ) ABCDEADCFGH $.
      $( [18-Jul-1995] $)
  $}

  ${
    3eqtrd.1 $e |- ( ph -> A = B ) $.
    3eqtrd.2 $e |- ( ph -> B = C ) $.
    3eqtrd.3 $e |- ( ph -> C = D ) $.
    $( A deduction from three chained equalities. $)
    3eqtrd $p |- ( ph -> A = D ) $=
      ( eqtrd ) ABCEFACDEGHII $.
      $( [29-Oct-1995] $)

    $( A deduction from three chained equalities. $)
    3eqtrrd $p |- ( ph -> D = A ) $=
      ( eqtr2d eqtr3d ) ADEBHABCDFGIJ $.
      $( [8-Aug-2006] $) $( [4-Aug-2006] $)
  $}

  ${
    3eqtr2d.1 $e |- ( ph -> A = B ) $.
    3eqtr2d.2 $e |- ( ph -> C = B ) $.
    3eqtr2d.3 $e |- ( ph -> C = D ) $.
    $( A deduction from three chained equalities. $)
    3eqtr2d $p |- ( ph -> A = D ) $=
      ( eqtr4d eqtrd ) ABDEABCDFGIHJ $.
      $( [8-Aug-2006] $) $( [4-Aug-2006] $)

    $( A deduction from three chained equalities. $)
    3eqtr2rd $p |- ( ph -> D = A ) $=
      ( eqtr4d eqtr2d ) ABDEABCDFGIHJ $.
      $( [8-Aug-2006] $) $( [4-Aug-2006] $)
  $}

  ${
    3eqtr3d.1 $e |- ( ph -> A = B ) $.
    3eqtr3d.2 $e |- ( ph -> A = C ) $.
    3eqtr3d.3 $e |- ( ph -> B = D ) $.
    $( A deduction from three chained equalities. $)
    3eqtr3d $p |- ( ph -> C = D ) $=
      ( eqtrd eqtr3d ) ABDEGABCEFHIJ $.
      $( [4-Aug-1995] $)

    $( A deduction from three chained equalities. $)
    3eqtr3rd $p |- ( ph -> D = C ) $=
      ( eqtr3d ) ACEDHABCDFGII $.
      $( [15-Jan-2006] $) $( [14-Jan-2006] $)
  $}

  ${
    3eqtr4d.1 $e |- ( ph -> A = B ) $.
    3eqtr4d.2 $e |- ( ph -> C = A ) $.
    3eqtr4d.3 $e |- ( ph -> D = B ) $.
    $( A deduction from three chained equalities. $)
    3eqtr4d $p |- ( ph -> C = D ) $=
      ( eqtr4d eqtrd ) ADBEGABCEFHIJ $.
      $( [4-Aug-1995] $)

    $( A deduction from three chained equalities. $)
    3eqtr4rd $p |- ( ph -> D = C ) $=
      ( eqtr4d ) AEBDAECBHFIGI $.
      $( [21-Sep-1995] $)
  $}

  ${
    syl5eq.1 $e |- ( ph -> A = B ) $.
    syl5eq.2 $e |- C = A $.
    $( An equality transitivity deduction. $)
    syl5eq $p |- ( ph -> C = B ) $=
      ( wceq a1i eqtrd ) ADBCDBGAFHEI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5req.1 $e |- ( ph -> A = B ) $.
    syl5req.2 $e |- C = A $.
    $( An equality transitivity deduction. $)
    syl5req $p |- ( ph -> B = C ) $=
      ( syl5eq eqcomd ) ADCABCDEFGH $.
      $( [29-Mar-1998] $)
  $}

  ${
    syl5eqr.1 $e |- ( ph -> A = B ) $.
    syl5eqr.2 $e |- A = C $.
    $( An equality transitivity deduction. $)
    syl5eqr $p |- ( ph -> C = B ) $=
      ( eqcomi syl5eq ) ABCDEBDFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl5reqr.1 $e |- ( ph -> A = B ) $.
    syl5reqr.2 $e |- A = C $.
    $( An equality transitivity deduction. $)
    syl5reqr $p |- ( ph -> B = C ) $=
      ( eqcomi syl5req ) ABCDEBDFGH $.
      $( [29-Mar-1998] $)
  $}

  ${
    syl6eq.1 $e |- ( ph -> A = B ) $.
    syl6eq.2 $e |- B = C $.
    $( An equality transitivity deduction. $)
    syl6eq $p |- ( ph -> A = C ) $=
      ( wceq a1i eqtrd ) ABCDECDGAFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6req.1 $e |- ( ph -> A = B ) $.
    syl6req.2 $e |- B = C $.
    $( An equality transitivity deduction. $)
    syl6req $p |- ( ph -> C = A ) $=
      ( syl6eq eqcomd ) ABDABCDEFGH $.
      $( [29-Mar-1998] $)
  $}

  ${
    syl6eqr.1 $e |- ( ph -> A = B ) $.
    syl6eqr.2 $e |- C = B $.
    $( An equality transitivity deduction. $)
    syl6eqr $p |- ( ph -> A = C ) $=
      ( eqcomi syl6eq ) ABCDEDCFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    syl6reqr.1 $e |- ( ph -> A = B ) $.
    syl6reqr.2 $e |- C = B $.
    $( An equality transitivity deduction. $)
    syl6reqr $p |- ( ph -> C = A ) $=
      ( eqcomi syl6req ) ABCDEDCFGH $.
      $( [29-Mar-1998] $)
  $}

  ${
    sylan9eq.1 $e |- ( ph -> A = B ) $.
    sylan9eq.2 $e |- ( ps -> B = C ) $.
    $( An equality transitivity deduction. $)
    sylan9eq $p |- ( ( ph /\ ps ) -> A = C ) $=
      ( wa wceq adantr adantl eqtrd ) ABHCDEACDIBFJBDEIAGKL $.
      $( [8-May-1994] $)
  $}

  ${
    sylan9req.1 $e |- ( ph -> B = A ) $.
    sylan9req.2 $e |- ( ps -> B = C ) $.
    $( An equality transitivity deduction. $)
    sylan9req $p |- ( ( ph /\ ps ) -> A = C ) $=
      ( eqcomd sylan9eq ) ABCDEADCFHGI $.
      $( [29-Jun-2007] $) $( [23-Jun-2007] $)
  $}

  ${
    sylan9eqr.1 $e |- ( ph -> A = B ) $.
    sylan9eqr.2 $e |- ( ps -> B = C ) $.
    $( An equality transitivity deduction. $)
    sylan9eqr $p |- ( ( ps /\ ph ) -> A = C ) $=
      ( wceq sylan9eq ancoms ) ABCEHABCDEFGIJ $.
      $( [8-May-1994] $)
  $}

  ${
    3eqtr3g.1 $e |- ( ph -> A = B ) $.
    3eqtr3g.2 $e |- A = C $.
    3eqtr3g.3 $e |- B = D $.
    $( A chained equality inference, useful for converting from definitions. $)
    3eqtr3g $p |- ( ph -> C = D ) $=
      ( syl5eqr syl6eq ) ADCEABCDFGIHJ $.
      $( [15-Nov-1994] $)
  $}

  ${
    3eqtr4g.1 $e |- ( ph -> A = B ) $.
    3eqtr4g.2 $e |- C = A $.
    3eqtr4g.3 $e |- D = B $.
    $( A chained equality inference, useful for converting to definitions. $)
    3eqtr4g $p |- ( ph -> C = D ) $=
      ( syl5eq syl6eqr ) ADCEABCDFGIHJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    3eqtr4a.1 $e |- A = B $.
    3eqtr4a.2 $e |- ( ph -> C = A ) $.
    3eqtr4a.3 $e |- ( ph -> D = B ) $.
    $( A chained equality inference, useful for converting to definitions. $)
    3eqtr4a $p |- ( ph -> C = D ) $=
      ( wceq a1i 3eqtr4d ) ABCDEBCIAFJGHK $.
      $( [2-Feb-2007] $) $( [2-Feb-2007] $)
  $}

  ${
    $v F $.
    $v G $.
    eq2tr.F $f class F $.
    eq2tr.G $f class G $.
    eq2tr.1 $e |- ( A = C -> D = F ) $.
    eq2tr.2 $e |- ( B = D -> C = G ) $.
    $( A compound transitive inference for class equality. $)
    eq2tr $p |- ( ( A = C /\ B = F ) <-> ( B = D /\ A = G ) ) $=
      ( wceq wa ancom eqeq2d pm5.32i 3bitr3 ) ACIZBDIZJPOJOBEIZJPAFIZJOPKOPQODE
      BGLMPORPCFAHLMN $.
      $( [26-Jan-2004] $) $( [22-Jan-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality implies equivalence of membership. $)
    eleq1 $p |- ( A = B -> ( A e. C <-> B e. C ) ) $=
      ( vx wceq cv wcel wa wex eqeq2 anbi1d exbidv df-clel 3bitr4g ) ABEZDFZAEZ
      PCGZHZDIPBEZRHZDIACGBCGOSUADOQTRABPJKLDACMDBCMN $.
      $( [5-Aug-1993] $)

    $( Equality implies equivalence of membership. $)
    eleq2 $p |- ( A = B -> ( C e. A <-> C e. B ) ) $=
      ( vx wceq cv wcel wa wex wb wal dfcleq biimp 19.21bi anbi2d exbidv
      df-clel 3bitr4g ) ABEZDFZCEZTAGZHZDIUATBGZHZDICAGCBGSUCUEDSUBUDUASUBUDJZD
      SUFDKDABLMNOPDCAQDCBQR $.
      $( [5-Aug-1993] $)
  $}

  $( Equality implies equivalence of membership. $)
  eleq12 $p |- ( ( A = B /\ C = D ) -> ( A e. C <-> B e. D ) ) $=
    ( wceq wcel eleq1 eleq2 sylan9bb ) ABEACFBCFCDEBDFABCGCDBHI $.
    $( [31-May-1999] $)

  ${
    eleq1i.1 $e |- A = B $.
    $( Inference from equality to equivalence of membership. $)
    eleq1i $p |- ( A e. C <-> B e. C ) $=
      ( wceq wcel wb eleq1 ax-mp ) ABEACFBCFGDABCHI $.
      $( [5-Aug-1993] $)

    $( Inference from equality to equivalence of membership. $)
    eleq2i $p |- ( C e. A <-> C e. B ) $=
      ( wceq wcel wb eleq2 ax-mp ) ABECAFCBFGDABCHI $.
      $( [5-Aug-1993] $)

    ${
      eleq12i.2 $e |- C = D $.
      $( Inference from equality to equivalence of membership. $)
      eleq12i $p |- ( A e. C <-> B e. D ) $=
        ( wcel eleq2i eleq1i bitr ) ACGADGBDGCDAFHABDEIJ $.
        $( [31-May-1994] $)
    $}
  $}

  ${
    eleq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction from equality to equivalence of membership. $)
    eleq1d $p |- ( ph -> ( A e. C <-> B e. C ) ) $=
      ( wceq wcel wb eleq1 syl ) ABCFBDGCDGHEBCDIJ $.
      $( [5-Aug-1993] $)

    $( Deduction from equality to equivalence of membership. $)
    eleq2d $p |- ( ph -> ( C e. A <-> C e. B ) ) $=
      ( wceq wcel wb eleq2 syl ) ABCFDBGDCGHEBCDIJ $.
      $( [27-Dec-1993] $)

    ${
      eleq12d.2 $e |- ( ph -> C = D ) $.
      $( Deduction from equality to equivalence of membership. $)
      eleq12d $p |- ( ph -> ( A e. C <-> B e. D ) ) $=
        ( wcel eleq2d eleq1d bitrd ) ABDHBEHCEHADEBGIABCEFJK $.
        $( [31-May-1994] $)
    $}
  $}

  $( A transitive-type law relating membership and equality. $)
  eleq1a $p |- ( A e. B -> ( C = A -> C e. B ) ) $=
    ( wceq wcel eleq1 biimprcd ) CADCBEABECABFG $.
    $( [9-Apr-1994] $)

  ${
    eqeltr.1 $e |- A = B $.
    eqeltr.2 $e |- B e. C $.
    $( Substitution of equal classes into membership relation. $)
    eqeltr $p |- A e. C $=
      ( wcel eleq1i mpbir ) ACFBCFEABCDGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeltrr.1 $e |- A = B $.
    eqeltrr.2 $e |- A e. C $.
    $( Substitution of equal classes into membership relation. $)
    eqeltrr $p |- B e. C $=
      ( eqcomi eqeltr ) BACABDFEG $.
      $( [5-Aug-1993] $)
  $}

  ${
    eleqtr.1 $e |- A e. B $.
    eleqtr.2 $e |- B = C $.
    $( Substitution of equal classes into membership relation. $)
    eleqtr $p |- A e. C $=
      ( wcel eleq2i mpbi ) ABFACFDBCAEGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eleqtrr.1 $e |- A e. B $.
    eleqtrr.2 $e |- C = B $.
    $( Substitution of equal classes into membership relation. $)
    eleqtrr $p |- A e. C $=
      ( eqcomi eleqtr ) ABCDCBEFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqeltrd.1 $e |- ( ph -> A = B ) $.
    eqeltrd.2 $e |- ( ph -> B e. C ) $.
    $( Substitution of equal classes into membership relation, deduction form.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    eqeltrd $p |- ( ph -> A e. C ) $=
      ( wcel eleq1d mpbird ) ABDGCDGFABCDEHI $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)
  $}

  ${
    eqeltrrd.1 $e |- ( ph -> A = B ) $.
    eqeltrrd.2 $e |- ( ph -> A e. C ) $.
    $( Deduction that substitutes equal classes into membership. $)
    eqeltrrd $p |- ( ph -> B e. C ) $=
      ( eqcomd eqeltrd ) ACBDABCEGFH $.
      $( [15-Dec-2004] $) $( [14-Dec-2004] $)
  $}

  ${
    eleqtrd.1 $e |- ( ph -> A e. B ) $.
    eleqtrd.2 $e |- ( ph -> B = C ) $.
    $( Deduction that substitutes equal classes into membership. $)
    eleqtrd $p |- ( ph -> A e. C ) $=
      ( wcel eleq2d mpbid ) ABCGBDGEACDBFHI $.
      $( [15-Dec-2004] $) $( [14-Dec-2004] $)
  $}

  ${
    eleqtrrd.1 $e |- ( ph -> A e. B ) $.
    eleqtrrd.2 $e |- ( ph -> C = B ) $.
    $( Deduction that substitutes equal classes into membership. $)
    eleqtrrd $p |- ( ph -> A e. C ) $=
      ( eqcomd eleqtrd ) ABCDEADCFGH $.
      $( [15-Dec-2004] $) $( [14-Dec-2004] $)
  $}

  ${
    syl5eqel.1 $e |- ( ph -> A e. B ) $.
    syl5eqel.2 $e |- C = A $.
    $( A membership and equality inference. $)
    syl5eqel $p |- ( ph -> C e. B ) $=
      ( wceq a1i eqeltrd ) ADBCDBGAFHEI $.
      $( [6-Jan-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    syl5eqelr.1 $e |- ( ph -> A e. B ) $.
    syl5eqelr.2 $e |- A = C $.
    $( A membership and equality inference. $)
    syl5eqelr $p |- ( ph -> C e. B ) $=
      ( eqcomi syl5eqel ) ABCDEBDFGH $.
      $( [6-Jan-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    syl5eleq.1 $e |- ( ph -> A = B ) $.
    syl5eleq.2 $e |- C e. A $.
    $( A membership and equality inference. $)
    syl5eleq $p |- ( ph -> C e. B ) $=
      ( wcel a1i eleqtrd ) ADBCDBGAFHEI $.
      $( [6-Jan-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    syl5eleqr.1 $e |- ( ph -> B = A ) $.
    syl5eleqr.2 $e |- C e. A $.
    $( A membership and equality inference. $)
    syl5eleqr $p |- ( ph -> C e. B ) $=
      ( eqcomd syl5eleq ) ABCDACBEGFH $.
      $( [6-Jan-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    syl6eqel.1 $e |- ( ph -> A = B ) $.
    syl6eqel.2 $e |- B e. C $.
    $( A membership and equality inference. $)
    syl6eqel $p |- ( ph -> A e. C ) $=
      ( wcel a1i eqeltrd ) ABCDECDGAFHI $.
      $( [6-Jan-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    syl6eqelr.1 $e |- ( ph -> B = A ) $.
    syl6eqelr.2 $e |- B e. C $.
    $( A membership and equality inference. $)
    syl6eqelr $p |- ( ph -> A e. C ) $=
      ( eqcomd syl6eqel ) ABCDACBEGFH $.
      $( [6-Jan-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    syl6eleq.1 $e |- ( ph -> A e. B ) $.
    syl6eleq.2 $e |- B = C $.
    $( A membership and equality inference. $)
    syl6eleq $p |- ( ph -> A e. C ) $=
      ( wceq a1i eleqtrd ) ABCDECDGAFHI $.
      $( [6-Jan-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    syl6eleqr.1 $e |- ( ph -> A e. B ) $.
    syl6eleqr.2 $e |- C = B $.
    $( A membership and equality inference. $)
    syl6eleqr $p |- ( ph -> A e. C ) $=
      ( eqcomi syl6eleq ) ABCDEDCFGH $.
      $( [26-Apr-2005] $) $( [24-Apr-2005] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    cleqf.1 $e |- ( y e. A -> A. x y e. A ) $.
    cleqf.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Establish equality between classes, using bound-variable hypotheses
       instead of distinct variable conditions. $)
    cleqf $p |- ( A = B <-> A. x ( x e. A <-> x e. B ) ) $=
      ( wceq cv wcel wb wal dfcleq ax-17 hbbi eleq1 bibi12d cbval bitr4 ) CDGBH
      ZCIZSDIZJZBKAHZCIZUCDIZJZAKBCDLUFUBABUFBMTUAAEFNUCSGUDTUEUAUCSCOUCSDOPQR
      $.
      $( [5-Aug-1993] $)
  $}

  $( A way of showing two classes are not equal. $)
  nelneq $p |- ( ( A e. C /\ -. B e. C ) -> -. A = B ) $=
    ( wcel wn wceq eleq1 biimpcd con3d imp ) ACDZBCDZEABFZEKMLMKLABCGHIJ $.
    $( [1-Apr-1997] $)

  $( A way of showing two classes are not equal. $)
  nelneq2 $p |- ( ( A e. B /\ -. A e. C ) -> -. B = C ) $=
    ( wcel wn wceq eleq2 biimpcd con3d imp ) ABDZACDZEBCFZEKMLMKLBCAGHIJ $.
    $( [12-Jan-2002] $)

  ${
    hbxfr.1 $e |- A = B $.
    hbxfr.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( A utility lemma to transfer a bound-variable hypothesis builder into
       a definition. $)
    hbxfr $p |- ( y e. A -> A. x y e. A ) $=
      ( cv wcel wal eleq2i albii 3imtr4 ) BGZDHZNAIMCHZOAIFCDMEJZONAPKL $.
      $( [22-Aug-2007] $) $( [21-Aug-2007] $)
  $}

  ${
    $d y A $.  $d x y z $.
    hblem.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Lemma for ~ hbeq and ~ hbel . $)
    hblem $p |- ( z e. A -> A. x z e. A ) $=
      ( cv wcel wal wi wceq eleq1 albidv imbi12d chvarv ) BFZDGZPAHZICFZDGZSAHZ
      IBCORJZPSQTORDKZUAPSAUBLMEN $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d y A w $.  $d z B w $.  $d x y w $.  $d x z w $.
    hbeq.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbeq.2 $e |- ( z e. B -> A. x z e. B ) $.
    $( If ` x ` is effectively bound in ` A ` and ` B ` , it is effectively
       bound in ` A = B ` . $)
    hbeq $p |- ( A = B -> A. x A = B ) $=
      ( vw cv wcel wb wal wceq hblem hbbi hbal dfcleq albii 3imtr4 ) HIZDJZTEJZ
      KZHLZUDALDEMZUEALUCAHUAUBAABHDFNACHEGNOPHDEQZUEUDAUFRS $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d y A w $.  $d z B w $.  $d x y w $.  $d x z w $.
    hbel.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbel.2 $e |- ( z e. B -> A. x z e. B ) $.
    $( If ` x ` is effectively bound in ` A ` and ` B ` , it is effectively
       bound in ` A e. B ` . $)
    hbel $p |- ( A e. B -> A. x A e. B ) $=
      ( vw cv wceq wcel wa wex wal ax-17 hbeq hblem hban hbex df-clel albii
      3imtr4 ) HIZDJZUCEKZLZHMZUGANDEKZUHANUFAHUDUEAABBUCDBIUCKAOFPACHEGQRSHDET
      ZUHUGAUIUAUB $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y z $.  $d y z A $.
    hbeleq.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( If ` x ` is effectively bound in ` y e. A ` , then it is effectively
       bound in ` y = A ` . $)
    hbeleq $p |- ( y = A -> A. x y = A ) $=
      ( vz cv wcel ax-17 hbel hbeq ) AEEBFZCEFZKGAHABBLCKLGAHDIJ $.
      $( [25-Feb-2004] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Equality of a class variable and a class abstraction (also called a
       class builder).  Theorem 5.1 of [Quine] p. 34.  This theorem shows the
       relationship between expressions with class abstractions and expressions
       with class variables.  Note that ~ eq2ab and its relatives are among
       those useful for converting theorems with class variables to equivalent
       theorems with wff variables, by first substituting a class abstraction
       for each class variable.

       Class variables can always be eliminated from a theorem to result in an
       equivalent theorem with wff variables, and vice-versa.  The idea is
       roughly as follows.  To convert a theorem with a wff variable ` ph `
       (that has a free variable ` x ` ) to a theorem with a class variable
       ` A ` , we substitute ` x e. A ` for ` ph ` throughout and simplify,
       where ` A ` is a new class variable not already in the wff.  An
       example is the conversion of ~ zfauscl to ~ inex1 (look at the instance
       of ~ zfauscl that occurs in the proof of ~ inex1 ).  Conversely, to
       convert a theorem with a class variable ` A ` to one with ` ph ` , we
       substitute ` { x | ph } ` for ` A ` throughout and simplify, where ` x `
       and ` ph ` are new set and wff variables not already in the wff.  An
       example is ~ cp , which derives a formula containing wff variables from
       substitution instances of the class variables in its equivalent
       formulation ~ cplem2 . $)
    abeq2 $p |- ( A = { x | ph } <-> A. x ( x e. A <-> ph ) ) $=
      ( vy cab wceq cv wcel wb wal ax-17 hbab1 cleqf abid bibi2i albii bitr )
      CABEZFBGZCHZSRHZIZBJTAIZBJBDCRDGCHBKABDLMUBUCBUAATABNOPQ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Equality of a class variable and a class abstraction. $)
    abeq1 $p |- ( { x | ph } = A <-> A. x ( ph <-> x e. A ) ) $=
      ( cab wceq cv wcel wb wal abeq2 eqcom bicom albii 3bitr4 ) CABDZEBFCGZAHZ
      BIOCEAPHZBIABCJOCKRQBAPLMN $.
      $( [20-Aug-1993] $)
  $}

  ${
    abeqi.1 $e |- A = { x | ph } $.
    $( Equality of a class variable and a class abstraction (inference
       rule). $)
    abeq2i $p |- ( x e. A <-> ph ) $=
      ( cv wcel cab eleq2i abid bitr ) BEZCFKABGZFACLKDHABIJ $.
      $( [3-Apr-1996] $)
  $}

  ${
    abeqri.1 $e |- { x | ph } = A $.
    $( Equality of a class variable and a class abstraction (inference
       rule). $)
    abeq1i $p |- ( ph <-> x e. A ) $=
      ( cv cab wcel abid eleq2i bitr3 ) ABEZABFZGKCGABHLCKDIJ $.
      $( [31-Jul-1994] $)
  $}

  ${
    abeqd.1 $e |- ( ph -> A = { x | ps } ) $.
    $( Equality of a class variable and a class abstraction (deduction). $)
    abeq2d $p |- ( ph -> ( x e. A <-> ps ) ) $=
      ( cv wcel cab eleq2d abid syl6bb ) ACFZDGLBCHZGBADMLEIBCJK $.
      $( [16-Nov-1995] $)
  $}

  ${
    $d ph y $.  $d ps y $.  $d x y $.
    $( Equality of two class abstractions means their wff's are equivalent. $)
    eq2ab $p |- ( { x | ph } = { x | ps } <-> A. x ( ph <-> ps ) ) $=
      ( vy cab wceq cv wcel wb wal hbab1 cleqf abid bibi12i albii bitr ) ACEZBC
      EZFCGZQHZSRHZIZCJABIZCJCDQRACDKBCDKLUBUCCTAUABACMBCMNOP $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.
    abbiri.1 $e |- ( x e. A <-> ph ) $.
    $( Equality of a class variable and a class abstraction (inference
       rule). $)
    abbi2i $p |- A = { x | ph } $=
      ( cab wceq cv wcel wb abeq2 mpgbir ) CABEFBGCHAIBABCJDK $.
      $( [5-Aug-1993] $)
  $}

  ${
    abbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's yield equal class abstractions (inference rule). $)
    abbii $p |- { x | ph } = { x | ps } $=
      ( cab wceq wb eq2ab mpgbir ) ACEBCEFABGCABCHDI $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d ph y $.  $d ps y $.  $d ch y $.  $( ` y ` is a dummy var. $)
    abbid.1 $e |- ( ph -> A. x ph ) $.
    abbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal class abstractions (deduction rule). $)
    abbid $p |- ( ph -> { x | ps } = { x | ch } ) $=
      ( wb wal cab wceq 19.21ai eq2ab sylibr ) ABCGZDHBDICDIJANDEFKBCDLM $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph $.
    abbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal class abstractions (deduction rule). $)
    abbidv $p |- ( ph -> { x | ps } = { x | ch } ) $=
      ( ax-17 abbid ) ABCDADFEG $.
      $( [10-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d ph x y $.  $d ps y $.  $( ` y ` is a dummy var. $)
    abbirdv.1 $e |- ( ph -> ( x e. A <-> ps ) ) $.
    $( Deduction from a wff to a class abstraction. $)
    abbi2dv $p |- ( ph -> A = { x | ps } ) $=
      ( cv wcel wb wal cab wceq 19.21aiv abeq2 sylibr ) ACFDGBHZCIDBCJKAOCELBCD
      MN $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d x y A $.  $d ph x y $.  $d ps y $.  $( ` y ` is a dummy var. $)
    abbildv.1 $e |- ( ph -> ( ps <-> x e. A ) ) $.
    $( Deduction from a wff to a class abstraction. $)
    abbi1dv $p |- ( ph -> { x | ps } = A ) $=
      ( cv wcel wb wal cab wceq 19.21aiv abeq1 sylibr ) ABCFDGHZCIBCJDKAOCELBCD
      MN $.
      $( [9-Jul-1994] $)
  $}

  ${
    $d x A $.
    $( A simplification of class abstraction.  Theorem 5.2 of [Quine] p. 35. $)
    abid2 $p |- { x | x e. A } = A $=
      ( cv wcel cab pm4.2 abbi2i eqcomi ) BACBDZAEIABIFGH $.
      $( [26-Dec-1993] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Membership of a class variable in a class abstraction. $)
    clelab $p |- ( A e. { x | ph } <-> E. x ( x = A /\ ph ) ) $=
      ( vy cv wceq cab wcel wa wex wsbc df-clab anbi2i exbii df-clel ax-17
      hbs1 hban eqeq1 sbequ12 anbi12d cbvex 3bitr4 ) DEZCFZUDABGZHZIZDJUEABUDKZ
      IZDJCUFHBEZCFZAIZBJUHUJDUGUIUEADBLMNDCUFOUMUJBDUMDPUEUIBUEBPABDQRUKUDFULU
      EAUIUKUDCSABDTUAUBUC $.
      $( [23-Dec-1993] $)
  $}

  ${
    $d y A $.  $d y ph $.  $d x y $.
    $( Membership of a class abstraction in another class $)
    clabel $p |- ( { x | ph } e. A <->
                 E. y ( y e. A /\ A. x ( x e. y <-> ph ) ) ) $=
      ( cab wcel cv wceq wa wex wb wal df-clel abeq2 anbi1i ancom bitr exbii )
      ABEZDFCGZSHZTDFZIZCJUBBGTFAKBLZIZCJCSDMUCUECUCUDUBIUEUAUDUBABTNOUDUBPQRQ
      $.
      $( [18-Jan-2006] $) $( [17-Jan-2006] $)
  $}

  ${
    $d z A $.  $d z x $.  $d z y $.
    $( The right-hand side of the second equality is a way of representing
       proper substitution of ` y ` for ` x ` into a class variable. $)
    sbab $p |- ( x = y -> A = { z | [ y / x ] z e. A } ) $=
      ( cv wceq wcel wsbc sbequ12 abbi2dv ) AEBEZFCEDGZAKHCDLABIJ $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d w v A $.  $d x w $.  $d x z v u $.  $d y z v u $.  $d v ph $.
    sbabel.1 $e |- ( w e. A -> A. x w e. A ) $.
    $( Theorem to move a substitution in and out of a class abstraction. $)
    sbabel $p |- ( [ y / x ] { z | ph } e. A <-> { z | [ y / x ] ph } e. A ) $=
      ( vv cv cab wceq wcel wa wex wsbc sbex sban wb wal sbal ax-17 sbf sbrbis
      albii bitr abeq2 sbbii 3bitr4 hbel anbi12i exbii df-clel ) HIZADJZKZUMFLZ
      MZHNZBCIZOZUMABUSOZDJZKZUPMZHNZUNFLZBUSOVBFLUTUQBUSOZHNVEUQHBCPVGVDHVGUOB
      USOZUPBUSOZMVDUOUPBCQVHVCVIUPDIUMLZARZDSZBUSOZVJVARZDSZVHVCVMVKBUSOZDSVOV
      KDBCTVPVNDVJVJABCVJBCVJBUAUBUCUDUEUOVLBCADUMUFUGVADUMUFUHUPBCBEEUMFEIUMLB
      UAGUIUBUJUEUKUEVFURBCHUNFULUGHVBFULUH $.
      $( [27-Sep-2003] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Negated equality and membership
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new connectives. $)
  $c =/= $. $( Not equal to (equal sign with slash through it). $)
  $c e/ $. $( Not an element of (epsilon with slash through it). $)

  $( Extend wff notation to include inequality. $)
  wne $a wff A =/= B $.

  $( Extend wff notation to include negated membership. $)
  wnel $a wff A e/ B $.

  $( Define inequality. $)
  df-ne $a |- ( A =/= B <-> -. A = B ) $.

  $( Define negated membership. $)
  df-nel $a |- ( A e/ B <-> -. A e. B ) $.

  $( Negation of inequality. $)
  nne $p |- ( -. A =/= B <-> A = B ) $=
    ( wceq wne wn df-ne con2bii bicomi ) ABCZABDZEJIABFGH $.
    $( [20-Jun-2006] $) $( [9-Jun-2006] $)

  $( Equality theorem for inequality. $)
  neeq1 $p |- ( A = B -> ( A =/= C <-> B =/= C ) ) $=
    ( wceq wn wne eqeq1 negbid df-ne 3bitr4g ) ABDZACDZEBCDZEACFBCFKLMABCGHACIB
    CIJ $.
    $( [19-Nov-1994] $)

  $( Equality theorem for inequality. $)
  neeq2 $p |- ( A = B -> ( C =/= A <-> C =/= B ) ) $=
    ( wceq wn wne eqeq2 negbid df-ne 3bitr4g ) ABDZCADZECBDZECAFCBFKLMABCGHCAIC
    BIJ $.
    $( [19-Nov-1994] $)

  ${
    neeq1i.1 $e |- A = B $.
    $( Inference for inequality. $)
    neeq1i $p |- ( A =/= C <-> B =/= C ) $=
      ( wceq wne wb neeq1 ax-mp ) ABEACFBCFGDABCHI $.
      $( [3-May-2005] $) $( [29-Apr-2005] $)

    $( Inference for inequality. $)
    neeq2i $p |- ( C =/= A <-> C =/= B ) $=
      ( wceq wne wb neeq2 ax-mp ) ABECAFCBFGDABCHI $.
      $( [17-May-2005] $) $( [29-Apr-2005] $)
  $}

  ${
    neeq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction for inequality. $)
    neeq1d $p |- ( ph -> ( A =/= C <-> B =/= C ) ) $=
      ( wceq wne wb neeq1 syl ) ABCFBDGCDGHEBCDIJ $.
      $( [25-Oct-1999] $)

    $( Deduction for inequality. $)
    neeq2d $p |- ( ph -> ( C =/= A <-> C =/= B ) ) $=
      ( wceq wne wb neeq2 syl ) ABCFDBGDCGHEBCDIJ $.
      $( [25-Oct-1999] $)
  $}

  ${
    necon3abii.1 $e |- ( A = B <-> ph ) $.
    $( Deduction from equality to inequality. $)
    necon3abii $p |- ( A =/= B <-> -. ph ) $=
      ( wne wceq wn df-ne negbii bitr ) BCEBCFZGAGBCHKADIJ $.
      $( [11-Nov-2007] $) $( [9-Nov-2007] $)
  $}

  ${
    necon3bbii.1 $e |- ( ph <-> A = B ) $.
    $( Deduction from equality to inequality. $)
    necon3bbii $p |- ( -. ph <-> A =/= B ) $=
      ( wne wn wceq bicomi necon3abii ) BCEAFABCABCGDHIH $.
      $( [17-Apr-2007] $) $( [13-Apr-2007] $)
  $}

  ${
    necon3bii.1 $e |- ( A = B <-> C = D ) $.
    $( Inference from equality to inequality. $)
    necon3bii $p |- ( A =/= B <-> C =/= D ) $=
      ( wne wceq wn necon3abii df-ne bitr4 ) ABFCDGZHCDFLABEICDJK $.
      $( [25-Feb-2005] $) $( [23-Feb-2005] $)
  $}

  ${
    necon3abid.1 $e |- ( ph -> ( A = B <-> ps ) ) $.
    $( Deduction from equality to inequality. $)
    necon3abid $p |- ( ph -> ( A =/= B <-> -. ps ) ) $=
      ( wceq wn wne negbid df-ne syl5bb ) ACDFZGBGCDHALBEICDJK $.
      $( [24-Mar-2007] $) $( [21-Mar-2007] $)
  $}

  ${
    necon3bbid.1 $e |- ( ph -> ( ps <-> A = B ) ) $.
    $( Deduction from equality to inequality. $)
    necon3bbid $p |- ( ph -> ( -. ps <-> A =/= B ) ) $=
      ( wne wn wceq bicomd necon3abid ) ACDFBGABCDABCDHEIJI $.
      $( [4-Jun-2007] $) $( [2-Jun-2007] $)
  $}

  ${
    necon3bid.1 $e |- ( ph -> ( A = B <-> C = D ) ) $.
    $( Deduction from equality to inequality. $)
    necon3bid $p |- ( ph -> ( A =/= B <-> C =/= D ) ) $=
      ( wne wceq wn necon3abid df-ne syl6bbr ) ABCGDEHZIDEGAMBCFJDEKL $.
      $( [25-Feb-2005] $) $( [23-Feb-2005] $)
  $}

  ${
    necon3ad.1 $e |- ( ph -> ( ps -> A = B ) ) $.
    $( Contrapositive law deduction for inequality. $)
    necon3ad $p |- ( ph -> ( A =/= B -> -. ps ) ) $=
      ( wceq wn wne con3d df-ne syl5ib ) ACDFZGBGCDHABLEICDJK $.
      $( [2-Apr-2007] $) $( [2-Apr-2007] $)
  $}

  ${
    necon3bd.1 $e |- ( ph -> ( A = B -> ps ) ) $.
    $( Contrapositive law deduction for inequality. $)
    necon3bd $p |- ( ph -> ( -. ps -> A =/= B ) ) $=
      ( wn wceq wne con3d df-ne syl6ibr ) ABFCDGZFCDHALBEICDJK $.
      $( [3-Apr-2007] $) $( [2-Apr-2007] $)
  $}

  ${
    necon3d.1 $e |- ( ph -> ( A = B -> C = D ) ) $.
    $( Contrapositive law deduction for inequality. $)
    necon3d $p |- ( ph -> ( C =/= D -> A =/= B ) ) $=
      ( wne wceq wn necon3ad df-ne syl6ibr ) ADEGBCHZIBCGAMDEFJBCKL $.
      $( [23-Jun-2006] $) $( [10-Jun-2006] $)
  $}

  ${
    necon3i.1 $e |- ( A = B -> C = D ) $.
    $( Contrapositive inference for inequality. $)
    necon3i $p |- ( C =/= D -> A =/= B ) $=
      ( wceq wi wne id necon3d ax-mp ) ABFCDFGZCDHABHGELABCDLIJK $.
      $( [15-Oct-2006] $) $( [9-Aug-2006] $)
  $}

  ${
    necon3ai.1 $e |- ( ph -> A = B ) $.
    $( Contrapositive inference for inequality. $)
    necon3ai $p |- ( A =/= B -> -. ph ) $=
      ( wne wceq wn df-ne con3i sylbi ) BCEBCFZGAGBCHAKDIJ $.
      $( [23-May-2007] $) $( [23-May-2007] $)
  $}

  ${
    necon3bi.1 $e |- ( A = B -> ph ) $.
    $( Contrapositive inference for inequality. $)
    necon3bi $p |- ( -. ph -> A =/= B ) $=
      ( wn wceq wne con3i df-ne sylibr ) AEBCFZEBCGKADHBCIJ $.
      $( [5-Jun-2007] $) $( [1-Jun-2007] $)
  $}

  ${
    necon1ai.1 $e |- ( -. ph -> A = B ) $.
    $( Contrapositive inference for inequality. $)
    necon1ai $p |- ( A =/= B -> ph ) $=
      ( wne wceq wn df-ne con1i sylbi ) BCEBCFZGABCHAKDIJ $.
      $( [15-Feb-2007] $) $( [12-Feb-2007] $)
  $}

  ${
    necon1bi.1 $e |- ( A =/= B -> ph ) $.
    $( Contrapositive inference for inequality. $)
    necon1bi $p |- ( -. ph -> A = B ) $=
      ( wceq wn wne df-ne sylbir con1i ) BCEZAKFBCGABCHDIJ $.
      $( [23-Mar-2007] $) $( [18-Mar-2007] $)
  $}

  ${
    necon1i.1 $e |- ( A =/= B -> C = D ) $.
    $( Contrapositive inference for inequality. $)
    necon1i $p |- ( C =/= D -> A = B ) $=
      ( wceq wn wne df-ne sylbir necon1ai ) ABFZCDLGABHCDFABIEJK $.
      $( [19-Mar-2007] $) $( [18-Mar-2007] $)
  $}

  ${
    necon2ai.1 $e |- ( A = B -> -. ph ) $.
    $( Contrapositive inference for inequality. $)
    necon2ai $p |- ( ph -> A =/= B ) $=
      ( wceq wn wne con2i df-ne sylibr ) ABCEZFBCGKADHBCIJ $.
      $( [19-Jan-2007] $) $( [16-Jan-2007] $)
  $}

  ${
    necon2bi.1 $e |- ( ph -> A =/= B ) $.
    $( Contrapositive inference for inequality. $)
    necon2bi $p |- ( A = B -> -. ph ) $=
      ( wceq wne wn df-ne sylib con2i ) ABCEZABCFKGDBCHIJ $.
      $( [2-Apr-2007] $) $( [1-Apr-2007] $)
  $}

  ${
    necon2i.1 $e |- ( A = B -> C =/= D ) $.
    $( Contrapositive inference for inequality. $)
    necon2i $p |- ( C = D -> A =/= B ) $=
      ( wceq wne wn df-ne sylib necon2ai ) CDFZABABFCDGLHECDIJK $.
      $( [25-Apr-2007] $) $( [18-Mar-2007] $)
  $}

  ${
    necon2ad.1 $e |- ( ph -> ( A = B -> -. ps ) ) $.
    $( Contrapositive inference for inequality. $)
    necon2ad $p |- ( ph -> ( ps -> A =/= B ) ) $=
      ( wceq wn wne con2d df-ne syl6ibr ) ABCDFZGCDHALBEICDJK $.
      $( [26-Apr-2007] $) $( [19-Apr-2007] $)
  $}

  ${
    necon2bd.1 $e |- ( ph -> ( ps -> A =/= B ) ) $.
    $( Contrapositive inference for inequality. $)
    necon2bd $p |- ( ph -> ( A = B -> -. ps ) ) $=
      ( wceq wne wn df-ne syl6ib con2d ) ABCDFZABCDGLHECDIJK $.
      $( [14-Apr-2007] $) $( [13-Apr-2007] $)
  $}

  ${
    necon1abii.1 $e |- ( -. ph <-> A = B ) $.
    $( Contrapositive inference for inequality. $)
    necon1abii $p |- ( A =/= B <-> ph ) $=
      ( wne wceq wn df-ne con1bii bitr ) BCEBCFZGABCHAKDIJ $.
      $( [2-Jun-2007] $) $( [17-Mar-2007] $)
  $}

  ${
    necon1bbii.1 $e |- ( A =/= B <-> ph ) $.
    $( Contrapositive inference for inequality. $)
    necon1bbii $p |- ( -. ph <-> A = B ) $=
      ( wceq wn wne df-ne bitr3 con1bii ) BCEZAKFBCGABCHDIJ $.
      $( [20-Mar-2007] $) $( [17-Mar-2007] $)
  $}

  ${
    necon1abid.1 $e |- ( ph -> ( -. ps <-> A = B ) ) $.
    $( Contrapositive deduction for inequality. $)
    necon1abid $p |- ( ph -> ( A =/= B <-> ps ) ) $=
      ( wceq wn wne con1bid df-ne syl5bb ) ACDFZGBCDHABLEICDJK $.
      $( [22-Aug-2007] $) $( [21-Aug-2007] $)
  $}

  ${
    necon1bbid.1 $e |-  ( ph -> ( A =/= B <-> ps ) ) $.
    $( Contrapositive inference for inequality. $)
    necon1bbid $p |-  ( ph -> ( -. ps <-> A = B ) ) $=
      ( wceq wne wn df-ne syl5bbr con1bid ) ACDFZBACDGBLHECDIJK $.
      $( [15-Apr-2008] $) $( [31-Jan-2008] $)
  $}

  ${
    necon2abii.1 $e |- ( A = B <-> -. ph ) $.
    $( Contrapositive inference for inequality. $)
    necon2abii $p |- ( ph <-> A =/= B ) $=
      ( wne wceq wn bicomi necon1abii ) BCEAABCBCFAGDHIH $.
      $( [2-Mar-2007] $) $( [2-Mar-2007] $)
  $}

  ${
    necon2bbii.1 $e |- ( ph <-> A =/= B ) $.
    $( Contrapositive inference for inequality. $)
    necon2bbii $p |- ( A = B <-> -. ph ) $=
      ( wn wceq wne bicomi necon1bbii ) AEBCFABCABCGDHIH $.
      $( [19-Apr-2007] $) $( [13-Apr-2007] $)
  $}

  ${
    necon2abid.1 $e |- ( ph -> ( A = B <-> -. ps ) ) $.
    $( Contrapositive deduction for inequality. $)
    necon2abid $p |- ( ph -> ( ps <-> A =/= B ) ) $=
      ( wceq wn wne con2bid df-ne syl6bbr ) ABCDFZGCDHALBEICDJK $.
      $( [18-Jul-2007] $) $( [18-Jul-2007] $)
  $}

  ${
    necon2bbid.1 $e |- ( ph -> ( ps <-> A =/= B ) ) $.
    $( Contrapositive deduction for inequality. $)
    necon2bbid $p |- ( ph -> ( A = B <-> -. ps ) ) $=
      ( wceq wne wn df-ne syl6bb con2bid ) ABCDFZABCDGLHECDIJK $.
      $( [17-Apr-2007] $) $( [13-Apr-2007] $)
  $}

  ${
    necon4ai.1 $e |- ( A =/= B -> -. ph ) $.
    $( Contrapositive inference for inequality. $)
    necon4ai $p |- ( ph -> A = B ) $=
      ( wceq wn wne df-ne sylbir a3i ) BCEZAKFBCGAFBCHDIJ $.
      $( [20-Jan-2007] $) $( [16-Jan-2007] $)
  $}

  ${
    necon4i.1 $e |- ( A =/= B -> C =/= D ) $.
    $( Contrapositive inference for inequality. $)
    necon4i $p |- ( C = D -> A = B ) $=
      ( wceq wne wn df-ne sylib necon4ai ) CDFZABABGCDGLHECDIJK $.
      $( [25-Mar-2007] $) $( [17-Mar-2007] $)
  $}

  ${
    necon4ad.1 $e |- ( ph -> ( A =/= B -> -. ps ) ) $.
    $( Contrapositive inference for inequality. $)
    necon4ad $p |- ( ph -> ( ps -> A = B ) ) $=
      ( wceq wne wn df-ne syl5ibr a3d ) ACDFZBACDGBHLHECDIJK $.
      $( [15-Apr-2007] $) $( [2-Apr-2007] $)
  $}

  ${
    necon4bd.1 $e |- ( ph -> ( -. ps -> A =/= B ) ) $.
    $( Contrapositive inference for inequality. $)
    necon4bd $p |- ( ph -> ( A = B -> ps ) ) $=
      ( wceq wn wne df-ne syl6ib a3d ) ABCDFZABGCDHLGECDIJK $.
      $( [3-Jun-2007] $) $( [1-Jun-2007] $)
  $}

  ${
    necon4d.1 $e |- ( ph -> ( A =/= B -> C =/= D ) ) $.
    $( Contrapositive inference for inequality. $)
    necon4d $p |- ( ph -> ( C = D -> A = B ) ) $=
      ( wceq wne wn df-ne syl6ib necon4ad ) ADEGZBCABCHDEHMIFDEJKL $.
      $( [15-Apr-2007] $) $( [2-Apr-2007] $)
  $}

  ${
    necon4abid.1 $e |- ( ph -> ( A =/= B <-> -. ps ) ) $.
    $( Contrapositive law deduction for inequality. $)
    necon4abid $p |- ( ph -> ( A = B <-> ps ) ) $=
      ( wceq wne wn df-ne syl5bbr con4bid ) ACDFZBACDGBHLHECDIJK $.
      $( [12-Feb-2008] $) $( [11-Jan-2008] $)
  $}

  ${
    necon4bid.1 $e |- ( ph -> ( A =/= B <-> C =/= D ) ) $.
    $( Contrapositive law deduction for inequality. $)
    necon4bid $p |- ( ph -> ( A = B <-> C = D ) ) $=
      ( wceq wne wn necon2bbid nne syl6rbb ) ADEGBCHZIBCGAMDEFJBCKL $.
      $( [29-Jun-2007] $) $( [29-Jun-2007] $)
  $}

  ${
    necon1ad.1 $e |- ( ph -> ( -. ps -> A = B ) ) $.
    $( Contrapositive deduction for inequality. $)
    necon1ad $p |- ( ph -> ( A =/= B -> ps ) ) $=
      ( wceq wn wne con1d df-ne syl5ib ) ACDFZGBCDHABLEICDJK $.
      $( [17-Apr-2007] $) $( [2-Apr-2007] $)
  $}

  ${
    necon1bd.1 $e |- ( ph -> ( A =/= B -> ps ) ) $.
    $( Contrapositive deduction for inequality. $)
    necon1bd $p |- ( ph -> ( -. ps -> A = B ) ) $=
      ( wceq wne wn df-ne syl5ibr con1d ) ACDFZBACDGBLHECDIJK $.
      $( [25-Mar-2007] $) $( [21-Mar-2007] $)
  $}

  ${
    pm2.61ne.1 $e |- ( A = B -> ( ps <-> ch ) ) $.
    pm2.61ne.2 $e |- ( ( ph /\ A =/= B ) -> ps ) $.
    pm2.61ne.3 $e |- ( ph -> ch ) $.
    $( Deduction eliminating an inequality in an antecedent. $)
    pm2.61ne $p |- ( ph -> ps ) $=
      ( wceq syl5bir impcom wne wn df-ne sylan2br pm2.61dan ) ADEIZBQABQBCAFHJK
      ADELBQMGDENOP $.
      $( [1-Jun-2006] $) $( [24-May-2006] $)
  $}

  ${
    pm2.61ine.1 $e |- ( A = B -> ph ) $.
    pm2.61ine.2 $e |- ( A =/= B -> ph ) $.
    $( Inference eliminating an inequality in an antecedent. $)
    pm2.61ine $p |- ph $=
      ( wceq wn wne df-ne sylbir pm2.61i ) BCFZADLGBCHABCIEJK $.
      $( [16-Jan-2007] $) $( [16-Jan-2007] $)
  $}

  ${
    pm2.61dne.1 $e |- ( ph -> ( A = B -> ps ) ) $.
    pm2.61dne.2 $e |- ( ph -> ( A =/= B -> ps ) ) $.
    $( Deduction eliminating an inequality in an antecedent. $)
    pm2.61dne $p |- ( ph -> ps ) $=
      ( wceq wne wn df-ne syl5ibr pm2.61d ) ACDGZBEACDHBMIFCDJKL $.
      $( [1-Jun-2007] $) $( [1-Jun-2007] $)
  $}

  $( Commutation of inequality. $)
  necom $p |- ( A =/= B <-> B =/= A ) $=
    ( eqcom necon3bii ) ABBAABCD $.
    $( [14-May-1999] $)

  ${
    necomd.1 $e |- ( ph -> A =/= B ) $.
    $( Deduction from commutative law for inequality. $)
    necomd $p |- ( ph -> B =/= A ) $=
      ( wne necom sylib ) ABCECBEDBCFG $.
      $( [13-Feb-2008] $) $( [12-Feb-2008] $)
  $}

  $( Logical OR with an equality. $)
  neor $p |- ( ( A = B \/ ps ) <-> ( A =/= B -> ps ) ) $=
    ( wceq wo wn wi wne df-or df-ne imbi1i bitr4 ) BCDZAEMFZAGBCHZAGMAIONABCJKL
    $.
    $( [30-Apr-2007] $) $( [29-Apr-2007] $)

  $( A DeMorgan's law for inequality. $)
  neanior $p |- ( ( A =/= B /\ C =/= D ) <-> -. ( A = B \/ C = D ) ) $=
    ( wne wa wceq wn wo df-ne anbi12i pm4.56 bitr ) ABEZCDEZFABGZHZCDGZHZFPRIHN
    QOSABJCDJKPRLM $.
    $( [20-May-2007] $) $( [18-May-2007] $)

  $( A DeMorgan's law for inequality. $)
  neorian $p |- ( ( A =/= B \/ C =/= D ) <-> -. ( A = B /\ C = D ) ) $=
    ( wne wo wceq wn wa df-ne orbi12i ianor bitr4 ) ABEZCDEZFABGZHZCDGZHZFPRIHN
    QOSABJCDJKPRLM $.
    $( [20-May-2007] $) $( [18-May-2007] $)

  ${
    nemtbir.1 $e |- A =/= B $.
    nemtbir.2 $e |- ( ph <-> A = B ) $.
    $( An inference from an inequality, related to modus tollens. $)
    nemtbir $p |- -. ph $=
      ( wceq wne wn df-ne mpbi mtbir ) ABCFZBCGLHDBCIJEK $.
      $( [13-Apr-2007] $) $( [13-Apr-2007] $)
  $}

  $( Equality theorem for negated membership. $)
  neleq1 $p |- ( A = B -> ( A e/ C <-> B e/ C ) ) $=
    ( wceq wcel wn wnel eleq1 negbid df-nel 3bitr4g ) ABDZACEZFBCEZFACGBCGLMNAB
    CHIACJBCJK $.
    $( [20-Nov-1994] $)

  $( Equality theorem for negated membership. $)
  neleq2 $p |- ( A = B -> ( C e/ A <-> C e/ B ) ) $=
    ( wceq wcel wn wnel eleq2 negbid df-nel 3bitr4g ) ABDZCAEZFCBEZFCAGCBGLMNAB
    CHICAJCBJK $.
    $( [20-Nov-1994] $)

  ${
    $d y A $.  $d y B $.  $d x y $.
    hbne.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbne.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for inequality. $)
    hbne $p |- ( A =/= B -> A. x A =/= B ) $=
      ( wceq wn wal wne hbeq hbn df-ne albii 3imtr4 ) CDGZHZQAICDJZRAIPAABBCDEF
      KLCDMZRQASNO $.
      $( [4-Apr-2008] $) $( [10-Nov-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Restricted quantification
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend wff notation to include restricted universal quantification. $)
  wral $a wff A. x e. A ph $.

  $( Extend wff notation to include restricted existential quantification. $)
  wrex $a wff E. x e. A ph $.

  $( Extend wff notation to include restricted existential uniqueness. $)
  wreu $a wff E! x e. A ph $.

  $( Extend class notation to include the restricted class abstraction
     (class builder). $)
  crab $a class { x e. A | ph } $.

  $( Define restricted universal quantification.  Special case of Definition
     4.15(3) of [TakeutiZaring] p. 22. $)
  df-ral $a |- ( A. x e. A ph <-> A. x ( x e. A -> ph ) ) $.

  $( Define restricted existential quantification.  Special case of Definition
     4.15(4) of [TakeutiZaring] p. 22. $)
  df-rex $a |- ( E. x e. A ph <-> E. x ( x e. A /\ ph ) ) $.

  $( Define restricted existential uniqueness. $)
  df-reu $a |- ( E! x e. A ph <-> E! x ( x e. A /\ ph ) ) $.

  $( Define a restricted class abstraction (class builder), which is the class
     of all ` x ` in ` A ` such that ` ph ` is true.  Definition of
     [TakeutiZaring] p. 20. $)
  df-rab $a |- { x e. A | ph } = { x | ( x e. A /\ ph ) } $.

  $( Relationship between restricted universal and existential quantifiers. $)
  ralnex $p |- ( A. x e. A -. ph <-> -. E. x e. A ph ) $=
    ( cv wcel wn wi wal wa wex wral wrex alinexa df-ral df-rex negbii 3bitr4 )
    BDCEZAFZGBHRAIBJZFSBCKABCLZFRABMSBCNUATABCOPQ $.
    $( [21-Jan-1997] $)

  $( Relationship between restricted universal and existential quantifiers. $)
  rexnal $p |- ( E. x e. A -. ph <-> -. A. x e. A ph ) $=
    ( cv wcel wn wa wex wi wal wrex wral exanali df-rex df-ral negbii 3bitr4 )
    BDCEZAFZGBHRAIBJZFSBCKABCLZFRABMSBCNUATABCOPQ $.
    $( [21-Jan-1997] $)

  $( Relationship between restricted universal and existential quantifiers. $)
  dfral2 $p |- ( A. x e. A ph <-> -. E. x e. A -. ph ) $=
    ( wn wrex wral rexnal con2bii ) ADBCEABCFABCGH $.
    $( [21-Jan-1997] $)

  $( Relationship between restricted universal and existential quantifiers. $)
  dfrex2 $p |- ( E. x e. A ph <-> -. A. x e. A -. ph ) $=
    ( wn wral wrex ralnex con2bii ) ADBCEABCFABCGH $.
    $( [21-Jan-1997] $)

  ${
    ralbida.1 $e |- ( ph -> A. x ph ) $.
    ralbida.2 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbida $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( cv wcel wi wal wral pm5.74da albid df-ral 3bitr4g ) ADHEIZBJZDKQCJZDKBD
      ELCDELARSDFAQBCGMNBDEOCDEOP $.
      $( [3-Nov-2003] $) $( [6-Oct-2003] $)

    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbida $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( cv wcel wa wex wrex pm5.32da exbid df-rex 3bitr4g ) ADHEIZBJZDKQCJZDKBD
      ELCDELARSDFAQBCGMNBDEOCDEOP $.
      $( [3-Nov-2003] $) $( [6-Oct-2003] $)
  $}

  ${
    $d x ph $.
    ralbidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbidva $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( ax-17 ralbida ) ABCDEADGFH $.
      $( [4-Mar-1997] $)

    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbidva $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( ax-17 rexbida ) ABCDEADGFH $.
      $( [9-Mar-1997] $)
  $}

  ${
    ralbid.1 $e |- ( ph -> A. x ph ) $.
    ralbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.

    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbid $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( wb cv wcel adantr ralbida ) ABCDEFABCHDIEJGKL $.
      $( [27-Jun-1998] $)

    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbid $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( wb cv wcel adantr rexbida ) ABCDEFABCHDIEJGKL $.
      $( [27-Jun-1998] $)
  $}

  ${
    $d x ph $.
    ralbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.

    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbidv $p |- ( ph -> ( A. x e. A ps <-> A. x e. A ch ) ) $=
      ( ax-17 ralbid ) ABCDEADGFH $.
      $( [20-Nov-1994] $)

    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbidv $p |- ( ph -> ( E. x e. A ps <-> E. x e. A ch ) ) $=
      ( ax-17 rexbid ) ABCDEADGFH $.
      $( [20-Nov-1994] $)
  $}

  ${
    $d x ph $.
    ralbidv2.1 $e |- ( ph -> ( ( x e. A -> ps ) <-> ( x e. B -> ch ) ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    ralbidv2 $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ch ) ) $=
      ( cv wcel wi wal wral albidv df-ral 3bitr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
      $( [6-Apr-1997] $)
  $}

  ${
    $d x ph $.
    rexbidv2.1 $e |- ( ph -> ( ( x e. A /\ ps ) <-> ( x e. B /\ ch ) ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    rexbidv2 $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ch ) ) $=
      ( cv wcel wa wex wrex exbidv df-rex 3bitr4g ) ADHZEIBJZDKPFICJZDKBDELCDFL
      AQRDGMBDENCDFNO $.
      $( [22-May-1999] $)
  $}

  ${
    ralbii.1 $e |- ( ph <-> ps ) $.
    $( Inference adding restricted universal quantifier to both sides of an
       equivalence. $)
    ralbii $p |- ( A. x e. A ph <-> A. x e. A ps ) $=
      ( wb wral pm4.2 hbth a1i ralbid ax-mp ) AAFZACDGBCDGFAHZMABCDMCNIABFMEJKL
      $.
      $( [23-Nov-1994] $)

    $( Inference adding restricted existential quantifier to both sides of an
       equivalence. $)
    rexbii $p |- ( E. x e. A ph <-> E. x e. A ps ) $=
      ( wb wrex pm4.2 hbth a1i rexbid ax-mp ) AAFZACDGBCDGFAHZMABCDMCNIABFMEJKL
      $.
      $( [23-Nov-1994] $)

    $( Inference adding 2 restricted universal quantifiers to both sides of
       an equivalence. $)
    2ralbii $p |- ( A. x e. A A. y e. B ph <-> A. x e. A A. y e. B ps ) $=
      ( wral ralbii ) ADFHBDFHCEABDFGII $.
      $( [2-Aug-2004] $) $( [1-Aug-2004] $)

    $( Inference adding 2 restricted existential quantifiers to both sides of
       an equivalence. $)
    2rexbii $p |- ( E. x e. A E. y e. B ph <-> E. x e. A E. y e. B ps ) $=
      ( wrex rexbii ) ADFHBDFHCEABDFGII $.
      $( [11-Nov-1995] $)
  $}

  ${
    ralbii2.1 $e |- ( ( x e. A -> ph ) <-> ( x e. B -> ps ) ) $.
    $( Inference adding different restricted universal quantifiers to each
       side of an equivalence. $)
    ralbii2 $p |- ( A. x e. A ph <-> A. x e. B ps ) $=
      ( cv wcel wi wal wral albii df-ral 3bitr4 ) CGZDHAIZCJOEHBIZCJACDKBCEKPQC
      FLACDMBCEMN $.
      $( [29-Aug-2005] $) $( [15-Aug-2005] $)
  $}

  ${
    rexbii2.1 $e |- ( ( x e. A /\ ph ) <-> ( x e. B /\ ps ) ) $.
    $( Inference adding different restricted existential quantifiers to each
       side of an equivalence. $)
    rexbii2 $p |- ( E. x e. A ph <-> E. x e. B ps ) $=
      ( cv wcel wa wex wrex exbii df-rex 3bitr4 ) CGZDHAIZCJOEHBIZCJACDKBCEKPQC
      FLACDMBCEMN $.
      $( [16-Feb-2004] $) $( [4-Feb-2004] $)
  $}

  ${
    ralbiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Inference adding restricted universal quantifier to both sides of an
       equivalence. $)
    ralbiia $p |- ( A. x e. A ph <-> A. x e. A ps ) $=
      ( cv wcel pm5.74i ralbii2 ) ABCDDCFDGABEHI $.
      $( [26-Nov-2000] $)

    $( Inference adding restricted existential quantifier to both sides of an
       equivalence. $)
    rexbiia $p |- ( E. x e. A ph <-> E. x e. A ps ) $=
      ( cv wcel pm5.32i rexbii2 ) ABCDDCFDGABEHI $.
      $( [26-Oct-1999] $)
  $}

  ${
    $d x y $.  $d y A $.
    2rexbiia.1 $e |- ( ( x e. A /\ y e. B ) -> ( ph <-> ps ) ) $.
    $( Inference adding 2 restricted existential quantifiers to both sides of
       an equivalence. $)
    2rexbiia $p |- ( E. x e. A E. y e. B ph <-> E. x e. A E. y e. B ps ) $=
      ( wrex cv wcel rexbidva rexbiia ) ADFHBDFHCECIEJABDFGKL $.
      $( [2-Aug-2004] $) $( [1-Aug-2004] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( Double restricted universal quantification. $)
    r2al $p |- ( A. x e. A A. y e. B ph <->
               A. x A. y ( ( x e. A /\ y e. B ) -> ph ) ) $=
      ( wral cv wcel wi wal wa df-ral 19.21v impexp albii imbi2i 3bitr4 bitr4
      ) ACEFZBDFBGDHZSIZBJTCGEHZKAIZCJZBJSBDLUDUABTUBAIZIZCJTUECJZIUDUATUECMUCU
      FCTUBANOSUGTACELPQOR $.
      $( [19-Nov-1995] $)
  $}

  ${
    $d x y $.  $d y A $.
    2ralbida.1 $e |- ( ph -> A. x ph ) $.
    2ralbida.2 $e |- ( ph -> A. y ph ) $.
    2ralbida.3 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifier (deduction
       rule). $)
    2ralbida $p |- ( ph ->
                     ( A. x e. A A. y e. B ps <-> A. x e. A A. y e. B ch ) ) $=
      ( wral cv wcel wa ax-17 hban wb anassrs ralbida ) ABEGKCEGKDFHADLFMZNBCEG
      ATEITEOPATELGMBCQJRSS $.
      $( [24-Feb-2004] $) $( [24-Feb-2004] $)
  $}

  ${
    $d x y ph $.  $d y A $.
    2ralbidva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifiers (deduction
       rule). $)
    2ralbidva $p |- ( ph ->
                     ( A. x e. A A. y e. B ps <-> A. x e. A A. y e. B ch ) ) $=
      ( ax-17 2ralbida ) ABCDEFGADIAEIHJ $.
      $( [4-Mar-1997] $)

    $( Formula-building rule for restricted existential quantifiers (deduction
       rule). $)
    2rexbidva $p |- ( ph ->
                    ( E. x e. A E. y e. B ps <-> E. x e. A E. y e. B ch ) ) $=
      ( wrex cv wcel wa wb anassrs rexbidva ) ABEGICEGIDFADJFKZLBCEGAPEJGKBCMHN
      OO $.
      $( [17-Dec-2004] $) $( [15-Dec-2004] $)
  $}

  ${
    $d x ph $.  $d y ph $.
    2ralbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted universal quantifiers (deduction
       rule).  (Distinct variable restriction on ` x ` and ` y ` removed by
       Szymon Jaroszewicz, 16-Mar-2006.) $)
    2ralbidv $p |- ( ph ->
                     ( A. x e. A A. y e. B ps <-> A. x e. A A. y e. B ch ) ) $=
      ( wral ralbidv ) ABEGICEGIDFABCEGHJJ $.
      $( [16-Mar-2007] $) $( [28-Jan-2006] $)

    $( Formula-building rule for restricted existential quantifiers (deduction
       rule). $)
    2rexbidv $p |- ( ph ->
                    ( E. x e. A E. y e. B ps <-> E. x e. A E. y e. B ch ) ) $=
      ( wrex rexbidv ) ABEGICEGIDFABCEGHJJ $.
      $( [29-Jan-2006] $) $( [28-Jan-2006] $)

    $( Formula-building rule for restricted quantifiers (deduction rule). $)
    rexralbidv $p |- ( ph ->
                    ( E. x e. A A. y e. B ps <-> E. x e. A A. y e. B ch ) ) $=
      ( wral ralbidv rexbidv ) ABEGICEGIDFABCEGHJK $.
      $( [29-Jan-2006] $) $( [28-Jan-2006] $)
  $}

  $( A transformation of restricted quantifiers and logical connectives. $)
  ralinexa $p |- ( A. x e. A ( ph -> -. ps ) <-> -. E. x e. A ( ph /\ ps ) ) $=
    ( wn wi wral wa wrex imnan ralbii ralnex bitr ) ABEFZCDGABHZEZCDGOCDIENPCDA
    BJKOCDLM $.
    $( [8-Sep-2005] $) $( [4-Sep-2005] $)

  $( A transformation of restricted quantifiers and logical connectives. $)
  rexanali $p |- ( E. x e. A ( ph /\ -. ps ) <-> -. A. x e. A ( ph -> ps ) ) $=
    ( wn wa wrex wi wral annim rexbii rexnal bitr ) ABEFZCDGABHZEZCDGOCDIENPCDA
    BJKOCDLM $.
    $( [27-Sep-2005] $) $( [4-Sep-2005] $)

  ${
    $d x A $.  $d x B $.
    $( Two ways to say " ` A ` belongs to ` B ` ." $)
    risset $p |- ( A e. B <-> E. x e. B x = A ) $=
      ( cv wcel wceq wa wex wrex exancom df-rex df-clel 3bitr4r ) ADZCEZNBFZGAH
      POGAHPACIBCEOPAJPACKABCLM $.
      $( [22-Nov-1994] $)
  $}

  ${
    $d x y $.
    hbral.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbral.2 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for restricted quantification. $)
    hbral $p |- ( A. y e. A ph -> A. x A. y e. A ph ) $=
      ( cv wcel wi wal wral hbim hbal df-ral albii 3imtr4 ) CGDHZAIZCJZSBJACDKZ
      TBJRBCQABEFLMACDNZTSBUAOP $.
      $( [1-Sep-1999] $)
  $}

  $( ` x ` is not free in ` A. x e. A ph ` . $)
  hbra1 $p |- ( A. x e. A ph -> A. x A. x e. A ph ) $=
    ( cv wcel wi wal wral hba1 df-ral albii 3imtr4 ) BDCEAFZBGZNBGABCHZOBGMBIAB
    CJZONBPKL $.
    $( [18-Oct-1996] $)

  ${
    $d x y $.
    hbrex.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbrex.2 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for restricted quantification. $)
    hbrex $p |- ( E. y e. A ph -> A. x E. y e. A ph ) $=
      ( cv wcel wa wex wal wrex hban hbex df-rex albii 3imtr4 ) CGDHZAIZCJZTBKA
      CDLZUABKSBCRABEFMNACDOZUATBUBPQ $.
      $( [1-Sep-1999] $)
  $}

  $( ` x ` is not free in ` E. x e. A ph ` . $)
  hbre1 $p |- ( E. x e. A ph -> A. x E. x e. A ph ) $=
    ( cv wcel wa wex wal wrex hbe1 df-rex albii 3imtr4 ) BDCEAFZBGZOBHABCIZPBHN
    BJABCKZPOBQLM $.
    $( [19-Mar-1997] $)

  ${
    $d x y z $.  $d y z A $.  $d z B $.
    $( Triple restricted universal quantification. $)
    r3al $p |- ( A. x e. A A. y e. B A. z e. C ph <->
               A. x A. y A. z ( ( x e. A /\ y e. B /\ z e. C ) -> ph ) ) $=
      ( cv wcel wa wi wal wral w3a df-ral r2al ralbii 3anass imbi1i impexp
      bitr albii 19.21v 3bitr4 ) CHFIZDHGIZJZAKZDLZCLZBEMBHEIZUJKZBLADGMCFMZBEM
      UKUEUFNZAKZDLZCLZBLUJBEOUMUJBEACDFGPQUQULBUQUKUIKZCLULUPURCUPUKUHKZDLURUO
      USDUOUKUGJZAKUSUNUTAUKUEUFRSUKUGATUAUBUKUHDUCUAUBUKUICUCUAUBUD $.
      $( [19-Nov-1995] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( Double restricted existential quantification. $)
    r2ex $p |- ( E. x e. A E. y e. B ph <->
               E. x E. y ( ( x e. A /\ y e. B ) /\ ph ) ) $=
      ( wrex cv wcel wa wex df-rex 19.42v anass exbii anbi2i 3bitr4 bitr4 ) ACE
      FZBDFBGDHZRIZBJSCGEHZIAIZCJZBJRBDKUCTBSUAAIZIZCJSUDCJZIUCTSUDCLUBUECSUAAM
      NRUFSACEKOPNQ $.
      $( [11-Nov-1995] $)
  $}

  $( Universal quantification implies restricted quantification. $)
  alral $p |- ( A. x ph -> A. x e. A ph ) $=
    ( wal cv wcel wi wral ax-1 19.20i df-ral sylibr ) ABDBECFZAGZBDABCHANBAMIJA
    BCKL $.
    $( [13-Nov-2006] $) $( [20-Oct-2006] $)

  $( Restricted existence implies existence. $)
  rexex $p |- ( E. x e. A ph -> E. x ph ) $=
    ( wrex cv wcel wa wex df-rex pm3.27 19.22i sylbi ) ABCDBECFZAGZBHABHABCINAB
    MAJKL $.
    $( [11-Nov-1995] $)

  $( Restricted specialization. $)
  ra4 $p |- ( A. x e. A ph -> ( x e. A -> ph ) ) $=
    ( wral cv wcel wi wal df-ral ax-4 sylbi ) ABCDBECFAGZBHLABCILBJK $.
    $( [17-Oct-1996] $)

  $( Restricted specialization. $)
  ra4e $p |- ( ( x e. A /\ ph ) -> E. x e. A ph ) $=
    ( cv wcel wa wex wrex 19.8a df-rex sylibr ) BDCEAFZLBGABCHLBIABCJK $.
    $( [12-Oct-1999] $)

  $( Restricted specialization. $)
  ra42 $p |- ( A. x e. A A. y e. B ph -> ( ( x e. A /\ y e. B ) -> ph ) ) $=
    ( wral cv wcel wi ra4 syl6 imp3a ) ACEFZBDFZBGDHZCGEHZANOMPAIMBDJACEJKL $.
    $( [11-Feb-1997] $)

  ${
    rspec.1 $e |- A. x e. A ph $.
    $( Specialization rule for restricted quantification. $)
    rspec $p |- ( x e. A -> ph ) $=
      ( wral cv wcel wi ra4 ax-mp ) ABCEBFCGAHDABCIJ $.
      $( [19-Nov-1994] $)
  $}

  ${
    rgen.1 $e |- ( x e. A -> ph ) $.
    $( Generalization rule for restricted quantification. $)
    rgen $p |- A. x e. A ph $=
      ( wral cv wcel wi df-ral mpgbir ) ABCEBFCGAHBABCIDJ $.
      $( [19-Nov-1994] $)
  $}

  ${
    $d y z A $.  $d x z $.
    rgen2a.1 $e |- ( ( x e. A /\ y e. A ) -> ph ) $.
    $( Generalization rule for restricted quantification.  Note that ` x `
       and ` y ` needn't be distinct. $)
    rgen2a $p |- A. x e. A A. y e. A ph $=
      ( vz wral cv wcel wi wal wceq ex ax-gen wb eleq1 a4s imbi1d dral2 mpbiri
      pm2.43 19.20i ax-1 3syl wn ax-17 dvelim syl6 pm2.61i df-ral sylibr rgen
      ) ACDGZBDBHZDIZCHZDIZAJZCKZUMUPUNLZCKZUOUSJZVAUQURJZCKZUSVBVAVDUOURJZCKVE
      CUOUQAEMZNVCVECBCVAUQUOURUTUQUOOCUPUNDPQRSTVCURCUQAUAUBUSUOUCUDVAUEUOUOCK
      USFHZDIZUOCBFVHCUFVGUNDPUGUOURCVFUBUHUIACDUJUKUL $.
      $( [23-Nov-1994] $)
  $}

  ${
    mprg.1 $e |- ( A. x e. A ph -> ps ) $.
    mprg.2 $e |- ( x e. A -> ph ) $.
    $( Modus ponens combined with restricted generalization. $)
    mprg $p |- ps $=
      ( wral rgen ax-mp ) ACDGBACDFHEI $.
      $( [11-Aug-2004] $) $( [10-Aug-2004] $)
  $}

  ${
    mprgbir.1 $e |- ( ph <-> A. x e. A ps ) $.
    mprgbir.2 $e |- ( x e. A -> ps ) $.
    $( Modus ponens on biconditional combined with restricted
       generalization. $)
    mprgbir $p |- ph $=
      ( wral rgen mpbir ) ABCDGBCDFHEI $.
      $( [22-Mar-2004] $) $( [21-Mar-2004] $)
  $}

  $( Distribution of restricted quantification over implication. $)
  r19.20 $p |- ( A. x e. A ( ph -> ps ) ->
               ( A. x e. A ph -> A. x e. A ps ) ) $=
    ( wi wral cv wcel wal df-ral ax-2 19.20ii sylbi 3imtr4g ) ABEZCDFZCGDHZAEZC
    IZQBEZCIZACDFBCDFPQOEZCISUAEOCDJUBRTCQABKLMACDJBCDJN $.
    $( [9-Feb-1997] $)

  ${
    r19.20i2.1 $e |- ( ( x e. A -> ph ) -> ( x e. B -> ps ) ) $.
    $( Inference quantifying both antecedent and consequent. $)
    r19.20i2 $p |- ( A. x e. A ph -> A. x e. B ps ) $=
      ( cv wcel wi wal wral 19.20i df-ral 3imtr4 ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
      $( [4-Mar-2004] $) $( [22-Feb-2004] $)
  $}

  ${
    r19.20i.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference quantifying both antecedent and consequent. $)
    r19.20i $p |- ( A. x e. A ph -> A. x e. A ps ) $=
      ( cv wcel a2i r19.20i2 ) ABCDDCFDGABEHI $.
      $( [19-Jul-1996] $)
  $}

  ${
    r19.20ia.1 $e |- ( ( x e. A /\ ph ) -> ps ) $.
    $( Inference quantifying both antecedent and consequent. $)
    r19.20ia $p |- ( A. x e. A ph -> A. x e. A ps ) $=
      ( cv wcel ex r19.20i ) ABCDCFDGABEHI $.
      $( [5-Aug-2007] $) $( [4-Aug-2007] $)
  $}

  ${
    r19.20si.1 $e |- ( ph -> ps ) $.
    $( Inference quantifying both antecedent and consequent, with strong
       hypothesis. $)
    r19.20si $p |- ( A. x e. A ph -> A. x e. A ps ) $=
      ( wi cv wcel a1i r19.20i ) ABCDABFCGDHEIJ $.
      $( [4-Mar-1997] $)
  $}

  ${
    r19.20sii.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Inference quantifying antecedent, nested antecedent, and consequent,
       with a strong hypothesis. $)
    r19.20sii $p |- ( A. x e. A ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( wral wi r19.20si r19.20 syl ) ADEGBCHZDEGBDEGCDEGHALDEFIBCDEJK $.
      $( [22-Dec-2006] $) $( [19-Dec-2006] $)
  $}

  ${
    r19.20da.1 $e |- ( ph -> A. x ph ) $.
    r19.20da.2 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.20 of [Margaris] p. 90. $)
    r19.20da $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( cv wcel wi wal wral ex a2d 19.20d df-ral 3imtr4g ) ADHEIZBJZDKRCJZDKBDE
      LCDELASTDFARBCARBCJGMNOBDEPCDEPQ $.
      $( [22-Sep-2003] $)
  $}

  ${
    $d x ph $.
    r19.20dva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.20 of [Margaris] p. 90. $)
    r19.20dva $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( ax-17 r19.20da ) ABCDEADGFH $.
      $( [22-May-1999] $)
  $}

  ${
    $d x ph $.
    r19.20sdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.20 of [Margaris] p. 90. $)
    r19.20sdv $p |- ( ph -> ( A. x e. A ps -> A. x e. A ch ) ) $=
      ( wi cv wcel adantr r19.20dva ) ABCDEABCGDHEIFJK $.
      $( [8-Oct-2003] $) $( [8-Oct-2003] $)
  $}

  ${
    $d x ph $.
    r19.20dv2.1 $e |- ( ph -> ( ( x e. A -> ps ) -> ( x e. B -> ch ) ) ) $.
    $( Inference quantifying both antecedent and consequent. $)
    r19.20dv2 $p |- ( ph -> ( A. x e. A ps -> A. x e. B ch ) ) $=
      ( cv wcel wi wal wral 19.20dv df-ral 3imtr4g ) ADHZEIBJZDKPFICJZDKBDELCDF
      LAQRDGMBDENCDFNO $.
      $( [1-Mar-2005] $) $( [1-Feb-2005] $)
  $}

  ${
    r19.21ai.1 $e |- ( ph -> A. x ph ) $.
    r19.21ai.2 $e |- ( ph -> ( x e. A -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21ai $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel wi wal wral 19.21ai df-ral sylibr ) ACGDHBIZCJBCDKAOCEFLBCDMN
      $.
      $( [10-Oct-1999] $)
  $}

  ${
    $d x ph $.
    r19.21aiv.1 $e |- ( ph -> ( x e. A -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21aiv $p |- ( ph -> A. x e. A ps ) $=
      ( ax-17 r19.21ai ) ABCDACFEG $.
      $( [22-Nov-1994] $)
  $}

  ${
    $d x ph $.
    r19.21aiva.1 $e |- ( ( ph /\ x e. A ) -> ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21aiva $p |- ( ph -> A. x e. A ps ) $=
      ( cv wcel ex r19.21aiv ) ABCDACFDGBEHI $.
      $( [3-Jan-2006] $) $( [2-Jan-2006] $)
  $}

  ${
    $( Theorem 19.21 of [Margaris] p. 90 with restricted quantifiers (closed
       theorem version). $)
    r19.21t $p |- ( A. x ( ph -> A. x ph ) ->
             ( A. x e. A ( ph -> ps ) <-> ( ph -> A. x e. A ps ) ) ) $=
      ( wal wi cv wcel wral 19.21t bi2.04 albii syl5bb df-ral imbi2i 3bitr4g )
      AACEFCEZCGDHZABFZFZCEZARBFZCEZFZSCDIABCDIZFQAUBFZCEUDUAAUBCJTUFCRABKLMSCD
      NUEUCABCDNOP $.
      $( [1-Mar-2008] $) $( [1-Mar-2008] $)
  $}

  ${
    $d x ph $.
    $( Theorem 19.21 of [Margaris] p. 90 with restricted quantifiers. $)
    r19.21v $p |- ( A. x e. A ( ph -> ps ) <-> ( ph -> A. x e. A ps ) ) $=
      ( wal wi wral wb ax-17 ax-gen r19.21t ax-mp ) AACEFZCEABFCDGABCDGFHMCACIJ
      ABCDKL $.
      $( [15-Oct-2003] $) $( [15-Oct-2003] $)
  $}

  ${
    r19.21ad.1 $e |- ( ph -> A. x ph ) $.
    r19.21ad.2 $e |- ( ps -> A. x ps ) $.
    r19.21ad.3 $e |- ( ph -> ( ps -> ( x e. A -> ch ) ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21ad $p |- ( ph -> ( ps -> A. x e. A ch ) ) $=
      ( cv wcel wi wal wral 19.21ad df-ral syl6ibr ) ABDIEJCKZDLCDEMABQDFGHNCDE
      OP $.
      $( [16-Feb-2004] $) $( [16-Feb-2004] $)
  $}

  ${
    $d x ph $.  $d x ps $.
    r19.21adv.1 $e |- ( ph -> ( ps -> ( x e. A -> ch ) ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21adv $p |- ( ph -> ( ps -> A. x e. A ch ) ) $=
      ( ax-17 r19.21ad ) ABCDEADGBDGFH $.
      $( [27-May-1998] $)
  $}

  ${
    $d x ph $.  $d x ps $.
    r19.21adva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21adva $p |- ( ph -> ( ps -> A. x e. A ch ) ) $=
      ( cv wcel wi ex com23 r19.21adv ) ABCDEADGEHZBCAMBCIFJKL $.
      $( [3-Feb-2008] $) $( [2-Feb-2008] $)
  $}

  ${
    $d x y ph $.  $d y A $.
    r19.21aivv.1 $e |- ( ph -> ( ( x e. A /\ y e. B ) -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.) $)
    r19.21aivv $p |- ( ph -> A. x e. A A. y e. B ps ) $=
      ( wral cv wcel exp3a r19.21adv r19.21aiv ) ABDFHCEACIEJZBDFANDIFJBGKLM $.
      $( [26-Jul-2004] $) $( [24-Jul-2004] $)
  $}

  ${
    $d x y ph $.  $d x y ps $.  $d y A $.
    r19.21advv.1 $e |- ( ph -> ( ps -> ( ( x e. A /\ y e. B ) -> ch ) ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.) $)
    r19.21advv $p |- ( ph -> ( ps -> A. x e. A A. y e. B ch ) ) $=
      ( wral wa cv wcel wi imp r19.21aivv ex ) ABCEGIDFIABJCDEFGABDKFLEKGLJCMHN
      OP $.
      $( [10-Jun-2005] $) $( [1-Jun-2005] $)
  $}

  ${
    $d x y ph $.  $d x y ps $.  $d y A $.
    r19.21advva.1 $e |- ( ( ph /\ ( x e. A /\ y e. B ) ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version with double quantification.) $)
    r19.21advva $p |- ( ph -> ( ps -> A. x e. A A. y e. B ch ) ) $=
      ( cv wcel wa wi ex com23 r19.21advv ) ABCDEFGADIFJEIGJKZBCAPBCLHMNO $.
      $( [8-Feb-2008] $) $( [2-Feb-2008] $)
  $}

  ${
    $d x y $.  $d y A $.
    rgen2.1 $e |- ( ( x e. A /\ y e. B ) -> ph ) $.
    $( Generalization rule for restricted quantification. $)
    rgen2 $p |- A. x e. A A. y e. B ph $=
      ( wral cv wcel r19.21aiva rgen ) ACEGBDBHDIACEFJK $.
      $( [30-May-1999] $)
  $}

  ${
    $d y z A $.  $d z B $.  $d x y z $.
    rgen3.1 $e |- ( ( x e. A /\ y e. B /\ z e. C ) -> ph ) $.
    $( Generalization rule for restricted quantification. $)
    rgen3 $p |- A. x e. A A. y e. B A. z e. C ph $=
      ( wral cv wcel wa 3expa r19.21aiva rgen2 ) ADGIBCEFBJEKZCJFKZLADGPQDJGKAH
      MNO $.
      $( [14-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    r19.21bi.1 $e |- ( ph -> A. x e. A ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21bi $p |- ( ( ph /\ x e. A ) -> ps ) $=
      ( cv wcel wi wral wal df-ral sylib 19.21bi imp ) ACFDGZBAOBHZCABCDIPCJEBC
      DKLMN $.
      $( [20-Nov-1994] $)
  $}

  ${
    rspec2.1 $e |- A. x e. A A. y e. B ph $.
    $( Specialization rule for restricted quantification. $)
    rspec2 $p |- ( ( x e. A /\ y e. B ) -> ph ) $=
      ( cv wcel wral rspec r19.21bi ) BGDHACEACEIBDFJK $.
      $( [20-Nov-1994] $)
  $}

  ${
    rspec3.1 $e |- A. x e. A A. y e. B A. z e. C ph $.
    $( Specialization rule for restricted quantification. $)
    rspec3 $p |- ( ( x e. A /\ y e. B /\ z e. C ) -> ph ) $=
      ( cv wcel wa wral rspec2 r19.21bi 3impa ) BIEJZCIFJZDIGJAPQKADGADGLBCEFHM
      NO $.
      $( [20-Nov-1994] $)
  $}

  ${
    r19.21be.1 $e |- ( ph -> A. x e. A ps ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.21be $p |- A. x e. A ( ph -> ps ) $=
      ( wi cv wcel r19.21bi expcom rgen ) ABFCDACGDHBABCDEIJK $.
      $( [21-Nov-1994] $)
  $}

  ${
    nrex.1 $e |- ( x e. A -> -. ps ) $.
    $( Inference adding restricted existential quantifier to negated wff. $)
    nrex $p |- -. E. x e. A ps $=
      ( wn wral wrex rgen ralnex mpbi ) AEZBCFABCGEKBCDHABCIJ $.
      $( [21-Feb-2004] $) $( [16-Oct-2003] $)
  $}

  ${
    $d x ph $.
    nrexdv.1 $e |- ( ( ph /\ x e. A ) -> -. ps ) $.
    $( Deduction adding restricted existential quantifier to negated wff. $)
    nrexdv $p |- ( ph -> -. E. x e. A ps ) $=
      ( wn wral wrex r19.21aiva ralnex sylib ) ABFZCDGBCDHFALCDEIBCDJK $.
      $( [9-Nov-2003] $) $( [16-Oct-2003] $)
  $}

  $( Theorem 19.22 of [Margaris] p. 90.  (Restricted quantifier version.) $)
  r19.22 $p |- ( A. x e. A ( ph -> ps ) ->
               ( E. x e. A ph -> E. x e. A ps ) ) $=
    ( cv wcel wi wal wa wex wral wrex imdistan albii 19.22 sylbi df-ral df-rex
    imbi12i 3imtr4 ) CEDFZABGZGZCHZUAAIZCJZUABIZCJZGZUBCDKACDLZBCDLZGUDUEUGGZCH
    UIUCULCUAABMNUEUGCOPUBCDQUJUFUKUHACDRBCDRST $.
    $( [22-Nov-1994] $)

  ${
    r19.22i.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference quantifying both antecedent and consequent. $)
    r19.22i $p |- ( E. x e. A ph -> E. x e. A ps ) $=
      ( wi wrex r19.22 mprg ) ABFACDGBCDGFCDABCDHEI $.
      $( [10-Feb-1997] $)
  $}

  ${
    r19.22i2.1 $e |- ( ( x e. A /\ ph ) -> ( x e. B /\ ps ) ) $.
    $( Inference quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90. $)
    r19.22i2 $p |- ( E. x e. A ph -> E. x e. B ps ) $=
      ( cv wcel wa wex wrex 19.22i df-rex 3imtr4 ) CGZDHAIZCJOEHBIZCJACDKBCEKPQ
      CFLACDMBCEMN $.
      $( [12-Nov-2004] $) $( [8-Nov-2004] $)
  $}

  ${
    r19.22si.1 $e |- ( ph -> ps ) $.
    $( Inference quantifying both antecedent and consequent. $)
    r19.22si $p |- ( E. x e. A ph -> E. x e. A ps ) $=
      ( wi cv wcel a1i r19.22i ) ABCDABFCGDHEIJ $.
      $( [18-Oct-1996] $)
  $}

  ${
    r19.22d.1 $e |- ( ph -> A. x ph ) $.
    r19.22d.2 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.22d $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( wi wral wrex r19.21ai r19.22 syl ) ABCHZDEIBDEJCDEJHANDEFGKBCDELM $.
      $( [31-Aug-1999] $)
  $}

  ${
    $d x ph $.
    r19.22dv2.1 $e |- ( ph -> ( ( x e. A /\ ps ) -> ( x e. B /\ ch ) ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90. $)
    r19.22dv2 $p |- ( ph -> ( E. x e. A ps -> E. x e. B ch ) ) $=
      ( cv wcel wa wex wrex 19.22dv df-rex 3imtr4g ) ADHZEIBJZDKPFICJZDKBDELCDF
      LAQRDGMBDENCDFNO $.
      $( [22-Feb-2004] $) $( [17-Sep-2003] $)
  $}

  ${
    $d x ph $.
    r19.22dv.1 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90. $)
    r19.22dv $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( ax-17 r19.22d ) ABCDEADGFH $.
      $( [14-Nov-2002] $)
  $}

  ${
    $d x ph $.
    r19.22sdv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Deduction from Theorem 19.22 of [Margaris] p. 90.  (Restricted
       quantifier version with strong hypothesis.) $)
    r19.22sdv $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( wi cv wcel a1d r19.22dv ) ABCDEABCGDHEIFJK $.
      $( [24-Jun-1998] $)
  $}

  ${
    $d x ph $.
    r19.22dva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction quantifying both antecedent and consequent, based on Theorem
       19.22 of [Margaris] p. 90. $)
    r19.22dva $p |- ( ph -> ( E. x e. A ps -> E. x e. A ch ) ) $=
      ( cv wcel wi ex r19.22dv ) ABCDEADGEHBCIFJK $.
      $( [22-May-1999] $)
  $}

  ${
    $d x y $.  $d y A $.  $d x B $.
    $( Theorem 19.12 of [Margaris] p. 89 with restricted quantifiers. $)
    r19.12 $p |- ( E. x e. A A. y e. B ph -> A. y e. B E. x e. A ph ) $=
      ( wral wrex cv wcel ax-17 hbra1 hbrex ax-1 r19.21ai wi ra4 com12 a1d
      r19.22dv r19.20i syl ) ACEFZBDGZUCCEFABDGZCEFUCUCCEUBCBDBHDIZCJACEKLUCCHE
      IZMNUCUDCEUFUBABDUFUBAOUEUBUFAACEPQRSTUA $.
      $( [15-Oct-2003] $) $( [15-Oct-2003] $)
  $}

  ${
    $d x ps $.
    $( Theorem 19.23 of [Margaris] p. 90 with restricted quantifiers. $)
    r19.23v $p |- ( A. x e. A ( ph -> ps ) <-> ( E. x e. A ph -> ps ) ) $=
      ( cv wcel wa wi wal wrex wral impexp albii wex df-rex imbi1i 19.23v
      bitr4 df-ral 3bitr4r ) CEDFZAGZBHZCIZUAABHZHZCIACDJZBHZUECDKUCUFCUAABLMUH
      UBCNZBHUDUGUIBACDOPUBBCQRUECDST $.
      $( [31-Aug-1999] $)
  $}

  ${
    r19.23ai.1 $e |- ( ps -> A. x ps ) $.
    r19.23ai.2 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference from Theorem 19.21 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.23ai $p |- ( E. x e. A ph -> ps ) $=
      ( wrex cv wcel wa wex df-rex imp 19.23ai sylbi ) ACDGCHDIZAJZCKBACDLQBCEP
      ABFMNO $.
      $( [30-Nov-2003] $) $( [30-Nov-2003] $)
  $}

  ${
    $d x ps $.
    r19.23aiv.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.23aiv $p |- ( E. x e. A ph -> ps ) $=
      ( ax-17 r19.23ai ) ABCDBCFEG $.
      $( [20-Nov-1994] $)
  $}

  ${
    $d x ps $.
    r19.23aiva.1 $e |- ( ( x e. A /\ ph ) -> ps ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version). $)
    r19.23aiva $p |- ( E. x e. A ph -> ps ) $=
      ( cv wcel ex r19.23aiv ) ABCDCFDGABEHI $.
      $( [20-Dec-2006] $) $( [18-Dec-2006] $)
  $}

  ${
    r19.23ad.1 $e |- ( ph -> A. x ph ) $.
    r19.23ad.2 $e |- ( ch -> A. x ch ) $.
    r19.23ad.3 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Deduction from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version). $)
    r19.23ad $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( cv wcel wa wex wrex imp3a 19.23ad df-rex syl5ib ) ADIEJZBKZDLCBDEMASCDF
      GARBCHNOBDEPQ $.
      $( [27-May-1998] $)
  $}

  ${
    $d x ph $.  $d x ch $.
    r19.23adv.1 $e |- ( ph -> ( x e. A -> ( ps -> ch ) ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version).  (The proof was shortened by Eric Schmidt, 22-Dec-2006.) $)
    r19.23adv $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( ax-17 r19.23ad ) ABCDEADGCDGFH $.
      $( [22-Dec-2006] $) $( [14-Nov-2002] $)
  $}

  ${
    $d x ph $.  $d x ch $.
    r19.23adva.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version). $)
    r19.23adva $p |- ( ph -> ( E. x e. A ps -> ch ) ) $=
      ( cv wcel wi ex r19.23adv ) ABCDEADGEHBCIFJK $.
      $( [21-Jan-2007] $) $( [20-Jan-2007] $)
  $}

  ${
    $d x y ps $.  $d y A $.
    r19.23aivv.1 $e |- ( ( x e. A /\ y e. B ) -> ( ph -> ps ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90 (restricted quantifier
       version). $)
    r19.23aivv $p |- ( E. x e. A E. y e. B ph -> ps ) $=
      ( wrex cv wcel r19.23adva r19.23aiv ) ADFHBCECIEJABDFGKL $.
      $( [17-Feb-2004] $) $( [17-Feb-2004] $)
  $}

  ${
    $d x y ph $.  $d x y ch $.  $d y A $.
    r19.23advv.1 $e |- ( ph -> ( ( x e. A /\ y e. B ) -> ( ps -> ch ) ) ) $.
    $( Inference from Theorem 19.23 of [Margaris] p. 90.  (Restricted
       quantifier version.) $)
    r19.23advv $p |- ( ph -> ( E. x e. A E. y e. B ps -> ch ) ) $=
      ( wrex cv wcel wa wi exp3a imp r19.23adv r19.23adva ) ABEGICDFADJFKZLBCEG
      AREJGKZBCMZMARSTHNOPQ $.
      $( [5-Aug-2004] $) $( [22-Jul-2004] $)
  $}

  $( Theorem 19.26 of [Margaris] p. 90 with restricted quantifiers. $)
  r19.26 $p |- ( A. x e. A ( ph /\ ps ) <->
               ( A. x e. A ph /\ A. x e. A ps ) ) $=
    ( cv wcel wa wi wal wral jcab albii 19.26 bitr df-ral anbi12i 3bitr4 ) CEDF
    ZABGZHZCIZRAHZCIZRBHZCIZGZSCDJACDJZBCDJZGUAUBUDGZCIUFTUICRABKLUBUDCMNSCDOUG
    UCUHUEACDOBCDOPQ $.
    $( [28-Jan-1997] $)

  $( Theorem 19.26 of [Margaris] p. 90 with 2 restricted quantifiers. $)
  r19.26-2 $p |- ( A. x e. A A. y e. B ( ph /\ ps ) <->
               ( A. x e. A A. y e. B ph /\ A. x e. A A. y e. B ps ) ) $=
    ( wa wral r19.26 ralbii bitr ) ABGDFHZCEHADFHZBDFHZGZCEHMCEHNCEHGLOCEABDFIJ
    MNCEIK $.
    $( [25-Aug-2004] $) $( [10-Aug-2004] $)

  $( Theorem 19.26 of [Margaris] p. 90 with mixed quantifiers. $)
  r19.26m $p |- ( A. x ( ( x e. A -> ph ) /\ ( x e. B -> ps ) ) <->
               ( A. x e. A ph /\ A. x e. B ps ) ) $=
    ( cv wcel wi wa wal wral 19.26 df-ral anbi12i bitr4 ) CFZDGAHZPEGBHZICJQCJZ
    RCJZIACDKZBCEKZIQRCLUASUBTACDMBCEMNO $.
    $( [22-Feb-2004] $) $( [22-Feb-2004] $)

  $( Distribute a restricted universal quantifier over a biconditional.
     Theorem 19.15 of [Margaris] p. 90 with restricted quantification. $)
  r19.15 $p |- ( A. x e. A ( ph <-> ps ) ->
               ( A. x e. A ph <-> A. x e. A ps ) ) $=
    ( wb wral hbra1 cv wcel ra4 imp ralbida ) ABEZCDFZABCDMCDGNCHDIMMCDJKL $.
    $( [6-Oct-2003] $) $( [6-Oct-2003] $)

  ${
    $d x ps $.
    $( Restricted version of one direction of Theorem 19.27 of [Margaris]
       p. 90.  (The other direction doesn't hold when ` A ` is empty.) $)
    r19.27av $p |- ( ( A. x e. A ph /\ ps ) -> A. x e. A ( ph /\ ps ) ) $=
      ( cv wcel wi wa wal wral pm2.27 anim1d com12 19.20i df-ral anbi1i 19.27v
      bitr4 3imtr4 ) CEDFZAGZBHZCIZTABHZGZCIACDJZBHZUDCDJUBUECTUBUDTUAABTAKLMNU
      GUACIZBHUCUFUHBACDOPUABCQRUDCDOS $.
      $( [4-Jun-2004] $) $( [3-Jun-2004] $)
  $}

  ${
    $d x ph $.
    $( Restricted version of one direction of Theorem 19.28 of [Margaris]
       p. 90.  (The other direction doesn't hold when ` A ` is empty.) $)
    r19.28av $p |- ( ( ph /\ A. x e. A ps ) -> A. x e. A ( ph /\ ps ) ) $=
      ( wral wa r19.27av ancom ralbii 3imtr4 ) BCDEZAFBAFZCDEAKFABFZCDEBACDGAKH
      MLCDABHIJ $.
      $( [2-Apr-2004] $) $( [2-Apr-2004] $)
  $}

  $( Theorem 19.29 of [Margaris] p. 90 with restricted quantifiers. $)
  r19.29 $p |- ( ( A. x e. A ph /\ E. x e. A ps ) ->
               E. x e. A ( ph /\ ps ) ) $=
    ( cv wcel wi wal wa wex wral wrex 19.29 anandi abai anbi1i bitr4 an12
    3bitr exbii sylibr df-ral df-rex anbi12i 3imtr4 ) CEDFZAGZCHZUFBIZCJZIZUFAB
    IZIZCJZACDKZBCDLZIULCDLUKUGUIIZCJUNUGUICMUMUQCUMUFAIZUIIZUFUGBIIZUQUFABNUSU
    FUGIZUIIUTURVAUIUFAOPUFUGBNQUFUGBRSTUAUOUHUPUJACDUBBCDUCUDULCDUCUE $.
    $( [31-Aug-1999] $)

  $( Variation of Theorem 19.29 of [Margaris] p. 90 with restricted
     quantifiers. $)
  r19.29r $p |- ( ( E. x e. A ph /\ A. x e. A ps ) ->
                E. x e. A ( ph /\ ps ) ) $=
    ( wral wrex wa r19.29 ancom rexbii 3imtr4 ) BCDEZACDFZGBAGZCDFMLGABGZCDFBAC
    DHMLIONCDABIJK $.
    $( [31-Aug-1999] $)

  ${
    $d x ph $.
    $( Theorem 19.32 of [Margaris] p. 90 with restricted quantifiers. $)
    r19.32v $p |- ( A. x e. A ( ph \/ ps ) <-> ( ph \/ A. x e. A ps ) ) $=
      ( wn wi wral wo r19.21v df-or ralbii 3bitr4 ) AEZBFZCDGMBCDGZFABHZCDGAOHM
      BCDIPNCDABJKAOJL $.
      $( [25-Nov-2003] $) $( [25-Nov-2003] $)
  $}

  $( Restricted quantifier version of Theorem 19.35 of [Margaris] p. 90. $)
  r19.35 $p |- ( E. x e. A ( ph -> ps ) <->
               ( A. x e. A ph -> E. x e. A ps ) ) $=
    ( wral wn wi wrex wa r19.26 annim ralbii df-an 3bitr3 con2bii dfrex2
    imbi2i 3bitr4r ) ACDEZBFZCDEZFZGZABGZFZCDEZFSBCDHZGUDCDHUFUCATIZCDESUAIUFUC
    FATCDJUHUECDABKLSUAMNOUGUBSBCDPQUDCDPR $.
    $( [20-Sep-2003] $)

  ${
    $d x ps $.
    $( One direction of a restricted quantifier version of Theorem 19.36 of
       [Margaris] p. 90.  The other direction doesn't hold when ` A ` is
       empty. $)
    r19.36av $p |- ( E. x e. A ( ph -> ps ) -> ( A. x e. A ph -> ps ) ) $=
      ( wi wrex wral r19.35 cv wcel idd r19.23aiv imim2i sylbi ) ABECDFACDGZBCD
      FZEOBEABCDHPBOBBCDCIDJBKLMN $.
      $( [24-Oct-2003] $) $( [22-Oct-2003] $)
  $}

  ${
    $d x ph $.
    $( Restricted version of one direction of Theorem 19.37 of [Margaris]
       p. 90.  (The other direction doesn't hold when ` A ` is empty.) $)
    r19.37av $p |- ( E. x e. A ( ph -> ps ) -> ( ph -> E. x e. A ps ) ) $=
      ( wi wrex wral r19.35 cv wcel ax-1 r19.21aiv imim1i sylbi ) ABECDFACDGZBC
      DFZEAPEABCDHAOPAACDACIDJKLMN $.
      $( [2-Apr-2004] $) $( [2-Apr-2004] $)
  $}

  $( Restricted quantifier version of Theorem 19.40 of [Margaris] p. 90. $)
  r19.40 $p |- ( E. x e. A ( ph /\ ps ) ->
               ( E. x e. A ph /\ E. x e. A ps ) ) $=
    ( wa wrex pm3.26 r19.22si pm3.27 jca ) ABEZCDFACDFBCDFKACDABGHKBCDABIHJ $.
    $( [2-Apr-2004] $) $( [2-Apr-2004] $)

  ${
    $d x ps $.
    $( Restricted quantifier version of Theorem 19.41 of [Margaris] p. 90. $)
    r19.41v $p |- ( E. x e. A ( ph /\ ps ) <-> ( E. x e. A ph /\ ps ) ) $=
      ( cv wcel wa wex wrex anass exbii 19.41v bitr3 df-rex anbi1i 3bitr4 ) CED
      FZABGZGZCHZQAGZCHZBGZRCDIACDIZBGTUABGZCHUCUESCQABJKUABCLMRCDNUDUBBACDNOP
      $.
      $( [17-Dec-2003] $) $( [17-Dec-2003] $)
  $}

  ${
    $d x ph $.
    $( Restricted version of Theorem 19.42 of [Margaris] p. 90. $)
    r19.42v $p |- ( E. x e. A ( ph /\ ps ) <-> ( ph /\ E. x e. A ps ) ) $=
      ( wa wrex r19.41v ancom rexbii 3bitr4 ) BAEZCDFBCDFZAEABEZCDFALEBACDGMKCD
      ABHIALHJ $.
      $( [27-May-1998] $)
  $}

  $( Restricted version of Theorem 19.43 of [Margaris] p. 90. $)
  r19.43 $p |- ( E. x e. A ( ph \/ ps ) <->
               ( E. x e. A ph \/ E. x e. A ps ) ) $=
    ( cv wcel wo wa wex wrex andi exbii 19.43 bitr df-rex orbi12i 3bitr4 ) CEDF
    ZABGZHZCIZRAHZCIZRBHZCIZGZSCDJACDJZBCDJZGUAUBUDGZCIUFTUICRABKLUBUDCMNSCDOUG
    UCUHUEACDOBCDOPQ $.
    $( [27-May-1998] $)

  ${
    $d x ps $.
    $( One direction of a restricted quantifier version of Theorem 19.44 of
       [Margaris] p. 90.  The other direction doesn't hold when ` A ` is
       empty. $)
    r19.44av $p |- ( E. x e. A ( ph \/ ps ) -> ( E. x e. A ph \/ ps ) ) $=
      ( wo wrex r19.43 cv wcel idd r19.23aiv orim2i sylbi ) ABECDFACDFZBCDFZENB
      EABCDGOBNBBCDCHDIBJKLM $.
      $( [3-Apr-2004] $) $( [2-Apr-2004] $)
  $}

  ${
    $d x ph $.
    $( Restricted version of one direction of Theorem 19.45 of [Margaris]
       p. 90.  (The other direction doesn't hold when ` A ` is empty.) $)
    r19.45av $p |- ( E. x e. A ( ph \/ ps ) -> ( ph \/ E. x e. A ps ) ) $=
      ( wo wrex r19.43 cv wcel idd r19.23aiv orim1i sylbi ) ABECDFACDFZBCDFZEAO
      EABCDGNAOAACDCHDIAJKLM $.
      $( [3-Apr-2004] $) $( [2-Apr-2004] $)
  $}

  $( ` x ` is not free in ` E! x e. A ph ` . $)
  hbreu1 $p |- ( E! x e. A ph -> A. x E! x e. A ph ) $=
    ( cv wcel wa weu wal wreu hbeu1 df-reu albii 3imtr4 ) BDCEAFZBGZOBHABCIZPBH
    NBJABCKZPOBQLM $.
    $( [19-Mar-1997] $)

  $( An "identity" law of concretion for restricted abstraction.  Special case
     of Definition 2.1 of [Quine] p. 16. $)
  rabid $p |- ( x e. { x e. A | ph } <-> ( x e. A /\ ph ) ) $=
    ( cv wcel wa crab df-rab abeq2i ) BDCEAFBABCGABCHI $.
    $( [3-Feb-2004] $) $( [9-Oct-2003] $)

  ${
    $d x A $.
    $( An "identity" law for restricted class abstraction. $)
    rabid2 $p |- ( A = { x e. A | ph } <-> A. x e. A ph ) $=
      ( cv wcel wi wal wa cab wceq wral crab wb pm4.71 albii abeq2 bitr4
      df-ral df-rab eqeq2i 3bitr4r ) BDCEZAFZBGZCUBAHZBIZJZABCKCABCLZJUDUBUEMZB
      GUGUCUIBUBANOUEBCPQABCRUHUFCABCSTUA $.
      $( [10-Jan-2004] $) $( [9-Oct-2003] $)
  $}

  $( Swap with a membership relation in a restricted class abstraction. $)
  rabswap $p |- { x e. A | x e. B } = { x e. B | x e. A } $=
    ( cv wcel wa cab crab ancom abbii df-rab 3eqtr4 ) ADZBEZMCEZFZAGONFZAGOABHN
    ACHPQANOIJOABKNACKL $.
    $( [5-Jul-2005] $) $( [4-Jul-2005] $)

  ${
    $d x y $.
    $( The abstraction variable in a restricted class abstraction isn't
       free. $)
    hbrab1 $p |- ( y e. { x e. A | ph } -> A. x y e. { x e. A | ph } ) $=
      ( crab cv wcel wa cab df-rab hbab1 hbxfr ) BCABDEBFDGAHZBIABDJMBCKL $.
      $( [19-Mar-1997] $)
  $}

  ${
    $d x y z $.  $d z A $.
    hbrab.1 $e |- ( ph -> A. x ph ) $.
    hbrab.2 $e |- ( z e. A -> A. x z e. A ) $.
    $( A variable not free in a wff remains so in a restricted class
       abstraction. $)
    hbrab $p |- ( z e. { y e. A | ph } -> A. x z e. { y e. A | ph } ) $=
      ( crab cv wcel wa cab df-rab ax-17 hbel hban hbab hbxfr ) BDACEHCIZEJZAKZ
      CLACEMUABCDTABBDDSEDISJBNGOFPQR $.
      $( [15-Oct-2003] $) $( [13-Oct-2003] $)
  $}

  ${
    $d x y $.  $d x B $.  $d y A $.
    $( Commutation of restricted quantifiers. $)
    ralcom $p |- ( A. x e. A A. y e. B ph <-> A. y e. B A. x e. A ph ) $=
      ( cv wcel wa wi wal wral ancom imbi1i 2albii alcom bitr r2al 3bitr4 ) BFD
      GZCFEGZHZAIZCJBJZTSHZAIZBJCJZACEKBDKABDKCEKUCUECJBJUFUBUEBCUAUDASTLMNUEBC
      OPABCDEQACBEDQR $.
      $( [13-Oct-1999] $)
  $}

  ${
    $d x y $.  $d x B $.  $d y A $.
    $( Commutation of restricted quantifiers. $)
    rexcom $p |- ( E. x e. A E. y e. B ph <-> E. y e. B E. x e. A ph ) $=
      ( cv wcel wa wex wrex ancom anbi1i 2exbii excom bitr r2ex 3bitr4 ) BFDGZC
      FEGZHZAHZCIBIZSRHZAHZBICIZACEJBDJABDJCEJUBUDCIBIUEUAUDBCTUCARSKLMUDBCNOAB
      CDEPACBEDPQ $.
      $( [19-Nov-1995] $)
  $}

  ${
    $d y z A $.  $d x z A $.
    $( Commutation of restricted quantifiers.  Note that ` x ` and ` y `
       needn't be distinct (this makes the proof longer but illustrates
       the use of ~ dvelim ). $)
    ralcom2 $p |- ( A. x e. A A. y e. A ph -> A. y e. A A. x e. A ph ) $=
      ( vz cv wcel wi wal wral wceq id wb eleq1 a4s imbi1d dral1 imbi2d dral2
      imbi12d mpbii wn hbnae hbal ax-17 dvelim nalequcoms hba1 a1i hbimd hbald
      ax-4 imim2i com23 19.20ii syl9 syld hbnaes pm2.61i df-ral imbi2i albii
      bitr 3imtr4 ) BFZDGZCFZDGZAHZCIZHZBIZVHVFAHZBIZHZCIZACDJZBDJZABDJZCDJZVEV
      GKZBIZVLVPHZWBVFVNHZBIZWEHWCWELWBWEVLWEVPWDVKBCBWBVNVJVFVMVIBCWBVFVHAWAVF
      VHMBVEVGDNOZPQRSWDVOBCWBVFVHVNWFPQTUAWCBCCWBUBZCIZVLVLCIVPWHVKCBWGBCBCBUC
      UDWGVKVKCIHCWGVFVJCBCCUCVFVFCIHCBEFZDGZVFCBEWJCUEWIVEDNUFUGVJVJCIHWGVICUH
      UIUJOUKWGVLVOCWGVHVHBIVLVNWJVHBCEWJBUEWIVGDNUFVKVHVMBVKVFVHAVJVIVFVICULUM
      UNUOUPUOUQURUSVRVFVQHZBIVLVQBDUTWKVKBVQVJVFACDUTVAVBVCVTVHVSHZCIVPVSCDUTW
      LVOCVSVNVHABDUTVAVBVCVD $.
      $( [24-Nov-1994] $)
  $}

  ${
    $( A commutative law for restricted quantifiers that swaps the domain
       of the restriction. $)
    ralcom3 $p |- ( A. x e. A ( x e. B -> ph ) <->
                    A. x e. B ( x e. A -> ph ) ) $=
      ( cv wcel wi wral pm2.04 r19.20i2 impbi ) BEZDFZAGZBCHLCFZAGZBDHNPBCDOMAI
      JPNBDCMOAIJK $.
      $( [22-Feb-2004] $) $( [22-Feb-2004] $)
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y $.  $d y A $.  $d x B $.
    $( Rearrange existential quantifiers. $)
    reeanv $p |- ( E. x e. A E. y e. B ( ph /\ ps ) <->
                 ( E. x e. A ph /\ E. y e. B ps ) ) $=
      ( cv wcel wa wex wrex anass an4 bitr3 2exbii exdistr eeanv 3bitr3 df-rex
      rexbii bitr anbi12i 3bitr4 ) CGEHZDGFHZABIZIZDJZICJZUDAIZCJZUEBIZDJZIZUFD
      FKZCEKZACEKZBDFKZIUDUGIZDJCJUJULIZDJCJUIUNUSUTCDUSUDUEIUFIUTUDUEUFLUDUEAB
      MNOUDUGCDPUJULCDQRUPUHCEKUIUOUHCEUFDFSTUHCESUAUQUKURUMACESBDFSUBUC $.
      $( [9-May-1999] $)
  $}

  ${
    $d x ph $.
    reubidva.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    reubidva $p |- ( ph -> ( E! x e. A ps <-> E! x e. A ch ) ) $=
      ( cv wcel wa weu wreu pm5.32da eubidv df-reu 3bitr4g ) ADGEHZBIZDJPCIZDJB
      DEKCDEKAQRDAPBCFLMBDENCDENO $.
      $( [15-Nov-2004] $) $( [13-Nov-2004] $)
  $}

  ${
    $d x ph $.
    reubidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building rule for restricted existential quantifier (deduction
       rule). $)
    reubidv $p |- ( ph -> ( E! x e. A ps <-> E! x e. A ch ) ) $=
      ( wb cv wcel adantr reubidva ) ABCDEABCGDHEIFJK $.
      $( [17-Oct-1996] $)
  $}

  ${
    reubiia.1 $e |- ( x e. A -> ( ph <-> ps ) ) $.
    $( Formula-building rule for restricted existential quantifier (inference
       rule). $)
    reubiia $p |- ( E! x e. A ph <-> E! x e. A ps ) $=
      ( cv wcel wa weu wreu pm5.32i eubii df-reu 3bitr4 ) CFDGZAHZCIOBHZCIACDJB
      CDJPQCOABEKLACDMBCDMN $.
      $( [15-Nov-2004] $) $( [14-Nov-2004] $)
  $}

  ${
    reubii.1 $e |- ( ph <-> ps ) $.
    $( Formula-building rule for restricted existential quantifier (inference
       rule). $)
    reubii $p |- ( E! x e. A ph <-> E! x e. A ps ) $=
      ( wb cv wcel a1i reubiia ) ABCDABFCGDHEIJ $.
      $( [22-Oct-1999] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    raleq1f.1 $e |- ( y e. A -> A. x y e. A ) $.
    raleq1f.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Equality theorem for restricted universal quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions. $)
    raleq1f $p |- ( A = B -> ( A. x e. A ph <-> A. x e. B ph ) ) $=
      ( wceq cv wcel wi wal wral hbeq eleq2 imbi1d albid df-ral 3bitr4g ) DEHZB
      IZDJZAKZBLUAEJZAKZBLABDMABEMTUCUEBBCCDEFGNTUBUDADEUAOPQABDRABERS $.
      $( [8-Mar-2004] $) $( [7-Mar-2004] $)

    $( Equality theorem for restricted existential quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions. $)
    rexeq1f $p |- ( A = B -> ( E. x e. A ph <-> E. x e. B ph ) ) $=
      ( wceq cv wcel wa wex wrex hbeq eleq2 anbi1d exbid df-rex 3bitr4g ) DEHZB
      IZDJZAKZBLUAEJZAKZBLABDMABEMTUCUEBBCCDEFGNTUBUDADEUAOPQABDRABERS $.
      $( [9-Oct-2003] $) $( [9-Oct-2003] $)

    $( Equality theorem for restricted uniqueness quantifier, with
       bound-variable hypotheses instead of distinct variable restrictions. $)
    reueq1f $p |- ( A = B -> ( E! x e. A ph <-> E! x e. B ph ) ) $=
      ( wceq cv wcel wa weu wreu hbeq eleq2 anbi1d eubid df-reu 3bitr4g ) DEHZB
      IZDJZAKZBLUAEJZAKZBLABDMABEMTUCUEBBCCDEFGNTUBUDADEUAOPQABDRABERS $.
      $( [11-May-2004] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality theorem for restricted universal quantifier. $)
    raleq1 $p |- ( A = B -> ( A. x e. A ph <-> A. x e. B ph ) ) $=
      ( vy cv wcel ax-17 raleq1f ) ABECDEFZCGBHJDGBHI $.
      $( [16-Nov-1995] $)

    $( Equality theorem for restricted existential quantifier. $)
    rexeq1 $p |- ( A = B -> ( E. x e. A ph <-> E. x e. B ph ) ) $=
      ( vy cv wcel ax-17 rexeq1f ) ABECDEFZCGBHJDGBHI $.
      $( [29-Oct-1995] $)

    $( Equality theorem for restricted uniqueness quantifier. $)
    reueq1 $p |- ( A = B -> ( E! x e. A ph <-> E! x e. B ph ) ) $=
      ( vy cv wcel ax-17 reueq1f ) ABECDEFZCGBHJDGBHI $.
      $( [11-May-2004] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    raleq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for restricted universal quantifier. $)
    raleq1d $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ps ) ) $=
      ( wceq wral wb raleq1 syl ) ADEGBCDHBCEHIFBCDEJK $.
      $( [15-Nov-2005] $) $( [13-Nov-2005] $)

    $( Equality deduction for restricted existential quantifier. $)
    rexeq1d $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ps ) ) $=
      ( wceq wrex wb rexeq1 syl ) ADEGBCDHBCEHIFBCDEJK $.
      $( [14-Jan-2007] $) $( [14-Jan-2007] $)
  $}

  ${
    $d x A $.  $d x B $.
    raleqd.1 $e |- ( A = B -> ( ph <-> ps ) ) $.
    $( Equality deduction for restricted universal quantifier. $)
    raleqd $p |- ( A = B -> ( A. x e. A ph <-> A. x e. B ps ) ) $=
      ( wceq wral raleq1 ralbidv bitrd ) DEGZACDHACEHBCEHACDEILABCEFJK $.
      $( [16-Nov-1995] $)

    $( Equality deduction for restricted existential quantifier. $)
    rexeqd $p |- ( A = B -> ( E. x e. A ph <-> E. x e. B ps ) ) $=
      ( wceq wrex rexeq1 rexbidv bitrd ) DEGZACDHACEHBCEHACDEILABCEFJK $.
      $( [18-Mar-1997] $)

    $( Equality deduction for restricted uniqueness quantifier. $)
    reueqd $p |- ( A = B -> ( E! x e. A ph <-> E! x e. B ps ) ) $=
      ( wceq wreu reueq1 reubidv bitrd ) DEGZACDHACEHBCEHACDEILABCEFJK $.
      $( [11-May-2004] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    raleq12d.1 $e |- ( ph -> A = B ) $.
    raleq12d.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equality deduction for restricted universal quantifier. $)
    raleq12d $p |- ( ph -> ( A. x e. A ps <-> A. x e. B ch ) ) $=
      ( wral raleq1d ralbidv bitrd ) ABDEIBDFICDFIABDEFGJABCDFHKL $.
      $( [8-Nov-2007] $) $( [6-Nov-2007] $)

    $( Equality deduction for restricted universal quantifier. $)
    rexeq12d $p |- ( ph -> ( E. x e. A ps <-> E. x e. B ch ) ) $=
      ( wrex rexeq1d rexbidv bitrd ) ABDEIBDFICDFIABDEFGJABCDFHKL $.
      $( [12-Nov-2007] $) $( [6-Nov-2007] $)
  $}

  ${
    $d z A $.  $d x y z $.
    cbvralf.1 $e |- ( z e. A -> A. x z e. A ) $.
    cbvralf.2 $e |- ( z e. A -> A. y z e. A ) $.
    cbvralf.3 $e |- ( ph -> A. y ph ) $.
    cbvralf.4 $e |- ( ps -> A. x ps ) $.
    cbvralf.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbvralf $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( cv wcel wi wal wral ax-17 hbel hbim wceq eleq1 imbi12d cbval df-ral
      3bitr4 ) CLZFMZANZCODLZFMZBNZDOACFPBDFPUHUKCDUGADDEEUFFELZUFMDQHRISUJBCCE
      EUIFULUIMCQGRJSUFUITUGUJABUFUIFUAKUBUCACFUDBDFUDUE $.
      $( [8-Mar-2004] $) $( [7-Mar-2004] $)
  $}

  ${
    $d x y z A $.
    cbvral.1 $e |- ( ph -> A. y ph ) $.
    cbvral.2 $e |- ( ps -> A. x ps ) $.
    cbvral.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbvral $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( vz cv wcel ax-17 cbvralf ) ABCDIEIJEKZCLNDLFGHM $.
      $( [31-Jul-2003] $)

    $( Rule used to change bound variables with implicit substitution. $)
    cbvrex $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( cv wcel wa wex wrex ax-17 hban wceq eleq1 anbi12d cbvex df-rex 3bitr4
      ) CIZEJZAKZCLDIZEJZBKZDLACEMBDEMUDUGCDUCADUCDNFOUFBCUFCNGOUBUEPUCUFABUBUE
      EQHRSACETBDETUA $.
      $( [31-Jul-2003] $)
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y A $.
    cbvralv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Change the bound variable of a restricted universal quantifier using
       implicit substitution. $)
    cbvralv $p |- ( A. x e. A ph <-> A. y e. A ps ) $=
      ( ax-17 cbvral ) ABCDEADGBCGFH $.
      $( [28-Jan-1997] $)

    $( Change the bound variable of a restricted existential quantifier using
       implicit substitution. $)
    cbvrexv $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( ax-17 cbvrex ) ABCDEADGBCGFH $.
      $( [2-Jun-1998] $)

    $( Change the bound variable of a restricted uniqueness quantifier using
       implicit substitution. $)
    cbvreuv $p |- ( E! x e. A ph <-> E! y e. A ps ) $=
      ( cv wcel wa weu wreu ax-17 wceq eleq1 anbi12d cbveu df-reu 3bitr4 ) CGZE
      HZAIZCJDGZEHZBIZDJACEKBDEKUAUDCDUADLUDCLSUBMTUCABSUBENFOPACEQBDEQR $.
      $( [19-Apr-2004] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x z A $.  $d x y z B $.  $d y w B $.  $d z ph $.  $d y ps $.
    $d x ch $.  $d w ch $.
    cbvral2v.1 $e |- ( x = z -> ( ph <-> ch ) ) $.
    cbvral2v.2 $e |- ( y = w -> ( ch <-> ps ) ) $.
    $( Change bound variables of double restricted universal quantification,
       using implicit substitution. $)
    cbvral2v $p |- ( A. x e. A A. y e. B ph <-> A. z e. A A. w e. B ps ) $=
      ( wral cv wceq ralbidv cbvralv ralbii bitr ) AEILZDHLCEILZFHLBGILZFHLSTDF
      HDMFMNACEIJOPTUAFHCBEGIKPQR $.
      $( [26-Aug-2004] $) $( [10-Aug-2004] $)
  $}

  ${
    $d w ph $.  $d z ps $.  $d x ch $.  $d v ch $.  $d y u th $.
    $d x w A $.  $d x y w B $.  $d v B $.  $d x y z w C $.
    $d v z y C $.  $d u z C $.
    cbvral3v.1 $e |- ( x = w -> ( ph <-> ch ) ) $.
    cbvral3v.2 $e |- ( y = v -> ( ch <-> th ) ) $.
    cbvral3v.3 $e |- ( z = u -> ( th <-> ps ) ) $.
    $( Change bound variables of triple restricted universal quantification,
       using implicit substitution. $)
    cbvral3v $p |- ( A. x e. A A. y e. B A. z e. C ph <->
                     A. w e. A A. v e. B A. u e. C ps ) $=
      ( wral cv wceq 2ralbidv cbvralv cbvral2v ralbii bitr ) AGMQFLQZEKQCGMQFLQ
      ZHKQBJMQILQZHKQUEUFEHKERHRSACFGLMNTUAUFUGHKCBDFGIJLMOPUBUCUD $.
      $( [22-May-2005] $) $( [10-May-2005] $)
  $}

  ${
    rabbii.1 $e |- ( x e. A -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (inference
       rule). $)
    rabbii $p |- { x e. A | ps } = { x e. A | ch } $=
      ( cv wcel wa cab crab pm5.32i abbii df-rab 3eqtr4 ) CFDGZAHZCIOBHZCIACDJB
      CDJPQCOABEKLACDMBCDMN $.
      $( [22-May-1999] $)
  $}

  ${
    $d x ph $.
    rabbidv.1 $e |- ( ( ph /\ x e. A ) -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (deduction
       rule). $)
    rabbidv $p |- ( ph -> { x e. A | ps } = { x e. A | ch } ) $=
      ( cv wcel wa cab crab pm5.32da abbidv df-rab 3eqtr4g ) ADGEHZBIZDJPCIZDJB
      DEKCDEKAQRDAPBCFLMBDENCDENO $.
      $( [7-Feb-2007] $) $( [28-Nov-2003] $)
  $}

  ${
    $d x ph $.
    rabbisdv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal restricted class abstractions (deduction
       rule). $)
    rabbisdv $p |- ( ph -> { x e. A | ps } = { x e. A | ch } ) $=
      ( wb cv wcel adantr rabbidv ) ABCDEABCGDHEIFJK $.
      $( [10-Feb-1995] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    rabeqf.1 $e |- ( y e. A -> A. x y e. A ) $.
    rabeqf.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Equality theorem for restricted class abstractions, with bound-variable
       hypotheses instead of distinct variable restrictions. $)
    rabeqf $p |- ( A = B -> { x e. A | ph } = { x e. B | ph } ) $=
      ( wceq cv wcel wa cab crab hbeq eleq2 anbi1d abbid df-rab 3eqtr4g ) DEHZB
      IZDJZAKZBLUAEJZAKZBLABDMABEMTUCUEBBCCDEFGNTUBUDADEUAOPQABDRABERS $.
      $( [8-Mar-2004] $) $( [7-Mar-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality theorem for restricted class abstractions. $)
    rabeq $p |- ( A = B -> { x e. A | ph } = { x e. B | ph } ) $=
      ( vy cv wcel ax-17 rabeqf ) ABECDEFZCGBHJDGBHI $.
      $( [16-Oct-2003] $) $( [15-Oct-2003] $)
  $}

  ${
    rabeqi.1 $e |- A = { x e. B | ph } $.
    $( Inference rule from equality of a class variable and a restricted
       class abstraction. $)
    rabeq2i $p |- ( x e. A <-> ( x e. B /\ ph ) ) $=
      ( cv wcel crab wa eleq2i rabid bitr ) BFZCGMABDHZGMDGAICNMEJABDKL $.
      $( [16-Feb-2004] $) $( [16-Feb-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The universal class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the symbol for the universal class. $)
  $c V $. $( Letter V (for the universal class) $)

  $( Extend class notation to include the universal class symbol. $)
  cvv $a class V $.

  $( Define the universal class.  Definition 5.20 of [TakeutiZaring] p. 21. $)
  df-v $a |- V = { x | x = x } $.

  $( All set variables are sets (see ~ isset ).  Theorem 6.8 of [Quine]
     p. 43. $)
  visset $p |- x e. V $=
    ( cv cvv wcel wceq eqid df-v abeq2i mpbir ) ABZCDJJEZJFKACAGHI $.
    $( [5-Aug-1993] $)

  ${
    $d x A $.
    $( Two ways to say " ` A ` is a set":  A class ` A ` is a member of the
       universal class ` V ` (see ~ df-v ) if and only if the class ` A `
       exists (i.e. there exists some set ` x ` equal to class ` A ` ).
       Theorem 6.9 of [Quine] p. 43.  _Notational convention_:  We will use the
       notational device " ` A e. V ` " to mean " ` A ` is a set" very
       frequently, for example in ~ uniex .  Note the when ` A ` is not a set,
       it is called a proper class.  In some theorems, such as ~ uniexg , in
       order to shorten certain proofs we use the more general antecedent
       ` A e. B ` instead of ` A e. V ` to mean " ` A ` is a set." $)
    isset $p |- ( A e. V <-> E. x x = A ) $=
      ( cvv wcel cv wceq wa wex df-clel visset biantru exbii bitr4 ) BCDAEZBFZN
      CDZGZAHOAHABCIOQAPOAJKLM $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.
    isseti.1 $e |- A e. V $.
    $( A way to say " ` A ` is a set" (inference rule). $)
    isseti $p |- E. x x = A $=
      ( cvv wcel cv wceq wex isset mpbi ) BDEAFBGAHCABIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.
    issetri.1 $e |- E. x x = A $.
    $( A way to say " ` A ` is a set" (inference rule). $)
    issetri $p |- A e. V $=
      ( cvv wcel cv wceq wex isset mpbir ) BDEAFBGAHCABIJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( If a class is a member of another class, it is a set.  Theorem 6.12
       of [Quine] p. 44. $)
    elisset $p |- ( A e. B -> A e. V ) $=
      ( vx wcel cv wceq wex cvv wa df-clel 19.40 sylbi pm3.26d isset sylibr )
      ABDZCEZAFZCGZAHDPSQBDZCGZPRTICGSUAICABJRTCKLMCANO $.
      $( [5-Aug-1993] $)
  $}

  ${
    elisseti.1 $e |- A e. B $.
    $( If a class is a member of another class, it is a set. $)
    elisseti $p |- A e. V $=
      ( wcel cvv elisset ax-mp ) ABDAEDCABFG $.
      $( [11-Jun-1994] $)
  $}

  ${
    $d x A $.
    $( An element of a class exists. $)
    elex $p |- ( A e. B -> E. x x = A ) $=
      ( wcel cvv cv wceq wex elisset isset sylib ) BCDBEDAFBGAHBCIABJK $.
      $( [1-May-1995] $)
  $}

  $( A universal quantifier restricted to the universe is unrestricted. $)
  ralv $p |- ( A. x e. V ph <-> A. x ph ) $=
    ( cvv wral cv wcel wi wal df-ral visset a1bi albii bitr4 ) ABCDBECFZAGZBHAB
    HABCIAOBNABJKLM $.
    $( [31-Mar-2004] $) $( [26-Mar-2004] $)

  $( An existential quantifier restricted to the universe is unrestricted. $)
  rexv $p |- ( E. x e. V ph <-> E. x ph ) $=
    ( cvv wrex cv wcel wa wex df-rex visset biantrur exbii bitr4 ) ABCDBECFZAGZ
    BHABHABCIAOBNABJKLM $.
    $( [4-Apr-2004] $) $( [26-Mar-2004] $)

  $( A class abstraction restricted to the universe is unrestricted. $)
  rabab $p |- { x e. V | ph } = { x | ph } $=
    ( cvv crab cv wcel wa cab df-rab pm3.27 visset jctl impbi abbii eqtr ) ABCD
    BECFZAGZBHABHABCIQABQAPAJAPBKLMNO $.
    $( [1-Jan-2005] $) $( [27-Dec-2004] $)

  ${
    $d x y $.  $d y A $.
    $( Commutation of restricted and unrestricted universal quantifiers. $)
    ralcom4 $p |- ( A. x e. A A. y ph <-> A. y A. x e. A ph ) $=
      ( wral cvv wal ralcom ralv ralbii 3bitr3r ) ABDEZCFEACFEZBDELCGACGZBDEACB
      FDHLCIMNBDACIJK $.
      $( [31-Mar-2004] $) $( [26-Mar-2004] $)

    $( Commutation of restricted and unrestricted existential quantifiers. $)
    rexcom4 $p |- ( E. x e. A E. y ph <-> E. y E. x e. A ph ) $=
      ( wrex cvv wex rexcom rexv rexbii 3bitr3r ) ABDEZCFEACFEZBDELCGACGZBDEACB
      FDHLCIMNBDACIJK $.
      $( [13-Apr-2004] $) $( [12-Apr-2004] $)
  $}

  ${
    $d x A $.
    ceqsalg.1 $e |- ( ps -> A. x ps ) $.
    ceqsalg.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis. $)
    ceqsalg $p |- ( A e. B -> ( A. x ( x = A -> ph ) <-> ps ) ) $=
      ( wcel cv wceq wi wal wex biimpd a2i 19.20i 19.23 sylib elex syl5com
      biimprcd 19.21ai impbid1 ) DEHZCIDJZAKZCLZBUGUECMZBUDUGUEBKZCLUHBKUFUICUE
      ABUEABGNOPUEBCFQRCDESTBUFCFUEABGUAUBUC $.
      $( [29-Oct-2003] $) $( [29-Oct-2003] $)
  $}

  ${
    $d x A $.
    ceqsal.1 $e |- ( ps -> A. x ps ) $.
    ceqsal.2 $e |- A e. V $.
    ceqsal.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis. $)
    ceqsal $p |- ( A. x ( x = A -> ph ) <-> ps ) $=
      ( cvv wcel cv wceq wi wal wb ceqsalg ax-mp ) DHICJDKALCMBNFABCDHEGOP $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x ps $.
    ceqsalv.1 $e |- A e. V $.
    ceqsalv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis. $)
    ceqsalv $p |- ( A. x ( x = A -> ph ) <-> ps ) $=
      ( ax-17 ceqsal ) ABCDBCGEFH $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x ps $.
    gencl.1 $e |- ( th <-> E. x ( ch /\ A = B ) ) $.
    gencl.2 $e |- ( A = B -> ( ph <-> ps ) ) $.
    gencl.3 $e |- ( ch -> ph ) $.
    $( Implicit substitution for class with embedded variable. $)
    gencl $p |- ( th -> ps ) $=
      ( wceq wa wex syl5bi impcom 19.23aiv sylbi ) DCFGKZLZEMBHSBERCBRABCIJNOPQ
      $.
      $( [17-May-1996] $)
  $}

  ${
    $d x y $.  $d x R $.  $d x ps $.  $d y C $.  $d y S $.  $d y ch $.
    2gencl.1 $e |- ( C e. S <-> E. x ( x e. R /\ A = C ) ) $.
    2gencl.2 $e |- ( D e. S <-> E. y ( y e. R /\ B = D ) ) $.
    2gencl.3 $e |- ( A = C -> ( ph <-> ps ) ) $.
    2gencl.4 $e |- ( B = D -> ( ps <-> ch ) ) $.
    2gencl.5 $e |- ( ( x e. R /\ y e. R ) -> ph ) $.
    $( Implicit substitution for class with embedded variable. $)
    2gencl $p |- ( ( C e. S /\ D e. S ) -> ch ) $=
      ( wcel wi cv wceq imbi2d ex gencl com12 impcom ) IKQZHKQZCUGBRUGCRESJQZUF
      EGIMGITBCUGOUAUGUHBUHARUHBRDSJQZUGDFHLFHTABUHNUAUIUHAPUBUCUDUCUE $.
      $( [17-May-1996] $)
  $}

  ${
    $v F $.
    $v G $.
    3gencl.F $f class F $.
    3gencl.G $f class G $.
    $d x y z $.  $d y z D $.  $d z F $.  $d x y R $.  $d y z S $.
    $d x ps $.  $d y ch $.  $d z th $.
    3gencl.1 $e |- ( D e. S <-> E. x ( x e. R /\ A = D ) ) $.
    3gencl.2 $e |- ( F e. S <-> E. y ( y e. R /\ B = F ) ) $.
    3gencl.3 $e |- ( G e. S <-> E. z ( z e. R /\ C = G ) ) $.
    3gencl.4 $e |- ( A = D -> ( ph <-> ps ) ) $.
    3gencl.5 $e |- ( B = F -> ( ps <-> ch ) ) $.
    3gencl.6 $e |- ( C = G -> ( ch <-> th ) ) $.
    3gencl.7 $e |- ( ( x e. R /\ y e. R /\ z e. R ) -> ph ) $.
    $( Implicit substitution for class with embedded variable. $)
    3gencl $p |- ( ( D e. S /\ F e. S /\ G e. S ) -> th ) $=
      ( wcel wa wi cv wceq imbi2d 3expia 2gencl com12 gencl 3impia ) KMUCZNMUCZ
      OMUCZDUPUNUOUDZDUQCUEUQDUEGUFLUCZUPGJORJOUGCDUQUAUHUQURCURAUEURBUEURCUEEF
      HIKNLMPQHKUGABURSUHINUGBCURTUHEUFLUCFUFLUCURAUBUIUJUKULUKUM $.
      $( [17-May-1996] $)
  $}

  ${
    $d x A $.  $d x ps $.
    cgsexg.1 $e |- ( x = A -> ch ) $.
    cgsexg.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for general classes. $)
    cgsexg $p |- ( A e. B ->
                     ( E. x ( ch /\ ph ) <-> ps ) ) $=
      ( wcel wa wex biimpa 19.23aiv biimprcd ancld 19.22dv cv wceq elex 19.22i
      syl syl5com impbid2 ) EFIZCAJZDKZBUEBDCABHLMBCDKZUFUDBCUEDBCACABHNOPUDDQE
      RZDKUGDEFSUHCDGTUAUBUC $.
      $( [21-Apr-2008] $) $( [26-Aug-2007] $)
  $}

  ${
    $d x y ps $.  $d x y A $.  $d x y B $.
    cgsex2g.1 $e |- ( ( x = A /\ y = B ) -> ch ) $.
    cgsex2g.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for general classes. $)
    cgsex2g $p |- ( ( A e. C /\ B e. D ) ->
                     ( E. x E. y ( ch /\ ph ) <-> ps ) ) $=
      ( wcel wa wex biimpa 19.23aivv biimprcd ancld 19.22dvv cv wceq elex
      anim12i eeanv sylibr 19.22i2 syl syl5com impbid2 ) FHLZGILZMZCAMZENDNZBUM
      BDECABKOPBCENDNZUNULBCUMDEBCACABKQRSULDTFUAZETGUAZMZENDNZUOULUPDNZUQENZMU
      SUJUTUKVADFHUBEGIUBUCUPUQDEUDUEURCDEJUFUGUHUI $.
      $( [26-Jul-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x y z w ps $.
    cgsex4g.1 $e |- ( ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) ) -> ch ) $.
    cgsex4g.2 $e |- ( ch -> ( ph <-> ps ) ) $.
    $( An implicit substitution inference for 4 general classes. $)
    cgsex4g $p |- ( ( ( A e. R /\ B e. S ) /\ ( C e. R /\ D e. S ) ) ->
                    ( E. x E. y E. z E. w ( ch /\ ph ) <-> ps ) ) $=
      ( wcel wa wex biimpa 19.23aivv biimprcd ancld 19.22dvv cv wceq elex
      anim12i eeanv sylibr ee4anv 19.22i2 syl syl5com impbid2 ) HLPZIMPZQZJLPZK
      MPZQZQZCAQZGRFRZERDRZBVCBDEVBBFGCABOSTTBCGRFRZERDRZVDVABVEVCDEBCVBFGBCACA
      BOUAUBUCUCVADUDHUEZEUDIUEZQZFUDJUEZGUDKUEZQZQZGRFRZERDRZVFVAVIERDRZVLGRFR
      ZQVOUQVPUTVQUQVGDRZVHERZQVPUOVRUPVSDHLUFEIMUFUGVGVHDEUHUIUTVJFRZVKGRZQVQU
      RVTUSWAFJLUFGKMUFUGVJVKFGUHUIUGVIVLDEFGUJUIVNVEDEVMCFGNUKUKULUMUN $.
      $( [5-Aug-1995] $)
  $}

  ${
    $d x A $.
    ceqsex.1 $e |- ( ps -> A. x ps ) $.
    ceqsex.2 $e |- A e. V $.
    ceqsex.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of an existential quantifier, using implicit
       substitution. $)
    ceqsex $p |- ( E. x ( x = A /\ ph ) <-> ps ) $=
      ( cv wceq wa wex biimpa 19.23ai isseti wi wal biimprcd 19.21ai exintr
      syl mpi impbi ) CHDIZAJZCKZBUDBCEUCABGLMBUCCKZUECDFNBUCAOZCPUFUEOBUGCEUCA
      BGQRUCACSTUAUB $.
      $( [2-Mar-1995] $)
  $}

  ${
    $d x A $.  $d x ps $.
    ceqsexv.1 $e |- A e. V $.
    ceqsexv.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of an existential quantifier, using implicit
       substitution. $)
    ceqsexv $p |- ( E. x ( x = A /\ ph ) <-> ps ) $=
      ( ax-17 ceqsex ) ABCDBCGEFH $.
      $( [2-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    ceqsex2.1 $e |- ( ps -> A. x ps ) $.
    ceqsex2.2 $e |- ( ch -> A. y ch ) $.
    ceqsex2.3 $e |- A e. V $.
    ceqsex2.4 $e |- B e. V $.
    ceqsex2.5 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex2.6 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Elimination of two existential quantifiers, using implicit substitution.
       (Contributed by Scott Fenton, 7-Jun-2006.) $)
    ceqsex2 $p |- ( E. x E. y ( ( x = A /\ y = B ) /\ ph ) <-> ch ) $=
      ( cv wceq wa wex anass exbii 19.42v bitr ax-17 hban hbex anbi2d exbidv
      ceqsex 3bitr ) DNFOZENGOZPAPZEQZDQUIUJAPZEQZPZDQUJBPZEQZCULUODULUIUMPZEQU
      OUKUREUIUJARSUIUMETUASUNUQDFUPDEUJBDUJDUBHUCUDJUIUMUPEUIABUJLUEUFUGBCEGIK
      MUGUH $.
      $( [10-Jun-2006] $) $( [7-Jun-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y ch $.  $d x ps $.
    ceqsex2v.1 $e |- A e. V $.
    ceqsex2v.2 $e |- B e. V $.
    ceqsex2v.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsex2v.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Elimination of two existential quantifiers, using implicit substitution.
       (Contributed by Scott Fenton, 7-Jun-2006.) $)
    ceqsex2v $p |- ( E. x E. y ( ( x = A /\ y = B ) /\ ph ) <-> ch ) $=
      ( ax-17 ceqsex2 ) ABCDEFGBDLCELHIJKM $.
      $( [10-Jun-2006] $) $( [7-Jun-2006] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x th $.  $d y ch $.  $d y A $.
    gencbvex.1 $e |- A e. V $.
    gencbvex.2 $e |- ( A = y -> ( ph <-> ps ) ) $.
    gencbvex.3 $e |- ( A = y -> ( ch <-> th ) ) $.
    gencbvex.4 $e |- ( th <-> E. x ( ch /\ A = y ) ) $.
    $( Change of bound variable using implicit substitution. $)
    gencbvex $p |- ( E. x ( ch /\ ph ) <-> E. y ( th /\ ps ) ) $=
      ( cv wceq wa wex excom wb anbi12d bicomd eqcoms ceqsexv exbii anass
      pm5.32i ancom eqcom anbi1i 3bitr3 19.41v 3bitr 3bitr4r ) FLZGMZDBNZNZFOZE
      OUOEOZFOCANZEOUNFOUOEFPUPUREUNURFGHUNURQGULGULMZURUNUSCDABJIRSTUAUBUQUNFU
      MEOZDNZBNUTUNNUNUQUTDBUCDVABDCUSNZEOUMDNZEOVAKVBVCEUSCNUSDNVBVCUSCDJUDUSC
      UEUSUMDGULUFUGUHUBUMDEUIUJUGUMUNEUIUKUBUH $.
      $( [17-May-1996] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x th $.  $d y ch $.  $d y A $.
    gencbvex2.1 $e |- A e. V $.
    gencbvex2.2 $e |- ( A = y -> ( ph <-> ps ) ) $.
    gencbvex2.3 $e |- ( A = y -> ( ch <-> th ) ) $.
    gencbvex2.4 $e |- ( th -> E. x ( ch /\ A = y ) ) $.
    $( Restatement of ~ gencbvex with weaker hypotheses.  (Contributed by
       Jeffrey Hankins, 6-Dec-2006.) $)
    gencbvex2 $p |- ( E. x ( ch /\ ph ) <-> E. y ( th /\ ps ) ) $=
      ( cv wceq wa wex biimpac 19.23aiv impbi gencbvex ) ABCDEFGHIJDCGFLMZNZEOK
      UADETCDJPQRS $.
      $( [7-Dec-2006] $) $( [6-Dec-2006] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x th $.  $d y ch $.  $d y A $.
    gencbval.1 $e |- A e. V $.
    gencbval.2 $e |- ( A = y -> ( ph <-> ps ) ) $.
    gencbval.3 $e |- ( A = y -> ( ch <-> th ) ) $.
    gencbval.4 $e |- ( th <-> E. x ( ch /\ A = y ) ) $.
    $( Change of bound variable using implicit substitution. $)
    gencbval $p |- ( A. x ( ch -> ph ) <-> A. y ( th -> ps ) ) $=
      ( wi wal wn wa wex cv wceq negbid gencbvex exanali 3bitr3 con4bii ) CALEM
      ZDBLFMZCANZOEPDBNZOFPUDNUENUFUGCDEFGHGFQRABISJKTCAEUADBFUAUBUC $.
      $( [17-May-1996] $)
  $}

  ${
    $d x A $.
    vtoclf.1 $e |- ( ps -> A. x ps ) $.
    vtoclf.2 $e |- A e. V $.
    vtoclf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclf.4 $e |- ph $.
    $( Implicit substitution of a class for a set variable.  This is a
       generalization of ~ chvar . $)
    vtoclf $p |- ps $=
      ( cv wceq wex wi isseti biimpd 19.22i ax-mp 19.36i mpg ) ABCABCECIDJZCKAB
      LZCKCDFMSTCSABGNOPQHR $.
      $( [30-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x ps $.
    vtocl.1 $e |- A e. V $.
    vtocl.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl.3 $e |- ph $.
    $( Implicit substitution of a class for a set variable. $)
    vtocl $p |- ps $=
      ( ax-17 vtoclf ) ABCDBCHEFGI $.
      $( [30-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    vtocl2.1 $e |- A e. V $.
    vtocl2.2 $e |- B e. V $.
    vtocl2.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    vtocl2.4 $e |- ph $.
    $( Implicit substitution of classes for set variables. $)
    vtocl2 $p |- ps $=
      ( wal wi wex cv wceq isseti wa eeanv biimpd 19.22i2 sylbir mp2an 19.36v
      exbii bitr mpbi ax-gen mpg ) ADKZBCABLZDMZCMZUICKBLZCNEOZCMZDNFOZDMZULCEG
      PDFHPUOUQQUNUPQZDMCMULUNUPCDRURUJCDURABISTUAUBULUIBLZCMUMUKUSCABDUCUDUIBC
      UCUEUFADJUGUH $.
      $( [26-Jul-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z ps $.
    vtocl3.1 $e |- A e. V $.
    vtocl3.2 $e |- B e. V $.
    vtocl3.3 $e |- C e. V $.
    vtocl3.4 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    vtocl3.5 $e |- ph $.
    $( Implicit substitution of classes for set variables. $)
    vtocl3 $p |- ps $=
      ( wal wi wex cv wceq isseti w3a eeeanv biimpd 19.22i 19.22i2 sylbir
      mp3an 19.36v exbii bitr mpbi gen2 mpg ) AENZDNZBCABOZEPZDPZCPZUNCNBOZCQFR
      ZCPZDQGRZDPZEQHRZEPZURCFISDGJSEHKSVAVCVETUTVBVDTZEPZDPCPURUTVBVDCDEUAVGUP
      CDVFUOEVFABLUBUCUDUEUFURUNBOZCPUSUQVHCUQUMBOZDPVHUPVIDABEUGUHUMBDUGUIUHUN
      BCUGUIUJADEMUKUL $.
      $( [3-Jun-1995] $)
  $}

  ${
    $d x A $.  $d x ch $.  $d x th $.
    vtoclb.1 $e |- A e. V $.
    vtoclb.2 $e |- ( x = A -> ( ph <-> ch ) ) $.
    vtoclb.3 $e |- ( x = A -> ( ps <-> th ) ) $.
    vtoclb.4 $e |- ( ph <-> ps ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclb $p |- ( ch <-> th ) $=
      ( wb cv wceq bibi12d vtocl ) ABKCDKEFGELFMACBDHINJO $.
      $( [23-Dec-1993] $)
  $}

  ${
    $d y A $.  $d x y $.
    vtoclgf.1 $e |- ( y e. A -> A. x y e. A ) $.
    vtoclgf.2 $e |- ( ps -> A. x ps ) $.
    vtoclgf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclgf.4 $e |- ph $.
    $( Implicit substitution of a class for a set variable, with bound-variable
       hypotheses in place of distinct variable restrictions. $)
    vtoclgf $p |- ( A e. B -> ps ) $=
      ( wcel cvv elisset cv wceq wex isset hbeleq ax-17 eqeq1 cbvex bitr mpbii
      19.23ai sylbi syl ) EFKELKZBEFMUGCNZEOZCPZBUGDNZEOZDPUJDEQULUIDCCDEGRUIDS
      UKUHETUAUBUIBCHUIABJIUCUDUEUF $.
      $( [21-Sep-2003] $)
  $}

  ${
    $d x y A $.  $d x ps $.
    vtoclg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclg.2 $e |- ph $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclg $p |- ( A e. B -> ps ) $=
      ( vy cv wcel ax-17 vtoclgf ) ABCHDEHIDJCKBCKFGL $.
      $( [17-Apr-1995] $)
  $}

  ${
    $d x A $.  $d x ch $.  $d x th $.
    vtoclbg.1 $e |- ( x = A -> ( ph <-> ch ) ) $.
    vtoclbg.2 $e |- ( x = A -> ( ps <-> th ) ) $.
    vtoclbg.3 $e |- ( ph <-> ps ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclbg $p |- ( A e. B -> ( ch <-> th ) ) $=
      ( wb cv wceq bibi12d vtoclg ) ABKCDKEFGELFMACBDHINJO $.
      $( [29-Apr-1994] $)
  $}

  ${
    $d x A $.  $d y z A $.  $d y z B $.  $d z x $.
    vtocl2gf.1 $e |- ( ps -> A. x ps ) $.
    vtocl2gf.2 $e |- ( ch -> A. y ch ) $.
    vtocl2gf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2gf.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2gf.5 $e |- ph $.
    $( Implicit substitution of a class for a set variable. $)
    vtocl2gf $p |- ( ( A e. C /\ B e. D ) -> ch ) $=
      ( vz cvv wcel wi cv ax-17 hbim wceq imbi2d vtoclgf impcom elisset sylan
      ) FPQZGIQZCFHQUIUHCUHBRUHCREOGIOSZGQETUHCEUHETKUAESGUBBCUHMUCABDOFPUJFQDT
      JLNUDUDUEFHUFUG $.
      $( [25-Apr-1995] $)
  $}

  ${
    $d x A $.  $d y A $.  $d y B $.  $d x ps $.  $d y ch $.
    vtocl2g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2g.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2g.3 $e |- ph $.
    $( Implicit substitution of 2 classes for 2 set variables. $)
    vtocl2g $p |- ( ( A e. C /\ B e. D ) -> ch ) $=
      ( ax-17 vtocl2gf ) ABCDEFGHIBDMCEMJKLN $.
      $( [25-Apr-1995] $)
  $}

  ${
    $d y A $.  $d x y $.  $d x y B $.
    vtoclgaf.1 $e |- ( y e. A -> A. x y e. A ) $.
    vtoclgaf.2 $e |- ( ps -> A. x ps ) $.
    vtoclgaf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclgaf.4 $e |- ( x e. B -> ph ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclgaf $p |- ( A e. B -> ps ) $=
      ( wcel cv wi ax-17 hbel hbim wceq eleq1 imbi12d vtoclgf pm2.43i ) EFKZBCL
      ZFKZAMUBBMCDEFGUBBCCDDEFGDLFKCNOHPUCEQUDUBABUCEFRISJTUA $.
      $( [18-Feb-2006] $) $( [17-Feb-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x ps $.
    vtoclga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclga.2 $e |- ( x e. B -> ph ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclga $p |- ( A e. B -> ps ) $=
      ( vy cv wcel ax-17 vtoclgaf ) ABCHDEHIDJCKBCKFGL $.
      $( [20-Aug-1995] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.  $d x ps $.  $d y ch $.
    vtocl2ga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl2ga.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl2ga.3 $e |- ( ( x e. C /\ y e. D ) -> ph ) $.
    $( Implicit substitution of 2 classes for 2 set variables. $)
    vtocl2ga $p |- ( ( A e. C /\ B e. D ) -> ch ) $=
      ( wcel wi cv wceq imbi2d ex vtoclga com12 impcom ) GIMFHMZCUBBNUBCNEGIEOZ
      GPBCUBKQUBUCIMZBUDANUDBNDFHDOZFPABUDJQUEHMUDALRSTSUA $.
      $( [20-Aug-1995] $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.  $d x y z D $.
    $d x y z R $.  $d x y z S $.
    $d x ps $.  $d y ch $.  $d z th $.
    vtocl3ga.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtocl3ga.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    vtocl3ga.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    vtocl3ga.4 $e |- ( ( x e. D /\ y e. R /\ z e. S ) -> ph ) $.
    $( Implicit substitution of 3 classes for 3 set variables. $)
    vtocl3ga $p |- ( ( A e. D /\ B e. R /\ C e. S ) -> th ) $=
      ( wcel wi cv wceq imbi2d wa 3expib vtoclga com12 vtocl2ga ex com3r 3imp
      ) HKRZILRZJMRZDULUMUKDULUMUKDSZUKBSUKCSUNFGIJLMFTZIUABCUKOUBGTZJUACDUKPUB
      UKUOLRZUPMRZUCZBUSASUSBSEHKETZHUAABUSNUBUTKRUQURAQUDUEUFUGUHUIUJ $.
      $( [20-Aug-1995] $)
  $}

  ${
    $d x A $.  $d x ph $.
    vtocleg.1 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtocleg $p |- ( A e. B -> ph ) $=
      ( wcel cv wceq wex elex 19.23aiv syl ) CDFBGCHZBIABCDJMABEKL $.
      $( [10-Jan-2004] $) $( [10-Jan-2004] $)
  $}

  ${
    $d x A $.
    $( Implicit substitution of a class for a set variable.  (Closed theorem
       version of ~ vtoclef .) $)
    vtoclegft $p |- ( ( A e. B /\ A. x ( ph -> A. x ph ) /\
                   A. x ( x = A -> ph ) ) -> ph ) $=
      ( wcel wal wi cv wceq wa wex wb 19.23t adantl elex pm2.27 syl adantr
      sylbid 3impia ) CDEZAABFGBFZBHCIZAGBFZAUAUBJUDUCBKZAGZAUBUDUFLUAUCABMNUAU
      FAGZUBUAUEUGBCDOUEAPQRST $.
      $( [9-Nov-2005] $) $( [7-Nov-2005] $)
  $}

  ${
    $d x A $.
    vtoclef.1 $e |- ( ph -> A. x ph ) $.
    vtoclef.2 $e |- A e. V $.
    vtoclef.3 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclef $p |- ph $=
      ( cv wceq wex isseti 19.23ai ax-mp ) BGCHZBIABCEJMABDFKL $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x ph $.
    vtocle.1 $e |- A e. V $.
    vtocle.2 $e |- ( x = A -> ph ) $.
    $( Implicit substitution of a class for a set variable. $)
    vtocle $p |- ph $=
      ( cvv wcel vtocleg ax-mp ) CFGADABCFEHI $.
      $( [9-Sep-1993] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    vtoclri.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    vtoclri.2 $e |- A. x e. B ph $.
    $( Implicit substitution of a class for a set variable. $)
    vtoclri $p |- ( A e. B -> ps ) $=
      ( rspec vtoclga ) ABCDEFACEGHI $.
      $( [21-Nov-1994] $)
  $}

  ${
    $d x y $.  $d y A $.
    cla4gf.1 $e |- ( y e. A -> A. x y e. A ) $.
    cla4gf.2 $e |- ( ps -> A. x ps ) $.
    cla4gf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Rule of specialization with implicit substitution.  Compare Theorem 7.3
       of [Quine] p. 44. $)
    cla4gf $p |- ( A e. B -> ( A. x ph -> ps ) ) $=
      ( wcel cvv wal wi elisset wex cv wceq isset hbeleq ax-17 eqeq1 cbvex
      bitr biimpd 19.22i sylbi 19.36 sylib syl ) EFJEKJZACLBMZEFNUJABMZCOZUKUJC
      PZEQZCOZUMUJDPZEQZDOUPDERURUODCCDEGSUODTUQUNEUAUBUCUOULCUOABIUDUEUFABCHUG
      UHUI $.
      $( [2-Feb-1997] $)

    $( Existential specialization with implicit substitution. $)
    cla4egf $p |- ( A e. B -> ( ps -> E. x ph ) ) $=
      ( wcel wn wal wex hbn cv wceq negbid cla4gf con2d df-ex syl6ibr ) EFJZBAK
      ZCLZKACMUBUDBUCBKCDEFGBCHNCOEPABIQRSACTUA $.
      $( [2-Feb-1997] $)
  $}

  ${
    $d x ps $.  $d x y A $.
    cla4gv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Rule of specialization with implicit substitution.  Compare Theorem 7.3
       of [Quine] p. 44. $)
    cla4gv $p |- ( A e. B -> ( A. x ph -> ps ) ) $=
      ( vy cv wcel ax-17 cla4gf ) ABCGDEGHDICJBCJFK $.
      $( [22-Jun-1994] $)

    $( Existential specialization with implicit substitution. $)
    cla4egv $p |- ( A e. B -> ( ps -> E. x ph ) ) $=
      ( vy cv wcel ax-17 cla4egf ) ABCGDEGHDICJBCJFK $.
      $( [14-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    cla42egv.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Existential specialization with 2 quantifiers, using implicit
       substitution. $)
    cla42egv $p |- ( ( A e. C /\ B e. D ) -> ( ps -> E. x E. y ph ) ) $=
      ( cv wceq wa wex wcel biimprcd 19.22dvv elex anim12i eeanv sylibr
      syl5com ) BCJEKZDJFKZLZDMCMZADMCMEGNZFHNZLZBUDACDUDABIOPUHUBCMZUCDMZLUEUF
      UIUGUJCEGQDFHQRUBUCCDSTUA $.
      $( [3-Aug-1995] $)

    $( Specialization with 2 quantifiers, using implicit substitution. $)
    cla42gv $p |- ( ( A e. C /\ B e. D ) -> ( A. x A. y ph -> ps ) ) $=
      ( wcel wa wal wn wex cv wceq negbid cla42egv exnal exbii bitr2 syl6ibr
      a3d ) EGJFHJKZBADLZCLZUDBMZAMZDNZCNZUFMZUHUGCDEFGHCOEPDOFPKABIQRUJUEMZCNU
      KUIULCADSTUECSUAUBUC $.
      $( [13-May-2004] $) $( [27-Apr-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z ps $.
    cla43egv.1 $e |- ( ( x = A /\ y = B /\ z = C ) -> ( ph <-> ps ) ) $.
    $( Existential specialization with 3 quantifiers, using implicit
       substitution. $)
    cla43egv $p |- ( ( A e. R /\ B e. S /\ C e. T ) ->
               ( ps -> E. x E. y E. z ph ) ) $=
      ( cv wceq w3a wex wcel biimprcd 19.22dv 19.22dvv elex 3anim123i eeeanv
      sylibr syl5com ) BCMFNZDMGNZEMHNZOZEPZDPCPZAEPZDPCPFIQZGJQZHKQZOZBUJULCDB
      UIAEUIABLRSTUPUFCPZUGDPZUHEPZOUKUMUQUNURUOUSCFIUADGJUAEHKUAUBUFUGUHCDEUCU
      DUE $.
      $( [12-May-2008] $) $( [12-May-2008] $)

    $( Specialization with 3 quantifiers, using implicit substitution. $)
    cla43gv $p |- ( ( A e. R /\ B e. S /\ C e. T ) ->
               ( A. x A. y A. z ph -> ps ) ) $=
      ( wcel w3a wal wn wex cv wceq negbid cla43egv exnal exbii bitr bitr2
      syl6ibr a3d ) FIMGJMHKMNZBAEOZDOZCOZUHBPZAPZEQZDQZCQZUKPZUMULCDEFGHIJKCRF
      SDRGSERHSNABLTUAUPUJPZCQUQUOURCUOUIPZDQURUNUSDAEUBUCUIDUBUDUCUJCUBUEUFUG
      $.
      $( [15-May-2008] $) $( [12-May-2008] $)
  $}

  ${
    $d x A $.  $d x ps $.
    cla4v.1 $e |- A e. V $.
    cla4v.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Rule of specialization with implicit substitution. $)
    cla4v $p |- ( A. x ph -> ps ) $=
      ( cvv wcel wal wi cla4gv ax-mp ) DGHACIBJEABCDGFKL $.
      $( [22-Jun-1994] $)

    $( Existential specialization with implicit substitution.  (The proof was
       shortened by Eric Schmidt, 22-Dec-2006.) $)
    cla4ev $p |- ( ps -> E. x ph ) $=
      ( cvv wcel wex wi cla4egv ax-mp ) DGHBACIJEABCDGFKL $.
      $( [22-Dec-2006] $) $( [31-Dec-1993] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ps $.
    cla4e2v.1 $e |- A e. V $.
    cla4e2v.2 $e |- B e. V $.
    cla4e2v.3 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Existential specialization with implicit substitution. $)
    cla42ev $p |- ( ps -> E. x E. y ph ) $=
      ( cvv wcel wex wi cla42egv mp2an ) EJKFJKBADLCLMGHABCDEFJJINO $.
      $( [3-Aug-1995] $)
  $}

  ${
    $d x y A $.  $d x B $.
    rcla4.1 $e |- ( ps -> A. x ps ) $.
    rcla4.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted specialization with implicit substitution. $)
    rcla4 $p |- ( A e. B -> ( A. x e. B ph -> ps ) ) $=
      ( vy wral wcel cv wi wal df-ral ax-17 hbim wceq eleq1 imbi12d cla4gf
      pm2.43b sylbi com12 ) ACEIZDEJZBUDCKZEJZALZCMZUEBLZACENUIUEBUHUJCHDEHKDJC
      OUEBCUECOFPUFDQUGUEABUFDERGSTUAUBUC $.
      $( [24-May-2005] $) $( [19-Apr-2005] $)

    $( Restricted existential specialization with implicit substitution. $)
    rcla4e $p |- ( ( A e. B /\ ps ) -> E. x e. B ph ) $=
      ( vy wcel wa cv wex wrex ax-17 hban wceq eleq1 anbi12d cla4egf anabsi5
      df-rex sylibr ) DEIZBJZCKZEIZAJZCLZACEMUCBUHUGUDCHDEHKDICNUCBCUCCNFOUEDPU
      FUCABUEDEQGRSTACEUAUB $.
      $( [26-May-1998] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    rcla4v.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Restricted specialization with implicit substitution. $)
    rcla4v $p |- ( A e. B -> ( A. x e. B ph -> ps ) ) $=
      ( ax-17 rcla4 ) ABCDEBCGFH $.
      $( [24-May-2005] $) $( [26-May-1998] $)

    $( Restricted specialization with implicit substitution. $)
    rcla4cv $p |- ( A. x e. B ph -> ( A e. B -> ps ) ) $=
      ( wcel wral rcla4v com12 ) DEGACEHBABCDEFIJ $.
      $( [4-Feb-2006] $) $( [2-Feb-2006] $)

    $( Restricted specialization with implicit substitution. $)
    rcla4va $p |- ( ( A e. B /\ A. x e. B ph ) -> ps ) $=
      ( wcel wral rcla4v imp ) DEGACEHBABCDEFIJ $.
      $( [15-Sep-2005] $) $( [13-Sep-2005] $)

    $( Restricted specialization with implicit substitution. $)
    rcla4cva $p |- ( ( A. x e. B ph /\ A e. B ) -> ps ) $=
      ( wcel wral rcla4va ancoms ) DEGACEHBABCDEFIJ $.
      $( [27-Jul-2006] $) $( [26-Jul-2006] $)

    $( Restricted existential specialization with implicit substitution. $)
    rcla4ev $p |- ( ( A e. B /\ ps ) -> E. x e. B ph ) $=
      ( ax-17 rcla4e ) ABCDEBCGFH $.
      $( [26-May-1998] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.  $d x ch $.
    rcla4dv.1 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Restricted specialization with implicit substitution. $)
    rcla4dv $p |- ( ( ph /\ A e. B ) -> ( A. x e. B ps -> ch ) ) $=
      ( wcel wral wi cv wceq wb expcom pm5.74d rcla4v r19.21v syl5ibr pm2.86d
      impcom ) EFHZABDFIZCJUAAUBCUAABJZDFIACJZAUBJUCUDDEFDKELZABCAUEBCMGNOPABDF
      QRST $.
      $( [18-Feb-2007] $) $( [17-Feb-2007] $)

    $( Restricted existential specialization with implicit substitution.
       (Contributed by FL, 17-Apr-2007.) $)
    rcla4edv $p |- ( ( ph /\ A e. B ) -> ( ch -> E. x e. B ps ) ) $=
      ( wcel wrex wi wa cv wceq wb expcom pm5.74d rcla4ev r19.37av syl ex
      pm2.86d impcom ) EFHZACBDFIZJUCACUDUCACJZAUDJZUCUEKABJZDFIUFUGUEDEFDLEMZA
      BCAUHBCNGOPQABDFRSTUAUB $.
      $( [10-May-2008] $) $( [17-Apr-2007] $)
  $}

  ${
    $d x y A $.  $d x C $.  $d x D $.  $d y B $.  $d y D $.  $d x ch $.
    $d y ps $.
    rcla42v.1 $e |- ( x = A -> ( ph <-> ch ) ) $.
    rcla42v.2 $e |- ( y = B -> ( ch <-> ps ) ) $.
    $( 2-variable restricted specialization with implicit substitution. $)
    rcla42v $p |- ( ( A e. C /\ B e. D ) -> ( A. x e. C A. y e. D ph ->
                  ps ) ) $=
      ( wcel wral cv wceq ralbidv rcla4v sylan9 ) FHLAEIMZDHMCEIMZGILBSTDFHDNFO
      ACEIJPQCBEGIKQR $.
      $( [24-May-2005] $) $( [13-Sep-1999] $)

    $( 2-variable restricted existential specialization with implicit
       substitution. $)
    rcla42ev $p |- ( ( A e. C /\ B e. D /\ ps ) -> E. x e. C E. y e. D ph ) $=
      ( wcel w3a wrex wa rcla4ev anim2i 3impb cv wceq rexbidv syl ) FHLZGILZBMU
      CCEINZOZAEINZDHNUCUDBUFUDBOUEUCCBEGIKPQRUGUEDFHDSFTACEIJUAPUB $.
      $( [13-Feb-2007] $) $( [16-Oct-1999] $)
  $}

  ${
    $d z ps $.  $d x ch $.  $d y th $.  $d x y z A $.  $d y z B $.  $d z C $.
    $d x R $.  $d x y S $.  $d x y z T $.
    rcla43v.1 $e |- ( x = A -> ( ph <-> ch ) ) $.
    rcla43v.2 $e |- ( y = B -> ( ch <-> th ) ) $.
    rcla43v.3 $e |- ( z = C -> ( th <-> ps ) ) $.
    $( 3-variable restricted specialization with implicit substitution. $)
    rcla43v $p |- ( ( A e. R /\ B e. S /\ C e. T ) ->
                  ( A. x e. R A. y e. S A. z e. T ph -> ps ) ) $=
      ( wcel wral wi wa cv wceq ralbidv rcla42v rcla4v sylan9 3impa ) HKQZILQZJ
      MQZAGMRZFLREKRZBSUHUITULDGMRZUJBUKUMCGMREFHIKLEUAHUBACGMNUCFUAIUBCDGMOUCU
      DDBGJMPUEUFUG $.
      $( [1-Jun-2005] $) $( [10-May-2005] $)
  $}

  ${
    $d x A y z $.  $d x B y z $.
    eqvinc.1 $e |- A e. V $.
    $( A variable introduction law for class equality. $)
    eqvinc $p |- ( A = B <-> E. x ( x = A /\ x = B ) ) $=
      ( vz vy wceq cvv wcel cv wa wex eleq1 mpbii visset adantl 19.23aiv eqeq2
      anbi2d exbidv eqeq1 eqcom syl6bb anbi1d equvin vtoclb vtoclbg pm5.21nii
      ) BCGZCHIZAJZBGZUKCGZKZALZUIBHIUJDBCHMNUNUJAUMUJULUMUKHIUJAOUKCHMNPQBEJZG
      ZULUKUPGZKZALZUIUOECHUPCBRUPCGZUSUNAVAURUMULUPCUKRSTFJZUPGVBUKGZURKZALUQU
      TFBDVBBUPUAVBBGZVDUSAVEVCULURVEVCBUKGULVBBUKUABUKUBUCUDTFEAUEUFUGUH $.
      $( [14-Apr-1995] $)
  $}

  ${
    $d A y $.  $d B y $.  $d x y $.
    eqvincf.1 $e |- ( y e. A -> A. x y e. A ) $.
    eqvincf.2 $e |- ( y e. B -> A. x y e. B ) $.
    eqvincf.3 $e |- A e. V $.
    $( A variable introduction law for class equality, using bound-variable
       hypotheses instead of distinct variable conditions. $)
    eqvincf $p |- ( A = B <-> E. x ( x = A /\ x = B ) ) $=
      ( wceq cv wa wex eqvinc hbeleq hban ax-17 eqeq1 anbi12d cbvex bitr ) CDHB
      IZCHZTDHZJZBKAIZCHZUDDHZJZAKBCDGLUCUGBAUAUBAABCEMABDFMNUGBOTUDHUAUEUBUFTU
      DCPTUDDPQRS $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    alexeq.1 $e |- A e. V $.
    $( Two ways to express substitution of ` A ` for ` x ` in ` ph ` . $)
    alexeq $p |- ( A. x ( x = A -> ph ) <-> E. x ( x = A /\ ph ) ) $=
      ( vy cv wceq wa wex wi wal eqeq2 anbi1d exbidv imbi1d albidv sb56 vtoclb
      bicomi ) BFZCGZAHZBIZUAAJZBKZTEFZGZAHZBIUGAJZBKUCUEECDUFCGZUHUBBUJUGUAAUF
      CTLZMNUJUIUDBUJUGUAAUKOPABEQRS $.
      $( [2-Mar-1995] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Equality implies equivalence with substitution. $)
    ceqex $p |- ( x = A -> ( ph <-> E. x ( x = A /\ ph ) ) ) $=
      ( vy cvv wcel cv wceq wa wex wb 19.8a isset sylibr wi eqeq2 anbi1d
      exbidv bibi2d imbi12d ex wal ax-4 com12 visset alexeq syl5ibr impbid
      vtoclg mpcom ) CEFZBGZCHZAUMAIZBJZKZUMUMBJUKUMBLBCMNULDGZHZAURAIZBJZKZOUM
      UPODCEUQCHZURUMVAUPUQCULPZVBUTUOAVBUSUNBVBURUMAVCQRSTURAUTURAUTUSBLUAURUR
      AOZBUBZAUTVEURAVDBUCUDABUQDUEUFUGUHUIUJ $.
      $( [2-Mar-1995] $)
  $}

  ${
    $d x y A $.
    ceqsexg.1 $e |- ( ps -> A. x ps ) $.
    ceqsexg.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( A representation of explicit substitution of a class for a variable,
       inferred from an implicit substitution hypothesis. $)
    ceqsexg $p |- ( A e. B -> ( E. x ( x = A /\ ph ) <-> ps ) ) $=
      ( vy wb cv wceq wa wex wcel ax-17 hbe1 hbbi ceqex bibi12d pm4.2 vtoclgf
      ) AAICJDKZALZCMZBICHDEHJDNCOUDBCUCCPFQUBAUDABACDRGSATUA $.
      $( [13-Oct-2004] $) $( [11-Oct-2004] $)
  $}

  ${
    $d x y A $.  $d x ps $.
    ceqsexgv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of an existential quantifier, using implicit
       substitution. $)
    ceqsexgv $p |- ( A e. B -> ( E. x ( x = A /\ ph ) <-> ps ) ) $=
      ( ax-17 ceqsexg ) ABCDEBCGFH $.
      $( [29-Dec-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    ceqsrexv.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Elimination of a restricted existential quantifier, using implicit
       substitution. $)
    ceqsrexv $p |- ( A e. B -> ( E. x e. B ( x = A /\ ph ) <-> ps ) ) $=
      ( wcel cv wceq wa wex wrex eleq1 anbi12d ceqsexgv bianabs df-rex an12
      exbii bitr4 syl5bb ) DEGZCHZDIZUCEGZAJZJZCKZBUDAJZCELZUBUHBUFUBBJCDEUDUEU
      BABUCDEMFNOPUJUEUIJZCKUHUICEQUGUKCUDUEARSTUA $.
      $( [13-May-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x C $.  $d x y D $.  $d x ps $.  $d y ch $.
    ceqsrex2v.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    ceqsrex2v.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Elimination of a restricted existential quantifier, using implicit
       substitution. $)
    ceqsrex2v $p |- ( ( A e. C /\ B e. D ) ->
      ( E. x e. C E. y e. D ( ( x = A /\ y = B ) /\ ph ) <-> ch ) ) $=
      ( wcel cv wceq wa wrex anbi2d rexbidv ceqsrexv anass rexbii r19.42v bitr
      syl5bb sylan9bb ) FHLZDMFNZEMGNZOAOZEIPZDHPZUHBOZEIPZGILCUFUGUHAOZEIPZOZD
      HPUMUKUOUMDFHUGUNULEIUGABUHJQRSUJUPDHUJUGUNOZEIPUPUIUQEIUGUHATUAUGUNEIUBU
      CUAUDBCEGIKSUE $.
      $( [1-Nov-2005] $) $( [29-Oct-2005] $)
  $}

  ${
    $d x A $.  $d x B $.
    clel2.1 $e |- A e. V $.
    $( An alternate definition of class membership when the class is a set. $)
    clel2 $p |- ( A e. B <-> A. x ( x = A -> x e. B ) ) $=
      ( cv wceq wcel wi wal eleq1 ceqsalv bicomi ) AEZBFMCGZHAIBCGZNOABDMBCJKL
      $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( An alternate definition of class membership when the class is a set. $)
    clel3g $p |- ( B e. C -> ( A e. B <-> E. x ( x = B /\ A e. x ) ) ) $=
      ( wcel cv wceq wa wex eleq2 ceqsexgv bicomd ) CDEAFZCGBMEZHAIBCEZNOACDMCB
      JKL $.
      $( [15-Aug-2005] $) $( [13-Aug-2005] $)
  $}

  ${
    $d x A $.  $d x B $.
    clel3.1 $e |- B e. V $.
    $( An alternate definition of class membership when the class is a set. $)
    clel3 $p |- ( A e. B <-> E. x ( x = B /\ A e. x ) ) $=
      ( cvv wcel cv wceq wa wex wb clel3g ax-mp ) CEFBCFAGZCHBNFIAJKDABCELM $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    clel4.1 $e |- B e. V $.
    $( An alternate definition of class membership when the class is a set. $)
    clel4 $p |- ( A e. B <-> A. x ( x = B -> A e. x ) ) $=
      ( cv wceq wcel wi wal eleq2 ceqsalv bicomi ) AEZCFBMGZHAIBCGZNOACDMCBJKL
      $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d y ph $.  $d x ps $.
    $( Membership in a class abstraction with implicit substitution.  (Closed
       theorem version of ~ elabg .) $)
    elabgt $p |- ( ( A e. B /\ A. x ( x = A -> ( ph <-> ps ) ) ) ->
                 ( A e. { x | ph } <-> ps ) ) $=
      ( vy wcel cv wceq cab wb wi wal ax-17 hbab1 hbel hbbi ax-gen vtoclegft
      mp3an2 eleq1 abid syl5rbbr bibi1d biimprd a2i 19.20i sylan2 ) DEGZCHZDIZD
      ACJZGZBKZLZCMZUNUKABKZLZCMUIUNUNCMLZCMUPUNUSCUMBCCFFDULFHDGCNACFOPBCNQRUN
      CDESTURUOCUKUQUNUKUNUQUKUMABUKUJULGUMAUJDULUAACUBUCUDUEUFUGUH $.
      $( [10-Nov-2005] $) $( [7-Nov-2005] $)
  $}

  ${
    $d ps y $.  $d x A y $.  $d y ph $.
    elabf.1 $e |- ( ps -> A. x ps ) $.
    elabf.2 $e |- A e. V $.
    elabf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction with implicit substitution. $)
    elabf $p |- ( A e. { x | ph } <-> ps ) $=
      ( vy cab wcel wb cv ax-17 hbab1 hbel hbbi wceq eleq1 abid syl5bbr bitr3d
      vtoclef ) DACIZJZBKCDUDBCCHHDUCHLDJCMACHNOEPFCLZDQZAUDBUFUEUCJUDAUEDUCRAC
      STGUAUB $.
      $( [1-Aug-1994] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab.1 $e |- A e. V $.
    elab.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction with implicit substitution.  Compare
       Theorem 6.13 of [Quine] p. 44. $)
    elab $p |- ( A e. { x | ph } <-> ps ) $=
      ( ax-17 elabf ) ABCDBCGEFH $.
      $( [1-Aug-1994] $)
  $}

  ${
    $d y A $.  $d z ph $.  $d x y z $.
    elabgf.1 $e |- ( y e. A -> A. x y e. A ) $.
    elabgf.2 $e |- ( ps -> A. x ps ) $.
    elabgf.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction with implicit substitution.  Compare
       Theorem 6.13 of [Quine] p. 44.  This version has bound-variable
       hypotheses in place of distinct variable restrictions. $)
    elabgf $p |- ( A e. B -> ( A e. { x | ph } <-> ps ) ) $=
      ( vz cv cab wcel wb hbab1 hbel hbbi wceq eleq1 bibi12d abid vtoclgf ) CKZ
      ACLZMZANEUDMZBNCDEFGUFBCCDJEUDGACJOPHQUCERUEUFABUCEUDSITACUAUB $.
      $( [21-Sep-2003] $)
  $}

  ${
    $d x ps $.  $d x y A $.
    elabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction with implicit substitution.  Compare
       Theorem 6.13 of [Quine] p. 44. $)
    elabg $p |- ( A e. B -> ( A e. { x | ph } <-> ps ) ) $=
      ( vy cv wcel ax-17 elabgf ) ABCGDEGHDICJBCJFK $.
      $( [14-Apr-1995] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab2g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elab2g.2 $e |- B = { x | ph } $.
    $( Membership in a class abstraction, using implicit substitution. $)
    elab2g $p |- ( A e. C -> ( A e. B <-> ps ) ) $=
      ( wcel cab elabg eleq2i syl5bb ) DFIDACJZIBDEIABCDFGKENDHLM $.
      $( [12-Sep-2004] $) $( [13-Sep-1995] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab2.1 $e |- A e. V $.
    elab2.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elab2.3 $e |- B = { x | ph } $.
    $( Membership in a class abstraction, using implicit substitution. $)
    elab2 $p |- ( A e. B <-> ps ) $=
      ( cvv wcel wb elab2g ax-mp ) DIJDEJBKFABCDEIGHLM $.
      $( [12-Sep-2004] $) $( [13-Sep-1995] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab3g.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction, with a weaker antecedent than
       ~ elabg . $)
    elab3g $p |- ( ( ps -> A e. B ) -> ( A e. { x | ph } <-> ps ) ) $=
      ( wcel wi cab elabg ibi wb imim2i ibibr sylibr impbid2 ) BDEGZHZDACIZGZBT
      BABCDSFJKRBTBLZHBTHQUABABCDEFJMBTNOP $.
      $( [30-Aug-2006] $) $( [29-Aug-2006] $)
  $}

  ${
    $d x ps $.  $d x A $.
    elab3.1 $e |- ( ps -> A e. V ) $.
    elab3.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction using implicit substitution. $)
    elab3 $p |- ( A e. { x | ph } <-> ps ) $=
      ( cvv wcel wi cab wb elab3g ax-mp ) BDGHIDACJHBKEABCDGFLM $.
      $( [10-Nov-2000] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    elrabf.1 $e |- ( y e. A -> A. x y e. A ) $.
    elrabf.2 $e |- ( y e. B -> A. x y e. B ) $.
    elrabf.3 $e |- ( ps -> A. x ps ) $.
    elrabf.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a restricted class abstraction with implicit substitution.
       This version has bound-variable hypotheses in place of distinct variable
       restrictions. $)
    elrabf $p |- ( A e. { x e. B | ph } <-> ( A e. B /\ ps ) ) $=
      ( crab wcel cvv wa elisset adantr cv cab hbel hban wceq eleq1 anbi12d
      elabgf df-rab eleq2i syl5bb pm5.21nii ) EACFKZLZEMLZEFLZBNZEUIOULUKBEFOPU
      KECQZFLZANZCRZLUMUJUPUMCDEMGULBCCDDEFGHSITUNEUAUOULABUNEFUBJUCUDUIUQEACFU
      EUFUGUH $.
      $( [21-Sep-2003] $)
  $}

  ${
    $d x ps $.  $d x y A $.  $d x y B $.
    elrab.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a restricted class abstraction with implicit
       substitution. $)
    elrab $p |- ( A e. { x e. B | ph } <-> ( A e. B /\ ps ) ) $=
      ( vy cv wcel ax-17 elrabf ) ABCGDEGHZDICJLEICJBCJFK $.
      $( [21-May-1999] $)

    $( Membership in a restricted class abstraction with implicit
       substitution. $)
    elrab3 $p |- ( A e. B -> ( A e. { x e. B | ph } <-> ps ) ) $=
      ( crab wcel elrab baib ) DACEGHDEHBABCDEFIJ $.
      $( [6-Oct-2006] $) $( [5-Oct-2006] $)
  $}

  ${
    $d x ps $.  $d x y A $.  $d x y B $.
    elrab2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    elrab2.2 $e |- C = { x e. B | ph } $.
    $( Membership in a class abstraction, using implicit substitution. $)
    elrab2 $p |- ( A e. C <-> ( A e. B /\ ps ) ) $=
      ( wcel crab wa eleq2i elrab bitr ) DFIDACEJZIDEIBKFODHLABCDEGMN $.
      $( [3-Nov-2006] $) $( [2-Nov-2006] $)
  $}

  ${
    $d x y z $.  $d z ph $.  $d z ps $.
    cbvab.1 $e |- ( ph -> A. y ph ) $.
    cbvab.2 $e |- ( ps -> A. x ps ) $.
    cbvab.3 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbvab $p |- { x | ph } = { y | ps } $=
      ( vz cab wceq cv wcel wb hbab hbab1 cleqf visset elabf abid bitr4 mpgbir
      ) ACIZBDIZJDKZUBLZUDUCLZMDDHUBUCADCHENBDHOPUEBUFABCUDFDQGRBDSTUA $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    cbvabv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. $)
    cbvabv $p |- { x | ph } = { y | ps } $=
      ( ax-17 cbvab ) ABCDADFBCFEG $.
      $( [26-May-1999] $)
  $}

  ${
    $d x y z $.  $d z A $.
    cbvrab.1 $e |- ( z e. A -> A. x z e. A ) $.
    cbvrab.2 $e |- ( z e. A -> A. y z e. A ) $.
    cbvrab.3 $e |- ( ph -> A. y ph ) $.
    cbvrab.4 $e |- ( ps -> A. x ps ) $.
    cbvrab.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule to change the bound variable in a restricted class abstraction,
       using implicit substitution.  This version has bound-variable hypotheses
       in place of distinct variable conditions. $)
    cbvrab $p |- { x e. A | ph } = { y e. A | ps } $=
      ( cv wcel wa cab crab ax-17 hbel hban wceq eleq1 anbi12d cbvab df-rab
      3eqtr4 ) CLZFMZANZCODLZFMZBNZDOACFPBDFPUHUKCDUGADDEEUFFELZUFMDQHRISUJBCCE
      EUIFULUIMCQGRJSUFUITUGUJABUFUIFUAKUBUCACFUDBDFUDUE $.
      $( [26-Sep-2003] $)
  $}

  ${
    $d x y z A $.  $d y ph $.  $d x ps $.
    cbvrabv.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule to change the bound variable in a restricted class abstraction,
       using implicit substitution. $)
    cbvrabv $p |- { x e. A | ph } = { y e. A | ps } $=
      ( vz cv wcel ax-17 cbvrab ) ABCDGEGHEIZCJLDJADJBCJFK $.
      $( [26-May-1999] $)
  $}

  ${
    $d y z A $.  $d x y z $.
    $( Identity used to create closed-form versions of bound-variable
       hypothesis builders for class expressions. $)
    abidhb $p |- ( A. y ( y e. A -> A. x y e. A ) ->
                 { z | A. x z e. A } = A ) $=
      ( cv wcel wal wi cab hba1 ax-4 impbid2 abbid wceq eleq1 albidv cbvabv
      abid2 3eqtr3g ) BEZDFZUAAGZHZBGZUBBIUABICEZDFZAGZCIDUDUBUABUCBJUDUBUAUAAK
      UCBKLMUBUGBCTUENUAUFATUEDOPQBDRS $.
      $( [17-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y ph $.  $d x y z $.
    hbeqd.1 $e |- ( ph -> A. x ph ) $.
    hbeqd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbeqd.3 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbeq . $)
    hbeqd $p |- ( ph -> ( A = B -> A. x A = B ) ) $=
      ( vz cv wcel wal cab wceq wi hba1 hbab hbeq a1i 19.21aiv abidhb syl
      eqeq12d albid 3imtr3d ) AIJZDKZBLZIMZUFEKZBLZIMZNZUMBLZDENZUOBLUMUNOABCCU
      IULUHBICUGBPQUKBICUJBPQRSAUIDULEACJZDKZUQBLOZCLUIDNAURCGTBCIDUAUBAUPEKZUS
      BLOZCLULENAUTCHTBCIEUAUBUCZAUMUOBFVAUDUE $.
      $( [9-Dec-2005] $) $( [6-Dec-2005] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y ph $.  $d x y z $.
    hbeld.1 $e |- ( ph -> A. x ph ) $.
    hbeld.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbeld.3 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbel . $)
    hbeld $p |- ( ph -> ( A e. B -> A. x A e. B ) ) $=
      ( vz cv wcel wal cab wi hba1 hbab hbel a1i wceq 19.21aiv abidhb syl
      eleq12d albid 3imtr3d ) AIJZDKZBLZIMZUFEKZBLZIMZKZUMBLZDEKZUOBLUMUNNABCCU
      IULUHBICUGBOPUKBICUJBOPQRAUIDULEACJZDKZUQBLNZCLUIDSAURCGTBCIDUAUBAUPEKZUS
      BLNZCLULESAUTCHTBCIEUAUBUCZAUMUOBFVAUDUE $.
      $( [19-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d x y z $.
    dedhb.1 $e |- ( A = { z | A. x z e. A } -> ( ph <-> ps ) ) $.
    dedhb.2 $e |- ps $.
    $( A deduction theorem for converting the inference
       ` |- ( y e. A -> A. x y e. A ) ` => ` |- ph ` into a closed theorem.
       Use ~ hba1 and ~ hbab to eliminate the hypothesis of the substitution
       instance ` ps ` of the inference. $)
    dedhb $p |- ( A. y ( y e. A -> A. x y e. A ) -> ph ) $=
      ( cv wcel wal wi cab wceq wb abidhb eqcomd syl mpbiri ) DIFJZTCKLDKZABHUA
      FEIFJCKEMZNABOUAUBFCDEFPQGRS $.
      $( [8-Dec-2006] $) $( [8-Dec-2006] $)
  $}

  ${
    $d x y A $.
    $( Equality has existential uniqueness. $)
    eueq $p |- ( A e. V <-> E! x x = A ) $=
      ( vy cv wceq wex wa wi wal cvv wcel weu eqtr3t gen2 biantru isset eqeq1
      eu4 3bitr4 ) ADZBEZAFZUBUACDZBEZGTUCEHZCIAIZGBJKUAALUFUBUEACTUCBMNOABPUAU
      DACTUCBQRS $.
      $( [25-Nov-1994] $)
  $}

  ${
    $d x A $.
    eueq1.1 $e |- A e. V $.
    $( Equality has existential uniqueness. $)
    eueq1 $p |- E! x x = A $=
      ( cvv wcel cv wceq weu eueq mpbi ) BDEAFBGAHCABIJ $.
      $( [5-Apr-1995] $)
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.
    eueq2.1 $e |- A e. V $.
    eueq2.2 $e |- B e. V $.
    $( Equality has existential uniqueness (split into 2 cases). $)
    eueq2 $p |- E! x ( ( ph /\ x = A ) \/ ( -. ph /\ x = B ) ) $=
      ( cv wceq wa wn wo weu euorv negb eueq1 euanv biimpr mpan2 sylanc bianfd
      orbi2d orcom syl5bb eubidv mpbid mpdan id orbi1d pm2.61i ) AABGZCHZIZAJZU
      JDHZIZKZBLZAUMULKZBLZUQUMJULBLZUSAUMULBMANZAUKBLZUTBCEOUTAVBIAUKBPQRSAURU
      PBAULUMKUPURAUMUOULAUMUNVATUAUMULUBUCUDUEUMAUOKZBLZUQUMUOBLZVDUMUNBLZVEBD
      FOVEUMVFIUMUNBPQRAUOBMUFUMVCUPBUMAULUOUMAUKUMUGTUHUDUEUI $.
      $( [5-Apr-1995] $)
  $}

  ${
    $d x ph $.  $d x ps $.  $d x A $.  $d x B $.  $d x C $.
    eueq3.1 $e |- A e. V $.
    eueq3.2 $e |- B e. V $.
    eueq3.3 $e |- C e. V $.
    eueq3.4 $e |- -. ( ph /\ ps ) $.
    $( Equality has existential uniqueness (split into 3 cases). $)
    eueq3 $p |- E! x ( ( ph /\ x = A ) \/ ( -. ( ph \/ ps ) /\ x = B )
                \/ ( ps /\ x = C ) ) $=
      ( cv wceq wa wo wn w3o weu euorv pm2.45 wi imnan mpbir con2i jaoi eueq1
      euanv biimpr mpan2 sylanc negb orcs bianfd orbi12d orbi2d orcom 3orass
      3bitr4g eubidv mpbid pm2.46 olcs orbi1d df-3or syl6bbr mpdan syl6bb
      orass ecase3 ) ABACKZDLZMZABNZOZVIELZMZBVIFLZMZPZCQZAVMBNZVKNZCQZVSVTOVKC
      QZWBAVTVKCRVTAVMAOBABSZABABOZTABMOJABUAUBZUCZUDUCAVJCQZWCCDGUEWCAWHMAVJCU
      FUGUHUIAWAVRCAVKVTNVKVOVQNZNZWAVRAVTWIVKAVMVOBVQAVMVNABVMOZVLUJZUKULABVPW
      FULUMUNVTVKUOVKVOVQUPZUQURUSBAVMNZVQNZCQZVSWNOVQCQZWPBWNVQCRWNBAWEVMWFABU
      TZUDUCBVPCQZWQCFIUEWQBWSMBVPCUFUGUHUIBWOVRCBWOVKVONZVQNVRBWNWTVQBAVKVMVOB
      AVJWGULBVMVNABWKWLVAULUMVBVKVOVQVCVDURUSVMVLVONZCQZVSVMVOCQZXBVMVNCQZXCCE
      HUEXCVMXDMVMVNCUFUGUHVLVOCRVEVMXAVRCVMABVONZNWJXAVRVMAVKXEWIVMAVJWDULVMXE
      VQVONWIVMBVQVOVMBVPWRULVBVQVOUOVFUMABVOVGWMUQURUSVH $.
      $( [5-Apr-1995] $)
  $}

  ${
    $d x A $.
    $( There is at most one set equal to a class. $)
    moeq $p |- E* x x = A $=
      ( cv wceq wmo wex weu wi cvv wcel isset eueq bitr3 biimp df-mo mpbir ) AC
      BDZAEQAFZQAGZHRSRBIJSABKABLMNQAOP $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d x y ph $.  $d x y ps $.  $d x y A $.  $d x y B $.  $d x y C $.

    moeq3.1 $e |- B e. V $.
    moeq3.2 $e |- C e. V $.
    moeq3.3 $e |- -. ( ph /\ ps ) $.
    $( "At most one" property of equality (split into 3 cases).  (The
       first 2 hypotheses could be eliminated with longer proof.) $)
    moeq3 $p |- E* x ( ( ph /\ x = A ) \/ ( -. ( ph \/ ps ) /\ x = B )
                \/ ( ps /\ x = C ) ) $=
      ( vy cvv wcel cv wceq wa wo wn w3o wmo weu eqeq2 anbi2d pm4.2d 3orbi123d
      eubidv visset eueq3 vtoclg eumo syl wi wal pm2.21 eleq1 mpbii syl5
      anim2d orim1d 3orass 3imtr4g 19.21aiv euimmo mpi pm2.61i ) DKLZACMZDNZOZA
      BPQVFENOZBVFFNOZRZCSZVEVKCTZVLAVFJMZNZOZVIVJRZCTZVMJDKVNDNZVQVKCVSVPVHVIV
      IVJVJVSVOVGAVNDVFUAUBVSVIUCVSVJUCUDUEABCVNEFJUFGHIUGZUHVKCUIUJVEQZVRVLVTW
      AVKVQUKZCULVRVLUKWAWBCWAVHVIVJPZPVPWCPVKVQWAVHVPWCWAVGVOAWAVEVOVGVEVOUMVG
      VFKLVECUFVFDKUNUOUPUQURVHVIVJUSVPVIVJUSUTVAVKVQCVBUJVCVD $.
      $( [23-Apr-1995] $)
  $}

  ${
    $d x y A $.
    mosub.1 $e |- E* x ph $.
    $( "At most one" remains true after substitution. $)
    mosub $p |- E* x E. y ( y = A /\ ph ) $=
      ( cv wceq wmo wal wa wex moeq ax-gen moexexv mp2an ) CFDGZCHABHZCIPAJCKBH
      CDLQCEMPACBNO $.
      $( [9-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Theorem for inferring "at most one." $)
    mo2icl $p |- ( A. x ( ph -> x = A ) -> E* x ph ) $=
      ( vy cvv wcel cv wceq wi wal wmo eqeq2 imbi2d albidv imbi1d wex 19.8a
      ax-17 mo2 sylibr vtoclg wn visset eleq1 mpbii imim2i con3d com12 19.20dv
      alnex exmo ori sylbi syl6 pm2.61i ) CEFZABGZCHZIZBJZABKZIZAUQDGZHZIZBJZVA
      IVBDCEVCCHZVFUTVAVGVEUSBVGVDURAVCCUQLMNOVFVFDPVAVFDQABDADRSTUAUPUBZUTAUBZ
      BJZVAVHUSVIBUSVHVIUSAUPURUPAURUQEFUPBUCUQCEUDUEUFUGUHUIVJABPZUBVAABUJVKVA
      ABUKULUMUNUO $.
      $( [17-Oct-1996] $)
  $}

  ${
    $d x y A $.  $d y ph $.  $d x y ps $.
    moi2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Consequence of "at most one." $)
    moi2 $p |- ( ( ( A e. B /\ E* x ph ) /\ ( ph /\ ps ) ) -> x = A ) $=
      ( vy wcel wmo wa cv wceq wsbc wi wal wex wb visset eqvinc hbs1 ax-17
      hbbi sbequ12 bicomd sylan9bb 19.23ai sylbi anbi2d eqeq2 imbi12d cla4gv
      a4sd mo4f syl5ib imp31 ) DEHZACIZABJZCKZDLZUPAACGKZMZJZUSVALZNZGOZCOURUTN
      ZUQUPVFVGCVEVGGDEVADLZVCURVDUTVHVBBAVHVDUTJZCPVBBQZCVADGRSVIVJCVBBCACGTZB
      CUAUBVDVBAUTBVDAVBACGUCZUDFUEUFUGUHVADUSUIUJUKULAVBCGVKVLUMUNUO $.
      $( [29-Jun-2008] $) $( [29-Jun-2008] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ch $.  $d y ph $.  $d x y ps $.
    moi.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    moi.2 $e |- ( x = B -> ( ph <-> ch ) ) $.
    $( MAY BE REVISED - is there a way to shorten w/ moi2? $)
    $( Equality implied by "at most one." $)
    moi $p |- ( ( ( A e. C /\ B e. D ) /\ E* x ph /\ ( ps /\ ch ) ) ->
              A = B ) $=
      ( vy wcel wa wmo wceq cv wsbc wi wal ax-17 hbs1 hban hbim hbal anbi1d
      eqeq1 imbi12d albidv cla4gf wex wb visset eqvinc hbbi sbequ12 bicomd
      sylan9bb 19.23ai sylbi anbi2d eqeq2 cla4gv sylan9 mo4f syl5ib 3imp ) EGLZ
      FHLZMZADNZBCMZEFOZVIAADKPZQZMZDPZVMOZRZKSZDSZVKVLRZVJVGVTBVNMZEVMOZRZKSZV
      HWAVSWEDKEGVMELDTWDDKWBWCDBVNDBDTADKUAZUBWCDTUCUDVPEOZVRWDKWGVOWBVQWCWGAB
      VNIUEVPEVMUFUGUHUIWDWAKFHVMFOZWBVKWCVLWHVNCBWHVQVPFOZMZDUJVNCUKZDVMFKULUM
      WJWKDVNCDWFCDTUNVQVNAWICVQAVNADKUOZUPJUQURUSUTVMFEVAUGVBVCAVNDKWFWLVDVEVF
      $.
      $( [20-Feb-2006] $) $( [18-Feb-2006] $)
  $}

  ${
    $d x ph $.  $d x A $.
    euxfr2.1 $e |- A e. V $.
    euxfr2.2 $e |- E* y x = A $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` . $)
    euxfr2 $p |- ( E! x E. y ( x = A /\ ph ) <-> E! y ph ) $=
      ( cv wceq wa wex weu wmo wi 2euswap moani ancom mobii mpbi mpg moeq
      impbi pm4.2d ceqsexv eubii bitr ) BGDHZAIZCJBKZUGBJZCKZACKUHUJUGCLZUHUJMB
      UGBCNAUFIZCLUKUFACFOULUGCAUFPZQRSUGBLZUJUHMCUGCBNULBLUNUFABBDTOULUGBUMQRS
      UAUIACAABDEUFAUBUCUDUE $.
      $( [15-Nov-2004] $) $( [14-Nov-2004] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x A $.
    euxfr.1 $e |- A e. V $.
    euxfr.2 $e |- E! y x = A $.
    euxfr.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` . $)
    euxfr $p |- ( E! x ph <-> E! y ps ) $=
      ( weu cv wceq wa wex euex ax-mp biantrur 19.41v pm5.32i exbii 3bitr2
      eubii eumoi euxfr2 bitr ) ACICJEKZBLZDMZCIBDIAUGCAUEDMZALUEALZDMUGUHAUEDI
      UHGUEDNOPUEADQUIUFDUEABHRSTUABCDEFUEDGUBUCUD $.
      $( [19-Nov-2004] $) $( [14-Nov-2004] $)
  $}

  $( Restricted unique existence implies restricted existence. $)
  reurex $p |- ( E! x e. A ph -> E. x e. A ph ) $=
    ( cv wcel wa weu wex wreu wrex euex df-reu df-rex 3imtr4 ) BDCEAFZBGOBHABCI
    ABCJOBKABCLABCMN $.
    $( [19-Aug-1999] $)

  $( Restricted uniqueness in terms of "at most one." $)
  reu5 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\ E* x ( x e. A /\ ph ) ) ) $=
    ( cv wcel wa weu wex wmo wreu wrex eu5 df-reu df-rex anbi1i 3bitr4 ) BDCEAF
    ZBGQBHZQBIZFABCJABCKZSFQBLABCMTRSABCNOP $.
    $( [23-May-1999] $)

  ${
    $d x y A $.  $d y ph $.
    $( A way to express restricted uniqueness. $)
    reu2 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\
               A. x e. A A. y e. A ( ( ph /\ [ y / x ] ph ) -> x = y ) ) ) $=
      ( cv wcel wa weu wex wsbc wceq wi wal wreu wrex wral ax-17 eu2 df-reu
      df-rex df-ral 19.21v hbs1 hban eleq1 sbequ12 anbi12d sbie anbi2i an4
      bitr imbi1i impexp 3bitr albii imbi2i 3bitr4 bitr4 anbi12i ) BEZDFZAGZBHV
      BBIZVBVBBCEZJZGZUTVDKZLZCMZBMZGABDNABDOZAABVDJZGZVGLZCDPZBDPZGVBBCVBCQRAB
      DSVKVCVPVJABDTVPVAVOLZBMVJVOBDUAVIVQBVAVDDFZVNLZLZCMVAVSCMZLVIVQVAVSCUBVH
      VTCVHVAVRGZVMGZVGLWBVNLVTVFWCVGVFVBVRVLGZGWCVEWDVBVBWDBCVRVLBVRBQABCUCUDV
      GVAVRAVLUTVDDUEABCUFUGUHUIVAAVRVLUJUKULWBVMVGUMVAVRVNUMUNUOVOWAVAVNCDUAUP
      UQUOURUSUQ $.
      $( [22-Nov-1994] $)

    $( A way to express restricted uniqueness. $)
    reu3 $p |- ( E! x e. A ph <-> E. y e. A A. x e. A ( ph <-> x = y ) ) $=
      ( wreu cv wcel wa weu wceq wb wal wex wral wrex df-reu df-eu wi 19.28v
      wsbc eleq1 sbequ12 anbi12d eqeq1 bibi12d eqid tbt pm3.26 sylbir syl6bi
      a4imv bi1 exp3a imp bi2 pm3.27 syl6 adantr impbid ex a4s jca a5i imim2i
      imp3a adantl eleq1a com23 adantll jcai 19.20i impbi df-ral anbi2i 3bitr4
      exbii df-rex bitr4 3bitr ) ABDEBFZDGZAHZBIWBVTCFZJZKZBLZCMZAWDKZBDNZCDOZA
      BDPWBBCQWGWCDGZWIHZCMWJWFWLCWKWAWHRZHZBLZWKWMBLZHWFWLWKWMBSWFWOWEWNBWFWKW
      MWEWKBCWDWEWKABWCTZHZWCWCJZKZWKWDWBWRWDWSWDWAWKAWQVTWCDUAABCUBUCVTWCWCUDU
      EWTWRWKWSWRWCUFUGWKWQUHUIUJUKWEWMBWEWAWHWEWAHAWDWEWAAWDRZWEWAAWDWBWDULUMU
      NWEWDARZWAWEWDWBAWBWDUOWAAUPUQURUSUTVAVBVCWNWEBWNWBWDWMWBWDRWKWMWAAWDWHXA
      WAAWDULVDVEVFWNWDWBWNWDHWAAWNWDWAWKWDWARWMWCDVTVGURUNWMWDWAARZWKWMWDXCWMW
      AWDAWHXBWAAWDUOVDVHUNVIVJUTUSVKVLWIWPWKWHBDVMVNVOVPWICDVQVRVS $.
      $( [21-Oct-2006] $) $( [20-Oct-2006] $)

    $( A way to express restricted uniqueness. $)
    reu6 $p |- ( E! x e. A ph <->
               ( E. x e. A ph /\ E. y e. A A. x e. A ( ph -> x = y ) ) ) $=
      ( wreu wrex cv wceq wi wral wa reurex wb reu3 bi1 r19.20si r19.22si
      sylbi jca wex rexex anim2i wcel weu wal ax-17 eu3 df-reu df-rex df-ral
      impexp albii bitr4 exbii anbi12i 3bitr4 sylibr impbi ) ABDEZABDFZABGZCGHZ
      IZBDJZCDFZKZUSUTVEABDLUSAVBMZBDJZCDFVEABCDNVHVDCDVGVCBDAVBOPQRSVFUTVDCTZK
      ZUSVEVIUTVDCDUAUBVADUCZAKZBUDVLBTZVLVBIZBUEZCTZKUSVJVLBCVLCUFUGABDUHUTVMV
      IVPABDUIVDVOCVDVKVCIZBUEVOVCBDUJVNVQBVKAVBUKULUMUNUOUPUQUR $.
      $( [1-Nov-2006] $) $( [24-Oct-2006] $)
  $}

  ${
    $d x y z A $.  $d y z ph $.  $d x z ps $.
    rmo4.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Restricted "at most one" using implicit substitution. $)
    rmo4 $p |- ( E* x ( x e. A /\ ph ) <->
               A. x e. A A. y e. A ( ( ph /\ ps ) -> x = y ) ) $=
      ( cv wcel wa wceq wi wal wral wmo an4 ancom anbi1i bitr imbi1i impexp
      3bitr albii df-ral r19.21v 3bitr2 eleq1 anbi12d mo4 3bitr4 ) CGZEHZAIZDGZ
      EHZBIZIZUJUMJZKZDLZCLUKABIZUQKZDEMZKZCLULCNVBCEMUSVCCUSUNUKVAKZKZDLVDDEMV
      CURVEDURUNUKIZUTIZUQKVFVAKVEUPVGUQUPUKUNIZUTIVGUKAUNBOVHVFUTUKUNPQRSVFUTU
      QTUNUKVATUAUBVDDEUCUKVADEUDUEUBULUOCDUQUKUNABUJUMEUFFUGUHVBCEUCUI $.
      $( [24-Oct-2006] $) $( [24-Oct-2006] $)

    $( Restricted uniqueness using implicit substitution. $)
    reu4 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\
             A. x e. A A. y e. A ( ( ph /\ ps ) -> x = y ) ) ) $=
      ( wreu wrex cv wcel wa wmo wceq wi wral reu5 rmo4 anbi2i bitr ) ACEGACEHZ
      CIZEJAKCLZKTABKUADIMNDEOCEOZKACEPUBUCTABCDEFQRS $.
      $( [23-Nov-1994] $)

    $( Restricted uniqueness using implicit substitution. $)
    reu7 $p |- ( E! x e. A ph <-> ( E. x e. A ph /\
             E. x e. A A. y e. A ( ps -> x = y ) ) ) $=
      ( vz wreu wrex cv wceq wi wral wa reu6 eqeq1 eqcom syl6bb imbi12d
      cbvralv rexbii imbi2d ralbidv cbvrexv bitr anbi2i ) ACEHACEIZACJZGJZKZLZC
      EMZGEIZNUGBUHDJZKZLZDEMZCEIZNACGEOUMURUGUMBUIUNKZLZDEMZGEIURULVAGEUKUTCDE
      UOABUJUSFUOUJUNUIKUSUHUNUIPUNUIQRSTUAVAUQGCEUIUHKZUTUPDEVBUSUOBUIUHUNPUBU
      CUDUEUFUE $.
      $( [12-Nov-2006] $) $( [24-Oct-2006] $)

    $( Restricted uniqueness using implicit substitution. $)
    reu8 $p |- ( E! x e. A ph <-> E. x e. A ( ph /\
                A. y e. A ( ps -> x = y ) ) ) $=
      ( wreu cv wceq wb wral wrex wi wa cbvreuv reu3 wcel eqcom imbi2i ralbii
      a1i biimt wal df-ral bi2.04 albii visset eleq1 imbi12d bicomd eqcoms
      ceqsalv 3bitrr syl6bb anbi12d ancom syl5bb r19.26 syl6rbbr dfbi2 rexbiia
      3bitr ) ACEGBDEGBDHZCHZIZJZDEKZCELABVDVCIZMZDEKZNZCELABCDEFOBDCEPVGVKCEVD
      EQZBVEMZVEBMZNZDEKZVKVGVLVKVMDEKZVNDEKZNZVPVLVJANVSVKVLVJVQAVRVJVQJVLVIVM
      DEVHVEBVDVCRSTUAVLAVLAMZVRVLAUBVRVCEQZVNMZDUCVEWABMZMZDUCVTVNDEUDWBWDDWAV
      EBUEUFWCVTDVDCUGWCVTJVDVCVHVTWCVHVLWAABVDVCEUHFUIUJUKULUMUNUOAVJUPUQVMVND
      EURUSVFVODEBVEUTTUQVAVB $.
      $( [25-Oct-2006] $) $( [24-Oct-2006] $)
  $}

  ${
    $d x y A $.
    $( A condition allowing swap of uniqueness and existential quantifiers. $)
    2reuswap $p |- ( A. x e. A E* y ( y e. A /\ ph ) ->
                   ( E! x e. A E. y e. A ph -> E! y e. A E. x e. A ph ) ) $=
      ( cv wcel wa wmo wral wal wrex wreu wi df-ral moanimv albii bitr4 wex
      weu 2euswap df-reu df-rex r19.42v an12 exbii 3bitr3 eubii bitr bitr3
      3imtr4g sylbi ) CEDFZAGZCHZBDIZBEDFZUMGZCHZBJZACDKZBDLZABDKZCDLZMUOUPUNMZ
      BJUSUNBDNURVDBUPUMCOPQUSUQCRZBSZUQBRZCSZVAVCUQBCTVAUPUTGZBSVFUTBDUAVIVEBU
      PAGZCDKULVJGZCRVIVEVJCDUBUPACDUCVKUQCULUPAUDUEUFUGUHVCULVBGZCSVHVBCDUAVLV
      GCVLUMBDKVGULABDUCUMBDUBUIUGUHUJUK $.
      $( [16-Nov-2004] $) $( [14-Nov-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                    Russell's Paradox
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Russell's Paradox.  Proposition 4.14 of [TakeutiZaring] p. 14.  Frege's
       Axiom of (unrestricted) Comprehension, expressed in our notation as
       ` A e. V ` , asserted that any collection of sets ` A ` is a set i.e.
       belongs to the universe ` V ` of all sets.  In particular, by
       substituting ` { x | x e/ x } ` (the "Russell class") for ` A ` , it
       asserted ` { x | x e/ x } e. V ` , meaning that the "collection of all
       sets which are not members of themselves" is a set.  However, here we
       prove ` { x | x e/ x } e/ V ` . This contradiction was discovered by
       Russell in 1901 (published in 1903), invalidating Comprehension and
       leading to the collapse of Frege's system.

       In 1908 Zermelo rectified this fatal flaw by replacing Comprehension
       with a weaker Subset (or Separation) Axiom ~ ssex asserting that ` A `
       is a set only when it is smaller than some other set ` B ` . However,
       Zermelo was then faced with a "chicken and egg" problem of how to show
       ` B ` is a set, leading him to introduce the set-building axioms of Null
       Set ~ 0ex , Pairing ~ prex , Union ~ uniex , Power Set ~ pwex , and
       Infinity ~ omex to give him some starting sets to work with (all of
       which, before Russell's Paradox, were immediate consequences of Frege's
       Comprehension).  In 1922 Fraenkel strengthened the Subset Axiom with our
       present Replacement Axiom ~ funimaex (whose modern formalization is due
       to Skolem, also in 1922).  Thus in a very real sense Russell's Paradox
       spawned the invention of ZF set theory and completely revised the
       foundations of mathematics!

       Another mainstream formalization of set theory, devised by von
       Neumann, Bernays, and Goedel, uses class variables rather than set
       variables as its primitives.  The axiom system NBG in [Mendelson]
       p. 225 is suitable for a Metamath encoding.  NBG is a conservative
       extension of ZF in that it proves exactly the same theorems as ZF that
       are expressible in the language of ZF.  An advantage of NBG is that it
       is finitely axiomatizable - the Axiom of Replacement can be broken down
       into a finite set of formulas that eliminate its wff metavariable.
       Finite axiomatizability is required by some proof languages (although
       not by Metamath).  There is a stronger version of NBG called
       Morse-Kelley (axiom system MK in [Mendelson] p. 287).

       Russell himself continued in a different direction, avoiding the paradox
       with his "theory of types."  Quine extended Russell's ideas to formulate
       the very strong New Foundations set theory (axiom system NF of [Quine]
       p. 331).  In NF, the collection of all sets is a set, contradicting ZF
       and NBG set theories, and it has other bizarre consequences:  when sets
       become too huge (beyond the size of those used in standard mathematics),
       the Axiom of Choice ~ ac4 and Cantor's Theorem ~ canth are provably
       false!  (See ~ ncanth for some intuition behind the latter.)
       Nonetheless, NF has not been shown to be inconsistent and has its
       advocates - who's to say which set theory is "right"?  NF is finitely
       axiomatizable and can be encoded in Metamath using the axioms from
       T. Hailperin, "A set of axioms for logic," _J. Symb. Logic_ 9:1-19
       (1944).

       Under our ZF set theory, every set is a member of the Russell class by
       ~ elirrv (derived from the Axiom of Regularity), so for us the Russell
       class equals the universe ` V ` . $)
    ru $p |- { x | x e/ x } e/ V $=
      ( vy cv wnel cab cvv wcel wn wceq wex wb wal pm5.19 eleq1 id eleq12d
      negbid df-nel syl5bb bibi12d a4v mto abeq2 mtbir nex isset mpbir ) ACZUHD
      ZAEZFDUJFGZHUKBCZUJIZBJUMBUMUHULGZUIKZALZUPULULGZUQHZKZUQMUOUSABUHULIZUNU
      QUIURUHULULNUTUHUHGZHURUIUTVAUQUTUHULUHULUTOZVBPQUHUHRSTUAUBUIAULUCUDUEBU
      JUFUDUJFRUG $.
      $( [7-Aug-1994] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Proper substitution of classes for sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x $.  $d x y $.
    sbhypf.1 $e |- ( ps -> A. x ps ) $.
    sbhypf.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Introduce an explicit substitution into an implicit substitution
       hypothesis. $)
    sbhypf $p |- ( y = A -> ( [ y / x ] ph <-> ps ) ) $=
      ( cv wceq wa wex wsbc wb visset eqeq1 ceqsexv hbs1 hbbi sbequ12 bicomd
      sylan9bb 19.23ai sylbir ) DHZEIZCHZUDIZUFEIZJZCKACUDLZBMZUHUECUDDNUFUDEOP
      UIUKCUJBCACDQFRUGUJAUHBUGAUJACDSTGUAUBUC $.
      $( [5-Mar-2008] $) $( 2-Mar-2008] $)
  $}

  ${
    $d ps x $.  $d A x $.  $d x y $.
    sbhyp.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( MAY BE REVISED - use ~ sbhypf and make this one obsolete? $)
    $( Change variable of an implicit substitution hypothesis, introducing an
       explicit substitution.  (Contributed by Raph Levien, 10-Apr-2004.) $)
    sbhyp $p |- ( y = A -> ( [ y / x ] ph <-> ps ) ) $=
      ( cv wceq wa wex wsbc wb visset eqeq1 ceqsexv hbs1 ax-17 hbbi sbequ12
      bicomd sylan9bb 19.23ai sylbir ) DGZEHZCGZUDHZUFEHZIZCJACUDKZBLZUHUECUDDM
      UFUDENOUIUKCUJBCACDPBCQRUGUJAUHBUGAUJACDSTFUAUBUC $.
      $( [25-May-2004] $) $( [10-Apr-2004] $)
  $}

  ${
    $d x y z $.  $d y z ph $.  $d x z ps $.
    sbralie.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Implicit to explicit substitution that swaps variables in a quantified
       expression. $)
    sbralie $p |- ( [ x / y ] A. x e. y ph <-> A. y e. x ps ) $=
      ( vz cv wral wsbc ax-17 hbs1 sbequ12 cbvral sbbii raleq1 sbie bitr sbco2
      ralbii 3bitr ) ACDGZHZDCGZIZACFGIZFUCHZUEFUAIZDUCHBDUCHUDUEFUAHZDUCIUFUBU
      HDCAUECFUAAFJZACFKACFLMNUHUFDCUFDJUEFUAUCOPQUEUGFDUCUEDJUEFDKUEFDLMUGBDUC
      UGACUAIBACDFUIRABCDBCJEPQST $.
      $( [6-Sep-2004] $) $( [5-Sep-2004] $)
  $}

  $( --- Start of old code before overloading prevention patch. $)
  $(
  @( Extend wff notation to include the proper substitution of a class for a
     set.  This definition "overloads" the previously defined variable
     substitution ~ wsb (where the first argument is a set variable rather
     than a class variable).  We take care to ensure that this new definition
     is a conservative extension.  Read this notation as "the proper
     substitution of class ` A ` for set variable ` x ` in wff ` ph ` ." @)
  wsbc @a wff [ A / x ] ph @.
  $)
  $( --- End of old code before overloading prevention patch. $)

  $( Define the proper substitution of a class for a set.  This definition
     applies to proper classes but is not meaningful in that case (and does not
     produce the same results as Definition 6.6 of [Quine] p. 42).  This
     definition is somewhat arbitrary in how it behaves with proper classes -
     e.g., we could have used ~ sbc6 , which yields a different result for
     proper classes.  In order to allow for a possible alternate but
     conflicting definition in the future, we will not commit to any specific
     proper class behavior.  Instead, we will use this definition _only_ to
     prove ~ dfsbcq , which will in turn serve as the starting point for all
     theorems based on the definition.  Note: this definition extends or
     "overloads" ~ df-sb which (via ~ df-clab ) becomes a special case of it,
     so a careful metalogical soundness justification, outside of Metamath,
     is needed for complete rigor; alternately, we could treat this definition
     as a new axiom.

     The related definition ~ df-csb defines proper substitution into a class
     variable (as opposed to a wff variable). $)
  df-sbc $a |- ( [ A / x ] ph <-> A e. { x | ph } ) $.

  $( This theorem, which is similar to Theorem 6.7 of [Quine] p. 42, provides
     us a weak definition of the proper substitution of a class for a set
     that we will use in place of ~ df-sbc above.  We derive all our results
     from starting from here instead of ~ df-sbc .  As a consequence we can
     derive ~ elabs , which is a weaker version of ~ df-sbc that leaves
     substitution undefined when ` A ` is a proper class.  We thus leave
     unspecified the "official" behavior for proper classes, which could be
     as in the ~ sbc5 assertion (always false) or as in ~ sbc6 (always true)
     or some more meaningful possibility in the future, that some clever
     person may discover, that is closer to Quine's definition.  (Quine's
     actual definition cannot be expressed directly in our formal system.) $)
  dfsbcq $p |- ( A = B -> ( [ A / x ] ph <-> [ B / x ] ph ) ) $=
    ( wceq cab wcel wsbc eleq1 df-sbc 3bitr4g ) CDECABFZGDLGABCHABDHCDLIABCJABD
    JK $.
    $( [14-Apr-1995] $)

  $( Equality theorem for class substitution. $)
  sbceq1a $p |- ( x = A -> ( ph <-> [ A / x ] ph ) ) $=
    ( cv wceq wsbc dfsbcq sbid syl5bbr ) BDZCEABJFABCFAABJCGABHI $.
    $( [26-Sep-2003] $)

  ${
    $d ph y $.  $d A y $.  $d x y $.
    $( Specialization:  if a formula is true for all sets, it is true for
       any class which is a set.  Similar to Theorem 6.11 of [Quine] p. 44.
       See also ~ stdpc4 and ~ ra4sbc . $)
    a4sbc $p |- ( A e. B -> ( A. x ph -> [ A / x ] ph ) ) $=
      ( vy wal wsbc wi cv wceq dfsbcq stdpc4 syl5bi vtocleg ) ABFZABCGZHECDEIZC
      JABQGPOABQCKABELMN $.
      $( [17-Jan-2004] $) $( [16-Jan-2004] $)
  $}

  ${
    sbcth.1 $e |- ph $.
    $( A substitution into a theorem remains true (when ` A ` is a set). $)
    sbcth $p |- ( A e. B -> [ A / x ] ph ) $=
      ( wcel wal wsbc ax-gen a4sbc mpi ) CDFABGABCHABEIABCDJK $.
      $( [7-Nov-2005] $) $( [5-Nov-2005] $)
  $}

  ${
    $d x ph $.
    sbcthdv.1 $e |- ( ph -> ps ) $.
    $( Deduction version of ~ sbcth . $)
    sbcthdv $p |- ( ( ph /\ A e. B ) -> [ A / x ] ps ) $=
      ( wcel wa wal wsbc 19.21aiv adantr wi a4sbc adantl mpd ) ADEGZHBCIZBCDJZA
      RQABCFKLQRSMABCDENOP $.
      $( [2-Dec-2005] $) $( [30-Nov-2005] $)
  $}

  ${
    $d x y z $.  $d y A z $.  $d ph z $.
    hbsbc1g.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for class substitution.  (The
       antecedent ensures that ` A ` is a set, which is necessary if we
       restrict ourselves to using only the "weak" class substitution
       definition ~ dfsbcq .) $)
    hbsbc1g $p |- ( A e. B -> ( [ A / x ] ph -> A. x [ A / x ] ph ) ) $=
      ( vz wsbc wal wi cv wceq dfsbcq wcel ax-17 hbeq albid hbs1 syl5bi
      sylbird vtocleg ) ABDHZUBBIZJGDEGKZDLZUBABUDHZUCABUDDMZUEUFBIUCUFUEUFUBBB
      CCUDDCKUDNBOFPUGQABGRSTUA $.
      $( [13-Oct-2004] $) $( [11-Oct-2004] $)

    ${
      $d x y B $.
      $( Bound-variable hypothesis builder for class substitution.  (The
         antecedent ensures that ` A ` is a set, which is necessary if we
         restrict ourselves to using only the "weak" class substitution
         definition ~ dfsbcq .) $)
      hbsbc1 $p |- ( ( A e. B -> [ A / x ] ph ) ->
                        A. x ( A e. B -> [ A / x ] ph ) ) $=
        ( wcel wsbc cv ax-17 hbel hbsbc1g hbim1 ) DEGABDHBBCCDEFCIEGBJKABCDEFLM
        $.
        $( [23-Aug-1993] $)
    $}
  $}

  ${
    $d x A y $.
    hbsbcv.1 $e |- A e. V $.
    $( Bound-variable hypothesis builder for class substitution. $)
    hbsbc1v $p |- ( [ A / x ] ph -> A. x [ A / x ] ph ) $=
      ( vy cvv wcel wsbc wi wal cv ax-17 hbsbc1 a1bi albii 3imtr4 ) CFGZABCHZIZ
      SBJRRBJABECFEKCGBLMQRDNZRSBTOP $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d w z A $.  $d w y $.  $d z w x $.  $d w ph $.
    hbsbcg.1 $e |- ( z e. A -> A. x z e. A ) $.
    hbsbcg.2 $e |- ( ph -> A. x ph ) $.
    $( Bound-variable hypothesis builder for class substitution.  (The proof
       was shortened by Eric Schmidt, 17-Jan-2007.) $)
    hbsbcg $p |- ( A e. B -> ( [ A / y ] ph -> A. x [ A / y ] ph ) ) $=
      ( vw cv wsbc wal wi wceq dfsbcq wcel ax-17 hbeq albid imbi12d hbsb
      vtoclg ) ACIJZKZUDBLZMACEKZUFBLZMIEFUCENZUDUFUEUGACUCEOZUHUDUFBBDDUCEDJUC
      PBQGRUISTACIBHUAUB $.
      $( [18-Jan-2007] $) $( [17-Nov-2005] $)
  $}

  ${
    $d x z $.  $d z A $.  $d y z ph $.
    $( A composition law for class substitution. $)
    sbccog $p |- ( A e. B -> ( [ A / y ] [ y / x ] ph <-> [ A / x ] ph ) ) $=
      ( vz cv wsbc dfsbcq ax-17 sbco2 vtoclbg ) ABCGHZCFGZHABNHMCDHABDHFDEMCNDI
      ABNDIABFCACJKL $.
      $( [11-Jan-2004] $) $( [26-Sep-2003] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d A y $.
    sbcco2.1 $e |- ( x = y -> A = B ) $.
    $( A composition law for class substitution.  Importantly, ` x ` may occur
       free in the class expression substituted for ` A ` . $)
    sbcco2 $p |- ( [ x / y ] [ B / x ] ph <-> [ A / x ] ph ) $=
      ( wsbc ax-17 cv wceq wb eqcom 3imtr4 dfsbcq syl sbie ) ABEGZABDGZCBRCHCIZ
      BIZJZEDJZQRKTSJDEJUAUBFSTLEDLMABEDNOP $.
      $( [6-Sep-2004] $) $( [5-Sep-2004] $)
  $}

  ${
    $d x y A $.
    $( An equivalence for class substitution. $)
    sbc5g $p |- ( A e. B -> ( [ A / x ] ph <-> E. x ( x = A /\ ph ) ) ) $=
      ( vy cvv wcel wsbc cv wceq wa wex wb wi biimt anbi2d exbidv ax-17 hbsbc1
      sbceq1a imbi2d ceqsexg 3bitr3rd pm5.74rd elisset sylc ) CFGZUGABCHZBICJZA
      KZBLZMCDGUGUGUHUKUGUKUIUGANZKZBLUGUKNUGUHNZUGUJUMBUGAULUIUGAOPQUGUKOULUNB
      CFABECFEICGBRSUIAUHUGABCTUAUBUCUDCDUEZUOUF $.
      $( [13-Oct-2004] $) $( [11-Oct-2004] $)
  $}

  ${
    $d x y A $.
    $( An equivalence for class substitution. $)
    sbc6g $p |- ( A e. B -> ( [ A / x ] ph <-> A. x ( x = A -> ph ) ) ) $=
      ( vy cvv wcel wsbc cv wceq wi wal wb biimt imbi2d albidv ax-17 hbsbc1
      sbceq1a ceqsalg 3bitr3rd pm5.74rd elisset sylc ) CFGZUEABCHZBICJZAKZBLZMC
      DGUEUEUFUIUEUIUGUEAKZKZBLUEUIKUEUFKZUEUHUKBUEAUJUGUEANOPUEUINUJULBCFABECF
      EICGBQRUGAUFUEABCSOTUAUBCDUCZUMUD $.
      $( [26-Oct-2004] $) $( [11-Oct-2004] $)
  $}

  ${
    $d x A $.
    sbc5.1 $e |- A e. V $.
    $( An equivalence for class substitution. $)
    sbc5 $p |- ( [ A / x ] ph <-> E. x ( x = A /\ ph ) ) $=
      ( cvv wcel wsbc cv wceq wa wex wb sbc5g ax-mp ) CEFABCGBHCIAJBKLDABCEMN
      $.
      $( [23-Aug-1993] $)
  $}

  ${
    $d x A $.
    sbc6.1 $e |- A e. V $.
    $( An equivalence for class substitution.  (The proof was shortened by Eric
       Schmidt, 17-Jan-2007.) $)
    sbc6 $p |- ( [ A / x ] ph <-> A. x ( x = A -> ph ) ) $=
      ( cvv wcel wsbc cv wceq wi wal wb sbc6g ax-mp ) CEFABCGBHCIAJBKLDABCEMN
      $.
      $( [18-Jan-2007] $) $( [23-Aug-1993] $)
  $}

  ${
    $d x A $.
    $( The disjunction of two equivalences for class substitution does not
       require a class existence hypothesis. $)
    sbc2or $p |- ( ( [ A / x ] ph <-> E. x ( x = A /\ ph ) ) \/
                  ( [ A / x ] ph <-> A. x ( x = A -> ph ) ) ) $=
      ( cvv wcel wsbc cv wceq wa wex wb wi wal wo sbc5g orcd wn pm5.15 pm5.1
      visset eleq1 mpbii adantr con3i nexdv pm2.21d 19.21aiv sylanc bibi2d
      orbi2d pm2.61i ) CDEZABCFZBGZCHZAIZBJZKZUMUOALZBMZKZNZULURVAABCDOPULQZURU
      MUQQZKZNVBUMUQRVCVEVAURVCVDUTUMVDUTVDUTKVCVDUTSVCUPBUPULUOULAUOUNDEULBTUN
      CDUAUBZUCUDUEVCUSBVCUOAUOULVFUDUFUGUHUIUJUBUK $.
      $( [26-Oct-2004] $) $( [11-Oct-2004] $)
  $}

  ${
    $d x y A $.  $d y ps $.
    $( Conversion of implicit substitution to explicit class substitution,
       using a bound-variable hypothesis instead of distinct variables.
       (Closed theorem version of ~ sbciegf .) $)
    sbciegft $p |- ( ( A e. B /\ A. x ( ps -> A. x ps ) /\
              A. x ( x = A -> ( ph <-> ps ) ) ) -> ( [ A / x ] ph <-> ps ) ) $=
      ( wcel wal wi cv wceq wb w3a wsbc wa wex sbc5g 3ad2ant1 19.23t biimpa
      bi1 imim2i imp3a 19.20i sylan2 3adant1 sylbid 19.21t bi2 com23 sbc6g
      sylibrd impbid ) DEFZBBCGHCGZCIDJZABKZHZCGZLZACDMZBUSUTUOANZCOZBUMUNUTVBK
      URACDEPQUNURVBBHZUMUNVABHZCGZVCURUNVEVCVABCRSUQVDCUQUOABUPABHUOABTUAUBUCU
      DUEUFUSBUOAHZCGZUTUNURBVGHZUMUNBVFHZCGZVHURUNVJVHBVFCUGSUQVICUQUOBAUPBAHU
      OABUHUAUIUCUDUEUMUNUTVGKURACDEUJQUKUL $.
      $( [11-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x B $.
    sbciegf.1 $e |- ( A e. B -> ( ps -> A. x ps ) ) $.
    sbciegf.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution. $)
    sbciegf $p |- ( A e. B -> ( [ A / x ] ph <-> ps ) ) $=
      ( wcel wal wi wsbc wb 19.21aiv cv wceq ax-gen sbciegft 3exp mpii mpd ) DE
      HZBBCIJZCIZACDKBLZUAUBCFMUAUCCNDOABLJZCIZUDUECGPUAUCUFUDABCDEQRST $.
      $( [14-Dec-2005] $) $( [14-Dec-2005] $)
  $}

  ${
    $d x A $.  $d x ps $.
    sbcieg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution. $)
    sbcieg $p |- ( A e. B -> ( [ A / x ] ph <-> ps ) ) $=
      ( wcel cvv wsbc wb elisset wal wi ax-17 a1i sbciegf syl ) DEGDHGZACDIBJDE
      KABCDHBBCLMRBCNOFPQ $.
      $( [11-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x ps $.
    sbcie.1 $e |- A e. V $.
    sbcie.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Conversion of implicit substitution to explicit class substitution. $)
    sbcie $p |- ( [ A / x ] ph <-> ps ) $=
      ( cvv wcel wsbc wb sbcieg ax-mp ) DGHACDIBJEABCDGFKL $.
      $( [6-Sep-2004] $) $( [4-Sep-2004] $)
  $}

  ${
    $d z w A $.  $d y z w B $.  $d z ph $.  $d x y z w $.
    elrabsf.1 $e |- ( y e. B -> A. x y e. B ) $.
    $( Membership in a restricted class abstraction, expressed with explicit
       class substitution. (The variation ~ elrabf has implicit
       substitution).  The hypothesis specifies that ` x ` must not be a free
       variable in ` B ` . $)
    elrabsf $p |- ( A e. { x e. B | ph } <-> ( A e. B /\ [ A / x ] ph ) ) $=
      ( vz vw crab wcel cv wsbc wa ax-17 hbs1 sbequ12 cbvrab eleq2i cvv wi
      hbsbc1 wceq sbceq1a wb wex 19.8a isset sylibr biimt syl bitrd elrabf
      elisset pm5.32i bitr4 sbccog 3bitr ) DABEIZJDABGKZLZGEIZJZDEJZUTGDLZMZVCA
      BDLZMURVADAUTBGCEFCKEJGNAGNABGOABGPQRVBVCDSJZVDTZMVEUTVHGHDEHKZDJGNZVIEJG
      NUTGHDSVJUAUSDUBZUTVDVHUTGDUCVKVGVDVHUDZVKVKGUEVGVKGUFGDUGUHVGVDUIZUJUKUL
      VCVDVHVCVGVLDEUMVMUJUNUOVCVDVFABGDEUPUNUQ $.
      $( [30-Sep-2003] $)
  $}

  ${
    $d x y $.
    $( Membership in a class abstraction, expressed in terms of class
       substitution.  Theorem 6.13 of [Quine] p. 44. $)
    elabs2 $p |- ( A e. { x | ph } <-> ( A e. V /\ [ A / x ] ph ) ) $=
      ( vy cab wcel cvv crab wsbc wa rabab eleq2i cv ax-17 elrabsf bitr3 ) CABE
      ZFCABGHZFCGFABCIJRQCABKLABDCGDMGFBNOP $.
      $( [9-Mar-2004] $) $( [7-Mar-2004] $)
  $}

  $( Membership in a class abstraction, expressed in terms of class
     substitution.  Conveniently, this theorem has no distinct variable
     restrictions.  Except for the antecedent, this theorem is "almost" like
     ~ df-sbc but was proved using only ~ dfsbcq as its starting point
     (making no other reference to ~ df-sbc ).  We prefer not to make direct
     reference to ~ df-sbc (i.e. commit to it) since its behavior at proper
     classes is at odds with Quine, whereas ~ dfsbcq is not.  (Quine's class
     substitution cannot be expressed in closed form.)  This theorem serves
     as a weaker Quine-compatible substitute for ~ df-sbc . $)
  elabsg $p |- ( A e. B -> ( A e. { x | ph } <-> [ A / x ] ph ) ) $=
    ( wcel cvv cab wsbc wb elisset elabs2 baib syl ) CDECFEZCABGEZABCHZICDJONPA
    BCKLM $.
    $( [6-Nov-2005] $) $( [4-Nov-2005] $)

  ${
    elabs.1 $e |- A e. V $.
    $( Membership in a class abstraction, expressed in terms of class
       substitution. $)
    elabs $p |- ( A e. { x | ph } <-> [ A / x ] ph ) $=
      ( cab wcel cvv wsbc elabs2 mpbiran ) CABEFCGFABCHABCIDJ $.
      $( [9-Mar-2004] $) $( [7-Mar-2004] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Change bound variable by using a substitution. $)
    cbvralsv $p |- ( A. x e. A ph <-> A. y e. A [ y / x ] ph ) $=
      ( cv wsbc ax-17 hbs1 sbequ12 cbvral ) AABCEFBCDACGABCHABCIJ $.
      $( [25-Nov-2005] $) $( [20-Nov-2005] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Change bound variable by using a substitution. $)
    cbvrexsv $p |- ( E. x e. A ph <-> E. y e. A [ y / x ] ph ) $=
      ( cv wsbc ax-17 hbs1 sbequ12 cbvrex ) AABCEFBCDACGABCHABCIJ $.
      $( [5-Mar-2008] $) $( [2-Mar-2008] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y ph $.  $d y ps $.
    $( Move negation in and out of class substitution. $)
    sbcng $p |- ( A e. B -> ( [ A / x ] -. ph <-> -. [ A / x ] ph ) ) $=
      ( vy wn cv wsbc dfsbcq wceq negbid sbn vtoclbg ) AFZBEGZHABOHZFNBCHABCHZF
      ECDNBOCIOCJPQABOCIKABELM $.
      $( [3-Feb-2004] $) $( [16-Jan-2004] $)

    $( Distribution of class substitution over implication. $)
    sbcimg $p |- ( A e. B ->
           ( [ A / x ] ( ph -> ps ) <-> ( [ A / x ] ph -> [ A / x ] ps ) ) ) $=
      ( vy wi cv wsbc dfsbcq wceq imbi12d sbim vtoclbg ) ABGZCFHZIACPIZBCPIZGOC
      DIACDIZBCDIZGFDEOCPDJPDKQSRTACPDJBCPDJLABCFMN $.
      $( [16-Jan-2004] $) $( [16-Jan-2004] $)

    $( Distribution of class substitution over conjunction. $)
    sbcang $p |- ( A e. B ->
           ( [ A / x ] ( ph /\ ps ) <-> ( [ A / x ] ph /\ [ A / x ] ps ) ) ) $=
      ( vy wa cv wsbc dfsbcq wceq anbi12d sban vtoclbg ) ABGZCFHZIACPIZBCPIZGOC
      DIACDIZBCDIZGFDEOCPDJPDKQSRTACPDJBCPDJLABCFMN $.
      $( [22-May-2004] $) $( [21-May-2004] $)

    $( Distribution of class substitution over disjunction. $)
    sbcorg $p |- ( A e. B ->
           ( [ A / x ] ( ph \/ ps ) <-> ( [ A / x ] ph \/ [ A / x ] ps ) ) ) $=
      ( vy wo cv wsbc dfsbcq wceq orbi12d sbor vtoclbg ) ABGZCFHZIACPIZBCPIZGOC
      DIACDIZBCDIZGFDEOCPDJPDKQSRTACPDJBCPDJLABCFMN $.
      $( [22-May-2004] $) $( [21-May-2004] $)

    $( Distribution of class substitution over biconditional.  (Contributed
       by Raph Levien, 10-Apr-2004.) $)
    sbcbidig $p |- ( A e. B ->
         ( [ A / x ] ( ph <-> ps ) <-> ( [ A / x ] ph <-> [ A / x ] ps ) ) ) $=
      ( vy wb cv wsbc dfsbcq wceq bibi12d sbbi vtoclbg ) ABGZCFHZIACPIZBCPIZGOC
      DIACDIZBCDIZGFDEOCPDJPDKQSRTACPDJBCPDJLABCFMN $.
      $( [22-May-2004] $) $( [19-Apr-2004] $)
  $}

  ${
    $d x z A $.  $d x y z $.  $d z ph $.
    $( Move universal quantifier in and out of class substitution. $)
    sbcalg $p |- ( A e. B -> ( [ A / y ] A. x ph <-> A. x [ A / y ] ph ) ) $=
      ( vz wal cv wsbc dfsbcq wceq albidv sbal vtoclbg ) ABGZCFHZIACPIZBGOCDIAC
      DIZBGFDEOCPDJPDKQRBACPDJLABCFMN $.
      $( [4-Feb-2004] $) $( [16-Jan-2004] $)

    $( Move existential quantifier in and out of class substitution. $)
    sbcexg $p |- ( A e. B -> ( [ A / y ] E. x ph <-> E. x [ A / y ] ph ) ) $=
      ( vz wex cv wsbc dfsbcq wceq exbidv sbex vtoclbg ) ABGZCFHZIACPIZBGOCDIAC
      DIZBGFDEOCPDJPDKQRBACPDJLABCFMN $.
      $( [22-May-2004] $) $( [21-May-2004] $)
  $}

  ${
    sbcbid.1 $e |- ( ph -> A. x ph ) $.
    sbcbid.2 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building deduction rule for class substitution. $)
    sbcbid $p |- ( ( ph /\ A e. B ) -> ( [ A / x ] ps <-> [ A / x ] ch ) ) $=
      ( wcel wsbc wb wal a4sbc 19.21ai syl5 sbcbidig sylibd impcom ) EFIZABDEJC
      DEJKZSABCKZDEJZTSUADLUBAUADEFMAUADGHNOBCDEFPQR $.
      $( [26-Feb-2005] $) $( [23-Nov-2005] $)
  $}

  ${
    $d x ph $.
    sbcbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Formula-building deduction rule for class substitution.  (The proof
       was shortened by Eric Schmidt, 17-Jan-2007.) $)
    sbcbidv $p |- ( ( ph /\ A e. B ) -> ( [ A / x ] ps <-> [ A / x ] ch ) ) $=
      ( ax-17 sbcbid ) ABCDEFADHGI $.
      $( [18-Jan-2007] $) $( [11-Oct-2004] $)
  $}

  ${
    sbcbii.1 $e |- ( ph <-> ps ) $.
    $( Formula-building inference rule for class substitution. $)
    sbcbii $p |- ( A e. B -> ( [ A / x ] ph <-> [ A / x ] ps ) ) $=
      ( cvv wceq wcel wsbc wb eqid a1i sbcbidv mpan ) GGHZDEIACDJBCDJKGLPABCDEA
      BKPFMNO $.
      $( [11-Nov-2005] $) $( [11-Nov-2005] $)
  $}

  $( Distribution of class substitution over triple conjunction. $)
  sbc3ang $p |- ( A e. B -> ( [ A / x ] ( ph /\ ps /\ ch ) <->
                ( [ A / x ] ph /\ [ A / x ] ps /\ [ A / x ] ch ) ) ) $=
    ( wcel w3a wsbc wa df-3an sbcbii sbcang anbi1d syl6bbr 3bitrd ) EFGZABCHZDE
    IABJZCJZDEISDEIZCDEIZJZADEIZBDEIZUBHZRTDEFABCKLSCDEFMQUCUDUEJZUBJUFQUAUGUBA
    BDEFMNUDUEUBKOP $.
    $( [30-Dec-2006] $) $( [14-Dec-2006] $)

  ${
    $d y z A $.  $d x y B $.
    $( Class substitution into a membership relation. $)
    sbcel1gv $p |- ( A e. C -> ( [ A / x ] x e. B <-> A e. B ) ) $=
      ( vy vz wcel cv wsbc ax-17 eleq1 sbie sbcbii sbccog cvv wb elisset wceq
      wex elex wi hbsbc1 hbbi sbceq1a bitr3d imbi2d 19.23ai pm5.74rd mpcom syl
      3bitr3d ) BDGZAHZCGZAEHZIZEBIUOCGZEBIZUNABIBCGZUPUQEBDUNUQAEUQAJUMUOCKLMU
      NAEBDNULBOGZURUSPZBDQUOBRZESZUTVAEBOTVCUTURUSVBUTURUAZUTUSUAZPEVDVEEUQEFB
      OFHBGEJUBVEEJUCVBURUSUTVBUQURUSUQEBUDUOBCKUEUFUGUHUIUJUK $.
      $( [17-Nov-2006] $) $( [17-Nov-2006] $)
  $}

  ${
    $d y z B $.  $d x y A $.
    $( Class substitution into a membership relation. $)
    sbcel2gv $p |- ( B e. C -> ( [ B / x ] A e. x <-> A e. B ) ) $=
      ( vy vz wcel cv wsbc ax-17 eleq2 sbie sbcbii sbccog cvv wb elisset wceq
      wex elex wi hbsbc1 hbbi sbceq1a bitr3d imbi2d 19.23ai pm5.74rd mpcom syl
      3bitr3d ) CDGZBAHZGZAEHZIZECIBUOGZECIZUNACIBCGZUPUQECDUNUQAEUQAJUMUOBKLMU
      NAECDNULCOGZURUSPZCDQUOCRZESZUTVAECOTVCUTURUSVBUTURUAZUTUSUAZPEVDVEEUQEFC
      OFHCGEJUBVEEJUCVBURUSUTVBUQURUSUQECUDUOCBKUEUFUGUHUIUJUK $.
      $( [26-Nov-2006] $) $( [17-Nov-2006] $)
  $}

  ${
    $d x B $.
    sbcth2.1 $e |- ( x e. B -> ph ) $.
    $( A substitution into a theorem. $)
    sbcth2 $p |- ( A e. B -> [ A / x ] ph ) $=
      ( wcel wsbc cv wi sbcth sbcimg sbcel1gv imbi1d bitrd mpbid pm2.43i ) CDFZ
      ABCGZQBHDFZAIZBCGZQRIZTBCDEJQUASBCGZRIUBSABCDKQUCQRBCDDLMNOP $.
      $( [19-Mar-2008] $) $( [1-Mar-2008] $)
  $}

  ${
    $d y z A $.  $d y ph $.  $d x y z $.
    hbsbc1gd.1 $e |- ( ph -> A. x ph ) $.
    hbsbc1gd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of ~ hbsbc1g . $)
    hbsbc1gd $p |- ( ( ph /\ A e. B ) ->
                   ( [ A / x ] ps -> A. x [ A / x ] ps ) ) $=
      ( vz cvv wcel wsbc wal wi wa cv cab ax-4 impbid2 abbidv wceq eleq1
      albidv cbvabv abid2 3eqtr3g eleq1d biimpar hba1 hbab hbsbc1g syl wb
      19.21aiv abidhb dfsbcq 3syl adantr a1d ax-17 a1i hbeld hband anabsi5
      albid 3imtr3d elisset sylan2 ) AEJKZBCELZVJCMZNEFKAVIOZBCIPZEKZCMZIQZLZVQ
      CMZVJVKVLVPJKZVQVRNAVSVIAVPEJADPZEKZCMZDQWADQVPEAWBWADAWBWAWACRHSTWBVODIV
      TVMUAWAVNCVTVMEUBUCUDDEUEUFUGUHBCDVPJVOCIDVNCUIUJUKULAVQVJUMZVIAWAWBNZDMV
      PEUAWCAWDDHUNCDIEUOBCVPEUPUQURZVLVQVJCAVIVLCMAAVICAACMAGUSACDEJGHVTJKZWFC
      MNAWFCUTVAVBVCVDWEVEVFEFVGVH $.
      $( [23-May-2006] $) $( [23-May-2006] $)
  $}

  ${
    $d w z A $.  $d z ph $.  $d w x z $.
    hbsbcgd.1 $e |- ( ph -> A. x ph ) $.
    hbsbcgd.2 $e |- ( ph -> A. y ph ) $.
    hbsbcgd.3 $e |- ( ph -> ( z e. A -> A. x z e. A ) ) $.
    hbsbcgd.4 $e |- ( ph -> ( ps -> A. x ps ) ) $.
    $( Deduction version of ~ hbsbcg . $)
    hbsbcgd $p |- ( ( ph /\ A e. C ) ->
                 ( [ A / y ] ps -> A. x [ A / y ] ps ) ) $=
      ( vw cvv wcel wsbc wal wi wa cv cab ax-4 impbid2 abbidv wceq eleq1
      albidv cbvabv abid2 3eqtr3g eleq1d biimpar hba1 hbab hbsbcg syl wb
      19.21aiv abidhb dfsbcq 3syl adantr sbcbid bitrd a1d ax-17 a1i hbeld
      hband anabsi5 albid 3imtr3d elisset sylan2 ) AFMNZBDFOZVOCPZQFGNAVNRZBCPZ
      DLSZFNZCPZLTZOZWCCPZVOVPVQWBMNZWCWDQAWEVNAWBFMAESZFNZCPZETWGETWBFAWHWGEAW
      HWGWGCUAJUBUCWHWAELWFVSUDWGVTCWFVSFUEUFUGEFUHUIUJUKVRCDEWBMWACLEVTCULUMBC
      ULUNUOVQWCVRDFOZVOAWCWIUPZVNAWGWHQZEPWBFUDWJAWKEJUQCELFURVRDWBFUSUTVAAVRB
      DFMIAVRBBCUAKUBVBVCZVQWCVOCAVNVQCPAAVNCAACPAHVDACEFMHJWFMNZWMCPQAWMCVEVFV
      GVHVIWLVJVKFGVLVM $.
      $( [26-Nov-2005] $) $( [23-Nov-2005] $)
  $}

  ${
    $d x ph $.
    sbc19.20dv.1 $e |- ( ph -> ( ps -> ch ) ) $.
    $( Substitution analog of Theorem 19.20 of [Margaris] p. 90. $)
    sbc19.20dv $p |- ( ( ph /\ A e. B ) ->
                     ( [ A / x ] ps -> [ A / x ] ch ) ) $=
      ( wcel wsbc wi wal a4sbc 19.21aiv syl5 sbcimg sylibd impcom ) EFHZABDEICD
      EIJZRABCJZDEIZSRTDKUAATDEFLATDGMNBCDEFOPQ $.
      $( [18-Nov-2005] $) $( [11-Nov-2005] $)
  $}

  ${
    $d y A $.  $d y ph $.  $d x y $.
    sbcgf.1 $e |- ( ph -> A. x ph ) $.
    $( Substitution for a variable not free in a wff does not affect it. $)
    sbcgf $p |- ( A e. B -> ( [ A / x ] ph <-> ph ) ) $=
      ( vy wcel cv wsbc sbccog wceq wa wex sbf sbcbii sbc5g elex biantrurd
      19.41v syl6rbbr 3bitrd bitr3d ) CDGZABFHZIZFCIZABCIAABFCDJUCUFAFCIUDCKZAL
      FMZAUEAFCDABFENOAFCDPUCAUGFMZALUHUCUIAFCDQRUGAFSTUAUB $.
      $( [17-Oct-2004] $) $( [11-Oct-2004] $)
  $}

  ${
    sbc19.21g.1 $e |- ( ph -> A. x ph ) $.
    $( Substitution for a variable not free in antecedent affects only the
       consequent. $)
    sbc19.21g $p |- ( A e. B ->
                    ( [ A / x ] ( ph -> ps ) <-> ( ph -> [ A / x ] ps ) ) ) $=
      ( wcel wi wsbc sbcimg sbcgf imbi1d bitrd ) DEGZABHCDIACDIZBCDIZHAPHABCDEJ
      NOAPACDEFKLM $.
      $( [17-Oct-2004] $) $( [11-Oct-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    $( Lemma for ~ sbccomg . $)
    sbccomglem $p |- ( ( A e. C /\ B e. D ) ->
                 ( [ A / x ] [ B / y ] ph <-> [ B / y ] [ A / x ] ph ) ) $=
      ( wcel wa wsbc cv wceq wex wb sbc5g sbcbidv ancoms adantr adantl bitr2d
      excom exdistr an12 exbii 19.42v bitr 3bitr3 syl5bb 3bitrd ) DFHZEGHZIZACE
      JZBDJZCKELZAIZCMZBDJZBKDLZUQIBMZABDJZCEJZUKUJUNURNUKUMUQBDFACEGOPQUJURUTN
      UKUQBDFORULUOUSAIZBMZIZCMZVBUTULVBVDCEJZVFUJVAVDCEGABDFOPUKVGVFNUJVDCEGOS
      TUSUPIZCMBMVHBMZCMUTVFVHBCUAUSUPBCUBVIVECVIUOVCIZBMVEVHVJBUSUOAUCUDUOVCBU
      EUFUDUGUHUI $.
      $( [18-Nov-2005] $) $( [14-Nov-2005] $)
  $}

  ${
    $d w y z A $.  $d w x z B $.  $d w z ph $.  $d x y $.
    $( Commutative law for double class substitution.  (The proof was shortened
       by Eric Schmidt, 17-Jan-2007.) $)
    sbccomg $p |- ( ( A e. C /\ B e. D ) ->
                 ( [ A / x ] [ B / y ] ph <-> [ B / y ] [ A / x ] ph ) ) $=
      ( vw vz cvv wcel wsbc wb wa cv sbccog adantr visset sbccomglem mpan2
      mp2an sbcbii bitr3d sbcbidv ancoms 3bitrd adantl 3bitr3rd elisset syl2an
      ) DJKZEJKZACELZBDLZABDLZCELZMDFKEGKUKULNZACHOZLZHELZBIOZLZIDLZUTBDLZUPUNU
      KVCVDMULUTBIDJPQUQVCABVALZIDLZCURLZHELZVFCELZUPUQVCVECURLZHELZIDLZVJIDLZH
      ELVHULUKVCVLMULVBVKIDJULUSBVALZHELZVBVKULVAJKZVOVBMIRZUSHBEVAJJSTVNVJHEJV
      PURJKZVNVJMVQHRZABCVAURJJSUAUBUCUDUEVJIHDEJJSUKVMVGHEJUKVRVMVGMVSVEICDURJ
      JSTUDUFULVHVIMUKVFCHEJPUGUKVFUOCEJABIDJPUDUFULUKVDUNMULUTUMBDJACHEJPUDUEU
      HDFUIEGUIUJ $.
      $( [18-Jan-2007] $) $( [15-Nov-2005] $)
  $}

  ${
    $d v w z A $.  $d x w B $.  $d v w z C $.  $d w ph $.  $d v w x y z $.
    $( Interchange class substitution and restricted quantifier. $)
    sbcralt $p |- ( A. y ( A e. C /\ A. z ( z e. A -> A. y z e. A ) ) ->
                 ( [ A / x ] A. y e. B ph <-> A. y e. B [ A / x ] ph ) ) $=
      ( vw vv wcel cv wal wi wa wral wsbc wceq wb sbc6g adantr a4s hba1 ax-17
      a1i eleq1 albidv imbi12d a4v adantl hbeqd a5i r19.21t syl ralcom4
      syl5rbb bitrd cvv visset r19.21v albii bitr2 syl6bb ralbidv bitr4d ax-mp
      sbcbii ralbid 3bitr4d sbccog 3bitr3d ) EGJZDKZEJZVMCLZMZDLZNZCLZACFOZBHKZ
      PZHEPZABVTPZHEPZCFOZVSBEPZABEPZCFOVRWCCFOZHEPZVTEQZWCMZHLZCFOZWBWEVRWIWJW
      HMZHLZWMVQWIWORZCVKWPVPWHHEGSTUAVRWKCFOZHLWOWMVRWQWNHVRWJWJCLMZCLWQWNRVQW
      RCVRCIVTEVQCUBZIKZVTJZXACLMVRXACUCUDVQWTEJZXBCLZMZCVPXDVKVOXDDIVLWTQZVMXB
      VNXCVLWTEUEZXEVMXBCXFUFUGUHUIUAUJUKWJWCCFULUMUFWKCHFUNUOUPVQWBWIRZCVKXGVP
      WAWHHEGVTUQJZWAWHRHURXHWABKVTQZAMZBLZCFOZWHXHWAXIVSMZBLZXLVSBVTUQSXLXJCFO
      ZBLXNXJCBFUNXOXMBXIACFUSUTVAVBXHWCXKCFABVTUQSVCVDVEVFTUAVRWDWLCFWSVQWDWLR
      ZCVKXPVPWCHEGSTUAVGVHVQWBWFRZCVKXQVPVSBHEGVITUAVRWDWGCFWSVQWDWGRZCVKXRVPA
      BHEGVITUAVGVJ $.
      $( [2-Mar-2008] $) $( [1-Mar-2008] $)

    $( Interchange class substitution and restricted existential
       quantifier. $)
    sbcrext $p |- ( A. y ( A e. C /\ A. z ( z e. A -> A. y z e. A ) ) ->
                 ( [ A / x ] E. y e. B ph <-> E. y e. B [ A / x ] ph ) ) $=
      ( wcel cv wal wi wa wrex wsbc wn wral wb dfrex2 sbcbii sbcng bitrd
      adantr a4s sbcralt hba1 ralbid negbid syl6bbr ) EGHZDIEHZUJCJKDJZLZCJZACF
      MZBENZABENZOZCFPZOZUPCFMUMUOAOZCFPZBENZOZUSULUOVCQZCUIVDUKUIUOVAOZBENVCUN
      VEBEGACFRSVABEGTUAUBUCUMVBURUMVBUTBENZCFPURUTBCDEFGUDUMVFUQCFULCUEULVFUQQ
      ZCUIVGUKABEGTUBUCUFUAUGUAUPCFRUH $.
      $( [4-Mar-2008] $) $( [1-Mar-2008] $)
  $}

  $( MAY BE REVISED - may be deleted $)
  ${
    $d w z A $.  $d x w B $.  $d w z C $.  $d w ph $.  $d x y z w $.
    sbcralgf.1 $e |- ( A. y A e. C -> ( z e. A -> A. y z e. A ) ) $.
    $( Interchange class substitution and restricted quantifier. $)
    sbcralgf $p |- ( A. y A e. C ->
                 ( [ A / x ] A. y e. B ph <-> A. y e. B [ A / x ] ph ) ) $=
      ( vw wcel wal wral cv wsbc wceq wi wb sbc6g a4s hba1 ax-17 a1i hbeqd a5i
      r19.21t syl albidv ralcom4 syl5rbb bitrd cvv visset r19.21v albii bitr2
      syl6bb ralbidv bitr4d ax-mp sbcbii ralbid 3bitr4d sbccog 3bitr3d ) EGJZCK
      ZACFLZBIMZNZIENZABVHNZIENZCFLZVGBENZABENZCFLVFVKCFLZIENZVHEOZVKPZIKZCFLZV
      JVMVFVQVRVPPZIKZWAVEVQWCQCVPIEGRSVFVSCFLZIKWCWAVFWDWBIVFVRVRCKPZCKWDWBQVE
      WECVFCDVHEVECTZDMVHJZWGCKPVFWGCUAUBHUCUDVRVKCFUEUFUGVSCIFUHUIUJVEVJVQQCVI
      VPIEGVHUKJZVIVPQIULWHVIBMVHOZAPZBKZCFLZVPWHVIWIVGPZBKZWLVGBVHUKRWLWJCFLZB
      KWNWJCBFUHWOWMBWIACFUMUNUOUPWHVKWKCFABVHUKRUQURUSUTSVFVLVTCFWFVEVLVTQCVKI
      EGRSVAVBVEVJVNQCVGBIEGVCSVFVLVOCFWFVEVLVOQCABIEGVCSVAVD $.
      $( [5-Mar-2008] $) $( [1-Mar-2008] $)

    $( Interchange class substitution and restricted existential
       quantifier. $)
    sbcrexgf $p |- ( A. y A e. C ->
                 ( [ A / x ] E. y e. B ph <-> E. y e. B [ A / x ] ph ) ) $=
      ( wcel wal wrex wsbc wn wral wb dfrex2 sbcbii sbcng bitrd a4s sbcralgf
      hba1 ralbid negbid syl6bbr ) EGIZCJZACFKZBELZABELZMZCFNZMZUJCFKUGUIAMZCFN
      ZBELZMZUMUFUIUQOCUFUIUOMZBELUQUHURBEGACFPQUOBEGRSTUGUPULUGUPUNBELZCFNULUN
      BCDEFGHUAUGUSUKCFUFCUBUFUSUKOCABEGRTUCSUDSUJCFPUE $.
      $( [13-Apr-2008] $) $( [1-Mar-2008] $)
  $}

  ${
    $d y z A $.  $d x z B $.  $d z ph $.  $d x y z $.
    $( Interchange class substitution and restricted quantifier. $)
    sbcralg $p |- ( A e. C ->
                 ( [ A / x ] A. y e. B ph <-> A. y e. B [ A / x ] ph ) ) $=
      ( vz wcel cvv wral wsbc wb elisset cv wal wi ax-17 ax-gen wa hbth hban
      sbcralt syl mpan2 ) DFHDIHZACEJBDKABDKCEJLZDFMUEGNDHZUGCOPZGOZUFUHGUGCQRZ
      UEUISZUKCOUFUEUICUECQUICUJTUAABCGDEIUBUCUDUC $.
      $( [20-Nov-2005] $) $( [15-Nov-2005] $)

    $d y A $.  $d x B $.  $d x y $.
    $( Interchange class substitution and restricted existential
       quantifier. $)
    sbcrexg $p |- ( A e. C ->
                 ( [ A / x ] E. y e. B ph <-> E. y e. B [ A / x ] ph ) ) $=
      ( vz wcel cvv wrex wsbc wb elisset cv wal wi ax-17 ax-gen wa hbth hban
      sbcrext syl mpan2 ) DFHDIHZACEJBDKABDKCEJLZDFMUEGNDHZUGCOPZGOZUFUHGUGCQRZ
      UEUISZUKCOUFUEUICUECQUICUJTUAABCGDEIUBUCUDUC $.
      $( [30-Nov-2005] $) $( [15-Nov-2005] $)
  $}

  ${
    $d y w A $.  $d w z B $.  $d w ph $.  $d x y $.  $d w x z $.
    sbcabel.1 $e |- ( z e. B -> A. x z e. B ) $.
    $( Interchange class substitution and class abstraction. $)
    sbcabel $p |- ( A e. C -> ( [ A / x ] { y | ph } e. B <->
                  { y | [ A / x ] ph } e. B ) ) $=
      ( vw wcel cvv cab wsbc wb elisset cv wceq wa wex df-clel sbcbii sbcexg
      sbcang wal abeq2 sbcalg sbcbidig ax-17 sbcgf bibi1d bitrd albidv 3bitrd
      syl6bbr hbel anbi12d exbidv syl ) EGJEKJZACLZFJZBEMZABEMZCLZFJZNEGOUSVBIP
      ZVDQZVFFJZRZISZVEUSVBVFUTQZVHRZISZBEMVLBEMZISVJVAVMBEKIUTFTUAVLIBEKUBUSVN
      VIIUSVNVKBEMZVHBEMZRVIVKVHBEKUCUSVOVGVPVHUSVOCPVFJZVCNZCUDZVGUSVOVQANZCUD
      ZBEMVTBEMZCUDVSVKWABEKACVFUEUAVTCBEKUFUSWBVRCUSWBVQBEMZVCNVRVQABEKUGUSWCV
      QVCVQBEKVQBUHUIUJUKULUMVCCVFUEUNVHBEKBDDVFFDPVFJBUHHUOUIUPUKUQUMIVDFTUNUR
      $.
      $( [9-Nov-2005] $) $( [5-Nov-2005] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y ph $.
    $( Restricted quantifier version of Axiom 4 of [Mendelson] p. 69.  This
       provides an axiom for a predicate calculus for a restricted domain.
       This theorem generalizes the unrestricted ~ stdpc4 and ~ a4sbc .  See
       also ~ ra4sbca and ~ ra4csbela . $)
    ra4sbc $p |- ( A e. B -> ( A. x e. B ph -> [ A / x ] ph ) ) $=
      ( vy wral wcel wsbc wi cv wceq dfsbcq sbcimg sbcel1gv imbi1d bitrd
      biimpd pm2.43b syl6bi wal df-ral stdpc4 sylbi syl5 vtocleg pm2.43a ) ABDF
      ZCDGZABCHZUGUHUIIZIECDEJZCKZBJDGZAIZBUKHZUJUGULUOUNBCHZUJUNBUKCLUPUHUIUHU
      PUJUHUPUMBCHZUIIUJUMABCDMUHUQUHUIBCDDNOPQRSUGUNBTUOABDUAUNBEUBUCUDUEUF $.
      $( [17-Nov-2006] $) $( [17-Nov-2006] $)

    $( Restricted quantifier version of Axiom 4 of [Mendelson] p. 69. $)
    ra4sbca $p |- ( ( A e. B /\ A. x e. B ph ) -> [ A / x ] ph ) $=
      ( wcel wral wsbc ra4sbc imp ) CDEABDFABCGABCDHI $.
      $( [18-Nov-2006] $) $( [14-Dec-2005] $)

    $( Existence form of ~ ra4sbca . $)
    ra4esbca $p |- ( ( A e. B /\ [ A / x ] ph ) -> E. x e. B ph ) $=
      ( wcel wsbc wrex wn wral ra4sbc sbcng sylibd ralnex syl5ibr a3d imp ) CDE
      ZABCFZABDGZQSRQAHZBDIZRHZSHQUATBCFUBTBCDJABCDKLABDMNOP $.
      $( [22-Mar-2008] $) $( [29-Feb-2008] $)
  $}

  ${
    ra5.1 $e |- ( ph -> A. x ph ) $.
    $( Restricted quantifier version of Axiom 5 of [Mendelson] p. 69.  This
       is an axiom of a predicate calculus for a restricted domain.
       Compare the unrestricted ~ stdpc5 . $)
    ra5 $p |- ( A. x e. A ( ph -> ps ) -> ( ph -> A. x e. A ps ) ) $=
      ( wi wral cv wcel wal df-ral bi2.04 albii bitr stdpc5 sylbi syl6ibr ) ABF
      ZCDGZACHDIZBFZCJZBCDGSAUAFZCJZAUBFSTRFZCJUDRCDKUEUCCTABLMNAUACEOPBCDKQ $.
      $( [17-Jan-2004] $) $( [16-Jan-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Proper substitution of classes for sets into classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c [_ $.  $( Underlined left bracket $)
  $c ]_ $.  $( Underlined right bracket $)

  $( Extend class notation to include the proper substitution of a class for a
     set into another class. $)
  csb $a class [_ A / x ]_ B $.

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Define the proper substitution of a class for a set into another class.
       The underlined brackets distinguish it from the substitution into a wff,
       ~ wsbc , to prevent ambiguity.  Theorem ~ sbcel1g shows an example of
       how ambiguity could arise if we didn't use distinguished brackets.
       Theorem ~ sbccsbg recreates substitution into a wff from this
       definition. $)
    df-csb $a |- [_ A / x ]_ B = { y | [ A / x ] y e. B } $.
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Analog of ~ dfsbcq for proper substitution into a class. $)
    csbeq1 $p |- ( A = B -> [_ A / x ]_ C = [_ B / x ]_ C ) $=
      ( vy wceq cv wcel wsbc cab csb dfsbcq abbidv df-csb 3eqtr4g ) BCFZEGDHZAB
      IZEJQACIZEJABDKACDKPRSEQABCLMAEBDNAECDNO $.
      $( [14-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    csbeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for proper substitution into a class. $)
    csbeq1d $p |- ( ph -> [_ A / x ]_ C = [_ B / x ]_ C ) $=
      ( wceq csb csbeq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
      $( [4-Dec-2005] $) $( [3-Dec-2005] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( Analog of ~ sbid for proper substitution into a class. $)
    csbid $p |- [_ x / x ]_ A = A $=
      ( vy cv csb wcel wsbc cab df-csb sbid abbii abid2 3eqtr ) AADZBECDBFZANGZ
      CHOCHBACNBIPOCOAJKCBLM $.
      $( [5-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Equality theorem for proper substitution into a class. $)
    csbeq1a $p |- ( x = A -> B = [_ A / x ]_ B ) $=
      ( cv wceq csb csbeq1 csbid syl5eqr ) ADZBEAJCFABCFCAJBCGACHI $.
      $( [23-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d z A $.  $d y z B $.  $d z C $.  $d x z $.
    $( Composition law for chained substitutions into a class. $)
    csbcog $p |- ( A e. C -> [_ A / y ]_ [_ y / x ]_ B = [_ A / x ]_ B ) $=
      ( vz wcel cv csb wsbc cab df-csb abeq2i sbcbii sbccog bitrd abbidv
      3eqtr4g ) CEGZFHZABHZDIZGZBCJZFKTDGZACJZFKBCUBIACDISUDUFFSUDUEAUAJZBCJUFU
      CUGBCEUGFUBAFUADLMNUEABCEOPQBFCUBLAFCDLR $.
      $( [15-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( The existence of proper substitution into a class. $)
    csbexg $p |- ( ( A e. C /\ A. x B e. D ) -> [_ A / x ]_ B e. V ) $=
      ( vy wcel wal wa cv wsbc cab cvv csb a4sbc elisset abid2 syl5eqel 19.20i
      syl5 imp wb ax-17 sbcabel adantr mpbid df-csb ) BDGZCEGZAHZIZFJZCGZABKFLZ
      MABCNUKUMFLZMGZABKZUNMGZUHUJUQUHUPAHUQUJUPABDOUIUPAUICMUOCEPFCQRSTUAUHUQU
      RUBUJUMAFFBMDULMGAUCUDUEUFAFBCUGR $.
      $( [28-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    csbex.1 $e |- A e. V $.
    csbex.2 $e |- B e. V $.
    $( The existence of proper substitution into a class. $)
    csbex $p |- [_ A / x ]_ B e. V $=
      ( cvv wcel wal csb ax-gen csbexg mp2an ) BFGCFGZAHABCIFGDMAEJABCFFKL $.
      $( [8-Aug-2007] $) $( [7-Aug-2007] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d x y $.
    csbconstgf.1 $e |- ( y e. B -> A. x y e. B ) $.
    $( Substitution doesn't affect a constant ` B ` (in which ` x ` is not
       free). $)
    csbconstgf $p |- ( A e. C -> [_ A / x ]_ B = B ) $=
      ( wcel cv wsbc cab csb sbcgf abbidv abid2 syl6eq df-csb syl5eq ) CEGZBHDG
      ZACIZBJZDACDKRUASBJDRTSBSACEFLMBDNOABCDPQ $.
      $( [16-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d x y z $.  $d y z A $.  $d y z B $.  $d y z C $.
    $( Distribute proper substitution through a membership relation. $)
    sbcel12g $p |- ( A e. D -> ( [ A / x ] B e. C <->
                   [_ A / x ]_ B e. [_ A / x ]_ C ) ) $=
      ( vy vz wcel wsbc cv cab csb cvv wb elisset wceq wa wex sbcexg df-clel
      sbcbii wal dfcleq sbcalg sbcbidig ax-17 sbcgf bibi1d bitrd albidv 3bitrd
      abeq2 syl6rbbr wi eleq1 sbcbidv expcom 19.21aiv visset elabgt mpan syl
      anbi12d sbcang bitr4d exbidv 3bitr4d syl6bbr df-csb eleq12i ) BEHZCDHZABI
      ZFJZCHZABIZFKZVNDHZABIZFKZHZABCLZABDLZHVKBMHZVMWANBEOWDVMGJZVQPZWEVTHZQZG
      RZWAWDWECPZWEDHZQZGRZABIWLABIZGRVMWIWLGABMSVLWMABMGCDTUAWDWHWNGWDWHWJABIZ
      WKABIZQWNWDWFWOWGWPWDWOVNWEHZVPNZFUBZWFWDWOWQVONZFUBZABIWTABIZFUBWSWJXAAB
      MFWECUCUAWTFABMUDWDXBWRFWDXBWQABIZVPNWRWQVOABMUEWDXCWQVPWQABMWQAUFUGUHUIU
      JUKVPFWEULUMWDVNWEPZVSWPNZUNZFUBZWGWPNZWDXFFXDWDXEXDVRWKABMVNWEDUOUPUQURW
      EMHXGXHGUSVSWPFWEMUTVAVBVCWJWKABMVDVEVFVGGVQVTTVHVBWBVQWCVTAFBCVIAFBDVIVJ
      VH $.
      $( [24-Nov-2005] $) $( [10-Nov-2005] $)

    $( Distribute proper substitution through an equality relation. $)
    sbceqdig $p |- ( A e. D -> ( [ A / x ] B = C <->
                   [_ A / x ]_ B = [_ A / x ]_ C ) ) $=
      ( vy vz wcel wceq wsbc cv cab csb cvv wb elisset wal sbcalg dfcleq
      sbcbii wi eleq1 sbcbidv expcom 19.21aiv visset elabgt mpan syl bibi12d
      sbcbidig bitr4d albidv 3bitr4d syl6bbr df-csb eqeq12i ) BEHZCDIZABJZFKZCH
      ZABJZFLZVADHZABJZFLZIZABCMZABDMZIURBNHZUTVHOBEPVKUTGKZVDHZVLVGHZOZGQZVHVK
      VLCHZVLDHZOZGQZABJVSABJZGQUTVPVSGABNRUSVTABNGCDSTVKVOWAGVKVOVQABJZVRABJZO
      WAVKVMWBVNWCVKVAVLIZVCWBOZUAZFQZVMWBOZVKWFFWDVKWEWDVBVQABNVAVLCUBUCUDUEVL
      NHZWGWHGUFZVCWBFVLNUGUHUIVKWDVFWCOZUAZFQZVNWCOZVKWLFWDVKWKWDVEVRABNVAVLDU
      BUCUDUEWIWMWNWJVFWCFVLNUGUHUIUJVQVRABNUKULUMUNGVDVGSUOUIVIVDVJVGAFBCUPAFB
      DUPUQUO $.
      $( [28-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d y A $.  $d x y C $.  $d y D $.
    $( Move proper substitution in and out of a membership relation.
       Note that the scope of ` [ A / x ] ` is the wff ` B e. C ` , whereas
       the scope of ` [_ A / x ]_ ` is the class ` B ` . $)
    sbcel1g $p |- ( A e. D -> ( [ A / x ] B e. C <->
                    [_ A / x ]_ B e. C ) ) $=
      ( vy wcel wsbc csb sbcel12g cv ax-17 csbconstgf eleq2d bitrd ) BEGZCDGABH
      ABCIZABDIZGQDGABCDEJPRDQAFBDEFKDGALMNO $.
      $( [29-Nov-2005] $) $( [10-Nov-2005] $)

    $( Move proper substitution to first argument of an equality. $)
    sbceq1dig $p |- ( A e. D -> ( [ A / x ] B = C <->
                    [_ A / x ]_ B = C ) ) $=
      ( vy wcel wceq wsbc csb sbceqdig cv ax-17 csbconstgf eqeq2d bitrd ) BEGZC
      DHABIABCJZABDJZHRDHABCDEKQSDRAFBDEFLDGAMNOP $.
      $( [5-Dec-2005] $) $( [30-Nov-2005] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y D $.
    $( Move proper substitution in and out of a membership relation. $)
    sbcel2g $p |- ( A e. D -> ( [ A / x ] B e. C <->
                    B e. [_ A / x ]_ C ) ) $=
      ( vy wcel wsbc csb sbcel12g cv ax-17 csbconstgf eleq1d bitrd ) BEGZCDGABH
      ABCIZABDIZGCRGABCDEJPQCRAFBCEFKCGALMNO $.
      $( [28-Nov-2005] $) $( [14-Nov-2005] $)

    $( Move proper substitution to second argument of an equality. $)
    sbceq2dig $p |- ( A e. D -> ( [ A / x ] B = C <->
                    B = [_ A / x ]_ C ) ) $=
      ( vy wcel wceq wsbc csb sbceqdig cv ax-17 csbconstgf eqeq1d bitrd ) BEGZC
      DHABIABCJZABDJZHCSHABCDEKQRCSAFBCEFLCGAMNOP $.
      $( [11-Dec-2005] $) $( [30-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d x z B $.  $d z C $.  $d x y $.
    $( Commutative law for double substitution into a class. $)
    csbcomg $p |- ( ( A e. R /\ B e. S ) ->
                 [_ A / x ]_ [_ B / y ]_ C = [_ B / y ]_ [_ A / x ]_ C ) $=
      ( vz cvv wcel csb wceq wa cv wsbc sbccomg wb sbcel2g sbcbidv ancoms
      3bitr3d adantr adantl eqrdv elisset syl2an ) CIJZDIJZACBDEKZKZBDACEKZKZLC
      FJDGJUGUHMZHUJULUMHNZUIJZACOZUNUKJZBDOZUNUJJZUNULJZUMUNEJZBDOZACOZVAACOZB
      DOUPURVAABCDIIPUHUGVCUPQUHVBUOACIBDUNEIRSTUGVDUQBDIACUNEIRSUAUGUPUSQUHACU
      NUIIRUBUHURUTQUGBDUNUKIRUCUAUDCFUEDGUEUF $.
      $( [28-Nov-2005] $) $( [14-Nov-2005] $)
  $}

  ${
    csbeq2d.1 $e |- ( ph -> A. x ph ) $.
    csbeq2d.2 $e |- ( ph -> B = C ) $.
    $( Formula-building deduction rule for class substitution. $)
    csbeq2d $p |- ( ( ph /\ A e. D ) -> [_ A / x ]_ B = [_ A / x ]_ C ) $=
      ( wcel csb wceq wsbc wal a4sbc 19.21ai syl5 sbceqdig sylibd impcom ) CFIZ
      ABCDJBCEJKZTADEKZBCLZUATUBBMUCAUBBCFNAUBBGHOPBCDEFQRS $.
      $( [29-Nov-2005] $) $( [22-Nov-2005] $)
  $}

  ${
    $d x ph $.
    csbeq2dv.1 $e |- ( ph -> B = C ) $.
    $( Formula-building deduction rule for class substitution. $)
    csbeq2dv $p |- ( ( ph /\ A e. D ) -> [_ A / x ]_ B = [_ A / x ]_ C ) $=
      ( ax-17 csbeq2d ) ABCDEFABHGI $.
      $( [30-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    csbeq2i.1 $e |- B = C $.
    $( Formula-building inference rule for class substitution. $)
    csbeq2i $p |- ( A e. D -> [_ A / x ]_ B = [_ A / x ]_ C ) $=
      ( wcel wceq wsbc csb sbcth sbceqdig mpbid ) BEGCDHZABIABCJABDJHNABEFKABCD
      ELM $.
      $( [1-Dec-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d x y z $.
    $( The proper substitution of a class for set variable results in the class
       (if the class exists). $)
    csbvarg $p |- ( A e. B -> [_ A / x ]_ x = A ) $=
      ( vy vz wcel cvv cv csb wceq elisset visset wsbc cab sbcel2gv abbi1dv
      df-csb syl5eq ax-mp csbeq2i csbcog 3eqtr3d syl ) BCFBGFZABAHZIZBJBCKUDDBA
      DHZUEIZIDBUGIZUFBDBUHUGGUGGFZUHUGJDLUJEHZUEFAUGMZENUGUHUJULEUGAUKUGGOPAEU
      GUEQRSTADBUEGUAUDUKUGFDBMZENBUIUDUMEBDUKBGOPDEBUGQRUBUC $.
      $( [1-Dec-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d x y $.
    $( Substitution into a wff expressed in terms of substitution into a
       class. $)
    sbccsbg $p |- ( A e. B ->
                 ( [ A / x ] ph <-> y e. [_ A / x ]_ { y | ph } ) ) $=
      ( wcel cv cab wsbc csb abid sbcbii sbcel2g bitr3d ) DEFCGZACHZFZBDIABDIOB
      DPJFQABDEACKLBDOPEMN $.
      $( [15-Aug-2007] $) $( [15-Aug-2007] $)
  $}

  $( Substitution into a wff expressed in using substitution into a class. $)
  sbccsb2g $p |- ( A e. B ->
               ( [ A / x ] ph <-> A e. [_ A / x ]_ { x | ph } ) ) $=
    ( wcel cv cab wsbc csb sbcel12g abid sbcbii csbvarg eleq1d 3bitr3d ) CDEZBF
    ZABGZEZBCHBCQIZBCRIZEABCHCUAEBCQRDJSABCDABKLPTCUABCDMNO $.
    $( [1-Dec-2005] $) $( [27-Nov-2005] $)

  ${
    $d y z A $.  $d z B $.  $d x y z $.
    hbcsb1g.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for substitution into a class. $)
    hbcsb1g $p |- ( A e. C ->
                 ( y e. [_ A / x ]_ B -> A. x y e. [_ A / x ]_ B ) ) $=
      ( vz wcel cvv cv csb wal wi elisset wsbc cab ax-17 hbel 19.21ai hbsbc1g
      hbabd df-csb eleq2i albii 3imtr4g syl ) CEHCIHZBJZACDKZHZUJALZMCENUGUHGJD
      HZACOZGPZHZUOALUJUKUGUMAGBUGUGGLAABBCIFUHIHAQRUGGQSULABCIFTUAUIUNUHAGCDUB
      UCZUJUOAUPUDUEUF $.
      $( [29-Nov-2005] $) $( [11-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d z B $.  $d x y z $.
    hbcsb1.1 $e |- A e. V $.
    hbcsb1.2 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for substitution into a class. $)
    hbcsb1 $p |- ( y e. [_ A / x ]_ B -> A. x y e. [_ A / x ]_ B ) $=
      ( cvv wcel cv csb wal wi hbcsb1g ax-mp ) CGHBIACDJHZOAKLEABCDGFMN $.
      $( [17-Aug-2006] $) $( [17-Aug-2006] $)
  $}

  ${
    $d w z A $.  $d w z B $.  $d w x z $.  $d w y $.
    hbcsbg.1 $e |- ( z e. A -> A. x z e. A ) $.
    hbcsbg.2 $e |- ( z e. B -> A. x z e. B ) $.
    $( Bound-variable hypothesis builder for substitution into a class. $)
    hbcsbg $p |- ( A e. C ->
                 ( z e. [_ A / y ]_ B -> A. x z e. [_ A / y ]_ B ) ) $=
      ( vw wcel cvv cv csb wal wi elisset wsbc cab ax-17 hbel 19.21ai hbsbcg
      hbabd df-csb eleq2i albii 3imtr4g syl ) DFJDKJZCLZBDEMZJZULANZODFPUIUJILZ
      EJZBDQZIRZJZURANULUMUIUPAICUIUIINAACCDKGUJKJASTUIISUAUOABCDKGACCUNEUJUNJA
      SHTUBUCUKUQUJBIDEUDUEZULURAUSUFUGUH $.
      $( [7-Dec-2005] $) $( [20-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d z B $.  $d y z ph $.  $d x y z $.
    hbcsb1gd.1 $e |- ( ph -> A. x ph ) $.
    hbcsb1gd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of ~ hbcsb1g . $)
    hbcsb1gd $p |- ( ( ph /\ A e. C ) ->
                 ( y e. [_ A / x ]_ B -> A. x y e. [_ A / x ]_ B ) ) $=
      ( vz cvv wcel cv csb wal wi wa a1d ax-17 a1i hbeld hband anabsi5 wsbc
      hbsbc1gd wb sbcel2g adantl albid 3imtr3d elisset sylan2 ) ADJKZCLZBDEMZKZ
      UOBNODFKAULPZBIUMUNAULUPBNAAULBAABNAGQABCDJGHUMJKZUQBNOAUQBRSTUAUBZILZUMK
      ZUTBNOUPUTBRSUPUSEKZBDUCZVBBNUSUNKZVCBNAVABCDJGHUDULVBVCUEABDUSEJUFUGZUPV
      BVCBURVDUHUITDFUJUK $.
      $( [24-May-2006] $) $( [23-May-2006] $)
  $}

  ${
    $d w z A $.  $d w z B $.  $d w z ph $.  $d w x z $.  $d w y $.
    hbcsbgd.1 $e |- ( ph -> A. x ph ) $.
    hbcsbgd.2 $e |- ( ph -> A. y ph ) $.
    hbcsbgd.3 $e |- ( ph -> ( z e. A -> A. x z e. A ) ) $.
    hbcsbgd.4 $e |- ( ph -> ( z e. B -> A. x z e. B ) ) $.
    $( Deduction version of ~ hbcsbg . $)
    hbcsbgd $p |- ( ( ph /\ A e. C ) ->
                 ( z e. [_ A / y ]_ B -> A. x z e. [_ A / y ]_ B ) ) $=
      ( vw cvv wcel cv csb wal wi wa a1d ax-17 a1i hbeld hband anabsi5 wsbc
      hbsbcgd wb sbcel2g adantl albid 3imtr3d elisset sylan2 ) AEMNZDOZCEFPZNZU
      RBQREGNAUOSZBLUPUQAUOUSBQAAUOBAABQAHTABDEMHJUPMNZUTBQRAUTBUAUBUCUDUEZLOZU
      PNZVCBQRUSVCBUAUBUSVBFNZCEUFZVEBQVBUQNZVFBQAVDBCDEMHIJABDVBFHUPVBNZVGBQRA
      VGBUAUBKUCUGUOVEVFUHACEVBFMUIUJZUSVEVFBVAVHUKULUCEGUMUN $.
      $( [30-Nov-2005] $) $( [21-Nov-2005] $)
  $}

  ${
    $d x z A $.  $d z B $.  $d y z C $.  $d z D $.  $d x y z $.
    $( Conversion of implicit substitution to explicit substitution into a
       class.  (Closed theorem version of ~ csbiegf .) $)
    csbiegft $p |- ( ( A e. D /\ A. x A. y ( y e. C -> A. x y e. C ) /\
                 A. x ( x = A -> B = C ) ) -> [_ A / x ]_ B = C ) $=
      ( vz wcel cv wal wi wceq w3a wsbc cab csb wb sbciegft id visset eleq1
      albidv imbi12d cla4v 19.20i eleq2 imim2i syl3an abbi1dv df-csb syl5eq )
      CFHZBIZEHZUNAJZKZBJZAJZAICLZDELZKZAJZMZGIZDHZACNZGOEACDPVCVFGEULVDEHZVGAJ
      ZKZAJUSVEVGQZKZAJVFVGQULURVBVEVGACFRULSUQVIAUPVIBVDGTUMVDLZUNVGUOVHUMVDEU
      AZVLUNVGAVMUBUCUDUEVAVKAUTVJUSDEVDUFUGUEUHUIAGCDUJUK $.
      $( [28-Nov-2005] $) $( [11-Nov-2005] $)
  $}

  ${
    $d x z A $.  $d z B $.  $d y C $.  $d x y $.
    csbieb.1 $e |- A e. V $.
    csbieb.2 $e |- ( y e. C -> A. x y e. C ) $.
    $( Bidirectional conversion between an implicit class substitution
       hypothesis ` x = A -> B = C ` and its explicit substitution
       equivalent. $)
    csbieb $p |- ( A. x ( x = A -> B = C ) <-> [_ A / x ]_ B = C ) $=
      ( vz wceq csb cv wcel ax-17 hbcsb1 hbeq csbeq1a eqeq1d ceqsal ) DEIACDJZE
      IACAHBSEAHCDFHKCLAMNGOFAKCIDSEACDPQR $.
      $( [3-Mar-2008] $) $( [2-Mar-2008] $)
  $}

  ${
    $d x y A $.  $d y C $.  $d x y D $.
    csbiegf.1 $e |- ( A e. D -> ( y e. C -> A. x y e. C ) ) $.
    csbiegf.2 $e |- ( x = A -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class. $)
    csbiegf $p |- ( A e. D -> [_ A / x ]_ B = C ) $=
      ( wcel cv wal wi wceq wa csb 19.21aivv ax-gen jctir csbiegft 3expb mpdan
      ) CFIZBJEIZUCAKLZBKAKZAJCMDEMLZAKZNACDOEMZUBUEUGUBUDABGPUFAHQRUBUEUGUHABC
      DEFSTUA $.
      $( [12-Dec-2005] $) $( [11-Nov-2005] $)
  $}

  ${
    $d x A $.  $d y C $.  $d x y $.
    csbief.1 $e |- A e. V $.
    csbief.2 $e |- ( y e. C -> A. x y e. C ) $.
    csbief.3 $e |- ( x = A -> B = C ) $.
    $( Conversion of implicit substitution to explicit substitution into a
       class. $)
    csbief $p |- [_ A / x ]_ B = C $=
      ( cv wceq wi wal csb ax-gen csbieb mpbi ) AICJDEJKZALACDMEJQAHNABCDEFGOP
      $.
      $( [16-Dec-2005] $) $( [26-Nov-2005] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.  $d x y z D $.
    csbie2g.1 $e |- A e. V $.
    csbie2g.2 $e |- B e. V $.
    $( Conversion of implicit substitution to explicit substitution into a
       class (closed form of ~ csbie2 ). $)
    csbie2t $p |- ( A. x A. y ( ( x = A /\ y = B ) -> C = D ) ->
                  [_ A / x ]_ [_ B / y ]_ C = D ) $=
      ( vz cv wceq wa wi wal wex csb isseti hba1 wcel ax-17 hbcsb1 hbeq cvv
      hbcsbg ax-mp csbeq1a sylan9eqr pm3.43 mpan eqtr2t syl6 a4s 19.23ad eeanv
      syl5ibr mp2ani ) AJCKZBJDKZLZEFKZMZBNZANZUQAOZURBOZACBDEPZPZFKZACGQBDHQVC
      USBOZAOVHVDVELVCVIVHAVBARAIIVGFAICVFGIJZCSZATUAVJFSZATUBVBVIVHMAVBUSVHBVA
      BRBIIVGFCUCSVJVGSZVMBNMGBAICVFUCVKBTBIDEHVJDSBTUAUDUEVLBTUBVAUSVHMBVAUSEV
      GKZUTLZVHUSVNMVAUSVOMURUQEVFVGBDEUFACVFUFUGUSVNUTUHUIEVGFUJUKULUMULUMUQUR
      ABUNUOUP $.
      $( [9-Sep-2007] $) $( [3-Sep-2007] $)

    ${
      csbie2.3 $e |- ( ( x = A /\ y = B ) -> C = D ) $.
      $( Conversion of implicit substitution to explicit substitution into a
         class. $)
      csbie2 $p |- [_ A / x ]_ [_ B / y ]_ C = D $=
        ( cv wceq wa wi wal csb gen2 csbie2t ax-mp ) AJCKBJDKLEFKMZBNANACBDEOOF
        KSABIPABCDEFGHQR $.
        $( [9-Sep-2007] $) $( [27-Aug-2007] $)
    $}
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x z C $.  $d x y z R $.  $d y z S $.
    $( Lemma for ~ csbnestg . $)
    csbnestglem $p |- ( ( A e. R /\ A. x B e. S ) ->
                  [_ A / x ]_ [_ B / y ]_ C = [_ [_ A / x ]_ B / y ]_ C ) $=
      ( vz wcel cv csb wal wi wceq wa csbiegft pm3.26 ax-17 hba1 hban cvv
      csbexg hbcsb1g adantr a1i hbcsbgd mpdan 19.21aiv 19.21ai csbeq1a csbeq1d
      ax-gen syl3anc ) CFIZHJZBACDKZEKZIZURALMZHLZALAJCNZBDEKZUQNMZALZACVBKUQNU
      NDGIZALZOZAHCVBUQFPUNVFQVGUTAUNVFAUNARVEASTZVGUSHVGUPUAIUSACDFGUBVGABHUPE
      UAVHUNVFBUNBRVFBRTUNUOUPIZVIALMVFAHCDFUOCIARUCUDUOEIZVJALMVGVJARUEUFUGUHU
      IVDVGVCAVABDUPEACDUJUKULUEUM $.
      $( [30-Nov-2005] $) $( [23-Nov-2005] $)
  $}

  ${
    $d w z A $.  $d w z B $.  $d w x z C $.  $d w x y $.
    $( Nest the composition of two substitutions. $)
    csbnestg $p |- ( ( A e. R /\ A. x B e. S ) ->
                  [_ A / x ]_ [_ B / y ]_ C = [_ [_ A / x ]_ B / y ]_ C ) $=
      ( vz vw cvv wcel wal csb wceq wa cv csbcog adantr visset csbnestglem
      mpan csbeq2dv ancoms csbexg 19.21aiv sylan2 csbeq1d 3eqtrd eqtr3d hba1
      a4s csbeq2d syl 3eqtr3d elisset 19.20i syl2an ) CJKZDJKZALZACBDEMZMZBACDM
      ZEMZNCFKDGKZALURUTOZACHDBHPEMZMZMZHVCVGMZVBVDVFICAIPZVHMZMZVIVJURVMVINUTA
      ICVHJQRVFVMICHAVKDMZVGMZMZHICVNMZVGMZVJUTURVMVPNUTICVLVOJVKJKZUTVLVONISZA
      HVKDVGJJTUAUBUCURVNJKZILVPVRNUTIHCVNVGJJTUTWAIVSUTWAVTAVKDJJUDUAUEUFURVRV
      JNUTURHVQVCVGAICDJQUGRUHUIUTURVIVBNUTACVHVAJUSAUJUSVHVANABHDEJQUKULUCVFVC
      JKVJVDNACDJJUDBHVCEJQUMUNCFUOVEUSADGUOUPUQ $.
      $( [30-Nov-2005] $) $( [23-Nov-2005] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d y C $.  $d y S $.
    $( Nest the composition of two substitutions. $)
    csbnest1g $p |- ( ( A e. R /\ A. x B e. S ) ->
                  [_ A / x ]_ [_ B / x ]_ C = [_ [_ A / x ]_ B / x ]_ C ) $=
      ( vy cvv wcel wal csb wceq cv wi wa csbiegft pm3.26 ax-17 hba1 hban
      csbexg hbcsb1g hbcsb1gd syldan 19.21aiv 19.21ai csbeq1a csbeq1d ax-gen
      a1i syl3anc elisset sylan ) BHIZCFIZAJZABACDKZKAABCKZDKZLZBEIUNGMZUSIZVBA
      JNZGJZAJAMBLZUQUSLNZAJZUTUNUPOZAGBUQUSHPUNUPQVHVDAUNUPAUNARZUOASTVHVCGUNU
      PURHIVCABCHFUAUNAGURDHVIAGBCHVABIARUBUCUDUEUFVGVHVFAVEACURDABCUGUHUIUJUKB
      EULUM $.
      $( [25-May-2006] $) $( [23-May-2006] $)
  $}

  ${
    $d x ph $.  $d x y $.
    $( Nest the composition of two substitutions. $)
    sbcnestg $p |- ( ( A e. R /\ A. x B e. S ) ->
                ( [ A / x ] [ B / y ] ph <-> [ [_ A / x ]_ B / y ] ph ) ) $=
      ( wcel cvv wal wsbc csb wb wa cab hba1 sbccsb2g a4s sbcbid ancoms
      sbcel12g adantr csbnestg eleq2d csbexg syl bitr4d 3bitrd elisset 19.20i
      sylan2 ) DFHZEIHZBJZACEKZBDKZACBDELZKZMEGHZBJULUNNZUPECEACOZLZHZBDKZUQBDV
      BLZHZURUNULUPVDMUNUOVCBDFUMBPUMUOVCMBACEIQRSTULVDVFMUNBDEVBFUAUBUTVFUQCUQ
      VALZHZURUTVEVGUQBCDEVAFIUCUDUTUQIHURVHMBDEFIUEACUQIQUFUGUHUSUMBEGUIUJUK
      $.
      $( [5-Dec-2005] $) $( [27-Nov-2005] $)
  $}

  ${
    $d x y A $.
    $( Idempotent law for class substitutions. $)
    csbidmg $p |- ( A e. C -> [_ A / x ]_ [_ A / x ]_ B = [_ A / x ]_ B ) $=
      ( vy wcel cvv csb wceq elisset wal ax-17 csbnest1g mpdan cv csbconstgf
      csbeq1d eqtrd syl ) BDFBGFZABABCHZHZUAIBDJTUBAABBHZCHZUATTAKUBUDITALABBCG
      GMNTAUCBCAEBBGEOBFALPQRS $.
      $( [7-Mar-2008] $) $( [1-Mar-2008] $)
  $}

  ${
    $d x A $.  $d x C $.  $d x z D $.  $d x y $.
    csbco3g.1 $e |- ( x = A -> B = D ) $.
    $( Composition of two class substitutions. $)
    csbco3g $p |- ( ( A e. R /\ A. x B e. S ) ->
                 [_ A / x ]_ [_ B / y ]_ C = [_ D / y ]_ C ) $=
      ( vz wcel wal wa csb csbnestg wceq cv wi ax-17 gen2 ax-gen csbiegft
      mp3an23 csbeq1d adantr eqtrd ) CGKZDHKALZMACBDENNBACDNZENZBFENZABCDEGHOUG
      UJUKPUHUGBUIFEUGJQFKZULALRZJLALAQCPDFPRZALUIFPUMAJULASTUNAIUAAJCDFGUBUCUD
      UEUF $.
      $( [1-Dec-2005] $) $( [27-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x ph $.  $d x z C $.  $d x y $.
    sbcco3g.1 $e |- ( x = A -> B = C ) $.
    $( Composition of two substitutions. $)
    sbcco3g $p |- ( ( A e. R /\ A. x B e. S ) ->
                ( [ A / x ] [ B / y ] ph <-> [ C / y ] ph ) ) $=
      ( vz wcel wal wa wsbc csb sbcnestg wb wceq cv wi ax-17 gen2 ax-gen
      csbiegft mp3an23 dfsbcq syl adantr bitrd ) DGKZEHKBLZMACENBDNACBDEOZNZACF
      NZABCDEGHPUJUMUNQZUKUJULFRZUOUJJSFKZUQBLTZJLBLBSDREFRTZBLUPURBJUQBUAUBUSB
      IUCBJDEFGUDUEACULFUFUGUHUI $.
      $( [6-Dec-2005] $) $( [27-Nov-2005] $)
  $}

  ${
    $d x B $.  $d x D $.
    $( Special case related to ~ ra4sbc .  (The proof was shortened by Eric
       Schmidt, 17-Jan-2007.) $)
    ra4csbela $p |- ( ( A e. B /\ A. x e. B C e. D ) -> [_ A / x ]_ C e. D ) $=
      ( wcel wral csb wsbc ra4sbc sbcel1g sylibd imp ) BCFZDEFZACGZABDHEFZNPOAB
      IQOABCJABDECKLM $.
      $( [18-Jan-2007] $) $( [10-Dec-2005] $)
  $}

  ${
    $d y z A $.  $d z ph $.  $d x y z $.
    $( Move substitution into a class abstraction. $)
    csbabg $p |- ( A e. B ->
                 [_ A / x ]_ { y | ph } = { y | [ A / x ] ph } ) $=
      ( vz wcel cvv cab csb wsbc wceq elisset cv wb visset sbccomg mpan
      df-clab sbcbii bitr4d abbidv ax-17 hbs1 sbequ12 cbvab syl5eq df-csb
      syl6reqr syl ) DEGDHGZBDACIZJZABDKZCIZLDEMUKUOFNZULGZBDKZFIZUMUKUNCUPKZFI
      USUOUKUTURFUKUTACUPKZBDKZURUPHGUKUTVBOFPACBUPDHHQRUQVABDHAFCSTUAUBUNUTCFU
      NFUCUNCFUDUNCFUEUFUGBFDULUHUIUJ $.
      $( [17-Dec-2005] $) $( [13-Dec-2005] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Define basic set operations and relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols. $)
  $c \ $. $( Backslash (difference) $)
  $c u. $. $( Cup (union) $)
  $c i^i $. $( Cap (intersection) $)
  $c (_ $. $( Subclass or subset symbol $)
  $c (. $. $( Proper subclass or subset symbol $)

  $( Extend class notation to include class difference (read:
     " ` A ` minus ` B ` "). $)
  cdif $a class ( A \ B ) $.

  $( Extend class notation to include union of two classes (read:  " ` A `
     union ` B ` "). $)
  cun $a class ( A u. B ) $.

  $( Extend class notation to include the intersection of two classes (read:
     " ` A ` intersect ` B ` "). $)
  cin $a class ( A i^i B ) $.

  $( Extend wff notation to include the subclass relation.  This is read
     " ` A ` is a subclass of ` B `" or " ` B ` includes ` A ` ."  When ` A `
     exists as a set, it is also read " ` A ` is a subset of ` B ` ." $)
  wss $a wff A (_ B $.

  $( Extend wff notation with proper subclass relation. $)
  wpss $a wff A (. B $.

  ${
    $d x A $.  $d x B $.
    $( Define class difference, also called relative complement.  Definition
       5.12 of [TakeutiZaring] p. 20.  Several notations are used in the
       literature; we chose the ` \ ` convention used in Definition 5.3 of
       [Eisenberg] p. 67 instead of the more common minus sign to reserve the
       latter for later use in, e.g., arithmetic.  We will use the terminology
       " ` A ` excludes ` B ` " to mean ` A \ B ` .  We will use " ` B ` is
       removed from ` A ` " to mean ` A \ { B } ` i.e. the removal of an
       element or equivalently the exclusion of a singleton. $)
    df-dif $a |- ( A \ B ) = { x | ( x e. A /\ -. x e. B ) } $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Define the union of two classes.  Definition 5.6 of [TakeutiZaring]
       p. 16.  For an alternate definition in terms of class difference,
       requiring no dummy variables, see ~ dfun2 .  For union defined in terms
       of intersection, see ~ dfun3 . $)
    df-un $a |- ( A u. B ) = { x | ( x e. A \/ x e. B ) } $.

    $( Define the intersection of two classes.  Definition 5.6 of
       [TakeutiZaring] p. 16.  For alternate definitions in terms of class
       difference, requiring no dummy variables, see ~ dfin2 and ~ dfin4 .  For
       intersection defined in terms of union, see ~ dfin3 . $)
    df-in $a |- ( A i^i B ) = { x | ( x e. A /\ x e. B ) } $.

    $( Alternate definition for the intersection of two classes. $)
    dfin5 $p |- ( A i^i B ) = { x e. A | x e. B } $=
      ( cin cv wcel wa cab crab df-in df-rab eqtr4 ) BCDAEZBFMCFZGAHNABIABCJNAB
      KL $.
      $( [11-Jul-2005] $) $( [6-Jul-2005] $)
  $}

  $( Define the subclass relationship.  Exercise 9 of [TakeutiZaring] p. 18.
     For a more traditional definition, but requiring a dummy variable, see
     ~ dfss2 .  Other possible definitions are given by ~ dfss3 , ~ dfss4 ,
     ~ sspss , ~ ssequn1 , ~ ssequn2 , ~ sseqin2 , and ~ ssdif0 . $)
  df-ss $a |- ( A (_ B <-> ( A i^i B ) = A ) $.

  $( A frequently-used variant of subclass definition ~ df-ss . $)
  dfss $p |- ( A (_ B <-> A = ( A i^i B ) ) $=
    ( wss cin wceq df-ss eqcom bitr ) ABCABDZAEAIEABFIAGH $.
    $( [3-Sep-2004] $)

  $( Define proper subclass relationship between two classes.  Definition 5.9
     of [TakeutiZaring] p. 17.  Other possible definitions are given by
     ~ dfpss2 and ~ dfpss3 . $)
  df-pss $a |- ( A (. B <-> ( A (_ B /\ A =/= B ) ) $.

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of class difference. $)
    dfdif2 $p |- ( A \ B ) = { x e. A | -. x e. B } $=
      ( cdif cv wcel wn wa cab crab df-dif df-rab eqtr4 ) BCDAEZBFNCFGZHAIOABJA
      BCKOABLM $.
      $( [26-Mar-2004] $) $( [25-Mar-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Expansion of membership in a class difference. $)
    eldif $p |- ( A e. ( B \ C ) <-> ( A e. B /\ -. A e. C ) ) $=
      ( vx cdif wcel cvv wn wa elisset adantr cv wceq eleq1 negbid anbi12d
      df-dif elab2g pm5.21nii ) ABCEZFAGFZABFZACFZHZIZATJUBUAUDABJKDLZBFZUFCFZH
      ZIUEDATGUFAMZUGUBUIUDUFABNUJUHUCUFACNOPDBCQRS $.
      $( [29-Apr-1994] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Subclasses and subsets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of the subclass relationship between two classes.
       Definition 5.9 of [TakeutiZaring] p. 17. $)
    dfss2 $p |- ( A (_ B <-> A. x ( x e. A -> x e. B ) ) $=
      ( wss cv wcel wa wb wal wi cin wceq cab dfss df-in eqeq2i abeq2 3bitr
      pm4.71 albii bitr4 ) BCDZAEZBFZUDUCCFZGZHZAIZUDUEJZAIUBBBCKZLBUFAMZLUHBCN
      UJUKBABCOPUFABQRUIUGAUDUESTUA $.
      $( [8-Jan-2002] $)

    $( Alternate definition of subclass relationship. $)
    dfss3 $p |- ( A (_ B <-> A. x e. A x e. B ) $=
      ( wss cv wcel wi wal wral dfss2 df-ral bitr4 ) BCDAEZBFMCFZGAHNABIABCJNAB
      KL $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    dfss2f.1 $e |- ( y e. A -> A. x y e. A ) $.
    dfss2f.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Equivalence for subclass relation, using bound-variable hypotheses
       instead of distinct variable conditions. $)
    dfss2f $p |- ( A (_ B <-> A. x ( x e. A -> x e. B ) ) $=
      ( wss cv wcel wi wal dfss2 ax-17 hbim wceq eleq1 imbi12d cbval bitr4 ) CD
      GBHZCIZTDIZJZBKAHZCIZUDDIZJZAKBCDLUGUCABUGBMUAUBAEFNUDTOUEUAUFUBUDTCPUDTD
      PQRS $.
      $( [3-Jul-1994] $)

    $( Equivalence for subclass relation, using bound-variable hypotheses
       instead of distinct variable conditions. $)
    dfss3f $p |- ( A (_ B <-> A. x e. A x e. B ) $=
      ( wss cv wcel wi wal wral dfss2f df-ral bitr4 ) CDGAHZCIPDIZJAKQACLABCDEF
      MQACNO $.
      $( [21-Mar-2004] $) $( [20-Mar-2004] $)

    $( If ` x ` is not free in ` A ` and ` B ` , it is not free in
       ` A (_ B ` . $)
    hbss $p |- ( A (_ B -> A. x A (_ B ) $=
      ( cv wcel wi wal wss hba1 dfss2f albii 3imtr4 ) AGZCHPDHIZAJZRAJCDKZSAJQA
      LABCDEFMZSRATNO $.
      $( [27-Dec-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership relationships follow from a subclass relationship. $)
    ssel $p |- ( A (_ B -> ( C e. A -> C e. B ) ) $=
      ( vx wss cv wceq wcel wa wex wi wal dfss2 biimp 19.21bi anim2d 19.22dv
      df-clel 3imtr4g ) ABEZDFZCGZUAAHZIZDJUBUABHZIZDJCAHCBHTUDUFDTUCUEUBTUCUEK
      ZDTUGDLDABMNOPQDCARDCBRS $.
      $( [5-Aug-1993] $)
  $}

  $( Membership relationships follow from a subclass relationship. $)
  ssel2 $p |- ( ( A (_ B /\ C e. A ) -> C e. B ) $=
    ( wss wcel ssel imp ) ABDCAECBEABCFG $.
    $( [8-Jun-2004] $) $( [7-Jun-2004] $)

  ${
    sseli.1 $e |- A (_ B $.
    $( Membership inference from subclass relationship. $)
    sseli $p |- ( C e. A -> C e. B ) $=
      ( wss wcel wi ssel ax-mp ) ABECAFCBFGDABCHI $.
      $( [5-Aug-1993] $)
    ${
      sselii.2 $e |- C e. A $.
      $( Membership inference from subclass relationship. $)
      sselii $p |- C e. B $=
        ( wcel sseli ax-mp ) CAFCBFEABCDGH $.
        $( [31-May-1999] $)
    $}
  $}

  ${
    sseld.1 $e |- ( ph -> A (_ B ) $.
    $( Membership deduction from subclass relationship. $)
    sseld $p |- ( ph -> ( C e. A -> C e. B ) ) $=
      ( wss wcel wi ssel syl ) ABCFDBGDCGHEBCDIJ $.
      $( [15-Nov-1995] $)
    ${
      sseldd.2 $e |- ( ph -> C e. A ) $.
      $( Membership inference from subclass relationship. $)
      sseldd $p |- ( ph -> C e. B ) $=
        ( wcel sseld mpd ) ADBGDCGFABCDEHI $.
        $( [15-Dec-2004] $) $( [14-Dec-2004] $)
    $}
  $}

  ${
    $d x A $.  $d x B $.
    ssriv.1 $e |- ( x e. A -> x e. B ) $.
    $( Inference rule based on subclass definition. $)
    ssriv $p |- A (_ B $=
      ( wss cv wcel wi dfss2 mpgbir ) BCEAFZBGKCGHAABCIDJ $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    ssrdv.1 $e |- ( ph -> ( x e. A -> x e. B ) ) $.
    $( Deduction rule based on subclass definition. $)
    ssrdv $p |- ( ph -> A (_ B ) $=
      ( cv wcel wi wal wss 19.21aiv dfss2 sylibr ) ABFZCGNDGHZBICDJAOBEKBCDLM
      $.
      $( [15-Nov-1995] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Transitivity of subclasses.  Exercise 5 of [TakeutiZaring] p. 17. $)
    sstr2 $p |- ( A (_ B -> ( B (_ C -> A (_ C ) ) $=
      ( vx wss cv wcel wi wal dfss2 imim1 19.20ii 3imtr4g sylbi ) ABEDFZAGZOBGZ
      HZDIZBCEZACEZHDABJSQOCGZHZDIPUBHZDITUARUCUDDPQUBKLDBCJDACJMN $.
      $( [5-Aug-1993] $)
  $}

  $( Transitivity of subclasses.  Theorem 6 of [Suppes] p. 23. $)
  sstr $p |- ( ( A (_ B /\ B (_ C ) -> A (_ C ) $=
    ( wss sstr2 imp ) ABDBCDACDABCEF $.
    $( [5-Sep-2003] $)

  ${
    sstri.1 $e |- A (_ B $.
    sstri.2 $e |- B (_ C $.
    $( Subclass transitivity inference. $)
    sstri $p |- A (_ C $=
      ( wss sstr2 mp2 ) ABFBCFACFDEABCGH $.
      $( [5-May-2000] $)
  $}

  ${
    sstrd.1 $e |- ( ph -> A (_ B ) $.
    sstrd.2 $e |- ( ph -> B (_ C ) $.
    $( Subclass transitivity deduction. $)
    sstrd $p |- ( ph -> A (_ C ) $=
      ( wss sstr sylanc ) BCGCDGBDGABCDHEFI $.
      $( [4-Jun-2004] $) $( [2-Jun-2004] $)
  $}

  ${
    sylan9ss.1 $e |- ( ph -> A (_ B ) $.
    sylan9ss.2 $e |- ( ps -> B (_ C ) $.
    $( A subclass transitivity deduction. $)
    sylan9ss $p |- ( ( ph /\ ps ) -> A (_ C ) $=
      ( wa wss adantr adantl sstrd ) ABHCDEACDIBFJBDEIAGKL $.
      $( [28-Sep-2004] $) $( [27-Sep-2004] $)
  $}

  ${
    sylan9ssr.1 $e |- ( ph -> A (_ B ) $.
    sylan9ssr.2 $e |- ( ps -> B (_ C ) $.
    $( A subclass transitivity deduction. $)
    sylan9ssr $p |- ( ( ps /\ ph ) -> A (_ C ) $=
      ( wss sylan9ss ancoms ) ABCEHABCDEFGIJ $.
      $( [28-Oct-2004] $) $( [27-Sep-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The subclass relationship is antisymmetric.  Compare Theorem 4 of
       [Suppes] p. 22. $)
    eqss $p |- ( A = B <-> ( A (_ B /\ B (_ A ) ) $=
      ( vx cv wcel wb wal wi wa wceq wss albi dfcleq dfss2 anbi12i 3bitr4 ) CDZ
      AEZQBEZFCGRSHCGZSRHCGZIABJABKZBAKZIRSCLCABMUBTUCUACABNCBANOP $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqssi.1 $e |- A (_ B $.
    eqssi.2 $e |- B (_ A $.
    $( Infer equality from two subclass relationships.  Compare Theorem 4 of
       [Suppes] p. 22. $)
    eqssi $p |- A = B $=
      ( wceq wss eqss mpbir2an ) ABEABFBAFABGCDH $.
      $( [9-Sep-1993] $)
  $}

  ${
    eqssd.1 $e |- ( ph -> A (_ B ) $.
    eqssd.2 $e |- ( ph -> B (_ A ) $.
    $( Equality deduction from two subclass relationships.  Compare Theorem 4
       of [Suppes] p. 22. $)
    eqssd $p |- ( ph -> A = B ) $=
      ( wss wa wceq jca eqss sylibr ) ABCFZCBFZGBCHALMDEIBCJK $.
      $( [28-Jun-2004] $) $( [27-Jun-2004] $)
  $}

  $( Any class is a subclass of itself.  Exercise 10 of [TakeutiZaring]
     p. 18. $)
  ssid $p |- A (_ A $=
    ( wss wceq wa eqid eqss mpbi pm3.26i ) AABZIAACIIDAEAAFGH $.
    $( [5-Aug-1993] $)

  ${
    $d A x $.
    $( Any class is a subclass of the universal class. $)
    ssv $p |- A (_ V $=
      ( vx cvv cv elisset ssriv ) BACBDAEF $.
      $( [31-Oct-1995] $)
  $}

  $( Equality theorem for subclasses. $)
  sseq1 $p |- ( A = B -> ( A (_ C <-> B (_ C ) ) $=
    ( wss wb wa wi wceq sstr2 anim12i eqss dfbi2 3imtr4 eqcoms ) ACDZBCDZEZBABADZA
    BDZFOPGZPOGZFBAHQRTSUABACIABCIJBAKOPLMN $.
    $( [5-Aug-1993] $)

  $( Equality theorem for the subclass relationship. $)
  sseq2 $p |- ( A = B -> ( C (_ A <-> C (_ B ) ) $=
    ( wss wa wi wceq wb sstr2 com12 anim12i eqss dfbi2 3imtr4 ) ABDZBADZECADZCBDZF
    ZRQFZEABGQRHOSPTQORCABIJRPQCBAIJKABLQRMN $.
    $( [25-Jun-1998] $)

  $( Equality theorem for the subclass relationship. $)
  sseq12 $p |- ( ( A = B /\ C = D ) -> ( A (_ C <-> B (_ D ) ) $=
    ( wceq wss sseq1 sseq2 sylan9bb ) ABEACFBCFCDEBDFABCGCDBHI $.
    $( [31-May-1999] $)

  ${
    sseq1i.1 $e |- A = B $.
    $( An equality inference for the subclass relationship. $)
    sseq1i $p |- ( A (_ C <-> B (_ C ) $=
      ( wceq wss wb sseq1 ax-mp ) ABEACFBCFGDABCHI $.
      $( [18-Aug-1993] $)

    $( An equality inference for the subclass relationship. $)
    sseq2i $p |- ( C (_ A <-> C (_ B ) $=
      ( wceq wss wb sseq2 ax-mp ) ABECAFCBFGDABCHI $.
      $( [30-Aug-1993] $)

    ${
      sseq12i.2 $e |- C = D $.
      $( An equality inference for the subclass relationship.  (The proof was
         shortened by Eric Schmidt, 26-Jan-2007.) $)
      sseq12i $p |- ( A (_ C <-> B (_ D ) $=
        ( wceq wss wb sseq12 mp2an ) ABGCDGACHBDHIEFABCDJK $.
        $( [27-Jan-2007] $) $( [31-May-1999] $)
    $}
  $}

  ${
    sseq1d.1 $e |- ( ph -> A = B ) $.
    $( An equality deduction for the subclass relationship. $)
    sseq1d $p |- ( ph -> ( A (_ C <-> B (_ C ) ) $=
      ( wceq wss wb sseq1 syl ) ABCFBDGCDGHEBCDIJ $.
      $( [14-Aug-1994] $)

    $( An equality deduction for the subclass relationship. $)
    sseq2d $p |- ( ph -> ( C (_ A <-> C (_ B ) ) $=
      ( wceq wss wb sseq2 syl ) ABCFDBGDCGHEBCDIJ $.
      $( [14-Aug-1994] $)

    ${
      sseq12d.2 $e |- ( ph -> C = D ) $.
      $( An equality deduction for the subclass relationship. $)
      sseq12d $p |- ( ph -> ( A (_ C <-> B (_ D ) ) $=
        ( wss sseq1d sseq2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
        $( [31-May-1999] $)
    $}
  $}

  ${
    eqsstr.1 $e |- A = B $.
    eqsstr.2 $e |- B (_ C $.
    $( Substitution of equality into a subclass relationship. $)
    eqsstr $p |- A (_ C $=
      ( wss sseq1i mpbir ) ACFBCFEABCDGH $.
      $( [16-Jul-1995] $)
  $}

  ${
    eqsstr3.1 $e |- B = A $.
    eqsstr3.2 $e |- B (_ C $.
    $( Substitution of equality into a subclass relationship. $)
    eqsstr3 $p |- A (_ C $=
      ( eqcomi eqsstr ) ABCBADFEG $.
      $( [19-Oct-1999] $)
  $}

  ${
    sseqtr.1 $e |- A (_ B $.
    sseqtr.2 $e |- B = C $.
    $( Substitution of equality into a subclass relationship. $)
    sseqtr $p |- A (_ C $=
      ( wss sseq2i mpbi ) ABFACFDBCAEGH $.
      $( [28-Jul-1995] $)
  $}

  ${
    sseqtr4.1 $e |- A (_ B $.
    sseqtr4.2 $e |- C = B $.
    $( Substitution of equality into a subclass relationship. $)
    sseqtr4 $p |- A (_ C $=
      ( eqcomi sseqtr ) ABCDCBEFG $.
      $( [4-Apr-1995] $)
  $}

  ${
    eqsstrd.1 $e |- ( ph -> A = B ) $.
    eqsstrd.2 $e |- ( ph -> B (_ C ) $.
    $( Substitution of equality into a subclass relationship. $)
    eqsstrd $p |- ( ph -> A (_ C ) $=
      ( wss sseq1d mpbird ) ABDGCDGFABCDEHI $.
      $( [27-Apr-2004] $) $( [25-Apr-2004] $)
  $}

  ${
    eqsstr3d.1 $e |- ( ph -> B = A ) $.
    eqsstr3d.2 $e |- ( ph -> B (_ C ) $.
    $( Substitution of equality into a subclass relationship. $)
    eqsstr3d $p |- ( ph -> A (_ C ) $=
      ( eqcomd eqsstrd ) ABCDACBEGFH $.
      $( [27-Apr-2004] $) $( [25-Apr-2004] $)
  $}

  ${
    sseqtrd.1 $e |- ( ph -> A (_ B ) $.
    sseqtrd.2 $e |- ( ph -> B = C ) $.
    $( Substitution of equality into a subclass relationship. $)
    sseqtrd $p |- ( ph -> A (_ C ) $=
      ( wss sseq2d mpbid ) ABCGBDGEACDBFHI $.
      $( [27-Apr-2004] $) $( [25-Apr-2004] $)
  $}

  ${
    sseqtr4d.1 $e |- ( ph -> A (_ B ) $.
    sseqtr4d.2 $e |- ( ph -> C = B ) $.
    $( Substitution of equality into a subclass relationship. $)
    sseqtr4d $p |- ( ph -> A (_ C ) $=
      ( eqcomd sseqtrd ) ABCDEADCFGH $.
      $( [27-Apr-2004] $) $( [25-Apr-2004] $)
  $}

  ${
    3sstr3.1 $e |- A (_ B $.
    3sstr3.2 $e |- A = C $.
    3sstr3.3 $e |- B = D $.
    $( Substitution of equality in both sides of a subclass relationship.
       (The proof was shortened by Eric Schmidt, 26-Jan-2007.) $)
    3sstr3 $p |- C (_ D $=
      ( wss sseq12i mpbi ) ABHCDHEACBDFGIJ $.
      $( [27-Jan-2007] $) $( [13-Jan-1996] $)
  $}

  ${
    3sstr4.1 $e |- A (_ B $.
    3sstr4.2 $e |- C = A $.
    3sstr4.3 $e |- D = B $.
    $( Substitution of equality in both sides of a subclass relationship.
       (The proof was shortened by Eric Schmidt, 26-Jan-2007.) $)
    3sstr4 $p |- C (_ D $=
      ( wss sseq12i mpbir ) CDHABHECADBFGIJ $.
      $( [27-Jan-2007] $) $( [13-Jan-1996] $)
  $}

  ${
    3sstr3g.1 $e |- ( ph -> A (_ B ) $.
    3sstr3g.2 $e |- A = C $.
    3sstr3g.3 $e |- B = D $.
    $( Substitution of equality into both sides of a subclass relationship. $)
    3sstr3g $p |- ( ph -> C (_ D ) $=
      ( wss sseq12i sylib ) ABCIDEIFBDCEGHJK $.
      $( [1-Oct-2000] $)
  $}

  ${
    3sstr4g.1 $e |- ( ph -> A (_ B ) $.
    3sstr4g.2 $e |- C = A $.
    3sstr4g.3 $e |- D = B $.
    $( Substitution of equality into both sides of a subclass relationship.
       (The proof was shortened by Eric Schmidt, 26-Jan-2007.) $)
    3sstr4g $p |- ( ph -> C (_ D ) $=
      ( wss sseq12i sylibr ) ABCIDEIFDBECGHJK $.
      $( [27-Jan-2007] $) $( [16-Aug-1994] $)
  $}

  ${
    3sstr3d.1 $e |- ( ph -> A (_ B ) $.
    3sstr3d.2 $e |- ( ph -> A = C ) $.
    3sstr3d.3 $e |- ( ph -> B = D ) $.
    $( Substitution of equality into both sides of a subclass relationship. $)
    3sstr3d $p |- ( ph -> C (_ D ) $=
      ( wss sseq12d mpbid ) ABCIDEIFABDCEGHJK $.
      $( [1-Oct-2000] $)
  $}

  ${
    3sstr4d.1 $e |- ( ph -> A (_ B ) $.
    3sstr4d.2 $e |- ( ph -> C = A ) $.
    3sstr4d.3 $e |- ( ph -> D = B ) $.
    $( Substitution of equality into both sides of a subclass relationship.
       (The proof was shortened by Eric Schmidt, 26-Jan-2007.) $)
    3sstr4d $p |- ( ph -> C (_ D ) $=
      ( wss sseq12d mpbird ) ADEIBCIFADBECGHJK $.
      $( [27-Jan-2007] $) $( [30-Nov-1995] $)
  $}

  ${
    syl5ss.1 $e |- ( ph -> A (_ B ) $.
    syl5ss.2 $e |- C = A $.
    $( A chained subclass and equality deduction. $)
    syl5ss $p |- ( ph -> C (_ B ) $=
      ( wss sseq1i sylibr ) ABCGDCGEDBCFHI $.
      $( [26-Apr-2004] $) $( [25-Apr-2004] $)
  $}

  ${
    syl5ssr.1 $e |- ( ph -> A (_ B ) $.
    syl5ssr.2 $e |- A = C $.
    $( A chained subclass and equality deduction. $)
    syl5ssr $p |- ( ph -> C (_ B ) $=
      ( eqcomi syl5ss ) ABCDEBDFGH $.
      $( [26-Apr-2004] $) $( [25-Apr-2004] $)
  $}

  ${
    syl6ss.1 $e |- ( ph -> A (_ B ) $.
    syl6ss.2 $e |- B = C $.
    $( A chained subclass and equality deduction. $)
    syl6ss $p |- ( ph -> A (_ C ) $=
      ( wss sseq2i sylib ) ABCGBDGECDBFHI $.
      $( [26-Apr-2004] $) $( [25-Apr-2004] $)
  $}

  ${
    syl6ssr.1 $e |- ( ph -> A (_ B ) $.
    syl6ssr.2 $e |- C = B $.
    $( A chained subclass and equality deduction. $)
    syl6ssr $p |- ( ph -> A (_ C ) $=
      ( eqcomi syl6ss ) ABCDEDCFGH $.
      $( [26-Apr-2004] $) $( [25-Apr-2004] $)
  $}

  $( Equality implies the subclass relation. $)
  eqimss $p |- ( A = B -> A (_ B ) $=
    ( wceq wss ssid sseq2 mpbii ) ABCAADABDAEABAFG $.
    $( [5-Aug-1993] $)

  $( Equality implies the subclass relation. $)
  eqimss2 $p |- ( B = A -> A (_ B ) $=
    ( wss eqimss eqcoms ) ABCABABDE $.
    $( [23-Nov-2003] $) $( [23-Nov-2003] $)

  ${
    eqimssi.1 $e |- A = B $.
    $( Infer subclass relationship from equality. $)
    eqimssi $p |- A (_ B $=
      ( ssid sseqtr ) AABADCE $.
      $( [6-Jan-2007] $) $( [6-Jan-2007] $)

    $( Infer subclass relationship from equality. $)
    eqimss2i $p |- B (_ A $=
      ( ssid sseqtr4 ) BBABDCE $.
      $( [7-Jan-2007] $) $( [7-Jan-2007] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Negation of subclass relationship.  Exercise 13 of [TakeutiZaring]
       p. 18. $)
    nss $p |- ( -. A (_ B <-> E. x ( x e. A /\ -. x e. B ) ) $=
      ( cv wcel wi wn wex wal wa wss exnal annim exbii dfss2 negbii 3bitr4r )
      ADZBEZRCEZFZGZAHUAAIZGSTGJZAHBCKZGUAALUDUBASTMNUEUCABCOPQ $.
      $( [25-Feb-1996] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Quantification restricted to a subclass. $)
    ssralv $p |- ( A (_ B -> ( A. x e. B ph -> A. x e. A ph ) ) $=
      ( wss cv wcel ssel imim1d r19.20dv2 ) CDEZAABDCKBFZCGLDGACDLHIJ $.
      $( [12-Mar-2006] $) $( [11-Mar-2006] $)

    $( Existential quantification restricted to a subclass. $)
    ssrexv $p |- ( A (_ B -> ( E. x e. A ph -> E. x e. B ph ) ) $=
      ( wss cv wcel ssel anim1d r19.22dv2 ) CDEZAABCDKBFZCGLDGACDLHIJ $.
      $( [13-Jan-2007] $) $( [11-Jan-2007] $)
  $}

  ${
    $d ph y $.  $d ps y $.  $d x y $.
    $( Class abstractions in a subclass relationship. $)
    ss2ab $p |- ( { x | ph } (_ { x | ps } <-> A. x ( ph -> ps ) ) $=
      ( vy cab wss cv wcel wi wal hbab1 dfss2f abid imbi12i albii bitr ) ACEZBC
      EZFCGZQHZSRHZIZCJABIZCJCDQRACDKBCDKLUBUCCTAUABACMBCMNOP $.
      $( [3-Jul-1994] $)
  $}

  ${
    $d x A $.
    $( Class abstraction in a subclass relationship. $)
    abss $p |- ( { x | ph } (_ A <-> A. x ( ph -> x e. A ) ) $=
      ( cab wss cv wcel wi wal abid2 sseq2i ss2ab bitr3 ) ABDZCENBFCGZBDZEAOHBI
      PCNBCJKAOBLM $.
      $( [17-Aug-2006] $) $( [16-Aug-2006] $)

    $( Subclass of a class abstraction. $)
    ssab $p |- ( A (_ { x | ph } <-> A. x ( x e. A -> ph ) ) $=
      ( cab wss cv wcel wi wal abid2 sseq1i ss2ab bitr3 ) CABDZEBFCGZBDZNEOAHBI
      PCNBCJKOABLM $.
      $( [6-Sep-2006] $) $( [16-Aug-2006] $)

    $( The relation for a subclass of a class abstraction is equivalent to
       restricted quantification. $)
    ssabral $p |- ( A (_ { x | ph } <-> A. x e. A ph ) $=
      ( cab wss cv wcel wi wal wral ssab df-ral bitr4 ) CABDEBFCGAHBIABCJABCKAB
      CLM $.
      $( [16-Sep-2006] $) $( [6-Sep-2006] $)
  $}

  ${
    ss2abi.1 $e |- ( ph -> ps ) $.
    $( Inference of abstraction subclass from implication. $)
    ss2abi $p |- { x | ph } (_ { x | ps } $=
      ( cab wss wi ss2ab mpgbir ) ACEBCEFABGCABCHDI $.
      $( [31-Mar-1995] $)
  $}

  ${
    $d x ph $.  $d x A $.
    abssdv.1 $e |- ( ph -> ( ps -> x e. A ) ) $.
    $( Deduction of abstraction subclass from implication. $)
    abssdv $p |- ( ph -> { x | ps } (_ A ) $=
      ( cv wcel wi wal cab wss 19.21aiv abss sylibr ) ABCFDGHZCIBCJDKAOCELBCDMN
      $.
      $( [25-Feb-2006] $) $( [20-Jan-2006] $)
  $}

  ${
    $d x A $.
    abssi.1 $e |- ( ph -> x e. A ) $.
    $( Inference of abstraction subclass from implication. $)
    abssi $p |- { x | ph } (_ A $=
      ( cab cv wcel ss2abi abid2 sseqtr ) ABEBFCGZBECAKBDHBCIJ $.
      $( [22-Jan-2006] $) $( [20-Jan-2006] $)
  $}

  $( Restricted abstraction classes in a subclass relationship. $)
  ss2rab $p |- ( { x e. A | ph } (_ { x e. A | ps } <->
               A. x e. A ( ph -> ps ) ) $=
    ( crab wss cv wcel wa cab wi wal wral df-rab sseq12i ss2ab df-ral imdistan
    albii bitr2 3bitr ) ACDEZBCDEZFCGDHZAIZCJZUDBIZCJZFUEUGKZCLZABKZCDMZUBUFUCU
    HACDNBCDNOUEUGCPULUDUKKZCLUJUKCDQUMUICUDABRSTUA $.
    $( [30-May-1999] $)

  ${
    $d x B $.
    $( Restricted class abstraction in a subclass relationship. $)
    rabss $p |- ( { x e. A | ph } (_ B <-> A. x e. A ( ph -> x e. B ) ) $=
      ( crab wss cv wcel wa cab wi wal wral df-rab sseq1i abss impexp albii
      df-ral bitr4 3bitr ) ABCEZDFBGZCHZAIZBJZDFUEUCDHZKZBLZAUGKZBCMZUBUFDABCNO
      UEBDPUIUDUJKZBLUKUHULBUDAUGQRUJBCSTUA $.
      $( [18-Sep-2006] $) $( [16-Aug-2006] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass of a restricted class abstraction. $)
    ssrab $p |- ( B (_ { x e. A | ph } <-> ( B (_ A /\ A. x e. B ph ) ) $=
      ( crab wss cv wcel wa cab wi wal wral df-rab sseq2i ssab dfss3 anbi1i
      r19.26 df-ral 3bitr2r 3bitr ) DABCEZFDBGZCHZAIZBJZFUDDHUFKBLZDCFZABDMZIZU
      CUGDABCNOUFBDPUKUEBDMZUJIUFBDMUHUIULUJBDCQRUEABDSUFBDTUAUB $.
      $( [8-Sep-2006] $) $( [16-Aug-2006] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ph $.
    ssrabdv.1 $e |- ( ph -> B (_ A ) $.
    ssrabdv.2 $e |- ( ( ph /\ x e. B ) -> ps ) $.
    $( Subclass of a restricted class abstraction (deduction rule). $)
    ssrabdv $p |- ( ph -> B (_ { x e. A | ps } ) $=
      ( wss wral wa crab r19.21aiva jca ssrab sylibr ) AEDHZBCEIZJEBCDKHAPQFABC
      EGLMBCDENO $.
      $( [13-Sep-2006] $) $( [31-Aug-2006] $)
  $}

  ${
    $d x ph $.
    ss2rabdv.1 $e |- ( ( ph /\ x e. A ) -> ( ps -> ch ) ) $.
    $( Deduction of restricted abstraction subclass from implication. $)
    ss2rabdv $p |- ( ph -> { x e. A | ps } (_ { x e. A | ch } ) $=
      ( wi wral crab wss r19.21aiva ss2rab sylibr ) ABCGZDEHBDEICDEIJANDEFKBCDE
      LM $.
      $( [31-May-2006] $) $( [30-May-2006] $)
  $}

  ${
    ss2rabi.1 $e |- ( x e. A -> ( ph -> ps ) ) $.
    $( Inference of restricted abstraction subclass from implication. $)
    ss2rabi $p |- { x e. A | ph } (_ { x e. A | ps } $=
      ( crab wss wi ss2rab mprgbir ) ACDFBCDFGABHCDABCDIEJ $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass law for restricted abstraction. $)
    rabss2 $p |- ( A (_ B -> { x e. A | ph } (_ { x e. B | ph } ) $=
      ( cv wcel wi wal wa cab wss crab pm3.45 19.20i ss2ab sylibr dfss2 df-rab
      sseq12i 3imtr4 ) BEZCFZUADFZGZBHZUBAIZBJZUCAIZBJZKZCDKABCLZABDLZKUEUFUHGZ
      BHUJUDUMBUBUCAMNUFUHBOPBCDQUKUGULUIABCRABDRST $.
      $( [16-Jan-2005] $) $( [18-Dec-2004] $)

    $( Subclass relation for the restriction of a class abstraction. $)
    ssab2 $p |- { x | ( x e. A /\ ph ) } (_ A $=
      ( cv wcel wa pm3.26 abssi ) BDCEZAFBCIAGH $.
      $( [31-Mar-1995] $)

    $( Subclass relation for a restricted class. $)
    ssrab2 $p |- { x e. A | ph } (_ A $=
      ( crab cv wcel wa cab df-rab ssab2 eqsstr ) ABCDBECFAGBHCABCIABCJK $.
      $( [19-Mar-1997] $)
  $}

  ${
    $d w y z A $.  $d w y z B $.  $d w x z C $.  $d w D $.  $d x y $.
    $( A subset relationship useful for converting union to indexed union using
       ~ dfiun2 or ~ dfiun2g and intersection to indexed intersection using
       ~ dfiin2 . $)
    uniiunlem $p |- ( A. x e. A B e. D ->
                     ( A. x e. A B e. C <-> { y | E. x e. A y = B } (_ C ) ) $=
      ( vz vw wcel wral cv wceq wrex wi wal cab wss hbra1 ax-17 ra4 eleq1a
      syl6 r19.23ad 19.21aiv hbre1 hbim hbal wa csb wex csbeq1a eqcoms eqcomd
      eqeq1d eqid a4eiv visset hbcsb1 hbeleq eqeq1 rexbid eleq1 imbi12d cla4gv
      ra4e syl7 exp4a com4r imbi2d 3imtr3d 19.23aiv ax-mp imp3a com12 r19.20da
      impbid2 abss rexbidv cbvabv sseq1i bitr3 syl6bb ) DFIZACJZDEIZACJZGKZDLZA
      CMZWGEIZNZGOZBKZDLZACMZBPZEQZWDWFWLWFWKGWFWHWJACWEACRWJASZWFAKZCIZWEWHWJN
      WEACTDEWGUAUBUCUDWLWDWFWLWCWEACWKAGWIWJAWHACUEWRUFUGWCWLWTUHWEWCWLWTWEAHK
      ZDUIZDLZHUJWCWLWTWENZNZNZXCDDLHAXAWSLZXBDDXGDXBDXBLWSXAAXADUKULUMUNDUOUPX
      CXFHXCXBFIZWLWTXBEIZNZNWCXEXHWLWTXCXIXHWLWTXCXIXHWLXCACMZXIWTXCUHWKXKXING
      XBFWGXBLZWIXKWJXIXLWHXCACAGXBAGXADHUQWGXAIASURUSWGXBDUTVAWGXBEVBVCVDXCACV
      EVFVGVHXBDFVBXCXJXDWLXCXIWEWTXBDEVBVIVIVJVKVLVMVNVOVNVPWLWIGPZEQWQWIGEVQX
      MWPEWIWOGBWGWMLWHWNACWGWMDUTVRVSVTWAWB $.
      $( [6-Oct-2006] $) $( [5-Oct-2006] $)
  $}

  $( Alternate definition of proper subclass. $)
  dfpss2 $p |- ( A (. B <-> ( A (_ B /\ -. A = B ) ) $=
    ( wpss wss wne wa wceq wn df-pss df-ne anbi2i bitr ) ABCABDZABEZFMABGHZFABI
    NOMABJKL $.
    $( [7-Feb-1996] $)

  $( Alternate definition of proper subclass. $)
  dfpss3 $p |- ( A (. B <-> ( A (_ B /\ -. B (_ A ) ) $=
    ( wss wceq wn wa wpss eqss negbii anbi2i dfpss2 wi anclb iman 3bitr3
    con4bii 3bitr4 ) ABCZABDZEZFRRBACZFZEZFZABGRUAEFZTUCRSUBABHIJABKUEUDRUALRUB
    LUEEUDERUAMRUANRUBNOPQ $.
    $( [7-Feb-1996] $)

  $( Equality theorem for proper subclass. $)
  psseq1 $p |- ( A = B -> ( A (. C <-> B (. C ) ) $=
    ( wceq wss wne wa wpss sseq1 neeq1 anbi12d df-pss 3bitr4g ) ABDZACEZACFZGBC
    EZBCFZGACHBCHNOQPRABCIABCJKACLBCLM $.
    $( [7-Feb-1996] $)

  $( Equality theorem for proper subclass. $)
  psseq2 $p |- ( A = B -> ( C (. A <-> C (. B ) ) $=
    ( wceq wss wne wa wpss sseq2 neeq2 anbi12d df-pss 3bitr4g ) ABDZCAEZCAFZGCB
    EZCBFZGCAHCBHNOQPRABCIABCJKCALCBLM $.
    $( [7-Feb-1996] $)

  ${
    psseq1i.1 $e |- A = B $.
    $( An equality inference for the proper subclass relationship. $)
    psseq1i $p |- ( A (. C <-> B (. C ) $=
      ( wceq wpss wb psseq1 ax-mp ) ABEACFBCFGDABCHI $.
      $( [13-Jun-2004] $) $( [9-Jun-2004] $)

    $( An equality inference for the proper subclass relationship. $)
    psseq2i $p |- ( C (. A <-> C (. B ) $=
      ( wceq wpss wb psseq2 ax-mp ) ABECAFCBFGDABCHI $.
      $( [11-Jun-2004] $) $( [9-Jun-2004] $)

    ${
      psseq12i.2 $e |- C = D $.
      $( An equality inference for the proper subclass relationship. $)
      psseq12i $p |- ( A (. C <-> B (. D ) $=
        ( wpss psseq1i psseq2i bitr ) ACGBCGBDGABCEHCDBFIJ $.
        $( [15-Jun-2004] $) $( [9-Jun-2004] $)
    $}
  $}

  ${
    psseq1d.1 $e |- ( ph -> A = B ) $.
    $( An equality deduction for the proper subclass relationship. $)
    psseq1d $p |- ( ph -> ( A (. C <-> B (. C ) ) $=
      ( wceq wpss wb psseq1 syl ) ABCFBDGCDGHEBCDIJ $.
      $( [15-Jun-2004] $) $( [9-Jun-2004] $)

    $( An equality deduction for the proper subclass relationship. $)
    psseq2d $p |- ( ph -> ( C (. A <-> C (. B ) ) $=
      ( wceq wpss wb psseq2 syl ) ABCFDBGDCGHEBCDIJ $.
      $( [11-Jun-2004] $) $( [9-Jun-2004] $)

    ${
      psseq12d.2 $e |- ( ph -> C = D ) $.
      $( An equality deduction for the proper subclass relationship. $)
      psseq12d $p |- ( ph -> ( A (. C <-> B (. D ) ) $=
        ( wpss psseq1d psseq2d bitrd ) ABDHCDHCEHABCDFIADECGJK $.
        $( [15-Jun-2004] $) $( [9-Jun-2004] $)
    $}
  $}

  $( A proper subclass is a subclass.  Theorem 10 of [Suppes] p. 23. $)
  pssss $p |- ( A (. B -> A (_ B ) $=
    ( wpss wss wne df-pss pm3.26bi ) ABCABDABEABFG $.
    $( [7-Feb-1996] $)

  ${
    pssssd.1 $e |- ( ph -> A (. B ) $.
    $( Deduce subclass from proper subclass. $)
    pssssd $p |- ( ph -> A (_ B ) $=
      ( wpss wss pssss syl ) ABCEBCFDBCGH $.
      $( [29-Feb-1996] $)
  $}

  $( Subclass in terms of proper subclass. $)
  sspss $p |- ( A (_ B <-> ( A (. B \/ A = B ) ) $=
    ( wss wpss wceq wo wn wa dfpss2 biimpr ex con1d orrd pssss eqimss jaoi
    impbi ) ABCZABDZABEZFRSTRTSRTGZSSRUAHABIJKLMSRTABNABOPQ $.
    $( [25-Feb-1996] $)

  $( Proper subclass is irreflexive.  Theorem 7 of [Suppes] p. 23. $)
  pssirr $p |- -. A (. A $=
    ( wpss wss wn wa pm3.24 dfpss3 mtbir ) AABAACZIDEIFAAGH $.
    $( [7-Feb-1996] $)

  $( Proper subclass has no 2-cycle loops.  Compare Theorem 8 of [Suppes]
     p. 23. $)
  pssn2lp $p |- -. ( A (. B /\ B (. A ) $=
    ( wpss wa wss wn pm3.24 dfpss3 anbi12i an42 bitr wo orc adantr ianor
    sylibr anim2i sylbi mto ) ABCZBACZDZABEZBAEZDZUEFZDZUEGUBUEUCFZUDFZDZDZUGUB
    UCUIDZUDUHDZDUKTULUAUMABHBAHIUCUIUDUHJKUJUFUEUJUHUILZUFUHUNUIUHUIMNUCUDOPQR
    S $.
    $( [7-Feb-1996] $)

  $( Two ways of stating trichotomy with respect to inclusion. $)
  sspsstri $p |- ( ( A (_ B \/ B (_ A ) <-> ( A (. B \/ A = B \/ B (. A ) ) $=
    ( wss wo wpss wceq w3o sspss eqcom orbi2i bitr orbi12i orordir or23 df-3or
    bitr4 3bitr2 ) ABCZBACZDABEZABFZDZBAEZUADZDTUCDUADZTUAUCGZRUBSUDABHSUCBAFZD
    UDBAHUGUAUCBAIJKLTUCUAMUEUBUCDUFTUCUANTUAUCOPQ $.
    $( [13-Aug-2004] $) $( [12-Aug-2004] $)

  $( Partial trichotomy law for subclasses. $)
  ssnpss $p |- ( A (_ B -> -. B (. A ) $=
    ( wss wpss wceq wo wn sspss wi wa pssn2lp imnan mpbir pssirr psseq1 mtbii
    jaoi sylbi ) ABCABDZABEZFBADZGZABHSUBTSUBISUAJGABKSUALMTAADUAANABAOPQR $.
    $( [16-May-1996] $)

  $( Transitive law for proper subclass.  Theorem 9 of [Suppes] p. 23. $)
  psstr $p |- ( ( A (. B /\ B (. C ) -> A (. C ) $=
    ( wpss wa wss wceq wn pssss sylan9ss pssn2lp psseq1 anbi1d mtbiri con2i
    jca dfpss2 sylibr ) ABDZBCDZEZACFZACGZHZEACDUAUBUDSTABCABIBCIJUCUAUCUACBDZT
    ECBKUCSUETACBLMNOPACQR $.
    $( [7-Feb-1996] $)

  $( Transitive law for subclass and proper subclass. $)
  sspsstr $p |- ( ( A (_ B /\ B (. C ) -> A (. C ) $=
    ( wpss wceq wo wss wi psstr ex psseq1 biimprd jaoi imp sspss sylanb ) ABDZA
    BEZFZBCDZACDZABGSTUAQTUAHRQTUAABCIJRUATABCKLMNABOP $.
    $( [3-Apr-1996] $)


  $( Transitive law for subclass and proper subclass. $)
  psssstr $p |- ( ( A (. B /\ B (_ C ) -> A (. C ) $=
    ( wpss wceq wo wss psstr ex psseq2 biimpcd jaod imp sspss sylan2b ) ABDZBCD
    ZBCEZFZACDZBCGPSTPQTRPQTABCHIRPTBCAJKLMBCNO $.
    $( [3-Apr-1996] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The difference, union, and intersection of two classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality theorem for class difference. $)
    difeq1 $p |- ( A = B -> ( A \ C ) = ( B \ C ) ) $=
      ( vx wceq cv wcel wn wa cab cdif eleq2 anbi1d abbidv df-dif 3eqtr4g ) ABE
      ZDFZAGZRCGHZIZDJRBGZTIZDJACKBCKQUAUCDQSUBTABRLMNDACODBCOP $.
      $( [10-Feb-1997] $)

    $( Equality theorem for class difference. $)
    difeq2 $p |- ( A = B -> ( C \ A ) = ( C \ B ) ) $=
      ( vx wceq cv wcel wn wa cab cdif eleq2 negbid anbi2d abbidv df-dif
      3eqtr4g ) ABEZDFZCGZSAGZHZIZDJTSBGZHZIZDJCAKCBKRUCUFDRUBUETRUAUDABSLMNODC
      APDCBPQ $.
      $( [10-Feb-1997] $)
  $}

  ${
    difeq1i.1 $e |- A = B $.
    $( Inference adding difference to the right in a class equality. $)
    difeq1i $p |- ( A \ C ) = ( B \ C ) $=
      ( wceq cdif difeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [15-Nov-2002] $)

    $( Inference adding difference to the left in a class equality. $)
    difeq2i $p |- ( C \ A ) = ( C \ B ) $=
      ( wceq cdif difeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [15-Nov-2002] $)

    ${
      difeq12i.2 $e |- C = D $.
      $( Equality inference for class difference. $)
      difeq12i $p |- ( A \ C ) = ( B \ D ) $=
        ( cdif difeq1i difeq2i eqtr ) ACGBCGBDGABCEHCDBFIJ $.
        $( [11-Sep-2004] $) $( [29-Aug-2004] $)
    $}
  $}

  ${
    difeq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction adding difference to the right in a class equality. $)
    difeq1d $p |- ( ph -> ( A \ C ) = ( B \ C ) ) $=
      ( wceq cdif difeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [15-Nov-2002] $)

    $( Deduction adding difference to the left in a class equality. $)
    difeq2d $p |- ( ph -> ( C \ A ) = ( C \ B ) ) $=
      ( wceq cdif difeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [15-Nov-2002] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    difeqri.1 $e |- ( ( x e. A /\ -. x e. B ) <-> x e. C ) $.
    $( Inference from membership to difference. $)
    difeqri $p |- ( A \ B ) = C $=
      ( cdif cv wcel wn wa cab df-dif bicomi abbi2i eqtr4 ) BCFAGZBHPCHIJZAKDAB
      CLQADQPDHEMNO $.
      $( [17-May-1998] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    hbdif.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbdif.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for class difference. $)
    hbdif $p |- ( y e. ( A \ B ) -> A. x y e. ( A \ B ) ) $=
      ( cv wcel wn wa wal cdif hbn hban eldif albii 3imtr4 ) BGZCHZRDHZIZJZUBAK
      RCDLHZUCAKSUAAETAFMNRCDOZUCUBAUDPQ $.
      $( [3-Dec-2003] $) $( [3-Dec-2003] $)
  $}

  $( Implication of membership in a class difference. $)
  eldifi $p |- ( A e. ( B \ C ) -> A e. B ) $=
    ( cdif wcel wn eldif pm3.26bi ) ABCDEABEACEFABCGH $.
    $( [29-Apr-1994] $)

  $( Implication of membership in a class difference. $)
  eldifn $p |- ( A e. ( B \ C ) -> -. A e. C ) $=
    ( cdif wcel wn eldif pm3.27bi ) ABCDEABEACEFABCGH $.
    $( [3-May-1994] $)

  $( A set does not belong to a class excluding it. $)
  elndif $p |- ( A e. B -> -. A e. ( C \ B ) ) $=
    ( cdif wcel eldifn con2i ) ACBDEABEACBFG $.
    $( [27-Jun-1994] $)

  $( Implication of membership in a class difference. $)
  neldif $p |- ( ( A e. B /\ -. A e. ( B \ C ) ) -> A e. C ) $=
    ( wcel cdif wn wa eldif biimpr ex con1d imp ) ABDZABCEDZFACDZMONMOFZNNMPGAB
    CHIJKL $.
    $( [28-Jun-1994] $)

  ${
    $d x A $.  $d x B $.
    $( Double class difference.  Exercise 11 of [TakeutiZaring] p. 22. $)
    difdif $p |- ( A \ ( B \ A ) ) = A $=
      ( vx cdif cv wcel wn wa wi eldif negbii iman bitr4 anbi2i pm4.45im
      difeqri ) CABADZACEZAFZRQFZGZHSRBFZSIZHSUAUCSUAUBSGHZGUCTUDRBAJKUBSLMNSUB
      OMP $.
      $( [17-May-1998] $)

    $( Subclass relationship for class difference.  Exercise 14 of
       [TakeutiZaring] p. 22. $)
    difss $p |- ( A \ B ) (_ A $=
      ( vx cdif cv eldifi ssriv ) CABDACEABFG $.
      $( [29-Apr-1994] $)
  $}

  $( Preservation of a subclass relationship by class difference. $)
  ssdifss $p |- ( A (_ B -> ( A \ C ) (_ B ) $=
    ( cdif wss difss sstr mpan ) ACDZAEABEIBEACFIABGH $.
    $( [26-Feb-2007] $) $( [15-Feb-2007] $)

  ${
    $d x A $.
    $( Double complement under universal class.  Exercise 4.10(s) of
       [Mendelson] p. 231. $)
    ddif $p |- ( V \ ( V \ A ) ) = A $=
      ( vx cvv cdif cv wcel wn wa eldif visset mpbiran con2bii biantrur bitr2
      difeqri ) BCCADZABEZAFZQPFZGZQCFZTHSRSUARGQCAIBJZKLUATUBMNO $.
      $( [8-Jan-2002] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Contraposition law for subsets. $)
    ssconb $p |- ( ( A (_ C /\ B (_ C ) ->
                  ( A (_ ( C \ B ) <-> B (_ ( C \ A ) ) ) $=
      ( vx wss wa cv wcel cdif wi wal wn wb pm5.1 ssel syl2an bi2.03 a1i
      anbi12d jcab 3bitr4g eldif imbi2i albidv dfss2 ) ACEZBCEZFZDGZAHZUICBIZHZ
      JZDKUIBHZUICAIZHZJZDKAUKEBUOEUHUMUQDUHUJUICHZUNLZFZJZUNURUJLZFZJZUMUQUHUJ
      URJZUJUSJZFUNURJZUNVBJZFVAVDUHVEVGVFVHVEVGVEVGMUFUGVEVGNACUIOBCUIOPVFVHMU
      HUJUNQRSUJURUSTUNURVBTUAULUTUJUICBUBUCUPVCUNUICAUBUCUAUDDAUKUEDBUOUEUA $.
      $( [22-Mar-1998] $)

    $( Contraposition law for subsets.  Exercise 15 of [TakeutiZaring]
       p. 22. $)
    sscon $p |- ( A (_ B -> ( C \ B ) (_ ( C \ A ) ) $=
      ( vx wss cdif cv wcel wn wa ssel con3d anim2d eldif 3imtr4g ssrdv ) ABEZD
      CBFZCAFZQDGZCHZTBHZIZJUATAHZIZJTRHTSHQUCUEUAQUDUBABTKLMTCBNTCANOP $.
      $( [22-Mar-1998] $)

    $( Difference law for subsets. $)
    ssdif $p |- ( A (_ B -> ( A \ C ) (_ ( B \ C ) ) $=
      ( vx wss cdif cv wcel wn wa ssel anim1d eldif 3imtr4g ssrdv ) ABEZDACFZBC
      FZPDGZAHZSCHIZJSBHZUAJSQHSRHPTUBUAABSKLSACMSBCMNO $.
      $( [28-May-1998] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Expansion of membership in class union.  Theorem 12 of [Suppes]
       p. 25. $)
    elun $p |- ( A e. ( B u. C ) <-> ( A e. B \/ A e. C ) ) $=
      ( vx cun wcel cvv wo elisset jaoi cv wceq eleq1 orbi12d df-un elab2g
      pm5.21nii ) ABCEZFAGFZABFZACFZHZARITSUAABIACIJDKZBFZUCCFZHUBDARGUCALUDTUE
      UAUCABMUCACMNDBCOPQ $.
      $( [7-Aug-1994] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    uneqri.1 $e |- ( ( x e. A \/ x e. B ) <-> x e. C ) $.
    $( Inference from membership to union. $)
    uneqri $p |- ( A u. B ) = C $=
      ( cun cv wcel wo elun bitr eqriv ) ABCFZDAGZMHNBHNCHINDHNBCJEKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.
    $( Idempotent law for union of classes.  Theorem 23 of [Suppes] p. 27. $)
    unidm $p |- ( A u. A ) = A $=
      ( vx cv wcel oridm uneqri ) BAAABCADEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Commutative law for union of classes.  Exercise 6 of [TakeutiZaring]
       p. 17. $)
    uncom $p |- ( A u. B ) = ( B u. A ) $=
      ( vx cun cv wcel wo orcom elun 3bitr4 eqriv ) CABDZBADZCEZAFZNBFZGPOGNLFN
      MFOPHNABINBAIJK $.
      $( [25-Jun-1998] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality theorem for union of two classes. $)
    uneq1 $p |- ( A = B -> ( A u. C ) = ( B u. C ) ) $=
      ( vx wceq cun cv wcel wo eleq2 orbi1d elun 3bitr4g eqrdv ) ABEZDACFZBCFZO
      DGZAHZRCHZIRBHZTIRPHRQHOSUATABRJKRACLRBCLMN $.
      $( [5-Aug-1993] $)
  $}

  $( Equality theorem for the union of two classes. $)
  uneq2 $p |- ( A = B -> ( C u. A ) = ( C u. B ) ) $=
    ( wceq cun uneq1 uncom 3eqtr4g ) ABDACEBCECAECBEABCFCAGCBGH $.
    $( [5-Aug-1993] $)

  $( Equality theorem for union of two classes. $)
  uneq12 $p |- ( ( A = B /\ C = D ) -> ( A u. C ) = ( B u. D ) ) $=
    ( wceq cun uneq1 uneq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [29-Mar-1998] $)

  ${
    uneq1i.1 $e |- A = B $.
    $( Inference adding union to the right in a class equality. $)
    uneq1i $p |- ( A u. C ) = ( B u. C ) $=
      ( wceq cun uneq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [30-Aug-1993] $)

    $( Inference adding union to the left in a class equality. $)
    uneq2i $p |- ( C u. A ) = ( C u. B ) $=
      ( wceq cun uneq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [30-Aug-1993] $)

    ${
      uneq12i.2 $e |- C = D $.
      $( Equality inference for union of two classes.  (The proof was
         shortened by Eric Schmidt, 26-Jan-2007.) $)
      uneq12i $p |- ( A u. C ) = ( B u. D ) $=
        ( wceq cun uneq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
        $( [27-Jan-2007] $) $( [12-Aug-2004] $)
    $}
  $}

  ${
    uneq1d.1 $e |- ( ph -> A = B ) $.
    $( Deduction adding union to the right in a class equality. $)
    uneq1d $p |- ( ph -> ( A u. C ) = ( B u. C ) ) $=
      ( wceq cun uneq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [29-Mar-1998] $)

    $( Deduction adding union to the left in a class equality. $)
    uneq2d $p |- ( ph -> ( C u. A ) = ( C u. B ) ) $=
      ( wceq cun uneq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [29-Mar-1998] $)

    ${
      uneq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for intersection of two classes. $)
      uneq12d $p |- ( ph -> ( A u. C ) = ( B u. D ) ) $=
        ( cun uneq1d uneq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
        $( [30-Sep-2004] $) $( [29-Sep-2004] $)
    $}
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    hbun.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbun.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for the union of classes. $)
    hbun $p |- ( y e. ( A u. B ) -> A. x y e. ( A u. B ) ) $=
      ( cv wcel wo wal cun hbor elun albii 3imtr4 ) BGZCHZPDHZIZSAJPCDKHZTAJQRA
      EFLPCDMZTSAUANO $.
      $( [15-Sep-2003] $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Associative law for union of classes.  Exercise 8 of [TakeutiZaring]
       p. 17. $)
    unass $p |- ( ( A u. B ) u. C ) = ( A u. ( B u. C ) ) $=
      ( vx cun cv wcel wo orass elun orbi1i orbi2i 3bitr4 bitr4 uneqri ) DABEZC
      ABCEZEZDFZPGZSCGZHZSAGZSQGZHZSRGUCSBGZHZUAHUCUFUAHZHUBUEUCUFUAITUGUASABJK
      UDUHUCSBCJLMSAQJNO $.
      $( [3-May-1994] $)
  $}

  $( A rearrangement of union. $)
  un12 $p |- ( A u. ( B u. C ) ) = ( B u. ( A u. C ) ) $=
    ( cun uncom uneq1i unass 3eqtr3 ) ABDZCDBADZCDABCDDBACDDIJCABEFABCGBACGH $.
    $( [26-Aug-2004] $) $( [12-Aug-2004] $)

  $( A rearrangement of union. $)
  un23 $p |- ( ( A u. B ) u. C ) = ( ( A u. C ) u. B ) $=
    ( cun uncom uneq2i unass 3eqtr4 ) ABCDZDACBDZDABDCDACDBDIJABCEFABCGACBGH $.
    $( [29-Aug-2004] $) $( [12-Aug-2004] $)

  $( A rearrangement of the union of 4 classes. $)
  un4 $p |- ( ( A u. B ) u. ( C u. D ) ) =
            ( ( A u. C ) u. ( B u. D ) ) $=
    ( cun un12 uneq2i unass 3eqtr4 ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHAC
    LHI $.
    $( [30-Aug-2004] $) $( [12-Aug-2004] $)

  $( Union distributes over itself. $)
  unundi $p |- ( A u. ( B u. C ) ) = ( ( A u. B ) u. ( A u. C ) ) $=
    ( cun unidm uneq1i un4 eqtr3 ) AADZBCDZDAJDABDACDDIAJAEFAABCGH $.
    $( [15-Sep-2004] $) $( [17-Aug-2004] $)

  $( Union distributes over itself. $)
  unundir $p |- ( ( A u. B ) u. C ) = ( ( A u. C ) u. ( B u. C ) ) $=
    ( cun unidm uneq2i un4 eqtr3 ) ABDZCCDZDICDACDBCDDJCICEFABCCGH $.
    $( [9-Sep-2004] $) $( [17-Aug-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Subclass relationship for union of classes.  Theorem 25 of [Suppes]
       p. 27. $)
    ssun1 $p |- A (_ ( A u. B ) $=
      ( vx cun cv wcel wo orc elun sylibr ssriv ) CAABDZCEZAFZNMBFZGMLFNOHMABIJ
      K $.
      $( [5-Aug-1993] $)
  $}

  $( Subclass relationship for union of classes. $)
  ssun2 $p |- A (_ ( B u. A ) $=
    ( cun ssun1 uncom sseqtr ) AABCBACABDABEF $.
    $( [30-Aug-1993] $)

  $( Subclass law for union of classes. $)
  ssun3 $p |- ( A (_ B -> A (_ ( B u. C ) ) $=
    ( wss cun ssun1 sstr2 mpi ) ABDBBCEZDAIDBCFABIGH $.
    $( [5-Aug-1993] $)

  $( Subclass law for union of classes. $)
  ssun4 $p |- ( A (_ B -> A (_ ( C u. B ) ) $=
    ( wss cun ssun2 sstr2 mpi ) ABDBCBEZDAIDBCFABIGH $.
    $( [14-Aug-1994] $)

  $( Membership law for union of classes. $)
  elun1 $p |- ( A e. B -> A e. ( B u. C ) ) $=
    ( cun ssun1 sseli ) BBCDABCEF $.
    $( [5-Aug-1993] $)

  $( Membership law for union of classes. $)
  elun2 $p |- ( A e. B -> A e. ( C u. B ) ) $=
    ( cun ssun2 sseli ) BCBDABCEF $.
    $( [30-Aug-1993] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Subclass law for union of classes. $)
    unss1 $p |- ( A (_ B -> ( A u. C ) (_ ( B u. C ) ) $=
      ( vx cv wcel wi wal cun wss wo pm2.38 elun 3imtr4g 19.20i dfss2 3imtr4 )
      DEZAFZRBFZGZDHRACIZFZRBCIZFZGZDHABJUBUDJUAUFDUASRCFZKTUGKUCUEUGSTLRACMRBC
      MNODABPDUBUDPQ $.
      $( [14-Oct-1999] $)

    $( A relationship between subclass and union.  Theorem 26 of [Suppes]
       p. 27. $)
    ssequn1 $p |- ( A (_ B <-> ( A u. B ) = B ) $=
      ( vx cun wceq cv wcel wo cab wss df-un eqeq2i eqcom wi wal wb pm4.72
      albii dfss2 abeq2 3bitr4 3bitr4r ) BABDZEBCFZAGZUDBGZHZCIZEZUCBEABJZUCUHB
      CABKLUCBMUEUFNZCOUFUGPZCOUJUIUKULCUEUFQRCABSUGCBTUAUB $.
      $( [29-Aug-2004] $) $( [30-Aug-1993] $)
  $}

  $( Subclass law for union of classes.  Exercise 7 of [TakeutiZaring]
     p. 18. $)
  unss2 $p |- ( A (_ B -> ( C u. A ) (_ ( C u. B ) ) $=
    ( wss cun unss1 uncom 3sstr4g ) ABDACEBCECAECBEABCFCAGCBGH $.
    $( [14-Oct-1999] $)

  $( Subclass law for union of classes. $)
  unss12 $p |- ( ( A (_ B /\ C (_ D ) -> ( A u. C ) (_ ( B u. D ) ) $=
    ( wss cun unss1 unss2 sylan9ss ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [7-Jun-2004] $) $( [2-Jun-2004] $)

  $( A relationship between subclass and union. $)
  ssequn2 $p |- ( A (_ B <-> ( B u. A ) = B ) $=
    ( wss cun wceq ssequn1 uncom eqeq1i bitr ) ABCABDZBEBADZBEABFJKBABGHI $.
    $( [23-Sep-2004] $) $( [13-Jun-1994] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( The union of two subclasses is a subclass.  Theorem 27 of [Suppes] p. 27
       and its converse. $)
    unss $p |- ( ( A (_ C /\ B (_ C ) <-> ( A u. B ) (_ C ) $=
      ( vx cv cun wcel wi wal wa wss wo elun imbi1i jaob bitr albii dfss2
      anbi12i 19.26 bitr4 3bitr4r ) DEZABFZGZUCCGZHZDIUCAGZUFHZUCBGZUFHZJZDIZUD
      CKACKZBCKZJZUGULDUGUHUJLZUFHULUEUQUFUCABMNUHUFUJOPQDUDCRUPUIDIZUKDIZJUMUN
      URUOUSDACRDBCRSUIUKDTUAUB $.
      $( [15-Jun-2004] $) $( [11-Jun-2004] $)
  $}

  ${
    unssi.1 $e |- A (_ C $.
    unssi.2 $e |- B (_ C $.
    $( An inference that the union of two subclasses is a subclass.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    unssi $p |- ( A u. B ) (_ C $=
      ( wss wa cun pm3.2i unss mpbi ) ACFZBCFZGABHCFLMDEIABCJK $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)
  $}

  $( A condition that implies inclusion in the union of two classes. $)
  ssun $p |- ( ( A (_ B \/ A (_ C ) -> A (_ ( B u. C ) ) $=
    ( wss cun ssun3 ssun4 jaoi ) ABDABCEDACDABCFACBGH $.
    $( [23-Nov-2003] $) $( [23-Nov-2003] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Expansion of membership in an intersection of two classes.  Theorem 12
       of [Suppes] p. 25. $)
    elin $p |- ( A e. ( B i^i C ) <-> ( A e. B /\ A e. C ) ) $=
      ( vx cin wcel cvv wa elisset adantl cv wceq eleq1 anbi12d df-in elab2g
      pm5.21nii ) ABCEZFAGFZABFZACFZHZARIUASTACIJDKZBFZUCCFZHUBDARGUCALUDTUEUAU
      CABMUCACMNDBCOPQ $.
      $( [29-Apr-1994] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Commutative law for intersection of classes.  Exercise 7 of
       [TakeutiZaring] p. 17. $)
    incom $p |- ( A i^i B ) = ( B i^i A ) $=
      ( vx cin cv wcel wa ancom elin 3bitr4 eqriv ) CABDZBADZCEZAFZNBFZGPOGNLFN
      MFOPHNABINBAIJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    ineqri.1 $e |- ( ( x e. A /\ x e. B ) <-> x e. C ) $.
    $( Inference from membership to intersection. $)
    ineqri $p |- ( A i^i B ) = C $=
      ( cin cv wcel wa elin bitr eqriv ) ABCFZDAGZMHNBHNCHINDHNBCJEKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Equality theorem for intersection of two classes. $)
    ineq1 $p |- ( A = B -> ( A i^i C ) = ( B i^i C ) ) $=
      ( vx wceq cin cv wcel wa eleq2 anbi1d elin 3bitr4g eqrdv ) ABEZDACFZBCFZO
      DGZAHZRCHZIRBHZTIRPHRQHOSUATABRJKRACLRBCLMN $.
      $( [14-Dec-1993] $)
  $}

  $( Equality theorem for intersection of two classes. $)
  ineq2 $p |- ( A = B -> ( C i^i A ) = ( C i^i B ) ) $=
    ( wceq cin ineq1 incom 3eqtr4g ) ABDACEBCECAECBEABCFCAGCBGH $.
    $( [26-Dec-1993] $)

  $( Equality theorem for intersection of two classes. $)
  ineq12 $p |- ( ( A = B /\ C = D ) -> ( A i^i C ) = ( B i^i D ) ) $=
    ( wceq cin ineq1 ineq2 sylan9eq ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [8-May-1994] $)

  ${
    ineq1i.1 $e |- A = B $.
    $( Equality inference for intersection of two classes. $)
    ineq1i $p |- ( A i^i C ) = ( B i^i C ) $=
      ( wceq cin ineq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [26-Dec-1993] $)

    $( Equality inference for intersection of two classes. $)
    ineq2i $p |- ( C i^i A ) = ( C i^i B ) $=
      ( wceq cin ineq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [26-Dec-1993] $)

    ${
      ineq12i.2 $e |- C = D $.
      $( Equality inference for intersection of two classes.  (The proof was
         shortened by Eric Schmidt, 26-Jan-2007.) $)
      ineq12i $p |- ( A i^i C ) = ( B i^i D ) $=
        ( wceq cin ineq12 mp2an ) ABGCDGACHBDHGEFABCDIJ $.
        $( [27-Jan-2007] $) $( [24-Jun-2004] $)
    $}
  $}

  ${
    ineq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for intersection of two classes. $)
    ineq1d $p |- ( ph -> ( A i^i C ) = ( B i^i C ) ) $=
      ( wceq cin ineq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [10-Apr-1994] $)

    $( Equality deduction for intersection of two classes. $)
    ineq2d $p |- ( ph -> ( C i^i A ) = ( C i^i B ) ) $=
      ( wceq cin ineq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [10-Apr-1994] $)

    ${
      ineq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for intersection of two classes. $)
      ineq12d $p |- ( ph -> ( A i^i C ) = ( B i^i D ) ) $=
        ( cin ineq1d ineq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
        $( [25-Jun-2004] $) $( [24-Jun-2004] $)
    $}

    ${
      ineqan12d.2 $e |- ( ps -> C = D ) $.
      $( Equality deduction for intersection of two classes. $)
      ineqan12d $p |- ( ( ph /\ ps ) -> ( A i^i C ) = ( B i^i D ) ) $=
        ( wceq cin ineq12 syl2an ) CDIEFICEJDFJIABCDEFKGHL $.
        $( [7-Feb-2007] $) $( [7-Feb-2007] $)
    $}
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    hbin.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbin.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for the intersection of classes. $)
    hbin $p |- ( y e. ( A i^i B ) -> A. x y e. ( A i^i B ) ) $=
      ( cv wcel wa wal cin hban elin albii 3imtr4 ) BGZCHZPDHZIZSAJPCDKHZTAJQRA
      EFLPCDMZTSAUANO $.
      $( [15-Sep-2003] $)
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.
    rabbirdv.1 $e |- ( ph -> ( x e. B -> ( x e. A <-> ch ) ) ) $.
    $( Deduction from wff to restricted class abstraction. $)
    rabbirdv $p |- ( ph -> ( B i^i A ) = { x e. B | ch } ) $=
      ( cin cv wcel wa cab crab pm5.32d elin syl5bb abbi2dv df-rab syl6eqr ) AE
      DGZCHZEIZBJZCKBCELAUBCSAUATDIZJUBTSIAUAUCBFMTEDNOPBCEQR $.
      $( [16-Sep-2004] $) $( [27-Aug-2004] $)
  $}

  ${
    $d x A $.
    $( Idempotent law for intersection of classes.  Theorem 15 of [Suppes]
       p. 26. $)
    inidm $p |- ( A i^i A ) = A $=
      ( vx cv wcel anidm ineqri ) BAAABCADEF $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    $( Associative law for intersection of classes.  Exercise 9 of
       [TakeutiZaring] p. 17. $)
    inass $p |- ( ( A i^i B ) i^i C ) = ( A i^i ( B i^i C ) ) $=
      ( vx cin cv wcel wa anass elin anbi2i bitr4 anbi1i 3bitr4 ineqri ) DABEZC
      ABCEZEZDFZAGZSBGZHZSCGZHZTSQGZHZSPGZUCHSRGUDTUAUCHZHUFTUAUCIUEUHTSBCJKLUG
      UBUCSABJMSAQJNO $.
      $( [3-May-1994] $)
  $}

  $( A rearrangement of intersection. $)
  in12 $p |- ( A i^i ( B i^i C ) ) = ( B i^i ( A i^i C ) ) $=
    ( cin incom ineq1i inass 3eqtr3 ) ABDZCDBADZCDABCDDBACDDIJCABEFABCGBACGH $.
    $( [21-Apr-2001] $)

  $( A rearrangement of intersection. $)
  in23 $p |- ( ( A i^i B ) i^i C ) = ( ( A i^i C ) i^i B ) $=
    ( cin incom ineq2i inass 3eqtr4 ) ABCDZDACBDZDABDCDACDBDIJABCEFABCGACBGH $.
    $( [21-Apr-2001] $)

  $( Rearrangement of intersection of 4 classes. $)
  in4 $p |- ( ( A i^i B ) i^i ( C i^i D ) ) =
            ( ( A i^i C ) i^i ( B i^i D ) ) $=
    ( cin in12 ineq2i inass 3eqtr4 ) ABCDEZEZEACBDEZEZEABEJEACELEKMABCDFGABJHAC
    LHI $.
    $( [21-Apr-2001] $)

  $( Intersection distributes over itself. $)
  inindi $p |- ( A i^i ( B i^i C ) ) = ( ( A i^i B ) i^i ( A i^i C ) ) $=
    ( cin inidm ineq1i in4 eqtr3 ) AADZBCDZDAJDABDACDDIAJAEFAABCGH $.
    $( [6-May-1994] $)

  $( Intersection distributes over itself. $)
  inindir $p |- ( ( A i^i B ) i^i C ) = ( ( A i^i C ) i^i ( B i^i C ) ) $=
    ( cin inidm ineq2i in4 eqtr3 ) ABDZCCDZDICDACDBCDDJCICEFABCCGH $.
    $( [18-Sep-2004] $) $( [17-Aug-2004] $)

  $( A relationship between subclass and intersection.  Similar to
     Exercise 9 of [TakeutiZaring] p. 18. $)
  sseqin2 $p |- ( A (_ B <-> ( B i^i A ) = A ) $=
    ( wss cin wceq df-ss incom eqeq1i bitr ) ABCABDZAEBADZAEABFJKAABGHI $.
    $( [23-Sep-2004] $) $( [17-May-1994] $)

  ${
    $d x A $.  $d x B $.
    $( The intersection of two classes is a subset of one of them.  Part of
       Exercise 12 of [TakeutiZaring] p. 18. $)
    inss1 $p |- ( A i^i B ) (_ A $=
      ( vx cin cv wcel elin pm3.26bi ssriv ) CABDZACEZJFKAFKBFKABGHI $.
      $( [27-Apr-1994] $)
  $}

  $( The intersection of two classes is a subset of one of them.  Part of
     Exercise 12 of [TakeutiZaring] p. 18. $)
  inss2 $p |- ( A i^i B ) (_ B $=
    ( cin incom inss1 eqsstr3 ) ABCBACBBADBAEF $.
    $( [27-Apr-1994] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Subclass of intersection.  Theorem 2.8(vii) of [Monk1] p. 26. $)
    ssin $p |- ( ( A (_ B /\ A (_ C ) <-> A (_ ( B i^i C ) ) $=
      ( wss wa cin wceq ineq12 inindi syl5eq inidm syl6eq df-ss anbi12i 3imtr4
      inss1 sstr2 mpi inss2 jca impbi ) ABDZACDZEZABCFZDZABFZAGZACFZAGZEZAUEFZA
      GUDUFUKULAAFZAUKUGUIFUMULUGAUIAHABCIJAKLUBUHUCUJABMACMNAUEMOUFUBUCUFUEBDU
      BBCPAUEBQRUFUECDUCBCSAUECQRTUA $.
      $( [16-Jun-2004] $) $( [15-Jun-2004] $)
  $}

  ${
    ssini.1 $e |- A (_ B $.
    ssini.2 $e |- A (_ C $.
    $( An inference showing that the a subclass of two classes is a subclass of
       their intersection. $)
    ssini $p |- A (_ ( B i^i C ) $=
      ( wss wa cin pm3.2i ssin mpbi ) ABFZACFZGABCHFLMDEIABCJK $.
      $( [24-Nov-2003] $) $( [24-Nov-2003] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Add right intersection to subclass relation. $)
    ssrin $p |- ( A (_ B -> ( A i^i C ) (_ ( B i^i C ) ) $=
      ( vx cv wcel wi wal cin wss wa pm3.45 elin 3imtr4g 19.20i dfss2 3imtr4 )
      DEZAFZRBFZGZDHRACIZFZRBCIZFZGZDHABJUBUDJUAUFDUASRCFZKTUGKUCUESTUGLRACMRBC
      MNODABPDUBUDPQ $.
      $( [16-Aug-1994] $)

    $( Add left intersection to subclass relation. $)
    sslin $p |- ( A (_ B -> ( C i^i A ) (_ ( C i^i B ) ) $=
      ( wss cin ssrin incom 3sstr4g ) ABDACEBCECAECBEABCFCAGCBGH $.
      $( [19-Oct-1999] $)
  $}

  $( Intersection of subclasses. $)
  ss2in $p |- ( ( A (_ B /\ C (_ D ) -> ( A i^i C ) (_ ( B i^i D ) ) $=
    ( wss cin ssrin sslin sylan9ss ) ABECDEACFBCFBDFABCGCDBHI $.
    $( [5-May-2000] $)

  $( Intersection preserves subclass relationship. $)
  ssinss1 $p |- ( A (_ C -> ( A i^i B ) (_ C ) $=
    ( cin wss wi inss1 sstr2 ax-mp ) ABDZAEACEJCEFABGJACHI $.
    $( [14-Sep-1999] $)

  $( Absorption law for union. $)
  unabs $p |- ( A u. ( A i^i B ) ) = A $=
    ( cin wss cun wceq inss1 ssequn2 mpbi ) ABCZADAJEAFABGJAHI $.
    $( [19-Apr-2006] $) $( [16-Apr-2006] $)

  $( Absorption law for intersection. $)
  inabs $p |- ( A i^i ( A u. B ) ) = A $=
    ( cun wss cin wceq ssun1 df-ss mpbi ) AABCZDAJEAFABGAJHI $.
    $( [23-Apr-2006] $) $( [16-Apr-2006] $)

  $( Negation of subclass expressed in terms of intersection and proper
     subclass. $)
  nssinpss $p |- ( -. A (_ B <-> ( A i^i B ) (. A ) $=
    ( cin wss wn wa wpss inss1 biantrur ssid ssin bitr negbii dfpss3 3bitr4 )
    AABCZDZEZPADZRFABDZEPAGSRABHITQTAADZTFQUATAJIAABKLMPANO $.
    $( [1-Jul-2004] $) $( [30-Jun-2004] $)

  $( Negation of subclass expressed in terms of proper subclass and union. $)
  nsspssun $p |- ( -. A (_ B <-> B (. ( A u. B ) ) $=
    ( cun wss wn wa wpss ssun2 biantrur ssid biantru unss bitr negbii dfpss3
    3bitr4 ) ABCZBDZEZBQDZSFABDZEBQGTSBAHIUARUAUABBDZFRUBUABJKABBLMNBQOP $.
    $( [18-Sep-2004] $) $( [15-Sep-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Subclass defined in terms of class difference.  See comments under
       ~ dfun2 . $)
    dfss4 $p |- ( A (_ B <-> ( B \ ( B \ A ) ) = A ) $=
      ( vx wss cin wceq cdif sseqin2 cv wcel wa wn wi abai iman anbi2i bitr
      elin eldif negbii 3bitr4 eqriv eqeq1i ) ABDBAEZAFBBAGZGZAFABHUDUFACUDUFCI
      ZBJZUGAJZKZUHUHUILKZLZKZUGUDJUGUFJZUJUHUHUIMZKUMUHUINUOULUHUHUIOPQUGBARUN
      UHUGUEJZLZKUMUGBUESUQULUHUPUKUGBASTPQUAUBUCQ $.
      $( [23-Sep-2004] $) $( [22-Mar-1998] $)

    $( An alternate definition of the union of two classes in terms of class
       difference, requiring no dummy variables.  Along with ~ dfin2 and
       ~ dfss4 it shows we can express union, intersection, and subset directly
       in terms of the single "primitive" operation ` \ `  (class
       difference). $)
    dfun2 $p |- ( A u. B ) = ( V \ ( ( V \ A ) \ B ) ) $=
      ( vx cun cvv cdif cv wcel wo wn wa eldif visset mpbiran anbi1i ioran
      3bitr4 con2bii elun eqriv ) CABDZEEAFZBFZFZCGZAHZUEBHZIZUEUCHZJZUEUAHUEUD
      HZUIUHUEUBHZUGJZKUFJZUMKUIUHJULUNUMULUEEHZUNUEEALCMZNOUEUBBLUFUGPQRUEABSU
      KUOUJUEEUCLUPNQT $.
      $( [12-Jun-2004] $) $( [10-Jun-2004] $)

    $( An alternate definition of the intersection of two classes in terms of
       class difference, requiring no dummy variables.  See comments under
       ~ dfun2 .  Another version is given by ~ dfin4 . $)
    dfin2 $p |- ( A i^i B ) = ( A \ ( V \ B ) ) $=
      ( vx cin cvv cdif cv wcel wa wn eldif visset mpbiran con2bii anbi2i elin
      3bitr4 eqriv ) CABDZAEBFZFZCGZAHZUBBHZIUCUBTHZJZIUBSHUBUAHUDUFUCUEUDUEUBE
      HUDJUBEBKCLMNOUBABPUBATKQR $.
      $( [12-Jun-2004] $) $( [10-Jun-2004] $)

    $( Difference with intersection.  Theorem 33 of [Suppes] p. 29. $)
    difin $p |- ( A \ ( A i^i B ) ) = ( A \ B ) $=
      ( vx cin cdif cv wcel wn wa wi abai imnan anbi2i bitr eldif elin negbii
      3bitr4r eqriv ) CAABDZEZABEZCFZAGZUCBGZHZIZUDUDUEIZHZIZUCUBGUCUAGZUGUDUDU
      FJZIUJUDUFKULUIUDUDUELMNUCABOUKUDUCTGZHZIUJUCATOUNUIUDUMUHUCABPQMNRS $.
      $( [18-Aug-2004] $) $( [31-Mar-1998] $)
  $}

  $( Union defined in terms of intersection (DeMorgan's law).  Definition of
     union in [Mendelson] p. 231. $)
  dfun3 $p |- ( A u. B ) = ( V \ ( ( V \ A ) i^i ( V \ B ) ) ) $=
    ( cun cvv cdif cin dfun2 dfin2 ddif difeq2i eqtr2 eqtr ) ABCDDAEZBEZEDMDBEZ
    FZEABGNPDPMDOEZENMOHQBMBIJKJL $.
    $( [8-Jan-2002] $)

  $( Intersection defined in terms of union (DeMorgan's law.  Similar to
     Exercise 4.10(n) of [Mendelson] p. 231. $)
  dfin3 $p |- ( A i^i B ) = ( V \ ( ( V \ A ) u. ( V \ B ) ) ) $=
    ( cvv cdif cun cin ddif dfun2 difeq1i difeq2i eqtr dfin2 3eqtr4r ) CCACBDZD
    ZDZDOCCADZNEZDABFOGRPCRCCQDZNDZDPQNHTOCSANAGIJKJABLM $.
    $( [8-Jan-2002] $)

  $( Alternate definition of the intersection of two classes.  Exercise 4.10(q)
     of [Mendelson] p. 231. $)
  dfin4 $p |- ( A i^i B ) = ( A \ ( A \ B ) ) $=
    ( cin cdif wss wceq inss1 dfss4 mpbi difin difeq2i eqtr3 ) AAABCZDZDZMAABDZ
    DMAEOMFABGMAHINPAABJKL $.
    $( [25-Nov-2003] $) $( [25-Nov-2003] $)

  $( Intersection with universal complement.  Remark in [Stoll] p. 20. $)
  invdif $p |- ( A i^i ( V \ B ) ) = ( A \ B ) $=
    ( cvv cdif cin dfin2 ddif difeq2i eqtr ) ACBDZEACJDZDABDAJFKBABGHI $.
    $( [18-Aug-2004] $) $( [17-Aug-2004] $)

  $( Intersection with class difference.  Theorem 34 of [Suppes] p. 29. $)
  indif $p |- ( A i^i ( A \ B ) ) = ( A \ B ) $=
    ( cdif cin dfin4 difeq2i difin 3eqtr2 ) AABCZDAAICZCAABDZCIAIEKJAABEFABGH
    $.
    $( [3-Sep-2004] $) $( [17-Aug-2004] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Distributive law for intersection over union.  Exercise 10 of
       [TakeutiZaring] p. 17. $)
    indi $p |- ( A i^i ( B u. C ) ) = ( ( A i^i B ) u. ( A i^i C ) ) $=
      ( vx cun cin cv wcel wa wo andi elun anbi2i elin orbi12i 3bitr4 eqriv )
      DABCEZFZABFZACFZEZDGZAHZUCRHZIZUCTHZUCUAHZJZUCSHUCUBHUDUCBHZUCCHZJZIUDUJI
      ZUDUKIZJUFUIUDUJUKKUEULUDUCBCLMUGUMUHUNUCABNUCACNOPUCARNUCTUALPQ $.
      $( [30-Sep-2002] $)

    $( Distributive law for union over intersection.  Exercise 11 of
       [TakeutiZaring] p. 17. $)
    undi $p |- ( A u. ( B i^i C ) ) = ( ( A u. B ) i^i ( A u. C ) ) $=
      ( vx cin cun cv wcel wo wa ordi elin orbi2i elun anbi12i 3bitr4 eqriv )
      DABCEZFZABFZACFZEZDGZAHZUCRHZIZUCTHZUCUAHZJZUCSHUCUBHUDUCBHZUCCHZJZIUDUJI
      ZUDUKIZJUFUIUDUJUKKUEULUDUCBCLMUGUMUHUNUCABNUCACNOPUCARNUCTUALPQ $.
      $( [30-Sep-2002] $)
  $}

  $( Distributive law for intersection over union.  Theorem 28 of [Suppes]
     p. 27. $)
  indir $p |- ( ( A u. B ) i^i C ) = ( ( A i^i C ) u. ( B i^i C ) ) $=
    ( cun cin indi incom uneq12i 3eqtr4 ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMKN
    LACGBCGHI $.
    $( [30-Sep-2002] $)

  $( Distributive law for union over intersection.  Theorem 29 of [Suppes]
     p. 27. $)
  undir $p |- ( ( A i^i B ) u. C ) = ( ( A u. C ) i^i ( B u. C ) ) $=
    ( cin cun undi uncom ineq12i 3eqtr4 ) CABDZECAEZCBEZDJCEACEZBCEZDCABFJCGMKN
    LACGBCGHI $.
    $( [30-Sep-2002] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Infer equality from equalities of union and intersection.  Exercise 20
       of [Enderton] p. 32 and its converse. $)
    unineq $p |- ( ( ( A u. C ) = ( B u. C ) /\ ( A i^i C ) = ( B i^i C ) )
                 <-> A = B ) $=
      ( vx cun wceq cin wa cv wcel wb wi iba bibi12d eleq2 elin 3bitr3g
      syl5bir adantld wn wo biorf uncom eqeq12i sylbi elun adantrd pm2.61i
      eqrdv uneq1 ineq1 jca impbi ) ACEZBCEZFZACGZBCGZFZHZABFZUTDABDIZCJZUTVBAJ
      ZVBBJZKZLVCUSVFUPVCVFVDVCHZVEVCHZKUSVCVDVGVEVHVCVDMVCVEMNUSVBUQJVBURJVGVH
      UQURVBOVBACPVBBCPQRSVCTZUPVFUSVIVFVCVDUAZVCVEUAZKUPVIVDVJVEVKVCVDUBVCVEUB
      NUPVBCAEZJZVBCBEZJZVJVKUPVLVNFVMVOKUNVLUOVNACUCBCUCUDVLVNVBOUEVBCAUFVBCBU
      FQRUGUHUIVAUPUSABCUJABCUKULUM $.
      $( [25-Sep-2004] $) $( [10-Aug-2004] $)
  $}

  $( Equality of union and intersection implies equality of their arguments. $)
  uneqin $p |- ( ( A u. B ) = ( A i^i B ) <-> A = B ) $=
    ( cun cin wceq wss eqimss wa unss ssin sstr sylbir pm3.26 anim12i eqss
    sylibr syl uneq2 ineq2 inidm syl5eqr unidm syl5eq eqtr3d impbi ) ABCZABDZEZ
    ABEZUHUFUGFZUIUFUGGUJABFZBAFZHZUIUJAUGFZBUGFZHUMABUGIUNUKUOULUNAAFUKHUKAABJ
    AABKLUOULBBFZHULBABJULUPMLNLABOPQUIAACZUFUGABARUIAUGUQUIAADUGAABASATUAAUBUC
    UDUE $.
    $( [17-Apr-2006] $) $( [16-Apr-2006] $)

  $( Distributive law for class difference.  Theorem 39 of [Suppes] p. 29. $)
  difundi $p |- ( A \ ( B u. C ) ) = ( ( A \ B ) i^i ( A \ C ) ) $=
    ( cun cdif cvv cin dfun3 difeq2i inindi dfin2 invdif ineq12i 3eqtr3 eqtr )
    ABCDZEAFFBEZFCEZGZEZEZABEZACEZGZPTABCHIASGAQGZARGZGUAUDAQRJASKUEUBUFUCABLAC
    LMNO $.
    $( [31-Aug-2004] $) $( [17-Aug-2004] $)

  $( Distributive law for class difference. $)
  difundir $p |- ( ( A u. B ) \ C ) = ( ( A \ C ) u. ( B \ C ) ) $=
    ( cun cvv cdif cin indir invdif uneq12i 3eqtr3 ) ABDZECFZGAMGZBMGZDLCFACFZB
    CFZDABMHLCINPOQACIBCIJK $.
    $( [18-Aug-2004] $) $( [17-Aug-2004] $)

  $( Distributive law for class difference.  Theorem 40 of [Suppes] p. 29. $)
  difindi $p |- ( A \ ( B i^i C ) ) = ( ( A \ B ) u. ( A \ C ) ) $=
    ( cin cdif cvv cun dfin3 difeq2i indi dfin2 invdif uneq12i 3eqtr3 eqtr ) AB
    CDZEAFFBEZFCEZGZEZEZABEZACEZGZPTABCHIASDAQDZARDZGUAUDAQRJASKUEUBUFUCABLACLM
    NO $.
    $( [18-Sep-2004] $) $( [17-Aug-2004] $)

  $( Distributive law for class difference. $)
  difindir $p |- ( ( A i^i B ) \ C ) = ( ( A \ C ) i^i ( B \ C ) ) $=
    ( cin cvv cdif inindir invdif ineq12i 3eqtr3 ) ABDZECFZDALDZBLDZDKCFACFZBCF
    ZDABLGKCHMONPACHBCHIJ $.
    $( [19-Sep-2004] $) $( [17-Aug-2004] $)

  $( DeMorgan's law for union.  Theorem 5.2(13) of [Stoll] p. 19. $)
  undm $p |- ( V \ ( A u. B ) ) = ( ( V \ A ) i^i ( V \ B ) ) $=
    ( cvv difundi ) CABD $.
    $( [31-Aug-2004] $) $( [18-Aug-2004] $)

  $( DeMorgan's law for intersection.  Theorem 5.2(13') of [Stoll] p. 19. $)
  indm $p |- ( V \ ( A i^i B ) ) = ( ( V \ A ) u. ( V \ B ) ) $=
    ( cvv difindi ) CABD $.
    $( [20-Sep-2004] $) $( [18-Aug-2004] $)

  $( A relationship involving double difference and union. $)
  difun1 $p |- ( A \ ( B u. C ) ) = ( ( A \ B ) \ C ) $=
    ( cvv cdif cin cun inass invdif undm ineq2i eqtr3 3eqtr3 difeq1i ) ADBEZFZC
    EZABCGZEZABEZCEPDCEZFAOUAFZFZQSAOUAHPCIADREZFUCSUDUBABCJKARILMPTCABINL $.
    $( [4-Sep-2004] $) $( [29-Aug-2004] $)

  $( Swap second and third argument of double difference. $)
  dif23 $p |- ( ( A \ B ) \ C ) = ( ( A \ C ) \ B ) $=
    ( cun cdif uncom difeq2i difun1 3eqtr3 ) ABCDZEACBDZEABECEACEBEJKABCFGABCHA
    CBHI $.
    $( [27-Aug-2004] $) $( [18-Aug-2004] $)

  $( Two ways to express symmetric difference.  This theorem shows the
     equivalence of the definition of symmetric difference in [Stoll] p. 13
     and the restated definition in Example 4.1 of [Stoll] p. 262. $)
  symdif1 $p |- ( ( A \ B ) u. ( B \ A ) ) = ( ( A u. B ) \ ( A i^i B ) ) $=
    ( cun cin cdif difundir difin incom difeq2i eqtr uneq12i eqtr2 ) ABCABDZEAM
    EZBMEZCABEZBAEZCABMFNPOQABGOBBADZEQMRBABHIBAGJKL $.
    $( [2-Sep-2004] $) $( [17-Aug-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Two ways to express symmetric difference. $)
    symdif2 $p |- ( ( A \ B ) u. ( B \ A ) ) =
                  { x | -. ( x e. A <-> x e. B ) } $=
      ( cv wcel wb wn cdif cun wo wa elun eldif pm4.13 anbi1i bitr ancom
      orbi12i orcom dfbi3 nbbn 3bitr2 3bitr abbi2i ) ADZBEZUECEZFGZABCHZCBHZIZUE
      UKEUEUIEZUEUJEZJUFGZGZUGGZKZUNUGKZJZUHUEUIUJLULUQUMURULUFUPKUQUEBCMUFUOUP
      UFNOPUMUGUNKURUECBMUGUNQPRUSURUQJUNUGFUHUQURSUNUGTUFUGUAUBUCUD $.
      $( [21-Sep-2004] $) $( [17-Aug-2004] $)
  $}

  ${
    $d x y $.  $d ph y $.  $d ps y $.
    $( Union of two class abstractions. $)
    unab $p |- ( { x | ph } u. { x | ps } ) = { x | ( ph \/ ps ) } $=
      ( vy cab cun wo cv wcel wsbc df-clab orbi12i sbor bitr4 elun 3bitr4
      eqriv ) DACEZBCEZFZABGZCEZDHZRIZUCSIZGZUACUCJZUCTIUCUBIUFACUCJZBCUCJZGUGU
      DUHUEUIADCKBDCKLABCDMNUCRSOUADCKPQ $.
      $( [29-Sep-2002] $)

    $( Intersection of two class abstractions. $)
    inab $p |- ( { x | ph } i^i { x | ps } ) = { x | ( ph /\ ps ) } $=
      ( vy cab cin wa cv wcel wsbc df-clab anbi12i sban bitr4 elin 3bitr4
      eqriv ) DACEZBCEZFZABGZCEZDHZRIZUCSIZGZUACUCJZUCTIUCUBIUFACUCJZBCUCJZGUGU
      DUHUEUIADCKBDCKLABCDMNUCRSOUADCKPQ $.
      $( [29-Sep-2002] $)

    $( Difference of two class abstractions. $)
    difab $p |- ( { x | ph } \ { x | ps } ) = { x | ( ph /\ -. ps ) } $=
      ( vy cab cvv cdif cin wn wa cv wcel wsbc sbn df-clab negbii 3bitr4
      visset biantrur bitr2 difeqri ineq2i invdif inab 3eqtr3 ) ACEZFBCEZGZHUFB
      IZCEZHUFUGGAUIJCEUHUJUFDFUGUJDKZUJLZUKUGLZIZUKFLZUNJUICUKMBCUKMZIULUNBCDN
      UIDCOUMUPBDCOPQUOUNDRSTUAUBUFUGUCAUICUDUE $.
      $( [23-Oct-2004] $) $( [23-Oct-2004] $)
  $}

  $( Union of two restricted class abstractions. $)
  unrab $p |- ( { x e. A | ph } u. { x e. A | ps } ) =
              { x e. A | ( ph \/ ps ) } $=
    ( cv wcel wa cab cun wo crab unab andi abbii eqtr4 df-rab uneq12i 3eqtr4 )
    CEDFZAGZCHZSBGZCHZIZSABJZGZCHZACDKZBCDKZIUECDKUDTUBJZCHUGTUBCLUFUJCSABMNOUH
    UAUIUCACDPBCDPQUECDPR $.
    $( [26-Mar-2004] $) $( [25-Mar-2004] $)

  $( Intersection of two restricted class abstractions. $)
  inrab $p |- ( { x e. A | ph } i^i { x e. A | ps } ) =
              { x e. A | ( ph /\ ps ) } $=
    ( cv wcel wa cab cin crab inab anandi abbii eqtr4 df-rab ineq12i 3eqtr4 )
    CEDFZAGZCHZRBGZCHZIZRABGZGZCHZACDJZBCDJZIUDCDJUCSUAGZCHUFSUACKUEUICRABLMNUG
    TUHUBACDOBCDOPUDCDOQ $.
    $( [5-Sep-2006] $) $( [1-Sep-2006] $)

  ${
    $d x B $.
    $( Intersection with a restricted class abstraction. $)
    inrab2 $p |- ( { x e. A | ph } i^i B ) = { x e. ( A i^i B ) | ph } $=
      ( cv wcel wa cab cin crab inab elin anbi1i an23 bitr abbii eqtr4 df-rab
      abid2 eqcomi ineq12i 3eqtr4 ) BEZCFZAGZBHZUCDFZBHZIZUCCDIZFZAGZBHZABCJZDI
      ABUJJUIUEUGGZBHUMUEUGBKULUOBULUDUGGZAGUOUKUPAUCCDLMUDUGANOPQUNUFDUHABCRUH
      DBDSTUAABUJRUB $.
      $( [22-Nov-2007] $) $( [19-Nov-2007] $)
  $}

  $( Difference of two restricted class abstractions. $)
  difrab $p |- ( { x e. A | ph } \ { x e. A | ps } ) =
              { x e. A | ( ph /\ -. ps ) } $=
    ( cv wcel wa cab cdif wn crab difab anass pm3.27 con3i anim2i wi pm3.2
    adantr con3d imdistani impbi bitr3 abbii eqtr4 df-rab difeq12i 3eqtr4 ) CED
    FZAGZCHZUIBGZCHZIZUIABJZGZGZCHZACDKZBCDKZIUPCDKUNUJULJZGZCHURUJULCLUQVBCUQU
    JUOGZVBUIAUOMVCVBUOVAUJULBUIBNOPUJVAUOUJBULUIBULQAUIBRSTUAUBUCUDUEUSUKUTUMA
    CDUFBCDUFUGUPCDUFUH $.
    $( [23-Oct-2004] $) $( [23-Oct-2004] $)

  ${
    $d x A $.
    $( Alternate definition of restricted class abstraction. $)
    dfrab2 $p |- { x e. A | ph } = ( { x | ph } i^i A ) $=
      ( crab cv wcel wa cab cin df-rab inab abid2 ineq1i eqtr3 incom 3eqtr ) AB
      CDBECFZAGBHZCABHZIZSCIABCJQBHZSIRTQABKUACSBCLMNCSOP $.
      $( [20-Sep-2003] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Transfer uniqueness to a smaller subclass. $)
    reuss2 $p |- ( ( ( A (_ B /\ A. x e. A ( ph -> ps ) ) /\
                 ( E. x e. A ph /\ E! x e. B ps ) ) -> E! x e. A ph ) $=
      ( wss wi wral wa cv wcel wex weu wreu wrex wmo wal prth ssel sylan exp4b
      com23 a2d imp4a 19.20dv imp df-ral sylan2b euimmo syl eu5 biimpr ex syl9
      imp32 df-reu sylibr df-rex anbi12i ) DEFZABGZCDHZIZCJZDKZAIZCLZVDEKZBIZCM
      ZIZACDNZACDOZBCENZIVCVKIVFCMZVLVCVGVJVOVCVJVFCPZVGVOVCVFVIGZCQZVJVPGUTVEV
      AGZCQZVRVBUTVTVRUTVSVQCUTVSVEAVIUTVEVAAVIGZUTVAVEWAUTVAVEAVIVEVHGVAVQUTVE
      VHABRDEVDSTUAUBUCUDUEUFVACDUGUHVFVICUIUJVGVPVOVOVGVPIVFCUKULUMUNUOACDUPUQ
      VMVGVNVJACDURBCEUPUSUH $.
      $( [26-Oct-2005] $) $( [20-Oct-2005] $)

    $( Transfer uniqueness to a smaller subclass. $)
    reuss $p |- ( ( A (_ B /\ E. x e. A ph /\ E! x e. B ph ) ->
                E! x e. A ph ) $=
      ( wss wrex wreu wi wral wa cv wcel idd rgen reuss2 mpanl2 3impb ) CDEZABC
      FZABDGZABCGZRAAHZBCISTJUAUBBCBKCLAMNAABCDOPQ $.
      $( [2-Nov-2005] $) $( [21-Aug-1999] $)
$(
      ( wss wrex wreu cv wcel wa wex weu wmo wi wal ssel anim1d 19.21aiv
      euimmo syl eu5 biimpr ex syl9 imp32 df-reu sylibr df-rex anbi12i
      sylan2b 3impb ) CDEZABCFZABDGZABCGZULBHZCIZAJZBKZUPDIZAJZBLZJZUOUMUNJULVC
      JURBLZUOULUSVBVDULVBURBMZUSVDULURVANZBOVBVENULVFBULUQUTACDUPPQRURVABSTUSV
      EVDVDUSVEJURBUAUBUCUDUEABCUFUGUMUSUNVBABCUHABDUFUIUJUK $.
$)

    $( Transfer uniqueness to a smaller class. $)
    reuun1 $p |- ( ( E. x e. A ph /\ E! x e. ( A u. B ) ( ph \/ ps ) )
                 -> E! x e. A ph ) $=
      ( cun wss wo wi wral wrex wreu wa ssun1 cv wcel orc a1i rgen reuss2
      mpanl12 ) DDEFZGAABHZIZCDJACDKUCCUBLMACDLDENUDCDUDCODPABQRSAUCCDUBTUA $.
      $( [10-Nov-2005] $) $( [21-Oct-2005] $)

    $( Transfer uniqueness to a smaller or larger class. $)
    reuun2 $p |- ( -. E. x e. B ph ->
             ( E! x e. ( A u. B ) ph <-> E! x e. A ph ) ) $=
      ( wrex wn cv wcel wa wo weu cun wreu wex wb df-rex negbii euor2 sylbi
      df-reu elun anbi1i andir orcom 3bitr eubii bitr 3bitr4g ) ABDEZFZBGZDHZAI
      ZUKCHZAIZJZBKZUOBKZABCDLZMZABCMUJUMBNZFUQUROUIVAABDPQUMUOBRSUTUKUSHZAIZBK
      UQABUSTVCUPBVCUNULJZAIUOUMJUPVBVDAUKCDUAUBUNULAUCUOUMUDUEUFUGABCTUH $.
      $( [28-Oct-2005] $) $( [21-Oct-2005] $)

    $( Restricted uniqueness "picks" a member of a subclass. $)
    reupick $p |- ( ( ( A (_ B /\ ( E. x e. A ph /\ E! x e. B ph ) ) /\ ph ) ->
                  ( x e. A <-> x e. B ) ) $=
      ( wss wrex wreu wa cv wcel wi ssel ad2antrr wex weu ancrd anim1d an23
      syl6ib 19.22dv eupick ex syl9 com23 imp32 df-rex df-reu anbi12i sylan2b
      exp3a imp impbid ) CDEZABCFZABDGZHZHZAHBIZCJZURDJZUMUSUTKUPACDURLZMUQAUTU
      SKUQUTAUSUQUTAUSUMUSAHZBNZUTAHZBOZHVDUSKZUPUMVCVEVFUMVEVCVFUMVCVDUSHZBNZV
      EVFUMVBVGBUMVBUTUSHZAHVGUMUSVIAUMUSUTVAPQUTUSARSTVEVHVFVDUSBUAUBUCUDUEUNV
      CUOVEABCUFABDUGUHUIUJUDUKUL $.
      $( [21-Aug-1999] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           The empty set
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the symbol for the empty or null set. $)
  $c (/) $. $( null set $)

  $( Extend class notation to include the empty set. $)
  c0 $a class (/) $.

  $( Define the empty set.  Special case of Exercise 4.10(o) of [Mendelson]
     p. 231.  For a more traditional definition, but requiring a dummy
     variable, see ~ dfnul2 . $)
  df-nul $a |- (/) = ( V \ V ) $.

  $( Alternate definition of the empty set.  Definition 5.14 of [TakeutiZaring]
     p. 20. $)
  dfnul2 $p |- (/) = { x | -. x = x } $=
    ( cv wceq wn c0 wcel cvv cdif wa df-nul eleq2i eldif eqid pm3.24 2th
    con2bii 3bitr abbi2i ) ABZSCZDZAESEFSGGHZFSGFZUCDIZUAEUBSJKSGGLTUDTUDDSMUCN
    OPQR $.
    $( [26-Dec-1996] $)

  $( Alternate definition of the empty set.. $)
  dfnul3 $p |- (/) = { x e. A | -. x e. A } $=
    ( cv wceq wn cab wcel wa c0 crab pm3.24 eqid 2th con1bii abbii dfnul2
    df-rab 3eqtr4 ) ACZSDZEZAFSBGZUBEZHZAFIUCABJUAUDAUDTUDETUBKSLMNOAPUCABQR $.
    $( [26-Mar-2004] $) $( [25-Mar-2004] $)

  ${
    $d A x $.
    $( The empty set has no elements.  Theorem 6.14 of [Quine] p. 44. $)
    noel $p |- -. A e. (/) $=
      ( vx cvv wcel c0 wn cv wceq eqid dfnul2 abeq2i con2bii mpbi eleq1 mtbii
      vtocleg elisset con3i pm2.61i ) ACDZAEDZFZUBBACBGZAHUCEDZUAUCUCHZUDFUCIUD
      UEUEFBEBJKLMUCAENOPUATAEQRS $.
      $( [5-Aug-1993] $)
  $}

  $( If a set has elements, it is not empty. $)
  n0i $p |- ( B e. A -> -. A = (/) ) $=
    ( c0 wceq wcel noel eleq2 mtbiri con2i ) ACDZBAEZJKBCEBFACBGHI $.
    $( [31-Dec-1993] $)

  $( If a set has elements, it is not empty. $)
  ne0i $p |- ( B e. A -> A =/= (/) ) $=
    ( wcel c0 wceq wn wne n0i df-ne sylibr ) BACADEFADGABHADIJ $.
    $( [31-Dec-1993] $)

  ${
    $d x y $.  $d y A $.
    ne0f.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( A nonempty class has at least one element.  Proposition 5.17(1) of
       [TakeutiZaring] p. 20.  This version of ~ ne0 requires only that
       ` x ` not be free in, rather than not occur in, ` A ` . $)
    ne0f $p |- ( A =/= (/) <-> E. x x e. A ) $=
      ( c0 wceq wn cv wcel wal wne wex wb ax-17 cleqf noel nbn albii bitr4
      negbii df-ne df-ex 3bitr4 ) CEFZGAHZCIZGZAJZGCEKUFALUDUHUDUFUEEIZMZAJUHAB
      CEDBHEIANOUGUJAUIUFUEPQRSTCEUAUFAUBUC $.
      $( [2-Apr-2007] $) $( [17-Oct-2003] $)
  $}

  ${
    $d x y A $.
    $( A nonempty class has at least one element.  Proposition 5.17(1) of
       [TakeutiZaring] p. 20. $)
    ne0 $p |- ( A =/= (/) <-> E. x x e. A ) $=
      ( vy cv wcel ax-17 ne0f ) ACBCDBEAFG $.
      $( [30-Sep-2006] $) $( [29-Sep-2006] $)

    $( A nonempty class has at least one element.  Proposition 5.17(1) of
       [TakeutiZaring] p. 20. $)
    n0 $p |- ( -. A = (/) <-> E. x x e. A ) $=
      ( c0 wceq wn wne cv wcel wex df-ne ne0 bitr3 ) BCDEBCFAGBHAIBCJABKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( Nonempty class abstraction. $)
    abn0 $p |- ( { x | ph } =/= (/) <-> E. x ph ) $=
      ( vy cab c0 wne cv wcel wex ne0 hbab1 ax-17 eleq1 cbvex abid exbii 3bitr
      ) ABDZEFCGZRHZCIBGZRHZBIABICRJTUBCBABCKUBCLSUARMNUBABABOPQ $.
      $( [21-Feb-2007] $) $( [26-Dec-1996] $)
  $}

  $( Vacuous existential quantification is false. $)
  rex0 $p |- -. E. x e. (/) ph $=
    ( c0 cv wcel wn noel pm2.21i nrex ) ABCBDZCEAFJGHI $.
    $( [16-Oct-2003] $) $( [15-Oct-2003] $)

  $( Non-empty restricted class abstraction. $)
  rabn0 $p |- ( { x e. A | ph } =/= (/) <-> E. x e. A ph ) $=
    ( cv wcel wa cab c0 wne wex crab wrex abn0 df-rab neeq1i df-rex 3bitr4 ) BD
    CEAFZBGZHIRBJABCKZHIABCLRBMTSHABCNOABCPQ $.
    $( [24-Feb-2007] $) $( [29-Aug-1999] $)

  $( Any restricted class abstraction restricted to the empty set is empty. $)
  rab0 $p |- { x e. (/) | ph } = (/) $=
    ( cv c0 wcel wa wex wn crab wceq noel intnanr nex wne wrex rabn0 df-rex
    bitr necon1bbii mpbi ) BCZDEZAFZBGZHABDIZDJUCBUBAUAKLMUDUEDUEDNABDOUDABDPAB
    DQRST $.
    $( [16-Oct-2003] $) $( [15-Oct-2003] $)

  ${
    $d x A $.
    $( The empty set has no elements.  Theorem 2 of [Suppes] p. 22. $)
    eq0 $p |- ( A = (/) <-> A. x -. x e. A ) $=
      ( c0 wceq cv wcel wn wal wex n0 df-ex bitr con4bii ) BCDZAEBFZGAHZNGOAIPG
      ABJOAKLM $.
      $( [29-Aug-1993] $)

    $( The universe contains every set. $)
    eqv $p |- ( A = V <-> A. x x e. A ) $=
      ( cvv wceq cv wcel wb wal dfcleq visset tbt albii bitr4 ) BCDAEZBFZNCFZGZ
      AHOAHABCIOQAPOAJKLM $.
      $( [4-Oct-2006] $) $( [11-Sep-2006] $)
  $}

  ${
    $d x A $.  $d x y $.
    $( Membership of the empty set in another class. $)
    0el $p |- ( (/) e. A <-> E. x e. A A. y -. y e. x ) $=
      ( c0 wcel cv wceq wrex wn wal risset eq0 rexbii bitr ) DCEAFZDGZACHBFOEIB
      JZACHADCKPQACBOLMN $.
      $( [30-Jun-2004] $) $( [29-Jun-2004] $)
  $}

  ${
    $d x A $.
    $( The union of a class with the empty set is itself.  Theorem 24 of
       [Suppes] p. 27. $)
    un0 $p |- ( A u. (/) ) = A $=
      ( vx c0 cv wcel wo noel biorfi bicomi uneqri ) BACABDZAEZLKCEZFMLKGHIJ $.
      $( [5-Aug-1993] $)

    $( The intersection of a class with the empty set is the empty set.
       Theorem 16 of [Suppes] p. 26. $)
    in0 $p |- ( A i^i (/) ) = (/) $=
      ( vx c0 cv wcel wa noel bianfi bicomi ineqri ) BACCBDZCEZKAEZLFLMKGHIJ $.
      $( [5-Aug-1993] $)
  $}

  $( The intersection of a class with the universal class is itself.  Exercise
     4.10(k) of [Mendelson] p. 231. $)
  inv1 $p |- ( A i^i V ) = A $=
    ( cvv cin inss1 ssid ssv ssini eqssi ) ABCAABDAABAEAFGH $.
    $( [17-May-1998] $)

  $( The union of a class with the universal class is the universal class.
     Exercise 4.10(l) of [Mendelson] p. 231. $)
  unv $p |- ( A u. V ) = V $=
    ( cvv cun ssv ssun2 eqssi ) ABCZBGDBAEF $.
    $( [17-May-1998] $)

  ${
    $d A x $.
    $( The null set is a subset of any class.  Part of Exercise 1 of
       [TakeutiZaring] p. 22. $)
    0ss $p |- (/) (_ A $=
      ( vx c0 cv wcel noel pm2.21i ssriv ) BCABDZCEIAEIFGH $.
      $( [5-Aug-1993] $)
  $}

  $( Any subset of the empty set is empty.  Theorem 5 of [Suppes] p. 23 and its
     converse. $)
  ss0b $p |- ( A (_ (/) <-> A = (/) ) $=
    ( c0 wceq wss eqss 0ss mpbiran2 bicomi ) ABCZABDZIJBADABEAFGH $.
    $( [17-Sep-2003] $)

  $( Any subset of the empty set is empty.  Theorem 5 of [Suppes] p. 23. $)
  ss0 $p |- ( A (_ (/) -> A = (/) ) $=
    ( c0 wss wceq ss0b biimp ) ABCABDAEF $.
    $( [13-Aug-1994] $)

  $( A subclass of an empty class is empty. $)
  sseq0 $p |- ( ( A (_ B /\ B = (/) ) -> A = (/) ) $=
    ( wss c0 wceq wa sseq2 biimpac ss0b sylib ) ABCZBDEZFADCZADELKMBDAGHAIJ $.
    $( [8-Mar-2007] $) $( [7-Mar-2007] $)

  $( A class with a nonempty subclass is nonempty. $)
  ssne0 $p |- ( ( A (_ B /\ A =/= (/) ) -> B =/= (/) ) $=
    ( wss c0 wne wceq sseq0 ex necon3d imp ) ABCZADEBDEKBDADKBDFADFABGHIJ $.
    $( [27-Feb-2007] $) $( [17-Feb-2007] $)

  $( Two classes are empty iff their union is empty. $)
  un00 $p |- ( ( A = (/) /\ B = (/) ) <-> ( A u. B ) = (/) ) $=
    ( c0 wceq wa cun uneq12 un0 syl6eq wss ssun1 sseq2 mpbii ss0b sylib ssun2
    jca impbi ) ACDZBCDZEZABFZCDZUAUBCCFCACBCGCHIUCSTUCACJZSUCAUBJUDABKUBCALMAN
    OUCBCJZTUCBUBJUEBAPUBCBLMBNOQR $.
    $( [12-Aug-2004] $) $( [11-Aug-2004] $)

  $( Only the universal class has the universal class as a subclass. $)
  vss $p |- ( V (_ A <-> A = V ) $=
    ( cvv wss wceq wa ssv jctl eqss sylibr eqimss2 impbi ) BACZABDZLABCZLEMLNAF
    GABHIBAJK $.
    $( [17-Sep-2003] $)

  $( The null set is a proper subset of any non-empty set. $)
  0pss $p |- ( (/) (. A <-> A =/= (/) ) $=
    ( c0 wpss wne wss df-pss 0ss mpbiran necom bitr ) BACZBADZABDKBAELBAFAGHBAI
    J $.
    $( [2-Apr-2007] $) $( [27-Feb-1996] $)

  $( No set is a proper subset of the empty set. $)
  npss0 $p |- -. A (. (/) $=
    ( c0 wpss wceq eqid wn wss wb pssss ss0 psseq1 3syl ibi wne 0pss df-ne
    bitr sylib mt2 ) ABCZBBDZBETBBCZUAFZTUBTABGABDTUBHABIAJABBKLMUBBBNUCBOBBPQR
    S $.
    $( [17-Jun-1998] $)

  $( Any non-universal class is a proper subclass of the universal class. $)
  pssv $p |- ( A (. V <-> -. A = V ) $=
    ( cvv wpss wss wceq wn dfpss2 ssv mpbiran ) ABCABDABEFABGAHI $.
    $( [17-May-1998] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Two ways of saying that two classes are disjoint (have no members in
       common). $)
    disj $p |- ( ( A i^i B ) = (/) <-> A. x e. A -. x e. B ) $=
      ( cin c0 wceq cv wcel wn wi wal wral wa cab wb df-in eqeq1i abeq1 imnan
      noel nbn bitr2 albii 3bitr df-ral bitr4 ) BCDZEFZAGZBHZUICHZIZJZAKZULABLU
      HUJUKMZANZEFUOUIEHZOZAKUNUGUPEABCPQUOAERURUMAUMUOIURUJUKSUQUOUITUAUBUCUDU
      LABUEUF $.
      $( [17-Feb-2004] $) $( [17-Feb-2004] $)

    $( Two ways of saying that two classes are disjoint (have no members in
       common). $)
    disj1 $p |- ( ( A i^i B ) = (/) <-> A. x ( x e. A -> -. x e. B ) ) $=
      ( cin c0 wceq cv wcel wn wral wi wal disj df-ral bitr ) BCDEFAGZCHIZABJPB
      HQKALABCMQABNO $.
      $( [19-Aug-1993] $)

    $( Two ways of saying that two classes are disjoint, using the complement
       of ` B ` relative to a universe ` C ` . $)
    reldisj $p |- ( A (_ C -> ( ( A i^i B ) = (/) <-> A (_ ( C \ B ) ) ) $=
      ( vx wss cv wcel wn wi wal cdif cin c0 wceq wa ssel biantrurd pm4.76
      eldif imbi2i bitr4 syl6bb albidv disj1 dfss2 3bitr4g ) ACEZDFZAGZUHBGHZIZ
      DJUIUHCBKZGZIZDJABLMNAULEUGUKUNDUGUKUIUHCGZIZUKOZUNUGUPUKACUHPQUQUIUOUJOZ
      IUNUIUOUJRUMURUIUHCBSTUAUBUCDABUDDAULUEUF $.
      $( [17-Feb-2007] $) $( [15-Feb-2007] $)

    $( Two ways of saying that two classes are disjoint. $)
    disj3 $p |- ( ( A i^i B ) = (/) <-> A = ( A \ B ) ) $=
      ( vx cv wcel wn wi wal cdif wb cin c0 wceq wa pm4.71 eldif bibi2i bitr4
      albii disj1 dfcleq 3bitr4 ) CDZAEZUCBEFZGZCHUDUCABIZEZJZCHABKLMAUGMUFUICU
      FUDUDUENZJUIUDUEOUHUJUDUCABPQRSCABTCAUGUAUB $.
      $( [19-May-1998] $)

    $( Members of disjoint sets are not equal. $)
    disjne $p |- ( ( ( A i^i B ) = (/) /\ C e. A /\ D e. B ) -> C =/= D ) $=
      ( vx cin c0 wceq wcel wne cv wn wral wi wa nelneq df-ne sylibr necomd ex
      eleq1 negbid rcla4cva syl5com disj sylanb 3impia ) ABFGHZCAIZDBIZCDJZEKZB
      IZLZEAMZUIUJUKNUHUJCBIZLZUKUOUIOUJUQUKUJUQOZDCURDCHLDCJDCBPDCQRSTUNUQECAU
      LCHUMUPULCBUAUBUCUDEABUEUFUG $.
      $( [30-Mar-2007] $) $( [28-Mar-2007] $)
  $}

  $( Two ways of saying that two classes are disjoint. $)
  disj2 $p |- ( ( A i^i B ) = (/) <-> A (_ ( V \ B ) ) $=
    ( cvv wss cin c0 wceq cdif wb ssv reldisj ax-mp ) ACDABEFGACBHDIAJABCKL $.
    $( [17-May-1998] $)

  $( Two ways of saying that two classes are disjoint. $)
  disj4 $p |- ( ( A i^i B ) = (/) <-> -. ( A \ B ) (. A ) $=
    ( cin c0 wceq cdif wpss wn disj3 eqcom wss dfpss2 difss mpbiran con2bii
    3bitr ) ABCDEAABFZEQAEZQAGZHABIAQJSRSQAKRHQALABMNOP $.
    $( [22-Mar-2004] $) $( [21-Mar-2004] $)

  $( Intersection with a subclass of a disjoint class.  (Contributed by FL,
     24-Jan-2007.) $)
  ssdisj $p |- ( ( A (_ B /\ ( B i^i C ) = (/) ) ->  ( A i^i C ) = (/) ) $=
    ( wss cin c0 wceq wa wi ssrin sstr2 syl ss0b syl5ibr imp ss0 ) ABDZBCEZFGZH
    ACEZFDZTFGQSUAQRFDZUASQTRDUBUAIABCJTRFKLRMNOTPL $.
    $( [25-Jan-2007] $) $( [23-Jan-2007] $)

  $( A class is a proper subset of its union with a disjoint nonempty class. $)
  disjpss $p |- ( ( ( A i^i B ) = (/) /\ B =/= (/) ) -> A (. ( A u. B ) ) $=
    ( cin c0 wceq wne wa wss wn cun wpss sseq2 ssid biantru ssin bitr syl5bb
    ss0 syl6bi necon3ad imp nsspssun uncom psseq2i sylib ) ABCZDEZBDFZGBAHZIZAA
    BJZKZUGUHUJUGUIBDUGUIBDHZBDEUGBUFHZUMUIUFDBLUIUIBBHZGUNUOUIBMNBABOPQBRSTUAU
    JABAJZKULBAUBUPUKABAUCUDPUE $.
    $( [30-Apr-2007] $) $( [15-Sep-2004] $)

  $( The union of disjoint classes is disjoint. $)
  undisj1 $p |- ( ( ( A i^i C ) = (/) /\ ( B i^i C ) = (/) ) <->
               ( ( A u. B ) i^i C ) = (/) ) $=
    ( cin c0 wceq wa cun un00 indir eqeq1i bitr4 ) ACDZEFBCDZEFGMNHZEFABHCDZEFM
    NIPOEABCJKL $.
    $( [26-Oct-2004] $) $( [26-Sep-2004] $)

  $( The union of disjoint classes is disjoint. $)
  undisj2 $p |- ( ( ( A i^i B ) = (/) /\ ( A i^i C ) = (/) ) <->
               ( A i^i ( B u. C ) ) = (/) ) $=
    ( cin c0 wceq wa cun un00 indi eqeq1i bitr4 ) ABDZEFACDZEFGMNHZEFABCHDZEFMN
    IPOEABCJKL $.
    $( [3-Oct-2004] $) $( [13-Sep-2004] $)

  $( Subclass expressed in terms of intersection with difference from the
     universal class. $)
  ssindif0 $p |- ( A (_ B <-> ( A i^i ( V \ B ) ) = (/) ) $=
    ( cvv cdif cin c0 wceq wss disj2 ddif sseq2i bitr2 ) ACBDZEFGACMDZHABHAMINB
    ABJKL $.
    $( [17-Sep-2003] $)

  $( The intersection of classes with a common member is nonempty. $)
  inelcm $p |- ( ( A e. B /\ A e. C ) -> ( B i^i C ) =/= (/) ) $=
    ( wcel wa cin c0 wne elin ne0i sylbir ) ABDACDEABCFZDLGHABCILAJK $.
    $( [2-Apr-2007] $) $( [7-Apr-1994] $)

  $( A minimum element of a class has no elements in common with the class. $)
  minel $p |- ( ( A e. B /\ ( C i^i B ) = (/) ) -> -. A e. C ) $=
    ( cin c0 wceq wcel wn wa wi inelcm necon2bi imnan sylibr con2d impcom ) CBD
    ZEFZABGZACGZHRTSRTSIZHTSHJUAQEACBKLTSMNOP $.
    $( [22-Jun-1994] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Distribute union over difference. $)
    undif4 $p |- ( ( A i^i C ) = (/) ->
                 ( A u. ( B \ C ) ) = ( ( A u. B ) \ C ) ) $=
      ( vx cv wcel wn wi wal cdif cun wb cin c0 wceq wo wa pm2.61 ax-1 impbid1
      df-or syl5bb anbi2d eldif orbi2i ordi bitr elun anbi1i 3bitr4g 19.20i
      disj1 dfcleq 3imtr4 ) DEZAFZUOCFGZHZDIUOABCJZKZFZUOABKZCJZFZLZDIACMNOUTVC
      OURVEDURUPUOUSFZPZUOVBFZUQQZVAVDURUPUOBFZPZUPUQPZQZVKUQQVGVIURVLUQVKURUPG
      ZUQHZUQVLURVOUQUPUQRUQVNSTUPUQUAUBUCVGUPVJUQQZPVMVFVPUPUOBCUDUEUPVJUQUFUG
      VHVKUQUOABUHUIUJUOAUSUHUOVBCUDUJUKDACULDUTVCUMUN $.
      $( [17-May-1998] $)

    $( Subset relation for disjoint classes. $)
    disjssun $p |- ( ( A i^i B ) = (/) -> ( A (_ ( B u. C ) <-> A (_ C ) ) $=
      ( vx cin c0 wceq cv cun wcel wral wss wa wo wn wb wi wal disj1 ax-4
      sylbi imp biorf syl elun syl6rbbr ralbidva dfss3 3bitr4g ) ABEFGZDHZBCIZJ
      ZDAKUKCJZDAKAULLACLUJUMUNDAUJUKAJZMZUNUKBJZUNNZUMUPUQOZUNURPUJUOUSUJUOUSQ
      ZDRUTDABSUTDTUAUBUQUNUCUDUKBCUEUFUGDAULUHDACUHUI $.
      $( [9-Nov-2005] $) $( [25-Oct-2005] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Subclass expressed in terms of difference.  Exercise 7 of
       [TakeutiZaring] p. 22. $)
    ssdif0 $p |- ( A (_ B <-> ( A \ B ) = (/) ) $=
      ( vx cv wcel wi wal cdif wn wss c0 wceq wa iman eldif negbii bitr4 albii
      dfss2 eq0 3bitr4 ) CDZAEZUBBEZFZCGUBABHZEZIZCGABJUFKLUEUHCUEUCUDIMZIUHUCU
      DNUGUIUBABOPQRCABSCUFTUA $.
      $( [29-Apr-1994] $)
  $}

  $( Universal class equality in terms of empty difference. $)
  vdif0 $p |- ( A = V <-> ( V \ A ) = (/) ) $=
    ( cvv wceq wss cdif c0 vss ssdif0 bitr3 ) ABCBADBAEFCAGBAHI $.
    $( [17-Sep-2003] $)

  $( A proper subclass has a nonempty difference. $)
  pssdifn0 $p |- ( ( A (_ B /\ A =/= B ) -> ( B \ A ) =/= (/) ) $=
    ( wss wne cdif c0 wceq wa eqss biimpr ex ssdif0 syl5ibr necon3d imp ) ABCZA
    BDBAEZFDPQFABPBACZABGZQFGPRSSPRHABIJKBALMNO $.
    $( [3-Apr-2007] $) $( [3-May-1994] $)

  $( A subclass missing a member is a proper subclass. $)
  ssnelpss $p |- ( A (_ B -> ( ( C e. B /\ -. C e. A ) -> A (. B ) ) $=
    ( wss wceq wn wpss wcel wa dfpss2 baibr nelneq2 eqcom negbii sylib syl5bi
    ) ABDZABEZFZABGZCBHCAHFIZTQSABJKUABAEZFSCBALUBRBAMNOP $.
    $( [12-Jan-2002] $)

  ${
    $d x A $.  $d x B $.
    $( A proper subclass has a member in one argument that's not in both. $)
    pssnel $p |- ( A (. B -> E. x ( x e. B /\ -. x e. A ) ) $=
      ( wpss cv cdif wcel wex wn wa c0 wne wss df-pss pssdifn0 sylbi ne0 sylib
      eldif exbii ) BCDZAEZCBFZGZAHZUBCGUBBGIJZAHUAUCKLZUEUABCMBCLJUGBCNBCOPAUC
      QRUDUFAUBCBSTR $.
      $( [29-Feb-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Difference, intersection, and subclass relationship. $)
    difin0ss $p |- ( ( ( A \ B ) i^i C ) = (/) -> ( C (_ A -> C (_ B ) ) $=
      ( vx cdif cin c0 wceq cv wcel wi wal wss wn eq0 wa annim anbi2i ancom
      bitr3 negbii iman elin eldif anbi1i bitr 3bitr4 ax-2 sylbir 19.20ii
      sylbi dfss2 3imtr4g ) ABEZCFZGHZDIZCJZUQAJZKZDLZURUQBJZKZDLZCAMCBMUPUQUOJ
      ZNZDLVAVDKDUOOVFUTVCDVFURUSVBKZKZUTVCKURVGNZPZNUSVBNPZURPZNVHVFVJVLVJURVK
      PVLVKVIURUSVBQRURVKSTUAURVGUBVEVLVEUQUNJZURPVLUQUNCUCVMVKURUQABUDUEUFUAUG
      URUSVBUHUIUJUKDCAULDCBULUM $.
      $( [30-Apr-1994] $)

    $( Intersection, subclass, and difference relationship. $)
    inssdif0 $p |- ( ( A i^i B ) (_ C <-> ( A i^i ( B \ C ) ) = (/) ) $=
      ( vx cv cin wcel wi wal cdif wn wss c0 wceq wa impexp iman imbi2i imnan
      3bitr elin imbi1i eldif anbi2i bitr negbii 3bitr4 albii dfss2 eq0 ) DEZAB
      FZGZUKCGZHZDIUKABCJZFZGZKZDIULCLUQMNUOUSDUKAGZUKBGZOZUNHZUTVAUNKOZOZKZUOU
      SVCUTVAUNHZHUTVDKZHVFUTVAUNPVGVHUTVAUNQRUTVDSTUMVBUNUKABUAUBURVEURUTUKUPG
      ZOVEUKAUPUAVIVDUTUKBCUCUDUEUFUGUHDULCUIDUQUJUG $.
      $( [27-Oct-1996] $)
  $}

  $( The difference between a class and itself is the empty set.  Proposition
     5.15 of [TakeutiZaring] p. 20.  Also Theorem 32 of [Suppes] p. 28. $)
  difid $p |- ( A \ A ) = (/) $=
    ( wss cdif c0 wceq ssid ssdif0 mpbi ) AABAACDEAFAAGH $.
    $( [13-May-2004] $) $( [22-Apr-2004] $)

  $( The difference between a class and the empty set.  Part of Exercise 4.4 of
     [Stoll] p. 16. $)
  dif0 $p |- ( A \ (/) ) = A $=
    ( cdif c0 difid difeq2i difdif eqtr3 ) AAABZBACBAHCAADEAAFG $.
    $( [18-Aug-2004] $) $( [17-Aug-2004] $)

  $( The difference between the empty set and a class.  Part of Exercise 4.4 of
     [Stoll] p. 16. $)
  0dif $p |- ( (/) \ A ) = (/) $=
    ( c0 cdif wss wceq difss ss0 ax-mp ) BACZBDIBEBAFIGH $.
    $( [8-Sep-2004] $) $( [17-Aug-2004] $)

  $( A class and its relative complement are disjoint.  Theorem 38 of [Suppes]
     p. 29. $)
  difdisj $p |- ( A i^i ( B \ A ) ) = (/) $=
    ( cin wss cdif c0 wceq inss1 inssdif0 mpbi ) ABCADABAECFGABHABAIJ $.
    $( [24-Mar-1998] $)

  $( The difference of a class from its intersection is empty.  Theorem 37 of
     [Suppes] p. 29. $)
  difin0 $p |- ( ( A i^i B ) \ B ) = (/) $=
    ( cin cdif c0 difindir difid ineq2i in0 3eqtr ) ABCBDABDZBBDZCKECEABBFLEKBG
    HKIJ $.
    $( [29-Oct-2004] $) $( [17-Aug-2004] $)

  $( The union of a class and its complement is the universe.  Theorem 5.1(5)
     of [Stoll] p. 17. $)
  undifv $p |- ( A u. ( V \ A ) ) = V $=
    ( cvv cdif cun cin c0 dfun3 difdisj difeq2i dif0 3eqtr ) ABACZDBLBLCEZCBFCB
    ALGMFBLBHIBJK $.
    $( [18-Aug-2004] $) $( [17-Aug-2004] $)

  $( Absorption of difference by union.  This decomposes a union into two
     disjoint classes (see ~ difdisj ).  Theorem 35 of [Suppes] p. 29. $)
  undif1 $p |- ( ( A \ B ) u. B ) = ( A u. B ) $=
    ( cvv cdif cin cun invdif uneq1i undir uncom undifv eqtr ineq2i inv1 3eqtr
    eqtr3 ) ACBDZEZBFZABDZBFABFZRTBABGHSUAQBFZEUACEUAAQBIUBCUAUBBQFCQBJBKLMUANO
    P $.
    $( [18-Aug-2004] $) $( [19-May-1998] $)

  $( Absorption of difference by union.  This decomposes a union into two
     disjoint classes (see ~ difdisj ).  Part of proof of Corollary 6K of
     [Enderton] p. 144. $)
  undif2 $p |- ( A u. ( B \ A ) ) = ( A u. B ) $=
    ( cdif cun uncom undif1 3eqtr ) ABACZDHADBADABDAHEBAFBAEG $.
    $( [4-Sep-2004] $) $( [19-May-1998] $)

  $( Absorption of union by difference.  Theorem 36 of [Suppes] p. 29. $)
  difun2 $p |- ( ( A u. B ) \ B ) = ( A \ B ) $=
    ( cun cdif c0 difundir difid uneq2i un0 3eqtr ) ABCBDABDZBBDZCKECKABBFLEKBG
    HKIJ $.
    $( [18-Aug-2004] $) $( [19-May-1998] $)

  $( Union of complementary parts into whole. $)
  undif $p |- ( A (_ B <-> ( A u. ( B \ A ) ) = B ) $=
    ( wss cun wceq cdif ssequn1 undif2 eqeq1i bitr4 ) ABCABDZBEABAFDZBEABGLKBAB
    HIJ $.
    $( [22-Sep-2004] $) $( [22-Mar-1998] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( A condition equivalent to inclusion in the union of two classes. $)
    ssundif $p |- ( A (_ ( B u. C ) <-> ( A \ B ) (_ C ) $=
      ( vx cv wcel cun wi wal cdif wss wn wa wo pm5.6 eldif imbi1i elun imbi2i
      3bitr4r albii dfss2 3bitr4 ) DEZAFZUDBCGZFZHZDIUDABJZFZUDCFZHZDIAUFKUICKU
      HULDUEUDBFZLMZUKHUEUMUKNZHULUHUEUMUKOUJUNUKUDABPQUGUOUEUDBCRSTUADAUFUBDUI
      CUBUC $.
      $( [29-Mar-2007] $) $( [26-Mar-2007] $)
  $}

  $( Swap the arguments of a class difference. $)
  difcom $p |- ( ( A \ B ) (_ C <-> ( A \ C ) (_ B ) $=
    ( cun wss cdif uncom sseq2i ssundif 3bitr3 ) ABCDZEACBDZEABFCEACFBEKLABCGHA
    BCIACBIJ $.
    $( [3-May-2007] $) $( [29-Mar-2007] $)

  $( Distributive law for class difference.  Exercise 4.8 of [Stoll] p. 16. $)
  difdifdir $p |- ( ( A \ B ) \ C ) = ( ( A \ C ) \ ( B \ C ) ) $=
    ( cdif cvv cun cin c0 difdisj incom eqtr3 uneq2i invdif un0 dif23 3eqtr4r
    indi 3eqtr4 indm difeq2i ddif 3eqtr3r ineq2i 3eqtr ) ABDCDZACDZEBDZCFZGZUFE
    BCDZDZGUFUJDUFUGGZHFZULUFCGZFUEUIHUNULCUFGHUNCAICUFJKLULUFBDUMUEUFBMULNABCO
    PUFUGCQRUHUKUFEBECDZGZDUGEUODZFUKUHBUOSUPUJEBCMTUQCUGCUALUBUCUFUJMUD $.
    $( [29-Oct-2004] $) $( [18-Aug-2004] $)

  ${
    $d x A $.
    $( Theorem 19.2 of [Margaris] p. 89 with restricted quantifiers (compare
       ~ 19.2 ).  The restricted version is valid only when the domain of
       quantification is not empty. $)
    r19.2z $p |- ( ( A =/= (/) /\ A. x e. A ph ) -> E. x e. A ph ) $=
      ( wral c0 wne wrex cv wcel wex wa wi wal df-ral exintr sylbi ne0 df-rex
      3imtr4g impcom ) ABCDZCEFZABCGZUABHCIZBJZUDAKBJZUBUCUAUDALBMUEUFLABCNUDAB
      OPBCQABCRST $.
      $( [9-Dec-2006] $) $( [15-Nov-2003] $)
  $}

  ${
    $d x A $.  $d x ph $.
    $( Restricted quantification of wff not containing quantified variable. $)
    r19.3rzv $p |- ( A =/= (/) -> ( ph <-> A. x e. A ph ) ) $=
      ( c0 wne cv wcel wex wi wral wb ne0 biimt sylbi wal df-ral 19.23v bitr
      syl6bbr ) CDEZABFCGZBHZAIZABCJZTUBAUCKBCLUBAMNUDUAAIBOUCABCPUAABQRS $.
      $( [5-Oct-2006] $) $( [10-Mar-1997] $)

    $( Restricted quantification of wff not containing quantified variable. $)
    r19.9rzv $p |- ( A =/= (/) -> ( ph <-> E. x e. A ph ) ) $=
      ( c0 wne wn wral wrex r19.3rzv bicomd con2bid dfrex2 syl6bbr ) CDEZAAFZBC
      GZFABCHNPANOPOBCIJKABCLM $.
      $( [10-Oct-2006] $) $( [27-May-1998] $)

    $( Restricted quantifier version of Theorem 19.28 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty. $)
    r19.28zv $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( ph /\ A. x e. A ps ) ) ) $=
      ( c0 wne wral wa r19.3rzv anbi1d r19.26 syl6rbbr ) DEFZABCDGZHACDGZNHABHC
      DGMAONACDIJABCDKL $.
      $( [5-Oct-2006] $) $( [19-Aug-2004] $)

    $( Restricted quantifier version of Theorem 19.37 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty.
       (Contributed by Paul Chapman, 8-Oct-2007.) $)
    r19.37zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph -> ps ) <-> ( ph -> E. x e. A ps ) ) ) $=
      ( c0 wne wrex wi wral r19.3rzv imbi1d r19.35 syl6rbbr ) DEFZABCDGZHACDIZO
      HABHCDGNAPOACDJKABCDLM $.
      $( [8-Oct-2007] $) $( [8-Oct-2007] $)

    $( Restricted version of Theorem 19.45 of [Margaris] p. 90. $)
    r19.45zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph \/ ps ) <-> ( ph \/ E. x e. A ps ) ) ) $=
      ( c0 wne wrex wo r19.9rzv orbi1d r19.43 syl6rbbr ) DEFZABCDGZHACDGZNHABHC
      DGMAONACDIJABCDKL $.
      $( [10-Oct-2006] $) $( [27-May-1998] $)
  $}

  ${
    $d x A $.  $d x ps $.
    $( Restricted quantifier version of Theorem 19.27 of [Margaris] p. 90.  It
       is valid only when the domain of quantification is not empty. $)
    r19.27zv $p |- ( A =/= (/) ->
                   ( A. x e. A ( ph /\ ps ) <-> ( A. x e. A ph /\ ps ) ) ) $=
      ( c0 wne wral wa r19.3rzv anbi2d r19.26 syl6rbbr ) DEFZACDGZBHNBCDGZHABHC
      DGMBONBCDIJABCDKL $.
      $( [12-Oct-2006] $) $( [19-Aug-2004] $)

    $( Restricted quantifier version of Theorem 19.36 of [Margaris] p. 90.
       It is valid only when the domain of quantification is not empty. $)
    r19.36zv $p |- ( A =/= (/) ->
                   ( E. x e. A ( ph -> ps ) <-> ( A. x e. A ph -> ps ) ) ) $=
      ( c0 wne wral wi wrex r19.9rzv imbi2d r19.35 syl6rbbr ) DEFZACDGZBHOBCDIZ
      HABHCDINBPOBCDJKABCDLM $.
      $( [13-Oct-2006] $) $( [20-Sep-2003] $)
  $}

  ${
    $d x A $.
    $( Vacuous quantification is always true. $)
    rzal $p |- ( A = (/) -> A. x e. A ph ) $=
      ( c0 wceq cv wcel eleq2 noel pm2.21i syl6bi r19.21aiv ) CDEZABCMBFZCGNDGZ
      ACDNHOANIJKL $.
      $( [11-Mar-1997] $)

    $( Restricted existential quantification implies its restriction is
       nonempty.  (Contributed by Szymon Jaroszewicz, 3-Apr-2007.) $)
    rexn0 $p |- ( E. x e. A ph -> A =/= (/) ) $=
      ( c0 wne cv wcel ne0i a1d r19.23aiv ) ACDEZBCBFZCGKACLHIJ $.
      $( [3-Apr-2007] $) $( [1-Mar-2007] $)

    $( Idempotent law for restricted quantifier. $)
    ralidm $p |- ( A. x e. A A. x e. A ph <-> A. x e. A ph ) $=
      ( c0 wceq wral wb pm5.1 rzal sylanc wn cv wcel wex n0 wi biimt wal
      df-ral hbra1 19.23 bitr syl6rbbr sylbi pm2.61i ) CDEZABCFZBCFZUGGZUHUGUIU
      FUHUGHUGBCIABCIJUFKBLCMZBNZUIBCOUKUGUKUGPZUHUKUGQUHUJUGPBRULUGBCSUJUGBABC
      TUAUBUCUDUE $.
      $( [28-Mar-1997] $)
  $}

  $( Vacuous universal quantification is always true. $)
  ral0 $p |- A. x e. (/) ph $=
    ( c0 cv wcel noel pm2.21i rgen ) ABCBDZCEAIFGH $.
    $( [27-Oct-2005] $) $( [20-Oct-2005] $)

  ${
    $d x A $.
    ralf0.1 $e |- -. ph $.
    $( The quantification of a falsehood is vacuous when true. $)
    ralf0 $p |- ( A. x e. A ph <-> A = (/) ) $=
      ( wral c0 wceq cv wcel wi wal wn con3 mpi 19.20i df-ral eq0 3imtr4 rzal
      impbi ) ABCEZCFGZBHCIZAJZBKUCLZBKUAUBUDUEBUDALUEDUCAMNOABCPBCQRABCST $.
      $( [6-Dec-2005] $) $( [26-Nov-2005] $)
  $}

  ${
    $d y ph $.  $d x ps $.  $d x y A $.
    $( Rearrange restricted quantifiers. $)
    raaan $p |- ( A. x e. A A. y e. A ( ph /\ ps ) <->
                  ( A. x e. A ph /\ A. y e. A ps ) ) $=
      ( wa wral wb c0 wceq pm5.1 rzal jca sylanc wne r19.28zv ralbidv r19.27zv
      bitrd pm2.61ine ) ABFDEGZCEGZACEGZBDEGZFZHZEIUBUEUFEIJZUBUEKUACELUGUCUDAC
      ELBDELMNEIOZUBAUDFZCEGUEUHUAUICEABDEPQAUDCERST $.
      $( [11-Mar-1997] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           "Weak deduction theorem" for set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( These lemmas are used to convert hypotheses into antecedents,
     when there is at least one class making the hypothesis true. $)

$(
The Weak Deduction Theorem in set theory
----------------------------------------

In a Hilbert system of logic (which consists of a set of axioms, modus
ponens, and the generalization rule), converting a deduction to a proof using
the Deduction Theorem (taught in introductory logic books) involves an
exponential increase of the number of steps as hypotheses are successively
eliminated.  Here is a trick that is not as general as the Deduction Theorem
but requires only a linear increase in the number of steps.

The general problem:  We want to convert a deduction
  P |- Q
into a proof of the theorem
  |- P -> Q
i.e. we want to eliminate the hypothesis P.  Normally this is done using the
Deduction (meta)Theorem, which looks at the microscopic steps of the
deduction and usually doubles or triples the number of these microscopic
steps for each hypothesis that is eliminated.  We will look at a special case
of this problem, without appealing to the Deduction Theorem.

We assume ZF with class notation.  A and B are arbitrary (possibly
proper) classes.  P, Q, R, S and T are wffs.

We define the conditional operator, if(P,A,B), as follows:
  if(P,A,B) =def= { x | (x \in A & P) v (x \in B & ~P) }
(where x does not occur in A, B, or P).

Lemma 1.
  A = if(P,A,B) -> (P <-> R), B = if(P,A,B) -> (S <-> R), S |- R
Proof:  Logic and Axiom of Extensionality.

Lemma 2.
  A = if(P,A,B) -> (Q <-> T), T |- P -> Q
Proof:  Logic and Axiom of Extensionality.

Here's a simple example that illustrates how it works.  Suppose we have
a deduction
  Ord A |- Tr A
which means, "Assume A is an ordinal class.  Then A is a transitive class."
Note that A is a class variable that may be substituted with any class
expression, so this is really a deduction scheme.

We want to convert this to a proof of the theorem (scheme)
  |- Ord A -> Tr A.

The catch is that we must be able to prove "Ord A" for at least one
object A (and this is what makes it weaker than the ordinary Deduction
Theorem).  However it is easy to prove |- Ord 0 (the empty set is
ordinal).  (For a typical textbook "theorem," i.e. deduction, there is
usually at least one object satisfying each hypothesis, otherwise the
theorem would not be very useful.  We can always go back to the standard
Deduction Theorem for those hypotheses where this is not the case.)
Continuing with the example:

Equality axioms (and Extensionality) yield
  |- A = if(Ord A, A, 0) -> (Ord A <-> Ord if(Ord A, A, 0))  (1)
  |- 0 = if(Ord A, A, 0) -> (Ord 0 <-> Ord if(Ord A, A, 0))  (2)
From (1), (2) and |- Ord 0, Lemma 1 yields
  |- Ord if(Ord A, A, 0)                                       (3)
From (3) and substituting if(Ord A, A, 0) for
A in the original deduction,
  |- Tr if(Ord A, A, 0)                                        (4)
Equality axioms (and Extensionality) yield
  |- A = if(Ord A, A, 0) -> (Tr A <-> Tr if(Ord A, A, 0))    (5)
From (4) and (5), Lemma 2 yields
  |- Ord A -> Tr A                                               (Q.E.D.)
$)


  $( Declare new constant symbols. $)
  $c if $.  $( Conditional operator (was "ded" for "deduction class"). $)
  $c , $.  $( Comma (also used for unordered pair notation later) $)

  $( Extend class notation to include the conditional operator.  See ~ df-if
     for a description.  (In older databases this was denoted "ded".) $)
  cif $a class if ( ph , A , B ) $.

  ${
    $d x ph $.  $d x A $.  $d x B $.
    $( Define the conditional operator.  Read ` if ( ph , A , B ) ` as "if
       ` ph ` then ` A ` else ` B ` ." See ~ iftrue and ~ iffalse for its
       values.  In mathematical literature, this operator is rarely defined
       formally but is implicit in informal definitions such as "let f(x)=0 if
       x=0 and 1/x otherwise."  (In older versions of this database, this
       operator was denoted "ded" and called the "deduction class.")

       An important use for us is in conjunction with the weak deduction
       theorem, which converts a hypothesis into an antecedent.  In that role,
       ` A ` is a class variable in the hypothesis and ` B ` is a class
       (usually a constant) that makes the hypothesis true when it is
       substituted for ` A ` .  See ~ dedth for the main part of the weak
       deduction theorem, ~ elimhyp to eliminate a hypothesis, and ~ keephyp to
       keep a hypothesis.  See the Deduction Theorem link on the Metamath Proof
       Explorer Home Page for a description of the weak deduction theorem. $)
    df-if $a |- if ( ph , A , B ) =
                 { x | ( ( x e. A /\ ph ) \/ ( x e. B /\ -. ph ) ) } $.
  $}

  ${
    $d x ph $.  $d x A $.  $d x B $.  $d x C $.
    $( An alternate definition of the conditional operator ~ df-if with one
       fewer connectives (but probably less intuitive to understand). $)
    dfif2 $p |- if ( ph , A , B ) =
                 { x | ( ( x e. B -> ph ) -> ( x e. A /\ ph ) ) } $=
      ( cif cv wcel wa wn wo cab wi df-if df-or orcom iman imbi1i 3bitr4 abbii
      eqtr ) ACDEBFZCGAHZUADGZAIHZJZBKUCALZUBLZBKABCDMUEUGBUDUBJUDIZUBLUEUGUDUB
      NUBUDOUFUHUBUCAPQRST $.
      $( [6-Mar-2006] $) $( [30-Jan-2006] $)

    $( Equality theorem for conditional operator. $)
    ifeq1 $p |- ( A = B -> if ( ph , A , C ) = if ( ph , B , C ) ) $=
      ( vx wceq cv wcel wa wn wo cab cif eleq2 anbi1d orbi1d abbidv df-if
      3eqtr4g ) BCFZEGZBHZAIZUADHAJIZKZELUACHZAIZUDKZELABDMACDMTUEUHETUCUGUDTUB
      UFABCUANOPQAEBDRAECDRS $.
      $( [30-Sep-2004] $) $( [1-Sep-2004] $)

    $( Equality theorem for conditional operator. $)
    ifeq2 $p |- ( A = B -> if ( ph , C , A ) = if ( ph , C , B ) ) $=
      ( vx wceq cv wcel wa wn wo cab cif eleq2 anbi1d orbi2d abbidv df-if
      3eqtr4g ) BCFZEGZDHAIZUABHZAJZIZKZELUBUACHZUDIZKZELADBMADCMTUFUIETUEUHUBT
      UCUGUDBCUANOPQAEDBRAEDCRS $.
      $( [30-Sep-2004] $) $( [1-Sep-2004] $)

    $( Value of the conditional operator when its first argument is true. $)
    iftrue $p |- ( ph -> if ( ph , A , B ) = A ) $=
      ( vx cv wcel wa wn wo cab cif dedlema abbi2dv df-if syl6reqr ) ABDEZBFZAG
      PCFZAHGIZDJABCKASDBAQRLMADBCNO $.
      $( [2-Sep-2004] $) $( [15-May-1999] $)

    $( Value of the conditional operator when its first argument is false. $)
    iffalse $p |- ( -. ph -> if ( ph , A , B ) = B ) $=
      ( vx wn cv wcel wa wo cab cif dedlemb abbi2dv df-if syl6reqr ) AEZCDFZBGZ
      AHQCGZPHIZDJABCKPTDCARSLMADBCNO $.
      $( [2-Sep-2004] $) $( [14-Aug-1999] $)
  $}

  $( Equality theorem for conditional operators. $)
  ifeq12 $p |- ( ( A = B /\ C = D ) ->
                if ( ph , A , C ) = if ( ph , B , D ) ) $=
    ( wceq cif ifeq1 ifeq2 sylan9eq ) BCFDEFABDGACDGACEGABCDHADECIJ $.
    $( [30-Sep-2004] $) $( [1-Sep-2004] $)

  ${
    ifeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for conditional operator. $)
    ifeq1d $p |- ( ph -> if ( ps , A , C ) = if ( ps , B , C ) ) $=
      ( wceq cif ifeq1 syl ) ACDGBCEHBDEHGFBCDEIJ $.
      $( [16-Feb-2005] $) $( [16-Feb-2005] $)

    $( Equality deduction for conditional operator. $)
    ifeq2d $p |- ( ph -> if ( ps , C , A ) = if ( ps , C , B ) ) $=
      ( wceq cif ifeq2 syl ) ACDGBECHBEDHGFBCDEIJ $.
      $( [16-Feb-2005] $) $( [16-Feb-2005] $)
  $}

  $( Equivalence theorem for conditional operators.  (Contributed by Raph
     Levien, 15-Jan-2004.) $)
  ifbi $p |- ( ( ph <-> ps ) -> if ( ph , A , B ) = if ( ps , A , B ) ) $=
    ( wb wa wn wo cif wceq dfbi3 iftrue eqcomd sylan9eq iffalse jaoi sylbi ) ABE
    ABFZAGZBGZFZHACDIZBCDIZJZABKRUDUAABUBCUCACDLBUCCBCDLMNSTUBDUCACDOTUCDBCDOMN
    PQ $.
    $( [18-Jan-2004] $) $( [15-Jan-2004] $)

  ${
    ifbid.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalence deduction for conditional operators. $)
    ifbid $p |- ( ph -> if ( ps , A , B ) = if ( ch , A , B ) ) $=
      ( wb cif wceq ifbi syl ) ABCGBDEHCDEHIFBCDEJK $.
      $( [20-Apr-2005] $) $( [18-Apr-2005] $)
  $}

  ${
    $d x y z $.  $d y z A $.  $d y z B $.  $d z ph $.
    hbif.1 $e |- ( ph -> A. x ph ) $.
    hbif.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbif.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for a conditional operator. $)
    hbif $p |- ( y e. if ( ph , A , B ) -> A. x y e. if ( ph , A , B ) ) $=
      ( vz cif cv wcel wa wn wo cab df-if ax-17 hbel hban hbn hbor hbab hbxfr
      ) BCADEJIKZDLZAMZUEELZANZMZOZIPAIDEQUKBICUGUJBUFABBCCUEDCKUELBRZGSFTUHUIB
      BCCUEEULHSABFUATUBUCUD $.
      $( [16-Feb-2005] $) $( [16-Feb-2005] $)
  $}

  ${
    sbif.1 $e |- ( if ( ph , A , B ) = A -> ( ps <-> ch ) ) $.
    sbif.2 $e |- ( if ( ph , A , B ) = B -> ( ps <-> th ) ) $.
    $( Elimination of a conditional operator contained in a wff ` ps ` . $)
    elimif $p |- ( ps <-> ( ( ph /\ ch ) \/ ( -. ph /\ th ) ) ) $=
      ( wn wo wa exmid biantrur andir cif wceq wb iftrue syl pm5.32i iffalse
      orbi12i 3bitr ) BAAIZJZBKABKZUDBKZJACKZUDDKZJUEBALMAUDBNUFUHUGUIABCAAEFOZ
      EPBCQAEFRGSTUDBDUDUJFPBDQAEFUAHSTUBUC $.
      $( [15-Feb-2005] $) $( [15-Feb-2005] $)
  $}

  ${
    ifboth.1 $e |- ( A = if ( ph , A , B ) -> ( ps <-> th ) ) $.
    ifboth.2 $e |- ( B = if ( ph , A , B ) -> ( ch <-> th ) ) $.
    $( A wff ` th ` containing a conditional operator is true when both of its
       cases are true. $)
    ifboth $p |- ( ( ps /\ ch ) -> th ) $=
      ( wa cif wceq wb iftrue eqcomd syl biimpa adantrr wn iffalse bicomd
      biimpar adantrl pm2.61ian ) ABCIDABDCABDAEAEFJZKBDLAUDEAEFMNGOPQARZCDBUED
      CUEFUDKZDCLUEUDFAEFSNUFCDHTOUAUBUC $.
      $( [4-Sep-2006] $) $( [3-Sep-2006] $)
  $}

  $( Identical true and false arguments in the conditional operator. $)
  ifid $p |- if ( ph , A , A ) = A $=
    ( cif wceq iftrue iffalse pm2.61i ) AABBCBDABBEABBFG $.
    $( [25-Apr-2005] $) $( [18-Apr-2005] $)

  $( Expansion of an equality with a conditional operator. $)
  eqif $p |- ( A = if ( ph , B , C ) <->
             ( ( ph /\ A = B ) \/ ( -. ph /\ A = C ) ) ) $=
    ( cif wceq eqeq2 elimif ) ABACDEZFBCFBDFCDICBGIDBGH $.
    $( [15-Feb-2005] $) $( [14-Feb-2005] $)

  $( Membership in a conditional operator. $)
  elif $p |- ( A e. if ( ph , B , C ) <->
             ( ( ph /\ A e. B ) \/ ( -. ph /\ A e. C ) ) ) $=
    ( cif wcel eleq2 elimif ) ABACDEZFBCFBDFCDICBGIDBGH $.
    $( [9-Mar-2005] $) $( [14-Feb-2005] $)

  $( Membership of a conditional operator. $)
  ifel $p |- ( if ( ph , A , B ) e. C <->
             ( ( ph /\ A e. C ) \/ ( -. ph /\ B e. C ) ) ) $=
    ( cif wcel eleq1 elimif ) AABCEZDFBDFCDFBCIBDGICDGH $.
    $( [30-Sep-2005] $) $( [10-Sep-2005] $)

  $( Membership (closure) of a conditional operator. $)
  ifcl $p |- ( ( A e. C /\ B e. C ) -> if ( ph , A , B ) e. C ) $=
    ( wcel cif eleq1 ifboth ) ABDECDEABCFZDEBCBIDGCIDGH $.
    $( [12-Apr-2005] $) $( [4-Apr-2005] $)

  $( The possible values of a conditional operator. $)
  ifor $p |- ( if ( ph , A , B ) = A \/ if ( ph , A , B ) = B ) $=
    ( cif wceq wa wn wo eqid eqif mpbi pm3.27 orim12i ax-mp ) AABCDZBEZFZAGZOCE
    ZFZHZPSHOOEUAOIAOBCJKQPTSAPLRSLMN $.
    $( [17-Jun-2007] $) $( [17-Jun-2007] $)

  $( Negating the first argument swaps the last two arguments of a conditional
     operator. $)
  ifswap $p |- if ( -. ph , A , B ) = if ( ph , B , A ) $=
    ( wn cif wceq negb iffalse syl iftrue eqtr4d pm2.61i ) AADZBCEZACBEZFANCOAM
    DNCFAGMBCHIACBJKMNBOMBCJACBHKL $.
    $( [24-Jun-2007] $) $( [21-Jun-2007] $)

  ${
    $d x A $.  $d x B $.  $d x ph $.
    dedth.1 $e |- ( A = if ( ph , A , B ) -> ( ps <-> ch ) ) $.
    dedth.2 $e |- ch $.
    $( Weak deduction theorem that eliminates a hypothesis ` ph ` , making it
       become an antecedent.  We assume that a proof exists for ` ph ` when
       the class variable ` A ` is replaced with a specific class ` B ` .
       The hypothesis ` ch ` should be assigned to the inference, and the
       inference's hypothesis eliminated with ~ elimhyp .  If the inference
       has other hypotheses with class variable ` A ` , these can be
       kept by assigning ~ keephyp to them.  For more information, see the
       Deduction Theorem ~ http://us.metamath.org/mpegif/mmdeduction.html . $)
    dedth $p |- ( ph -> ps ) $=
      ( cif wceq wb iftrue eqcomd syl mpbiri ) ABCGADADEHZIBCJAODADEKLFMN $.
      $( [15-May-1999] $)
  $}

  ${
    dedth2v.1 $e |- ( A = if ( ph , A , C ) -> ( ps <-> ch ) ) $.
    dedth2v.2 $e |- ( B = if ( ph , B , D ) -> ( ch <-> th ) ) $.
    dedth2v.3 $e |- th $.
    $( Weak deduction theorem for eliminating a hypothesis with 2 class
       variables.  Note:  if the hypothesis can be separated into two
       hypotheses, each with one class variable, then ~ dedth2h is simpler to
       use.  See also comments in ~ dedth . $)
    dedth2v $p |- ( ph -> ps ) $=
      ( cif wceq wb iftrue eqcomd syl bitrd mpbiri ) ABDKABCDAEAEGLZMBCNATEAEGO
      PIQAFAFHLZMCDNAUAFAFHOPJQRS $.
      $( [13-Aug-1999] $)
  $}

  ${
    dedth3v.1 $e |- ( A = if ( ph , A , D ) -> ( ps <-> ch ) ) $.
    dedth3v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    dedth3v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    dedth3v.4 $e |- ta $.
    $( Weak deduction theorem for eliminating a hypothesis with 3 class
       variables.  See comments in ~ dedth2v . $)
    dedth3v $p |- ( ph -> ps ) $=
      ( cif wceq wb iftrue eqcomd syl 3bitrd mpbiri ) ABEOABCDEAFAFIPZQBCRAUDFA
      FISTLUAAGAGJPZQCDRAUEGAGJSTMUAAHAHKPZQDERAUFHAHKSTNUAUBUC $.
      $( [13-Aug-1999] $)
  $}

  ${
    $v et $. $( Greek eta $)
    dedth4v.we $f wff et $.
    dedth4v.1 $e |- ( A = if ( ph , A , R ) -> ( ps <-> ch ) ) $.
    dedth4v.2 $e |- ( B = if ( ph , B , S ) -> ( ch <-> th ) ) $.
    dedth4v.3 $e |- ( C = if ( ph , C , T ) -> ( th <-> ta ) ) $.
    dedth4v.4 $e |- ( D = if ( ph , D , U ) -> ( ta <-> et ) ) $.
    dedth4v.5 $e |- et $.
    $( Weak deduction theorem for eliminating a hypothesis with 4 class
       variables.  See comments in ~ dedth2v . $)
    dedth4v $p |- ( ph -> ps ) $=
      ( cif wceq wb iftrue eqcomd syl bitrd 3bitrd mpbiri ) ABNSABDENABCDAFAFJT
      ZUABCUBAUIFAFJUCUDOUEAGAGKTZUACDUBAUJGAGKUCUDPUEUFAHAHLTZUADEUBAUKHAHLUCU
      DQUEAIAIMTZUAENUBAULIAIMUCUDRUEUGUH $.
      $( [27-Apr-2007] $) $( [21-Apr-2007] $)
  $}

  ${
    dedth2h.1 $e |- ( A = if ( ph , A , C ) -> ( ch <-> th ) ) $.
    dedth2h.2 $e |- ( B = if ( ps , B , D ) -> ( th <-> ta ) ) $.
    dedth2h.3 $e |- ta $.
    $( Weak deduction theorem eliminating two hypotheses.  This theorem is
       simpler to use than ~ dedth2v but requires that each hypothesis has
       exactly one class variable.  See also comments in ~ dedth . $)
    dedth2h $p |- ( ( ph /\ ps ) -> ch ) $=
      ( wi cif wceq imbi2d dedth imp ) ABCABCMBDMFHFAFHNOCDBJPBDEGIKLQQR $.
      $( [15-May-1999] $)
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    dedth3h.we $f wff et $.
    dedth3h.wz $f wff ze $.
    dedth3h.1 $e |- ( A = if ( ph , A , D ) -> ( th <-> ta ) ) $.
    dedth3h.2 $e |- ( B = if ( ps , B , R ) -> ( ta <-> et ) ) $.
    dedth3h.3 $e |- ( C = if ( ch , C , S ) -> ( et <-> ze ) ) $.
    dedth3h.4 $e |- ze $.
    $( Weak deduction theorem eliminating three hypotheses.  See comments in
       ~ dedth2h . $)
    dedth3h $p |- ( ( ph /\ ps /\ ch ) -> th ) $=
      ( wa wi cif wceq imbi2d dedth2h dedth 3impib ) ABCDABCRZDSUFESFIFAFITUADE
      UFNUBBCELMGHJKOPQUCUDUE $.
      $( [15-May-1999] $)
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    $v si $. $( Greek sigma $)
    $v rh $. $( Greek rho $)
    $v F $.
    $v G $.
    dedth4h.we $f wff et $.
    dedth4h.wz $f wff ze $.
    dedth4h.ws $f wff si $.
    dedth4h.wr $f wff rh $.
    dedth4h.F $f class F $.
    dedth4h.G $f class G $.
    dedth4h.1 $e |- ( A = if ( ph , A , R ) -> ( ta <-> et ) ) $.
    dedth4h.2 $e |- ( B = if ( ps , B , S ) -> ( et <-> ze ) ) $.
    dedth4h.3 $e |- ( C = if ( ch , C , F ) -> ( ze <-> si ) ) $.
    dedth4h.4 $e |- ( D = if ( th , D , G ) -> ( si <-> rh ) ) $.
    dedth4h.5 $e |- rh $.
    $( Weak deduction theorem eliminating four hypotheses.  See comments in
       ~ dedth2h . $)
    dedth4h $p |- ( ( ( ph /\ ps ) /\ ( ch /\ th ) ) -> ta ) $=
      ( wa wi cif wceq imbi2d dedth2h imp ) ABUCCDUCZEABUJEUDUJLUDUJMUDFGJKFAFJ
      UEUFELUJRUGGBGKUEUFLMUJSUGCDMNOHIPQTUAUBUHUHUI $.
      $( [16-May-1999] $)
  $}

  ${
    elimhyp.1 $e |- ( A = if ( ph , A , B ) -> ( ph <-> ps ) ) $.
    elimhyp.2 $e |- ( B = if ( ph , A , B ) -> ( ch <-> ps ) ) $.
    elimhyp.3 $e |- ch $.
    $( Eliminate a hypothesis containing class variable ` A ` when it is known
       for a specific class ` B ` .  For more information, see comments in
       ~ dedth . $)
    elimhyp $p |- ps $=
      ( cif wceq wb iftrue eqcomd syl ibi wn iffalse mpbii pm2.61i ) ABABADADEI
      ZJABKATDADELMFNOAPZCBHUAETJCBKUATEADEQMGNRS $.
      $( [15-May-1999] $)
  $}

  ${
    $v et $. $( Greek eta $)
    elimhyp2v.we $f wff et $.
    elimhyp2v.1 $e |- ( A = if ( ph , A , C ) -> ( ph <-> ch ) ) $.
    elimhyp2v.2 $e |- ( B = if ( ph , B , D ) -> ( ch <-> th ) ) $.
    elimhyp2v.3 $e |- ( C = if ( ph , A , C ) -> ( ta <-> et ) ) $.
    elimhyp2v.4 $e |- ( D = if ( ph , B , D ) -> ( et <-> th ) ) $.
    elimhyp2v.5 $e |- ta $.
    $( Eliminate a hypothesis containing 2 class variables. $)
    elimhyp2v $p |- th $=
      ( cif wceq wb iftrue eqcomd syl bitrd ibi wn iffalse mpbii pm2.61i ) ACAC
      AABCAEAEGOZPABQAUGEAEGRSJTAFAFHOZPBCQAUHFAFHRSKTUAUBAUCZDCNUIDICUIGUGPDIQ
      UIUGGAEGUDSLTUIHUHPICQUIUHHAFHUDSMTUAUEUF $.
      $( [14-Aug-1999] $)
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    $v si $. $( Greek sigma $)
    elimhyp3v.we $f wff et $.
    elimhyp3v.wz $f wff ze $.
    elimhyp3v.ws $f wff si $.
    elimhyp3v.1 $e |- ( A = if ( ph , A , D ) -> ( ph <-> ch ) ) $.
    elimhyp3v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    elimhyp3v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    elimhyp3v.4 $e |- ( D = if ( ph , A , D ) -> ( et <-> ze ) ) $.
    elimhyp3v.5 $e |- ( R = if ( ph , B , R ) -> ( ze <-> si ) ) $.
    elimhyp3v.6 $e |- ( S = if ( ph , C , S ) -> ( si <-> ta ) ) $.
    elimhyp3v.7 $e |- et $.
    $( Eliminate a hypothesis containing 3 class variables. $)
    elimhyp3v $p |- ta $=
      ( cif wceq wb iftrue eqcomd syl 3bitrd ibi wn iffalse mpbii pm2.61i ) ADA
      DAABCDAEAEHUAZUBABUCAUMEAEHUDUENUFAFAFIUAZUBBCUCAUNFAFIUDUEOUFAGAGJUAZUBC
      DUCAUOGAGJUDUEPUFUGUHAUIZKDTUPKLMDUPHUMUBKLUCUPUMHAEHUJUEQUFUPIUNUBLMUCUP
      UNIAFIUJUERUFUPJUOUBMDUCUPUOJAGJUJUESUFUGUKUL $.
      $( [14-Aug-1999] $)
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    $v si $. $( Greek sigma $)
    $v rh $. $( Greek rho $)
    $v F $.
    $v G $.
    elimhyp4v.we $f wff et $.
    elimhyp4v.wz $f wff ze $.
    elimhyp4v.ws $f wff si $.
    elimhyp4v.wr $f wff rh $.
    elimhyp4v.cF $f class F $.
    elimhyp4v.cG $f class G $.
    elimhyp4v.1 $e |- ( A = if ( ph , A , D ) -> ( ph <-> ch ) ) $.
    elimhyp4v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    elimhyp4v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    elimhyp4v.4 $e |- ( F = if ( ph , F , G ) -> ( ta <-> ps ) ) $.

    elimhyp4v.5 $e |- ( D = if ( ph , A , D ) -> ( et <-> ze ) ) $.
    elimhyp4v.6 $e |- ( R = if ( ph , B , R ) -> ( ze <-> si ) ) $.
    elimhyp4v.7 $e |- ( S = if ( ph , C , S ) -> ( si <-> rh ) ) $.
    elimhyp4v.8 $e |- ( G = if ( ph , F , G ) -> ( rh <-> ps ) ) $.
    elimhyp4v.9 $e |- et $.
    $( Eliminate a hypothesis containing 4 class variables (for use with the
       weak deduction theorem ~ dedth ). $)
    elimhyp4v $p |- ps $=
      ( cif wceq wb iftrue eqcomd syl bitrd 3bitrd ibi wn iffalse mpbii
      pm2.61i ) ABABAADEBAACDAFAFIUGZUHACUIAUTFAFIUJUKRULAGAGJUGZUHCDUIAVAGAGJU
      JUKSULUMAHAHKUGZUHDEUIAVBHAHKUJUKTULAPAPQUGZUHEBUIAVCPAPQUJUKUAULUNUOAUPZ
      LBUFVDLNOBVDLMNVDIUTUHLMUIVDUTIAFIUQUKUBULVDJVAUHMNUIVDVAJAGJUQUKUCULUMVD
      KVBUHNOUIVDVBKAHKUQUKUDULVDQVCUHOBUIVDVCQAPQUQUKUEULUNURUS $.
      $( [9-May-2005] $) $( [16-Apr-2005] $)
  $}

  ${
    elimel.1 $e |- B e. C $.
    $( Eliminate a membership hypothesis for weak deduction theorem, when
       special case ` B e. C ` is provable. $)
    elimel $p |- if ( A e. C , A , B ) e. C $=
      ( wcel cif eleq1 elimhyp ) ACEZIABFZCEBCEABAJCGBJCGDH $.
      $( [15-May-1999] $)
  $}

  ${
    elimdhyp.1 $e |- ( ph -> ps ) $.
    elimdhyp.2 $e |- ( A = if ( ph , A , B ) -> ( ps <-> ch ) ) $.
    elimdhyp.3 $e |- ( B = if ( ph , A , B ) -> ( th <-> ch ) ) $.
    elimdhyp.4 $e |- th $.
    $( Version of ~ elimhyp where the hypothesis is deduced from the final
       antecedent.  See ~ ghomgrplem for an example of its use.  (Contributed
       by Paul Chapman, 25-Mar-2008.) $)
    elimdhyp $p |- ch $=
      ( cif wceq wb iftrue eqcomd syl mpbid wn iffalse mpbii pm2.61i ) ACABCGAE
      AEFKZLBCMAUBEAEFNOHPQARZDCJUCFUBLDCMUCUBFAEFSOIPTUA $.
      $( [26-Mar-2008] $) $( [25-Mar-2008] $)
  $}

  ${
    keephyp.1 $e |- ( A = if ( ph , A , B ) -> ( ps <-> th ) ) $.
    keephyp.2 $e |- ( B = if ( ph , A , B ) -> ( ch <-> th ) ) $.
    keephyp.3 $e |- ps $.
    keephyp.4 $e |- ch $.
    $( Transform a hypothesis ` ps ` that we want to keep (but contains the
       same class variable ` A ` used in the eliminated hypothesis) for use
       with the weak deduction theorem. $)
    keephyp $p |- th $=
      ( ifboth mp2an ) BCDIJABCDEFGHKL $.
      $( [15-May-1999] $)
  $}

  ${
    $v et $. $( Greek eta $)
    keephyp2v.we $f wff et $.
    keephyp2v.1 $e |- ( A = if ( ph , A , C ) -> ( ps <-> ch ) ) $.
    keephyp2v.2 $e |- ( B = if ( ph , B , D ) -> ( ch <-> th ) ) $.
    keephyp2v.3 $e |- ( C = if ( ph , A , C ) -> ( ta <-> et ) ) $.
    keephyp2v.4 $e |- ( D = if ( ph , B , D ) -> ( et <-> th ) ) $.
    keephyp2v.5 $e |- ps $.
    keephyp2v.6 $e |- ta $.
    $( Keep a hypothesis containing 2 class variables (for use with the weak
       deduction theorem ~ dedth ). $)
    keephyp2v $p |- th $=
      ( cif wceq wb iftrue eqcomd syl bitrd mpbii wn iffalse pm2.61i ) ADABDOAB
      CDAFAFHQZRBCSAUHFAFHTUAKUBAGAGIQZRCDSAUIGAGITUALUBUCUDAUEZEDPUJEJDUJHUHRE
      JSUJUHHAFHUFUAMUBUJIUIRJDSUJUIIAGIUFUANUBUCUDUG $.
      $( [15-May-2005] $) $( [16-Apr-2005] $)
  $}

  ${
    $v et $. $( Greek eta $)
    $v ze $. $( Greek zeta $)
    $v si $. $( Greek sigma $)
    $v rh $. $( Greek rho $)
    keephyp3v.we $f wff et $.
    keephyp3v.wz $f wff ze $.
    keephyp3v.ws $f wff si $.
    keephyp3v.wr $f wff rh $.
    keephyp3v.1 $e |- ( A = if ( ph , A , D ) -> ( rh <-> ch ) ) $.
    keephyp3v.2 $e |- ( B = if ( ph , B , R ) -> ( ch <-> th ) ) $.
    keephyp3v.3 $e |- ( C = if ( ph , C , S ) -> ( th <-> ta ) ) $.
    keephyp3v.4 $e |- ( D = if ( ph , A , D ) -> ( et <-> ze ) ) $.
    keephyp3v.5 $e |- ( R = if ( ph , B , R ) -> ( ze <-> si ) ) $.
    keephyp3v.6 $e |- ( S = if ( ph , C , S ) -> ( si <-> ta ) ) $.
    keephyp3v.7 $e |- rh $.
    keephyp3v.8 $e |- et $.
    $( Keep a hypothesis containing 3 class variables. $)
    keephyp3v $p |- ta $=
      ( cif wceq wb iftrue eqcomd syl 3bitrd mpbii wn iffalse pm2.61i ) ADANDUA
      ANBCDAEAEHUCZUDNBUEAUNEAEHUFUGOUHAFAFIUCZUDBCUEAUOFAFIUFUGPUHAGAGJUCZUDCD
      UEAUPGAGJUFUGQUHUIUJAUKZKDUBUQKLMDUQHUNUDKLUEUQUNHAEHULUGRUHUQIUOUDLMUEUQ
      UOIAFIULUGSUHUQJUPUDMDUEUQUPJAGJULUGTUHUIUJUM $.
      $( [27-Sep-1999] $)
  $}

  ${
    keepel.1 $e |- A e. C $.
    keepel.2 $e |- B e. C $.
    $( Keep a membership hypothesis for weak deduction theorem, when
       special case ` B e. C ` is provable. $)
    keepel $p |- if ( ph , A , B ) e. C $=
      ( wcel cif eleq1 keephyp ) ABDGCDGABCHZDGBCBKDICKDIEFJ $.
      $( [14-Aug-1999] $)
  $}

  ${
    dedex.1 $e |- A e. V $.
    dedex.2 $e |- B e. V $.
    $( Conditional operator existence. $)
    ifex $p |- if ( ph , A , B ) e. V $=
      ( cvv keepel ) ABCFDEG $.
      $( [30-Sep-2004] $) $( [2-Sep-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                          Power classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the symbol for power class. $)
  $c P~ $.  $( Calligraphic P $)

  $( Extend class notation to include power class.  (The tilde in the Metamath
     token is meant to suggest the calligraphic font of the P.) $)
  cpw $a class P~ A $.

  ${
    $d x A $.
    $( Define power class.  Definition 5.10 of [TakeutiZaring] p. 17,
       but we also let it apply to proper classes, i.e. those that are not
       members of ` V ` . $)
    df-pw $a |- P~ A = { x | x (_ A } $.
  $}

  ${
    $d x A $.  $d x B $.
    $( Equality theorem for the power class. $)
    pweq $p |- ( A = B -> P~ A = P~ B ) $=
      ( vx wceq cv wss cab cpw sseq2 abbidv df-pw 3eqtr4g ) ABDZCEZAFZCGNBFZCGA
      HBHMOPCABNIJCAKCBKL $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d A x $.  $d B x $.
    ${
      elpw.1 $e |- A e. V $.
      $( Membership in a power class.  Theorem 86 of [Suppes] p. 47. $)
      elpw $p |- ( A e. P~ B  <-> A (_ B ) $=
        ( vx cv cpw wcel wss eleq1 sseq1 df-pw abeq2i vtoclb ) DEZBFZGNBHZAOGAB
        HDACNAOINABJPDODBKLM $.
        $( [31-Dec-1993] $)
    $}

    $( Membership in a power class.  Theorem 86 of [Suppes] p. 47.  See also
       ~ elpw2g . $)
    elpwg $p |- ( A e. C -> ( A e. P~ B  <-> A (_ B ) ) $=
      ( vx cv cpw wcel wss wb wceq eleq1 sseq1 bibi12d visset elpw vtoclg ) DEZ
      BFZGZQBHZIARGZABHZIDACQAJSUATUBQARKQABLMQBDNOP $.
      $( [6-Aug-2000] $)
  $}

  $( Subset relation implied by membership in a power class. $)
  elpwi $p |- ( A e. P~ B -> A (_ B ) $=
    ( cpw wcel wss elpwg ibi ) ABCZDABEABHFG $.
    $( [20-Feb-2007] $) $( [17-Feb-2007] $)

  ${
    $d y z A $.  $d x y z $.
    hbpw.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for power class. $)
    hbpw $p |- ( y e. P~ A -> A. x y e. P~ A ) $=
      ( vz cv wss wal cpw wcel ax-17 hbel hbss visset elpw albii 3imtr4 ) BFZCG
      ZSAHRCIJZTAHAERCEFZRJAKABBUACRUAJAKDLMRCBNOZTSAUBPQ $.
      $( [6-Nov-2003] $) $( [28-Oct-2003] $)
  $}

  ${
    pwid.1 $e |- A e. V $.
    $( A set is a member of its power class.  Theorem 87 of [Suppes] p. 47. $)
    pwid $p |- A e. P~ A $=
      ( cpw wcel wss ssid elpw mpbir ) AACDAAEAFAABGH $.
      $( [5-Aug-1993] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Unordered and ordered pairs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbols needed. $)
  $c <. $.  $( Bracket (the period distinguishes it from 'less than') $)
  $c >. $.  $( Bracket (the period distinguishes it from 'greater than') $)

  $( Extend class notation to include singleton. $)
  csn $a class { A } $.
  $( Extend class notation to include unordered pair. $)
  cpr $a class { A , B } $.
  $( Extend class notation to include ordered pair. $)
  cop $a class <. A , B >. $.

  ${
    $d x A $.
    $( Define the singleton of a class.  Definition 7.1 of [Quine] p. 48.  For
       convenience, it is well-defined for proper classes, i.e., those that
       are not elements of ` V ` , although it is not very meaningful in this
       case.  For an alternate definition see ~ dfsn2 . $)
    df-sn $a |- { A } = { x | x = A } $.
  $}

  $( Define unordered pair of classes.  Definition 7.1 of [Quine] p. 48.  For
     a more traditional definition, but requiring a dummy variable, see
     ~ dfpr2 . $)
  df-pr $a |- { A , B } = ( { A } u. { B } ) $.

  $( Extend class notation to include unordered triplet. $)
  ctp $a class { A , B , C } $.

  $( Define unordered triple of classes.  Definition of [Enderton] p. 19. $)
  df-tp $a |- { A , B , C } = ( { A , B } u. { C } ) $.

  $( Kuratowski's ordered pair definition.  Definition 9.1 of [Quine] p. 58.
     For proper classes it is not meaningful but is well-defined and we
     allow it for convenience (see ~ opprc1 , ~ opprc1b , ~ opprc2 , and
     ~ opprc3 ). For the justifying theorem (for sets) see ~ opth .  There are
     other ways to define ordered pairs; the basic requirement is that two
     ordered pairs are equal iff their respective members are equal.  In 1914
     Norbert Wiener gave the first successful definition ` <. A , B >. `_2
     ` = { { { A } , (/) } , { { B } } } ` , justified by ~ opthwiener ,
     which was simplified by Kazimierz Kuratowski in 1921 to our present
     definition.  An even simpler definition ` <. A , B >. `_3
     ` = { A , { A , B } } ` is justified by ~ opthreg , but it requires the
     Axiom of Regularity for its justification and is not commonly used.  A
     definition that also works for proper classes is ` <. A , B >. `_4
     ` = ( ( A X. { (/) } ) u. ( B X. { { (/) } } ) ) ` , justified by
     ~ opthprc .  If we restrict our sets to nonnegative integers, an ordered
     pair definition that involves only elementary arithmetic is provided by
     ~ nn0opth .  Finally, an ordered pair of real numbers can be represented
     by a complex number as shown by ~ cru . $)
  df-op $a |- <. A , B >. = { { A } , { A , B } } $.

  ${
    $d x A $.  $d x B $.
    $( Equality theorem for singletons.  Part of Exercise 4 of [TakeutiZaring]
       p. 15. $)
    sneq $p |- ( A = B -> { A } = { B } ) $=
      ( vx wceq cv cab csn eqeq2 abbidv df-sn 3eqtr4g ) ABDZCEZADZCFMBDZCFAGBGL
      NOCABMHICAJCBJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    sneqi.1 $e |- A = B $.
    $( Equality inference for singletons. $)
    sneqi $p |- { A } = { B } $=
      ( wceq csn sneq ax-mp ) ABDAEBEDCABFG $.
      $( [7-Feb-2004] $) $( [22-Jan-2004] $)
  $}

  ${
    sneqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for singletons. $)
    sneqd $p |- ( ph -> { A } = { B } ) $=
      ( wceq csn sneq syl ) ABCEBFCFEDBCGH $.
      $( [7-Feb-2004] $) $( [22-Jan-2004] $)
  $}

  $( Alternate definition of singleton.  Definition 5.1 of [TakeutiZaring]
     p. 15. $)
  dfsn2 $p |- { A } = { A , A } $=
    ( cpr csn cun df-pr unidm eqtr2 ) AABACZHDHAAEHFG $.
    $( [24-Apr-1994] $)

  ${
    $d x A $.
    $( There is only one element in a singleton.  Exercise 2 of [TakeutiZaring]
       p. 15. $)
    elsn $p |- ( x e. { A } <-> x = A ) $=
      ( cv wceq csn df-sn abeq2i ) ACBDABEABFG $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Alternate definition of unordered pair.  Definition 5.1 of
       [TakeutiZaring] p. 15. $)
    dfpr2 $p |- { A , B } = { x | ( x = A \/ x = B ) } $=
      ( cpr csn cun cv wceq wo cab df-pr wcel elun elsn orbi12i bitr abbi2i
      eqtr ) BCDBEZCEZFZAGZBHZUBCHZIZAJBCKUEAUAUBUALUBSLZUBTLZIUEUBSTMUFUCUGUDA
      BNACNOPQR $.
      $( [24-Apr-1994] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( A member of an unordered pair of classes is one or the other of them.
       Exercise 1 of [TakeutiZaring] p. 15, generalized. $)
    elprg $p |- ( A e. D -> ( A e. { B , C } <-> ( A = B \/ A = C ) ) ) $=
      ( vx cv wceq wo cpr eqeq1 orbi12d dfpr2 elab2g ) EFZBGZNCGZHABGZACGZHEABC
      IDNAGOQPRNABJNACJKEBCLM $.
      $( [13-Sep-1995] $)
  $}

  ${
    elpr.1 $e |- A e. V $.
    $( A member of an unordered pair of classes is one or the other of them.
       Exercise 1 of [TakeutiZaring] p. 15. $)
    elpr $p |- ( A e. { B , C } <-> ( A = B \/ A = C ) ) $=
      ( cvv wcel cpr wceq wo wb elprg ax-mp ) AEFABCGFABHACHIJDABCEKL $.
      $( [13-Sep-1995] $)
  $}

  ${
    elpr2.1 $e |- B e. V $.
    elpr2.2 $e |- C e. V $.
    $( A member of an unordered pair of classes is one or the other of them.
       Exercise 1 of [TakeutiZaring] p. 15. $)
    elpr2 $p |- ( A e. { B , C } <-> ( A = B \/ A = C ) ) $=
      ( cpr wcel wceq wo elprg ibi cvv wb eleq1 mpbiri jaoi syl ibir impbi ) AB
      CFZGZABHZACHZIZUAUDABCTJKUDUAUDALGZUAUDMUBUEUCUBUEBLGDABLNOUCUECLGEACLNOP
      ABCLJQRS $.
      $( [16-Oct-2005] $) $( [14-Oct-2005] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    hbpr.1 $e |- ( y e. A -> A. x y e. A ) $.
    hppr.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for unordered pairs. $)
    hbpr $p |- ( y e. { A , B } -> A. x y e. { A , B } ) $=
      ( cv wceq wo wal cpr wcel hbeleq hbor visset elpr albii 3imtr4 ) BGZCHZSD
      HZIZUBAJSCDKLZUCAJTUAAABCEMABDFMNSCDBOPZUCUBAUDQR $.
      $( [14-Nov-1995] $)
  $}

  $( Membership of a conditional operator in an unordered pair. $)
  ifpr $p |- ( ( A e. C /\ B e. D ) -> if ( ph , A , B ) e. { A , B } ) $=
    ( cvv wcel cif cpr wa ifcl wceq wo ifor elprg mpbiri syl elisset syl2an )
    BFGZCFGZABCHZBCIGZBDGCEGTUAJUBFGZUCABCFKUDUCUBBLUBCLMABCNUBBCFOPQBDRCERS $.
    $( [20-Jun-2007] $) $( [17-Jun-2007] $)

  ${
    $d x A $.  $d x B $.
    ralpr.1 $e |- A e. V $.
    ralpr.2 $e |- B e. V $.
    $( Convert a quantification over a pair to a conjunction. $)
    ralpr $p |- ( A. x e. { A , B } ph <->
                ( [ A / x ] ph /\ [ B / x ] ph ) ) $=
      ( cpr wral cv wcel wi wal wceq wa wsbc df-ral wo visset elpr imbi1i jaob
      bitr albii 19.26 sbc6 anbi12i bitr4 3bitr ) ABCDGZHBIZUIJZAKZBLUJCMZAKZUJ
      DMZAKZNZBLZABCOZABDOZNZABUIPULUQBULUMUOQZAKUQUKVBAUJCDBRSTUMAUOUAUBUCURUN
      BLZUPBLZNVAUNUPBUDUSVCUTVDABCEUEABDFUEUFUGUH $.
      $( [3-Jun-2007] $) $( [3-Jun-2007] $)

    $( Convert an existential quantification over a pair to a disjunction. $)
    rexpr $p |- ( E. x e. { A , B } ph <->
                ( [ A / x ] ph \/ [ B / x ] ph ) ) $=
      ( wn cpr wral wsbc wa wrex wo ralpr cvv wcel wb sbcng ax-mp anbi12i bitr
      negbii dfrex2 oran 3bitr4 ) AGZBCDHZIZGABCJZGZABDJZGZKZGABUGLUIUKMUHUMUHU
      FBCJZUFBDJZKUMUFBCDEFNUNUJUOULCOPUNUJQEABCORSDOPUOULQFABDORSTUAUBABUGUCUI
      UKUDUE $.
      $( [9-Jun-2007] $) $( [3-Jun-2007] $)
  $}

  $( There is only one element in a singleton.  Exercise 2 of [TakeutiZaring]
     p. 15 (generalized). $)
  elsncg $p |- ( A e. C -> ( A e. { B } <-> A = B ) ) $=
    ( wcel cpr wceq wo csn elprg dfsn2 eqcomi eleq2i oridm 3bitr3g ) ACDABBEZDA
    BFZPGABHZDPABBCIOQAQOBJKLPMN $.
    $( [13-Sep-1995] $)

  ${
    elsnc.1 $e |- A e. V $.
    $( There is only one element in a singleton.  Exercise 2 of [TakeutiZaring]
       p. 15. $)
    elsnc $p |- ( A e. { B } <-> A = B ) $=
      ( cvv wcel csn wceq wb elsncg ax-mp ) ADEABFEABGHCABDIJ $.
      $( [13-Sep-1995] $)
  $}

  $( There is only one element in a singleton. $)
  elsni $p |- ( A e. { B } -> A = B ) $=
    ( csn wcel wceq elsncg ibi ) ABCZDABEABHFG $.
    $( [5-Jun-1994] $)

  $( A set is a member of its singleton.  Part of Theorem 7.6 of [Quine]
     p. 49. $)
  snidg $p |- ( A e. B -> A e. { A } ) $=
    ( wcel csn wceq eqid elsncg mpbiri ) ABCAADCAAEAFAABGH $.
    $( [28-Oct-2003] $) $( [28-Oct-2003] $)

  $( A class is a set iff it is a member of its singleton. $)
  snidb $p |- ( A e. V <-> A e. { A } ) $=
    ( cvv wcel csn snidg elisset impbi ) ABCAADZCABEAHFG $.
    $( [7-Apr-2004] $) $( [5-Apr-2004] $)

  ${
    snid.1 $e |- A e. V $.
    $( A set is a member of its singleton.  Part of Theorem 7.6 of [Quine]
       p. 49. $)
    snid $p |- A e. { A } $=
      ( cvv wcel csn snidb mpbi ) ACDAAEDBAFG $.
      $( [31-Dec-1993] $)
  $}

  $( There is only one element in a singleton.  Exercise 2 of [TakeutiZaring]
     p. 15.  This variation requires only that ` B ` , rather than
     ` A ` , be a set. $)
  elsnc2g $p |- ( B e. C -> ( A e. { B } <-> A = B ) ) $=
    ( wcel csn wceq elsni eleq1 snidg syl5cbir impbid2 ) BCDZABEZDZABFZABGONBMD
    LABMHBCIJK $.
    $( [28-Oct-2003] $) $( [28-Oct-2003] $)

  ${
    elsnc2.1 $e |- B e. V $.
    $( There is only one element in a singleton.  Exercise 2 of [TakeutiZaring]
       p. 15.  This variation requires only that ` B ` , rather than
       ` A ` , be a set. $)
    elsnc2 $p |- ( A e. { B } <-> A = B ) $=
      ( cvv wcel csn wceq wb elsnc2g ax-mp ) BDEABFEABGHCABDIJ $.
      $( [12-Jun-1994] $)
  $}

  ${
    $d y A $.  $d x y $.
    hbsn.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for singletons. $)
    hbsn $p |- ( y e. { A } -> A. x y e. { A } ) $=
      ( csn cpr dfsn2 hbpr hbxfr ) ABCECCFCGABCCDDHI $.
      $( [14-Nov-1995] $)
  $}

  ${
    eltp.1 $e |- A e. V $.
    $( A member of an unordered triple of classes is one of them.  Special
       case of Exercise 1 of [TakeutiZaring] p. 17. $)
    eltp $p |- ( A e. { B , C , D } <-> ( A = B \/ A = C \/ A = D ) ) $=
      ( ctp wcel wceq wo w3o cpr csn cun df-tp eleq2i elun elpr elsnc orbi12i
      3bitr df-3or bitr4 ) ABCDFZGZABHZACHZIZADHZIZUEUFUHJUDABCKZDLZMZGAUJGZAUK
      GZIUIUCULABCDNOAUJUKPUMUGUNUHABCEQADERSTUEUFUHUAUB $.
      $( [8-Apr-1994] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Alternate definition of unordered triple of classes.  Special case of
       Definition 5.3 of [TakeutiZaring] p. 16. $)
    dftp2 $p |- { A , B , C } = { x | ( x = A \/ x = B \/ x = C ) } $=
      ( cv wceq w3o ctp visset eltp abbi2i ) AEZBFLCFLDFGABCDHLBCDAIJK $.
      $( [8-Apr-1994] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Intersection with the singleton of a non-member is disjoint. $)
    disjsn $p |- ( ( A i^i { B } ) = (/) <-> -. B e. A ) $=
      ( vx csn cin c0 wceq wcel wn noel eleq2 mtbiri wa snidg ancli elin
      sylibr nsyl cv wi wal eleq1 biimpcd elsn syl5ib con3d com12 19.21aiv
      disj1 impbi ) ABDZEZFGZBAHZIZUMBULHZUNUMUPBFHBJULFBKLUNUNBUKHZMUPUNUQBANO
      BAUKPQRUOCSZAHZURUKHZIZTZCUAUMUOVBCUSUOVAUSUTUNUSURBGZUNUTVCUSUNURBAUBUCC
      BUDUEUFUGUHCAUKUIQUJ $.
      $( [22-May-1998] $)
  $}

  $( Intersection of distinct singletons is disjoint. $)
  disjsn2 $p |- ( A =/= B -> ( { A } i^i { B } ) = (/) ) $=
    ( wne csn wcel wn cin c0 wceq elsni eqcomd necon3ai disjsn sylibr ) ABCBADZ
    EZFOBDGHIPABPBABAJKLOBMN $.
    $( [2-Jun-2007] $) $( [25-May-1998] $)

  ${
    $d x A $.
    $( The singleton of a proper class (one that doesn't exist) is the empty
       set.  Theorem 7.2 of [Quine] p. 48. $)
    snprc $p |- ( -. A e. V <-> { A } = (/) ) $=
      ( vx csn c0 wceq cvv wcel cv wex wn elsn exbii n0 isset 3bitr4 con1bii )
      ACZDEZAFGZBHZQGZBITAEZBIRJSUAUBBBAKLBQMBANOP $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d x B $.
    r19.12sn.1 $e |- A e. V $.
    $( Special case of ~ r19.12 where its converse holds. $)
    r19.12sn $p |- ( E. x e. { A } A. y e. B ph
                <-> A. y e. B E. x e. { A } ph ) $=
      ( wral cpr wrex wsbc csn wo rexpr oridm cvv wcel wb sbcralg ax-mp 3bitr
      wceq dfsn2 rexeq1 ralbii 3bitr4 ) ACEGZBDDHZIZABDJZCEGZUFBDKZIZABUKIZCEGU
      HUFBDJZUNLUNUJUFBDDFFMUNNDOPUNUJQFABCDEORSTUKUGUAZULUHQDUBZUFBUKUGUCSUMUI
      CEUMABUGIZUIUILUIUOUMUQQUPABUKUGUCSABDDFFMUINTUDUE $.
      $( [19-May-2008] $) $( [19-May-2008] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Condition where a restricted class abstraction is a singleton. $)
    rabsn $p |- ( B e. A -> { x e. A | x = B } = { B } ) $=
      ( wcel cv wceq wa cab crab csn eleq1 pm5.32ri baib abbidv df-rab df-sn
      3eqtr4g ) CBDZAEZBDZSCFZGZAHUAAHUAABICJRUBUAAUBRUAUATRSCBKLMNUAABOACPQ $.
      $( [12-Jul-2006] $) $( [28-May-2006] $)
  $}

  ${
    $d x y z $.  $d y ph $.
    $( Another way to express existential uniqueness of a wff:  its class
       abstraction is a singleton. $)
    eusn $p |- ( E! x ph <-> E. x { x | ph } = { x } ) $=
      ( vy vz cab cv csn wceq wex wb wal weu wcel abeq1 elsn bibi2i albii bitr
      exbii ax-17 hbab1 hbeq sneq eqeq2d cbvex df-eu 3bitr4r ) ABEZCFZGZHZCIABF
      ZUIHZJZBKZCIUHULGZHZBIABLUKUOCUKAULUJMZJZBKUOABUJNUSUNBURUMABUIOPQRSUQUKB
      CUQCTBCDUHUJABCUADFUJMBTUBUMUPUJUHULUIUCUDUEABCUFUG $.
      $( [22-Feb-2004] $) $( [22-Feb-2004] $)
  $}

  $( Commutative law for unordered pairs. $)
  prcom $p |- { A , B } = { B , A } $=
    ( csn cun cpr uncom df-pr 3eqtr4 ) ACZBCZDJIDABEBAEIJFABGBAGH $.
    $( [5-Aug-1993] $)

  $( An equality theorem for unordered pairs. $)
  preq1 $p |- ( A = B -> { A , C } = { B , C } ) $=
    ( wceq csn cun cpr sneq uneq1d df-pr 3eqtr4g ) ABDZAEZCEZFBEZNFACGBCGLMONAB
    HIACJBCJK $.
    $( [29-Mar-1998] $)

  $( An equality theorem for unordered pairs. $)
  preq2 $p |- ( A = B -> { C , A } = { C , B } ) $=
    ( wceq cpr preq1 prcom 3eqtr4g ) ABDACEBCECAECBEABCFCAGCBGH $.
    $( [5-Aug-1993] $)

  ${
    pri1.1 $e |- A e. V $.
    $( One of the two elements of an unordered pair.  Part of Theorem 7.6 of
       [Quine] p. 49. $)
    pri1 $p |- A e. { A , B } $=
      ( cpr wcel wceq wo eqid orci elpr mpbir ) AABDEAAFZABFZGLMAHIAABCJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    pri2.1 $e |- B e. V $.
    $( One of the two elements of an unordered pair.  Part of Theorem 7.6 of
       [Quine] p. 49. $)
    pri2 $p |- B e. { A , B } $=
      ( cpr pri1 prcom eleqtr ) BBADABDBACEBAFG $.
      $( [5-Aug-1993] $)
  $}

  $( A proper class vanishes in an unordered pair. $)
  prprc1 $p |- ( -. A e. V -> { A , B } = { B } ) $=
    ( cvv wcel wn csn c0 wceq cpr snprc cun uneq1 df-pr uncom un0 eqtr2
    3eqtr4g sylbi ) ACDEAFZGHZABIZBFZHAJTSUBKGUBKZUAUBSGUBLABMUCUBGKUBGUBNUBOPQ
    R $.
    $( [5-Aug-1993] $)

  $( A proper class vanishes in an unordered pair. $)
  prprc2 $p |- ( -. B e. V -> { A , B } = { A } ) $=
    ( cvv wcel wn cpr csn prprc1 prcom syl5eq ) BCDEBAFAGABFBAHABIJ $.
    $( [10-Apr-2006] $) $( [22-Mar-2006] $)

  $( An unordered pair containing two proper classes is the empty set. $)
  prprc $p |- ( ( -. A e. V /\ -. B e. V ) -> { A , B } = (/) ) $=
    ( cvv wcel wn cpr csn c0 prprc1 wceq snprc biimp sylan9eq ) ACDEBCDEZABFBGZ
    HABINOHJBKLM $.
    $( [2-May-2006] $) $( [22-Mar-2006] $)

  ${
    tpi1.1 $e |- A e. V $.
    $( One of the three elements of an unordered triple. $)
    tpi1 $p |- A e. { A , B , C } $=
      ( cpr wcel ctp pri1 csn cun elun1 df-tp syl6eleqr ax-mp ) AABEZFZAABCGZFA
      BDHPAOCIZJQAORKABCLMN $.
      $( [7-Apr-1994] $)
  $}

  ${
    tpi2.1 $e |- B e. V $.
    $( One of the three elements of an unordered triple. $)
    tpi2 $p |- B e. { A , B , C } $=
      ( cpr wcel ctp pri2 csn cun elun1 df-tp syl6eleqr ax-mp ) BABEZFZBABCGZFA
      BDHPBOCIZJQBORKABCLMN $.
      $( [7-Apr-1994] $)
  $}

  ${
    tpi3.1 $e |- C e. V $.
    $( One of the three elements of an unordered triple. $)
    tpi3 $p |- C e. { A , B , C } $=
      ( csn wcel ctp snid cpr cun elun2 df-tp syl6eleqr ax-mp ) CCEZFZCABCGZFCD
      HPCABIZOJQCORKABCLMN $.
      $( [7-Apr-1994] $)
  $}

  ${
    snnz.1 $e |- A e. V $.
    $( The singleton of a set is not empty. $)
    snnz $p |- { A } =/= (/) $=
      ( csn wcel c0 wne snid ne0i ax-mp ) AACZDJEFABGJAHI $.
      $( [2-Apr-2007] $) $( [10-Apr-1994] $)
  $}

  ${
    prnz.1 $e |- A e. V $.
    $( A pair containing a set is not empty. $)
    prnz $p |- { A , B } =/= (/) $=
      ( cpr wcel c0 wne pri1 ne0i ax-mp ) AABDZEKFGABCHKAIJ $.
      $( [17-Jan-2007] $) $( [9-Apr-1994] $)
  $}

  ${
    tpnz.1 $e |- A e. V $.
    $( A triplet containing a set is not empty. $)
    tpnz $p |- { A , B , C } =/= (/) $=
      ( ctp wcel c0 wne tpi1 ne0i ax-mp ) AABCEZFLGHABCDILAJK $.
      $( [13-Apr-2007] $) $( [10-Apr-1994] $)
  $}

  ${
    $d A x $.  $d B x $.
    snss.1 $e |- A e. V $.
    $( The singleton of an element of a class is a subset of the class.
       Theorem 7.4 of [Quine] p. 49. $)
    snss $p |- ( A e. B <-> { A } (_ B ) $=
      ( vx cv csn wcel wi wal wceq wss elsn imbi1i albii dfss2 clel2 3bitr4r )
      DEZAFZGZRBGZHZDIRAJZUAHZDISBKABGUBUDDTUCUADALMNDSBODABCPQ $.
      $( [5-Aug-1993] $)
  $}

  $( Membership in a set with an element removed. $)
  eldifsn $p |- ( A e. ( B \ { C } ) <-> ( A e. B /\ A =/= C ) ) $=
    ( csn cdif wcel wn wa wne eldif elsncg necon3bbid pm5.32i bitr ) ABCDZEFABF
    ZAOFZGZHPACIZHABOJPRSPQACACBKLMN $.
    $( [11-Oct-2007] $) $( [10-Oct-2007] $)

  ${
    $d A x $.  $d B x $.
    $( The singleton of an element of a class is a subset of the class.
       Theorem 7.4 of [Quine] p. 49. $)
    snssg $p |- ( A e. C -> ( A e. B <-> { A } (_ B ) ) $=
      ( vx cv wcel csn wss eleq1 wceq sneq sseq1d visset snss vtoclbg ) DEZBFPG
      ZBHABFAGZBHDACPABIPAJQRBPAKLPBDMNO $.
      $( [22-Jul-2001] $)

    $( An element not in a set can be removed without affecting the set. $)
    difsn $p |- ( -. A e. B -> ( B \ { A } ) = B ) $=
      ( vx wcel wn csn cdif wss difss a1i cv wne wa wceq nelneq df-ne sylibr
      expcom ancld eldifsn syl6ibr ssrdv eqssd ) ABDEZBAFZGZBUFBHUDBUEIJUDCBUFU
      DCKZBDZUHUGALZMUGUFDUDUHUIUHUDUIUHUDMUGANEUIUGABOUGAPQRSUGBATUAUBUC $.
      $( [16-Mar-2006] $) $( [16-Mar-2006] $)

    $( Removal of a singleton from an unordered pair. $)
    difprsn $p |- ( { A , B } \ { A } ) (_ { B } $=
      ( vx cpr csn cdif cv wceq wn wa wcel pm3.26 wne wo eldifsn visset elpr
      orcom bitr df-ne anbi12i pm5.61 3bitr elsn 3imtr4 ssriv ) CABDZAEFZBEZCGZ
      BHZUJAHZIZJZUKUJUHKZUJUIKUKUMLUOUJUGKZUJAMZJUKULNZUMJUNUJUGAOUPURUQUMUPUL
      UKNURUJABCPQULUKRSUJATUAUKULUBUCCBUDUEUF $.
      $( [16-Mar-2006] $) $( [16-Mar-2006] $)
  $}

  $( The singleton of an element of a class is a subset of the class. $)
  snssi $p |- ( A e. B -> { A } (_ B ) $=
    ( wcel csn wss snssg ibi ) ABCADBEABBFG $.
    $( [6-Jun-1994] $)

  $( If we remove a single element from a class then put it back in, we end up
     with the original class. $)
  difsnid $p |- ( B e. A -> ( ( A \ { B } ) u. { B } ) = A ) $=
    ( wcel csn cdif cun wss wceq snssi undif sylib uncom syl5eq ) BACZBDZAOEZFZ
    APOFNOAGQAHBAIOAJKPOLM $.
    $( [3-Oct-2006] $) $( [2-Oct-2006] $)

  $( Note that ` x ` is a dummy variable in the proof below. $)
  $( Compute the power set of the empty set.  Theorem 89 of [Suppes] p. 47.
     (The proof was shortened by Eric Schmidt, 4-Apr-2007.) $)
  pw0 $p |- P~ (/) = { (/) } $=
    ( vx c0 cpw cv wceq cab csn wcel wss df-pw abeq2i ss0b bitr abbi2i df-sn
    eqtr4 ) BCZADZBEZAFBGSAQRQHRBIZSTAQABJKRLMNABOP $.
    $( [4-Apr-2007] $) $( [5-Aug-1993] $)

  ${
    $d x y $.
    $( Compute the power set of the power set of the empty set.  (See ~ pw0
       for the power set of the empty set.)  Theorem 90 of [Suppes] p. 48.
       Although this theorem is a special case of ~ pwsn , we have chosen to
       show a direct elementary proof. $)
    pwpw0 $p |- P~ { (/) } = { (/) , { (/) } } $=
      ( vx vy cv c0 csn wss cab wceq wo cpw cpr wn wa wcel wi wal dfss2 elsn
      imbi2i albii bitr wex exintr n0 syl5ib exancom df-clel bitr4 snssi sylbi
      syl6 anc2li eqss syl6ibr orrd 0ss sseq1 mpbiri eqimss jaoi impbi abbii
      df-pw dfpr2 3eqtr4 ) ACZDEZFZAGVFDHZVFVGHZIZAGVGJDVGKVHVKAVHVKVHVIVJVHVIL
      ZVHVGVFFZMVJVHVLVMVHBCZVFNZVNDHZOZBPZVLVMOVHVOVNVGNZOZBPVRBVFVGQVTVQBVSVP
      VOBDRSTUAVRVLVOVPMBUBZVMVRVOBUBWAVLVOVPBUCBVFUDUEWADVFNZVMWAVPVOMBUBWBVOV
      PBUFBDVFUGUHDVFUIUJUKUJULVFVGUMUNUOVIVHVJVIVHDVGFVGUPVFDVGUQURVFVGUSUTVAV
      BAVGVCADVGVDVE $.
      $( [28-Sep-2006] $) $( [7-Aug-1994] $)
  $}

  $( A singleton is a subset of an unordered pair containing its member. $)
  snsspr $p |- { A } (_ { A , B } $=
    ( cvv wcel csn cpr wss wceq wo eqid orci elprg mpbiri snssi syl wn c0
    snprc biimp 0ss a1i eqsstrd pm2.61i ) ACDZAEZABFZGZUDAUFDZUGUDUHAAHZABHZIUI
    UJAJKAABCLMAUFNOUDPZUEQUFUKUEQHARSQUFGUKUFTUAUBUC $.
    $( [29-Aug-2004] $) $( [27-Aug-2004] $)

  ${
    $d A x $.  $d B x $.  $d C x $.
    prss.1 $e |- A e. V $.
    prss.2 $e |- B e. V $.
    $( A pair of elements of a class is a subset of the class.  Theorem 7.5 of
       [Quine] p. 49. $)
    prss $p |- ( ( A e. C /\ B e. C ) <-> { A , B } (_ C ) $=
      ( vx wcel wa cpr wss cv wceq wo eleq1a jaao visset elpr syl5ib ssrdv
      pri1 ssel mpi pri2 jca impbi ) ACGZBCGZHZABIZCJZUHFUICUHFKZALZUKBLZMUKCGZ
      UKUIGUFULUNUGUMACUKNBCUKNOUKABFPQRSUJUFUGUJAUIGUFABDTUICAUAUBUJBUIGUGABEU
      CUICBUAUBUDUE $.
      $( [30-May-1994] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.
    $( A pair of elements of a class is a subset of the class.  Theorem 7.5 of
       [Quine] p. 49. $)
    prssg $p |- ( ( A e. R /\ B e. S ) ->
                ( ( A e. C /\ B e. C ) <-> { A , B } (_ C ) ) $=
      ( vx vy cv wcel wa cpr wss wb wceq eleq1 anbi1d preq1 sseq1d bibi12d
      anbi2d preq2 visset prss vtocl2g ) FHZCIZGHZCIZJZUEUGKZCLZMACIZUHJZAUGKZC
      LZMULBCIZJZABKZCLZMFGABDEUEANZUIUMUKUOUTUFULUHUEACOPUTUJUNCUEAUGQRSUGBNZU
      MUQUOUSVAUHUPULUGBCOTVAUNURCUGBAUARSUEUGCFUBGUBUCUD $.
      $( [27-Mar-2006] $) $( [22-Mar-2006] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The subsets of a singleton. $)
    sssn $p |- ( A (_ { B } <-> ( A = (/) \/ A = { B } ) ) $=
      ( vx csn wss c0 wceq wo wn wa wcel cv wex wb ssel elsni syl6 eleq1 ibd
      19.23adv n0 syl5ib snssi anc2li eqss syl6ibr orrd 0ss sseq1 mpbiri
      eqimss jaoi impbi ) ABDZEZAFGZAUNGZHUOUPUQUOUPIZUOUNAEZJUQUOURUSUOURBAKZU
      SUOCLZAKZCMUTURUOVBUTCUOVBUTUOVBVABGZVBUTNUOVBVAUNKVCAUNVAOVABPQVABARQSTC
      AUAUBBAUCQUDAUNUEUFUGUPUOUQUPUOFUNEUNUHAFUNUIUJAUNUKULUM $.
      $( [14-May-2004] $) $( [24-Apr-2004] $)

    $( Two ways to express that a nonempty set equals a singleton. $)
    eqsn $p |- ( A =/= (/) -> ( A = { B } <-> A. x e. A x = B ) ) $=
      ( c0 wne csn wceq wss cv wral eqimss wn wo sssn biimp ord df-ne syl5ib
      com12 impbid2 wcel dfss3 elsn ralbii bitr syl6bb ) BDEZBCFZGZBUHHZAIZCGZA
      BJZUGUIUJBUHKUJUGUIUJBDGZLUIUGUJUNUIUJUNUIMBCNOPBDQRSTUJUKUHUAZABJUMABUHU
      BUOULABACUCUDUEUF $.
      $( [15-Dec-2007] $) $( [15-Dec-2007] $)
  $}

  ${
    $( The subsets of a pair. $)
    sspr $p |- ( A (_ { B , C } <->
     ( ( A = (/) \/ A = { B } ) \/ ( A = { C } \/ A = { B , C } ) ) ) $=
      ( cpr wss c0 wceq csn wo wn wa simpll wcel prssg ibi cdif difsn adantl
      ssdif difprsn a1i sstrd adantr eqsstr3d ex sssn syl6ib con1d imp pm2.45
      anim1i ioran sylibr sylan2 anassrs prcom sseq2i sylbi sylanc eqssd orrd
      0ss sseq1 mpbiri snsspr jaoi syl6ss eqimss impbi ) ABCDZEZAFGZABHZGZIZACH
      ZGZAVJGZIZIVKVOVSVKVOJZVSVKVTKZVQVRWAVQJZVRWAWBKZAVJVKVTWBLBAMZCAMZVJAEZW
      CWDWEKWFBCAAANOVKVTWBWDVKVLVQIZJZWDVTWBKZVKWHWDVKWDWGVKWDJZAVPEZWGVKWJWKV
      KWJKAAVMPZVPWJWLAGVKBAQRVKWLVPEWJVKWLVJVMPZVPAVJVMSWMVPEVKBCTUAUBUCUDUEAC
      UFUGUHUIWIVLJZWBKWHVTWNWBVLVNUJUKVLVQULUMUNUOWAWEWBVKVTWEVKWEVOVKWEJZAVME
      ZVOVKWOWPVKWOKZAAVPPZVMWOWRAGVKCAQRWQWRCBDZVPPZVMVKWRWTEZWOVKAWSEZXAVJWSA
      BCUPUQAWSVPSURUCWTVMEWQCBTUAUBUDUEABUFUGUHUIUCUSUTUEVAUEVAVOVKVSVLVKVNVLV
      KFVJEVJVBAFVJVCVDVNVKVMVJEBCVEAVMVJVCVDVFVQVKVRVQAWSVJVQXBVPWSECBVEAVPWSV
      CVDCBUPVGAVJVHVFVFVI $.
      $( [28-Mar-2006] $) $( [16-Mar-2006] $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.  $d D x $.
    tpss.1 $e |- A e. V $.
    tpss.2 $e |- B e. V $.
    tpss.3 $e |- C e. V $.
    $( A triplet of elements of a class is a subset of the class. $)
    tpss $p |- ( ( A e. D /\ B e. D /\ C e. D ) <-> { A , B , C } (_ D ) $=
      ( vx wcel w3a ctp wss cv wceq w3o wi 3jao eleq1a syl3an visset eltp
      syl5ib ssrdv tpi1 ssel mpi tpi2 tpi3 3jca impbi ) ADIZBDIZCDIZJZABCKZDLZU
      NHUODUNHMZANZUQBNZUQCNZOZUQDIZUQUOIURVBPUSVBPUTVBPVAVBPUKULUMURVBUSUTQADU
      QRBDUQRCDUQRSUQABCHTUAUBUCUPUKULUMUPAUOIUKABCEUDUODAUEUFUPBUOIULABCFUGUOD
      BUEUFUPCUOIUMABCGUHUODCUEUFUIUJ $.
      $( [9-Apr-1994] $)
  $}

  ${
    sneqr.1 $e |- A e. V $.
    $( If the singletons of two sets are equal, the two sets are equal.
       Part of Exercise 4 of [TakeutiZaring] p. 15. $)
    sneqr $p |- ( { A } = { B } -> A = B ) $=
      ( csn wceq wcel snid eleq2 mpbii elsnc sylib ) ADZBDZEZAMFZABENALFOACGLMA
      HIABCJK $.
      $( [27-Aug-1993] $)

    $( If a singleton is a subset of another, their members are equal. $)
    snsssn $p |- ( { A } (_ { B } -> A = B ) $=
      ( csn wss c0 wceq wo sssn wne wn snnz df-ne mpbi pm2.21i sneqr jaoi
      sylbi ) ADZBDZESFGZSTGZHABGZSBIUAUCUBUAUCSFJUAKACLSFMNOABCPQR $.
      $( [29-May-2006] $) $( [28-May-2006] $)
  $}

  ${
    $d x A $.
    $( The singleton of a class is a subset of its power class. $)
    snsspw $p |- { A } (_ P~ A $=
      ( vx csn cpw cv wceq wss wcel eqimss elsn df-pw abeq2i 3imtr4 ssriv ) BAC
      ZADZBEZAFQAGZQOHQPHQAIBAJRBPBAKLMN $.
      $( [5-Aug-1993] $)
  $}


  ${
    $d x A $.  $d x B $.  $d x C $.
    prsspw.1 $e |- A e. V $.
    prsspw.2 $e |- B e. V $.
    $( An unordered pair belongs to the power class of a class iff each member
       belongs to the class. $)
    prsspw $p |- ( { A , B } (_ P~ C <-> ( A (_ C /\ B (_ C ) ) $=
      ( vx cpr cpw wss cv wcel wi wal wceq wa dfss2 wo visset elpr elpw
      imbi12i jaob bitr albii 19.26 sseq1 ceqsalv anbi12i 3bitr ) ABGZCHZIFJZUJ
      KZULUKKZLZFMULANZULCIZLZULBNZUQLZOZFMZACIZBCIZOZFUJUKPUOVAFUOUPUSQZUQLVAU
      MVFUNUQULABFRZSULCVGTUAUPUQUSUBUCUDVBURFMZUTFMZOVEURUTFUEVHVCVIVDUQVCFADU
      LACUFUGUQVDFBEULBCUFUGUHUCUI $.
      $( [10-Dec-2003] $) $( [10-Dec-2003] $)
  $}

  ${
    preqr1.1 $e |- A e. V $.
    preqr1.2 $e |- B e. V $.
    $( Reverse equality lemma for unordered pairs.  If two unordered pairs
       have the same second element, the first elements are equal. $)
    preqr1 $p |- ( { A , C } = { B , C } -> A = B ) $=
      ( cpr wceq wcel wo pri1 eleq2 mpbii elpr sylib mpbiri eqcom eqeq2 oplem1
      ) ACFZBCFZGZABGZACGZBAGZBCGZUAATHZUBUCIUAASHUFACDJSTAKLABCDMNUABSHZUDUEIU
      AUGBTHBCEJSTBKOBACEMNABPACBQR $.
      $( [18-Oct-1995] $)
  $}

  ${
    preqr2.1 $e |- A e. V $.
    preqr2.2 $e |- B e. V $.
    $( Reverse equality lemma for unordered pairs.  If two unordered pairs have
       the same first element, the second elements are equal. $)
    preqr2 $p |- ( { C , A } = { C , B } -> A = B ) $=
      ( cpr wceq prcom eqeq12i preqr1 sylbi ) CAFZCBFZGACFZBCFZGABGLNMOCAHCBHIA
      BCDEJK $.
      $( [5-Aug-1993] $)
  $}

  ${
    preq12b.1 $e |- A e. V $.
    preq12b.2 $e |- B e. V $.
    preq12b.3 $e |- C e. V $.
    preq12b.4 $e |- D e. V $.
    $( Equality relationship for two unordered pairs. $)
    preq12b $p |- ( { A , B } = { C , D } <->
                   ( ( A = C /\ B = D ) \/ ( A = D /\ B = C ) ) ) $=
      ( cpr wceq wa wo wcel pri1 eleq2 mpbii elpr sylib preq1 eqeq1d preqr2
      syl6bi com12 ancld wi prcom eqeq2i sylbi orim12d mpd preq2 sylan9eq
      syl6eq jaoi impbi ) ABIZCDIZJZACJZBDJZKZADJZBCJZKZLZURUSVBLZVEURAUQMZVFUR
      AUPMVGABENUPUQAOPACDEQRURUSVAVBVDURUSUTUSURUTUSURCBIZUQJUTUSUPVHUQACBSZTB
      DCFHUAUBUCUDURVBVCURUPDCIZJZVBVCUEUQVJUPCDUFUGVBVKVCVBVKDBIZVJJVCVBUPVLVJ
      ADBSZTBCDFGUAUBUCUHUDUIUJVAURVDUSUTUPVHUQVIBDCUKULVBVCUPBDIZUQVBUPVLVNVMD
      BUFUMBCDSULUNUO $.
      $( [17-Oct-1996] $)

    $( Equality of two unordered pairs. $)
    prel12 $p |- ( -. A = B -> ( { A , B } = { C , D } <->
                   ( A e. { C , D } /\ B e. { C , D } ) ) ) $=
      ( wceq wn cpr wcel wa pri1 eleq2 mpbii pri2 jca wo wi eqeq2 negbid orel2
      syl6bi com3l imp ancrd orel1 orim12d elpr orcom bitr preq12b 3imtr4g ex
      syl5ib imp3a impbid2 ) ABIZJZABKZCDKZIZAVBLZBVBLZMVCVDVEVCAVALVDABENVAVBA
      OPVCBVALVEABFQVAVBBOPRUTVDVEVCUTACIZADIZSZVEVCTZVDUTVHVIUTVHMZBDIZBCIZSZV
      FVKMZVGVLMZSVEVCVJVKVNVLVOVJVKVFUTVHVKVFTVKUTVHVFVKUTVGJVHVFTVKUSVGBDAUAU
      BVGVFUCUDUEUFUGVJVLVGUTVHVLVGTVLUTVHVGVLUTVFJVHVGTVLUSVFBCAUAUBVFVGUHUDUE
      UFUGUIVEVLVKSVMBCDFUJVLVKUKULABCDEFGHUMUNUOACDEUJUPUQUR $.
      $( [17-Oct-1996] $)

    $( A way to represent ordered pairs using unordered pairs with distinct
       members. $)
    opthpr $p |- ( A =/= D ->
                 ( { A , B } = { C , D } <-> ( A = C /\ B = D ) ) ) $=
      ( wne wceq wa wo cpr idd wn wi df-ne pm2.21 sylbi imp3a jaod orc impbid1
      preq12b syl5bb ) ADIZACJBDJKZADJZBCJZKZLZUGABMCDMJUFUKUGUFUGUGUJUFUGNUFUH
      UIUGUFUHOUHUIUGPZPADQUHULRSTUAUGUJUBUCABCDEFGHUDUE $.
      $( [30-Mar-2007] $) $( [27-Mar-2007] $)
  $}

  ${
    preqsn.1 $e |- A e. V $.
    preqsn.2 $e |- B e. V $.
    preqsn.3 $e |- C e. V $.
    $( Equivalence for a pair equal to a singleton. $)
    preqsn $p |- ( { A , B } = { C } <-> ( A = B /\ B = C ) ) $=
      ( cpr csn wceq wa wo dfsn2 eqeq2i preq12b oridm eqtr3t pm3.27 jca eqtrt
      impbi bitr 3bitr ) ABGZCHZIUCCCGZIACIZBCIZJZUHKZABIZUGJZUDUEUCCLMABCCDEFF
      NUIUHUKUHOUHUKUHUJUGABCPUFUGQRUKUFUGABCSUJUGQRTUAUB $.
      $( [4-Jun-2008] $) $( [3-Jun-2008] $)
  $}

  $( Equality theorem for ordered pairs. $)
  opeq1 $p |- ( A = B -> <. A , C >. = <. B , C >. ) $=
    ( wceq csn cpr cop preq1 preq2 syl sneq eqtrd df-op 3eqtr4g ) ABDZAEZACFZFZ
    BEZBCFZFZACGBCGORPTFZUAOQTDRUBDABCHQTPIJOPSDUBUADABKPSTHJLACMBCMN $.
    $( [25-Jun-1998] $)

  $( Equality theorem for ordered pairs. $)
  opeq2 $p |- ( A = B -> <. C , A >. = <. C , B >. ) $=
    ( wceq csn cpr cop preq2 syl df-op 3eqtr4g ) ABDZCEZCAFZFZMCBFZFZCAGCBGLNPD
    OQDABCHNPMHICAJCBJK $.
    $( [25-Jun-1998] $)

  $( Equality theorem for ordered pairs. $)
  opeq12 $p |- ( ( A = C /\ B = D ) -> <. A , B >. = <. C , D >. ) $=
    ( wceq cop opeq1 opeq2 sylan9eq ) ACEBDEABFCBFCDFACBGBDCHI $.
    $( [28-May-1995] $)

  ${
    opeq1i.1 $e |- A = B $.
    $( Equality inference for ordered pairs. $)
    opeq1i $p |- <. A , C >. = <. B , C >. $=
      ( wceq cop opeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [16-Dec-2006] $) $( [16-Dec-2006] $)

    $( Equality inference for ordered pairs. $)
    opeq2i $p |- <. C , A >. = <. C , B >. $=
      ( wceq cop opeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [16-Dec-2006] $) $( [16-Dec-2006] $)

    ${
      opeq12i.2 $e |- C = D $.
      $( Equality inference for ordered pairs.  (The proof was shortened by
         Eric Schmidt, 4-Apr-2007.) $)
      opeq12i $p |- <. A , C >. = <. B , D >. $=
        ( wceq cop opeq12 mp2an ) ABGCDGACHBDHGEFACBDIJ $.
        $( [4-Apr-2007] $) $( [16-Dec-2006] $)
    $}
  $}

  ${
    opeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for ordered pairs. $)
    opeq1d $p |- ( ph -> <. A , C >. = <. B , C >. ) $=
      ( wceq cop opeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [17-Dec-2006] $) $( [16-Dec-2006] $)

    $( Equality deduction for ordered pairs. $)
    opeq2d $p |- ( ph -> <. C , A >. = <. C , B >. ) $=
      ( wceq cop opeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [17-Dec-2006] $) $( [16-Dec-2006] $)

    ${
      opeq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for ordered pairs. $)
      opeq12d $p |- ( ph -> <. A , C >. = <. B , D >. ) $=
        ( cop opeq1d opeq2d eqtrd ) ABDHCDHCEHABCDFIADECGJK $.
        $( [21-Dec-2006] $) $( [16-Dec-2006] $)
    $}
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    hbop.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbop.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for ordered pairs. $)
    hbop $p |- ( y e. <. A , B >. -> A. x y e. <. A , B >. ) $=
      ( cop csn cpr df-op hbsn hbpr hbxfr ) ABCDGCHZCDIZICDJABNOABCEKABCDEFLLM
      $.
      $( [14-Nov-1995] $)
  $}

  ${
    $d y z B $.  $d y z A $.  $d y ph $.  $d x y z $.
    hbopd.1 $e |- ( ph -> A. x ph ) $.
    hbopd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbopd.3 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbop . $)
    hbopd $p |- ( ph -> ( y e. <. A , B >. -> A. x y e. <. A , B >. ) ) $=
      ( vz cv wcel wal cab cop wi hba1 hbab hbop a1i wceq 19.21aiv abidhb syl
      opeq1d opeq2d eqtrd eleq2d albid 3imtr3d ) ACJZIJZDKZBLZIMZUKEKZBLZIMZNZK
      ZUSBLZUJDENZKZVBBLUSUTOABCUNUQUMBICULBPQUPBICUOBPQRSAURVAUJAURDUQNVAAUNDU
      QAUJDKZVCBLOZCLUNDTAVDCGUABCIDUBUCUDAUQEDAUJEKZVEBLOZCLUQETAVFCHUABCIEUBU
      CUEUFUGZAUSVBBFVGUHUI $.
      $( [4-Feb-2008] $) $( [4-Feb-2008] $)
  $}

  $( Expansion of an ordered pair when the first member is a proper class.
     See also ~ opprc1b , ~ opprc2 , ~ opprc3 . $)
  opprc1 $p |- ( -. A e. V -> <. A , B >. = { (/) , { B } } ) $=
    ( cvv wcel wn csn cpr c0 cop wceq snprc preq1 sylbi prprc1 preq2 syl eqtrd
    df-op syl5eq ) ACDEZAFZABGZGZHBFZGZABITUCHUBGZUETUAHJUCUFJAKUAHUBLMTUBUDJUF
    UEJABNUBUDHOPQABRS $.
    $( [12-Apr-2004] $) $( [10-Apr-2004] $)

  $( A property of an ordered pair of proper classes (due to our
     particular definition of ordered pair). $)
  opprc2 $p |- ( -. B e. V -> <. A , B >. = <. A , A >. ) $=
    ( cvv wcel wn csn cpr cop wceq prprc1 prcom dfsn2 3eqtr3g preq2 syl df-op
    3eqtr4g ) BCDEZAFZABGZGZSAAGZGZABHAAHRTUBIUAUCIRBAGSTUBBAJBAKALMTUBSNOABPAA
    PQ $.
    $( [15-Nov-1994] $)

  ${
    $d x A $.
    $( The power set of a singleton. $)
    pwsn $p |- P~ { A } = { (/) , { A } } $=
      ( vx cv csn wss cab c0 wceq wo cpw cpr sssn abbii df-pw dfpr2 3eqtr4 ) BC
      ZADZEZBFQGHQRHIZBFRJGRKSTBQALMBRNBGROP $.
      $( [5-Jun-2006] $) $( [5-Jun-2006] $)

    $d x y $.  $d y A $.
    $( MAY BE REVISED - should we keep this? $)
    $( The power set of a singleton (direct proof). $)
    pwsnALT $p |- P~ { A } = { (/) , { A } } $=
      ( vx vy cv csn wss cab c0 wceq wo cpw cpr wn wa wcel wi wal dfss2 elsn
      imbi2i albii bitr wex exintr n0 syl5ib df-clel exancom bitr2 snssi sylbi
      syl6 anc2li eqss syl6ibr orrd 0ss sseq1 mpbiri eqimss jaoi impbi abbii
      df-pw dfpr2 3eqtr4 ) BDZAEZFZBGVGHIZVGVHIZJZBGVHKHVHLVIVLBVIVLVIVJVKVIVJM
      ZVIVHVGFZNVKVIVMVNVICDZVGOZVOAIZPZCQZVMVNPVIVPVOVHOZPZCQVSCVGVHRWAVRCVTVQ
      VPCASTUAUBVSVMVPVQNCUCZVNVSVPCUCWBVMVPVQCUDCVGUEUFWBAVGOZVNWCVQVPNCUCWBCA
      VGUGVQVPCUHUIAVGUJUKULUKUMVGVHUNUOUPVJVIVKVJVIHVHFVHUQVGHVHURUSVGVHUTVAVB
      VCBVHVDBHVHVEVF $.
      $( [8-Aug-2008] $) $( [5-Jun-2006] $)
  $}

  ${

    $( The power class of the universe is the universe.  Exercise 4.12(d) of
       [Mendelson] p. 235. $)
    pwv $p |- P~ V = V $=
      ( vx cvv cpw cv wcel wss ssv visset elpw mpbir 2th eqriv ) ABCZBADZMEZNBE
      ONBFNGNBAHZIJPKL $.
      $( [14-Sep-2003] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                       The union of a class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare class union symbol. $)
  $c U. $. $( Big cup $)

  $( Extend class notation to include the union of a class (read:  'union
     ` A ` ') $)
  cuni $a class U. A $.

  ${
    $d x y A $.
    $( Define the union of a class i.e. the collection of all members of the
       members of the class.  Definition 5.5 of [TakeutiZaring] p. 16. $)
    df-uni $a |- U. A = { x | E. y ( x e. y /\ y e. A ) } $.
  $}

  ${
    $d x y A $.
    $( Alternate definition of class union. $)
    dfuni2 $p |- U. A = { x | E. y e. A  x e. y } $=
      ( cuni cv wcel wa wex cab wrex df-uni exancom df-rex bitr4 abbii eqtr )
      CDAEBEZFZQCFZGBHZAIRBCJZAIABCKTUAATSRGBHUARSBLRBCMNOP $.
      $( [28-Jun-1998] $)
  $}

  ${
    $d x A y $.  $d x B y $.
    $( Membership in class union. $)
    eluni $p |- ( A e. U. B <-> E. x ( A e. x /\ x e. B ) ) $=
      ( vy cuni wcel cvv cv wa wex elisset adantr 19.23aiv wceq eleq1 anbi1d
      exbidv df-uni elab2g pm5.21nii ) BCEZFBGFZBAHZFZUCCFZIZAJZBUAKUFUBAUDUBUE
      BUCKLMDHZUCFZUEIZAJUGDBUAGUHBNZUJUFAUKUIUDUEUHBUCOPQDACRST $.
      $( [22-May-1994] $)

    $( Membership in class union.  Restricted quantifier version. $)
    eluni2 $p |- ( A e. U. B <-> E. x e. B A e. x ) $=
      ( cv wcel wa wex cuni wrex exancom eluni df-rex 3bitr4 ) BADZEZNCEZFAGPOF
      AGBCHEOACIOPAJABCKOACLM $.
      $( [31-Aug-1999] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership in class union. $)
    elunii $p |- ( ( A e. B /\ B e. C ) -> A e. U. C ) $=
      ( vx wcel wa cv wex cuni wceq eleq2 eleq1 anbi12d cla4egv anabsi7 eluni
      sylibr ) ABEZBCEZFZADGZEZUACEZFZDHZACIERSUEUDTDBCUABJUBRUCSUABAKUABCLMNOD
      ACPQ $.
      $( [24-Mar-1995] $)
  $}

  ${
    $d y z A $.  $d x y z $.
    hbuni.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for union. $)
    hbuni $p |- ( y e. U. A -> A. x y e. U. A ) $=
      ( vz cv wcel wa wex wal cuni ax-17 hbel hban hbex eluni albii 3imtr4 ) BF
      ZEFZGZTCGZHZEIZUDAJSCKGZUEAJUCAEUAUBAUAALZABBTCUFDMNOESCPZUEUDAUGQR $.
      $( [30-Dec-1996] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality theorem for class union.  Exercise 15 of [TakeutiZaring]
       p. 18. $)
    unieq $p |- ( A = B -> U. A = U. B ) $=
      ( vx vy wceq cv wcel wa wex cab cuni eleq2 anbi2d exbidv abbidv df-uni
      3eqtr4g ) ABEZCFDFZGZSAGZHZDIZCJTSBGZHZDIZCJAKBKRUCUFCRUBUEDRUAUDTABSLMNO
      CDAPCDBPQ $.
      $( [10-Aug-1993] $)
  $}

  ${
    unieqi.1 $e |- A = B $.
    $( Inference of equality of two class unions. $)
    unieqi $p |- U. A = U. B $=
      ( wceq cuni unieq ax-mp ) ABDAEBEDCABFG $.
      $( [30-Aug-1993] $)
  $}

  ${
    unieqd.1 $e |- ( ph -> A = B ) $.
    $( Deduction of equality of two class unions. $)
    unieqd $p |- ( ph -> U. A = U. B ) $=
      ( wceq cuni unieq syl ) ABCEBFCFEDBCGH $.
      $( [21-Apr-1995] $)
  $}

  ${
    $d x A y $.  $d ph y $.
    $( Membership in union of a class abstraction. $)
    eluniab $p |- ( A e. U. { x | ph } <-> E. x ( A e. x /\ ph ) ) $=
      ( vy cab cuni wcel cv wa wex eluni ax-17 hbab1 hban wceq eleq2 eleq1
      anbi12d abid anbi2i syl6bb cbvex bitr ) CABEZFGCDHZGZUEUDGZIZDJCBHZGZAIZB
      JDCUDKUHUKDBUFUGBUFBLABDMNUKDLUEUIOZUHUJUIUDGZIUKULUFUJUGUMUEUICPUEUIUDQR
      UMAUJABSTUAUBUC $.
      $( [11-Aug-1994] $)

    $( Membership in union of a class abstraction. $)
    elunirab $p |- ( A e. U. { x e. B | ph } <->
                   E. x e. B ( A e. x /\ ph ) ) $=
      ( cv wcel wa cab cuni wex crab wrex eluniab df-rab unieqi eleq2i df-rex
      an12 exbii bitr 3bitr4 ) CBEZDFZAGZBHZIZFCUBFZUDGZBJZCABDKZIZFUGAGZBDLZUD
      BCMUKUFCUJUEABDNOPUMUCULGZBJUIULBDQUNUHBUCUGARSTUA $.
      $( [7-Oct-2006] $) $( [4-Oct-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    unipr.1 $e |- A e. V $.
    unipr.2 $e |- B e. V $.
    $( The union of a pair is the union of its members.  Proposition 5.7 of
       [TakeutiZaring] p. 16. $)
    unipr $p |- U. { A , B } = ( A u. B ) $=
      ( vx vy cv wcel wo cab cpr wa wex cun cuni wceq 19.43 visset elpr anbi2i
      andi bitr exbii clel3 exancom orbi12i 3bitr4r abbii df-un df-uni 3eqtr4r
      ) EGZAHZULBHZIZEJULFGZHZUPABKZHZLZFMZEJABNUROUOVAEUQUPAPZLZUQUPBPZLZIZFMV
      CFMZVEFMZIVAUOVCVEFQUTVFFUTUQVBVDIZLVFUSVIUQUPABFRSTUQVBVDUAUBUCUMVGUNVHU
      MVBUQLFMVGFULACUDVBUQFUEUBUNVDUQLFMVHFULBDUDVDUQFUEUBUFUGUHEABUIEFURUJUK
      $.
      $( [23-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( The union of a pair is the union of its members.  Proposition 5.7 of
       [TakeutiZaring] p. 16. $)
    uniprg $p |- ( ( A e. C /\ B e. D ) -> U. { A , B } = ( A u. B ) ) $=
      ( vx vy cv cpr cuni cun wceq preq1 unieqd uneq1 eqeq12d preq2 uneq2
      visset unipr vtocl2g ) EGZFGZHZIZUAUBJZKAUBHZIZAUBJZKABHZIZABJZKEFABCDUAA
      KZUDUGUEUHULUCUFUAAUBLMUAAUBNOUBBKZUGUJUHUKUMUFUIUBBAPMUBBAQOUAUBERFRST
      $.
      $( [26-Aug-2006] $) $( [25-Aug-2006] $)
  $}

  ${
    unisn.1 $e |- A e. V $.
    $( A set equals the union of its singleton.  Theorem 8.2 of [Quine]
       p. 53. $)
    unisn $p |- U. { A } = A $=
      ( csn cuni cpr cun dfsn2 unieqi unipr unidm 3eqtr ) ACZDAAEZDAAFALMAGHAAB
      BIAJK $.
      $( [30-Aug-1993] $)
  $}

  ${
    $d x A $.
    $( A set equals the union of its singleton.  Theorem 8.2 of [Quine]
       p. 53. $)
    unisng $p |- ( A e. B -> U. { A } = A ) $=
      ( vx cv csn cuni wceq sneq unieqd id eqeq12d visset unisn vtoclg ) CDZEZF
      ZOGAEZFZAGCABOAGZQSOATPROAHITJKOCLMN $.
      $( [13-Aug-2002] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The class union of the union of two classes.  Theorem 8.3 of
       [Quine] p. 53. $)
    uniun $p |- U. ( A u. B ) = ( U. A u. U. B ) $=
      ( vx vy cun cuni cv wcel wa wex wo 19.43 elun anbi2i andi bitr exbii
      eluni orbi12i 3bitr4 eqriv ) CABEZFZAFZBFZEZCGZDGZHZUHUBHZIZDJZUGUDHZUGUE
      HZKZUGUCHUGUFHUIUHAHZIZUIUHBHZIZKZDJUQDJZUSDJZKULUOUQUSDLUKUTDUKUIUPURKZI
      UTUJVCUIUHABMNUIUPUROPQUMVAUNVBDUGARDUGBRSTDUGUBRUGUDUEMTUA $.
      $( [20-Aug-1993] $)

    $( The class union of the intersection of two classes.  Exercise 4.12(n)
       of [Mendelson] p. 235. $)
    uniin $p |- U. ( A i^i B ) (_ ( U. A i^i U. B ) $=
      ( vx vy cin cuni cv wcel wa wex 19.40 eluni elin anbi2i anandi bitr
      exbii anbi12i 3imtr4 ssriv ) CABEZFZAFZBFZEZCGZDGZHZUGAHZIZUHUGBHZIZIZDJZ
      UJDJZULDJZIZUFUBHZUFUEHZUJULDKURUHUGUAHZIZDJUNDUFUALVAUMDVAUHUIUKIZIUMUTV
      BUHUGABMNUHUIUKOPQPUSUFUCHZUFUDHZIUQUFUCUDMVCUOVDUPDUFALDUFBLRPST $.
      $( [4-Dec-2003] $) $( [4-Dec-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Subclass relationship for class union.  Theorem 61 of [Suppes] p. 39. $)
    uniss $p |- ( A (_ B -> U. A (_ U. B ) $=
      ( vx vy wss cv wcel wa wex cab cuni wi wal ssel anim2d 19.22dv 19.21aiv
      ss2ab sylibr df-uni 3sstr4g ) ABEZCFDFZGZUCAGZHZDIZCJZUDUCBGZHZDIZCJZAKBK
      UBUGUKLZCMUHULEUBUMCUBUFUJDUBUEUIUDABUCNOPQUGUKCRSCDATCDBTUA $.
      $( [22-Mar-1998] $)

    $( Subclass relationship for class union. $)
    ssuni $p |- ( ( A (_ B /\ B e. C ) -> A (_ U. C ) $=
      ( vx vy wcel wss cuni cv wi wceq sseq2 imbi1d wal wa wex 19.8a expcom
      eluni syl6ibr imim2d 19.20dv dfss2 3imtr4g vtoclga impcom ) BCFABGZACHZGZ
      ADIZGZUIJUGUIJDBCUJBKUKUGUIUJBALMUJCFZEIZAFZUMUJFZJZENUNUMUHFZJZENUKUIULU
      PUREULUOUQUNULUOUOULOZDPZUQUOULUTUSDQRDUMCSTUAUBEAUJUCEAUHUCUDUEUF $.
      $( [24-May-1994] $)
  $}

  ${
    $d x y A $.
    $( The union of a set is empty iff the set is included in the singleton of
       the empty set. $)
    uni0b $p |- ( U. A = (/) <-> A (_ { (/) } ) $=
      ( vx vy cv c0 csn wcel wral wceq wss cuni elsn ralbii dfss3 wn wex wrex
      n0 rexcom4 rexbii eluni2 exbii 3bitr4r rexnal 3bitr con4bii ) BDZEFZGZBAH
      UGEIZBAHZAUHJAKZEIZUIUJBABELMBAUHNUMUKUMOCDZULGZCPZUJOZBAQZUKOCULRUNUGGZC
      PZBAQUSBAQZCPURUPUSBCASUQUTBACUGRTUOVACBUNAUAUBUCUJBAUDUEUFUC $.
      $( [13-Sep-2004] $) $( [12-Sep-2004] $)

    $( The union of a set is empty iff all of its members are empty. $)
    uni0c $p |- ( U. A = (/) <-> A. x e. A x = (/) ) $=
      ( cuni c0 wceq csn wss cv wcel wral uni0b dfss3 elsn ralbii 3bitr ) BCDEB
      DFZGAHZPIZABJQDEZABJBKABPLRSABADMNO $.
      $( [15-Nov-2006] $) $( [16-Aug-2006] $)
  $}

  $( The union of the empty set is the empty set.  Theorem 8.7 of [Quine]
     p. 54.  (Reproved without relying on ~ ax-nul by Eric Schmidt,
     4-Apr-2007.) $)
  uni0 $p |- U. (/) = (/) $=
    ( c0 cuni wceq csn wss 0ss uni0b mpbir ) ABACAADZEIFAGH $.
    $( [4-Apr-2007] $) $( [16-Sep-1993] $)

  $( An element of a class is a subclass of its union.  Theorem 8.6 of [Quine]
     p. 54.  Also the basis for Proposition 7.20 of [TakeutiZaring] p. 40. $)
  elssuni $p |- ( A e. B -> A (_ U. B ) $=
    ( wss wcel cuni ssid ssuni mpan ) AACABDABECAFAABGH $.
    $( [6-Jun-1994] $)

  $( Condition turning a subclass relationship for union into an equality. $)
  unissel $p |- ( ( U. A (_ B /\ B e. A ) -> U. A = B ) $=
    ( cuni wss wcel wa pm3.26 elssuni adantl eqssd ) ACZBDZBAEZFKBLMGMBKDLBAHIJ
    $.
    $( [28-Jul-2006] $) $( [18-Jul-2006] $)

  ${
    $d x y A $.  $d x y B $.
    $( Relationship involving membership, subset, and union.  Exercise 5
       of [Enderton] p. 26 and its converse. $)
    unissb $p |- ( U. A (_ B <-> A. x e. A x (_ B ) $=
      ( vy cuni wss cv wcel wi wal wral wa dfss2 wex eluni imbi1i 19.23v bitr4
      albii alcom 19.21v impexp bi2.04 bitr imbi2i 3bitr4 3bitr df-ral ) BEZCFZ
      AGZBHZUKCFZIZAJZUMABKUJDGZUIHZUPCHZIZDJUPUKHZULLZURIZAJZDJZUODUICMUSVCDUS
      VAANZURIVCUQVEURAUPBOPVAURAQRSVDVBDJZAJUOVBDATVFUNAULUTURIZIZDJULVGDJZIVF
      UNULVGDUAVBVHDVBUTULURIIVHUTULURUBUTULURUCUDSUMVIULDUKCMUEUFSUDUGUMABUHR
      $.
      $( [20-Sep-2003] $)
  $}

  ${
    $d x A $.  $d x y B $.
    $( A subclass condition on the members of two classes that implies
       a subclass relation on their unions.  Proposition 8.6 of [TakeutiZaring]
       p. 59.  See ~ iunss2 for a generalization to indexed unions. $)
    uniss2 $p |- ( A. x e. A E. y e. B x (_ y -> U. A (_ U. B ) $=
      ( cv wss wrex wral cuni wcel ssuni expcom r19.23aiv r19.20si unissb
      sylibr ) AEZBEZFZBDGZACHQDIZFZACHCIUAFTUBACSUBBDSRDJUBQRDKLMNACUAOP $.
      $( [4-Apr-2004] $) $( [22-Mar-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( If the difference ` A \ B ` contains the largest members of ` A ` ,
       then the union of the difference is the union of ` A ` . $)
    unidif $p |- ( A. x e. A E. y e. ( A \ B ) x (_ y ->
               U. ( A \ B ) = U. A ) $=
      ( cv wss cdif wrex wral cuni wa wceq uniss2 difss uniss ax-mp jctil eqss
      sylibr ) AEBEFBCDGZHACIZTJZCJZFZUCUBFZKUBUCLUAUEUDABCTMTCFUDCDNTCOPQUBUCR
      S $.
      $( [18-Apr-2004] $) $( [22-Mar-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Relationship implying union. $)
    ssunieq $p |- ( ( A e. B /\ A. x e. B x (_ A ) -> A = U. B ) $=
      ( wcel cv wss wral wa cuni wceq elssuni unissb biimpr anim12i eqss
      sylibr ) BCDZAEBFACGZHBCIZFZSBFZHBSJQTRUABCKUARACBLMNBSOP $.
      $( [10-Nov-1999] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Any member of a class is the largest of those members that it
       includes. $)
    unimax $p |- ( A e. B -> U. { x e. B | x (_ A } = A ) $=
      ( vy wcel cv wss crab cuni wceq ssid sseq1 elrab3 mpbiri wral elrab
      pm3.27bi rgen wa ssunieq eqcomd mpan2 syl ) BCEZBAFZBGZACHZEZUGIZBJZUDUHB
      BGZBKUFUKABCUEBBLMNUHDFZBGZDUGOZUJUMDUGULUGEULCEUMUFUMAULCUEULBLPQRUHUNSB
      UIDBUGTUAUBUC $.
      $( [9-Oct-2006] $) $( [13-Aug-2002] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The intersection of a class
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare class intersection symbol. $)
  $c |^| $. $( Big cap $)

  $( Extend class notation to include the intersection of a class (read:
     'intersect ` A ` '). $)
  cint $a class |^| A $.

  ${
    $d x y A $.
    $( Define the intersection of a class.  Definition 7.35 of
       [TakeutiZaring] p. 44. $)
    df-int $a |- |^| A = { x | A. y ( y e. A -> x e. y ) } $.
  $}

  ${
    $d x y A $.
    $( Alternate definition of class intersection. $)
    dfint2 $p |- |^| A = { x | A. y e. A x e. y } $=
      ( cint cv wcel wi wal cab wral df-int df-ral abbii eqtr4 ) CDBEZCFAEOFZGB
      HZAIPBCJZAIABCKRQAPBCLMN $.
      $( [28-Jun-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Equality law for intersection. $)
    inteq $p |- ( A = B -> |^| A = |^| B ) $=
      ( vx vy wceq cv wcel wral cab cint raleq1 abbidv dfint2 3eqtr4g ) ABEZCFD
      FGZDAHZCIPDBHZCIAJBJOQRCPDABKLCDAMCDBMN $.
      $( [13-Sep-1999] $)
  $}

  ${
    inteqi.1 $e |- A = B $.
    $( Equality inference for class intersection. $)
    inteqi $p |- |^| A = |^| B $=
      ( wceq cint inteq ax-mp ) ABDAEBEDCABFG $.
      $( [2-Sep-2003] $)
  $}

  ${
    inteqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for class intersection. $)
    inteqd $p |- ( ph -> |^| A = |^| B ) $=
      ( wceq cint inteq syl ) ABCEBFCFEDBCGH $.
      $( [2-Sep-2003] $)
  $}

  ${
    $d x A y $.  $d x B y $.
    elint.1 $e |- A e. V $.
    $( Membership in class intersection. $)
    elint $p |- ( A e. |^| B <-> A. x ( x e. B -> A e. x ) ) $=
      ( vy cv wcel wi wal cint wceq eleq1 imbi2d albidv df-int elab2 ) AFZCGZEF
      ZQGZHZAIRBQGZHZAIEBCJDSBKZUAUCAUDTUBRSBQLMNEACOP $.
      $( [21-May-1994] $)
  $}

  ${
    $d x A $.  $d x B $.
    elint2.1 $e |- A e. V $.
    $( Membership in class intersection. $)
    elint2 $p |- ( A e. |^| B <-> A. x e. B A e. x ) $=
      ( cint wcel cv wi wal wral elint df-ral bitr4 ) BCEFAGZCFBNFZHAIOACJABCDK
      OACLM $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Membership in class intersection, with the sethood requirement expressed
       as an antecedent. $)
    elintg $p |- ( A e. C -> ( A e. |^| B <-> A. x e. B A e. x ) ) $=
      ( vy cv cint wcel wral wb wceq eleq1 ralbidv bibi12d visset elint2
      vtoclg ) EFZCGZHZRAFZHZACIZJBSHZBUAHZACIZJEBDRBKZTUDUCUFRBSLUGUBUEACRBUAL
      MNARCEOPQ $.
      $( [21-Nov-2003] $) $( [20-Nov-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Membership in class intersection. $)
    elinti $p |- ( A e. |^| B -> ( C e. B -> A e. C ) ) $=
      ( vy vx cint wcel cv wi wal wceq eleq1 imbi2d albidv visset elint biimp
      vtoclga eleq2 imbi12d cla4gv pm2.43b syl ) ABFZGDHZBGZAUEGZIZDJZCBGZACGZI
      ZUFEHZUEGZIZDJZUIEAUDUMAKZUOUHDUQUNUGUFUMAUELMNUMUDGUPDUMBEOPQRUIUJUKUHUL
      DCBUECKUFUJUGUKUECBLUECASTUAUBUC $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d y z A $.  $d x y z $.
    hbint.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for intersection. $)
    hbint $p |- ( y e. |^| A -> A. x y e. |^| A ) $=
      ( vz cv wcel wi wal cint ax-17 hbel hbim hbal visset elint albii 3imtr4
      ) EFZCGZBFZSGZHZEIZUDAIUACJGZUEAIUCAETUBAABBSCUBAKZDLUFMNEUACBOPZUEUDAUGQ
      R $.
      $( [2-Feb-1997] $)
  $}

  ${
    $d A x y $.  $d ph y $.
    inteqab.1 $e |- A e. V $.
    $( Membership in the intersection of a class abstraction. $)
    elintab $p |- ( A e. |^| { x | ph } <-> A. x ( ph -> A e. x ) ) $=
      ( vy cab cint wcel cv wi wal elint hbab1 ax-17 hbim wceq eleq1 abid
      syl6bb eleq2 imbi12d cbval bitr ) CABFZGHEIZUDHZCUEHZJZEKACBIZHZJZBKECUDD
      LUHUKEBUFUGBABEMUGBNOUKENUEUIPZUFAUGUJULUFUIUDHAUEUIUDQABRSUEUICTUAUBUC
      $.
      $( [30-Aug-1993] $)

    $( Membership in the intersection of a class abstraction. $)
    elintrab $p |- ( A e. |^| { x e. B | ph } <->
                 A. x e. B ( ph -> A e. x ) ) $=
      ( cv wcel wa cab cint wi wal crab wral elintab impexp albii bitr df-rab
      inteqi eleq2i df-ral 3bitr4 ) CBFZDGZAHZBIZJZGZUEACUDGZKZKZBLZCABDMZJZGUK
      BDNUIUFUJKZBLUMUFBCEOUPULBUEAUJPQRUOUHCUNUGABDSTUAUKBDUBUC $.
      $( [17-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d y ph $.
    $( Membership in the intersection of a class abstraction. $)
    elintrabg $p |- ( A e. C -> ( A e. |^| { x e. B | ph } <->
                 A. x e. B ( ph -> A e. x ) ) ) $=
      ( vy cv crab cint wcel wi wral eleq1 wceq imbi2d ralbidv visset elintrab
      vtoclbg ) FGZABDHIZJATBGZJZKZBDLCUAJACUBJZKZBDLFCETCUAMTCNZUDUFBDUGUCUEAT
      CUBMOPABTDFQRS $.
      $( [28-Feb-2007] $) $( [17-Feb-2007] $)

    $( The intersection of the empty set is the universal class.  Exercise 2 of
       [TakeutiZaring] p. 44. $)
    int0 $p |- |^| (/) = V $=
      ( vy vx cv c0 wcel wi wal cab wceq cint cvv noel pm2.21i ax-gen eqid 2th
      abbii df-int df-v 3eqtr4 ) ACZDEZBCZUAEZFZAGZBHUCUCIZBHDJKUFUGBUFUGUEAUBU
      DUALMNUCOPQBADRBST $.
      $( [18-Aug-1993] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y ph $.
    $( An element of a class includes the intersection of the class.  Exercise
       4 of [TakeutiZaring] p. 44 (with correction), generalized to classes. $)
    intss1 $p |- ( A e. B -> |^| B (_ A ) $=
      ( vx vy wcel cint cv wi wal wceq eleq1 eleq2 imbi12d cla4gv pm2.43a
      visset elint syl5ib ssrdv ) ABEZCBFZATDGZBEZCGZUBEZHZDIZUDAEZUDUAEUGTUHUF
      TUHHDABUBAJUCTUEUHUBABKUBAUDLMNODUDBCPQRS $.
      $( [18-Nov-1995] $)

    $( Subclass of a class intersection.  Theorem 5.11(viii) of [Monk1] p. 52
       and its converse. $)
    ssint $p |- ( A (_ |^| B <-> A. x e. B A (_ x ) $=
      ( vy cint wss cv wcel wral dfss3 visset elint2 ralbii ralcom bitr4 3bitr
      ) BCEZFDGZQHZDBIRAGZHZACIZDBIZBTFZACIZDBQJSUBDBARCDKLMUCUADBIZACIUEUADABC
      NUDUFACDBTJMOP $.
      $( [14-Oct-1999] $)

    $( Subclass of the intersection of a class abstraction. $)
    ssintab $p |- ( A (_ |^| { x | ph } <-> A. x ( ph -> A (_ x ) ) $=
      ( vy cab cint wss cv wral wcel wi wal ssint df-ral hbab1 ax-17 hbim wceq
      eleq1 sseq2 imbi12d cbval abid imbi1i albii bitr 3bitr ) CABEZFGCDHZGZDUH
      IUIUHJZUJKZDLZACBHZGZKZBLZDCUHMUJDUHNUMUNUHJZUOKZBLUQULUSDBUKUJBABDOUJBPQ
      USDPUIUNRUKURUJUOUIUNUHSUIUNCTUAUBUSUPBURAUOABUCUDUEUFUG $.
      $( [31-Jul-2006] $) $( [31-Jul-2006] $)

    $( Subclass of a least upper bound. $)
    ssintub $p |- A (_ |^| { x e. B | A (_ x } $=
      ( vy cv wss crab cint ssint wcel sseq2 elrab pm3.27bi mprgbir ) BBAEZFZAC
      GZHFBDEZFZDQDBQIRQJRCJSPSARCORBKLMN $.
      $( [8-Aug-2000] $)

    $( Subclass of the minimum value of class of supersets. $)
    ssmin $p |- A (_ |^| { x | ( A (_ x /\ ph ) } $=
      ( cv wss wa cab cint wi ssintab pm3.26 mpgbir ) CCBDEZAFZBGHENMIBNBCJMAKL
      $.
      $( [10-Aug-2006] $) $( [10-Aug-2006] $)

    $( Any member of a class is the smallest of those members that include
       it. $)
    intmin $p |- ( A e. B -> |^| { x e. B | A (_ x } = A ) $=
      ( vy wcel cv wss crab cint wa wceq wi wral ssid sseq2 eleq2 imbi12d
      rcla4v mpii visset elintrab syl5ib ssrdv ssintub jctir eqss sylibr ) BCEZ
      BAFZGZACHIZBGZBUKGZJUKBKUHULUMUHDUKBUHUJDFZUIEZLZACMZUNBEZUNUKEUHUQBBGZUR
      BNUPUSURLABCUIBKUJUSUOURUIBBOUIBUNPQRSUJAUNCDTUAUBUCABCUDUEUKBUFUG $.
      $( [8-Oct-2006] $) $( [13-Aug-2002] $)

    $( Intersection of subclasses. $)
    intss $p |- ( A (_ B -> |^| B (_ |^| A ) $=
      ( vy vx cv wcel wi wal cint wss imim1 19.20ii visset elint 3imtr4g
      19.21aiv dfss2 3imtr4 ) CEZAFZSBFZGZCHZDEZBIZFZUDAIZFZGZDHABJUEUGJUCUIDUC
      UAUDSFZGZCHTUJGZCHUFUHUBUKULCTUAUJKLCUDBDMZNCUDAUMNOPCABQDUEUGQR $.
      $( [14-Oct-1999] $)

    $( The intersection of a nonempty set is a subclass of its union. $)
    intssuni $p |- ( A =/= (/) -> |^| A (_ U. A ) $=
      ( vx vy c0 wne cint cuni cv wcel wral wrex r19.2z ex visset elint2
      eluni2 3imtr4g ssrdv ) ADEZBAFZAGZSBHZCHIZCAJZUCCAKZUBTIUBUAISUDUEUCCALMC
      UBABNOCUBAPQR $.
      $( [21-Dec-2006] $) $( [29-Jul-2006] $)
  $}

  $( Subclass relationship for intersection and union. $)
  intssuni2 $p |- ( ( A (_ B /\ A =/= (/) ) -> |^| A (_ U. B ) $=
    ( c0 wne wss cint cuni intssuni uniss sylan9ssr ) ACDABEAFAGBGAHABIJ $.
    $( [31-Dec-2006] $) $( [29-Jul-2006] $)

  ${
    $d x A $.
    intmin2.1 $e |- A e. V $.
    $( Any set is the smallest of all sets that include it. $)
    intmin2 $p |- |^| { x | A (_ x } = A $=
      ( cv wss cvv crab cint cab rabab inteqi wcel wceq intmin ax-mp eqtr3 ) BA
      DEZAFGZHZQAIZHBRTQAJKBFLSBMCABFNOP $.
      $( [30-Nov-2006] $) $( [20-Sep-2003] $)
  $}

  ${
    $d x A $.  $d x ps $.
    intmin3.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    intmin3.3 $e |- ps $.
    $( Under subset ordering, the intersection of a class abstraction is less
       than or equal to any of its members. $)
    intmin3 $p |- ( A e. B -> |^| { x | ph } (_ A ) $=
      ( wcel cab cint wss elabg mpbiri intss1 syl ) DEHZDACIZHZQJDKPRBGABCDEFLM
      DQNO $.
      $( [6-Jul-2005] $) $( [3-Jul-2005] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Elimination of a conjunct in a class intersection. $)
    intmin4 $p |- ( A (_ |^| { x | ph } ->
                  |^| { x | ( A (_ x /\ ph ) } = |^| { x | ph } ) $=
      ( vy cab cint wss cv wa wcel wi wal wb ssintab pm3.27 ancr impbid2
      imbi1d 19.20i 19.15 syl sylbi visset elintab 3bitr4g eqrdv ) CABEFZGZDCBH
      ZGZAIZBEFZUGUHUKDHZUIJZKZBLZAUNKZBLZUMULJUMUGJUHAUJKZBLZUPURMZABCNUTUOUQM
      ZBLVAUSVBBUSUKAUNUSUKAUJAOAUJPQRSUOUQBTUAUBUKBUMDUCZUDABUMVCUDUEUF $.
      $( [11-Aug-2006] $) $( [31-Jul-2006] $)
  $}

  ${
    $d x z A $.  $d x z ph $.  $d x y z $.
    intab.1 $e |- A e. V $.
    intab.2 $e |- { x | E. y ( ph /\ x = A ) } e. V $.
    $( The intersection of a special case of a class abstraction.  ` y ` may be
       free in ` ph ` and ` A ` , which can be thought of a ` ph ( y ) ` and
       ` A ( y ) ` .  Typically, ~ abrexex2 or ~ abexssex can be used to
       satisfy the second hypothesis. $)
    intab $p |- |^| { x | A. y ( ph -> A e. x ) } =
                { x | E. y ( ph /\ x = A ) } $=
      ( vz cv wcel wi wal cab cint wceq wa wex wss wsbc cvv eqeq1 anbi2d
      exbidv cbvabv eqeltr hbe1 hbab hbeleq eleq2 imbi2d albid sbcie wb ax-17
      sbcgf ax-mp biimpr csb csbvarg sbceq1dig mpbir jctir sbcang sylibr 19.8a
      ax-gen a4sbc mp2 sbcimg mpbi syl elabs mpgbir intss1 hba1 hbint ax-4
      com12 adantr eleq1 adantl sylibrd 19.21aiv visset elintab 19.23ai abssi
      eqssi eqtr ) ADBHZIZJZCKZBLZMZAGHZDNZOZCPZGLZAWIDNZOZCPZBLZWNWSWSWMIZWNWS
      QXDWLBWSRZXEADWSIZJZCWLXGCKBWSWSXCSWRXBGBWOWINZWQXACXHWPWTAWOWIDTUAUBUCZF
      UDZWIWSNZWKXGCCBWSWRCGBWQCUEUFUGXKWJXFAWIWSDUHUIUJUKAWRGDRZXFAWQGDRZXLAAG
      DRZWPGDRZOZXMAXNXOXNADSIZXNAULEAGDSAGUMUNUOUPXOGDWOUQDNZXQXREGDSURUOXQXOX
      RULEGDWODSUSUOUTVAXQXMXPULEAWPGDSVBUOVCWQWRJZGDRZXMXLJZXQXSGKXTEXSGWQCVDV
      EXSGDSVFVGXQXTYAULEWQWRGDSVHUOVIVJWRGDEVKVCVLWLBWSXJVKUTWSWMVMUOWRGWNWQWO
      WNIZCCGWMWLCBGWKCVNUFVOWQWLWOWIIZJZBKYBWQYDBWQWLWJYCAWLWJJWPWLAWJWKCVPVQV
      RWPYCWJULAWODWIVSVTWAWBWLBWOGWCWDVCWEWFWGXIWH $.
      $( [7-Aug-2006] $) $( [28-Jul-2006] $)
  $}

  $( The intersection of a class containing the empty set is empty. $)
  int0el $p |- ( (/) e. A -> |^| A = (/) ) $=
    ( c0 wcel cint intss1 wss 0ss a1i eqssd ) BACZADZBBAEBKFJKGHI $.
    $( [25-Apr-2004] $) $( [24-Apr-2004] $)

  ${
    $d x y A $.  $d x y B $.
    $( The class intersection of the union of two classes.  Theorem 78 of
       [Suppes] p. 42. $)
    intun $p |- |^| ( A u. B ) = ( |^| A i^i |^| B ) $=
      ( vx vy cun cint cin cv wcel wi wal wa 19.26 wo elun imbi1i jaob bitr
      albii visset elint anbi12i 3bitr4 elin eqriv ) CABEZFZAFZBFZGZDHZUFIZCHZU
      KIZJZDKZUMUHIZUMUIIZLZUMUGIUMUJIUKAIZUNJZUKBIZUNJZLZDKVADKZVCDKZLUPUSVAVC
      DMUOVDDUOUTVBNZUNJVDULVGUNUKABOPUTUNVBQRSUQVEURVFDUMACTZUADUMBVHUAUBUCDUM
      UFVHUAUMUHUIUDUCUE $.
      $( [22-Sep-2002] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    intpr.1 $e |- A e. V $.
    intpr.2 $e |- B e. V $.
    $( The intersection of a pair is the intersection of its members.  Theorem
       71 of [Suppes] p. 42. $)
    intpr $p |- |^| { A , B } = ( A i^i B ) $=
      ( vx vy cpr cint cin cv wcel wi wal wa wceq 19.26 wo visset elpr imbi1i
      jaob bitr albii clel4 anbi12i 3bitr4 elint elin eqriv ) EABGZHZABIZFJZUJK
      ZEJZUMKZLZFMZUOAKZUOBKZNZUOUKKUOULKUMAOZUPLZUMBOZUPLZNZFMVCFMZVEFMZNURVAV
      CVEFPUQVFFUQVBVDQZUPLVFUNVIUPUMABFRSTVBUPVDUAUBUCUSVGUTVHFUOACUDFUOBDUDUE
      UFFUOUJERUGUOABUHUFUI $.
      $( [14-Oct-1999] $)
  $}

  ${
    intsn.1 $e |- A e. V $.
    $( The intersection of a singleton is its member.  Theorem 70 of [Suppes]
       p. 41. $)
    intsn $p |- |^| { A } = A $=
      ( csn cint cpr cin dfsn2 inteqi intpr inidm 3eqtr ) ACZDAAEZDAAFALMAGHAAB
      BIAJK $.
      $( [29-Sep-2002] $)
  $}

  ${
    intunsn.1 $e |- B e. V $.
    $( Theorem joining a singleton to an intersection. $)
    intunsn $p |- |^| ( A u. { B } ) = ( |^| A i^i B ) $=
      ( csn cun cint cin intun intsn ineq2i eqtr ) ABDZEFAFZLFZGMBGALHNBMBCIJK
      $.
      $( [29-Sep-2002] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Indexed union and intersection
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c U_ $. $( Underlined big cup. $)
  $c |^|_ $. $( Underlined big cap. $)

  $( Extend class notation to include indexed union.  Note:  Historically
     (prior to 21-Oct-2005), set.mm used the notation ` U. x e. A B ` , with
     the same union symbol as ~ cuni .  While that syntax was unambiguous, it
     did not allow for LALR parsing of the syntax constructions in set.mm.
     The new syntax uses as distinguished symbol ` U_ ` instead of ` U. ` and
     does allow LALR parsing.  Thanks to Peter Backes for suggesting this
     change. $)
  ciun $a class U_ x e. A B $.

  $( Extend class notation to include indexed intersection.  Note:
     Historically (prior to 21-Oct-2005), set.mm used the notation
     ` |^| x e. A B ` , with the same intersection symbol as ~ cint .
     Although that syntax was unambiguous, it did not allow for LALR parsing
     of the syntax constructions in set.mm.  The new syntax uses a
     distinguished symbol ` |^|_ ` instead of ` |^| ` and does allow LALR
     parsing.  Thanks to Peter Backes for suggesting this change. $)
  ciin $a class |^|_ x e. A B $.

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Define indexed union.  Definition of [Stoll] p. 45.  In normal use,
       ` A ` is independent of ` x ` , and ` B ` depends on ` x ` i.e. can be
       read informally as ` B ( x ) ` .  We call ` x ` the index, ` A ` the
       index set, and ` B ` the indexed set.  In most books, ` x e. A ` is
       written as a subscript or underneath a union symbol ` U. ` .  We use a
       special union symbol ` U_ ` to make it easier to distinguish from plain
       class union.  In many theorems, you will see that ` x ` and ` A ` are in
       the same distinct variable group (meaning ` A ` cannot depend on ` x ` )
       and that ` B ` and ` x ` do not share a distinct variable group (meaning
       that can be thought of as ` B ( x ) ` i.e. can be substituted with a
       class expression containing ` x ` ).  An alternate definition tying
       indexed union to ordinary union is ~ dfiun2 .  Theorem ~ uniiun provides
       a definition of ordinary union in terms of indexed union.  Theorems
       ~ fniunfv and ~ funiunfv are useful when ` B ` is a function. $)
    df-iun $a |- U_ x e. A B = { y | E. x e. A y e. B } $.

    $( Define indexed intersection.  Definition of [Stoll] p. 45.  See the
       remarks for its sibling operation of indexed union ~ df-iun .  An
       alternate definition tying indexed intersection to ordinary intersection
       is ~ dfiun2 .  Theorem ~ intiin provides a definition of ordinary
       intersection in terms of indexed intersection. $)
    df-iin $a |- |^|_ x e. A B = { y | A. x e. A y e. B } $.
  $}

  ${
    $d x y A $.  $d y B $.  $d y C $.
    $( Membership in indexed union. $)
    eliun $p |- ( A e. U_ x e. B C <-> E. x e. B A e. C ) $=
      ( vy ciun wcel cvv wrex elisset wi cv a1i r19.23aiv wceq eleq1 rexbidv
      df-iun elab2g pm5.21nii ) BACDFZGBHGZBDGZACIZBUAJUCUBACUCUBKALCGBDJMNELZD
      GZACIUDEBUAHUEBOUFUCACUEBDPQAECDRST $.
      $( [3-Sep-2003] $)

    $( Membership in indexed intersection. $)
    eliin $p |- ( A e. D -> ( A e. |^|_ x e. B C <-> A. x e. B A e. C ) ) $=
      ( vy cv wcel wral ciin wceq eleq1 ralbidv df-iin elab2g ) FGZDHZACIBDHZAC
      IFBACDJEPBKQRACPBDLMAFCDNO $.
      $( [3-Sep-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Indexed union of a constant class, i.e. where ` B ` does not depend
       on ` x ` . $)
    iunconst $p |- ( A =/= (/) -> U_ x e. A B = B ) $=
      ( vy c0 wne ciun cv wcel wex wa wb ne0 ibar sylbi wrex eliun df-rex
      19.41v 3bitr syl6rbbr eqrdv ) BEFZDABCGZCUCDHZCIZAHBIZAJZUFKZUEUDIZUCUHUF
      UILABMUHUFNOUJUFABPUGUFKAJUIAUEBCQUFABRUGUFASTUAUB $.
      $( [4-Jan-2007] $) $( [5-Sep-2004] $)
  $}

  ${
    $d x y $.  $d y z A $.  $d x z B $.  $d z C $.
    $( Law combining indexed union with indexed intersection.  (This theorem
       appears as the last example on
       ~ http://en.wikipedia.org/wiki/Union%5F%28set%5Ftheory%29 .  If anyone
       has a literature reference, please inform N. Megill.) $)
    iuniin $p |- U_ x e. A |^|_ y e. B C (_ |^|_ y e. B U_ x e. A C $=
      ( vz ciin ciun cv wcel wral wrex r19.12 eliun cvv wb visset eliin ax-mp
      rexbii bitr ralbii 3imtr4 ssriv ) FACBDEGZHZBDACEHZGZFIZEJZBDKZACLZUJACLZ
      BDKZUIUFJZUIUHJZUJABCDMUOUIUEJZACLULAUICUENUQUKACUIOJZUQUKPFQZBUIDEORSTUA
      UPUIUGJZBDKZUNURUPVAPUSBUIDUGORSUTUMBDAUICENUBUAUCUD $.
      $( [21-Oct-2005] $) $( [17-Aug-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Subclass theorem for indexed union. $)
    iunss1 $p |- ( A (_ B -> U_ x e. A C (_ U_ x e. B C ) $=
      ( vy wss cv wcel wrex cab ciun wi wal ssel anim1d r19.22dv2 19.21aiv
      ss2ab sylibr df-iun 3sstr4g ) BCFZEGDHZABIZEJZUCACIZEJZABDKACDKUBUDUFLZEM
      UEUGFUBUHEUBUCUCABCUBAGZBHUICHUCBCUINOPQUDUFERSAEBDTAECDTUA $.
      $( [11-Dec-2004] $) $( [10-Dec-2004] $)

    $( Equality theorem for indexed union. $)
    iuneq1 $p |- ( A = B -> U_ x e. A C = U_ x e. B C ) $=
      ( wss wa ciun wceq iunss1 anim12i eqss 3imtr4 ) BCEZCBEZFABDGZACDGZEZPOEZ
      FBCHOPHMQNRABCDIACBDIJBCKOPKL $.
      $( [27-Jun-1998] $)

    $( Equality theorem for restricted existential quantifier. $)
    iineq1 $p |- ( A = B -> |^|_ x e. A C = |^|_ x e. B C ) $=
      ( vy wceq cv wcel wral cab ciin raleq1 abbidv df-iin 3eqtr4g ) BCFZEGDHZA
      BIZEJQACIZEJABDKACDKPRSEQABCLMAEBDNAECDNO $.
      $( [27-Jun-1998] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Subclass theorem for indexed union. $)
    ss2iun $p |- ( A. x e. A B (_ C -> U_ x e. A B (_ U_ x e. A C ) $=
      ( vy wss wral ciun cv wcel wrex hbra1 wi ra4 ssel syl6 r19.22d eliun
      3imtr4g ssrdv ) CDFZABGZEABCHZABDHZUBEIZCJZABKUEDJZABKUEUCJUEUDJUBUFUGABU
      AABLUBAIBJUAUFUGMUAABNCDUEOPQAUEBCRAUEBDRST $.
      $( [30-Nov-2003] $) $( [26-Nov-2003] $)

    $( Equality theorem for indexed union. $)
    iuneq2 $p |- ( A. x e. A B = C -> U_ x e. A B = U_ x e. A C ) $=
      ( wss wral wa ciun wceq ss2iun anim12i eqss ralbii r19.26 bitr 3imtr4 )
      CDEZABFZDCEZABFZGZABCHZABDHZEZUCUBEZGCDIZABFZUBUCIRUDTUEABCDJABDCJKUGQSGZ
      ABFUAUFUHABCDLMQSABNOUBUCLP $.
      $( [3-Nov-2003] $) $( [22-Oct-2003] $)

    $( Equality theorem for indexed intersection. $)
    iineq2 $p |- ( A. x e. A B = C -> |^|_ x e. A B = |^|_ x e. A C ) $=
      ( vy wceq wral cv wcel cab ciin hbra1 wb ra4 eleq2 syl6 imp ralbida
      abbidv df-iin 3eqtr4g ) CDFZABGZEHZCIZABGZEJUDDIZABGZEJABCKABDKUCUFUHEUCU
      EUGABUBABLUCAHBIZUEUGMZUCUIUBUJUBABNCDUDOPQRSAEBCTAEBDTUA $.
      $( [4-Nov-2003] $) $( [22-Oct-2003] $)
  $}

  ${
    iuneq2i.1 $e |- ( x e. A -> B = C ) $.
    $( Equality inference for indexed union. $)
    iuneq2i $p |- U_ x e. A B = U_ x e. A C $=
      ( wceq ciun iuneq2 mprg ) CDFABCGABDGFABABCDHEI $.
      $( [3-Nov-2003] $) $( [22-Oct-2003] $)

    $( Equality inference for indexed intersection. $)
    iineq2i $p |- |^|_ x e. A B = |^|_ x e. A C $=
      ( wceq ciin iineq2 mprg ) CDFABCGABDGFABABCDHEI $.
      $( [4-Nov-2003] $) $( [22-Oct-2003] $)
  $}

  ${
    $d x ph $.
    iuneq2dv.1 $e |- ( ( ph /\ x e. A ) -> B = C ) $.
    $( Equality deduction for indexed union. $)
    iuneq2dv $p |- ( ph -> U_ x e. A B = U_ x e. A C ) $=
      ( wceq wral ciun r19.21aiva iuneq2 syl ) ADEGZBCHBCDIBCEIGAMBCFJBCDEKL $.
      $( [5-Oct-2006] $) $( [3-Aug-2004] $)

    $( Equality deduction for indexed intersection. $)
    iineq2dv $p |- ( ph -> |^|_ x e. A B = |^|_ x e. A C ) $=
      ( wceq wral ciin r19.21aiva iineq2 syl ) ADEGZBCHBCDIBCEIGAMBCFJBCDEKL $.
      $( [3-Jan-2007] $) $( [3-Aug-2004] $)
  $}

  ${
    $d z A $.  $d z B $.  $d x y z $.
    $( Bound-variable hypothesis builder for indexed union. $)
    hbiu1 $p |- ( y e. U_ x e. A B -> A. x y e. U_ x e. A B ) $=
      ( vz ciun cv wcel wrex cab df-iun hbre1 hbab hbxfr ) ABACDFEGDHZACIZEJAEC
      DKPAEBOACLMN $.
      $( [14-Oct-2003] $) $( [12-Oct-2003] $)
  $}

  ${
    $d z A $.  $d z B $.  $d x y z $.
    $( Bound-variable hypothesis builder for indexed intersection. $)
    hbii1 $p |- ( y e. |^|_ x e. A B -> A. x y e. |^|_ x e. A B ) $=
      ( vz ciin cv wcel wral cab df-iin hbra1 hbab hbxfr ) ABACDFEGDHZACIZEJAEC
      DKPAEBOACLMN $.
      $( [16-Oct-2003] $) $( [15-Oct-2003] $)
  $}

  ${
    $d y z w A $.  $d y z w B $.  $d w C $.  $d w x y z $.
    $( Alternate definition of indexed union when ` B ` is a set.  Definition
       15(a) of [Suppes] p. 44. $)
    dfiun2g $p |- ( A. x e. A B e. C ->
                  U_ x e. A B = U. { y | E. x e. A y = B } ) $=
      ( vw vz wcel wral cv wrex cab wceq wa wex ciun cuni hbra1 wb ra4 clel3g
      exancom syl6bb syl6 pm5.32d 19.42v syl6bbr exbid excom an12 exbii visset
      eqeq1 rexbidv elab df-rex bitr anbi2i 3bitr4 syl5bb abbidv df-iun df-uni
      3eqtr4g ) DEHZACIZFJZDHZACKZFLVGGJZHZVJBJZDMZACKZBLZHZNZGOZFLACDPVOQVFVIV
      RFVFAJCHZVHNZAOZVRVIVFWAVSVKVJDMZNZNZGOZAOZVRVFVTWEAVEACRVFVTVSWCGOZNWEVF
      VSVHWGVFVSVEVHWGSVEACTVEVHWBVKNGOWGGVGDEUAWBVKGUBUCUDUEVSWCGUFUGUHWFWDAOZ
      GOVRWDAGUIWHVQGVKVSWBNZNZAOVKWIAOZNWHVQVKWIAUFWDWJAVSVKWBUJUKVPWKVKVPWBAC
      KZWKVNWLBVJGULVLVJMVMWBACVLVJDUMUNUOWBACUPUQURUSUKUQUCVHACUPUTVAAFCDVBFGV
      OVCVD $.
      $( [25-Mar-2006] $) $( [23-Mar-2006] $)
  $}

  ${
    $d x y z w A $.  $d y z w B $.
    dfiun2.1 $e |- B e. V $.
    $( Alternate definition of indexed union when ` B ` is a set.  Definition
       15(a) of [Suppes] p. 44. $)
    dfiun2 $p |- U_ x e. A B = U. { y | E. x e. A y = B } $=
      ( cvv wcel ciun cv wceq wrex cab cuni dfiun2g a1i mprg ) DFGZACDHBIDJACKB
      LMJACABCDFNQAICGEOP $.
      $( [27-Jun-1998] $)
  $}

  ${
    $d y z w A $.  $d y z w B $.  $d w x y z $.
    dfiin2.1 $e |- B e. V $.
    $( Alternate definition of indexed intersection when ` B ` is a set.
       Definition 15(b) of [Suppes] p. 44. $)
    dfiin2 $p |- |^|_ x e. A B = |^| { y | E. x e. A y = B } $=
      ( vw vz cv wcel wral cab wceq wrex wi wal ciin cint df-ral clel4 imbi2i
      19.21v bitr4 albii alcom bitr wa wex visset eqeq1 rexbidv elab df-rex
      imbi1i 19.23v impexp 3bitr2r 3bitr abbii df-iin df-int 3eqtr4 ) FHZDIZACJ
      ZFKGHZBHZDLZACMZBKZIZVBVEIZNZGOZFKACDPVIQVDVMFVDAHCIZVCNZAOZVNVEDLZVKNZNZ
      AOZGOZVMVCACRVPVSGOZAOWAVOWBAVOVNVRGOZNWBVCWCVNGVBDESTVNVRGUAUBUCVSAGUDUE
      VTVLGVLVNVQUFZAUGZVKNWDVKNZAOVTVJWEVKVJVQACMZWEVHWGBVEGUHVFVELVGVQACVFVED
      UIUJUKVQACULUEUMWDVKAUNWFVSAVNVQVKUOUCUPUCUQURAFCDUSFGVIUTVA $.
      $( [28-Jun-1998] $)
  $}

  ${
    $d x y z A $.  $d z B $.  $d z C $.
    cbviun.1 $e |- ( z e. B -> A. y z e. B ) $.
    cbviun.2 $e |- ( z e. C -> A. x z e. C ) $.
    cbviun.3 $e |- ( x = y -> B = C ) $.
    $( Rule used to change the bound variables in an indexed union, with the
       substitution specified implicitly by the hypothesis. $)
    cbviun $p |- U_ x e. A B = U_ y e. A C $=
      ( cv wcel wrex cab ciun wceq eleq2d cbvrex abbii df-iun 3eqtr4 ) CJZEKZAD
      LZCMUAFKZBDLZCMADENBDFNUCUECUBUDABDGHAJBJOEFUAIPQRACDESBCDFST $.
      $( [27-Mar-2006] $) $( [26-Mar-2006] $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x z C $.
    cbviunv.1 $e |- ( x = y -> B = C ) $.
    $( Rule used to change the bound variables in an indexed union, with the
       substitution specified implicitly by the hypothesis. $)
    cbviunv $p |- U_ x e. A B = U_ y e. A C $=
      ( vz cv wcel ax-17 cbviun ) ABGCDEGHZDIBJLEIAJFK $.
      $( [15-Sep-2003] $)
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset theorem for an indexed union. $)
    iunss $p |- ( U_ x e. A B (_ C <-> A. x e. A B (_ C ) $=
      ( vy wss wral cv wcel wa wi wal ciun dfss2 ralbii df-ral impexp albii
      19.21v bitr2 3bitr wex 19.23v wrex eliun df-rex bitr imbi1i bitr4 alcom
      3bitr4 ) CDFZABGZAHBIZEHZCIZJZUODIZKZELZALZABCMZDFZUMUPURKZELZABGUNVEKZAL
      VAULVEABECDNOVEABPVFUTAUTUNVDKZELVFUSVGEUNUPURQRUNVDESTRUAUSALZELUOVBIZUR
      KZELVAVCVHVJEVHUQAUBZURKVJUQURAUCVIVKURVIUPABUDVKAUOBCUEUPABUFUGUHUIRUSAE
      UJEVBDNUKT $.
      $( [13-Sep-2003] $)
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset implication for an indexed union. $)
    ssiun $p |- ( E. x e. A C (_ B ->  C (_ U_ x e. A B ) $=
      ( vy wss wrex cv wcel wa wex ciun df-rex wi wal pm3.35 anim2i exp32
      com23 imp ssel sylan2 19.22i 19.21aiv eliun bitr2 imbi2i albii 19.37v
      dfss2 3bitr4 sylib sylbi ) DCFZABGAHBIZUNJZAKZDABCLZFZUNABMUQEHZDIZUOUTCI
      ZJZNZAKZEOZUSUQVEEUPVDAUOVAVBNZVDUNUOVGVDUOVAVGVCUOVAVGVCVAVGJVBUOVAVBPQR
      STDCUTUAUBUCUDVAVCAKZNZEOVAUTURIZNZEOVFUSVIVKEVHVJVAVJVBABGVHAUTBCUEVBABM
      UFUGUHVEVIEVAVCAUIUHEDURUJUKULUM $.
      $( [3-Sep-2003] $)
  $}

  ${
    $d y A $.  $d y B $.  $d x y $.
    $( Identity law for subset of an indexed union. $)
    ssiun2 $p |- ( x e. A ->  B (_ U_ x e. A B ) $=
      ( vy cv wcel ciun wa wrex ra4e eliun sylibr ex ssrdv ) AEBFZDCABCGZODEZCF
      ZQPFZORHRABISRABJAQBCKLMN $.
      $( [14-Oct-2003] $) $( [12-Oct-2003] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.
    ssiun2s.1 $e |- ( x = C -> B = D ) $.
    $( Subset relationship for an indexed union. $)
    ssiun2s $p |- ( C e. A ->  D (_ U_ x e. A B ) $=
      ( vy wcel ciun wss cv wi ax-17 hbiu1 hbss hbim wceq eleq1 sseq1d imbi12d
      ssiun2 vtoclgf pm2.43i ) DBHZEABCIZJZAKZBHZCUEJZLUDUFLAGDBGKZDHAMUDUFAUDA
      MAGEUEUJEHAMAGBCNOPUGDQZUHUDUIUFUGDBRUKCEUEFSTABCUAUBUC $.
      $( [2-Nov-2003] $) $( [26-Oct-2003] $)
  $}

  ${
    $d x y $.  $d x B $.  $d y C $.  $d x D $.
    $( A subclass condition on the members of two indexed classes ` C ( x ) `
       and ` D ( y ) ` that implies a subclass relation on their indexed
       unions.  Generalization of Proposition 8.6 of [TakeutiZaring] p. 59.
       Compare ~ uniss2 . $)
    iunss2 $p |- ( A. x e. A E. y e. B C (_ D ->
                 U_ x e. A C (_ U_ y e. B D ) $=
      ( wss wrex wral ciun ssiun r19.20si iunss sylibr ) EFGBDHZACIEBDFJZGZACIA
      CEJPGOQACBDFEKLACEPMN $.
      $( [30-Dec-2004] $) $( [9-Dec-2004] $)
  $}

  ${
    $d y z A $.  $d x y z B $.  $d z ph $.
    $( The indexed union of a restricted class abstraction. $)
    iunrab $p |- U_ x e. A { y e. B | ph } = { y e. B | E. x e. A ph } $=
      ( vz cv wsbc wrex crab wcel wa cab ciun df-rab ax-17 hbs1 hbrex wceq
      sbequ12 rexbidv cbvrab eliun elrabsf rexbii r19.42v 3bitr abbi2i 3eqtr4r
      ) ACFGZHZBDIZFEJUJEKZULLZFMABDIZCEJBDACEJZNZULFEOUOULCFBEBGZEKZCPZUSFPUOF
      PUKCBDURDKCPACFQRCGUJSAUKBDACFTUAUBUNFUQUJUQKUJUPKZBDIUMUKLZBDIUNBUJDUPUC
      VAVBBDACBUJEUTUDUEUMUKBDUFUGUHUI $.
      $( [24-Jan-2004] $) $( [3-Jan-2004] $)
  $}

  ${
    $d y A $.  $d x y $.
    $( The indexed union of a class abstraction. $)
    iunab $p |- U_ x e. A { y | ph } = { y | E. x e. A ph } $=
      ( cvv crab ciun wrex cab iunrab wceq cv wcel rabab a1i iuneq2i 3eqtr3 )
      BDACEFZGABDHZCEFBDACIZGSCIABCDEJBDRTRTKBLDMACNOPSCNQ $.
      $( [2-Jan-2005] $) $( [27-Dec-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    iunxdif2.1 $e |- ( x = y -> C = D ) $.
    $( Indexed union with a class difference as its index. $)
    iunxdif2 $p |- ( A. x e. A E. y e. ( A \ B ) C (_ D ->
                 U_ y e. ( A \ B ) D = U_ x e. A C ) $=
      ( wss cdif wrex wral ciun wa wceq iunss2 difss iunss1 ax-mp cbviunv
      sseqtr4 jctil eqss sylibr ) EFHBCDIZJACKZBUDFLZACELZHZUGUFHZMUFUGNUEUIUHA
      BCUDEFOUFBCFLZUGUDCHUFUJHCDPBUDCFQRABCEFGSTUAUFUGUBUC $.
      $( [24-Feb-2005] $) $( [10-Dec-2004] $)
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset theorem for an indexed intersection. $)
    ssiin $p |- ( C (_ |^|_ x e. A B <-> A. x e. A C (_ B ) $=
      ( vy cv wcel ciin wi wal wss wral cvv wb visset eliin ax-mp imbi2i
      r19.21v df-ral 3bitr2 albii dfss2 ralbii 19.21v alcom bitr3 3bitr 3bitr4
      ) EFZDGZUJABCHZGZIZEJAFBGZUKUJCGZIZIZAJZEJZDULKDCKZABLZUNUSEUNUKUPABLZIUQ
      ABLUSUMVCUKUJMGUMVCNEOAUJBCMPQRUKUPABSUQABTUAUBEDULUCVBUQEJZABLUOVDIZAJZU
      TVAVDABEDCUCUDVDABTVFUREJZAJUTVGVEAUOUQEUEUBURAEUFUGUHUI $.
      $( [20-Oct-2003] $) $( [15-Oct-2003] $)
  $}

  ${
    $d x y C $.  $d y A $.  $d y B $.
    $( Subset implication for an indexed intersection. $)
    iinss $p |- ( E. x e. A B (_ C ->  |^|_ x e. A B (_ C ) $=
      ( vy cv wcel wi wal wrex ciin wss wa wex 19.12 df-rex 19.28v exbii bitr4
      albii 3imtr4 wral r19.36av cvv wb visset eliin ax-mp syl5ib 19.20i syl
      dfss2 rexbii ) EFZCGZUNDGZHZEIZABJZUNABCKZGZUPHZEIZCDLZABJUTDLUSUQABJZEIZ
      VCAFBGZUQMZEIZANZVHANZEIUSVFVHAEOUSVGURMZANVJURABPVIVLAVGUQEQRSVEVKEUQABP
      TUAVEVBEVEUOABUBZUPVAUOUPABUCUNUDGVAVMUEEUFAUNBCUDUGUHUIUJUKVDURABECDULUM
      EUTDULUA $.
      $( [22-Oct-2003] $) $( [15-Oct-2003] $)
  $}

  ${
    $d x y A $.
    $( Class union in terms of indexed union.  Definition of [Stoll] p. 43. $)
    uniiun $p |- U. A = U_ x e. A x $=
      ( vy cuni cv wcel wrex cab ciun dfuni2 df-iun eqtr4 ) BDCEAEZFABGCHABMICA
      BJACBMKL $.
      $( [28-Jun-1998] $)

    $( Class intersection in terms of indexed intersection.  Definition of
       [Stoll] p. 44. $)
    intiin $p |- |^| A = |^|_ x e. A x $=
      ( vy cint cv wcel wral cab ciin dfint2 df-iin eqtr4 ) BDCEAEZFABGCHABMICA
      BJACBMKL $.
      $( [28-Jun-1998] $)

    $( An indexed union of singletons recovers the index set. $)
    iunid $p |- U_ x e. A { x } = A $=
      ( vy cv csn ciun wcel wrex eliun wa wex wceq df-rex ancom elsn equcom
      bitr anbi1i exbii ax-17 eleq1 equsex 3bitr eqriv ) CABADZEZFZBCDZUGGUHUFG
      ZABHZUHBGZAUHBUFIUJUEBGZUIJZAKUEUHLZULJZAKUKUIABMUMUOAUMUIULJUOULUINUIUNU
      LUIUHUELUNCUEOCAPQRQSULUKACUKATUEUHBUAUBUCQUD $.
      $( [9-Sep-2005] $) $( [6-Sep-2005] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( An indexed union of the empty set is empty. $)
    iun0 $p |- U_ x e. A (/) = (/) $=
      ( vy c0 ciun cv wcel wrex eliun wn noel a1i nrex 2false bitr eqriv ) CABD
      EZDCFZQGRDGZABHZSARBDITSSABSJAFBGRKZLMUANOP $.
      $( [27-Mar-2003] $) $( [26-Mar-2003] $)

    $( An empty indexed union is empty. $)
    0iun $p |- U_ x e. (/) A = (/) $=
      ( vy c0 ciun cv wcel wrex eliun rex0 noel 2false bitr eqriv ) CADBEZDCFZO
      GPBGZADHZPDGZAPDBIRSQAJPKLMN $.
      $( [21-Feb-2005] $) $( [4-Dec-2004] $)

    $( An empty indexed intersection is the universal class. $)
    0iin $p |- |^|_ x e. (/) A = V $=
      ( vy c0 ciin cv wcel wral cab cvv df-iin visset ral0 2th abbi2i eqtr4 )
      ADBECFZBGZADHZCIJACDBKSCJQJGSCLRAMNOP $.
      $( [22-Nov-2005] $) $( [20-Oct-2005] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( There is a non-empty class in an indexed collection ` B ( x ) ` iff the
       indexed union of them is non-empty. $)
    iunn0 $p |- ( E. x e. A B =/= (/) <-> U_ x e. A B =/= (/) ) $=
      ( vy c0 wne wrex cv wcel wex wa ciun ne0 rexbii df-rex excom exdistr
      eliun bitr2 exbii 3bitr3 bitr4 3bitr ) CEFZABGDHZCIZDJZABGAHBIZUGKAJZABCL
      ZEFZUDUGABDCMNUGABOUIUEUJIZDJZUKUHUFKZDJAJUNAJZDJUIUMUNADPUHUFADQUOULDULU
      FABGUOAUEBCRUFABOSTUADUJMUBUC $.
      $( [17-May-2007] $) $( [15-Oct-2003] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y C $.
    $( Indexed union of intersection.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ uniiun to recover
       Enderton's theorem. $)
    iunin2 $p |- U_ x e. A ( B i^i C ) = ( B i^i U_ x e. A C ) $=
      ( vy cin ciun cv wcel wrex wa r19.42v elin rexbii eliun anbi2i 3bitr4
      eqriv ) EABCDFZGZCABDGZFZEHZSIZABJZUCCIZUCUAIZKZUCTIUCUBIUFUCDIZKZABJUFUI
      ABJZKUEUHUFUIABLUDUJABUCCDMNUGUKUFAUCBDOPQAUCBSOUCCUAMQR $.
      $( [30-Mar-2004] $) $( [26-Mar-2004] $)

    $( Indexed intersection of union.  Generalization of half of theorem
       "Distributive laws" in [Enderton] p. 30.  Use ~ intiin to recover
       Enderton's theorem. $)
    iinun2 $p |- |^|_ x e. A ( B u. C ) = ( B u. |^|_ x e. A C ) $=
      ( vy cun ciin cv wcel wral wo r19.32v elun ralbii cvv wb visset eliin
      ax-mp orbi2i 3bitr4 eqriv ) EABCDFZGZCABDGZFZEHZUCIZABJZUGCIZUGUEIZKZUGUD
      IZUGUFIUJUGDIZKZABJUJUNABJZKUIULUJUNABLUHUOABUGCDMNUKUPUJUGOIZUKUPPEQZAUG
      BDORSTUAUQUMUIPURAUGBUCORSUGCUEMUAUB $.
      $( [3-Sep-2004] $) $( [19-Aug-2004] $)

    $( Indexed union of class difference.  Generalization of half of theorem
       "De Morgan's laws" in [Enderton] p. 31.  Use ~ intiin to recover
       Enderton's theorem. $)
    iundif2 $p |- U_ x e. A ( B \ C ) = ( B \ |^|_ x e. A C ) $=
      ( vy cdif ciun ciin cv wcel wrex wn wa r19.42v eldif rexbii wral cvv wb
      visset eliin ax-mp negbii rexnal bitr4 anbi2i 3bitr4 eliun eqriv ) EABCDF
      ZGZCABDHZFZEIZUJJZABKZUNCJZUNULJZLZMZUNUKJUNUMJUQUNDJZLZMZABKUQVBABKZMUPU
      TUQVBABNUOVCABUNCDOPUSVDUQUSVAABQZLVDURVEUNRJURVESETAUNBDRUAUBUCVAABUDUEU
      FUGAUNBUJUHUNCULOUGUI $.
      $( [30-Oct-2004] $) $( [19-Aug-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Indexed intersection of class difference.  Generalization of half of
       theorem "De Morgan's laws" in [Enderton] p. 31.  Use ~ uniiun to recover
       Enderton's theorem. $)
    iindif2 $p |- ( A =/= (/) ->
                 |^|_ x e. A ( B \ C ) = ( B \ U_ x e. A C ) ) $=
      ( vy c0 wne cdif ciin ciun cv wcel wral wn wa r19.28zv eldif ralbii wrex
      eliun negbii ralnex bitr4 anbi2i 3bitr4g cvv wb visset eliin ax-mp eqrdv
      ) BFGZEABCDHZIZCABDJZHZULEKZUMLZABMZUQCLZUQUOLZNZOZUQUNLZUQUPLULUTUQDLZNZ
      OZABMUTVFABMZOUSVCUTVFABPURVGABUQCDQRVBVHUTVBVEABSZNVHVAVIAUQBDTUAVEABUBU
      CUDUEUQUFLVDUSUGEUHAUQBUMUFUIUJUQCUOQUEUK $.
      $( [13-Oct-2006] $) $( [5-Oct-2006] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.
    iunxsn.1 $e |- A e. V $.
    iunxsn.2 $e |- ( x = A -> B = C ) $.
    $( A singleton index picks out an instance of an indexed union's
       argument. $)
    iunxsn $p |- U_ x e. { A } B = C $=
      ( vy csn ciun cv wcel wrex wa wex eliun df-rex wceq elsn anbi1i exbii
      eleq2d ceqsexv bitr 3bitr eqriv ) GABHZCIZDGJZUGKUHCKZAUFLAJZUFKZUIMZANZU
      HDKZAUHUFCOUIAUFPUMUJBQZUIMZANUNULUPAUKUOUIABRSTUIUNABEUOCDUHFUAUBUCUDUE
      $.
      $( [27-Mar-2004] $) $( [26-Mar-2004] $)
  $}

  ${
    $d x y $.  $d y A $.  $d y B $.  $d y C $.
    $( Separate a union in an indexed union. $)
    iunun $p |- U_ x e. A ( B u. C ) = ( U_ x e. A B u. U_ x e. A C ) $=
      ( vy cv cun wcel wrex cab ciun wo elun rexbii r19.43 bitr abbii unab
      eqtr4 df-iun uneq12i 3eqtr4 ) EFZCDGZHZABIZEJZUCCHZABIZEJZUCDHZABIZEJZGZA
      BUDKABCKZABDKZGUGUIULLZEJUNUFUQEUFUHUKLZABIUQUEURABUCCDMNUHUKABOPQUIULERS
      AEBUDTUOUJUPUMAEBCTAEBDTUAUB $.
      $( [16-Jan-2005] $) $( [27-Dec-2004] $)

    $( Separate a union in the index of an indexed union. $)
    iunxun $p |- U_ x e. ( A u. B ) C = ( U_ x e. A C u. U_ x e. B C ) $=
      ( vy cun ciun cv wcel wrex wo wa wex df-rex elun anbi1i andir bitr exbii
      19.43 eliun orbi12i bitr4 3bitr 3bitr4 eqriv ) EABCFZDGZABDGZACDGZFZEHZDI
      ZAUGJZULUIIZULUJIZKZULUHIULUKIUNAHZUGIZUMLZAMURBIZUMLZURCIZUMLZKZAMZUQUMA
      UGNUTVEAUTVAVCKZUMLVEUSVGUMURBCOPVAVCUMQRSVFVBAMZVDAMZKUQVBVDATUOVHUPVIUO
      UMABJVHAULBDUAUMABNRUPUMACJVIAULCDUAUMACNRUBUCUDAULUGDUAULUIUJOUEUF $.
      $( [30-Mar-2004] $) $( [26-Mar-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A relationship involving union and indexed intersection.  Exercise 23 of
       [Enderton] p. 33. $)
    iinuni $p |- ( A u. |^| B ) = |^|_ x e. B ( A u. x ) $=
      ( vy cint cun cv ciin wcel wo wral r19.32v elun ralbii visset elint2
      orbi2i 3bitr4r cvv wb eliin ax-mp 3bitr4 eqriv ) DBCEZFZACBAGZFZHZDGZBIZU
      JUEIZJZUJUHIZACKZUJUFIUJUIIZUKUJUGIZJZACKUKUQACKZJUOUMUKUQACLUNURACUJBUGM
      NULUSUKAUJCDOZPQRUJBUEMUJSIUPUOTUTAUJCUHSUAUBUCUD $.
      $( [27-Nov-2003] $) $( [25-Nov-2003] $)

    $( A relationship involving union and indexed union.  Exercise 25 of
      [Enderton] p. 33. $)
    iununi $p |- ( ( B = (/) -> A = (/) ) <->
                ( A u. U. B ) = U_ x e. B ( A u. x ) ) $=
      ( vy c0 wceq wi cuni cun cv ciun wcel wrex wo wn wb imor wne df-ne
      r19.45zv sylbir n0i con2i biorf rexbidv bitr3d syl jaoi bicomd sylbi
      elun rexbii syl6bbr eluni2 orbi2i bitr eliun 3bitr4g eqrdv wex wa eleq2
      eluni ax-17 19.45 3bitr4 df-rex 3bitr3g biimpd 19.39 orc pm3.26 imim12i
      19.22i 3syl 19.37v sylib 19.23adv n0 3imtr4g a3d impbi ) CEFZBEFZGZBCHZIZ
      ACBAJZIZKZFZWEDWGWJWEDJZBLZWLWHLZACMZNZWLWILZACMZWLWGLZWLWJLZWEWPWMWNNZAC
      MZWRWEWCOZWDNZWPXBPWCWDQXDXBWPXCXBWPPZWDXCCERXECESWMWNACTUAWDWMOZXEWMWDBW
      LUBUCXFWOXBWPXFWNXAACWMWNUDUEWMWOUDUFUGUHUIUJWQXAACWLBWHUKULUMWSWMWLWFLZN
      ZWPWLBWFUKZXGWOWMAWLCUNUOUPAWLCWIUQZURUSWKWDWCWKWMDUTWHCLZAUTZWDOXCWKWMXL
      DWKWMXKGZAUTZWMXLGWKWMWNXKVAZNZAUTZXKWQVAZAUTZGXPXRGZAUTXNWKXQXSWKWSWTXQX
      SWGWJWLVBXHWMXOAUTZNWSXQXGYAWMAWLCVCUOXIWMXOAWMAVDVEVFWTWRXSXJWQACVGUPVHV
      IXPXRAVJXTXMAWMXPXRXKWMXOVKXKWQVLVMVNVOWMXKAVPVQVRDBVSACVSVTWAWB $.
      $( [28-Nov-2003] $) $( [25-Nov-2003] $)
  $}

  ${
    $d x y A $.
    $( The power class of an intersection in terms of indexed intersection.
       Exercise 24(a) of [Enderton] p. 33. $)
    iinpw $p |- P~ |^| A = |^|_ x e. A P~ x $=
      ( vy cint cpw cv ciin wss wcel wral ssint visset elpw ralbii bitr4 cvv
      wb eliin ax-mp 3bitr4 eqriv ) CBDZEZABAFZEZGZCFZUBHZUGUEIZABJZUGUCIUGUFIZ
      UHUGUDHZABJUJAUGBKUIULABUGUDCLZMNOUGUBUMMUGPIUKUJQUMAUGBUEPRSTUA $.
      $( [29-Nov-2003] $) $( [29-Nov-2003] $)

    $( Inclusion of an indexed intersection in the power class of a union.
       Part of Exercise 24(b) of [Enderton] p. 33. $)
    iunpwss $p |- U_ x e. A P~ x (_ P~ U. A $=
      ( vy cv cpw ciun cuni wss wrex wcel ssiun eliun visset elpw rexbii bitr
      uniiun sseq2i 3imtr4 ssriv ) CABADZEZFZBGZEZCDZUAHZABIZUFABUAFZHZUFUCJZUF
      UEJZABUAUFKUKUFUBJZABIUHAUFBUBLUMUGABUFUACMZNOPULUFUDHUJUFUDUNNUDUIUFABQR
      PST $.
      $( [25-Nov-2003] $) $( [25-Nov-2003] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Binary relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend wff notation to include the general binary relation predicate.
     Note that the syntax is simply three class symbols in a row.  Since
     binary relations are the only possible wff expressions consisting of three
     class expressions in a row, the syntax is unambiguous.  (For an example of
     how syntax could become ambiguous if we are not careful, see the comment
     in ~ cneg .) $)
  wbr $a wff A R B $.

  $( Define a general binary relation.  Note that the syntax is simply three
     class symbols in a row.  Definition 6.18 of [TakeutiZaring]
     p. 29 generalized to arbitrary classes.  Class ` R ` normally denotes a
     relation such as " ` < ` " that compares two classes ` A ` and ` B ` ,
     which might be numbers such as ` 1 ` and ` 2 ` .  This definition is
     well-defined, although not very meaningful, when classes ` A ` and/or
     ` B ` are proper classes (i.e. are not sets).  On the other hand, we
     often find uses for this definition when ` R ` is a proper class. $)
  df-br $a |- ( A R B <-> <. A , B >. e. R ) $.

  $( Equality theorem for binary relations. $)
  breq $p |- ( R = S -> ( A R B <-> A S B ) ) $=
    ( wceq cop wcel wbr eleq2 df-br 3bitr4g ) CDEABFZCGLDGABCHABDHCDLIABCJABDJK
    $.
    $( [4-Jun-1995] $)

  $( Equality theorem for a binary relation. $)
  breq1 $p |- ( A = B -> ( A R C <-> B R C ) ) $=
    ( wceq cop wcel wbr opeq1 eleq1d df-br 3bitr4g ) ABEZACFZDGBCFZDGACDHBCDHMN
    ODABCIJACDKBCDKL $.
    $( [31-Dec-1993] $)

  $( Equality theorem for a binary relation. $)
  breq2 $p |- ( A = B -> ( C R A <-> C R B ) ) $=
    ( wceq cop wcel wbr opeq2 eleq1d df-br 3bitr4g ) ABEZCAFZDGCBFZDGCADHCBDHMN
    ODABCIJCADKCBDKL $.
    $( [31-Dec-1993] $)

  $( Equality theorem for a binary relation. $)
  breq12 $p |- ( ( A = B /\ C = D ) -> ( A R C <-> B R D ) ) $=
    ( wceq wbr breq1 breq2 sylan9bb ) ABFACEGBCEGCDFBDEGABCEHCDBEIJ $.
    $( [8-Feb-1996] $)

  ${
    breqi.1 $e |- R = S $.
    $( Equality inference for binary relations. $)
    breqi $p |- ( A R B <-> A S B ) $=
      ( wceq wbr wb breq ax-mp ) CDFABCGABDGHEABCDIJ $.
      $( [20-Feb-2005] $) $( [19-Feb-2005] $)
  $}

  ${
    breq1i.1 $e |- A = B $.
    $( Equality inference for a binary relation. $)
    breq1i $p |- ( A R C <-> B R C ) $=
      ( wceq wbr wb breq1 ax-mp ) ABFACDGBCDGHEABCDIJ $.
      $( [8-Feb-1996] $)

    $( Equality inference for a binary relation. $)
    breq2i $p |- ( C R A <-> C R B ) $=
      ( wceq wbr wb breq2 ax-mp ) ABFCADGCBDGHEABCDIJ $.
      $( [8-Feb-1996] $)

    ${
      breq12i.2 $e |- C = D $.
      $( Equality inference for a binary relation.  (The proof was shortened by
         Eric Schmidt, 4-Apr-2007.) $)
      breq12i $p |- ( A R C <-> B R D ) $=
        ( wceq wbr wb breq12 mp2an ) ABHCDHACEIBDEIJFGABCDEKL $.
        $( [4-Apr-2007] $) $( [8-Feb-1996] $)
    $}
  $}

  ${
    breq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for a binary relation. $)
    breq1d $p |- ( ph -> ( A R C <-> B R C ) ) $=
      ( wceq wbr wb breq1 syl ) ABCGBDEHCDEHIFBCDEJK $.
      $( [8-Feb-1996] $)

    $( Equality deduction for a binary relation. $)
    breq2d $p |- ( ph -> ( C R A <-> C R B ) ) $=
      ( wceq wbr wb breq2 syl ) ABCGDBEHDCEHIFBCDEJK $.
      $( [8-Feb-1996] $)

    ${
      breq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for a binary relation. $)
      breq12d $p |- ( ph -> ( A R C <-> B R D ) ) $=
        ( wbr breq1d breq2d bitrd ) ABDFICDFICEFIABCDFGJADECFHKL $.
        $( [8-Feb-1996] $)
    $}

    ${
      breqan12i.2 $e |- ( ps -> C = D ) $.
      $( Equality deduction for a binary relation. $)
      breqan12d $p |- ( ( ph /\ ps ) -> ( A R C <-> B R D ) ) $=
        ( wceq wbr wb breq12 syl2an ) CDJEFJCEGKDFGKLABCDEFGMHIN $.
        $( [8-Feb-1996] $)

      $( Equality deduction for a binary relation. $)
      breqan12rd $p |- ( ( ps /\ ph ) -> ( A R C <-> B R D ) ) $=
        ( wbr wb breqan12d ancoms ) ABCEGJDFGJKABCDEFGHILM $.
        $( [8-Feb-1996] $)
    $}
  $}

  ${
    eqbrtr.1 $e |- A = B $.
    eqbrtr.2 $e |- B R C $.
    $( Substitution of equal classes into a binary relation. $)
    eqbrtr $p |- A R C $=
      ( wbr breq1i mpbir ) ACDGBCDGFABCDEHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqbrtrd.1 $e |- ( ph -> A = B ) $.
    eqbrtrd.2 $e |- ( ph -> B R C ) $.
    $( Substitution of equal classes into a binary relation. $)
    eqbrtrd $p |- ( ph -> A R C ) $=
      ( wbr breq1d mpbird ) ABDEHCDEHGABCDEFIJ $.
      $( [8-Oct-1999] $)
  $}

  ${
    eqbrtrr.1 $e |- A = B $.
    eqbrtrr.2 $e |- A R C $.
    $( Substitution of equal classes into a binary relation. $)
    eqbrtrr $p |- B R C $=
      ( eqcomi eqbrtr ) BACDABEGFH $.
      $( [5-Aug-1993] $)
  $}

  ${
    eqbrtrrd.1 $e |- ( ph -> A = B ) $.
    eqbrtrrd.2 $e |- ( ph -> A R C ) $.
    $( Substitution of equal classes into a binary relation. $)
    eqbrtrrd $p |- ( ph -> B R C ) $=
      ( eqcomd eqbrtrd ) ACBDEABCFHGI $.
      $( [24-Oct-1999] $)
  $}

  ${
    breqtr.1 $e |- A R B $.
    breqtr.2 $e |- B = C $.
    $( Substitution of equal classes into a binary relation. $)
    breqtr $p |- A R C $=
      ( wbr breq2i mpbi ) ABDGACDGEBCADFHI $.
      $( [5-Aug-1993] $)
  $}

  ${
    breqtrd.1 $e |- ( ph -> A R B ) $.
    breqtrd.2 $e |- ( ph -> B = C ) $.
    $( Substitution of equal classes into a binary relation. $)
    breqtrd $p |- ( ph -> A R C ) $=
      ( wbr breq2d mpbid ) ABCEHBDEHFACDBEGIJ $.
      $( [24-Oct-1999] $)
  $}

  ${
    breqtrr.1 $e |- A R B $.
    breqtrr.2 $e |- C = B $.
    $( Substitution of equal classes into a binary relation. $)
    breqtrr $p |- A R C $=
      ( eqcomi breqtr ) ABCDECBFGH $.
      $( [5-Aug-1993] $)
  $}

  ${
    breqtrrd.1 $e |- ( ph -> A R B ) $.
    breqtrrd.2 $e |- ( ph -> C = B ) $.
    $( Substitution of equal classes into a binary relation. $)
    breqtrrd $p |- ( ph -> A R C ) $=
      ( eqcomd breqtrd ) ABCDEFADCGHI $.
      $( [24-Oct-1999] $)
  $}

  ${
    3brtr3.1 $e |- A R B $.
    3brtr3.2 $e |- A = C $.
    3brtr3.3 $e |- B = D $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr3 $p |- C R D $=
      ( eqbrtrr breqtr ) CBDEACBEGFIHJ $.
      $( [11-Aug-1999] $)
  $}

  ${
    3brtr4.1 $e |- A R B $.
    3brtr4.2 $e |- C = A $.
    3brtr4.3 $e |- D = B $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr4 $p |- C R D $=
      ( eqbrtr breqtrr ) CBDECABEGFIHJ $.
      $( [11-Aug-1999] $)
  $}

  ${
    3brtr3d.1 $e |- ( ph -> A R B ) $.
    3brtr3d.2 $e |- ( ph -> A = C ) $.
    3brtr3d.3 $e |- ( ph -> B = D ) $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr3d $p |- ( ph -> C R D ) $=
      ( wbr breq12d mpbid ) ABCFJDEFJGABDCEFHIKL $.
      $( [18-Oct-1999] $)
  $}

  ${
    3brtr4d.1 $e |- ( ph -> A R B ) $.
    3brtr4d.2 $e |- ( ph -> C = A ) $.
    3brtr4d.3 $e |- ( ph -> D = B ) $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr4d $p |- ( ph -> C R D ) $=
      ( wbr breq12d mpbird ) ADEFJBCFJGADBECFHIKL $.
      $( [8-Mar-2005] $) $( [21-Feb-2005] $)
  $}

  ${
    3brtr3g.1 $e |- ( ph -> A R B ) $.
    3brtr3g.2 $e |- A = C $.
    3brtr3g.3 $e |- B = D $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr3g $p |- ( ph -> C R D ) $=
      ( wbr breq12i sylib ) ABCFJDEFJGBDCEFHIKL $.
      $( [16-Jan-1997] $)
  $}

  ${
    3brtr4g.1 $e |- ( ph -> A R B ) $.
    3brtr4g.2 $e |- C = A $.
    3brtr4g.3 $e |- D = B $.
    $( Substitution of equality into both sides of a binary relation. $)
    3brtr4g $p |- ( ph -> C R D ) $=
      ( wbr breq12i sylibr ) ABCFJDEFJGDBECFHIKL $.
      $( [16-Jan-1997] $)
  $}

  ${
    syl5eqbr.1 $e |- ( ph -> A R B ) $.
    syl5eqbr.2 $e |- C = A $.
    $( A chained equality inference for a binary relation. $)
    syl5eqbr $p |- ( ph -> C R B ) $=
      ( eqid 3brtr4g ) ABCDCEFGCHI $.
      $( [11-Oct-1999] $)
  $}

  ${
    syl5eqbrr.1 $e |- ( ph -> A R B ) $.
    syl5eqbrr.2 $e |- A = C $.
    $( A chained equality inference for a binary relation. $)
    syl5eqbrr $p |- ( ph -> C R B ) $=
      ( eqid 3brtr3g ) ABCDCEFGCHI $.
      $( [23-Oct-2004] $) $( [17-Sep-2004] $)
  $}

  ${
    syl5breq.1 $e |- ( ph -> A = B ) $.
    syl5breq.2 $e |- C R A $.
    $( A chained equality inference for a binary relation. $)
    syl5breq $p |- ( ph -> C R B ) $=
      ( wbr a1i breqtrd ) ADBCEDBEHAGIFJ $.
      $( [11-Oct-1999] $)
  $}

  ${
    syl5breqr.1 $e |- ( ph -> B = A ) $.
    syl5breqr.2 $e |- C R A $.
    $( A chained equality inference for a binary relation. $)
    syl5breqr $p |- ( ph -> C R B ) $=
      ( eqcomd syl5breq ) ABCDEACBFHGI $.
      $( [26-Apr-2005] $) $( [24-Apr-2005] $)
  $}

  ${
    syl6eqbr.1 $e |- ( ph -> A = B ) $.
    syl6eqbr.2 $e |- B R C $.
    $( A chained equality inference for a binary relation. $)
    syl6eqbr $p |- ( ph -> A R C ) $=
      ( wbr breq1d mpbiri ) ABDEHCDEHGABCDEFIJ $.
      $( [12-Oct-1999] $)
  $}

  ${
    syl6eqbrr.1 $e |- ( ph -> B = A ) $.
    syl6eqbrr.2 $e |- B R C $.
    $( A chained equality inference for a binary relation. $)
    syl6eqbrr $p |- ( ph -> A R C ) $=
      ( eqcomd syl6eqbr ) ABCDEACBFHGI $.
      $( [7-Mar-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    syl6breq.1 $e |- ( ph -> A R B ) $.
    syl6breq.2 $e |- B = C $.
    $( A chained equality inference for a binary relation. $)
    syl6breq $p |- ( ph -> A R C ) $=
      ( eqid 3brtr3g ) ABCBDEFBHGI $.
      $( [11-Oct-1999] $)
  $}

  ${
    syl6breqr.1 $e |- ( ph -> A R B ) $.
    syl6breqr.2 $e |- C = B $.
    $( A chained equality inference for a binary relation. $)
    syl6breqr $p |- ( ph -> A R C ) $=
      ( eqcomi syl6breq ) ABCDEFDCGHI $.
      $( [26-Apr-2005] $) $( [24-Apr-2005] $)
  $}


  ${
    ssbrd.1 $e |- ( ph -> A (_ B ) $.
    $( Deduction from a subclass relationship of binary relations. $)
    ssbrd $p |- ( ph -> ( C A D -> C B D ) ) $=
      ( cop wcel wbr sseld df-br 3imtr4g ) ADEGZBHMCHDEBIDECIABCMFJDEBKDECKL $.
      $( [14-May-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    ssbri.1 $e |- A (_ B $.
    $( Inference from a subclass relationship of binary relations. $)
    ssbri $p |- ( C A D -> C B D ) $=
      ( wceq wbr wi eqid wss a1i ssbrd ax-mp ) AAFZCDAGCDBGHAINABCDABJNEKLM $.
      $( [28-Mar-2007] $) $( [28-Mar-2007] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y R $.  $d x y $.
    hbbr.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbbr.2 $e |- ( y e. R -> A. x y e. R ) $.
    hbbr.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for binary relation. $)
    hbbr $p |- ( A R B -> A. x A R B ) $=
      ( cop wcel wal wbr hbop hbel df-br albii 3imtr4 ) CDIZEJZSAKCDELZTAKABBRE
      ABCDFHMGNCDEOZTSAUAPQ $.
      $( [1-Sep-1999] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z R $.  $d x y z $.  $d y ph $.
    hbbrd.1 $e |- ( ph -> A. x ph ) $.
    hbbrd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbbrd.3 $e |- ( ph -> ( y e. R -> A. x y e. R ) ) $.
    hbbrd.4 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbbr . $)
    hbbrd $p |- ( ph -> ( A R B -> A. x A R B ) ) $=
      ( vz cv wcel wal cab wbr wi hba1 hbab hbbr a1i wceq 19.21aiv abidhb syl
      breq12d wb breq bitrd albid 3imtr3d ) AKLZDMZBNZKOZULEMZBNZKOZULFMZBNZKOZ
      PZVBBNZDEFPZVDBNVBVCQABCUOURVAUNBKCUMBRSUTBKCUSBRSUQBKCUPBRSTUAAVBDEVAPZV
      DAUODUREVAACLZDMZVGBNQZCNUODUBAVHCHUCBCKDUDUEAVFEMZVIBNQZCNUREUBAVJCJUCBC
      KEUDUEUFAVAFUBZVEVDUGAVFFMZVLBNQZCNVKAVMCIUCBCKFUDUEDEVAFUHUEUIZAVBVDBGVN
      UJUK $.
      $( [22-Dec-2005] $) $( [13-Dec-2005] $)
  $}

  ${
    $d x z $.  $d y z $.  $d R z $.
    $( Relationship between a binary relation and a class abstraction. $)
    brab1 $p |- ( x R y <-> x e. { z | z R y } ) $=
      ( cv wbr cab wcel visset breq1 elab bicomi ) AEZCEZBEZDFZCGHMODFZPQCMAINM
      ODJKL $.
      $( [7-Apr-1994] $)
  $}

  $( A property of proper class as the second argument of a binary relation. $)
  brprc $p |- ( -. B e. V -> ( A R B <-> A R A ) ) $=
    ( cvv wcel wn cop wbr opprc2 eleq1d df-br 3bitr4g ) BDEFZABGZCEAAGZCEABCHAA
    CHMNOCABIJABCKAACKL $.
    $( [14-Jun-1998] $)

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d y z D $.  $d y z R $.
    $d x y z $.
    $( Move substitution in and out of a binary relation. $)
    sbcbrg $p |- ( A e. D -> ( [ A / x ] B R C <->
           [_ A / x ]_ B [_ A / x ]_ R  [_ A / x ]_ C ) ) $=
      ( vy vz wcel wbr cv wsbc csb ax-17 hbcsb1g hbbrd wceq wb wex a9e cvv wal
      wi visset hbsbc1g ax-mp hbcsb1 hbbr hbbi csbeq1a breq12d sbceq1a breq
      syl 3bitr3d 19.23ai a1i 3bitrd sbciegf sbccog csbcog bitrd ) BEIZCDFJZAGK
      ZLZGBLGBAVECMZMZGBAVEDMZMZGBAVEFMZMZJZVDABLABCMZABDMZABFMZJZVFVMGBEVCGHVH
      VJVLVCGNGHBVGEHKZBIGNZOGHBVKEVSOGHBVIEVSOPVEBQZVFVGVIVKJZVHVJVKJZVMVFWARZ
      VTAKVEQZASWCAGTWDWCAVFWAAVEUAIVFVFAUBUCGUDZVDAHVEUAVRVEIANZUEUFAHVGVIVKAH
      VECWEWFUGAHVEFWEWFUGAHVEDWEWFUGUHUIWDVDVGVIFJZVFWAWDCVGDVIFAVECUJAVEDUJUK
      VDAVEULWDFVKQWGWARAVEFUJVGVIFVKUMUNUOUPUFUQVTVGVHVIVJVKGBVGUJGBVIUJUKVTVK
      VLQWBVMRGBVKUJVHVJVKVLUMUNURUSVDAGBEUTVCVMVNVOVLJZVQVCVHVNVJVOVLAGBCEVAAG
      BDEVAUKVCVLVPQWHVQRAGBFEVAVNVOVLVPUMUNVBUO $.
      $( [22-Dec-2005] $) $( [13-Dec-2005] $)
  $}

  ${
    $d y A $.  $d y C $.  $d y D $.  $d x y R $.
    $( Move substitution in and out of a binary relation. $)
    sbcbr12g $p |- ( A e. D ->
                 ( [ A / x ] B R C <-> [_ A / x ]_ B R [_ A / x ]_ C ) ) $=
      ( vy wcel wbr wsbc csb sbcbrg wceq wb cv ax-17 csbconstgf breq syl bitrd
      ) BEHZCDFIABJABCKZABDKZABFKZIZUBUCFIZABCDEFLUAUDFMUEUFNAGBFEGOFHAPQUBUCUD
      FRST $.
      $( [30-Dec-2005] $) $( [13-Dec-2005] $)
  $}

  ${
    $d y A $.  $d x y C $.  $d y D $.  $d x y R $.
    $( Move substitution in and out of a binary relation. $)
    sbcbr1g $p |- ( A e. D ->
                  ( [ A / x ] B R C <-> [_ A / x ]_ B R C ) ) $=
      ( vy wcel wbr wsbc csb sbcbr12g cv ax-17 csbconstgf breq2d bitrd ) BEHZCD
      FIABJABCKZABDKZFISDFIABCDEFLRTDSFAGBDEGMDHANOPQ $.
      $( [1-Jan-2006] $) $( [13-Dec-2005] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y D $.  $d x y R $.
    $( Move substitution in and out of a binary relation. $)
    sbcbr2g $p |- ( A e. D ->
                  ( [ A / x ] B R C <-> B R [_ A / x ]_ C ) ) $=
      ( vy wcel wbr wsbc csb sbcbr12g cv ax-17 csbconstgf breq1d bitrd ) BEHZCD
      FIABJABCKZABDKZFICTFIABCDEFLRSCTFAGBCEGMCHANOPQ $.
      $( [21-Feb-2006] $) $( [13-Dec-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Ordered-pair class abstractions (class builders)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend class notation to include ordered-pair class abstraction (class
     builder). $)
  copab $a class { <. x , y >. | ph } $.

  ${
    $d x z $.  $d y z $.  $d z ph $.
    $( Define the class abstraction of a collection of ordered pairs.
       Definition 3.3 of [Monk1] p. 34.  Usually ` x ` and ` y ` are distinct,
       although the definition doesn't strictly require it (see ~ dfid2 for a
       case where they are not distinct).  The brace notation is called "class
       abstraction" by Quine; it is also (more commonly) called a "class
       builder" in the literature.  An alternate definition using no
       existential quantifiers is shown by ~ dfopab2 . $)
    df-opab $a |- { <. x , y >. | ph } =
                  { z | E. x E. y ( z = <. x , y >. /\ ph ) } $.
  $}

  ${
    $d x z R $.  $d y z R $.
    $( The collection of ordered pairs in a class is a subclass of it. $)
    opabss $p |- { <. x , y >. | x R y } (_ R $=
      ( vz cv wbr copab wcel cab cop wceq wa wex df-opab eleq1 biimpar df-br
      sylan2b 19.23aivv ss2abi eqsstr abid2 sseqtr ) AEZBEZCFZABGZDEZCHZDIZCUGU
      HUDUEJZKZUFLZBMAMZDIUJUFABDNUNUIDUMUIABULUKCHZUIUFULUIUOUHUKCOPUDUECQRSTU
      ADCUBUC $.
      $( [27-Dec-1996] $)
  $}

  ${
    $d x z $.  $d y z $.  $d z ph $.  $d z ps $.  $d z ch $.
    opabbid.1 $e |- ( ph -> A. x ph ) $.
    opabbid.2 $e |- ( ph -> A. y ph ) $.
    opabbid.3 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal ordered-pair class abstractions (deduction
       rule). $)
    opabbid $p |- ( ph -> { <. x , y >. | ps } = { <. x , y >. | ch } ) $=
      ( vz cv cop wceq wa wex cab copab ax-17 anbi2d exbid abbid df-opab
      3eqtr4g ) AIJDJEJKLZBMZENZDNZIOUCCMZENZDNZIOBDEPCDEPAUFUIIAIQAUEUHDFAUDUG
      EGABCUCHRSSTBDEIUACDEIUAUB $.
      $( [24-Feb-2004] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x ph $.  $d y z ph $.  $d z ps $.  $d z ch $.
    opabbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal ordered-pair class abstractions (deduction
       rule). $)
    opabbidv $p |- ( ph -> { <. x , y >. | ps } = { <. x , y >. | ch } ) $=
      ( ax-17 opabbid ) ABCDEADGAEGFH $.
      $( [15-May-1995] $)
  $}

  ${
    $d x y z $.  $d z ph $.  $d z ps $.
    opabbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's yield equal class abstractions. $)
    opabbii $p |- { <. x , y >. | ph } = { <. x , y >. | ps } $=
      ( vz cv wceq copab eqid wb a1i opabbidv ax-mp ) FGZOHZACDIBCDIHOJPABCDABK
      PELMN $.
      $( [15-May-1995] $)
  $}

  ${
    $d x y z w v $.  $d v ph $.  $d v ps $.
    cbvopab.1 $e |- ( ph -> A. z ph ) $.
    cbvopab.2 $e |- ( ph -> A. w ph ) $.
    cbvopab.3 $e |- ( ps -> A. x ps ) $.
    cbvopab.4 $e |- ( ps -> A. y ps ) $.
    cbvopab.5 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables in an ordered-pair class
       abstraction, using implicit substitution. $)
    cbvopab $p |- { <. x , y >. | ph } = { <. z , w >. | ps } $=
      ( vv cv cop wceq wa wex cab copab ax-17 hban opeq12 eqeq2d anbi12d
      cbvex2 abbii df-opab 3eqtr4 ) LMZCMZDMZNZOZAPZDQCQZLRUIEMZFMZNZOZBPZFQEQZ
      LRACDSBEFSUOVALUNUTCDEFUMAEUMETGUAUMAFUMFTHUAUSBCUSCTIUAUSBDUSDTJUAUJUPOU
      KUQOPZUMUSABVBULURUIUJUKUPUQUBUCKUDUEUFACDLUGBEFLUGUH $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d x y z w $.  $d z w v ph $.  $d x y v ps $.
    cbvopabv.1 $e |- ( ( x = z /\ y = w ) -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables in an ordered-pair class
       abstraction, using implicit substitution. $)
    cbvopabv $p |- { <. x , y >. | ph } = { <. z , w >. | ps } $=
      ( ax-17 cbvopab ) ABCDEFAEHAFHBCHBDHGI $.
      $( [15-Oct-1996] $)
  $}

  ${
    $d x y z w $.  $d w ph $.  $d w ps $.
    cbvopab1.1 $e |- ( ph -> A. z ph ) $.
    cbvopab1.2 $e |- ( ps -> A. x ps ) $.
    cbvopab1.3 $e |- ( x = z -> ( ph <-> ps ) ) $.
    $( Change first bound variable in an ordered-pair class abstraction,
       using explicit substitution. $)
    cbvopab1 $p |- { <. x , y >. | ph } = { <. z , y >. | ps } $=
      ( vw cv cop wceq wa wex cab copab ax-17 hban hbex opeq1 eqeq2d anbi12d
      exbidv cbvex abbii df-opab 3eqtr4 ) IJZCJZDJZKZLZAMZDNZCNZIOUHEJZUJKZLZBM
      ZDNZENZIOACDPBEDPUOVAIUNUTCEUMEDULAEULEQFRSUSCDURBCURCQGRSUIUPLZUMUSDVBUL
      URABVBUKUQUHUIUPUJTUAHUBUCUDUEACDIUFBEDIUFUG $.
      $( [17-Oct-2004] $) $( [6-Oct-2004] $)
  $}

  ${
    $d x y z w $.  $d z w ph $.
    $( Change first bound variable in an ordered-pair class abstraction,
       using explicit substitution. $)
    cbvopab1s $p |- { <. x , y >. | ph } = { <. z , y >. | [ z / x ] ph } $=
      ( vw cv cop wceq wa wex cab wsbc copab ax-17 hbs1 hban hbex opeq1 eqeq2d
      sbequ12 anbi12d exbidv cbvex abbii df-opab 3eqtr4 ) EFZBFZCFZGZHZAIZCJZBJ
      ZEKUGDFZUIGZHZABUOLZIZCJZDJZEKABCMURDCMUNVAEUMUTBDUMDNUSBCUQURBUQBNABDOPQ
      UHUOHZULUSCVBUKUQAURVBUJUPUGUHUOUIRSABDTUAUBUCUDABCEUEURDCEUEUF $.
      $( [5-Nov-2004] $) $( [31-Jul-2003] $)
  $}

  ${
    $d x y z $.  $d z ph $.  $d x ps $.
    cbvopab1v.1 $e |- ( x = z -> ( ph <-> ps ) ) $.
    $( Rule used to change the first bound variable in an ordered pair
       abstraction, using implicit substitution.  (The proof was shortened by
       Eric Schmidt, 4-Apr-2007.) $)
    cbvopab1v $p |- { <. x , y >. | ph } = { <. z , y >. | ps } $=
      ( ax-17 cbvopab1 ) ABCDEAEGBCGFH $.
      $( [4-Apr-2007] $) $( [31-Jul-2003] $)
  $}

  ${
    $d x y z w $.  $d z w ph $.  $d y w ps $.
    cbvopab2v.1 $e |- ( y = z -> ( ph <-> ps ) ) $.
    $( Rule used to change the second bound variable in an ordered pair
       abstraction, using implicit substitution. $)
    cbvopab2v $p |- { <. x , y >. | ph } = { <. x , z >. | ps } $=
      ( vw cv cop wceq wa wex cab copab opeq2 eqeq2d anbi12d cbvexv exbii
      abbii df-opab 3eqtr4 ) GHZCHZDHZIZJZAKZDLZCLZGMUCUDEHZIZJZBKZELZCLZGMACDN
      BCENUJUPGUIUOCUHUNDEUEUKJZUGUMABUQUFULUCUEUKUDOPFQRSTACDGUABCEGUAUB $.
      $( [2-Sep-1999] $)
  $}

  ${
    $d w y z A $.  $d w ph $.  $d w x y z $.
    $( Move substitution into a class abstraction. $)
    csbopabg $p |- ( A e. B -> [_ A / x ]_ { <. y , z >. | ph } =
               { <. y , z >. | [ A / x ] ph } ) $=
      ( vw wcel cvv copab csb wsbc wceq elisset cv cop wa wex cab df-opab
      csbeq2i csbabg sbcexg sbcang ax-17 sbcgf anbi1d bitrd exbidv abbidv
      eqtrd eqcomi a1i 3eqtrd syl ) EFHEIHZBEACDJZKZABELZCDJZMEFNUPURBEGOCODOPM
      ZAQZDRZCRZGSZKZVAUSQZDRZCRZGSZUTBEUQVEIACDGTUAUPVFVDBELZGSVJVDBGEIUBUPVKV
      IGUPVKVCBELZCRVIVCCBEIUCUPVLVHCUPVLVBBELZDRVHVBDBEIUCUPVMVGDUPVMVABELZUSQ
      VGVAABEIUDUPVNVAUSVABEIVABUEUFUGUHUIUHUIUHUJUKVJUTMUPUTVJUSCDGTULUMUNUO
      $.
      $( [12-Aug-2007] $) $( [6-Aug-2007] $)
  $}

  ${
    $d x z $.  $d y z $.  $d ph z $.  $d ps z $.
    $( Union of two ordered pair class abstractions. $)
    unopab $p |- ( { <. x , y >. | ph } u. { <. x , y >. | ps } ) =
               { <. x , y >. | ( ph \/ ps ) } $=
      ( vz cv cop wceq wa wex cab cun wo copab unab 19.43 andi exbii bitr2
      bitr3 abbii eqtr df-opab uneq12i 3eqtr4 ) EFCFDFGHZAIZDJZCJZEKZUFBIZDJZCJ
      ZEKZLZUFABMZIZDJZCJZEKZACDNZBCDNZLUPCDNUOUIUMMZEKUTUIUMEOVCUSEVCUHULMZCJU
      SUHULCPVDURCURUGUKMZDJVDUQVEDUFABQRUGUKDPSRTUAUBVAUJVBUNACDEUCBCDEUCUDUPC
      DEUCUE $.
      $( [30-Sep-2002] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Transitive classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare a new symbol. $)
  $c Tr $. $( Transitive predicate (read:  "the following class is
              transitive") $)

  $( Extend wff notation to include transitive classes.  Notation from
     [TakeutiZaring] p. 35. $)
  wtr $a wff Tr A $.

  $( Define a transitive class.  Not to be confused with a transitive
     relation (see ~ cotr ).  Definition of [Enderton] p. 71 extended to
     arbitrary classes.  For alternate definitions, see ~ dftr2 (which is
     suggestive of the word "transitive"), ~ dftr3 , ~ dftr4 , ~ dftr5 , and
     (when ` A ` is a set) ~ unisuc .  The term "complete" is used instead of
     "transitive" in Definition 3 of [Suppes] p. 130. $)
  df-tr $a |- ( Tr A <-> U. A (_ A ) $.

  ${
    $d x y A $.
    $( An alternate way of defining a transitive class.  Exercise 7 of
       [TakeutiZaring] p. 40. $)
    dftr2 $p |- ( Tr A <-> A. x A. y ( ( x e. y /\ y e. A ) -> x e. A ) ) $=
      ( cuni wss cv wcel wi wal wtr wa dfss2 df-tr wex 19.23v eluni imbi1i
      bitr4 albii 3bitr4 ) CDZCEAFZUAGZUBCGZHZAICJUBBFZGUFCGKZUDHBIZAIAUACLCMUH
      UEAUHUGBNZUDHUEUGUDBOUCUIUDBUBCPQRST $.
      $( [24-Apr-1994] $)
  $}

  ${
    $d x y A $.
    $( An alternate way of defining a transitive class. $)
    dftr5 $p |- ( Tr A <-> A. x e. A A. y e. x y e. A ) $=
      ( wtr cv wcel wa wi wal wral dftr2 alcom impexp albii df-ral r19.21v
      3bitr2 bitr4 3bitr ) CDBEZAEZFZUACFZGTCFZHZAIBIUEBIZAIZUDBUAJZACJZBACKUEB
      ALUGUCUHHZAIUIUFUJAUFUBUCUDHZHZBIUKBUAJUJUEULBUBUCUDMNUKBUAOUCUDBUAPQNUHA
      CORS $.
      $( [21-Mar-2004] $) $( [20-Mar-2004] $)
  $}

  ${
    $d x y A $.
    $( An alternate way of defining a transitive class.  Definition 7.1 of
       [TakeutiZaring] p. 35. $)
    dftr3 $p |- ( Tr A <-> A. x e. A x (_ A ) $=
      ( vy wtr cv wcel wral wss dftr5 dfss3 ralbii bitr4 ) BDCEBFCAEZGZABGMBHZA
      BGACBIONABCMBJKL $.
      $( [29-Aug-1993] $)
  $}

  ${
    $d x y A $.
    $( An alternate way of defining a transitive class.  Definition of
       [Enderton] p. 71. $)
    dftr4 $p |- ( Tr A <-> A (_ P~ A ) $=
      ( vx cv cpw wcel wral wss wtr visset elpw ralbii dfss3 dftr3 3bitr4r ) BC
      ZADZEZBAFOAGZBAFAPGAHQRBAOABIJKBAPLBAMN $.
      $( [29-Aug-1993] $)
  $}

  $( Equality theorem for the transitive class predicate. $)
  treq $p |- ( A = B -> ( Tr A <-> Tr B ) ) $=
    ( wceq cuni wss wtr unieq sseq1d sseq2 bitrd df-tr 3bitr4g ) ABCZADZAEZBDZB
    EZAFBFMOPAEQMNPAABGHABPIJAKBKL $.
    $( [17-Sep-1993] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( In a transitive class, the membership relation is transitive. $)
    trel $p |- ( Tr A -> ( ( B e. C /\ C e. A ) -> B e. A ) ) $=
      ( vx vy wtr wcel wi cv wceq eleq1 imbi2d imbi12d eleq2 imbi1d wa wal
      dftr2 biimp 19.21bbi exp3a vtoclg com4l pm2.43 syl6 pm2.43b imp3a ) AFZBC
      GZCAGZBAGZUHUIUJUKHZUHDIZCGZUJUMAGZHZHZHZUHUIULHZHDBCUMBJZUQUSUHUTUNUIUPU
      LUMBCKUTUOUKUJUMBAKLMLUHUNUJUPHUPUJUHUNUJUOUHUMEIZGZVAAGZUOHZHZHURECAVACJ
      ZVEUQUHVFVBUNVDUPVACUMNVFVCUJUOVACAKOMLUHVBVCUOUHVBVCPUOHZDEUHVGEQDQDEARS
      TUAUBUCUJUOUDUEUBUFUG $.
      $( [19-Apr-1994] $)
  $}

  $( In a transitive class, the membership relation is transitive. $)
  trel3 $p |- ( Tr A -> ( ( B e. C /\ C e. D /\ D e. A ) -> B e. A ) ) $=
    ( wtr wcel w3a wa trel anim2d 3anass syl5ib syld ) AEZBCFZCDFZDAFZGZOCAFZHZ
    BAFNOPQHZHTRNUASOACDIJOPQKLABCIM $.
    $( [19-Apr-1994] $)

  ${
    $d x A $.  $d x B $.
    $( An element of a transitive class is a subset of the class. $)
    trss $p |- ( Tr A -> ( B e. A -> B (_ A ) ) $=
      ( vx wtr wcel wss cv wi wceq eleq1 sseq1 imbi12d imbi2d wral dftr3 ra4
      sylbi vtoclg pm2.43b ) ADZBAEZBAFZTCGZAEZUCAFZHZHTUAUBHZHCBAUCBIZUFUGTUHU
      DUAUEUBUCBAJUCBAKLMTUECANUFCAOUECAPQRS $.
      $( [7-Aug-1994] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The intersection of transitive classes is transitive. $)
    trin $p |- ( ( Tr A /\ Tr B ) -> Tr ( A i^i B ) ) $=
      ( vx wtr wa cv cin wss wral wcel trss im2anan9 elin syl5ib ssin syl6ib
      r19.21aiv dftr3 sylibr ) ADZBDZEZCFZABGZHZCUDIUDDUBUECUDUBUCUDJZUCAHZUCBH
      ZEZUEUBUCAJZUCBJZEUIUFTUJUGUAUKUHAUCKBUCKLUCABMNUCABOPQCUDRS $.
      $( [9-May-1994] $)
  $}

  $( The empty set is transitive. $)
  tr0 $p |- Tr (/) $=
    ( c0 wtr cpw wss 0ss dftr4 mpbir ) ABAACZDHEAFG $.
    $( [16-Sep-1993] $)

  $( The universe is transitive. $)
  trv $p |- Tr V $=
    ( cvv wtr cuni wss ssv df-tr mpbir ) ABACZADHEAFG $.
    $( [14-Sep-2003] $)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
             ZF Set Theory - add the Axiom of Replacement
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Introduce the Axiom of Replacement
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( Axiom of Replacement.  An axiom scheme of Zermelo-Fraenkel set theory.
       Axiom 5 of [TakeutiZaring] p. 19.  It tells us that that the image of
       any set under a function is also a set (see the variant ~ funimaex ).
       Although ` ph ` may be any wff whatsoever, this axiom is useful (i.e.
       its antecedent is satisfied) when we are given some function and ` ph `
       encodes the predicate "the value of the function at ` w ` is ` z ` ".
       Thus ` ph ` will ordinarily have free variables ` w ` and ` z ` - think
       of it informally as ` ph ( w , z ) ` .  We prefix ` ph ` with the
       quantifier ` A. y ` in order to "protect" the axiom from any ` ph `
       containing ` y ` , thus allowing us to eliminate any restrictions on
       ` ph ` .  This makes the axiom usable in a formalization that omits the
       logically redundant axiom ~ ax-17 .  Another common variant is derived
       as ~ axrep5 , where you can find some further remarks.  A slightly more
       compact version is shown as ~ axrep2 .  A quite different variant is
       ~ zfrep6 , which if used in place of ~ ax-rep would also require that
       the Separation Scheme ~ axsep be stated as a separate axiom.

       There is very a strong generalization of Replacement that doesn't demand
       function-like behavior of ` ph ` .  Two versions of this generalization
       are called the Collection Principle ~ cp and the Boundedness Axiom
        ~ bnd .

       Many developments of set theory distinguish the uses of Replacement from
       uses the weaker axioms of Separation ~ axsep , Null Set ~ axnul , and
       Pairing ~ axpr , all of which we derive from Replacement.  In order to
       make it easier to identify the uses of those redundant axioms, we
       restate them as axioms ~ ax-sep , ~ ax-nul , and ~ ax-pr below the
       theorems that prove them. $)
    ax-rep $a |- ( A. w E. y A. z ( A. y ph -> z = y ) ->
                     E. y A. z ( z e. y <-> E. w ( w e. x /\ A. y ph ) ) ) $.
  $}

  ${
    $d w y ph $.  $d w x y z $.
    $( The version of the Axiom of Replacement used in the Metamath Solitaire
       applet ~ http://us.metamath.org/mmsolitaire/mms.html .
       Equivalence is shown via the path ~ ax-rep ` -> ` ~ axrep1 ` -> `
       ~ axrep2 ` -> ` ~ axrepnd ` -> ` ~ zfcndrep = ~ ax-rep . $)
    axrep1 $p |- E. x ( E. y A. z ( ph -> z = y ) ->
                 A. z ( z e. x <-> E. x ( x e. y /\ ph ) ) ) $=
      ( vw cv wceq wi wal wex wcel wa wb elequ2 anbi1d exbidv bibi2d albidv
      imbi2d ax-4 imim1i 19.20i 19.22i ax-rep syl ax-17 hbe1 hbbi hbal hba1
      hban hbex bibi1d cbvex sylib chvarv 19.35ri 19.3 anbi2i exbii bibi2i
      albii imbi2i mpbi ) ADFZCFZGZHZDIZCJZVEBFZKZVKVFKZACIZLZBJZMZDIZHZBJVJVLV
      MALZBJZMZDIZHZBJVJVRBVJBIZVLVKEFZKZVNLZBJZMZDIZBJZHWEVRBJZHECWFVFGZWLWMWE
      WNWKVRBWNWJVQDWNWIVPVLWNWHVOBWNWGVMVNECBNOPQRPSWEVEVFKZWIMZDIZCJZWLWEVNVG
      HZDIZCJZBIWRVJXABVIWTCVHWSDVNAVGACTUAUBUCUBAECDBUDUEWQWKCBWPBDWOWIBWOBUFW
      HBUGUHUIWJCDVLWICVLCUFWHCBWGVNCWGCUFACUJUKULUHUIVFVKGZWPWJDXBWOVLWICBDNUM
      RUNUOUPUQVSWDBVRWCVJVQWBDVPWAVLVOVTBVNAVMACACUFURUSUTVAVBVCUTVD $.
      $( [21-Nov-2005] $) $( [19-Nov-2005] $)
  $}

  ${
    $d w ph $.  $d w x y z $.
    $( Axiom of Replacement expressed with the fewest number of different
       variables and without any restrictions on ` ph ` . $)
    axrep2 $p |- E. x ( E. y A. z ( ph -> z = y ) ->
                        A. z ( z e. x <-> E. x ( x e. y /\ A. y ph ) ) ) $=
      ( vw wal cv wceq wi wex wcel wa wb hbe1 ax-17 hbim hbex elequ2 anbi1d
      exbidv bibi2d albidv imbi2d axrep1 chvar ax-4 imim1i 19.20i 19.22i hba1
      hbal equequ2 cbvex sylib ax-mp ) ACFZDGZEGZHZIZDFZEJZUQBGZKZVCCGZKZUPLZBJ
      ZMZDFZIZBJZAUQVEHZIZDFZCJZVJIZBJVBVDVCURKZUPLZBJZMZDFZIZBJVLECVKEBVBVJEVA
      ENVJEOPQURVEHZWCVKBWDWBVJVBWDWAVIDWDVTVHVDWDVSVGBWDVRVFUPECBRSTUAUBUCTUPB
      EDUDUEVKVQBVPVBVJVPUPVMIZDFZCJVBVOWFCVNWEDUPAVMACUFUGUHUIWFVACEWFEOUTCDUP
      USCACUJUSCOPUKVEURHZWEUTDWGVMUSUPCEDULUCUBUMUNUGUIUO $.
      $( [15-Aug-2003] $)
  $}

  ${
    $d w x y z $.
    $( Axiom of Replacement slightly strengthened from ~ axrep2 ; ` w ` may
       occur free in ` ph ` . $)
    axrep3 $p |- E. x ( E. y A. z ( ph -> z = y ) ->
                 A. z ( z e. x <-> E. x ( x e. w /\ A. y ph ) ) ) $=
      ( cv wceq wi wal wex wcel wa wb hbe1 ax-17 hba1 hban hbex hbbi hbal hbim
      elequ2 anbi1d exbidv bibi2d albidv imbi2d axrep2 chvar ) ADFZCFZGHDIZCJZU
      JBFZKZUNUKKZACIZLZBJZMZDIZHZBJUMUOUNEFZKZUQLZBJZMZDIZHZBJCEVICBUMVHCULCNV
      GCDUOVFCUOCOVECBVDUQCVDCOACPQRSTUARUKVCGZVBVIBVJVAVHUMVJUTVGDVJUSVFUOVJUR
      VEBVJUPVDUQCEBUBUCUDUEUFUGUDABCDUHUI $.
      $( [2-Jan-1997] $)
  $}

  ${
    $d x y z w $.
    axrep4.1 $e |- ( ph -> A. z ph ) $.
    $( A more traditional version of the Axiom of Replacement. $)
    axrep4 $p |- ( A. x E. z A. y ( ph -> y = z ) ->
                E. z A. y ( y e. z <-> E. x ( x e. w /\ ph ) ) ) $=
      ( cv wceq wi wal wex wcel wa wb axrep3 19.35i ax-17 hba1 hban hbex hbbi
      hbal hbe1 elequ2 19.3 anbi2i exbii a1i bibi12d albid cbvex sylib ) ACGZDG
      ZHICJDKZBJUMBGZLZUPEGLZADJZMZBKZNZCJZBKUMUNLZURAMZBKZNZCJZDKUOVCBABDCEOPV
      CVHBDVBDCUQVADUQDQUTDBURUSDURDQADRSTUAUBVGBCVDVFBVDBQVEBUCUAUBUPUNHZVBVGC
      VICQVIUQVDVAVFBDCUDVAVFNVIUTVEBUSAURADFUEUFUGUHUIUJUKUL $.
      $( [14-Aug-1994] $)
  $}

  ${
    $d x y z w $.
    axrep5.1 $e |- ( ph -> A. z ph ) $.
    $( Axiom of Replacement (similar to Axiom Rep of [BellMachover] p. 463).
       The antecedent tells us ` ph ` is analogous to a "function" from ` x `
       to ` y ` (although it is not really a function since it is a wff and not
       a class).  In the consequent we postulate the existence of a set ` z `
       that corresponds to the "image" of ` ph ` restricted to some other set
       ` w ` .  The hypothesis says ` z ` must not be free in ` ph ` . $)
    axrep5 $p |- ( A. x ( x e. w -> E. z A. y ( ph -> y = z ) ) ->
                E. z A. y ( y e. z <-> E. x ( x e. w /\ ph ) ) ) $=
      ( cv wcel wceq wi wal wex wa wb 19.37v impexp albii 19.21v bitr2 exbii
      bitr3 ax-17 hban axrep4 sylbi anabs5 bibi2i sylib ) BGEGHZACGZDGZIZJZCKZD
      LJZBKZUJUKHZUIUIAMZMZBLZNZCKZDLZUQURBLZNZCKZDLUPURULJZCKZDLZBKVCUOVIBUOUI
      UNJZDLVIUIUNDOVJVHDVHUIUMJZCKVJVGVKCUIAULPQUIUMCRSTUAQURBCDEUIADUIDUBFUCU
      DUEVBVFDVAVECUTVDUQUSURBUIAUFTUGQTUH $.
      $( [26-Nov-1995] $)
  $}

  ${
    $d y z A v $.  $d z ph v $.  $d A w v $.  $d x y z v $.  $d x w v $.

    zfrepclf.1 $e |- ( w e. A -> A. x w e. A ) $.
    zfrepclf.2 $e |- A e. V $.
    zfrepclf.3 $e |- ( x e. A -> E. z A. y ( ph -> y = z ) ) $.
    $( An inference rule based on the Axiom of Replacement.
       Typically, ` ph ` defines a function from ` x ` to ` y ` . $)
    zfrepclf $p |- E. z A. y ( y e. z <-> E. x ( x e. A /\ ph ) ) $=
      ( vv cv wcel wa wex wb wal wceq wi ax-17 hbeq eleq2 syl6bi 19.21ai
      axrep5 syl anbi1d exbid bibi2d albidv exbidv mpbid vtocle ) CKZDKZLZBKZFL
      ZAMZBNZOZCPZDNZJFHJKZFQZUOUPVCLZAMZBNZOZCPZDNZVBVDVEAUMUNQRCPDNZRZBPVJVDV
      LBBEEVCFEKVCLBSGTZVDVEUQVKVCFUPUAZIUBUCABCDJADSUDUEVDVIVADVDVHUTCVDVGUSUO
      VDVFURBVMVDVEUQAVNUFUGUHUIUJUKUL $.
      $( [26-Nov-1995] $)
  $}

  ${
    $d x y z A $.  $d z ph $.
    zfrep3cl.1 $e |- A e. V $.
    zfrep3cl.2 $e |- ( x e. A -> E. z A. y ( ph -> y = z ) ) $.
    $( An inference rule based on the Axiom of Replacement.
       Typically, ` ph ` defines a function from ` x ` to ` y ` . $)
    zfrep3cl $p |- E. z A. y ( y e. z <-> E. x ( x e. A /\ ph ) ) $=
      ( cv wcel ax-17 zfrepclf ) ABCDCECHEIBJFGK $.
      $( [26-Nov-1995] $)
  $}

  ${
    $d ph y z $.  $d ps z $.  $d x y z $.
    zfrep4.1 $e |- { x | ph } e. V $.
    zfrep4.2 $e |- ( ph -> E. z A. y ( ps -> y = z ) ) $.
    $( A version of Replacement using class abstractions. $)
    zfrep4 $p |- { y | E. x ( ph /\ ps ) } e. V $=
      ( cv cab wcel wa wex cvv abid anbi1i exbii abbii wceq wb wal hbab1 wi
      sylbi zfrepclf abeq2 mpbir issetri eqeltrr ) CHACIZJZBKZCLZDIZABKZCLZDIMU
      LUODUKUNCUJABACNZOPQEUMEHZUMRZELDHZUQJULSDTZELBCDEDUIACDUAFUJABUSUQRUBDTE
      LUPGUCUDURUTEULDUQUEPUFUGUH $.
      $( [26-Nov-1995] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                    Derive the Axiom of Separation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.  $d y z ph w $.
    $( Separation Scheme, which is an axiom scheme of Zermelo's original
       theory.  Scheme Sep of [BellMachover] p. 463.  As we show here, it is
       redundant if we assume Replacement in the form of ~ ax-rep .  Some
       textbooks present Separation as a separate axiom scheme in order to show
       that much of set theory can be derived without the stronger Replacement.
       The Separation Scheme is a weak form of Frege's Axiom of Comprehension,
       conditioning it (with ` x e. z ` ) so that it asserts the existence of a
       collection only if it is smaller than some other collection ` z ` that
       already exists.  This prevents Russell's paradox ~ ru .  In some texts,
       this scheme is called "Aussonderung" or the Subset Axiom.

       The variable ` x ` can appear free in the wff ` ph ` , which in
       textbooks is often written ` ph ( x ) ` .  To specify this in the
       Metamath language, we _omit_ the distinct variable requirement ($d) that
       ` x ` not appear in ` ph ` .

       For a version using a class variable, see ~ zfauscl , which requires
       the Axiom of Extensionality as well as Replacement for its derivation.

       If we omit the requirement that ` y ` not occur in ` ph ` , we can
       derive a contradiction, as ~ notzfaus shows (contradicting ~ zfauscl ).
       However, as ~ axsep2 shows, we can eliminate the restriction that ` z `
       not occur in ` ph ` .

       Note:  the distinct variable restriction  that ` z ` not occur in
       ` ph ` is actually redundant in this particular proof, but we keep
       it since its purpose is to demonstrate the derivation of the exact
       ~ ax-sep from ~ ax-rep .

       This theorem should not be referenced by any proof.  Instead, use
       ~ ax-sep below so that the uses of the Axiom of Separation can be more
       easily identified. $)
    axsep $p |- E. y A. x ( x e. y <-> ( x e. z /\ ph ) ) $=
      ( vw cv wcel wceq wa wex wb wal wi ax-17 axrep5 a9e equtr equcomi syl6
      adantrd 19.21aiv 19.22i ax-mp a1i mpg an12 exbii elequ1 anbi1d equsex
      bitr3 bibi2i albii mpbi ) BFZCFZGZEFZDFZGZURUOHZAIZIZEJZKZBLZCJZUQUOUSGZA
      IZKZBLZCJUTVBUOUPHZMZBLZCJZMVGEVBEBCDVBCNOVOUTUPURHZCJVOCEPVPVNCVPVMBVPVA
      VLAVPVAUPUOHVLCEBQCBRSTUAUBUCUDUEVFVKCVEVJBVDVIUQVDVAUTAIZIZEJVIVRVCEVAUT
      AUFUGVQVIEBVIENVAUTVHAEBDUHUIUJUKULUMUGUN $.
      $( [12-Sep-2006] $) $( [11-Sep-2006] $)

    $( The Axiom of Separation of ZF set theory.  It was derived as ~ axsep
       above and is therefore redundant, but we state it as a separate axiom
       here so that its uses can be identified more easily. $)
    ax-sep $a |- E. y A. x ( x e. y <-> ( x e. z /\ ph ) ) $.
  $}

  ${
    $d x y z w $.  $d y ph w $.  $d z w $.
    $( A less restrictive version of the Separation Scheme ~ axsep , where
       variables ` x ` and ` z ` can both appear free in the wff ` ph ` , which
       can therefore be thought of as ` ph ( x , z ) ` .  This version was
       derived from the more restrictive ~ ax-sep with no additional set
       theory axioms. $)
    axsep2 $p |- E. y A. x ( x e. y <-> ( x e. z /\ ph ) ) $=
      ( vw cv wceq wex wcel wa wb wal a9e ax-sep elequ2 biimprd pm4.71rd
      anbi1d anass syl6bb bibi2d albidv exbidv mpbiri 19.23aiv ax-mp ) EFZDFZGZ
      EHBFZCFIZUJUHIZAJZKZBLZCHZEDMUIUPEUIUPUKUJUGIZUMJZKZBLZCHUMBCENUIUOUTCUIU
      NUSBUIUMURUKUIUMUQULJZAJURUIULVAAUIULUQUIUQULEDBOPQRUQULASTUAUBUCUDUEUF
      $.
      $( [11-Dec-2006] $) $( [10-Dec-2006] $)
  $}

  ${
    $d x y A z $.  $d y ph z $.
    zfauscl.1 $e |- A e. V $.
    $( Separation Scheme using a class variable.  To derive this from
       ~ ax-sep , we invoke the Axiom of Extensionality (indirectly via
       ~ vtocl ), which is needed for the justification of class variable
       notation.

       If we omit the requirement that ` y ` not occur in ` ph ` , we can
       derive a contradiction, as ~ notzfaus shows. $)
    zfauscl $p |- E. y A. x ( x e. y <-> ( x e. A /\ ph ) ) $=
      ( vz cv wcel wa wb wal wex wceq eleq2 anbi1d bibi2d albidv exbidv ax-sep
      vtocl ) BGZCGHZUAFGZHZAIZJZBKZCLUBUADHZAIZJZBKZCLFDEUCDMZUGUKCULUFUJBULUE
      UIUBULUDUHAUCDUANOPQRABCFST $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x ph z $.  $d x y z $.
    bm1.3ii.1 $e |- E. x A. y ( ph -> y e. x ) $.
    $( Convert implication to equivalence using Aussonderung.  Similar to
       Theorem 1.3ii of [BellMachover] p. 463. $)
    bm1.3ii $p |- E. x A. y ( y e. x <-> ph ) $=
      ( vz cv wcel wi wal wa wb wex wceq elequ2 imbi2d albidv cbvexv mpbi
      ax-sep pm3.2i exan 19.42v 19.26 bimsc1 19.20i sylbir 19.22i 19.23aiv
      ax-mp ) ACFZEFZGZHZCIZUJBFZGZULAJKZCIZBLZJZELUPAKZCIZBLZUNUSEUNELZUSAUPHZ
      CIZBLVDDVFUNBEUOUKMZVEUMCVGUPULABECNOPQRACBESTUAUTVCEUTUNURJZBLVCUNURBUBV
      HVBBVHUMUQJZCIVBUMUQCUCVIVACAULUPUDUEUFUGUFUHUI $.
      $( [5-Aug-1993] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Derive the Null Set Axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    zfnuleu.1 $e |- E. x A. y -. y e. x $.
    $( Show the uniqueness of the empty set (using the Axiom of
       Extensionality via ~ bm1.1 to strengthen ~ axnul ). $)
    zfnuleu $p |- E! x A. y -. y e. x $=
      ( cv wcel wn wal weu wceq wb wex equid nbn3 albii exbii mpbi ax-17 bm1.1
      ax-mp eubii mpbir ) BDZADEZFZBGZAHUCUBUBIZFZJZBGZAHZUIAKZUJUEAKUKCUEUIAUD
      UHBUFUCBLMNZOPUGABUGAQRSUEUIAULTUA $.
      $( [22-Dec-2007] $) $( [22-Dec-2007] $)
  $}

  ${
    $d x y z w $.
    $( Prove ~ axnul directly from ~ ax-rep without using any equality axioms
       ( ~ ax-9 thru ~ ax-16 ).  The wff ` x = x ` substituted for ` ph ` in
       the ~ ax-rep instance is arbitrary.  Here, we don't need to know if
       ` x = x ` is true or false, only that it's not both.  (Contributed by
       Jeff Hoffman, 4-Feb-2008.)  $)
    axnul2   $p |- E. x A. y -. y e. x $=
      ( vw vz cv wceq wn wb wal wi wex wcel wa ax-rep pm5.19 ax-4 mto intnan
      nex nbn albii exbii sylibr 19.8a pm2.21i mpg ) AEZUGFZUHGHZAIZBEZUGFZJZBI
      ZAKZUKUGLZGZBIZAKZCUOCIUPCEDELZUJMZCKZHZBIZAKUSUIDABCNURVDAUQVCBVBUPVACUJ
      UTUJUIUHOUIAPQZRSTUAUBUCUMUOBUNAUDUJULVEUEUFUF $.
      $( [5-Feb-2008] $) $( [4-Feb-2008] $)

    $( The Null Set Axiom of ZF set theory:  there exists a set with no
       elements.  Axiom of Empty Set of [Enderton] p. 18.  In some textbooks,
       this is presented as a separate axiom; here we show it can be derived
       from Separation ~ ax-sep .  This version of the Null Set Axiom tells
       us that at least one empty set exists, but does not tells us that it
       is unique - we need the Axiom of Extensionality to do that (see
       ~ zfnuleu ).

       This proof, suggested by Jeff Hoffman (3-Feb-2008), does not require the
       set existence axiom ~ ax-9 , unlike some empty set existence proofs
       (such as the remark in [Kunen] p. 11).  However, it uses ~ ax-4 , which
       also presupposes the existence of at least one set, i.e it does not hold
       in a "free logic" valid in empty domains.  Theorem ~ ax4 , which shows
       the redundancy of ~ ax-4 , depends on ~ ax-9 for its proof.  See
       ~ axnul2 for a similar proof directly from ~ ax-rep .

       This theorem should not be referenced by any proof.  Instead, use
       ~ ax-nul below so that the uses of the Null Set Axiom can be more easily
       identified. $)
    axnul $p |- E. x A. y -. y e. x $=
      ( vz cv wcel wn wa wb wal wex ax-sep pm3.24 intnan id mtbiri 19.20i
      19.22i ax-mp ) BDZADEZSCDEZSSEZUBFGZGZHZBIZAJTFZBIZAJUCBACKUFUHAUEUGBUETU
      DUCUAUBLMUENOPQR $.
      $( [4-Feb-2008] $) $( [7-Aug-2003] $)

    $( The Null Set Axiom of ZF set theory.  It was derived as ~ axnul above
       and is therefore redundant, but we state it as a separate axiom here so
       that its uses can be identified more easily. $)
    ax-nul $a |- E. x A. y -. y e. x $.

    $( The Null Set Axiom of ZF set theory:  the empty set exists.  Corollary
       5.16 of [TakeutiZaring] p. 20.  For the unabbreviated version, see
       ~ ax-nul . $)
    0ex $p |- (/) e. V $=
      ( vx vy c0 cvv wcel cv wceq weu wn wal ax-nul zfnuleu eq0 eubii mpbir
      eueq ) CDEAFZCGZAHZSBFQEIBJZAHABABKLRTABQMNOACPO $.
      $( [5-Aug-1993] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           Theorems requiring subset and intersection existence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( No set contains all sets.  Theorem 41 of [Suppes] p. 30. $)
    nalset $p |- -. E. x A. y y e. x $=
      ( vz cv wcel wn wex wal alexn wa wb visset zfauscl wceq elequ1 elequ2
      bitrd negbid anbi12d bibi12d a4v pclem6 syl 19.22i ax-mp mpgbi ) BDZADZEZ
      FZBGZUIBHAGFAUIABICDZUGEZULUHEZULULEZFZJZKZCHZBGUKUPCBUHALMUSUJBUSUGUGEZU
      IUTFZJZKZUJURVCCBULUGNZUMUTUQVBCBBOVDUNUIUPVACBAOVDUOUTVDUOUGULEUTCBCOCBB
      PQRSTUAUTUIUBUCUDUEUF $.
      $( [23-Aug-1993] $)
  $}

  ${
    $d x y $.
    $( The universal class is not a member of itself (and thus is not a set).
       Proposition 5.21 of [TakeutiZaring] p. 21; our proof, however, does
       not depend on the Axiom of Regularity. $)
    nvelv $p |- -. V e. V $=
      ( vx vy cvv wcel cv wceq wex wal nalset wb visset tbt albii dfcleq bitr4
      exbii mtbi isset mtbir ) CCDAEZCFZAGZBEZTDZBHZAGUBABIUEUAAUEUDUCCDZJZBHUA
      UDUGBUFUDBKLMBTCNOPQACRS $.
      $( [23-Aug-1993] $)
  $}

  $( The universal class doesn't belong to any class.  (Contributed by FL,
     31-Dec-2006.) $)
  nvel $p |- -. V e. A $=
    ( cvv wcel nvelv elisset mto ) BACBBCDBAEF $.
    $( [1-Jan-2007] $) $( [29-Dec-2006] $)

  $( The universal class does not exist. $)
  vnex $p |- -. E. x x = V $=
    ( cvv wcel cv wceq wex nvelv isset mtbi ) BBCADBEAFGABHI $.
    $( [13-Jul-2005] $) $( [4-Jul-2005] $)

  ${
    $d A x y $.  $d B x y $.
    inex1.1 $e |- A e. V $.
    $( Separation Scheme (Aussonderung) using class notation.  Compare
       Exercise 4 of [TakeutiZaring] p. 22. $)
    inex1 $p |- ( A i^i B ) e. V $=
      ( vx vy cin cv wceq wex wcel wa wb wal zfauscl dfcleq elin bibi2i albii
      bitr exbii mpbir issetri ) DABFZDGZUCHZDIEGZUDJZUFAJUFBJZKZLZEMZDIUHEDACN
      UEUKDUEUGUFUCJZLZEMUKEUDUCOUMUJEULUIUGUFABPQRSTUAUB $.
      $( [5-Aug-1993] $)
  $}

  ${
    inex2.1 $e |- A e. V $.
    $( Separation Scheme (Aussonderung) using class notation. $)
    inex2 $p |- ( B i^i A ) e. V $=
      ( cin cvv incom inex1 eqeltr ) BADABDEBAFABCGH $.
      $( [27-Apr-1994] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Closed-form, generalized Separation Scheme. $)
    inex1g $p |- ( A e. C -> ( A i^i B ) e. V ) $=
      ( vx cv cin cvv wcel wceq ineq1 eleq1d visset inex1 vtoclg ) DEZBFZGHABFZ
      GHDACOAIPQGOABJKOBDLMN $.
      $( [7-Apr-1995] $)
  $}

  ${
    ssex.1 $e |- B e. V $.
    $( The subset of a set is also a set.  Exercise 3 of [TakeutiZaring]
       p. 22.  This is one way to express the Axiom of Separation ~ ax-sep
       (a.k.a. Subset Axiom). $)
    ssex $p |- ( A (_ B -> A e. V ) $=
      ( wss cin wceq cvv wcel df-ss inex2 eleq1 mpbii sylbi ) ABDABEZAFZAGHZABI
      ONGHPBACJNAGKLM $.
      $( [27-Apr-1994] $)
  $}

  ${
    ssexi.1 $e |- B e. V $.
    ssexi.2 $e |- A (_ B $.
    $( The subset of a set is also a set. $)
    ssexi $p |- A e. V $=
      ( wss cvv wcel ssex ax-mp ) ABEAFGDABCHI $.
      $( [9-Sep-1993] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The subset of a set is also a set.  Exercise 3 of [TakeutiZaring]
       p. 22 (generalized). $)
    ssexg $p |- ( ( A (_ B /\ B e. C ) -> A e. V ) $=
      ( vx wcel wss cvv cv wi wceq sseq2 imbi1d visset ssex vtoclg impcom ) BCE
      ABFZAGEZADHZFZRIQRIDBCSBJTQRSBAKLASDMNOP $.
      $( [11-Sep-2006] $) $( [14-Aug-1994] $)
  $}

  $( Existence of a difference. $)
  difexg $p |- ( A e. C -> ( A \ B ) e. V ) $=
    ( cdif wss wcel cvv difss ssexg mpan ) ABDZAEACFKGFABHKACIJ $.
    $( [26-May-1998] $)

  ${
    $d x y A $.  $d y ph $.
    zfausab.1 $e |- A e. V $.
    $( Separation Scheme in terms of a class abstraction. $)
    zfausab $p |- { x | ( x e. A /\ ph ) } e. V $=
      ( cv wcel wa cab ssab2 ssexi ) BECFAGBHCDABCIJ $.
      $( [8-Jun-1994] $)
  $}

  ${
    $d x A $.
    $( Separation Scheme in terms of a restricted class abstraction. $)
    rabexg $p |- ( A e. B -> { x e. A | ph } e. V ) $=
      ( crab wss wcel cvv ssrab2 ssexg mpan ) ABCEZCFCDGLHGABCILCDJK $.
      $( [23-Oct-1999] $)
  $}

  ${
    $d x A $.
    rabex.1 $e |- A e. V $.
    $( Separation Scheme in terms of a restricted class abstraction. $)
    rabex $p |- { x e. A | ph } e. V $=
      ( cvv wcel crab rabexg ax-mp ) CEFABCGEFDABCEHI $.
      $( [19-Jul-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    elssabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Membership in a class abstraction involving a subset.  Unlike ~ elabg ,
       ` A ` does not have to be a set. $)
    elssabg $p |- ( B e. C ->
                  ( A e. { x | ( x (_ B /\ ph ) } <-> ( A (_ B /\ ps ) ) ) $=
      ( wcel wss wa cvv wi cv cab wb ssexg expcom adantrd wceq sseq1 anbi12d
      elab3g syl ) EFHZDEIZBJZDKHZLDCMZEIZAJZCNHUFOUDUEUGBUEUDUGDEFPQRUJUFCDKUH
      DSUIUEABUHDETGUAUBUC $.
      $( [29-Aug-2007] $) $( [29-Aug-2006] $)
  $}

  $( Membership in a power class.  Theorem 86 of [Suppes] p. 47. $)
  elpw2g $p |- ( B e. C -> ( A e. P~ B  <-> A (_ B ) ) $=
    ( wcel cpw wss elpwi cvv ssexg elpwg biimparc syldan expcom impbid2 ) BCDZA
    BEDZABFZABGQOPQOAHDZPABCIRPQABHJKLMN $.
    $( [7-Aug-2000] $)

  ${
    elpw2.1 $e |- B e. V $.
    $( Membership in a power class.  Theorem 86 of [Suppes] p. 47. $)
    elpw2 $p |- ( A e. P~ B  <-> A (_ B ) $=
      ( cvv wcel cpw wss wb elpw2g ax-mp ) BDEABFEABGHCABDIJ $.
      $( [12-Oct-2007] $) $( [11-Oct-2007] $)
  $}

  ${
    $d x A $.
    $( The intersection of a non-empty class exists.  Exercise 5 of
       [TakeutiZaring] p. 44 and its converse. $)
    intex $p |- ( A =/= (/) <-> |^| A e. V ) $=
      ( vx c0 wne cint cvv wcel cv wex ne0 wss intss1 visset ssex syl 19.23aiv
      sylbi wceq nvelv inteq int0 syl6eq eleq1d mtbiri necon2ai impbi ) ACDZAEZ
      FGZUGBHZAGZBIUIBAJUKUIBUKUHUJKUIUJALUHUJBMNOPQUIACACRZUIFFGSULUHFFULUHCEF
      ACTUAUBUCUDUEUF $.
      $( [15-Mar-2007] $) $( [13-Aug-2002] $)
  $}

  $( If a class intersection is not a set, it must be the universe. $)
  intnex $p |- ( -. |^| A e. V <-> |^| A = V ) $=
    ( cint cvv wcel wn wceq c0 intex necon1bbii inteq int0 syl6eq sylbi nvelv
    eleq1 mtbiri impbi ) ABZCDZEZRCFZTAGFZUASAGAHIUBRGBCAGJKLMUASCCDNRCCOPQ $.
    $( [4-Jul-2005] $) $( [3-Jul-2005] $)

  ${
    $d x y $.  $d ph y $.
    $( The intersection of a non-empty class abstraction exists. $)
    intexab $p |- ( E. x ph <-> |^| { x | ph } e. V ) $=
      ( wex cab c0 wne cint cvv wcel abn0 intex bitr3 ) ABCABDZEFMGHIABJMKL $.
      $( [3-Nov-2003] $) $( [21-Oct-2003] $)
  $}

  $( The intersection of a non-empty restricted class abstraction exists. $)
  intexrab $p |- ( E. x e. A ph <-> |^| { x e. A | ph } e. V ) $=
    ( cv wcel wa wex cab cint cvv wrex crab intexab df-rex df-rab inteqi
    eleq1i 3bitr4 ) BDCEAFZBGSBHZIZJEABCKABCLZIZJESBMABCNUCUAJUBTABCOPQR $.
    $( [3-Nov-2003] $) $( [21-Oct-2003] $)

  ${
    $d x y $.  $d x A $.  $d y ph $.  $d x ps $.  $d x ch $.
    intabs.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    intabs.2 $e |- ( x = |^| { y | ps } -> ( ph <-> ch ) ) $.
    intabs.3 $e |- ( |^| { y | ps } (_ A /\ ch ) $.
    $( Absorption of a redundant conjunct in the intersection of a class
       abstraction. $)
    intabs $p |- |^| { x | ( x (_ A /\ ph ) } = |^| { x | ph } $=
      ( cv wss wa cab cint cvv wcel wceq sseq1 anbi12d intmin3 wn intnex ssv
      sseq2 mpbiri sylbi pm2.61i cbvabv inteqi sseqtr4 pm3.27 ss2abi intss
      ax-mp eqssi ) DJZFKZALZDMZNZADMZNZUTBEMZNZVBVDOPZUTVDKZURVDFKZCLDVDOUPVDQ
      UQVGACUPVDFRHSITVEUAVDOQZVFVCUBVHVFUTOKUTUCVDOUTUDUEUFUGVAVCABDEGUHUIUJUS
      VAKVBUTKURADUQAUKULUSVAUMUNUO $.
      $( [8-Jul-2005] $) $( [3-Jul-2005] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Theorems requiring empty set existence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    $( Construct, from any class ` A ` , a set equal to it when the class
       exists and equal to the empty set when the class is proper.  This
       theorem shows that the constructed set always exists. $)
    class2set $p |- { x e. A | A e. V } e. V $=
      ( cvv wcel crab rabexg wn c0 wrex wceq cv pm3.26 nrexdv rabn0 necon1bbii
      sylib 0ex syl6eqel pm2.61i ) BCDZTABEZCDTABCFTGZUAHCUBTABIZGUAHJUBTABUBAK
      BDLMUCUAHTABNOPQRS $.
      $( [15-Nov-2003] $) $( [16-Oct-2003] $)

    $( Equality theorem based on ~ class2set .  (The proof was shortened by
       Raph Levien, 30-Jun-2006.) $)
    class2seteq $p |- ( A e. B -> { x e. A | A e. V } = A ) $=
      ( wcel cvv crab wceq elisset wral cv ax-1 r19.21aiv rabid2 sylibr eqcomd
      syl ) BCDBEDZQABFZBGBCHQBRQQABIBRGQQABQAJBDKLQABMNOP $.
      $( [1-Jul-2006] $) $( [13-Dec-2005] $)
  $}

  $( Every power class contains the empty set. $)
  0elpw $p |- (/) e. P~ A $=
    ( c0 cpw wcel wss 0ss 0ex elpw mpbir ) BACDBAEAFBAGHI $.
    $( [25-Oct-2007] $) $( [25-Oct-2007] $)

  $( The empty set and its power set are not equal. $)
  0nep0 $p |- (/) =/= { (/) } $=
    ( c0 csn wne 0ex snnz necom mpbi ) ABZACAHCADEHAFG $.
    $( [13-Apr-2007] $) $( [23-Dec-1993] $)

  $( Something cannot be equal to both the null set and the power set of
     the null set. $)
  0inp0 $p |- ( A = (/) -> -. A = { (/) } ) $=
    ( c0 wceq csn wne wn 0nep0 neeq1 mpbiri df-ne sylib ) ABCZABDZEZAMCFLNBMEGA
    BMHIAMJK $.
    $( [30-Sep-2003] $)

  $( The removal of the empty set from a class does not affect its union. $)
  unidif0 $p |- U. ( A \ { (/) } ) = U. A $=
    ( c0 csn cdif cuni cun uniun undif1 uncom eqtr2 unieqi 0ex unisn uneq2i
    un0 3eqtr4r uneq1i 3eqtr ) ABCZDZEZBAEZFZUBBFUBUASAFZEZSEZUBFUCTSFZEUAUFFZU
    EUATSGUDUGUGASFUDASHASIJKUHUABFUAUFBUABLMZNUAOJPSAGUFBUBUIQRBUBIUBOR $.
    $( [23-Mar-2004] $) $( [22-Mar-2004] $)

  ${
    $d x y A $.  $d y B $.
    $( An indexed intersection of the empty set, with a non-empty index set,
       is empty. $)
    iin0 $p |- ( A =/= (/) <-> |^|_ x e. A (/) = (/) ) $=
      ( vy c0 wne ciin wceq cv wcel wral cab r19.3rzv abbi2dv df-iin syl6reqr
      cvv wn 0ex n0i ax-mp 0iin eqeq1i mtbir iineq1 eqeq1d mtbiri necon2ai
      impbi ) BDEZABDFZDGZUIDCHDIZABJZCKUJUIUMCDULABLMACBDNOUKBDBDGZUKADDFZDGZU
      PPDGZDPIUQQRPDSTUOPDADUAUBUCUNUJUODABDDUDUEUFUGUH $.
      $( [28-Dec-2005] $) $( [20-Oct-2005] $)
  $}

  ${
    $d x A $.
    notzfaus.1 $e |- A = { (/) } $.
    notzfaus.2 $e |- ( ph <-> -. x e. y ) $.
    $( In the Separation Scheme ~ zfauscl , we require that ` y ` not occur
       in ` ph ` (which can be generalized to "not be free in").  Here we
       show that a contradiction can result if we omit this requirement. $)
    notzfaus $p |- -. E. y A. x ( x e. y <-> ( x e. A /\ ph ) ) $=
      ( cv wcel wa wb wal wn wex c0 wne csn 0ex snnz neeq1i mpbir ne0 mpbi wi
      biimt iman anbi2i negbii bitr4 syl6bb xor3 sylibr 19.22i ax-mp exnal nex
      ) BGZCGHZUPDHZAIZJZBKZCUTLZBMZVALURBMZVCDNOZVDVENPZNONQRDVFNESTBDUAUBURVB
      BURUQUSLZJVBURUQURUQUCZVGURUQUDVHURUQLZIZLVGURUQUEUSVJAVIURFUFUGUHUIUQUSU
      JUKULUMUTBUNUBUO $.
      $( [8-Oct-2006] $) $( [8-Feb-2006] $)
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
             ZF Set Theory - add the Axiom of Power Sets
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            Introduce the Axiom of Power Sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( Axiom of Power Sets.  An axiom of Zermelo-Fraenkel set theory.  It
       states that a set ` y ` exists that includes the power set of a given
       set ` x ` i.e. the collection of all subsets of ` x ` .  The variant
       ~ axpow2 states that the power set itself exists.  A version using
       class notation is ~ pwex . $)
    ax-pow $a |- E. y A. z ( A. w ( w e. z -> w e. x ) -> z e. y ) $.

    $( Axiom of Power Sets expressed with fewest number of different
       variables. $)
    axpow $p |- E. x A. y ( A. x ( x e. y -> x e. z ) -> y e. x ) $=
      ( vw cv wcel wi wal wex ax-pow wceq elequ1 imbi12d cbvalv imbi1i albii
      exbii mpbi ) DEZBEZFZSCEZFZGZDHZTAEZFZGZBHZAIUFTFZUFUBFZGZAHZUGGZBHZAICAB
      DJUIUOAUHUNBUEUMUGUDULDASUFKUAUJUCUKDABLDACLMNOPQR $.
      $( [14-Aug-2003] $)

    $( A variant of the Axiom of Power Sets ~ ax-pow .  For any set ` x ` ,
       there exists a set ` y ` whose members are exactly the subsets
       of ` x ` i.e. the power set of ` x ` .  Axiom Pow of [BellMachover]
       p. 466. $)
    axpow2 $p |- E. y A. z ( z e. y <-> A. w ( w e. z -> w e. x ) ) $=
      ( cv wcel wi wal ax-pow bm1.3ii ) DEZCEFKAEFGDHBCABCDIJ $.
      $( [6-Jun-2006] $) $( [4-Jun-2006] $)
  $}

  ${
    $d A x y z $.
    zfpowcl.1 $e |- A e. V $.
    $( Power set axiom expressed in class notation.  Axiom 4 of [TakeutiZaring]
       p. 17. $)
    pwex $p |- P~ A e. V $=
      ( vz vx vy cv cpw cvv wcel wceq pweq eleq1d wex wss wb wal wi axpow
      dfss2 imbi1i albii exbii mpbir bm1.3ii cab df-pw eqeq2i abeq2 bitr
      issetri vtocl ) CFZGZHIAGZHICABULAJUMUNHULAKLDUMDFZUMJZDMEFZUOIZUQULNZOEP
      ZDMUSDEUSURQZEPZDMUOUQIUOULIQDPZURQZEPZDMDECRVBVEDVAVDEUSVCURDUQULSTUAUBU
      CUDUPUTDUPUOUSEUEZJUTUMVFUOEULUFUGUSEUOUHUIUBUCUJUK $.
      $( [5-Aug-1993] $)
  $}

  ${
    $d x A $.
    $( Power set axiom expressed in class notation, with the sethood
       requirement as an antecedent.  Axiom 4 of [TakeutiZaring] p. 17. $)
    pwexg $p |- ( A e. B -> P~ A e. V ) $=
      ( vx cv cpw cvv wcel wceq pweq eleq1d visset pwex vtoclg ) CDZEZFGAEZFGCA
      BNAHOPFNAIJNCKLM $.
      $( [30-Oct-2003] $) $( [30-Oct-2003] $)

    $( Existence of a class of subsets. $)
    abssexg $p |- ( A e. B -> { x | ( x (_ A /\ ph ) } e. V ) $=
      ( wcel cpw crab cvv cv wss wa cab pwexg rabexg syl df-rab visset elpw
      anbi1i abbii eqtr2 syl5eqel ) CDEZABCFZGZHBIZCJZAKZBLZUCUDHEUEHECDMABUDHN
      OUEUFUDEZAKZBLUIABUDPUKUHBUJUGAUFCBQRSTUAUB $.
      $( [15-Jul-2006] $) $( [15-Jul-2006] $)
  $}

  ${
    $d w x y z $.
    $( A version of ~ dtru ("two things exist") proved directly from the
       axioms (no set theory definitions). $)
    dtruALT $p |- -. A. x x = y $=
      ( vw vz cv wceq wn wex wal wcel wa eeanv wi ax-pow id ax-gen elequ2
      imbi1d albidv elequ1 imbi12d a4v mpi 19.22i ax-mp ax-nul ax-4 mpbir2an
      ax-14 com12 con3d imp 19.22i2 equequ2 negbid ax-8 a4imev syl6bi a1d
      pm2.61i 19.23aivv exnal mpbi ) AEZBEZFZGZAHZVFAIGCEZDEZFZGZDHCHZVHVDVIJZV
      DVJJZGZKZDHCHZVMVRVNCHZVPDHZVNVPCDLVEVJJZVEVDJZMZBIZVJVIJZMZDIZCHVSACDBNW
      GVNCWGWBWBMZBIZVNWHBWBOPWFWIVNMDAVJVDFZWDWIWEVNWJWCWHBWJWAWBWBDABQRSDACTU
      AUBUCUDUEVPAIZDHVTDAUFWKVPDVPAUGUDUEUHVQVLCDVNVPVLVNVKVOVKVNVOCDAUIUJUKUL
      UMUEVLVHCDVJVEFZVLVHMWLVLVIVEFZGZVHWLVKWMDBCUNUOWNVGACVDVIFVFWMACBUPUKUQU
      RWLGZVHVLWOVGADVDVJFVFWLADBUPUKUQUSUTVAUEVFAVBVC $.
      $( [8-Nov-2006] $) $( [7-Nov-2006] $)
  $}

  ${
    $d x y $.
    $( This theorem shows that axiom ~ ax-16 is redundant in the presence of
       theorem ~ dtruALT , which states simply that at least two things exist.
       This justifies the remark at
       ~ http://us.metamath.org/mpegif/mmzfcnd.html#twoness (which links
       to this theorem). $)
    ax16b $p |- ( A. x x = y -> ( ph -> A. x ph ) ) $=
      ( cv wceq wal wi dtruALT pm2.21i ) BDCDEBFAABFGBCHI $.
      $( [8-Nov-2006] $) $( [7-Nov-2006] $)
  $}

  ${
    $d x y A $.
    $( A singleton is a set.  Theorem 7.13 of [Quine] p. 51, but proved using
       only Extensionality, Power Set, and Separation.  Unlike the proof of
       ~ zfpair , Replacement is not needed. $)
    snex $p |- { A } e. V $=
      ( vx vy cvv wcel csn cv wceq sneq eleq1d cpw visset pwex snsspw ssexi
      vtoclg wn c0 snprc weu wal axnul zfnuleu eq0 eubii mpbir eueq eleq1
      mpbiri sylbi pm2.61i ) ADEZAFZDEZBGZFZDEUNBADUOAHUPUMDUOAIJUPUOKUOBLMUONO
      PULQUMRHZUNASUQUNRDEZURUORHZBTZUTCGUOEQCUAZBTBCBCUBUCUSVABCUOUDUEUFBRUGUF
      UMRDUHUIUJUK $.
      $( [7-Aug-1994] $)
  $}

  ${
    $d x y $.
    $( Every set is an element of some other set. $)
    el $p |- E. y x e. y $=
      ( cv csn wcel wex visset snid snex eleq2 cla4ev ax-mp ) ACZMDZEZMBCZEZBFM
      AGHQOBNMIPNMJKL $.
      $( [4-Jan-2002] $)
  $}

  ${
    snelpw.1 $e |- A e. V $.
    $( A singleton of a set belongs to the power class of a class containing
       the set. $)
    snelpw $p |- ( A e. B <-> { A } e. P~ B ) $=
      ( wcel csn wss cpw snss snex elpw bitr4 ) ABDAEZBFLBGDABCHLBAIJK $.
      $( [1-Apr-1998] $)
  $}

  ${
    $d x A $.
    $( Substitution expressed in terms of quantification over a singleton. $)
    sbcsng $p |- ( A e. B -> ( [ A / x ] ph <-> A. x e. { A } ph ) ) $=
      ( wcel wsbc cv wceq wi wal csn wral sbc6g df-ral elsn imbi1i albii bitr2
      syl6bb ) CDEABCFBGZCHZAIZBJZABCKZLZABCDMUETUDEZAIZBJUCABUDNUGUBBUFUAABCOP
      QRS $.
      $( [22-Dec-2005] $) $( [14-Dec-2005] $)
  $}

  ${
    $d x y z $.
    $( A theorem similar to extensionality, requiring the existence of a
       singleton.  Exercise 8 of [TakeutiZaring] p. 16. $)
    rext $p |- ( A. z ( x e. z -> y e. z ) -> x = y ) $=
      ( cv wcel wi wal csn wceq visset snid snex eleq2 imbi12d cla4v mpi elsn
      equcomi sylbi syl ) ADZCDZEZBDZUBEZFZCGZUDUAHZEZUAUDIZUGUAUHEZUIUAAJKUFUK
      UIFCUHUALUBUHIUCUKUEUIUBUHUAMUBUHUDMNOPUIUDUAIUJBUAQBARST $.
      $( [10-Aug-1993] $)
  $}

  ${
    $d A x $.  $d B x $.
    $( Classes are subclasses if and only if their power classes are
       subclasses.  Exercise 18 of [TakeutiZaring] p. 18. $)
    sspwb $p |- ( A (_ B <-> P~ A (_ P~ B ) $=
      ( vx wss cpw cv wcel sstr2 com12 visset elpw 3imtr4g ssrdv csn ssel snex
      snss bitr4 3imtr3g impbi ) ABDZAEZBEZDZUACUBUCUACFZADZUEBDZUEUBGUEUCGUFUA
      UGUEABHIUEACJZKUEBUHKLMUDCABUDUENZUBGZUIUCGZUEAGZUEBGZUBUCUIOUJUIADULUIAU
      EPZKUEAUHQRUKUIBDUMUIBUNKUEBUHQRSMT $.
      $( [13-Oct-1996] $)
  $}

  ${
    $d A x y $.
    $( A class equals the union of its power class.  Exercise 6(a) of
       [Enderton] p. 38. $)
    unipw $p |- U. P~ A = A $=
      ( vx vy cpw cuni cv wcel wa wex eluni wss wi visset elpw ssel sylbi
      impcom 19.23aiv ssriv csn snid snex wceq eleq2 eleq1 anbi12d cla4ev mpan
      snelpw 3imtr4 eqssi ) ADZEZABUMABFZUMGZUNCFZGZUPULGZHZCIZUNAGZCUNULJZUSVA
      CURUQVAURUPAKUQVALUPACMNUPAUNOPQRPSBAUMUNTZULGZUTVAUOUNVCGZVDUTUNBMZUAUSV
      EVDHCVCUNUBUPVCUCUQVEURVDUPVCUNUDUPVCULUEUFUGUHUNAVFUIVBUJSUK $.
      $( [14-Oct-1996] $)
  $}

  ${
    $d A x $.
    $( A class is a subclass of the power class of its union.  Exercise 6(b)
       of [Enderton] p. 38. $)
    pwuni $p |- A (_ P~ U. A $=
      ( vx cuni cpw cv wcel wss elssuni visset elpw sylibr ssriv ) BAACZDZBEZAF
      OMGONFOAHOMBIJKL $.
      $( [14-Oct-1996] $)
  $}

  $( Subclass relationship for power class and union. $)
  sspwuni $p |- ( A (_ P~ B <-> U. A (_ B ) $=
    ( cpw wss cuni uniss unipw syl6ss sspwb pwuni sstr mpan sylbi impbi ) ABCZD
    ZAEZBDZPQOEBAOFBGHRQCZODZPQBIASDTPAJASOKLMN $.
    $( [19-Jul-2006] $) $( [18-Jul-2006] $)

  $( Membership of a power class.  Exercise 10 of [Enderton] p. 26. $)
  pwel $p |- ( A e. B -> P~ A e. P~ P~ U. B ) $=
    ( wcel cpw cuni wss elssuni sspwb sylib cvv wb pwexg elpwg syl mpbird ) ABC
    ZADZBEZDZDCZQSFZPARFUAABGARHIPQJCTUAKABLQSJMNO $.
    $( [13-Jan-2007] $) $( [13-Jan-2007] $)

  ${
    $d x A $.  $d x B $.
    $( Two ways to express a collection of subclasses. $)
    pwssb $p |- ( A (_ P~ B <-> A. x e. A x (_ B ) $=
      ( cpw wss cuni cv wral sspwuni unissb bitr ) BCDEBFCEAGCEABHBCIABCJK $.
      $( [9-Jan-2007] $) $( [19-Jul-2006] $)
  $}

  $( Relationship for power class and union. $)
  elpwuni $p |- ( B e. A -> ( A (_ P~ B <-> U. A = B ) ) $=
    ( wcel cuni wss wceq cpw unissel expcom eqimss impbid1 sspwuni syl5bb ) BAC
    ZADZBEZOBFZABGENPQPNQABHIOBJKABLM $.
    $( [13-May-2007] $) $( [18-Jul-2006] $)

  ${
    $d A x $.  $d B x $.
    $( An extensionality-like principle defining subclass in terms of
       subsets. $)
    ssextss $p |- ( A (_ B <-> A. x ( x (_ A -> x (_ B ) ) $=
      ( wss cpw cv wcel wi wal sspwb dfss2 visset elpw imbi12i albii 3bitr ) BC
      DBEZCEZDAFZQGZSRGZHZAISBDZSCDZHZAIBCJAQRKUBUEATUCUAUDSBALZMSCUFMNOP $.
      $( [1-Jul-2004] $) $( [30-Jun-2004] $)

    $( An extensionality-like principle that uses the subset instead of the
       membership relation:  two classes are equal iff they have the same
       subsets. $)
    ssext $p |- ( A = B <-> A. x ( x (_ A <-> x (_ B ) ) $=
      ( wss wa cv wi wal wceq wb ssextss anbi12i eqss albi 3bitr4 ) BCDZCBDZEAF
      ZBDZRCDZGAHZTSGAHZEBCISTJAHPUAQUBABCKACBKLBCMSTANO $.
      $( [1-Jul-2004] $) $( [30-Jun-2004] $)

    $( Negation of subclass relationship.  Compare ~ nss . $)
    nssss $p |- ( -. A (_ B <-> E. x ( x (_ A /\ -. x (_ B ) ) $=
      ( cv wss wi wn wex wal wa exnal annim exbii ssextss negbii 3bitr4r ) ADZB
      EZQCEZFZGZAHTAIZGRSGJZAHBCEZGTAKUCUAARSLMUDUBABCNOP $.
      $( [2-Jul-2004] $) $( [30-Jun-2004] $)
  $}

  $( Classes are equal if and only if their power classes are equal.  Exercise
     19 of [TakeutiZaring] p. 18. $)
  pweqb $p |- ( A = B <-> P~ A = P~ B ) $=
    ( wss wa cpw wceq sspwb anbi12i eqss 3bitr4 ) ABCZBACZDAEZBEZCZNMCZDABFMNFK
    OLPABGBAGHABIMNIJ $.
    $( [13-Oct-1996] $)

  ${
    $d x y $.  $d y ph $.
    $( "At most one" existence implies a class abstraction exists. $)
    moabex $p |- ( E* x ph -> { x | ph } e. V ) $=
      ( vy wmo cv wceq wi wal wex cab cvv wcel ax-17 mo2 wa hba1 wb pm4.71
      biimp a4s ancom syl6bb abbid csn df-sn snex eqeltrr pm3.26 ss2abi ssexi
      syl6eqel 19.23aiv sylbi ) ABDABECEZFZGZBHZCIABJZKLZABCACMNUQUSCUQURUOAOZB
      JZKUQAUTBUPBPUQAAUOOZUTUPAVBQZBUPVCAUORSTAUOUAUBUCVAUOBJZUNUDVDKBUNUEUNUF
      UGUTUOBUOAUHUIUJUKULUM $.
      $( [30-Dec-1996] $)
  $}

  $( The abstraction of a wff with existential uniqueness exists. $)
  euabex $p |- ( E! x ph -> { x | ph } e. V ) $=
    ( weu wmo cab cvv wcel eumo moabex syl ) ABCABDABEFGABHABIJ $.
    $( [25-Nov-1994] $)

  ${
    $d x y A $.
    $( A non-empty class (even if proper) has a non-empty subset. $)
    nnullss $p |- ( A =/= (/) -> E. x ( x (_ A /\ x =/= (/) ) ) $=
      ( vy c0 wne cv wcel wex wss wa ne0 csn visset snss snnz snex wceq sseq1
      neeq1 anbi12d cla4ev mpan2 sylbi 19.23aiv ) BDECFZBGZCHAFZBIZUGDEZJZAHZCB
      KUFUKCUFUELZBIZUKUEBCMZNUMULDEZUKUEUNOUJUMUOJAULUEPUGULQUHUMUIUOUGULBRUGU
      LDSTUAUBUCUDUC $.
      $( [27-May-2007] $) $( [23-Aug-2003] $)
  $}

  ${
    $d x y z A $.  $d y z ph $.
    $( Restricted existence in a class (even if proper) implies restricted
       existence in a subset. $)
    exss $p |- ( E. x e. A ph -> E. y ( y (_ A /\ E. x e. y ph ) ) $=
      ( vz wrex cv wcel wa cab wex wss crab c0 wne df-rab neeq1i rabn0 ne0
      3bitr3 csn snex wceq sseq1 rexeq1 anbi12d cla4ev visset snss ssab2 sstr2
      mpi sylbi wsbc pm3.27 equsb1 elsn sbbii mpbir jctil df-clab sban bitr
      eleq2i 3bitr 3imtr4 ne0i syl sylib sylanc 19.23aiv ) ABDFZEGZBGZDHZAIZBJZ
      HZEKZCGZDLZABVTFZIZCKZABDMZNOVQNOVLVSWEVQNABDPQABDREVQSTVRWDEVMUAZDLZABWF
      FZWDVRWCWGWHICWFVMUBVTWFUCWAWGWBWHVTWFDUDABVTWFUEUFUGVRWFVQLZWGVMVQEUHUIW
      IVQDLWGABDUJWFVQDUKULUMVRABWFMZNOZWHVRVMWJHZWKVOBVMUNZABVMUNZIZVNWFHZBVMU
      NZWNIZVRWLWOWNWQWMWNUOWQVNVMUCZBVMUNBEUPWPWSBEBVMUQURUSUTVRVPBVMUNWOVPEBV
      AVOABEVBVCWLVMWPAIZBJZHWTBVMUNWRWJXAVMABWFPVDWTEBVAWPABEVBVEVFWJVMVGVHABW
      FRVIVJVKUM $.
      $( [23-Aug-2003] $)
  $}

  $( The power set of the empty set is a set. $)
  p0ex $p |- { (/) } e. V $=
    ( c0 snex ) AB $.
    $( [23-Dec-1993] $)

  $( The power set of the power set of the empty set is a set. $)
  pp0ex $p |- { (/) , { (/) } } e. V $=
    ( c0 csn cpw cpr cvv pwpw0 p0ex pwex eqeltrr ) ABZCAJDEFJGHI $.
    $( [5-Aug-1993] $)

  ${
    $d x y $.
    $( At least two sets exist (or in terms of first-order logic, the universe
       of discourse has two or more objects).  Note that we may not substitute
       the same variable for both ` x ` and ` y ` (as indicated by the distinct
       variable requirement), for otherwise we would contradict ~ stdpc6 .
       Assuming that ZF set theory is consistent, we cannot prove this theorem
       unless we specify that ` x ` and ` y ` be distinct.  Specifically,
       theorem ~ cla4ev requires that ` x ` must not occur in the subexpression
       ` -. y = { (/) } ` in step 4 nor in the subexpression ` -. y = (/) ` in
       step 9.  The proof verifier will require that ` x ` and ` y ` be in a
       distinct variable group to ensure this.  You can check this by deleting
       the $d statement in set.mm and rerunning the verifier, which will print
       a detailed explanation of the distinct variable violation.

       See ~ dtruALT for a version proved without using ~ ax-16 , ~ ax-ext ,
       or ~ ax-sep . $)
    dtru $p |- -. A. x x = y $=
      ( cv wceq wn wex wal c0 csn 0inp0 p0ex eqeq2 negbid cla4ev syl 0ex
      pm2.61i exnal eqcom albii negbii bitr mpbi ) BCZACZDZEZAFZUEUDDZAGZEZUDHD
      ZUHULUDHIZDZEZUHUDJUGUOAUMKUEUMDUFUNUEUMUDLMNOUGULEAHPUEHDUFULUEHUDLMNQUH
      UFAGZEUKUFARUPUJUFUIAUDUESTUAUBUC $.
      $( [15-Jul-1994] $)
  $}

  ${
    $d x y $.
    dtrucor.1 $e |- x = y $.
    $( Corollary of ~ dtru .  This example illustrates the danger of blindly
       trusting the standard Deduction Theorem without accounting for free
       variables: the theorem form of this deduction is not valid, as
       shown by ~ dtrucor2 . $)
    dtrucor $p |- x =/= y $=
      ( cv wceq wne wal dtru pm2.21i mpg ) ADZBDZEZKLFZAMAGNABHICJ $.
      $( [27-Jun-2002] $)
  $}

  ${
    dtrucor2.1 $e |- ( x = y -> x =/= y ) $.
    $( The theorem form of the deduction ~ dtrucor leads to a
       contradiction, as mentioned in the "Wrong!" example at
       ~ http://us.metamath.org/mpegif/mmdeduction.html#bad . $)
    dtrucor2 $p |- ( ph /\ -. ph ) $=
      ( cv wceq wex wn wa a9e wi necon2bi pm2.01 ax-mp nex pm2.24ii ) BEZCEZFZB
      GAAHIBCJSBSSHZKTSQRDLSMNOP $.
      $( [20-Oct-2007] $) $( [20-Oct-2007] $)
  $}


  ${
    $d x y $.
    $( Demonstration of a theorem that requires ` x ` and ` y ` to be
       distinct, but no others.  Compare ~ dvdemo2 . $)
    dvdemo1 $p |- E. x ( x = y -> z e. x ) $=
      ( cv wceq wn wex wcel wi wal dtru exnal mpbir pm2.21 19.22i ax-mp ) ADZBD
      EZFZAGZRCDQHZIZAGTRAJFABKRALMSUBARUANOP $.
      $( [1-Dec-2006] $) $( [1-Dec-2006] $)
  $}

  ${
    $d x z $.
    $( Demonstration of a theorem that requires ` x ` and ` z ` to be
       distinct, but no others.  Compare ~ dvdemo1 . $)
    dvdemo2 $p |- E. x ( x = y -> z e. x ) $=
      ( cv wcel wex wceq wi el ax-1 19.22i ax-mp ) CDADZEZAFMBDGZNHZAFCAINPANOJ
      KL $.
      $( [1-Dec-2006] $) $( [1-Dec-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                   Derive the Axiom of Pairing
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x z w v $.  $d y z w v $.
    $( The Axiom of Pairing of Zermelo-Fraenkel set theory.  Axiom 2 of
       [TakeutiZaring] p. 15.  In some textbooks this is stated as a separate
       axiom; here we show it is redundant since it can be derived from the
       other axioms.

       This theorem should not be referenced by any proof other than ~ axpr .
       Instead, use ~ zfpair2 below so that the uses of the Axiom of Pairing
       can be more easily identified. $)
    zfpair $p |- { x , y } e. V $=
      ( vw vz vv cv cpr wceq wo cab cvv dfpr2 c0 csn wa wex 19.43 prlem2 exbii
      19.41v 0ex isseti mpbiran p0ex orbi12i 3bitr3r abbii pp0ex eqeltrr wi
      wal equequ2 0inp0 prlem1 19.21adv a4imev con2i orcom syl7ib jaoi zfrep4
      eqeltr ) AFZBFZGCFZVCHZVEVDHZIZCJZKCVCVDLVIDFZMHZVJMNZHZIZVKVFOZVMVGOZIZO
      ZDPZCJKVHVSCVQDPVODPZVPDPZIVSVHVOVPDQVQVRDVKVFVMVGRSVTVFWAVGVTVKDPVFVKVFD
      TDMUAUBUCWAVMDPVGVMVGDTDVLUDUBUCUEUFUGVNVQDCEMVLGVNDJKDMVLLUHUIVKVQVEEFZH
      ZUJZCUKZEPVMVKWEEAWBVCHZVKWDCWFVKVFVMVGWCEACULVJUMZUNUOUPVMWEEBWBVDHZVMWD
      CWHVMVPVOIWCVQWHVMVGVKVFWCEBCULVKVMWGUQUNVOVPURUSUOUPUTVAVBVB $.
      $( [18-Oct-1995] $)

    $( Unabbreviated version of the Axiom of Pairing of ZF set theory, derived
       as a theorem from the other axioms.

       This theorem should not be referenced by any proof.  Instead, use
       ~ ax-pr below so that the uses of the Axiom of Pairing can be more
       easily identified. $)
    axpr $p |- E. z A. w ( ( w = x \/ w = y ) -> w e. z ) $=
      ( cv cpr wceq wex wo wcel wi wal zfpair isseti wb dfcleq visset elpr
      bibi2i bi2 sylbi 19.20i 19.22i ax-mp ) CEZAEZBEZFZGZCHDEZUFGUJUGGIZUJUEJZ
      KZDLZCHCUHABMNUIUNCUIULUJUHJZOZDLUNDUEUHPUPUMDUPULUKOUMUOUKULUJUFUGDQRSUL
      UKTUAUBUAUCUD $.
      $( [14-Nov-2006] $) $( [14-Nov-2006] $)

    $( The Axiom of Pairing of ZF set theory.  It was derived as theorem ~ axpr
       above and is therefore redundant, but we state it as a separate axiom
       here so that its uses can be identified more easily. $)
    ax-pr $a |- E. z A. w ( ( w = x \/ w = y ) -> w e. z ) $.

    $( Derive the abbreviated version of the Axiom of Pairing from ~ ax-pr .
       See ~ zfpair for its derivation from the other axioms. $)
    zfpair2 $p |- { x , y } e. V $=
      ( vz vw cv cpr wceq wex wcel wo wb wal ax-pr bm1.3ii dfcleq visset elpr
      bibi2i albii bitr exbii mpbir issetri ) CAEZBEZFZCEZUFGZCHDEZUGIZUIUDGUIU
      EGJZKZDLZCHUKCDABCDMNUHUMCUHUJUIUFIZKZDLUMDUGUFOUOULDUNUKUJUIUDUEDPQRSTUA
      UBUC $.
      $( [15-Nov-2006] $) $( [14-Nov-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The Axiom of Pairing using class variables.  Theorem 7.13 of [Quine]
       p. 51.  By virtue of its definition, an unordered pair remains a set
       (even though no longer a pair) even when its components are proper
       classes (see ~ prprc ), so we can dispense with hypotheses requiring
       them to be sets. $)
    prex $p |- { A , B } e. V $=
      ( vx vy cvv wcel cpr wi cv wceq preq1 eleq1d preq2 zfpair2 vtoclg syl5bi
      vtocleg wn csn prprc1 snex syl6eqel prprc2 pm2.61nii ) AEFZBEFZABGZEFZUFU
      HHCAECIZAJZUIBGZEFZUHUFUJUKUGEUIABKLUIDIZGZEFULDBEUMBJUNUKEUMBUIMLCDNOPQU
      ERUGBSEABTBUAUBUFRUGASEABUCAUAUBUD $.
      $( [5-Aug-1993] $)
  $}

  $( An ordered pair of classes is a set.  Exercise 7 of [TakeutiZaring]
     p. 16. $)
  opex $p |- <. A , B >. e. V $=
    ( cop csn cpr cvv df-op prex eqeltr ) ABCADZABEZEFABGJKHI $.
    $( [18-Aug-1993] $)

  ${
    elop.1 $e |- A e. V $.
    $( An ordered pair has two elements.  Exercise 3 of [TakeutiZaring]
       p. 15. $)
    elop $p |- ( A e. <. B , C >. <-> ( A = { B } \/ A = { B , C } ) ) $=
      ( cop wcel csn cpr wceq wo df-op eleq2i elpr bitr ) ABCEZFABGZBCHZHZFAPIA
      QIJORABCKLAPQDMN $.
      $( [5-Aug-1993] $)
  $}

  $( One of the two elements in an ordered pair. $)
  opi1 $p |- { A } e. <. A , B >. $=
    ( csn cpr cop snex pri1 df-op eleqtrr ) ACZJABDZDABEJKAFGABHI $.
    $( [5-Aug-1993] $)

  $( One of the two elements of an ordered pair. $)
  opi2 $p |- { A , B } e. <. A , B >. $=
    ( cpr csn cop prex pri2 df-op eleqtrr ) ABCZADZJCABEKJABFGABHI $.
    $( [5-Aug-1993] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                   Ordered pair theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    opth1.1 $e |- A e. V $.
    $( Equality of the first members of equal ordered pairs, which holds
       whether or not the second members are sets. $)
    opth1 $p |- ( <. A , B >. = <. C , D >. -> A = C ) $=
      ( cop wceq csn wcel cpr wo opi1 eleq2 mpbiri snex elop sylib snid pri1
      jaoi syl elsnc ) ABFZCDFZGZACHZIZACGUEUFAHZGZUFABJZGZKZUGUEUFUCIZULUEUMUF
      UDICDLUCUDUFMNUFABCOPQUIUGUKUIUGAUHIAERUFUHAMNUKUGAUJIABESUFUJAMNTUAACEUB
      Q $.
      $( [29-May-2008] $) $( [28-May-2008] $)
  $}

  ${
    opth.1 $e |- A e. V $.
    opth.2 $e |- B e. V $.
    opth.3 $e |- D e. V $.
    $( The ordered pair theorem.  If two ordered pairs are equal, their first
       elements are equal and their second elements are equal.  Exercise
       6 of [TakeutiZaring] p. 16.  Note that ` C ` is not required to be
       a set due to a peculiarity of our specific ordered pair definition. $)
    opth $p |- ( <. A , B >. = <. C , D >. <-> ( A = C /\ B = D ) ) $=
      ( cop wceq wa opth1 eqeq1 opeq1 syl5bi cpr csn df-op eqeq12i prex preqr2
      sylbi eqcomd syl syl6 jcai opeq12 impbi ) ABHZCDHZIZACIZBDIZJUJUKULABCDEK
      UJUKUICBHZIZULUJUHUMIUNUKUHUIUMLACBMNUNCDOZCBOZIZULUNCPZUOOZURUPOZIUQUIUS
      UMUTCDQCBQRUOUPURCDSCBSTUAUQDBDBCGFTUBUCUDUEABCDUFUG $.
      $( [28-May-1995] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    opthg.1 $e |- A e. V $.
    opthg.2 $e |- B e. V $.
    $( Ordered pair theorem. $)
    opthg $p |- ( D e. R -> ( <. A , B >. = <. C , D >. <->
               ( A = C /\ B = D ) ) ) $=
      ( vx cop cv wceq wa opeq2 eqeq2d eqeq2 anbi2d visset opth vtoclbg ) ABIZC
      HJZIZKACKZBUAKZLTCDIZKUCBDKZLHDEUADKZUBUETUADCMNUGUDUFUCUADBOPABCUAFGHQRS
      $.
      $( [30-Apr-1995] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.  $d x y T $.
    $( Ordered pair theorem.  ` C ` is not required to be a set under our
       specific ordered pair definition. $)
    opthgg $p |- ( ( A e. R /\ B e. S /\ D e. T ) ->
                 ( <. A , B >. = <. C , D >. <-> ( A = C /\ B = D ) ) ) $=
      ( vx vy wcel cop wceq wa wb cv wi opeq1 eqeq1d eqeq1 anbi1d bibi12d
      imbi2d opeq2 anbi2d visset opthg vtocl2g 3impia ) AEJBFJDGJZABKZCDKZLZACL
      ZBDLZMZNZUIHOZIOZKZUKLZUQCLZURDLZMZNZPUIAURKZUKLZUMVBMZNZPUIUPPHIABEFUQAL
      ZVDVHUIVIUTVFVCVGVIUSVEUKUQAURQRVIVAUMVBUQACSTUAUBURBLZVHUPUIVJVFULVGUOVJ
      VEUJUKURBAUCRVJVBUNUMURBDSUDUAUBUQURCDGHUEIUEUFUGUH $.
      $( [15-Oct-2005] $) $( [14-Oct-2005] $)
  $}

  ${
    $v F $.
    $v G $.
    otthg.cF $f class F $.
    otthg.cG $f class G $.
    otthg.1 $e |- A e. V $.
    otthg.2 $e |- B e. V $.
    otthg.3 $e |- R e. V $.
    $( Ordered triple theorem. $)
    otthg $p |- ( ( D e. F /\ S e. G ) ->
                ( <. <. A , B >. , R >. = <. <. C , D >. , S >. <->
                ( A = C /\ B = D /\ R = S ) ) ) $=
      ( wcel wa cop wceq w3a opex opthg anbi1d sylan9bbr df-3an syl6bbr ) DGLZF
      HLZMABNZENCDNZFNOZACOZBDOZMZEFOZMZUHUIUKPUDUGUEUFOZUKMUCULUEEUFFHABQKRUCU
      MUJUKABCDGIJRSTUHUIUKUAUB $.
      $( [1-May-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    eqvinop.1 $e |- B e. V $.
    eqvinop.2 $e |- C e. V $.
    $( A variable introduction law for ordered pairs.  Analogue of Lemma 15
       of [Monk2] p. 109. $)
    eqvinop $p |- ( A = <. B , C >. <-> E. x E. y ( A = <. x , y >. /\
                  <. x , y >. = <. B , C >. ) ) $=
      ( cv cop wceq wa wex visset opth anbi2i ancom anass 3bitr exbii 19.42v
      opeq2 eqeq2d ceqsexv opeq1 bitr2 ) CAHZBHZIZJZUHDEIZJZKZBLZALUFDJZCUFEIZJ
      ZKZALCUJJZUMUQAUMUNUGEJZUIKZKZBLUNUTBLZKUQULVABULUIUNUSKZKVCUIKVAUKVCUIUF
      UGDEAMBMGNOUIVCPUNUSUIQRSUNUTBTVBUPUNUIUPBEGUSUHUOCUGEUFUAUBUCORSUPURADFU
      NUOUJCUFDEUDUBUCUE $.
      $( [28-May-1995] $)
  $}

  ${
    $d x y z w A $.  $d z w ph $.
    $( Substitution of class ` A ` for ordered pair ` <. x , y >. ` . $)
    copsexg $p |- ( A = <. x , y >. ->
                  ( ph <-> E. x E. y ( A = <. x , y >. /\ ph ) ) ) $=
      ( vz vw cv cop wceq wa wex wb wi visset eqvinop eqcom opth bitr ceqex
      sylan9bbr sylbi anbi1i anass exbii 19.42v syl6bbr eqeq1 anbi1d 2exbidv
      bibi2d imbi12d mpbiri adantr 19.23aivv pm2.43i ) DBGZCGZHZIZAUSAJZCKBKZLZ
      USDEGZFGZHZIZVEURIZJZFKEKUSVBMZEFDUPUQBNZCNZOVHVIEFVFVIVGVFVIVGAVGAJZCKZB
      KZLZMVGAUPVCIZUQVDIZAJZCKZJZBKZVNVGVPVQJZAWALVGURVEIWBVEURPUPUQVCVDVJVKFN
      QRZVQAVSVPWAACVDSVSBVCSTUAVMVTBVMVPVRJZCKVTVLWDCVLWBAJWDVGWBAWCUBVPVQAUCR
      UDVPVRCUERUDUFVFUSVGVBVODVEURUGZVFVAVNAVFUTVLBCVFUSVGAWEUHUIUJUKULUMUNUAU
      O $.
      $( [27-Dec-1996] $)
  $}

  ${
    $d x y ps $.  $d x y A $.  $d x y B $.
    copsex2g.1 $e |- ( ( x = A /\ y = B ) -> ( ph <-> ps ) ) $.
    $( Implicit substitution inference for ordered pairs. $)
    copsex2g $p |- ( ( A e. C /\ B e. D ) ->
                  ( E. x E. y ( <. A , B >. = <. x , y >. /\ ph ) <-> ps ) ) $=
      ( cv wceq wex cop wa wb wcel eeanv hbe1 ax-17 hbbi hbex opeq12 copsexg
      eqcoms syl bitr3d 19.23ai sylbir elex syl2an ) CJZEKZCLZDJZFKZDLZEFMZUKUN
      MZKANZDLZCLZBOZEGPFHPUMUPNULUONZDLZCLVBULUOCDQVDVBCVABCUTCRBCSTVCVBDVABDU
      TDCUSDRUABDSTVCAVABVCURUQKAVAOZUKUNEFUBVEUQURACDUQUCUDUEIUFUGUGUHCEGUIDFH
      UIUJ $.
      $( [28-May-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x y z w ps $.  $d x y z w R $.  $d x y z w S $.
    copsex4g.1 $e |- ( ( ( x = A /\ y = B ) /\ ( z = C /\ w = D ) ) ->
                     ( ph <-> ps ) ) $.
    $( An implicit substitution inference for 2 ordered pairs. $)
    copsex4g $p |- ( ( ( A e. R /\ B e. S ) /\ ( C e. R /\ D e. S ) ) ->
                      ( E. x E. y E. z E. w ( ( <. A , B >. = <. x , y >. /\
                      <. C , D >. = <. z , w >. ) /\ ph ) <-> ps ) ) $=
      ( wcel wa cop cv wceq wex wb visset opthg eqcom syl5bb adantl bi2anan9
      anbi1d 4exbidv id cgsex4g bitrd ) GKNZHLNZOZIKNZJLNZOZOZGHPZCQZDQZPZRZIJP
      ZEQZFQZPZRZOZAOZFSESDSCSUTGRVAHROZVEIRVFJROZOZAOZFSESDSCSBURVJVNCDEFURVIV
      MAUNVCVKUQVHVLUMVCVKTULUMVBUSRVKVCUTVAGHLCUADUAUBUSVBUCUDUEUPVHVLTUOUPVGV
      DRVLVHVEVFIJLEUAFUAUBVDVGUCUDUEUFUGUHABVMCDEFGHIJKLVMUIMUJUK $.
      $( [5-Aug-1995] $)
  $}

  $( An ordered pair is not empty. $)
  opnz $p |- -. <. A , B >. = (/) $=
    ( csn cop wcel c0 wceq wn opi1 n0i ax-mp ) ACZABDZEMFGHABIMLJK $.
    $( [24-Jan-2004] $) $( [24-Jan-2004] $)

  ${
    $d x A $.  $d x B $.
    $( A property of an ordered pair of proper classes (due to our
       particular definition of ordered pair). $)
    opprc1b $p |- ( -. A e. V <-> (/) e. <. A , B >. ) $=
      ( vx cvv wcel wn c0 cop csn cpr opprc1 0ex pri1 syl5eleqr cv wceq opeq1
      eleq2d negbid wo wne visset snnz df-ne mpbi eqcom mtbi prnz pm3.2ni elop
      mtbir vtoclg con2i impbi ) ADEZFZGABHZEZUPGBIZJUQGABKGUSLMNUOURGCOZBHZEZF
      URFCADUTAPZVBURVCVAUQGUTABQRSVBGUTIZPZGUTBJZPZTVEVGVDGPZVEVDGUAVHFUTCUBZU
      CVDGUDUEVDGUFUGVFGPZVGVFGUAVJFUTBVIUHVFGUDUEVFGUFUGUIGUTBLUJUKULUMUN $.
      $( [15-Nov-1994] $)
  $}

  $( A property of an ordered pair of proper classes (due to our
     particular definition of ordered pair). $)
  opprc3 $p |- ( ( -. A e. V /\ -. B e. V ) <-> <. A , B >. = { (/) } ) $=
    ( cvv wcel wn wa cop c0 csn wceq cpr opprc2 opprc1 snprc preq2 sylbi eqtrd
    sylan9eqr dfsn2 syl6eqr 0ex snid eleq2 mpbiri opprc1b sylibr eqeq1d snex
    preqr2 eqeq2i 3imtr4 syl6bi anc2li mpcom impbi ) ACDEZBCDEZFZABGZHIZJZURUSH
    HKZUTUQUPUSAAGZVBABLUPVCHAIZKZVBAAMUPVDHJVEVBJANVDHHOPQRHSZTUPVAURVAHUSDZUP
    VAVGHUTDHUAUBUSUTHUCUDABUEUFUPVAUQUPVAHBIZKZUTJZUQUPUSVIUTABMUGVIVBJVHHJVJU
    QVHHHBUHUAUIUTVBVIVFUJBNUKULUMUNUO $.
    $( [17-May-1998] $)

  $( Equivalence of existence implied by equality of ordered pairs. $)
  opeqex $p |- ( <. A , B >. = <. C , D >. -> ( A e. V <-> C e. V ) ) $=
    ( cop wceq cvv wcel c0 wn eleq2 opprc1b 3bitr4g con4bid ) ABEZCDEZFZAGHZCGH
    ZQIOHIPHRJSJOPIKABLCDLMN $.
    $( [13-Jun-2008] $) $( [28-May-2008] $)

  $( Equivalence of existence implied by equality of ordered triples. $)
  oteqex $p |- ( <. <. A , B >. , C >. = <. <. R , S >. , T >. ->
           ( A e. V <-> R e. V ) ) $=
    ( cop wceq cvv wcel wb opex opth1 opeqex syl ) ABGZCGDEGZFGHPQHAIJDIJKPCQFA
    BLMABDENO $.
    $( [26-Jun-2008] $) $( [28-May-2008] $)

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    opth2.1 $e |- B e. V $.
    opth2.2 $e |- D e. V $.
    $( Equality of the second members of equal ordered pairs.  Because of our
       particular ordered pair definition, equality holds whether or not
       the first members are sets. $)
    opth2 $p |- ( <. A , B >. = <. C , D >. -> B = D ) $=
      ( vx cvv wcel cop wceq wi cv opeq1 eqeq1d imbi1d visset opth pm3.27bi
      vtoclg wn wa c0 nelneq2 opprc1b con1bii bicomi syl2anb pm2.21d csn cpr
      opprc1 eqeqan12d snex preqr2 sneqr syl syl6bi pm2.61dan pm2.61i ) AHIZABJ
      ZCDJZKZBDKZLZGMZBJZVCKZVELVFGAHVGAKZVIVDVEVJVHVBVCVGABNOPVIVGCKVEVGBCDGQE
      FRSTVAUAZCHIZVFVKVLUBVDVEUCVBIUCVCIZUAZVDUAVKVLUCVBVCUDABUEVNVLVLVMCDUEUF
      UGUHUIVKVLUAZUBVDUCBUJZUKZUCDUJZUKZKZVEVKVOVBVQVCVSABULCDULUMVTVPVRKVEVPV
      RUCBUNDUNUOBDEUPUQURUSUT $.
      $( [12-Apr-2004] $) $( [10-Apr-2004] $)
  $}

  ${
    $d x y w A $.  $d y z w B $.  $d x y z w $.
    $( "At most one" property of an ordered pair.  The proof is a little tricky
       because we do not place any restrictions on class ` B ` . $)
    moop2 $p |- E* x A = <. B , x >. $=
      ( vz vy vw cv cop wceq wmo wcel wsbc cab wa wi wal eqtr2t visset opth2
      syl gen2 ax-17 hbs1 hbab hbop hbeq sbab opeq1d opeq2 eqtrd eqeq2d mo4f
      mpbir ) BCAGZHZIZAJUPBDGCKZAEGZLZDMZURHZIZNZUNURIZOZEPAPVEAEVCUOVAIVDBUOV
      AQCUNUTURARERSTUAUPVBAEAFFBVAFGZBKAUBAFUTURUSADFUQAEUCUDVFURKAUBUEUFVDUOV
      ABVDUOUTUNHVAVDCUTUNAEDCUGUHUNURUTUIUJUKULUM $.
      $( [13-Apr-2004] $) $( [11-Apr-2004] $)
  $}

  ${
    opeqsn.1 $e |- A e. V $.
    opeqsn.2 $e |- B e. V $.
    opeqsn.3 $e |- C e. V $.
    $( Equivalence for an ordered pair equal to a singleton. $)
    opeqsn $p |- ( <. A , B >. = { C } <-> ( A = B /\ C = { A } ) ) $=
      ( cop csn wceq cpr wa df-op eqeq1i snex prex preqsn eqcom anbi2i anidm
      bitr 3bitr anbi1i preq2 dfsn2 syl5req eqeq1d syl6bb pm5.32i ) ABGZCHZIAHZ
      ABJZJZUJIUKULIZULCIZKZABIZCUKIZKZUIUMUJABLMUKULCANABOFPUPUQUOKUSUNUQUOUNU
      LUKIUQBAIZKZUQUKULQABADEDPVAUQUQKUQUTUQUQBAQRUQSTUAUBUQUOURUQUOUKCIURUQUL
      UKCUQAAJULUKABAUCAUDUEUFUKCQUGUHTUA $.
      $( [5-Jun-2008] $) $( [3-Jun-2008] $)
  $}

  ${
    opeqpr.3 $e |- C e. V $.
    opeqpr.4 $e |- D e. V $.
    $( Equivalence for an ordered pair equal to an unordered pair. $)
    opeqpr $p |- ( <. A , B >. = { C , D }
  <-> ( ( C = { A } /\ D = { A , B } ) \/ ( C = { A , B } /\ D = { A } ) ) ) $=
      ( cop cpr wceq csn wa wo eqcom df-op eqeq2i snex prex preq12b 3bitr ) ABG
      ZCDHZIUATIUAAJZABHZHZICUBIDUCIKCUCIDUBIKLTUAMTUDUAABNOCDUBUCEFAPABQRS $.
      $( [6-Jun-2008] $) $( [3-Jun-2008] $)
  $}

  ${
    $d x y z A $.
    $( "At most one" remains true inside ordered pair quantification. $)
    mosubopt $p |- ( A. y A. z E* x ph ->
                 E* x E. y E. z ( A = <. y , z >. /\ ph ) ) $=
      ( wmo wal cv cop wceq wex wa hba1 hbe1 hbmo wi hbex ax-17 copsexg mobid
      biimpcd a4s 19.23ad wn pm3.26 19.22i2 19.23aiv con3i exmo ori syl
      pm2.61d1 ) ABFZDGZCGZECHDHIJZDKZCKZUPALZDKZCKZBFZUOUQVBCUNCMVACBUTCNOUNUQ
      VBPCUNUPVBDUMDMVADBUTDCUSDNQOUMUPVBPDUPUMVBUPAVABUPBRACDESTUAUBUCUBUCURUD
      VABKZUDVBVCURVAURBUSUPCDUPAUEUFUGUHVCVBVABUIUJUKUL $.
      $( [28-Aug-2007] $) $( [28-Aug-2007] $)
  $}

  ${
    $d x y z A $.
    mosubop.1 $e |- E* x ph $.
    $( "At most one" remains true inside ordered pair quantification. $)
    mosubop $p |- E* x E. y E. z ( A = <. y , z >. /\ ph ) $=
      ( wmo wal cv cop wceq wa wex gen2 mosubopt ax-mp ) ABGZDHCHECIDIJKALDMCMB
      GQCDFNABCDEOP $.
      $( [28-May-1995] $)
  $}

  ${
    $d x ph $.  $d x A $.  $d x y $.
    $( Transfer existential uniqueness to second member of an ordered pair. $)
    euop2 $p |- ( E! x E. y ( x = <. A , y >. /\ ph ) <-> E! y ph ) $=
      ( cv cop opex moop2 euxfr2 ) ABCDCEZFDJGCBEDHI $.
      $( [14-Apr-2004] $) $( [10-Apr-2004] $)
  $}

  ${
    opthw.1 $e |- A e. V $.
    opthw.2 $e |- B e. V $.
    $( Justification theorem for the ordered pair definition in Norbert Wiener,
       "A simplification of the logic of relations," _Proc. of the Cambridge
       Philos. Soc_., 1914, vol. 17, pp.387-390.  It is also shown as a
       definition in [Enderton] p. 36 and as Exercise 4.8(b) of [Mendelson]
       p. 230.  It is meaningful only for classes that exist as sets (i.e.
       are not proper classes).  See ~ df-op for other ordered pair
       definitions. $)
    opthwiener $p |- ( { { { A } , (/) } , { { B } } } =
                    { { { C } , (/) } , { { D } } } <-> ( A = C /\ B = D ) ) $=
      ( csn c0 cpr wceq wa id wo wcel snex pri2 eleq2 mpbii elpr sylib wn wb
      0ex snnz elsnc eqcom bitr nemtbir nelneq2 mp2an mtbi biorf ax-mp sylibr
      preq2 syl eqtr4d prex preqr1 sneqr 3syl jca sneq preq1 sylan9eq impbi )
      AGZHIZBGZGZIZCGZHIZDGZGZIZJZACJZBDJZKVQVRVSVQVGVLJZVRVQVHVMJZVTVQVKVMVJIZ
      JZWAVQVKVPWBVQLVQVJVOJZWBVPJZVQVJVMJZWDMZWDVQVJVPNZWGVQVJVKNWHVHVJVIOZPVK
      VPVJQRVJVMVOWISTWFUAWDWGUBVMVJJZWFHVMNHVJNZUAWJUAVLHUCPWKVIHBFUDWKHVIJVIH
      JHVIUCUEHVIUFUGUHHVMVJUIUJVMVJUFUKWFWDULUMUNZVJVOVMUOZUPUQVHVMVJVGHURVLHU
      RUSUPVGVLHAOCOUSUPACEUTUPVQWDVIVNJZVSWLVIVNBOUTBDFUTVAVBVRVSVKWBVPVRVTWAW
      CACVCVGVLHVDVHVMVJVDVAVSWNWDWEBDVCVIVNVCWMVAVEVF $.
      $( [28-Sep-2003] $)
  $}

  $( The union of an ordered pair.  Theorem 65 of [Suppes] p. 39. $)
  uniop $p |- U. <. A , B >. = { A , B } $=
    ( cop cuni csn cpr cun df-op unieqi snex prex unipr wss wceq snsspr
    ssequn1 mpbi 3eqtr ) ABCZDAEZABFZFZDTUAGZUASUBABHITUAAJABKLTUAMUCUANABOTUAP
    QR $.
    $( [27-Aug-2004] $) $( [17-Aug-2004] $)

  $( Ordered pair membership is inherited by class union. $)
  uniopel $p |- ( <. A , B >. e. C -> U. <. A , B >. e. U. C ) $=
    ( cop wcel cuni cpr uniop opi2 eqeltr elssuni sseld mpi ) ABDZCEZNFZNEPCFZE
    PABGNABHABIJONQPNCKLM $.
    $( [13-May-2008] $) $( [13-May-2008] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Ordered-pair class abstractions (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v $.  $d ph z w v $.
    $( The law of concretion.  Special case of Theorem 9.5 of [Quine] p. 61. $)
    opabid $p |- ( <. x , y >. e. { <. x , y >. | ph } <-> ph ) $=
      ( vz vw vv cv cop wceq wa wex cab wcel copab clelab df-opab eleq2i wsbc
      19.41v anass exbii eqcom opex eqvinc visset opth 3bitr3 anbi1i 3bitr3r
      2exbii sbel2x excom exdistr2 3bitr4 ax-17 hbs1 hban hbex opeq1 eqeq2d
      sbequ12 anbi12d exbidv cbvex opeq2 bitr anbi2i bitr4 ) BGZCGZHZDGZVKIZAJZ
      CKZBKZDLZMVMVPJZDKZVKABCNZMAVPDVKOVTVQVKABCDPQAVMVLEGZFGZHZIZABWARZCWBRZJ
      ZFKZEKZJZDKZVSWAVIIWBVJIJZWFJZFKEKVMWGJZDKZFKZEKZAWKWMWOEFVMWDJZWFJZDKWRD
      KZWFJWOWMWRWFDSWSWNDVMWDWFTUAWTWLWFVKWCIWCVKIWTWLVKWCUBDVKWCVIVJUCUDWAWBV
      IVJEUEFUECUEUFUGUHUIUJAEFBCUKWNFKZEKDKXADKZEKWKWQXADEULVMWGDEFUMXBWPEWNDF
      ULUAUGUNVRWJDVPWIVMVPVLWAVJHZIZWEJZCKZEKWIVOXFBEVOEUOXEBCXDWEBXDBUOABEUPU
      QURVIWAIZVNXECXGVMXDAWEXGVKXCVLVIWAVJUSUTABEVAVBVCVDXFWHEXEWGCFXEFUOWDWFC
      WDCUOWECFUPUQVJWBIZXDWDWEWFXHXCWCVLVJWBWAVEUTWECFVAVBVDUAVFVGUAVHUN $.
      $( [14-Apr-1995] $)
  $}

  ${
    $d x z A $.  $d y z A $.  $d z ph $.
    $( Membership in a class abstraction of pairs. $)
    elopab $p |- ( A e. { <. x , y >. | ph } <->
                 E. x E. y ( A = <. x , y >. /\ ph ) ) $=
      ( vz copab wcel cvv cv cop wceq wa wex elisset opex eleq1 mpbiri adantr
      19.23aivv eqeq1 anbi1d 2exbidv df-opab abeq2i vtoclbg pm5.21nii ) DABCFZG
      ZDHGZDBIZCIZJZKZALZCMBMZDUGNUNUIBCUMUIAUMUIULHGUJUKODULHPQRSEIZUGGUPULKZA
      LZCMBMZUHUOEDHUPDUGPUPDKZURUNBCUTUQUMAUPDULTUAUBUSEUGABCEUCUDUEUF $.
      $( [24-Mar-1998] $)
  $}

  ${
    $d x z w $.  $d y z w $.
    hbopab.1 $e |- ( ph -> A. z ph ) $.
    $( Bound-variable hypothesis builder for class abstraction. $)
    hbopab $p |- ( w e. { <. x , y >. | ph } ->
                 A. z w e. { <. x , y >. | ph } ) $=
      ( cv cop wceq wa wex wal copab wcel ax-17 hban hbex elopab albii 3imtr4
      ) EGZBGCGHIZAJZCKZBKZUEDLUAABCMNZUFDLUDDBUCDCUBADUBDOFPQQABCUARZUFUEDUGST
      $.
      $( [1-Sep-1999] $)
  $}

  ${
    $d x w $.  $d y w $.  $d x z $.  $d w ph $.
    $( The first abstraction variable in an ordered-pair class abstraction
       (class builder) is effectively not free. $)
    hbopab1 $p |- ( z e. { <. x , y >. | ph } ->
                 A. x z e. { <. x , y >. | ph } ) $=
      ( vw copab cv cop wceq wa wex cab df-opab hbe1 hbab hbxfr ) BDABCFEGBGCGH
      IAJCKZBKZELABCEMRBEDQBNOP $.
      $( [16-May-1995] $)
  $}

  ${
    $d x w $.  $d y w $.  $d y z $.  $d w ph $.
    $( The second abstraction variable in an ordered-pair class abstraction
       (class builder) is effectively not free. $)
    hbopab2 $p |- ( z e. { <. x , y >. | ph } ->
                 A. y z e. { <. x , y >. | ph } ) $=
      ( vw copab cv cop wceq wa wex cab df-opab hbe1 hbex hbab hbxfr ) CDABCFEG
      BGCGHIAJZCKZBKZELABCEMTCEDSCBRCNOPQ $.
      $( [16-May-1995] $)
  $}


  ${
    $d x y z v $.  $d x y w v $.  $d v ph $.
    $( The law of concretion in terms of substitutions. $)
    opabsb $p |- ( <. z , w >. e. { <. x , y >. | ph }
                 <-> [ w / y ] [ z / x ] ph ) $=
      ( vv cv wceq wex cop copab wcel wsbc wb a9e ax-17 hbopab2 hbel hbs1 hbbi
      wi hbopab1 hbsb hbim wa opeq12 eleq1d opabid syl5bbr sbequ12 sylan9bb
      bitr3d ex 19.23ai ax-mp ) CGZEGZHZCIDGZUQJZABCKZLZABUSMZCUQMZNZCEOURVECVB
      VDCCFFUTVAFGUTLZCPABCFQRVCCESTBGZUSHZBIURVEUAZBDOVHVIBURVEBURBPVBVDBBFFUT
      VAVFBPABCFUBRVCCEBABDSUCTUDVHURVEVHURUEZAVBVDVJVGUPJZVALVBAVJVKUTVAVGUPUS
      UQUFUGABCUHUIVHAVCURVDABDUJVCCEUJUKULUMUNUOUNUO $.
      $( [30-Sep-2002] $)

    ${
      brabsb.1 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion in terms of substitutions. $)
      brabsb $p |- ( z R w <-> [ w / y ] [ z / x ] ph ) $=
        ( cv wbr copab cop wcel wsbc breqi df-br opabsb 3bitr ) DHZEHZFIRSABCJZ
        IRSKTLABRMCSMRSFTGNRSTOABCDEPQ $.
        $( [17-Mar-2008] $) $( [17-Mar-2008] $)
    $}
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y ch $.  $d z ph $.
    opelopabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopabg.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61. $)
    opelopabg $p |- ( ( A e. C /\ B e. D ) ->
                    ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) ) $=
      ( wcel wa cop cv wceq wex copab sylan9bb copsex2g elopab syl5bb ) FHLGILM
      FGNZDOZEOZNPAMEQDQCUCADERLACDEFGHIUDFPABUEGPCJKSTADEUCUAUB $.
      $( [15-Mar-2007] $) $( [28-May-1995] $)

    ${
      brabg.5 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation. $)
      brabg $p |- ( ( A e. C /\ B e. D ) -> ( A R B <-> ch ) ) $=
        ( wcel wa cop copab wbr opelopabg df-br eleq2i bitr syl5bb ) FHNGINOFGP
        ZADEQZNZCFGJRZABCDEFGHIKLSUGUDJNUFFGJTJUEUDMUAUBUC $.
        $( [16-Aug-1999] $)
    $}
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y ch $.
    opelopab2.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopab2.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( Ordered pair membership in an ordered pair class abstraction. $)
    opelopab2 $p |- ( ( A e. C /\ B e. D ) -> ( <. A , B >. e.
                 { <. x , y >. | ( ( x e. C /\ y e. D ) /\ ph ) } <-> ch ) ) $=
      ( wcel wa cop cv copab wceq eleq1 anbi1d anbi12d anbi2d opelopabg pm3.27
      pm3.2 impbid2 bitrd ) FHLZGILZMZFGNDOZHLZEOZILZMZAMZDEPLUICMZCUOUGUMMZBMU
      PDEFGHIUJFQZUNUQABURUKUGUMUJFHRSJTULGQZUQUIBCUSUMUHUGULGIRUAKTUBUIUPCUICU
      CUICUDUEUF $.
      $( [31-Jan-2008] $) $( [14-Oct-2007] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ch $.
    opelopab.1 $e |- A e. V $.
    opelopab.2 $e |- B e. V $.
    opelopab.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    opelopab.4 $e |- ( y = B -> ( ps <-> ch ) ) $.
    $( The law of concretion.  Theorem 9.5 of [Quine] p. 61. $)
    opelopab $p |- ( <. A , B >. e. { <. x , y >. | ph } <-> ch ) $=
      ( cvv wcel cop copab wb opelopabg mp2an ) FLMGLMFGNADEOMCPHIABCDEFGLLJKQR
      $.
      $( [16-May-1995] $)

    ${
      brab.5 $e |- R = { <. x , y >. | ph } $.
      $( The law of concretion for a binary relation. $)
      brab $p |- ( A R B <-> ch ) $=
        ( cvv wcel wbr wb brabg mp2an ) FNOGNOFGHPCQIJABCDEFGNNHKLMRS $.
        $( [16-Aug-1999] $)
    $}
  $}

  ${
    $d ph z $.  $d ps z $.  $d x y z $.
    $( Equivalence of ordered pair abstraction subclass and implication. $)
    ssopab2 $p |- ( { <. x , y >. | ph } (_ { <. x , y >. | ps } <->
               A. x A. y ( ph -> ps ) ) $=
      ( vz copab wss wi wal hbopab1 hbss hbopab2 cv cop wceq wex opex isseti
      wa cab copsexg imbi12d ss2ab ax-4 sylbi syl5bir df-opab sseq12i syl5ib
      19.23aiv ax-mp 19.21ai hba1 anim2d 19.22d a4s 19.21aiv sylibr 3sstr4g
      impbi ) ACDFZBCDFZGZABHZDIZCIZVCVECCEVAVBACDEJBCDEJKVCVDDDEVAVBACDELBCDEL
      KEMZCMZDMZNZOZEPVCVDHZEVJVHVIQRVKVLEVKVKASZDPZCPZETZVKBSZDPZCPZETZGZVDVCV
      KVDVOVSHZWAVKAVOBVSACDVGUABCDVGUAUBWAWBEIZWBVOVSEUCZWBEUDUEUFVAVPVBVTACDE
      UGZBCDEUGZUHUIUJUKULULVFVPVTVAVBVFWCWAVFWBEVFVNVRCVECUMVEVNVRHCVEVMVQDVDD
      UMVEABVKVDDUDUNUOUPUOUQWDURWEWFUSUT $.
      $( [27-Dec-1996] $)
  $}

  ${
    $d ph z $.  $d ps z $.  $d x y z $.
    ssopab2i.1 $e |- ( ph -> ps ) $.
    $( Inference of ordered pair abstraction subclass from implication. $)
    ssopab2i $p |- { <. x , y >. | ph } (_ { <. x , y >. | ps } $=
      ( copab wss wi wal ssopab2 ax-gen mpgbir ) ACDFBCDFGABHZDICABCDJMDEKL $.
      $( [5-Apr-1995] $)
  $}

  ${
    $d z ph $.  $d z x $.  $d z y $.
    $( Non-empty ordered pair class abstraction. $)
    opabn0 $p |- ( { <. x , y >. | ph } =/= (/) <-> E. x E. y ph ) $=
      ( vz copab c0 wne cv wcel wex cop wceq wa ne0 elopab exbii exrot3 19.41v
      opex isseti mpbiran 2exbii bitr 3bitr ) ABCEZFGDHZUEIZDJUFBHZCHZKZLZAMZCJ
      BJZDJZACJBJZDUENUGUMDABCUFOPUNULDJZCJBJUOULDBCQUPABCUPUKDJAUKADRDUJUHUIST
      UAUBUCUD $.
      $( [10-Nov-2007] $) $( [10-Oct-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Power class of union and intersection
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y $.  $d B x y $.
    $( The power class of the intersection of two classes is the intersection
       of their power classes.  Exercise 4.12(j) of [Mendelson] p. 235. $)
    pwin $p |- P~ ( A i^i B ) = ( P~ A i^i P~ B ) $=
      ( vx cpw cin cv wss wa wcel ssin visset elpw anbi12i 3bitr4 ineqri
      eqcomi ) ADZBDZEABEZDZCQRTCFZAGZUABGZHUASGUAQIZUARIZHUATIUAABJUDUBUEUCUAA
      CKZLUABUFLMUASUFLNOP $.
      $( [23-Nov-2003] $) $( [23-Nov-2003] $)

    $( The power class of the union of two classes includes the union of their
       power classes.  Exercise 4.12(k) of [Mendelson] p. 235. $)
    pwunss $p |- ( P~ A u. P~ B ) (_ P~ ( A u. B ) $=
      ( vx cpw cun cv wss wo wcel ssun elun visset elpw orbi12i bitr 3imtr4
      ssriv ) CADZBDZEZABEZDZCFZAGZUCBGZHZUCUAGUCTIZUCUBIUCABJUGUCRIZUCSIZHUFUC
      RSKUHUDUIUEUCACLZMUCBUJMNOUCUAUJMPQ $.
      $( [23-Nov-2003] $) $( [23-Nov-2003] $)

    $( The power class of the union of two classes is a subset of the union of
       their power classes, iff one class is a subclass of the other.  Exercise
       4.12(l) of [Mendelson] p. 235. $)
    pwssun $p |- ( ( A (_ B \/ B (_ A ) <->
               P~ ( A u. B ) (_ ( P~ A u. P~ B ) ) $=
      ( vy vx wss wo cun cpw orcom wceq ssequn2 pweq eqimss syl sylbi ssequn1
      orim12i ssun wn wa cv wcel wi cpr ssel csn unss12 visset snss syl2anb
      zfpair2 elpw df-pr sseq1i bitr2 sylib syl5 exp3a com23 imp31 elun prss
      bitr4 pm3.27bi pm3.26bi ord ex imp ssrdv exp31 bi2.15 syl6ib orrd impbi
      ) ABEZBAEZFZABGZHZAHZBHZGZEZVQVSVTEZVSWAEZFZWCVQVPVOFWFVOVPIVPWDVOWEVPVRA
      JZWDBAKWGVSVTJWDVRALVSVTMNOVOVRBJZWEABPWHVSWAJWEVRBLVSWAMNOQOVSVTWARNWCVO
      VPWCVOSZVPWCWITCBAWCWICUAZBUBZWJAUBZUCWCWKWIWLWCWKWLSZVOUCWIWLUCWCWKWMVOW
      CWKTZWMTDABWNWMDUAZAUBZWOBUBZUCWNWPWMWQWNWPWMWQUCWNWPTZWLWQWRWOWJUDZVTUBZ
      WSWAUBZFZWLWQFWRWSWBUBZXBWCWKWPXCWCWPWKXCWCWPWKXCWCWSVSUBZXCWPWKTZVSWBWSU
      EXEWOUFZWJUFZGZVREZXDXFAEXGBEXIWPWKXFAXGBUGWOADUHZUIWJBCUHZUIUJXDWSVREXIW
      SVRDCUKZULWSXHVRWOWJUMUNUOUPUQURUSUTWSVTWAVAUPWTWLXAWQWTWPWLWTWSAEWPWLTWS
      AXLULWOWJAXJXKVBVCVDXAWQWKXAWSBEWQWKTWSBXLULWOWJBXJXKVBVCVEQNVFVGUSVHVIVJ
      WLVOVKVLUSVHVIVGVMVN $.
      $( [23-Nov-2003] $) $( [23-Nov-2003] $)

    $( Break up the power class of a union into a union of smaller classes. $)
    pwundif $p |- P~ ( A u. B ) =
                  ( ( P~ ( A u. B ) \ P~ A ) u. P~ A ) $=
      ( vx cun cpw cdif cv wcel wss visset elpw wo wn wa elun eldif negbii
      anbi12i bitr orbi12i ordir pm2.1 biantru id ssun3 jaoi orc impbi 3bitr2
      3bitrr eqriv ) CABDZEZUMAEZFZUNDZCGZUMHZUQULIZUQUPHZUQULCJZKZUTUQUOHZUQUN
      HZLUSUQAIZMZNZVELZUSUQUOUNOVCVGVDVEVCURVDMZNVGUQUMUNPURUSVIVFVBVDVEUQAVAK
      ZQRSVJTVHUSVELZVFVELZNVKUSUSVFVEUAVLVKVEUBUCVKUSUSUSVEUSUDUQABUEUFUSVEUGU
      HUIUJSUK $.
      $( [28-Mar-2007] $) $( [25-Mar-2007] $)
  $}

  $( The power class of the union of two classes equals the union of their
     power classes, iff one class is a subclass of the other.  Part of
     Exercise 7(b) of [Enderton] p. 28. $)
  pwun $p |- ( ( A (_ B \/ B (_ A ) <->
             P~ ( A u. B ) = ( P~ A u. P~ B ) ) $=
    ( cun cpw wss wa wo wceq pwunss biantru pwssun eqss 3bitr4 ) ABCDZADBDCZEZP
    ONEZFABEBAEGNOHQPABIJABKNOLM $.
    $( [23-Nov-2003] $) $( [23-Nov-2003] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Epsilon and identity relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant symbols. $)
  $c E $. $( Letter E (for epsilon relation) $)
  $c I $.  $( Letter I (for identity relation) $)

  $( Extend class notation to include the epsilon relation. $)
  cep $a class E $.

  $( Extend the definition of a class to include identity relation. $)
  cid $a class I $.

  ${
    $d x y $.
    $( Define the epsilon relation.  Similar to Definition 6.22 of
       [TakeutiZaring] p. 30. $)
    df-eprel $a |- E = { <. x , y >. | x e. y } $.
  $}

  ${
    $d x y A $.  $d x y B $.
    epelc.1 $e |- A e. V $.
    epelc.2 $e |- B e. V $.
    $( The epsilon relation and the membership relation are the same. $)
    epelc $p |- ( A E B <-> A e. B ) $=
      ( vx vy cv wcel cep eleq1 eleq2 df-eprel brab ) EGZFGZHAOHABHEFABICDNAOJO
      BAKEFLM $.
      $( [13-Aug-1995] $)
  $}

  ${
    $( The epsilon relation and the membership relation are the same. $)
    epel $p |- ( x E y <-> x e. y ) $=
      ( cv visset epelc ) ACBCADBDE $.
      $( [13-Aug-1995] $)
  $}

  ${
    $d x y $.
    $( Define the identity relation.  Definition 9.15 of [Quine] p. 64. $)
    df-id $a |- I = { <. x , y >. | x = y } $.
  $}

  ${
    $d v w z x $.  $d v w z y $.
    $( A stronger version of ~ df-id that doesn't require ` x ` and ` y ` to be
       distinct.  Ordinarily, we wouldn't use this as a definition, since
       non-distinct dummy variables would make soundness verification more
       difficult (as the proof here shows).  The proof can be instructive in
       showing how distinct variable requirements may be eliminated, a task
       that is not necessarily obvious. $)
    dfid3 $p |- I = { <. x , y >. | x = y } $=
      ( vw vz vv cid cv cop wceq wa wex cab copab df-id df-opab wal wb opeq2
      eqeq2d equequ2 anbi12d a4s drex1 drex2 ancom equcom anbi1i bitr exbii
      visset ceqsexv equid biantru 3bitr hbe1 19.9 bitr4 syl5bb wn hbnae wcel
      wi ax-17 a1i dveel2 nalequcoms hbopd hbeqd dveeq1 hband cbvexd exbid
      pm2.61i abbii 3eqtr eqtr4 ) FCGZAGZBGZHZIZVRVSIZJZBKZAKZCLZWBABMFVRDGZIZA
      DMVQVRWGHZIZWHJZDKZAKZCLWFADNWHADCOWMWECWBAPZWMWEQWNVQVRVRHZIZVRVRIZJZAKZ
      AKZWEWMWSWDABAWRWCABWBWRWCQAWBWPWAWQWBWBWOVTVQVRVSVRRSABATUAUBUCUDWMWSWTW
      LWRAWLWGVRIZWJJZDKWPWRWKXBDWKWHWJJXBWJWHUEWHXAWJADUFUGUHUIWJWPDVRAUJXAWIW
      OVQWGVRVRRSUKWQWPAULUMUNUIWSAWRAUOUPUQURWNUSZWLWDAABAUTXCWKWCDBABBUTZXCWJ
      WHBXCBEVQWIXDEGZVQVAZXFBPVBXCXFBVCVDXCBEVRWGXDXEVRVAZXGBPVBBABAEVEVFXEWGV
      AZXHBPVBXCXHBVCVDVGVHWHWHBPVBBABADVIVFVJWGVSIZWKWCQVBXCXIWJWAWHWBXIWIVTVQ
      WGVSVRRSDBATUAVDVKVLVMVNVOWBABCOVP $.
      $( [5-Feb-2008] $) $( [5-Feb-2008] $)
  $}

  $( Alternate definition of the identity relation. $)
  dfid2 $p |- I = { <. x , x >. | x = x } $=
    ( dfid3 ) AAB $.
    $( [15-Mar-2007] $) $( [15-Mar-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                  Partial and complete ordering
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
We have not yet defined relations ( ~ df-rel ), but here but introduce a
few related notions we will use to develop ordinals.  The class variable
` R ` is no different from other class variables, but it reminds us that
normally it represents what we will later call a "relation."
$)

  $( Declare new constant symbols. $)
  $c Po $.  $( Partial ordering predicate symbol (read: 'partial ordering'). $)
  $c Or $.  $( Strict complete ordering predicate symbol (read: 'orders'). $)

  $( Extend wff notation to include the strict partial ordering predicate.
     Read:  '` R ` is a partial order on ` A ` .' $)
  wpo $a wff R Po A $.

  $( Extend wff notation to include the strict complete ordering predicate.
     Read:  '` R ` orders ` A ` .' $)
  wor $a wff R Or A $.

  ${
    $d x y z R $.  $d x y z A $.
    $( Define a strict partial order relation.  Definition of [Enderton]
       p. 168. $)
    df-po $a |- ( R Po A <-> A. x e. A A. y e. A A. z e. A
                ( -. x R x /\ ( ( x R y /\ y R z ) -> x R z ) ) ) $.
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.
    $( Subset theorem for the partial ordering predicate. $)
    poss $p |- ( A (_ B -> ( R Po B -> R Po A ) ) $=
      ( vx vy vz wss cv wbr wn wa wi wral wpo wcel w3a wal ssel 3anim123d
      imim1d 19.20dv r3al 3imtr4g df-po ) ABGZDHZUFCIJUFEHZCIUGFHZCIKUFUHCILKZF
      BMEBMDBMZUIFAMEAMDAMZBCNACNUEUFBOZUGBOZUHBOZPZUILZFQZEQZDQUFAOZUGAOZUHAOZ
      PZUILZFQZEQZDQUJUKUEURVEDUEUQVDEUEUPVCFUEVBUOUIUEUSULUTUMVAUNABUFRABUGRAB
      UHRSTUAUAUAUIDEFBBBUBUIDEFAAAUBUCDEFBCUDDEFACUDUC $.
      $( [27-Mar-1997] $)
  $}

  ${
    $d x y z R $.  $d x y z S $.  $d x y z A $.
    $( Equality theorem for partial ordering predicate. $)
    poeq1 $p |- ( R = S -> ( R Po A <-> S Po A ) ) $=
      ( vx vy vz wceq cv wbr wn wa wi wral wpo breq negbid anbi12d imbi12d
      ralbidv 2ralbidv df-po 3bitr4g ) BCGZDHZUDBIZJZUDEHZBIZUGFHZBIZKZUDUIBIZL
      ZKZFAMZEAMDAMUDUDCIZJZUDUGCIZUGUICIZKZUDUICIZLZKZFAMZEAMDAMABNACNUCUOVDDE
      AAUCUNVCFAUCUFUQUMVBUCUEUPUDUDBCOPUCUKUTULVAUCUHURUJUSUDUGBCOUGUIBCOQUDUI
      BCORQSTDEFABUADEFACUAUB $.
      $( [27-Mar-1997] $)
  $}

  $( Equality theorem for partial ordering predicate. $)
  poeq2 $p |- ( A = B -> ( R Po A <-> R Po B ) ) $=
    ( wceq wpo wss wa wi wb poss anim12i eqss dfbi2 3imtr4 bicomd ) ABDZBCEZACEZAB
    FZBAFZGQRHZRQHZGPQRISUATUBABCJBACJKABLQRMNO $.
    $( [27-Mar-1997] $)

  ${
    $d x y z R $.  $d x y z A $.
    $d x y z B $.  $d x y z C $.  $d x y z D $.
    $( Properties of partial order relation in class notation. $)
    pocl $p |- ( R Po A -> ( ( B e. A /\ C e. A /\ D e. A ) ->
               ( -. B R B /\ ( ( B R C /\ C R D ) -> B R D ) ) ) ) $=
      ( vx vy vz wcel w3a wpo wbr wn wa wi cv wceq id breq12d negbid breq1
      anbi1d imbi12d anbi12d imbi2d breq2 imbi1d anbi2d wal wral df-po r3al
      bitr biimp 19.21bbi 19.21bi com12 vtocl3ga ) BAICAIDAIJAEKZBBELZMZBCELZCD
      ELZNZBDELZOZNZUSFPZVHELZMZVHGPZELZVKHPZELZNZVHVMELZOZNZOUSVABVKELZVNNZBVM
      ELZOZNZOUSVAVBCVMELZNZWAOZNZOUSVGOFGHBCDAAAVHBQZVRWCUSWHVJVAVQWBWHVIUTWHV
      HBVHBEWHRZWISTWHVOVTVPWAWHVLVSVNVHBVKEUAUBVHBVMEUAUCUDUEVKCQZWCWGUSWJWBWF
      VAWJVTWEWAWJVSVBVNWDVKCBEUFVKCVMEUAUDUGUHUEVMDQZWGVGUSWKWFVFVAWKWEVDWAVEW
      KWDVCVBVMDCEUFUHVMDBEUFUCUHUEUSVHAIVKAIVMAIJZVRUSWLVROZHUSWMHUIZFGUSWNGUI
      FUIZUSVRHAUJGAUJFAUJWOFGHAEUKVRFGHAAAULUMUNUOUPUQURUQ $.
      $( [27-Mar-1997] $)
  $}

  $( A partial order relation is irreflexive. $)
  poirr $p |- ( ( R Po A /\ B e. A ) -> -. B R B ) $=
    ( wpo wcel w3a wbr wn wa wi pocl imp pm3.26d df-3an anabs1 anidm 3bitrr
    sylan2b ) ACDZBAEZTTFZBBCGZHZTSUAIUCUBUBIUBJZSUAUCUDIABBBCKLMUATTIZTIUETTTT
    NTTOTPQR $.
    $( [27-Mar-1997] $)

  $( A partial order relation is a transitive relation. $)
  potr $p |- ( ( R Po A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
             ( ( B R C /\ C R D ) -> B R D ) ) $=
    ( wpo wcel w3a wa wbr wn wi pocl imp pm3.27d ) AEFZBAGCAGDAGHZIBBEJKZBCEJCD
    EJIBDEJLZPQRSIABCDEMNO $.
    $( [27-Mar-1997] $)

  $( A partial order relation has no 2-cycle loops. $)
  po2nr $p |- ( ( R Po A /\ ( B e. A /\ C e. A ) ) ->
              -. ( B R C /\ C R B ) ) $=
    ( wpo wcel wa wbr wn poirr adantrr wi potr 3exp2 com34 pm2.43d imp32 mtod
    ) ADEZBAFZCAFZGGBCDHCBDHGZBBDHZSTUCIUAABDJKSTUAUBUCLZSTUAUDLSTUATUDSTUATUDA
    BCBDMNOPQR $.
    $( [27-Mar-1997] $)

  $( A partial order relation has no 3-cycle loops. $)
  po3nr $p |- ( ( R Po A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
             -. ( B R C /\ C R D /\ D R B ) ) $=
    ( wpo wcel w3a wa wbr wn po2nr 3adantr2 potr anim1d df-3an syl5ib mtod ) AE
    FZBAGZCAGZDAGZHIZBCEJZCDEJZDBEJZHZBDEJZUFIZSTUBUIKUAABDELMUCUDUEIZUFIUIUGUC
    UJUHUFABCDENOUDUEUFPQR $.
    $( [27-Mar-1997] $)

  ${
    $d x y z R $.
    $( Any relation is a partial ordering of the empty set. $)
    po0 $p |- R Po (/) $=
      ( vx vy vz c0 wpo cv wbr wn wa wi wral df-po wcel noel pm2.21i mprgbir )
      EAFBGZRAHIRCGZAHSDGZAHJRTAHKJDELCELZBEBCDEAMRENUAROPQ $.
      $( [28-Mar-1997] $)
  $}

  ${
    $d x y R $.  $d x y A $.
    $( Define a strict complete (linear) order relation. $)
    df-so $a |- ( R Or A <-> ( R Po A /\ A. x e. A A. y e. A
                ( x R y \/ x = y \/ y R x ) ) ) $.
  $}

  ${
    $d x y R $.  $d x y A $.
    $( A strict linear order is a strict partial order. $)
    sopo $p |- ( R Or A -> R Po A ) $=
      ( vx vy wor wpo cv wbr wceq w3o wral df-so pm3.26bi ) ABEABFCGZDGZBHNOION
      BHJDAKCAKCDABLM $.
      $( [28-Mar-1997] $)
  $}

  ${
    $d x y R $.  $d x y A $.  $d x y B $.
    $( Subset theorem for the strict ordering predicate. $)
    soss $p |- ( A (_ B -> ( R Or B -> R Or A ) ) $=
      ( vx vy wss wpo cv wbr wceq w3o wral wa wor poss wcel wi wal ssel
      anim12d imim1d 19.20dv r2al 3imtr4g df-so ) ABFZBCGZDHZEHZCIUHUIJUIUHCIKZ
      EBLDBLZMACGZUJEALDALZMBCNACNUFUGULUKUMABCOUFUHBPZUIBPZMZUJQZERZDRUHAPZUIA
      PZMZUJQZERZDRUKUMUFURVCDUFUQVBEUFVAUPUJUFUSUNUTUOABUHSABUISTUAUBUBUJDEBBU
      CUJDEAAUCUDTDEBCUEDEACUEUD $.
      $( [16-Mar-1997] $)
  $}

  ${
    $d x y R $.  $d x y S $.  $d x y A $.
    $( Equality theorem for the strict ordering predicate. $)
    soeq1 $p |- ( R = S -> ( R Or A <-> S Or A ) ) $=
      ( vx vy wceq wpo cv wbr w3o wral wa wor poeq1 breq pm4.2d 3orbi123d
      2ralbidv anbi12d df-so 3bitr4g ) BCFZABGZDHZEHZBIZUDUEFZUEUDBIZJZEAKDAKZL
      ACGZUDUECIZUGUEUDCIZJZEAKDAKZLABMACMUBUCUKUJUOABCNUBUIUNDEAAUBUFULUGUGUHU
      MUDUEBCOUBUGPUEUDBCOQRSDEABTDEACTUA $.
      $( [16-Mar-1997] $)
  $}

  $( Equality theorem for the strict ordering predicate. $)
  soeq2 $p |- ( A = B -> ( R Or A <-> R Or B ) ) $=
    ( wceq wor wss wa wi wb soss anim12i eqss dfbi2 3imtr4 bicomd ) ABDZBCEZACEZAB
    FZBAFZGQRHZRQHZGPQRISUATUBABCJBACJKABLQRMNO $.
    $( [16-Mar-1997] $)

  $( A strict order relation is irreflexive. $)
  sonr $p |- ( ( R Or A /\ B e. A ) -> -. B R B ) $=
    ( wpo wcel wbr wn wor poirr sopo sylan ) ACDBAEBBCFGACHABCIACJK $.
    $( [24-Nov-1995] $)

  $( A strict order relation is a transitive relation. $)
  sotr $p |- ( ( R Or A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
             ( ( B R C /\ C R D ) -> B R D ) ) $=
    ( wpo wcel w3a wbr wa wi wor potr sopo sylan ) AEFBAGCAGDAGHBCEICDEIJBDEIKA
    ELABCDEMAENO $.
    $( [21-Jan-1996] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y R $.

    $( A strict order relation is linear (satisfies trichotomy). $)
    solin $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              ( B R C \/ B = C \/ C R B ) ) $=
      ( vx vy wcel wa wor wbr wceq w3o cv wi breq1 eqeq1 breq2 3orbi123d
      imbi2d eqeq2 wpo wral df-so ra42 adantl sylbi com12 vtocl2ga impcom ) BAG
      CAGHADIZBCDJZBCKZCBDJZLZUJEMZFMZDJZUOUPKZUPUODJZLZNUJBUPDJZBUPKZUPBDJZLZN
      UJUNNEFBCAAUOBKZUTVDUJVEUQVAURVBUSVCUOBUPDOUOBUPPUOBUPDQRSUPCKZVDUNUJVFVA
      UKVBULVCUMUPCBDQUPCBTUPCBDORSUJUOAGUPAGHZUTUJADUAZUTFAUBEAUBZHVGUTNZEFADU
      CVIVJVHUTEFAAUDUEUFUGUHUI $.
      $( [21-Jan-1996] $)
  $}

  $( A strict order relation has no 2-cycle loops. $)
  so2nr $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              -. ( B R C /\ C R B ) ) $=
    ( wpo wcel wa wbr wn wor po2nr sopo sylan ) ADEBAFCAFGBCDHCBDHGIADJABCDKADL
    M $.
    $( [21-Jan-1996] $)

  $( A strict order relation has no 3-cycle loops. $)
  so3nr $p |- ( ( R Or A /\ ( B e. A /\ C e. A /\ D e. A ) ) ->
             -. ( B R C /\ C R D /\ D R B ) ) $=
    ( wpo wcel w3a wbr wn wor po3nr sopo sylan ) AEFBAGCAGDAGHBCEICDEIDBEIHJAEK
    ABCDELAEMN $.
    $( [21-Jan-1996] $)

  $( A strict order relation satisfies strict trichotomy. $)
  sotric $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              ( B R C <-> -. ( B = C \/ C R B ) ) ) $=
    ( wor wcel wa wceq wbr wo wn wi breq2 negbid sonr syl5cbi adantrr so2nr
    imnan sylibr con2d jaod w3o solin 3orass df-or bitr sylib impbid con2bid )
    ADEZBAFZCAFZGGZBCHZCBDIZJZBCDIZUNUQURKZUNUOUSUPUKULUOUSLUMUOBBDIZKUSUKULGUO
    UTURBCBDMNABDOPQUNURUPUNURUPGKURUPKLABCDRURUPSTUAUBUNURUOUPUCZUSUQLZABCDUDV
    AURUQJVBURUOUPUEURUQUFUGUHUIUJ $.
    $( [19-Feb-1996] $)

  $( Trichotomy law for strict order relation. $)
  sotrieq $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              ( B = C <-> -. ( B R C \/ C R B ) ) ) $=
    ( wor wcel wa wceq wbr wn wo wi breq2 negbid sonr syl5bi syl5bir anim12d
    com12 anandis sotric con2bid biimpar ord con1d ex imp3a impbid ioran
    syl6bbr ) ADEZBAFZCAFZGGZBCHZBCDIZJZCBDIZJZGZUPURKJUNUOUTUKULUMUOUTLUOUKULG
    ZUKUMGZGUTUOVAUQVBUSUOBBDIZJUQVAUOVCUPBCBDMNABDOPUOUSCCDIZJVBUOURVDBCCDMNAC
    DOQRSTUNUQUSUOUNUQUSUOLUNUQGZUOURVEUOURUNUOURKZUQUNUPVFABCDUAUBUCUDUEUFUGUH
    UPURUIUJ $.
    $( [9-Apr-1996] $)

  $( Trichotomy law for strict order relation. $)
  sotrieq2 $p |- ( ( R Or A /\ ( B e. A /\ C e. A ) ) ->
              ( B = C <-> ( -. B R C /\ -. C R B ) ) ) $=
    ( wor wcel wa wceq wbr wo wn sotrieq ioran syl6bb ) ADEBAFCAFGGBCHBCDIZCBDI
    ZJKOKPKGABCDLOPMN $.
    $( [5-May-1999] $)

  ${
    $d x y z R $.  $d x y z A $.
    itlso.1 $e |- ( x e. A -> -. x R x ) $.
    itlso.2 $e |- ( ( x e. A /\ y e. A /\ z e. A ) ->
                  ( ( x R y /\ y R z ) -> x R z ) ) $.
    itlso.3 $e |- ( ( x e. A /\ y e. A ) -> ( x R y \/ x = y \/ y R x ) ) $.
    $( A irreflexive, transitive, linear relation is a strict ordering. $)
    itlso $p |- R Or A $=
      ( wor wpo cv wbr wceq w3o wral df-so wn wa wi wcel w3a 3ad2ant1 jca
      rgen3 df-po mpbir rgen2a mpbir2an ) DEIDEJZAKZBKZELZUJUKMUKUJELNZBDOADOAB
      DEPUIUJUJELQZULUKCKZELRUJUOELSZRZCDOBDOADOUQABCDDDUJDTZUKDTZUODTZUAUNUPUR
      USUNUTFUBGUCUDABCDEUEUFUMABDHUGUH $.
      $( [21-Jan-1996] $)
  $}

  ${
    $d x y z R $.  $d x y z A $.
    so.1 $e |- ( ( x e. A /\ y e. A /\ z e. A ) ->
                  ( ( x R y <-> -. ( x = y \/ y R x ) ) /\
                 ( ( x R y /\ y R z ) -> x R z ) ) ) $.
    $( Deduce strict ordering from its properties. $)
    so $p |- R Or A $=
      ( cv wcel wbr wn wa wceq wo eqid orci wb wi eleq1 anbi2d eqeq2 breq1
      orbi12d breq2 negbid bibi12d imbi12d w3a 3anbi3d imbi1d pm3.26d chvarv
      3anidm23 con2bid mpbii anidms pm3.27d w3o biimprd 3orass df-or bitr
      sylibr itlso ) ABCDEAGZDHZVDVDEIZJZVEVEKZVDVDLZVFMZVGVIVFVDNOVEBGZDHZKZVD
      VKLZVKVDEIZMZVDVKEIZJZPZQVHVJVGPZQBAVKVDLZVMVHVSVTWAVLVEVEVKVDDRSWAVPVJVR
      VGWAVNVIVOVFVKVDVDTVKVDVDEUAUBWAVQVFVKVDVDEUCUDUEUFVMVQVPVEVLVQVPJPZVEVLC
      GZDHZUGZWBQVEVLVLUGZWBQCBWCVKLZWEWFWBWGWDVLVEVLWCVKDRUHUIWEWBVQVKWCEIKVDW
      CEIQZFUJUKULUMZUKUNUOWEWBWHFUPVMVRVPQZVQVNVOUQZVMVPVRWIURWKVQVPMWJVQVNVOU
      SVQVPUTVAVBVC $.
      $( [29-Jan-1996] $)
  $}

  ${
    $d x y R $.
    $( Any relation is a strict ordering of the empty set. $)
    so0 $p |- R Or (/) $=
      ( vx vy c0 wor cv wbr wceq w3o wral wpo df-so po0 mpbiran wcel noel
      pm2.21i mprgbir ) DAEZBFZCFZAGTUAHUATAGICDJZBDSDAKUBBDJBCDALAMNTDOUBTPQR
      $.
      $( [16-Mar-1997] $)
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
             ZF Set Theory - add the Axiom of Union
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                  Introduce the Axiom of Union
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w x y z $.
    $( Axiom of Union.  An axiom of Zermelo-Fraenkel set theory.  It states
       that a set ` y ` exists that includes the union of a given set ` x `
       i.e. the collection of all members of the members of ` x ` .  The
       variant ~ axun2 states that the union itself exists.  A version with
       the standard abbreviation for union is ~ uniex2 .  A version using class
       notation is ~ uniex .

       The union of a class ~ df-uni should not be confused with the union of
       two classes ~ df-un .  Their relationship is shown in ~ unipr . $)
    ax-un $a |- E. y A. z ( E. w ( z e. w /\ w e. x ) -> z e. y ) $.

    $( Axiom of Union expressed with fewest number of different variables. $)
    axun $p |- E. x A. y ( E. x ( y e. x /\ x e. z ) -> y e. x ) $=
      ( vw cv wcel wa wex wi wal ax-un wceq elequ2 elequ1 anbi12d cbvexv
      imbi1i albii exbii mpbi ) BEZDEZFZUBCEZFZGZDHZUAAEZFZIZBJZAHUIUHUDFZGZAHZ
      UIIZBJZAHCABDKUKUPAUJUOBUGUNUIUFUMDAUBUHLUCUIUEULDABMDACNOPQRST $.
      $( [14-Aug-2003] $)

    $( A variant of the Axiom of Union ~ ax-un .  For any set ` x ` , there
       exists a set ` y ` whose members are exactly the members of the members
       of ` x ` i.e. the union of ` x ` .  Axiom Union of [BellMachover]
       p. 466. $)
    axun2 $p |- E. y A. z ( z e. y <-> E. w ( z e. w /\ w e. x ) ) $=
      ( cv wcel wa wex ax-un bm1.3ii ) CEDEZFKAEFGDHBCABCDIJ $.
      $( [4-Jun-2006] $) $( [4-Jun-2006] $)

    $( The Axiom of Union using the standard abbreviation for union.  Given
       any set ` x ` , its union ` y ` exists. $)
    uniex2 $p |- E. y y = U. x $=
      ( vz cv cuni wceq wex wcel wb wal wi wa axun eluni imbi1i albii exbii
      mpbir bm1.3ii dfcleq ) BDZADZEZFZBGCDZUAHZUEUCHZICJZBGUGBCUGUFKZCJZBGUFUA
      UBHLBGZUFKZCJZBGBCAMUJUMBUIULCUGUKUFBUEUBNOPQRSUDUHBCUAUCTQR $.
      $( [4-Jun-2006] $) $( [4-Jun-2006] $)
  $}

  ${
    $d x y A $.
    uniex.1 $e |- A e. V $.
    $( The Axiom of Union in class notation.  This says that if ` A ` is
       a set i.e. ` A e. V ` (see ~ isset ), then the union of ` A ` is also a
       set.  Same as Axiom 3 of [TakeutiZaring] p. 16. $)
    uniex $p |- U. A e. V $=
      ( vx vy cv cuni cvv wcel wceq unieq eleq1d uniex2 issetri vtocl ) CEZFZGH
      AFZGHCABOAIPQGOAJKDPCDLMN $.
      $( [11-Aug-1993] $)
  $}

  ${
    $d x A $.
    $( The ZF Axiom of Union in class notation, in the form of a theorem
       instead of an inference.  We use the antecedent ` A e. B ` instead of
       ` A e. V ` to make the theorem more general and thus shorten some
       proofs; obviously ` V ` is one possibility for ` B ` . $)
    uniexg $p |- ( A e. B -> U. A e. V ) $=
      ( vx cv cuni cvv wcel wceq unieq eleq1d visset uniex vtoclg ) CDZEZFGAEZF
      GCABNAHOPFNAIJNCKLM $.
      $( [25-Nov-1994] $)
  $}

  ${
    unex.1 $e |- A e. V $.
    unex.2 $e |- B e. V $.
    $( The union of two sets is a set.  Corollary 5.8 of [TakeutiZaring]
        p. 16. $)
    unex $p |- ( A u. B ) e. V $=
      ( cpr cuni cun cvv unipr prex uniex eqeltrr ) ABEZFABGHABCDIMABJKL $.
      $( [1-Jul-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Existence of union is equivalent to existence of its components. $)
    unexb $p |- ( ( A e. V /\ B e. V ) <-> ( A u. B ) e. V ) $=
      ( vx vy cvv wcel wa cun cv wceq uneq1 eleq1d uneq2 visset unex vtocl2g
      wss ssun1 ssexg mpan ssun2 jca impbi ) AEFZBEFZGABHZEFZCIZDIZHZEFAUIHZEFU
      GCDABEEUHAJUJUKEUHAUIKLUIBJUKUFEUIBAMLUHUICNDNOPUGUDUEAUFQUGUDABRAUFESTBU
      FQUGUEBAUABUFESTUBUC $.
      $( [11-Jun-1998] $)
  $}

  $( A union of two sets is a set.  Corollary 5.8 of [TakeutiZaring] p. 16. $)
  unexg $p |- ( ( A e. C /\ B e. D ) -> ( A u. B ) e. V ) $=
    ( cvv wcel cun wa unexb biimp elisset syl2an ) AEFZBEFZABGEFZACFBDFMNHOABIJ
    ACKBDKL $.
    $( [19-Sep-2006] $) $( [18-Sep-2006] $)

  ${
    $( A version of ~ unisn without the ` A e. V ` hypothesis.  (Contributed by
       Stefan Allan, 14-Mar-2006.) $)
    unisn2 $p |- U. { A } e. { (/) , A } $=
      ( cvv wcel csn cuni c0 cpr unisng wceq wo eqid olci elprg mpbiri eqeltrd
      wn snprc biimp unieqd uni0 0ex pri1 eqeltr syl6eqel pm2.61i ) ABCZADZEZFA
      GZCUFUHAUIABHUFAUICAFIZAAIZJUKUJAKLAFABMNOUFPZUHFEZUIULUGFULUGFIAQRSUMFUI
      TFAUAUBUCUDUE $.
      $( [14-Mar-2006] $) $( [14-Mar-2006] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Union of a singleton in the form of a restricted class abstraction. $)
    unisn3 $p |- ( A e. B -> U. { x e. B | x = A } = A ) $=
      ( wcel cv wceq crab cuni csn rabsn unieqd unisng eqtrd ) BCDZAEBFACGZHBIZ
      HBNOPACBJKBCLM $.
      $( [3-Jul-2008] $) $( [3-Jul-2008] $)
  $}

  $( If the subtrahend of a class difference exists, then the minuend exists
     iff the difference exists. $)
  difex2 $p |- ( B e. C -> ( A e. V <-> ( A \ B ) e. V ) ) $=
    ( wcel cvv cdif difexg wa cun elisset anim1i ancoms unexb sylib undif2
    syl5eqelr wss ssun2 ssexg mpan syl expcom impbid2 ) BCDZAEDZABFZEDZABEGUGUD
    UEUGUDHZBAIZEDZUEUHBUFIZEUIUHBEDZUGHZUKEDUDUGUMUDULUGBCJKLBUFMNBAOPAUIQUJUE
    ABRAUIESTUAUBUC $.
    $( [12-Nov-2003] $) $( [12-Nov-2003] $)

  $( A triple of classes exists. $)
  tpex $p |- { A , B , C } e. V $=
    ( ctp cpr csn cun cvv df-tp prex snex unex eqeltr ) ABCDABEZCFZGHABCINOABJC
    KLM $.
    $( [10-Apr-1994] $)

  $( Each member of an ordered pair belongs to the union of the union of a
     class to which the ordered pair belongs.  Lemma 3D of [Enderton] p. 41. $)
  opeluu $p |- ( <. x , y >. e. A ->
               ( x e. U. U. A /\ y e. U. U. A ) ) $=
    ( cv cop wcel cuni cpr opi2 elunii mpan visset pri1 syl pri2 jca ) ADZBDZEZ
    CFZQCGZGZFZRUBFZTQRHZUAFZUCUESFTUFQRIUESCJKZQUEFUFUCQRALMQUEUAJKNTUFUDUGRUE
    FUFUDQRBLORUEUAJKNP $.
    $( [31-Mar-1995] $)

  ${
    $d A x y v z $. $d A x y u z $.
    $( Expression for double union that moves union into a class builder.
       (Contributed by FL, 28-May-2007.) $)
    uniuni $p |- U. U. A = U. { x | E. y ( x = U. y /\ y e. A ) } $=
      ( vz vu vv cv wcel cuni wa wex cab wceq eluni anbi2i exbii 19.42v bicomi
      excom anass ancom bitr3 2exbii bitr exdistr 3bitr visset uniex eleq2
      ceqsexv exancom 3bitr2 eqeq1 anbi1d exbidv elab abbii df-uni 3eqtr4 ) DGZ
      EGZHZVACIZHZJZEKZDLUTFGZHZVGAGZBGZIZMZVJCHZJZBKZALZHZJZFKZDLVCIVPIVFVSDVF
      VBVAVJHZVMJZBKZJZEKZVMUTVKHZJZBKZVSVEWCEVDWBVBBVACNOPWDVMVBVTJZEKZJZBKZWG
      WDVBWAJZBKZEKZVMWHJZEKBKZWKWCWMEWMWCVBWABQRPWNWLEKBKWPWLEBSWLWOBEWLWHVMJW
      OVBVTVMTWHVMUAUBUCUDVMWHBEUEUFWJWFBWIWEVMWEWIEUTVJNROPUDWGVHVGVKMZVMJZJZB
      KFKZVHWRBKZJZFKVSWGWSFKZBKWTWFXCBWFVMVHWQJZFKZJVMXDJZFKXCWEXEVMWEWQVHJFKX
      EVHWEFVKVJBUGUHVGVKUTUIUJWQVHFUKUBOVMXDFQXFWSFXFXDVMJWSVMXDUAVHWQVMTUDPUL
      PWSBFSUDVHWRFBUEXBVRFXAVQVHVQXAVOXAAVGFUGVIVGMZVNWRBXGVLWQVMVIVGVKUMUNUOU
      PROPUFUFUQDEVCURDFVPURUS $.
      $( [5-Feb-2008] $) $( [28-May-2007] $)
  $}

  ${
    $d x y z $.  $d y z ph $.
    $( If ` ph ` is true for exactly one ` x ` , then ` U. { x | ph } ` is a
       way to express "the unique element such that ` ph ` is true."  Some
       books use a special symbol such as iota to denote "the unique element
       such that." $)
    euuni $p |- ( E! x ph -> ( ph <-> U. { x | ph } = x ) ) $=
      ( vy vz weu cab cuni cv wceq wa wex wb cvv wcel euabex uniexg syl eueq
      eqcom eubii hbab1 hbuni ax-17 hbeq eqeq2 cbveu 3bitr sylib csn eusn
      visset snid eleq2 mpbiri abid unieq unisn syl6eq jca 19.22i sylbi
      eupickb mpd3an23 ) ABEZABFZGZBHZIZBEZAVHJZBKZAVHLVDVFMNZVIVDVEMNVLABOVEMP
      QVLCHZVFIZCEVFVMIZCEVICVFRVNVOCVMVFSTVOVHCBBDDVFVMBDVEABDUAUBDHVMNBUCUDVH
      CUCVMVGVFUEUFUGUHVDVEVGUIZIZBKVKABUJVQVJBVQAVHVQVGVENZAVQVRVGVPNVGBUKZULV
      EVPVGUMUNABUOUHVQVFVPGVGVEVPUPVGVSUQURUSUTVAAVHBVBVC $.
      $( [22-Feb-2004] $) $( [22-Feb-2004] $)
  $}

  ${
    $d x y $.  $d y ph $.
    $( A way to express "the unique element such that" (restricted
       quantifier version). $)
    reuuni1 $p |- ( ( x e. A /\ E! x e. A ph ) ->
            ( ph <-> U. { x e. A | ph } = x ) ) $=
      ( cv wcel wa weu crab cuni wceq wb wreu cab wi euuni biimpd exp3a impcom
      pm3.27 syl6bir adantl impbid df-rab unieqi eqeq1i syl6bbr df-reu sylan2b
      ) BDZCEZUJAFZBGZAABCHZIZUIJZKABCLUJULFZAUKBMZIZUIJZUOUPAUSULUJAUSNULUJAUS
      ULUKUSUKBOZPQRULUSANUJULUSUKAUTUJASTUAUBUNURUIUMUQABCUCUDUEUFABCUGUH $.
      $( [3-Mar-2004] $) $( [25-Nov-1994] $)
  $}

  ${
    $d y ph $.  $d x y A $.  $d y B $.
    reuuni2f.1 $e |- ( y e. B -> A. x y e. B ) $.
    reuuni2f.2 $e |- ( B e. A -> ( ps -> A. x ps ) ) $.
    reuuni2f.3 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( ` U. { x e. A | ph } ` is an explicit representation of "the unique
       element in ` A ` such that ` ph ` ."  This theorem shows a condition
       that allows us to represent this element with a class expression
       ` B ` .  The second hypothesis is a weakened bound variable condition
       that allows ~ hbsbc1g to be used. $)
    reuuni2f $p |- ( ( B e. A /\ E! x e. A ph ) ->
            ( ps <-> U. { x e. A | ph } = B ) ) $=
      ( wcel wreu crab cuni wceq wb wi cv ax-17 hbel wal hbreu1 a1i hbrab1
      hbuni hbeq hbbid hbimd hbim1 eleq1 eqeq2 bibi12d imbi2d imbi12d reuuni1
      ex vtoclgf pm2.43i imp ) FEJZACEKZBACELZMZFNZOZUSUTVDPZCQZEJZUTAVBVFNZOZP
      ZPUSVEPCDFEGUSVECCDDFEGDQEJCRSZUSUTVDCVKUTUTCTPUSACEUAUBUSBVCCVKHVCVCCTPU
      SCDDVBFCDVAACDEUCUDGUEUBUFUGUHVFFNZVGUSVJVEVFFEUIVLVIVDUTVLABVHVCIVFFVBUJ
      UKULUMVGUTVIACEUNUOUPUQUR $.
      $( [27-May-2006] $) $( [19-Oct-2005] $)
  $}

  ${
    $d y ph $.  $d x y A $.  $d x y B $.  $d x ps $.
    reuuni2.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( ` U. { x e. A | ph } ` is an explicit representation of "the unique
       element in ` A ` such that ` ph ` ." $)
    reuuni2 $p |- ( ( B e. A /\ E! x e. A ph ) ->
            ( ps <-> U. { x e. A | ph } = B ) ) $=
      ( vy cv wcel ax-17 wal wi a1i reuuni2f ) ABCGDEGHEICJBBCKLEDIBCJMFN $.
      $( [27-May-2006] $) $( [28-Mar-1997] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Closure law for "the unique element in ` A ` such that ` ph ` ." $)
    reucl $p |- ( E! x e. A ph -> U. { x e. A | ph } e. A ) $=
      ( vy cv wcel wa weu cab cuni wreu crab csn wceq wex eusn hbab1 hbuni
      ax-17 hbel unieq visset unisn syl6req snid eleq2 mpbiri abid sylib
      pm3.26d eqeltrrd 19.23ai sylbi df-reu df-rab unieqi eleq1i 3imtr4 ) BEZCF
      ZAGZBHZVABIZJZCFZABCKABCLZJZCFVBVCUSMZNZBOVEVABPVIVEBBDDVDCBDVCVABDQRDECF
      BSTVIUSVDCVIVDVHJUSVCVHUAUSBUBZUCUDVIUTAVIUSVCFZVAVIVKUSVHFUSVJUEVCVHUSUF
      UGVABUHUIUJUKULUMABCUNVGVDCVFVCABCUOUPUQUR $.
      $( [22-Nov-1994] $)
  $}

  ${
    $d x y A $.  $d y ph $.  $d x ps $.  $d x ch $.
    reuuni3.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    reuuni3.2 $e |- ( x = U. { y e. A | ps } -> ( ph <-> ch ) ) $.
    $( Derive the property ` ch ` of "the unique element in ` A ` such that
       ` ph ` " when expressed explicitly as ` U. { y e. A | ps } ` . $)
    reuuni3 $p |- ( E! x e. A ph -> ch ) $=
      ( crab cuni wcel wreu reucl cbvrabv unieqi syl5eqelr wa wceq reuuni2
      mpbiri mpancom ) BEFIZJZFKZADFLZCUEADFIZJZFUCADFMUFUBABDEFGNOZPUDUEQCUGUC
      RUHACDFUCHSTUA $.
      $( [13-Nov-2004] $) $( [11-Nov-2004] $)
  $}

  ${
    $d x y A $.  $d y ph $.
    $( Derive the property of "the unique element in ` A ` such that
       ` ph ` " when expressed explicitly as ` U. { x e. A | ph } ` . $)
    reuuni4 $p |- ( E! x e. A ph -> [ U. { x e. A | ph } / x ] ph ) $=
      ( vy wreu crab cuni wcel wsbc reucl cvv wrex wi reurex hbreu1 hbrab1
      hbuni hbsbc1 cv wa wceq wb reuuni1 sbceq1a eqcoms syl6bi ibd expcom a1i
      com4l r19.23ad mpd elisset syl5 ) ABCEZABCFZGZCHZABUQIZABCJUOUQKHZUSURUOA
      BCLUTUSMZABCNUOAVABCABCOABDUQKBDUPABDCPQRUTUOBSZCHZAUSUOVCAUSMZMMUTVCUOVD
      VCUOTZAUSVEAUQVBUAAUSUBZABCUCVFVBUQABUQUDUEUFUGUHUIUJUKULUQCUMUNUL $.
      $( [23-Nov-2004] $) $( [11-Nov-2004] $)

    $( Membership law for "the unique element in ` A ` such that ` ph ` ." $)
    reucl2 $p |- ( E! x e. A ph -> U. { x e. A | ph } e. { x e. A | ph } ) $=
      ( vy wreu crab cuni wcel wsbc wa reucl reuuni4 jca cv ax-17 elrabsf
      sylibr ) ABCEZABCFZGZCHZABTIZJTSHRUAUBABCKABCLMABDTCDNCHBOPQ $.
      $( [12-Jun-2005] $) $( [11-Jun-2005] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y ph $.
    $( Restriction of a unique element to a smaller class. $)
    reuuniss $p |- ( ( A (_ B /\ E. x e. A ph /\ E! x e. B ph ) ->
                U. { x e. A | ph } = U. { x e. B | ph } ) $=
      ( vy wss wrex wreu w3a crab cuni wsbc wceq reuss reuuni4 syl wcel wb
      hbrab1 hbuni hbsbc1g sbceq1a reuuni2f reucl wi ssel 3ad2ant1 mpd 3simp3
      sylanc mpbid eqcomd ) CDFZABCGZABDHZIZABDJKZABCJZKZUPABUSLZUQUSMZUPABCHZU
      TABCDNZABCOPUSDQZUOUTVARUPAUTBEDUSBEURABECSTZABEUSDVEUAABUSUBUCUPUSCQZVDU
      PVBVFVCABCUDPUMUNVFVDUEUOCDUSUFUGUHUMUNUOUIUJUKUL $.
      $( [21-Nov-2005] $) $( [19-Oct-2005] $)

    $( Restriction of a unique element to a smaller class. $)
    mouniss $p |- ( ( A (_ B /\ E. x e. A ph /\ E* x ( x e. B /\ ph ) ) ->
                U. { x e. A | ph } = U. { x e. B | ph } ) $=
      ( wss wrex cv wcel wa wmo crab cuni wceq wreu ssel anim1d r19.22dv2 imp
      anim1i reu5 sylibr reuuniss 3expa syldan 3impa ) CDEZABCFZBGZDHZAIBJZABCK
      LABDKLMZUFUGIZUJABDNZUKULUJIABDFZUJIUMULUNUJUFUGUNUFAABCDUFUHCHUIACDUHOPQ
      RSABDTUAUFUGUMUKABCDUBUCUDUE $.
      $( [26-Feb-2006] $) $( [19-Feb-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y ph $.  $d y ps $.
    $( Restriction of a unique element to a smaller class. $)
    reuuniss2 $p |- ( ( ( A (_ B /\ A. x e. A ( ph -> ps ) ) /\ ( E. x e. A ph
           /\ E! x e. B ps ) ) -> U. { x e. A | ph } = U. { x e. B | ps } ) $=
      ( vy wss wi wral wa wrex wreu crab cuni wsbc wceq reuuni4 wcel reucl
      ra4sbc sbcimg sylibd syl mpid reuss2 simplr sylc wb hbrab1 hbuni hbsbc1g
      sbceq1a reuuni2f ssel ad2antrr mpd simprr sylanc mpbid eqcomd ) DEGZABHZC
      DIZJZACDKZBCELZJZJZBCEMNZACDMZNZVHBCVKOZVIVKPZACDLZVCVLVHVNVCACVKOZVLACDQ
      VNVKDRZVCVOVLHZHACDSZVPVCVBCVKOVQVBCVKDTABCVKDUAUBUCUDABCDEUEZVAVCVGUFUGV
      KERZVFVLVMUHVHBVLCFEVKCFVJACFDUIUJZBCFVKEWAUKBCVKULUMVHVPVTVHVNVPVSVRUCVA
      VPVTHVCVGDEVKUNUOUPVDVEVFUQURUSUT $.
      $( [8-Dec-2005] $) $( [20-Oct-2005] $)
  $}

  ${
    $d y z A $.  $d y z ph $.  $d x y z $.
    $( A way to express restricted existential uniqueness of a wff:  its
       restricted class abstraction is a singleton. $)
    reusn $p |- ( E! x e. A ph <-> E. y { x e. A | ph } = { y } ) $=
      ( vz wreu cv wcel wa weu cab csn wceq wex crab df-reu eusn df-rab eqeq1i
      exbii ax-17 hbrab1 hbeq sneq eqeq2d cbvex bitr3 3bitr ) ABDFBGZDHAIZBJUJB
      KZUILZMZBNZABDOZCGZLZMZCNZABDPUJBQUNUOULMZBNUSUTUMBUOUKULABDRSTUTURBCUTCU
      ABEEUOUQABEDUBEGUQHBUAUCUIUPMULUQUOUIUPUDUEUFUGUH $.
      $( [30-May-2006] $) $( [30-May-2006] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y ph $.  $d x y $.
    reusni.1 $e |- B e. V $.
    $( Restricted existential uniqueness determined by a singleton. $)
    reusni $p |- ( { x e. A | ph } = { B } -> E! x e. A ph ) $=
      ( vy crab csn wceq cv wex wreu sneq eqeq2d cla4ev reusn sylibr ) ABCGZDHZ
      IZRFJZHZIZFKABCLUCTFDEUADIUBSRUADMNOABFCPQ $.
      $( [19-Jun-2006] $) $( [29-May-2006] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x ps $.
    rabsnt.1 $e |- B e. V $.
    rabsnt.2 $e |- ( x = B -> ( ph <-> ps ) ) $.
    $( Truth implied by equality of a restricted class abstraction and a
       singleton. $)
    rabsnt $p |- ( { x e. A | ph } = { B } -> ps ) $=
      ( wcel wreu wa crab cuni wceq csn reuuni2 biimprd wss ssrab2 sseq1 mpbii
      snss sylibr reusni jca unieq unisn syl6eq sylc ) EDHZACDIZJZACDKZLZEMZBUL
      ENZMZUKBUNABCDEGOPUPUIUJUPUODQZUIUPULDQUQACDRULUODSTEDFUAUBACDEFUCUDUPUMU
      OLEULUOUEEFUFUGUH $.
      $( [7-Dec-2006] $) $( [29-May-2006] $)
  $}

  ${
    $d y A $.  $d y ph $.  $d x y $.
    $( A restricted class abstraction with a unique member can be expressed as
       a singleton. $)
    reuunisn $p |- ( E! x e. A ph ->
                   { x e. A | ph } = { U. { x e. A | ph } } ) $=
      ( vy wreu crab cv csn wceq wex cuni reusn unieq visset unisn syl6eq
      sneqd eqtr3t mpdan 19.23aiv sylbi ) ABCEABCFZDGZHZIZDJUBUBKZHZIZABDCLUEUH
      DUEUGUDIUHUEUFUCUEUFUDKUCUBUDMUCDNOPQUBUGUDRSTUA $.
      $( [24-Jun-2006] $) $( [30-May-2006] $)
  $}

  ${
    $d x A $.  $d y ph $.  $d x ps $.  $d x y $.
    alxfr.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` . $)
    alxfr $p |- ( ( A. y A e. B /\ A. x E. y x = A ) ->
                ( A. x ph <-> A. y ps ) ) $=
      ( wcel wal cv wceq wex wa wi hba1 ax-17 cla4gv a4s 19.21ad adantr hbim
      ax-4 syl5bir 19.23ai adantl impbid ) EFHZDIZCJEKZDLZCIZMACIZBDIZUHULUMNUK
      UHULBDUGDOULDPUGULBNDABCEFGQRSTUKUMULNUHUKUMACUJCOUMCPUJUMANZCUIUNDUMADBD
      OADPUAUIABUMGBDUBUCUDRSUEUF $.
      $( [11-Jun-2007] $) $( [18-Feb-2007] $)
  $}

  ${
    $d x y ph $.  $d x ch $.  $d y ps $.  $d x A $.  $d x y B $.
    ralxfrd.1 $e |- ( ( ph /\ y e. B ) -> A e. B ) $.
    ralxfrd.2 $e |- ( ( ph /\ x e. B ) -> E. y e. B x = A ) $.
    ralxfrd.3 $e |- ( ( ph /\ x = A ) -> ( ps <-> ch ) ) $.
    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` . $)
    ralxfrd $p |- ( ph -> ( A. x e. B ps <-> A. y e. B ch ) ) $=
      ( wral cv wcel wi ex rcla4dv syld com23 r19.21adv wceq wrex wa ax-17
      hbra1 hban ra4 biimprd sylan9r r19.23ad syl5d impbid ) ABDGKZCEGKZAULCEGA
      ELGMZULCAUNFGMZULCNZAUNUOHOAUOUPABCDFGJPOQRSAUMBDGAUMDLZFTZEGUAZBUQGMZAUM
      USBNAUMUBURBEGAUMEAEUCCEGUDUEBEUCUMUNCAURBNCEGUFAURCBAURCBNAURUBBCJUGORUH
      UIOAUTUSIOUJSUK $.
      $( [18-Feb-2007] $) $( [17-Feb-2007] $)

    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  (Contributed by FL,
       10-Apr-2007.) $)
    rexxfrd $p |- ( ph -> ( E. x e. B ps <-> E. y e. B ch ) ) $=
      ( wn wral wrex cv wceq wa negbid ralxfrd dfrex2 3bitr4g ) ABKZDGLZKCKZEGL
      ZKBDGMCEGMAUBUDAUAUCDEFGHIADNFOPBCJQRQBDGSCEGST $.
      $( [23-Oct-2007] $) $( [10-Apr-2007] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x A $.  $d x y B $.
    ralxfr.1 $e |- ( y e. B -> A e. B ) $.
    ralxfr.2 $e |- ( x e. B -> E. y e. B x = A ) $.
    ralxfr.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` . $)
    ralxfr $p |- ( A. x e. B ph <-> A. y e. B ps ) $=
      ( wral cv wcel wi rcla4v syl com12 r19.21aiv wceq wrex hbra1 ax-17 ra4
      biimprcd syl6 r19.23ad syl5 impbi ) ACFJZBDFJZUHBDFDKFLZUHBUJEFLUHBMGABCE
      FINOPQUIACFUICKZERZDFSAUKFLUIULADFBDFTADUAUIUJBULAMBDFUBULABIUCUDUEHUFQUG
      $.
      $( [13-Jun-2005] $) $( [10-Jun-2005] $)

    $( Transfer universal quantification from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` . $)
    ralxfrALT $p |- ( A. x e. B ph <-> A. y e. B ps ) $=
      ( cvv wceq wral wb eqid cv wcel adantl wrex ralxfrd ax-mp ) JJKZACFLBDFLM
      JNUAABCDEFDOFPEFPUAGQCOZFPUBEKZDFRUAHQUCABMUAIQST $.
      $( [13-Jun-2005] $) $( [10-Jun-2005] $)

    $( Transfer existence from a variable ` x ` to another variable ` y `
       contained in expression ` A ` . $)
    rexxfr $p |- ( E. x e. B ph <-> E. y e. B ps ) $=
      ( wn wral wrex cv wceq negbid ralxfr negbii dfrex2 3bitr4 ) AJZCFKZJBJZDF
      KZJACFLBDFLUAUCTUBCDEFGHCMENABIOPQACFRBDFRS $.
      $( [29-Jun-2005] $) $( [10-Jun-2005] $)
  $}

  ${
    $d x A $.  $d z B $.  $d z C $.  $d x y z D $.  $d y z ph $.  $d x z ps $.
    rabxfr.1 $e |- ( z e. B -> A. y z e. B ) $.
    rabxfr.2 $e |- ( z e. C -> A. y z e. C ) $.
    rabxfr.3 $e |- ( y e. D -> A e. D ) $.
    rabxfr.4 $e |- ( x = A -> ( ph <-> ps ) ) $.
    rabxfr.5 $e |- ( y = B -> A = C ) $.
    $( Abstraction class membership after substituting an expression ` A `
       (containing ` y ` ) for ` x ` in the class expression ` ph ` . $)
    rabxfr $p |- ( B e. D ->
                 ( C e. { x e. D | ph } <-> B e. { y e. D | ps } ) ) $=
      ( wcel crab wb wi wa cv ibibr mpbi anbi1d elrab rabid 3bitr4g rabbii
      eleq2i ax-17 hbel wceq eleq1d elrabf hbrab1 eleq1 3bitr3 pm5.32 mpbir )
      GIOZHACIPZOZGBDIPZOZQRUSVASZUSVCSZQGFUTOZDIPZOGDTZVBOZDIPZOVDVEVGVJGVFVID
      IVHIOZFIOZBSVKBSVFVIVKVLVKBVKVLRVKVLVKQRLVKVLUAUBUCABCFIMUDBDIUEUFUGUHVFV
      ADEGIJETZIODUIZDEEHUTKVMUTODUIUJVHGUKFHUTNULUMVIVCDEGIJVNDEEGVBJBDEIUNUJV
      HGVBUOUMUPUSVAVCUQUR $.
      $( [21-Jun-2005] $) $( [10-Jun-2005] $)
  $}

  ${
    $d x ph $.  $d x A $.  $d x y B $.
    reuxfr2.1 $e |- ( y e. B -> A e. B ) $.
    reuxfr2.2 $e |- ( x e. B -> E* y ( y e. B /\ x = A ) ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` . $)
    reuxfr2 $p |- ( E! x e. B E. y e. B ( x = A /\ ph ) <-> E! y e. B ph ) $=
      ( cv wceq wa wrex wreu wcel wmo wi 2reuswap moan syl ancom anass bitr
      mobii sylib mprg moeq moani an12 mpbi a1i impbi wb pm4.2d ceqsrexv
      reubiia ) BHZDIZAJZCEKBELZUQBEKZCELZACELURUTCHEMZUQJZCNZURUTOBEUQBCEPUOEM
      ZAVAUPJZJZCNZVCVDVECNVGGVEACQRVFVBCVFVEAJVBAVESVAUPATUAUBUCUDVDUQJZBNZUTU
      ROCEUQCBEPVIVAVDAJZUPJZBNVIUPVJBBDUEUFVKVHBVKUPVJJVHVJUPSUPVDAUGUAUBUHUIU
      DUJUSACEVADEMUSAUKFAABDEUPAULUMRUNUA $.
      $( [17-Nov-2004] $) $( [14-Nov-2004] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x A $.  $d x y B $.
    reuxfr.1 $e |- ( y e. B -> A e. B ) $.
    reuxfr.2 $e |- ( x e. B -> E! y e. B x = A ) $.
    reuxfr.3 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( Transfer existential uniqueness from a variable ` x ` to another
       variable ` y ` contained in expression ` A ` .  Use ~ reuhyp to
       eliminate the second hypothesis. $)
    reuxfr $p |- ( E! x e. B ph <-> E! y e. B ps ) $=
      ( wreu cv wceq wa wrex wcel reurex syl biantrurd r19.41v pm5.32i rexbii
      bitr3 syl6bb reubiia wmo weu df-reu eumo sylbi reuxfr2 bitr ) ACFJCKZELZB
      MZDFNZCFJBDFJAUOCFULFOZAUMDFNZAMZUOUPUQAUPUMDFJZUQHUMDFPQRURUMAMZDFNUOUMA
      DFSUTUNDFUMABITUAUBUCUDBCDEFGUPUSDKFOUMMZDUEZHUSVADUFVBUMDFUGVADUHUIQUJUK
      $.
      $( [23-Nov-2004] $) $( [14-Nov-2004] $)
  $}

  ${
    $d y B $.  $d y C $.  $d x y $.
    reuhyp.1 $e |- ( x e. C -> B e. C ) $.
    reuhyp.2 $e |- ( ( x e. C /\ y e. C ) -> ( x = A <-> y = B ) ) $.
    $( A theorem useful for eliminating the restricted existential uniqueness
       hypotheses in ~ reuxfr . $)
    reuhyp $p |- ( x e. C -> E! y e. C x = A ) $=
      ( cv wcel wceq wa weu wreu cvv elisset syl eueq sylib eleq1 syl5cbir
      pm4.71rd pm5.32da bitr4d eubidv mpbid df-reu sylibr ) AHZEIZBHZEIZUHCJZKZ
      BLZULBEMUIUJDJZBLZUNUIDNIZUPUIDEIZUQFDEOPBDQRUIUOUMBUIUOUKUOKUMUIUOUKUOUK
      URUIUJDESFTUAUIUKULUOGUBUCUDUEULBEUFUG $.
      $( [23-Nov-2004] $) $( [15-Nov-2004] $)
  $}

  ${
    $d x B $.  $d x z C $.  $d x y z A $.  $d ph y z $.  $d ps x z $.
    reuunixfr.1 $e |- ( z e. C -> A. y z e. C ) $.
    reuunixfr.2 $e |- ( y e. A -> B e. A ) $.
    reuunixfr.3 $e |- ( U. { y e. A | ps } e. A -> C e. A ) $.
    reuunixfr.4 $e |- ( x = B -> ( ph <-> ps ) ) $.
    reuunixfr.5 $e |- ( y = U. { y e. A | ps } -> B = C ) $.
    reuunixfr.6 $e |- ( x e. A -> E! y e. A x = B ) $.
    $( Change the variable ` x ` in the expression for "the unique ` A `
       such that ` ph ` " to another variable ` y ` contained in expression
       ` B ` .  Use ~ reuhyp to eliminate the last hypothesis. $)
    reuunixfr $p |- ( E! x e. A ph -> U. { x e. A | ph } = C ) $=
      ( wreu cv crab wcel cuni wceq reuxfr reucl2 wb reucl hbrab1 hbuni rabxfr
      syl mpbird sylbi ax-17 wal wi hbel a1i eleq1 reuuni2f rabid baibr
      reubiia biimp sylanc mpbid baib rabbii unieqi syl5eqr ) ACFOZCPZACFQZRZCF
      QZSZHVJSVHHVJRZVMHTZVHBDFOZVNABCDGFJNLUAZVPVNBDFQZSZVRRZBDFUBVPVSFRZVNVTU
      CBDFUDZABCDEGVSHFDEVRBDEFUEUFIJLMUGUHUIUJHFRZVKCFOZVNVOUCVHVKVNCEFHEPHRCU
      KZVNVNCULUMWCCEEHVJWEACEFUEUNUOVIHVJUPUQVHVPWCVQVPWAWCWBKUHUJVHWDAVKCFVKV
      IFRZAACFURZUSUTVAVBVCVLVJVKACFVKWFAWGVDVEVFVG $.
      $( [25-Jun-2005] $) $( [13-Jun-2005] $)
  $}

  $( The Axiom of Union and its converse.  A class is a set iff its union is a
     set. $)
  uniexb $p |- ( A e. V <-> U. A e. V ) $=
    ( cvv wcel cuni uniexg cpw wss pwuni ssexg pwexg sylan2 mpan impbi ) ABCZAD
    ZBCZABEAOFZGZPNAHRQBCNPAQBIOBJKLM $.
    $( [17-Nov-2003] $) $( [11-Nov-2003] $)

  $( The Axiom of Power Sets and its converse.  A class is a set iff its power
     class is a set. $)
  pwexb $p |- ( A e. V <-> P~ A e. V ) $=
    ( cpw cvv wcel cuni uniexb unipw eleq1i bitr2 ) ABZCDJEZCDACDJFKACAGHI $.
    $( [17-Nov-2003] $) $( [11-Nov-2003] $)

  $( The union of the universe is the universe.  Exercise 4.12(c) of
     [Mendelson] p. 235. $)
  univ $p |- U. V = V $=
    ( cvv cpw cuni pwv unieqi unipw eqtr3 ) ABZCACAHADEAFG $.
    $( [14-Sep-2003] $)

  ${
    eldifpw.1 $e |- C e. V $.
    $( Membership in a power class difference. $)
    eldifpw $p |- ( ( A e. P~ B /\ -. C (_ B ) ->
                   ( A u. C ) e. ( P~ ( B u. C ) \ P~ B ) ) $=
      ( cpw wcel wss wn wa cun cdif elpwi cvv wb unexg mpan2 elpwg syl unss1
      syl5bir mpd unss pm3.27 sylbir con3i anim12i eldif sylibr ) ABEZFZCBGZHZI
      ACJZBCJZEZFZUMUIFZHZIUMUOUIKFUJUPULURUJABGZUPABLUJUPUMUNGZUSUJUMMFZUPUTNU
      JCMFVADACUIMOPUMUNMQRABCSTUAUQUKUQUMBGZUKUMBLVBUSUKIUKACBUBUSUKUCUDRUEUFU
      MUOUIUGUH $.
      $( [7-Jun-2007] $) $( [25-Mar-2007] $)

    $( Membership in the power class of a union. $)
    elpwun $p |- ( A e. P~ ( B u. C ) <-> ( A \ C ) e. P~ B ) $=
      ( cun cpw wcel cvv cdif elisset wb difex2 ax-mp sylibr wss elpwg difexg
      syl uncom sseq2i ssundif bitr syl6rbbr bitrd pm5.21nii ) ABCEZFZGZAHGZACI
      ZBFZGZAUGJULUJHGZUIUJUKJCHGUIUMKDACHLMNUIUHAUFOZULAUFHPUIULUJBOZUNUIUMULU
      OKACHQUJBHPRUNACBEZOUOUFUPABCSTACBUAUBUCUDUE $.
      $( [29-Mar-2007] $) $( [26-Mar-2007] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Membership in an extension of a power class. $)
    elpwunsn $p |- ( A e. ( P~ ( B u. { C } ) \ P~ B ) -> C e. A ) $=
      ( vx csn cun cpw cdif wcel wn wa eldif cv wrex wral wss elpwg dfss3
      syl6bb negbid biimpa rexnal sylibr wi wceq elpwi ssel wo elun elsni
      orim2i ord sylbi imim2i imp3a syl eleq1 biimpd 3syl exp3a com4r pm2.43b
      r19.23adv imp syldan ) ABCEZFZGZBGZHIAVHIZAVIIZJZKZCAIZAVHVILVJVLDMZBIZJZ
      DANZVNVMVPDAOZJZVRVJVLVTVJVKVSVJVKABPVSABVHQDABRSTUAVPDAUBUCVJVRVNVJVQVND
      AVJVOAIZVQVNUDVJWAVQWAVNVJWAVQWAVNUDZVJAVGPZWAVQKZVOCUEZUDZWDWBUDAVGUFWCW
      AVOVGIZUDZWFAVGVOUGWHWAVQWEWGVQWEUDZWAWGVPVOVFIZUHZWIVOBVFUIWKVPWEWJWEVPV
      OCUJUKULUMUNUOUPWEWBWDWEWAVNVOCAUQURUNUSUTVAVBVCVDVEUM $.
      $( [29-Mar-2007] $) $( [26-Mar-2007] $)
  $}

  ${
    op1stb.1 $e |- A e. V $.
    $( Extract the first member of an ordered pair.  Theorem 73 of [Suppes]
       p. 42.  (See ~ op2ndb to extract the second member, ~ op1sta for an
       alternate version, and ~ op1st for the preferred version.) $)
    op1stb $p |- |^| |^| <. A , B >. = A $=
      ( cop cint csn cpr cin df-op inteqi snex prex intpr wss wceq snsspr
      df-ss mpbi 3eqtr intsn eqtr ) ABDZEZEAFZEAUCUDUCUDABGZGZEUDUEHZUDUBUFABIJ
      UDUEAKABLMUDUENUGUDOABPUDUEQRSJACTUA $.
      $( [25-Nov-2003] $) $( [25-Nov-2003] $)
  $}

  ${
    $d x y A $.
    iunpw.1 $e |- A e. V $.
    $( The power class of an intersection in terms of indexed intersection.
       Part of Exercise 24(b) of [Enderton] p. 33. $)
    iunpw $p |- ( E. x e. A x = U. A <-> P~ U. A = U_ x e. A P~ x ) $=
      ( vy cv cuni wceq wrex cpw ciun wss wcel sseq2 biimprcd r19.22sdv com12
      ssiun uniiun syl6ssr impbid1 visset elpw eliun df-pw abeq2i rexbii bitr
      3bitr4g eqrdv ssid eleq2 uniex syl5bbr mpbii sylib wa elssuni elpwi
      anim12i eqss sylibr ex r19.22i syl impbi ) AEZBFZGZABHZVGIZABVFIZJZGZVIDV
      JVLVIDEZVGKZVNVFKZABHZVNVJLVNVLLZVIVOVQVOVIVQVOVHVPABVHVPVOVFVGVNMNOPVQVN
      ABVFJVGABVFVNQABRSTVNVGDUAUBVRVNVKLZABHVQAVNBVKUCVSVPABVPDVKDVFUDUEUFUGUH
      UIVMVGVKLZABHZVIVMVGVLLZWAVMVGVGKZWBVGUJVMVGVJLWBWCVJVLVGUKVGVGBCULUBUMUN
      AVGBVKUCUOVTVHABVFBLZVTVHWDVTUPVFVGKZVGVFKZUPVHWDWEVTWFVFBUQVGVFURUSVFVGU
      TVAVBVCVDVE $.
      $( [5-Dec-2003] $) $( [29-Nov-2003] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Founded and well-ordering relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant symbols. $)
  $c Fr $. $( Founded predicate symbol (read: 'founded'). $)
  $c We $. $( Well-ordering predicate symbol (read: 'well orders') $)

  $( Extend wff notation to include the founded predicate.  Read:  '` R ` is a
     founded relation on ` A ` .' $)
  wfr $a wff R Fr A $.

  $( Extend wff notation to include the well-ordering predicate.  Read:  '`R `
     well-orders ` A ` .' $)
  wwe $a wff R We A $.

  ${
    $d x y z R $.  $d x y z A $.
    $( Define a founded relation.  For alternate definitions, see ~ dffr2 and
       ~ dffr3 . $)
    df-fr $a |- ( R Fr A <-> A. x ( ( x (_ A /\ x =/= (/) ) ->
                E. y e. x A. z e. x -. z R y ) ) $.
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.
    $( Property of founded relation (one direction of definition). $)
    fri $p |- ( ( ( B e. C /\ R Fr A ) /\ ( B (_ A /\ B =/= (/) ) ) ->
                E. x e. B A. y e. B -. y R x ) $=
      ( vz wcel wfr wss c0 wne wa cv wbr wn wral wrex wi wal wceq sseq1 neeq1
      anbi12d raleq1 rexeqd imbi12d cla4gv df-fr syl5ib imp31 ) DEHZCFIZDCJZDKL
      ZMZBNANFOPZBDQZADRZULGNZCJZUTKLZMZUQBUTQZAUTRZSZGTUPUSSZUMVFVGGDEUTDUAZVC
      UPVEUSVHVAUNVBUOUTDCUBUTDKUCUDVDURAUTDUQBUTDUEUFUGUHGABCFUIUJUK $.
      $( [3-Apr-2007] $) $( [18-Mar-1997] $)
  $}

  ${
    $d x y w v R $.  $d y z w v R $.  $d x w v A $.
    $( Alternate definition of founded relation.  Similar to Definition 6.21 of
       [TakeutiZaring] p. 30. $)
    dffr2 $p |- ( R Fr A <-> A. x ( ( x (_ A /\ x =/= (/) ) ->
                E. y e. x ( x i^i { z | z R y } ) = (/) ) ) $=
      ( vv vw wfr cv wss c0 wne wa wbr wn wral wrex wi wal cab cin wceq df-fr
      wcel disj visset breq1 elab negbii ralbii bitr rexbii breq2 negbid
      ralbidv cbvrexv imbi2i albii bitr4 ) DEHAIZDJUTKLMZFIZGIZENZOZFUTPZGUTQZR
      ZASVAUTCIZBIZENZCTZUAKUBZBUTQZRZASAGFDEUCVOVHAVNVGVAVNVBVJENZOZFUTPZBUTQV
      GVMVRBUTVMVBVLUDZOZFUTPVRFUTVLUEVTVQFUTVSVPVKVPCVBFUFVIVBVJEUGUHUIUJUKULV
      RVFBGUTVJVCUBZVQVEFUTWAVPVDVJVCVBEUMUNUOUPUKUQURUS $.
      $( [1-Feb-2007] $) $( [17-Feb-2004] $)
  $}

  ${
    $d x y z R $.  $d z A $.  $d x z B $.
    frc.1 $e |- B e. V $.
    $( Property of founded relation (one direction of definition using class
       variables). $)
    frc $p |- ( ( R Fr A /\ B (_ A /\ B =/= (/) ) ->
                E. x e. B ( B i^i { y | y R x } ) = (/) ) $=
      ( vz wfr wss c0 wne cv wbr cab cin wceq wrex wa wi wal dffr2 sseq1 neeq1
      anbi12d ineq1 eqeq1d rexeqd imbi12d cla4v sylbi 3impib ) CEHZDCIZDJKZDBLA
      LEMBNZOZJPZADQZULGLZCIZUSJKZRZUSUOOZJPZAUSQZSZGTUMUNRZURSZGABCEUAVFVHGDFU
      SDPZVBVGVEURVIUTUMVAUNUSDCUBUSDJUCUDVDUQAUSDVIVCUPJUSDUOUEUFUGUHUIUJUK $.
      $( [1-Feb-2007] $) $( [17-Feb-2004] $)
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.
    $( Subset theorem for the founded predicate.  Exercise 1 of
       [TakeutiZaring] p. 31. $)
    frss $p |- ( A (_ B -> ( R Fr B -> R Fr A ) ) $=
      ( vx vz vy wss cv c0 wne wa wbr cab cin wceq wrex wi wal wfr sstr2 com12
      anim1d imim1d 19.20dv dffr2 3imtr4g ) ABGZDHZBGZUHIJZKZUHEHFHCLEMNIOFUHPZ
      QZDRUHAGZUJKZULQZDRBCSACSUGUMUPDUGUOUKULUGUNUIUJUNUGUIUHABTUAUBUCUDDFEBCU
      EDFEACUEUF $.
      $( [3-Apr-1994] $)
  $}

  ${
    $d x y z R $.  $d x y z S $.  $d x y z A $.
    $( Equality theorem for the founded predicate. $)
    freq1 $p |- ( R = S -> ( R Fr A <-> S Fr A ) ) $=
      ( vx vz vy wceq cv wss c0 wne wa wbr wn wral wrex wi wal wfr breq negbid
      rexralbidv imbi2d albidv df-fr 3bitr4g ) BCGZDHZAIUHJKLZEHZFHZBMZNZEUHOFU
      HPZQZDRUIUJUKCMZNZEUHOFUHPZQZDRABSACSUGUOUSDUGUNURUIUGUMUQFEUHUHUGULUPUJU
      KBCTUAUBUCUDDFEABUEDFEACUEUF $.
      $( [9-Mar-1997] $)
  $}

  $( Equality theorem for the founded predicate. $)
  freq2 $p |- ( A = B -> ( R Fr A <-> R Fr B ) ) $=
    ( wceq wfr wss wa wi wb frss anim12i eqss dfbi2 3imtr4 bicomd ) ABDZBCEZACEZAB
    FZBAFZGQRHZRQHZGPQRISUATUBABCJBACJKABLQRMNO $.
    $( [3-Apr-1994] $)

  ${
    $d y z R $.  $d x y z $.  $d y z A $.
    $( A founded relation is irreflexive.  Special case of Proposition 6.23 of
       [TakeutiZaring] p. 30. $)
    frirr $p |- ( ( R Fr A /\ x e. A ) -> -. x R x ) $=
      ( vz vy wfr cv wcel wbr wn csn cab cin c0 wceq wrex wne visset snnz wss
      wi snex frc 3exp snss syl5ib mpii elsn breq2 abbidv ineq2d eqeq1d wa
      breq1 elab biimpr snid jctil elin sylibr n0i syl con2i syl6bi sylbi
      r19.23aiv syl6 imp ) BCFZAGZBHZVJVJCIZJZVIVKVJKZDGZEGZCIZDLZMZNOZEVNPZVMV
      IVKVNNQZWAVJARZSVIVNBTZWBWAUAVKVIWDWBWAEDBVNCVJUBUCUDVJBWCUEUFUGVTVMEVNVP
      VNHVPVJOZVTVMUAEVJUHWEVTVNVOVJCIZDLZMZNOZVMWEVSWHNWEVRWGVNWEVQWFDVPVJVOCU
      IUJUKULVLWIVLVJWHHZWIJVLVJVNHZVJWGHZUMWJVLWLWKWLVLWFVLDVJWCVOVJVJCUNUOUPV
      JWCUQURVJVNWGUSUTWHVJVAVBVCVDVEVFVGVH $.
      $( [2-Jan-1994] $)
  $}

  ${
    $d z w R $.  $d z w x $.  $d z w y $.  $d z w A $.
    $( A founded relation has no 2-cycle loops.  Special case of Proposition
       6.23 of [TakeutiZaring] p. 30. $)
    fr2nr $p |- ( ( R Fr A /\ ( x e. A /\ y e. A ) ) ->
                -. ( x R y /\ y R x ) ) $=
      ( vz vw wfr cv wcel wbr wa wn cpr wss cab cin c0 wceq wrex wne visset
      prnz zfpair2 frc mp3an3 wo breq2 abbidv ineq2d neeq1d brab1 pri2 inelcm
      mpan sylbi syl5cbir pri1 jaao elpr syl5ib com12 necon2bd r19.23aiv syl
      prss sylan2b ancom2s ) CDGZBHZCIZAHZCIZVKVIDJZVIVKDJZKZLZVHVIVKMZCNZVPVJV
      LKVHVRKVQEHZFHZDJZEOZPZQRZFVQSZVPVHVRVQQTWEVIVKBUAZUBFECVQDBAUCUDUEWDVPFV
      QVTVQIZVOWCQVOWGWCQTZVOVTVIRZVTVKRZUFWHWGVMWIWHVNWJWIWHVQVSVIDJZEOZPZQTZV
      MWIWCWMQWIWBWLVQWIWAWKEVTVIVSDUGUHUIUJVMVKWLIZWNABEDUKVKVQIWOWNVIVKAUAZUL
      VKVQWLUMUNUOUPWJWHVQVSVKDJZEOZPZQTZVNWJWCWSQWJWBWRVQWJWAWQEVTVKVSDUGUHUIU
      JVNVIWRIZWTBAEDUKVIVQIXAWTVIVKWFUQVIVQWRUMUNUOUPURVTVIVKFUAUSUTVAVBVCVDVI
      VKCWFWPVEVFVG $.
      $( [30-May-1994] $)
  $}

  ${
    $d w v x $.  $d w v y $.  $d w v z $.  $d w v R $.  $d w v A $.
    $( A founded relation has no 3-cycle loops.  Special case of
       Proposition 6.23 of [TakeutiZaring] p. 30. $)
    fr3nr $p |- ( ( R Fr A /\ ( x e. A /\ y e. A /\ z e. A ) ) ->
                -. ( x R y /\ y R z /\ z R x ) ) $=
      ( vw vv wfr cv ctp wss wbr w3a wn wcel wa cab cin c0 wceq wrex wne
      visset tpnz tpex frc mp3an3 w3o wi 3jao breq2 abbidv ineq2d neeq1d brab1
      tpi3 inelcm mpan sylbi syl5cbir tpi1 tpi2 syl3an eltp syl5ib com12
      necon2bd r19.23aiv syl 3anrot tpss bitr sylan2b ) DEHZBIZCIZAIZJZDKZVQVOE
      LZVOVPELZVPVQELZMZNZVQDOZVODOZVPDOZMZVNVSPVRFIZGIZELZFQZRZSTZGVRUAZWDVNVS
      VRSUBWOVOVPVQBUCZUDGFDVREVOVPVQUEUFUGWNWDGVRWJVROZWCWMSWCWQWMSUBZWCWJVOTZ
      WJVPTZWJVQTZUHZWRWQWSWRUIWTWRUIXAWRUIXBWRUIVTWAWBWSWRWTXAUJWSWRVRWIVOELZF
      QZRZSUBZVTWSWMXESWSWLXDVRWSWKXCFWJVOWIEUKULUMUNVTVQXDOZXFABFEUOVQVROXGXFV
      OVPVQAUCZUPVQVRXDUQURUSUTWTWRVRWIVPELZFQZRZSUBZWAWTWMXKSWTWLXJVRWTWKXIFWJ
      VPWIEUKULUMUNWAVOXJOZXLBCFEUOVOVROXMXLVOVPVQWPVAVOVRXJUQURUSUTXAWRVRWIVQE
      LZFQZRZSUBZWBXAWMXPSXAWLXOVRXAWKXNFWJVQWIEUKULUMUNWBVPXOOZXQCAFEUOVPVROXR
      XQVOVPVQCUCZVBVPVRXOUQURUSUTVCWJVOVPVQGUCVDVEVFVGVHVIWHWFWGWEMVSWEWFWGVJV
      OVPVQDWPXSXHVKVLVM $.
      $( [10-Apr-1994] $)
  $}

  ${
    $d x y z R $.
    $( Any relation is founded on the empty set. $)
    fr0 $p |- R Fr (/) $=
      ( vx vz vy c0 wfr cv wss wne wa wbr cab cin wceq wrex wi dffr2 wn ss0
      nne sylibr imnan mpbi pm2.21i mpgbir ) EAFBGZEHZUFEIZJZUFCGDGAKCLMENDUFOZ
      PBBDCEAQUIUJUGUHRZPUIRUGUFENUKUFSUFETUAUGUHUBUCUDUE $.
      $( [17-Sep-1993] $)
  $}

  ${
    $d x A $.
    $( Irreflexivitiy of the epsilon relation:  a class founded by epsilon is
       not a member of itself. $)
    efrirr $p |- ( E Fr A  -> -. A e. A ) $=
      ( vx cep wfr wcel wn cv wi wceq freq2 eleq1 eleq2 bitrd negbid imbi12d
      wbr frirr ex epel negbii syl6ib pm2.01d vtoclg com12 ) ACDZAAEZUFUEUFFZBG
      ZCDZUHUHEZFZHUEUGHBAAUHAIZUIUEUKUGUHACJULUJUFULUJAUHEUFUHAUHKUHAALMNOUIUJ
      UIUJUHUHCPZFZUKUIUJUNBUHCQRUMUJBBSTUAUBUCUDUB $.
      $( [18-Apr-1994] $)
  $}

  $( A set founded by epsilon contains no 2-cycle loops. $)
  efrn2lp $p |- ( ( E Fr A /\ ( x e. A /\ y e. A ) ) ->
                -. ( x e. y /\ y e. x ) ) $=
    ( cep wfr cv wcel wa wbr wn fr2nr epel anbi12i negbii sylib ) CDEAFZCGBFZCG
    HHPQDIZQPDIZHZJPQGZQPGZHZJABCDKTUCRUASUBABLBALMNO $.
    $( [19-Apr-1994] $)

  $( A set founded by epsilon contains no 3-cycle loops. $)
  epne3 $p |- ( ( E Fr A /\ ( x e. A /\ y e. A /\ z e. A ) ) ->
                -. ( x e. y /\ y e. z /\ z e. x ) ) $=
    ( cep wfr cv wcel w3a wa wbr wn fr3nr epel 3anbi123i negbii sylib ) DEFAGZD
    HBGZDHCGZDHIJRSEKZSTEKZTREKZIZLRSHZSTHZTRHZIZLABCDEMUDUHUAUEUBUFUCUGABNBCNC
    ANOPQ $.
    $( [19-Apr-1994] $)

  $( Similar to Theorem 7.2 of [TakeutiZaring] p. 35, of  except that the
     Axiom of Regularity is not required due to antecedent ` E Fr A ` . $)
  tz7.2 $p |- ( ( Tr A /\ E Fr A /\ B e. A ) -> ( B (_ A /\ B =/= A ) ) $=
    ( wtr cep wfr wcel wss wne wa trss wceq wn eleq1 negbid efrirr syl5cbir
    necon2ad anim12ii 3impia ) ACZADEZBAFZBAGZBAHZITUBUCUAUDABJUAUBBABAKZUBLAAF
    ZLUAUEUBUFBAAMNAOPQRS $.
    $( [28-Apr-2007] $) $( [4-May-1994] $)

  ${
    $d x y z $.  $d x z A $.
    $( An alternate way of saying that the epsilon relation is founded. $)
    dfepfr $p |- ( E Fr A <-> A. x ( ( x (_ A /\ x =/= (/) ) ->
                  E. y e. x ( x i^i y ) = (/) ) ) $=
      ( vz cep wfr cv wss c0 wne wa wbr cab cin wceq wrex wi wal dffr2 wcel
      epel abbii abid2 eqtr ineq2i eqeq1i rexbii imbi2i albii bitr ) CEFAGZCHUK
      IJKZUKDGZBGZELZDMZNZIOZBUKPZQZARULUKUNNZIOZBUKPZQZARABDCESUTVDAUSVCULURVB
      BUKUQVAIUPUNUKUPUMUNTZDMUNUOVEDDBUAUBDUNUCUDUEUFUGUHUIUJ $.
      $( [20-Apr-2007] $) $( [17-Feb-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    epfrc.1 $e |- B e. V $.
    $( A subset of an epsilon-founded class has a minimal element. $)
    epfrc $p |- ( ( E Fr A /\ B (_ A /\ B =/= (/) ) ->
                  E. x e. B ( B i^i x ) = (/) ) $=
      ( vy cep wfr wss c0 wne w3a cv wbr cab cin wceq wrex frc wcel epel abbii
      abid2 eqtr2 ineq2i eqeq1i rexbii sylibr ) BFGCBHCIJKCELZALZFMZENZOZIPZACQ
      CUIOZIPZACQAEBCFDRUOUMACUNULIUIUKCUKUHUISZENUIUJUPEEATUAEUIUBUCUDUEUFUG
      $.
      $( [21-Apr-2007] $) $( [17-Feb-2004] $)
  $}

  $( Define a well-ordering.  For an alternate definition see ~ dfwe2 . $)
  df-we $a |- ( R We A <-> ( R Fr A /\ R Or A ) ) $.

  ${
    $d x y z R $.  $d x y z A $.
    $( Alternate definition of well-ordering.  Definition 6.24(2) of
       [TakeutiZaring] p. 30. $)
    dfwe2 $p |- ( R We A <-> ( R Fr A /\ A. x e. A A. y e. A
                ( x R y \/ x = y \/ y R x ) ) ) $=
      ( vz wwe wfr wor wa cv wbr wceq w3o wral df-we wcel wi wal solin ex
      19.21aivv r2al sylibr anim2i wpo wn w3a wo fr2nr 3adantr3 breq2 biimprd
      anim2d impcom nsyl imnan fr3nr df-3an negbii sylib jcad ioran syl6ibr
      imim1d 3orass orcom df-or 3bitr syl5ib frirr 3ad2antr1 jctild a2d
      19.20dv r3al 3imtr4g ralidm eqeq2 breq1 3orbi123d cbvralv ralbii bitr3
      df-po ancrd df-so imdistani impbi bitr ) CDFCDGZCDHZIZWJAJZBJZDKZWMWNLZWN
      WMDKZMZBCNZACNZIZCDOWLXAWKWTWJWKWMCPZWNCPZIZWRQZBRARWTWKXEABWKXDWRCWMWNDS
      TUAWRABCCUBUCUDWJWTWKWJWTCDUEZWTIWKWJWTXFWJWMEJZDKZWMXGLZXGWMDKZMZECNZBCN
      ZACNZWMWMDKUFZWOWNXGDKZIZXHQZIZECNBCNACNZWTXFWJXBXCXGCPZUGZXKQZERZBRZARYB
      XSQZERZBRZARXNXTWJYEYHAWJYDYGBWJYCYFEWJYBXKXSWJYBXKXSQWJYBIZXKXRXOYIXIXJU
      HZUFZXHQZXRXKYIXQYKXHYIXQXIUFZXJUFZIYKYIXQYMYNYIXQXIIZUFXQYMQYIWOWQIZYOWJ
      XBXCYPUFYAABCDUIUJXIXQYPXIXPWQWOXIWQXPWMXGWNDUKULUMUNUOXQXIUPUCYIXQXJIZUF
      ZXQYNQYIWOXPXJUGZUFYRABECDUQYSYQWOXPXJURUSUTXQXJUPUCVAXIXJVBVCVDXKXHYJUHY
      JXHUHYLXHXIXJVEXHYJVFYJXHVGVHVIWJXCXBXOYAACDVJVKVLTVMVNVNVNXKABECCCVOXSAB
      ECCCVOVPWSXMACWSWSBCNXMWRBCVQWSXLBCWRXKBECWNXGLWOXHWPXIWQXJWNXGWMDUKWNXGW
      MVRWNXGWMDVSVTWAWBWCWBABECDWDVPWEABCDWFVCWGWHWI $.
      $( [16-Mar-1997] $)
  $}

  $( Subset theorem for the well-ordering predicate.  Exercise 4 of
     [TakeutiZaring] p. 31. $)
  wess $p |- ( A (_ B -> ( R We B -> R We A ) ) $=
    ( wss wfr wor wa wwe frss soss anim12d df-we 3imtr4g ) ABDZBCEZBCFZGACEZACF
    ZGBCHACHNOQPRABCIABCJKBCLACLM $.
    $( [19-Apr-1994] $)

  $( Equality theorem for the well-ordering predicate. $)
  weeq1 $p |- ( R = S -> ( R We A <-> S We A ) ) $=
    ( wceq wfr wor wa wwe freq1 soeq1 anbi12d df-we 3bitr4g ) BCDZABEZABFZGACEZ
    ACFZGABHACHNOQPRABCIABCJKABLACLM $.
    $( [9-Mar-1997] $)

  $( Equality theorem for the well-ordering predicate. $)
  weeq2 $p |- ( A = B -> ( R We A <-> R We B ) ) $=
    ( wceq wfr wor wa wwe freq2 soeq2 anbi12d df-we 3bitr4g ) ABDZACEZACFZGBCEZ
    BCFZGACHBCHNOQPRABCIABCJKACLBCLM $.
    $( [3-Apr-1994] $)

  $( A well-ordering is founded. $)
  wefr $p |- ( R We A -> R Fr A ) $=
    ( wwe wfr wor df-we pm3.26bi ) ABCABDABEABFG $.
    $( [22-Apr-1994] $)

  $( A well-ordering is a strict ordering. $)
  weso $p |- ( R We A -> R Or A ) $=
    ( wwe wfr wor df-we pm3.27bi ) ABCABDABEABFG $.
    $( [16-Mar-1997] $)

  $( The elements of an epsilon well-ordering are comparable. $)
  wecmpep $p |- ( ( E We A /\ ( x e. A /\ y e. A ) ) ->
                 ( x e. y \/ x = y \/ y e. x ) ) $=
    ( cep wor cv wcel wa wceq w3o wwe wbr solin epel pm4.2 3orbi123i sylib
    weso sylan ) CDEZAFZCGBFZCGHZUAUBGZUAUBIZUBUAGZJZCDKTUCHUAUBDLZUEUBUADLZJUG
    CUAUBDMUHUDUEUEUIUFABNUEOBANPQCDRS $.
    $( [17-May-1994] $)

  $( An epsilon well-ordering is a transitive relation. $)
  wetrep $p |- ( ( E We A /\ ( x e. A /\ y e. A /\ z e. A ) ) ->
             ( ( x e. y /\ y e. z ) -> x e. z ) ) $=
    ( cep wwe cv wcel w3a wa wbr wor wi sotr weso sylan epel anbi12i 3imtr3g )
    DEFZAGZDHBGZDHCGZDHIZJUAUBEKZUBUCEKZJZUAUCEKZUAUBHZUBUCHZJUAUCHDELUDUGUHMTD
    UAUBUCENDEOPUEUIUFUJABQBCQRACQS $.
    $( [22-Apr-1994] $)

  ${
    $d x y z R $.  $d y z A $.  $d x y z B $.
    $( A non-empty (possibly proper) subclass of a class well-ordered by ` E `
       has a minimal element.  Special case of Proposition 6.26 of
       [TakeutiZaring] p. 31. $)
    wefrc $p |- ( ( E We A /\ B (_ A /\ B =/= (/) ) ->
               E. x e. B ( B i^i x ) = (/) ) $=
      ( vy vz cep wwe wss c0 wne cv cin wceq wrex wi wess wcel wex wa ineq2
      eqeq1d rcla4ev ex adantl inss1 wfr visset inex2 epfrc wefr syl3an1 3exp
      mpi elin anbi1i anass bitr rexbii2 syl6ib adantr wral w3a wetrep exp3a
      df-3an 3anrot bitr3 sylan2b exp44 imp com34 imp3a syl5ib imp4a com23
      r19.21adv dfss3 syl6ibr dfss in23 eqeq2i biimp biimprd syl6 r19.22dv
      syld pm2.61dne 19.23adv ne0 syl6com 3imp ) BFGZCBHZCIJZCAKZLZIMZACNZWMWLC
      FGZWNWROCBFPWSDKZCQZDRWRWNWSXAWRDWSXAWRWSXASZWRCWTLZIXAXCIMZWROWSXAXDWRWQ
      XDAWTCWOWTMWPXCIWOWTCTUAUBUCUDXBXCIJZWOWTQZXCWOLZIMZSZACNZWRWSXEXJOXAWSXE
      XHAXCNZXJWSXCCHZXEXKOCWTUEWSXLXEXKCFUFXLXEXKWSACXCWTCDUGUHUICFUJUKULUMXHX
      IAXCCWOXCQZXHSWOCQZXFSZXHSXNXISXMXOXHWOCWTUNUOXNXFXHUPUQURUSUTXBXIWQACXBX
      NXFXHWQXBXNXFXHWQOZXBXOWPWTHZXPXBXOEKZWTQZEWPVAXQXBXOXSEWPXBXRWPQZXOXSXBX
      TXNXFXSXBXRCQZXRWOQZSXNXFXSOZOZXTXBYAYBYDXBYAXNYBYCWSXAYAXNYBYCOZOOWSXAYA
      XNYEWSYAXNXAVBZYEXAYASXNSZWSYFSYBXFXSEADCVCVDYGXAYAXNVBYFXAYAXNVEXAYAXNVF
      VGVHVIVJVKVLXRCWOUNVMVNVOVPEWPWTVQVRXQWQXHXQWPXGIXQWPXGMZXQWPWPWTLZMYHWPW
      TVSYIXGWPCWOWTVTWAUQWBUAWCWDVDVNWEWFWGUCWHDCWIVMWJWK $.
      $( [18-Mar-2007] $) $( [17-Feb-2004] $)
  $}

  $( Any relation is a well-ordering of the empty set. $)
  we0 $p |- R We (/) $=
    ( c0 wwe wfr wor df-we fr0 so0 mpbir2an ) BACBADBAEBAFAGAHI $.
    $( [16-Mar-1997] $)

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.
    wereu.1 $e |- B e. V $.
    $( A subset of a well-ordered set has a unique minimal element. $)
    wereu $p |- ( ( R We A /\ B (_ A /\ B =/= (/) ) ->
                E! x e. B A. y e. B -. y R x ) $=
      ( vz wwe wss c0 wne w3a cv wbr wn wral wrex wa wceq wi wreu wfr cvv wcel
      fri mpanl1 3impb wefr syl3an1 wo w3o wor solin weso sylan df-3or or23
      df-or 3bitr sylib ioran syl5ibr wess impcom breq1 negbid rcla4v im2anan9
      ancomsd imp syl5 exp4b pm2.43d 3adant3 r19.21aivv jca breq2 ralbidv reu4
      sylibr ) CEHZDCIZDJKZLZBMZAMZENZOZBDPZADQZWIWEGMZENZOZBDPZRZWFWKSZTZGDPAD
      PZRWIADUAWDWJWRCEUBZWBWCWJWAWSWBWCWJDUCUDWSWBWCRWJFABCDUCEUEUFUGCEUHUIWDW
      QAGDDWAWBWFDUDZWKDUDZRZWQTWCWAWBRZXBWQXCXBXBWOWPXCXBRWFWKENZOZWKWFENZOZRZ
      WPXBWORDEHZXBXHWPTXCXIXBRZXDXFUJZOZWPXHXJXDWPXFUKZXLWPTZDEULXBXMXIDWFWKEU
      MDEUNUOXMXDWPUJXFUJXKWPUJXNXDWPXFUPXDWPXFUQXKWPURUSUTXDXFVAVBWBWAXIDCEVCV
      DUOXBWOXHXBWNWIXHWTWNXEXAWIXGWMXEBWFDWEWFSWLXDWEWFWKEVEVFVGWHXGBWKDWEWKSW
      GXFWEWKWFEVEVFVGVHVIVJVKVLVMVNVOVPWIWNAGDWPWHWMBDWPWGWLWFWKWEEVQVFVRVSVT
      $.
      $( [5-Apr-2007] $) $( [18-Mar-1997] $)

    $( The unique minimal element of a subset of a well-ordered set. $)
    wereucl $p |- ( ( R We A /\ B (_ A /\ B =/= (/) ) ->
                U. { x e. B | A. y e. B -. y R x } e. B ) $=
      ( wwe wss c0 wne w3a cv wbr wn wral wreu crab cuni wcel wereu reucl syl
      ) CEGDCHDIJKBLALEMNBDOZADPUCADQRDSABCDEFTUCADUAUB $.
      $( [23-Sep-2007] $) $( [23-Sep-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Ordinals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c Ord $. $( Ordinal predicate $)
  $c On $. $( The class of ordinal numbers $)
  $c Lim $. $( Limit ordinal predicate $)
  $c suc $. $( Successor function (read:  'successor of') $)

  $( Extend the definition of a wff to include the ordinal predicate. $)
  word $a wff Ord A $.

  $( Extend the definition of a class to include the class of all ordinal
     numbers.  (The 0 in the name prevents creating a file called con.html,
     which causes problems in Windows.) $)
  con0 $a class On $.

  $( Extend the definition of a wff to include the limit ordinal predicate. $)
  wlim $a wff Lim A $.

  $( Extend class notation to include the successor function. $)
  csuc $a class suc A $.

  $( Define the ordinal predicate, which is true for a class that is transitive
     and is well-ordered by the epsilon relation.  Variant of definition of
     [BellMachover] p. 468. $)
  df-ord $a |- ( Ord A <-> ( Tr A /\ E We A ) ) $.

  $( Define the class of all ordinal numbers.  Definition 7.11 of
     [TakeutiZaring] p. 38. $)
  df-on $a |- On = { x | Ord x } $.

  $( Define the limit ordinal predicate, which is true for a non-empty ordinal
     that is not a successor (i.e. that is the union of itself).  Our
     definition combines the definition of Lim of [BellMachover] p. 471 and
     Exercise 1 of [TakeutiZaring] p. 42.  See ~ dflim2 , ~ dflim3 , and
     dflim4 for alternate definitions. $)
  df-lim $a |- ( Lim A <-> ( Ord A /\ A =/= (/) /\ A = U. A ) ) $.

  $( Define the successor of a class.  When applied to an ordinal number, the
     successor means the same thing as "plus 1" (see ~ oa1suc ).  Definition
     7.22 of [TakeutiZaring] p. 41, who use "+ 1" to denote this function.
     Our definition is a generalization to classes.  Although it is not
     conventional to use it with proper classes, it has no affect on a proper
     class ( ~ sucprc ), so that the successor of any ordinal class is still
     an ordinal class ( ~ ordsuc ), simplifying certain proofs.  Some authors
     denote the successor operation with a prime (apostrophe-like) symbol,
     such as Definition 6 of [Suppes] p. 134 and the definition of successor
     in [Mendelson] p. 246 (who uses the symbol "Suc" as a predicate to mean
     "is a successor ordinal").  The definition of successor of [Enderton]
     p. 68 denotes the operation with a plus-sign superscript. $)
  df-suc $a |- suc A = ( A u. { A } ) $.

  $( Equality theorem for the ordinal predicate. $)
  ordeq $p |- ( A = B -> ( Ord A <-> Ord B ) ) $=
    ( wceq wtr cep wwe wa word treq weeq2 anbi12d df-ord 3bitr4g ) ABCZADZAEFZG
    BDZBEFZGAHBHNOQPRABIABEJKALBLM $.
    $( [17-Sep-1993] $)

  ${
    $d x A $.
    $( An ordinal number is an ordinal set. $)
    elong $p |- ( A e. B -> ( A e. On <-> Ord A ) ) $=
      ( vx cv word con0 ordeq df-on elab2g ) CDZEAECAFBJAGCHI $.
      $( [5-Jun-1994] $)
  $}

  ${
    elon.1 $e |- A e. V $.
    $( An ordinal number is an ordinal set. $)
    elon $p |- ( A e. On <-> Ord A ) $=
      ( cvv wcel con0 word wb elong ax-mp ) ACDAEDAFGBACHI $.
      $( [5-Jun-1994] $)
  $}

  $( An ordinal number has the ordinal property. $)
  eloni $p |- ( A e. On -> Ord A ) $=
    ( con0 wcel word elong ibi ) ABCADABEF $.
    $( [5-Jun-1994] $)

  $( An ordinal number is an ordinal set. $)
  elon2 $p |- ( A e. On <-> ( Ord A /\ A e. V ) ) $=
    ( con0 wcel word cvv wa eloni elisset jca elong biimparc impbi ) ABCZADZAEC
    ZFMNOAGABHIOMNAEJKL $.
    $( [8-Feb-2004] $) $( [8-Feb-2004] $)

  $( Equality theorem for the limit predicate. $)
  limeq $p |- ( A = B -> ( Lim A <-> Lim B ) ) $=
    ( wceq word c0 wne cuni w3a wlim ordeq neeq1 unieq eqeq2d eqeq1 bitrd
    3anbi123d df-lim 3bitr4g ) ABCZADZAEFZAAGZCZHBDZBEFZBBGZCZHAIBISTUDUAUEUCUG
    ABJABEKSUCAUFCUGSUBUFAABLMABUFNOPAQBQR $.
    $( [22-Apr-1994] $)

  $( Epsilon well orders every ordinal.  Proposition 7.4 of [TakeutiZaring]
     p. 36. $)
  ordwe $p |- ( Ord A -> E We A ) $=
    ( word wtr cep wwe df-ord pm3.27bi ) ABACADEAFG $.
    $( [3-Apr-1994] $)

  $( An ordinal class is transitive. $)
  ordtr $p |- ( Ord A -> Tr A ) $=
    ( word wtr cep wwe df-ord pm3.26bi ) ABACADEAFG $.
    $( [3-Apr-1994] $)

  $( Epsilon is well-founded on an ordinal class. $)
  ordfr $p |- ( Ord A -> E Fr A ) $=
    ( word cep wwe wfr ordwe wefr syl ) ABACDACEAFACGH $.
    $( [22-Apr-1994] $)

  $( An element of an ordinal class is a subset of it. $)
  ordelss $p |- ( ( Ord A /\ B e. A ) -> B (_ A ) $=
    ( wtr wcel wss word trss imp ordtr sylan ) ACZBADZBAEZAFKLMABGHAIJ $.
    $( [30-May-1994] $)

  $( A transitive subclass of an ordinal class is ordinal. $)
  trssord $p |- ( ( Tr A /\ A (_ B /\ Ord B ) -> Ord A ) $=
    ( wtr wss word wa cep wwe w3a wess imp ordwe sylan2 anim2i 3anass df-ord
    3imtr4 ) ACZABDZBEZFZFRAGHZFRSTIAEUAUBRSBGHZUBTSUCUBABGJKBLMNRSTOAPQ $.
    $( [29-May-1994] $)

  $( Epsilon irreflexivity of ordinals:  no ordinal class is a member of
     itself.  Theorem 2.2(i) of [BellMachover] p. 469, generalized to classes.
     We prove this without invoking the Axiom of Regularity. $)
  ordirr $p |- ( Ord A -> -. A e. A ) $=
    ( word cep wfr wcel wn ordfr efrirr syl ) ABACDAAEFAGAHI $.
    $( [2-Jan-1994] $)

  $( A member of an ordinal class is not equal to it. $)
  nordeq $p |- ( ( Ord A /\ B e. A ) -> A =/= B ) $=
    ( word wcel wne wceq wn eleq1 negbid ordirr syl5cbi necon2ad imp ) ACZBADZA
    BENOABABFZAADZGOGNPQOABAHIAJKLM $.
    $( [3-Jun-2007] $) $( [25-May-1998] $)

  $( An ordinal class cannot an element of one of its members.  Variant of
     first part of Theorem 2.2(vii) of [BellMachover] p. 469. $)
  ordn2lp $p |- ( Ord A -> -. ( A e. B /\ B e. A ) ) $=
    ( word wcel wa ordirr wtr wi ordtr trel syl mtod ) ACZABDBADEZAADZAFMAGNOHA
    IAABJKL $.
    $( [3-Apr-1994] $)

  ${
    $d x R $.  $d x A $.  $d x B $.
    $( A subclass (possibly proper) of an ordinal class has a minimal element.
       Proposition 7.5 of [TakeutiZaring] p. 36. $)
    tz7.5 $p |- ( ( Ord A /\ B (_ A /\ B =/= (/) ) ->
               E. x e. B ( B i^i x ) = (/) ) $=
      ( cep wwe wss c0 wne cv cin wceq wrex word wefrc ordwe syl3an1 ) BDECBFCG
      HCAIJGKACLBMABCNBOP $.
      $( [19-Mar-2007] $) $( [18-Feb-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( An element of an ordinal class is ordinal.  Proposition 7.6 of
       [TakeutiZaring] p. 36. $)
    ordelord $p |- ( ( Ord A /\ B e. A ) -> Ord B ) $=
      ( vx vz vy word wcel cv wa wi wceq eleq1 anbi2d ordeq imbi12d wtr cep
      wwe wal w3a wetrep ordwe sylan simpll ordtr trel3 syl 3anrot 3anass
      bitr3 syl5ibr exp3a imp31 trel com23 adantrl simplr 3jca sylanc ex
      pm2.43d 19.21aivv dftr2 sylibr wss trss wess syl5com syld imp jca df-ord
      vtoclg anabsi7 ) AFZBAGZBFZVOCHZAGZIZVRFZJVOVPIZVQJCBAVRBKZVTWBWAVQWCVSVP
      VOVRBALMVRBNOVTVRPZVRQRZIWAVTWDWEVTDHZEHZGZWGVRGZIZWFVRGZJZESDSWDVTWLDEVT
      WJWKVTWJWLVOWFAGZWGAGZVSTZWLVTWJIZAQRZWOWLVODECAUAAUBZUCVOVSWJUDWPWMWNVSV
      OVSWJWMVOVSWJWMVOWHWIVSTZWMVSWJIZVOAPZWSWMJAUEZAWFWGVRUFUGWSVSWHWITWTVSWH
      WIUHVSWHWIUIUJUKULUMVTWIWNWHVOVSWIWNVOWIVSWNVOWIVSWNVOXAWIVSIWNJXBAWGVRUN
      UGULUOUMUPVOVSWJUQURUSUTVAVBDEVRVCVDVOVSWEVOVSVRAVEZWEVOXAVSXCJXBAVRVFUGX
      CWQWEVOVRAQVGWRVHVIVJVKVRVLVDVMVN $.
      $( [23-Apr-1994] $)
  $}

  $( An element of an ordinal class is an ordinal number. $)
  ordelon $p |- ( ( Ord A /\ B e. A ) -> B e. On ) $=
    ( word wcel wa con0 ordelord wb elong adantl mpbird ) ACZBADZEBFDZBCZABGMNO
    HLBAIJK $.
    $( [30-Oct-2003] $) $( [26-Oct-2003] $)

  $( An element of an ordinal number is an ordinal number.  Theorem 2.2(iii) of
     [BellMachover] p. 469. $)
  onelon $p |- ( ( A e. On /\ B e. A ) -> B e. On ) $=
    ( word wcel con0 ordelon eloni sylan ) ACBADBEDAEDABFAGH $.
    $( [4-Nov-2003] $) $( [26-Oct-2003] $)

  ${
    $d x y A $.  $d x y B $.
    $( Proposition 7.7 of [TakeutiZaring] p. 37. $)
    tz7.7 $p |- ( ( Ord A /\ Tr B ) ->
                ( B e. A <-> ( B (_ A /\ B =/= A ) ) ) $=
      ( vx vy word wtr wa wcel wss wne wi cep wfr tz7.2 3exp ordtr ordfr sylc
      adantr cdif c0 cv cin wceq wrex trss eldifi syl5 difin0ss com12 syl6 syl
      ad2antrr imp32 wn eleq1 biimpcd eldifn nsyli imp adantll adantl trel
      exp3a com23 ex adantld w3o wwe wecmpep ordwe ssel2 anim12i syl2an
      adantlr ecase23d exp44 com34 imp31 ssrdv adantrr eqssd ad2antrl eqeltrrd
      exp32 r19.23adv difss tz7.5 mp3an2 exp4b adantrd pm2.43i pssdifn0 syl7
      exp4a pm2.43d imp3a impbid ) AEZBFZGZBAHZBAIZBAJZGZWSXBXEKZWTAFZALMZXFWSX
      GXHXBXEABNOAPZAQRSXAXCXDXBXAXCXDXBKXAXCXCXDXBXAXCABTZUAJZXBXEXAXCXKXBKZKZ
      XAWSXMWTXAXCWSXLXAXCWSXKXBXAXCGZXJCUBZUCUAUDZCXJUEZXBWSXKGXNXPXBCXJXNXOXJ
      HZXPXBXNXRXPGGZXOBAXSXOBXNXRXPXOBIZWSXRXPXTKZKZWTXCWSXGYBXIXGXRXOAIZYAXGX
      OAHZYCXRAXOUFXOABUGZUHXPYCXTABXOUIUJUKULUMUNXNXRBXOIXPXNXRGDBXOXAXCXRDUBZ
      BHZYFXOHZKXAXCYGXRYHXAXCYGXRYHXAXCYGGZXRGZGYHYFXOUDZXOYFHZYJYKUOZXAYGXRYM
      XCYGXRYMYGYKXOBHZXRYKYGYNYFXOBUPUQXOABURZUSUTVAVBWTYJYLUOZWSWTYIXRYPWTYGX
      RYPKZXCWTYGYQWTYGGYLYNXRWTYGYLYNKWTYLYGYNWTYLYGYNBXOYFVCVDVEUTYOUSVFVGUNV
      AWSYJYHYKYLVHZWTALVIYFAHZYDGYRWSYJDCAVJAVKYIYSXRYDBAYFVLYEVMVNVOVPVQVRVSV
      TWAWBXRYDXNXPYEWCWDWEWFWSXJAIXKXQABWGCAXJWHWIUHWJVEWKWLBAWMWNWOWPWQWR $.
      $( [28-May-2007] $) $( [5-May-1994] $)
  $}

  $( Corollary 7.8 of [TakeutiZaring] p. 37. $)
  ordelssne $p |- ( ( Ord A /\ Ord B ) ->
              ( A e. B <-> ( A (_ B /\ A =/= B ) ) ) $=
    ( word wcel wss wne wa wb wtr tz7.7 ordtr sylan2 ancoms ) BCZACZABDABEABFGH
    ZNAIPOBAJAKLM $.
    $( [1-Jun-2007] $) $( [25-Nov-1995] $)

  $( Corollary 7.8 of [TakeutiZaring] p. 37. $)
  ordelpss $p |- ( ( Ord A /\ Ord B ) -> ( A e. B <-> A (. B ) ) $=
    ( word wa wcel wss wne wpss ordelssne df-pss syl6bbr ) ACBCDABEABFABGDABHAB
    IABJK $.
    $( [17-Jun-1998] $)

  $( For ordinal classes, subclass is equivalent to membership or equality. $)
  ordsseleq $p |- ( ( Ord A /\ Ord B ) ->
                  ( A (_ B <-> ( A e. B \/ A = B ) ) ) $=
    ( word wa wss wcel wceq wo wne wi ordelssne biimprd exp3a imp necon1bd
    orrd ex pm3.26 syl6bi eqimss jctir jaob sylibr impbid ) ACBCDZABEZABFZABGZH
    ZUEUFUIUEUFDZUGUHUJUGABUEUFABIZUGJUEUFUKUGUEUGUFUKDZABKZLMNOPQUEUGUFJZUHUFJ
    ZDUIUFJUEUNUOUEUGULUFUMUFUKRSABTUAUGUFUHUBUCUD $.
    $( [25-Nov-1995] $)

  $( The intersection of two ordinal classes is ordinal.  Proposition 7.9 of
     [TakeutiZaring] p. 37. $)
  ordin $p |- ( ( Ord A /\ Ord B ) -> Ord ( A i^i B ) ) $=
    ( word cin wtr trin ordtr syl2an wss inss2 trssord mp3an2 sylancom ) ACZBCZ
    ABDZEZPCZAEBEQNOABFAGBGHQPBIORABJPBKLM $.
    $( [9-May-1994] $)

  ${
    $d x y A $.  $d x y B $.
    $( The intersection of two ordinal numbers is an ordinal number. $)
    onin $p |- ( ( A e. On /\ B e. On ) -> ( A i^i B ) e. On ) $=
      ( con0 wcel wa cin word ordin eloni syl2an cvv wb pm3.26 inex1g elong
      3syl mpbird ) ACDZBCDZEZABFZCDZUAGZAGBGUCRSABHAIBIJTRUAKDUBUCLRSMABCNUAKO
      PQ $.
      $( [7-Apr-1995] $)
  $}

  $( A trichotomy law for ordinals.  Proposition 7.10 of [TakeutiZaring]
     p. 38. $)
  ordtri3or $p |- ( ( Ord A /\ Ord B ) -> ( A e. B \/ A = B \/ B e. A ) ) $=
    ( word wa wcel wceq wo w3o wss cin wn ordin ordirr syl elin incom eleq1i
    anbi2i bitr negbii ianor sylib inss1 ordsseleq mpbii sylan anabss1 ord
    df-ss syl6ibr anabss4 orim12d mpd wb ancoms orbi12d mpbid df-3or or23
    orordir eqcom orbi2i 3bitr sylibr ) ACZBCZDZABEZABFZGZBAEZBAFZGZGZVHVIVKHZV
    GABIZBAIZGZVNVGABJZAEZKZBAJZBEZKZGZVRVGVSVSEZKZWEVGVSCZWGABLZVSMNWGVTWCDZKW
    EWFWJWFVTVSBEZDWJVSABOWKWCVTVSWBBABPQRSTVTWCUASUBVGWAVPWDVQVGWAVSAFZVPVGVTW
    LVEVFVTWLGZWHVEWMVGWHVEDVSAIWMABUCVSAUDUEWIUFUGUHABUIUJVGWDWBBFZVQVGWCWNVEV
    FWCWNGZWBCZVFWOVFVEDWPVFDWBBIWOBAUCWBBUDUEBALUFUKUHBAUIUJULUMVGVPVJVQVMABUD
    VFVEVQVMUNBAUDUOUPUQVOVHVKGVIGZVJVKVIGZGVNVOVJVKGWQVHVIVKURVHVIVKUSSVHVKVIU
    TWRVMVJVIVLVKABVAVBVBVCVD $.
    $( [29-Jun-2008] $) $( [10-May-1994] $)

  $( A trichotomy law for ordinals. $)
  ordtri1 $p |- ( ( Ord A /\ Ord B ) -> ( A (_ B <-> -. B e. A ) ) $=
    ( word wa wss wcel wceq wo wn ordsseleq wi ordn2lp imnan sylibr eleq2
    negbid ordirr syl5cbir jaao w3o ordtri3or df-3or orcom df-or 3bitr sylib
    impbid bitrd ) ACZBCZDZABEABFZABGZHZBAFZIZABJUKUNUPUIULUPUJUMUIULUODIULUPKA
    BLULUOMNUMUPBBFZIUJUMUOUQABBOPBQRSUKULUMUOTZUPUNKZABUAURUNUOHUOUNHUSULUMUOU
    BUNUOUCUOUNUDUEUFUGUH $.
    $( [25-Mar-1995] $)

  $( A trichotomy law for ordinal numbers. $)
  ontri1 $p |- ( ( A e. On /\ B e. On ) -> ( A (_ B <-> -. B e. A ) ) $=
    ( word wss wcel wn wb con0 ordtri1 eloni syl2an ) ACBCABDBAEFGAHEBHEABIAJBJ
    K $.
    $( [14-Nov-2003] $) $( [6-Nov-2003] $)

  $( A trichotomy law for ordinals. $)
  ordtri2 $p |- ( ( Ord A /\ Ord B ) ->
               ( A e. B <-> -. ( A = B \/ B e. A ) ) ) $=
    ( word wa wceq wcel wo wn wb wss ordsseleq eqcom orbi2i orcom bitr syl6bb
    ordtri1 bitr3d ancoms con2bid ) ACZBCZDABEZBAFZGZABFZUBUAUEUFHZIUBUADZBAJZU
    EUGUHUIUDBAEZGZUEBAKUKUDUCGUEUJUCUDBALMUDUCNOPBAQRST $.
    $( [25-Nov-1995] $)

  $( A trichotomy law for ordinals. $)
  ordtri3 $p |- ( ( Ord A /\ Ord B ) ->
               ( A = B <-> -. ( A e. B \/ B e. A ) ) ) $=
    ( word wa wceq wcel wo wn eleq2 negbid ordirr syl5bi syl5bir anim12d ioran
    syl6ibr com12 w3o wi ordtri3or df-3or or23 df-or 3bitr sylib impbid ) ACZBC
    ZDZABEZABFZBAFZGZHZUJUIUNUJUIUKHZULHZDUNUJUGUOUHUPUJAAFZHUOUGUJUQUKABAIJAKL
    UJUPBBFZHUHUJULURABBIJBKMNUKULOPQUIUKUJULRZUNUJSZABTUSUKUJGULGUMUJGUTUKUJUL
    UAUKUJULUBUMUJUCUDUEUF $.
    $( [18-Oct-1995] $)

  $( A trichotomy law for ordinals. $)
  ordtri4 $p |- ( ( Ord A /\ Ord B ) ->
               ( A = B <-> ( A (_ B /\ -. A e. B ) ) ) $=
    ( word wa wceq wcel wo wn wss ordtri3 ordtri1 anbi1d ancom ioran bitr4
    syl6bb bitr4d ) ACBCDZABEABFZBAFZGHZABIZSHZDZABJRUDTHZUCDZUARUBUEUCABKLUFUC
    UEDUAUEUCMSTNOPQ $.
    $( [5-Nov-2003] $) $( [1-Nov-2003] $)

  $( An ordinal class and its singleton are disjoint. $)
  orddisj $p |- ( Ord A -> ( A i^i { A } ) = (/) ) $=
    ( word wcel wn csn cin c0 wceq ordirr disjsn sylibr ) ABAACDAAEFGHAIAAJK $.
    $( [19-May-1998] $)

  ${
    $d x y z $.
    $( The ordinal class is founded.  This lemma is needed for ~ ordon in order
       to eliminate the need for the Axiom of Regularity. $)
    onfr $p |- E Fr On $=
      ( vx vz vy con0 cep wfr cv wss c0 wne wa cin wceq wrex wi dfepfr wcel
      wex ineq2 eqeq1d rcla4ev expcom a1d word ssel visset elon syl6ib wtr
      inss2 inex1 epfrc mp3an2 ex ax-17 hbre1 inss1 sseli trss syl5 sseqin2
      inass syl5req sylbi biimprcd sylan9 imp anim12i exp32 pm2.43b com23 ra4e
      syl8 r19.23ad ordfr ordtr sylanc syl6 com3r pm2.61ine 19.23adv ne0
      syl5ib mpgbir ) DEFAGZDHZWEIJZKWEBGZLZIMZBWENZOAABDPWFWGWKWFCGZWEQZCRWKWG
      WFWMWKCWFWMWKOZOWEWLLZIWOIMZWNWFWMWPWKWJWPBWLWEWHWLMWIWOIWHWLWESTUAUBUCWF
      WMWOIJZWKWFWMWLUDZWQWKOZWFWMWLDQWRWEDWLUEWLCUFUGUHWLEFZWLUIZWSWRWTWQWOWHL
      ZIMZBWONZXAWKWTWQXDWTWOWLHWQXDWEWLUJZBWLWOWEWLAUFUKULUMUNXAXCWKBWOXABUOWJ
      BWEUPXAWHWOQZXCWHWEQZWJKZWKXAXCXFXHXAXCXFXHOXAXCKZXFXHXFXIXFXHXFXGXIXFKWJ
      WOWEWHWEWLUQURXIXFWJXAXFWHWLHZXCWJXAWHWLQXJXFWLWHUSWOWLWHXEURUTXJWJXCXJWI
      XBIXJWLWHLZWHMZWIXBMWHWLVAXLWEXKLWIXBXKWHWESWEWLWHVBVCVDTVEVFVGVHVIVJUNVK
      WJBWEVLVMVNVFWLVOWLVPVQVRVSVTWACWEWBWCVGWD $.
      $( [17-May-1994] $)
  $}

  ${
    $d x y $.
    $( The class of all ordinal numbers is ordinal.  Proposition 7.12 of
       [TakeutiZaring] p. 38, but without using the Axiom of Regularity. $)
    ordon $p |- Ord On $=
      ( vx vy con0 word wtr cep wwe df-ord cv wss dftr3 wcel ordelord visset
      elon sylanb ex syl6ibr ssrdv mprgbir wfr wbr wceq w3o wral dfwe2 onfr wa
      ordtri3or epel pm4.2 3orbi123i sylibr eloni syl2an rgen2a mpbir2an ) CDCE
      ZCFGZCHURAIZCJACACKUTCLZBUTCVABIZUTLZVBDZVBCLZVAVCVDUTDZVCVDVAUTVBMUTANOP
      QVBBNORSTUSCFUAUTVBFUBZUTVBUCZVBUTFUBZUDZBCUEACUEABCFUFUGVJABCVFVDVJVAVEV
      FVDUHUTVBLZVHVCUDVJUTVBUIVGVKVHVHVIVCABUJVHUKBAUJULUMUTUNVBUNUOUPUQUQ $.
      $( [17-May-1994] $)
  $}

  $( The epsilon relation well-orders the class of ordinal numbers.
     Proposition 4.8(g) of [Mendelson] p. 244. $)
  epweon $p |- E We On $=
    ( con0 word cep wwe ordon ordwe ax-mp ) ABACDEAFG $.
    $( [1-Nov-2003] $) $( [1-Nov-2003] $)

  $( No set contains all ordinal numbers.  Proposition 7.13 of [TakeutiZaring]
     p. 38, but without using the Axiom of Regularity.  This is also known as
     the Burali-Forti paradox (remark in [Enderton] p. 194).  In 1897, Cesare
     Burali-Forti noticed that since the "set" of all ordinal numbers is an
     ordinal class ( ~ ordon ), it must be both an element of the set of all
     ordinal numbers yet greater than every such element.  ZF set theory
     resolves this paradox by not allowing the class of all ordinal numbers to
     be a set (so instead it is a proper class).  Here we prove the denial of
     its existence. $)
  onprc $p |- -. On e. V $=
    ( con0 cvv wcel word wn ordon ordirr ax-mp elong mpbiri mto ) ABCZAACZADZME
    FAGHLMNFABIJK $.
    $( [18-May-1994] $)

  $( A way to express the ordinal property of a class in terms of the class
     of ordinal numbers.  Corollary 7.14 of [TakeutiZaring] p. 38 and its
     converse. $)
  ordeleqon $p |- ( Ord A <-> ( A e. On \/ A = On ) ) $=
    ( word con0 wcel wceq wo cvv onprc elisset mto w3o ordon ordtri3or mpan2
    df-3or sylib ord mt3i eloni ordeq mpbiri jaoi impbi ) ABZACDZACEZFZUDUGCADZ
    UHCGDHCAIJUDUGUHUDUEUFUHKZUGUHFUDCBZUILACMNUEUFUHOPQRUEUDUFASUFUDUJLACTUAUB
    UC $.
    $( [1-Jun-2003] $)

  $( Any ordinal class is a subclass of the class of ordinal numbers.
     Corollary 7.15 of [TakeutiZaring] p. 38. $)
  ordsson $p |- ( Ord A -> A (_ On ) $=
    ( word con0 wcel wss wne wa wb ordon ordelssne mpan2 pm3.26 syl6bi wn wceq
    wo ordeleqon biimp ord eqimss syl6 pm2.61d ) ABZACDZACEZUCUDUEACFZGZUEUCCBU
    DUGHIACJKUEUFLMUCUDNACOZUEUCUDUHUCUDUHPAQRSACTUAUB $.
    $( [18-May-1994] $)

  $( An ordinal number is a subset of the class of ordinal numbers. $)
  onsst $p |- ( A e. On -> A (_ On ) $=
    ( con0 wcel word wss eloni ordsson syl ) ABCADABEAFAGH $.
    $( [5-Jun-1994] $)

  ${
    $d x y A $.
    $( The union of a class of ordinal numbers is ordinal.  Proposition 7.19 of
       [TakeutiZaring] p. 40. $)
    ssorduni $p |- ( A (_ On -> Ord U. A ) $=
      ( vx vy cuni wtr con0 wss word ordon trssord 3exp mpii cv wral wcel wrex
      wa wi ssel eloni ordtr trss 3syl syl6 anc2r syl ssuni syl8 r19.23adv
      eluni2 syl5ib r19.21aiv dftr3 sylibr ordelord ex visset elon syl6ibr
      ssrdv sylc ) ADZEZVBFGZVBHZAFGZVCVDFHZVEIVCVDVGVEVBFJKLVFBMZVBGZBVBNVCVFV
      IBVBVFVHCMZOZCAPZVIVHVBOZVFVKVICAVFVJAOZVKVHVJGZVNQZVIVFVNVKVORZRVNVKVPRR
      VFVNVJFOZVQAFVJSZVRVJHZVJEVQVJTZVJUAVJVHUBUCUDVNVKVOUEUFVHVJAUGUHUICVHAUJ
      ZUKULBVBUMUNVFBVBFVFVLVHFOZVMVFVKWCCAVFVNVRVKWCRZVSVRVTWDWAVTVKVHHZWCVTVK
      WEVJVHUOUPVHBUQURUSUFUDUIWBUKUTVA $.
      $( [30-May-1994] $)
  $}

  $( The union of a set of ordinal numbers is an ordinal number.  Theorem 9 of
     [Suppes] p. 132. $)
  ssonunit $p |- ( A e. B -> ( A (_ On -> U. A e. On ) ) $=
    ( wcel cuni con0 word wss cvv wb uniexg elong syl ssorduni syl5bir ) ABCZAD
    ZECZPFZAEGOPHCQRIABJPHKLAMN $.
    $( [3-Nov-2003] $) $( [1-Nov-2003] $)

  ${
    ssonuni.1 $e |- A e. V $.
    $( The union of a set of ordinal numbers is an ordinal number.  Corollary
       7N(d) of [Enderton] p. 193. $)
    ssonuni $p |- ( A (_ On -> U. A e. On ) $=
      ( cvv wcel con0 wss cuni wi ssonunit ax-mp ) ACDAEFAGEDHBACIJ $.
      $( [20-Sep-2003] $)
  $}

  $( The union of an ordinal number is an ordinal number. $)
  onuni $p |- ( A e. On -> U. A e. On ) $=
    ( con0 wcel wss cuni onsst ssonunit mpd ) ABCABDAEBCAFABGH $.
    $( [1-Oct-2006] $) $( [29-Sep-2006] $)

  $( The union of an ordinal class is ordinal. $)
  orduni $p |- ( Ord A -> Ord U. A ) $=
    ( word con0 wss cuni ordsson ssorduni syl ) ABACDAEBAFAGH $.
    $( [12-Sep-2003] $)

  $( Relationship between membership and proper subset of an ordinal number. $)
  onelpsst $p |- ( ( A e. On /\ B e. On ) ->
               ( A e. B <-> ( A (_ B /\ A =/= B ) ) ) $=
    ( word wcel wss wne wa wb con0 ordelssne eloni syl2an ) ACBCABDABEABFGHAIDB
    IDABJAKBKL $.
    $( [2-Jun-2007] $) $( [15-Sep-1995] $)

  $( Relationship between subset and membership of an ordinal number. $)
  onsseleq $p |- ( ( A e. On /\ B e. On ) ->
                 ( A (_ B <-> ( A e. B \/ A = B ) ) ) $=
    ( word wss wcel wceq wo wb con0 ordsseleq eloni syl2an ) ACBCABDABEABFGHAIE
    BIEABJAKBKL $.
    $( [15-Sep-1995] $)

  $( An element of an ordinal number is a subset of the number. $)
  onelsst $p |- ( A e. On -> ( B e. A -> B (_ A ) ) $=
    ( con0 wcel word wtr wss wi eloni ordtr trss 3syl ) ACDAEAFBADBAGHAIAJABKL
    $.
    $( [5-Jun-1994] $)

  $( Transitive law for ordinal classes. $)
  ordtr1 $p |- ( Ord C -> ( ( A e. B /\ B e. C ) -> A e. C ) ) $=
    ( word wtr wcel wa wi ordtr trel syl ) CDCEABFBCFGACFHCICABJK $.
    $( [13-Dec-2004] $) $( [12-Dec-2004] $)

  $( Transitive law for ordinal classes. $)
  ordtr2 $p |- ( ( Ord A /\ Ord C ) -> ( ( A (_ B /\ B e. C ) -> A e. C ) ) $=
    ( word wa wss wcel wi wceq wo ordsseleq biimpd ordtr1 exp3a eleq1a com12
    a1i jaod com23 imp syl9 ex ordelord syl5 pm2.43d imp3a ) ADZCDZEZABFZBCGZAC
    GZUIUKUJULUGUHUKUJULHZHUGUHUKUMUGUHUKEZUMUGBDZUNUMHZUNUGUOUPUGUOEZUJABGZABI
    ZJZUNULUQUJUTABKLUHUKUTULHUHUTUKULUHURUKULHZUSUHURUKULABCMNUSVAHUHUKUSULBCA
    OPQRSTUAUBCBUCUDUENTSUF $.
    $( [13-Dec-2004] $) $( [12-Dec-2004] $)

  $( Transitive law for ordinal numbers.  Theorem 7M(b) of [Enderton]
     p. 192. $)
  ontr1 $p |- ( C e. On -> ( ( A e. B /\ B e. C ) -> A e. C ) ) $=
    ( con0 wcel word wa wi eloni ordtr1 syl ) CDECFABEBCEGACEHCIABCJK $.
    $( [11-Aug-1994] $)

  $( Transitive law for ordinal numbers.  Exercise 3 of [TakeutiZaring]
     p. 40. $)
  ontr2 $p |- ( ( A e. On /\ C e. On ) ->
              ( ( A (_ B /\ B e. C ) -> A e. C ) ) $=
    ( word wss wcel wa wi con0 ordtr2 eloni syl2an ) ADCDABEBCFGACFHAIFCIFABCJA
    KCKL $.
    $( [6-Nov-2003] $) $( [6-Nov-2003] $)

  ${
    $d x y z A $.  $d x y B $.
    $( The union of an ordinal stays the same if a subset equal to one of its
       elements is removed. $)
    ordunidif $p |- ( ( Ord A /\ B e. A ) -> U. ( A \ B ) = U. A ) $=
      ( vx vy word wcel wa cv wss cdif wrex wral cuni wceq wi con0 ordelon
      onelsst syl wn eldif biimpr ex eloni ordirr syl5 adantl mpd jctild
      adantr sseq2 rcla4ev syl6 ssid jctir pm2.61d r19.21aiva unidif ) AEZBAFZG
      ZCHZDHZIZDABJZKZCALVEMAMNVAVFCAVAVBAFZGZVBBFZVFVHVIBVEFZVBBIZGZVFVAVIVLOV
      GVAVIVKVJVABPFZVIVKOABQZBVBRSVAVMVJVNUTVMVJOUSUTBBFTZVJVMUTVOVJVJUTVOGBAB
      UAUBUCVMBEVOBUDBUESUFUGUHUIUJVDVKDBVEVCBVBUKULUMVGVITZVFOVAVGVPVBVEFZVBVB
      IZGZVFVGVPVSVGVPGZVQVRVQVTVBABUAUBVBUNUOUCVDVRDVBVEVCVBVBUKULUMUGUPUQCDAB
      URS $.
      $( [11-Dec-2004] $) $( [10-Dec-2004] $)

    $( The intersection (infimum) of a non-empty class of ordinal numbers
       belongs to the class.  Compare Exercise 4 of [TakeutiZaring] p. 45. $)
    onint $p |- ( ( A (_ On /\ A =/= (/) ) -> |^| A e. A ) $=
      ( vx vy vz con0 wss c0 wne cint wcel cv cin wceq wrex wa wi wn wral ssel
      ontri1 syl6bir ex sylan9 com4r imp31 r19.20dva disj visset elint2
      3imtr4g imdistani sylan2 exp32 com4l imp32 ssrdv intss1 ad2antrl eqssd
      eleq1d biimpd com34 pm2.43d r19.23adv word ordon tz7.5 mp3an1 syl5
      anabsi5 ) AEFZAGHZAIZAJZVKABKZLGMZBANZVNVKVLOVKVPVNBAVKVOAJZVPVNPVKVRVPVR
      VNVKVRVPVRVNPVKVRVPOOZVRVNVSVOVMAVSVOVMVSCVOVMVKVRVPCKZVOJZVTVMJZPWAVKVRV
      PWBWAVKVRVPWBPZWAVKVOEJZOZWCVKVROWAWEOZDKZVOJQZDARVTWGJZDARVPWBWFWHWIDAWA
      WEWGAJZWHWIPWEWJWHWAWIVKWJWGEJZWDWHWAWIPZPZAEWGSWDWKWMWDWKOWHVOWGFWLVOWGT
      VOWGVTSUAUBUCUDUEUFDAVOUGDVTACUHUIUJVKVRWDAEVOSUKULUMUNUOUPVRVMVOFVKVPVOA
      UQURUSUTVAUMVBVCVDEVEVKVLVQVFBEAVGVHVIVJ $.
      $( [18-Mar-2007] $) $( [31-Jan-1997] $)
  $}

  $( The intersection of a class of ordinal numbers is zero iff the class
     contains zero. $)
  onint0 $p |- ( A (_ On -> ( |^| A = (/) <-> (/) e. A ) ) $=
    ( con0 wss cint c0 wceq wcel wa wne onint cvv 0ex eleq1 mpbiri intex
    sylibr sylan2 wb adantl mpbid ex int0el impbid1 ) ABCZADZEFZEAGZUDUFUGUDUFH
    UEAGZUGUDAEIZUHUFAJUFUEKGZUIUFUJEKGLUEEKMNAOPQUFUHUGRUDUEEAMSTUAAUBUC $.
    $( [14-May-2004] $) $( [24-Apr-2004] $)

  ${
    $d x y A $.
    $( A non-empty class of ordinal numbers has a smallest member.  Exercise
       9 of [TakeutiZaring] p. 40. $)
    onssmin $p |- ( ( A (_ On /\ A =/= (/) ) -> E. x e. A A. y e. A x (_ y ) $=
      ( con0 wss c0 wne wa cint wcel cv wral wrex onint intss1 rgen jctir wceq
      sseq1 ralbidv rcla4ev syl ) CDECFGHZCIZCJZUDBKZEZBCLZHAKZUFEZBCLZACMUCUEU
      HCNUGBCUFCOPQUKUHAUDCUIUDRUJUGBCUIUDUFSTUAUB $.
      $( [30-May-2007] $) $( [3-Oct-2003] $)
  $}

  ${
    $d x y $.  $d y ph $.
    onminsb.1 $e |- ( ps -> A. x ps ) $.
    onminsb.2 $e |- ( x = |^| { x e. On | ph } -> ( ph <-> ps ) ) $.
    $( If a property is true for some ordinal number, it is true for a minimal
       ordinal number.  This version uses implicit substitution.  Theorem
       Schema 62 of [Suppes] p. 228. $)
    onminsb $p |- ( E. x e. On ph -> ps ) $=
      ( vy con0 wrex crab cint wcel c0 wne rabn0 wss ssrab2 onint mpan sylbir
      hbrab1 hbint cv ax-17 elrabf pm3.27bi syl ) ACGHZACGIZJZUHKZBUGUHLMZUJACG
      NUHGOUKUJACGPUHQRSUJUIGKBABCFUIGCFUHACFGTUAFUBGKCUCDEUDUEUF $.
      $( [3-Oct-2003] $) $( [3-Oct-2003] $)
  $}

  ${
    $d x y $.
    $( If a property is true for some ordinal number, it is true for a minimal
       ordinal number.  This version uses explicit substitution.  Theorem
       Schema 62 of [Suppes] p. 228. $)
    onminesb $p |- ( E. x e. On ph -> [ |^| { x e. On | ph } / x ] ph ) $=
      ( vy con0 wrex crab cint wcel wsbc c0 wne rabn0 wss ssrab2 onint mpan
      sylbir cv ax-17 elrabsf pm3.27bi syl ) ABDEZABDFZGZUDHZABUEIZUCUDJKZUFABD
      LUDDMUHUFABDNUDOPQUFUEDHUGABCUEDCRDHBSTUAUB $.
      $( [29-Sep-2003] $)
  $}

  ${
    $d x ps $.  $d x A $.
    onintss.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( If a property is true for an ordinal number, then the minimum ordinal
       number for which it is true is smaller or equal.  Theorem Schema 61 of
       [Suppes] p. 228. $)
    onintss $p |- ( A e. On -> ( ps -> |^| { x e. On | ph } (_ A ) ) $=
      ( con0 wcel crab cint wss wa elrab intss1 sylbir ex ) DFGZBACFHZIDJZPBKDQ
      GRABCDFELDQMNO $.
      $( [3-Oct-2003] $) $( [3-Oct-2003] $)
  $}

  $( The intersection of a non-empty collection of ordinal numbers is an
     ordinal number.  Compare Exercise 6 of [TakeutiZaring] p. 44. $)
  oninton $p |- ( ( A (_ On /\ A =/= (/) ) -> |^| A e. On ) $=
    ( con0 wss c0 wne cint wcel onint ex ssel syld imp ) ABCZADEZAFZBGZMNOAGZPM
    NQAHIABOJKL $.
    $( [20-Mar-2007] $) $( [29-Jan-1997] $)

  $( The intersection of a class of ordinal numbers exists iff it is an ordinal
     number. $)
  onintrab $p |- ( |^| { x e. On | ph } e. V <->
                 |^| { x e. On | ph } e. On ) $=
    ( con0 crab cint cvv wcel c0 wne intex wss ssrab2 oninton mpan sylbir
    elisset impbi ) ABCDZEZFGZSCGZTRHIZUARJRCKUBUAABCLRMNOSCPQ $.
    $( [6-Nov-2003] $) $( [6-Nov-2003] $)

  $( An existence condition equivalent to an intersection's being an ordinal
     number. $)
  onintrab2 $p |- ( E. x e. On ph <-> |^| { x e. On | ph } e. On ) $=
    ( con0 wrex crab cint cvv wcel intexrab onintrab bitr ) ABCDABCEFZGHLCHABCI
    ABJK $.
    $( [6-Nov-2003] $) $( [6-Nov-2003] $)

  $( No member of a set of ordinal numbers belongs to its minimum. $)
  onnmin $p |- ( ( A (_ On /\ B e. A ) -> -. B e. |^| A ) $=
    ( con0 wss wcel wa cint wn intss1 adantl wb ontri1 c0 wne oninton ne0i
    sylan2 ssel2 sylanc mpbid ) ACDZBAEZFZAGZBDZBUDEHZUBUEUABAIJUDCEZBCEUEUFKUC
    UDBLUAAMNUGUBAOABPQACBRST $.
    $( [2-Feb-1997] $)

  ${
    $d x A $.  $d x ps $.
    onnminsb.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( An ordinal number smaller than the minimum of a set of ordinal numbers
       does not have the property determining that set.  ` ps ` is the wff
       resulting from the substitution of ` A ` for ` x ` in wff ` ph ` . $)
    onnminsb $p |- ( A e. On -> ( A e. |^| { x e. On | ph } -> -. ps ) ) $=
      ( con0 wcel crab cint wn wa elrab wss ssrab2 onnmin mpan sylbir ex con2d
      ) DFGZBDACFHZIGZTBUBJZTBKDUAGZUCABCDFELUAFMUDUCACFNUADOPQRS $.
      $( [9-Nov-2003] $) $( [9-Nov-2003] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( A way to show that an ordinal number equals the minimum of a collection
       of ordinal numbers: it must be in the collection, and it must not be
       larger than any member of the collection. $)
    oneqmini $p |- ( B (_ On -> ( ( A e. B /\ A. x e. A -. x e. B )
                    -> A = |^| B ) ) $=
      ( con0 wss wcel cv wn wral wa cint wceq wi wb ssel anim12d ontri1 syl6
      exp3a imp pm5.74d bi2.03 syl6bb ralbidv2 ssint syl5bb biimprd ex imp3a
      intss1 a1i adantrd jcad eqss syl6ibr ) CDEZBCFZAGZCFZHZABIZJZBCKZEZVCBEZJ
      BVCLUPVBVDVEUPUQVAVDUPUQVAVDMUPUQJZVDVAVFBUREZACIVAVDVFVGUTACBVFUSVGMUSUR
      BFZHZMVHUTMVFUSVGVIUPUQUSVGVINZMUPUQUSVJUPUQUSJBDFZURDFZJVJUPUQVKUSVLCDBO
      CDUROPBURQRSTUAUSVHUBUCUDABCUEUFUGUHUIUPUQVEVAUQVEMUPBCUJUKULUMBVCUNUO $.
      $( [14-Nov-2003] $) $( [14-Nov-2003] $)

    $( A way to show that an ordinal number equals the minimum of a non-empty
       collection of ordinal numbers: it must be in the collection, and it must
       not be larger than any member of the collection. $)
    oneqmin $p |- ( ( B (_ On /\ B =/= (/) ) -> ( A = |^| B <->
                  ( A e. B /\ A. x e. A -. x e. B ) ) ) $=
      ( con0 wss c0 wne wa cint wceq wcel cv wn wral eleq1 onint syl5cbir wi
      eleq2 biimpd onnmin ex con2d syl9r r19.21adv adantr jcad oneqmini impbid
      ) CDEZCFGZHZBCIZJZBCKZALZCKZMZABNZHZULUNUOUSUNUOUMCKULBUMCOCPQUJUNUSRUKUJ
      UNURABUNUPBKZUPUMKZUJURUNVAVBBUMUPSTUJUQVBUJUQVBMCUPUAUBUCUDUEUFUGUJUTUNR
      UKABCUHUFUI $.
      $( [10-May-2007] $) $( [14-Nov-2003] $)
  $}

  ${
    $d x y A $.
    bm2.5ii.1 $e |- A e. V $.
    $( Problem 2.5(ii) of [BellMachover] p. 471. $)
    bm2.5ii $p |- ( A (_ On -> U. A = |^| { x e. On | A. y e. A y (_ x } ) $=
      ( con0 wss cuni wcel cv wral crab cint wceq ssonuni intmin wb unissb a1i
      rabbii inteqi syl5reqr syl ) CEFCGZEHZUCBIAIZFBCJZAEKZLZMCDNUDUCUEFZAEKZL
      UCUHAUCEOUJUGUIUFAEUIUFPUEEHBCUEQRSTUAUB $.
      $( [20-Sep-2003] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    onminex.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( If a wff is true for an ordinal number, there is a smallest ordinal
       number for which it is true. $)
    onminex $p |- ( E. x e. On ph -> E. x e. On ( ph /\ A. y e. x -. ps ) ) $=
      ( cv con0 wcel wa wex wn wral wrex cab c0 wne wi wal cint hbab1 hbint
      hbel ax-17 hbim hbal hban wceq eleq1 eleq2 imbi1d albidv anbi12d cla4egf
      anabsi5 wss ssab2 onint mpan oninton onelon ex syl visset elab onnmin
      sylbir con2d syli 19.21aiv sylanc abn0 abid bicomi df-ral anbi12i anass
      bitr3 exbii 3imtr3 df-rex 3imtr4 ) CFZGHZAIZCJZWCABKZDWBLZIZIZCJZACGMWHCG
      MWDCNZOPZWBWKHZDFZWBHZWFQZDRZIZCJZWEWJWKSZWKHZWNWTHZWFQZDRZWSWLXAXDWSWRXA
      XDICDWTWKCDWKWDCDTZUAZXAXDCCDDWTWKXFXEUBXCCDXBWFCXFWFCUCUDUEUFWBWTUGZWMXA
      WQXDWBWTWKUHXGWPXCDXGWOXBWFWBWTWNUIUJUKULUMUNWKGUOZWLXAACGUPZWKUQURWLXCDX
      BWLWNGHZWFWLWTGHZXBXJQXHWLXKXIWKUSURXKXBXJWTWNUTVAVBXJBXBXJBXBKZXJBIZWNWK
      HZXLWDXMCWNDVCWBWNUGWCXJABWBWNGUHEULVDXHXNXLXIWKWNVEURVFVAVGVHVIVJWDCVKWR
      WICWRWDWGIWIWDWMWGWQWMWDWDCVLVMWFDWBVNVOWCAWGVPVQVRVSACGVTWHCGVTWA $.
      $( [2-Feb-1997] $)
  $}

  $( The empty set is an ordinal class. $)
  ord0 $p |- Ord (/) $=
    ( c0 word wtr cep wwe df-ord tr0 we0 mpbir2an ) ABACADEAFGDHI $.
    $( [11-May-1994] $)

  $( The empty set is an ordinal number.  Corollary 7N(b) of [Enderton]
     p. 193. $)
  0elon $p |- (/) e. On $=
    ( c0 con0 wcel word ord0 0ex elon mpbir ) ABCADEAFGH $.
    $( [17-Sep-1993] $)

  $( A non-empty ordinal contains the empty set. $)
  ord0eln0 $p |- ( Ord A -> ( (/) e. A <-> A =/= (/) ) ) $=
    ( word c0 wcel wne ne0i wceq wn wo ord0 wa noel ordtri2 con2bid mpbiri
    mpan2 ord df-ne syl5ib impbid2 ) ABZCADZACEZACFUAACGZHUBUCUAUDUBUACBZUDUBIZ
    JUAUEKZUFACDZHALUGUHUFACMNOPQACRST $.
    $( [5-Apr-2007] $) $( [25-Nov-1995] $)

  $( An ordinal number  contains zero iff it is nonzero. $)
  on0eln0 $p |- ( A e. On -> ( (/) e. A <-> A =/= (/) ) ) $=
    ( con0 wcel word c0 wne wb eloni ord0eln0 syl ) ABCADEACAEFGAHAIJ $.
    $( [30-Apr-2007] $) $( [6-Dec-2004] $)

  $( An alternate definition of a limit ordinal. $)
  dflim2 $p |- ( Lim A <-> ( Ord A /\ (/) e. A /\ A = U. A ) ) $=
    ( wlim word c0 wne cuni wceq w3a wcel df-lim wa ord0eln0 anbi1d pm5.32i
    3anass 3bitr4 bitr4 ) ABACZADEZAAFGZHZRDAIZTHZAJRUBTKZKRSTKZKUCUARUDUERUBST
    ALMNRUBTORSTOPQ $.
    $( [6-Nov-2004] $) $( [4-Nov-2004] $)

  $( The intersection of the class of ordinal numbers is the empty set. $)
  inton $p |- |^| On = (/) $=
    ( c0 con0 wcel cint wceq 0elon int0el ax-mp ) ABCBDAEFBGH $.
    $( [20-Oct-2003] $) $( [20-Oct-2003] $)

  $( The empty set is not a limit ordinal. $)
  nlim0 $p |- -. Lim (/) $=
    ( c0 wceq wlim wn eqid word wne cuni w3a df-lim 3simp2 sylbi necon2bi
    ax-mp ) AABACZDAEOAAOAFZAAGZAAHBZIQAJPQRKLMN $.
    $( [24-Mar-1995] $)

  $( A limit ordinal is ordinal. $)
  limord $p |- ( Lim A -> Ord A ) $=
    ( wlim word c0 wne cuni wceq w3a df-lim 3simp1 sylbi ) ABACZADEZAAFGZHLAILM
    NJK $.
    $( [4-May-1995] $)

  $( A limit ordinal is its own supremum (union). $)
  limuni $p |- ( Lim A -> A = U. A ) $=
    ( wlim word c0 wne cuni wceq w3a df-lim 3simp3 sylbi ) ABACZADEZAAFGZHNAILM
    NJK $.
    $( [4-May-1995] $)

  $( The union of a limit ordinal is a limit ordinal. $)
  limuni2 $p |- ( Lim A -> Lim U. A ) $=
    ( wlim cuni wceq wb limuni limeq syl ibi ) ABZACZBZJAKDJLEAFAKGHI $.
    $( [27-Sep-2006] $) $( [19-Sep-2006] $)

  $( A limit ordinal contains the empty set. $)
  0ellim $p |- ( Lim A -> (/) e. A ) $=
    ( wlim c0 wcel wne wceq nlim0 limeq mtbiri necon2ai word wb limord
    ord0eln0 syl mpbird ) ABZCADZACEZQACACFQCBGACHIJQAKRSLAMANOP $.
    $( [15-May-1994] $)

  $( A limit ordinal class that is also a set is an ordinal number. $)
  limelon $p |- ( ( A e. B /\ Lim A ) -> A e. On ) $=
    ( wcel wlim con0 word elong limord syl5bir imp ) ABCZADZAECZKMAFLABGAHIJ $.
    $( [27-Apr-2004] $) $( [26-Apr-2004] $)

  $( The class of all ordinal numbers in not empty. $)
  onne0 $p |- On =/= (/) $=
    ( c0 con0 wcel wne 0elon ne0i ax-mp ) ABCBADEBAFG $.
    $( [5-Apr-2007] $) $( [17-Sep-1995] $)

  $( Equality of successors. $)
  suceq $p |- ( A = B -> suc A = suc B ) $=
    ( wceq csn cun csuc sneq uneq2d uneq1 eqtrd df-suc 3eqtr4g ) ABCZAADZEZBBDZ
    EZAFBFMOAPEQMNPAABGHABPIJAKBKL $.
    $( [30-Aug-1993] $)

  $( Membership in a successor.  This one-way implication does not require that
     either ` A ` or ` B ` be sets. $)
  elsuci $p |- ( A e. suc B -> ( A e. B \/ A = B ) ) $=
    ( csuc wcel csn wo wceq cun df-suc eleq2i elun bitr elsni orim2i sylbi ) AB
    CZDZABDZABEZDZFZRABGZFQABSHZDUAPUCABIJABSKLTUBRABMNO $.
    $( [6-Jun-1994] $)

  $( Membership in a successor.  Exercise 5 of [TakeutiZaring] p. 17. $)
  elsucg $p |- ( A e. C -> ( A e. suc B <-> ( A e. B \/ A = B ) ) ) $=
    ( wcel csn wo wceq csuc elsncg orbi2d cun df-suc eleq2i elun bitr syl5bb )
    ACDZABDZABEZDZFZRABGZFABHZDZQTUBRABCIJUDABSKZDUAUCUEABLMABSNOP $.
    $( [15-Sep-1995] $)

  $( Variant of membership in a successor, requiring that ` B ` rather than
     ` A ` be a set. $)
  elsuc2g $p |- ( B e. C -> ( A e. suc B <-> ( A e. B \/ A = B ) ) ) $=
    ( wcel csn cun wceq wo csuc elsnc2g orbi2d elun syl5bb df-suc eleq2i ) BCDZ
    ABBEZFZDZABDZABGZHZABIZDPTAQDZHUBSPUDUATABCJKABQLMUCRABNOM $.
    $( [28-Oct-2003] $) $( [28-Oct-2003] $)

  ${
    elsuc.1 $e |- A e. V $.
    $( Membership in a successor.  Exercise 5 of [TakeutiZaring] p. 17. $)
    elsuc $p |- ( A e. suc B <-> ( A e. B \/ A = B ) ) $=
      ( cvv wcel csuc wceq wo wb elsucg ax-mp ) ADEABFEABEABGHICABDJK $.
      $( [15-Sep-2003] $) $( [15-Sep-2003] $)

    $( Membership in a successor. $)
    elsuc2 $p |- ( B e. suc A <-> ( B e. A \/ B = A ) ) $=
      ( cvv wcel csuc wceq wo wb elsuc2g ax-mp ) ADEBAFEBAEBAGHICBADJK $.
      $( [15-Sep-2003] $) $( [15-Sep-2003] $)
  $}

  ${
    $d y A $.  $d x y $.
    hbsuc.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for successor. $)
    hbsuc $p |- ( y e. suc A -> A. x y e. suc A ) $=
      ( cv wcel wceq wo wal csuc hbeleq hbor visset elsuc albii 3imtr4 ) BEZCFZ
      QCGZHZTAIQCJFZUAAIRSADABCDKLQCBMNZUATAUBOP $.
      $( [15-Sep-2003] $) $( [15-Sep-2003] $)
  $}

  $( Membership in a successor. $)
  elelsuc $p |- ( A e. B -> A e. suc B ) $=
    ( wcel csuc wceq wo orc elsucg mpbird ) ABCZABDCJABEZFJKGABBHI $.
    $( [20-Jun-1998] $)

  ${
    $d x y A $.  $d x B $.
    $( Membership of a successor in another class. $)
    sucel $p |- ( suc A e. B <->
                E. x e. B A. y ( y e. x <-> ( y e. A \/ y = A ) ) ) $=
      ( csuc wcel cv wceq wrex wo wb wal risset dfcleq visset elsuc bibi2i
      albii bitr rexbii ) CEZDFAGZUAHZADIBGZUBFZUDCFUDCHJZKZBLZADIAUADMUCUHADUC
      UEUDUAFZKZBLUHBUBUANUJUGBUIUFUEUDCBOPQRSTS $.
      $( [30-Jun-2004] $) $( [29-Jun-2004] $)
  $}

  $( The successor of the empty set. $)
  suc0 $p |- suc (/) = { (/) } $=
    ( c0 csuc csn cun df-suc uncom un0 3eqtr ) ABAACZDIADIAEAIFIGH $.
    $( [5-Feb-2005] $) $( [1-Feb-2005] $)

  $( A proper class is its own successor. $)
  sucprc $p |- ( -. A e. V -> suc A = A ) $=
    ( cvv wcel wn csuc c0 cun csn wceq snprc uneq2 sylbi df-suc syl5eq un0
    syl6eq ) ABCDZAEZAFGZAQAAHZGZSRQTFIUASIAJTFAKLAMNAOP $.
    $( [3-Apr-1995] $)

  $( The class of all ordinal numbers is its own successor. $)
  sucon $p |- suc On = On $=
    ( con0 cvv wcel wn csuc wceq onprc sucprc ax-mp ) ABCDAEAFGAHI $.
    $( [12-Sep-2003] $)

  ${
    unisuc.1 $e |- A e. V $.
    $( A transitive class is equal to the union of its successor.  Combines
       Theorem 4E of [Enderton] p. 72 and Exercise 6 of [Enderton] p. 73. $)
    unisuc $p |- ( Tr A <-> U. suc A = A ) $=
      ( cuni wss cun wceq wtr csuc ssequn1 df-tr csn df-suc unieqi uniun unisn
      uneq2i 3eqtr eqeq1i 3bitr4 ) ACZADTAEZAFAGAHZCZAFTAIAJUCUAAUCAAKZEZCTUDCZ
      EUAUBUEALMAUDNUFATABOPQRS $.
      $( [22-Sep-2004] $) $( [30-Aug-1993] $)
  $}

  $( A class is included in its own successor.  Part of Proposition 7.23 of
     [TakeutiZaring] p. 41 (generalized to arbitrary classes). $)
  sssucid $p |- A (_ suc A $=
    ( csn cun csuc ssun1 df-suc sseqtr4 ) AAABZCADAHEAFG $.
    $( [31-May-1994] $)

  $( A successor exists iff its class argument exists. $)
  sucexb $p |- ( A e. V <-> suc A e. V ) $=
    ( cvv wcel csn wa cun csuc unexb snex biantru df-suc eleq1i 3bitr4 ) ABCZAD
    ZBCZEAOFZBCNAGZBCAOHPNAIJRQBAKLM $.
    $( [22-Jun-1998] $)

  $( The successor of a set is a set (generalization). $)
  sucexg $p |- ( A e. B -> suc A e. V ) $=
    ( wcel cvv csuc elisset sucexb sylib ) ABCADCAEDCABFAGH $.
    $( [5-Jun-1994] $)

  ${
    sucex.1 $e |- A e. V $.
    $( The successor of a set is a set. $)
    sucex $p |- suc A e. V $=
      ( cvv wcel csuc sucexg ax-mp ) ACDAECDBACFG $.
      $( [30-Aug-1993] $)
  $}

  ${
    sucid.1 $e |- A e. V $.
    $( A set belongs to its successor. $)
    sucid $p |- A e. suc A $=
      ( csn wcel csuc snid wo cun df-suc eleq2i elun bitr biimpr olcs ax-mp )
      AACZDZAAEZDZABFAADZQSSTQGZSAAPHZDUARUBAAIJAAPKLMNO $.
      $( [22-Jun-1994] $)
  $}

  ${
    $d x A $.
    $( Part of Proposition 7.23 of [TakeutiZaring] p. 41 (generalized). $)
    sucidg $p |- ( A e. B -> A e. suc A ) $=
      ( vx cv csuc wcel wceq id suceq eleq12d visset sucid vtoclg ) CDZNEZFAAEZ
      FCABNAGZNAOPQHNAIJNCKLM $.
      $( [25-Mar-1995] $)
  $}

  $( No successor is empty. $)
  nsuceq0 $p |- suc A =/= (/) $=
    ( csuc c0 wne wceq wn cvv wcel noel eleq2 sucidg syl5cbi mtoi sucprc
    eqeq1d 0ex eleq1 mpbiri syl6bi con3d pm2.43i pm2.61i df-ne mpbir ) ABZCDUEC
    EZFZAGHZUGUHUFACHZAIUFAUEHUIUHUECAJAGKLMUHFZUGUJUFUHUJUFACEZUHUJUEACANOUKUH
    CGHPACGQRSTUAUBUECUCUD $.
    $( [16-Jan-2007] $) $( [3-Apr-1995] $)

  ${
    eqelsuc.1 $e |- A e. V $.
    $( A set belongs to the successor of an equal set. $)
    eqelsuc $p |- ( A = B -> A e. suc B ) $=
      ( wceq csuc suceq sucid syl5eleq ) ABDAEBEAABFACGH $.
      $( [18-Aug-1994] $)
  $}

  $( A set whose successor belongs to a transitive class also belongs. $)
  trsuc $p |- ( ( Tr A /\ suc B e. A ) -> B e. A ) $=
    ( wtr csuc wcel cvv wi trel exp3a sucidg syl5com wn sucprc eleq1d biimpd
    a1d pm2.61i imp ) ACZBDZAEZBAEZBFEZSUAUBGZGSBTEZUDUCSUEUAUBABTHIBFJKUCLZUDS
    UFUAUBUFTBABMNOPQR $.
    $( [5-Sep-2003] $)

  $( A member of the successor of a transitive class is a subclass of it. $)
  trsucss $p |- ( Tr A -> ( B e. suc A -> B (_ A ) ) $=
    ( wtr wcel wceq wo wss csuc trss wi eqimss a1i jaod elsuci syl5 ) ACZBADZBA
    EZFBAGZBAHDPQSRABIRSJPBAKLMBANO $.
    $( [4-Oct-2003] $) $( [4-Oct-2003] $)

  $( A subset of an ordinal belongs to its successor. $)
  ordsssuc $p |- ( ( A e. On /\ Ord B ) -> ( A (_ B <-> A e. suc B ) ) $=
    ( con0 wcel word wa wss wceq wo csuc wb ordsseleq eloni sylan elsucg
    adantr bitr4d ) ACDZBEZFABGZABDABHIZABJDZAESTUAKRABLAMNRUBUAKSABCOPQ $.
    $( [30-Nov-2003] $) $( [28-Nov-2003] $)

  $( A subset of an ordinal number belongs to its successor. $)
  onsssuc $p |- ( ( A e. On /\ B e. On ) -> ( A (_ B <-> A e. suc B ) ) $=
    ( con0 wcel word wss csuc wb ordsssuc eloni sylan2 ) ACDBEABFABGDHBCDABIBJK
    $.
    $( [15-Sep-1995] $)

  $( An ordinal subset of an ordinal number belongs to its successor. $)
  ordsssuc2 $p |- ( ( Ord A /\ B e. On ) -> ( A (_ B <-> A e. suc B ) ) $=
    ( word con0 wcel wa wss csuc wi cvv wb ssexg elong syl onsssuc biimpd ex
    com13 imp sylbird biimprd com3r com3l impbid ) ACZBDEZFABGZABHZEZUEUFUGUIIZ
    UGUFUEUIUGUFUEUIIUGUFFZUEADEZUIUKAJEULUEKABDLAJMNUGUFULUIIULUFUGUIULUFUJULU
    FFZUGUIABOZPQRSTQRSUEUFUIUGIZUIUEUFUGUIUEULUFUGIAUHMULUFUIUGULUFUOUMUGUIUNU
    AQUBTUCSUD $.
    $( [4-Feb-2005] $) $( [1-Feb-2005] $)

  ${
    $d x A $.  $d x B $.
    $( When its successor is subtracted from a class of ordinal numbers, an
       ordinal number is less than the minimum of the resulting subclass. $)
    onmindif $p |- ( ( A (_ On /\ B e. On ) -> B e. |^| ( A \ suc B ) ) $=
      ( vx con0 wss wcel wa csuc cdif cint cv wral wn wi wb ontri1 onsssuc
      bitr3d con1bid ssel2 sylan biimpd exp31 com23 imp4b eldif syl5ib
      r19.21aiv elintg adantl mpbird ) ADEZBDFZGZBABHZIZJFZBCKZFZCUPLZUNUSCUPUN
      URAFZURUOFZMZGUSURUPFULUMVAVCUSULVAUMVCUSNZULVAUMVDULVAGZUMGVCUSURDFZUMVC
      USOVEVFUMGZUSVBVGURBEUSMVBURBPURBQRSADURTUAUBUCUDUEURAUOUFUGUHUMUQUTOULCB
      UPDUIUJUK $.
      $( [7-Dec-2003] $) $( [1-Dec-2003] $)

    $( The minimum of a class of ordinal numbers is less than the minimum
       of that class with its minimum removed. $)
    onmindif2 $p |- ( ( A (_ On /\ A =/= (/) ) ->
                   |^| A e. |^| ( A \ { |^| A } ) ) $=
      ( vx con0 wss c0 wne wa cint csn cdif wcel cv wral wi wn wceq wo onnmin
      adantlr wb ontri1 onsseleq bitr3d oninton adantr ssel2 sylanc mpbid ord
      eqcom syl6ib necon1ad ex imp3a eldifsn syl5ib r19.21aiv cvv intex elintg
      sylbi adantl mpbird ) ACDZAEFZGZAHZAVGIJZHKZVGBLZKZBVHMZVFVKBVHVFVJAKZVJV
      GFZGVKVJVHKVFVMVNVKVFVMVNVKNVFVMGZVKVJVGVOVKOVGVJPZVJVGPVOVKVPVOVJVGKOZVK
      VPQZVDVMVQVEAVJRSVGCKZVJCKZVQVRTVOVSVTGVGVJDVQVRVGVJUAVGVJUBUCVFVSVMAUDUE
      VDVMVTVEACVJUFSUGUHUIVGVJUJUKULUMUNVJAVGUOUPUQVEVIVLTZVDVEVGURKWAAUSBVGVH
      URUTVAVBVC $.
      $( [28-May-2007] $) $( [20-Nov-2003] $)
  $}

  ${
    $d x A $.
    $( The successor of an ordinal number is an ordinal number.  Proposition
       7.24 of [TakeutiZaring] p. 41. $)
    suceloni $p |- ( A e. On -> suc A e. On ) $=
      ( vx con0 wcel csuc word wtr wss ordon trssord 3exp mpii cv wral csn wo
      onelsst wi wceq elsn eqimss sylbi a1i orim12d cun df-suc eleq2i elun
      bitr2 oridm 3imtr3g sssucid sstr2 mpi syl6 r19.21aiv dftr3 sylibr wa
      onsst snssi jca unss sylib syl5ss sylc cvv wb sucexg elong syl mpbird )
      ACDZAEZCDZVNFZVNGZVNCHZVPVMVQVRCFZVPIVQVRVSVPVNCJKLVMBMZVNHZBVNNVQVMWABVN
      VMVTVNDZVTAHZWAVMVTADZVTAOZDZPZWCWCPWBWCVMWDWCWFWCAVTQWFWCRVMWFVTASWCBATV
      TAUAUBUCUDWBVTAWEUEZDWGVNWHVTAUFZUGVTAWEUHUIWCUJUKWCAVNHWAAULVTAVNUMUNUOU
      PBVNUQURVMWHCVNVMACHZWECHZUSWHCHVMWJWKAUTACVAVBAWECVCVDWIVEVFVMVNVGDVOVPV
      HACVIVNVGVJVKVL $.
      $( [6-Jun-1994] $)
  $}

  $( There is no set between an ordinal class and its successor.  Generalized
     Proposition 7.25 of [TakeutiZaring] p. 41. $)
  ordnbtwn $p |- ( Ord A -> -. ( A e. B /\ B e. suc A ) ) $=
    ( word wcel wa wo csuc wn ordn2lp ordirr jca ioran sylibr wceq elsuci
    anim2i andi sylib eleq2 biimpac orim2i syl nsyl ) ACZABDZBADZEZAADZFZUEBAGD
    ZEZUDUGHZUHHZEUIHUDULUMABIAJKUGUHLMUKUGUEBANZEZFZUIUKUEUFUNFZEUPUJUQUEBAOPU
    EUFUNQRUOUHUGUNUEUHBAASTUAUBUC $.
    $( [21-Jun-1998] $)

  $( There is no set between an ordinal number and its successor.  Proposition
     7.25 of [TakeutiZaring] p. 41. $)
  onnbtwn $p |- ( A e. On -> -. ( A e. B /\ B e. suc A ) ) $=
    ( con0 wcel word csuc wa wn eloni ordnbtwn syl ) ACDAEABDBAFDGHAIABJK $.
    $( [9-Jun-1994] $)

  $( The successor of an ordinal class is ordinal. $)
  ordsuc $p |- ( Ord A <-> Ord suc A ) $=
    ( cvv wcel word csuc wb con0 elong suceloni eloni syl syl6bir ordelord ex
    sucidg syl5com impbid wn wceq sucprc eqcomd ordeq pm2.61i ) ABCZADZAEZDZFZU
    DUEUGUDUEAGCZUGABHUIUFGCUGAIUFJKLUGAUFCZUEUDUGUJUEUFAMNABOPQUDRZAUFSUHUKUFA
    ATUAAUFUBKUC $.
    $( [3-Apr-1995] $)

  ${
    $d x A $.
    $( The collection of ordinals in the power class of an ordinal is its
       successor. $)
    ordpwsuc $p |- ( Ord A -> ( P~ A i^i On ) = suc A ) $=
      ( vx word cpw con0 cin csuc cv wcel wss wa wb ordsssuc expcom pm5.32d
      pm3.27 wi ordsuc ordelon ex sylbi ancrd impbid2 bitrd elin visset elpw
      anbi1i ancom 3bitr syl5bb eqrdv ) ACZBADZEFZAGZUMBHZEIZUQAJZKZUQUPIZUQUOI
      ZUMUTURVAKZVAUMURUSVAURUMUSVALUQAMNOUMVCVAURVAPUMVAURUMUPCZVAURQARVDVAURU
      PUQSTUAUBUCUDVBUQUNIZURKUSURKUTUQUNEUEVEUSURUQABUFUGUHUSURUIUJUKUL $.
      $( [31-Jan-2005] $) $( [30-Jan-2005] $)

    $( The collection of ordinal numbers in the power set of an ordinal
       number is its successor. $)
    onpwsuc $p |- ( A e. On -> ( P~ A i^i On ) = suc A ) $=
      ( con0 wcel word cpw cin csuc wceq eloni ordpwsuc syl ) ABCADAEBFAGHAIAJK
      $.
      $( [19-Oct-2004] $) $( [19-Oct-2004] $)
  $}

  $( The successor of an ordinal number is an ordinal number. $)
  sucelon $p |- ( A e. On <-> suc A e. On ) $=
    ( word cvv wcel wa csuc con0 ordsuc sucexb anbi12i elon2 3bitr4 ) ABZACDZEA
    FZBZOCDZEAGDOGDMPNQAHAIJAKOKL $.
    $( [9-Sep-2003] $)

  $( The successor of an element of an ordinal class is a subset of it. $)
  ordsucss $p |- ( Ord B -> ( A e. B -> suc A (_ B ) ) $=
    ( word wcel csuc wss wi wa wn ordnbtwn imnan sylibr adantr wb ordtri1
    ordsuc sylanb sylibrd ordelord sylan exp31 pm2.43b ) BCZABDZAEZBFZUDUCUDUFG
    ZUCUDUCUGACZUCUGUCUDHUHUCHUDBUEDZIZUFUHUDUJGZUCUHUDUIHIUKABJUDUIKLMUECUCUFU
    JNUHUEBOAPQRBASTUAUBUB $.
    $( [21-Jun-1998] $)

  $( A set whose successor is a subset of another class is a member of that
     class. $)
  sucssel $p |- ( A e. C -> ( suc A (_ B -> A e. B ) ) $=
    ( csuc wss wcel ssel sucidg syl5com ) ADZBEAJFABFACFJBAGACHI $.
    $( [16-Sep-1995] $)

  $( A set belongs to an ordinal iff its successor is a subset of the
     ordinal.  Exercise 8 of [TakeutiZaring] p. 42 and its converse. $)
  ordelsuc $p |- ( ( A e. C /\ Ord B ) -> ( A e. B <-> suc A (_ B ) ) $=
    ( wcel word wa csuc wss wi ordsucss adantl sucssel adantr impbid ) ACDZBEZF
    ABDZAGBHZPQRIOABJKORQIPABCLMN $.
    $( [29-Nov-2003] $) $( [29-Nov-2003] $)

  ${
    $d x A $.
    $( The successor of an ordinal number is the smallest larger ordinal
       number. $)
    onsucmin $p |- ( A e. On -> suc A = |^| { x e. On | A e. x } ) $=
      ( con0 wcel cv crab cint csuc wss word wb ordelsuc eloni sylan2 rabbidv
      inteqd wceq sucelon intmin sylbi eqtr2d ) BCDZBAEZDZACFZGBHZUCIZACFZGZUFU
      BUEUHUBUDUGACUBUCJUDUGKUCCDBUCCLUCMNOPUBUFCDUIUFQBRAUFCSTUA $.
      $( [8-Dec-2003] $) $( [28-Nov-2003] $)
  $}

  $( Membership is inherited by successors.  Generalization of Exercise
     9 of [TakeutiZaring] p. 42. $)
  ordsucelsuc $p |- ( Ord B -> ( A e. B <-> suc A e. suc B ) ) $=
    ( word wcel csuc wi wa cvv wb wss wceq wo ordsseleq ordsuc sylanb adantl
    ordsucss ad2antll sucssel adantr impbid sucexb elsucg sylbi 3bitr4d ex wn
    elisset sylibr pm5.21ni a1d pm2.61i biimpd ordelord sylan exp31 pm2.43a
    pm2.43d biimprd ) BCZABDZAEZBEZDZUTVAVDVAUTVAVDFZUTVAUTVEACZUTVEUTVAGVFUTGZ
    VAVDAHDZVGVAVDIZFVHVGVIVHVGGZVBBJZVBBDVBBKLZVAVDVGVKVLIZVHVBCZUTVMVFVBBMANZ
    OPVJVAVKUTVAVKFVHVFABQRVHVKVAFVGABHSTUAVHVDVLIZVGVHVBHDZVPAUBZVBBHUCUDTUEUF
    VHUGVIVGVAVHVDABUHVDVQVHVBVCUHVRUIUJUKULZUMBAUNUOUPUQURUTVDVAVDUTVDVAFZUTVD
    UTVTVFUTVTUTVDGVGVAVDVSUSVCCZVDVFUTWAVDGVNVFVCVBUNVOUIBNOUOUPUQURUA $.
    $( [22-Jun-1998] $)

  $( The subclass relationship between two ordinal classes is inherited by
     their successors. $)
  ordsucsssuc $p |- ( ( Ord A /\ Ord B ) -> ( A (_ B <-> suc A (_ suc B ) ) $=
    ( word wa wcel wn csuc wss wb ordsucelsuc negbid adantr ordtri1 ordsuc
    syl2anb 3bitr4d ) ACZBCZDBAEZFZBGZAGZEZFZABHUBUAHZQTUDIRQSUCBAJKLABMUBCUACU
    EUDIQRUBUAMANBNOP $.
    $( [4-Oct-2003] $) $( [4-Oct-2003] $)

  $( Ordinal derived from its successor. $)
  orddif $p |- ( Ord A -> A = ( suc A \ { A } ) ) $=
    ( word csn cin c0 wceq csuc cdif orddisj disj3 cun df-suc difeq1i difun2
    eqtr eqeq2i bitr4 sylib ) ABAACZDEFZAAGZSHZFZAITAASHZFUCASJUBUDAUBASKZSHUDU
    AUESALMASNOPQR $.
    $( [20-May-1998] $)

  $( An ordinal class includes its union. $)
  orduniss $p |- ( Ord A -> U. A (_ A ) $=
    ( word wtr cuni wss ordtr df-tr sylib ) ABACADAEAFAGH $.
    $( [13-Sep-2003] $)

  $( A trichotomy law for ordinal classes. $)
  ordtri2or $p |- ( ( Ord A /\ Ord B ) -> ( A e. B \/ B (_ A ) ) $=
    ( word wa wcel wss wo wceq w3o ordtri3or 3orass sylib wb ordsseleq ancoms
    orcom eqcom orbi1i bitr syl6bb orbi2d mpbird ) ACZBCZDZABEZBAFZGUFABHZBAEZG
    ZGZUEUFUHUIIUKABJUFUHUIKLUEUGUJUFUEUGUIBAHZGZUJUDUCUGUMMBANOUMULUIGUJUIULPU
    LUHUIBAQRSTUAUB $.
    $( [13-Sep-2003] $)

  $( A trichotomy law for ordinal classes. $)
  ordtri2or2 $p |- ( ( Ord A /\ Ord B ) -> ( A (_ B \/ B (_ A ) ) $=
    ( word wa wcel wss wo ordtri2or wi ordelss ex orim1d adantl mpd ) ACZBCZDAB
    EZBAFZGZABFZRGZABHPSUAIOPQTRPQTBAJKLMN $.
    $( [11-Dec-2003] $) $( [2-Nov-2003] $)

  $( Property of a subclass of the maximum (i.e. union) of two ordinals. $)
  ordssun $p |- ( ( Ord B /\ Ord C ) ->
               ( A (_ ( B u. C ) <-> ( A (_ B \/ A (_ C ) ) ) $=
    ( word wa cun wss wo wi ordtri2or2 wceq wb ssequn1 sseq2 sylbi olc syl6bi
    ssequn2 orc jaoi syl ssun impbid1 ) BDCDEZABCFZGZABGZACGZHZUDBCGZCBGZHUFUII
    ZBCJUJULUKUJUFUHUIUJUECKUFUHLBCMUECANOUHUGPQUKUFUGUIUKUEBKUFUGLCBRUEBANOUGU
    HSQTUAABCUBUC $.
    $( [23-Dec-2003] $) $( [28-Nov-2003] $)

  $( The maximum (i.e. union) of two ordinals is either one or the other.
     Similar to Exercise 14 of [TakeutiZaring] p. 40. $)
  ordequn $p |- ( ( Ord B /\ Ord C ) ->
               ( A = ( B u. C ) -> ( A = B \/ A = C ) ) ) $=
    ( word wa wss wo cun wceq wi ordtri2or2 wb ssequn1 eqeq2 sylbi olc syl6bi
    ssequn2 orc jaoi syl ) BDCDEBCFZCBFZGABCHZIZABIZACIZGZJZBCKUBUIUCUBUEUGUHUB
    UDCIUEUGLBCMUDCANOUGUFPQUCUEUFUHUCUDBIUEUFLCBRUDBANOUFUGSQTUA $.
    $( [26-Dec-2003] $) $( [28-Nov-2003] $)

  $( The maximum (i.e. union) of two ordinals is ordinal.  Exercise 12 of
     [TakeutiZaring] p. 40. $)
  ordun $p |- ( ( Ord A /\ Ord B ) -> Ord ( A u. B ) ) $=
    ( word wa cun wceq wo eqid ordequn mpi ordeq biimprcd jaao mpd ) ACZBCZDZAB
    EZAFZRBFZGZRCZQRRFUARHRABIJOSUBPTSUBORAKLTUBPRBKLMN $.
    $( [29-Dec-2003] $) $( [28-Nov-2003] $)

  ${
    $d x A $.  $d x B $.
    $( The successor of the maximum (i.e. union) of two ordinals is the
       maximum of their successors. $)
    ordsucun $p |- ( ( Ord A /\ Ord B ) ->
               suc ( A u. B ) = ( suc A u. suc B ) ) $=
      ( vx word wa cun csuc cv con0 wcel wb wo wss ordssun adantl ordsssuc
      ordun sylan2 adantrr adantrl orbi12d 3bitr3d elun syl6bbr expcom pm5.32d
      wi ordsuc ordelon ex sylbi syl pm4.71rd syl2anb 3bitr4d eqrdv ) ADZBDZEZC
      ABFZGZAGZBGZFZUSCHZIJZVEVAJZEVFVEVDJZEVGVHUSVFVGVHVFUSVGVHKVFUSEZVGVEVBJZ
      VEVCJZLZVHVIVEUTMZVEAMZVEBMZLZVGVLUSVMVPKVFVEABNOVFUTDZVMVGKUSVEUTPABQZRV
      IVNVJVOVKVFUQVNVJKURVEAPSVFURVOVKKUQVEBPTUAUBVEVBVCUCUDUEUFUSVGVFUSVQVGVF
      UGZVRVQVADZVSUTUHVTVGVFVAVEUIUJUKULUMUSVHVFVBDZVCDZVHVFUGZUQURWAWBEVDDZWC
      VBVCQWDVHVFVDVEUIUJULAUHBUHUNUMUOUP $.
      $( [7-Feb-2004] $) $( [28-Nov-2003] $)

    $( A subclass relationship for union and successor of ordinal classes. $)
    ordunisssuc $p |- ( ( A (_ On /\ Ord B ) ->
                      ( U. A (_ B <-> A (_ suc B ) ) $=
      ( vx con0 wss word wa cv wral csuc wcel cuni wb ordsssuc ssel2 sylan
      an1rs ralbidva unissb dfss3 3bitr4g ) ADEZBFZGZCHZBEZCAIUEBJZKZCAIALBEAUG
      EUDUFUHCAUBUEAKZUCUFUHMZUEDKUCUJUBUIGUEBNADUEOPQRCABSCAUGTUA $.
      $( [3-Dec-2003] $) $( [28-Nov-2003] $)
  $}

  $( The maximum of two ordinals belongs to a third if each of them do. $)
  ordunel $p |- ( ( Ord A /\ B e. A /\ C e. A ) -> ( B u. C ) e. A ) $=
    ( word wcel w3a csuc wss wa cun ordsucss anim12d 3impib wceq ordsucun
    ordelord 3adant3 3adant2 sylanc sseq1d biimprd cvv wb ordelsuc unexg
    3adant1 3simp1 sylibrd unss syl5ib mpd ) ADZBAEZCAEZFZBGZAHZCGZAHZIZBCJZAEZ
    ULUMUNUTULUMUQUNUSBAKCAKLMUOUPURJZAHZVBUTUOVDVAGZAHZVBUOVFVDUOVEVCABDZCDZVE
    VCNUOBCOULUMVGUNABPQULUNVHUMACPRSTUAVAUBEZULVBVFUCUOVAAUBUDUMUNVIULBCAAUEUF
    ULUMUNUGSUHUPURAUIUJUK $.
    $( [19-Sep-2006] $) $( [18-Sep-2006] $)

  $( A class of ordinal numbers is a subclass of the successor of its
     union.  Similar to Proposition 7.26 of [TakeutiZaring] p. 41. $)
  onsucuni $p |- ( A (_ On -> A (_ suc U. A ) $=
    ( con0 wss cuni word csuc ssorduni wa ssid ordunisssuc mpbii mpdan ) ABCZAD
    ZEZANFCZAGMOHNNCPNIANJKL $.
    $( [19-Sep-2003] $)

  $( An ordinal class is a subclass of the successor of its union. $)
  ordsucuni $p |- ( Ord A -> A (_ suc U. A ) $=
    ( word con0 wss cuni csuc ordsson onsucuni syl ) ABACDAAEFDAGAHI $.
    $( [12-Sep-2003] $)

  $( An ordinal class is either its union or the successor of its union. $)
  orduniorsuc $p |- ( Ord A -> ( A = U. A \/ A = suc U. A ) ) $=
    ( word cuni wceq csuc wne wss wa wn wcel orduniss wb orduni ordelssne
    mpancom biimprd mpand ordsucss syld ordsucuni jctild df-ne necom bitr3
    eqss 3imtr4g orrd ) ABZAACZDZAUIEZDZUHUIAFZAUKGZUKAGZHUJIZULUHUMUOUNUHUMUIA
    JZUOUHUIAGZUMUQAKUHUQURUMHZUIBUHUQUSLAMUIANOPQUIARSATUAUPAUIFUMAUIUBAUIUCUD
    AUKUEUFUG $.
    $( [13-Sep-2003] $)

  ${
    $d x y A $.
    $( The class of all ordinal numbers is its own union.  Exercise 11 of
       [TakeutiZaring] p. 40. $)
    unon $p |- U. On = On $=
      ( vx vy con0 cuni cv wcel wrex eluni2 onelon r19.23aiva sylbi csuc wa
      suceloni visset sucid jctil elunii syl impbi eqriv ) ACDZCAEZUBFZUCCFZUDU
      CBEZFZBCGUEBUCCHUGUEBCUFUCIJKUEUCUCLZFZUHCFZMUDUEUJUIUCNUCAOPQUCUHCRSTUA
      $.
      $( [12-Nov-2003] $) $( [12-Nov-2003] $)

    $( An ordinal class is equal to the union of its successor. $)
    ordunisuc $p |- ( Ord A -> U. suc A = A ) $=
      ( vx word con0 wcel wceq wo csuc cuni ordeleqon cv suceq unieqd id
      eqeq12d wtr eloni ordtr syl visset unisuc sylib vtoclga cvv wn onprc
      eleq1 mtbiri sucprc unon unieq 3eqtr4a eqtrd jaoi sylbi ) ACADEZADFZGAHZI
      ZAFZAJUPUTUQBKZHZIZVAFZUTBADVAAFZVCUSVAAVEVBURVAALMVENOVADEZVAPZVDVFVACVG
      VAQVARSVABTUAUBUCUQUSAIZAUQURAUQAUDEZUEURAFUQVIDUDEUFADUDUGUHAUISMUQDIDVH
      AUJADUKUQNULUMUNUO $.
      $( [24-Dec-2004] $) $( [10-Dec-2004] $)

    $( The union of the ordinal subsets of an ordinal number is that number. $)
    orduniss2 $p |- ( Ord A -> U. { x e. On | x (_ A } = A ) $=
      ( word cv wss con0 crab cuni csuc cpw cin ordpwsuc wcel wa cab df-rab
      inab incom eqtr3 df-pw eqcomi abid2 ineq12i 3eqtr syl5eq unieqd
      ordunisuc eqtrd ) BCZADZBEZAFGZHBIZHBUIULUMUIBJZFKZUMULBLULUJFMZUKNAOZUKA
      OZUPAOZKZUOUKAFPUSURKUQUTUPUKAQUSURRSURUNUSFUNURABTUAAFUBUCUDUEUFBUGUH $.
      $( [28-Feb-2005] $) $( [30-Jan-2005] $)
  $}

  $( A successor ordinal is the successor of its union. $)
  onsucuni2 $p |- ( ( A e. On /\ A = suc B ) -> suc U. A = A ) $=
    ( con0 wcel csuc wceq wa cuni wn eleq1 sucelon syl6bbr biimpac wi word
    eloni ordirr syl eleq2 sucidg syl5cbi mtod ordunisuc eqeq2d mtbird adantl
    wb id unieq eqeq12d adantr ex mpd orduniorsuc ord eqcomd ) ACDZABEZFZGZAAHZ
    EZUTAVAFZIZAVBFZUTBCDZVDUSUQVFUSUQURCDVFAURCJBKLMUSVFVDNUQUSVFVDUSVFGVCURUR
    HZFZVFVHIUSVFVHURBFZVFVIBBDZVFBOZVJIBPZBQRVIBURDVJVFURBBSBCTUAUBVFVGBURVFVK
    VGBFVLBUCRUDUEUFUSVCVHUGVFUSAURVAVGUSUHAURUIUJUKUEULUFUMUQVDVENZUSUQAOZVMAP
    VNVCVEAUNUORUKUMUP $.
    $( [1-Mar-2005] $) $( [10-Dec-2004] $)

  $( The successor of an ordinal class contains the empty set. $)
  0elsuc $p |- ( Ord A -> (/) e. suc A ) $=
    ( word csuc c0 wcel ordsuc wne nsuceq0 ord0eln0 mpbiri sylbi ) ABACZBZDLEZA
    FMNLDGAHLIJK $.
    $( [4-Apr-1995] $)

  $( The successor operation behaves like a one-to-one function.  Compare
     Exercise 16 of [Enderton] p. 194. $)
  suc11 $p |- ( ( A e. On /\ B e. On ) -> ( suc A = suc B <-> A = B ) ) $=
    ( con0 wcel wa csuc wceq wn wo wi word eloni ordn2lp ianor sylib syl
    adantr wss sucssel eqimss syl5 elsuci ord com12 syl9 eqimss2 eqcom syl6ib
    jaao mpd suceq impbid1 ) ACDZBCDZEZAFZBFZGZABGZUOABDZHZBADZHZIZURUSJZUMVDUN
    UMAKZVDALVFUTVBEHVDABMUTVBNOPQUMVAVEUNVCUMURAUQDZVAUSUMUPUQRVGURAUQCSUPUQTU
    AVGVAUSVGUTUSABUBUCUDUEUNURBUPDZVCUSUNUQUPRVHURBUPCSUQUPUFUAVCVHBAGZUSVHVCV
    IVHVBVIBAUBUCUDBAUGUHUEUIUJABUKUL $.
    $( [3-Sep-2003] $)

  $( The class of ordinal numbers is a limit ordinal. $)
  limon $p |- Lim On $=
    ( con0 wlim word c0 wne cuni wceq w3a ordon onne0 unon eqcomi 3pm3.2i
    df-lim mpbir ) ABACZADEZAAFZGZHPQSIJRAKLMANO $.
    $( [24-Mar-1995] $)

  ${
    on.1 $e |- A e. On $.
    $( An ordinal number is an ordinal class. $)
    onord $p |- Ord A $=
      ( con0 wcel word eloni ax-mp ) ACDAEBAFG $.
      $( [11-Jun-1994] $)

    $( An ordinal number is a transitive class. $)
    ontrc $p |- Tr A $=
      ( word wtr onord ordtr ax-mp ) ACADABEAFG $.
      $( [11-Jun-1994] $)

    $( An ordinal number is not a member of itself.  Theorem 7M(c) of
       [Enderton] p. 192. $)
    onirr $p |- -. A e. A $=
      ( word wcel wn onord ordirr ax-mp ) ACAADEABFAGH $.
      $( [11-Jun-1994] $)

    $( A member of an ordinal number is an ordinal number.  Theorem 7M(a) of
       [Enderton] p. 192. $)
    onel $p |- ( B e. A -> B e. On ) $=
      ( con0 wcel onelon mpan ) ADEBAEBDECABFG $.
      $( [11-Jun-1994] $)

    $( An ordinal number is a subset of ` On ` . $)
    onss $p |- A (_ On $=
      ( con0 wcel wss onsst ax-mp ) ACDACEBAFG $.
      $( [11-Aug-1994] $)

    $( A member of an ordinal number is a subset of it. $)
    onelss $p |- ( B e. A -> B (_ A ) $=
      ( con0 wcel wss wi onelsst ax-mp ) ADEBAEBAFGCABHI $.
      $( [11-Aug-1994] $)

    $( An ordering law for ordinal numbers. $)
    onssneli $p |- ( A (_ B -> -. B e. A ) $=
      ( wcel wss con0 word wn onel eloni ordirr 3syl ssel com12 mtod con2i ) BA
      DZABEZQRBBDZQBFDBGSHABCIBJBKLRQSABBMNOP $.
      $( [13-Jun-1994] $)

    $( An ordering law for ordinal numbers. $)
    onssneli2 $p |- ( B (_ A -> -. A e. B ) $=
      ( wss wcel onirr ssel mtoi ) BADABEAAEACFBAAGH $.
      $( [13-Jun-1994] $)

    $( An element of an ordinal number equals the intersection with it. $)
    onelin $p |- ( B e. A -> B = ( B i^i A ) ) $=
      ( wcel wss cin wceq onelss dfss sylib ) BADBAEBBAFGABCHBAIJ $.
      $( [11-Jun-1994] $)

    $( An ordinal number equals its union with any element. $)
    onelun $p |- ( B e. A -> ( A u. B ) = A ) $=
      ( wcel wss cun wceq onelss ssequn2 sylib ) BADBAEABFAGABCHBAIJ $.
      $( [23-Sep-2004] $) $( [13-Jun-1994] $)

    $( The successor of an ordinal number is an ordinal number.  Corollary
       7N(c) of [Enderton] p. 193. $)
    onsuc $p |- suc A e. On $=
      ( con0 wcel csuc suceloni ax-mp ) ACDAECDBAFG $.
      $( [12-Jun-1994] $)

    $( An ordinal number is equal to the union of its successor. $)
    onunisuc $p |- U. suc A = A $=
      ( wtr csuc cuni wceq ontrc con0 elisseti unisuc mpbi ) ACADEAFABGAAHBIJK
      $.
      $( [22-Sep-2004] $) $( [12-Jun-1994] $)

    $( An ordinal number is either its own union (if zero or a limit
       ordinal) or the successor of its union. $)
    onuniorsuc $p |- ( A = U. A \/ A = suc U. A ) $=
      ( word cuni wceq csuc wo onord orduniorsuc ax-mp ) ACAADZEAKFEGABHAIJ $.
      $( [13-Jun-1994] $)

    ${
      $d x A $.
      $( A limit ordinal is not a successor ordinal. $)
      onuninsuc $p |- ( A = U. A <-> -. E. x e. On A = suc x ) $=
        ( cv csuc wceq con0 wrex cuni wn wi wcel wa onirr id cun csn df-suc
        eqeq2i unieq sylbi uniun visset unisn uneq2i eqtr syl6eq wss eleq1
        mpbii wtr word ordon ordtr ax-mp trsuc mpan eloni syl df-tr sylib 3syl
        ssequn1 eqtrd sylan9eqr sucid eleq2 mpbiri adantr eqeltrd mto imnan
        mpbir a1i r19.23aiv onuniorsuc ori onuni jctil suceq eqeq2d rcla4ev
        impbi con2bii ) BADZEZFZAGHZBBIZFZWHWJJZWGWKAGWGWKKZWEGLZWLWGWJMZJWNBBL
        BCNWNBWEBWJWGBWIWEWJOWGWIWEIZWEPZWEWGWIWEWEQZPZIZWPWGBWRFWIWSFWFWRBWERS
        BWRTUAWSWOWQIZPWPWEWQUBWTWEWOWEAUCZUDUEUFUGWGWOWEUHZWPWEFWGWFGLZWMXBWGB
        GLZXCCBWFGUIUJGUKZXCWMGULXEUMGUNUOGWEUPUQWMWEUKZXBWMWEULXFWEURWEUNUSWEU
        TVAVBWOWEVCVAVDVEWGWEBLZWJWGXGWEWFLWEXAVFBWFWEVGVHVIVJVKWGWJVLVMVNVOWKW
        IGLZBWIEZFZMWHWKXJXHWJXJBCVPVQXDXHCBVRUOVSWGXJAWIGWEWIFWFXIBWEWIVTWAWBU
        SWCWD $.
        $( [21-Feb-2004] $) $( [18-Feb-2004] $)
    $}

    ${
      on.2 $e |- B e. On $.
      $( Subset is equivalent to membership or equality for ordinal numbers. $)
      onssel $p |- ( A (_ B <-> ( A e. B \/ A = B ) ) $=
        ( con0 wcel wss wceq wo wb onsseleq mp2an ) AEFBEFABGABFABHIJCDABKL $.
        $( [15-Sep-1995] $)

      $( The union of two ordinal numbers is an ordinal number. $)
      onun $p |- ( A u. B ) e. On $=
        ( wcel wss wo cun con0 word onord ordtri2or mp2an onelun syl6eqel wceq
        ssequn1 eleq1 mpbiri sylbi jaoi ax-mp ) BAEZABFZGZABHZIEZBJAJUEBDKACKBA
        LMUCUGUDUCUFAIABCNCOUDUFBPZUGABQUHUGBIEDUFBIRSTUAUB $.
        $( [13-Jun-1994] $)

      $( A set belongs to an ordinal number iff its successor is a subset of
         the ordinal number.  Exercise 8 of [TakeutiZaring] p. 42 and its
         converse. $)
      onsucss $p |- ( A e. B <-> suc A (_ B ) $=
        ( con0 wcel word csuc wss wb onord ordelsuc mp2an ) AEFBGABFAHBIJCBDKAB
        ELM $.
        $( [16-Sep-1995] $)
    $}
  $}

  $( A successor is not a limit ordinal. $)
  nlimsucg $p |- ( A e. B -> -. Lim suc A ) $=
    ( wcel word csuc wlim wn cuni wceq wa ordsuc ordirr sylbi adantl wi eleq1
    pm3.27 sucidg adantr eqeltrd syl5cbir ordunisuc sylan2 mtod ex limuni a1i
    nsyld c0 wne w3a 3simp1 df-lim 3imtr4 con3i pm2.61d1 ) ABCZADZAEZFZGUQURUSU
    SHZIZUTUQURVBGUQURJVBUSUSCZURVCGZUQURUSDZVDAKZUSLMNUQVAAIZVBVCOURVBVCVAUSCU
    QVGJZUSVAUSPVHVAAUSUQVGQUQAUSCVGABRSTUAAUBUCUDUEUTVBOUQUSUFUGUHUTURVEUSUIUJ
    ZVBUKVEUTURVEVIVBULUSUMVFUNUOUP $.
    $( [20-Sep-2006] $) $( [25-Mar-1995] $)

  $( An ordinal equal to its own union is either zero or a limit ordinal. $)
  unizlim $p |- ( Ord A -> ( A = U. A <-> ( A = (/) \/ Lim A ) ) ) $=
    ( word cuni wceq c0 wlim wo wa wn wi wne w3a df-lim biimpr 3exp df-ne
    syl5ibr com23 imp orrd ex uni0 eqcomi id unieq 3eqtr4a limuni jaoi impbid1
    ) ABZAACZDZAEDZAFZGZUJULUOUJULHUMUNUJULUMIZUNJUJUPULUNUJAEKZULUNJUPUJUQULUN
    UNUJUQULLAMNOAEPQRSTUAUMULUNUMEECZAUKUREUBUCUMUDAEUEUFAUGUHUI $.
    $( [1-Oct-2003] $) $( [1-Oct-2003] $)

  ${
    $d x A $.
    $( An ordinal equal to its union is not a successor. $)
    orduninsuc $p |- ( Ord A -> ( A = U. A <-> -. E. x e. On A = suc x ) ) $=
      ( word con0 wcel wceq wo cuni cv csuc wrex wn wb ordeleqon c0 cif id
      unieq eqeq12d eqeq1 rexbidv negbid bibi12d 0elon elimel onuninsuc dedth
      unon eqcomi cvv onprc visset sucex eleq1 mpbiri mto a1i nrex 2th jaoi
      sylbi ) BCBDEZBDFZGBBHZFZBAIZJZFZADKZLZMZBNVBVKVCVBVKVBBOPZVLHZFZVLVGFZAD
      KZLZMBOBVLFZVEVNVJVQVRBVLVDVMVRQBVLRSVRVIVPVRVHVOADBVLVGTUAUBUCAVLBODUDUE
      UFUGVCVKDDHZFZDVGFZADKZLZMVTWCVSDUHUIWAADWALVFDEWADUJEZUKWAWDVGUJEVFAULUM
      DVGUJUNUOUPUQURUSVCVEVTVJWCVCBDVDVSVCQBDRSVCVIWBVCVHWAADBDVGTUAUBUCUOUTVA
      $.
      $( [21-Feb-2004] $) $( [18-Feb-2004] $)

    $( An ordinal equal to its union contains the successor of each of its
       members. $)
    ordunisuc2 $p |- ( Ord A -> ( A = U. A <-> A. x e. A suc x e. A ) ) $=
      ( word cuni wceq cv csuc con0 wrex wn wcel wral orduninsuc wi wa wo wb
      ordtri3 suceloni eloni syl sylan2 con2bid onnbtwn imnan sylibr con2d
      pm2.21 syl6 adantl ax-1 a1i jaod wss ordtri2or sylan ancoms orcom sylib
      adantr ordsssuc2 biimpd pm3.27 orim12d mpd ex impbid bitr3d pm5.74da
      ordelon ancrd impbid2 imbi1d impexp syl5bbr bitrd ralbidv2 ralnex ) BCZBB
      DEBAFZGZEZAHIJZWABKZABLZABMVSWBJZAHLWEWCVSWFWDAHBVSVTHKZWFNWGVTBKZWDNZNZW
      IVSWGWFWIVSWGOZBWAKZWDPZWFWIWKWBWMVSWACZWBWMJQWGBWARWGWAHKWNVTSWATUAUBUCW
      KWMWIWKWLWIWDWGWLWINVSWGWLWHJWIWGWHWLWGWHWLOJWHWLJNVTBUDWHWLUEUFUGWHWDUHU
      IUJWDWINWKWDWHUKULUMWKWIWMWKWIOZBVTUNZWHPZWMWKWQWIWKWHWPPZWQWGVSWRVTCVSWR
      WGVTBUOVTTUPUQWHWPURUSUTWOWPWLWHWDWKWPWLNWIWKWPWLBVTVAVBUTWKWIVCVDVEVFVGV
      HVIVSWGWHOZWDNWIWJVSWSWHWDVSWSWHWGWHVCVSWHWGVSWHWGBVTVJVFVKVLVMWGWHWDVNVO
      VPVQWBAHVRVOVP $.
      $( [4-Feb-2005] $) $( [1-Feb-2005] $)

    $( An ordinal is zero, a successor ordinal, or a limit ordinal. $)
    ordzsl $p |- ( Ord A <->
                  ( A = (/) \/ E. x e. On A = suc x \/ Lim A ) ) $=
      ( word c0 wceq cv csuc con0 wrex wlim w3o wo wn cuni orduninsuc biimprd
      unizlim sylibd orrd 3orass or12 bitr sylibr ord0 ordeq mpbiri wcel eleq1
      suceloni syl5bir eloni syl6com r19.23aiv limord 3jaoi impbi ) BCZBDEZBAFZ
      GZEZAHIZBJZKZUQVBURVCLZLZVDUQVBVEUQVBMZBBNEZVEUQVHVGABOPBQRSVDURVBVCLLVFU
      RVBVCTURVBVCUAUBUCURUQVBVCURUQDCUDBDUEUFVAUQAHVAUSHUGZBHUGZUQVAVJUTHUGVIB
      UTHUHUSUIUJBUKULUMBUNUOUP $.
      $( [2-Oct-2003] $) $( [1-Oct-2003] $)

    $( An ordinal number is zero, a successor ordinal, or a limit ordinal
       number. $)
    onzsl $p |- ( A e. On <->
               ( A = (/) \/ E. x e. On A = suc x \/ ( A e. V /\ Lim A ) ) ) $=
      ( con0 wcel cvv wa word c0 wceq cv csuc wrex wlim w3o elisset pm4.71ri
      elong pm5.32i wo andi 0ex eleq1 mpbiri wi visset sucex a1i r19.23aiv
      jaoi orbi1i bitr4 ordzsl df-3or bitr anbi2i 3bitr4 3bitr ) BCDZBEDZURFUSB
      GZFZBHIZBAJZKZIZACLZUSBMZFZNZURUSBCOPUSURUTBEQRUSVBVFSZVGSZFZVJVHSZVAVIVL
      USVJFZVHSVMUSVJVGTVJVNVHVJUSVBUSVFVBUSHEDUABHEUBUCVEUSACVEUSUDVCCDVEUSVDE
      DVCAUEUFBVDEUBUCUGUHUIPUJUKUTVKUSUTVBVFVGNVKABULVBVFVGUMUNUOVBVFVHUMUPUQ
      $.
      $( [5-Jan-2004] $) $( [1-Oct-2003] $)

    $( An alternate definition of a limit ordinal, which is any ordinal that
       is neither zero nor a successor. $)
    dflim3 $p |- ( Lim A <->
                 ( Ord A /\ -. ( A = (/) \/ E. x e. On A = suc x ) ) ) $=
      ( wlim word c0 wceq cv csuc con0 wrex wo wn wa limord nlim0 limeq mtbiri
      con2i cuni limuni wb orduninsuc syl mpbid jca ioran sylibr w3o ordzsl
      biimp df-3or sylib orcanai impbi ) BCZBDZBEFZBAGHFAIJZKZLZMUOUPUTBNZUOUQL
      ZURLZMUTUOVBVCUQUOUQUOECOBEPQRUOBBSFZVCBTUOUPVDVCUAVAABUBUCUDUEUQURUFUGUE
      UPUSUOUPUQURUOUHZUSUOKUPVEABUIUJUQURUOUKULUMUN $.
      $( [3-Nov-2004] $) $( [1-Nov-2004] $)

    $( An alternate definition of a limit ordinal. $)
    dflim4 $p |- ( Lim A <->
                 ( Ord A /\ (/) e. A /\ A. x e. A suc x e. A ) ) $=
      ( wlim word c0 wcel cuni wceq w3a cv csuc wral dflim2 wa ordunisuc2
      anbi2d pm5.32i 3anass 3bitr4 bitr ) BCBDZEBFZBBGHZIZUAUBAJKBFABLZIZBMUAUB
      UCNZNUAUBUENZNUDUFUAUGUHUAUCUEUBABOPQUAUBUCRUAUBUERST $.
      $( [4-Feb-2005] $) $( [1-Feb-2005] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The successor of a member of a limit ordinal is also a member. $)
    limsuc $p |- ( Lim A -> ( B e. A <-> suc B e. A ) ) $=
      ( vx wlim wcel csuc word c0 cv wral w3a wi dflim4 wceq suceq eleq1d
      rcla4cv 3ad2ant3 sylbi wtr limord ordtr trsuc ex 3syl impbid ) ADZBAEZBFZ
      AEZUGAGZHAEZCIZFZAEZCAJZKUHUJLZCAMUPUKUQULUOUJCBAUMBNUNUIAUMBOPQRSUGUKATZ
      UJUHLAUAAUBURUJUHABUCUDUEUF $.
      $( [3-Sep-2003] $)

    $( A class includes a limit ordinal iff the successor of the class includes
       it. $)
    limsssuc $p |- ( Lim A -> ( A (_ B <-> A (_ suc B ) ) $=
      ( vx wlim wss csuc sssucid sstr2 mpi wa cv wcel wceq wn wi eleq1 biimpcd
      limsuc biimpa word wb ordtri1 limord adantr ordelord sylan ordsuc sylib
      sylanc con2bid mpbid ex sylan9r con2d com23 imp31 wo ssel2 visset elsuc
      ord con1d adantll mpd ssrdv impbid2 ) ADZABEZABFZEZVHBVIEVJBGABVIHIVGVJVH
      VGVJJZCABVKCKZALZVLBLZVKVMJVLBMZNZVNVGVJVMVPVGVMVJVPVGVMVJVPOVGVMJVOVJVMV
      OBALZVGVJNZVOVMVQVLBAPQVGVQVRVGVQJZVIALZVRVGVQVTABRSVSVJVTATZVITZVJVTNUAV
      SAVIUBVGWAVQAUCZUDVSBTZWBWAVQWDVGABUEWCUFBUGUHUIUJUKULUMUNULUOUPVJVMVPVNO
      VGVJVMJZVNVOWEVNVOWEVLVILVNVOUQAVIVLURVLBCUSUTUHVAVBVCVDULVEULVF $.
      $( [6-Nov-2003] $) $( [30-Oct-2003] $)
  $}

  ${
    $d x y $.
    $( Two ways to express the class of non-limit ordinal numbers.  Part of
       Definition 7.27 of [TakeutiZaring] p. 42, who use the symbol K_I for
       this class. $)
    nlimon $p |- { x e. On | ( x = (/) \/ E. y e. On x = suc y ) } =
                   { x e. On | -. Lim x } $=
      ( cv c0 wceq csuc con0 wrex wo wlim wn wcel word wb eloni dflim3 baib
      con2bid syl rabbii ) ACZDEUABCFEBGHIZUAJZKZAGUAGLUAMZUBUDNUAOUEUCUBUCUEUB
      KBUAPQRST $.
      $( [4-Nov-2004] $) $( [1-Nov-2004] $)
  $}

  ${
    $d x y z A $.
    $( The union of a nonempty class of limit ordinals is a limit ordinal. $)
    limuni3 $p |- ( ( A =/= (/) /\ A. x e. A Lim x ) -> Lim U. A ) $=
      ( vy vz c0 wne cv wlim wral wa cuni word wcel csuc w3a con0 wss limeq
      rcla4v cvv visset limelon mpan syl6com ssrdv ssorduni syl adantl wex wi
      ne0 elunii expcom 0ellim syl5 syld 19.23aiv sylbi imp wrex rcla4cv
      limsuc anbi1d syl6bi exp3a com3r sylcom r19.23adv eluni2 syl5ib
      r19.21aiv 3jca dflim4 sylibr ) BEFZAGZHZABIZJZBKZLZEVTMZCGZNZVTMZCVTIZOVT
      HVSWAWBWFVRWAVOVRBPQWAVRDBPDGZBMZVRWGHZWGPMZVQWIAWGBVPWGRZSZWGTMWIWJDUAWG
      TUBUCUDUEBUFUGUHVOVRWBVOWHDUIVRWBUJZDBUKWHWMDWHVRWIWBWLWHEWGMZWBWIWNWHWBE
      WGBULUMWGUNUOUPUQURUSVRWFVOVRWECVTVRWCWGMZDBUTWEWCVTMVRWOWEDBVRWHWIWOWEUJ
      VQWIAWGBWKVAWIWOWHWEWIWOWHWEWIWOWHJWDWGMZWHJWEWIWOWPWHWGWCVBVCWDWGBULVDVE
      VFVGVHDWCBVIVJVKUHVLCVTVMVN $.
      $( [29-May-2007] $) $( [1-Feb-2005] $)
  $}

  $( An ordinal number either equals zero or contains zero. $)
  on0eqelt $p |- ( A e. On -> ( A = (/) \/ (/) e. A ) ) $=
    ( con0 wcel c0 wceq wo wss 0ss wb 0elon onsseleq mpan mpbii eqcom orbi2i
    orcom bitr sylib ) ABCZDACZDAEZFZADEZTFZSDAGZUBAHDBCSUEUBIJDAKLMUBTUCFUDUAU
    CTDANOTUCPQR $.
    $( [2-Jun-2004] $) $( [1-Jun-2004] $)

  $( The singleton of the singleton of the empty set is not an ordinal (nor a
     natural number by ~ omsson ).  It can be used to represent an "undefined"
     value for a partial operation on natural or ordinal numbers.  See also
     ~ onxpdisj . $)
  snsn0non $p |- -. { { (/) } } e. On $=
    ( c0 csn con0 wcel wss 0ex snnz wceq elsnc eqcom bitr nemtbir snid ssel
    mpi mto p0ex onelsst ) ABZBZCDZSTEZUBATDZUCSAAFGUCASHSAHASFIASJKLUBASDUCAFM
    STANOPUASTDUBSQMTSROP $.
    $( [21-May-2004] $) $( [21-May-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Transfinite induction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    $( The Principle of Transfinite Induction.  Theorem 7.17 of [TakeutiZaring]
       p. 39.  This principle states that if ` A ` is a class of ordinal
       numbers with the property that every ordinal number included in ` A `
       also belongs to ` A ` , then every ordinal number is in ` A ` .

       See theorem ~ tfindes or ~ tfinds for the version involving basis and
       induction hypotheses. $)
    tfi $p |- ( ( A (_ On /\ A. x e. On ( x (_ A -> x e. A ) ) -> A = On ) $=
      ( con0 wss cv wcel wi wral wa wceq cdif cin c0 wrex wn eldifn adantl
      difin0ss onsst syl5com imim1d a2i eldifi syl5 imp mtod ex r19.20i2
      ralnex sylib wne ssdif0 necon3bbii word ordon difss tz7.5 mp3an12 sylbi
      nsyl2 anim2i eqss sylibr ) BCDZAEZBDZVEBFZGZACHZIVDCBDZIBCJVIVJVDVICBKZVE
      LMJZAVKNZVJVIVLOZAVKHVMOVHVNACVKVECFZVHGZVEVKFZVNVPVQIVLVGVQVGOVPVECBPQVP
      VQVLVGGZVPVOVRVQVOVHVRVOVLVFVGVLVECDVFVOCBVERVESTUAUBVECBUCUDUEUFUGUHVLAV
      KUIUJVJOVKMUKZVMVJVKMCBULUMCUNVKCDVSVMUOCBUPACVKUQURUSUTVABCVBVC $.
      $( [29-Feb-2004] $) $( [18-Feb-2004] $)
  $}

  ${
    $d y ph z $.  $d x y z $.
    tfis.1 $e |- ( x e. On -> ( A. y e. x [ y / x ] ph -> ph ) ) $.
    $( Transfinite Induction Schema.  If all ordinal numbers less than a
       given number ` x ` have a property (induction hypothesis), then all
       ordinal numbers have the property (conclusion).  Exercise 25 of
       [Enderton] p. 200. $)
    tfis $p |- ( x e. On -> ph ) $=
      ( vz cv con0 wcel crab wss wi wral wceq ssrab2 wsbc wa ax-17 hbs1 hbral
      hbim eleq1 raleq1 sbequ12 imbi12d chvar dfss3 elrabsf pm3.27bi r19.20si
      sylbi syl5 anc2li syl6ibr rgen tfi mp2an eqcomi rabeq2i ) BFZGHZUTAABGGAB
      GIZGVAGJEFZVAJZVBVAHZKZEGLVAGMABGNVEEGVBGHZVCVFABVBOZPVDVFVCVGVFABCFZOZCV
      BLZVGVCUTVICUSLZAKZKVFVJVGKZKBEVFVMBVFBQZVJVGBVIBCVBVHVBHBQABCRSABERTTUSV
      BMZUTVFVLVMUSVBGUAVOVKVJAVGVICUSVBUBABEUCUDUDDUEVCVHVAHZCVBLVJCVBVAUFVPVI
      CVBVPVHGHVIABEVHGVNUGUHUIUJUKULABEVBGVNUGUMUNEVAUOUPUQURUH $.
      $( [1-Mar-2004] $) $( [1-Aug-1994] $)
  $}

  ${
    $d y ph $.  $d x y $.
    tfis2f.1 $e |- ( ps -> A. x ps ) $.
    tfis2f.2 $e |- ( x = y -> ( ph <-> ps ) ) $.
    tfis2f.3 $e |- ( x e. On -> ( A. y e. x ps -> ph ) ) $.
    $( Transfinite Induction Schema with implicit substitution. $)
    tfis2f $p |- ( x e. On -> ph ) $=
      ( cv con0 wcel wral wsbc sbie ralbii syl5ib tfis ) ACDCHZIJBDQKAACDHLZDQK
      GRBDQABCDEFMNOP $.
      $( [1-Mar-2004] $) $( [18-Aug-1994] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x y $.
    tfis2.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    tfis2.2 $e |- ( x e. On -> ( A. y e. x ps -> ph ) ) $.
    $( Transfinite Induction Schema with implicit substitution. $)
    tfis2 $p |- ( x e. On -> ph ) $=
      ( ax-17 tfis2f ) ABCDBCGEFH $.
      $( [1-Mar-2004] $) $( [18-Aug-1994] $)
  $}

  ${
    $d x ps $.  $d y ph $.  $d x ch $.  $d x A $.  $d x y $.
    tfis3.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    tfis3.2 $e |- ( x = A -> ( ph <-> ch ) ) $.
    tfis3.3 $e |- ( x e. On -> ( A. y e. x ps -> ph ) ) $.
    $( Transfinite Induction Schema with implicit substitution. $)
    tfis3 $p |- ( A e. On -> ch ) $=
      ( con0 tfis2 vtoclga ) ACDFJHABDEGIKL $.
      $( [6-Nov-2003] $) $( [4-Nov-2003] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The natural numbers (i.e. finite ordinals)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbol. $)
  $c om $. $( Greek letter omega $)

  $( Extend class notation to include the class of natural numbers. $)
  com $a class om $.

  ${
    $d x y $.
    $( Define the class of natural numbers, which are all ordinal numbers that
       are less than every limit ordinal, i.e. all finite ordinals.  Our
       definition is a variant of the Definition of N of [BellMachover] p. 471.
       See ~ dfom2 for an alternate definition.  Later, when we assume the
       Axiom of Infinity, we show ` om ` is a set in ~ omex , and ` om ` can
       then be defined per ~ dfom3 (the smallest inductive set) and ~ dfom4 .

       _Note_:  the natural numbers ` om ` are a subset of the ordinal numbers
       ~ df-on .  They are completely different from the natural numbers ` NN `
       ( ~ df-n ) that are a subset of the complex numbers defined much later
       in our development, although the two sets have analogous properties and
       operations defined on them. $)
    df-om $a |- om = { x | ( Ord x /\ A. y ( Lim y -> x e. y ) ) } $.
  $}

  ${
    $d x z $.  $d y z $.
    $( An alternate definition of the set of natural numbers ` om ` .
       Definition 7.28 of [TakeutiZaring] p. 42, who use the symbol K_I for the
       inner class builder of non-limit ordinal numbers (see ~ nlimon ). $)
    dfom2 $p |- om = { x e. On | suc x (_ { y e. On | -. Lim y } } $=
      ( vz cv word wlim wcel wi wal wa cab con0 csuc wn crab wss com visset
      elon anbi1i wb onsssuc ontri1 bitr3d ancoms wceq limeq negbid elrab a1i
      imbi12d pm5.74da cvv limelon mpan pm4.71ri imbi1i impexp ibar imbi2d
      pm4.1 syl5bb pm5.74i 3bitr syl6rbbr pm3.27 suceloni onelon ex syl ancrd
      impbid2 imbi1d syl5bbr bitrd albidv dfss2 syl6bbr pm5.32i bitr3 abbii
      df-om df-rab 3eqtr4 ) ADZEZCDZFZWEWGGZHZCIZJZAKWELGZWEMZBDZFZNZBLOZPZJZAK
      QWSALOWLWTAWLWMWKJWTWMWFWKWEARSTWMWKWSWMWKWGWNGZWGWRGZHZCIWSWMWJXCCWMWJWG
      LGZXCHZXCWMXEXDWINZXDWHNZJZHZHZWJWMXDXCXIWMXDJZXAXFXBXHXDWMXAXFUAXDWMJWGW
      EPXAXFWGWEUBWGWEUCUDUEXBXHUAXKWQXGBWGLWOWGUFWPWHWOWGUGUHUIUJUKULWJXDWHJZW
      IHXDWJHXJWHXLWIWHXDWGUMGWHXDCRWGUMUNUOUPUQXDWHWIURXDWJXIXDXFXGHXIWJXDXGXH
      XFXDXGUSUTWHWIVAVBVCVDVEWMXDXAJZXBHXCXEWMXMXAXBWMXMXAXDXAVFWMXAXDWMWNLGZX
      AXDHWEVGXNXAXDWNWGVHVIVJVKVLVMXDXAXBURVNVOVPCWNWRVQVRVSVTWAACWBWSALWCWD
      $.
      $( [4-Nov-2004] $) $( [1-Nov-2004] $)
  $}

  ${
    $d A x y $.
    elom.1 $e |- A e. V $.
    $( Membership in omega.  The hypothesis can be eliminated if we assume the
       Axiom of Infinity; see ~ elom3 . $)
    elom $p |- ( A e. om <-> ( Ord A /\ A. x ( Lim x -> A e. x ) ) ) $=
      ( vy cv word wlim wcel wi wal wa com wceq ordeq eleq1 imbi2d albidv
      anbi12d df-om elab2 ) DEZFZAEZGZUAUCHZIZAJZKBFZUDBUCHZIZAJZKDBLCUABMZUBUH
      UGUKUABNULUFUJAULUEUIUDUABUCOPQRDAST $.
      $( [15-May-1994] $)
  $}

  ${
    $d A x y $.
    $( Membership in omega.  The antecedent can be eliminated if we assume the
       Axiom of Infinity; see ~ elom3 . $)
    elomg $p |- ( A e. B ->
                ( A e. om <-> ( Ord A /\ A. x ( Lim x -> A e. x ) ) ) ) $=
      ( vy cv com wcel word wlim wi wal wa eleq1 wceq ordeq imbi2d albidv
      anbi12d visset elom vtoclbg ) DEZFGUBHZAEZIZUBUDGZJZAKZLBFGBHZUEBUDGZJZAK
      ZLDBCUBBFMUBBNZUCUIUHULUBBOUMUGUKAUMUFUJUEUBBUDMPQRAUBDSTUA $.
      $( [25-Mar-1995] $)
  $}

  ${
    $d x y $.
    $( Omega is a subset of ` On ` . $)
    omsson $p |- om (_ On $=
      ( vx vy com con0 cv wcel word wlim wi wal visset elom pm3.26bi elon
      sylibr ssriv ) ACDAEZCFZQGZQDFRSBEZHQTFIBJBQAKZLMQUANOP $.
      $( [13-Jun-1994] $)
  $}

  ${
    $d x y A $.
    $( The class of natural numbers is a subclass of any (infinite) limit
       ordinal.  Exercise 1 of [TakeutiZaring] p. 44.  Remarkably, our proof
       does not require the Axiom of Infinity. $)
    limomss $p |- ( Lim A -> om (_ A ) $=
      ( vx vy word wlim com wss limord con0 wcel wceq wo wi ordeleqon wa cv
      wal limeq eleq2 imbi12d cla4gv visset elom pm3.27bi syl5 com23 imp ssrdv
      ex omsson sseq2 mpbiri a1d jaoi sylbi mpcom ) ADZAEZFAGZAHUQAIJZAIKZLURUS
      MZANUTVBVAUTURUSUTUROBFAUTURBPZFJZVCAJZMUTVDURVEUTCPZEZVCVFJZMZCQZURVEMZV
      DVIVKCAIVFAKVGURVHVEVFARVFAVCSTUAVDVCDVJCVCBUBUCUDUEUFUGUHUIVAUSURVAUSFIG
      UJAIFUKULUMUNUOUP $.
      $( [4-Nov-2003] $) $( [30-Oct-2003] $)
  $}

  $( A natural number is an ordinal number. $)
  nnont $p |- ( A e. om -> A e. On ) $=
    ( com con0 omsson sseli ) BCADE $.
    $( [27-Jun-1994] $)

  ${
    nnon.1 $e |- A e. om $.
    $( A natural number is an ordinal number. $)
    nnon $p |- A e. On $=
      ( com wcel con0 nnont ax-mp ) ACDAEDBAFG $.
      $( [27-Jun-1994] $)
  $}

  $( A natural number is ordinal. $)
  nnord $p |- ( A e. om -> Ord A ) $=
    ( com wcel con0 word nnont eloni syl ) ABCADCAEAFAGH $.
    $( [17-Oct-1995] $)

  ${
    $d x y z $.
    $( Omega is ordinal.  Theorem 7.32 of [TakeutiZaring] p. 43. $)
    ordom $p |- Ord om $=
      ( vy vx vz com wtr con0 wss word cv wcel wa wi wal dftr2 wlim ordelord
      nnord sylan ancoms trel exp3a com12 limord ordtr syl syl5 a2d 19.20dv
      visset elom pm3.27bi imp jca sylibr ax-gen mpgbir omsson ordon trssord
      mp3an ) DEZDFGFHDHVAAIZBIZJZVCDJZKZVBDJZLZBMAABDNVHBVFVBHZCIZOZVBVJJZLZCM
      ZKVGVFVIVNVEVDVIVCHZVDVIVEVCVBPVCQRSVDVEVNVDVKVCVJJZLZCMZVNVEVDVQVMCVDVKV
      PVLVDVJEZVPVLLZVKVSVDVTVSVDVPVLVJVBVCTUAUBVKVJHVSVJUCVJUDUEUFUGUHVEVOVRCV
      CBUIUJUKUFULUMCVBAUIUJUNUOUPUQURDFUSUT $.
      $( [18-Oct-1995] $)
  $}

  $( A member of a natural number is a natural number. $)
  elnn $p |- ( ( A e. B /\ B e. om ) -> A e. om ) $=
    ( com wtr wcel wa wi word ordom ordtr ax-mp trel ) CDZABEBCEFACEGCHMICJKCAB
    LK $.
    $( [21-Jun-1998] $)

  $( The class of natural numbers ` om ` is either an ordinal number (if we
     accept the Axiom of Infinity) or the proper class of all ordinal numbers
     (if we deny the Axiom of Infinity).  Remark in [TakeutiZaring] p. 43. $)
  omon $p |- ( om e. On \/ om = On ) $=
    ( com word con0 wcel wceq wo ordom ordeleqon mpbi ) ABACDACEFGAHI $.
    $( [10-May-1998] $)

  ${
    $d x y A $.
    $( A natural number is not a limit ordinal. $)
    nnlim $p |- ( A e. om -> -. Lim A ) $=
      ( vx com wcel wlim word wn nnord ordirr syl cv wi wal wa elomg ibi
      pm3.27d wceq limeq eleq2 imbi12d cla4gv mpd mtod ) ACDZAEZAADZUEAFZUGGAHA
      IJUEBKZEZAUIDZLZBMZUFUGLZUEUHUMUEUHUMNBACOPQULUNBACUIARUJUFUKUGUIASUIAATU
      AUBUCUD $.
      $( [18-Oct-1995] $)

    $( The class of natural numbers is a subclass of the class of non-limit
       ordinal numbers.  Exercise 4 of [TakeutiZaring] p. 42. $)
    omssnlim $p |- om (_ { x e. On | -. Lim x } $=
      ( vy com cv wlim wn con0 crab wcel wa nnont nnlim jca wceq limeq negbid
      elrab sylibr ssriv ) BCADZEZFZAGHZBDZCIZUDGIZUDEZFZJUDUCIUEUFUHUDKUDLMUBU
      HAUDGTUDNUAUGTUDOPQRS $.
      $( [14-Nov-2004] $) $( [2-Nov-2004] $)
  $}

  $( Omega is a limit ordinal.  Theorem 2.8 of [BellMachover] p. 473.
     Our proof, however, does not require the Axiom of Infinity. $)
  limom $p |- Lim om $=
    ( vx com word wlim ordom con0 wcel wceq wo ordeleqon wn ordirr ax-mp cv wi
    wal wa elomg wss wb ordtri1 adantr ordsseleq biimpd nnlim a1i limeq con3d
    com12 jaod sylan9 sylbird a3d mpanl2 limord sylan ex pm2.43b 19.21aiv
    jctil syl5bir mt3i limon mpbiri jaoi sylbi ) BCZBDZEVGBFGZBFHZIVHBJVIVHVJVI
    VHBBGZVGVKKEBLMVIVKVGANZDZBVLGZOZAPZQVHKZABFRVQVPVGVQVOAVQVMVNVMVQVOVLCZVQV
    OVMVRVGVQVOEVRVGQZVQQZVNVMVTVNKZVLBSZVMKZVSWBWATVQVLBUAUBVSWBVLBGZVLBHZIZVQ
    WCVSWBWFVLBUCUDVQWDWCWEWDWCOVQVLUEUFWEVQWCWEVMVHWEVMVHVLBUGUDUHUIUJUKULUMUN
    VLUOUPUQURUSEUTVAVBVJVHFDVCBFUGVDVEVFM $.
    $( [26-Mar-1995] $)

  $( A class belongs to omega iff its successor does. $)
  peano2b $p |- ( A e. om <-> suc A e. om ) $=
    ( com wlim wcel csuc wb limom limsuc ax-mp ) BCABDAEBDFGBAHI $.
    $( [3-Dec-1995] $)

  ${
    $d x y A $.
    $( A non-zero natural number is a successor. $)
    nnsuc $p |- ( ( A e. om /\ A =/= (/) ) -> E. x e. om A = suc x ) $=
      ( com wcel c0 wne wa cv csuc wceq con0 wrex wlim wn nnlim adantr word wi
      cuni wb orduninsuc w3a df-lim biimpr 3expia sylbird nnord sylan mt3d wex
      eleq1 biimpcd peano2b syl6ibr ancrd adantld 19.22dv df-rex 3imtr4g mpd )
      BCDZBEFZGZBAHZIZJZAKLZVFACLZVCVGBMZVAVINVBBOPBQZVBVGNZVIRVAVJVBGVKBBSJZVI
      VJVLVKTVBABUAPVJVBVLVIVIVJVBVLUBBUCUDUEUFBUGUHUIVAVGVHRVBVAVDKDZVFGZAUJVD
      CDZVFGZAUJVGVHVAVNVPAVAVFVPVMVAVFVOVAVFVECDZVOVFVAVQBVECUKULVDUMUNUOUPUQV
      FAKURVFACURUSPUT $.
      $( [6-Apr-2007] $) $( [18-Feb-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Peano's postulates
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Zero is a natural number.  One of Peano's 5 postulates for arithmetic.
     Proposition 7.30(1) of [TakeutiZaring] p. 42.  Note: Unlike most
     textbooks, our proofs of ~ peano1 through ~ peano5 do not use the Axiom
     of Infinity.  Unlike Takeuti and Zaring, they also do not use the Axiom
     of Regularity. $)
  peano1 $p |- (/) e. om $=
    ( com wlim c0 wcel limom 0ellim ax-mp ) ABCADEAFG $.
    $( [15-May-1994] $)

  $( The successor of any natural number is a natural number.  One of Peano's
     5 postulates for arithmetic.  Proposition 7.30(2) of [TakeutiZaring]
     p. 42. $)
  peano2 $p |- ( A e. om -> suc A e. om ) $=
    ( com wcel csuc peano2b biimp ) ABCADBCAEF $.
    $( [3-Sep-2003] $)

  $( The successor of any natural number is not zero.  One of Peano's 5
     postulates for arithmetic.  Proposition 7.30(3) of [TakeutiZaring]
     p. 42. $)
  peano3 $p |- ( A e. om -> suc A =/= (/) ) $=
    ( csuc c0 wne com wcel nsuceq0 a1i ) ABCDAEFAGH $.
    $( [2-Jun-2007] $) $( [3-Sep-2003] $)

  $( Two natural numbers are equal iff their successors are equal, i.e. the
     successor function is one-to-one.  One of Peano's 5 postulates for
     arithmetic.  Proposition 7.30(4) of [TakeutiZaring] p. 43. $)
  peano4 $p |- ( ( A e. om /\ B e. om ) -> ( suc A = suc B <-> A = B ) ) $=
    ( con0 wcel csuc wceq wb com suc11 nnont syl2an ) ACDBCDAEBEFABFGAHDBHDABIA
    JBJK $.
    $( [3-Sep-2003] $)

  ${
    $d x y A $.
    $( The induction postulate: any class containing zero and closed under the
       successor operation contains all natural numbers.  One of Peano's 5
       postulates for arithmetic.  Proposition 7.30(5) of [TakeutiZaring]
       p. 43. $)
    peano5 $p |- ( ( (/) e. A /\
                 A. x e. om ( x e. A -> suc x e. A ) ) -> om (_ A ) $=
      ( vy c0 wcel cv csuc wi com wral wa cdif wceq wss cin wrex wn eldifn
      adantl wne nnsuc eldifi eleq1 biimpcd necon3bd elndif syl5com imp sylanc
      adantlr adantr hbra1 ax-17 hban ra4 visset sucid eleq2 mpbiri peano2b
      syl6bbr neldif minel sylan2 exp32 syl6bi mpid syl5 imp3a eleq1a com12
      imim12d com13 sylan9 r19.23ad a1i imp41 mpd ex mtod nrexdv word ordom
      difss tz7.5 mp3an12 necon1bi syl ssdif0 sylibr ) DBEZAFZBEZWLGZBEZHZAIJZK
      ZIBLZDMZIBNWRWSCFZODMZCWSPZQWTWRXBCWSWRXAWSEZKZXBXABEZXDXFQWRXAIBRSXEXBXF
      XEXBKXAWNMZAIPZXFXEXHXBWKXDXHWQXAIEZXADTZXHWKXDKAXAUAXDXIWKXAIBUBZSWKXDXJ
      XDDWSEZQXJWKXDXLXADXADMXDXLXADWSUCUDUEDBIUFUGUHUIUJUKWKWQXDXBXHXFHZWQXDXB
      XMHHHWKWQXDXBXMWQXDXBKZKXGXFAIWQXNAWPAIULXNAUMUNXFAUMWQWLIEZWPXNXGXFHWPAI
      UOXGWPXNXFXGXNWMWOXFXGXDXBWMXGXIXBWMHZXDXGXIWLXAEZXPXGXQWLWNEWLAUPUQXAWNW
      LURUSXGXIXOXQXPHXGXIWNIEXOXAWNIUCWLUTVAXOXQXBWMXOWLWSEQWMXQXBKWLIBVBWLXAW
      SVCVDVEVFVGXKVHVIWOXGXFWNBXAVJVKVLVMVNVOVEVPVQVRVSVTWAXCWSDIWBWSINWSDTXCW
      CIBWDCIWSWEWFWGWHIBWIWJ $.
      $( [2-Mar-2004] $) $( [18-Feb-2004] $)
  $}

  ${
    $d x A $.
    $( A natural number is either 0 or a successor. $)
    nn0suc $p |- ( A e. om -> ( A = (/) \/ E. x e. om A = suc x ) ) $=
      ( com wcel c0 wceq cv csuc wrex wn wne nnsuc df-ne sylan2br ex orrd ) BCD
      ZBEFZBAGHFACIZQRJZSQBEKSTABLBEMNOP $.
      $( [27-May-1998] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Finite induction (for finite ordinals)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.
    find.1 $e |- ( A (_ om /\ (/) e. A /\ A. x e. A suc x e. A ) $.
    $( The Principle of Finite Induction (mathematical induction).  Corollary
       7.31 of [TakeutiZaring] p. 43.  The simpler hypothesis shown here was
       suggested in an email from "Colin" on 1-Oct-2001.  The hypothesis states
       that ` A ` is a set of natural numbers, zero belongs to ` A ` , and
       given any member of ` A ` the member's successor also belongs to ` A ` .
       The conclusion is that every natural number is in ` A ` . $)
    find $p |- A = om $=
      ( com wss c0 wcel cv csuc wral 3simp1i wi w3a wa ax-1 r19.20si ralcom3
      sylib anim2i 3anass 3imtr4 ax-mp peano5 3adant1 eqssi ) BDBDEZFBGZAHZIBGZ
      ABJZCKUFUGUHBGUILADJZMZDBEZUFUGUJMZULCUFUGUJNZNUFUGUKNZNUNULUOUPUFUJUKUGU
      JUHDGZUILZABJUKUIURABUIUQOPUIABDQRSSUFUGUJTUFUGUKTUAUBUGUKUMUFABUCUDUBUE
      $.
      $( [5-Mar-2004] $) $( [22-Feb-2004] $)
  $}

  ${
    $d x y $.  $d x A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.
    $( Substitutions. $)
    finds.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    finds.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    finds.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    finds.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    finds.5 $e |- ps $.
    $( Induction hypothesis. $)
    finds.6 $e |- ( y e. om -> ( ch -> th ) ) $.
    $( Principle of Finite Induction (inference schema) with implicit
       substitutions.  The first four hypotheses establish the substitutions we
       need.  The last two are the basis and the induction hypothesis.
       Theorem Schema 22 of [Suppes] p. 136. $)
    finds $p |- ( A e. om -> ta ) $=
      ( com wcel cab c0 cv csuc wi wral wss 0ex elab mpbir visset sucex
      3imtr4g rgen peano5 mp2an sseli elabg mpbid ) HOPHAFQZPEOUPHRUPPZGSZUPPZU
      RTZUPPZUAZGOUBOUPUCUQBMABFRUDIUEUFVBGOUROPCDUSVANACFURGUGZJUEADFUTURVCUHK
      UEUIUJGUPUKULUMAEFHOLUNUO $.
      $( [14-Apr-1995] $)
  $}

  ${
    $d x A $.  $d x y B $.
    $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.  $d y ph $.
    $( Substitutions. $)
    findsg.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    findsg.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    findsg.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    findsg.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    findsg.5 $e |- ( B e. om -> ps ) $.
    $( Induction hypothesis. $)
    findsg.6 $e |- ( ( ( y e. om /\ B e. om ) /\ B (_ y ) -> ( ch -> th ) ) $.
    $( Principle of Finite Induction (inference schema) with implicit
       substitutions.  The first four hypotheses establish the substitutions we
       need.  The last two are the basis and the induction hypothesis.  The
       basis of this version is an arbitrary natural number ` B ` instead of
       zero. $)
    findsg $p |- ( ( ( A e. om /\ B e. om ) /\ B (_ A ) -> ta ) $=
      ( com wcel wss cv wi c0 csuc wceq wb wa sseq2 adantl eqeq2 syl6bir imp
      imbi12d wn imbi1d ss0 con3i pm2.21d pm5.74d sylan9bbr pm2.61ian imbi2d
      a1d wex visset sucex eqvinc syl5bir biimpd sylan9r 19.23aiv sylbi eqcoms
      imim2i com4r wne con0 onsssuc onelpsst suceloni sylan2 bitrd nnont
      syl2an ancoms ex ax-1 syl8 a2d com23 sylbird df-ne anbi2i annim bitr
      syl5ibr pm2.61d finds imp31 ) HPQIPQZIHRZEWRIFSZRZATZTWRIUARZBTZTWRIGSZRZ
      CTZTWRIXEUBZRZDTZTWRWSETZTFGHWTUAUCZXBXDWRIUAUCZXLXBXDUDXMXLUEXAXCABXLXAX
      CUDXMWTUAIUFZUGXMXLABUDZXMXLWTIUCZXOIUAWTUHJUIUJUKXLXBXCATXMULZXDXLXAXCAX
      NUMXQXCABXQXCXOXCXMIUNUOUPUQURUSUTWTXEUCZXBXGWRXRXAXFACWTXEIUFKUKUTWTXHUC
      ZXBXJWRXSXAXIADWTXHIUFLUKUTWTHUCZXBXKWRXTXAWSAEWTHIUFMUKUTWRBXCNVAXEPQZWR
      XGXJYAWRXGXJTZYAWRUEZXIIXHUCZTZYBWRYEYBTYAYEXGXIWRDYEXIWRDTZTXGYDYFXIYFXH
      IXHIUCXSXPUEZFVBYFFXHIXEGVCVDVEYGYFFXPWRAXSDXPABWRJNVFXSADLVGVHVIVJVKVLVA
      VMUGYCXIIXHVNZUEZYBYEULZYCYIXFYBWRYAXFYIUDZIVOQZXEVOQZYKWRYAYLYMUEXFIXHQZ
      YIIXEVPYLXHVOQYNYIUDYMIXHVQXEVRVSVTIWAXEWAWBWCYCXGXFXJYCXFCXJYCXFCDXJYCXF
      CDTOWDDXIWEWFWGWHWIYIXIYDULZUEYJYHYOXIIXHWJWKXIYDWLWMWNWOWDWGWPWQ $.
      $( [16-Sep-1995] $)
  $}

  ${
    $d x y ta $.  $d x ps $.  $d x ch $.  $d x th $.  $d y ph $.
    $( Substitutions. $)
    finds2.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    finds2.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    finds2.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    $( Basis. $)
    finds2.4 $e |- ( ta -> ps ) $.
    $( Induction hypothesis. $)
    finds2.5 $e |- ( y e. om -> ( ta -> ( ch -> th ) ) ) $.
    $( Principle of Finite Induction (inference schema) with implicit
       substitutions.  The first three hypotheses establish the substitutions
       we need.  The last two are the basis and the induction hypothesis.
       Theorem Schema 22 of [Suppes] p. 136. $)
    finds2 $p |- ( x e. om -> ( ta -> ph ) ) $=
      ( cv com wcel wi cab c0 csuc wral wss 0ex wceq imbi2d elab mpbir a2d
      visset sucex 3imtr4g rgen peano5 mp2an sseli abid sylib ) FMZNOUQEAPZFQZO
      URNUSUQRUSOZGMZUSOZVASZUSOZPZGNTNUSUAUTEBPZKURVFFRUBUQRUCABEHUDUEUFVEGNVA
      NOZECPZEDPZVBVDVGECDLUGURVHFVAGUHZUQVAUCACEIUDUEURVIFVCVAVJUIUQVCUCADEJUD
      UEUJUKGUSULUMUNURFUOUP $.
      $( [29-Nov-2002] $)
  $}

  ${
    $d x y $.  $d x ps $.  $d x ch $.  $d x th $.  $d y ph $.
    $( Substitutions. $)
    finds1.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    finds1.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    finds1.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    $( Basis. $)
    finds1.4 $e |- ps $.
    $( Induction hypothesis. $)
    finds1.5 $e |- ( y e. om -> ( ch -> th ) ) $.
    $( Principle of Finite Induction (inference schema) with implicit
       substitutions.  The first three hypotheses establish the substitutions
       we need.  The last two are the basis and the induction hypothesis.
       Theorem Schema 22 of [Suppes] p. 136. $)
    finds1 $p |- ( x e. om -> ph ) $=
      ( cv com wcel c0 wceq eqid a1i wi a1d finds2 mpi ) ELMNOOPZAOQABCDUCEFGHI
      BUCJRFLMNCDSUCKTUAUB $.
      $( [23-Mar-2006] $) $( [22-Mar-2006] $)
  $}

  ${
    $d x y z $.  $d y z ph $.
    findes.1 $e |- [ (/) / x ] ph $.
    findes.2 $e |- ( x e. om -> ( ph -> [ suc x / x ] ph ) ) $.
    $( Finite induction with explicit substitution.  The first hypothesis is
       the basis and the second is the induction hypothesis.  Theorem Schema
       22 of [Suppes] p. 136.  (Contributed by Raph Levien, 9-Jul-2003.) $)
    findes $p |- ( x e. om -> ph ) $=
      ( vz vy cv wsbc c0 csuc dfsbcq sbequ sbequ12r com wcel wi ax-17 hbs1
      visset sucex hbsbc1v hbim wceq eleq1 sbequ12 wb suceq syl imbi12d chvar
      finds ) ABEGZHABIHABFGZHZABUMJZHZAEFBGZABULIKAEFBLABULUOKAEBMCUQNOZAABUQJ
      ZHZPZPUMNOZUNUPPZPBFVBVCBVBBQUNUPBABFRABUOUMFSTUAUBUBUQUMUCZURVBVAVCUQUMN
      UDVDAUNUTUPABFUEVDUSUOUCUTUPUFUQUMUGABUSUOKUHUIUIDUJUK $.
      $( [29-Jul-2003] $) $( [9-Jul-2003] $)
  $}

  ${
    $d x y z $.  $d x A $.  $d x z ch $.  $d x ta $.  $d y z ph $.
    $( Substitutions. $)
    tfinds.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    tfinds.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfinds.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    tfinds.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    tfinds.5 $e |- ps $.
    $( Induction hypothesis for successors. $)
    tfinds.6 $e |- ( y e. On -> ( ch -> th ) ) $.
    $( Induction hypothesis for limit ordinals. $)
    tfinds.7 $e |- ( Lim x -> ( A. y e. x ch -> ph ) ) $.
    $( Principle of Transfinite Induction (inference schema) with implicit
       substitutions.  The first four hypotheses establish the
       substitutions we need.  The last three are the basis, the induction
       hypothesis for successors, and the induction hypothesis for limit
       ordinals.  Theorem Schema 4 of [Suppes] p. 197. $)
    tfinds $p |- ( A e. On -> ta ) $=
      ( vz cv con0 wcel wlim wral wi wn c0 wceq csuc wrex wo word eloni wa
      cuni wne w3a df-lim biimpr 3com23 3expia necon1bd ex com23 orduninsuc
      biimprd syl5d imp con1d orrd syl mpbiri a1d hbra1 ax-17 hbim wsbc raleq1
      sbequ sbie syl5bbr cbvralv hbs1 sbequ12 cbvral 3bitr4g biimpd visset
      sucid rcla4v ax-mp syl5 sylan9r wb adantl sylibrd r19.23ai jaoi syl6
      pm2.61d2 tfis3 ) ACEFGHJLFQZRSZWSTZCGWSUAZAUBZWTXAUCZWSUDUEZWSGQZUFZUEZGR
      UGZUHZXCWTWSUIZXDXJUBWSUJXKXDXJXKXDUKZXEXIXLXIXEXKXDXIUCZXEUBXKXDWSWSULUE
      ZXEXMXKXNXDXEXKXNXDXEUBXKXNUKXAWSUDXKXNWSUDUMZXAXKXOXNXAXAXKXOXNUNWSUOUPU
      QURUSUTVAXKXNXMGWSVBVCVDVEVFVGUTVHXEXCXIXEAXBXEABMIVIVJXHXCGRXBAGCGWSVKAG
      VLVMXFRSZXHXCXPXHUKXBDAXHXBAFXGUAZXPDXHXBXQXHAFPQZVNZPWSUAXSPXGUAXBXQXSPW
      SXGVOCXSGPWSXFXRUEAFXFVNXSCAGPFVPACFGCFVLJVQVRVSAXSFPXGAPVLAFPVTAFPWAWBWC
      WDXPCDXQNXFXGSXQCUBXFGWEWFACFXFXGJWGWHWIWJXHADWKXPKWLWMUTWNWOWPOWQWR $.
      $( [6-Mar-2004] $) $( [16-Apr-1995] $)
  $}

  ${
    $d x A $.  $d x y B $.  $d x ch $.  $d x th $.  $d x ta $.  $d y ph $.
    $( Substitutions. $)
    tfindsg.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    tfindsg.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfindsg.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    tfindsg.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    tfindsg.5 $e |- ( B e. On -> ps ) $.
    $( Induction hypothesis for successor ordinals. $)
    tfindsg.6 $e |- ( ( ( y e. On /\ B e. On ) /\ B (_ y ) -> ( ch -> th ) ) $.
    $( Induction hypothesis for limit ordinals. $)
    tfindsg.7 $e |- ( ( ( Lim x /\ B e. On ) /\ B (_ x ) ->
                   ( A. y e. x ( B (_ y -> ch ) -> ph ) ) $.
    $( Transfinite Induction (inference schema) with implicit substitutions.
       The first four hypotheses establish the substitutions we need.  The last
       three are the basis, the induction hypothesis for successors, and the
       induction hypothesis for limit ordinals.  The basis of this version is
       an arbitrary ordinal ` B ` instead of zero.  Remark in
       [TakeutiZaring] p. 57. $)
    tfindsg $p |- ( ( ( A e. On /\ B e. On ) /\ B (_ A ) -> ta ) $=
      ( con0 wcel wss cv wi c0 csuc wceq wb wa sseq2 adantl eqeq2 syl6bir imp
      imbi12d wn imbi1d ss0 con3i pm2.21d pm5.74d sylan9bbr pm2.61ian imbi2d
      a1d wex visset sucex eqvinc syl5bir biimpd sylan9r 19.23aiv sylbi eqcoms
      imim2i com4r wne onsssuc onelpsst suceloni sylan2 bitrd ancoms ex ax-1
      syl8 a2d com23 sylbird df-ne anbi2i annim bitr syl5ibr pm2.61d wlim wral
      pm2.27 r19.20sdv ad2antlr syld exp31 com3l com4t tfinds imp31 ) HQRIQRZIH
      SZEXEIFTZSZAUAZUAXEIUBSZBUAZUAXEIGTZSZCUAZUAZXEIXLUCZSZDUAZUAXEXFEUAZUAFG
      HXGUBUDZXIXKXEIUBUDZXTXIXKUEYAXTUFXHXJABXTXHXJUEYAXGUBIUGZUHYAXTABUEZYAXT
      XGIUDZYCIUBXGUIJUJUKULXTXIXJAUAYAUMZXKXTXHXJAYBUNYEXJABYEXJYCXJYAIUOUPUQU
      RUSUTVAXGXLUDZXIXNXEYFXHXMACXGXLIUGKULVAXGXPUDZXIXRXEYGXHXQADXGXPIUGLULVA
      XGHUDZXIXSXEYHXHXFAEXGHIUGMULVAXEBXJNVBXLQRZXEXNXRYIXEXNXRUAZYIXEUFZXQIXP
      UDZUAZYJXEYMYJUAYIYMXNXQXEDYMXQXEDUAZUAXNYLYNXQYNXPIXPIUDYGYDUFZFVCYNFXPI
      XLGVDVEVFYOYNFYDXEAYGDYDABXEJNVGYGADLVHVIVJVKVLVMVBVNUHYKXQIXPVOZUFZYJYMU
      MZYKYQXMYJXEYIXMYQUEXEYIUFXMIXPRZYQIXLVPXEXPQRYSYQUEYIIXPVQXLVRVSVTWAYKXN
      XMXRYKXMCXRYKXMCDXRYKXMCDUAOWBDXQWCWDWEWFWGYQXQYLUMZUFYRYPYTXQIXPWHWIXQYL
      WJWKWLWMWBWEXEXHXGWNZXOGXGWOZAUUAXEXHUUBAUAZUUAXEXHUUCUUAXEUFXHUFUUBXNGXG
      WOZAXEUUBUUDUAUUAXHXEXOXNGXGXEXNWPWQWRPWSWTXAXBXCXD $.
      $( [6-Mar-2004] $) $( [5-Mar-2004] $)
  $}

  ${
    $d x A $.  $d x y B $.
    $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.  $d y ph $.
    $( Substitutions. $)
    tfindsg2.1 $e |- ( x = suc B -> ( ph <-> ps ) ) $.
    tfindsg2.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfindsg2.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    tfindsg2.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    tfindsg2.5 $e |- ( B e. On -> ps ) $.
    $( Induction hypothesis for successor ordinals. $)
    tfindsg2.6 $e |- ( ( y e. On /\ B e. y ) -> ( ch -> th ) ) $.
    $( Induction hypothesis for limit ordinals. $)
    tfindsg2.7 $e |- ( ( Lim x /\ B e. x ) ->
                   ( A. y e. x ( B e. y -> ch ) -> ph ) ) $.
    $( Transfinite Induction (inference schema) with implicit substitutions.
       The first four hypotheses establish the substitutions we need.  The last
       three are the basis, the induction hypothesis for successors, and the
       induction hypothesis for limit ordinals.  The basis of this version is
       an arbitrary ordinal ` suc B ` instead of zero. $)
    tfindsg2 $p |- ( ( A e. On /\ B e. A ) -> ta ) $=
      ( con0 wcel wa csuc wss onelon sucelon sylib word wi eloni ordsucss syl
      imp sylbir cv wb ordelsuc sylan2 ancoms ex adantr sylbird sylan2br wlim
      wral anassrs imbi1d ralbidva imbi12d cvv visset limelon mpan mpbid
      tfindsg exp31 imp3a mp2and ) HQRZIHRZSZITZQRZVSHUAZEVRIQRZVTHIUBIUCZUDVPV
      QWAVPHUEVQWAUFHUGIHUHUIUJVPVTWASEUFVQVPVTWAEVPVTWAEABCDEFGHVSJKLMVTWBBWCN
      UKGULZQRZVTSVSWDUAZCDUFZWEWBWFWGUFVTWEWBSWFIWDRZWGWBWEWHWFUMZWBWDUEZWIWEI
      WDQUNZWDUGZUOUPWEWHWGUFWBWEWHWGOUQURUSWCUTUJFULZVAZVTSVSWMUAZWFCUFZGWMVBZ
      AUFZWNWBWOWRUFZVTWNWBSIWMRZWHCUFZGWMVBZAUFZUFZWSWNXDWBWNWTXCPUQURWBWNXDWS
      UMZWBWMQRZXEWNWBXFSZWTWOXCWRWBWMUEWTWOUMXFIWMQUNWMUGUOXGXBWQAXGXAWPGWMXGW
      DWMRZSWHWFCWBXFXHWIWBWJWIXFXHSZWKXIWEWJWMWDUBWLUIUOVCVDVEVDVFWMVGRWNXFFVH
      WMVGVIVJUOUPVKWCUTUJVLVMVNURVO $.
      $( [12-Jan-2005] $) $( [5-Jan-2005] $)
  $}

  ${
    $d x y z $.  $d y z ph $.
    tfindes.1 $e |- [ (/) / x ] ph $.
    tfindes.2 $e |- ( x e. On -> ( ph -> [ suc x / x ] ph ) ) $.
    tfindes.3 $e |- ( Lim y -> ( A. x e. y ph -> [ y / x ] ph ) ) $.
    $( Transfinite Induction with explicit substitution.  The first hypothesis
       is the basis, the second is the induction hypothesis for successors, and
       the third is the induction hypothesis for limit ordinals.   Theorem
       Schema 4 of [Suppes] p. 197. $)
    tfindes $p |- ( x e. On -> ph ) $=
      ( vz cv wsbc c0 csuc dfsbcq sbequ sbequ12r con0 wcel wi ax-17 hbs1
      visset sucex hbsbc1v hbim wceq eleq1 sbequ12 wb suceq syl imbi12d chvar
      wlim wral cbvral syl5ibr tfinds ) ABCHZIZABJIABGHZIZABUSKZIZACGBHZABUQJLA
      CGBMABUQVALACBNDVCOPZAABVCKZIZQZQUSOPZUTVBQZQBGVHVIBVHBRUTVBBABGSZABVAUSG
      TUAUBUCUCVCUSUDZVDVHVGVIVCUSOUEVKAUTVFVBABGUFZVKVEVAUDVFVBUGVCUSUHABVEVAL
      UIUJUJEUKUQULABUQUMURUTGUQUMFAUTBGUQAGRVJVLUNUOUP $.
      $( [6-Mar-2004] $) $( [5-Mar-2004] $)
  $}

  ${
    $d x y ta $.  $d x ps $.  $d x ch $.  $d x th $.  $d y ph $.
    $( Substitutions. $)
    tfinds2.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    tfinds2.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfinds2.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    $( Basis. $)
    tfinds2.4 $e |- ( ta -> ps ) $.
    $( Induction hypothesis for successors. $)
    tfinds2.5 $e |- ( y e. On -> ( ta -> ( ch -> th ) ) ) $.
    $( Induction hypothesis for limit ordinals. $)
    tfinds2.6 $e |- ( Lim x -> ( ta -> ( A. y e. x ch -> ph ) ) ) $.
    $( Transfinite Induction (inference schema) with implicit substitutions.
       The first three hypotheses establish the substitutions we need.  The
       last three are the basis and the induction hypotheses (for successor and
       limit ordinals respectively).  Theorem Schema 4 of [Suppes] p. 197.  The
       wff ` ta ` is an auxiliary antecedent to help shorten proofs using this
       theorem. $)
    tfinds2 $p |- ( x e. On -> ( ta -> ph ) ) $=
      ( wi c0 wsbc 0ex cv wceq imbi2d sbcie mpbir con0 wcel csuc a2d sbimi cvv
      wb visset sbcel1gv ax-mp sbim 3imtr3 bicomd equcoms sucex sbbii suceq
      sbcco2 bitr3 3imtr3g wlim wral r19.21v syl5ib ax-17 limeq sbie sbralie
      syl5ibr tfindes ) EANZFGVMFOPEBNZKVMVNFOQFRZOSABEHTUAUBVOUCUDZECNZGVOPZED
      NZGVOPZVMVMFVOUEZPZGRZUCUDZGVOPZVQVSNZGVOPVPVRVTNWDWFGFWDECDLUFUGVOUHUDWE
      VPUIFUJZGVOUCUHUKULVQVSGFUMUNVQVMGVOWGWCVOSCAECAUIFGVOWCSACIUOUPTZUAVTVMF
      WCUEZPZGVOPWBWJVSGFVMVSFWIWCGUJUQVOWISADEJTUAURVMFGWAWIVOWCUSUTVAVBWCVCZV
      QGVOVDZFWCPZVMFWCPZVMFWCVDVOVCZFWCPWLVMNZFWCPWKWMWNNWOWPFGWOECGVOVDZNVMWL
      WOEWQAMUFECGVOVEVFUGWOWKFGWKFVGVOWCVHVIWLVMFGUMUNVQVMGFWHVJVKVL $.
      $( [6-Sep-2004] $) $( [4-Sep-2004] $)
  $}

  ${
    $v et $. $( Greek eta $)
    tfinds3.et $f wff et $.
    $d y ph $.  $d x A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d x y et $.
    $( Substitutions. $)
    tfinds3.1 $e |- ( x = (/) -> ( ph <-> ps ) ) $.
    tfinds3.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    tfinds3.3 $e |- ( x = suc y -> ( ph <-> th ) ) $.
    tfinds3.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    tfinds3.5 $e |- ( et -> ps ) $.
    $( Induction hypothesis for successors. $)
    tfinds3.6 $e |- ( y e. On -> ( et -> ( ch -> th ) ) ) $.
    $( Induction hypothesis for limit ordinals. $)
    tfinds3.7 $e |- ( Lim x -> ( et -> ( A. y e. x ch -> ph ) ) ) $.
    $( Principle of Transfinite Induction (inference schema) with implicit
       substitutions.  The first four hypotheses establish the
       substitutions we need.  The last three are the basis, the induction
       hypothesis for successors, and the induction hypothesis for limit
       ordinals. $)
    tfinds3 $p |- ( A e. On -> ( et -> ta ) ) $=
      ( wi cv c0 wceq imbi2d csuc con0 wcel a2d wlim wral r19.21v syl5ib
      tfinds ) IAQZIBQICQZIDQIEQFGHFRZSTABIJUAUMGRZTACIKUAUMUNUBTADILUAUMHTAEIM
      UANUNUCUDICDOUEUMUFZICGUMUGZQUKULGUMUGUOIUPAPUEICGUMUHUIUJ $.
      $( [7-Jan-2005] $) $( [6-Jan-2005] $)
  $}

  ${
    $d x A $.
    $( An ordinal subclass of non-limit ordinals is a class of natural numbers.
       Exercise 7 of [TakeutiZaring] p. 42. $)
    ssnlim $p |- ( ( Ord A /\ A (_ { x e. On | -. Lim x } ) -> A (_ om ) $=
      ( word cv wlim wn con0 crab wss wa com wcel limom ssel wceq limeq negbid
      elrab pm3.27bi syl6 mt2i adantl wb ordom ordtri1 mpan2 adantr mpbird ) BC
      ZBADZEZFZAGHZIZJBKIZKBLZFZUNUQUIUNUPKEZMUNUPKUMLZURFZBUMKNUSKGLUTULUTAKGU
      JKOUKURUJKPQRSTUAUBUIUOUQUCZUNUIKCVAUDBKUEUFUGUH $.
      $( [3-Nov-2004] $) $( [2-Nov-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Functions and relations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c X. $. $( Times symbol (cross product symbol) (read: 'cross') $)
  $c `' $. $( Small elevated smiley (converse operation) $)
  $c dom $. $( Domain $)
  $c ran $. $( Range $)
  $c |` $. $( Right hook (restriction symbol) $)
  $c " $. $( Left quote (image symbol) $)
  $c o. $. $( Small circle (composition symbol) $)
  $c Rel $. $( Relation predicate $)
  $c Fun $. $( Function predicate $)
  $c Fn $. $( Function connective $)
  $c : $. $( Colon $)
  $c --> $. $( Domain-codomain connective $)
  $c -1-1-> $. $( 'One-to-one' domain-codomain connective $)
  $c -onto-> $. $( 'Onto' domain-codomain connective $)
  $c -1-1-onto-> $. $( 'One-to-one' and 'onto' domain-codomain connective $)
  $c ` $. $( Left apostrophe (function value symbol) $)
  $c Isom $. $( Isomorphism $)
  $( Introduce new variables.  These are no different from our previously
     introduced variables, but their names can serve as mnemonics to remind us,
     for example, that they usually represent functions. $)
  $v f $.
  $v g $.
  $v h $.
  $v j $.
  $v k $.
  $v m $.
  $v n $.
  $v o $.
  $v F $.
  $v G $.
  $v H $.
  $v J $.
  $v K $.
  $v L $.
  $v M $.
  $v N $.
  $v W $.
  $v X $.
  $v Y $.
  $v Z $.
  $v O $.
  $v s $.
  $v r $.
  $v q $.
  $v p $.
  $v a $.
  $v b $.
  $v c $.
  $v d $.

  $( Let ` f ` be an individual variable. $)
  vf $f set f $.
  $( Let ` g ` be an individual variable. $)
  vg $f set g $.
  $( Let ` h ` be an individual variable. $)
  vh $f set h $.
  $( Let ` j ` be an individual variable. $)
  vj $f set j $.
  $( Let ` k ` be an individual variable. $)
  vk $f set k $.
  $( Let ` m ` be an individual variable. $)
  vm $f set m $.
  $( Let ` n ` be an individual variable. $)
  vn $f set n $.
  $( Let ` o ` be an individual variable. $)
  vo $f set o $.
  $( Let ` F ` be a class variable. $)
  cF $f class F $.
  $( Let ` G ` be a class variable. $)
  cG $f class G $.
  $( Let ` H ` be a class variable. $)
  cH $f class H $.
  $( Let ` J ` be a class variable. $)
  cJ $f class J $.
  $( Let ` K ` be a class variable. $)
  cK $f class K $.
  $( Let ` L ` be a class variable. $)
  cL $f class L $.
  $( Let ` M ` be a class variable. $)
  cM $f class M $.
  $( Let ` N ` be a class variable. $)
  cN $f class N $.
  $( Let ` O ` be a class variable. $)
  cO $f class O $.
  $( Let ` W ` be a class variable. $)
  cW $f class W $.
  $( Let ` X ` be a class variable. $)
  cX $f class X $.
  $( Let ` Y ` be a class variable. $)
  cY $f class Y $.
  $( Let ` Z ` be a class variable. $)
  cZ $f class Z $.
  $( Let ` s ` be an individual variable. $)
  vs $f set s $.
  $( Let ` r ` be an individual variable. $)
  vr $f set r $.
  $( Let ` q ` be an individual variable. $)
  vq $f set q $.
  $( Let ` p ` be an individual variable. $)
  vp $f set p $.
  $( Let ` a ` be an individual variable. $)
  va $f set a $.
  $( Let ` b ` be an individual variable. $)
  vb $f set b $.
  $( Let ` c ` be an individual variable. $)
  vc $f set c $.
  $( Let ` d ` be an individual variable. $)
  vd $f set d $.

  $( Extend the definition of a class to include the cross product. $)
  cxp $a class ( A X. B ) $.

  $( Extend the definition of a class to include the converse of a class. $)
  ccnv $a class `' A $.

  $( Extend the definition of a class to include the domain of a class. $)
  cdm $a class dom A $.

  $( Extend the definition of a class to include the range of a class. $)
  crn $a class ran A $.

  $( Extend the definition of a class to include the restriction of a class.
     (Read:  The restriction of ` A ` to ` B ` .) $)
  cres $a class ( A |` B ) $.

  $( Extend the definition of a class to include the image of a class.
     (Read:  The image of ` B ` under ` A ` .) $)
  cima $a class ( A " B ) $.

  $( Extend the definition of a class to include the composition of two
     classes.  (Read:  The composition of ` A ` and ` B ` .) $)
  ccom $a class ( A o. B ) $.

  $( Extend the definition of a wff to include the relation predicate.  (Read:
     ` A ` is a relation.) $)
  wrel $a wff Rel A $.

  $( Extend the definition of a wff to include the function predicate.  (Read:
     ` A ` is a function.) $)
  wfun $a wff Fun A $.

  $( Extend the definition of a wff to include the function predicate with
     a domain.  (Read:  ` A ` is a function on ` B ` .) $)
  wfn $a wff A Fn B $.

  $( Extend the definition of a wff to include the function predicate with
     domain and codomain.  (Read:  ` F ` maps ` A ` into ` B ` .) $)
  wf $a wff F : A --> B $.

  $( Extend the definition of a wff to include one-to-one functions.  (Read:
     ` F ` maps ` A ` one-to-one into ` B ` .)  The notation ("1-1" above the
     arrow) is from Definition 6.15(5) of [TakeutiZaring] p. 27. $)
  wf1 $a wff F : A -1-1-> B $.

  $( Extend the definition of a wff to include onto functions.  (Read:  ` F `
     maps ` A ` onto ` B ` .)  The notation ("onto" below the arrow) is from
     Definition 6.15(4) of [TakeutiZaring] p. 27. $)
  wfo $a wff F : A -onto-> B $.

  $( Extend the definition of a wff to include one-to-one onto functions.
     (Read:  ` F ` maps ` A ` one-to-one onto ` B ` .)  The notation ("1-1"
     above the arrow and "onto" below the arrow) is from Definition 6.15(6) of
     [TakeutiZaring] p. 27. $)
  wf1o $a wff F : A -1-1-onto-> B $.

  $( Extend the definition of a class to include the value of a function.
     (Read:  The value of ` F ` at ` A ` , or " ` F ` of ` A ` ".) $)
  cfv $a class ( F ` A ) $.

  $( Extend the definition of a wff to include the isomorphism property.
     (Read:  ` H ` is an ` R ` , ` S ` isomorphism of ` A ` onto ` B ` .) $)
  wiso $a wff H Isom R , S ( A , B ) $.

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.
    $( Define the cross product of two classes.  Definition 9.11 of [Quine]
       p. 64. $)
    df-xp $a |- ( A X. B ) = { <. x , y >. | ( x e. A /\ y e. B ) } $.

    $( Define a relation.  Definition 6.4(1) of [TakeutiZaring] p. 23.
       For alternate definitions, see ~ dfrel2 and ~ dfrel3 . $)
    df-rel $a |- ( Rel A <-> A (_ ( V X. V ) ) $.

    $( Define the converse of a class.  Definition 9.12 of [Quine] p. 64.
       We use Quine's breve accent (smile) notation.  Like Quine, we use it as
       a prefix, which eliminates the need for parentheses.  Many authors use
       the postfix superscript "to the minus one."  "Converse" is Quine's
       terminology; some authors call it "inverse," especially when the
       argument is a function. $)
    df-cnv $a |- `' A = { <. x , y >. | y A x } $.

    $( Define the composition of two classes.  Definition 6.6(3) of
       [TakeutiZaring] p. 24.  Note that Definition 7 of [Suppes] p. 63
       reverses ` A ` and ` B ` , uses ` /. ` instead of ` o. ` , and
       calls the operation "relative product." $)
    df-co $a |- ( A o. B ) = { <. x , y >. | E. z ( x B z /\ z A y ) } $.

    $( Define the domain of a class.  Definition 3 of [Suppes] p. 59. $)
    df-dm $a |- dom A = { x | E. y x A y } $.

    $( Define the range of a class.  For an alternate definitions, see
       ~ dfrn2 , ~ dfrn3 , and ~ dfrn4 . $)
    df-rn $a |- ran A = dom `' A $.

    $( Define the restriction of a class.  Definition 6.6(1) of [TakeutiZaring]
       p. 24. $)
    df-res $a |- ( A |` B ) = ( A i^i ( B X. V ) ) $.

    $( Define the image of a class.  Definition 6.6(2) of [TakeutiZaring]
       p. 24.  For an alternate definition, see ~ dfima2 . $)
    df-ima $a |- ( A " B ) = ran ( A |` B ) $.

    $( Define a function.  Definition 10.1 of [Quine] p. 65.  For alternate
       definitions, see ~ dffun2 , ~ dffun3 , ~ dffun4 , ~ dffun5 , ~ dffunmo ,
       ~ dffun6 , and ~ dffun7 . $)
    df-fun $a |- ( Fun A <-> ( Rel A /\ ( A o. `' A ) (_ I ) ) $.

    $( Define a function with domain.  Definition 6.15(1) of
       [TakeutiZaring] p. 27. $)
    df-fn $a |- ( A Fn B <-> ( Fun A /\ dom A = B ) ) $.

    $( Define a function (mapping) with domain and codomain.  Definition
       6.15(3) of [TakeutiZaring] p. 27. $)
    df-f $a |- ( F : A --> B <-> ( F Fn A /\ ran F (_ B ) ) $.

    $( Define a one-to-one function.  For an equivalent definition see ~ f11 .
       Compare Definition 6.15(5) of [TakeutiZaring] p. 27.  We use their
       notation ("1-1" above the arrow). $)
    df-f1 $a |- ( F : A -1-1-> B <-> ( F : A --> B /\ Fun `' F ) ) $.

    $( Define an onto function.  Definition 6.15(4) of [TakeutiZaring]
       p. 27.  We use their notation ("onto" under the arrow). $)
    df-fo $a |- ( F : A -onto-> B <-> ( F Fn A /\ ran F = B ) ) $.

    $( Define a one-to-one onto function.  For equivalent definitions see
       ~ f1o2 , ~ f1o3 , ~ f1o4 , and ~ f1o5 .  Compare Definition 6.15(6) of
      [TakeutiZaring] p. 27.  We use their notation ("1-1" above the arrow and
      "onto" below the arrow). $)
    df-f1o $a |- ( F : A -1-1-onto-> B <->
                ( F : A -1-1-> B /\ F : A -onto-> B ) ) $.

    $( Define the value of a function.  Although based on the idea embodied by
       Definition 10.2 of [Quine] p. 65 (see ~ args ), our definition
       apparently does not appear in the literature; but it is quite
       convenient:  it can be applied to any class and evaluates to the empty
       set when it is not meaningful (as shown by ~ ndmfv and ~ fvprc ).  The
       left apostrophe notation originated with Peano and was adopted in
       Definition *30.01 of [WhiteheadRussell] p. 235, Definition 10.11 of
       [Quine] p. 68, and Definition 6.11 of [TakeutiZaring] p. 26.  It means
       the same thing as the more familiar ` F ( A ) ` notation for a
       function's value at ` A ` , i.e.  " ` F ` of ` A ` ," but without
       context-dependent ambiguity.  For conventional alternate definitions
       (that fail to evaluate to the empty set for proper classes), see ~ fv2
       and ~ fv3 .  Restricted equivalents that require ` F ` to be a function
       are shown in ~ funfv and ~ funfv2 .  For the familiar definition of
       function value in terms of ordered pair membership, see ~ funopfvb . $)
    df-fv $a |- ( F ` A ) = U. { x | ( F " { A } ) = { x } } $.
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $( Define the isomorphism predicate.  We read this as " ` H ` is an ` R ` ,
       ` S ` isomorphism of ` A ` onto ` B ` ."  Normally, ` R ` and ` S `
       are ordering relations on ` A ` and ` B ` respectively.  Definition 6.28
       of [TakeutiZaring] p. 32, whose notation is the same as ours except
       that ` R ` and ` S ` are subscripts. $)
    df-iso $a |- ( H Isom R , S ( A , B ) <-> ( H : A -1-1-onto-> B /\
                 A. x e. A A. y e. A ( x R y <-> ( H ` x ) S ( H ` y ) ) ) ) $.

  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Equality theorem for cross product. $)
    xpeq1 $p |- ( A = B -> ( A X. C ) = ( B X. C ) ) $=
      ( vx vy wceq cv wcel wa copab cxp eleq2 anbi1d opabbidv df-xp 3eqtr4g )
      ABFZDGZAHZEGCHZIZDEJRBHZTIZDEJACKBCKQUAUCDEQSUBTABRLMNDEACODEBCOP $.
      $( [4-Jul-1994] $)

    $( Equality theorem for cross product. $)
    xpeq2 $p |- ( A = B -> ( C X. A ) = ( C X. B ) ) $=
      ( vx vy wceq cv wcel wa copab cxp eleq2 anbi2d opabbidv df-xp 3eqtr4g )
      ABFZDGCHZEGZAHZIZDEJRSBHZIZDEJCAKCBKQUAUCDEQTUBRABSLMNDECAODECBOP $.
      $( [5-Jul-1994] $)

    $( Membership in a cross product. $)
    elxp $p |- ( A e. ( B X. C ) <-> E. x E. y ( A = <. x , y >. /\
               ( x e. B /\ y e. C ) ) ) $=
      ( cxp wcel cv wa copab cop wceq wex df-xp eleq2i elopab bitr ) CDEFZGCAHZ
      DGBHZEGIZABJZGCSTKLUAIBMAMRUBCABDENOUAABCPQ $.
      $( [4-Jul-1994] $)

    $( Membership in a cross product. $)
    elxp2 $p |- ( A e. ( B X. C ) <-> E. x e. B E. y e. C A = <. x , y >.  ) $=
      ( cv wcel cop wceq wrex wa wex cxp df-rex r19.42v anass ancom an12
      3bitr4r exbii 3bitr3 elxp ) AFZDGZCUCBFZHIZBEJZKZALUFUDUEEGZKZKZBLZALUGAD
      JCDEMGUHULAUDUFKZBEJUIUMKZBLUHULUMBENUDUFBEOUNUKBUJUFKUDUIUFKKUKUNUDUIUFP
      UFUJQUIUDUFRSTUATUGADNABCDEUBS $.
      $( [23-Feb-2004] $) $( [23-Feb-2004] $)
  $}

  ${
    $d y z w A $.  $d y z w B $.  $d x y z w $.
    hbxp.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbxp.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for cross product. $)
    hbxp $p |- ( y e. ( A X. B ) -> A. x y e. ( A X. B ) ) $=
      ( vz vw cv cop wceq wcel wa wex wal cxp ax-17 hbel hban hbex elxp albii
      3imtr4 ) BIZGIZHIZJKZUECLZUFDLZMZMZHNZGNZUMAOUDCDPLZUNAOULAGUKAHUGUJAUGAQ
      UHUIAABBUECUDUELAQERABBUFDUDUFLAQFRSSTTGHUDCDUAZUNUMAUOUBUC $.
      $( [15-Sep-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    $( The first member of an ordered pair of classes in a cross product
       belongs to first cross product argument. $)
    opelxp1 $p |- ( <. A , B >. e. ( C X. D ) -> A e. C ) $=
      ( vx vy cop cxp wcel cv wceq wa wex elxp visset opth1 eqcoms eleq1d
      biimpa adantrr 19.23aivv sylbi ) ABGZCDHIUCEJZFJZGZKZUDCIZUEDIZLLZFMEMACI
      ZEFUCCDNUJUKEFUGUHUKUIUGUHUKUGUDACUDAKUFUCUDUEABEOPQRSTUAUB $.
      $( [29-May-2008] $) $( [28-May-2008] $)
  $}

  $( The first member of an ordered triple of classes in a cross product
     belongs to first cross product argument. $)
  otelxp1 $p |- ( <. <. A , B >. , C >. e. ( ( R X. S ) X. T )
          -> A e. R ) $=
    ( cop cxp wcel opelxp1 syl ) ABGZCGDEHZFHILMIADILCMFJABDEJK $.
    $( [30-May-2008] $) $( [28-May-2008] $)

  $( A true binary relation on a relation implies the first argument is a set.
     (This is a property of our ordered pair definition.) $)
  brrelex $p |- ( ( Rel R /\ A R B ) -> A e. V ) $=
    ( wrel wbr cvv wcel cxp wss wi df-rel cop ssel df-br syl5ib opelxp1 syl6
    sylbi imp ) CDZABCEZAFGZTCFFHZIZUAUBJCKUDUAABLZUCGZUBUDUECGUFUACUCUEMABCNOA
    BFFPQRS $.
    $( [18-May-2004] $) $( [18-May-2004] $)

  ${
    brrelexi.1 $e |- Rel R $.
    $( The first argument of a binary relation exists.  (An artifact of our
       ordered pair definition.) $)
    brrelexi $p |- ( A R B -> A e. V ) $=
      ( wrel wbr cvv wcel brrelex mpan ) CEABCFAGHDABCIJ $.
      $( [4-Jun-1998] $)
  $}

  ${
    nprrel.1 $e |- Rel R $.
    nprrel.2 $e |- -. A e. V $.
    $( No proper class is related to anything via any relation.  (Contributed
       by Roy F. Longton, 30-Jul-2005.) $)
    nprrel $p |- -. A R B $=
      ( wbr cvv wcel brrelexi mto ) ABCFAGHEABCDIJ $.
      $( [31-Jul-2005] $) $( [30-Jul-2005] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Representation of a constant function using ordered pairs. $)
    fconstopab $p |- ( A X. { B } ) = { <. x , y >. | ( x e. A /\ y = B ) } $=
      ( csn cxp cv wcel wa copab wceq df-xp elsn anbi2i opabbii eqtr ) CDEZFAGC
      HZBGZQHZIZABJRSDKZIZABJABCQLUAUCABTUBRBDMNOP $.
      $( [12-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y z C $.  $d x y z R $.
    vtoclr.1 $e |- Rel R $.
    vtoclr.2 $e |- ( ( x R y /\ y R z ) -> x R z ) $.
    $( Variable to class conversion of transitive relation. $)
    vtoclr $p |- ( C e. D -> ( ( A R B /\ B R C ) -> A R C ) ) $=
      ( wcel cvv wbr wa wi elisset cv wceq breq1 anbi1d imbi12d imbi2d breq2
      anbi12d imbi1d anbi2d vtoclg vtocl2g brrelexi syl2an pm2.43b syl ) FGKFLK
      ZDEHMZEFHMZNZDFHMZOZFGPUMUPUQDLKELKUMUROZUNUOUMAQZBQZHMZVAFHMZNZUTFHMZOZO
      UMDVAHMZVCNZUQOZOUSABDELLUTDRZVFVIUMVJVDVHVEUQVJVBVGVCUTDVAHSTUTDFHSUAUBV
      AERZVIURUMVKVHUPUQVKVGUNVCUOVAEDHUCVAEFHSUDUEUBVBVACQZHMZNZUTVLHMZOVFCFLV
      LFRZVNVDVOVEVPVMVCVBVLFVAHUCUFVLFUTHUCUAJUGUHDEHIUIEFHIUIUJUKUL $.
      $( [9-Jun-1998] $)

    ${
      vtoclrbr.3 $e |- x R x $.
      $( Variable to class conversion of transitive, reflexive relation. $)
      vtoclrbr $p |- ( ( A R B /\ B R C ) -> A R C ) $=
        ( cvv wcel wbr wa wi vtoclr wn brprc cv wceq breq1 breq2 bitrd vtoclg
        syl5bir brrelexi syl5 adantrd pm2.61i ) FKLZDEGMZEFGMZNDFGMZOABCDEFKGHI
        PUJQZUKUMULUNDKLZUMUKUNUMDDGMZUODFGRASZUQGMZUPADKUQDTURDUQGMUPUQDUQGUAU
        QDDGUBUCJUDUEDEGHUFUGUHUI $.
        $( [9-Jun-1998] $)
    $}

    ${
      $d x B $.
      vtoclibr.3 $e |- -. x R x $.
      $( Variable to class conversion of transitive, irreflexive relation. $)
      vtoclibr $p |- ( ( A R B /\ B R C ) -> A R C ) $=
        ( wbr cvv wcel wa wi wn cv wceq breq1 breq2 bitrd negbid vtoclg
        brrelexi con3i pm2.61i brprc mtbiri a3i vtoclr syl anabsi7 ) DEGKZEFGKZ
        DFGKZUNFLMZUMUNNUOOUPUNUPPUNEEGKZELMZUQPZAQZUTGKZPUSAELUTERZVAUQVBVAEUT
        GKUQUTEUTGSUTEEGTUAUBJUCUQUREEGHUDUEUFEFGUGUHUIABCDEFLGHIUJUKUL $.
        $( [9-Jun-1998] $)
    $}
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    opelxp.1 $e |- B e. V $.
    $( Ordered pair membership in a cross product. $)
    opelxp $p |- ( <. A , B >. e. ( C X. D ) <-> ( A e. C /\ B e. D ) ) $=
      ( vz vx vy cop cxp wcel wa opelxp1 pm3.26 cv wceq opeq1 eleq1d eleq1
      anbi1d wex eqcom visset opth bitr anbi1i an4 exbii 19.42v 19.41v elxp
      df-clel anbi12i 3bitr4 vtoclbg pm5.21nii ) ABIZCDJZKZACKZUTBDKZLZABCDMUTV
      ANFOZBIZURKZVCCKZVALZUSVBFACVCAPZVDUQURVCABQRVHVFUTVAVCACSTVDGOZHOZIZPZVI
      CKZVJDKZLZLZHUAZGUAZVIVCPZVMLZGUAZVJBPZVNLZHUAZLZVEVGVRVTWDLZGUAWEVQWFGVQ
      VTWCLZHUAWFVPWGHVPVSWBLZVOLWGVLWHVOVLVKVDPWHVDVKUBVIVJVCBGUCHUCEUDUEUFVSW
      BVMVNUGUEUHVTWCHUIUEUHVTWDGUJUEGHVDCDUKVFWAVAWDGVCCULHBDULUMUNUOUP $.
      $( [15-Nov-1994] $)

    $( Binary relation on a cross product. $)
    brxp $p |- ( A ( C X. D ) B <-> ( A e. C /\ B e. D ) ) $=
      ( cxp wbr cop wcel wa df-br opelxp bitr ) ABCDFZGABHNIACIBDIJABNKABCDELM
      $.
      $( [14-May-2004] $) $( [22-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    $( Ordered pair membership in a cross product. $)
    opelxpg $p |- ( B e. R ->
                    ( <. A , B >. e. ( C X. D ) <-> ( A e. C /\ B e. D ) ) ) $=
      ( vx cv cop cxp wcel wa wceq opeq2 eleq1d eleq1 anbi2d visset opelxp
      vtoclbg ) AFGZHZCDIZJACJZTDJZKABHZUBJUCBDJZKFBETBLZUAUEUBTBAMNUGUDUFUCTBD
      OPATCDFQRS $.
      $( [28-May-1995] $)
  $}

  $( Ordered pair membership in a cross product (implication). $)
    opelxpi $p |- ( ( A e. C /\ B e. D ) -> <. A , B >. e. ( C X. D ) ) $=
      ( wcel cop cxp wa opelxpg biimprd anabsi7 ) ACEZBDEZABFCDGEZMNLMHABCDDIJK
      $.
      $( [28-May-1995] $)

  ${
    $d x y z A $.  $d x y z B $.  $d y z ph $.  $d x ps $.
    ralxp.1 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Universal quantification restricted to a cross product is equivalent
       to a double restricted quantification.  The hypothesis specifies an
       implicit substitution. $)
    ralxp $p |- ( A. x e. ( A X. B ) ph <-> A. y e. A A. z e. B ps ) $=
      ( cxp wral cv cop wcel wa rcla4cv visset opelxp syl5ibr r19.21aivv wceq
      wex wi elxp pm3.26 19.22i2 sylbi hbra1 ax-17 hbim hbral eleq1 syl6bb
      imbi12d ra42 syl5bir 19.23ai syl pm2.43b r19.21aiv impbi ) ACFGIZJZBEGJZD
      FJZVBBDEFGVBDKZEKZLZVAMZBVEFMZVFGMNZABCVGVAHOVEVFFGEPQZRSVDACVAVDCKZVAMZA
      VMVLVGTZEUAZDUAZVDVMAUBZUBZVMVNVJNZEUADUAVPDEVLFGUCVSVNDEVNVJUDUEUFVOVRDV
      DVQDVCDFUGVQDUHUIVNVREVDVQEVCEDFVIEUHBEGUGUJVQEUHUIVNVQVJBUBVDVNVMVJABVNV
      MVHVJVLVGVAUKVKULHUMBDEFGUNUOUPUPUQURUSUT $.
      $( [4-Mar-2004] $) $( [7-Feb-2004] $)

    $( Existential quantification restricted to a cross product is equivalent
       to a double restricted quantification. $)
    rexxp $p |- ( E. x e. ( A X. B ) ph <-> E. y e. A E. z e. B ps ) $=
      ( wn cxp wral wrex cv cop wceq negbid ralxp ralnex ralbii bitr negbii
      dfrex2 3bitr4 ) AIZCFGJZKZIBEGLZIZDFKZIACUELUGDFLUFUIUFBIZEGKZDFKUIUDUJCD
      EFGCMDMEMNOABHPQUKUHDFBEGRSTUAACUEUBUGDFUBUC $.
      $( [14-Sep-2006] $) $( [11-Nov-1995] $)
  $}

  ${
    $d u v w x y A $.  $d u v w x y z B $.  $d u v w ph $.  $d u v w ps $.
    ralxpf.1 $e |- ( ph -> A. y ph ) $.
    ralxpf.2 $e |- ( ph -> A. z ph ) $.
    ralxpf.3 $e |- ( ps -> A. x ps ) $.
    ralxpf.4 $e |- ( x = <. y , z >. -> ( ph <-> ps ) ) $.
    $( Version of ~ ralxp with bound-variable hypotheses. $)
    ralxpf $p |- ( A. x e. ( A X. B ) ph <-> A. y e. A A. z e. B ps ) $=
      ( vw vu vv cxp wral cv wsbc cbvralsv ralbii ax-17 wcel hbs1 hbral wceq
      sbequ12 ralbidv cbvral cop wa wex wb visset eqvinop cvv wal wi hbsbcg
      ax-mp hbbi eqvinc bicomd sylan9bb 19.23ai sylbi opth ralxp 3bitr4r bitr
      ) ACFGOZPACLQZRZLVJPZBEGPZDFPZACLVJSBDMQZRZEGPZMFPVQENQZRZNGPZMFPVOVMVRWA
      MFVQENGSTVNVRDMFVNMUAVQDEGEQZGUBDUABDMUCZUDDQZVPUEZBVQEGBDMUFZUGUHVLVTLMN
      FGVKVPVSUIZUEVKWDWBUIZUEZWHWGUEZUJZEUKZDUKVLVTULZDEVKVPVSMUMNUMZUNWLWMDVL
      VTDVKUOUBZVLVLDUPUQLUMZADCCVKUOCQZVKUBZDUAHURUSVSUOUBVTVTDUPUQWNVQDECVSUO
      WQVSUBDUAWCURUSUTWKWMEVLVTEWOVLVLEUPUQWPAECCVKUOWREUAIURUSVQENUCUTWIVLBWJ
      VTWIWQVKUEZWQWHUEZUJZCUKVLBULZCVKWHWPVAXAXBCVLBCACLUCJUTWSVLAWTBWSAVLACLU
      FVBKVCVDVEWJWEWBVSUEZUJBVTULWDWBVPVSDUMEUMWNVFWEBVQXCVTWFVQENUFVCVEVCVDVD
      VEVGVHVI $.
      $( [25-Aug-2006] $) $( [18-Aug-2006] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    $( Justification theorem for an ordered pair definition that works for
       any classes, including proper classes.  This is a possible definition
       implied by the footnote in [Jech] p. 78, which says, "The sophisticated
       reader will not object to our use of a pair of classes." $)
    opthprc $p |- ( ( ( A X. { (/) } ) u. ( B X. { { (/) } } ) ) =
                    ( ( C X. { (/) } ) u. ( D X. { { (/) } } ) )
                  <-> ( A = C /\ B = D ) ) $=
      ( vx c0 csn cxp cun wceq wa cv cop wcel eleq2 wo 0ex opelxp snid
      mpbiran2 0nep0 elsnc nemtbir bianfi bitr4 orbi12i elun biorfi 3bitr4r
      3bitr4g eqrdv p0ex eqcom bitr wn wb biorf ax-mp jca uneq12 xpeq1 syl2an
      impbi ) AFGZHZBVDGZHZIZCVDHZDVFHZIZJZACJZBDJZKVLVMVNVLEACVLELZFMZVHNZVPVK
      NZVOANZVOCNZVHVKVPOVPVENZVPVGNZPVSFVFNZPVQVSWAVSWBWCWAVSFVDNZVOFAVDQRFQSZ
      TWBVOBNZWCKWCVOFBVFQRWCWFWCFVDUAFVDQUBUCZUDUEUFVPVEVGUGWCVSWGUHUIVPVINZVP
      VJNZPVTWCPVRVTWHVTWIWCWHVTWDVOFCVDQRWETWIVODNZWCKWCVOFDVFQRWCWJWGUDUEUFVP
      VIVJUGWCVTWGUHUIUJUKVLEBDVLVOVDMZVHNZWKVKNZWFWJVHVKWKOWKVENZWKVGNZPVDVDNZ
      WFPZWLWFWNWPWOWFWNVSWPKWPVOVDAVDULRWPVSWPFVDUAWPVDFJFVDJVDFULUBVDFUMUNUCZ
      UDUEWOWFVDVFNZVOVDBVFULRVDULSZTUFWKVEVGUGWPUOZWFWQUPWRWPWFUQURUIWKVINZWKV
      JNZPWPWJPZWMWJXBWPXCWJXBVTWPKWPVOVDCVDULRWPVTWRUDUEXCWJWSVOVDDVFULRWTTUFW
      KVIVJUGXAWJXDUPWRWPWJUQURUIUJUKUSVEVIJVGVJJVLVMVNVEVIVGVJUTACVDVABDVFVAVB
      VC $.
      $( [28-Sep-2003] $)
  $}

  ${
    brelg.1 $e |- R (_ ( C X. D ) $.
    $( Two things in a binary relation belong to the relation's domain. $)
    brelg $p |- ( B e. S -> ( A R B -> ( A e. C /\ B e. D ) ) ) $=
      ( wcel cop wa wbr cxp opelxpg sseli syl5bi df-br syl5ib ) BFHZABIZEHZACHB
      DHJZABEKRSCDLZHUATABCDFMEUBSGNOABEPQ $.
      $( [17-May-1996] $)
  $}

  ${
    brel.1 $e |- B e. V $.
    brel.2 $e |- R (_ ( C X. D ) $.
    $( Membership in superset of binary relation. $)
    brel $p |- ( A R B -> ( A e. C /\ B e. D ) ) $=
      ( cvv wcel wbr wa wi brelg ax-mp ) BHIABEJACIBDIKLFABCDEHGMN $.
      $( [16-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in a cross product. $)
    elxp3 $p |- ( A e. ( B X. C ) <->
            E. x E. y ( <. x , y >. = A /\ <. x , y >. e. ( B X. C ) ) ) $=
      ( cxp wcel cv cop wceq wa wex elxp eqcom visset opelxp anbi12i 2exbii
      bitr4 ) CDEFZGCAHZBHZIZJZUADGUBEGKZKZBLALUCCJZUCTGZKZBLALABCDEMUIUFABUGUD
      UHUEUCCNUAUBDEBOPQRS $.
      $( [5-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Distributive law for cross product over union.  Theorem 103 of [Suppes]
       p. 52. $)
    xpundi $p |- ( A X. ( B u. C ) ) = ( ( A X. B ) u. ( A X. C ) ) $=
      ( vx vy cv wcel cun wa copab cxp wo elun anbi2i andi bitr opabbii unopab
      eqtr4 df-xp uneq12i 3eqtr4 ) DFAGZEFZBCHZGZIZDEJZUCUDBGZIZDEJZUCUDCGZIZDE
      JZHZAUEKABKZACKZHUHUJUMLZDEJUOUGURDEUGUCUIULLZIURUFUSUCUDBCMNUCUIULOPQUJU
      MDERSDEAUETUPUKUQUNDEABTDEACTUAUB $.
      $( [13-Aug-2004] $) $( [12-Aug-2004] $)

    $( Distributive law for cross product over union.  Similar to Theorem 103
       of [Suppes] p. 52. $)
    xpundir $p |- ( ( A u. B ) X. C ) = ( ( A X. C ) u. ( B X. C ) ) $=
      ( vx vy cv cun wcel wa copab cxp wo elun anbi1i andir bitr opabbii
      unopab eqtr4 df-xp uneq12i 3eqtr4 ) DFZABGZHZEFCHZIZDEJZUCAHZUFIZDEJZUCBH
      ZUFIZDEJZGZUDCKACKZBCKZGUHUJUMLZDEJUOUGURDEUGUIULLZUFIURUEUSUFUCABMNUIULU
      FOPQUJUMDERSDEUDCTUPUKUQUNDEACTDEBCTUAUB $.
      $( [30-Sep-2002] $)
  $}

  $( The cross product of two unions. $)
  xpun $p |- ( ( A u. B ) X. ( C u. D ) ) =
            ( ( ( A X. C ) u. ( A X. D ) ) u. ( ( B X. C ) u. ( B X. D ) ) ) $=
    ( cun cxp xpundi xpundir uneq12i un4 3eqtr ) ABEZCDEFLCFZLDFZEACFZBCFZEZADF
    ZBDFZEZEOREPSEELCDGMQNTABCHABDHIOPRSJK $.
    $( [8-Sep-2004] $) $( [12-Aug-2004] $)

  ${
    $d x y A $.
    $( Membership in universal class of ordered pairs. $)
    elvv $p |- ( A e. ( V X. V ) <-> E. x E. y A = <. x , y >. ) $=
      ( cvv cxp wcel cv cop wceq wa wex elxp visset pm3.2i biantru 2exbii
      bitr4 ) CDDEFCAGZBGZHIZRDFZSDFZJZJZBKAKTBKAKABCDDLTUDABUCTUAUBAMBMNOPQ $.
      $( [4-Jul-1994] $)

    $( An ordered pair contains its union. $)
    elvvuni $p |- ( A e. ( V X. V ) -> U. A e. A ) $=
      ( vx vy cvv cxp wcel cv cop wceq wex cuni elvv cpr uniop opi2 eqeltr
      unieq id eleq12d mpbiri 19.23aivv sylbi ) ADDEFABGZCGZHZIZCJBJAKZAFZBCALU
      FUHBCUFUHUEKZUEFUIUCUDMUEUCUDNUCUDOPUFUGUIAUEAUEQUFRSTUAUB $.
      $( [16-Sep-2006] $) $( [16-Sep-2006] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( A cross product is included in the ordered pair universe.  Exercise
       3 of [TakeutiZaring] p. 25. $)
    xpss $p |- ( A X. B ) (_ ( V X. V ) $=
      ( vz vx vy cxp cvv cv cop wceq wcel wa wex pm3.26 19.22i2 elxp elvv
      3imtr4 ssriv ) CABFZGGFZCHZDHZEHZIJZUCAKUDBKLZLZEMDMUEEMDMUBTKUBUAKUGUEDE
      UEUFNODEUBABPDEUBQRS $.
      $( [2-Aug-1994] $)
  $}

  $( Intersection of binary relation with cross product. $)
  brinxp2 $p |- ( B e. S -> ( A ( R i^i ( C X. D ) ) B <->
                ( A e. C /\ B e. D /\ A R B ) ) ) $=
    ( wcel wbr cop cxp wa cin w3a opelxpg anbi2d elin df-br anbi1i 3bitr4
    3anrot 3anass bitr3 3bitr4g ) BFGZABEHZABIZCDJZGZKZUEACGZBDGZKZKZABEUGLZHZU
    JUKUEMZUDUHULUEABCDFNOUFUNGUFEGZUHKUOUIUFEUGPABUNQUEUQUHABEQRSUPUEUJUKMUMUE
    UJUKTUEUJUKUAUBUC $.
    $( [3-Mar-2007] $) $( [3-Mar-2007] $)

  $( Intersection of binary relation with cross product. $)
  brinxp $p |- ( ( A e. C /\ B e. D ) ->
               ( A R B <-> A ( R i^i ( C X. D ) ) B ) ) $=
    ( wcel wa wbr w3a cxp cin df-3an baibr wb brinxp2 adantl bitr4d ) ACFZBDFZG
    ZABEHZRSUAIZABECDJKHZUBTUARSUALMSUCUBNRABCDEDOPQ $.
    $( [9-Mar-1997] $)

  ${
    $d x y z A $.  $d x y z R $.
    $( Intersection of well-ordering with cross product of its field. $)
    weinxp $p |- ( R We A <-> ( R i^i ( A X. A ) ) We A ) $=
      ( vx vy vz wfr cv wbr wceq w3o wral wa cxp cin wwe wss c0 wne wn wrex wi
      wal wb wcel ssel anim12d brinxp ancoms syl6 exp3a imp31 negbid ralbidva
      rexbidva adantr pm5.74i albii df-fr 3bitr4 pm4.2d 3orbi123d 2albii r2al
      anbi12i dfwe2 ) ABFZCGZDGZBHZVGVHIZVHVGBHZJZDAKCAKZLABAAMNZFZVGVHVNHZVJVH
      VGVNHZJZDAKCAKZLABOAVNOVFVOVMVSEGZAPZVTQRZLZVKSZDVTKZCVTTZUAZEUBWCVQSZDVT
      KZCVTTZUAZEUBVFVOWGWKEWCWFWJWAWFWJUCWBWAWEWICVTWAVGVTUDZLZWDWHDVTWMVHVTUD
      ZLVKVQWAWLWNVKVQUCZWAWLWNWOWAWLWNLVGAUDZVHAUDZLZWOWAWLWPWNWQVTAVGUEVTAVHU
      EUFWQWPWOVHVGAABUGUHZUIUJUKULUMUNUOUPUQECDABURECDAVNURUSWRVLUAZDUBCUBWRVR
      UAZDUBCUBVMVSWTXACDWRVLVRWRVIVPVJVJVKVQVGVHAABUGWRVJUTWSVAUPVBVLCDAAVCVRC
      DAAVCUSVDCDABVECDAVNVEUS $.
      $( [9-Mar-1997] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( An abstraction relation is a subset of a related cross product. $)
    opabssxp $p |- { <. x , y >. | ( ( x e. A /\ y e. B ) /\ ph ) }
                   (_ ( A X. B ) $=
      ( cv wcel wa copab cxp pm3.26 ssopab2i df-xp sseqtr4 ) BFDGCFEGHZAHZBCIOB
      CIDEJPOBCOAKLBCDEMN $.
      $( [16-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ps $.
    optocl.1 $e |- D = ( B X. C ) $.
    optocl.2 $e |- ( <. x , y >. = A -> ( ph <-> ps ) ) $.
    optocl.3 $e |- ( ( x e. B /\ y e. C ) -> ph ) $.
    $( Implicit substitution of class for ordered pair. $)
    optocl $p |- ( A e. D -> ps ) $=
      ( wcel cxp eleq2i cv cop wceq wa wex elxp3 visset opelxp sylbi syl5bi
      imp 19.23aivv ) EHLEFGMZLZBHUGEINUHCOZDOZPZEQZUKUGLZRZDSCSBCDEFGTUNBCDULU
      MBULABUMJUMUIFLUJGLRAUIUJFGDUAUBKUCUDUEUFUCUC $.
      $( [5-Mar-1995] $)
  $}

  ${
    $d x y z w A $.  $d z w B $.  $d x y z w C $.  $d x y z w D $.
    $d x y ps $.  $d z w ch $.  $d z w R $.
    2optocl.1 $e |- R = ( C X. D ) $.
    2optocl.2 $e |- ( <. x , y >. = A -> ( ph <-> ps ) ) $.
    2optocl.3 $e |- ( <. z , w >. = B -> ( ps <-> ch ) ) $.
    2optocl.4 $e |- ( ( ( x e. C /\ y e. D ) /\ ( z e. C /\ w e. D ) ) ->
                   ph ) $.
    $( Implicit substitution of classes for ordered pairs. $)
    2optocl $p |- ( ( A e. R /\ B e. R ) -> ch ) $=
      ( wcel wi cv cop wceq imbi2d wa ex optocl com12 impcom ) ILQHLQZCUHBRUHCR
      FGIJKLMFSZGSZTIUABCUHOUBUHUIJQUJKQUCZBUKARUKBRDEHJKLMDSZESZTHUAABUKNUBULJ
      QUMKQUCUKAPUDUEUFUEUG $.
      $( [12-Mar-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d z w v u B $.  $d v u C $.
    $d x y z w v u D $.  $d x y z w v u F $.  $d z w v u R $.
    $d x y ps $.  $d z w ch $.  $d v u th $.
    3optocl.1 $e |- R = ( D X. F ) $.
    3optocl.2 $e |- ( <. x , y >. = A -> ( ph <-> ps ) ) $.
    3optocl.3 $e |- ( <. z , w >. = B -> ( ps <-> ch ) ) $.
    3optocl.4 $e |- ( <. v , u >. = C -> ( ch <-> th ) ) $.
    3optocl.5 $e |- ( ( ( x e. D /\ y e. F ) /\ ( z e. D /\ w e. F )
                    /\ ( v e. D /\ u e. F ) ) -> ph ) $.
    $( Implicit substitution of classes for ordered pairs. $)
    3optocl $p |- ( ( A e. R /\ B e. R /\ C e. R ) -> th ) $=
      ( wcel wa wi cv cop wceq imbi2d 3expia 2optocl com12 optocl impcom 3impa
      ) KOUBZLOUBZMOUBZDUQUOUPUCZDURCUDURDUDIJMNPOQIUEZJUEZUFMUGCDURTUHURUSNUBU
      TPUBUCZCVAAUDVABUDVACUDEFGHKLNPOQEUEZFUEZUFKUGABVARUHGUEZHUEZUFLUGBCVASUH
      VBNUBVCPUBUCVDNUBVEPUBUCVAAUAUIUJUKULUMUN $.
      $( [12-Mar-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.  $d x y z w v u S $.
    $d x y ph $.  $d z w v u ps $.
    opbrop.1 $e |- ( ( ( z = A /\ w = B ) /\ ( v = C /\ u = D ) ) ->
                     ( ph <-> ps ) ) $.
    opbrop.2 $e |- R = { <. x , y >. | ( ( x e. ( S X. S ) /\
                      y e. ( S X. S ) ) /\
                      E. z E. w E. v E. u ( ( x = <. z , w >. /\
                      y = <. v , u >. ) /\ ph ) ) } $.
    $( Ordered pair membership in a relation.  Special case. $)
    opbrop $p |- ( ( ( A e. S /\ B e. S ) /\ ( C e. S /\ D e. S ) ) ->
                   ( <. A , B >. R <. C , D >. <-> ps ) ) $=
      ( wcel wa cop wbr cxp cv wceq wex copsex4g anbi2d opex eleq1 anbi1d
      eqeq1 4exbidv anbi12d brab syl5bb opelxpi anim12i biantrurd bitr4d ) INQJ
      NQRZKNQLNQRZRZIJSZKLSZMTZVBNNUAZQZVCVEQZRZBRZBVAVHVBEUBFUBSZUCZVCGUBHUBSZ
      UCZRZARZHUDGUDFUDEUDZRZVIVDVAVPBVHABEFGHIJKLNNOUEUFCUBZVEQZDUBZVEQZRZVRVJ
      UCZVTVLUCZRZARZHUDGUDFUDEUDZRVFWARZVKWDRZARZHUDGUDFUDEUDZRVQCDVBVCMIJUGKL
      UGVRVBUCZWBWHWGWKWLVSVFWAVRVBVEUHUIWLWFWJEFGHWLWEWIAWLWCVKWDVRVBVJUJUIUIU
      KULVTVCUCZWHVHWKVPWMWAVGVFVTVCVEUHUFWMWJVOEFGHWMWIVNAWMWDVMVKVTVCVLUJUFUI
      UKULPUMUNVAVHBUSVFUTVGIJNNUOKLNNUOUPUQUR $.
      $( [5-Aug-1995] $)
  $}

  ${
    $d x y z A $.
    $( The cross product with the empty set is empty.  Part of Theorem 3.13(ii)
       of [Monk1] p. 37. $)
    xp0r $p |- ( (/) X. A ) = (/) $=
      ( vz vx vy c0 cxp cv wcel cop wceq wa wex elxp noel simprl mto nex
      2false bitr eqriv ) BEAFZEBGZUAHUBCGZDGZIJZUCEHZUDAHZKKZDLZCLZUBEHZCDUBEA
      MUJUKUICUHDUHUFUCNUEUFUGOPQQUBNRST $.
      $( [4-Jul-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The empty set is not a member of a cross product. $)
    0nelxp $p |- -. (/) e. ( A X. B ) $=
      ( vx vy c0 cxp wcel cv cop wceq wa wex csn noel opi1 eleq2 mpbiri mto
      intnanr nex elxp mtbir ) EABFGECHZDHZIZJZUCAGUDBGKZKZDLZCLUICUHDUFUGUFUCM
      ZEGZUJNUFUKUJUEGUCUDOEUEUJPQRSTTCDEABUAUB $.
      $( [2-May-1996] $)
  $}

  ${
    $d x y z $.
    $( Ordinal numbers and ordered pairs are disjoint collections.  This
       theorem can be used if we want to extend a set of ordinal numbers or
       ordered pairs with disjoint elements.  See also ~ snsn0non . $)
    onxpdisj $p |- ( On i^i ( V X. V ) ) = (/) $=
      ( vx vy vz con0 cvv cxp cin c0 wceq cv wcel wn disj wo on0eqelt 0nelxp
      eleq1 mtbiri cop wex elvv visset opprc1b con1bii mpbir eleq2 19.23aivv
      sylbi con2i jaoi syl mprgbir ) DEEFZGHIAJZUMKZLZADADUMMUNDKUNHIZHUNKZNUPU
      NOUQUPURUQUOHUMKEEPUNHUMQRUOURUOUNBJZCJZSZIZCTBTURLZBCUNUAVBVCBCVBURHVAKZ
      VDLUSEKZBUBVEVDUSUTUCUDUEUNVAHUFRUGUHUIUJUKUL $.
      $( [2-Jun-2004] $) $( [1-Jun-2004] $)
  $}

  $( The class of ordinal numbers is not equal to the universe. $)
  onnev $p |- On =/= V $=
    ( cvv cxp c0 wne con0 cop wcel 0ex opelxpi mp2an ne0i ax-mp wceq cin ineq1
    onxpdisj incom inv1 eqtr 3eqtr3g eqcomd necon3i ) AABZCDZEADCCFZUCGZUDCAGZU
    GUFHHCCAAIJUCUEKLEAUCCEAMZCUCUHEUCNAUCNZCUCEAUCOPUIUCANUCAUCQUCRSTUAUBL $.
    $( [29-Jun-2007] $) $( [16-Jun-2007] $)

  $( Equality theorem for the relation predicate. $)
  releq $p |- ( A = B -> ( Rel A <-> Rel B ) ) $=
    ( wceq cvv cxp wss wrel sseq1 df-rel 3bitr4g ) ABCADDEZFBKFAGBGABKHAIBIJ $.
    $( [1-Aug-1994] $)

  ${
    releqi.1 $e |- A = B $.
    $( Equality inference for the relation predicate. $)
    releqi $p |- ( Rel A <-> Rel B ) $=
      ( wceq wrel wb releq ax-mp ) ABDAEBEFCABGH $.
      $( [8-Dec-2006] $) $( [8-Dec-2006] $)
  $}

  ${
    $d y A $.  $d x y $.
    hbrel.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for a relation. $)
    hbrel $p |- ( Rel A -> A. x Rel A ) $=
      ( cvv cxp wss wal wrel cv wcel ax-17 hbss df-rel albii 3imtr4 ) CEEFZGZRA
      HCIZSAHABCQDBJQKALMCNZSRATOP $.
      $( [31-Jan-2004] $) $( [31-Jan-2004] $)
  $}

  $( Subclass theorem for relation predicate.  Theorem 2 of [Suppes] p. 58. $)
  relss $p |- ( A (_ B -> ( Rel B -> Rel A ) ) $=
    ( wss cvv cxp wrel sstr2 df-rel 3imtr4g ) ABCBDDEZCAJCBFAFABJGBHAHI $.
    $( [15-Aug-1994] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( A subclass relationship depends only on a relation's ordered pairs.
       Theorem 3.2(i) of [Monk1] p. 33. $)
    ssrel $p |- ( Rel A -> ( A (_ B <->
                A. x A. y ( <. x , y >. e. A -> <. x , y >. e. B ) ) ) $=
      ( vz wrel wss cv cop wcel wi wal ssel a1i 19.21adv wceq wex cvv cxp
      df-rel sylbi elvv syl6ib wa id anim2d eleq1 biimpar syl6 pm5.32i syl5ib
      exp3a 19.20i 19.23v sylib syl9 pm2.43 dfss2 syl6ibr impbid ) CFZCDGZAHBHI
      ZCJZVCDJZKZBLZALZVAVBVGAVAVBVFBVBVFKVACDVCMNOOVAVHEHZCJZVIDJZKZELVBVAVHVL
      EVAVHVJVLKVLVAVJVIVCPZBQZAQZVHVLVAVJVIRRSZJZVOVACVPGVJVQKCTCVPVIMUAABVIUB
      UCVHVNVLKZALVOVLKVGVRAVGVMVLKZBLVRVFVSBVFVMVJVKVFVMVDUDZVKVMVJUDVFVTVMVEU
      DVKVFVDVEVMVFUEUFVMVKVEVIVCDUGUHUIVMVJVDVIVCCUGUJUKULUMVMVLBUNUOUMVNVLAUN
      UOUPVJVKUQUIOECDURUSUT $.
      $( [2-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    relssi.1 $e |- Rel A $.
    relssi.2 $e |- ( <. x , y >. e. A -> <. x , y >. e. B ) $.
    $( Inference from subclass principle for relations. $)
    relssi $p |- A (_ B $=
      ( wss cv cop wcel wi wal wrel wb ssrel ax-mp ax-gen mpgbir ) CDGZAHBHIZCJ
      TDJKZBLZACMSUBALNEABCDOPUABFQR $.
      $( [31-Mar-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y ph $.
    relssdv.1 $e |- ( ph -> Rel A ) $.
    relssdv.2 $e |- ( ph -> ( <. x , y >. e. A -> <. x , y >. e. B ) ) $.
    $( Deduction from subclass principle for relations. $)
    relssdv $p |- ( ph -> A (_ B ) $=
      ( wss cv cop wcel wi wal 19.21aivv wrel wb ssrel syl mpbird ) ADEHZBICIJZ
      DKUAEKLZCMBMZAUBBCGNADOTUCPFBCDEQRS $.
      $( [13-Sep-2004] $) $( [11-Sep-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Extensionality principle for relations.  Theorem 3.2(ii) of [Monk1]
       p. 33. $)
    eqrel $p |- ( ( Rel A /\ Rel B ) -> ( A = B <->
                A. x A. y ( <. x , y >. e. A <-> <. x , y >. e. B ) ) ) $=
      ( wrel wa wss cv cop wcel wi wal wceq wb ssrel bi2anan9 eqss 2albi
      3bitr4g ) CEZDEZFCDGZDCGZFAHBHIZCJZUDDJZKBLALZUFUEKBLALZFCDMUEUFNBLALTUBU
      GUAUCUHABCDOABDCOPCDQUEUFABRS $.
      $( [2-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    eqreli.1 $e |- Rel A $.
    eqreli.2 $e |- Rel B $.
    eqreli.3 $e |- ( <. x , y >. e. A <-> <. x , y >. e. B ) $.
    $( Inference from extensionality principle for relations. $)
    eqrelriv $p |- A = B $=
      ( wceq cv cop wcel wb wal wrel eqrel mp2an ax-gen mpgbir ) CDHZAIBIJZCKTD
      KLZBMZACNDNSUBAMLEFABCDOPUABGQR $.
      $( [17-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    eqbrriv.1 $e |- Rel A $.
    eqbrriv.2 $e |- Rel B $.
    eqbrriv.3 $e |- ( x A y <-> x B y ) $.
    $( Inference from extensionality principle for relations. $)
    eqbrriv $p |- A = B $=
      ( cv wbr cop wcel df-br 3bitr3 eqrelriv ) ABCDEFAHZBHZCIOPDIOPJZCKQDKGOPC
      LOPDLMN $.
      $( [14-Dec-2006] $) $( [12-Dec-2006] $)
  $}

  ${
    $d x y A $.
    $( A member of a relation is an ordered pair. $)
    elrel $p |- ( ( Rel R /\ A e. R ) -> E. x E. y A = <. x , y >. ) $=
      ( wrel wcel wa cvv cxp cv cop wceq wex wss df-rel biimp sseld imp elvv
      sylib ) DEZCDFZGCHHIZFZCAJBJKLBMAMUAUBUDUADUCCUADUCNDOPQRABCST $.
      $( [19-Sep-2006] $) $( [17-Sep-2006] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    relsn.1 $e |- A e. V $.
    $( A singleton of an ordered pair is a relation. $)
    relsn $p |- Rel { <. A , B >. } $=
      ( cop csn wrel cvv cxp wss wcel opelxpi mpan wn opprc2 opelxp mpbir2an
      syl6eqel pm2.61i snssi ax-mp df-rel mpbir ) ABDZEZFUDGGHZIZUCUEJZUFBGJZUG
      AGJZUHUGCABGGKLUHMUCAADZUEABNUJUEJUIUIAAGGCOCCPQRUCUESTUDUAUB $.
      $( [17-May-1998] $)
  $}

  $( A cross product is a relation.  Theorem 3.13(i) of [Monk1] p. 37. $)
  relxp $p |- Rel ( A X. B ) $=
    ( cxp wrel cvv wss xpss df-rel mpbir ) ABCZDJEECFABGJHI $.
    $( [2-Aug-1994] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    $( Subset theorem for cross product.  Generalization of Theorem 101 of
       [Suppes] p. 52. $)
    ssxp $p |- ( ( A (_ B /\ C (_ D ) -> ( A X. C ) (_ ( B X. D ) ) $=
      ( vx vy wss wa cxp wrel relxp a1i cv wcel wi cop prth visset opelxp
      3imtr4g ssel syl2an relssdv ) ABGZCDGZHZEFACIZBDIZUGJUFACKLEMZANZUIBNZOZF
      MZCNZUMDNZOZUIUMPZUGNZUQUHNZOUDUEULUPHUJUNHUKUOHURUSUJUKUNUOQUIUMACFRZSUI
      UMBDUTSTABUIUACDUMUAUBUC $.
      $( [26-Aug-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A cross product is included in the power of the power of the union of
       its arguments. $)
    xpsspw $p |- ( A X. B ) (_ P~ P~ ( A u. B ) $=
      ( vx vy cxp cun cpw relxp cv cop wcel wa visset opelxp csn cpr wss snssi
      ssun3 syl snex elpw sylibr adantr ssun4 anim12i unss sylib df-pr syl5ss
      zfpair2 jca prex df-op eleq1i prss 3bitr4r sylbi relssi ) CDABEZABFZGZGZA
      BHCIZDIZJZUTKVDAKZVEBKZLZVFVCKZVDVEABDMNVIVDOZVBKZVDVEPZVBKZLZVJVIVLVNVGV
      LVHVGVKVAQZVLVGVKAQVPVDARVKABSTZVKVAVDUAZUBUCUDVIVMVAQVNVIVKVEOZFZVAVMVIV
      PVSVAQZLVTVAQVGVPVHWAVQVHVSBQWAVEBRVSBAUETUFVKVSVAUGUHVDVEUIUJVMVACDUKZUB
      UCULVKVMPZVCKWCVBQVJVOWCVBVKVMUMUBVFWCVCVDVEUNUOVKVMVBVRWBUPUQUHURUS $.
      $( [14-Sep-2006] $) $( [13-Sep-2006] $)
  $}

  $( The double class union of a cross product is included in the union of its
     arguments. $)
  unixpss $p |- U. U. ( A X. B ) (_ ( A u. B ) $=
    ( cxp cuni cun cpw wss xpsspw uniss ax-mp unipw sseqtr ) ABCZDZDZABEZFZDZPN
    QGORGNQFZDZQMSGNTGABHMSIJQKLNQIJPKL $.
    $( [19-Sep-2006] $) $( [16-Sep-2006] $)

  $( The cross product of two sets is a set.  Proposition 6.2 of
     [TakeutiZaring] p. 23. $)
  xpexg $p |- ( ( A e. C /\ B e. D ) -> ( A X. B ) e. V ) $=
    ( wcel wa cun cpw cvv cxp unexg pwexg syl wss xpsspw ssexg mpan 3syl ) ACEB
    DEFZABGZHZIEZUAHZIEZABJZIEZSTIEUBABCDKTILMUAILUEUCNUDUFABOUEUCIPQR $.
    $( [14-Aug-1994] $)

  ${
    xpex.1 $e |- A e. V $.
    xpex.2 $e |- B e. V $.
    $( The cross product of two sets is a set.  Proposition 6.2 of
       [TakeutiZaring] p. 23. $)
    xpex $p |- ( A X. B ) e. V $=
      ( cvv wcel cxp xpexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [14-Aug-1994] $)
  $}

  $( The union of two relations is a relation.  Compare Exercise 5 of
     [TakeutiZaring] p. 25. $)
  relun $p |- ( Rel ( A u. B ) <-> ( Rel A /\ Rel B ) ) $=
    ( cvv cxp wss wa cun wrel unss df-rel anbi12i 3bitr4r ) ACCDZEZBMEZFABGZMEA
    HZBHZFPHABMIQNROAJBJKPJL $.
    $( [12-Aug-1994] $)

  $( The intersection with a relation is a relation. $)
  relin1 $p |- ( Rel A -> Rel ( A i^i B ) ) $=
    ( cin wss wrel wi inss1 relss ax-mp ) ABCZADAEJEFABGJAHI $.
    $( [16-Aug-1994] $)

  $( The intersection with a relation is a relation. $)
  relin2 $p |- ( Rel B -> Rel ( A i^i B ) ) $=
    ( cin wss wrel wi inss2 relss ax-mp ) ABCZBDBEJEFABGJBHI $.
    $( [18-Jan-2006] $) $( [17-Jan-2006] $)

  $( A difference cutting down a relation is a relation. $)
  reldif $p |- ( Rel A -> Rel ( A \ B ) ) $=
    ( cdif wss wrel wi difss relss ax-mp ) ABCZADAEJEFABGJAHI $.
    $( [31-Mar-1998] $)

  ${
    $d x y A $.
    $( Union law for relations.  Exercise 6 of [TakeutiZaring] p. 25 and its
       converse. $)
    reluni $p |- ( Rel U. A <-> A. x e. A Rel x ) $=
      ( vy cv wcel cvv cxp wi wral wal cuni wrel wrex r19.23v eluni2 imbi1i
      bitr4 albii wss df-rel dfss2 bitr ralbii ralcom4 3bitr4r ) CDZADZEZUFFFGZ
      EZHZABIZCJZUFBKZEZUJHZCJZUGLZABIZUNLZULUPCULUHABMZUJHUPUHUJABNUOVAUJAUFBO
      PQRUSUKCJZABIUMURVBABURUGUISVBUGTCUGUIUAUBUCUKACBUDUBUTUNUISUQUNTCUNUIUAU
      BUE $.
      $( [14-Aug-2004] $) $( [13-Aug-2004] $)
  $}

  ${
    $d x y $.
    $( A class of ordered pairs is a relation. $)
    relopab $p |- Rel { <. x , y >. | ph } $=
      ( copab wrel cvv cxp wss cv wcel wa visset pm3.2i a1i ssopab2i df-xp
      sseqtr4 df-rel mpbir ) ABCDZETFFGZHTBIFJZCIFJZKZBCDUAAUDBCUDAUBUCBLCLMNOB
      CFFPQTRS $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d w x y z A $.
    $( A relation expressed as an ordered pair abstraction. $)
    opabid2 $p |- ( Rel A -> { <. x , y >. | <. x , y >. e. A } = A ) $=
      ( vz vw wrel cv cop wcel copab wceq wb wal visset opeq1 eleq1d opeq2
      opelopab gen2 relopab eqrel mpan mpbiri ) CFZAGZBGZHZCIZABJZCKZDGZEGZHZUI
      IUMCIZLZEMDMZUODEUHUKUFHZCIUNABUKULDNENUEUKKUGUQCUEUKUFOPUFULKUQUMCUFULUK
      QPRSUIFUDUJUPLUHABTDEUICUAUBUC $.
      $( [11-Dec-2006] $) $( [11-Dec-2006] $)
  $}

  ${
    $d x y z w $.  $d ph z w $.  $d ps z w $.
    $( Intersection of two ordered pair class abstractions. $)
    inopab $p |- ( { <. x , y >. | ph } i^i { <. x , y >. | ps } ) =
               { <. x , y >. | ( ph /\ ps ) } $=
      ( vz vw copab cin wa wrel relopab relin1 ax-mp cv cop wcel wsbc sban
      sbbii opabsb anbi12i 3bitr4r elin 3bitr4 eqrelriv ) EFACDGZBCDGZHZABIZCDG
      ZUFJUHJACDKUFUGLMUICDKENZFNZOZUFPZUMUGPZIZUICUKQZDULQZUMUHPUMUJPACUKQZBCU
      KQZIZDULQUSDULQZUTDULQZIURUPUSUTDFRUQVADFABCERSUNVBUOVCACDEFTBCDEFTUAUBUM
      UFUGUCUICDEFTUDUE $.
      $( [30-Sep-2002] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    $( The intersection of two cross products.  Exercise 9 of [TakeutiZaring]
       p. 25. $)
    inxp $p |- ( ( A X. B ) i^i ( C X. D ) ) =
                   ( ( A i^i C ) X. ( B i^i D ) ) $=
      ( vx vy cxp cin wrel relxp relin1 ax-mp cv cop wcel wa an4 visset opelxp
      anbi12i elin 3bitr4 eqrelriv ) EFABGZCDGZHZACHZBDHZGZUDIUFIABJUDUEKLUGUHJ
      EMZFMZNZUDOZULUEOZPZUJUGOZUKUHOZPZULUFOULUIOUJAOZUKBOZPZUJCOZUKDOZPZPUSVB
      PZUTVCPZPUOURUSUTVBVCQUMVAUNVDUJUKABFRZSUJUKCDVGSTUPVEUQVFUJACUAUKBDUATUB
      ULUDUEUAUJUKUGUHVGSUBUC $.
      $( [3-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Distributive law for cross product over intersection.  Theorem 102 of
      [Suppes] p. 52. $)
    xpindi $p |- ( A X. ( B i^i C ) ) = ( ( A X. B ) i^i ( A X. C ) ) $=
      ( cxp cin inxp wceq inidm xpeq1 ax-mp eqtr2 ) ABDACDEAAEZBCEZDZAMDZABACFL
      AGNOGAHLAMIJK $.
      $( [29-Sep-2004] $) $( [26-Sep-2004] $)

    $( Distributive law for cross product over intersection.  Similar to
       Theorem 102 of [Suppes] p. 52. $)
    xpindir $p |- ( ( A i^i B ) X. C ) = ( ( A X. C ) i^i ( B X. C ) ) $=
      ( cxp cin inxp wceq inidm xpeq2 ax-mp eqtr2 ) ACDBCDEABEZCCEZDZLCDZACBCFM
      CGNOGCHMCLIJK $.
      $( [28-Oct-2004] $) $( [26-Sep-2004] $)
  $}

  $( The empty set is a relation. $)
  rel0 $p |- Rel (/) $=
    ( c0 wrel cvv cxp wss 0ss df-rel mpbir ) ABACCDZEIFAGH $.
    $( [26-Apr-1998] $)

  ${
    $d x y $.
    $( The identity relation is a relation.  Part of Exercise 4.12(p) of
       [Mendelson] p. 235. $)
    reli $p |- Rel I $=
      ( vx vy cid wrel cv wceq copab relopab df-id releqi mpbir ) CDAEBEFZABGZD
      LABHCMABIJK $.
      $( [26-Apr-1998] $)

    $( The membership relation is a relation. $)
    rele $p |- Rel E $=
      ( vx vy cep wrel cv wcel copab relopab df-eprel releqi mpbir ) CDAEBEFZAB
      GZDLABHCMABIJK $.
      $( [26-Apr-1998] $)
  $}

  ${
    $d v w x y z A $.  $d v w x y z B $.
    relop.1 $e |- A e. V $.
    relop.2 $e |- B e. V $.
    $( A necessary and sufficient condition for a Kuratowski ordered pair to be
       a relation. $)
    relop $p |- ( Rel <. A , B >.
             <-> E. x E. y ( A = { x } /\ B = { x , y } ) ) $=
      ( vz vw vv cop wrel cvv cxp wss cv csn wceq cpr wa wex df-rel wi wal
      wcel dfss2 wo visset elop elvv imbi12i jaob bitr albii 19.26 3bitr idd
      eqtr2t preqsn pm3.26bi syl preq2 dfsn2 syl5req eqeq2d syl5eq anbi12d
      biimpd exp3a com12 adantr mpd expcom imp3a jaod eqcom opeqpr syl5ib
      19.22dvv 19.23aiv imp snex eqeq1 opeqsn syl6bb 2exbidv imbi12d cla4v
      sneq cbvexv 19.41v a9e equcom exbii mpbi mpbiran eqid a1bi 3bitr2r sylib
      prex mpi syl2an sylbi pm3.27 equid jctl sylibr eqtr4d opeq12 cla42ev
      adantlr preq1 sylan9eq biimpa df-op syl6eqr jaodan ex 3imtr4g ssrdv
      19.23aivv impbi ) CDJZKYCLLMZNZCAOZPZQZDYFBOZRZQZSZBTATZYCUAYEYMYEGOZCPZQ
      ZYNYFYIJZQZBTATZUBZGUCZYNCDRZQZYSUBZGUCZSZYMYEYNYCUDZYNYDUDZUBZGUCYTUUDSZ
      GUCUUFGYCYDUEUUIUUJGUUIYPUUCUFZYSUBUUJUUGUUKUUHYSYNCDGUGUHZABYNUIUJYPYSUU
      CUKULUMYTUUDGUNUOCHOZPZQZHTZUUBYQQZBTATZYMUUAUUEUUPUURYMUUOUURYMUBHUUOUUQ
      YLABUUOYLCYJQZDYGQZSZUFZYLUUQUUOYLYLUVAUUOYLUPUUOUUSUUTYLUUSUUOUUTYLUBZUU
      SUUOSZYFYIQZUVCUVDYJUUNQZUVECYJUUNUQUVFUVEYIUUMQYFYIUUMAUGZBUGZHUGURUSUTU
      USUVEUVCUBUUOUVEUUSUVCUVEUUSUUTYLUVEUVAYLUVEUUSYHUUTYKUVEYJYGCUVEYFYFRZYJ
      YGYFYIYFVAZYFVBZVCVDUVEYGYJDUVEUVIYJYGUVJUVKVEVDVFVGVHVIVJVKVLVMVNUUQYQUU
      BQUVBUUBYQVOYFYICDEFVPULVQVRVSVTUUAYOYOQZUVEYHSZBTZATZUBZUUPYTUVPGYOCWAYP
      YPUVLYSUVOYNYOYOWBYPYRUVMABYPYRYOYQQZUVMYNYOYQWBUVQYQYOQUVMYOYQVOYFYICUVG
      UVHEWCULWDWEWFWGUUPYHATUVOUVPUUOYHHAUUMYFQZUUNYGCUUMYFWHVDWIUVNYHAUVNUVEB
      TZYHUVEYHBWJYIYFQZBTUVSBAWKUVTUVEBBAWLWMWNWOWMUVLUVOYOWPWQWRWSUUEUUBUUBQZ
      UURUUBWPUUDUWAUURUBGUUBCDWTUUCUUCUWAYSUURYNUUBUUBWBUUCYRUUQABYNUUBYQWBWEW
      FWGXAXBXCYLYEABYLGYCYDYLUUKYNUUMIOZJZQZITHTZUUGUUHYLUUKUWEYLYPUWEUUCYHYPU
      WEYKYHYPSZYNYFYFJZQZUWEUWFYNYOUWGYHYPXDYHUWGYOQZYPYHYFYFQZYHSUWIYHUWJAXEX
      FYFYFCUVGUVGEWCXGVJXHUWDUWHHIYFYFUVGUVGUVRUWBYFQSUWCUWGYNUUMUWBYFYFXIVDXJ
      UTXKYLUUCSZYRUWEUWKYNYGYJRZYQYLUUCYNUWLQYLUUBUWLYNYHYKUUBYGDRUWLCYGDXLDYJ
      YGVAXMVDXNYFYIXOXPUWDYRHIYFYIUVGUVHUVRUWBYIQSUWCYQYNUUMUWBYFYIXIVDXJUTXQX
      RUULHIYNUIXSXTYAYBUL $.
      $( [7-Jun-2008] $) $( [3-Jun-2008] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( For sets, the identity relation is the same as equality. $)
    ideqg $p |- ( B e. C -> ( A I B <-> A = B ) ) $=
      ( vx vy wcel cid wbr wceq cvv wa reli brrelexi adantl elisset adantr jca
      eleq1 biimparc syl cv eqeq1 eqeq2 df-id brabg pm5.21nd ) BCFZABGHZABIZAJF
      ZBJFZKUGUHKUJUKUHUJUGABGLMNUGUKUHBCOZPQUGUIKZUJUKUMACFZUJUIUNUGABCRSACOTU
      GUKUIULPQDUAZEUAZIAUPIUIDEABJJGUOAUPUBUPBAUCDEUDUEUF $.
      $( [31-May-2008] $) $( [30-Apr-2004] $)
  $}

  ${
    ideq.1 $e |- B e. V $.
    $( For sets, the identity relation is the same as equality. $)
    ideq $p |- ( A I B <-> A = B ) $=
      ( cvv wcel cid wbr wceq wb ideqg ax-mp ) BDEABFGABHICABDJK $.
      $( [1-Jun-2008] $) $( [13-Aug-1995] $)
  $}

  ${
    $d x A $.
    $( A set is identical to itself. $)
    ididg $p |- ( A e. B -> A I A ) $=
      ( vx cv cid wbr wceq breq1 breq2 bitrd eqid visset ideq mpbir vtoclg ) CD
      ZPEFZAAEFZCABPAGQAPEFRPAPEHPAAEIJQPPGPKPPCLMNO $.
      $( [28-May-2008] $) $( [28-May-2008] $)
  $}

  $( The second member of an ordered pair of classes in a cross product
     exists when the order pair doesn't belong to ` I ` . $)
  opelxpex2 $p |- ( <. A , B >. e. ( ( C X. D ) \ I ) -> B e. V ) $=
    ( cop cxp cid cdif wcel wn wa cvv eldif wceq wi opelxp1 eleq1 wbr ididg
    df-br sylib syl5cbir syl opprc2 syl5 con1d imp sylbi ) ABEZCDFZGHIUIUJIZUIG
    IZJZKBLIZUIUJGMUKUMUNUKUNULUKUIAAEZNZULUNJUKACIZUPULOABCDPUPULUOGIZUQUIUOGQ
    UQAAGRURACSAAGTUAUBUCABUDUEUFUGUH $.
    $( [1-Jul-2008] $) $( [28-May-2008] $)

  $( Two ways of expressing set existence. $)
  issetid $p |- ( A e. V <-> A I V ) $=
    ( cvv wcel cid wbr wceq eqid ideqg mpbiri wn wb nvelv brprc ax-mp sylibr
    reli brrelexi impbi ) ABCZABDEZSAADEZTSUAAAFAGAABHIBBCJTUAKLABDMNOABDPQR $.
    $( [16-Feb-2008] $) $( [16-Feb-2008] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Equality theorem for composition of two classes. $)
    coeq1 $p |- ( A = B -> ( A o. C ) = ( B o. C ) ) $=
      ( vx vz vy wceq cv wbr wa wex copab ccom breq anbi2d exbidv opabbidv
      df-co 3eqtr4g ) ABGZDHEHZCIZUAFHZAIZJZEKZDFLUBUAUCBIZJZEKZDFLACMBCMTUFUID
      FTUEUHETUDUGUBUAUCABNOPQDFEACRDFEBCRS $.
      $( [3-Jan-1997] $)

    $( Equality theorem for composition of two classes. $)
    coeq2 $p |- ( A = B -> ( C o. A ) = ( C o. B ) ) $=
      ( vx vz vy wceq cv wbr wa wex copab ccom breq anbi1d exbidv opabbidv
      df-co 3eqtr4g ) ABGZDHZEHZAIZUBFHCIZJZEKZDFLUAUBBIZUDJZEKZDFLCAMCBMTUFUID
      FTUEUHETUCUGUDUAUBABNOPQDFECARDFECBRS $.
      $( [3-Jan-1997] $)
  $}

  ${
    coeq1i.1 $e |- A = B $.
    $( Equality inference for composition of two classes. $)
    coeq1i $p |- ( A o. C ) = ( B o. C ) $=
      ( wceq ccom coeq1 ax-mp ) ABEACFBCFEDABCGH $.
      $( [16-Nov-2000] $)

    $( Equality inference for composition of two classes. $)
    coeq2i $p |- ( C o. A ) = ( C o. B ) $=
      ( wceq ccom coeq2 ax-mp ) ABECAFCBFEDABCGH $.
      $( [16-Nov-2000] $)
  $}

  ${
    coeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for composition of two classes. $)
    coeq1d $p |- ( ph -> ( A o. C ) = ( B o. C ) ) $=
      ( wceq ccom coeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [16-Nov-2000] $)

    $( Equality deduction for composition of two classes. $)
    coeq2d $p |- ( ph -> ( C o. A ) = ( C o. B ) ) $=
      ( wceq ccom coeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [16-Nov-2000] $)
  $}

  ${
    $d y z w v A $.  $d y z w v B $.  $d x y z w v $.
    hbco.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbco.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for function value. $)
    hbco $p |- ( y e. ( A o. B ) -> A. x y e. ( A o. B ) ) $=
      ( vz vv vw ccom cv wbr wa wex copab df-co wcel ax-17 hbbr hban hbex
      hbopab hbxfr ) ABCDJGKZHKZDLZUEIKZCLZMZHNZGIOGIHCDPUJGIABUIAHUFUHAABUDUED
      BKZUDQARFUKUEQARZSABUEUGCULEUKUGQARSTUAUBUC $.
      $( [1-Sep-1999] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.

    opelco.1 $e |- A e. V $.
    opelco.2 $e |- B e. V $.
    $( Ordered pair membership in a composition. $)
    opelco $p |- ( <. A , B >. e. ( C o. D ) <-> E. x ( A D x /\ x C B ) ) $=
      ( vy vz cop ccom wcel cv wbr wa wex copab df-co eleq2i wceq breq1 anbi1d
      exbidv breq2 anbi2d opelopab bitr ) BCJZDEKZLUHHMZAMZENZUKIMZDNZOZAPZHIQZ
      LBUKENZUKCDNZOZAPZUIUQUHHIADERSUPURUNOZAPVAHIBCFGUJBTZUOVBAVCULURUNUJBUKE
      UAUBUCUMCTZVBUTAVDUNUSURUMCUKDUDUEUCUFUG $.
      $( [27-Dec-1996] $)

    $( Binary relation on a composition. $)
    brco $p |- ( A ( C o. D ) B <-> E. x ( A D x /\ x C B ) ) $=
      ( ccom wbr cop wcel cv wa wex df-br opelco bitr ) BCDEHZIBCJRKBALZEISCDIM
      ANBCROABCDEFGPQ $.
      $( [22-Sep-2004] $) $( [21-Sep-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.

    $( Ordered pair membership in a composition. $)
    opelcog $p |- ( ( A e. R /\ B e. S ) -> ( <. A , B >. e. ( C o. D ) <->
                   E. x ( <. A , x >. e. D /\ <. x , B >. e. C ) ) ) $=
      ( vy vz wcel wa cop ccom cv wbr wex wb wceq opeq1 eleq1d breq1 anbi1d
      exbidv bibi12d opeq2 breq2 anbi2d visset opelco vtocl2g df-br anbi12i
      exbii syl6bb ) BFJCGJKBCLZDEMZJZBANZEOZURCDOZKZAPZBURLEJZURCLDJZKZAPHNZIN
      ZLZUPJZVFUREOZURVGDOZKZAPZQBVGLZUPJZUSVKKZAPZQUQVBQHIBCFGVFBRZVIVOVMVQVRV
      HVNUPVFBVGSTVRVLVPAVRVJUSVKVFBUREUAUBUCUDVGCRZVOUQVQVBVSVNUOUPVGCBUETVSVP
      VAAVSVKUTUSVGCURDUFUGUCUDAVFVGDEHUHIUHUIUJVAVEAUSVCUTVDBUREUKURCDUKULUMUN
      $.
      $( [27-Jan-1997] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Subset theorem for converse. $)
    cnvss $p |- ( A (_ B -> `' A (_ `' B ) $=
      ( vy vx wss cv wbr copab ccnv wi wal cop wcel ssel df-br 3imtr4g
      19.21aivv ssopab2 sylibr df-cnv 3sstr4g ) ABEZCFZDFZAGZDCHZUCUDBGZDCHZAIB
      IUBUEUGJZCKDKUFUHEUBUIDCUBUCUDLZAMUJBMUEUGABUJNUCUDAOUCUDBOPQUEUGDCRSDCAT
      DCBTUA $.
      $( [22-Mar-1998] $)
  $}

  $( Equality theorem for converse. $)
  cnveq $p |- ( A = B -> `' A = `' B ) $=
    ( wss wa ccnv wceq cnvss anim12i eqss 3imtr4 ) ABCZBACZDAEZBEZCZNMCZDABFMNF
    KOLPABGBAGHABIMNIJ $.
    $( [13-Aug-1995] $)

  ${
    $d x y A $.  $d x y R $.
    $( Membership in a converse.  Equation 5 of [Suppes] p. 62. $)
    elcnv $p |- ( A e. `' R <-> E. x E. y ( A = <. x , y >. /\ y R x ) ) $=
      ( ccnv wcel cv wbr copab cop wceq wa wex df-cnv eleq2i elopab bitr ) CDEZ
      FCBGZAGZDHZABIZFCTSJKUALBMAMRUBCABDNOUAABCPQ $.
      $( [24-Mar-1998] $)

    $( Membership in a converse.  Equation 5 of [Suppes] p. 62. $)
    elcnv2 $p |- ( A e. `' R <->
                 E. x E. y ( A = <. x , y >. /\ <. y , x >. e. R ) ) $=
      ( ccnv wcel cv cop wceq wbr wa wex elcnv df-br anbi2i 2exbii bitr ) CDEFC
      AGZBGZHIZSRDJZKZBLALTSRHDFZKZBLALABCDMUBUDABUAUCTSRDNOPQ $.
      $( [8-Sep-2004] $) $( [11-Aug-2004] $)
  $}

  ${
    $d y z w A $.  $d x y z w $.
    hbcnv.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for converse. $)
    hbcnv $p |- ( y e. `' A -> A. x y e. `' A ) $=
      ( vz vw cv cop wceq wbr wa wex wal ccnv wcel ax-17 hbbr hban hbex elcnv
      albii 3imtr4 ) BGZEGZFGZHIZUEUDCJZKZFLZELZUJAMUCCNOZUKAMUIAEUHAFUFUGAUFAP
      ABUEUDCUCUEOAPDUCUDOAPQRSSEFUCCTZUKUJAULUAUB $.
      $( [31-Jan-2004] $) $( [31-Jan-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( Ordered-pair membership in converse. $)
    opelcnvg $p |- ( ( A e. C /\ B e. D ) ->
                     ( <. A , B >. e. `' R <-> <. B , A >. e. R ) ) $=
      ( vy vx wcel wa cop ccnv wbr cv copab breq2 breq1 opelopabg df-cnv
      eleq2i syl5bb df-br syl6bb ) ACHBDHIZABJZEKZHZBAELZBAJEHUCUDFMZGMZELZGFNZ
      HUGUFUJUHAELUGGFABCDUIAUHEOUHBAEPQUEUKUDGFERSTBAEUAUB $.
      $( [13-May-1999] $)
  $}

  $( The converse of a binary relation swaps arguments.  Theorem 11 of [Suppes]
     p. 61. $)
  brcnvg $p |- ( ( A e. C /\ B e. D ) -> ( A `' R B <-> B R A ) ) $=
    ( wcel wa cop ccnv wbr opelcnvg df-br 3bitr4g ) ACFBDFGABHEIZFBAHEFABNJBAEJ
    ABCDEKABNLBAELM $.
    $( [11-Oct-2005] $) $( [10-Oct-2005] $)

  ${
    opelcnv.1 $e |- A e. V $.
    opelcnv.2 $e |- B e. V $.
    $( Ordered-pair membership in converse. $)
    opelcnv $p |- ( <. A , B >. e. `' R <-> <. B , A >. e. R ) $=
      ( cvv wcel cop ccnv wb opelcnvg mp2an ) AFGBFGABHCIGBAHCGJDEABFFCKL $.
      $( [13-Aug-1995] $)

    $( The converse of a binary relation swaps arguments.  Theorem 11 of
       [Suppes] p. 61. $)
    brcnv $p |- ( A `' R B <-> B R A ) $=
      ( cvv wcel ccnv wbr wb brcnvg mp2an ) AFGBFGABCHIBACIJDEABFFCKL $.
      $( [13-Aug-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Distributive law of converse over class composition.  Theorem 26 of
       [Suppes] p. 64. $)
    cnvco $p |- `' ( A o. B ) = ( `' B o. `' A ) $=
      ( vx vy vz cv ccom wbr copab ccnv wa wex cop wcel df-br visset opelco
      ancom brcnv anbi12i bitr4 exbii 3bitr opabbii df-cnv df-co 3eqtr4 ) CFZDF
      ZABGZHZDCIUIEFZAJZHZULUHBJZHZKZELZDCIUJJUOUMGUKURDCUKUHUIMUJNUHULBHZULUIA
      HZKZELURUHUIUJOEUHUIABCPZDPZQVAUQEVAUTUSKUQUSUTRUNUTUPUSUIULAVCEPZSULUHBV
      DVBSTUAUBUCUDDCUJUEDCEUOUMUFUG $.
      $( [19-Mar-1998] $)
  $}

  ${
    $d x y z w A $.
    $( The converse of a class union is the (indexed) union of the converses of
       its members. $)
    cnvuni $p |- `' U. A = U_ x e. A `' x $=
      ( vy vz vw cuni ccnv cv ciun wcel wrex cop wceq wa wex elcnv2 eluni2
      anbi2i r19.42v bitr4 2exbii rexbii rexcom4 exbii 3bitrr 3bitr eliun
      eqriv ) CBFZGZABAHZGZIZCHZUJJZUNULJZABKZUNUMJUOUNDHZEHZLMZUSURLZUIJZNZEOD
      OUTVAUKJZNZABKZEOZDOZUQDEUNUIPVCVFDEVCUTVDABKZNVFVBVIUTAVABQRUTVDABSTUAUQ
      VEEOZDOZABKVJABKZDOVHUPVKABDEUNUKPUBVJADBUCVLVGDVEAEBUCUDUEUFAUNBULUGTUH
      $.
      $( [14-Sep-2004] $) $( [11-Aug-2004] $)
  $}

  ${
    $d x y A $.
    $( Alternate definition of domain.  Definition 6.5(1) of [TakeutiZaring]
       p. 24. $)
    dfdm3 $p |- dom A = { x | E. y <. x , y >. e. A } $=
      ( cdm cv wbr wex cab cop wcel df-dm df-br exbii abbii eqtr ) CDAEZBEZCFZB
      GZAHPQICJZBGZAHABCKSUAARTBPQCLMNO $.
      $( [28-Dec-1996] $)

    $( Alternate definition of range.  Definition 4 of [Suppes] p. 60. $)
    dfrn2 $p |- ran A = { y | E. x x A y } $=
      ( crn ccnv cdm cv wbr wex cab df-rn df-dm visset brcnv exbii abbii 3eqtr
      ) CDCEZFBGZAGZRHZAIZBJTSCHZAIZBJCKBARLUBUDBUAUCASTCBMAMNOPQ $.
      $( [27-Dec-1996] $)

    $( Alternate definition of range.  Definition 6.5(2) of [TakeutiZaring]
       p. 24. $)
    dfrn3 $p |- ran A = { y | E. x <. x , y >. e. A } $=
      ( crn cv wbr wex cab cop wcel dfrn2 df-br exbii abbii eqtr ) CDAEZBEZCFZA
      GZBHPQICJZAGZBHABCKSUABRTAPQCLMNO $.
      $( [28-Dec-1996] $)
  $}

  ${
    $d x y A $.
    $( Alternate definition of domain. $)
    dfdm4 $p |- dom A = ran `' A $=
      ( vy vx cv ccnv wbr wex cab crn cdm visset brcnv exbii abbii dfrn2 df-dm
      3eqtr4r ) BDZCDZAEZFZBGZCHSRAFZBGZCHTIAJUBUDCUAUCBRSABKCKLMNBCTOCBAPQ $.
      $( [28-Dec-1996] $)
  $}

  ${
    $d x y z w v $.  $d z w v A $.
    dfdmf.1 $e |- ( z e. A -> A. x z e. A ) $.
    dfdmf.2 $e |- ( z e. A -> A. y z e. A ) $.
    $( Definition of domain, using bound-variable hypotheses instead of
       distinct variable conditions. $)
    dfdmf $p |- dom A = { x | E. y <. x , y >. e. A } $=
      ( vw vv cdm cv cop wcel wex cab dfdm3 ax-17 hbel wceq opeq2 eleq1d cbvex
      abbii hbex opeq1 exbidv cbvab 3eqtr ) DIGJZHJZKZDLZHMZGNUHBJZKZDLZBMZGNAJ
      ZUMKZDLZBMZANGHDOULUPGUKUOHBBCCUJDCJZUJLBPFQUOHPUIUMRUJUNDUIUMUHSTUAUBUPU
      TGAUOABACCUNDVAUNLAPEQUCUTGPUHUQRZUOUSBVBUNURDUHUQUMUDTUEUFUG $.
      $( [8-Mar-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    eldm.1 $e |- A e. V $.
    $( Membership in a domain.  Theorem 4 of [Suppes] p. 59. $)
    eldm $p |- ( A e. dom B <-> E. y A B y ) $=
      ( vx cv wbr wex cdm wceq breq1 exbidv df-dm elab2 ) EFZAFZCGZAHBPCGZAHEBC
      IDOBJQRAOBPCKLEACMN $.
      $( [5-Apr-2004] $) $( [2-Apr-2004] $)

    $( Membership in a domain.  Theorem 4 of [Suppes] p. 59. $)
    eldm2 $p |- ( A e. dom B <-> E. y <. A , y >. e. B ) $=
      ( cdm wcel cv wbr wex cop eldm df-br exbii bitr ) BCEFBAGZCHZAIBOJCFZAIAB
      CDKPQABOCLMN $.
      $( [1-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Domain membership.  Theorem 4 of [Suppes] p. 59. $)
    eldm2g $p |- ( A e. C -> ( A e. dom B <-> E. y <. A , y >. e. B ) ) $=
      ( vx cv cdm wcel cop wex eleq1 wceq opeq1 eleq1d exbidv visset eldm2
      vtoclbg ) EFZCGZHSAFZIZCHZAJBTHBUAIZCHZAJEBDSBTKSBLZUCUEAUFUBUDCSBUAMNOAS
      CEPQR $.
      $( [27-Jan-1997] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Subset theorem for domain. $)
    dmss $p |- ( A (_ B -> dom A (_ dom B ) $=
      ( vx vy wss cdm cv cop wcel wex ssel 19.22dv visset eldm2 3imtr4g ssrdv
      ) ABEZCAFZBFZQCGZDGHZAIZDJUABIZDJTRITSIQUBUCDABUAKLDTACMZNDTBUDNOP $.
      $( [11-Aug-1994] $)
  $}

  $( Equality theorem for domain. $)
  dmeq $p |- ( A = B -> dom A = dom B ) $=
    ( wss wa cdm wceq dmss anim12i eqss 3imtr4 ) ABCZBACZDAEZBEZCZNMCZDABFMNFKO
    LPABGBAGHABIMNIJ $.
    $( [11-Aug-1994] $)

  ${
    dmeqi.1 $e |- A = B $.
    $( Equality inference for domain. $)
    dmeqi $p |- dom A = dom B $=
      ( wceq cdm dmeq ax-mp ) ABDAEBEDCABFG $.
      $( [5-Mar-2004] $) $( [4-Mar-2004] $)
  $}

  ${
    dmeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for domain. $)
    dmeqd $p |- ( ph -> dom A = dom B ) $=
      ( wceq cdm dmeq syl ) ABCEBFCFEDBCGH $.
      $( [5-Mar-2004] $) $( [4-Mar-2004] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.
    opeldm.1 $e |- A e. V $.
    $( Membership of first of an ordered pair in a domain. $)
    opeldm $p |- ( <. A , B >. e. C -> A e. dom C ) $=
      ( vy cvv wcel cop cdm wi cv wex wceq opeq2 eleq1d cla4egv eldm2 syl6ibr
      wn opprc2 cla4ev sylibr syl6bi pm2.61i ) BFGZABHZCGZACIGZJUEUGAEKZHZCGZEL
      ZUHUKUGEBFUIBMUJUFCUIBANOPEACDQZRUESZUGAAHZCGZUHUNUFUOCABTOUPULUHUKUPEADU
      IAMUJUOCUIAANOUAUMUBUCUD $.
      $( [30-Jul-1995] $)
  $}

  ${
    breldm.1 $e |- A e. V $.
    $( Membership of first of a binary relation in a domain. $)
    breldm $p |- ( A R B  -> A e. dom R ) $=
      ( wbr cop wcel cdm df-br opeldm sylbi ) ABCEABFCGACHGABCIABCDJK $.
      $( [30-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x R $.
    $( Membership of first of a binary relation in a domain. $)
    breldmg $p |- ( ( A e. C /\ A R B ) -> A e. dom R ) $=
      ( vx wcel wbr cdm cv wi wceq breq1 eleq1 imbi12d visset breldm vtoclg
      imp ) ACFABDGZADHZFZEIZBDGZUBTFZJSUAJEACUBAKUCSUDUAUBABDLUBATMNUBBDEOPQR
      $.
      $( [23-Mar-2007] $) $( [21-Mar-2007] $)

    $( The domain of a union is the union of domains.  Exercise 56(a) of
       [Enderton] p. 65. $)
    dmun $p |- dom ( A u. B ) = ( dom A u. dom B ) $=
      ( vx vy cun cdm cv cop wcel wex wo elun exbii 19.43 bitr visset eldm2
      orbi12i 3bitr4 eqriv ) CABEZFZAFZBFZEZCGZDGHZUAIZDJZUGAIZDJZUGBIZDJZKZUFU
      BIUFUEIZUIUJULKZDJUNUHUPDUGABLMUJULDNODUFUACPZQUOUFUCIZUFUDIZKUNUFUCUDLUR
      UKUSUMDUFAUQQDUFBUQQROST $.
      $( [12-Aug-1994] $)

    $( The domain of an intersection belong to the intersection of domains.
       Theorem 6 of [Suppes] p. 60. $)
    dmin $p |- dom ( A i^i B ) (_ ( dom A i^i dom B ) $=
      ( vx vy cin cdm cv cop wcel wa wex 19.40 visset eldm2 elin exbii bitr
      anbi12i 3imtr4 ssriv ) CABEZFZAFZBFZEZCGZDGHZAIZUGBIZJZDKZUHDKZUIDKZJZUFU
      BIZUFUEIZUHUIDLUOUGUAIZDKUKDUFUACMZNUQUJDUGABOPQUPUFUCIZUFUDIZJUNUFUCUDOU
      SULUTUMDUFAURNDUFBURNRQST $.
      $( [17-Sep-2004] $) $( [15-Sep-2004] $)

  $}

  ${
    $d x y z A $.
    $( The domain of a union.  Part of Exercise 8 of [Enderton] p. 41. $)
    dmuni $p |- dom U. A = U_ x e. A dom x $=
      ( vy vz cuni cdm cv ciun cop wcel wex wrex wa eluni exbii excom ancom
      19.41v visset eldm2 anbi2i 3bitr4 3bitr df-rex bitr4 eliun eqriv ) CBEZFZ
      ABAGZFZHZCGZDGIZUHJZDKZUMUKJZABLZUMUIJUMULJUPUJBJZUQMZAKZURUPUNUJJZUSMZAK
      ZDKVCDKZAKVAUOVDDAUNBNOVCDAPVEUTAVBDKZUSMUSVFMVEUTVFUSQVBUSDRUQVFUSDUMUJC
      SZTUAUBOUCUQABUDUEDUMUHVGTAUMBUKUFUBUG $.
      $( [13-Mar-2004] $) $( [3-Feb-2004] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( The domain of a class of ordered pairs. $)
    dmopab $p |- dom { <. x , y >. | ph } = { x | E. y ph } $=
      ( vz copab cdm cv cop wcel wex cab hbopab1 hbopab2 dfdmf opabid exbii
      abbii eqtr ) ABCEZFBGCGHSIZCJZBKACJZBKBCDSABCDLABCDMNUAUBBTACABCOPQR $.
      $( [16-May-1995] $)
  $}

  ${
    $d x y A $.
    $( Upper bound for the domain of a restricted class of ordered pairs. $)
    dmopabss $p |- dom { <. x , y >. | ( x e. A /\ ph ) } (_ A $=
      ( cv wcel wa copab cdm wex cab dmopab 19.42v abbii ssab2 eqsstr ) BEDFZAG
      ZBCHIRCJZBKZDRBCLTQACJZGZBKDSUBBQACMNUABDOPP $.
      $( [1-Feb-2004] $) $( [31-Jan-2004] $)
  $}

  ${
    $d x y A $.
    $( The domain of a restricted class of ordered pairs. $)
    dmopab3 $p |- ( A. x e. A E. y ph <->
               dom { <. x , y >. | ( x e. A /\ ph ) } = A ) $=
      ( wex wral cv wcel wi wal wa wb copab cdm wceq df-ral pm4.71 albii cab
      dmopab 19.42v abbii eqtr eqeq1i eqcom abeq2 3bitr2r 3bitr ) ACEZBDFBGDHZU
      IIZBJUJUJUIKZLZBJZUJAKZBCMNZDOZUIBDPUKUMBUJUIQRUQULBSZDODUROUNUPURDUPUOCE
      ZBSURUOBCTUSULBUJACUAUBUCUDDURUEULBDUFUGUH $.
      $( [1-Feb-2004] $) $( [31-Jan-2004] $)
  $}

  ${
    $d x y $.
    $( The domain of the empty set is empty.  Part of Theorem 3.8(v) of [Monk1]
       p. 36. $)
    dm0 $p |- dom (/) = (/) $=
      ( vx vy cv cop c0 wcel wex cab wceq wn cdm noel nex eqid negbi 2false
      abbii dfdm3 dfnul2 3eqtr4 ) ACZBCDZEFZBGZAHUAUAIZJZAHEKEUDUFAUDUFUCBUBLMU
      EUANOPQABERAST $.
      $( [4-Jul-1994] $)

    $( The domain of the singleton of the empty set is empty. $)
    dmsn0 $p |- dom { (/) } = (/) $=
      ( vx vy cv cop c0 csn wcel wex cab wceq wn cdm opnz opex elsnc mtbir nex
      eqid negbi 2false abbii dfdm3 dfnul2 3eqtr4 ) ACZBCZDZEFZGZBHZAIUEUEJZKZA
      IUHLEUJULAUJULUIBUIUGEJUEUFMUGEUEUFNOPQUKUERSTUAABUHUBAUCUD $.
      $( [16-Feb-2004] $) $( [30-Jan-2004] $)

    $( The domain of the singleton of the singleton of the empty set is
       empty. $)
    dmsnsn0 $p |- dom { { (/) } } = (/) $=
      ( vx vy cv cop c0 csn wcel wex cab wceq wn cdm cvv wa wo visset olci
      oran mpbi opprc3 mtbi opex elsnc mtbir nex eqid negbi 2false abbii dfdm3
      dfnul2 3eqtr4 ) ACZBCZDZEFZFZGZBHZAIUMUMJZKZAIUQLEUSVAAUSVAURBURUOUPJZUMM
      GZKUNMGZKNZVBVCVDOVEKVDVCBPQVCVDRSUMUNTUAUOUPUMUNUBUCUDUEUTUMUFUGUHUIABUQ
      UJAUKUL $.
      $( [30-Jan-2004] $) $( [30-Jan-2004] $)

    $( The domain of the identity relation is the universe. $)
    dmi $p |- dom I = V $=
      ( vx vy cv cid wbr wex cab wceq cdm cvv a9e visset ideq eqcom bitr exbii
      mpbir eqid 2th abbii df-dm df-v 3eqtr4 ) ACZBCZDEZBFZAGUDUDHZAGDIJUGUHAUG
      UHUGUEUDHZBFBAKUFUIBUFUDUEHUIUDUEBLMUDUENOPQUDRSTABDUAAUBUC $.
      $( [30-Apr-1998] $)

    $( The domain of the universe is the universe. $)
    dmv $p |- dom V = V $=
      ( cvv cdm ssv cid dmi wss dmss ax-mp eqsstr3 eqssi ) ABZAKCADBZKEDAFLKFDC
      DAGHIJ $.
      $( [8-Aug-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The domain of a singleton of an ordered pair is the singleton of the
       first member. $)
    dmsnop $p |- dom { <. A , B >. } = { A } $=
      ( vx vy cvv wcel cop csn cdm wceq cv wex cab wa visset opthg opex elsnc
      syl5bb exbidv 19.42v syl6bb wb isset iba sylbi bitr4d abbidv dfdm3 df-sn
      3eqtr4g wn opprc2 sneq dmeq 3syl c0 dmsnsn0 anidm opprc3 bitr3 dmeqd
      snprc biimp 3eqtr4a pm2.61i syl6eq ) BEFZABGZHZIZAHZJVHCKZDKZGZVJFZDLZCMV
      MAJZCMZVKVLVHVQVRCVHVQVRVNBJZDLZNZVRVHVQVRVTNZDLWBVHVPWCDVHVOVIJWCVPVMVNA
      BECOZDOZPVOVIVMVNQZRSTVRVTDUAUBVHWAVRWBUCDBUDWAVRUEUFUGUHCDVJUICAUJZUKVHU
      LZVKAAGZHZIZVLWHVIWIJVJWJJVKWKJABUMVIWIUNVJWJUOUPAEFZWKVLJWLVOWJFZDLZCMVS
      WKVLWLWNVRCWLWNVRVNAJZDLZNZVRWLWNVRWONZDLWQWLWMWRDWLVOWIJWRWMVMVNAAEWDWEP
      VOWIWFRSTVRWODUAUBWLWPVRWQUCDAUDWPVRUEUFUGUHCDWJUIWGUKWLULZUQHZHZIZUQWKVL
      URWSWIWTJZWKXBJWSWSWSNXCWSUSAAUTVAXCWJXAWIWTUNVBUFWSVLUQJAVCVDVEVFVGVF $.
      $( [31-Jan-2004] $) $( [30-Jan-2004] $)
  $}

  $( The domain of the singleton of the singleton of a singleton. $)
  dmsnsnsn $p |- dom { { { A } } } = { A } $=
    ( cop csn cdm cpr wceq dfsn2 preq2 ax-mp df-op 3eqtr4r sneqi dmeqi dmsnop
    eqtr3 ) AABZCZDACZCZCZDRQTPSRREZRAAEZEZSPRUBFUAUCFAGRUBRHIRGAAJKLMAANO $.
    $( [17-Sep-2004] $) $( [15-Sep-2004] $)

  ${
    $d x y A $.
    $( An empty domain implies an empty range. $)
    dm0rn0 $p |- ( dom A = (/) <-> ran A = (/) ) $=
      ( vx vy cv wbr wex cab c0 wceq cdm crn wcel wb wal wn excom negbii alnex
      3bitr4 noel nbn albii 3bitr3 abeq1 df-dm eqeq1i dfrn2 ) BDZCDZAEZCFZBGZHI
      ZUJBFZCGZHIZAJZHIAKZHIUKUHHLZMZBNZUNUIHLZMZCNZUMUPUKOZBNZUNOZCNZVAVDUKBFZ
      OUNCFZOVFVHVIVJUJBCPQUKBRUNCRSVEUTBUSUKUHTUAUBVGVCCVBUNUITUAUBUCUKBHUDUNC
      HUDSUQULHBCAUEUFURUOHBCAUGUFS $.
      $( [21-May-1998] $)

    $( A relation is empty iff its domain is empty. $)
    reldm0 $p |- ( Rel A -> ( A = (/) <-> dom A = (/) ) ) $=
      ( vx vy wrel c0 wceq cv cop wcel wb wal cdm rel0 eqrel mpan2 wn eq0 wex
      visset eldm2 negbii alnex noel nbn albii 3bitr2 bitr2 syl6bb ) ADZAEFZBGZ
      CGHZAIZULEIZJZCKZBKZALZEFZUIEDUJUQJMBCAENOUSUKURIZPZBKUQBURQVAUPBVAUMCRZP
      UMPZCKUPUTVBCUKABSTUAUMCUBVCUOCUNUMULUCUDUEUFUEUGUH $.
      $( [21-Sep-2004] $) $( [15-Sep-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The domain of a cross product.  Part of Theorem 3.13(x) of [Monk1]
       p. 37. $)
    dmxp $p |- ( B =/= (/) -> dom ( A X. B ) = A ) $=
      ( vy vx c0 wne cv wcel wex wral cxp cdm wceq ne0 biimp a1d r19.21aiv wa
      copab dmopab3 df-xp dmeqi eqeq1i bitr4 sylib ) BEFZCGBHZCIZDAJZABKZLZAMZU
      FUHDAUFUHDGAHZUFUHCBNOPQUIUMUGRDCSZLZAMULUGDCATUKUOAUJUNDCABUAUBUCUDUE $.
      $( [6-Apr-2007] $) $( [28-Jul-1995] $)
  $}

  $( The domain of a square cross product. $)
  dmxpid $p |- dom ( A X. A ) = A $=
    ( cxp cdm wceq c0 dm0 xpeq1 xp0r syl6eq dmeqd id 3eqtr4a dmxp pm2.61ine )
    AABZCZADAEAEDZECEPAFQOEQOEABEAEAGAHIJQKLAAMN $.
    $( [28-Jul-1995] $)

  $( The domain of the intersection of two square cross products.  Unlike
     ~ dmin , equality holds. $)
  dmxpin $p |- dom ( ( A X. A ) i^i ( B X. B ) ) = ( A i^i B ) $=
    ( cxp cin cdm inxp dmeqi dmxpid eqtr ) AACBBCDZEABDZKCZEKJLAABBFGKHI $.
    $( [5-Feb-2008] $) $( [29-Jan-2008] $)

  $( The cross product of a class with itself is one-to-one. $)
  xpid11 $p |- ( ( A X. A ) = ( B X. B ) <-> A = B ) $=
    ( cxp wceq cdm dmeq dmxpid 3eqtr3g xpeq1 xpeq2 eqtrd impbi ) AACZBBCZDZABDZ
    OMENEABMNFAGBGHPMBACNABAIABBJKL $.
    $( [5-Nov-2006] $) $( [5-Nov-2006] $)

  $( The domain of the double converse of a class (which doesn't have to be a
     relation as in ~ dfrel2 ). $)
  dmcnvcnv $p |- dom `' `' A = dom A $=
    ( cdm ccnv crn dfdm4 df-rn eqtr2 ) ABACZDHCBAEHFG $.
    $( [8-Apr-2007] $) $( [8-Apr-2007] $)

  $( The range of the double converse of a class. $)
  rncnvcnv $p |- ran `' `' A = ran A $=
    ( crn ccnv cdm df-rn dfdm4 eqtr2 ) ABACZDHCBAEHFG $.
    $( [10-Jul-2007] $) $( [8-Apr-2007] $)

  ${
    $d x y A $.  $d x y B $.
    $( The first member of an ordered pair in a relation belongs to the
       domain of the relation. $)
    elreldm $p |- ( ( Rel A /\ B e. A ) -> |^| |^| B e. dom A ) $=
      ( vx vy wrel wcel cint cdm cv cop wceq wex cvv cxp wss wi df-rel ssel
      sylbi elvv syl6ib eleq1 visset opeldm syl6bi inteq inteqd op1stb syl6eq
      eleq1d sylibrd 19.23aivv syli imp ) AEZBAFZBGZGZAHZFZUPUOBCIZDIZJZKZDLCLZ
      UTUOUPBMMNZFZVEUOAVFOUPVGPAQAVFBRSCDBTUAVDUPUTPCDVDUPVAUSFZUTVDUPVCAFVHBV
      CAUBVAVBACUCZUDUEVDURVAUSVDURVCGZGVAVDUQVJBVCUFUGVAVBVIUHUIUJUKULUMUN $.
      $( [5-Aug-2004] $) $( [28-Jul-2004] $)
  $}

  $( Equality theorem for range. $)
  rneq $p |- ( A = B -> ran A = ran B ) $=
    ( wceq ccnv cdm crn cnveq dmeqd df-rn 3eqtr4g ) ABCZADZEBDZEAFBFKLMABGHAIBI
    J $.
    $( [29-Dec-1996] $)

  ${
    rneqi.1 $e |- A = B $.
    $( Equality inference for range. $)
    rneqi $p |- ran A = ran B $=
      ( wceq crn rneq ax-mp ) ABDAEBEDCABFG $.
      $( [5-Mar-2004] $) $( [4-Mar-2004] $)
  $}

  ${
    rneqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for range. $)
    rneqd $p |- ( ph -> ran A = ran B ) $=
      ( wceq crn rneq syl ) ABCEBFCFEDBCGH $.
      $( [5-Mar-2004] $) $( [4-Mar-2004] $)
  $}

  $( Subset theorem for range. $)
  rnss $p |- ( A (_ B -> ran A (_ ran B ) $=
    ( wss ccnv cdm crn cnvss dmss syl df-rn 3sstr4g ) ABCZADZEZBDZEZAFBFLMOCNPC
    ABGMOHIAJBJK $.
    $( [22-Mar-1998] $)

  $( The second argument of a binary relation belongs to its range. $)
  brelrng $p |- ( ( A e. F /\ B e. G /\ A C B ) -> B e. ran C ) $=
    ( wcel wbr w3a ccnv cdm crn breldmg 3adant1 wa wb brcnvg ancoms biimprd
    3impia syld3an3 df-rn syl6eleqr ) ADFZBEFZABCGZHBCIZJZCKUCUDBAUFGZBUGFZUEUD
    UHUIUCBAEUFLMUCUDUEUHUCUDNUHUEUDUCUHUEOBAEDCPQRSTCUAUB $.
    $( [29-Jun-2008] $) $( [29-Jun-2008] $)

  ${
    brelrn.1 $e |- A e. V $.
    brelrn.2 $e |- B e. V $.
    $( The second argument of a binary relation belongs to its range. $)
    brelrn $p |- ( A C B -> B e. ran C ) $=
      ( cvv wcel wbr crn brelrng mp3an1 mpan ) BFGZABCHZBCIGZEAFGMNODABCFFJKL
      $.
      $( [29-Jun-2008] $) $( [13-Aug-2004] $)

    $( Membership of second member of an ordered pair in a range. $)
    opelrn $p |- ( <. A , B >. e. C -> B e. ran C ) $=
      ( cop wcel wbr crn df-br brelrn sylbir ) ABFCGABCHBCIGABCJABCDEKL $.
      $( [23-Feb-1997] $)
  $}

  $( The first argument of a binary relation belongs to its domain. $)
  releldm $p |- ( ( Rel R /\ A R B ) -> A e. dom R ) $=
    ( wrel wbr cvv wcel cdm brrelex breldmg sylancom ) CDABCEAFGACHGABCIABFCJK
    $.
    $( [6-Jul-2008] $) $( [2-Jul-2008] $)

  $( The second argument of a binary relation belongs to its range. $)
  relelrng $p |- ( ( B e. C /\ Rel R /\ A R B ) -> B e. ran R ) $=
    ( wcel cvv wbr crn wrel brelrng 3com12 brrelex 3adant1 syld3an2 ) BCEZAFEZA
    BDGZBDHEZDIZPOQRABDFCJKSQPOABDLMN $.
    $( [16-Jul-2008] $) $( [2-Jul-2008] $)

  ${
    $d x y z w v $.  $d z w v A $.
    dfrnf.1 $e |- ( z e. A -> A. x z e. A ) $.
    dfrnf.2 $e |- ( z e. A -> A. y z e. A ) $.
    $( Definition of range, using bound-variable hypotheses instead of distinct
       variable conditions. $)
    dfrnf $p |- ran A = { y | E. x <. x , y >. e. A } $=
      ( vv vw crn cv cop wcel wex cab dfrn3 ax-17 hbel wceq opeq1 eleq1d cbvex
      abbii hbex opeq2 exbidv cbvab 3eqtr ) DIGJZHJZKZDLZGMZHNAJZUIKZDLZAMZHNUM
      BJZKZDLZAMZBNGHDOULUPHUKUOGAACCUJDCJZUJLAPEQUOGPUHUMRUJUNDUHUMUISTUAUBUPU
      THBUOBABCCUNDVAUNLBPFQUCUTHPUIUQRZUOUSAVBUNURDUIUQUMUDTUEUFUG $.
      $( [14-Aug-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    elrn.1 $e |- A e. V $.
    $( Membership in a range. $)
    elrn2 $p |- ( A e. ran B <-> E. x <. x , A >. e. B ) $=
      ( vy cv cop wcel wex crn wceq opeq2 eleq1d exbidv dfrn3 elab2 ) AFZEFZGZC
      HZAIQBGZCHZAIEBCJDRBKZTUBAUCSUACRBQLMNAECOP $.
      $( [10-Jul-1994] $)

    $( Membership in a range. $)
    elrn $p |- ( A e. ran B <-> E. x x B A ) $=
      ( crn wcel cv cop wex wbr elrn2 df-br exbii bitr4 ) BCEFAGZBHCFZAIOBCJZAI
      ABCDKQPAOBCLMN $.
      $( [5-Apr-2004] $) $( [2-Apr-2004] $)
  $}

  ${
    $d x y z w $.  $d y z w A $.
    hbrn.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for range. $)
    hbrn $p |- ( y e. ran A -> A. x y e. ran A ) $=
      ( vz vw cv cop wcel wex wal crn ax-17 hbel hbex visset elrn2 albii
      3imtr4 ) EGZBGZHZCIZEJZUDAKUACLIZUEAKUCAEAFEUBCFGUBIAMABBTCUATIAMDNNOEUAC
      BPQZUEUDAUFRS $.
      $( [1-Sep-1999] $)
  $}

  ${
    $d x y z w $.  $d y z w A $.
    hbdm.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for domain. $)
    hbdm $p |- ( y e. dom A -> A. x y e. dom A ) $=
      ( cdm ccnv crn dfdm4 hbcnv hbrn hbxfr ) ABCECFZGCHABLABCDIJK $.
      $( [31-Jan-2004] $) $( [30-Jan-2004] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( The range of a class of ordered pairs. $)
    rnopab $p |- ran { <. x , y >. | ph } = { y | E. x ph } $=
      ( vz copab crn cv cop wcel wex cab hbopab1 hbopab2 dfrnf opabid exbii
      abbii eqtr ) ABCEZFBGCGHSIZBJZCKABJZCKBCDSABCDLABCDMNUAUBCTABABCOPQR $.
      $( [14-Aug-1995] $)
  $}

  ${
    $d x y $.
    $( The range of a function expressed as a class abstraction. $)
    rnopab2 $p |- ran { <. x , y >. | ( x e. A /\ y = B ) } =
                 { y | E. x e. A y = B } $=
      ( cv wcel wceq wa copab crn wex cab wrex rnopab df-rex abbii eqtr4 ) AECF
      BEDGZHZABIJSAKZBLRACMZBLSABNUATBRACOPQ $.
      $( [25-Mar-2006] $) $( [23-Mar-2006] $)
  $}

  $( The range of the empty set is empty.  Part of Theorem 3.8(v) of [Monk1]
     p. 36. $)
  rn0 $p |- ran (/) = (/) $=
    ( c0 cdm wceq crn dm0 dm0rn0 mpbi ) ABACADACEAFG $.
    $( [4-Jul-1994] $)

  ${
    $d x y A $.
    $( A relation is empty iff its range is empty. $)
    relrn0 $p |- ( Rel A -> ( A = (/) <-> ran A = (/) ) ) $=
      ( wrel c0 wceq cdm crn reldm0 dm0rn0 syl6bb ) ABACDAECDAFCDAGAHI $.
      $( [3-Oct-2004] $) $( [15-Sep-2004] $)

    $( The domain and range of a class are included in its double union. $)
    dmrnssfld $p |- ( dom A u. ran A ) (_ U. U. A $=
      ( vx vy cdm crn cuni cv wcel cop wex visset eldm2 cpr pri1 wss uniopel
      uniop syl5eqelr elssuni syl sseld mpi 19.23aiv sylbi ssriv elrn2 pri2
      unssi ) ADZAEZAFZFZBUIULBGZUIHUMCGZIZAHZCJUMULHZCUMABKZLUPUQCUPUMUMUNMZHU
      QUMUNURNUPUSULUMUPUSUKHUSULOUPUOFUKUSUMUNAPUMUNQRUSUKSTZUAUBUCUDUECUJULUN
      UJHUPBJUNULHZBUNACKZUFUPVABUPUNUSHVAUMUNVBUGUPUSULUNUTUAUBUCUDUEUH $.
      $( [14-May-2008] $) $( [13-May-2008] $)
  $}

  $( The domain of a set is a set.  Corollary 6.8(2) of [TakeutiZaring]
     p. 26. $)
  dmexg $p |- ( A e. B -> dom A e. V ) $=
    ( wcel cuni cvv cdm uniexg wss crn cun ssun1 dmrnssfld sstri ssexg mpan
    3syl ) ABCADZECQDZECZAFZECZABGQEGTRHSUATTAIZJRTUBKALMTRENOP $.
    $( [7-Apr-1995] $)

  $( The range of a set is a set.  Corollary 6.8(3) of [TakeutiZaring] p. 26.
     Similar to Lemma 3D of [Enderton] p. 41. $)
  rnexg $p |- ( A e. B -> ran A e. V ) $=
    ( wcel cuni cvv crn uniexg wss cdm cun ssun2 dmrnssfld sstri ssexg mpan
    3syl ) ABCADZECQDZECZAFZECZABGQEGTRHSUATAIZTJRTUBKALMTRENOP $.
    $( [31-Mar-1995] $)

  ${
    dmex.1 $e |- A e. V $.
    $( The domain of a set is a set.  Corollary 6.8(2) of [TakeutiZaring]
       p. 26. $)
    dmex $p |- dom A e. V $=
      ( cvv wcel cdm dmexg ax-mp ) ACDAECDBACFG $.
      $( [7-Jul-2008] $) $( [7-Jul-2008] $)

    $( The range of a set is a set.  Corollary 6.8(3) of [TakeutiZaring] p. 26.
       Similar to Lemma 3D of [Enderton] p. 41. $)
    rnex $p |- ran A e. V $=
      ( cvv wcel crn rnexg ax-mp ) ACDAECDBACFG $.
      $( [23-Jul-2008] $) $( [7-Jul-2008] $)
  $}

  $( The identity function is a proper class.  This means, for example, that
     we cannot use it as a member of the class of continuous functions unless
     it is restricted to a set, as in ~ idcn . $)
  inelv $p |- -. I e. V $=
    ( cid cvv wcel cdm nvelv dmi eleq1i mtbir dmexg mto ) ABCADZBCZLBBCEKBBFGHA
    BIJ $.
    $( [1-Jan-2007] $) $( [1-Jan-2007] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( Domain of a composition.  Theorem 21 of [Suppes] p. 63. $)
    dmcoss $p |- dom ( A o. B ) (_ dom B $=
      ( vx vy vz cv ccom wbr wex cab cdm wa cop wcel df-br visset opelco bitr
      exbii excom 19.42v pm3.26bi 19.22i sylbi ss2abi df-dm 3sstr4 ) CFZDFZABGZ
      HZDIZCJUHEFZBHZEIZCJUJKBKULUOCULUNUMUIAHZLZDIZEIZUOULUQEIZDIUSUKUTDUKUHUI
      MUJNUTUHUIUJOEUHUIABCPDPQRSUQDETRURUNEURUNUPDIUNUPDUAUBUCUDUECDUJUFCEBUFU
      G $.
      $( [19-Mar-1998] $)
  $}

  $( Range of a composition. $)
  rncoss $p |- ran ( A o. B ) (_ ran A $=
    ( ccnv ccom cdm crn dmcoss df-rn cnvco dmeqi eqtr 3sstr4 ) BCZACZDZEZNEABDZ
    FZAFMNGRQCZEPQHSOABIJKAHL $.
    $( [19-Mar-1998] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( Domain of a composition. $)
    dmcosseq $p |- ( ran B (_ dom A -> dom ( A o. B ) = dom B ) $=
      ( vz vx vy cv crn wcel cdm wi wal ccom wb wss wceq wbr wex wa hbe1 ax-17
      hbim hbal hba1 19.8a imim1i ancld a4s 19.22d 19.21ai pm3.26 19.22i
      ax-gen jctil albi sylibr visset elrn eldm imbi12i albii cop eldm2 opelco
      exbii excom 19.42v bitr 3bitr bibi12i 3imtr4 dfss2 dfcleq ) CFZBGZHZVMAIZ
      HZJZCKZDFZABLZIZHZVTBIZHZMZDKZVNVPNWBWDOVTVMBPZDQZVMEFZAPZEQZJZCKZWHWLRZC
      QZWHCQZMZDKZVSWGWNWPWQJZDKZWQWPJZDKZRWSWNXCXAWNXBDWMDCWIWLDWHDSWLDTUAUBWN
      WHWOCWMCUCWMWHWOJCWMWHWLWHWIWLWHDUDUEUFUGUHUIWTDWOWHCWHWLUJUKULUMWPWQDUNU
      OVRWMCVOWIVQWLDVMBCUPZUQEVMAXDURUSUTWFWRDWCWPWEWQWCVTWJVAWAHZEQWHWKRZCQZE
      QZWPEVTWADUPZVBXEXGECVTWJABXIEUPVCVDXHXFEQZCQWPXFECVEXJWOCWHWKEVFVDVGVHCV
      TBXIURVIUTVJCVNVPVKDWBWDVLVJ $.
      $( [28-May-1998] $)

    $( Domain of a composition. $)
    dmcoeq $p |- ( dom A = ran B -> dom ( A o. B ) = dom B ) $=
      ( cdm crn wceq wss ccom eqimss2 dmcosseq syl ) ACZBDZELKFABGCBCELKHABIJ
      $.
      $( [19-Mar-1998] $)
  $}

  $( Range of a composition. $)
  rncoeq $p |- ( dom A = ran B -> ran ( A o. B ) = ran A ) $=
    ( ccnv cdm crn wceq ccom dmcoeq eqcom df-rn dfdm4 eqeq12i bitr cnvco dmeqi
    eqtr 3imtr4 ) BCZDZACZEZFZRTGZDZTDZFADZBEZFZABGZEZAEZFRTHUHUGUFFUBUFUGIUGSU
    FUABJAKLMUJUDUKUEUJUICZDUDUIJULUCABNOPAJLQ $.
    $( [19-Mar-1998] $)

  $( Equality theorem for restrictions. $)
  reseq1 $p |- ( A = B -> ( A |` C ) = ( B |` C ) ) $=
    ( wceq cvv cxp cin cres ineq1 df-res 3eqtr4g ) ABDACEFZGBLGACHBCHABLIACJBCJ
    K $.
    $( [7-Aug-1994] $)

  $( Equality theorem for restrictions. $)
  reseq2 $p |- ( A = B -> ( C |` A ) = ( C |` B ) ) $=
    ( wceq cvv cxp cin cres xpeq1 ineq2d df-res 3eqtr4g ) ABDZCAEFZGCBEFZGCAHCB
    HMNOCABEIJCAKCBKL $.
    $( [8-Aug-1994] $)

  ${
    $d y A $.  $d y B $.  $d x y $.
    hbres.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbres.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for restriction. $)
    hbres $p |- ( y e. ( A |` B ) -> A. x y e. ( A |` B ) ) $=
      ( cres cvv cxp cin df-res cv wcel ax-17 hbxp hbin hbxfr ) ABCDGCDHIZJCDKA
      BCREABDHFBLHMANOPQ $.
      $( [15-Sep-2003] $)
  $}

  $( A restriction to the empty set is empty. $)
  res0 $p |- ( A |` (/) ) = (/) $=
    ( c0 cres cvv cxp cin df-res xp0r ineq2i in0 3eqtr ) ABCABDEZFABFBABGLBADHI
    AJK $.
    $( [12-Nov-1994] $)

  ${
    opelres.1 $e |- B e. V $.
    $( Ordered pair membership in a restriction.  Exercise 13 of
       [TakeutiZaring] p. 25. $)
    opelres $p |- ( <. A , B >. e. ( C |` D ) <->
                    ( <. A , B >. e. C /\ A e. D ) ) $=
      ( cop cres wcel cvv cxp cin wa df-res eleq2i elin opelxp mpbiran2 anbi2i
      3bitr ) ABFZCDGZHTCDIJZKZHTCHZTUBHZLUDADHZLUAUCTCDMNTCUBOUEUFUDUEUFBIHABD
      IEPEQRS $.
      $( [13-Nov-1995] $)

    $( Binary relation on a restriction. $)
    brres $p |- ( A ( C |` D ) B <-> ( A C B /\ A e. D ) ) $=
      ( cop cres wcel wa wbr opelres df-br anbi1i 3bitr4 ) ABFZCDGZHOCHZADHZIAB
      PJABCJZRIABCDEKABPLSQRABCLMN $.
      $( [16-Dec-2006] $) $( [12-Dec-2006] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d y D $.
    $( Ordered pair membership in a restriction.  Exercise 13 of
       [TakeutiZaring] p. 25. $)
    opelresg $p |- ( B e. R -> ( <. A , B >. e. ( C |` D ) <->
                    ( <. A , B >. e. C /\ A e. D ) ) ) $=
      ( vy cv cop cres wcel wa wceq opeq2 eleq1d anbi1d visset opelres vtoclbg
      ) AFGZHZCDIZJTCJZADJZKABHZUAJUDCJZUCKFBESBLZTUDUASBAMZNUFUBUEUCUFTUDCUGNO
      ASCDFPQR $.
      $( [31-Dec-2005] $) $( [14-Oct-2005] $)
  $}

  ${
    opres.1 $e |- B e. V $.
    $( Ordered pair membership in a restriction when the first member belongs
       to the restricting class. $)
    opres $p |- ( A e. D ->
                    ( <. A , B >. e. ( C |` D ) <-> <. A , B >. e. C ) ) $=
      ( wcel cop cres opelres pm3.26bi wa biimpr expcom impbid2 ) ADFZABGZCDHFZ
      PCFZQROABCDEIZJROQQROKSLMN $.
      $( [2-May-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( A restricted identity relation is equivalent to equality in its
       domain. $)
    resieq $p |- ( ( B e. A /\ C e. A ) -> ( B ( I |` A ) C <-> B = C ) ) $=
      ( vx wcel cid cres wbr wceq wb cv wi breq2 eqeq2 bibi12d imbi2d cop
      visset opres df-br ideq bitr3 3bitr4g vtoclg impcom ) CAEBAEZBCFAGZHZBCIZ
      JZUFBDKZUGHZBUKIZJZLUFUJLDCAUKCIZUNUJUFUOULUHUMUIUKCBUGMUKCBNOPUFBUKQZUGE
      UPFEZULUMBUKFADRZSBUKUGTUMBUKFHUQBUKURUABUKFTUBUCUDUE $.
      $( [14-May-2004] $) $( [30-Apr-2004] $)
  $}

  $( The restriction of a restriction. $)
  resres $p |- ( ( A |` B ) |` C ) = ( A |` ( B i^i C ) ) $=
    ( cres cvv cxp cin df-res ineq1i xpindir ineq2i inass 3eqtr4r 3eqtr ) ABDZC
    DOCEFZGABEFZGZPGZABCGZDZOCHORPABHIATEFZGAQPGZGUASUBUCABCEJKATHAQPLMN $.
    $( [28-Mar-2008] $) $( [27-Mar-2008] $)

  $( Distributive law for restriction over union.  Theorem 31 of [Suppes]
     p. 65. $)
  resundi $p |- ( A |` ( B u. C ) ) = ( ( A |` B ) u. ( A |` C ) ) $=
    ( cun cvv cxp cin cres xpundir ineq2i indi eqtr df-res uneq12i 3eqtr4 ) ABC
    DZEFZGZABEFZGZACEFZGZDZAPHABHZACHZDRASUADZGUCQUFABCEIJASUAKLAPMUDTUEUBABMAC
    MNO $.
    $( [30-Sep-2002] $)

  $( Distributive law for restriction over union. $)
  resundir $p |- ( ( A u. B ) |` C ) = ( ( A |` C ) u. ( B |` C ) ) $=
    ( cun cvv cxp cin cres indir df-res uneq12i 3eqtr4 ) ABDZCEFZGANGZBNGZDMCHA
    CHZBCHZDABNIMCJQORPACJBCJKL $.
    $( [17-Oct-2004] $) $( [23-Sep-2004] $)

  ${
    $d x y A $.  $d x y B $.
    $( The domain of a restriction.  Exercise 14 of [TakeutiZaring]
       p. 25. $)
    dmres $p |- dom ( A |` B ) = ( B i^i dom A ) $=
      ( vx vy cdm cin cres cv cop wcel wex wa visset opelres exbii eldm2
      anbi1i 19.41v bitr4 3bitr4r ineqri incom eqtr3 ) AEZBFABGZEZBUDFCUDBUFCHZ
      DHZIZUEJZDKUIAJZUGBJZLZDKZUGUFJUGUDJZULLZUJUMDUGUHABDMNODUGUECMZPUPUKDKZU
      LLUNUOURULDUGAUQPQUKULDRSTUAUDBUBUC $.
      $( [1-Aug-1994] $)
  $}

  $( A domain restricted to a subclass equals the subclass. $)
  ssdmres $p |- ( A (_ dom B <-> dom ( B |` A ) = A ) $=
    ( cdm wss cin wceq cres df-ss dmres eqeq1i bitr4 ) ABCZDALEZAFBAGCZAFALHNMA
    BAIJK $.
    $( [28-Aug-2004] $) $( [2-Mar-1997] $)

  $( The domain of a restriction to a set exists. $)
  dmresexg $p |- ( B e. C -> dom ( A |` B ) e. V ) $=
    ( wcel cdm cin cvv cres inex1g dmres syl5eqel ) BCDBAEZFGABHEBLCIABJK $.
    $( [7-Apr-1995] $)

  $( A class includes its restriction.  Exercise 15 of [TakeutiZaring]
     p. 25. $)
  resss $p |- ( A |` B ) (_ A $=
    ( cres cvv cxp cin df-res inss1 eqsstr ) ABCABDEZFAABGAJHI $.
    $( [2-Aug-1994] $)

  $( Commutative law for restriction. $)
  rescom $p |- ( ( A |` B ) |` C ) = ( ( A |` C ) |` B ) $=
    ( cin cres wceq incom reseq2 ax-mp resres 3eqtr4 ) ABCDZEZACBDZEZABECEACEBE
    LNFMOFBCGLNAHIABCJACBJK $.
    $( [27-Mar-1998] $)

  $( Subclass theorem for restriction. $)
  ssres $p |- ( A (_ B -> ( A |` C ) (_ ( B |` C ) ) $=
    ( wss cvv cxp cin cres ssrin df-res 3sstr4g ) ABDACEFZGBLGACHBCHABLIACJBCJK
    $.
    $( [16-Aug-1994] $)

  $( Subclass theorem for restriction. $)
  ssres2 $p |- ( A (_ B -> ( C |` A ) (_ ( C |` B ) ) $=
    ( wss cvv cxp cin cres ssid ssxp mpan2 sslin syl df-res 3sstr4g ) ABDZCAEFZ
    GZCBEFZGZCAHCBHPQSDZRTDPEEDUAEIABEEJKQSCLMCANCBNO $.
    $( [22-Mar-1998] $)

  $( A restriction is a relation.  Exercise 12 of [TakeutiZaring] p. 25. $)
  relres $p |- Rel ( A |` B ) $=
    ( cres wrel cvv cxp wss cin df-res inss2 xpss sstri eqsstr df-rel mpbir )
    ABCZDPEEFZGPABEFZHZQABISRQARJBEKLMPNO $.
    $( [2-Aug-1994] $)

  $( Absorption law for restriction.  Exercise 17 of [TakeutiZaring] p. 25. $)
  resabs1 $p |- ( B (_ C -> ( ( A |` C ) |` B ) = ( A |` B ) ) $=
    ( wss cin cres wceq sseqin2 reseq2 sylbi resres syl5eq ) BCDZACBEZFZABFZACF
    BFMNBGOPGBCHNBAIJACBKL $.
    $( [9-Aug-1994] $)

  $( Absorption law for restriction. $)
  resabs2 $p |- ( B (_ C -> ( ( A |` B ) |` C ) = ( A |` B ) ) $=
    ( wss cres resabs1 rescom syl5eq ) BCDACEBEABEZICEABCFABCGH $.
    $( [27-Mar-1998] $)

  $( Idempotent law for restriction. $)
  residm $p |- ( ( A |` B ) |` B ) = ( A |` B ) $=
    ( wss cres wceq ssid resabs2 ax-mp ) BBCABDZBDIEBFABBGH $.
    $( [27-Mar-1998] $)

  $( A restriction to an image. $)
  resima $p |- ( ( A |` B ) " B ) = ( A " B ) $=
    ( cres crn cima residm rneqi df-ima 3eqtr4 ) ABCZBCZDJDJBEABEKJABFGJBHABHI
    $.
    $( [9-Oct-2004] $) $( [29-Sep-2004] $)

  ${
    $d x y A $.  $d x y B $.
    $( Simplification law for restriction. $)
    relssres $p |- ( ( Rel A /\ dom A (_ B ) -> ( A |` B ) = A ) $=
      ( vx vy wrel cdm wss wa cres wceq pm3.26 cv cop wcel wi ssel visset
      opeldm syl5 ancld opelres syl6ibr adantl relssdv resss jctil eqss sylibr
      ) AEZAFZBGZHZABIZAGZAUMGZHUMAJULUOUNULCDAUMUIUKKUKCLZDLZMZANZURUMNZOUIUKU
      SUSUPBNZHUTUKUSVAUKUPUJNVAUSUJBUPPUPUQACQRSTUPUQABDQUAUBUCUDABUEUFUMAUGUH
      $.
      $( [15-Mar-2004] $) $( [16-Aug-1994] $)
  $}

  $( A relation restricted to its domain equals itself. $)
  resdm $p |- ( Rel A -> ( A |` dom A ) = A ) $=
    ( wrel cdm wss cres wceq ssid relssres mpan2 ) ABACZJDAJEAFJGAJHI $.
    $( [8-Apr-2007] $) $( [12-Dec-2006] $)

  $( The restriction of a set is a set. $)
  resexg $p |- ( A e. C -> ( A |` B ) e. V ) $=
    ( wcel cvv cxp cin cres inex1g df-res syl5eqel ) ACDABEFZGEABHALCIABJK $.
    $( [28-Mar-1998] $)

  ${
    $d x y A $.
    $( Restriction of a class abstraction of ordered pairs. $)
    resopab $p |- ( { <. x , y >. | ph } |` A ) =
                  { <. x , y >. | ( x e. A /\ ph ) } $=
      ( copab cres cvv cxp cin cv wcel wa df-res df-xp visset biantru opabbii
      eqtr4 ineq2i incom eqtr inopab 3eqtr ) ABCEZDFUDDGHZIZBJDKZBCEZUDIZUGALBC
      EUDDMUFUDUHIUIUEUHUDUEUGCJGKZLZBCEUHBCDGNUGUKBCUJUGCOPQRSUDUHTUAUGABCUBUC
      $.
      $( [5-Nov-2002] $)

    $( The existence of a restricted identity function, proved without using
       the Axiom of Replacement (unlike ~ resfunexg ). $)
    resiexg $p |- ( A e. B -> ( I |` A ) e. V ) $=
      ( vx vy wcel cxp cvv cid cres xpexg anidms wss relres cv wceq wa cop
      pm3.27 eleq1 biimpa jca visset opelres wbr df-br ideq bitr3 anbi1i bitr
      opelxp 3imtr4 relssi ssexg mpan syl ) ABEZAAFZGEZHAIZGEZUPURAABBJKUSUQLUR
      UTCDUSUQHAMCNZDNZOZVAAEZPZVDVBAEZPVAVBQZUSEZVGUQEVEVDVFVCVDRVCVDVFVAVBAST
      UAVHVGHEZVDPVEVAVBHADUBZUCVIVCVDVIVAVBHUDVCVAVBHUEVAVBVJUFUGUHUIVAVBAAVJU
      JUKULUSUQGUMUNUO $.
      $( [14-Jan-2007] $) $( [13-Jan-2007] $)

    $( A subclass of the identity function is the identity function restricted
       to its domain. $)
    iss $p |- ( A (_ I <-> A = ( I |` dom A ) ) $=
      ( vx vy cid wss cdm cres wceq cv cop wcel wb wal wa ssel wbr df-br
      visset ideq bitr3 syl6ib pm4.71rd wex eqcom anbi1i syl6bb exbidv opeq2
      eleq1d ceqsexv eldm2 syl5bb anbi2d pm5.32i bitr4d opelres bitr2
      19.21aivv wrel reli relss mpi relres eqrel mpan2 syl mpbird resss sseq1
      mpbiri impbi ) ADEZADAFZGZHZVLVOBIZCIZJZAKZVRVNKZLZCMBMZVLWABCVLVSVPVQHZV
      PVMKZNZVTVLVSWCVSNZWEVLVSWCVLVSVRDKZWCADVROWGVPVQDPWCVPVQDQVPVQCRZSTZUAUB
      ZVLWEWCVPVPJZAKZNWFVLWDWLWCVLVSCUCZWLWDVLWMVQVPHZVSNZCUCWLVLVSWOCVLVSWFWO
      WJWCWNVSVPVQUDUEUFUGVSWLCVPBRZWNVRWKAVQVPVPUHUIUJUFCVPAWPUKULUMWCWLVSWCWK
      VRAVPVQVPUHUIUNUFUOVTWGWDNWEVPVQDVMWHUPWGWCWDWIUEUQUFURVLAUSZVOWBLZVLDUSW
      QUTADVAVBWQVNUSWRDVMVCBCAVNVDVEVFVGVOVLVNDEDVMVHAVNDVIVJVK $.
      $( [16-Dec-2003] $) $( [13-Dec-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Restriction of a class abstraction of ordered pairs. $)
    resopab2 $p |- ( A (_ B -> ( { <. x , y >. | ( x e. B /\ ph ) } |` A ) =
                  { <. x , y >. | ( x e. A /\ ph ) } ) $=
      ( wss cv wcel wa copab cres wi wb ssel pm4.71 sylib anbi1d anass syl6rbb
      opabbidv resopab syl5eq ) DEFZBGZDHZUDEHZAIZIZBCJUEAIZBCJUGBCJDKUCUHUIBCU
      CUIUEUFIZAIUHUCUEUJAUCUEUFLUEUJMDEUDNUEUFOPQUEUFARSTUGBCDUAUB $.
      $( [24-Aug-2007] $) $( [24-Aug-2007] $)
  $}

  $( The domain of a restricted identity function. $)
  dmresi $p |- dom ( I |` A ) = A $=
    ( cid cdm wss cres wceq cvv ssv dmi sseqtr4 ssdmres mpbi ) ABCZDBAECAFAGMAH
    IJABKL $.
    $( [30-Aug-2004] $) $( [27-Aug-2004] $)

  $( MAY BE REVISED - delete this and replace w/ dfres3 (in FL's sandbox) $)
  $( Any relation restricted to the universe is itself. $)
  resid $p |- ( Rel A -> ( A |` V ) = A ) $=
    ( wrel cdm cvv wss cres wceq ssv relssres mpan2 ) ABACZDEADFAGKHADIJ $.
    $( [17-Mar-2004] $) $( [16-Mar-2004] $)

  $( Equality theorem for image. $)
  imaeq1 $p |- ( A = B -> ( A " C ) = ( B " C ) ) $=
    ( wceq cres crn cima reseq1 rneqd df-ima 3eqtr4g ) ABDZACEZFBCEZFACGBCGLMNA
    BCHIACJBCJK $.
    $( [14-Aug-1994] $)

  $( Equality theorem for image. $)
  imaeq2 $p |- ( A = B -> ( C " A ) = ( C " B ) ) $=
    ( wceq cres crn cima reseq2 rneqd df-ima 3eqtr4g ) ABDZCAEZFCBEZFCAGCBGLMNA
    BCHICAJCBJK $.
    $( [14-Aug-1994] $)

  ${
    imaeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality theorem for image.  (Contributed by FL, 15-Dec-2006.) $)
    imaeq1d $p |- ( ph -> ( A " C ) = ( B " C ) ) $=
      ( wceq cima imaeq1 syl ) ABCFBDGCDGFEBCDHI $.
      $( [15-Dec-2006] $) $( [12-Dec-2006] $)

    $( Equality theorem for image.  (Contributed by FL, 15-Dec-2006.) $)
    imaeq2d $p |- ( ph -> ( C " A ) = ( C " B ) ) $=
      ( wceq cima imaeq2 syl ) ABCFDBGDCGFEBCDHI $.
      $( [15-Dec-2006] $) $( [12-Dec-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Alternate definition of image.  Compare definition (d) of [Enderton]
       p. 44. $)
    dfima2 $p |- ( A " B ) = { y | E. x e. B x A y } $=
      ( cima cres crn cv cop wcel wex cab wbr wrex df-ima dfrn3 wa cvv cxp cin
      df-res eleq2i elin ancom df-br visset biantru opelxp bitr4 anbi12i bitr2
      3bitr exbii df-rex abbii 3eqtr ) CDECDFZGAHZBHZIZUQJZAKZBLURUSCMZADNZBLCD
      OABUQPVBVDBVBURDJZVCQZAKVDVAVFAVAUTCDRSZTZJUTCJZUTVGJZQZVFUQVHUTCDUAUBUTC
      VGUCVFVCVEQVKVEVCUDVCVIVEVJURUSCUEVEVEUSRJZQVJVLVEBUFZUGURUSDRVMUHUIUJUKU
      LUMVCADUNUIUOUP $.
      $( [22-Apr-2004] $) $( [19-Apr-2004] $)

    $( Alternate definition of image.  Compare definition (d) of [Enderton]
       p. 44. $)
    dfima3 $p |- ( A " B ) = { y | E. x ( x e. B /\ <. x , y >. e. A ) } $=
      ( cima cv wbr wrex cab wcel cop wa wex dfima2 df-rex df-br anbi2i exbii
      bitr abbii eqtr ) CDEAFZBFZCGZADHZBIUBDJZUBUCKCJZLZAMZBIABCDNUEUIBUEUFUDL
      ZAMUIUDADOUJUHAUDUGUFUBUCCPQRSTUA $.
      $( [14-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in an image.  Theorem 34 of [Suppes] p. 65. $)
    elimag $p |- ( A e. D -> ( A e. ( B " C ) <-> E. x e. C x B A ) ) $=
      ( vy cv wbr wrex cima wceq breq2 rexbidv dfima2 elab2g ) AGZFGZCHZADIPBCH
      ZADIFBCDJEQBKRSADQBPCLMAFCDNO $.
      $( [17-Feb-2007] $) $( [20-Jan-2007] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    elima.1 $e |- A e. V $.
    $( Membership in an image.  Theorem 34 of [Suppes] p. 65. $)
    elima $p |- ( A e. ( B " C ) <-> E. x e. C x B A ) $=
      ( cvv wcel cima cv wbr wrex wb elimag ax-mp ) BFGBCDHGAIBCJADKLEABCDFMN
      $.
      $( [22-Apr-2004] $) $( [19-Apr-2004] $)

    $( Membership in an image.  Theorem 34 of [Suppes] p. 65. $)
    elima2 $p |- ( A e. ( B " C ) <-> E. x ( x e. C /\ x B A ) ) $=
      ( cima wcel cv wbr wrex wa wex elima df-rex bitr ) BCDFGAHZBCIZADJPDGQKAL
      ABCDEMQADNO $.
      $( [12-Aug-2004] $) $( [11-Aug-2004] $)

    $( Membership in an image.  Theorem 34 of [Suppes] p. 65. $)
    elima3 $p |- ( A e. ( B " C ) <-> E. x ( x e. C /\ <. x , A >. e. B ) ) $=
      ( cima wcel cv wbr wa wex cop elima2 df-br anbi2i exbii bitr ) BCDFGAHZDG
      ZRBCIZJZAKSRBLCGZJZAKABCDEMUAUCATUBSRBCNOPQ $.
      $( [14-Aug-1994] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d x y z w $.
    hbima.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbima.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for image. $)
    hbima $p |- ( y e. ( A " B ) -> A. x y e. ( A " B ) ) $=
      ( vz vw cv wcel cop wa wex wal cima ax-17 hbel hbop hban hbex visset
      elima3 albii 3imtr4 ) GIZDJZUEBIZKZCJZLZGMZUKANUGCDOJZULANUJAGUFUIAAHBUED
      HIZUEJAPZFQAHBUHCAHUEUGUNUMUGJAPREQSTGUGCDBUAUBZULUKAUOUCUD $.
      $( [30-Dec-1996] $)
  $}

  ${
    $d x y z $.  $d B y z $.  $d A y z $.  $d ph y $.
    hbimad.1 $e |- ( ph -> A. x ph ) $.
    hbimad.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hbimad.3 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbima .
       (Contributed by FL, 15-Dec-2006.) $)
    hbimad $p |- ( ph -> ( y e. ( A " B ) -> A. x y e. ( A " B ) ) ) $=
      ( vz cv wcel wal cab cima wi hba1 hbab hbima a1i wceq 19.21aiv abidhb
      syl imaeq1d imaeq2d eqtrd eleq2d albid 3imtr3d ) ACJZIJZDKZBLZIMZUKEKZBLZ
      IMZNZKZUSBLZUJDENZKZVBBLUSUTOABCUNUQUMBICULBPQUPBICUOBPQRSAURVAUJAURDUQNV
      AAUNDUQAUJDKZVCBLOZCLUNDTAVDCGUABCIDUBUCUDAUQEDAUJEKZVEBLOZCLUQETAVFCHUAB
      CIEUBUCUEUFUGZAUSVBBFVGUHUI $.
      $( [15-Dec-2006] $) $( [14-Dec-2006] $)
  $}

  ${
    $d A y z $.  $d B y z $.  $d C y z $.  $d x y z $.  $d F y z $.
    $( Move class substitution in and out of the image of a function.
       (Contributed by FL, 15-Dec-2006.) $)
    csbima12g $p |- ( A e. C -> [_ A / x ]_ ( F " B ) =
                 ( [_ A / x ]_ F " [_ A / x ]_ B ) ) $=
      ( vy vz wcel cv cima csb ax-17 hbcsb1g hbimad wceq wex a9e visset hbcsb1
      hbima hbeq csbeq1a imaeq1d imaeq2d 3eqtr3d 19.23ai ax-mp a1i 3eqtrd
      csbiegf csbcog eqtrd ) BDHZFBAFIZECJZKZKFBAUNEKZKZFBAUNCKZKZJZABUOKABEKZA
      BCKZJZFGBUPVADUMFGURUTUMFLFGBUQDGIZBHFLZMFGBUSDVFMNUNBOZUPUQUSJZURUSJVAUP
      VHOZVGAIUNOZAPVIAFQVJVIAAGGUPVHAGUNUOFRZVEUNHALZSAGUQUSAGUNEVKVLSAGUNCVKV
      LSTUAVJUOUQCJUPVHVJEUQCAUNEUBUCAUNUOUBVJCUSUQAUNCUBUDUEUFUGUHVGUQURUSFBUQ
      UBUCVGUSUTURFBUSUBUDUIUJAFBUODUKUMVAVBUTJVDUMURVBUTAFBEDUKUCUMUTVCVBAFBCD
      UKUDULUE $.
      $( [15-Dec-2006] $) $( [13-Dec-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The image of the domain of a class is the range of the class. $)
    imadmrn $p |- ( A " dom A ) = ran A $=
      ( vx vy cv cdm wcel cop wa wex cab cima crn visset opeldm pm4.71i ancom
      bitr2 exbii abbii dfima3 dfrn3 3eqtr4 ) BDZAEZFZUCCDZGAFZHZBIZCJUGBIZCJAU
      DKALUIUJCUHUGBUGUGUEHUHUGUEUCUFABMNOUGUEPQRSBCAUDTBCAUAUB $.
      $( [14-Aug-1994] $)

    $( The image of a class is a subset of its range.  Theorem 3.16(xi) of
       [Monk1] p. 39. $)
    imassrn $p |- ( A " B ) (_ ran A $=
      ( vx vy cv wcel cop wa wex cab cima crn pm3.27 19.22i ss2abi dfima3
      dfrn3 3sstr4 ) CEZBFZSDEGAFZHZCIZDJUACIZDJABKALUCUDDUBUACTUAMNOCDABPCDAQR
      $.
      $( [31-Mar-1995] $)
  $}

  $( The image of a set is a set.  Theorem 3.17 of [Monk1] p. 39. $)
  imaexg $p |- ( A e. C -> ( A " B ) e. V ) $=
    ( wcel crn cvv cima rnexg wss imassrn ssexg mpan syl ) ACDAEZFDZABGZFDZACHP
    NIOQABJPNFKLM $.
    $( [24-Jul-1995] $)

  ${
    $d x y A $.
    $( Image under the identity relation.  Theorem 3.16(viii) of [Monk1]
       p. 38. $)
    imai $p |- ( I " A ) = A $=
      ( vx vy cid cima cv wcel cop wa wex cab dfima3 wceq wbr df-br visset
      ideq bitr3 anbi2i ancom bitr exbii eleq1 ceqsexv abbii abid2 3eqtr ) DAEB
      FZAGZUHCFZHDGZIZBJZCKUJAGZCKABCDALUMUNCUMUHUJMZUIIZBJUNULUPBULUIUOIUPUKUO
      UIUKUHUJDNUOUHUJDOUHUJCPZQRSUIUOTUAUBUIUNBUJUQUHUJAUCUDUAUECAUFUG $.
      $( [30-Apr-1998] $)
  $}

  $( The range of the restricted identity function. $)
  rnresi $p |- ran ( I |` A ) = A $=
    ( cid cima cres crn df-ima imai eqtr3 ) BACBADEABAFAGH $.
    $( [28-Aug-2004] $) $( [27-Aug-2004] $)

  $( The image of a restriction of the identity function.  (Contributed by
     FL, 31-Dec-2006.) $)
  resiima $p |- ( B (_ A -> ( ( I |` A ) " B ) = B ) $=
    ( wss cid cres cima crn wceq df-ima a1i resabs1 rneqd rnresi 3eqtrd ) BACZD
    AEZBFZPBEZGZDBEZGZBQSHOPBIJORTDBAKLUABHOBMJN $.
    $( [1-Jan-2007] $) $( [28-Dec-2006] $)

  $( Image of the empty set.  Theorem 3.16(ii) of [Monk1] p. 38. $)
  ima0 $p |- ( A " (/) ) = (/) $=
    ( c0 cima cres crn df-ima res0 rneqi rn0 3eqtr ) ABCABDZEBEBABFKBAGHIJ $.
    $( [20-May-1998] $)

  $( Image under the empty relation.  (Contributed by FL, 11-Jan-2007.) $)
  0ima $p |- ( (/) " A ) = (/) $=
    ( c0 cima crn imassrn rn0 sseqtr 0ss eqssi ) BACZBJBDBBAEFGJHI $.
    $( [12-Jan-2007] $) $( [4-Jan-2007] $)

  $( A class whose image under another is empty is disjoint with the other's
     domain.  (Contributed by FL, 24-Jan-2007.) $)
  imadisj $p |- ( ( A " B ) = (/) <-> ( dom A i^i B ) = (/) ) $=
    ( cima c0 wceq cres crn cdm cin df-ima eqeq1i dm0rn0 dmres incom eqtr
    3bitr2 ) ABCZDEABFZGZDERHZDEAHZBIZDEQSDABJKRLTUBDTBUAIUBABMBUANOKP $.
    $( [25-Jan-2007] $) $( [15-Jan-2007] $)

  $( A pre-image under any class is included in the domain of the class.
     (Contributed by FL, 29-Jan-2007.) $)
  cnvimass $p |- ( `' A " B ) (_ dom A $=
    ( ccnv cima crn cdm imassrn dfdm4 sseqtr4 ) ACZBDJEAFJBGAHI $.
    $( [29-Jan-2007] $) $( [29-Jan-2007] $)

  ${
    $d y x A $.  $d y x R $.
    $( The image of a singleton. $)
    imasng $p |- ( A e. B -> ( R " { A } ) = { y | A R y } ) $=
      ( vx wcel cvv csn cima cv wbr cab wceq elisset wrex wa wex breq1
      ceqsexgv df-rex elsn anbi1i exbii bitr syl5bb abbidv dfima2 syl5eq syl )
      BCFBGFZDBHZIZBAJZDKZALZMBCNUJEJZUMDKZEUKOZALUOULUJURUNAUJUPBMZUQPZEQZUNUR
      UQUNEBGUPBUMDRSURUPUKFZUQPZEQVAUQEUKTVCUTEVBUSUQEBUAUBUCUDUEUFEADUKUGUHUI
      $.
      $( [10-May-2005] $) $( [8-May-2005] $)

    $( The image of a singleton. $)
    relimasn $p |- ( Rel R -> ( R " { A } ) = { y | A R y } ) $=
      ( wrel cvv wcel csn cima cv wbr cab wceq wn wa c0 snprc imaeq2 sylbi
      ima0 syl6eq adantl wex brrelex ex con3d imp nexdv abn0 necon1bbii sylib
      eqtr4d imasng pm2.61d2 ) CDZBEFZCBGZHZBAIZCJZAKZLZUNUOMZVAUNVBNZUQOUTVBUQ
      OLUNVBUQCOHZOVBUPOLUQVDLBPUPOCQRCSTUAVCUSAUBZMUTOLVCUSAUNVBUSMUNUSUOUNUSU
      OBURCUCUDUEUFUGVEUTOUSAUHUIUJUKUDABECULUM $.
      $( [10-May-2005] $) $( [20-May-1998] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    elimasn.1 $e |- B e. V $.
    elimasn.2 $e |- C e. V $.
    $( Membership in an image of a singleton. $)
    elimasn $p |- ( C e. ( A " { B } ) <-> <. B , C >. e. A ) $=
      ( vx csn cima wcel cv cop wa wex wceq elima3 elsn anbi1i exbii opeq1
      eleq1d ceqsexv 3bitr ) CABGZHIFJZUCIZUDCKZAIZLZFMUDBNZUGLZFMBCKZAIZFCAUCE
      OUHUJFUEUIUGFBPQRUGULFBDUIUFUKAUDBCSTUAUB $.
      $( [16-Mar-2004] $) $( [15-Mar-2004] $)
  $}

  ${
    $d A y z $.  $d B y z $.  $d C y z $.
    $( Membership in an image of a singleton.  (Contributed by Raph Levien,
       21-Oct-2006.) $)
    elimasng $p |- ( ( B e. R /\ C e. S ) ->
                   ( C e. ( A " { B } ) <-> <. B , C >. e. A ) ) $=
      ( vz vy cv csn cima wcel cop wb wceq sneq imaeq2d eleq2d opeq1 eleq1d
      bibi12d eleq1 opeq2 visset elimasn vtocl2g ) FHZAGHZIZJZKZUGUFLZAKZMUFABI
      ZJZKZBUFLZAKZMCUNKZBCLZAKZMGFBCDEUGBNZUJUOULUQVAUIUNUFVAUHUMAUGBOPQVAUKUP
      AUGBUFRSTUFCNZUOURUQUTUFCUNUAVBUPUSAUFCBUBSTAUGUFGUCFUCUDUE $.
      $( [21-Oct-2006] $) $( [21-Oct-2006] $)
  $}

  ${
    $d y F $.  $d x y $.
    $( Two ways to express the class of unique-valued arguments of ` F ` ,
       which is the same as the domain of ` F ` whenever ` F ` is a function.
       The left-hand side of the equality is from Definition 10.2 of [Quine]
       p. 65.  Quine uses the notation "arg ` F ` " for this class (for which
       we have no separate notation).  Observe the resemblance to our
       ~ df-fv , which was based on the idea in Quine's definition. $)
    args $p |- { x | E. y ( F " { x } ) = { y } } = { x | E! y x F y } $=
      ( cv csn cima wceq wex wbr weu cab cvv wcel visset imasng ax-mp eqeq1i
      exbii eusn bitr4 abbii ) CADZEFZBDZEZGZBHZUBUDCIZBJZAUGUHBKZUEGZBHUIUFUKB
      UCUJUEUBLMUCUJGANBUBLCOPQRUHBSTUA $.
      $( [11-May-2005] $) $( [8-May-2005] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    eliniseg.1 $e |- C e. V $.
    $( Membership in an initial segment.  The idiom ` ( ``' A " { B } ) ` ,
       meaning ` { x | x A B } ` , is used to specify an initial segment in
       (for example) Definition 6.21 of [TakeutiZaring] p. 30. $)
    eliniseg $p |- ( B e. D -> ( C e. ( `' A " { B } ) <-> C A B ) ) $=
      ( vx ccnv cv csn cima wcel wbr wb wceq sneq imaeq2d eleq2d breq2 bibi12d
      cop visset elimasn df-br brcnv 3bitr2 vtoclg ) CAGZFHZIZJZKZCUHALZMCUGBIZ
      JZKZCBALZMFBDUHBNZUKUOULUPUQUJUNCUQUIUMUGUHBOPQUHBCARSUKUHCTUGKUHCUGLULUG
      UHCFUAZEUBUHCUGUCUHCAUREUDUEUF $.
      $( [15-May-2004] $) $( [28-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( An idiom that signifies an initial segment of an ordering, used, for
       example, in Definition 6.21 of [TakeutiZaring] p. 30. $)
    iniseg $p |- ( B e. C -> ( `' A " { B } ) = { x | x A B } ) $=
      ( wcel cvv ccnv csn cima cv wbr cab wceq elisset visset eliniseg abbi2dv
      syl ) CDECFEZBGCHIZAJZCBKZALMCDNSUBATBCUAFAOPQR $.
      $( [15-May-2004] $) $( [28-Apr-2004] $)
  $}

  ${
    $d x y z R $.  $d x A $.
    $( Alternate definition of founded relation.  Definition 6.21 of
       [TakeutiZaring] p. 30. $)
    dffr3 $p |- ( R Fr A <-> A. x ( ( x (_ A /\ x =/= (/) ) ->
                E. y e. x ( x i^i ( `' R " { y } ) ) = (/) ) ) $=
      ( vz wfr cv wss c0 wne wa wbr cab cin wceq wrex wi wal ccnv csn cima
      dffr2 cvv wcel visset iniseg ax-mp ineq2i eqeq1i rexbii imbi2i albii
      bitr4 ) CDFAGZCHUNIJKZUNEGBGZDLEMZNZIOZBUNPZQZARUOUNDSUPTUAZNZIOZBUNPZQZA
      RABECDUBVFVAAVEUTUOVDUSBUNVCURIVBUQUNUPUCUDVBUQOBUEEDUPUCUFUGUHUIUJUKULUM
      $.
      $( [3-Feb-2007] $) $( [23-Apr-2004] $)
  $}

  $( Subset theorem for image. $)
  imass1 $p |- ( A (_ B -> ( A " C ) (_ ( B " C ) ) $=
    ( wss cres crn cima ssres rnss syl df-ima 3sstr4g ) ABDZACEZFZBCEZFZACGBCGM
    NPDOQDABCHNPIJACKBCKL $.
    $( [17-Mar-2004] $) $( [16-Mar-2004] $)

  $( Subset theorem for image.  Exercise 22(a) of [Enderton] p. 53. $)
  imass2 $p |- ( A (_ B -> ( C " A ) (_ ( C " B ) ) $=
    ( wss cres crn cima ssres2 rnss syl df-ima 3sstr4g ) ABDZCAEZFZCBEZFZCAGCBG
    MNPDOQDABCHNPIJCAKCBKL $.
    $( [22-Mar-1998] $)

  $( The image of a singleton outside the domain is empty. $)
  ndmima $p |- ( -. A e. dom B -> ( B " { A } ) = (/) ) $=
    ( cdm wcel wn csn cres crn c0 cima wceq cin disjsn biimpr dmres incom eqtr
    syl5eq dm0rn0 sylib df-ima ) ABCZDEZBAFZGZHZIBUDJUCUECZIKUFIKUCUBUDLZIUGUHI
    KUCUBAMNUGUDUBLUHBUDOUDUBPQRUESTBUDUAR $.
    $( [22-May-1998] $)

  ${
    $d x y A $.
    $( A converse is a relation.  Theorem 12 of [Suppes] p. 62. $)
    relcnv $p |- Rel `' A $=
      ( vy vx ccnv wrel cv wbr copab relopab df-cnv releqi mpbir ) ADZEBFCFAGZC
      BHZENCBIMOCBAJKL $.
      $( [29-Oct-1996] $)
  $}

  ${
    $d x y z R $.
    $( Two ways of saying a relation is transitive.  Definition of
       transitivity in [Schechter] p. 51. $)
    cotr $p |- ( ( R o. R ) (_ R <->
             A. x A. y A. z ( ( x R y /\ y R z ) -> x R z ) ) $=
      ( ccom wss cv wbr wa wi wal wex copab cop wcel ssel df-br syl6ibr opabid
      syl5ibr df-co sseq1i 19.23v 3imtr4 19.21aiv alcom sylibr ssopab2 albii
      bitr bitr4 opabss sstr2 mpi sylbir syl5ss impbi ) DDEZDFZAGZBGZDHVACGZDHI
      ZUTVBDHZJZCKBKZAKZUSVFAUSVEBKZCKZVFUSVHCVCBLZACMZDFZVJVDJZUSVHVLUTVBNZVKO
      ZVDVJVLVOVNDOVDVKDVNPUTVBDQRVJACSTURVKDACBDDUAZUBVCVDBUCZUDUEVEBCUFZUGUEV
      GVKDURVGVKVDACMZFZVLVTVMCKZAKVGVJVDACUHVFWAAVFVIWAVRVHVMCVQUIUJUIUKVTVSDF
      VLACDULVKVSDUMUNUOVPUPUQ $.
      $( [27-Dec-1996] $)
  $}

  ${
    $d x y R $.
    $( Two ways of saying a relation is symmetric.  Similar to definition of
       symmetry in [Schechter] p. 51. $)
    cnvsym $p |- ( `' R (_ R <-> A. x A. y ( x R y -> y R x ) ) $=
      ( ccnv wss cv wbr wi wal copab df-cnv sseq1i cop wcel ssel df-br syl6ibr
      opabid syl5ibr sylbi 19.21aivv ssopab2 alcom bitr opabss sstr2 mpi
      sylbir syl5ss impbi ) CDZCEZAFZBFZCGZUNUMCGZHZBIAIZULUQABULUOBAJZCEZUQUKU
      SCBACKZLUTUNUMMZUSNZUPUOUTVCVBCNUPUSCVBOUNUMCPQUOBARSTUAURUSCUKURUSUPBAJZ
      EZUTVEUQAIBIURUOUPBAUBUQBAUCUDVEVDCEUTBACUEUSVDCUFUGUHVAUIUJ $.
      $( [28-Dec-1996] $)

    $( Two ways of saying a relation is antisymmetric.  Definition of
       antisymmetry in [Schechter] p. 51. $)
    intasym $p |- ( ( R i^i `' R ) (_ I <->
                  A. x A. y ( ( x R y /\ y R x ) -> x = y ) ) $=
      ( ccnv cin cid wss cv cop wcel wi wal wbr wa wceq wrel wb inss2 relcnv
      relss mp2 ssrel ax-mp df-br visset brcnv bitr3 anbi12i elin bitr4 ideq
      imbi12i 2albii ) CCDZEZFGZAHZBHZIZUOJZUSFJZKZBLALZUQURCMZURUQCMZNZUQUROZK
      ZBLALUOPZUPVCQUOUNGUNPVICUNRCSUOUNTUAABUOFUBUCVHVBABVFUTVGVAVFUSCJZUSUNJZ
      NUTVDVJVEVKUQURCUDVEUQURUNMVKUQURCAUEBUEZUFUQURUNUDUGUHUSCUNUIUJVGUQURFMV
      AUQURVLUKUQURFUDUGULUMUJ $.
      $( [31-Oct-2004] $) $( [9-Sep-2004] $)

    $( Two ways of saying a relation is antisymmetric and reflexive.
       ` U. U. R ` is the field of a relation by ~ relfld . $)
    asymref $p |- ( ( R i^i `' R ) = ( I |` U. U. R ) <->
       A. x e. U. U. R A. y ( ( x R y /\ y R x ) <-> x = y ) ) $=
      ( ccnv cin cid cuni cres wceq cv cop wcel wb wal wbr wa wi wral wrel wss
      inss2 relcnv relss mp2 relres eqrel mp2an cdm visset breldm crn cun
      ssun1 dmrnssfld sstri sseli syl pm4.71ri anbi1i anass bitr ancom bibi12i
      elin df-br brcnv bitr3 anbi12i bitr4 opelres ideq pm5.32 3bitr4 2albii
      19.21v albii df-ral 3bitr ) CCDZEZFCGGZHZIZAJZBJZKZVTLZWFWBLZMZBNANZWDWAL
      ZWDWECOZWEWDCOZPZWDWEIZMZQZBNZANZWPBNZAWARZVTSZWBSWCWJMVTVSTVSSXBCVSUACUB
      VTVSUCUDFWAUEABVTWBUFUGWIWQABWNWOWKPZMWKWNPZWKWOPZMWIWQWNXDXCXEWNWKWLPZWM
      PXDWLXFWMWLWKWLWDCUHZLWKWDWECAUIZUJXGWAWDXGXGCUKZULWAXGXIUMCUNUOUPUQURUSW
      KWLWMUTVAWOWKVBVCWGWNWHXCWGWFCLZWFVSLZPWNWFCVSVDWLXJWMXKWDWECVEWMWDWEVSOX
      KWDWECXHBUIZVFWDWEVSVEVGVHVIWHWFFLZWKPXCWDWEFWAXLVJWOXMWKWOWDWEFOXMWDWEXL
      VKWDWEFVEVGUSVIVCWKWNWOVLVMVNWSWKWTQZANXAWRXNAWKWPBVOVPWTAWAVQVIVR $.
      $( [15-May-2008] $) $( [6-May-2008] $)

    $( Two ways of saying a relation is antisymmetric and reflexive. $)
    asymref2 $p |- ( ( R i^i `' R ) = ( I |` U. U. R ) <->
   ( A. x e. U. U. R x R x /\ A. x A. y ( ( x R y /\ y R x ) -> x = y ) ) ) $=
      ( cv wbr wa wceq wb wal cuni wral wcel wi ccnv cin cid cres df-ral breq2
      breq1 anbi12d anidm syl6bb equequ2 bibi12d equid tbt syl6bbr a4v bi1
      19.20i jca bi3 biimpcd jcad syl5com 19.20dv imp impbi imbi2i pm4.76 cdm
      visset breldm crn cun ssun1 dmrnssfld sstri sseli syl adantr pm4.71ri
      imbi1i impexp bitr albii 19.21v bitr2 anbi2i 3bitr2 19.26 3bitr asymref
      anbi1i 3bitr4 ) ADZBDZCEZWHWGCEZFZWGWHGZHZBIZACJJZKZWGWOLZWGWGCEZMZAIZWKW
      LMZBIZAIZFZCCNOPWOQGWRAWOKZXCFWPWQWNMZAIWSXBFZAIXDWNAWORXFXGAXFWQWRXBFZMW
      SWQXBMZFXGWNXHWQWNXHWNWRXBWMWRBAWHWGGZWMWRWGWGGZHWRXJWKWRWLXKXJWKWRWRFWRX
      JWIWRWJWRWHWGWGCSWHWGWGCTUAWRUBUCBAAUDUEXKWRAUFUGUHUIWMXABWKWLUJUKULWRXBW
      NWRXAWMBXAWLWKMWMWRWKWLUMWRWLWIWJWLWRWIWGWHWGCSUNWLWRWJWGWHWGCTUNUOUPUQUR
      USUTWQWRXBVAXIXBWSXBWQXAMZBIXIXAXLBXAWQWKFZWLMXLWKXMWLWKWQWIWQWJWIWGCVBZL
      WQWGWHCAVCVDXNWOWGXNXNCVEZVFWOXNXOVGCVHVIVJVKVLVMVNWQWKWLVOVPVQWQXABVRVSV
      TWAVQWSXBAWBWCABCWDXEWTXCWRAWORWEWF $.
      $( [15-May-2008] $) $( [6-May-2008] $)

    $( Two ways of saying a relation is irreflexive.  Definition of
       irreflexivity in [Schechter] p. 51. $)
    intirr $p |- ( ( R i^i I ) = (/) <-> A. x -. x R x ) $=
      ( vy cid cin c0 wceq cv cop wcel wb wal wbr wn wrel wss inss2 reli relss
      mp2 rel0 eqrel mp2an wa wex df-br visset opeq2 eleq1d ceqsexv bitr4 noel
      nbn con1bii ideq eqcom 3bitr3r anbi2i ancom elin 3bitr4r bitr2 exbii
      exnal 3bitr con2bii albii bitr ) BDEZFGZAHZCHZIZVIJZVMFJZKZCLZALZVKVKBMZN
      ZALVIOZFOVJVRKVIDPDOWABDQRVIDSTUAACVIFUBUCVQVTAVSVQVSVLVKGZVMBJZUDZCUEZVP
      NZCUEVQNVSVKVKIZBJZWEVKVKBUFWCWHCVKAUGWBVMWGBVLVKVKUHUIUJUKWDWFCWFVNWDVNV
      PVOVNVMULUMUNWCWBUDWCVMDJZUDWDVNWBWIWCVKVLDMVKVLGWIWBVKVLCUGUOVKVLDUFVKVL
      UPUQURWBWCUSVMBDUTVAVBVCVPCVDVEVFVGVH $.
      $( [2-Nov-2004] $) $( [9-Sep-2004] $)
  $}

  ${
    soi.1 $e |- A e. V $.
    soi.2 $e |- R Or S $.
    soi.3 $e |- R (_ ( S X. S ) $.
    $( A strict order relation is irreflexive. $)
    soirri $p |- -. A R A $=
      ( wcel wa wbr wn wor sonr mpan adantl brel con3i pm2.61i ) ACGZRHZAABIZJZ
      RUARCBKRUAECABLMNTSAACCBDFOPQ $.
      $( [10-Feb-1996] $)

    ${
      sotri.4 $e |- B e. V $.
      sotri.5 $e |- C e. V $.
      $( A strict order relation is a transitive relation. $)
      sotri $p |- ( ( A R B /\ B R C ) -> A R C ) $=
        ( wcel w3a wbr wa wi id 3exp a1dd imp43 brel syl2an wor sotr mpan
        mpcom ) AEKZBEKZCEKZLZABDMZBCDMZNZACDMZUFUGNUGUHNUIUJUKUFUGUGUHUIUFUGUH
        UIOUGUFUGUHUIUIPQRSABEEDIHTBCEEDJHTUAEDUBUIULUMOGEABCDUCUDUE $.
        $( [10-Feb-1996] $)
    $}

    ${
      son2lpi.4 $e |- B e. V $.
      $( A strict order relation has no 2-cycle loops. $)
      son2lpi $p |- -. ( A R B /\ B R A ) $=
        ( wbr wa soirri sotri mto ) ABCIBACIJAACIACDEFGKABACDEFGHELM $.
        $( [10-Feb-1996] $)
    $}
  $}

  ${
    $d x y z w $.  $d z w ph $.
    $( The converse of a class abstraction of ordered pairs. $)
    cnvopab $p |- `' { <. x , y >. | ph } = { <. y , x >. | ph } $=
      ( vw vz copab ccnv relcnv relopab cv cop wcel visset opelcnv wb ax-17
      hbopab1 hbel hbopab2 hbbi wceq opeq1 eleq1d opeq2 bibi12d opabid bitr4
      chvar bitr eqrelriv ) DEABCFZGZACBFZUKHACBIDJZEJZKZULLUOUNKZUKLZUPUMLZUNU
      OUKDMEMNBJZUNKZUKLZUNUTKZUMLZOZURUSOBEURUSBBCEUQUKCJZUQLBPABCEQRBCEUPUMVF
      UPLBPACBESRTUTUOUAZVBURVDUSVGVAUQUKUTUOUNUBUCVGVCUPUMUTUOUNUDUCUEUTVFKZUK
      LZVFUTKZUMLZOVECDVBVDCCEEVAUKUOVALCPABCESRCEEVCUMUOVCLCPACBEQRTVFUNUAZVIV
      BVKVDVLVHVAUKVFUNUTUDUCVLVJVCUMVFUNUTUBUCUEVIAVKABCUFACBUFUGUHUHUIUJ $.
      $( [18-Dec-2003] $) $( [11-Dec-2003] $)
  $}

  ${
    $d x y $.
    $( The converse of the empty set. $)
    cnv0 $p |- `' (/) = (/) $=
      ( vx vy c0 ccnv relcnv rel0 cv cop wcel visset opelcnv noel 2false bitr4
      eqrelriv ) ABCDZCCEFAGZBGZHZPIRQHZCIZSCIZQRCAJBJKUBUASLTLMNO $.
      $( [6-Apr-1998] $)

    $( The converse of the identity relation.  Theorem 3.7(ii) of [Monk1]
       p. 36. $)
    cnvi $p |- `' I = I $=
      ( vx vy cid ccnv relcnv reli cv wceq cop wcel eqcom wbr df-br visset
      ideq bitr3 brcnv 3bitr3 3bitr4r eqrelriv ) ABCDZCCEFAGZBGZHZUCUBHZUBUCIZC
      JZUFUAJZUBUCKUGUBUCCLUDUBUCCMUBUCBNZOPUBUCUALUCUBCLUHUEUBUCCANZUIQUBUCUAM
      UCUBUJORST $.
      $( [26-Apr-1998] $)
  $}

  ${
    op1sta.1 $e |- A e. V $.
    $( Extract the first member of an ordered pair.   (See ~ op2nda to extract
       the second member, ~ op1stb for an alternate version, and ~ op1st for
       the preferred version..)  (Contributed by Raph Levien, 4-Dec-2003.) $)
    op1sta $p |- U. dom { <. A , B >. } = A $=
      ( cop csn cdm cuni dmsnop unieqi unisn eqtr ) ABDEFZGAEZGALMABHIACJK $.
      $( [17-Feb-2004] $) $( [4-Dec-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    cnvsn.1 $e |- A e. V $.
    cnvsn.2 $e |- B e. V $.
    $( Converse of a singleton of an ordered pair. $)
    cnvsn $p |- `' { <. A , B >. } = { <. B , A >. } $=
      ( vy vx cop csn ccnv relcnv relsn cv wceq wa wcel ancom opex elsnc
      visset opth bitr opelcnv 3bitr 3bitr4r eqrelriv ) EFABGZHZIZBAGZHZUGJBADK
      ELZBMZFLZAMZNZUNULNZUKUMGZUJOZUQUHOZULUNPURUQUIMUOUQUIUKUMQRUKUMBAESZFSZC
      TUAUSUMUKGZUGOVBUFMUPUKUMUGUTVAUBVBUFUMUKQRUMUKABVAUTDTUCUDUE $.
      $( [11-May-1998] $)

    $( The range of a singleton of an ordered pair is the singleton of the
       second member. $)
    rnsnop $p |- ran { <. A , B >. } = { B } $=
      ( cop csn crn ccnv cdm df-rn cnvsn dmeqi dmsnop 3eqtr ) ABEFZGOHZIBAEFZIB
      FOJPQABCDKLBAMN $.
      $( [27-Jul-2004] $) $( [24-Jul-2004] $)

    $( Extract the second member of an ordered pair.  Theorem 5.12(ii) of
       [Monk1] p. 52.  (See ~ op1stb to extract the first member, ~ op2nda for
       an alternate version, and ~ op2nd for the preferred version.) $)
    op2ndb $p |- |^| |^| |^| `' { <. A , B >. } = B $=
      ( cop csn ccnv cint cnvsn inteqi opex intsn eqtr op1stb ) ABEFGZHZHZHBAEZ
      HZHBQSPRPRFZHROTABCDIJRBAKLMJJBADNM $.
      $( [1-Dec-2003] $) $( [25-Nov-2003] $)

    $( Extract the second member of an ordered pair.  (See ~ op1sta to extract
       the first member, ~ op2ndb for an alternate version, and ~ op2nd for the
       preferred version.) $)
    op2nda $p |- U. ran { <. A , B >. } = B $=
      ( cop csn crn cuni cdm ccnv df-rn cnvsn dmeqi eqtr unieqi op1sta ) ABEFZG
      ZHBAEFZIZHBRTRQJZITQKUASABCDLMNOBADPN $.
      $( [17-Feb-2004] $) $( [17-Feb-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Membership in a cross product.  This version requires no quantifiers or
       dummy variables.  See also ~ elxp5 , ~ elxp6 , and ~ elxp7 . $)
    elxp4 $p |- ( A e. ( B X. C ) <-> ( A = <. U. dom { A } , U. ran { A } >.
                 /\ ( U. dom { A } e. B /\ U. ran { A } e. C ) ) ) $=
      ( vx vy cxp wcel cv cop wceq wa wex csn cdm cuni crn elxp sneq rneqd
      unieqd visset op2nda syl6req pm4.71ri anbi1i anass bitr exbii snex rnex
      uniex opeq2 eqeq2d eleq1 anbi2d anbi12d ceqsexv dmeqd op1sta 3bitr dmex
      opeq1 anbi1d ) ABCFGADHZEHZIZJZVDBGZVECGZKZKZELZDLVDAMZNZOZJZAVDVMPZOZIZJ
      ZVHVRCGZKZKZKZDLAVOVRIZJZVOBGZWAKZKZDEABCQVLWDDVLWCVPVTKZWBKWDVLVEVRJZVKK
      ZELWCVKWLEVKWKVGKZVJKWLVGWMVJVGWKVGVRVFMZPZOVEVGVQWOVGVMWNAVFRSTVDVEDUAZE
      UAUBUCUDUEWKVGVJUFUGUHVKWCEVRVQVMAUIZUJUKWKVGVTVJWBWKVFVSAVEVRVDULUMWKVIW
      AVHVEVRCUNUOUPUQUGVTWJWBVTVPVTVOVSMZNZOVDVTVNWSVTVMWRAVSRURTVDVRWPUSUCUDU
      EVPVTWBUFUTUHWCWIDVOVNVMWQVAUKVPVTWFWBWHVPVSWEAVDVOVRVBUMVPVHWGWAVDVOBUNV
      CUPUQUT $.
      $( [23-Feb-2004] $) $( [17-Feb-2004] $)

    $( Membership in a cross product requiring no quantifiers or dummy
       variables.  Provides a slightly shorter version of ~ elxp4 when
       the double intersection does not create class existence problems
       (caused by ~ int0 ). $)
    elxp5 $p |- ( A e. ( B X. C ) <-> ( A = <. |^| |^| A , U. ran { A } >.
                 /\ ( |^| |^| A e. B /\ U. ran { A } e. C ) ) ) $=
      ( vx vy cxp wcel cv cop wceq wa wex cint csn crn cuni elxp sneq rneqd
      unieqd visset op2nda syl6req pm4.71ri anbi1i anass bitr exbii snex rnex
      uniex opeq2 eqeq2d eleq1 anbi2d anbi12d ceqsexv inteq inteqd op1stb
      3bitr cvv mpbii adantr 19.23aiv elisset ad2antrl opeq1 anbi1d ceqsexgv
      pm5.21nii ) ABCFGADHZEHZIZJZVLBGZVMCGZKZKZELZDLVLAMZMZJZAVLANZOZPZIZJZVPW
      FCGZKZKZKZDLZAWBWFIZJZWBBGZWIKZKZDEABCQVTWLDVTWKWCWHKZWJKWLVTVMWFJZVSKZEL
      WKVSXAEVSWTVOKZVRKXAVOXBVRVOWTVOWFVNNZOZPVMVOWEXDVOWDXCAVNRSTVLVMDUAZEUAU
      BUCUDUEWTVOVRUFUGUHVSWKEWFWEWDAUIUJUKWTVOWHVRWJWTVNWGAVMWFVLULUMWTVQWIVPV
      MWFCUNUOUPUQUGWHWSWJWHWCWHWBWGMZMVLWHWAXFAWGURUSVLWFXEUTUCUDUEWCWHWJUFVAU
      HWMWBVBGZWRWLXGDWCXGWKWCVLVBGXGXEVLWBVBUNVCVDVEWPXGWOWIWBBVFVGWKWRDWBVBWC
      WHWOWJWQWCWGWNAVLWBWFVHUMWCVPWPWIVLWBBUNVIUPVJVKVA $.
      $( [6-Aug-2004] $) $( [1-Aug-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The converse of a union is the union of converses.  Theorem 16 of
       [Suppes] p. 62. $)
    cnvun $p |- `' ( A u. B ) = ( `' A u. `' B ) $=
      ( vx vy cun ccnv relcnv wrel relun mpbir2an cv cop wcel wo elun visset
      opelcnv orbi12i bitr4 3bitr4 eqrelriv ) CDABEZFZAFZBFZEZUBGUFHUDHUEHUDUEI
      AGBGJDKZCKZLZUBMZUHUGLZUDMZUKUEMZNZUKUCMUKUFMUJUIAMZUIBMZNUNUIABOULUOUMUP
      UHUGACPZDPZQUHUGBUQURQRSUHUGUBUQURQUKUDUEOTUA $.
      $( [25-Mar-1998] $)

    $( Distributive law for converse over intersection.  Theorem 15 of [Suppes]
       p. 62. $)
    cnvin $p |- `' ( A i^i B ) = ( `' A i^i `' B ) $=
      ( vx vy cin ccnv relcnv wrel relin1 ax-mp cv cop wcel wa elin visset
      opelcnv anbi12i bitr4 3bitr4 eqrelriv ) CDABEZFZAFZBFZEZUBGUDHUFHAGUDUEIJ
      DKZCKZLZUBMZUHUGLZUDMZUKUEMZNZUKUCMUKUFMUJUIAMZUIBMZNUNUIABOULUOUMUPUHUGA
      CPZDPZQUHUGBUQURQRSUHUGUBUQURQUKUDUEOTUA $.
      $( [25-Mar-1998] $)
  $}

  $( Distributive law for range over union.  Theorem 8 of [Suppes] p. 60. $)
  rnun $p |- ran ( A u. B ) = ( ran A u. ran B ) $=
    ( cun ccnv cdm crn cnvun dmeqi dmun eqtr df-rn uneq12i 3eqtr4 ) ABCZDZEZADZ
    EZBDZEZCZNFAFZBFZCPQSCZEUAOUDABGHQSIJNKUBRUCTAKBKLM $.
    $( [24-Mar-1998] $)

  $( The range of an intersection belongs the intersection of ranges.  Theorem
     9 of [Suppes] p. 60. $)
  rnin $p |- ran ( A i^i B ) (_ ( ran A i^i ran B ) $=
    ( cin ccnv cdm crn cnvin dmeqi dmin eqsstr df-rn ineq12i 3sstr4 ) ABCZDZEZA
    DZEZBDZEZCZNFAFZBFZCPQSCZEUAOUDABGHQSIJNKUBRUCTAKBKLM $.
    $( [3-Oct-2004] $) $( [15-Sep-2004] $)

  ${
    $d x y z A $.
    $( The range of a union.  Part of Exercise 8 of [Enderton] p. 41. $)
    rnuni $p |- ran U. A = U_ x e. A ran x $=
      ( vz vy cuni crn cv ciun cop wcel wex wrex wa eluni exbii excom ancom
      19.41v visset elrn2 anbi2i 3bitr4 3bitr df-rex bitr4 eliun eqriv ) CBEZFZ
      ABAGZFZHZDGCGZIZUHJZDKZUMUKJZABLZUMUIJUMULJUPUJBJZUQMZAKZURUPUNUJJZUSMZAK
      ZDKVCDKZAKVAUOVDDAUNBNOVCDAPVEUTAVBDKZUSMUSVFMVEUTVFUSQVBUSDRUQVFUSDUMUJC
      SZTUAUBOUCUQABUDUEDUMUHVGTAUMBUKUFUBUG $.
      $( [18-Mar-2004] $) $( [17-Mar-2004] $)
  $}

  $( Distributive law for image over union.  Theorem 35 of [Suppes] p. 65. $)
  imaun $p |- ( A " ( B u. C ) ) = ( ( A " B ) u. ( A " C ) ) $=
    ( cun cres crn cima resundi rneqi rnun eqtr df-ima uneq12i 3eqtr4 ) ABCDZEZ
    FZABEZFZACEZFZDZAOGABGZACGZDQRTDZFUBPUEABCHIRTJKAOLUCSUDUAABLACLMN $.
    $( [30-Sep-2002] $)

  $( The image of a union. (Contributed by Jeff Hoffman, 17-Feb-2008.) $)
  imaun2 $p |- ( ( A u. B ) " C ) = ( ( A " C ) u. ( B " C ) ) $=
    ( cun cima cres crn df-ima resundir rneqi rnun 3eqtr uneq12i eqtr4 ) ABDZCE
    ZACFZGZBCFZGZDZACEZBCEZDPOCFZGQSDZGUAOCHUDUEABCIJQSKLUBRUCTACHBCHMN $.
    $( [19-Feb-2008] $) $( [17-Feb-2008] $)

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( An upper bound for intersection with a domain.  Theorem 40 of [Suppes]
       p. 66, who calls it "somewhat surprising." $)
    dminss $p |- ( dom R i^i A ) (_ ( `' R " ( R " A ) ) $=
      ( vx vy cdm cin ccnv cima cv wbr wcel wa wex 19.8a ancoms visset elima2
      sylibr pm3.26 brcnv jca 19.22i eldm anbi1i elin 19.41v 3bitr4 3imtr4
      ssriv ) CBEZAFZBGZBAHZHZCIZDIZBJZUOAKZLZDMZUPUMKZUPUOULJZLZDMUOUKKZUOUNKU
      SVCDUSVAVBUSURUQLZCMZVAURUQVFVECNOCUPBADPZQRUSUQVBUQURSUPUOBVGCPZTRUAUBUO
      UJKZURLUQDMZURLVDUTVIVJURDUOBVHUCUDUOUJAUEUQURDUFUGDUOULUMVHQUHUI $.
      $( [26-Aug-2004] $) $( [11-Aug-2004] $)

    $( An upper bound for intersection with an image.  Theorem 41 of [Suppes]
       p. 66. $)
    imainss $p |- ( ( R " A ) i^i B ) (_ ( R " ( A i^i ( `' R " B ) ) ) $=
      ( vy vx cima cin ccnv cv wcel wbr wa wex 19.8a visset brcnv sylan2br
      ancoms anim2i simprl jca anassrs elin elima2 anbi2i bitr anbi1i sylibr
      19.22i 19.41v 3bitr4 3imtr4 ssriv ) DCAFZBGZCACHZBFZGZFZEIZAJZUTDIZCKZLZV
      BBJZLZEMZUTURJZVCLZEMVBUOJZVBUSJVFVIEVFVAVEVBUTUPKZLZDMZLZVCLZVIVAVCVEVOV
      AVCVELZLVNVCVPVMVAVEVCVMVEVKVMVCVLDNVBUTCDOZEOZPQRSVAVCVETUAUBVHVNVCVHVAU
      TUQJZLVNUTAUQUCVSVMVADUTUPBVRUDUEUFUGUHUIVBUNJZVELVDEMZVELVJVGVTWAVEEVBCA
      VQUDUGVBUNBUCVDVEEUJUKEVBCURVQUDULUM $.
      $( [9-Sep-2004] $) $( [11-Aug-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The converse of a cross product.  Exercise 11 of [Suppes] p. 67. $)
    cnvxp $p |- `' ( A X. B ) = ( B X. A ) $=
      ( vx vy cxp ccnv relcnv relxp cv cop wcel visset opelcnv wa ancom opelxp
      3bitr4 bitr eqrelriv ) CDABEZFZBAEZTGBAHCIZDIZJZUAKUDUCJTKZUEUBKZUCUDTCLZ
      DLZMUDAKZUCBKZNUKUJNUFUGUJUKOUDUCABUHPUCUDBAUIPQRS $.
      $( [14-Aug-1999] $)
  $}

  $( The cross product with the empty set is empty.  Part of Theorem 3.13(ii)
     of [Monk1] p. 37. $)
  xp0 $p |- ( A X. (/) ) = (/) $=
    ( c0 cxp ccnv wceq xp0r cnveq ax-mp cnvxp cnv0 3eqtr3 ) BACZDZBDZABCBLBEMNE
    AFLBGHBAIJK $.
    $( [17-Apr-2004] $) $( [12-Apr-2004] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( The cross product of nonempty classes is nonempty.  (Variation of a
       theorem contributed by Raph Levien, 30-Jun-2006.) $)
    xpnz $p |- ( ( A =/= (/) /\ B =/= (/) ) <-> ( A X. B ) =/= (/) ) $=
      ( vx vy vz c0 wne wa cxp cv wcel wex ne0 anbi12i eeanv bitr4 cop opex
      wceq eleq1 visset opelxp syl6bb cla4ev sylibr 19.23aivv sylbi xpeq1 xp0r
      syl6eq necon3i xpeq2 xp0 jca impbi ) AFGZBFGZHZABIZFGZURCJZAKZDJZBKZHZDLC
      LZUTURVBCLZVDDLZHVFUPVGUQVHCAMDBMNVBVDCDOPVEUTCDVEEJZUSKZELUTVJVEEVAVCQZV
      AVCRVIVKSVJVKUSKVEVIVKUSTVAVCABDUAUBUCUDEUSMUEUFUGUTUPUQAFUSFAFSUSFBIFAFB
      UHBUIUJUKBFUSFBFSUSAFIFBFAULAUMUJUKUNUO $.
      $( [19-Apr-2007] $) $( [30-Jun-2006] $)
  $}

  $( At least one member of an empty cross product is empty. $)
  xpeq0 $p |- ( ( A X. B ) = (/) <-> ( A = (/) \/ B = (/) ) ) $=
    ( cxp c0 wceq wne wa wn wo xpnz necon2bbii ianor nne orbi12i 3bitr ) ABCZDE
    ADFZBDFZGZHQHZRHZIADEZBDEZISPDABJKQRLTUBUAUCADMBDMNO $.
    $( [21-Sep-2006] $) $( [27-Aug-2006] $)

  $( Cross products with disjoint sets are disjoint. $)
  xpdisj1 $p |- ( ( A i^i B ) = (/) -> ( ( A X. C ) i^i ( B X. D ) ) = (/) ) $=
    ( cin c0 wceq cxp xpeq1 xp0r syl6eq inxp syl5eq ) ABEZFGZNCDEZHZFACHBDHEOQF
    PHFNFPIPJKACBDLM $.
    $( [15-Sep-2004] $) $( [13-Sep-2004] $)

  $( Cross products with disjoint sets are disjoint. $)
  xpdisj2 $p |- ( ( A i^i B ) = (/) -> ( ( C X. A ) i^i ( D X. B ) ) = (/) ) $=
    ( cin c0 wceq cxp xpeq2 xp0 syl6eq inxp syl5eq ) ABEZFGZCDEZNHZFCAHDBHEOQPF
    HFNFPIPJKCADBLM $.
    $( [15-Sep-2004] $) $( [13-Sep-2004] $)

  $( Cross products with two different singletons are disjoint. $)
  xpsndisj $p |- ( B =/= D -> ( ( A X. { B } ) i^i ( C X. { D } ) ) = (/) ) $=
    ( wne csn cin c0 wceq cxp disjsn2 xpdisj2 syl ) BDEBFZDFZGHIANJCOJGHIBDKNOA
    CLM $.
    $( [3-Jun-2007] $) $( [28-Jul-2004] $)

  $( A double restriction to disjoint classes is the empty set. $)
  resdisj $p |- ( ( A i^i B ) = (/) -> ( ( C |` A ) |` B ) = (/) ) $=
    ( cin c0 wceq cvv cxp cres xpdisj1 ineq2d in0 syl6eq df-res ineq1i inass
    3eqtr syl5eq ) ABDEFZCAGHZBGHZDZDZECAIZBIZSUCCEDESUBECABGGJKCLMUEUDUADCTDZU
    ADUCUDBNUDUFUACANOCTUAPQR $.
    $( [17-Oct-2004] $) $( [7-Oct-2004] $)

  $( The range of a cross product.  Part of Theorem 3.13(x) of [Monk1]
     p. 37. $)
  rnxp $p |- ( A =/= (/) -> ran ( A X. B ) = B ) $=
    ( c0 wne cxp cdm crn dmxp ccnv df-rn cnvxp dmeqi eqtr syl5eq ) ACDBAEZFZBAB
    EZGZBAHRQIZFPQJSOABKLMN $.
    $( [9-Apr-2007] $) $( [12-Apr-2004] $)

  $( The domain of a cross product is a subclass of the first factor. $)
  dmxpss $p |- dom ( A X. B ) (_ A $=
    ( cxp cdm wss c0 wceq 0ss xpeq2 xp0 syl6eq dmeqd dm0 sseq1d mpbiri wne
    dmxp eqimss syl pm2.61ine ) ABCZDZAEZBFBFGZUCFAEAHUDUBFAUDUBFDFUDUAFUDUAAFC
    FBFAIAJKLMKNOBFPUBAGUCABQUBARST $.
    $( [20-Mar-2007] $) $( [19-Mar-2007] $)

  $( The range of a cross product is a subclass of the second factor. $)
  rnxpss $p |- ran ( A X. B ) (_ B $=
    ( cxp crn wss c0 wceq 0ss xpeq1 xp0r syl6eq rneqd rn0 sseq1d mpbiri wne
    rnxp eqimss syl pm2.61ine ) ABCZDZBEZAFAFGZUCFBEBHUDUBFBUDUBFDFUDUAFUDUAFBC
    FAFBIBJKLMKNOAFPUBBGUCABQUBBRST $.
    $( [17-Jan-2006] $) $( [16-Jan-2006] $)

  $( A cross-product subclass relationship implies the relationship for it
     components. $)
  ssxpr $p |- ( ( ( A X. B ) =/= (/) /\ ( A X. B ) (_ ( C X. D ) ) ->
              ( A (_ C /\ B (_ D ) ) $=
    ( cxp c0 wne wss wa cdm wceq xpnz dmxp adantl sylbir adantr dmss eqsstr3d
    dmxpss a1i sstrd crn rnxp rnss rnxpss jca ) ABEZFGZUGCDEZHZIZACHBDHUKAUIJZC
    UKAUGJZULUHUMAKZUJUHAFGZBFGZIZUNABLZUPUNUOABMNOPUJUMULHUHUGUIQNRULCHUKCDSTU
    AUKBUIUBZDUKBUGUBZUSUHUTBKZUJUHUQVAURUOVAUPABUCPOPUJUTUSHUHUGUIUDNRUSDHUKCD
    UETUAUF $.
    $( [3-Jun-2008] $) $( [27-Jan-2008] $)

  $( The cross product of non-empty classes is one-to-one. $)
  xp11 $p |- ( ( A =/= (/) /\ B =/= (/) )
      -> ( ( A X. B ) = ( C X. D ) <-> ( A = C /\ B = D ) ) ) $=
    ( c0 wne wa cxp wceq wi xpnz neeq1 anbi2d anidm syl5bbr wss eqimss ssxpr
    expcom syl eqimss2 anim12d an4 eqss anbi12i bitr4 syl6ib sylbid com12
    sylbi xpeq1 xpeq2 sylan9eq impbid1 ) AEFBEFGZABHZCDHZIZACIZBDIZGZUOUPEFZURV
    AJABKURVBVAURVBVBUQEFZGZVAURVBVBGVDVBURVBVCVBUPUQELMVBNOURVDACPZBDPZGZCAPZD
    BPZGZGZVAURVBVGVCVJURUPUQPZVBVGJUPUQQVBVLVGABCDRSTURUQUPPZVCVJJUQUPUAVCVMVJ
    CDABRSTUBVKVEVHGZVFVIGZGVAVEVFVHVIUCUSVNUTVOACUDBDUDUEUFUGUHUIUJUSUTUPCBHUQ
    ACBUKBDCULUMUN $.
    $( [31-May-2008] $) $( [31-May-2008] $)

  $( The first argument of a cross product is one-to-one. $)
  xp11a $p |- ( A =/= (/) -> ( ( A X. A ) = ( B X. A ) <-> A = B ) ) $=
    ( c0 wne cxp wceq wb wa xp11 eqid biantru syl6bbr anidms ) ACDZAAEBAEFZABFZ
    GNNHOPAAFZHPAABAIQPAJKLM $.
    $( [1-Jun-2008] $) $( [31-May-2008] $)

  $( The second argument of a cross product is one-to-one. $)
  xp11b $p |- ( A =/= (/) -> ( ( A X. A ) = ( A X. B ) <-> A = B ) ) $=
    ( c0 wne cxp wceq wb wa xp11 eqid biantrur syl6bbr anidms ) ACDZAAEABEFZABF
    ZGNNHOAAFZPHPAAABIQPAJKLM $.
    $( [12-Jun-2008] $) $( [31-May-2008] $)

  $( If a cross product is a set, one of its components must be a set. $)
  xpexr $p |- ( ( A X. B ) e. C -> ( A e. V \/ B e. V ) ) $=
    ( cxp wcel cvv wn wi c0 wceq 0ex eleq1 mpbiri pm2.24d a1d wne crn rnxp
    eleq1d rnexg syl5bi a1dd pm2.61ine orrd ) ABDZCEZAFEZBFEZUFUGGZUHHZHAIAIJZU
    JUFUKUGUHUKUGIFEKAIFLMNOAIPZUFUHUIULUEQZFEUHUFULUMBFABRSUECTUAUBUCUD $.
    $( [27-Aug-2006] $) $( [27-Aug-2006] $)

  $( If a nonempty cross product is a set, so are both of its components. $)
  xpexr2 $p |- ( ( ( A X. B ) e. C /\ ( A X. B ) =/= (/) ) ->
               ( A e. V /\ B e. V ) ) $=
    ( cxp wcel c0 wne wa cvv cdm wceq dmxp adantl dmexg adantr eqeltrrd crn
    rnxp rnexg anim12i anandis ancom2s xpnz sylan2br ) ABDZCEZAFGZBFGZHAIEZBIEZ
    HZUEFGUFUHUGUKUFUHUGUKUFUHHZUIUFUGHZUJULUEJZAIUHUNAKUFABLMUFUNIEUHUECNOPUMU
    EQZBIUGUOBKUFABRMUFUOIEUGUECSOPTUAUBABUCUD $.
    $( [5-May-2007] $) $( [27-Aug-2006] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Subset of the range of a restriction. $)
    ssrnres $p |- ( B (_ ran ( C |` A ) <-> ran ( C i^i ( A X. B ) ) = B ) $=
      ( vy vx cxp cin crn wceq wss wa cres eqss inss2 rnss ax-mp rnxpss sstri
      biantrur cvv ssid ssv ssxp mp2an sslin df-res sseqtr4 sstr mpan2 cv wcel
      cop wex ssel visset elrn2 syl6ib ancrd elin opelxp anbi2i opelres anbi1i
      anass bitr2 3bitr exbii 19.41v syl6ibr ssrdv impbi 3bitr2r ) CABFZGZHZBIV
      OBJZBVOJZKVQBCALZHZJZVOBMVPVQVOVMHZBVNVMJVOWAJCVMNVNVMOPABQRSVQVTVQVOVSJZ
      VTVNVRJWBVNCATFZGZVRVMWCJZVNWDJAAJBTJWEAUABUBAABTUCUDVMWCCUEPCAUFUGVNVROP
      BVOVSUHUIVTDBVOVTDUJZBUKZEUJZWFULZVRUKZEUMZWGKZWFVOUKZVTWGWKVTWGWFVSUKWKB
      VSWFUNEWFVRDUOZUPUQURWMWIVNUKZEUMWJWGKZEUMWLEWFVNWNUPWOWPEWOWICUKZWIVMUKZ
      KWQWHAUKZWGKZKZWPWICVMUSWRWTWQWHWFABWNUTVAWPWQWSKZWGKXAWJXBWGWHWFCAWNVBVC
      WQWSWGVDVEVFVGWJWGEVHVFVIVJVKVL $.
      $( [18-Jan-2006] $) $( [16-Jan-2006] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.
    $( Range of the intersection with a cross product. $)
    rninxp $p |- ( ran ( C i^i ( A X. B ) ) = B <->
                 A. y e. B E. x e. A x C y ) $=
      ( cres crn wss cv wcel wral cxp cin wceq wbr wrex dfss3 ssrnres cop wex
      wa ancom visset opelres df-br anbi2i 3bitr4 exbii elrn2 df-rex ralbii
      3bitr3 ) DECFZGZHBIZUNJZBDKECDLMGDNAIZUOEOZACPZBDKBDUNQCDERUPUSBDUQUOSZUM
      JZATUQCJZURUAZATUPUSVAVCAUTEJZVBUAVBVDUAVAVCVDVBUBUQUOECBUCZUDURVDVBUQUOE
      UEUFUGUHAUOUMVEUIURACUJUGUKUL $.
      $( [18-Jan-2006] $) $( [17-Jan-2006] $)
  $}

  ${
    $d x A $.  $d x y B $.  $d x y C $.
    $( Domain of the intersection with a cross product. $)
    dminxp $p |- ( dom ( C i^i ( A X. B ) ) = A <->
                 A. x e. A E. y e. B x C y ) $=
      ( cxp cin cdm wceq ccnv crn cv wbr wrex wral dfdm4 cnvin cnvxp ineq2i
      eqtr rneqi eqeq1i rninxp visset brcnv rexbii ralbii 3bitr ) ECDFZGZHZCIEJ
      ZDCFZGZKZCIBLZALZULMZBDNZACOUQUPEMZBDNZACOUKUOCUKUJJZKUOUJPVBUNVBULUIJZGU
      NEUIQVCUMULCDRSTUATUBBADCULUCUSVAACURUTBDUPUQEBUDAUDUEUFUGUH $.
      $( [19-Jan-2006] $) $( [17-Jan-2006] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( A composition is a relation.  Exercise 24 of [TakeutiZaring] p. 25. $)
    relco $p |- Rel ( A o. B ) $=
      ( vx vz vy ccom wrel cv wbr wa wex copab relopab df-co releqi mpbir ) ABF
      ZGCHDHZBIREHAIJDKZCELZGSCEMQTCEDABNOP $.
      $( [26-Jan-1997] $)
  $}

  ${
    $d x y R $.
    $( Alternate definition of relation.  Exercise 2 of [TakeutiZaring]
       p. 25. $)
    dfrel2 $p |- ( Rel R <-> `' `' R = R ) $=
      ( vx vy wrel ccnv wceq relcnv wa cv cop wcel wb wal visset opelcnv bitr
      gen2 eqrel mpbiri mpan releq mpbii impbi ) ADZAEZEZAFZUFDZUDUGUEGZUHUDHUG
      BIZCIZJZUFKZULAKZLZCMBMUOBCUMUKUJJUEKUNUJUKUEBNZCNZOUKUJAUQUPOPQBCUFARSTU
      GUHUDUIUFAUAUBUC $.
      $( [15-Aug-2004] $) $( [29-Dec-1996] $)
  $}

  $( The double converse of a class strips out all elements that are not
     ordered pairs. $)
  cnvcnv $p |- `' `' A = ( A i^i ( V X. V ) ) $=
    ( cvv cxp cin ccnv wceq cnvin cnveq ax-mp wrel wss inss2 df-rel mpbir
    dfrel2 mpbi relcnv relxp sseqtr4 dfss eqtr4 3eqtr3r ) ABBCZDZEZEZAEZUCEZDZE
    ZUDUGEZUEUIFUFUJFAUCGUEUIHIUDJZUFUDFULUDUCKAUCLUDMNUDOPUJUKUHEZDZUKUGUHGUKU
    MKUKUNFUKUCUMUKJUKUCKUGQUKMPUCJUMUCFBBRUCOPSUKUMTPUAUB $.
    $( [25-Dec-2003] $) $( [8-Dec-2003] $)

  $( The double converse of a class equals its restriction to the universe. $)
  cnvcnv2 $p |- `' `' A = ( A |` V ) $=
    ( ccnv cvv cxp cin cres cnvcnv df-res eqtr4 ) ABBACCDEACFAGACHI $.
    $( [14-Dec-2007] $) $( [8-Oct-2007] $)

  $( The double converse of a class is a subclass.  Exercise 2 of
     [TakeutiZaring] p. 25. $)
  cnvcnvss $p |- `' `' A (_ A $=
    ( ccnv cvv cxp cin cnvcnv inss1 eqsstr ) ABBACCDZEAAFAIGH $.
    $( [28-Jul-2004] $) $( [23-Jul-2004] $)

  $( Alternate definition of relation. $)
  dfrel3 $p |- ( Rel R <-> ( R |` V ) = R ) $=
    ( wrel ccnv wceq cvv cres dfrel2 cnvcnv2 eqeq1i bitr ) ABACCZADAEFZADAGKLAA
    HIJ $.
    $( [15-May-2008] $) $( [14-May-2008] $)

  $( The domain of a universal restriction. $)
  dmresv $p |- dom ( A |` V ) = dom A $=
    ( cvv cres cdm cin dmres incom inv1 3eqtr ) ABCDBADZEJBEJABFBJGJHI $.
    $( [24-May-2008] $) $( [14-May-2008] $)

  $( The range of a universal restriction. $)
  rnresv $p |- ran ( A |` V ) = ran A $=
    ( ccnv crn cvv cres cnvcnv2 rneqi rncnvcnv eqtr3 ) ABBZCADEZCACJKAFGAHI $.
    $( [16-May-2008] $) $( [14-May-2008] $)

  $( Range defined in terms of image. $)
  dfrn4 $p |- ran A = ( A " V ) $=
    ( cvv cima cres crn df-ima rnresv eqtr2 ) ABCABDEAEABFAGH $.
    $( [14-May-2008] $) $( [14-May-2008] $)

  $( The restriction of the double converse of a class. $)
  rescnvcnv $p |- ( `' `' A |` B ) = ( A |` B ) $=
    ( ccnv cvv cxp cin cres cnvcnv ineq1i inass inxp wceq incom inv1 eqtr
    xpeq1 ax-mp inidm xpeq2 3eqtr ineq2i df-res 3eqtr4 ) ACCZBDEZFZAUEFZUDBGABG
    UFADDEZFZUEFAUHUEFZFUGUDUIUEAHIAUHUEJUJUEAUJDBFZDDFZEZBULEZUEDDBDKUKBLUMUNL
    UKBDFBDBMBNOUKBULPQULDLUNUELDRULDBSQTUATUDBUBABUBUC $.
    $( [8-Apr-2007] $) $( [8-Apr-2007] $)

  $( The double converse of the restriction of a class. $)
  cnvcnvres $p |- `' `' ( A |` B ) = ( `' `' A |` B ) $=
    ( cres ccnv wrel wceq relres dfrel2 mpbi rescnvcnv eqtr4 ) ABCZDDZLADDBCLEM
    LFABGLHIABJK $.
    $( [13-Jul-2007] $) $( [3-Jun-2007] $)

  $( The image of the double converse of a class. $)
  imacnvcnv $p |- ( `' `' A " B ) = ( A " B ) $=
    ( ccnv cres crn cima rescnvcnv rneqi df-ima 3eqtr4 ) ACCZBDZEABDZEKBFABFLMA
    BGHKBIABIJ $.
    $( [23-Jul-2007] $) $( [8-Apr-2007] $)

  $( A class restricted to its domain equals its double converse. $)
  resdm2 $p |- ( A |` dom A ) = `' `' A $=
    ( ccnv cdm cres rescnvcnv wrel wceq relcnv resdm ax-mp dmcnvcnv reseq2
    3eqtr3r ) ABZBZOCZDZAPDZOAACZDZAPEOFQOGNHOIJPSGRTGAKPSALJM $.
    $( [10-Apr-2007] $) $( [8-Apr-2007] $)

  $( Restriction to the domain of a restriction. $)
  resdmres $p |- ( A |` dom ( A |` B ) ) = ( A |` B ) $=
    ( cres cdm ccnv cvv cxp cin in12 df-res resdm2 eqtr3 ineq2i incom 3eqtr
    wceq dmres xpeq1 ax-mp xpindir eqtr 3eqtr4 rescnvcnv ) AABCZDZCZAEEZBCZUDAB
    FGZADZFGZHZHZUGUIHZUFUHUMUIAUKHZHUIUGHUNAUIUKIUOUGUIAUJCUOUGAUJJAKLMUIUGNOU
    FAUEFGZHUMAUEJUPULAUPBUJHZFGZULUEUQPUPURPABQUEUQFRSBUJFTUAMUAUGBJUBABUCUA
    $.
    $( [11-Apr-2007] $) $( [8-Apr-2007] $)

  $( The image of the domain of a restriction. $)
  imadmres $p |- ( A " dom ( A |` B ) ) = ( A " B ) $=
    ( cres cdm crn cima resdmres rneqi df-ima 3eqtr4 ) AABCZDZCZEKEALFABFMKABGH
    ALIABIJ $.
    $( [8-Apr-2007] $) $( [8-Apr-2007] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Restricted first member of a class composition. $)
    cores $p |- ( ran B (_ C -> ( ( A |` C ) o. B ) = ( A o. B ) ) $=
      ( vx vy vz crn wss cv cop cres ccom wcel wb wal wceq wbr wa wex pm3.26
      anim1i ssel visset brelrn syl5 ancld anim1d impbid2 brres ancom bitr
      anbi2i anass bitr4 syl5bb exbidv opelco 3bitr4g 19.21aivv wrel relco
      eqrel mp2an sylibr ) BGZCHZDIZEIZJZACKZBLZMZVIABLZMZNZEODOZVKVMPZVFVODEVF
      VGFIZBQZVRVHVJQZRZFSVSVRVHAQZRZFSVLVNVFWAWCFVFVSVRCMZRZWBRZWCWAVFWFWCWEVS
      WBVSWDTUAVFVSWEWBVFVSWDVFVRVEMWDVSVECVRUBVGVRBDUCZFUCUDUEUFUGUHWAVSWDWBRZ
      RWFVTWHVSVTWBWDRWHVRVHACEUCZUIWBWDUJUKULVSWDWBUMUNUOUPFVGVHVJBWGWIUQFVGVH
      ABWGWIUQURUSVKUTVMUTVQVPNVJBVAABVADEVKVMVBVCVD $.
      $( [17-Oct-2004] $) $( [12-Oct-2004] $)

    $( Associative law for the restriction of a composition. $)
    resco $p |- ( ( A o. B ) |` C ) = ( A o. ( B |` C ) ) $=
      ( vx vy vz ccom cres relres relco cv wbr wcel wa wex visset brco anbi1i
      19.41v an23 brres bitr4 exbii 3bitr2 3bitr4 eqbrriv ) DEABGZCHZABCHZGZUGC
      IAUIJDKZEKZUGLZUKCMZNZUKFKZUILZUPULALZNZFOZUKULUHLUKULUJLUOUKUPBLZURNZFOZ
      UNNVBUNNZFOUTUMVCUNFUKULABDPZEPZQRVBUNFSVDUSFVDVAUNNZURNUSVAURUNTUQVGURUK
      UPBCFPUARUBUCUDUKULUGCVFUAFUKULAUIVEVFQUEUF $.
      $( [11-May-2007] $) $( [12-Dec-2006] $)

    $( Image of the composition of two classes.  (Contributed by Jason
       Orendorff, 12-Dec-2006.) $)
    imaco $p |- ( ( A o. B ) " C ) = ( A " ( B " C ) ) $=
      ( vx vy vz ccom cima cv wbr wrex wcel wa wex df-rex visset elima brco
      rexbii bitr rexcom4 r19.41v exbii 3bitr anbi1i bitr4 3bitr4r eqriv ) DABG
      ZCHZABCHZHZEIZDIZAJZEUKKUMUKLZUOMZENZUNULLUNUJLZUOEUKOEUNAUKDPZQUSFIZUMBJ
      ZFCKZUOMZENZURUSVBUOMZENZFCKZVFFCKZENVEUSVAUNUIJZFCKVHFUNUICUTQVJVGFCEVAU
      NABFPUTRSTVFFECUAVIVDEVBUOFCUBUCUDUQVDEUPVCUOFUMBCEPQUEUCUFUGUH $.
      $( [12-Dec-2006] $) $( [11-Dec-2006] $)

    $( The range of the composition of two classes. $)
    rnco $p |- ran ( A o. B ) = ran ( A |` ran B ) $=
      ( vy vx vz ccom crn cres cv wbr wex wcel wa visset brco exbii excom
      ancom 19.41v elrn anbi2i 3bitr4 brres bitr4 3bitr eqriv ) CABFZGZABGZHZGZ
      DIZCIZUGJZDKZEIZUMUJJZEKZUMUHLUMUKLUOULUPBJZUPUMAJZMZEKZDKVADKZEKURUNVBDE
      ULUMABDNCNZOPVADEQVCUQEVCUTUPUILZMZUQUSDKZUTMUTVGMVCVFVGUTRUSUTDSVEVGUTDU
      PBENTUAUBUPUMAUIVDUCUDPUEDUMUGVDTEUMUJVDTUBUF $.
      $( [31-May-2007] $) $( [12-Dec-2006] $)
  $}

  $( The range of the composition of two classes. $)
  rnco2 $p |- ran ( A o. B ) = ( A " ran B ) $=
    ( ccom crn cres cima rnco df-ima eqtr4 ) ABCDABDZEDAJFABGAJHI $.
    $( [27-Mar-2008] $) $( [27-Mar-2008] $)

  $( The domain of a composition.  Exercise 27 of [Enderton] p. 53. $)
  dmco2 $p |- dom ( A o. B ) = ( `' B " dom A ) $=
    ( ccom cdm ccnv crn cima dfdm4 cnvco rneqi rnco2 wceq imaeq2 ax-mp eqtr4
    3eqtr ) ABCZDQEZFBEZAEZCZFZSADZGZQHRUAABIJUBSTFZGZUDSTKUCUELUDUFLAHUCUESMNO
    P $.
    $( [5-Feb-2004] $) $( [4-Feb-2004] $)

  $( A composition is not affected by a double converse of its first
     argument. $)
  cocnvcnv1 $p |- ( `' `' A o. B ) = ( A o. B ) $=
    ( ccnv ccom cvv cres cnvcnv2 coeq1i crn wss wceq ssv cores ax-mp eqtr ) ACC
    ZBDAEFZBDZABDZPQBAGHBIZEJRSKTLABEMNO $.
    $( [16-Dec-2007] $) $( [8-Oct-2007] $)

  $( A composition is not affected by a double converse of its second
     argument. $)
  cocnvcnv2 $p |- ( A o. `' `' B ) = ( A o. B ) $=
    ( ccnv ccom cvv cres cnvcnv2 coeq2i resco wrel wceq relco dfrel3 mpbi
    3eqtr2 ) ABCCZDABEFZDABDZEFZRPQABGHABEIRJSRKABLRMNO $.
    $( [23-Dec-2007] $) $( [8-Oct-2007] $)

  $( Absorption of a reverse (preimage) restriction of the second member of a
     class composition. $)
  cores2 $p |- ( dom A (_ C -> ( A o. `' ( `' B |` C ) ) = ( A o. B ) ) $=
    ( cdm wss ccnv cres ccom wceq crn dfdm4 sseq1i cores sylbi cnvco wrel
    relres dfrel2 mpbi coeq1i eqtr 3eqtr4g cnveq syl relco 3eqtr3g ) ADZCEZABFZ
    CGZFZHZFZFZABHZFZFZULUOUHUMUPIUNUQIUHUJAFZHZUIURHZUMUPUHURJZCEUSUTIUGVACAKL
    UIURCMNUMUKFZURHUSAUKOVBUJURUJPVBUJIUICQUJRSTUAABOUBUMUPUCUDULPUNULIAUKUEUL
    RSUOPUQUOIABUEUORSUF $.
    $( [27-Jun-2007] $) $( [11-Dec-2006] $)

  ${
    $d x y z A $.
    $( Composition with the empty set.  Theorem 20 of [Suppes] p. 63. $)
    co02 $p |- ( A o. (/) ) = (/) $=
      ( vx vy vz c0 ccom relco rel0 cv cop wcel wbr wa wex noel df-br mtbir
      intnanr nex visset opelco 2false eqrelriv ) BCAEFZEAEGHBIZCIZJZUDKZUGEKUH
      UEDIZELZUIUFALZMZDNULDUJUKUJUEUIJZEKUMOUEUIEPQRSDUEUFAEBTCTUAQUGOUBUC $.
      $( [15-May-2004] $) $( [24-Apr-2004] $)

    $( Composition with the empty set. $)
    co01 $p |- ( (/) o. A ) = (/) $=
      ( c0 ccnv ccom wceq cnv0 coeq2i co02 eqtr2 cnvco 3eqtr4 cnveq ax-mp wrel
      rel0 dfrel2 mpbi relco 3eqtr3r ) BCZCZBADZCZCZBUBTUCEUAUDEBACZTDZTUCUFUEB
      DBTBUEFGUEHIFBAJKTUCLMBNUABEOBPQUBNUDUBEBARUBPQS $.
      $( [15-May-2004] $) $( [24-Apr-2004] $)

    $( Composition with the identity relation.  Part of Theorem 3.7(i) of
       [Monk1] p. 36. $)
    coi1 $p |- ( Rel A -> ( A o. I ) = A ) $=
      ( vx vy vz cid ccom wrel wceq relco wa cv cop wcel wb wal wbr wex visset
      opelco ideq eqcom bitr anbi1i exbii breq1 ceqsexv 3bitr df-br gen2 eqrel
      mpbiri mpan ) AEFZGZAGZUMAHZAEIUNUOJUPBKZCKZLZUMMZUSAMZNZCOBOVBBCUTUQURAP
      ZVAUTUQDKZEPZVDURAPZJZDQVDUQHZVFJZDQVCDUQURAEBRZCRSVGVIDVEVHVFVEUQVDHVHUQ
      VDDRTUQVDUAUBUCUDVFVCDUQVJVDUQURAUEUFUGUQURAUHUBUIBCUMAUJUKUL $.
      $( [25-Apr-2004] $) $( [22-Apr-2004] $)

    $( Composition with the identity relation.  Part of Theorem 3.7(i) of
       [Monk1] p. 36. $)
    coi2 $p |- ( Rel A -> ( I o. A ) = A ) $=
      ( wrel cid ccom ccnv wceq dfrel2 cnvi coeq2 coeq1 sylan9eq mpan2 sylbi
      cnvco relcnv coi1 ax-mp cnveq eqtr3 syl5reqr biimp eqtrd ) ABZCADZAEZEZAU
      CCEZUFDZUDUFUCUFAFZUHUDFZAGZUIUGCFZUJHUIULUHUGADUDUFAUGIUGCAJKLMUECDZEZUH
      UFUECNUMUEFZUNUFFUEBUOAOUEPQUMUERQSTUCUIUKUAUB $.
      $( [25-Apr-2004] $) $( [22-Apr-2004] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.
    $( Associative law for class composition.  Theorem 27 of [Suppes] p. 64.
       Also Exercise 21 of [Enderton] p. 53.  Interestingly, this law holds for
       any classes whatsoever, not just functions or even relations. $)
    coass $p |- ( ( A o. B ) o. C ) = ( A o. ( B o. C ) ) $=
      ( vx vy vz vw ccom relco cv wbr wa wex cop wcel excom anass 2exbii bitr4
      df-br visset opelco bitr anbi2i exbii 19.42v 3bitr4 anbi1i 19.41v
      eqrelriv ) DEABHZCHZABCHZHZUKCIAUMIDJZFJZCKZUPGJZBKZUREJZAKZLZLZGMZFMZUQU
      SLZVALZFMZGMZUOUTNZULOZVJUNOZVEVCFMGMVIVCFGPVGVCGFUQUSVAQRSUQUPUTUKKZLZFM
      UQVBGMZLZFMVKVEVNVPFVMVOUQVMUPUTNUKOVOUPUTUKTGUPUTABFUAEUAZUBUCUDUEFUOUTU
      KCDUAZVQUBVDVPFUQVBGUFUEUGUOURUMKZVALZGMVFFMZVALZGMVLVIVTWBGVSWAVAVSUOURN
      UMOWAUOURUMTFUOURBCVRGUAUBUCUHUEGUOUTAUMVRVQUBVHWBGVFVAFUIUEUGUGUJ $.
      $( [27-Jan-1997] $)
  $}

  ${
    $d x y A $.
    $( A relation is included in the cross product of its domain and range.
       Exercise 4.12(t) of [Mendelson] p. 235. $)
    relssdr $p |- ( Rel A -> A (_ ( dom A X. ran A ) ) $=
      ( vx vy wrel cdm crn cxp id cv cop wcel wi wex wa 19.8a jca visset
      opelxp eldm2 elrn2 anbi12i bitr sylibr a1i relssdv ) ADZBCAAEZAFZGZUFHBIZ
      CIZJZAKZULUIKZLUFUMUMCMZUMBMZNZUNUMUOUPUMCOUMBOPUNUJUGKZUKUHKZNUQUJUKUGUH
      CQZRURUOUSUPCUJABQSBUKAUTTUAUBUCUDUE $.
      $( [3-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x y R $.
    $( The membership relation for a relation is inherited by class union. $)
    unielrel $p |- ( ( Rel R /\ A e. R ) -> U. A e. U. R ) $=
      ( vx vy cv cop wceq wex wcel cuni wrel wa wi uniopel a1i eleq1 unieq
      eleq1d 3imtr4d 19.23aivv elrel pm3.27 sylc ) ACEZDEZFZGZDHCHABIZAJZBJZIZB
      KZUHLUGUHUKMCDUGUFBIZUFJZUJIZUHUKUMUOMUGUDUEBNOAUFBPUGUIUNUJAUFQRSTCDABUA
      ULUHUBUC $.
      $( [20-Sep-2006] $) $( [17-Sep-2006] $)
  $}

  $( The double union of a relation is its field. $)
  relfld $p |- ( Rel R -> U. U. R = ( dom R u. ran R ) ) $=
    ( wrel cuni cdm crn cun cxp wss relssdr uniss 3syl unixpss a1i sstrd
    dmrnssfld eqssd ) ABZACZCZADZAEZFZQSTUAGZCZCZUBQAUCHRUDHSUEHAIAUCJRUDJKUEUB
    HQTUALMNUBSHQAOMP $.
    $( [22-Sep-2006] $) $( [17-Sep-2006] $)

  $( The double union of the converse of a class is its field. $)
  unidmrn $p |- U. U. `' A = ( dom A u. ran A ) $=
    ( ccnv crn cdm cun cuni uncom dfdm4 df-rn uneq12i wrel wceq relcnv relfld
    ax-mp 3eqtr4r ) ABZCZQDZESREZADZACZEQFFZRSGUARUBSAHAIJQKUCTLAMQNOP $.
    $( [13-Jun-2008] $) $( [4-Jun-2008] $)

  $( The double class union of a non-empty cross product is the union of it
     members. $)
  unixp $p |- ( ( A X. B ) =/= (/) -> U. U. ( A X. B ) = ( A u. B ) ) $=
    ( cxp c0 wne cdm crn cun cuni wceq uneq12 dmxp rnxp syl2an xpeq2 xp0
    syl6eq necon3i xpeq1 xp0r sylanc wrel relxp relfld ax-mp syl5eq ) ABCZDEZUG
    FZUGGZHZABHZUGIIZBDEZADEZUKULJZUHUIAJUJBJUPUNUOUIAUJBKABLABMNBDUGDBDJUGADCD
    BDAOAPQRADUGDADJUGDBCDADBSBTQRUAUGUBUMUKJABUCUGUDUEUF $.
    $( [23-Sep-2006] $) $( [17-Sep-2006] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( A cross product is empty iff its union is empty. $)
    unixp0 $p |- ( ( A X. B ) = (/) <-> U. ( A X. B ) = (/) ) $=
      ( vz vx vy cxp c0 wceq cuni unieq uni0 syl6eq wn cv wcel wex n0 cop wa
      elxp3 csn wss snssi uniss opex unisn syl5ssr opnz sseq2 biimpd ss0
      syl6com mtoi 3syl adantl 19.23aivv sylbi 19.23aiv a3i impbi ) ABFZGHZVAIZ
      GHZVBVCGIGVAGJKLVBVDVBMCNZVAOZCPVDMZCVAQVFVGCVFDNZENZRZVEHZVJVAOZSZEPDPVG
      DEVEABTVMVGDEVLVGVKVLVJUAZVAUBZVJVCUBZVGVJVAUCVOVNIVCVJVNVAUDVJVHVIUEUFUG
      VPVDVJGHZVHVIUHVDVPVJGUBZVQVDVPVRVCGVJUIUJVJUKULUMUNUOUPUQURUQUSUT $.
      $( [28-Sep-2006] $) $( [20-Sep-2006] $)
  $}

  $( The converse of a set is a set.  Corollary 6.8(1) of [TakeutiZaring]
     p. 26. $)
  cnvexg $p |- ( A e. B -> `' A e. V ) $=
    ( ccnv cdm crn cxp wss wcel cvv wrel relcnv relssdr ax-mp ssexg xpexg
    rnexg df-rn syl5eqelr dmexg dfdm4 sylanc sylan2 mpan ) ACZUDDZUDEZFZGZABHZU
    DIHZUDJUHAKUDLMUHUGIHZUJUIUDUGINUEIHUFIHUKUIUEUFIIOUIAEIUEABPAQRUIADIUFABSA
    TRUAUBUC $.
    $( [17-Mar-1998] $)

  ${
    cnvex.1 $e |- A e. V $.
    $( The converse of a set is a set.  Corollary 6.8(1) of [TakeutiZaring]
       p. 26. $)
    cnvex $p |- `' A e. V $=
      ( cvv wcel ccnv cnvexg ax-mp ) ACDAECDBACFG $.
      $( [20-Dec-2003] $) $( [19-Dec-2003] $)
  $}

  $( A relation is a set iff its converse is a set.  (Contributed by FL,
     3-Mar-2007.) $)
  relcnvexb $p |- ( Rel R -> ( R e. V <-> `' R e. V ) ) $=
    ( wrel cvv wcel ccnv cnvexg wceq wi dfrel2 eleq1 syl5bi sylbi impbid2 ) ABZ
    ACDZAEZCDZACFNPEZAGZQOHAISRCDOQRACJPCFKLM $.
    $( [7-Mar-2007] $) $( [5-Mar-2007] $)

  ${
    $d x y z A $.  $d x y z R $.
    $( The converse of a partial order relation is a partial order relation. $)
    cnvpo $p |- ( R Po A <-> `' R Po A ) $=
      ( vx vy vz cv wbr wn wa wi wral ccnv wpo r19.26 ralbii ralidm wb c0 wceq
      pm5.1 rzal sylanc wne r19.3rzv ralbidv pm2.61ine bitr2 anbi1i 3bitr
      bitr4 id breq12d visset brcnv syl5bb negbid cbvralv anbi12i ancom bitr
      imbi12i ralcom 3bitr4 df-po ) CFZVEBGZHZVEDFZBGZVHEFZBGZIZVEVJBGZJZIEAKZD
      AKCAKZVJVJBLZGZHZVJVHVQGZVHVEVQGZIZVJVEVQGZJZIZCAKZDAKEAKZABMAVQMVOCAKZDA
      KWFEAKZDAKVPWGWHWIDAWHVGCAKZVNEAKZIZCAKZWEEAKZCAKWIWHWJCAKZWKCAKZIZWMWHVG
      EAKZWKIZCAKWRCAKZWPIWQVOWSCAVGVNEANOWRWKCANWTWOWPWOWJWTVGCAPWJWTQZARWJWTX
      AARSWJWTTVGCAUAWRCAUAUBARUCVGWRCAVGEAUDUEUFUGUHUIWJWKCANUJWLWNCAWNVSEAKZW
      DEAKZIWLVSWDEANXBWJXCWKVSVGECAVJVESZVRVFXDVJVJBGVFVRXDVJVEVJVEBXDUKZXEULV
      JVJBEUMZXFUNUOUPUQWDVNEAWBVLWCVMWBVKVIIVLVTVKWAVIVJVHBXFDUMZUNVHVEBXGCUMZ
      UNURVKVIUSUTVJVEBXFXHUNVAOURUGOWECEAAVBUIOVOCDAAVBWFEDAAVBVCCDEABVDEDCAVQ
      VDVC $.
      $( [15-Jun-2005] $) $( [15-Jun-2005] $)

    $( The converse of a strict order relation is a strict order relation. $)
    cnvso $p |- ( R Or A <-> `' R Or A ) $=
      ( vx vy wpo cv wbr wceq w3o wral wa ccnv wor cnvpo ralcom visset brcnv
      eqcom 3orbi123i 2ralbii bitr4 anbi12i df-so 3bitr4 ) ABEZCFZDFZBGZUFUGHZU
      GUFBGZIZDAJCAJZKABLZEZUGUFUMGZUGUFHZUFUGUMGZIZCAJDAJZKABMAUMMUEUNULUSABNU
      LUKCAJDAJUSUKCDAAOURUKDCAAUOUHUPUIUQUJUGUFBDPZCPZQUGUFRUFUGBVAUTQSTUAUBCD
      ABUCDCAUMUCUD $.
      $( [19-Jun-2005] $) $( [15-Jun-2005] $)
  $}

  $( The composition of two sets is a set. $)
  coexg $p |- ( ( A e. C /\ B e. D ) -> ( A o. B ) e. V ) $=
    ( ccom cdm crn cxp wss wcel wa cvv wrel relco relssdr dmcoss rncoss ssxp
    mp2an sstr2 mpi syl ax-mp ssexg xpexg dmexg rnexg syl2an ancoms sylan2
    mpan ) ABEZBFZAGZHZIZACJZBDJZKZULLJZULMZUPABNVAULULFZULGZHZIZUPULOVEVDUOIZU
    PVBUMIVCUNIVFABPABQVBUMVCUNRSULVDUOTUAUBUCUPUOLJZUTUSULUOLUDURUQVGUMLJUNLJV
    GURUQUMUNLLUEBDUFACUGUHUIUJUK $.
    $( [19-Mar-1998] $)

  ${
    coex.1 $e |- A e. V $.
    coex.2 $e |- B e. V $.
    $( The composition of two sets is a set. $)
    coex $p |- ( A o. B ) e. V $=
      ( cvv wcel ccom coexg mp2an ) AEFBEFABGEFCDABEEHI $.
      $( [16-Dec-2003] $) $( [15-Dec-2003] $)
  $}

  ${
    $d x y z A $.
    $( Alternate definition of a function. $)
    dffun2 $p |- ( Fun A <-> ( Rel A /\
                 A. x A. y A. z ( ( x A y /\ x A z ) -> y = z ) ) ) $=
      ( wfun wrel ccnv ccom cid wss wa cv wbr wceq wi wal df-fun wex copab
      df-id sseq2i df-co sseq1i ssopab2 3bitr visset brcnv anbi1i exbii imbi1i
      19.23v bitr4 albii alcom bitr anbi2i ) DEDFZDDGZHZIJZKUQALZBLZDMZVACLZDMZ
      KZVBVDNZOZCPZBPAPZKDQUTVJUQUTVBVAURMZVEKZARZVGOZCPZBPZVIAPZBPVJUTUSVGBCSZ
      JVMBCSZVRJVPIVRUSBCTUAUSVSVRBCADURUBUCVMVGBCUDUEVOVQBVOVHAPZCPVQVNVTCVNVF
      ARZVGOVTVMWAVGVLVFAVKVCVEVBVADBUFAUFUGUHUIUJVFVGAUKULUMVHCAUNUOUMVIBAUNUE
      UPUO $.
      $( [23-Apr-2004] $) $( [29-Dec-1996] $)

    $( Alternate definition of function. $)
    dffun3 $p |- ( Fun A <-> ( Rel A /\
                 A. x E. z A. y ( x A y -> y = z ) ) ) $=
      ( wfun wrel cv wbr wa wceq wi wal wex dffun2 wmo breq2 mo4 ax-17 mo2
      bitr3 albii anbi2i bitr ) DEDFZAGZBGZDHZUECGZDHZIUFUHJZKCLBLZALZIUDUGUJKB
      LCMZALZIABCDNULUNUDUKUMAUKUGBOUMUGUIBCUFUHUEDPQUGBCUGCRSTUAUBUC $.
      $( [23-Apr-2004] $) $( [29-Dec-1996] $)

    $( Alternate definition of a function.  Definition 6.4(4) of
       [TakeutiZaring] p. 24. $)
    dffun4 $p |- ( Fun A <-> ( Rel A /\
                 A. x A. y A. z ( ( <. x , y >. e. A /\ <. x , z >. e. A )
                 -> y = z ) ) ) $=
      ( wfun wrel cv wbr wa wceq wi wal cop wcel dffun2 df-br anbi12i imbi1i
      albii 2albii anbi2i bitr ) DEDFZAGZBGZDHZUDCGZDHZIZUEUGJZKZCLZBLALZIUCUDU
      EMDNZUDUGMDNZIZUJKZCLZBLALZIABCDOUMUSUCULURABUKUQCUIUPUJUFUNUHUOUDUEDPUDU
      GDPQRSTUAUB $.
      $( [29-Dec-1996] $)

    $( Alternate definition of function. $)
    dffun5 $p |- ( Fun A <-> ( Rel A /\
                 A. x E. z A. y ( <. x , y >. e. A -> y = z ) ) ) $=
      ( wfun wrel cv wbr wceq wi wal wex wa cop wcel dffun3 df-br imbi1i albii
      exbii anbi2i bitr ) DEDFZAGZBGZDHZUECGIZJZBKZCLZAKZMUCUDUENDOZUGJZBKZCLZA
      KZMABCDPUKUPUCUJUOAUIUNCUHUMBUFULUGUDUEDQRSTSUAUB $.
      $( [29-Dec-1996] $)
  $}

  ${
    $d x y z w v u $.  $d z A w v u $.
    dffunmof.1 $e |- ( z e. A -> A. x z e. A ) $.
    dffunmof.2 $e |- ( z e. A -> A. y z e. A ) $.
    $( Definition of function, using bound-variable hypotheses instead of
       distinct variable conditions. $)
    dffunmof $p |- ( Fun A <-> ( Rel A /\ A. x E* y x A y ) ) $=
      ( vw vv vu wfun wrel cv wbr wceq wi wal wex wa wmo dffun3 wcel ax-17
      hbbr breq2 cbvmo albii mo2 hbmo breq1 mobid cbval 3bitr3r anbi2i bitr4 )
      DJDKZGLZHLZDMZUQILNOHPIQZGPZRUOALZBLZDMZBSZAPZRGHIDTVEUTUOURHSZGPUPVBDMZB
      SZGPUTVEVFVHGURVGHBBCUPUQDCLZUPUAZBUBFVIUQUABUBUCVGHUBUQVBUPDUDUEUFVFUSGU
      RHIURIUBUGUFVHVDGAVGABACUPVBDVJAUBEVIVBUAAUBUCUHVDGUBUPVANZVGVCBVKBUBUPVA
      VBDUIUJUKULUMUN $.
      $( [15-Aug-2004] $) $( [9-Mar-1995] $)
  $}

  ${
    $d x y z A $.
    $( Alternate definition of a function using "at most one" notation. $)
    dffunmo $p |- ( Fun A <-> ( Rel A /\ A. x E* y x A y ) ) $=
      ( vz cv wcel ax-17 dffunmof ) ABDCDECFZAGIBGH $.
      $( [15-Aug-2004] $) $( [9-Mar-1995] $)

    $( A function has at most one value for each argument. $)
    funmo $p |- ( Fun A -> E* y x A y ) $=
      ( wfun cv wbr wmo wrel wal dffunmo pm3.27bi 19.21bi ) CDZAEBECFBGZAMCHNAI
      ABCJKL $.
      $( [15-Aug-2004] $) $( [24-May-1998] $)
  $}

  $( A function is a relation. $)
  funrel $p |- ( Fun A -> Rel A ) $=
    ( wfun wrel ccnv ccom cid wss df-fun pm3.26bi ) ABACAADEFGAHI $.
    $( [1-Aug-1994] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( Subclass theorem for function predicate. $)
    funss $p |- ( A (_ B -> ( Fun B -> Fun A ) ) $=
      ( vx vy vz wss wfun wrel cv cop wcel wceq wi wal wex wa relss funrel
      syl5 ssel imim1d 19.20dv 19.22dv dffun5 pm3.27bi jcad syl6ibr ) ABFZBGZAH
      ZCIDIZJZAKZUKEILZMZDNZEOZCNZPAGUHUIUJURUHBHZUJUIABQBRSUHULBKZUNMZDNZEOZCN
      ZURUIUHVCUQCUHVBUPEUHVAUODUHUMUTUNABULTUAUBUCUBUIUSVDCDEBUDUESUFCDEAUDUG
      $.
      $( [16-Aug-1994] $)
  $}

  $( Equality theorem for function predicate. $)
  funeq $p |- ( A = B -> ( Fun A <-> Fun B ) ) $=
    ( wss wa wfun wi wceq wb funss anim12i ancoms eqss dfbi2 3imtr4 ) ABCZBACZDAEZ
    BEZFZRQFZDZABGQRHPOUAPSOTBAIABIJKABLQRMN $.
    $( [16-Aug-1994] $)

  ${
    $d y F $.  $d x y $.
    hbfun.1 $e |- ( y e. F -> A. x y e. F ) $.
    $( Bound-variable hypothesis builder for a function. $)
    hbfun $p |- ( Fun F -> A. x Fun F ) $=
      ( wrel ccnv ccom cid wss wa wal wfun hbrel hbcnv hbco cv wcel ax-17 hbss
      hban df-fun albii 3imtr4 ) CEZCCFZGZHIZJZUHAKCLZUIAKUDUGAABCDMABUFHABCUED
      ABCDNOBPHQARSTCUAZUIUHAUJUBUC $.
      $( [31-Jan-2004] $) $( [30-Jan-2004] $)
  $}

  ${
    $d x y z F $.
    $( There is exactly one value of a function. $)
    funeu $p |- ( ( Fun F /\ x F y ) -> E! y x F y ) $=
      ( vz cv wbr wfun weu wa wex wceq wi wal 19.8a wrel dffun3 pm3.27bi
      19.21bi anim12i ax-17 eu3 sylibr ancoms ) AEBEZCFZCGZUEBHZUEUFIUEBJZUEUDD
      EKLBMDJZIUGUEUHUFUIUEBNUFUIAUFCOUIAMABDCPQRSUEBDUEDTUAUBUC $.
      $( [24-Apr-2004] $) $( [22-Apr-2004] $)

    $( There is exactly one value of a function. $)
    funeu2 $p |- ( ( Fun F /\ <. x , y >. e. F ) -> E! y <. x , y >. e. F ) $=
      ( wfun cv wbr wa weu cop wcel funeu df-br anbi2i eubii 3imtr3 ) CDZAEZBEZ
      CFZGSBHPQRICJZGTBHABCKSTPQRCLZMSTBUANO $.
      $( [3-Aug-1994] $)
  $}

  ${
    $d x y A $.
    $( Alternate definition of a function.  One possibility for the definition
       of a function in [Enderton] p. 42.  (Enderton's definition is ambiguous
       because "there is only one" could mean either "there is at most one" or
       "there is exactly one."  However, ~ dffun7 shows that it doesn't matter
       which meaning we pick.) $)
    dffun6 $p |- ( Fun A <-> ( Rel A /\ A. x e. dom A E* y x A y ) ) $=
      ( wfun wrel cv wbr wmo wal wa cdm wral dffunmo wcel wi wex moabs visset
      eldm imbi1i bitr4 albii df-ral anbi2i bitr ) CDCEZAFZBFCGZBHZAIZJUFUIACKZ
      LZJABCMUJULUFUJUGUKNZUIOZAIULUIUNAUIUHBPZUIOUNUHBQUMUOUIBUGCARSTUAUBUIAUK
      UCUAUDUE $.
      $( [4-Nov-2002] $)

    $( Alternate definition of a function.  One possibility for the
       definition of a function in [Enderton] p. 42.  Compare ~ dffun6 . $)
    dffun7 $p |- ( Fun A <-> ( Rel A /\ A. x e. dom A E! y x A y ) ) $=
      ( wfun wrel cv wbr weu cdm wral wa funrel cop wcel wex ax-17 hbeu1
      funeu2 ex 19.23ad visset eldm2 df-br eubii 3imtr4g r19.21aiv jca wmo
      eumo r19.20si anim2i dffun6 sylibr impbi ) CDZCEZAFZBFZCGZBHZACIZJZKZUOUP
      VBCLUOUTAVAUOUQURMCNZBOVDBHZUQVANUTUOVDVEBUOBPVDBQUOVDVEABCRSTBUQCAUAUBUS
      VDBUQURCUCUDUEUFUGVCUPUSBUHZAVAJZKUOVBVGUPUTVFAVAUSBUIUJUKABCULUMUN $.
      $( [4-Nov-2002] $)

    $( Alternate definition of a function. $)
    dffun8 $p |- ( Fun A <->
                 ( Rel A /\ A. x e. dom A E* y ( y e. ran A /\ x A y ) ) ) $=
      ( wfun wrel cv wbr wmo cdm wral wa crn wcel dffun6 visset brelrn
      pm4.71ri mobii ralbii anbi2i bitr ) CDCEZAFZBFZCGZBHZACIZJZKUBUDCLMZUEKZB
      HZAUGJZKABCNUHULUBUFUKAUGUEUJBUEUIUCUDCAOBOPQRSTUA $.
      $( [28-Mar-2007] $) $( [28-Mar-2007] $)
  $}

  $( An equivalence for the function predicate. $)
  funfn $p |- ( Fun A <-> A Fn dom A ) $=
    ( wfun cdm wceq wa wfn eqid biantru df-fn bitr4 ) ABZKACZLDZEALFMKLGHALIJ
    $.
    $( [1-Nov-2004] $) $( [13-Aug-2004] $)

  ${
    $d x y z A $.  $d x y z B $.
    funsn.1 $e |- A e. V $.
    funsn.2 $e |- B e. V $.
    $( A singleton of an ordered pair is a function.  Theorem 10.5 of [Quine]
       p. 65. $)
    funsn $p |- Fun { <. A , B >. } $=
      ( vx vy vz cop csn wfun wrel cv wcel wa wceq wi wal dffun4 relsn eqtr3t
      opex elsnc visset opth2 sylbi syl2an ax-gen gen2 mpbir2an ) ABHZIZJUKKELZ
      FLZHZUKMZULGLZHZUKMZNUMUPOZPZGQZFQEQEFGUKRABCSVAEFUTGUMBOZUPBOZUSUOURUMUP
      BTUOUNUJOVBUNUJULUMUAUBULUMABFUCDUDUEURUQUJOVCUQUJULUPUAUBULUPABGUCDUDUEU
      FUGUHUI $.
      $( [12-Aug-1994] $)
  $}

  $( The empty set is a function.  Theorem 10.3 of [Quine] p. 65. $)
  fun0 $p |- Fun (/) $=
    ( c0 cop csn wss wfun 0ss 0ex funsn funss mp2 ) AAABCZDKEAEKFAAGGHAKIJ $.
    $( [7-Apr-1998] $)

  $( The identity relation is a function.  Part of Theorem 10.4 of [Quine]
     p. 65. $)
  funi $p |- Fun I $=
    ( cid wfun wrel ccnv ccom wss df-fun reli wceq relcnv coi2 ax-mp cnvi eqtr
    eqimssi mpbir2an ) ABACAADZEZAFAGHRARQAQCRQIAJQKLMNOP $.
    $( [30-Apr-1998] $)

  $( The universe is not a function.  (Contributed by Raph Levien,
     27-Jan-2004.) $)
  nfunv $p |- -. Fun V $=
    ( cvv wfun wrel c0 cxp wcel 0nelxp 0ex wss df-rel biimp sseld mpi mto
    funrel ) ABACZPDAAEZFZAAGPDAFRHPAQDPAQIAJKLMNAON $.
    $( [27-Jan-2004] $) $( [27-Jan-2004] $)

  ${
    $d t u v w x y z A $.  $d t u v w x y z B $.
    $( A Kuratowski ordered pair is a function only if its components are
       equal. $)
    funopg $p |- ( ( B e. C /\ Fun <. A , B >. ) -> A = B ) $=
      ( vu vt vx vy vz vw vv wcel cop wfun wceq cvv wi cv wb opeq1 funeq syl
      eqeq1 imbi12d opeq2 eqeq2 csn cpr wa wex wrel funrel visset relop sylib
      wal dffun4 pm3.27bi w3a opeq12 3adant3 eleq1d 3adant2 anbi12d eqeq12
      3adant1 cla43gv mp3an opex pri1 eleq2 mpbiri pri2 jca syl5 zfpair2 opth
      dfsn2 preq2 ax-mp df-op 3eqtr4r preq1 eqeq2i bitr3 syl5ib syl5req eqeq2d
      eqtr3t expcom syl6bi com13 imp sylcom 19.23advv mpd vtocl2g wn c0
      opprc1b cxp wss df-rel 0nelxp ssel mtoi sylbi con2i pm2.21d adantr
      pm2.61ian ) BCKZABLZMZABNZAOKZXKXMXNPZDQZEQZLZMZXQXRNZPAXRLZMZAXRNZPXPDEA
      BOCXQANZXTYCYAYDYEXSYBNXTYCRXQAXRSXSYBTUAXQAXRUBUCXRBNZYCXMYDXNYFYBXLNYCX
      MRXRBAUDYBXLTUAXRBAUEUCXTXQFQZUFZNZXRYGGQZUGZNZUHZGUIFUIZYAXTXSUJZYNXSUKF
      GXQXRDULZEULZUMUNXTYMYAFGXTYMYGYJNZYAXTXSYGYGLZYGYJLZUGZNZYRYMXTHQZIQZLZX
      SKZUUCJQZLZXSKZUHZUUDUUGNZPZJUOIUOHUOZUUBYRPXTYOUUMHIJXSUPUQUUMYSXSKZYTXS
      KZUHZYRUUBYGOKZUUQYJOKUUMUUPYRPZPFULZUUSGULUULUURHIJYGYGYJOOOUUCYGNZUUDYG
      NZUUGYJNZURZUUJUUPUUKYRUVCUUFUUNUUIUUOUVCUUEYSXSUUTUVAUUEYSNUVBUUCUUDYGYG
      USUTVAUVCUUHYTXSUUTUVBUUHYTNUVAUUCUUGYGYJUSVBVAVCUVAUVBUUKYRRUUTUUDYGUUGY
      JVDVEUCVFVGUUBUUNUUOUUBUUNYSUUAKYSYTYGYGVHVIXSUUAYSVJVKUUBUUOYTUUAKYSYTYG
      YJVHVLXSUUAYTVJVKVMVNUAYMXSYHYKLZNUUBXQXRYHYKYPYQFGVOVPUVDUUAXSYSYHYKUGZU
      GZYHUFZUVEUGZUUAUVDYSUVGNUVFUVHNYHYHUGZYHYGYGUGZUGZUVGYSYHUVJNUVIUVKNYGVQ
      ZYHUVJYHVRVSYHVQYGYGVTWAYSUVGUVEWBVSYTUVENUUAUVFNYGYJVTYTUVEYSVRVSYHYKVTW
      AWCWDWEYIYLYRYAPYRYLYIYAYRYLXRYHNZYIYAPYRYKYHXRYRUVJYKYHYGYJYGVRUVLWFWGYI
      UVMYAXQXRYHWHWIWJWKWLWMWNWOWPXOWQZXPXKUVNXMXNUVNWRXLKZXMWQABWSXMUVOXMXLUJ
      ZUVOWQZXLUKUVPXLOOWTZXAZUVQXLXBUVSUVOWRUVRKOOXCXLUVRWRXDXEXFUAXGXFXHXIXJW
      L $.
      $( [8-Jun-2008] $) $( [5-Jun-2008] $)
  $}


  ${
    $d x y z $.  $d z ph $.
    $( A class of ordered pairs is a function when there is at most one
       second member for each pair. $)
    funopab $p |- ( Fun { <. x , y >. | ph } <-> A. x E* y ph ) $=
      ( vz copab wfun cv wbr wmo wal wrel hbopab1 hbopab2 dffunmof relopab
      mpbiran cop wcel df-br opabid bitr mobii albii ) ABCEZFZBGZCGZUDHZCIZBJZA
      CIZBJUEUDKUJBCDUDABCDLABCDMNABCOPUIUKBUHACUHUFUGQUDRAUFUGUDSABCTUAUBUCUA
      $.
      $( [16-May-1995] $)
  $}

  ${
    $d x y $.  $d y A $.
    $( A class of ordered pairs of values is a function. $)
    funopabeq $p |- Fun { <. x , y >. | y = A } $=
      ( cv wceq copab wfun wmo funopab moeq mpgbir ) BDCEZABFGLBHALABIBCJK $.
      $( [14-Nov-1995] $)
  $}

  ${
    $d x y z F $.  $d x y z G $.
    $( The composition of two functions is a function.  Exercise 29 of
       [TakeutiZaring] p. 25. $)
    funco $p |- ( ( Fun F /\ Fun G ) -> Fun ( F o. G ) ) $=
      ( vx vy vz wfun wa ccom wrel cv wbr wmo wal wex moexexv funmo dffunmo
      pm3.27bi syl2an ancoms visset brco mobii sylibr 19.21aiv relco jctil ) AF
      ZBFZGZABHZIZCJZDJZUKKZDLZCMZGUKFUJUQULUJUPCUJUMEJZBKZURUNAKZGENZDLZUPUIUH
      VBUSELUTDLEMZVBUIUHUSUTEDOCEBPUHAIVCEDAQRSTUOVADEUMUNABCUADUAUBUCUDUEABUF
      UGCDUKQUD $.
      $( [26-Jan-1997] $)
  $}

  ${
    $d x y z F $.  $d x y z A $.
    $( A restriction of a function is a function.  Compare Exercise 18 of
       [TakeutiZaring] p. 25. $)
    funres $p |- ( Fun F -> Fun ( F |` A ) ) $=
      ( cres wss wfun wi resss funss ax-mp ) BACZBDBEJEFBAGJBHI $.
      $( [16-Aug-1994] $)
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y A $.
    $( The restriction of a function to the domain of a subclass equals the
       subclass. $)
    funssres $p |- ( ( Fun F /\ G (_ F ) -> ( F |` dom G ) = G ) $=
      ( vx vy wfun wss wa cdm cres wceq cv cop wcel wb wal wi ssel visset
      opeldm a1i jcad adantl weu wex eupick funeu2 ancrd 19.22dv eldm2 syl5ib
      imp syl2an exp43 com23 com34 pm2.43d imp3a impbid opelres syl6rbbr
      19.21aivv wrel relss funrel syl5com relres jctil eqrel syl mpbird ) AEZBA
      FZGZABHZIZBJZCKZDKZLZVOMZVSBMZNZDOCOZVMWBCDVMWAVSAMZVQVNMZGZVTVMWAWFVLWAW
      FPVKVLWAWDWEBAVSQZWAWEPVLVQVRBCRZSTUAUBVMWDWEWAVMWDWEWAPVMWDWEWDWAVKVLWDW
      EWDWAPZPZPVKWDVLWJVKWDVLWEWIWDDUCWDWAGZDUDZWIVKWDGVLWEGWDWADUECDAUFVLWEWL
      VLWADUDWLWEVLWAWKDVLWAWDWGUGUHDVQBWHUIUJUKULUMUNUKUOUPUQURVQVRAVNDRUSUTVA
      VMVOVBZBVBZGVPWCNVMWNWMVKVLWNVLAVBWNVKBAVCAVDVEUKAVNVFVGCDVOBVHVIVJ $.
      $( [19-Mar-2004] $) $( [15-Aug-1994] $)
  $}

  $( Equality of restrictions of a function and a subclass. $)
  fun2ssres $p |- ( ( Fun F /\ G (_ F /\ A (_ dom G ) ->
                  ( F |` A ) = ( G |` A ) ) $=
    ( wfun wss cdm cres wceq wa resabs1 eqcomd funssres reseq1 syl sylan9eqr
    3impa ) BDZCBEZACFZEZBAGZCAGZHTQRIZUABSGZAGZUBTUEUABASJKUCUDCHUEUBHBCLUDCAM
    NOP $.
    $( [2-Jun-2007] $) $( [16-Aug-1994] $)

  ${
    $d x y z F $.  $d x y z G $.
    $( The union of functions with disjoint domains is a function.  Theorem
       4.6 of [Monk1] p. 43. $)
    funun $p |- ( ( ( Fun F /\ Fun G ) /\ ( dom F i^i dom G ) = (/) ) ->
                Fun ( F u. G ) ) $=
      ( vx vy vz wfun wa cdm cin c0 wceq cun wrel cv cop wcel wi wal funrel
      anim12i relun sylibr adantr wo wn disj1 biimp 19.21bi imnan sylib visset
      opeldm nsyl orel2 syl con2d orel1 orim12d adantl elun anbi12i anddi bitr
      syl5ib dffun4 pm3.27bi 19.21bbi jaao syld 19.21aiv 19.21aivv jca ) AFZBFZ
      GZAHZBHZIJKZGZABLZMZCNZDNZOZVTPZWBENZOZVTPZGZWCWFKZQZERZDRCRZGVTFVSWAWMVO
      WAVRVOAMZBMZGWAVMWNVNWOASBSTABUAUBUCVSWLCDVSWKEVSWIWDAPZWGAPZGZWDBPZWGBPZ
      GZUDZWJVSWRWPWTGZUDZWSWQGZXAUDZUDZXBWIVRXGXBQVOVRXDWRXFXAVRXCUEXDWRQVRWBV
      PPZWBVQPZGZXCVRXHXIUEQZXJUEVRXKCVRXKCRCVPVQUFUGUHZXHXIUIUJWPXHWTXIWBWCACU
      KZULWBWFBXMULTUMXCWRUNUOVRXEUEXFXAQVRXIXHGZXEVRXIXHUEQXNUEVRXHXIXLUPXIXHU
      IUJWSXIWQXHWBWCBXMULWBWFAXMULTUMXEXAUQUOURUSWIWPWSUDZWQWTUDZGXGWEXOWHXPWD
      ABUTWGABUTVAWPWSWQWTVBVCVDVOXBWJQVRVMWRWJVNXAVMWRWJQZDEVMXQERDRZCVMWNXRCR
      CDEAVEVFUHVGVNXAWJQZDEVNXSERDRZCVNWOXTCRCDEBVEVFUHVGVHUCVIVJVKVLCDEVTVEUB
      $.
      $( [12-Aug-1994] $)
  $}

  $( The double converse of a function is a function. $)
  funcnvcnv $p |- ( Fun A -> Fun `' `' A ) $=
    ( ccnv wss wfun wi cnvcnvss funss ax-mp ) ABBZACADIDEAFIAGH $.
    $( [22-Sep-2004] $) $( [21-Sep-2004] $)

  ${
    $d f g x y z w v A $.  $d x y B $.  $d x y R $.
    $( A simpler equivalence for single-rooted (see ~ funcnv ). $)
    funcnv2 $p |- ( Fun `' A <-> A. y E* x x A y ) $=
      ( ccnv wfun wrel cv wbr wmo wal wa dffunmo relcnv biantrur visset brcnv
      mobii albii 3bitr2 ) CDZETFZBGZAGZTHZAIZBJZKUFUCUBCHZAIZBJBATLUAUFCMNUEUH
      BUDUGAUBUCCBOAOPQRS $.
      $( [3-Oct-2004] $) $( [9-Aug-2004] $)

    $( The converse of a class is a function iff the class is single-rooted,
       which means that for any ` y ` in the range of ` A ` there is at most
       one ` x ` such that ` x A y ` .  Definition of single-rooted in
       [Enderton] p. 43.  See ~ funcnv2 for a simpler version. $)
    funcnv $p |- ( Fun `' A <-> A. y e. ran A E* x x A y ) $=
      ( cv wbr wmo wal crn wcel wi ccnv wfun wral wa visset brelrn pm4.71ri
      mobii moanimv bitr albii funcnv2 df-ral 3bitr4 ) ADZBDZCEZAFZBGUFCHZIZUHJ
      ZBGCKLUHBUIMUHUKBUHUJUGNZAFUKUGULAUGUJUEUFCAOBOPQRUJUGASTUAABCUBUHBUIUCUD
      $.
      $( [3-Oct-2004] $) $( [13-Aug-2004] $)

    $( A condition showing a class is single-rooted.  (See ~ funcnv ). $)
    funcnv3 $p |- ( Fun `' A <-> A. y e. ran A E! x e. dom A x A y ) $=
      ( cv wbr wmo crn wral wex wa ccnv wfun cdm wreu wcel dfrn2 abeq2i biimp
      biantrurd ralbiia funcnv weu df-reu visset breldm pm4.71ri eubii eu5
      3bitr2 ralbii 3bitr4 ) ADZBDZCEZAFZBCGZHUNAIZUOJZBUPHCKLUNACMZNZBUPHUOURB
      UPUMUPOZUQUOVAUQUQBUPABCPQRSTABCUAUTURBUPUTULUSOZUNJZAUBUNAUBURUNAUSUCUNV
      CAUNVBULUMCAUDUEUFUGUNAUHUIUJUK $.
      $( [30-May-2006] $) $( [26-May-2006] $)

    $( The double converse of a class is a function iff the class is
       single-valued.  Each side is equivalent to Definition 6.4(2) of
       [TakeutiZaring] p. 23, who use the notation "Un(A)" for single-valued.
       Note that ` A ` is not necessarily a function. $)
    fun2cnv $p |- ( Fun `' `' A <-> A. x E* y x A y ) $=
      ( ccnv wfun cv wbr wmo wal funcnv2 visset brcnv mobii albii bitr ) CDZDEB
      FZAFZPGZBHZAIRQCGZBHZAIBAPJTUBASUABQRCBKAKLMNO $.
      $( [2-Nov-2004] $) $( [13-Aug-2004] $)

    $( A single-valued relation is a function.  (See ~ fun2cnv for
       "single-valued.")  Definition 6.4(4) of [TakeutiZaring] p. 24. $)
    svrelfun $p |- ( Fun A <-> ( Rel A /\ Fun `' `' A ) ) $=
      ( vx vy wfun wrel cv wbr wmo wal wa ccnv dffunmo fun2cnv anbi2i bitr4 )
      ADAEZBFCFAGCHBIZJPAKKDZJBCALRQPBCAMNO $.
      $( [17-Jan-2006] $) $( [17-Jan-2006] $)

    $( Single-rootedness (see ~ funcnv ) of a class cut down by a cross
       product. $)
    fncnv $p |- ( `' ( R i^i ( A X. B ) ) Fn B <->
                  A. y e. B E! x e. A x R y ) $=
      ( cxp cin ccnv wfn wfun cdm wceq wa crn cv wbr wreu wral df-fn df-rn
      eqeq1i anbi2i wrex wcel wmo rninxp anbi1i raleq1 wi biimt w3a cvv wb
      visset brinxp2 ax-mp 3ancoma 3anass 3bitr mobii moanimv bitr syl6rbbr
      ralbiia syl6bb funcnv syl5bb pm5.32i r19.26 3bitr4 ancom reu5 ralbii
      3bitr2 ) ECDFGZHZDIVPJZVPKZDLZMVQVONZDLZMZAOZBOZEPZACQZBDRZVPDSWAVSVQVTVR
      DVOTUAUBWAVQMZWEACUCZWCCUDZWEMZAUEZMZBDRZWBWGWAWLBDRZMWIBDRZWOMWHWNWAWPWO
      ABCDEUFUGWAVQWOWAWCWDVOPZAUEZBVTRZWOVQWAWSWRBDRWOWRBVTDUHWRWLBDWDDUDZWLWT
      WLUIZWRWTWLUJWRWTWKMZAUEXAWQXBAWQWJWTWEUKZWTWJWEUKXBWDULUDWQXCUMBUNWCWDCD
      EULUOUPWJWTWEUQWTWJWEURUSUTWTWKAVAVBVCVDVEABVOVFVGVHWIWLBDVIVJVQWAVKWFWMB
      DWEACVLVMVJVN $.
      $( [5-Mar-2007] $) $( [5-Mar-2007] $)

    $( Two ways of stating that ` A ` is one-to-one (but not necessarily a
       function).  Each side is equivalent to Definition 6.4(3) of
       [TakeutiZaring] p. 24, who use the notation "Un_2 (A)" for one-to-one
       (but not necessarily a function). $)
    fun11 $p |- ( ( Fun `' `' A /\ Fun `' A ) <->
         A. x A. y A. z A. w ( ( x A y /\ z A w ) -> ( x = z <-> y = w ) ) ) $=
      ( cv wbr wa wceq wi wal wb ccnv wfun dfbi2 imbi2i pm4.76 bi2.04 anbi12i
      3bitr2 2albii 19.26-2 alcom ax-17 breq1 anbi1d imbi1d equsal albii bitr
      breq2 3bitr bitr2 wmo fun2cnv mo4 funcnv2 alrot4 3bitr4 ) CFZBFZEGZUTDFZE
      GZHZVAVCIZJZBKZDKZCKZAFZVCEGZVDHZVKUTIZJZAKZDKCKZHZVKVAEGZVDHZVNVFLZJZBKA
      KZDKCKZEMZMNZWENZHWBDKCKBKAKWDVHVPHZDKCKVRWCWHCDWCVNVTVFJZJZVFVTVNJZJZHZB
      KAKWJBKAKZWLBKZAKZHWHWBWMABWBVTVNVFJZVFVNJZHZJVTWQJZVTWRJZHWMWAWSVTVNVFOP
      VTWQWRQWTWJXAWLVTVNVFRVTVFVNRSTUAWJWLABUBWNVHWPVPWNWJAKZBKVHWJABUCXBVGBWI
      VGACVGAUDVNVTVEVFVNVSVBVDVKUTVAEUEUFUGUHUIUJWOVOAWKVOBDVOBUDVFVTVMVNVFVSV
      LVDVAVCVKEUKUFUGUHUISULUAVHVPCDUBUMWFVJWGVQWFVBBUNZCKVGDKBKZCKVJCBEUOXCXD
      CVBVDBDVAVCUTEUKUPUIXDVICVGBDUCUIULWGVLAUNZDKVOCKAKZDKZVQADEUQXEXFDVLVDAC
      VKUTVCEUEUPUIXGVPCKZDKVQXFXHDVOACUCUIVPDCUCUJULSWBABCDURUS $.
      $( [30-Jan-2006] $) $( [17-Jan-2006] $)

    $( The union of a chain (with respect to inclusion) of functions is a
       function. $)
    fununi $p |- ( A. f e. A ( Fun f /\ A. g e. A ( f (_ g \/ g (_ f ) ) ->
                 Fun U. A ) $=
      ( vx vy vz vw vv cv wfun wss wo wral wa cuni wrel cop wcel wceq wi wal
      funrel adantr r19.20si reluni sylibr r19.28av ssel anim1d dffun4
      pm3.27bi ax-4 a4s 3syl syl9r adantl anim2d jaod imp funeq sseq1 sseq2
      orbi12d anbi12d anbi2d cbvral2v ralcom orcom syl5bb bitr anbi12i anidm
      anandir 2ralbii r19.26-2 bitr2 3bitr3 wex eluni eeanv an4 ancom 2exbii
      3bitr2 imbi1i 19.23v albii impexp 2albii r2al bitr4 3bitr3r 3imtr4
      19.21aiv 19.21aivv syl jca ) BIZJZWRCIZKZWTWRKZLZCAMZNZBAMZAOZPZDIZEIZQZX
      GRZXIFIZQZXGRZNZXJXMSZTZFUAZEUADUAZNXGJXFXHXTXFWRPZBAMXHXEYABAWSYAXDWRUBU
      CUDBAUEUFXFWSXCNZCAMZBAMZXTXEYCBAWSXCCAUGUDYDXSDEYDXRFGIZJZHIZJZNZYEYGKZY
      GYEKZLZNZHAMZGAMZXKYERZXNYGRZNZXQTZHAMZGAMZYDXRYNYTGAYMYSHAYIYLYSYIYJYSYK
      YHYJYSTYFYJYRXKYGRZYQNZYHXQYJYPUUBYQYEYGXKUHUIYHUUCXQTZFUAZEUAZDUAZUUEUUD
      YHYGPUUGDEFYGUJUKUUFUUEDUUEEULUMUUDFULUNUOUPYFYKYSTYHYKYRYPXNYERZNZYFXQYK
      YQUUHYPYGYEXNUHUQYFUUIXQTZFUAZEUAZDUAZUUKUUJYFYEPUUMDEFYEUJUKUULUUKDUUKEU
      LUMUUJFULUNUOUCURUSUDUDYDYDNYFYLNZHAMGAMZYHYLNZHAMGAMZNZYDYOYDUUOYDUUQYBU
      UNYFYEWTKZWTYEKZLZNBCGHAAWRYESZWSYFXCUVAWRYEUTUVBXAUUSXBUUTWRYEWTVAWRYEWT
      VBVCVDWTYGSZUVAYLYFUVCUUSYJUUTYKWTYGYEVBWTYGYEVAVCVEVFYDYBBAMCAMUUQYBBCAA
      VGYBUUPWSYEWRKZWRYEKZLZNCBGHAAWTYESZXCUVFWSUVGXBXALUVFXCUVGXBUVDXAUVEWTYE
      WRVAWTYEWRVBVCXAXBVHVIVEWRYGSZWSYHUVFYLWRYGUTUVHUVDYJUVEYKWRYGYEVBWRYGYEV
      AVCVDVFVJVKYDVLYOUUNUUPNZHAMGAMUURYMUVIGHAAYFYHYLVMVNUUNUUPGHAAVOVPVQXRYE
      ARZYGARZNZYRNZHVRZGVRZXQTZUUAXPUVOXQXPYPUVJNZGVRZYQUVKNZHVRZNUVQUVSNZHVRG
      VRUVOXLUVRXOUVTGXKAVSHXNAVSVKUVQUVSGHVTUWAUVMGHUWAYRUVLNUVMYPUVJYQUVKWAYR
      UVLWBVJWCWDWEUVMXQTZHUAZGUAZUVNXQTZGUAUUAUVPUWCUWEGUVMXQHWFWGUWDUVLYSTZHU
      AGUAUUAUWBUWFGHUVLYRXQWHWIYSGHAAWJWKUVNXQGWFWLVJWMWNWOWPWQDEFXGUJUF $.
      $( [1-Oct-2004] $) $( [10-Aug-2004] $)

    $( The union of a chain (with respect to inclusion) of single-rooted sets
       is single-rooted.  (See ~ funcnv for "single-rooted" definition.) $)
    funcnvuni $p |- ( A. f e. A ( Fun `' f /\ A. g e. A ( f (_ g \/ g (_ f ) )
                    -> Fun `' U. A ) $=
      ( vy vx vz vw vv cv ccnv wfun wss wo wral wa wceq wrex cab cuni wi wal
      wcel wb cnveq funeq syl sseq1 sseq2 orbi12d ralbidv anbi12d rcla4v
      biimprcd sseq12 ancoms cnvss orim12i syl5cbir exp3a syl6com r19.23adv
      com23 19.21adv anim12ii eqeq2d cbvrexv syl5ib 19.21aiv df-ral visset
      eqeq1 rexbidv elab imbi1i albii bitr anbi2i imbi12i bitr2 sylib fununi
      ciun cnvuni cnvex dfiun2 eqtr ax-mp sylibr ) BIZJZKZWICIZLZWLWILZMZCANZOZ
      BANZDIZEIZJZPZEAQZDRZSZKZASJZKZWRFIZKZXIGIZLZXKXILZMZGXDNZOZFXDNZXFWRXIXA
      PZEAQZXJXKXAPZEAQZXNTZGUAZOZTZFUAZXQWRYEFWRXIHIZJZPZHAQYDXSWRYIYDHAYGAUBW
      RYHKZYGWLLZWLYGLZMZCANZOZYIYDTWQYOBYGAWIYGPZWKYJWPYNYPWJYHPWKYJUCWIYGUDWJ
      YHUEUFYPWOYMCAYPWMYKWNYLWIYGWLUGWIYGWLUHUIUJUKULYJYIXJYNYCYIXJYJXIYHUEUMY
      NYIYBGYNYAYIXNYNXTYIXNTZEAWTAUBYNYGWTLZWTYGLZMZXTYQTYMYTCWTAWLWTPYKYRYLYS
      WLWTYGUHWLWTYGUGUIULYTXTYIXNXTYIOZXNYHXALZXAYHLZMYTUUAXLUUBXMUUCYIXTXLUUB
      UCXIYHXKXAUNUOXKXAXIYHUNUIYRUUBYSUUCYGWTUPWTYGUPUQURUSUTVAVBVCVDUTVAXRYIE
      HAWTYGPXAYHXIWTYGUDVEVFVGVHXQXIXDUBZXPTZFUAYFXPFXDVIUUEYEFUUDXSXPYDXCXSDX
      IFVJWSXIPXBXREAWSXIXAVKVLVMXOYCXJXOXKXDUBZXNTZGUAYCXNGXDVIUUGYBGUUFYAXNXC
      YADXKGVJWSXKPXBXTEAWSXKXAVKVLVMVNVOVPVQVRVOVSVTXDFGWAUFXGXEPXHXFUCXGEAXAW
      BXEEAWCEDAXAWTEVJWDWEWFXGXEUEWGWH $.
      $( [2-Oct-2004] $) $( [11-Aug-2004] $)

    $( The union of a chain (with respect to inclusion) of one-to-one functions
       is a one-to-one function. $)
    fun11uni $p |- ( A. f e. A ( ( Fun f /\ Fun `' f ) /\
                   A. g e. A ( f (_ g \/ g (_ f ) ) ->
                   ( Fun U. A /\ Fun `' U. A ) ) $=
      ( cv wfun ccnv wa wss wo wral cuni pm3.26 anim1i r19.20si fununi syl
      pm3.27 funcnvuni jca ) BDZEZTFEZGZTCDZHUDTHICAJZGZBAJZAKZEZUHFEZUGUAUEGZB
      AJUIUFUKBAUCUAUEUAUBLMNABCOPUGUBUEGZBAJUJUFULBAUCUBUEUAUBQMNABCRPS $.
      $( [2-Oct-2004] $) $( [11-Aug-2004] $)
  $}

  ${
    $d x y F $.  $d x y G $.
    $( The intersection with a function is a function.  Exercise 14(a) of
       [Enderton] p. 53. $)
    funin $p |- ( Fun F -> Fun ( F i^i G ) ) $=
      ( vx vy wrel cv wbr wmo wal wa cin wfun relin1 cop wcel moan ancom elin
      df-br anbi1i 3bitr4 bitr4 mobii sylib 19.20i anim12i dffunmo 3imtr4 ) AEZ
      CFZDFZAGZDHZCIZJABKZEZUJUKUOGZDHZCIZJALUOLUIUPUNUSABMUMURCUMUJUKNZBOZULJZ
      DHURULVADPVBUQDVBULVAJZUQVAULQUTUOOUTAOZVAJUQVCUTABRUJUKUOSULVDVAUJUKASTU
      AUBUCUDUEUFCDAUGCDUOUGUH $.
      $( [20-Mar-2004] $) $( [19-Mar-2004] $)
  $}

  $( The restriction of a one-to-one function is one-to-one. $)
  funres11 $p |- ( Fun `' F -> Fun `' ( F |` A ) ) $=
    ( cres ccnv wss wfun wi resss cnvss ax-mp funss ) BACZDZBDZEZNFMFGLBEOBAHLB
    IJMNKJ $.
    $( [25-Mar-1998] $)

  $( The converse of a restricted function. $)
  funcnvres $p |- ( Fun `' F -> `' ( F |` A ) = ( `' F |` ( F " A ) ) ) $=
    ( ccnv wfun cres cdm cima wss wceq resss cnvss ax-mp funssres mpan2 crn
    df-ima df-rn eqtr reseq2 syl5req ) BCZDZUABAEZCZFZEZUDUABAGZEZUBUDUAHZUFUDI
    UCBHUIBAJUCBKLUAUDMNUGUEIUHUFIUGUCOUEBAPUCQRUGUEUASLT $.
    $( [27-Mar-1998] $)

  $( Converse of a restricted identity function.  (Contributed by FL,
     4-Mar-2007.) $)
  cnvresid $p |- `' ( I |` A ) = ( I |` A ) $=
    ( cid ccnv wfun cres wceq cnvi eqcomi funi funeq mpbii ax-mp cima
    funcnvres reseq1 imai reseq2 syl6eq ) BCZDZBAEZCZUAFBSFZTSBGHUCBDTIBSJKLTUB
    SBAMZEZUAABNSBFZUEUAFGUFUEBUDEZUASBUDOUDAFUGUAFAPUDABQLRLRL $.
    $( [5-Mar-2007] $) $( [20-Feb-2007] $)

  $( The converse of a restriction of the converse of a function equals the
     function restricted to the image of its converse. $)
  funcnvres2 $p |- ( Fun F -> `' ( `' F |` A ) = ( F |` ( `' F " A ) ) ) $=
    ( wfun ccnv cres cima wceq funcnvcnv funcnvres syl wrel funrel dfrel2
    sylib reseq1 eqtrd ) BCZBDZAEDZRDZRAFZEZBUAEZQTCSUBGBHARIJQTBGZUBUCGQBKUDBL
    BMNTBUAOJP $.
    $( [6-May-2005] $) $( [4-May-2005] $)

  $( The image of the pre-image of a function. $)
  funimacnv $p |- ( Fun F -> ( F " ( `' F " A ) ) = ( A i^i ran F ) ) $=
    ( wfun ccnv cima cres crn cin funcnvres2 rneqd df-ima syl6reqr cdm df-rn
    ineq2i dmres dfdm4 3eqtr2r syl6eq ) BCZBBDZAEZEZUAAFZDZGZABGZHZTUFBUBFZGUCT
    UEUIABIJBUBKLUHAUAMZHUDMUFUGUJABNOUAAPUDQRS $.
    $( [7-Jun-2004] $) $( [25-May-2004] $)

  $( A kind of contraposition law that infers a subclass of an image from
     a pre-image subclass. $)
  funimass1 $p |- ( ( Fun F /\ A (_ ran F ) ->
                 ( ( `' F " A ) (_ B -> A (_ ( F " B ) ) ) $=
    ( wfun crn wss wa ccnv cima cin funimacnv wceq dfss biimp eqcomd sylan9eq
    sseq1d imass2 syl5bi ) CDZACEZFZGZCCHAIZIZCBIZFAUFFUDBFUCUEAUFTUBUEAUAJZAAC
    KUBAUGUBAUGLAUAMNOPQUDBCRS $.
    $( [10-Jun-2004] $) $( [25-May-2004] $)

  $( A kind of contraposition law that infers an image subclass from a subclass
     of a pre-image. $)
  funimass2 $p |- ( ( Fun F /\ A (_ ( `' F " B ) ) -> ( F " A ) (_ B ) $=
    ( wfun cima ccnv wss crn cin funimacnv sseq2d inss1 sstr2 mpi syl6bi imp
    imass2 sylan2 ) CDZCAEZCCFBEZEZGZTBGZAUAGSUCUDSUCTBCHZIZGZUDSUBUFTBCJKUGUFB
    GUDBUELTUFBMNOPAUACQR $.
    $( [4-May-2007] $) $( [25-May-2004] $)

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( The image of a difference is the difference of images. $)
    imadif $p |- ( Fun `' F ->
                 ( F " ( A \ B ) ) = ( ( F " A ) \ ( F " B ) ) ) $=
      ( vy vx ccnv wfun cdif cima cv wcel wbr wa wex wn wal ax-17 hbe1 hban wi
      wmo mopick funmo visset brcnv mobii sylib sylan con2d imnan 19.21ai ex
      exancom alnex 3imtr3g anim2d anandir exbii 19.40 sylbi syl5 19.29r
      sylan2br wo andi ianor anbi2i an23 pm3.24 intnan anass mtbir biorfi bitr
      3bitr4 impbid1 eldif anbi1i elima2 negbii anbi12i 3bitr4g eqrdv ) CFZGZDC
      ABHZIZCAIZCBIZHZWEEJZWFKZWKDJZCLZMZENZWMWHKZWMWIKZOZMZWMWGKWMWJKWEWKAKZWK
      BKZOZMZWNMZENZXAWNMZENZXBWNMZENZOZMZWPWTWEXFXLWEXHXCWNMZENZMZXLXFWEXNXKXH
      WEWNXCMZENZXIOZEPZXNXKWEXQXSWEXQMZXREWEXQEWEEQXPERSXTXBWNOZTXRXTWNXBWNEUA
      ZXQWNXCTWEWNXCEUBWEWMWKWDLZEUAYBDEWDUCYCWNEWMWKCDUDZEUDUEUFUGUHUIXBWNUJUG
      UKULWNXCEUMXIEUNZUOUPXFXGXMMZENXOXEYFEXAXCWNUQURXGXMEUSUTVAXLXGXRMZENZXFX
      HXSYHXKXGXREVBYEVCYGXEEXGXCYAVDZMXGXCMZXGYAMZVDZYGXEXGXCYAVEXRYIXGXBWNVFV
      GXEYJYLXAXCWNVHYKYJYKXAWNYAMZMYMXAWNVIVJXAWNYAVKVLVMVNVOURUGVPWOXEEWLXDWN
      WKABVQVRURWQXHWSXKEWMCAYDVSWRXJEWMCBYDVSVTWAWBEWMCWFYDVSWMWHWIVQWBWC $.
      $( [24-May-1998] $)
  $}

  ${
    $d w B $.  $d x y z w A $.
    $( Axiom of Replacement using abbreviations.  Axiom 39(vi) of [Quine]
       p. 284.  Compare Exercise 9 of [TakeutiZaring] p. 29. $)
    funimaexg $p |- ( ( Fun A /\ B e. C ) -> ( A " B ) e. V ) $=
      ( vw vx vy vz wcel wfun cima cvv cv wi wceq imaeq2 eleq1d imbi2d cop wal
      wex wrel dffun5 pm3.27bi wa wb ax-17 axrep4 isset cab dfima3 eqeq2i
      abeq2 bitr exbii sylibr syl vtoclg impcom ) BCHAIZABJZKHZUSADLZJZKHZMUSVA
      MDBCVBBNZVDVAUSVEVCUTKVBBAOPQUSELZFLZRAHZVGGLZNMFSGTESZVDUSAUAVJEFGAUBUCV
      JVGVIHVFVBHVHUDETZUEFSZGTZVDVHEFGDVHGUFUGVDVIVCNZGTVMGVCUHVNVLGVNVIVKFUIZ
      NVLVCVOVIEFAVBUJUKVKFVIULUMUNUMUOUPUQUR $.
      $( [11-Sep-2006] $) $( [10-Sep-2006] $)
  $}

  ${
    zfrep5.1 $e |- B e. V $.
    $( The image of a set under any function is also a set.  Equivalent of
       Axiom of Replacement ~ ax-rep .  Axiom 39(vi) of [Quine] p. 284.
       Compare Exercise 9 of [TakeutiZaring] p. 29. $)
    funimaex $p |- ( Fun A -> ( A " B ) e. V ) $=
      ( wfun cvv wcel cima funimaexg mpan2 ) ADBEFABGEFCABEHI $.
      $( [17-Nov-2002] $)
  $}

  ${
    $d x z A $.  $d b x y z $.  $d z ph $.
    $( Part of a study of the Axiom of Replacement used by the Isabelle prover.
       The object PrimReplace is apparently the  image of the function encoded
       by ` ph ( x , y ) ` i.e. the class ` ( { <. x , y >. | ph } " A ) ` .
       If so, we can prove Isabelle's "Axiom of Replacement" conclusion without
       using the Axiom of Replacement, for which I (N. Megill) currently have
       no explanation. $)
    isarep1 $p |- ( b e. ( { <. x , y >. | ph } " A ) <->
                 E. x e. A [ b / y ] ph ) $=
      ( vz cv copab cima wcel wbr wrex wsbc visset elima cop df-br opabsb bitr
      rexbii hbs1 hbsb ax-17 wceq cvv wb sbequ12r sbcbidv mpan2 cbvrex 3bitr )
      EGZABCHZDIJFGZULUMKZFDLABUNMZCULMZFDLACULMZBDLFULUMDENZOUOUQFDUOUNULPUMJU
      QUNULUMQABCFERSTUQURFBDUPCEBABFUAUBURFUCUNBGUDZULUEJUQURUFUSUTUPACULUEAFB
      UGUHUIUJUK $.
      $( [26-Oct-2006] $) $( [26-Oct-2006] $)
  $}

  ${
    $d w x y A $.  $d b x y $.  $d y z $.  $d w ph $.  $d z ph $.
    isarep2.1 $e |- A e. V $.
    isarep2.2 $e |- A. x e. A A. y A. z ( ( ph /\ [ z / y ] ph ) -> y = z ) $.
    $( Part of a study of the Axiom of Replacement used by the Isabelle prover.
       In Isabelle, the sethood of PrimReplace is apparently postulated
       implicitly by its type signature " ` [ ` i, ` [ ` i, i ` ] ` => o ` ] `
       => i", which automatically asserts that it is a set without using any
       axioms.  To prove that it is a set in Metamath, we need the hypotheses
       of Isabelle's "Axiom of Replacement" as well as the Axiom of Replacement
       in the form ~ funimaex . $)
    isarep2 $p |- E. w w = ( { <. x , y >. | ph } " A ) $=
      ( copab cima cvv wcel cv wceq wex wa cres resima resopab imaeq1 ax-mp
      eqtr3 wfun wmo funopab wi wsbc wal rspec ax-17 mo3 sylibr moanimv mpbir
      mpgbir funimaex eqeltr isset mpbi ) ABCIZFJZKLEMVANEOVABMFLZAPZBCIZFJZKUT
      FQZFJZVAVEUTFRVFVDNVGVENABCFSVFVDFTUAUBVDUCZVEKLVHVCCUDZBVCBCUEVIVBACUDZU
      FVBAACDMZUGPCMVKNUFDUHCUHZVJVLBFHUIACDADUJUKULVBACUMUNUOVDFGUPUAUQEVAURUS
      $.
      $( [26-Oct-2006] $) $( [26-Oct-2006] $)
  $}

  $( The restriction of a function to a set exists.  Compare Proposition
     6.17 of [TakeutiZaring] p. 28. $)
  resfunexg $p |- ( ( Fun A /\ B e. C ) -> ( A |` B ) e. V ) $=
    ( wfun wcel wa cres cdm cvv crn cxp dmresexg adantl cima funimaexg df-ima
    syl5eqelr jca xpexg wss wrel relres relssdr ax-mp ssexg mpan 3syl ) ADZBCEZ
    FZABGZHZIEZUKJZIEZFULUNKZIEZUKIEZUJUMUOUIUMUHABCLMUJABNIUNABCOABPQRULUNIISU
    KUPTZUQURUKUAUSABUBUKUCUDUKUPIUEUFUG $.
    $( [12-Sep-2006] $) $( [7-Apr-1995] $)

  $( Existence of a composition when the first member is a function. $)
  cofunexg $p |- ( ( Fun A /\ B e. C ) -> ( A o. B ) e. V ) $=
    ( wfun wcel wa ccom cdm crn cxp cvv xpexg dmexg wss dmcoss ssexg mpan syl
    adantl cres resfunexg rnexg sylan2 rnco syl5eqel sylanc wrel relco relssdr
    ax-mp ) ADZBCEZFZABGZHZUNIZJZKEZUNKEZUOKEZUPKEURUMUOUPKKLULUTUKULBHZKEZUTBC
    MUOVANVBUTABOUOVAKPQRSUMABIZTZIZKUPUMVDKEZVEKEUKVCKEVFULAVCKUABCUBUCVDKUBRA
    BUDUEUFUNUQNZURUSUNUGVGABUHUNUIUJUNUQKPQR $.
    $( [9-Oct-2007] $) $( [8-Oct-2007] $)

  $( Existence of a composition when the second member is one-to-one. $)
  cofunex2g $p |- ( ( A e. C /\ Fun `' B ) -> ( A o. B ) e. V ) $=
    ( ccnv wfun wcel ccom cvv wa cofunexg cnvexg sylan2 cnvco cocnvcnv2
    cocnvcnv1 3eqtrr syl5eqel syl ancoms ) BDZEZACFZABGZHFZUAUBITADZGZHFZUDUAUE
    HFUGUBTUEHJACKLUGUFDZHUCUFHKUHUEDZTDGUIBGUCTUEMUIBNABOPQRS $.
    $( [21-Dec-2007] $) $( [8-Oct-2007] $)

  $( Equality theorem for function predicate with domain. $)
  fneq1 $p |- ( F = G -> ( F Fn A <-> G Fn A ) ) $=
    ( wceq wfun cdm wa wfn funeq dmeq eqeq1d anbi12d df-fn 3bitr4g ) BCDZBEZBFZ
    ADZGCEZCFZADZGBAHCAHOPSRUABCIOQTABCJKLBAMCAMN $.
    $( [1-Aug-1994] $)

  $( Equality theorem for function predicate with domain. $)
  fneq2 $p |- ( A = B -> ( F Fn A <-> F Fn B ) ) $=
    ( wceq wfun cdm wa wfn eqeq2 anbi2d df-fn 3bitr4g ) ABDZCEZCFZADZGNOBDZGCAH
    CBHMPQNABOIJCAKCBKL $.
    $( [1-Aug-1994] $)

  ${
    $d y F $.  $d y A $.  $d x y $.
    hbfn.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbfn.2 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for a function with domain. $)
    hbfn $p |- ( F Fn A -> A. x F Fn A ) $=
      ( wfun cdm wceq wa wal wfn hbfun hbdm hbeq hban df-fn albii 3imtr4 ) DGZD
      HZCIZJZUCAKDCLZUDAKTUBAABDEMABBUACABDENFOPDCQZUDUCAUERS $.
      $( [31-Jan-2004] $) $( [30-Jan-2004] $)
  $}

  $( A function with domain is a function. $)
  fnfun $p |- ( F Fn A -> Fun F ) $=
    ( wfn wfun cdm wceq df-fn pm3.26bi ) BACBDBEAFBAGH $.
    $( [1-Aug-1994] $)

  $( A function with domain is a relation. $)
  fnrel $p |- ( F Fn A -> Rel F ) $=
    ( wfn wfun wrel fnfun funrel syl ) BACBDBEABFBGH $.
    $( [1-Aug-1994] $)

  $( The domain of a function. $)
  fndm $p |- ( F Fn A -> dom F = A ) $=
    ( wfn wfun cdm wceq df-fn pm3.27bi ) BACBDBEAFBAGH $.
    $( [2-Aug-1994] $)

  ${
    funfni.1 $e |- ( ( Fun F /\ B e. dom F ) -> ph ) $.
    $( Inference to convert a function and domain antecedent. $)
    funfni $p |- ( ( F Fn A /\ B e. A ) -> ph ) $=
      ( wfun cdm wcel wfn wa fnfun adantr fndm eleq2d biimpar sylanc ) DFZCDGZH
      ZADBIZCBHZJETQUABDKLTSUATRBCBDMNOP $.
      $( [25-Apr-2004] $) $( [22-Apr-2004] $)
  $}

  $( A function has a unique domain. $)
  fndmu $p |- ( ( F Fn A /\ F Fn B ) -> A = B ) $=
    ( wfn cdm fndm sylan9req ) CADCBDACEBACFBCFG $.
    $( [11-Aug-1994] $)

  $( The first argument of binary relation on a function belongs to the
     function's domain. $)
  fnbr $p |- ( ( F Fn A /\ B F C ) -> B e. A ) $=
    ( wfn wbr cdm wcel cvv wrel brrelex fnrel sylan breldmg sylancom fndm
    eleq2d biimpa syldan ) DAEZBCDFZBDGZHZBAHZTUABIHZUCDJUAUETBCDKADLMBCIDNOTUC
    UDTUBABADPQRS $.
    $( [24-Mar-2007] $) $( [7-May-2004] $)

  $( The first argument of an ordered pair in a function belongs to the
     function's domain. $)
  fnop $p |- ( ( F Fn A /\ <. B , C >. e. F ) -> B e. A ) $=
    ( wfn wbr wcel cop fnbr df-br sylan2br ) DAEBCDFBAGBCHDGABCDIBCDJK $.
    $( [25-Mar-2007] $) $( [8-Aug-1994] $)

  ${
    $d x y F $.  $d x y B $.  $d x A $.
    $( There is exactly one value of a function. $)
    fneu $p |- ( ( F Fn A /\ B e. A ) -> E! y B F y ) $=
      ( vx wfn wcel cv wbr weu wa wi wceq eleq1 anbi2d breq1 eubidv imbi12d
      wex cdm fndm eleq2d visset eldm syl5bbr wfun ax-17 hbeu1 hbim funeu
      expcom 19.23ai fnfun syl5 syl6bir pm2.43a imp vtoclg anabsi7 ) DBFZCBGZCA
      HZDIZAJZUTEHZBGZKZVEVBDIZAJZLUTVAKZVDLECBVECMZVGVJVIVDVKVFVAUTVECBNOVKVHV
      CAVECVBDPQRUTVFVIVFUTVIUTVFVHASZUTVILUTVEDTZGVFVLUTVMBVEBDUAUBAVEDEUCUDUE
      VLDUFZVIUTVHVNVILAVNVIAVNAUGVHAUHUIVNVHVIEADUJUKULBDUMUNUOUPUQURUS $.
      $( [24-Apr-2004] $) $( [22-Apr-2004] $)

    $( There is exactly one value of a function. $)
    fneu2 $p |- ( ( F Fn A /\ B e. A ) -> E! y <. B , y >. e. F ) $=
      ( wfn wcel wa cv wbr weu cop fneu df-br eubii sylib ) DBECBFGCAHZDIZAJCPK
      DFZAJABCDLQRACPDMNO $.
      $( [7-Nov-1995] $)
  $}

  $( The union of two functions with disjoint domains. $)
  fnun $p |- ( ( ( F Fn A /\ G Fn B ) /\ ( A i^i B ) = (/) ) ->
             ( F u. G ) Fn ( A u. B ) ) $=
    ( wfn wa cin c0 wceq cun wfun cdm wi ineq12 eqeq1d anbi2d funun syl6bir
    uneq12 dmun syl5eq jctird df-fn syl6ibr exp3a impcom an4s syl2anb imp ) CAE
    ZDBEZFABGZHIZCDJZABJZEZCKZCLZAIZFDKZDLZBIZFUMUPMZUJUKUQUTUSVBVCUSVBFZUQUTFZ
    VCVDVEUMUPVDVEUMFZUNKZUNLZUOIZFUPVDVFVGVIVDVFVEURVAGZHIZFVGVDVKUMVEVDVJULHU
    RAVABNOPCDQRVDURVAJUOVHURAVABSCDTUAUBUNUOUCUDUEUFUGCAUCDBUCUHUI $.
    $( [23-Sep-2004] $) $( [22-Sep-2004] $)

  $( Composition of two functions. $)
  fnco $p |- ( ( F Fn A /\ G Fn B /\ ran G (_ A ) -> ( F o. G ) Fn B ) $=
    ( wfn crn wss w3a ccom wfun cdm wceq wa funco fnfun syl2an 3adant3 fndm
    sseq2d biimpar dmcosseq syl 3adant2 3ad2ant2 eqtrd jca df-fn sylibr ) CAEZD
    BEZDFZAGZHZCDIZJZUNKZBLZMUNBEUMUOUQUIUJUOULCJDJUOUIUJCDNACOBDOPQUMUPDKZBUIU
    LUPURLZUJUIULMUKCKZGZUSUIVAULUIUTAUKACRSTCDUAUBUCUJUIURBLULBDRUDUEUFUNBUGUH
    $.
    $( [22-May-2006] $) $( [22-May-2006] $)

  $( A function does not change when restricted to its domain. $)
  fnresdm $p |- ( F Fn A -> ( F |` A ) = F ) $=
    ( wrel cdm wss cres wceq wfn relssres fnrel fndm eqimss syl sylanc ) BCBDZA
    EZBAFBGBAHZBAIABJQOAGPABKOALMN $.
    $( [7-Sep-2004] $) $( [5-Sep-2004] $)

  $( A function restricted to a class disjoint with its domain is empty. $)
  fnresdisj $p |- ( F Fn A -> ( ( A i^i B ) = (/) <-> ( F |` B ) = (/) ) ) $=
    ( wfn cres cdm c0 wceq cin fndm ineq1d dmres incom eqtr syl5eq eqeq1d wrel
    wb relres reldm0 ax-mp syl5rbb ) CADZCBEZFZGHZABIZGHUDGHZUCUEUGGUCCFZBIZUGU
    EUCUIABACJKUEBUIIUJCBLBUIMNOPUDQUHUFRCBSUDTUAUB $.
    $( [17-Oct-2004] $) $( [23-Sep-2004] $)

  $( Membership in two functions restricted by each other's domain. $)
  2elresin $p |- ( ( F Fn A /\ G Fn B ) ->
                 ( ( <. x , y >. e. F /\ <. x , z >. e. G ) <->
                   ( <. x , y >. e. ( F |` ( A i^i B ) ) /\
                     <. x , z >. e. ( G |` ( A i^i B ) ) ) ) ) $=
    ( wfn wa cv cop wcel cin cres wi fnop anim12i an4 elin 3imtr4 visset opres
    anbi12d biimprd syl ex pm2.43d resss sseli impbid1 ) FDHZGEHZIZAJZBJZKZFLZU
    NCJZKZGLZIZUPFDEMZNZLZUSGVBNZLZIZUMVAVGUMVAVAVGOZUMVAIZUNVBLZVHUKUQIZULUTIZ
    IUNDLZUNELZIVIVJVKVMVLVNDUNUOFPEUNURGPQUKULUQUTRUNDESTVJVGVAVJVDUQVFUTUNUOF
    VBBUAUBUNURGVBCUAUBUCUDUEUFUGVDUQVFUTVCFUPFVBUHUIVEGUSGVBUHUIQUJ $.
    $( [8-Aug-1994] $)

  $( Restriction of a function with a subclass of its domain. $)
  fnssresb $p |- ( F Fn A -> ( ( F |` B ) Fn B <-> B (_ A ) ) $=
    ( wfn cres wfun cdm wceq wa wss fnfun funres syl biantrurd fndm sseq2d
    ssdmres syl5bbr bitr3d df-fn syl5bb ) CADZCBEZFZUCGBHZIZBAJZUCBDUBUEUFUGUBU
    DUEUBCFUDACKBCLMNUBBCGZJUGUEUBUHABACOPBCQRSUCBTUA $.
    $( [10-Oct-2007] $) $( [10-Oct-2007] $)

  $( Restriction of a function with a subclass of its domain. $)
  fnssres $p |- ( ( F Fn A /\ B (_ A ) -> ( F |` B ) Fn B ) $=
    ( wfn cres wss fnssresb biimpar ) CADCBEBDBAFABCGH $.
    $( [25-Sep-2004] $) $( [2-Aug-1994] $)

  $( Restriction of a function's domain with an intersection. $)
  fnresin1 $p |- ( F Fn A -> ( F |` ( A i^i B ) ) Fn ( A i^i B ) ) $=
    ( wfn cin wss cres inss1 fnssres mpan2 ) CADABEZAFCKGKDABHAKCIJ $.
    $( [9-Aug-1994] $)

  $( Restriction of a function's domain with an intersection. $)
  fnresin2 $p |- ( F Fn A -> ( F |` ( B i^i A ) ) Fn ( B i^i A ) ) $=
    ( wfn cin wss cres inss2 fnssres mpan2 ) CADBAEZAFCKGKDBAHAKCIJ $.
    $( [9-Aug-1994] $)

  $( Functionality and domain of restricted identity. $)
  fnresi $p |- ( I |` A ) Fn A $=
    ( cid cres wfn wfun cdm wceq df-fn funi funres ax-mp dmresi mpbir2an ) BACZ
    ADNEZNFAGNAHBEOIABJKALM $.
    $( [28-Aug-2004] $) $( [27-Aug-2004] $)

  $( The image of a function's domain is its range. $)
  fnima $p |- ( F Fn A -> ( F " A ) = ran F ) $=
    ( wfn cdm wceq cima crn fndm imaeq2 imadmrn syl5reqr syl ) BACBDZAEZBAFZBGZ
    EABHNBMFOPMABIBJKL $.
    $( [6-Nov-2004] $) $( [4-Nov-2004] $)

  ${
    $d x y F $.
    $( A function with empty domain is empty. $)
    fn0 $p |- ( F Fn (/) <-> F = (/) ) $=
      ( vx vy c0 wfn wceq cv cop wcel wb wal cdm wn wa fndm wex noel eleq2
      mtbiri visset eldm2 negbii sylib alnex sylibr 19.21bi jctir pm5.21 3syl
      19.21aivv wrel fnrel rel0 eqrel syl mpbird wfun df-fn fun0 dm0 mpbir2an
      fneq1 mpbiri impbi ) ADEZADFZVEVFBGZCGHZAIZVHDIZJZCKBKZVEVKBCVEALZDFZVIMZ
      VJMZNVKDAOVNVOVPVNVOCVNVICPZMZVOCKVNVGVMIZMVRVNVSVGDIVGQVMDVGRSVSVQCVGABT
      UAUBUCVICUDUEUFVHQUGVIVJUHUIUJVEAUKZDUKZNVFVLJVEVTWADAULUMUGBCADUNUOUPVFV
      EDDEZWBDUQDLDFDDURUSUTVADADVBVCVD $.
      $( [15-Apr-1998] $)
  $}

  $( A class that is disjoint with the domain of a function has an empty image
     under the function.  (Contributed by FL, 24-Jan-2007.) $)
  funimadisj $p |- ( ( F Fn A /\ ( A i^i C ) = (/) ) -> ( F " C ) = (/) ) $=
    ( wfn cin c0 wceq wa cdm cima fndm ineq1d eqeq1d biimpar imadisj sylibr )
    CADZABEZFGZHCIZBEZFGZCBJFGQUBSQUARFQTABACKLMNCBOP $.
    $( [25-Jan-2007] $) $( [23-Jan-2007] $)

  $( If the domain of a function is a set, the function is a set.  Theorem
     6.16(1) of [TakeutiZaring] p. 28.  This theorem is derived using the
     Axiom of Replacement in the form of ~ funimaexg . $)
  fnex $p |- ( ( F Fn A /\ A e. B ) -> F e. V ) $=
    ( cdm crn cxp wss cvv wcel wfn wa ssexg wrel fnrel relssdr syl adantr
    xpexg fndm eleq1d biimpar cima wfun funimaexg fnfun sylan imaeq2d imadmrn
    syl5eqr syldan sylanc ) CCDZCEZFZGZUNHIZCHICAJZABIZKZCUNHLUQUOURUQCMUOACNCO
    PQULBIZUMHIZUPUSULUMBHRUQUTURUQULABACSZTUAUQURCAUBZHIZVACUCURVDUQCABUDACUEU
    FUQVAVDUQUMVCHUQCULUBVCUMUQULACVBUGCUHUITUAUJUKUK $.
    $( [11-Sep-2006] $) $( [14-Aug-1994] $)

  $( If the domain of a function exists, so the function.  Part of Theorem
     4.15(v) of [Monk1] p. 46.  This theorem is derived using the Axiom of
     Replacement in the form of ~ fnex .  (Note:  Any resemblance between
     F.U.N.E.X. and "Have You Any Eggs" is purely a coincidence originated by
     Swedish chefs.) $)
  funex $p |- ( ( Fun F /\ dom F e. B ) -> F e. V ) $=
    ( cdm wfn wcel cvv wfun fnex funfn sylanb ) BBCZDKAEBFEBGKABHBIJ $.
    $( [9-Sep-2006] $) $( [11-Nov-1995] $)

  ${
    $d x y A $.
    opabex.1 $e |- A e. V $.
    opabex.2 $e |- ( x e. A -> E* y ph ) $.
    $( Existence of a function expressed as class of ordered pairs. $)
    opabex $p |- { <. x , y >. | ( x e. A /\ ph ) } e. V $=
      ( cv wcel wa copab wfun cdm cvv wmo funopab wi moanimv mpbir mpgbir
      dmopabss ssexi funex mp2an ) BGDHZAIZBCJZKZUFLZMHUFMHUGUECNZBUEBCOUIUDACN
      PFUDACQRSUHDEABCDTUAMUFUBUC $.
      $( [21-Jul-1996] $)
  $}

  ${
    $d x y A $.  $d y B $.
    opabex2.1 $e |- A e. V $.
    $( Existence of a function expressed as class of ordered pairs. $)
    opabex2 $p |- { <. x , y >. | ( x e. A /\ y = B ) } e. V $=
      ( cv wceq wmo wcel moeq a1i opabex ) BFDGZABCEMBHAFCIBDJKL $.
      $( [24-Apr-2005] $) $( [22-Apr-2005] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( Existence of a function expressed as class of ordered pairs. $)
    opabex2g $p |- ( A e. C ->
                      { <. x , y >. | ( x e. A /\ y = B ) } e. V ) $=
      ( wcel cv wceq wa copab cdm cvv wss dmopabss ssexg mpan wfun wmo funopab
      moeq moani mpgbir funex syl ) CEFZAGCFZBGDHZIZABJZKZLFZUILFZUJCMUEUKUGABC
      NUJCEOPUIQZUKULUMUHBRAUHABSUGUFBBDTUAUBLUIUCPUD $.
      $( [12-Sep-2006] $) $( [9-Sep-2006] $)
  $}

  ${
    $d x y A $.  $d y B $.
    fopabex2.1 $e |- A e. V $.
    fopabex2.3 $e |- F = { <. x , y >. | ( x e. A /\ y = B ) } $.
    $( Existence of a function expressed as class of ordered pairs. $)
    fopabex2 $p |- F e. V $=
      ( cv wcel wceq wa copab cvv opabex2 eqeltr ) EAHCIBHDJKABLMGABCDFNO $.
      $( [31-Jul-2007] $) $( [30-Jul-2007] $)
  $}

  $( If the domain of a function exists, so does its range.  Part of Theorem
     4.15(v) of [Monk1] p. 46.  This theorem is derived using the Axiom of
     Replacement in the form of ~ funex . $)
  funrnex $p |- ( dom F e. B -> ( Fun F -> ran F e. V ) ) $=
    ( wfun cdm wcel cvv crn funex ex rnexg syl6com ) BCZBDAEZBFEZBGFELMNABHIBFJ
    K $.
    $( [11-Nov-1995] $)

  ${
    $d ph w v $.  $d x y z w v $.
    $( A version of the Axiom of Replacement.  Normally ` ph ` would have free
       variables ` x ` and ` y ` .  Axiom 6 of [Kunen] p. 12.  The Separation
       Scheme ~ ax-sep cannot be derived from this version and must be stated
       as a separate axiom in an axiom system (such as Kunen's) that uses this
       version in place of our ~ ax-rep . $)
    zfrep6 $p |- ( A. x e. z E! y ph -> E. w A. x e. z E. y e. w ph ) $=
      ( vv cv wcel wa copab crn cvv wrex wral wex weu ax-17 wceq hbopab1 hbrn
      hbeleq hbopab2 rexeq1f ralbid cla4egf cdm wfun funrnex crab euex
      r19.20si rabid2 sylibr cab 19.42v abbii dmopab df-rab 3eqtr4 syl6reqr
      visset syl6eqel wi wal wmo eumo imim2i moanimv 19.20i df-ral funopab
      3imtr4 sylc hbra1 eleq2d cop opabid opelrn sylbir ex impac 19.22i abeq2i
      df-rex syl6bir r19.21ai ) BGZDGZHZAIZBCJZKZLHZACWLMZBWHNZACEGZMZBWHNZEOAC
      PZBWHNZWRWOEFWLLFGZWLHEQWOEQWPWLRWQWNBWHBEWLBEWKWJBCESTUAACFWPWLXAWPHCQCF
      WKWJBCFUBTUCUDUEWKUFZLHWKUGZWMWTLWKUHWTXBWHLWTWHACOZBWHUIZXBWTXDBWHNWHXER
      WSXDBWHACUJUKXDBWHULUMWJCOZBUNWIXDIZBUNXBXEXFXGBWIACUOUPWJBCUQZXDBWHURUSU
      TZDVAVBWIWSVCZBVDWJCVEZBVDWTXCXJXKBXJWIACVEZVCXKWSXLWIACVFVGWIACVHUMVIWSB
      WHVJWJBCVKVLVMWTWNBWHWSBWHVNWTWIWGXBHZWNWTXBWHWGXIVOXFCGZWLHZAIZCOXMWNWJX
      PCWIAXOWIAXOWJWGXNVPWKHXOWJBCVQWGXNWKBVACVAVRVSVTWAWBXFBXBXHWCACWLWDVLWEW
      FVM $.
      $( [10-Oct-2003] $) $( [10-Oct-2003] $)
  $}

  ${
    $d x y z A $.  $d z F $.  $d x y z w $.
    fnopabg.1 $e |- F = { <. x , y >. | ( x e. A /\ ph ) } $.
    $( Functionality and domain of an ordered-pair class abstraction. $)
    fnopabg $p |- ( A. x e. A E! y ph <-> F Fn A ) $=
      ( vz vw weu wral wfn cv wcel wa copab wfun cdm wceq wmo wal hbra1 wi ra4
      eumo imim2i moanimv sylibr syl 19.21ai funopab wex euex r19.20si dmopab3
      sylib jca df-fn wb fneq1 ax-mp hbopab1 hbxfr ax-17 hbfn cop fneu2
      hbopab2 hbel opeq2 eleq1d cbveu eleq2i opabid bitr eubii euanv pm3.27bi
      ex r19.21ai impbi ) ACIZBDJZEDKZWBBLZDMZANZBCOZDKZWCWBWGPZWGQDRZNWHWBWIWJ
      WBWFCSZBTWIWBWKBWABDUAWBWEWAUBZWKWABDUCWLWEACSZUBWKWAWMWEACUDUEWEACUFUGUH
      UIWFBCUJUGWBACUKZBDJWJWAWNBDACULUMABCDUNUOUPWGDUQUGEWGRWCWHURFDEWGUSUTUGW
      CWABDBGDEBGEWGFWFBCGVAVBGLZDMBVCVDWCWEWAWCWENZWDCLZVEZEMZCIZWAWPWDWOVEZEM
      ZGIWTGDWDEVFXBWSGCCHGXAEHLXAMCVCCGEWGFWFBCGVGVBVHWSGVCWOWQRXAWREWOWQWDVIV
      JVKUOWTWEWAWTWFCIWEWANWSWFCWSWRWGMWFEWGWRFVLWFBCVMVNVOWEACVPVNVQUHVRVSVT
      $.
      $( [31-Jan-2004] $) $( [30-Jan-2004] $)
  $}

  ${
    $d x y A $.  $d y B $.
    fnopab2g.1 $e |- F = { <. x , y >. | ( x e. A /\ y = B ) } $.
    $( Functionality and domain of an ordered-pair class abstraction. $)
    fnopab2g $p |- ( A. x e. A B e. V <-> F Fn A ) $=
      ( cvv wcel wral cv wceq weu wfn eueq ralbii fnopabg bitr ) DGHZACIBJDKZBL
      ZACIECMRTACBDNOSABCEFPQ $.
      $( [31-Mar-2006] $) $( [23-Mar-2006] $)
  $}

  ${
    $d x y A $.
    fnopab.1 $e |- ( x e. A -> E! y ph ) $.
    fnopab.2 $e |- F = { <. x , y >. | ( x e. A /\ ph ) } $.
    $( Functionality and domain of an ordered-pair class abstraction. $)
    fnopab $p |- F Fn A $=
      ( weu wral wfn rgen fnopabg mpbi ) ACHZBDIEDJNBDFKABCDEGLM $.
      $( [5-Mar-1996] $)
  $}

  ${
    $d x y A $.  $d y B $.
    fnopab2.1 $e |- B e. V $.
    fnopab2.2 $e |- F = { <. x , y >. | ( x e. A /\ y = B ) } $.
    $( Functionality and domain of an ordered-pair class abstraction. $)
    fnopab2 $p |- F Fn A $=
      ( cv wceq weu wcel eueq1 a1i fnopab ) BHDIZABCEOBJAHCKBDFLMGN $.
      $( [24-Feb-2004] $) $( [29-Jan-2004] $)

    $( Domain of an ordered-pair class abstraction that specifies a
       function. $)
    dmopab2 $p |- dom F = A $=
      ( wfn cdm wceq fnopab2 fndm ax-mp ) ECHEICJABCDEFGKCELM $.
      $( [7-Sep-2005] $) $( [6-Sep-2005] $)
  $}

  $( Equality theorem for functions. $)
  feq1 $p |- ( F = G -> ( F : A --> B <-> G : A --> B ) ) $=
    ( wceq wfn crn wss wa wf fneq1 rneq sseq1d anbi12d df-f 3bitr4g ) CDEZCAFZC
    GZBHZIDAFZDGZBHZIABCJABDJQRUATUCACDKQSUBBCDLMNABCOABDOP $.
    $( [1-Aug-1994] $)

  $( Equality theorem for functions. $)
  feq2 $p |- ( A = B -> ( F : A --> C <-> F : B --> C ) ) $=
    ( wceq wfn crn wss wa wf fneq2 anbi1d df-f 3bitr4g ) ABEZDAFZDGCHZIDBFZQIAC
    DJBCDJOPRQABDKLACDMBCDMN $.
    $( [1-Aug-1994] $)

  $( Equality theorem for functions. $)
  feq3 $p |- ( A = B -> ( F : C --> A <-> F : C --> B ) ) $=
    ( wceq wfn crn wss wa wf sseq2 anbi2d df-f 3bitr4g ) ABEZDCFZDGZAHZIPQBHZIC
    ADJCBDJORSPABQKLCADMCBDMN $.
    $( [1-Aug-1994] $)

  $( Equality theorem for functions.  (Contributed by FL, 14-Jul-2007.) $)
  feq23 $p |- ( ( A = C /\ B = D ) -> ( F : A --> B <-> F : C --> D ) ) $=
    ( wceq wa wfn crn wss wf fneq2 sseq2 bi2anan9 df-f 3bitr4g ) ACFZBDFZGEAHZE
    IZBJZGECHZTDJZGABEKCDEKQSUBRUAUCACELBDTMNABEOCDEOP $.
    $( [11-Oct-2007] $) $( [14-Jul-2007] $)

  ${
    feq1d.1 $e |- ( ph -> F = G ) $.
    $( Equality deduction for mappings. $)
    feq1d $p |- ( ph -> ( F : A --> B <-> G : A --> B ) ) $=
      ( wceq wf wb feq1 syl ) ADEGBCDHBCEHIFBCDEJK $.
      $( [20-Feb-2008] $) $( [19-Feb-2008] $)
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbf.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbf.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbf.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for a mapping. $)
    hbf $p |- ( F : A --> B -> A. x F : A --> B ) $=
      ( wfn crn wss wa wal wf hbfn hbrn hbss hban df-f albii 3imtr4 ) ECIZEJZDK
      ZLZUEAMCDENZUFAMUBUDAABCEFGOABUCDABEFPHQRCDESZUFUEAUGTUA $.
      $( [2-Feb-2004] $) $( [29-Jan-2004] $)
  $}

  ${
    elimf.1 $e |- G : A --> B $.
    $( Eliminate a mapping hypothesis for the weak deduction theorem ~ dedth ,
       when a special case ` G : A --> B ` is provable, in order to convert
       ` F : A --> B ` from a hypothesis to an antecedent. $)
    elimf $p |- if ( F : A --> B , F , G ) : A --> B $=
      ( wf cif feq1 elimhyp ) ABCFZABJCDGZFABDFCDABCKHABDKHEI $.
      $( [24-Aug-2006] $) $( [24-Aug-2006] $)
  $}

  $( A mapping is a function. $)
  ffn $p |- ( F : A --> B -> F Fn A ) $=
    ( wf wfn crn wss df-f pm3.26bi ) ABCDCAECFBGABCHI $.
    $( [2-Aug-1994] $)

  $( Any function is a mapping into ` V ` . $)
  fnf $p |- ( F Fn A <-> F : A --> V ) $=
    ( wfn cvv wf crn wss ssv wa df-f biimpr mpan2 ffn impbi ) BACZADBEZOBFZDGZP
    QHPORIADBJKLADBMN $.
    $( [31-Oct-1995] $)

  $( A mapping is a function. $)
  ffun $p |- ( F : A --> B -> Fun F ) $=
    ( wf wfn wfun ffn fnfun syl ) ABCDCAECFABCGACHI $.
    $( [3-Aug-1994] $)

  $( A mapping is a relation. $)
  frel $p |- ( F : A --> B -> Rel F ) $=
    ( wf wfn wrel ffn fnrel syl ) ABCDCAECFABCGACHI $.
    $( [3-Aug-1994] $)

  $( The domain of a mapping. $)
  fdm $p |- ( F : A --> B -> dom F = A ) $=
    ( wf wfn cdm wceq ffn fndm syl ) ABCDCAECFAGABCHACIJ $.
    $( [2-Aug-1994] $)

  ${
    fdmi.1 $e |- F : A --> B $.
    $( The domain of a mapping. $)
    fdmi $p |- dom F = A $=
      ( wf cdm wceq fdm ax-mp ) ABCECFAGDABCHI $.
      $( [28-Jul-2008] $) $( [28-Jul-2008] $)
  $}

  $( The range of a mapping. $)
  frn $p |- ( F : A --> B -> ran F (_ B ) $=
    ( wf wfn crn wss df-f pm3.27bi ) ABCDCAECFBGABCHI $.
    $( [3-Aug-1994] $)

  $( A function maps to its range. $)
  fnfrn $p |- ( F Fn A <-> F : A --> ran F ) $=
    ( wfn crn wss wa wf ssid biantru df-f bitr4 ) BACZLBDZMEZFAMBGNLMHIAMBJK $.
    $( [1-Sep-1999] $)

  $( Expanding the codomain of a mapping. $)
  fss $p |- ( ( F : A --> B /\ B (_ C ) -> F : A --> C ) $=
    ( wf wss wa wfn crn ffn adantr wi frn sstr2 syl imp jca df-f sylibr ) ABDEZ
    BCFZGZDAHZDIZCFZGACDEUBUCUETUCUAABDJKTUAUETUDBFUAUELABDMUDBCNOPQACDRS $.
    $( [10-May-1998] $)

  $( Composition of two mappings. $)
  fco $p |- ( ( F : B --> C /\ G : A --> B ) -> ( F o. G ) : A --> C ) $=
    ( wf wa ccom wfn crn wss wfun cdm wceq funco ffun syl2an fdm sseq2d frn
    syl5bir imp dmcosseq syl adantl eqtrd jca df-fn sylibr wi rncoss sstr2
    syl5 ax-mp adantr df-f ) BCDFZABEFZGZDEHZAIZUTJZCKZGACUTFUSVAVCUSUTLZUTMZAN
    ZGVAUSVDVFDLELVDUQURDEOBCDPABEPQUSVEEMZAUSEJZDMZKZVEVGNUQURVJUQVJVHBKURUQVI
    BVHBCDRSABETUAUBDEUCUDURVGANUQABERUEUFUGUTAUHUIUQVCURVBDJZKZUQVCUJDEUKVLVKC
    KVCUQVBVKCULBCDTUMUNUOUGACUTUPUI $.
    $( [29-Aug-1999] $)

  $( A mapping is a class of ordered pairs. $)
  fssxp $p |- ( F : A --> B -> F (_ ( A X. B ) ) $=
    ( wf cdm crn cxp wss frn ssid ssxp mpan syl wceq wb fdm xpeq1 sseq1 3syl
    mpbird wrel wi frel relssdr sstr2 mpd ) ABCDZCEZCFZGZABGZHZCUKHZUGULAUIGZUK
    HZUGUIBHZUOABCIAAHUPUOAJAAUIBKLMUGUHANUJUNNULUOOABCPUHAUIQUJUNUKRSTUGCUACUJ
    HULUMUBABCUCCUDCUJUKUESUF $.
    $( [3-Aug-1994] $)

  $( Two ways of specifying a partial function from ` A ` to ` B ` . $)
  funssxp $p |- ( ( Fun F /\ F (_ ( A X. B ) ) <->
             ( F : dom F --> B /\ dom F (_ A ) ) $=
    ( wfun cxp wss wa cdm wf wfn crn funfn biimp rnss rnxpss sstr mpan2 syl
    anim12i df-f sylibr dmss dmxpss adantl jca ffun adantr fssxp ssid ssxp
    sylan9ss impbi ) CDZCABEZFZGZCHZBCIZUQAFZGZUPURUSUPCUQJZCKZBFZGURUMVAUOVCUM
    VACLMUOVBUNKZFZVCCUNNVEVDBFVCABOVBVDBPQRSUQBCTUAUOUSUMUOUQUNHZFZUSCUNUBVGVF
    AFUSABUCUQVFAPQRUDUEUTUMUOURUMUSUQBCUFUGURUSCUQBEZUNUQBCUHUSBBFVHUNFBUIUQAB
    BUJQUKUEUL $.
    $( [14-Nov-2007] $) $( [13-Nov-2007] $)

  $( A mapping is a partial function. $)
  ffdm $p |- ( F : A --> B -> ( F : dom F --> B /\ dom F (_ A ) ) $=
    ( wf cdm wss wceq wb fdm feq2 syl ibir eqimss jca ) ABCDZCEZBCDZPAFZOQOPAGZ
    QOHABCIZPABCJKLOSRTPAMKN $.
    $( [27-Nov-2007] $) $( [25-Nov-2007] $)

  ${
    opelf.1 $e |- D e. V $.
    $( The members of an ordered pair element of a mapping belong to the
       mapping's domain and codomain. $)
    opelf $p |- ( ( F : A --> B /\ <. C , D >. e. F ) ->
                ( C e. A /\ D e. B ) ) $=
      ( wf cop wcel wa cxp fssxp sseld opelxp syl6ib imp ) ABEGZCDHZEIZCAIDBIJZ
      QSRABKZITQEUARABELMCDABFNOP $.
      $( [11-Dec-2003] $) $( [10-Dec-2003] $)
  $}

  $( The union of two functions with disjoint domains. $)
  fun $p |- ( ( ( F : A --> C /\ G : B --> D ) /\ ( A i^i B ) = (/) ) ->
             ( F u. G ) : ( A u. B ) --> ( C u. D ) ) $=
    ( cin c0 wceq wf wa cun wfn crn wss fnun expcom wi unss12 rnun syl5ss a1i
    anim12d df-f anbi12i an4 bitr 3imtr4g impcom ) ABGHIZACEJZBDFJZKZABLZCDLZEF
    LZJZUJEAMZFBMZKZENZCOZFNZDOZKZKZUPUNMZUPNZUOOZKUMUQUJUTVGVEVIUTUJVGABEFPQVE
    VIRUJVEVAVCLUOVHVACVCDSEFTUAUBUCUMURVBKZUSVDKZKVFUKVJULVKACEUDBDFUDUEURVBUS
    VDUFUGUNUOUPUDUHUI $.
    $( [7-Nov-2004] $) $( [22-Sep-2004] $)

  $( Composition of two functions. $)
  fnfco $p |- ( ( F Fn A /\ G : B --> A ) -> ( F o. G ) Fn B ) $=
    ( wfn crn wss wa ccom wf fnco 3expb df-f sylan2b ) CAEZDBEZDFAGZHCDIBEZBADJ
    OPQRABCDKLBADMN $.
    $( [22-May-2006] $) $( [22-May-2006] $)

  $( Restriction of a function with a subclass of its domain. $)
  fssres $p |- ( ( F : A --> B /\ C (_ A ) -> ( F |` C ) : C --> B ) $=
    ( wf wss wa cres wfn crn fnssres resss rnss ax-mp sstr mpan anim12i an1rs
    df-f sylanb sylibr ) ABDEZCAFZGDCHZCIZUDJZBFZGZCBUDEDAIZDJZBFZGUCUHUBUIUCUK
    UHUIUCGUEUKUGACDKUFUJFZUKUGUDDFULDCLUDDMNUFUJBOPQRABDSTCBUDSUA $.
    $( [17-Oct-2004] $) $( [23-Sep-2004] $)

  $( Restriction of a restricted function with a subclass of its domain. $)
  fssres2 $p |- ( ( ( F |` A ) : A --> B /\ C (_ A ) ->
                ( F |` C ) : C --> B ) $=
    ( cres wf wss wa fssres wb resabs1 feq1d adantl mpbid ) ABDAEZFZCAGZHCBOCEZ
    FZCBDCEZFZABCOIQSUAJPQCBRTDCAKLMN $.
    $( [22-Jul-2005] $) $( [21-Jul-2005] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.
    $( Composition of a mapping and restricted identity. $)
    fcoi1 $p |- ( F : A --> B -> ( F o. ( I |` A ) ) = F ) $=
      ( vx vy vz wf wfn cid cres ccom wceq ffn cv cop wcel wb wal wa fnop ex
      pm4.71rd wex cvv visset opelcog mp2an opelres wbr ideq df-br eqcom
      3bitr3 anbi1i bitr anass exbii opeq1 eleq1d anbi2d ceqsexv 3bitr
      syl6rbbr 19.21aivv wrel fnrel relco eqrel mpan syl mpbird ) ABCGCAHZCIAJZ
      KZCLZABCMVLVODNZENZOZVNPZVRCPZQZERDRZVLWADEVLVTVPAPZVTSZVSVLVTWCVLVTWCAVP
      VQCTUAUBVSVPFNZOZVMPZWEVQOZCPZSZFUCZWEVPLZWCWISZSZFUCWDVPUDPVQUDPVSWKQDUE
      ZEUEFVPVQCVMUDUDUFUGWJWNFWJWLWCSZWISWNWGWPWIWGWFIPZWCSWPVPWEIAFUEZUHWQWLW
      CVPWEIUIVPWELWQWLVPWEWRUJVPWEIUKVPWEULUMUNUOUNWLWCWIUPUOUQWMWDFVPWOWLWIVT
      WCWLWHVRCWEVPVQURUSUTVAVBVCVDVLCVEZVOWBQZACVFVNVEWSWTCVMVGDEVNCVHVIVJVKVJ
      $.
      $( [24-Dec-2003] $) $( [13-Dec-2003] $)

    $( Composition of restricted identity and a mapping. $)
    fcoi2 $p |- ( F : A --> B -> ( ( I |` B ) o. F ) = F ) $=
      ( vx vy vz wf cid cres ccom wceq cv cop wcel wb wal wa wi visset opelf
      pm3.27d ex pm4.71 sylib wex cvv opelcog mp2an opelres wbr df-br ideq
      bitr3 anbi1i bitr anbi2i an12 exbii opeq2 eleq1d eleq1 anbi12d ceqsexv
      3bitr syl6rbbr 19.21aivv wrel frel relco eqrel mpan syl mpbird ) ABCGZHBI
      ZCJZCKZDLZELZMZVPNZVTCNZOZEPDPZVNWCDEVNWBWBVSBNZQZWAVNWBWERWBWFOVNWBWEVNW
      BQVRANWEABVRVSCESZTUAUBWBWEUCUDWAVRFLZMZCNZWHVSMZVONZQZFUEZWHVSKZWJWHBNZQ
      ZQZFUEWFVRUFNVSUFNWAWNODSWGFVRVSVOCUFUFUGUHWMWRFWMWJWOWPQZQWRWLWSWJWLWKHN
      ZWPQWSWHVSHBWGUIWTWOWPWTWHVSHUJWOWHVSHUKWHVSWGULUMUNUOUPWJWOWPUQUOURWQWFF
      VSWGWOWJWBWPWEWOWIVTCWHVSVRUSUTWHVSBVAVBVCVDVEVFVNCVGZVQWDOZABCVHVPVGXAXB
      VOCVIDEVPCVJVKVLVM $.
      $( [16-May-2004] $) $( [13-Dec-2003] $)
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.  $d y C $.
    $( There is exactly one value of a function in its codomain. $)
    feu $p |- ( ( F : A --> B /\ C e. A ) -> E! y e. B <. C , y >. e. F ) $=
      ( wf wcel wa cv cop weu wreu wfn fneu2 ffn sylan wb visset opelf pm3.27d
      ex pm4.71rd eubidv adantr mpbid df-reu sylibr ) BCEFZDBGZHZAIZCGZDUKJEGZH
      ZAKZUMACLUJUMAKZUOEBMUIUPUHABDENBCEOPUHUPUOQUIUHUMUNAUHUMULUHUMULUHUMHUIU
      LBCDUKEARSTUAUBUCUDUEUMACUFUG $.
      $( [12-Dec-2003] $) $( [10-Dec-2003] $)
  $}

  ${
    $d x y F $.  $d x y A $.  $d x y B $.
    $( The converse of a restriction of a function. $)
    fcnvres $p |- ( F : A --> B -> `' ( F |` A ) = ( `' F |` B ) ) $=
      ( vy vx wf cv cop cres ccnv wcel wb wal wceq wa wi visset opelf pm3.26d
      ex pm4.71 sylib opelcnv opelres bitr syl6bbr pm3.27d anbi1i bitr3d
      19.21aivv wrel relcnv relres eqrel mp2an sylibr ) ABCFZDGZEGZHZCAIZJZKZUT
      CJZBIZKZLZEMDMZVBVENZUQVGDEUQUSURHZCKZVCVFUQVKVKUSAKZOZVCUQVKVLPVKVMLUQVK
      VLUQVKOZVLURBKZABUSURCDQZRZSTVKVLUAUBVCVJVAKVMURUSVAVPEQZUCUSURCAVPUDUEUF
      UQVKVKVOOZVFUQVKVOPVKVSLUQVKVOVNVLVOVQUGTVKVOUAUBVFUTVDKZVOOVSURUSVDBVRUD
      VTVKVOURUSCVPVRUCUHUEUFUIUJVBUKVEUKVIVHLVAULVDBUMDEVBVEUNUOUP $.
      $( [26-Mar-1998] $)
  $}

  $( The pre-image of a class disjoint with a mapping's codomain is empty.
     (Contributed by FL, 24-Jan-2007.) $)
  fimacnvdisj $p |- ( ( F : A --> B /\ ( B i^i C ) = (/) ) ->
    ( `' F " C ) = (/) ) $=
    ( wf cin c0 wceq wa ccnv cdm cima wss crn frn adantr df-rn syl5ssr ssdisj
    sylancom imadisj sylibr ) ABDEZBCFGHZIZDJZKZCFGHZUFCLGHUCUDUGBMUHUEDNZBUGUC
    UIBMUDABDOPDQRUGBCSTUFCUAUB $.
    $( [25-Jan-2007] $) $( [23-Jan-2007] $)

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    fint.1 $e |- B =/= (/) $.
    $( Function into an intersection. $)
    fint $p |- ( F : A --> |^| B <-> A. x e. B F : A --> x ) $=
      ( wfn crn cint wss wa cv wral wf c0 wne wb r19.3rzv ax-mp ssint anbi12i
      r19.26 bitr4 df-f ralbii 3bitr4 ) DBFZDGZCHZIZJZUFUGAKZIZJZACLZBUHDMBUKDM
      ZACLUJUFACLZULACLZJUNUFUPUIUQCNOUFUPPEUFACQRAUGCSTUFULACUAUBBUHDUCUOUMACB
      UKDUCUDUE $.
      $( [25-Jan-2007] $) $( [14-Oct-1999] $)
  $}

  $( Mapping into an intersection. $)
  fin $p |- ( F : A --> ( B i^i C ) <-> ( F : A --> B /\ F : A --> C ) ) $=
    ( wfn crn cin wss wa wf anidm ssin anbi12i an4 bitr3 df-f 3bitr4 ) DAEZDFZB
    CGZHZIZRSBHZIZRSCHZIZIZATDJABDJZACDJZIUBRRIZUCUEIZIUGUJRUKUARKSBCLMRRUCUENO
    ATDPUHUDUIUFABDPACDPMQ $.
    $( [14-Sep-1999] $)

  $( If the domain of a mapping is a set, the function is a set. $)
  fex $p |- ( ( F : A --> B /\ A e. C ) -> F e. V ) $=
    ( wfn wcel cvv wf fnex ffn sylan ) DAEACFDGFABDHACDIABDJK $.
    $( [11-Sep-2006] $) $( [3-Oct-1999] $)

  ${
    $d A x $.  $d B x $.
    fabexg.1 $e |- F = { x | ( x : A --> B /\ ph ) } $.
    $( Existence of a set of functions.  (Contributed by Paul Chapman,
       25-Feb-2008.) $)
    fabexg $p |- ( ( A e. C /\ B e. D ) -> F e. V ) $=
      ( wcel wa cxp cvv cpw xpexg pwexg wss cv cab wf fssxp visset elpw sylibr
      anim1i ss2abi eqsstr ssab2 sstri ssexg mpan 3syl ) CEIDFIJCDKZLIULMZLIZGL
      IZCDEFNULLOGUMPUNUOGBQZUMIZAJZBRZUMGCDUPSZAJZBRUSHVAURBUTUQAUTUPULPUQCDUP
      TUPULBUAUBUCUDUEUFABUMUGUHGUMLUIUJUK $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d x A $.  $d x B $.
    fabex.1 $e |- A e. V $.
    fabex.2 $e |- B e. V $.
    fabex.3 $e |- F = { x | ( x : A --> B /\ ph ) } $.
    $( Existence of a set of functions. $)
    fabex $p |- F e. V $=
      ( cvv wcel fabexg mp2an ) CIJDIJEIJFGABCDIIEHKL $.
      $( [10-Mar-2008] $) $( [3-Dec-2007] $)
  $}

  $( If a mapping is a set, its domain is a set. $)
  dmfex $p |- ( ( F e. C /\ F : A --> B ) -> A e. V ) $=
    ( wcel cdm wceq cvv wf wa pm3.27 dmexg adantr eqeltrrd fdm sylan2 ) DCEZDFZ
    AGZAHEABDIQSJRAHQSKQRHESDCLMNABDOP $.
    $( [28-Aug-2006] $) $( [27-Aug-2006] $)

  $( The empty function. $)
  f0 $p |- (/) : (/) --> A $=
    ( c0 wf wfn crn wss df-f wceq eqid fn0 mpbir rn0 0ss eqsstr mpbir2an ) BABC
    BBDZBEZAFBABGPBBHBIBJKQBALAMNO $.
    $( [14-Aug-1999] $)

  $( A class is a function with empty codomain iff it and its domain are
     empty. $)
  f00 $p |- ( F : A --> (/) <-> ( F = (/) /\ A = (/) ) ) $=
    ( c0 wf wceq wa wfn wfun cdm ffun crn wss frn ss0 syl dm0rn0 sylibr jca
    df-fn fn0 sylib fdm eqtr3d f0 feq1 feq2 sylan9bb mpbiri impbi ) ACBDZBCEZAC
    EZFZUJUKULUJBCGZUKUJBHZBIZCEZFUNUJUOUQACBJUJBKZCEZUQUJURCLUSACBMURNOBPQZRBC
    SQBTUAUJUPACACBUBUTUCRUMUJCCCDZCUDUKUJACCDULVAACBCUEACCCUFUGUHUI $.
    $( [27-Dec-2003] $) $( [10-Dec-2003] $)

  ${
    $d x y A $.  $d x y B $.
    fconst.1 $e |- B e. V $.
    $( A cross product with a singleton is a constant function. $)
    fconst $p |- ( A X. { B } ) : A --> { B } $=
      ( vx vy csn cxp wf c0 wceq f0 xpeq1 xp0r syl6eq feq1d feq2 bitrd mpbiri
      wne wfn crn wss wa rnxp eqimss syl wfun cdm df-fn wrel cv wbr wmo wal
      dffunmo relxp wcel moeq moani visset brxp elsn anbi2i bitr mobii mpbir
      ax-gen mpbir2an snnz dmxp ax-mp jctil df-f sylibr pm2.61ine ) ABFZAVPGZHZ
      AIAIJZVRIVPIHZVPKVSVRAVPIHVTVSAVPVQIVSVQIVPGIAIVPLVPMNOAIVPIPQRAISZVQATZV
      QUAZVPUBZUCVRWAWDWBWAWCVPJWDAVPUDWCVPUEUFWBVQUGZVQUHAJZVQAUIWEVQUJDUKZEUK
      ZVQULZEUMZDUNDEVQUOAVPUPWJDWJWGAUQZWHBJZUCZEUMWLWKEEBURUSWIWMEWIWKWHVPUQZ
      UCWMWGWHAVPEUTVAWNWLWKEBVBVCVDVEVFVGVHVPISWFBCVIAVPVJVKVHVLAVPVQVMVNVO $.
      $( [14-Aug-1999] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( A cross product with a singleton is a constant function. $)
    fconstg $p |- ( B e. C -> ( A X. { B } ) : A --> { B } ) $=
      ( vx cv csn cxp wf wceq wb feq1 feq3 sylan9bb sneq xpeq2 syl sylanc
      visset fconst vtoclg ) ADEZFZAUBGZHZABFZAUEGZHZDBCUCUFIZUBUEIZUDUGJUABIZU
      HUDAUBUFHUIUGAUBUCUFKUBUEAUFLMUJUIUHUABNZUBUEAOPUKQAUADRST $.
      $( [22-Oct-2004] $) $( [19-Oct-2004] $)
  $}

  $( Equality theorem for one-to-one functions. $)
  f1eq1 $p |- ( F = G -> ( F : A -1-1-> B <-> G : A -1-1-> B ) ) $=
    ( wceq wf ccnv wfun wa wf1 feq1 wb cnveq funeq syl anbi12d df-f1 3bitr4g )
    CDEZABCFZCGZHZIABDFZDGZHZIABCJABDJSTUCUBUEABCDKSUAUDEUBUELCDMUAUDNOPABCQABD
    QR $.
    $( [10-Feb-1997] $)

  $( Equality theorem for one-to-one functions. $)
  f1eq2 $p |- ( A = B -> ( F : A -1-1-> C <-> F : B -1-1-> C ) ) $=
    ( wceq wf ccnv wfun wa wf1 feq2 anbi1d df-f1 3bitr4g ) ABEZACDFZDGHZIBCDFZQ
    IACDJBCDJOPRQABCDKLACDMBCDMN $.
    $( [10-Feb-1997] $)

  $( Equality theorem for one-to-one functions. $)
  f1eq3 $p |- ( A = B -> ( F : C -1-1-> A <-> F : C -1-1-> B ) ) $=
    ( wceq wf ccnv wfun wa wf1 feq3 anbi1d df-f1 3bitr4g ) ABEZCADFZDGHZICBDFZQ
    ICADJCBDJOPRQABCDKLCADMCBDMN $.
    $( [10-Feb-1997] $)

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbf1.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbf1.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbf1.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for a one-to-one function. $)
    hbf1 $p |- ( F : A -1-1-> B -> A. x F : A -1-1-> B ) $=
      ( wf ccnv wfun wa wal wf1 hbf hbcnv hbfun hban df-f1 albii 3imtr4 ) CDEIZ
      EJZKZLZUEAMCDENZUFAMUBUDAABCDEFGHOABUCABEFPQRCDESZUFUEAUGTUA $.
      $( [16-May-2004] $) $( [16-May-2004] $)
  $}

  ${
    $d x y F $.
    $( Alternate definition of a one-to-one function. $)
    f11 $p |- ( F : A -1-1-> B <-> ( F : A --> B /\ A. y E* x x F y ) ) $=
      ( wf1 wf ccnv wfun wa cv wbr wmo wal df-f1 wrel dffunmo relcnv mpbiran
      visset brcnv mobii albii bitr anbi2i ) CDEFCDEGZEHZIZJUFAKZBKZELZAMZBNZJC
      DEOUHUMUFUHUJUIUGLZAMZBNZUMUHUGPUPBAUGQERSUOULBUNUKAUJUIEBTATUAUBUCUDUEUD
      $.
      $( [22-Sep-2004] $) $( [31-Dec-1996] $)
  $}

  $( A one-to-one mapping is a mapping. $)
  f1f $p |- ( F : A -1-1-> B -> F : A --> B ) $=
    ( wf1 wf ccnv wfun df-f1 pm3.26bi ) ABCDABCECFGABCHI $.
    $( [31-Dec-1996] $)

  $( Two ways to express that a set ` A ` (not necessarily a function) is
     one-to-one.  Each side is equivalent to Definition 6.4(3) of
     [TakeutiZaring] p. 24, who use the notation "Un_2 (A)" for one-to-one.
     We do not introduce a separate notation since we rarely use it. $)
  f1cnv $p |- ( `' `' A : dom A -1-1-> V <-> ( Fun `' A /\ Fun `' `' A ) ) $=
    ( cdm cvv ccnv wf1 wf wfun wa df-f1 wfn fnf wceq df-fn dmcnvcnv mpbiran2
    bitr3 wb wrel relcnv dfrel2 mpbi funeq ax-mp anbi12i ancom 3bitr ) ABZCADZD
    ZEUGCUIFZUIDZGZHUIGZUHGZHUNUMHUGCUIIUJUMULUNUJUIUGJZUMUGUIKUOUMUIBUGLUIUGMA
    NOPUKUHLZULUNQUHRUPASUHTUAUKUHUBUCUDUMUNUEUF $.
    $( [5-Nov-2004] $) $( [13-Aug-2004] $)

  $( Composition of one-to-one functions.  Exercise 30 of [TakeutiZaring]
     p. 25. $)
  f1co $p |- ( ( F : B -1-1-> C /\ G : A -1-1-> B ) ->
              ( F o. G ) : A -1-1-> C ) $=
    ( wf ccnv wfun wa ccom wf1 fco funco wceq wb cnvco funeq ax-mp sylibr
    ancoms anim12i an4s df-f1 anbi12i 3imtr4 ) BCDFZDGZHZIZABEFZEGZHZIZIACDEJZF
    ZUNGZHZIZBCDKZABEKZIACUNKUFUJUHULURUFUJIUOUHULIUQABCDELULUHUQULUHIUKUGJZHZU
    QUKUGMUPVANUQVBODEPUPVAQRSTUAUBUSUIUTUMBCDUCABEUCUDACUNUCUE $.
    $( [28-May-1998] $)

  $( Equality theorem for onto functions. $)
  foeq1 $p |- ( F = G -> ( F : A -onto-> B <-> G : A -onto-> B ) ) $=
    ( wceq wfn crn wa wfo fneq1 rneq eqeq1d anbi12d df-fo 3bitr4g ) CDEZCAFZCGZ
    BEZHDAFZDGZBEZHABCIABDIPQTSUBACDJPRUABCDKLMABCNABDNO $.
    $( [1-Aug-1994] $)

  $( Equality theorem for onto functions. $)
  foeq2 $p |- ( A = B -> ( F : A -onto-> C <-> F : B -onto-> C ) ) $=
    ( wceq wfn crn wa wfo fneq2 anbi1d df-fo 3bitr4g ) ABEZDAFZDGCEZHDBFZPHACDI
    BCDINOQPABDJKACDLBCDLM $.
    $( [1-Aug-1994] $)

  $( Equality theorem for onto functions. $)
  foeq3 $p |- ( A = B -> ( F : C -onto-> A <-> F : C -onto-> B ) ) $=
    ( wceq wfn crn wa wfo eqeq2 anbi2d df-fo 3bitr4g ) ABEZDCFZDGZAEZHOPBEZHCAD
    ICBDINQROABPJKCADLCBDLM $.
    $( [1-Aug-1994] $)

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbfo.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbfo.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbfo.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for an onto function. $)
    hbfo $p |- ( F : A -onto-> B -> A. x F : A -onto-> B ) $=
      ( wfn crn wceq wa wal wfo hbfn hbrn hbeq hban df-fo albii 3imtr4 ) ECIZEJ
      ZDKZLZUEAMCDENZUFAMUBUDAABCEFGOABBUCDABEFPHQRCDESZUFUEAUGTUA $.
      $( [16-May-2004] $) $( [16-May-2004] $)
  $}

  $( An onto mapping is a mapping. $)
  fof $p |- ( F : A -onto-> B -> F : A --> B ) $=
    ( wfn crn wceq wa wss wfo wf eqimss anim2i df-fo df-f 3imtr4 ) CADZCEZBFZGP
    QBHZGABCIABCJRSPQBKLABCMABCNO $.
    $( [3-Aug-1994] $)

  $( An onto mapping is a function. $)
  fofun $p |- ( F : A -onto-> B -> Fun F ) $=
    ( wfo wf wfun fof ffun syl ) ABCDABCECFABCGABCHI $.
    $( [30-Mar-2008] $) $( [29-Mar-2008] $)

  $( The codomain of an onto function is its range. $)
  forn $p |- ( F : A -onto-> B -> ran F = B ) $=
    ( wfo wfn crn wceq df-fo pm3.27bi ) ABCDCAECFBGABCHI $.
    $( [3-Aug-1994] $)

  $( Alternate definition of an onto function. $)
  dffo2 $p |- ( F : A -onto-> B <-> ( F : A --> B /\ ran F = B ) ) $=
    ( wfo wf crn wceq wa fof forn jca wfn df-fo biimpr ffn sylan impbi ) ABCDZA
    BCEZCFBGZHRSTABCIABCJKCALZTRSRUATHABCMNABCOPQ $.
    $( [23-Mar-2006] $) $( [22-Mar-2006] $)

  $( The image of the domain of an onto function. $)
  foima $p |- ( F : A -onto-> B -> ( F " A ) = B ) $=
    ( wfo cima crn cdm wf wceq fof fdm imaeq2 3syl imadmrn syl5reqr forn eqtrd
    ) ABCDZCAEZCFZBRCCGZEZSTRABCHUAAIUBSIABCJABCKUAACLMCNOABCPQ $.
    $( [29-Nov-2002] $)

  $( A function maps onto its range. $)
  fnforn $p |- ( F Fn A <-> F : A -onto-> ran F ) $=
    ( wfn crn wceq wa wfo eqid biantru df-fo bitr4 ) BACZLBDZMEZFAMBGNLMHIAMBJK
    $.
    $( [10-May-1998] $)

  $( A function maps its domain onto its range. $)
  funforn $p |- ( Fun A <-> A : dom A -onto-> ran A ) $=
    ( wfun cdm wfn crn wfo funfn fnforn bitr ) ABAACZDJAEAFAGJAHI $.
    $( [30-Jul-2004] $) $( [23-Jul-2004] $)

  $( If the domain of an onto function exists, so does its codomain. $)
  fornex $p |- ( A e. C -> ( F : A -onto-> B -> B e. V ) ) $=
    ( wfo wcel cvv cdm crn wfun wi fofun funrnex com12 syl wf wceq fof fdm
    eleq1d forn 3imtr3d ) ABDEZACFZBGFZUCDHZCFZDIZGFZUDUEUCDJZUGUIKABDLUGUJUICD
    MNOUCUFACUCABDPUFAQABDRABDSOTUCUHBGABDUATUBN $.
    $( [30-Jul-2004] $) $( [23-Jul-2004] $)

  $( An onto function has unique domain and range. $)
  fodmrnu $p |- ( ( F : A -onto-> B /\ F : C -onto-> D ) ->
                ( A = C /\ B = D ) ) $=
    ( wfo wa wceq wfn fndmu wf fof ffn syl syl2an crn forn sylan9req jca ) ABEF
    ZCDEFZGACHZBDHEAIZECIZUBTUAACEJTABEKUCABELABEMNUACDEKUDCDELCDEMNOTUABEPDABE
    QCDEQRS $.
    $( [10-Jan-2007] $) $( [5-Nov-2006] $)

  $( Restriction of a function. $)
  fores $p |- ( ( Fun F /\ A (_ dom F ) ->
              ( F |` A ) :  A -onto-> ( F " A ) ) $=
    ( wfun cdm wss wa cres cima wfo funres anim1i wfn wceq df-fn crn df-fo
    df-ima eqcomi mpbiran2 ssdmres anbi2i 3bitr4 sylibr ) BCZABDEZFBAGZCZUEFZAB
    AHZUFIZUDUGUEABJKUFALZUGUFDAMZFUJUHUFANUJUKUFOZUIMAUIUFPUIUMBAQRSUEULUGABTU
    AUBUC $.
    $( [4-Mar-1997] $)

  $( Composition of onto functions. $)
  foco $p |- ( ( F : B -onto-> C /\ G : A -onto-> B ) ->
             ( F o. G ) : A -onto-> C ) $=
    ( wf crn wceq wa ccom wfo fco ad2ant2r cdm rncoeq eqeq1d biimpar eqtr3t
    fdm sylan an1rs adantrl jca dffo2 anbi12i 3imtr4 ) BCDFZDGZCHZIZABEFZEGZBHZ
    IZIZACDEJZFZUPGZCHZIBCDKZABEKZIACUPKUOUQUSUGUKUQUIUMABCDELMUJUMUSUKUGUMUIUS
    DNZULHZUIUSUGUMIVCUSUIVCURUHCDEOPQVBBHUMVCUGVBULBRBCDSTTUAUBUCUTUJVAUNBCDUD
    ABEUDUEACUPUDUF $.
    $( [23-Mar-2006] $) $( [22-Mar-2006] $)

  $( A non-zero constant function is onto. $)
  foconst $p |- ( ( F : A --> { B } /\ F =/= (/) ) -> F : A -onto-> { B } ) $=
    ( csn wf c0 wne wa crn wceq wfo wn wrel wb frel relrn0 necon3abid syl wss
    wo frn sssn sylib ord sylbid imdistani dffo2 sylibr ) ABDZCEZCFGZHUJCIZUIJZ
    HAUICKUJUKUMUJUKULFJZLZUMUJCMZUKUONAUICOUPUNCFCPQRUJUNUMUJULUISUNUMTAUICUAU
    LBUBUCUDUEUFAUICUGUH $.
    $( [19-Jan-2007] $) $( [12-Jan-2007] $)

  $( Equality theorem for one-to-one onto functions. $)
  f1oeq1 $p |- ( F = G -> ( F : A -1-1-onto-> B <-> G : A -1-1-onto-> B ) ) $=
    ( wceq wf1 wfo wa wf1o f1eq1 foeq1 anbi12d df-f1o 3bitr4g ) CDEZABCFZABCGZH
    ABDFZABDGZHABCIABDIOPRQSABCDJABCDKLABCMABDMN $.
    $( [10-Feb-1997] $)

  $( Equality theorem for one-to-one onto functions. $)
  f1oeq2 $p |- ( A = B -> ( F : A -1-1-onto-> C <-> F : B -1-1-onto-> C ) ) $=
    ( wceq wf1 wfo wa wf1o f1eq2 foeq2 anbi12d df-f1o 3bitr4g ) ABEZACDFZACDGZH
    BCDFZBCDGZHACDIBCDIOPRQSABCDJABCDKLACDMBCDMN $.
    $( [10-Feb-1997] $)

  $( Equality theorem for one-to-one onto functions. $)
  f1oeq3 $p |- ( A = B -> ( F : C -1-1-onto-> A <-> F : C -1-1-onto-> B ) ) $=
    ( wceq wf1 wfo wa wf1o f1eq3 foeq3 anbi12d df-f1o 3bitr4g ) ABEZCADFZCADGZH
    CBDFZCBDGZHCADICBDIOPRQSABCDJABCDKLCADMCBDMN $.
    $( [10-Feb-1997] $)

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbf1o.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbf1o.2 $e |- ( y e. A -> A. x y e. A ) $.
    hbf1o.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for a one-to-one onto function. $)
    hbf1o $p |- ( F : A -1-1-onto-> B -> A. x F : A -1-1-onto-> B ) $=
      ( wf1 wfo wa wal wf1o hbf1 hbfo hban df-f1o albii 3imtr4 ) CDEIZCDEJZKZUB
      ALCDEMZUCALTUAAABCDEFGHNABCDEFGHOPCDEQZUCUBAUDRS $.
      $( [16-May-2004] $) $( [16-May-2004] $)
  $}

  $( A one-to-one onto mapping is a one-to-one mapping. $)
  f1of1 $p |- ( F : A -1-1-onto-> B -> F : A -1-1-> B ) $=
    ( wf1o wf1 wfo df-f1o pm3.26bi ) ABCDABCEABCFABCGH $.
    $( [17-Dec-2003] $) $( [12-Dec-2003] $)

  $( A one-to-one onto mapping is a mapping. $)
  f1of $p |- ( F : A -1-1-onto-> B -> F : A --> B ) $=
    ( wf1o wf1 wf f1of1 f1f syl ) ABCDABCEABCFABCGABCHI $.
    $( [12-Dec-2003] $) $( [12-Dec-2003] $)

  $( A one-to-one onto mapping is function on its domain. $)
  f1ofn $p |- ( F : A -1-1-onto-> B -> F Fn A ) $=
    ( wf1o wf wfn f1of ffn syl ) ABCDABCECAFABCGABCHI $.
    $( [17-Dec-2003] $) $( [12-Dec-2003] $)

  $( A one-to-one onto mapping is a function. $)
  f1ofun $p |- ( F : A -1-1-onto-> B -> Fun F ) $=
    ( wf1o wfn wfun f1ofn fnfun syl ) ABCDCAECFABCGACHI $.
    $( [17-Dec-2003] $) $( [12-Dec-2003] $)

  $( A one-to-one onto mapping is a relation. $)
  f1orel $p |- ( F : A -1-1-onto-> B -> Rel F ) $=
    ( wf1o wfun wrel f1ofun funrel syl ) ABCDCECFABCGCHI $.
    $( [6-Jan-2004] $) $( [13-Dec-2003] $)

  $( Alternate definition of one-to-one onto function. $)
  f1o2 $p |- ( F : A -1-1-onto-> B <-> ( F Fn A /\ Fun `' F /\ ran F = B ) ) $=
    ( wf1 wfo wa wfn ccnv wfun crn wceq wf1o w3a wf df-f1 pm3.27bi df-fo biimp
    anim12i wss eqimss anim2i df-f sylibr anim1i ancoms biimpr adantl jca
    impbi an12 bitr df-f1o 3anass 3bitr4 ) ABCDZABCEZFZCAGZCHIZCJZBKZFFZABCLUSU
    TVBMURUTUSVBFZFZVCURVEUPUTUQVDUPABCNZUTABCOZPUQVDABCQZRSVEUPUQVDUTUPVDUTFVF
    UTFUPVDVFUTVDUSVABTZFVFVBVIUSVABUAUBABCUCUDUEVGUDUFVDUQUTUQVDVHUGUHUIUJUTUS
    VBUKULABCUMUSUTVBUNUO $.
    $( [10-Feb-1997] $)

  $( Alternate definition of one-to-one onto function. $)
  f1o3 $p |- ( F : A -1-1-onto-> B <-> ( F : A -onto-> B /\ Fun `' F ) ) $=
    ( wf1 wfo wa wfn crn wceq ccnv wfun wf1o wf an23 df-f1 df-fo anbi12i wss
    eqimss anim2i df-f sylibr pm4.71ri anbi1i 3bitr4 df-f1o ) ABCDZABCEZFZCAGZC
    HZBIZFZCJKZFZABCLUHUNFABCMZUNFZUMFUPUMFZUNFUIUOUPUNUMNUGUQUHUMABCOABCPZQUMU
    RUNUMUPUMUJUKBRZFUPULUTUJUKBSTABCUAUBUCUDUEABCUFUHUMUNUSUDUE $.
    $( [25-Mar-1998] $)

  $( A one-to-one onto function is an onto function. $)
  f1ofo $p |- ( F : A -1-1-onto-> B -> F : A -onto-> B ) $=
    ( wf1o wfo ccnv wfun f1o3 pm3.26bi ) ABCDABCECFGABCHI $.
    $( [30-Apr-2004] $) $( [28-Apr-2004] $)

  $( Alternate definition of one-to-one onto function. $)
  f1o4 $p |- ( F : A -1-1-onto-> B <-> ( F Fn A /\ `' F Fn B ) ) $=
    ( wfn ccnv wfun crn wceq w3a wa wf1o 3anass f1o2 cdm df-fn df-rn eqeq1i
    anbi2i bitr4 3bitr4 ) CADZCEZFZCGZBHZIUAUCUEJZJABCKUAUBBDZJUAUCUELABCMUGUFU
    AUGUCUBNZBHZJUFUBBOUEUIUCUDUHBCPQRSRT $.
    $( [25-Mar-1998] $)

  $( Alternate definition of one-to-one onto function. $)
  f1o5 $p |- ( F : A -1-1-onto-> B <-> ( F : A -1-1-> B /\ ran F = B ) ) $=
    ( wf1o wf1 wfo wa wfn crn wceq df-f1o df-fo anbi2i an12 wf f1f ffn syl
    adantr pm4.71ri bitr4 3bitr ) ABCDABCEZABCFZGUCCAHZCIBJZGZGZUCUFGZABCKUDUGU
    CABCLMUHUEUIGUIUCUEUFNUIUEUCUEUFUCABCOUEABCPABCQRSTUAUB $.
    $( [16-Feb-2004] $) $( [10-Dec-2003] $)

  $( A one-to-one function maps onto its range. $)
  f1orn $p |- ( F : A -1-1-onto-> ran F <-> ( F Fn A /\ Fun `' F ) ) $=
    ( wfn ccnv wfun crn wceq w3a wa wf1o df-3an f1o2 eqid biantru 3bitr4 ) BACZ
    BDEZBFZRGZHPQIZSIARBJTPQSKARBLSTRMNO $.
    $( [5-Sep-2004] $) $( [13-Aug-2004] $)

  $( A one-to-one function maps one-to-one onto its range. $)
  f1f1orn $p |- ( F : A -1-1-> B -> F : A -1-1-onto-> ran F ) $=
    ( wf1 wfn ccnv wfun wa crn wf1o wf f1f ffn syl df-f1 pm3.27bi jca f1orn
    sylibr ) ABCDZCAEZCFGZHACICJTUAUBTABCKZUAABCLABCMNTUCUBABCOPQACRS $.
    $( [5-Sep-2004] $) $( [4-Sep-2004] $)

  ${
    $d A f $.  $d B f $.
    f1oabexg.1 $e |- F = { f | ( f : A -1-1-onto-> B /\ ph ) } $.
    $( The class of all 1-1-onto functions mapping one set to another is a set.
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    f1oabexg $p |- ( ( A e. C /\ B e. D ) -> F e. V ) $=
      ( wcel wa cv wf1o cab cvv wf eqid fabexg wss f1of anim1i ss2abi ssexg
      mpan syl syl5eqel ) BDICEIJZBCFKZLZAJZFMZNGUFBCUGOZAJZFMZNIZUJNIZAFBCDEUM
      UMPQUJUMRUNUOUIULFUHUKABCUGSTUAUJUMNUBUCUDHUE $.
      $( [26-Feb-2008] $) $( [25-Feb-2008] $)
  $}

  $( The converse of a one-to-one onto function is also one-to-one onto. $)
  f1ocnv $p |- ( F : A -1-1-onto-> B -> `' F : B -1-1-onto-> A ) $=
    ( wfn ccnv wfun crn wceq wa wf1o cdm df-rn eqeq1i anbi2i df-fn bitr4 biimp
    fnfun funcnvcnv syl fndm dfdm4 syl5eqr jca anim12i ancoms w3a f1o2 3anass
    bitr 3imtr4 ) CADZCEZFZCGZBHZIZIZUMBDZUMEFZUMGZAHZIZIZABCJZBAUMJZUQULVDUQUS
    ULVCUQUSUQUNUMKZBHZIUSUPVHUNUOVGBCLMNUMBOPQULUTVBULCFUTACRCSTULCKAVAACUACUB
    UCUDUEUFVEULUNUPUGURABCUHULUNUPUIUJVFUSUTVBUGVDBAUMUHUSUTVBUIUJUK $.
    $( [11-Feb-1997] $)

  $( A relation is a one-to-one onto function iff its converse is a one-to-one
     onto function with domain and range interchanged. $)
  f1ocnvb $p |- ( Rel F ->
                ( F : A -1-1-onto-> B <-> `' F : B -1-1-onto-> A ) ) $=
    ( wrel wf1o ccnv f1ocnv wceq wb dfrel2 f1oeq1 sylbi syl5bi impbid2 ) CDZABC
    EZBACFZEZABCGOABQFZEZPROSCHTPICJABSCKLBAQGMN $.
    $( [17-May-2004] $) $( [8-Dec-2003] $)

  $( The restriction of a one-to-one function maps one-to-one onto the
     image. $)
  f1ores $p |- ( ( F : A -1-1-> B /\ C (_ A ) -> ( F |` C ) : C -1-1-onto->
            ( F " C ) ) $=
    ( wf ccnv wfun wa wss cima cres wfo wf1 wf1o cdm fores ffun adantr fdm
    sseq2d biimpar sylanc funres11 anim12i an1rs df-f1 anbi1i f1o3 3imtr4 ) ABD
    EZDFGZHZCAIZHCDCJZDCKZLZUOFGZHZABDMZUMHCUNUONUJUMUKURUJUMHZUPUKUQDGZCDOZIZU
    PUTCDPUJVAUMABDQRUJVCUMUJVBACABDSTUAUBCDUCUDUEUSULUMABDUFUGCUNUOUHUI $.
    $( [25-Mar-1998] $)

  $( The converse of a one-to-one-onto restricted function.  (Contributed by
     Paul Chapman, 21-Apr-2008.) $)
  f1orescnv $p |- ( ( Fun `' F /\ ( F |` R ) : R -1-1-onto-> P ) ->
                    ( `' F |` P ) : P -1-1-onto-> R ) $=
    ( ccnv wfun cres wf1o wa f1ocnv adantl wceq wb cima funcnvres crn wf1 f1o5
    pm3.27bi df-ima syl5eq reseq2 syl sylan9eq f1oeq1 mpbid ) CDZEZBACBFZGZHZAB
    UHDZGZABUFAFZGZUIULUGBAUHIJUJUKUMKULUNLUGUIUKUFCBMZFZUMBCNUIUOAKUPUMKUIUHOZ
    AUOUIBAUHPUQAKBAUHQRCBSTUOAUFUAUBUCABUKUMUDUBUE $.
    $( [24-Apr-2008] $) $( [21-Apr-2008] $)

  $( Pre-image of an image. $)
  f1imacnv $p |- ( ( F : A -1-1-> B /\ C (_ A ) ->
                 ( `' F " ( F " C ) ) = C ) $=
    ( wf1 wss wa ccnv cima cres wfun wceq wf df-f1 pm3.27bi adantr funcnvres
    imaeq1 3syl wf1o f1ores f1ocnv crn cdm f1of fdm imaeq2 imadmrn syl5reqr
    wfo f1ofo forn syl eqtrd eqtr3d resima syl5eqr ) ABDEZCAFZGZDHZDCIZJZVBIZCV
    AVBIUTDCJZHZVBIZVDCUTVAKZVFVCLVGVDLURVHUSURABDMVHABDNOPCDQVFVCVBRSUTCVBVETV
    BCVFTZVGCLABCDUACVBVEUBVIVGVFUCZCVIVFVFUDZIZVGVJVIVBCVFMVKVBLVLVGLVBCVFUEVB
    CVFUFVKVBVFUGSVFUHUIVIVBCVFUJVJCLVBCVFUKVBCVFULUMUNSUOVAVBUPUQ $.
    $( [9-Oct-2004] $) $( [30-Sep-2004] $)

  $( The union of two one-to-one onto functions with disjoint domains and
     ranges. $)
  f1oun $p |- ( ( ( F : A -1-1-onto-> B /\ G : C -1-1-onto-> D ) /\
           ( ( A i^i C ) = (/) /\ ( B i^i D ) = (/) ) ) ->
           ( F u. G ) : ( A u. C ) -1-1-onto-> ( B u. D ) ) $=
    ( wf1o wa cin c0 wceq cun wfn ccnv wi fnun ex wb cnvun fneq1 ax-mp sylibr
    im2anan9 an4s f1o4 syl2anb syl6ibr imp ) ABEGZCDFGZHZACIJKZBDIJKZHZACLZBDLZ
    EFLZGZUKUNUQUOMZUQNZUPMZHZUREAMZENZBMZHFCMZFNZDMZHUNVBOZUIUJVCVFVEVHVIVCVFH
    ZULUSVEVHHZUMVAVJULUSACEFPQVKUMVAVKUMHVDVGLZUPMZVABDVDVGPUTVLKVAVMREFSUPUTV
    LTUAUBQUCUDABEUECDFUEUFUOUPUQUEUGUH $.
    $( [26-Mar-1998] $)

  $( Composition of one-to-one onto functions. $)
  f1oco $p |- ( ( F : B -1-1-onto-> C /\ G : A -1-1-onto-> B ) ->
              ( F o. G ) : A -1-1-onto-> C ) $=
    ( wf1 wfo wa ccom wf1o f1co foco anim12i an4s df-f1o anbi12i 3imtr4 ) BCDFZ
    BCDGZHZABEFZABEGZHZHACDEIZFZACUDGZHZBCDJZABEJZHACUDJRUASUBUGRUAHUESUBHUFABC
    DEKABCDELMNUHTUIUCBCDOABEOPACUDOQ $.
    $( [19-Mar-1998] $)

  $( The composition of a one-to-one onto function and its converse equals
     the identity relation restricted to the function's range. $)
  f1ococnv2 $p |- ( F : A -1-1-onto-> B -> ( F o. `' F ) = ( I |` B ) ) $=
    ( wf1o ccnv ccom cid cdm cres wss wceq wf wfun f1of ffun wrel df-fun
    pm3.27bi 3syl iss sylib crn fdm syl wfo f1ocnv f1ofo forn eqtr4d dmcoeq
    eqtrd reseq2 ) ABCDZCCEZFZGUOHZIZGBIZUMUOGJZUOUQKUMABCLZCMZUSABCNZABCOVACPU
    SCQRSUOTUAUMUPBKUQURKUMUPUNHZBUMCHZUNUBZKUPVCKUMVDAVEUMUTVDAKVBABCUCUDUMBAU
    NDZBAUNUEVEAKABCUFZBAUNUGBAUNUHSUICUNUJUDUMVFBAUNLVCBKVGBAUNNBAUNUCSUKUPBGU
    LUDUK $.
    $( [20-Dec-2003] $) $( [13-Dec-2003] $)

  $( The composition of a one-to-one onto function's converse and itself
     equals the identity relation restricted to the function's domain. $)
  f1ococnv1 $p |- ( F : A -1-1-onto-> B -> ( `' F o. F ) = ( I |` A ) ) $=
    ( wf1o ccnv ccom cid cres wrel wceq f1orel dfrel2 sylib coeq2d f1ocnv
    f1ococnv2 syl eqtr3d ) ABCDZCEZTEZFZTCFGAHZSUACTSCIUACJABCKCLMNSBATDUBUCJAB
    COBATPQR $.
    $( [17-May-2004] $) $( [13-Dec-2003] $)

  $( If the codomain of a one-to-one function exists, so does its domain.
     This theorem is equivalent to the Axiom of Replacement ~ ax-rep . $)
  f1dmex $p |- ( ( F : A -1-1-> B /\ B e. C ) -> A e. V ) $=
    ( wf1 wcel cvv crn wss ssexg wf f1f frn syl sylan ex ccnv wfo fornex wf1o
    f1f1orn f1ocnv f1ofo 3syl syl5com syld imp ) ABDEZBCFZAGFZUHUIDHZGFZUJUHUIU
    LUKBIZUIULUHUKBCJUHABDKUMABDLABDMNOPULUKADQZRZUJUHUKAGUNSUHAUKDTUKAUNTUOABD
    UAAUKDUBUKAUNUCUDUEUFUG $.
    $( [12-Sep-2006] $) $( [4-Sep-2004] $)

  ${
    $d x F $.  $d x A $.  $d x B $.
    f11o.1 $e |- F e. V $.
    $( Relationship between a mapping and an onto mapping.  Figure 38 of
       [Enderton] p. 145. $)
    ffoss $p |- ( F : A --> B <-> E. x ( F : A -onto-> x /\ x (_ B ) ) $=
      ( wf cv wfo wss wa wex crn wfn df-f fnforn anbi1i bitr rnex wceq foeq3
      sseq1 anbi12d cla4ev sylbi fss fof sylan 19.23aiv impbi ) BCDFZBAGZDHZUKC
      IZJZAKZUJBDLZDHZUPCIZJZUOUJDBMZURJUSBCDNUTUQURBDOPQUNUSAUPDERUKUPSULUQUMU
      RUKUPBDTUKUPCUAUBUCUDUNUJABUKDFUMUJULBUKCDUEBUKDUFUGUHUI $.
      $( [10-May-1998] $)

    $( Relationship between one-to-one and one-to-one onto function. $)
    f11o $p |- ( F : A -1-1-> B <-> E. x ( F : A -1-1-onto-> x /\ x (_ B ) ) $=
      ( wf ccnv wfun wa cv wfo wss wex wf1 wf1o ffoss anbi1i df-f1 f1o3 an23
      bitr exbii 19.41v 3bitr4 ) BCDFZDGHZIBAJZDKZUGCLZIZAMZUFIZBCDNBUGDOZUIIZA
      MZUEUKUFABCDEPQBCDRUOUJUFIZAMULUNUPAUNUHUFIZUIIUPUMUQUIBUGDSQUHUFUITUAUBU
      JUFAUCUAUD $.
      $( [4-Apr-1998] $)
  $}

  $( The empty set maps one-to-one into any class. $)
  f10 $p |- (/) : (/) -1-1-> A $=
    ( c0 wf1 wf ccnv wfun df-f1 f0 fun0 wceq wb cnv0 funeq ax-mp mpbir
    mpbir2an ) BABCBABDBEZFZBABGAHRBFZIQBJRSKLQBMNOP $.
    $( [7-Apr-1998] $)

  $( One-to-one onto mapping of the empty set. $)
  f1o00 $p |- ( F : (/) -1-1-onto-> A <-> ( F = (/) /\ A = (/) ) ) $=
    ( c0 wf1o wfn ccnv wa wceq f1o4 fn0 biimp adantr cdm wb cnveq cnv0 syl6eq
    sylbi fneq1 syl biimpa fndm dm0 syl5reqr jca biimpr eqid mpbir fneq2
    sylan9bb mpbiri impbi bitr ) CABDBCEZBFZAEZGZBCHZACHZGZCABIUQUTUQURUSUNURUP
    UNURBJZKLUQCMZACUQCAEZVBAHUNUPVCUNUOCHZUPVCNZUNURVDVAURUOCFCBCOPQZRAUOCSZTU
    AACUBTUCUDUEUTUNUPURUNUSUNURVAUFLUTUPCCEZVHCCHCUGCJUHURUPVCUSVHURVDVEVFVGTA
    CCUIUJUKUEULUM $.
    $( [15-Apr-1998] $)

  $( Onto mapping of the empty set. $)
  fo00 $p |- ( F : (/) -onto-> A <-> ( F = (/) /\ A = (/) ) ) $=
    ( c0 wfo wf1o wceq wa wf1 wf wfn fof ffn fn0 f10 f1eq1 mpbiri sylbi 3syl
    ancri df-f1o sylibr f1ofo impbi f1o00 bitr ) CABDZCABEZBCFZACFGUFUGUFCABHZU
    FGUGUFUIUFCABIBCJZUICABKCABLUJUHUIBMUHUICACHANCABCOPQRSCABTUACABUBUCABUDUE
    $.
    $( [27-Mar-2006] $) $( [22-Mar-2006] $)

  $( One-to-one onto mapping of the empty set. $)
  f1o0 $p |- (/) : (/) -1-1-onto-> (/) $=
    ( c0 wf1o wceq f1o00 eqid mpbir2an ) AAABAACZGAADAEZHF $.
    $( [16-Feb-2004] $) $( [10-Sep-2004] $)

  $( A restriction of the identity relation is a one-to-one onto function. $)
  f1oi $p |- ( I |` A ) : A -1-1-onto-> A $=
    ( cid cres wf1o wfo ccnv wfun f1o3 wfn crn wceq df-fo fnresi rnresi
    mpbir2an funi wb cnvi funeq ax-mp mpbir funres11 ) AABACZDAAUCEZUCFGZAAUCHU
    DUCAIUCJAKAAUCLAMANOBFZGZUEUGBGZPUFBKUGUHQRUFBSTUAABUBTO $.
    $( [30-Apr-1998] $)

  $( The identity relation is a one-to-one onto function on the universe. $)
  f1ovi $p |- I : V -1-1-onto-> V $=
    ( cvv cid cres wf1o f1oi wceq wb wrel reli dfrel3 mpbi f1oeq1 ax-mp ) AABAC
    ZDZAABDZAENBFZOPGBHQIBJKAANBLMK $.
    $( [17-May-2004] $) $( [16-May-2004] $)

  ${
    f1osn.1 $e |- A e. V $.
    f1osn.2 $e |- B e. V $.
    $( A singleton of an ordered pair is one-to-one onto function. $)
    f1osn $p |- { <. A , B >. } : { A } -1-1-onto-> { B } $=
      ( csn cop wf1o wfn ccnv f1o4 wfun cdm wceq df-fn funsn dmsnop mpbir2an
      wb cnvsn fneq1 ax-mp mpbir ) AEZBEZABFEZGUEUCHZUEIZUDHZUCUDUEJUFUEKUELUCM
      UEUCNABCDOABPQUHBAFEZUDHZUJUIKUILUDMUIUDNBADCOBAPQUGUIMUHUJRABCDSUDUGUITU
      AUBQ $.
      $( [18-May-1998] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    fv2.1 $e |- A e. V $.
    $( Alternate definition of function value.  Definition 10.11 of [Quine]
       p. 68. $)
    fv2 $p |- ( F ` A ) = U. { x | A. y ( A F y <-> y = x ) } $=
      ( cfv csn cima cv wceq cab cuni wbr wb wal df-fv wcel dfcleq wa wex wrex
      dfima2 abeq2i df-rex bitr elsn anbi1i exbii breq1 ceqsexv 3bitr bibi12i
      albii abbii unieqi eqtr ) CDFDCGZHZAIZGZJZAKZLCBIZDMZVCUSJZNZBOZAKZLACDPV
      BVHVAVGAVAVCURQZVCUTQZNZBOVGBURUTRVKVFBVIVDVJVEVIUSUQQZUSVCDMZSZATZUSCJZV
      MSZATVDVIVMAUQUAZVOVRBURABDUQUBUCVMAUQUDUEVNVQAVLVPVMACUFUGUHVMVDACEUSCVC
      DUIUJUKBUSUFULUMUEUNUOUP $.
      $( [1-May-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x F $.
    $( A function's value at a proper class is the empty set. $)
    fvprc $p |- ( -. A e. V -> ( F ` A ) = (/) ) $=
      ( vx cvv wcel wn cfv c0 cuni csn cima cv wceq cab wex wne visset snnz
      df-ne mpbi snprc imaeq2 sylbi ima0 syl6eq eqeq1d eqcom syl6bb mtbiri
      nexdv abn0 necon1bbii sylib unieqd df-fv syl5eq uni0 ) ADEFZABGZHIZHURBAJ
      ZKZCLZJZMZCNZIUTUSURVFHURVECOZFVFHMURVECURVEVDHMZVDHPVHFVCCQRVDHSTURVEHVD
      MVHURVBHVDURVBBHKZHURVAHMVBVIMAUAVAHBUBUCBUDUEUFHVDUGUHUIUJVGVFHVECUKULUM
      UNCABUOUPUQUE $.
      $( [20-May-1998] $)
  $}

  ${
    $d x A $.  $d x y B $.  $d x y F $.
    elfv.1 $e |- B e. V $.
    $( Membership in a function value. $)
    elfv $p |- ( A e. ( F ` B ) <->
               E. x ( A e. x /\ A. y ( B F y <-> y = x ) ) ) $=
      ( cfv wcel cv wbr wceq wb wal cab cuni wa wex fv2 eleq2i eluniab bitr )
      CDEGZHCDBIZEJUCAIZKLBMZANOZHCUDHUEPAQUBUFCABDEFRSUEACTUA $.
      $( [1-May-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x G $.
    $( Equality theorem for function value. $)
    fveq1 $p |- ( F = G -> ( F ` A ) = ( G ` A ) ) $=
      ( vx wceq csn cima cv cab cuni cfv imaeq1 eqeq1d abbidv unieqd df-fv
      3eqtr4g ) BCEZBAFZGZDHFZEZDIZJCSGZUAEZDIZJABKACKRUCUFRUBUEDRTUDUABCSLMNOD
      ABPDACPQ $.
      $( [29-Dec-1996] $)

    $( Equality theorem for function value. $)
    fveq2 $p |- ( A = B -> ( F ` A ) = ( F ` B ) ) $=
      ( vx wceq csn cima cv cab cuni cfv sneq imaeq2d eqeq1d abbidv unieqd
      df-fv 3eqtr4g ) ABEZCAFZGZDHFZEZDIZJCBFZGZUBEZDIZJACKBCKSUDUHSUCUGDSUAUFU
      BSTUECABLMNOPDACQDBCQR $.
      $( [29-Dec-1996] $)
  $}

  ${
    fveq1i.1 $e |- F = G $.
    $( Equality inference for function value. $)
    fveq1i $p |- ( F ` A ) = ( G ` A ) $=
      ( wceq cfv fveq1 ax-mp ) BCEABFACFEDABCGH $.
      $( [2-Sep-2003] $)
  $}

  ${
    fveq1d.1 $e |- ( ph -> F = G ) $.
    $( Equality deduction for function value. $)
    fveq1d $p |- ( ph -> ( F ` A ) = ( G ` A ) ) $=
      ( wceq cfv fveq1 syl ) ACDFBCGBDGFEBCDHI $.
      $( [2-Sep-2003] $)
  $}

  ${
    fveq2i.1 $e |- A = B $.
    $( Equality inference for function value. $)
    fveq2i $p |- ( F ` A ) = ( F ` B ) $=
      ( wceq cfv fveq2 ax-mp ) ABEACFBCFEDABCGH $.
      $( [28-Jul-1999] $)
  $}

  ${
    fveq2d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for function value. $)
    fveq2d $p |- ( ph -> ( F ` A ) = ( F ` B ) ) $=
      ( wceq cfv fveq2 syl ) ABCFBDGCDGFEBCDHI $.
      $( [29-May-1999] $)
  $}

  ${
    $d y z F $.  $d y z A $.  $d x y z $.
    hbfv.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbfv.2 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for function value. $)
    hbfv $p |- ( y e. ( F ` A ) -> A. x y e. ( F ` A ) ) $=
      ( vz cfv csn cima cv wceq cab cuni df-fv hbsn hbima wcel ax-17 hbeq hbab
      hbuni hbxfr ) ABCDHDCIZJZGKIZLZGMZNGCDOABUHUGAGBABBUEUFABDUDEABCFPQBKUFRA
      STUAUBUC $.
      $( [14-Nov-1995] $)
  $}

  ${
    $d y z A $.  $d y z F $.  $d y ph $.  $d x y z $.
    hbfvd.1 $e |- ( ph -> A. x ph ) $.
    hbfvd.2 $e |- ( ph -> ( y e. F -> A. x y e. F ) ) $.
    hbfvd.3 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbfv .
       If a closed theorem version is desired, see ~ hbfvd2 . $)
    hbfvd $p |- ( ph -> ( y e. ( F ` A ) -> A. x y e. ( F ` A ) ) ) $=
      ( vz cv wcel wal cab cfv wi hba1 hbab hbfv a1i wceq 19.21aiv abidhb syl
      fveq1d fveq2d eqtrd eleq2d albid 3imtr3d ) ACJZIJZDKZBLZIMZUKEKZBLZIMZNZK
      ZUSBLZUJDENZKZVBBLUSUTOABCUNUQUPBICUOBPQUMBICULBPQRSAURVAUJAURUNENVAAUNUQ
      EAUJEKZVCBLOZCLUQETAVDCGUABCIEUBUCUDAUNDEAUJDKZVEBLOZCLUNDTAVFCHUABCIDUBU
      CUEUFUGZAUSVBBFVGUHUI $.
      $( [21-Dec-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d y z A $.  $d y z F $.  $d x y z $.
    hbfvd2.1 $e |- ( ph -> A. x A. y ph ) $.
    hbfvd2.2 $e |- ( ph -> ( y e. F -> A. x y e. F ) ) $.
    hbfvd2.3 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbfv .
       This variant of ~ hbfvd allows us to create a closed theorem form
       by replacing the uncommitted antecedent ` ph ` with an appropriate
       substitution instance. $)
    hbfvd2 $p |- ( ph -> ( y e. ( F ` A ) -> A. x y e. ( F ` A ) ) ) $=
      ( vz cv wcel wal cab cfv wi hba1 hbab hbfv a1i wceq 19.21bi 19.21ai
      abidhb syl fveq1d fveq2d eqtrd eleq2d ax-4 a7s albid 3imtr3d ) ACJZIJZDKZ
      BLZIMZUNEKZBLZIMZNZKZVBBLZUMDENZKZVEBLVBVCOABCUQUTUSBICURBPQUPBICUOBPQRSA
      VAVDUMAVAUQENVDAUQUTEAUMEKZVFBLOZCLUTETAVGCAACLZBFUAZGUBBCIEUCUDUEAUQDEAU
      MDKZVJBLOZCLUQDTAVKCVIHUBBCIDUCUDUFUGUHZAVBVEBAVHBLABLZFAVMCBVMCUIUJUDVLU
      KUL $.
      $( [17-Nov-2005] $) $( [10-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x F $.
    $( The value of a class exists.  Corollary 6.13 of [TakeutiZaring]
       p. 27. $)
    fvex $p |- ( F ` A ) e. V $=
      ( vx cfv csn cima cv wceq cab cuni cvv df-fv wmo wcel moeq unieq visset
      unisn syl6req immoi ax-mp moabex uniex eqeltr ) ABDBAEFZCGZEZHZCIZJKCABLU
      IUHCMZUIKNUFUEJZHZCMUJCUKOUHULCUHUKUGJUFUEUGPUFCQRSTUAUHCUBUAUCUD $.
      $( [30-Dec-1996] $)
  $}

  ${
    $d x y z F $.  $d x y z A $.
    fv3.1 $e |- A e. V $.
    $( Alternate definition of the value of a function.  Definition 6.11 of
       [TakeutiZaring] p. 26. $)
    fv3 $p |- ( F ` A ) =  { x | ( E. y ( x e. y /\ A F y ) /\
              E! y A F y ) } $=
      ( vz cv wcel wbr wa wex weu cfv wceq wb wal elfv wi bi2 19.20i visset
      breq2 ceqsalv sylib anim2i 19.22i eleq2 anbi12d cbvexv 19.40 pm3.27d
      df-eu sylibr jca hbeu1 ax-17 hba1 hban hbex hbim bi1 ax-14 syl6 com23
      imp3a a4s anc2ri com12 19.22dv syl5ib 19.23ai imp impbi bitr abbi2i ) AGZ
      BGZHZCVQDIZJZBKZVSBLZJZACDMZVPWDHVPFGZHZVSVQWENZOZBPZJZFKZWCFBVPCDEQWKWCW
      KWAWBWKWFCWEDIZJZFKWAWJWMFWIWLWFWIWGVSRZBPWLWHWNBVSWGSTVSWLBWEFUAVQWECDUB
      UCUDUEUFWMVTFBWEVQNWFVRWLVSWEVQVPUGWEVQCDUBUHUIUDWKWIFKZWBWKWFFKWOWFWIFUJ
      UKVSBFULZUMUNWAWBWKVTWBWKRBWBWKBVSBUOWJBFWFWIBWFBUPWHBUQURUSUTVTWOWKWBVTW
      IWJFWIVTWJWIVTWFWHVTWFRBWHVRVSWFWHVSVRWFWHVSWGVRWFRVSWGVABFAVBVCVDVEVFVGV
      HVIWPVJVKVLVMVNVO $.
      $( [1-May-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x F $.  $d x A $.  $d x B $.
    $( The value of a restricted function. $)
    fvres $p |- ( A e. B -> ( ( F |` B ) ` A ) = ( F ` A ) ) $=
      ( vx wcel cres csn cima cv wceq cab cuni cfv crn wss snssi resabs1 rneq
      3syl df-ima 3eqtr4g eqeq1d abbidv unieqd df-fv ) ABEZCBFZAGZHZDIGZJZDKZLC
      UHHZUJJZDKZLAUGMACMUFULUOUFUKUNDUFUIUMUJUFUGUHFZNZCUHFZNZUIUMUFUHBOUPURJU
      QUSJABPCUHBQUPURRSUGUHTCUHTUAUBUCUDDAUGUEDACUEUA $.
      $( [16-Feb-2004] $) $( [2-Aug-1994] $)
  $}

  $( The value of a member of the domain of a subclass of a function. $)
  funssfv $p |- ( ( Fun F /\ G (_ F /\ A e. dom G ) ->
                ( F ` A ) = ( G ` A ) ) $=
    ( wfun wss cdm wcel cfv wceq wa cres fvres eqcomd funssres fveq1d
    sylan9eqr 3impa ) BDZCBEZACFZGZABHZACHZIUARSJZUBABTKZHZUCUAUFUBATBLMUDAUECB
    CNOPQ $.
    $( [29-May-2007] $) $( [15-Aug-1994] $)

  ${
    $d y z F $.  $d y z A $.
    tz6.12.1 $e |- A e. V $.
    $( Function value.  Theorem 6.12(1) of [TakeutiZaring] p. 27. $)
    tz6.12-1 $p |- ( ( A F y /\ E! y A F y ) -> ( F ` A ) = y ) $=
      ( vz cv wbr weu wa cfv wcel wi wex fv3 abeq2i exancom anbi1i ancom bitr
      eupick sylbi com12 adantr 19.8a anim1i anasss sylibr expcom impbid eqrdv
      ) BAFZCGZULAHZIZEBCJZUKUNEFZUOKZUPUKKZULUQURLUMUQULURUQURULIZAMZUMIZULURL
      ZVAEUOEABCDNOZVAUMULURIAMZIZVBVAVDUMIVEUTVDUMURULAPQVDUMRSULURATUAUAUBUCU
      RUNUQURUNIVAUQURULUMVAUSUTUMUSAUDUEUFVCUGUHUIUJ $.
      $( [1-May-2004] $) $( [30-Apr-2004] $)

    $( Function value.  Theorem 6.12(1) of [TakeutiZaring] p. 27. $)
    tz6.12 $p |- ( ( <. A , y >. e. F /\ E! y <. A , y >. e. F ) ->
                 ( F ` A ) = y ) $=
      ( cv wbr weu cfv wceq cop wcel tz6.12-1 df-br eubii syl2anbr ) BAEZCFZQAG
      BCHPIBPJCKZRAGABCDLBPCMZQRASNO $.
      $( [10-Jul-1994] $)
  $}

  ${
    $d x y z w $.  $d z w v F $.
    tz6.12f.1 $e |- ( w e. F -> A. y w e. F ) $.
    $( Function value, using bound-variable hypotheses instead of distinct
       variable conditions. $)
    tz6.12f $p |- ( ( <. x , y >. e. F /\ E! y <. x , y >. e. F ) ->
                 ( F ` x ) = y ) $=
      ( vz cv cop wcel weu wa cfv wceq wi ax-17 opeq2 eleq1d wb hbel cbveu a1i
      anbi12d eqeq2 imbi12d visset tz6.12 chvar ) AGZFGZHZDIZUKFJZKZUHDLZUIMZNU
      HBGZHZDIZURBJZKZUNUPMZNZFBVBFOUIUPMZUMUTUOVAVCUKURULUSVCUJUQDUIUPUHPQZULU
      SRVCUKURFBBCCUJDCGUJIBOESURFOVDTUAUBUIUPUNUCUDFUHDAUEUFUG $.
      $( [30-Aug-1999] $)
  $}

  ${
    $d x y z A $.  $d x y z F $.
    $( Function value when ` F ` is not a function.  Theorem 6.12(2) of
       [TakeutiZaring] p. 27. $)
    tz6.12-2 $p |- ( -. E! y A F y -> ( F ` A ) = (/) ) $=
      ( vx vz cvv wcel cv wbr weu wn cfv c0 wceq wi wss cab wal ax-17 eq0
      visset pm4.2d elab negbii albii bitr2 sylib sseq2d fveq2 breq1 eubidv
      abbidv sseq12d wa wex fv3 pm3.27 ss2abi eqsstr vtoclg syl5bi ss0 syl6com
      fvprc a1d pm2.61i ) BFGZBAHZCIZAJZKZBCLZMNZOVKVGVLMPZVMVKVLVJDQZPZVNVGVKV
      OMVLVKVKERZVOMNZVKESVREHZVOGZKZERVQEVOTWAVKEVTVJVJVJDVSEUAZDHZVSNVJUBUCUD
      UEUFUGUHVSCLZVSVHCIZAJZDQZPVPEBFVSBNZWDVLWGVOVSBCUIWHWFVJDWHWEVIAVSBVHCUJ
      UKULUMWDWCVHGWEUNAUOZWFUNZDQWGDAVSCWBUPWJWFDWIWFUQURUSUTVAVLVBVCVGKVMVKBC
      VDVEVF $.
      $( [1-May-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d y F $.  $d y A $.
    tz6.12c.1 $e |- A e. V $.
    $( Corollary of Theorem 6.12(1) of [TakeutiZaring] p. 27. $)
    tz6.12c $p |- ( E! y A F y -> ( ( F ` A ) = y <-> A F y ) ) $=
      ( cv wbr weu cfv wceq breq2 wex euex wi hbeu1 ax-17 hbim tz6.12-1 expcom
      biimprd syli com12 19.23ai mpcom syl5cbi impbid ) BAEZCFZAGZBCHZUFIZUGUJB
      UICFZUGUHUIUFBCJZUGAKUHUKUGALUGUHUKMAUHUKAUGANUKAOPUHUGUKUGUHUJUKUGUHUJAB
      CDQRZUJUKUGULSTUAUBUCUDUMUE $.
      $( [1-May-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.
    tz6.12i.1 $e |- A e. V $. $( (Note: hypothesis could be eliminated) $)
    $( Corollary of Theorem 6.12(2) of [TakeutiZaring] p. 27. $)
    tz6.12i $p |- ( B =/= (/) -> ( ( F ` A ) = B -> A F B ) ) $=
      ( vy cfv wceq c0 wne wbr cvv wcel wi fvex eleq1 mpbii cv eqeq2 neeq1
      breq2 imbi12d weu wb tz6.12-2 necon1ai tz6.12c syl biimpd syl6bir
      pm2.43a vtoclg mpcom com12 ) ACFZBGZBHIZABCJZBKLZUOUPUQMZUOUNKLURACNUNBKO
      PUNEQZGZUTHIZAUTCJZMZMUOUSMEBKUTBGZVAUOVDUSUTBUNRVEVBUPVCUQUTBHSUTBACTUAU
      AVBVAVCVAVBUNHIZVAVCMUNUTHSVFVAVCVFVCEUBZVAVCUCVGUNHEACUDUEEACDUFUGUHUIUJ
      UKULUM $.
      $( [6-Apr-2007] $) $( [30-Apr-2004] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d y z F $.  $d x y z $.
    $( Move class substitution in and out of a function value. $)
    csbfv12g $p |- ( A e. C ->
                 [_ A / x ]_ ( F ` B ) = ( [_ A / x ]_ F ` [_ A / x ]_ B ) ) $=
      ( vy vz wcel cv cfv csb ax-17 hbcsb1g hbfvd wceq wex a9e visset hbcsb1
      hbfv hbeq csbeq1a fveq1d fveq2d 3eqtr3d 19.23ai ax-mp a1i 3eqtrd csbiegf
      csbcog eqtrd ) BDHZFBAFIZCEJZKZKFBAUNCKZKZFBAUNEKZKZJZABUOKABCKZABEKZJZFG
      BUPVADUMFGURUTUMFLFGBUSDGIZBHFLZMFGBUQDVFMNUNBOZUPUQUSJZUQUTJVAUPVHOZVGAI
      UNOZAPVIAFQVJVIAAGGUPVHAGUNUOFRZVEUNHALZSAGUQUSAGUNEVKVLSAGUNCVKVLSTUAVJU
      OCUSJUPVHVJCEUSAUNEUBUCAUNUOUBVJCUQUSAUNCUBUDUEUFUGUHVGUQUSUTFBUSUBUCVGUQ
      URUTFBUQUBUDUIUJAFBUODUKUMVAURVCJVDUMURUTVCAFBEDUKUCUMURVBVCAFBCDUKUDULUE
      $.
      $( [3-Jan-2006] $) $( [11-Nov-2005] $)
  $}

  ${
    $d y A $.  $d y C $.  $d x y F $.
    $( Move class substitution in and out of a function value. $)
    csbfv2g $p |- ( A e. C -> [_ A / x ]_ ( F ` B ) =
                  ( F ` [_ A / x ]_ B ) ) $=
      ( vy wcel cfv csb csbfv12g cv ax-17 csbconstgf fveq1d eqtrd ) BDGZABCEHIA
      BCIZABEIZHQEHABCDEJPQREAFBEDFKEGALMNO $.
      $( [7-Jan-2006] $) $( [10-Nov-2005] $)

    $( Substitution for a function value. $)
    csbfvg $p |- ( A e. C -> [_ A / x ]_ ( F ` x ) = ( F ` A ) ) $=
      ( wcel cv cfv csb csbfv2g csbvarg fveq2d eqtrd ) BCEZABAFZDGHABNHZDGBDGAB
      NCDIMOBDABCJKL $.
      $( [9-Jan-2006] $) $( [1-Jan-2006] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    $( The value of a class outside its domain is the empty set. $)
    ndmfv $p |- ( -. A e. dom F -> ( F ` A ) = (/) ) $=
      ( vy vx cvv wcel cdm wn cfv c0 wceq wi cv wbr weu wex eleq1 breq1 exbidv
      visset eldm vtoclbg euex syl5bir con3d tz6.12-2 syl6 fvprc a1d pm2.61i )
      AEFZABGZFZHZABIJKZLUKUNACMZBNZCOZHUOUKURUMUKUMUQCPZURDMZULFUTUPBNZCPUMUSD
      AEUTAULQUTAKVAUQCUTAUPBRSCUTBDTUAUBUQCUCUDUECABUFUGUKHUOUNABUHUIUJ $.
      $( [24-Aug-1995] $)
  $}

  ${
    ndmfvrcl.1 $e |- dom F = S $.
    ndmfvrcl.2 $e |- -. (/) e. S $.
    $( Reverse closure law for function with the empty set not in its
       domain. $)
    ndmfvrcl $p |- ( ( F ` A ) e. S -> A e. S ) $=
      ( cfv wcel cdm wn c0 ndmfv eleq1d mtbiri a3i syl6eleq ) ACFZBGZACHZBARGZQ
      SIZQJBGETPJBACKLMNDO $.
      $( [26-Apr-1996] $)
  $}

  $( If a function value has a member, the argument belongs to the domain. $)
  elfvdm $p |- ( A e. ( F ` B ) -> B e. dom F ) $=
    ( cfv wcel c0 wne cdm ne0i ndmfv necon1ai syl ) ABCDZEMFGBCHEZMAINMFBCJKL
    $.
    $( [15-Feb-2007] $) $( [12-Feb-2007] $)

  $( A non-element of a restriction has empty value. $)
  nfvres $p |- ( -. A e. B -> ( ( F |` B ) ` A ) = (/) ) $=
    ( wcel wn cres cdm cfv c0 wceq cin wa dmres eleq2i elin bitr pm3.26bi
    con3i ndmfv syl ) ABDZEACBFZGZDZEAUBHIJUDUAUDUAACGZDZUDABUEKZDUAUFLUCUGACBM
    NABUEOPQRAUBST $.
    $( [13-Nov-1995] $)

  $( Equal values imply equal values in a restriction. $)
  fveqres $p |- ( ( F ` A ) = ( G ` A ) ->
                ( ( F |` B ) ` A ) = ( ( G |` B ) ` A ) ) $=
    ( wcel cfv wceq cres wi fvres eqeq12d biimprd wn c0 nfvres eqtr4d a1d
    pm2.61i ) ABEZACFZADFZGZACBHFZADBHFZGZISUEUBSUCTUDUAABCJABDJKLSMZUEUBUFUCNU
    DABCOABDOPQR $.
    $( [13-Nov-1995] $)

  ${
    $d x y A $.  $d x y F $.  $d x y B $.
    funbrfv.1 $e |- B e. V $.
    $( The second argument of a binary relation on a function is the function's
       value. $)
    funbrfv $p |- ( Fun F -> ( A F B -> ( F ` A ) = B ) ) $=
      ( vx vy wfun wbr cfv wceq cvv wcel wa wrel brrelex funrel sylan wi cv
      breq1 anbi2d fveq2 eqeq1d imbi12d breq2 eqeq2 weu visset tz6.12-1 funeu
      sylan2 anabss7 vtocl2g mpan2 mpcom ex ) CGZABCHZACIZBJZAKLZUQURMZUTCNURVA
      UQABCOCPQVABKLVBUTRZDUQESZFSZCHZMZVDCIZVEJZRUQAVECHZMZUSVEJZRVCEFABKKVDAJ
      ZVGVKVIVLVMVFVJUQVDAVECTUAVMVHUSVEVDACUBUCUDVEBJZVKVBVLUTVNVJURUQVEBACUEU
      AVEBUSUFUDUQVFVIVFVFFUGVIVGFVDCEUHUIEFCUJUKULUMUNUOUP $.
      $( [18-May-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y F $.  $d x y B $.

    funopfv.1 $e |- B e. V $.
    $( The second element in an ordered pair member of a function is the
       function's value. $)
    funopfv $p |- ( Fun F -> ( <. A , B >. e. F -> ( F ` A ) = B ) ) $=
      ( wfun wbr cfv wceq cop wcel funbrfv df-br syl5ibr ) CEABCFACGBHABICJABCD
      KABCLM $.
      $( [19-Jul-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( The second element in an ordered pair member of a function is the
       function's value. $)
    funopfvg $p |- ( ( B e. C /\ Fun F ) ->
                   ( <. A , B >. e. F -> ( F ` A ) = B ) ) $=
      ( vx wcel wfun cop cfv wceq wi cv opeq2 eleq1d eqeq2 imbi12d imbi2d
      visset funopfv vtoclg imp ) BCFDGZABHZDFZADIZBJZKZUBAELZHZDFZUEUHJZKZKUBU
      GKEBCUHBJZULUGUBUMUJUDUKUFUMUIUCDUHBAMNUHBUEOPQAUHDERSTUA $.
      $( [14-Sep-1999] $)
  $}


  ${
    $d x y F $.  $d x A $.  $d x y B $.  $d x C $.
    fnfvbr.1 $e |- C e. V $.
    $( Equivalence of function value and binary relation. $)
    fnbrfvb $p |- ( ( F Fn A /\ B e. A ) ->
                   ( ( F ` B ) = C <-> B F C ) ) $=
      ( vx vy wfn wcel wa cfv cv wceq wbr wb wi eqeq2 breq2 bibi12d imbi2d weu
      fneu breq1 eubidv fveq2 eqeq1d imbi12d visset tz6.12c vtoclg adantl mpd
      vtocl ) DAHZBAIZJZBDKZFLZMZBURDNZOZPUPUQCMZBCDNZOZPFCEURCMZVAVDUPVEUSVBUT
      VCURCUQQURCBDRSTUPUTFUAZVAFABDUBUOVFVAPZUNGLZURDNZFUAZVHDKZURMZVIOZPVGGBA
      VHBMZVJVFVMVAVNVIUTFVHBURDUCZUDVNVLUSVIUTVNVKUQURVHBDUEUFVOSUGFVHDGUHUIUJ
      UKULUM $.
      $( [24-Apr-2004] $) $( [19-Apr-2004] $)

    $( Equivalence of function value and ordered pair membership. $)
    fnopfvb $p |- ( ( F Fn A /\ B e. A ) ->
                   ( ( F ` B ) = C <-> <. B , C >. e. F ) ) $=
      ( wfn wcel wa cfv wceq wbr cop fnbrfvb df-br syl6bb ) DAFBAGHBDICJBCDKBCL
      DGABCDEMBCDNO $.
      $( [7-Nov-1995] $)
  $}

  ${
    funbrfvb.1 $e |- B e. V $.
    $( Equivalence of function value and binary relation. $)
    funbrfvb $p |- ( ( Fun F /\ A e. dom F ) ->
                   ( ( F ` A ) = B <-> A F B ) ) $=
      ( cdm wfn wcel cfv wceq wbr wb wfun fnbrfvb df-fn eqid mpbiran2 sylanbr
      ) CCEZFZARGACHBIABCJKCLZRABCDMSTRRICRNROPQ $.
      $( [27-Mar-2006] $) $( [26-Mar-2006] $)

    $( Equivalence of function value and ordered pair membership.  Theorem
       4.3(ii) of [Monk1] p. 42. $)
    funopfvb $p |- ( ( Fun F /\ A e. dom F ) ->
                   ( ( F ` A ) = B <-> <. A , B >. e. F ) ) $=
      ( wfun cdm wcel wa cfv wceq wbr cop funbrfvb df-br syl6bb ) CEACFGHACIBJA
      BCKABLCGABCDMABCNO $.
      $( [26-Jan-1997] $)
  $}

  ${
    $d x y z w A $.  $d x y B $.  $d x y z w F $.  $d x C $.
    $( Function value in terms of a binary relation. $)
    funbrfvbg $p |- ( ( Fun F /\ A e. dom F /\ B e. C ) ->
                   ( ( F ` A ) = B <-> A F B ) ) $=
      ( vx wcel wfun cdm cfv wceq wbr wb wa cv wi eqeq2 breq2 bibi12d imbi2d
      visset funbrfvb vtoclg 3impib 3coml ) BCFZDGZADHFZADIZBJZABDKZLZUEUFUGUKU
      FUGMZUHENZJZAUMDKZLZOULUKOEBCUMBJZUPUKULUQUNUIUOUJUMBUHPUMBADQRSAUMDETUAU
      BUCUD $.
      $( [10-Feb-2007] $) $( [20-Jan-2007] $)

    $( Representation of a function in terms of its values. $)
    fnopabfv $p |- ( F Fn A <->
                   F = { <. x , y >. | ( x e. A /\ y = ( F ` x ) ) } ) $=
      ( vz vw wfn cv wcel cfv wceq wa copab cop wb wal fnop ex pm4.71rd visset
      fnopfvb eqcom syl5bb pm5.32da bitr4d eleq1 fveq2 eqeq2d anbi12d eqeq1
      anbi2d opelopab syl6bbr 19.21aivv wrel fnrel relopab jctir eqrel syl
      mpbird fvex eqid fnopab2 fneq1 mpbiri impbi ) DCGZDAHZCIZBHZVIDJZKZLZABMZ
      KZVHVPEHZFHZNZDIZVSVOIZOZFPEPZVHWBEFVHVTVQCIZVRVQDJZKZLZWAVHVTWDVTLWGVHVT
      WDVHVTWDCVQVRDQRSVHWDWFVTVHWDLWEVRKVTWFCVQVRDFTZUAVRWEUBUCUDUEVNWDVKWEKZL
      WGABVQVRETWHVIVQKZVJWDVMWIVIVQCUFWJVLWEVKVIVQDUGUHUIVKVRKWIWFWDVKVRWEUJUK
      ULUMUNVHDUOZVOUOZLVPWCOVHWKWLCDUPVNABUQUREFDVOUSUTVAVPVHVOCGABCVLVOVIDVBV
      OVCVDCDVOVEVFVG $.
      $( [30-Jan-2004] $) $( [29-Jan-2004] $)

    $( The range of a function expressed as a collection of the function's
       values. $)
    fnrnfv $p |- ( F Fn A -> ran F = { y | E. x e. A y = ( F ` x ) } ) $=
      ( wfn cv cop wcel wex cab cfv wceq wrex crn wa cdm fndm eleq2d visset
      opeldm syl5bi pm4.71rd fnopfvb eqcom syl5rbbr pm5.32da bitrd exbidv
      df-rex syl6bbr abbidv dfrn3 syl5eq ) DCEZAFZBFZGDHZAIZBJUPUODKZLZACMZBJDN
      UNURVABUNURUOCHZUTOZAIVAUNUQVCAUNUQVBUQOVCUNUQVBUNUODPZHVBUQUNVDCUOCDQRUO
      UPDASTUAUBUNVBUQUTUNVBOUSUPLUQUTCUOUPDBSUCUSUPUDUEUFUGUHUTACUIUJUKABDULUM
      $.
      $( [22-Oct-2005] $) $( [20-Oct-2005] $)

    $( A member of a function's range is a value of the function. $)
    fvelrnb $p |- ( F Fn A -> ( B e. ran F <-> E. x e. A ( F ` x ) = B ) ) $=
      ( vy wfn crn wcel cv cfv wceq wrex cab fnrnfv eleq2d cvv wi fvex eleq1
      mpbii a1i r19.23aiv eqeq1 eqcom syl6bb rexbidv elab3 ) DBFZCDGZHCEIZAIZDJ
      ZKZABLZEMZHULCKZABLZUHUIUOCAEBDNOUNUQECUPCPHZABUPURQUKBHUPULPHURUKDRULCPS
      TUAUBUJCKZUMUPABUSUMCULKUPUJCULUCCULUDUEUFUGUE $.
      $( [31-Oct-1995] $)

    $( Alternate definition of the image of a function.  (Contributed by Raph
       Levien, 20-Nov-2006.) $)
    dfimafn $p |- ( ( Fun F /\ A (_ dom F ) ->
                  ( F " A ) = { y | E. x e. A ( F ` x ) = y } ) $=
      ( wfun cdm wss wa cv cfv wceq wrex cab wbr cima wcel wb ssel visset
      funbrfvb ex syl9r imp31 rexbidva abbidv dfima2 syl6reqr ) DEZCDFZGZHZAIZD
      JBIZKZACLZBMULUMDNZACLZBMDCOUKUOUQBUKUNUPACUHUJULCPZUNUPQZUJURULUIPZUHUSC
      UIULRUHUTUSULUMDBSTUAUBUCUDUEABDCUFUG $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)

    $( Alternate definition of the image of a function as an indexed union of
       singletons of function values.   (Contributed by Raph Levien,
       20-Nov-2006.) $)
    dfimafn2 $p |- ( ( Fun F /\ A (_ dom F ) ->
                   ( F " A ) = U_ x e. A { ( F ` x ) } ) $=
      ( vy wfun cdm wss wa cima cv cfv wceq cab ciun csn wrex dfimafn iunab
      syl6eqr wcel df-sn eqcom abbii eqtr a1i iuneq2i ) CEBCFGHZCBIZABAJZCKZDJZ
      LZDMZNZABUJOZNUGUHULABPDMUNADBCQULADBRSABUOUMUOUMLUIBTUOUKUJLZDMUMDUJUAUP
      ULDUKUJUBUCUDUEUFS $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)

    $( Membership relation for the values of a function whose image is a
       subclass.  (Contributed by Raph Levien, 20-Nov-2006.) $)
    funimass4 $p |- ( ( Fun F /\ A (_ dom F ) ->
                    ( ( F " A ) (_ B <-> A. x e. A ( F ` x ) e. B ) ) $=
      ( vy cdm wss wfun cima cv cfv wcel wral wb wa wi wal wceq wrex wbr ssel
      visset funbrfvb ex syl9 imp31 eqcom syl5bb rexbidva elima syl6rbbr
      imbi1d r19.23v syl6bbr albidv ralcom4 fvex eleq1 ceqsalv ralbii bitr3
      syl6bb dfss2 ancoms ) BDFZGZDHZDBIZCGZAJZDKZCLZABMZNVFVGOZEJZVHLZVOCLZPZE
      QZVMVIVNVSVOVKRZVQPZABMZEQZVMVNVRWBEVNVRVTABSZVQPWBVNVPWDVQVNWDVJVODTZABS
      VPVNVTWEABVNVJBLZOVKVORZWEVTVFVGWFWGWENZVFWFVJVELZVGWHBVEVJUAVGWIWHVJVODE
      UBZUCUDUEUFVOVKUGUHUIAVODBWJUJUKULVTVQABUMUNUOWCWAEQZABMVMWAAEBUPWKVLABVQ
      VLEVKVJDUQVOVKCURUSUTVAVBEVHCVCUHVD $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)

    $( Function value in an image.  Part of Theorem 4.4(iii) of [Monk1]
       p. 42. $)
    fvelima $p |- ( ( Fun F /\ A e. ( F " B ) ) ->
                  E. x  e. B ( F ` x ) = A ) $=
      ( vy wfun cima wcel cv cfv wceq wrex wi eleq1 eqeq2 rexbidv imbi12d
      imbi2d wbr visset funbrfv r19.22sdv elima syl5ib vtoclg pm2.43b imp ) DFZ
      BDCGZHZAIZDJZBKZACLZUHUJUNUHEIZUIHZULUOKZACLZMZMUHUJUNMZMEBUIUOBKZUSUTUHV
      AUPUJURUNUOBUINVAUQUMACUOBULOPQRUHUKUODSZACLURUPUHVBUQACUKUODETZUAUBAUODC
      VCUCUDUEUFUG $.
      $( [1-May-2004] $) $( [29-Apr-2004] $)

    $( Function value in an image. $)
    fvelimab $p |- ( ( F Fn A /\ B (_ A ) -> ( C e. ( F " B ) <->
                  E. x  e. B ( F ` x ) = C ) ) $=
      ( wfn wss wa cima wcel cv cfv wceq wrex cvv elisset anim2i wi fvex eleq1
      mpbii a1i r19.23aiv wbr wb elimag adantl wfun cdm funbrfvbg fnfun adantr
      ad2antrr ssel fndm eleq2d sylibrd imp adantlr simplr syl3anc rexbidva
      bitr4d pm5.21nd ) EBFZCBGZHZDECIZJZAKZELZDMZACNZVGDOJZHZVIVNVGDVHPQVMVNVG
      VLVNACVLVNRVJCJZVLVKOJVNVJESVKDOTUAUBUCQVOVIVJDEUDZACNZVMVNVIVRUEVGADECOU
      FUGVOVLVQACEUHZVJEUIZJZVNVLVQUEVOVPHVJDOEUJVGVSVNVPVEVSVFBEUKULUMVGVPWAVN
      VGVPWAVGVPVJBJZWAVFVPWBRVECBVJUNUGVEWAWBUEVFVEVTBVJBEUOUPULUQURUSVGVNVPUT
      VAVBVCVD $.
      $( [22-Feb-2007] $) $( [20-Jan-2007] $)

    $( The indexed intersection of a function's values is the intersection of
       its range. $)
    fniinfv $p |- ( F Fn A -> |^|_ x e. A ( F ` x ) = |^| ran F ) $=
      ( vy wfn crn cint cv cfv wceq wrex cab ciin fnrnfv inteqd fvex dfiin2
      syl6reqr ) CBEZCFZGDHAHZCIZJABKDLZGABUBMSTUCADBCNOADBUBUACPQR $.
      $( [9-Dec-2005] $) $( [20-Oct-2005] $)

    $( Singleton of function value. $)
    fnsnfv $p |- ( ( F Fn A /\ B e. A ) -> { ( F ` B ) } = ( F " { B } ) ) $=
      ( vy wfn wcel wa cv cfv wceq cab wbr csn cima visset fnbrfvb eqcom
      syl5bb abbidv df-sn a1i wrel fnrel relimasn syl adantr 3eqtr4d ) CAEZBAFZ
      GZDHZBCIZJZDKZBUKCLZDKZULMZCBMNZUJUMUODUJULUKJUOUMABUKCDOPUKULQRSUQUNJUJD
      ULTUAUHURUPJZUIUHCUBUSACUCDBCUDUEUFUG $.
      $( [22-May-1998] $)
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z F $.
    ssimaex.1 $e |- A e. V $.
    $( The existence of a subimage. $)
    ssimaex $p |- ( ( Fun F /\ B (_ ( F " A ) ) ->
                 E. x ( x (_ A /\ B = ( F " x ) ) ) $=
      ( vy vz vw wfun cdm cin cima wss cv wceq wa wex cfv wcel crab ssel2
      adantll wi wrex fvelima ex adantr eleq1a anim2d fveq2 eleq1d elrab
      syl6ibr pm3.27 a1i jcad r19.22dv2 adantl wb wfn funfn ssrab2 inss2 sstri
      fvelimab mpan2 sylbi sylibrd syld adantlr mpd eleq1 biimpcd r19.23aiv
      syl6 impbid eqrdv jctil inex1 rabex sseq1 imaeq2 eqeq2d anbi12d cla4ev
      syl inss1 sstr anim1i 19.22i cres dmres ax-mp imadmres eqtr3 sseq2i
      sylan2br ) DIZCDBDJZKZLZMZANZBMZCDXCLZOZPZAQZCDBLZMWRXBPZXCWTMZXFPZAQZXHX
      JFNZDRZCSZFWTTZWTMZCDXQLZOZPZXMXJXTXRXJGCXSXJGNZCSZYBXSSZXJYCYDXJYCPYBXAS
      ZYDXBYCYEWRCXAYBUAUBWRYCYEYDUCXBWRYCPZYEHNZDRZYBOZHWTUDZYDWRYEYJUCYCWRYEY
      JHYBWTDUEUFUGYFYJYIHXQUDZYDYCYJYKUCWRYCYIYIHWTXQYCYGWTSZYIPZYGXQSZYIYCYMY
      LYHCSZPZYNYCYIYOYLYBCYHUHUIXPYOFYGWTXNYGOXOYHCXNYGDUJUKULZUMYMYIUCYCYLYIU
      NUOUPUQURWRYDYKUSZYCWRDWSUTZYRDVAYSXQWSMYRXQWTWSXPFWTVBZBWSVCVDHWSXQYBDVE
      VFVGUGVHVIVJVKUFWRYDYCUCXBWRYDYKYCWRYDYKHYBXQDUEUFYIYCHXQYNYPYIYCUCZYQYOU
      UAYLYIYOYCYHYBCVLVMURVGVNVOUGVPVQYTVRXLYAAXQXPFWTBWSEVSVTXCXQOZXKXRXFXTXC
      XQWTWAUUBXEXSCXCXQDWBWCWDWEWFXLXGAXKXDXFXKWTBMXDBWSWGXCWTBWHVFWIWJWFXAXIC
      DDBWKJZLZXAXIUUCWTOUUDXAODBWLUUCWTDWBWMDBWNWOWPWQ $.
      $( [8-Apr-2007] $) $( [8-Apr-2007] $)
  $}

  ${
    $d A x y $.  $d B x y $.  $d F x y $.
    $( The existence of a subimage.  (Contributed by FL, 15-Apr-2007.) $)
    ssimaexg $p |- ( ( A e. C /\ Fun F /\ B (_ ( F " A ) ) ->
                 E. x ( x (_ A /\ B = ( F " x ) ) ) $=
      ( vy wcel wfun cima wss cv wceq wa wex wi imaeq2 sseq2d anbi2d sseq2
      anbi1d exbidv imbi12d visset ssimaex vtoclg 3impib ) BDGEHZCEBIZJZAKZBJZC
      EUJILZMZANZUGCEFKZIZJZMZUJUOJZULMZANZOUGUIMZUNOFBDUOBLZURVBVAUNVCUQUIUGVC
      UPUHCUOBEPQRVCUTUMAVCUSUKULUOBUJSTUAUBAUOCEFUCUDUEUF $.
      $( [17-May-2007] $) $( [10-Apr-2007] $)
  $}

  $( A simplified expression for the value of a function when we know it's
     a function. $)
  funfv $p |- ( Fun F -> ( F ` A ) = U. ( F " { A } ) ) $=
    ( wfun cdm wcel cfv csn cima cuni wceq wa wfn fnsnfv df-fn eqid mpbiran2
    sylanbr unieqd fvex unisn syl5eqr ex wn c0 ndmfv ndmima uni0 syl6eq eqtr4d
    pm2.61d1 ) BCZABDZEZABFZBAGHZIZJZUKUMUQUKUMKZUNGZIUPUNURUSUOBULLZUMUSUOJUKU
    LABMUTUKULULJBULNULOPQRUNABSTUAUBUMUCZUNUDUPABUEVAUPUDIUDVAUOUDABUFRUGUHUIU
    J $.
    $( [22-May-1998] $)

  ${
    $d y A $.  $d y F $.
    $( The value of a function.  Definition of function value in [Enderton]
       p. 43. $)
    funfv2 $p |- ( Fun F -> ( F ` A ) = U. { y | A F y } ) $=
      ( wfun cfv csn cima cuni cv wbr cab funfv wrel wceq funrel relimasn syl
      unieqd eqtrd ) CDZBCECBFGZHBAICJAKZHBCLTUAUBTCMUAUBNCOABCPQRS $.
      $( [11-May-2005] $) $( [22-May-1998] $)
  $}

  ${
    $d w z A $.  $d w z F $.  $d w y z $.
    funfv2f.1 $e |- ( z e. A -> A. y z e. A ) $.
    funfv2f.2 $e |- ( z e. F -> A. y z e. F ) $.
    $( The value of a function.  Version of ~ funfv2 using a bound-variable
       hypotheses instead of distinct variable conditions. $)
    funfv2f $p |- ( Fun F -> ( F ` A ) = U. { y | A F y } ) $=
      ( vw wfun cfv cv wbr cab cuni funfv2 wcel ax-17 hbbr breq2 cbvab unieqi
      syl6eq ) DHCDICGJZDKZGLZMCAJZDKZALZMGCDNUDUGUCUFGAABCUBDEFBJUBOAPQUFGPUBU
      ECDRSTUA $.
      $( [27-Feb-2006] $) $( [19-Feb-2006] $)
  $}

  ${
    $d y z A $.  $d y z F $.  $d y z G $.
    $( Domains of a function composition. $)
    dmfco $p |- ( ( Fun G /\ A e. dom G ) ->
               ( A e. dom ( F o. G ) <-> ( G ` A ) e. dom F ) ) $=
      ( vz vy wfun cdm wcel wa ccom cv cop wex cfv wb eldm2g cvv visset
      opelcog mpan2 exbidv bitrd adantl wceq funopfvb eqcom syl5bb anbi1d fvex
      opeq1 eleq1d ceqsexv syl5bbr eldm2 bitr4d ) CFZACGZHZIZABCJZGHZADKZLCHZVB
      EKZLZBHZIZDMZEMZACNZBGHZURVAVIOUPURVAAVDLUTHZEMVIEAUTUQPURVLVHEURVDQHVLVH
      OERDAVDBCUQQSTUAUBUCUSVJVDLZBHZEMVIVKUSVNVHEUSVBVJUDZVFIZDMVHVNUSVPVGDUSV
      OVCVFUSVJVBUDVCVOAVBCDRUEVBVJUFUGUHUAVFVNDVJACUIZVOVEVMBVBVJVDUJUKULUMUAE
      VJBVQUNUGUO $.
      $( [27-Jan-1997] $)

    $( Value of a function composition.  Similar to Exercise 5 of
       [TakeutiZaring] p. 28. $)
    fvco $p |- ( ( Fun F /\ Fun G /\ A e. dom G ) ->
               ( ( F o. G ) ` A ) = ( F ` ( G ` A ) ) ) $=
      ( vz wfun cdm wcel w3a ccom cfv wceq wa cop wi dmfco anbi2d cv wex wb
      cvv fvex opelcog mpan2 adantl visset funopfvb eqcom syl5bb anbi1d exbidv
      opeq1 eleq1d ceqsexv syl5bbr bitr4d eqid mpbii syl5bir sylbid exp4b
      com3r 3imp1 funco sylan 3adantl3 mpbird ex wn c0 ndmfv negbid syl6bi imp
      eqtr4d 3adant1 pm2.61d ) BEZCEZACFZGZHZABCIZFGZAWBJZACJZBJZKZWAWCWGWAWCLW
      GAWFMWBGZVQVRVTWCWHVRVTVQWCWHNVRVTVQWCWHVRVTLZVQWCLVQWEBFGZLZWHWIWCWJVQAB
      COZPWIWHWEWFMZBGZWKWIWHADQZMCGZWOWFMZBGZLZDRZWNVTWHWTSZVRVTWFTGXAWEBUAZDA
      WFBCVSTUBUCUDWIWOWEKZWRLZDRWTWNWIXDWSDWIXCWPWRWIWEWOKWPXCAWOCDUEUFWOWEUGU
      HUIUJWRWNDWEACUAXCWQWMBWOWEWFUKULUMUNUOWKWFWFKWNWFUPWEWFBXBUFUQURUSUTVAVB
      VQVRWCWGWHSZVTWBEWCXEVQVRLAWFWBXBUFBCVCVDVEVFVGVRVTWCVHZWGNVQWIXFWGWIXFLW
      DVIWFXFWDVIKWIAWBVJUDWIXFWFVIKZWIXFWJVHXGWIWCWJWLVKWEBVJVLVMVNVGVOVP $.
      $( [24-Apr-2006] $) $( [22-Apr-2006] $)
  $}

  $( Value of a function composition.  Similar to second part of Theorem 3H of
     [Enderton] p. 47. $)
  fvco2 $p |- ( ( Fun F /\ G Fn A /\ C e. A ) ->
             ( ( F o. G ) ` C ) = ( F ` ( G ` C ) ) ) $=
    ( wfun wfn wcel ccom cfv wceq wi cdm fvco 3exp com3l imp funfni ex com3r
    3imp ) CEZDAFZBAGZBCDHIBDICIJZUBUCUAUDUBUCUAUDKZUEABDDEZBDLGZUEUAUFUGUDUAUF
    UGUDBCDMNOPQRST $.
    $( [20-Aug-2006] $) $( [9-Oct-2004] $)

  $( Value of a function composition. $)
  fvco3 $p |- ( ( Fun F /\ G : A --> B /\ C e. A ) ->
             ( ( F o. G ) ` C ) = ( F ` ( G ` C ) ) ) $=
    ( wfun wfn wcel ccom cfv wceq wf fvco2 ffn syl3an2 ) DFEAGCAHCDEIJCEJDJKABE
    LACDEMABENO $.
    $( [21-Aug-2006] $) $( [3-Jan-2004] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ch $.
    fvopab3.1 $e |- B e. V $.
    fvopab3.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    fvopab3.3 $e |- ( y = B -> ( ps <-> ch ) ) $.
    fvopab3.4 $e |- ( x e. C -> E! y ph ) $.
    fvopab3.5 $e |- F = { <. x , y >. | ( x e. C /\ ph ) } $.
    $( Value of a function given by ordered-pair class abstraction. $)
    fvopab3 $p |- ( A e. C -> ( ( F ` A ) = B <-> ch ) ) $=
      ( wcel cop cv wa copab cfv wceq cvv wb eleq1 anbi12d anbi2d opelopabg
      mpan2 wfn fnopab fnopfvb mpan eleq2i syl6bb ibar 3bitr4d ) FHOZFGPZDQZHOZ
      ARZDESZOZUQCRZFITGUAZCUQGUBOVCVDUCJVAUQBRVDDEFGHUBUSFUAUTUQABUSFHUDKUEEQG
      UABCUQLUFUGUHUQVEURIOZVCIHUIUQVEVFUCADEHIMNUJHFGIJUKULIVBURNUMUNUQCUOUP
      $.
      $( [6-Mar-1996] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y ch $.
    fvopab3ig.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    fvopab3ig.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    fvopab3ig.3 $e |- ( x e. C -> E* y ph ) $.
    fvopab3ig.4 $e |- F = { <. x , y >. | ( x e. C /\ ph ) } $.
    $( Value of a function given by ordered-pair class abstraction. $)
    fvopab3ig $p |- ( ( A e. C /\ B e. D ) -> ( ch -> ( F ` A ) = B ) ) $=
      ( wcel wa cv copab cfv wceq cop wi eleq1 anbi12d anbi2d opelopabg
      biimpar exp43 pm2.43a imp wfun wmo funopab moanimv mpbir mpgbir funopfvg
      mpan2 adantl syld fveq1i eqeq1i syl6ibr ) FHOZGIOZPZCFDQZHOZAPZDERZSZGTZF
      JSZGTVFCFGUAVJOZVLVDVECVNUBZVEVDVOVDVEVDCVNVFVNVDCPZVIVDBPVPDEFGHIVGFTVHV
      DABVGFHUCKUDEQGTBCVDLUEUFUGUHUIUJVEVNVLUBZVDVEVJUKZVQVRVIEULZDVIDEUMVSVHA
      EULUBMVHAEUNUOUPFGIVJUQURUSUTVMVKGFJVJNVAVBVC $.
      $( [23-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.
    fvopab4g.1 $e |- ( x = A -> B = C ) $.
    fvopab4g.2 $e |- F = { <. x , y >. | ( x e. D /\ y = B ) } $.
    $( Value of a function given by ordered-pair class abstraction. $)
    fvopab4g $p |- ( ( A e. D /\ C e. R ) -> ( F ` A ) = C ) $=
      ( wcel wa wceq cfv eqid cv eqeq2d eqeq1 wmo moeq a1i fvopab3ig mpi ) CFKE
      GKLEEMZCHNEMEOBPZDMZUEEMUDABCEFGHAPZCMDEUEIQUEEERUFBSUGFKBDTUAJUBUC $.
      $( [23-Oct-1999] $)

    ${
      fvopab4.3 $e |- C e. V $.
      $( Value of a function given by ordered-pair class abstraction. $)
      fvopab4 $p |- ( A e. D -> ( F ` A ) = C ) $=
        ( wcel cvv cfv wceq fvopab4g mpan2 ) CFKELKCGMENJABCDEFLGHIOP $.
        $( [23-Oct-1999] $)
    $}
  $}

  ${
    $d v w z A $.  $d u v w y B $.  $d z w v C $.  $d v w x y D $.  $d u x z $.
    fvopab4gf.1 $e |- ( z e. A -> A. x z e. A ) $.
    fvopab4gf.2 $e |- ( z e. C -> A. x z e. C ) $.
    fvopab4gf.3 $e |- ( x = A -> B = C ) $.
    fvopab4gf.4 $e |- F = { <. x , y >. | ( x e. D /\ y = B ) } $.
    $( Value of a function given by an ordered-pair class abstraction.  This
       version of ~ fvopab4g uses bound-variable hypotheses instead of distinct
       variable conditions. $)
    fvopab4gf $p |- ( ( A e. D /\ C e. R ) -> ( F ` A ) = C ) $=
      ( vw vv wcel wa cv csb wceq copab cfv wex ax-17 visset eqvincf hbcsb1
      hbeq csbeq1a sylan9req 19.23ai sylbi eqid fvopab4g fveq1i hbeleq hban wb
      eleq1 adantr id eqeqan12rd anbi12d cbvopab eqtr syl5eq ) DGPFHPQDNRZGPZOR
      ZAVGESZTZQZNOUAZUBZFDIUBZNODVJFGHVMVGDTARZVGTZVPDTZQZAUCVJFTZACVGDCRVGPAU
      DJNUEZUFVSVTAAOCVJFAOVGEWAVIVGPAUDUGZKUHVQVRVJEFAVGEUIZLUJUKULVMUMUNVODVP
      GPZBRZETZQZABUAZUBVNDIWHMUODWHVMWGVLABNOWGNUDWGOUDVHVKAVHAUDAOVJWBUPUQVLB
      UDVQWEVITZQWDVHWFVKVQWDVHURWIVPVGGUSUTWIVQWEVIEVJWIVAWCVBVCVDUOVEVF $.
      $( [1-Jan-2006] $) $( [8-Nov-2005] $)
  $}

  ${
    $d z A $.  $d y B $.  $d z B $.  $d x y C $.  $d x z $.
    fvopab4sf.1 $e |- A e. V $.
    fvopab4sf.2 $e |- B e. V $.
    fvopab4sf.3 $e |- ( z e. A -> A. x z e. A ) $.
    fvopab4sf.4 $e |- F = { <. x , y >. | ( x e. C /\ y = B ) } $.
    $( Value of a function given by ordered-pair class abstraction, using
       explicit class substitution. $)
    fvopab4sf $p |- ( A e. C -> ( F ` A ) = [_ A / x ]_ B ) $=
      ( wcel csb cvv cfv wceq csbex hbcsb1 csbeq1a fvopab4gf mpan2 ) DFLADEMZNL
      DGOUBPADEHIQABCDEUBFNGJACDEHJRADESKTUA $.
      $( [10-Apr-2006] $) $( [26-Mar-2006] $)
  $}

  ${
    $d x z A $.  $d y z B $.  $d x y C $.
    fvopab4s.1 $e |- A e. V $.
    fvopab4s.2 $e |- B e. V $.
    fvopab4s.3 $e |- F = { <. x , y >. | ( x e. C /\ y = B ) } $.
    $( Value of a function given by ordered-pair class abstraction, using
       explicit class substitution. $)
    fvopab4s $p |- ( A e. C -> ( F ` A ) = [_ A / x ]_ B ) $=
      ( vz cv wcel ax-17 fvopab4sf ) ABJCDEFGHJKCLAMIN $.
      $( [18-Apr-2006] $) $( [26-Mar-2006] $)
  $}

  ${
    $d x y A $.
    fvopab4ndm.1 $e |- F = { <. x , y >. | ( x e. A /\ ph ) } $.
    $( Value of a function given by an ordered-pair class abstraction, outside
       of its domain. $)
    fvopab4ndm $p |- ( -. B e. A -> ( F ` B ) = (/) ) $=
      ( wcel wn cdm cfv c0 wceq cv wa copab dmeqi dmopabss eqsstr sseli con3i
      ndmfv syl ) EDHZIEFJZHZIEFKLMUFUDUEDEUEBNDHAOBCPZJDFUGGQABCDRSTUAEFUBUC
      $.
      $( [8-Apr-2008] $) $( [28-Mar-2008] $)
  $}

  ${
    $d x y z w A $.  $d y z w B $.  $d x y z w C $.
    fvopabg.1 $e |- ( x = A -> B = C ) $.
    $( The value of a function given by ordered-pair class abstraction. $)
    fvopabg $p |- ( ( A e. D /\ C e. R ) ->
                    ( { <. x , y >. | y = B } ` A ) = C ) $=
      ( cvv wcel cv wceq copab cfv wa visset biantrur opabbii fvopab4g elisset
      sylan ) CIJEGJCBKDLZABMZNELCFJABCDEIGUCHUBAKIJZUBOABUDUBAPQRSCFTUA $.
      $( [2-Sep-2003] $)
  $}

  ${
    $d x y z w A $.  $d z w B $.  $d x y z w C $.
    fvopabn.1 $e |- ( x = A -> B = C ) $.
    $( This somewhat non-intuitive theorem tells us the value of its function
       is the empty set when the class ` C ` it would otherwise map to is a
       proper class.  This is a technical lemma that can help eliminate
       redundant sethood antecedents otherwise required by ~ fvopabg . $)
    fvopabn $p |- ( -. C e. V -> ( { <. x , y >. | y = B } ` A ) = (/) ) $=
      ( vz vw cvv wcel wn cv wceq copab cfv c0 wi wa cuni csn cima cab wex wne
      visset snnz df-ne mpbi cop opeq1 eleq1d ceqsexgv elsn anbi1i exbii
      syl5bb wb eqeq2d eqeq1 opelopabg mpan2 bitrd abbidv eleq1 mpbii 19.23aiv
      con3i abn0 necon1bbii sylib sylan9eq dfima3 syl5eq eqeq1d eqcom syl6bb
      mtbiri nexdv unieqd df-fv uni0 syl6eq ex fvprc a1d pm2.61i ) CIJZEIJZKZCB
      LZDMZABNZOZPMZQWGWIWNWGWIRZWMPSZPWOWLCTZUAZGLZTZMZGUBZSWPWMWOXBPWOXAGUCZK
      XBPMWOXAGWOXAWTPMZWTPUDXDKWSGUEUFWTPUGUHWOXAPWTMXDWOWRPWTWOWSWQJZWSHLZUIZ
      WLJZRZGUCZHUBZPWRWGWIXKXFEMZHUBZPWGXJXLHWGXJCXFUIZWLJZXLWGWSCMZXHRZGUCXOX
      JXHXOGCIXPXGXNWLWSCXFUJUKULXIXQGXEXPXHGCUMUNUOUPWGXFIJZXOXLUQHUEZWKWJEMXL
      ABCXFIIALCMDEWJFURWJXFEUSUTVAVBVCWIXLHUCZKXMPMXTWHXLWHHXLXRWHXSXFEIVDVEVF
      VGXTXMPXLHVHVIVJVKGHWLWQVLVMVNPWTVOVPVQVRXCXBPXAGVHVIVJVSGCWLVTVMWAWBWCWG
      KWNWICWLWDWEWF $.
      $( [7-Nov-2003] $) $( [21-Oct-2003] $)
  $}

  ${
    $d z w v A $.  $d y w v u B $.  $d z w v C $.  $d x y w v $.
    $d x u $.  $d x z $.
    fvopabgf.1 $e |- ( z e. A -> A. x z e. A ) $.
    fvopabgf.2 $e |- ( z e. C -> A. x z e. C ) $.
    fvopabgf.3 $e |- ( x = A -> B = C ) $.
    $( The value of a function given by ordered-pair class abstraction. $)
    fvopabgf $p |- ( ( A e. D /\ C e. R ) ->
                    ( { <. x , y >. | y = B } ` A ) = C ) $=
      ( vv vu vw wcel wa cv wsbc cab wceq copab cfv wex ax-17 visset eqvincf
      hbs1 hbab hbeq sbab sylan9req 19.23ai sylbi fvopabg hbeleq id eqeqan12rd
      cbvopab fveq1i syl5eq ) DGOFHOPDLQZMQEOZANQZRZMSZTZNLUAZUBFDBQZETZABUAZUB
      NLDVEFGHVCDTAQZVCTZVKDTZPZAUCVEFTZACVCDCQVCOAUDINUEUFVNVOAALCVEFVDAMLVBAN
      UGUHZJUIVLVMVEEFANMEUJZKUKULUMUNDVJVGVIVFABNLVINUDVILUDALVEVPUOVFBUDVHVAT
      ZVLVHVAEVEVRUPVQUQURUSUT $.
      $( [28-Oct-2003] $) $( [21-Oct-2003] $)

    $( The value of a function given by an ordered-pair class abstraction is
       the empty set when the class it would otherwise map to is a proper
       class.  This version of ~ fvopabn uses bound-variable hypotheses instead
       of distinct variable conditions. $)
    fvopabnf $p |- ( -. C e. V -> ( { <. x , y >. | y = B } ` A ) = (/) ) $=
      ( vv vu vw cvv wcel wn cv wsbc cab wceq copab cfv c0 wa wex ax-17 visset
      eqvincf hbs1 hbab hbeq sbab sylan9req 19.23ai sylbi fvopabn hbeleq id
      eqeqan12rd cbvopab fveq1i syl5eq ) FMNODJPZKPENZALPZQZKRZSZLJTZUAUBDBPZES
      ZABTZUALJDVFFVDDSAPZVDSZVLDSZUCZAUDVFFSZACVDDCPVDNAUEGLUFUGVOVPAAJCVFFVEA
      KJVCALUHUIZHUJVMVNVFEFALKEUKZIULUMUNUODVKVHVJVGABLJVJLUEVJJUEAJVFVQUPVGBU
      EVIVBSZVMVIVBEVFVSUQVRURUSUTVA $.
      $( [7-Nov-2003] $) $( [21-Oct-2003] $)
  $}

  ${
    $d z A $.  $d y B $.  $d z C $.  $d x y $.
    $d x u $.  $d x z $.
    fvopabf.1 $e |- ( z e. A -> A. x z e. A ) $.
    fvopabf.2 $e |- ( z e. C -> A. x z e. C ) $.
    fvopabf.3 $e |- A e. V $.
    fvopabf.4 $e |- C e. V $.
    fvopabf.5 $e |- ( x = A -> B = C ) $.
    $( The value of a function given by ordered-pair class abstraction. $)
    fvopabf $p |- ( { <. x , y >. | y = B } ` A ) = C $=
      ( cvv wcel cv wceq copab cfv fvopabgf mp2an ) DLMFLMDBNEOABPQFOIJABCDEFLL
      GHKRS $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d x z A $.  $d y B $.  $d x z C $.  $d x y z $.
    fvopab.1 $e |- A e. V $.
    fvopab.2 $e |- C e. V $.
    fvopab.3 $e |- ( x = A -> B = C ) $.
    $( The value of a function given by an ordered-pair class abstraction. $)
    fvopab $p |- ( { <. x , y >. | y = B } ` A ) = C $=
      ( vz cv wcel ax-17 fvopabf ) ABICDEIJZCKALNEKALFGHM $.
      $( [17-Apr-1995] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d x y z $.
    $( Value of a function given by an ordered-pair class abstraction. $)
    fvopab2 $p |- ( ( x e. A /\ B e. C ) ->
                   ( { <. x , y >. | ( x e. A /\ y = B ) } ` x ) = B ) $=
      ( vz wcel cv wceq wa copab cfv wex wi elex ax-17 hbopab2 hbfv hbeq hbim
      cvv visset eleq1 mpbii cop weu tz6.12f opabid sylanbr euanv eubii eueq
      anbi2i 3bitr4r sylan2b exp43 pm2.43a mpdi com12 eqeq2 sylibd 19.23ai syl
      impcom ) DEGZAHZCGZVFVGBHZDIZJZABKZLZDIZVEVIBMVGVMNZBDEOVIVNBVGVMBVGBPBFF
      VLDBFVFVKVJABFQZFHZVFGBPRVPDGBPSTVIVGVLVHIZVMVGVIVQVGVIDUAGZVQVIVHUAGVRBU
      BVHDUAUCUDVIVGVRVQNVGVIVGVRVQVJVFVHUEVKGZBUFZVQVGVRJZVSVTVQVJABFVKVOUGVJA
      BUHZUIVJBUFVGVIBUFZJVTWAVGVIBUJVSVJBWBUKVRWCVGBDULUMUNUOUPUQURUSVHDVLUTVA
      VBVCVD $.
      $( [2-Feb-2004] $) $( [30-Aug-1999] $)
  $}

  ${
    $d x z A $.  $d y z B $.  $d x y $.
    fvopabs.1 $e |- A e. V $.
    fvopabs.2 $e |- B e. V $.
    $( The value of a function given by an ordered-pair class abstraction,
       using class substitution. $)
    fvopabs $p |- ( { <. x , y >. | y = B } ` A ) = [_ A / x ]_ B $=
      ( vz csb cv wcel ax-17 hbcsb1 csbex csbeq1a fvopabf ) ABGCDACDHGICJAKZAGC
      DEPLEACDEFMACDNO $.
      $( [27-Apr-2006] $) $( [25-Mar-2006] $)
  $}

  ${
    $d x y z A $.  $d z F $.  $d z ph $.  $d x ps $.
    fvopab5.1 $e |- F = { <. x , y >. | ph } $.
    fvopab5.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    $( The value of a function that is expressed as an ordered pair
       abstraction. $)
    fvopab5 $p |- ( ( Fun F /\ A e. B ) -> ( F ` A ) = U. { y | ps } ) $=
      ( vz wfun wcel cfv cv wbr cab cuni ax-17 copab hbopab2 hbxfr funfv2f
      wceq wex elex cop wb hbopab1 hbel hbbi opeq1 eleq1d opabid syl5bb bitr3d
      19.23ai df-br eleq2i bitr abbidv syl unieqd sylan9eq ) GKEFLZEGMEDNZGOZDP
      ZQBDPZQDJEGJNZELDRDJGACDSZHACDJTUAUBVDVGVHVDCNZEUCZCUDZVGVHUCCEFUEVMVFBDV
      MEVEUFZVJLZBVFVLVOBUGCVOBCCJJVNVJVIVNLCRACDJUHUIBCRUJVLVKVEUFZVJLZVOBVLVP
      VNVJVKEVEUKULVLABVQIACDUMUNUOUPVFVNGLVOEVEGUQGVJVNHURUSUNUTVAVBVC $.
      $( [3-Mar-2006] $) $( [19-Feb-2006] $)
  $}

  ${
    fvsn.1 $e |- A e. V $.
    fvsn.2 $e |- B e. V $.
    $( The value of a singleton of an ordered pair is the second member. $)
    fvsn $p |- ( { <. A , B >. } ` A ) = B $=
      ( cop csn wfun wcel cfv wceq funsn opex snid funopfv mp2 ) ABEZFZGPQHAQIB
      JABCDKPABLMABQDNO $.
      $( [12-Aug-1994] $)
  $}

  ${
    fvsnun.1 $e |- A e. V $.
    fvsnun.2 $e |- B e. V $.
    fvsnun.3 $e |- G = ( { <. A , B >. } u. ( F |` ( C \ { A } ) ) ) $.
    $( The value of a function with one of its ordered pairs replaced, at the
       replaced ordered pair.  See also ~ fvsnun2 . $)
    fvsnun1 $p |- ( G ` A ) = B $=
      ( csn cres cfv wcel wceq snid fvres ax-mp cop cdif cun reseq1 resundir
      c0 cin incom difdisj eqtr resdisj uneq2i un0 3eqtr fveq1i fvsn eqtr3 ) AE
      AIZJZKZAEKZBAUNLZUPUQMAFNZAUNEOPUPAABQIZUNJZKZAUTKZBAUOVAUOUTDCUNRZJZSZUN
      JZVAVEUNJZSZVAEVFMUOVGMHEVFUNTPUTVEUNUAVIVAUBSVAVHUBVAVDUNUCZUBMVHUBMVJUN
      VDUCUBVDUNUDUNCUEUFVDUNDUGPUHVAUIUFUJUKURVBVCMUSAUNUTOPABFGULUJUM $.
      $( [24-Sep-2007] $) $( [23-Sep-2007] $)

    $( The value of a function with one of its ordered pairs replaced, at
       arguments other than the replaced one.  See also ~ fvsnun1 . $)
    fvsnun2 $p |- ( D e. ( C \ { A } ) -> ( G ` D ) = ( F ` D ) ) $=
      ( csn cdif wcel cres cfv fvres cop cun wceq reseq1 ax-mp resundir c0 cin
      difdisj wfn wb wf1o f1osn f1ofn fnresdisj mpbi residm uneq12i uncom un0
      3eqtr fveq1i syl5eq eqtr3d ) DCAJZKZLZDFVAMZNZDFNDENZDVAFOVBDEVAMZNVEVDDV
      AEODVCVFVCABPJZVFQZVAMZVGVAMZVFVAMZQZVFFVHRVCVIRIFVHVASTVGVFVAUAVLUBVFQVF
      UBQVFVJUBVKVFUTVAUCUBRZVJUBRZUTCUDVGUTUEZVMVNUFUTBJZVGUGVOABGHUHUTVPVGUIT
      UTVAVGUJTUKEVAULUMUBVFUNVFUOUPUPUQURUS $.
      $( [24-Sep-2007] $) $( [23-Sep-2007] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y F $.  $d x y G $.
    $( Equality of functions is determined by their values.  Exercise 4 of
       [TakeutiZaring] p. 28. $)
    eqfnfv $p |- ( ( F Fn A /\ G Fn B ) -> ( F = G <->
                 ( A = B /\ A. x e. A ( F ` x ) = ( G ` x ) ) ) ) $=
      ( vy wfn wa wceq cv cfv wral cdm wi eqeq12 dmeq syl5bi fndm syl2an wcel
      fveq1 a1d r19.21aiv a1i jcad cop wb wal visset fnopfvb adantlr adantll
      bibi12d eqeq1 ex a2d com3r wn eleq2d opeldm con3d anim12ii pm5.21
      syl6com pm2.61i 19.21adv 19.20dv df-ral syl5ib wrel eqrel fnrel sylibrd
      fneq2 biimparc sylan2 exp32 imp4b impbid ) DBGZECGZHZDEIZBCIZAJZDKZWEEKZI
      ZABLZHWBWCWDWIDMZBIZEMZCIZWCWDNVTWAWKWMHWJWLIWDWCWJBWLCODEPQBDRZCERSWCWIN
      WBWCWHABWCWHWEBTZWEDEUAUBUCUDUEVTWAWDWIWCVTWAWDWIWCNZVTEBGZWPWAWDHVTWQHZW
      IWEFJZUFZDTZWTETZUGZFUHZAUHZWCWRWOWHNZAUHXEWIWRXFXDAWRXFXCFWOWRXFXCNZNWRX
      FWOXCWRWOWHXCWRWOWHXCNWRWOHZWFWSIZWGWSIZUGXCWHXHXIXAXJXBVTWOXIXAUGWQBWEWS
      DFUIZUJUKWQWOXJXBUGVTBWEWSEXKUJULUMWFWGWSUNQUOUPUQWRWOURZXAURZXBURZHZXGVT
      XLXMWQXNVTXAWOVTWEWJTWOXAVTWJBWEWNUSWEWSDAUIZUTQVAWQXBWOWQWEWLTWOXBWQWLBW
      EBERUSWEWSEXPUTQVAVBXOXCXFXAXBVCUBVDVEVFVGWHABVHVIDVJEVJWCXEUGVTWQAFDEVKB
      DVLBEVLSVMWDWQWABCEVNVOVPVQVRVS $.
      $( [5-Feb-2004] $) $( [3-Aug-1994] $)
  $}

  ${
    $d x z A $.  $d z B $.  $d y z F $.  $d y z G $.  $d x y $.
    eqfnfvf.1 $e |- ( y e. F -> A. x y e. F ) $.
    eqfnfvf.2 $e |- ( y e. G -> A. x y e. G ) $.
    $( Equality of functions is determined by their values.  Exercise 4 of
       [TakeutiZaring] p. 28.  This version of ~ eqfnfv uses bound-variable
       hypotheses instead of distinct variable conditions. $)
    eqfnfvf $p |- ( ( F Fn A /\ G Fn B ) -> ( F = G <->
                 ( A = B /\ A. x e. A ( F ` x ) = ( G ` x ) ) ) ) $=
      ( vz wfn wa wceq cv cfv wral eqfnfv wcel ax-17 hbfv hbeq fveq2 eqeq12d
      cbvral anbi2i syl6bb ) ECJFDJKEFLCDLZIMZENZUGFNZLZICOZKUFAMZENZULFNZLZACO
      ZKICDEFPUKUPUFUJUOIACABBUHUIABUGEGBMUGQARZSABUGFHUQSTUOIRUGULLUHUMUIUNUGU
      LEUAUGULFUAUBUCUDUE $.
      $( [19-May-2004] $) $( [29-Jan-2004] $)
  $}

  ${
    $d x B $.  $d x F $.  $d x G $.
    $( Equality of restricted functions is determined by their values. $)
    fvreseq $p |- ( ( ( F Fn A /\ G Fn A ) /\ B (_ A ) ->
         ( ( F |` B ) = ( G |` B ) <-> A. x e. B ( F ` x ) = ( G ` x ) ) ) $=
      ( wfn wa wss cres wceq cv cfv wral wb fnssres anim12i anandirs eqfnfv
      wcel fvres eqeq12d ralbiia eqid biantrur bitr3 syl6bbr syl ) DBFZEBFZGCBH
      ZGDCIZCFZECIZCFZGZUKUMJZAKZDLZUQELZJZACMZNUHUIUJUOUHUJGULUIUJGUNBCDOBCEOP
      QUOUPCCJZUQUKLZUQUMLZJZACMZGZVAACCUKUMRVAVFVGVEUTACUQCSVCURVDUSUQCDTUQCET
      UAUBVBVFCUCUDUEUFUG $.
      $( [6-Feb-2004] $) $( [3-Aug-1994] $)
  $}

  ${
    $d x y z A $.  $d y B $.  $d z F $.  $d w x z C $.  $d w F $.
    elrnopabg.1 $e |- F = { <. x , y >. | ( x e. A
             /\ y = B ) } $.
    $( Membership in the range of an ordered pair class abstraction. $)
    elrnopabg $p |- ( A. x e. A B e. D ->
                    ( C e. ran F <-> E. x e. A C = B ) ) $=
      ( vz vw wcel wral cvv crn wceq wrex wb elisset r19.20si wfn cv weu eueq
      biimp fnopabg sylib cfv fvelrnb hbra1 wa ra4 ancld imp copab fvopab2
      fveq1i syl5eq eqeq1d eqcom syl6bb syl rexbida hbopab1 hbxfr ax-17 hbfv
      hbeq fveq2 cbvrex syl5bb sylan9bbr mpdan ) DFKZACLDMKZACLZEGNKZEDOZACPZQZ
      VMVNACDFRSVOGCTZVSVOBUADOZBUBZACLVTVNWBACVNWBBDUCUDSWAABCGHUEUFVTVPIUAZGU
      GZEOZICPZVOVRICEGUHVOAUAZGUGZEOZACPVRWFVOWIVQACVNACUIVOWGCKZUJWJVNUJZWIVQ
      QVOWJWKVOWJVNVNACUKULUMWKWIDEOVQWKWHDEWKWGWJWAUJZABUNZUGDWHABCDMUOWGGWMHU
      PUQURDEUSUTVAVBWEWIIACAJJWDEAJWCGAJGWMHWLABJVCVDJUAZWCKAVEVFWNEKAVEVGWIIV
      EWCWGOWDWHEWCWGGVHURVIVJVKVLVA $.
      $( [30-Aug-2007] $) $( [27-Aug-2007] $)
  $}

  ${
    $d x y z A $.  $d y B $.  $d z F $.  $d w x z C $.  $d w F $.
    elrnopab.1 $e |- B e. V $.
    elrnopab.2 $e |- F = { <. x , y >. | ( x e. A
             /\ y = B ) } $.
    $( Membership in the range of an ordered pair class abstraction. $)
    elrnopab $p |- ( C e. ran F <-> E. x e. A C = B ) $=
      ( cvv wcel crn wceq wrex wb elrnopabg cv a1i mprg ) DIJZEFKJEDLACMNACABCD
      EIFHOSAPCJGQR $.
      $( [20-Sep-2004] $) $( [30-Aug-2004] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    $( The range of a choice function (a function that chooses an element from
       each member of its domain) is included in the union of its domain. $)
    chfnrn $p |- ( ( F Fn A /\ A. x e. A ( F ` x ) e. x ) -> ran F (_ U. A ) $=
      ( vy wfn cv cfv wcel wral wa crn cuni wrex wceq fvelrnb biimpd hbra1 wi
      ra4 eleq1 biimpcd syl6 r19.22d sylan9 eluni2 syl6ibr ssrdv ) CBEZAFZCGZUI
      HZABIZJZDCKZBLZUMDFZUNHZUPUIHZABMZUPUOHUHUQUJUPNZABMZULUSUHUQVAABUPCOPULU
      TURABUKABQULUIBHUKUTURRUKABSUTUKURUJUPUITUAUBUCUDAUPBUEUFUG $.
      $( [31-Aug-1999] $)
  $}

  ${
    $d x F $.  $d x A $.
    $( Ordered pair with function value.  Part of Theorem 4.3(i) of [Monk1]
       p. 41. $)
    funfvop $p |- ( ( Fun F /\ A e. dom F ) -> <. A , ( F ` A ) >. e. F ) $=
      ( vx wfun cdm wcel wa cv cfv wceq wex cop fvex isseti wi visset funopfvb
      opeq2 eleq1d biimprcd syl6bi pm2.43d eqcom syl5ib 19.23adv mpi ) BDABEFGZ
      CHZABIZJZCKAUILZBFZCUIABMNUGUJULCUGUIUHJZULUJUGUMULUGUMAUHLZBFZUMULOAUHBC
      PQUMULUOUMUKUNBUIUHARSTUAUBUHUIUCUDUEUF $.
      $( [14-Oct-1996] $)
  $}

  $( A member of a preimage is a function value argument. $)
  fvimacnvi $p |- ( ( Fun F /\ A e. ( `' F " B ) ) -> ( F ` A ) e. B ) $=
    ( wfun ccnv cima wcel wa cfv csn wss funimass2 snssi sylan2 cdm wceq wfn
    fnsnfv funfn sylanb cnvimass sseli sseq1d fvex snss syl5bb mpbird ) CDZACEB
    FZGZHZACIZBGZCAJZFZBKZUHUNUIKUPUJUNBCLAUIMNUKULJZBKUPUMUKUQUOBUHACOZGZUQUOP
    ZUJCURQUSUTUHURACRCSTUIURACBUAUBNUCULBACUDUEUFUG $.
    $( [5-May-2007] $) $( [4-May-2007] $)

  $( The argument of a function value belongs to the pre-image of any class
     containing the function value.  (Contributed by Raph Levien, 20-Nov-2006.
     He remarks: "This proof is unsatisfying, because it seems to me that
     ~ funimass2 could probably be strengthened to a biconditional.") $)
  fvimacnv $p |- ( ( Fun F /\ A e. dom F ) ->
                 ( ( F ` A ) e. B <-> A e. ( `' F " B ) ) ) $=
    ( wfun cdm wcel wa cfv ccnv cima csn wss fvex snss imass2 sylbi sseld cop
    funfvop wb cvv opelcnvg mpan adantl mpbird elimasng syl5com wi fvimacnvi
    ex adantr impbid ) CDZACEZFZGZACHZBFZACIZBJZFZURAUSUQKZJZFZVAUPURVCUTAURVBB
    LVCUTLUQBACMZNVBBUSOPQUPVDUQARUSFZUPVFAUQRCFZACSUOVFVGTZUMUQUAFZUOVHVEUQAUA
    UNCUBUCUDUEUOVDVFTZUMVIUOVJVEUSUQAUAUNUFUCUDUEUGUMVAURUHUOUMVAURABCUIUJUKUL
    $.
    $( [21-Nov-2006] $) $( [20-Nov-2006] $)

  ${
    $d F x $.  $d A x $.  $d B x $.
    $( A kind of contraposition law that infers an image subclass from a
       subclass of a pre-image.  (Contributed by Raph Levien, 20-Nov-2006.
       He remarks: "Likely this could be proved directly, and ~ fvimacnv would
       be the special case of ` A ` being a singleton, but it works this way
       round too.") $)
    funimass3 $p |- ( ( Fun F /\ A (_ dom F ) ->
                    ( ( F " A ) (_ B <-> A (_ ( `' F " B ) ) ) $=
      ( vx wfun cdm wss wa cima cv ccnv wcel wral cfv funimass4 wb ssel
      fvimacnv ex syl9r imp31 ralbidva bitrd dfss3 syl6bbr ) CEZACFZGZHZCAIBGZD
      JZCKBIZLZDAMZAULGUIUJUKCNBLZDAMUNDABCOUIUOUMDAUFUHUKALZUOUMPZUHUPUKUGLZUF
      UQAUGUKQUFURUQUKBCRSTUAUBUCDAULUDUE $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)

    $( A subclass of a preimage in terms of function values. $)
    funimass5 $p |- ( ( Fun F /\ A (_ dom F ) ->
                    ( A (_ ( `' F " B ) <-> A. x e. A ( F ` x ) e. B ) ) $=
      ( wfun cdm wss wa cima ccnv cv cfv wcel wral funimass3 funimass4 bitr3d
      ) DEBDFGHDBICGBDJCIGAKDLCMABNBCDOABCDPQ $.
      $( [15-May-2007] $) $( [15-May-2007] $)

    $( Two ways of specifying that a function is constant on a subdomain. $)
    funconstss $p |- ( ( Fun F /\ A (_ dom F ) ->
                     ( A. x e. A ( F ` x ) = B <-> A (_ ( `' F " { B } ) ) ) $=
      ( wfun cdm wss wa cv cfv wceq wral cima csn ccnv wcel funimass4 fvex
      elsnc ralbii syl6rbb funimass3 bitrd ) DEBDFGHZAIZDJZCKZABLZDBMCNZGZBDOUI
      MGUDUJUFUIPZABLUHABUIDQUKUGABUFCUEDRSTUABUIDUBUC $.
      $( [8-Mar-2007] $) $( [8-Mar-2007] $)
  $}


  $( Another proof of ~ fvimacnv , based on ~ funimass3 .  If ~ funimass3 is
     ever proved directly, as opposed to using ~ funimacnv pointwise, then the
     proof of ~ funimacnv should be replaced with this one.  (Contributed by
     Raph Levien, 20-Nov-2006.) $)
  fvimacnvALT $p |- ( ( Fun F /\ A e. dom F ) ->
                    ( ( F ` A ) e. B <-> A e. ( `' F " B ) ) ) $=
    ( wfun cdm wcel wa csn cima wss ccnv cfv wb funimass3 snssi sylan2 wfn
    wceq fnsnfv eqid df-fn biimpr mpan2 sylan sseq1d fvex snss syl5bb snssg
    adantl 3bitr4d ) CDZACEZFZGZCAHZIZBJZUPCKBIZJZACLZBFZAUSFZULUPUMJURUTMUNUPB
    CNAUMOPUOVAHZBJURVBUOVDUQBCUMQZUNVDUQRULUMACSULUMUMRZVEUMTVEULVFGCUMUAUBUCU
    DUEVABACUFUGUHUNVCUTMULAUSUMUIUJUK $.
    $( [21-Nov-2006] $) $( [20-Nov-2006] $)

  $( The pre-image of the codomain of a mapping is the mapping's domain.
     (Contributed by FL, 25-Jan-2007.) $)
  fimacnv $p |- ( F : A --> B -> ( `' F " B ) = A ) $=
    ( wf ccnv cima crn wss imassrn a1i cdm fdm ssid eqsstrd dfdm4 syl5ssr
    sstrd frn wfun wb funimass3 ffun sseqtr4d sylanc mpbid eqssd ) ABCDZCEZBFZA
    UGUIUHGZAUIUJHUGUHBIJUGCKZAUJUGUKAAABCLZAAHUGAMJZNCOPQUGCAFZBHZAUIHZUGUNCGZ
    BUNUQHUGCAIJABCRQCSAUKHUOUPTUGABCUAABCUBUGAAUKUMULUCUDUEUF $.
    $( [25-Jan-2007] $) $( [25-Jan-2007] $)

  $( Ordered pair with function value.  Part of Theorem 4.3(i) of [Monk1]
     p. 41. $)
  fnopfv $p |- ( ( F Fn A /\ B e. A ) -> <. B , ( F ` B ) >. e. F ) $=
    ( cfv cop wcel funfvop funfni ) BBCDECFABCBCGH $.
    $( [9-Oct-2004] $) $( [30-Sep-2004] $)

  ${
    $d x y F $.  $d x A $.
    $( A function's value belongs to its range. $)
    fvelrn $p |- ( ( Fun F /\ A e. dom F ) -> ( F ` A ) e. ran F ) $=
      ( vx vy wfun cdm wcel cfv crn cv wa wi wceq eleq1 anbi2d fveq2 eleq1d
      imbi12d cop wex funfvop visset opeq1 cla4ev syl fvex elrn2 sylibr vtoclg
      anabsi7 ) BEZABFZGZABHZBIZGZUKCJZULGZKZUQBHZUOGZLUKUMKZUPLCAULUQAMZUSVBVA
      UPVCURUMUKUQAULNOVCUTUNUOUQABPQRUSDJZUTSZBGZDTZVAUSUQUTSZBGZVGUQBUAVFVIDU
      QCUBVDUQMVEVHBVDUQUTUCQUDUEDUTBUQBUFUGUHUIUJ $.
      $( [14-Oct-1996] $)
  $}

  $( A function's value belongs to its range. $)
  fnfvelrn $p |- ( ( F Fn A /\ B e. A ) -> ( F ` B ) e. ran F ) $=
    ( cfv crn wcel fvelrn funfni ) BCDCEFABCBCGH $.
    $( [15-Oct-1996] $)

  $( A function's value belongs to its codomain. $)
  ffvelrn $p |- ( ( F : A --> B /\ C e. A ) -> ( F ` C ) e. B ) $=
    ( wf wcel wa cfv crn wfn fnfvelrn ffn sylan wi frn sseld adantr mpd ) ABDEZ
    CAFZGCDHZDIZFZUABFZDAJTUCSACDKABDLMSUCUDNTSUBBUAABDOPQR $.
    $( [12-Aug-1999] $)

  ${
    ffvrni.1 $e |- F : A --> B $.
    $( A function's value belongs to its codomain. $)
    ffvelrni $p |- ( C e. A -> ( F ` C ) e. B ) $=
      ( wf wcel cfv ffvelrn mpan ) ABDFCAGCDHBGEABCDIJ $.
      $( [8-Apr-2005] $) $( [6-Apr-2005] $)
  $}

  $( Alternate definition of a mapping. $)
  dff4 $p |- ( F : A --> B <-> ( F Fn A /\ F (_ ( A X. B ) ) ) $=
    ( wf wfn cxp wss wa ffn fssxp jca crn rnss rnxpss sstr mpan2 syl anim2i
    df-f sylibr impbi ) ABCDZCAEZCABFZGZHZUBUCUEABCIABCJKUFUCCLZBGZHUBUEUHUCUEU
    GUDLZGZUHCUDMUJUIBGUHABNUGUIBOPQRABCSTUA $.
    $( [17-Nov-2007] $) $( [14-Nov-2007] $)

  ${
    $d f g x y z A $.  $d f g x y z B $.  $d x y z F $.
    $( Alternate definition of a mapping. $)
    dff2 $p |- ( F : A --> B <->
              ( F (_ ( A X. B ) /\ A. x e. A E! y x F y ) ) $=
      ( vz wf cxp wss cv wbr weu wral wa fssxp wcel wex wmo cfv cop wfun cdm
      funfvop ffun adantr fdm eleq2d biimpar sylanc df-br sylibr fvex breq2
      cla4ev syl funmo jca eu5 r19.21aiva wfn crn wceq wrel wal cvv xpss sstr
      mpan2 df-rel wi eumo imim2i adantl wn ssel syl5ib visset opelxp pm3.26bi
      syl6 19.23adv con3d exmo ori pm2.61d ex 19.20dv df-ral imp dffunmo dmss
      dmxpss breq1 eubidv rcla4cv euex eldm ssrdv anim12i eqss df-fn rnss
      rnxpss df-f impbi ) CDEGZECDHZIZAJZBJZEKZBLZACMZNZXFXHXMCDEOXFXLACXFXICPZ
      NZXKBQZXKBRZNXLXPXQXRXPXIXIESZEKZXQXPXIXSTEPZXTEUAZXIEUBZPZYAXPXIEUCXFYBX
      OCDEUDZUEXFYDXOXFYCCXICDEUFUGUHUIXIXSEUJUKXKXTBXSXIEULXJXSXIEUMUNUOXFXRXO
      XFYBXRYEABEUPUOUEUQXKBURUKUSUQXNECUTZEVAZDIZNXFXNYFYHXNYBYCCVBZNYFXNYBYIX
      NEVCZXRAVDZNYBXNYJYKXHYJXMXHEVEVEHZIZYJXHXGYLIYMCDVFEXGYLVGVHEVIUKUEXHXMY
      KXHXOXLVJZAVDYKXMXHYNXRAXHYNXRXHYNNXOXRYNXOXRVJXHXLXRXOXKBVKVLVMXHXOVNZXR
      VJYNXHYOXQVNXRXHXQXOXHXKXOBXHXKXIXJTZXGPZXOXHYPEPYQXKEXGYPVOXIXJEUJVPYQXO
      XJDPXIXJCDBVQVRVSVTWAWBXQXRXKBWCWDVTUEWEWFWGXLACWHVPWIUQABEWJUKXNYCCIZCYC
      IZNYIXHYRXMYSXHYCXGUBZIZYREXGWKUUAYTCIYRCDWLYCYTCVGVHUOXMFCYCXMFJZCPUUBXJ
      EKZBLZUUBYCPZXLUUDAUUBCXIUUBVBXKUUCBXIUUBXJEWMWNWOUUDUUCBQUUEUUCBWPBUUBEF
      VQWQUKVTWRWSYCCWTUKUQECXAUKXHYHXMXHYGXGVAZIZYHEXGXBUUGUUFDIYHCDXCYGUUFDVG
      VHUOUEUQCDEXDUKXE $.
      $( [20-Mar-2007] $) $( [20-Mar-2007] $)

    $( Alternate definition of a mapping. $)
    dff3 $p |- ( F : A --> B <->
              ( F (_ ( A X. B ) /\ A. x e. A E! y e. B x F y ) ) $=
      ( wf cxp wss cv wbr weu wral wa wreu dff2 wcel cop ssel visset opelxp
      pm3.27bi syl6 df-br syl5ib pm4.71rd eubidv df-reu syl6bbr ralbidv
      pm5.32i bitr ) CDEFECDGZHZAIZBIZEJZBKZACLZMUMUPBDNZACLZMABCDEOUMURUTUMUQU
      SACUMUQUODPZUPMZBKUSUMUPVBBUMUPVAUMUNUOQZEPZVAUPUMVDVCULPZVAEULVCRVEUNCPV
      AUNUOCDBSTUAUBUNUOEUCUDUEUFUPBDUGUHUIUJUK $.
      $( [22-Mar-2007] $) $( [20-Mar-2007] $)

    $( An onto mapping expressed in terms of function values. $)
    dffo3 $p |- ( F : A -onto-> B <-> ( F : A --> B /\
                  A. y e. B E. x e. A y = ( F ` x ) ) ) $=
      ( wfo wf crn wceq wa cv cfv wrex wral dffo2 cab wfn wb ffn fnrnfv eqeq1d
      syl wcel wal wi pm3.27 ffvelrn adantr eqeltrd exp31 r19.23adv biantrurd
      dfbi2 syl6rbbr albidv abeq1 df-ral 3bitr4g bitrd pm5.32i bitr ) CDEFCDEGZEHZ
      DIZJVBBKZAKZELZIZACMZBDNZJCDEOVBVDVJVBVDVIBPZDIZVJVBECQZVDVLRCDESVMVCVKDA
      BCETUAUBVBVIVEDUCZRZBUDVNVIUEZBUDVLVJVBVOVPBVBVPVIVNUEZVPJVOVBVQVPVBVHVNA
      CVBVFCUCZVHVNVBVRJZVHJVEVGDVSVHUFVSVGDUCVHCDVFEUGUHUIUJUKULVIVNUMUNUOVIBD
      UPVIBDUQURUSUTVA $.
      $( [30-Oct-2006] $) $( [29-Oct-2006] $)

    $( Alternate definition of an onto mapping. $)
    dffo4 $p |- ( F : A -onto-> B <->
                ( F : A --> B /\ A. y e. B E. x e. A x F y ) ) $=
      ( wfo wf cv wbr wrex wral wa crn wceq dffo2 pm3.26 wcel wex eleq2 visset
      elrn syl5bbr biimpar adantll wi wfn ffn fnbr ex syl ancrd 19.22dv df-rex
      syl6ibr ad2antrr mpd r19.21aiva jca sylbi cfv fnbrfvb biimprd eqcom
      syl6ib sylan r19.22dva r19.20sdv imdistani dffo3 sylibr impbi ) CDEFZCDEG
      ZAHZBHZEIZACJZBDKZLZVLVMEMZDNZLZVSCDEOWBVMVRVMWAPWBVQBDWBVODQZLVPARZVQWAW
      CWDVMWAWDWCWAVOVTQWCWDVTDVOSAVOEBTZUAUBUCUDVMWDVQUEWAWCVMWDVNCQZVPLZARVQV
      MVPWGAVMVPWFVMECUFZVPWFUECDEUGZWHVPWFCVNVOEUHUIUJUKULVPACUMUNUOUPUQURUSVS
      VMVOVNEUTZNZACJZBDKZLVLVMVRWMVMVQWLBDVMVPWKACWHWFVPWKUEVMWHWFLZVPWJVONZWK
      WNWOVPCVNVOEWEVAVBWJVOVCVDWIVEVFVGVHABCDEVIVJVK $.
      $( [22-Mar-2007] $) $( [20-Mar-2007] $)

    $( Alternate definition of an onto mapping. $)
    dffo5 $p |- ( F : A -onto-> B <->
                ( F : A --> B /\ A. y e. B E. x x F y ) ) $=
      ( wfo wf cv wbr wrex wral wa wex dffo4 rexex r19.20si anim2i wcel wfn wi
      ffn fnbr ex syl ancrd 19.22dv df-rex syl6ibr r19.20sdv imdistani impbi
      bitr ) CDEFCDEGZAHZBHZEIZACJZBDKZLZUMUPAMZBDKZLZABCDENUSVBURVAUMUQUTBDUPA
      COPQUMVAURUMUTUQBDUMUTUNCRZUPLZAMUQUMUPVDAUMUPVCUMECSZUPVCTCDEUAVEUPVCCUN
      UOEUBUCUDUEUFUPACUGUHUIUJUKUL $.
      $( [3-Jul-2007] $) $( [20-Mar-2007] $)

    $( A relation equivalent to the existence of an onto mapping.  The
       right-hand ` f ` is not necessarily a function. $)
    exfo $p |- ( E. f f : A -onto-> B <->
           E. f ( A. x e. A E! y e. B x f y /\ A. x e. B E. y e. A y f x ) ) $=
      ( vg cv wfo wex wbr wreu wral wrex wa wf dffo4 cxp wss dff3 pm3.27bi
      anim1i sylbi 19.22i cin crn wceq wcel brinxp reubidva biimpd r19.20i
      inss2 jctil sylibr rninxp biimpr anim12i dffo2 visset inex1 foeq1 cla4ev
      syl 19.23aiv cbvexv sylib impbi ) CDEGZHZEIZAGZBGZVHJZBDKZACLZVLVKVHJBCMA
      DLZNZEIZVIVQEVICDVHOZVPNVQBACDVHPVSVOVPVSVHCDQZRVOABCDVHSTUAUBUCVRCDFGZHZ
      FIZVJVQWCEVQCDVHVTUDZHZWCVQCDWDOZWDUEDUFZNWEVOWFVPWGVOWDVTRZVKVLWDJZBDKZA
      CLZNWFVOWKWHVNWJACVKCUGZVNWJWLVMWIBDVKVLCDVHUHUIUJUKVHVTULUMABCDWDSUNWGVP
      BACDVHUOUPUQCDWDURUNWBWEFWDVHVTEUSUTCDWAWDVAVBVCVDWBVIFECDWAVHVAVEVFVG $.
      $( [22-Mar-2007] $) $( [20-Mar-2007] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d y z C $.  $d z F $.
    fopab2.1 $e |- F = { <. x , y >. | ( x e. A /\ y = C ) } $.
    $( Functionality of an ordered-pair class abstraction. $)
    fopab2 $p |- ( A. x e. A C e. B <-> F : A --> B ) $=
      ( vz wcel wral wf wfn crn wss wa cv wceq weu cvv elisset eueq sylib
      r19.20si fnopabg copab wi wal wex hbra1 ax-17 ra4 eleq1a imim2i imp3a
      syl 19.23ad rnopab abeq2i syl5ib 19.21aiv hbopab2 hbrn dfss2f sylibr
      rneqi syl5ss jca df-f cdm fdm dmopab3 isset ralbii dmeqi eqeq1i 3bitr4r
      hbopab1 hbf wb feq1 ax-mp albii 3imtr4 cfv ffvelrn adantr fvopab2 fveq1i
      syl5eq eleq1d adantll mpbid ex r19.20da mpd impbi ) EDIZACJZCDFKZWRFCLZFM
      ZDNZOWSWRWTXBWRBPZEQZBRZACJWTWQXEACWQESIZXEEDTBEUAUBUCXDABCFGUDUBWRAPZCIZ
      XDOZABUEZMZDXAWRXCXKIZXCDIZUFZBUGXKDNWRXNBWRXIAUHZXMXLWRXIXMAWQACUIXMAUJW
      RXHWQUFZXIXMUFWQACUKXPXHXDXMWQXDXMUFXHEDXCULUMUNUOUPXOBXKXIABUQURUSUTBHXK
      DBHXJXIABHVAVBHPZDIZBUJVCVDFXJGVEVFVGCDFVHVDWSXFACJZWRWSFVIZCQZXSCDFVJXDB
      UHZACJXJVIZCQXSYAXDABCVKXFYBACBEVLVMXTYCCFXJGVNVOVPUBWSXFWQACCDXJKZYDAUGW
      SWSAUGAHCDXJXIABHVQXQCIAUJXRAUJVRFXJQWSYDVSGCDFXJVTWAZWSYDAYEWBWCWSXHOZXF
      WQYFXFOXGFWDZDIZWQYFYHXFCDXGFWEWFXHXFYHWQVSWSXHXFOZYGEDYIXGXJWDEYGABCESWG
      XGFXJGWHWIWJWKWLWMWNWOWP $.
      $( [2-Feb-2004] $) $( [29-Jan-2004] $)

    $( Inclusion of a function in a cross product. $)
    fopabssxp $p |- ( A. x e. A C e. B -> F (_ ( A X. B ) ) $=
      ( wcel wral wf cxp wss fopab2 fssxp sylbi ) EDHACICDFJFCDKLABCDEFGMCDFNO
      $.
      $( [6-Jun-2007] $) $( [5-Jun-2007] $)

    ${
      rnssopab.2 $e |- C e. V $.
      $( Range of a function that is expressed as an ordered-pair class
         abstraction. $)
      rnssopab $p |- ( A. x e. A C e. B <-> ran F (_ B ) $=
        ( vz wcel wral crn wss wf fopab2 frn sylbi cv wceq wa copab hbopab1
        hbxfr hbrn ax-17 hbss ssel cfv cvv fvopab2 mpan2 fveq1i syl5eq wfn
        fnopab2 fnfvelrn mpan eqeltrrd syl5 r19.21ai impbi ) EDJZACKZFLZDMZVCCD
        FNVEABCDEFGOCDFPQVEVBACAIVDDAIFAIFARZCJZBRESTZABUAZGVHABIUBUCUDIRDJAUEU
        FVEEVDJVBVGVDDEUGVGVFFUHZEVDVGVFVIUHZEVJVGEUIJVKESHABCEUIUJUKVFFVIGULUM
        FCUNVGVJVDJABCEFHGUOCVFFUPUQURUSUTVA $.
        $( [5-Jun-2006] $) $( [23-May-2006] $)

      $( Functionality of an ordered-pair class abstraction. $)
      fopab3 $p |- ( ran F (_ B <-> F : A --> B ) $=
        ( crn wss wcel wral wf rnssopab fopab2 bitr3 ) FIDJEDKACLCDFMABCDEFGHNA
        BCDEFGOP $.
        $( [12-Jun-2007] $) $( [23-May-2006] $)
    $}

    ${
      fopab.2 $e |- ( x e. A -> C e. B ) $.
      $( Functionality of an ordered-pair class abstraction. $)
      fopab $p |- F : A --> B $=
        ( wcel wral wf rgen fopab2 mpbi ) EDIZACJCDFKOACHLABCDEFGMN $.
        $( [21-Mar-2005] $) $( [19-Mar-2005] $)
    $}
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( A function maps to a class to which all values belong. $)
    ffnfv $p |- ( F : A --> B <-> ( F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( vy wf wfn cv cfv wcel wral wa ffn ffvelrn r19.21aiva jca crn wss
      pm3.26 wceq wrex fvelrnb biimpd hbra1 ax-17 wi ra4 eleq1 biimpcd syl6
      r19.23ad sylan9 r19.21aiv dfss3 sylibr df-f impbi ) BCDFZDBGZAHZDIZCJZABK
      ZLZURUSVCBCDMURVBABBCUTDNOPVDUSDQZCRZLURVDUSVFUSVCSVDEHZCJZEVEKVFVDVHEVEU
      SVGVEJZVAVGTZABUAZVCVHUSVIVKABVGDUBUCVCVJVHABVBABUDVHAUEVCUTBJVBVJVHUFVBA
      BUGVJVBVHVAVGCUHUIUJUKULUMEVECUNUOPBCDUPUOUQ $.
      $( [19-May-2004] $) $( [3-Dec-2003] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z F $.  $d x y z $.
    ffnfvf.1 $e |- ( y e. A -> A. x y e. A ) $.
    ffnfvf.2 $e |- ( y e. B -> A. x y e. B ) $.
    ffnfvf.3 $e |- ( y e. F -> A. x y e. F ) $.
    $( A function maps to a class to which all values belong.  This version of
       ~ ffnfv uses bound-variable hypotheses instead of distinct variable
       conditions. $)
    ffnfvf $p |-  ( F : A --> B <-> ( F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( vz wf wfn cv cfv wcel wral wa ffnfv ax-17 hbfv hbel wceq fveq2 eleq1d
      cbvralf anbi2i bitr ) CDEJECKZILZEMZDNZICOZPUGALZEMZDNZACOZPICDEQUKUOUGUJ
      UNIABCBLZCNIRFABBUIDABUHEHUPUHNARSGTUNIRUHULUAUIUMDUHULEUBUCUDUEUF $.
      $( [29-Sep-2006] $) $( [28-Sep-2006] $)
  $}

  ${
    $d x y A $.  $d x B $.  $d x y F $.
    $( An upper bound for range determined by function values. $)
    fnfvrnss $p |- ( ( F Fn A /\ A. x e. A ( F ` x ) e. B ) -> ran F (_ B ) $=
      ( wfn cv cfv wcel wral wa wf crn wss ffnfv frn sylbir ) DBEAFDGCHABIJBCDK
      DLCMABCDNBCDOP $.
      $( [17-Oct-2004] $) $( [8-Oct-2004] $)

    $( Representation of a mapping in terms of its values. $)
    fopabfv $p |- ( F : A --> B <->
         ( F = { <. x , y >. | ( x e. A /\ y = ( F ` x ) ) }
         /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( wf wfn cv cfv wcel wral wa wceq copab ffnfv fnopabfv anbi1i bitr ) CDEF
      ECGZAHZEIZDJACKZLETCJBHUAMLABNMZUBLACDEOSUCUBABCEPQR $.
      $( [19-May-2004] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x y A $.  $d u w x z B $.  $d u F $.  $d u x G $.  $d u H $.  $d w S $.
    $d w y z R $.  $d u w y z T $.  $d u v x A $.  $d v T $.
    fopabco.1 $e |- R e. V $.
    fopabco.2 $e |- S e. V $.
    fopabco.3 $e |- T e. V $.
    fopabco.4 $e |- ( z = R -> S = T ) $.
    fopabco.5 $e |- F = { <. x , y >. | ( x e. A /\ y = R ) } $.
    fopabco.6 $e |- G = { <. z , w >. | ( z e. B /\ w = S ) } $.
    fopabco.7 $e |- H = { <. x , v >. | ( x e. A /\ v = T ) } $.
    $( Composition of two functions expressed as ordered-pair class
       abstractions.  Note that ` v ` may be assigned to ` w ` , ` y ` , or
       ` z ` if desired. $)
    fopabco $p |- ( ran F (_ B -> ( G o. F ) = H ) $=
      ( vu crn wss ccom wceq cv cfv wral wa wcel copab hbopab1 hbxfr hbrn
      ax-17 hbss cvv fvopab2 mpan2 fveq1i syl5eq fveq2d adantl wf ffvelrn wfn
      fnopab2 df-f biimpr mpan sylan wb eleq1d mpbid fvopab4 syl eqtrd cdm
      dmopab2 eleq2i wfun fnfun ax-mp fvco mp3an12 sylbir 3eqtr4d ex r19.21ai
      eqid jctil fnco hbco eqfnfvf mpbird ) KUBZGUCZLKUDZMUEZFFUEZAUFZWRUGZXAMU
      GZUEZAFUHZUIZWQXEWTWQXDAFAUAWPGAUAKAUAKXAFUJZBUFHUEUIZABUKZRXHABUAULUMZUN
      UAUFZGUJAUOUPWQXGXDWQXGUIZXAKUGZLUGZJXBXCXLXNHLUGZJXGXNXOUEWQXGXMHLXGXAXI
      UGZHXMXGHUQUJXPHUENABFHUQURUSXAKXIRUTVAZVBVCXLHGUJZXOJUEXLXMGUJZXRFGKVDZX
      GXSWQFGXAKVEKFVFZWQXTABFHKNRVGZXTYAWQUIFGKVHVIVJVKXGXSXRVLWQXGXMHGXQVMVCV
      NCDHIJGLQSPVOVPVQXGXBXNUEZWQXGXAKVRZUJZYCYDFXAABFHKNRVSVTLWAZKWAZYEYCLGVF
      ZYFCDGILOSVGZGLWBWCYAYGYBFKWBWCXALKWDWEWFVCXGXCJUEZWQXGJUQUJZYJPXGYKUIXAX
      GEUFJUEUIZAEUKZUGJXCAEFJUQURXAMYMTUTVAUSVCWGWHWIFWJWKWQWRFVFZWSXFVLZYHYAW
      QYNYIYBGFLKWLWEYNMFVFYOAEFJMPTVGAUAFFWRMAUALKXKLUJAUOXJWMAUAMYMTYLAEUAULU
      MWNUSVPWO $.
      $( [25-Aug-2007] $) $( [21-Aug-2007] $)
  $}

  ${
    $d x y z A $.  $d w x y z B $.  $d w y z C $.  $d w y z D $.  $d w z F $.
    $d w z G $.
    fopabcos.1 $e |- C e. V $.
    fopabcos.2 $e |- D e. V $.
    fopabcos.3 $e |- F = { <. x , y >. | ( x e. A /\ y = C ) } $.
    fopabcos.4 $e |- G = { <. x , y >. | ( x e. B /\ y = D ) } $.
    $( MAY BE REVISED - prove from fopabco4? $)
    $( Composition of two functions expressed as ordered-pair class
       abstractions. $)
    fopabcos $p |- ( ran G (_ A -> ( F o. G ) =
                  { <. x , y >. | ( x e. B /\ y = [_ D / x ]_ C ) } ) $=
      ( vz vw crn wss ccom cv wcel csb wceq wa copab cfv wral visset fvopab4s
      adantl wfn fnopab2 fnfvelrn mpan wi ssel adantr mpd eqeltrrd csbex ax-17
      hbcsb1 fvopab4sf syl cdm dmopab2 eleq2i wfun fnfun ax-mp fvco mp3an12
      sylbir fveq2d eqtrd eqid cvv wal ax-gen csbnest1g mp2an syl6eq 3eqtr4d
      r19.21aiva jctil wb fnco eqfnfvf mpan2 mpbird ) HOZCPZGHQZARDSBRAFETZUAUB
      ABUCZUAZDDUAZMRZWKUDZWPWMUDZUAZMDUEZUBZWJWTWOWJWSMDWJWPDSZUBZAWPFTZGUDZAX
      DETZWQWRXCXDCSXEXFUAXCWPHUDZXDCXBXGXDUAWJABWPFDHMUFZJLUGZUHXCXGWISZXGCSZX
      BXJWJHDUIZXBXJABDFHJLUJZDWPHUKULUHWJXJXKUMXBWICXGUNUOUPUQABNXDECGAWPFXHJU
      RIANWPFXHNRZWPSAUSUTKVAVBXBWQXEUAWJXBWQXGGUDZXEXBWPHVCZSZWQXOUAZXPDWPABDF
      HJLVDVEGVFZHVFZXQXRGCUIZXSABCEGIKUJZCGVGVHXLXTXMDHVGVHWPGHVIVJVKXBXGXDGXI
      VLVMUHXBWRXFUAWJXBWRAWPWLTZXFABWPWLDWMXHAFEJIURZWMVNZUGWPVOSFVOSZAVPYCXFU
      AXHYFAJVQAWPFEVOVOVRVSVTUHWAWBDVNWCWJWKDUIZWNXAWDZYAXLWJYGYBXMCDGHWEVJYGW
      MDUIYHABDWLWMYDYEUJMNDDWKWMXNWKSMUSXNWMSMUSWFWGVBWH $.
      $( [2-Jun-2006] $) $( [22-May-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    fsn.1 $e |- A e. V $.
    fsn.2 $e |- B e. V $.
    $( A function maps a singleton to a singleton iff it is the singleton of a
       ordered pair. $)
    fsn $p |- ( F : { A } --> { B } <-> F = { <. A , B >. } ) $=
      ( vx vy csn wf cop wceq cv wcel wb wal wa visset opelf elsn anbi12i
      sylib ex opeq12 eleq1d wreu snid feu mpan2 weu eueq1 biantru euanv opeq2
      pm5.32i anbi1i ancom 3bitr4r eubii df-reu bitr4 3bitr2 sylibr syl5cbir
      impbid opex elsnc opth bitr2 syl6bb 19.21aivv wrel frel relsn jctir
      eqrel syl mpbird wf1o f1osn f1oeq1 mpbiri f1of impbi ) AHZBHZCIZCABJZHZKZ
      WFWIFLZGLZJZCMZWLWHMZNZGOFOZWFWOFGWFWMWJAKZWKBKZPZWNWFWMWSWFWMWSWFWMPWJWD
      MZWKWEMZPWSWDWEWJWKCGQZRWTWQXAWRFASGBSZTUAUBWSWMWGCMZWFWSWLWGCWJWKABUCUDW
      FAWKJZCMZGWEUEZXDWFAWDMXGADUFGWDWEACUGUHXDXDWRGUIZPXDWRPZGUIZXGXHXDGBEUJU
      KXDWRGULXJXAXFPZGUIXGXIXKGWRXFPWRXDPXKXIWRXFXDWRXEWGCWKBAUMUDUNXAWRXFXCUO
      XDWRUPUQURXFGWEUSUTVAVBVCVDWNWLWGKWSWLWGWJWKVEVFWJWKABFQXBEVGVHVIVJWFCVKZ
      WHVKZPWIWPNWFXLXMWDWECVLABDVMVNFGCWHVOVPVQWIWDWECVRZWFWIXNWDWEWHVRABDEVSW
      DWECWHVTWAWDWECWBVPWC $.
      $( [13-Dec-2003] $) $( [10-Dec-2003] $)

    $( The cross product of two singletons. $)
    xpsn $p |- ( { A } X. { B } ) = { <. A , B >. } $=
      ( csn cxp wf cop wceq fconst fsn mpbi ) AEZBEZMNFZGOABHEIMBDJABOCDKL $.
      $( [4-Nov-2006] $) $( [4-Nov-2006] $)
  $}

  ${
    fsn2.1 $e |- A e. V $.
    $( A function that maps a singleton to a class is the singleton of an
       ordered pair. $)
    fsn2 $p |- ( F : { A } --> B <->
               ( ( F ` A ) e. B /\ F = { <. A , ( F ` A ) >. } ) ) $=
      ( csn wf cfv wcel wa cop wceq snid ffvelrn mpan2 wfn ffn crn fnfrn biimp
      wb cima cdm fndm imaeq2d imadmrn syl5eqr fnsnfv eqtr4d feq3 syl mpbid
      jca wss fss ancoms snssi sylan impbi fvex fsn anbi2i bitr ) AEZBCFZACGZBH
      ZVCVEEZCFZIZVFCAVEJEKZIVDVIVDVFVHVDAVCHZVFADLZVCBACMNVDCVCOZVHVCBCPVMVCCQ
      ZCFZVHVMVOVCCRSVMVNVGKVOVHTVMVNCVCUAZVGVMCCUBZUAVPVNVMVQVCCVCCUCUDCUEUFVM
      VKVGVPKVLVCACUGNUHVNVGVCCUIUJUKUJULVGBUMZVHVDVFVHVRVDVCVGBCUNUOVEBUPUQURV
      HVJVFAVECDACUSUTVAVB $.
      $( [20-May-2004] $) $( [19-May-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( A function restricted to a singleton. $)
    fnressn $p |- ( ( F Fn A /\ B e. A ) ->
                  ( F |` { B } ) = { <. B , ( F ` B ) >. } ) $=
      ( vx wcel wfn csn cres cfv cop wceq cv wi sneq reseq2 syl fveq2 opeq12
      mpdan sneqd eqeq12d imbi2d wa wss fnssres visset snss sylan2b cvv wf fnf
      fsn2 fvex biantrur snid fvres ax-mp opeq2i sneqi eqeq2i bitr3 3bitr
      sylib expcom vtoclga impcom ) BAECAFZCBGZHZBBCIZJZGZKZVGCDLZGZHZVNVNCIZJZ
      GZKZMVGVMMDBAVNBKZVTVMVGWAVPVIVSVLWAVOVHKVPVIKVNBNVOVHCOPWAVRVKWAVQVJKVRV
      KKVNBCQVNVQBVJRSTUAUBVGVNAEZVTVGWBUCVPVOFZVTVGVOAUDWCWBAVOCUEVNADUFZUGUHW
      CVOUIVPUJVNVPIZUIEZVPVNWEJZGZKZUCZVTVOVPUKVNUIVPWDULWJWIVTWFWIVNVPUMUNWHV
      SVPWGVRWEVQVNVNVOEWEVQKVNWDUOVNVOCUPUQURUSUTVAVBVCVDVEVF $.
      $( [13-Nov-2004] $) $( [9-Oct-2004] $)

    $( The value of a function restricted to a singleton. $)
    fressnfv $p |- ( ( F Fn A /\ B e. A ) ->
                 ( ( F |` { B } ) : { B } --> C <-> ( F ` B ) e. C ) ) $=
      ( vx wcel wfn csn cres wf cfv wb cv wi wceq sneq reseq2 feq1d feq2 bitrd
      syl fveq2 eleq1d bibi12d imbi2d wa cop fnressn visset snid fvres ax-mp
      opeq2i sneqi eqeq2i iba eleq1i syl5rbbr fsn2 syl5bb sylbir expcom
      vtoclga impcom ) BAFDAGZBHZCDVFIZJZBDKZCFZLZVEEMZHZCDVMIZJZVLDKZCFZLZNVEV
      KNEBAVLBOZVRVKVEVSVOVHVQVJVSVMVFOZVOVHLVLBPVTVOVMCVGJVHVTVMCVNVGVMVFDQRVM
      VFCVGSTUAVSVPVICVLBDUBUCUDUEVEVLAFZVRVEWAUFVNVLVPUGZHZOZVRAVLDUHWDVNVLVLV
      NKZUGZHZOZVRWGWCVNWFWBWEVPVLVLVMFWEVPOVLEUIZUJVLVMDUKULZUMUNUOWHWECFZWHUF
      ZVQVOWHWKWLVQWHWKUPWEVPCWJUQURVLCVNWIUSUTVAUAVBVCVD $.
      $( [16-Nov-2004] $) $( [9-Oct-2004] $)
  $}

  $( The value of a constant function. $)
  fvconst $p |- ( ( F : A --> { B } /\ C e. A ) -> ( F ` C ) = B ) $=
    ( csn wf wcel wa cfv wceq ffvelrn elsni syl ) ABEZDFCAGHCDIZNGOBJANCDKOBLM
    $.
    $( [30-May-1999] $)

  ${
    $d x y z A $.  $d x y z B $.
    fopabsn.1 $e |- A e. V $.
    fopabsn.2 $e |- B e. V $.
    $( The singleton of an ordered pair expressed as an ordered pair class
       abstraction. $)
    fopabsn $p |- { <. A , B >. } =
                  { <. x , y >. | ( x e. { A } /\ y = B ) } $=
      ( vz cop csn cv wcel wceq wa copab cfv wral wfn wb wf wf1o f1osn f1of
      ax-mp ffn eqid fnopab2 ax-17 hbopab1 eqfnfvf mp2an elsn fvsn fveq2 cvv
      fvopab2 mpan2 sylbir 3eqtr4a sylbi rgen mpbir2an ) CDHIZAJZCIZKZBJDLMZABN
      ZLZVDVDLZVCVBOZVCVGOZLZAVDPZVBVDQZVGVDQVHVIVMMRVDDIZVBSZVNVDVOVBTVPCDEFUA
      VDVOVBUBUCVDVOVBUDUCABVDDVGFVGUEUFAGVDVDVBVGGJVBKAUGVFABGUHUIUJVDUEVLAVDV
      EVCCLZVLACUKZVQCVBODVJVKCDEFULVCCVBUMVQVEVKDLZVRVEDUNKVSFABVDDUNUOUPUQURU
      SUTVA $.
      $( [1-Aug-2006] $) $( [6-Jun-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    fopabap.0a $e |- A e. V $.
    fopabap.0b $e |- B e. V $.
    fopabap.1 $e |- ( R u. { A } ) = S $.
    fopabap.2 $e |- ( x = A -> C = B ) $.
    $( Append an additional value to a function. $)
    fopabap $p |- ( { <. x , y >. | ( x e. R /\ y = C ) } u. { <. A , B >. } )
                  = { <. x , y >. | ( x e. S /\ y = C ) } $=
      ( cv wcel wceq wa copab cop csn cun wo fopabsn uneq2i unopab eleq2i elun
      bitr3 anbi1i andir elsn sylbi eqeq2d pm5.32i orbi2i 3bitrr opabbii 3eqtr
      ) ALZFMZBLZENZOZABPZCDQRZSVBUQCRZMZUSDNZOZABPZSVAVGTZABPUQGMZUTOZABPVCVHV
      BABCDHIUAUBVAVGABUCVIVKABVKURVETZUTOVAVEUTOZTVIVJVLUTVJUQFVDSZMVLVNGUQJUD
      UQFVDUEUFUGURVEUTUHVMVGVAVEUTVFVEEDUSVEUQCNEDNACUIKUJUKULUMUNUOUP $.
      $( [15-Jun-2007] $) $( [6-Jun-2006] $)
  $}

  ${
    $d x A $.
    $( The value of the identity function. $)
    fvi $p |- ( A e. B -> ( I ` A ) = A ) $=
      ( vx cv cid cfv wceq fveq2 id eqeq12d cvv wfn wcel wfun cdm df-fn funi
      dmi mpbir2an visset wa cop wbr ididg ax-mp df-br mpbi fnopfvb mpbiri
      mp2an vtoclg ) CDZEFZULGZAEFZAGCABULAGZUMUOULAULAEHUPIJEKLZULKMZUNUQENEOK
      GEKPQRSCTZUQURUAUNULULUBEMZULULEUCZUTURVAUSULKUDUEULULEUFUGKULULEUSUHUIUJ
      UK $.
      $( [2-May-2004] $) $( [1-May-2004] $)
  $}

  $( The value of a restricted identity function. $)
  fvresi $p |- ( B e. A -> ( ( I |` A ) ` B ) = B ) $=
    ( wcel cid cres cfv fvres fvi eqtrd ) BACBDAEFBDFBBADGBAHI $.
    $( [20-May-2004] $) $( [19-May-2004] $)

  $( The value of a constant function. $)
  fvconst2g $p |- ( ( B e. D /\ C e. A ) -> ( ( A X. { B } ) ` C ) = B ) $=
    ( csn cxp wf wcel cfv wceq fvconst fconstg sylan ) ABEZANFZGCAHCOIBJBDHABCO
    KABDLM $.
    $( [30-Aug-2005] $) $( [20-Aug-2005] $)

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( A constant function expressed as a cross product. $)
    fconst2g $p |- ( B e. C -> ( F : A --> { B } <-> F = ( A X. { B } ) ) ) $=
      ( vx wcel csn wf cxp wceq wa cv cfv wral fvconst adantlr fvconst2g
      adantll eqtr4d r19.21aiva eqid jctil wfn wb eqfnfv ffn fconstg syl
      syl2an mpbird expcom feq1 syl5cbir impbid ) BCFZABGZDHZDAUPIZJZUQUOUSUQUO
      KZUSAAJZELZDMZVBURMZJZEANZKZUTVFVAUTVEEAUTVBAFZKVCBVDUQVHVCBJUOABVBDOPUOV
      HVDBJUQABVBCQRSTAUAUBDAUCURAUCZUSVGUDUQUOEAADURUEAUPDUFUOAUPURHZVIABCUGZA
      UPURUFUHUIUJUKUSUQVJUOAUPDURULVKUMUN $.
      $( [28-Nov-2007] $) $( [27-Nov-2007] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    fvconst2.1 $e |- B e. V $.
    $( The value of a constant function. $)
    fvconst2 $p |- ( C e. A -> ( ( A X. { B } ) ` C ) = B ) $=
      ( cvv wcel csn cxp cfv wceq fvconst2g mpan ) BEFCAFCABGHIBJDABCEKL $.
      $( [18-Apr-2005] $) $( [16-Apr-2005] $)

    $( A constant function expressed as a cross product. $)
    fconst2 $p |- ( F : A --> { B } <-> F = ( A X. { B } ) ) $=
      ( cvv wcel csn wf cxp wceq wb fconst2g ax-mp ) BEFABGZCHCANIJKDABECLM $.
      $( [20-Aug-1999] $)
  $}

  $( Two ways to express that a function is constant. $)
  fconst5 $p |- ( ( F Fn A /\ A =/= (/) ) -> ( F = ( A X. { B } ) <->
                 ran F = { B } ) ) $=
    ( wfn c0 wne wa csn cxp wceq crn wi rnxp eqeq2d rneq syl5bi adantl cvv
    wcel wf fconst2g wfo df-fo fof sylbir exp3a adantrd wn wrel snprc relrn0
    biimprd wb eqeq2 adantr xpeq2 xp0 syl6eq 3imtr4d ex sylbi fnrel syl5
    pm2.61i impbid ) CADZAEFZGZCABHZIZJZCKZVIJZVGVKVMLVFVGVLVJKZJVMVKVGVNVIVLAV
    IMNCVJOPQBRSZVHVMVKLZLVOVFVPVGVOVFVMVKVOAVICTZVKVFVMGZABRCUAVRAVICUBVQAVICU
    CAVICUDUEPUFUGVOUHZVFVPVGVSCUIZVPVFVSVIEJZVTVPLBUJWAVTVPWAVTGVLEJZCEJZVMVKV
    TWBWCLWAVTWCWBCUKULQWAVMWBUMVTVIEVLUNUOWAVKWCUMVTWAVJECWAVJAEIEVIEAUPAUQURN
    UOUSUTVAACVBVCUGVDVE $.
    $( [25-Dec-2007] $) $( [27-Nov-2007] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z F $.
    $( A constant function expressed in terms of its functionality, domain, and
       value.  See also ~ fconst2 . $)
    fconstfv $p |- ( F : A --> { B } <->
                   ( F Fn A /\ A. x e. A ( F ` x ) = B ) ) $=
      ( vy vz csn wf wfn cv cfv wceq wral wa ffn fvconst r19.21aiva jca wi c0
      fneq2 fn0 syl6bb f0 feq1 mpbiri syl6bi feq2 sylibrd adantrd wne crn wcel
      wrex fvelrnb fveq2 eqeq1d rcla4cva rexbidva r19.9rzv bicomd sylan9bbr
      elsn eqcom bitr2 eqrdv an1rs exp31 imdistand wfo df-fo fof sylbir syl6
      pm2.61ine impbi ) BCGZDHZDBIZAJZDKZCLZABMZNZVRVSWCBVQDOVRWBABBCVTDPQRWDVR
      SBTBTLZVSVRWCWEVSTVQDHZVRWEVSDTLZWFWEVSDTIWGBTDUADUBUCWGWFTVQTHVQUDTVQDTU
      EUFUGBTVQDUHUIUJBTUKZWDVSDULZVQLZNZVRWHVSWCWJWHVSWCWJWHWCVSWJWHWCNZVSNZEW
      IVQWMEJZWIUMZCWNLZWNVQUMZVSWOFJZDKZWNLZFBUNZWLWPFBWNDUOWCXAWPFBUNZWHWPWCW
      TWPFBWCWRBUMNWSCWNWBWSCLAWRBVTWRLWAWSCVTWRDUPUQURUQUSWHWPXBWPFBUTVAVBVBWQ
      WNCLWPECVCWNCVDVEUCVFVGVHVIWKBVQDVJVRBVQDVKBVQDVLVMVNVOVP $.
      $( [28-Aug-2004] $) $( [27-Aug-2004] $)

    $( Two ways to express a constant function. $)
    fconst3 $p |- ( F : A --> { B } <->
                  ( F Fn A /\ A (_ ( `' F " { B } ) ) ) $=
      ( vx csn wf wfn cv cfv wceq wral wa ccnv cima wss fconstfv wfun cdm wb
      funconstss fnfun fndm eqimss2 syl sylanc pm5.32i bitr ) ABEZCFCAGZDHCIBJD
      AKZLUIACMUHNOZLDABCPUIUJUKCQACRZOZUJUKSUIDABCTACUAUIULAJUMACUBAULUCUDUEUF
      UG $.
      $( [13-Apr-2007] $) $( [15-Mar-2007] $)
  $}

  $( Two ways to express a constant function. $)
  fconst4 $p |- ( F : A --> { B } <->
                ( F Fn A /\ ( `' F " { B } ) = A ) ) $=
    ( csn wf wfn ccnv cima wss wa wceq fconst3 cdm cnvimass a1i fndm sseqtrd
    biantrurd eqss syl6bbr pm5.32i bitr ) ABDZCECAFZACGUCHZIZJUDUEAKZJABCLUDUFU
    GUDUFUEAIZUFJUGUDUHUFUDUECMZAUEUIIUDCUCNOACPQRUEASTUAUB $.
    $( [19-Jun-2007] $) $( [8-Mar-2007] $)

  $( A function's value in a pre-image belongs to the image. $)
  funfvima $p |- ( ( Fun F /\ B e. dom F ) -> ( B e. A ->
                 ( F ` B ) e. ( F " A ) ) ) $=
    ( wfun cdm wcel wa cfv cima wi cres crn fvres eleq1d df-ima eleq2i
    syl6rbbr fvelrn funres sylan syl5cbir ex cin dmres elin bitr syl5ibr exp3a
    com12 imp3a pm2.43b ) CDZBCEZFZGBAFZBCHZCAIZFZUOULUNUOURJZULUOUNUSJULUOUNUS
    ULBCAKZEZFZUSUOUNGZULVBUSUOURBUTHZUTLZFZULVBGUOVFUPVEFURUOVDUPVEBACMNUQVEUP
    CAOPQUTDVBVFULBUTRACSTUAUBVBBAUMUCZFVCVAVGBCAUDPBAUMUEUFUGUHUIUJUK $.
    $( [23-Sep-2003] $)

  $( A function's value in an included pre-image belongs to the image. $)
  funfvima2 $p |- ( ( Fun F /\ A (_ dom F ) -> ( B e. A ->
                  ( F ` B ) e. ( F " A ) ) ) $=
    ( wfun cdm wss wcel cfv cima wi funfvima ex com23 a2d ssel syl5 imp ) CDZAC
    EZFZBAGZBCHCAIGZJZRUABSGZJUCTRUAUDUBRUDUAUBRUDUCABCKLMNASBOPQ $.
    $( [3-Feb-1997] $)

  ${
    $d x A $.  $d x F $.  $d x G $.
    $( A class including a function contains the function's value in the image
       of the singleton of the argument. $)
    funfvima3 $p |- ( ( Fun F /\ F (_ G ) -> ( A e. dom F ->
                    ( F ` A ) e. ( G " { A } ) ) ) $=
      ( vx wss wfun cdm wcel cfv csn cima wi wa cop ssel funfvop syl5 imp wb
      cv wceq sneq imaeq2d eleq2d opeq1 eleq1d visset fvex elimasn vtoclbg
      ad2antll mpbird exp32 impcom ) BCEZBFZABGZHZABIZCAJZKZHZLUOUPURVBUOUPURMZ
      MVBAUSNZCHZUOVCVEUOVDBHVEVCBCVDOABPQRURVBVESUOUPUSCDTZJZKZHVFUSNZCHVBVEDA
      UQVFAUAZVHVAUSVJVGUTCVFAUBUCUDVJVIVDCVFAUSUEUFCVFUSDUGABUHUIUJUKULUMUN $.
      $( [24-Mar-2004] $) $( [23-Mar-2004] $)
  $}

  ${
    $d x y F $.
    $( Upper bound for the class of values of a class. $)
    fvclss $p |- { y | E. x y = ( F ` x ) } (_ ( ran F u. { (/) } ) $=
      ( cv cfv wceq wex cab crn wcel c0 csn wo cun wn wne wbr visset tz6.12i
      eqcom syl5ib 19.22dv elrn syl6ibr com12 necon1bd elsn orrd ss2abi df-un
      sseqtr4 ) BDZADZCEZFZAGZBHULCIZJZULKLZJZMZBHUQUSNUPVABUPURUTUPUROULKFUTUP
      URULKULKPZUPURVBUPUMULCQZAGURVBUOVCAVBUNULFVCUOUMULCARSULUNTUAUBAULCBRUCU
      DUEUFBKUGUDUHUIBUQUSUJUK $.
      $( [9-Nov-1995] $)
  $}

  ${
    $d x y F $.
    fvclex.1 $e |- F e. V $.
    $( Existence of the class of values of a set. $)
    fvclex $p |- { y | E. x y = ( F ` x ) } e. V $=
      ( cv cfv wceq wex cab crn c0 csn cun rnex p0ex unex fvclss ssexi ) BEAECF
      GAHBICJZKLZMSTCDNOPABCQR $.
      $( [9-Nov-1995] $)
  $}

  ${
    $d x y z w F $.  $d x y A $.
    fvresex.1 $e |- A e. V $.
    $( Existence of the class of values of a restricted class. $)
    fvresex $p |- { y | E. x y = ( ( F |` A ) ` x ) } e. V $=
      ( vw vz cv cfv wceq copab cres wex cab cvv visset fvex fveq2 fvopab
      fveqres ax-mp eqeq2i exbii abbii wfun wcel funopabeq resfunexg mp2an
      fvclex eqeltrr ) BHZAHZFHGHZDIZJGFKZCLZIZJZAMZBNULUMDCLIZJZAMZBNOUTVCBUSV
      BAURVAULUMUPIUMDIZJURVAJGFUMUOVDAPUMDQUNUMDRSUMCUPDTUAUBUCUDABUQUPUECOUFU
      QOUFGFUOUGEUPCOUHUIUJUK $.
      $( [14-Nov-1995] $)
  $}

  ${
    $d x y F $.  $d x y A $.
    abrexexlem1.1 $e |- A e. V $.
    $( Lemma for ~ abrexex .  Shows the existence of a class of existentially
       restricted function values. $)
    abrexexlem1 $p |- { y | E. x e. A y = ( F ` x ) } e. V $=
      ( cv cfv wceq wrex cab cres wex fvresex wcel wa df-rex fvres eqeq2d
      biimpar 19.22i sylbi ss2abi ssexi ) BFZAFZDGZHZACIZBJUDUEDCKGZHZALZBJABCD
      EMUHUKBUHUECNZUGOZALUKUGACPUMUJAULUJUGULUIUFUDUECDQRSTUAUBUC $.
      $( [26-Apr-2004] $) $( [22-Apr-2004] $)
  $}

  ${
    $d x y z w A $.  $d y z w B $.
    abrexexlem2.1 $e |- A e. V $.
    abrexexlem2.2 $e |- B e. V $.
    $( Lemma for ~ abrexex .  Almost there, but still requires that ` B ` be
       a set. $)
    abrexexlem2 $p |- { y | E. x e. A y = B } e. V $=
      ( vw vz cv wceq wrex cab copab cfv cvv wcel wa visset biantrur opabbii
      fveq1i fvopab2 mp2an eqtr eqeq2i rexbii ax-17 hbopab1 hbfv hbeq fveq2
      eqeq2d cbvrex bitr3 abbii hbopab2 hbrex eqeq1 rexbidv cbvab abrexexlem1
      eqeltr ) BIZDJZACKZBLZGIZHIZVDABMZNZJZHCKZGLZOVFVCVJJZHCKZBLVMVEVOBVEVCAI
      ZVINZJZACKVOVRVDACVQDVCVQVPVPOPZVDQZABMZNZDVPVIWAVDVTABVSVDARZSTUAVSDOPWB
      DJWCFABODOUBUCUDUEUFVRVNAHCVRHUGAGGVCVJVGVCPAUGAGVHVIVDABGUHVGVHPZAUGUIUJ
      VPVHJVQVJVCVPVHVIUKULUMUNUOVOVLBGVOGUGVKBHCVHCPBUGBAGVGVJVPVGPBUGBGVHVIVD
      ABGUPWDBUGUIUJUQVCVGJVNVKHCVCVGVJURUSUTUDHGCVIEVAVB $.
      $( [14-Oct-2003] $) $( [16-Oct-2003] $)
  $}

  ${
    $d x y z A $.  $d y z B $.
    abrexex.1 $e |- A e. V $.
    $( Existence of a class abstraction of existentially restricted sets.
       ` x ` is normally a free-variable parameter in the class expression
       substituted for ` B ` , which can be thought of as ` B ( x ) ` .  This
       simple-looking theorem is actually quite powerful and appears to involve
       the Axiom of Replacement in an intrinsic way, as can be seen by tracing
       back through the path ~ abrexexlem2 , ~ abrexexlem1 , ~ fvresex ,
       ~ resfunexg , and ~ funimaexg .  See also ~ abrexex2 . $)
    abrexex $p |- { y | E. x e. A y = B } e. V $=
      ( vz cv wceq wrex cab cvv wcel crab class2set abrexexlem2 wb visset
      eleq1 mpbii wral ax-1 r19.21aiv rabid2 sylibr eqeq2d syl ibi r19.22si
      ss2abi ssexi ) BGZDHZACIZBJUKDKLZFDMZHZACIZBJABCUOEFDNOUMUQBULUPACULUPULU
      NULUPPULUKKLUNBQUKDKRSUNDUOUKUNUNFDTDUOHUNUNFDUNFGDLUAUBUNFDUCUDUEUFUGUHU
      IUJ $.
      $( [18-Oct-2003] $) $( [16-Oct-2003] $)
  $}

  ${
    $d x y z A $.  $d y z B $.
    $( Existence of a class abstraction of existentially restricted sets.
       ` x ` is normally a free-variable parameter in ` B ` .  The antecedent
       assures us that ` A ` is a set. $)
    abrexexg $p |- ( A e. C -> { y | E. x e. A y = B } e. V ) $=
      ( vz cv wceq wrex cab cvv wcel rexeq1 abbidv eleq1d visset abrexex
      vtoclg ) BGDHZAFGZIZBJZKLSACIZBJZKLFCETCHZUBUDKUEUAUCBSATCMNOABTDFPQR $.
      $( [8-Nov-2003] $) $( [3-Nov-2003] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( The existence of an indexed union.  ` x ` is normally a free-variable
       parameter in ` B ` . $)
    iunexg $p |- ( ( A e. C /\ A. x e. A B e. D ) -> U_ x e. A B e. V ) $=
      ( vy wcel wral wa ciun cv wceq wrex cab cuni cvv dfiun2g adantl abrexexg
      uniexg syl adantr eqeltrd ) BDGZCEGABHZIABCJZFKCLABMFNZOZPUEUFUHLUDAFBCEQ
      RUDUHPGZUEUDUGPGUIAFBCDSUGPTUAUBUC $.
      $( [26-Mar-2006] $) $( [23-Mar-2006] $)
  $}

  ${
    $d x A $.
    iunex.1 $e |- A e. V $.
    iunex.2 $e |- B e. V $.
    $( The existence of an indexed union.  ` x ` is normally a free-variable
       parameter in the class expression substituted for ` B ` , which can be
       read informally as ` B ( x ) ` . $)
    iunex $p |- U_ x e. A B e. V $=
      ( cvv wcel wral ciun cv a1i rgen iunexg mp2an ) BFGCFGZABHABCIFGDOABOAJBG
      EKLABCFFMN $.
      $( [13-Oct-2003] $) $( [13-Oct-2003] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( The image of a union is the indexed union of the images.  Theorem 3K(a)
       of [Enderton] p. 50. $)
    imaiun $p |- ( A " U. B ) = U_ x e. B ( A " x ) $=
      ( vy vz cuni cima cv ciun wcel cop wa wex wrex eluni anbi1i exbii 19.41v
      anass an12 bitr bitr3 excom exdistr 3bitr visset elima3 rexbii df-rex
      bitr2 eliun 3bitr4 eqriv ) DBCFZGZACBAHZGZIZEHZUNJZUSDHZKBJZLZEMZVAUQJZAC
      NZVAUOJVAURJVDUSUPJZUPCJZLZAMZVBLZEMZVHVGVBLZEMZLAMZVFVCVKEUTVJVBAUSCOPQV
      LVHVMLZAMZEMVPEMAMVOVKVQEVKVIVBLZAMVQVIVBARVRVPAVRVGVHVBLLVPVGVHVBSVGVHVB
      TUAQUBQVPEAUCVHVMAEUDUEVFVNACNVOVEVNACEVABUPDUFZUGUHVNACUIUJUEEVABUNVSUGA
      VACUQUKULUM $.
      $( [1-Sep-2004] $) $( [9-Aug-2004] $)
  $}

  ${
    $d w x y z A $.  $d w x y z F $.
    $( The indexed union of a function's values is the union of its range. $)
    fniunfv $p |- ( F Fn A -> U_ x e. A ( F ` x ) = U. ran F ) $=
      ( vy wfn crn cuni cv cfv wceq wrex cab ciun fnrnfv unieqd fvex dfiun2
      syl6reqr ) CBEZCFZGDHAHZCIZJABKDLZGABUBMSTUCADBCNOADBUBUACPQR $.
      $( [12-Nov-2004] $) $( [27-Sep-2004] $)

    $( The indexed union of a function's values is the union of its image
       under the index class.

       Note: This theorem depends on the fact that our function value is the
       empty set outside of its domain.  If the antecedent is changed to
       ` F Fn A ` , the theorem can be proved without this dependency. $)
    funiunfv $p |- ( Fun F -> U_ x e. A ( F ` x ) = U. ( F " A ) ) $=
      ( vy vz vw wfun cv cfv ciun wcel wceq wa copab crn cuni cima wfn fvex
      eqid fnopab2 fniunfv ax-mp a1i fveq2 fvopab4 iuneq2i syl5eqr wrex cab
      wex wbr wi cdm visset funbrfvb biimpd c0 wn eqeq1 ndmfv syl5bi con1d
      impcom n0i sylan sylan2 anassrs ex pm2.43d funbrfv adantr impbid eqcom
      syl5bb rexbidv pm5.32da exbidv eluni elima anbi2i exbii bitr2 syl6bb
      eluniab eqrdv rnopab2 unieqi syl5eq eqtrd ) CGZABAHZCIZJZDHZBKEHZWOCIZLZM
      DENZOZPZCBQZPZWKABWLWSIZJZXAWNXEXALZWKWSBRXFDEBWQWSWOCSWSTZUAABWSUBUCUDAB
      XDWMDEWLWQWMBWSWOWLCUEXGWLCSUFUGUHWKWRDBUIZEUJZPZXCXAWKFXJXCWKFHZWPKZXHMZ
      EUKZXKXCKZXKXJKWKXNXLWOWPCULZDBUIZMZEUKZXOWKXMXREWKXLXHXQWKXLMZWRXPDBXTWQ
      WPLZXPWRXTYAXPXTYAXPXTYAYAXPUMZWKXLYAYBWKWOCUNKZYBXLYAMWKYCMYAXPWOWPCEUOZ
      UPUQWPURLZUSZYAYCXLYAYFYCYAYCYEYAWQURLYEYCUSWQWPURUTWOCVAVBVCVDWPXKVEVFVG
      VHVIVJWKXPYAUMXLWOWPCYDVKVLVMWPWQVNVOVPVQVRXOXLWPXBKZMZEUKXSEXKXBVSYHXREY
      GXQXLDWPCBYDVTWAWBWCWDXHEXKWEVOWFWTXIDEBWQWGWHWIWJ $.
      $( [3-Apr-2006] $) $( [26-Mar-2006] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( Membership in the union of an image of a function. $)
    eluniima $p |- ( Fun F ->
                   ( B e. U. ( F " A ) <-> E. x e. A B e. ( F ` x ) ) ) $=
      ( wfun cv cfv ciun wcel cima cuni wrex funiunfv eleq2d eliun syl5rbbr )
      DEZCABAFDGZHZICDBJKZICRIABLQSTCABDMNACBROP $.
      $( [29-Sep-2006] $) $( [28-Sep-2006] $)

    $( Membership in the union of the range of a function. $)
    elunirn $p |- ( Fun F ->
                     ( A e. U. ran F <-> E. x e. dom F A e. ( F ` x ) ) ) $=
      ( wfun cdm cima cuni wcel cv cfv wrex crn eluniima imadmrn unieqi eleq2i
      syl5bbr ) CDBCCEZFZGZHBAICJHARKBCLZGZHARBCMTUBBSUACNOPQ $.
      $( [26-Mar-2007] $) $( [24-Sep-2006] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    $( Membership in the union of the range of a function, proved directly.
       Unlike ~ elunirn , it doesn't appeal to ~ ndmfv (via ~ funiunfv ). $)
    elunirnALT $p |- ( Fun F -> ( A e. U. ran F <->
                E. x e. dom F A e. ( F ` x ) ) ) $=
      ( vy wfun cv wcel crn wa wex cfv cdm wrex cuni wceq wfn wb funfn fvelrnb
      sylbi anbi2d r19.42v syl6bbr eleq2 biimparc r19.22si syl6bi 19.23adv
      fvelrn a1d ancld fvex eleq1 anbi12d cla4ev syl6 r19.23adva impbid eluni
      syl5bb ) CEZBDFZGZVBCHZGZIZDJZBAFZCKZGZACLZMZBVDNGVAVGVLVAVFVLDVAVFVCVIVB
      OZIZAVKMZVLVAVFVCVMAVKMZIVOVAVEVPVCVACVKPVEVPQCRAVKVBCSTUAVCVMAVKUBUCVNVJ
      AVKVMVJVCVIVBBUDUEUFUGUHVAVJVGAVKVAVHVKGIZVJVJVIVDGZIZVGVQVJVRVQVRVJVHCUI
      UJUKVFVSDVIVHCULVBVIOVCVJVEVRVBVIBUDVBVIVDUMUNUOUPUQURDBVDUSUT $.
      $( [11-Oct-2006] $) $( [24-Sep-2006] $)
  $}

  ${
    $d x y z A $.  $d y z F $.
    funiunfvf.1 $e |- ( y e. F -> A. x y e. F ) $.
    $( The indexed union of a function's values is the union of its image
       under the index class.  This version of ~ funiunfv uses a
       bound-variable hypothesis in place of a distinct variable condition. $)
    funiunfvf $p |- ( Fun F -> U_ x e. A ( F ` x ) = U. ( F " A ) ) $=
      ( vz wfun cv cfv ciun cima cuni funiunfv wcel ax-17 hbfv fveq2 cbviun
      syl5eqr ) DGFCFHZDIZJDCKLACAHZDIZJFCDMFABCUAUCABTDEBHZTNAOPUDUCNFOTUBDQRS
      $.
      $( [4-Apr-2006] $) $( [26-Mar-2006] $)
  $}

  ${
    $d x y z A $.  $d z ph $.
    abrexex2.1 $e |- A e. V $.
    abrexex2.2 $e |- { y | ph } e. V $.
    $( Existence of an existentially restricted class abstraction.  ` ph ` is
       normally has free-variable parameters ` x ` and ` y ` .  This is a
       powerful generalization of ~ abrexex . $)
    abrexex2 $p |- { y | E. x e. A ph } e. V $=
      ( vz wrex cab cv wcel cvv wsbc ax-17 hbs1 hbrex wceq sbequ12 rexbidv
      cbvab df-clab rexbii abbii eqtr4 ciun df-iun iunex eqeltrr eqeltr ) ABDHZ
      CIZGJZACIZKZBDHZGIZLUKACULMZBDHZGIUPUJURCGUJGNUQCBDBJDKCNACGOPCJULQAUQBDA
      CGRSTUOURGUNUQBDAGCUAUBUCUDBDUMUEUPLBGDUMUFBDUMEFUGUHUI $.
      $( [14-Sep-2004] $) $( [12-Sep-2004] $)

    $( Existence of a class abstraction with an existentially quantified
       expression.  Both ` x ` and ` y ` can be free in ` ph ` . $)
    abexssex $p |- { y | E. x ( x (_ A /\ ph ) } e. V $=
      ( cpw wrex cab cv wss wa wex cvv wcel df-rex visset elpw anbi1i exbii
      bitr abbii pwex abrexex2 eqeltrr ) ABDGZHZCIBJZDKZALZBMZCINUGUKCUGUHUFOZA
      LZBMUKABUFPUMUJBULUIAUHDBQRSTUAUBABCUFDEUCFUDUE $.
      $( [30-Jul-2006] $) $( [29-Jul-2006] $)
  $}

  ${
    $d x y A $.
    abexex.1 $e |- A e. V $.
    abexex.2 $e |- ( ph -> x e. A ) $.
    abexex.3 $e |- { y | ph } e. V $.
    $( A condition where a class builder continues to exist after its wff is
       existentially quantified. $)
    abexex $p |- { y | E. x ph } e. V $=
      ( wrex cab wex cvv cv wcel wa df-rex pm4.71ri exbii bitr4 abbii abrexex2
      eqeltrr ) ABDHZCIABJZCIKUBUCCUBBLDMZANZBJUCABDOAUEBAUDFPQRSABCDEGTUA $.
      $( [5-Mar-2007] $) $( [4-Mar-2007] $)
  $}

  ${
    $d x y z A $.  $d z B $.  $d x y z F $.
    $( A one-to-one function in terms of function values.  Compare Theorem
       4.8(iv) of [Monk1] p. 43. $)
    f1fv $p |- ( F : A -1-1-> B <-> ( F : A --> B /\
             A. x e. A A. y e. A ( ( F ` x ) = ( F ` y ) -> x = y ) ) ) $=
      ( vz wf1 wf cv wbr wmo wal wa cfv wceq wi wral f11 wfn wb ffn wcel cdm
      fndm eleq2d visset breldm syl5bi anim12d pm4.71rd fnbrfvb eqcom syl5bb
      bi2anan9 anandis pm5.32da bitr4d imbi1d impexp syl6bb albidv 19.21v wex
      19.23v fvex eqvinc imbi1i bitr4 imbi2i bitr 2albidv breq1 mo4 albii
      alcom 3bitr r2al 3bitr4g syl pm5.32i ) CDEGCDEHZAIZFIZEJZAKZFLZMWAWBENZBI
      ZENZOZWBWHOZPZBCQACQZMAFCDERWAWFWMWAECSZWFWMTCDEUAWNWDWHWCEJZMZWKPZFLZBLZ
      ALZWBCUBZWHCUBZMZWLPZBLALWFWMWNWRXDABWNWRXCWCWGOZWCWIOZMZWKPZPZFLZXDWNWQX
      IFWNWQXCXGMZWKPXIWNWPXKWKWNWPXCWPMXKWNWPXCWNWDXAWOXBWNWBEUCZUBXAWDWNXLCWB
      CEUDZUEWBWCEAUFUGUHWNWHXLUBXBWOWNXLCWHXMUEWHWCEBUFUGUHUIUJWNXCXGWPWNXAXBX
      GWPTWNXAMZXEWDWNXBMZXFWOXNWGWCOWDXECWBWCEFUFZUKWCWGULUMXOWIWCOWOXFCWHWCEX
      PUKWCWIULUMUNUOUPUQURXCXGWKUSUTVAXJXCXHFLZPXDXCXHFVBXQWLXCXQXGFVCZWKPWLXG
      WKFVDWJXRWKFWGWIWBEVEVFVGVHVIVJUTVKWFWQBLZALZFLXSFLZALWTWEXTFWDWOABWBWHWC
      EVLVMVNXSFAVOYAWSAWQFBVOVNVPWLABCCVQVRVSVTVJ $.
      $( [29-Oct-1996] $)
  $}

  ${
    $d x y w v A $.  $d w v B $.  $d z w v F $.  $d x y z $.
    f1fvf.1 $e |- ( z e. F -> A. x z e. F ) $.
    f1fvf.2 $e |- ( z e. F -> A. y z e. F ) $.
    $( A one-to-one function in terms of function values.  Compare Theorem
       4.8(iv) of [Monk1] p. 43. $)
    f1fvf $p |- ( F : A -1-1-> B <-> ( F : A --> B /\
             A. x e. A A. y e. A ( ( F ` x ) = ( F ` y ) -> x = y ) ) ) $=
      ( vw vv wf1 wf cv cfv wceq wi wral wa f1fv wcel ax-17 hbfv hbeq hbim
      fveq2 eqeq2d eqeq2 imbi12d cbvral ralbii hbral eqeq1d eqeq1 ralbidv bitr
      anbi2i ) DEFKDEFLZIMZFNZJMZFNZOZURUTOZPZJDQZIDQZRUQAMZFNZBMZFNZOZVGVIOZPZ
      BDQZADQZRIJDEFSVFVOUQVFUSVJOZURVIOZPZBDQZIDQVOVEVSIDVDVRJBDVBVCBBCCUSVABC
      URFHCMZURTZBUAUBBCUTFHVTUTTBUAUBUCVCBUAUDVPVQJVPJUAVQJUAUDUTVIOZVBVPVCVQW
      BVAVJUSUTVIFUEUFUTVIURUGUHUIUJVSVNIADVRABDVIDTAUAVPVQAACCUSVJACURFGWAAUAU
      BACVIFGVTVITAUAUBUCVQAUAUDUKVNIUAURVGOZVRVMBDWCVPVKVQVLWCUSVHVJURVGFUEULU
      RVGVIUMUHUNUIUOUPUO $.
      $( [31-Jul-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x y F $.
    $( Equality of function values for a one-to-one function. $)
    f1fveq $p |- ( ( F : A -1-1-> B /\ ( C e. A /\ D e. A ) ) ->
                 ( ( F ` C ) = ( F ` D ) <-> C = D ) ) $=
      ( vx vy wf1 wcel wa cfv wceq wi cv fveq2 eqeq1d eqeq1 imbi12d imbi2d
      eqeq2d eqeq2 wral wf f1fv pm3.27bi ra42 syl com12 vtocl2ga impcom
      impbid1 ) ABEHZCAIDAIJZJCEKZDEKZLZCDLZUMULUPUQMZULFNZEKZGNZEKZLZUSVALZMZM
      ULUNVBLZCVALZMZMULURMFGCDAAUSCLZVEVHULVIVCVFVDVGVIUTUNVBUSCEOPUSCVAQRSVAD
      LZVHURULVJVFUPVGUQVJVBUOUNVADEOTVADCUARSULUSAIVAAIJZVEULVEGAUBFAUBZVKVEMU
      LABEUCVLFGABEUDUEVEFGAAUFUGUHUIUJCDEOUK $.
      $( [11-Feb-1997] $)
  $}

  ${
    $d x y A $.  $d x y F $.
    $( A one-to-one onto function in terms of function values. $)
    f1ofv $p |- ( F : A -1-1-onto-> B <-> ( F Fn A /\ ran F = B /\
             A. x e. A A. y e. A ( ( F ` x ) = ( F ` y ) -> x = y ) ) ) $=
      ( wf1o wf1 wfo wa wf cv cfv wceq wi wral wfn crn w3a df-f1o f1fv df-fo
      anbi12i df-3an wss eqimss anim2i df-f sylibr pm4.71ri anbi1i an23 3bitrr
      3bitr ) CDEFCDEGZCDEHZICDEJZAKZELBKZELMUQURMNBCOACOZIZECPZEQZDMZIZIZVAVCU
      SRZCDESUNUTUOVDABCDETCDEUAUBVFVDUSIUPVDIZUSIVEVAVCUSUCVDVGUSVDUPVDVAVBDUD
      ZIUPVCVHVAVBDUEUFCDEUGUHUIUJUPVDUSUKULUM $.
      $( [29-Mar-2008] $) $( [29-Mar-2008] $)
  $}

  $( The converse value of the value of a one-to-one onto function. $)
  f1ocnvfv1 $p |- ( ( F : A -1-1-onto-> B /\ C e. A ) ->
                 ( `' F ` ( F ` C ) ) = C ) $=
    ( wf1o wcel wa ccnv ccom cfv cid cres wceq f1ococnv1 fveq1d adantr wfun wf
    fvco3 3expa f1ocnv f1ofun syl f1of jca sylan fvresi adantl 3eqtr3d ) ABDEZC
    AFZGCDHZDIZJZCKALZJZCDJULJZCUJUNUPMUKUJCUMUOABDNOPULQZABDRZGUKUNUQMZUJURUSU
    KUTABCULDSTUJURUSUJBAULEURABDUABAULUBUCABDUDUEUFUKUPCMUJACUGUHUI $.
    $( [21-May-2004] $) $( [20-May-2004] $)

  $( The value of the converse value of a one-to-one onto function. $)
  f1ocnvfv2 $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                 ( F ` ( `' F ` C ) ) = C ) $=
    ( wf1o wcel wa ccnv ccom cfv cid cres wceq f1ococnv2 fveq1d adantr wfun wf
    fvco3 3expa f1ofun f1ocnv f1of syl jca sylan fvresi adantl 3eqtr3d ) ABDEZC
    BFZGCDDHZIZJZCKBLZJZCULJDJZCUJUNUPMUKUJCUMUOABDNOPDQZBAULRZGUKUNUQMZUJURUSU
    KUTBACDULSTUJURUSABDUAUJBAULEUSABDUBBAULUCUDUEUFUKUPCMUJBCUGUHUI $.
    $( [21-May-2004] $) $( [20-May-2004] $)

  $( Relationship between the value of a one-to-one onto function and the
     value of its converse.  (Contributed by Raph Levien, 10-Apr-2004.) $)
  f1ocnvfv $p |- ( ( F : A -1-1-onto-> B /\ C e. A ) ->
                  ( ( F ` C ) = D -> ( `' F ` D ) = C ) ) $=
    ( wf1o wcel wa ccnv cfv wceq f1ocnvfv1 eqeq2d fveq2 eqcoms syl5bi ) ABEFCAG
    HZDEIZJZCEJZRJZKZSCKTDKQUACSABCELMUBDTDTRNOP $.
    $( [21-May-2004] $) $( [10-Apr-2004] $)

  $( Relationship between the value of a one-to-one onto function and the
     value of its converse. $)
  f1ocnvfvb $p |- ( ( F : A -1-1-onto-> B /\ C e. A /\ D e. B ) ->
                  ( ( F ` C ) = D <-> ( `' F ` D ) = C ) ) $=
    ( wf1o wcel w3a cfv wceq ccnv wi f1ocnvfv 3adant3 wa f1ocnvfv2 eqeq2d
    fveq2 eqcoms syl5bi 3adant2 impbid ) ABEFZCAGZDBGZHCEIZDJZDEKIZCJZUCUDUGUIL
    UEABCDEMNUCUEUIUGLUDUCUEOZUFUHEIZJZUGUIUJUKDUFABDEPQULCUHCUHERSTUAUB $.
    $( [9-Aug-2006] $) $( [20-May-2004] $)

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x F $.
    $( There is one domain element for each value of a one-to-one onto
       function. $)
    f1ofveu $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                  E! x e. A ( F ` x ) = C ) $=
      ( wf1o wcel wa cv cfv wceq wreu cop ccnv wf feu f1ocnv f1of syl sylan wb
      w3a f1ocnvfvb 3com23 wfn visset fnopfvb 3adant3 f1o4 pm3.27bi syl3an1
      bitrd 3expa reubidva mpbird ) BCEFZDCGZHZAIZEJDKZABLDUSMENZGZABLZCBVAOZUQ
      VCUPACBDVAPUPCBVAFVDBCEQCBVARSTURUTVBABUPUQUSBGZUTVBUAUPUQVEUBUTDVAJUSKZV
      BUPVEUQUTVFUABCUSDEUCUDVACUEZUQVEVFVBUAZUPVGUQVHVECDUSVAAUFUGUHUPEBUEVGBC
      EUIUJUKULUMUNUO $.
      $( [15-Aug-2006] $) $( [26-May-2006] $)

    $( Value of the converse of a one-to-one onto function. $)
    f1ocnvfv3 $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                  ( `' F ` C ) = U. { x e. A | ( F ` x ) = C } ) $=
      ( wf1o wcel wa ccnv cfv wceq cv crab cuni f1ocnvfv2 wreu wb fveq2 eqeq1d
      reuuni2 eqcom syl6bb wf ffvelrn f1ocnv f1of syl sylan f1ofveu sylanc
      mpbid ) BCEFZDCGZHZDEIZJZEJZDKZUPALZEJZDKZABMNZKZBCDEOUPBGZVAABPZURVCQUNV
      DVEHURVBUPKVCVAURABUPUSUPKUTUQDUSUPERSTVBUPUAUBCBUOUCZUMVDULCBDUOUDULCBUO
      FVFBCEUECBUOUFUGUHABCDEUIUJUK $.
      $( [3-Nov-2006] $) $( [26-May-2006] $)
  $}

  $( The value of the converse of a one-to-one onto function belongs to its
     domain. $)
     f1ocnvdm $p |- ( ( F : A -1-1-onto-> B /\ C e. B ) ->
                    ( `' F ` C ) e. A ) $=
       ( ccnv wf wcel cfv wf1o ffvelrn f1ocnv f1of syl sylan ) BADEZFZCBGCOHAGA
       BDIZBACOJQBAOIPABDKBAOLMN $.
       $( [9-Jul-2006] $) $( [26-May-2006] $)

  ${
    $d x A $.  $d y B $.  $d x y F $.  $d y ph $.  $d x ps $.
    cbvfo.1 $e |- ( ( F ` x ) = y -> ( ph <-> ps ) ) $.
    $( Change bound variable between domain and range of function. $)
    cbvfo $p |- ( F : A -onto-> B -> ( A. x e. A ph <-> A. y e. B ps ) ) $=
      ( wfo cdm wral crn wfun wb fofun cv wcel wi wal cfv wceq wa wex wbr
      visset breldm a1i funbrfv jcad 19.22dv elrn syl5ib hba1 ax-17 biimpcd
      imim2i imp3a a4s 19.23ad syl9 19.21adv brelrn eldm biimprcd impbid
      df-ral 3bitr4g syl wf fof fdm raleq1 3syl forn raleq1d 3bitr3d ) EFGIZACG
      JZKZBDGLZKZACEKZBDFKVQGMZVSWANEFGOWCCPZVRQZARZCSZDPZVTQZBRZDSZVSWAWCWGWKW
      CWGWJDWCWIWEWDGTWHUAZUBZCUCZWGBWCWDWHGUDZCUCWNWIWCWOWMCWCWOWEWLWOWERWCWDW
      HGCUEZUFUGWDWHGDUEZUHZUIUJCWHGWQUKULWGWMBCWFCUMBCUNWFWMBRCWFWEWLBAWLBRWEW
      LABHUOUPUQURUSUTVAWCWKWFCWCWEWIWLUBZDUCZWKAWCWODUCWTWEWCWOWSDWCWOWIWLWOWI
      RWCWDWHGWPWQVBUGWRUIUJDWDGWPVCULWKWSADWJDUMADUNWJWSARDWJWIWLABWLARWIWLABH
      VDUPUQURUSUTVAVEACVRVFBDVTVFVGVHVQEFGVIVREUAVSWBNEFGVJEFGVKACVREVLVMVQBDV
      TFEFGVNVOVP $.
      $( [23-Feb-1997] $)

    $( Change bound variable between domain and range of function. $)
    cbvexfo $p |- ( F : A -onto-> B -> ( E. x e. A ph <-> E. y e. B ps ) ) $=
      ( wfo wn wral wrex cv cfv wceq negbid cbvfo dfrex2 3bitr4g ) EFGIZAJZCEKZ
      JBJZDFKZJACELBDFLTUBUDUAUCCDEFGCMGNDMOABHPQPACERBDFRS $.
      $( [23-Feb-1997] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y H $.  $d x y G $.
    $d x y R $.  $d x y S $.  $d x y T $.
    $( Equality theorem for isomorphisms. $)
    isoeq1 $p |- ( H = G ->
          ( H Isom R , S ( A , B ) <-> G Isom R , S ( A , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso f1oeq1 fveq1 breq12d bibi2d
      2ralbidv anbi12d df-iso 3bitr4g ) FEIZABFJZGKZHKZCLZUHFMZUIFMZDLZNZHAOGAO
      ZPABEJZUJUHEMZUIEMZDLZNZHAOGAOZPABCDFQABCDEQUFUGUPUOVAABFERUFUNUTGHAAUFUM
      USUJUFUKUQULURDUHFESUIFESTUAUBUCGHABCDFUDGHABCDEUDUE $.
      $( [23-May-2004] $) $( [17-May-2004] $)

    $( Equality theorem for isomorphisms. $)
    isoeq2 $p |- ( R = T ->
          ( H Isom R , S ( A , B ) <-> H Isom T , S ( A , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso breq bibi1d 2ralbidv anbi2d
      df-iso 3bitr4g ) CEIZABFJZGKZHKZCLZUFFMUGFMDLZNZHAOGAOZPUEUFUGELZUINZHAOG
      AOZPABCDFQABEDFQUDUKUNUEUDUJUMGHAAUDUHULUIUFUGCERSTUAGHABCDFUBGHABEDFUBUC
      $.
      $( [23-May-2004] $) $( [17-May-2004] $)

    $( Equality theorem for isomorphisms. $)
    isoeq3 $p |- ( S = T ->
          ( H Isom R , S ( A , B ) <-> H Isom R , T ( A , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso breq bibi2d 2ralbidv anbi2d
      df-iso 3bitr4g ) DEIZABFJZGKZHKZCLZUFFMZUGFMZDLZNZHAOGAOZPUEUHUIUJELZNZHA
      OGAOZPABCDFQABCEFQUDUMUPUEUDULUOGHAAUDUKUNUHUIUJDERSTUAGHABCDFUBGHABCEFUB
      UC $.
      $( [29-May-2004] $) $( [17-May-2004] $)

    $( Equality theorem for isomorphisms. $)
    isoeq4 $p |- ( A = C ->
          ( H Isom R , S ( A , B ) <-> H Isom R , S ( C , B ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso f1oeq2 raleq1 raleqd
      anbi12d df-iso 3bitr4g ) ACIZABFJZGKZHKZDLUFFMUGFMELNZHAOZGAOZPCBFJZUHHCO
      ZGCOZPABDEFQCBDEFQUDUEUKUJUMACBFRUIULGACUHHACSTUAGHABDEFUBGHCBDEFUBUC $.
      $( [29-May-2004] $) $( [17-May-2004] $)

    $( Equality theorem for isomorphisms. $)
    isoeq5 $p |- ( B = C ->
          ( H Isom R , S ( A , B ) <-> H Isom R , S ( A , C ) ) ) $=
      ( vx vy wceq wf1o cv wbr cfv wb wral wa wiso f1oeq3 anbi1d df-iso
      3bitr4g ) BCIZABFJZGKZHKZDLUDFMUEFMELNHAOGAOZPACFJZUFPABDEFQACDEFQUBUCUGU
      FBCAFRSGHABDEFTGHACDEFTUA $.
      $( [29-May-2004] $) $( [17-May-2004] $)
  $}


  ${
    $d y z w H $.  $d y z w R $.  $d y z w S $.  $d y z w A $.  $d y z w B $.
    $d x y z w $.
    hbiso.1 $e |- ( y e. H -> A. x y e. H ) $.
    hbiso.2 $e |- ( y e. R -> A. x y e. R ) $.
    hbiso.3 $e |- ( y e. S -> A. x y e. S ) $.
    hbiso.4 $e |- ( y e. A -> A. x y e. A ) $.
    hbiso.5 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for an isomorphism. $)
    hbiso $p |- ( H Isom R , S ( A , B ) -> A. x H Isom R , S ( A , B ) ) $=
      ( vz vw wf1o cv wbr cfv wb wral wa wal wiso hbf1o wcel ax-17 hbel hbbr
      hbfv hbbi hbral hban df-iso albii 3imtr4 ) CDGOZMPZNPZEQZUQGRZURGRZFQZSZN
      CTZMCTZUAZVFAUBCDEFGUCZVGAUBUPVEAABCDGHKLUDVDAMCABBUQCBPZUQUEAUFZKUGVCANC
      ABBURCVHURUEAUFZKUGUSVBAABUQUREVIIVJUHABUTVAFABUQGHVIUIJABURGHVJUIUHUJUKU
      KULMNCDEFGUMZVGVFAVKUNUO $.
      $( [29-May-2004] $) $( [17-May-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $( An isomorphism is a one-to-one onto function. $)
    isof1o $p |- ( H Isom R , S ( A , B ) -> H : A -1-1-onto-> B ) $=
      ( vx vy wiso wf1o cv wbr cfv wb wral df-iso pm3.26bi ) ABCDEHABEIFJZGJZCK
      QELRELDKMGANFANFGABCDEOP $.
      $( [29-May-2004] $) $( [27-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $d x y C $.  $d x y D $.
    $( An isomorphism connects binary relations via its function values. $)
    isorel $p |- ( ( H Isom R , S ( A , B ) /\ ( C e. A /\ D e. A ) ) ->
                 ( C R D <-> ( H ` C ) S ( H ` D ) ) ) $=
      ( vx vy wiso wcel wa wbr cfv wb cv wral wceq breq1 fveq2 breq1d bibi12d
      breq2 breq2d rcla42v wf1o df-iso pm3.27bi syl5com imp ) ABEFGJZCAKDAKLZCD
      EMZCGNZDGNZFMZOZULHPZIPZEMZURGNZUSGNZFMZOZIAQHAQZUQUKVDUQCUSEMZUNVBFMZOHI
      CDAAURCRZUTVFVCVGURCUSESVHVAUNVBFURCGTUAUBUSDRZVFUMVGUPUSDCEUCVIVBUOUNFUS
      DGTUDUBUEUKABGUFVEHIABEFGUGUHUIUJ $.
      $( [31-May-2004] $) $( [27-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y R $.
    $( Identity law for isomorphism.  Proposition 6.30(1) of [TakeutiZaring]
       p. 33. $)
    isoid $p |- ( I |` A ) Isom R , R ( A , A ) $=
      ( vx vy cid cres wiso wf1o cv wbr cfv wb wral df-iso f1oi wcel wa fvresi
      breqan12d bicomd rgen2a mpbir2an ) AABBEAFZGAAUCHCIZDIZBJZUDUCKZUEUCKZBJZ
      LZDAMCAMCDAABBUCNAOUJCDAUDAPZUEAPZQUIUFUKULUGUDUHUEBAUDRAUERSTUAUB $.
      $( [2-May-2004] $) $( [27-Apr-2004] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w R $.  $d x y z w S $.
    $d x y z w H $.
    $( Converse law for isomorphism.  Proposition 6.30(2) of [TakeutiZaring]
       p. 33. $)
    isocnv $p |- ( H Isom R , S ( A , B ) -> `' H Isom S , R ( B , A ) ) $=
      ( vx vy vz vw wf1o cv wbr cfv wb wral wa ccnv wiso f1ocnv adantr wcel
      wceq f1ocnvfv2 adantrr adantrl breq12d adantlr wf breq1 fveq2 breq1d
      bibi12d bicom syl6bb breq2d breq2 rcla42v imp ffvelrn anim12i anandis
      sylan an1rs f1of syl sylanl1 bitr3d exp32 r19.21adv r19.21aiv jca df-iso
      3imtr4 ) ABEJZFKZGKZCLZVOEMZVPEMZDLZNZGAOFAOZPZBAEQZJZHKZIKZDLZWFWDMZWGWD
      MZCLZNZIBOZHBOZPABCDERBADCWDRWCWEWNVNWEWBABESZTWCWMHBWCWFBUAZWLIBWCWPWGBU
      AZWLWCWPWQPZPWIEMZWJEMZDLZWHWKVNWRXAWHNWBVNWRPWSWFWTWGDVNWPWSWFUBWQABWFEU
      CUDVNWQWTWGUBWPABWGEUCUEUFUGBAWDUHZWBWRXAWKNZVNXBWRWBXCWIAUAZWJAUAZPZWBXC
      XBWRPXFWBXCWAXCWSVSDLZWIVPCLZNZFGWIWJAAVOWIUBZWAXHXGNXIXJVQXHVTXGVOWIVPCU
      IXJVRWSVSDVOWIEUJUKULXHXGUMUNVPWJUBZXGXAXHWKXKVSWTWSDVPWJEUJUOVPWJWICUPUL
      UQURXBWPWQXFXBWPPXDXBWQPXEBAWFWDUSBAWGWDUSUTVAVBVCVNWEXBWOBAWDVDVEVFVGVHV
      IVJVKFGABCDEVLHIBADCWDVLVM $.
      $( [30-May-2004] $) $( [27-Apr-2004] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u R $.  $d x y z w v u S $.  $d x y z w v u T $.
    $d x y z w v u G $.  $d x y z w v u H $.
    $( Composition (transitive) law for isomorphism.  Proposition 6.30(3) of
       [TakeutiZaring] p. 33. $)
    isotr $p |- ( ( H Isom R , S ( A , B ) /\ G Isom S , T ( B , C ) ) ->
               ( G o. H ) Isom R , T ( A , C ) ) $=
      ( vz vw vv vu vx vy wf1o cv wbr cfv wb wral wa ccom wiso pm3.26 anim12i
      ancoms f1oco syl wcel wi wf f1of ffvelrn ex anim12d adantr wceq breq1
      fveq2 breq1d bibi12d breq2 breq2d rcla42v com12 adantl sylan9 imp impcom
      adantll adantlr wfun fvco3 3expa breqan12d anandis f1ofun sylan 3bitr4d
      exp32 r19.21adv r19.21aiv jca df-iso anbi12i 3imtr4 ) ABHOZIPZJPZDQZWHHRZ
      WIHRZEQZSZJATIATZUAZBCGOZKPZLPZEQZWRGRZWSGRZFQZSZLBTKBTZUAZUAZACGHUBZOZMP
      ZNPZDQZXJXHRZXKXHRZFQZSZNATZMATZUAABDEHUCZBCEFGUCZUAACDFXHUCXGXIXRXGWQWGU
      AZXIXFWPYAXFWQWPWGWQXEUDWGWOUDUEUFZABCGHUGUHXGXQMAXGXJAUIZXPNAXGYCXKAUIZX
      PXGYCYDUAZUAXJHRZXKHRZEQZYFGRZYGGRZFQZXLXOXGYEYHYKSZWPYEYFBUIZYGBUIZUAZXF
      YLWGYEYOUJZWOWGABHUKZYPABHULZYQYCYMYDYNYQYCYMABXJHUMUNYQYDYNABXKHUMUNUOUH
      UPXEYOYLUJWQYOXEYLXDYLYFWSEQZYIXBFQZSKLYFYGBBWRYFUQZWTYSXCYTWRYFWSEURUUAX
      AYIXBFWRYFGUSUTVAWSYGUQZYSYHYTYKWSYGYFEVBUUBXBYJYIFWSYGGUSVCVAVDVEVFVGVHW
      PYEXLYHSZXFWOYEUUCWGYEWOUUCWNUUCXJWIDQZYFWLEQZSIJXJXKAAWHXJUQZWJUUDWMUUEW
      HXJWIDURUUFWKYFWLEWHXJHUSUTVAWIXKUQZUUDXLUUEYHWIXKXJDVBUUGWLYGYFEWIXKHUSV
      CVAVDVIVJVKYAYEXOYKSZXGGVLZYQUAZYEUUHYAUUJYCYDUUHUUJYCUAUUJYDUAXMYIXNYJFU
      UIYQYCXMYIUQABXJGHVMVNUUIYQYDXNYJUQABXKGHVMVNVOVPWQUUIWGYQBCGVQYRUEVRYBVR
      VSVTWAWBWCXSWPXTXFIJABDEHWDKLBCEFGWDWEMNACDFXHWDWF $.
      $( [13-Jun-2004] $) $( [27-Apr-2004] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w R $.
    $d x y z w S $.  $d x y z w T $.  $d x y z w G $.  $d x y z w H $.
    $( Composition (transitive) law for isomorphism.  Proposition 6.30(3) of
       [TakeutiZaring] p. 33.  This proof is shorter than ~ isotr in set.mm
       and uses fewer dummy variables, but it takes 240K vs. 207K for the web
       page. $)
    isotrALT $p |- ( ( H Isom R , S ( A , B ) /\ G Isom S , T ( B , C ) ) ->
               ( G o. H ) Isom R , T ( A , C ) ) $=
      ( vx vy vz vw wf1o cv wbr cfv wb wral wa ccom wiso pm3.26 anim12i ancoms
      f1oco syl ax-17 hbra1 hban wcel hbral wi wf f1of ffvelrn ex anim12d
      adantr wceq breq1 fveq2 breq1d bibi12d breq2 breq2d rcla42v com12 adantl
      sylan9 imp ra42 adantll adantlr wfun fvco3 3expa breqan12d anandis
      f1ofun sylan 3bitr4d exp32 r19.21ad r19.21ai jca df-iso anbi12i 3imtr4 )
      ABHMZINZJNZDOZWJHPZWKHPZEOZQZJARZIARZSZBCGMZKNZLNZEOZXAGPZXBGPZFOZQZLBRKB
      RZSZSZACGHTZMZWLWJXKPZWKXKPZFOZQZJARZIARZSABDEHUAZBCEFGUAZSACDFXKUAXJXLXR
      XJWTWISZXLXIWSYAXIWTWSWIWTXHUBWIWRUBUCUDZABCGHUEUFXJXQIAWSXIIWIWRIWIIUGWQ
      IAUHUIXIIUGUIXJWJAUJZXPJAWSXIJWIWRJWIJUGWQJIAYCJUGZWPJAUHUKUIXIJUGUIYDXJY
      CWKAUJZXPXJYCYESZSWOWMGPZWNGPZFOZWLXOXJYFWOYIQZWSYFWMBUJZWNBUJZSZXIYJWIYF
      YMULZWRWIABHUMZYNABHUNZYOYCYKYEYLYOYCYKABWJHUOUPYOYEYLABWKHUOUPUQUFURXHYM
      YJULWTYMXHYJXGYJWMXBEOZYGXEFOZQKLWMWNBBXAWMUSZXCYQXFYRXAWMXBEUTYSXDYGXEFX
      AWMGVAVBVCXBWNUSZYQWOYRYIXBWNWMEVDYTXEYHYGFXBWNGVAVEVCVFVGVHVIVJWSYFWPXIW
      RYFWPWIWRYFWPWPIJAAVKVJVLVMYAYFXOYIQZXJGVNZYOSZYFUUAYAUUCYCYEUUAUUCYCSUUC
      YESXMYGXNYHFUUBYOYCXMYGUSABWJGHVOVPUUBYOYEXNYHUSABWKGHVOVPVQVRWTUUBWIYOBC
      GVSYPUCVTYBVTWAWBWCWDWEXSWSXTXIIJABDEHWFKLBCEFGWFWGIJACDFXKWFWH $.
      $( [13-Jun-2004] $) $( [27-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $d x y C $.  $d x y D $.
    $( Isomorphisms preserve minimal elements.  Note that ` ( ``' R " { D } ) `
       is Takeuti and Zaring's idiom for the initial segment
       ` { x | x R D } ` .  Proposition 6.31(1) of [TakeutiZaring] p. 33. $)
    isomin $p |- ( ( H Isom R , S ( A , B ) /\ ( C (_ A /\ D e. A ) ) ->
               ( ( C i^i ( `' R " { D } ) ) = (/) <->
               ( ( H " C ) i^i ( `' S " { ( H ` D ) } ) ) = (/) ) ) $=
      ( vy vx wiso wss wcel wa ccnv csn cima cin c0 wceq cfv cv wex wn wrex
      wbr wb ssel wf1o wfn wi isof1o f1ofn visset fnbrfvb ex 3syl syl9r imp31
      rexbidva elima syl6rbbr cvv fvex eliniseg ax-mp a1i anbi12d elin r19.41v
      3bitr4g adantrr ad2antll isorel bitrd breq1 biimpar syl5bir exp32 com34
      imp32 r19.22dv sylbid exbii n0 df-rex 3bitr4 syl6ibr 19.23adv syl5ib a3d
      com12 funfvima funfni com13 syld imp syl sylan adantrd biimpd imp3a jcad
      3imtr4g n0i syl6 impbid ) ABEFGJZCAKZDALZMZMZCENDOPZQZRSZGCPZFNDGTZOPZQZR
      SZXKXSXNXKHUAZXRLZHUBXNUCZXSUCZXKYAYBHXKYAIUAZXLLZICUDZYBXKYAYDGTZXTSZXTX
      PFUEZMZICUDZYFXGXHYAYKUFXIXGXHMZXTXOLZXTXQLZMYHICUDZYIMYAYKYLYMYOYNYIYLYO
      YDXTGUEZICUDYMYLYHYPICXGXHYDCLZYHYPUFZXHYQYDALZXGYRCAYDUGZXGABGUHZGAUIZYS
      YRUJABEFGUKZABGULZUUBYSYRAYDXTGHUMZUNUOUPUQURUSIXTGCUUEUTVAYNYIUFZYLXPVBL
      ZUUFDGVCZFXPXTVBUUEVDVEVFVGXTXOXQVHYHYIICVIVJVKXKYJYEICXGXHXIYQYJYEUJZUJX
      GXHYQXIUUIXHYQYSXGXIUUIUJYTXGYSXIUUIXGYSXIMMZYEYGXPFUEZYJUUJYEYDDEUEZUUKX
      IYEUULUFXGYSEDYDAIUMVDVLZABYDDEFGVMZVNYHUUKYIYGXTXPFVOVPVQVRUQVSVTWAWBYDX
      MLZIUBZYQYEMZIUBYBYFUUOUUQIYDCXLVHZWCIXMWDZYEICWEWFWGWHHXRWDWIWJXKXNXSXKU
      UPYCYBXKUUOYCIXKUUOYGXRLZYCXKUUQYGXOLZYGXQLZMUUOUUTXKUUQUVAUVBXKYQUVAYEUU
      BXJYQUVAUJZXGUUBXHUVCXIUUBXHUVCYQXHUUBUVAYQXHYSUUBUVAUJXHYQYSYTWKUUBYSYQU
      VAUUBYSUVCUVCAYDGCYDGWLWMUOWNWOWNWPVKXGUUAUUBUUCUUDWQWRWSXKYQYEUVBXGXHXIY
      QYEUVBUJZUJXGXHYQXIUVDXHYQYSXGXIUVDUJYTXGYSXIUVDUUJYEUULUVBUUMUUJUULUUKUV
      BUUJUULUUKUUNWTUUGUVBUUKUFUUHFXPYGVBYDGVCVDVEWGWBVRUQVSVTXAXBUURYGXOXQVHX
      CXRYGXDXEWHUUSWIWJXF $.
      $( [7-Jun-2004] $) $( [19-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.  $d x y S $.  $d x y H $.
    $d x y D $.
    $( Isomorphisms preserve initial segments.  Proposition 6.31(2) of
       [TakeutiZaring] p. 33. $)
    isoini $p |- ( ( H Isom R , S ( A , B ) /\ D e. A ) ->
               ( H " ( A i^i ( `' R " { D } ) ) ) =
               ( B i^i ( `' S " { ( H ` D ) } ) ) ) $=
      ( vx vy wiso wcel wa ccnv cfv csn cima cin cv wbr wrex cab wceq wb crn
      wf1o wfo isof1o f1ofo forn eleq2d 3syl wfn f1ofn fvelrnb bitr3d cvv fvex
      visset eliniseg ax-mp a1i anbi12d adantr anbi2d elin syl5bb anbi1d anass
      syl6bb adantl wi isorel fnbrfvb bicomd syl sylan adantrr ancom breq1
      pm5.32i bitr exp32 com23 imp pm5.32d bitrd rexbidv2 r19.41v bitr4d
      abbi2dv dfima2 syl6reqr ) ABDEFIZCAJZKZBELCFMZNOZPZGQZHQZFRZGADLCNOZPZSZH
      TFXBOWNXCHWQWNWSBJZWSWPJZKZXCWSWQJWNXFWRFMZWSUAZGASZWSWOERZKZXCWLXFXKUBWM
      WLXDXIXEXJWLWSFUCZJZXDXIWLABFUDZABFUEZXMXDUBABDEFUFZABFUGXOXLBWSABFUHUIUJ
      WLXNFAUKZXMXIUBXPABFULZGAWSFUMUJUNXEXJUBZWLWOUOJXSCFUPEWOWSUOHUQZURUSUTVA
      VBWNXCXHXJKZGASXKWNWTYAGXBAWNWRXBJZWTKZWRAJZWRCDRZWTKZKZYDYAKWMYCYGUBWLWM
      YCYDYEKZWTKYGWMYBYHWTWMYDWRXAJZKYHYBWMYIYEYDDCWRAGUQURVCWRAXAVDVEVFYDYEWT
      VGVHVIWNYDYFYAWLWMYDYFYAUBZVJWLYDWMYJWLYDWMYJWLYDWMKKZYFXGWOERZXHKZYAYKYE
      YLWTXHABWRCDEFVKWLYDWTXHUBZWMXQYDYNWLXQYDKXHWTAWRWSFXTVLVMWLXNXQXPXRVNVOV
      PVAYMXHYLKYAYLXHVQXHYLXJXGWSWOEVRVSVTVHWAWBWCWDWEWFXHXJGAWGVHWHWSBWPVDVEW
      IGHFXBWJWK $.
      $( [17-Jun-2004] $) $( [20-Apr-2004] $)
  $}

  ${
    $d x y w A $.  $d x y z w B $.  $d x y w R $.  $d x y z w S $.
    $d x y z w H $.
    $( Lemma for ~ isofr . $)
    isofrlem $p |- ( H Isom R , S ( A , B ) -> ( S Fr B -> R Fr A ) ) $=
      ( vx vy vw vz wiso wfr cv wss c0 wne wa ccnv csn cima cin wceq wrex wi
      wal wf1o wfun isof1o f1ofun cvv wcel visset funimaex sseq1 neeq1 anbi12d
      ineq1 eqeq1d rexeqd imbi12d cla4gv syl 3syl dffr3 syl5ib wfn f1ofn wex
      ssel cfv funfvima funfni ne0i syl6 ex sylan9r pm2.43d 19.23adv ne0 imp3a
      wfo f1ofo crn imassrn forn sseq2d mpbii jctild syl5d fvelima adantr
      pm3.26 syl2an wb isomin imdistani sylan2 sneq imaeq2d ineq2d sylan9bb
      pm3.27 syl5bir exp42 imp com3l com4t r19.22dv mpd exp32 r19.23adv
      adantrd a2d syld 19.21adv syl6ibr ) ABCDEJZBDKZFLZAMZXRNOZPZXRCQGLZRSTNUA
      ZGXRUBZUCZFUDACKXPXQYEFXPXQYAEXRSZDQZHLZRZSZTZNUAZHYFUBZUCYEXPXQYFBMZYFNO
      ZPZYMYAXPILZBMZYQNOZPZYQYJTZNUAZHYQUBZUCZIUDZYPYMUCZXQXPABEUEZEUFZUUEUUFU
      CZABCDEUGZABEUHZUUHYFUIUJUUIEXRFUKULUUDUUFIYFUIYQYFUAZYTYPUUCYMUULYRYNYSY
      OYQYFBUMYQYFNUNUOUUBYLHYQYFUULUUAYKNYQYFYJUPUQURUSUTVAVBIHBDVCVDXPUUGYAYP
      UCUUJUUGYAYOYNUUGEAVEZYAYOUCABEVFUUMXSXTYOUUMXSXTYOUCUUMXSPZYBXRUJZGVGYOX
      TUUNUUOYOGUUNUUOYOXSUUOYBAUJZUUMUUOYOUCZXRAYBVHZUUMUUPUUQUUMUUPPUUOYBEVIZ
      YFUJZYOUUOUUTUCAYBEXRYBEVJVKYFUUSVLVMVNVOVPVQGXRVRVDVNVSVAUUGABEVTZYNABEW
      AUVAYFEWBZMYNEXRWCUVAUVBBYFABEWDWEWFVAWGVAWHXPYAYMYDXPXSYMYDUCZXTXPXSUVCX
      PXSPZYLYDHYFUVDYHYFUJZYLYDUVDUVEYLPZPZUUSYHUAZGXRUBZYDUUHUVEUVIUVDUVFGYHX
      REWIUVDUUGUUHXPUUGXSUUJWJUUKVAUVEYLWKWLUVGUVHYCGXRUVDUVFUUOUVHYCUCUCUUOUV
      HUVDUVFYCUVDUUOUVHUVFYCUCZXPXSUUOUVHUVJUCUCXPXSUUOUVHUVJXPXSUUOPZPZUVHPYC
      YLUVFUVLYCYFYGUUSRZSZTZNUAZUVHYLXPXSUUPPYCUVPWMUVKABXRYBCDEWNXSUUOUUPUURW
      OWPUVHUVOYKNUVHUVNYJYFUVHUVMYIYGUUSYHWQWRWSUQWTUVEYLXAXBXCXDXEXFXDXGXHXIX
      JVNXKXLXMXNFGACVCXO $.
      $( [8-Jun-2004] $) $( [29-Apr-2004] $)
  $}

  $( An isomorphism preserves foundedness.  Proposition 6.32(1) of
     [TakeutiZaring] p. 33. $)
  isofr $p |- ( H Isom R , S ( A , B ) -> ( R Fr A <-> S Fr B ) ) $=
    ( wiso wfr ccnv wi isocnv isofrlem syl impbid ) ABCDEFZACGZBDGZNBADCEHZFOPI
    ABCDEJBADCQKLABCDEKM $.
    $( [8-Jun-2004] $) $( [30-Apr-2004] $)

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y R $.  $d x y z w S $.
    $d x y z w H $.
    $( An isomorphism preserves well ordering.  Proposition 6.32(3) of
       [TakeutiZaring] p. 33. $)
  isowe $p |- ( H Isom R , S ( A , B ) -> ( R We A <-> S We B ) ) $=
    ( vx vy vz vw wiso wfr cv wbr wceq w3o wral wa wwe isofr cfv wcel isorel
    wf1 wb f1fveq wf1o isof1o f1of1 syl sylan bicomd ancom2s 3orbi123d
    2ralbidva wfo f1ofo breq2 eqeq2 breq1 cbvfo ralbidv eqeq1 bitrd 3syl
    anbi12d dfwe2 3bitr4g ) ABCDEJZACKZFLZGLZCMZVJVKNZVKVJCMZOZGAPFAPZQBDKZHLZI
    LZDMZVRVSNZVSVRDMZOZIBPZHBPZQACRBDRVHVIVQVPWEABCDESVHVPVJETZVKETZDMZWFWGNZW
    GWFDMZOZGAPZFAPZWEVHVOWKFGAAVHVJAUAZVKAUAZQZQZVLWHVMWIVNWJABVJVKCDEUBWQWIVM
    ABEUCZWPWIVMUDVHABVJVKEUEVHABEUFZWRABCDEUGZABEUHUIUJUKVHWOWNVNWJUDABVKVJCDE
    UBULUMUNVHWSABEUOZWMWEUDWTABEUPXAWMWFVSDMZWFVSNZVSWFDMZOZIBPZFAPWEXAWLXFFAW
    KXEGIABEWGVSNWHXBWIXCWJXDWGVSWFDUQWGVSWFURWGVSWFDUSUMUTVAXFWDFHABEWFVRNZXEW
    CIBXGXBVTXCWAXDWBWFVRVSDUSWFVRVSVBWFVRVSDUQUMVAUTVCVDVCVEFGACVFHIBDVFVG $.
    $( [12-Jun-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d x y z w v u A $.  $d x y v u B $.  $d x y z w v u H $.
    $d x y z w v u R $.  $d v u S $.
    $( Any one-to-one onto function determines an isomorphism with an
       induced relation ` S ` .  Proposition 6.33 of [TakeutiZaring] p. 34. $)
    f1oiso $p |- ( ( H : A -1-1-onto-> B /\ S = { <. z , w >. |
     E. x e. A E. y e. A ( ( z = ( H ` x ) /\ w = ( H ` y ) ) /\ x R y ) } ) ->
                  H Isom R , S ( A , B ) ) $=
      ( vv vu wf1o cv cfv wceq wa wbr wrex copab wb wral wiso pm3.26 wf1 wcel
      cop eleq2 f1fveq eqcom syl6bb anassrs anbi1d anass syl5bb rexbidv
      r19.42v rexbidva breq1 anbi2d ceqsrexv adantl bitrd breq2 sylan9bb
      anandis fvex eqeq1 2rexbidv opelopab sylan9bbr an1rs df-br syl5rbb exp32
      r19.21adv r19.21aiv f1of1 sylan jca df-iso sylibr ) EFILZHCMZAMZINZOZDMZB
      MZINZOZPZWDWHGQZPZBERAERZCDSZOZPZWBJMZKMZGQZWRINZWSINZHQZTZKEUAZJEUAZPEFG
      HIUBWQWBXFWBWPUCEFIUDZWPXFWBXGWPPZXEJEXHWREUEZXDKEXHXIWSEUEZXDXHXIXJPZPXA
      XBUFZHUEZWTXCXGXKWPXMWTTWPXMXLWOUEZXGXKPZWTHWOXLUGXOXAWEOZXBWIOZPZWLPZBER
      ZAERZWTXNXGXIXJYAWTTXGXIPZYAXQWRWHGQZPZBERZXGXJPZWTYBYAWDWROZXQWLPZBERZPZ
      AERZYEYBXTYJAEYBWDEUEZPZXTYGYHPZBERYJYMXSYNBEYMXPYHPYNXSYMXPYGYHXGXIYLXPY
      GTXGXIYLPPXPWRWDOYGEFWRWDIUHWRWDUIUJUKULXPXQWLUMUNUOYGYHBEUPUJUQXIYKYETXG
      YIYEAWREYGYHYDBEYGWLYCXQWDWRWHGURUSUOUTVAVBYFYEWHWSOZYCPZBERZWTYFYDYPBEYF
      WHEUEZPXQYOYCXGXJYRXQYOTXGXJYRPPXQWSWHOYOEFWSWHIUHWSWHUIUJUKULUQXJYQWTTXG
      YCWTBWSEWHWSWRGVCUTVAVBVDVEWNXPWJPZWLPZBERAERYACDXAXBWRIVFWSIVFWCXAOZWMYT
      ABEEUUAWKYSWLUUAWFXPWJWCXAWEVGULULVHWGXBOZYTXSABEEUUBYSXRWLUUBWJXQXPWGXBW
      IVGUSULVHVIUNVJVKXAXBHVLVMVNVOVPEFIVQVRVSJKEFGHIVTWA $.
      $( [21-Jun-2004] $) $( [30-Apr-2004] $)
  $}

  ${
    $d z w R $.  $d x y z w S $.  $d z w A $.  $d z w B $.  $d x y z w F $.
    f1owe.1 $e |- R = { <. x , y >. | ( F ` x ) S ( F ` y ) } $.
    $( Well-ordering of isomorphic relations. $)
    f1owe $p |- ( F : A -1-1-onto-> B -> ( S We B -> R We A ) ) $=
      ( vz vw wf1o wwe cv wbr cfv wb wral wceq fveq2 breq1d breq2d brabg
      rgen2a wa wiso df-iso isowe sylbir mpan2 biimprd ) CDGKZCELZDFLZUKIMZJMZE
      NUNGOZUOGOZFNZPZJCQICQZULUMPZUSIJCAMZGOZBMZGOZFNUPVEFNURABUNUOCCEVBUNRVCU
      PVEFVBUNGSTVDUORVEUQUPFVDUOGSUAHUBUCUKUTUDCDEFGUEVAIJCDEFGUFCDEFGUGUHUIUJ
      $.
      $( [13-Jun-2004] $) $( [4-Mar-1997] $)
  $}

  ${
    $d z w v u f R $.  $d x y z w v u f S $.  $d z w v u f A $.
    $d z w v u f B $.  $d x y z w v u f F $.
    f1oweALT.1 $e |- R = { <. x , y >. | ( F ` x ) S ( F ` y ) } $.
    $( Well-ordering of isomorphic relations.  (This version is proved directly
       instead of wit the isomorphism predicate.) $)
    f1oweALT $p |- ( F : A -1-1-onto-> B -> ( S We B -> R We A ) ) $=
      ( vu vf vw vv vz wf1o wfr cv wbr wceq w3o wral wa wwe wfo wi f1ofo wfn
      crn df-fo freq2 biimprd wfun cdm df-fn wss c0 wne wn wrex wal cima cvv
      wcel visset funimaex sseq1 neeq1 anbi12d raleq1 rexeqd imbi12d cla4gv
      wex cfv funfvima2 ne0i syl6 19.23adv ne0 syl5ib imp imassrn jctil syl7
      syl df-fr com23 exp3a anabsi5 imp3a cres wb fores breq1 negbid cbvfo
      rexbidv breq2 ralbidv cbvexfo bitrd fvres breqan12rd fveq2 breq1d breq2d
      brab syl6rbbr ralbidva rexbiia syl5bb sylibrd exp4b com34 imp4a 19.21adv
      syl6ibr biimpd sylan9 sylbi sylan9r wf1 df-f1o a1i f1fveq bicomd
      3orbi123d 2ralbidva eqeq1 eqeq2 sylan9bb anim12d dfwe2 3imtr4g ) CDGNZDFO
      ZIPZJPZFQZYPYQRZYQYPFQZSZJDTZIDTZUACEOZKPZLPZEQZUUEUUFRZUUFUUEEQZSZLCTKCT
      ZUADFUBCEUBYNYOUUDUUCUUKYNCDGUCZYOUUDUDZCDGUEUULGCUFZGUGZDRZUAUUMCDGUHUUP
      YOUUOFOZUUNUUDUUPUUQYOUUODFUIUJUUNGUKZGULZCRZUAUUQUUDUDGCUMUURUUQUUSEOZUU
      TUUDUURUUQMPZUUSUNZUVBUOUPZUAUUIUQZLUVBTZKUVBURZUDZMUSUVAUURUUQUVHMUURUUQ
      UVCUVDUVGUURUVCUUQUVDUVGUDUURUVCUVDUUQUVGUURUVCUVDUUQUVGUURUVCUAZUVDUUQUA
      YTUQZJGUVBUTZTZIUVKURZUVGUVIUVDUUQUVMUURUVCUVDUUQUVMUDZUDUURUVIUVDUVNUURU
      UQUVIUVDUAZUVMUURUUEUUOUNZUUEUOUPZUAZUVJJUUETZIUUEURZUDZKUSZUVOUVMUDZUUQU
      URUVKVAVBZUWBUWCUDGUVBMVCVDUWDUWBUVKUUOUNZUVKUOUPZUAZUVMUVOUWAUWGUVMUDKUV
      KVAUUEUVKRZUVRUWGUVTUVMUWHUVPUWEUVQUWFUUEUVKUUOVEUUEUVKUOVFVGUVSUVLIUUEUV
      KUVJJUUEUVKVHVIVJVKUVOUWFUWEUVIUVDUWFUVIUUEUVBVBZKVLUWFUVDUVIUWIUWFKUVIUW
      IUUEGVMZUVKVBUWFUVBUUEGVNUVKUWJVOVPVQKUVBVRVSVTGUVBWAWBWCWDKIJUUOFWEVSWFW
      GWHWIUVIUVBUVKGUVBWJZUCZUVGUVMWKUVBGWLUWLUUFUWKVMZUUEUWKVMZFQZUQZLUVBTZKU
      VBURZUVMUVGUWLUWRYQUWNFQZUQZJUVKTZKUVBURUVMUWLUWQUXAKUVBUWPUWTLJUVBUVKUWK
      UWMYQRUWOUWSUWMYQUWNFWMWNWOWPUXAUVLKIUVBUVKUWKUWNYPRZUWTUVJJUVKUXBUWSYTUW
      NYPYQFWQWNWRWSWTUVFUWQKUVBUWIUVEUWPLUVBUWIUUFUVBVBZUAZUUIUWOUXDUWOUUFGVMZ
      UWJFQZUUIUXCUWIUWMUXEUWNUWJFUUFUVBGXAUUEUVBGXAXBAPZGVMZBPZGVMZFQZUXEUXJFQ
      UXFABUUFUUEELVCZKVCZUXGUUFRUXHUXEUXJFUXGUUFGXCXDUXIUUERUXJUWJUXEFUXIUUEGX
      CXEHXFZXGWNXHXIXJWDXKXLXMWFXNXOMKLUUSEWEXPUUTUVAUUDUUSCEUIXQXRXSXTXSWDYNU
      UKUUCYNCDGYAZUULUAUUKUUCWKCDGYBUXOUUKUWJUXEFQZUWJUXERZUXFSZLCTZKCTZUULUUC
      UXOUUJUXRKLCCUXOUUECVBUUFCVBUAUAZUUGUXPUUHUXQUUIUXFUUGUXPWKUYAUXKUWJUXJFQ
      UXPABUUEUUFEUXMUXLUXGUUERUXHUWJUXJFUXGUUEGXCXDUXIUUFRUXJUXEUWJFUXIUUFGXCX
      EHXFYCUYAUXQUUHCDUUEUUFGYDYEUUIUXFWKUYAUXNYCYFYGUULUXTYPUXEFQZYPUXERZUXEY
      PFQZSZLCTZIDTUUCUXSUYFKICDGUWJYPRZUXRUYELCUYGUXPUYBUXQUYCUXFUYDUWJYPUXEFW
      MUWJYPUXEYHUWJYPUXEFWQYFWRWOUULUYFUUBIDUYEUUALJCDGUXEYQRUYBYRUYCYSUYDYTUX
      EYQYPFWQUXEYQYPYIUXEYQYPFWMYFWOWRWTYJXSUJYKIJDFYLKLCEYLYM $.
      $( [4-Mar-1997] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Cantor's Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y F $.
    canth.1 $e |- A e. V $.
    $( No set ` A ` is equinumerous to its power set (Cantor's theorem), i.e.
       no function can map ` A ` it onto its power set.  Compare Theorem 6B(b)
       of [Enderton] p. 132.  For the equinumerosity version, see ~ canth2 .
       Note that ` A ` must be a set:  this theorem does not hold when ` A ` is
       too large to be a set; see ~ ncanth for a counterexample.  (Use ~ nex
       if you want the form ` -. E. f f : A -onto-> P~ A ` .) $)
    canth $p |- -. F : A -onto-> P~ A $=
      ( vx vy cpw wfo crn wceq forn wf cv cfv wcel wn crab fof wral wb id
      fveq2 eleq12d negbid elrab baibr nbbn eleq2 con3i sylbi syl rgen wrex
      wfn wi ffn fvelrnb biimpd con3d ralnex syl5ib mpi wss ssrab2 rabex elpw
      mpbir mpbiri 3syl pm2.65i ) AAFZBGZBHZVJIZAVJBJVKAVJBKZDLZVOBMZNZOZDAPZVL
      NZOZVMOAVJBQVNELZBMZVSIZOZEARZWAWEEAWBANZWBWCNZOZWBVSNZSZWEWJWGWIVRWIDWBA
      VOWBIZVQWHWLVOWBVPWCWLTVOWBBUAUBUCUDUEWKWHWJSZOWEWHWJUFWDWMWCVSWBUGUHUIUJ
      UKVNWDEAULZOWAWFVNVTWNVNBAUMZVTWNUNAVJBUOWOVTWNEAVSBUPUQUJURWDEAUSUTVAVMV
      TVMVTVSVJNZWPVSAVBVRDAVCVSAVRDACVDVEVFVLVJVSUGVGUHVHVI $.
      $( [7-Aug-1994] $)
  $}

  $( Cantor's theorem fails for the universal class (which is not a set but a
     proper class by ~ nvelv ).  Specifically, the identity function maps the
     universe onto its power class.  Compare ~ canth that works for sets.  See
     also the remark in ~ ru about NF, in which Cantor's theorem fails for sets
     that are "too large."  This theorem gives some intuition behind that
     failure:  in NF the universal class is a set, and it equals its own power
     set. $)
  ncanth $p |- I : V -onto-> P~ V $=
    ( cvv cpw cid wf1o wfo f1ovi wceq wb pwv f1oeq3 ax-mp mpbir f1ofo ) AABZCDZ
    ANCEOAACDZFNAGOPHINAACJKLANCMK $.
    $( [29-Jun-2004] $) $( [29-Jun-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
  Miscellaneous ordinal theorems (that depend on functions and relations)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z A $.  $d y z B $.
    iunon.1 $e |- A e. V $.
    iunon.2 $e |- B e. V $.
    $( The indexed union of a set of ordinal numbers ` B ( x ) ` is an ordinal
       number. $)
    iunon $p |- ( A. x e. A B e. On -> U_ x e. A B e. On ) $=
      ( vy vz con0 wcel wral cv wceq wrex cab cuni ciun wss wi wal hbra1 ax-17
      ra4 eleq1a syl6 r19.23ad abid syl5ib 19.21aiv hbab1 dfss2f sylibr
      abrexex ssonuni syl dfiun2 syl5eqel ) CHIZABJZFKZCLZABMZFNZOZHABCPURVBHQZ
      VCHIURUSVBIZUSHIZRZFSVDURVGFURVAVFVEURUTVFABUQABTVFAUAURAKBIUQUTVFRUQABUB
      CHUSUCUDUEVAFUFUGUHFGVBHVAFGUIGKHIFUAUJUKVBAFBCDULUMUNAFBCEUOUP $.
      $( [14-Oct-2003] $) $( [13-Oct-2003] $)
  $}

  ${
    $d x y z A $.  $d y z B $.
    iinon.1 $e |- B e. V $.
    $( The nonempty indexed intersection of a class of ordinal numbers
       ` B ( x ) ` is an ordinal number. $)
    iinon $p |- ( ( A. x e. A B e. On /\ A =/= (/) ) ->
                |^|_ x e. A B e. On ) $=
      ( vy vz con0 wcel wral c0 wne wa cv wceq wrex cab cint ciin wss oninton
      wex df-rex exbii excom 19.42v isseti mpbiran2 3bitr2r ne0 abn0 3bitr4
      sylan2b wi wal hbra1 ax-17 ra4 eleq1a syl6 r19.23ad abid syl5ib 19.21aiv
      hbab1 dfss2f sylibr sylan dfiin2 syl5eqel ) CGHZABIZBJKZLEMZCNZABOZEPZQZG
      ABCRVPGSZVLVQGHZVKVRVPJKZVSVLVPTAMBHZAUAZVOEUAZVLVTWCWAVNLZAUAZEUAWDEUAZA
      UAWBVOWEEVNABUBUCWDAEUDWFWAAWFWAVNEUAWAVNEUEECDUFUGUCUHABUIVOEUJUKULVKVMV
      PHZVMGHZUMZEUNVRVKWIEVKVOWHWGVKVNWHABVJABUOWHAUPVKWAVJVNWHUMVJABUQCGVMURU
      SUTVOEVAVBVCEFVPGVOEFVDFMGHEUPVEVFVGAEBCDVHVI $.
      $( [17-May-2007] $) $( [13-Oct-2003] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                  Transfinite recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z w F $.  $d x y z w G $.
    $( A technical lemma for transfinite recursion.  Compare Lemma 1 of
       [TakeutiZaring] p. 47. $)
    tfrlem1 $p |- ( A e. On -> ( ( F Fn A /\ G Fn A ) ->
                  ( A. x e. A ( ( F ` x ) = ( B ` ( F |` x ) ) /\
                                        ( G ` x ) = ( B ` ( G |` x ) ) ) ->
                  A. x e. A ( F ` x ) = ( G ` x ) ) ) ) $=
      ( vy vz vw con0 wcel wfn wa wss cv cfv cres wceq wral wi ssid sseq1
      raleq1 imbi12d imbi2d anbi2d anbi12d onelsst sstr2 anim2d ax-17 hbra1
      ssel ra4 syl9 r19.21ad anim12d syl6 com23 r19.21adv eqeq12 fvreseq
      biimpar fveq2d syl5bir exp4c com4l imp4a imp31 r19.20dva r19.20 fveq2
      eqeq12d cbvralv syl5bb cbvral syl5ib ex imim12d pm2.43 syl5 tfis2
      vtoclga mpii ) BIJDBKEBKLZBBMZANZDOZDWFPZCOZQWFEOZEWFPZCOZQLZABRZWGWJQZAB
      RZSZBTWDFNZBMZWMAWRRZWOAWRRZSZSZSWDWEWQSZSFBIWRBQZXCXDWDXEWSWEXBWQWRBBUAX
      EWTWNXAWPWMAWRBUBWOAWRBUBUCUCUDWRIJZWDWSWTXAWDWSLZWTLZXASZWDGNZBMZLZWMAXJ
      RZLZWOAXJRZSZFGWRXJQZXHXNXAXOXQXGXLWTXMXQWSXKWDWRXJBUAUEWMAWRXJUBUFWOAWRX
      JUBUCXFXNGWRRZXOGWRRZSZXIXPGWRRXFXTXHXISXIXFXHXRXSXIXFXHXNGWRXFXJWRJZXHXN
      XFYAXJWRMZXHXNSWRXJUGYBXGXLWTXMYBWSXKWDXJWRBUHUIYBWTWMAXJYBAUJWMAWRUKYBWF
      XJJWFWRJZWTWMXJWRWFULWMAWRUMUNUOUPUQURUSXFXSXGWTXAXFXGXSXBXFXGXSXBSXFXGLZ
      HNZDOZYEEOZQZHWFRZAWRRZXBXSYDYJWMWOSZAWRRXBYDYIYKAWRXFXGYCYIYKSZXFYCXGYLX
      FYCWDWSYLXFYCWFWRMZWDWSYLSSWRWFUGYMWSWFBMZWDYLWFWRBUHWMWDYNYIWOWMWDYNYIWO
      WMWOWIWLQWDYNLZYILZWGWIWJWLUTYPWHWKCYOWHWKQYIHBWFDEVAVBVCVDVEVFUNUQVGURVH
      VIWMWOAWRVJUQXOYIGAWRWOAXJUKYIGUJXJWFQYHHXJRYIXOYHHXJWFUBWOYHAHXJWFYEQWGY
      FWJYGWFYEDVKWFYEEVKVLVMVNVOVPVQURVGVRXHXAVSUQXNXOGWRVJVTWAVEWBWC $.
      $( [2-May-2004] $) $( [23-Mar-1995] $)
  $}

  ${
    $d w A $.  $d w B $.  $d w F $.  $d w G $.  $d w x $.  $d w y $.
    $( Lemma for transfinite recursion.  This provides some messy details
       needed to link ~ tfrlem1 into the main proof. $)
    tfrlem2 $p |- ( ( F Fn A /\ G Fn A ) ->
       ( ( <. x , y >. e. F /\ <. x , z >. e. G ) ->
       ( A e. On -> ( A. w ( A e. On -> ( w e. A ->
          ( ( F ` w ) = ( B ` ( F |` w ) ) /\
            ( G ` w ) = ( B ` ( G |` w ) ) ) ) ) ->
       y = z ) ) ) ) $=
      ( wfn wa cv cop wcel con0 cfv cres wceq wi wal wral tfrlem1 com12 imp3a
      adantr fnop adantlr fveq2 eqeq12d rcla4v syl syld imp adantlrr df-ral
      anbi2i sylan2br wb wfun visset funopfv anim12i an4s fnfun sylan eqeq12
      mpbid abai albii 19.28v 3bitr3r sylan2b exp43 ) GEIZHEIZJZAKZBKZLGMZVPCKZ
      LHMZJZENMZWBDKZEMWCGOZGWCPFOQWCHOZHWCPFOQJZRZRZDSZVQVSQZVOWAJZWBWGDSZJZWJ
      WBWIJZWKWMJVPGOZVPHOZQZWJWKWBWFDETZJZWQWMVOVRWSWQVTVOVRJZWSWQWTWSWDWEQZDE
      TZWQVOWSXBRVRVOWBWRXBWBVOWRXBRDEFGHUAUBUCUDWTVPEMZXBWQRVMVRXCVNEVPVQGUEUF
      XAWQDVPEWCVPQWDWOWEWPWCVPGUGWCVPHUGUHUIUJUKULUMWRWLWBWFDEUNUOUPWKWQWJUQZW
      MWKWOVQQZWPVSQZJZXDGURZHURZJWAXGVOXHVRXIVTXGXHVRJXEXIVTJXFXHVRXEVPVQGBUSU
      TULXIVTXFVPVSHCUSUTULVAVBVMXHVNXIEGVCEHVCVAVDWOVQWPVSVEUJUDVFWBWGJZDSWBWH
      JZDSWMWNXJXKDWBWGVGVHWBWGDVIWBWHDVIVJVKVL $.
      $( [23-Mar-1995] $)
  $}

  ${
    $d x y f g $.  $d x y z $.  $d g z $.  $d f g G $.  $d x z G $.
    tfrlem3.1 $e |- A = { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = ( G ` ( f |` y ) ) ) } $.
    $( Lemma for transfinite recursion.  Let ` A ` be the class of "acceptable"
       functions.  The final thing we're interested in is the union of all
       these acceptable functions.  This lemma just changes some bound
       variables in ` A ` for later use. $)
    tfrlem3 $p |- A = { g | E. z e. On ( g Fn z /\
                A. y e. z ( g ` y ) = ( G ` ( g |` y ) ) ) } $=
      ( cv wfn cfv cres wceq wral wa con0 wrex cab wcel visset fneq1 fveq1
      reseq1 fveq2d eqeq12d ralbidv anbi12d rexbidv elab fneq2 raleq1 cbvrexv
      bitr abbi2i eqtr ) DEIZAIZJZBIZUPKZUPUSLZGKZMZBUQNZOZAPQZERZFIZCIZJZUSVHK
      ZVHUSLZGKZMZBVINZOZCPQZFRHVQFVGVHVGSVHUQJZVNBUQNZOZAPQZVQVFWAEVHFTUPVHMZV
      EVTAPWBURVRVDVSUQUPVHUAWBVCVNBUQWBUTVKVBVMUSUPVHUBWBVAVLGUPVHUSUCUDUEUFUG
      UHUIVTVPACPUQVIMVRVJVSVOUQVIVHUJVNBUQVIUKUGULUMUNUO $.
      $( [3-May-2004] $) $( [9-Apr-1995] $)
  $}

  ${
    $d x y f g h A $.  $d x y z w v u f F $.
    $d x y z w f g h G $.  $d x y B $.  $d z w v u g h $.
    tfrlem.1 $e |- A = { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = ( G ` ( f |` y ) ) ) } $.

    $( Let ` F ` be the union of all acceptable functions. $)
    tfrlem.2 $e |- F = U. A $.

    $( Lemma for transfinite recursion. ` A ` is the class of all "acceptable"
       functions, and ` F ` is their union.  First we show that an acceptable
       function is in fact a function. $)
    tfrlem4 $p |- ( g e. A -> Fun g ) $=
      ( vz cv wcel wfn cfv cres wceq wral wa con0 wrex wfun tfrlem3 abeq2i wi
      fnfun adantr a1i r19.23aiv sylbi ) EKZCLUJJKZMZBKZUJNUJUMOGNPBUKQZRZJSTZU
      JUAZUPECABJCDEGHUBUCUOUQJSUOUQUDUKSLULUQUNUKUJUEUFUGUHUI $.
      $( [3-May-2004] $) $( [9-Apr-1995] $)

    $( Lemma for transfinite recursion.  The values of two acceptable
       functions are the same within their domains. $)
    tfrlem5 $p |- ( ( g e. A /\ h e. A ) ->
                  ( ( <. x , u >. e. g /\ <. x , v >. e. h ) -> u = v ) ) $=
      ( vz vw cv wcel wa wfn cfv cres wceq wral con0 wrex cop wi tfrlem3
      abeq2i anbi12i reeanv bitr4 cin wal 2elresin tfrlem2 fnresin1 fnresin2
      syl2an sylbid com24 com3r imp32 onin r19.26m prth pm3.27 elin sylib syl5
      wss wb onelsst impac fvres resabs1 fveq2d eqeqan12rd anbi12d syl bicomd
      mpbidi exp3a 19.20i sylbir anim2i an4s ex r19.23aivv sylbi ) GOZEPZHOZEPZ
      QZWJMOZRZBOZWJSZWJWQTZJSZUAZBWOUBZQZWLNOZRZWQWLSZWLWQTZJSZUAZBXDUBZQZQZNU
      CUDMUCUDZAOZDOZUEZWJPXNCOZUEZWLPQZXOXQUAZUFZWNXCMUCUDZXKNUCUDZQXMWKYBWMYC
      YBGEABMEFGJKUGUHYCHEABNEFHJKUGUHUIXCXKMNUCUCUJUKXLYAMNUCUCWOUCPXDUCPQZXLY
      AWOXDULZUCPZWPXEQZYFWQYEPZWQWJYETZSZYIWQTZJSZUAZWQWLYETZSZYNWQTZJSZUAZQZU
      FUFZBUMZQZYAYDXLYFYGUUAYAYGUUAYFYAYGXSYFUUAXTYGXSXPYIPXRYNPQZYFUUAXTUFUFZ
      ADCWOXDWJWLUNYIYERYNYERUUCUUDUFWPXEADCBYEJYIYNUOWOXDWJUPXDWOWLUQURUSUTVAV
      BWOXDVCWPXEXBXJUUBXBXJQZUUAYGUUEWQWOPZXAUFWQXDPZXIUFQZBUMUUAXAXIBWOXDVDUU
      HYTBUUHYFYHYSYFYHQZXAXIQZYSUUHUUHUUFUUGQZUUJUUIUUFXAUUGXIVEUUIYHUUKYFYHVF
      WQWOXDVGVHVIUUIYSUUJUUIWQYEVJZYHQZYSUUJVKYFYHUULYEWQVLVMUUMYMXAYRXIYHUULY
      JWRYLWTWQYEWJVNUULYKWSJWJWQYEVOVPVQYHUULYOXFYQXHWQYEWLVNUULYPXGJWLWQYEVOV
      PVQVRVSVTWAWBWCWDWEWFURWGWHWI $.
      $( [3-May-2004] $) $( [9-Apr-1995] $)

    $( Lemma for transfinite recursion.  The union of all acceptable functions
       is a relation. $)
    tfrlem6 $p |- Rel F $=
      ( vg cuni wceq wrel cv reluni wcel wfun tfrlem4 funrel syl mprgbir releq
      mpbiri ax-mp ) ECJZKZELZHUEUFUDLZUGIMZLZICICNUHCOUHPUIABCDIEFGHQUHRSTEUDU
      AUBUC $.
      $( [3-May-2004] $) $( [8-Aug-1994] $)

    $( Lemma for transfinite recursion.  The union of all acceptable functions
       is a function. $)
    tfrlem7 $p |- Fun F $=
      ( vu vv vg vh wfun wrel cv cop wcel wa wceq wi wal dffun4 tfrlem6 wex
      cuni eleq2i eluni bitr anbi12i eeanv bitr4 an4 ancom tfrlem5 imp sylbi
      19.23aivv ax-gen gen2 mpbir2an ) EMENAOZIOZPZEQZVAJOZPZEQZRZVBVESZTZJUAZI
      UAAUAAIJEUBABCDEFGHUCVKAIVJJVHVCKOZQZVLCQZRZVFLOZQZVPCQZRZRZLUDKUDZVIVHVO
      KUDZVSLUDZRWAVDWBVGWCVDVCCUEZQWBEWDVCHUFKVCCUGUHVGVFWDQWCEWDVFHUFLVFCUGUH
      UIVOVSKLUJUKVTVIKLVTVNVRRZVMVQRZRZVIVTWFWERWGVMVNVQVRULWFWEUMUHWEWFVIABJI
      CDKLEFGHUNUOUPUQUPURUSUT $.
      $( [4-May-2004] $) $( [9-Aug-1994] $)

    $( Lemma for transfinite recursion.  The domain of ` F ` is ordinal.
       (The proof was shortened by Alan Sare, 11-Mar-2008.) $)
    tfrlem8 $p |- Ord dom F $=
      ( cdm word cv wceq wrex cab cuni con0 wss wcel eleq1a imp wfn wa wex cfv
      cres wral abeq2i pm3.26 r19.22si sylbi df-rex sylib fndm sylan2 19.23aiv
      syl sylan r19.23aiva abssi ssorduni ax-mp wb ciun dmeqi dmuni visset
      dmex dfiun2 3eqtr ordeq mpbir ) EIZJZAKZDKZIZLZDCMZANZOZJZVSPQWAVRAPVQVNP
      RZDCVPPRZVQWBVOCRZWCVQWBVPPVNSTWDWBVOVNUAZUBZAUCZWCWDWEAPMZWGWDWEBKZVOUDV
      OWIUEFUDLBVNUFZUBZAPMZWHWLDCGUGWKWEAPWEWJUHUIUJWEAPUKULWFWCAWBVPVNLZWCWEW
      BWMWCVNPVPSTVNVOUMUNUOUPUQURUSVSUTVAVLVTLVMWAVBVLCOZIDCVPVCVTEWNHVDDCVEDA
      CVPVODVFVGVHVIVLVTVJVAVK $.
      $( [12-Mar-2008] $) $( [14-Aug-1994] $)

    $( Lemma for transfinite recursion.  Here we compute the value of
       ` F ` (the union of all acceptable functions). $)
    tfrlem9 $p |- ( y e. dom F -> ( F ` y ) = ( G ` ( F |` y ) ) ) $=
      ( vz cv cdm wcel cop wex cfv cres wceq visset eldm2 wfn wral wa con0
      wrex cab cuni unieqi eqtr eleq2i eluniab bitr wi fnop wss ra4e abeq2i
      elssuni syl6ssr sylbir syl ra4 com12 fndm eleq2d wfun tfrlem7 funssfv
      mp3an1 adantrl w3a fun2ssres fveq2d eleq1d onelsst syl6bir imp31 sylan2
      eqeq12d biimprd ex com3l exp31 com34 com24 sylbird syld imp4d mpdi exp4d
      com4r pm2.43i imp4a r19.23adv imp 19.23aiv sylbi ) BJZEKLWQIJZMZELZINWQEO
      ZEWQPZFOZQZIWQEBRSWTXDIWTWSDJZLZXEAJZTZWQXEOZXEWQPZFOZQZBXGUAZUBZAUCUDZUB
      ZDNZXDWTWSXODUEZUFZLXQEXSWSECUFZXSHCXRGUGUHUIXODWSUJUKXPXDDXFXOXDXFXNXDAU
      CXFXGUCLZXHXMXDXHXFYAXMXDULZXHXFYAYBULULXHXFYAXHYBXHXFYAXHYBULULXHXFUBZYA
      XHXMXDYCWQXGLZYAXNUBZXDULXGWQWRXEUMYDYEXEEUNZXDYEXOYFXNAUCUOXOXECLZYFXODC
      GUPYGXEXTEXECUQHURUSUTYDYAXHXMYFXDULZYDXMXHYAYHYDXMXLXHYAYHULZULXMYDXLXLB
      XGVAVBXHYDXLYIXHYDWQXEKZLZXLYIULXHYJXGWQXGXEVCZVDXHYAXLYKYHXHYAYKXLYHXHYA
      YKXLYHULYFXHYAUBZYKUBZXLXDYFYNXLXDULYFYNUBZXDXLYOXAXIXCXKYFYKXAXIQZYMEVEZ
      YFYKYPABCDEFGHVFZWQEXEVGVHVIYFWQYJUNZXCXKQZYNYQYFYSYTYRYQYFYSVJXBXJFWQEXE
      VKVLVHXHYAYKYSXHYAYJUCLYKYSULXHYJXGUCYLVMYJWQVNVOVPVQVRVSVTWAWBWCWDWEWAWF
      WDWGWHUTWIVTWJWKWAWLWMWNWOWPWOWP $.
      $( [4-May-2004] $) $( [17-Aug-1994] $)

    ${
      $d x y f C $.
      tfrlem.3 $e |- C = ( F u. { <. dom F , ( G ` ( F |` dom F ) ) >. } ) $.
      $( Lemma for transfinite recursion.  We define class ` C ` by extending
         ` F ` with one ordered pair.  We will assume, falsely, that domain of
         ` F ` is a member of, and thus not equal to, ` On ` .  Using this
         assumption we will prove facts about ` C ` that will lead to a
         contradiction in ~ tfrlem13 , thus showing the domain of ` F ` does in
         fact equal ` On ` .  Here we show (under the false assumption) that
         ` C ` is a function extending the domain of ` F ` by one.  (The proof
         was shortened by Alan Sare, 20-Feb-2008.) $)
      tfrlem10 $p |- ( dom F e. On -> C Fn suc dom F ) $=
        ( vw cdm con0 wcel cres cfv cop csn cun csuc wfn wfun wceq wa cin c0
        funun cv wb opeq1 sneq funeq 3syl visset fvex funsn vtoclg tfrlem7
        jctil dmsnop ineq2i word tfrlem8 orddisj ax-mp eqtr a1i sylanc uneq2i
        dmun df-suc 3eqtr4 jctir df-fn sylibr fneq1 ) FLZMNZFVQFVQOZGPZQZRZSZVQ
        TZUAZDWDUAZVRWCUBZWCLZWDUCZUDWEVRWGWIFUBZWBUBZUDVQWBLZUEZUFUCZWGVRFWBUG
        VRWKWJKUHZVTQZRZUBZWKKVQMWOVQUCWPWAUCWQWBUCWRWKUIWOVQVTUJWPWAUKWQWBULUM
        WOVTKUNVSGUOUPUQABCEFGHIURUSWNVRWMVQVQRZUEZUFWLWSVQVQVTUTZVAVQVBWTUFUCA
        BCEFGHIVCVQVDVEVFVGVHVQWLSVQWSSWHWDWLWSVQXAVIFWBVJVQVKVLVMWCWDVNVODWCUC
        WFWEUIJWDDWCVPVEVO $.
        $( [20-Feb-2008] $) $( [14-Aug-1994] $)

      $( Lemma for transfinite recursion.  Compute the value of ` C ` . $)
      tfrlem11 $p |- ( dom F e. On ->
                     ( y e. suc dom F -> ( C ` y ) = ( G ` ( C |` y ) ) ) ) $=
        ( cdm con0 wcel cv wceq wo cfv cres csuc wi wfun wa wss cop csn cun
        ssun1 sseqtr4 funssfv 3expa adantrl fun2ssres fveq2d onelsst imp
        sylan2 eqeq12d tfrlem9 syl5bir mpanl2 wfn tfrlem10 fnfun syl sylan
        exp32 pm2.43i pm2.43d opeq1 adantl mp3an2 eqimss syl2an reseq2 eqtrd
        fveq2 opeq2 3syl sneqd opex snid syl5eleq elun2 syl6eleqr wb fvex
        fnopfvb visset eqelsuc mpbird ex jaod elsuci syl5 ) FKZLMZBNZWOMZWQWOOZ
        PWQDQZDWQRZGQZOZWQWOSZMZWPWRXCWSWPWRXCWPWRWRXCTZTWPWPWRXFDUAZWPWRUBZXFW
        PXGFDUCZXHXFFFWOFWORZGQZUDZUEZUFZDFXMUGJUHZXGXIUBZXHUBZXCWQFQZFWQRZGQZO
        WRXQWTXRXBXTXPWRWTXROZWPXGXIWRYAWQDFUIUJUKXPWQWOUCZXBXTOXHXPYBUBXAXSGXG
        XIYBXAXSOZWQDFULZUJUMWPWRYBWOWQUNUOUPUQABCEFGHIURUSUTWPDXDVAZXGABCDEFGH
        IJVBZXDDVCVDZVEVFVGVHWPWSXCWPWSUBZXCWQXBUDZDMZYHYIXNDYHYIXMMYIXNMYHYIUE
        XMYIYHYIXLYHYIWOXBUDZXLWSYIYKOWPWQWOXBVIVJYHXAXJOXBXKOYKXLOYHXAXSXJXGYB
        YCWPWSXGXIYBYCXOYDVKYGWQWOVLVMWSXSXJOWPWQWOFVNVJVOXAXJGVPXBXKWOVQVRVOVS
        YIWQXBVTWAWBYIXMFWCVDJWDYEXEXCYJWEWPWSXDWQXBDXAGWFWGYFWQWOBWHWIVMWJWKWL
        WQWOWMWN $.
        $( [4-May-2004] $) $( [18-Aug-1994] $)

      $( Lemma for transfinite recursion.  Show ` C ` is an acceptable
         function. $)
      tfrlem12 $p |- ( dom F e. On -> C e. A ) $=
        ( cdm con0 wcel cv wfn cfv cres wceq wral wa wrex csuc fneq2 raleq1
        anbi12d rcla4ev suceloni tfrlem10 tfrlem11 r19.21aiv jca sylanc cvv wb
        fnex fneq1 fveq1 reseq1 fveq2d eqeq12d ralbidv rexbidv elab2g syl
        mpbird ) FKZLMZDCMZDANZOZBNZDPZDVKQZGPZRZBVISZTZALUAZVFUBZLMZDVSOZVOBVS
        SZTZVRVGVQWCAVSLVIVSRVJWAVPWBVIVSDUCVOBVIVSUDUEUFVFUGZVGWAWBABCDEFGHIJU
        HZVGVOBVSABCDEFGHIJUIUJUKULVGDUMMZVHVRUNWAVTWFVGVSLDUOWEWDULENZVIOZVKWG
        PZWGVKQZGPZRZBVISZTZALUAVREDCUMWGDRZWNVQALWOWHVJWMVPVIWGDUPWOWLVOBVIWOW
        IVLWKVNVKWGDUQWOWJVMGWGDVKURUSUTVAUEVBHVCVDVE $.
        $( [4-May-2004] $) $( [15-Aug-1994] $)

      $( Lemma for transfinite recursion.  If ` dom F ` is in ` On ` , then
         ` C ` is acceptable, and thus a subset of ` F ` , but ` dom C ` is
         bigger than ` dom F ` .  This is a contradiction, so ` dom F ` must be
         ` On ` . $)
      tfrlem13 $p |- dom F = On $=
        ( cdm con0 wcel wn wceq wo word tfrlem8 ordirr wss wi cuni elssuni
        syl6ssr dmss ssel 3syl tfrlem12 csuc sucidg wfn tfrlem10 fndm syl
        eleqtrrd sylc nsyl ax-mp ordeleqon mpbi orel1 mp2 ) FKZLMZNZVDVCLOZPZVF
        VCQZVEABCEFGHIRZVHVCVCMZVDVCSDCMZVCDKZMZVJVDVKDFTVLVCTVMVJUAVKDCUBFDCUC
        IUDDFUEVLVCVCUFUGABCDEFGHIJUHVDVCVCUIZVLVCLUJVDDVNUKVLVNOABCDEFGHIJULVN
        DUMUNUOUPUQURVHVGVIVCUSUTVDVFVAVB $.
        $( [4-May-2004] $) $( [14-Aug-1994] $)

    $}
  $}

  ${
    $d x y f A $.  $d x y f F $.
    $d x y f G $.  $d x y B $.  $d y z $.
    tfr.1 $e |- A = { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = ( G ` ( f |` y ) ) ) } $.

    $( Let ` F ` be the union of all acceptable functions. $)
    tfr.2 $e |- F = U. A $.

    $( Principle of Transfinite Recursion, part 1 of 3.  Theorem 7.41(1) of
       [TakeutiZaring] p. 47.  We start with an arbitrary class ` G ` ,
       normally a function, and define a class ` A ` of all "acceptable"
       functions.  The final function we're interested in is the union
       ` F ` of them.  ` F ` is then said to be defined by transfinite
       recursion.  The purpose of the 3 parts of this theorem is to
       demonstrate properties of ` F ` .  In this first part we
       show that ` F ` is a function whose domain is all ordinal numbers. $)
    tfr1 $p |- F Fn On $=
      ( con0 wfn wfun cdm wceq df-fn tfrlem7 cres cfv cop csn cun eqid
      tfrlem13 mpbir2an ) EIJEKELZIMEINABCDEFGHOABCEUDEUDPFQRSTZDEFGHUEUAUBUC
      $.
      $( [5-May-2004] $) $( [17-Aug-1994] $)

    $( Principle of Transfinite Recursion, part 2 of 3.  Theorem 7.41(2) of
       [TakeutiZaring] p. 47.  Here we show that the function ` F ` has the
       property that for any function ` G ` whatsoever, the "next" value
       of ` F ` is ` G ` recursively applied to all "previous" values of
       ` F ` . $)
    tfr2 $p |- ( z e. On -> ( F ` z ) = ( G ` ( F |` z ) ) ) $=
      ( cv cfv cres wceq con0 fveq2 reseq2 fveq2d eqeq12d wcel cdm cop csn cun
      eqid tfrlem13 eleq2i tfrlem9 sylbir vtoclga ) BJZFKZFUJLZGKZMZCJZFKZFUOLZ
      GKZMBUONUJUOMZUKUPUMURUJUOFOUSULUQGUJUOFPQRUJNSUJFTZSUNUTNUJABDFUTFUTLGKU
      AUBUCZEFGHIVAUDUEUFABDEFGHIUGUHUI $.
      $( [5-May-2004] $) $( [9-Apr-1995] $)

    $( Principle of Transfinite Recursion, part 3 of 3.  Theorem 7.41(3) of
       [TakeutiZaring] p. 47.  Finally we show that ` F ` is unique.  We do
       this by showing that any class ` B ` with the same properties of ` F `
       that we showed in parts 1 and 2 is identical to ` F ` . $)
    tfr3 $p |- ( ( B Fn On /\
               A. x e. On ( B ` x ) = ( G ` ( B |` x ) ) ) -> B = F ) $=
      ( con0 wfn cv cfv cres wceq wral wa ax-17 hbra1 hban wcel wi hbim fveq2
      eqeq12d imbi2d ra4 wss wb tfr1 fvreseq mpanl2 syl6bir onsst sylan2
      ancoms imp adantr tfr2 jctr jcab sylibr eqeq12 syl6 adantl mpbird exp43
      com4t exp4a pm2.43d syl com3l imp3a a2d r19.21v syl5ib tfis2f com12
      r19.21ai eqid eqfnfv mpan2 biimpar mpanr1 syldan ) DJKZALZDMZDWGNZGMZOZAJ
      PZWHWGFMZOZAJPZDFOZWFWLQZWNAJWFWLAWFARWKAJSTZWGJUAZWQWNWQWNUBZWQBLZDMZXAF
      MZOZUBZABWQXDAWRXDARUCWGXAOZWNXDWQXFWHXBWMXCWGXADUDWGXAFUDUEUFWSWQXDBWGPZ
      UBWTXEBWGPWSWQXGWNWSWFWLXGWNUBZWLWSWFXHWLWSWKUBZWSWFXHUBZUBWKAJUGXIWSXJXI
      WSWSWFXHWSWFQZXGXIWSWNXKXGXIWSWNXKXGQZXIWSQZQWNWJFWGNZGMZOZXLXPXMXKXGXPWF
      WSXGXPUBZWFWGJUHZXQWSWFXRQXGWIXNOZXPWFFJKZXRXSXGUIABCEFGHIUJZBJWGDFUKULWI
      XNGUDUMWGUNUOUPUQURXMWNXPUIZXLXIWSYBXIWSWKWMXOOZQZYBXIXIWSYCUBZQWSYDUBXIY
      EABACEFGHIUSUTWSWKYCVAVBWHWJWMXOVCVDUQVEVFVGVHVIVJVKVLVMVNWQXDBWGVOVPVQVR
      VSWFJJOZWOWPJVTWFWPYFWOQZWFXTWPYGUIYAAJJDFWAWBWCWDWE $.
      $( [5-May-2004] $) $( [18-Aug-1994] $)
  $}

  ${
    $d x y A $.  $d x F $.  $d x G $.  $d y H $.
    tz7.44lem1.1 $e |- G = { <. x , y >. | ( ( x = (/) /\ y = A ) \/
            ( -. ( x = (/) \/ Lim dom x ) /\ y = ( H ` ( x ` U. dom x ) ) )
                \/ ( Lim dom x /\ y = U. ran x ) ) } $.
    $( ` G ` is a function.  Lemma for ~ tz7.44-1 , ~ tz7.44-2 , and
       ~ tz7.44-3 . $)
    tz7.44lem1 $p |- Fun G $=
      ( wfun cv c0 wceq wa cdm wlim wo wn cuni cfv crn w3o copab wmo funopab
      fvex cvv wcel visset rnexg uniexg syl ax-mp nlim0 wb dm0 limeq mtbir
      dmeq biimpa mto moeq3 mpgbir funeq mpbir ) DGZAHZIJZBHZCJKVEVDLZMZNOVFVGP
      VDQZEQZJKVHVFVDRZPZJKSZABTZGZVOVMBUAAVMABUBVEVHBCVJVLVIEUCVDUDUEZVLUDUEZA
      UFVPVKUDUEVQVDUDUGVKUDUHUIUJVEVHKILZMZVSIMZUKVRIJVSVTULUMVRIUNUJUOVEVHVSV
      EVGVRJVHVSULVDIUPVGVRUNUIUQURUSUTDVNJVCVOULFDVNVAUJVB $.
      $( [23-Apr-1995] $)
  $}

  ${
    $d x y A $.  $d x F $.  $d x G $.  $d y H $.
    tz7.44.1 $e |- G = { <. x , y >. | ( ( x = (/) /\ y = A ) \/
            ( -. ( x = (/) \/ Lim dom x ) /\ y = ( H ` ( x ` U. dom x ) ) )
                \/ ( Lim dom x /\ y = U. ran x ) ) } $.
    tz7.44.2 $e |- F Fn On $.
    tz7.44.3 $e |- ( x e. On -> ( F ` x ) = ( G ` ( F |` x ) ) ) $.
    ${
      tz7.44.4 $e |- A e. V $.
      $( The value of ` F ` at ` (/) ` .  Part 1 of Theorem 7.44 of
         [TakeutiZaring] p. 49. $)
      tz7.44-1 $p |- ( F ` (/) ) = A $=
        ( c0 cfv cres con0 wcel wceq 0elon cv fveq2 reseq2 fveq2d eqeq12d
        vtoclga ax-mp res0 fveq2i wfun cop tz7.44lem1 wa copab cdm wlim wo wn
        cuni crn w3o 3mix1 ssopab2i sseqtr4 0ex eqeq1 anbi1d anbi2d opelopab
        eqid mpbir2an sselii funopfv mp2 3eqtr ) KDLZDKMZELZKELZCKNOVMVOPZQARZD
        LZDVRMZELZPVQAKNVRKPZVSVMWAVOVRKDSWBVTVNEVRKDTUAUBIUCUDVNKEDUEUFEUGKCUH
        ZEOVPCPABCEFGUIWBBRZCPZUJZABUKZEWCWGWFWBVRULZUMZUNUOWDWHUPVRLFLPUJZWIWD
        VRUQUPPUJZURZABUKEWFWLABWFWJWKUSUTGVAWCWGOKKPZCCPZWFWMWEUJWMWNUJABKCVBJ
        WBWBWMWEVRKKVCVDWEWEWNWMWDCCVCVEVFKVGCVGVHVIKCEJVJVKVL $.
        $( [23-Apr-1995] $)
    $}

    ${
      $d x y B $.  $d y F $.  $d x H $.
      tz7.44.5 $e |- B e. On $.
      $( The value of ` F ` at a successor ordinal.  Part 2 of Theorem 7.44
         of [TakeutiZaring] p. 49. $)
      tz7.44-2 $p |- ( F ` suc B ) = ( H ` ( F ` B ) ) $=
        ( csuc cfv cres con0 wcel wceq onsuc cv fveq2 reseq2 fveq2d eqeq12d
        vtoclga ax-mp wfun cop tz7.44lem1 c0 cdm wlim wo wn cuni wa copab crn
        w3o 3mix2 ssopab2i sseqtr4 cvv wfn fnfun resfunexg mp2an fvex eqeq1 wb
        dmeq limeq syl orbi12d negbid unieq 3syl fveq1 eqtrd eqeq2d anbi12d
        anbi2d opelopab nsuceq0 cin fndm ineq2i dmres wss onss dfss mpbi
        3eqtr4 eqeq1i nemtbir dm0 syl6eq mto elisseti nlimsucg mtbir pm3.2ni
        sucid fvres unieqi onunisuc eqtr2 fveq2i eqtr3 mpbir2an sselii funopfv
        mp2 eqtr ) DLZEMZEXNNZFMZDEMZGMZXNOPZXOXQQZDKRZASZEMZEYCNZFMZQYAAXNOYCX
        NQZYDXOYFXQYCXNETYGYEXPFYCXNEUAUBUCJUDUEFUFXPXSUGZFPXQXSQABCFGHUHYCUIQZ
        YCUJZUKZULZUMZBSZYJUNZYCMZGMZQZUOZABUPZFYHYTYIYNCQUOZYSYKYNYCUQUNQUOZUR
        ZABUPFYSUUCABYSUUAUUBUSUTHVAYHYTPXPUIQZXPUJZUKZULZUMZXSUUEUNZXPMZGMZQZY
        SUUHYNUUKQZUOUUHUULUOABXPXSEUFZXTXPVBPEOVCZUUNIOEVDUEYBEXNOVEVFXRGVGZYC
        XPQZYMUUHYRUUMUUQYLUUGUUQYIUUDYKUUFYCXPUIVHUUQYJUUEQZYKUUFVIYCXPVJZYJUU
        EVKVLVMVNUUQYQUUKYNUUQYPUUJGUUQYPUUIYCMZUUJUUQUURYOUUIQYPUUTQUUSYJUUEVO
        YOUUIYCTVPUUIYCXPVQVRUBVSVTYNXSQUUMUULUUHYNXSUUKVHWAWBUUDUUFUUDUUEUIQZU
        VAXNUIDWCUUEXNUIXNEUJZWDXNOWDZUUEXNUVBOXNUUOUVBOQIOEWEUEWFEXNWGXNOWHXNU
        VCQXNYBWIXNOWJWKWLZWMWNUUDUUEUIUJUIXPUIVJWOWPWQUUFXNUKZDVBPUVEUMDOKWRZD
        VBWSUEUUEXNQUUFUVEVIUVDUUEXNVKUEWTXAXRUUJGDXPMZXRUUJDXNPUVGXRQDUVFXBDXN
        EXCUEDUUIXPUUIXNUNDUUEXNUVDXDDKXEXFXGXHXGXIXJXPXSFUUPXKXLXM $.
        $( [23-Apr-1995] $)

      $( The value of ` F ` at a limit ordinal.  Part 3 of Theorem 7.44 of
         [TakeutiZaring] p. 49. $)
      tz7.44-3 $p |- ( Lim B -> ( F ` B ) = U. ( F " B ) ) $=
        ( wlim cres cfv cima cuni cop cv cdm crn wceq wa copab wcel wb cin
        con0 wfn fndm ax-mp ineq2i dmres wss onss dfss mpbi 3eqtr4 limeq
        biimpr df-ima unieqi jctir wfun cvv fnfun resfunexg mp2an elisseti
        funimaex uniex dmeq syl rneq unieqd eqeq2d anbi12d eqeq1 anbi2d
        opelopab sylibr c0 wo wn w3o 3mix3 ssopab2i sseqtr4 sseli wi
        tz7.44lem1 funopfv 3syl fveq2 reseq2 fveq2d eqeq12d vtoclga syl5eq ) DL
        ZEDMZFNZEDOZPZDENZWSWTXCQZARZSZLZBRZXFTZPZUAZUBZABUCZUDZXEFUDZXAXCUAZWS
        WTSZLZXCWTTZPZUAZUBZXOWSXSYBXSWSXRDUAXSWSUEDESZUFDUGUFZXRDYDUGDEUGUHZYD
        UGUAIUGEUIUJUKEDULDUGUMDYEUADKUNDUGUOUPUQXRDURUJUSXBXTEDUTVAVBXMXSXIYAU
        AZUBYCABWTXCEVCZDUGUDZWTVDUDYFYHIUGEVEUJZKEDUGVFVGXBYHXBVDUDYJEDDUGKVHV
        IUJVJZXFWTUAZXHXSXLYGYLXGXRUAXHXSUEXFWTVKXGXRURVLYLXKYAXIYLXJXTXFWTVMVN
        VOVPXIXCUAYGYBXSXIXCYAVQVRVSVTXNFXEXNXFWAUAZXICUAUBZYMXHWBWCXIXGPXFNGNU
        AUBZXMWDZABUCFXMYPABXMYNYOWEWFHWGWHFVCXPXQWIABCFGHWJWTXCFYKWKUJWLYIXDXA
        UAZKXFENZEXFMZFNZUAYQADUGXFDUAZYRXDYTXAXFDEWMUUAYSWTFXFDEWNWOWPJWQUJWR
        $.
        $( [23-Apr-1995] $)
    $}
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            Recursive definition generator
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define a constant for the recursive definition generator. $)
  $c rec $.

  $( Extend class notation with the recursive definition generator. $)
  crdg $a class rec ( A , B ) $.

  ${
    $d x y z f g F $.  $d x y z f g A $.
    $( Define a recursive definition generator on ` On ` (the class of ordinal
       numbers) with characteristic function ` F ` and initial value ` A ` .
       This combines functions ` F ` in ~ tfr1 and ` G ` in ~ tz7.44-1 into one
       definition.  This rather amazing operation allows us to define, with
       compact direct definitions, functions that are usually defined in
       textbooks only with indirect self-referencing recursive definitions.  A
       recursive definition requires advanced metalogic to justify - in
       particular, eliminating a recursive definition is very difficult and
       often not even shown in textbooks.  On the other hand, the elimination
       of a direct definition is a matter of simple mechanical substitution.
       The price paid is the daunting complexity of our ` rec ` operation.
       But once we get past this hurdle, otherwise recursive definitions become
       relatively simple, as in for example ~ oav , from which we prove
       the recursive textbook definition as theorems ~ oa0 , ~ oasuc , and
       ~ oalim (with the help of theorems ~ rdg0 , ~rdgsuc , and ~ rdglim ).
       We can also restrict the ` rec ` operation to define otherwise recursive
       functions on the natural numbers ` om ` ; see ~ fr0t and ~ frsuct .
       Our ` rec ` operation apparently does not appear in published
       literature, although closely related is Definition 25.2 of [Quine]
       p. 177, which he uses to "turn...a recursion into a genuine or direct
       definition" (p. 174).  Note that the ` if ` operators (see ~ df-if )
       select cases based on whether the domain of ` g ` is zero, a successor,
       or a limit ordinal.

       An important use of this definition is in the recursive sequence
       generator ~ df-seq1 on the natural numbers (as a subset of the complex
       numbers), allowing us to define, with direct definitions, recursive
       infinite sequences such as the factorial function ~ df-fac and integer
       powers ~ df-exp .

       _Note: We introduce ` rec ` with the philosophical goal of being able_
       _to eliminate all definitions with direct mechanical substitution and_
       _to verify easily the soundness of definitions.  Metamath itself has no_
       _built-in technical limitation that prevents recursive definitions in_
       _the traditional textbook style_. $)
    df-rdg $a |- rec ( F , A ) = U. { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = ( { <. g , z >. | z = if ( g = (/) , A ,
                if ( Lim dom g , U. ran g , ( F ` ( g ` U. dom g ) ) ) ) }
                ` ( f |` y ) ) ) } $.
  $}

  ${
    $d x y z f g F $.  $d x y z f g A $.
    $( Alternate definition of a recursive definition generator.  (This was the
       original definition, but it was later replaced with the slightly shorter
       ~ df-rdg .) $)
    dfrdg2 $p |- rec ( F , A ) = U. { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = (
                    { <. g , z >. | ( ( g = (/) /\ z = A ) \/
                    ( -. ( g = (/) \/ Lim dom g ) /\
                        z = ( F ` ( g ` U. dom g ) ) )
                    \/ ( Lim dom g /\ z = U. ran g ) ) }
                ` ( f |` y ) ) ) } $=
      ( crdg cv wfn cfv cres c0 wceq cdm wlim crn cuni cif copab wral wa con0
      wrex cab wo wn w3o df-rdg eqif anbi2i orcom andi ioran anbi1i anass bitr
      dmeq dm0 syl6eq nlim0 limeq mtbiri syl con2i pm4.71ri orbi12i bitr4
      3bitr orbi2i 3orass 3bitr4 opabbii fveq1i eqeq2i ralbii rexbii abbii
      unieqi eqtr ) GDHEIZAIZJZBIZWAKZWAWDLZCIZFIZMNZDWHOZPZWHQRZWJRWHKGKZSZSNZ
      FCTZKZNZBWBUAZUBZAUCUDZEUEZRWCWEWFWIWGDNUBZWIWKUFUGZWGWMNZUBZWKWGWLNZUBZU
      HZFCTZKZNZBWBUAZUBZAUCUDZEUEZRABCDEFGUIXBXPXAXOEWTXNAUCWSXMWCWRXLBWBWQXKW
      EWFWPXJWOXIFCXCWIUGZWGWNNZUBZUFXCXFXHUFZUFWOXIXSXTXCXSXQXHWKUGZXEUBZUFZUB
      XQYBXHUFZUBZXTXRYCXQWKWGWLWMUJUKYCYDXQXHYBULUKYEXQYBUBZXQXHUBZUFXTXQYBXHU
      MXFYFXHYGXFXQYAUBZXEUBYFXDYHXEWIWKUNUOXQYAXEUPUQXHXQWKUBZXGUBYGWKYIXGWKXQ
      WIWKWIWJMNZYAWIWJMOMWHMURUSUTYJWKMPVAWJMVBVCVDVEVFUOXQWKXGUPUQVGVHVIVJWIW
      GDWNUJXCXFXHVKVLVMVNVOVPUKVQVRVSVT $.
      $( [16-Feb-2005] $) $( [15-Feb-2005] $)
  $}

  ${
    $d x y z f g F $.  $d x y z f g G $.  $d x y z f g A $.  $d x y z f g B $.
    $( Equality theorem for the recursive definition generator. $)
    rdgeq1 $p |- ( F = G -> rec ( F , A ) = rec ( G , A ) ) $=
      ( vf vx vy vz vg wceq cv wfn cfv cres c0 cdm wlim crn cuni cif copab
      wral wa con0 wrex cab crdg fveq1 ifeq2d eqeq2d opabbidv fveq1d ralbidv
      anbi2d rexbidv abbidv unieqd df-rdg 3eqtr4g ) BCIZDJZEJZKZFJZUTLZUTVCMZGJ
      ZHJZNIZAVGOZPZVGQRZVIRVGLZBLZSZSZIZHGTZLZIZFVAUAZUBZEUCUDZDUEZRVBVDVEVFVH
      AVJVKVLCLZSZSZIZHGTZLZIZFVAUAZUBZEUCUDZDUEZRBAUFCAUFUSWCWNUSWBWMDUSWAWLEU
      CUSVTWKVBUSVSWJFVAUSVRWIVDUSVEVQWHUSVPWGHGUSVOWFVFUSVHVNWEAUSVJVMWDVKVLBC
      UGUHUHUIUJUKUIULUMUNUOUPEFGADHBUQEFGADHCUQUR $.
      $( [9-Apr-1995] $)


    $( Equality theorem for the recursive definition generator. $)
    rdgeq2 $p |- ( A = B -> rec ( F , A ) = rec ( F , B ) ) $=
      ( vf vx vy vz vg wceq cv wfn cfv cres c0 cdm wlim crn cuni cif copab
      wral wa con0 wrex cab crdg ifeq1 eqeq2d opabbidv fveq1d ralbidv anbi2d
      rexbidv abbidv unieqd df-rdg 3eqtr4g ) ABIZDJZEJZKZFJZUSLZUSVBMZGJZHJZNIZ
      AVFOZPVFQRVHRVFLCLSZSZIZHGTZLZIZFUTUAZUBZEUCUDZDUEZRVAVCVDVEVGBVISZIZHGTZ
      LZIZFUTUAZUBZEUCUDZDUEZRCAUFCBUFURVRWGURVQWFDURVPWEEUCURVOWDVAURVNWCFUTUR
      VMWBVCURVDVLWAURVKVTHGURVJVSVEVGABVIUGUHUIUJUHUKULUMUNUOEFGADHCUPEFGBDHCU
      PUQ $.
      $( [9-Apr-1995] $)
  $}

  ${
    $d y z w v f g F $.  $d y z w v f g A $.  $d x y z w v f g $.
    hbrdg.1 $e |- ( y e. F -> A. x y e. F ) $.
    hbrdg.2 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for the recursive definition
       generator. $)
    hbrdg $p |- ( y e. rec ( F , A ) -> A. x y e. rec ( F , A ) ) $=
      ( vf vw vv vz vg crdg cv wfn cfv cres c0 wceq cdm wlim crn cuni cif
      copab wral wa con0 wrex cab df-rdg wcel ax-17 hbfv hbif hbeq hbopab
      hbral hban hbrex hbab hbuni hbxfr ) ABDCLGMZHMZNZIMZVCOZVCVFPZJMZKMZQRZCV
      JSZTZVJUAUBZVLUBVJOZDOZUCZUCZRZKJUDZOZRZIVDUEZUFZHUGUHZGUIZUBHIJCGKDUJABW
      FWEAGBWDAHUGVDUGUKAULVEWCAVEAULWBAIVDVFVDUKAULABBVGWABMZVGUKAULABVHVTVSKJ
      ABABBVIVRWGVIUKAULVKABCVQVKAULFVMABVNVPVMAULWGVNUKAULABVODEWGVOUKAULUMUNU
      NUOUPWGVHUKAULUMUOUQURUSUTVAVB $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d x y f g $.  $d x y z g $.  $d f g G $.  $d x z G $.  $d y z w g G $.
    $( Lemma used with the recursive definition generator.  This is a trivial
       lemma that just changes bound variables for later use. $)
    rdglem1 $p |- { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = ( G ` ( f |` y ) ) ) }
                = { g | E. z e. On ( g Fn z /\
                A. w e. z ( g ` w ) = ( G ` ( g |` w ) ) ) } $=
      ( cv wfn cfv cres wceq wral wa con0 wrex cab eqid tfrlem3 fveq2 reseq2
      fveq2d eqeq12d cbvralv anbi2i rexbii abbii eqtr ) EHZAHZIBHZUIJUIUKKGJLBU
      JMNAOPEQZFHZCHZIZUKUMJZUMUKKZGJZLZBUNMZNZCOPZFQUODHZUMJZUMVCKZGJZLZDUNMZN
      ZCOPZFQABCULEFGULRSVBVJFVAVICOUTVHUOUSVGBDUNUKVCLZUPVDURVFUKVCUMTVKUQVEGU
      KVCUMUAUBUCUDUEUFUGUH $.
      $( [7-May-2004] $) $( [9-Apr-1995] $)
  $}

  ${
    $d x y z w $.  $d x z w A $.  $d x z w H $.
    $( Lemma used with the recursive definition generator.  This is a trivial
       lemma that just changes bound variables for later use. $)
    rdglem2 $p |- { <. x , y >. | ( ( x = (/) /\ y = A ) \/
            ( -. ( x = (/) \/ Lim dom x ) /\ y = ( H ` ( x ` U. dom x ) ) )
                \/ ( Lim dom x /\ y = U. ran x ) ) }
                = { <. z , y >. | ( ( z = (/) /\ y = A ) \/
            ( -. ( z = (/) \/ Lim dom z ) /\ y = ( H ` ( z ` U. dom z ) ) )
                \/ ( Lim dom z /\ y = U. ran z ) ) } $=
      ( vw cv cop wceq c0 wa cdm wlim wo wn cuni cfv crn w3o wex cab copab
      opeq1 eqeq2d eqeq1 anbi1d wb dmeq limeq syl orbi12d negbid unieq fveq2
      3syl fveq1 eqtrd fveq2d anbi12d rneq unieqd 3orbi123d exbidv cbvexv
      abbii df-opab 3eqtr4 ) FGZAGZBGZHZIZVIJIZVJDIZKZVMVILZMZNZOZVJVPPZVIQZEQZ
      IZKZVQVJVIRZPZIZKZSZKZBTZATZFUAVHCGZVJHZIZWMJIZVNKZWPWMLZMZNZOZVJWRPZWMQZ
      EQZIZKZWSVJWMRZPZIZKZSZKZBTZCTZFUAWIABUBXKCBUBWLXNFWKXMACVIWMIZWJXLBXOVLW
      OWIXKXOVKWNVHVIWMVJUCUDXOVOWQWDXFWHXJXOVMWPVNVIWMJUEZUFXOVSXAWCXEXOVRWTXO
      VMWPVQWSXPXOVPWRIZVQWSUGVIWMUHZVPWRUIUJZUKULXOWBXDVJXOWAXCEXOWAXBVIQZXCXO
      XQVTXBIWAXTIXRVPWRUMVTXBVIUNUOXBVIWMUPUQURUDUSXOVQWSWGXIXSXOWFXHVJXOWEXGV
      IWMUTVAUDUSVBUSVCVDVEWIABFVFXKCBFVFVG $.
      $( [9-Apr-1995] $)
  $}

  ${
    $d x y z f g u v w F $.  $d x y z f g u v w A $.
    $( The recursive definition generator is a function on ordinal numbers. $)
    rdgfnon $p |- rec ( F , A ) Fn On $=
      ( vx vy vw vu vv vz vg vf cv wfn cfv cres c0 wceq cdm wlim crn cuni cif
      copab wral wa con0 wrex cab crdg rdglem1 df-rdg tfr1 ) CDEKZFKZLGKZULMULU
      NNHKIKZOPAUOQZRUOSTUPTUOMBMUAUAPIHUBZMPGUMUCUDFUEUFEUGJBAUHUQFGCDEJUQUIFG
      HAEIBUJUK $.
      $( [9-Apr-1995] $)
  $}

  ${
    $d x y z f g u v w F $.  $d x y z f g u v w A $.
    $( Value of the recursive definition generator. $)
    rdgval $p |- ( g e. On -> ( rec ( F , A ) ` g ) = (
                       { <. w , z >. | ( ( w = (/) /\ z = A ) \/
                       ( -. ( w = (/) \/ Lim dom w ) /\
                               z = ( F ` ( w ` U. dom w ) ) )
                       \/ ( Lim dom w /\ z = U. ran w ) ) }
                   ` ( rec ( F , A ) |` g ) ) ) $=
      ( vx vy vu vv vf cv con0 wcel crdg cfv cres c0 wceq wa cdm wlim wo wn
      cuni crn w3o copab wfn wral wrex cab rdglem1 dfrdg2 tfr2 rdglem2 fveq1i
      syl6eq ) DKZLMURECNZOUSURPZURQRZAKZCRZSVAURTZUAZUBUCVBVDUDUROEORSVEVBURUE
      UDRSUFDAUGZOUTBKZQRZVCSVHVGTZUAZUBUCVBVIUDVGOEORSVJVBVGUEUDRSUFBAUGZOFGDV
      GHKZUHIKZVGOVGVMPVFORIVLUISHLUJBUKJUSVFHIFGBJVFULHIACBDEUMUNUTVFVKDABCEUO
      UPUQ $.
      $( [9-Apr-1995] $)
  $}

  ${
    $d z g w F $.  $d z g w A $.
    ${
      rdg.1 $e |- A e. V $.
      $( The initial value of the recursive definition generator. $)
      rdg0 $p |- ( rec ( F , A ) ` (/) ) = A $=
        ( vg vz vw crdg cv c0 wceq wa cdm wlim wo wn cuni cfv crn w3o copab
        rdglem2 rdgfnon rdgval tz7.44-1 ) DEABAGFHZIJZEHZAJKUFUELZMZNOUGUHPUEQB
        QJKUIUGUERPJKSFETBFEDABUAABUBEFADBUCCUD $.
        $( [23-Apr-1995] $)
    $}

    ${
      $d z g B $.
      rdg.2 $e |- B e. On $.
      $( The value of the recursive definition generator at a successor. $)
      rdgsuc $p |- ( rec ( F , A ) ` suc B ) = ( F ` ( rec ( F , A ) ` B ) ) $=
        ( vg vz vw crdg cv c0 wceq wa cdm wlim wo wn cuni cfv crn w3o copab
        rdglem2 rdgfnon rdgval tz7.44-2 ) EFABCAHGIZJKZFIZAKLUGUFMZNZOPUHUIQUFR
        CRKLUJUHUFSQKLTGFUACGFEACUBACUCFGAECUDDUE $.
        $( [23-Apr-1995] $)

      $( The value of the recursive definition generator at a limit ordinal. $)
      rdglim $p |- ( Lim B ->
                   ( rec ( F , A ) ` B ) = U. ( rec ( F , A ) " B ) ) $=
        ( vg vz vw crdg cv c0 wceq wa cdm wlim wo wn cuni cfv crn w3o copab
        rdglem2 rdgfnon rdgval tz7.44-3 ) EFABCAHGIZJKZFIZAKLUGUFMZNZOPUHUIQUFR
        CRKLUJUHUFSQKLTGFUACGFEACUBACUCFGAECUDDUE $.
        $( [23-Apr-1995] $)
    $}
  $}

  ${
    $d x A $.  $d x F $.

    $( The initial value of the recursive definition generator. $)
    rdg0t $p |- ( A e. C -> ( rec ( F , A ) ` (/) ) = A ) $=
      ( vx c0 cv crdg cfv wceq rdgeq2 fveq1d id eqeq12d visset rdg0 vtoclg ) EC
      DFZGZHZQIECAGZHZAIDABQAIZSUAQAUBERTQACJKUBLMQCDNOP $.
      $( [25-Apr-1995] $)
  $}

  $( The value of the recursive definition generator at a successor. $)
  rdgsuct $p |- ( B e. On ->
               ( rec ( F , A ) ` suc B ) = ( F ` ( rec ( F , A ) ` B ) ) ) $=
    ( con0 wcel csuc crdg cfv wceq c0 cif suceq fveq2d fveq2 eqeq12d 0elon
    elimel rdgsuc dedth ) BDEZBFZCAGZHZBUBHZCHZITBJKZFZUBHZUFUBHZCHZIBJBUFIZUCU
    HUEUJUKUAUGUBBUFLMUKUDUICBUFUBNMOAUFCBJDPQRS $.
    $( [23-Apr-1995] $)

  ${
    $d z D $.  $d y z C $.  $d z A $.  $d z B $.  $d x y z $.
    rdgsucopab.1 $e |- ( z e. A -> A. x z e. A ) $.
    rdgsucopab.2 $e |- ( z e. B -> A. x z e. B ) $.
    rdgsucopab.3 $e |- ( z e. D -> A. x z e. D ) $.
    rdgsucopab.4 $e |- F = rec ( { <. x , y >. | y = C } , A ) $.
    rdgsucopab.5 $e |- ( x = ( F ` B ) -> C = D ) $.
    $( The value of the recursive definition generator at a successor (special
       case where the characteristic function is an ordered pair
       abstraction). $)
    rdgsucopab $p |- ( ( B e. On /\ D e. R ) ->  ( F ` suc B ) = D ) $=
      ( con0 wcel csuc cfv cv wceq copab crdg rdgsuct fveq1i syl5eq cvv fvex
      hbopab1 hbrdg hbfv eqeq2i sylbir fvopabgf mpan sylan9eq ) EOPZGHPZEQZIRZE
      BSFTZABUAZDUBZRZVARZGUPURVBRVDUSDEVAUCURIVBMUDUEVCUFPUQVDGTEVBUGABCVCFGUF
      HACEVBACDVAUTABCUHJUIKUJLASZVCTVEEIRZTFGTVFVCVEEIVBMUDUKNULUMUNUO $.
      $( [30-Oct-2003] $) $( [22-Oct-2003] $)

    $( The value of the recursive definition generator at a successor (special
       case where the characteristic function is an ordered-pair class
       abstraction and where the mapping class ` D ` is a proper class).  This
       is a technical lemma that can be used together with ~ rdgsucopab to help
       eliminate redundant sethood antecedents. $)
    rdgsucopabn $p |- ( -. D e. V ->  ( F ` suc B ) = (/) ) $=
      ( con0 wcel cvv wn csuc cfv c0 wceq wi cv copab crdg rdgsuct fveq1i
      syl5eq hbopab1 hbrdg hbfv eqeq2i sylbir fvopabnf sylan9eq ex cdm sucelon
      dmeqi wfn rdgfnon fndm ax-mp eqtr eleq2i bitr4 negbii ndmfv sylbi a1d
      pm2.61i ) ENOZGPOQZERZHSZTUAZUBVLVMVPVLVMVOEBUCFUAZABUDZDUEZSZVRSZTVLVNVS
      SWAVODEVRUFVNHVSLUGUHABCVTFGACEVSACDVRVQABCUIIUJJUKKAUCZVTUAWBEHSZUAFGUAW
      CVTWBEHVSLUGULMUMUNUOUPVLQZVPVMWDVNHUQZOZQVPVLWFVLVNNOWFEURWENVNWEVSUQZNH
      VSLUSVSNUTWGNUADVRVANVSVBVCVDVEVFVGVNHVHVIVJVK $.
      $( [8-Nov-2003] $) $( [22-Oct-2003] $)
  $}

  $( The value of the recursive definition generator at a limit ordinal. $)
  rdglimt $p |- ( ( B e. C /\ Lim B ) ->
                 ( rec ( F , A ) ` B ) = U. ( rec ( F , A ) " B ) ) $=
    ( wcel wlim con0 crdg cfv cima cuni wceq limelon wi c0 cif limeq fveq2
    imaeq2 unieqd eqeq12d imbi12d 0elon elimel rdglim dedth imp sylancom ) BCEB
    FZBGEZBDAHZIZUKBJZKZLZBCMUJUIUOUJUIUONUJBOPZFZUPUKIZUKUPJZKZLZNBOBUPLZUIUQU
    OVABUPQVBULURUNUTBUPUKRVBUMUSBUPUKSTUAUBAUPDBOGUCUDUEUFUGUH $.
    $( [23-Apr-1995] $)

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    $( The value of the recursive definition generator at a limit ordinal,
       in terms of the union of all smaller values. $)
    rdglim2 $p |- ( ( B e. C /\ Lim B ) -> ( rec ( F , A ) ` B ) =
                  U. { y | E. x e. B y = ( rec ( F , A ) ` x ) } ) $=
      ( wcel wlim wa crdg cfv cima cuni cv wceq wrex cab rdglimt cop wex con0
      wb word wi limord ordelord ex visset elon syl6ibr syl wfn rdgfnon
      fnopfvb mpan eqcom syl5bb syl6 pm5.32d exbidv df-rex syl5rbb abbidv
      dfima3 syl5eq unieqd adantl eqtrd ) DEGZDHZIDFCJZKVKDLZMZBNZANZVKKZOZADPZ
      BQZMZCDEFRVJVMVTOVIVJVLVSVJVODGZVOVNSVKGZIZATZBQVSVLVJWDVRBVJWAVQIZATWDVR
      VJWEWCAVJWAVQWBVJWAVOUAGZVQWBUBVJDUCZWAWFUDDUEWGWAVOUCZWFWGWAWHDVOUFUGVOA
      UHUIUJUKWFVPVNOZWBVQVKUAULWFWIWBUBCFUMUAVOVNVKBUHUNUOVNVPUPUQURUSUTVQADVA
      VBVCABVKDVDVEVFVGVH $.
      $( [23-Apr-1995] $)

    $( The value of the recursive definition generator at a limit ordinal,
       in terms of indexed union of all smaller values. $)
    rdglim2a $p |- ( ( B e. C /\ Lim B ) -> ( rec ( F , A ) ` B ) =
                  U_ x e. B ( rec ( F , A ) ` x ) ) $=
      ( vy wcel wlim wa crdg cfv cv wceq wrex cab cuni ciun rdglim2 fvex
      dfiun2 syl6eqr ) CDGCHICEBJZKFLALZUBKZMACNFOPACUDQAFBCDERAFCUDUCUBSTUA $.
      $( [28-Jun-1998] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Finite recursion
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( We use the next 3 theorems for finite recursion.  Note that we take
     advantage of what we have done for transfinite recursion, which allows
     us to explicitly specify the function and moreover not require the
     existence of omega. $)

  $( The function generated by finite recursive definition generation is a
     function on omega. $)
  frfnom $p |- ( rec ( F , A ) |` om ) Fn om $=
    ( crdg com cres wfn wfun cdm wceq df-fn con0 rdgfnon fnfun ax-mp funres
    cin fndm ineq2i dmres wss omsson dfss mpbi 3eqtr4 mpbir2an ) BACZDEZDFUGGZU
    GHZDIUGDJUFGZUHUFKFZUJABLZKUFMNDUFONDUFHZPDKPZUIDUMKDUKUMKIULKUFQNRUFDSDKTD
    UNIUADKUBUCUDUE $.
    $( [15-Oct-1996] $)

  $( The initial value resulting from finite recursive definition
     generation. $)
  fr0t $p |- ( A e. B -> ( ( rec ( F , A ) |` om ) ` (/) ) = A ) $=
    ( wcel c0 crdg cfv com cres rdg0t wceq peano1 fvres ax-mp syl5eq ) ABDECAFZ
    GZAEPHIGZABCJEHDRQKLEHPMNO $.
    $( [15-Oct-1996] $)

  $( The successor value resulting from finite recursive definition
     generation. $)
  frsuct $p |- ( B e. om -> ( ( rec ( F , A ) |` om ) ` suc B ) =
              ( F ` ( ( rec ( F , A ) |` om ) ` B ) ) ) $=
    ( com wcel csuc crdg cfv cres con0 wceq nnont rdgsuct syl peano2b fvres
    sylbi fveq2d 3eqtr4d ) BDEZBFZCAGZHZBUBHZCHZUAUBDIZHZBUFHZCHTBJEUCUEKBLABCM
    NTUADEUGUCKBOUADUBPQTUHUDCBDUBPRS $.
    $( [15-Oct-1996] $)

  ${
    $d z D $.  $d y z C $.  $d z A $.  $d z B $.  $d x y z $.
    frsucopab.1 $e |- ( z e. A -> A. x z e. A ) $.
    frsucopab.2 $e |- ( z e. B -> A. x z e. B ) $.
    frsucopab.3 $e |- ( z e. D -> A. x z e. D ) $.
    frsucopab.4 $e |- F = ( rec ( { <. x , y >. | y = C } , A ) |` om ) $.
    frsucopab.5 $e |- ( x = ( F ` B ) -> C = D ) $.
    $( The successor value resulting from finite recursive definition
       generation (special case where the generation function is an ordered
       pair abstraction). $)
    frsucopab $p |- ( ( B e. om /\ D e. R ) ->  ( F ` suc B ) = D ) $=
      ( com wcel csuc cfv cv wceq copab crdg cres frsuct fveq1i syl5eq cvv
      fvex hbopab1 hbrdg ax-17 hbres hbfv eqeq2i sylbir fvopabgf mpan sylan9eq
      ) EOPZGHPZEQZIRZEBSFTZABUAZDUBZOUCZRZVDRZGUSVAVFRVHVBDEVDUDVAIVFMUEUFVGUG
      PUTVHGTEVFUHABCVGFGUGHACEVFACVEOACDVDVCABCUIJUJCSOPAUKULKUMLASZVGTVIEIRZT
      FGTVJVGVIEIVFMUEUNNUOUPUQUR $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d x y z w F $.  $d x y z w A $.
    tz7.48.1 $e |- F Fn On $.
    $( A way of showing an ordinal function is one-to-one. $)
    tz7.48lem $p |- ( ( A (_ On /\ A. x e. A A. y e. x
                    -. ( F ` x ) = ( F ` y ) ) -> Fun `' ( F |` A ) ) $=
      ( vw vz con0 wss cv cfv wceq wn wral wa cres wi ccnv wfun wcel wal wb
      fvres eqeqan12d ad2antrl ssel anim12d wo pm3.48 oridm eqcom negbii
      orbi1i bitr3 syl6ibr con2d word ordtri3 biimprd eloni syl2an syl9r syl6
      imp32 sylbid exp32 a2d 19.20dv r2al 3imtr4g pm3.26 anim1i imim1i exp3a
      19.20i2 3imtr4 eleq1 fveq2 eqeq2d negbid imbi12d cbvralv ralbii eleq2
      eqeq1d ralbidv bitr 3bitr ralcom2 sylbi ancri r19.26-2 sylibr syl syl5
      imdistani wfn cvv wf wf1 f1fv df-f1 pm3.27bi fnf sylanb fnssres mpan
      sylan ) CHIZAJZDKZBJZDKZLZMZBXJNACNZOXIXJDCPZKZXLXQKZLZXJXLLZQZBCNACNZOXQ
      RSZXIXPYCXIXJXLTZXMXKLZMZQZXLXJTZXOQZOZBCNACNZYCXPXIXJCTZXLCTZOZYKQZBUAZA
      UAYOYBQZBUAZAUAYLYCXIYQYSAXIYPYRBXIYOYKYBXIYOYKYBXIYOYKOOXTXNYAYOXTXNUBXI
      YKYMYNXRXKXSXMXJCDUCXLCDUCUDUEXIYOYKXNYAQZXIYOXJHTZXLHTZOZYKYTQXIYMUUAYNU
      UBCHXJUFCHXLUFUGYKXNYEYIUHZMZUUCYAYKUUDXNYKUUDYGXOUHZXOYEYGYIXOUIXOXOXOUH
      UUFXOUJXOYGXOXNYFXKXMUKULUMUNUOUPXJUQZXLUQZUUEYAQUUAUUBUUGUUHOYAUUEXJXLUR
      USXJUTXLUTVAVBVCVDVEVFVGVHVHYKABCCVIYBABCCVIVJXPYJBCNZACNZYLYMYIOZXOQZBUA
      AUAYOYJQZBUAAUAXPUUJUULUUMABUULYOYIXOYOYIOUUKXOYOYMYIYMYNVKVLVMVNVOXOABCX
      JVIYJABCCVIVPUUJYHBCNACNZUUJOYLUUJUUNUUJYHACNZBCNZUUNUUJFJZXJTZXKUUQDKZLZ
      MZQZFCNZACNUUQGJZTZUVDDKZUUSLZMZQZFCNZGCNZUUPUUIUVCACYJUVBBFCXLUUQLZYIUUR
      XOUVAXLUUQXJVQUVLXNUUTUVLXMUUSXKXLUUQDVRVSVTWAWBWCUVCUVJAGCXJUVDLZUVBUVIF
      CUVMUURUVEUVAUVHXJUVDUUQWDUVMUUTUVGUVMXKUVFUUSXJUVDDVRWEVTWAWFWBUVKXJUVDT
      ZUVFXKLZMZQZACNZGCNUUPUVJUVRGCUVIUVQFACUUQXJLZUVEUVNUVHUVPUUQXJUVDVQUVSUV
      GUVOUVSUUSXKUVFUUQXJDVRVSVTWAWBWCUVRUUOGBCUVDXLLZUVQYHACUVTUVNYEUVPYGUVDX
      LXJWDUVTUVOYFUVTUVFXMXKUVDXLDVRWEVTWAWFWBWGWHYHBACWIWJWKYHYJABCCWLWMWNWOW
      PXQCWQZYCYDXICWRXQWSZYCYDUWAUWBYCOZUWBYDUWCCWRXQWTUWBYDOABCWRXQXACWRXQXBU
      NXCCXQXDXEDHWQXIUWAEHCDXFXGXHWN $.
      $( [9-Feb-1997] $)

    $( Proposition 7.48(1) of [TakeutiZaring] p. 51. $)
    tz7.48-1 $p |- ( A. x e. On ( F ` x ) e. ( A \ ( F " x ) ) ->
                   ran F (_ A ) $=
      ( vy cv cfv cima cdif wcel con0 wral crn wceq wa wex hbra1 ax-17 wi ra4
      eleq1 eldifi syl5cbi imim2i imp3a syl 19.23ad cop visset elrn2 cdm
      opeldm wfn fndm ax-mp syl6eleq ancri wb fnopfvb mpan pm5.32i sylibr
      19.22i sylbi syl5 ssrdv ) AFZCGZBCVGHZIJZAKLZECMZBVKVGKJZVHEFZNZOZAPZVNBJ
      ZVNVLJZVKVPVRAVJAKQVRARVKVMVJSZVPVRSVJAKTVTVMVOVRVJVOVRSVMVOVHBJVRVJVHVNB
      UAVHBVIUBUCUDUEUFUGVSVGVNUHCJZAPVQAVNCEUIZUJWAVPAWAVMWAOVPWAVMWAVGCUKZKVG
      VNCAUIULCKUMZWCKNDKCUNUOUPUQVMVOWAWDVMVOWAURDKVGVNCWBUSUTVAVBVCVDVEVF $.
      $( [9-Feb-1997] $)

    $( Proposition 7.48(2) of [TakeutiZaring] p. 51. $)
    tz7.48-2 $p |- ( A. x e. On ( F ` x ) e. ( A \ ( F " x ) ) -> Fun `' F ) $=
      ( vy cv cfv cima cdif wcel con0 wral cres ccnv wfun wceq wn wa wi onelon
      ancoms cdm crn cin dmres eleq2i elin bitr wfn fnfun ax-mp funres fvelrn
      mpan sylbir wb fvres eleq1d df-ima syl6rbbr adantr mpbird eleq1a eldifn
      nsyli syl fndm sylan2br syldan ex imp3a com12 r19.21aiv r19.20ia wss
      ssid tz7.48lem wrel fnrel eqimssi relssres mp2an cnveq funeq sylib ) AFZC
      GZBCWFHZIJZAKLZCKMZNZOZCNZOZWJWGEFZCGZPZQZEWFLZAKLZWMWIWTAKWFKJZWIRZWSEWF
      WPWFJZXCWSXDXBWIWSXDXBWIWSSZXDXBWPKJZXEXBXDXFWFWPTUAXDWPCUBZJZXEXFXDXHRZW
      QWHJZXEXIXJWPCWFMZGZXKUCZJZXIWPXKUBZJZXNXPWPWFXGUDZJXIXOXQWPCWFUEUFWPWFXG
      UGUHXKOZXPXNCOZXRCKUIZXSDKCUJUKWFCULUKWPXKUMUNUOXDXJXNUPXHXDXNWQXMJXJXDXL
      WQXMWPWFCUQURWHXMWQCWFUSUFUTVAVBXJWRWGWHJWIWQWHWGVCWGBWHVDVEVFXGKWPXTXGKP
      DKCVGUKZUFVHVIVJVKVLVMVNKKVOXAWMKVPAEKCDVQUNVFWLWNPZWMWOUPWKCPZYBCVRZXGKV
      OYCXTYDDKCVSUKXGKYAVTCKWAWBWKCWCUKWLWNWDUKWE $.
      $( [9-Feb-1997] $)

    $( Proposition 7.48(3) of [TakeutiZaring] p. 51. $)
    tz7.48-3 $p |- ( A. x e. On ( F ` x ) e. ( A \ ( F " x ) ) ->
                    -. A e. V ) $=
      ( cv cfv cima cdif wcel con0 wral cvv crn cdm onprc wfn wceq fndm ax-mp
      eleq1i mtbir ccnv wfun wi tz7.48-2 funrnex com12 df-rn dfdm4 3imtr4g syl
      mtoi wss tz7.48-1 ssexg ex mtod ) AEZCFBCURGHIAJKZBLIZCMZLIZUSVBCNZLIZVDJ
      LIOVCJLCJPVCJQDJCRSTUAUSCUBZUCZVBVDUDABCDUEVFVENZLIZVEMZLIZVBVDVHVFVJLVEU
      FUGVAVGLCUHTVCVILCUITUJUKULUSVABUMZUTVBUDABCDUNVKUTVBVABLUOUPUKUQ $.
      $( [9-Feb-1997] $)

    ${
      tz7.49.2 $e |- A e. V $.
      $( Proposition 7.49 of [TakeutiZaring] p. 51. $)
      tz7.49 $p |- ( A. x e. On ( ( A \ ( F " x ) ) =/= (/) ->
                   ( F ` x ) e. ( A \ ( F " x ) ) ) ->
                   E. x e. On ( A. y e. x ( A \ ( F " y ) ) =/= (/) /\
                   ( F " x ) = A /\ Fun `' ( F |` x ) ) ) $=
        ( vz cv cima cdif c0 wne cfv wcel wi con0 wral wceq wa wrex cres ccnv
        wfun w3a wn cvv tz7.48-3 mt2 r19.20 df-ne ralbii syl5ibr mtoi dfrex2
        sylibr imaeq2 difeq2d eqeq1d onminex syl anbi2i rexbii hbra1 pm3.27
        ad2antrr wss ax-17 hban ra4 adantld onelon neeq1d fveq2 eleq12d
        imbi12d rcla4v com23 sylcom com3r imp exp3a eleq1 eldifi syl5cbi syl8
        com34 r19.23ad wfn fnfun ax-mp fvelima mpan syl5 ssrdv ssdif0 biimpr
        anim12i eqss wal ssel cdm onsst fndm syl6ssr funfvima2 syl6 com12 a1i
        syldd imp4a eleq1a con3d eldifn syl5com com4r 19.21adv 19.21ad r2al
        syl6ibr ancld tz7.48lem ancoms adantr 3jca exp41 r19.22d mpd ) CDAHZIZJ
        ZKLZYHDMZYJNZOZAPQZYJKRZCDBHZIZJZKLZBYHQZSZAPTZUUAYICRZDYHUAUBUCZUDZAPT
        YOYPYSKRZUEZBYHQZSZAPTZUUCYOYPAPTZUUKYOYPUEZAPQZUEUULYOUUNYMAPQZUUOCUFN
        FACDEUGUHYOYKAPQUUOUUNYKYMAPUIYKUUMAPYJKUJUKULUMYPAPUNUOYPUUGABYHYQRZYJ
        YSKUUPYIYRCYHYQDUPUQZURUSUTUUBUUJAPUUAUUIYPYTUUHBYHYSKUJUKVAVBUOYOUUBUU
        FAPYNAPVCYOYHPNZYPUUAUUFYOUURUUAYPUUFYOUUAUURYPUUFOYOUUAUURYPUUFYOUUASZ
        UURSZYPSZUUAUUDUUEUUSUUAUURYPYOUUAVDVEUVAYICVFZCYIVFZSUUDUUTUVBYPUVCUUT
        GYICUUSUURGHZYINZUVDCNZOUUSUVEUURUVFUUSYQDMZUVDRZBYHTZUURUVFOZUVEUUSUVH
        UVJBYHYOUUABYOBVGZYTBYHVCZVHUVJBVGUUSYQYHNZUURUVHUVFUUSUVMUURUVGYSNZUVH
        UVFOUUSUURUVMUVNUUSUURUVMUVNYOUUAUURUVMSZUVNOUUAUVOYOUVNUUAUVOYTYOUVNOZ
        UUAUVMYTUURYTBYHVIZVJUVOYQPNZYTUVPOZYHYQVKUVRYOYTUVNYNYTUVNOAYQPUUPYKYT
        YMUVNUUPYJYSKUUQVLUUPYLUVGYJYSYHYQDVMUUQVNVOVPVQZUTVRVSVTWAVQUVHUVGCNUV
        FUVNUVGUVDCWBUVGCYRWCWDWEWFWGDUCZUVEUVIDPWHZUWAEPDWIWJZBUVDYHDWKWLWMVQV
        TWNUVCYPCYIWOWPWQYICWRUOUUTUUEYPUUSUURUUEUUAYOUURUUEOUUAYOSZYHPVFZUUEUU
        RUWDUWEUWEUVGUVDDMZRZUEZGYQQBYHQZSUUEUWDUWEUWIUWDUWEUVMUVDYQNZSUWHOZGWS
        ZBWSUWIUWDUWEUWLBUUAYOBUVLUVKVHUWEBVGUWDUWEUWKGUWDUWEUVMUWJUWHUWEUVMUWJ
        UWDUWHUWEUVMUWJUWFYRNZUWDUWHOUWEUVMUVRUWJUWMOZYHPYQWTZUVRYQDXAZVFZUWNUV
        RYQPUWPYQXBUWBUWPPREPDXCWJXDUWAUWQUWNUWCYQUVDDXEWLUTXFUWEUVMUWDUWMUWHUW
        EUVMUWDUVNUWMUWHOUWEUVMUUAYOUVNUWEUVMUUAYTUVPUVMUUAYTOOUWEUUAUVMYTUVQXG
        XHUWEUVMUVRUVSUWOUVTXFXIXJUWMUVGYRNZUEUWHUVNUWMUWGUWRUWFYRUVGXKXLUVGCYR
        XMXNWEWFXIXOXJXPXQUWHBGYHYQXRXSXTBGYHDEYAXFYHXBWMYBVTYCYDYEVQWFXJYFYG
        $.
        $( [4-May-2007] $) $( [10-Feb-1997] $)

      $( Corollary of Proposition 7.49 of [TakeutiZaring] p. 51. $)
      tz7.49c $p |- ( A. x e. On ( ( A \ ( F " x ) ) =/= (/) ->
                   ( F ` x ) e. ( A \ ( F " x ) ) ) ->
                   E. x e. On ( F |` x ) : x -1-1-onto-> A ) $=
        ( vy cv cima cdif c0 wne cfv wcel wi con0 wral wceq cres ccnv wfun w3a
        wrex wf1o tz7.49 wa wfn crn wss onsst fnssres mpan syl df-ima eqeq1i
        biimp anim12i anim1i f1o2 df-3an an23 3bitr sylibr exp31 imp3a 3simpc
        syl5 r19.22i ) BCAGZHZIZJKVHCLVJMNAOPBCFGHIJKFVHPZVIBQZCVHRZSTZUAZAOUBV
        HBVMUCZAOUBAFBCDEUDVOVPAOVHOMZVLVNUEVPVOVQVLVNVPVQVLVNVPVQVLUEZVNUEVMVH
        UFZVMUGZBQZUEZVNUEZVPVRWBVNVQVSVLWAVQVHOUHZVSVHUICOUFWDVSDOVHCUJUKULVLW
        AVIVTBCVHUMUNUOUPUQVPVSVNWAUAVSVNUEWAUEWCVHBVMURVSVNWAUSVSVNWAUTVAVBVCV
        DVKVLVNVEVFVGUL $.
        $( [5-May-2007] $) $( [10-Feb-1997] $)
    $}
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Abian's "most fundamental" fixed point theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y v A $.  $d x y z w v u F $.  $d y v u G $.
    abianfp.1 $e |- A e. V $.
    abianfp.2 $e |- G = rec ( { <. z , w >. | w = ( F ` z ) } , x ) $.
    $( Lemma for ~ abianfp .  We prove by transfinite induction that if ` F `
       has a fixed point ` x ` , then its iterates also equal ` x ` .  This
       lemma is used for the "trivial" direction of the main theorem. $)
    abianfplem $p |- ( v e. On -> ( ( F ` x ) = x -> ( G ` v ) = x ) ) $=
      ( vy vu cv cfv wceq c0 csuc fveq2 eqeq1d copab crdg fveq1i visset rdg0
      eqtr a1i con0 wcel wa cvv fvex ax-17 hbopab1 hbrdg hbxfr hbfv rdgsucopab
      mpan2 id sylan9eqr sylan9eq exp32 wlim wral wi ciun rdglim2a mpan
      iuneq2i 3eqtr4g adantr iuneq2 wne word cuni w3a df-lim 3simp2 sylbi
      iunconst syl eqtrd ex a1d tfinds2 ) DLZGMZALZNZOGMZWGNZJLZGMZWGNZWKPZGMZW
      GNZWGFMZWGNZDJWEONWFWIWGWEOGQRWEWKNWFWLWGWEWKGQRWEWNNWFWOWGWEWNGQRWJWRWIO
      CLBLZFMZNZBCSZWGTZMWGOGXCIUAWGXBAUBUCUDUEWKUFUGZWRWMWPXDWRWMUHWOWLFMZWGXD
      XEUIUGWOXENWLFUJBCKWGWKWTXEUIGKLZWGUGBUKZXFWKUGBUKZBKWLFXFFUGBUKBKWKGBKGX
      CIBKWGXBXABCKULXGUMUNXHUOUOIWSWLFQUPUQWMWRXEWQWGWLWGFQWRURUSUTVAWEVBZWMJW
      EVCZWHVDWRXIXJWHXIXJUHWFJWEWLVEZWGXIWFXKNXJXIWEXCMZJWEWKXCMZVEZWFXKWEUIUG
      XIXLXNNDUBJWGWEUIXBVFVGWEGXCIUAJWEWLXMWLXMNWKWEUGWKGXCIUAUEVHVIVJXJXIXKJW
      EWGVEZWGJWEWLWGVKXIWEOVLZXOWGNXIWEVMZXPWEWEVNNZVOXPWEVPXQXPXRVQVRJWEWGVSV
      TUSWAWBWCWD $.
      $( [7-Sep-2004] $) $( [4-Sep-2004] $)

    $( "A most fundamental fixed point theorem" of Alexander Abian (1923-1999),
       apparently proved in 1998.  Let ` G `` 0 = x ` , ` G `` 1 = F `` x ` ,
       ` G `` 2 = F `` ( F `` x ) ` ,... be the iterates of ` F ` .  The
       theorem reads (using our variable names):  "Let ` F ` be a mapping from
       a set ` A ` into itself.  Then ` F ` has a fixed point if and only if:
       There exists an element ` x ` of ` A ` such that for every ordinal ` v `
       , ` G `` v ` is an element of ` A ` , and if ` G `` v ` is not a fixed
       point of ` F ` then the ` G `` u ` 's are all distinct for every ordinal
       ` u e. v ` ." See ~ df-rdg for the ` rec ` operation.  The proof's key
       idea is to assume that ` F ` does not have a fixed point, then use the
       Axiom of Replacement in the form of ~ f1dmex to derive that the class of
       all ordinal numbers exists, contradicting ~ onprc .  Our version of this
       theorem does not require the hypothesis that ` F ` be a mapping.
       Reference:
       ~ http://www.math.ucdavis.edu/~~suh/abian/abian-themostfixed.html .
       For an application of this theorem, see
       ~ http://groups.google.com/group/sci.stat.math/msg/1737ee1133c24aeb
       for its use in a proof of Tarski's fixed point theorem. $)
    abianfp $p |- ( E. x e. A ( F ` x ) = x <-> E. x e. A
           A. v e. On ( ( G ` v ) e. A /\ ( -. ( F ` ( G ` v ) ) = ( G ` v ) ->
                    A. u e. v -. ( G ` v ) = ( G ` u ) ) ) ) $=
      ( vy cv cfv wceq wrex wcel wn wral wi wa con0 abianfplem imp eleq1d
      biimprd fveq2 id eqeq12d biimprcd sylcom pm2.24d jctird ex com13
      r19.21adv r19.22i cvv onprc r19.26 negbid rcla4cv imim1d r19.20sdv
      r19.20 syl6 com12 wf1 wf ccnv wfun wfn copab crdg rdgfnon wb fneq1 ax-mp
      mpbir ffnfv biimpr mpan cres wss ssid tz7.48lem fnresdm cnveq funeq
      sylib anim12i df-f1 sylibr f1dmex mpan2 syl syld exp3a com23 sylbi mtoi
      a1i r19.23aiv cbvrexv dfrex2 bitr2 impbi ) ALZGMZXGNZAFOZDLZHMZFPZXLGMZXL
      NZQZXLELHMNQEXKRZSZTZDUARZAFOZXIXTAFXGFPZXIXSDUAXKUAPZXIYBXSYCXIYBXSSYCXI
      TZYBXMXRYDXMYBYDXLXGFYCXIXLXGNZABCDFGHIJUBZUCUDUEYDXOXQYCXIXOYCXIYEXOYFYE
      XOXIYEXNXHXLXGXLXGGUFYEUGUHUIUJUCUKULUMUNUOUPYAKLZGMZYGNZQZKFRZQZXJXTYLAF
      XTYLSYBXTYKUAUQPZURXTXMDUARZXRDUARZTYKYMSZXMXRDUAUSYNYOYPYNYKYOYMYNYKYOYM
      YNYKYOTZXQDUARZYMYQYNYRYKYOYNYRSZYKYOXMXQSZDUARYSYKXRYTDUAYKXMXPXQYJXPKXL
      FYGXLNZYIXOUUAYHXNYGXLYGXLGUFUUAUGUHUTVAVBVCXMXQDUAVDVEUCVFYNYRYMYNYRTZUA
      FHVGZYMUUBUAFHVHZHVIZVJZTUUCYNUUDYRUUFHUAVKZYNUUDUUGCLBLGMNBCVLZXGVMZUAVK
      ZXGUUHVNHUUINUUGUUJVOJUAHUUIVPVQVRZUUDUUGYNTDUAFHVSVTWAYRHUAWBZVIZVJZUUFU
      AUAWCYRUUNUAWDDEUAHUUKWEWAUUMUUENZUUNUUFVOUULHNZUUOUUGUUPUUKUAHWFVQUULHWG
      VQUUMUUEWHVQWIWJUAFHWKWLUUCFUQPYMIUAFUQHWMWNWOUMWPWQWRUCWSWTXAXBXJYIKFOYL
      XIYIAKFXGYGNZXHYHXGYGXGYGGUFUUQUGUHXCYIKFXDXEWIXF $.
      $( [7-Sep-2004] $) $( [5-Sep-2004] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Extend class notation to include the value of an operation ` F ` (such
     as ` + ` ) for two arguments ` A ` and ` B ` .  Note that the syntax is
     simply three class symbols in a row surrounded by parentheses.  Since
     operation values are the only possible class expressions consisting of
     three class expressions in a row surrounded by parentheses, the syntax is
     unambiguous.  (For an example of how syntax could become ambiguous if we
     are not careful, see the comment in ~ cneg .) $)
  co $a class ( A F B ) $.

  $( Extend class notation to include class abstraction (class builder) of
     nested ordered pairs. $)
  copab2 $a class { <. <. x , y >. , z >. | ph } $.

  $( Define the value of an operation.  Definition of operation value in
     [Enderton] p. 79.  Note that the syntax is simply three class
     expressions in a row bracketed by parentheses.  There are no
     restrictions of any kind on what those class expressions may be,
     although only certain kinds of class expressions - a binary operation
     ` F ` and its arguments ` A ` and ` B ` - will be useful for proving
     meaningful theorems.  For example, if class ` F ` is the operation ` + `
     and arguments ` A ` and ` B ` are ` 3 ` and ` 2 ` , the expression
     ` ( 3 + 2 ) ` can be proved to equal ` 5 ` (see ~ 3p2e5 ).  This
     definition is well-defined, although not very meaningful, when classes
     ` A ` and/or ` B ` are proper classes (i.e. are not sets); see ~ oprprc1
     and ~ oprprc2 .  On the other hand, we often find uses for this
     definition when ` F ` is a proper class, such as ` +o ` in ~ oav .  ` F `
     is normally equal to a class of nested ordered pairs of the form defined
     by ~ df-oprab . $)
  df-opr $a |- ( A F B ) = ( F ` <. A , B >. ) $.

  ${
    $d x w $.  $d y w $.  $d z w $.  $d w ph $.
    $( Define the class abstraction (class builder) of a collection of nested
       ordered pairs (for use in defining operations).  This is a special case
       of Definition 4.16 of [TakeutiZaring] p. 14.  Normally ` x ` , ` y ` ,
       and ` z ` are distinct, although the definition doesn't strictly require
       it.  See ~ df-opr for the value of an operation.  The brace notation is
       called "class abstraction" by Quine; it is also called a "class builder"
       in the literature.  The value of the most common operation class builder
       is given by ~ oprabval2 . $)
    df-oprab $a |- { <. <. x , y >. , z >. | ph } =
                  { w | E. x E. y E. z ( w = <. <. x , y >. , z >. /\ ph ) } $.
  $}

  $( Equality theorem for operation value. $)
  opreq $p |- ( F = G -> ( A F B ) = ( A G B ) ) $=
    ( wceq cop cfv co fveq1 df-opr 3eqtr4g ) CDEABFZCGLDGABCHABDHLCDIABCJABDJK
    $.
    $( [28-Feb-1995] $)

  $( Equality theorem for operation value. $)
  opreq1 $p |- ( A = B -> ( A F C ) = ( B F C ) ) $=
    ( wceq cop cfv co opeq1 fveq2d df-opr 3eqtr4g ) ABEZACFZDGBCFZDGACDHBCDHMNO
    DABCIJACDKBCDKL $.
    $( [28-Feb-1995] $)

  $( Equality theorem for operation value. $)
  opreq2 $p |- ( A = B -> ( C F A ) = ( C F B ) ) $=
    ( wceq cop cfv co opeq2 fveq2d df-opr 3eqtr4g ) ABEZCAFZDGCBFZDGCADHCBDHMNO
    DABCIJCADKCBDKL $.
    $( [28-Feb-1995] $)

  $( Equality theorem for operation value. $)
  opreq12 $p |- ( ( A = B /\ C = D ) -> ( A F C ) = ( B F D ) ) $=
    ( wceq co opreq1 opreq2 sylan9eq ) ABFCDFACEGBCEGBDEGABCEHCDBEIJ $.
    $( [16-Jul-1995] $)

  ${
    opreq1i.1 $e |- A = B $.
    $( Equality inference for operation value. $)
    opreq1i $p |- ( A F C ) = ( B F C ) $=
      ( wceq co opreq1 ax-mp ) ABFACDGBCDGFEABCDHI $.
      $( [28-Feb-1995] $)

    $( Equality inference for operation value. $)
    opreq2i $p |- ( C F A ) = ( C F B ) $=
      ( wceq co opreq2 ax-mp ) ABFCADGCBDGFEABCDHI $.
      $( [28-Feb-1995] $)

    ${
      opreq12i.2 $e |- C = D $.
      $( Equality inference for operation value. $)
      opreq12i $p |- ( A F C ) = ( B F D ) $=
        ( co opreq1i opreq2i eqtr ) ACEHBCEHBDEHABCEFICDBEGJK $.
        $( [28-Feb-1995] $)
    $}

    $( Equality inference for operation value. $)
    opreqi $p |- ( C A D ) = ( C B D ) $=
      ( wceq co opreq ax-mp ) ABFCDAGCDBGFECDABHI $.
      $( [27-Nov-2007] $) $( [24-Nov-2007] $)
  $}

  ${
    opreq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for operation value. $)
    opreq1d $p |- ( ph -> ( A F C ) = ( B F C ) ) $=
      ( wceq co opreq1 syl ) ABCGBDEHCDEHGFBCDEIJ $.
      $( [13-Mar-1995] $)

    $( Equality deduction for operation value. $)
    opreq2d $p |- ( ph -> ( C F A ) = ( C F B ) ) $=
      ( wceq co opreq2 syl ) ABCGDBEHDCEHGFBCDEIJ $.
      $( [13-Mar-1995] $)

    $( Equality deduction for operation value. $)
    opreqd $p |- ( ph -> ( C A D ) = ( C B D ) ) $=
      ( wceq co opreq syl ) ABCGDEBHDECHGFDEBCIJ $.
      $( [10-Sep-2006] $) $( [9-Sep-2006] $)

    ${
      opreq12d.2 $e |- ( ph -> C = D ) $.
      $( Equality deduction for operation value. $)
      opreq12d $p |- ( ph -> ( A F C ) = ( B F D ) ) $=
        ( co opreq1d opreq2d eqtrd ) ABDFICDFICEFIABCDFGJADECFHKL $.
        $( [13-Mar-1995] $)
    $}

    ${
      opreqan12i.2 $e |- ( ps -> C = D ) $.
      $( Equality deduction for operation value. $)
      opreqan12d $p |- ( ( ph /\ ps ) -> ( A F C ) = ( B F D ) ) $=
        ( wceq co opreq12 syl2an ) CDJEFJCEGKDFGKJABCDEFGLHIM $.
        $( [10-Aug-1995] $)

      $( Equality deduction for operation value. $)
      opreqan12rd $p |- ( ( ps /\ ph ) -> ( A F C ) = ( B F D ) ) $=
        ( co wceq opreqan12d ancoms ) ABCEGJDFGJKABCDEFGHILM $.
        $( [10-Aug-1995] $)
    $}
  $}

  ${
    $d y F $.  $d y A $.  $d y B $.  $d x y $.
    hbopr.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbopr.2 $e |- ( y e. F -> A. x y e. F ) $.
    hbopr.3 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for operation value. $)
    hbopr $p |- ( y e. ( A F B ) -> A. x y e. ( A F B ) ) $=
      ( co cop cfv df-opr hbop hbfv hbxfr ) ABCDEICDJZEKCDELABPEGABCDFHMNO $.
      $( [5-May-2004] $) $( [4-May-2004] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z F $.  $d x y z $.  $d y ph $.
    hboprd.1 $e |- ( ph -> A. x ph ) $.
    hboprd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    hboprd.3 $e |- ( ph -> ( y e. F -> A. x y e. F ) ) $.
    hboprd.4 $e |- ( ph -> ( y e. B -> A. x y e. B ) ) $.
    $( Deduction version of bound-variable hypothesis builder ~ hbopr . $)
    hboprd $p |- ( ph -> ( y e. ( A F B ) -> A. x y e. ( A F B ) ) ) $=
      ( vz cv wcel wal cab co wi hba1 hbab hbopr a1i wceq 19.21aiv abidhb syl
      opreq12d opreq 3syl eqtrd eleq2d albid 3imtr3d ) ACLZKLZDMZBNZKOZUNEMZBNZ
      KOZUNFMZBNZKOZPZMZVEBNZUMDEFPZMZVHBNVEVFQABCUQUTVCUPBKCUOBRSVBBKCVABRSUSB
      KCURBRSTUAAVDVGUMAVDDEVCPZVGAUQDUTEVCAUMDMZVJBNQZCNUQDUBAVKCHUCBCKDUDUEAU
      MEMZVLBNQZCNUTEUBAVMCJUCBCKEUDUEUFAUMFMZVNBNQZCNVCFUBVIVGUBAVOCIUCBCKFUDD
      EVCFUGUHUIUJZAVEVHBGVPUKUL $.
      $( [8-Mar-2006] $) $( [13-Dec-2005] $)
  $}

  $( The result of an operation is a set. $)
  oprex $p |- ( A F B ) e. V $=
    ( co cop cfv cvv df-opr fvex eqeltr ) ABCDABEZCFGABCHKCIJ $.
    $( [13-Mar-1995] $)

  ${
    oprprc1.1 $e |- Rel dom F $.
    $( The value of an operation when the first argument is a proper class.
       Note: this theorem is dependent on our particular definitions of
       operation value, function value, and ordered pair. $)
    oprprc1 $p |- ( -. A e. V -> ( A F B ) = (/) ) $=
      ( cvv wcel wn cop cfv c0 co cdm wceq wbr df-br brrelexi sylbir con3i
      ndmfv syl df-opr syl5eq ) AEFZGZABHZCIZJABCKUDUECLZFZGUFJMUHUCUHABUGNUCAB
      UGOABUGDPQRUECSTABCUAUB $.
      $( [17-Jun-2004] $) $( [16-Jun-2004] $)
  $}

  $( The value of an operation when the second argument is a proper class.
     Note: this theorem is dependent on our particular definitions of operation
     value, function value, and ordered pair. $)
  oprprc2 $p |- ( -. B e. V -> ( A F B ) = ( A F A ) ) $=
    ( cvv wcel wn cop cfv co opprc2 fveq2d df-opr 3eqtr4g ) BDEFZABGZCHAAGZCHAB
    CIAACINOPCABJKABCLAACLM $.
    $( [22-Jun-2004] $) $( [16-Jun-2004] $)

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d y z D $.  $d y z F $.
    $d x y z $.
    $( Move class substitution in and out of an operation. $)
    csboprg $p |- ( A e. D -> [_ A / x ]_ ( B F C ) =
           ( [_ A / x ]_ B [_ A / x ]_ F  [_ A / x ]_ C ) ) $=
      ( vy vz wcel cv co csb ax-17 hbcsb1g hboprd wceq wex a9e visset hbcsb1
      hbopr hbeq csbeq1a opreq12d opreqd 3eqtr3d 19.23ai ax-mp a1i 3eqtrd
      csbiegf csbcog eqtrd ) BEIZGBAGJZCDFKZLZLGBAUOCLZLZGBAUODLZLZGBAUOFLZLZKZ
      ABUPLABCLZABDLZABFLZKZGHBUQVDEUNGHUSVAVCUNGMGHBUREHJZBIGMZNGHBVBEVJNGHBUT
      EVJNOUOBPZUQURUTVBKZUSVAVBKVDUQVLPZVKAJUOPZAQVMAGRVNVMAAHHUQVLAHUOUPGSZVI
      UOIAMZTAHURUTVBAHUOCVOVPTAHUOFVOVPTAHUODVOVPTUAUBVNUPURUTFKUQVLVNCURDUTFA
      UOCUCAUODUCUDAUOUPUCVNFVBURUTAUOFUCUEUFUGUHUIVKURUSUTVAVBGBURUCGBUTUCUDVK
      VBVCUSVAGBVBUCUEUJUKAGBUPEULUNVDVEVFVCKVHUNUSVEVAVFVCAGBCEULAGBDEULUDUNVC
      VGVEVFAGBFEULUEUMUF $.
      $( [13-Dec-2005] $) $( [12-Nov-2005] $)
  $}

  ${
    $d y A $.  $d y C $.  $d y D $.  $d x y F $.
    $( Move class substitution in and out of an operation. $)
    csbopr12g $p |- ( A e. D ->
                 [_ A / x ]_ ( B F C ) = ( [_ A / x ]_ B F [_ A / x ]_ C ) ) $=
      ( vy wcel co csb csboprg cv ax-17 csbconstgf opreqd eqtrd ) BEHZABCDFIJAB
      CJZABDJZABFJZIRSFIABCDEFKQTFRSAGBFEGLFHAMNOP $.
      $( [13-Dec-2005] $) $( [12-Nov-2005] $)
  $}

  ${
    $d y A $.  $d x y C $.  $d y D $.  $d x y F $.
    $( Move class substitution in and out of an operation. $)
    csbopr1g $p |- ( A e. D ->
                  [_ A / x ]_ ( B F C ) = ( [_ A / x ]_ B F C ) ) $=
      ( vy wcel co csb csbopr12g cv ax-17 csbconstgf opreq2d eqtrd ) BEHZABCDFI
      JABCJZABDJZFIRDFIABCDEFKQSDRFAGBDEGLDHAMNOP $.
      $( [13-Dec-2005] $) $( [12-Nov-2005] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d y D $.  $d x y F $.
    $( Move class substitution in and out of an operation. $)
    csbopr2g $p |- ( A e. D ->
                  [_ A / x ]_ ( B F C ) = ( B F [_ A / x ]_ C ) ) $=
      ( vy wcel co csb csbopr12g cv ax-17 csbconstgf opreq1d eqtrd ) BEHZABCDFI
      JABCJZABDJZFICSFIABCDEFKQRCSFAGBCEGLCHAMNOP $.
      $( [13-Jan-2006] $) $( [12-Nov-2005] $)
  $}

  ${
    $d x A $.  $d x y B $.  $d x y C $.  $d y D $.  $d x y F $.  $d x y S $.
    $( A frequently used special case of ~ rcla42ev for operation values. $)
    rcla4eopr $p |- ( ( C e. A /\ D e. B /\ S = ( C F D ) ) ->
                 E. x e. A E. y e. B S = ( x F y ) ) $=
      ( cv co wceq opreq1 eqeq2d opreq2 rcla42ev ) GAIZBIZHJZKGEFHJZKGEQHJZKABE
      FCDPEKRTGPEQHLMQFKTSGQFEHNMO $.
      $( [23-Mar-2007] $) $( [21-Mar-2007] $)
  $}

  ${
    $d x z w v $.  $d y z w v $.  $d w ph v $.
    $( Class abstraction for operations in terms of class abstraction of
       ordered pairs. $)
    dfoprab2 $p |- { <. <. x , y >. , z >. | ph } =
                   { <. w , z >. | E. x E. y ( w = <. x , y >. /\ ph ) } $=
      ( vv cv cop wceq wa wex cab copab2 copab excom exrot4 19.42v opeq1
      eqeq2d pm5.32ri anbi1i anass an23 3bitr3 exbii opex isseti biantru
      3bitr4 3exbi bitr 19.42vv 2exbii abbii df-oprab df-opab 3eqtr4 ) FGZBGZCG
      ZHZDGZHZIZAJZDKCKBKZFLUREGZVBHZIZVGVAIZAJZCKBKZJZDKEKZFLABCDMVLEDNVFVNFVI
      VKJZCKBKZEKDKZVPDKEKVFVNVPDEOVQVOEKZDKCKBKVFVODEBCPVRVEBCDVEVJJZEKVEVJEKZ
      JVRVEVEVJEQVOVSEVIVJJZAJVDVJJZAJVOVSWAWBAVJVIVDVJVHVCURVGVAVBRSTUAVIVJAUB
      VDVJAUCUDUEVTVEEVAUSUTUFUGUHUIUJUKVPVMEDVIVKBCULUMUDUNABCDFUOVLEDFUPUQ $.
      $( [12-Mar-1995] $)

    $( An operation class abstraction is a relation. $)
    reloprab $p |- Rel { <. <. x , y >. , z >. | ph } $=
      ( vw copab2 wrel cv cop wceq wa wex copab relopab dfoprab2 releqi mpbir
      ) ABCDFZGEHBHCHIJAKCLBLZEDMZGSEDNRTABCDEOPQ $.
      $( [22-Jun-2004] $) $( [16-Jun-2004] $)
  $}

$(
  @{
    @d x y z w v @.  @d ph v @.
    dfoprab2f.1 @e |- ( ph -> A. w ph ) @.
    @( Class abstraction for operations in terms of class abstraction of
       ordered pairs.  This is a version of ~ dfoprab2 with bound-variable
       hypothesis instead of distinct variable requirement. @)
    dfoprab2f @p |- { <. <. x , y >. , z >. | ph } =
                   { <. w , z >. | E. x E. y ( w = <. x , y >. /\ ph ) } @=
      ( vv copab2 cv cop wceq wa wex copab dfoprab2 ax-17 hban hbex weq eqeq1
      anbi1d 2exbidv cbvopab1 eqtr ) ABCDHGIZBICIJZKZALZCMZBMZGDNEIZUFKZALZCMBM
      ZEDNABCDGOUJUNGDEUIEBUHECUGAEUGEPFQRRUNGPGESZUHUMBCUOUGULAUEUKUFTUAUBUCUD
      @.
  @}
$)

  ${
    $d x y z v $.  $d x w $.  $d ph v $.
    $( The abstraction variables in an operation class abstraction are not
       free. $)
    hboprab1 $p |- ( w e. { <. <. x , y >. , z >. | ph } ->
                   A. x w e. { <. <. x , y >. , z >. | ph } ) $=
      ( vv copab2 cv cop wceq wa wex cab df-oprab hbe1 hbab hbxfr ) BEABCDGFHBH
      CHIDHIJAKDLCLZBLZFMABCDFNSBFERBOPQ $.
      $( [25-Apr-1995] $)
  $}

  ${
    $d x y z v $.  $d y w $.  $d ph v $.
    $( The abstraction variables in an operation class abstraction are not
       free. $)
    hboprab2 $p |- ( w e. { <. <. x , y >. , z >. | ph } ->
                   A. y w e. { <. <. x , y >. , z >. | ph } ) $=
      ( vv copab2 cv cop wceq wa wex cab df-oprab hbe1 hbex hbab hbxfr ) CEABCD
      GFHBHCHIDHIJAKDLZCLZBLZFMABCDFNUACFETCBSCOPQR $.
      $( [25-Apr-1995] $)
  $}

$(
  @{
    @d x y z w v @.  @d x y w v A @.  @d x y w v B @.  @d x y C @.
    @d x y v ph @.
    @( An operation class abstraction expressed in terms of an ordered pair
       class abstraction. @)
    oprab3 @p |- { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
                   /\ [ <. x , y >. / w ] ph ) } =
                  { <. w , z >. | ( w e. ( A X. B ) /\ ph ) } @=
      ( vv cv wcel wa cop wsbc copab2 wceq wex copab cxp dfoprab2 ax-17 opex
      hbsbc1v hban hbex weq eqeq1 anbi1d 2exbidv cbvopab1 eqtr elxp anbi1i
   19.41vv anass sbceq1a anbi2d pm5.32i bitr 2exbii bitr3 opabbii eqtr4 ) BIZFJ
      CIZGJKZAEVCVDLZMZKZBCDNZEIZVFOZVHKZCPBPZEDQZVJFGRJZAKZEDQVIHIZVFOZVHKZCPZ
      BPZHDQVNVHBCDHSWAVMHDEVTEBVSECVRVHEVRETVEVGEVEETAEVFVCVDUAUBUCUCUDUDVMHTH
      EUEZVSVLBCWBVRVKVHVQVJVFUFUGUHUIUJVPVMEDVPVKVEKZCPBPZAKZVMVOWDABCVJFGUKUL
      WEWCAKZCPBPVMWCABCUMWFVLBCWFVKVEAKZKVLVKVEAUNVKWGVHVKAVGVEAEVFUOUPUQURUSU
      TURVAVB @.
  @}
$)

  ${
    $d x z w $.  $d y z w $.  $d w ph $.  $d w ps $.  $d w ch $.
    oprabbid.1 $e |- ( ph -> A. x ph ) $.
    oprabbid.2 $e |- ( ph -> A. y ph ) $.
    oprabbid.3 $e |- ( ph -> A. z ph ) $.
    oprabbid.4 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal operation class abstractions (deduction
       rule). $)
    oprabbid $p |- ( ph ->
           { <. <. x , y >. , z >. | ps } = { <. <. x , y >. , z >. | ch } ) $=
      ( vw cv cop wceq wa wex copab copab2 ax-17 anbi2d exbid opabbid dfoprab2
      3eqtr4g ) AKLDLELMNZBOZEPZDPZKFQUECOZEPZDPZKFQBDEFRCDEFRAUHUKKFAKSIAUGUJD
      GAUFUIEHABCUEJTUAUAUBBDEFKUCCDEFKUCUD $.
      $( [24-Feb-2004] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x z w ph $.  $d y z w ph $.  $d w ps $.  $d w ch $.
    oprabbidv.1 $e |- ( ph -> ( ps <-> ch ) ) $.
    $( Equivalent wff's yield equal operation class abstractions (deduction
       rule). $)
    oprabbidv $p |- ( ph ->
           { <. <. x , y >. , z >. | ps } = { <. <. x , y >. , z >. | ch } ) $=
      ( ax-17 oprabbid ) ABCDEFADHAEHAFHGI $.
      $( [24-Feb-2004] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x y z w $.  $d w ph $.  $d w ps $.
    oprabbii.1 $e |- ( ph <-> ps ) $.
    $( Equivalent wff's yield equal operation class abstractions. $)
    oprabbii $p |- { <. <. x , y >. , z >. | ph } =
                    { <. <. x , y >. , z >. | ps } $=
      ( vw cv wceq copab2 eqid wb a1i oprabbidv ax-mp ) GHZPIZACDEJBCDEJIPKQABC
      DEABLQFMNO $.
      $( [28-May-1995] $)
  $}

  ${
    $d x y z w v u $.  $d u ph $.  $d u ps $.
    cbvoprab12.1 $e |- ( ph -> A. w ph ) $.
    cbvoprab12.2 $e |- ( ph -> A. v ph ) $.
    cbvoprab12.3 $e |- ( ps -> A. x ps ) $.
    cbvoprab12.4 $e |- ( ps -> A. y ps ) $.
    cbvoprab12.5 $e |- ( ( x = w /\ y = v ) -> ( ph <-> ps ) ) $.
    $( Rule used to change first two bound variables in an operation
       abstraction, using implicit substitution. $)
    cbvoprab12 $p |- { <. <. x , y >. , z >. | ph } =
                     { <. <. w , v >. , z >. | ps } $=
      ( vu cv cop wceq wa wex cab copab2 ax-17 hban hbex opeq12 opeq1d eqeq2d
      anbi12d exbidv cbvex2 abbii df-oprab 3eqtr4 ) MNZCNZDNZOZENZOZPZAQZERZDRC
      RZMSUMFNZGNZOZUQOZPZBQZERZGRFRZMSACDETBFGETVBVJMVAVICDFGUTFEUSAFUSFUAHUBU
      CUTGEUSAGUSGUAIUBUCVHCEVGBCVGCUAJUBUCVHDEVGBDVGDUAKUBUCUNVCPUOVDPQZUTVHEV
      KUSVGABVKURVFUMVKUPVEUQUNUOVCVDUDUEUFLUGUHUIUJACDEMUKBFGEMUKUL $.
      $( [23-Jun-2004] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x y z w v u $.  $d u w v ph $.  $d u x y ps $.
    cbvoprab12v.1 $e |- ( ( x = w /\ y = v ) -> ( ph <-> ps ) ) $.
    $( Rule used to change first two bound variables in an operation
       abstraction, using implicit substitution. $)
    cbvoprab12v $p |- { <. <. x , y >. , z >. | ph } =
                      { <. <. w , v >. , z >. | ps } $=
      ( ax-17 cbvoprab12 ) ABCDEFGAFIAGIBCIBDIHJ $.
      $( [17-Oct-2004] $) $( [8-Oct-2004] $)
  $}

  ${
    $d x y z w v $.  $d w v ph $.  $d z v ps $.
    cbvoprab3v.1 $e |- ( z = w -> ( ph <-> ps ) ) $.
    $( Rule used to change the third bound variable in an operation
       abstraction, using implicit substitution. $)
    cbvoprab3v $p |- { <. <. x , y >. , z >. | ph } =
                     { <. <. x , y >. , w >. | ps } $=
      ( vv cv cop wceq wa wex copab copab2 anbi2d 2exbidv cbvopab2v dfoprab2
      3eqtr4 ) HICIDIJKZALZDMCMZHENUABLZDMCMZHFNACDEOBCDFOUCUEHEFEIFIKZUBUDCDUF
      ABUAGPQRACDEHSBCDFHST $.
      $( [17-Oct-2004] $) $( [8-Oct-2004] $)
  $}

  ${
    elimdeloprv.1 $e |- ( ph -> C e. ( A F B ) ) $.
    elimdeloprv.2 $e |- Z e. ( X F Y ) $.
    $( Eliminate a hypothesis which is a predicate expressing membership in the
       result of an operator (deduction version).  See ~ ghomgrplem for an
       example of its use.  (Contributed by Paul Chapman, 25-Mar-2008.) $)
    elimdeloprv $p |- if ( ph , C , Z ) e.
                     ( if ( ph , A , X ) F if ( ph , B , Y ) ) $=
      ( cif co wcel iftrue eqeltrd opreq12d eleqtrrd wn iffalse syl6eqel
      pm2.61i ) AADHKZABFKZACGKZELZMAUBBCELZUEAUBDUFADHNIOAUCBUDCEABFNACGNPQARZ
      UBFGELZUEUGUBHUHADHSJTUGUCFUDGEABFSACGSPQUA $.
      $( [26-Mar-2008] $) $( [25-Mar-2008] $)
  $}

  ${
    $d x y z w $.  $d w ph $.
    $( The domain of an operation class abstraction. $)
    dmoprab $p |- dom { <. <. x , y >. , z >. | ph } =
                  { <. x , y >. | E. z ph } $=
      ( vw copab2 cdm cv cop wceq wa wex copab cab dfoprab2 dmeqi dmopab
      exrot3 19.42v 2exbii bitr abbii df-opab eqtr4 3eqtr ) ABCDFZGEHBHCHIJZAKZ
      CLBLZEDMZGUIDLZENZADLZBCMZUFUJABCDEOPUIEDQULUGUMKZCLBLZENUNUKUPEUKUHDLZCL
      BLUPUHDBCRUQUOBCUGADSTUAUBUMBCEUCUDUE $.
      $( [17-Mar-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( The domain of an operation class abstraction. $)
    dmoprabss $p |- dom { <. <. x , y >. , z >. |
           ( ( x e. A /\ y e. B ) /\ ph ) } (_ ( A X. B ) $=
      ( cv wcel wa copab2 cdm wex copab cxp dmoprab 19.42v opabbii opabssxp
      eqsstr ) BGEHCGFHIZAIZBCDJKUADLZBCMZEFNZUABCDOUCTADLZIZBCMUDUBUFBCTADPQUE
      BCEFRSS $.
      $( [24-Aug-1995] $)
  $}

  ${
    $d x y z w $.  $d w ph $.
    $( The range of an operation class abstraction. $)
    rnoprab $p |- ran { <. <. x , y >. , z >. | ph } =
                  { z | E. x E. y ph } $=
      ( vw copab2 crn cv cop wceq wa wex copab cab dfoprab2 rneqi rnopab
      exrot3 19.41v opex isseti mpbiran 2exbii bitr abbii 3eqtr ) ABCDFZGEHBHZC
      HZIZJZAKZCLBLZEDMZGUMELZDNACLBLZDNUGUNABCDEOPUMEDQUOUPDUOULELZCLBLUPULEBC
      RUQABCUQUKELAUKAESEUJUHUITUAUBUCUDUEUF $.
      $( [19-Sep-2004] $) $( [30-Aug-2004] $)
  $}

  ${
    $d x y z $.
    $( The domain of an operation class abstraction is a relation. $)
    reldmoprab $p |- Rel dom { <. <. x , y >. , z >. | ph } $=
      ( copab2 cdm wrel wex copab relopab dmoprab releqi mpbir ) ABCDEFZGADHZBC
      IZGOBCJNPABCDKLM $.
      $( [17-Mar-1995] $)

    $( Structure of an operation class abstraction. $)
    oprabss $p |- { <. <. x , y >. , z >. | ph } (_ ( ( V X. V ) X. V ) $=
      ( copab2 cdm crn cxp cvv wrel wss reloprab relssdr ax-mp reldmoprab
      df-rel mpbi ssv ssxp mp2an sstri ) ABCDEZUBFZUBGZHZIIHZIHZUBJUBUEKABCDLUB
      MNUCUFKZUDIKUEUGKUCJUHABCDOUCPQUDRUCUFUDISTUA $.
      $( [28-Nov-2006] $) $( [28-Nov-2006] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.
    $d w ph $.  $d x ps $.  $d x y ch $.  $d x y z w th $.
    eloprabg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    eloprabg.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    eloprabg.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    $( The law of concretion for operation class abstraction.  Compare
       ~ elopab . $)
    eloprabg $p |- ( ( A e. D /\ B e. R /\ C e. S ) ->
       ( <. <. A , B >. , C >. e. { <. <. x , y >. , z >. | ph } <-> th ) ) $=
      ( vw cvv wcel cop copab2 wb w3a wi opex cv wceq wa wex eqeq1 eqcom
      syl6bb visset otthg 3adant1 sylan9bbr anbi1d syl3an9b pm5.32i 3exbidv
      eleq1 cab df-oprab eleq2i abid bitr2 syl5bb adantl elex 3anim123i eeeanv
      sylibr biantrurd 19.41vvv syl6rbbr adantr 3bitr3d expcom vtocle elisset
      syl3an ) HRSZIRSZJRSZHITZJTZAEFGUAZSZDUBZHKSILSJMSWBWCWDUCZWIUDQWFWEJUEWJ
      QUFZWFUGZWIWJWLUHZWKEUFZFUFZTGUFZTZUGZAUHZGUIFUIEUIZWNHUGZWOIUGZWPJUGZUCZ
      DUHZGUIFUIEUIZWHDWMWSXEEFGWMWSXDAUHXEWMWRXDAWLWRWQWFUGZWJXDWLWRWFWQUGXGWK
      WFWQUJWFWQUKULWCWDXGXDUBWBWNWOHIWPJRREUMFUMGUMUNUOUPUQXDADXAABXBCXCDNOPUR
      USULUTWLWTWHUBWJWLWKWGSZWHWTWKWFWGVAXHWKWTQVBZSWTWGXIWKAEFGQVCVDWTQVEVFVG
      VHWJXFDUBWLWJDXDGUIFUIEUIZDUHXFWJXJDWJXAEUIZXBFUIZXCGUIZUCXJWBXKWCXLWDXME
      HRVIFIRVIGJRVIVJXAXBXCEFGVKVLVMXDDEFGVNVOVPVQVRVSHKVTILVTJMVTWA $.
      $( [14-Sep-1999] $)
  $}

  ${
    $d ph w $.  $d ps w $.  $d x y z w $.
    ssoprab2i.1 $e |- ( ph -> ps ) $.
    $( Inference of operation class abstraction subclass from implication. $)
    ssoprab2i $p |- { <. <. x , y >. , z >. | ph } (_
                    { <. <. x , y >. , z >. | ps } $=
      ( vw cv cop wceq wa wex copab copab2 anim2i 19.22i2 ssopab2i dfoprab2
      3sstr4 ) GHCHDHIJZAKZDLCLZGEMTBKZDLCLZGEMACDENBCDENUBUDGEUAUCCDABTFOPQACD
      EGRBCDEGRS $.
      $( [11-Nov-1995] $)
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w ph $.
    $( Restriction of an operation class abstraction. $)
    resoprab $p |- ( { <. <. x , y >. , z >. | ph } |` ( A X. B ) ) =
                  { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ ph ) } $=
      ( vw cv cop wceq wa wex copab cxp cres wcel copab2 resopab 19.42vv an12
      eleq1 visset opelxp syl6bb anbi1d pm5.32i bitr 2exbii bitr3 opabbii eqtr
      dfoprab2 reseq1 ax-mp 3eqtr4 ) GHZBHZCHZIZJZAKZCLBLZGDMZEFNZOZUTUQEPURFPK
      ZAKZKZCLBLZGDMZABCDQZVDOZVGBCDQVEUPVDPZVBKZGDMVJVBGDVDRVNVIGDVNVMVAKZCLBL
      VIVMVABCSVOVHBCVOUTVMAKZKVHVMUTATUTVPVGUTVMVFAUTVMUSVDPVFUPUSVDUAUQUREFCU
      BUCUDUEUFUGUHUIUJUKVKVCJVLVEJABCDGULVKVCVDUMUNVGBCDGULUO $.
      $( [10-Feb-2007] $) $( [10-Feb-2007] $)
  $}

  ${
    $d x y z w $.  $d w ph $.
    $( "At most one" is a sufficient condition for an operation class
       abstraction to be a function. $)
    funoprabg $p |- ( A. x A. y E* z ph ->
                    Fun { <. <. x , y >. , z >. | ph } ) $=
      ( vw wmo wal cv cop wceq wa wex copab2 wfun mosubopt 19.21aiv copab wb
      dfoprab2 funeq ax-mp funopab bitr2 sylib ) ADFCGBGZEHZBHCHIJAKCLBLZDFZEGZ
      ABCDMZNZUEUHEADBCUFOPUKUGEDQZNZUIUJULJUKUMRABCDESUJULTUAUGEDUBUCUD $.
      $( [29-Aug-2007] $) $( [28-Aug-2007] $)
  $}

  ${
    $d x y z w $.  $d w ph $.
    funoprab.1 $e |- E* z ph $.
    $( "At most one" is a sufficient condition for an operation class
       abstraction to be a function. $)
    funoprab $p |- Fun { <. <. x , y >. , z >. | ph } $=
      ( wmo wal copab2 wfun gen2 funoprabg ax-mp ) ADFZCGBGABCDHIMBCEJABCDKL $.
      $( [17-Mar-1995] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    $( Functionality and domain of an operation class abstraction. $)
    fnoprabg $p |- ( A. x A. y ( ph -> E! z ps ) ->
  { <. <. x , y >. , z >. | ( ph /\ ps ) } Fn { <. x , y >. | ph } ) $=
      ( weu wi wal wa copab2 wfun cdm copab wceq wfn wmo eumo imim2i moanimv
      sylibr 19.20i2 funoprabg syl wex hba1 hba2 wb pm3.26 19.23aiv euex ancld
      19.42v syl6ibr impbid2 a4s opabbid dmoprab syl5eq jca df-fn ) ABEFZGZDHZC
      HZABIZCDEJZKZVFLZACDMZNZIVFVIOVDVGVJVDVEEPZDHCHVGVBVKCDVBABEPZGVKVAVLABEQ
      RABESTUAVECDEUBUCVDVEEUDZCDMVIVHVDVMACDVCCUEVBDCUFVCVMAUGZCVBVNDVBVMAVEAE
      ABUHUIVBAABEUDZIVMVBAVOVAVOABEUJRUKABEULUMUNUOUOUPVECDEUQURUSVFVIUTT $.
      $( [29-Aug-2007] $) $( [28-Aug-2007] $)
  $}

  ${
    $d x y z $.  $d z ph $.
    fnoprab.1 $e |- ( ph -> E! z ps ) $.
    $( Functionality and domain of an operation class abstraction. $)
    fnoprab $p |- { <. <. x , y >. , z >. | ( ph /\ ps ) } Fn
                    { <. x , y >. | ph } $=
      ( weu wi wal wa copab2 copab wfn gen2 fnoprabg ax-mp ) ABEGHZDICIABJCDEKA
      CDLMQCDFNABCDEOP $.
      $( [15-May-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.  $d x y z w F $.
    $( An operation maps to a class to which all values belong. $)
    ffnoprval $p |- ( F : ( A X. B ) --> C <-> ( F Fn ( A X. B ) /\
         A. x e. A A. y e. B ( x F y ) e. C ) ) $=
      ( vw cxp wf wfn cv cfv wcel wral wa co ffnfv cop wceq fveq2 df-opr
      syl6eqr eleq1d ralxp anbi2i bitr ) CDHZEFIFUGJZGKZFLZEMZGUGNZOUHAKZBKZFPZ
      EMZBDNACNZOGUGEFQULUQUHUKUPGABCDUIUMUNRZSZUJUOEUSUJURFLUOUIURFTUMUNFUAUBU
      CUDUEUF $.
      $( [23-Jun-2004] $) $( [7-Feb-2004] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y F $.  $d x y R $.  $d x y S $.
    foprcl.1 $e |- F : ( R X. S ) --> C $.
    $( Closure law for an operation. $)
    foprcl $p |- ( ( A e. R /\ B e. S ) -> ( A F B ) e. C ) $=
      ( vx vy wcel wa cv co wral cxp wf wfn ffnoprval pm3.27bi ax-mp wceq
      opreq1 eleq1d opreq2 rcla42v mpi ) ADJBEJKHLZILZFMZCJZIENHDNZABFMZCJZDEOZ
      CFPZUKGUOFUNQUKHIDECFRSTUJUMAUHFMZCJHIABDEUGAUAUIUPCUGAUHFUBUCUHBUAUPULCU
      HBAFUDUCUEUF $.
      $( [19-Apr-2007] $) $( [19-Apr-2007] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.  $d z D $.
    $d x y z F $.  $d x y z G $.
    $( Equality of two operations is determined by their values. $)
    eqfnoprval $p |- ( ( F Fn ( A X. B ) /\ G Fn ( C X. D ) ) -> ( F = G <->
( ( A X. B ) = ( C X. D ) /\ A. x e. A A. y e. B ( x F y ) = ( x G y ) ) ) ) $=
      ( vz cxp wfn wa wceq cv cfv wral co eqfnfv cop fveq2 eqeq12d df-opr
      eqeq12i syl6bbr ralxp anbi2i syl6bb ) GCDJZKHEFJZKLGHMUHUIMZINZGOZUKHOZMZ
      IUHPZLUJANZBNZGQZUPUQHQZMZBDPACPZLIUHUIGHRUOVAUJUNUTIABCDUKUPUQSZMZUNVBGO
      ZVBHOZMUTVCULVDUMVEUKVBGTUKVBHTUAURVDUSVEUPUQGUBUPUQHUBUCUDUEUFUG $.
      $( [12-Sep-2005] $) $( [1-Sep-2005] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w F $.
    $( Representation of an operation class abstraction in terms of its
       values. $)
    fnoprval $p |- ( F Fn ( A X. B ) <->  F = { <. <. x , y >. , z >. |
                    ( ( x e. A /\ y e. B ) /\ z = ( x F y ) ) } ) $=
      ( vw cxp wfn cv wcel cfv wceq wa copab co copab2 fnopabfv cop wex elxp
      anbi1i 19.41vv anass fveq2 df-opr syl6eqr eqeq2d anbi2d pm5.32i bitr
      2exbii 3bitr2 opabbii dfoprab2 eqtr4 eqeq2i ) FDEHZIFGJZURKZCJZUSFLZMZNZG
      COZMFAJZDKBJZEKNZVAVFVGFPZMZNZABCQZMGCURFRVEVLFVEUSVFVGSZMZVKNZBTATZGCOVL
      VDVPGCVDVNVHNZBTATZVCNVQVCNZBTATVPUTVRVCABUSDEUAUBVQVCABUCVSVOABVSVNVHVCN
      ZNVOVNVHVCUDVNVTVKVNVCVJVHVNVBVIVAVNVBVMFLVIUSVMFUEVFVGFUFUGUHUIUJUKULUMU
      NVKABCGUOUPUQUK $.
      $( [23-Jun-2004] $) $( [7-Feb-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z F $.
    $( Representation of an operation class abstraction in terms of its
       values. $)
    foprval $p |- ( F : ( A X. B ) --> C <-> ( F = { <. <. x , y >. , z >. |
                  ( ( x e. A /\ y e. B ) /\ z = ( x F y ) ) }
                /\ A. x e. A A. y e. B ( x F y ) e. C ) ) $=
      ( cxp wf wfn cv co wcel wral wa wceq copab2 ffnoprval fnoprval anbi1i
      bitr ) DEHZFGIGUBJZAKZBKZGLZFMBENADNZOGUDDMUEEMOCKUFPOABCQPZUGOABDEFGRUCU
      HUGABCDEGSTUA $.
      $( [25-Jun-2004] $) $( [7-Feb-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    oprabex.1 $e |- A e. V $.
    oprabex.2 $e |- B e. V $.
    oprabex.3 $e |- ( ( x e. A /\ y e. B ) -> E* z ph ) $.
    oprabex.4 $e |- F = { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
             /\ ph ) } $.
    $( Existence of an operation class abstraction. $)
    oprabex $p |- F e. V $=
      ( cv wcel wa copab2 cvv wfun cdm wmo wi moanimv mpbir funoprab cxp xpex
      dmoprabss ssexi funex mp2an eqeltr ) GBLEMCLFMNZANZBCDOZPKUMQUMRZPMUMPMUL
      BCDULDSUKADSTJUKADUAUBUCUNEFUDEFHIUEABCDEFUFUGPUMUHUIUJ $.
      $( [21-Oct-2004] $) $( [19-Oct-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.
    oprabex2g.1 $e |- F = { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
             /\ z = C ) } $.
    $( Existence of an operation class abstraction (special case). $)
    oprabex2g $p |- ( ( A e. R /\ B e. S ) -> F e. V ) $=
      ( wcel wa cv wceq copab2 cvv cdm cxp wss ssexg dmoprabss a1i xpexg
      sylanc wfun moeq moani funoprab funex mpan syl syl5eqel ) DGKEHKLZAMDKBME
      KLZCMFNZLZABCOZPIUMUQQZPKZUQPKZURDERZSZVAPKUSUMURVAPTVBUMUOABCDEUAUBDEGHU
      CUDUQUEUSUTUPABCUOUNCCFUFUGUHPUQUIUJUKJUL $.
      $( [31-Aug-2007] $) $( [27-Aug-2007] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.
    oprabex2.1 $e |- A e. V $.
    oprabex2.2 $e |- B e. V $.
    oprabex2.3 $e |- F = { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
             /\ z = C ) } $.
    $( Existence of an operation class abstraction (special case). $)
    oprabex2 $p |- F e. V $=
      ( cvv wcel oprabex2g mp2an ) DKLEKLGKLHIABCDEFKKGJMN $.
      $( [11-Nov-1995] $)
  $}

  ${
    $d x y z w v u f A $.  $d x y z w v u f B $.  $d x y z w v u f C $.
    $d x y z w v u f D $.  $d x y z w v u f H $.  $d x y z R $.
    $d x y z w v u f S $.
    oprabex3.1 $e |- H e. V $.
    oprabex3.2 $e |- F = { <. <. x , y >. , z >. | ( ( x e. ( H X. H ) /\
                      y e. ( H X. H ) ) /\
                      E. w E. v E. u E. f ( ( x = <. w , v >. /\
                      y = <. u , f >. ) /\ z = R ) ) } $.
    $( Existence of an operation class abstraction (special case). $)
    oprabex3 $p |- F e. V $=
      ( cv cop wceq wa wex cxp xpex wmo wcel moeq mosubop anass 2exbii 19.42vv
      bitr mobii mpbir a1i oprabex ) AMZDMEMNOZBMZFMHMNOZPCMGOZPZHQFQZEQDQZABCJ
      JRZUTIJJKKSZVAUSCTZULUTUAUNUTUAPVBUMUOUPPZHQFQZPZEQDQZCTVDCDEULUPCFHUNCGU
      BUCUCUSVFCURVEDEURUMVCPZHQFQVEUQVGFHUMUOUPUDUEUMVCFHUFUGUEUHUIUJLUK $.
      $( [22-Oct-2004] $) $( [19-Oct-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z S $.
    $d x ps $.  $d x y ch $.  $d x y z th $.
    oprabval.1 $e |- C e. V $.
    oprabval.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    oprabval.3 $e |- ( y = B -> ( ps <-> ch ) ) $.
    oprabval.4 $e |- ( z = C -> ( ch <-> th ) ) $.
    oprabval.5 $e |- ( ( x e. R /\ y e. S ) -> E! z ph ) $.
    oprabval.6 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction. $)
    oprabval $p |- ( ( A e. R /\ B e. S ) -> ( ( A F B ) = C <-> th ) ) $=
      ( wcel wa co wceq cop cv copab2 cfv copab wb eleq1 anbi1d anbi2d
      opelopabg ibir wfn fnoprab fnopfvb mpan syl cvv anbi12d eloprabg mp3an3
      bitrd df-opr fveq1i eqtr eqeq1i syl5bb bianabs ) HKTZILTZUAZHIMUBZJUCZDVM
      HIUDZEUEZKTZFUEZLTZUAZAUAZEFGUFZUGZJUCZVMDUAZVOVMWEVPJUDWCTZWFVMVPWAEFUHZ
      TZWEWGUIZVMWIWAVKVTUAZVMEFHIKLVQHUCZVRVKVTVQHKUJUKZVSIUCZVTVLVKVSILUJULZU
      MUNWCWHUOWIWJWAAEFGRUPWHVPJWCNUQURUSVKVLJUTTWGWFUINWBWKBUAVMCUAWFEFGHIJKL
      UTWLWAWKABWMOVAWNWKVMBCWOPVAGUEJUCCDVMQULVBVCVDVNWDJVNVPMUGWDHIMVEVPMWCSV
      FVGVHVIVJ $.
      $( [16-May-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z S $.
    $d x ps $.  $d x y ch $.  $d x y z th $.
    oprabvalig.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    oprabvalig.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    oprabvalig.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    oprabvalig.4 $e |- ( ( x e. R /\ y e. S ) -> E* z ph ) $.
    oprabvalig.5 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction (weak version). $)
    oprabvalig $p |- ( ( A e. R /\ B e. S /\ C e. D ) ->
                         ( th -> ( A F B ) = C ) ) $=
      ( wcel w3a cop cv wa copab2 cfv wceq co wi eleq1 anbi1d anbi12d anbi2d
      eloprabg biimpar exp32 com12 3adant3 pm2.43i wfun wmo moanimv mpbir
      funoprab funopfvg mpan2 3ad2ant3 syld df-opr fveq1i eqtr eqeq1i syl6ibr
      ) HLTZIMTZJKTZUAZDHIUBZEUCZLTZFUCZMTZUDZAUDZEFGUEZUFZJUGZHINUHZJUGVQDVRJU
      BWETZWGVQDWIUIZVNVOVQWJUIVPVQVNVOUDZWJVQWKDWIVQWIWKDUDZWDVNWBUDZBUDWKCUDW
      LEFGHIJLMKVSHUGZWCWMABWNVTVNWBVSHLUJUKOULWAIUGZWMWKBCWOWBVOVNWAIMUJUMPULG
      UCJUGCDWKQUMUNUOUPUQURUSVPVNWIWGUIZVOVPWEUTWPWDEFGWDGVAWCAGVAUIRWCAGVBVCV
      DVRJKWEVEVFVGVHWHWFJWHVRNUFWFHINVIVRNWESVJVKVLVM $.
      $( [14-Sep-1999] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z S $.
    $d x ps $.  $d x y ch $.  $d x y z th $.
    oprabvali.1 $e |- C e. V $.
    oprabvali.2 $e |- ( x = A -> ( ph <-> ps ) ) $.
    oprabvali.3 $e |- ( y = B -> ( ps <-> ch ) ) $.
    oprabvali.4 $e |- ( z = C -> ( ch <-> th ) ) $.
    oprabvali.5 $e |- ( ( x e. R /\ y e. S ) -> E* z ph ) $.
    oprabvali.6 $e |- F =
                  { <. <. x , y >. , z >. | ( ( x e. R /\ y e. S ) /\ ph ) } $.
    $( The value of an operation class abstraction (weak version). $)
    oprabvali $p |- ( ( A e. R /\ B e. S ) -> ( th -> ( A F B ) = C ) ) $=
      ( wcel cvv co wceq wi oprabvalig mp3an3 ) HKTILTJUATDHIMUBJUCUDNABCDEFGHI
      JUAKLMOPQRSUEUF $.
      $( [16-May-1995] $)
  $}

  ${
    $d u v x y z A $.  $d u v x y z B $.  $d u v x y z C $.  $d u w G $.
    $d u v x y z D $.  $d u v w z R $.  $d u v w z S $.  $d x y w $.
    oprabval2gf.1 $e |- ( w e. G -> A. x w e. G ) $.
    oprabval2gf.2 $e |- ( w e. S -> A. y w e. S ) $.
    oprabval2gf.3 $e |- ( x = A -> R = G ) $.
    oprabval2gf.4 $e |- ( y = B -> G = S ) $.
    oprabval2gf.5 $e |- F = { <. <. x , y >. , z >. | ( ( x e. C /\ y e. D )
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  A version of ~ oprabval2g
       using bound-variable hypotheses. $)
    oprabval2gf $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( vu vv wcel w3a cv wa csb wceq copab2 co eqid cvv visset ax-17 wex
      eqvinc hbcsb1 hbeq csbeq1a sylan9req 19.23ai sylbi csbeq2d mpan2 eqeq2d
      eqeq1 wmo moeq a1i oprabvalig mpi wal wi hbcsbg ax-mp hban eleq1 anbi1d
      anbi12d anbi2d sylan9bb cbvoprab12 eqtr opreqi syl5eq ) EGUAFHUAJMUAUBZEF
      SUCZGUAZTUCZHUAZUDZCUCZBWGAWEIUEZUEZUFZUDZSTCUGZUHZJEFKUHWDJJUFZWPJUFJUIW
      MWJBWGLUEZUFWJJUFWQSTCEFJMGHWOWEEUFZWLWRWJWSWGUJUAZWLWRUFTUKZWSBWGWKLUJWS
      BULWSAUCZWEUFZXBEUFZUDZAUMWKLUFZAWEESUKZUNXEXFAADDWKLADWEIXGDUCZWEUAAULUO
      ZNUPXCXDWKILAWEIUQZPURUSUTVAVBVCWGFUFZWRJWJXKBUCZWGUFZXLFUFZUDZBUMWRJUFZB
      WGFXAUNXOXPBBDDWRJBDWGLXAXHWGUAZBULZUOOUPXMXNWRLJBWGLUQQURUSUTVCWJJJVDWMC
      VEWICWLVFVGWOUIVHVIKWOEFKXBGUAZXLHUAZUDZWJIUFZUDZABCUGWORYCWNABCSTYCSULYC
      TULWIWMAWIAULADDWJWLXHWJUAZAULWTXHWLUAZYEAVJVKXAABDWGWKUJXQAULXIVLVMUPVNW
      IWMBWIBULBDDWJWLYDBULBDWGWKXAXRUOUPVNXCYCWFXTUDZWJWKUFZUDXMWNXCYAYFYBYGXC
      XSWFXTXBWEGVOVPXCIWKWJXJVCVQXMYFWIYGWMXMXTWHWFXLWGHVOVRXMWKWLWJBWGWKUQVCV
      QVSVTWAWBWC $.
      $( [17-Aug-2006] $) $( [17-Aug-2006] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    $d x w G $.  $d w z R $.  $d w y z S $.
    oprabval2g.1 $e |- ( x = A -> R = G ) $.
    oprabval2g.2 $e |- ( y = B -> G = S ) $.
    oprabval2g.3 $e |- F = { <. <. x , y >. , z >. | ( ( x e. C /\ y e. D )
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  Special case. $)
    oprabval2g $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( vw cv wcel ax-17 oprabval2gf ) ABCPDEFGHIJKLPQZKRASUAIRBSMNOT $.
      $( [14-Sep-1999] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.
    $d x G $.  $d z R $.  $d y z S $.
    oprabval2.1 $e |- S e. V $.
    oprabval2.2 $e |- ( x = A -> R = G ) $.
    oprabval2.3 $e |- ( y = B -> G = S ) $.
    oprabval2.4 $e |- F = { <. <. x , y >. , z >. | ( ( x e. C /\ y e. D )
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  Special case. $)
    oprabval2 $p |- ( ( A e. C /\ B e. D ) -> ( A F B ) = S ) $=
      ( wcel cvv co wceq oprabval2g mp3an3 ) DFPEGPIQPDEJRISLABCDEFGHIJKQMNOTUA
      $.
      $( [16-May-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $d x G $.  $d z R $.  $d y z S $.
    oprabval5.1 $e |- S e. V $.
    oprabval5.2 $e |- ( x = A -> R = G ) $.
    oprabval5.3 $e |- ( y = B -> G = S ) $.
    oprabval5.4 $e |- F = { <. <. x , y >. , z >. | z = R } $.
    $( The value of an operation class abstraction.  Special case. $)
    oprabval5 $p |- ( ( A e. C /\ B e. D ) -> ( A F B ) = S ) $=
      ( cvv wcel co wceq cv copab2 wa visset pm3.2i biantrur oprabbii eqtr
      oprabval2 elisset syl2an ) DPQEPQDEJRISDFQEGQABCDEPPHIJKLMNJCTHSZABCUAATP
      QZBTPQZUBZUKUBZABCUAOUKUOABCUNUKULUMAUCBUCUDUEUFUGUHDFUIEGUIUJ $.
      $( [23-Jul-2005] $) $( [19-Jul-2005] $)
  $}

  ${
    $d x y z w v u f A $.  $d x y z w v u f B $.  $d x y z w v u f C $.
    $d x y z w v u f D $.  $d x y z w v u f H $.  $d x y z R $.
    $d x y z w v u f S $.
    oprabval3.1 $e |- S e. V $.
    oprabval3.2 $e |- ( ( ( w = A /\ v = B ) /\ ( u = C /\ f = D ) ) ->
         R = S ) $.
    oprabval3.3 $e |- F = { <. <. x , y >. , z >. | ( ( x e. ( H X. H ) /\
                      y e. ( H X. H ) ) /\
                      E. w E. v E. u E. f ( ( x = <. w , v >. /\
                      y = <. u , f >. ) /\ z = R ) ) } $.
    $( The value of an operation class abstraction.  Special case. $)
    oprabval3 $p |- ( ( ( A e. H /\ B e. H ) /\ ( C e. H /\ D e. H ) ) ->
        ( <. A , B >. F <. C , D >. ) = S ) $=
      ( cop cxp wcel wa cv wceq wex co eqeq1 anbi1d 4exbidv anbi2d wmo moeq
      mosubop anass 2exbii 19.42vv bitr mobii mpbir a1i oprabvali opelxpi
      anim12i eqid eqeq2d copsex4g mpbiri sylc ) GHSZOOTZUAZIJSZVJUAZUBVIDUCZEU
      CZSZUDZVLFUCZMUCZSZUDZUBZLKUDZUBZMUEFUEEUEDUEZVIVLNUFLUDGOUAHOUAUBZIOUAJO
      UAUBZUBZAUCZVPUDZBUCZVTUDZUBZCUCZKUDZUBZMUEFUEZEUEDUEZVQWLUBZWOUBZMUEFUEE
      UEDUEWBWOUBZMUEFUEEUEDUEWEABCVIVLLVJVJNPWIVIUDZWPWTDEFMXBWMWSWOXBWJVQWLWI
      VIVPUGUHUHUIWKVLUDZWTXADEFMXCWSWBWOXCWLWAVQWKVLVTUGUJUHUIWNLUDZXAWDDEFMXD
      WOWCWBWNLKUGUJUIWRCUKZWIVJUAWKVJUAUBXEWJWLWOUBZMUEFUEZUBZEUEDUEZCUKXGCDEW
      IWOCFMWKCKULUMUMWRXICWQXHDEWQWJXFUBZMUEFUEXHWPXJFMWJWLWOUNUOWJXFFMUPUQUOU
      RUSUTRVAWFVKWGVMGHOOVBIJOOVBVCWHWELLUDZLVDWCXKDEFMGHIJOOVNGUDVOHUDUBVRIUD
      VSJUDUBUBKLLQVEVFVGVH $.
      $( [28-May-1995] $)
  $}

  ${
    $d x y z w v u f A $.  $d x y z w v u f B $.  $d z w v u f C $.
    $d w v D $.
    oprabval4g.1 $e |- F =
          { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ z = C ) } $.
    $( Value of an operation given by an ordered-pair class abstraction.
       (This is the operation analog of ~ fvopab2 .) $)
    oprabval4g $p |- ( ( x e. A /\ y e. B /\ C e. D ) -> ( x F y ) = C ) $=
      ( vw vv vf vu cv wcel cvv co wceq wsbc cab sbab eqcomd equcoms wa copab2
      ax-17 hbs1 hbab hbeleq hban hbsb eleq1 bi2anan9 sylan9eq eqeq2d anbi12d
      cbvoprab12 eqtr4 oprabval2g elisset syl3an3 ) ANZDOZBNZEOZFPOVBVDHQFRFGOJ
      KCVBVDDELNMNFOZBKNZSZMTZOZAJNZSZLTZFHVIPVMVIRAJVBVKRVIVMAJLVIUAUBUCZVIFRB
      KVDVGRFVIBKMFUAUBUCZHVCVEUDZCNZFRZUDZABCUEVKDOZVGEOZUDZVQVMRZUDZJKCUEIWDV
      SJKCABWBWCAWBAUFACVMVLALCVJAJUGUHUIUJWBWCBWBBUFBCVMVLBLCVJAJBVHBMLVFBKUGU
      HUKUHUIUJVSJUFVSKUFVKVBRZVGVDRZUDZWBVPWCVRWEVTVCWFWAVEVKVBDULVGVDEULUMWGV
      MFVQWEWFVMVIFVNVOUNUOUPUQURUSFGUTVA $.
      $( [1-Jul-2004] $) $( [21-Feb-2004] $)
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y z C $.  $d w z R $.
    $d w x y z S $.
    oprabval6g.1 $e |- ( <. x , y >. = <. A , B >. -> R = S ) $.
    oprabval6g.2 $e |- F = { <. <. x , y >. , z >. | ( <. x , y >. e. C
                      /\ z = R ) } $.
    $( The value of an operation class abstraction.  Special case. $)
    oprabval6g $p |- ( ( ( A e. G /\ B e. H /\ <. A , B >. e. C ) /\ S e. J )
                     -> ( A F B ) = S ) $=
      ( vw wcel cop w3a wa cfv co cv wceq wex eqid pm4.2d copsex2g mpbiri
      3adant3 adantr wi eqeq1 anbi1d wb eqeq2d eqcoms pm5.32i syl6bb 2exbidv
      anbi2d wmo moeq mosubop a1i copab2 copab dfoprab2 eleq1 an12 bitr3
      2exbii 19.42vv bitr opabbii 3eqtr fvopab3ig 3ad2antl3 mpd df-opr syl5eq
      ) DJPZEKPZDEQZFPZRZHLPZSZWCITZHDEIUAWGWCAUBZBUBZQZUCZHHUCZSZBUDAUDZWHHUCZ
      WEWOWFWAWBWOWDWAWBSWOWMHUEWMWMABDEJKWIDUCWJEUCSWMUFUGUHUIUJWDWAWFWOWPUKWB
      OUBZWKUCZCUBZGUCZSZBUDAUDZWLWSHUCZSZBUDAUDWOOCWCHFLIWQWCUCZXAXDABXEXAWLWT
      SXDXEWRWLWTWQWCWKULUMWLWTXCWTXCUNWKWCWKWCUCGHWSMUOUPUQURUSXCXDWNABXCXCWMW
      LWSHHULUTUSXBCVAWQFPZWTCABWQCGVBVCVDIWKFPZWTSZABCVEWRXHSZBUDAUDZOCVFXFXBS
      ZOCVFNXHABCOVGXJXKOCXJXFXASZBUDAUDXKXIXLABXIWRXFWTSZSXLWRXMXHWRXFXGWTWQWK
      FVHUMUQWRXFWTVIVJVKXFXAABVLVMVNVOVPVQVRDEIVSVT $.
      $( [13-Nov-2006] $) $( [13-Nov-2006] $)
  $}

  $( The value of a restricted operation.  (Contributed by FL,
     10-Nov-2006.) $)
  oprvalres $p |- ( ( A e. C /\ B e. D ) ->  ( A ( F |` ( C X. D ) ) B )
    = ( A F B ) ) $=
    ( wcel wa cop cxp cres cfv co wceq opelxpi fvres syl df-opr 3eqtr4g ) ACFBD
    FGZABHZECDIZJZKZTEKZABUBLABELSTUAFUCUDMABCDNTUAEOPABUBQABEQR $.
    $( [10-Nov-2006] $) $( [3-Nov-2006] $)

  $( The value of a member of the domain of a subclass of an operation. $)
  oprssoprval $p |- ( ( ( Fun F /\ G Fn ( C X. D ) /\ G (_ F ) /\
        ( A e. C /\ B e. D ) ) -> ( A F B ) = ( A G B ) ) $=
    ( wfun cxp wfn wss w3a wcel wa cres co wceq oprvalres adantl cdm fndm
    reseq2 syl 3ad2ant2 funssres 3adant2 eqtr3d opreqd adantr ) EGZFCDHZIZFEJZK
    ZACLBDLMZMABEUJNZOZABEOZABFOZUNUPUQPUMABCDEQRUMUPURPUNUMUOFABUMEFSZNZUOFUKU
    IUTUOPZULUKUSUJPVAUJFTUSUJEUAUBUCUIULUTFPUKEFUDUEUFUGUHUF $.
    $( [30-Jan-2008] $) $( [23-Aug-2007] $)

  $( A operations's value belongs to its codomain. $)
  foprrn $p |- ( ( F : ( R X. S ) --> C /\ A e. R /\ B e. S ) ->
               ( A F B ) e. C ) $=
    ( cxp wf wcel co cop wa cfv ffvelrn df-opr syl5eqel opelxpi sylan2 3impb )
    DEGZCFHZADIZBEIZABFJZCIZUAABKZTIZUEUBUCLUAUGLUFFMCUDTCUFFNABFOPABDEQRS $.
    $( [31-Aug-2006] $) $( [27-Aug-2006] $)

  ${
    $d w x y z A $.  $d w x y z B $.  $d w z C $.  $d w x y z F $.
    $( The range of an operation expressed as a collection of the operation's
       values. $)
    fnrnoprval $p |- ( F Fn ( A X. B ) -> ran F = { z | E. x e. A E. y e. B
                     z = ( x F y ) } ) $=
      ( vw cxp wfn crn cv cfv wceq wrex cab co fnrnfv cop fveq2 df-opr syl6eqr
      eqeq2d rexxp abbii syl6eq ) FDEHZIFJCKZGKZFLZMZGUFNZCOUGAKZBKZFPZMZBENADN
      ZCOGCUFFQUKUPCUJUOGABDEUHULUMRZMZUIUNUGURUIUQFLUNUHUQFSULUMFTUAUBUCUDUE
      $.
      $( [29-Oct-2006] $) $( [29-Oct-2006] $)

    $( An onto mapping of an operation expressed in terms of operation
       values. $)
    fooprval $p |- ( F : ( A X. B ) -onto-> C <-> ( F : ( A X. B ) --> C /\
                  A. z e. C E. x e. A E. y e. B z = ( x F y ) ) ) $=
      ( vw cxp wfo wf cv cfv wceq wrex wral wa co dffo3 cop fveq2 df-opr
      syl6eqr eqeq2d rexxp ralbii anbi2i bitr ) DEIZFGJUIFGKZCLZHLZGMZNZHUIOZCF
      PZQUJUKALZBLZGRZNZBEOADOZCFPZQHCUIFGSUPVBUJUOVACFUNUTHABDEULUQURTZNZUMUSU
      KVDUMVCGMUSULVCGUAUQURGUBUCUDUEUFUGUH $.
      $( [30-Oct-2006] $) $( [29-Oct-2006] $)
  $}

  $( An operation's value belongs to its range. $)
  fnoprvalrn $p |- ( ( F Fn ( A X. B ) /\ C e. A /\ D e. B ) ->
                   ( C F D ) e. ran F ) $=
    ( cxp wfn wcel co crn cop wa cfv fnfvelrn df-opr syl5eqel opelxpi sylan2
    3impb ) EABFZGZCAHZDBHZCDEIZEJZHZUACDKZTHZUFUBUCLUAUHLUGEMUEUDTUGENCDEOPCDA
    BQRS $.
    $( [14-Feb-2007] $) $( [10-Feb-2007] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z F $.
    $( A member of an operation's range is a value of the operation. $)
    oprvalelrn $p |- ( F Fn ( A X. B ) -> ( C e. ran F <->
                  E. x e. A E. y e. B ( x F y ) = C ) ) $=
      ( vz cxp wfn crn wcel cv co wceq wrex cab fnrnoprval eleq2d cvv wi oprex
      eleq1 mpbii a1i r19.23aiv eqeq1 eqcom syl6bb 2rexbidv elab3 ) FCDHIZEFJZK
      EGLZALZBLZFMZNZBDOACOZGPZKUPENZBDOZACOZUKULUSEABGCDFQRURVBGEVAESKZACVAVCT
      UNCKUTVCBDUTVCTUODKUTUPSKVCUNUOFUAUPESUBUCUDUEUDUEUMENZUQUTABCDVDUQEUPNUT
      UMEUPUFEUPUGUHUIUJUH $.
      $( [13-Feb-2007] $) $( [7-Feb-2007] $)
  $}

  ${
    oprvalconst2.1 $e |- C e. V $.
    $( The value of a constant operation. $)
    oprvalconst2 $p |- ( ( R e. A /\ S e. B ) ->
                       ( R ( ( A X. B ) X. { C } ) S ) = C ) $=
      ( wcel wa cop cxp csn cfv co wceq opelxpi fvconst2 syl df-opr syl5eq ) DA
      GEBGHZDEIZABJZCKJZLZCDEUCMTUAUBGUDCNDEABOUBCUAFPQDEUCRS $.
      $( [17-Nov-2006] $) $( [5-Nov-2006] $)
  $}

  ${
    $d x y z w F $.  $d x y z w A $.  $d x y z w B $.
    oprvalex.1 $e |- A e. V $.
    oprvalex.2 $e |- B e. V $.
    $( Existence of a class of operation values. $)
    oprvalex $p |- { z | E. x e. A E. y e. B z = ( x F y ) } e. V $=
      ( vw cv cfv wceq cxp wrex cab co cvv cop fveq2 df-opr syl6eqr eqeq2d
      rexxp abbii xpex abrexex eqeltrr ) CJZIJZFKZLZIDEMZNZCOUHAJZBJZFPZLZBENAD
      NZCOQUMURCUKUQIABDEUIUNUORZLZUJUPUHUTUJUSFKUPUIUSFSUNUOFTUAUBUCUDICULUJDE
      GHUEUFUG $.
      $( [15-Nov-1995] $)
  $}

  ${
    $d x y S $.  $d x y F $.
    oprssdm.1 $e |- -. (/) e. S $.
    oprssdm.2 $e |- ( ( x e. S /\ y e. S ) -> ( x F y ) e. S ) $.
    $( Domain of closure of an operation. $)
    oprssdm $p |- ( S X. S ) (_ dom F $=
      ( cxp cdm relxp cv cop wcel wa visset opelxp wn cfv c0 wceq ndmfv co
      df-opr eqeq1i eleq1 mtbiri nsyl sylbir syl a3i sylbi relssi ) ABCCGZDHZCC
      IAJZBJZKZULLUNCLUOCLMZUPUMLZUNUOCCBNOURUQURPUPDQZRSZUQPZUPDTUTUNUODUAZRSZ
      VAVBUSRUNUODUBUCVCVBCLZUQVCVDRCLEVBRCUDUEFUFUGUHUIUJUK $.
      $( [24-Aug-1995] $)
  $}

  $( The value of an operation outside its domain. $)
  ndmoprg $p |- ( ( dom F = ( R X. S ) /\ B e. C /\ -. ( A e. R /\ B e. S ) )
              -> ( A F B ) = (/) ) $=
    ( cdm cxp wceq wcel wa wn co c0 cop eleq2 opelxpg sylan9bb negbid cfv
    ndmfv df-opr syl5eq syl6bir 3impia ) FGZDEHZIZBCJZADJBEJKZLZABFMZNIZUHUIKZU
    KABOZUFJZLZUMUNUPUJUHUPUOUGJUIUJUFUGUOPABDECQRSUQUOFTNULUOFUAABFUBUCUDUE $.
    $( [18-Apr-2008] $) $( [28-Mar-2008] $)

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x S $.
    ndmoprcl.1 $e |- dom F = ( S X. S ) $.
    ndmoprcl.2 $e |- ( ( A e. S /\ x e. S ) -> ( A F x ) e. S ) $.
    ndmoprcl.3 $e |- (/) e. S $.
    $( The closure of an operation outside its domain, when the domain
       includes the empty set.  This technical lemma can make the operation
       more convenient to work in some cases.  It is is dependent on our
       particular definitions of operation value, function value, and ordered
       pair. $)
    ndmoprcl $p |- ( A F B ) e. S $=
      ( cvv wcel co wn oprprc2 eleq1d wa c0 cdm cxp wceq ndmoprg mp3an1
      syl6eqel ex cv wi opreq2 imbi2d expcom vtoclga imp pm2.61d2 syl5cbir
      impcom wrel relxp releqi mpbir oprprc1 pm2.61i ) BIJZBCEKZDJZUTCIJZVBVCLZ
      VBBBEKZDJZUTVDVAVEDBCEMNUTBDJZVGOZVFUTVHLZVFUTVIOVEPDEQZDDRZSZUTVIVEPSFBB
      IDDETUAHUBUCVGVGVFVGBAUDZEKZDJZUEZVGVFUEABDVMBSZVOVFVGVQVNVEDVMBBEUFNUGVG
      VMDJVOGUHZUIUJUKULVCVGCDJZOZVBVCVTLZVBVCWAOVAPDVLVCWAVAPSFBCIDDETUAHUBUCV
      SVGVBVPVGVBUEACDVMCSZVOVBVGWBVNVADVMCBEUFNUGVRUIUMUKUKUTLVAPDBCEVJUNVKUND
      DUOVJVKFUPUQURHUBUS $.
      $( [16-Nov-2004] $) $( [24-Sep-2004] $)
  $}

  ${
    ndmopr.1 $e |- B e. V $.
    ndmopr.2 $e |- dom F = ( S X. S ) $.
    $( The value of an operation outside its domain. $)
    ndmopr $p |- ( -. ( A e. S /\ B e. S ) -> ( A F B ) = (/) ) $=
      ( cdm cxp wceq cvv wcel wa wn co c0 ndmoprg mp3an12 ) DGCCHIBJKACKBCKLMAB
      DNOIFEABJCCDPQ $.
      $( [24-Aug-1995] $)

    ${
      ndmoprrcl.3 $e |- -. (/) e. S $.
      $( Reverse closure law, when an operation's domain doesn't contain the
         empty set. $)
      ndmoprrcl $p |- ( ( A F B ) e. S -> ( A e. S /\ B e. S ) ) $=
        ( wcel wa co wn c0 ndmopr eleq1d mtbiri a3i ) ACHBCHIZABDJZCHZQKZSLCHGT
        RLCABCDEFMNOP $.
        $( [3-Feb-1996] $)
    $}

    ${
      ndmopr.3 $e |- A e. V $.
      $( Any operation is commutative outside its domain. $)
      ndmoprcom $p |- ( -. ( A e. S /\ B e. S ) -> ( A F B ) = ( B F A ) ) $=
        ( wcel wa wn co c0 ndmopr wceq ancom negbii sylbi eqtr4d ) ACHZBCHZIZJZ
        ABDKLBADKZABCDEFMUBTSIZJUCLNUAUDSTOPBACDGFMQR $.
        $( [24-Aug-1995] $)
    $}

    ${
      ndmopr.4 $e |- C e. V $.
      ndmopr.5 $e |- -. (/) e. S $.
      $( Any operation is associative outside its domain, if the domain
         doesn't contain the empty set. $)
      ndmoprass $p |- ( -. ( A e. S /\ B e. S /\ C e. S ) ->
              ( ( A F B ) F C ) = ( A F ( B F C ) ) ) $=
        ( wcel w3a wn co c0 wa wceq ndmoprrcl anim1i df-3an sylibr con3i
        ndmopr syl anim2i 3anass oprex eqtr4d ) ADJZBDJZCDJZKZLZABEMZCEMZNABCEM
        ZEMZULUMDJZUJOZLUNNPURUKURUHUIOZUJOUKUQUSUJABDEFGIQRUHUIUJSTUAUMCDEHGUB
        UCULUHUODJZOZLUPNPVAUKVAUHUIUJOZOUKUTVBUHBCDEHGIQUDUHUIUJUETUAAUODEBCEU
        FGUBUCUG $.
        $( [24-Aug-1995] $)

      ${
        ndmopr.6 $e |- dom G = ( S X. S ) $.
        $( Any operation is distributive outside its domain, if the domain
           doesn't contain the empty set. $)
        ndmoprdistr $p |- ( -. ( A e. S /\ B e. S /\ C e. S ) ->
            ( A G ( B F C ) ) = ( ( A G B ) F ( A G C ) ) ) $=
          ( wcel w3a wn co c0 wa wceq ndmoprrcl anim2i 3anass sylibr con3i
          oprex ndmopr syl anim12i anandi bitr eqtr4d ) ADLZBDLZCDLZMZNZABCEOZF
          OZPABFOZACFOZEOZUOUKUPDLZQZNUQPRVBUNVBUKULUMQZQZUNVAVCUKBCDEIHJSTUKUL
          UMUAZUBUCAUPDFBCEUDKUEUFUOURDLZUSDLZQZNUTPRVHUNVHUKULQZUKUMQZQZUNVFVI
          VGVJABDFGKJSACDFIKJSUGUNVDVKVEUKULUMUHUIUBUCURUSDEACFUDHUEUFUJ $.
          $( [24-Aug-1995] $)
      $}
    $}

    ${
      ndmord.3 $e |- A e. V $.
      ndmord.4 $e |- R (_ ( S X. S ) $.
      ndmord.5 $e |- -. (/) e. S $.
      ndmord.6 $e |- ( ( A e. S /\ B e. S /\ C e. S ) ->
                     ( A R B <-> ( C F A ) R ( C F B ) ) ) $.
        $( Elimination of redundant antecedents in an ordering law. $)
      ndmord $p |- ( C e. S -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $=
        ( wcel wa wbr co wb wi 3expia wn brel oprex ndmoprrcl pm3.27d anim12i
        syl pm5.21ni a1d pm2.61i ) AEMZBEMZNZCEMZABDOZCAFPZCBFPZDOZQZRUJUKUMURL
        SULTURUMUNULUQABEEDGJUAUQUOEMZUPEMZNULUOUPEEDCBFUBJUAUSUJUTUKUSUMUJCAEF
        IHKUCUDUTUMUKCBEFGHKUCUDUEUFUGUHUI $.
        $( [7-Mar-1996] $)
    $}
  $}

  ${
    ndmordi.3 $e |- A e. V $.
    ndmordi.2 $e |- dom F = ( S X. S ) $.
    ndmordi.4 $e |- R (_ ( S X. S ) $.
    ndmordi.5 $e |- -. (/) e. S $.
    ndmordi.6 $e |- ( C e. S -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $.
    $( Elimination of redundant antecedent in an ordering law. $)
    ndmordi $p |- ( ( C F A ) R ( C F B ) -> A R B ) $=
      ( wcel co wbr oprex brel pm3.26d ndmoprrcl syl biimprd mpcom ) CELZCAFMZC
      BFMZDNZABDNZUEUCELZUBUEUGUDELUCUDEEDCBFOIPQUGUBAELCAEFGHJRQSUBUFUEKTUA $.
      $( [25-Jun-1998] $)
  $}

  ${
    $d w z A $.  $d w B $.  $d w x y z F $.  $d w x y z S $.
    caoprcl.1 $e |- ( ( x e. S /\ y e. S ) -> ( x F y ) e. S ) $.
    $( Convert an operation closure law to class notation. $)
    caoprcl $p |- ( ( A e. S /\ B e. S ) -> ( A F B ) e. S ) $=
      ( vz vw cv co wcel wceq opreq1 eleq1d opreq2 vtocl2ga ) HJZIJZFKZELZCSFKZ
      ELCDFKZELHICDEERCMTUBERCSFNOSDMUBUCESDCFPOAJZBJZFKZELRUEFKZELUAABRSEEUDRM
      UFUGEUDRUEFNOUESMUGTEUESRFPOGQQ $.
      $( [4-Aug-1995] $)
  $}

  ${
    $( General laws for commutative, associative, distributive operations. $)
    $d x y z F $.  $d x y z S $.  $d x y z A $.  $d x y z B $.  $d x y z C $.
    $d x y z D $.  $d x y z G $.  $d x y z R $.
    ${
      caoprcom.1 $e |- A e. V $.
      caoprcom.2 $e |- B e. V $.
      caoprcom.3 $e |- ( x F y ) = ( y F x ) $.
      $( Convert an operation commutative law to class notation. $)
      caoprcom $p |- ( A F B ) = ( B F A ) $=
        ( cv co wceq opreq1 opreq2 eqeq12d sylan9bb vtocl2 ) AIZBIZEJZRQEJZKZCD
        EJZDCEJZKZABCDFGQCKZUACREJZRCEJZKRDKZUDUESUFTUGQCRELQCREMNUHUFUBUGUCRDC
        EMRDCELNOHP $.
        $( [26-Aug-1995] $)
    $}

    ${
      caoprass.1 $e |- A e. V $.
      caoprass.2 $e |- B e. V $.
      caoprass.3 $e |- C e. V $.
      caoprass.4 $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
      $( Convert an operation associative law to class notation. $)
      caoprass $p |- ( ( A F B ) F C ) = ( A F ( B F C ) ) $=
        ( cv co wceq opreq1 opreq1d eqeq12d opreq2 opreq2d syl3an9b vtocl3 ) AL
        ZBLZGMZCLZGMZUBUCUEGMZGMZNZDEGMZFGMZDEFGMZGMZNZABCDEFHIJUBDNZUIDUCGMZUE
        GMZDUGGMZNUCENZUJUEGMZDEUEGMZGMZNUEFNZUNUOUFUQUHURUOUDUPUEGUBDUCGOPUBDU
        GGOQUSUQUTURVBUSUPUJUEGUCEDGRPUSUGVADGUCEUEGOSQVCUTUKVBUMUEFUJGRVCVAULD
        GUEFEGRSQTKUA $.
        $( [26-Aug-1995] $)
    $}

    ${
      caoprcan.1 $e |- C e. V $.
      caoprcan.2 $e |- ( ( x e. S /\ y e. S ) ->
                   ( ( x F y ) = ( x F z ) -> y = z ) ) $.
      $( Convert an operation cancellation law to class notation. $)
      caoprcan $p |- ( ( A e. S /\ B e. S ) ->
                   ( ( A F B ) = ( A F C ) -> B = C ) ) $=
        ( cv co wceq wi opreq1 eqeq12d imbi1d opreq2 eqeq1d eqeq1 imbi12d wcel
        wa eqeq2d eqeq2 imbi2d vtocl vtocl2ga ) AKZBKZHLZUIFHLZMZUJFMZNZDUJHLZD
        FHLZMZUNNDEHLZUQMZEFMZNABDEGGUIDMZUMURUNVBUKUPULUQUIDUJHOUIDFHOPQUJEMZU
        RUTUNVAVCUPUSUQUJEDHRSUJEFTUAUIGUBUJGUBUCZUKUICKZHLZMZUJVEMZNZNVDUONCFI
        VEFMZVIUOVDVJVGUMVHUNVJVFULUKVEFUIHRUDVEFUJUEUAUFJUGUH $.
        $( [20-Aug-1995] $)
    $}

    ${
      caoprord.1 $e |- A e. V $.
      caoprord.2 $e |- B e. V $.
      caoprord.3 $e |- ( z e. S -> ( x R y <-> ( z F x ) R ( z F y ) ) ) $.
      $( Convert an operation ordering law to class notation. $)
      caoprord $p |- ( C e. S -> ( A R B <-> ( C F A ) R ( C F B ) ) ) $=
        ( wbr cv co wb wceq opreq1 breq12d bibi2d wcel wi wa breq1 opreq2
        breq1d bibi12d breq2 breq2d sylan9bb imbi2d vtocl2 vtoclga ) DEGMZCNZDI
        OZUOEIOZGMZPZUNFDIOZFEIOZGMZPCFHUOFQZURVBUNVCUPUTUQVAGUOFDIRUOFEIRSTUOH
        UAZANZBNZGMZUOVEIOZUOVFIOZGMZPZUBVDUSUBABDEJKVEDQZVFEQZUCVKUSVDVLVKDVFG
        MZUPVIGMZPVMUSVLVGVNVJVOVEDVFGUDVLVHUPVIGVEDUOIUEUFUGVMVNUNVOURVFEDGUHV
        MVIUQUPGVFEUOIUEUIUGUJUKLULUM $.
        $( [19-Feb-1996] $)

      ${
        $( (We don't bother to eliminate this redundant hypothesis.) $)
        caoprord2.3 $e |- C e. V $.
        caoprord2.com $e |- ( x F y ) = ( y F x ) $.
        $( Operation ordering law with commuted arguments. $)
        caoprord2 $p |- ( C e. S -> ( A R B <-> ( A F C ) R ( B F C ) ) ) $=
          ( wcel wbr co caoprord caoprcom breq12i syl6bb ) FHODEGPFDIQZFEIQZGPD
          FIQZEFIQZGPABCDEFGHIJKLRUBUDUCUEGABFDIMJNSABFEIMKNSTUA $.
          $( [27-Feb-1996] $)


        ${
          $( (We don't bother to eliminate redundant hypotheses.) $)
          caoprord3.4 $e |- D e. V $.
          $( Ordering law. $)
          caoprord3 $p |- ( ( ( B e. S /\ C e. S ) /\
                    ( A F B ) = ( C F D ) ) -> ( A R C <-> D R B ) ) $=
            ( wcel wa co wceq wbr wb caoprord2 adantr breq1 sylan9bb caoprord
            ad2antlr bitr4d ) EIQZFIQZRZDEJSZFGJSZTZRDFHUAZUNFEJSZHUAZGEHUAZULU
            PUMUQHUAZUOURUJUPUTUBUKABCDFEHIJKNMLOUCUDUMUNUQHUEUFUKUSURUBUJUOABC
            GEFHIJPLMUGUHUI $.
            $( [29-Feb-1996] $)
        $}
      $}

    $}


    ${
      caoprdistr.1 $e |- A e. V $.
      caoprdistr.2 $e |- B e. V $.
      caoprdistr.3 $e |- C e. V $.
      caoprdistr.4 $e |- ( x G ( y F z ) ) = ( ( x G y ) F ( x G z ) ) $.
      $( Convert an operation distributive law to class notation. $)
      caoprdistr $p |- ( A G ( B F C ) ) = ( ( A G B ) F ( A G C ) ) $=
        ( cv co wceq opreq1 opreq12d eqeq12d opreq2d opreq2 opreq1d syl3an9b
        vtocl3 ) AMZBMZCMZGNZHNZUDUEHNZUDUFHNZGNZOZDEFGNZHNZDEHNZDFHNZGNZOZABCD
        EFIJKUDDOZULDUGHNZDUEHNZDUFHNZGNZOUEEOZDEUFGNZHNZUOVBGNZOUFFOZURUSUHUTU
        KVCUDDUGHPUSUIVAUJVBGUDDUEHPUDDUFHPQRVDUTVFVCVGVDUGVEDHUEEUFGPSVDVAUOVB
        GUEEDHTUARVHVFUNVGUQVHVEUMDHUFFEGTSVHVBUPUOGUFFDHTSRUBLUC $.
        $( [25-Aug-1995] $)
    $}

    ${
      caopr.1 $e |- A e. V $.
      caopr.2 $e |- B e. V $.
      caopr.3 $e |- C e. V $.
      caopr.com $e |- ( x F y ) = ( y F x ) $.
      caopr.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.

      $( Rearrange arguments in a commutative, associative operation. $)
      caopr32 $p |- ( ( A F B ) F C ) = ( ( A F C ) F B ) $=
        ( co caoprcom opreq2i caoprass 3eqtr4 ) DEFGMZGMDFEGMZGMDEGMFGMDFGMEGMR
        SDGABEFGIJKNOABCDEFGHIJLPABCDFEGHJILPQ $.
        $( [26-Aug-1995] $)

      $( Rearrange arguments in a commutative, associative operation. $)
      caopr12 $p |- ( A F ( B F C ) ) = ( B F ( A F C ) ) $=
        ( co caoprcom opreq1i caoprass 3eqtr3 ) DEGMZFGMEDGMZFGMDEFGMGMEDFGMGMR
        SFGABDEGHIKNOABCDEFGHIJLPABCEDFGIHJLPQ $.
        $( [26-Aug-1995] $)

      $( Rearrange arguments in a commutative, associative operation. $)
      caopr31 $p |- ( ( A F B ) F C ) = ( ( C F B ) F A ) $=
        ( co caoprass caopr12 eqtr caopr32 eqtr3 3eqtr4 ) DFGMEGMZFDEGMZGMZUAFG
        MFEGMZDGMZTDUCGMUBABCDFEGHJILNABCDFEGHJIKLOPABCDEFGHIJKLQFDGMEGMUDUBABC
        FDEGJHIKLQABCFDEGJHILNRS $.
        $( [26-Aug-1995] $)

      $( Rearrange arguments in a commutative, associative operation. $)
      caopr13 $p |- ( A F ( B F C ) ) = ( C F ( B F A ) ) $=
        ( co caopr31 caoprass 3eqtr3 ) DEGMFGMFEGMDGMDEFGMGMFEDGMGMABCDEFGHIJKL
        NABCDEFGHIJLOABCFEDGJIHLOP $.
        $( [26-Aug-1995] $)

      ${
        caopr.4 $e |- D e. V $.

        $( Rearrange arguments in a commutative, associative operation. $)
        caopr4 $p |- ( ( A F B ) F ( C F D ) ) = ( ( A F C ) F ( B F D ) ) $=
          ( co caopr12 opreq2i oprex caoprass 3eqtr4 ) DEFGHOZHOZHODFEGHOZHOZHO
          DEHOUAHODFHOUCHOUBUDDHABCEFGHJKNLMPQABCDEUAHIJFGHRMSABCDFUCHIKEGHRMST
          $.
          $( [26-Aug-1995] $)

        $( Rearrange arguments in a commutative, associative operation. $)
        caopr411 $p |- ( ( A F B ) F ( C F D ) ) = ( ( C F B ) F ( A F D ) ) $=
          ( co caopr31 opreq1i oprex caoprass 3eqtr3 ) DEHOZFHOZGHOFEHOZDHOZGHO
          UAFGHOHOUCDGHOHOUBUDGHABCDEFHIJKLMPQABCUAFGHDEHRKNMSABCUCDGHFEHRINMST
          $.
          $( [26-Aug-1995] $)

        $( Rearrange arguments in a commutative, associative operation. $)
        caopr42 $p |- ( ( A F B ) F ( C F D ) ) =
                        ( ( A F C ) F ( D F B ) ) $=
          ( co caopr4 caoprcom opreq2i eqtr ) DEHOFGHOHODFHOZEGHOZHOTGEHOZHOABC
          DEFGHIJKLMNPUAUBTHABEGHJNLQRS $.
          $( [26-Aug-1995] $)
      $}
    $}

    ${
      caoprd.1 $e |- A e. V $.
      caoprd.2 $e |- B e. V $.
      caoprd.3 $e |- C e. V $.
      caoprd.com $e |- ( x G y ) = ( y G x ) $.
      caoprd.distr $e |- ( x G ( y F z ) ) = ( ( x G y ) F ( x G z ) ) $.
      $( Reverse distributive law. $)
      caoprdistrr $p |- ( ( A F B ) G C ) = ( ( A G C ) F ( B G C ) ) $=
        ( co caoprdistr oprex caoprcom opreq12i 3eqtr3 ) FDEGNZHNFDHNZFEHNZGNTF
        HNDFHNZEFHNZGNABCFDEGHKIJMOABFTHKDEGPLQUAUCUBUDGABFDHKILQABFEHKJLQRS $.
        $( [26-Aug-1995] $)

      ${
        $d x y z H $.  $d x y z R $.
        caoprdl.4 $e |- D e. V $.
        caoprdl.5 $e |- H e. V $.
        caoprdl.ass $e |- ( ( x G y ) G z ) = ( x G ( y G z ) ) $.
        $( Lemma used by real number construction. $)
        caoprdilem $p |- ( ( ( A G C ) F ( B G D ) ) G H ) =
                         ( ( A G ( C G H ) ) F ( B G ( D G H ) ) ) $=
          ( co oprex caoprdistrr caoprass opreq12i eqtr ) DFISZEGISZHSJISUEJISZ
          UFJISZHSDFJISISZEGJISISZHSABCUEUFJHIDFITEGITQNOUAUGUIUHUJHABCDFJIKMQR
          UBABCEGJILPQRUBUCUD $.
          $( [26-Aug-1995] $)

        ${
          caoprdl2.6 $e |- R e. V $.
          caoprdl2.com $e |- ( x F y ) = ( y F x ) $.
          caoprdl2.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
          $( Lemma used in real number construction. $)
          caoprlem2 $p |- ( ( ( ( A G C ) F ( B G D ) ) G H ) F
                            ( ( ( A G D ) F ( B G C ) ) G R ) ) =
   ( ( A G ( ( C G H ) F ( D G R ) ) ) F ( B G ( ( C G R ) F ( D G H ) ) ) ) $=
            ( co oprex caopr42 caoprdilem opreq12i caoprdistr 3eqtr4 ) DFKJUCZJ
            UCZEGKJUCZJUCZIUCZDGHJUCZJUCZEFHJUCZJUCZIUCZIUCUKUPIUCZURUMIUCZIUCD
            FJUCEGJUCIUCKJUCZDGJUCEFJUCIUCHJUCZIUCDUJUOIUCJUCZEUQULIUCJUCZIUCAB
            CUKUMUPURIDUJJUDEULJUDDUOJUDUAUBEUQJUDUEVBUNVCUSIABCDEFGIJKLMNOPQRS
            UFABCDEGFIJHLMQOPNTSUFUGVDUTVEVAIABCDUJUOIJLFKJUDGHJUDPUHABCEUQULIJ
            MFHJUDGKJUDPUHUGUI $.
            $( [26-Aug-1995] $)
        $}
      $}
    $}

    ${
      $d x y z w v $.
      $d w v S $.  $d w v A $.  $d w v B $.  $d w v F $.
      caoprmo.1 $e |- A e. V $.
      $( Identity element. $)
      caoprmo.2 $e |- B e. S $.
      caoprmo.dom $e |- dom F = ( S X. S ) $.
      caoprmo.3 $e |- -. (/) e. S $.
      caoprmo.com $e |- ( x F y ) = ( y F x ) $.
      caoprmo.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
      caoprmo.id $e |- ( x e. S -> ( x F B ) = x ) $.
      $( Uniqueness of inverse element in commutative, associative operation
         with identity.  Remark in proof of Proposition 9-2.4 of [Gleason]
         p. 119. $)
      caoprmo $p |- E* w ( A F w ) = B $=
        ( vv cv wcel co wceq wa wmo wi wal eleq1 opreq2 eqeq1d anbi12d mo4
        opreq1 id eqeq12d vtoclga sylan9eqr visset caoprass caopr12 eqtr
        syl5eq ad2ant2rl elisseti caoprcom sylan9eq ad2ant2lr eqtr3d ax-gen
        mpgbir mpbiri ndmoprrcl pm3.27d syl ancri immoi ax-mp ) DQZGRZEVOHSZFTZ
        UAZDUBZVRDUBVTVSPQZGRZEWAHSZFTZUAZUAZVOWATZUCZPUDDVSWEDPWGVPWBVRWDVOWAG
        UEWGVQWCFVOWAEHUFUGUHUIWHPWFVQWAHSZVOWAVPWDWIVOTVRWBVPWDUAVOWCHSZVOWIWD
        VPWJVOFHSZVOWCFVOHUFAQZFHSZWLTZWKVOTAVOGWLVOTZWMWKWLVOWLVOFHUJWOUKULOUM
        UNWIEVOWAHSHSWJABCEVOWAHIDUOZPUOZNUPABCEVOWAHIWPWQMNUQURUSUTVRWBWIWATVP
        WDVRWBWIFWAHSZWAVQFWAHUJWBWAFHSZWAWRWNWSWATAWAGWLWATZWMWSWLWAWLWAFHUJWT
        UKULOUMABFWAHFGJVAWQMVBUSVCVDVEVFVGVRVSDVRVPVRVQGRZVPVRXAFGRJVQFGUEVHXA
        EGRVPEVOGHWPKLVIVJVKVLVMVN $.
        $( [4-Mar-1996] $)
    $}

  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        "Maps to" notation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c |-> $.  $( "Maps to" symbol $)

  $( Extend the definition of a class to include "maps to" notation for
     defining a function via a rule. $)
  cmpt $a class ( x e. A |-> B ) $.

  $( Extend the definition of a class to include "maps to" notation for
     defining an operation via a rule. $)
  cmpt2 $a class ( x e. A , y e. B |-> C ) $.

  ${
    $d x y $.  $d y A $.  $d y B $.
    $( Define "maps to" notation for defining a function via a rule.  Read as
       "the function defined by the map from ` x ` (in ` A ` ) to
       ` B ( x ) ` ."  The class expression ` B ` is the value of the function
       at ` x ` and normally contains the variable ` x ` .  An example is the
       square function for complex numbers, ` ( x e. CC |-> ( x ^ 2 ) ` .
       Similar to the definition of mapping in [ChoquetDD] p. 2. $)
    df-mpt $a |- ( x e. A |-> B ) =
                    { <. x , y >. | ( x e. A /\ y = B ) } $.

    $( Define "maps to" notation for defining an operation via a rule.  Read as
       "the operation defined by the map from ` x , y ` (in ` A X. B ` ) to
       ` B ( x , y ) ` ."  An extension of ~ df-mpt for two arguments. $)
    df-mpt2 $a |- ( x e. A , y e. B |-> C ) =
             { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ z = C ) } $.
  $}

  ${
    $d x y A $.  $d y B $.  $d x C y $.  $d x D y $.
    mptg.1 $e |- ( x = A -> B = C ) $.
    mptg.2 $e |- F = ( x e. D |-> B ) $.
    $( Value of a function given by a "maps to" rule.  Equivalent to
       ~ fvopab4g . $)
    mptg $p |- ( ( A e. D /\ C e. R ) -> ( F ` A ) = C ) $=
      ( vy cmpt cv wcel wceq wa copab df-mpt eqtr fvopab4g ) AJBCDEFGHGAECKALEM
      JLCNOAJPIAJECQRS $.
      $( [4-Aug-2008] $) $( [2-Oct-2007] $)
  $}

  ${
    $d x y z A $.  $d x B y z $.  $d x C y z $.  $d x D y z $.  $d x G $.
    $d z R $.  $d y S z $.
    mpt2g.1 $e |- ( x = A -> R = G ) $.
    mpt2g.2 $e |- ( y = B -> G = S ) $.
    mpt2g.3 $e |- F = ( x e. C , y e. D |-> R ) $.
    $( Value of an operation given by a "maps to" rule.  Equivalent to
       ~ oprabval2g . $)
    mpt2g $p |- ( ( A e. C /\ B e. D /\ S e. H ) -> ( A F B ) = S ) $=
      ( vz cmpt2 cv wcel wa wceq copab2 df-mpt2 eqtr oprabval2g ) ABOCDEFGHIJKL
      MIABEFGPAQERBQFRSOQGTSABOUANABOEFGUBUCUD $.
      $( [6-Aug-2008] $) $( [2-Oct-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        First and second members of an ordered pair
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c 1st $. $( First member of an ordered pair $)
  $c 2nd $. $( Second member of an ordered pair $)

  $( Extend the definition of a class to include the first member an
     ordered pair function. $)
  c1st $a class 1st $.

  $( Extend the definition of a class to include the second member an
     ordered pair function. $)
  c2nd $a class 2nd $.

  ${
    $d x y z $.
    $( Define a function that extracts the first member of an ordered pair.
       Theorem ~ op1st proves that it does this.  Equivalent to Definition 5.13
       (i) of [Monk1] p. 52 (compare ~ op1sta and ~ op1stb ).  The notation is
       the same as Monk's. $)
    df-1st $a |- 1st = { <. x , y >. | y = U. dom { x } } $.

    $( Define a function that extracts the second member of an ordered pair.
       Theorem ~ op2nd proves that it does this.  Equivalent to Definition 5.13
       (ii) of [Monk1] p. 52 (compare ~ op2nda and ~ op2ndb ).  The notation is
       the same as Monk's. $)
    df-2nd $a |- 2nd = { <. x , y >. | y = U. ran { x } } $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The value of the function that extracts the first member of an ordered
       pair. $)
    1stval $p |- ( 1st ` A ) = U. dom { A } $=
      ( vy vx cvv wcel c1st cfv csn cdm cuni wceq snex dmex uniex wa cv copab
      sneq dmeqd unieqd fvopabg df-1st fveq1i syl5eq mpan2 wn c0 fvprc snprc
      biimp dm0 syl6eq uni0 eqtr4d pm2.61i ) ADEZAFGZAHZIZJZKZUPUTDEZVAUSURALMN
      UPVBOABPCPZHZIZJZKCBQZGUTUQCBAVFUTDDVCAKZVEUSVHVDURVCARSTUAAFVGCBUBUCUDUE
      UPUFZUQUGUTAFUHVIUTUGJUGVIUSUGVIUSUGIUGVIURUGVIURUGKAUIUJSUKULTUMULUNUO
      $.
      $( [14-Oct-2004] $) $( [9-Oct-2004] $)

    $( The value of the function that extracts the second member of an ordered
       pair. $)
    2ndval $p |- ( 2nd ` A ) = U. ran { A } $=
      ( vy vx cvv wcel c2nd cfv csn crn cuni wceq snex rnex uniex wa cv copab
      sneq rneqd unieqd fvopabg df-2nd fveq1i syl5eq mpan2 wn c0 fvprc snprc
      biimp rn0 syl6eq uni0 eqtr4d pm2.61i ) ADEZAFGZAHZIZJZKZUPUTDEZVAUSURALMN
      UPVBOABPCPZHZIZJZKCBQZGUTUQCBAVFUTDDVCAKZVEUSVHVDURVCARSTUAAFVGCBUBUCUDUE
      UPUFZUQUGUTAFUHVIUTUGJUGVIUSUGVIUSUGIUGVIURUGVIURUGKAUIUJSUKULTUMULUNUO
      $.
      $( [14-Oct-2004] $) $( [9-Oct-2004] $)
  $}

  $( The value of the first-member function at the empty set. $)
  1st0 $p |- ( 1st ` (/) ) = (/) $=
    ( c0 c1st cfv csn cdm cuni 1stval dmsn0 unieqi uni0 3eqtr ) ABCADEZFAFAAGLA
    HIJK $.
    $( [26-Apr-2007] $) $( [23-Apr-2007] $)

  $( The value of the second-member function at the empty set. $)
  2nd0 $p |- ( 2nd ` (/) ) = (/) $=
    ( c0 c2nd cfv csn crn cuni 2ndval cdm wceq dmsn0 dm0rn0 mpbi unieqi uni0
    3eqtr ) ABCADZEZFAFAAGQAPHAIQAIJPKLMNO $.
    $( [1-May-2007] $) $( [23-Apr-2007] $)

  ${
    op1st.1 $e |- A e. V $.
    $( Extract the first member of an ordered pair. $)
    op1st $p |- ( 1st ` <. A , B >. ) = A $=
      ( cop c1st cfv csn cdm cuni 1stval op1sta eqtr ) ABDZEFMGHIAMJABCKL $.
      $( [16-Oct-2004] $) $( [5-Oct-2004] $)

    ${
      op2n.2 $e |- B e. V $.
      $( Extract the second member of an ordered pair. $)
      op2nd $p |- ( 2nd ` <. A , B >. ) = B $=
        ( cop c2nd cfv csn crn cuni 2ndval op2nda eqtr ) ABEZFGNHIJBNKABCDLM $.
        $( [16-Oct-2004] $) $( [5-Oct-2004] $)
    $}
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Extract the first member of an ordered pair. $)
    op1stg $p |- ( A e. C -> ( 1st ` <. A , B >. ) = A ) $=
      ( vx cv cop c1st cfv wceq opeq1 fveq2d id eqeq12d visset op1st vtoclg )
      DEZBFZGHZQIABFZGHZAIDACQAIZSUAQAUBRTGQABJKUBLMQBDNOP $.
      $( [20-Jul-2005] $) $( [19-Jul-2005] $)

    $( Extract the second member of an ordered pair. $)
    op2ndg $p |- ( ( A e. C /\ B e. D ) -> ( 2nd ` <. A , B >. ) = B ) $=
      ( vx vy cv cop c2nd cfv wceq opeq1 fveq2d eqeq1d opeq2 id eqeq12d visset
      op2nd vtocl2g ) EGZFGZHZIJZUBKAUBHZIJZUBKABHZIJZBKEFABCDUAAKZUDUFUBUIUCUE
      IUAAUBLMNUBBKZUFUHUBBUJUEUGIUBBAOMUJPQUAUBERFRST $.
      $( [24-Jul-2005] $) $( [19-Jul-2005] $)

    $( Alternate value of the function that extracts the first member of an
       ordered pair.  Definition 5.13 (i) of [Monk1] p. 52. $)
    1stval2 $p |- ( A e. ( V X. V ) -> ( 1st ` A ) = |^| |^| A ) $=
      ( vx vy cvv cxp wcel cv cop wceq wex c1st cfv cint elvv visset op1st
      op1stb eqtr4 fveq2 inteq inteqd 3eqtr4a 19.23aivv sylbi ) ADDEFABGZCGZHZI
      ZCJBJAKLZAMZMZIZBCANUHULBCUHUGKLZUGMZMZUIUKUMUEUOUEUFBOZPUEUFUPQRAUGKSUHU
      JUNAUGTUAUBUCUD $.
      $( [14-Oct-2006] $) $( [18-Aug-2006] $)

    $( Alternate value of the function that extracts the second member of an
       ordered pair.  Definition 5.13 (ii) of [Monk1] p. 52. $)
    2ndval2 $p |- ( A e. ( V X. V ) -> ( 2nd ` A ) = |^| |^| |^| `' { A } ) $=
      ( vx vy cvv cxp wcel cv cop wceq wex c2nd cfv csn ccnv cint elvv visset
      op2nd op2ndb eqtr4 fveq2 sneq cnveq syl inteqd 3eqtr4a 19.23aivv sylbi )
      ADDEFABGZCGZHZIZCJBJAKLZAMZNZOZOZOZIZBCAPULUSBCULUKKLZUKMZNZOZOZOZUMURUTU
      JVEUIUJBQZCQZRUIUJVFVGSTAUKKUAULUQVDULUPVCULUOVBULUNVAIUOVBIAUKUBUNVAUCUD
      UEUEUEUFUGUH $.
      $( [18-Aug-2006] $) $( [18-Aug-2006] $)
  $}

  ${
    $d x y z w v A $.  $d x y z B $.  $d x y z w v u $.
    $( The ` 1st ` function maps the universe onto the universe. $)
    fo1st $p |- 1st : V -onto-> V $=
      ( vy vx cvv c1st wfo cv csn cdm cuni wceq copab wfn crn df-fo snex dmex
      uniex wcel wa visset biantrur opabbii fnopab2 wex cab cop op1sta eqcomi
      opex sneq dmeqd unieqd eqeq2d cla4ev ax-mp equid 2th abbii rnopab df-v
      3eqtr4 mpbir2an wb df-1st foeq1 mpbir ) CCDEZCCAFZBFZGZHZIZJZBAKZEZVOVNCL
      VNMZCJCCVNNBACVLVNVKVJVIOPQVMVICRZVMSBAVQVMBTUAUBUCVMBUDZAUEVHVHJZAUEVPCV
      RVSAVRVSVHVHVHUFZGZHZIZJZVRWCVHVHVHATUGUHVMWDBVTVHVHUIVIVTJZVLWCVHWEVKWBW
      EVJWAVIVTUJUKULUMUNUOAUPUQURVMBAUSAUTVAVBDVNJVGVOVCBAVDCCDVNVEUOVF $.
      $( [16-Oct-2004] $) $( [14-Oct-2004] $)

    $d x y z w v A $.  $d x y z B $.  $d x y z w v u $.
    $( The ` 2nd ` function maps the universe onto the universe. $)
    fo2nd $p |- 2nd : V -onto-> V $=
      ( vy vx cvv c2nd wfo cv csn crn cuni wceq copab wfn df-fo snex rnex
      uniex wcel wa visset biantrur opabbii fnopab2 wex cab cop op2nda eqcomi
      opex sneq rneqd unieqd eqeq2d cla4ev ax-mp equid 2th abbii rnopab df-v
      3eqtr4 mpbir2an wb df-2nd foeq1 mpbir ) CCDEZCCAFZBFZGZHZIZJZBAKZEZVNVMCL
      VMHZCJCCVMMBACVKVMVJVIVHNOPVLVHCQZVLRBAVPVLBSTUAUBVLBUCZAUDVGVGJZAUDVOCVQ
      VRAVQVRVGVGVGUEZGZHZIZJZVQWBVGVGVGASZWDUFUGVLWCBVSVGVGUHVHVSJZVKWBVGWEVJW
      AWEVIVTVHVSUIUJUKULUMUNAUOUPUQVLBAURAUSUTVADVMJVFVNVBBAVCCCDVMVDUNVE $.
      $( [16-Oct-2004] $) $( [14-Oct-2004] $)

    $( Mapping of a restriction of the ` 1st ` (first member of an ordered
       pair) function. $)
    f1stres $p |- ( 1st |` ( A X. B ) ) : ( A X. B ) --> A $=
      ( vx vy vz cv csn cdm cuni wcel cxp wral c1st cres wf cop visset op1sta
      eleq1i biimpr adantr rgen2 wceq sneq dmeqd unieqd eleq1d ralxp mpbir
      copab wa df-1st reseq1 ax-mp resopab eqtr fopab2 mpbi ) CFZGZHZIZAJZCABKZ
      LZVDAMVDNZOVEDFZEFZPZGZHZIZAJZEBLDALVMDEABVGAJZVMVHBJVMVNVLVGAVGVHDQRSTUA
      UBVCVMCDEABUSVIUCZVBVLAVOVAVKVOUTVJUSVIUDUEUFUGUHUICDVDAVBVFVFVGVBUCZCDUJ
      ZVDNZUSVDJVPUKCDUJMVQUCVFVRUCCDULMVQVDUMUNVPCDVDUOUPUQUR $.
      $( [16-Oct-2004] $) $( [11-Oct-2004] $)

    $( Mapping of a restriction of the ` 2nd ` (second member of an ordered
       pair) function. $)
    f2ndres $p |- ( 2nd |` ( A X. B ) ) : ( A X. B ) --> B $=
      ( vx vy vz cv csn crn cuni wcel cxp wral c2nd cres wf cop visset op2nda
      eleq1i biimpr adantl rgen2 wceq sneq rneqd unieqd eleq1d ralxp mpbir
      copab wa df-2nd reseq1 ax-mp resopab eqtr fopab2 mpbi ) CFZGZHZIZBJZCABKZ
      LZVDBMVDNZOVEDFZEFZPZGZHZIZBJZEBLDALVMDEABVHBJZVMVGAJVMVNVLVHBVGVHDQEQRST
      UAUBVCVMCDEABUSVIUCZVBVLBVOVAVKVOUTVJUSVIUDUEUFUGUHUICDVDBVBVFVFVGVBUCZCD
      UJZVDNZUSVDJVPUKCDUJMVQUCVFVRUCCDULMVQVDUMUNVPCDVDUOUPUQUR $.
      $( [10-Mar-2007] $) $( [7-Aug-2006] $)

    $( Value of an alternate definition of the ` 1st ` function. $)
    1st2val $p |- ( { <. <. x , y >. , z >. | z = x } ` A ) = ( 1st ` A ) $=
      ( vw vv cv cop wceq wex copab2 cfv c1st co visset op1st cvv wcel id eqid
      a1i oprabval5 mp2an df-opr 3eqtr2r fveq2 eqeq12d mpbii 19.23aivv wn c0
      cdm cxp wa copab pm3.2i a9e 2th opabbii df-xp dmoprab 3eqtr4r eleq2i
      elvv eqcom 2exbii 3bitr negbii ndmfv sylbir csn cuni n0 eldm2 opex elsnc
      exbii bitr biimp con1i unieqd uni0 syl6eq 1stval syl5eq eqtr4d pm2.61i )
      EGZFGZHZDIZFJZEJZDCGAGZIZABCKZLZDMLZIZWKWSEFWKWJWPLZWJMLZIWSXAWHWHWIWPNZW
      TWHWIEOZPWHQRWIQRXBWHIXCFOABCWHWIQQWNWHWPWHXCWNWHISWHWHIBGZWIIWHTUAWPTUBU
      CWHWIWPUDUEWKWTWQXAWRWJDWPUFWJDMUFUGUHUIWMUJZWQUKWRXEDWPULZRZUJWQUKIXGWMX
      GDQQUMZRDWJIZFJEJWMXFXHDWNQRZXDQRZUNZABUOWOCJZABUOXHXFXLXMABXLXMXJXKAOBOU
      PCAUQURUSABQQUTWOABCVAVBVCEFDVDXIWKEFDWJVEVFVGVHDWPVIVJXEDVKZULZVLZUKWRXE
      XPUKVLUKXEXOUKXOUKIZWMXQUJZWMXRWHXORZEJWMEXOVMXSWLEXSWJXNRZFJWLFWHXNXCVNX
      TWKFWJDWHWIVOVPVQVRVQVRVSVTWAWBWCDWDWEWFWG $.
      $( [5-Nov-2004] $) $( [14-Oct-2004] $)

    $( Value of an alternate definition of the ` 2nd ` function. $)
    2nd2val $p |- ( { <. <. x , y >. , z >. | z = y } ` A ) = ( 2nd ` A ) $=
      ( vw vv cv cop wceq wex copab2 cfv c2nd co visset op2nd cvv wcel equid
      a1i id eqid oprabval5 mp2an df-opr 3eqtr2r fveq2 eqeq12d mpbii 19.23aivv
      wn c0 cdm cxp wa copab pm3.2i a9e 2th opabbii df-xp dmoprab 3eqtr4r
      eleq2i elvv eqcom 2exbii 3bitr negbii ndmfv sylbir csn crn cuni n0 elrn2
      opex elsnc exbii bitr excom biimp con1i unieqd uni0 syl6eq 2ndval syl5eq
      eqtr4d pm2.61i ) EGZFGZHZDIZFJEJZDCGBGZIZABCKZLZDMLZIZWNXAEFWNWMWRLZWMMLZ
      IXAXCWLWKWLWRNZXBWKWLEOZFOZPWKQRWLQRXDWLIXEXFABCWKWLQQWPWLWRWPXFWPWPIAGZW
      KIBSTWPWLIUAWRUBUCUDWKWLWRUEUFWNXBWSXCWTWMDWRUGWMDMUGUHUIUJWOUKZWSULWTXHD
      WRUMZRZUKWSULIXJWOXJDQQUNZRDWMIZFJEJWOXIXKDXGQRZWPQRZUOZABUPWQCJZABUPXKXI
      XOXPABXOXPXMXNAOBOUQCBURUSUTABQQVAWQABCVBVCVDEFDVEXLWNEFDWMVFVGVHVIDWRVJV
      KXHDVLZVMZVNZULWTXHXSULVNULXHXRULXRULIZWOXTUKZWOYAWLXRRZFJWNEJZFJWOFXRVOY
      BYCFYBWMXQRZEJYCEWLXQXFVPYDWNEWMDWKWLVQVRVSVTVSWNFEWAVHWBWCWDWEWFDWGWHWIW
      J $.
      $( [22-Aug-2006] $) $( [10-Aug-2006] $)
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w x y C $.
    $( The mapping of a restriction of the ` 2nd ` function to a converse
       constant function. $)
    2ndconst $p |- ( A e. C ->
             ( 2nd |` ( { A } X. B ) ) : ( { A } X. B ) -1-1-onto-> B ) $=
      ( vy vx vw vz wcel csn cxp c2nd cres wfo ccnv wfun wa wf1o wf crn wceq
      cima cv wbr wex cop cfv fveq2 cvv visset op2ndg mpan2 sylan9eqr eqeq1d
      anbi1d pm5.32da an12 3bitr4g exbidv opeq2 eqeq2d eleq1 anbi12d ceqsexv
      ancom bitr syl6rbb opeq1 ceqsexgv elsn anbi1i anbi2i exbii syl5bb excom
      elxp syl5rbb anbi2d 19.42v wfn wb fo2nd fof ax-mp ffn fnbrfvb mp2an
      bitr2d opex isseti mpbiran2 syl6bb elima2 eqrdv df-ima syl5eqr f2ndres
      jctil dffo2 sylibr wmo wal moeq moani ax-17 brres mobid mpbiri 19.21aiv
      funcnv2 jca f1o3 ) ACHZAIZBJZBKXNLZMZXONOZPXNBXOQXLXPXQXLXNBXORZXOSZBTZPX
      PXLXTXRXLKXNUAZBXSXLDYABXLEUBZXNHZYBDUBZKUCZPZEUDZYDBHZYDYAHXLYGYHYBAYDUE
      ZTZPZEUDZYHXLYFYKEXLYEYCPZYKYFXLYKYBKUFZYDTZYBAFUBZUEZTZYPBHZPZPZFUDZYMXL
      UUBYPYDTZYTPZFUDZYKXLUUAUUDFXLYRYOYSPZPYRUUCYSPZPUUAUUDXLYRUUFUUGXLYRPZYO
      UUCYSUUHYNYPYDYRXLYNYQKUFZYPYBYQKUGXLYPUHHUUIYPTFUIAYPCUHUJUKULUMUNUOYOYR
      YSUPUUCYRYSUPUQURUUEYJYHPZYKYTUUJFYDDUIZUUCYRYJYSYHUUCYQYIYBYPYDAUSUTYPYD
      BVAVBVCYJYHVDVEVFXLYEYTFUDZPZYMUUBXLUULYCYEXLYBGUBZYPUEZTZUUNXMHZYSPZPZFU
      DGUDZUULYCXLUUSGUDZFUDUULUUTXLUVAYTFXLUUNATZUUPYSPZPZGUDYTUVAUVCYTGACUVBU
      UPYRYSUVBUUOYQYBUUNAYPVGUTUNVHUUSUVDGUUSUUPUVBYSPZPUVDUURUVEUUPUUQUVBYSGA
      VIVJVKUUPUVBYSUPVEVLVMURUUSGFVNVMGFYBXMBVOVPVQUUBYOUULPUUMYOYTFVRYOYEUULK
      UHVSZYBUHHYOYEVTUHUHKRZUVFUHUHKMUVGWAUHUHKWBWCUHUHKWDWCEUIUHYBYDKUUKWEWFV
      JVEVMWGZYCYEVDVMURYLYHYJEUDYHYJEVREYIAYDWHWIWJWKEYDKXNUUKWLVMWMKXNWNWOXMB
      WPWQXNBXOWRWSXLYBYDXOUCZEWTZDXAXQXLUVJDXLUVJYKEWTYJYHEEYIXBXCXLUVIYKEXLEX
      DXLYMYKUVIUVHYBYDKXNUUKXEVMXFXGXHEDXOXIWSXJXNBXOXKWS $.
      $( [28-Mar-2008] $) $( [27-Mar-2008] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y D $.  $d x y z F $.
    $d z G $.
    curry1.1 $e |- G = ( F o. `' ( 2nd |` ( { C } X. V ) ) ) $.
    $( Composition with ` ``' ( 2nd |`` ( { C } X. V ) ) ` turns any binary
       operation ` F ` with a constant first operand into a function ` G ` of
       the second operand only.  This transformation is called "currying." $)
    curry1 $p |- ( ( F Fn ( A X. B ) /\ C e. A ) ->
                 G = { <. x , y >. | ( x e. B /\ y = ( C F x ) ) } ) $=
      ( vz cxp wfn wcel wa cv co wceq copab cfv wral c2nd csn cvv cres ccnv
      cop wf1o f1ocnvfv 2ndconst adantr snidg visset jctir opelxp sylibr jca
      fvres syl op2ndg mpan2 eqtrd sylc fveq2d adantll df-opr syl6eqr ccom
      wfun fvco2 mp3an3 fnfun f1o4 sylib pm3.27d syl2an fveq1i syl5eq opreq2
      eqid oprex fvopab4 adantl 3eqtr4d r19.21aiva jctil wb cdm funco wfo f1o3
      pm3.27bi cima fndm imaeq2d cin crn wss snssi df-ss xpeq1 inxp incom inv1
      eqtr xpeq2 ax-mp reseq2 rneqd f1ofo forn imacnvcnv df-ima resres rneqi
      3eqtr dmco2 fneq1 df-fn bitr fnopab2 eqfnfv mpbird ) FCDJZKZECLZMZGANZDLB
      NEYFFOZPMABQZPZDDPZINZGRZYKYHRZPZIDSZMZYEYOYJYEYNIDYEYKDLZMZYKTEUAZUBJZUC
      ZUDZRZFRZEYKFOZYLYMYRUUDEYKUEZFRZUUEYDYQUUDUUGPYCYDYQMZUUCUUFFYTUBUUAUFZU
      UFYTLZMUUFUUARZYKPZUUCUUFPUUHYTUBUUFYKUUAUGUUHUUIUUJYDUUIYQEUBCUHZUIYDUUJ
      YQYDEYSLZYKUBLZMUUJYDUUNUUOECUJIUKZULEYKYSUBUUPUMUNZUIUOYDUULYQYDUUKUUFTR
      ZYKYDUUJUUKUURPUUQUUFYTTUPUQYDUUOUURYKPUUPEYKCUBURUSUTUIVAVBVCEYKFVDVEYRY
      KFUUBVFZRZUUDYLYEUUTUUDPZYQFVGZUUBUBKZUVAYCYDUVBUVCUUOUVAUUPUBYKFUUBVHVIY
      BFVJZYDUUAYTKZUVCYDUUIUVEUVCMUUMYTUBUUAVKVLVMVNUIYKGUUSHVOVPYQYMUUEPYEABY
      KYGUUEDYHYFYKEFVQYHVRZEYKFVSVTWAWBWCDVRWDYEGDKZYIYPWEZYEUUSVGZUUSWFZDPZMZ
      UVGYEUVIUVKUVBUUBVGZUVIYCYDFUUBWGUVDYDUUIUVMUUMUUIYTUBUUAWHUVMYTUBUUAWIWJ
      UQVNYEUUBUDZFWFZWKZDUVJYEUVPUVNYBWKZDYEUVOYBUVNYCUVOYBPYDYBFWLUIWMYDUVQDP
      YCYDTYTYBWNZUCZWOZDUVQYDUVTTYSDJZUCZWOZDYDUVSUWBYDUVRUWAPUVSUWBPYDYSCWNZD
      JZUWAUVRYDUWDYSPZUWEUWAPYDYSCWPUWFECWQYSCWRVLUWDYSDWSUQUVRUWDUBDWNZJZUWEY
      SUBCDWTUWGDPUWHUWEPUWGDUBWNDUBDXADXBXCUWGDUWDXDXEXCVPUVRUWATXFUQXGYDUWADU
      WBWHZUWCDPYDUWADUWBUFUWIEDCUHUWADUWBXHUQUWADUWBXIUQUTUVQUUAYBWKUUAYBUCZWO
      UVTUUAYBXJUUAYBXKUWJUVSTYTYBXLXMXNVPWAUTFUUBXOVPUOUVGUUSDKZUVLGUUSPUVGUWK
      WEHDGUUSXPXEUUSDXQXRUNUVGYHDKUVHABDYGYHEYFFVSUVFXSIDDGYHXTUSUQYA $.
      $( [28-Mar-2008] $) $( [28-Mar-2008] $)

    $( Functionality of a curried function with a constant first argument. $)
    curry1f $p |- ( ( F : ( A X. B ) --> D /\ C e. A ) ->
                 G : B --> D ) $=
      ( vx vy cxp wf wcel wa cv co wceq copab wral foprrn 3expa r19.21aiva
      eqid fopab2 sylib wfn curry1 ffn sylan feq1d mpbird ) ABJZDEKZCALZMZBDFKB
      DHNZBLZINCUOEOZPMHIQZKZUNUQDLZHBRUSUNUTHBULUMUPUTCUODABESTUAHIBDUQURURUBU
      CUDUNBDFUREUKUEUMFURPULHIABCEFGUFUKDEUGUHUIUJ $.
      $( [5-May-2008] $) $( [29-Mar-2008] $)

    $( The value of a curried function with a constant first argument. $)
    curry1val $p |- ( ( F Fn ( A X. B ) /\ C e. A /\ D e. U ) ->
        ( G ` D ) = ( C F D ) ) $=
      ( vx vy cxp wfn wcel w3a cfv cv co wceq wa copab curry1 fveq1d 3adant3
      wn c0 eqid fvopab4ndm 3ad2ant3 cdm ndmoprg fndm id pm3.27 con3i syl3an
      eqtr4d 3expia opreq2 oprex fvopab4 pm2.61d2 3adant2 eqtrd ) FABKZLZCAMZDE
      MZNDGOZDIPZBMJPCVIFQZRZSIJTZOZCDFQZVEVFVHVMRVGVEVFSDGVLIJABCFGHUAUBUCVEVG
      VMVNRZVFVEVGSDBMZVOVEVGVPUDZVOVEVGVQNVMUEVNVQVEVMUERVGVKIJBDVLVLUFZUGUHFU
      IVDRVGVFVPSZUDVNUERVEVGVQCDEABFUJVDFUKVGULVSVPVFVPUMUNUOUPUQIJDVJVNBVLVID
      CFURVRCDFUSUTVAVBVC $.
      $( [5-May-2008] $) $( [28-Mar-2008] $)
  $}

  $( Composition of the first member function with another function. $)
  1stcof $p |- ( F : A --> ( B X. C ) -> ( 1st o. F ) : A --> B ) $=
    ( cxp wf c1st ccom wfn crn wss wa cvv ffn fnf sylib wfo fo1st fof ax-mp
    fnfco mpan syl cres frn ssres2 rnss 3syl f1stres a1i sstrd rnco syl5ss jca
    df-f sylibr ) ABCEZDFZGDHZAIZUSJZBKZLABUSFURUTVBURAMDFZUTURDAIVCAUQDNADOPGM
    IZVCUTMMGFZVDMMGQVERMMGSTMMGNTMAGDUAUBUCURGDJZUDZJZBVAURVHGUQUDZJZBURVFUQKV
    GVIKVHVJKAUQDUEVFUQGUFVGVIUGUHVJBKZURUQBVIFVKBCUIUQBVIUETUJUKGDULUMUNABUSUO
    UP $.
    $( [5-Nov-2007] $) $( [12-Oct-2007] $)

  $( Membership in a cross product.  This version requires no quantifiers or
     dummy variables.  See also ~ elxp4 . $)
  elxp6 $p |- ( A e. ( B X. C ) <-> ( A = <. ( 1st ` A ) , ( 2nd ` A ) >.
               /\ ( ( 1st ` A ) e. B /\ ( 2nd ` A ) e. C ) ) ) $=
    ( cxp wcel csn cdm cuni crn cop wceq wa c1st cfv c2nd elxp4 1stval 2ndval
    opeq12i eqeq2i eleq1i anbi12i bitr4 ) ABCDEAAFZGHZUDIHZJZKZUEBEZUFCEZLZLAAM
    NZAONZJZKZULBEZUMCEZLZLABCPUOUHURUKUNUGAULUEUMUFAQZARZSTUPUIUQUJULUEBUSUAUM
    UFCUTUAUBUBUC $.
    $( [14-Oct-2004] $) $( [9-Oct-2004] $)

  $( Membership in a cross product.  This version requires no quantifiers or
     dummy variables.  See also ~ elxp4 . $)
  elxp7 $p |- ( A e. ( B X. C ) <-> ( A e. ( V X. V )
               /\ ( ( 1st ` A ) e. B /\ ( 2nd ` A ) e. C ) ) ) $=
    ( cxp wcel c1st cfv c2nd cop wceq wa cvv elxp6 fvex pm3.2i mpbiran2 anbi1i
    bitr4 ) ABCDEAAFGZAHGZIJZSBETCEKZKALLDEZUBKABCMUCUAUBUCUASLEZTLEZKALLMUDUEA
    FNAHNOPQR $.
    $( [19-Aug-2006] $) $( [19-Aug-2006] $)

  ${
    eqop.1 $e |- C e. V $.
    $( Two ways to express equality with an ordered pair. $)
    eqop $p |- ( A e. ( V X. V ) -> ( A = <. B , C >. <->
               ( ( 1st ` A ) = B /\ ( 2nd ` A ) = C ) ) ) $=
      ( cvv cxp wcel cop wceq c1st cfv c2nd wa eleq1 biimpac opelxp1 syl fveq2
      op1stg sylan9eqr op2ndg mpan2 jca sylancom elxp6 pm3.26bi opeq12
      sylan9eq impbida ) AEEFZGZABCHZIZAJKZBIZALKZCIZMZUKUMBEGZURUKUMMULUJGZUSU
      MUKUTAULUJNOBCEEPQUSUMMUOUQUMUSUNULJKBAULJRBCESTUMUSUPULLKZCAULLRUSCEGVAC
      IDBCEEUAUBTUCUDUKURAUNUPHZULUKAVBIUNEGUPEGMAEEUEUFUNUPBCUGUHUI $.
      $( [6-Sep-2007] $) $( [3-Sep-2007] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Representation of cross product based on ordered pair component
       functions. $)
    xp2 $p |- ( A X. B ) = { x e. ( V X. V ) | ( ( 1st ` x ) e. A /\
              ( 2nd ` x ) e. B ) } $=
      ( cxp cv cvv wcel c1st cfv c2nd wa cab crab elxp7 abbi2i df-rab eqtr4 )
      BCDZAEZFFDZGSHIBGSJICGKZKZALUAATMUBARSBCNOUAATPQ $.
      $( [23-Oct-2006] $) $( [16-Sep-2006] $)
  $}

  $( An ordered pair theorem for members of cross products. $)
  xpopth $p |- ( ( A e. ( C X. D ) /\ B e. ( R X. S ) ) ->
       ( ( ( 1st ` A ) = ( 1st ` B ) /\
     ( 2nd ` A ) = ( 2nd ` B ) ) <-> A = B ) ) $=
    ( cxp wcel wa wceq c1st cfv c2nd cop elxp6 pm3.26bi eqeqan12d fvex opth
    syl6rbb ) ACDGHZBEFGHZIABJAKLZAMLZNZBKLZBMLZNZJUCUFJUDUGJIUAUBAUEBUHUAAUEJU
    CCHUDDHIACDOPUBBUHJUFEHUGFHIBEFOPQUCUDUFUGAKRAMRBMRST $.
    $( [1-Jul-2007] $) $( [20-Jun-2007] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( The membership relation for a cross product is inherited by union. $)
    unielxp $p |- ( A e. ( B X. C ) -> U. A e. U. ( B X. C ) ) $=
      ( vx cxp wcel cvv c1st cfv c2nd wa cuni elxp7 elvvuni adantr cv cab wex
      simprl wceq eleq2 eleq1 fveq2 eleq1d anbi12d cla4egv mpcom eluniab
      sylibr crab xp2 df-rab eqtr unieqi syl6eleqr mpancom sylbi ) ABCEZFAGGEZF
      ZAHIZBFZAJIZCFZKZKZALZURLZFZABCMVGAFZVFVIUTVJVEANOVJVFKZVGDPZUSFZVLHIZBFZ
      VLJIZCFZKZKZDQZLZVHVKVGVLFZVSKZDRZVGWAFUTVKWDVJUTVESWCVKDAUSVLATZWBVJVSVF
      VLAVGUAWEVMUTVRVEVLAUSUBWEVOVBVQVDWEVNVABVLAHUCUDWEVPVCCVLAJUCUDUEUEUEUFU
      GVSDVGUHUIURVTURVRDUSUJVTDBCUKVRDUSULUMUNUOUPUQ $.
      $( [14-Nov-2006] $) $( [16-Sep-2006] $)
  $}

  $( Reconstruction of a member of a relation in terms of its ordered pair
     components. $)
  1st2nd $p |- ( ( Rel B /\ A e. B ) ->
               A = <. ( 1st ` A ) , ( 2nd ` A ) >. ) $=
    ( wrel wcel wa cvv cxp c1st cfv c2nd cop wceq wss ssel2 df-rel sylanb
    elxp6 pm3.26bi syl ) BCZABDZEAFFGZDZAAHIZAJIZKLZBUBMUAUCTBUBANBOPUCUFUDFDUE
    FDEAFFQRS $.
    $( [30-Aug-2006] $) $( [29-Aug-2006] $)

  $( The first ordered pair component of a member of a relation belongs to
     the domain of the relation. $)
  1stdm $p |- ( ( Rel R /\ A e. R ) -> ( 1st ` A ) e. dom R ) $=
    ( wrel wcel wa c1st cfv cint cdm cvv cxp wceq wss df-rel biimp sseld imp
    1stval2 syl elreldm eqeltrd ) BCZABDZEZAFGZAHHZBIUDAJJKZDZUEUFLUBUCUHUBBUGA
    UBBUGMBNOPQARSBATUA $.
    $( [11-Jul-2007] $) $( [17-Sep-2006] $)

  $( The second ordered pair component of a member of a relation belongs to
     the range of the relation. $)
  2ndrn $p |- ( ( Rel R /\ A e. R ) -> ( 2nd ` A ) e. ran R ) $=
    ( wrel wcel wa c1st cfv c2nd cop crn 1st2nd pm3.27 eqeltrrd fvex opelrn
    syl ) BCZABDZEZAFGZAHGZIZBDUABJDSAUBBABKQRLMTUABAFNAHNOP $.
    $( [15-Aug-2007] $) $( [17-Sep-2006] $)

  $( Equality theorem for substitution of a class for an ordered pair (analog
     of ~ sbceq1a , that avoids the existential quantifiers of ~ copsexg ). $)
  sbcopeq1a $p |- ( <. x , y >. = A -> ( ph <->
                  [ ( 1st ` A ) / x ] [ ( 2nd ` A ) / y ] ph ) ) $=
    ( cv c2nd cfv wceq c1st wsbc wb cop sbceq1a sylan9bb fveq2 visset op2nd
    syl5eqr op1st sylanc ) CEZDFGZHZBEZDIGZHZAACUBJZBUEJZKUDUALZDHZUCAUGUFUHACU
    BMUGBUEMNUJUIFGUBUAUIDFOUDUABPZCPQRUJUIIGUEUDUIDIOUDUAUKSRT $.
    $( [19-Jul-2007] $) $( [19-Aug-2006] $)

  $( Equality theorem for substitution of a class ` A ` for an ordered pair
     ` <. x , y >. ` in ` B ` (analog of ~ csbeq1a ). $)
  csbopeq1a $p |- ( <. x , y >. = A -> B =
                  [_ ( 1st ` A ) / x ]_ [_ ( 2nd ` A ) / y ]_ B ) $=
    ( cv c2nd cfv wceq c1st csb cop csbeq1a sylan9eq fveq2 visset op2nd
    syl5eqr op1st sylanc ) BEZCFGZHZAEZCIGZHZDAUDBUADJZJZHUCTKZCHZUBUEDUFUGBUAD
    LAUDUFLMUIUHFGUATUHCFNUCTAOZBOPQUIUHIGUDUCUHCINUCTUJRQS $.
    $( [22-Aug-2006] $) $( [19-Aug-2006] $)

  ${
    $d z ph $.  $d x y z $.
    $( A way to define an ordered-pair class abstraction without using
       existential quantifiers. $)
    dfopab2 $p |- { <. x , y >. | ph } = { z | ( z e. ( V X. V ) /\
                  [ ( 1st ` z ) / x ] [ ( 2nd ` z ) / y ] ph ) } $=
      ( copab cv cop wceq wa wex cab cvv cxp wcel c2nd cfv wsbc c1st df-opab
      fvex hbsbc1v 19.41 wb fveq2 visset op2nd syl6req sbceq1a syl op1st bitrd
      pm5.32i exbii wal wi ax-17 hbsbcg ax-mp bitr elvv anbi1i 3bitr4 abbii
      eqtr ) ABCEDFZBFZCFZGZHZAIZCJZBJZDKVELLMNZACVEOPZQZBVERPZQZIZDKABCDSVLVRD
      VICJZVQIZBJVSBJZVQIVLVRVSVQBVOBVPVERTZUAUBVKVTBVKVIVQIZCJVTVJWCCVIAVQVIAV
      OVQVIVGVNHAVOUCVIVNVHOPVGVEVHOUDVFVGBUEZCUEUFUGACVNUHUIVIVFVPHVOVQUCVIVPV
      HRPVFVEVHRUDVFVGWDUJUGVOBVPUHUIUKULUMVIVQCVPLNVQVQCUNUOWBVOCBBVPLVFVPNCUP
      ACVNVEOTUAUQURUBUSUMVMWAVQBCVEUTVAVBVCVD $.
      $( [19-Oct-2006] $) $( [18-Aug-2006] $)
  $}

  ${
    $d w ph $.  $d x y z w $.
    $( A way to define an operation class abstraction without using existential
       quantifiers. $)
    dfoprab3 $p |- { <. <. x , y >. , z >. | ph } = { <. w , z >. |
         ( w e. ( V X. V ) /\ [ ( 1st ` w ) / x ] [ ( 2nd ` w ) / y ] ph ) } $=
      ( copab2 cv cop wceq wa wex copab cvv cxp wcel c2nd cfv wsbc c1st
      dfoprab2 fvex hbsbc1v 19.41 wb fveq2 visset op2nd syl6req sbceq1a syl
      op1st bitrd pm5.32i exbii wal wi ax-17 hbsbcg ax-mp bitr elvv anbi1i
      3bitr4 opabbii eqtr ) ABCDFEGZBGZCGZHZIZAJZCKZBKZEDLVFMMNOZACVFPQZRZBVFSQ
      ZRZJZEDLABCDETVMVSEDVJCKZVRJZBKVTBKZVRJVMVSVTVRBVPBVQVFSUAZUBUCVLWABVLVJV
      RJZCKWAVKWDCVJAVRVJAVPVRVJVHVOIAVPUDVJVOVIPQVHVFVIPUEVGVHBUFZCUFUGUHACVOU
      IUJVJVGVQIVPVRUDVJVQVISQVGVFVISUEVGVHWEUKUHVPBVQUIUJULUMUNVJVRCVQMOVRVRCU
      OUPWCVPCBBVQMVGVQOCUQACVOVFPUAUBURUSUCUTUNVNWBVRBCVFVAVBVCVDVE $.
      $( [7-Sep-2006] $) $( [18-Aug-2006] $)
  $}

  ${
    $d w x y A $.  $d w x y B $.  $d w C $.  $d x y D $.  $d w x y z $.
    dfoprab5.1 $e |- ( <. x , y >. = w -> C = D ) $.
    $( A way to define an operation class abstraction without using existential
       quantifiers. $)
    dfoprab5 $p |- { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ z = C )
           } = { <. w , z >. | ( w e. ( A X. B ) /\ z = D ) } $=
      ( cv wcel wa wceq copab2 cvv cxp c2nd cfv wsbc c1st copab dfoprab3 anass
      elxp7 anbi1i csb wb fvex sbcang ax-mp sbcel1gv ax-17 sbcgf anbi12i bitr
      a1i wi wal cop visset eqop eqcom 3bitr4g syl6bir 19.21aivv csbie2t syl
      eqeq2d sbceq2dig syl5bb anbi12d sbcbii pm5.32i 3bitr4r opabbii eqtr ) AJZ
      EKZBJZFKZLZCJZGMZLZABCNDJZOOPKZWDBWEQRZSZAWETRZSZLZDCUAWEEFPKZWBHMZLZDCUA
      WDABCDUBWKWNDCWFWIEKZWGFKZLZLZWMLWFWQWMLZLWNWKWFWQWMUCWLWRWMWEEFUDUEWFWJW
      SWFVRWPLZAWISZWBBWGGUFZMZAWISZLZWSWJWFXAWQXDWMXAWQUGWFXAVRAWISZWPAWISZLZW
      QWIOKZXAXHUGWETUHZVRWPAWIOUIUJXFWOXGWPXIXFWOUGXJAWIEOUKUJXIXGWPUGXJWPAWIO
      WPAULUMUJUNUOUPWFWBAWIXBUFZMZWMXDWFXKHWBWFVQWIMZVSWGMZLZGHMZUQZBURAURXKHM
      WFXQABWFXOVQVSUSZWEMZXPWFWEXRMWIVQMZWGVSMZLXSXOWEVQVSBUTVAXRWEVBXMXTXNYAV
      QWIVBVSWGVBUNVCIVDVEABWIWGGHXJWEQUHZVFVGVHXIXDXLUGXJAWIWBXBOVIUJVJVKWJWTX
      CLZAWISZXEXIWJYDUGXJWHYCAWIOWHWABWGSZWCBWGSZLZYCWGOKZWHYGUGYBWAWCBWGOUIUJ
      YEWTYFXCYEVRBWGSZVTBWGSZLZWTYHYEYKUGYBVRVTBWGOUIUJYIVRYJWPYHYIVRUGYBVRBWG
      OVRBULUMUJYHYJWPUGYBBWGFOUKUJUNUOYHYFXCUGYBBWGWBGOVIUJUNUOVLUJXIYDXEUGXJW
      TXCAWIOUIUJUOVJVMVNVOVP $.
      $( [10-Sep-2007] $) $( [3-Sep-2007] $)
  $}

  ${
    $d w x y A $.  $d w x y B $.  $d w C $.  $d x y D $.  $d w x y z $.
    dfoprab4.1 $e |- ( ( x = ( 1st ` w ) /\ y = ( 2nd ` w ) ) -> C = D ) $.
    $( A way to define an operation class abstraction without using existential
       quantifiers. $)
    dfoprab4 $p |- { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B ) /\ z = C )
           } = { <. w , z >. | ( w e. ( A X. B ) /\ z = D ) } $=
      ( cv c1st cfv wceq c2nd cop fveq2 visset op1st syl5eqr op2nd sylanc
      dfoprab5 ) ABCDEFGHAJZDJZKLZMBJZUDNLZMGHMUCUFOZUDMZIUIUHKLUEUCUHUDKPUCUFA
      QZRSUIUHNLUGUFUHUDNPUCUFUJBQTSUAUB $.
      $( [11-Sep-2007] $) $( [27-Aug-2007] $)
  $}

  ${
    $d x y A $.  $d x y ch $.
    elopabi.1 $e |- ( x = ( 1st ` A ) -> ( ph <-> ps ) ) $.
    elopabi.2 $e |- ( y = ( 2nd ` A ) -> ( ps <-> ch ) ) $.
    $( A consequence of membership in an ordered-pair class abstraction, using
       ordered pair extractors. $)
    elopabi $p |- ( A e. { <. x , y >. | ph } -> ch ) $=
      ( copab wcel c1st cfv c2nd cop wceq wrel relopab 1st2nd mpan eleq1 fvex
      opelopab syl6bb biimpcd mpd ) FADEIZJZFFKLZFMLZNZOZCUFPUGUKADEQFUFRSUKUGC
      UKUGUJUFJCFUJUFTABCDEUHUIFKUAFMUAGHUBUCUDUE $.
      $( [3-Sep-2006] $) $( [29-Aug-2006] $)
  $}

  ${
    $d w x y z A $.  $d x y ch $.  $d w ph $.  $d x ps $.  $d x y z th $.
    eloprabi.1 $e |- ( x = ( 1st ` ( 1st ` A ) ) -> ( ph <-> ps ) ) $.
    eloprabi.2 $e |- ( y = ( 2nd ` ( 1st ` A ) ) -> ( ps <-> ch ) ) $.
    eloprabi.3 $e |- ( z = ( 2nd ` A ) -> ( ch <-> th ) ) $.
    $( A consequence of membership in an operation class abstraction, using
       ordered pair extractors. $)
    eloprabi $p |- ( A e. { <. <. x , y >. , z >. | ph } -> th ) $=
      ( vw copab2 wcel c1st cfv c2nd cop wceq wrel reloprab 1st2nd mpan cv cvv
      cxp wsbc wa copab dfoprab3 eleq2i pm3.26 ssopab2i sseli eleq1 pm4.2d
      elopabi relxp 3syl sylbi opeq1d eqtrd wb fvex eloprabg mp3an syl6bb
      biimpcd mpd ) HAEFGMZNZHHOPZOPZVLQPZRZHQPZRZSZDVKHVLVPRZVQVJTVKHVSSAEFGUA
      HVJUBUCVKVLVOVPVKHLUDZUEUEUFZNZAFVTQPUGEVTOPUGZUHZLGUIZNZVLVOSZVJWEHAEFGL
      UJUKWFHWBLGUIZNVLWANZWGWEWHHWDWBLGWBWCULUMUNWBWIWILGHVTVLWAUOGUDVPSWIUPUQ
      WATWIWGUEUEURVLWAUBUCUSUTVAVBVRVKDVRVKVQVJNZDHVQVJUOVMUENVNUENVPUENWJDVCV
      LOVDVLQVDHQVDABCDEFGVMVNVPUEUEUEIJKVEVFVGVHVI $.
      $( [16-Nov-2006] $) $( [6-Nov-2006] $)
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w z C $.  $d w x y z D $.
    foprab2.1 $e |- F = { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
             /\ z = C ) } $.
    $( Mapping of an operation class abstraction. $)
    foprab2 $p |- ( A. x e. A A. y e. B C e. D <-> F : ( A X. B ) --> D ) $=
      ( vw wcel wral cv c1st cfv c2nd csb cxp wf fvex ax-17 hbcsb1 hbel cvv
      wal wi hbcsbg ax-mp cop wceq csbopeq1a eqcoms eqcomd eleq1d ralxpf wa
      copab2 wsbc copab dfoprab3 anass elxp7 anbi1i wb sbcang sbcgf sbcel1gv
      anbi12i bitr sbceq2dig sbcbii 3bitr anbi2i 3bitr4 opabbii 3eqtr4 fopab2
      bitr3 ) FGKZBELADLAJMZNOZBVTPOZFQZQZGKZJDERZLWFGHSWEVSJABDEACCWDGACWAWCVT
      NTZCMZWAKZAUAUBWHGKZAUAUCBCCWDGWAUDKZWHWDKZWLBUEUFWGBACWAWCUDWIBUABCWBFVT
      PTZWHWBKBUAUBUGUHWJBUAUCVSJUAVTAMZBMZUIZUJZWDFGWQFWDFWDUJWPVTABVTFUKULUMU
      NUOJCWFGWDHWNDKZWOEKZUPZWHFUJZUPZABCUQVTUDUDRKZXBBWBURZAWAURZUPZJCUSHVTWF
      KZWHWDUJZUPZJCUSXBABCJUTIXIXFJCXCWADKZWBEKZUPZUPZXHUPXCXLXHUPZUPXIXFXCXLX
      HVAXGXMXHVTDEVBVCXEXNXCXEWRXKUPZWHWCUJZUPZAWAURZXOAWAURZXPAWAURZUPZXNWKXE
      XRVDWGXDXQAWAUDXDWTBWBURZXABWBURZUPZXQWBUDKZXDYDVDWMWTXABWBUDVEUHYBXOYCXP
      YBWRBWBURZWSBWBURZUPZXOYEYBYHVDWMWRWSBWBUDVEUHYFWRYGXKYEYFWRVDWMWRBWBUDWR
      BUAVFUHYEYGXKVDWMBWBEUDVGUHVHVIYEYCXPVDWMBWBWHFUDVJUHVHVIVKUHWKXRYAVDWGXO
      XPAWAUDVEUHXSXLXTXHXSWRAWAURZXKAWAURZUPZXLWKXSYKVDWGWRXKAWAUDVEUHYIXJYJXK
      WKYIXJVDWGAWADUDVGUHWKYJXKVDWGXKAWAUDXKAUAVFUHVHVIWKXTXHVDWGAWAWHWCUDVJUH
      VHVLVMVNVOVPVQVR $.
      $( [17-Sep-2006] $) $( [18-Aug-2006] $)

    ${
      foprab.2 $e |- ( ( x e. A /\ y e. B ) -> C e. D ) $.
      $( Mapping of an operation class abstraction. $)
      foprab $p |- F : ( A X. B ) --> D $=
        ( wcel wral cxp wf rgen2 foprab2 mpbi ) FGKZBELADLDEMGHNRABDEJOABCDEFGH
        IPQ $.
        $( [9-Aug-2007] $) $( [1-Jan-2007] $)
    $}
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.
    fnoprab2g.1 $e |- F = { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
             /\ z = C ) } $.
    $( Functionality and domain of an operation class abstraction. $)
    fnoprab2g $p |- ( A. x e. A A. y e. B C e. V <-> F Fn ( A X. B ) ) $=
      ( cvv wcel wral cxp wf wfn foprab2 fnf bitr4 ) FIJBEKADKDELZIGMGRNABCDEFI
      GHORGPQ $.
      $( [4-Sep-2007] $) $( [29-Aug-2007] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d z C $.
    fnoprab2.1 $e |- C e. V $.
    fnoprab2.2 $e |- F = { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
             /\ z = C ) } $.
    $( Functionality and domain of an operation class abstraction. $)
    fnoprab2 $p |- F Fn ( A X. B ) $=
      ( cvv wcel wral cxp wfn cv wa a1i rgen2 fnoprab2g mpbi ) FJKZBELADLGDEMNU
      AABDEUAAODKBOEKPHQRABCDEFGIST $.
      $( [26-Aug-1995] $)

    $( Domain of an operation class abstraction. $)
    dmoprab2 $p |- dom F = ( A X. B ) $=
      ( cxp wfn cdm wceq fnoprab2 fndm ax-mp ) GDEJZKGLQMABCDEFGHINQGOP $.
      $( [14-Nov-2004] $) $( [23-Sep-2004] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d z C $.  $d x y w v u D $.
    $d w v u F $.
    elrnoprabg.1 $e |- F = { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
             /\ z = C ) } $.
    $( Membership in the range of an operation class abstraction. $)
    elrnoprabg $p |- ( A. x e. A A. y e. B C e. R ->
                     ( D e. ran F <-> E. x e. A E. y e. B D = C ) ) $=
      ( vw vv vu wcel wral cxp wfn crn wceq wrex wb cvv elisset r19.20si
      fnoprab2g sylib cv cfv fvelrnb co hbra1 wa ax-17 hbral hban ra42 w3a
      oprabval4g eqeq1d eqcom syl6bb 3expia sylcom exp3a imp31 rexbida cop
      fveq2 df-opr syl6eqr rexxp copab2 hboprab1 hbxfr hbopr hbeq hbrex opreq1
      rexbidv cbvrex hboprab2 opreq2 rexbii 3bitr syl5bb sylan9bbr mpdan ) FHNZ
      BEOZADOZIDEPZQZGIRNZGFSZBETZADTZUAWJFUBNZBEOZADOWLWIWRADWHWQBEFHUCUDUDABC
      DEFIJUEUFWLWMKUGZIUHZGSZKWKTZWJWPKWKGIUIWJAUGZBUGZIUJZGSZBETZADTZWPXBWJXG
      WOADWIADUKWJXCDNZULXFWNBEWJXIBWIBADXIBUMZWHBEUKUNXJUOWJXIXDENZXFWNUAZWJXI
      XKXLWJXIXKULZWHXLWHABDEUPXIXKWHXLXIXKWHUQZXFFGSWNXNXEFGABCDEFHIJURUSFGUTV
      AVBVCVDVEVFVFXBLUGZMUGZIUJZGSZMETZLDTXCXPIUJZGSZMETZADTXHXAXRKLMDEWSXOXPV
      GZSZWTXQGYDWTYCIUHXQWSYCIVHXOXPIVIVJUSVKXSYBLADXRAMEXPENAUMAKKXQGAKXOXPIW
      SXONAUMAKIXMCUGFSULZABCVLZJYEABCKVMVNWSXPNZAUMVOWSGNZAUMVPVQYBLUMXOXCSZXR
      YAMEYIXQXTGXOXCXPIVRUSVSVTYBXGADYAXFMBEBKKXTGBKXCXPIWSXCNBUMBKIYFJYEABCKW
      AVNYGBUMVOYHBUMVPXFMUMXPXDSXTXEGXPXDXCIWBUSVTWCWDWEWFWG $.
      $( [4-Sep-2007] $) $( [27-Aug-2007] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d z C $.  $d x y w v u D $.
    $d w v u F $.
    elrnoprab.1 $e |- C e. V $.
    elrnoprab.2 $e |- F = { <. <. x , y >. , z >. | ( ( x e. A /\ y e. B )
             /\ z = C ) } $.
    $( Membership in the range of an operation class abstraction. $)
    elrnoprab $p |- ( D e. ran F <-> E. x e. A E. y e. B D = C ) $=
      ( cvv wcel wral crn wceq wrex wb elrnoprabg cv a1i rgen mprg ) FKLZBEMZGH
      NLGFOBEPADPQADABCDEFGKHJRUDASDLUCBEUCBSELITUATUB $.
      $( [6-Aug-2004] $) $( [1-Aug-2004] $)
  $}

  ${
    $d x y z w v A $.  $d x y z B $.  $d x y z w v u $.
    $( An alternate possible definition of the ` 1st ` function. $)
    df1st2 $p |- { <. <. x , y >. , z >. | z = x } = ( 1st |` ( V X. V ) ) $=
      ( vu vw vv cv wceq copab2 c1st cvv cxp cres cfv wral wfn wa wb visset
      wcel pm3.2i biantrur oprabbii fnoprab2 wss wf wfo fo1st fof ax-mp ffn
      ssv fnssres mp2an eqfnfv eqid cop 1st2val opelxp mpbir2an fvres eqtr4
      a1i rgen2a fveq2 eqeq12d ralxp mpbir ) CGAGZHZABCIZJKKLZMZHZVLVLHZDGZVKNZ
      VPVMNZHZDVLOZVKVLPVMVLPZVNVOVTQRABCKKVIVKASZVJVIKTZBGKTZQZVJQABCWEVJWCWDW
      BBSUAUBUCUDJKPZVLKUEWAKKJUFZWFKKJUGWGUHKKJUIUJKKJUKUJVLULKVLJUMUNDVLVLVKV
      MUOUNVLUPVTEGZFGZUQZVKNZWJVMNZHZFKOEKOWMEFKWMWHKTZWIKTZQWKWJJNZWLABCWJURW
      JVLTZWLWPHWQWNWOWHWIKKFSZUSESWRUTWJVLJVAUJVBVCVDVSWMDEFKKVPWJHVQWKVRWLVPW
      JVKVEVPWJVMVEVFVGVHUT $.
      $( [14-Nov-2004] $) $( [14-Oct-2004] $)

    $( An alternate possible definition of the ` 2nd ` function. $)
    df2nd2 $p |- { <. <. x , y >. , z >. | z = y } = ( 2nd |` ( V X. V ) ) $=
      ( vu vw vv cv wceq copab2 c2nd cvv cxp cres cfv wral wfn wa wb visset
      wcel pm3.2i biantrur oprabbii fnoprab2 wss wf wfo fo2nd fof ax-mp ffn
      ssv fnssres mp2an eqfnfv eqid cop 2nd2val opelxp mpbir2an fvres eqtr4
      a1i rgen2a fveq2 eqeq12d ralxp mpbir ) CGBGZHZABCIZJKKLZMZHZVLVLHZDGZVKNZ
      VPVMNZHZDVLOZVKVLPVMVLPZVNVOVTQRABCKKVIVKBSZVJAGKTZVIKTZQZVJQABCWEVJWCWDA
      SWBUAUBUCUDJKPZVLKUEWAKKJUFZWFKKJUGWGUHKKJUIUJKKJUKUJVLULKVLJUMUNDVLVLVKV
      MUOUNVLUPVTEGZFGZUQZVKNZWJVMNZHZFKOEKOWMEFKWMWHKTZWIKTZQWKWJJNZWLABCWJURW
      JVLTZWLWPHWQWNWOWHWIKKFSZUSESWRUTWJVLJVAUJVBVCVDVSWMDEFKKVPWJHVQWKVRWLVPW
      JVKVEVPWJVMVEVFVGVHUT $.
      $( [6-Jul-2007] $) $( [10-Aug-2006] $)
  $}

  ${
    $d x y z A $.
  $}

  ${
    $d x y $.
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Ordinal arithmetic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c 1o $. $( The ordinal number 1 $)
  $c 2o $. $( The ordinal number 2 $)
  $c +o $.  $( Ordinal addition operation (plus subscript o) $)
  $c .o $.  $( Ordinal multiplication operation (center dot subscript o) $)
  $c ^o $.  $( Ordinal exponentiation operation (caret subscript o) $)

  $( Extend the definition of a class to include the ordinal number 1. $)
  c1o $a class 1o $.

  $( Extend the definition of a class to include the ordinal number 2. $)
  c2o $a class 2o $.

  $( Extend the definition of a class to include the ordinal addition
     operation. $)
  coa $a class +o $.

  $( Extend the definition of a class to include the ordinal multiplication
     operation. $)
  comu $a class .o $.

  $( Extend the definition of a class to include the ordinal exponentiation
     operation. $)
  coe $a class ^o $.

  $( Define the ordinal number 1. $)
  df-1o $a |- 1o = suc (/) $.

  $( Define the ordinal number 2. $)
  df-2o $a |- 2o = suc 1o $.

  ${
    $d x y z w v $.
    $( Define the ordinal addition operation. $)
    df-oadd $a |- +o = { <. <. x , y >. , z >. | ( ( x e. On /\ y e. On ) /\
                z = ( rec ( { <. w , v >. | v = suc w } , x ) ` y ) ) } $.
  $}

  ${
    $d x y z w v $.
    $( Define the ordinal multiplication operation. $)
    df-omul $a |- .o = { <. <. x , y >. , z >. | ( ( x e. On /\ y e. On ) /\
             z = ( rec ( { <. w , v >. | v = ( w +o x ) } , (/) ) ` y ) ) } $.
  $}

  ${
    $d x y z w v $.
    $( Define the ordinal exponentiation operation. $)
    df-oexp $a |- ^o = { <. <. x , y >. , z >. | ( ( x e. On /\ y e. On ) /\
                   z = if ( x = (/) , ( 1o \ y ) ,
                 ( rec ( { <. w , v >. | v = ( w .o x ) } , 1o ) ` y ) ) ) } $.
  $}

  $( Ordinal 1 is an ordinal number. $)
  1on $p |- 1o e. On $=
    ( c1o c0 csuc con0 df-1o 0elon onsuc eqeltr ) ABCDEBFGH $.
    $( [29-Oct-1995] $)

  $( Ordinal 2 is an ordinal number. $)
  2on $p |- 2o e. On $=
    ( c1o con0 wcel c2o 1on csuc sucelon df-2o eleq1i bitr4 mpbi ) ABCZDBCZELAF
    ZBCMAGDNBHIJK $.
    $( [19-Feb-2004] $) $( [18-Feb-2004] $)

  $( Expanded value of the ordinal number 1. $)
  df1o2 $p |- 1o = { (/) } $=
    ( c1o c0 csuc csn df-1o suc0 eqtr ) ABCBDEFG $.
    $( [4-Nov-2002] $)

  $( Expanded value of the ordinal number 2. $)
  df2o2 $p |- 2o = { (/) , { (/) } } $=
    ( c2o c1o csuc csn cun c0 cpr df-2o df-suc df1o2 sneqi uneq12i df-pr eqtr4
    3eqtr ) ABCBBDZEZFFDZGZHBIQRRDZESBRPTJBRJKLFRMNO $.
    $( [19-Feb-2004] $) $( [29-Jan-2004] $)

  $( Ordinal one is not equal to ordinal zero. $)
  1ne0 $p |- 1o =/= (/) $=
    ( c1o c0 wne csn 0ex snnz df1o2 neeq1i mpbir ) ABCBDZBCBEFAJBGHI $.
    $( [30-Apr-2007] $) $( [26-Dec-2004] $)

  $( Cross products with the singletons of ordinals 0 and 1 are disjoint. $)
  xp01disj $p |- ( ( A X. { (/) } ) i^i ( C X. { 1o } ) ) = (/) $=
    ( c0 c1o wne csn cxp cin wceq 1ne0 necom mpbi xpsndisj ax-mp ) CDEZACFGBDFG
    HCIDCEOJDCKLACBDMN $.
    $( [5-Jun-2007] $) $( [2-Jun-2007] $)

  $( Two ways to express that an ordinal class is positive. $)
  ordgt0ge1 $p |- ( Ord A -> ( (/) e. A <-> 1o (_ A ) ) $=
    ( word c0 wcel csuc wss c1o con0 wb 0elon ordelsuc mpan df-1o sseq1i
    syl6bbr ) ABZCADZCEZAFZGAFCHDPQSIJCAHKLGRAMNO $.
    $( [1-Jan-2005] $) $( [21-Dec-2004] $)

  $( An ordinal greater than or equal to 1 is nonzero. $)
  ordge1n0 $p |- ( Ord A -> ( 1o (_ A <-> A =/= (/) ) ) $=
    ( word c0 wcel c1o wss wne ordgt0ge1 ord0eln0 bitr3d ) ABCADEAFACGAHAIJ $.
    $( [29-May-2007] $) $( [21-Dec-2004] $)

  $( Membership in ordinal one. $)
  el1o $p |- ( A e. 1o <-> A = (/) ) $=
    ( c1o wcel c0 csn wceq df1o2 eleq2i 0ex elsnc2 bitr ) ABCADEZCADFBLAGHADIJK
    $.
    $( [8-Jan-2005] $) $( [5-Jan-2005] $)

  $( Ordinal zero is less than ordinal one. $)
  0lt1o $p |- (/) e. 1o $=
    ( c0 c1o wcel wceq eqid el1o mpbir ) ABCAADAEAFG $.
    $( [8-Jan-2005] $) $( [5-Jan-2005] $)

  ${
    $d x y z w v $.
    $( Functionality and domain of ordinal addition. $)
    fnoa $p |- +o Fn ( On X. On ) $=
      ( vx vy vz vv vw con0 cv csuc wceq copab crdg cfv coa fvex df-oadd
      fnoprab2 ) ABCFFBGZDGEGHIEDJAGKZLMQRNABCEDOP $.
      $( [26-Aug-1995] $)
  $}

  ${
    $d x y z w v $.
    $( Functionality and domain of ordinal multiplication. $)
    fnom $p |- .o Fn ( On X. On ) $=
      ( vx vy vz vv vw con0 cv coa co wceq copab c0 crdg cfv comu fvex df-omul
      fnoprab2 ) ABCFFBGZDGEGAGHIJEDKLMZNOSTPABCEDQR $.
      $( [26-Aug-1995] $)
  $}

  ${
    $d x y z w v $.  $d z w v A $.  $d z w v B $.
    $( Value of ordinal addition. $)
    oav $p |- ( ( A e. On /\ B e. On ) ->
             ( A +o B ) = ( rec ( { <. x , y >. | y = suc x } , A ) ` B ) ) $=
      ( vw vv vz con0 cv csuc wceq copab crdg cfv coa fvex rdgeq2 fveq1d fveq2
      df-oadd oprabval2 ) EFGCDHHFIZBIAIJKABLZEIZMZNDUCCMZNOUBUFNDUFPUDCKUBUEUF
      UDCUCQRUBDUFSEFGABTUA $.
      $( [3-May-1995] $)
  $}

  ${
    $d x y z w v A $.  $d z w v B $.
    $( Value of ordinal multiplication. $)
    omv $p |- ( ( A e. On /\ B e. On ) ->
     ( A .o B ) = ( rec ( { <. x , y >. | y = ( x +o A ) } , (/) ) ` B ) ) $=
      ( vw vv vz con0 cv coa co wceq copab c0 crdg cfv comu fvex opreq2 eqeq2d
      opabbidv rdgeq1 fveq1 3syl fveq2 df-omul oprabval2 ) EFGCDHHFIZBIZAIZEIZJ
      KZLZABMZNOZPZDUIUJCJKZLZABMZNOZPQUHUTPZDUTRUKCLZUNUSLUOUTLUPVALVBUMURABVB
      ULUQUIUKCUJJSTUANUNUSUBUHUOUTUCUDUHDUTUEEFGABUFUG $.
      $( [17-Sep-1995] $)
  $}

  ${
    oe0lem.1 $e |- ( ( ph /\ A = (/) ) -> ps ) $.
    oe0lem.2 $e |- ( ( ( A e. On /\ ph ) /\ (/) e. A ) -> ps ) $.
    $( A helper lemma for ~ oe0 and others. $)
    oe0lem $p |- ( ( A e. On /\ ph ) -> ps ) $=
      ( con0 wcel wa c0 wceq wi ex adantl wne wb on0eln0 adantr sylbird
      pm2.61dne ) CFGZAHZBCIACIJZBKTAUBBDLMUACINZICGZBTUDUCOACPQUAUDBELRS $.
      $( [8-Jan-2005] $) $( [6-Jan-2005] $)
  $}

  ${
    $d x y z w v A $.  $d z w v B $.
    $( Value of ordinal exponentiation. $)
    oev $p |- ( ( A e. On /\ B e. On ) ->  ( A ^o B ) = if ( A = (/) ,
      ( 1o \ B ) , ( rec ( { <. x , y >. | y = ( x .o A ) } , 1o ) ` B ) ) ) $=
      ( vw vv vz con0 cv c0 wceq c1o cdif comu co copab crdg cfv cif coe wcel
      cvv 1on difexg ax-mp fvex ifex eqeq1 ifbid opreq2 eqeq2d opabbidv rdgeq1
      fveq1 3syl ifeq2d eqtrd difeq2 ifeq1d fveq2 df-oexp oprabval2 ) EFGCDHHEI
      ZJKZLFIZMZVEBIZAIZVCNOZKZABPZLQZRZSZCJKZLDMZDVGVHCNOZKZABPZLQZRZSZTVOVFVE
      VTRZSZVOVPWALHUAVPUBUAUCLDHUDUEDVTUFUGVCCKZVNVOVFVMSWDWEVDVOVFVMVCCJUHUIW
      EVOVMWCVFWEVKVSKVLVTKVMWCKWEVJVRABWEVIVQVGVCCVHNUJUKULLVKVSUMVEVLVTUNUOUP
      UQVEDKZWDVOVPWCSWBWFVOVFVPWCVEDLURUSWFVOWCWAVPVEDVTUTUPUQEFGABVAVB $.
      $( [1-Jan-2005] $) $( [30-Dec-2004] $)

    $( Value of ordinal exponentiation at a nonzero mantissa. $)
    oevn0 $p |- ( ( ( A e. On /\ B e. On ) /\ (/) e. A ) -> ( A ^o B ) =
                ( rec ( { <. x , y >. | y = ( x .o A ) } , 1o ) ` B ) ) $=
      ( con0 wcel wa c0 coe co cv comu wceq copab c1o crdg cfv wn wb wne
      on0eln0 df-ne syl6bb adantr cdif cif oev iffalse sylan9eq ex sylbid imp
      ) CEFZDEFZGZHCFZCDIJZDBKAKCLJMABNOPQZMZUOUPCHMZRZUSUMUPVASUNUMUPCHTVACUAC
      HUBUCUDUOVAUSUOVAUQUTODUEZURUFURABCDUGUTVBURUHUIUJUKUL $.
      $( [2-Jan-2005] $) $( [31-Dec-2004] $)
  $}

  ${
    $d x y A $.
    $( Addition with zero.  Proposition 8.3 of [TakeutiZaring] p. 57. $)
    oa0 $p |- ( A e. On -> ( A +o (/) ) = A ) $=
      ( vy vx con0 wcel c0 coa co cv csuc wceq copab crdg cfv 0elon oav mpan2
      rdg0t eqtrd ) ADEZAFGHZFBICIJKCBLZAMNZATFDEUAUCKOCBAFPQADUBRS $.
      $( [3-May-1995] $)

    $( Ordinal multiplication with zero.  Definition 8.15 of [TakeutiZaring]
       p. 62. $)
    om0 $p |- ( A e. On -> ( A .o (/) ) = (/) ) $=
      ( vy vx con0 wcel c0 comu co cv coa wceq copab crdg cfv 0elon omv mpan2
      0ex rdg0 syl6eq ) ADEZAFGHZFBICIAJHKCBLZFMNZFUAFDEUBUDKOCBAFPQFUCRST $.
      $( [17-Sep-1995] $)

    $( Ordinal exponentiation with zero mantissa. $)
    oe0m $p |- ( A e. On -> ( (/) ^o A ) = ( 1o \ A ) ) $=
      ( vy vx con0 wcel c0 coe co wceq c1o cdif cv comu copab crdg cfv cif
      0elon oev mpan eqid iftrue ax-mp syl6eq ) ADEZFAGHZFFIZJAKZABLCLFMHICBNJO
      PZQZUHFDEUEUFUJIRCBFASTUGUJUHIFUAUGUHUIUBUCUD $.
      $( [3-Jan-2005] $) $( [31-Dec-2004] $)
  $}

  $( Ordinal multiplication with zero.  Definition 8.15 of [TakeutiZaring]
     p. 62.  Unlike ~ om0 , this version works whether or not ` A ` is an
     ordinal.  However, since it is an artifact of our particular function
     value definition outside the domain, we will not use it in order to be
     conventional and present it only as a curiosity. $)
  om0x $p |- ( A .o (/) ) = (/) $=
    ( con0 wcel c0 wa comu co wceq om0 adantr 0ex cxp wfn cdm fnom fndm ax-mp
    ndmopr pm2.61i ) ABCZDBCZEADFGDHZTUBUAAIJADBFKFBBLZMFNUCHOUCFPQRS $.
    $( [1-Feb-1996] $)

  $( Ordinal exponentiation with zero mantissa and zero exponent.
     Proposition 8.31 of [TakeutiZaring] p. 67. $)
  oe0m0 $p |- ( (/) ^o (/) ) = 1o $=
    ( c0 con0 wcel coe co c1o wceq 0elon cdif oe0m dif0 syl6eq ax-mp ) ABCZAADE
    ZFGHNOFAIFAJFKLM $.
    $( [3-Jan-2005] $) $( [31-Dec-2004] $)

  $( Ordinal exponentiation with zero mantissa and nonzero exponent.
     Proposition 8.31(2) of [TakeutiZaring] p. 67 and its converse. $)
  oe0m1 $p |- ( A e. On -> ( (/) e. A <-> ( (/) ^o A ) = (/) ) ) $=
    ( con0 wcel c0 c1o wss coe co wceq word wb eloni ordgt0ge1 syl cdif oe0m
    eqeq1d ssdif0 syl6rbbr bitrd ) ABCZDACZEAFZDAGHZDIZUAAJUBUCKALAMNUAUEEAOZDI
    UCUAUDUFDAPQEARST $.
    $( [21-Mar-2005] $) $( [5-Jan-2005] $)

  ${
    $d x y A $.
    $( Ordinal exponentiation with zero exponent.  Definition 8.30 of
       [TakeutiZaring] p. 67. $)
    oe0 $p |- ( A e. On -> ( A ^o (/) ) = 1o ) $=
      ( vy vx con0 wcel c0 coe co c1o wceq opreq1 oe0m0 syl6eq adantl wa cv
      comu copab crdg cfv 0elon oevn0 mpanl2 1on elisseti rdg0 adantll oe0lem
      anidms ) ADEZAFGHZIJZUJULAAFJZULUJUMUKFFGHIAFFGKLMNUJFAEZULUJUJUNOUKFBPCP
      AQHJCBRZISTZIUJFDEUNUKUPJUACBAFUBUCIUOIDUDUEUFMUGUHUI $.
      $( [4-Jan-2005] $) $( [31-Dec-2004] $)

    $( Alternate value of ordinal exponentiation.  Compare ~ oev . $)
    oev2 $p |- ( ( A e. On /\ B e. On ) ->  ( A ^o B ) = ( ( rec ( { <.
 x , y >. | y = ( x .o A ) } , 1o ) ` B ) i^i ( ( V \ |^| A ) u. |^| B ) ) ) $=
      ( con0 wcel coe co cv comu wceq copab c1o crdg cfv cvv cint cdif cun cin
      c0 wa oe0m0 opreq12 fveq2 1on elisseti rdg0 syl6eq inteq int0 ineq12d
      inv1 a1i sylan9eqr 3eqtr4a opreq1 oe0m1 biimpa an1rs int0el ineq2d in0
      adantl eqtr4d oe0lem difeq2d difid uneq2d uncom un0 3eqtr3g oevn0 dif0
      unv syl6req eqtrd ) DEFZCDGHZDBIAICJHKABLZMNZOZPCQZRZDQZSZTZKCVRCUAKZUBZV
      SWBWETZWGWHVSWJKDWHDUAKZUBUAUAGHMVSWJUCCUADUAGUDWKWHWJMPTZMWKWBMWEPWKWBUA
      WAOMDUAWAUEMVTMEUFUGUHUIWKWEUAQZPDUAUJUKUIULWLMKWHMUMUNUOUPWIUADFZUBVSUAW
      JVRWNWHVSUAKWHVRWNUBVSUADGHZUACUADGUQVRWNWOUAKDURUSUOUTWNWJUAKWIWNWJWBUAT
      UAWNWEUAWBDVAVBWBVCUIVDVEVFWIWFWEWBWHWFWEKVRWHWEWDSZWEUASWFWEWHWDUAWEWHWD
      PPRUAWHWCPPWHWCWMPCUAUJUKUIVGPVHUIVIWEWDVJZWEVKVLVDVBVECEFVRUBZUACFZUBZVS
      WBWGABCDVMWTWGWBPTWBWTWFPWBWSWFPKWRWSWPWEPSWFPWSWDPWEWSWDPUARPWSWCUAPCVAV
      GPVNUIVIWQWEVOVLVDVBWBUMVPVQVF $.
      $( [21-Jul-2006] $) $( [2-Jan-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Addition with successor.  Definition 8.1 of [TakeutiZaring] p. 56. $)
    oasuc $p |- ( ( A e. On /\ B e. On ) ->
                ( A +o suc B ) = suc ( A +o B ) ) $=
      ( vy vx con0 wcel wa csuc cv wceq copab crdg cfv coa co rdgsuct adantl
      oav suceloni sylan2 fveq2d oprex sucex suceq fvopab syl5eqr 3eqtr4d ) AEF
      ZBEFZGZBHZCIDIZHZJDCKZALZMZBUOMZUNMZAUKNOZABNOZHZUIUPURJUHABUNPQUHUKEFUSU
      PJUIDCAUKRBSTUJUTUNMURVAUJUTUQUNDCABRUADCUTUMVAABNUBZUTVBUCULUTUDUEUFUG
      $.
      $( [3-May-1995] $)
  $}

  $( Addition with 1 is same as successor.  Proposition 4.34(a) of [Mendelson]
     p. 266. $)
  oa1suc $p |- ( A e. On ->
                ( A +o 1o ) = suc A ) $=
    ( con0 wcel c1o coa co c0 csuc wceq 0elon oasuc mpan2 df-1o opreq2i syl5eq
    oa0 suceq syl eqtrd ) ABCZADEFZAGEFZHZAHZTAGHZEFZUCUATGBCUFUCIJAGKLDUEAEMNO
    TUBAIUCUDIAPUBAQRS $.
    $( [29-Oct-1995] $)

  ${
    $d x y A $.  $d x y B $.
    $( Multiplication with successor.  Definition 8.15 of [TakeutiZaring]
       p. 62. $)
    omsuc $p |- ( ( A e. On /\ B e. On ) ->
                ( A .o suc B ) = ( ( A .o B ) +o A ) ) $=
      ( vy vx con0 wcel wa csuc cv coa co wceq copab c0 crdg cfv comu rdgsuct
      adantl omv suceloni sylan2 fveq2d oprex opreq1 fvopab syl5eqr 3eqtr4d )
      AEFZBEFZGZBHZCIDIZAJKZLDCMZNOZPZBUPPZUOPZAULQKZABQKZAJKZUJUQUSLUINBUORSUI
      ULEFUTUQLUJDCAULTBUAUBUKVAUOPUSVBUKVAURUODCABTUCDCVAUNVBABQUDVAAJUDUMVAAJ
      UEUFUGUH $.
      $( [17-Sep-1995] $)

    $( Ordinal exponentiation with a successor exponent.  Definition 8.30 of
       [TakeutiZaring] p. 67. $)
    oesuc $p |- ( ( A e. On /\ B e. On ) ->
                ( A ^o suc B ) = ( ( A ^o B ) .o A ) ) $=
      ( vy vx con0 wcel csuc coe co comu wceq c0 wa opreq1 oe0m1 biimpa
      suceloni word eloni 0elsuc syl sylanc sylan9eqr id opreq12d opreq2 c1o
      oe0m0 1on eqeltr syl6eqel adantl 0elon adantll oe0lem anidms om0 eqtr4d
      cv copab crdg cfv rdgsuct ad2antlr oevn0 sylanl2 fveq2d oprex fvopab
      syl5eqr 3eqtr4d ) BEFZABGZHIZABHIZAJIZKAVLALKZMVNLVPVQVLVNLVMHIZLALVMHNVM
      EFZLVMFZVRLKZVLVSVTWAVMOPBQZVLBRVTBSBTUAUBUCVQVLVPLBHIZLJIZLVQVOWCALJALBH
      NVQUDUEVLWCEFZWDLKVLWEVLWEBBLKZWEVLWFWCLLHIZEBLLHUFWGUGEUHUIUJUKULVLLBFZW
      EVLVLWHMWCLEVLWHWCLKBOPUMUKUNUOUPWCUQUAUCURAEFZVLMLAFZMZVMCUSDUSZAJIZKDCU
      TZUGVAZVBZBWOVBZWNVBZVNVPVLWPWRKWIWJUGBWNVCVDWIVSWJVNWPKVLDCAVMVEWBVFWKVO
      WNVBWRVPWKVOWQWNDCABVEVGDCVOWMVPABHVHVOAJVHWLVOAJNVIVJVKUO $.
      $( [21-Jul-2006] $) $( [31-Dec-2004] $)
  $}

  ${
    $d x y z A $.  $d x B $.
    $( Ordinal addition with a limit ordinal.  Definition 8.1 of
       [TakeutiZaring] p. 56. $)
    oalim $p |- ( ( A e. On /\ ( B e. C /\ Lim B ) ) ->
                ( A +o B ) = U_ x e. B ( A +o x ) ) $=
      ( vz vy con0 wcel wlim wa coa co cv ciun wceq csuc copab crdg cfv
      rdglim2a adantl wb oav onelon sylan2 anassrs iuneq2dv eqeq12d adantrr
      mpbird limelon pm3.27 jca ) BGHZCGHZCIZJZBCKLZACBAMZKLZNZOZCDHZUPJZUNUQJV
      BCEMFMPOFEQZBRZSZACUSVFSZNZOZUQVJUNABCGVETUAUNUOVBVJUBUPUNUOJZURVGVAVIFEB
      CUCVKACUTVHUNUOUSCHZUTVHOZUNUSGHVMUOVLJFEBUSUCCUSUDUEUFUGUHUIUJVDUOUPCDUK
      VCUPULUMUE $.
      $( [5-Aug-2004] $) $( [3-Aug-2004] $)

    $( Ordinal multiplication with a limit ordinal.  Definition 8.15 of
       [TakeutiZaring] p. 62. $)
    omlim $p |- ( ( A e. On /\ ( B e. C /\ Lim B ) ) ->
                ( A .o B ) = U_ x e. B ( A .o x ) ) $=
      ( vz vy con0 wcel wlim wa comu co cv ciun wceq coa copab c0 crdg cfv
      rdglim2a adantl wb omv onelon sylan2 anassrs iuneq2dv eqeq12d adantrr
      mpbird limelon pm3.27 jca ) BGHZCGHZCIZJZBCKLZACBAMZKLZNZOZCDHZUQJZUOURJV
      CCEMFMBPLOFEQZRSZTZACUTVGTZNZOZURVKUOARCGVFUAUBUOUPVCVKUCUQUOUPJZUSVHVBVJ
      FEBCUDVLACVAVIUOUPUTCHZVAVIOZUOUTGHVNUPVMJFEBUTUDCUTUEUFUGUHUIUJUKVEUPUQC
      DULVDUQUMUNUF $.
      $( [5-Aug-2004] $) $( [3-Aug-2004] $)

    $( Ordinal exponentiation with a limit exponent and nonzero mantissa.
       Definition 8.30 of [TakeutiZaring] p. 67. $)
    oelim $p |- ( ( ( A e. On /\ ( B e. C /\ Lim B ) ) /\ (/) e. A ) ->
                ( A ^o B ) = U_ x e. B ( A ^o x ) ) $=
      ( vz vy con0 wcel wlim wa c0 coe co cv ciun wceq comu copab c1o crdg cfv
      rdglim2a ad2antlr wb oevn0 onelon sylanl2 exp42 com34 imp41 iuneq2dv
      eqeq12d adantlrr mpbird limelon pm3.27 jca ) BGHZCGHZCIZJZKBHZBCLMZACBANZ
      LMZOZPZCDHZUTJZURVAJVBJVGCENFNBQMPFERZSTZUAZACVDVKUAZOZPZVAVOURVBASCGVJUB
      UCURUSVBVGVOUDUTURUSJVBJZVCVLVFVNFEBCUEVPACVEVMURUSVBVDCHZVEVMPZURUSVQVBV
      RURUSVQVBVRURVDGHVBVRUSVQJFEBVDUECVDUFUGUHUIUJUKULUMUNVIUSUTCDUOVHUTUPUQU
      G $.
      $( [5-Jan-2005] $) $( [1-Jan-2005] $)
  $}

  ${
    $d x y A $.  $d x B $.
    $( Closure law for ordinal addition.  Proposition 8.2 of [TakeutiZaring]
       p. 57. $)
    oacl $p |- ( ( A e. On /\ B e. On ) -> ( A +o B ) e. On ) $=
      ( vx vy con0 wcel coa co cv c0 csuc wceq opreq2 eleq1d oa0 ibir wi wa
      oasuc suceloni syl5bir expcom wlim wral ciun cvv visset oalim mpanr1
      oprex iunon tfinds3 impcom ) BEFAEFZABGHZEFZACIZGHZEFZAJGHZEFZADIZGHZEFZA
      VBKZGHZEFZUPCDBUNUQJLURUTEUQJAGMNUQVBLURVCEUQVBAGMNUQVELURVFEUQVEAGMNUQBL
      URUOEUQBAGMNUNVAUNUTAEAONPUNVBEFZVDVGQUNVHRZVGVCKZEFVDVIVFVJEAVBSNVCTUAUB
      UNUQUCZVDDUQUDZUSQUNVKRZUSDUQVCUEZEFVLVMURVNEUNUQUFFVKURVNLCUGZDAUQUFUHUI
      NDUQVCVOAVBGUJUKUAUBULUM $.
      $( [5-May-1995] $)

    $( Closure law for ordinal multiplication.  Proposition 8.16 of
       [TakeutiZaring] p. 57. $)
    omcl $p |- ( ( A e. On /\ B e. On ) -> ( A .o B ) e. On ) $=
      ( vx vy con0 wcel comu co cv c0 csuc wceq opreq2 eleq1d om0 0elon
      syl6eqel wi wa coa omsuc oacl syl5bir exp4b com24 pm2.43i com3r wlim
      wral ciun cvv visset omlim mpanr1 ancoms oprex iunon ex tfinds3 impcom )
      BEFAEFZABGHZEFZACIZGHZEFZAJGHZEFADIZGHZEFZAVHKZGHZEFZVCCDBVAVDJLVEVGEVDJA
      GMNVDVHLVEVIEVDVHAGMNVDVKLVEVLEVDVKAGMNVDBLVEVBEVDBAGMNVAVGJEAOPQVAVJVHEF
      ZVMVAVJVNVMRRVAVNVJVAVMVAVNVJVAVMVAVNSZVMVIATHZEFVJVASVOVLVPEAVHUANVIAUBU
      CUDUEUFUGVDUHZVAVJDVDUIZVFRVQVASZVFDVDVIUJZEFVRVSVEVTEVAVQVEVTLZVAVDUKFVQ
      WACULZDAVDUKUMUNUONDVDVIWBAVHGUPUQUCURUSUT $.
      $( [6-Aug-2004] $) $( [3-Aug-2004] $)

    $( Closure law for ordinal exponentiation. $)
    oecl $p |- ( ( A e. On /\ B e. On ) -> ( A ^o B ) e. On ) $=
      ( vx vy con0 wcel coe co c0 wceq opreq1 eleq1d opreq2 c1o oe0m0 1on
      eqeltr syl6eqel adantl wa oe0m1 biimpa 0elon adantll oe0lem anidms
      syl5bir impcom wi cv csuc oe0 adantr comu oesuc omcl exp4b com24 pm2.43i
      com3r adantrd wlim wral ciun cvv visset oelim mpanlr1 anasss an1s oprex
      iunon ex tfinds3 exp3a com12 imp31 ) BEFZABGHZEFZAAIJZVRVTWAVTIBGHZEFZVRW
      AVSWBEAIBGKLVRWCVRWCBBIJZWCVRWDWBIIGHZEBIIGMWENEOPQRSVRIBFZWCVRVRWFTWBIEV
      RWFWBIJBUAUBUCRUDUEUFUGUHAEFZVRIAFZVTVRWGWHVTUIVRWGWHVTACUJZGHZEFZAIGHZEF
      ZADUJZGHZEFZAWNUKZGHZEFZVTCDBWGWHTZWIIJWJWLEWIIAGMLWIWNJWJWOEWIWNAGMLWIWQ
      JWJWREWIWQAGMLWIBJWJVSEWIBAGMLWGWMWHWGWLNEAULPRUMWNEFZWGWPWSUIWHWGWPXAWSW
      GWPXAWSUIUIWGXAWPWGWSWGXAWPWGWSWGXATZWSWOAUNHZEFWPWGTXBWRXCEAWNUOLWOAUPUG
      UQURUSUTVAWIVBZWTWPDWIVCZWKUIXDWTTZWKDWIWOVDZEFXEXFWJXGEWGXDWHWJXGJZWGXDW
      HXHWGWIVEFXDWHXHCVFZDAWIVEVGVHVIVJLDWIWOXIAWNGVKVLUGVMVNVOVPVQUE $.
      $( [21-Jul-2006] $) $( [1-Jan-2005] $)
  $}

  ${
    $d x y $.  $d x A $.
    $( Ordinal addition with zero.  Proposition 8.3 of [TakeutiZaring]
       p. 57. $)
    oa0r $p |- ( A e. On -> ( (/) +o A ) = A ) $=
      ( vx vy c0 cv coa co wceq csuc opreq2 id eqeq12d con0 wcel 0elon oa0
      ax-mp oasuc mpan suceq sylan9eq ex wlim ciun cuni wral cvv visset wa
      oalim limuni iuneq2 uniiun syl6eqr syl5bir tfinds ) DBEZFGZUQHZDDFGZDHZDC
      EZFGZVBHZDVBIZFGZVEHZDAFGZAHBCAUQDHZURUTUQDUQDDFJVIKLUQVBHZURVCUQVBUQVBDF
      JVJKLUQVEHZURVFUQVEUQVEDFJVKKLUQAHZURVHUQAUQADFJVLKLDMNZVAODPQVBMNZVDVGVN
      VDVFVCIZVEVMVNVFVOHODVBRSVCVBTUAUBUQUCZUSCUQVCUDZUQUEZHVDCUQUFZVPURVQUQVR
      UQUGNZVPURVQHZBUHVMVTVPUIWAOCDUQUGUJSSUQUKLVSVQCUQVBUDVRCUQVCVBULCUQUMUNU
      OUP $.
      $( [5-May-1995] $)
  $}

  ${
    $d x y A $.
    $( Ordinal multiplication with zero.  Proposition 8.18(1) of
       [TakeutiZaring] p. 63. $)
    om0r $p |- ( A e. On -> ( (/) .o A ) = (/) ) $=
      ( vx vy c0 cv comu co wceq csuc opreq2 eqeq1d con0 wcel 0elon om0 ax-mp
      coa omsuc mpan oa0 eqcomi a1i eqeq12d opreq1 syl5bir wlim ciun wral cvv
      visset wa omlim iuneq2 iun0 syl6eq tfinds ) DBEZFGZDHZDDFGZDHZDCEZFGZDHZD
      VBIZFGZDHZDAFGZDHBCAUQDHURUTDUQDDFJKUQVBHURVCDUQVBDFJKUQVEHURVFDUQVEDFJKU
      QAHURVHDUQADFJKDLMZVANDOPVBLMZVGVCDQGZDDQGZHVDVJVFVKDVLVIVJVFVKHNDVBRSDVL
      HVJVLDVIVLDHNDTPUAUBUCVCDDQUDUEUQUFZUSCUQVCUGZDHVDCUQUHZVMURVNDUQUIMZVMUR
      VNHZBUJVIVPVMUKVQNCDUQUIULSSKVOVNCUQDUGDCUQVCDUMCUQUNUOUEUP $.
      $( [5-Aug-2004] $) $( [3-Aug-2004] $)
  $}

  $( 1 + 1 = 2 for ordinal numbers. $)
  o1p1e2 $p |- ( 1o +o 1o ) = 2o $=
    ( c1o coa co csuc c2o con0 wcel wceq 1on oa1suc ax-mp df-2o eqtr4 ) AABCZAD
    ZEAFGNOHIAJKLM $.
    $( [19-Feb-2004] $) $( [18-Feb-2004] $)

  $( Ordinal multiplication with 1.  Proposition 8.18(2) of [TakeutiZaring]
     p. 63. $)
  om1 $p |- ( A e. On -> ( A .o 1o ) = A ) $=
    ( con0 wcel c1o comu co c0 coa csuc wceq 0elon omsuc mpan2 df-1o opreq2i
    syl5eq om0 opreq1d oa0r 3eqtrd ) ABCZADEFZAGEFZAHFZGAHFAUAAGIZEFZUDUBUAGBCU
    FUDJKAGLMDUEAENOPUAUCGAHAQRAST $.
    $( [29-Oct-1995] $)

  ${
    $d x y $.  $d x A $.
    $( Ordinal multiplication with 1.  Proposition 8.18(2) of [TakeutiZaring]
       p. 63. $)
    om1r $p |- ( A e. On -> ( 1o .o A ) = A ) $=
      ( vx vy c1o cv comu co wceq c0 csuc opreq2 id eqeq12d con0 wcel 1on om0
      ax-mp wa coa omsuc mpan opreq1 sylan9eq oa1suc adantr eqtrd ex wlim ciun
      cuni wral cvv visset omlim limuni iuneq2 uniiun syl6eqr syl5bir tfinds )
      DBEZFGZVBHZDIFGZIHZDCEZFGZVGHZDVGJZFGZVJHZDAFGZAHBCAVBIHZVCVEVBIVBIDFKVNL
      MVBVGHZVCVHVBVGVBVGDFKVOLMVBVJHZVCVKVBVJVBVJDFKVPLMVBAHZVCVMVBAVBADFKVQLM
      DNOZVFPDQRVGNOZVIVLVSVISVKVGDTGZVJVSVIVKVHDTGZVTVRVSVKWAHPDVGUAUBVHVGDTUC
      UDVSVTVJHVIVGUEUFUGUHVBUIZVDCVBVHUJZVBUKZHVICVBULZWBVCWCVBWDVBUMOZWBVCWCH
      ZBUNVRWFWBSWGPCDVBUMUOUBUBVBUPMWEWCCVBVGUJWDCVBVHVGUQCVBURUSUTVA $.
      $( [7-Aug-2004] $) $( [3-Aug-2004] $)
  $}

  $( Ordinal exponentiation with an exponent of 1. $)
  oe1 $p |- ( A e. On -> ( A ^o 1o ) = A ) $=
    ( con0 wcel c1o coe co c0 comu csuc wceq 0elon oesuc mpan2 df-1o opreq2i
    syl5eq oe0 opreq1d om1r 3eqtrd ) ABCZADEFZAGEFZAHFZDAHFAUAAGIZEFZUDUBUAGBCU
    FUDJKAGLMDUEAENOPUAUCDAHAQRAST $.
    $( [8-Jan-2005] $) $( [2-Jan-2005] $)

  ${
    $d x y $.  $d x A $.
    $( Ordinal exponentiation with a mantissa of 1.  Proposition 8.31(3) of
       [TakeutiZaring] p. 67. $)
    oe1m $p |- ( A e. On -> ( 1o ^o A ) = 1o ) $=
      ( vx vy c1o cv coe co wceq c0 csuc opreq2 eqeq1d con0 wcel 1on oe0 ax-mp
      comu oesuc mpan opreq1 om1 syl6eq sylan9eq ex wlim ciun wral cvv visset
      wa 0lt1o oelim mpan2 wne 0ellim ne0i iunconst 3syl eqeq2d bitr4d iuneq2
      syl5bir tfinds ) DBEZFGZDHZDIFGZDHZDCEZFGZDHZDVJJZFGZDHZDAFGZDHBCAVEIHVFV
      HDVEIDFKLVEVJHVFVKDVEVJDFKLVEVMHVFVNDVEVMDFKLVEAHVFVPDVEADFKLDMNZVIODPQVJ
      MNZVLVOVRVLVNVKDRGZDVQVRVNVSHODVJSTVLVSDDRGZDVKDDRUAVQVTDHODUBQUCUDUEVEUF
      ZVGCVEVKUGZCVEDUGZHZVLCVEUHWAVGWBDHWDWAVFWBDVEUINZWAVFWBHZBUJVQWEWAUKZWFO
      VQWGUKIDNWFULCDVEUIUMUNTTLWAWCDWBWAIVENVEIUOWCDHVEUPVEIUQCVEDURUSUTVACVEV
      KDVBVCVD $.
      $( [8-Jan-2005] $) $( [2-Jan-2005] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Ordering property of ordinal addition.  Proposition 8.4 of
       [TakeutiZaring] p. 58. $)
    oaordi $p |- ( ( B e. On /\ C e. On ) ->
                 ( A e. B -> ( C +o A ) e. ( C +o B ) ) ) $=
      ( vx vy con0 wcel coa co wi wa onelon adantll csuc wss word eloni
      ordsucss syl ad2antlr cv wceq opreq2 sseq2d imbi2d ssid a1i oasuc ancoms
      sssucid sstr2 mpi syl5bir ex ad2antrr a2d wlim wral ciun sucelon sucssel
      sylbir limsuc biimpd sylan9r imp ssiun2s adantr cvv visset oalim mpanr1
      adantlr sseqtr4d a1d tfindsg exp31 syl5ib com4r imp31 syld sseq1d oprex
      ax-mp syl6bi an1rs mpdan ) CFGZBFGZABGZCAHIZCBHIZGZJWHWIKZWJWMWNWJKAFGZWM
      WIWJWOWHBALMWNWOWJWMWNWOKZWJWMWPWJCANZHIZWLOZWMWPWJWQBOZWSWIWJWTJZWHWOWIB
      PXABQABRSTWHWIWOWTWSJWIWOWTWHWSWIWQFGZWTWHWSJZJWOWIXBWTXCWHWRCDUAZHIZOZJZ
      WHWRWROZJZWHWRCEUAZHIZOZJZWHWRCXJNZHIZOZJXCDEBWQXDWQUBZXFXHWHXQXEWRWRXDWQ
      CHUCUDUEXDXJUBZXFXLWHXRXEXKWRXDXJCHUCUDUEXDXNUBZXFXPWHXSXEXOWRXDXNCHUCUDU
      EXDBUBZXFWSWHXTXEWLWRXDBCHUCUDUEXIXBXHWHWRUFUGUGXJFGZXBKWQXJOZKWHXLXPYAWH
      XLXPJZJXBYBYAWHYCYAWHKZXPWRXKNZOZXLYDXOYEWRWHYAXOYEUBCXJUHUIUDXLXKYEOYFXK
      UJWRXKYEUKULUMUNUOUPXDUQZXBKZWQXDOZKZXGYBXMJEXDURYJWHXFYJWHKWREXDXKUSZXEY
      JWRYKOZWHYJWQXDGZYLYHYIYMXBYIAXDGZYGYMXBWOYIYNJAUTZAXDFVAVBYGYNYMXDAVCVDV
      EVFEXDXKWQWRXJWQCHUCVGSVHYHWHXEYKUBZYIYGWHYPXBWHYGYPWHXDVIGYGYPDVJECXDVIV
      KVLUIVMVMVNUNVOVPVQYOVRVSVTWAWHWOWSWMJWIWHWOKZWSWKNZWLOZWMYQWRYRWLCAUHWBW
      KVIGYSWMJCAHWCWKWLVIVAWDWEVMWAVFWFWGUNUI $.
      $( [7-Dec-2004] $) $( [5-Dec-2004] $)
  $}

  $( Ordering property of ordinal addition.  Proposition 8.4 of [TakeutiZaring]
     p. 58 and its converse. $)
  oaord $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( A e. B <-> ( C +o A ) e. ( C +o B ) ) ) $=
    ( con0 wcel w3a coa co wi oaordi 3adant1 wceq wo wn opreq2 a1i 3adant2
    orim12d con3d word wa wb df-3an ancom anandi 3bitr oacl eloni syl anim12i
    sylbi ordtri2 3simpa 3syl 3imtr4d impbid ) ADEZBDEZCDEZFZABEZCAGHZCBGHZEZUR
    USVAVDIUQABCJKUTVBVCLZVCVBEZMZNZABLZBAEZMZNZVDVAUTVKVGUTVIVEVJVFVIVEIUTABCG
    OPUQUSVJVFIURBACJQRSUTVBTZVCTZUAZVDVHUBUTUSUQUAZUSURUAZUAZVOUTUQURUAZUSUAUS
    VSUAVRUQURUSUCVSUSUDUSUQURUEUFVPVMVQVNVPVBDEVMCAUGVBUHUIVQVCDEVNCBUGVCUHUIU
    JUKVBVCULUIUTVSATZBTZUAVAVLUBUQURUSUMUQVTURWAAUHBUHUJABULUNUOUP $.
    $( [7-Dec-2004] $) $( [5-Dec-2004] $)

  $( Left cancellation law for ordinal addition.  Corollary 8.5 of
     [TakeutiZaring] p. 58. $)
  oacan $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                   ( ( A +o B ) = ( A +o C ) <-> B = C ) ) $=
    ( con0 wcel w3a wo wn coa co wceq wb oaord 3comr 3com13 orbi12d negbid
    word ordtri3 eloni syl2an 3adant1 wa oacl syl 3impdi 3bitr4rd ) ADEZBDEZCDE
    ZFZBCEZCBEZGZHZABIJZACIJZEZUQUPEZGZHZBCKZUPUQKZUKUNUTUKULURUMUSUIUJUHULURLB
    CAMNUJUIUHUMUSLCBAMOPQUIUJVBUOLZUHBRCRVDUIUJBCSBTCTUAUBUHUIUJVCVALZUPRZUQRZ
    VEUHUIUCZUHUJUCZUPUQSVHUPDEVFABUDUPTUEVIUQDEVGACUDUQTUEUAUFUG $.
    $( [7-Dec-2004] $) $( [5-Dec-2004] $)

  $( Weak ordering property of ordinal addition. $)
  oaword $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( A (_ B <-> ( C +o A ) (_ ( C +o B ) ) ) $=
    ( con0 wcel w3a wceq wo coa co wss oaord wb oacan 3coml bicomd orbi12d
    onsseleq 3adant3 wa oacl anim12i anandis ancoms 3impa syl 3bitr4d ) ADEZBDE
    ZCDEZFZABEZABGZHZCAIJZCBIJZEZUOUPGZHZABKZUOUPKZUKULUQUMURABCLUKURUMUJUHUIUR
    UMMCABNOPQUHUIUTUNMUJABRSUKUODEZUPDEZTZVAUSMUHUIUJVDUJUHUITVDUJUHUIVDUJUHTV
    BUJUITVCCAUACBUAUBUCUDUEUOUPRUFUG $.
    $( [8-Dec-2004] $) $( [6-Dec-2004] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Weak ordering property of ordinal addition.  Proposition 8.7 of
       [TakeutiZaring] p. 59. $)
    oawordri $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( A (_ B -> ( A +o C ) (_ ( B +o C ) ) ) $=
      ( vx vy con0 wcel wss coa co wi cv c0 csuc wa wceq opreq2 sseq12d oa0
      adantr adantl biimpar wb word ordsucsssuc oacl eloni syl syl2an anandirs
      oasuc adantlr adantll bitr4d biimpd expcom adantrd wlim wral cvv visset
      ciun oalim ss2iun syl5bir mpanr1 tfinds3 exp4c com3l 3imp ) AFGZBFGZCFGZA
      BHZACIJZBCIJZHZKZVMVKVLVRVMVKVLVNVQADLZIJZBVSIJZHZAMIJZBMIJZHZAELZIJZBWFI
      JZHZAWFNZIJZBWJIJZHZVQDECVKVLOZVNOVSMPVTWCWAWDVSMAIQVSMBIQRVSWFPVTWGWAWHV
      SWFAIQVSWFBIQRVSWJPVTWKWAWLVSWJAIQVSWJBIQRVSCPVTVOWAVPVSCAIQVSCBIQRWNWEVN
      WNWCAWDBVKWCAPVLASTVLWDBPVKBSUARUBWFFGZWNWIWMKZVNWNWOWPWNWOOZWIWMWQWIWGNZ
      WHNZHZWMVKVLWOWIWTUCZWGUDZWHUDZXAVKWOOZVLWOOZWGWHUEXDWGFGXBAWFUFWGUGUHXEW
      HFGXCBWFUFWHUGUHUIUJWQWKWRWLWSVKWOWKWRPVLAWFUKULVLWOWLWSPVKBWFUKUMRUNUOUP
      UQVSURZWNWIEVSUSZWBKZVNWNXFXHWNVSUTGZXFXHDVAWNXIXFOZOZWBEVSWGVBZEVSWHVBZH
      XGXKVTXLWAXMVKXJVTXLPVLEAVSUTVCULVLXJWAXMPVKEBVSUTVCUMREVSWGWHVDVEVFUPUQV
      GVHVIVJ $.
      $( [12-Dec-2004] $) $( [7-Dec-2004] $)
  $}

  $( An ordinal is less than its sum with a non-zero ordinal.  Theorem 18 of
     [Suppes] p. 209 and its converse. $)
  oaord1 $p |- ( ( A e. On /\ B e. On ) ->
               ( (/) e. B <-> A e. ( A +o B ) ) ) $=
    ( con0 wcel c0 coa co wb wa 0elon oaord mp3an1 wceq oa0 adantl eleq1d
    bitrd ancoms ) BCDZACDZEBDZAABFGZDZHSTIZUAAEFGZUBDZUCECDSTUAUFHJEBAKLUDUEAU
    BTUEAMSANOPQR $.
    $( [11-Dec-2004] $) $( [6-Dec-2004] $)

  $( An ordinal is less than or equal to its sum with another.  Part of
     Exercise 5 of [TakeutiZaring] p. 62.  (For the other part see
     ~ oaord1 .) $)
  oaword1 $p |- ( ( A e. On /\ B e. On ) -> A (_ ( A +o B ) ) $=
    ( con0 wcel wa c0 coa co wceq oa0 adantr wss 0ss wb 0elon oaword 3com13
    mp3an3 mpbii eqsstr3d ) ACDZBCDZEZAAFGHZABGHZUAUDAIUBAJKUCFBLZUDUELZBMUAUBF
    CDZUFUGNZOUHUBUAUIFBAPQRST $.
    $( [8-Dec-2004] $) $( [6-Dec-2004] $)

  $( An ordinal is less than or equal to its sum with another.  Theorem 21 of
     [Suppes] p. 209. $)
  oaword2 $p |- ( ( A e. On /\ B e. On ) -> A (_ ( B +o A ) ) $=
    ( con0 wcel coa co wss wa c0 0ss wi 0elon oawordri mp3an1 wceq oa0r adantl
    sseq1d sylibd mpi ancoms ) BCDZACDZABAEFZGZUBUCHZIBGZUEBJUFUGIAEFZUDGZUEICD
    UBUCUGUIKLIBAMNUFUHAUDUCUHAOUBAPQRSTUA $.
    $( [14-Dec-2004] $) $( [7-Dec-2004] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x z S $.
    oawordeulem.1 $e |- A e. On $.
    oawordeulem.2 $e |- B e. On $.
    oawordeulem.3 $e |- S = { y e. On | B (_ ( A +o y ) } $.
    $( Lemma for ~ oawordex . $)
    oawordeulem $p |- ( A (_ B -> E! x e. On ( A +o x ) = B ) $=
      ( vz wss cv coa co wceq con0 wrex wa wi wral wreu cint wcel c0 csuc cvv
      wlim w3o wne crab ssrab2 eqsstr opreq2 sseq2d elrab2 oaword2 mp2an
      mpbir2an ne0i ax-mp oninton onzsl mpbi oa0 syl6eq sseq1d biimprd oasuc
      mpan sylan9eqr visset sucid eleq2 mpbiri onel wn onnminsb inteqi eleq2i
      syl5ib wb oacl ontri1 syl con2bid sylibrd mpcom word onord ordsucss 3syl
      adantl eqsstrd r19.23aiva a1d ciun iunss onelss mprgbir oalim 3jaoi
      rcla4ev ax-17 hbrab1 hbint hbopr hbss onminsb opreq2i sseqtr4 jctir eqss
      sylibr jctil eqeq1d oacan mp3an1 eqtr3t syl5bi rgen2a reu4 ) CDJZCAKZLMZD
      NZAOPZYDCBKZLMZDNZQZYBYFNZRZBOSAOSZQYDAOTYAYEYLYAEUAZOUBZCYMLMZDNZQYEYAYP
      YNYAYODJZDYOJZQYPYAYQYRYMUCNZYMIKZUDZNZIOPZYMUEUBYMUFQZUGZYAYQRZYNUUEEOJE
      UCUHZYNEDYGJZBOUIZOHUUHBOUJUKDEUBZUUGUUJDOUBZDCDLMZJZUUHUUMBDOEYFDNYGUULD
      YFDCLULUMZHUNGUUKCOUBZUUMGFDCUOUPZUQEDURUSEUTUPZIYMVAVBYSUUFUUCUUDYSYQYAY
      SYOCDYSYOCUCLMZCYMUCCLULUUOUURCNFCVCUSVDVEVFUUCYQYAUUBYQIOYTOUBZUUBQYOCYT
      LMZUDZDUUBUUSYOCUUALMZUVAYMUUACLULUUOUUSUVBUVANFCYTVGVHVIUUBUVADJZUUSUUBY
      TYMUBZUUTDUBZUVCUUBUVDYTUUAUBYTIVJVKYMUUAYTVLVMUUSUVDUVEYMYTUUQVNUUSUVDDU
      UTJZVOZUVEUUSYTUUIUAZUBUVGUVDUUHUVFBYTYFYTNYGUUTDYFYTCLULUMVPYMUVHYTEUUIH
      VQZVRVSUUSUVFUVEUUSUUTOUBZUVFUVEVOVTZUUOUUSUVJFCYTWAVHUUKUVJUVKGDUUTWBVHW
      CWDWEWFZDWGUVEUVCRDGWHUUTDWIUSWJWKWLWMWNUUDYQYAUUDYQIYMUUTWOZDJZUVNUUTDJZ
      IYMIYMUUTDWPUVDUVEUVOUVLDUUTGWQWCWRUUDYOUVMDUUOUUDYOUVMNFICYMUEWSVHVEVMWN
      WTUSDCUVHLMZYOUUHBOPZDUVPJZUUKUUMUVQGUUPUUHUUMBDOUUNXAUPUUHUVRBBIDUVPYTDU
      BBXBBICUVHLYTCUBBXBYTLUBBXBBIUUIUUHBIOXCXDXEXFYFUVHNYGUVPDYFUVHCLULUMXGUS
      YMUVHCLUVIXHXIXJYODXKXLUUQXMYDYPAYMOYBYMNYCYODYBYMCLULXNXAWCYKABOYBOUBZYF
      OUBZQYCYGNZYJYIUUOUVSUVTUWAYJVTFCYBYFXOXPYCYGDXQXRXSXJYDYHABOYJYCYGDYBYFC
      LULXNXTXL $.
      $( [14-Dec-2004] $) $( [11-Dec-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Existence theorem for weak ordering of ordinal sum.  Proposition 8.8 of
       [TakeutiZaring] p. 59. $)
    oawordeu $p |- ( ( ( A e. On /\ B e. On ) /\ A (_ B ) ->
                  E! x e. On ( A +o x ) = B ) $=
      ( vy con0 wcel wa wss cv coa co wceq wreu wi c0 cif sseq1 opreq1 eqeq1d
      reubidv imbi12d sseq2 eqeq2 crab 0elon elimel eqid oawordeulem dedth2h
      imp ) BEFZCEFZGBCHZBAIZJKZCLZAEMZUKULUMUQNUKBOPZCHZURUNJKZCLZAEMZNURULCOP
      ZHZUTVCLZAEMZNBCOOBURLZUMUSUQVBBURCQVGUPVAAEVGUOUTCBURUNJRSTUACVCLZUSVDVB
      VFCVCURUBVHVAVEAECVCUTUCTUAADURVCVCURDIJKHDEUDZBOEUEUFCOEUEUFVIUGUHUIUJ
      $.
      $( [14-Dec-2004] $) $( [11-Dec-2004] $)

    $( Existence theorem for weak ordering of ordinal sum. $)
    oawordexr $p |- ( ( A e. On /\ E. x e. On ( A +o x ) = B ) -> A (_ B ) $=
      ( con0 wcel cv coa co wceq wrex wss wa sseq2 oaword1 syl5cbi r19.23adva
      imp ) BDEZBAFZGHZCIZADJBCKZRUAUBADUABTKUBRSDELTCBMBSNOPQ $.
      $( [14-Dec-2004] $) $( [12-Dec-2004] $)

    $( Existence theorem for weak ordering of ordinal sum.  Proposition 8.8 of
       [TakeutiZaring] p. 59 and its converse.  See ~ oawordeu for
       uniqueness. $)
    oawordex $p |- ( ( A e. On /\ B e. On ) ->
                  ( A (_ B <-> E. x e. On ( A +o x ) = B ) ) $=
      ( con0 wcel wa wss cv coa co wceq wrex wreu oawordeu ex reurex syl6 wi
      oawordexr adantr impbid ) BDEZCDEZFZBCGZBAHIJCKZADLZUDUEUFADMZUGUDUEUHABC
      NOUFADPQUBUGUERUCUBUGUEABCSOTUA $.
      $( [14-Dec-2004] $) $( [12-Dec-2004] $)

    $( Existence theorem for ordering of ordinal sum.  Similar to Proposition
       4.34(f) of [Mendelson] p. 266 and its converse. $)
    oaordex $p |- ( ( A e. On /\ B e. On ) ->
                  ( A e. B <-> E. x e. On ( (/) e. x /\ ( A +o x ) = B ) ) ) $=
      ( con0 wcel wa c0 cv coa co wceq wrex wss wi onelsst adantl oawordex
      sylibd oaord1 eleq2 sylan9bb biimprcd exp4c com12 imp4b pm3.27 a1i jcad
      exp3a r19.22dv ex adantr mpdd biimpd exp31 com34 imp4a r19.23adv impbid
      ) BDEZCDEZFZBCEZGAHZEZBVDIJZCKZFZADLZVBVCVGADLZVIVBVCBCMZVJVAVCVKNUTCBOPA
      BCQRUTVCVJVINZNVAUTVCVLUTVCFZVGVHADVMVDDEZVGVHVMVNVGFZVEVGUTVCVNVGVEVCUTV
      NVGVENNVCUTVNVGVEUTVNFZVGFZVEVCVPVEBVFEVGVCBVDSVFCBTUAZUBUCUDUEVOVGNVMVNV
      GUFUGUHUIUJUKULUMUTVIVCNVAUTVHVCADUTVNVEVGVCUTVNVGVEVCUTVNVGVEVCNVQVEVCVR
      UNUOUPUQURULUS $.
      $( [14-Dec-2004] $) $( [12-Dec-2004] $)
  $}

  $( An ordinal sum is zero iff both of its arguments are zero. $)
  oa00 $p |- ( ( A e. On /\ B e. On ) ->
             ( ( A +o B ) = (/) <-> ( A = (/) /\ B = (/) ) ) ) $=
    ( con0 wcel wa coa co c0 wceq wne wb on0eln0 adantr oaword1 sseld sylbird
    ne0i syl6 necon4d adantl 0elon oaord mp3an1 ancoms bitr3d syl6bi jcad
    opreq12 oa0 ax-mp syl6eq impbid1 ) ACDZBCDZEZABFGZHIZAHIZBHIZEZUOUQURUSUOAH
    UPHUOAHJZHUPDZUPHJZUOVAHADZVBUMVDVAKUNALMUOAUPHABNOPUPHQRSUOBHUPHUOBHJZAHFG
    ZUPDZVCUOHBDZVEVGUNVHVEKUMBLTUNUMVHVGKZHCDZUNUMVIUAHBAUBUCUDUEUPVFQUFSUGUTU
    PHHFGZHAHBHFUHVJVKHIUAHUIUJUKUL $.
    $( [25-Dec-2004] $) $( [6-Dec-2004] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( The ordinal sum with a limit ordinal is a limit ordinal.  Proposition
       8.11 of [TakeutiZaring] p. 60. $)
    oalimcl $p |- ( ( A e. On /\ ( B e. C /\ Lim B ) ) -> Lim ( A +o B ) ) $=
      ( vy vx con0 wcel wlim wa coa co word c0 wceq cv csuc wrex wo wn oacl
      eloni syl limelon sylan2 0ellim n0i ad2antll wi oa00 pm3.27 syl6bi con3d
      mpd ciun eqeq1 oalim syl5bi imp visset sucid syl5eleq eliun sylib onelon
      sylan onnbtwn imnan sylibr com12 adantl ad2antrl wb ordsucelsuc 3syl
      oasuc eleq2d bitr4d eleq1 bicomd sylan9bbr oaord 3expa adantr sucelon
      jca ancoms biimpd exp32 com4l imp32 mtod exp44 r19.23adv expcom pm2.01d
      nrexdv ioran dflim3 ) AFGZBCGZBHZIZIZABJKZLZXDMNZXDDOZPZNZDFQZRSZIXDHXCXE
      XKWSBFGZXEXBWSXLIZXDFGXEABTXDUAUBBCUCZUDXCXFSZXJSZIXKXCXOXPXCBMNZSZXOXAXR
      WSWTXAMBGXRBUEBMUFUBUGWSXLXRXOUHXBXMXFXQXMXFAMNZXQIXQABUIXSXQUJUKULXNUDUM
      XCXIDFXCXISZXGFGXCXIXIXCXTXIXCIZXGAEOZJKZGZEBQZXTYAXGEBYCUNZGYEYAXHYFXGXI
      XCXHYFNZXIXDYFNYGXCXDXHYFUOEABCUPUQURXGDUSUTVAEXGBYCVBVCXCYEXTUHXIXCYDXTE
      BWSXBYBBGZYDXTUHUHWSXBYHYDXTWSXBYHIZYDIIXIBYBPZGZYIYKSZWSYDYIYBFGZYLXLYHY
      MXBBYBVDXNVEZYHYMYLUHXBYMYHYLYMYHYKISYHYLUHYBBVFYHYKVGVHVIVJUMVKWSYIYDXIY
      KUHXIWSYIYDYKXIWSYIYDYKUHXIWSYIIZIZYDYKYPYDXDAYJJKZGZYKYOYDXHYQGZXIYRWSYM
      YDYSVLYIWSYMIZYDXHYCPZGZYSYTYCFGYCLYDUUBVLAYBTYCUAXGYCVMVNYTYQUUAXHAYBVOV
      PVQYNUDXIYRYSXDXHYQVRVSVTYOYKYRVLZXIYIWSUUCXLYJFGZIWSUUCYIXLUUDWSUUCBYJAW
      AWBYIXLUUDXBXLYHXNWCYIYMUUDYNYBWDVCWEVEWFVJVQWGWHWIWJWKWLURWMVJUMWNWOWCWP
      WEXFXJWQVHWEDXDWRVH $.
      $( [25-Dec-2004] $) $( [8-Dec-2004] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x C $.
    $( Ordinal addition is associative.  Theorem 25 of [Suppes] p. 211. $)
    oaass $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( ( A +o B ) +o C ) = ( A +o ( B +o C ) ) ) $=
      ( vx vy vz vw con0 wcel coa co wceq wa cv c0 csuc opreq2 opreq2d eqeq12d
      oacl oa0 syl adantl eqtr4d wi oasuc sylan sylan2 eqtrd anassrs suceq
      syl5bir expcom wlim wral ciun iuneq2 cvv visset oalim mpanr1 ancoms
      adantr oprex oalimcl wss wrex limelon mpan onelon ex adantld wo word
      ordtri2or eloni syl2an ad2ant2l sseq2d rcla4ev 0ellim onelsst sylibrd
      imp exp32 adantrl adantrr wb oawordex oaord 3expb eleq1 sylan9bb an1rs
      biimpar eqimss2 ad2antrr jca anasss r19.22dv2 sylbid jaod mpd exp45
      imp32 oaword pm3.27 ad2antlr com12 imp31 adantll adantlr simpll syl3anc
      rexbidva mpbid mpdd exp4a r19.21aiv iunss2 oaordi anim1d eleq2d syl6
      exp3a r19.23adv eliun 3imtr4g ssrdv eqssd an1s 3eqtr4d exp31 tfinds3
      3impia ) AHIZBHIZCHIZABJKZCJKZABCJKZJKZLZYRYPYQMZUUCYSDNZJKZABUUEJKZJKZLZ
      YSOJKZABOJKZJKZLYSENZJKZABUUMJKZJKZLZYSUUMPZJKZABUURJKZJKZLZUUCDECUUDUUEO
      LZUUFUUJUUHUULUUEOYSJQUVCUUGUUKAJUUEOBJQRSUUEUUMLZUUFUUNUUHUUPUUEUUMYSJQU
      VDUUGUUOAJUUEUUMBJQRSUUEUURLZUUFUUSUUHUVAUUEUURYSJQUVEUUGUUTAJUUEUURBJQRS
      UUECLZUUFYTUUHUUBUUECYSJQUVFUUGUUAAJUUECBJQRSUUDUUJYSUULUUDYSHIZUUJYSLABT
      ZYSUAUBYQUULYSLYPYQUUKBAJBUAZRUCUDUUDUUMHIZUUQUVBUEUUDUVJMZUVBUUNPZUUPPZL
      UUQUVKUUSUVLUVAUVMUVGUVJUUSUVLLUUDYSUUMUFUVHUGYPYQUVJUVAUVMLYPYQUVJMZMUVA
      AUUOPZJKZUVMUVNUVAUVPLYPUVNUUTUVOAJBUUMUFRUCYPUUOHIZUVPUVMLUVNAUUOUFBUUMT
      ZUHUIUJSUUNUUPUKULUMUUEUNZUUDUUQEUUEUOZUUIUVSUUDMZUVTMEUUEUUNUPZEUUEUUPUP
      ZUUFUUHUVTUWBUWCLUWAEUUEUUNUUPUQUCUWAUUFUWBLZUVTUUDUVSUWDUVGUVSUWDUUDUVGU
      UEURIZUVSUWDDUSZEYSUUEURUTVAUVHUGVBVCUWAUUHUWCLZUVTYPUVSYQUWGYPUVSYQMZMZU
      UHFUUGAFNZJKZUPZUWCYPUUGUNZUUHUWLLZUWHYPUUGURIUWMUWNBUUEJVDFAUUGURUTVAYQU
      VSUWMYQUWEUVSUWMUWFBUUEURVEVAVBUHUWIUWLUWCUWHYPUWLUWCVFZUWHYPMZUWKUUPVFZE
      UUEVGZFUUGUOUWOUWPUWRFUUGUVSYQYPUWJUUGIZUWRUEUVSYQYPUWSUWRUVSUUEHIZYQYPUW
      SMZUWRUEZUEUWEUVSUWTUWFUUEURVHVIZUVSUWTYQUXBUVSUWTYQMZMZUXAUWJHIZUWRUXDUX
      AUXFUEUVSUXDUWSUXFYPUXDUUGHIZUWSUXFUEYQUWTUXGBUUETVBUXGUWSUXFUUGUWJVJVKUB
      VLUCUXEUXAUXFUWRUXEUXAUXFMZMZUWJUUOVFZEUUEVGZUWRUXEUXAUXFUXKUXEUWSUXFUXKU
      EZYPUVSUXDUWSUXLUEUVSUXDUWSUXFUXKUVSUXDUWSUXFMZMZMZUWJBIZBUWJVFZVMZUXKUXN
      UXRUVSYQUXFUXRUWTUWSBVNZUWJVNZUXRYQUXFUXTUXSUXRUWJBVOVBBVPUWJVPVQVRUCUXOU
      XPUXKUXQUVSUXDUXPUXKUEZUXMUVSYQUYAUWTUVSYQUYAUVSYQUXPUXKOUUEIUWJUUKVFZUXK
      UVSYQUXPMUXJUYBEOUUEUUMOLUUOUUKUWJUUMOBJQVSVTUUEWAYQUXPUYBYQUXPUWJBVFUYBB
      UWJWBYQUUKBUWJUVIVSWCWDVQWEWDWFWGUXNUXQUXKUEUVSUXNUXQUUOUWJLZEHVGZUXKYQUX
      FUXQUYDWHUWTUWSEBUWJWIVRUXDUWSUYDUXKUEUXFUXDUWSMZUYCUXJEHUUEUVJUYCMZUYEUU
      MUUEIZUXJMZUYFUXDUWSUYHUYFUXDMZUWSMUYGUXJUYIUYGUWSUVJUXDUYCUYGUWSWHUVJUXD
      MUYGUUOUUGIZUYCUWSUVJUWTYQUYGUYJWHUUMUUEBWJWKUUOUWJUUGWLWMWNWOUYFUXJUXDUW
      SUYCUXJUVJUWJUUOWPUCWQWRWSUMWTWGXAUCXBXCXDWDVLXEUXIUXJUWQEUUEUXFUVQYPUXJU
      WQWHUXIUYGMUWJUUOAXFUXHUXFUXEUYGUXAUXFXGXHUXEUYGUVQUXHUXDUYGUVQUVSUWTYQUY
      GUVQYQUWTUYGUVQUEYQUWTUYGUVQYQUVJUVQUWTUYGMUVRUUEUUMVJUHWEXIXJXKXLUXHYPUX
      EUYGYPUWSUXFXMXHXNXOXPWEXQWEXCXRXJXSFEUUGUUEUWKUUPXTUBVBUWHUWCUWLVFZYPUWT
      YQUYKUVSUXDGUWCUWLUXDGNZUUPIZEUUEVGUYLUWKIZFUUGVGZUYLUWCIUYLUWLIUXDUYMUYO
      EUUEUXDUYGUYMUYOUXDUYGUYMMUYJUYMMUYOUXDUYGUYJUYMUUMUUEBYAYBUYNUYMFUUOUUGU
      WJUUOLUWKUUPUYLUWJUUOAJQYCVTYDYEYFEUYLUUEUUPYGFUYLUUGUWKYGYHYIUXCUGUCYJUI
      YKVCYLYMYNXIYO $.
      $( [25-Dec-2004] $) $( [10-Dec-2004] $)
  $}

  ${
    $d x y z w A $.  $d x y z B $.
    $( Recursive definition of ordinal addition.  Exercise 25 of [Enderton]
       p. 240. $)
    oarec $p |- ( ( A e. On /\ B e. On ) ->
                ( A +o B ) = ( A u. { x | E. y e. B x = ( A +o y ) } ) ) $=
      ( vz vw con0 wcel coa co cv wceq wrex cab cun c0 csuc opreq2 rexeq1
      abbidv uneq2d eqeq12d oa0 wex wn rex0 nex abn0 necon1bbii mpbi uneq2i
      un0 eqtr2 syl6eq wi wa oasuc csn df-sn uneq12 mpan2 df-suc wo visset
      elsuc anbi1i andir bitr exbii 19.43 df-rex eqeq2d ceqsexv bicomi orbi12i
      3bitr4 abbii unab eqtr4 unass 3eqtr4g sylan9eq exp31 com12 wlim wral
      ciun cvv oalim mpanr1 ancoms adantr iuneq2 adantl wne 0ellim ne0i
      iunconst 3syl word limord ordtr1 syl exp3a com23 imp anim1d r19.22dv2
      r19.23adva ax-17 hbre1 hbrex limsuc biimpd sucidg a1i jcad eleq2 anbi1d
      rcla4ev ra4e r19.22si anassrs syl6 r19.23ad impbid iunab syl5eq uneq12d
      iunun ad2antrr 3eqtrd tfinds3 impcom ) DGHCGHZCDIJZCAKZCBKZIJZLZBDMZANZOZ
      LZCEKZIJZCYTBUUEMZANZOZLZCPIJZCYTBPMZANZOZLCFKZIJZCYTBUUOMZANZOZLZCUUOQZI
      JZCYTBUVAMZANZOZLZUUDEFDYOUUEPLZUUFUUKUUIUUNUUEPCIRUVGUUHUUMCUVGUUGUULAYT
      BUUEPSTUAUBUUEUUOLZUUFUUPUUIUUSUUEUUOCIRUVHUUHUURCUVHUUGUUQAYTBUUEUUOSTUA
      UBUUEUVALZUUFUVBUUIUVEUUEUVACIRUVIUUHUVDCUVIUUGUVCAYTBUUEUVASTUAUBUUEDLZU
      UFYPUUIUUCUUEDCIRUVJUUHUUBCUVJUUGUUAAYTBUUEDSTUAUBYOUUKCUUNCUCUUNCPOCUUMP
      CUULAUDZUEUUMPLUULAYTBUFUGUVKUUMPUULAUHUIUJUKCULUMUNYOUUOGHZUUTUVFUOYOUVL
      UUTUVFYOUVLUPUUTUVBUUPQZUVECUUOUQUUTUUPUUPURZOZUUSYQUUPLZANZOZUVMUVEUUTUV
      NUVQLUVOUVRLAUUPUSUUPUUSUVNUVQUTVAUUPVBUVECUURUVQOZOUVRUVDUVSCUVDUUQUVPVC
      ZANUVSUVCUVTAYRUVAHZYTUPZBUDZYRUUOHZYTUPZBUDZYRUUOLZYTUPZBUDZVCZUVCUVTUWC
      UWEUWHVCZBUDUWJUWBUWKBUWBUWDUWGVCZYTUPUWKUWAUWLYTYRUUOBVDVEVFUWDUWGYTVGVH
      VIUWEUWHBVJVHYTBUVAVKUUQUWFUVPUWIYTBUUOVKUWIUVPYTUVPBUUOFVDUWGYSUUPYQYRUU
      OCIRVLVMVNVOVPVQUUQUVPAVRVSUKCUURUVQVTVSWAWBWCWDUUEWEZYOUUTFUUEWFZUUJUWMY
      OUPZUWNUPUUFFUUEUUPWGZFUUEUUSWGZUUIUWOUUFUWPLZUWNYOUWMUWRYOUUEWHHUWMUWREV
      DFCUUEWHWIWJWKWLUWNUWPUWQLUWOFUUEUUPUUSWMWNUWMUWQUUILYOUWNUWMFUUECWGZFUUE
      UURWGZOUUIUWQUWMUWSCUWTUUHUWMPUUEHUUEPWOUWSCLUUEWPUUEPWQFUUECWRWSUWMUUQFU
      UEMZANUUHUWTUWMUXAUUGAUWMUXAUUGUWMUUQUUGFUUEUWMUUOUUEHZUPZYTYTBUUOUUEUXCU
      WDYRUUEHZYTUWMUXBUWDUXDUOUWMUWDUXBUXDUWMUWDUXBUXDUWMUUEWTUWDUXBUPUXDUOUUE
      XAYRUUOUUEXBXCXDXEXFXGXHXIUWMYTUXABUUEUWMBXJUUQBFUUEUXBBXJYTBUUOXKXLUWMUX
      DYTUXAUWMUXDYTUPYRQZUUEHZYRUXEHZUPZYTUPUXAUWMUXDUXHYTUWMUXDUXFUXGUWMUXDUX
      FUUEYRXMXNUXDUXGUOUWMYRUUEXOXPXQXGUXFUXGYTUXAUXFUXGYTUPZUPUWEFUUEMUXAUWEU
      XIFUXEUUEUUOUXELUWDUXGYTUUOUXEYRXRXSXTUWEUUQFUUEYTBUUOYAYBXCYCYDXDYEYFTUU
      QFAUUEYGYHYIFUUECUURYJYHYKYLWCYMYN $.
      $( [24-Jan-2005] $) $( [26-Dec-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Ordering property of ordinal multiplication.  Half of Proposition 8.19
       of [TakeutiZaring] p. 63. $)
    omordi $p |- ( ( ( B e. On /\ C e. On ) /\ (/) e. C ) ->
                 ( A e. B -> ( C .o A ) e. ( C .o B ) ) ) $=
      ( vx vy con0 wcel c0 comu co wi onelon ex wa cv csuc wceq eleq2 opreq2
      eleq2d imbi12d noel pm2.21i a1i coa wo oaword1 sseld imim2d imp adantrl
      eleq1d oaord1 biimpa syl5cbir adantrr jaod omcl pm3.26 jca sylan elsuci
      syl5 wb omsuc adantr sylibrd exp43 com12 adantld imp3a wlim wral wss
      ciun limsuc ssiun2s syl adantll cvv visset omlim mpanr1 sseqtr4d id
      ad2ant2r anabss1 eleqtrrd sseldd com13 imp4c a1dd tfinds3 com23 exp4a
      mpdd com34 com24 imp31 ) BFGZCFGZHCGZABGZCAIJZCBIJZGZKZWTXCXBXAXFWTXCXAXB
      XFWTXCAFGZXAXBXFKZKWTXCXHBALMWTXCXHXAXIWTXCXHXANZXBXFWTXJXBNZXCXFADOZGZXD
      CXLIJZGZKZAHGZXDCHIJZGZKZAEOZGZXDCYAIJZGZKZAYAPZGZXDCYFIJZGZKZXGDEBXKXLHQ
      ZXMXQXOXSXLHARYKXNXRXDXLHCISTUAXLYAQZXMYBXOYDXLYAARYLXNYCXDXLYACISTUAXLYF
      QZXMYGXOYIXLYFARYMXNYHXDXLYFCISTUAXLBQZXMXCXOXFXLBARYNXNXEXDXLBCISTUAXTXK
      XQXSAUBUCUDYAFGZXJXBYEYJKZYOXAXBYPKZXHXAYOYQXAYOXBYEYJXAYONZXBYENZNZYGXDY
      CCUEJZGZYIYTYBAYAQZUFZUUBYGYCFGZXANZYSUUDUUBKYRUUFYSNYBUUBUUCUUFYEYBUUBKZ
      XBUUFYEUUGUUFYDUUBYBUUFYCUUAXDYCCUGUHUIUJUKUUFXBUUCUUBKYEUUCUUBYCUUAGZUUF
      XBNUUCXDYCUUAAYACISULUUFXBUUHYCCUMUNUOUPUQYRUUEXACYAURXAYOUSUTVAAYAVBVCYR
      YIUUBVDYSYRYHUUAXDCYAVETVFVGVHVIVJVKXLVLZXKXPYEEXLVMUUIXHXAXBXPXAXHUUIXBX
      PKXAXHUUIXBXPXAXHNZUUIXBNNZXMXOUUKXMNCAPZIJZXNXDXAUUINZXMUUMXNVNUUKUUNXMN
      UUMEXLYCVOZXNUUIXMUUMUUOVNZXAUUIXMNUULXLGZUUPUUIXMUUQXLAVPUNEXLYCUULUUMYA
      UULCISVQVRVSUUNXNUUOQZXMXAXLVTGUUIUURDWAECXLVTWBWCVFWDXAUUIUUNXHXBUUNWEWF
      VAUUKXDUUMGZXMUUJXBUUSUUIUUJXBNXDXDCUEJZUUMUUJXBXDUUTGZXAXHXBUVAVDZXDFGXA
      UVBUUJXDCUMCAURVAWGUNUUJUUMUUTQXBCAVEVFWHUKVFWIMVHWJWKWLWMWNWOWOWPWQWRWS
      $.
      $( [10-Jan-2005] $) $( [14-Dec-2004] $)
  $}

  $( Ordering property of ordinal multiplication. $)
  omord2 $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ (/) e. C ) ->
               ( A e. B <-> ( C .o A ) e. ( C .o B ) ) ) $=
    ( con0 wcel w3a c0 wa comu co wi omordi 3adantl1 wceq wo wn opreq2 a1i
    3adantl2 orim12d con3d wb word ordtri2 eloni syl2an omcl anandis ancoms
    3impa adantr 3adant3 3imtr4d impbid ) ADEZBDEZCDEZFZGCEZHZABEZCAIJZCBIJZEZU
    PUQUSVAVDKUOABCLMUTVBVCNZVCVBEZOZPZABNZBAEZOZPZVDVAUTVKVGUTVIVEVJVFVIVEKUTA
    BCIQRUOUQUSVJVFKUPBACLSTUAURVDVHUBZUSUOUPUQVMUQUOUPHVMUQUOUPVMVBDEZVCDEZVMU
    QUOHUQUPHVBUCVCUCVMVNVOVBVCUDVBUEVCUEUFCAUGCBUGUFUHUIUJUKURVAVLUBZUSUOUPVPU
    QAUCBUCVPUOUPABUDAUEBUEUFULUKUMUN $.
    $( [26-Jan-2005] $) $( [25-Dec-2004] $)

  $( Ordering property of ordinal multiplication.  Proposition 8.19 of
     [TakeutiZaring] p. 63. $)
  omord $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
               ( ( A e. B /\ (/) e. C ) <-> ( C .o A ) e. ( C .o B ) ) ) $=
    ( con0 wcel w3a c0 wa comu co wb omord2 ex pm5.32rd pm3.26 wi wne wceq
    opreq1 eqeq1d om0r syl5cbir necon3d ne0i syl5 adantr on0eln0 adantl
    sylibrd 3adant1 ancld impbid2 bitrd ) ADEZBDEZCDEZFZABEZGCEZHCAIJZCBIJZEZUS
    HZVBUQUSURVBUQUSURVBKABCLMNUQVCVBVBUSOUQVBUSUOUPVBUSPUNUOUPHVBCGQZUSUOVBVDP
    UPUOVAGQVDVBUOCGVAGCGRZVAGRGBIJZGRUOVEVAVFGCGBISTBUAUBUCVAUTUDUEUFUPUSVDKUO
    CUGUHUIUJUKULUM $.
    $( [28-Feb-2005] $) $( [14-Dec-2004] $)

  $( Left cancellation law for ordinal multiplication.  Proposition 8.20 of
     [TakeutiZaring] p. 63 and its converse. $)
  omcan $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ (/) e. A ) ->
                   ( ( A .o B ) = ( A .o C ) <-> B = C ) ) $=
    ( con0 wcel w3a c0 wa comu co wceq wo wn wi omordi ex ancoms 3adant2 imp
    3adant3 orim12d con3d wb word ordtri3 omcl eloni syl syl2an 3impdi adantr
    3adant1 3imtr4d opreq2 impbid1 ) ADEZBDEZCDEZFZGAEZHZABIJZACIJZKZBCKZVAVBVC
    EZVCVBEZLZMZBCEZCBEZLZMZVDVEVAVLVHVAVJVFVKVGUSUTVJVFNZUPURUTVNNZUQURUPVOURU
    PHUTVNBCAOPQRSUSUTVKVGNZUPUQUTVPNZURUQUPVQUQUPHUTVPCBAOPQTSUAUBUSVDVIUCZUTU
    PUQURVRVBUDZVCUDZVRUPUQHZUPURHZVBVCUEWAVBDEVSABUFVBUGUHWBVCDEVTACUFVCUGUHUI
    UJUKUSVEVMUCZUTUQURWCUPBUDCUDWCUQURBCUEBUGCUGUIULUKUMBCAIUNUO $.
    $( [29-Jan-2005] $) $( [14-Dec-2004] $)

  $( Weak ordering property of ordinal multiplication. $)
  omword $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ (/) e. C ) ->
                   ( A (_ B <-> ( C .o A ) (_ ( C .o B ) ) ) $=
    ( con0 wcel w3a c0 wa wceq wo comu co wss omord2 wb omcan 3anrot sylanbr
    bicomd orbi12d onsseleq 3adant3 adantr omcl anim12i anandis ancoms 3impa
    syl 3bitr4d ) ADEZBDEZCDEZFZGCEZHZABEZABIZJZCAKLZCBKLZEZUTVAIZJZABMZUTVAMZU
    PUQVBURVCABCNUPVCURUMUKULFUOVCUROUNCABPUMUKULQRSTUNVEUSOZUOUKULVGUMABUAUBUC
    UNVFVDOZUOUNUTDEZVADEZHZVHUKULUMVKUMUKULHVKUMUKULVKUMUKHVIUMULHVJCAUDCBUDUE
    UFUGUHUTVAUAUIUCUJ $.
    $( [22-Mar-2005] $) $( [21-Dec-2004] $)

  $( Weak ordering property of ordinal multiplication. $)
  omwordi $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                   ( A (_ B -> ( C .o A ) (_ ( C .o B ) ) ) $=
    ( con0 wcel w3a c0 wss comu co wi wa omword biimpd ex wn wceq wb word
    eloni ord0eln0 necon2bbid syl 3ad2ant3 opreq1 sseq12d ssid om0r adantr
    adantl mpbiri syl5cbir 3adant3 sylbird a1dd pm2.61d ) ADEZBDEZCDEZFZGCEZABH
    ZCAIJZCBIJZHZKZUTVAVFUTVALVBVEABCMNOUTVAPZVEVBUTVGCGQZVEUSUQVHVGRZURUSCSZVI
    CTVJVACGCUAUBUCUDUQURVHVEKUSVHVEGAIJZGBIJZHZUQURLZVHVCVKVDVLCGAIUECGBIUEUFV
    NVMGGHGUGVNVKGVLGUQVKGQURAUHUIURVLGQUQBUHUJUFUKULUMUNUOUP $.
    $( [11-Apr-2005] $) $( [21-Dec-2004] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Weak ordering property of ordinal multiplication.  Proposition 8.21 of
       [TakeutiZaring] p. 63. $)
    omwordri $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
        ( A (_ B -> ( A .o C ) (_ ( B .o C ) ) ) $=
      ( vx vy con0 wcel wss comu co wi wa cv c0 csuc wceq opreq2 sseq12d 0ss
      om0 sseq1d mpbiri ad2antrr w3a coa oawordri omcl 3adant2 3adant1 3simp1
      syl3anc imp adantrl wb oaword syld3an3 biimpa adantrr sstrd omsuc adantr
      3sstr4d exp32 3exp com3r imp4c wlim wral cvv visset ciun omlim ad2ant2rl
      adantl ss2iun syl5bir anandirs mpanr1 expcom adantrd tfinds3 exp3a
      3impib 3coml ) CFGZAFGZBFGZABHZACIJZBCIJZHZKZWEWFWGWLWEWFWGLZWHWKADMZIJZB
      WNIJZHZANIJZBNIJZHZAEMZIJZBXAIJZHZAXAOZIJZBXEIJZHZWKDECWMWHLWNNPWOWRWPWSW
      NNAIQWNNBIQRWNXAPWOXBWPXCWNXAAIQWNXABIQRWNXEPWOXFWPXGWNXEAIQWNXEBIQRWNCPW
      OWIWPWJWNCAIQWNCBIQRWFWTWGWHWFWTNWSHWSSWFWRNWSATUAUBUCXAFGZWFWGWHXDXHKZWF
      WGXIWHXJKZWFWGXIXKWFWGXIUDZWHXDXHXLWHXDLZLZXBAUEJZXCBUEJZXFXGXNXOXCAUEJZX
      PXLXDXOXQHZWHXLXDXRXBFGZXCFGZWFXDXRKXLXBXCAUFWFXIXSWGAXAUGUHWGXIXTWFBXAUG
      UIZWFWGXIUJUKULUMXLWHXQXPHZXDXLWHYBWFWGXTWHYBUNXIABXCUOYAUPUQURUSXLXFXOPZ
      XMWFXIYCWGAXAUTUHVAXLXGXPPZXMWGXIYDWFBXAUTUIVAVBVCVDVEVFWNVGZWMXDEWNVHZWQ
      KZWHWMYEYGWMWNVIGZYEYGDVJWFWGYHYELZYGWFYILZWGYILZLZWQEWNXBVKZEWNXCVKZHYFY
      LWOYMWPYNWFYIWOYMPYIWGEAWNVIVLVMYKWPYNPYJEBWNVIVLVNREWNXBXCVOVPVQVRVSVTWA
      WBWCWD $.
      $( [12-Apr-2005] $) $( [20-Dec-2004] $)
  $}

  $( An ordinal is less than or equal to its product with another. $)
  omword1 $p |- ( ( ( A e. On /\ B e. On ) /\ (/) e. B ) ->
                 A (_ ( A .o B ) ) $=
    ( con0 wcel wa c0 comu co wss c1o wb word eloni ordgt0ge1 syl adantl wi
    1on omwordi mp3an1 ancoms wceq om1 adantr sseq1d sylibd sylbid imp ) ACDZBC
    DZEZFBDZAABGHZIZUKULJBIZUNUJULUOKZUIUJBLUPBMBNOPUKUOAJGHZUMIZUNUJUIUOURQZJC
    DUJUIUSRJBASTUAUKUQAUMUIUQAUBUJAUCUDUEUFUGUH $.
    $( [12-Apr-2005] $) $( [21-Dec-2004] $)

  $( An ordinal is less than or equal to its product with another. $)
  omword2 $p |- ( ( ( A e. On /\ B e. On ) /\ (/) e. B ) ->
                 A (_ ( B .o A ) ) $=
    ( con0 wcel wa c0 c1o comu co wceq om1r ad2antrr wss word ordgt0ge1 biimpa
    eloni sylan adantll wi 1on omwordri mp3an1 ancoms adantr mpd eqsstr3d ) ACD
    ZBCDZEZFBDZEZAGAHIZBAHIZUHUMAJUIUKAKLULGBMZUMUNMZUIUKUOUHBNZUKUOUIUQUKUOBOP
    BQRSUJUOUPTZUKUIUHURGCDUIUHURUAGBAUBUCUDUEUFUG $.
    $( [16-Apr-2005] $) $( [21-Dec-2004] $)

  $( The product of two ordinal numbers is zero iff at least one of them is
     zero.  Proposition 8.22 of [TakeutiZaring] p. 64. $)
  om00 $p |- ( ( A e. On /\ B e. On ) -> ( ( A .o B ) = (/) <->
              ( A = (/) \/ B = (/) ) ) ) $=
    ( con0 wcel wa comu co c0 wceq wo wn c1o wss wne wi word wb eloni ordge1n0
    syl biimprd adantr on0eln0 adantl omword1 ex sylbird anim12d sstr syl6
    neanior syl5ibr omcl 3syl sylibd necon4bd opreq1 om0r sylan9eqr opreq2 om0
    jaod impbid ) ACDZBCDZEZABFGZHIZAHIZBHIZJZVFVKVGHVFVKKZLVGMZVGHNZVFAHNZBHNZ
    EZVMVLVFVQLAMZAVGMZEVMVFVOVRVPVSVDVOVROVEVDVRVOVDAPVRVOQARASTUAUBVFVPHBDZVS
    VEVTVPQVDBUCUDVFVTVSABUEUFUGUHLAVGUIUJAHBHUKULVFVGCDVGPVMVNQABUMVGRVGSUNUOU
    PVFVIVHVJVEVIVHOVDVEVIVHVIVEVGHBFGHAHBFUQBURUSUFUDVDVJVHOVEVDVJVHVJVDVGAHFG
    HBHAFUTAVAUSUFUBVBVC $.
    $( [14-Apr-2005] $) $( [21-Dec-2004] $)

  $( The product of two nonzero ordinal numbers is nonzero. $)
  om00el $p |- ( ( A e. On /\ B e. On ) -> ( (/) e. ( A .o B ) <->
              ( (/) e. A /\ (/) e. B ) ) ) $=
    ( con0 wcel wa comu co c0 wne wceq wo wn om00 necon3abid wb omcl on0eln0
    syl bi2anan9 neanior syl6bb 3bitr4d ) ACDZBCDZEZABFGZHIZAHJBHJKZLZHUFDZHADZ
    HBDZEZUEUHUFHABMNUEUFCDUJUGOABPUFQRUEUMAHIZBHIZEUIUCUKUNUDULUOAQBQSAHBHTUAU
    B $.
    $( [15-Apr-2005] $) $( [28-Dec-2004] $)

  ${
    $d x y z w v A $.  $d x y z w v B $.  $d x y C $.
    $( Ordering involving the product of a limit ordinal.  Proposition 8.23 of
       [TakeutiZaring] p. 64. $)
    omordlim $p |- ( ( ( A e. On /\ ( B e. D /\ Lim B ) ) /\ C e. ( A .o B ) )
                -> E. x e. B C e. ( A .o x ) ) $=
      ( con0 wcel wlim wa comu co cv wrex ciun omlim eleq2d eliun syl6bb
      biimpa ) BFGCEGCHIIZDBCJKZGZDBALJKZGACMZTUBDACUCNZGUDTUAUEDABCEOPADCUCQRS
      $.
      $( [15-Apr-2005] $) $( [25-Dec-2004] $)

    $( The product of any nonzero ordinal with a limit ordinal is a limit
       ordinal.  Proposition 8.24 of [TakeutiZaring] p. 64. $)
    omlimcl $p |- ( ( ( A e. On /\ ( B e. C /\ Lim B ) ) /\ (/) e. A ) ->
                  Lim ( A .o B ) ) $=
      ( vy vx con0 wcel wlim wa c0 comu co word wceq cv csuc wrex wo wn omcl
      eloni syl limelon sylan2 adantr n0i 0ellim anim12i ancoms adantll wb
      om00 negbid ioran syl6bb mpbird ciun eqeq1 biimpac omlim sylan visset
      sucid syl5eleq eliun sylib adantlr wi onelon onnbtwn imnan sylibr com12
      adantl mpd c1o coa ordsucelsuc oa1suc eleq2d bitr4d wss ordgt0ge1 1on
      oaword mp3an1 syldan bitrd biimpa omsuc sseqtr4d sseld sylbid eleq1
      biimprd syl9 com23 adantlrl w3a omord pm3.26 syl6bir sucelon syl3an2b
      3comr 3expb syl6d jca anim2i anassrs an1rs imp mtod exp31 r19.23adv ex
      pm2.01d nrexdv dflim3 ) AFGZBCGZBHZIZIZJAGZIZABKLZMZYGJNZYGDOZPZNZDFQZRSZ
      IYGHYFYHYNYDYHYEXTBFGZYHYCXTYOIZYGFGYHABTYGUAUBBCUCZUDUEYFYISZYMSZIYNYFYR
      YSYFYRAJNZSZBJNZSZIZYCYEUUDXTYBYEUUDYAYEYBUUDYEUUAYBUUCAJUFYBJBGUUCBUGBJU
      FUBUHUIUJUJYDYRUUDUKZYEXTYOUUEYCYPYRYTUUBRZSUUDYPYIUUFABULUMYTUUBUNUOYQUD
      UEUPYFYLDFYFYLSZYJFGYFYLYFYLUUGYFYLIYJAEOZKLZGZEBQZUUGYDYLUUKYEYDYLIZYJEB
      UUIUQZGUUKUULYKUUMYJYGUUMNZYLYKUUMNZYDYLUUNUUOYGYKUUMURUSEABCUTVAYJDVBVCV
      DEYJBUUIVEVFVGYFUUKUUGVHYLYFUUJUUGEBYFUUHBGZUUJUUGYFUUPIZUUJIYLBUUHPZGZUU
      QUUSSZUUJYDUUPUUTYEYCUUPUUTXTYCUUPIZUUHFGZUUTYOUUPUVBYCBUUHVIZYQVAUUPUVBU
      UTVHYCUVBUUPUUTUVBUUPUUSISUUPUUTVHUUHBVJUUPUUSVKVLVMVNVOUJVGUEUUQUUJYLUUS
      VHZYDUUPYEUUJUVDVHZXTYOUVBIZIZYEUVEYDUUPIUVGYEIUUJYLYGAUURKLZGZUUSXTUVBYE
      UUJYLUVIVHVHYOXTUVBIZYEIZYLUUJUVIUVKUUJYKUVHGZYLUVIUVKUUJYKUUIVPVQLZGZUVL
      UVJUUJUVNUKZYEUVJUUIFGZUVOAUUHTZUVPUUJYKUUIPZGZUVNUVPUUIMUUJUVSUKUUIUAYJU
      UIVRUBUVPUVMUVRYKUUIVSVTWAUBUEUVKUVMUVHYKUVKUVMUUIAVQLZUVHUVJYEUVMUVTWBZU
      VJYEVPAWBZUWAXTYEUWBUKZUVBXTAMUWCAUAAWCUBUEXTUVBUVPUWBUWAUKZUVQVPFGXTUVPU
      WDWDVPAUUIWEWFWGWHWIUVJUVHUVTNYEAUUHWJUEWKWLWMYLUVIUVLYGYKUVHWNWOWPWQWRUV
      GUVIUUSVHZYEXTYOUVBUWEYOUVBXTUWEYOUURFGZXTUWEUVBYOUWFXTWSUVIUUSYEIUUSBUUR
      AWTUUSYEXAXBUUHXCXDXEXFUEXGXTYCUUPUVGUVAUVFXTYOUUPUVFYCYOUUPIYOUVBYOUUPXA
      UVCXHYQVAXIXJVAXKXLXMXNXOUEVOXPXQUEXRXHYIYMUNVLXHDYGXSVL $.
      $( [10-May-2005] $) $( [25-Dec-2004] $)

    $( Distributive law for ordinal arithmetic.  Proposition 8.25 of
       [TakeutiZaring] p. 64.  _Warning:  The HTML proof page is 3/4 megabyte
       in size_. $)
    odi $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( A .o ( B +o C ) ) = ( ( A .o B ) +o ( A .o C ) ) ) $=
      ( vx vy vz vw vv con0 wcel coa co comu wceq cv c0 csuc wa opreq2 opreq2d
      eqeq12d omcl oa0 syl om0 adantr adantl 3eqtr4rd wi w3a oasuc 3adant1
      omsuc oacl sylan2 3impb eqtrd 3adant2 oaass syl3an1 syl3an2 3exp exp4b
      pm2.43a com4r pm2.43i 3imp eqtr4d opreq1 syl5bir com3r imp3a wlim wral
      opreq12d om0r opreqan12d 0elon ax-mp syl6req cvv visset limelon mpan
      ancoms exp3a imp a1dd ciun wss wrex wo wn wb ontri1 oawordex bitr3d
      simplr onelon sylan sylanc oaord 3expb eleq1 sylan9bb iba an1rs biimpcd
      exp4c r19.22dv sylbid orrd sylanl1 adantlrl adantlr om00el biimprd
      0ellim sylan2i imp31 a1d adantlrr omordi ancom1s onelsst sseq2d sylibrd
      syld adantll jcad rcla4ev syl6 adantrr adantrd rcla4cv eqeq1 syl5bi
      eqimss2 imim2i ad2antll r19.23adv jaod mpd r19.21aiva iunss2 omordlim ex
      mpanr1 oaordi word ordelon limord rcla4cva eleq2d an1s r19.23adva
      adantrl eqssd oalimcl anim2i oprex omlim oalim ad2antlr omlimcl jctl
      jctil 3eqtr4d exp43 com3l oe0lem com12 tfinds3 ) AIJZBIJZCIJZABCKLZMLZABM
      LZACMLZKLZNZUVPUVNUVOUWBUVPUVNUVOUWBABDOZKLZMLZUVSAUWCMLZKLZNZABPKLZMLZUV
      SAPMLZKLZNABEOZKLZMLZUVSAUWMMLZKLZNZABUWMQZKLZMLZUVSAUWSMLZKLZNZUWBDECUVN
      UVORZUWCPNZUWEUWJUWGUWLUXFUWDUWIAMUWCPBKSTUXFUWFUWKUVSKUWCPAMSTUAUWCUWMNZ
      UWEUWOUWGUWQUXGUWDUWNAMUWCUWMBKSTUXGUWFUWPUVSKUWCUWMAMSTUAUWCUWSNZUWEUXAU
      WGUXCUXHUWDUWTAMUWCUWSBKSTUXHUWFUXBUVSKUWCUWSAMSTUAUWCCNZUWEUVRUWGUWAUXIU
      WDUVQAMUWCCBKSTUXIUWFUVTUVSKUWCCAMSTUAUXEUVSPKLZUVSUWLUWJUXEUVSIJZUXJUVSN
      ABUBZUVSUCZUDUXEUWKPUVSKUVNUWKPNUVOAUEUFTUXEUWIBAMUVOUWIBNUVNBUCUGTUHUWMI
      JZUVNUVOUWRUXDUIZUVNUVOUXNUXOUVNUVOUXNUXOUVNUVOUXNUJZUXDUWOAKLZUWQAKLZNUW
      RUXPUXAUXQUXCUXRUXPUXAAUWNQZMLZUXQUXPUWTUXSAMUVOUXNUWTUXSNUVNBUWMUKULTUVN
      UVOUXNUXTUXQNZUVNUWNIJUYAUVOUXNRAUWNUMBUWMUNUOUPUQUXPUXCUVSUWPAKLZKLZUXRU
      XPUXBUYBUVSKUVNUXNUXBUYBNUVOAUWMUMURTUVNUVOUXNUXRUYCNZUVNUVOUXNUYDUIUIUVN
      UVOUXNUVNUYDUVOUVNUXNUVNUYDUIZUIUVNUVOUVNUXNUYEUXEUVNUXNRZUVNUYDUXEUWPIJZ
      UVNUYDUYFUXKUYGUVNUYDUXEUVSUWPAUSUXLUTAUWMUBVAVBVCVDVEVFVGVHUAUWOUWQAKVIV
      JVBVKVLUXEUWCVMZUWREUWCVNZUWHUIZUVOUYHUYJUIZAUVOAPNZRUYHUWHUYIUVOUYLUYHUW
      HUIUYLUYHUVOUWHUYLUYHUVOUWHUYLUWHPUWDMLZPBMLZPUWCMLZKLZNZUYHUVORZUYLUWEUY
      MUWGUYPAPUWDMVIUYLUVSUYNUWFUYOKAPBMVIAPUWCMVIVOUAUVOUYHUYQUVOUWCIJZUYQUYH
      UVOUYSRZUYMPUYPUYTUWDIJZUYMPNBUWCUNZUWDVPUDUYTUYPPPKLZPUVOUYSUYNPUYOPKBVP
      UWCVPVQPIJVUCPNVRPUCVSVTUQUWCWAJZUYHUYSDWBZUWCWAWCWDZUOWEVJWFVKWGWHUXEPAJ
      ZUYKUYHUXEVUGUYJUYHUXEVUGUYIUWHUYHUXERZVUGUYIRZRZFUWDAFOZMLZWIZGUWFUVSGOZ
      KLZWIZUWEUWGVUJVUMVUPVUJVULVUOWJZGUWFWKZFUWDVNVUMVUPWJVUJVURFUWDVUJVUKUWD
      JZRVUKBJZHOZUWCJZBVVAKLZVUKNZRZHIWKZWLZVURVUHVUSVVGVUIUYHUVOVUSVVGUVNUYSU
      VOVUSVVGUYHUYSUVORZVUSRZVUTVVFVVIVUTWMZVVDHIWKZVVFUVOVUKIJZVVJVVKWNVVIUVO
      VVLRBVUKWJVVJVVKBVUKWOHBVUKWPWQUYSUVOVUSWRVUAVUSVVLVVHUWDVUKWSUVOUYSVUAVU
      BWEWTXAVVIVVDVVEHIVVHVUSVVAIJZVVDVVEUIUIVUSVVMVVDVVHVVEVUSVVMVVDVVHVVEVVM
      VVDRVVHRVUSVVEVVMVVHVVDVUSVVEWNVVMVVHRZVVDRVVBVUSVVEVVNVVBVVCUWDJZVVDVUSV
      VMUYSUVOVVBVVOWNVVAUWCBXBXCVVCVUKUWDXDXEVVDVVBVVEWNVVNVVDVVBXFUGWQXGXHXIV
      EWGXJXKXLVUFXMXNXOVUJVVGVURUIVUSVUJVUTVURVVFVUHVUGVUTVURUIUYIVUHVUGRZVUTP
      UWFJZVULUXJWJZRVURVVPVUTVVQVVRUYHUVNVUGVUTVVQUIUVOUYHUVNRZVUGRZVVQVUTUYHU
      VNVUGVVQUVNUYHVUGVVQUIUVNUYHVUGUYHVVQUVNUYHVUGUYHVVQUVNUYSVUGUYHRVVQUIUYH
      UVNUYSRZVUGPUWCJZVVQUYHVWAVVQVUGVWBRAUWCXPXQUWCXRXSVUFUOVCVEVDXTYAYBUXEVU
      GVUTVVRUIUYHUXEVUGRVUTVULUVSJZVVRUVOUVNVUGVUTVWCUIVUKBAYCYDUXEVWCVVRUIZVU
      GUXEUXKVWDUXLUXKVWCVULUVSWJVVRUVSVULYEUXKUXJUVSVULUXMYFYGUDUFYHYIYJVUQVVR
      GPUWFVUNPNVUOUXJVULVUNPUVSKSYFYKYLYMUYHUVNVUIVVFVURUIUVOVVSVUIRZVVEVURHIV
      WEVVEVURUIVVMVWEVVEAVVAMLZUWFJZVULUVSVWFKLZWJZRVURVWEVVEVWGVWIVVSVUGVVEVW
      GUIUYIVVTVVBVWGVVDUYSUVNVUGVVBVWGUIUYHVVAUWCAYCVUFXMYNYMUYIVVEVWIUIZVVSVU
      GUYIVVBAVVCMLZVWHNZUIZVWJUWRVWLEVVAUWCUWMVVANZUWOVWKUWQVWHVWNUWNVVCAMUWMV
      VABKSTVWNUWPVWFUVSKUWMVVAAMSTUAZYOVWMVVBVVDVWIVWLVVDVWIUIVVBVWLVVDVWHVULN
      ZVWIVWLVWKVULNVWPVVDVWKVWHVULYPVVCVUKAMSYQVULVWHYRYLYSVLUDYTYJVUQVWIGVWFU
      WFVUNVWFNVUOVWHVULVUNVWFUVSKSYFYKYLYAUUAYBUUBUFUUCUUDFGUWDUWFVULVUOUUEUDV
      UHUYIVUPVUMWJZVUGVUHUYIRZVUOVULWJZFUWDWKZGUWFVNVWQVWRVWTGUWFVWRVUNUWFJZRV
      UNVWFJZHUWCWKZVWTVUHVXAVXCUYIUYHUVNVXAVXCUVOVVSVXAVXCUVNUYHVXAVXCUIZUVNVU
      DUYHVXDVUEUVNVUDUYHRZRZVXAVXCHAUWCVUNWAUUFUUGUUHWEWGYBXOVWRVXCVWTUIVXAVWR
      VXBVWTHUWCVWRVVBRZVXBVVOVUOVWKWJZRVWTVXGVXBVVOVXHVUHVVBVXBVVOUIUYIVUHVVBR
      ZVVOVXBUYHUVOVVBVVOUVNUYRVVBVVOUYSUVOVVBVVOUIUYHVVAUWCBUUIVUFWTWGXNYAXOVX
      GVXBVUOVWKJZVXHVXGVXBVUOVWHJZVXJVUHVVBVXBVXKUIZUYIUYHVVBUXEVXLVVMUXEVXLUY
      HVVBRZVWFIJZUXKVXLVVMUXERVUNVWFUVSUUIVVMUVNVXNUVOUVNVVMVXNAVVAUBWEYMUXEUX
      KVVMUXLUGXAUWCUUJVVBVVMUYHUWCVVAUUKUWCUULWTZWTXGXOUYIVVBVXJVXKWNVUHUYIVVB
      RVWKVWHVUOUWRVWLEVVAUWCVWOUUMUUNYIYGVUHVVBVXJVXHUIZUYIVXIVWKIJZVXPUYHVVBU
      XEVXQVVMUXEVXQVXMUVNVVMUVOVXQUVNVVCIJZVXQVVMUVORAVVCUBUVOVVMVXRBVVAUNWEUO
      UUOVXOWTXGVWKVUOYEUDXOYHYJVWSVXHFVVCUWDVUKVVCNVULVWKVUOVUKVVCAMSYFYKYLUUP
      UFUUCUUDGFUWFUWDVUOVULUUEUDUUQUURVUHUWEVUMNZVUIVUHUVNUWDVMZRZVXSUVNUYHUVO
      VYAUYRVXTUVNUVOUYHVXTUVOVUDUYHVXTVUEBUWCWAUUSUUHWEUUTUUOUVNUWDWAJVXTVXSBU
      WCKUVAFAUWDWAUVBUUHUDUFVUHVUGUWGVUPNZUYIUXKUWFWAJZUWFVMZRVYBVVPGUVSUWFWAU
      VCUXEUXKUYHVUGUXLUVDVVPVYDVYCUYHUVNVUGVYDUVOVXFVUGVYDVVSAUWCWAUVEUVNUYHVX
      FUYHVXEUVNUYHVUDVUEUVFUUTWEWTYBAUWCMUVAUVGXAYMUVHUVIUVJWGUVKUVLUVMWFUVJVG
      $.
      $( [20-May-2005] $) $( [26-Dec-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x C $.
    $( Multiplication of ordinal numbers is associative.  Theorem 8.26 of
       [TakeutiZaring] p. 65. $)
    omass $p |- ( ( A e. On /\ B e. On /\ C e. On ) ->
                 ( ( A .o B ) .o C ) = ( A .o ( B .o C ) ) ) $=
      ( vx vy vz con0 wcel comu co wceq cv c0 csuc wa opreq2 opreq2d eqeq12d
      omcl om0 syl sylan9eqr eqtr4d wi w3a coa omsuc sylan 3impa 3adant1 odi
      syl3an2 3exp exp3a com34 pm2.43d 3imp eqtrd opreq1 syl5bir com3r imp3a
      wlim wral ciun cvv visset omlim mpanr1 ancoms an1rs ad2antrr iuneq2 wss
      wrex omordi limelon mpan anim1i ssid sseq2d rcla4ev mpan2 syl6 r19.21aiv
      iunss2 adantlr onelon sylan2 omordlim ex ad2antlr onelsst 3ad2ant2
      omwordi syld syl5 exp4d imp32 com23 imp r19.22dv exp31 imp4c mpcom
      r19.21aiva adantr eqssd oprex omlimcl mpanlr1 wn wb word eloni ord0eln0
      necon2bbid opreq1d om0r anassrs sylan9eq adantll sylbird a1dd pm2.61d
      com3l tfinds3 ) AGHZBGHZCGHZABIJZCIJZABCIJZIJZKZYJYHYIYOYJYHYIYOYKDLZIJZA
      BYPIJZIJZKZYKMIJZABMIJZIJZKYKELZIJZABUUDIJZIJZKZYKUUDNZIJZABUUIIJZIJZKZYO
      DECYHYIOZYPMKZYQUUAYSUUCYPMYKIPUUOYRUUBAIYPMBIPQRYPUUDKZYQUUEYSUUGYPUUDYK
      IPUUPYRUUFAIYPUUDBIPQRYPUUIKZYQUUJYSUULYPUUIYKIPUUQYRUUKAIYPUUIBIPQRYPCKZ
      YQYLYSYNYPCYKIPUURYRYMAIYPCBIPQRUUNUUAMUUCUUNYKGHZUUAMKABSZYKTUAYIYHUUCAM
      IJZMYIUUBMAIBTQATZUBUCUUDGHZYHYIUUHUUMUDZYHYIUVCUVDYHYIUVCUVDYHYIUVCUEZUU
      MUUEYKUFJZUUGYKUFJZKUUHUVEUUJUVFUULUVGYHYIUVCUUJUVFKZUUSUVCUVHUUNYKUUDUGU
      UTUHUIUVEUULAUUFBUFJZIJZUVGUVEUUKUVIAIYIUVCUUKUVIKYHBUUDUGUJQYHYIUVCUVJUV
      GKZYHYIUVCUVKUDYHYIUVCYIUVKYHYIUVCYIUVKUDYHYIUVCOZYIUVKYHUUFGHZYIUVKUVLAU
      UFBUKBUUDSZULUMUNUOUPUQURRUUEUUGYKUFUSUTUMVAVBYPVCZYHYIUUHEYPVDZYTUDZYIUV
      OYHUVQYIUVOYHUVQYIUVOOZYHOZMBHZUVQUVSUVTUVPYTUVSUVTOZUVPOYQEYPUUEVEZYSUVS
      YQUWBKZUVTUVPYIYHUVOUWCUUSUVOUWCYIYHOUUSYPVFHZUVOUWCDVGZEYKYPVFVHVIYHYIUU
      SUUTVJUHVKVLUVPUWAUWBEYPUUGVEZYSEYPUUEUUGVMUWAUWFFYRAFLZIJZVEZYSUWAUWFUWI
      UVRUVTUWFUWIVNZYHUVRUVTOZUUGUWHVNZFYRVOZEYPVDUWJUWKUWMEYPUWKUUDYPHZUUFYRH
      ZUWMYPGHZYIOZUVTUWNUWOUDUVRUUDYPBVPUVOYIUWQUVOUWPYIUWDUVOUWPUWEYPVFVQVRZV
      SVJUHUWOUUGUUGVNZUWMUUGVTUWLUWSFUUFYRUWGUUFKUWHUUGUUGUWGUUFAIPWAWBWCWDWEE
      FYPYRUUGUWHWFUAWGUVSUWIUWFVNZUVTUVSUWHUUGVNZEYPVOZFYRVDUWTUVSUXBFYRUWGGHZ
      UVSUWGYRHZOUXBUVRUXDUXCYHYRGHZUXDUXCUVRYRUWGWHYIUWPUXEUVOBYPSUWRWIUHWGUXC
      UVRYHUXDUXBUXCUVRYHUXDUXBUDUXCUVROZYHOZUXDUWGUUFHZEYPVOZUXBUVRUXDUXIUDZUX
      CYHYIUWDUVOUXJUWEYIUWDUVOOOUXDUXIEBYPUWGVFWJWKVIWLUXGUXHUXAEYPUXFYHUWNUXH
      UXAUDZUDUXFUWNYHUXKUXCYIUVOUWNYHUXKUDZUDUXCYIUVOUWNUXLUXCUVMUXLYIUVOUWNOZ
      OUXCUVMYHUXKUXCUVMYHUEUXHUWGUUFVNZUXAUVMUXCUXHUXNUDYHUUFUWGWMWNUWGUUFAWOW
      PUMYIUVCUVMUXMUVNUWPUWNUVCUVOYPUUDWHUWRUHWIWQWRWSWTXAXBWPXCXDXEXFFEYRYPUW
      HUUGWFUAXGXHUVRUVTYHYSUWIKZYHUWKUXOYHYRVCZUXOUWKYHYRVFHUXPUXOBYPIXIFAYRVF
      VHVIYIUWDUVOUVTUXPUWEBYPVFXJXKWIVJVKUCUBURXCUVSUVTXLZYTUVPUVSUXQBMKZYTYIU
      XRUXQXMZUVOYHYIBXNZUXSBXOUXTUVTBMBXPXQUAVLUVOYHUXRYTUDZYIUWPYHUYAUVOUWPYH
      OZUXRYTUYBUXROYQMYSUWPYHUXRYQMKYHUXROZUWPYQMYPIJZMUYCYKMYPIUXRYHYKUVAMBMA
      IPUVBUBXRYPXSZUBXTUWPUXRYHYSMKUWPUXROZYHYSUVAMUYFYRMAIUXRUWPYRUYDMBMYPIUS
      UYEUBQUVBYAVKUCWKUWRUHYBYCYDYEXCYFVBYGUNYFUQ $.
      $( [23-May-2005] $) $( [28-Dec-2004] $)
  $}

  $( If an ordinal number is even, its successor is odd. $)
  oneo $p |- ( ( A e. On /\ B e. On /\ C = ( 2o .o A ) ) ->
              -. suc C = ( 2o .o B ) ) $=
    ( con0 wcel c2o comu co wceq w3a csuc wa wn onnbtwn 3ad2ant1 wb suceq
    eqeq1d 3ad2ant3 wi c0 2on omord mp3an3 pm3.26 syl6bir oprex sucid eleq2
    mpbii syl5 pm3.27 c1o coa omcl mpan oa1suc syl 1on elisseti df-2o eleqtrr
    oaord mp3an12 omsuc eleqtrrd eqeltrrd ad2antrr suceloni sylan2 ancoms
    adantr mpbird pm3.26d ex jcad 3adant3 sylbid mtod ) ADEZBDEZCFAGHZIZJZCKZFB
    GHZIZABEZBAKZEZLZVTWAWKMWCABNOWDWGWBKZWFIZWKWCVTWGWMPWAWCWEWLWFCWBQRSVTWAWM
    WKTWCVTWALZWMWHWJWNWBWFEZWHWMWNWOWHUAFEZLZWHVTWAFDEZWQWOPUBABFUCUDWHWPUEUFW
    MWBWLEWOWBFAGUGUHWLWFWBUIUJUKWNWMWJWNWMLZWJWPWSWJWPLZWFFWIGHZEZWSWLWFXAWNWM
    ULVTWLXAEWAWMVTWBUMUNHZWLXAVTWBDEZXCWLIWRVTXDUBFAUOUPZWBUQURVTXCWBFUNHZXAVT
    UMFEZXCXFEZUMUMKFUMUMDUSUTUHVAVBVTXDXGXHPZXEUMDEWRXDXIUSUBUMFWBVCVDURUJWRVT
    XAXFIUBFAVEUPVFVGVHVGWNWTXBPZWMWAVTXJWAWIDEZXJVTWAXKWRXJUBBWIFUCUDAVIVJVKVL
    VMVNVOVPVQVRVS $.
    $( [26-Jan-2006] $) $( [26-Jan-2006] $)

  ${
    $d x y A $.  $d x y B $.
    $( Ordinal exponentiation with a nonzero mantissa is nonzero.  Proposition
       8.32 of [TakeutiZaring] p. 67. $)
    oen0 $p |- ( ( ( A e. On /\ B e. On ) /\ (/) e. A ) ->
               (/) e. ( A ^o B ) ) $=
      ( vx vy con0 wcel c0 coe co wi cv csuc wa wceq opreq2 eleq2d c1o oe0
      0lt1o syl5eleqr adantr comu omordi wb om0 eleq1d ad2antlr sylibd pm3.26
      oecl jca sylan oesuc sylibrd exp31 com12 com34 imp3a wlim wral wss ciun
      wrex 0ellim eqimss2 syl anim12i sseq2d rcla4ev ssiun 3syl adantrr cvv
      visset oelim mpanlr1 anasss an1s sseqtr4d word ancoms limelon mpan eloni
      ordgt0ge1 mpbird ex a1dd tfinds3 exp3a imp31 ) AEFZBEFZGAFZGABHIZFZWMWLWN
      WPJWMWLWNWPGACKZHIZFZGAGHIZFZGADKZHIZFZGAXBLZHIZFZWPCDBWLWNMZWQGNWRWTGWQG
      AHOPWQXBNWRXCGWQXBAHOPWQXENWRXFGWQXEAHOPWQBNWRWOGWQBAHOPWLXAWNWLQWTGARZST
      UAXBEFZWLWNXDXGJXJWLXDWNXGWLXJXDWNXGJZJWLXJXDXKWLXJMZXDMWNGXCAUBIZFZXGWLX
      CEFZMZXDWNXNJXLXPXDMWNXCGUBIZXMFZXNGAXCUCXOXRXNUDWLXDXOXQGXMXCUEUFUGUHXLW
      LXOWLXJUIAXBUJUKULXLXGXNUDXDXLXFXMGAXBUMPUAUNUOUPUQURWQUSZXHWSXDDWQUTXSXH
      WSXSXHMZWSQWRVAZXTQDWQXCVBZWRXSWLQYBVAZWNXSWLMZGWQFZQWTVAZMQXCVAZDWQVCYCX
      SYEWLYFWQVDWLWTQNYFXIQWTVEVFVGYGYFDGWQXBGNXCWTQXBGAHOVHVIDWQXCQVJVKVLWLXS
      WNWRYBNZWLXSWNYHWLWQVMFZXSWNYHCVNZDAWQVMVOVPVQVRVSXSWLWSYAUDZWNYDWREFZWRV
      TYKWQEFZWLYLXSWLYMYLAWQUJWAYIXSYMYJWQVMWBWCULWRWDWRWEVKVLWFWGWHWIWJUPWK
      $.
      $( [10-Jan-2005] $) $( [4-Jan-2005] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Ordering law for ordinal exponentiation.  Proposition 8.33 of
       [TakeutiZaring] p. 67. $)
    oeordi $p |- ( ( ( B e. On /\ C e. On ) /\ 1o e. C ) ->
                 ( A e. B -> ( C ^o A ) e. ( C ^o B ) ) ) $=
      ( vx vy con0 wcel c1o coe co wi wa cv csuc wceq opreq2 eleq2d imbi2d
      comu c0 0lt1o ontr1 mpani adantr oen0 ex syld pm3.26 oecl jca jctild
      omordi syli om1 syl eleq1d oesuc bitr4d sylibd expcom imp3a sucelon
      sylan2b exp3a com23 a2d wlim wral ciun limsuc biimpa cvv elisset sucexb
      sucidg sylbir eleq2 imbi12d rcla4v mpid anc2li wrex rcla4ev eliun sylibr
      syl6 visset oelim mpanlr1 imp anasss an1s adantlr sylibrd bi2.04 ralbii
      r19.21v bitr syl5ib tfindsg2 exp4b com34 com24 imp31 ) BFGZCFGZHCGZABGZCA
      IJZCBIJZGZKXEXHXGXFXKXEXHXFXGXKXEXHXFXGXKXFXGLZXICDMZIJZGZKZXLXICANZIJZGZ
      KXLXICEMZIJZGZKZXLXICXTNZIJZGZKXLXKKDEBAXMXQOZXOXSXLYGXNXRXIXMXQCIPQRXMXT
      OZXOYBXLYHXNYAXIXMXTCIPQRXMYDOZXOYFXLYIXNYEXIXMYDCIPQRXMBOZXOXKXLYJXNXJXI
      XMBCIPQRAFGZXFXGXSXFYKXGXSKXFYKLZXGXIHSJZXICSJZGZXSXGYLXFXIFGZLZTXIGZLYOY
      LXGYRYQYLXGTCGZYRXFXGYSKZYKXFTHGXGYSUATHCUBUCZUDYLYSYRCAUEUFUGYLXFYPXFYKU
      HCAUIZUJUKHCXIULUMYLYOXIYNGXSYLYMXIYNYLYPYMXIOUUBXIUNUOUPYLXRYNXICAUQQURU
      SUTVAXTFGZAXTGZLXLYBYFUUCXLYBYFKZKUUDUUCXFXGUUEXFUUCXGUUEKXFUUCLZXGYAYEGZ
      UUEUUFXGYAHSJZYACSJZGZUUGXGUUFXFYAFGZLZTYAGZLUUJUUFXGUUMUULUUFXGYSUUMXFYT
      UUCUUAUDUUFYSUUMCXTUEUFUGUUFXFUUKXFUUCUHCXTUIZUJUKHCYAULUMUUFUUJYAUUIGUUG
      UUFUUHYAUUIUUFUUKUUHYAOUUNYAUNUOUPUUFYEUUIYACXTUQQURUSUUFYBUUGYFUUFYBUUGY
      FUUFYEFGZYBUUGLYFKXFYDFGUUOUUCCYDUIXTVBVCXIYAYEUBUOVDVEUGUTVAUDVFXMVGZAXM
      GZLZXLUUDYBKZEXMVHZKZXPUUDYCKZEXMVHZUURXLUUTXOUURXLUUTXOKUURXLLZUUTXIEXMY
      AVIZGZXOUURUUTUVFKZXLUURXQXMGZUVGUUPUUQUVHXMAVJVKUVHUUTUVHXSLZUVFUVHUUTXS
      UVHUUTAXQGZXSUVHXQVLGZUVJXQXMVMUVKAVLGUVJAVNAVLVOVPUOUUSUVJXSKEXQXMXTXQOZ
      UUDUVJYBXSXTXQAVQUVLYAXRXIXTXQCIPQZVRVSVTWAUVIYBEXMWBUVFYBXSEXQXMUVMWCEXI
      XMYAWDWEWFUOUDUVDXNUVEXIUUPXLXNUVEOZUUQXFUUPXGUVNXFUUPXGUVNXFUUPLZXGUVNUV
      OXGYSUVNXFYTUUPUUAUDUVOYSUVNXFXMVLGUUPYSUVNDWGECXMVLWHWIUFUGWJWKWLWMQWNUF
      VFUVCXLUUSKZEXMVHUVAUVBUVPEXMUUDXLYBWOWPXLUUSEXMWQWRWSWTXAXBXCXD $.
      $( [14-Jan-2005] $) $( [5-Jan-2005] $)
  $}

  $( Ordering property of ordinal exponentiation.  Corollary 8.34 of
     [TakeutiZaring] p. 68 and its converse. $)
  oeord $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ 1o e. C ) ->
               ( A e. B <-> ( C ^o A ) e. ( C ^o B ) ) ) $=
    ( con0 wcel w3a c1o wa coe co wi oeordi 3adantl1 wceq wo wn opreq2 a1i
    3adantl2 orim12d con3d wb word ordtri2 eloni syl2an oecl anandis ancoms
    3impa adantr 3adant3 3imtr4d impbid ) ADEZBDEZCDEZFZGCEZHZABEZCAIJZCBIJZEZU
    PUQUSVAVDKUOABCLMUTVBVCNZVCVBEZOZPZABNZBAEZOZPZVDVAUTVKVGUTVIVEVJVFVIVEKUTA
    BCIQRUOUQUSVJVFKUPBACLSTUAURVDVHUBZUSUOUPUQVMUQUOUPHVMUQUOUPVMVBDEZVCDEZVMU
    QUOHUQUPHVBUCVCUCVMVNVOVBVCUDVBUEVCUEUFCAUGCBUGUFUHUIUJUKURVAVLUBZUSUOUPVPU
    QAUCBUCVPUOUPABUDAUEBUEUFULUKUMUN $.
    $( [16-Apr-2005] $) $( [6-Jan-2005] $)

  $( Left cancellation law for ordinal exponentiation. $)
  oecan $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ 1o e. A ) ->
                   ( ( A ^o B ) = ( A ^o C ) <-> B = C ) ) $=
    ( con0 wcel w3a c1o wa coe co wceq wo wn wi oeordi ex ancoms 3adant2 imp
    3adant3 orim12d con3d wb word ordtri3 oecl eloni syl syl2an 3impdi adantr
    3adant1 3imtr4d opreq2 impbid1 ) ADEZBDEZCDEZFZGAEZHZABIJZACIJZKZBCKZVAVBVC
    EZVCVBEZLZMZBCEZCBEZLZMZVDVEVAVLVHVAVJVFVKVGUSUTVJVFNZUPURUTVNNZUQURUPVOURU
    PHUTVNBCAOPQRSUSUTVKVGNZUPUQUTVPNZURUQUPVQUQUPHUTVPCBAOPQTSUAUBUSVDVIUCZUTU
    PUQURVRVBUDZVCUDZVRUPUQHZUPURHZVBVCUEWAVBDEVSABUFVBUGUHWBVCDEVTACUFVCUGUHUI
    UJUKUSVEVMUCZUTUQURWCUPBUDCUDWCUQURBCUEBUGCUGUIULUKUMBCAIUNUO $.
    $( [15-Jan-2005] $) $( [6-Jan-2005] $)

  $( Weak ordering property of ordinal exponentiation. $)
  oeword $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ 1o e. C ) ->
                   ( A (_ B <-> ( C ^o A ) (_ ( C ^o B ) ) ) $=
    ( con0 wcel w3a c1o wa wceq wo coe co wss oeord wb oecan 3anrot sylanbr
    bicomd orbi12d onsseleq 3adant3 adantr oecl anim12i anandis ancoms 3impa
    syl 3bitr4d ) ADEZBDEZCDEZFZGCEZHZABEZABIZJZCAKLZCBKLZEZUTVAIZJZABMZUTVAMZU
    PUQVBURVCABCNUPVCURUMUKULFUOVCUROUNCABPUMUKULQRSTUNVEUSOZUOUKULVGUMABUAUBUC
    UNVFVDOZUOUNUTDEZVADEZHZVHUKULUMVKUMUKULHVKUMUKULVKUMUKHVIUMULHVJCAUDCBUDUE
    UFUGUHUTVAUAUIUCUJ $.
    $( [14-May-2005] $) $( [6-Jan-2005] $)

  $( Weak ordering property of ordinal exponentiation. $)
  oewordi $p |- ( ( ( A e. On /\ B e. On /\ C e. On ) /\ (/) e. C ) ->
                   ( A (_ B -> ( C ^o A ) (_ ( C ^o B ) ) ) $=
    ( con0 wcel w3a c0 wss coe co wi c1o wceq wo wb word eloni ordgt0ge1 syl
    1on onsseleq mpan bitrd 3ad2ant3 wa oeword biimpd ex opreq1 sseq12d oe1m
    adantr adantl eqtr4d eqimss syl5cbi 3adant3 a1dd jaod sylbid imp ) ADEZBDEZ
    CDEZFZGCEZABHZCAIJZCBIJZHZKZVEVFLCEZLCMZNZVKVDVBVFVNOVCVDVFLCHZVNVDCPVFVOOC
    QCRSLDEVDVOVNOTLCUAUBUCUDVEVLVKVMVEVLVKVEVLUEVGVJABCUFUGUHVEVMVJVGVBVCVMVJK
    VDVMLAIJZLBIJZHZVJVBVCUEZVMVPVHVQVILCAIUILCBIUIUJVSVPVQMVRVSVPLVQVBVPLMVCAU
    KULVCVQLMVBBUKUMUNVPVQUOSUPUQURUSUTVA $.
    $( [20-May-2005] $) $( [6-Jan-2005] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Weak ordering property of ordinal exponentiation.  Proposition 8.35 of
       [TakeutiZaring] p. 68. $)
    oewordri $p |- ( ( B e. On /\ C e. On ) ->
        ( A e. B -> ( A ^o C ) (_ ( B ^o C ) ) ) $=
      ( vx vy con0 wcel coe co wss wi cv c0 csuc wa wceq opreq2 sseq12d c1o
      onelon oe0 syl adantr eqtr4d eqimss w3a comu omwordri oecl 3adant2
      3adant1 3simp1 syl3anc imp adantrl omwordi syld3an3 adantrr sstrd oesuc
      3sstr4d exp32 3exp com3r imp4c pm3.26 jca onelsst syl5 wlim wral opreq1
      sseq1d oe0m1 biimpa cvv visset limelon mpan 0ellim sylanc 0ss a1i
      eqsstrd syl5bir adantl a1dd ciun oelim mpanlr1 an1rs adantllr anim1i wne
      on0eln0 ne0i adantlr adantlll ss2iun ex oe0lem com12 ancri tfinds3 exp3a
      impcom ) CFGZBFGZABGZACHIZBCHIZJZKXGXHXIXLADLZHIZBXMHIZJZAMHIZBMHIZJZAELZ
      HIZBXTHIZJZAXTNZHIZBYDHIZJZXLDECXHXIOZXMMPXNXQXOXRXMMAHQXMMBHQRXMXTPXNYAX
      OYBXMXTAHQXMXTBHQRXMYDPXNYEXOYFXMYDAHQXMYDBHQRXMCPXNXJXOXKXMCAHQXMCBHQRYH
      XQXRPXSYHXQSXRYHAFGZXQSPBATZAUAUBXHXRSPXIBUAUCUDXQXRUEUBXTFGZYIXHOZABJZOY
      CYGKZYHYKYIXHYMYNYIXHYKYMYNKZYIXHYKYOYIXHYKUFZYMYCYGYPYMYCOZOZYAAUGIZYBBU
      GIZYEYFYRYSYBAUGIZYTYPYCYSUUAJZYMYPYCUUBYAFGZYBFGZYIYCUUBKYPYAYBAUHYIYKUU
      CXHAXTUIUJXHYKUUDYIBXTUIUKZYIXHYKULUMUNUOYPYMUUAYTJZYCYPYMUUFYIXHUUDYMUUF
      KYKABYBUPUUEUQUNURUSYPYEYSPZYQYIYKUUGXHAXTUTUJUCYPYFYTPZYQXHYKUUHYIBXTUTU
      KUCVAVBVCVDVEYHYLYMYHYIXHYJXHXIVFZVGXHXIYMBAVHUNVGVIXMVJZYIYHOZYCEXMVKZXP
      KZYHUUKUUJUUMYHUUJUUMKAYHAMPZOUUJXPUULUUNUUJXPKYHUUNXPMXMHIZXOJUUJUUNXNUU
      OXOAMXMHVLVMUUJUUOMXOXMFGZMXMGZUUOMPZUUJUUPUUQUURXMVNVOXMVPGZUUJUUPDVQZXM
      VPVRVSXMVTWAMXOJUUJXOWBWCWDWEWFWGUUKMAGZOZUUJUUMUVBUUJOZXPEXMYAWHZEXMYBWH
      ZJUULUVCXNUVDXOUVEYIUVAUUJXNUVDPZYHYIUUJUVAUVFYIUUSUUJUVAUVFUUTEAXMVPWIWJ
      WKWLYHUVAUUJXOUVEPZYIYHUUJUVGUVAXHUUJOMBGZUVGYHUUJOXHUUSUUJUVHUVGUUTEBXMV
      PWIWJYHXHUUJUUIWMYHUVHUUJXHXIUVHXHUVHBMWNXIBWOBAWPWEUNUCWAWQWRREXMYAYBWSW
      EWTXAXBYHYIYJXCVIXDXEXF $.
      $( [22-Jul-2006] $) $( [6-Jan-2005] $)

    $( Ordinal exponentiation compared to its exponent.  Proposition 8.37 of
       [TakeutiZaring] p. 68. $)
    oeworde $p |- ( ( ( A e. On /\ B e. On ) /\ 1o e. A ) ->
                  B (_ ( A ^o B ) ) $=
      ( vx vy con0 wcel c1o coe co wss wi cv c0 csuc wa wceq id opreq2 sseq12d
      0ss a1i wb word ordsucsssuc eloni adantr oecl ancoms syl sylanc adantrr
      sstr2 visset sucid oeordi mpi anasss ordsucss mpd sucelon sylanb syl5com
      sylbid ex wlim wral ciun cuni limuni uniiun syl6eq cvv oelim mpanlr1
      an1s ss2iun syl5bir wne on0eln0 ne0i imdistani syl5 tfinds3 exp3a com12
      imp31 ) AEFZBEFZGAFZBABHIZJZWHWGWIWKKWHWGWIWKCLZAWLHIZJZMAMHIZJZDLZAWQHIZ
      JZWQNZAWTHIZJZWKCDBWGWIOZWLMPZWLMWMWOXDQWLMAHRSWLWQPZWLWQWMWRXEQWLWQAHRSW
      LWTPZWLWTWMXAXFQWLWTAHRSWLBPZWLBWMWJXGQWLBAHRSWPXCWOTUAWQEFZXCWSXBKXHXCOZ
      WSWTWRNZJZXBXHWGWSXKUBZWIWQUCZWRUCZXLXHWGOZWQWRUDXHXMWGWQUEUFXOWREFZXNWGX
      HXPAWQUGUHWRUEUIUJUKXKXJXAJZXBXIWTXJXAULWTEFZXCXQXHXRXCOWRXAFZXQXRWGWIXSX
      RWGOZWIOWQWTFXSWQDUMUNWQWTAUOUPUQXRWGXSXQKZWIXTXAUCZYAWGXRYBWGXROXAEFYBAW
      TUGXAUEUIUHWRXAURUIUKUSWQUTVAVBVCVDWLVEZWGMAFZOZWSDWLVFZWNKZXCYCYEYGYCYEO
      ZWNDWLWQVGZDWLWRVGZJYFYHWLYIWMYJYCWLYIPYEYCWLWLVHYIWLVIDWLVJVKUFWGYCYDWMY
      JPZWGYCYDYKWGWLVLFYCYDYKCUMDAWLVLVMVNUQVOSDWLWQWRVPVQVDWGWIYDWGYDAMVRWIAV
      SAGVTVQWAWBWCWDWEWF $.
      $( [18-Jan-2005] $) $( [7-Jan-2005] $)
  $}

  $( Ordering property of ordinal exponentiation with a successor exponent.
     Corollary 8.36 of [TakeutiZaring] p. 68. $)
  oeordsuc $p |- ( ( B e. On /\ C e. On ) ->
      ( A e. B -> ( A ^o suc C ) e. ( B ^o suc C ) ) ) $=
    ( con0 wcel wa csuc coe co wi onelon ex adantr comu wss w3a oewordri
    3adant1 omwordri oecl 3adant2 3simp1 syl3anc syld wceq oesuc sseq1d
    sylibrd c0 wne on0eln0 ne0i syl5bir oen0 omordi pm3.26 jca sylan com23
    mpdd eleq2d jcad 3expa ontr2 syl2an anandirs sucelon sylan2b exp31 com4l
    imp ) BDEZCDEZFZABEZADEZACGZHIZBVQHIZEZVLVOVPJVMVLVOVPBAKLMVLVMVOVPVTJJVPVL
    VMVOVTVPVLVMVOVTJVPVLFZVMFVOVRBCHIZANIZOZWCVSEZFZVTVPVLVMVOWFJVPVLVMPZVOWDW
    EWGVOACHIZANIZWCOZWDWGVOWHWBOZWJVLVMVOWKJVPABCQRWHDEZWBDEZVPWKWJJWGWHWBASVP
    VMWLVLACTUAVLVMWMVPBCTZRVPVLVMUBUCUDWGVRWIWCVPVMVRWIUEVLACUFUAUGUHWGVOWCWBB
    NIZEZWEVLVMVOWPJZVPVNVOUIWBEZWPVNVOUIBEZWRVLVOWSJVMVLWSBUIUJVOBUKBAULUMMVNW
    SWRBCUNLUDVNWRVOWPVNWRWQVLWMFWRWQVNABWBUOVNVLWMVLVMUPWNUQURLUSUTRWGVSWOWCVL
    VMVSWOUEVPBCUFRVAUHVBVCWAVQDEZWFVTJZVMVPVLWTXAVRDEVSDEXAVPWTFVLWTFVRWCVSVDA
    VQTBVQTVEVFCVGVHUDVIVJVKUT $.
    $( [8-Jun-2005] $) $( [7-Jan-2005] $)

  ${
    $d x y A $.  $d x y B $.  $d y C $.
    $( Ordinal exponentiation with a limit exponent.  Part of Exercise 4.36 of
       [Mendelson] p. 250. $)
    oelim2 $p |- ( ( A e. On /\ ( B e. C /\ Lim B ) ) ->
                ( A ^o B ) = U_ x e. ( B \ 1o ) ( A ^o x ) ) $=
      ( vy wcel wlim wa coe co c1o cdif cv ciun wceq c0 opreq1 adantr iuneq2dv
      eqeq12d con0 oe0m1 biimpa limelon 0ellim adantl sylanc wn wi word
      ordelon limord sylan wne on0eln0 el1o necon3bbii syl6bbr biimpd sylbird
      syl ex imp32 eldif sylan2b csuc limsuc mpbid df-1o syl5eqel 1on onirr
      jctir sylibr ne0i iunconst 3syl eqtrd eqtr4d syl5bir impcom oelim wss
      wrex wral nsuceq0 nemtbir ad2antlr sssucid w3a oewordi id 3expa ancoms
      suceloni ancli sylan2 anassrs an1rs mpi jcad opreq2 sseq2d rcla4ev syl6
      r19.21aiv iunss2 difss iunss1 ax-mp cbviunv sseqtr a1i eqssd adantlrl
      oe0lem ) CDFZCGZHZBCIJZACKLZBAMZIJZNZOZBBPOZXSYEYFYEPCIJZAYAPYBIJZNZOXSYF
      XTYGYDYIBPCIQYFAYAYCYHYFYCYHOYBYAFZBPYBIQRSTXSYGPYICUAFZPCFZYGPOZXSYKYLYM
      CUBUCCDUDXRYLXQCUEZUFUGXRYIPOXQXRYIAYAPNZPXRAYAYHPXRYBCFZYBKFZUHZHYHPOZYJ
      XRYPYRYSXRYPYRYSUIZXRYPHYBUAFZYTCUJZYPUUAXRCYBUKCULZUMUUAYRPYBFZYSUUAUUDY
      BPUNYRYBUOYQYBPYBUPUQURUUAUUDYSYBUBUSUTVAVBVCYBCKVDVESXRKYAFZYAPUNYOPOXRK
      CFZKKFUHZHUUEXRUUFUUGXRPVFZCKXRYLUUHCFYNCPVGVHVIVJKVKVLVMKCKVDVNYAKVOAYAP
      VPVQVRUFVSVTWABUAFZXSHPBFZHXTECBEMZIJZNZYDEBCDWBUUIXRUUJUUMYDOXQUUIXRHZUU
      JHZUUMYDUUOUULYCWCZAYAWDZECWEUUMYDWCUUOUUQECUUOUUKCFZUUKVFZYAFZUULBUUSIJZ
      WCZHUUQUUOUURUUTUVBXRUURUUTUIUUIUUJXRUURUUTXRUURHZUUSCFZUUSKFZUHZHUUTUVCU
      VDUVFXRUURUVDCUUKVGUCUVEUUSPUUKWFUUSUPWGVMUUSCKVDVNVBWHUUOUURUVBUUOUURHUU
      KUUSWCZUVBUUKWIUUNUURUUJUVGUVBUIZUUKUAFZUUSUAFZUUIWJZUUJUVHUUNUURHUUKUUSB
      WKUUIXRUURUVKUUIUVIUVJHZUVKUVCUVLUUIUVKUVIUVJUUIUVKUVKWLWMWNUVCUVIUVLUUBU
      URUVIXRCUUKUKUUCUMUVIUVJUUKWOWPVAWQWRUMWSWTVBXAUUPUVBAUUSYAYBUUSOYCUVAUUL
      YBUUSBIXBXCXDXEXFEACYAUULYCXGVAYDUUMWCUUOYDACYCNZUUMYACWCYDUVMWCCKXHAYACY
      CXIXJAECYCUULYBUUKBIXBXKXLXMXNXOVRXP $.
      $( [21-Jul-2006] $) $( [6-Jan-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Natural number arithmetic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Addition with zero.  Theorem 4I(A1) of [Enderton] p. 79. $)
  nna0 $p |- ( A e. om -> ( A +o (/) ) = A ) $=
    ( com wcel con0 c0 coa co wceq nnont oa0 syl ) ABCADCAEFGAHAIAJK $.
    $( [20-Sep-1995] $)

  $( Multiplication with zero.  Theorem 4J(A1) of [Enderton] p. 80. $)
  nnm0 $p |- ( A e. om -> ( A .o (/) ) = (/) ) $=
    ( com wcel con0 c0 comu co wceq nnont om0 syl ) ABCADCAEFGEHAIAJK $.
    $( [20-Sep-1995] $)

  $( Addition with successor.  Theorem 4I(A2) of [Enderton] p. 79. $)
  nnasuc $p |- ( ( A e. om /\ B e. om ) ->
                ( A +o suc B ) = suc ( A +o B ) ) $=
    ( con0 wcel csuc coa co wceq com oasuc nnont syl2an ) ACDBCDABEFGABFGEHAIDB
    IDABJAKBKL $.
    $( [20-Sep-1995] $)

  $( Multiplication with successor.  Theorem 4J(A2) of [Enderton] p. 80. $)
  nnmsuc $p |- ( ( A e. om /\ B e. om ) ->
                ( A .o suc B ) = ( ( A .o B ) +o A ) ) $=
    ( con0 wcel csuc comu co coa wceq com omsuc nnont syl2an ) ACDBCDABEFGABFGA
    HGIAJDBJDABKALBLM $.
    $( [20-Sep-1995] $)

  $( Addition to zero.  Remark in proof of Theorem 4K(2) of [Enderton]
     p. 81. $)
  nna0r $p |- ( A e. om -> ( (/) +o A ) = A ) $=
    ( com wcel con0 c0 coa co wceq nnont oa0r syl ) ABCADCEAFGAHAIAJK $.
    $( [20-Sep-1995] $)

  $( Multiplication with zero.  Exercise 16 of [Enderton] p. 82. $)
  nnm0r $p |- ( A e. om -> ( (/) .o A ) = (/) ) $=
    ( com wcel con0 c0 comu co wceq nnont om0r syl ) ABCADCEAFGEHAIAJK $.
    $( [20-Sep-1995] $)

  ${
    $d x y A $.  $d x B $.
    $( Closure of addition of natural numbers.  Proposition 8.9 of
       [TakeutiZaring] p. 59. $)
    nnacl $p |- ( ( A e. om /\ B e. om ) -> ( A +o B ) e. om ) $=
      ( vx vy com wcel coa co cv wi c0 csuc wceq opreq2 eleq1d imbi2d nna0
      ibir wa nnasuc peano2 syl5bir expcom a2d finds impcom ) BEFAEFZABGHZEFZUG
      ACIZGHZEFZJUGAKGHZEFZJUGADIZGHZEFZJUGAUOLZGHZEFZJUGUIJCDBUJKMZULUNUGVAUKU
      MEUJKAGNOPUJUOMZULUQUGVBUKUPEUJUOAGNOPUJURMZULUTUGVCUKUSEUJURAGNOPUJBMZUL
      UIUGVDUKUHEUJBAGNOPUGUNUGUMAEAQORUOEFZUGUQUTUGVEUQUTJUGVESZUTUPLZEFUQVFUS
      VGEAUOTOUPUAUBUCUDUEUF $.
      $( [20-Sep-1995] $)
  $}

  ${
    $d x y A $.  $d x B $.
    $( Closure of multiplication of natural numbers.  Proposition 8.17 of
       [TakeutiZaring] p. 63. $)
    nnmcl $p |- ( ( A e. om /\ B e. om ) -> ( A .o B ) e. om ) $=
      ( vx vy com wcel comu co cv wi c0 csuc wceq opreq2 eleq1d imbi2d nnm0
      peano1 syl6eqel wa coa nnmsuc nnacl syl5bir exp4b com24 pm2.43i com3r
      a2d finds impcom ) BEFAEFZABGHZEFZULACIZGHZEFZJULAKGHZEFZJULADIZGHZEFZJUL
      AUTLZGHZEFZJULUNJCDBUOKMZUQUSULVFUPUREUOKAGNOPUOUTMZUQVBULVGUPVAEUOUTAGNO
      PUOVCMZUQVEULVHUPVDEUOVCAGNOPUOBMZUQUNULVIUPUMEUOBAGNOPULURKEAQRSUTEFZULV
      BVEULVBVJVEULVBVJVEJJULVJVBULVEULVJVBULVEULVJTZVEVAAUAHZEFVBULTVKVDVLEAUT
      UBOVAAUCUDUEUFUGUHUIUJUK $.
      $( [20-Sep-1995] $)
  $}

  ${
    $d x y A $.  $d x B $.
    $( Closure of exponentiation of natural numbers.  Proposition 8.17 of
       [TakeutiZaring] p. 63. $)
    nnecl $p |- ( ( A e. om /\ B e. om ) -> ( A ^o B ) e. om ) $=
      ( vx vy com wcel coe co cv wi c0 csuc wceq opreq2 eleq1d imbi2d c1o con0
      nnont oe0 syl df-1o peano1 peano2 ax-mp eqeltr syl6eqel wa comu oesuc
      syl2an nnmcl syl5bir exp4b com24 pm2.43i com3r a2d finds impcom ) BEFAEFZ
      ABGHZEFZVAACIZGHZEFZJVAAKGHZEFZJVAADIZGHZEFZJVAAVILZGHZEFZJVAVCJCDBVDKMZV
      FVHVAVOVEVGEVDKAGNOPVDVIMZVFVKVAVPVEVJEVDVIAGNOPVDVLMZVFVNVAVQVEVMEVDVLAG
      NOPVDBMZVFVCVAVRVEVBEVDBAGNOPVAVGQEVAARFZVGQMASZATUAQKLZEUBKEFWAEFUCKUDUE
      UFUGVIEFZVAVKVNVAVKWBVNVAVKWBVNJJVAWBVKVAVNVAWBVKVAVNVAWBUHZVNVJAUIHZEFVK
      VAUHWCVMWDEVSVIRFVMWDMVAWBAVIUJVTVISUKOVJAULUMUNUOUPUQURUSUT $.
      $( [5-Jun-2007] $) $( [24-Mar-2007] $)
  $}

  $( Reverse closure law for addition of natural numbers.  Exercise 1 of
     [TakeutiZaring] p. 62 and its converse. $)
  nnarcl $p |- ( ( A e. On /\ B e. On ) ->
               ( ( A +o B ) e. om <-> ( A e. om /\ B e. om ) ) ) $=
    ( con0 wcel wa coa co com wss wi oaword1 word eloni ordom ordtr2 mpan2 syl
    exp3a adantr mpd oaword2 ancoms adantl jcad nnacl impbid1 ) ACDZBCDZEZABFGZ
    HDZAHDZBHDZEUIUKULUMUIAUJIZUKULJZABKUGUNUOJUHUGUNUKULUGALZUNUKEULJZAMUPHLZU
    QNAUJHOPQRSTUIBUJIZUKUMJZUHUGUSBAUAUBUHUSUTJUGUHUSUKUMUHBLZUSUKEUMJZBMVAURV
    BNBUJHOPQRUCTUDABUEUF $.
    $( [14-Dec-2004] $) $( [12-Dec-2004] $)

  ${
    $d x A $.  $d x y z B $.
    $( Addition of natural numbers is commutative.  Theorem 4K(2) of
       [Enderton] p. 81. $)
    nnacom $p |- ( ( A e. om /\ B e. om ) -> ( A +o B ) = ( B +o A ) ) $=
      ( vx vy vz com wcel coa co wceq cv wi c0 csuc opreq1 opreq2 eqeq12d
      imbi2d nna0r nna0 eqtr4d wa suceq syl peano2b sylbi con0 oasuc nnont
      suceloni syl2an anim12i 3syl syl5bir expcom a2d finds imp nnasuc ) AFGBFG
      ZABHIZBAHIZJZUTCKZBHIZBVDHIZJZLUTMBHIZBMHIZJZLUTDKZBHIZBVKHIZJZLUTVKNZBHI
      ZBVOHIZJZLUTVCLCDAVDMJZVGVJUTVSVEVHVFVIVDMBHOVDMBHPQRVDVKJZVGVNUTVTVEVLVF
      VMVDVKBHOVDVKBHPQRVDVOJZVGVRUTWAVEVPVFVQVDVOBHOVDVOBHPQRVDAJZVGVCUTWBVEVA
      VFVBVDABHOVDABHPQRUTVHBVIBSBTUAVKFGZUTVNVRUTWCVNVRLUTWCUBZVRVLNZVMNZJVNWD
      VPWEVQWFUTWCVPWEJZWCVOVDHIZVKVDHIZNZJZLWCVOMHIZVKMHIZNZJZLWCVOEKZHIZVKWPH
      IZNZJZLWCVOWPNZHIZVKXAHIZNZJZLWCWGLCEBVSWKWOWCVSWHWLWJWNVDMVOHPVSWIWMJWJW
      NJVDMVKHPWIWMUCUDQRVDWPJZWKWTWCXFWHWQWJWSVDWPVOHPXFWIWRJWJWSJVDWPVKHPWIWR
      UCUDQRVDXAJZWKXEWCXGWHXBWJXDVDXAVOHPXGWIXCJWJXDJVDXAVKHPWIXCUCUDQRVDBJZWK
      WGWCXHWHVPWJWEVDBVOHPXHWIVLJWJWEJVDBVKHPWIVLUCUDQRWCWLVOWNWCVOFGWLVOJVKUE
      VOTUFWCWMVKJWNVOJVKTWMVKUCUDUAWPFGZWCWTXEWCXIWTXELWCXIUBZXEWQNZWSNZJWTXJX
      BXKXDXLVOUGGZWPUGGZXBXKJWCXIVOWPUHWCVKUGGZXMVKUIZVKUJUDWPUIZUKXJXOXNUBXCW
      SJXDXLJWCXOXIXNXPXQULVKWPUHXCWSUCUMQWQWSUCUNUOUPUQURBVKUSQVLVMUCUNUOUPUQU
      R $.
      $( [6-May-1995] $)
  $}

  $( Ordering property of addition.  Proposition 8.4 of [TakeutiZaring] p. 58,
     limited to natural numbers. $)
  nnaordi $p |- ( ( B e. om /\ C e. om ) ->
               ( A e. B -> ( C +o A ) e. ( C +o B ) ) ) $=
    ( con0 wcel coa co wi com oaordi nnont syl2an ) BDECDEABECAFGCBFGEHBIECIEAB
    CJBKCKL $.
    $( [3-Feb-1996] $)

  $( Ordering property of addition.  Proposition 8.4 of [TakeutiZaring] p. 58,
     limited to natural numbers, and its converse. $)
  nnaord $p |- ( ( A e. om /\ B e. om /\ C e. om ) ->
                 ( A e. B <-> ( C +o A ) e. ( C +o B ) ) ) $=
    ( con0 wcel coa co wb com oaord nnont syl3an ) ADEBDECDEABECAFGCBFGEHAIEBIE
    CIEABCJAKBKCKL $.
    $( [7-Mar-1996] $)

  $( Ordering property of addition of natural numbers. $)
  nnaordr $p |- ( ( A e. om /\ B e. om /\ C e. om ) ->
                 ( A e. B <-> ( A +o C ) e. ( B +o C ) ) ) $=
    ( com wcel w3a coa co nnaord wceq nnacom ancoms 3adant2 3adant1 eleq12d
    bitrd ) ADEZBDEZCDEZFZABECAGHZCBGHZEACGHZBCGHZEABCITUAUCUBUDQSUAUCJZRSQUECA
    KLMRSUBUDJZQSRUFCBKLNOP $.
    $( [9-Nov-2002] $)

  $( Addition of natural numbers is associative.  (For brevity, this is just a
     special case of the proof for ordinals.  A direct proof would be about 1/3
     the size of the ordinal proof, since it would use finite induction and not
     require the limit ordinal case..)  Theorem 4K(1) of [Enderton] p. 81. $)
  nnaass $p |- ( ( A e. om /\ B e. om /\ C e. om ) ->
               ( ( A +o B ) +o C ) = ( A +o ( B +o C ) ) ) $=
    ( con0 wcel coa co wceq com oaass nnont syl3an ) ADEBDECDEABFGCFGABCFGFGHAI
    EBIECIEABCJAKBKCKL $.
    $( [20-Sep-1995] $)

  $( Distributive law for natural numbers.  (For brevity, this is just a
     special case of the proof for ordinals.  A direct proof would be about 1/4
     the size of the ordinal proof, since it would use finite induction and not
     require the limit ordinal case.)  Theorem 4K(3) of [Enderton] p. 81. $)
  nndi $p |- ( ( A e. om /\ B e. om /\ C e. om ) ->
               ( A .o ( B +o C ) ) = ( ( A .o B ) +o ( A .o C ) ) ) $=
    ( con0 wcel coa co comu wceq com odi nnont syl3an ) ADEBDECDEABCFGHGABHGACH
    GFGIAJEBJECJEABCKALBLCLM $.
    $( [20-Sep-1995] $)

  $( Multiplication of natural numbers is associative.  (For brevity, this is
     just a special case of the proof for ordinals.  A direct proof would be
     about 1/3 the size of the ordinal proof, since it would use finite
     induction and not require the limit ordinal case..)  Theorem 4K(4) of
     [Enderton] p. 81. $)
  nnmass $p |- ( ( A e. om /\ B e. om /\ C e. om ) ->
               ( ( A .o B ) .o C ) = ( A .o ( B .o C ) ) ) $=
    ( con0 wcel comu co wceq com omass nnont syl3an ) ADEBDECDEABFGCFGABCFGFGHA
    IEBIECIEABCJAKBKCKL $.
    $( [20-Sep-1995] $)

  ${
    $d x y A $.  $d x B $.
    $( Multiplication with successor.  Exercise 16 of [Enderton] p. 82. $)
    nnmsucr $p |- ( ( A e. om /\ B e. om ) ->
                  ( suc A .o B ) = ( ( A .o B ) +o B ) ) $=
      ( vx vy com wcel csuc comu co coa wceq cv wi c0 opreq2 id opreq12d
      eqeq12d imbi2d peano2b nnm0 sylbi opreq1d peano1 nna0 ax-mp syl6eq
      eqtr4d wa nnmsuc sylanb nnacom suceq syl nnasuc ancoms 3eqtr4d opreq2d
      nnaass syl3an3b nnmcl syl3an1 3expb anidms an42s eqtrd opreq1 syl5bir
      expcom a2d finds impcom ) BEFAEFZAGZBHIZABHIZBJIZKZVMVNCLZHIZAVSHIZVSJIZK
      ZMVMVNNHIZANHIZNJIZKZMVMVNDLZHIZAWHHIZWHJIZKZMVMVNWHGZHIZAWMHIZWMJIZKZMVM
      VRMCDBVSNKZWCWGVMWRVTWDWBWFVSNVNHOWRWAWEVSNJVSNAHOWRPQRSVSWHKZWCWLVMWSVTW
      IWBWKVSWHVNHOWSWAWJVSWHJVSWHAHOWSPQRSVSWMKZWCWQVMWTVTWNWBWPVSWMVNHOWTWAWO
      VSWMJVSWMAHOWTPQRSVSBKZWCVRVMXAVTVOWBVQVSBVNHOXAWAVPVSBJVSBAHOXAPQRSVMWDN
      WFVMVNEFZWDNKATZVNUAUBVMWFNNJIZNVMWENNJAUAUCNEFXDNKUDNUEUFUGUHWHEFZVMWLWQ
      VMXEWLWQMVMXEUIZWQWIVNJIZWKVNJIZKWLXFWNXGWPXHXBXEWNXGKVMVNWHUJXCUKXFWPWJA
      JIZWMJIZXHXFWOXIWMJAWHUJUCXFWJAWMJIZJIZWJWHVNJIZJIZXJXHXFXKXMWJJXFAWHJIZG
      ZWHAJIZGZXKXMXFXOXQKXPXRKAWHULXOXQUMUNAWHUOXEVMXMXRKWHAUOUPUQURXFXJXLKZXF
      VMXEXSWJEFZVMXEXSXFXTVMWMEFXSXEWJAWMUSWHTUTAWHVAZVBVCVDXFXHXNKZVMXEXEVMYB
      XFXEVMYBXTXEVMYBXFXTXEXBYBVMWJWHVNUSXCUTYAVBVCVEVDUQVFRWIWKVNJVGVHVIVJVKV
      L $.
      $( [21-Sep-1995] $)
  $}

  ${
    $d x A $.  $d x y B $.
    $( Multiplication of natural numbers is commutative.  Theorem 4K(5) of
       [Enderton] p. 81. $)
    nnmcom $p |- ( ( A e. om /\ B e. om ) -> ( A .o B ) = ( B .o A ) ) $=
      ( vx vy com wcel comu co wceq cv wi c0 csuc opreq1 opreq2 eqeq12d imbi2d
      nnm0r nnm0 eqtr4d wa coa nnmsucr nnmsuc ancoms syl5bir ex a2d finds imp
      ) AEFBEFZABGHZBAGHZIZUKCJZBGHZBUOGHZIZKUKLBGHZBLGHZIZKUKDJZBGHZBVBGHZIZKU
      KVBMZBGHZBVFGHZIZKUKUNKCDAUOLIZURVAUKVJUPUSUQUTUOLBGNUOLBGOPQUOVBIZURVEUK
      VKUPVCUQVDUOVBBGNUOVBBGOPQUOVFIZURVIUKVLUPVGUQVHUOVFBGNUOVFBGOPQUOAIZURUN
      UKVMUPULUQUMUOABGNUOABGOPQUKUSLUTBRBSTVBEFZUKVEVIVNUKVEVIKVNUKUAZVIVCBUBH
      ZVDBUBHZIVEVOVGVPVHVQVBBUCUKVNVHVQIBVBUDUEPVCVDBUBNUFUGUHUIUJ $.
      $( [21-Sep-1995] $)
  $}

  $( Cancellation law for addition of natural numbers. $)
  nnacan $p |- ( ( A e. om /\ B e. om /\ C e. om ) ->
                   ( ( A +o B ) = ( A +o C ) <-> B = C ) ) $=
    ( con0 wcel coa co wceq wb com oacan nnont syl3an ) ADEBDECDEABFGACFGHBCHIA
    JEBJECJEABCKALBLCLM $.
    $( [27-Oct-1995] $)

  $( Weak ordering property of addition. $)
  nnaword $p |- ( ( A e. om /\ B e. om /\ C e. om ) ->
                ( A (_ B <-> ( C +o A ) (_ ( C +o B ) ) ) $=
    ( con0 wcel wss coa co wb com oaword nnont syl3an ) ADEBDECDEABFCAGHCBGHFIA
    JEBJECJEABCKALBLCLM $.
    $( [17-Sep-1995] $)

  $( Weak ordering property of addition. $)
  nnaword1 $p |- ( ( A e. om /\ B e. om ) -> A (_ ( A +o B ) ) $=
    ( con0 wcel coa co wss com oaword1 nnont syl2an ) ACDBCDAABEFGAHDBHDABIAJBJ
    K $.
    $( [9-Nov-2002] $)

  $( Weak ordering property of addition. $)
  nnaword2 $p |- ( ( A e. om /\ B e. om ) -> A (_ ( B +o A ) ) $=
    ( com wcel wa coa co nnaword1 nnacom sseqtrd ) ACDBCDEAABFGBAFGABHABIJ $.
    $( [9-Nov-2002] $)

  $( Ordering property of multiplication.  Half of Proposition 8.19 of
     [TakeutiZaring] p. 63, limited to natural numbers. $)
  nnmordi $p |- ( ( A e. om /\ B e. om /\ C e. om ) ->
               ( ( A e. B /\ (/) e. C ) -> ( C .o A ) e. ( C .o B ) ) ) $=
    ( com wcel c0 wa comu co wi con0 omordi ex nnont syl2an com23 imp3a
    3adant1 ) BDEZCDEZABEZFCEZGCAHICBHIEZJADESTGZUAUBUCUDUBUAUCBKEZCKEZUBUAUCJZ
    JSTUEUFGUBUGABCLMBNCNOPQR $.
    $( [18-Sep-1995] $)

  $( Ordering property of multiplication.  Proposition 8.19 of
     [TakeutiZaring] p. 63, limited to natural numbers. $)
  nnmord $p |- ( ( A e. om /\ B e. om /\ C e. om ) ->
               ( ( A e. B /\ (/) e. C ) <-> ( C .o A ) e. ( C .o B ) ) ) $=
    ( con0 wcel c0 wa comu co wb com omord nnont syl3an ) ADEBDECDEABEFCEGCAHIC
    BHIEJAKEBKECKEABCLAMBMCMN $.
    $( [22-Jan-1996] $)

  $( Cancellation law for multiplication of natural numbers. $)
  nnmcan $p |- ( ( ( A e. om /\ B e. om /\ C e. om ) /\ (/) e. A ) ->
                   ( ( A .o B ) = ( A .o C ) <-> B = C ) ) $=
    ( con0 wcel c0 comu co wceq wb com omcan nnont syl3anl ) ADEBDECDEFAEABGHAC
    GHIBCIJAKEBKECKEABCLAMBMCMN $.
    $( [26-Oct-1995] $)

  ${
    $d x A $.  $d x B $.
    $( Equivalence for ordering.  Compare Exercise 23 of [Enderton] p. 88. $)
    nnaordex $p |- ( ( A e. om /\ B e. om ) -> ( A e. B <->
                  E. x e. om ( (/) e. x /\ ( A +o x ) = B ) ) ) $=
      ( con0 wcel com c0 cv coa co wceq wa wrex wb oaordex nnont sylan2 wi
      eleq1 bicomd nnarcl sylan9bbr pm3.27 syl6bi exp31 com23 adantld com24
      imp4b a1i jcad anim1i impbid1 rexbidv2 bitrd sylan ) BDEZCFEZBCEZGAHZEZBU
      TIJZCKZLZAFMZNBFEZUQURLZUSVDADMZVEUQCDEUSVHNURABCOCPQVGVDVDADFVGUTDEZVDLZ
      UTFEZVDLVGVJVKVDUQURVIVDVKUQVDVIURVKUQVCVIURVKRZRVAUQVIVCVLUQVIVCVLUQVILZ
      VCLURVFVKLZVKVCURVBFEZVMVNVCVOURVBCFSTBUTUAUBVFVKUCUDUEUFUGUHUIVJVDRVGVIV
      DUCUJUKVKVIVDUTPULUMUNUOBPUP $.
      $( [5-Dec-1995] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Equivalence for weak ordering of natural numbers. $)
    nnawordex $p |- ( ( A e. om /\ B e. om ) -> ( A (_ B <->
                  E. x e. om ( A +o x ) = B ) ) $=
      ( con0 wcel com wss cv coa co wceq wrex wb wa oawordex nnont sylan2 wi
      eleq1 bicomd nnarcl sylan9bbr pm3.27 syl6bi exp31 com23 com24 imp4b a1i
      jcad anim1i impbid1 rexbidv2 bitrd sylan ) BDEZCFEZBCGZBAHZIJZCKZAFLZMBFE
      ZUPUQNZURVAADLZVBUPCDEURVEMUQABCOCPQVDVAVAADFVDUSDEZVANZUSFEZVANVDVGVHVAU
      PUQVFVAVHUPVAVFUQVHUPVFVAUQVHRZUPVFVAVIUPVFNZVANUQVCVHNZVHVAUQUTFEZVJVKVA
      VLUQUTCFSTBUSUAUBVCVHUCUDUEUFUGUHVGVARVDVFVAUCUIUJVHVFVAUSPUKULUMUNBPUO
      $.
      $( [8-Nov-2002] $)
  $}

  ${
    $d x y A $.  $d x B $.
    $( Lemma for ~ oaabs . $)
    oaabslem $p |- ( ( om e. On /\ A e. om ) -> ( A +o om ) = om ) $=
      ( vx com con0 wcel wa coa co wss cv ciun wlim wceq oalim nnont limom
      jctr syl2an wral nnacl word ordom ordelss mpan syl r19.21aiva iunss
      sylibr adantr eqsstrd ancoms oaword2 sylan2 eqssd ) CDEZACEZFACGHZCUPUOUQ
      CIUPUOFUQBCABJZGHZKZCADEZUOCLZFUQUTMUPUOBACDNAOZUOVBPQRUPUTCIZUOUPUSCIZBC
      SVDUPVEBCUPURCEFUSCEZVEAURTCUAVFVEUBCUSUCUDUEUFBCUSCUGUHUIUJUKUOVACUQIUPC
      AULVCUMUN $.
      $( [3-Mar-2005] $) $( [9-Dec-2004] $)

    $( Ordinal addition absorbs a natural number added to the left of a
       transfinite number.  Proposition 8.10 of [TakeutiZaring] p. 59. $)
    oaabs $p |- ( ( ( A e. om /\ B e. On ) /\ om (_ B ) -> ( A +o B ) = B ) $=
      ( vx vy com wcel con0 wss coa co wceq wi wa cvv ssexg ex word ordom
      elong mpbiri syl6com imp cv csuc opreq2 id eqeq12d imbi2d oaabslem oasuc
      nnont sylan suceq sylan9eq exp31 com12 ad2antrr a2d wlim wral ciun cdif
      cun cuni oalim limom jctr syl2an ancoms limuni ax-mp syl6eq eqtr3d
      adantl wn wb ordelon limord eloni ordtri1 mpan 3syl pm5.32da eldif
      syl6bbr imbi1d impexp syl5bbr ralbidv2 iuneq2 uniiun syl6eqr syl6bi
      adantlr adantr uneq12d visset jctl ssequn1 biimp undif2 syl5eq iuneq1
      syl iunxun syl5reqr an1rs ad2ant2r unieqd uniun 3eqtr4d exp43 com23
      bi2.04 ralbii r19.21v bitr syl5ib com4r impcom tfindsg mpdan com3r imp31
      ) AEFZBGFZEBHZABIJZBKZYFYGYEYIYFYGYEYILZYFYGMEGFZYJYFYGYKYGYFENFZYKYGYFYL
      EBGOPYLYKEQZRENSTUAUBYFYKYGYJYEACUCZIJZYNKZLZYEAEIJZEKZLYEADUCZIJZYTKZLZY
      EAYTUDZIJZUUDKZLYJCDBEYNEKZYPYSYEUUGYOYRYNEYNEAIUEUUGUFUGUHYNYTKZYPUUBYEU
      UHYOUUAYNYTYNYTAIUEUUHUFUGUHYNUUDKZYPUUFYEUUIYOUUEYNUUDYNUUDAIUEUUIUFUGUH
      YNBKZYPYIYEUUJYOYHYNBYNBAIUEUUJUFUGUHYKYEYSAUIZPYTGFZYKMEYTHZMYEUUBUUFUUL
      YEUUBUUFLZLYKUUMYEUULUUNYEUULUUBUUFYEUULMUUBUUEUUAUDZUUDAGFZUULUUEUUOKYEA
      YTUJAUKZULUUAYTUMUNUOUPUQURYNUSZEYNHZYKUUMUUCLZDYNUTZYQLZYKUURUUSMZUVBUVC
      UVAYEYKYPUVCYEUUMUUBLZDYNUTZLZYEYKYPLZLUVAUVCYEUVEUVGUVCUVEYEUVGUVCUVEYEY
      KYPUVCUVEMZYEYKMZMZDEUUAVAZDYNEVBZUUAVAZVCZEVDZUVLVDZVCZYOYNUVJUVKUVOUVMU
      VPUVIUVKUVOKUVHUVIYRUVKUVOUUPYKEUSZMYRUVKKYEYKDAEGVEUUQYKUVRVFVGVHUVIYREU
      VOYKYEYSUUKVIUVREUVOKVFEVJVKVLVMVNUVHUVMUVPKZUVIUURUVEUVSUUSUURUVEUVSUURU
      VEUUBDUVLUTZUVSUURUVDUUBDYNUVLUURYTYNFZUUMMZUUBLYTUVLFZUUBLUWAUVDLUURUWBU
      WCUUBUURUWBUWAYTEFVOZMUWCUURUWAUUMUWDUURUWAMUULYTQZUUMUWDVPZYNQUWAUULUURY
      NYTVQYNVRULYTVSYMUWEUWFREYTVTWAWBWCYTYNEWDWEWFUWAUUMUUBWGWHWIUVTUVMDUVLYT
      VAUVPDUVLUUAYTWJDUVLWKWLWMUBWNWOWPUVCYEYOUVNKZUVEYKUURYEUUSUWGUURYEMUUSYO
      DYNUUAVAZUVNYEUURYOUWHKZUUPYNNFZUURMUWIYEUURDAYNNVEUUQUURUWJCWQWRVHVIUUSD
      EUVLVCZUUAVAZUWHUVNUUSUWKYNKUWLUWHKUUSEYNVCZYNUWKUUSUWMYNKEYNWSWTEYNXAXBZ
      DUWKYNUUAXCXDDEUVLUUAXEXFUNXGXHUVCYNUVQKUVEUVIUURUUSYNYNVDZUVQYNVJUUSUWKV
      DUWOUVQUUSUWKYNUWNXIEUVLXJXFUNUQXKXLXMURUVAYEUVDLZDYNUTUVFUUTUWPDYNUUMYEU
      UBXNXOYEUVDDYNXPXQXRXSXTXGYAXGYBPYCYD $.
      $( [3-Mar-2005] $) $( [9-Dec-2004] $)
  $}

  $( One is a natural number. $)
  1onn $p |- 1o e. om $=
    ( c1o c0 csuc com df-1o wcel peano1 peano2 ax-mp eqeltr ) ABCZDEBDFKDFGBHIJ
    $.
    $( [29-Oct-1995] $)

  $( The ordinal 2 is a natural number. $)
  2onn $p |- 2o e. om $=
    ( c2o c1o csuc com df-2o wcel 1onn peano2 ax-mp eqeltr ) ABCZDEBDFKDFGBHIJ
    $.
    $( [6-Oct-2004] $) $( [28-Sep-2004] $)

  ${
    $d x y z A $.
    $( A natural number is even iff its successor is odd. $)
    nneob $p |- ( A e. om ->
      ( E. x e. om A = ( 2o .o x ) <-> -. E. x e. om suc A = ( 2o .o x ) ) ) $=
      ( vy vz com wcel c2o cv comu co wceq wrex csuc wn opreq2 eqeq2d cbvrexv
      wa con0 oneo nnont id syl3an 3com23 3expa nrexdv r19.23aiva sylbi wi c0
      suceq eqeq1d rexbidv negbid eqeq1 imbi12d peano1 eqid 2on om0 ax-mp
      syl6eq rcla4ev mp2an a1i c1o coa 1on oaass mp3an23 o1p1e2 opreq2i
      syl6req oa1suc opreq1d suceloni syl 3eqtrd eqcomd ad2antrr opreq1 2onn
      1onn nndi mp3an13 om1 sylan9eqr adantll eqtrd ex nnacl mpan2 adantl
      jctild syl6 r19.23adva syl5ib con3d con1 syl9 finds impbid2 ) BEFBGAHZIJZ
      KZAELZBMZXDKZAELZNZXFBGCHZIJZKZCELXJXEXMACEXCXKKZXDXLBXCXKGIOZPQXMXJCEXKE
      FZXMRXHAEXPXMXCEFZXHNZXPXQXMXRXKSFXCSFXMXRXPXQXMXKXCBTXKUAXCUAXMUBUCUDUEU
      FUGUHXKMZXDKZAELZNZXKXDKZAELZUIUJMZXDKZAELZNZUJXDKZAELZUIDHZMZXDKZAELZNZY
      KXDKZAELZUIZYLMZXDKZAELZNZYNUIXJXFUICDBXKUJKZYBYHYDYJUUCYAYGUUCXTYFAEUUCX
      SYEXDXKUJUKULUMUNUUCYCYIAEXKUJXDUOUMUPXKYKKZYBYOYDYQUUDYAYNUUDXTYMAEUUDXS
      YLXDXKYKUKULUMUNUUDYCYPAEXKYKXDUOUMUPXKYLKZYBUUBYDYNUUEYAUUAUUEXTYTAEUUEX
      SYSXDXKYLUKULUMUNUUEYCYMAEXKYLXDUOUMUPXKBKZYBXJYDXFUUFYAXIUUFXTXHAEUUFXSX
      GXDXKBUKULUMUNUUFYCXEAEXKBXDUOUMUPYJYHUJEFUJUJKZYJUQUJURYIUUGAUJEXCUJKZXD
      UJUJUUHXDGUJIJZUJXCUJGIOGSFZUUIUJKUSGUTVAVBPVCVDVEYKEFZUUBYQNYRYNUUKYQUUA
      UUKYKXLKZCELUUAYQUUKUULUUACEUUKXPRZUULXKVFVGJZEFZYSGUUNIJZKZRUUAUUMUULUUQ
      UUOUUMUULUUQUUMUULRYSYKGVGJZUUPUUKYSUURKXPUULUUKUURYSUUKYKSFZUURYSKYKUAUU
      SUURYKVFVGJZVFVGJZYLVFVGJZYSUUSUVAYKVFVFVGJZVGJZUURUUSVFSFZUVEUVAUVDKVHVH
      YKVFVFVIVJUVCGYKVGVKVLVMUUSUUTYLVFVGYKVNVOUUSYLSFUVBYSKYKVPYLVNVQVRVQVSVT
      XPUULUURUUPKUUKUULXPUURXLGVGJZUUPYKXLGVGWAXPUUPXLGVFIJZVGJZUVFGEFXPVFEFZU
      UPUVHKWBWCGXKVFWDWEUVGGXLVGUUJUVGGKUSGWFVAVLVMWGWHWIWJXPUUOUUKXPUVIUUOWCX
      KVFWKWLWMWNYTUUQAUUNEXCUUNKXDUUPYSXCUUNGIOPVCWOWPYPUULACEXNXDXLYKXOPQWQWR
      YNYQWSWTXAXB $.
      $( [26-Jan-2006] $) $( [26-Jan-2006] $)
  $}

  ${
    $d x y z w v A $.  $d x y z w v F $.
    $( Lemma for ~ omsmo . $)
    omsmolem $p |- ( y e. om -> ( ( ( A (_ On /\ F : om --> A ) /\
        A. x e. om ( F ` x ) e. ( F ` suc x ) ) ->
       ( z e. y -> ( F ` z ) e. ( F ` y ) ) ) ) $=
      ( vw cv wcel cfv wi c0 csuc con0 wss com wf wa wral wceq eleq2 fveq2
      eleq2d imbi12d noel pm2.21i a1i wo suceq fveq2d eleq12d rcla4cva adantll
      ssel ffvelrn peano2b sylan2b syl5 ontr1 exp3a com23 syl6 imp31 adantlr
      mpd imim2d imp eleq1d syl5cbir adantr jaod visset elsuc syl5ib exp31
      com12 finds2 ) CGZBGZHZVQEIZVREIZHZJVQKHZVTKEIZHZJZVQFGZHZVTWGEIZHZJZVQWG
      LZHZVTWLEIZHZJZDMNZODEPZQZAGZEIZWTLZEIZHZAORZQZBFVRKSZVSWCWBWEVRKVQTXGWAW
      DVTVRKEUAUBUCVRWGSZVSWHWBWJVRWGVQTXHWAWIVTVRWGEUAUBUCVRWLSZVSWMWBWOVRWLVQ
      TXIWAWNVTVRWLEUAUBUCWFXFWCWEVQUDUEUFXFWGOHZWKWPJXFXJWKWPXFXJQZWKQZWHVQWGS
      ZUGWOWMXLWHWOXMXKWKWHWOJXKWJWOWHXKWIWNHZWJWOJZXEXJXNWSXDXNAWGOWTWGSZXAWIX
      CWNWTWGEUAXPXBWLEWTWGUHUIUJUKZULWSXJXNXOJZXEWQWRXJXRWQWRXJXRWQWRXJQZWNMHZ
      XRWQWNDHZXTXSDMWNUMWRWLOHYAXJODWLEUNWGUOUPUQXTWJXNWOXTWJXNWOVTWIWNURUSUTV
      AUSVBVCVDVEVFXKXMWOJZWKXEXJYBWSXMWOXNXEXJQXMVTWIWNVQWGEUAVGXQVHULVIVJVQWG
      CVKVLVMVNVOVP $.
      $( [24-Jun-2004] $) $( [30-Nov-2003] $)

    $( A strictly monotonic ordinal function on the set of natural numbers
       is one-to-one. $)
    omsmo $p |- ( ( ( A (_ On /\ F : om --> A ) /\
          A. x e. om ( F ` x ) e. ( F ` suc x ) ) -> F : om -1-1-> A ) $=
      ( vy vz con0 wss com wf wa cv cfv csuc wcel wral wceq wi wf1 simplr wo
      wn omsmolem adantl imp adantr orim12d ancoms con3d wb word ssel ffvelrn
      syl5 exp3a eloni syl6 anim12d ordtri3 syl adantlr nnord syl2an 3imtr4d
      exp32 r19.21adv r19.21aiv jca f1fv sylibr ) BFGZHBCIZJZAKZCLVMMCLNAHOZJZV
      KDKZCLZEKZCLZPZVPVRPZQZEHOZDHOZJHBCRVOVKWDVJVKVNSVOWCDHVOVPHNZWBEHVOWEVRH
      NZWBVOWEWFJZJZVQVSNZVSVQNZTZUAZVPVRNZVRVPNZTZUAZVTWAWHWOWKWGVOWOWKQWGVOJW
      MWIWNWJWGVOWMWIQZWFVOWQQWEAEDBCUBUCUDWGVOWNWJQZWEVOWRQWFADEBCUBUEUDUFUGUH
      VLWGVTWLUIZVNVLWGJVQUJZVSUJZJZWSVLWGXBVLWEWTWFXAVLWEVQFNZWTVJVKWEXCQVJVKW
      EXCVJVQBNXCVKWEJBFVQUKHBVPCULUMUNUDVQUOUPVLWFVSFNZXAVJVKWFXDQVJVKWFXDVJVS
      BNXDVKWFJBFVSUKHBVRCULUMUNUDVSUOUPUQUDVQVSURUSUTWGWAWPUIZVOVPUJVRUJXEWEWF
      VPVRURVPVAVRVAVBUCVCVDVEVFVGDEHBCVHVI $.
      $( [24-Jun-2004] $) $( [30-Nov-2003] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Equivalence relations and classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c Er $.  $( Equivalence predicate $)
  $c /. $.  $( Long slash for quotient set $)

  $( Extend the definition of a wff to include the equivalence predicate. $)
  wer $a wff Er R $.

  $( Extend the definition of a class to include equivalence class. $)
  cec $a class [ A ] R $.

  $( Extend the definition of a class to include quotient set. $)
  cqs $a class ( A /. R ) $.

  $( Define the equivalence predicate.  ` R ` need not be a relation but
     ordinarily will be, in which case we call it an equivalence relation.
     Our notation is not standard.  A formal notation doesn't seem to exist
     in the literature; instead only informal English tends to be used.  Some
     definitions in the literature may also require that ` R ` be a relation.
     The present definition, although somewhat cryptic, nicely avoids dummy
     variables.  In ~ dfer2 we derive a more typical definition.  We show that
     an equivalence relation is reflexive, symmetric, and transitive in
     ~ erref , ~ ersymb , and ~ ertr . $)
  df-er $a |- ( Er R <-> ( `' R u. ( R o. R ) ) (_ R ) $.

  ${
    $d x y z R $.
    $( Alternate definition of equivalence predicate. $)
    dfer2 $p |- ( Er R <-> A. x A. y A. z
              ( ( x R y -> y R x ) /\  ( ( x R y /\ y R z ) -> x R z ) ) ) $=
      ( wer ccnv ccom cun wss cv wbr wi wa wal df-er cnvsym cotr anbi12i unss
      19.28v albii 19.26 bitr bitr2 3bitr3 ) DEDFZDDGZHDIZAJZBJZDKZUJUIDKLZUKUJ
      CJZDKMUIUMDKLZMCNZBNZANZDOUFDIZUGDIZMULBNZANZUNCNZBNZANZMZUHUQURVAUSVDABD
      PABCDQRUFUGDSUQUTVCMZANVEUPVFAUPULVBMZBNVFUOVGBULUNCTUAULVBBUBUCUAUTVCAUB
      UDUEUC $.
      $( [3-Jan-1997] $)
  $}

  $( Define the ` R ` -coset of ` A ` .  Exercise 35 of [Enderton] p. 61.  This
     is called the equivalence class of ` A ` modulo ` R ` when ` R ` is an
     equivalence relation.  The Definition of [Enderton] p. 57 uses the
     notation ` [ A ] ` (subscript) ` R ` , although we simply follow the
     brackets by ` R ` since we don't have subscripts.
     For an alternate definition, see ~ dfec2 . $)
  df-ec $a |- [ A ] R = ( R " { A } ) $.

  ${
    $d y A x $.  $d y R x $.
    ec2.1 $e |- A e. V $.
    $( Alternate definition of ` R `-coset of ` A ` .  Definition 34 of
       [Suppes] p. 81. $)
    dfec2 $p |- [ A ] R = { y | A R y } $=
      ( vx csn cima cv wcel cop wa wex cab cec wbr dfima3 df-ec wceq opeq1
      eleq1d ceqsexv elsn anbi1i exbii df-br 3bitr4r abbii 3eqtr4 ) CBFZGEHZUII
      ZUJAHZJZCIZKZELZAMBCNBULCOZAMEACUIPBCQUQUPAUJBRZUNKZELBULJZCIZUPUQUNVAEBD
      URUMUTCUJBULSTUAUOUSEUKURUNEBUBUCUDBULCUEUFUGUH $.
      $( [3-Jan-1997] $)
  $}

  $( An equivalence class modulo a set is a set. $)
  ecexg $p |- ( R e. B -> [ A ] R e. V ) $=
    ( wcel csn cima cvv cec imaexg df-ec syl5eqel ) CBDCAEZFGACHCLBIACJK $.
    $( [24-Jul-1995] $)

  ${
    $d x y A $.  $d x y R $.
    $( Define quotient set.  ` R ` is usually an equivalence relation.
       Definition of [Enderton] p. 58. $)
    df-qs $a |- ( A /. R ) = { y | E. x e. A y = [ x ] R } $.
  $}

  $( Equality theorem for equivalence predicate. $)
  ereq $p |- ( R = S -> ( Er R <-> Er S ) ) $=
    ( wceq ccnv ccom cun wss wer cnveq coeq1 coeq2 eqtrd uneq12d sseq1d sseq2
    bitrd df-er 3bitr4g ) ABCZADZAAEZFZAGZBDZBBEZFZBGZAHBHSUCUFAGUGSUBUFASTUDUA
    UEABISUABAEUEABAJABBKLMNABUFOPAQBQR $.
    $( [4-Jun-1995] $)

  ${
    $d x y z R $.
    ster.1 $e |- ( x R y -> y R x ) $.
    ster.2 $e |- ( ( x R y /\ y R z ) -> x R z ) $.
    $( A symmetric, transitive relation is an equivalence relation. $)
    ster $p |- Er R $=
      ( wer cv wbr wi wa wal dfer2 pm3.2i gen2 mpgbir ) DGAHZBHZDIZRQDIJZSRCHZD
      IKQUADIJZKZCLBLAABCDMUCBCTUBEFNOP $.
      $( [4-Jun-1995] $)
  $}

  ${
    $d x y z $.
    $( The identity relation is an equivalence relation. $)
    ider $p |- Er I $=
      ( vx vy vz cid cv wceq wbr equcomi visset ideq 3imtr4 wa eqtrt anbi12i
      ster ) ABCDAEZBEZFZQPFPQDGZQPDGABHPQBIJZQPAIJKRQCEZFZLPUAFSQUADGZLPUADGPQ
      UAMSRUCUBTQUACIZJNPUAUDJKO $.
      $( [10-May-1998] $)
  $}

  ${
    $d y A $.  $d v x B $.  $d v w z R $.  $d v w x y z $.
    eqer.1 $e |- ( x = y -> A = B ) $.
    eqer.2 $e |- R = { <. x , y >. | A = B } $.
    $( Lemma for ~ eqer . $)
    eqerlem $p |- ( z R w <-> [_ z / x ]_ A = [_ w / x ]_ A ) $=
      ( vv cv wbr wceq wsbc csb brabsb cvv wcel wb visset sbceq1dig ax-mp
      ax-17 csbief eqeq2i bitr4 sbbii sbceq2dig csbcog bitr 3bitr ) CKZDKZGLEFM
      ZAULNZBUMNAULEOZABKZEOZMZBUMNZUPAUMEOZMZUNABCDGIPUOUSBDUOUPFMZUSULQRUOVCS
      CTAULEFQUAUBURFUPAJUQEFBTJKFRAUCHUDUEUFUGUTUPBUMUROZMZVBUMQRZUTVESDTZBUMU
      PURQUHUBVDVAUPVFVDVAMVGABUMEQUIUBUEUJUK $.
      $( [17-Mar-2008] $) $( [17-Mar-2008] $)

    $( Equivalence relation involving equality of dependent classes
       ` A ( x ) ` and ` B ( y ) ` . $)
    eqer $p |- Er R $=
      ( vz vw vv cv csb wceq wbr id eqcomd eqerlem 3imtr4 wa eqtrt anbi12i
      ster ) HIJEAHKZCLZAIKZCLZMZUFUDMUCUEENZUEUCENUGUDUFUGOPABHICDEFGQZABIHCDE
      FGQRUGUFAJKZCLZMZSUDUKMUHUEUJENZSUCUJENUDUFUKTUHUGUMULUIABIJCDEFGQUAABHJC
      DEFGQRUB $.
      $( [17-Mar-2008] $) $( [17-Mar-2008] $)
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.
    ersym.1 $e |- A e. V $.
    ersym.2 $e |- B e. V $.
    ersym.3 $e |- Er R $.
    $( An equivalence relation is symmetric. $)
    ersym $p |- ( A R B -> B R A ) $=
      ( vx vy vz cv wbr wi wceq wa breq12 wb ancoms imbi12d wal wer dfer2 mpbi
      a4i pm3.26i vtocl2 ) GJZHJZCKZUGUFCKZLZABCKZBACKZLGHABDEUFAMZUGBMZNUHUKUI
      ULUFAUGBCOUNUMUIULPUGBUFACOQRUJUHUGIJZCKNUFUOCKLZUJUPNZIUQISZHURHSZGCTUSG
      SFGHICUAUBUCUCUCUDUE $.
      $( [4-Jun-1995] $)
  $}

  ${
    ersymb.1 $e |- A e. V $.
    ersymb.2 $e |- B e. V $.
    ersymb.3 $e |- Er R $.
    $( An equivalence relation is symmetric. $)
    ersymb $p |- ( A R B <-> B R A ) $=
      ( wbr ersym impbi ) ABCGBACGABCDEFHBACEDFHI $.
      $( [30-Jul-1995] $)
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.  $d x y z C $.
    ertr.1 $e |- A e. V $.
    ertr.2 $e |- B e. V $.
    ertr.3 $e |- C e. V $.
    ertr.4 $e |- Er R $.
    $( An equivalence relation is transitive. $)
    ertr $p |- ( ( A R B /\ B R C ) -> A R C ) $=
      ( vx vy vz cv wbr wa wi wceq breq1 anbi1d imbi12d breq2 anbi12d imbi1d
      anbi2d syl3an9b wal wer dfer2 mpbi a4i pm3.27i vtocl3 ) ILZJLZDMZUMKLZDMZ
      NZULUODMZOZABDMZBCDMZNZACDMZOZIJKABCEFGULAPZUSAUMDMZUPNZAUODMZOUMBPZUTBUO
      DMZNZVHOUOCPZVDVEUQVGURVHVEUNVFUPULAUMDQRULAUODQSVIVGVKVHVIVFUTUPVJUMBADT
      UMBUODQUAUBVLVKVBVHVCVLVJVAUTUOCBDTUCUOCADTSUDUNUMULDMOZUSVMUSNZKVNKUEZJV
      OJUEZIDUFVPIUEHIJKDUGUHUIUIUIUJUK $.
      $( [4-Jun-1995] $)
  $}

  ${
    $d x y A $.  $d x y R $.
    erref.1 $e |- Er R $.
    $( An equivalence relation is reflexive on its field.  Compare
       Theorem 3M of [Enderton] p. 56. $)
    erref $p |- ( A e. ( dom R u. ran R ) -> A R A ) $=
      ( vx vy cv wbr cdm crn cun wceq breq1 breq2 bitrd wcel wo elun wex
      visset eldm ertr ersymb sylan2b anidms 19.23aiv sylbi elrn sylanb jaoi
      vtoclga ) DFZUKBGZAABGZDABHZBIZJZUKAKULAUKBGUMUKAUKBLUKAABMNUKUPOUKUNOZUK
      UOOZPULUKUNUOQUQULURUQUKEFZBGZERULEUKBDSZTUTULEUTULUTUSUKBGZULUTUKUSUKBVA
      ESZVACUAZUKUSBVAVCCUBUCUDUEUFURVBERULEUKBVAUGVBULEVBULUTVBULVBVDUSUKBVCVA
      CUBUHUDUEUFUIUFUJ $.
      $( [4-Jun-1995] $)
  $}

  ${
    $d x y R $.
    erdmrn.1 $e |- Er R $.
    $( The range and domain of an equivalence relation are equal. $)
    erdmrn $p |- dom R = ran R $=
      ( vx vy cdm crn cv wbr wex wcel visset ersymb exbii eldm elrn 3bitr4
      eqriv ) CAEZAFZCGZDGZAHZDIUATAHZDITRJTSJUBUCDTUAACKZDKBLMDTAUDNDTAUDOPQ
      $.
      $( [6-Aug-1995] $)
  $}

  $( Equality theorem for equivalence class. $)
  eceq1 $p |- ( A = B -> [ C ] A = [ C ] B ) $=
    ( wceq csn cima cec imaeq1 df-ec 3eqtr4g ) ABDACEZFBKFCAGCBGABKHCAICBIJ $.
    $( [23-Jul-1995] $)

  $( Equality theorem for equivalence class. $)
  eceq2 $p |- ( A = B -> [ A ] C = [ B ] C ) $=
    ( wceq csn cima cec sneq imaeq2d df-ec 3eqtr4g ) ABDZCAEZFCBEZFACGBCGLMNCAB
    HIACJBCJK $.
    $( [23-Jul-1995] $)

  ${
    $d x A $.  $d x B $.  $d x R $.
    elec.1 $e |- A e. V $.
    elec.2 $e |- B e. V $.
    $( Membership in an equivalence class.  Theorem 72 of [Suppes] p. 82. $)
    elec $p |- ( A e. [ B ] R <-> B R A ) $=
      ( vx cv wbr cec breq2 dfec2 elab2 ) BFGZCHBACHFABCIDMABCJFBCEKL $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x R $.  $d x A $.
    ecdmn0.1 $e |- A e. V $.
    $( An equivalence class is not empty in its domain. $)
    ecdmn0 $p |- ( A e. dom R <-> -. [ A ] R = (/) ) $=
      ( vx cv cec wcel wex wbr c0 wceq wn cdm visset elec exbii n0 eldm
      3bitr4r ) DEZABFZGZDHATBIZDHUAJKLABMGUBUCDTABDNCOPDUAQDABCRS $.
      $( [15-Feb-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.
    erthi.1 $e |- A e. V $.
    erthi.2 $e |- B e. V $.
    erthi.3 $e |- Er R $.
    $( Basic property of equivalence relations.  Part of Lemma 3N of [Enderton]
       p. 57. $)
    erthi $p |- ( A R B -> [ A ] R = [ B ] R ) $=
      ( vx wbr cec cv wcel wi ersymb visset ertr ex sylbi impbid elec 3bitr4g
      eqrdv ) ABCHZGACIZBCIZUBAGJZCHZBUECHZUEUCKUEUDKUBUFUGUBBACHZUFUGLABCDEFMU
      HUFUGBAUECEDGNZFOPQUBUGUFABUECDEUIFOPRUEACUIDSUEBCUIESTUA $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.
    erth.1 $e |- B e. V $.
    erth.2 $e |- Er R $.
    $( Basic property of equivalence relations.  Theorem 73 of [Suppes]
       p. 82. $)
    erth $p |- ( A e. ( dom R u. ran R ) ->
                   ( [ A ] R = [ B ] R <-> A R B ) ) $=
      ( vx cv cec wceq wbr wb cdm crn cun eceq2 eqeq1d breq1 bibi12d wcel
      eleq2 visset elec 3bitr3g ersym syl6bi erref syl5com erthi impbid1
      vtoclga ) FGZCHZBCHZIZUKBCJZKACHZUMIZABCJZKFACLCMNZUKAIZUNUQUOURUTULUPUMU
      KACOPUKABCQRUKUSSZUNUOUNUKUKCJZUOVAUNVBBUKCJZUOUNUKULSUKUMSVBVCULUMUKTUKU
      KCFUAZVDUBUKBCVDDUBUCBUKCDVDEUDUEUKCEUFUGUKBCVDDEUHUIUJ $.
      $( [23-Jul-1995] $)
  $}

  ${
    erthdm.1 $e |- B e. V $.
    erthdm.2 $e |- Er R $.
    $( Basic property of equivalence relations.  Compare Theorem 73 of [Suppes]
       p. 82.  Assumes membership in the domain instead of just the field. $)
    erthdm $p |- ( A e. dom R -> ( [ A ] R = [ B ] R <-> A R B ) ) $=
      ( cdm wcel crn cun cec wceq wbr wb elun1 erth syl ) ACFZGAQCHZIGACJBCJKAB
      CLMAQRNABCDEOP $.
      $( [28-Jul-1995] $)
  $}

  ${
    erthdmr.1 $e |- A e. V $.
    erthdmr.2 $e |- B e. V $.
    erthdmr.3 $e |- Er R $.
    $( Basic property of equivalence relations.  Compare Theorem 73 of [Suppes]
        p. 82.  Assumes membership of the second argument in the domain. $)
    erthdmr $p |- ( B e. dom R -> ( [ A ] R = [ B ] R <-> A R B ) ) $=
      ( cdm wcel cec wceq wbr erthdm eqcom ersymb 3bitr4g ) BCGHBCIZACIZJBACKQP
      JABCKBACDFLQPMABCDEFNO $.
      $( [30-Jul-1995] $)
  $}

  ${
    ereldm.1 $e |- A e. V $.
    ereldm.2 $e |- B e. V $.
    ereldm.3 $e |- Er R $.
    ereldm.4 $e |- dom R = D $.
    $( Equality of equivalence classes implies equivalence of domain
       membership. $)
    ereldm $p |- ( [ A ] R = [ B ] R -> ( A e. D <-> B e. D ) ) $=
      ( cec wceq cdm wcel wbr erthdm biimpcd ersymb breldm sylbi syl6 erthdmr
      impbid eleq2i 3bitr3g ) ADIBDIJZADKZLZBUELZACLBCLUDUFUGUDUFABDMZUGUFUDUHA
      BDFGNOUHBADMUGABDEFGPBADFQRSUDUGUHUFUGUDUHABDEFGTOABDEQSUAUECAHUBUECBHUBU
      C $.
      $( [28-Jan-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.
    erdisj.1 $e |- A e. V $.
    erdisj.2 $e |- B e. V $.
    erdisj.3 $e |- Er R $.
    $( Equivalence classes do not overlap.  In other words, two equivalence
       classes are either equal or disjoint.  Theorem 74 of [Suppes] p. 83. $)
    erdisj $p |- ( [ A ] R = [ B ] R \/ ( [ A ] R i^i [ B ] R ) = (/) ) $=
      ( vx cec wceq cin c0 wn cv wcel wi wal wbr visset elec ertr ex erthi
      syl6 ersymb bitr syl5ib sylbi con3d com12 19.21aiv disj1 sylibr orri ) AC
      HZBCHZIZUNUOJKIZUPLZGMZUNNZUSUONZLZOZGPUQURVCGUTURVBUTVAUPUTAUSCQZVAUPOUS
      ACGRZDSVDUSBCQZUPVAVDVFABCQZUPVDVFVGAUSBCDVEEFTUAABCDEFUBUCVABUSCQVFUSBCV
      EESBUSCEVEFUDUEUFUGUHUIUJGUNUOUKULUM $.
      $( [16-Jun-2004] $) $( [15-Jun-2004] $)
  $}


  $( An equivalence class modulo the identity relation is a singleton. $)
  ecidsn $p |- [ A ] I = { A } $=
    ( cid cec csn cima df-ec imai eqtr ) ABCBADZEIABFIGH $.
    $( [28-Oct-2004] $) $( [24-Oct-2004] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( Equality theorem for quotient set. $)
    qseq1 $p |- ( A = B -> ( A /. C ) = ( B /. C ) ) $=
      ( vy vx wceq cv cec wrex cab cqs rexeq1 abbidv df-qs 3eqtr4g ) ABFZDGEGCH
      FZEAIZDJQEBIZDJACKBCKPRSDQEABLMEDACNEDBCNO $.
      $( [23-Jul-1995] $)

    $( Equality theorem for quotient set. $)
    qseq2 $p |- ( A = B -> ( C /. A ) = ( C /. B ) ) $=
      ( vy vx wceq cv cec wrex cab cqs eceq1 eqeq2d rexbidv abbidv df-qs
      3eqtr4g ) ABFZDGZEGZAHZFZECIZDJSTBHZFZECIZDJCAKCBKRUCUFDRUBUEECRUAUDSABTL
      MNOEDCAPEDCBPQ $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    elqs.1 $e |- B e. V $.
    $( Membership in a quotient set. $)
    elqs $p |- ( B e. ( A /. R ) <-> E. x ( x e. A /\ B = [ x ] R ) ) $=
      ( vy cqs wcel cv cec wceq wrex wa wex eqeq1 rexbidv df-qs elab2 df-rex
      bitr ) CBDGZHCAIZDJZKZABLZUBBHUDMANFIZUCKZABLUEFCUAEUFCKUGUDABUFCUCOPAFBD
      QRUDABST $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    $( Membership in a quotient set. $)
    elqsi $p |- ( B e. ( A /. R ) -> E. x ( x e. A /\ B = [ x ] R ) ) $=
      ( vy cv wcel cec wceq wa wex cqs eqeq1 anbi2d exbidv visset elqs biimp
      vtoclga ) AFZBGZEFZTDHZIZJZAKZUACUCIZJZAKECBDLZUBCIZUEUHAUJUDUGUAUBCUCMNO
      UBUIGUFABUBDEPQRS $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y R $.
    ecelqsi.1 $e |- R e. V $.
    $( Membership of an equivalence class in a quotient set. $)
    ecelqsi $p |- ( B e. A -> [ B ] R e. ( A /. R ) ) $=
      ( vy vx cv cec cqs wcel wceq eceq2 eleq1d wa wex a9e wi eqid eleq1
      eqeq2d anbi12d biimprcd mpan2 19.22dv mpi cvv ecexg ax-mp elqs sylibr
      vtoclga ) EGZCHZACIZJZBCHZUNJEBAULBKUMUPUNULBCLMULAJZFGZAJZUMURCHZKZNZFOZ
      UOUQURULKZFOVCFEPUQVDVBFUQUMUMKZVDVBQUMRVDVBUQVENVDUSUQVAVEURULASVDUTUMUM
      URULCLTUAUBUCUDUEFAUMCCUFJUMUFJDULUFCUGUHUIUJUK $.
      $( [25-Jul-1995] $)
  $}

  ${
    ecopqsi.1 $e |- R e. V $.
    ecopqsi.2 $e |- S = ( ( A X. A ) /. R ) $.
    $( "Closure" law for equivalence class of ordered pairs. $)
    ecopqsi $p |- ( ( B e. A /\ C e. A ) -> [ <. B , C >. ] R e. S ) $=
      ( wcel wa cop cxp cec opelxpi cqs ecelqsi syl6eleqr syl ) BAHCAHIBCJZAAKZ
      HZRDLZEHBCAAMTUASDNESRDFOGPQ $.
      $( [25-Mar-1996] $)
  $}

  ${
    $d x y A $.  $d x y R $.
    $( A quotient set exists.  (Contributed by FL, 19-May-2007.) $)
    qsexg $p |- ( A e. V -> ( A /. R ) e. V ) $=
      ( vx vy cvv wcel cv cec wceq wa copab crn cqs opabex2g rnexg wrex cab
      wex df-rex abbii df-qs rnopab 3eqtr4r eleq1i biimp 3syl ) AEFCGZAFDGUGBHZ
      IZJZCDKZEFUKLZEFZABMZEFZCDAUHENUKEOUMUOULUNEUICAPZDQUJCRZDQUNULUPUQDUICAS
      TCDABUAUJCDUBUCUDUEUF $.
      $( [20-May-2007] $) $( [23-Apr-2007] $)
  $}

  ${
    $d x y A $.  $d x y R $.
    qsex.1 $e |- A e. V $.
    $( A quotient set exists. $)
    qsex $p |- ( A /. R ) e. V $=
      ( cvv wcel cqs qsexg ax-mp ) ADEABFDECABGH $.
      $( [14-Aug-1995] $)
  $}

  ${
    $d x y A $.  $d x y R $.
    snec.1 $e |- A e. V $.
    $( The singleton of an equivalence class. $)
    snec $p |- { [ A ] R } = ( { A } /. R ) $=
      ( vy vx cv cec wceq cab csn wrex cqs wcel wa wex df-rex elsn anbi1i
      exbii eceq2 eqeq2d ceqsexv 3bitrr abbii df-sn df-qs 3eqtr4 ) DFZABGZHZDIU
      HEFZBGZHZEAJZKZDIUIJUNBLUJUODUOUKUNMZUMNZEOUKAHZUMNZEOUJUMEUNPUQUSEUPURUM
      EAQRSUMUJEACURULUIUHUKABTUAUBUCUDDUIUEEDUNBUFUG $.
      $( [29-Jan-1999] $)
  $}

  ${
    ecqs.1 $e |- A e. V $.
    ecqs.2 $e |- R e. V $.
    $( Equivalence class in terms of quotient set. $)
    ecqs $p |- [ A ] R = U. ( { A } /. R ) $=
      ( cec csn cuni cqs cvv wcel ecexg ax-mp unisn snec unieqi eqtr3 ) ABEZFZG
      QAFBHZGQBIJQIJDAIBKLMRSABCNOP $.
      $( [29-Jan-1999] $)
  $}

  ${
    $d x R $.  $d x A $.
    0nelqs.1 $e |- dom R = A $.
    $( A quotient set doesn't contain the empty set. $)
    0nelqs $p |- -. (/) e. ( A /. R ) $=
      ( vx c0 cqs wcel cv cec wceq wa wex wn wi cdm visset ecdmn0 eleq2i eqcom
      negbii 3bitr3 biimp imnan mpbi nex elqsi mto ) EABFGDHZAGZEUHBIZJZKZDLULD
      UIUKMZNULMUIUMUHBOZGUJEJZMUIUMUHBDPQUNAUHCRUOUKUJESTUAUBUIUKUCUDUEDAEBUFU
      G $.
      $( [21-Mar-2007] $) $( [24-Aug-1995] $)
  $}

  ${
    ecelqsdm.1 $e |- B e. V $.
    ecelqsdm.2 $e |- dom R = A $.
    $( Membership of an equivalence class in a quotient set. $)
    ecelqsdm $p |- ( [ B ] R e. ( A /. R ) -> B e. A ) $=
      ( wcel cec cqs wn c0 0nelqs wceq wb cdm ecdmn0 eleq2i bitr3 con1bii
      eleq1 sylbi mtbiri a3i ) BAFZBCGZACHZFZUCIZUFJUEFZACEKUGUDJLZUFUHMUIUCUII
      BCNZFUCBCDOUJABEPQRUDJUESTUAUB $.
      $( [21-Mar-2007] $) $( [30-Jul-1995] $)
  $}

  ${
    $d y A $.
    ecid.1 $e |- A e. V $.
    $( A set is equal to its converse epsilon coset.  (Note:  converse epsilon
       is not an equivalence relation.) $)
    ecid $p |- [ A ] `' E = A $=
      ( vy cep ccnv cec cv wbr cab wcel dfec2 visset brcnv epelc bitr abbii
      abid2 3eqtr ) ADEZFACGZSHZCITAJZCIACASBKUAUBCUATADHUBATDBCLZMTAUCBNOPCAQR
      $.
      $( [13-Aug-1995] $)
  $}

  ${
    $d x y A $.
    $( A set is equal to its quotient set mod converse epsilon. (Note: converse
       epsilon is not an equivalence relation.) $)
    qsid $p |- ( A /. `' E ) = A $=
      ( vy vx cep ccnv cqs cv cec wceq wrex cab wcel df-qs visset ecid eqeq2i
      eqcom bitr rexbii risset bitr4 abbii abid2 3eqtr ) ADEZFBGZCGZUEHZIZCAJZB
      KUFALZBKACBAUEMUJUKBUJUGUFIZCAJUKUIULCAUIUFUGIULUHUGUFUGCNOPUFUGQRSCUFATU
      AUBBAUCUD $.
      $( [21-Mar-2007] $) $( [13-Aug-1995] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.  $d x ps $.
    ectocl.1 $e |- S = ( B /. R ) $.
    ectocl.2 $e |- ( [ x ] R = A -> ( ph <-> ps ) ) $.
    ectocl.3 $e |- ( x e. B -> ph ) $.
    $( Implicit substitution of class for equivalence class. $)
    ectocl $p |- ( A e. S -> ps ) $=
      ( wcel cqs eleq2i cv cec wceq wa wex elqsi wb eqcoms syl5bi impcom
      19.23aiv syl sylbi ) DGKDEFLZKZBGUGDHMUHCNZEKZDUIFOZPZQZCRBCEDFSUMBCULUJB
      ULABUJABTUKDIUAJUBUCUDUEUF $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z ps $.

    ecoptocl.1 $e |- S = ( ( B X. C ) /. R ) $.
    ecoptocl.2 $e |- ( [ <. x , y >. ] R = A -> ( ph <-> ps ) ) $.
    ecoptocl.3 $e |- ( ( x e. B /\ y e. C ) -> ph ) $.
    $( Implicit substitution of class for equivalence class of ordered pair. $)
    ecoptocl $p |- ( A e. S -> ps ) $=
      ( vz wcel cxp cqs eleq2i cv cec wceq wa wex elqsi cop wi eqid eceq2
      eqeq2d imbi1d wb eqcoms syl5cbi optocl imp 19.23aiv syl sylbi ) EINEFGOZH
      PZNZBIUSEJQUTMRZURNZEVAHSZTZUAZMUBBMUREHUCVEBMVBVDBECRZDRZUDZHSZTZBUEVDBU
      ECDVAFGURURUFVHVATZVJVDBVKVIVCEVHVAHUGUHUIVJABVFFNVGGNUAABUJVIEKUKLULUMUN
      UOUPUQ $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x y z w A $.  $d z w B $.  $d x y z w C $.  $d x y z w D $.
    $d z w S $.  $d x y z w R $.  $d x y ps $.  $d z w ch $.
    2ecoptocl.1 $e |- S = ( ( C X. D ) /. R ) $.
    2ecoptocl.2 $e |- ( [ <. x , y >. ] R = A -> ( ph <-> ps ) ) $.
    2ecoptocl.3 $e |- ( [ <. z , w >. ] R = B -> ( ps <-> ch ) ) $.
    2ecoptocl.4 $e |- ( ( ( x e. C /\ y e. D ) /\
                      ( z e. C /\ w e. D ) ) -> ph ) $.
    $( Implicit substitution of classes for equivalence classes of ordered
       pairs. $)
    2ecoptocl $p |- ( ( A e. S /\ B e. S ) -> ch ) $=
      ( wcel wi cv cop cec wceq imbi2d wa ex ecoptocl com12 impcom ) IMRHMRZCUJ
      BSUJCSFGIJKLMNFTZGTZUALUBIUCBCUJPUDUJUKJRULKRUEZBUMASUMBSDEHJKLMNDTZETZUA
      LUBHUCABUMOUDUNJRUOKRUEUMAQUFUGUHUGUI $.
      $( [23-Jul-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d z w v u B $.  $d v u C $.  $d x y z w v u D $.
    $d z w v u S $.  $d x y z w v u R $.  $d x y ps $.  $d z w ch $.
    $d v u th $.
    3ecoptocl.1 $e |- S = ( ( D X. D ) /. R ) $.
    3ecoptocl.2 $e |- ( [ <. x , y >. ] R = A -> ( ph <-> ps ) ) $.
    3ecoptocl.3 $e |- ( [ <. z , w >. ] R = B -> ( ps <-> ch ) ) $.
    3ecoptocl.4 $e |- ( [ <. v , u >. ] R = C -> ( ch <-> th ) ) $.
    3ecoptocl.5 $e |- ( ( ( x e. D /\ y e. D ) /\
                      ( z e. D /\ w e. D ) /\ ( v e. D /\ u e. D ) ) -> ph ) $.
    $( Implicit substitution of classes for equivalence classes of ordered
       pairs. $)
    3ecoptocl $p |- ( ( A e. S /\ B e. S /\ C e. S ) -> th ) $=
      ( wcel wa wi cv cop cec wceq imbi2d 3expib ecoptocl com12 2ecoptocl
      3impib ) KPUBZLPUBZMPUBZDUPUQUCUODUOBUDUOCUDUODUDGHIJLMNNOPQGUEZHUEZUFOUG
      LUHBCUOSUIIUEZJUEZUFOUGMUHCDUOTUIUOURNUBUSNUBUCZUTNUBVANUBUCZUCZBVDAUDVDB
      UDEFKNNOPQEUEZFUEZUFOUGKUHABVDRUIVENUBVFNUBUCVBVCAUAUJUKULUMULUN $.
      $( [9-Aug-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.  $d x y z w v u S $.  $d x y H $.
    $d z w v u G $.  $d x y ph $.  $d z w v u ps $.
    brecop.1 $e |- S e. V $.
    brecop.2 $e |- Er S $.
    brecop.3 $e |- dom S = ( G X. G ) $.
    brecop.4 $e |- H = ( ( G X. G ) /. S ) $.
    brecop.5 $e |- R = { <. x , y >. | ( ( x e. H /\ y e. H ) /\
                      E. z E. w E. v E. u ( ( x = [ <. z , w >. ] S /\
                      y = [ <. v , u >. ] S ) /\ ph ) ) } $.
    brecop.6 $e |- ( ( ( ( z e. G /\ w e. G ) /\ ( A e. G /\ B e. G ) ) /\
                       ( ( v e. G /\ u e. G ) /\ ( C e. G /\ D e. G ) ) ) ->
                     ( ( [ <. z , w >. ] S = [ <. A , B >. ] S /\
                         [ <. v , u >. ] S = [ <. C , D >. ] S ) ->
                     ( ph <-> ps ) ) ) $.
    $( Binary relation on a quotient set.  Lemma for real number
       construction. $)
    brecop $p |- ( ( ( A e. G /\ B e. G ) /\ ( C e. G /\ D e. G ) ) ->
                ( [ <. A , B >. ] S R [ <. C , D >. ] S <-> ps ) ) $=
      ( wcel wa cop cec wbr cv wceq wex wb copab eleq1 anbi1d eqeq1 4exbidv
      anbi12d anbi2d opelopabg bianabs df-br eleq2i bitr syl5bb ecopqsi syl2an
      wi opeq12 eceq2 syl anim12i cxp opex ereldm visset opelxp syl5bbr
      opelxpi syl5bir im2anan9 an4s ex com13 mpdd pm5.74d cgsex4g eqcom
      anbi12i a1i biimt 3bitr4d bitrd ) IOUCJOUCUDZKOUCLOUCUDZUDZIJUEZNUFZKLUEZ
      NUFZMUGZWQEUHZFUHZUEZNUFZUIZWSGUHZHUHZUEZNUFZUIZUDZAUDZHUJGUJFUJEUJZBWQPU
      CZWSPUCZWTXMUKWMWNXNXOUDZWQWSUEZCUHZPUCZDUHZPUCZUDZXRXDUIZXTXIUIZUDZAUDZH
      UJGUJFUJEUJZUDZCDULZUCZXMWTXPYJXMYHXNYAUDZXEYDUDZAUDZHUJGUJFUJEUJZUDXPXMU
      DCDWQWSPPXRWQUIZYBYKYGYNYOXSXNYAXRWQPUMUNYOYFYMEFGHYOYEYLAYOYCXEYDXRWQXDU
      OUNUNUPUQXTWSUIZYKXPYNXMYPYAXOXNXTWSPUMURYPYMXLEFGHYPYLXKAYPYDXJXEXTWSXIU
      OURUNUPUQUSUTWTXQMUCYJWQWSMVAMYIXQUAVBVCVDOIJNPQTVEOKLNPQTVEVFWOXDWQUIZXI
      WSUIZUDZWOAVGZUDZHUJGUJFUJEUJWOBVGZXMBYTUUBYSEFGHIJKLOOXAIUIXBJUIUDZYQXFK
      UIXGLUIUDZYRUUCXCWPUIYQXAXBIJVHXCWPNVIVJUUDXHWRUIYRXFXGKLVHXHWRNVIVJVKYSW
      OABYSWOXAOUCXBOUCUDZXFOUCXGOUCUDZUDZABUKZYQWMUUEYRWNUUFYQUUEWPOOVLZUCZWMY
      QXCUUIUCUUJUUEXCWPUUINXAXBVMIJVMRSVNXAXBOOFVOVPVQIJOOVRVSYRUUFWRUUIUCZWNY
      RXHUUIUCUUKUUFXHWRUUINXFXGVMKLVMRSVNXFXGOOHVOVPVQKLOOVRVSVTUUGWOYSUUHUUGW
      OYSUUHVGZUUEWMUUFWNUULUBWAWBWCWDWEWFWOXLUUAEFGHWOXKYSAYTXKYSUKWOXEYQXJYRW
      QXDWGWSXIWGWHWIWOAWJUQUPWOBWJWKWL $.
      $( [29-Jan-1996] $)
  $}

  ${
    brecop2.1 $e |- S e. V $.
    brecop2.2 $e |- B e. V $.
    brecop2.3 $e |- C e. V $.
    brecop2.4 $e |- D e. V $.
    brecop2.5 $e |- dom S = ( G X. G ) $.
    brecop2.6 $e |- H = ( ( G X. G ) /. S ) $.
    brecop2.7 $e |- R (_ ( H X. H ) $.
    brecop2.8 $e |- Q (_ ( G X. G ) $.
    brecop2.9 $e |- -. (/) e. G $.
    brecop2.10 $e |- dom F = ( G X. G ) $.
    brecop2.11 $e |- ( ( ( A e. G /\ B e. G ) /\ ( C e. G /\ D e. G ) ) ->
                    ( [ <. A , B >. ] S R [ <. C , D >. ] S <->
                    ( A F D ) Q ( B F C ) ) ) $.
    $( Binary relation on a quotient set.  Lemma for real number
       construction.  Eliminates antecedent from last hypothesis. $)
    brecop2 $p |- ( [ <. A , B >. ] S R [ <. C , D >. ] S <->
                    ( A F D ) Q ( B F C ) ) $=
      ( cop cec wbr wcel wa co cvv ecexg ax-mp brel cxp cqs eleq2i opex
      ecelqsdm sylbi opelxp sylib anim12i syl oprex ndmoprrcl an42 pm5.21nii )
      ABUBZGUCZCDUBZGUCZFUDZAIUEZBIUEZUFZCIUEZDIUEZUFZUFZADHUGZBCHUGZEUDZVJVGJU
      EZVIJUEZUFVQVGVIJJFGUHUEVIUHUEKVHUHGUIUJQUKWAVMWBVPWAVFIIULZUEZVMWAVGWCGU
      MZUEWDJWEVGPUNWCVFGABUOOUPUQABIILURUSWBVHWCUEZVPWBVIWEUEWFJWEVIPUNWCVHGCD
      UOOUPUQCDIINURUSUTVAVTVKVOUFZVLVNUFZUFZVQVTVRIUEZVSIUEZUFWIVRVSIIEBCHVBRU
      KWJWGWKWHADIHNTSVCBCIHMTSVCUTVAVKVOVLVNVDUSUAVE $.
      $( [21-Mar-2007] $) $( [13-Feb-1996] $)
  $}

  ${
    $d f g h t s r A $.  $d f g h t s r B $.  $d f g h t s r C $.
    $d f g h t s r D $.  $d x y z w v u f g h t s r F $.
    $d f g h t s r R $.
    $d x y z w v u f g h t s r S $.
    ecopopr.1 $e |- R = { <. x , y >. | ( ( x e. ( S X. S ) /\ y e. ( S X. S )
          ) /\ E. z E. w E. v E. u ( ( x = <. z , w >. /\ y = <. v , u >. ) /\
          ( z F u ) = ( w F v ) ) ) } $.
    ${
      $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
      $d x y z w v u D $.
      $( This is the first of several theorems about equivalence relations of
         the kind used in construction of fractions and signed reals, involving
         operations on equivalent classes of ordered pairs.  This theorem
         expresses the relation ` R ` (specified by the hypothesis) in terms of
         its operation ` F ` . $)
      ecopopreq $p |- ( ( ( A e. S /\ B e. S ) /\
                     ( C e. S /\ D e. S ) ) ->
          ( <. A , B >. R <. C , D >. <-> ( A F D ) = ( B F C ) ) ) $=
        ( cv co wceq wb wa opreq12 eqeqan12d an42s opbrop ) COZFOZMPZDOZEOZMPZQ
        ZGJMPZHIMPZQZABCDEFGHIJKLUDGQZUEJQZUGHQZUHIQZUJUMRUNUOSUPUQSUFUKUIULUDG
        UEJMTUGHUHIMTUAUBNUC $.
        $( [16-Aug-1995] $)
    $}

    ${
      ecopopr.com $e |- ( x F y ) = ( y F x ) $.
      $( Assuming the operation ` F ` is commutative, compute the domain the
         relation ` R ` specified by the first hypothesis. $)
      ecopoprdm $p |- dom R = ( S X. S ) $=
        ( vf vg cdm cxp wss cv wcel wa cop wceq co wex copab opabssxp eqsstr
        dmss ax-mp dmxpid sseqtr relxp visset opelxp wbr caoprcom wb ecopopreq
        anidms mpbiri df-br sylib opex opeldm syl sylbi relssi eqssi ) GNZHHOZV
        HVIVIOZNZVIGVJPVHVKPGAQZVIRBQZVIRSVLCQZDQZTUAVMEQZFQZTUASVNVQIUBVOVPIUB
        UASFUCEUCDUCCUCZSABUDVJJVRABVIVIUEUFGVJUGUHVIUIUJLMVIVHHHUKLQZMQZTZVIRV
        SHRVTHRSZWAVHRZVSVTHHMULZUMWBWAWATGRZWCWBWAWAGUNZWEWBWFVSVTIUBVTVSIUBUA
        ZABVSVTILULWDKUOWBWFWGUPABCDEFVSVTVSVTGHIJUQURUSWAWAGUTVAWAWAGVSVTVBVCV
        DVEVFVG $.
        $( [27-Aug-1995] $)

      ${
        ecopopr.2 $e |- B e. V $.
        $( Assuming the operation ` F ` is commutative, show that the relation
           ` R ` , specified by the first hypothesis, is symmetric. $)
        ecopoprsym $p |- ( A R B -> B R A ) $=
          ( vf vg vh vt wbr cxp wcel wa wb cv cop wceq co wex copab opabssxp
          eqsstr brel eqid breq1 breq2 bibi12d ecopopreq visset caoprcom
          eqeq12i eqcom bitr syl6bb ancoms bitr4d 2optocl syl ibi ) GHISZHGISZV
          IGJJTZUAHVKUAUBVIVJUCZGHVKVKINIAUDZVKUABUDZVKUAUBVMCUDZDUDZUEUFVNEUDZ
          FUDZUEUFUBVOVRKUGVPVQKUGUFUBFUHEUHDUHCUHZUBABUIVKVKTLVSABVKVKUJUKULOU
          DZPUDZUEZQUDZRUDZUEZISZWEWBISZUCGWEISZWEGISZUCVLOPQRGHJJVKVKUMWBGUFWF
          WHWGWIWBGWEIUNWBGWEIUOUPWEHUFWHVIWIVJWEHGIUOWEHGIUNUPVTJUAWAJUAUBZWCJ
          UAWDJUAUBZUBZWFWCWAKUGZWDVTKUGZUFZWGWLWFVTWDKUGZWAWCKUGZUFZWOABCDEFVT
          WAWCWDIJKLUQWRWNWMUFWOWPWNWQWMABVTWDKOURRURMUSABWAWCKPURQURMUSUTWNWMV
          AVBVCWKWJWGWOUCABCDEFWCWDVTWAIJKLUQVDVEVFVGVH $.
          $( [27-Aug-1995] $)
      $}

      ${
        $( Assume the operation is closed. $)
        ecopopr.cl $e |- ( ( x e. S /\ y e. S ) -> ( x F y ) e. S ) $.
        $( Assume the operation is associative. $)
        ecopopr.ass $e |- ( ( x F y ) F z ) = ( x F ( y F z ) ) $.
        $( Assume the operation has the cancellation property. $)
        ecopopr.can $e |- ( ( x e. S /\ y e. S ) ->
                   ( ( x F y ) = ( x F z ) -> y = z ) ) $.
        ${
          ecopopr.3 $e |- B e. V $.
          ecopopr.4 $e |- C e. V $.
          $( Assuming that operation ` F ` is commutative (second hypothesis),
             closed (third hypothesis), associative (fourth hypothesis), and
             has the cancellation property (fifth hypothesis), show that the
             relation ` R ` , specified by the first hypothesis, is
             transitive. $)
          ecopoprtrn $p |- ( ( A R B /\ B R C ) -> A R C ) $=
            ( vf vg vh vt vs vr cxp wcel w3a wbr wa cv cop wceq co wex copab
            opabssxp eqsstr brel pm3.26d anim12i 3anass sylibr wi eqid breq1
            anbi1d imbi12d breq2 anbi12d imbi1d anbi2d wb ecopopreq 3adant3
            3adant1 opreq12 visset caopr411 caopr4 eqtr3 3eqtr4g syl6bi oprex
            caoprcan caoprcl syl2an 3impb 3com12 3adant3l 3adant1r syld
            3adant2 sylibrd 3optocl mpcom ) GKKUFZUGZHWQUGZIWQUGZUHZGHJUIZHIJUI
            ZUJZGIJUIZXDWRWSWTUJZUJXAXBWRXCXFXBWRWSGHWQWQJRJAUKZWQUGBUKZWQUGUJX
            GCUKZDUKZULUMXHEUKZFUKZULUMUJXIXLLUNXJXKLUNUMUJFUOEUODUOCUOZUJABUPW
            QWQUFMXMABWQWQUQURZUSUTHIWQWQJSXNUSVAWRWSWTVBVCTUKZUAUKZULZUBUKZUCU
            KZULZJUIZXTUDUKZUEUKZULZJUIZUJZXQYDJUIZVDGXTJUIZYEUJZGYDJUIZVDXBHYD
            JUIZUJZYJVDXDXEVDTUAUBUCUDUEGHIKWQKWQVEXQGUMZYFYIYGYJYMYAYHYEXQGXTJ
            VFVGXQGYDJVFVHXTHUMZYIYLYJYNYHXBYEYKXTHGJVIXTHYDJVFVJVKYDIUMZYLXDYJ
            XEYOYKXCXBYDIHJVIVLYDIGJVIVHXOKUGZXPKUGZUJZXRKUGXSKUGUJZYBKUGZYCKUG
            ZUJZUHZYFXOYCLUNZXPYBLUNZUMZYGUUCYFXRXSLUNZUUDLUNZUUGUUELUNZUMZUUFU
            UCYFXOXSLUNZXPXRLUNZUMZXRYCLUNZXSYBLUNZUMZUJZUUJUUCYAUUMYEUUPYRYSYA
            UUMVMUUBABCDEFXOXPXRXSJKLMVNVOYSUUBYEUUPVMYRABCDEFXRXSYBYCJKLMVNVPV
            JUUQUUKUUNLUNUULUUOLUNZUUHUUIUUKUULUUNUUOLVQABCXRXSXOYCLUBVRZUCVRZT
            VRNPUEVRVSXPXSLUNXRYBLUNLUNUUIUURABCXPXSXRYBLUAVRZUUTUUSNPUDVRZVSAB
            CXPXSXRYBLUVAUUTUUSNPUVBVTWAWBWCYPYSUUBUUJUUFVDZYQYPYSUUAUVCYTYSYPU
            UAUVCYSYPUUAUVCUUGKUGUUDKUGUVCYSYPUUAUJABCUUGUUDUUEKLXPYBLWDQWEABXR
            XSKLOWFABXOYCKLOWFWGWHWIWJWKWLYRUUBYGUUFVMYSABCDEFXOXPYBYCJKLMVNWMW
            NWOWP $.
            $( [11-Feb-1996] $)
        $}

        $( Assuming that operation ` F ` is commutative (second hypothesis),
           closed (third hypothesis), associative (fourth hypothesis), and
           has the cancellation property (fifth hypothesis), show that the
           relation ` R ` , specified by the first hypothesis, is an
           equivalence relation. $)
        ecopoprer $p |- Er R $=
          ( vf vg vh cv visset ecopoprsym ecopoprtrn ster ) OPQGABCDEFORZPRZGHI
          JKPSZTABCDEFUCUDQRGHIJKLMNUEQSUAUB $.
          $( [16-Feb-1996] $)
      $}

    $}
  $}

  ${
    $d x y F $.  $d x y S $.  $d x y A $.  $d x y B $.  $d x y C $.
    $d x y D $.
    eceqopreq.2 $e |- B e. V $.
    $( (We don't bother to eliminate this redundant hypothesis.) $)
    eceqopreq.3 $e |- C e. V $.
    eceqopreq.4 $e |- D e. V $.
    eceqopreq.5 $e |- Er R $.
    eceqopreq.6 $e |- dom R = ( S X. S ) $.
    eceqopreq.7 $e |- dom F = ( S X. S ) $.
    eceqopreq.8 $e |- -. (/) e. S $.
    eceqopreq.9 $e |- ( ( x e. S /\ y e. S ) -> ( x F y ) e. S ) $.
    eceqopreq.10 $e |- ( ( ( A e. S /\ B e. S ) /\
                     ( C e. S /\ D e. S ) ) ->
          ( <. A , B >. R <. C , D >. <-> ( A F D ) = ( B F C ) ) ) $.
    $( Equality of equivalence relation in terms of an operation. $)
    eceqopreq $p |- ( ( A e. S /\ C e. S ) ->
                      ( [ <. A , B >. ] R = [ <. C , D >. ] R <->
                      ( A F D ) = ( B F C ) ) ) $=
      ( wcel wa cop cec wceq co wb wi w3a wbr cdm pm3.26 cxp opelxpi syl6eleqr
      opex erthdm 3syl bitrd exp43 3imp wn c0 eqeq1 biimprcd con3d eleq2i
      ecdmn0 opelxp 3bitr3 pm3.27bi nsyl4 syl5ibr com12 3adant3 eleq1 caoprcl
      syl5bir ndmoprrcl pm3.27d syl6com 3adant1 jcad pm5.21 syl6 pm2.61d 3exp
      com23 imp biimpcd syl5bi pm3.26d 3adant2 3expia eqeq2 con1i con3i ndmopr
      pm3.27 syl pm5.1 pm2.61d1 ) CHSZEHSZTZDHSZCDUAZGUBZEFUAZGUBZUCZCFIUDZDEIU
      DZUCZUEZXAXBXDXMUFXAXDXBXMXAXDXBXMXAXDXBUGZFHSZXMXAXDXBXOXMUFXAXDXBXOXMXA
      XDTZXBXOTZTZXIXEXGGUHZXLXRXPXEGUIZSZXIXSUEXPXQUJXPXEHHUKZXTCDHHULNUMXEXGG
      EFUNZMUOUPRUQURUSXNXOUTZXIUTZXLUTZTZXMXNYDYEYFXAXDYDYEUFXBYDXPYEYDXFVAUCZ
      UTZYEXPXHVAUCZYIYEUFXOYJXIYHXIYHYJXFXHVAVBZVCVDYJUTZXBXOXGXTSXGYBSYLXQXTY
      BXGNVEXGGYCVFEFHHLVGVHZVIZVJYAXEYBSYIXPXTYBXENVEXEGCDUNVFCDHHJVGVHZVKVLVM
      XDXBYDYFUFXAXDXBTZXLXOXLYPXJHSZXOXLYQXKHSZYPXJXKHVNZABDEHIQVOVPYQXAXOCFHI
      LOPVQVRVSVDVTWAXIXLWBZWCWDWEWFWGXCXOXDUTZXMUFZXAXBXOUUBXAXBXOUGZUUAYGXMUU
      CUUAYEYFXBXOUUAYEUFXAUUAXQYEUUAYLYEXQYHYLYEUFXDYHXIYJXIYHYJYKWHVDYIXAXDYO
      VIZVJYMVKVLVTXAXOUUAYFUFXBXAXOTZXLXDXLUUEYRXDXLYQYRUUEYSABCFHIQVOWIYRXDXB
      DEHIKOPVQWJVSVDWKWAYTWCWLYDUUAXIXLTXMYDUUAXIXLYDXIYHUUAYJXIYHUEXOXHVAXFWM
      YNVJYHXDUUDWNVPUUAYDXLUUAYPUTXKVAUCZYDXLUFYPXDXDXBUJWODEHIKOWPUUFXLXJVAUC
      ZYDXKVAXJWMYDUUEUTUUGUUEXOXAXOWQWOCFHILOWPWRVPUPVLWAXIXLWSWCWTWD $.
      $( [15-Feb-1996] $)
  $}

  ${
    $d x y z w v u F $.
    $d x y z w v u R $.
    $d x y z w v u S $.
    $d x y z w v u A $.
    $d x y z w v u B $.
    th3qlem1.1 $e |- Er R $.
    th3qlem1.2 $e |- dom R = S $.
    $( Compatibility assumption. $)
    th3qlem1.3 $e |- ( ( ( y e. S /\ w e. S ) /\ ( z e. S /\ v e. S ) ) ->
                 ( ( y R w /\ z R v ) -> ( y F z ) R ( w F v ) ) ) $.
    $( Lemma for Exercise 44 version of Theorem 3Q of [Enderton] p. 60.  The
       third hypothesis is the compatibility assumption. $)
    th3qlem1 $p |- ( ( A e. ( S /. R ) /\ B e. ( S /. R ) ) -> E* x
       E. y E. z ( ( A = [ y ] R /\ B = [ z ] R ) /\
       x = [ ( y F z ) ] R ) ) $=
      ( vu cqs wcel wa cv cec wceq co wex wi wal wmo an4 anbi2i eleq1 pm5.32ri
      anbi12i bitr 3bitr wbr cdm wb pm3.26 syl6eleqr visset erthdm syl
      bi2anan9 sylbid eqeq12 oprex erthi syl5bir syl9 com23 imp ecelqsdm
      anim12i eqtr2t syl2an an4s syl2anb sylbi anidm sylanbr ex imp3a syl5ib
      19.23advv ee4anv syl5ibr 19.21aivv eqeq1 anbi2d 2exbidv eceq2 eqeq2d
      opreq12 anbi12d cbvex2v syl6bb mo4 sylibr ) FIHOZPZGWQPZQZFBRZHSZTZGCRZHS
      ZTZQZARZXAXDJUAZHSZTZQZCUBBUBZFDRZHSZTZGERZHSZTZQZNRZXNXQJUAZHSZTZQZEUBDU
      BZQZXHYATZUCZNUDAUDXMAUEWTYIANWTXLYEQZEUBDUBZCUBBUBYHYGWTYKYHBCWTYJYHDEWT
      XGXTQZXKYDQZQYHYJWTYLYMYHWTYLYMYHUCZWRWRQZWSWSQZQZYLYNWTYQYLQZXBWQPZXCQZX
      OWQPZXPQZQZXEWQPZXFQZXRWQPZXSQZQZQZYNYRYQXCXPQZXFXSQZQZQYOUUJQZYPUUKQZQUU
      IYLUULYQXCXFXPXSUFUGYOYPUUJUUKUFUUMUUCUUNUUHUUMWRXCQZWRXPQZQUUCWRWRXCXPUF
      UUOYTUUPUUBXCWRYSFXBWQUHUIXPWRUUAFXOWQUHUIUJUKUUNWSXFQZWSXSQZQUUHWSWSXFXS
      UFUUQUUEUURUUGXFWSUUDGXEWQUHUIXSWSUUFGXRWQUHUIUJUKUJULYSUUAQZUUJQUUDUUFQZ
      UUKQYNUUCUUHUUSUUTUUJUUKYNXAIPZXNIPZQZXDIPZXQIPZQZQZXBXOTZXEXRTZQZYNUUSUU
      TQUULUVGUVJYNUVGYMUVJYHUVGUVJXIYBHUMZYMYHUVGUVJXAXNHUMZXDXQHUMZQUVKUVCUVH
      UVLUVFUVIUVMUVCXAHUNZPUVHUVLUOUVCXAIUVNUVAUVBUPLUQXAXNHDURZKUSUTUVFXDUVNP
      UVIUVMUOUVFXDIUVNUVDUVEUPLUQXDXQHEURZKUSUTVAMVBYMYHXJYCTZUVKXHXJYAYCVCXIY
      BHXAXDJVDXNXQJVDKVEVFVGVHVIUUSUVCUUTUVFYSUVAUUAUVBIXAHBURLVJIXNHUVOLVJVKU
      UDUVDUUFUVEIXDHCURLVJIXQHUVPLVJVKVKUUJUVHUUKUVIFXBXOVLGXEXRVLVKVMVNYSXCUU
      AXPUFUUDXFUUFXSUFVOVPYOWRYPWSWRVQWSVQUJVRVSVTXGXKXTYDUFWAWBWBXLYEBCDEWCWD
      WEXMYFANYHXMXGYAXJTZQZCUBBUBYFYHXLUVSBCYHXKUVRXGXHYAXJWFWGWHUVSYEBCDEXAXN
      TZXDXQTZQZXGXTUVRYDUVTXCXPUWAXFXSUVTXBXOFXAXNHWIWJUWAXEXRGXDXQHWIWJVAUWBX
      JYCYAUWBXIYBTUVQXAXNXDXQJWKXIYBHWIUTWJWLWMWNWOWP $.
      $( [3-Aug-1995] $)
  $}

  ${
    $d x y z w v u t s f g h R $.
    $d x y z w v u t s f g h S $.
    $d x y z w v u t s f g h A $.
    $d x y z w v u t s f g h B $.
    $d x y z w v u t s f g h C $.
    $d x y z w v u t s f g h D $.
    $d x y z w v u t s f g h F $.
    $d x y z w v u t s f g h G $.
    th3q.1 $e |- R e. V $.
    th3q.2 $e |- Er R $.
    th3q.3 $e |- dom R = ( S X. S ) $.
    $( Compatibility assumption. $)
    th3q.4 $e |- ( ( ( ( w e. S /\ v e. S ) /\ ( u e. S /\ t e. S ) )
       /\ ( ( s e. S /\ f e. S ) /\ ( g e. S /\ h e. S ) ) ) ->
       ( ( <. w , v >. R <. u , t >. /\ <. s , f >. R <. g , h >. ) ->
       ( <. w , v >. F <. s , f >. ) R ( <. u , t >. F <. g , h >. ) ) ) $.
    $( Lemma for Exercise 44 version of Theorem 3Q of [Enderton] p. 60,
       extended to operations on ordered pairs.  The fourth hypothesis is the
       compatibility assumption. $)
    th3qlem2 $p |- ( ( A e. ( ( S X. S ) /. R ) /\ B e. ( ( S X. S ) /. R ) )
           -> E* z E. w E. v E. u E. t (
           ( A = [ <. w , v >. ] R /\ B = [ <. u , t >. ] R ) /\
                  z = [ ( <. w , v >. F <. u , t >. ) ] R ) ) $=
      ( vx vy cxp cqs wcel wa cv cec wceq co wex wmo cop wbr wi eqid breq1
      anbi1d opreq1 breq1d imbi12d imbi2d breq2 breq2d anbi2d opreq2 expcom
      2optocl com12 imp th3qlem1 opex eceq2 eqeq2d bi2anan9 opreq12 syl
      anbi12d cla42ev 19.23aivv immoi ) FIIUAZHUBZUCGWAUCUDFNUEZHUFZUGZGSUEZHUF
      ZUGZUDZAUEZWBWEMUHZHUFZUGZUDZSUINUIZAUJFBUEZCUEZUKZHUFZUGZGDUEZEUEZUKZHUF
      ZUGZUDZWIWQXBMUHZHUFZUGZUDZEUIDUIZCUIBUIZAUJANSJTFGHVTMPQWBVTUCJUEZVTUCUD
      WEVTUCTUEZVTUCUDZWBXLHULZWEXMHULZUDZWJXLXMMUHZHULZUMZXNWQXBHULZXPUDZWQWEM
      UHZXBXMMUHZHULZUMZUMXNWBXBHULZXPUDZWJYDHULZUMZUMXNXTUMBCDEWBXLIIVTVTUNZWQ
      WBUGZYFYJXNYLYBYHYEYIYLYAYGXPWQWBXBHUOUPYLYCWJYDHWQWBWEMUQURUSUTXBXLUGZYJ
      XTXNYMYHXQYIXSYMYGXOXPXBXLWBHVAUPYMYDXRWJHXBXLXMMUQVBUSUTXNWOIUCWPIUCUDWT
      IUCXAIUCUDUDZYFYNYAWBXLUKZKUEZLUEZUKZHULZUDZWQYOMUHZXBYRMUHZHULZUMZUMYNYA
      WEYRHULZUDZYCUUBHULZUMZUMYNYFUMNJKLWEXMIIVTYKYOWEUGZUUDUUHYNUUIYTUUFUUCUU
      GUUIYSUUEYAYOWEYRHUOVCUUIUUAYCUUBHYOWEWQMVDURUSUTYRXMUGZUUHYFYNUUJUUFYBUU
      GYEUUJUUEXPYAYRXMWEHVAVCUUJUUBYDYCHYRXMXBMVDVBUSUTYNWBIUCXLIUCUDYPIUCYQIU
      CUDUDUUDRVEVFVGVFVHVIXKWNAXJWNBCXIWNDEWMXINSWQXBWOWPVJWTXAVJWBWQUGZWEXBUG
      ZUDZWHXEWLXHUUKWDWSUULWGXDUUKWCWRFWBWQHVKVLUULWFXCGWEXBHVKVLVMUUMWKXGWIUU
      MWJXFUGWKXGUGWBWQWEXBMVNWJXFHVKVOVLVPVQVRVRVSVO $.
      $( [4-Aug-1995] $)

      ${
        th3q.5 $e |- G = { <. <. x , y >. , z >. | ( ( x e. ( ( S X. S ) /. R )
           /\ y e. ( ( S X. S ) /. R ) ) /\ E. w E. v E. u E. t ( (
           x = [ <. w , v >. ] R /\ y = [ <. u , t >. ] R ) /\
           z = [ ( <. w , v >. F <. u , t >. ) ] R ) ) } $.

        $( Corollary of Theorem 3Q of [Enderton] p. 60. $)
        th3qcor $p |- Fun G $=
          ( wfun cv cxp cqs wcel wa cop cec wceq co wex copab2 wmo wi th3qlem2
          moanimv mpbir funoprab wb funeq ax-mp ) NUAZAUBZIIUCHUDZUEBUBZVDUEUFZ
          VCDUBEUBUGZHUHUIVEFUBGUBUGZHUHUIUFCUBVGVHMUJHUHUIUFGUKFUKEUKDUKZUFZAB
          CULZUAZVJABCVJCUMVFVICUMUNCDEFGVCVEHIJKLMOPQRSUOVFVICUPUQURNVKUIVBVLU
          STNVKUTVAUQ $.
          $( [12-Nov-1995] $)

        $( Theorem 3Q of [Enderton] p. 60, extended to operations on ordered
           pairs. $)
        th3q $p |- ( ( ( A e. S /\ B e. S ) /\ ( C e. S /\ D e. S ) ) ->
                 ( [ <. A , B >. ] R G [ <. C , D >. ] R ) =
                 [ ( <. A , B >. F <. C , D >. ) ] R ) $=
          ( cop cec cxp cqs wcel wa cv wceq co wex cvv ecexg ax-mp eqeq1
          anbi1d 4exbidv anbi2d th3qlem2 oprabvali opelxpi ecelqsi syl anim12i
          eqid pm3.2i wb opeq12 eceq2 eqeq2d opreq1 anbi12d cla42egv opreq2
          19.22dvv sylan9 mp2ani sylc ) HIUEZLUFZMMUGZLUHZUIZJKUEZLUFZWEUIZUJWC
          DUKZEUKZUEZLUFZULZWHFUKZGUKZUEZLUFZULZUJZWBWGQUMZLUFZWLWQQUMZLUFZULZU
          JZGUNFUNZEUNDUNZWCWHRUMXBULHMUIIMUIUJZJMUIKMUIUJZUJZAUKZWMULZBUKZWRUL
          ZUJZCUKZXDULZUJZGUNFUNEUNDUNWNXOUJZXRUJZGUNFUNEUNDUNWTXRUJZGUNFUNEUND
          UNXHABCWCWHXBWEWERLUOUIXBUOUITXAUOLUPUQXLWCULZXSYADEFGYCXPXTXRYCXMWNX
          OXLWCWMURUSUSUTXNWHULZYAYBDEFGYDXTWTXRYDXOWSWNXNWHWRURVAUSUTXQXBULZYB
          XFDEFGYEXRXEWTXQXBXDURVAUTCDEFGXLXNLMNOPQSTUAUBUCVBUDVCXIWFXJWIXIWBWD
          UIWFHIMMVDWDWBLTVEVFXJWGWDUIWIJKMMVDWDWGLTVEVFVGXKWCWCULZWHWHULZUJZXB
          XBULZXHYFYGWCVHWHVHVIXBVHXIYHYIUJZWNYGUJZXBWLWGQUMZLUFZULZUJZEUNDUNXJ
          XHYOYJDEHIMMWJHULWKIULUJWLWBULZYOYJVJWJWKHIVKYPYKYHYNYIYPWNYFYGYPWMWC
          WCWLWBLVLVMUSYPYMXBXBYPYLXAULYMXBULWLWBWGQVNYLXALVLVFVMVOVFVPXJYOXGDE
          XFYOFGJKMMWOJULWPKULUJWQWGULZXFYOVJWOWPJKVKYQWTYKXEYNYQWSYGWNYQWRWHWH
          WQWGLVLVMVAYQXDYMXBYQXCYLULXDYMULWQWGWLQVQXCYLLVLVFVMVOVFVPVRVSVTWA
          $.
          $( [4-Aug-1995] $)
    $}
  $}

  ${
    $d x y z w v u t s f g h a b c d A $.
    $d x y z w v u t s f g h a b c d B $.
    $d x y z w v u t s f g h a b c d C $.
    $d x y z w v u t s f g h a b c d D $.
    $d x y z t s g h a b c d F $.
    $d x y z t s g h a b c d G $.
    $d x y z w v u f H $.
    $d x y z J $.
    $d x y z w v u f K $.
    $d x y z w v u f L $.
    $d x y z a b c d Q $.
    $d x y z t s g h a b c d R $.
    $d x y z w v u t s f g h a b c d S $.
    $d x y ph $.
    $d z w v u ps $.
    $d z w v u ch $.
    oprec.1 $e |- H e. V $.
    oprec.2 $e |- K e. V $.
    oprec.3 $e |- L e. V $.
    oprec.4 $e |- R e. V $.
    oprec.5 $e |- Er R $.
    oprec.6 $e |- dom R = ( S X. S ) $.
    $( Equivalence relation. $)
    oprec.7 $e |- R = { <. x , y >. | ( ( x e. ( S X. S ) /\
                      y e. ( S X. S ) ) /\
                      E. z E. w E. v E. u ( ( x = <. z , w >. /\
                      y = <. v , u >. ) /\ ph ) ) } $.
    $( Substitutions for equivalence relation. $)
    oprec.8 $e |- ( ( ( z = a /\ w = b ) /\ ( v = c /\ u = d ) ) ->
                     ( ph <-> ps ) ) $.
    oprec.9 $e |- ( ( ( z = g /\ w = h ) /\ ( v = t /\ u = s ) ) ->
                     ( ph <-> ch ) ) $.
    $( Pre-operation. $)
    oprec.10 $e |- G = { <. <. x , y >. , z >. | ( ( x e. ( S X. S ) /\
                      y e. ( S X. S ) ) /\
                      E. w E. v E. u E. f ( ( x = <. w , v >. /\
                      y = <. u , f >. ) /\ z = J ) ) } $.
    $( Substitutions for pre-operation. $)
    oprec.11 $e |- ( ( ( w = a /\ v = b ) /\ ( u = g /\ f = h ) ) -> J = K ) $.
    oprec.12 $e |- ( ( ( w = c /\ v = d ) /\ ( u = t /\ f = s ) ) -> J = L ) $.
    oprec.13 $e |- ( ( ( w = A /\ v = B ) /\ ( u = C /\ f = D ) ) -> J = H ) $.
    $( Main operation. $)
    oprec.14 $e |- F = { <. <. x , y >. , z >. | ( ( x e. Q /\ y e. Q ) /\
           E. a E. b E. c E. d ( (
           x = [ <. a , b >. ] R /\ y = [ <. c , d >. ] R ) /\
           z = [ ( <. a , b >. G <. c , d >. ) ] R ) ) } $.
    $( Quotient class for main operation. $)
    oprec.15 $e |- Q = ( ( S X. S ) /. R ) $.
    $( Lemma to establish compatibility of pre-operation. $)
    oprec.16 $e |- ( ( ( ( a e. S /\ b e. S ) /\ ( c e. S /\ d e. S ) ) /\
                       ( ( g e. S /\ h e. S ) /\ ( t e. S /\ s e. S ) ) ) ->
                   ( ( ps /\ ch ) -> K R L ) ) $.
    $( Express an operation on equivalence classes of ordered pairs in terms
       of equivalence class of operations on ordered pairs.  (See set.mm for
       additional comments for the hypotheses.) $)
    oprec $p |- ( ( ( A e. S /\ B e. S ) /\ ( C e. S /\ D e. S ) ) ->
                ( [ <. A , B >. ] R F [ <. C , D >. ] R ) =
                   [ H ] R ) $=
      ( wcel wa cop cec co cv wbr opbrop bi2anan9 wb oprabval3 breqan12d an4s
      3imtr4d wceq wex copab2 cxp cqs eleq2i anbi12i anbi1i oprabbii eqtr th3q
      eceq2 syl eqtrd ) KQVHLQVHVIMQVHNQVHVIVIZKLVJZPVKMNVJZPVKUAVLWQWRUBVLZPVK
      ZUCPVKZDEFUHUIUJUKKLMNPQTJUGUBUASUOUPUQUHVMZQVHUIVMZQVHVIZUJVMZQVHUKVMZQV
      HVIZVIZSVMZQVHTVMZQVHVIZJVMZQVHUGVMZQVHVIZVIZVIBCVIUEUFPVNZXBXCVJZXEXFVJZ
      PVNZXIXJVJZXLXMVJZPVNZVIXQXTUBVLZXRYAUBVLZPVNZVGXHXSBXOYBCABDEFGHIXBXCXEX
      FPQUSURVOACDEFGHIXIXJXLXMPQUTURVOVPXDXKXGXNYEXPVQXDXKVIXGXNVIYCUEYDUFPDEF
      GHIXBXCXIXJUDUERUBQUMVBVAVRDEFGHIXEXFXLXMUDUFRUBQUNVCVAVRVSVTWAUADVMZOVHZ
      EVMZOVHZVIZYFXQPVKWBYHXRPVKWBVIFVMXQXRUBVLPVKWBVIUKWCUJWCUIWCUHWCZVIZDEFW
      DYFQQWEPWFZVHZYHYMVHZVIZYKVIZDEFWDVEYLYQDEFYJYPYKYGYNYIYOOYMYFVFWGOYMYHVF
      WGWHWIWJWKWLWPWSUCWBWTXAWBDEFGHIKLMNUDUCRUBQULVDVAVRWSUCPWMWNWO $.
      $( [6-Aug-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w F $.  $d x y z w R $.
    $d x y z w S $.  $d z w C $.
    ecoprcom.1 $e |- C = ( ( S X. S ) /. R ) $.
    $( D,G for AFB $)
    ecoprcom.2 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
 ( [ <. x , y >. ] R F [ <. z , w >. ] R ) = [ <. D , G >. ] R ) $.
    $( H,J for BFA $)
    ecoprcom.3 $e |- ( ( ( z e. S /\ w e. S ) /\ ( x e. S /\ y e. S ) ) ->
 ( [ <. z , w >. ] R F [ <. x , y >. ] R ) = [ <. H , J >. ] R ) $.
    ecoprcom.4 $e |- D = H $.
    ecoprcom.5 $e |- G = J $.
    $( Lemma used to transfer a commutative law via an equivalence relation. $)
    ecoprcom $p |- ( ( A e. C /\ B e. C ) -> ( A F B ) = ( B F A ) ) $=
      ( cv cop cec co wceq opreq1 opreq2 eqeq12d wcel wa opeq12 eceq2 syl
      mp2an ancoms 3eqtr4a 2ecoptocl ) ATZBTZUAIUBZCTZDTZUAIUBZKUCZVBUSKUCZUDEV
      BKUCZVBEKUCZUDEFKUCZFEKUCZUDABCDEFJJIGOUSEUDVCVEVDVFUSEVBKUEUSEVBKUFUGVBF
      UDVEVGVFVHVBFEKUFVBFEKUEUGUQJUHURJUHUIZUTJUHVAJUHUIZUIHLUAZIUBZMNUAZIUBZV
      CVDHMUDZLNUDZVLVNUDZRSVOVPUIVKVMUDVQHLMNUJVKVMIUKULUMPVJVIVDVNUDQUNUOUP
      $.
      $( [29-Aug-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u F $.  $d x y z w v u R $.  $d x y z w v u S $.
    $d z w v u D $.
    ecoprass.1 $e |- D = ( ( S X. S ) /. R ) $.
    ecoprass.2 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
 ( [ <. x , y >. ] R F [ <. z , w >. ] R ) = [ <. G , H >. ] R ) $.
    ecoprass.3 $e |- ( ( ( z e. S /\ w e. S ) /\ ( v e. S /\ u e. S ) ) ->
 ( [ <. z , w >. ] R F [ <. v , u >. ] R ) = [ <. N , Q >. ] R ) $.
    ecoprass.4 $e |- ( ( ( G e. S /\ H e. S ) /\ ( v e. S /\ u e. S ) ) ->
 ( [ <. G , H >. ] R F [ <. v , u >. ] R ) = [ <. J , K >. ] R ) $.
    ecoprass.5 $e |- ( ( ( x e. S /\ y e. S ) /\ ( N e. S /\ Q e. S ) ) ->
 ( [ <. x , y >. ] R F [ <. N , Q >. ] R ) = [ <. L , M >. ] R ) $.
    ecoprass.6 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
                     ( G e. S /\ H e. S ) ) $.
    ecoprass.7 $e |- ( ( ( z e. S /\ w e. S ) /\ ( v e. S /\ u e. S ) ) ->
                     ( N e. S /\ Q e. S ) ) $.
    ecoprass.8 $e |- J = L $.
    ecoprass.9 $e |- K = M $.
    $( Lemma used to transfer an associative law via an equivalence
       relation. $)
    ecoprass $p |- ( ( A e. D /\ B e. D /\ C e. D ) ->
                 ( ( A F B ) F C ) = ( A F ( B F C ) ) ) $=
      ( cv cop cec co wceq opreq1 opreq1d eqeq12d opreq2 opreq2d wcel wa w3a
      opeq12 eceq2 syl mp2an adantr sylan eqtrd 3impa adantl sylan2 3impb
      3eqtr4a 3ecoptocl ) AUKZBUKZULLUMZCUKZDUKZULLUMZNUNZEUKZFUKZULLUMZNUNZVSW
      BWFNUNZNUNZUOGWBNUNZWFNUNZGWHNUNZUOGHNUNZWFNUNZGHWFNUNZNUNZUOWMINUNZGHINU
      NZNUNZUOABCDEFGHIMLJUBVSGUOZWGWKWIWLWTWCWJWFNVSGWBNUPUQVSGWHNUPURWBHUOZWK
      WNWLWPXAWJWMWFNWBHGNUSUQXAWHWOGNWBHWFNUPUTURWFIUOZWNWQWPWSWFIWMNUSXBWOWRG
      NWFIHNUSUTURVQMVAVRMVAVBZVTMVAWAMVAVBZWDMVAWEMVAVBZVCQRULZLUMZSTULZLUMZWG
      WIQSUOZRTUOZXGXIUOZUIUJXJXKVBXFXHUOXLQRSTVDXFXHLVEVFVGXCXDXEWGXGUOXCXDVBZ
      XEVBWGOPULLUMZWFNUNZXGXMWGXOUOXEXMWCXNWFNUCUQVHOMVAPMVAVBXEXOXGUOXMUEUGVI
      VJVKXCXDXEWIXIUOXCXDXEVBZVBWIVSUAKULLUMZNUNZXIXPWIXRUOXCXPWHXQVSNUDUTVLXC
      UAMVAKMVAVBXRXIUOXPUFUHVMVJVNVOVP $.
      $( [31-Aug-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u F $.  $d x y z w v u R $.  $d x y z w v u S $.
    $d x y z w v u G $.  $d z w v u D $.
    ecoprdi.1 $e |- D = ( ( S X. S ) /. R ) $.
    $( M,N for BFC $)
    ecoprdi.2 $e |- ( ( ( z e. S /\ w e. S ) /\ ( v e. S /\ u e. S ) ) ->
 ( [ <. z , w >. ] R F [ <. v , u >. ] R ) = [ <. M , N >. ] R ) $.
    $( H,J for AG(BFC) $)
    ecoprdi.3 $e |- ( ( ( x e. S /\ y e. S ) /\ ( M e. S /\ N e. S ) ) ->
 ( [ <. x , y >. ] R G [ <. M , N >. ] R ) = [ <. H , J >. ] R ) $.
    $( W,X for AGB $)
    ecoprdi.4 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
 ( [ <. x , y >. ] R G [ <. z , w >. ] R ) = [ <. W , X >. ] R ) $.
    $( Y,Z for AGC $)
    ecoprdi.5 $e |- ( ( ( x e. S /\ y e. S ) /\ ( v e. S /\ u e. S ) ) ->
 ( [ <. x , y >. ] R G [ <. v , u >. ] R ) = [ <. Y , Z >. ] R ) $.
    $( K,L for (AGB)F(AGC) $)
    ecoprdi.6 $e |- ( ( ( W e. S /\ X e. S ) /\ ( Y e. S /\ Z e. S ) ) ->
 ( [ <. W , X >. ] R F [ <. Y , Z >. ] R ) = [ <. K , L >. ] R ) $.
    ecoprdi.7 $e |- ( ( ( z e. S /\ w e. S ) /\ ( v e. S /\ u e. S ) ) ->
                     ( M e. S /\ N e. S ) ) $.
    ecoprdi.8 $e |- ( ( ( x e. S /\ y e. S ) /\ ( z e. S /\ w e. S ) ) ->
                     ( W e. S /\ X e. S ) ) $.
    ecoprdi.9 $e |- ( ( ( x e. S /\ y e. S ) /\ ( v e. S /\ u e. S ) ) ->
                     ( Y e. S /\ Z e. S ) ) $.
    ecoprdi.10 $e |- H = K $.
    ecoprdi.11 $e |- J = L $.
    $( Lemma used to transfer a distributive law via an equivalence
       relation. $)
    ecoprdi $p |- ( ( A e. D /\ B e. D /\ C e. D ) ->
                 ( A G ( B F C ) ) = ( ( A G B ) F ( A G C ) ) ) $=
      ( cv cop cec co wceq opreq1 opreq12d eqeq12d opreq2d opreq2 opreq1d wcel
      wa w3a opeq12 eceq2 syl mp2an adantl sylan2 eqtrd 3impb opreqan12d
      syl2an 3impdi 3eqtr4a 3ecoptocl ) AUPZBUPZUQKURZCUPZDUPZUQKURZEUPZFUPZUQK
      URZMUSZNUSZWEWHNUSZWEWKNUSZMUSZUTGWLNUSZGWHNUSZGWKNUSZMUSZUTGHWKMUSZNUSZG
      HNUSZWSMUSZUTGHIMUSZNUSZXCGINUSZMUSZUTABCDEFGHILKJUEWEGUTZWMWQWPWTWEGWLNV
      AXIWNWRWOWSMWEGWHNVAWEGWKNVAVBVCWHHUTZWQXBWTXDXJWLXAGNWHHWKMVAVDXJWRXCWSM
      WHHGNVEVFVCWKIUTZXBXFXDXHXKXAXEGNWKIHMVEVDXKWSXGXCMWKIGNVEVDVCWCLVGWDLVGV
      HZWFLVGWGLVGVHZWILVGWJLVGVHZVIOPUQZKURZQRUQZKURZWMWPOQUTZPRUTZXPXRUTZUNUO
      XSXTVHXOXQUTYAOPQRVJXOXQKVKVLVMXLXMXNWMXPUTXLXMXNVHZVHWMWESTUQKURZNUSZXPY
      BWMYDUTXLYBWLYCWENUFVDVNXLSLVGTLVGVHYDXPUTYBUGUKVOVPVQXLXMXNWPXRUTXLXMVHZ
      XLXNVHZVHWPUAUBUQKURZUCUDUQKURZMUSZXRYEYFWNYGWOYHMUHUIVRUALVGUBLVGVHUCLVG
      UDLVGVHYIXRUTYEYFUJULUMVSVPVTWAWB $.
      $( [2-Sep-1995] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The mapping operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c ^m $.  $( The mapping operation. $)
  $c ^pm $.  $( The mapping operation. $)

  $( Extend the definition of a class to include the mapping operation.
     (Read for ` A ^m B ` , "the set of all functions that map from
     ` B ` to ` A ` .) $)
  cm $a class ^m $.

  $( Extend the definition of a class to include the partial mapping operation.
     (Read for ` A ^m B ` , "the set of all partial functions that map from
     ` B ` to ` A ` .) $)
  cpm $a class ^pm $.

  ${
    $d x y z f $.
    $( Define the mapping operation or set exponentiation.  The set of all
       functions that map from ` B ` to ` A ` is written ` ( A ^m B ) ` (see
       ~ mapval ).  Many authors write ` A ` followed by ` B ` as a superscript
       for this operation and rely on context to avoid confusion other
       exponentiation operations (e.g. Definition 10.42 of [TakeutiZaring]
       p. 95).  Other authors show ` B ` as a prefixed superscript, which is
       read " ` A ` pre ` B ` " (e.g. definition of [Enderton] p. 52).
       Definition 8.21 of [Eisenberg] p. 125 uses the notation Map( ` B ` ,
       ` A ` ) for our ` ( A ^m B ) ` .  The up-arrow is used by Donald Knuth
       for iterated exponentiation (_Science_ 194, 1235-1242, 1976).  We adopt
       the first case of his notation (simple exponentiation) and subscript it
       with _m_ to distinguish it from other kinds of exponentiation. $)
    df-map $a |- ^m = { <. <. x , y >. , z >. | z = { f | f : y --> x } } $.

    $( Define the partial mapping operation.  A partial function from ` B ` to
       ` A ` is a function from a subset of ` B ` to ` A ` .  The set of all
       partial functions from ` B ` to ` A ` is written ` ( A ^pm B ) ` (see
       ~ pmvalg ).  A notation for this operation apparently does not appear in
       the literature.  We use ` ^pm ` to distinguish it from the less
       general set exponentiation operation ` ^m ` ( ~ df-map ) .  See
       ~ mapsspm for its relationship to set exponentiation. $)
    df-pm $a |- ^pm = { <. <. x , y >. , z >. | z =
                    { f | ( Fun f /\ f (_ ( y X. x ) ) } } $.
  $}

  $( Note:  an alternate way to express partial functions is as follows,
     which would be added after df-fun above.  The symbol would be _pfun.gif.
     This definition would be needed only if we need proper class partial
     functions, which seems unlikely.  While nice-looking, for ordinary usage
     it would inconveniently require a new set of equality theorems, etc. $)
  $( Define a partial function, which is a function from a subset of the
     domain ` A ` to the codomain ` B ` .  The notation of a stroke through
     the arrow is used by the Z language: see, for example,
     ~ http://staff.washington.edu/jon/z/dcs.html . $)
  $(
  df-fp $a |- ( F : A -|-> B <-> ( Fun F /\ F (_ ( X X. Y ) ) $.
  $)

  ${
    $d f x A $.  $d f x B $.
    $( When ` A ` is a proper class, the class of all functions mapping ` A `
       to ` B ` is empty.  Exercise 4.41 of [Mendelson] p. 255. $)
    mapprc $p |- ( -. A e. V -> { f | f : A --> B } = (/) ) $=
      ( cvv wcel cv wf cab c0 wne wex abn0 cdm fdm visset dmex syl6eqelr
      19.23aiv sylbi necon1bi ) ADEZABCFZGZCHZIUDIJUCCKUAUCCLUCUACUCAUBMDABUBNU
      BCOPQRST $.
      $( [10-Dec-2003] $) $( [8-Dec-2003] $)

    $( The class of all partial functions from one set to another is a set. $)
    pmex $p |- ( ( A e. C /\ B e. D ) ->
                   { f | ( Fun f /\ f (_ ( A X. B ) ) } e. V ) $=
      ( wcel wa cv cxp wss wfun cab cvv xpexg abssexg syl ancom abbii syl5eqel
      ) ACFBDFGZEHZABIZJZUAKZGZELZMUDUCGZELTUBMFUFMFABCDNUDEUBMOPUGUEEUDUCQRS
      $.
      $( [16-Nov-2007] $) $( [15-Nov-2007] $)

    $( The class of all functions mapping one set to another is a set.  Remark
       after Definition 10.24 of [Kunen] p. 31.  (Contributed by Raph Levien,
       4-Dec-2003.) $)
    mapex $p |- ( ( A e. C /\ B e. D ) -> { f | f : A --> B } e. V ) $=
      ( cv wf cab cxp cpw wss wcel wa cvv fssxp ss2abi df-pw sseqtr4 ssexg
      xpexg pwexg syl sylan2 mpan ) ABEFZGZEHZABIZJZKZACLBDLMZUGNLZUGUEUHKZEHUI
      UFUMEABUEOPEUHQRUJUINLZULUKUGUINSUKUHNLUNABCDTUHNUAUBUCUD $.
      $( [8-Dec-2003] $) $( [4-Dec-2003] $)
  $}

  ${
    $d f x y z $.
    $( Set exponentiation has a universal domain. $)
    fnmap $p |- ^m Fn ( V X. V ) $=
      ( vx vy vz vf cvv cv wf cab cm wcel visset mapex mp2an wceq copab2 wa
      df-map pm3.2i biantrur oprabbii eqtr fnoprab2 ) ABCEEBFZAFZDFGDHZIUCEJZUD
      EJZUEEJBKZAKZUCUDEEDLMICFUENZABCOUGUFPZUJPZABCOABCDQUJULABCUKUJUGUFUIUHRS
      TUAUB $.
      $( [16-Jun-2004] $) $( [8-Dec-2003] $)
  $}

  ${
    $d x y z f A $.  $d x y z f B $.
    $( The value of set exponentiation.  ` ( A ^m B ) ` is the set of all
       functions that map from ` B ` to ` A ` .  Definition 10.24 of [Kunen]
       p. 24. $)
    mapvalg $p |- ( ( A e. C /\ B e. D ) ->
                  ( A ^m B ) = { f | f : B --> A } ) $=
      ( vx vy vz wcel wa cv wf cab cvv cm co wceq mapex ancoms wi feq3 abbidv
      feq2 copab2 df-map visset pm3.2i biantrur oprabbii eqtr oprabval2g
      3expia elisset syl2an mpd ) ACIZBDIZJBAEKZLZEMZNIZABOPUTQZUQUPVABADCERSAN
      IZBNIZVAVBTUPUQVCVDVAVBFGHABNNGKZFKZURLZEMZUTOVEAURLZEMNVFAQVGVIEVFAVEURU
      AUBVEBQVIUSEVEBAURUCUBOHKVHQZFGHUDVFNIZVENIZJZVJJZFGHUDFGHEUEVJVNFGHVMVJV
      KVLFUFGUFUGUHUIUJUKULACUMBDUMUNUO $.
      $( [8-Dec-2003] $) $( [8-Dec-2003] $)

    $( The value of the partial mapping operation.  ` ( A ^pm B ) ` is the set
       of all partial functions that map from ` B ` to ` A ` . $)
    pmvalg $p |- ( ( A e. C /\ B e. D ) ->
                  ( A ^pm B ) = { f | ( Fun f /\ f (_ ( B X. A ) ) } ) $=
      ( vx vy vz wcel wa cv wfun cxp wss cab cvv cpm co wceq pmex ancoms wi
      xpeq2 sseq2d anbi2d abbidv xpeq1 copab2 df-pm visset pm3.2i biantrur
      oprabbii eqtr oprabval2g 3expia elisset syl2an mpd ) ACIZBDIZJEKZLZVBBAMZ
      NZJZEOZPIZABQRVGSZVAUTVHBADCETUAAPIZBPIZVHVIUBUTVAVJVKVHVIFGHABPPVCVBGKZF
      KZMZNZJZEOZVGQVCVBVLAMZNZJZEOPVMASZVPVTEWAVOVSVCWAVNVRVBVMAVLUCUDUEUFVLBS
      ZVTVFEWBVSVEVCWBVRVDVBVLBAUGUDUEUFQHKVQSZFGHUHVMPIZVLPIZJZWCJZFGHUHFGHEUI
      WCWGFGHWFWCWDWEFUJGUJUKULUMUNUOUPACUQBDUQURUS $.
      $( [17-Nov-2007] $) $( [15-Nov-2007] $)
  $}

  ${
    $d f A $.  $d f B $.
    mapval.1 $e |- A e. V $.
    mapval.2 $e |- B e. V $.
    $( The value of set exponentiation (inference version).  ` ( A ^m B ) `
       is the set of all functions that map from ` B ` to ` A ` .  Definition
       10.24 of [Kunen] p. 24. $)
    mapval $p |-  ( A ^m B ) = { f | f : B --> A } $=
      ( cvv wcel cm co cv wf cab wceq mapvalg mp2an ) AFGBFGABHIBACJKCLMDEABFFC
      NO $.
      $( [8-Dec-2003] $) $( [8-Dec-2003] $)
  $}

  ${
    $d g A $.  $d g B $.  $d g C $.
    $( Membership relation for set exponentiation. $)
    elmapg $p |-  ( ( A e. R /\ B e. S ) ->
                  ( C e. ( A ^m B ) <-> C : B --> A ) ) $=
      ( vg wcel wa cm co cv wf cab mapvalg eleq2d cvv wi wb fex expcom adantl
      feq1 elab3g syl bitrd ) ADGZBEGZHZCABIJZGCBAFKZLZFMZGZBACLZUHUIULCABDEFNO
      UHUNCPGZQZUMUNRUGUPUFUNUGUOBAECSTUAUKUNFCPBAUJCUBUCUDUE $.
      $( [17-Oct-2006] $) $( [17-Oct-2006] $)
  $}

  ${
    $d g A $.  $d f g B $.  $d g F $.
    elmap.1 $e |- A e. V $.
    elmap.2 $e |- B e. V $.
    $( Membership relation for set exponentiation. $)
    elmap $p |-  ( F e. ( A ^m B ) <-> F : B --> A ) $=
      ( cvv wcel cm co wf wb elmapg mp2an ) AFGBFGCABHIGBACJKDEABCFFLM $.
      $( [30-Jan-2004] $) $( [8-Dec-2003] $)

    $( Alternate expression for the value of set exponentiation. $)
    mapval2 $p |- ( A ^m B ) = ( P~ ( B X. A ) i^i { f | f Fn B } ) $=
      ( vg cm co cxp cpw cv wfn cab cin wf wss wa wcel ffn fssxp jca crn rnss
      rnxpss sstr mpan2 syl anim2i df-f sylibr impbi ancom bitr elmap elin
      visset elpw fneq1 elab anbi12i 3bitr4 eqriv ) FABGHZBAIZJZCKZBLZCMZNZBAFK
      ZOZVJVDPZVJBLZQZVJVCRVJVIRZVKVMVLQZVNVKVPVKVMVLBAVJSBAVJTUAVPVMVJUBZAPZQV
      KVLVRVMVLVQVDUBZPZVRVJVDUCVTVSAPVRBAUDVQVSAUEUFUGUHBAVJUIUJUKVMVLULUMABVJ
      DEUNVOVJVERZVJVHRZQVNVJVEVHUOWAVLWBVMVJVDFUPZUQVGVMCVJWCBVFVJURUSUTUMVAVB
      $.
      $( [3-Nov-2007] $) $( [3-Nov-2007] $)

    $( The predicate "is a partial function." $)
    elpm $p |-  ( F e. ( A ^pm B ) <-> ( Fun F /\ F (_ ( B X. A ) ) ) $=
      ( vg cpm co wcel cv wfun cxp wss wa cab cvv wceq pmvalg mp2an eleq2i
      xpex ssex adantl funeq sseq1 anbi12d elab3 bitr ) CABGHZICFJZKZUJBALZMZNZ
      FOZICKZCULMZNZUIUOCAPIBPIUIUOQDEABPPFRSTUNURFCUQCPIUPCULBAEDUAUBUCUJCQUKU
      PUMUQUJCUDUJCULUEUFUGUH $.
      $( [18-Nov-2007] $) $( [15-Nov-2007] $)

    $( The predicate "is a partial function." $)
    elpm2 $p |-  ( F e. ( A ^pm B ) <-> ( F : dom F --> A /\ dom F (_ B ) ) $=
      ( cpm co wcel wfun cxp wss wa cdm wf elpm funssxp bitr ) CABFGHCICBAJKLCM
      ZACNRBKLABCDEOBACPQ $.
      $( [19-Nov-2007] $) $( [15-Nov-2007] $)

    $( A total function is a partial function. $)
    fpm $p |- ( F : A --> B -> F e. ( B ^pm A ) ) $=
      ( wf cdm wss wa cpm co wcel ffdm elpm2 sylibr ) ABCFCGZBCFPAHICBAJKLABCMB
      ACEDNO $.
      $( [18-Nov-2007] $) $( [15-Nov-2007] $)

    $( Set exponentiation is a subset of partial maps. $)
    mapsspm $p |- ( A ^m B ) (_ ( A ^pm B ) $=
      ( vg cm co cpm cv wcel wf elmap fpm sylbi ssriv ) EABFGZABHGZEIZPJBARKRQJ
      ABRCDLBARDCMNO $.
      $( [10-Dec-2007] $) $( [15-Nov-2007] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y C $.  $d x y D $.  $d x y R $.
    fvopabf4.1 $e |- C e. V $.
    fvopabf4.2 $e |- D e. V $.
    fvopabf4.3 $e |- R e. V $.
    fvopabf4.4 $e |- ( x = A -> B = C ) $.
    fvopabf4.5 $e |- F = { <. x , y >. | ( x : D --> R /\ y = B ) } $.
    $( Special case of ~ fvopab4 for operator theorems. $)
    fvopabf4 $p |- ( A : D --> R -> ( F ` A ) = C ) $=
      ( wf cm co wcel cfv wceq elmap cv wa copab anbi1i opabbii eqtr4 fvopab4
      sylbir ) FGCNCGFOPZQCHRESGFCKJTABCDEUIHLHFGAUAZNZBUADSZUBZABUCUJUIQZULUBZ
      ABUCMUOUMABUNUKULGFUJKJTUDUEUFIUGUH $.
      $( [7-Dec-2007] $) $( [27-Nov-2007] $)
  $}

  ${
    $d f A $.  $d f B $.
    $( Set exponentiation is a subset of the power set of the cross product
       of its arguments. $)
    mapsspw $p |- ( B e. R -> ( A ^m B ) (_ P~ ( B X. A ) ) $=
      ( vf cvv wcel cm co cxp cpw wss wa cv wf cab mapvalg fssxp ss2abi df-pw
      sseqtr4 a1i eqsstrd wn c0 cdm wrel relxp wfn wceq fnmap fndm ax-mp
      releqi mpbir oprprc1 0ss adantr pm2.61ian ) AEFZBCFZABGHZBAIZJZKZUSUTLZVA
      BADMZNZDOZVCABECDPVHVCKVEVHVFVBKZDOVCVGVIDBAVFQRDVBSTUAUBUSUCZVDUTVJVAUDV
      CABGGUEZUFEEIZUFEEUGVKVLGVLUHVKVLUIUJVLGUKULUMUNUOUDVCKVJVCUPUAUBUQUR $.
      $( [8-Dec-2006] $) $( [8-Dec-2006] $)
  $}

  ${
    $d f A $.
    map0e.1 $e |- A e. V $.
    $( Set exponentiation with an empty exponent (ordinal number 0) is ordinal
       number 1.  Exercise 4.42(a) of [Mendelson] p. 255. $)
    map0e $p |- ( A ^m (/) ) = 1o $=
      ( vf c0 cm co csn c1o cv wf cab wceq wfn crn wss wa fn0 anbi1i df-f 0ss
      rneq rn0 syl6eq sseq1d mpbiri pm4.71i 3bitr4 abbii 0ex mapval df-sn
      3eqtr4 df1o2 eqtr4 ) ADEFZDGZHDACIZJZCKUQDLZCKUOUPURUSCUQDMZUQNZAOZPUSVBP
      URUSUTUSVBUQQRDAUQSUSVBUSVBDAOATUSVADAUSVADNDUQDUAUBUCUDUEUFUGUHADCBUIUJC
      DUKULUMUN $.
      $( [10-Dec-2003] $) $( [10-Dec-2003] $)

    $( Set exponentiation with an empty base is the empty set, provided the
       exponent is non-empty.  Theorem 96 of [Suppes] p. 89. $)
    map0b $p |- ( A =/= (/) -> ( (/) ^m A ) = (/) ) $=
      ( vf c0 wne cv wf cab cm co wex wceq abn0 cdm fdm crn wss frn ss0 syl
      dm0rn0 sylibr eqtr3d 19.23aiv sylbi necon1i 0ex mapval syl5eq ) ADEADCFZG
      ZCHZDDAIJULDADULDEUKCKADLZUKCMUKUMCUKUJNZADADUJOUKUJPZDLZUNDLUKUODQUPADUJ
      RUOSTUJUAUBUCUDUEUFDACUGBUHUI $.
      $( [19-Mar-2007] $) $( [10-Dec-2003] $)
  $}

  ${
    $d f x y A $.  $d f x y B $.
    map0.1 $e |- A e. V $.
    map0.2 $e |- B e. V $.
    $( Set exponentiation is empty iff the base is empty and the exponent is
       not empty.  Theorem 97 of [Suppes] p. 89. $)
    map0 $p |- ( ( A ^m B ) = (/) <-> ( A = (/) /\ B =/= (/) ) ) $=
      ( vf vx cm co c0 wceq wne wa cv wf cab mapval eqeq1i wcel wex csn wss
      cxp snssi visset fconst fss mpan snex xpex feq1 cla4ev 3syl 19.23aiv ne0
      abn0 3imtr4 necon4i sylbi 0ex snnz c1o map0e df1o2 eqtr neeq1i mpbir
      opreq2 neeq1d mpbiri necon2i jca opreq1 map0b sylan9eq impbi ) ABGHZIJZAI
      JZBIKZLVQVRVSVQBAEMZNZEOZIJVRVPWBIABECDPQAIWBIFMZARZFSWAESZAIKWBIKWDWEFWD
      WCTZAUAZBABWFUBZNZWEWCAUCBWFWHNWGWIBWCFUDUEBWFAWHUFUGWAWIEWHBWFDWCUHUIBAV
      TWHUJUKULUMFAUNWAEUOUPUQURBIVPIBIJZVPIKAIGHZIKZWLITZIKIUSUTWKWMIWKVAWMACV
      BVCVDVEVFWJVPWKIBIAGVGVHVIVJVKVRVSVPIBGHIAIBGVLBDVMVNVO $.
      $( [17-May-2007] $) $( [10-Dec-2003] $)

    $( The value of set exponentiation with a singleton exponent.  Theorem 98
       of [Suppes] p. 89. $)
    mapsn $p |- ( A ^m { B } ) = { f | E. y e. A f = { <. B , y >. } } $=
      ( cv cop csn wceq wrex cm co wcel wf snex elmap wa wex crn wbr weu snid
      wfn fneu ffn sylan mpan2 cab cima wrel frel relimasn syl cdm fdm imaeq2d
      imadmrn syl5reqr eqtr3d eqeq1d exbidv eusn syl5bb mpbid frn sseld visset
      eleq2 mpbiri syl5 feq3 wfo fnforn sylib fof syl5cbi fsn syl6ib jcad
      19.22dv mpd df-rex sylibr wss fss wf1o f1osn f1oeq1 f1of snssi syl2an
      expcom r19.23aiv impbi bitr abbi2i ) DGZCAGZHIZJZABKZDBCIZLMZWRXDNXCBWROZ
      XBBXCWRECPQXEXBXEWSBNZXARZASZXBXEWRTZWSIZJZASZXHXECWSWRUAZAUBZXLXECXCNZXN
      CFUCWRXCUDZXOXNXEAXCCWRUEXCBWRUFZUGUHXEXMAUIZXJJZASXLXNXEXSXKAXEXRXIXJXEW
      RXCUJZXRXIXEWRUKXTXRJXCBWRULACWRUMUNXEWRWRUOZUJXTXIXEYAXCWRXCBWRUPUQWRURU
      SUTVAVBXMAVCVDVEXEXKXGAXEXKXFXAXEWSXINZXFXKXEXIBWSXCBWRVFVGXKYBWSXJNWSAVH
      ZUCXIXJWSVIVJVKXEXKXCXJWROZXAXKXCXIWROZYDXEXIXJXCWRVLXEXCXIWRVMZYEXEXPYFX
      QXCWRVNVOXCXIWRVPUNVQCWSWRFYCVRVSVTWAWBXAABWCWDXAXEABXAXFXEYDXJBWEXEXAXFX
      CXJBWRWFXAXCXJWRWGZYDXAYGXCXJWTWGCWSFYCWHXCXJWRWTWIVJXCXJWRWJUNWSBWKWLWMW
      NWOWPWQ $.
      $( [15-Dec-2003] $) $( [10-Dec-2003] $)
  $}

  ${
    $d f A $.  $d f B $.  $d f C $.
    mapss.1 $e |- B e. V $.
    mapss.2 $e |- C e. V $.
    $( Subset inheritance for set exponentiation.  Theorem 99 of [Suppes]
       p. 89. $)
    mapss $p |- ( A (_ B -> ( A ^m C ) (_ ( B ^m C ) ) $=
      ( vf wss cv wf cab cm co wi wal fss expcom 19.21aiv ss2ab sylibr cvv
      wcel wceq ssex mapvalg mpan2 syl mapval a1i 3sstr4d ) ABGZCAFHZIZFJZCBUKI
      ZFJZACKLZBCKLZUJULUNMZFNUMUOGUJURFULUJUNCABUKOPQULUNFRSUJATUAZUPUMUBZABDU
      CUSCTUAUTEACTTFUDUEUFUQUOUBUJBCFDEUGUHUI $.
      $( [15-Dec-2003] $) $( [10-Dec-2003] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Infinite Cartesian products
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c X_ $.

  $( Extend class notation to include infinite Cartesian products. $)
  cixp $a class X_ x e. A B $.

  ${
    $d f x $.  $d f A $.  $d f B $.
    $( Definition of infinite Cartesian product of [Enderton] p. 54.  Enderton
       uses a bold "X" with ` x e. A ` written underneath or as a subscript,
       as does Stoll p. 47.  Some books use a capital pi, but we will reserve
       that notation for products of numbers.  Usually ` B ` represents a
       class expression containing ` x ` free and thus can be thought of
       as ` B ( x ) ` .  Normally, ` x ` is not free in ` A ` , although this
       is not a requirement of the definition. $)
    df-ixp $a |- X_ x e. A B =
                 { f | ( f Fn A /\ A. x e. A ( f ` x ) e. B ) } $.
  $}

  ${
    $d f A $.  $d f B $.  $d f x F $.
    $( Membership in an infinite Cartesian product.  See ~ df-ixp for
       discussion of the notation. $)
    elixp2 $p |- ( F e. X_ x e. A B <->
                ( F e. V /\ F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( vf cvv wcel cixp wa wfn cv cfv wral w3a wceq fneq1 fveq1 eleq1d
      ralbidv anbi12d df-ixp elab2g pm5.32i elisset pm4.71ri 3anass 3bitr4 ) DF
      GZDABCHZGZIUHDBJZAKZDLZCGZABMZIZIUJUHUKUONUHUJUPEKZBJZULUQLZCGZABMZIUPEDU
      IFUQDOZURUKVAUOBUQDPVBUTUNABVBUSUMCULUQDQRSTABCEUAUBUCUJUHDUIUDUEUHUKUOUF
      UG $.
      $( [29-Sep-2006] $) $( [28-Sep-2006] $)
  $}

  ${
    $d x F $.
    elixp.1 $e |- F e. V $.
    $( Membership in an infinite Cartesian product. $)
    elixp $p |- ( F e. X_ x e. A B <->
                ( F Fn A /\ A. x e. A ( F ` x ) e. B ) ) $=
      ( cvv wcel wfn cv cfv wral w3a wa cixp 3anass elixp2 biantrur 3bitr4 ) DF
      GZDBHZAIDJCGABKZLSTUAMZMDABCNGUBSTUAOABCDPSUBEQR $.
      $( [30-Sep-2006] $) $( [28-Sep-2006] $)

    ${
      $d x A $.  $d x B $.
      $( Membership in an infinite Cartesian product of a constant ` B ` . $)
      elixpconst $p |- ( F e. X_ x e. A B <-> F : A --> B ) $=
        ( cixp wcel wfn cv cfv wral wa wf elixp ffnfv bitr4 ) DABCFGDBHAIDJCGAB
        KLBCDMABCDENABCDOP $.
        $( [12-Apr-2008] $) $( [12-Apr-2008] $)
    $}
  $}

  ${
    $d f x A $.  $d f x B $.
    ixpconst.1 $e |- A e. V $.
    ixpconst.2 $e |- B e. V $.
    $( Infinite Cartesian product of a constant ` B ` . $)
    ixpconst $p |- X_ x e. A B = ( B ^m A ) $=
      ( vf cixp cv wf cab cm co visset elixpconst abbi2i mapval eqtr4 ) ABCGZBC
      FHZIZFJCBKLTFRABCSFMNOCBFEDPQ $.
      $( [20-Apr-2008] $) $( [12-Apr-2008] $)
  $}

  ${
    $d f x A $.  $d f x B $.  $d f C $.
    $( Equality theorem for infinite Cartesian product. $)
    ixpeq1 $p |- ( A = B -> X_ x e. A C = X_ x e. B C ) $=
      ( vf wceq cv wfn cfv wcel wral wa cab cixp fneq2 raleq1 anbi12d abbidv
      df-ixp 3eqtr4g ) BCFZEGZBHZAGUBIDJZABKZLZEMUBCHZUDACKZLZEMABDNACDNUAUFUIE
      UAUCUGUEUHBCUBOUDABCPQRABDESACDEST $.
      $( [9-Jun-2007] $) $( [29-Sep-2006] $)
  $}

  ${
    $d f A $.  $d f B $.  $d f C $.  $d f x $.
    $( Subclass theorem for infinite Cartesian product. $)
    ss2ixp $p |- ( A. x e. A B (_ C -> X_ x e. A B (_ X_ x e. A C ) $=
      ( vf wss wral cixp cv wfn cfv wcel wa ssel r19.20sii anim2d visset elixp
      3imtr4g ssrdv ) CDFZABGZEABCHZABDHZUBEIZBJZAIUEKZCLZABGZMUFUGDLZABGZMUEUC
      LUEUDLUBUIUKUFUAUHUJABCDUGNOPABCUEEQZRABDUEULRST $.
      $( [17-Oct-2006] $) $( [29-Sep-2006] $)
  $}

  $( Equality theorem for infinite Cartesian product. $)
  ixpeq2 $p |- ( A. x e. A B = C -> X_ x e. A B = X_ x e. A C ) $=
    ( wss wral wa cixp wceq ss2ixp anim12i eqss ralbii r19.26 bitr 3imtr4 ) CDE
    ZABFZDCEZABFZGZABCHZABDHZEZUCUBEZGCDIZABFZUBUCIRUDTUEABCDJABDCJKUGQSGZABFUA
    UFUHABCDLMQSABNOUBUCLP $.
    $( [16-Aug-2007] $) $( [29-Sep-2006] $)

  ${
    $d f x y A $.  $d f y B $.  $d x y F $.
    $( A member of an infinite Cartesian product maps to the indexed union of
       the product argument.  Remark in [Enderton] p. 54. $)
    ixpf $p |- ( F e. X_ x e. A B -> F : A --> U_ x e. A B ) $=
      ( vy cixp wcel cvv wfn cv cfv wral w3a ciun wf elixp2 wa ssiun2 sseld
      r19.20i anim2i ax-17 hbiu1 ffnfvf sylibr 3adant1 sylbi ) DABCFGDHGZDBIZAJ
      ZDKZCGZABLZMBABCNZDOZABCDPUIUMUOUHUIUMQUIUKUNGZABLZQUOUMUQUIULUPABUJBGCUN
      UKABCRSTUAAEBUNDEJZBGAUBAEBCUCURDGAUBUDUEUFUG $.
      $( [4-Oct-2006] $) $( [28-Sep-2006] $)

    $( The union of an infinite Cartesian product is included in a cross
       product. $)
    uniixp $p |- U. X_ x e. A B (_ ( A X. U_ x e. A B ) $=
      ( vy vf cixp cuni ciun cxp cv wcel wf wa wex eluni ixpf anim2i 19.22i
      sylbi fssxp sseld impcom 19.23aiv syl ssriv ) DABCFZGZBABCHZIZDJZUGKZUJEJ
      ZKZBUHULLZMZENZUJUIKZUKUMULUFKZMZENUPEUJUFOUSUOEURUNUMABCULPQRSUOUQEUNUMU
      QUNULUIUJBUHULTUAUBUCUDUE $.
      $( [24-Oct-2006] $) $( [28-Sep-2006] $)

    $( The existence of an infinite Cartesian product.  ` x ` is normally a
       free-variable parameter in ` B ` .  Remark in Enderton p. 54. $)
    ixpexg $p |- ( ( A e. C /\ A. x e. A B e. D ) -> X_ x e. A B e. V ) $=
      ( wcel wral wa cixp cuni cvv ciun cxp iunexg xpexg syldan wss uniixp
      ssexg mpan syl uniexb sylibr ) BDFZCEFABGZHZABCIZJZKFZUGKFUFBABCLZMZKFZUI
      UDUEUJKFULABCDENBUJDKOPUHUKQULUIABCRUHUKKSTUAUGUBUC $.
      $( [28-Jun-2007] $) $( [28-Sep-2006] $)
  $}

  ${
    $d f A $.  $d f x $.
    $( An infinite Cartesian product with an empty index set. $)
    ixp0x $p |- X_ x e. (/) A = { (/) } $=
      ( vf c0 cixp cv wfn cfv wcel wral wa cab csn df-ixp wceq elsn fn0 ral0
      biantru 3bitr2 abbi2i eqtr4 ) ADBECFZDGZAFUCHBIZADJZKZCLDMZADBCNUGCUHUCUH
      IUCDOUDUGCDPUCQUFUDUEARSTUAUB $.
      $( [21-Sep-2007] $) $( [21-Sep-2007] $)
  $}

  $( Membership of the empty set in an infinite Cartesian product.
     (Contributed by Steve Rodriguez, 29-Sep-2006.) $)
  0elixp $p |- (/) e. X_ x e. (/) A $=
    ( c0 csn cixp 0ex snid ixp0x eleqtrr ) CCDACBECFGABHI $.
    $( [30-Sep-2006] $) $( [29-Sep-2006] $)

  ${
    $d f A $.  $d f B $.  $d f x $.
    $( The infinite Cartesian product of a family ` B ( x ) ` with an empty
       member is empty. $)
    ixp0 $p |- ( E. x e. A B = (/) -> X_ x e. A B = (/) ) $=
      ( vf c0 wceq wrex cixp cv wfn cfv wcel wral wa wn wb n0i con2i r19.22si
      rexnal sylib intnand noel jctir pm5.21 syl visset elixp syl5bb eqrdv ) CE
      FZABGZDABCHZEULDIZBJZAIUNKZCLZABMZNZUNELZUNUMLULUSOZUTOZNUSUTPULVAVBULURU
      OULUQOZABGUROUKVCABUQUKCUPQRSUQABTUAUBUNUCUDUSUTUEUFABCUNDUGUHUIUJ $.
      $( [1-Oct-2006] $) $( [1-Oct-2006] $)
 $}

  ${
    $d f x A $.  $d f B $.
    mapixp.1 $e |- A e. V $.
    mapixp.2 $e |- B e. V $.
    ${
      $d x B $.
      $( Express set exponentiation in terms of an infinite Cartesian product.
         Remark in [Stoll] p. 47.  Note that ` B ` is constant, i.e. ` x ` does
         not occur in ` B ` . $)
      mapixp $p |- ( B ^m A ) = X_ x e. A B $=
        ( vf cm co cixp cv wf wfn cfv wcel wral wa ffnfv elmap visset elixp
        3bitr4 eqriv ) FCBGHZABCIZBCFJZKUEBLAJUEMCNABOPUEUCNUEUDNABCUEQCBUEEDRA
        BCUEFSTUAUB $.
        $( [2-Oct-2006] $) $( [28-Sep-2006] $)
    $}

    $( An infinite Cartesian product is a subset of set exponentation.  Remark
       in [Enderton] p. 54. $)
    ixpssmap $p |- X_ x e. A B (_ ( U_ x e. A B ^m A ) $=
      ( vf cixp ciun cm co cv wcel wf ixpf iunex elmap sylibr ssriv ) FABCGZABC
      HZBIJZFKZSLBTUBMUBUALABCUBNTBUBABCDEODPQR $.
      $( [8-Jul-2007] $) $( [28-Sep-2006] $)
  $}

$(
  @{
    xpixp.1 @e |- P = X_ x e. { (/) , 1o } if ( x = (/) , A , B ) @.
    xpixp.1 @e |- P = X_ x e. 2o if ( x = (/) , A , B ) @.
    xpixp.1 @e |- P =
               X_ x e. { (/) , 1o } ( { <. (/) , A >. , <. 1o , B >. } ` x ) @.
    @( A cross product in terms of an infinite Cartesian product. @)
    xpixp @p |- ( A X. B ) =
                ( ran ( U. P |` { (/) } ) X. ran ( U. P |` { 1o } ) ) @=
?@.
      @( [?] @) @( [29-Sep-2006] @)
  @}

  @{
    ixpxp.1 @e |- P = ( A X. B ) @.
    @( An infinite Cartesian product in terms of a cross product. @)
    ixpxp @p |- X_ x e. { (/) , 1o } if ( x = (/) , A , B ) =
                { ( { (/) } X. dom P ) , ( { 1o } X. ran P ) } @=
?@.
      @( [?] @) @( [29-Sep-2006] @)
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Equinumerosity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  $( Introduce new constant symbols. $)
  $c ~~ $. $( Equinumerosity relation ("approximately equals" symbol) $)
  $c ~<_ $. $( Dominance relation (curly less-than-or-equal) $)
  $c ~< $. $( Strict dominance relation (curly less-than) $)

  $( Extend class definition to include the equinumerosity relation
     ("approximately equals" symbol) $)
  cen $a class ~~ $.
  $( Extend class definition to include the dominance relation (curly
     less-than-or-equal) $)
  cdom $a class ~<_ $.
  $( Extend class definition to include the strict dominance relation (curly
     less-than) $)
  csdm $a class ~< $.

  ${
    $d x y f $.
    $( Define the equinumerosity relation.  Definition of [Enderton] p. 129.
       We define ` ~~ ` to be a binary relation rather than a connective,
       so its arguments must be sets to be meaningful.  This is acceptable
       because we do not consider equinumerosity for proper classes.  We derive
       the usual definition as ~ bren . $)
    df-en $a |- ~~ = { <. x , y >. | E. f f : x -1-1-onto-> y } $.

    $( Define the dominance relation.  For an alternate definition see
       ~ dfdom2 .  Compare Definition of [Enderton] p. 145.  Typical
       textbook definitions are derived as ~ brdom and ~ domen . $)
    df-dom $a |- ~<_ = { <. x , y >. | E. f f : x -1-1-> y } $.

    $( Define the strict dominance relation.  Alternate possible definitions
       are derived as ~ brsdom and ~ brsdom2 .  Definition 3 of [Suppes]
       p. 97. $)
    df-sdom $a |- ~< = ( ~<_ \ ~~ ) $.

  $}

  ${
    $d x y f $.  $d x y f $.
    $( Equinumerosity is a relation. $)
    relen $p |- Rel ~~ $=
      ( vx vy vf cen wrel cv wf1o wex copab relopab df-en releqi mpbir ) DEAFBF
      CFGCHZABIZENABJDOABCKLM $.
      $( [28-Mar-1998] $)

    $( Dominance is a relation. $)
    reldom $p |- Rel ~<_ $=
      ( vx vy vf cdom wrel cv wf1 wex copab relopab df-dom releqi mpbir ) DEAFB
      FCFGCHZABIZENABJDOABCKLM $.
      $( [28-Mar-1998] $)
  $}

  $( Strict dominance is a relation. $)
  relsdom $p |- Rel ~< $=
    ( cdom wrel csdm reldom cen cdif reldif df-sdom releqi sylibr ax-mp ) ABZCB
    ZDLAEFZBMAEGCNHIJK $.
    $( [31-Mar-1998] $)

  ${
    $d f x y A $.  $d f x y B $.  $d y C $.
    $( Equinumerosity relation. $)
    breng $p |- ( B e. C -> ( A ~~ B <-> E. f f : A -1-1-onto-> B ) ) $=
      ( vx vy cvv wcel cen wbr cv wf1o wex wb wi wceq f1oeq2 exbidv f1oeq3
      df-en brabg ex wn relen brrelexi wfn f1ofn cdm fndm visset dmex
      syl6eqelr syl 19.23aiv pm5.21ni a1d pm2.61i ) AGHZBCHZABIJZABDKZLZDMZNZOU
      RUSVDEKZFKZVALZDMAVFVALZDMVCEFABGCIVEAPVGVHDVEAVFVAQRVFBPVHVBDVFBAVASREFD
      TUAUBURUCVDUSUTURVCABIUDUEVBURDVBVAAUFZURABVAUGVIAVAUHGAVAUIVADUJUKULUMUN
      UOUPUQ $.
      $( [15-Jun-1998] $)

    $( Dominance relation. $)
    brdomg $p |- ( B e. C -> ( A ~<_ B <-> E. f f : A -1-1-> B ) ) $=
      ( vx vy cvv wcel cdom wbr cv wf1 wex wb wi wceq f1eq2 exbidv f1eq3
      df-dom brabg ex wn reldom brrelexi wf f1f cdm fdm visset dmex syl6eqelr
      syl 19.23aiv pm5.21ni a1d pm2.61i ) AGHZBCHZABIJZABDKZLZDMZNZOURUSVDEKZFK
      ZVALZDMAVFVALZDMVCEFABGCIVEAPVGVHDVEAVFVAQRVFBPVHVBDVFBAVASREFDTUAUBURUCV
      DUSUTURVCABIUDUEVBURDVBABVAUFZURABVAUGVIAVAUHGABVAUIVADUJUKULUMUNUOUPUQ
      $.
      $( [15-Jun-1998] $)
  $}

  ${
    $d f x y A $.  $d f x y B $.  $d f w x y z $.
    bren.1 $e |- B e. V $.
    $( Equinumerosity relation.  Compare Definition of [Enderton] p. 129. $)
    bren $p |- ( A ~~ B <-> E. f f : A -1-1-onto-> B ) $=
      ( cvv wcel cen wbr cv wf1o wex wb breng ax-mp ) BEFABGHABCIJCKLDABECMN $.
      $( [15-Jun-1998] $)

    $( Dominance relation. $)
    brdom $p |- ( A ~<_ B <-> E. f f : A -1-1-> B ) $=
      ( cvv wcel cdom wbr cv wf1 wex wb brdomg ax-mp ) BEFABGHABCIJCKLDABECMN
      $.
      $( [15-Jun-1998] $)

    $( Dominance in terms of equinumerosity.  Example 1 of [Enderton]
       p. 146. $)
    domen $p |- ( A ~<_ B <-> E. x ( A ~~ x /\ x (_ B ) ) $=
      ( vf cv wf1 wex wf1o wss wa cdom wbr cen visset f11o exbii excom bitr
      brdom bren anbi1i 19.41v bitr4 3bitr4 ) BCEFZGZEHZBAFZUFIZUICJZKZEHZAHZBC
      LMBUINMZUKKZAHUHULAHZEHUNUGUQEABCUFEOPQULEARSBCEDTUPUMAUPUJEHZUKKUMUOURUK
      BUIEAOUAUBUJUKEUCUDQUE $.
      $( [15-Jun-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Dominance in terms of equinumerosity, with the sethood requirement
       expressed as an antecedent.  Example 1 of [Enderton] p. 146. $)
    domeng $p |- ( B e. C -> ( A ~<_ B <-> E. x ( A ~~ x /\ x (_ B ) ) ) $=
      ( vy cv cdom wbr cen wss wa wex breq2 wceq sseq2 anbi2d exbidv visset
      domen vtoclbg ) BEFZGHBAFZIHZUBUAJZKZALBCGHUCUBCJZKZALECDUACBGMUACNZUEUGA
      UHUDUFUCUACUBOPQABUAERST $.
      $( [24-Jun-2004] $) $( [24-Apr-2004] $)
  $}

  $( Strict dominance relation, meaning " ` B ` is strictly greater in size
     than ` A ` ."  Definition of [Mendelson] p. 255. $)
  brsdom $p |- ( A ~< B <-> ( A ~<_ B /\ -. A ~~ B ) ) $=
    ( cop csdm wcel cdom cen cdif wbr wn wa df-sdom eleq2i df-br negbii
    anbi12i eldif bitr4 3bitr4 ) ABCZDETFGHZEZABDIABFIZABGIZJZKZDUATLMABDNUFTFE
    ZTGEZJZKUBUCUGUEUIABFNUDUHABGNOPTFGQRS $.
    $( [25-Jun-1998] $)

  ${
    $d x y f $.
    $( Equinumerosity implies dominance. $)
    enssdom $p |- ~~ (_ ~<_ $=
      ( vx vy vf cen cdom relen cv cop wf1o wex copab wcel wf1 f1of1 19.22i
      opabid 3imtr4 df-en eleq2i df-dom relssi ) ABDEFAGZBGZHZUBUCCGZIZCJZABKZL
      ZUDUBUCUEMZCJZABKZLZUDDLUDELUGUKUIUMUFUJCUBUCUENOUGABPUKABPQDUHUDABCRSEUL
      UDABCTSQUA $.
      $( [31-Mar-1998] $)
  $}

  $( Alternate definition of dominance. $)
  dfdom2 $p |- ~<_ = ( ~< u. ~~ ) $=
    ( cen csdm cun cdom cdif df-sdom uneq2i uncom wss wceq enssdom undif mpbi
    3eqtr3r ) ABCADAEZCZBACDBOAFGABHADIPDJKADLMN $.
    $( [17-Jun-1998] $)

  $( Equinumerosity implies dominance.  Theorem 15 of [Suppes] p. 94. $)
  endom $p |- ( A ~~ B -> A ~<_ B ) $=
    ( cen cdom enssdom ssbri ) CDABEF $.
    $( [28-May-1998] $)

  $( Strict dominance implies dominance. $)
  sdomdom $p |- ( A ~< B -> A ~<_ B ) $=
    ( csdm wbr cdom cen wn brsdom pm3.26bi ) ABCDABEDABFDGABHI $.
    $( [10-Jun-1998] $)

  $( Strict dominance implies non-equinumerosity. $)
  sdomnen $p |- ( A ~< B -> -. A ~~ B ) $=
    ( csdm wbr cdom cen wn brsdom pm3.27bi ) ABCDABEDABFDGABHI $.
    $( [10-Jun-1998] $)

  $( Dominance in terms of strict dominance and equinumerosity.  Theorem 22(iv)
     of [Suppes] p. 97. $)
  brdom2 $p |- ( A ~<_ B <-> ( A ~< B \/ A ~~ B ) ) $=
    ( cop cdom wcel csdm cen cun wbr wo dfdom2 eleq2i df-br orbi12i elun bitr4
    3bitr4 ) ABCZDERFGHZEZABDIABFIZABGIZJZDSRKLABDMUCRFEZRGEZJTUAUDUBUEABFMABGM
    NRFGOPQ $.
    $( [17-Jun-1998] $)

  $( Equinumerosity expressed in terms of dominance and strict dominance. $)
  bren2 $p |- ( A ~~ B <-> ( A ~<_ B /\ -. A ~< B ) ) $=
    ( cen wbr cdom csdm wn wa endom sdomnen con2i jca wo brdom2 biimp orcanai
    impbi ) ABCDZABEDZABFDZGZHRSUAABITRABJKLSTRSTRMABNOPQ $.
    $( [23-Oct-2004] $) $( [23-Oct-2004] $)

  ${
    $d f A $.
    $( Equinumerosity is reflexive.  Theorem 1 of [Suppes] p. 92. $)
    enrefg $p |- ( A e. B -> A ~~ A ) $=
      ( vf wcel cen wbr cv wf1o wex cid cres cvv resiexg f1oi f1oeq1 cla4egv
      mpi syl breng mpbird ) ABDZAAEFAACGZHZCIZUAJAKZLDZUDABMUFAAUEHZUDANUCUGCU
      ELAAUBUEOPQRAABCST $.
      $( [20-Jan-2007] $) $( [18-Jun-1998] $)
  $}

  ${
    enref.1 $e |- A e. V $.
    $( Equinumerosity is reflexive.  Theorem 1 of [Suppes] p. 92. $)
    enref $p |- A ~~ A $=
      ( cvv wcel cen wbr enrefg ax-mp ) ACDAAEFBACGH $.
      $( [26-Sep-2004] $) $( [25-Sep-2004] $)
  $}

  $( Equality implies equinumerosity. $)
  eqeng $p |- ( A e. C -> ( A = B -> A ~~ B ) ) $=
    ( wceq cen wbr wcel breq2 enrefg syl5cbi ) ABDAAEFABEFACGABAEHACIJ $.
    $( [8-Nov-2003] $) $( [26-Oct-2003] $)

  $( Dominance is reflexive. $)
  domrefg $p |- ( A e. B -> A ~<_ A ) $=
    ( wcel cen wbr cdom enrefg endom syl ) ABCAADEAAFEABGAAHI $.
    $( [18-Jun-1998] $)

  ${
    $d f A $.  $d f B $.  $d f F $.
    $( The domain and range of a one-to-one, onto function are equinumerous.
       This variation of ~ f1oeng does not require the Axiom of Replacement. $)
    f1oen2g $p |- ( ( F e. C /\ F : A -1-1-onto-> B ) -> A ~~ B ) $=
      ( vf cvv wcel cv wf1o wex cen wbr wa wi wn brprc enrefg syl5bir a1d
      com3r breng biimprd pm2.61d2 wf dmfex f1of sylan2 f1oeq1 cla4egv imp
      sylc ) AFGZABEHZIZEJZABKLZDCGZABDIZMULBFGZUOUPNUSOZUOULUPUTULUPNUOUTUPAAK
      LULABKPAFQRSTUSUPUOABFEUAUBUCUQABDUDULURABCDUEABDUFUGUQURUOUNUREDCABUMDUH
      UIUJUK $.
      $( [15-Jan-2007] $) $( [13-Jan-2007] $)

    $( The domain and range of a one-to-one, onto function are equinumerous. $)
    f1oeng $p |- ( ( A e. C /\ F : A -1-1-onto-> B ) -> A ~~ B ) $=
      ( wcel wf1o cvv cen wbr wfn fnex ancoms f1ofn sylan2 f1oen2g sylancom )
      ACEZABDFZDGEZABHIQDAJZSRTQSACDKLABDMNABGDOP $.
      $( [30-Jan-2007] $) $( [19-Jun-1998] $)

    $( The domain of a one-to-one function is dominated by its range. $)
    f1domg $p |- ( A e. C -> ( F : A -1-1-> B -> A ~<_ B ) ) $=
      ( vf wcel wf1 cv wex cdom wbr cvv wf fex f1f sylan expcom f1eq1 cla4egv
      syli wi wn brprc domrefg syl5bir a1d com3r brdomg biimprd pm2.61d2 syld
      ) ACFZABDGZABEHZGZEIZABJKZUMULDLFZUPUMULURABDMULURUMABCDNABDOPQUOUMEDLABU
      NDRSTULBLFZUPUQUAUSUBZUPULUQUTULUQUAUPUTUQAAJKULABJUCACUDUEUFUGUSUQUPABLE
      UHUIUJUK $.
      $( [18-Jun-1998] $)

    $( The domain of a one-to-one function is dominated by its range. $)
    f1dom2g $p |- ( B e. C -> ( F : A -1-1-> B -> A ~<_ B ) ) $=
      ( wf1 wcel cvv cdom wbr f1dmex expcom f1domg syli ) ABDEZBCFZAGFZABHINOPA
      BCDJKABGDLM $.
      $( [5-Sep-2004] $) $( [4-Sep-2004] $)
  $}

  ${
    f1oen.1 $e |- A e. V $.
    $( The domain and range of a one-to-one, onto function are equinumerous. $)
    f1oen $p |- ( F : A -1-1-onto-> B -> A ~~ B ) $=
      ( cvv wcel wf1o cen wbr f1oeng mpan ) AEFABCGABHIDABECJK $.
      $( [19-Jun-1998] $)

    $( The domain of a one-to-one function is dominated by its range. $)
    f1dom $p |- ( F : A -1-1-> B -> A ~<_ B ) $=
      ( cvv wcel wf1 cdom wbr wi f1domg ax-mp ) AEFABCGABHIJDABECKL $.
      $( [19-Jun-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.  $d x y ph $.
    en2d.1 $e |- ( ph -> A e. V ) $.
    en2d.2 $e |- ( ph -> ( x e. A -> C e. V ) ) $.
    en2d.3 $e |- ( ph -> ( y e. B -> D e. V ) ) $.
    en2d.4 $e |- ( ph -> ( ( x e. A /\ y = C ) <-> ( y e. B /\ x = D ) ) ) $.
    $( Equinumerosity inference from an implicit one-to-one onto function. $)
    en2d $p |- ( ph -> A ~~ B ) $=
      ( cvv wcel cv wceq wa copab wf1o cen wbr f1oeng wfn ccnv weu wral eueq
      syl6ib r19.21aiv eqid fnopabg sylib wb opabbidv fneq1 syl mpbid cnvopab
      jca f1o4 sylibr sylanc ) DLMDECNZEMZBNZGOZPZBCQZRZDESTADELVGUAHAVGDUBZVGU
      CZEUBZPVHAVIVKAVDDMZVBFOZPZBCQZDUBZVIAVMCUDZBDUEVPAVQBDAVLFLMVQICFUFUGUHV
      MBCDVOVOUIUJUKAVOVGOVPVIULAVNVFBCKUMDVOVGUNUOUPAVEBUDZCEUEVKAVRCEAVCGLMVR
      JBGUFUGUHVECBEVJVFBCUQUJUKURDEVGUSUTVA $.
      $( [29-Jul-2004] $) $( [27-Jul-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.  $d x y ph $.
    en3d.1 $e |- ( ph -> A e. V ) $.
    en3d.2 $e |- ( ph -> ( x e. A -> C e. B ) ) $.
    en3d.3 $e |- ( ph -> ( y e. B -> D e. A ) ) $.
    en3d.4 $e |- ( ph -> ( ( x e. A /\ y e. B ) -> ( x = D <-> y = C ) ) ) $.
    $( Equinumerosity inference from an implicit one-to-one onto function. $)
    en3d $p |- ( ph -> A ~~ B ) $=
      ( cv wcel cvv elisset syl6 wceq wa wi eleq1a imp32 wb imp biimpar exp42
      com34 jcai biimpa com23 impbida en2d ) ABCDEFGHABLZDMZFEMZFNMIFEOPACLZEMZ
      GDMZGNMJGDOPAUMUOFQZRZUPULGQZRZAUSRUPUTAUMURUPAUMUNURUPSIFEUOTPUAAUMURUPU
      TSAUMUPURUTAUMUPURUTAUMUPRZRZUTURAVBUTURUBKUCZUDUEUFUAUGAVARUMURAUPUTUMAU
      PUQUTUMSJGDULTPUAAUPUTUMURSAUPUMUTURAUMUPUTURSAUMUPUTURVCUTURVDUHUEUIUFUA
      UGUJUK $.
      $( [7-Aug-2004] $) $( [27-Jul-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    en2.1 $e |- A e. V $.
    en2.2 $e |- ( x e. A -> C e. V ) $.
    en2.3 $e |- ( y e. B -> D e. V ) $.
    en2.4 $e |- ( ( x e. A /\ y = C ) <-> ( y e. B /\ x = D ) ) $.
    $( Equinumerosity inference from an implicit one-to-one onto function. $)
    en2 $p |- A ~~ B $=
      ( wceq cen wbr eqid cvv wcel a1i cv wi wa wb en2d ax-mp ) CCKZCDLMCNUDABC
      DEFCOPUDGQARZCPZEOPSUDHQBRZDPZFOPSUDIQUFUGEKTUHUEFKTUAUDJQUBUC $.
      $( [25-Jun-2004] $) $( [4-Jan-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    en3.1 $e |- A e. V $.
    en3.2 $e |- ( x e. A -> C e. B ) $.
    en3.3 $e |- ( y e. B -> D e. A ) $.
    en3.4 $e |- ( ( x e. A /\ y e. B ) -> ( x = D <-> y = C ) ) $.
    $( Equinumerosity inference from an implicit one-to-one onto function. $)
    en3 $p |- A ~~ B $=
      ( wceq cen wbr eqid cvv wcel a1i cv wi wa wb en3d ax-mp ) CCKZCDLMCNUDABC
      DEFCOPUDGQARZCPZEDPSUDHQBRZDPZFCPSUDIQUFUHTUEFKUGEKUASUDJQUBUC $.
      $( [7-Aug-2004] $) $( [19-Jul-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d y z C $.  $d x z D $.  $d x y ph $.
    dom2d.1 $e |- ( ph -> ( x e. A -> C e. B ) ) $.
    dom2d.2 $e |- ( ph -> ( ( x e. A /\ y e. A ) -> ( C = D <-> x = y ) ) ) $.
    $( A mapping (first hypothesis) that is one-to-one (second hypothesis)
       implies its domain is dominated by its range. $)
    dom2d $p |- ( ph -> ( A e. R -> A ~<_ B ) ) $=
      ( vz wcel cv wceq wa copab wf1 cdom wbr f1domg wf cfv wi wral r19.21aiv
      eqid fopab2 sylib imp fvopab2 adantll mpdan adantrr ax-17 hbopab1 hbfv
      hbeq hbim eleq1 anbi2d imbi1d wb anbi1d anidm syl6bb fveq2 adantr
      biimparc eqeq12d ex sylbird pm5.74d bitrd chvar adantrl biimpd sylbid
      r19.21aivv jca hbopab2 f1fvf sylibr syl5com ) DHLDEBMZDLZCMZFNOZBCPZQZDER
      SADEHWHTADEWHUAZWDWHUBZWFWHUBZNZWDWFNZUCZCDUDBDUDZOWIAWJWPAFELZBDUDWJAWQB
      DIUEBCDEFWHWHUFUGUHAWOBCDDAWEWFDLZOZWOAWSOZWMFGNZWNWTWKFWLGAWEWKFNZWRAWEO
      ZWQXBAWEWQIUIWEWQXBABCDFEUJUKULZUMAWRWLGNZWEXCXBUCZAWROZXEUCZBCXGXEBXGBUN
      BKKWLGBKWFWHWGBCKUOZKMZWFLBUNUPXJGLBUNUQURWNXFXGXBUCXHWNXCXGXBWNWEWRAWDWF
      DUSZUTVAWNXGXBXEWNXGWTXBXEVBZWNWSWRAWNWSWRWROWRWNWEWRWRXKVCWRVDVEUTWNWTXL
      WNWTOWKWLFGWNWMWTWDWFWHVFVGWTXAWNAWSXAWNVBJUIZVHVIVJVKVLVMXDVNVOVIWTXAWNX
      MVPVQVJVRVSBCKDEWHXIWGBCKVTWAWBWC $.
      $( [26-Jul-2004] $) $( [24-Jul-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d y C $.  $d x D $.
    dom2.1 $e |- ( x e. A -> C e. B ) $.
    dom2.2 $e |- ( ( x e. A /\ y e. A ) -> ( C = D <-> x = y ) ) $.
    $( A mapping (first hypothesis) that is one-to-one (second hypothesis)
       implies its domain is dominated by its range.  ` C ` and ` D ` can be
       read ` C ( x ) ` and ` D ( y ) ` , as can be shown from their distinct
       variable conditions. $)
    dom2 $p |- ( A e. R -> A ~<_ B ) $=
      ( wceq wcel cdom wbr wi eqid cv a1i wa wb dom2d ax-mp ) CCJZCGKCDLMNCOUBA
      BCDEFGAPZCKZEDKNUBHQUDBPZCKREFJUCUEJSNUBIQTUA $.
      $( [30-Oct-2003] $) $( [26-Oct-2003] $)
  $}

  ${
    $d x y $.
    $( Equality implies equinumerosity. $)
    idssen $p |- I (_ ~~ $=
      ( vx vy cid cen reli cv wbr cop wcel wceq visset ideq cres wf1o f1oi
      f1oeq3 mpbii f1oen syl sylbi df-br 3imtr3 relssi ) ABCDEAFZBFZCGZUDUEDGZU
      DUEHZCIUHDIUFUDUEJZUGUDUEBKLUIUDUECUDMZNZUGUIUDUDUJNUKUDOUDUEUDUJPQUDUEUJ
      AKRSTUDUECUAUDUEDUAUBUC $.
      $( [30-Apr-1998] $)
  $}

  $( The domain of equinumerosity. $)
  dmen $p |- dom ~~ = V $=
    ( cvv cen cdm wss wceq cid idssen dmss dmi syl5ssr ax-mp vss mpbi ) ABCZDZN
    AEFBDZOGPFCNAFBHIJKNLM $.
    $( [10-May-1998] $)

  ${
    $d x A $.  $d x B $.
    $( A set dominates its subsets.  Theorem 16 of [Suppes] p. 94. $)
    ssdomg $p |- ( A e. C -> ( A (_ B -> A ~<_ B ) ) $=
      ( wcel cid cres wf1 cdom wbr wss f1domg wf ccnv wfun wa wfo wf1o f1oi
      f1o3 mpbi pm3.26i fof ax-mp fss mpan funi wceq wb cnvi funeq mpbir
      funres11 jctir df-f1 sylibr syl5 ) ACDABEAFZGZABHIABJZABCUQKUSABUQLZUQMNZ
      OURUSUTVAAAUQLZUSUTAAUQPZVBVCVAAAUQQVCVAOARAAUQSTUAAAUQUBUCAABUQUDUEEMZNZ
      VAVEENZUFVDEUGVEVFUHUIVDEUJUCUKAEULUCUMABUQUNUOUP $.
      $( [19-Jun-1998] $)
  $}

  $( A set dominates its subsets.  Theorem 16 of [Suppes] p. 94. $)
  ssdom2g $p |- ( B e. C -> ( A (_ B -> A ~<_ B ) ) $=
    ( wss wcel cvv cdom wbr ssexg expcom ssdomg syli ) ABDZBCEZAFEZABGHMNOABCIJ
    ABFKL $.
    $( [19-Jun-1998] $)

  ${
    $d f g x y z $.
    $( Equinumerosity is an equivalence relation. $)
    ener $p |- Er ~~ $=
      ( vx vy vz vf vg cen cv wbr wf1o wex visset bren ccnv f1ocnv f1oen syl
      19.23aiv sylbi wa eeanv ccom f1oco ancoms 19.23aivv sylbir syl2anb ster
      ) ABCFAGZBGZFHZUHUIDGZIZDJUIUHFHZUHUIDBKZLULUMDULUIUHUKMZIUMUHUIUKNUIUHUO
      UNOPQRUHUIEGZIZEJZUICGZUKIZDJZUHUSFHZUJUIUSFHURVASUQUTSZDJEJVBUQUTEDTVCVB
      EDVCUHUSUKUPUAZIZVBUTUQVEUHUIUSUKUPUBUCUHUSVDAKOPUDUEUHUIEUNLUIUSDCKLUFUG
      $.
      $( [19-Mar-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Symmetry of equinumerosity.  Theorem 2 of [Suppes] p. 92. $)
    ensymg $p |- ( B e. C -> ( A ~~ B -> B ~~ A ) ) $=
      ( vx vy wcel cen wbr cvv wi relen brrelexi cv wceq breq1 breq2 imbi12d
      visset ener ersym vtocl2g ex syl pm2.43b ) BCFZABGHZBAGHZUFAIFZUEUFUGJZJA
      BGKLUHUEUIDMZEMZGHZUKUJGHZJAUKGHZUKAGHZJUIDEABICUJANULUNUMUOUJAUKGOUJAUKG
      PQUKBNUNUFUOUGUKBAGPUKBAGOQUJUKGDRERSTUAUBUCUD $.
      $( [28-Oct-2003] $) $( [26-Oct-2003] $)
  $}

  ${
    ensym.1 $e |- B e. V $.
    $( Symmetry of equinumerosity.  Theorem 2 of [Suppes] p. 92. $)
    ensym $p |- ( A ~~ B -> B ~~ A ) $=
      ( cvv wcel cen wbr wi ensymg ax-mp ) BDEABFGBAFGHCABDIJ $.
      $( [26-Sep-2004] $) $( [25-Sep-2004] $)
      ${
      ensymi.2 $e |- A ~~ B $.
      $( Symmetry of equinumerosity.  Theorem 2 of [Suppes] p. 92. $)
      ensymi $p |- B ~~ A $=
        ( cen wbr ensym ax-mp ) ABEFBAEFDABCGH $.
        $( [26-Sep-2004] $) $( [25-Sep-2004] $)
    $}
  $}

  ${
    $d x y z f g h A $.  $d x y z f g B $.  $d x y z f g h C $.
    $( Transitivity of equinumerosity.  Theorem 3 of [Suppes] p. 92. $)
    entrt $p |- ( ( A ~~ B /\ B ~~ C ) -> A ~~ C ) $=
      ( vx vy vz cen relen cv visset ener ertr enref vtoclrbr ) DEFABCGHDIZEIFI
      GDJZEJFJKLOPMN $.
      $( [9-Jun-1998] $)

    $( Transitivity of dominance relation.  Theorem 17 of [Suppes] p. 94. $)
    domtr $p |- ( ( A ~<_ B /\ B ~<_ C ) -> A ~<_ C ) $=
      ( vx vy vz vg vf cdom reldom cv wf1 wex wbr wa eeanv ccom f1co ancoms
      visset f1dom syl 19.23aivv sylbir brdom syl2anb cvv wcel domrefg ax-mp
      vtoclrbr ) DEFABCIJDKZEKZGKZLZGMZUMFKZHKZLZHMZULUQINZULUMINUMUQINUPUTOUOU
      SOZHMGMVAUOUSGHPVBVAGHVBULUQURUNQZLZVAUSUOVDULUMUQURUNRSULUQVCDTZUAUBUCUD
      ULUMGETUEUMUQHFTUEUFULUGUHULULINVEULUGUIUJUK $.
      $( [4-Jun-1998] $)
  $}

  ${
    entr.1 $e |- A ~~ B $.
    entr.2 $e |- B ~~ C $.
    $( A chained equinumerosity inference. $)
    entr $p |- A ~~ C $=
      ( cen wbr entrt mp2an ) ABFGBCFGACFGDEABCHI $.
      $( [28-Sep-2004] $) $( [25-Sep-2004] $)
  $}

  ${
    entr2.1 $e |- C e. V $.
    entr2.2 $e |- A ~~ B $.
    entr2.3 $e |- B ~~ C $.
    $( A chained equinumerosity inference. $)
    entr2 $p |- C ~~ A $=
      ( entr ensymi ) ACDABCEFGH $.
      $( [2-Oct-2004] $) $( [25-Sep-2004] $)
  $}

  ${
    entr3.1 $e |- B e. V $.
    entr3.2 $e |- A ~~ B $.
    entr3.3 $e |- A ~~ C $.
    $( A chained equinumerosity inference. $)
    entr3 $p |- B ~~ C $=
      ( ensymi entr ) BACABDEGFH $.
      $( [2-Oct-2004] $) $( [25-Sep-2004] $)
  $}

  ${
    entr4.1 $e |- B e. V $.
    entr4.2 $e |- A ~~ B $.
    entr4.3 $e |- C ~~ B $.
    $( A chained equinumerosity inference. $)
    entr4 $p |- A ~~ C $=
      ( ensymi entr ) ABCECBDFGH $.
      $( [28-Sep-2004] $) $( [25-Sep-2004] $)
  $}

  $( Transitivity of equinumerosity and dominance. $)
  endomtr $p |- ( ( A ~~ B /\ B ~<_ C ) -> A ~<_ C ) $=
    ( cdom wbr cen domtr endom sylan ) ABDEBCDEACDEABFEABCGABHI $.
    $( [7-Jun-1998] $)

  $( Transitivity of dominance and equinumerosity. $)
  domentr $p |- ( ( A ~<_ B /\ B ~~ C ) -> A ~<_ C ) $=
    ( cdom wbr cen domtr endom sylan2 ) ABDEBCDEACDEBCFEABCGBCHI $.
    $( [7-Jun-1998] $)

  ${
    f1imaen.1 $e |- C e. V $.
    $( A one-to-one function's image under a subset of its domain is
       equinumerous to  the subset. $)
    f1imaen $p |- ( ( F : A -1-1-> B /\ C (_ A ) -> ( F " C ) ~~ C ) $=
      ( wf1 wss wa cima cres wf1o cen wbr f1ores f1oen wfo cvv wcel wi f1ofo
      fornex ax-mp ensymg 3syl mpd syl ) ABDFCAGHCDCIZDCJZKZUGCLMZABCDNUICUGLMZ
      UJCUGUHEOUICUGUHPZUGQRZUKUJSCUGUHTCQRULUMSECUGQUHUAUBCUGQUCUDUEUF $.
      $( [9-Oct-2004] $) $( [30-Sep-2004] $)
  $}

  ${
    $d f A $.
    $( The empty set is equinumerous only to itself.  Exercise 1 of
       [TakeutiZaring] p. 88. $)
    en0 $p |- ( A ~~ (/) <-> A = (/) ) $=
      ( vf c0 cen wbr wceq cv wf1o wex 0ex bren ccnv f1ocnv f1o00 pm3.27bi syl
      19.23aiv sylbi enref breq1 mpbiri impbi ) ACDEZACFZUCACBGZHZBIUDACBJKUFUD
      BUFCAUELZHZUDACUEMUHUGCFUDAUGNOPQRUDUCCCDECJSACCDTUAUB $.
      $( [27-May-1998] $)
  $}

  ${
    $d f A $.
    ensn1.1 $e |- A e. V $.
    $( A singleton is equinumerous to ordinal one. $)
    ensn1 $p |- { A } ~~ 1o $=
      ( vf csn c0 c1o cen wbr cv wf1o wex cop 0ex f1osn snex f1oeq1 cla4ev
      ax-mp p0ex bren mpbir df1o2 breqtrr ) ADZEDZFGUDUEGHUDUECIZJZCKZUDUEAELZD
      ZJZUHAEBMNUGUKCUJUIOUDUEUFUJPQRUDUECSTUAUBUC $.
      $( [4-Nov-2002] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( A singleton is equinumerous to ordinal one. $)
    ensn1g $p |- ( A e. B -> { A } ~~ 1o ) $=
      ( vx cv csn c1o cen wbr wceq sneq breq1d visset ensn1 vtoclg ) CDZEZFGHAE
      ZFGHCABOAIPQFGOAJKOCLMN $.
      $( [2-Jul-2004] $) $( [23-Apr-2004] $)
  $}

  ${
    $d x f A $.
    $( A set is equinumerous to ordinal one iff it is a singleton. $)
    en1 $p |- ( A ~~ 1o <-> E. x A = { x } ) $=
      ( vf c1o cen wbr cv csn wceq wex c0 wf1o df1o2 breq2i p0ex bren bitr
      ccnv cfv f1ocnv crn wfo f1ofo forn syl cop wf f1of wcel 0ex fsn2
      pm3.27bi rneqd fvex rnsnop syl6eq eqtr3d sneq eqeq2d cla4ev 3syl
      19.23aiv sylbi visset ensn1 breq1 mpbiri impbi ) BDEFZBAGZHZIZAJZVIBKHZCG
      ZLZCJZVMVIBVNEFVQDVNBEMNBVNCOPQVPVMCVPVNBVORZLZBKVRSZHZIZVMBVNVOTVSVRUAZB
      WAVSVNBVRUBWCBIVNBVRUCVNBVRUDUEVSWCKVTUFHZUAWAVSVRWDVSVNBVRUGZVRWDIZVNBVR
      UHWEVTBUIWFKBVRUJUKULUEUMKVTUJKVRUNZUOUPUQVLWBAVTWGVJVTIVKWABVJVTURUSUTVA
      VBVCVLVIAVLVIVKDEFVJAVDVEBVKDEVFVGVBVH $.
      $( [8-Aug-2004] $) $( [25-Jul-2004] $)
  $}

  ${
    $d x y f A $.
    2dom.1 $e |- A e. V $.
    $( A set that dominates ordinal 2 has at least 2 different members. $)
    2dom $p |- ( 2o ~<_ A -> E. x e. A E. y e. A -. x = y ) $=
      ( vf c2o cdom wbr c0 csn cpr cv wf1 wex wceq wn wrex df2o2 breq1i brdom
      bitr cfv wcel eqeq1 negbid eqeq2 rcla42ev wf f1f 0ex pri1 ffvelrn mpan2
      syl p0ex pri2 wne 0nep0 df-ne mpbi wa wb pm3.2i f1fveq mtbiri syl3anc
      19.23aiv sylbi ) FCGHZIIJZKZCELZMZENZALZBLZOZPZBCQACQZVIVKCGHVNFVKCGRSVKC
      EDTUAVMVSEIVLUBZCUCZVJVLUBZCUCZVTWBOZPZVSVMVRWEVTVPOZPABVTWBCCVOVTOVQWFVO
      VTVPUDUEVPWBOWFWDVPWBVTUFUEUGVMVKCVLUHZWAVKCVLUIZWGIVKUCZWAIVJUJUKZVKCIVL
      ULUMUNVMWGWCWHWGVJVKUCZWCIVJUOUPZVKCVJVLULUMUNVMWDIVJOZIVJUQWMPURIVJUSUTV
      MWIWKVAWDWMVBWIWKWJWLVCVKCIVJVLVDUMVEVFVGVH $.
      $( [8-Aug-2004] $) $( [25-Jul-2004] $)
  $}

  ${
    $d x y z w F $.
    fundmen.1 $e |- F e. V $.
    $( A function is equinumerous to its domain.  Exercise 4 of [Suppes]
       p. 98. $)
    fundmen $p |- ( Fun F -> dom F ~~ F ) $=
      ( vx vy vz vw wfun cdm cv cfv cop cint cvv wcel dmex a1i funfvop ex wrel
      wi funrel elreldm syl wa wceq wb wex cxp wss ssel2 df-rel sylib sylan
      elvv eqeq1 inteq inteqd visset op1stb syl6eq syl5bir opeq1 syl6 imp
      eqeq2 biimprcd adantl mpd ancoms eleq1d funopfv adantr sylbid exp32
      com24 imp43 opeq2d eqtr4d 19.23advv adantrl syl6req impbid1 en3d ) AGZCDA
      HZACIZWFAJZKZDIZLZLZWEMNWDABOPWDWFWENZWHANWFAQRWDASZWIANZWKWENZTAUAZWMWNW
      OAWIUBRUCWDWLWNUDZWFWKUEZWIWHUEZUFWDWQUDWRWSWDWNWRWSTZWLWDWNUDZWIEIZFIZKZ
      UEZFUGEUGZWTXAWIMMUHZNZXFAXGUIZWNXHWDAXGWIUJWDWMXIWPAUKULUMEFWIUNULXAXEWT
      EFXAXEWRWSXAXEWRUDZUDZWIWFXCKZWHXJWIXLUEZXAWRXEXMWRXEUDZXLXDUEZXMWRXEXOWR
      XEWFXBUEZXOWRXPWKXBUEXEWFWKXBUOXEWKXDLZLXBXEWJXQWIXDUPUQXBXCEURUSUTVAWFXB
      XCVBVCVDXEXOXMTWRXOXMXEXLXDWIVEVFVGVHZVIVGXKWGXCWFWDWNXEWRWGXCUEZWDWRXEWN
      XSWDWRXEWNXSTWDXNUDWNXLANZXSXNWNXTUFWDXNWIXLAXRVJVGWDXTXSTXNWFXCAFURVKVLV
      MVNVOVPVQVRVNVSVHVTWSWKWHLZLWFWSWJYAWIWHUPUQWFWGCURUSWAWBRWC $.
      $( [8-Aug-2004] $) $( [28-Jul-2004] $)
  $}

  ${
    $d f y z w A $.  $d f y z w B $.
    mapsnen.1 $e |- A e. V $.
    mapsnen.2 $e |- B e. V $.
    $( Set exponentiation to a singleton exponent is equinumerous to its base.
       Exercise 4.43 of [Mendelson] p. 255. $)
    mapsnen $p |- ( A ^m { B } ) ~~ A $=
      ( vz vw vy csn cm co cv cfv cop oprex cvv wcel fvex a1i snex wceq wa wex
      wrex mapsn abeq2i anbi1i r19.41v df-rex 3bitr2 fveq1 visset fvsn syl6eq
      eqeq2d equcom syl6bb pm5.32i anbi2i anass ancom exbii eleq1 opeq2 sneqd
      anbi12d ceqsexv 3bitr en2 ) EFABHZIJZABEKZLZBFKZMZHZAVIINVLOPVKVJPZBVKQRV
      OOPVMAPZVNSRVPVMVLTZUAZGKZAPZVKBVTMZHZTZVRUAZUAZGUBZVTVMTZWAWDUAZUAZGUBVQ
      VKVOTZUAZVSWDGAUCZVRUAWEGAUCWGVPWMVRWMEVJGABECDUDUEUFWDVRGAUGWEGAUHUIWFWJ
      GWFWAWDWHUAZUAWIWHUAWJWEWNWAWDVRWHWDVRVMVTTWHWDVLVTVMWDVLBWCLVTBVKWCUJBVT
      DGUKULUMUNFGUOUPUQURWAWDWHUSWIWHUTUIVAWIWLGVMFUKWHWAVQWDWKVTVMAVBWHWCVOVK
      WHWBVNVTVMBVCVDUNVEVFVGVH $.
      $( [2-Jul-2004] $) $( [17-Dec-2003] $)
  $}

  ${
    $d x y A $.
    map1.1 $e |- A e. V $.
    $( Set exponentiation:  ordinal 1 to any set is equinumerous to ordinal 1.
       Exercise 4.42(b) of [Mendelson] p. 255. $)
    map1 $p |- ( 1o ^m A ) ~~ 1o $=
      ( vx vy c1o cm co c0 csn cxp oprex cvv wcel cv 0ex a1i p0ex xpex wceq wa
      ancom wf df1o2 opreq1i eleq2i elmap fconst2 3bitrr el1o anbi12i bitr2
      en2 ) CDEAFGZEHAHIZJZEAFKHLMCNZUMMZOPUOLMDNZEMZAUNBQRPUSUPUOSZTUTUSTUQURH
      SZTUSUTUAUTUQUSVAUQUPUNAFGZMAUNUPUBUTUMVBUPEUNAFUCUDUEUNAUPQBUFAHUPOUGUHU
      RUIUJUKUL $.
      $( [26-Jun-2004] $) $( [17-Dec-2003] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Two singletons are equinumerous. $)
    en2sn $p |- ( ( A e. C /\ B e. D ) -> { A } ~~ { B } ) $=
      ( csn c1o cen wbr wcel entrt ensn1g con0 wi 1on ensymg ax-mp syl syl2an
      ) AEZFGHFBEZGHZSTGHACIBDIZSFTJACKUBTFGHZUABDKFLIUCUAMNTFLOPQR $.
      $( [9-Nov-2003] $) $( [9-Nov-2003] $)
  $}

  ${
    $d x A $.
    $( A singleton is finite. $)
    snfi $p |- E. x e. om { A } ~~ x $=
      ( cvv wcel csn cv cen wbr com wrex c1o ensn1g 1onn breq2 rcla4ev mpan
      syl wn c0 wceq snprc en0 peano1 sylbir sylbi pm2.61i ) BCDZBEZAFZGHZAIJZU
      GUHKGHZUKBCLKIDULUKMUJULAKIUIKUHGNOPQUGRUHSTZUKBUAUMUHSGHZUKUHUBSIDUNUKUC
      UJUNASIUISUHGNOPUDUEUF $.
      $( [4-Nov-2002] $)
  $}

  ${
    $d f g h A $.  $d f g h B $.  $d f g h C $.  $d f g h D $.
    $( Equinumerosity of union of disjoint sets.  Theorem 4 of [Suppes]
       p. 92. $)
    unen $p |- ( ( ( A ~~ B /\ C ~~ D ) /\
  ( ( A i^i C ) = (/) /\ ( B i^i D ) = (/) ) ) -> ( A u. C ) ~~ ( B u. D ) ) $=
      ( vf vg vh cun cvv wcel cen wbr wa cin c0 wceq wi cv wf1o wex wb unexb
      breng bi2anan9 sylbir f1oun visset unex f1oeq1 cla4ev syl syl5bir exp3a
      19.23advv eeanv syl5ibr sylbid imp3a wn brprc relen brrelexi anim12i
      sylib enrefg adantrd pm2.61i ) BDHZIJZABKLZCDKLZMZACNOPBDNOPMZMACHZVHKLZQ
      VIVLVMVOVIVLABERZSZETZCDFRZSZFTZMZVMVOQZVIBIJZDIJZMVLWBUABDUBWDVJVRWEVKWA
      ABIEUCCDIFUCUDUEVIVQVTMZFTETWCWBVIWFWCEFVIWFVMVOVIVOVNVHGRZSZGTZWFVMMZVNV
      HIGUCWJVNVHVPVSHZSZWIABCDVPVSUFWHWLGWKVPVSEUGFUGUHVNVHWGWKUIUJUKULUMUNVQV
      TEFUOUPUQURVIUSZVLVOVMWMVOVNVNKLZVLVNVHKUTVLVNIJZWNVLAIJZCIJZMWOVJWPVKWQA
      BKVAVBCDKVAVBVCACUBVDVNIVEUKULVFVG $.
      $( [11-Jun-1998] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    xpsnen.1 $e |- A e. V $.
    xpsnen.2 $e |- B e. V $.
    $( A set is equinumerous to its cross-product with a singleton.
       Proposition 4.22(c) of [Mendelson] p. 254. $)
    xpsnen $p |- ( A X. { B } ) ~~ A $=
      ( vy vx vz csn cxp cv cint cop snex xpex wcel wceq wa wex cvv elxp inteq
      inteqd visset op1stb syl6eq syl6eqel adantr 19.23aivv sylbi opex a1i wb
      eleq1 mpbii opeq1 eqeq2d anbi12d ceqsexgv ancom anass elsn anbi1i 3bitr3
      exbii opeq2 anbi1d ceqsexv syl6req pm4.71ri bitr 3bitr syl5bb syl
      pm5.32ri pm4.71i bitr2 en2 ) EFABHZIZAEJZKZKZFJZBLZAVRCBMNVTVSOZVTWCGJZLZ
      PZWCAOZWFVROZQZQZGRZFRZWBSOZFGVTAVRTZWLWOFGWHWOWKWHWBWCSWHWBWGKZKWCWHWAWQ
      VTWGUAUBWCWFFUCZUDUEWRUFUGUHUIWDSOWIWCBUJUKWEWCWBPZQVTWBBLZPZWBAOZQZWSQZV
      TWDPZWIQZWIXEQWSWEXCWSWOWEXCULWSWCSOWOWRWCWBSUMUNWOWSXFQZFRZXCWEXFXCFWBSW
      SXEXAWIXBWSWDWTVTWCWBBUOUPWCWBAUMUQZURWEWNXHWPWMXGFWMWFBPZWHWIQZQZGRXFXGW
      LXLGXKWJQWJXKQWLXLXKWJUSWHWIWJUTWJXJXKGBVAVBVCVDXKXFGBDXJWHXEWIXJWGWDVTWF
      BWCVEUPVFVGXFWSXEQZWIQXGXEXMWIXEWSXEWBWDKZKWCXEWAXNVTWDUAUBWCBWRUDVHZVIVB
      WSXEWIUTVJVKVDVJVLVMVNXFXFWSQXDXFWSXEWSWIXOUGVOWSXFXCXIVNVPXEWIUSVKVQ $.
      $( [28-Jun-2004] $) $( [4-Jan-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A set is equinumerous to its cross-product with a singleton.
       Proposition 4.22(c) of [Mendelson] p. 254. $)
    xpsneng $p |- ( ( A e. C /\ B e. D ) -> ( A X. { B } ) ~~ A ) $=
      ( vx vy cv csn cxp cen wbr wceq xpeq1 id breq12d sneq xpeq2 syl breq1d
      visset xpsnen vtocl2g ) EGZFGZHZIZUCJKAUEIZAJKABHZIZAJKEFABCDUCALZUFUGUCA
      JUCAUEMUJNOUDBLZUGUIAJUKUEUHLUGUILUDBPUEUHAQRSUCUDETFTUAUB $.
      $( [23-Oct-2004] $) $( [22-Oct-2004] $)
  $}


  ${
    $d x y A $.  $d x y B $.
    endisj.1 $e |- A e. V $.
    endisj.2 $e |- B e. V $.
    $( Any two sets are equinumerous to disjoint sets.  Exercise 4.39 of
       [Mendelson] p. 255. $)
    endisj $p |- E. x E. y ( ( x ~~ A /\ y ~~ B ) /\ ( x i^i y ) = (/) ) $=
      ( c0 csn cxp cen wbr c1o wa cin wceq cv wex 0ex xpsnen con0 1on elisseti
      pm3.2i xp01disj p0ex xpex snex breq1 bi2anan9 ineq12 eqeq1d anbi12d
      cla42ev mp2an ) CGHZIZCJKZDLHZIZDJKZMZUPUSNZGOZAPZCJKZBPZDJKZMZVDVFNZGOZM
      ZBQAQUQUTCGERSDLFLTUAUBSUCCDUDVKVAVCMABUPUSCUOEUEUFDURFLUGUFVDUPOZVFUSOZM
      ZVHVAVJVCVLVEUQVMVGUTVDUPCJUHVFUSDJUHUIVNVIVBGVDUPVFUSUJUKULUMUN $.
      $( [3-Jul-2004] $) $( [16-Apr-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    undom.1 $e |- B e. V $.
    undom.2 $e |- C e. V $.
    undom.3 $e |- D e. V $.
    $( Dominance law for union.  Proposition 4.24(a) of [Mendelson] p. 257. $)
    undom $p |- ( ( ( A ~<_ B /\ C ~<_ D ) /\ ( B i^i D ) = (/) ) ->
                ( A u. C ) ~<_ ( B u. D ) ) $=
      ( vx vy cdom wbr wa cin c0 wceq cun cdif wi cv cen wss wex endomtr unen
      undif2 syl5eqbrr sseq2 ss0b syl6bb ss2in syl5bi imp difdisj jctil sylan2
      anassrs an1rs unss12 cvv wcel unex ssdom2g ax-mp syl ad2antlr sylanc ex
      an4s 19.23aiv 19.23adv domen syl2anb difss mp2 domtr mpan ) ABJKZCDJKZLBD
      MZNOZACPZBDPZJKZVQCAQZDJKZVTWCRZVRAHSZTKZWGBUAZLZHUBZWDISZTKZWLDUAZLZIUBZ
      WFVQWEWKWPWFWKWOWFIWJWOWFRHWJWOWFWHWMWIWNWFWHWMLZWIWNLZLZVTWCWAWGWLPZTKZW
      TWBJKZWCWSVTLWAWTWBUCWQVTWRXAWQVTWRXAWQAWDMNOZWGWLMZNOZLZXAVTWRLZWQXFLAWD
      PWTWATAWGWDWLUDACUEUFXGXEXCVTWRXEVTXDVSUAZXEWRVTXHXDNUAXEVSNXDUGXDUHUIWGB
      WLDUJUKULACUMUNUOUPUQWRXBWQVTWRWTWBUAZXBWGBWLDURWBUSUTXIXBRBDEGVAWTWBUSVB
      VCVDVEVFVGVHVGVIVJULHABEVKIWDDGVKVLWDCJKZVRWECUSUTWDCUAXJFCAVMWDCUSVBVNWD
      CDVOVPUOUL $.
      $( [24-Sep-2004] $) $( [3-Sep-2004] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    xpcomen.1 $e |- A e. V $.
    xpcomen.2 $e |- B e. V $.
    $( Commutative law for equinumerosity of cross product.  Proposition
       4.22(d) of [Mendelson] p. 254. $)
    xpcomen $p |- ( A X. B ) ~~ ( B X. A ) $=
      ( vx vy vz vw cxp cv csn ccnv cuni xpex cvv wcel snex cnvex uniex a1i
      cop wceq wa wex sneq cnveq syl visset cnvsn syl6eq unieqd opex unisn
      syl6req eq2tr ancom anbi12i an23 3bitr4 2exbii 19.41vv 3bitr3 elxp
      anbi1i excom bitr en2 ) EFABIZBAIZEJZKZLZMZFJZKZLZMZABCDNVMOPVJVHPZVLVKVJ
      QRSTVQOPVNVIPZVPVOVNQRSTVJGJZHJZUAZUBZVTAPZWABPZUCZUCZHUDGUDZVNVMUBZUCZVN
      WAVTUAZUBZWEWDUCZUCZHUDGUDZVJVQUBZUCZVRWIUCVSWPUCWGWIUCZHUDGUDWNWPUCZHUDG
      UDWJWQWRWSGHWCWIUCZWFUCWLWPUCZWMUCWRWSWTXAWFWMVJVNWBWKVMVQWCVMWKKZMWKWCVL
      XBWCVLWBKZLZXBWCVKXCUBVLXDUBVJWBUEVKXCUFUGVTWAGUHZHUHZUIUJUKWKWAVTULUMUNW
      LVQXCMWBWLVPXCWLVPXBLZXCWLVOXBUBVPXGUBVNWKUEVOXBUFUGWAVTXFXEUIUJUKWBVTWAU
      LUMUNUOWDWEUPUQWCWFWIURWLWMWPURUSUTWGWIGHVAWNWPGHVAVBVRWHWIGHVJABVCVDVSWO
      WPVSWNGUDHUDWOHGVNBAVCWNHGVEVFVDUSVG $.
      $( [4-Jul-2004] $) $( [5-Jan-2004] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( Commutative law for equinumerosity of cross product.  Proposition
       4.22(d) of [Mendelson] p. 254. $)
    xpcomeng $p |- ( ( A e. C /\ B e. D ) -> ( A X. B ) ~~ ( B X. A ) ) $=
      ( vx vy cv cxp cen wbr wceq xpeq1 xpeq2 breq12d visset xpcomen vtocl2g )
      EGZFGZHZSRHZIJASHZSAHZIJABHZBAHZIJEFABCDRAKTUBUAUCIRASLRASMNSBKUBUDUCUEIS
      BAMSBALNRSEOFOPQ $.
      $( [29-Mar-2006] $) $( [27-Mar-2006] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    xpassen.1 $e |- A e. V $.
    xpassen.2 $e |- B e. V $.
    xpassen.3 $e |- C e. V $.
    $( Associative law for equinumerosity of cross product.  Proposition
       4.22(e) of [Mendelson] p. 254. $)
    xpassen $p |- ( ( A X. B ) X. C ) ~~ ( A X. ( B X. C ) ) $=
      ( vx vy vz vw vv vu cxp cv csn cdm cuni crn cop xpex cvv wcel opex a1i
      wceq wa wex sneq dmeqd unieqd sneqd op1sta sneqi dmeqi unieqi visset
      eqtr syl6req rneqd rneqi op2nda opeq12d eq2tr anass anbi12i an23 3bitr4
      exbii 19.41v 3bitr3 2exbii 19.41vv elxp excom anbi1i an12 exrot4 opeq1
      eqeq2d anbi1d anbi2d ceqsexv 3bitr 3exbi anbi2i 19.42vv bitr bitr3
      exrot3 opeq2 en2 ) GHABMZCMZABCMZMZGNZOZPZQZOZPZQZWTRZQZWQRZQZSZSZHNZOZPZ
      QZXJRZQZOZPZQZSZXORZQZSZWLCABDETFTXHUAUBWPWMUBZXBXGUCUDYAUAUBXIWOUBZXRXTU
      CUDWPINZJNZSZKNZSZUEZYDAUBZYEBUBZUFZYGCUBZUFZUFZKUGZJUGIUGZXIXHUEZUFZXIYD
      YEYGSZSZUEZYJYKYMUFZUFZUFZKUGZJUGZIUGZWPYAUEZUFZYBYRUFYCUUIUFYPYRUFZJUGIU
      GUUFUUIUFZJUGIUGYSUUJUUKUULIJYOYRUFZKUGUUEUUIUFZKUGUUKUULUUMUUNKYIYRUFZYN
      UFUUBUUIUFZUUDUFUUMUUNUUOUUPYNUUDWPXIYHUUAXHYAYIYDXBYTXGYIXBYHOZPZQZOZPZQ
      ZYDYIXAUVAYIWTUUTYIWSUUSYIWRUURYIWQUUQWPYHUHZUIUJUKZUIUJUVBYFOZPZQYDUVAUV
      FUUTUVEUUSYFYFYGYDYEUCZULUMZUNUOYDYEIUPZULUQURYIYEXDYGXFYIXDUUTRZQZYEYIXC
      UVJYIWTUUTUVDUSUJUVKUVERZQYEUVJUVLUUTUVEUVHUTUOYDYEUVIJUPZVAUQURYIXFUUQRZ
      QYGYIXEUVNYIWQUUQUVCUSUJYFYGUVGKUPZVAURVBVBUUBYFXRYGXTUUBYDXLYEXQUUBXLUUA
      OZPZQYDUUBXKUVQUUBXJUVPXIUUAUHZUIUJYDYTUVIULURUUBXQUVPRZQZOZPZQZYEUUBXPUW
      BUUBXOUWAUUBXNUVTUUBXMUVSUUBXJUVPUVRUSUJUKZUIUJUWCYTOZPZQYEUWBUWFUWAUWEUV
      TYTYDYTUVIYEYGUCZVAUMZUNUOYEYGUVMULUQURVBUUBXTUWARZQZYGUUBXSUWIUUBXOUWAUW
      DUSUJUWJUWERZQYGUWIUWKUWAUWEUWHUTUOYEYGUVMUVOVAUQURVBVCYJYKYMVDVEYIYNYRVF
      UUBUUDUUIVFVGVHYOYRKVIUUEUUIKVIVJVKYPYRIJVLUUFUUIIJVLVJYBYQYRYBWPLNZYGSZU
      EZUWLWLUBZYMUFUFZKUGLUGUWPLUGKUGZYQLKWPWLCVMUWPLKVNUWQUWLYFUEZYLUFZUWNYMU
      FZUFZJUGIUGZLUGKUGUXALUGZKUGJUGIUGYQUWPUXBKLUWOUWTUFUWSJUGIUGZUWTUFUWPUXB
      UWOUXDUWTIJUWLABVMVOUWNUWOYMVPUWSUWTIJVLVGVKUXAKLIJVQUXCYOIJKUXCUWRYLUWTU
      FZUFZLUGYLYIYMUFZUFZYOUXAUXFLUWRYLUWTVDVHUXEUXHLYFUVGUWRUWTUXGYLUWRUWNYIY
      MUWRUWMYHWPUWLYFYGVRVSVTWAWBYLYIYMVPWCWDWCWCVOYCUUHUUIYCXIYDUWLSZUEZYJUWL
      WNUBZUFUFZLUGZIUGUUHILXIAWNVMUXMUUGIUXMUWLYTUEZUXJUUDUFZUFZKUGJUGZLUGUXPL
      UGZKUGJUGUUGUXLUXQLUXJYJUFZUXKUFUXSUXNUUCUFZKUGJUGZUFZUXLUXQUXKUYAUXSJKUW
      LBCVMWEUXJYJUXKVDUYBUXSUXTUFZKUGJUGUXQUXSUXTJKWFUYCUXPJKUYCUXNUXSUUCUFZUF
      UXPUXSUXNUUCVPUYDUXOUXNUXJYJUUCVDWEWGVKWHVJVHUXPLJKWIUXRUUEJKUXOUUELYTUWG
      UXNUXJUUBUUDUXNUXIUUAXIUWLYTYDWJVSVTWBVKWCVHWGVOVGWK $.
      $( [5-Jul-2004] $) $( [22-Jan-2004] $)
  $}

  ${
    $d t A $.  $d t x y z w v u f B $.  $d t x y z w v u f C $.
    xpdom.1 $e |- B e. V $.
    xpdom.2 $e |- C e. V $.
    $( Dominance law for cross product.  Proposition 10.33(2) of
       [TakeutiZaring] p. 92. $)
    xpdom2 $p |- ( A ~<_ B -> ( C X. A ) ~<_ ( C X. B ) ) $=
      ( vt vf vx vy vz vw vv vu cvv wcel cdom wbr cxp reldom brrelexi cv wi
      wceq breq1 xpeq2 breq1d imbi12d wf1 wex brdom visset xpex csn cdm cuni
      crn cfv cop wa wf f1f ffvelrn ex syl anim2d adantld elxp4 fvex opelxp
      3imtr4g wb wrex f1fveq ancoms anbi2d opth syl5bb ad2ant2l imp adantlr
      sneq dmeqd unieqd op1sta syl6eq rneqd op2nda fveq2d opeq12d eqeqan12d
      ad2antlr eqeq12 syl6bb 3bitr4d exp43 com23 r19.23aivv r19.23advv elxp2
      syl2anb com12 dom2d mpi 19.23aiv sylbi vtoclg mpcom ) ANOABPQZCARZCBRZPQZ
      ABPSTFUAZBPQZCXLRZXJPQZUBXHXKUBFANXLAUCZXMXHXOXKXLABPUDXPXNXIXJPXLACUEUFU
      GXMXLBGUAZUHZGUIXOXLBGDUJXRXOGXRXNNOXOCXLEFUKULXRHIXNXJHUAZUMZUNZUOZXTUPZ
      UOZXQUQZURZIUAZUMZUNZUOZYHUPZUOZXQUQZURZNXRXSYBYDURUCZYBCOZYDXLOZUSZUSYPY
      EBOZUSZXSXNOZYFXJOXRYRYTYOXRYQYSYPXRXLBXQUTZYQYSUBXLBXQVAUUBYQYSXLBYDXQVB
      VCVDVEVFXSCXLVGYBYECBYDXQVHVIVJUUAYGXNOZUSXRYFYNUCZXSYGUCZVKZXSJUAZKUAZUR
      ZUCZKXLVLJCVLZYGLUAZMUAZURZUCZMXLVLLCVLZXRUUFUBZUUAUUCUUKUUPUUQUUKUUOUUQL
      MCXLUUJUULCOZUUMXLOZUSZUUOUUQUBZUBJKCXLUUGCOZUUHXLOZUSZUUTUUJUVAUVDUUTUUJ
      UUOUUQUVDUUTUSZUUJUUOUSZUSZXRUUFUVGXRUSUUGUUHXQUQZURZUULUUMXQUQZURZUCZUUG
      UULUCZUUHUUMUCZUSZUUDUUEUVEXRUVLUVOVKZUVFUVEXRUVPUVCUUSXRUVPUBUVBUURUVCUU
      SUSZXRUVPUVQXRUSZUVMUVHUVJUCZUSUVOUVLUVRUVSUVNUVMXRUVQUVSUVNVKXLBUUHUUMXQ
      VMVNVOUUGUVHUULUVJJUKZUUHXQVHUUMXQVHVPVQVCVRVSVTUVFUUDUVLVKUVEXRUUJUUOYFU
      VIYNUVKUUJYBUUGYEUVHUUJYBUUIUMZUNZUOUUGUUJYAUWBUUJXTUWAXSUUIWAZWBWCUUGUUH
      UVTWDWEUUJYDUUHXQUUJYDUWAUPZUOUUHUUJYCUWDUUJXTUWAUWCWFWCUUGUUHUVTKUKZWGWE
      WHWIUUOYJUULYMUVJUUOYJUUNUMZUNZUOUULUUOYIUWGUUOYHUWFYGUUNWAZWBWCUULUUMLUK
      ZWDWEUUOYLUUMXQUUOYLUWFUPZUOUUMUUOYKUWJUUOYHUWFUWHWFWCUULUUMUWIMUKZWGWEWH
      WIWJWKUVFUUEUVOVKUVEXRUVFUUEUUIUUNUCUVOXSUUIYGUUNWLUUGUUHUULUUMUVTUWEUWKV
      PWMWKWNVCWOWPWQWRVSJKXSCXLWSLMYGCXLWSWTXAXBXCXDXEXFXG $.
      $( [29-Mar-2006] $) $( [24-Jul-2004] $)

    $( Dominance law for cross product.  Theorem 6L(c) of [Enderton] p. 149. $)
    xpdom1 $p |- ( A ~<_ B -> ( A X. C ) ~<_ ( B X. C ) ) $=
      ( cdom wbr cxp cen endomtr cvv wcel reldom brrelexi xpcomeng mpan2 syl
      xpdom2 sylanc xpcomen domentr ) ABFGZACHZCBHZFGZUCBCHZFGZUCCAHZIGZUHUDFGU
      EUBUCUHUDJUBAKLZUIABFMNUJCKLUIEACKKOPQABCDERSUEUDUFIGUGCBEDTUCUDUFUAPQ $.
      $( [29-Mar-2006] $) $( [28-Sep-2004] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d z C $.
    $( Dominance law for cross product.  Theorem 6L(c) of [Enderton] p. 149. $)
    xpdom1g $p |- ( ( B e. R /\ C e. S /\ A ~<_ B ) ->
                  ( A X. C ) ~<_ ( B X. C ) ) $=
      ( vy vz wcel cdom wbr cxp cv wi wceq breq2 xpeq1 breq2d imbi12d xpeq2
      breq12d imbi2d visset xpdom1 vtocl2g 3impia ) BDHCEHABIJZACKZBCKZIJZAFLZI
      JZAGLZKZUJULKZIJZMUFUMBULKZIJZMUFUIMFGBCDEUJBNZUKUFUOUQUJBAIOURUNUPUMIUJB
      ULPQRULCNZUQUIUFUSUMUGUPUHIULCASULCBSTUAAUJULFUBGUBUCUDUE $.
      $( [30-Mar-2006] $) $( [25-Mar-2006] $)
  $}

  ${
    $d x A $.  $d x B $.
    xpdom3.1 $e |- A e. V $.
    $( A set is dominated by its cross product with a non-empty set.  Exercise
       6 of [Suppes] p. 98. $)
    xpdom3 $p |- ( B =/= (/) -> A ~<_ ( A X. B ) ) $=
      ( vx c0 wne cv wcel wex cxp cdom wbr ne0 csn wss visset snss ssid ssxp
      mpan cvv wi snex xpex ssdomg ax-mp cen xpsnen ensymi endomtr 3syl sylbi
      19.23aiv ) BEFDGZBHZDIAABJZKLZDBMUOUQDUOUNNZBOZUQUNBDPZQUSAURJZUPOZVAUPKL
      ZUQAAOUSVBARAAURBSTVAUAHVBVCUBAURCUNUCUDVAUPUAUEUFAVAUGLVCUQVAACAUNCUTUHU
      IAVAUPUJTUKULUMUL $.
      $( [24-Nov-2006] $) $( [27-Jul-2004] $)
  $}

  ${
    $d x y z w v u A $.
    pw2en.1 $e |- A e. V $.
    $( The power set of a set is equinumerous to set exponentiation with a base
       of ordinal 2.  Proposition 10.44 of [TakeutiZaring] p. 96.  (This proof
       seems excessively long.  An attempt to find a shorter one is on my to-do
       list.) $)
    pw2en $p |- P~ A ~~ ( 2o ^m A ) $=
      ( vx vy vz vw vv vu cpw c2o cm co cv wcel c0 wceq wa cab copab ccnv csn
      cima pwex cvv opabex2 a1i visset cnvex imaexg ax-mp wss cin sseqin2
      biimp eqeq1d cop eleq2 p0ex elimasn opelcnv bitr syl5bb wb wal eq2ab
      df-sn eqeq1i iba 19.21aiv 0ex eqeq1 anbi1d bibi12d cla4v wi eqid a1bi
      pm4.71 sylibr impbi 3bitr4r anbi2i elin eleq1 anbi2d abbidv eqeq2d
      anbi12d opelopab 3bitr4 syl6rbbr eqrdv syl5cbi sseq1 crn imassrn cdm wfn
      eqeltrr pm3.26 ss2abi ssexi fnopab2 fneq1 mpbiri fndm syl dfdm4 syl5eqr
      sseq2d mpbii syl5cbir impbid elpw pm5.32ri ancom wf elsn abbi2dv cpr
      pri2 df2o2 eleqtrr syl6eqelr wn wne wex abn0 pm3.27 19.23aiv sylbi
      necon1bi pri1 syl6eqel pm2.61i fopab feq1 cfv wral syl6bb fnopfvb ffn
      sylan bicomd sylan9bb biimpa adantl eqtrd wo ffvelrn eleq2i fvex elpr
      sylib ord sylibrd con1d imp eqtr4d pm2.61dan fvopab2 mpan2 ad2antll
      exp32 r19.21aiv ax-17 hbopab1 eqfnfvf biantrur syl6bbr mpbird ex impbid2
      con0 2on elisseti elmap 3bitr en2 ) CDAIZJAKLZEMZANZFMZGMZOPZUWBCMZNZQZGR
      ZPZQZEFSZDMZTZOUAZUAZUBZABUCUWMUDNUWGUVTNZEFAUWJBUEUFUWRUDNZUWNUWANZUWOUD
      NUWTUWNDUGUHUWOUWQUDUIUJUFUWSUWNUWMPZQUWGUWRPZUXBQUXBUXCQUXAUXCQUXBUWSUXC
      UXBUWGAUKZUXCUWSUXBUXDUXCUXDAUWGULZUWRPUXCUXBUXDUXEUWGUWRUXDUXEUWGPUWGAUM
      UNUOUXBHUXEUWRUXBHMZUWRNZUXFUWPUPZUWMNZUXFUXENZUXBUXHUWNNZUXIUXGUWNUWMUXH
      UQUXGUWPUXFUPUWONUXKUWOUWPUXFURHUGZUSUWPUXFUWNURUXLUTVAVBUXFANZUXFUWGNZQU
      XMUWPUWFUXNQZGRZPZQZUXJUXIUXNUXQUXMUWFGRZUXPPUWFUXOVCZGVDZUXQUXNUWFUXOGVE
      UWPUXSUXPGOVFZVGUXNUYAUXNUXTGUXNUWFVHVIUYAOOPZUYCUXNQZVCZUXNUXTUYEGOVJUWF
      UWFUYCUXOUYDUWEOOVKZUWFUWFUYCUXNUYFVLVMVNUXNUYCUXNVOUYEUYCUXNOVPVQUYCUXNV
      RVAVSVTWAWBUXFAUWGWCUWLUXMUWDUXPPZQUXREFUXFUWPUXLURUWBUXFPZUWCUXMUWKUYGUW
      BUXFAWDUYHUWJUXPUWDUYHUWIUXOGUYHUWHUXNUWFUWBUXFUWGWDWEWFWGWHUWDUWPPUYGUXQ
      UXMUWDUWPUXPVKWEWIWJWKWLWMUXCUXDUWRAUKZUXBUWGUWRAWNUXBUWRUWOWOZUKUYIUWOUW
      QWPUXBUYJAUWRUXBUWNWQZAUYJUXBUWNAWRZUYKAPUXBUYLUWMAWRZEFAUWJUWMUWJUXSUWPU
      XSUDUYBURWSUWIUWFGUWFUWHWTXAXBZUWMVPZXCZAUWNUWMXDXEAUWNXFXGUWNXHXIXJXKXLX
      MUWGACUGXNVBXOUXCUXBXPUXCUXBUXAUXCUXBAJUWNXQZUXAUXCUXBUYQUXBUYQAJUWMXQEFA
      JUWJUWMUYOUWJJNZUWCUWHUYRUWHUWJUWPJUWHUWIGUWPUWHUWFUWIUWEUWPNUWHUWFVHGOXR
      VBXSZUWPOUWPXTZJOUWPURYAYBYCYDUWHYEZUWJOJUWHUWJOUWJOYFUWIGYGUWHUWIGYHUWIU
      WHGUWFUWHYIYJYKYLZOUYTJOUWPVJYMYBYCYNYOUFYPAJUWNUWMYQXEUXCUYQUXBUXCUYQQZU
      XBUWBUWNYRZUWBUWMYRZPZEAYSZVUCVUFEAUXCUYQUWCVUFVOUXCUYQUWCVUFUXCUYQUWCQZQ
      ZVUDUWJVUEVUIUWHVUDUWJPVUIUWHQVUDUWPUWJVUIUWHVUDUWPPZUXCUWHUWBUWPUPUWNNZV
      UHVUJUXCUWHUWBUWRNZVUKUWGUWRUWBUQVULUWPUWBUPUWONVUKUWOUWPUWBUREUGZUSUWPUW
      BUWNURVUMUTVAYTVUHVUJVUKUYLUWCVUJVUKVCUYQAUWBUWPUWNURUUAAJUWNUUBZUUCUUDUU
      EZUUFUWHUWPUWJPVUIUYSUUGUUHVUIVUAQVUDOUWJVUIVUAVUDOPZVUIVUPUWHVUIVUPYEZVU
      JUWHVUHVUQVUJVOUXCVUHVUPVUJVUHVUDJNZVUPVUJUUIZAJUWBUWNUUJVURVUDUYTNVUSJUY
      TVUDYBUUKVUDOUWPUWBUWNUULUUMVAUUNUUOUUGVUOUUPUUQUURVUAUWJOPVUIVUBUUGUUSUU
      TUWCVUEUWJPZUXCUYQUWCUWJUDNVUTUYNEFAUWJUDUVAUVBUVCUUSUVDUURUVEUYQUXBVUGVC
      ZUXCUYQUYLVVAVUNUYLUXBAAPZVUGQZVUGUYLUYMUXBVVCVCUYPEHAAUWNUWMUXFUWNNEUVFU
      WLEFHUVGUVHUVBVVBVUGAVPUVIUVJXGUUGUVKUVLUVMJAUWNJUVNUVOUVPBUVQUVJXOUVRUVS
      $.
      $( [6-Jul-2004] $) $( [29-Jan-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                    Schroeder-Bernstein Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x B $.  $d x D $.  $d x f $.  $d x g $.
    sbthlem.1 $e |- A e. V $.
    sbthlem.2 $e |- D = { x |
                   ( x (_ A /\ ( g " ( B \ ( f " x ) ) ) (_ ( A \ x ) ) } $.
    $( Lemma for ~ sbth . $)
    sbthlem1 $p |- U. D (_ ( A \ ( g " ( B \ ( f " U. D ) ) ) ) $=
      ( cuni cv cima cdif wss unissb wcel wa abeq2i wi ssconb biimprd ex difss
      sstr2 mpi syl5 pm2.43d imp sylbi elssuni imass2 sscon 3syl sstrd mprgbir
      ) DIZBFJZCEJZUOKZLZKZLZMAJZVAMADADVANVBDOZVBBUPCUQVBKZLZKZLZVAVCVBBMZVFBV
      BLZMZPZVBVGMZVKADHQVHVJVLVHVJVLVHVFBMZVJVLRZVJVHVMVNVHVMPVLVJVBVFBSTUAVJV
      IBMVMBVBUBVFVIBUCUDUEUFUGUHVCUSVEMZUTVFMVGVAMVCVBUOMVDURMVOVBDUIVBUOUQUJV
      DURCUKULUSVEUPUJUTVFBUKULUMUN $.
      $( [22-Mar-1998] $)

    $( Lemma for ~ sbth . $)
    sbthlem2 $p |- ( ran g (_ A ->
                     ( A \ ( g " ( B \ ( f " U. D ) ) ) ) (_ U. D ) $=
      ( cv crn wss cuni cima cdif wcel wa cab sbthlem1 imass2 ax-mp sscon wb
      wi imassrn sstr2 difss ssconb mpan2 syl mpbiri jctil ssexi wceq sseq1
      difeq2 sseq2d imaeq2 difeq2d 3syl bitrd anbi12d elab sylibr syl6eleqr
      elssuni ) FIZJZBKZBVFCEIZDLZMZNZMZNZDOVNVJKVHVNAIZBKZVFCVIVOMZNZMZBVONZKZ
      PZAQZDVHVNBKZVFCVIVNMZNZMZBVNNZKZPZVNWCOVHWIWDVHWIVNBWGNKZWGVMKZWKWFVLKZW
      LVKWEKZWMVJVNKWNABCDEFGHRVJVNVISTVKWECUATWFVLVFSTWGVMBUATVHWGBKZWIWKUBZWG
      VGKVHWOUCVFWFUDWGVGBUETWOWDWPBVMUFZWGVNBUGUHUIUJWQUKWBWJAVNVNBGWQULVOVNUM
      ZVPWDWAWIVOVNBUNWRWAVSWHKZWIWRVTWHVSVOVNBUOUPWRVRWFUMVSWGUMWSWIUBWRVQWECV
      OVNVIUQURVRWFVFUQVSWGWHUNUSUTVAVBVCHVDVNDVEUI $.
      $( [22-Mar-1998] $)

    $( Lemma for ~ sbth . $)
    sbthlem3 $p |- ( ran g (_ A ->
                  ( g " ( B \ ( f " U. D ) ) ) = ( A \ U. D ) ) $=
      ( cv crn wss cuni cdif cima wa wceq sbthlem2 sbthlem1 jctil eqss sylibr
      difeq2d wi imassrn sstr2 ax-mp dfss4 sylib eqtr2d ) FIZJZBKZBDLZMBBUJCEIU
      MNMZNZMZMZUOULUMUPBULUMUPKZUPUMKZOUMUPPULUSURABCDEFGHQABCDEFGHRSUMUPTUAUB
      ULUOBKZUQUOPUOUKKULUTUCUJUNUDUOUKBUEUFUOBUGUHUI $.
      $( [22-Mar-1998] $)

    $( Lemma for ~ sbth . $)
    sbthlem4 $p |- ( ( ( dom g = B /\ ran g (_ A ) /\ Fun `' g ) ->
                  ( `' g " ( A \ U. D ) ) = ( B \ ( f " U. D ) ) ) $=
      ( cv cdm wceq crn wss wa ccnv wfun cuni cima cdif cres difss sseq2
      mpbiri ssdmres sylib dfdm4 syl5reqr funcnvres sbthlem3 reseq2 syl
      sylan9eqr rneqd sylan9eq anassrs df-ima syl6reqr ) FIZJZCKZURLBMZNUROZPZN
      CEIDQZRZSZVBBVDSZTZLZVBVGRUTVAVCVFVIKUTVAVCNZVFURVFTZOZLZVIUTVKJZVFVMUTVF
      USMZVNVFKUTVOVFCMCVEUAUSCVFUBUCVFURUDUEVKUFUGVJVLVHVCVAVLVBURVFRZTZVHVFUR
      UHVAVPVGKVQVHKABCDEFGHUIVPVGVBUJUKULUMUNUOVBVGUPUQ $.
      $( [27-Mar-1998] $)

    ${
      $d x H $.
      sbthlem.3 $e |- H = ( ( f |` U. D ) u. ( `' g |` ( A \ U. D ) ) ) $.

      $( Lemma for ~ sbth . $)
      sbthlem5 $p |- ( ( dom f = A /\ ran g (_ A ) -> dom H = A ) $=
        ( cv cdm wceq crn wss wa cuni cdif cun cin cima sbthlem1 difss sstri
        sseq2 mpbiri dfss sylib uneq1d imassrn sbthlem3 sseq1d mpbii uneq2d
        sylan9eq cres ccnv dmeqi dmun dmres df-rn eqcomi ineq2i eqtr uneq12i
        3eqtr syl6reqr undif mpbi syl6eq ) EKZLZBMZFKZNZBOZPZGLZDQZBVSRZSZBVQWA
        VSVLTZVTVOTZSZVRVMVPWAWBVTSWDVMVSWBVTVMVSVLOZVSWBMVMWEVSBOZVSBVNCVKVSUA
        RZUAZRBABCDEFHIUBBWHUCUDZVLBVSUEUFVSVLUGUHUIVPVTWCWBVPVTVOOZVTWCMVPWHVO
        OWJVNWGUJVPWHVTVOABCDEFHIUKULUMVTVOUGUHUNUOVRVKVSUPZVNUQZVTUPZSZLWKLZWM
        LZSWDGWNJURWKWMUSWOWBWPWCVKVSUTWPVTWLLZTWCWLVTUTWQVOVTVOWQVNVAVBVCVDVEV
        FVGWFWABMWIVSBVHVIVJ $.
        $( [22-Mar-1998] $)

      $( Lemma for ~ sbth . $)
      sbthlem6 $p |- ( ( ran f (_ B /\
               ( ( dom g = B /\ ran g (_ A ) /\ Fun `' g ) ) -> ran H = B ) $=
        ( cv cdm wceq crn wss wa ccnv wfun cuni cima cdif cun cres sbthlem4
        df-ima syl5reqr uneq2d rnun rneqi uneq1i 3eqtr4 syl6reqr wi imassrn
        sstr2 ax-mp undif sylib sylan9eqr ) FKZLCMUTNBOPUTQZRPZEKZNZCOZGNZVCDSZ
        TZCVHUAZUBZCVBVJVHVABVGUAZUCZNZUBZVFVBVIVMVHVBVAVKTVIVMABCDEFHIUDVAVKUE
        UFUGVCVGUCZVLUBZNVONZVMUBVFVNVOVLUHGVPJUIVHVQVMVCVGUEUJUKULVEVHCOZVJCMV
        HVDOVEVRUMVCVGUNVHVDCUOUPVHCUQURUS $.
        $( [27-Mar-1998] $)

      $( Lemma for ~ sbth . $)
      sbthlem7 $p |- ( ( Fun f /\ Fun `' g ) -> Fun H ) $=
        ( cv wfun ccnv wa cuni cres cdif cun cdm cin c0 wceq wss dmres inss1
        eqsstr ssrin ax-mp sslin sstri difdisj sseqtr ss0 funun mpan2 funres
        syl2an wb funeq sylibr ) EKZLZFKMZLZNVADOZPZVCBVEQZPZRZLZGLZVFLZVHLZVJV
        BVDVLVMNVFSZVHSZTZUAUBZVJVPUAUCVQVPVEVGTZUAVPVEVOTZVRVNVEUCVPVSUCVNVEVA
        SZTVEVAVEUDVEVTUEUFVNVEVOUGUHVOVGUCVSVRUCVOVGVCSZTVGVCVGUDVGWAUEUFVOVGV
        EUIUHUJVEBUKULVPUMUHVFVHUNUOVEVAUPVGVCUPUQGVIUBVKVJURJGVIUSUHUT $.
        $( [27-Mar-1998] $)

      $( Lemma for ~ sbth . $)
      sbthlem8 $p |- ( ( Fun `' f /\ ( ( ( Fun g /\ dom g = B ) /\ ran g (_ A )
                     /\ Fun `' g ) ) -> Fun `' H ) $=
        ( cv ccnv wfun cdm wceq wa crn wss cuni cres cdif cun cin c0 funun
        funres11 funcnvcnv syl adantr ad2antrr anim12i cima sbthlem4 df-ima
        df-rn eqtr syl5eqr eqtr2 jctil ineq12 difdisj syl6eq adantlll adantl
        sylanc wb cnveq ax-mp cnvun funeq sylibr ) EKZLMZFKZMZVNNCOZPZVNQBRZPVN
        LZMZPZPZVLDSZTZLZVSBWCUAZTZLZUBZMZGLZMZWEMZWHMZPWENZWHNZUCZUDOZWJWBWEWH
        UEVMWMWAWNWCVLUFVQWNVRVTVOWNVPVOVSLMWNVNUGWFVSUFUHUIUJUKWAWRVMVPVRVTWRV
        OVPVRPVTPZWQVLWCULZCWTUAZUCZUDWSWOWTOZWPXAOZPWQXBOWSXDXCWSVSWFULZXAWPAB
        CDEFHIUMXEWGQWPVSWFUNWGUOUPUQWTWDQWOVLWCUNWDUOURUSWOWTWPXAUTUHWTCVAVBVC
        VDVEWKWIOWLWJVFWKWDWGUBZLZWIGXFOWKXGOJGXFVGVHWDWGVIUPWKWIVJVHVK $.
        $( [27-Mar-1998] $)

      $( Lemma for ~ sbth . $)
      sbthlem9 $p |- ( ( f : A -1-1-> B /\ g : B -1-1-> A ) ->
                    H : A -1-1-onto-> B ) $=
        ( cv wfun cdm wceq wa crn wss ccnv wf1 wf1o sbthlem7 sbthlem5 adantrl
        anim12i an42s adantlr sbthlem8 adantll sbthlem6 df-rn syl5eqr pm3.27
        anim1i sylanr1 jca wf df-f1 wfn df-f df-fn anbi1i bitr anbi12i f1o4
        3imtr4 ) EKZLZVFMBNZOZVFPCQZOZVFRLZOZFKZLZVNMCNZOZVNPBQZOZVNRLZOZOZGLZG
        MBNZOZGRZLZWFMZCNZOZOZBCVFSZCBVNSZOBCGTZWBWEWJVKWAWEVLVIWAWEVJVGVTVHVSW
        EVGVTOWCVHVSOWDABCDEFGHIJUAVHVRWDVQABCDEFGHIJUBUCUDUEUFUFWBWGWIVLWAWGVK
        ABCDEFGHIJUGUHVKWAWIVLVJWAWIVIVJVPVROZVTWIVSVJWOVTOOGPCWHABCDEFGHIJUIGU
        JUKVQVPVRVOVPULUMUNUHUFUOUOWLVMWMWAWLBCVFUPZVLOVMBCVFUQWPVKVLWPVFBURZVJ
        OVKBCVFUSWQVIVJVFBUTVAVBVAVBWMCBVNUPZVTOWACBVNUQWRVSVTWRVNCURZVROVSCBVN
        USWSVQVRVNCUTVAVBVAVBVCWNGBURZWFCURZOWKBCGVDWTWEXAWJGBUTWFCUTVCVBVE $.
        $( [28-Mar-1998] $)

      ${
        $d f g A $.  $d f g B $.
        sbthlem.4 $e |- B e. V $.
        $( Lemma for ~ sbth . $)
        sbthlem10 $p |- ( ( A ~<_ B /\ B ~<_ A ) -> A ~~ B ) $=
          ( cdom wbr wa cv wf1 wex cen brdom anbi12i eeanv bitr4 wf1o sbthlem9
          f1oen syl 19.23aivv sylbi ) BCLMZCBLMZNZBCEOPZCBFOPZNZFQEQZBCRMZUKULE
          QZUMFQZNUOUIUQUJURBCEKSCBFHSTULUMEFUAUBUNUPEFUNBCGUCUPABCDEFGHIJUDBCG
          HUEUFUGUH $.
          $( [20-Jan-2007] $) $( [28-Mar-1998] $)
      $}
    $}

  $}

  ${
    $d x y z w f g A $.  $d x y z w f g B $.
    $( Schroeder-Bernstein Theorem.  Theorem 18 of [Suppes] p. 95.  This
       theorem states that if set ` A ` is smaller (has lower cardinality) than
       ` B ` and vice-versa, then ` A ` and ` B ` are equinumerous (have the
       same cardinality).  The interesting thing is that this can be proved
       without invoking the Axiom of Choice, as we do here, but the proof as
       you can see is quite difficult.  (The theorem can be proved more easily
       if we allow AC.)  The main proof consists of lemmas ~ sbthlem1 through
       ~ sbthlem10 ; this final piece mainly changes bound variables to
       eliminate the hypotheses of ~ sbthlem10 .  We follow closely the proof
       in Suppes, which you should consult to understand our proof at a higher
       level. $)
    sbth $p |- ( ( A ~<_ B /\ B ~<_ A ) -> A ~~ B ) $=
      ( vz vw vx vy vg vf cdom wbr wa cen cvv wcel wi cv wceq breq1 breq2
      anbi12d imbi12d wss cima cdif cab cuni cres ccnv cun visset sseq1 wb
      imaeq2 difeq2d 3syl difeq2 sseq2d bitrd cbvabv eqid sbthlem10 vtocl2g
      reldom brrelexi syl2an pm2.43i ) ABIJZBAIJZKZABLJZAMNBMNVIVJOZVGVHCPZDPZI
      JZVMVLIJZKZVLVMLJZOAVMIJZVMAIJZKZAVMLJZOVKCDABMMVLAQZVPVTVQWAWBVNVRVOVSVL
      AVMIRVLAVMISTVLAVMLRUAVMBQZVTVIWAVJWCVRVGVSVHVMBAISVMBAIRTVMBALSUAEVLVMFP
      ZVLUBZGPZVMHPZWDUCZUDZUCZVLWDUDZUBZKZFUEZHGWGWNUFZUGWFUHVLWOUDUGUIZCUJWME
      PZVLUBZWFVMWGWQUCZUDZUCZVLWQUDZUBZKFEWDWQQZWEWRWLXCWDWQVLUKXDWLXAWKUBZXCX
      DWIWTQWJXAQWLXEULXDWHWSVMWDWQWGUMUNWIWTWFUMWJXAWKUKUOXDWKXBXAWDWQVLUPUQUR
      TUSWPUTDUJVAVBABIVCVDBAIVCVDVEVF $.
      $( [20-Jan-2007] $) $( [8-Jun-1998] $)
  $}

  $( Schroeder-Bernstein Theorem and its converse. $)
  sbthbg $p |- ( B e. C -> ( ( A ~<_ B /\ B ~<_ A ) <-> A ~~ B ) ) $=
    ( wcel cdom wbr wa cen sbth wi endom a1i ensymg syl6 jcad impbid2 ) BCDZABE
    FZBAEFZGABHFZABIQTRSTRJQABKLQTBAHFSABCMBAKNOP $.
    $( [8-Jun-1998] $)

  ${
    $d x y $.
    $( Schroeder-Bernstein Theorem in class form. $)
    sbthcl $p |- ~~ = ( ~<_ i^i `' ~<_ ) $=
      ( vx vy cen cdom ccnv cin relen wrel reldom relin1 ax-mp cv wbr wa cop
      wcel cvv wb visset sbthbg df-br opelcnv bitr4 anbi12i elin 3bitr3r
      eqrelriv ) ABCDDEZFZGDHUIHIDUHJKALZBLZDMZUKUJDMZNZUJUKCMZUJUKOZUIPZUPCPUK
      QPUNUORBSZUJUKQTKUNUPDPZUPUHPZNUQULUSUMUTUJUKDUAUMUKUJODPUTUKUJDUAUJUKDAS
      URUBUCUDUPDUHUEUCUJUKCUAUFUG $.
      $( [28-Mar-1998] $)
  $}

  $( Alternate definition of strict dominance.  Compare Definition 3 of
     [Suppes] p. 97. $)
  dfsdom2 $p |- ~< = ( ~<_ \ `' ~<_ ) $=
    ( csdm cdom cen cdif ccnv cin df-sdom sbthcl difeq2i difin 3eqtr ) ABCDBBBE
    ZFZDBLDGCMBHIBLJK $.
    $( [31-Mar-1998] $)

  ${
    brsdom2.1 $e |- A e. V $.
    brsdom2.2 $e |- B e. V $.
    $( Alternate definition of strict dominance.  Definition 3 of [Suppes]
       p. 97. $)
    brsdom2 $p |- ( A ~< B <-> ( A ~<_ B /\ -. B ~<_ A ) ) $=
      ( cop csdm wcel cdom ccnv cdif wbr wn wa dfsdom2 eleq2i df-br opelcnv
      bitr4 negbii anbi12i eldif 3bitr4 ) ABEZFGUCHHIZJZGZABFKABHKZBAHKZLZMZFUE
      UCNOABFPUJUCHGZUCUDGZLZMUFUGUKUIUMABHPUHULUHBAEHGULBAHPABHCDQRSTUCHUDUARU
      B $.
      $( [19-Aug-2004] $) $( [27-Jul-2004] $)
  $}

  $( Strict dominance is not symmetric.  Theorem 21(ii) of [Suppes] p. 97. $)
  sdomnsym $p |- ( A ~< B -> -. B ~< A ) $=
    ( csdm wbr cen sdomnen cdom sbth sdomdom syl2an ex mtod ) ABCDZBACDZABEDZAB
    FMNOABGDBAGDOMNABHABIBAIJKL $.
    $( [8-Jun-1998] $)

  $( Theorem 22(i) of [Suppes] p. 97. $)
  domnsym $p |- ( A ~<_ B -> -. B ~< A ) $=
    ( cdom wbr csdm cen wo wn brdom2 sdomnsym cvv wcel ensymg con3d relsdom
    brrelexi sdomnen sylc con2i jaoi sylbi ) ABCDABEDZABFDZGBAEDZHZABIUBUEUCABJ
    UDUCBKLZBAFDZHUCHUDUFUCUGABKMNBAEOPBAQRSTUA $.
    $( [10-Jun-1998] $)

  $( Any set dominates the empty set. $)
  0dom $p |- (/) ~<_ A $=
    ( c0 cvv wcel wss cdom wbr 0ex 0ss ssdomg mp2 ) BCDBAEBAFGHAIBACJK $.
    $( [10-Nov-2003] $) $( [26-Oct-2003] $)

  $( A set dominated by the empty set is empty. $)
  dom0 $p |- ( A ~<_ (/) <-> A = (/) ) $=
    ( c0 cdom wbr wa cen wceq 0dom biantru cvv wcel wb 0ex sbthbg ax-mp en0
    3bitr ) ABCDZRBACDZEZABFDZABGSRAHIBJKTUALMABJNOAPQ $.
    $( [24-Nov-2004] $) $( [22-Nov-2004] $)

  $( A set strictly dominates the empty set iff it is not empty. $)
  0sdomg $p |- ( A e. B -> ( (/) ~< A <-> A =/= (/) ) ) $=
    ( wcel c0 cen wbr wn wceq csdm wne ensymg 0ex ensym impbid1 en0 syl6bb
    negbid cdom brsdom 0dom mpbiran df-ne 3bitr4g ) ABCZDAEFZGZADHZGDAIFZADJUDU
    EUGUDUEADEFZUGUDUEUIDABKADLMNAOPQUHDARFUFDASATUAADUBUC $.
    $( [25-Nov-2006] $) $( [23-Mar-2006] $)

  ${
    0sdom.1 $e |- A e. V $.
    $( A set strictly dominates the empty set iff it is not empty. $)
    0sdom $p |- ( (/) ~< A <-> A =/= (/) ) $=
      ( cvv wcel c0 csdm wbr wne wb 0sdomg ax-mp ) ACDEAFGAEHIBACJK $.
      $( [26-Nov-2006] $) $( [29-Jul-2004] $)
  $}

  $( The empty set does not strictly dominate any set. $)
  sdom0 $p |- -. A ~< (/) $=
    ( c0 cdom wbr csdm wn 0dom domnsym ax-mp ) BACDABEDFAGBAHI $.
    $( [10-Nov-2003] $) $( [26-Oct-2003] $)

  $( Transitivity of strict dominance and dominance.  Theorem 22(iii) of
     [Suppes] p. 97. $)
  sdomdomtr $p |- ( C e. D -> ( ( A ~< B /\ B ~<_ C ) -> A ~< C ) ) $=
    ( wcel csdm wbr cdom wa cen wn sdomnen ad2antrl wi domtr sdomdom sylan wo
    brdom2 df-or bitr sylib adantl ensymg endom syl6 sylan9r jctird simprr
    sbth jcad entrt mt3d ex ) CDEZABFGZBCHGZIZACFGZUOURIZUSABJGZUPVAKUOUQABLMUT
    USKZACJGZCBJGZIVAUTVBVCVDURVBVCNZUOURACHGZVEABHGZUQVFUPABCOABPZQVFUSVCRVEAC
    SUSVCTUAUBZUCUTVBCBHGZUQIVDUTVBVJUQUTVBCAHGZVGIVJUTVBVKVGURVBVCUOVKVIUOVCCA
    JGVKACDUDCAUEUFUGUPVGUOUQVHMUHCABOUFUOUPUQUIUHCBUJUFUKACBULUFUMUN $.
    $( [31-Oct-2003] $) $( [26-Oct-2003] $)

  $( Transitivity of strict dominance and equinumerosity.  Exercise 11 of
     [Suppes] p. 98. $)
  sdomentr $p |- ( C e. D -> ( ( A ~< B /\ B ~~ C ) -> A ~< C ) ) $=
    ( wcel csdm wbr cdom cen sdomdomtr endom sylan2i ) CDEABFGBCHGACFGBCIGABCDJ
    BCKL $.
    $( [8-Nov-2003] $) $( [26-Oct-2003] $)

  $( Transitivity of equinumerosity and strict dominance. $)
  ensdomtr $p |- ( ( A ~~ B /\ B ~< C ) -> A ~< C ) $=
    ( cvv wcel cen wbr csdm wa wi cdom wn endomtr ex adantl ensymg imp entrt
    syl con3d anim12d brsdom 3imtr4g imp3a relsdom brrelexi con3i pm2.21d
    adantld pm2.61i ) BDEZABFGZBCHGZIACHGZJUKULUMUNUKULUMUNJUKULIZBCKGZBCFGZLZI
    ACKGZACFGZLZIUMUNUOUPUSURVAULUPUSJUKULUPUSABCMNOUOUTUQUOBAFGZUTUQJUKULVBABD
    PQVBUTUQBACRNSTUABCUBACUBUCNUDUKLZUMUNULVCUMUNUMUKBCHUEUFUGUHUIUJ $.
    $( [8-Nov-2003] $) $( [26-Oct-2003] $)

  $( Strict dominance is irreflexive.  Theorem 21(i) of [Suppes] p. 97. $)
  sdomirr $p |- -. A ~< A $=
    ( cvv wcel csdm wbr wn cen sdomnen enrefg nsyl3 relsdom brrelexi con3i
    pm2.61i ) ABCZAADEZFPAAGEOAAHABIJPOAADKLMN $.
    $( [4-Jun-1998] $)

  $( Technical lemma for simplifying proofs involving strict dominance. $)
  sdomex $p |- ( A ~< B -> ( A e. V /\ B e. V ) ) $=
    ( csdm wbr cvv wcel relsdom brrelexi wn sdomirr brprc mtbiri a3i jca ) ABCD
    ZAEFBEFZABCGHPOPIOAACDAJABCKLMN $.
    $( [4-Sep-2004] $) $( [3-Sep-2004] $)

  $( Strict dominance is transitive.  Theorem 21(iii) of [Suppes] p. 97. $)
  sdomtr $p |- ( ( A ~< B /\ B ~< C ) -> A ~< C ) $=
    ( csdm wbr cvv wcel wa wi sdomex pm3.27d cdom sdomdomtr sdomdom sylan2i
    syl anabsi7 ) ABDEZBCDEZACDEZSCFGZRSHTISBFGUABCJKUARBCLETSABCFMBCNOPQ $.
    $( [9-Jun-1998] $)

  $( Strict dominance has no 2-cycle loops. $)
  sdomn2lp $p |- -. ( A ~< B /\ B ~< A ) $=
    ( csdm wbr wa sdomirr sdomtr mto ) ABCDBACDEAACDAFABAGH $.
    $( [6-May-2008] $) $( [6-May-2008] $)

  $( Transitivity of dominance and strict dominance.  Theorem 22(ii) of
     [Suppes] p. 97. $)
  domsdomtr $p |- ( ( A ~<_ B /\ B ~< C ) -> A ~< C ) $=
    ( cdom wbr csdm cen wo wi brdom2 sdomtr ex cvv wcel relsdom brrelexi wa wn
    endomtr adantl ensymg entrt syl6 imp con3d anim12d brsdom 3imtr4g syl
    pm2.43b jaoi sylbi ) ABDEZBCFEZACFEZUMABFEZABGEZHUNUOIZABJUPURUQUPUNUOABCKL
    UQUNUOUNBMNZUQURIBCFOPUSUQURUSUQQZBCDEZBCGEZRZQACDEZACGEZRZQUNUOUTVAVDVCVFU
    QVAVDIUSUQVAVDABCSLTUTVEVBUSUQVEVBIZUSUQBAGEZVGABMUAVHVEVBBACUBLUCUDUEUFBCU
    GACUGUHLUIUJUKULUD $.
    $( [10-Jun-1998] $)

  $( Equality-like theorem for equinumerosity. $)
  enen1 $p |- ( ( B e. D /\ A ~~ B ) -> ( A ~~ C <-> B ~~ C ) ) $=
    ( wcel cen wbr wa wi ensymg imp entrt ex syl adantll impbid ) BDEZABFGZHZAC
    FGZBCFGZSBAFGZTUAIQRUBABDJKUBTUABACLMNSUATRUATQABCLOMP $.
    $( [26-Jun-2004] $) $( [18-Dec-2003] $)

  $( Equality-like theorem for equinumerosity. $)
  enen2 $p |- ( ( B e. D /\ A ~~ B ) -> ( C ~~ A <-> C ~~ B ) ) $=
    ( wcel cen wbr wa wi entrt expcom adantl ex ensymg imp syl5com impbid ) BDE
    ZABFGZHZCAFGZCBFGZSUAUBIRUASUBCABJKLUBBAFGZUATUBUCUACBAJMRSUCABDNOPQ $.
    $( [15-Feb-2004] $) $( [18-Dec-2003] $)

  $( Equality-like theorem for equinumerosity and dominance. $)
  domen1 $p |- ( ( B e. D /\ A ~~ B ) -> ( A ~<_ C <-> B ~<_ C ) ) $=
    ( wcel cen wbr wa cdom wi ensymg imp endomtr ex syl adantl impbid ) BDEZABF
    GZHZACIGZBCIGZTBAFGZUAUBJRSUCABDKLUCUAUBBACMNOSUBUAJRSUBUAABCMNPQ $.
    $( [28-Jun-2004] $) $( [8-Nov-2003] $)

  $( Equality-like theorem for equinumerosity and dominance. $)
  domen2 $p |- ( ( B e. D /\ A ~~ B ) -> ( C ~<_ A <-> C ~<_ B ) ) $=
    ( wcel cen wbr wa cdom wi domentr expcom adantl ex ensymg imp syl5com
    impbid ) BDEZABFGZHZCAIGZCBIGZTUBUCJSUBTUCCABKLMUCBAFGZUBUAUCUDUBCBAKNSTUDA
    BDOPQR $.
    $( [7-Jul-2004] $) $( [8-Nov-2003] $)

  $( Equality-like theorem for equinumerosity and strict dominance. $)
  sdomen1 $p |- ( ( B e. D /\ A ~~ B ) -> ( A ~< C <-> B ~< C ) ) $=
    ( wcel cen wbr wa csdm wi ensymg imp ensdomtr ex syl adantll impbid ) BDEZA
    BFGZHZACIGZBCIGZTBAFGZUAUBJRSUCABDKLUCUAUBBACMNOTUBUASUBUARABCMPNQ $.
    $( [8-Nov-2003] $) $( [8-Nov-2003] $)

  $( Equality-like theorem for equinumerosity and strict dominance. $)
  sdomen2 $p |- ( ( B e. D /\ A ~~ B ) -> ( C ~< A <-> C ~< B ) ) $=
    ( cvv wcel cen wbr wa csdm wb wi sdomentr exp3a com23 imp adantll ensymg
    syl9r imp31 impbid exp31 imp3a wn relen brrelexi con3i pm2.21d adantld
    pm2.61i ) AEFZBDFZABGHZICAJHZCBJHZKZLUKULUMUPUKULUMUPUKULIUMIUNUOULUMUNUOLZ
    UKULUMUQULUNUMUOULUNUMUOCABDMNOPQUKULUMUOUNLZULUMBAGHZUKURABDRUKUOUSUNUKUOU
    SUNCBAEMNOSTUAUBUCUKUDZUMUPULUTUMUPUMUKABGUEUFUGUHUIUJ $.
    $( [7-Jul-2004] $) $( [8-Nov-2003] $)

  ${
    $d f g z A $.  $d f g z B $.
    $( There exists a mapping from a set onto any (non-empty) set that it
       dominates. $)
    fodomr $p |- ( ( A e. C /\
                 (/) ~< B /\ B ~<_ A ) -> E. f f : A -onto-> B ) $=
      ( vz vg cvv wcel cv wex wf1 wfo c0 csdm wbr cdom w3a wi wa ccnv crn cdif
      csn cxp cun difexg snex xpexg mpan2 syl visset cnvex jctil unexb sylib
      foeq1 cla4egv wfn wceq wfun cdm wf df-f1 pm3.27bi fconst ffun ax-mp
      jctir cin df-rn eqcomi wne snnz dmxp ineq12i difdisj eqtr funun adantl
      wss f1f frn undif dmun uneq1i uneq2i 3eqtr2 syl5eq jca df-fn sylibr fdm
      dfdm4 syl5eqr uneq1d 0ss xpeq1 xp0r syl6eq rneqd rn0 sseq1d mpbiri a1d
      rnxp adantr snssi eqsstrd ex pm2.61ine ssequn2 sylan9eqr rnun df-fo syl5
      exp3a imp 19.23adv 3imp elisset 3ad2ant1 wb reldom brrelexi 0sdomg ne0
      syl6bb biimpac 3adant1 brdomg biimpa 3adant2 syl3anc ) AGHZEIZBHZEJZBAFIZ
      KZFJZABDIZLZDJZACHZMBNOZBAPOZQYNYQYTUUCYNYPYTUUCRZEYNYPUUGYNYPSYSUUCFYNYP
      YSUUCRYNYPYSUUCYNABYRTZAYRUAZUBZYOUCZUDZUEZLZUUCYPYSSZYNUUMGHZUUNUUCRYNUU
      HGHZUULGHZSUUPYNUURUUQYNUUJGHZUURAUUIGUFUUSUUKGHUURYOUGUUJUUKGGUHUIUJYRFU
      KULUMUUHUULUNUOUUBUUNDUUMGABUUAUUMUPUQUJUUOUUMAURZUUMUAZBUSZSUUNUUOUUTUVB
      UUOUUMUTZUUMVAZAUSZSUUTUUOUVCUVEYSUVCYPYSUUHUTZUULUTZSZUVCYSUVFUVGYSBAYRV
      BZUVFBAYRVCVDUUJUUKUULVBUVGUUJYOEUKZVEUUJUUKUULVFVGVHUVHUUHVAZUULVAZVIZMU
      SUVCUVMUUIUUJVIMUVKUUIUVLUUJUUIUVKYRVJZVKUUKMVLUVLUUJUSYOUVJVMUUJUUKVNVGZ
      VOUUIAVPVQUUHUULVRUIUJVSYSUVEYPYSUUIUUJUEZAUVDYSUUIAVTZUVPAUSYSUVIUVQBAYR
      WAZBAYRWBUJUUIAWCUOUVDUVKUVLUEUUIUVLUEUVPUUHUULWDUUIUVKUVLUVNWEUVLUUJUUIU
      VOWFWGWHVSWIUUMAWJWKUUOUUHUAZUULUAZUEZBUVAYSYPUWABUVTUEZBYSUVSBUVTYSYRVAZ
      BUVSYSUVIUWCBUSUVRBAYRWLUJYRWMWNWOYPUVTBVTZUWBBUSYPUWDRUUJMUUJMUSZUWDYPUW
      EUWDMBVTBWPUWEUVTMBUWEUVTMUAMUWEUULMUWEUULMUUKUDMUUJMUUKWQUUKWRWSWTXAWSXB
      XCXDUUJMVLZYPUWDUWFYPSUVTUUKBUWFUVTUUKUSYPUUJUUKXEXFYPUUKBVTUWFYOBXGVSXHX
      IXJUVTBXKUOXLUUHUULXMWHWIABUUMXNWKXOXPXQXRXIXRXSUUDUUEYNUUFACXTYAUUEUUFYQ
      UUDUUFUUEYQUUFBGHZUUEYQYBBAPYCYDUWGUUEBMVLYQBGYEEBYFYGUJYHYIUUDUUFYTUUEUU
      DUUFYTBACFYJYKYLYM $.
      $( [24-Mar-2006] $) $( [23-Mar-2006] $)
  $}

  ${
    $d x y z f A $.
    canth2.1 $e |- A e. V $.
    $( Cantor's Theorem.  No set is equinumerous to its power set.
       Specifically, any set has a cardinality (size) strictly less than the
       cardinality of its power set.  For example, the cardinality of real
       numbers is the same as the cardinality of the power set of integers,
       so real numbers cannot be put into a one-to-one correspondence
       with integers.  Theorem 23 of [Suppes] p. 97.  For the function version,
       see ~ canth . $)
    canth2 $p |- A ~< P~ A $=
      ( vx vy vf cpw csdm wbr cdom cen wn brsdom cvv wcel cv csn visset snelpw
      biimp wceq wb wa sneqr sneq impbi a1i dom2 ax-mp wf1o wex wfo canth
      f1ofo mto nex pwex bren mtbir mpbir2an ) AAFZGHAUTIHZAUTJHZKAUTLAMNVABCDA
      UTCOZPZDOZPZMVCANZVDUTNVCACQZRSVDVFTZVCVETZUAVGVEANUBVIVJVCVEVHUCVCVEUDUE
      UFUGUHVBAUTEOZUIZEUJVLEVLAUTVKUKAVKBULAUTVKUMUNUOAUTEABUPUQURUS $.
      $( [1-Apr-198] $)
  $}

  ${
    $d x A $.
    $( Cantor's theorem with the sethood requirement expressed as an
       antecedent.  Theorem 23 of [Suppes] p. 97. $)
    canth2g $p |- ( A e. B -> A ~< P~ A ) $=
      ( vx cv cpw csdm wbr wceq wb pweq breq12 mpdan visset canth2 vtoclg ) CDZ
      PEZFGZAAEZFGZCABPAHQSHRTIPAJPAQSFKLPCMNO $.
      $( [11-Nov-2003] $) $( [7-Nov-2003] $)
  $}

  $( The power set of the union of a set does not belong to the set.  This
     theorem provides a way of constructing a new set that doesn't belong to
     a given set. $)
  pwuninel $p |- -. P~ U. A e. A $=
    ( cvv wcel cuni cpw wn csdm wbr sdomirr wi uniexb wss cdom ssdom2g
    domsdomtr canth2g sylan2 expcom syld elssuni syl5 sylbi mtoi elisset pwexb
    bitr sylibr con3i pm2.61i ) ABCZADZEZACZFUJUMULULGHZULIUJUKBCZUMUNJAKZUOULU
    KLZUNUMUOUQULUKMHZUNULUKBNURUOUNURUKULGHUNUOULUKULOUKBPQRSULATUAUBUCUMUJUMU
    LBCZUJULAUDUJUOUSUPUKUEUFUGUHUI $.
    $( [27-Jun-2008] $) $( [27-Jun-2008] $)

  $( The power set of the power set of the union of a set does not belong to
     the set.  This theorem provides a way of constructing a new set that
     doesn't belong to a given set. $)
  2pwuninel $p |- -. P~ P~ U. A e. A $=
    ( cuni cvv wcel cpw wn csdm wbr sdomirr wss cdom ssdom2g domsdomtr ex
    sdomtr canth2g pwexb sylbi sylanc syl5com syld elssuni syl5 mtoi elisset
    bitr sylibr con3i pm2.61i ) ABZCDZUJEZEZADZFUKUNUMUMGHZUMIUKUMUJJZUOUNUKUPU
    MUJKHZUOUMUJCLUQUJUMGHZUOUKUQURUOUMUJUMMNUJULGHULUMGHZURUKUJULUMOUJCPUKULCD
    ZUSUJQZULCPRSTUAUMAUBUCUDUNUKUNUMCDZUKUMAUEUKUTVBVAULQUFUGUHUI $.
    $( [7-Jul-2008] $) $( [27-Jun-2008] $)

  ${
    xpen.1 $e |- A e. V $.
    xpen.2 $e |- B e. V $.
    xpen.3 $e |- C e. V $.
    xpen.4 $e |- D e. V $.
    $( Equinumerosity law for cross product.  Proposition 4.22(b) of
       [Mendelson] p. 254. $)
    xpen $p |- ( ( A ~~ B /\ C ~~ D ) -> ( A X. C ) ~~ ( B X. D ) ) $=
      ( cxp cen wbr entrt cdom wa xpdom2 anim12i cvv wcel wb sbthbg ax-mp xpex
      3imtr3 xpcomen enen2 mp2an enen1 bitr sylib syl2an ) ACIZBCIZJKZULBDIZJKZ
      UKUNJKABJKZCDJKZUKULUNLUPCAIZCBIZJKZUMABMKZBAMKZNZURUSMKZUSURMKZNZUPUTVAV
      DVBVEABCFGOBACEGOPBQRVCUPSFABQTUAUSQRVFUTSCBGFUBURUSQTUAUCUTURULJKZUMULQR
      USULJKUTVGSBCFGUBCBGFUDUSULURQUEUFUKQRURUKJKVGUMSACEGUBCAGEUDURUKULQUGUFU
      HUICDMKZDCMKZNZULUNMKZUNULMKZNZUQUOVHVKVIVLCDBHFODCBGFOPDQRVJUQSHCDQTUAUN
      QRVMUOSBDFHUBULUNQTUAUCUJ $.
      $( [30-Sep-2004] $) $( [24-Jul-2004] $)
  $}

  ${
    $d f g x y z w v A $.  $d f g x y z w v B $.  $d f g x y z w v C $.
    $d f g x y z w v D $.  $d z w v H $.
    mapenlem.1 $e |- A e. V $.
    mapenlem.2 $e |- B e. V $.
    mapenlem.3 $e |- C e. V $.
    mapenlem.4 $e |- D e. V $.
    mapenlem.5 $e |- H =
         { <. x , y >. | ( x e. ( A ^m C ) /\ y = ( ( f o. x ) o. `' g ) ) } $.
    $( Lemma for ~ mapen . $)
    mapenlem1 $p |- ( ( ( ( f : A -1-1-onto-> B /\ g : C -1-1-onto-> D ) /\ z :
    C --> A ) /\ v e. C ) -> ( ( H ` z ) ` ( g ` v ) ) = ( f ` ( z ` v ) ) ) $=
      ( cv wf1o wa wf wcel cfv ccom ccnv wceq cm co elmap coeq2 coeq1d visset
      coex cnvex fvopab4 sylbir fveq1d ad2antlr cid cres f1ococnv1 coeq2d
      fcoi1 sylan9eqr fco f1of sylan an1rs coass syl5eq adantr wfun fvco3
      3expa funco f1ofun ffun syl2an wfo f1o3 pm3.27bi anim12i anabss3 3expb
      adantlr anassrs 3eqtr3d eqtrd ) EFIQZRZGHJQZRZSZGECQZTZSZDQZGUAZSZWPWJUBZ
      WMKUBZUBZWSWHWMUCZWJUDZUCZUBZWPWMUBWHUBZWNXAXEUEWLWQWNWSWTXDWNWMEGUFUGZUA
      WTXDUEEGWMLNUHABWMWHAQZUCZXCUCXDXGKXHWMUEXIXBXCXHWMWHUIUJPXBXCWHWMIUKCUKU
      LWJJUKUMULUNUOUPUQWRWPXDWJUCZUBZWPXBUBZXEXFWOXKXLUEWQWOWPXJXBWOXBXCWJUCZU
      CZXBXJWIWNWKXNXBUEZGFXBTZWKXOWIWNSZWKXPXNXBURGUSZUCXBWKXMXRXBGHWJUTVAGFXB
      VBVCEFWHTWNXPWIGEFWHWMVDEFWHVEVFVFVGXBXCWJVHVIUPVJXDVKZGHWJTZSZWQXKXEUEZW
      OXSXTWQYBGHWPXDWJVLVMWIWNWKYAXQWKYAXQWKSXSWKXTXBVKZXCVKZXSXQWKXBXCVNWHVKZ
      WMVKYCWIWNWHWMVNEFWHVOZGEWMVPVQWKGHWJVRYDGHWJVSVTVQGHWJVEWAWBVGVFWLWNWQXL
      XFUEZWIWNWQSZYGWKYEYHYGWIYEWNWQYGGEWPWHWMVLWCYFVFWDWEWFWG $.
      $( [12-Jul-2004] $) $( [16-Dec-2003] $)

    $( Lemma for ~ mapen . $)
    mapenlem2 $p |- ( ( f : A -1-1-onto-> B /\ g : C -1-1-onto-> D ) ->
             H : ( A ^m C ) -1-1-onto-> ( B ^m D ) ) $=
      ( vz vw vv cv wf1o wa cm co wf1 crn wceq wf cfv wi wral ccom ccnv wcel
      fco f1of sylan f1ocnv syl syl2an exp31 com23 imp elmap 3imtr4g r19.21aiv
      fopab2 sylib fveq1 adantl ad2antlr mapenlem1 adantrl exp43 adantrd imp42
      adantld 3eqtr3d wb f1fveq f1of1 ffvelrn adantlr adantll jca anassrs
      mpbid r19.21aiva wfn eqfnfv eqid biantrur syl6bbr ffn ad2antrl mpbird
      exp32 anbi12i syl5ib exp3a r19.21adv f1fv sylibr wss frn wrex an1rs
      coeq2 coeq1d visset cnvex coex fvopab4 cid cres f1ococnv2 fcoi2 sylan9eq
      coeq2d fcoi1 eqtrd coass coeq2i coeq1i eqtr2 3eqtr syl5eq ex fveq2
      eqeq1d rcla4ev syl6 fvelrnb 3syl sylibrd ssrdv eqssd f1o5 ) CDGRZSZEFHRZS
      ZTZCEUAUBZDFUAUBZIUCZIUDZUUCUEZTUUBUUCISUUAUUDUUFUUAUUBUUCIUFZORZIUGZPRZI
      UGZUEZUUHUUJUEZUHZPUUBUIZOUUBUIZTUUDUUAUUGUUPUUAYQARZUJZYSUKZUJZUUCULZAUU
      BUIUUGUUAUVAAUUBUUAECUUQUFZFDUUTUFZUUQUUBULUVAYRYTUVBUVCUHYRUVBYTUVCYRUVB
      YTUVCEDUURUFZFEUUSUFZUVCYRUVBTYTFEDUURUUSUMCDYQUFUVBUVDYRECDYQUUQUMCDYQUN
      UOYTFEUUSSUVEEFYSUPFEUUSUNUQURUSUTVACEUUQJLVBDFUUTKMVBVCVDABUUBUUCUUTINVE
      VFZUUAUUOOUUBUUAUUHUUBULZUUNPUUBUUAUVGUUJUUBULZUUNUUAECUUHUFZECUUJUFZTZUU
      NUVGUVHTUUAUVKUULUUMUUAUVKUULTZTZUUMQRZUUHUGZUVNUUJUGZUEZQEUIZUVMUVQQEUVM
      UVNEULZTZUVOYQUGZUVPYQUGZUEZUVQUVTUVNYSUGZUUIUGZUWDUUKUGZUWAUWBUVLUWEUWFU
      EZUUAUVSUULUWGUVKUWDUUIUUKVGVHVIUUAUVKUULUVSUWEUWAUEZUUAUVIUULUVSUWHUHUHU
      VJUUAUVIUULUVSUWHUUAUVITUVSUWHUULABOQCDEFGHIJKLMNVJVKVLVMVNUUAUVKUULUVSUW
      FUWBUEZUUAUVJUULUVSUWIUHUHUVIUUAUVJUULUVSUWIUUAUVJTUVSUWIUULABPQCDEFGHIJK
      LMNVJVKVLVOVNVPUUAUVLUVSUWCUVQVQZYRUVLUVSTZUWJYTCDYQUCUVOCULZUVPCULZTZUWJ
      YRUWKCDUVOUVPYQVRCDYQVSUVKUVSUWNUULUVKUVSTUWLUWMUVIUVSUWLUVJECUVNUUHVTWAU
      VJUVSUWMUVIECUVNUUJVTWBWCWAURWAWDWEWFUVKUUMUVRVQZUUAUULUUHEWGZUUJEWGZUWOU
      VIUVJUWPUWQTUUMEEUEZUVRTUVRQEEUUHUUJWHUWRUVREWIWJWKECUUHWLECUUJWLURWMWNWO
      UVGUVIUVHUVJCEUUHJLVBCEUUJJLVBWPWQWRWSVDWCOPUUBUUCIWTXAUUAUUEUUCUUAUUGUUE
      UUCXBUVFUUBUUCIXCUQUUAOUUCUUEUUAUUHUUCULZUUKUUHUEZPUUBXDZUUHUUEULZUUAUWSY
      QUKZUUHUJZYSUJZUUBULZUXEIUGZUUHUEZTZUXAUUAFDUUHUFZUXIUWSUUAUXJUXIUUAUXJTZ
      UXFUXHUXKECUXEUFZUXFYRUXJYTUXLFCUXDUFZEFYSUFUXLYRUXJTZYTEFCUXDYSUMDCUXCUF
      ZUXJUXMYRFDCUXCUUHUMYRDCUXCSUXOCDYQUPDCUXCUNUQUOEFYSUNURXECEUXEJLVBXAZUXK
      UXGYQUXEUJZUUSUJZUUHUXKUXFUXGUXRUEUXPABUXEUUTUXRUUBIUUQUXEUEUURUXQUUSUUQU
      XEYQXFXGNUXQUUSYQUXEGXHZUXDYSUXCUUHYQUXSXIOXHXJHXHZXJXJYSUXTXIXJXKUQUXKYQ
      UXCUJZUUHUJZYSUUSUJZUJZUUHUXRUXKUYDUUHUYCUJZUUHYRUXJUYDUYEUEYTUXNUYBUUHUY
      CYRUXJUYBXLDXMZUUHUJUUHYRUYAUYFUUHCDYQXNXGFDUUHXOXPXGWAYTUXJUYEUUHUEYRYTU
      XJUYEUUHXLFXMZUJUUHYTUYCUYGUUHEFYSXNXQFDUUHXRXPWBXSUXRYQUXEUUSUJZUJYQUXDU
      YCUJZUJZUYDYQUXEUUSXTUYHUYIYQUXDYSUUSXTYAUYDYQUXDUJZUYCUJUYJUYBUYKUYCYQUX
      CUUHXTYBYQUXDUYCXTYCYDYEXSWCYFDFUUHKMVBWQUWTUXHPUXEUUBUUJUXEUEUUKUXGUUHUU
      JUXEIYGYHYIYJUUAUUGIUUBWGUXBUXAVQUVFUUBUUCIWLPUUBUUHIYKYLYMYNYOWCUUBUUCIY
      PXA $.
      $( [12-Jul-2004] $) $( [16-Dec-2003] $)
  $}

  ${
    $d f g x y A $.  $d f g x y B $.  $d f g x y C $.  $d f g x y D $.
    mapen.1 $e |- A e. V $.
    mapen.2 $e |- B e. V $.
    mapen.3 $e |- C e. V $.
    mapen.4 $e |- D e. V $.
    $( Two set exponentiations are equinumerous when their bases and exponents
       are equinumerous.  Theorem 6H(c) of [Enderton] p. 139. $)
    mapen $p |- ( ( A ~~ B /\ C ~~ D ) -> ( A ^m C ) ~~ ( B ^m D ) ) $=
      ( vf vg vx vy cv wf1o wex cm co cen wbr wi wa wcel ccom ccnv wceq copab
      eqid mapenlem2 oprex f1oen syl ex 19.23aiv 19.23adv imp bren syl2anb ) AB
      IMZNZIOZCDJMZNZJOZACPQZBDPQZRSZABRSCDRSUTVCVFUTVBVFJUSVBVFTIUSVBVFUSVBUAV
      DVEKMZVDUBLMURVGUCVAUDUCUEUAKLUFZNVFKLABCDIJVHEFGHVHUGUHVDVEVHACPUIUJUKUL
      UMUNUOABIFUPCDJHUPUQ $.
      $( [12-Jul-2004] $) $( [16-Dec-2003] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.
    mapdom1.1 $e |- A e. V $.
    mapdom1.2 $e |- B e. V $.
    mapdom1.3 $e |- C e. V $.
    $( Order-preserving property of set exponentiation.  Theorem 6L(c) of
       [Enderton] p. 149. $)
    mapdom1 $p |- ( A ~<_ B -> ( A ^m C ) ~<_ ( B ^m C ) ) $=
      ( vx cdom wbr cv cen wss wa wex cm co domen endomtr enref visset mapen
      mpan2 mapss cvv wcel wi oprex ssdomg ax-mp syl syl2an 19.23aiv sylbi ) AB
      HIAGJZKIZUNBLZMZGNACOPZBCOPZHIZGABEQUQUTGURUNCOPZKIZVAUSHIZUTUOUPURVAUSRU
      OCCKIVBCFSAUNCCDGTFFUAUBUPVAUSLZVCUNBCEFUCVAUDUEVDVCUFUNCOUGVAUSUDUHUIUJU
      KULUM $.
      $( [8-Oct-2004] $) $( [27-Jul-2004] $)

    $( Lemma for ~ mapdom2 . $)
    mapdom2lem $p |- ( x e. ( C ^m z ) ->
                     ( x i^i ( ( B \ z ) X. { w } ) ) = (/) ) $=
      ( cv cm co wcel cdif csn cxp cin cdm c0 wceq wf visset elmap fdm sylbi
      fconst fdmi a1i ineq12d difdisj syl6eq wss dmin sseq2 mpbii ss0 syl wrel
      wb relxp relin1 ax-mp incom releqi mpbi reldm0 sylibr ) AJZFBJZKLMZVHEVIN
      ZCJZOZPZQZRZSTZVOSTZVJVHRZVNRZQZSTZVQVJWAVIVKQSVJVSVIVTVKVJVIFVHUAVSVITFV
      IVHIBUBUCVIFVHUDUEVTVKTVJVKVMVNVKVLCUBUFUGUHUIVIEUJUKWBVPSULZVQWBVPWAULWC
      VHVNUMWASVPUNUOVPUPUQUQVOURZVRVQUSVNVHQZURZWDVNURWFVKVMUTVNVHVAVBWEVOVNVH
      VCVDVEVOVFVBVG $.
      $( [8-Nov-2004] $) $( [23-Sep-2004] $)

    $( Order-preserving property of set exponentiation.  Theorem 6L(d) of
       [Enderton] p. 149. $)
    mapdom2 $p |- ( ( A ~<_ B /\ -. ( A = (/) /\ C = (/) ) ) ->
                  ( C ^m A ) ~<_ ( C ^m B ) ) $=
      ( vw vz vx vy cdom wbr c0 wceq wn wa wo cm co wi opreq1 wne df-ne map0b
      sylbir sylan9eqr 0dom syl6eqbr a1i cv wcel wex cen wss domen endomtr
      enref visset mapen mpan cvv oprex cdif csn cxp cun wf wb undif feq2
      sylbi snssi ssequn2 sylib feq3 syl sylan9bb fconst cin difdisj fun mpan2
      syl5bi elmap 3imtr4g mapdom2lem eqcomd sylan9eq biantrud unineq syl6bb
      dom2d mpi syl2an anassrs ex 19.23aiv 19.23adv n0 syl5ib jaod imp exmid
      biantru ianor ordir 3bitr4 sylan2b ) ABKLZAMNZOZCMNZPZXLOZQZCARSZCBRSZKLZ
      XJXLPOZXIXOXRXIXMXRXNXMXRTXIXMXPMXQKXLXKXPMARSZMCMARUAXKAMUBXTMNAMUCADUDU
      EUFXQUGUHUIXIGUJZCUKZGULXRXNXIYBXRGXIAHUJZUMLZYCBUNZPZHULYBXRTZHABEUOYFYG
      HYFYBXRYDYEYBXRXPCYCRSZUMLZYHXQKLZXRYDYEYBPZXPYHXQUPCCUMLYDYICFUQCCAYCFFD
      HURZUSUTYKYHVAUKYJCYCRVBYKIJYHXQIUJZBYCVCZYAVDZVEZVFZJUJZYPVFZVAYKYCCYMVG
      ZBCYQVGZYMYHUKZYQXQUKYKYCYNVFZCYOVFZYQVGZUUAYTYEUUEBUUDYQVGZYBUUAYEUUCBNU
      UEUUFVHYCBVIUUCBUUDYQVJVKYBUUDCNZUUFUUAVHYBYOCUNUUGYACVLYOCVMVNUUDCBYQVOV
      PVQYTYNYOYPVGZUUEYNYAGURVRYTUUHPYCYNVSMNUUEYCBVTYCYNCYOYMYPWAWBWBWCCYCYMF
      YLWDCBYQFEWDWEUUBYRYHUKZPZYQYSNZYMYRNZVHTYKUUJUUKUUKYMYPVSZYRYPVSZNZPUULU
      UJUUOUUKUUBUUIUUMMUUNIHGABCDEFWFUUIUUNMJHGABCDEFWFWGWHWIYMYRYPWJWKUIWLWMW
      NWOWPWQVKWRGCWSWTXAXBXKXNQZUUPXLXNQZPXSXOUUQUUPXLXCXDXJXLXEXKXLXNXFXGXH
      $.
      $( [8-Nov-2004] $) $( [23-Sep-2004] $)
  $}

  ${
    $d x y z w v f g A $.  $d x y z w v f g B $.  $d x y z w v f g C $.
    mapxpen.1 $e |- A e. V $.
    mapxpen.2 $e |- B e. V $.
    mapxpen.3 $e |- C e. V $.
    $( Equinumerosity law for double set exponentiation.  Proposition 10.45 of
       [TakeutiZaring] p. 96. $)
    mapxpen $p |- ( ( A ^m B ) ^m C ) ~~ ( A ^m ( B X. C ) ) $=
      ( vx vy vz vw vv vf vg cm co cxp cv wcel wa cfv wceq copab2 copab oprex
      cvv eqid oprabex2 a1i opabex2 wfn wral fvex fnoprab2 fneq1 mpbiri adantl
      ax-17 hboprab1 hbeleq hban hboprab2 wf ffvelrn elmap sylanb sylan an1rs
      anasss adantlr wb opreq oprabval4g mp3an3 sylan9eq eleq1d adantll mpbird
      exp32 r19.21ad r19.21ai jca xpex ffnoprval bitr sylibr fopabfv pm3.26bi
      sylbi adantr wi anassrs eqeq2d pm5.32da opabbid syl5bir mpd eqtrd
      hbopab1 hbopab fveq1 fvopab2 mpan2 fveq1d oprabbid fnoprval syl6bbr
      anbi1d biimparc ancom sylib fnopab2 biantrurd ffnfv bitr2 syl6bb ralbida
      anbi2d syl5bb syl bitr4d bitr3d ralcom impbi en2 ) GHABNOZCNOZABCPZNOZIQZ
      BRZJQZCRZSZKQZYIYKGQZTZTZUAZSZIJKUBZYLLQZYJMQZYIYKHQZOZUAZSZIMUCZUAZSZJLU
      CZYECNUDYTUERYOYFRZIJKBCYQYTEFYTUFZUGUHUUJUERUUCYHRZJLCUUGFUIUHUUKUUCYTUA
      ZSZUUMYOUUJUAZSZUUOUUMUUPUUOUUCYGUJZUUDARZJCUKZIBUKZSZUUMUUOUURUVAUUNUURU
      UKUUNUURYTYGUJIJKBCYQYTYIYPULZUULUMYGUUCYTUNUOUPUUOUUTIBUUKUUNIUUKIUQIHYT
      YSIJKHURUSZUTUUOYJUUSJCUUKUUNJUUKJUQJHYTYSIJKHVAUSUTZYJJUQUUOYJYLUUSUUOYM
      SUUSYQARZUUKYMUVFUUNUUKYJYLUVFUUKYLYJUVFYPYERZYJUVFUUKYLSBAYPVBZYJUVFUVGB
      AYIYPVCABYPDEVDZVECYEYOVBZYLUVGUUKCYEYKYOVCYECYOABNUDFVDZVEZVFVGVHVIUUNYM
      UUSUVFVJUUKUUNYMSUUDYQAUUNYMUUDYIYKYTOZYQYIYKUUCYTVKYJYLYQUERUVMYQUAUVCIJ
      KBCYQUEYTUULVLVMVNZVOVPVQVRVSVTWAUUMYGAUUCVBUVBAYGUUCDBCEFWBVDIJBCAUUCWCW
      DZWEUUOYOYLUUAYPUAZSZJLUCZUUJUUKYOUVRUAZUUNUUKUVJUVSUVKUVJUVSUVGJCUKZJLCY
      EYOWFWGWHWIUUOUVQUUIJLUVEUUOLUQUUOYLUVPUUHUUOYLSZYPUUGUUAUWAUVGYPUUGUAZUU
      KYLUVGUUNUVLVIUUNYLUVGUWBWJUUKUUNYLSZUWBYPYJUUBYQUAZSZIMUCZUAZUVGUWCUUGUW
      FYPUWCUUFUWEIMUUNYLIUVDYLIUQZUTUWCMUQUWCYJUUEUWDUWCYJSUUDYQUUBUUNYJYLUUDY
      QUAZUUNYJYLUWIUVNWKVGWLWMWNWLUVGUVHUWGUVIUVHUWGUVFIBUKZIMBAYPWFWGWHWOVPWP
      WLWMWNWQWAUUQUUOUVAUUNSZUUQUUNUVASZUWKUUPUWLUUMUUPUWLUVBUUMUUPUUNUURUVAUU
      PUUNUUCYMYNUUDUAZSZIJKUBZUAUURUUPYTUWOUUCUUPYSUWNIJKIGUUJUUIJLIGYLUUHIUWH
      ILUUGUUFIMLWRUSUTWSUSZJGUUJUUIJLGWRUSZUUPKUQUUPYMYRUWMUUPYMSYQUUDYNUUPYJY
      LYQUUDUAZUUPYLYJUWRUUPYLSZYJYQYIUUGTZUUDUWSYIYPUUGUUPYLYPYKUUJTZUUGYKYOUU
      JWTYLUUGUERUXAUUGUAIMBUUDEUIZJLCUUGUEXAXBVNZXCYJUUDUERUWTUUDUAYIYKUUCUDZI
      MBUUDUEXAXBVNZVGVHWLWMXDWLIJKBCUUCXEXFXGUVOXFXHUUNUVAXIXJUUQUUKUVAUUNUUPU
      UKUVAVJUUMUUPUUKUUSIBUKZJCUKZUVAUUPUVTUUKUXGUUPUVTYOCUJZUVTSZUUKUUPUXHUVT
      UUPUXHUUJCUJJLCUUGUUJUXBUUJUFXKCYOUUJUNUOXLUUKUVJUXIUVKJCYEYOXMXNXOUUPUVG
      UXFJCUWQUWSUVGYPBUJZUXFSZUXFUWSUXJUWJSZUXKUVGUWSUWJUXFUXJUWSUVFUUSIBUUPYL
      IUWPUWHUTUWSYJSYQUUDAUXEVOXPXQUVGUVHUXLUVIIBAYPXMWDXRUWSUXJUXFUWSUWBUXJUX
      CUWBUXJUUGBUJIMBUUDUUGUXDUUGUFXKBYPUUGUNUOXSXLXTXPYAUUSJICBYBXOUPXGVQYCYD
      $.
      $( [15-Jul-2004] $) $( [21-Feb-2004] $)
  $}

  ${
    $d x y z w v f g A $.  $d x y z w v f g B $.  $d x y z w v f g C $.
    xpmapen.1 $e |- A e. V $.
    xpmapen.2 $e |- B e. V $.
    xpmapen.3 $e |- C e. V $.
    ${
      $d y D $.  $d y R $.  $d x S $.
      xpmapenlem.4 $e |- D =
                    { <. z , w >. | ( z e. C /\ w = U. dom { ( x ` z ) } ) } $.
      xpmapenlem.5 $e |- R =
                    { <. z , w >. | ( z e. C /\ w = U. ran { ( x ` z ) } ) } $.
      xpmapenlem.6 $e |- S = { <. z , w >. | ( z e. C /\ w =
                       <. ( U. dom { y } ` z ) , ( U. ran { y } ` z ) >. ) } $.
      $( Lemma for ~ xpmapen . $)
      xpmapenlem1 $p |- ( ( y = <. D , R >. -> A. z y = <. D , R >. ) /\
                           ( y = <. D , R >. -> A. w y = <. D , R >. ) ) $=
        ( cv cop wceq wal wi wcel cfv csn cdm cuni wa copab hbopab1 hbxfr crn
        hbop hbeleq hbopab2 pm3.2i ) BQHIRZSZUQCTUAUQUQDTUACBUPCBHICBHCQZGUBZDQ
        ZURAQUCUDZUEUFSUGZCDUHZNVBCDBUIUJCBIUSUTVAUKUFSUGZCDUHZOVDCDBUIUJULUMDB
        UPDBHIDBHVCNVBCDBUNUJDBIVEOVDCDBUNUJULUMUO $.
        $( [13-Jul-2004] $) $( [2-May-2004] $)

      $( Lemma for ~ xpmapen . $)
      xpmapenlem2 $p |- ( ( y = <. D , R >. /\ z e. C ) ->
             ( ( U. dom { y } ` z ) = U. dom { ( x ` z ) } /\
               ( U. ran { y } ` z ) = U. ran { ( x ` z ) } ) ) $=
        ( cv cop wceq wcel wa csn cdm cuni cfv crn copab sneq opeq1i sneqi
        syl6eq dmeqd unieqd opabex2 op1sta fveq1d cvv snex dmex uniex fvopab2
        mpan2 sylan9eq opeq2i rneqd fopabex2 op2nda rnex jca ) BQZHIRZSZCQZGTZU
        AVMVJUBZUCZUDZUEZVMAQUEZUBZUCZUDZSVMVOUFZUDZUEZVTUFZUDZSVLVNVRVMVNDQZWB
        SUACDUGZUEZWBVLVMVQWIVLVQWIIRZUBZUCZUDWIVLVPWMVLVOWLVLVOVKUBZWLVJVKUHZV
        KWKHWIINUIUJUKULUMWIICDGWBMUNUOUKUPVNWBUQTWJWBSWAVTVSURZUSUTCDGWBUQVAVB
        VCVLVNWEVMVNWHWGSUACDUGZUEZWGVLVMWDWQVLWDHWQRZUBZUFZUDWQVLWCXAVLVOWTVLV
        OWNWTWOVKWSIWQHOVDUJUKVEUMHWQCDGWBHMNVFCDGWGMUNVGUKUPVNWGUQTWRWGSWFVTWP
        VHUTCDGWGUQVAVBVCVI $.
        $( [13-Jul-2004] $) $( [1-May-2004] $)

      $( Lemma for ~ xpmapen . $)
      xpmapenlem3 $p |- ( ( x : C --> ( A X. B ) /\ y = <. D , R >. ) ->
                        x = S ) $=
        ( cxp cv wf cop wceq wa wcel cfv copab wfn ffn fnopabfv sylib adantr
        csn cdm cuni crn ax-17 wal wi xpmapenlem1 pm3.26i hban pm3.27i ffvelrn
        elxp4 pm3.26bi syl adantlr xpmapenlem2 opeq12 adantll eqtr4d eqeq2d
        pm5.32da opabbid syl6eqr eqtrd ) GEFQZARZSZBRZHITUAZUBZVQCRZGUCZDRZWBVQ
        UDZUAZUBZCDUEZJVRVQWHUAZVTVRVQGUFWIGVPVQUGCDGVQUHUIUJWAWHWCWDWBVSUKZULU
        MUDZWBWJUNUMUDZTZUAZUBZCDUEJWAWGWOCDVRVTCVRCUOVTVTCUPUQZVTVTDUPUQZABCDE
        FGHIJKLMNOPURZUSUTVRVTDVRDUOWPWQWRVAUTWAWCWFWNWAWCUBZWEWMWDWSWEWEUKZULU
        MZWTUNUMZTZWMVRWCWEXCUAZVTVRWCUBWEVPUCZXDGVPWBVQVBXEXDXAEUCXBFUCUBWEEFV
        CVDVEVFVTWCWMXCUAZVRVTWCUBWKXAUAWLXBUAUBXFABCDEEGHIJKKMNOPVGWKWLXAXBVHV
        EVIVJVKVLVMPVNVO $.
        $( [13-Jul-2004] $) $( [1-May-2004] $)

      $( Lemma for ~ xpmapen . $)
      xpmapenlem4 $p |- ( ( ( y = <. U. dom { y } , U. ran { y } >. /\
        ( U. dom { y } : C --> A /\ U. ran { y } : C --> B ) ) /\ x = S ) ->
                     ( x : C --> ( A X. B ) /\ y = <. D , R >. ) ) $=
        ( cv csn cdm cuni crn cop wceq wf wa cxp cfv wcel wral copab wb eqtrt
        feq1d mpan2 fvex opelxp ralbii eqid fopab2 r19.26 3bitr3r syl6rbbr
        biimpac ffvelrn r19.21aiva anim12i sylan adantll eqeq1 fopabfv
        pm3.26bi hbopab1 hbxfr hbeleq hbopab2 fveq1d cvv opex fvopab2 sylan9eq
        sneqd dmeqd unieqd op1sta syl6eq eqeq2d pm5.32da opabbid syl5req
        adantlr rneqd op2nda opeq12d syl5bir exp3a imp31 jca ) BQZWRRZSTZWSUATZ
        UBZUCZGEWTUDZGFXAUDZUEZUEAQZJUCZUEGEFUFZXGUDZWRHIUBZUCZXFXHXJXCCQZWTUGZ
        EUHZCGUIZXMXAUGZFUHZCGUIZUEZXHXJXFXHXTXJXHXJGXIXMGUHZDQZXNXQUBZUCUEZCDU
        JZUDZXTXHJYEUCZXJYFUKPXHYGUEGXIXGYEXGJYEULZUMUNYCXIUHZCGUIXOXRUEZCGUIYF
        XTYIYJCGXNXQEFXMXAUOZUPUQCDGXIYCYEYEURUSXOXRCGUTVAVBVCXDXPXEXSXDXOCGGEX
        MWTVDVEXEXRCGGFXMXAVDVEVFVGVHXCXFXHXLXCXFXHXLXCXLXBXKUCXFXHUEZWRXBXKVIY
        LWTHXAIXDXHWTHUCXEXDXHWTYAYBXNUCZUEZCDUJZHXDWTYOUCXPCDGEWTVJVKXHYAYBXMX
        GUGZRZSZTZUCZUEZCDUJYOHXHUUAYNCDCAJCAJYEPYDCDAVLVMVNZDAJDAJYEPYDCDAVOVM
        VNZXHYAYTYMXHYAUEZYSXNYBUUDYSYCRZSZTXNUUDYRUUFUUDYQUUEUUDYPYCXHYAYPXMYE
        UGZYCXHXMXGYEXHYGXGYEUCPYHUNVPYAYCVQUHUUGYCUCXNXQVRCDGYCVQVSUNVTWAZWBWC
        XNXQXMWTUOZWDWEWFWGWHNWIVTWJXEXHXAIUCXDXEXHXAYAYBXQUCZUEZCDUJZIXEXAUULU
        CXSCDGFXAVJVKXHYAYBYQUAZTZUCZUEZCDUJUULIXHUUPUUKCDUUBUUCXHYAUUOUUJUUDUU
        NXQYBUUDUUNUUEUAZTXQUUDUUMUUQUUDYQUUEUUHWKWCXNXQUUIYKWLWEWFWGWHOWIVTVHW
        MWNWOWPWQ $.
        $( [13-Jul-2004] $) $( [2-May-2004] $)

      $( Lemma for ~ xpmapen . $)
      xpmapenlem5 $p |- ( ( A X. B ) ^m C ) ~~ ( ( A ^m C ) X. ( B ^m C ) ) $=
        ( cxp cm co cop oprex cvv wcel cv opex a1i csn cdm cuni cfv crn
        fopabex2 wf wceq wa opelxp mpbir2an eleq1 mpbiri adantl elxp4 pm3.26bi
        syl copab wral op1sta sneq dmeqd unieqd wal wi xpmapenlem1 pm3.26i
        pm3.27i xpmapenlem2 pm3.26d eqeq2d pm5.32da opabbid syl6eqr 3eqtr4a
        op2nda rneqd pm3.27d jca ffvelrn r19.21aiva adantr ax-17 hban
        xpmapenlem3 fveq1d fvopab2 mpan2 fveq1i syl5eq sylan9eq eleq1d fvex
        syl6bb ralbida r19.26 mpbid an4 fopabfv anbi12i bitr4 sylib
        xpmapenlem4 impbi xpex elmap anbi1i anbi2i bitr 3bitr4 en2 ) ABEFQZGRSZ
        EGRSZFGRSZQZHITZJXRGRUAYCUBUCAUDZXSUCZHIUEUFJUBUCBUDZYBUCZCDGCUDZYFUGZU
        HZUIZUJZYHYIUKZUIZUJZTZJMPULUFGXRYDUMZYFYCUNZUOZYFYKYNTUNZGEYKUMZGFYNUM
        ZUOZUOZYDJUNZUOZYEYRUOYGUUEUOYSUUFYSUUDUUEYSYTUUCYSYFUBUBQZUCZYTYRUUHYQ
        YRUUHYCUUGUCZUUIHUBUCIUBUCHIUBUBCDGYHYDUJZUGZUKUIZIMOULZUPCDGUUKUHUIZHM
        NULZUUMUQYFYCUUGURUSUTUUHYTYKUBUCYNUBUCUOYFUBUBVAVBVCYSYKYHGUCZDUDZYLUN
        ZUOZCDVDZUNZYNUUPUUQYOUNZUOZCDVDZUNZUOZYLEUCZCGVEZYOFUCZCGVEZUOZUOZUUCY
        SUVFUVKYRUVFYQYRUVAUVEYRYCUGZUHZUIHYKUUTHIUUOVFYRYJUVNYRYIUVMYFYCVGZVHV
        IYRUUTUUPUUQUUNUNZUOZCDVDHYRUUSUVQCDYRYRCVJVKZYRYRDVJVKZABCDEFGHIJKLMNO
        PVLZVMZUVRUVSUVTVNZYRUUPUURUVPYRUUPUOZYLUUNUUQUWCYLUUNUNZYOUULUNZABCDEF
        GHIJKLMNOPVOZVPVQVRVSNVTWAYRUVMUKZUIIYNUVDHIUUOUUMWBYRYMUWGYRYIUVMUVOWC
        VIYRUVDUUPUUQUULUNZUOZCDVDIYRUVCUWICDUWAUWBYRUUPUVBUWHUWCYOUULUUQUWCUWD
        UWEUWFWDVQVRVSOVTWAWEUTYSUUJXRUCZCGVEZUVKYQUWKYRYQUWJCGGXRYHYDWFWGWHYSU
        WKUVGUVIUOZCGVEUVKYSUWJUWLCGYQYRCYQCWIUWAWJYSUUPUOZUWJYPXRUCUWLUWMUUJYP
        XRYSUUPUUJYHJUJZYPYSYHYDJABCDEFGHIJKLMNOPWKZWLUUPYHUUPUUQYPUNUOCDVDZUJZ
        YPUWNUUPYPUBUCUWQYPUNYLYOUECDGYPUBWMWNYHJUWPPWOWPWQWRYLYOEFYHYNWSUPWTXA
        UVGUVICGXBWTXCWEUVLUVAUVHUOZUVEUVJUOZUOUUCUVAUVEUVHUVJXDUUAUWRUUBUWSCDG
        EYKXECDGFYNXEXFXGXHWEUWOWEABCDEFGHIJKLMNOPXIXJYEYQYRXRGYDEFKLXKMXLXMYGU
        UDUUEYGYTYKXTUCZYNYAUCZUOZUOUUDYFXTYAVAUXBUUCYTUWTUUAUXAUUBEGYKKMXLFGYN
        LMXLXFXNXOXMXPXQ $.
        $( [13-Jul-2004] $) $( [1-May-2004] $)
    $}

    $( Equinumerosity law for set exponentiation of a cross product.
       Exercise 4.47 of [Mendelson] p. 255. $)
    xpmapen $p |- ( ( A X. B ) ^m C ) ~~ ( ( A ^m C ) X. ( B ^m C ) ) $=
      ( vx vy vz vw cv wcel cfv csn cdm cuni wceq wa copab crn cop eqid
      xpmapenlem5 ) GHIJABCIKZCLZJKZUDGKMNZOPQRIJSZUEUFUGTPQRIJSZUEUFUDHKNZOPMU
      DUJTPMUAQRIJSZDEFUHUBUIUBUKUBUC $.
      $( [13-Jul-2004] $) $( [23-Feb-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    mapunen.1 $e |- A e. V $.
    mapunen.2 $e |- B e. V $.
    mapunen.3 $e |- C e. V $.
    $( Equinumerosity law for set exponentiation of a disjoint union.
       Exercise 4.45 of [Mendelson] p. 255. $)
    mapunen $p |- ( ( A i^i B ) = (/) ->
                  ( C ^m ( A u. B ) ) ~~ ( ( C ^m A ) X. ( C ^m B ) ) ) $=
      ( vx vy cin c0 wceq cun cm co cxp cv cres cop cint csn crn cuni cvv wcel
      oprex a1i wi wf wa wss ssun1 fssres mpan2 elmap sylibr ssun2 jca unex
      visset resexg ax-mp opelxp 3imtr4 fun wb unidm feq3 bitr4 elxp5 pm3.27bi
      anbi12i sylib sylan expcom wfn reseq1 resundir syl6eq fnresdm uneq1d
      fnresdisj biimpa incom eqeq1i sylan2b uneq2d un0 sylan9eq anassrs
      sylan9eqr uncom eqtr an1rs opeq12d eqeq2d biimparc exp44 imp ffn sylbi
      anim12i sylan2 impcom adantrl syl inteq inteqd op1stb sneq rneqd unieqd
      op2nda uneq12d resundi syl6reqr sylan9req ex ad2antrl impbid en3d ) ABIZJ
      KZGHCABLZMNZCAMNZCBMNZOZGPZAQZYHBQZRZHPZSZSZYLTZUAZUBZLZYDUCUDYBCYCMUEUFY
      HYDUDZYKYGUDZUGYBYCCYHUHZYIYEUDZYJYFUDZUIYSYTUUAUUBUUCUUAACYIUHZUUBUUAAYC
      UJUUDABUKYCCAYHULUMCAYIFDUNUOUUABCYJUHZUUCUUABYCUJUUEBAUPYCCBYHULUMCBYJFE
      UNUOUQCYCYHFABDEURZUNZYIYJYEYFYHUCUDZYJUCUDGUSZYHBUCUTVAZVBVCUFYLYGUDZYBY
      RYDUDZACYNUHZBCYQUHZUIZYBUULUUKUUOYBUIYCCCLZYRUHZUULABCCYNYQVDUULYCCYRUHZ
      UUQCYCYRFUUFUNUUPCKUUQUURVECVFUUPCYCYRVGVAVHUOUUKYNYEUDZYQYFUDZUIZUUOUUKY
      LYNYQRZKZUVAYLYEYFVIZVJUUSUUMUUTUUNCAYNFDUNZCBYQFEUNZVKVLVMVNYBYSUUKUIZYH
      YRKZYLYKKZVEYBUVGUIUVHUVIYBUUKUVHUVIUGZYSUUKYBUVJUUKUVCUVAUIYBUVJUGZUVDUV
      CYNAVOZYQBVOZUIZUVKUVAUVCUVNUVKUVCUVNYBUVHUVIUVNYBUIZUVHUIZUVIUVCUVPYKUVB
      YLUVPYIYNYJYQUVHUVOYIYNAQZYQAQZLZYNUVHYIYRAQUVSYHYRAVPYNYQAVQVRUVLUVMYBUV
      SYNKUVLUVMYBUIZUVSYNUVRLZYNUVLUVQYNUVRAYNVSVTUVTUWAYNJLYNUVTUVRJYNUVMBAIZ
      JKZUVRJKZYBUVMUWCUWDBAYQWAWBYAUWBJABWCWDWEWFYNWGVRWHWIWJUVHUVOYJYNBQZYQBQ
      ZLZYQUVHYJYRBQUWGYHYRBVPYNYQBVQVRUVLYBUVMUWGYQKUVMUVLYBUIZUWGUWEYQLZYQUVM
      UWFYQUWEBYQVSWFUWHUWIJYQLZYQUWHUWEJYQUVLYBUWEJKABYNWAWBVTUWJYQJLYQJYQWKYQ
      WGWLVRWJWMWJWNWOWPWQWRUUSUVLUUTUVMUUSUUMUVLUVEACYNWSWTUUTUUNUVMUVFBCYQWSW
      TXAXBWTXCXDYSUVIUVHUGYBUUKYSUVIUVHYSUVIYHYHYCQZYRYSYHYCVOZUWKYHKYSUUAUWLU
      UGYCCYHWSWTYCYHVSXEUVIYRYIYJLUWKUVIYNYIYQYJUVIYNYKSZSYIUVIYMUWMYLYKXFXGYI
      YJUUHYIUCUDUUIYHAUCUTVAZXHVRUVIYQYKTZUAZUBYJUVIYPUWPUVIYOUWOYLYKXIXJXKYIY
      JUWNUUJXLVRXMYHABXNXOXPXQXRXSXQXT $.
      $( [10-Nov-2004] $) $( [23-Sep-2004] $)
  $}

  ${
    $d x y A $.  $d x B $.
    pwen.1 $e |- B e. V $.
    $( If two sets are equinumerous, then their power sets are equinumerous.
       Proposition 10.15 of [TakeutiZaring] p. 87. $)
    pwen $p |- ( A ~~ B -> P~ A ~~ P~ B ) $=
      ( vx cvv wcel cen wbr cpw relen brrelexi cv wi wceq breq1 pweq breq1d
      imbi12d c2o cm co con0 2on enrefg ax-mp elisseti visset mapen mpan wb
      oprex pw2en enen1 mp2an enen2 bitr2 sylib vtoclg mpcom ) AEFABGHZAIZBIZGH
      ZABGJKDLZBGHZVDIZVBGHZMUTVCMDAEVDANZVEUTVGVCVDABGOVHVFVAVBGVDAPQRVESVDTUA
      ZSBTUAZGHZVGSSGHZVEVKSUBFVLUCSUBUDUESSVDBSUBUCUFZVMDUGZCUHUIVGVIVBGHZVKVI
      EFVFVIGHVGVOUJSVDTUKVDVNULVFVIVBEUMUNVJEFVBVJGHVOVKUJSBTUKBCULVBVJVIEUOUN
      UPUQURUS $.
      $( [29-Mar-2007] $) $( [29-Jan-2004] $)
  $}

  ${
    $d x y z f A $.  $d x y z f B $.  $d x y z f C $.
    ssenen.1 $e |- A e. V $.
    ssenen.2 $e |- B e. V $.
    $( Equinumerosity of equinumerous subsets of a  set. $)
    ssenen $p |- ( A ~~ B ->
             { x | ( x (_ A /\ x ~~ C ) } ~~ { x | ( x (_ B /\ x ~~ C ) } ) $=
      ( vf vy vz cen wbr cpw cv cab cin wss wa wf1o wex bren cima ccnv cvv
      wcel pwex inex1 a1i entrt wf1 visset f1imaen f1of1 sylan exp31 imp3a wfo
      f1ofo crn imassrn forn sseq2d mpbii syl jctild elin elpw breq1 elab
      anbi12i bitr imaexg ax-mp 3imtr4g wi f1ocnv cnvex wceq wb imaeq2 wrel
      f1orel dfrel2 sylib imaeq1d adantr f1imacnv eqtr3d sylan9eqr eqcomd ex
      pm3.26 sylbi sylan2 adantrl adantrr impbid en3d 19.23aiv df-pw ineq1i
      inab eqtr 3brtr3g ) BCJKZBLZAMZDJKZANZOZCLZXHOZXFBPZXGQANZXFCPZXGQANZJXDB
      CGMZRZGSXIXKJKZBCGFTXQXRGXQHIXIXKXPHMZUAZXPUBZIMZUAZXIUCUDXQXEXHBEUEUFUGX
      QXSBPZXSDJKZQZXTCPZXTDJKZQZXSXIUDZXTXKUDZXQYFYHYGXQYDYEYHXQYDYEYHXTXSJKZY
      EYHXQYDQZXTXSDUHBCXPUIZYDYLXQBCXSXPHUJZUKBCXPULZUMUMUNUOXQBCXPUPZYGBCXPUQ
      YQXTXPURZPYGXPXSUSYQYRCXTBCXPUTVAVBVCVDYJXSXEUDZXSXHUDZQZYFXSXEXHVEZYSYDY
      TYEXSBYOVFZXGYEAXSYOXFXSDJVGVHVIVJYKXTXJUDZXTXHUDZQYIXTXJXHVEUUDYGUUEYHXT
      CXPUCUDXTUCUDGUJZXPXSUCVKVLZVFXGYHAXTUUGXFXTDJVGVHVIVJVMXQYBCPZYBDJKZQZYC
      BPZYCDJKZQZYBXKUDZYCXIUDZXQCBYARZUUJUUMVNBCXPVOZUUPUUJUULUUKUUPUUHUUIUULU
      UPUUHUUIUULYCYBJKZUUIUULUUPUUHQYCYBDUHCBYAUIZUUHUURUUPCBYBYAIUJZUKCBYAULZ
      UMUMUNUOUUPCBYAUPZUUKCBYAUQUVBYCYAURZPUUKYAYBUSUVBUVCBYCCBYAUTVAVBVCVDVCU
      UNYBXJUDZYBXHUDZQZUUJYBXJXHVEZUVDUUHUVEUUIYBCUUTVFZXGUUIAYBUUTXFYBDJVGVHV
      IVJUUOYCXEUDZYCXHUDZQUUMYCXEXHVEUVIUUKUVJUULYCBYAUCUDYCUCUDXPUUFVPYAYBUCV
      KVLZVFXGUULAYCUVKXFYCDJVGVHVIVJVMXQYJUUNQZXSYCVQZYBXTVQZVRXQUVLQUVMUVNXQU
      UNUVMUVNVNZYJXQUUHUVOUUNXQUUHQZUVMUVNUVPUVMQXTYBUVMUVPXTXPYCUAZYBXSYCXPVS
      UVPYAUBZYCUAZUVQYBXQUVSUVQVQUUHXQUVRXPYCXQXPVTUVRXPVQBCXPWAXPWBWCWDWEUUSU
      UHUVSYBVQXQCBYBYAWFXQUUPUUSUUQUVAVCUMWGWHWIWJUUNUVFUUHUVGUVFUVDUUHUVDUVEW
      KUVHWCWLWMWNXQYJUVNUVMVNZUUNXQYDUVTYJYMUVNUVMYMUVNQYCXSUVNYMYCYAXTUAZXSYB
      XTYAVSYNYDUWAXSVQXQBCXSXPWFYPUMWHWIWJYJUUAYDUUBUUAYSYDYSYTWKUUCWCWLWMWOWP
      WJWQWRWLXIXLANZXHOXMXEUWBXHABWSWTXLXGAXAXBXKXNANZXHOXOXJUWCXHACWSWTXNXGAX
      AXBXC $.
      $( [21-Mar-2007] $) $( [30-Sep-2004] $)
  $}

  ${
    $d x y A $.
    limenpsi.1 $e |- Lim A $.
    $( A limit ordinal is equinumerous to a proper subset of itself. $)
    limenpsi $p |- ( A e. B -> A ~~ ( A \ { (/) } ) ) $=
      ( vx vy c0 csn cdif cdom wbr cen wcel sbth cv csuc wne wa wlim wb limsuc
      ax-mp biimp nsuceq0 jctir eldifsn sylibr con0 wceq suc11 word limord
      ordelon mpan syl2an dom2 wss difss ssdom2g mpi sylanc ) AAFGZHZIJVBAIJZAV
      BKJABLZAVBMDEAVBDNZOZENZOZBVEALZVFALZVFFPZQVFVBLVIVJVKVIVJARZVIVJSCAVETUA
      UBVEUCUDVFAFUEUFVEUGLZVGUGLZVFVHUHVEVGUHSVIVGALZVEVGUIAUJZVIVMVLVPCAUKUAZ
      AVEULUMVPVOVNVQAVGULUMUNUOVDVBAUPVCAVAUQVBABURUSUT $.
      $( [31-Oct-2003] $) $( [30-Oct-2003] $)
  $}

  ${
    limensuci.1 $e |- Lim A $.
    $( A limit ordinal is equinumerous to its successor. $)
    limensuci $p |- ( A e. B -> A ~~ suc A ) $=
      ( wcel c0 csn cdif cun csuc cen wbr wa cin wceq incom difdisj eqtr wn
      word wlim limord ax-mp ordirr disjsn mpbir pm3.2i unen mpan2 cvv ensymg
      difexg limenpsi sylc 0ex en2sn mpan sylanc wss 0ellim snss mpbi undif
      uncom eqtr3 df-suc 3brtr4g ) ABDZAEFZGZVHHZAAFZHZAAIJVIAJKZVHVKJKZVJVLJKZ
      VGVMVNLVIVHMZENZAVKMENZLVOVQVRVPVHVIMEVIVHOVHAPQVRAADRZASZVSATZVTCAUAUBAU
      CUBAAUDUEUFVIAVHVKUGUHVIUIDAVIJKVMVGAVIUIUJAVHBUKABCULUMEUIDVGVNUNEAUIBUO
      UPUQVHVIHZAVJVHAURZWBANEADZWCWAWDCAUSUBEAUNUTVAVHAVBVAVHVIVCVDAVEVF $.
      $( [12-Nov-2003] $) $( [30-Oct-2003] $)
  $}

  $( A limit ordinal is equinumerous to its successor. $)
  limensuc $p |- ( ( A e. B /\ Lim A ) -> A ~~ suc A ) $=
    ( wlim wcel csuc cen wbr wi con0 cif wceq eleq1 id suceq breq12d imbi12d
    limeq limon elimhyp limensuci dedth impcom ) ACZABDZAAEZFGZUCUDUFHUCAIJZBDZ
    UGUGEZFGZHAIAUGKZUDUHUFUJAUGBLUKAUGUEUIFUKMAUGNOPUGBUCUGCICAIAUGQIUGQRSTUAU
    B $.
    $( [12-Nov-2003] $) $( [30-Oct-2003] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
               Pigeonhole Principle
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Lemma for Pigeonhole Principle.  If we join a natural number to itself
     minus an element, we end up with its successor minus the same element. $)
  phplem1 $p |- ( ( A e. om /\ B e. A ) ->
             ( { A } u. ( A \ { B } ) ) = ( suc A \ { B } ) ) $=
    ( com wcel wa csn cin c0 wceq cdif cun csuc word wne nordeq disjsn2 syl
    nnord sylan undif4 df-suc uncom eqtr difeq1i syl6eqr ) ACDZBADZEAFZBFZGHIZU
    HAUIJKZALZUIJZIAMZUGUJUFUNUGEABNUJABOABPQARSUJUKUHAKZUIJUMUHAUITULUOUIULAUH
    KUOAUAAUHUBUCUDUEQ $.
    $( [25-May-1998] $)

  ${
    $d f A $.  $d f B $.
    phplem2.1 $e |- A e. V $.
    phplem2.2 $e |- B e. V $.
    $( Lemma for Pigeonhole Principle.  A natural number is equinumerous to its
       successor minus one of its elements. $)
    phplem2 $p |- ( ( A e. om /\ B e. A ) -> A ~~ ( suc A \ { B } ) ) $=
      ( com wcel wa csn cdif cun csuc cen wbr cin c0 wceq wss difss ssrin
      ax-mp word nnord orddisj syl sseq2d mpbii ss0 incom syl5eq difdisj jctil
      cop wf1o f1osn snex f1oen ssexi enref pm3.2i unen adantr difsnid uncom
      adantl phplem1 3brtr3d ) AEFZBAFZGBHZAVIIZJZAHZVJJZAAKVIILVGVKVMLMZVHVGVI
      VLLMZVJVJLMZGZVIVJNOPZVLVJNZOPZGZGVNVGWAVQVGVTVRVGVJVLNZOVSVGWBOQZWBOPVGW
      BAVLNZQZWCVJAQWEAVIRZVJAVLSTVGWDOWBVGAUAWDOPAUBAUCUDUEUFWBUGUDVLVJUHUIVIA
      UJUKVOVPVIVLBAULHZUMVOBADCUNVIVLWGBUOUPTVJVJACWFUQURUSUKVIVLVJVJUTUDVAVHV
      KAPVGVHVJVIJAVKABVBVIVJVCUIVDABVEVF $.
      $( [11-Jun-1998] $)

    $( Lemma for Pigeonhole Principle.  A natural number is equinumerous
       to its successor minus any element of the successor. $)
    phplem3 $p |- ( ( A e. om /\ B e. suc A ) -> A ~~ ( suc A \ { B } ) ) $=
      ( com wcel wceq wo csuc csn cdif cen wbr phplem2 wa word nnord orddif
      syl sneq difeq2d eqcoms sylan9eq enref syl5breq jaodan elsuci sylan2 ) AE
      FZBAFZBAGZHAAIZBJZKZLMZBULFUIUJUOUKABCDNUIUKOAUNALUIUKAULAJZKZUNUIAPAUQGA
      QARSUQUNGABABGUPUMULABTUAUBUCACUDUEUFBAUGUH $.
      $( [26-May-1998] $)

    $( Lemma for Pigeonhole Principle.  Equinumerosity of successors implies
       equinumerosity of the original natural numbers. $)
    phplem4 $p |- ( ( A e. om /\ B e. om ) -> ( suc A ~~ suc B -> A ~~ B ) ) $=
      ( vf com wcel wa csuc cv wf1o wex cen wbr cfv csn cdif entrt cima wf1
      wss cres f1of1 sssucid jctir f1ores f1oen 3syl adantl word wceq nnord
      orddif imaeq2 wfn f1ofn sucid fnsnfv mpan2 difeq2 crn cdm imadmrn eqcomi
      a1i wfo f1ofo forn syl fndm 3eqtr3d difeq1d ccnv wfun f1o3 pm3.27bi
      imadif 3eqtr4rd sylan9eq breqtrd fvex phplem3 fnfvelrn wb eleq2d mpbid
      sylan2 sucex difss ssexi ensym syl2an anandirs ex 19.23adv bren syl5ib )
      AFGZBFGZHZAIZBIZEJZKZELABMNZXAXBMNWTXDXEEWTXDXEWRWSXDXEAXBAXCOZPZQZMNXHBM
      NZXEWRXDHZWSXDHZAXHBRXJAXCASZXHMXDAXLMNZWRXDXAXBXCTZAXAUAZHAXLXCAUBZKXMXD
      XNXOXAXBXCUCAUDUEXAXBAXCUFAXLXPCUGUHUIWRXDXLXCXAAPZQZSZXHWRAUJAXRUKXLXSUK
      AULAUMAXRXCUNUHXDXCXASZXGQZXTXCXQSZQZXHXSXDXCXAUOZXGYBUKZYAYCUKXAXBXCUPZY
      DAXAGZYEACUQZXAAXCURUSXGYBXTUTUHXDXBXTXGXDXCVAZXCXCVBZSZXBXTYIYKUKXDYKYIX
      CVCVDVEXDXAXBXCVFZYIXBUKXAXBXCVGZXAXBXCVHZVIXDYDYJXAUKYKXTUKYFXAXCVJYJXAX
      CUNUHVKVLXDXCVMVNZXSYCUKXDYLYOXAXBXCVOVPXAXQXCVQVIVRVSVTXKBXHMNZXIWSXFXBG
      ZYPXDBXFDAXCWAWBXDXFYIGZYQXDYDYRYFYDYGYRYHXAAXCWCUSVIXDYLYRYQWDYMYLYIXBXF
      YNWEVIWFWGBXHXHXBBDWHZXBXGWIWJWKVIWLWMWNWOXAXBEYSWPWQ $.
      $( [28-May-1998] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Two equinumerous natural numbers are equal.  Proposition 10.20 of
       [TakeutiZaring] p. 90 and its converse.  Also compare Corollary 6E of
       [Enderton] p. 136. $)
    nneneq $p |- ( ( A e. om /\ B e. om ) -> ( A ~~ B <-> A = B ) ) $=
      ( vz vx vy vw com wcel wa cen wbr wceq wi cv wral breq2 eqeq2 imbi12d
      rcla4v c0 csuc breq1 eqeq1 ralbidv visset ensym en0 eqcom bitr sylib a1i
      rgen wrex wo wb bibi12d mpbiri biimpd ax-17 hbra1 hban phplem4 imim1d ex
      a2d ra4 syl5 imp suceq syl8 biimprcd syl6 r19.23ad jaod nn0suc syl7
      r19.21adv cbvralv syl6ib finds impcom eqeng adantr impbid ) AGHZBGHZIABJK
      ZABLZWFWEWGWHMZWFACNZJKZAWJLZMZCGOZWIWEWMWICBGWJBLWKWGWLWHWJBAJPWJBAQRSDN
      ZWJJKZWOWJLZMZCGOTWJJKZTWJLZMZCGOENZWJJKZXBWJLZMZCGOZXBUAZWJJKZXGWJLZMZCG
      OZWNDEAWOTLZWRXACGXLWPWSWQWTWOTWJJUBWOTWJUCRUDWOXBLZWRXECGXMWPXCWQXDWOXBW
      JJUBWOXBWJUCRUDWOXGLZWRXJCGXNWPXHWQXIWOXGWJJUBWOXGWJUCRUDWOALZWRWMCGXOWPW
      KWQWLWOAWJJUBWOAWJUCRUDXACGXAWJGHZWSWJTJKZWTTWJCUEZUFXQWJTLWTWJUGWJTUHUIU
      JUKULXBGHZXFXGFNZJKZXGXTLZMZFGOXKXSXFYCFGXSXFXTTLZXTWJUAZLZCGUMZUNZYCXTGH
      XSXFYHYCMXSXFIZYDYCYGYDYCMYIYDYAYBYDYAYBUOXGTJKZXGTLZUOXGUGYDYAYJYBYKXTTX
      GJPXTTXGQUPUQURUKYIYFYCCGXSXFCXSCUSXECGUTVAYCCUSYIXPXGYEJKZXGYELZMZYFYCMY
      IXPYLXDYMXSXFXPYLXDMZMZXSXPXEMYPXFXSXPXEYOXSXPXEYOMXSXPIYLXCXDXBWJEUEXRVB
      VCVDVEXECGVFVGVHXBWJVIVJYFYCYNYFYAYLYBYMXTYEXGJPXTYEXGQRVKVLVMVNVDCXTVOVP
      VQYCXJFCGXTWJLYAXHYBXIXTWJXGJPXTWJXGQRVRVSVTVGWAWEWHWGMWFABGWBWCWD $.
      $( [28-May-1998] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Pigeonhole Principle.  A natural number is not equinumerous to a
       proper subset of itself.  Theorem (Pigeonhole Principle) of [Enderton]
       p. 134.  The theorem is so-called because you can't put _n_ + 1
       pigeons into _n_ holes (if each hole holds only one pigeon).
       The proof consists of lemmas ~ phplem1 through ~ phplem4 , ~ nneneq ,
       and this final piece of the proof. $)
    php $p |- ( ( A e. om /\ B (. A ) -> -. A ~~ B ) $=
      ( vx vy com wcel wpss cen wbr wn wi wa cv csuc wceq wrex c0 nn0suc
      orcanai wss 0ss sspsstr mpan wne 0pss df-ne bitr sylib sylan2 psseq2
      breq1 negbid imbi12d cdom wex pssnel csn cdif domentr wb cin disjsn
      disj3 bitr3 sseq1 sylbi ssdif syl5bir cvv visset sucex difss ssexi
      ssdom2g ax-mp syl6 pssss syl5 imp phplem3 ensym syl syl2an exp43 com4r
      19.23aiv mpcom endomtr sssucid mp2 jctir sbth expcom word peano2b nnord
      sucid nordeq mpan2 nneneq sylanb anidms necon3bbid mpbird nsyli syli
      com12 syl5cbir r19.23aiv ex pm2.43d ) AEFZBAGZABHIZJZXLXMXOXLXMXMXOKZXLXM
      LACMZNZOZCEPZXPXLAQOZJZXTXMXLYAXTCARSXMQAGZYBQBTXMYCBUAQBAUBUCYCAQUDYBAUE
      AQUFUGUHUIXSXPCEXSXPBXRGZXRBHIZJZKXQEFZXSXMYDXOYFAXRBUJXSXNYEAXRBHUKULUMY
      DYGYFYGYDBXQUNIZYFDMZXRFZYIBFJZLZDUOYDYGYHKZDBXRUPYLYDYMKZDYJYKYNYKYDYGYJ
      YHYKYDYGYJYHBXRYIUQZURZUNIZYPXQHIZYHYKYDLYGYJLZBYPXQUSYKYDYQYKBXRTZYQYDYK
      YTBYPTZYQYKUUABYOURZYPTZYTYKBUUBOZUUAUUCUTYKBYOVAQOUUDBYIVBBYOVCVDBUUBYPV
      EVFBXRYOVGVHYPVIFUUAYQKYPXRXQCVJZVKZXRYOVLVMZBYPVIVNVOVPBXRVQVRVSYSXQYPHI
      YRXQYIUUEDVJVTXQYPUUGWAWBWCWDWEVSWFWGYHYEXRXQHIZYGYEYHUUHYEYHLZXRXQUNIZXQ
      XRUNIZLUUHUUIUUJUUKXRBXQWHXRVIFXQXRTUUKUUFXQWIXQXRVIVNWJWKXRXQWLWBWMYGUUH
      JXRXQUDZYGXRWNZUULYGXREFZUUMXQWOZXRWPVFUUMXQXRFUULXQUUEWQXRXQWRWSWBYGUUHX
      RXQYGUUHXRXQOUTZUUNYGUUPYGXRXQWTUUOXAXBXCXDXEXFXGXHXIWBXJXKVS $.
      $( [29-May-1998] $)

    $( Corollary of Pigeonhole Principle. $)
    php2 $p |- ( ( A e. om /\ B (. A ) -> B ~< A ) $=
      ( vx com wcel wpss csdm wbr cv wa wi wceq eleq1 psseq2 anbi12d breq2
      imbi12d cdom cen wn wss pssss cvv visset ssdom2g ax-mp syl adantl php
      ensym nsyl jca brsdom sylibr vtoclg anabsi5 ) ADEZBAFZBAGHZCIZDEZBUTFZJZB
      UTGHZKUQURJZUSKCADUTALZVCVEVDUSVFVAUQVBURUTADMUTABNOUTABGPQVCBUTRHZBUTSHZ
      TZJVDVCVGVIVBVGVAVBBUTUAZVGBUTUBUTUCEVJVGKCUDZBUTUCUEUFUGUHVCUTBSHVHUTBUI
      BUTVKUJUKULBUTUMUNUOUP $.
      $( [31-May-1998] $)
  $}

  ${
    $d x A y z f $.  $d y z f B $.
    $( Corollary of Pigeonhole Principle.  If ` A ` is finite and ` B `
       is a proper subset of ` A ` , the ` B ` is strictly less numerous
       than ` A ` .  Stronger version of Corollary 6C of [Enderton] p. 135.
       (The expression ` E. x e. om A ~~ x ` is the definition
       of "finite," and "infinite" is defined as "not finite.") $)
    php3 $p |- ( ( E. x e. om A ~~ x /\ B (. A ) -> B ~< A ) $=
      ( vz vf vy cv cen wbr com wrex wpss csdm wi wcel wa cdom wn cvv wss
      ssdom2g imp relen brrelexi pssss syl2an adantll wf1o wex cima php imass2
      syl adantl cdif c0 wceq cfv wfun cdm funfvima2 f1ofun difss wfn wb f1ofn
      fndm sseq2 3syl mpbiri sylanc ccnv wfo f1o3 pm3.27bi imadif eleq2d
      sylibd n0i syl6 eldif syl5ibr 19.23adv pssnel sylan2 ssdif0 negbii
      sylibr jca dfpss3 crn imadmrn a1i imaeq2 f1ofo forn 3eqtr3d psseq2d
      adantr mpbid cres wf1 f1ores f1of1 visset resexg ax-mp f1oeq1 cla4ev
      imaexg bren entrt expcom mtod exp32 syl5ib imp31 ex ensym syl6com
      ad2antlr brsdom exp31 r19.23aiv breq2 cbvrexv sylanb ) BDGZHIZDJKZCBLZCBM
      IZBAGZHIZAJKYJYKYLYIYKYLNDJYHJOZYIYKYLYOYIPYKPZCBQIZCBHIZRZPYLYPYQYSYIYKY
      QYOBSOZCBTZYQYIYKYTUUAYQCBSUAUBBYHHUCUDCBUEZUFUGYPYRYHCHIZYOYIYKUUCRZYOBY
      HEGZUHZEUIYKUUDNZYIYOUUFUUGEYOUUFYKUUDYOUUFYKPZPUUCYHUUECUJZHIZYOUUIYHLZU
      UJRUUHYHUUIUKUUHUUIUUEBUJZLZUUKUUHUUIUULTZUULUUITZRZPUUMUUHUUNUUPYKUUNUUF
      YKUUAUUNUUBCBUUEULUMUNUUHUULUUIUOZUPUQZRZUUPUUFFGZBOUUTCORPZFUIZUUSYKUUFU
      VBUUSUUFUVAUUSFUUFUUTBCUOZOZUUSUVAUUFUVDUUTUUEURZUUQOZUUSUUFUVDUVEUUEUVCU
      JZOZUVFUUEUSUVCUUEUTZTZUVDUVHNUUFUVCUUTUUEVABYHUUEVBUUFUVJUVCBTZBCVCUUFUU
      EBVDZUVIBUQZUVJUVKVEBYHUUEVFZBUUEVGZUVIBUVCVHVIVJVKUUFUVGUUQUVEUUFUUEVLUS
      ZUVGUUQUQUUFBYHUUEVMZUVPBYHUUEVNVOBCUUEVPUMVQVRUUQUVEVSVTUUTBCWAWBWCUBFCB
      WDWEUUOUURUULUUIWFWGWHWIUUIUULWJWHUUFUUMUUKVEYKUUFUULYHUUIUUFUUEUVIUJZUUE
      WKZUULYHUVRUVSUQUUFUUEWLWMUUFUVLUVMUVRUULUQUVNUVOUVIBUUEWNVIUUFUVQUVSYHUQ
      BYHUUEWOBYHUUEWPUMWQWRWSWTWEUUHUUCUUJNZYOUUHCUUIUUECXAZUHZCUUIHIZUVTBYHUU
      EXBUUAUWBUUFYKBYHCUUEXCBYHUUEXDUUBUFUWBCUUIUUTUHZFUIUWCUWDUWBFUWAUUESOZUW
      ASOEXEZUUECSXFXGCUUIUUTUWAXHXICUUIFUWEUUISOUWFUUECSXJXGXKWHUUCUWCUUJYHCUU
      IXLXMVIUNXNXOWCBYHEDXEZXKXPXQYIYRUUCNYOYKYRYICYHHIZUUCYRYIUWHCBYHXLXRCYHU
      WGXSXTYAXNWICBYBWHYCYDUBYNYIADJYMYHBHYEYFYG $.
      $( [15-Jun-1998] $)
  $}

  $( Corollary of the Pigeonhole Principle ~ php :  a natural number is
     strictly dominated by its successor. $)
  php4 $p |- ( A e. om -> A ~< suc A ) $=
    ( com wcel csuc wpss csdm wbr sucidg word wa wb nnord ordsuc biimp ancli
    ordelpss 3syl mpbid php2 peano2b sylanb mpdan ) ABCZAADZEZAUDFGZUCAUDCZUEAB
    HUCAIZUHUDIZJUGUEKALUHUIUHUIAMNOAUDPQRUDBCUEUFUCUDASATUAUB $.
    $( [3-Sep-2004] $) $( [26-Jul-2004] $)

  $( Corollary of the Pigeonhole Principle ~ php :  a natural number is not
     equinumerous to its successor.  Corollary 10.21(1) of [TakeutiZaring]
     p. 90. $)
  php5 $p |- ( A e. om -> -. A ~~ suc A ) $=
    ( com wcel csuc csdm wbr cen wn php4 sdomnen syl ) ABCAADZEFALGFHAIALJK $.
    $( [8-Sep-2004] $) $( [26-Jul-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
               Finite sets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( An ordinal number equinumerous to a natural number is equal to it.
     Proposition 10.22 of [TakeutiZaring] p. 90 and its converse. $)
  onomeneq $p |- ( ( A e. On /\ B e. om ) -> ( A ~~ B <-> A = B ) ) $=
    ( con0 wcel com wa cen wbr wceq wss wn csuc php5 adantr enen1 mtbird
    adantll cdom wi endomtr sssucid ssdomg mpi sylan2 ancoms a1d ssel com12
    word wb ordelsuc eloni sylibd ssdom2g adantl syld jcad sbth syl6 mtod
    ordom ordtri1 mpan syl con2bid ad2antrr mpbird simplr jca nneneq biimpa
    sylancom ex eqeng impbid ) ACDZBEDZFZABGHZABIZVRVSVTVRVSAEDZVQFZVTVRVSFZWAV
    QWCWAEAJZKZWCWDABLZGHZVQVSWGKVPVQVSFZWGBWFGHZVQWIKVSBMNABWFEOPQWCWDAWFRHZWF
    ARHZFWGWCWDWJWKVQVSWDWJSVPWHWJWDVSVQWJVSBWFRHZWJVQABWFTVQBWFJWLBUABWFEUBUCU
    DUEUFQVRWDWKSZVSVQVPWMVQVPFZWDWFAJZWKWNWDBADZWOVQWDWPSVPWDVQWPEABUGUHNVQAUI
    ZWPWOUJVPBAEUKAULZUDUMVPWOWKSVQWFACUNUOUPUENUQAWFURUSUTVPWAWEUJVQVSVPWDWAVP
    WQWDWAKUJZWREUIWQWSVAEAVBVCVDVEVFVGVPVQVSVHVIWBVSVTABVJVKVLVMVPVTVSSVQABCVN
    NVO $.
    $( [15-Nov-2004] $) $( [26-Jul-2004] $)

  ${
    $d x A $.
    $( An ordinal number is finite iff it is a natural number.  Proposition
       10.32 of [TakeutiZaring] p. 92. $)
    onfin $p |- ( A e. On -> ( E. x e. om A ~~ x <-> A e. om ) ) $=
      ( con0 wcel cv cen wbr com wrex wa wceq onomeneq wi eleq1a adantl sylbid
      r19.23adva enrefg breq2 rcla4ev mpdan impbid1 ) BCDZBAEZFGZAHIZBHDZUCUEUG
      AHUCUDHDZJUEBUDKZUGBUDLUHUIUGMUCUDHBNOPQUGBBFGZUFBHRUEUJABHUDBBFSTUAUB $.
      $( [20-Nov-2004] $) $( [26-Jul-2004] $)
  $}

  $( Cardinal ordering agrees with natural number ordering.  Example 3 of
     [Enderton] p. 146. $)
  nndomo $p |- ( ( A e. om /\ B e. om ) -> ( A ~<_ B <-> A (_ B ) ) $=
    ( com wcel wa cdom wbr wss wpss wn wi csdm php2 ex domnsym nsyli adantr
    word wb ordtri1 ordelpss ancoms negbid bitrd nnord syl2an sylibrd ssdomg
    impbid ) ACDZBCDZEZABFGZABHZULUMBAIZJZUNUJUMUPKUKUJUOBALGZUMUJUOUQABMNABOPQ
    ARZBRZUNUPSUJUKURUSEZUNBADZJUPABTUTVAUOUSURVAUOSBAUAUBUCUDAUEBUEUFUGUJUNUMK
    UKABCUHQUI $.
    $( [17-Jun-1998] $)

  $( Cardinal ordering agrees with natural number ordering. $)
  nnsdomo $p |- ( ( A e. om /\ B e. om ) -> ( A ~< B <-> A (. B ) ) $=
    ( com wcel wa cdom wbr cen wn wss wceq csdm wpss nndomo nneneq negbid
    anbi12d brsdom dfpss2 3bitr4g ) ACDBCDEZABFGZABHGZIZEABJZABKZIZEABLGABMUAUB
    UEUDUGABNUAUCUFABOPQABRABST $.
    $( [17-Jun-1998] $)

  $( Strict dominance of natural numbers is the same as dominance over the
     successor of the smaller. $)
  omsucdom $p |- ( ( A e. om /\ B e. om ) -> ( A ~< B <-> suc A ~<_ B ) ) $=
    ( com wcel wa wpss csuc wss csdm wbr cdom word wb ordelpss nnord sylan
    ordelsuc bitr3d sylan2 nnsdomo nndomo peano2b sylanb 3bitr4d ) ACDZBCDZEABF
    ZAGZBHZABIJUHBKJZUEBLZUGUIMUFUEUKEABDZUGUIALUKULUGMUEABNAOPABCQRBOSABTUHCDU
    FUJUIMUEUHBUAAUBUCUD $.
    $( [30-Sep-2004] $) $( [25-Jul-2004] $)

  $( Dominance of a set over a successor of a natural number implies strict
     dominance over the number.  For the converse, see ~ sucdom . $)
  sucdomi $p |- ( ( A e. om /\ B e. C ) ->
                   ( suc A ~<_ B -> A ~< B ) ) $=
    ( csuc csdm wbr wcel cdom wi com sdomdomtr exp3a impcom php4 sylan ) AADZEF
    ZBCGZPBHFZABEFZIZAJGRQUARQSTAPBCKLMANO $.
    $( [3-Oct-2004] $) $( [26-Jul-2004] $)

  ${
    $d x A $.
    0sdom1dom.1 $e |- A e. V $.
    $( Strict dominance over zero is the same as dominance over one. $)
    0sdom1dom $p |- ( (/) ~< A <-> 1o ~<_ A ) $=
      ( vx c0 csdm wbr c1o cdom cv wcel wex wne 0sdom ne0 bitr csn wss snssi
      cvv wi ssdom2g ax-mp cen con0 1on elisseti visset ensn1 ensymi endomtr
      mpan 3syl 19.23aiv sylbi csuc df-1o breq1i com peano1 sucdomi mp2an
      impbi ) DAEFZGAHFZVCCIZAJZCKZVDVCADLVGABMCANOVFVDCVFVEPZAQZVHAHFZVDVEARAS
      JZVIVJTBVHASUAUBGVHUCFVJVDVHGGUDUEUFVECUGUHUIGVHAUJUKULUMUNVDDUOZAHFZVCGV
      LAHUPUQDURJVKVMVCTUSBDASUTVAUNVB $.
      $( [7-Nov-2004] $) $( [28-Sep-2004] $)
  $}

  $( Ordinal 1 is strictly dominated by ordinal 2. $)
  1sdom2 $p |- 1o ~< 2o $=
    ( c0 csn cpw c1o c2o csdm p0ex canth2 df1o2 cpr df2o2 pwpw0 eqtr4 3brtr4 )
    ABZOCZDEFOGHIEAOJPKLMN $.
    $( [4-Apr-2007] $) $( [4-Apr-2007] $)

  ${
    $d x A $.  $d x B $.
    $( Strict dominance of a finite set over a natural number is the same as
       dominance over its successor. $)
    finsucdom $p |- ( ( A e. om /\ E. x e. om B ~~ x ) ->
                     ( A ~< B <-> suc A ~<_ B ) ) $=
      ( com wcel cv cen wbr wrex csdm csuc cdom wb wa omsucdom adantr sdomen2
      adantll domen2 3bitr4d exp31 r19.23adv imp ) BDEZCAFZGHZADIBCJHZBKZCLHZMZ
      UDUFUJADUDUEDEZUFUJUDUKNZUFNBUEJHZUHUELHZUGUIULUMUNMUFBUEOPUKUFUGUMMUDCUE
      BDQRUKUFUIUNMUDCUEUHDSRTUAUBUC $.
      $( [30-Sep-2004] $) $( [26-Jul-2004] $)
  $}

  ${
    $d x B $.
    $( A set equinumerous to a proper subset of itself is infinite.  Corollary
       6D(a) of [Enderton] p. 136. $)
    pssinf $p |- ( ( A (. B /\ A ~~ B ) -> -. E. x e. om B ~~ x ) $=
      ( wpss cen wbr cv com wrex wn csdm php3 ex sdomnen syl6com con2d imp ) BC
      DZBCEFZCAGEFAHIZJRTSTRBCKFZSJTRUAACBLMBCNOPQ $.
      $( [2-Jun-1998] $)
  $}

  ${
    $d x y $.
    $( The set of natural numbers is infinite.  Corollary 6D(b) of [Enderton]
       p. 136. $)
    ominf $p |- -. E. x e. om om ~~ x $=
      ( vy com cv cen wbr wrex wn wi breq2 cbvrexv wpss wcel pssinf wss wne wa
      word wb nnord ordom jctir ordelssne syl ibi df-pss sylibr visset ensym
      syl2an r19.23aiva sylbi pm2.01 ax-mp ) CADZEFZACGZUQHZIURUQCBDZEFZBCGURUP
      UTABCUOUSCEJKUTURBCUSCLZUSCEFURUSCMZUTAUSCNVBUSCOUSCPQZVAVBVCVBUSRZCRZQVB
      VCSVBVDVEUSTUAUBUSCUCUDUEUSCUFUGCUSBUHUIUJUKULUQUMUN $.
      $( [2-Jun-1998] $)
  $}

  ${
    $d x A $.
    $( Omega strictly dominates a natural number.  Example 3 of [Enderton]
       p. 146.  Here we use ` A ~<_ om /\ -. om ~~ A ` instead of ` A ~< om `
       because, due to a peculiarity ultimately caused our ordered pair
       definition, we would need the Axiom of infinity (which we have avoided
       up to now) in order to prove the latter. $)
    omsdomnn $p |- ( A e. om -> ( A ~<_ om /\ -. om ~~ A ) ) $=
      ( vx com wcel cdom wbr cen wn wss word ordom ordelss mpan ssdomg mpd cv
      wceq breq2 negbid wral wrex ominf ralnex mpbir vtoclri jca ) ACDZACEFZCAG
      FZHZUGACIZUHCJUGUKKCALMACCNOCBPZGFZHZUJBACULAQUMUIULACGRSUNBCTUMBCUAHBUBU
      MBCUCUDUEUF $.
      $( [15-Jun-1998] $)

    $( Omega strictly dominates a finite set.  See comment in ~ omsdomnn . $)
    isfinite1 $p |- ( E. x e. om A ~~ x -> ( A ~<_ om /\ -. om ~~ A ) ) $=
      ( cv cen wbr com cdom wn wa wcel omsdomnn anim2i anandi sylib ancoms
      endomtr entrt expcom con3d imp anim12i syl r19.23aiva ) BACZDEZBFGEZFBDEZ
      HZIZAFUDFJZUEIUEUDFGEZIZUEFUDDEZHZIZIZUIUEUJUPUEUJIUEUKUNIZIUPUJUQUEUDKLU
      EUKUNMNOULUFUOUHBUDFPUEUNUHUEUGUMUGUEUMFBUDQRSTUAUBUC $.
      $( [3-Nov-2002] $)
  $}

  ${
    infsdomnn.1 $e |- A e. V $.
    $( An infinite set strictly dominates a natural number. $)
    infsdomnn $p |- ( ( om ~<_ A /\ B e. om ) -> B ~< A ) $=
      ( com cdom wbr wcel csdm cvv wi reldom brrelexi cen wn wa ensymg con3d
      anim2d omsdomnn syl5 brsdom syl6ibr sdomdomtr ax-mp expcom syl9 mpcom
      imp ) DAEFZBDGZBAHFZDIGZUIUJUKJDAEKLULUJBDHFZUIUKULUJBDEFZBDMFZNZOZUMULUN
      DBMFZNZOUQUJULUSUPUNULUOURBDIPQRBSTBDUAUBUMUIUKAIGUMUIOUKJCBDAIUCUDUEUFUG
      UH $.
      $( [24-Nov-2004] $) $( [22-Nov-2004] $)

    $( An infinite set is not empty. $)
    infn0 $p |- ( om ~<_ A -> A =/= (/) ) $=
      ( com cdom wbr c0 csdm wne wcel peano1 infsdomnn mpan2 0sdom sylib ) CADE
      ZFAGEZAFHOFCIPJAFBKLABMN $.
      $( [27-Nov-2006] $) $( [23-Oct-2004] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( A proper subset of a natural number is equinumerous to some smaller
       number.  Lemma 6F of [Enderton] p. 137. $)
    pssnn $p |- ( ( A e. om /\ B (. A ) -> E. x e. A B ~~ x ) $=
      ( vw vz vy com wcel wpss wa cvv cv cen wbr wrex wss ssexg pssss sylan
      ancoms wi wal wceq psseq1 breq1 rexbidv imbi12d cla4gv c0 csuc psseq2
      rexeq1 albidv npss0 pm2.21i ax-gen ax-17 hba1 wn elequ1 biimpcd con3d
      adantl sseld elsuci ord con1d syl6 imp syld ex com23 ssrdv anim1i dfpss2
      sylibr elelsuc r19.22i2 imim12i exp4c a4s com4t csn cdif word nnord
      orddif syl sseq2d ssdif syl5bir syl5 wex eleq2 eldifi syl6bir eleq1a
      sylan9r adantr pm2.61d imp3a 19.23adv pssnel im2anan9r anidm syl5ibr
      syl6ibr cbvalv visset difss ssexi cla4v sylbi sylan9 ordsucelsuc biimpd
      adantrd cun difsnid eqcomd df-suc a1i breq12d cin unen cop wf1o f1osn
      snex f1oen ax-mp jctr orddisj incom difdisj eqtr3 jctil syl2an elnn
      sylan2i exp4d com24 imp4b jcad breq2 rcla4ev df-rex cbvrexv 3imtr4g
      exp31 eqelsuc enref jctir a1d pm2.61ii 19.21ad finds com3l mpd ) BGHZCBIZ
      JCKHZCALZMNZABOZUVAUUTUVBCBPUUTUVBUVACBGQCBRSTUUTUVAUVBUVEUAUVBUUTUVAUVEU
      VBDLZBIZUVFUVCMNZABOZUAZDUBZUVAUVEUAZUUTUVJUVLDCKUVFCUCZUVGUVAUVIUVEUVFCB
      UDUVMUVHUVDABUVFCUVCMUEUFUGUHUVFELZIZUVHAUVNOZUAZDUBUVFUIIZUVHAUIOZUAZDUB
      UVFFLZIZUVHAUWAOZUAZDUBZUVFUWAUJZIZUVHAUWFOZUAZDUBUVKEFBUVNUIUCZUVQUVTDUW
      JUVOUVRUVPUVSUVNUIUVFUKUVHAUVNUIULUGUMUVNUWAUCZUVQUWDDUWKUVOUWBUVPUWCUVNU
      WAUVFUKUVHAUVNUWAULUGUMUVNUWFUCZUVQUWIDUWLUVOUWGUVPUWHUVNUWFUVFUKUVHAUVNU
      WFULUGUMUVNBUCZUVQUVJDUWMUVOUVGUVPUVIUVNBUVFUKUVHAUVNBULUGUMUVTDUVRUVSUVF
      UNUOUPUWAGHZUWEUWIDUWNDUQUWDDURUWNUWEUWIUWAUVFHZUVFUWAUCZUWNUWEJZUWIUAUWQ
      UWGUWOUSZUWPUSZUWHUWEUWGUWRUWSUWHUAUAUAZUWNUWDUWTDUWDUWGUWRUWSUWHUWGUWRJZ
      UWSJZUWBUWCUWHUXBUVFUWAPZUWSJUWBUXAUXCUWSUXAEUVFUWAUWGUWRUVNUVFHZUVNUWAHZ
      UAUWGUXDUWRUXEUWGUXDUWRUXEUAUWGUXDJUWRUWKUSZUXEUXDUWRUXFUAUWGUXDUWKUWOUWK
      UXDUWOEFDUTVAVBVCUWGUXDUXFUXEUAZUWGUXDUVNUWFHZUXGUWGUVFUWFUVNUVFUWFRZVDUX
      HUXEUWKUXHUXEUWKUVNUWAVEVFZVGVHVIVJVKVLVIVMVNUVFUWAVOVPUVHUVHAUWAUWFUVCUW
      AHZUVCUWFHUVHUVCUWAVQVNVRVSVTWAVCWBUWOUWNUWEUWIUWOUWNUWEUWIUWOUWNJZUWEJUW
      GUVFUWAWCZWDZUVCMNZAUWAOZUWHUXLUWGUXNUWAIZUWEUXPUXLUWGUXNUWAPZUXNUWAUCZUS
      ZJZUXQUXLUWGUWGJUYAUWGUWNUWGUXRUWOUWGUXTUWNUVFUWFPZUXRUWGUWNUXRUXNUWFUXMW
      DZPUYBUWNUWAUYCUXNUWNUWAWEZUWAUYCUCUWAWFZUWAWGWHWIUVFUWFUXMWJWKUXIWLUWOUX
      HUXDUSZJZEWMUXTUWGUWOUYGUXTEUWOUXHUYFUXTUWOUXHUYFUXTUAUWOUXHJZUXSUXDUYHUX
      SUXDUYHUXSJUXEUXDUXSUXEUXDUAUYHUXSUXEUVNUXNHUXDUXNUWAUVNWNUVNUVFUXMWOWPVC
      UYHUXEUSZUXDUAUXSUXHUYIUWKUWOUXDUXJUWAUVFUVNWQWRWSWTVKVBVKXAXBEUVFUWFXCWL
      XDUWGXEXFUXNUWAVOXGUWEUVNUWAIZUVNUVCMNZAUWAOZUAZEUBUXQUXPUAZUWDUYMDEUVFUV
      NUCZUWBUYJUWCUYLUVFUVNUWAUDUYOUVHUYKAUWAUVFUVNUVCMUEUFUGXHUYMUYNEUXNUXNUV
      FDXIZUVFUXMXJXKUVNUXNUCZUYJUXQUYLUXPUVNUXNUWAUDUYQUYKUXOAUWAUVNUXNUVCMUEU
      FUGXLXMXNUXLUXPUWHUAUWEUXLUXKUXOJZAWMUVFUVNMNZEUWFOZUXPUWHUXLUYRUYTAUXLUY
      RUVCUJZUWFHZUVFVUAMNZJUYTUXLUYRVUBVUCUXLUXKVUBUXOUWNUXKVUBUAZUWOUWNUYDVUD
      UYEUYDUXKVUBUVCUWAXOXPWHVCXQUWOUWNUXKUXOVUCUWOUXOUXKUWNVUCUWOUXOUXKUWNVUC
      UWOUXOUVCGHZVUCUXKUWNJUWOVUCUXNUXMXRZUVCUVCWCZXRZMNZUXOVUEJUWOUVFVUFVUAVU
      HMUWOVUFUVFUVFUWAXSXTVUAVUHUCUWOUVCYAYBYCUXOUXMVUGMNZJUXNUXMYDZUIUCZUVCVU
      GYDUIUCZJVUIUXOVUEUXNUVCUXMVUGYEUXOVUJUXMVUGUWAUVCYFWCZYGVUJUWAUVCFXIAXIY
      HUXMVUGVUNUWAYIYJYKYLVUEVUMVULVUEUVCWEVUMUVCWFUVCYMWHUXMUXNYDVUKUIUXMUXNY
      NUXMUVFYOYPYQYRWKUVCUWAYSYTUUAUUBUUCUUDUYSVUCEVUAUWFUVNVUAUVFMUUEUUFVHXBU
      XOAUWAUUGUVHUYSAEUWFUVCUVNUVFMUUEUUHUUIWSVJUUJXAUWPUWIUWQUWPUWHUWGUWPUVFU
      WFHZUVFUVFMNZJUWHUWPVUOVUPUVFUWAUYPUUKUVFUYPUULUUMUVHVUPAUVFUWFUVCUVFUVFM
      UUEUUFWHUUNUUNUUOVKUUPUUQWLUURVIUUS $.
      $( [22-Jun-1998] $)

    $( A subset of a natural number is finite. $)
    ssnn $p |- ( ( A e. om /\ B (_ A ) -> E. x e. om B ~~ x ) $=
      ( com wcel wpss wceq wo cv cen wbr wrex wss wa pssnn wi wex elnn expcom
      anim1d 19.22dv df-rex 3imtr4g adantr mpd eleq1 biimparc enrefg ancli
      breq2 rcla4ev 3syl jaodan sspss sylan2b ) BDEZCBFZCBGZHCAIZJKZADLZCBMUPUQ
      VAURUPUQNUTABLZVAABCOUPVBVAPUQUPUSBEZUTNZAQUSDEZUTNZAQVBVAUPVDVFAUPVCVEUT
      VCUPVEUSBRSTUAUTABUBUTADUBUCUDUEUPURNCDEZVGCCJKZNVAURVGUPCBDUFUGVGVHCDUHU
      IUTVHACDUSCCJUJUKULUMCBUNUO $.
      $( [24-Jun-1998] $)

    $( A subset of a finite set is finite.  Corollary 6G of [Enderton]
       p. 138. $)
    ssfi $p |- ( ( E. x e. om A ~~ x /\ B (_ A ) -> E. x e. om B ~~ x ) $=
      ( vy vz cv cen wbr com wrex wss wa wi wcel wf1o wex breng cima ssnn wfo
      f1ofo crn imassrn forn sseq2d mpbii syl sylan2 adantrr cres entrt cvv
      visset resexg ax-mp f1oeq1 cla4ev imaexg bren sylibr sylan wf1 f1ores
      f1of1 ex r19.22sdv adantl mpd exp32 19.23adv sylbid r19.23aiv imp breq2
      cbvrexv sylib ) BAFZGHZAIJZCBKZLCDFZGHZDIJZCVQGHZAIJVSVTWCVRVTWCMZAIVQINZ
      VRBVQEFZOZEPWEBVQIEQWFWHWEEWFWHVTWCWFWHVTLZLWGCRZWAGHZDIJZWCWFWHWLVTWFWJV
      QKZWLWHDVQWJSWHBVQWGTZWMBVQWGUAWNWJWGUBZKWMWGCUCWNWOVQWJBVQWGUDUEUFUGUHUI
      WIWLWCMWFWIWKWBDIWIWKWBCWJWGCUJZOZWKWBWICWJGHZWKWBWQCWJWAUKWQCWJVQOZAPWRW
      SWQAWPWGULNZWPULNEUMZWGCULUNUOCWJVQWPUPUQCWJAWTWJULNXAWGCULURUOUSUTVABVQW
      GVBVTWQWHBVQCWGVCBVQWGVDVAVAVEVFVGVHVIVJVKVLVMWBWDDAIWAVQCGVNVOVP $.
      $( [24-Jun-1998] $)

    $( A set dominated by a finite set is finite. $)
    domfi $p |- ( ( E. x e. om A ~~ x /\ B ~<_ A ) -> E. x e. om B ~~ x ) $=
      ( vy cv cen wbr com wrex cdom wss wa wex cvv wcel wb wi relen brrelexi
      a1i r19.23aiv domeng syl visset enen1 mpan rexbidv ssfi syl5bir exp3a
      com12 imp3a 19.23adv sylbid imp ) BAEZFGZAHIZCBJGZCUPFGZAHIZURUSCDEZFGZVB
      BKZLZDMZVAURBNOZUSVFPUQVGAHUQVGQUPHOBUPFRSTUADCBNUBUCURVEVADURVCVDVAVCURV
      DVAQVCURVDVAVCVAVBUPFGZAHIURVDLVCUTVHAHVBNOVCUTVHPDUDCVBUPNUEUFUGABVBUHUI
      UJUKULUMUNUO $.
      $( [30-Mar-2006] $) $( [23-Mar-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Lemma for ~ unbnn .  After removing the successor of an element from an
       unbounded set of natural numbers, the intersection of the result belongs
       to the original unbounded set. $)
    unblem1 $p |- ( ( ( B (_ om /\ A. x e. om E. y e. B x e. y ) /\
                 A e. B ) -> |^| ( B \ suc A ) e. B ) $=
      ( com wss cv wcel wrex wral wa csuc cdif con0 c0 wne cint omsson sstr
      mpan2 ssdifss syl ad2antrr wn wi ssel word nnord ordn2lp imnan sylibr
      con2d syl6 imdistand eldif ne0i sylbir exp3a r19.23adv wceq eleq1
      rexbidv rcla4cva syl5 peano2b syl6ib sylan2d imp31 jca onint eldifi 3syl
      ) DEFZAGZBGZHZBDIZAEJZKCDHZKZDCLZMZNFZWBOPZKWBQZWBHWEDHVTWCWDVMWCVRVSVMDN
      FZWCVMENFWFRDENSTDNWAUAUBUCVMVRVSWDVMVRVSWDVMVRWAEHZWDVSVMWAVOHZBDIZWDVRW
      GKVMWHWDBDVMVODHZWHWDVMWJWHKWJVOWAHZUDZKZWDVMWJWHWLVMWJVOEHZWHWLUEZDEVOUF
      WNVOUGZWOVOUHWPWKWHWPWKWHKUDWKWHUDUEVOWAUIWKWHUJUKULUBUMUNWMVOWBHWDVODWAU
      OWBVOUPUQUMURUSVQWIAWAEVNWAUTVPWHBDVNWAVOVAVBVCVDVMVSCEHWGDECUFCVEVFVGURV
      HVIWBVJWEDWAVKVL $.
      $( [14-Jul-2004] $) $( [3-Dec-2003] $)
  $}

  ${
    $d x y z w v u A $.  $d z w v u F $.
    unblem.1 $e |- ( w e. F -> A. x w e. F ) $.
    unblem.2 $e |- F =
          ( rec ( { <. x , y >. | y = |^| ( A \ suc x ) } , |^| A ) |` om ) $.
    $( Lemma for ~ unbnn .  The value of the function ` F ` belongs to
       the unbounded set of natural numbers ` A ` . $)
    unblem2 $p |- ( ( A (_ om /\ A. w e. om E. v e. A w e. v ) -> ( z e. om ->
                ( F ` z ) e. A ) ) $=
      ( vu cv com wcel wss wrex wral wa cfv c0 csuc wceq fveq2 eleq1d cint
      con0 wne onint omsson sstr mpan2 wex wi peano1 eleq1 rexbidv rcla4v
      ax-mp df-rex sylib pm3.26 19.22i syl ne0 sylibr syl2an cdif copab crdg
      cres fr0t fveq1i syl5req ibi wb ax-17 hbfv hbsuc hbdif hbint suceq
      difeq2d inteqd frsucopab eqcomd ex ibd unblem1 syl5 exp3a finds2 com12 )
      CKZLMFLNZDKZEKZMZEFOZDLPZQZWLGRZFMZXASGRZFMZJKZGRZFMZXDTZGRZFMZWSCJWLSUAW
      TXBFWLSGUBUCWLXDUAWTXEFWLXDGUBUCWLXGUAWTXHFWLXGGUBUCWSFUDZFMZXCFUENZFSUFZ
      XKWMWRFUGWMLUENXLUHFLUEUIUJWRWOFMZEUKZXMWRXNSWOMZQZEUKZXOWRXPEFOZXRSLMWRX
      SULUMWQXSDSLWNSUAWPXPEFWNSWOUNUOUPUQXPEFURUSXQXNEXNXPUTVAVBEFVCVDVEXKXCXK
      XJXBFXKSBKFAKZTZVFZUDZUAABVGZXJVHLVIZRXJXBXJFYDVJSGYEIVKVLUCVMVBXDLMZWSXF
      XIYFFXETZVFZUDZFMZXIWSXFQYFYJXIYFYJYJXIVNYFYJQZYIXHFYKXHYIABDXJXDYCYIFGWN
      XJMAVOWNXDMAVOZADYHADFYGWNFMAVOADXEADXDGHYLVPVQVRVSIXTXEUAZYBYHYMYAYGFXTX
      EVTWAWBWCWDUCWEWFDEXEFWGWHWIWJWK $.
      $( [14-Jul-2004] $) $( [3-Dec-2003] $)

    $( Lemma for ~ unbnn .  The value of the function ` F ` is less than
       its value at a successor. $)
    unblem3 $p |- ( ( A (_ om /\ A. w e. om E. v e. A w e. v ) -> ( z e. om ->
                ( F ` z )  e. ( F ` suc z ) ) ) $=
      ( com wss cv wcel wrex wral wa cfv csuc cdif cint con0 unblem2 imp wi
      omsson sstr mpan2 ssel anc2li syl ad2antrr mpd onmindif wceq unblem1 ex
      syld ax-17 hbfv hbsuc hbdif hbint suceq difeq2d inteqd frsucopab sylcom
      eleqtrrd ) FJKZDLZELMEFNDJOZPZCLZJMZVMGQZVMRGQZMVLVNPZVOFVORZSZTZVPVQFUAK
      ZVOUAMZPZVOVTMVQVOFMZWCVLVNWDABCDEFGHIUBZUCVIWDWCUDZVKVNVIWAWFVIJUAKWAUEF
      JUAUFUGWAWDWBFUAVOUHUIUJUKULFVOUMUJVLVNVPVTUNZVLVNVTFMZWGVLVNWDWHWEVLWDWH
      DEVOFUOUPUQVNWHWGABDFTZVMFALZRZSZTVTFGVJWIMAURVJVMMAURZADVSADFVRVJFMAURAD
      VOADVMGHWMUSUTVAVBIWJVOUNZWLVSWNWKVRFWJVOVCVDVEVFUPVGUCVHUP $.
      $( [14-Jul-2004] $) $( [3-Dec-2003] $)

    $( Lemma for ~ unbnn .  The function ` F ` maps the set of natural
       numbers one-to-one to the set of unbounded natural numbers ` A ` . $)
    unblem4 $p |- ( ( A (_ om /\ A. w e. om E. v e. A w e. v ) ->
                 F : om -1-1-> A ) $=
      ( vz con0 wss com wf wa cv cfv csuc wcel wral wf1 wrex omsmo omsson sstr
      mpan2 adantr unblem2 r19.21aiv wfn cdif cint wceq copab crdg cres frfnom
      wb fneq1 ax-mp mpbir ffnfv biimpr mpan syl jca unblem3 sylanc ) EJKZLEFMZ
      NIOZFPZVJQFPRZILSLEFTELKZCODORDEUACLSZNZIEFUBVOVHVIVMVHVNVMLJKVHUCELJUDUE
      UFVOVKERZILSZVIVOVPILABICDEFGHUGUHFLUIZVQVIVRBOEAOQUJUKULABUMZEUKZUNLUOZL
      UIZVTVSUPFWAULVRWBUQHLFWAURUSUTVIVRVQNILEFVAVBVCVDVEVOVLILABICDEFGHVFUHVG
      $.
      $( [14-Jul-2004] $) $( [3-Dec-2003] $)
  $}

  ${
    $d x y z w A $.
    unbnn.1 $e |- A e. V $.
    $( Any unbounded subset of natural numbers is equinumerous to the set of
       all natural numbers.  Part of the proof of Theorem 42 of [Suppes]
       p. 151.  See ~ unbnnt for a stronger version without the hypothesis. $)
    unbnn $p |- ( ( A (_ om /\ A. x e. om E. y e. A x e. y ) -> A ~~ om ) $=
      ( vw vz com cdom wbr cen wss cv wcel wrex wral wa sbth cvv wi ssdomg
      ax-mp adantr csuc cdif cint wceq copab crdg cres wf1 hbopab1 ax-17 hbrdg
      hbres eqid unblem4 f1dom2g syl sylanc ) CGHIZGCHIZCGJICGKZALZBLMBCNAGOZPZ
      CGQVBUTVDCRMZVBUTSDCGRTUAUBVEGCELCFLUCUDUEUFZFEUGZCUEZUHZGUIZUJZVAFEABCVK
      FAVJGFAVIVHVGFEAUKVCVIMFULUMVCGMFULUNVKUOUPVFVLVASDGCRVKUQUAURUS $.
      $( [14-Jul-2004] $) $( [3-Dec-2003] $)

    $( Version of ~ unbnn that does not require a strict upper bound. $)
    unbnn2 $p |- ( ( A (_ om /\ A. x e. om E. y e. A x (_ y ) -> A ~~ om ) $=
      ( vz com wss cv wcel wrex wral cen wbr unbnn csuc wceq sseq1 rexbidv
      rcla4v cvv wi visset sucssel ax-mp r19.22si syl6com peano2 syl5
      r19.21aiv sylan2 ) CFGEHZBHZIZBCJZEFKCFLMAHZULGZBCJZAFKZEBCDNURUNEFURUKOZ
      FIZUNUKFIUTURUSULGZBCJZUNUQVBAUSFUOUSPUPVABCUOUSULQRSVAUMBCUKTIVAUMUAEUBU
      KULTUCUDUEUFUKUGUHUIUJ $.
      $( [17-Jul-2004] $) $( [24-Apr-2004] $)
  $}

  ${
    $d x y z w A $.
    $( Any set strictly dominated by the class of natural numbers is finite.
       Sufficiency part of Theorem 42 of [Suppes] p. 151.  This theorem does
       not require the Axiom of Infinity. $)
    isfinite2 $p |- ( A ~< om -> E. x e. om A ~~ x ) $=
      ( vy vz vw com cvv wcel csdm wbr cv cen wrex sdomex pm3.27d wss wa wex
      cdom domeng sdomdom syl5bi wral wn visset unbnn ex sdomnen nsyli
      ensdomtr ensym sylan syl5 csuc con0 word wb cuni ordtri1 ssel2 elon
      sylib an1rs ralbidva unissb ralnex bicomi 3bitr4g ordunisssuc bitr3d
      omsson sstr mpan2 nnord syl2an wi ssnn peano2b sylanb adantl sylbid
      r19.23adva rexnal syl5ibr syld imp entrt r19.22sdv ad2antrl mpd exp32
      com13 imp3a 19.23adv sylcom mpcom ) FGHZBFIJZBAKZLJZAFMZWRBGHWQBFNOWQWRBC
      KZLJZXBFPZQZCRZXAWQBFSJXFWRCBFGTBFUAUBWRXEXACWRXCXDXAXDXCWRXAXDXCWRXAXDXC
      WRQZQXBWSLJZAFMZXAXDXGXIXDXGDKZEKZHZEXBMZDFUCZUDZXIXDXBFIJZXOXGXDXNXBFLJZ
      XPXDXNXQDEXBCUEZUFUGXBFUHUIXBBLJWRXPXCXBBFUJBXBXRUKULUMXDXMUDZDFMXIXOXDXS
      XIDFXDXJFHZQXSXBXJUNZPZXIXBUOPZXJUPZXSYBUQXDXTYCYDQZXBURXJPZXSYBYEXKXJPZE
      XBUCXLUDZEXBUCZYFXSYEYGYHEXBYCXKXBHZYDYGYHUQZXKUPZYDYKYCYJQZXKXJUSYMXKUOH
      YLXBUOXKUTXKEUEVAVBULVCVDEXBXJVEYIXSXLEXBVFVGVHXBXJVIVJXDFUOPYCVKXBFUOVLV
      MXJVNVOXTYBXIVPXDXTYBXIYAFHYBXIXTAYAXBVQXJVRVSUGVTWAWBXMDFWCWDWEWFXCXIXAV
      PXDWRXCXHWTAFXCXHWTBXBWSWGUGWHWIWJWKWLWMWNWOWP $.
      $( [18-Jul-2004] $) $( [24-Apr-2004] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d z w F $.
    unfilem1.1 $e |- A e. om $.
    unfilem1.2 $e |- B e. om $.
    unfilem1.3 $e |- F = { <. x , y >. | ( x e. B /\ y = ( A +o x ) ) } $.
    $( Lemma for proving that the union of two finite sets is finite. $)
    unfilem1 $p |- ran F = ( ( A +o B ) \ A ) $=
      ( cv wcel coa co wceq wa copab crn wex cab cdif rnopab rneqi wn eldif
      com wb nnacl mp2an elnn mpan2 wrex wss word ordtri1 nnord syl2an
      nnawordex bitr3d mpan df-rex syl6bb syl nnaord mp3an23 eleq1 sylan9bb
      biimprcd wi eqcom biimp adantl a1i jcad 19.22dv sylbid imp negbid
      anbi12d biimparc ibi nnaword1 ax-mp 3syl mpbid jca sylan 19.23aiv impbi
      bitr abbi2i 3eqtr4 ) AIZDJZBIZCWKKLZMZNZABOZPWPAQZBREPCDKLZCSZWPABTEWQHUA
      WRBWTWMWTJWMWSJZWMCJZUBZNZWRWMWSCUCXDWRXAXCWRXAXCWKUDJZWNWMMZNZAQZWRXAWMU
      DJZXCXHUEXAWSUDJZXICUDJZDUDJZXJFGCDUFUGWMWSUHUIXIXCXFAUDUJZXHXKXIXCXMUEFX
      KXINCWMUKZXCXMCULZWMULXNXCUEXKXICWMUMCUNZWMUNUOACWMUPUQURXFAUDUSUTVAXAXGW
      PAXAXGWLWOXGWLXAXEWLWNWSJZXFXAXEXLXKWLXQUEZGFWKDCVBVCZWNWMWSVDVEVFXGWOVGX
      AXFWOXEXFWOWNWMVHVIVJVKVLVMVNVOWPXDAXQWNCJZUBZNZWOXDWLWOXDYBWOXAXQXCYAWMW
      NWSVDWOXBXTWMWNCVDVPVQVRWLXQYAWLXQWLXEXRWLXLXEGWKDUHUIZXSVAVSWLXEYAYCXKXE
      YAFXKXENZCWNUKZYACWKVTYDWNUDJWNULZYEYAUEZCWKUFWNUNXOYFYGXKXOFXPWACWNUMURW
      BWCURVAWDWEWFWGWHWIWJ $.
      $( [10-Nov-2002] $)

    $( Lemma for proving that the union of two finite sets is finite. $)
    unfilem2 $p |- F : B -1-1-onto-> ( ( A +o B ) \ A ) $=
      ( vz vw coa co cdif wf1o wf1 wfo df-f1o wf cv cfv wceq wi wral f1fv wfn
      crn df-fo oprex fnopab2 unfilem1 mpbir2an fof ax-mp wcel wa opreq2
      fvopab4 eqeqan12d com wb nnacan mp3an1 elnn mpan2 syl2an bitrd biimpd
      rgen2a ) DCDKLCMZENDVIEOZDVIEPZDVIEQVJDVIERZISZETZJSZETZUAZVMVOUAZUBZJDUC
      IDUCIJDVIEUDVKVLVKEDUEEUFVIUADVIEUGABDCASZKLZECVTKUHHUIABCDEFGHUJUKZDVIEU
      LUMVSIJDVMDUNZVODUNZUOZVQVRWEVQCVMKLZCVOKLZUAZVRWCWDVNWFVPWGABVMWAWFDEVTV
      MCKUPHCVMKUHUQABVOWAWGDEVTVOCKUPHCVOKUHUQURVMUSUNZVOUSUNZWHVRUTZWCWDCUSUN
      WIWJWKFCVMVOVAVBWCDUSUNZWIGVMDVCVDWDWLWJGVODVCVDVEVFVGVHUKWBUK $.
      $( [10-Nov-2002] $)
  $}

  ${
    $d x y f A $.  $d x y f B $.
    $( Lemma for proving that the union of two finite sets is finite. $)
    unfilem3 $p |- ( ( A e. om /\ B e. om ) -> B ~~ ( ( A +o B ) \ A ) ) $=
      ( vf vx vy com wcel wa coa co cdif cv wf1o wex cen wbr wceq copab cvv
      f1oeq1 cla4egv wfn c0 cif wb opreq1 eqeq2d anbi2d opabbidv syl difeq1d
      difeq2 eqtrd f1oeq3 bitrd eleq2 anbi1d f1oeq2 opreq2 3bitrd peano1
      elimel eqid unfilem2 dedth2h f1ofn fnex sylancom sylc oprex difexg ax-mp
      bren sylibr ) AFGZBFGZHZBABIJZAKZCLZMZCNZBVSOPDLZBGZELZAWCIJZQZHZDERZSGZB
      VSWIMZWBVQWAWKCWISBVSVTWITUAVOVPWIBUBZWJVQWKWLVOVPWKBVOAUCUDZBIJZWMKZWDWE
      WMWCIJZQZHZDERZMZVPBUCUDZWMXAIJZWMKZWCXAGZWQHZDERZMZABUCUCAWMQZWKBVSWSMZW
      TXHWIWSQWKXIUEXHWHWRDEXHWGWQWDXHWFWPWEAWMWCIUFUGUHUIBVSWIWSTUJXHVSWOQXIWT
      UEXHVSWNAKWOXHVRWNAAWMBIUFUKAWMWNULUMVSWOBWSUNUJUOBXAQZWTBWOXFMZXAWOXFMZX
      GXJWSXFQWTXKUEXJWRXEDEXJWDXDWQBXAWCUPUQUIBWOWSXFTUJBXAWOXFURXJWOXCQXLXGUE
      XJWNXBWMBXAWMIUSUKWOXCXAXFUNUJUTDEWMXAXFAUCFVAVBBUCFVAVBXFVCVDVEZBVSWIVFU
      JBFWIVGVHXMVIBVSCVRSGVSSGABIVJVRASVKVLVMVN $.
      $( [16-Nov-2002] $)
  $}

  $( This theorem, which was proved without the Axiom of Infinity, is an
     artifact of our definition of strict dominance, which is meaningful only
     when its arguments exist.  In particular, the antecedent cannot be
     satisfied unless ` om ` exists. $)
  fin2inf $p |- ( A ~< om -> om e. V ) $=
    ( com csdm wbr cvv wcel sdomex pm3.27d ) ABCDAEFBEFABGH $.
    $( [12-Mar-2006] $) $( [13-Nov-2003] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( The union of two finite sets is finite.  Part of Corollary 6K of
       [Enderton] p. 144. $)
    unfi $p |- ( ( E. x e. om A ~~ x /\ E. x e. om B ~~ x ) ->
               E. x e. om ( A u. B ) ~~ x ) $=
      ( vz vy cv cen wbr com wrex wa cun cdif reeanv wcel coa co wceq undif2
      a1i wss nnaword1 undif sylib breq12d cin c0 difdisj pm3.2i unen mpan2
      syl5bi wi unfilem3 entrt expcom syl sylan2d nnacl breq2 rcla4ev ex syld
      r19.23aivv sylbir cbvrexv difss ssfi sylbi sylan2 ) BAFZGHZAIJZCVKGHZAIJZ
      KBCLZDFZGHZDIJZVPVKGHZAIJVMCBMZEFZGHZEIJZVSVOVMWDKVLWCKZEIJAIJVSVLWCAEIIN
      WEVSAEIIVKIOWBIOKZWEVPVKWBPQZGHZVSWFVLWAWGVKMZGHZWHWCWFBWALZVKWILZGHZWHVL
      WJKZWFWKVPWLWGGWKVPRWFBCSTWFVKWGUAWLWGRVKWBUBVKWGUCUDUEWNBWAUFUGRZVKWIUFU
      GRZKWMWOWPBCUHVKWGUHUIBVKWAWIUJUKULWFWBWIGHZWCWJUMVKWBUNWCWQWJWAWBWIUOUPU
      QURWFWGIOZWHVSUMVKWBUSWRWHVSVRWHDWGIVQWGVPGUTVAVBUQVCVDVEVOCWBGHZEIJZWDVN
      WSAEIVKWBCGUTVFWTWACUAWDCBVGECWAVHUKVIVJVRVTDAIVQVKVPGUTVFUD $.
      $( [16-Nov-2002] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The union of two finite sets is finite.  Part of Corollary 6K of
       [Enderton] p. 144.  This version of ~ unfi is useful only if we assume
       the Axiom of Infinity (see comments in ~ fin2inf ). $)
    unfi2 $p |- ( ( A ~< om /\ B ~< om ) -> ( A u. B ) ~< om ) $=
      ( vx com csdm wbr wa cun cdom cen wn cv wrex unfi isfinite2 syl2an
      isfinite1 syl wi cvv wcel fin2inf ensymg con3d adantr anim2d mpd brsdom
      sylibr ) ADEFZBDEFZGZABHZDIFZUMDJFZKZGZUMDEFULUNDUMJFZKZGZUQULUMCLZJFCDMZ
      UTAVAJFCDMBVAJFCDMVBUJUKCABNCAOCBOPCUMQRULUSUPUNUJUSUPSUKUJUOURUJDTUAUOUR
      SAUBUMDTUCRUDUEUFUGUMDUHUI $.
      $( [3-Nov-2004] $) $( [22-Oct-2004] $)
  $}

  ${
    $d x A $.
    infcntss.1 $e |- A e. V $.
    $( Every infinite set has a denumerable subset.  Similar to Exercise 8 of
       [TakeutiZaring] p. 91. (However, we need neither AC nor the Axiom of
       Infinity because of the way we express "infinite" in the antecedent.) $)
    infcntss $p |- ( om ~<_ A -> E. x ( x (_ A /\ x ~~ om ) ) $=
      ( com cdom wbr cv cen wss wa wex domen visset ensym anim2i ancoms 19.22i
      sylbi ) DBEFDAGZHFZSBIZJZAKUASDHFZJZAKADBCLUBUDAUATUDTUCUADSAMNOPQR $.
      $( [2-Nov-2004] $) $( [23-Oct-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( An unordered pair is finite. $)
    prfi $p |- E. x e. om { A , B } ~~ x $=
      ( cpr cv cen wbr com wrex csn cun snfi unfi mp2an df-pr breq1i rexbii
      mpbir ) BCDZAEZFGZAHIBJZCJZKZTFGZAHIZUBTFGAHIUCTFGAHIUFABLACLAUBUCMNUAUEA
      HSUDTFBCOPQR $.
      $( [16-Nov-2002] $)
  $}

  ${
    $d f j k m n x y z A $.
    $( The finite union of finite sets is finite.  Exercise 13 of [Enderton]
       p. 144. $)
    unifi $p |- ( ( E. n e. om A ~~ n /\ A. x e. A E. n e. om x ~~ n ) ->
               E. n e. om U. A ~~ n ) $=
      ( vm vy vk vz vf cv cen wbr com wrex wral cuni wi breq2 cbvrexv wcel wa
      wal c0 csuc wceq anbi1d imbi1d albidv en0 unieq uni0 0ex enref eqbrtr
      syl6eqbr peano1 rcla4ev mpan syl sylbi adantr ax-gen breq1 raleq1
      anbi12d breq1d rexbidv imbi12d cbvalv wf1o wex visset sucex ensym bren
      sylib cima cfv cun unfi cvv imaexg ax-mp cla4v imp wf1 cres f1of1 wss
      sssucid f1ores mpan2 f1oen 3syl csn ssun1 a1i wfn f1ofn sucid fnsnfv
      uneq2d df-suc imaeq2 imaun eqtr2 syl6eq wfo f1ofo foima eqtrd sseqtrd
      ssralv jca sylan2 an1s rcla4va wf f1of ffvelrn sylan adantrl sylanc wb
      unieqd uniun fvex unisn uneq2i syl5eq mpbid exp32 19.23aiv com12 imp3a
      19.21aiv finds1 relen brrelexi cla4gv exp4a pm2.43b r19.23aiv ) BCIZJKZCL
      MZAIZUUCJKZCLMZABNZBOZUUCJKZCLMZUUEBDIZJKZDLMUUIUULPZUUDUUNCDLUUCUUMBJQRU
      UNUUODLUUMLSEIZUUMJKZUUHAUUPNZTZUUPOZUUCJKZCLMZPZEUAZUUNUUOPZUVDUUPUBJKZU
      URTZUVBPZEUAUUPFIZJKZUURTZUVBPZEUAZUUPUVIUCZJKZUURTZUVBPZEUAZDFUUMUBUDZUV
      CUVHEUVSUUSUVGUVBUVSUUQUVFUURUUMUBUUPJQUEUFUGUUMUVIUDZUVCUVLEUVTUUSUVKUVB
      UVTUUQUVJUURUUMUVIUUPJQUEUFUGUUMUVNUDZUVCUVQEUWAUUSUVPUVBUWAUUQUVOUURUUMU
      VNUUPJQUEUFUGUVHEUVFUVBUURUVFUUPUBUDZUVBUUPUHUWBUUTUBJKZUVBUWBUUTUBOZUBJU
      UPUBUIUWDUBUBJUJUBUKULUMUNUBLSUWCUVBUOUVAUWCCUBLUUCUBUUTJQUPUQURUSUTVAUVM
      UVRPUVILSUVMGIZUVIJKZUUHAUWENZTZUWEOZUUCJKZCLMZPZGUAZUVRUVLUWLEGUUPUWEUDZ
      UVKUWHUVBUWKUWNUVJUWFUURUWGUUPUWEUVIJVBUUHAUUPUWEVCVDUWNUVAUWJCLUWNUUTUWI
      UUCJUUPUWEUIVEVFVGVHUWMUVQEUWMUVOUURUVBUVOUWMUURUVBPZUVOUVNUUPHIZVIZHVJZU
      WMUWOPZUVOUVNUUPJKUWRUUPUVNUVIFVKZVLVMUVNUUPHEVKVNVOUWQUWSHUWQUWMUURUVBUW
      QUWMUURTZTZUWPUVIVPZOZUVIUWPVQZVRZUUCJKZCLMZUVBUXDUUCJKZCLMZUXEUUCJKZCLMZ
      UXHUXBCUXDUXEVSUWMUWQUURUXJUWMUXCUVIJKZUUHAUXCNZTZUXJUWQUURTZUWMUXOUXJUWL
      UXOUXJPGUXCUWPVTSUXCVTSHVKUWPUVIVTWAWBZUWEUXCUDZUWHUXOUWKUXJUXRUWFUXMUWGU
      XNUWEUXCUVIJVBUUHAUWEUXCVCVDUXRUWJUXICLUXRUWIUXDUUCJUWEUXCUIVEVFVGWCWDUXP
      UXMUXNUWQUXMUURUWQUVIUXCJKZUXMUWQUVNUUPUWPWEZUVIUXCUWPUVIWFZVIZUXSUVNUUPU
      WPWGUXTUVIUVNWHUYBUVIWIUVNUUPUVIUWPWJWKUVIUXCUYAUWTWLWMUVIUXCUXQVMURUTUWQ
      UURUXNUWQUXCUUPWHUURUXNPUWQUXCUXCUXEWNZVRZUUPUXCUYDWHUWQUXCUYCWOWPUWQUYDU
      WPUVNVPZUUPUWQUYDUXCUWPUVIWNZVPZVRZUYEUWQUYCUYGUXCUWQUWPUVNWQZUYCUYGUDZUV
      NUUPUWPWRUYIUVIUVNSZUYJUVIUWTWSZUVNUVIUWPWTWKURXAUYEUWPUVIUYFVRZVPZUYHUVN
      UYMUDUYEUYNUDUVIXBUVNUYMUWPXCWBUWPUVIUYFXDXEXFUWQUVNUUPUWPXGUYEUUPUDUVNUU
      PUWPXHUVNUUPUWPXIURXJZXKUUHAUXCUUPXLURWDXMXNXOUWQUURUXLUWMUXEUUPSZUURUXLU
      WQUUHUXLAUXEUUPUUFUXEUDUUGUXKCLUUFUXEUUCJVBVFXPUWQUVNUUPUWPXQZUYPUVNUUPUW
      PXRUYQUYKUYPUYLUVNUUPUVIUWPXSWKURXTYAYBUWQUXHUVBYCUXAUWQUXGUVACLUWQUXFUUT
      UUCJUWQUYDOZUUTUXFUWQUYDUUPUYOYDUYRUXDUYCOZVRUXFUXCUYCYEUYSUXEUXDUXEUVIUW
      PYFYGYHXEYIVEVFUTYJYKYLURYMYNYOUSWPYPUVDUUNUUOUUNBVTSZUVDUVEPBUUMJYQYRUYT
      UVDUUNUUIUULUVCUUNUUITZUULPEBVTUUPBUDZUUSVUAUVBUULVUBUUQUUNUURUUIUUPBUUMJ
      VBUUHAUUPBVCVDVUBUVAUUKCLVUBUUTUUJUUCJUUPBUIVEVFVGYSYTURUUAURUUBUSWD $.
      $( [11-Mar-2006] $) $( [11-Mar-2006] $)

    $( The finite union of finite sets is finite.  Exercise 13 of [Enderton]
       p. 144.  This version of ~ unifi is useful only if we assume the Axiom
       of Infinity (see comments in ~ fin2inf ). $)
    unifi2 $p |- ( ( A ~< om /\ A. x e. A x ~< om ) -> U. A ~< om ) $=
      ( vn com csdm wbr cv wral wa cuni cdom cen wn wrex unifi isfinite2
      r19.20si syl2an isfinite1 syl wi cvv wcel fin2inf ensymg con3d adantr
      anim2d mpd brsdom sylibr ) BDEFZAGZDEFZABHZIZBJZDKFZUQDLFZMZIZUQDEFUPURDU
      QLFZMZIZVAUPUQCGZLFCDNZVDBVELFCDNUMVELFCDNZABHVFULUOABCOCBPUNVGABCUMPQRCU
      QSTUPVCUTURULVCUTUAUOULUSVBULDUBUCUSVBUABUDUQDUBUETUFUGUHUIUQDUJUK $.
      $( [11-Mar-2006] $) $( [11-Mar-2006] $)
  $}

  ${
    $d x y z w v f A $.
    $( Equivalent ways of stating the finite intersection property.  We show
       two ways of saying, "the intersection of elements in every finite
       non-empty subcollection of ` A ` is in ` A ` ."  This theorem is
       applicable to a topology, which (among other axioms) is closed under
       finite intersections.  Some texts use the left-hand version of this
       axiom and others the right-hand version, but as our proof here shows,
       their "intuitively obvious" equivalence can be non-trivial to establish
       formally. $)
    fiint $p |- ( A. x e. A A. y e. A ( x i^i y ) e. A <->
  A. x ( ( x (_ A /\ x =/= (/) /\ E. y e. om x ~~ y ) -> |^| x e. A ) ) $=
      ( vz vw vv vf cv cin wcel wral wss c0 wne wa cen wbr com wrex cint wi
      wal w3a csuc wceq breq1 anbi2d imbi1d albidv visset ensym en0 sylib
      anim1i ancoms adantll wn pm3.24 pm2.21i df-ne sylan2b syl ax-gen a1i
      ax-17 hba1 wf1o wex cima cfv ssel wfo wf f1ofo fof sucid ffvelrn mpan2
      3syl syl5 imp adantr crn imassrn wfn ccnv wfun f1o2 3simp3 sylbi sseq2d
      mpbii sstr2 anim1d wf1 cres f1of1 sssucid f1ores f1oen jctird cvv imaexg
      ax-mp sseq1 neeq1 anbi12d breq2 inteq eleq1d imbi12d cla4v sylan9 ineq1
      ineq2 rcla42v ex syl6 com4r exp4a exp3a com14 imp43 syl5ibr int0 syl6eq
      ineq1d ssv sseqin2 mpbi biimprd pm2.61d2 mpd wb csn cun f1ofn fnsnfv
      uneq2d df-suc imaeq2 imaun eqtr2 foima eqtrd inteqd fvex intunsn syl5eqr
      ad2antlr mpbid exp43 19.23adv bren syl5ib adantlr com13 19.21ad finds2
      ax-4 com24 r19.23aiv imp3a 19.21aiv cpr zfpair2 rexbidv prss prnz
      biantru prfi 3bitrr intpr eleq1i 3imtr3g r19.21aivv impbi cbvral2v
      df-3an imbi1i albii 3bitr4 ) DHZEHZIZCJZECKDCKZAHZCLZUWHMNZOZUWHBHZPQZBRS
      ZOZUWHTZCJZUAZAUBZUWHUWLIZCJZBCKACKUWIUWJUWNUCZUWQUAZAUBUWGUWSUWGUWRAUWGU
      WKUWNUWQUWNUWKUWGUWQUWMUWKUWGUWQUAZUAZBRUWLRJZUWLUWHPQZUXEUWMUXFUWGUWKUXG
      UWQUXFUWGUWKUXGUWQUXFUWGUWKUXGOZUWQUAZAUBZUXIUXJUWKMUWHPQZOZUWQUAZAUBZUWK
      FHZUWHPQZOZUWQUAZAUBZUWKUXOUDZUWHPQZOZUWQUAZAUBZUWGBFUWLMUEZUXIUXMAUYEUXH
      UXLUWQUYEUXGUXKUWKUWLMUWHPUFUGUHUIUWLUXOUEZUXIUXRAUYFUXHUXQUWQUYFUXGUXPUW
      KUWLUXOUWHPUFUGUHUIUWLUXTUEZUXIUYCAUYGUXHUYBUWQUYGUXGUYAUWKUWLUXTUWHPUFUG
      UHUIUXNUWGUXMAUXLUWHMUEZUWJOZUWQUWJUXKUYIUWIUXKUWJUYIUXKUYHUWJUXKUWHMPQUY
      HMUWHAUJZUKUWHULUMUNUOUPUYHUYHUQZUWQUWJUYHUYKOUWQUYHURUSUWHMUTVAVBVCVDUWG
      UXSUYDUAUAUXORJUWGUXSUYCAUWGAVEUXRAVFUYBUXSUWGUWQUWIUYAUXSUXDUAZUWJUWIUYA
      UYLUWIUXTUWHGHZVGZGVHUYLUYAUWIUYNUYLGUWIUYNUXSUWGUWQUWIUYNOZUXSUWGOZOZUYM
      UXOVIZTZUXOUYMVJZIZCJZUWQUYQUYTCJZVUBUYOVUCUYPUWIUYNVUCUWIUYTUWHJZVUCUYNU
      WHCUYTVKUYNUXTUWHUYMVLZUXTUWHUYMVMZVUDUXTUWHUYMVNZUXTUWHUYMVOVUFUXOUXTJZV
      UDUXOFUJZVPZUXTUWHUXOUYMVQVRVSVTWAWBUYQUYRMUEZVUCVUBUAZUYQUYRMNZVULVUKUQU
      WIUYNUXSUWGVUMVULUAZUWGUYNUXSUWIVUNUWGUYNUXSUWIVUNUAUWGUYNUXSOZUWIVUMVULV
      UOUWIVUMOZVUCUWGVUBVUOVUPUYSCJZVUCUWGVUBUAZUAUYNVUPUYRCLZVUMOZUXOUYRPQZOZ
      UXSVUQUYNVUPVUTVVAUYNUWIVUSVUMUYNUYRUWHLZUWIVUSUAUYNUYRUYMWCZLVVCUYMUXOWD
      UYNVVDUWHUYRUYNUYMUXTWEZUYMWFWGZVVDUWHUEZUCVVGUXTUWHUYMWHVVEVVFVVGWIWJWKW
      LUYRUWHCWMVBWNUYNUXTUWHUYMWOZUXOUYRUYMUXOWPZVGZVVAUXTUWHUYMWQVVHUXOUXTLVV
      JUXOWRUXTUWHUXOUYMWSVRUXOUYRVVIVUIWTVSXAUXRVVBVUQUAAUYRUYMXBJUYRXBJGUJUYM
      UXOXBXCXDUWHUYRUEZUXQVVBUWQVUQVVKUWKVUTUXPVVAVVKUWIVUSUWJVUMUWHUYRCXEUWHU
      YRMXFXGUWHUYRUXOPXHXGVVKUWPUYSCUWHUYRXIXJXKXLXMVUQVUCVURUWFVUBUYSUWDIZCJD
      EUYSUYTCCUWCUYSUEUWEVVLCUWCUYSUWDXNXJUWDUYTUEVVLVUACUWDUYTUYSXOXJXPXQXRXS
      XTYAYBYCUYRMUTYDVUKVUBVUCVUKVUAUYTCVUKVUAXBUYTIZUYTVUKUYSXBUYTVUKUYSMTXBU
      YRMXIYEYFYGUYTXBLVVMUYTUEUYTYHUYTXBYIYJYFXJYKYLYMUYNVUBUWQYNUWIUYPUYNVUAU
      WPCUYNUYRUYTYOZYPZTUWPVUAUYNVVOUWHUYNVVOUYMUXTVIZUWHUYNVVOUYRUYMUXOYOZVIZ
      YPZVVPUYNVVNVVRUYRUYNVVEVVNVVRUEZUXTUWHUYMYQVVEVUHVVTVUJUXTUXOUYMYRVRVBYS
      VVPUYMUXOVVQYPZVIZVVSUXTVWAUEVVPVWBUEUXOYTUXTVWAUYMUUAXDUYMUXOVVQUUBUUCYF
      UYNVUEVVPUWHUEVUGUXTUWHUYMUUDVBUUEUUFUYRUYTUXOUYMUUGUUHUUIXJUUJUUKUULUUMU
      XTUWHGUYJUUNUUOWAUUPUUQUURVDUUSUXIAUUTXRXTUVAUWHUWLBUJUKVTUVBUUQUVCUVDUWS
      UWFDECCUWSUWCUWDUVEZCLZVWCMNZOZVWCUWLPQZBRSZOZVWCTZCJZUWCCJUWDCJOZUWFUWRV
      WIVWKUAAVWCDEUVFUWHVWCUEZUWOVWIUWQVWKVWMUWKVWFUWNVWHVWMUWIVWDUWJVWEUWHVWC
      CXEUWHVWCMXFXGVWMUWMVWGBRUWHVWCUWLPUFUVGXGVWMUWPVWJCUWHVWCXIXJXKXLVWLVWDV
      WFVWIUWCUWDCDUJZEUJZUVHVWEVWDUWCUWDVWNUVIUVJVWHVWFBUWCUWDUVKUVJUVLVWJUWEC
      UWCUWDVWNVWOUVMUVNUVOUVPUVQUXAUWFUWCUWLIZCJABDECCUWHUWCUEUWTVWPCUWHUWCUWL
      XNXJUWLUWDUEVWPUWECUWLUWDUWCXOXJUVRUXCUWRAUXBUWOUWQUWIUWJUWNUVSUVTUWAUWB
      $.
      $( [17-Mar-2007] $) $( [22-Sep-2002] $)
  $}

  ${
    $d x y z $.
    $( Two ways to express the collection of finite intersections of a set
       ` A ` . $)
    abfii1 $p |- |^| { x | ( A (_ x /\
                         A. y e. x A. z e. x ( y i^i z ) e. x ) } =
                  |^| { x | ( A (_ x /\ A. y ( ( y (_ x /\ y =/= (/) /\
                   E. z e. om y ~~ z ) -> |^| y e. x ) ) } $=
      ( cv wss cin wcel wral wa cab c0 wne cen wbr com wrex w3a cint wi wal
      fiint anbi2i abbii inteqi ) DAEZFZBEZCEZGUFHCUFIBUFIZJZAKUGUHUFFUHLMUHUIN
      OCPQRUHSUFHTBUAZJZAKUKUMAUJULUGBCUFUBUCUDUE $.
      $( [26-Mar-2007] $) $( [29-Jul-2006] $)
  $}

  ${
    $d f t u v w x y z A $.
    abfii2.1 $e |- A e. V $.
    $( Two ways to express the collection of finite intersections of a set
       ` A ` . $)
    abfii2 $p |- { x | E. y ( y (_ A /\ E. z e. om y ~~ z /\ x = |^| y ) }
            = |^| { x | A. y ( ( y (_ A /\ y =/= (/) /\ E. z e. om y ~~ z ) ->
                 |^| y e. x ) } $=
      ( cv wss c0 wne cen wbr com wrex w3a cint cuni cin wcel wi wal cab wceq
      wa wex uniex inex2 csn cvv df-sn snex eqeltrr abexssex 3simp1 anim1i
      19.22i ss2abi ssexi intab intssuni2 dfss sylib 3adant3 eleq1d pm5.74i
      albii abbii inteqi df-3an visset eleq1 mpbii intex sylibr pm4.71ri
      anbi2i an4 anbi1i wb eqeq2d pm5.32i anass 3bitr3r bitr 3bitr exbii
      3eqtr4r ) BFZDGZWGHIZWGCFJKCLMZNZWGOZDPZQZAFZRZSZBTZAUAZOWKWOWNUBZUCZBUDZ
      AUAZWKWLWORZSZBTZAUAZOWHWJWOWLUBZNZBUDZAUAWKABWNWMWLDEUEUFXCWHWTUCZBUDZAU
      AWTBADEWNUGWTAUAUHAWNUIWNUJUKULXBXLAXAXKBWKWHWTWHWIWJUMUNUOUPUQURXGWSXFWR
      AXEWQBWKXDWPWKWLWNWOWHWIWLWNUBZWJWHWIUCZWLWMGXMWGDUSWLWMUTVAZVBVCVDVEVFVG
      XJXBAXIXABXIWHWJUCZXHUCXPWIXHUCZUCZXAWHWJXHVHXHXQXPXHWIXHWLUHRZWIXHWOUHRX
      SAVIWOWLUHVJVKWGVLVMVNVOXRXNWJXHUCUCZXAWHWJWIXHVPWKXHUCXNWJUCZXHUCXAXTWKY
      AXHWHWIWJVHVQWKXHWTWHWIXHWTVRWJXNWLWNWOXOVSVBVTXNWJXHWAWBWCWDWEVFWF $.
      $( [28-Mar-2007] $) $( [29-Jul-2006] $)

    $( Two ways to express the collection of finite intersections of a set
       ` A ` . $)
    abfii3 $p |- |^| { x | ( A (_ x /\ A. y ( ( y (_ A /\ y =/= (/) /\
                   E. z e. om y ~~ z ) -> |^| y e. x ) ) } =
                  |^| { x | A. y ( ( y (_ A /\ y =/= (/) /\
                   E. z e. om y ~~ z ) -> |^| y e. x ) } $=
      ( vw cv wss c0 wne cen wbr com wrex w3a cint wcel wi wal cab wa wceq wex
      csn snssi snfi eqid snex sseq1 breq1 rexbidv inteq visset intsn syl6eq
      eqeq2d 3anbi123d cla4ev mp3an23 syl eqeq1 3anbi3d exbidv elab sylibr
      ssriv abfii2 sseqtr intmin4 ax-mp ) DBGZDHZVKIJVKCGZKLZCMNZOVKPZAGZQRBSZA
      TPZHDVQHVRUAATPVSUBDVLVOVQVPUBZOZBUCZATZVSFDWCFGZDQZVLVOWDVPUBZOZBUCZWDWC
      QWEWDUDZDHZWHWDDUEWJWIVMKLZCMNZWDWDUBZWHCWDUFWDUGWGWJWLWMOBWIWDUHVKWIUBZV
      LWJVOWLWFWMVKWIDUIWNVNWKCMVKWIVMKUJUKWNVPWDWDWNVPWIPWDVKWIULWDFUMZUNUOUPU
      QURUSUTWBWHAWDWOVQWDUBZWAWGBWPVTWFVLVOVQWDVPVAVBVCVDVEVFABCDEVGVHVRADVIVJ
      $.
      $( [2-Apr-2007] $) $( [10-Aug-2006] $)

    $( Two ways to express the collection of finite intersections of a set
       ` A ` .  Even though the expressions differ by only one symbol, the
       proof is not simple. $)
    abfii4 $p |- |^| { x | ( A (_ x /\ A. y ( ( y (_ x /\ y =/= (/) /\
                   E. z e. om y ~~ z ) -> |^| y e. x ) ) } =
                  |^| { x | ( A (_ x /\ A. y ( ( y (_ A /\ y =/= (/) /\
                   E. z e. om y ~~ z ) -> |^| y e. x ) ) } $=
      ( vv vu vw vt vf cv wss c0 wne cen wbr com wrex w3a cint wcel wi wal wa
      cab wceq wex cvv csn df-sn snex eqeltrr abexssex 3simpb 19.22i ss2abi
      ssexi sseq2 3anbi1d eleq2 imbi12d albidv anbi12d ssmin abfii3 abfii2
      eqtr4 sseqtr cin wral eeanv an6 cun visset unex sseq1 breq1 rexbidv
      inteq eqeq2d 3anbi123d cla4ev unss biimp unfi ineq12 intun syl6eqr
      syl3an sylbi 19.23aivv sylbir inex1 eqeq1 3anbi3d exbidv elab sylibr
      cbvexv bitr syl2anb rgen2a fiint mpbi pm3.2i intmin3 ax-mp breq2 cbvrexv
      syl5bb syl6bb cbvabv eqtr sstr2 com12 idd 3anim123d imim1d 19.20dv imp
      intss eqssi ) DAKZLZBKZYCLZYEMNZYECKZOPZCQRZSZYETZYCUAZUBZBUCZUDZAUEZTZYE
      DLZYGYJSZYMUBZBUCZAUEZTZYDUUBUDAUETYRUUDYRFKZDLZUUEGKZOPZGQRZHKZUUETZUFZS
      ZFUGZHUEZUUDUUOUHUAYRUUOLUUOUUFUULUDZFUGZHUEUULFHDEUUKUIUULHUEUHHUUKUJUUK
      UKULUMUUNUUQHUUMUUPFUUFUUIUULUNUOUPUQYPDUUOLZYEUUOLZYGYJSZYLUUOUAZUBZBUCZ
      UDAUUOUHYCUUOUFZYDUURYOUVCYCUUODURUVDYNUVBBUVDYKUUTYMUVAUVDYFUUSYGYJYCUUO
      YEURUSYCUUOYLUTVAVBVCUURUVCDDUUJLUUFUUEMNUUISUUKUUJUAUBFUCZUDHUETZUUOUVEH
      DVDUVFUVEHUETUUOHFGDEVEHFGDEVFVGVHYEYHVIZUUOUAZCUUOVJBUUOVJUVCUVHBCUUOIKZ
      DLZUVIUUGOPZGQRZYEUVITZUFZSZIUGZJKZDLZUVQUUGOPZGQRZYHUVQTZUFZSZJUGZUVHYEU
      UOUAZYHUUOUAZUVPUWDUDZUUFUUIUVGUUKUFZSZFUGZUVHUWGUVOUWCUDZJUGIUGUWJUVOUWC
      IJVKUWKUWJIJUWKUVJUVRUDZUVLUVTUDZUVNUWBUDZSUWJUVJUVLUVNUVRUVTUWBVLUVIUVQV
      MZDLZUWOUUGOPZGQRZUVGUWOTZUFZUWJUWLUWMUWNUWIUWPUWRUWTSFUWOUVIUVQIVNJVNVOU
      UEUWOUFZUUFUWPUUIUWRUWHUWTUUEUWODVPUXAUUHUWQGQUUEUWOUUGOVQVRUXAUUKUWSUVGU
      UEUWOVSVTWAWBUWLUWPUVIUVQDWCWDGUVIUVQWEUWNUVGUVMUWAVIUWSYEUVMYHUWAWFUVIUV
      QWGWHWIWJWKWLUUNUWJHUVGYEYHBVNZWMUUJUVGUFZUUMUWIFUXCUULUWHUUFUUIUUJUVGUUK
      WNWOWPWQWRUWEUUFUUIYEUUKUFZSZFUGZUVPUUNUXFHYEUXBUUJYEUFZUUMUXEFUXGUULUXDU
      UFUUIUUJYEUUKWNWOWPWQUXEUVOFIUUEUVIUFZUUFUVJUUIUVLUXDUVNUUEUVIDVPUXHUUHUV
      KGQUUEUVIUUGOVQVRUXHUUKUVMYEUUEUVIVSVTWAWSWTUWFUUFUUIYHUUKUFZSZFUGZUWDUUN
      UXKHYHCVNUUJYHUFZUUMUXJFUXLUULUXIUUFUUIUUJYHUUKWNWOWPWQUXJUWCFJUUEUVQUFZU
      UFUVRUUIUVTUXIUWBUUEUVQDVPUXMUUHUVSGQUUEUVQUUGOVQVRUXMUUKUWAYHUUEUVQVSVTW
      AWSWTXAXBBCUUOXCXDXEXFXGUUOYSYJYCYLUFZSZBUGZAUEUUDUUNUXPHAUUJYCUFZUUNUUFU
      UIYCUUKUFZSZFUGUXPUXQUUMUXSFUXQUULUXRUUFUUIUUJYCUUKWNWOWPUXSUXOFBUUEYEUFZ
      UUFYSUUIYJUXRUXNUUEYEDVPUXTUUEYHOPZCQRYJUUIUXTUYAYICQUUEYEYHOVQVRUUHUYAGC
      QUUGYHUUEOXHXIXJUXTUUKYLYCUUEYEVSVTWAWSXKXLABCDEVFXMVHYQUUCLUUDYRLYPUUBAY
      DYOUUBYDYNUUABYDYTYKYMYDYSYFYGYGYJYJYSYDYFYEDYCXNXOYDYGXPYDYJXPXQXRXSXTUP
      YQUUCYAXGYBABCDEVEVG $.
      $( [6-Apr-2007] $) $( [10-Aug-2006] $)

    $( Two ways to express the collection of finite intersections of a set
       ` A ` . $)
    abfii5 $p |- |^| { x | ( A (_ x /\
                         A. y e. x A. z e. x ( y i^i z ) e. x ) } =
                  { x | E. y ( y (_ A /\ E. z e. om y ~~ z /\ x = |^| y ) } $=
      ( cv wss c0 wne cen wbr com wrex w3a cint wcel wi wal wa cab cin wral
      wceq wex abfii4 abfii3 eqtr abfii1 abfii2 3eqtr4 ) DAFZGZBFZUKGUMHIZUMCFZ
      JKCLMZNUMOZUKPZQBRSATOZUMDGZUNUPNURQBRZATOZULUMUOUAUKPCUKUBBUKUBSATOUTUPU
      KUQUCNBUDATUSULVASATOVBABCDEUEABCDEUFUGABCDUHABCDEUIUJ $.
      $( [9-Apr-2007] $) $( [29-Jul-2006] $)
  $}

  ${
     $d f g m n k y x A $.  $d f g m x B $.  $d f g m F $.
     $( An onto function implies dominance of domain over range, for finite
        sets.  Unlike ~ fodom for arbitrary sets, this theorem does not require
        the Axiom of Choice for its proof. $)
     fodomfi $p |- ( ( E. n e. om A ~~ n /\ F : A -onto-> B ) -> B ~<_ A ) $=
       ( vm vg vf vx vk vy cv cen wbr com wrex wfo cdom wi wcel wa domentr cvv
       wf fex ancoms relen brrelexi fof syl2an adantl ccom wex visset coexg
       mpan2 foeq1 cla4egv syl fornex ax-mp 19.23aiv wal wceq foeq3 exbidv
       breq1 imbi12d cla4gv c0 csuc foeq2 breq2 albidv fo00 pm3.27bi 0dom
       syl6eqbr ax-gen csn cun cima cfv wfn ffn sucid fnsnfv 3syl uneq2d foima
       df-suc imaeq2 imaun eqtr2 syl5eq eqtrd cin snex undom imaexg cla4v imp
       cres wfun cdm wss fores fofun sssucid fdm sseq2d mpbiri sylanc resexg
       cla4ev sylan2 adantll fvex en2sn mp2an endom jctir word nnord orddisj
       ad2antrr eqbrtrrd syl6breqr ex 19.23adv 19.21adv cbvexv syl6bb cbvalv
       syl5ib finds1 syl5 pm2.43b sylan9 19.42v foco 19.22i sylbir wf1o bren
       ccnv f1ocnv f1ofo cnvex sylbi anasss mpancom ensym ad2antrl exp32
       r19.23aiv cbvrexv sylanb ) AEKZLMZENOZABDPZBAQMZACKZLMZCNOUUTUVAUVBUUSUV
       AUVBRENUURNSZUUSUVAUVBBUURQMZUURALMZUVBUVEUUSUVATZTZBUURAUADUBSZUVIUVFUV
       HUVJUVEAUBSZABDUCZUVJUUSUVAUVLUVKUVJABUBDUDUEAUURLUFUGABDUHUIUJUVJUVEUVH
       UVFUVJUVETZUVHUVFUVMUURBDFKZUKZPZFULZUVFUVHUVMUVPUVFFUVJUVPUURBGKZPZGULZ
       UVEUVFUVJUVOUBSZUVPUVTRUVJUVNUBSUWAFUMDUVNUBUBUNUOUVSUVPGUVOUBUURBUVRUVO
       UPUQURUVEUVTUVFUVTBUBSZUVEUVTUVFRZRUVSUWBGUURUBSUVSUWBREUMZUURBUBUVRUSUT
       VAUWBUURHKZUVRPZGULZUWEUURQMZRZHVBZUWCUVEUWIUWCHBUBUWEBVCZUWGUVTUWHUVFUW
       KUWFUVSGUWEBUURUVRVDVEUWEBUURQVFVGVHUWJVIUWEUVRPZGULZUWEVIQMZRZHVBIKZUWE
       UVRPZGULZUWEUWPQMZRZHVBZUWPVJZUWEUVRPZGULZUWEUXBQMZRZHVBZEIUURVIVCZUWIUW
       OHUXHUWGUWMUWHUWNUXHUWFUWLGUURVIUWEUVRVKVEUURVIUWEQVLVGVMUURUWPVCZUWIUWT
       HUXIUWGUWRUWHUWSUXIUWFUWQGUURUWPUWEUVRVKVEUURUWPUWEQVLVGVMUURUXBVCZUWIUX
       FHUXJUWGUXDUWHUXEUXJUWFUXCGUURUXBUWEUVRVKVEUURUXBUWEQVLVGVMUWOHUWLUWNGUW
       LUWEVIVIQUWLUVRVIVCUWEVIVCUWEUVRVNVOVIVPVQVAVRUWPNSZUWPJKZUVNPZFULZUXLUW
       PQMZRZJVBZUXGUXAUXKUXQUXFHUXKUXQUXFUXKUXQTZUXCUXEGUXRUXCUXEUXRUXCTZUWEUW
       PUWPVSZVTZUXBQUXSUVRUWPWAZUWPUVRWBZVSZVTZUWEUYAQUXCUYEUWEVCUXRUXCUYEUYBU
       VRUXTWAZVTZUWEUXCUYDUYFUYBUXCUXBUWEUVRUCZUVRUXBWCZUYDUYFVCZUXBUWEUVRUHZU
       XBUWEUVRWDUYIUWPUXBSUYJUWPIUMZWEUXBUWPUVRWFUOWGWHUXCUVRUXBWAZUWEUYGUXBUW
       EUVRWIUYMUVRUYAWAZUYGUXBUYAVCUYMUYNVCUWPWJZUXBUYAUVRWKUTUVRUWPUXTWLWMWNW
       OUJUYBUWPQMZUYDUXTQMZTUWPUXTWPVIVCZUYEUYAQMUXSUYBUWPUYDUXTUYLUYCWQUWPWQW
       RUXSUYPUYQUXQUXCUYPUXKUXQUWPUYBUVNPZFULZUYPUXCUXQUYTUYPUXPUYTUYPRJUYBUVR
       UBSZUYBUBSGUMZUVRUWPUBWSUTUXLUYBVCZUXNUYTUXOUYPVUCUXMUYSFUXLUYBUWPUVNVDV
       EUXLUYBUWPQVFVGWTXAUXCUWPUYBUVRUWPXBZPZUYTUVRXCUWPUVRXDZXEZVUEUXCUWPUVRX
       FUXBUWEUVRXGUXCUYHVUGUYKUYHVUGUWPUXBXEUWPXHUYHVUFUXBUWPUXBUWEUVRXIXJXKUR
       XLUYSVUEFVUDVUAVUDUBSVUBUVRUWPUBXMUTUWPUYBUVNVUDUPXNURXOXPUYDUXTLMZUYQUY
       CUBSUWPUBSVUHUWPUVRXQUYLUYCUWPUBUBXRXSUYDUXTXTUTYAUXKUYRUXQUXCUXKUWPYBUY
       RUWPYCUWPYDURYEXLYFUYOYGYHYIYHYJUWTUXPHJUWEUXLVCZUWRUXNUWSUXOVUIUWRUWPUX
       LUVRPZGULUXNVUIUWQVUJGUWEUXLUWPUVRVDVEVUJUXMGFUWPUXLUVRUVNUPYKYLUWEUXLUW
       PQVFVGYMYNYOYPURYQYRYIUVAUUSUVQUVAUURAUVNPZFULZUVQUUSUVAVULTUVAVUKTZFULU
       VQUVAVUKFYSVUMUVPFUURABDUVNYTUUAUUBUUSAUURUVRUUCZGULVULAUURGUWDUUDVUNVUL
       GVUNUURAUVRUUEZUUCUURAVUOPZVULAUURUVRUUFUURAVUOUUGVUKVUPFVUOUVRVUBUUHUUR
       AUVNVUOUPXNWGVAUUIXOUEYPXAUUJUUKUUSUVGUVEUVAAUURUWDUULUUMXLUUNUUOXAUVDUU
       SCENUVCUURALVLUUPUUQ $.
       $( [27-Mar-2006] $) $( [23-Mar-2006] $)

    $( Equivalence of an onto mapping and dominance for a non-empty finite set.
       Unlike ~ fodomb for arbitrary sets, this theorem does not require the
       Axiom of Choice for its proof. $)
    fodomfib $p |- ( E. n e. om A ~~ n ->
    ( ( A =/= (/) /\ E. f f : A -onto-> B ) <-> ( (/) ~< B /\ B ~<_ A ) ) ) $=
      ( cv cen wbr com wrex c0 wne wfo wex wa csdm cdom wi cvv wcel cdm wceq
      wf fof fdm syl eqeq1d crn forn dm0rn0 syl5bb bitr3d necon3bid biimpac
      adantll wb fornex imp 0sdomg adantlr mpbird ex relen brrelexi a1i
      r19.23aiv sylan fodomfi adantr jcad 19.23adv imp3a sdomdomtr sylibd
      fodomr 3expib impbid ) ADEZFGZDHIZAJKZABCEZLZCMZNZJBOGZBAPGZNZVSVTWCWGVSV
      TWCWGQVSVTNZWBWGCWHWBWEWFARSZVTWBWEQVSWIVTNZWBWEWJWBNWEBJKZVTWBWKWIWBVTWK
      WBAJBJWBWATZJUAZAJUABJUAZWBWLAJWBABWAUBWLAUAABWAUCABWAUDUEUFWBWAUGZJUAWNW
      MWBWOBJABWAUHUFWAUIUJUKULUMUNWIWBWEWKUOZVTWIWBNBRSZWPWIWBWQABRWAUPUQBRURU
      EUSUTVAVRWIDHVRWIQVQHSAVQFVBVCVDVEZVFVSWBWFQVTVSWBWFABDWAVGVAVHVIVJVAVKVS
      WIWGWDQWRWIWGVTWCWIWGJAOGVTJBARVLARURVMWIWEWFWCABRCVNVOVIUEVP $.
      $( [27-May-2007] $) $( [23-Mar-2006] $)
  $}

  ${
    $d w x y z n A $.  $d n w y z B $.
    $( If a function has a finite domain, its range is finite.  Theorem 37 of
       [Suppes] p. 104. $)
    fofi $p |- ( ( E. n e. om A ~~ n /\ F : A -onto-> B ) ->
                 E. n e. om B ~~ n ) $=
      ( cv cen wbr com wrex wfo cdom fodomfi domfi syldan ) ACEZFGCHIABDJBAKGBO
      FGCHIABCDLCABMN $.
      $( [12-Jun-2007] $) $( [25-Mar-2007] $)

    $( The finite union of finite sets is finite.  Exercise 13 of [Enderton]
       p. 144.  This is the indexed union version of ~ unifi .  Note that ` B `
       depends on ` x ` , i.e. can be thought of as ` B ( x ) ` . $)
    iunfi $p |- ( ( E. n e. om A ~~ n /\ A. x e. A E. n e. om B ~~ n ) ->
                E. n e. om U_ x e. A B ~~ n ) $=
      ( vy vz vw cv cen wbr com wrex wral wa ciun wceq cab cuni unifi hbab1
      wcel ax-17 breq1 rexbidv cbvralf sylan2b cvv cdom copab crn wfo fodomfi
      wfn eqid fnopab2g fnforn bitr rnopab2 syl5eqbrr domfi syldan wi relen
      brrelexi a1i r19.23aiv r19.20si sylan2 r19.29 biimparc syl ex adantl
      abid syl5ib r19.21aiv sylanc wb hbre1 hbral dfiun2g breq1d rexbid mpbird
      ) BDHZIJDKLZCWEIJZDKLZABMZNZABCOZWEIJZDKLZEHZCPZABLZEQZRZWEIJZDKLZWQWEIJD
      KLZWNWEIJZDKLZEWQMZWTWJXAFHZWEIJZDKLZFWQMWTXDFWQDSXCXGEFGWQWPEGTGHWQUAFUB
      XCFUBXGEUBWNXEPXBXFDKWNXEWEIUCUDUEUFWFCUGUAZABMZXAWIWFXIWQBUHJXAWFXINAHBU
      AZWONAEUIZUJZBWQUHWFBXLXKUKZXLBUHJXIBXLDXKULXIXKBUMXMAEBCXKXKUNUOBXKUPUQU
      FAEBCURUSDBWQUTVAWHXHABWGXHDKWGXHVBWEKUACWEIVCVDVEVFVGZVHWJXCEWQWJWPXCWNW
      QUAWIWPXCVBWFWIWPXCWIWPNWHWONZABLXCWHWOABVIXOXCABXOXCVBXJWOXCWHWOXBWGDKWN
      CWEIUCUDVJVEVFVKVLVMWPEVNVOVPVQWIWMWTVRWFWIWLWSDKWHDABXJDUBWGDKVSVTWIWKWR
      WEIWIXIWKWRPXNAEBCUGWAVKWBWCVMWD $.
      $( [31-Mar-2006] $) $( [23-Mar-2006] $)
  $}

  ${
    $d d n F $.  $d c d n y b $.  $d c d n y x $.
    pwfilem.1 $e |- F =
              { <. c , y >. | ( c e. P~ b /\ y = ( c u. { x } ) ) } $.
    $( Lemma for ~ pwfi . $)
    pwfilem $p |- ( E. n e. om P~ b ~~ n ->
                    E. n e. om P~ ( b u. { x } ) ~~ n ) $=
      ( vd cv cpw cen wbr com wrex csn cun cdif crn cdom wfo wfn visset snex
      unex fnopab2 fnforn mpbi fodomfi mpan2 domfi mpdan cvv wcel wss pwex
      difexg ax-mp wceq uneq1 eqeq2d rcla4ev eldifi elpwun sylib elpwunsn
      snssi syl ssequn2 undif1 syl5req sylanc elrnopab sylibr ssriv ssdomg mp2
      unfi mpancom pwundif breq1i rexbii ) EIZJZCIZKLCMNZWBAIZOZPZJZWCQZWCPZWDK
      LZCMNZWIWDKLZCMNWJWDKLCMNZWEWMWEDRZWDKLCMNZWOWEWPWCSLZWQWEWCWPDTZWRDWCUAW
      SFBWCFIZWGPZDWTWGFUBWFUCZUDZGUEWCDUFUGWCWPCDUHUICWCWPUJUKWQWJWPSLZWOWJULU
      MZWJWPUNXDWIULUMXEWHWBWGEUBXBUDUOWIWCULUPUQHWJWPHIZWJUMZXFXAURZFWCNZXFWPU
      MXFWGQZWCUMZXFXJWGPZURZXIXGXHXMFXJWCWTXJURXAXLXFWTXJWGUSUTVAXGXFWIUMXKXFW
      IWCVBXFWBWGXBVCVDXGXFWGPZXFXLXGWGXFUNZXNXFURXGWFXFUMXOXFWBWFVEWFXFVFVGWGX
      FVHVDXFWGVIVJVKFBWCXAXFDXCGVLVMVNWJWPULVOVPCWPWJUJUIVGCWJWCVQVRWNWLCMWIWK
      WDKWBWGVSVTWAVM $.
      $( [29-Mar-2007] $) $( [26-Mar-2007] $)
  $}

  ${
    $d m n A $.  $d c k m n y $.
    $( The power set of a finite set is finite and vice-versa.  Theorem 38 of
       [Suppes] p. 104 and its converse, Theorem 40 of [Suppes] p. 105. $)
    pwfi $p |- ( E. n e. om A ~~ n <-> E. n e. om P~ A ~~ n ) $=
      ( vm vk vy vc cv cen wbr com wrex cpw breq2 cbvrexv wcel wb visset pwen
      cvv pwex enen1 mpan syl rexbidv c0 csn cun wceq pweq breq1d csuc df-suc
      eqeq2i sylbi c1o 1onn pw0 df1o2 eqtr4 elisseti enref eqbrtr rcla4ev
      mp2an wi wa copab eqid pwfilem a1i finds1 syl5cbir r19.23aiv cdom csdm
      relen brrelexi pwexb sylibr canth2g adantl r19.23aiva sdomdom domfi
      mpdan impbi ) ABGZHIZBJKZALZWGHIZBJKZWIACGZHIZCJKWLWHWNBCJWGWMAHMNWNWLCJW
      NWLWMLZWGHIZBJKZWMJOWNWKWPBJWNWJWOHIZWKWPPZAWMCQZRWOSOWRWSWMWTTWJWOWGSUAU
      BUCUDWQUELZWGHIZBJKZDGZLZWGHIZBJKZXDXDUFZUGZLZWGHIZBJKZCDWMUEUHZWPXBBJXMW
      OXAWGHWMUEUIUJUDWMXDUHZWPXFBJXNWOXEWGHWMXDUIUJUDWMXDUKZUHZWPXKBJXPWOXJWGH
      XPWMXIUHWOXJUHXOXIWMXDULUMWMXIUIUNUJUDUOJOXAUOHIZXCUPXAUOUOHXAUEUFUOUQURU
      SUOUOJUPUTVAVBXBXQBUOJWGUOXAHMVCVDXGXLVEXDJODEBFGZXEOEGXRXHUGUHVFFEVGZDFX
      SVHVIVJVKVLVMUNWLAWJVNIZWIWLAWJVOIZXTWKYABJWKYAWGJOWKASOZYAWKWJSOYBWJWGHV
      PVQAVRVSASVTUCWAWBAWJWCUCBWJAWDWEWF $.
      $( [29-Mar-2007] $) $( [26-Mar-2007] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Theorem *54.43 of [WhiteheadRussell] p. 360.  "From this proposition it
       will follow, when arithmetical addition has been defined, that 1+1=2."
       See ~ http://en.wikipedia.org/wiki/Principia_Mathematica#Quotations .
       This theorem states that two sets of cardinality 1 are disjoint iff
       their union has cardinality 2.

       Whitehead and Russell define 1 as the collection of all sets with
       cardinality 1 (i.e. all singletons; see ~ card1 ), so that their
       ` A e. 1 ` means, in our notation, ` A e. { x | ( card `` x ) = 1o } `
       i.e.  ` ( card `` A ) = 1o ` (by ~ elab ) i.e.  ` A ~~ 1o ` (by ~ carden
       and ~ cardnn ). We do not have several of their earlier lemmas available
       (which would otherwise be unused by our different approach to
       arithmetic), so our proof is longer.  (It is also longer because we must
       show every detail.)

       Theorem ~ pm110.643 shows the derivation of 1+1=2 for cardinal numbers
       from this theorem. $)
    pm54.43 $p |- ( ( A ~~ 1o /\ B ~~ 1o ) -> ( ( A i^i B ) = (/) <->
                  ( A u. B ) ~~ 2o ) ) $=
      ( vx vy c1o cen wbr wa cin c0 wceq cun c2o csn wi wcel wn 1on onirr
      disjsn mpbir unen mpanr2 ex con0 elisseti ensn1 ensymi entrt mpan2
      sylan2 csuc df-2o df-suc eqtr breq2i syl6ibr cv wex wne csdm sneq uneq2d
      unidm syl5reqr visset 1sdom2 ensdomtr mp2an syl6eqbr sdomnen syl
      necon2ai disjsn2 a1i uneq12 breq1d ineq12 eqeq1d 3imtr4d 19.23adv
      19.23aiv imp en1 syl2anb impbid ) AEFGZBEFGZHZABIZJKZABLZMFGZWIWKWLEENZLZ
      FGZWMWGBWNFGZWKWPOWHWGWQHZWKWPWRWKEWNIJKZWPWSEEPQERSEETUAAEBWNUBUCUDWHEWN
      FGWQWNEEUERUFZEWTUGUHBEWNUIUJUKMWOWLFMEULWOUMEUNUOUPUQACURZNZKZCUSZBDURZN
      ZKZDUSZWMWKOZWGWHXDXHXIXCXHXIOCXCXGXIDXCXGXIXCXGHZXBXFLZMFGZXBXFIZJKZWMWK
      XLXNOXJXLXAXEUTXNXLXAXEXAXEKZXKMVAGXLQXOXKXBMVAXOXBXBLXKXBXOXBXFXBXAXEVBV
      CXBVDVEXBEFGEMVAGXBMVAGXACVFUGVGXBEMVHVIVJXKMVKVLVMXAXEVNVLVOXJWLXKMFAXBB
      XFVPVQXJWJXMJAXBBXFVRVSVTUDWAWBWCCAWDDBWDWEWF $.
      $( [4-Apr-2007] $) $( [4-Apr-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           Supremum
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Add new constant symbol. $)
  $c sup $.  $( Supremum. $)

  $( Extend class notation to include supremum of class ` A ` .  Here ` R `
     is ordinarily a relation that strictly orders class ` B ` .  For example,
     ` R ` could be 'less than' and ` B ` could be the set of real numbers. $)
  csup $a class sup ( A , B , R ) $.

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.
    $( Define the supremum of class ` B ` .  It is meaningful when ` R `
       is a relation that strictly orders ` A ` and when the supremum
       exists.  For example, ` R ` could be 'less than', ` A ` could be the
       set of real numbers, and ` B ` could be the set of all positive
       reals whose square is less than 2; in this case the supremum is defined
       as the square root of 2 per ~ sqrval .

       We will also use this notation for "infimum" by replacing ` R ` with
       ` ``' R ` . $)
    df-sup $a |- sup ( B , A , R ) = U. { x e. A | ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) } $.

    $( can't be used if A is a proper class... important?  we already
       have U. as sup for On... but since sup exists, can't use sup for
       On anyway e.g. sup of On itself.
    df-supNEW $a |- sup = { <. <. x , y >. , z >. | z =
             U. { w e. ( 1st ` x ) | ( A. v e. y -. w ( 2nd ` x ) v /\
                  A. v e. ( 1st ` x ) ( v ( 2nd ` x ) w ->
                 E. u e. y v ( 2nd ` x ) u ) ) } } $.
    $)
  $}

  ${
    $d x y z R $.  $d x y z A $.  $d x y z B $.  $d x y z C $.

    $( Equality theorem for supremum. $)
    supeq1 $p |- ( B = C -> sup ( B , A , R ) = sup ( C , A , R ) ) $=
      ( vx vy vz wceq cv wbr wn wral wrex wi wa crab cuni csup raleq1 rexeq1
      imbi2d ralbidv anbi12d rabbisdv unieqd df-sup 3eqtr4g ) BCHZEIZFIZDJKZFBL
      ZUJUIDJZUJGIDJZGBMZNZFALZOZEAPZQUKFCLZUMUNGCMZNZFALZOZEAPZQBADRCADRUHUSVE
      UHURVDEAUHULUTUQVCUKFBCSUHUPVBFAUHUOVAUMUNGBCTUAUBUCUDUEEFGABDUFEFGACDUFU
      G $.
      $( [22-May-1999] $)
  $}

  ${
    $d x y z w A $.  $d x y z w R $.  $d x y z w B $.  $d w C $.
    supmo.1 $e |- R Or A $.
    $( Any class ` B ` has at most one supremum in ` A ` (where ` R ` is
       interpreted as 'less than'). $)
    supmo $p |- E* x ( x e. A /\ ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) ) $=
      ( vw cv wcel wbr wn wral wrex wi wa wmo wceq wal eleq1 breq1 negbid
      ralbidv breq2 imbi1d anbi12d mo4 rexbidv imbi12d rcla4va con3d imp
      cbvralv ralnex bitr sylan2b an1rs adantlrr adantrl rcla4cva anasss
      adantrrr adantll jca wb wor sotrieq2 mpan ad2ant2r mpbird ax-gen mpgbir
      ) AIZDJZVMBIZFKZLZBEMZVOVMFKZVOCIZFKZCENZOZBDMZPZPZAQWFHIZDJZWGVOFKZLZBEM
      ZVOWGFKZWBOZBDMZPZPZPZVMWGRZOZHSAWFWPAHWRVNWHWEWOVMWGDTWRVRWKWDWNWRVQWJBE
      WRVPWIVMWGVOFUAUBUCWRWCWMBDWRVSWLWBVMWGVOFUDUEUCUFUFUGWSHWQWRVMWGFKZLZWGV
      MFKZLZPZWQXAXCWFWOXAWHWFWNXAWKVNVRWNXAWDVNWNVRXAVNWNPZVMVTFKZCENZLZXAVRXE
      XHXAXEWTXGWMWTXGOBVMDVOVMRZWLWTWBXGVOVMWGFUAXIWAXFCEVOVMVTFUAUHUIUJUKULVR
      XFLZCEMXHVQXJBCEVOVTRZVPXFVOVTVMFUDUBUMXFCEUNUOUPUQURUSUSWEWPXCVNWDWPXCVR
      WDWHWKXCWNWDWHWKXCWDWHPZWGVTFKZCENZLZXCWKXLXOXCXLXBXNWCXBXNOBWGDVOWGRZVSX
      BWBXNVOWGVMFUAXPWAXMCEVOWGVTFUAUHUIUTUKULWKXMLZCEMXOWJXQBCEXKWIXMVOVTWGFU
      DUBUMXMCEUNUOUPVAVBVCVCVDVNWHWRXDVEZWEWODFVFVNWHPXRGDVMWGFVGVHVIVJVKVL $.
      $( [5-May-1999] $)

    $( A supremum is a set. $)
    supex $p |- sup ( B , A , R ) e. V $=
      ( vx vy vz csup cv wcel wbr wn wral wrex wi wa cab cuni cvv crab df-sup
      df-rab unieqi eqtr wmo supmo moabex ax-mp uniex eqeltr ) BACHZEIZAJULFIZC
      KLFBMUMULCKUMGICKGBNOFAMPZPZEQZRZSUKUNEATZRUQEFGABCUAURUPUNEAUBUCUDUPUOEU
      EUPSJEFGABCDUFUOEUGUHUIUJ $.
      $( [22-May-1999] $)

    $( A supremum is unique.  Similar to Theorem I.26 of [Apostol] p. 24 (but
       for suprema in general). $)
    supeu $p |- ( E. x e. A ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) ->
                  E! x e. A ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) ) $=
      ( cv wbr wn wral wrex wi wa wcel wmo wreu supmo jctr reu5 sylibr ) AHZBHZ
      FIJBEKUCUBFIUCCHFICELMBDKNZADLZUEUBDOUDNAPZNUDADQUEUFABCDEFGRSUDADTUA $.
      $( [13-Oct-2004] $) $( [12-Oct-2004] $)

    $( A supremum belongs to its base class (closure law). $)
    supcl $p |- ( E. x e. A ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) ->
                sup ( B , A , R ) e. A ) $=
      ( cv wbr wn wral wrex wi wa crab cuni csup wreu wcel supeu reucl syl
      df-sup syl5eqel ) AHZBHZFIJBEKUFUEFIUFCHFICELMBDKNZADLZUGADOPZDEDFQUHUGAD
      RUIDSABCDEFGTUGADUAUBABCDEFUCUD $.
      $( [13-Oct-2004] $) $( [12-Oct-2004] $)

    $( A supremum is an upper bound. $)
    supub $p |- ( E. x e. A ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) ->
                 ( C e. B -> -. sup ( B , A , R ) R C ) ) $=
      ( vw wcel cv wbr wn wral wrex wi wa csup wceq breq2 negbid imbi2d rcla4v
      crab cuni df-sup eqcomi wreu wb breq1 ralbidv imbi1d anbi12d reuuni2
      supcl supeu sylanc mpbiri pm3.26d syl5 vtoclga com12 ) FEJAKZBKZGLZMZBENZ
      VDVCGLZVDCKGLCEOZPZBDNZQZADOZEDGRZFGLZMZVMVNIKZGLZMZPVMVPPIFEVQFSZVSVPVMV
      TVRVOVQFVNGTUAUBVQEJVNVDGLZMZBENZVSVMWBVSBVQEVDVQSWAVRVDVQVNGTUAUCVMWCVDV
      NGLZVIPZBDNZVMWCWFQZVLADUDUEZVNSZVNWHABCDEGUFUGVNDJVLADUHWGWIUIVMVLWGADVN
      VCVNSZVGWCVKWFWJVFWBBEWJVEWAVCVNVDGUJUAUKWJVJWEBDWJVHWDVIVCVNVDGTULUKUMUN
      ABCDEGHUOABCDEGHUPUQURUSUTVAVB $.
      $( [13-Oct-2004] $) $( [12-Oct-2004] $)

    ${
      $d z C $.
      $( A supremum is the least upper bound. $)
      suplub $p |- ( E. x e. A ( A. y e. B -. x R y /\
                      A. y e. A ( y R x -> E. z e. B y R z ) ) ->
                    ( ( C e. A /\ C R sup ( B , A , R ) ) ->
                      E. z e. B C R z ) ) $=
        ( vw cv wbr wn wral wrex wi wa wcel csup wceq breq1 rexbidv imbi12d
        imbi2d rcla4v crab cuni df-sup eqcomi wreu wb negbid ralbidv breq2
        imbi1d anbi12d reuuni2 supcl supeu sylanc mpbiri pm3.27d syl5 vtoclga
        com12 imp3a ) AJZBJZGKZLZBEMZVGVFGKZVGCJZGKZCENZOZBDMZPZADNZFDQZFEDGRZG
        KZFVLGKZCENZVSVRWAWCOZVRIJZVTGKZWEVLGKZCENZOZOVRWDOIFDWEFSZWIWDVRWJWFWA
        WHWCWEFVTGTWJWGWBCEWEFVLGTUAUBUCWEDQVGVTGKZVNOZBDMZWIVRWLWIBWEDVGWESZWK
        WFVNWHVGWEVTGTWNVMWGCEVGWEVLGTUAUBUDVRVTVGGKZLZBEMZWMVRWQWMPZVQADUEUFZV
        TSZVTWSABCDEGUGUHVTDQVQADUIWRWTUJVRVQWRADVTVFVTSZVJWQVPWMXAVIWPBEXAVHWO
        VFVTVGGTUKULXAVOWLBDXAVKWKVNVFVTVGGUMUNULUOUPABCDEGHUQABCDEGHURUSUTVAVB
        VCVDVE $.
        $( [14-Oct-2004] $) $( [13-Oct-2004] $)

      $( An upper bound is not less than the supremum. $)
      supnub $p |- ( E. x e. A ( A. y e. B -. x R y /\
                      A. y e. A ( y R x -> E. z e. B y R z ) ) ->
                    ( ( C e. A /\ A. z e. B -. C R z ) ->
                      -. C R sup ( B , A , R ) ) ) $=
        ( cv wbr wn wral wrex wi wa wcel csup suplub exp3a imp dfrex2 syl6ib
        con2d ex imp3a ) AIZBIZGJKBELUGUFGJUGCIZGJCEMNBDLOADMZFDPZFUHGJZKCELZFE
        DGQGJZKZUIUJULUNNUIUJOZUMULUOUMUKCEMZULKUIUJUMUPNUIUJUMUPABCDEFGHRSTUKC
        EUAUBUCUDUE $.
        $( [14-Oct-2004] $) $( [13-Oct-2004] $)
    $}
  $}

  ${
    $d x y z w A $.  $d x y z w R $.  $d x y z w B $.  $d w C $.
    sup.1 $e |- R Or A $.
    sup.2 $e |- E. x e. A ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) $.
    $( A supremum is unique.  Similar to Theorem I.26 of [Apostol] p. 24 (but
       for suprema in general). $)
    supeui $p |- E! x e. A ( A. y e. B -. x R y /\
                  A. y e. A ( y R x -> E. z e. B y R z ) ) $=
      ( cv wbr wn wral wrex wi wa wreu supeu ax-mp ) AIZBIZFJKBELTSFJTCIFJCEMNB
      DLOZADMUAADPHABCDEFGQR $.
      $( [23-May-1999] $)

    $( A supremum belongs to its base class (closure law). $)
    supcli $p |- sup ( B , A , R ) e. A $=
      ( cv wbr wn wral wrex wi wa csup wcel supcl ax-mp ) AIZBIZFJKBELUATFJUACI
      FJCEMNBDLOADMEDFPDQHABCDEFGRS $.
      $( [23-May-1999] $)

    $( A supremum is an upper bound. $)
    supubi $p |- ( C e. B -> -. sup ( B , A , R ) R C ) $=
      ( cv wbr wn wral wrex wi wa wcel csup supub ax-mp ) AJZBJZGKLBEMUBUAGKUBC
      JGKCENOBDMPADNFEQEDGRFGKLOIABCDEFGHST $.
      $( [23-May-1999] $)

    ${
      $d z C $.
      $( A supremum is the least upper bound. $)
      suplubi $p |- ( ( C e. A /\ C R sup ( B , A , R ) ) ->
                    E. z e. B C R z ) $=
        ( cv wbr wn wral wrex wi wa wcel csup suplub ax-mp ) AJZBJZGKLBEMUBUAGK
        UBCJZGKCENOBDMPADNFDQFEDGRGKPFUCGKCENOIABCDEFGHST $.
        $( [23-May-1999] $)

      $( An upper bound is not less than the supremum. $)
      supnubi $p |- ( ( C e. A /\ A. z e. B -. C R z ) ->
                   -. C R sup ( B , A , R ) ) $=
        ( cv wbr wn wral wrex wi wa wcel csup supnub ax-mp ) AJZBJZGKLBEMUBUAGK
        UBCJZGKCENOBDMPADNFDQFUCGKLCEMPFEDGRGKLOIABCDEFGHST $.
        $( [23-May-1999] $)
    $}
  $}

  ${
    $d x A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.
    $( A set that contains a greatest element satisfies the antecedent in
       supremum theorems.  This allows ` sup ( A , B , R ) ` to be used in some
       situations without the completeness axiom.  (Contributed by Jeff
       Hoffman, 17-Jun-2008.) $)
    supmaxlem $p |- (  (  C e. A /\ C e. B /\ A. z e. B -. C R z ) -> E. x e. A
         (  A. y e. B -. x R y /\ A. y e. A ( y R x -> E. z e. B y R z ) ) ) $=
      ( wcel cv wbr wn wral wrex wi wa wceq breq1 negbid ralbidv breq2 imbi1d
      anbi12d rcla4ev cbvralv biimp ex a1d r19.21aiv anim12i ancoms sylan2
      3impb ) FDHZFEHZFCIZGJZKZCELZAIZBIZGJZKZBELZUTUSGJZUTUOGJZCEMZNZBDLZOZADM
      ZUMFUTGJZKZBELZUTFGJZVFNZBDLZOZVJUNUROVIVQAFDUSFPZVCVMVHVPVRVBVLBEVRVAVKU
      SFUTGQRSVRVGVOBDVRVDVNVFUSFUTGTUASUBUCURUNVQURVMUNVPURVMUQVLCBEUOUTPUPVKU
      OUTFGTRUDUEUNVOBDUNVOUTDHUNVNVFVEVNCFEUOFUTGTUCUFUGUHUIUJUKUL $.
      $( [1-Jul-2008] $) $( [17-Jun-2008] $)
  $}

  ${
    $d A x y z $.  $d B x y z $.  $d C x y z $.  $d R x y z $.
    supmax.1 $e  |- R Or A $.
    $( The greatest element of a set is its supremum.  Note that the converse
       is not true; the supremum might not be an element of the set considered.
       (Contributed by Jeff Hoffman, 17-Jun-2008.) $)
    supmax $p    |- ( (  C e. A /\ C e. B /\ A. y e. B -. C R y )
                           -> sup ( B , A , R ) = C ) $=
      ( vx vz wcel cv wbr wn wral w3a csup wceq wa wrex wi supub supmaxlem
      3simp2 sylc supnub 3simpb jca wb wor sotrieq2 mpan supcl syl 3simp1
      sylanc mpbird ) DBIZDCIZDAJZEKLACMZNZCBEOZDPZVADEKLZDVAEKLZQZUTVCVDGJZHJZ
      EKLHCMVGVFEKVGUREKACRSHBMQGBRZUQVCUTGHABCDEFTGHABCDEUAZUPUQUSUBUCVHUPUSQV
      DUTGHABCDEFUDVIUPUQUSUEUCUFVABIZUPVBVEUGZUTBEUHVJUPQVKFBVADEUIUJUTVHVJVIG
      HABCEFUKULUPUQUSUMUNUO $.
      $( [1-Jul-2008] $) $( [17-Jun-2008] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.
    suppr.1 $e |- R Or A $.
    $( The supremum of a pair. $)
    suppr $p |- ( ( B e. A /\ C e. A ) -> sup ( { B , C } , A , R ) =
                if ( C R B , B , C ) ) $=
      ( vx vy vz wcel wa cv wbr wn cpr wral wrex wi crab cuni cif csup wceq wo
      breq2 negbid wor sonr mpan ad2antrr syl5cbir so2nr imnan sylibr ancoms
      imp jaod wb iftrue breq1d adantl sylibrd pm3.27 ad2antlr iffalse
      pm2.61dan visset elpr syl5ib r19.21aiv rcla4ev ifpr sylan ex a1d jca
      wreu breq1 ralbidv imbi1d anbi12d reuuni2 ifcl wmo sylanc supmo jctir
      reu5 mpbid df-sup syl5eq ) BAIZCAIZJZFKZGKZDLZMZGBCNZOZWOWNDLZWOHKZDLZHWR
      PZQZGAOZJZFARSZCBDLZBCTZWRADUAWMXIWODLZMZGWROZWOXIDLZXCQZGAOZJZXGXIUBZWMX
      LXOWMXKGWRWMWOBUBZWOCUBZUCZXKWOWRIWMXHXTXKQWMXHJZXTBWODLZMZXKYAXRYCXSXRYC
      BBDLZMZYAXRYBYDWOBBDUDUEWKYEWLXHADUFZWKYEEABDUGUHUIUJXSYCBCDLZMZYAXSYBYGW
      OCBDUDUEWMXHYHWLWKXHYHQZWLWKJZXHYGJMZYIYFYJYKEACBDUKUHXHYGULUMUNUOUJUPXHX
      KYCUQWMXHXJYBXHXIBWODXHBCURUSUEUTVAWMXHMZJZXTCWODLZMZXKYMXRYOXSXRYOYLYMXR
      YNXHWOBCDUDUEWMYLVBUJXSYOCCDLZMZYMXSYNYPWOCCDUDUEWLYQWKYLYFWLYQEACDUGUHVC
      UJUPYLXKYOUQWMYLXJYNYLXICWODXHBCVDUSUEUTVAVEWOBCGVFVGVHVIWMXNGAWMXNWOAIWM
      XMXCXIWRIXMXCWMXBXMHXIWRXAXIWODUDVJXHBCAAVKVLVMVNVIVOZXIAIZXFFAVPZXPXQUQW
      MXFXPFAXIWNXIUBZWSXLXEXOUUAWQXKGWRUUAWPXJWNXIWODVQUEVRUUAXDXNGAUUAWTXMXCW
      NXIWODUDVSVRVTZWAXHBCAWBZWMXFFAPZWNAIXFJFWCZJYTWMUUDUUEYSXPUUDWMXFXPFXIAU
      UBVJUUCYRWDFGHAWRDEWEWFXFFAWGUMWDWHFGHAWRDWIWJ $.
      $( [21-Jun-2007] $) $( [17-Jun-2007] $)

    $( The supremum of a singleton. $)
    supsn $p |- ( B e. A -> sup ( { B } , A , R ) = B ) $=
      ( wcel csn csup wbr cif cpr wceq suppr anidms dfsn2 supeq1 ax-mp syl5eq
      ifid syl6eq ) BAEZBFZACGZBBCHZBBIZBTBBJZACGZUDUBTUFUDKABBCDLMUAUEKUBUFKBN
      AUAUECOPQUCBRS $.
      $( [4-Oct-2007] $) $( [2-Oct-2007] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z R $.
    supsn.1 $e |- R Or A $.
    $( TO BE REVISED - delete this? $)
    $( The supremum of a singleton.  This version of ~ supsn is proved
       directly. $)
    supsnALT $p |- ( B e. A -> sup ( { B } , A , R ) = B ) $=
      ( vx vy vz wcel cv wbr wn csn wral wrex wi wa crab cuni csup wceq elsni
      breq2 negbid wor sonr mpan syl5bir syl com12 r19.21aiv rcla4ev snidg
      sylan ex a1d jca wreu wb wmo breq1 ralbidv imbi1d anbi12d mpdan supmo
      jctir reu5 sylibr reuuni2 mpbid df-sup syl5eq ) BAHZEIZFIZCJZKZFBLZMZVOVN
      CJZVOGIZCJZGVRNZOZFAMZPZEAQRZBVRACSVMBVOCJZKZFVRMZVOBCJZWCOZFAMZPZWGBTZVM
      WJWMVMWIFVRVOVRHZVMWIWPVOBTZVMWIOVOBUAWQWIBBCJZKZVMWQWHWRVOBBCUBUCACUDVMW
      SDABCUEUFUGUHUIUJVMWLFAVMWLVOAHVMWKWCBVRHWKWCVMWBWKGBVRWABVOCUBUKBAULUMUN
      UOUJUPZVMWFEAUQZWNWOURVMWFEANZVNAHWFPEUSZPXAVMXBXCVMWNXBWTWFWNEBAVNBTZVSW
      JWEWMXDVQWIFVRXDVPWHVNBVOCUTUCVAXDWDWLFAXDVTWKWCVNBVOCUBVBVAVCZUKVDEFGAVR
      CDVEVFWFEAVGVHWFWNEABXEVIVDVJEFGAVRCVKVL $.
      $( [23-May-1999] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
             ZF Set Theory - add the Axiom of Regularity
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Introduce the Axiom of Regularity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Axiom of Regularity.  An axiom of Zermelo-Fraenkel set theory.  Also
       called the Axiom of Foundation.  A rather non-intuitive axiom that
       denies more than it asserts, it states (in the form of ~ zfreg ) that
       every non-empty set contains a set disjoint from itself.  One
       consequence is that it denies the existence of a set containing itself
       ( ~ elirrv ).  A stronger version that works for proper classes is
       proved as ~ zfregs . $)
    ax-reg $a |- ( E. y y e. x ->
                 E. y ( y e. x /\ A. z ( z e. y -> -. z e. x ) ) ) $.

    $( Axiom of Regularity expressed more compactly. $)
    axreg $p |- ( x e. y ->
                 E. x ( x e. y /\ A. z ( z e. x -> -. z e. y ) ) ) $=
      ( cv wcel wn wi wal wa wex ax-reg 19.23bi ) ADZBDZEZOCDZMEPNEFGCHIAJABACK
      L $.
      $( [14-Aug-2003] $)
  $}

  ${
    $d x y A z $.
    zfregcl.1 $e |- A e. V $.
    $( The Axiom of Regularity with class variables. $)
    zfregcl $p |- ( E. x x e. A -> E. x e. A A. y e. x -. y e. A ) $=
      ( vz cv wcel wex wn wral wrex wi wceq eleq2 exbidv negbid ralbidv rexeqd
      imbi12d hbre1 wal wa axreg df-ral rexbii df-rex bitr2 sylib 19.23ai
      vtocl ) AFZEFZGZAHZBFZULGZIZBUKJZAULKZLUKCGZAHZUOCGZIZBUKJZACKZLECDULCMZU
      NVAUSVEVFUMUTAULCUKNOURVDAULCVFUQVCBUKVFUPVBULCUONPQRSUMUSAURAULTUMUMUOUK
      GUQLBUAZUBAHZUSAEBUCUSVGAULKVHURVGAULUQBUKUDUEVGAULUFUGUHUIUJ $.
      $( [7-May-2004] $) $( [5-Aug-1994] $)
  $}

  ${
    $d x A y $.
    zfreg.1 $e |- A e. V $.
    $( The Axiom of Regularity using abbreviations.  Axiom 6 of [TakeutiZaring]
       p. 21.  This is called the "weak form."  There is also a
       "strong form," not requiring that ` A ` be a set, that can be proved
       with more difficulty (see ~ zfregs ). $)
    zfreg $p |- ( A =/= (/) -> E. x e. A ( x i^i A ) = (/) ) $=
      ( vy cv wcel wex wn wral wrex c0 wne cin wceq zfregcl ne0 disj rexbii
      3imtr4 ) AEZBFAGDEBFHDTIZABJBKLTBMKNZABJADBCOABPUBUAABDTBQRS $.
      $( [11-Apr-2007] $) $( [26-Nov-1995] $)
  $}

  ${
    $d x A y $.
    zfreg2.1 $e |- A e. V $.
    $( The Axiom of Regularity using abbreviations.  This form with the
       intersection arguments commuted (compared to ~ zfreg ) is formally
       more convenient for us in some cases.  Axiom Reg of [BellMachover]
       p. 480. $)
    zfreg2 $p |- ( A =/= (/) -> E. x e. A ( A i^i x ) = (/) ) $=
      ( vy cv wcel wex wn wral wrex c0 wne cin wceq zfregcl ne0 incom eqeq1i
      disj bitr rexbii 3imtr4 ) AEZBFAGDEBFHDUCIZABJBKLBUCMZKNZABJADBCOABPUFUDA
      BUFUCBMZKNUDUEUGKBUCQRDUCBSTUAUB $.
      $( [12-Apr-2007] $) $( [17-Sep-2003] $)
  $}

  ${
    $d x y z $.
    $( The membership relation is irreflexive:  no set is a member of itself.
       Theorem 105 of [Suppes] p. 54.  (This is trivial to prove from ~ zfregfr
       and ~ efrirr , but this proof is direct from the Axiom of
       Regularity.) $)
    elirrv $p |- -. x e. x $=
      ( vz vy cv wcel csn wn wral wrex wex eleq1 visset snid a4eiv snex
      zfregcl ax-mp wceq wi ax-14 equcoms com12 elsn syl5ib negbid rcla4cv
      mt2i nsyli con2d r19.21aiv ralnex sylib mt2 ) ADZUNEZBDZUNFZEZGZBCDZHZCUQ
      IZUTUQEZCJVBVCUNUQEZCAUTUNUQKUNALMZNCBUQUNOPQUOVAGZCUQHVBGUOVFCUQUOVAVCUO
      VCUNUTEZVAUOUTUNRZVGVCVHUOVGUOVGSACACATUAUBCUNUCUDVAVGVDVEUSVDGBUNUTUPUNR
      URVDUPUNUQKUEUFUGUHUIUJVACUQUKULUM $.
      $( [19-Aug-1993] $)
  $}

  ${
    $d A x $.
    $( No class is a member of itself.  Exercise 6 of [TakeutiZaring] p. 22. $)
    elirr $p |- -. A e. A $=
      ( vx wcel wn wi cv wceq eleq2 eleq1 bitrd negbid elirrv vtoclg pm2.01
      ax-mp ) AACZPDZEQBFZRCZDQBAARAGZSPTSRACPRARHRAAIJKBLMPNO $.
      $( [7-Aug-1994] $)

    $( A class is equal to its successor iff it is a proper class (assuming the
       Axiom of Regularity). $)
     sucprcreg $p |- ( -. A e. V <-> suc A = A ) $=
       ( vx cvv wcel wn csuc wceq sucprc cv wi wal elirr ax-17 eleq1 ceqsalg
       mtbiri csn wo cun wss ssid wb df-suc eqeq1i sseq1 sylbi mpbiri sseld
       elun syl5ibr olc syl5 elsn 19.21aiv nsyl3 impbi ) ACDZEAFZAGZAHUQBIZAGZU
       TADZJZBKZUSUQVDAADZALVBVEBACVEBMUTAANOPUSVCBUSUTAQZDZVBVAUSVBVGRZVBVGUSU
       TAVFSZDVBVHUSVIAUTUSVIATZAATZAUAUSVIAGVJVKUBURVIAAUCUDVIAAUEUFUGUHUTAVFU
       IUJVGVBUKULBAUMUJUNUOUP $.
       $( [6-Jan-2004] $) $( [9-Jul-2004] $)
  $}

  ${
    $d x y A $.
    $( The epsilon relation is founded on any class. $)
    zfregfr $p |- E Fr A $=
      ( vx vy cep wfr cv wss c0 wne wa cin wceq wrex wi dfepfr visset zfreg2
      adantl mpgbir ) ADEBFZAGZTHIZJTCFKHLCTMZNBBCAOUBUCUACTBPQRS $.
      $( [26-Nov-1995] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( No class has 2-cycle membership loops.  Theorem 7X(b) of [Enderton]
       p. 206. $)
    en2lp $p |- -. ( A e. B /\ B e. A ) $=
      ( vx vy cvv wcel wa wn cv wceq eleq1 eleq2 anbi12d negbid cep wfr
      zfregfr visset pm3.2i efrn2lp mp2an vtocl2g elisset anim12i con3i
      pm2.61i ) AEFZBEFZGZABFZBAFZGZHZCIZDIZFZUOUNFZGZHZAUOFZUOAFZGZHUMCDABEEUN
      AJZURVBVCUPUTUQVAUNAUOKUNAUOLMNUOBJZVBULVDUTUJVAUKUOBALUOBAKMNEOPUNEFZUOE
      FZGUSEQVEVFCRDRSCDETUAUBULUIUJUGUKUHABUCBAUCUDUEUF $.
      $( [16-Oct-1996] $)

  $}

  ${
    preleq.1 $e |- A e. V $.
    preleq.2 $e |- B e. V $.
    preleq.3 $e |- C e. V $.
    preleq.4 $e |- D e. V $.
    $( Equality of two unordered pairs when one member of each pair contains
       the other member. $)
    preleq $p |- ( ( ( A e. B /\ C e. D ) /\ { A , B } = { C , D } ) ->
                   ( A = C /\ B = D ) ) $=
      ( cpr wceq wcel wa wn wo preq12b biimp ord en2lp eleq12 anbi1d mtbiri
      syl6 a3d impcom ) ABICDIJZABKZCDKZLZACJBDJLZUEUIUHUEUIMADJBCJLZUHMUEUIUJU
      EUIUJNABCDEFGHOPQUJUHDCKZUGLDCRUJUFUKUGADBCSTUAUBUCUD $.
      $( [16-Oct-1996] $)

    $( Theorem for alternate representation of ordered pairs, requiring
       Regularity.  Exercise 34 of [Enderton] p. 207. $)
    opthreg $p |- ( { A , { A , B } } = { C , { C , D } } <->
                   ( A = C /\ B = D ) ) $=
      ( cpr wceq wa wcel pri1 prex preleq mpanl12 preq1 eqeq1d preqr2 syl6bi
      imdistani syl adantr preq2 sylan9eq eqtrd impbi ) AABIZIZCCDIZIZJZACJZBDJ
      ZKZULUMUHUJJZKZUOAUHLCUJLULUQABEMCDGMAUHCUJEABNGCDNOPUMUPUNUMUPCBIZUJJUNU
      MUHURUJACBQZRBDCFHSTUAUBUOUICUHIZUKUMUIUTJUNACUHQUCUOUPUTUKJUMUNUHURUJUSB
      DCUDUEUHUJCUDUBUFUG $.
      $( [16-Oct-1996] $)
  $}

  $( The successor operation behaves like a one-to-one function (assuming the
     Axiom of Regularity).  Exercise 35 of [Enderton] p. 208 and its
     converse. $)
  suc11reg $p |- ( suc A = suc B <-> A = B ) $=
    ( csuc wceq cvv wcel wi wa wn wo en2lp ianor mpbi eleq2 sucidg syl5cbi
    elsucg sylibd imp ord ex com23 syl5cbir eqcom syl6ib jaao mpi nelneq
    sucexb negbii syl2anb pm2.21d ancoms syl5ib sucprc eqeqan12d biimpd 4cases
    suceq impbi ) ACZBCZDZABDZAEFZBEFZVCVDGZVEVFHABFZIZBAFZIZJZVGVHVJHIVLABKVHV
    JLMVEVIVGVFVKVEVCVIVDVEVCVIVDGVEVCHVHVDVEVCVHVDJZVEVCAVBFZVMVCAVAFVNVEVAVBA
    NAEOPABEQRSTUAUBVFVCVKVDVFVCVKVDGVFVCHZVKBADZVDVOVJVPVFVCVJVPJZVFVCBVAFZVQV
    CVRBVBFVFVAVBBNBEOUCBAEQRSTBAUDUEUAUBUFUGVEVFIZHVCVDVAEFZVBEFZIVCIVEVSVAVBE
    UHAUIZVFWABUIZUJUKULVEIZVFHZVBVADZVDVCWEWFVDVFWDWFIZWAVTIWGVFWDVBVAEUHWCVEV
    TWBUJUKUMULVAVBUDUNWDVSHVCVDWDVSVAAVBBAUOBUOUPUQURABUSUT $.
    $( [27-Oct-2003] $) $( [25-Oct-2003] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Axiom of Infinity equivalents
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( First we prove the equivalence of our version of Infinity with
     some others. $)

  ${
    $d x y z w v u f $.
    inf0.1 $e |- om e. V $.
    $( Our Axiom of Infinity derived from existence of omega.  The proof shows
       that the especially contrived class
       " ` ran ( rec ( { <. v , u >. | u = suc v } , x ) |`` om ) ` " exists,
       is a subset of its union, and contains a given set ` x ` (and thus is
       non-empty).  Thus it provides an example demonstrating that a set ` y `
       exists with the necessary properties demanded by ~ ax-inf . $)
    inf0 $p |- E. y ( x e. y /\ A. z ( z e. y -> E. w ( z e. w /\ w e. y )
                   ) ) $=
      ( vu vv vf cv csuc wceq copab crdg com cres crn wcel wa wex wi wal c0
      cfv cvv visset fr0t ax-mp wfn frfnom peano1 fnfvelrn mp2an eqeltrr wrex
      wb fvelrnb eleq1 fvex sucex ax-17 hbopab1 hbrdg hbres hbfv hbsuc eqid
      suceq frsucopab mpan2 sucid syl5eleqr syl5bi peano2b mpan sylbi a1i jcad
      eleq2 anbi12d cla4ev syl6com r19.23aiv ax-gen cdm wfun fndm eqeltr fnfun
      funrnex mp2 anbi2d exbidv imbi12d albidv ) AIZFIGIZJZKZGFLZWOMZNOZPZQZCIZ
      XBQZXDDIZQZXFXBQZRZDSZTZCUAZWOBIZQZXDXMQZXGXFXMQZRZDSZTZCUAZRZBSUBXAUCZWO
      XBWOUDQYBWOKAUEWOUDWSUFUGXANUHZUBNQYBXBQWOWSUIZUJNUBXAUKULUMXKCXEHIZXAUCZ
      XDKZHNUNZXJYCXEYHUOYDHNXDXAUPUGYGXJHNYGYENQZXDYEJZXAUCZQZYKXBQZRZXJYGYIYL
      YMYGYFYKQYLYIYFXDYKUQYIYFJZYKYFYIYOUDQYKYOKYFYEXAURZUSGFCWOYEWQYOUDXAXDWO
      QGUTZXDYEQGUTZGCYFGCYEXAGCWTNGCWOWSWRGFCVAYQVBXDNQGUTVCYRVDVEXAVFWPYFVGVH
      VIYFYPVJVKVLYIYMTYGYIYJNQZYMYEVMYCYSYMYDNYJXAUKVNVOVPVQXIYNDYKYJXAURXFYKK
      XGYLXHYMXFYKXDVRXFYKXBUQVSVTWAWBVOWCYAXCXLRBXBXAWDZUDQXAWEZXBUDQYTNUDYCYT
      NKYDNXAWFUGEWGYCUUAYDNXAWHUGUDXAWIWJXMXBKZXNXCXTXLXMXBWOVRUUBXSXKCUUBXOXE
      XRXJXMXBXDVRUUBXQXIDUUBXPXHXGXMXBXFVRWKWLWMWNVSVTUL $.
      $( [2-Apr-2007] $) $( [15-Oct-1996] $)
  $}

  ${
    $d x y z $.
    inf1.1 $e |- E. x ( y e. x /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) $.
    $( Variation of Axiom of Infinity (using ~ axinf as a hypothesis).  Axiom
       of Infinity in [FreydScedrov] p. 283. $)
    inf1 $p |- E. x ( x =/= (/) /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) $=
      ( cv wcel wa wex wi wal c0 wne ne0i anim1i 19.22i ax-mp ) BEZAEZFZSQCEZFT
      RFGCHIBJZGZAHRKLZUAGZAHDUBUDASUCUARQMNOP $.
      $( [11-Apr-2007] $) $( [14-Oct-1996] $)

    $( Variation of Axiom of Infinity.  There exists a non-empty set that is a
       subset of its union (using ~ axinf as a hypothesis).  Abbreviated
       version of the Axiom of Infinity in [FreydScedrov] p. 283. $)
    inf2 $p |- E. x ( x =/= (/) /\ x (_ U. x ) $=
      ( cv c0 wne cuni wss wa wex wcel wi wal inf1 dfss2 eluni imbi2i albii
      bitr anbi2i exbii mpbir ) AEZFGZUDUDHZIZJZAKUEBEZUDLZUICEZLUKUDLJCKZMZBNZ
      JZAKABCDOUHUOAUGUNUEUGUJUIUFLZMZBNUNBUDUFPUQUMBUPULUJCUIUDQRSTUAUBUC $.
      $( [11-Apr-2007] $) $( [28-Oct-1996] $)
  $}

  ${
    $d x y z w v u f g $.  $d v u f g G $.  $d v u f g F $.  $d v u f g A $.
    $d v u f g B $.
    inf3lem.1 $e |- G =
         { <. y , z >. | z = { w e. x | ( w i^i x ) (_ y } } $.
    inf3lem.2 $e |- F = ( rec ( G , (/) ) |` om ) $.
    inf3lem.3 $e |- A e. V $.
    inf3lem.4 $e |- B e. V $.

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description. $)
    inf3lema $p |- ( A e. ( G ` B ) <-> ( A e. x /\ ( A i^i x ) (_ B ) ) $=
      ( vf vu vv cv cin wss cfv wceq ineq1 sseq1d crab copab id sseq2 rabbisdv
      cbvrabv syl6eq eqeqan12rd cbvopabv eqtr fveq1i visset rabex fvopab
      elrab2 ) MPZAPZQZFRZEUSQZFRMEUSFHSZURETUTVBFUREUSUAUBVCFNPZUTOPZRZMUSUCZT
      ZONUDZSVAMUSUCZFHVIHCPZDPZUSQZBPZRZDUSUCZTZBCUDVIIVQVHBCONVKVDTZVNVETZVKV
      DVPVGVRUEVSVPVMVERZDUSUCVGVSVOVTDUSVNVEVMUFUGVTVFDMUSVLURTVMUTVEVLURUSUAU
      BUHUIUJUKULUMONFVGVJLVAMUSAUNUOVEFTVFVAMUSVEFUTUFUGUPULUQ $.
      $( [28-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description. $)
    inf3lemb $p |- ( F ` (/) ) = (/) $=
      ( c0 cfv crdg com cres fveq1i cvv wcel wceq 0ex fr0t ax-mp eqtr ) MGNMHMO
      PQZNZMMGUFJRMSTUGMUAUBMSHUCUDUE $.
      $( [28-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description. $)
    inf3lemc $p |- ( A e. om -> ( F ` suc A ) = ( G ` ( F ` A ) ) ) $=
      ( com wcel csuc c0 crdg cres cfv frsuct fveq1i fveq2i 3eqtr4g ) EMNEOZHPQ
      MRZSEUESZHSUDGSEGSZHSPEHTUDGUEJUAUGUFHEGUEJUAUBUC $.
      $( [28-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description. $)
    inf3lemd $p |- ( A e. om -> ( F ` A ) (_ x ) $=
      ( vv vu com wcel cfv cv wss wi c0 wceq 0ss fveq2 inf3lemb syl6eq sseq1d
      mpbiri a1d wne wa csuc wrex nnsuc visset inf3lemc eleq2d cin fvex
      inf3lema pm3.26bi syl6bi ssrdv syl5cbir r19.23aiv syl expcom pm2.61ine )
      EOPZEGQZARZSZTEUAEUAUBZVLVIVMVLUAVKSVKUCVMVJUAVKVMVJUAGQUAEUAGUDABCDEFGHI
      JKLUEUFUGUHUIVIEUAUJZVLVIVNUKEMRZULZUBZMOUMVLMEUNVQVLMOVQVLVPGQZVKSVOOPZV
      QVJVRVKEVPGUDUGVSNVRVKVSNRZVRPVTVOGQZHQZPZVTVKPZVSVRWBVTABCDVOFGHIJMUOLUP
      UQWCWDVTVKURWASABCDVTWAGHIJNUOVOGUSUTVAVBVCVDVEVFVGVH $.
      $( [28-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description. $)
    inf3lem1 $p |- ( A e. om -> ( F ` A ) (_ ( F ` suc A ) ) $=
      ( vv vu cv cfv csuc wss c0 wceq fveq2 suceq fveq2d sseq12d inf3lemb 0ss
      eqsstr com wcel wa wi cin visset inf3lemc eleq2d fvex inf3lema syl6bb
      peano2b sucex sylbi imbi12d sstr2 com12 anim2d syl5bir imp ssrdv ex
      finds ) MOZGPZVKQZGPZRSGPZSQZGPZRNOZGPZVRQZGPZRZWAVTQZGPZRZEGPZEQZGPZRMNE
      VKSTZVLVOVNVQVKSGUAWIVMVPGVKSUBUCUDVKVRTZVLVSVNWAVKVRGUAWJVMVTGVKVRUBUCUD
      VKVTTZVLWAVNWDVKVTGUAWKVMWCGVKVTUBUCUDVKETZVLWFVNWHVKEGUAWLVMWGGVKEUBUCUD
      VOSVQABCDEEGHIJKKUEVQUFUGVRUHUIZWBWEWMWBUJMWAWDWMWBVKWAUIZVKWDUIZUKZWMWPV
      KAOZUIZVKWQULZVSRZUJZWRWSWARZUJZUKWBWMWNXAWOXCWMWNVKVSHPZUIXAWMWAXDVKABCD
      VRVRGHIJNUMZXEUNUOABCDVKVSGHIJMUMZVRGUPUQURWMWOVKWAHPZUIXCWMWDXGVKWMVTUHU
      IWDXGTVRUSABCDVTVRGHIJVRXEUTXEUNVAUOABCDVKWAGHIJXFVTGUPUQURVBWBWTXBWRWTWB
      XBWSVSWAVCVDVEVFVGVHVIVJ $.
      $( [28-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description. $)
    inf3lem2 $p |- ( ( x =/= (/) /\ x (_ U. x ) ->
                    ( A e. om -> ( F ` A ) =/= x ) ) $=
      ( vv vu vf com wcel cv c0 wne cuni wss wa cfv wi csuc wceq fveq2 neeq1d
      imbi2d inf3lemb eqeq1i eqcom bitr biimp necon3i adantr wn wex ssel eluni
      syl6ib visset inf3lemc eleq2d cin fvex inf3lema pm3.27bi sseld elin
      syl5ibr syl6bi eleq2 biimparc syl5 com23 exp4a exp3a com34 imp3a
      19.23adv sylan9r pm2.43d id necon3bd syl6 wpss df-pss pssnel sylbir
      inf3lemd sylani exp4b pm2.43a adantld a2d finds com12 ) EPQARZSTZWTWTUAZU
      BZUCZEGUDZWTTZXDMRZGUDZWTTZUEXDSGUDZWTTZUEXDNRZGUDZWTTZUEXDXLUFZGUDZWTTZU
      EXDXFUEMNEXGSUGZXIXKXDXRXHXJWTXGSGUHUIUJXGXLUGZXIXNXDXSXHXMWTXGXLGUHUIUJX
      GXOUGZXIXQXDXTXHXPWTXGXOGUHUIUJXGEUGZXIXFXDYAXHXEWTXGEGUHUIUJXAXKXCXJWTWT
      SXJWTUGZWTSUGZYBSWTUGYCXJSWTABCDEFGHIJKLUKULSWTUMUNUOUPUQXLPQZXDXNXQYDXCX
      NXQUEZXAXCYDYEYDXCYDXNXQYDXCUCZXMWTUBZXNXQYDYFXGWTQZXGXMQZURZUCZMUSZXQYGX
      NUCZYFYKXQMYFYHYJXQYFYHXPWTUGZYIUEZYJXQUEYFYHYOXCYHXGORZQZYPWTQZUCZOUSZYD
      YHYOUEZXCYHXGXBQYTWTXBXGUTOXGWTVAVBYDYSUUAOYDYQYRUUAYDYQYHYRYOYDYQYHYRYOU
      EYDYQYHUCZYRYNYIYDYRYNUCZUUBYIYDYPXPQZUUBYIUEZUUCYDUUDYPXMHUDZQZUUEYDXPUU
      FYPABCDXLFGHIJNVCZLVDVEUUGXGYPWTVFZQYIUUBUUGUUIXMXGUUGYRUUIXMUBABCDYPXMGH
      IJOVCXLGVGVHVIVJXGYPWTVKVLVMYNUUDYRXPWTYPVNVOVPVQVRVSVTWAWBWCWDYOYIXPWTYO
      WEWFWGWAWBYMXMWTWHYLXMWTWIMXMWTWJWKVPABCDXLFGHIJUUHLWLWMWNWOWPWQWRWS $.
      $( [28-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  In the proof, we invoke the Axiom of
       Regularity in the form of ~ zfreg . $)
    inf3lem3 $p |- ( ( x =/= (/) /\ x (_ U. x ) ->
                    ( A e. om -> ( F ` A ) =/= ( F ` suc A ) ) ) $=
      ( vv com wcel cv c0 wne cuni wss wa cfv csuc cdif inf3lem2 com12
      inf3lemd jctild pssdifn0 syl6 cin wceq wrex wn inf3lemc eleq2d eldifi
      inssdif0 biimpr anim12i visset fvex inf3lema sylibr syl5bir wi eldifn
      adantr a1i jcad eleq2 biimprd iman sylib necon2ai exp3a r19.23adv difss
      ssexi zfreg syl5 syld ) ENOZAPZQRWDWDSTUAZEGUBZEUCGUBZRZWCWEWDWFUDZQRZWHW
      CWEWFWDTZWFWDRZUAWJWCWEWLWKWEWCWLABCDEFGHIJKLUEUFABCDEFGHIJKLUGUHWFWDUIUJ
      WCMPZWIUKQULZMWIUMWHWJWCWNWHMWIWCWMWIOZWNWHWCWOWNUAZWMWGOZWMWFOZUNZUAZWHW
      CWPWQWSWCWQWMWFHUBZOZWPWCWGXAWMABCDEFGHIJKLUOUPWPWMWDOZWMWDUKWFTZUAXBWOXC
      WNXDWMWDWFUQXDWNWMWDWFURUSUTABCDWMWFGHIJMVAEGVBVCVDVEWPWSVFWCWOWSWNWMWDWF
      VGVHVIVJWTWFWGWFWGULZWQWRVFWTUNXEWRWQWFWGWMVKVLWQWRVMVNVOUJVPVQMWIWIWDAVA
      WDWFVRVSVTWAWBUF $.
      $( [29-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description. $)
    inf3lem4 $p |- ( ( x =/= (/) /\ x (_ U. x ) ->
                    ( A e. om -> ( F ` A ) (. ( F ` suc A ) ) ) $=
      ( cv c0 wne cuni wss wa com wcel cfv csuc wpss wi inf3lem1 a1i inf3lem3
      jcad df-pss syl6ibr ) AMZNOUKUKPQRZESTZEGUAZEUBGUAZQZUNUOOZRUNUOUCULUMUPU
      QUMUPUDULABCDEFGHIJKLUEUFABCDEFGHIJKLUGUHUNUOUIUJ $.
      $( [29-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description. $)
    inf3lem5 $p |- ( ( x =/= (/) /\ x (_ U. x ) ->
                    ( ( A e. om /\ B e. A ) -> ( F ` B ) (. ( F ` A ) ) ) $=
      ( vv vu com wcel wa cv c0 wne cuni wss cfv wpss wi elnn ancoms csuc word
      nnord ordsucss syl adantr wceq fveq2 psseq2d imbi2d peano2b inf3lem4
      com12 sylbir visset psstr expcom syl6com a2d ad2antrr findsg ex sylan2b
      syld com23 imp mpd ) EOPZFEPZQZARZSTVRVRUAUBQZFGUCZEGUCZUDZVQFOPZVSWBUEZV
      PVOWCFEUFUGVOVPWCWDUEVOWCVPWDVOWCVPWDUEVOWCQVPFUHZEUBZWDVOVPWFUEZWCVOEUIW
      GEUJFEUKULUMVOWEOPZWFWDUEWCVOWHQWFWDVSVTMRZGUCZUDZUEVSVTWEGUCZUDZUEZVSVTN
      RZGUCZUDZUEZVSVTWOUHZGUCZUDZUEZWDMNEWEWIWEUNZWKWMVSXCWJWLVTWIWEGUOUPUQWIW
      OUNZWKWQVSXDWJWPVTWIWOGUOUPUQWIWSUNZWKXAVSXEWJWTVTWIWSGUOUPUQWIEUNZWKWBVS
      XFWJWAVTWIEGUOUPUQWHWCWNFURZVSWCWMABCDFFGHIJLLUSUTVAWOOPZWRXBUEWHWEWOUBXH
      VSWQXAVSXHWPWTUDZWQXAUEABCDWOFGHIJNVBLUSWQXIXAVTWPWTVCVDVEVFVGVHVIXGVJVKV
      IVLVMVNUT $.
      $( [29-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description. $)
    inf3lem6 $p |- ( ( x =/= (/) /\ x (_ U. x ) -> F : om -1-1-> P~ x ) $=
      ( vv vu cv c0 wne cuni wss wa com cpw wf cfv wceq wi wral wf1 wcel wal
      wo wn wpss visset inf3lem5 dfpss2 pm3.27bi syl6 exp3a imp adantrl eqcom
      negbii sylib adantrr jaod con2d wb word ordtri3 nnord syl2an adantl
      sylibrd ex 19.21aivv r2al sylibr wfn crn crdg cres frfnom fneq1 mpbiri
      ax-mp wrex fvelrnb eleq1 inf3lemd fvex elpw syl5cbi r19.23aiv syl6bi
      ssrdv ancli df-f mpbir jctil f1fv ) AOZPQXBXBRSTZUAXBUBZGUCZMOZGUDZNOZGUD
      ZUEZXFXHUEZUFZNUAUGMUAUGZTUAXDGUHXCXMXEXCXFUAUIZXHUAUIZTZXLUFZNUJMUJXMXCX
      QMNXCXPXLXCXPTZXJXFXHUIZXHXFUIZUKZULZXKXRYAXJXRXSXJULZXTXCXOXSYCUFZXNXCXO
      YDXCXOXSYCXCXOXSTXGXIUMZYCABCDXHXFGHIJNUNZMUNZUOYEXGXISYCXGXIUPUQURUSUTVA
      XCXNXTYCUFZXOXCXNYHXCXNXTYCXCXNXTTXIXGUMZYCABCDXFXHGHIJYGYFUOYIXIXGUEZULZ
      YCYIXIXGSYKXIXGUPUQYJXJXIXGVBVCVDURUSUTVEVFVGXPXKYBVHZXCXFVIXHVIYLXNXOXFX
      HVJXFVKXHVKVLVMVNVOVPXLMNUAUAVQVRXEGUAVSZGVTZXDSZTZYMYPGHPWAUAWBZUEZYMJYR
      YMYQUAVSPHWCUAGYQWDWEWFYMYOYMNYNXDYMXHYNUIXGXHUEZMUAWGXHXDUIZMUAXHGWHYSYT
      MUAYSXGXDUIZYTXNXGXHXDWIXNXGXBSUUAABCDXFFGHIJYGLWJXGXBXFGWKWLVRWMWNWOWPWQ
      WFUAXDGWRWSWTMNUAXDGXAVR $.
      $( [29-Oct-1996] $)

    $( Lemma for our Axiom of Infinity => standard Axiom of Infinity.  See
       ~ inf3 for detailed description.  In the proof, we invoke the Axiom of
       Replacement in the form of ~ funrnex . $)
    inf3lem7 $p |- ( ( x =/= (/) /\ x (_ U. x ) -> om e. V ) $=
      ( cv c0 wne cuni wss wa com cpw wf1 cvv wcel inf3lem6 ccnv crn cdm wf
      wceq f1f fdm syl dfdm4 syl5eqr wfun funrnex frn visset pwex ssex 3syl
      df-rn syl5eqelr df-f1 pm3.27bi sylc eqeltrrd ) AMZNOVHVHPQRSVHTZGUAZSUBUC
      ABCDEFGHIJKLUDVJGUEZUFZSUBVJGUGZSVLVJSVIGUHZVMSUISVIGUJZSVIGUKULGUMUNVKUG
      ZUBUCVKUOZVLUBUCVJUBVKUPVJGUFZUBVPVJVNVRVIQVRUBUCVOSVIGUQVRVIVHAURUSUTVAG
      VBVCVJVNVQSVIGVDVEVFVGUL $.
      $( [29-Oct-1996] $)
  $}

  ${
    $d x y z w $.
    inf3.1 $e |- E. x ( x =/= (/) /\ x (_ U. x ) $.
    $( Note: the special <PRE> tag is handled by mmwtex.c. $)
    $( Our Axiom of Infinity ~ ax-inf implies the standard Axiom of Infinity.
       The hypothesis is a variant of our Axiom of Infinity provided by
       ~ inf2 , and the conclusion is the version of the Axiom of Infinity
       shown as Axiom 7 in [TakeutiZaring] p. 43.  (Other standard versions are
       proved later as ~ axinf2 and ~ zfinf .)  The main proof is provided by
       ~ inf3lema through ~ inf3lem7 , and this final piece eliminates the
       auxiliary hypothesis of ~ inf3lem7 .  This proof is due to
       Ian Sutherland, Richard Heck, and Norman Megill and was posted
       on Usenet as shown below.  Although the result is not new, the authors
       were unable to find a published proof.
<PRE>
(As posted to sci.logic on 30-Oct-1996, with annotations added.)

Theorem:  The statement "There exists a non-empty set that is a subset
of its union" implies the Axiom of Infinity.

Proof:  Let X be a nonempty set which is a subset of its union; the latter
property is equivalent to saying that for any y in X, there exists a z in X
such that y is in z.

Define by finite recursion a function F:omega-->(power X) such that
  F_0 = 0  (See ~ inf3lemb .)
  F_n+1 = {y<X | y^X subset F_n}  (See ~ inf3lemc .)
Note: ^ means intersect, < means \in ("element of").
(Finite recursion as typically done requires the existence of omega;
to avoid this we can just use transfinite recursion restricted to omega.
F is a class-term that is not necessarily a set at this point.)

Lemma 1.  F_n subset F_n+1.  (See ~ inf3lem1 .)
Proof:  By induction:  F_0 subset F_1.  If y < F_n+1, then y^X subset F_n,
so if F_n subset F_n+1, then y^X subset F_n+1, so y < F_n+2.

Lemma 2.  F_n =/= X.  (See ~ inf3lem2 .)
Proof:  By induction:  F_0 =/= X because X is not empty.  Assume F_n =/= X.
Then there is a y in X that is not in F_n.  By definition of X, there is a
z in X that contains y.  Suppose F_n+1 = X.  Then z is in F_n+1, and z^X
contains y, so z^X is not a subset of F_n, contrary to the definition of
F_n+1.

Lemma 3.  F_n =/= F_n+1.  (See ~ inf3lem3 .)
Proof:  Using the identity y^X subset F_n <-> y^(X-F_n) = 0, we have
F_n+1 = {y<X | y^(X-F_n) = 0}.  Let q = {y<X-F_n | y^(X-F_n) = 0}.
Then q subset F_n+1.  Since X-F_n is not empty by Lemma 2 and q is the
set of \in-minimal elements of X-F_n, by Foundation q is not empty, so q
and therefore F_n+1 have an element not in F_n.

Lemma 4.  F_n proper_subset F_n+1.  (See ~ inf3lem4 .)
Proof:  Lemmas 1 and 3.

Lemma 5.  F_m proper_subset F_n, m < n.  (See ~ inf3lem5 .)
Proof:  Fix m and use induction on n > m.  Basis: F_m proper_subset F_m+1
by Lemma 4.  Induction:  Assume F_m proper_subset F_n.  Then since F_n
proper_subset F_n+1, F_m proper_subset F_n+1 by transitivity of proper
subset.

By Lemma 5, F_m =/= F_n for m =/= n, so F is 1-1.  (See ~ inf3lem6 .)
Thus the inverse of F is a function with range omega and domain a subset
of power X, so omega exists by Replacement.  (See ~ inf3lem7 .)
Q.E.D.
</PRE> $)
    inf3 $p |- om e. V $=
      ( vy vz vw cv c0 wne cuni wss wa wex com cvv wcel cin crab wceq copab
      crdg cres eqid visset inf3lem7 19.23aiv ax-mp ) AFZGHUGUGIJKZALMNOZBUHUIA
      ACDEUGUGDFEFUGPCFJEUGQRCDSZGTMUAZUJUJUBUKUBAUCZULUDUEUF $.
      $( [29-Oct-1996] $)
  $}

  ${
    $d x y z w $.
    $( The statement "there exists a set that is a proper subset of its
       union" is equivalent to the Axiom of Infinity (shown on the right-hand
       side in the form of ~ omex .)  The left-hand side provides us with a
       very short way to express of the Axiom of Infinity using only elementary
       symbols.  This proof of equivalence does not depend on the Axiom of
       Infinity. $)
    infeq5 $p |- ( E. x x (. U. x <-> om e. V ) $=
      ( vy vz vw cv cuni wpss wex com cvv wcel c0 wne wss wa df-pss wceq unieq
      uni0 syl6req eqtrt mpdan necon3i anim1i ancoms sylbi 19.22i cin crab
      copab crdg cres eqid visset inf3lem7 19.23aiv syl csn cdif difexg 0ex
      snid wn disj4 disj3 bitr3 peano1 eleq2 mpbii eldif sylib pm3.27d a3i
      ax-mp unidif0 wlim limom limuni eqtr4 psseq2i mpbir psseq1 psseq2d bitrd
      cla4egv mpi impbi ) AEZWHFZGZAHZIJKZWKWHLMZWHWINZOZAHWLWJWOAWJWNWHWIMZOWO
      WHWIPWPWNWOWPWMWNWHLWHWIWHLQZLWIQWHWIQWQWILFLWHLRSTWHLWIUAUBUCUDUEUFUGWOW
      LAABCDWHWHCEDEWHUHBENDWHUIQBCUJZLUKIULZWRWRUMWSUMAUNZWTUOUPUQWLILURZUSZJK
      ZWKIXAJUTXCXBXBFZGZWKXEXBIGZLXAKZXFLVAVBXFXGXFVCZIXBQZXGVCZXHIXAUHLQXIIXA
      VDIXAVEVFXILIKZXJXILXBKZXKXJOXIXKXLVGIXBLVHVILIXAVJVKVLUFVMVNXDIXBXDIFZII
      VOIVPIXMQVQIVRVNVSVTWAWJXEAXBJWHXBQZWJXBWIGXEWHXBWIWBXNWIXDXBWHXBRWCWDWEW
      FUQWG $.
      $( [24-Mar-2004] $) $( [23-Mar-2004] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
             ZF Set Theory - add the Axiom of Infinity
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Introduce the Axiom of Infinity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
         +-------------------------------------------------+
         |         "Cantor's Paradise" begins here!        |
         | (i.e. we start to assume the Axiom of Infinity) |
         +-------------------------------------------------+
$)

  ${
    $d x y z w $.
    $( Axiom of Infinity.  An axiom of Zermelo-Fraenkel set theory.  This axiom
       is the gateway to "Cantor's paradise" (an expression coined by Hilbert).
       It asserts that given a starting set ` x ` , an infinite set ` y ` built
       from it exists.  Although our version is apparently not given in the
       literature, it is similar to, but slightly shorter than, the Axiom of
       Infinity in [FreydScedrov] p. 283 (see ~ inf1 and ~ inf2 ).  More
       standard versions, which essentially state that there exists a set
       containing all the natural numbers, are shown as ~ zfinf and ~ omex and
       are based on the (nontrivial) proof of ~ inf3 .  Our version has the
       advantage that when expanded to primitives, it has fewer symbols than
       the standard version ~ ax-inf2 .  Theorem ~ inf0 shows the reverse
       derivation of our axiom from a standard one.  Theorem ~ inf5 shows a
       very short way to state this axiom.

       An interesting property of our version is that, unlike the standard
       version, it does not assert the independent existence of any set; it
       needs a starting set ` x ` .  Since none of our other ZFC axioms assert
       the independent existence of any set, we would need to add an axiom of
       existence such as Axiom 0 of [Kunen] p. 10 if we were to use a "free
       logic" predicate calculus that (unlike ours) does not assert (as we do
       with ~ ax-4 and ~ ax-9 ) that at least one thing exists.

       The standard version of Infinity ~ ax-inf2 requires this axiom along
       with Regularity ~ ax-reg for its derivation (as theorem ~ axinf2
       below).  In order to more easily identify the normal uses of Regularity,
       we will usually reference ~ ax-inf2 instead of this one. $)
    ax-inf $a |- E. y ( x e. y /\
                 A. z ( z e. y -> E. w ( z e. w /\ w e. y ) ) ) $.

    $( Axiom of Infinity expressed with fewest number of different
       variables. $)
    axinf $p |- E. x ( y e. x /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) $=
      ( vw cv wcel wa wex wi wal ax-inf wceq elequ1 anbi1d exbidv imbi12d
      cbvalv anbi2i exbii mpbi ) BEZAEZFZDEZUBFZUDCEZFZUFUBFZGZCHZIZDJZGZAHUCUC
      UAUFFZUHGZCHZIZBJZGZAHBADCKUMUSAULURUCUKUQDBUDUALZUEUCUJUPDBAMUTUIUOCUTUG
      UNUHDBCMNOPQRST $.
      $( [14-Aug-2003] $)

    $( A standard version of Axiom of Infinity, expanded to primitives, derived
       from our version of Infinity ~ ax-inf and Regularity ~ ax-reg .

       This theorem should not be referenced in any proof.  Instead, use
       ~ ax-inf2 below so that the ordinary uses of Regularity can be more
       easily identified. $)
    axinf2 $p |- E. x ( E. y ( y e. x /\ A. z -. z e. y ) /\ A. y ( y e. x ->
          E. z ( z e. x /\ A. w ( w e. z <-> ( w e. y \/ w = y ) ) ) ) ) $=
      ( c0 cv wcel csuc wi wal wa wex wn wceq wo wb com peano1 peano2 ax-gen
      axinf inf2 inf3 eleq2 imbi12d albidv anbi12d cla4ev mp2an wrex 0el
      df-rex bitr sucel imbi2i albii anbi12i exbii mpbi ) EAFZGZBFZUTGZVBHZUTGZ
      IZBJZKZALZVCCFZVBGMCJZKBLZVCVJUTGDFZVJGVMVBGVMVBNOPDJZKCLZIZBJZKZALEQGZVB
      QGZVDQGZIZBJZVIRWBBVBSTVHVSWCKAQAABCABCUAUBUCUTQNZVAVSVGWCUTQEUDWDVFWBBWD
      VCVTVEWAUTQVBUDUTQVDUDUEUFUGUHUIVHVRAVAVLVGVQVAVKBUTUJVLBCUTUKVKBUTULUMVF
      VPBVEVOVCVEVNCUTUJVOCDVBUTUNVNCUTULUMUOUPUQURUS $.
      $( [6-May-2008] $) $( [3-Nov-1996] $)

    $( A standard version of Axiom of Infinity of ZF set theory.  In English,
       it says:  there exists a set that contains the empty set and the
       successors of all of its members.  Theorem ~ zfinf shows it converted to
       abbreviations.  This axiom was derived as theorem ~ axinf2 above, using
       our version of Infinity ~ ax-inf and the Axiom of Regularity ~ ax-reg .
       We will reference ~ ax-inf2 instead of ~ axinf2 so that the ordinary
       uses of Regularity can be more easily identified. $)
    ax-inf2 $a |- E. x ( E. y ( y e. x /\ A. z -. z e. y ) /\ A. y ( y e. x ->
          E. z ( z e. x /\ A. w ( w e. z <-> ( w e. y \/ w = y ) ) ) ) ) $.
  $}

  ${
    $d x y z w $.
    $( A standard version of the Axiom of Infinity, using definitions to
       abbreviate.  Axiom Inf of [BellMachover] p. 472.  (See ~ ax-inf2 for the
       unabbreviated version.) $)
    zfinf $p |- E. x ( (/) e. x /\ A. y e. x suc y e. x ) $=
      ( vz vw c0 cv wcel csuc wral wa wex wn wal wceq wo wb wi ax-inf2 wrex
      0el df-rex bitr sucel ralbii df-ral anbi12i exbii mpbir ) EAFZGZBFZHUIGZB
      UIIZJZAKUKUIGZCFZUKGLCMZJBKZUOUPUIGDFZUPGUSUKGUSUKNOPDMZJCKZQBMZJZAKABCDR
      UNVCAUJURUMVBUJUQBUISURBCUITUQBUIUAUBUMVABUIIVBULVABUIULUTCUISVACDUKUIUCU
      TCUIUAUBUDVABUIUEUBUFUGUH $.
      $( [4-Mar-2004] $) $( [30-Aug-1993] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Existence of omega (the set of natural numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( The existence of omega (the class of natural numbers).  Axiom 7 of
       [TakeutiZaring] p. 43.  This theorem is proved assuming the Axiom of
       Infinity and in fact is equivalent to it, as shown by the reverse
       derivation ~ inf0 .

       A finitist (someone who doesn't believe in infinity) could, without
       contradiction, replace the Axiom of Infinity by its denial
       ` -. om e. V ` ; this would lead to ` om = On ` (the proper class of
       ordinals) by ~ omon and ~ onprc .  The finitist could still develop
       natural number, integer, and rational number arithmetic but would be
       denied the real numbers (as well as much of the rest of mathematics).
       In deference to the finitist, much of our development is done, when
       possible, without invoking the Axiom of Infinity; an example is Peano's
       axioms ~ peano1 through ~ peano5 (which many textbooks prove more easily
       assuming Infinity). $)
    omex $p |- om e. V $=
      ( vx vy com cv wss wex cvv wcel c0 csuc wral wa zfinf wi peano5 ax-1
      r19.20i2 sylan2 19.22i ax-mp visset ssex 19.23aiv ) CADZEZAFZCGHZIUDHZBDZ
      JUDHZBUDKZLZAFUFABMULUEAUHUIUDHUJNZBCKUEUKBUDOUJUMBUDCUMUICHPQRSTUEUGACUD
      AUAUBUCT $.
      $( [6-Aug-1994] $)
  $}

  ${
    $d x y z w $.
    $( The statement "there exists a set that is a proper subset of its
       union" is equivalent to the Axiom of Infinity (see theorem ~ infeq5 ).
       This provides us with a very compact way to express of the Axiom of
       Infinity using only elementary symbols. $)
    inf5 $p |- E. x x (. U. x $=
      ( cv cuni wpss wex com cvv wcel omex infeq5 mpbir ) ABZLCDAEFGHIAJK $.
      $( [4-Jun-2005] $) $( [3-Jun-2005] $)
  $}

  $( Omega is an ordinal number. $)
  omelon $p |- om e. On $=
    ( com con0 wcel wceq cvv omex onprc eleq1 mtbiri mt2 omon ori mt3 ) ABCZABD
    ZOAECZFOPBECGABEHIJNOKLM $.
    $( [10-May-1998] $)

  ${
    $d x y z $.
    $( The class of natural numbers omega can be defined as the smallest
       "inductive set," which is valid provided we assume the Axiom of
       Infinity.  Definition 6.3 of [Eisenberg] p. 82. $)
    dfom3 $p |- om = |^| { x | ( (/) e. x /\ A. y e. x suc y e. x ) } $=
      ( vz com c0 cv wcel csuc wral wa cab cint wi wss 0ex elintab pm3.26
      mpgbir wal wceq suceq eleq1d rcla4cv adantl a2i 19.20i visset sucex
      3imtr4 a1i rgen peano5 mp2an peano1 peano2 omex eleq2 raleqd anbi12d
      imbi12d cla4v sylbi mp2ani ssriv eqssi ) DEAFZGZBFZHZVFGZBVFIZJZAKLZEVMGZ
      CFZVMGZVOHZVMGZMZCDIDVMNVNVLVGMAVLAEOPVGVKQRVSCDVSVODGZVLVOVFGZMZASZVLVQV
      FGZMZASVPVRWBWEAVLWAWDVKWAWDMVGVJWDBVOVFVHVOTVIVQVFVHVOUAUBUCUDUEUFVLAVOC
      UGZPZVLAVQVOWFUHPUIUJUKCVMULUMCVMDVPEDGZVIDGZBDIZVTUNWIBDVHUOUKVPWCWHWJJZ
      VTMZWGWBWLADUPVFDTZVLWKWAVTWMVGWHVKWJVFDEUQVJWIBVFDVFDVIUQURUSVFDVOUQUTVA
      VBVCVDVE $.
      $( [27-Jun-2004] $) $( [6-Aug-1994] $)
  $}

  ${
    $d A x $.
    $( A simplification of ~ elom assuming the Axiom of Infinity. $)
    elom3 $p |- ( A e. om <-> A. x ( Lim x -> A e. x ) ) $=
      ( com wcel cv wlim wi wal word wa elomg ibi pm3.27d limom omex wceq
      limeq eleq2 imbi12d cla4v mpi impbi ) BCDZAEZFZBUDDZGZAHZUCBIZUHUCUIUHJAB
      CKLMUHCFZUCNUGUJUCGACOUDCPUEUJUFUCUDCQUDCBRSTUAUB $.
      $( [30-May-2003] $)
  $}

  ${
    $d x y $.
    $( A simplification of ~ df-om assuming the Axiom of Infinity. $)
    dfom4 $p |- om = { x | A. y ( Lim y -> x e. y ) } $=
      ( cv wlim wcel wi wal com elom3 abbi2i ) BCZDACZKEFBGAHBLIJ $.
      $( [30-May-2003] $)
  $}

  $( Ordinal addition is not commutative.  This theorem shows a counterexample.
     Remark in [TakeutiZaring] p. 60. $)
  oancom $p |- ( 1o +o om ) =/= ( om +o 1o ) $=
    ( c1o com coa co wcel wne con0 wceq omelon 1onn oaabslem mp2an csuc omex
    sucid oa1suc ax-mp eleqtrr eqeltr wss wa wb 1on oacl onelpsst pm3.27bi ) AB
    CDZBACDZEZUGUHFZUGBUHBGEZABEUGBHIJAKLBBMZUHBNOUKUHULHIBPQRSUIUGUHTZUJUGGEZU
    HGEZUIUMUJUAUBAGEZUKUNUCIABUDLUKUPUOIUCBAUDLUGUHUELUFQ $.
    $( [4-Mar-2005] $) $( [10-Dec-2004] $)

  ${
    $d x A $.
    $( A set is strictly dominated by the class of natural numbers iff it is
       finite.  Theorem 42 of [Suppes] p. 151.  This theorem provides two
       equivalent ways to express " ` A ` is finite."  The Axiom of Infinity
       is used for the reverse implication. $)
    isfinite $p |- ( A ~< om <-> E. x e. om A ~~ x ) $=
      ( com csdm wbr cv cen wrex isfinite2 cdom wn wa isfinite1 omex ensym
      con3i anim2i brsdom sylibr syl impbi ) BCDEZBAFGEACHZABIUCBCJEZCBGEZKZLZU
      BABMUGUDBCGEZKZLUBUFUIUDUHUEBCNOPQBCRSTUA $.
      $( [19-Jul-2004] $) $( [24-Apr-2004] $)
  $}

  $( A natural number is strictly dominated by the set of natural numbers. $)
  nnsdom $p |- ( A e. om -> A ~< om ) $=
    ( com wcel cdom wbr cen wn wa csdm omsdomnn omex ensym con3i anim2i syl
    brsdom sylibr ) ABCZABDEZABFEZGZHZABIERSBAFEZGZHUBAJUDUASTUCABKLMNOABPQ $.
    $( [13-Nov-2003] $) $( [28-Oct-2003] $)

  ${
    $d x y $.
    $( Omega is equinumerous to a proper subset of itself.  Example 13.2(4) of
       [Eisenberg] p. 216. $)
    omenps $p |- om ~~ ( om \ { (/) } ) $=
      ( com cvv wcel c0 csn cdif cen wbr omex limom limenpsi ax-mp ) ABCAADEFGH
      IABJKL $.
      $( [30-Jul-2003] $)
  $}

  $( The set of natural numbers is equinumerous to its successor. $)
  omensuc $p |- om ~~ suc om $=
    ( com cvv wcel csuc cen wbr omex limom limensuci ax-mp ) ABCAADEFGABHIJ $.
    $( [18-Nov-2003] $) $( [30-Oct-2003] $)

  ${
    $d x y A $.
    $( Any infinite ordinal is equinumerous to its successor.  Exercise 7 of
       [TakeutiZaring] p. 88. $)
    infensuc $p |- ( ( A e. On /\ om (_ A ) -> A ~~ suc A ) $=
      ( vx vy con0 wcel com wss csuc cen wbr omelon cv wceq id suceq breq12d
      omensuc a1i wi csn cvv visset sucex en2sn mp2an wa cin c0 cun unen
      df-suc 3brtr4g ex wn word eloni ordirr syl disjsn sylibr sucelon 3imtr4
      jca syl5 mpan2 com12 ad2antrr wlim wral limensuc mpan a1d tfindsg mpanl2
      ) ADEFDEZFAGAAHZIJZKBLZVRHZIJZFFHZIJZCLZWCHZIJZWDWDHZIJZVQBCAFVRFMZVRFVSW
      AIWHNVRFOPVRWCMZVRWCVSWDIWINVRWCOPVRWDMZVRWDVSWFIWJNVRWDOPVRAMZVRAVSVPIWK
      NVRAOPWBVOQRWCDEZWEWGSVOFWCGZWEWLWGWEWCTZWDTZIJZWLWGSWCUAEWDUAEWPCUBZWCWQ
      UCWCWDUAUAUDUEWEWPUFZWCWNUGUHMZWDWOUGUHMZUFZWGWLWRXAWGWRXAUFWCWNUIWDWOUIW
      DWFIWCWDWNWOUJWCUKWDUKULUMWLWSWTWLWCWCEUNZWSWLWCUOXBWCUPWCUQURWCWCUSUTWDD
      EZWDWDEUNZWLWTXCWDUOXDWDUPWDUQURWCVAWDWDUSVBVCVDVEVFVGVRVHZVOUFFVRGZUFVTW
      MWESCVRVIXEVTVOXFVRUAEXEVTBUBVRUAVJVKVGVLVMVN $.
      $( [19-Nov-2003] $) $( [30-Oct-2003] $)
  $}

  ${
    $d x y z A $.
    $( Any unbounded subset of natural numbers is equinumerous to the set of
       all natural numbers.  This version of ~ unbnn eliminates its hypothesis
       by assuming the Axiom of Infinity. $)
    unbnnt $p |- ( ( A (_ om /\ A. x e. om E. y e. A x e. y ) -> A ~~ om ) $=
      ( vz com wss cv wcel wrex wral cen wbr cvv wi omex ssex wa wceq sseq1
      rexeq1 ralbidv anbi12d breq1 imbi12d visset unbnn vtoclg exp3a mpcom imp
      ) CEFZAGBGHZBCIZAEJZCEKLZCMHZUKUNUONCEOPUPUKUNUODGZEFZULBUQIZAEJZQZUQEKLZ
      NUKUNQZUONDCMUQCRZVAVCVBUOVDURUKUTUNUQCESVDUSUMAEULBUQCTUAUBUQCEKUCUDABUQ
      DUEUFUGUHUIUJ $.
      $( [6-May-2005] $) $( [4-May-2005] $)
  $}

  ${
    $d x y z F $.
    $( Using the Axiom of Regularity in the form ~ zfregfr , show that there
       are no infinite descending ` e. ` -chains.  Proposition 7.34 of
       [TakeutiZaring] p. 44. $)
    noinfep $p |- ( F Fn om -> E. x e. om -. ( F ` suc x ) e. ( F ` x ) ) $=
      ( vz vy com wfn cv cep wbr wn crn wral wrex csuc cfv wcel cvv c0 wne wfr
      zfregfr wa wss ssid fri mpanr1 mpanl2 cdm wfun funrnex fndm omex
      syl6eqel fnfun sylc wceq peano1 eleq2 mpbiri ne0i syl dm0rn0 necon3bii
      sylib sylanc wi wb fvelrnb adantr negbid eleq1 epel syl5bb rcla4va
      syl5bir fnfvelrn adantlr simplr jca syl5 peano2 sylan2i com12 r19.22dva
      sylbid ex com23 r19.23adv mpd ) BEFZCGZDGZHIZJZCBKZLZDWOMZAGZNZBOZWRBOZPZ
      JZAEMZWOQPZWORSZWQWJXEWOHTZXFWQWOUAXEXGUBWOWOUCXFWQWOUDDCWOWOQHUEUFUGBUHZ
      QPBUIXEWJQBUJWJXHEQEBUKZULUMEBUNUOWJXHEUPZXFXIXJXHRSZXFXJRXHPZXKXJXLREPUQ
      XHERURUSXHRUTVAXHRWORBVBVCVDVAVEWJWPXDDWOWJWPWLWOPZXDWJWPXMXDVFWJWPUBZXMX
      AWLUPZAEMZXDWJXMXPVGWPAEWLBVHVIXNXOXCAEXOXNWREPZUBXCXOXNWSEPZXCXQXOWTWOPZ
      WPUBZXCXNXRUBZXOXCWTWLPZJZXTXOXBYBXAWLWTURVJWNYCCWTWOWKWTUPZWMYBYDWKWLPYB
      WMWKWTWLVKCDVLVMVJVNVOYAXSWPWJXRXSWPEWSBVPVQWJWPXRVRVSVTWRWAWBWCWDWEWFWGW
      HWI $.
      $( [27-Jan-2006] $) $( [26-Jan-2006] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Rank
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c R1 $. $( Cumulative hierarchy of sets function $)
  $c rank $. $( Rank function $)

  $( Extend class definition to include the cumulative hierarchy of sets
     function. $)
  cr1 $a class R1 $.

  $( Extend class definition to include rank function. $)
  crnk $a class rank $.

  ${
    $d x y z $.
    $( Define the cumulative hierarchy of sets function, using Takeuti and
       Zaring's notation ( ` R1 ` ).  Starting with the empty set, this
       function builds up layers of sets where the next layer is the power
       set of the previous layer (and the union of previous layers when the
       argument is a limit ordinal).  Using the Axiom of Regularity, we can
       show that any set whatsoever belongs to one of the layers of this
       hierarchy (see ~ tz9.13 ).  Our definition expresses Definition 9.9
       of [TakeutiZaring] p. 76 in a closed form, from which we derive the
       recursive definition as theorems ~ r10 , ~ r1suc , and ~ r1lim .
       Theorem ~ r1val1 shows a recursive definition that works for all values,
       and theorems ~ r1val2 and ~ r1val3 show the value expressed in terms of
       rank.  Other notations for this function are  _R_ with the argument
       as a subscript (Equation 3.1 of [BellMachover] p. 477), ` V ` with a
       a subscript (Definition of [Enderton] p. 202), _M_ with a subscript
       (Definition 15.19 of [Monk1] p. 113), the capital Greek letter psi
       (Definition of [Mendelson] p. 281), and bold-face R (Definition 2.1
       of [Kunen] p. 95). $)
    df-r1 $a |- R1 = rec ( { <. x , y >. | y = P~ x } , (/) ) $.

    $( Define the rank function.  See ~ rankval , ~ rankval2 , ~ rankval3 ,
       or ~ rankval4 its value.  The rank is a kind of "inverse" of the
       cumulative hierarchy of sets function ` R1 ` :  given a set, it returns
       an ordinal number telling us the smallest layer of the hierarchy to
       which the set belongs.  Based on Definition 9.14 of [TakeutiZaring]
       p. 79.  Theorem ~ rankid illustrates the "inverse" concept.  Another
       nice theorem showing the relationship is ~ rankr1a . $)
    df-rank $a |- rank =
          { <. x , y >. | y = |^| { z e. On | x e. ( R1 ` suc z ) } } $.
  $}

  ${
    $d x y z w v u $.  $d y z v A $.  $d y v u F $.
    trcl.1 $e |- A e. V $.
    trcl.2 $e |- F =
               ( rec ( { <. z , w >. | w = ( z u. U. z ) } , A ) |` om ) $.
    trcl.3 $e |- C = U_ y e. om ( F ` y ) $.
    $( For any set ` A ` , show the properties of its transitive closure
       ` C ` .  Similar to Theorem 9.1 of [TakeutiZaring] p. 73 except that we
       show an explicit expression for the transitive closure rather than just
       its existence.  See ~ tz9.1 for an abbreviated version showing
       existence. $)
    trcl $p |- ( A (_ C /\ Tr C /\ A. x ( ( A (_ x /\ Tr x ) -> C (_ x ) ) $=
      ( vv vu wss wtr cv wa wi wal com cfv ciun wrex c0 wcel peano1 cuni cun
      wceq copab crdg cres fveq1i cvv fr0t ax-mp eqtr2 eqimssi fveq2 sseq2d
      rcla4ev mp2an ssiun sseqtr4 dftr2 csuc eliun anbi2i r19.42v bitr4 ssun2
      fvex uniex unex ax-17 hbopab1 hbrdg hbres hbxfr hbfv hbuni hbun unieq
      uneq12 mpdan frsucopab mpan2 mpbiri sseld elunii syl5 r19.22i sylbi
      peano2 eleq2d ex syl r19.23aiv cbvrexv sylibr ax-gen mpgbir wb treq
      mpbir wral sseq1d eqtr sseq1i biimpr adantr uniss sstr2 df-tr syl5ib
      anc2li unss syl6ib biimprd syl9r com23 adantld finds2 com12 r19.21aiv
      cbviunv iunss bitr 3pm3.2i ) EFMFNZEAOZMZYJNZPZFYJMZQZAREBSBOZGTZUAZFEYQM
      ZBSUBZEYRMUCSUDEUCGTZMZYTUEEUUAUUAUCDOCOZUUCUFZUGZUHZCDUIZEUJZSUKZTZEUCGU
      UIIULZEUMUDUUJEUHHEUMUUGUNUOZUPUQYSUUBBUCSYPUCUHYQUUAEYPUCGURUSUTVABSYQEV
      BUOJVCYIYRNZUUMKOZLOZUDZUUOYRUDZPZUUNYRUDZQZLRKKLYRVDUUTLUURUUNYPVEZGTZUD
      ZBSUBZUUSUURUUPUUOYQUDZPZBSUBZUVDUURUUPUVEBSUBZPUVGUUQUVHUUPBUUOSYQVFVGUU
      PUVEBSVHVIUVFUVCBSYPSUDZUUNYQUFZUDUVCUVFUVIUVJUVBUUNUVIUVJUVBMUVJYQUVJUGZ
      MUVJYQVJUVIUVBUVKUVJUVIUVKUMUDUVBUVKUHYQUVJYPGVKZYQUVLVLVMCDKEYPUUEUVKUMG
      UUNEUDCVNZUUNYPUDCVNZCKYQUVJCKYPGCKGUUIICKUUHSCKEUUGUUFCDKVOUVMVPUUNSUDZC
      VNVQVRUVNVSZCKYQUVPVTWAIUUCYQUHUUDUVJUHUUEUVKUHUUCYQWBUUCYQUUDUVJWCWDWEWF
      ZUSWGWHUUNUUOYQWIWJWKWLUVDUUNYQUDZBSUBZUUSUVDUUNUUOGTZUDZLSUBZUVSUVCUWBBS
      UVIUVASUDZUVCUWBQYPWMUWCUVCUWBUWAUVCLUVASUUOUVAUHUVTUVBUUNUUOUVAGURWNUTWO
      WPWQUVRUWABLSYPUUOUHYQUVTUUNYPUUOGURWNWRWSBUUNSYQVFWSWPWTXAFYRUHYIUUMXBJF
      YRXCUOXDYOAYMUUNGTZYJMZKSXEZYNYMUWEKSUVOYMUWEUWEUUAYJMZYQYJMZUVBYJMZYMKBU
      UNUCUHUWDUUAYJUUNUCGURXFUUNYPUHUWDYQYJUUNYPGURXFUUNUVAUHUWDUVBYJUUNUVAGUR
      XFYKUWGYLUWGYKUUAEYJUUAUUJEUUKUULXGXHXIXJUVIYLUWHUWIQYKUVIUWHYLUWIUWHYLUV
      KYJMZUVIUWIUWHYLUWHUVJYJMZPUWJUWHYLUWKUWHUVJYJUFZMZYLUWKQYQYJXKUWMUWLYJMU
      WKYLUVJUWLYJXLYJXMXNWPXOYQUVJYJXPXQUVIUWIUWJUVIUVBUVKYJUVQXFXRXSXTYAYBYCY
      DYNKSUWDUAZYJMUWFFUWNYJFYRUWNJBKSYQUWDYPUUNGURYEXGXHKSUWDYJYFYGWSWTYH $.
      $( [14-Sep-2003] $)
  $}

  ${
    $d A x y z w v $.
    tz9.1.1 $e |- A e. V $.
    $( Every set has a transitive closure (smallest transitive extension).
       Theorem 9.1 of [TakeutiZaring] p. 73.  See ~ trcl for an explicit
       expression for the transitive closure. $)
    tz9.1 $p |- E. x ( A (_ x /\ Tr x
                /\ A. y ( ( A (_ y /\ Tr y ) -> x (_ y ) ) $=
      ( vz vv vw com cv cuni cun wceq copab crdg cres cfv ciun wss wtr wa wi
      wal w3a wex eqid trcl omex fvex iunex sseq2 treq sseq1 imbi2d albidv
      3anbi123d cla4ev ax-mp ) CEHEIZFIGIZUSJKLGFMCNHOZPZQZRZVBSZCBIZRVESTZVBVE
      RZUAZBUBZUCZCAIZRZVKSZVFVKVERZUAZBUBZUCZAUDBEGFCVBUTDUTUEVBUEUFVQVJAVBEHV
      AUGURUTUHUIVKVBLZVLVCVMVDVPVIVKVBCUJVKVBUKVRVOVHBVRVNVGVFVKVBVEULUMUNUOUP
      UQ $.
      $( [15-Sep-2003] $)
  $}

  ${
    $d x y z w A $.
    $( The strong form of the Axiom of Regularity, which does not require
       that ` A ` be a set.  Axiom 6' of [TakeutiZaring] p. 21.  The proof
       makes use of a special case of Proposition 9.4 of [TakeutiZaring]
       p. 75. $)
    zfregs $p |- ( A =/= (/) -> E. x e. A ( x i^i A ) = (/) ) $=
      ( vz vy vw c0 wne cv wcel wex cin wceq wrex ne0 csn wss wtr wa wi wal
      w3a snex tz9.1 trel inass incom ineq2i eqtr eleq2i elin bitr2 ne0i sylbi
      ex syl6 exp3a com34 imp3a inss1 sseli ancri syl5 19.23adv syl5ib com23
      imp necon4d anim2d anbi1i anass bitr r19.22dv2 visset inex1 zfreg2 snssi
      anim2i ssin snss bitr4 sylib syl impcom 3adant3 19.23aiv ax-mp ) BFGCHZBI
      ZCJAHZBKZFLZABMZCBNWHWLCWGOZDHZPZWNQZWMEHZPWQQRWNWQPSETZUAZDJWHWLSZDEWMWG
      UBUCWSWTDWOWPWTWRWPWOWTWPWOWHWLWPWNBKZFGZWLWOWHRZWPXAWIKZFLZAXAMWLXBWPXEW
      KAXABWPWIWNIZWIBIZXERZRZXGWKRZWIXAIZXERZWPXFXHXJWPXFXHXJSWPXFRZXEWKXGXMWJ
      FXDFWPXFWJFGZXDFGZSWPXNXFXOWPWQWJIZEJXFXOSZXNWPXPXQEWPWQWIIZXPRXQXPWPXRXP
      XQWPXRXFXPXOWPXRXFXPXOSZWPXRXFRWQWNIZXSWNWQWIUDXTXPXOXTXPRZWQXDIZXOYBWQWN
      WJKZIYAXDYCWQXDWNBWIKZKYCWNBWIUEYDWJWNBWIUFUGUHUIWQWNWJUJUKXDWQULUMUNUOUP
      UQURXPXRWJWIWQWIBUSUTVAVBVCEWJNVDVEVFVGVHUNURXLXFXGRZXERXIXKYEXEWIWNBUJVI
      XFXGXEVJVKVDVLAXAWNBDVMVNVOVBXCWGXAIZXBXCWOWMBPZRZYFWHYGWOWGBVPVQYHWMXAPY
      FWMWNBVRWGXACVMVSVTWAXAWGULWBVBUPWCWDWEWFWEUM $.
      $( [12-Apr-2007] $) $( [17-Sep-2003] $)
  $}

  ${
    $d x y z A $.
    $( Set (epsilon) induction.  Theorem 5.22 of [TakeutiZaring] p. 21. $)
    setind $p |- ( A. x ( x (_ A -> x e. A ) -> A = V ) $=
      ( vy cv wss wcel wi wal cvv cdif c0 wceq cin wrex wn sseq1 eleq1 imbi12d
      a4v ssindif0 syl5ibr eldifn nsyli imp nrexdv zfregs necon1bi syl vdif0
      sylibr ) ADZBEZUKBFZGZAHZIBJZKLZBILUOCDZUPMKLZCUPNZOUQUOUSCUPUOURUPFZUSOU
      OUSURBFZVAUOURBEZVBUSUNVCVBGACUKURLULVCUMVBUKURBPUKURBQRSURBTUAURIBUBUCUD
      UEUTUPKCUPUFUGUHBUIUJ $.
      $( [17-Sep-2003] $)
  $}

  ${
    $d x A $.
    $( Set (epsilon) induction, stated compactly.  Given as a homework problem
       in 1992 by George Boolos (1940-1996). $)
    setind2 $p |- ( P~ A (_ A -> A = V ) $=
      ( vx cpw wss cv wcel wi wal cvv wceq dfss2 visset elpw imbi1i albii bitr
      setind sylbi ) ACZADZBEZADZUAAFZGZBHZAIJTUASFZUCGZBHUEBSAKUGUDBUFUBUCUAAB
      LMNOPBAQR $.
      $( [17-Sep-2003] $)
  $}

  ${
    $d x y $.
    $( The cumulative hierarchy of sets function is a function on the class of
       ordinal numbers. $)
    r1fnon $p |- R1 Fn On $=
      ( vy vx cr1 con0 wfn cv cpw wceq copab c0 crdg rdgfnon wb df-r1 fneq1
      ax-mp mpbir ) CDEZAFBFGHBAIZJKZDEZJSLCTHRUAMBANDCTOPQ $.
      $( [5-Oct-2003] $) $( [5-Oct-2003] $)

    $( Value of the cumulative hierarchy of sets function at ` (/) ` .
       Part of Definition 9.9 of [TakeutiZaring] p. 76. $)
    r10 $p |- ( R1 ` (/) ) = (/) $=
      ( vy vx c0 cr1 cfv cv cpw wceq copab crdg df-r1 fveq1i 0ex rdg0 eqtr ) CD
      ECAFBFGHBAIZCJZECCDQBAKLCPMNO $.
      $( [2-Sep-2003] $)
  $}

  ${
    $d x y z A $.
    $( Value of the cumulative hierarchy of sets function at a successor
       ordinal.  Part of Definition 9.9 of [TakeutiZaring] p. 76. $)
    r1suc $p |- ( A e. On -> ( R1 ` suc A ) = P~ ( R1 ` A ) ) $=
      ( vx vy vz con0 wcel cr1 cfv cpw cvv csuc wceq fvex pwex c0 cv ax-17
      df-r1 pweq rdgsucopab mpan2 ) AEFAGHZIZJFAKGHUCLUBAGMNBCDOABPZIUCJGDPZOFB
      QUEAFBQUEUCFBQBCRUDUBSTUA $.
      $( [2-Sep-2003] $)
  $}

  ${
    $d x y z A $.
    $( Value of the cumulative hierarchy of sets function at a limit
       ordinal.  Part of Definition 9.9 of [TakeutiZaring] p. 76. $)
    r1lim $p |- ( ( A e. B /\ Lim A ) -> ( R1 ` A ) = U_ x e. A ( R1 ` x ) ) $=
      ( vz vy wcel wlim wa cv cpw wceq copab c0 crdg cfv ciun cr1 rdglim2a
      df-r1 fveq1i a1i iuneq2i 3eqtr4g ) BCFBGHBDIEIJKEDLZMNZOABAIZUEOZPBQOABUF
      QOZPAMBCUDRBQUEEDSZTABUHUGUHUGKUFBFUFQUEUITUAUBUC $.
      $( [4-Oct-2003] $) $( [4-Oct-2003] $)
  $}

  ${
    $d x y z A $.
    $( The cumulative hierarchy of sets is transitive.  Lemma 7T of [Enderton]
       p. 202. $)
    r1tr $p |- Tr ( R1 ` A ) $=
      ( vx vy vz con0 wcel cr1 cfv wtr cv c0 csuc wceq wb fveq2 treq syl tr0
      r10 ax-mp mpbir wa wss wral cpw r1suc eleq2d visset elpw syl6bb adantr
      ssel wi dftr4 sylbi biimprd sylan9r ssrdv ex sylbid r19.21aiv dftr3
      sylibr wlim wrex ciun cvv r1lim mpan eliun biimp syl6bi hbra1 ra4 trss
      syl6 r19.22d sylan9 sseq2d ssiun syl5bir syld tfinds wn cdm wfn r1fnon
      fndm eleq2i negbii ndmfv sylbir mpbiri pm2.61i ) AEFZAGHZIZBJZGHZIZKGHZIZ
      CJZGHZIZXCLZGHZIZWQBCAWRKMWSXAMWTXBNWRKGOWSXAPQWRXCMWSXDMWTXENWRXCGOWSXDP
      QWRXFMWSXGMWTXHNWRXFGOWSXGPQWRAMWSWPMWTWQNWRAGOWSWPPQXBKIZRXAKMXBXINSXAKP
      TUAXCEFZXEXHXJXEUBZWRXGUCZBXGUDXHXKXLBXGXKWRXGFZWRXDUCZXLXJXMXNNXEXJXMWRX
      DUEZFXNXJXGXOWRXCUFZUGWRXDBUHZUIUJUKXKXNXLXKXNUBDWRXGXNDJZWRFXRXDFZXKXRXG
      FZWRXDXRULXEXSXRXOFZXJXTXEXDXOUCXSYAUMXDUNXDXOXRULUOXJXTYAXJXGXOXRXPUGUPU
      QUQURUSUTVABXGVBVCUSWRVDZXECWRUDZWTYBYCUBZXRWSUCZDWSUDWTYDYEDWSYDXRWSFZXR
      XDUCZCWRVEZYEYBYFXSCWRVEZYCYHYBYFXRCWRXDVFZFZYIYBWSYJXRWRVGFYBWSYJMXQCWRV
      GVHVIZUGYKYICXRWRXDVJVKVLYCXSYGCWRXECWRVMYCXCWRFXEXSYGUMXECWRVNXDXRVOVPVQ
      VRYBYHYEUMYCYBYEXRYJUCYHYBWSYJXRYLVSCWRXDXRVTWAUKWBVADWSVBVCUSWCWOWDZWQXI
      RYMWPKMZWQXINYMAGWEZFZWDYNYPWOYOEAGEWFYOEMWGEGWHTWIWJAGWKWLWPKPQWMWN $.
      $( [26-Nov-2003] $) $( [8-Sep-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Ordering relation for the cumulative hierarchy of sets.  Part of
       Proposition 9.10(2) of [TakeutiZaring] p. 77. $)
    r1ord $p |- ( B e. On -> ( A e. B -> ( R1 ` A ) e. ( R1 ` B ) ) ) $=
      ( vx vy con0 wcel cr1 cfv wi csuc wa wss cv wceq eleq2 fveq2 eleq2d
      imbi12d onelon cpw r1suc fvex pwid syl5eleqr syl ex wtr r1tr trss ax-mp
      sseld imim2d cvv elisset sucexb sylibr sucssel imp syl7 a1d com24 exp3a
      imp31 wlim wral ciun wrex rcla4ev limsuc biimpa word limord visset elon
      sylan sylanc eliun wb r1lim mpan adantr mpbird ad2antrr tfindsg pm3.26
      suceloni jca eloni ordsucss pm2.43d ) BEFZABFZAGHZBGHZFZWKWLWLWOIZWKAJZEF
      ZKWQBLZWPWKWLKZACMZFZWMXAGHZFZIZAWQFZWMWQGHZFZIADMZFZWMXIGHZFZIZAXIJZFZWM
      XNGHZFZIZWPCDBWQXAWQNZXBXFXDXHXAWQAOXSXCXGWMXAWQGPQRXAXINZXBXJXDXLXAXIAOX
      TXCXKWMXAXIGPQRXAXNNZXBXOXDXQXAXNAOYAXCXPWMXAXNGPQRXABNZXBWLXDWOXABAOYBXC
      WNWMXABGPQRWRXFXHWRXFKAEFZXHWQASYCWMTXGWMAUAWMAGUBUCUDZUEUFXIEFZWRWQXILZX
      MXRIZYEWRYFYGYEXOXMWRYFKZXQYEXMYHXQIIXOYEXMXJXQYHYEXLXQXJYEXKXPWMYEXKXPFZ
      XKXPLZYEXKTXPXKXIUAXKXIGUBUCUDXPUGYIYJIXNUHXPXKUIUJUEUKULWRYFXJWRAUMFZYFX
      JIWRWQUMFYKWQEUNAUOUPAXIUMUQUEURUSUTVAVBVCXAVDZWRKWQXALZKXEYFXMIDXAVEYLXE
      WRYMYLXBXDYLXBKZXDWMDXAXKVFZFZYNXLDXAVGZYPWQXAFZXHYQYNXLXHDWQXAXIWQNXKXGW
      MXIWQGPQVHYLXBYRXAAVIVJYNYCXHXAEFZXBYCYLXAASYLXAVKYSXAVLXACVMZVNUPVOYDUEV
      PDWMXAXKVQUPYLXDYPVRXBYLXCYOWMXAUMFYLXCYONYTDXAUMVSVTQWAWBUFWCUTWDWTWKWRW
      KWLWEWTYCWRBASAWFUEWGWKWLWSWKBVKWLWSIBWHABWIUEURVPUFWJ $.
      $( [8-Sep-2003] $)
  $}

  $( Ordering relation for the cumulative hierarchy of sets.  Part of
     Proposition 9.10(2) of [TakeutiZaring] p. 77. $)
  r1ord2 $p |- ( B e. On -> ( A e. B -> ( R1 ` A ) (_ ( R1 ` B ) ) ) $=
    ( con0 wcel cr1 cfv wss r1ord wtr wi r1tr trss ax-mp syl6 ) BCDABDAEFZBEFZD
    ZOPGZABHPIQRJBKPOLMN $.
    $( [22-Sep-2003] $)

  $( Ordering relation for the cumulative hierarchy of sets.  Part of
     Theorem 3.3(i) of [BellMachover] p. 478. $)
  r1ord3 $p |- ( ( A e. On /\ B e. On ) -> ( A (_ B ->
               ( R1 ` A ) (_ ( R1 ` B ) ) ) $=
    ( con0 wcel wa wss wceq wo cr1 cfv onsseleq wi r1ord2 adantl fveq2 eqimss
    syl a1i jaod sylbid ) ACDZBCDZEZABFABDZABGZHAIJZBIJZFZABKUCUDUHUEUBUDUHLUAA
    BMNUEUHLUCUEUFUGGUHABIOUFUGPQRST $.
    $( [22-Sep-2003] $)

  ${
    $d x y z w v A $.
    $( The value of the cumulative hierarchy of sets function expressed
       recursively.  Theorem 7Q of [Enderton] p. 202. $)
    r1val1 $p |- ( A e. On -> ( R1 ` A ) = U_ x e. A P~ ( R1 ` x ) ) $=
      ( vy con0 wcel cr1 cfv cv cpw ciun c0 wceq csuc wrex cvv wlim wa w3o wss
      onzsl 0ss fveq2 r10 syl6eq sseq1d mpbiri ax-17 hbiu1 hbss r1suc
      sylan9eqr visset sucid eleq2 ssiun2 syl adantl eqsstrd ex r19.23ai r1lim
      wral word ordelon limord sylan sucelon r1ord2 mpi sylbi sseqtrd
      r19.21aiva ss2iun 3jaoi onelon r1ord3 sylib pm3.26 jca wi eloni ordsucss
      imp sylc eqsstr3d iunss sylibr eqssd ) BDEZBFGZABAHZFGZIZJZWIBKLZBWKMZLZA
      DNZBOEZBPZQZRWJWNSZABTWOXBWRXAWOXBKWNSWNUAWOWJKWNWOWJKFGKBKFUBUCUDUEUFWQX
      BADACWJWNCHWJEAUGACBWMUHUIWKDEZWQXBXCWQQWJWMWNWQXCWJWPFGZWMBWPFUBWKUJZUKW
      QWMWNSZXCWQWKBEZXFWQXGWKWPEZWKAULUMZBWPWKUNUFABWMUOUPUQURUSUTXAWJABWLJZWN
      ABOVAWTXJWNSZWSWTWLWMSZABVBXKWTXLABWTXGQXCXLBVCZXGXCWTBWKVDBVEVFXCWLXDWMX
      CWPDEZWLXDSZWKVGZXNXHXOXIWKWPVHVIVJXEVKUPVLABWLWMVMUPUQURVNVJWIWMWJSZABVB
      WNWJSWIXQABWIXGQZWMXDWJXRXCXDWMLBWKVOZXEUPXNWIQWPBSZXDWJSXRWPBVPXRXNWIXRX
      CXNXSXPVQWIXGVRVSWIXGXTWIXMXGXTVTBWAWKBWBUPWCWDWEVLABWMWJWFWGWH $.
      $( [28-Feb-2004] $) $( [25-Nov-2003] $)
  $}

  ${
    $d x y z w v A $.  $d x y u F $.
    tz9.12lem.1 $e |- A e. V $.
    tz9.12lem.2 $e |- F =
                   { <. z , w >. | w = |^| { v e. On | z e. ( R1 ` v ) } } $.
    $( Lemma for ~ tz9.12 . $)
    tz9.12lem1 $p |- ( F " A ) (_ On $=
      ( vy vx cima con0 cv wcel cop wa wex visset elima3 cr1 cfv crab cint
      wceq copab eleq2i eleq1 rabbisdv inteqd eqeq2d eqeq1 opelopab bitr cvv
      19.8a isset sylibr c0 wne wi intex wss ssrab2 oninton mpan syl5cbir
      sylbir mpcom sylbi adantl 19.23aiv ssriv ) HEDJZKHLZVLMILZDMZVNVMNZEMZOZI
      PVMKMZIVMEDHQZRVRVSIVQVSVOVQVMVNCLSTZMZCKUAZUBZUCZVSVQVPBLZALZWAMZCKUAZUB
      ZUCZABUDZMWEEWLVPGUEWKWFWDUCWEABVNVMIQVTWGVNUCZWJWDWFWMWIWCWMWHWBCKWGVNWA
      UFUGUHUIWFVMWDUJUKULWDUMMZWEVSWEWEHPWNWEHUNHWDUOUPWNWCUQURZWEVSUSWCUTWEVS
      WDKMZWOVMWDKUFWCKVAWOWPWBCKVBWCVCVDVEVFVGVHVIVJVHVK $.
      $( [22-Sep-2003] $)

    $( Lemma for ~ tz9.12 . $)
    tz9.12lem2 $p |- suc U. ( F " A ) e. On $=
      ( cima cuni con0 wss wcel tz9.12lem1 wfun cvv cv cr1 cfv crab cint wceq
      copab funopabeq wb funeq ax-mp mpbir funimaex ssonuni onsuc ) EDHZIZUKJKU
      LJLABCDEFGMUKENZUKOLUMBPAPCPQRLCJSTZUAABUBZNZABUNUCEUOUAUMUPUDGEUOUEUFUGE
      DFUHUFUIUFUJ $.
      $( [22-Sep-2003] $)

    $( Lemma for ~ tz9.12 . $)
    tz9.12lem3 $p |- ( A. x e. A E. y e. On x e. ( R1 ` y ) ->
                    A e. ( R1 ` suc suc U. ( F " A ) ) ) $=
      ( cv cr1 cfv wcel con0 wrex wral cima cuni csuc wa wss cdm wi crab c0
      wne wceq fveq2 eleq2d rcla4ev rabn0 sylibr cint cvv cop wex copab eleq2i
      visset eleq1 rabbisdv inteqd eqeq2d eqeq1 opelopab bitr exbii eldm2
      isset 3bitr4 intex bitr4 wfun funopabeq wb funeq ax-mp mpbir funfvima
      mpan syl tz9.12lem1 onsucuni sseli tz9.12lem2 r1ord2 syl6 imp fvopabg
      fveq1i syl5eq sylbi ssrab2 onint eqeltrd hbrab1 hbint hbeleq hbopab
      hbxfr ax-17 hbfv hbel elrabf pm3.27bi 3syl adantr sseldd exp31 com3r
      r19.23adv r19.20i cpw r1suc elpw dfss3 3bitr ) AJZBJZKLZMZBNOZAFPXRGFQZRS
      ZKLZMZAFPZFYDSKLZMZYBYFAFXRFMZYAYFBNXSNMZYAYJYFYKYAYJYFYKYATZYJTXRGLZKLZY
      EXRYLYJYNYEUAZYLYJYMYCMZYOYLXRGUBMZYJYPUCZYLXREJZKLZMZENUDZUEUFZYQYLUUAEN
      OUUCUUAYAEXSNYSXSUGYTXTXRYSXSKUHUIUJUUAENUKULZYQUUBUMZUNMZUUCXRXSUOZGMZBU
      PXSUUEUGZBUPYQUUFUUHUUIBUUHUUGDJZCJZYTMZENUDZUMZUGZCDUQZMUUIGUUPUUGIURUUO
      UUJUUEUGUUICDXRXSAUSZBUSUUKXRUGZUUNUUEUUJUURUUMUUBUURUULUUAENUUKXRYTUTVAV
      BZVCUUJXSUUEVDVEVFVGBXRGUUQVHBUUEVIVJUUBVKZVLULGVMZYQYRUVAUUPVMZCDUUNVNGU
      UPUGUVAUVBVOIGUUPVPVQVRFXRGVSVTWAYPYMYDMZYOYCYDYMYCNUAYCYDUACDEFGHIWBYCWC
      VQWDYDNMZUVCYOUCCDEFGHIWEZYMYDWFVQWAWGWHYLXRYNMZYJYLUUCYMUUBMZUVFUUDUUCYM
      UUEUUBUUCUUFYMUUEUGUUTUUFXRUUPLZUUEYMXRUNMUUFUVHUUEUGUUQCDXRUUNUUEUNUNUUS
      WIVTXRGUUPIWJWKWLUUBNUAUUCUUEUUBMUUAENWMUUBWNVTWOUVGYMNMUVFUUAUVFEBYMNEBX
      RGEBGUUPIUUOCDEBEDUUNEDUUMUULEDNWPWQWRWSWTXSXRMEXAZXBZYKEXAEBBXRYNUVIEBYM
      KXSKMEXAUVJXBXCYSYMUGYTYNXRYSYMKUHUIXDXEXFXGXHXIXJXKXLYIFYEXMZMFYEUAYGYHU
      VKFUVDYHUVKUGUVEYDXNVQURFYEHXOAFYEXPXQUL $.
      $( [22-Sep-2003] $)
  $}

  ${
    $d x y z w v A $.
    tz9.12.1 $e |- A e. V $.
    $( A set is well-founded if all of its elements are well-founded.
       Proposition 9.12 of [TakeutiZaring] p. 78.  The main proof consists
       of ~ tz9.12lem1 through ~ tz9.12lem3 . $)
    tz9.12 $p |- ( A. x e. A E. y e. On x e. ( R1 ` y ) ->
              E. y e. On A e. ( R1 ` y ) ) $=
      ( vw vz vv cv cr1 cfv wcel con0 wrex wral crab cint wceq copab cima cuni
      csuc eqid tz9.12lem3 tz9.12lem2 onsuc fveq2 eleq2d rcla4ev mpan syl ) AHB
      HZIJZKBLMACNCEHFHGHIJKGLOPQFERZCSTUAZUAZIJZKZCULKZBLMZABFEGCUMDUMUBZUCUOL
      KUQUSUNFEGCUMDUTUDUEURUQBUOLUKUOQULUPCUKUOIUFUGUHUIUJ $.
      $( [22-Sep-2003] $)
  $}

  ${
    $d x y z w A $.
    tz9.13.1 $e |- A e. V $.
    $( Every set is well-founded, assuming the Axiom of Regularity.  In other
       words, every set belongs to a layer of the cumulative hierarchy of sets.
       Proposition 9.13 of [TakeutiZaring] p. 78. $)
    tz9.13 $p |- E. x e. On A e. ( R1 ` x ) $=
      ( vy vz vw cv cr1 cfv wcel con0 wrex cab cvv wss wi wceq setind wral
      ssel visset eleq1 rexbidv elab syl6ib r19.21aiv tz9.12 syl sylibr mpg
      eleqtrr mpbi ) BDGZAGHIZJZAKLZDMZJBUNJZAKLZBNUQCEGZUQOZUTUQJZPUQNQEEUQRVA
      UTUNJZAKLZVBVAFGZUNJZAKLZFUTSVDVAVGFUTVAVEUTJVEUQJVGUTUQVETUPVGDVEFUAUMVE
      QUOVFAKUMVEUNUBUCUDUEUFFAUTEUAZUGUHUPVDDUTVHUMUTQUOVCAKUMUTUNUBUCUDUIUJUK
      UPUSDBCUMBQUOURAKUMBUNUBUCUDUL $.
      $( [23-Sep-2003] $)
  $}

  ${
    $d x y A $.
    $( Every set is well-founded, assuming the Axiom of Regularity.
       Proposition 9.13 of [TakeutiZaring] p. 78.  This variant of ~ tz9.13
       expresses the class existence requirement as an antecedent. $)
    tz9.13g $p |- ( A e. B -> E. x e. On A e. ( R1 ` x ) ) $=
      ( vy cv cr1 cfv wcel con0 wrex wceq ax-17 eleq1 rexbid visset tz9.13
      vtoclg ) DEZAEFGZHZAIJBSHZAIJDBCRBKZTUAAIUBALRBSMNARDOPQ $.
      $( [4-Oct-2003] $) $( [4-Oct-2003] $)
  $}

  ${
    $d x A $.
    $( Every set is well-founded, assuming the Axiom of Regularity.
       Proposition 9.13 of [TakeutiZaring] p. 78.  This variant of
       ~ tz9.13g is useful in proofs of theorems about the rank function. $)
    rankwflem $p |- ( A e. B -> E. x e. On A e. ( R1 ` suc x ) ) $=
      ( wcel cv cr1 cfv con0 wrex csuc tz9.13g wss suceloni visset sucid
      r1ord2 mpi syl sseld r19.22i ) BCDBAEZFGZDZAHIBUAJZFGZDZAHIABCKUCUFAHUAHD
      ZUBUEBUGUDHDZUBUELZUAMUHUAUDDUIUAANOUAUDPQRSTR $.
      $( [4-Oct-2003] $) $( [4-Oct-2003] $)
  $}

  ${
    $d x y $.
    $( Every set belongs to some value of the cumulative hierarchy of sets
       function ` R1 ` , i.e. the indexed union of all values of ` R1 ` is the
       universe.  Lemma 9.3 of [Jech] p. 71. $)
    jech9.3 $p |- U_ x e. On ( R1 ` x ) = V $=
      ( vy con0 cv cr1 cfv ciun cvv wcel wrex visset tz9.13 eliun mpbir 2th
      eqriv ) BACADEFZGZHBDZRIZSHITSQIACJASBKZLASCQMNUAOP $.
      $( [12-Oct-2003] $) $( [4-Oct-2003] $)

    $( The cumulative hierarchy of sets covers the universe.  Proposition 4.45
       (b) to (a) of [Mendelson] p. 281. $)
    unir1 $p |- U. ( R1 " On ) = V $=
      ( vx cr1 con0 cima cuni crn cv cfv ciun cvv cdm wceq wfn r1fnon fndm
      ax-mp imaeq2 imadmrn eqtr3 unieqi fniunfv jech9.3 3eqtr2 ) BCDZEBFZEZACAG
      BHIZJUDUEBBKZDZUDUEUHCLZUIUDLBCMZUJNCBOPUHCBQPBRSTUKUGUFLNACBUAPAUBUC $.
      $( [16-Nov-2004] $) $( [27-Sep-2004] $)
  $}

  ${
    $d x y z A $.
    rankval.1 $e |- A e. V $.
    $( Value of the rank function.  Definition 9.14 of [TakeutiZaring]
       p. 79 (proved as a theorem from our definition). $)
    rankval $p |- ( rank ` A ) = |^| { x e. On | A e. ( R1 ` suc x ) } $=
      ( vz vy crnk cfv cv csuc cr1 wcel con0 crab cint wceq copab df-rank
      fveq1i c0 wne cvv wrex rankwflem ax-mp rabn0 mpbir intex mpbi eleq1
      rabbisdv inteqd fvopab eqtr ) BFGBDHEHZAHIJGZKZALMZNZOEDPZGBUOKZALMZNZBFU
      SEDAQREDBURVBCVASTZVBUAKVCUTALUBZBUAKVDCABUAUCUDUTALUEUFVAUGUHUNBOZUQVAVE
      UPUTALUNBUOUIUJUKULUM $.
      $( [24-Sep-2003] $)
  $}

  ${
    $d x y A $.
    $( Value of the rank function.  Definition 9.14 of [TakeutiZaring]
       p. 79 (proved as a theorem from our definition).  This
       variant of ~ rankval expresses the class existence requirement as an
       antecedent instead of a hypothesis. $)
    rankvalg $p |- ( A e. B ->
                   ( rank ` A ) = |^| { x e. On | A e. ( R1 ` suc x ) } ) $=
      ( vy cv crnk cfv csuc cr1 wcel con0 crab cint wceq fveq2 eleq1 rabbisdv
      inteqd eqeq12d visset rankval vtoclg ) DEZFGZUCAEHIGZJZAKLZMZNBFGZBUEJZAK
      LZMZNDBCUCBNZUDUIUHULUCBFOUMUGUKUMUFUJAKUCBUEPQRSAUCDTUAUB $.
      $( [5-Oct-2003] $) $( [5-Oct-2003] $)

    $( Value of an alternate definition of the rank function.  Definition of
       [BellMachover] p. 478. $)
    rankval2 $p |- ( A e. B ->
                   ( rank ` A ) = |^| { x e. On | A (_ ( R1 ` x ) } ) $=
      ( wcel crnk cfv cv csuc cr1 con0 crab cint wss rankvalg cpw r1suc eleq2d
      fvex elpw2 syl6bb rabbii inteqi syl6eq ) BCDBEFBAGZHIFZDZAJKZLBUDIFZMZAJK
      ZLABCNUGUJUFUIAJUDJDZUFBUHOZDUIUKUEULBUDPQBUHUDIRSTUAUBUC $.
      $( [8-Oct-2003] $) $( [8-Oct-2003] $)
  $}

  ${
    $d x A $.
    $( The rank of a set is an ordinal number.  Proposition 9.15(1) of
       [TakeutiZaring] p. 79. $)
    rankon $p |- ( rank ` A ) e. On $=
      ( vx cvv wcel crnk cfv con0 cv csuc cr1 crab cint rankvalg c0 wne wrex
      rankwflem rabn0 sylibr wss ssrab2 oninton mpan syl eqeltrd wn fvprc
      0elon syl6eqel pm2.61i ) ACDZAEFZGDUKULABHIJFDZBGKZLZGBACMUKUNNOZUOGDZUKU
      MBGPUPBACQUMBGRSUNGTUPUQUMBGUAUNUBUCUDUEUKUFULNGAEUGUHUIUJ $.
      $( [5-Oct-2003] $) $( [5-Oct-2003] $)
  $}

  ${
    $d x y A $.
    rankid.1 $e |- A e. V $.
    $( Identity law for the rank function. $)
    rankid $p |- A e. ( R1 ` suc ( rank ` A ) ) $=
      ( vx vy cv csuc cr1 cfv wcel con0 crab cint crnk wrex cvv rankwflem
      ax-mp ax-17 hbrab1 hbint hbsuc hbfv hbel wceq suceq fveq2d eleq2d
      onminsb rankval fveq2i eleqtrr ) AACEZFZGHZIZCJKZLZFZGHZAMHZFZGHUOCJNZAUS
      IZAOIVBBCAOPQUOVCCCDDAUSDEZAICRCDURGVDGICRCDUQCDUPUOCDJSTUAUBUCULUQUDZUNU
      SAVEUMURGULUQUEUFUGUHQVAURGUTUQUDVAURUDCABUIUTUQUEQUJUK $.
      $( [4-Oct-2003] $) $( [3-Oct-2003] $)
  $}

  ${
    rankr1lem.1 $e |- A e. V $.
    $( Lemma for ~ rankr1 . $)
    rankr1lem $p |- ( B e. On ->
                    ( -. A e. ( R1 ` B ) -> B (_ ( rank ` A ) ) ) $=
      ( con0 wcel cr1 cfv wn crnk csuc wss wb rankon onsuc ontri1 mpan rankid
      wi r1ord3 ssel syl6 mpii sylbird con1d onsssuc mpan2 sylibrd ) BDEZABFGZE
      ZHBAIGZJZEZBUKKZUHUMUJUHUMHZULBKZUJULDEZUHUPUOLUKAMZNZULBOPUHUPAULFGZEZUJ
      ACQUHUPUTUIKZVAUJRUQUHUPVBRUSULBSPUTUIATUAUBUCUDUHUKDEUNUMLURBUKUEUFUG $.
      $( [6-Oct-2003] $) $( [6-Oct-2003] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    rankr1.1 $e |- A e. V $.
    $( A relationship between the rank function and the cumulative hierarchy
       of sets function ` R1 ` .  Proposition 9.15(2) of [TakeutiZaring]
       p. 79. $)
    rankr1 $p |- ( B = ( rank ` A ) <->
                 ( -. A e. ( R1 ` B ) /\ A e. ( R1 ` suc B ) ) ) $=
      ( vx vy crnk cfv wceq cr1 wcel wn csuc wa con0 rankon eleq1 mpbiri word
      wi eloni c0 cv wrex wlim w3o ordzsl noel fveq2 r10 syl6eq eleq2d mtbiri
      a1d wss visset sucid eleq2 adantl wb ontri1 con2bid eleq1a imp suceloni
      sylan pm3.26 sylanc mpbid adantr crab cint rankval eqeq2i biimp sseq1d
      suceq fveq2d onintss syl5bir biimpa sylan2i exp4d com3l imp31 mtod exp31
      r19.23aiv onel syl6bi anc2li r1ord2 mpi syl sseld sseq1i syl6ibr syld
      sseq1 biimprd sylan9r sylibd syl6 con2 pm2.43a con2i ciun cvv r1lim fvex
      eliun syl6bb mtbird expcom 3jaoi sylbi mpcom wne ssrab2 rankwflem ax-mp
      rabn0 mpbir onint mp2an eqeltr elrab pm3.27bi jca rankr1lem com12 cdm
      elfvdm wfn r1fnon fndm eleq2i sucelon bitr4 sylib syl5 syl5ss eqssd
      impbi ) BAFGZHZABIGZJZKZABLZIGZJZMZUUEUUHUUKBNJZUUEUUHUUEUUMUUDNJAOZBUUDN
      PQZUUMBRZUUEUUHSZBTUUPBUAHZBDUBZLZHZDNUCZBUDZUEUUQDBUFUURUUQUVBUVCUURUUHU
      UEUURUUGAUAJAUGUURUUFUAAUURUUFUAIGUABUAIUHUIUJUKULUMUVAUUQDNUUSNJZUVAUUEU
      UHUVDUVAMZUUEMUUGBUUSUNZUVEUVFKZUUEUVEUUSBJZUVGUVAUVHUVDUVAUVHUUSUUTJZUUS
      DUOUPZBUUTUUSUQQURUUMUVDUVHUVGUSUVEUUMUVDMUVFUVHBUUSUTZVAUUTNJZUVAUUMUVDU
      VLUVAUUMUUTNBVBVCUUSVDZVEUVDUVAVFVGVHVIUVDUVAUUEUUGUVFSZUUEUVDUVAUVNUUEUV
      DUVAUUGUVFUUEUVDAUUTIGZJZUVFUVAUUGMUUEUVFAEUBZLZIGZJZENVJZVKZUUSUNZUVDUVP
      MUUEBUWBUUSUUEBUWBHUUDUWBBEACVLZVMVNVOUVDUVPUWCUVTUVPEUUSUVQUUSHZUVSUVOAU
      WEUVRUUTIUVQUUSVPVQUKVRZVCVSUVAUUGUVPUVAUUFUVOABUUTIUHUKVTWAWBWCWDWEWFWGU
      UEUVCUUHUUEUVCMZUUGAUUSIGZJZDBUCZUUEUWJKUVCUWJUUEUWIUUEKZDBUWIUVHUWKUVHUW
      IUUEUVHKZSUVHUWKSUUEUVHUWIUWLUUEUVHUUEUVDMZUWIUWLSUUEUVHUVDUUEUVHUUSUUDJU
      VDBUUDUUSUQUUDUUSUUNWHWIWJUWMUWIUVFUWLUVDUWIUUDUUSUNZUUEUVFUVDUWIUVPUWNUV
      DUWHUVOAUVDUVLUWHUVOUNZUVMUVLUVIUWOUVJUUSUUTWKWLWMWNUVDUVPUWCUWNUWFUUDUWB
      UUSUWDWOWPWQUUEUVFUWNBUUDUUSWRWSWTUUMUVDUVFUWLUSUUEUVKUUOVEXAXBWCUUEUVHXC
      XBXDWGXEVIUWGUUGADBUWHXFZJUWJUWGUUFUWPABXGJZUVCUUFUWPHUUEDBXGXHUUEUWQUUDX
      GJAFXIBUUDXGPQVEUKDABUWHXJXKXLXMXNXOWMXPUUEBUWAJZUUKUUEUWRUUDUWAJUUDUWBUW
      AUWDUWANUNUWAUAXQZUWBUWAJUVTENXRUWSUVTENUCZAXGJUWTCEAXGXSXTUVTENYAYBUWAYC
      YDYEBUUDUWAPQUWRUUMUUKUVTUUKEBNUVQBHZUVSUUJAUXAUVRUUIIUVQBVPVQUKZYFYGWMYH
      UULBUUDUUHUUKBUUDUNZUUHUUMUXCUUKUUMUUHUXCABCYIYJUUKUUIIYKZJZUUMAUUIIYLUXE
      UUINJUUMUXDNUUIINYMUXDNHYNNIYOXTYPBYQYRYSZYTVCUUKUUDBUNUUHUUKUWBBUUDUUMUU
      KUWBBUNUXFUVTUUKEBUXBVRXPUWDUUAURUUBUUC $.
      $( [7-Oct-2003] $) $( [6-Oct-2003] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( A relationship between the rank function and the cumulative hierarchy
       of sets function ` R1 ` .  Proposition 9.15(2) of [TakeutiZaring]
       p. 79. $)
    rankr1g $p |- ( A e. C -> ( B = ( rank ` A ) <->
                 ( -. A e. ( R1 ` B ) /\ A e. ( R1 ` suc B ) ) ) ) $=
      ( vx cv crnk cfv wceq cr1 wcel wn csuc wa wb fveq2 eqeq2d eleq1 negbid
      anbi12d bibi12d visset rankr1 vtoclg ) BDEZFGZHZUDBIGZJZKZUDBLIGZJZMZNBAF
      GZHZAUGJZKZAUJJZMZNDACUDAHZUFUNULURUSUEUMBUDAFOPUSUIUPUKUQUSUHUOUDAUGQRUD
      AUJQSTUDBDUAUBUC $.
      $( [8-Oct-2003] $) $( [6-Oct-2003] $)
  $}

  ${
    ssrankr1.1 $e |- A e. V $.
    $( A relationship between an ordinal number less than or equal to a rank,
       and the cumulative hierarchy of sets ` R1 ` .  Proposition 9.15(3) of
       [TakeutiZaring] p. 79. $)
    ssrankr1 $p |- ( B e. On ->
                   ( B (_ ( rank ` A ) <-> -. A e. ( R1 ` B ) ) ) $=
      ( con0 wcel crnk cfv wss cr1 wn wa csuc wceq eqid rankr1 mpbi pm3.26i wi
      rankon r1ord3 mpan2 imp sseld mtoi ex rankr1lem impbid ) BDEZBAFGZHZABIGZ
      EZJZUHUJUMUHUJKZULAUIIGZEZUPJZAUILIGEZUIUIMUQURKUINAUICOPQUNUKUOAUHUJUKUO
      HZUHUIDEUJUSRASBUITUAUBUCUDUEABCUFUG $.
      $( [8-Oct-2003] $) $( [8-Oct-2003] $)
  $}

  ${
    rankr1a.1 $e |- A e. V $.
    $( A relationship between rank and ` R1 ` , clearly equivalent to
       ~ ssrankr1 and friends through trichotomy, but in Raph's opinion
       considerably more intuitive.  See ~ rankr1b for the subset verion.
       (Contributed by Raph Levien, 29-May-2004.) $)
    rankr1a $p |- ( B e. On -> ( A e. ( R1 ` B ) <-> ( rank ` A ) e. B ) ) $=
      ( con0 wcel cr1 cfv crnk wss wn ssrankr1 wb rankon ontri1 mpan2 bitr3d
      con4bid ) BDEZABFGEZAHGZBEZRBTIZSJUAJZABCKRTDEUBUCLAMBTNOPQ $.
      $( [30-May-2004] $) $( [29-May-2004] $)
  $}

  ${
    $d x y A $.
    $( The value of the cumulative hierarchy of sets function expressed in
       terms of rank.  Definition 15.19 of [Monk1] p. 113. $)
    r1val2 $p |- ( A e. On -> ( R1 ` A ) = { x | ( rank ` x ) e. A } ) $=
      ( con0 wcel cv crnk cfv cr1 visset rankr1a abbi2dv ) BCDAEZFGBDABHGLBAIJK
      $.
      $( [27-Jun-2004] $) $( [30-Nov-2003] $)

    $( The value of the cumulative hierarchy of sets function expressed in
       terms of rank.  Theorem 15.18 of [Monk1] p. 113. $)
    r1val3 $p |- ( A e. On ->
                 ( R1 ` A ) = U_ x e. A P~ { y | ( rank ` y ) e. x } ) $=
      ( con0 wcel cr1 cfv cv cpw ciun crnk cab r1val1 wceq wral wa onelon
      r1val2 pweq 3syl r19.21aiva iuneq2 syl eqtrd ) CDEZCFGACAHZFGZIZJZACBHKGU
      FEBLZIZJZACMUEUHUKNZACOUIULNUEUMACUEUFCEPUFDEUGUJNUMCUFQBUFRUGUJSTUAACUHU
      KUBUCUD $.
      $( [3-Jul-2004] $) $( [30-Nov-2003] $)
  $}

  ${
    rankel.1 $e |- B e. V $.
    $( The membership relation is inherited by the rank function.  Proposition
       9.16 of [TakeutiZaring] p. 79. $)
    rankel $p |- ( A e. B -> ( rank ` A ) e. ( rank ` B ) ) $=
      ( wcel crnk cfv csuc cr1 wn wceq wa eqid rankr1g mpbii pm3.26d wss wi
      cpw con0 rankon r1suc ax-mp eleq2i elpw bitr ssel sylbi com12 mtod wb
      ontri1 mp2an word onord ordsucsssuc rankid onsuc r1ord3 sseld mpi sylbir
      nsyl2 ) ABDZBAEFZGZHFZDZVDBEFZDZVCVGAVDHFZDZVCVKIZAVFDZVCVDVDJVLVMKVDLAVD
      BMNOVGVCVKVGBVJPZVCVKQVGBVJRZDVNVFVOBVDSDZVFVOJATZVDUAUBUCBVJCUDUEBVJAUFU
      GUHUIVIIZVHVDPZVGVHSDVPVSVRUJBTZVQVHVDUKULVSVHGZVEPZVGVHUMVDUMVSWBUJVHVTU
      NVDVQUNVHVDUOULWBBWAHFZDVGBCUPWBWCVFBWASDVESDWBWCVFPQVHVTUQVDVQUQWAVEURUL
      USUTUGVAVB $.
      $( [9-Oct-2003] $) $( [4-Oct-2003] $)
  $}

  ${
    $d x y A $.
    rankval3.1 $e |- A e. V $.
    $( The value of the rank function expressed recursively:  the rank of a set
       is the smallest ordinal number containing the ranks of all members of
       the set.  Proposition 9.17 of [TakeutiZaring] p. 79. $)
    rankval3 $p |- ( rank ` A ) =
                  |^| { x e. On | A. y e. A ( rank ` y ) e. x } $=
      ( crnk cfv cv wcel wral con0 crab cint csuc cr1 rankval wss visset
      rankid wi word eloni ordsucss syl rankon onsuc r1ord3 mpan syld ssel
      syl6 mpii r19.20sdv cpw r1suc eleq2d elpw dfss3 bitr syl6bb sylibrd
      ss2rabi intss ax-mp eqsstr rankel rgen wceq eleq2 ralbidv onintss mp2
      eqssi ) CEFZBGZEFZAGZHZBCIZAJKZLZVMCVPMNFZHZAJKZLZVTACDOVSWCPWDVTPVRWBAJV
      PJHZVRVNVPNFZHZBCIZWBWEVQWGBCWEVQVNVOMZNFZHZWGVNBQRWEVQWJWFPZWKWGSWEVQWIV
      PPZWLWEVPTVQWMSVPUAVOVPUBUCWIJHWEWMWLSVOVNUDUEWIVPUFUGUHWJWFVNUIUJUKULWEW
      BCWFUMZHZWHWEWAWNCVPUNUOWOCWFPWHCWFDUPBCWFUQURUSUTVAVSWCVBVCVDVMJHVOVMHZB
      CIZVTVMPCUDWPBCVNCDVEVFVRWQAVMVPVMVGVQWPBCVPVMVOVHVIVJVKVL $.
      $( [11-Oct-2003] $) $( [11-Oct-2003] $)
  $}

  ${
    $d x y A $.
    $( Any class whose elements have bounded rank is a set.  Proposition 9.19
       of [TakeutiZaring] p. 80. $)
    bndrank $p |- ( E. x e. On A. y e. A ( rank ` y ) (_ x -> A e. V ) $=
      ( cv crnk cfv wss wral cvv wcel con0 csuc cr1 visset rankid wi word wb
      eloni rankon onord ordsucsssuc mpan syl suceloni onsuc r1ord3 sylbid
      ssel syl6 mpii r19.20sdv dfss3 fvex ssex sylbir r19.23aiv ) BDZEFZADZGZBC
      HZCIJZAKUTKJZVBURUTLZMFZJZBCHZVCVDVAVGBCVDVAURUSLZMFZJZVGURBNOVDVAVJVFGZV
      KVGPVDVAVIVEGZVLVDUTQZVAVMRZUTSUSQVNVOUSURTZUAUSUTUBUCUDVDVEKJZVMVLPZUTUE
      VIKJVQVRUSVPUFVIVEUGUCUDUHVJVFURUIUJUKULVHCVFGVCBCVFUMCVFVEMUNUOUPUJUQ $.
      $( [20-Nov-2003] $) $( [13-Oct-2003] $)

    $( The elements of a proper class have unbounded rank.  Exercise 2 of
       [TakeutiZaring] p. 80. $)
    unbndrank $p |- ( -. A e. V -> A. x e. On E. y e. A x e. ( rank ` y ) ) $=
      ( cv crnk cfv wcel wrex con0 wral cvv wn wss wb rankon ontri1 mpan
      ralbidv ralnex syl6bb rexbiia rexnal bitr bndrank sylbir con1i ) ADZBDZEF
      ZGZBCHZAIJZCKGZULLZUIUGMZBCJZAIHZUMUQUKLZAIHUNUPURAIUGIGZUPUJLZBCJURUSUOU
      TBCUIIGUSUOUTNUHOUIUGPQRUJBCSTUAUKAIUBUCABCUDUEUF $.
      $( [21-Nov-2003] $) $( [13-Oct-2003] $)
  $}

  ${
    rankpw.1 $e |- A e. V $.
    $( The rank of a power set.  Part of Exercise 30 of [Enderton] p. 207. $)
    rankpw $p |- ( rank ` P~ A ) = suc ( rank ` A ) $=
      ( crnk cfv csuc cpw wceq cr1 wcel wn pwex rankr1 wss eqid pm3.26bi ax-mp
      pwid ssel mpi mto elpw mtbir con0 rankon r1suc eleq2i rankid eleqtr mpbi
      sspwb sseqtr4 mpbir onsuc eleqtrr mpbir2an eqcomi ) ACDZEZAFZCDZURUTGUSUR
      HDZIZJUSUREHDZIUSURABKZLVBUSUQHDZFZIZVGUSVEMZVHAVEIZUQUQGZVIJZUQNVJVKAVAI
      AUQBLOPVHAUSIVIABQUSVEARSTUSVEVDUAUBVAVFUSUQUCIVAVFGAUDZUQUEPZUFUBUSVAFZV
      CUSVNIUSVAMUSVFVAAVEMZUSVFMAVFIVOAVAVFABUGVMUHAVEBUAUIAVEUJUIVMUKUSVAVDUA
      ULURUCIVCVNGUQVLUMURUEPUNUOUP $.
      $( [22-Nov-2003] $) $( [22-Nov-2003] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The rank of a set belongs to a limit ordinal iff the rank of its power
       set does. $)
    ranklim $p |- ( Lim B ->
                  ( ( rank ` A ) e. B <-> ( rank ` P~ A ) e. B ) ) $=
      ( vx cvv wcel wlim crnk cfv cpw wb wa csuc limsuc adantl cv wceq pweq
      fveq2d fveq2 suceq syl eqeq12d visset rankpw vtoclg eleq1d adantr bitr4d
      wn c0 fvprc pwexb negbii sylbi eqtr4d pm2.61ian ) ADEZBFZAGHZBEZAIZGHZBEZ
      JZUQURKUTUSLZBEZVCURUTVFJUQBUSMNUQVCVFJURUQVBVEBCOZIZGHZVGGHZLZPVBVEPCADV
      GAPZVIVBVKVEVLVHVAGVGAQRVLVJUSPVKVEPVGAGSVJUSTUAUBVGCUCUDUEUFUGUHUQUIZVDU
      RVMUSVBBVMUSUJVBAGUKVMVADEZUIVBUJPUQVNAULUMVAGUKUNUOUFUGUP $.
      $( [19-Sep-2006] $) $( [18-Sep-2006] $)

    $( A stronger property of ` R1 ` than ~ rankpw .  The latter merely
       proves that ` R1 ` of the successor is a power set, but here we prove
       that if ` A ` is in the cumulative hierarchy, then ` P~ A ` is in the
       cumulative hierarchy of the successor.  (Contributed by Raph Levien,
       29-May-2004.) $)
    r1pw $p |- ( B e. On ->
                 ( A e. ( R1 ` B ) <-> P~ A e. ( R1 ` suc B ) ) ) $=
      ( vx cvv wcel con0 cr1 cfv cpw csuc wb wi cv wceq eleq1 pweq eleq1d
      bibi12d imbi2d crnk visset rankr1a word eloni ordsucelsuc syl bitrd
      rankpw eleq1i syl6bbr suceloni pwex bitr4d vtoclg wn elisset pwexb
      sylibr pm5.21ni a1d pm2.61i ) ADEZBFEZABGHZEZAIZBJZGHZEZKZLZVCCMZVDEZVLIZ
      VHEZKZLVKCADVLANZVPVJVCVQVMVEVOVIVLAVDOVQVNVFVHVLAPQRSVCVMVNTHZVGEZVOVCVM
      VLTHZJZVGEZVSVCVMVTBEZWBVLBCUAZUBVCBUCWCWBKBUDVTBUEUFUGVRWAVGVLWDUHUIUJVC
      VGFEVOVSKBUKVNVGVLWDULUBUFUMUNVBUOVJVCVEVBVIAVDUPVIVFDEVBVFVHUPAUQURUSUTV
      A $.
      $( [30-May-2004] $) $( [29-May-2004] $)
  $}

  ${
    $d A x y $.  $d B x y $.
    $( MAY BE REVISED - can ranklim + rankr1a shorten this? $)
    $( The cumulative hierarchy of a limit ordinal is closed under power set.
       (Contributed by Raph Levien, 29-May-2004.) $)
    r1pwcl $p |- ( Lim B -> ( A e. ( R1 ` B ) <-> P~ A e. ( R1 ` B ) ) ) $=
      ( vx vy cvv wcel wlim cr1 cfv cpw wb wi wa cv wrex csuc ciun r1lim
      eleq2d eliun syl6bb con0 onelon limelon sylan r1pw syl rexbidva wex
      limsuc anbi1d visset sucex wceq eleq1 fveq2 anbi12d cla4ev syl6bi
      19.23adv df-rex 3imtr4g cbvrexv syl6ibr adantl ex wss sssucid r1ord3 mpi
      sucelon sylan2b anidms sseld syl6 r19.22dv impbid 3bitrd bitr4d wn c0
      n0i fvprc nsyl2 pm5.21ni a1d pm2.61i ) BEFZBGZABHIZFZAJZWJFZKZLWHWIWNWHWI
      MZWKWLCNZHIZFZCBOZWMWOWKAWQFZCBOZWLWPPZHIZFZCBOZWSWOWKACBWQQZFXAWOWJXFACB
      ERZSCABWQTUAWOWTXDCBWOWPBFZMWPUBFZWTXDKBUBFXHXIWOBWPUCBEUDUEZAWPUFUGUHWOX
      EWSWIXEWSLWHWIXEWLDNZHIZFZDBOZWSWIXHXDMZCUIXKBFZXMMZDUIZXEXNWIXOXRCWIXOXB
      BFZXDMZXRWIXHXSXDBWPUJUKXQXTDXBWPCULUMXKXBUNZXPXSXMXDXKXBBUOYAXLXCWLXKXBH
      UPSUQURUSUTXDCBVAXMDBVAVBWRXMCDBWPXKUNWQXLWLWPXKHUPSVCVDVEWOWRXDCBWOXHXIW
      RXDLWOXHXIXJVFXIWQXCWLXIWQXCVGZXIXBUBFZYBXIXIYCMWPXBVGYBWPVHWPXBVIVJWPVKV
      LVMVNVOVPVQVRWOWMWLXFFWSWOWJXFWLXGSCWLBWQTUAVSVFWHVTWNWIWKWHWMWKWJWAUNZWH
      WJAWBBHWCZWDWMYDWHWJWLWBYEWDWEWFWG $.
      $( [1-Jun-2004] $) $( [29-May-2004] $)
  $}

  ${
    rankss.1 $e |- B e. V $.
    $( The subset relation is inherited by the rank function.  Exercise 1 of
       [TakeutiZaring] p. 80. $)
    rankss $p |- ( A (_ B -> ( rank ` A ) (_ ( rank ` B ) ) $=
      ( cpw wcel crnk cfv wss pwex rankel elpw2 csuc rankpw eleq2i con0 wb
      rankon onsssuc mp2an bitr4 3imtr3 ) ABDZEAFGZUBFGZEZABHUCBFGZHZAUBBCIJABC
      KUEUCUFLZEZUGUDUHUCBCMNUCOEUFOEUGUIPAQBQUCUFRSTUA $.
      $( [25-Nov-2003] $) $( [25-Nov-2003] $)
  $}

  ${
    $d x y z A $.
    ranksn.1 $e |- A e. V $.
    $( The rank of a singleton.  Theorem 15.17(v) of [Monk1] p. 112. $)
    ranksn $p |- ( rank ` { A } ) = suc ( rank ` A ) $=
      ( vy vx cv crnk cfv wcel csn wral con0 crab cint csuc wb wi wal wceq
      df-ral elsn imbi1i albii fveq2 eleq1d ceqsalv 3bitr a1i rabbii inteqi
      snex rankval3 rankon onsucmin ax-mp 3eqtr4 ) CEZFGZDEZHZCAIZJZDKLZMAFGZUR
      HZDKLZMZUTFGVCNZVBVEVAVDDKVAVDOURKHVAUPUTHZUSPZCQUPARZUSPZCQVDUSCUTSVIVKC
      VHVJUSCATUAUBUSVDCABVJUQVCURUPAFUCUDUEUFUGUHUIDCUTAUJUKVCKHVGVFRAULDVCUMU
      NUO $.
      $( [20-Jul-2004] $) $( [28-Nov-2003] $)

    $( The rank of a union.  Part of Theorem 15.17(iv) of [Monk1] p. 112. $)
    rankuni2 $p |- ( rank ` U. A ) = U_ x e. A ( rank ` x ) $=
      ( vy vz cuni crnk cfv cv ciun wcel wral con0 crab cint uniex rankval3
      wss wceq eleq2 ralbidv elrab fvex iunon rankon a1i mprg wrex eluni2
      ax-17 hbiu1 hbel ssiun2 sseld visset rankel syl5 r19.23ai sylbi rgen
      mpbir2an intss1 ax-mp eqsstr iunss elssuni rankss syl mprgbir eqssi ) BFZ
      GHZABAIZGHZJZVLDIZGHZEIZKZDVKLZEMNZOZVOEDVKBCPZQVOWAKZWBVORWDVOMKZVQVOKZD
      VKLZVTWGEVOMVRVOSVSWFDVKVRVOVQTUAUBVNMKZWEABABVNCVMGUCUDWHVMBKZVMUEUFUGWF
      DVKVPVKKVPVMKZABUHWFAVPBUIWJWFABAEEVQVOVRVQKAUJAEBVNUKULWIVQVNKWFWJWIVNVO
      VQABVNUMUNVPVMAUOUPUQURUSUTVAVOWAVBVCVDVOVLRVNVLRZABABVNVLVEWIVMVKRWKVMBV
      FVMVKWCVGVHVIVJ $.
      $( [21-Jul-2004] $) $( [30-Nov-2003] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    rankun.1 $e |- A e. V $.
    rankun.2 $e |- B e. V $.
    $( The rank of the union of two sets.  Theorem 15.17(iii) of [Monk1]
       p. 112. $)
    rankun $p |- ( rank ` ( A u. B ) ) = ( ( rank ` A ) u. ( rank ` B ) ) $=
      ( vx vz vy cun crnk cfv cv wcel wral wi con0 crab cint unex rankval3
      eleq2i visset elintrab bitr wo elun rankel elun1 syl elun2 jaoi sylbi
      rgen rankon onun wceq eleq2 ralbidv imbi12d rcla4v ax-mp mpi ssriv wss
      ssun1 rankss ssun2 unssi eqssi ) ABHZIJZAIJZBIJZHZEVJVMEKZVJLZFKZIJZGKZLZ
      FVIMZVNVRLZNZGOMZVNVMLZVOVNVTGOPQZLWCVJWEVNGFVIABCDRZSTVTGVNOEUAUBUCWCVQV
      MLZFVIMZWDWGFVIVPVILVPALZVPBLZUDWGVPABUEWIWGWJWIVQVKLWGVPACUFVQVKVLUGUHWJ
      VQVLLWGVPBDUFVQVLVKUIUHUJUKULVMOLWCWHWDNZNVKVLAUMBUMUNWBWKGVMOVRVMUOZVTWH
      WAWDWLVSWGFVIVRVMVQUPUQVRVMVNUPURUSUTVAUKVBVKVLVJAVIVCVKVJVCABVDAVIWFVEUT
      BVIVCVLVJVCBAVFBVIWFVEUTVGVH $.
      $( [25-Aug-2004] $) $( [26-Nov-2003] $)

    $( The rank of an unordered pair.  Part of Exercise 30 of [Enderton]
       p. 207. $)
    rankpr $p |- ( rank ` { A , B } ) = suc ( ( rank ` A ) u. ( rank ` B ) ) $=
      ( cpr crnk cfv csuc cun csn df-pr fveq2i snex rankun ranksn uneq12i
      3eqtr word wceq rankon onord ordsucun mp2an eqtr4 ) ABEZFGZAFGZHZBFGZHZIZ
      UGUIIHZUFAJZBJZIZFGUMFGZUNFGZIUKUEUOFABKLUMUNAMBMNUPUHUQUJACOBDOPQUGRUIRU
      LUKSUGATUAUIBTUAUGUIUBUCUD $.
      $( [19-Sep-2004] $) $( [28-Nov-2003] $)

    $( The rank of an ordered pair.  Part of Exercise 4 of [Kunen] p. 107. $)
    rankop $p |- ( rank ` <. A , B >. ) =
                 suc suc ( ( rank ` A ) u. ( rank ` B ) ) $=
      ( cop crnk cfv csn cpr cun csuc df-op fveq2i snex prex rankpr wceq wss
      snsspr ssequn1 mpbi rankun 3eqtr3 suceq ax-mp 3eqtr ) ABEZFGAHZABIZIZFGUH
      FGUIFGZJZKZAFGBFGJKZKZUGUJFABLMUHUIANZABOZPULUNQUMUOQUHUIJZFGUKULUNURUIFU
      HUIRURUIQABSUHUITUAMUHUIUPUQUBABCDPUCULUNUDUEUF $.
      $( [16-Oct-2006] $) $( [13-Sep-2006] $)
  $}

  $( Any set is a subset of the hierarchy of its rank. $)
  r1rankid $p |- ( A e. B -> A (_ ( R1 ` ( rank ` A ) ) ) $=
    ( wcel crnk cfv cr1 cpw wss csuc wn wceq wa eqid rankr1g mpbii pm3.27d
    con0 rankon r1suc ax-mp syl6eleq elpwg mpbid ) ABCZAADEZFEZGZCAUFHUDAUEIFEZ
    UGUDAUFCJZAUHCZUDUEUEKUIUJLUEMAUEBNOPUEQCUHUGKARUESTUAAUFBUBUC $.
    $( [9-Jan-2004] $) $( [14-Oct-2003] $)

  ${
    $d x y z A $.
    $( The rank of an ordinal number is itself.  Proposition 9.18 of
       [TakeutiZaring] p. 79 and its converse. $)
    rankonid $p |- ( A e. On <-> ( rank ` A ) = A ) $=
      ( vx vy vz con0 wcel crnk cfv wceq cv fveq2 id eqeq12d wral wss crab
      cint wb eleq1 r19.20si r19.15 syl dfss3 syl6bbr rabbisdv inteqd visset
      rankval3 syl5eq intmin sylan9eqr ex tfis3 rankon mpbii impbi ) AEFZAGHZAI
      ZBJZGHZUTIZCJZGHZVCIZUSBCAUTVCIZVAVDUTVCUTVCGKVFLMUTAIZVAURUTAUTAGKVGLMUT
      EFZVECUTNZVBVIVHVAUTDJZOZDEPZQZUTVIVDVJFZCUTNZDEPZQVMVAVIVPVLVIVOVKDEVIVO
      VCVJFZCUTNZVKVIVNVQRZCUTNVOVRRVEVSCUTVDVCVJSTVNVQCUTUAUBCUTVJUCUDUEUFDCUT
      BUGUHUIDUTEUJUKULUMUSUREFUQAUNURAESUOUP $.
      $( [25-Nov-2003] $) $( [14-Oct-2003] $)
  $}

  ${
    $d x A $.
    rankeq0.1 $e |- A e. V $.
    $( A set is empty iff its rank is empty. $)
    rankeq0 $p |- ( A = (/) <-> ( rank ` A ) = (/) ) $=
      ( vx c0 wceq crnk cfv fveq2 con0 wcel 0elon rankonid mpbi syl6eq cv cr1
      wss crab cint cvv rankval2 ax-mp eqeq1i wa wb ssrab2 onint0 sseq2d elrab
      biantrur r10 sseq2i bitr3 3bitr ss0 sylbi impbi ) ADEZAFGZDEZURUSDFGZDADF
      HDIJZVADEKDLMNUTACOZPGZQZCIRZSZDEZURUSVGDATJUSVGEBCATUAUBUCVHADQZURVHDVFJ
      ZVBADPGZQZUDZVIVFIQVHVJUEVECIUFVFUGUBVEVLCDIVCDEVDVKAVCDPHUHUIVMVLVIVBVLK
      UJVKDAUKULUMUNAUOUPUPUQ $.
      $( [23-Sep-2006] $) $( [18-Sep-2006] $)
  $}

  ${
    $d x y z A $.
    $( The rank of the hierarchy of an ordinal number is itself. $)
    rankr1id $p |- ( A e. On <-> ( rank ` ( R1 ` A ) ) = A ) $=
      ( vx vy con0 wcel cr1 cfv crnk wceq cv fveq2 fveq2d id eqeq12d wss crab
      cint r1ord3 ss2rabdv intss syl intmin sseqtrd cvv fvex rankval2 ax-mp
      syl5ss rankonid visset r1rankid sseq2d mpbii rankss sseq1 mpbid sylbi
      eqssd vtoclga rankon eleq1 impbi ) ADEZAFGZHGZAIZBJZFGZHGZVGIVFBADVGAIZVI
      VEVGAVJVHVDHVGAFKLVJMNVGDEZVIVGVKVHCJZFGOZCDPZQZVGVIVKVOVGVLOZCDPZQZVGVKV
      QVNOVOVROVKVPVMCDVGVLRSVQVNTUACVGDUBUCVHUDEVIVOIVGFUEZCVHUDUFUGUHVKVGHGZV
      GIZVGVIOZVGUIWAVTVIOZWBWAVGVHOZWCWAVGVTFGZOZWDVGUDEWFBUJVGUDUKUGWAWEVHVGV
      TVGFKULUMVGVHVSUNUAVTVGVIUOUPUQURUSVFVEDEVCVDUTVEADVAUMVB $.
      $( [25-Nov-2003] $) $( [14-Oct-2003] $)

    $( The rank of a union.  Part of Exercise 4 of [Kunen] p. 107. $)
    rankuni $p |- ( rank ` U. A ) = U. ( rank ` A ) $=
      ( vx vy vz cvv wcel cuni crnk cfv wceq cv unieq fveq2d fveq2 unieqd
      eqeq12d wrex cab ciun visset rankuni2 fvex dfiun2 eqtr wss wa wex df-rex
      rankel anim1i 19.22i 19.42v eleq1 pm5.32ri exbii pm3.26 cr1 con0 rankon
      onel rankr1id sylib eqcomd eqeq2d cla4ev syl ancli impbi 3bitr3 sylbi
      abssi uniss ax-mp eqsstr csuc cpw pwuni uniex pwex rankss rankpw sseqtr
      onunisuc eqssi vtoclg wn c0 uniexb negbii fvprc uni0 syl6eqr eqtr4d
      pm2.61i ) AEFZAGZHIZAHIZGZJZBKZGZHIZXAHIZGZJWTBAEXAAJZXCWQXEWSXFXBWPHXAAL
      MXFXDWRXAAHNOPXCXEXCCKZDKZHIZJZDXAQZCRZGZXEXCDXAXISXMDXABTZUADCXAXIXHHUBU
      CUDXLXDUEXMXEUEXKCXDXKXHXAFZXJUFZDUGZXGXDFZXJDXAUHXQXIXDFZXJUFZDUGZXRXPXT
      DXOXSXJXHXAXNUIUJUKXRXJUFZDUGXRXJDUGZUFZYAXRXRXJDULYBXTDXJXRXSXGXIXDUMUNU
      OYDXRXRYCUPXRYCXRXGXGUQIZHIZJZYCXRYFXGXRXGURFYFXGJXDXGXAUSUTXGVAVBVCXJYGD
      YEXGUQUBXHYEJXIYFXGXHYEHNVDVEVFVGVHVIVBVJVKXLXDVLVMVNXEXCVOZGZXCXDYHUEXEY
      IUEXDXBVPZHIZYHXAYJUEXDYKUEXAVQXAYJXBXAXNVRZVSVTVMXBYLWAWBXDYHVLVMXCXBUSW
      CWBWDWEWOWFZWQWGGZWSYMWQWGYNYMWPEFZWFWQWGJWOYOAWHWIWPHWJVJWKWLYMWRWGAHWJO
      WMWN $.
      $( [28-Sep-2006] $) $( [15-Sep-2006] $)
  $}

  ${
    $d x y z A $.  $d x B $.
    rankr1b.1 $e |- A e. V $.
    $( A relationship between rank and ` R1 ` .  See ~ rankr1a for the
       membership version. $)
    rankr1b $p |- ( B e. On -> ( A (_ ( R1 ` B ) <-> ( rank ` A ) (_ B ) ) $=
      ( con0 wcel cr1 cfv wss crnk wceq rankr1id biimp sseq2d fvex rankss
      syl5bi wi rankon r1ord3 mpan cvv r1rankid ax-mp sstr syl6 impbid ) BDEZAB
      FGZHZAIGZBHZUGUJUHIGZHUKUIUGULBUJUGULBJBKLMAUHBFNOPUGUKUJFGZUHHZUIUJDEUGU
      KUNQARUJBSTAUMHZUNUIAUAEUOCAUAUBUCAUMUHUDTUEUF $.
      $( [22-Sep-2006] $) $( [15-Sep-2006] $)

    $( The rank of a successor. $)
    ranksuc $p |- ( rank ` suc A ) = suc ( rank ` A ) $=
      ( csuc crnk cfv csn cun df-suc fveq2i snex rankun ranksn uneq2i wss wceq
      sssucid ssequn1 mpbi eqtr 3eqtr ) ACZDEAAFZGZDEADEZUBDEZGZUDCZUAUCDAHIAUB
      BAJKUFUDUGGZUGUEUGUDABLMUDUGNUHUGOUDPUDUGQRST $.
      $( [13-Dec-2006] $) $( [18-Sep-2006] $)

    $( Upper bound of the rank of a union.  Part of Exercise 30 of [Enderton]
       p. 207. $)
    rankuniss $p |- ( rank ` U. A ) (_ ( rank ` A ) $=
      ( cuni crnk cfv rankuni word wss rankon onord orduniss ax-mp eqsstr ) ACD
      EADEZCZNAFNGONHNAIJNKLM $.
      $( [30-Nov-2003] $) $( [30-Nov-2003] $)

    $( The rank of a set is the supremum of the successors of the ranks of its
       members.  Exercise 9.1 of [Jech] p. 72.  Also a special case of Theorem
       7V(b) of [Enderton] p. 204. $)
    rankval4 $p |- ( rank ` A ) = U_ x e. A suc ( rank ` x ) $=
      ( vy crnk cfv cv csuc ciun cr1 wss wcel wi ax-17 hbiu1 hbfv dfss2f
      visset rankid ssiun2 con0 rankon onsuc fvex sucex iunon a1i mprg r1ord3
      mp2an syl sseld mpi mpgbir rankss ax-mp crab cint mpan ss2rabi intss cvv
      wceq rankval2 intmin eqcomi 3sstr4 sstri iunss rankel onsucss sylib
      mprgbir eqssi ) BEFZABAGZEFZHZIZVOVSJFZEFZVSBVTKZVOWAKWBVPBLZVPVTLZMAADBV
      TDGZBLANADVSJWEJLANADBVROPQWCVPVRJFZLWDVPARSWCWFVTVPWCVRVSKZWFVTKZABVRTVR
      UALZVSUALZWGWHMVQVPUBZUCZWIWJABABVRCVQVPEUDUEUFWIWCWLUGUHZVRVSUIUJUKULUMU
      NBVTVSJUDZUOUPVTWEJFKZDUAUQZURZVSWEKZDUAUQZURZWAVSWSWPKWQWTKWRWODUAWJWEUA
      LWRWOMWMVSWEUIUSUTWSWPVAUPVTVBLWAWQVCWNDVTVBVDUPWTVSWJWTVSVCWMDVSUAVEUPVF
      VGVHVSVOKVRVOKZABABVRVOVIWCVQVOLXAVPBCVJVQVOWKBUBVKVLVMVN $.
      $( [7-Nov-2004] $) $( [12-Oct-2003] $)

    $( The rank of a set is bounded by a bound for the successor of its
       members. $)
    rankbnd $p |- ( A. x e. A suc ( rank ` x ) (_ B <-> ( rank ` A ) (_ B ) $=
      ( crnk cfv wss cv csuc ciun wral rankval4 sseq1i iunss bitr2 ) BEFZCGABAH
      EFIZJZCGQCGABKPRCABDLMABQCNO $.
      $( [21-Sep-2006] $) $( [18-Sep-2006] $)

    $( The rank of a set is bounded by the successor of a bound for its
       members. $)
    rankbnd2 $p |- ( B e. On -> ( A. x e. A ( rank ` x ) (_ B <->
                  ( rank ` A ) (_ suc B ) ) $=
      ( con0 wcel crnk cfv cuni wss csuc cv wral word wb eloni rankon onss
      ordunisssuc mpan syl ciun rankuni rankuni2 eqtr3 sseq1i iunss bitr2
      syl5bb ) CEFZBGHZIZCJZUKCKJZALGHZCJABMZUJCNZUMUNOZCPUKEJUQURUKBQRUKCSTUAU
      MABUOUBZCJUPULUSCBIGHULUSBUCABDUDUEUFABUOCUGUHUI $.
      $( [5-Jan-2007] $) $( [15-Sep-2006] $)

    $( A relationship that can be used for computation of rank. $)
    rankc1 $p |- ( A. x e. A ( rank ` x ) e. ( rank ` U. A ) <->
                 ( rank ` A ) = ( rank ` U. A ) ) $=
      ( crnk cfv cuni wss wa cv wcel wral wceq rankuniss biantru csuc ciun
      iunss rankval4 sseq1i rankon onsucss ralbii 3bitr4r eqss 3bitr4 ) BDEZBFZ
      DEZGZUIUHUFGZHAIZDEZUHJZABKZUFUHLUJUIBCMNABULOZPZUHGUOUHGZABKUIUNABUOUHQU
      FUPUHABCRSUMUQABULUHUKTUGTUAUBUCUFUHUDUE $.
      $( [16-Jan-2007] $) $( [16-Sep-2006] $)

    $( A relationship that can be used for computation of rank. $)
    rankc2 $p |- ( E. x e. A ( rank ` x ) = ( rank ` U. A ) ->
                 ( rank ` A ) = suc ( rank ` U. A ) ) $=
      ( cv crnk cfv cuni wceq wrex csuc wss cpw pwuni uniex pwex rankss ax-mp
      rankpw sseqtr a1i wcel eleq1 rankel syl5cbi r19.23aiv rankon onsucss
      sylib eqssd ) ADZEFZBGZEFZHZABIZBEFZUMJZUPUQKUOUPULLZEFZUQBURKUPUSKBMBURU
      LBCNZOPQULUTRSTUOUMUPUAZUQUPKUNVAABUNUKUPUAVAUJBUAUKUMUPUBUJBCUCUDUEUMUPU
      LUFBUFUGUHUI $.
      $( [7-Jul-2007] $) $( [16-Sep-2006] $)
  $}

  ${
    rankelun.1 $e |- A e. V $.
    rankelun.2 $e |- B e. V $.
    rankelun.3 $e |- C e. V $.
    rankelun.4 $e |- D e. V $.
    $( Rank membership is inherited by union. $)
    rankelun $p |- ( ( ( rank ` A ) e. ( rank ` C ) /\ ( rank ` B ) e.
          ( rank ` D ) ) -> ( rank ` ( A u. B ) ) e. ( rank ` ( C u. D ) ) ) $=
      ( crnk cfv wcel wa cun cr1 csuc wss cpr elun1 elun2 anim12i prss sylib
      fvex unex rankss syl rankpr wceq rankun suceq ax-mp eqtr4 syl5ssr cvv wi
      sucssel con0 wb rankon rankr1a syl2anbr rankr1id mpbi uneq12i 3eqtr4
      syl6eleq ) AIJZCIJZKZBIJZDIJZKZLABMZIJZVHNJZVKNJZMZIJZCDMIJZAVOKZBVPKZVNV
      RKZVIVLVTWALZVNOZVRPZWBWCABQZIJZVRWDWCWFVQPZWGVRPWCAVQKZBVQKZLWHVTWIWAWJA
      VOVPRBVPVOSTABVQEFUAUBWFVQVOVPVHNUCZVKNUCZUDUEUFWGVGVJMZOZWDABEFUGVNWMUHW
      DWNUHABEFUIVNWMUJUKULUMVNUNKWEWBUOVMIUCVNVRUNUPUKUFVHUQKZVTVIURCUSZAVHEUT
      UKVKUQKZWAVLURDUSZBVKFUTUKVAVOIJZVPIJZMVHVKMVRVSWSVHWTVKWOWSVHUHWPVHVBVCW
      QWTVKUHWRVKVBVCVDVOVPWKWLUICDGHUIVEVF $.
      $( [20-Sep-2006] $) $( [18-Sep-2006] $)

    $( Rank membership is inherited by unordered pairs. $)
    rankelpr $p |- ( ( ( rank ` A ) e. ( rank ` C ) /\ ( rank ` B ) e.
            ( rank ` D ) ) -> ( rank ` { A , B } ) e. ( rank ` { C , D } ) ) $=
      ( crnk cfv wcel wa cun csuc cpr rankelun rankun syl6eleq syl5eqelr word
      wb rankon onun onord ordsucelsuc ax-mp sylib rankpr syl6eleqr syl5eqel )
      AIJZCIJZKBIJZDIJZKLZUKUMMZNZCDOIJZABOIJUOUQULUNMZNZURUOUPUSKZUQUTKZUOABMI
      JZUSUPUOVCCDMIJUSABCDEFGHPCDGHQRABEFQSUSTVAVBUAUSULUNCUBDUBUCUDUPUSUEUFUG
      CDGHUHUIABEFUHUJ $.
      $( [23-Oct-2006] $) $( [18-Sep-2006] $)

    $( Rank membership is inherited by ordered pairs. $)
    rankelop $p |- ( ( ( rank ` A ) e. ( rank ` C ) /\ ( rank ` B ) e.
        ( rank ` D ) ) -> ( rank ` <. A , B >. ) e. ( rank ` <. C , D >. ) ) $=
      ( crnk cfv wcel wa cpr csuc cop rankelpr word wb rankon onord
      ordsucelsuc ax-mp sylib cun wceq rankpr suceq rankop eqtr4 syl6eleq
      syl5eqel ) AIJZCIJZKBIJZDIJZKLZABMIJZNZCDOIJZABOIJZUPURCDMZIJZNZUSUPUQVBK
      ZURVCKZABCDEFGHPVBQVDVERVBVASTUQVBUAUBUCVCUMUOUDNZNZUSVBVFUEVCVGUECDGHUFV
      BVFUGUBCDGHUHUIUJUTULUNUDNZNZURABEFUHUQVHUEURVIUEABEFUFUQVHUGUBUIUK $.
      $( [25-Jun-2007] $) $( [18-Sep-2006] $)
  $}

  ${
    rankxpl.1 $e |- A e. V $.
    rankxpl.2 $e |- B e. V $.
    $( A lower bound on the rank of a cross product. $)
    rankxpl $p |- ( ( A X. B ) =/= (/) -> ( rank ` ( A u. B ) ) (_
                  ( rank ` ( A X. B ) ) ) $=
      ( cxp c0 wne cun crnk cfv cuni unixp fveq2d wss xpex uniex rankuniss
      sstri a1i eqsstr3d ) ABEZFGZABHZIJUAKZKZIJZUAIJZUBUEUCIABLMUFUGNUBUFUDIJU
      GUDUAABCDOZPQUAUHQRST $.
      $( [25-Sep-2006] $) $( [18-Sep-2006] $)

    $( An upper bound on the rank of a cross product. $)
    rankxpu $p |- ( rank ` ( A X. B ) ) (_
                 suc suc ( rank ` ( A u. B ) ) $=
      ( cxp crnk cfv cun cpw csuc wss xpsspw unex pwex rankss ax-mp rankpw
      wceq suceq eqtr sseqtr ) ABEZFGZABHZIZIZFGZUDFGJZJZUBUFKUCUGKABLUBUFUEUDA
      BCDMZNZNOPUGUEFGZJZUIUEUKQULUHRUMUIRUDUJQULUHSPTUA $.
      $( [24-Sep-2006] $) $( [18-Sep-2006] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    rankxplim.1 $e |- A e. V $.
    rankxplim.2 $e |- B e. V $.
    $( The rank of a cross product when the rank of the union of its
       arguments is a limit ordinal.  Part of Exercise 4 of [Kunen] p. 107.
       See ~ rankxpsuc for the successor case. $)
    rankxplim $p |- ( ( Lim ( rank ` ( A u. B ) ) /\ ( A X. B ) =/= (/) ) ->
                    ( rank ` ( A X. B ) ) = ( rank ` ( A u. B ) ) ) $=
      ( vx vy vz cun crnk cfv wlim cxp c0 wne wa wss cv cop csuc wral wcel cpw
      visset rankelun rankel syl2an adantl wb ranklim bitrd adantr mpbid cpr
      cuni pwuni wceq uniop pweq ax-mp sseqtr unipr sspwb mpbi sstri unex pwex
      rankss con0 wi rankon ontr2 mp2an mpan syl onsucss sylib ex r19.21aivv
      fveq2 suceq sseq1d ralxp xpex rankbnd bitr3 rankxpl eqssd ) ABHZIJZKZABLZ
      MNZOWKIJZWIWJWMWIPZWLWJEQZFQZRZIJZSZWIPZFBTEATZWNWJWTEFABWJWOAUAZWPBUAZOZ
      WTWJXDOZWRWIUAZWTXEWOWPHZUBZUBZIJZWIUAZXFXEXGIJWIUAZXKXDXLWJWOIJAIJUAWPIJ
      BIJUAXLXBXCWOWPABEUCZFUCZCDUDWOACUEWPBDUEUFUGWJXLXKUHXDWJXLXHIJWIUAXKXGWI
      UIXHWIUIUJUKULWRXJPZXKXFWQXIPXOWQWOWPUMZUBZXIWQWQUNZUBZXQWQUOXRXPUPXSXQUP
      WOWPUQXRXPURUSUTXPXHPXQXIPXPXPUNZUBZXHXPUOXTXGUPYAXHUPWOWPXMXNVAXTXGURUSU
      TXPXHVBVCVDWQXIXHXGWOWPXMXNVEVFVFVGUSWRVHUAWIVHUAXOXKOXFVIWQVJZWHVJZWRXJW
      IVKVLVMVNWRWIYBYCVOVPVQVRXAGQZIJZSZWIPZGWKTWNYGWTGEFABYDWQUPZYFWSWIYHYEWR
      UPYFWSUPYDWQIVSYEWRVTVNWAWBGWKWIABCDWCWDWEVPUKWLWIWMPWJABCDWFUGWG $.
      $( [26-Sep-2006] $) $( [19-Sep-2006] $)


    $( If the rank of a cross product is a limit ordinal, so is the rank of
       the union of its arguments. $)
    rankxplim2 $p |- ( Lim ( rank ` ( A X. B ) ) ->
                     Lim ( rank ` ( A u. B ) ) ) $=
      ( cxp c0 wne crnk cfv wlim cun wcel wceq wn 0ellim n0i df-ne xpex
      rankeq0 negbii bitr2 biimp 3syl cuni wb unixp fveq2d rankuni unieqi
      eqtr2 syl5eq limeq syl limuni2 syl5bi mpcom ) ABEZFGZUQHIZJZABKZHIZJZUTFU
      SLUSFMZNZURUSOUSFPVEURURUQFMZNVEUQFQVFVDUQABCDRSTUAUBUCURUSUDZUDZJZVCUTUR
      VHVBMVIVCUEURUQUDZUDZHIZVBVHURVKVAHABUFUGVLVJHIZUDVHVJUHVMVGUQUHUIUJUKVHV
      BULUMUTVGJVIUSUNVGUNUMUOUP $.
      $( [29-Sep-2006] $) $( [19-Sep-2006] $)

    $( The rank of a cross product is a limit ordinal iff its union is. $)
    rankxplim3 $p |- ( Lim ( rank ` ( A X. B ) ) <->
                     Lim U. ( rank ` ( A X. B ) ) ) $=
      ( vx vy cxp crnk cfv wlim cuni limuni2 c0 wceq wn cun cv csuc con0 wrex
      wa wo word w3o rankon onord ordzsl mpbi 3ori un00 olc adantl sylbir
      xpeq0 sylibr con3i xpex rankeq0 negbii unex 3imtr3 sylan ex orim12d
      ianor syl5ib imp wi pm3.26 wb wne rankxplim necon3abii sylan2br limeq
      syl mpbird expcom idd jaod adantr mpd wcel 0ellim n0i unieq uni0 syl6eq
      3syl wss onsuc elisseti sucid ontri1 mp2an con2bii rankxpu sstr mpan2
      mto simprl pm3.27 df-ne bitr2 sylib unixp fveq2d rankuni unieqi eqtr
      syl5reqr eqimss eqsstr3d adantrr limuni sseqtr4d cvv visset orduni ax-mp
      ordelsuc limsuc mpbid eqeltrd ordsucelsuc onsucuni2 mpan ad2antll
      eleqtrd onsucss a1d r19.23advv reeanv syl5ibr mtoi sylanc impbi ) ABGZHIZ
      JZYSKZJZYSLYSMNZOZABPZHIZEQZRZNZESTZYSFQZRNZFSTZUAZOZYTUUBUUDUUOUAUUFJZYT
      UBZYTUUDUUOUUQUUDUUJOZUUMOZUBUUQUUOUUDUURUUPUUSYTUUDUURUUPUUFMNZOZUURUUPU
      UDUUTUUJUUPUUFUCUUTUUJUUPUDUUFUUEUEZUFEUUFUGUHUIYRMNZOZUUEMNZOUUDUVAUVEUV
      CUVEAMNZBMNZUBZUVCUVEUVFUVGUAUVHABUJUVGUVHUVFUVGUVFUKULUMABUNUOUPUVCUUCYR
      ABCDUQURZUSZUVEUUTUUEABCDUTURUSVAVBVCUUDUUSYTUUCUUMYTYSUCZUUCUUMYTUDYSYRU
      EZUFZFYSUGUHUIVCVDUUJUUMVEVFVGUUDUUQYTVHUUOUUDUUPYTYTUUPUUDYTUUPUUDUAZYTU
      UPUUPUUDVIUVNYSUUFNZYTUUPVJUUPYRMVKZUVOUUDABCDVLUUCYRMUVIVMVNYSUUFVOVPVQV
      RUUDYTVSVTWAWBUUBMUUAWCUUAMNZOUUDUUAWDUUAMWEUUCUVQUUCUUAMKMYSMWFWGWHUPWIZ
      UUBUUNUUFRZRZRZYSWJZUWBUWAUVTWJZUVTUWAWCZUWCOUVTUVTSUVSUUFUVBWKWKZWLWMUWC
      UWDUWASWCUVTSWCUWCUWDOVJUVTUWEWKUWEUWAUVTWNWOWPUHUWBYSUVTWJUWCABCDWQUWAYS
      UVTWRWSWTUUBUUIUULUAZFSTESTUWBUUNUUBUWFUWBEFSSUUBUWFUWBVHUUGSWCUUKSWCUAUU
      BUWFUWBUUBUWFUAZUVTYSWCUWBUWGUVTUUARZYSUWGUVSUUAWCZUVTUWHWCZUWGUUFUUAWCZU
      WIUWGUUFUUHUUAUUBUUIUULXAUWGUUGUUAWCZUUHUUAWCZUWGUUHUUAWJZUWLUWGUUHUUAKZU
      UAUUBUUIUUHUWOWJUULUUBUUIUAUUHUUFUWOUUBUUIXBUUBUUFUWOWJZUUIUUBUUFUWONUWPU
      UBYRKZKZHIZUUFUWOUUBUWRUUEHUUBUVPUWRUUENUUBUUDUVPUVRUVPUVDUUDYRMXCUVJXDXE
      ABXFVPXGUWSUWQHIZKUWOUWQXHUWTUUAYRXHXIXJXKUUFUWOXLVPWAXMXNUUBUUAUWONUWFUU
      AXOWAXPUUGXQWCUUAUCZUWLUWNVJEXRUVKUXAUVMYSXSXTZUUGUUAXQYAWOUOUUBUWLUWMVJU
      WFUUAUUGYBWAYCYDUUBUWKUWIVJUWFUUAUUFYBWAYCUXAUWIUWJVJUXBUVSUUAYEXTXEUULUW
      HYSNZUUBUUIYSSWCUULUXCUVLYSUUKYFYGYHYIUVTYSUWEUVLYJXEVCYKYLUUIUULEFSSYMYN
      YOYPYQ $.
      $( [27-Sep-2006] $) $( [19-Sep-2006] $)

    $( The rank of a cross product when the rank of the union of its arguments
       is a successor ordinal.  Part of Exercise 4 of [Kunen] p. 107.  See
       ~ rankxplim for the limit ordinal case. $)
    rankxpsuc $p |- ( ( ( rank ` ( A u. B ) ) = suc C /\ ( A X. B ) =/= (/) )
                  -> ( rank ` ( A X. B ) ) = suc suc ( rank ` ( A u. B ) ) ) $=
      ( vx cun crnk cfv csuc wceq cxp c0 wne wa cuni unixp fveq2d rankuni
      unieqi eqtr syl5reqr suc11reg sylibr adantl cv con0 wrex wlim wn wi cvv
      wcel fvex eleq1 mpbii sucexb nlimsucg syl limeq mtbird rankxplim2 con3i
      wo xpex rankeq0 necon3abii w3o word rankon onord ordzsl mpbi 3orass ori
      sylbi ord con1d com12 3syl visset ax-mp mtbiri a1i r19.23aiv rankxplim3
      negbii sylib syl6com unixp0 uniex eqeq1i 3bitr onuni syld impcom
      onsucuni2 mpan eqtrd imp eqtr2d ) ABGZHIZCJZKZABLZMNZOZXCJZJZXFHIZPZJZXKX
      HXIXLKXJXMKXHXIXLPZJZXLXGXIXOKZXEXGXCXNKXPXGXFPZPZHIZXCXNXGXRXBHABQRXSXQH
      IZPXNXQSXTXLXFSZTUAUBXCXNUCUDUEXHXLFUFZJZKZFUGUHZXOXLKZXGXEYEXGXEXLUIZUJZ
      YEXEXGXKYCKZFUGUHZYHXEXCUIZUJXKUIZUJZXGYJUKXEYKXDUIZXECULUMZYNUJXEXDULUMZ
      YOXEXCULUMYPXBHUNXCXDULUOUPCUQUDCULURUSXCXDUTVAYLYKABDEVBVCXGYMYJXGYJYLXG
      YJYLXGXKMKZUJYJYLVDZYQXFMXFABDEVEZVFVGYQYRYQYJYLVHZYQYRVDXKVIYTXKXFVJZVKF
      XKVLVMYQYJYLVNVMVOVPVQVRVSVTZYJYMYHYIYMFUGYIYMUKYBUGUMZYIYLYCUIZYBULUMUUD
      UJFWAYBULURWBXKYCUTWCWDWEYLYGABDEWFWGWHWIXGYEYGXGYEYGXGXLMKZUJYEYGVDZUUEX
      FMXFMKXQMKXTMKUUEABWJXQXFYSWKVFXTXLMYAWLWMVGUUEUUFUUEYEYGVHZUUEUUFVDXLVIU
      UGXLXKUGUMZXLUGUMZUUAXKWNWBZVKFXLVLVMUUEYEYGVNVMVOVPVQVRWOWPYDYFFUGYDYFUK
      UUCUUIYDYFUUJXLYBWQWRWDWEUSWSXIXLUCUDXHYJXMXKKZXEXGYJUUBWTYIUUKFUGYIUUKUK
      UUCUUHYIUUKUUAXKYBWQWRWDWEUSXA $.
      $( [29-Sep-2006] $) $( [19-Sep-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Scott's trick; collection principle; Hilbert's epsilon
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w A $.
    $( Scott's trick collects all sets that have a certain property and are of
       smallest possible rank.  This theorem shows that the resulting
       collection, expressed as in Equation 9.3 of [Jech] p. 72, is a set. $)
    scottex $p |- { x e. A | A. y e. A ( rank ` x ) (_ ( rank ` y ) } e. V $=
      ( vz vw c0 wceq cv crnk cfv wss wral crab cvv wcel 0ex eleq1 mpbiri
      rabexg syl wn wex n0 hbra1 ax-17 hbrab hbel wi ra4 com12 a1d r19.21aiv
      ss2rab sylibr con0 wrex rankon fveq2 sseq1d elrab pm3.27bi rgen sseq2
      ralbidv rcla4ev mp2an bndrank ax-mp ssex 19.23ai sylbi pm2.61i ) CFGZAHZI
      JZBHZIJZKZBCLZACMZNOZVMCNOZWAVMWBFNOPCFNQRVSACNSTVMUAVPCOZBUBWABCUCWCWABB
      DDVTNVSBADCVRBCUDDHZCOBUEUFWDNOBUEUGWCVTVRACMZKZWAWCVSVRUHZACLWFWCWGACWCW
      GVNCOVSWCVRVRBCUIUJUKULVSVRACUMUNVTWEEHZIJZWDKZEWELZDUOUPZWENOVQUOOWIVQKZ
      EWELZWLVPUQWMEWEWHWEOWHCOWMVRWMAWHCVNWHGVOWIVQVNWHIURUSUTVAVBWKWNDVQUOWDV
      QGWJWMEWEWDVQWIVCVDVEVFDEWEVGVHVITVJVKVL $.
      $( [21-Dec-2003] $) $( [13-Oct-2003] $)
  $}

  ${
    $d x y z w A $.
    $( Scott's trick collects all sets that have a certain property and are of
       smallest possible rank.  This theorem shows that the resulting
       collection, expressed as in Equation 9.3 of [Jech] p. 72, contains at
       least one representative with the property, if there is one.  In other
       words, the collection is empty iff no set has the property (i.e. ` A `
       is empty). $)
    scott0 $p |- ( A = (/) <->
               { x e. A | A. y e. A ( rank ` x ) (_ ( rank ` y ) } = (/) ) $=
      ( vz c0 wceq cv crnk cfv wss wral crab rabeq rab0 syl6eq wne wrex ciin
      cab wcel wex ne0 hbre1 eqid ra4e mpan2 19.23ai sylbi wa fvex eqeq1
      anbi2d cla4ev 19.22i excom sylibr df-rex exbii 3imtr4 syl abn0 cint con0
      wi hbab1 ax-17 dfss2f abid rankon eleq1 mpbiri a1i r19.23aiv mpgbir
      onint mpan dfiin2 syl5eqel hbii1 hbeleq rexbid elabg ibi sseq1 ssid
      fveq2 sseq1d rcla4ev iinss syl5bi r19.21aiv r19.22si 3syl rabn0 necon4i
      impbi ) CEFZAGZHIZBGZHIZJZBCKZACLZEFWQXDXCAELEXCACEMXCANOCEXDECEPZXCACQZX
      DEPXEACWSRZWTWSFZACQZBSZTZXGWSFZACQZXFXEXJEPZXKXEXIBUAZXNXEWSWSFZACQZXOXE
      WRCTZAUAXQACUBXRXQAXPACUCXRXPXQWSUDXPACUEUFUGUHXRXPUIZAUAZXRXHUIZAUAZBUAZ
      XQXOXTYABUAZAUAYCXSYDAYAXSBWSWRHUJZXHXHXPXRWTWSWSUKULUMUNYABAUOUPXPACUQXI
      YBBXHACUQURUSUTXIBVAUPXNXJVBZXJXGXJVCJZXNYFXJTYGWTXJTZWTVCTZVDBBDXJVCXIBD
      VEDGVCTBVFVGYHXIYIXIBVHXHYIACXHYIVDXRXHYIWSVCTWRVIWTWSVCVJVKVLVMUHVNXJVOV
      PABCWSYEVQVRUTXKXMXIXMBXGXJWTXGFXHXLACABXGABCWSVSVTWTXGWSUKWAWBWCXLXCACXL
      XBBCXLXGXAJZXBWTCTZXGWSXAWDYKXBACQZYJYKXAXAJZYLXAWEXBYMAWTCWRWTFWSXAXAWRW
      THWFWGWHUFACWSXAWIUTWJWKWLWMXCACWNUPWOWP $.
      $( [22-Dec-2003] $) $( [15-Oct-2003] $)
  $}

  ${
    $d x y z $.  $d y z ph $.
    $( Theorem scheme version of ~ scottex .  The collection of all ` x ` of
       minimum rank such that ` ph ( x ) ` is true, is a set. $)
    scottexs $p |- { x | ( ph /\
             A. y ( [ y / x ] ph -> ( rank ` x ) (_ ( rank ` y ) ) ) } e. V $=
      ( vz cv crnk cfv wss cab wral crab wsbc wi wal wa cvv wcel ax-17 hbab1
      hbral wceq fveq2 sseq1d ralbidv cbvrab df-rab abid df-ral df-clab imbi1i
      albii bitr anbi12i abbii 3eqtr scottex eqeltrr ) DEZFGZCEZFGZHZCABIZJZDVC
      KZAABUTLZBEZFGZVAHZMZCNZOZBIZPVEVICVCJZBVCKVGVCQZVNOZBIVMVDVNDBCVCUTVCQZD
      RABCSZVBBCVCVRVBBRTVNDRURVGUAZVBVICVCVSUSVHVAURVGFUBUCUDUEVNBVCUFVPVLBVOA
      VNVKABUGVNVQVIMZCNVKVICVCUHVTVJCVQVFVIACBUIUJUKULUMUNUODCVCUPUQ $.
      $( [11-Mar-2004] $) $( [13-Oct-2003] $)
  $}

  ${
    $d x y z $.  $d y z ph $.
    $( Theorem scheme version of ~ scott0 .  The collection of all ` x ` of
       minimum rank such that ` ph ( x ) ` is true, is not empty iff there is
       an ` x ` such that ` ph ( x ) ` holds. $)
    scott0s $p |- ( E. x ph <-> { x | ( ph /\
         A. y ( [ y / x ] ph -> ( rank ` x ) (_ ( rank ` y ) ) ) } =/= (/) ) $=
      ( vz wex cab c0 wne cv wsbc crnk cfv wss wi wal wa abn0 wceq wral crab
      scott0 wcel ax-17 hbab1 hbral fveq2 sseq1d ralbidv cbvrab df-rab abid
      df-ral df-clab imbi1i albii bitr anbi12i abbii 3eqtr eqeq1i necon3bii
      bitr3 ) ABEABFZGHAABCIZJZBIZKLZVDKLZMZNZCOZPZBFZGHABQVCGVMGVCGRDIZKLZVHMZ
      CVCSZDVCTZGRVMGRDCVCUAVRVMGVRVICVCSZBVCTVFVCUBZVSPZBFVMVQVSDBCVCVDVCUBZDU
      CABCUDZVPBCVCWCVPBUCUEVSDUCVNVFRZVPVICVCWDVOVGVHVNVFKUFUGUHUIVSBVCUJWAVLB
      VTAVSVKABUKVSWBVINZCOVKVICVCULWEVJCWBVEVIACBUMUNUOUPUQURUSUTUPVAVB $.
      $( [6-Apr-2007] $) $( [13-Oct-2003] $)
  $}

  ${
    $d x y z w A $.  $d y z w B $.  $d w C $.  $d w D $.
    cplem1.1 $e |- C = { y e. B | A. z e. B ( rank ` y ) (_ ( rank ` z ) } $.
    cplem1.2 $e |- D = U_ x e. A C $.
    $( Lemma for the Collection Principle ~ cp . $)
    cplem1 $p |- A. x e. A ( B =/= (/) -> ( B i^i D ) =/= (/) ) $=
      ( vw c0 wne cin wi cv wcel wex wa crnk cfv wss wral crab ssrab2 eqsstr
      sseli a1i ciun ssiun2 syl6ssr sseld jcad inelcm syl6 19.23adv wceq
      scott0 eqeq1i bitr4 necon3bii ne0 bitr syl5ib rgen ) EKLZEGMKLZNADAODPZJO
      ZFPZJQZVFVEVGVIVFJVGVIVHEPZVHGPZRVFVGVIVKVLVIVKNVGFEVHFBOSTCOSTUACEUBZBEU
      CZEHVMBEUDUEUFUGVGFGVHVGFADFUHGADFUIIUJUKULVHEGUMUNUOVEFKLVJEKFKEKUPVNKUP
      FKUPBCEUQFVNKHURUSUTJFVAVBVCVD $.
      $( [2-Apr-2007] $) $( [17-Oct-2003] $)
  $}

  ${
    $d x y z w A $.  $d y z w B $.
    cplem2.1 $e |- A e. V $.
    $( Lemma for the Collection Principle ~ cp . $)
    cplem2 $p |- E. y A. x e. A ( B =/= (/) -> ( B i^i y ) =/= (/) ) $=
      ( vz vw c0 wne cv crnk cfv wss wral crab ciun cin wi wex eqid cplem1
      scottex iunex wceq hbiu1 hbeleq ineq2 neeq1d imbi2d ralbid cla4ev ax-mp
      ) DHIZDACFJKLGJKLMGDNFDOZPZQZHIZRZACNZUMDBJZQZHIZRZACNZBSAFGCDUNUOUNTUOTU
      AVDUSBUOACUNEFGDUBUCUTUOUDZVCURACABUOABCUNUEUFVEVBUQUMVEVAUPHUTUODUGUHUIU
      JUKUL $.
      $( [2-Apr-2007] $) $( [17-Oct-2003] $)
  $}

  ${
    $d ph z w $.  $d x y z w $.
    $( Collection Principle.  This remarkable theorem scheme is in effect a
       very strong generalization of the Axiom of Replacement.  The proof
       makes use of Scott's trick ~ scottex that collapses a proper class into
       a set of minimum rank.  The wff ` ph ` can be thought of as
       ` ph ( x , y ) ` .  Scheme "Collection Principle" of [Jech] p. 72. $)
    cp $p |- E. w A. x e. z ( E. y ph -> E. y e. w ph ) $=
      ( cab c0 wne cv cin wi wral wex wrex visset cplem2 abn0 wcel wa elin
      abid anbi1i ancom 3bitr exbii hbab1 ax-17 hbin ne0f df-rex 3bitr4
      imbi12i ralbii mpbi ) ACFZGHZUOEIZJZGHZKZBDIZLZEMACMZACUQNZKZBVALZEMBEVAU
      ODOPVBVFEUTVEBVAUPVCUSVDACQCIZURRZCMVGUQRZASZCMUSVDVHVJCVHVGUORZVISAVISVJ
      VGUOUQTVKAVIACUAUBAVIUCUDUECDURCDUOUQACDUFVAUQRCUGUHUIACUQUJUKULUMUEUN $.
      $( [31-Dec-2003] $) $( [17-Oct-2003] $)
  $}

  ${
    $d ph z w $.  $d x y z w $.
    $( A very strong generalization of the Axiom of Replacement (compare
       ~ zfrep6 ), derived from the Collection Principle ~ cp .  Its strength
       lies in the rather profound fact that ` ph ( x , y ) ` does not have to
       be a "function-like" wff, as it does in the standard Axiom of
       Replacement.  This theorem is sometimes called the Boundedness Axiom. $)
    bnd $p |- ( A. x e. z E. y ph -> E. w A. x e. z E. y e. w ph ) $=
      ( wex cv wral wrex wi cp r19.20 19.22i ax-mp 19.37v mpbi ) ACFZBDGZHZACEG
      IZBRHZJZEFZSUAEFJQTJBRHZEFUCABCDEKUDUBEQTBRLMNSUAEOP $.
      $( [2-Jan-2004] $) $( [17-Oct-2004] $)
  $}

  ${
    $d ph z w v $.  $d x z w v A $.  $d x y z w v B $.
    bnd2.1 $e |- A e. V $.
    $( A variant of the Boundedness Axiom ~ bnd that picks a subset ` z ` out
       of a possibly proper class ` B ` in which a property is true. $)
    bnd2 $p |- ( A. x e. A E. y e. B ph ->
              E. z ( z (_ B /\ A. x e. A E. y e. z ph ) ) $=
      ( vw vv wrex wral cv wcel wa wex wss df-rex ralbii wi wceq raleq1 exbidv
      imbi12d bnd vtocl sylbi cin visset inex1 inss2 sseq1 mpbiri biantrurd
      rexeq1 elin anbi1i anass bitr rexbii2 syl6bb ralbidv bitr3d cla4ev
      19.23aiv syl ) ACFJZBEKZCLZFMZANZCHLZJZBEKZHOZDLZFPZACVOJZBEKZNZDOZVGVJCO
      ZBEKZVNVFWABEACFQRWABILZKZVLBWCKZHOZSWBVNSIEGWCETZWDWBWFVNWABWCEUAWGWEVMH
      VLBWCEUAUBUCVJBCIHUDUEUFVMVTHVSVMDVKFUGZVKFHUHUIVOWHTZVRVSVMWIVPVRWIVPWHF
      PVKFUJVOWHFUKULUMWIVQVLBEWIVQACWHJVLACVOWHUNAVJCWHVKVHWHMZANVHVKMZVINZANW
      KVJNWJWLAVHVKFUOUPWKVIAUQURUSUTVAVBVCVDVE $.
      $( [23-Jul-2004] $) $( [4-Feb-2004] $)
  $}

  ${
    $d x y z A $.
    $( The collection of all sets equinumerous to a set ` A ` and having least
       possible rank is a set.  This is the part of the justification of the
       definition of kard of [Enderton] p. 222. $)
    kardex $p |- { x | ( x ~~ A /\
                  A. y ( y ~~ A -> ( rank ` x ) (_ ( rank ` y ) ) ) } e. V $=
      ( vz cv crnk cfv wss cen wbr cab wral crab wi wal wa cvv wcel df-rab
      visset breq1 elab df-ral imbi1i albii bitr anbi12i abbii eqtr scottex
      eqeltrr ) AEZFGBEZFGHZBDEZCIJZDKZLZAUQMZULCIJZUMCIJZUNNZBOZPZAKZQUSULUQRZ
      URPZAKVEURAUQSVGVDAVFUTURVCUPUTDULATUOULCIUAUBURUMUQRZUNNZBOVCUNBUQUCVIVB
      BVHVAUNUPVADUMBTUOUMCIUAUBUDUEUFUGUHUIABUQUJUK $.
      $( [21-Mar-2007] $) $( [14-Dec-2003] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d z C $.  $d z D $.
    karden.1 $e |- A e. V $.
    karden.2 $e |- B e. V $.
    karden.3 $e |- C =
       { x | ( x ~~ A /\ A. y ( y ~~ A -> ( rank ` x ) (_ ( rank ` y ) ) ) } $.
    karden.4 $e |- D =
       { x | ( x ~~ B /\ A. y ( y ~~ B -> ( rank ` x ) (_ ( rank ` y ) ) ) } $.
    $( If we allow the Axiom of Regularity, we can avoid the Axiom of Choice by
       defining the cardinal number of a set as the set of all sets
       equinumerous to it and having least possible rank.  This theorem proves
       the equinumerosity relationship for this definition (compare ~ carden ).
       The hypotheses correspond to the definition of kard of [Enderton] p. 222
       (which we don't define separately since currently we do not use it
       elsewhere).  This theorem along with ~ kardex justify the definition of
       kard.  The restriction to least rank prevents the proper class that
       would result from ` { x | x ~~ A } ` . $)
    karden $p |- ( C = D <-> A ~~ B ) $=
      ( vz vw wceq cen wbr cv crnk cfv wss cab wral wrex crab c0 wne wex enref
      breq1 cla4ev ax-mp abn0 mpbir scott0 necon3bii mpbi rabn0 wcel wi wal wa
      pm3.26 a1i wb eqeq12i eq2ab bitr fveq2 sseq1d imbi2d albidv anbi12d
      bibi12d a4v sylbi syl6bi jcad entrt ensym sylan syl6 visset elab df-ral
      imbi1i albii anbi12i syl5ib exp3a r19.23adv mpi cvv enen2 mpan imbi1d
      abbidv 3eqtr4g impbi ) EFMZCDNOZWRKPZQRZBPZQRZSZBLPZCNOZLTZUAZKXGUBZWSXHK
      XGUCZUDUEZXIXGUDUEZXKXLXFLUFZCCNOZXMCGUGXFXNLCGXECCNUHUIUJXFLUKULXGUDXJUD
      KBXGUMUNUOXHKXGUPUOWRXHWSKXGWRWTXGUQZXHWSWRWTCNOZXBCNOZXDURZBUSZUTZWSXOXH
      UTWRXTXPWTDNOZUTWSWRXTXPYAXTXPURWRXPXSVAVBWRXTYAXBDNOZXDURZBUSZUTZYAWRAPZ
      CNOZXQYFQRZXCSZURZBUSZUTZYFDNOZYBYIURZBUSZUTZVCZAUSZXTYEVCZWRYLATZYPATZMY
      REYTFUUAIJVDYLYPAVEVFYQYSAKYFWTMZYLXTYPYEUUBYGXPYKXSYFWTCNUHUUBYJXRBUUBYI
      XDXQUUBYHXAXCYFWTQVGVHZVIVJVKUUBYMYAYOYDYFWTDNUHUUBYNYCBUUBYIXDYBUUCVIVJV
      KVLVMVNYAYDVAVOVPCWTNOYAWSXPCWTDVQWTCGVRVSVTXOXPXHXSXFXPLWTKWAXEWTCNUHWBX
      HXBXGUQZXDURZBUSXSXDBXGWCUUEXRBUUDXQXDXFXQLXBBWAXEXBCNUHWBWDWEVFWFWGWHWIW
      JWSYTUUAEFWSYLYPAWSYGYMYKYODWKUQZWSYGYMVCHCDYFWKWLWMWSYJYNBWSXQYBYIUUFWSX
      QYBVCHCDXBWKWLWMWNVJVKWOIJWPWQ $.
      $( [15-Feb-2004] $) $( [18-Dec-2003] $)
  $}

  ${
      $d x y A $.  $d x y R $.
    htalem.1 $e |- A e. V $.
    htalem.2 $e |- B = U. { x e. A | A. y e. A -. y R x } $.
    $( Lemma for defining an emulation of Hilbert's epsilon.  Hilbert's epsilon
       is described at ~ http://plato.stanford.edu/entries/epsilon-calculus/ .
       This theorem is equivalent to Hilbert's "transfinite axiom," described
       on that page, with the additional ` R We A ` antecedent.  The element
       ` B ` is the epsilon that the theorem emulates. $)
    htalem $p |- ( ( R We A /\ A =/= (/) ) -> B e. A ) $=
      ( wwe c0 wne wa cv wbr wn wral crab cuni wss wcel ssid wereucl mp3an2
      syl5eqel ) CEHZCIJZKBLALEMNBCOACPQZCDUDCCRUEUFCSCTABCCEFUAUBGUC $.
      $( [10-Apr-2007] $) $( [11-Mar-2004] $)
  $}

  ${
    $d z v A $.  $d x y R z v $.  $d y z v ph $.
    hta.1 $e |- A = { x | ( ph /\ A. y ( [ y / x ] ph ->
                                         ( rank ` x ) (_ ( rank ` y ) ) ) } $.
    hta.2 $e |- B = U. { x e. A | A. y e. A -. y R x } $.
    $( A ZFC emulation of Hilbert's transfinite axiom.  The set ` B ` has the
       properties of Hilbert's epsilon, except that it also depends on a
       well-ordering ` R ` .  This theorem arose from discussions with Raph
       Levien on 5-Mar-2004 about translating the HOL proof language, which
       uses Hilbert's epsilon.  See ~ http://ghilbert.org/choice.txt and
       ~ http://us.metamath.org/downloads/megillaward2004.pdf .

       Hilbert's epsilon is described at
       ~ http://plato.stanford.edu/entries/epsilon-calculus/ .  This theorem
       differs from Hilbert's transfinite axiom described on that page in
       that it requires ` R We A ` as an antecedent.  Class ` A ` collects the
       sets of least rank for which ` ph ( x ) ` is true.  Class ` B ` , which
       emulates the epsilon, is the minimum element in a well-ordering ` R ` on
       ` A ` .

       If a well-ordering ` R ` on ` A ` can be expressed in a closed form, as
       might be the case if we are working with say natural numbers, we can
       eliminate the antecedent with modus ponens, giving us the exact
       equivalent of Hilbert's transfinite axiom.  Otherwise, we replace ` R `
       with a dummy set variable, say ` w ` , and attach ` w We A ` as an
       antecedent in each step of the ZFC version of the HOL proof until the
       epsilon is eliminated.  At that point, ` B ` (which will have ` w ` as a
       free variable) will no longer be present, and we can eliminate
       ` w We A ` by applying ~ 19.23aiv and ~ weth , using ~ scottexs to
       establish the existence of ` A ` .

       For a version of this theorem scheme using class (meta)variables
       instead of wff (meta)variables, see ~ htalem . $)
    hta $p |- ( R We A -> ( ph -> [ B / x ] ph ) ) $=
      ( vz vv wwe cv wsbc crnk cfv wss wi wal wa cab c0 wne wcel wceq wb weeq2
      ax-mp scottexs wbr wn wral crab cuni ax-17 hba1 hban hbab hbxfr raleq1f
      a1i rabbii hbab1 rabeqf hbral breq2 negbid ralbidv cbvrab breq1 cbvralf
      eqtr 3eqtr unieqi htalem ex sylbi pm3.26 ss2abi sseli cvv eqeltr hbel
      ssrab2 eqsstr ssexi uniex elabs sylib syl6 wex 19.8a scott0s syl5 ) DFKZA
      ABCLZMBLZNOWONOPQZCRZSZBTZUAUBZABEMZAWNXAEWTUCZXBWNWTFKZXAXCQDWTUDZWNXDUE
      GDWTFUFUGXDXAXCIJWTEFABCUHZEWOWPFUIZUJZCDUKZBDULZUMZJLZILZFUIZUJZJWTUKZIW
      TULZUMHXJXQXJXHCWTUKZBDULZXRBWTULZXQXIXRBDXIXRUEZWPDUCXEYAGXHCIDWTCIDWTGW
      SCBIAWRCACUNWQCUOUPUQZURYBUSUGUTVAXEXSXTUDGXRBIDWTBIDWTGWSBIVBZURZYCVCUGX
      TWOXMFUIZUJZCWTUKZIWTULXQXRYGBIJWTWSBJVBXLWTUCIUNXRIUNYFBCWTWSBCVBYFBUNZV
      DWPXMUDZXHYFCWTYIXGYEWPXMWOFVEVFZVGVHYGXPIWTYGXPUEXMWTUCZYFXOCJIWTYBYKJUN
      YFJUNXOCUNWOXLUDYEXNWOXLXMFVIVFVJUTVAVKVLVMVKVNVOVPXCEABTZUCXBWTYLEWSABAW
      RVQVRVSABEEXKVTHXJXJDDWTVTGXFWAXJYFCDUKZIDULDXIYMBIJDBIIXLDXMXLUCBUNYDWBX
      LDUCIUNXIIUNYFBCDBIIWODXMWOUCBUNYDWBYHVDYIXHYFCDYJVGVHYMIDWCWDWEWFWAWGWHW
      IAABWJXAABWKABCWLWHWM $.
      $( [12-Mar-2004] $) $( [11-Mar-2004] $)

  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Axiom of Choice equivalents
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u t h $.
    $( Equivalence of two versions of the Axiom of Choice ~ ax-ac .  The
       proof uses neither AC nor the Axiom of Regularity.  The right-hand side
       expresses our AC with the fewest number of different variables. $)
    aceq1 $p |- ( E. y A. z e. x A. w e. z E! v e. z E. u e. y
                      ( z e. u /\ v e. u ) <->
                  E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. x A. z ( E. x
           ( ( z e. w /\ w e. x ) /\ ( z e. x /\ x e. y ) ) <-> z = x ) ) ) $=
      ( vt vh cv wcel wa wrex wreu wral wex wceq wb wal wi pm4.2d cbvralv
      eleq1 anbi2d rexbidv cbvreuv ralbii bitr anbi1d reueqd raleqd 3bitr4
      exbii 19.21v impexp bi2.04 albii weu df-eu df-reu 19.42v an42 anass
      bitr3 df-rex eleq2 anbi12d cbvexv anbi2i bibi1i imbi2i df-ral ax-17 hba1
      hbex hbim imbi1d cbval alcom 3bitr4r ) CIZFIZJZEIZWAJZKZFBIZLZEVTMZDVTNZC
      AIZNZBODIZWAJZWBKZFWFLZCWLMZGWLNZDWJNZBOVTWLJZWLWJJZKZXAVTWJJZWJWFJZKKZAO
      ZVTWJPZQZCRZAOZSZDRCRZBOWKWRBHIZWAJZWDKZFWFLZEXLMZDXLNZHWJNXMWBKZFWFLZCXL
      MZGXLNZHWJNWKWRXQYAHWJXQXPGXLNYAXPXPDGXLWLGIZPXPTUAXPXTGXLXOXSECXLWCVTPZX
      NXRFWFYCWDWBXMWCVTWAUBUCUDUEUFUGUFWIXQCHWJWHXPDVTXLWGXOEVTXLVTXLPZWEXNFWF
      YDWBXMWDVTXLWAUBUHUDUIUJUAWQYADHWJWPXTGWLXLWOXSCWLXLWLXLPZWNXRFWFYEWMXMWB
      WLXLWAUBUHUDUIUJUAUKULWRXKBXJCRZDRWTWQSZDRXKWRYFYGDWTWSXISZSZCRWTYHCRZSYF
      YGWTYHCUMXJYICXJWSWTXISSYIWSWTXIUNWSWTXIUOUGUPWQYJWTYBWLJZWPSZGRYKXISZGRW
      QYJYLYMGWPXIYKWSWOKZCUQYNXFQZCRZAOWPXIYNCAURWOCWLUSXHYPAXGYOCXEYNXFWSXCWT
      XBKZKZKZAOWSYRAOZKXEYNWSYRAUTXDYSAXDWSXCKYQKYSWSXCWTXBVAWSXCYQVBVCULWOYTW
      SWOWAWFJZWNKZFOYTWNFWFVDUUBYRFAWAWJPZUUAXCWNYQWAWJWFUBUUCWMWTWBXBWAWJWLVE
      WAWJVTVEVFVFVGUGVHUKVIUPULUKVJUPWPGWLVKYHYMCGYHGVLYKXICYKCVLXHCAXGCVMVNVO
      VTYBPWSYKXIVTYBWLUBVPVQUKVJUKUPXJCDVRWQDWJVKVSULUG $.
      $( [26-Jun-2004] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x y z w v u t $.
    $( Equivalence of two versions of the Axiom of Choice.  The proof uses
       neither AC nor the Axiom of Regularity.  The right-hand side is our
       original  ~ ax-ac . $)
    aceq0 $p |- ( E. y A. z e. x A. w e. z E! v e. z E. u e. y
                      ( z e. u /\ v e. u ) <->
                  E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. v A. u
     ( E. t ( ( u e. w /\ w e. t ) /\ ( u e. t /\ t e. y ) ) <-> u = v ) ) ) $=
      ( cv wcel wa wrex wreu wral wex wceq wb wal wi aceq1 equequ2 bibi2d
      elequ2 anbi2d elequ1 anbi12d cbvexv bibi1i syl6bb albidv anbi1d exbidv
      equequ1 bibi12d cbvalv imbi2i 2albii exbii bitr4 ) CHZFHZIEHZUTIJFBHZKEUS
      LDUSMCAHZMBNUSDHZIZVDVCIZJZVGUSVCIZVCVBIZJZJZANZUSVCOZPZCQZANZRZDQCQZBNVG
      UTVDIZVDGHZIZJZUTVTIZVTVBIZJZJZGNZUTVAOZPZFQZENZRZDQCQZBNABCDEFSWMVRBWLVQ
      CDWKVPVGWJVOEAVAVCOZWJVSVFJZUTVCIZVIJZJZANZUTVCOZPZFQVOWNWIXAFWNWIWGWTPXA
      WNWHWTWGEAFTUAWGWSWTWFWRGAVTVCOZWBWOWEWQXBWAVFVSGADUBUCXBWCWPWDVIGAFUBGAB
      UDUEUEUFUGUHUIXAVNFCUTUSOZWSVLWTVMXCWRVKAXCWOVGWQVJXCVSVEVFFCDUDUJXCWPVHV
      IFCAUDUJUEUKFCAULUMUNUHUFUOUPUQUR $.
      $( [22-Aug-2004] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x y z w v u t $.
    $( Equivalence of two versions of the Axiom of Choice.  The proof uses
       neither AC nor the Axiom of Regularity. $)
    aceq2 $p |- ( E. y A. z e. x A. w e. z E! v e. z E. u e. y
                     ( z e. u /\ v e. u ) <->
                  E. y A. z e. x ( z =/= (/) -> E! w e. z E. v e. y
                      ( z e. v /\ w e. v ) ) ) $=
      ( vt cv wcel wa wrex wreu wral c0 wne wi wex wal df-ral 19.23v bitr wceq
      pm4.2d cbvralv ne0 eleq2 anbi12d cbvrexv reubii eleq1 anbi2d rexbidv
      cbvreuv imbi12i 3bitr4 ralbii exbii ) CHZFHZIZEHZUSIZJZFBHZKZEURLZDURMZCA
      HZMURNOZURVAIZDHZVAIZJZEVDKZDURLZPZCVHMBVGVPCVHVFGURMZGHZURIZGQZVFPZVGVPV
      QVSVFPGRWAVFGURSVSVFGTUAVFVFDGURVKVRUBVFUCUDVIVTVOVFGURUEVOUTVKUSIZJZFVDK
      ZDURLVFVNWDDURVMWCEFVDVAUSUBVJUTVLWBVAUSURUFVAUSVKUFUGUHUIWDVEDEURVKVAUBZ
      WCVCFVDWEWBVBUTVKVAUSUJUKULUMUAUNUOUPUQ $.
      $( [7-Apr-2007] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x y z w v u t h g f $.  $d t h g F $.
    aceq3lem.1 $e |- F =
              { <. w , v >. | ( w e. dom y /\ v = ( f ` { u | w y u } ) ) } $.
    $( Lemma for ~ aceq3 . $)
    aceq3lem $p |- ( A. x E. f A. z e. x ( z =/= (/) -> ( f ` z
                 ) e. z ) -> E. f ( f (_ y /\ f Fn dom y ) ) $=
      ( vg vt vh cv c0 wne cfv wcel wi wral wex wal wss cdm wfn wa crn cpw
      visset rnex pwex wceq raleq1 exbidv cla4v wrel wbr cab copab relopab
      releqi mpbir a1i cop eleq2i eleq1 breq1 abbidv fveq2d eqeq2d anbi12d
      eqeq1 anbi2d opelopab bitr pm3.26bi 19.8a ss2abi dfrn2 sseqtr4 elpw2
      neeq1 fveq2 id eleq12d imbi12d rcla4v ax-mp eldm abn0 bitr4 syl5ib com12
      fvex fvopab4 eleq1d breq2 cbvabv elab2 df-br bitr2 syl5bb sylibrd syl wb
      wfun fnopab2 fnfun funopfv opeq2 sylibd relssdv jctir cvv dmex fnex
      mp2an sseq1 fneq1 cla4ev 19.23aiv cbvexv sylib ) CMZNOZYCGMZPZYCQZRZCAMZS
      ZGTZAUAZJMZBMZUBZYMYNUCZUDZUEZJTZYEYNUBZYEYPUDZUEZGTYLYHCYNUFZUGZSZGTZYSY
      KUUFAUUDUUCYNBUHZUIZUJYIUUDUKYJUUEGYHCYIUUDULUMUNUUEYSGUUEHYNUBZHYPUDZUEZ
      YSUUEUUIUUJUUEKLHYNHUOZUUEUULDMZYPQZEMZUUMFMZYNUPZFUQZYEPZUKZUEZDEURZUOUV
      ADEUSHUVBIUTVAVBKMZLMZVCZHQZUUEUVEYNQZUVFUUEUVCUVCHPZVCZYNQZUVGUVFUVCYPQZ
      UUEUVJRUVFUVKUVDUVCUUPYNUPZFUQZYEPZUKZUVFUVEUVBQUVKUVOUEZHUVBUVEIVDUVAUVK
      UUOUVNUKZUEUVPDEUVCUVDKUHZLUHZUUMUVCUKZUUNUVKUUTUVQUUMUVCYPVEUVTUUSUVNUUO
      UVTUURUVMYEUVTUUQUVLFUUMUVCUUPYNVFVGVHZVIVJUUOUVDUKUVQUVOUVKUUOUVDUVNVKVL
      VMVNVOUVKUUEUVNUVMQZUVJUUEUVKUWBUUEUVMNOZUWBUVKUVMUUDQZUUEUWCUWBRZRUWDUVM
      UUCUBUVMUVLKTZFUQUUCUVLUWFFUVLKVPVQKFYNVRVSUVMUUCUUHVTVAYHUWECUVMUUDYCUVM
      UKZYDUWCYGUWBYCUVMNWAUWGYFUVNYCUVMYCUVMYEWBUWGWCWDWEWFWGUVKUVLFTUWCFUVCYN
      UVRWHUVLFWIWJWKWLUVKUVHUVMQZUWBUVJUVKUVHUVNUVMDEUVCUUSUVNYPHUWAIUVMYEWMWN
      WOUWHUVCUVHYNUPZUVJUVCUVDYNUPZUWILUVHUVMUVCHWMUVDUVHUVCYNWPUVLUWJFLUUPUVD
      UVCYNWPWQWRUVCUVHYNWSWTXAXBXCUVFUVHUVDUKZUVJUVGXDHXEZUVFUWKRUUJUWLDEYPUUS
      HUURYEWMIXFZYPHXGWGUVCUVDHUVSXHWGUWKUVIUVEYNUVHUVDUVCXIWOXCXJWLXKUWMXLYRU
      UKJHUUJYPXMQHXMQUWMYNUUGXNYPXMHXOXPYMHUKYOUUIYQUUJYMHYNXQYPYMHXRVJXSXCXTX
      CYRUUBJGYMYEUKYOYTYQUUAYMYEYNXQYPYMYEXRVJYAYB $.
      $( [14-Apr-2007] $) $( [2-Apr-2004] $)
  $}

  ${
    $d f x y z w v u g h $.
    $( Equivalence of two versions of the Axiom of Choice.  The left-hand side
       is similar to the Axiom of Choice (first form) of [Enderton] p. 49.  The
       right-hand side is the Axiom of Choice of [TakeutiZaring] p. 83.  The
       proof does not depend on AC. $)
    aceq3 $p |- ( A. x E. f ( f (_ x /\ f Fn dom x ) <->
             A. x E. f A. z e. x ( z =/= (/) -> ( f ` z ) e. z ) ) $=
      ( vy vw vv vu cv wss cdm wfn wa wex wal c0 wne cfv wcel wi wral wceq
      sseq2 wb dmeq fneq2 syl anbi12d exbidv cbvalv copab cuni cxp visset
      uniex xpex pm3.26 elunii ancoms jca ssopab2i df-xp sseqtr4 ssexi cla4v
      csn cima fndm eleq2 cab dmopab eleq2i 19.42v eleq1 elab ne0 anbi2i
      3bitr4 bitr2 syl6rbbr adantl wfun funfvima3 fnfun sylan2 sylbid imp ibar
      abbi2dv wbr cvv imasng ax-mp anbi2d eqid brab abbii eqtr syl6reqr eleq2d
      ad2antrl mpbid exp32 r19.21aiv 19.22i 19.21aiv aceq3lem impbi bitr ) CHZA
      HZIZXIXJJZKZLZCMZANXIDHZIZXIXPJZKZLZCMZDNZBHZOPZYCXIQZYCRZSZBXJTZCMZANZXO
      YAADXJXPUAZXNXTCYKXKXQXMXSXJXPXIUBYKXLXRUAXMXSUCXJXPUDXLXRXIUEUFUGUHUIYBY
      JYBYIAYBXIEHZXJRZFHZYLRZLZEFUJZIZXIYQJZKZLZCMZYIYAUUBDYQYQXJXJUKZULZXJUUC
      AUMZXJUUEUNUOYQYMYNUUCRZLZEFUJUUDYPUUGEFYPYMUUFYMYOUPYOYMUUFYNYLXJUQURUSU
      TEFXJUUCVAVBVCXPYQUAZXTUUACUUHXQYRXSYTXPYQXIUBUUHXRYSUAXSYTUCXPYQUDXRYSXI
      UEUFUGUHVDUUAYHCUUAYGBXJUUAYCXJRZYDYFUUAUUIYDLZLYEYQYCVEVFZRZYFUUAUUJUULU
      UAUUJYCXIJZRZUULYTUUJUUNUCZYRYTUUMYSUAZUUOYSXIVGUUPUUNYCYSRZUUJUUMYSYCVHU
      UQYCYPFMZEVIZRZUUJYSUUSYCYPEFVJVKUUIYNYCRZLZFMZUUIUVAFMZLUUTUUJUUIUVAFVLU
      URUVCEYCBUMZYLYCUAZYPUVBFUVFYMUUIYOUVAYLYCXJVMYLYCYNVHUGZUHVNYDUVDUUIFYCV
      OVPVQVRVSUFVTYRXIWAZUUNUULSZYTUVHYRUVIYCXIYQWBURYSXIWCWDWEWFUUIUULYFUCUUA
      YDUUIUUKYCYEUUIYCUUIGHZYCRZLZGVIZUUKUUIUVLGYCUUIUVKWGWHUUKYCUVJYQWIZGVIZU
      VMYCWJRUUKUVOUAUVEGYCWJYQWKWLUVNUVLGYPUVBUVLEFYCUVJYQUVEGUMUVGYNUVJUAUVAU
      VKUUIYNUVJYCVMWMYQWNWOWPWQWRWSWTXAXBXCXDUFXEYJYADADBEFGCYLXRRYNYLUVJXPWIG
      VIXIQUALEFUJZUVPWNXFXEXGXH $.
      $( [14-Apr-2007] $) $( [24-Mar-2004] $)
  $}

  ${
    $d f x z y w v $.
    $( Equivalence of two versions of the Axiom of Choice.  The left-hand side
       is similar to the Axiom of Choice (first form) of [Enderton] p. 49.  The
       right-hand side is Axiom AC of [BellMachover] p. 488.  The proof does
       not depend on AC. $)
    aceq4 $p |- ( A. x E. f ( f (_ x /\ f Fn dom x ) <->
        A. x E. f ( f Fn x /\ A. z e. x ( z =/= (/) -> ( f ` z ) e. z ) ) ) $=
      ( vy vw vv cv wss cdm wfn wa wex wal c0 wne cfv wcel wi wral aceq3 wceq
      fveq1 eleq1d imbi2d ralbidv cbvexv copab fveq2 eqid fvex fvopab4 ralbiia
      anbi2i fnopab2 mpbiran visset opabex2 fneq1 anbi12d cla4ev sylbir
      19.23aiv sylbi pm3.27 19.22i impbi albii bitr ) CGZAGZHVIVJIJKCLAMBGZNOZV
      KVIPZVKQZRZBVJSZCLZAMVIVJJZVPKZCLZAMABCTVQVTAVQVTVQVLVKDGZPZVKQZRZBVJSZDL
      VTVPWECDVIWAUAZVOWDBVJWFVNWCVLWFVMWBVKVKVIWAUBUCUDUEUFWEVTDWEEGZVJQFGWGWA
      PZUAKEFUGZVJJZVLVKWIPZVKQZRZBVJSZKZVTWOWJWEWNWEWJWMWDBVJVKVJQZWLWCVLWPWKW
      BVKEFVKWHWBVJWIWGVKWAUHWIUIZVKWAUJUKUCUDULUMEFVJWHWIWGWAUJWQUNUOVSWOCWIEF
      VJWHAUPUQVIWIUAZVRWJVPWNVJVIWIURWRVOWMBVJWRVNWLVLWRVMWKVKVKVIWIUBUCUDUEUS
      UTVAVBVCVSVPCVRVPVDVEVFVGVH $.
      $( [17-Apr-2007] $) $( [24-Mar-2004] $)
  $}

  ${
    $d v w y g t $.
    $( Lemma for ~ aceq5 . $)
    aceq5lem1 $p |- ( E! v v e. ( ( { w } X. w ) i^i y ) <->
                      E! g ( g e. w /\ <. w , g >. e. y ) ) $=
      ( vt cv csn cxp cin wcel weu cop wceq wa wex elin elxp excom bitr anbi1i
      19.41vv an23 eleq1 pm5.32i elsn anbi12i an4 ancom anass 3bitr exbii
      visset opeq1 eqeq2d eleq1d anbi2d anbi12d ceqsexv bitr3 eubii euop2 ) CFZ
      BFZGZVCHZAFZIJZCKVBVCDFZLZMZVHVCJZVIVFJZNZNZDOZCKVMDKVGVOCVGVBVEJZVBVFJZN
      VBEFZVHLZMZVRVDJZVKNZNZEODOZVQNZVOVBVEVFPVPWDVQVPWCDOEOWDEDVBVDVCQWCEDRST
      WEWCVQNZEOZDOVOWCVQDEUAWGVNDWGVRVCMZVTVKVSVFJZNZNZNZEOVNWFWLEWFVTVQNZWBNV
      TWINZWHVKNZNZWLVTWBVQUBWMWNWBWOVTVQWIVBVSVFUCUDWAWHVKEVCUETUFWPVTWHNZWIVK
      NZNWHVTNZWJNWLVTWIWHVKUGWQWSWRWJVTWHUHWIVKUHUFWHVTWJUIUJUJUKWKVNEVCBULWHV
      TVJWJVMWHVSVIVBVRVCVHUMZUNWHWIVLVKWHVSVIVFWTUOUPUQURSUKUSUJUTVMCDVCVAS $.
      $( [15-Apr-2004] $) $( [12-Apr-2004] $)
  $}

  ${
    $d f x z y w v u t h g $.  $d z w f g B $.  $d x y z w g A $.
    aceq5lem.1 $e |- A =
                    { u | ( u =/= (/) /\ E. t e. h u = ( { t } X. t ) ) } $.
    $( Lemma for ~ aceq5 . $)
    aceq5lem2 $p |- ( <. w , g >. e. U. A <-> ( w e. h /\ g e. w ) ) $=
      ( cv cop cuni wcel c0 wne csn cxp wceq wrex wa cab wex unieqi eleq2i
      eluniab r19.42v anass bitr2 exbii rexcom4 df-rex bitr3 3bitr ancom ne0i
      pm4.71i anbi2i bitr4 snex visset xpex eleq2 ceqsexv bitr opelxp elsn
      eqcom anbi1i an12 eleq1 anbi12d ) AHZEHZIZDJZKVLBHZLMZVNCHZNZVPOZPZCFHZQZ
      RZBSZJZKZVPVTKZVLVNKZVORZVSRZBTZRZCTZVJVTKZVKVJKZRZVMWDVLDWCGUAUBWEWGWBRZ
      BTWICVTQZBTZWLWBBVLUCWPWQBWQWHWARWPWHVSCVTUDWGVOWAUEUFUGWRWJCVTQWLWICBVTU
      HWJCVTUIUJUKWLVPVJPZWFVKVPKZRZRZCTWOWKXBCWKWFVLVRKZRWFWSWTRZRXBWJXCWFWJVS
      WGRZBTXCWIXEBWIVSWHRXEWHVSULWGWHVSWGVOVNVLUMUNUOUPUGWGXCBVRVQVPVPUQCURUSV
      NVRVLUTVAVBUOXCXDWFXCVJVQKZWTRXDVJVKVQVPEURVCXFWSWTXFVJVPPWSAVPVDVJVPVEVB
      VFVBUOWFWSWTVGUKUGXAWOCVJAURWSWFWMWTWNVPVJVTVHVPVJVKUTVIVAVBUK $.
      $( [3-Apr-2007] $) $( [12-Apr-2004] $)

    $( Lemma for ~ aceq5 . $)
    aceq5lem3 $p |- ( ( { w } X. w ) e. A <-> ( w =/= (/) /\ w e. h ) ) $=
      ( cv csn cxp c0 wne wceq wrex wa cab wcel snex visset xpex neeq1 eqeq1
      rexbidv anbi12d elab eleq2i xpeq2 xp0 syl6eq crn rneq snnz rnxp ax-mp
      rn0 3eqtr3g impbi necon3bii wex df-rex sneq xpeq1 syl eqtrd eqcom bitr
      anbi2i ancom exbii eleq1 ceqsexv 3bitrr anbi12i 3bitr4 ) AGZHZVNIZBGZJKZV
      QCGZHZVSIZLZCEGZMZNZBOZPVPJKZVPWALZCWCMZNZVPDPVNJKZVNWCPZNWEWJBVPVOVNVNQA
      RZSVQVPLZVRWGWDWIVQVPJTWNWBWHCWCVQVPWAUAUBUCUDDWFVPFUEWKWGWLWIVNJVPJVNJLZ
      VPJLZWOVPVOJIJVNJVOUFVOUGUHWPVPUIZJUIVNJVPJUJVOJKWQVNLVNWMUKVOVNULUMZUNUO
      UPUQWIVSWCPZWHNZCURVSVNLZWSNZCURWLWHCWCUSWTXBCWTWSXANXBWHXAWSWHVNVSLZXAWH
      XCWHWQWAUIZVNVSVPWAUJWRVTJKXDVSLVSCRUKVTVSULUMUOXCVPVTVNIZWAXCVOVTLVPXELV
      NVSUTVOVTVNVAVBVNVSVTUFVCUPVNVSVDVEVFWSXAVGVEVHWSWLCVNWMVSVNWCVIVJVKVLVM
      $.
      $( [3-Apr-2007] $) $( [12-Apr-2004] $)

    ${
      aceq5lem.2 $e |- B = ( U. A i^i y ) $.
      aceq5lem.3 $e |- ( ph <-> A. x ( ( A. z e. x z =/= (/) /\
             A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
            E. y A. z e. x E! v v e. ( z i^i y ) ) ) $.
      $( Lemma for ~ aceq5 . $)
      aceq5lem4 $p |- ( ph -> E. y A. z e. A E! v v e. ( z i^i y ) ) $=
        ( vg cv c0 wne wral cin wceq wi wcel weu wex csn cxp wrex wa cab
        eleq2i visset neeq1 eqeq1 rexbidv anbi12d elab pm3.26bi sylbi rgen wn
        wal cop eleq2 elxp excom bitr syl6bb bi2anan9 eeanv syl6bbr opeq1
        eqeq2d biimpac elsn sylan2b adantrr 19.23aiv anim12i eqtr2t opth 3syl
        19.23aivv syl6bi sneq xpeq1 syl xpeq2 eqtrd syl6 eqeq12 sylibrd ex a1i
        r19.23aiv a1d r19.23adv imp elab2 pm3.27bi cbvrexv sylib syl2an df-an
        syl5ibr necon1ad 19.21adv disj1 syl6ibr rgen2a cvv abrexex pm3.27
        ss2abi ssexi eqeltr raleq1 raleqd exbidv imbi12d cla4v mp2ani ) ADPZQRZ
        DISZYCEPZRZYCYFTQUAZUBZEISZDISZFPZYCCPZTUCFUDZDISZCUEZYDDIYCIUCZYCGPZQR
        ZYRHPZUFZYTUGZUAZHKPZUHZUIZGUJZUCZYDIUUGYCLUKUUHYDYCUUBUAZHUUDUHZUUFYDU
        UJUIZGYCDULZYRYCUAZYSYDUUEUUJYRYCQUMUUMUUCUUIHUUDYRYCUUBUNUOUPZUQURUSUT
        YIDEIYQYFIUCZUIZYGBPZYCUCZUUQYFUCZVAUBZBVBYHUUPYGUUTBUUPUUTYCYFUUPUURUU
        SUIZYCYFUAZUUTVAUUJYFOPZUFZUVCUGZUAZOUUDUHZUVAUVBUBZYQUUOUUJUVGUVHUUJUV
        FUVHOUUDUUJUVFUVHUBZUVCUUDUCUUIUVIHUUDUUIUVIUBYTUUDUCUUIUVFUVHUUIUVFUIZ
        UVAUUBUVEUAZUVBUVJUVAYTUVCUAZUVKUVJUVAUUQYRYLVCZUAZYRUUAUCZYLYTUCZUIUIZ
        GUEZUUQYRYMVCZUAZYRUVDUCZYMUVCUCZUIUIZGUEZUIZCUEFUEZUVLUVJUVAUVRFUEZUWD
        CUEZUIUWFUUIUURUWGUVFUUSUWHUUIUURUUQUUBUCZUWGYCUUBUUQVDUWIUVQFUEGUEUWGG
        FUUQUUAYTVEUVQGFVFVGVHUVFUUSUUQUVEUCZUWHYFUVEUUQVDUWJUWCCUEGUEUWHGCUUQU
        VDUVCVEUWCGCVFVGVHVIUVRUWDFCVJVKUWEUVLFCUWEUUQYTYLVCZUAZUUQUVCYMVCZUAZU
        IUWKUWMUAZUVLUVRUWLUWDUWNUVQUWLGUVNUVOUWLUVPUVNYRYTUAZUWLUVOUWPUVNUWLUW
        PUVMUWKUUQYRYTYLVLVMVNGYTVOVPVQVRUWCUWNGUVTUWAUWNUWBUVTYRUVCUAZUWNUWAUW
        QUVTUWNUWQUVSUWMUUQYRUVCYMVLVMVNGUVCVOVPVQVRVSUUQUWKUWMVTUWOUVLYLYMUAYT
        YLUVCYMHULFULCULWAURWBWCWDUVLUUBUVDYTUGZUVEUVLUUAUVDUAUUBUWRUAYTUVCWEUU
        AUVDYTWFWGYTUVCUVDWHWIZWJYCUUBYFUVEWKWLWMWNWOWPWQWRYQYDUUJUUFUUKGYCIUUL
        UUNLWSWTUUOYFUUBUAZHUUDUHZUVGUUOYFQRZUXAUUFUXBUXAUIGYFIEULYRYFUAZYSUXBU
        UEUXAYRYFQUMUXCUUCUWTHUUDYRYFUUBUNUOUPLWSWTUWTUVFHOUUDUVLUUBUVEYFUWSVMX
        AXBXCUURUUSXDXEXFXGBYCYFXHXIXJAYDDUUQSZYIEUUQSZDUUQSZUIZYNDUUQSZCUEZUBZ
        BVBYEYKUIZYPUBZNUXJUXLBIIUUGXKLUUGUUEGUJHGUUDUUBKULXLUUFUUEGYSUUEXMXNXO
        XPUUQIUAZUXGUXKUXIYPUXMUXDYEUXFYKYDDUUQIXQUXEYJDUUQIYIEUUQIXQXRUPUXMUXH
        YOCYNDUUQIXQXSXTYAUSYB $.
        $( [3-Apr-2007] $) $( [11-Apr-2004] $)

      $( Lemma for ~ aceq5 . $)
      aceq5lem5 $p |- ( ph ->
                           E. f A. w e. h ( w =/= (/) -> ( f ` w ) e. w ) ) $=
        ( vg cv cin wcel weu wral wex c0 wne cfv wi aceq5lem4 wa cop pm3.27
        a1i csn cxp wceq ineq1 eleq2d eubidv rcla4cv aceq5lem3 aceq5lem1
        3imtr3g jcad cuni eleq2i elin aceq5lem2 anbi1i anass bitr 3bitr eubii
        euanv bitr2 syl6ib euex hbeu1 ax-17 hbim pm3.27bi pm3.26d visset
        tz6.12 eleq1d biimparc exp32 mpcom 19.23ai syl6 exp3a com23 r19.21aiv
        cvv inex2 eqeltr fveq1 imbi2d ralbidv cla4ev syl 19.23aiv ) AFQZDQZCQZR
        ZSZFTZDIUAZCUBEQZUCUDZXHKQZUEZXHSZUFZELQZUAZKUBZABCDEFGHIJLMNOUGXGXPCXG
        XIXHJUEZXHSZUFZEXNUAZXPXGXSEXNXGXIXHXNSZXRXGXIYAXRXGXIYAUHZXHPQZUIZJSZP
        TZXRXGYBYAYCXHSZYDXCSZUHZPTZUHZYFXGYBYAYJYBYAUFXGXIYAUJUKXGXHULXHUMZISX
        AYLXCRZSZFTZYBYJXFYODYLIXBYLUNZXEYNFYPXDYMXAXBYLXCUOUPUQUREGHILMUSCEFPU
        TVAVBYFYAYIUHZPTYKYEYQPYEYDIVCZXCRZSYDYRSZYHUHZYQJYSYDNVDYDYRXCVEUUAYAY
        GUHZYHUHYQYTUUBYHEGHIPLMVFVGYAYGYHVHVIVJZVKYAYIPVLVMVNYEPUBYFXRYEPVOYEY
        FXRUFZPYFXRPYEPVPXRPVQVRYGYEUUDYEYGYHYEYAYIUUCVSVTYGYEYFXRYEYFUHZXRYGUU
        EXQYCXHPXHJEWAWBWCWDWEWFWGWFWHWIWJWKXOXTKJJYSWLNXCYRCWAWMWNXJJUNZXMXSEX
        NUUFXLXRXIUUFXKXQXHXHXJJWOWCWPWQWRWSWTWS $.
        $( [3-Apr-2007] $) $( [12-Apr-2004] $)
    $}
  $}

  ${
    $d f x z y w v h u t $.
    $( Equivalence of two versions of the Axiom of Choice.  The left-hand side
       is similar to the Axiom of Choice (first form) of [Enderton] p. 49.  The
       right-hand side is Theorem 6M(4) of [Enderton] p. 151 and asserts that
       given a family of mutually disjoint nonempty sets, a set exists
       containing exactly one member from each set in the family.  The proof
       does not depend on AC. $)
    aceq5 $p |- ( A. x E. f ( f (_ x /\ f Fn dom x ) <->
           A. x ( ( A. z e. x z =/= (/) /\
           A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
          E. y A. z e. x E! v v e. ( z i^i y ) ) ) $=
      ( vt vh vu cv wss cdm wfn wa wex wal c0 wne wral cin wceq wi wcel weu
      cfv aceq4 crn wb wrex fveq2 id eleq12d neeq2 ineq2 eqeq1d imbi12d
      anbi12d rcla4v wn minel ex imim2d imp necon4ad eleq1 biimpar sylan2
      eqeq2 eqcom syl6bb syl5bi ad2antrl mpd exp32 syl6com com14 r19.23adv
      fvelrnb biimpac syl5 exp3a com4t imp4b elin syl5ib r19.26 sylan2br
      anassrs adantlr fnfvelrn expcom anim12d syl6ibr com13 imp31 syl5cbir
      adantr impbid 19.21adv fvex bibi2d albidv cla4ev df-eu sylibr syl6
      r19.20dva neeq1 cbvralv anbi2i bitr4 pm3.35 ancoms r19.20si sylbi visset
      rnex eleq2d eubidv ralbidv 19.23aiv 19.20i csn cxp cab cuni eqid pm4.2
      aceq5lem5 19.21aiv aceq3 raleq1 exbidv cbvalv bitr2 sylib impbi ) FJZAJZK
      YRYSLMNFOAPZCJZQRZCYSSZUUADJZRZUUAUUDTZQUAZUBZDYSSZCYSSZNZEJZUUABJZTZUCZE
      UDZCYSSZBOZUBZAPZYTYRYSMZUUDQRZUUDYRUEZUUDUCZUBZDYSSZNZFOZAPUUTADFUFUVHUU
      SAUVGUUSFUVGUUKUULUUAYRUGZTZUCZEUDZCYSSZUURUVAUVFUUCUUJUVMUVAUVFUUCUUJUVM
      UBZUVAUVDDYSSZUVNUVFUUCNZUVAUVOUVNUVAUVONZUUIUVLCYSUVQUUAYSUCZNZUUIUVKUUL
      UUAYRUEZUAZUHZEPZUVLUVSUUIUWBEUVSUUIUWBUVSUUINUVKUWAUVQUUIUVKUWAUBZUVRUVA
      UVOUUIUWDUVAUVDUUHNZDYSSZUWDUVOUUINUVAUWFNUULUUAUCZUULUVIUCZNUWAUVKUVAUWF
      UWGUWHUWAUWGUWHUVAUWFUWAUWGUWHUVAUWFUWAUBZUWGGJZYRUEZUULUAZGYSUIZUWIUWHUV
      ANUWGUWLUWIGYSUWFUWJYSUCZUWLUWGUWAUWNUWFUWKUWJUCZUUAUWJRZUUAUWJTZQUAZUBZN
      ZUWLUWGUWAUBUBUWEUWTDUWJYSUUDUWJUAZUVDUWOUUHUWSUXAUVCUWKUUDUWJUUDUWJYRUJU
      XAUKULUXAUUEUWPUUGUWRUUDUWJUUAUMUXAUUFUWQQUUDUWJUUAUNUOUPUQURUWTUWLUWGUWA
      UWTUWLUWGNZNUUAUWJUAZUWAUWTUWKUUAUCZUXCUXBUWTUXDUXCUWTUXDUUAUWJUWOUWSUWPU
      XDUSZUBUWOUWRUXEUWPUWOUWRUXEUWKUWJUUAUTVAVBVCVDVCUWLUXDUWGUWKUULUUAVEVFVG
      UWLUXCUWAUBUWTUWGUWLUVTUWKUAZUWAUXCUWLUXFUVTUULUAUWAUWKUULUVTVHUVTUULVIVJ
      UUAUWJYRUJVKVLVMVNVOVPVQUVAUWHUWMGYSUULYRVRVSVTWAWBWCUULUUAUVIWDWEUVDUUHD
      YSWFWGWHWIUVSUWAUVKUBUUIUWAUVKUVTUVJUCZUVSUULUVTUVJVEUVAUVOUVRUXGUVRUVOUV
      AUXGUVRUVOUVAUXGUVRUVOUVANUVTUUAUCZUVTUVIUCZNUXGUVRUVOUXHUVAUXIUVDUXHDUUA
      YSUUDUUAUAZUVCUVTUUDUUAUUDUUAYRUJUXJUKULURUVAUVRUXIYSUUAYRWJWKWLUVTUUAUVI
      WDWMWAWNWOWPWQWRVAWSUWCUVKUULHJZUAZUHZEPZHOUVLUXNUWCHUVTUUAYRWTUXKUVTUAZU
      XMUWBEUXOUXLUWAUVKUXKUVTUULVHXAXBXCUVKEHXDXEXFXGVAUVPUVEUVBNZDYSSZUVOUVPU
      VFUVBDYSSZNUXQUUCUXRUVFUUBUVBCDYSUUAUUDQXHXIXJUVEUVBDYSWFXKUXPUVDDYSUVBUV
      EUVDUVBUVDXLXMXNXOVTWAWCUUQUVMBUVIYRFXPXQUUMUVIUAZUUPUVLCYSUXSUUOUVKEUXSU
      UNUVJUULUUMUVIUUAUNXRXSXTXCXFYAYBXOUUTUVEDUXKSZFOZHPZYTUUTUYAHUUTABCDEIGI
      JZQRUYCUWJYCUWJYDUAGUXKUINIYEZUYDYFUUMTZFHUYDYGUYEYGUUTYHYIYJYTUVFFOZAPUY
      BADFYKUYFUYAAHYSUXKUAUVFUXTFUVEDYSUXKYLYMYNYOYPYQ $.
      $( [21-Apr-2007] $) $( [11-Apr-2004] $)
  $}

  ${
    $d x z f y w v u g $.
    $( Our Axiom of Choice (in the form of ~ ac3 ) implies the Axiom of Choice
      (first form) of [Enderton] p. 49.  The proof uses neither AC nor the
      Axiom of Regularity.  See ~ aceq6b for the converse (which does use
      the Axiom of Regularity). $)
    aceq6a $p |- ( A. x E. y A. z e. x ( z =/= (/) -> E! w e. z E. v e. y
                      ( z e. v /\ w e. v ) ) ->
                  A. x E. f ( f (_ x /\ f Fn dom x ) ) $=
      ( vu vg cv c0 wne wcel wa wrex wreu wi wral wex wal cfv wss cdm wfn crab
      cuni wceq copab cab eleq2 eleq1 anbi1d rexbidv anbi12d abbidv df-rab
      3eqtr4g unieqd eqid visset rabex uniex fvopab4 eleq1d reucl syl5bir
      imim2d r19.20i opabex2 fveq1 imbi2d ralbidv cla4ev syl 19.23aiv 19.20i
      aceq3 sylibr ) CIZJKZVREIZLZDIZVTLZMZEBIZNZDVROZPZCAIZQZBRZASVSVRFIZTZVRL
      ZPZCWIQZFRZASWLWIUAWLWIUBUCMFRASWKWQAWJWQBWJVSVRGIZWILHIWRVTLZWCMZEWENZDW
      RUDZUEZUFMGHUGZTZVRLZPZCWIQZWQWHXGCWIVRWILZWGXFVSXIXFWFDVRUDZUEZVRLWGXIXE
      XKVRGHVRXCXKWIXDWRVRUFZXBXJXLWBWRLZXAMZDUHWBVRLZWFMZDUHXBXJXLXNXPDXLXMXOX
      AWFWRVRWBUIXLWTWDEWEXLWSWAWCWRVRVTUJUKULUMUNXADWRUOWFDVRUOUPUQXDURXJWFDVR
      CUSUTVAVBVCWFDVRVDVEVFVGWPXHFXDGHWIXCAUSVHWLXDUFZWOXGCWIXQWNXFVSXQWMXEVRV
      RWLXDVIVCVJVKVLVMVNVOACFVPVQ $.
      $( [30-Apr-2007] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x y z w v u f g h $.
    $( Axiom of Choice (first form) of [Enderton] p. 49 implies of our Axiom
       of Choice (in the form of ~ ac3 ).  The proof does not make use of
       AC.  Note that the Axiom of Regularity is used by the proof.
       Specifically, ~ elirrv and ~ preleq that are referenced in the proof
       each make use of Regularity for their derivations. (The reverse
       implication can be derived without using Regularity; see ~ aceq6a .) $)
    aceq6b $p |- ( A. x E. f ( f (_ x /\ f Fn dom x ) ->
                  A. x E. y A. z e. x ( z =/= (/) -> E! w e. z E. v e. y
                      ( z e. v /\ w e. v ) ) ) $=
      ( vu vg cv wss cdm wfn wa wex wal c0 wne cfv wcel wi wral wrex wreu
      aceq3 cpr wceq cab hbra1 wmo ra4 fvex eleq1 anbi2d rexbidv anbi12d
      cla4ev eqid neeq1 eqeq1 rcla4ev mpanr2 fveq2 preq1 syl preq2 eqtr2d
      anim2i r19.22si prex elab sylibr visset pri2 pri1 pm3.2i jctir eleq2
      sylan2 ex syl8 imp3a pm2.43d eleq1d bitrd imbi12d rcla4cv wb wn prel12
      ancom syl5rbbr sylan9bbr elirrv mtbii con2i adantrr pm5.32da preleq
      syl6bir eqeq2d biimparc syl6 exp4c com13 com4r imp imp4a com3l r19.23aiv
      sylbi exp3a imp4b 19.23adv df-rex syl5ib 19.21aiv mo2icl jctird weu
      df-reu eu5 bitr syl6ibr r19.21ai abrexex pm3.27 ss2abi ssexi rexeq1
      reubidv imbi2d ralbidv 19.23aiv 19.20i ) FIZAIZJYOYPKLMFNAOCIZPQZYQYORZYQ
      SZTZCYPUAZFNZAOYRYQEIZSZDIZUUDSZMZEBIZUBZDYQUCZTZCYPUAZBNZAOACFUDUUCUUNAU
      UBUUNFUUBYRUUHEGIZPQZHIZUUOYORZUUOUEZUFZMZGYPUBZHUGZUBZDYQUCZTZCYPUAZUUNU
      UBUVFCYPUUACYPUHUUBYQYPSZYRUVEUUBUVHYRMZUUFYQSZUVDMZDNZUVKDUIZMZUVEUUBUVI
      UVLUVMUUBUVIUVLUUBUVHYRUVIUVLTZUUBUVHYRYTUVOUUACYPUJYTUVIUVLYTUUEYSUUDSZM
      ZEUVCUBZUVLUVIUVKYTUVRMDYSYQYOUKZUUFYSUFZUVJYTUVDUVRUUFYSYQULUVTUUHUVQEUV
      CUVTUUGUVPUUEUUFYSUUDULUMUNUOUPUVIYSYQUEZUVCSZYQUWASZYSUWASZMZMUVRUVIUWBU
      WEUVIUUPUWAUUSUFZMZGYPUBZUWBUVIUUPUUOYQUFZMZGYPUBZUWHUVHYRYQYQUFZUWKYQUQU
      WJYRUWLMGYQYPUWIUUPYRUWIUWLUUOYQPURUUOYQYQUSUOUTVAUWJUWGGYPUWIUWFUUPUWIUU
      SYSUUOUEZUWAUWIUURYSUFUUSUWMUFUUOYQYOVBUURYSUUOVCVDUUOYQYSVEVFVGVHVDUVBUW
      HHUWAYSYQVIUUQUWAUFZUVAUWGGYPUWNUUTUWFUUPUUQUWAUUSUSUMUNVJVKUWCUWDYSYQCVL
      ZVMYSYQUVSVNVOVPUVQUWEEUWAUVCUUDUWAUFUUEUWCUVPUWDUUDUWAYQVQUUDUWAYSVQUOUT
      VDVRVSVTWAWBUUBUVKUVTTZDOUVMUUBUWPDUUBUVJUVDUVTUUBUVJUVDUVTTUUBUVJMZUUDUV
      CSZUUHMZENUVTUVDUWQUWSUVTEUUBUVJUWRUUHUVTUWRUVJUUBUUHUVTTZUWRUVJUUBUWTUWR
      UUPUUDUUSUFZMZGYPUBZUVJUUBMZUWTTZUVBUXCHUUDEVLUUQUUDUFZUVAUXBGYPUXFUUTUXA
      UUPUUQUUDUUSUSUMUNVJUXBUXEGYPUXDUUOYPSZUXBUWTUXDUXGUUPUXAUWTUVJUUBUXGUUPU
      XAUWTTZTTUUBUXGUUPUVJUXHUUBUXGUUPUURUUOSZUVJUXHTUUAUUPUXITCUUOYPYQUUOUFZY
      RUUPYTUXIYQUUOPURUXJYTUURYQSUXIUXJYSUURYQYQUUOYOVBZWCYQUUOUURVQWDWEWFUXAU
      VJUXIUWTUXAUVJUXIUUHUVTUXAUVJUXIMZUUHMZUUFUURUFZUXJMZUVTUXAUXMUXLUUFYQUEU
      USUFZMUXOUXAUXLUXPUUHUXAUVJUXPUUHWGZUXIUXAUUFYQUFZWHZUXQUVJUXSUXPUUFUUSSZ
      YQUUSSZMZUXAUUHUUFYQUURUUODVLZUWOUUOYOUKZGVLZWIUXAUUGUUEMUYBUUHUXAUUGUXTU
      UEUYAUUDUUSUUFVQUUDUUSYQVQUOUUGUUEWJWKWLUXRUVJUXRUUFUUFSUVJDWMUUFYQUUFVQW
      NWOVRWPWQUUFYQUURUUOUYCUWOUYDUYEWRWSUXJUVTUXNUXJYSUURUUFUXKWTXAXBXCXDVTXE
      XFXGXHXIXJXKXDXLXMUUHEUVCXNXOVSWAXPUVKDYSXQVDXRUVEUVKDXSUVNUVDDYQXTUVKDYA
      YBYCXKYDUUMUVGBUVCUVCUUTGYPUBZHUGGHYPUUSAVLYEUVBUYFHUVAUUTGYPUUPUUTYFVHYG
      YHUUIUVCUFZUULUVFCYPUYGUUKUVEYRUYGUUJUVDDYQUUHEUUIUVCYIYJYKYLUPVDYMYNXJ
      $.
      $( [30-Apr-2007] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x z f y w v u $.
    $( Equivalence of the Axiom of Choice (first form) of [Enderton] p. 49 and
       our Axiom of Choice (in the form of ~ ac2 ).  The proof does not depend
       AC on but does depend on the Axiom of Regularity. $)
    aceq7 $p |- ( A. x E. f ( f (_ x /\ f Fn dom x ) <->
                  A. x E. y A. z e. x A. w e. z E! v e. z E. u e. y
                      ( z e. u /\ v e. u ) ) $=
      ( cv wss cdm wfn wa wex wal c0 wne wcel wrex wreu wi wral aceq6b aceq6a
      impbi aceq2 albii bitr4 ) GHZAHZIUHUIJKLGMANZCHZOPUKEHZQDHULQLEBHZRDUKSTC
      UIUABMZANZUKFHZQULUPQLFUMREUKSDUKUACUIUABMZANUJUOABCDEGUBABCDEGUCUDUQUNAA
      BCDEFUEUFUG $.
      $( [26-Jun-2007] $) $( [5-Apr-2004] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
             ZFC Set Theory - add the Axiom of Choice
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
             Introduce the Axiom of Choice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u t $.
    $( Axiom of Choice.  The Axiom of Choice (AC) is usually considered an
       extension of ZF set theory rather than a proper part of it.  It is
       sometimes considered philosophically controversial because it asserts
       the existence of a set without telling us what the set is.  ZF set
       theory that includes AC is called ZFC.

       The unpublished version given here says that given any set ` x ` , there
       exists a ` y ` that is a collection of unordered pairs, one pair for
       each non-empty member of ` x ` .  One entry in the pair is the member of
       ` x ` , and the other entry is some arbitrary member of that member of
       ` x ` .  See the rewritten version ~ ac3 for a more detailed
       explanation.

       This version was specifically crafted to be short when expanded to
       primitives.  Kurt Maes' 5-quantifier version ~ ackm is slightly shorter
       when the biconditional of ~ ax-ac is expanded into implication and
       negation.

       Standard textbook versions of AC are derived as ~ ac8 , ~ ac5 , and
       ~ ac7 .  The Axiom of Regularity ~ ax-reg (among others) is used to
       derive our version from the standard ones; this reverse derivation is
       shown as theorem ~ aceq6b .  Equivalents to AC are the well-ordering
       theorem ~ weth and Zorn's lemma ~ zorn .  See ~ ac4 for comments about
       stronger versions of AC. $)
    ax-ac $a  |- E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. v A. u ( E. t
              ( ( u e. w /\ w e. t ) /\ ( u e. t /\ t e. y ) ) <-> u = v ) ) $.

    $( Axiom of Choice expressed with fewest number of different variables.
       The penultimate step shows the logical equivalence to ~ ax-ac . $)
    axac $p  |- E. x A. y A. z ( ( y e. z /\ z e. w ) -> E. w A. y ( E. w
              ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) $=
      ( vu vt vv cv wcel wa wex wceq wb wal wi ax-ac equequ2 bibi2d elequ2
      anbi2d elequ1 anbi12d cbvexv bibi1i syl6bb albidv anbi1d exbidv equequ1
      bibi12d cbvalv imbi2i 2albii exbii mpbi ) BHZCHZIZUQDHZIZJZEHZUQIZUQFHZIZ
      JZVBVDIZVDAHZIZJZJZFKZVBGHZLZMZENZGKZOZCNBNZAKVAVAUPUSIZUSVHIZJZJZDKZUPUS
      LZMZBNZDKZOZCNBNZAKDABCGEFPVSWJAVRWIBCVQWHVAVPWGGDVMUSLZVPVCUTJZVBUSIZWAJ
      ZJZDKZVBUSLZMZENWGWKVOWREWKVOVLWQMWRWKVNWQVLGDEQRVLWPWQVKWOFDVDUSLZVFWLVJ
      WNWSVEUTVCFDCSTWSVGWMVIWAFDESFDAUAUBUBUCUDUEUFWRWFEBVBUPLZWPWDWQWEWTWOWCD
      WTWLVAWNWBWTVCURUTEBCUAUGWTWMVTWAEBDUAUGUBUHEBDUIUJUKUEUCULUMUNUO $.
      $( [14-Aug-2003] $)

    $( Axiom of Choice equivalent.  By using restricted quantifiers, we can
       express the Axiom of Choice with a single conjunction.  (If you
       want to figure it out, the rewritten equivalent ~ ac3 is easier to
       understand.)  Note:  ~ aceq0 shows the logical equivalence to
       ~ ax-ac . $)
    ac2 $p |- E. y A. z e. x A. w e. z E! v e. z E. u e. y
              ( z e. u /\ v e. u ) $=
      ( vt cv wcel wa wrex wreu wral wex wceq wb wal wi ax-ac aceq0 mpbir ) CHZ
      FHZIEHZUCIJFBHZKEUBLDUBMCAHZMBNUBDHZIUGUFIJUCUGIUGGHZIJUCUHIUHUEIJJGNUCUD
      OPFQENRDQCQBNABCDEFGSABCDEFGTUA $.
      $( [18-Jul-1996] $)
  $}

  ${
    $d x y z w v u $.
    $( Axiom of Choice using abbreviations.  The logical equivalence to
       ~ ax-ac can be established by chaining ~ aceq0 and ~ aceq2 .  A standard
       textbook version of AC is derived from this one in ~ aceq6a , and this
       version of AC is derived from the textbook version in ~ aceq6b .

       The following sketch will help you understand this version of the axiom.
       Given any set ` x ` , the axiom says that there exists a ` y ` that is a
       collection of unordered pairs, one pair for each non-empty member of
       ` x ` .  One entry in the pair is the member of ` x ` , and the other
       entry is some arbitrary member of that member of ` x ` .  Using the
       Axiom of Regularity, we can show that ` y ` is really a set of _ordered_
       pairs, very similar to the ordered pair construction ~ opthreg .  The
       key theorem for this (used in the proof of ~ aceq6b ) is ~ preleq .
       With this modified definition of ordered pair, it can be seen that
       ` y ` is actually a choice function on the members of ` x ` .

       For example, suppose
       ` x = { { 1 , 2 } , { 1 , 3 } , { 2 , 3 } } ` . Take
       ` y = { { { 1 , 2 } , 1 } , { { 1 , 3 } , 1 } , { { 2 , 3 } , 2 } } ` .
       For the member (of ` x ` ) ` z = { 1 , 2 } ` , the only assignment
       to ` w ` and ` v ` that satisfies the axiom is ` w = 1 ` and
       ` v = { { 1 , 2 } , 1 } ` , so there is exactly one ` w ` as
       required.  We verify the other two members of ` x ` similarly.  Thus
       ` y ` satisfies the axiom.  Using our modified ordered pair definition,
       it is easy to see that ` y ` is the choice function
       ` { <. { 1 , 2 } , 1 >. , <. { 1 , 3 } , 1 >. , `
       ` <. { 2 , 3 } , 2 >. } ` .  Of course other choices for ` y ` will
       also satisfy the axiom, for example
       ` y = { { { 1 , 2 } , 2 } , { { 1 , 3 } , 1 } , { { 2 , 3 } , 3 } } ` .
       What AC tells us is that there exists at least one such ` y ` ,
       but it doesn't tell us which one. $)
    ac3 $p |- E. y A. z e. x ( z =/= (/) -> E! w e. z E. v e. y
              ( z e. v /\ w e. v ) ) $=
      ( vu cv wcel wa wrex wreu wral wex c0 wne wi ac2 aceq2 mpbi ) CGZFGZHEGZU
      AHIFBGZJETKDTLCAGZLBMTNOTUBHDGUBHIEUCJDTKPCUDLBMABCDEFQABCDEFRS $.
      $( [9-Apr-2007] $) $( [19-Jul-1996] $)
  $}

  ${
    $d f x y z w v u $.
    $( An Axiom of Choice equivalent similar to the Axiom of Choice (first
       form) of [Enderton] p. 49. $)
    ac7 $p |- E. f ( f (_ x /\ f Fn dom x ) $=
      ( vz vu vv vy vw cv wcel wa wrex wreu wral wex wss cdm wfn wal c0 wne wi
      aceq2 albii aceq6a sylbi 19.21bi ac2 mpg ) CHZDHZIEHZUJIJDFHZKEUILGUIMCAH
      ZMFNZBHZUMOUOUMPQJBNZAUNARZUPAUQUISTUIUKIGHUKIJEULKGUILUACUMMFNZARUPARUNU
      RAAFCGEDUBUCAFCGEBUDUEUFAFCGEDUGUH $.
      $( [7-Mar-2007] $) $( [29-Apr-2004] $)
  $}

  ${
    $d f x R $.
    $( An Axiom of Choice equivalent similar to the Axiom of Choice (first
       form) of [Enderton] p. 49. $)
    ac7g $p |- ( R e. A -> E. f ( f (_ R /\ f Fn dom R ) ) $=
      ( vx cv wss cdm wfn wa wex wceq sseq2 wb dmeq fneq2 syl anbi12d exbidv
      ac7 vtoclg ) CEZDEZFZUAUBGZHZIZCJUABFZUABGZHZIZCJDBAUBBKZUFUJCUKUCUGUEUIU
      BBUALUKUDUHKUEUIMUBBNUDUHUAOPQRDCST $.
      $( [30-Jul-2004] $) $( [23-Jul-2004] $)
  $}

  ${
    $d x z f $.
    $( Equivalent of Axiom of Choice.  We do not insist that ` f ` be a
       function.  However, theorem ~ ac5 , derived from this one, shows that
       this form of the axiom does imply that at least one such set ` f ` whose
       existence we assert is in fact a function.  Axiom of Choice of
       [TakeutiZaring] p. 83.

       Takeuti and Zaring call this "weak choice" in contrast to "strong
       choice" ` E. F A. z ( z =/= (/) -> ( F `` z ) e. z ) ` , which asserts
       the existence of a universal choice function but requires second-order
       quantification on (proper) class variable ` F ` and thus cannot be
       expressed in our first-order formalization.  However, it has been shown
       that ZF plus strong choice is a conservative extension of ZF plus weak
       choice.  See Ulrich Felgner, "Comparison of the axioms of local and
       universal choice," _Fundamenta Mathematica_, 71, 43-62 (1971).

       Weak choice can be strengthened in a different direction to choose from
       a collection of proper classes; see ~ ac6s5 . $)
    ac4 $p |- E. f A. z e. x ( z =/= (/) -> ( f ` z ) e. z ) $=
      ( cv c0 wne cfv wcel wi wral wex wss cdm wfn wa wal aceq3 ac7 mpgbi a4i
      ) BDZEFUACDZGUAHIBADZJCKZAUBUCLUBUCMNOCKUDAPAABCQACRST $.
      $( [30-Mar-2008] $) $( [21-Jul-1996] $)
  $}

  ${
    $d x y f A $.
    ac4c.1 $e |- A e. V $.
    $( Equivalent of Axiom of Choice (class version) $)
    ac4c $p |- E. f A. x e. A ( x =/= (/) -> ( f ` x ) e. x ) $=
      ( vy cv c0 wne cfv wcel wi wral wex wceq raleq1 exbidv ac4 vtocl ) AFZGHS
      CFISJKZAEFZLZCMTABLZCMEBDUABNUBUCCTAUABOPEACQR $.
      $( [3-May-2007] $) $( [10-Feb-1997] $)
  $}

  ${
    $d f x y A $.
    ac5.1 $e |- A e. V $.
    $( An Axiom of Choice equivalent:  there exists a function ` f ` (called a
       choice function) with domain ` A ` that maps each nonempty member of the
       domain to an element of that member.  Axiom AC of [BellMachover] p. 488.
       Note that the assertion that ` f ` be a function is not necessary;
       see ~ ac4 . $)
    ac5 $p |- E. f ( f Fn A /\ A. x e. A ( x =/= (/) -> ( f ` x ) e. x ) ) $=
      ( vy cv wfn c0 wne cfv wcel wi wral wa wex wceq fneq2 raleq1 anbi12d
      exbidv wss cdm wal aceq3 ac4 mpgbir aceq4 mpbi a4i vtocl ) CFZEFZGZAFZHIU
      NUKJUNKLZAULMZNZCOZUKBGZUOABMZNZCOEBDULBPZUQVACVBUMUSUPUTULBUKQUOAULBRSTU
      REUKULUAUKULUBGNCOEUCZUREUCVCUPCOEEACUDEACUEUFEACUGUHUIUJ $.
      $( [25-Apr-2007] $) $( [29-Aug-1999] $)
  $}

  ${
    $d x f A $.
    ac5b.1 $e |- A e. V $.
    $( Equivalent of Axiom of Choice. $)
    ac5b $p |- ( A. x e. A x =/= (/) ->
               E. f ( f : A --> U. A /\ A. x e. A ( f ` x ) e. x ) ) $=
      ( cv c0 wne wral wfn cfv wcel wi wa wex cuni wf ac5 19.42v crn wss
      chfnrn ex anc2li df-f syl6ibr impac r19.26 pm3.35 r19.20si sylbir sylan2
      an1s 19.22i mpan2 ) AEZFGZABHZCEZBIZUPUOURJUOKZLZABHZMZCNZBBOZURPZUTABHZM
      ZCNZABCDQUQVDMUQVCMZCNVIUQVCCRVJVHCUSUQVBVHUSVGVHUQVBMZUSVGVFUSVGUSURSVET
      ZMVFUSVGVLUSVGVLABURUAUBUCBVEURUDUEUFVKUPVAMZABHVGUPVAABUGVMUTABUPUTUHUIU
      JUKULUMUJUN $.
      $( [30-Apr-2007] $) $( [31-Aug-1999] $)
  $}

  ${
    $d f g x y z w A $.  $d f g x y z w B $.  $d ph z w f $.  $d y ps $.
    ac6.1 $e |- A e. V $.
    ac6.2 $e |- B e. V $.
    ${
      $d z f g C $.  $d z f g H $.
      ac6lem.4 $e |- C = { y e. B | ph } $.
      ac6lem.5 $e |- H = { <. x , z >. | ( x e. A /\ z = C ) } $.
      $( Lemma for ~ ac6 . $)
      ac6lem $p |- ( A. x e. A E. y e. B ph ->
                   E. f ( f : A --> B /\ A. x e. A ( f ` x ) e. C ) ) $=
        ( vg wrex wral cv c0 wne crn cuni wf cfv wcel wa wex wceq wi crab
        eqeq2i biimp neeq1d rabn0 syl6bb biimprcd r19.20si r19.23v sylib cab
        abid copab rneqi rnopab eqtr eleq2i df-rex 3bitr4 syl5ib r19.21aiv wfn
        cvv rabex eqeltr fnopab2 fnex mp2an rnex ac5b ccom fnfrn mpbi fco
        mpan2 adantr wfun ax-17 hbopab1 hbxfr hbrn hbral hban 19.8a abeq2i
        sylibr expcom eleq1 sylibd vtocle fveq2 id eleq12d rcla4v syl impcom
        adantll wb cdm fnfun ax-mp fvco mp3an2 dmopab2 sylan2br fvopab2 fveq1i
        syl5eq fveq2d adantl eqtrd eleq1d adantlr mpbird ex r19.21ai ffun
        sylan jca wss unissb ssrab2 eqsstr sseq1 mpbiri a1i r19.23aiv sylbi
        mprgbir fss visset coex feq1 hbco hbeleq fveq1 ralbid anbi12d cla4ev
        19.23aiv 3syl ) ACFOZBEPZDQZRSZDITZPUUNUUNUAZNQZUBZUULUUPUCZUULUDZDUUNP
        ZUEZNUFEFHQZUBZBQZUVBUCZGUDZBEPZUEZHUFZUUKUUMDUUNUUKUULGUGZBEOZUUMUULUU
        NUDZUUKUVJUUMUHZBEPUVKUUMUHUUJUVMBEUVJUUMUUJUVJUUMACFUIZRSUUJUVJUULUVNR
        UVJUULUVNUGGUVNUULLUJUKULACFUMUNUOUPUVJUUMBEUQURUULUVDEUDZUVJUEZBUFZDUS
        ZUDUVQUVLUVKUVQDUTUUNUVRUULUUNUVPBDVAZTUVRIUVSMVBUVPBDVCVDZVEUVJBEVFVGZ
        VHVIDUUNNIIEVJZEVKUDIVKUDBDEGIGUVNVKLACFKVLVMZMVNZJEVKIVOVPZVQVRUVAUVIN
        UVAEFUUPIVSZUBZUVDUWFUCZGUDZBEPZUEZUVIUUNFUUPUBZUUTUWKUUQUWLUUTUEUWGUWJ
        UWLUWGUUTUWLEUUNIUBZUWGUWBUWMUWDEIVTWAEUUNFUUPIWBWCWDUUPWEZUUTUWJUWLUWN
        UUTUEZUWIBEUWNUUTBUWNBWFUUSBDUUNBDIBDIUVSMUVPBDDWGWHWIUUSBWFWJWKUWOUVOU
        WIUWOUVOUEUWIGUUPUCZGUDZUUTUVOUWQUWNUVOUUTUWQUVOGUUNUDZUUTUWQUHUVOUWRUH
        DGUWCUVJUVOUVLUWRUVOUVJUVLUVPUVQUVLUVPBWLUVQDUUNUVTWMWNWOUULGUUNWPWQWRU
        USUWQDGUUNUVJUURUWPUULGUULGUUPWSUVJWTXAXBXCXDXEUWNUVOUWIUWQXFUUTUWNUVOU
        EZUWHUWPGUWSUWHUVDIUCZUUPUCZUWPUWNUVDIXGZUDZUWHUXAUGZUVOUWNIWEZUXCUXDUW
        BUXEUWDEIXHXIUVDUUPIXJXKUXBEUVDBDEGIUWCMXLVEXMUVOUXAUWPUGUWNUVOUWTGUUPU
        VOUVDUVSUCZGUWTUVOGVKUDUXFGUGUWCBDEGVKXNWCUVDIUVSMXOXPXQXRXSXTYAYBYCYDU
        UNFUUPYEYFYGUUQUUOFYHZUWLUXGUULFYHZDUUNDUUNFYIUVLUVKUXHUWAUVJUXHBEUVJUX
        HUHUVOUVJUXHGFYHGUVNFLACFYJYKUULGFYLYMYNYOYPYQUUNUUOFUUPYRWCYFUVHUWKHUW
        FUUPINYSUWEYTUVBUWFUGZUVCUWGUVGUWJEFUVBUWFUUAUXIUVFUWIBEBHUWFBHUUPIUVBU
        UPUDBWFBHIUVSMUVPBDHWGWHUUBUUCUXIUVEUWHGUVDUVBUWFUUDXTUUEUUFUUGXCUUHUUI
        $.
        $( [18-Oct-1999] $)
    $}

    ${
      ac6.3 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
      $( Equivalent of Axiom of Choice.  This is useful for proving that there
         exists, for example, a sequence mapping natural numbers to members of
         a large set ` B ` , where ` ph ` depends on ` x ` (the
         natural number) and ` y ` (to specify a member of ` B ` ).  A stronger
         version of this theorem, ~ ac6s , allows ` B ` to be a proper
         class. $)
      ac6 $p |- ( A. x e. A E. y e. B ph ->
                E. f ( f : A --> B /\ A. x e. A ps ) ) $=
        ( vz vw wrex wral cv wf cfv crab wcel wa wex wceq copab eqid eqeq1
        anbi2d cbvopab2v ac6lem elrab pm3.27bi r19.20si anim2i 19.22i syl ) ADF
        MCENEFGOZPZCOZUOQZADFRZSZCENZTZGUAUPBCENZTZGUAACDKEFUSGUQESZLOZUSUBZTZC
        LUCHIUSUDVHVEKOZUSUBZTCLKVFVIUBVGVJVEVFVIUSUEUFUGUHVBVDGVAVCUPUTBCEUTUR
        FSBABDURFJUIUJUKULUMUN $.
        $( [18-Oct-1999] $)
    $}
  $}

  ${
    $d x y f z A $.  $d x y f z B $.  $d f z ph $.  $d y z ps $.
    ac6s.1 $e |- A e. V $.
    ac6s.2 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( Equivalent of Axiom of Choice.  Using the Boundedness Axiom ~ bnd2 ,
       we derive this strong version of ~ ac6 that doesn't require ` B ` to be
       a set. $)
    ac6s $p |- ( A. x e. A E. y e. B ph ->
                E. f ( f : A --> B /\ A. x e. A ps ) ) $=
      ( vz wrex wral cv wss wa wex wf bnd2 visset ac6 anim2i 19.22i fss expcom
      anim1d 19.22dv imp 19.23aiv syl ) ADFKCELJMZFNZADUJKCELZOZJPZEFGMZQZBCELZ
      OZGPZACDJEFHRUNUKEUJUOQZUQOZGPZOZJPUSUMVCJULVBUKABCDEUJGHJSITUAUBVCUSJUKV
      BUSUKVAURGUKUTUPUQUTUKUPEUJFUOUCUDUEUFUGUHUIUI $.
      $( [17-Aug-2004] $) $( [4-Feb-2004] $)

    $( Equivalent of Axiom of Choice.  Contrapositive of ~ ac6s . $)
    ac6n $p |- ( A. f ( f : A --> B -> E. x e. A ps ) ->
                E. x e. A A. y e. B ph ) $=
      ( cv wf wn wral wa wex wrex wi wal cfv wceq negbid ac6s con3i dfrex2
      imbi2i albii alinexa bitr dfral2 rexbii rexnal 3imtr4 ) EFGJZKZBLZCEMZNGO
      ZLZALZDFPZCEMZLZUNBCEPZQZGRZADFMZCEPZVAUQUSUOCDEFGHDJCJUMSTABIUAUBUCVEUNU
      PLZQZGRURVDVIGVCVHUNBCEUDUEUFUNUPGUGUHVGUTLZCEPVBVFVJCEADFUIUJUTCEUKUHUL
      $.
      $( [10-Jun-2007] $) $( [10-Jun-2007] $)

    $( Generalization of the Axiom of Choice to classes.  Slightly strengthened
       version of ~ ac6s3 . $)
    ac6s2 $p |- ( A. x e. A E. y ph -> E. f ( f Fn A /\ A. x e. A ps ) ) $=
      ( wex wral cvv wrex cv wfn wa rexv ralbii wf ac6s ffn anim1i 19.22i syl
      sylbir ) ADIZCEJADKLZCEJZFMZENZBCEJZOZFIZUFUECEADPQUGEKUHRZUJOZFIULABCDEK
      FGHSUNUKFUMUIUJEKUHTUAUBUCUD $.
      $( [30-Sep-2006] $) $( [29-Sep-2006] $)

    $( Generalization of the Axiom of Choice to classes.  Theorem 10.46 of
       [TakeutiZaring] p. 97. $)
    ac6s3 $p |- ( A. x e. A E. y ph -> E. f A. x e. A ps ) $=
      ( wex wral cv wfn wa ac6s2 pm3.27 19.22i syl ) ADICEJFKELZBCEJZMZFISFIABC
      DEFGHNTSFRSOPQ $.
      $( [17-Nov-2004] $) $( [3-Nov-2004] $)
  $}

  ${
    $d f x z A $.  $d x y f z B $.  $d f z ph $.  $d z ps $.
    ac6sf.1 $e |- ( ps -> A. y ps ) $.
    ac6sf.2 $e |- A e. V $.
    ac6sf.3 $e |- ( y = ( f ` x ) -> ( ph <-> ps ) ) $.
    $( Version of ~ ac6 with bound-variable hypothesis. $)
    ac6sf $p |- ( A. x e. A E. y e. B ph ->
                E. f ( f : A --> B /\ A. x e. A ps ) ) $=
      ( vz wrex wral cv wsbc wf wa wex cbvrexsv ralbii cfv sbhypf ac6s sylbi )
      ADFLZCEMADKNOZKFLZCEMEFGNZPBCEMQGRUEUGCEADKFSTUFBCKEFGIABDKCNUHUAHJUBUCUD
      $.
      $( [5-Mar-2008] $) $( [2-Mar-2008] $)
  $}

  ${
    $d f x y A $.  $d f y B $.
    ac6s4.1 $e |- A e. V $.
    $( Generalization of the Axiom of Choice to proper classes.  ` B ` is a
       collection ` B ( x ) ` of nonempty, possible proper classes. $)
    ac6s4 $p |- ( A. x e. A B =/= (/) ->
               E. f ( f Fn A /\ A. x e. A ( f ` x ) e. B ) ) $=
      ( vy c0 wne wral cv wcel wex wfn cfv wa ne0 ralbii eleq1 ac6s2 sylbi ) CG
      HZABIFJZCKZFLZABIDJZBMAJUENZCKZABIODLUAUDABFCPQUCUGAFBDEUBUFCRST $.
      $( [1-Oct-2006] $) $( [29-Sep-2006] $)

    $( Generalization of the Axiom of Choice to proper classes.  ` B ` is a
       collection ` B ( x ) ` of nonempty, possible proper classes.  Remark
       after Theorem 10.46 of [TakeutiZaring] p. 98. $)
    ac6s5 $p |- ( A. x e. A B =/= (/) -> E. f A. x e. A ( f ` x ) e. B ) $=
      ( c0 wne wral cv wfn cfv wcel wa wex ac6s4 pm3.27 19.22i syl ) CFGABHDIZB
      JZAISKCLABHZMZDNUADNABCDEOUBUADTUAPQR $.
      $( [19-Nov-2006] $) $( [27-Mar-2006] $)
  $}

  ${
    $d x z y w v f $.
    $( An Axiom of Choice equivalent.  Given a family ` x ` of mutually
       disjoint nonempty sets, there exists a set ` y ` containing exactly
       one member from each set in the family.  Theorem 6M(4) of [Enderton]
       p. 151. $)
    ac8 $p |- ( ( A. z e. x z =/= (/) /\
                   A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
               E. y A. z e. x E! v v e. ( z i^i y ) ) $=
      ( vf cv c0 wne wral cin wceq wi wa wcel weu wex wss cdm wfn wal aceq5
      ac7 mpgbi a4i ) CGZHICAGZJUFDGZIUFUHKHLMDUGJCUGJNEGUFBGKOEPCUGJBQMZAFGZUG
      RUJUGSTNFQUIAUAAABCDEFUBAFUCUDUE $.
      $( [22-Apr-2007] $) $( [14-May-2004] $)
  $}

  ${
    $d f x A $.  $d f B $.
    ac9.1 $e |- A e. V $.
    $( An Axiom of Choice equivalent:  the infinite Cartesian product of
       nonempty classes is nonempty.  Axiom of Choice (second form) of
       [Enderton] p. 55 and its converse.  This is a stronger version of the
       axiom in Enderton, with no existence requirement for the family of
       classes ` B ( x ) ` (achieved via the Collection Principle ~ cp ). $)
    ac9s $p |- ( A. x e. A B =/= (/) <-> X_ x e. A B =/= (/) ) $=
      ( vf c0 wne wral cixp cv wfn cfv wcel wa wex ac6s4 ne0 visset elixp
      exbii bitr2 sylib wceq wn wrex ixp0 con3i df-ne ralbii ralnex bitr
      3imtr4 impbi ) CFGZABHZABCIZFGZUOEJZBKAJURLCMABHNZEOZUQABCEDPUQURUPMZEOUT
      EUPQVAUSEABCURERSTUAUBUPFUCZUDCFUCZABUEZUDZUQUOVDVBABCUFUGUPFUHUOVCUDZABH
      VEUNVFABCFUHUIVCABUJUKULUM $.
      $( [1-Oct-2006] $) $( [29-Sep-2006] $)
  $}

  ${
    $d v A $.  $d u v x y ph $.  $d ps x v $.  $d u v w x y z $.
    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, 1 => 2. $)
    kmlem1 $p |- ( A. x ( ( A. z e. x z =/= (/) /\ A. z e. x A. w e. x ph ) ->
                 E. y A. z e. x ps ) -> A. x ( A. z e. x A. w e. x ph ->
                   E. y A. z e. x ( z =/= (/) -> ps ) ) ) $=
      ( vv vu cv c0 wne wral wa wex wi wal crab visset rabex wceq raleq1
      raleqd anbi12d exbidv imbi12d cla4v 19.21aiv wcel ssrab2 sseli imim1i
      r19.20i2 imim12i neeq1 elrab pm3.27bi rgen jctil biimpr exp3a 19.22i
      19.20i syl cbvalv sylib ) EIZJKZECIZLZAFVHLZEVHLZMZBEVHLZDNZOZCPZAFGIZLZE
      VQLZVGBOZEVQLZDNZOZGPZVKVTEVHLZDNZOZCPVPVGEHIZJKZHVQQZLZAFWJLZEWJLZMZBEWJ
      LZDNZOZGPWDVPWQGVOWQCWJWIHVQGRSVHWJTZVLWNVNWPWRVIWKVKWMVGEVHWJUAVJWLEVHWJ
      AFVHWJUAUBUCWRVMWODBEVHWJUAUDUEUFUGWQWCGVSWNWPWBVSWMWKVRWLEVQWJVFWJUHZVFV
      QUHZVRWLWJVQVFWIHVQUIZUJAAFVQWJFIZWJUHXBVQUHAWJVQXBXAUJUKULUMULVGEWJWSWTV
      GWIVGHVFVQWHVFJUNUOZUPUQURWOWADBVTEWJVQWSBOWTVGBWTVGMZWSBWSXDXCUSUKUTULVA
      UMVBVCWCWGGCVQVHTZVSVKWBWFVRVJEVQVHAFVQVHUAUBXEWAWEDVTEVQVHUAUDUEVDVE $.
      $( [12-May-2007] $) $( [5-Apr-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4. $)
    kmlem2 $p |- ( E. y A. z e. x ( ph -> E! w w e. ( z i^i y ) ) <->
        E. y ( -. y e. x /\ A. z e. x ( ph -> E! w w e. ( z i^i y ) ) ) ) $=
      ( vv vu cv cin wcel weu wi wral wex wn wa wceq ineq2 eleq2d eubidv
      imbi2d ralbidv cbvexv cuni visset uniex eleq2 negbid exbidv wal nalset
      alexn mpbir a4i vtocl csn cun c0 elssuni sseld con3d disjsn syl6ibr
      impcom uneq2d un0 syl6eq indi syl5req ralbidva wo snid olci elun mpi
      con3i biantrurd bitrd snex unex eleq1 anbi12d cla4ev syl6bi 19.23aiv
      ax-mp sylbi pm3.27 19.22i impbi ) AEHZDHZCHZIZJZEKZLZDBHZMZCNZWMWRJZOZWSP
      ZCNZWTAWKWLFHZIZJZEKZLZDWRMZFNXDWSXJCFWMXEQZWQXIDWRXKWPXHAXKWOXGEXKWNXFWK
      WMXEWLRSTUAUBUCXJXDFGHZWRUDZJZOZGNZXJXDLZXLWMJZOZGNZXPCXMWRBUEUFWMXMQZXSX
      OGYAXRXNWMXMXLUGUHUIXTCXTCUJXRGUJCNOCGUKXRCGULUMUNUOXOXQGXOXJXEXLUPZUQZWR
      JZOZAWKWLYCIZJZEKZLZDWRMZPZXDXOXJYJYKXOXIYIDWRXOWLWRJZPZXHYHAYMXGYGEYMXFY
      FWKYMXFWLYBIZUQZXFYFYMYOXFURUQXFYMYNURXFYLXOYNURQZYLXOXLWLJZOYPYLYQXNYLWL
      XMXLWLWRUSUTVAWLXLVBVCVDVEXFVFVGWLXEYBVHVISTUAVJXOYEYJYDXNYDXLYCJZXNYRXLX
      EJZXLYBJZVKYTYSXLGUEVLVMXLXEYBVNUMYDYCXMXLYCWRUSUTVOVPVQVRXCYKCYCXEYBFUEX
      LVSVTWMYCQZXBYEWSYJUUAXAYDWMYCWRWAUHUUAWQYIDWRUUAWPYHAUUAWOYGEUUAWNYFWKWM
      YCWLRSTUAUBWBWCWDWEWFWEWGXCWSCXBWSWHWIWJ $.
      $( [29-Mar-2004] $) $( [25-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4.  The
       right-hand side is part of the hypothesis of 4. $)
    kmlem3 $p |- ( ( z \ U. ( x \ { z } ) ) =/= (/) <->
        E. v e. z A. w e. x ( z =/= w -> -. v e. ( z i^i w ) ) ) $=
      ( cv csn cdif cuni c0 wne cin wcel wn wi wral crab wrex wo dfdif2 cun
      dfnul3 uneq2i un0 unrab 3eqtr3 wb wa ianor wex eluni anbi1i df-rex
      eldifsn necom anbi2i bitr ancom anass 3bitr an23 elin df-an bitr3
      3bitr3r exbii 19.41v rexnal 3bitr2r con1bii a1i rabbii 3eqtr neeq1i
      rabn0 ) BEZAEZVOFGZHZGZIJVOCEZJZDEZVOVTKLZMNZCVPOZDVOPZIJWEDVOQVSWFIVSWBV
      RLZMZDVOPZWHWBVOLZMZRZDVOPZWFDVOVRSWIITWIWKDVOPZTWIWMIWNWIDVOUAUBWIUCWHWK
      DVOUDUEWLWEDVOWLWEUFWJWLWGWJUGZMWEWGWJUHWEWOWOWBVTLZVTVQLZUGZCUIZWJUGZWDM
      ZCVPQZWEMWGWSWJCWBVQUJUKXBVTVPLZXAUGZCUIWRWJUGZCUIWTXACVPULXDXECWPWJUGZWQ
      UGZXCWAWJWPUGZUGZUGZXEXDXGXFXCWAUGZUGZXKXHUGZXJWQXKXFWQXCVTVOJZUGXKVTVPVO
      UMXNWAXCVTVOUNUOUPUOXLXHXKUGXMXFXHXKWPWJUQUKXHXKUQUPXCWAXHURUSWPWJWQUTXIX
      AXCXIWAWCUGXAWCXHWAWBVOVTVAUOWAWCVBVCUOVDVEWRWJCVFUSWDCVPVGVHVIVCVJVKVLVM
      WEDVOVNUP $.
      $( [12-Oct-2007] $) $( [25-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4. $)
    kmlem4 $p |- ( ( w e. x /\ z =/= w ) ->
                    ( ( z \ U. ( x \ { z } ) ) i^i w ) = (/) ) $=
      ( vy vv cv wcel wne wa wn csn cdif cuni wral cin c0 wceq wi wal visset
      eleq1 neeq2 anbi12d eleq2 negbid imbi12d cla4v com12 eldif pm3.27 wex
      eluni negbii alnex bi2.03 imnan eldifsn necom anbi2i bitr imbi1i 3bitr3
      albii 3bitr2 sylib sylbi syl5 r19.21aiv disj sylibr ) CFZAFZGZBFZVKHZIZDF
      ZVKGZJZDVNVLVNKLZMZLZNWBVKOPQVPVSDWBVPEFZVLGZVNWCHZIZVQWCGZJZRZESZVSVQWBG
      ZWJVPVSWIVPVSREVKCTWCVKQZWFVPWHVSWLWDVMWEVOWCVKVLUAWCVKVNUBUCWLWGVRWCVKVQ
      UDUEUFUGUHWKVQVNGZVQWAGZJZIZWJVQVNWAUIWPWOWJWMWOUJWOWGWCVTGZIZEUKZJWRJZES
      WJWNWSEVQVTULUMWREUNWTWIEWGWQJRWQWHRWTWIWGWQUOWGWQUPWQWFWHWQWDWCVNHZIWFWC
      VLVNUQXAWEWDWCVNURUSUTVAVBVCVDVEVFVGVHDWBVKVIVJ $.
      $( [12-Oct-2007] $) $( [26-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4. $)
    kmlem5 $p |- ( ( w e. x /\ z =/= w ) ->
          ( ( z \ U. ( x \ { z } ) ) i^i ( w \ U. ( x \ { w } ) ) ) = (/) ) $=
      ( cv wcel wne wa csn cdif cuni cin c0 wss wceq difss sslin ax-mp kmlem4
      sseq2d mpbii ss0b sylib ) CDZADZEBDZUCFGZUEUDUEHIJIZUCUDUCHIJZIZKZLMZUJLN
      UFUJUGUCKZMZUKUIUCMUMUCUHOUIUCUGPQUFULLUJABCRSTUJUAUB $.
      $( [12-Oct-2007] $) $( [25-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 4 => 1. $)
    kmlem6 $p |- ( ( A. z e. x z =/= (/) /\
           A. z e. x A. w e. x ( ph -> A = (/) ) ) ->
           A. z e. x E. v e. z  A. w e. x ( ph -> -. v e. A ) ) $=
      ( cv c0 wne wral wceq wi wa wcel wn wrex r19.26 wex wal 19.29r df-rex
      sylibr ne0 biimp ne0i necon2bi imim2i r19.20si 19.21aiv syl2an sylbir )
      CGZHIZCBGZJAFHKZLZDUNJZCUNJMUMUQMZCUNJAEGZFNZOZLZDUNJZEULPZCUNJUMUQCUNQUR
      VDCUNUSULNZERZVCESZVDUMUQVFVGMVEVCMERVDVEVCETVCEULUAUBUMVFEULUCUDUQVCEUPV
      BDUNUOVAAUTFHFUSUEUFUGUHUIUJUHUK $.
      $( [12-May-2007] $) $( [26-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 4 => 1. $)
    kmlem7 $p |- ( ( A. z e. x z =/= (/) /\
           A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
       -. E. z e. x A. v e. z  E. w e. x ( z =/= w /\ v e. ( z i^i w ) ) ) $=
      ( cv c0 wne wral cin wceq wi wa wcel wn wrex kmlem6 ralinexa rexbii
      rexnal bitr ralbii ralnex sylib ) BEZFGBAEZHUDCEZGZUDUFIZFJKCUEHBUEHLUGDE
      UHMZNKCUEHZDUDOZBUEHZUGUILCUEOZDUDHZBUEONZUGABCDUHPULUNNZBUEHUOUKUPBUEUKU
      MNZDUDOUPUJUQDUDUGUICUEQRUMDUDSTUAUNBUEUBTUC $.
      $( [12-Oct-2007] $) $( [26-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4 1 <=> 4. $)
    kmlem8 $p |- (  ( -. E. z e. u A. w e. z  ps -> E. y A. z e. u ( z =/= (/)
                  -> E! w w e. ( z i^i y ) ) ) <-> ( E. z e. u A. w e. z  ps \/
                 E. y ( -. y e. u /\ A. z e. u E! w w e. ( z i^i y ) ) ) ) $=
      ( cv wral wrex wn c0 wne cin wcel weu wi wex wa wo wb ralnex df-rex
      rexnal bitr3 pm3.26 19.22i ne0 sylibr sylbir r19.20si biimt r19.15 syl
      anbi2d exbidv kmlem2 syl6rbbr pm5.74i pm4.64 bitr ) ADCFZGZCEFZHZIZUTJKZD
      FZUTBFZLMDNZOZCVBGZBPZOVDVGVBMIZVHCVBGZQZBPZOVCVORVDVKVOVDVECVBGZVKVOSVDV
      AIZCVBGVPVACVBTVQVECVBVQVFUTMZAIZQZDPZVEWAVSDUTHVQVSDUTUAADUTUBUCWAVRDPVE
      VTVRDVRVSUDUEDUTUFUGUHUIUHVPVOVLVJQZBPVKVPVNWBBVPVMVJVLVPVHVISZCVBGVMVJSV
      EWCCVBVEVHUJUIVHVICVBUKULUMUNVEEBCDUOUPULUQVCVOURUS $.
      $( [12-May-2007] $) $( [4-Apr-2004] $)
  $}

  ${
    $d x y z w v u t h g $.  $d y z w v h g A $.  $d h ph $.
    kmlem9.1 $e |- A = { u | E. t e. x u = ( t \ U. ( x \ { t } ) ) } $.
    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4. $)
    kmlem9 $p |- A. z e. A A. w e. A ( z =/= w -> ( z i^i w ) = (/) ) $=
      ( vh cv wne cin c0 wceq wi csn cdif cuni wrex wcel wa reeanv ineq12
      eqeq1d kmlem5 syl5bir exp3a eqeq12 difeq1 sneq difeq2d unieqd eqtrd
      necon3d syl5d com12 adantl r19.23aivv sylbir visset eqeq1 rexbidv elab2
      eqeq2d cbvrexv bitr syl2anb rgen2a ) BIZCIZJZVHVIKZLMZNZBCFVHEIZAIZVNOZPZ
      QZPZMZEVORZVIHIZVOWBOZPZQZPZMZHVORZVMVHFSVIFSZWAWHTVTWGTZHVOREVORVMVTWGEH
      VOVOUAWJVMEHVOVOWBVOSZWJVMNVNVOSWJWKVMWJWKVNWBJZVLVJWJWKWLVLWJVLVSWFKZLMW
      KWLTWJVKWMLVHVSVIWFUBUCAEHUDUEUFWJVNWBVHVIWJVHVIMVSWFMVNWBMZVHVSVIWFUGWNV
      SWBVRPWFVNWBVRUHWNVRWEWBWNVQWDWNVPWCVOVNWBUIUJUKUJULZUEUMUNUOUPUQURDIZVSM
      ZEVORZWADVHFBUSWPVHMWQVTEVOWPVHVSUTVAGVBWIVIVSMZEVORZWHWRWTDVIFCUSWPVIMWQ
      WSEVOWPVIVSUTVAGVBWSWGEHVOWNVSWFVIWOVCVDVEVFVG $.
      $( [12-Oct-2007] $) $( [25-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4. $)
    kmlem10 $p |- ( A. h ( A. z e. h A. w e. h
                              ( z =/= w -> ( z i^i w ) = (/) ) ->
                         E. y A. z e. h ph ) -> E. y A. z e. A ph ) $=
      ( cv wne cin c0 wceq wi wral wex wal kmlem9 csn cdif cuni wrex cab cvv
      visset abrexex eqeltr raleq1 raleqd exbidv imbi12d cla4v mpi ) DKZEKZLUPU
      QMNOPZEIKZQZDUSQZADUSQZCRZPZISUREHQZDHQZADHQZCRZBDEFGHJTVDVFVHPIHHFKGKZBK
      ZVIUAUBUCUBZOGVJUDFUEUFJGFVJVKBUGUHUIUSHOZVAVFVCVHUTVEDUSHUREUSHUJUKVLVBV
      GCADUSHUJULUMUNUO $.
      $( [12-Oct-2007] $) $( [25-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4. $)
    kmlem11 $p |- ( z e. x -> ( z i^i U. A ) = ( z \ U. ( x \ { z } ) ) ) $=
      ( cv wcel csn cdif cuni cin ciun c0 cun wceq wss snssi ssequn1 sylib
      undif2 syl5req iuneq1 syl wral wne wa kmlem4 incom syl5eq ex eldifsn
      pm3.27bi syl5 r19.21aiv iuneq2 iun0 syl6eq uneq2d iunxun visset difeq1
      sneq difeq2d unieqd eqtrd ineq2d iunxsn uneq1i eqtr un0 indif wrex cab
      unieqi cvv difexg ax-mp dfiun2 eqtr4 ineq2i iunin2 ) BGZAGZHZDWDWCDGZWDWF
      IZJZKZJZLZMZWCWDWCIZJZKZJZWCEKZLZWEWLWCWPLZNOZWPWEWLDWMWNOZWKMZWTWEWDXAPW
      LXBPWEWMWDOZWDXAWEWMWDQXCWDPWCWDRWMWDSTWMWDUAUBDWDXAWKUCUDWEWSDWNWKMZOZWT
      XBWEXDNWSWEXDDWNNMZNWEWKNPZDWNUEXDXFPWEXGDWNWEWFWCUFZXGWFWNHZWEXHXGWEXHUG
      WJWCLNWKADBUHWCWJUIUJUKXIWFWDHXHWFWDWCULUMUNUODWNWKNUPUDDWNUQURUSXBDWMWKM
      ZXDOXEDWMWNWKUTXJWSXDDWCWKWSBVAWFWCPZWJWPWCXKWJWCWIJWPWFWCWIVBXKWIWOWCXKW
      HWNXKWGWMWDWFWCVCVDVEVDVFVGVHVIVJUJVFWTWSWPWSVKWCWOVLVJURWRWCDWDWJMZLWLWQ
      XLWCWQCGWJPDWDVMCVNZKXLEXMFVODCWDWJWFVPHWJVPHDVAWFWIVPVQVRVSVTWADWDWCWJWB
      VTUJ $.
      $( [30-Mar-2004] $) $( [26-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 3 => 4. $)
    kmlem12 $p |- ( A. z e. x ( z \ U. ( x \ { z } ) ) =/= (/) ->
                    ( A. z e. A ( z =/= (/) -> E! v v e. ( z i^i y ) ) ->
        A. z e. x ( z =/= (/) -> E! v v e. ( z i^i ( y i^i U. A ) ) ) ) ) $=
      ( cv csn cdif cuni c0 wne wral cin wcel weu wi wceq difeq1 sneq difeq2d
      unieqd eqtrd neeq1d cbvralv ineq1d eleq2d eubidv imbi12i kmlem11 in12
      incom eqtr syl5req ax-1 syl6bi r19.20i imim2i sylbi com12 wrex cab wal
      wb raleq1 ax-mp df-ral visset eqeq1 rexbidv elab imbi1i r19.23v bitr4
      albii ralcom4 cvv difexg neeq1 ineq1 imbi12d ceqsalv ralbii 3bitr2 3bitr
      r19.20 syl5 ) CIZAIZWJJZKZLZKZMNZCWKOZFIZWKWRJZKZLZKZMNZFWKOZDIZXBBIZPZQZ
      DRZFWKOZSZWJMNZXEWJXFGLZPPZQZDRZSZCWKOZXLXEWJXFPZQZDRZSZCGOZXKWQXRXKWQXEW
      OXFPZQZDRZCWKOZSWQXRSXDWQXJYGXCWPFCWKWRWJTZXBWOMYHXBWJXAKWOWRWJXAUAYHXAWN
      WJYHWTWMYHWSWLWKWRWJUBUCUDUCUEZUFUGXIYFFCWKYHXHYEDYHXGYDXEYHXBWOXFYIUHUIU
      JUGUKYGXRWQYFXQCWKWJWKQZYFXPXQYJYEXODYJYDXNXEYJWJXMPZXFPZYDXNYJYKWOXFACEF
      GHULUHXNXFYKPYLWJXFXMUMXFYKUNUOUPUIUJXPXLUQURUSUTVAVBYCXCXISZFWKOZXKYCYBC
      EIZXBTZFWKVCZEVDZOZWJYRQZYBSZCVEZYNGYRTYCYSVFHYBCGYRVGVHYBCYRVIUUBWJXBTZY
      BSZFWKOZCVEUUDCVEZFWKOYNUUAUUECUUAUUCFWKVCZYBSUUEYTUUGYBYQUUGEWJCVJYOWJTY
      PUUCFWKYOWJXBVKVLVMVNUUCYBFWKVOVPVQUUDFCWKVRUUFYMFWKYBYMCXBWRVSQXBVSQFVJW
      RXAVSVTVHUUCXLXCYAXIWJXBMWAUUCXTXHDUUCXSXGXEWJXBXFWBUIUJWCWDWEWFWGXCXIFWK
      WHVAWI $.
      $( [12-May-2007] $) $( [27-Mar-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4 1 <=> 4. $)
    kmlem13 $p |- ( A. x ( ( A. z e. x z =/= (/) /\
           A. z e. x A. w e. x ( z =/= w -> ( z i^i w ) = (/) ) ) ->
         E. y A. z e. x E! v v e. ( z i^i y ) ) <->
          A. x ( -. E. z e. x A. v e. z E. w e. x
                     ( z =/= w /\ v e. ( z i^i w ) ) ->
               E. y A. z e. x ( z =/= (/) ->
                    E! v v e. ( z i^i y ) ) ) ) $=
      ( vh vg cv c0 wne wral cin wceq wi wa wcel weu wex wal wrex wn kmlem1
      raleq1 raleqd exbidv imbi12d cbvalv kmlem10 ineq2 eleq2d eubidv imbi2d
      ralbidv cbvexv csn cdif cuni kmlem12 visset inex1 cla4ev syl6 19.23adv
      com12 kmlem3 ralinexa rexbii rexnal 3bitr ralbii ralnex bitr syl5ibr
      sylbi syl 19.21aiv kmlem7 imim1i wb biimt r19.20si r19.15 adantr pm5.74i
      sylibr 19.20i impbi ) CLZMNZCALZOZWLDLZNZWLWPPZMQRZDWNOZCWNOZSZELZWLBLZPZ
      TZEUAZCWNOZBUBZRZAUCZWQXCWRTZSDWNUDZEWLOZCWNUDUEZWMXGRZCWNOZBUBZRZAUCZXKX
      AXRRZAUCZXTWSXGABCDUFYBWSDJLZOZCYCOZXPCYCOZBUBZRZJUCZXTYAYHAJWNYCQZXAYEXR
      YGWTYDCWNYCWSDWNYCUGUHYJXQYFBXPCWNYCUGUIUJUKYIXSAYIXPCHOZBUBZXSXPABCDFGHJ
      IULYLWMXCWLKLZPZTZEUAZRZCHOZKUBZXSYKYRBKXDYMQZXPYQCHYTXGYPWMYTXFYOEYTXEYN
      XCXDYMWLUMUNUOUPUQURYSWLWNWLUSUTVAUTMNZCWNOZXRXOUUBYSXRUUBYRXRKUUBYRWMXCW
      LYMHVAZPZPZTZEUAZRZCWNOZXRAKCEFGHIVBXQUUIBUUDYMUUCKVCVDXDUUDQZXPUUHCWNUUJ
      XGUUGWMUUJXFUUFEUUJXEUUEXCXDUUDWLUMUNUOUPUQVEVFVGVHUUBXNUEZCWNOXOUUAUUKCW
      NUUAWQXLUERDWNOZEWLUDXMUEZEWLUDUUKACDEVIUULUUMEWLWQXLDWNVJVKXMEWLVLVMVNXN
      CWNVOVPVQVRVSVTVRVSXSXJAXSXBXRRXJXBXOXRACDEWAWBXBXIXRWOXIXRWCXAWOXHXQBWOX
      GXPWCZCWNOXHXQWCWMUUNCWNWMXGWDWEXGXPCWNWFVSUIWGWHWIWJWK $.
      $( [12-Oct-2007] $) $( [5-Apr-2004] $)
  $}

  ${
    $d x y z w v u $.  $d u ph $.
    kmlem14.1 $e |- ( ph <->
                ( z e. y -> ( ( v e. x /\ y =/= v ) /\ z e. v ) ) ) $.
    kmlem14.2 $e |- ( ps <-> ( z e. x -> ( ( v e. z /\ v e. y ) /\
                ( ( u e. z /\ u e. y ) -> u = v ) ) ) ) $.
    kmlem14.3 $e |- ( ch <->
                A. z e. x E! v v e. ( z i^i y ) ) $.
    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 5 <=> 4. $)
    kmlem14 $p |- ( E. z e. x A. v e. z  E. w e. x
                   ( z =/= w /\ v e. ( z i^i w ) ) <->
                 E. y A. z E. v A. u ( y e. x /\ ph ) ) $=
      ( cv wne cin wcel wa wrex wral wex wal wceq neeq1 ineq1 eleq2d anbi12d
      rexbidv raleqd cbvrexv df-rex wi eleq1 anbi2d cbvralv df-ral bitr anbi2i
      19.28v neeq2 ineq2 imbi2i 19.37v bitr4 19.42v ax-17 19.3 elin baibr
      anass syl6bb pm5.74i bitr2 exbii 3bitr2 albii 3bitr ) FMZGMZNZHMZVQVROZPZ
      QZGDMZRZHVQSZFWDREMZVRNZVTWGVROZPZQZGWDRZHWGSZEWDRWGWDPZWMQZETWNAQZIUAZHT
      ZFUAZETWFWMFEWDWEWLHVQWGVQWGUBZWCWKGWDWTVSWHWBWJVQWGVRUCWTWAWIVTVQWGVRUDU
      EUFUGUHUIWMEWDUJWOWSEWOWNVQWGPZWHVQWIPZQZGWDRZUKZFUAZQWNXEQZFUAWSWMXFWNWM
      XDFWGSXFWLXDHFWGVTVQUBZWKXCGWDXHWJXBWHVTVQWIULUMUGUNXDFWGUOUPUQWNXEFURXGW
      RFXGWNXAVTWDPZWGVTNZVQWGVTOZPZQZQZUKZHTZQWNXOQZHTWRXEXPWNXEXAXNHTZUKXPXDX
      RXAXDXMHWDRXRXCXMGHWDVRVTUBZWHXJXBXLVRVTWGUSXSWIXKVQVRVTWGUTUEUFUIXMHWDUJ
      UPVAXAXNHVBVCUQWNXOHVDXQWQHWQWPXQWPIWPIVEVFAXOWNAXAXIXJQZVQVTPZQZUKXOJXAY
      BXNXAYBXTXLQXNXAYAXLXTXLXAYAVQWGVTVGVHUMXIXJXLVIVJVKUPUQVLVMVNVOVNVMVP $.
      $( [12-Oct-2007] $) $( [4-Apr-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4, part of 5 <=> 4. $)
    kmlem15 $p |- ( ( -. y e. x /\ ch ) <->
                     A. z E. v A. u ( -. y e. x /\ ps ) ) $=
      ( cv wcel wn wa wal wex cin weu wral wceq wi wsbc ax-17 eu1 elin eleq1
      sbie bitr eqcom imbi12i albii anbi12i 19.28v bitr4 exbii ralbii df-ral
      19.21v 19.37v 3bitr anbi2i 19.42v bitr2 3bitr2 ) ELZDLZMNZCOVHBHPZGQZFPZO
      VHVJOZFPVHBOHPZGQZFPCVKVHCGLZFLZVFRZMZGSZFVGTVOVPMVOVFMOZHLZVPMWAVFMOZWAV
      OUAZUBZOZHPZGQZFVGTZVKKVSWGFVGVSVRVRGWAUCZVOWAUAZUBZHPZOZGQWGVRGHVRHUDUEW
      MWFGWMVTWDHPZOWFVRVTWLWNVOVPVFUFWKWDHWIWBWJWCWIWAVQMZWBVRWOGHWOGUDVOWAVQU
      GUHWAVPVFUFUIVOWAUJUKULUMVTWDHUNUOUPUIUQWHVPVGMZWGUBZFPVKWGFVGURVJWQFVJWP
      WFUBZGQWQVIWRGVIWPWEUBZHPWRBWSHJULWPWEHUSUIUPWPWFGUTUIULUOVAVBVHVJFUNVLVN
      FVNVHVIOZGQVLVMWTGVHBHUNUPVHVIGVCVDULVE $.
      $( [10-Apr-2004] $) $( [4-Apr-2004] $)

    $( Lemma for 5-quantifier AC of Kurt Maes, Th. 4 5 <=> 4. $)
    kmlem16 $p |- ( ( E. z e. x A. v e. z  E. w e. x
       ( z =/= w /\ v e. ( z i^i w ) ) \/ E. y ( -. y e. x /\ ch ) ) <->
       E. y A. z E. v A. u ( ( y e. x /\ ph ) \/ ( -. y e. x /\ ps ) ) ) $=
      ( cv wne cin wcel wa wrex wral wn wex wo wal kmlem14 kmlem15 exbii
      orbi12i 19.43 wb pm3.24 pm3.26 a4s 19.23aivv anim12i mto 19.33b ax-mp
      19.23aiv bitr2 albii bitr3 3bitr2 ) FMZGMZNHMVCVDOPQGDMZRHVCSFVERZEMVEPZT
      ZCQZEUAZUBVGAQZIUCZHUAZFUCZEUAZVHBQZIUCZHUAZFUCZEUAZUBVNVSUBZEUAVKVPUBIUC
      ZHUAZFUCZEUAVFVOVJVTABCDEFGHIJKLUDVIVSEABCDEFHIJKLUEUFUGVNVSEUHWAWDEWAVMV
      RUBZFUCZWDVMFUAZVRFUAZQZTWFWAUIWIVGVHQZVGUJZWGVGWHVHVLVGFHVKVGIVGAUKZULUM
      VQVHFHVPVHIVHBUKZULUMUNUOVMVRFUPUQWEWCFWCVLVQUBZHUAWEWBWNHVKIUAZVPIUAZQZT
      WBWNUIWQWJWKWOVGWPVHVKVGIWLURVPVHIWMURUNUOVKVPIUPUQUFVLVQHUHUSUTVAUFVB $.
      $( [12-Oct-2007] $) $( [4-Apr-2004] $)
  $}

  ${
    $d x y z w v u f t h $.
    $( Equivalence of the Axiom of Choice (first form) of [Enderton] p. 49 and
       Maes' AC ~ ackm .  The proof consists of lemmas ~ kmlem1 through
       ~ kmlem16 and this final theorem.  AC is not used for the proof.
       Note:  bypassing the first step (i.e. replacing ~ aceq5 with ~ pm4.2 )
       establishes the AC equivalence shown by Mae's writeup.  The
       left-hand-side AC shown here was chosen because it is shorter to
       display. $)
    aceqkm $p |- ( A. x E. f ( f (_ x /\ f Fn dom x ) <->
      A. x E. y A. z E. v A. u (
       ( y e. x /\ ( z e. y -> ( ( v e. x /\ -. y = v ) /\ z e. v ) ) ) \/
           ( -. y e. x /\ ( z e. x -> ( ( v e. z /\ v e. y ) /\
               ( ( u e. z /\ u e. y ) ->
                   u = v ) ) ) ) ) ) $=
      ( vw vt vh cv wss cdm wfn wa wex wal c0 wne wral cin wceq wi wcel weu
      wrex wn wo aceq5 csn cdif cuni cab eqid kmlem13 kmlem8 albii bitr df-ne
      bicomi anbi2i anbi1i imbi2i pm4.2 kmlem16 3bitr ) FJZAJZKVFVGLMNFOAPCJZQR
      ZCVGSVHGJZRZVHVJTZQUAUBGVGSCVGSNDJZVHBJZTUCDUDZCVGSZBOUBAPZVKVMVLUCNGVGUE
      ZDVHSCVGUEZVNVGUCZUFZVPNBOUGZAPZVTVHVNUCZVMVGUCZVNVMUAUFZNZVHVMUCZNZUBZNW
      AVHVGUCVMVHUCVMVNUCNEJZVHUCWKVNUCNWKVMUAUBNUBZNUGEPDOCPBOZAPABCGDFUHVQVSU
      FVIVOUBCVGSBOUBZAPWCABCGDHIHJIJZVGWOUIUJUKUJUAIVGUEHULZWPUMUNWNWBAVRBCDAU
      OUPUQWBWMAWJWLVPABCGDEWIWEVNVMRZNZWHNWDWGWRWHWFWQWEWQWFVNVMURUSUTVAVBWLVC
      VPVCVDUPVE $.
      $( [6-May-2004] $) $( [13-Apr-2004] $)
  $}

  ${
    $d x y z w v u f t h $.
    $( A remarkable equivalent to the Axiom of Choice that has only 5
       quantifiers (when expanded to ` e. ` , ` = ` primitives in prenex form),
       discovered and proved by Kurt Maes.  This establishes a new record,
       reducing from 6 to 5 the largest number of quantified variables needed
       by any ZFC axiom.    The ZF-equivalence to AC is shown by theorem
       ~ aceqkm .  Maes found this version of AC in April, 2004 (replacing a
       longer version, also with 5 quantifiers, that he found in November,
       2003).  See  Kurt Maes, "A 5-quantifier ( ` e. ` ,=)-expression
       ZF-equivalent to the Axiom of Choice"
       ( ~ http://arxiv.org/PS_cache/arxiv/pdf/0705/0705.3162v1.pdf ).

       The original FOM posts are:
       ~ http://www.cs.nyu.edu/pipermail/fom/2003-November/007631.html
       ~ http://www.cs.nyu.edu/pipermail/fom/2003-November/007641.html . $)
    ackm $p |- A. x E. y A. z E. v A. u (
       ( y e. x /\ ( z e. y -> ( ( v e. x /\ -. y = v ) /\ z e. v ) ) ) \/
           ( -. y e. x /\ ( z e. x -> ( ( v e. z /\ v e. y ) /\
               ( ( u e. z /\ u e. y ) ->
                   u = v ) ) ) ) ) $=
      ( vf cv wss cdm wfn wa wex wcel wceq wn wi wo wal aceqkm ac7 mpgbi ) FGZA
      GZHUBUCIJKFLBGZUCMZCGZUDMDGZUCMUDUGNOKUFUGMKPKUEOUFUCMUGUFMUGUDMKEGZUFMUH
      UDMKUHUGNPKPKQERDLCRBLARAABCDEFSAFTUA $.
      $( [6-May-2004] $) $( [29-Apr-2004] $)

$(
    @( DELETE THIS @)
    ackmxx @p |- ( A. x E. y A. z E. v A. u (
       ( y e. x /\ ( z e. y -> ( ( v e. x /\ -. y = v ) /\ z e. v ) ) ) \/
           ( -. y e. x /\ ( z e. x -> ( ( v e. z /\ v e. y ) /\
               ( ( u e. z /\ u e. y ) ->
                   u = v ) ) ) ) ) <-> ph ) @=
      ( cv wcel wceq wn wa wi wo wal wex df-ex df-or df-an imbi1i negbii bitr
      imbi2i imbi12i albii bicomi ) ACGZBGZHZDGZUFHZEGZUGHZUFUKIJZKZUIUKHZKZLZK
      ZUHJZUIUGHZUKUIHZUKUFHZKZFGZUIHZVDUFHZKZVDUKIZLZKZLZKZMZFNZEOZDNZCOZBNZAU
      HUJULUMJLJZUOJZLZJZLZJZLZJZJZUSUTVAVBJLJZVEVFJLJZVHLZJZLZJZLZJZLZJZLZFNZJ
      ZENZJZDNZJZCNZJZBNZVR?VRXGVQXFBVQVPJZCNZJXFVPCPXIXEXHXDCVPXCVOXBDVOVNJZEN
      ZJXBVNEPXKXAXJWTEVNWSVMWRFVMURJZVLLWRURVLQXLWGVLWQURWFURUHUQJZLZJWFUHUQRX
      NWEXMWDUHUQWCUPWBUJUPUNVTLZJWBUNUORXOWAUNVSVTULUMRSTUAUBTUBTUATVLUSVKJZLZ
      JWQUSVKRXQWPXPWOUSVKWNVJWMUTVJVCVIJZLZJWMVCVIRXSWLVCWHXRWKVAVBRVIWJVGWIVH
      VEVFRSTUCTUAUBTUBTUAUCUAUDTUDTUAUDTUDTUAUDUEUAUE @.
      @( [?] @) @( [2-Feb-2006] @)

    axacxx @p  |- ( E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. v A. u ( E. t
              ( ( u e. w /\ w e. t ) /\ ( u e. t /\ t e. y ) ) <-> u = v ) )
<-> ph ) @=
      ( cv wcel wa wex wceq wb wal wi wn df-ex df-an dfbi1 negbii imbi12i bitr
      albii imbi1i imbi2i bicomi ) ADIEIZJZUHBIJZKZGIZUHJZUHHIZJZKZULUNJZUNCIJZ
      KZKZHLZULFIMZNZGOZFLZPZEOZDOZCLZAUIUJQPQZUMUOQPQZUQURQPQZQZPZQZQZHOZQZVBP
      ZVBVRPZQZPZQZGOZQZFOZQZPZEOZDOZQZCOZQZVI?VIWMVIVHQZCOZQWMVHCRWOWLWNWKCVHW
      JVGWIDVFWHEUKVJVEWGUIUJSVEVDQZFOZQWGVDFRWQWFWPWEFVDWDVCWCGVCVAVBPZVBVAPZQ
      ZPZQWCVAVBTXAWBWRVSWTWAVAVRVBVAUTQZHOZQVRUTHRXCVQXBVPHUTVOUTUPUSQZPZQVOUP
      USSXEVNUPVKXDVMUMUOSUSVLUQURSUAUBUAUCUAUDUAUCZUEWSVTVAVRVBXFUFUAUBUAUCUDU
      AUDUAUCUBUDUDUAUDUAUCUGUCUG @.
      @( [?] @) @( [2-Feb-2006] @)

Maes expanded to primitives -  94 symbols
A.  4
e. 10
-> 11
-. 17
(  11
)  11
=   2
var occ 28
vars 5

-. A. y -. A. z -. A. v -. A. u ( ( y e. x -> -. ( z e. y -> -. ( -. ( v
e. x -> y = v ) -> -. z e. v ) ) ) -> -. ( -. y e. x -> -. ( z e. x ->
-. ( -. ( v e. z -> -. v e. y ) -> -. ( -. ( u e. z -> -. u e. y ) -> u
= v ) ) ) ) )

ax-ac expanded to primitives - 99 symbols

A.  7
e. 10
-> 11
-. 16
(  11
)  11
=   2
var occ 31
vars 7

-. A. y -. A. z A. w ( -. ( z e. w -> -. w e. x ) -> -. A. v -. A. u -.
( ( -. A. t ( -. ( u e. w -> -. w e. t ) -> ( u e. t -> -. t e. y ) ) ->
u = v ) -> -. ( u = v -> -. A. t ( -. ( u e. w -> -. w e. t ) -> ( u e.
t -> -. t e. y ) ) ) ) )
$)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
       AC equivalents:  well ordering, Zorn's lemma
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)
  ${
    $d x y z f g A $.  $d x y f B $.  $d x y f F $.  $d x y f G $.
    numthlem.1 $e |- A e. V $.
    $( Hypotheses for transfinite recursion. $)
    numthlem.2 $e |- B = { f | E. x e. On ( f Fn x /\
                A. y e. x ( f ` y ) = ( G ` ( f |` y ) ) ) } $.
    numthlem.3 $e |- F = U. B $.
    $( Generator function.  ` g ` is a choice function on ` P~ A ` . $)
    numthlem.4 $e |- G = { <. f , y >. | y = ( g ` ( A \ ran f ) ) } $.
    $( Lemma for ~ numth . $)
    numthlem $p |- E. x e. On E. f f : x -1-1-onto-> A $=
      ( cv c0 wne cfv wcel wi cpw wral wex wf1o con0 wrex pwex ac4c cima cdif
      cres wa tfr2 crn wceq copab wfun cvv tfrlem7 visset resfunexg mp2an fvex
      rneq difeq2 fveq2 3syl fvopab fveq1i df-ima difeq2i fveq2i 3eqtr4 syl6eq
      eleq1d wss difss ssexi elpw mpbir neeq1 id eleq12d imbi12d rcla4v ax-mp
      imp syl5bir exp3a com12 r19.21aiv tfr1 tz7.49c f1oeq1 cla4ev r19.22si
      19.23aiv ) BMZNOZWPFMZPZWPQZRZBCSZTZFUAAMZCEMZUBZEUAZAUCUDZBXBFCIUEUFXCXH
      FXCCGXDUGZUHZNOZXDGPZXJQZRZAUCTXDCGXDUIZUBZAUCUDXHXCXNAUCXDUCQZXCXNXQXCXK
      XMXQXMXJWRPZXJQZXCXKUJXQXLXRXJXQXLXOHPZXRABADEGHJKUKXOWPCXEULZUHZWRPZUMEB
      UNZPCXOULZUHZWRPZXTXREBXOYCYGGUOXDUPQXOUPQABDEGHJKUQAURGXDUPUSUTZYFWRVAXE
      XOUMYAYEUMYBYFUMYCYGUMXEXOVBYAYECVCYBYFWRVDVEVFXOHYDLVGXJYFWRXIYECGXDVHVI
      VJVKVLVMXCXKXSXJXBQZXCXKXSRZRYIXJCVNCXIVOZXJCXJCIYKVPVQVRXAYJBXJXBWPXJUMZ
      WQXKWTXSWPXJNVSYLWSXRWPXJWPXJWRVDYLVTWAWBWCWDWEWFWGWHWIACGABDEGHJKWJIWKXP
      XGAUCXFXPEXOYHXDCXEXOWLWMWNVEWOWD $.
      $( [10-Feb-1997] $)
  $}

  ${
    $d x y z w v u f g h A $.
    numth.1 $e |- A e. V $.
    $( Numeration theorem:  every set can be put into one-to-one correspondence
       with some ordinal (using AC).  Theorem 10.3 of [TakeutiZaring] p. 84. $)
    numth $p |- E. x e. On E. f f : x -1-1-onto-> A $=
      ( vy vg vz vw vu vv vh cv wfn cfv cres crn cdif wceq copab wral wa con0
      wrex cab cuni rdglem1 eqid id rneq difeq2 fveq2 3syl eqeqan12rd cbvopabv
      numthlem ) AEBFLZGLZMHLZUPNUPUROILZBJLZPZQZKLZNZRZJISZNRHUQTUAGUBUCFUDZCK
      VGUEZVFDGHAEFCVFUFVHUGVEELZBCLZPZQZVCNZRJICEUSVIRZUTVJRZUSVIVDVMVNUHVOVAV
      KRVBVLRVDVMRUTVJUIVAVKBUJVBVLVCUKULUMUNUO $.
      $( [10-Feb-1997] $)
  $}

  ${
    $d x y z A $.
    $( Numeration theorem:  any set is equinumerous to some ordinal (using AC).
       Theorem 10.3  of [TakeutiZaring] p. 84. $)
    numth2 $p |- E. x e. On x ~~ A $=
      ( vy vz cvv wcel cv cen wbr con0 wrex wceq breq2 rexbidv wf1o wex visset
      numth bren rexbii mpbir vtoclg wn c0 0elon enrefg ax-mp brprc mpbiri
      breq1 rcla4ev mpan syl pm2.61i ) BEFZAGZBHIZAJKZUPCGZHIZAJKZURCBEUSBLUTUQ
      AJUSBUPHMNVAUPUSDGODPZAJKAUSDCQZRUTVBAJUPUSDVCSTUAUBUOUCZUDBHIZURVDVEUDUD
      HIZUDJFZVFUEUDJUFUGUDBHUHUIVGVEURUEUQVEAUDJUPUDBHUJUKULUMUN $.
      $( [20-Oct-2003] $) $( [20-Oct-2003] $)
  $}

  ${
    $d x y A $.
    $( Any set is strictly dominated by some ordinal. $)
    numthcor $p |- ( A e. B -> E. x e. On A ~< x ) $=
      ( vy cv csdm wbr con0 wrex wceq breq1 rexbidv cpw cen numth2 visset pwex
      ensym canth2 cvv wcel wa wi sdomentr ax-mp mpan syl r19.22si vtoclg ) DEZ
      AEZFGZAHIZBUKFGZAHIDBCUJBJULUNAHUJBUKFKLUKUJMZNGZAHIUMAUOOUPULAHUPUOUKNGZ
      ULUKUOUJDPZQRUJUOFGZUQULUJURSUKTUAUSUQUBULUCAPUJUOUKTUDUEUFUGUHUEUI $.
      $( [11-Nov-2003] $) $( [22-Oct-2003] $)
  $}

  ${
    $d x y z w f A $.
    weth.1 $e |- A e. V $.
    $( Well-ordering theorem: any set ` A ` can be well-ordered.  This is an
       equivalent of the Axiom of Choice.  Theorem 6 of [Suppes] p. 242.  First
       proved by Ernst Zermelo (the "Z" in ZFC) in 1904. $)
    weth $p |- E. x x We A $=
      ( vy vf vz vw cv wf1o wex con0 wrex wwe numth wcel wi ccnv f1ocnv cep
      cfv wbr copab eqid f1owe cxp cin weinxp xpex inex2 weeq1 cla4ev sylbi
      syl6 word eloni ordwe syl syl5 19.23aiv com12 r19.23aiv ax-mp ) DHZBEHZIZ
      EJZDKLBAHZMZAJZDBECNVFVIDKVFVCKOZVIVEVJVIPZEVEBVCVDQZIZVKVCBVDRVMVCSMZVIV
      JVMVNBFHVLTGHVLTSUAFGUBZMZVIFGBVCVOSVLVOUCUDVPBVOBBUEZUFZMZVIBVOUGVHVSAVR
      VQVOBBCCUHUIBVGVRUJUKULUMVJVCUNVNVCUOVCUPUQURUQUSUTVAVB $.
      $( [9-Mar-1997] $)
  $}

  ${
    $d x y w h t z f g u v r s a b A $.  $d h t f B $.
    $d x y z v u f g h t r s a b F $.
    $d h t f G $.
    $d t C $.  $d y u v f t a b D $.  $d x y z w g u v f t s r a b R $.
    $d x y u v w f t s r a b $.
    zorn2lem.1 $e |- A e. V $.
    $( Hypotheses for transfinite recursion. $)
    zorn2lem.2 $e |- B = { f | E. h e. On ( f Fn h /\
                A. t e. h ( f ` t ) = ( G ` ( f |` t ) ) ) } $.
    zorn2lem.3 $e |- F = U. B $.
    $( Auxiliary sets. $)
    zorn2lem.4 $e |- C = { z e. A | A. g e. ran f g R z } $.
    zorn2lem.5 $e |- D = { z e. A | A. g e. ( F " x ) g R z } $.
    $( Generator function.  ` w ` is a well-ordering on ` A ` . $)
    zorn2lem.6 $e |- G =
                { <. f , t >. | t = U. { v e. C | A. u e. C -. u w v } } $.
    $( Lemma for ~ zorn2 . $)
    zorn2lem1 $p |- ( ( x e. On /\ ( w We A /\ D =/= (/) ) ) ->
                   ( F ` x ) e. D ) $=
      ( cv con0 wcel wwe c0 wne wa cfv wbr wn wral crab cuni cres tfr2 wceq
      copab fveq1i wfun cvv tfrlem7 visset resfunexg mp2an cima ssrab2 eqsstr
      ssexi rabex uniex cab crn rneq df-ima syl6eqr eleq2d imbi1d ralbidv2
      rabbisdv 3eqtr4g anbi12d abbidv df-rab unieqd fvopab eqtr syl6eq eleq1d
      wss wereucl mp3an2 syl5bir imp ) AUCZUDUEZGCUCZUFZJUGUHZUIZWPOUJZJUEZWQXC
      EUCZDUCZWRUKULZEJUMZDJUNZUOZJUEZXAWQXBXIJWQXBOWPUPZPUJZXINFAHLOPRSUQXLXKF
      UCXFEIUMZDIUNZUOZURLFUSZUJXIXKPXPUBUTLFXKXOXIOVAWPVBUEXKVBUENFHLOPRSVCAVD
      OWPVBVEVFXHXGDJJGQJMUCZBUCKUKZMOWPVGZUMZBGUNZGUAXTBGVHVIZVJZVKVLLUCZXKURZ
      XNXHYEXEIUEZXMUIZDVMXEJUEZXGUIZDVMXNXHYEYGYIDYEYFYHXMXGYEIJXEYEXRMYDVNZUM
      ZBGUNYAIJYEYKXTBGYEXRXRMYJXSYEXQYJUEXQXSUEXRYEYJXSXQYEYJXKVNXSYDXKVOOWPVP
      VQVRVSVTWATUAWBZVRYEXFXFEIJYEXDIUEXDJUEXFYEIJXDYLVRVSVTWCWDXMDIWEXGDJWEWB
      WFWGWHWIWJWSJGWKWTXJYBDEGJWRYCWLWMWNWO $.
      $( [3-Apr-1997] $)

    $( Lemma for ~ zorn2 . $)
    zorn2lem2 $p |- ( ( x e. On /\ ( w We A /\ D =/= (/) ) ) ->
                   ( y e. x -> ( F ` y ) R ( F ` x ) ) ) $=
      ( cv con0 wcel wwe c0 wne wa cfv cima wbr wi cdm wss onsst wfn wceq tfr1
      fndm ax-mp syl6ssr wfun tfrlem7 funfvima2 mpan syl adantr wral zorn2lem1
      breq2 ralbidv elrab2 pm3.27bi breq1 rcla4cv 3syl syld ) AUDZUEUFZHDUDUGKU
      HUIUJZUJZBUDZVTUFZWDPUKZPVTULZUFZWFVTPUKZLUMZWAWEWHUNZWBWAVTPUOZUPZWKWAVT
      UEWLVTUQPUEURWLUEUSOGIMPQSTUTUEPVAVBVCPVDWMWKOGIMPQSTVEVTWDPVFVGVHVIWCWIK
      UFZNUDZWILUMZNWGVJZWHWJUNACDEFGHIJKLMNOPQRSTUAUBUCVKWNWIHUFWQWOCUDZLUMZNW
      GVJWQCWIHKWRWIUSWSWPNWGWRWIWOLVLVMUBVNVOWPWJNWFWGWOWFWILVPVQVRVS $.
      $( [3-Apr-1997] $)

    $( Lemma for ~ zorn2 . $)
    zorn2lem3 $p |- ( ( R Po A /\ ( x e. On /\ ( w We A /\ D =/= (/) ) ) ) ->
                   ( y e. x -> -. ( F ` x ) = ( F ` y ) ) ) $=
      ( wpo cv con0 wcel wwe c0 wne wa cfv wbr wceq wn wi zorn2lem2 adantl
      breq1 biimprcd poirr nsyli com12 zorn2lem1 cima wral crab ssrab2 eqsstr
      sseli syl sylan2 syld ) HLUDZAUEZUFUGHDUEUHKUIUJUKUKZUKBUEZVOUGZVQPULZVOP
      ULZLUMZVTVSUNZUOZVPVRWAUPVNABCDEFGHIJKLMNOPQRSTUAUBUCUQURVNVTHUGZWAWCUPVP
      WAVNWDUKZWCWAWBVTVTLUMZWEWBWFWAVTVSVTLUSUTHVTLVAVBVCVPVTKUGWDACDEFGHIJKLM
      NOPQRSTUAUBUCVDKHVTKNUECUELUMNPVOVEVFZCHVGHUBWGCHVHVIVJVKVLVM $.
      $( [3-Apr-1997] $)

    $( Lemma for ~ zorn2 . $)
    zorn2lem4 $p |- ( ( R Po A /\ w We A ) -> E. x e. On D = (/) ) $=
      ( vy wpo cv wwe wa c0 wceq con0 wrex crn cvv wcel wn pm3.24 wne wi wal
      wss cfv ax-17 hba1 hban eleq1 zorn2lem1 wbr cima wral crab ssrab2 eqsstr
      sseli syl syl5cbi exp32 com12 a2d a4sd imp r19.23ad wfn wb tfr1 fvelrnb
      ax-mp syl5ib ssrdv ssex ex adantl ccnv wfun zorn2lem3 exp45 com23 imp4a
      19.21adv 19.20dv r2al syl6ibr cres ssid tz7.48lem mpan wrel cdm tfrlem6
      fndm eqimssi relssres mp2an cnveq funeq sylib syl6 onprc funrnex df-rn
      eleq1i dfdm4 eqtr3 3imtr4g mtoi jcad df-ne ralbii df-ral ralnex 3bitr3
      syl5ibr mt3i ) GKUDZGCUEUFZUGZJUHUIZAUJUKZOULZUMUNZYSUOZUGZYSUPYOAUEZUJUN
      ZJUHUQZURZAUSZUUAYQUOZYOUUFYSYTYNUUFYSURYMYNUUFYSYNUUFUGZYRGUTYSUUHUCYRGU
      UHUUBOVAZUCUEZUIZAUJUKZUUJGUNZUUJYRUNZUUHUUKUUMAUJYNUUFAYNAVBUUEAVCVDUUMA
      VBYNUUFUUCUUKUUMURZURZYNUUEUUPAYNUUCUUDUUOUUCYNUUDUUOURUUCYNUUDUUOUUKUUIG
      UNZUUMUUCYNUUDUGUGZUUIUUJGVEUURUUIJUNUUQABCDEFGHIJKLMNOPQRSTUAUBVFJGUUIJM
      UEBUEKVGMOUUBVHVIZBGVJGUAUUSBGVKVLVMVNVOVPVQVRVSVTWAOUJWBZUUNUULWCNFHLOPR
      SWDZAUJUUJOWEWFWGWHYRGQWIVNWJWKYOUUFOWLZWMZYTYOUUFUUIUUJOVAUIUOZUCUUBVIAU
      JVIZUVCYOUUFUUCUUJUUBUNZUGUVDURZUCUSZAUSUVEYOUUEUVHAYOUUEUVGUCYOUUEUUCUVF
      UVDYOUUCUUDUVFUVDURZYMYNUUCUUDUVIURZURYMUUCYNUVJYMUUCYNUUDUVIAUCBCDEFGHIJ
      KLMNOPQRSTUAUBWNWOWPVTVRWQWRWSUVDAUCUJUUBWTXAUVEOUJXBZWLZWMZUVCUJUJUTUVEU
      VMUJXCAUCUJOUVAXDXEUVLUVBUIZUVMUVCWCUVKOUIZUVNOXFOXGZUJUTUVONFHLOPRSXHUVP
      UJUUTUVPUJUIUVAUJOXIWFZXJOUJXKXLUVKOXMWFUVLUVBXNWFXOXPUVCYSUJUMUNZXQUVCUV
      BXGZUMUNZUVBULZUMUNZYSUVRUVTUVCUWBUMUVBXRVQYRUVSUMOXSXTUJUWAUMUVPUJUWAUVQ
      OYAYBXTYCYDXPYEUUDAUJVIYPUOZAUJVIUUFUUGUUDUWCAUJJUHYFYGUUDAUJYHYPAUJYIYJY
      KYL $.
      $( [3-Apr-1997] $)

    ${
      $d x u v f t s r a b H $.
      $( Auxiliary set.  ` H ` is ` D ` with ` x ` substituted for ` y ` . $)
      zorn2lem.7 $e |- H = { z e. A | A. g e. ( F " y ) g R z } $.
      $( Lemma for ~ zorn2 . $)
      zorn2lem5 $p |- ( ( ( w We A /\ x e. On ) /\ A. y e. x H =/= (/) ) ->
            ( F " x ) (_ A ) $=
        ( vs cv wwe con0 wcel wa c0 wne wral cima cfv wceq wrex ax-17 hbra1
        hban wi wal eleq1 zorn2lem1 wbr crab ssrab2 eqsstr sseli syl syl5bi
        onelon sylani com12 exp43 com3r imp a2d a4sd df-ral syl5ib r19.23ad
        wfun tfrlem7 fvelima mpan syl5 ssrdv ) HDUGUHZAUGZUIUJZUKZRULUMZBWKUNZU
        KZUFPWKUOZHWPBUGZPUPZUFUGZUQZBWKURZWTHUJZWTWQUJZWPXAXCBWKWMWOBWMBUSWNBW
        KUTVAXCBUSWMWOWRWKUJZXAXCVBZVBZWMXEWNVBZBVCXGWOWMXHXGBWMXEWNXFWJWLXEWNX
        FVBZVBWLXEWJXIWLXEWJWNXFXAWLXEUKZWJWNUKZUKXCXAWRUIUJZXKXCXJXAWSHUJZXCXL
        XKUKZWSWTHVDXNWSRUJXMBCDEFGHIJRLMNOPQSTUAUBUEUDVERHWSRNUGCUGLVFNPWRUOUN
        ZCHVGHUEXOCHVHVIVJVKVLWKWRVMVNVOVPVQVRVSVTWNBWKWAWBVRWCPWDXDXBOGIMPQTUA
        WEBWTWKPWFWGWHWI $.
        $( [4-Apr-1997] $)

      $( Lemma for ~ zorn2 . $)
      zorn2lem6 $p |- ( R Po A ->
   ( ( ( w We A /\ x e. On ) /\ A. y e. x H =/= (/) ) -> R Or ( F " x ) ) ) $=
        ( vs vr vb va wpo cv wwe con0 wcel wa c0 wne wral cima wbr wceq w3o
        wor wss wi zorn2lem5 poss syl com12 wal cfv wex crab onelon anim12i
        anandis ex eqid zorn2lem2 adantll breq12 biimpcd syl6 com23 adantrrl
        imp eqeq12 fveq2 syl5bi adantl adantlr wb ancoms adantrrr 3orim123d
        word ordtri3or eloni syl2an syl5 exp31 com4r pm2.43i exp4a com3r a2d
        neeq1i ralbii imaeq2 raleq1d rabbisdv neeq1d rcla4cv anim12d sylbi
        imp4b 19.23advv wfun wfn tfr1 fnfun ax-mp wrex fvelima df-rex sylib
        an4 2exbii eeanv bitr sylibr 19.21aivv r2al a1i jcad df-so syl6ibr ) HL
        UJZHDUKULZAUKZUMUNZUOZRUPUQZBYTURZUOZPYTUSZLUJZUFUKZUGUKZLUTZUUHUUIVAZU
        UIUUHLUTZVBZUGUUFURUFUUFURZUOUUFLVCYRUUEUUGUUNUUEYRUUGUUEUUFHVDYRUUGVEA
        BCDEFGHIJKLMNOPQRSTUAUBUCUDUEVFUUFHLVGVHVIUUEUUNVEYRUUEUUHUUFUNZUUIUUFU
        NZUOZUUMVEZUGVJUFVJUUNUUEUURUFUGUUEUHUKZYTUNZUIUKZYTUNZUOZUUSPVKZUUHVAZ
        UVAPVKZUUIVAZUOZUOZUIVLUHVLZUUMUUQUUEUVIUUMUHUIUUBUUDUVCUVHUUMUUBUVCNUK
        CUKLUTZNPUUSUSZURZCHVMZUPUQZUVKNPUVAUSZURZCHVMZUPUQZUOZVEZUVCUVHUUMVEZV
        EUUDUUBUVCUVTUWBYSUUAUVCUVTUWBVEZVEUUAUVCYSUWCUUAUVCYSUVTUWBUUAUVCUUSUM
        UNZUVAUMUNZUOZYSUVTUOZUWBVEZUUAUVCUWFUUAUUTUVBUWFUUAUUTUOUWDUUAUVBUOUWE
        YTUUSVNYTUVAVNVOVPVQUWFUWHUWFUWGUVHUWFUUMUWFUWGUVHUWFUUMVEUWFUWGUOZUVHU
        OZUUSUVAUNZUUSUVAVAZUVAUUSUNZVBZUUMUWFUWJUWKUUJUWLUUKUWMUULUWIUVHUWKUUJ
        VEZUWFYSUVSUVHUWOVEUVOUWFYSUVSUOZUOZUWKUVHUUJUWQUWKUVDUVFLUTZUVHUUJVEUW
        EUWPUWKUWRVEUWDUIUHCDEFGHIJUVRLMNOPQSTUAUBUVRVRUDVSVTUVHUWRUUJUVDUUHUVF
        UUILWAWBWCWDWEWFUVHUWLUUKVEUWIUVHUVDUVFVAUUKUWLUVDUUHUVFUUIWGUUSUVAPWHW
        IWJUWIUVHUWMUULVEZUWFYSUVOUVHUWSVEUVSUWFYSUVOUOZUOZUWMUVHUULUXAUWMUVFUV
        DLUTZUVHUULVEUWDUWTUWMUXBVEUWEUHUICDEFGHIJUVNLMNOPQSTUAUBUVNVRUDVSWKUVH
        UXBUULUVGUVEUXBUULWLUVFUUIUVDUUHLWAWMWBWCWDWNWFWOUUSWPUVAWPUWNUWDUWEUUS
        UVAWQUUSWRUVAWRWSWTXAXBXCWCXDXEWFXFUUDUVKNPBUKZUSZURZCHVMZUPUQZBYTURZUW
        AUUCUXGBYTRUXFUPUEXGXHUXHUUTUVOUVBUVSUXGUVOBUUSYTUXCUUSVAZUXFUVNUPUXIUX
        EUVMCHUXIUVKNUXDUVLUXCUUSPXIXJXKXLXMUXGUVSBUVAYTUXCUVAVAZUXFUVRUPUXJUXE
        UVQCHUXJUVKNUXDUVPUXCUVAPXIXJXKXLXMXNXOWTXPXQUUQUUTUVEUOZUHVLZUVBUVGUOZ
        UIVLZUOZUVJPXRZUUQUXOVEPUMXSUXPOGIMPQTUAXTUMPYAYBUXPUUOUXLUUPUXNUXPUUOU
        XLUXPUUOUOUVEUHYTYCUXLUHUUHYTPYDUVEUHYTYEYFVQUXPUUPUXNUXPUUPUOUVGUIYTYC
        UXNUIUUIYTPYDUVGUIYTYEYFVQXNYBUVJUXKUXMUOZUIVLUHVLUXOUVIUXQUHUIUUTUVBUV
        EUVGYGYHUXKUXMUHUIYIYJYKWTYLUUMUFUGUUFUUFYMYKYNYOUFUGUUFLYPYQ $.
        $( [4-Apr-1997] $)

      $( Lemma for ~ zorn2 . $)
      zorn2lem7 $p |- ( ( R Po A /\
      A. s ( ( s (_ A /\ R Or s ) -> E. a e. A A. r e. s ( r R a \/ r = a ) ) )
                  -> E. a e. A A. b e. A -. a R b ) $=
        ( wpo cv wss wor wa wbr wceq wo wral wrex wi wal wwe wex wn weth c0
        con0 wne zorn2lem4 cima crab imaeq2 raleq1d rabbisdv 3eqtr4g eqeq1d
        onminex df-ne ralbii anbi2i rexbii sylibr wcel zorn2lem5 a1i zorn2lem6
        jcad wfun cvv tfrlem7 visset funimaex ax-mp sseq1 soeq2 anbi12d raleq1
        rexbidv imbi12d cla4v sylan9 adantld imp noel sseld w3a potr 3anass
        sylan2br exp3a com23 breq1 biimprcd adantl jaod exp42 sylan9r com24
        imp31 a2d 19.20dv df-ral 3imtr4g wb eqeq1i eleq2 sylbi breq2 ralbidv
        elrab syl5bbr biimpd cbvralv syl5ib exp32 com34 mtoi exp4a ex com4r
        pm2.43a imp3a com4l 19.21adv syl6ibr imdistand 19.22dv df-rex com12
        adantr imp32 mpd exp45 imp4a com3l r19.23aiv 3syl adantlr pm2.43i
        19.23adv mpi ) HLUJZSUKZHULZUVCLUMZUNZTUKZUAUKZLUOZUVGUVHUPZUQZTUVCURZU
        AHUSZUTZSVAZUNZHDUKVBZDVCUVHUBUKZLUOZVDZUBHURZUAHUSZDHUCVEUVPUVQUWBDUVP
        UVQUWBUVPUVQUNZUWBUVBUVQUWCUWBUTZUVOUVBUVQUNKVFUPZAVGUSZUWERVFVHZBAUKZU
        RZUNZAVGUSZUWDACDEFGHIJKLMNOPQUCUDUEUFUGUHVIUWFUWERVFUPZVDZBUWHURZUNZAV
        GUSUWKUWEUWLABUWHBUKZUPZKRVFUWQNUKZCUKZLUOZNPUWHVJZURZCHVKZUWTNPUWPVJZU
        RZCHVKKRUWQUXBUXECHUWQUWTNUXAUXDUWHUWPPVLVMVNUGUIVOVPVQUWJUWOAVGUWIUWNU
        WEUWGUWMBUWHRVFVRVSVTWAWBUWJUWDAVGUWCUWHVGWCZUWJUWBUWCUXFUWEUWIUWBUVPUV
        QUXFUWEUWIUWBUTZUTZUTUVPUVQUXFUXHUVPUWEUVQUXFUNZUXGUVPUWEUXIUWIUWBUVPUW
        EUXIUWIUNZUNZUNUVKTUXAURZUAHUSZUWBUVPUXKUXMUVPUXJUXMUWEUVBUXJUXAHULZUXA
        LUMZUNZUVOUXMUVBUXJUXNUXOUXJUXNUTUVBABCDEFGHIJKLMNOPQRUCUDUEUFUGUHUIWDZ
        WEABCDEFGHIJKLMNOPQRUCUDUEUFUGUHUIWFWGUVNUXPUXMUTSUXAPWHUXAWIWCOGIMPQUD
        UEWJPUWHAWKWLWMUVCUXAUPZUVFUXPUVMUXMUXRUVDUXNUVEUXOUVCUXAHWNUVCUXALWOWP
        UXRUVLUXLUAHUVKTUVCUXAWQWRWSWTXAXBXCUVPUWEUXJUXMUWBUTZUVBUWEUXJUXSUTZUT
        UVOUWEUVBUXTUWEUVBUXJUXSUWEUVBUXJUNZUNZUVHHWCZUXLUNZUAVCUYCUWAUNZUAVCUX
        MUWBUYBUYDUYEUAUYBUYCUXLUWAUYBUYCUXLUWAUYBUYDUVRHWCZUVTUTZUBVAUWAUYBUYD
        UYGUBUYBUYCUXLUYGUYFUYBUYCUXLUVTUYFUWEUYAUYCUXLUVTUTZUTZUWEUYFUYAUYIUTU
        WEUYFUYAUYFUYIUWEUYFUYAUYFUYIUTUTUWEUYFUNZUYAUYCUYFUYHUYJUYAUYCUYFUYHUY
        JUYAUYCUYFUNZUXLUVTUYJUYAUYKUNZUNUXLUNUVSUVRVFWCZUVRXDUYJUYLUXLUVSUYMUT
        UYJUYLUVSUXLUYMUYJUYLUVSUXLUYMUTUYLUVSUNZUXLUVGUVRLUOZTUXAURZUYJUYMUYNU
        VGUXAWCZUVKUTZTVAUYQUYOUTZTVAUXLUYPUYNUYRUYSTUYNUYQUVKUYOUYAUYKUVSUYQUV
        KUYOUTZUTZUYAUVSUYKVUAUYAUYQUYKUVSUYTUXJUYQUVGHWCZUVBUYKUVSUYTUTUTUXJUX
        AHUVGUXQXEUVBVUBUYKUVSUYTUVBVUBUYKUNZUNZUVSUNUVIUYOUVJVUDUVSUVIUYOUTVUD
        UVIUVSUYOVUDUVIUVSUYOUVBVUBUYCUYFXFUVIUVSUNUYOUTVUCHUVGUVHUVRLXGVUBUYCU
        YFXHXIXJXKXCUVSUVJUYOUTVUDUVJUYOUVSUVGUVHUVRLXLXMXNXOXPXQXRXKXSXTYAUVKT
        UXAYBUYOTUXAYBYCUYJUWRUVRLUOZNUXAURZUYMUYPUWEUYFVUFUYMUTUWEUYFVUFUYMUWE
        UYFVUFUNZUYMUWEUVRUXCWCZUYMVUGUWEUXCVFUPVUHUYMYDKUXCVFUGYEUXCVFUVRYFYGU
        XBVUFCUVRHUWSUVRUPUWTVUENUXAUWSUVRUWRLYHYIYJYKYLXJXCUYOVUETNUXAUVGUWRUV
        RLXLYMYNXQYOYPXSYQXPYRYPYSYTUUAUUBUUCUUBUUDUVTUBHYBUUEXJUUFUUGUXLUAHUUH
        UWAUAHUUHYCYOUUIUUJUUKUULUUMXKXJXCUUNUUOUUPUUQUURUUSYSUUTUVA $.
        $( [6-Apr-1997] $)
    $}

  $}

  ${
    $d x y z $.  $d x y w $.
    $( Lemma for ~ zorn . $)
    zornlem $p |- ( z { <. x , y >. | x (. y } w <-> z (. w ) $=
      ( cv wpss copab visset psseq1 psseq2 eqid brab ) AEZBEZFZCEZNFPDEZFABPQOA
      BGZCHDHMPNINQPJRKL $.
      $( [16-Aug-2004] $) $( [13-Aug-2004] $)
  $}

  ${
    $d x y z w v u f g h t s r q a b c d j k m n R $.
    $d x y z w v u f g h t s r q a b c d j k m n A $.
    zorn2.1 $e |- A e. V $.
    $( Zorn's Lemma of [Monk1] p. 117.  This theorem is equivalent to the
       Axiom of Choice and states that every partially ordered set ` A ` (with
       an ordering relation ` R ` ) in which every totally ordered subset has
       an upper bound, contains at least one maximal element.  The main proof
       consists of lemmas ~ zorn2lem1 through ~ zorn2lem7 ; this final piece
       mainly changes bound variables to eliminate the hypotheses of
       ~ zorn2lem7 . $)
    zorn2 $p |- ( ( R Po A /\
      A. w ( ( w (_ A /\ R Or w ) -> E. x e. A A. z e. w ( z R x \/ z = x ) ) )
                  -> E. x e. A A. y e. A -. x R y ) $=
      ( vt vu vr vq vn vj vg va vb vc vk vm vv vh vd vs vf cv wfn cfv cres wbr
      wn crn wral crab cuni wceq copab wa con0 wrex cab cima rdglem1 eqid
      breq2 ralbidv breq1 cbvralv syl5bb cbvrabv id wcel rneq raleq1d rabbisdv
      eleq2d wb raleq1 negbid syl anbi12d abbidv eleq1 cbvabv syl5eq df-rab
      3eqtr4g unieqd eqeqan12rd cbvopabv zorn2lem7 ) HIJKLMNEOUEZPUEZUFQUEZWKUG
      WKWMUHRUEZWNSUEZKUEZUIZUJZRWPTUEZFUIZKUAUEZUKZULZTEUMZULZSXDUMZUNZUOZUARU
      PZUGUOQWLULUQPURUSOUTZWTKUBUEZUKZULZTEUMZUCUEZJUEZFUIZUCXJUNZHUEVAULJEUMZ
      FUBUCUDXRXIXQUCXRIUEVAULJEUMZDCABGPQUDNOUBXIVBXRVCXMXQUCXLULZTJEWSXPUOZXO
      WSFUIZUCXLULYAXMYBYCXQUCXLWSXPXOFVDVEWTYCKUCXLWPXOWSFVFVGVHVIXSVCXHNUEZMU
      EZLUEZWPUIZUJZMXNULZLXNUMZUNZUOUARUBNWNYDUOZXAXKUOZWNYDXGYKYLVJYMXFYJYMWO
      XDVKZXEUQZSUTZYFXNVKZYIUQZLUTZXFYJYMYFXDVKZWNYFWPUIZUJZRXDULZUQZLUTYSYPYM
      UUDYRLYMYTYQUUCYIYMXDXNYFYMXCXMTEYMWTKXBXLXAXKVLVMVNZVOYMXDXNUOZUUCYIVPUU
      EUUFYHMXDULYIUUCYHMXDXNVQUUBYHRMXDWNYEUOUUAYGWNYEYFWPVFVRVGVHVSVTWAYOUUDS
      LWOYFUOZYNYTXEUUCWOYFXDWBUUGWRUUBRXDUUGWQUUAWOYFWNWPVDVRVEVTWCWDXESXDWEYI
      LXNWEWFWGWHWIXTVCWJ $.
      $( [6-Apr-1997] $)

    $( Zorn's Lemma.  If the union of every chain (with respect to inclusion)
       in a set belongs to the set, then the set contains a maximal element.
       This theorem is equivalent to the Axiom of Choice.  Theorem 6M of
       [Enderton] p. 151.  See ~ zorn2 for a version with general partial
       orderings. $)
    zorn $p |- ( A. z ( ( z (_ A /\
                  A. x e. z A. y e. z ( x (_ y \/ y (_ x ) ) -> U. z e. A ) ->
                E. x e. A A. y e. A -. x (. y ) $=
      ( vw vv vu cv wss wo wral wa cuni wcel wi wal wpss copab wbr wn wrex wor
      wceq w3o wpo df-so pm3.27bi zornlem pm4.2 3orbi123i sspsstri bitr4
      2ralbii sylib anim2i risset eqimss2 unissb orbi1i sspss ralbii sylibr
      r19.22si sylbi imim12i 19.20i w3a pssirr mtbir psstr syl2anb pm3.2i a1i
      rgen3 df-po mpbir zorn2 mpan syl negbii rexbii ) CIZDJZAIZBIZJWFWEJKZBWCL
      AWCLZMZWCNZDOZPZCQZWEWFFIGIRFGSZTZUAZBDLZADUBZWEWFRZUAZBDLZADUBWMWDWCWNUC
      ZMZHIZWEWNTZXDWEUDZKZHWCLZADUBZPZCQZWRWLXJCXCWIWKXIXBWHWDXBWOWEWFUDZWFWEW
      NTZUEZBWCLAWCLZWHXBWCWNUFXOABWCWNUGUHXNWGABWCWCXNWSXLWFWERZUEWGWOWSXLXLXM
      XPFGABUIZXLUJFGBAUIZUKWEWFULUMUNUOUPWKWEWJUDZADUBXIAWJDUQXSXHADXSXDWEJZHW
      CLZXHXSWJWEJYAWJWEURHWCWEUSUOXGXTHWCXGXDWERZXFKXTXEYBXFFGHAUIZUTXDWEVAUMV
      BVCVDVEVFVGDWNUFZXKWRYDXDXDWNTZUAZXDWFWNTZXMMXEPZMZADLBDLHDLYIHBADDDYIXDD
      OWFDOWEDOVHYFYHYEXDXDRXDVIFGHHUIVJXDWFRZXPXEYGXMYJXPMYBXEXDWFWEVKYCVCFGHB
      UIXRVLVMVNVOHBADWNVPVQABHCDWNEVRVSVTWQXAADWPWTBDWOWSXQWAVBWBUO $.
      $( [16-Aug-2004] $) $( [12-Aug-2004] $)
  $}

  ${
     $d f F $.  $d f A $.  $d f B $.
     fodom.1 $e |- A e. V $.
     $( An onto function implies dominance of domain over range.  Lemma 10.20
        of [Kunen] p. 30.  This theorem uses the Axiom of Choice ~ ac7g .  AC
        is not needed for finite sets - see ~ fodomfi . $)
     fodom $p |- ( F : A -onto-> B -> B ~<_ A ) $=
       ( vf wfo cv ccnv wss cdm wfn wa wex cdom wbr cvv wcel wf fof fex mpan2
       syl cnvexg ac7g 3syl wi wceq wb crn forn df-rn syl5eqr fneq2 domtr wf1
       wfun fnfrn biimp ad2antlr funss impcom fofun cnvss cnvcnvss sstr syl2an
       adantlr jca df-f1 sylibr visset rnex f1dom2g ax-mp rnss adantl fdm
       dfdm4 adantr sseqtrd ssdomg sylanc exp31 sylbid com23 imp3a 19.23adv
       mpd ) ABCFZEGZCHZIZWJWKJZKZLZEMZBANOZWICPQZWKPQWPWIABCRZWRABCSZWSAPQWRDA
       BPCTUAUBCPUCPWKEUDUEWIWOWQEWIWLWNWQWIWNWLWQWIWNWJBKZWLWQUFWIWMBUGWNXAUHW
       ICUIBWMABCUJCUKULWMBWJUMUBWIXAWLWQBWJUIZNOZXBANOZWQWIXALWLLZBXBAUNXEBXBW
       JUOZXCXEBXBWJRZWJHZUPZLXFXEXGXIXAXGWIWLXAXGBWJUQURUSWIWLXIXACUPZXHCIZXIW
       IWLXKXJXIXHCUTVAABCVBWLXHWKHZIZXKWJWKVCXMXLCIXKCVDXHXLCVEUAUBVFVGVHBXBWJ
       VIVJXBPQZXFXCUFWJEVKVLZBXBPWJVMVNUBWIWLXDXAWIWLLZXBAIZXDXPXBWKUIZAWLXBXR
       IWIWJWKVOVPWIXRAUGWLWICJZAXRWIWSXSAUGWTABCVQUBCVRULVSVTXNXQXDUFXOXBAPWAV
       NUBVGWBWCWDWEWFWGWH $.
       $( [30-Jul-2004] $) $( [23-Jul-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.
    $( An onto function implies dominance of domain over range. $)
    fodomg $p |- ( A e. C -> ( F : A -onto-> B -> B ~<_ A ) ) $=
      ( vx cv wfo cdom wbr wi wceq foeq2 breq2 imbi12d visset fodom vtoclg ) EF
      ZBDGZBRHIZJABDGZBAHIZJEACRAKSUATUBRABDLRABHMNRBDEOPQ $.
      $( [30-Jul-2004] $) $( [23-Jul-2004] $)
  $}

  ${
    $d f g z A $.  $d f g z B $.
    fodomb.1 $e |- A e. V $.
    $( Equivalence of an onto mapping and dominance for a non-empty set.
       Proposition 10.35 of [TakeutiZaring] p. 93. $)
    fodomb $p |- ( ( A =/= (/) /\ E. f f : A -onto-> B ) <->
                 ( (/) ~< B /\ B ~<_ A ) ) $=
      ( c0 wne cv wfo wex wa csdm wbr cdom cdm wceq wf fof fdm syl eqeq1d crn
      forn dm0rn0 syl5bb bitr3d necon3bid biimpac wb cvv wcel wi fornex ax-mp
      0sdomg adantl mpbird ex fodom a1i jcad 19.23adv imp sdomdomtr 0sdom
      sylib fodomr mp3an1 jca impbi ) AEFZABCGZHZCIZJEBKLZBAMLZJZVJVMVPVJVLVPCV
      JVLVNVOVJVLVNVJVLJVNBEFZVLVJVQVLAEBEVLVKNZEOZAEOBEOZVLVRAEVLABVKPVRAOABVK
      QABVKRSTVLVKUAZEOVTVSVLWABEABVKUBTVKUCUDUEUFUGVLVNVQUHZVJVLBUIUJZWBAUIUJZ
      VLWCUKDABUIVKULUMBUIUNSUOUPUQVLVOUKVJABVKDURUSUTVAVBVPVJVMVPEAKLZVJWDVPWE
      UKDEBAUIVCUMADVDVEWDVNVOVMDABUICVFVGVHVI $.
      $( [24-Feb-2007] $) $( [29-Jul-2004] $)
  $}

  ${
    $d f x y A $.  $d f x y B $.
    brdom3.1 $e |- A e. V $.
    brdom3.2 $e |- B e. V $.
    $( Equivalence to a dominance relation. $)
    brdom3 $p |- ( A ~<_ B <-> E. f ( A. x E* y x f y /\
                 A. x e. A E. y e. B y f x ) ) $=
      ( cdom wbr cv wmo wal wrex wral wa wex c0 wceq wfo wo wn wi csdm cvv
      wcel fodomr mp3an1 wne 0sdom df-ne bitr2 sylanb ancoms pm5.6 mpbi rzal
      cop noel df-br mtbir nex exmo ori ax-mp ax-gen jctil 0ex ax-17 breq
      mobid albidv rexbidv ralbidv anbi12d cla4ev syl wfun fofun wrel dffunmo
      pm3.27bi wf dffo4 jca 19.22i jaoi cxp cin cdm wfn crn inss1 ssbri immoi
      19.20i relxp relin2 mpbiran sylibr funfn sylib rninxp biimpr anim12i
      df-fo visset inex1 dmex fodom wss inss2 dmss dmxpss sstri ssdom2g mp2
      domtr mpan2 3syl 19.23aiv impbi ) CDHIZAJZBJZEJZIZBKZALZYDYCYEIZBDMZACNZO
      ZEPZYBCQRZDCYESZEPZTZYMYBYNUAZOYPUBYBYQUBYRYBYPQCUCIZYBYPYRDUDUEZYSYBYPGD
      CUDEUFUGYSCQUHYRCFUICQUJUKULUMYBYNYPUNUOYNYMYPYNYCYDQIZBKZALZYDYCQIZBDMZA
      CNZOZYMYNUUFUUCUUEACUPUUBAUUABPZUAUUBUUABUUAYCYDUQZQUEUUIURYCYDQUSUTVAUUH
      UUBUUABVBVCVDVEVFYLUUGEQVGYEQRZYHUUCYKUUFUUJYGUUBAUUJYFUUABUUJBVHYCYDYEQV
      IVJVKUUJYJUUEACUUJYIUUDBDYDYCYEQVIVLVMVNVOVPYOYLEYOYHYKYOYEVQZYHDCYEVRUUK
      YEVSYHABYEVTWAVPYODCYEWBYKBADCYEWCWAWDWEWFVPYLYBEYLYEDCWGZWHZWIZCUUMSZCUU
      NHIZYBYLUUMUUNWJZUUMWKCRZOUUOYHUUQYKUURYHUUMVQZUUQYHYCYDUUMIZBKZALZUUSYGU
      VAAUUTYFBUUMYEYCYDYEUULWLWMWNWOUUSUUMVSZUVBABUUMVTUULVSUVCDCWPYEUULWQVDWR
      WSUUMWTXAUURYKBADCYEXBXCXDUUNCUUMXEWSUUNCUUMUUMYEUULEXFXGXHXIUUPUUNDHIZYB
      YTUUNDXJUVDGUUNUULWIZDUUMUULXJUUNUVEXJYEUULXKUUMUULXLVDDCXMXNUUNDUDXOXPCU
      UNDXQXRXSXTYA $.
      $( [27-Mar-2007] $) $( [27-Mar-2007] $)
  $}

  ${
    $d f g x y A v w z $.  $d f g x y B v w z $.
    brdom4.1 $e |- A e. V $.
    brdom4.2 $e |- B e. V $.
    $( An equivalence to a dominance relation. $)
    brdom5 $p |- ( A ~<_ B <->
  E. f ( A. x e. B E* y x f y /\ A. x e. A E. y e. B y f x ) ) $=
      ( cdom wbr cv wmo wral wrex wa wex wal brdom3 alral anim1i 19.22i sylbi
      cxp cin cdm wfo wfn crn wceq wfun wrel wcel wss inss2 dmss ax-mp dmxpss
      sstri sseli inss1 ssbri immoi imim12i r19.20i2 relxp relin2 jctil dffun6
      sylibr funfn sylib rninxp biimpr anim12i df-fo visset inex1 dmex fodom
      cvv ssdom2g mp2 domtr mpan2 3syl 19.23aiv impbi ) CDHIZAJZBJZEJZIZBKZADLZ
      WIWHWJIBDMACLZNZEOZWGWLAPZWNNZEOWPABCDEFGQWRWOEWQWMWNWLADRSTUAWOWGEWOWJDC
      UBZUCZUDZCWTUEZCXAHIZWGWOWTXAUFZWTUGCUHZNXBWMXDWNXEWMWTUIZXDWMWTUJZWHWIWT
      IZBKZAXALZNXFWMXJXGWLXIADXAWHXAUKWHDUKWLXIXADWHXAWSUDZDWTWSULXAXKULWJWSUM
      WTWSUNUODCUPUQZURXHWKBWTWJWHWIWJWSUSUTVAVBVCWSUJXGDCVDWJWSVEUOVFABWTVGVHW
      TVIVJXEWNBADCWJVKVLVMXACWTVNVHXACWTWTWJWSEVOVPVQVRXCXADHIZWGDVSUKXADULXMG
      XLXADVSVTWACXADWBWCWDWEWF $.
      $( [5-Apr-2007] $) $( [29-Mar-2007] $)

    $( An equivalence to a dominance relation. $)
    brdom4 $p |- ( A ~<_ B <->
  E. f ( A. x e. B E* y ( y e. A /\ x f y ) /\ A. x e. A E. y e. B y f x ) ) $=
      ( cdom wbr cv wcel wa wmo wral wrex wex wal brdom3 moan 19.20i alral syl
      anim1i 19.22i sylbi cxp cin cdm wfo wfn crn wceq wfun wrel wss inss2
      dmss ax-mp dmxpss sstri sseli rnss rnxpss inss1 ssbri anim12i immoi
      imim12i r19.20i2 relxp relin2 jctil dffun8 sylibr funfn sylib rninxp
      biimpr df-fo visset inex1 dmex fodom cvv ssdom2g mp2 domtr mpan2 3syl
      19.23aiv impbi ) CDHIZBJZCKZAJZWMEJZIZLZBMZADNZWMWOWPIBDOACNZLZEPZWLWQBMZ
      AQZXALZEPXCABCDEFGRXFXBEXEWTXAXEWSAQWTXDWSAWQWNBSTWSADUAUBUCUDUEXBWLEXBWP
      DCUFZUGZUHZCXHUIZCXIHIZWLXBXHXIUJZXHUKZCULZLXJWTXLXAXNWTXHUMZXLWTXHUNZWMX
      MKZWOWMXHIZLZBMZAXINZLXOWTYAXPWSXTADXIWOXIKWODKWSXTXIDWOXIXGUHZDXHXGUOZXI
      YBUOWPXGUPZXHXGUQURDCUSUTZVAXSWRBXQWNXRWQXMCWMXMXGUKZCYCXMYFUOYDXHXGVBURD
      CVCUTVAXHWPWOWMWPXGVDVEVFVGVHVIXGUNXPDCVJWPXGVKURVLABXHVMVNXHVOVPXNXABADC
      WPVQVRVFXICXHVSVNXICXHXHWPXGEVTWAWBWCXKXIDHIZWLDWDKXIDUOYGGYEXIDWDWEWFCXI
      DWGWHWIWJWK $.
      $( [30-Mar-2007] $) $( [28-Mar-2007] $)
  $}

  ${
    $d f g x y A v w z $.  $d f g x y B v w z $.
    brdom7disj.1 $e |- A e. V $.
    brdom7disj.2 $e |- B e. V $.
    brdom7disj.3 $e |- ( A i^i B ) = (/) $.
    $( An equivalence to a dominance relation for disjoint sets. $)
    brdom7disj $p |- ( A ~<_ B <-> E. f ( A. x e. B E* y
      ( y e. A /\ { x , y } e. f ) /\ A. x e. A E. y e. B { y , x } e. f ) ) $=
      ( vg vv vz vw cdom wbr cv wcel wa wmo wral wrex wex cpr brdom4 wceq cop
      cab csn snex pm3.26 ss2abi df-sn sseqtr4 ssexi abrexex2 ax-17 eleq2
      anbi2d mobid ralbidv rexbidv anbi12d cla4ev wb wne cin c0 incom eqtr
      disjne mp3an1 visset opthpr syl equcom anbi12i syl6rbb df-br a1i
      rexbidva rexcom zfpair2 eqeq1 anbi1d 2rexbidv elab bitr4 adantr breq1
      breq2 ceqsrex2v bitrd pm5.32da ralbiia ancoms eqcom ancom 3bitr4g bicomi
      syl5bb syl2anbr 19.23aiv copab cvv df-opab cuni uniex pri1 elunii mpan
      adantl pri2 eqeltrr abexex eqeltr breq preq1 eleq1d preq2 eqid brab
      anbi2i mobii ralbii rexbii impbi bitr ) CDMNBOZCPZAOZYGIOZNZQZBRZADSZYGYI
      YJNZBDTZACSZQZIUAZYHYIYGUBZEOZPZQZBRZADSZYGYIUBZUUAPZBDTZACSZQZEUAZABCDIF
      GUCYSUUKYRUUKIYHYTJOZKOZLOZUBZUDZUUMUUNUEYJPZQZKDTZLCTZJUFZPZQZBRZADSZUUF
      UVAPZBDTZACSZUUKYNYQUUJUVEUVHQEUVAUUSLJCFUURKJDGUURJUFZUUOUGZUUOUHUVIUUPJ
      UFUVJUURUUPJUUPUUQUIUJJUUOUKULUMUNUNUUAUVAUDZUUEUVEUUIUVHUVKUUDUVDADUVKUU
      CUVCBUVKBUOUVKUUBUVBYHUUAUVAYTUPUQURUSUVKUUHUVGACUVKUUGUVFBDUUAUVAUUFUPUT
      USVAVBUVDYMADYIDPZUVCYLBUVLBUOUVLYHUVBYKUVLYHQUVBUUMYIUDZUUNYGUDZQZUUMUUN
      YJNZQZLCTZKDTZYKUVLUVBUVSVCYHUVLUVSYTUUOUDZUUQQZLCTZKDTZUVBUVLUVRUWBKDUVL
      UVQUWALCUVLUUNCPZQZUVOUVTUVPUUQUWEUVTYIUUMUDZYGUUNUDZQZUVOUWEYIUUNVDZUVTU
      WHVCDCVEZVFUDZUVLUWDUWIUWJCDVEVFDCVGHVHZDCYIUUNVIVJYIYGUUMUUNAVKZBVKZKVKZ
      LVKZVLVMUWFUVMUWGUVNAKVNBLVNVOVPUVPUUQVCUWEUUMUUNYJVQZVRVAVSUTUWCUWAKDTLC
      TZUVBUWAKLDCVTUUTUWRJYTABWAUULYTUDZUURUWALKCDUWSUUPUVTUUQUULYTUUOWBWCWDWE
      WFVPWGUVPYIUUNYJNYKKLYIYGDCUUMYIUUNYJWHUUNYGYIYJWIWJWKWLURWMUVGYPACYICPZU
      VFYOBDUWTYGDPZQUVFUUNYIUDZUUMYGUDZQZUVPQZKDTZLCTZYOUWTUVFUXGVCUXAUWTUUFUU
      OUDZUUQQZKDTZLCTZUXGUVFUWTUXJUXFLCUWTUXIUXEKDUWTUUMDPZQZUXHUXDUUQUVPUXMUU
      OUUFUDZUXCUXBQZUXHUXDUXMUUMYIVDZUXNUXOVCUXLUWTUXPUWKUXLUWTUXPUWLDCUUMYIVI
      VJWNUUMUUNYGYIUWOUWPUWNUWMVLVMUUFUUOWOUXBUXCWPWQUUQUVPVCUXMUVPUUQUWQWRVRV
      AVSUTUUTUXKJUUFBAWAUULUUFUDZUURUXILKCDUXQUUPUXHUUQUULUUFUUOWBWCWDWEWSWGUV
      PUUMYIYJNYOLKYIYGCDUUNYIUUMYJWIUUMYGYIYJWHWJWKVSWMWTXAUUJYSEYHYIYGUUNUUMU
      BZUUAPZLKXBZNZQZBRZADSZYGYIUXTNZBDTZACSZYSUUEUUIYRUYDUYGQIUXTUXTUULUUNUUM
      UEZUDZUXSQZKUAZLUAJUFXCUXSLKJXDUYKLJUUAXEZUUAEVKXFZUYJUUNUYLPZKUXSUYNUYIU
      UNUXRPUXSUYNUUNUUMUWPXGUUNUXRUUAXHXIXJXAUYJKJUYLUYMUXSUUMUYLPZUYIUUMUXRPU
      XSUYOUUNUUMUWOXKUUMUXRUUAXHXIXJUYJJUFUYIJUFZUYHUGUYPXCJUYHUKUYHUHXLUYJUYI
      JUYIUXSUIUJUMXMXMXNYJUXTUDZYNUYDYQUYGUYQYMUYCADUYQYLUYBBUYQBUOUYQYKUYAYHY
      IYGYJUXTXOUQURUSUYQYPUYFACUYQYOUYEBDYGYIYJUXTXOUTUSVAVBUYCUUDADUYBUUCBUYA
      UUBYHUXSYIUUMUBZUUAPUUBLKYIYGUXTUWMUWNUXBUXRUYRUUAUUNYIUUMXPXQUXCUYRYTUUA
      UUMYGYIXRXQUXTXSZXTYAYBYCUYFUUHACUYEUUGBDUXSYGUUMUBZUUAPUUGLKYGYIUXTUWNUW
      MUVNUXRUYTUUAUUNYGUUMXPXQUVMUYTUUFUUAUUMYIYGXRXQUYSXTYDYCWTXAYEYF $.
      $( [31-Mar-2007] $) $( [29-Mar-2007] $)

    $( An equivalence to a dominance relation for disjoint sets. $)
    brdom6disj $p |- ( A ~<_ B <-> E. f ( A. x e. B E* y
      { x , y } e. f /\ A. x e. A E. y e. B { y , x } e. f ) ) $=
      ( vg vv vz vw cdom wbr cv wmo wral wrex wa wex cpr wcel brdom5 wceq cop
      cab csn snex pm3.26 ss2abi df-sn sseqtr4 ssexi abrexex2 ax-17 eleq2
      mobid ralbidv rexbidv anbi12d cla4ev wi wal wne wb cin c0 incom eqtr
      disjne mp3an1 visset opthpr syl breq12 biimprd syl6bi imp3a ex adantrd
      r19.23advv zfpair2 eqeq1 anbi1d df-br anbi2i syl6bbr 2rexbidv elab
      syl5ib 19.21aiv immo r19.20i ancoms eqcom ancom 3bitr4g bicomi a1i
      rexbidva syl5bb adantr breq2 breq1 ceqsrex2v bitrd ralbiia biimpr syl2an
      19.23aiv copab cvv df-opab cuni uniex pri1 elunii mpan adantl pri2
      eqeltrr abexex eqeltr breq preq1 eleq1d preq2 eqid brab mobii ralbii
      rexbii syl2anbr impbi bitr ) CDMNAOZBOZIOZNZBPZADQZYQYPYRNZBDRZACQZSZITZY
      PYQUAZEOZUBZBPZADQZYQYPUAZUUHUBZBDRZACQZSZETZABCDIFGUCUUFUUQUUEUUQIUUGJOZ
      KOZLOZUAZUDZUUSUUTUEYRUBZSZKDRZLCRZJUFZUBZBPZADQZUULUVGUBZBDRZACQZUUQUUAU
      UDUUPUVJUVMSEUVGUVELJCFUVDKJDGUVDJUFZUVAUGZUVAUHUVNUVBJUFUVOUVDUVBJUVBUVC
      UIUJJUVAUKULUMUNUNUUHUVGUDZUUKUVJUUOUVMUVPUUJUVIADUVPUUIUVHBUVPBUOUUHUVGU
      UGUPUQURUVPUUNUVLACUVPUUMUVKBDUUHUVGUULUPUSURUTVAYTUVIADYPDUBZUVHYSVBZBVC
      YTUVIVBUVQUVRBUVQUUGUVAUDZUUSUUTYRNZSZKDRLCRZYSUVHUVQUWAYSLKCDUVQUUTCUBZU
      WAYSVBZUUSDUBZUVQUWCUWDUVQUWCSZUVSUVTYSUWFUVSYPUUSUDYQUUTUDSZUVTYSVBUWFYP
      UUTVDZUVSUWGVEDCVFZVGUDZUVQUWCUWHUWICDVFVGDCVHHVIZDCYPUUTVJVKYPYQUUSUUTAV
      LZBVLZKVLZLVLZVMVNUWGYSUVTYPUUSYQUUTYRVOVPVQVRVSVTWAUVFUWBJUUGABWBUURUUGU
      DZUVDUWALKCDUWPUVDUVSUVCSUWAUWPUVBUVSUVCUURUUGUVAWCWDUVTUVCUVSUUSUUTYRWEZ
      WFWGWHWIWJWKUVHYSBWLVNWMUVMUUDUVLUUCACYPCUBZUVKUUBBDUWRYQDUBZSUVKUUTYPUDZ
      UUSYQUDZSZUVTSZKDRZLCRZUUBUWRUVKUXEVEUWSUWRUULUVAUDZUVCSZKDRZLCRZUXEUVKUW
      RUXHUXDLCUWRUXGUXCKDUWRUWESZUXFUXBUVCUVTUXJUVAUULUDZUXAUWTSZUXFUXBUXJUUSY
      PVDZUXKUXLVEUWEUWRUXMUWJUWEUWRUXMUWKDCUUSYPVJVKWNUUSUUTYQYPUWNUWOUWMUWLVM
      VNUULUVAWOUWTUXAWPWQUVCUVTVEUXJUVTUVCUWQWRWSUTWTUSUVFUXIJUULBAWBUURUULUDZ
      UVDUXGLKCDUXNUVBUXFUVCUURUULUVAWCWDWHWIXAXBUVTUUSYPYRNUUBLKYPYQCDUUTYPUUS
      YRXCUUSYQYPYRXDXEXFWTXGXHXIXJUUPUUFEYPYQUUTUUSUAZUUHUBZLKXKZNZBPZADQZYQYP
      UXQNZBDRZACQZUUFUUKUUOUUEUXTUYCSIUXQUXQUURUUTUUSUEZUDZUXPSZKTZLTJUFXLUXPL
      KJXMUYGLJUUHXNZUUHEVLXOZUYFUUTUYHUBZKUXPUYJUYEUUTUXOUBUXPUYJUUTUUSUWOXPUU
      TUXOUUHXQXRXSXJUYFKJUYHUYIUXPUUSUYHUBZUYEUUSUXOUBUXPUYKUUTUUSUWNXTUUSUXOU
      UHXQXRXSUYFJUFUYEJUFZUYDUGUYLXLJUYDUKUYDUHYAUYFUYEJUYEUXPUIUJUMYBYBYCYRUX
      QUDZUUAUXTUUDUYCUYMYTUXSADUYMYSUXRBUYMBUOYPYQYRUXQYDUQURUYMUUCUYBACUYMUUB
      UYABDYQYPYRUXQYDUSURUTVAUXSUUJADUXRUUIBUXPYPUUSUAZUUHUBUUILKYPYQUXQUWLUWM
      UWTUXOUYNUUHUUTYPUUSYEYFUXAUYNUUGUUHUUSYQYPYGYFUXQYHZYIYJYKUYBUUNACUYAUUM
      BDUXPYQUUSUAZUUHUBUUMLKYQYPUXQUWMUWLUUTYQUDUXOUYPUUHUUTYQUUSYEYFUUSYPUDUY
      PUULUUHUUSYPYQYGYFUYOYIYLYKYMXJYNYO $.
      $( [5-Apr-2007] $) $( [5-Apr-2007] $)
  $}

  $( An image of a function under a set is dominated by the set.  Proposition
     10.34 of [TakeutiZaring] p. 92. $)
  imadomg $p |- ( A e. B -> ( Fun F -> ( F " A ) ~<_ A ) ) $=
    ( wcel wfun cima cres cdm cdom wbr wa crn cvv wfo fodomg resfunexg dmexg
    syl funres funforn sylib adantr sylc df-ima syl5eqbr expcom domtr wss cin
    dmres inss1 eqsstr ssdom2g mpi sylan2 syld ) ABDZCEZCAFZCAGZHZIJZUSAIJZURUQ
    VBURUQKZUTLZVAUSIVAMDZVAVEUTNZVEVAIJVDVAVEMUTOVDUTMDVFCABPUTMQRURVGUQURUTEV
    GACSUTTUAUBUCCAUDUEUFVBUQVCVBVAAIJZVCUQUSVAAUGUQVAAUHVHVAACHZUIACAUJAVIUKUL
    VAABUMUNUOUFUP $.
    $( [20-Nov-2004] $) $( [23-Jul-2004] $)

  $( The range of a function is dominated by its domain. $)
  fnrndomg $p |- ( A e. B -> ( F Fn A -> ran F ~<_ A ) ) $=
    ( wcel crn wfo cdom wbr wfn fodomg fnforn syl5ib ) ABDACEZCFMAGHCAIAMBCJACK
    L $.
    $( [1-Oct-2004] $) $( [1-Sep-2004] $)

  ${
    $d f g h v w x y z A $.  $d f g h v w x y z B $.
    unidom.1 $e |- A e. V $.
    unidom.2 $e |- B e. V $.
    $( An upper bound for the cardinality of a union.  Theorem 10.47 of
       [TakeutiZaring] p. 98. $)
    unidom $p |- ( A. x e. A x ~<_ B -> U. A ~<_ ( A X. B ) ) $=
      ( vf vh vy vz vg cv cfv wf1 wral wex wcel wa cuni cxp cdom wbr wi cvv
      uniex cop wceq id fveq2 eleq12d eleq1d anbi12d rcla4cv pm3.27 syl6
      adantl wf wb f1eq1 syl f1eq2 bitrd rcla4v f1f ffvelrn expcom sylan9r
      com3r imp jcad opelxpi fveq1d eqeq2d f1fveq biimpd imp31 adantrr adantr
      pm3.26 eleq2 biimprd sylan9 anim12d an1rs adantlll sylanc sylbird ex
      imp3a fvex opth syl5ib fveq2d eqtrd opeq12d impbid1 dom2d mpi 19.23adv
      19.23aiv brdom ralbii ac6s3 sylbi eleq1 eluni biimp mprg a1i sylc ) AKZCX
      JFKZLZMZABNZFOZXJXJGKZLZPZXQBPZQZABRZNZGOZYABCSZTUAZXJCTUAZABNZXNYCYEUBFX
      NYBYEGXNYBYEXNYBQZYAUCPYEBDUDZYHHIYAYDHKZXPLZYJYKXKLZLZUEZIKZXPLZYOYPXKLZ
      LZUEZUCYHYJYAPZYKBPZYMCPZQYNYDPYHYTUUAUUBYBYTUUAUBXNYBYTYJYKPZUUAQZUUAXTU
      UDAYJYAXJYJUFZXRUUCXSUUAUUEXJYJXQYKUUEUGXJYJXPUHZUIUUEXQYKBUUFUJUKULZUUCU
      UAUMUNUOXNYBYTUUBUBYBYTXNUUBYBYTUUDXNUUBUBUUGUUAXNYKCYLUPZUUCUUBUUAXNYKCY
      LMZUUHXMUUIAYKBXJYKUFZXMXJCYLMZUUIUUJXLYLUFXMUUKUQXJYKXKUHXJCXLYLURUSXJYK
      CYLUTVAVBZYKCYLVCUNUUHUUCUUBYKCYJYLVDVEVFUNVGVHVIYKYMBCVJUNYHYTYOYAPZQZYN
      YSUFZYJYOUFZUQYHUUNQZUUOUUPUUQYKYPUFZYMYRUFZQUUPUUOUUQUURUUSUUPUUQUURUUSU
      UPUBUUQUURQZUUSYMYOYLLZUFZUUPUURUVBUUSUQUUQUURUVAYRYMUURYOYLYQYKYPXKUHVKV
      LUOUUIUUCYOYKPZQZUVBUUPUBUUTUUIUVDQUVBUUPYKCYJYOYLVMVNUUQUUIUURYHYTUUIUUM
      XNYBYTUUIYBYTXNUUIYBYTUUDXNUUIUBZUUGUUAUVEUUCUULUOUNVGVOVPVQYBUUNUURUVDXN
      YBUURUUNUVDYBUURQZUUNUVDUVFYTUUCUUMUVCYBYTUUCUBUURYBYTUUDUUCUUGUUCUUAVRUN
      VQYBUUMYOYPPZUURUVCYBUUMUVGYPBPZQZUVGXTUVIAYOYAXJYOUFZXRUVGXSUVHUVJXJYOXQ
      YPUVJUGXJYOXPUHZUIUVJXQYPBUVKUJUKULUVGUVHVRUNUURUVCUVGYKYPYOVSVTWAWBVHWCW
      DWEWFWGWHYKYMYPYRYJXPWIYJYLWIYOYQWIWJWKUUPYKYPYMYRYJYOXPUHZUUPYMYJYQLYRUU
      PYJYLYQUUPYKYPXKUVLWLVKYJYOYQUHWMWNWOWGWPWQWGWRWSYGXJCJKZMZJOZABNXOYFUVOA
      BXJCJEWTXAUVNXMAJBFDXJCUVMXLURXBXCYCYGXJUVMPZUVMBPZQZJOZYCAYAUVRXTAJYAGYI
      UVMXQUFUVPXRUVQXSUVMXQXJVSUVMXQBXDUKXBXJYAPUVSJXJBXEXFXGXHXI $.
      $( [27-Mar-2006] $) $( [25-Mar-2006] $)
  $}

  ${
    $d x y z A $.  $d x z B $.
    $( An upper bound for the cardinality of a union.  Theorem 10.47 of
       [TakeutiZaring] p. 98. $)
    unidomg $p |- ( ( A e. C /\ B e. D /\ A. x e. A x ~<_ B ) ->
                   U. A ~<_ ( A X. B ) ) $=
      ( vz vy wcel cv cdom wbr wral cuni cxp wi wceq raleq1 unieq xpeq1
      breq12d imbi12d breq2 ralbidv xpeq2 breq2d visset unidom vtocl2g 3impia
      ) BDHCEHAIZCJKZABLZBMZBCNZJKZUJFIZJKZAGIZLZURMZURUPNZJKZOUQABLZUMBUPNZJKZ
      OULUOOGFBCDEURBPZUSVCVBVEUQAURBQVFUTUMVAVDJURBRURBUPSTUAUPCPZVCULVEUOVGUQ
      UKABUPCUJJUBUCVGVDUNUMJUPCBUDUEUAAURUPGUFFUFUGUHUI $.
      $( [29-Mar-2006] $) $( [25-Mar-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y F $.
    uniimadom.1 $e |- A e. V $.
    uniimadom.2 $e |- B e. V $.
    $( An upper bound for the cardinality of the union of an image.
       Theorem 10.48 of [TakeutiZaring] p. 99. $)
    uniimadom $p |- ( ( Fun F /\ A. x e. A ( F ` x ) ~<_ B ) ->
                 U. ( F " A ) ~<_ ( A X. B ) ) $=
      ( vy cima cuni cxp cdom wbr wfun cv cfv wral wa domtr cvv wcel unidomg
      mp3an2 funimaex adantr wi wceq wrex fvelima ex breq1 biimpd r19.22si
      r19.36av syl syl6 com23 imp r19.21aiv sylanc imadomg ax-mp xpdom1 ) DBHZI
      ZVCCJZKLZVEBCJZKLZVDVGKLDMZANDOZCKLZABPZQZVDVEVGRVCSTZGNZCKLZGVCPZVFVMVNC
      STVQVFFGVCCSSUAUBVIVNVLDBEUCUDVMVPGVCVIVLVOVCTZVPUEVIVRVLVPVIVRVJVOUFZABU
      GZVLVPUEZVIVRVTAVOBDUHUIVTVKVPUEZABUGWAVSWBABVSVKVPVJVOCKUJUKULVKVPABUMUN
      UOUPUQURUSVIVHVLVIVCBKLZVHBSTVIWCUEEBSDUTVAVCBCEFVBUNUDUS $.
      $( [30-Mar-2006] $) $( [25-Mar-2006] $)
  $}

  ${
    $d x z A $.  $d x y z B $.  $d y z F $.
    uniimadomf.1 $e |- ( y e. F -> A. x y e. F ) $.
    uniimadomf.2 $e |- A e. V $.
    uniimadomf.3 $e |- B e. V $.
    $( An upper bound for the cardinality of the union of an image.
       Theorem 10.48 of [TakeutiZaring] p. 99.  This version of ~ uniimadom
       uses a bound-variable hypothesis in place of a distinct variable
       condition. $)
    uniimadomf $p |- ( ( Fun F /\ A. x e. A ( F ` x ) ~<_ B ) ->
                 U. ( F " A ) ~<_ ( A X. B ) ) $=
      ( vz wfun cv cfv cdom wbr wral cima cuni cxp uniimadom ax-17 wcel hbfv
      hbbr wceq fveq2 breq1d cbvral sylan2b ) EJIKZELZDMNZICOECPQCDRMNAKZELZDMN
      ZACOICDEGHSUNUKAICUNITABUJDMABUIEFBKZUIUAATUBUOMUAATUODUAATUCULUIUDUMUJDM
      ULUIEUEUFUGUH $.
      $( [3-Apr-2006] $) $( [26-Mar-2006] $)
  $}

  ${
    $d x y z A $.  $d x z B $.  $d y z C $.
    iundom.1 $e |- A e. V $.
    iundom.2 $e |- B e. V $.
    iundom.3 $e |- C e. V $.
    $( An upper bound for the cardinality of an indexed union.  ` C ` depends
       on ` x ` and should be thought of as ` C ( x ) ` . $)
    iundom $p |- ( A. x e. A C ~<_ B -> U_ x e. A C ~<_ ( A X. B ) ) $=
      ( vy vz cdom wbr wral cv wcel wceq wa copab cfv ciun cxp cvv fvopab2
      mpan2 breq1d ralbiia cima cuni wfun wfn eqid fnopab2 fnfun ax-mp hbopab1
      uniimadomf mpan iuneq2i funiunfvf eqtr3 syl5eqbr sylbir ) DCJKZABLAMZVCBN
      ZHMDOPZAHQZRZCJKZABLZABDSZBCTZJKVHVBABVDVGDCJVDDUANVGDOGAHBDUAUBUCZUDUEVI
      VFBUFUGZVKVJJVFUHZVIVMVKJKVFBUIVNAHBDVFGVFUJUKBVFULUMZAIBCVFVEAHIUNZEFUOU
      PABVGSZVJVMABVGDVLUQVNVQVMOVOAIBVFVPURUMUSUTVA $.
      $( [5-Apr-2006] $) $( [26-Mar-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Cardinal numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)
  $c card $. $( Cardinal size function $)
  $c aleph $. $( Aleph function $)
  $c cf $. $( Cofinality function $)

  $( Extend class definition to include the cardinal size function. $)
  ccrd $a class card $.

  $( Extend class definition to include the aleph function. $)
  cale $a class aleph $.

  $( Extend class definition to include the cofinality function. $)
  ccf $a class cf $.

  ${
    $d x y z $.
    $( Define the cardinal number function.  The cardinal number of a set is
       the least ordinal number equinumerous to it.  In other words, it is the
       "size" of the set.  Definition of [Enderton] p. 197.  See ~ cardval for
       its value, ~ cardval2 for a simpler version of its value.  The principle
       theorem relating cardinality to equinumerosity is ~ carden .  Our
       notation is from Enderton.  Other textbooks often use a double bar over
       the set to express this function. $)
    df-card $a |- card = { <. x , y >. | y = |^| { z e. On | z ~~ x } } $.
  $}

  ${
    $d x y z $.
    $( Define the aleph function.  Our definition expresses Definition 12 of
       [Suppes] p. 229 in a closed form, from which we derive the recursive
       definition as theorems ~ aleph0 , ~ alephsuc , and ~ alephlim .
       The aleph function provides a one-to-one, onto mapping from the ordinal
       numbers to the infinite cardinal numbers.  Roughly, any aleph is the
       smallest infinite cardinal number whose size is strictly greater than
       any aleph before it. $)
    df-aleph $a |- aleph = rec ( { <. x , y >. | y = |^| { z e. On |
                   x ~< z } } , om ) $.
  $}

  ${
    $d x y z w v u $.
    $( Define the cofinality function.  Definition B of Saharon Shelah,
       _Cardinal Arithmetic_ (1994), p. xxx (Roman numeral 30).  See ~ cfval
       for its value and a description. $)
    df-cf $a |- cf = { <. x , y >. | ( x e. On /\
                y = |^| { z | E. w ( z = ( card ` w ) /\
                ( w (_ x /\ A. v e. x E. u e. w v (_ u ) ) } ) } $.
  $}

  ${
    $d x y z A $.
    $( The value of the cardinal number function with an ordinal number as its
       argument.  Unlike ~ cardval , this theorem does not require the Axiom of
       Choice. $)
    oncardval $p |- ( A e. On -> ( card ` A ) = |^| { x e. On | x ~~ A } ) $=
      ( vz vy con0 wcel cv cen wbr crab cint wceq copab cfv ccrd c0 wne wrex
      enrefg breq1 rcla4ev mpdan rabn0 sylibr wss ssrab2 oninton mpan syl
      breq2 rabbisdv inteqd fvopabg df-card fveq1i syl5eq ) BEFZBCGAGZDGZHIZAEJ
      ZKZLDCMZNZURBHIZAEJZKZBONUQVGEFZVDVGLUQVFPQZVHUQVEAERZVIUQBBHIZVJBESVEVKA
      BEURBBHTUAUBVEAEUCUDVFEUEVIVHVEAEUFVFUGUHUIDCBVBVGEEUSBLZVAVFVLUTVEAEUSBU
      RHUJUKULUMUBBOVCDCAUNUOUP $.
      $( [24-Nov-2003] $) $( [24-Nov-2003] $)

    $( The cardinal number of an ordinal number is an ordinal number.  Unlike
       ~ cardon , this theorem does not require the Axiom of Choice. $)
    oncardon $p |- ( A e. On -> ( card ` A ) e. On ) $=
      ( vx con0 wcel ccrd cfv cv cen wbr crab cint oncardval c0 wne cvv fvex
      syl6eqelr intex sylibr wss ssrab2 oninton mpan syl eqeltrd ) ACDZAEFZBGAH
      IZBCJZKZCBALZUFUIMNZUJCDZUFUJODULUFUJUGOUKAEPQUIRSUICTULUMUHBCUAUIUBUCUDU
      E $.
      $( [28-Jul-2004] $) $( [26-Jul-2004] $)

    $( Any ordinal number is equinumerous to its cardinal number.  Unlike
       ~ cardid , this theorem does not require the Axiom of Choice. $)
    oncardid $p |- ( A e. On -> ( card ` A ) ~~ A ) $=
      ( vx con0 wcel ccrd cfv cv cen wbr crab cint oncardval c0 wne cvv fvex
      syl6eqelr intex sylibr wss ssrab2 onint mpan syl eqeltrd breq1 elrab
      pm3.27bi ) ACDZAEFZBGZAHIZBCJZDZUJAHIZUIUJUMKZUMBALZUIUMMNZUPUMDZUIUPODUR
      UIUPUJOUQAEPQUMRSUMCTURUSULBCUAUMUBUCUDUEUNUJCDUOULUOBUJCUKUJAHUFUGUHUD
      $.
      $( [28-Jul-2004] $) $( [26-Jul-2004] $)

    $( The cardinal of an ordinal number is less than or equal to the
       ordinal number.  Proposition 10.6(3) of [TakeutiZaring] p. 85. $)
    cardonle $p |- ( A e. On -> ( card ` A ) (_ A ) $=
      ( vx con0 wcel ccrd cfv cv cen wbr crab cint oncardval wss enrefg wa
      breq1 elrab intss1 sylbir mpdan eqsstrd ) ACDZAEFBGZAHIZBCJZKZABALUBAAHIZ
      UFAMZACNUBUGOAUEDUHUDUGBACUCAAHPQAUERSTUA $.
      $( [25-Nov-2003] $) $( [22-Oct-2003] $)
  $}

  $( The cardinality of the empty set is the empty set. $)
  card0 $p |- ( card ` (/) ) = (/) $=
    ( c0 ccrd cfv wss wceq con0 wcel 0elon cardonle ax-mp ss0b mpbi ) ABCZADZMA
    EAFGNHAIJMKL $.
    $( [25-Nov-2003] $) $( [25-Oct-2003] $)

  $( The cardinality of a natural number is the number.  Corollary 10.23 of
     [TakeutiZaring] p. 90. $)
  cardnn $p |- ( A e. om -> ( card ` A ) = A ) $=
    ( com wcel ccrd cfv wn wceq csdm wbr cen sdomnen con0 nnont oncardid syl
    nsyl3 wpss wb oncardon word ordelpss eloni syl2an mpancom wo wss cardonle
    onsseleq mpbid elnn expcom eleq1a jaod mpd nnsdomo bitr4d mtbird ord ) ABCZ
    ADEZACZFUTAGZUSVAUTAHIZVCUTAJIZUSUTAKUSALCZVDAMZANOPUSVAUTAQZVCUSVEVAVGRZVF
    UTLCZVEVHASZUTTATVHVIVEUTAUAUTUBAUBUCUDOUTBCZUSVCVGRUSVAVBUEZVKUSVEVLVFVEUT
    AUFZVLAUGVIVEVMVLRVJUTAUHUDUIOZUSVAVKVBVAUSVKUTAUJUKABUTULUMUNUTAUOUDUPUQUS
    VAVBVNURUN $.
    $( [10-Jul-2004] $) $( [28-Oct-2003] $)

  $( The set of natural numbers is a cardinal number.  Theorem 18.11 of [Monk1]
     p. 133. $)
  cardom $p |- ( card ` om ) = om $=
    ( com ccrd cfv wcel wn wceq cen wbr con0 omelon oncardid ax-mp csdm nnsdom
    sdomnen syl mt2 wss wo cardonle oncardon onssel mpbi ori ) ABCZADZEUEAFZUFU
    EAGHZAIDZUHJAKLUFUEAMHUHEUENUEAOPQUFUGUEARZUFUGSUIUJJATLUEAUIUEIDJAUALJUBUC
    UDL $.
    $( [9-Dec-2003] $) $( [28-Oct-2003] $)

  ${
    $d x y z A $.
    $( The value of the cardinal number function.  Definition 10.4 of
       [TakeutiZaring] p. 85.  See ~ cardval2 for a simpler version of its
       value. $)
    cardval $p |- ( card ` A ) = |^| { x e. On | x ~~ A } $=
      ( vz vy cvv wcel ccrd cfv cv cen wbr con0 crab cint wceq copab wrex
      numth2 intexrab mpbi breq2 rabbisdv inteqd fvopabg mpan2 df-card fveq1i
      syl5eq wn c0 fvprc cab wa visset enref brprc mpbiri biantrud abbidv
      df-rab syl6reqr abid2 syl6eq inton eqtr4d pm2.61i ) BEFZBGHZAIZBJKZALMZNZ
      OVGBCIVIDIZJKZALMZNZODCPZHZVLVHVGVLEFZVRVLOVJALQVSABRVJALSTDCBVPVLEEVMBOZ
      VOVKVTVNVJALVMBVIJUAUBUCUDUEBGVQDCAUFUGUHVGUIZVHUJVLBGUKWAVLLNUJWAVKLWAVK
      VILFZAULZLWAWCWBVJUMZAULVKWAWBWDAWAVJWBWAVJVIVIJKVIAUNUOVIBJUPUQURUSVJALU
      TVAALVBVCUCVDVCVEVF $.
      $( [21-Oct-2003] $) $( [21-Oct-2003] $)

    $( The cardinal number of a set is an ordinal number.  Proposition 10.6(1)
       of [TakeutiZaring] p. 85.  Unlike Takeuti/Zaring's proposition, we need
       the Axiom of Choice (in ~ cardval ) because of our slightly different
       definition of of cardinal number. $)
    cardon $p |- ( card ` A ) e. On $=
      ( vx ccrd cfv cv cen wbr con0 crab cint cardval wss c0 wne wcel ssrab2
      cvv fvex eqeltrr intex mpbir oninton mp2an eqeltr ) ACDZBEAFGZBHIZJZHBAKZ
      UGHLUGMNZUHHOUFBHPUJUHQOUEUHQUIACRSUGTUAUGUBUCUD $.
      $( [25-Nov-2003] $) $( [22-Oct-2003] $)

    $( Any set is equinumerous to its cardinal number.  Proposition 10.5 of
       [TakeutiZaring] p. 85. $)
    cardid $p |- ( card ` A ) ~~ A $=
      ( vx ccrd cfv cv cen wbr con0 crab wcel cint cardval wss c0 wne ssrab2
      cvv fvex eqeltrr intex mpbir onint mp2an eqeltr breq1 elrab pm3.27bi
      ax-mp ) ACDZBEZAFGZBHIZJZUIAFGZUIULKZULBALZULHMULNOZUOULJUKBHPUQUOQJUIUOQ
      UPACRSULTUAULUBUCUDUMUIHJUNUKUNBUIHUJUIAFUEUFUGUH $.
      $( [25-Nov-2003] $) $( [22-Oct-2003] $)

    $( A set is a cardinal number iff it equals its own cardinal number.
       Proposition 10.9 of [TakeutiZaring] p. 85. $)
    oncard $p |- ( E. x A = ( card ` x ) <-> A = ( card ` A ) ) $=
      ( vy cv ccrd cfv wceq wex wss cen wbr cardid breq1 mpbiri entrt mpan
      con0 crab cint wcel wi cardon onintss ax-mp cardval syl5ss 3syl sseq1
      mpbird eleq1 cardonle syl eqssd 19.23aiv cvv fvex fveq2 eqeq2d cla4egv
      mpcom impbi ) BADZEFZGZAHZBBEFZGZVDVGAVDBVFVDBVFIVCVFIZVDBVBJKZVFVBJKZVHV
      DVIVCVBJKVBLBVCVBJMNVFBJKVIVJBLVFBVBOPVJCDZVBJKZCQRSZVFVCVFQTVJVMVFIUABUB
      VLVJCVFVKVFVBJMUCUDCVBUEUFUGBVCVFUHUIVDBQTZVFBIVDVNVCQTVBUBBVCQUJNBUKULUM
      UNBUOTZVGVEVGVOVFUOTBEUPBVFUOUJNVDVGABUOVBBGVCVFBVBBEUQURUSUTVA $.
      $( [11-Aug-2004] $) $( [22-Oct-2003] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( No member of a cardinal number of a set is equinumerous to the set.
       Proposition 10.6(2) of [TakeutiZaring] p. 85. $)
    cardne $p |- ( A e. ( card ` B ) -> -. A ~~ B ) $=
      ( vx con0 wcel ccrd cfv cen wbr wn cardon onel wss cv crab cint breq1
      onintss cardval sseq1i syl6ibr wb ontri1 mpan sylibd con2d mpcom ) ADEZAB
      FGZEZABHIZJUIABKZLUHUKUJUHUKUIAMZUJJZUHUKCNZBHIZCDOPZAMUMUPUKCAUOABHQRUIU
      QACBSTUAUIDEUHUMUNUBULUIAUCUDUEUFUG $.
      $( [14-Dec-2003] $) $( [22-Oct-2003] $)
  $}

  $( Two sets are equinumerous iff their cardinal numbers are equal.  This
     important theorem expresses the essential concept behind "cardinality"
     or "size."  This theorem appears as Proposition 10.10 of [TakeutiZaring]
     p. 85, Theorem 7P of [Enderton] p. 197, and Theorem 9 of [Suppes] p. 242
     (among others).  The Axiom of Choice is required for its proof.

     The theory of cardinality can also be developed without AC by
     introducing "card" as a primitive notion and stating this theorem as an
     axiom, as is done with the axiom for cardinal numbers in [Suppes] p.
     111.  Finally, if we allow the Axiom of Regularity, we can avoid AC by
     defining the cardinal number of a set as the set of all sets
     equinumerous to it and having least possible rank (see ~ karden ). $)
  carden $p |- ( ( A e. C /\ B e. D ) ->
               ( ( card ` A ) = ( card ` B ) <-> A ~~ B ) ) $=
    ( wcel wa ccrd cfv wceq cen wbr wi breq2 cardid entrt mpan2 syl6bi ensymg
    mpi syl5com adantr wss mpan wn cardne con2i con0 wb cardon ontri1 mp2an
    sylibr syl syl6 a1i jcad eqss syl6ibr adantl impbid ) ACEZBDEZFAGHZBGHZIZAB
    JKZVAVEVFLVBVEAVCJKZVFVAVEVGAVDJKZVFVCVDAJMVHVDBJKZVFBNZAVDBOPQVAVCAJKZVGAN
    ZVCACRSTUAVBVFVELVAVBVFVCVDUBZVDVCUBZFVEVBVFVMVNVBVFBAJKZVMABDRVOVDAJKZVMVI
    VOVPVJVDBAOUCVPVDVCEZUDZVMVQVPVDAUEUFVCUGEZVDUGEZVMVRUHAUIZBUIZVCVDUJUKULUM
    UNVFVNLVBVFVCBJKZVNVKVFWCVLVCABOUCWCVCVDEZUDZVNWDWCVCBUEUFVTVSVNWEUHWBWAVDV
    CUJUKULUMUOUPVCVDUQURUSUT $.
    $( [14-Dec-2003] $) $( [22-Oct-2003] $)

  $( Only the empty set has cardinality zero. $)
  cardeq0 $p |- ( A e. B -> ( ( card ` A ) = (/) <-> A = (/) ) ) $=
    ( wcel ccrd cfv c0 wceq cen wbr cvv wb 0ex carden mpan2 card0 eqeq2i en0
    3bitr3g ) ABCZADEZFDEZGZAFHIZTFGAFGSFJCUBUCKLAFBJMNUAFTOPAQR $.
    $( [23-Aug-2004] $) $( [23-Apr-2004] $)

  ${
    $d x A $.  $d x B $.
    $( A set has cardinality one iff it is a singleton. $)
    card1 $p |- ( ( card ` A ) = 1o <-> E. x A = { x } ) $=
      ( ccrd cfv c1o wceq cen wbr cv csn wex cvv wcel c0 wne wn 1ne0 df-ne
      mpbi eqeq1 mtbiri fvprc nsyl2 relen brrelexi com wb 1onn carden mpan2
      cardnn ax-mp eqeq2i syl5bbr pm5.21nii en1 bitr ) BCDZEFZBEGHZBAIJFAKUSBLM
      ZUTUSURNFZVAUSVBENFZENOVCPQENRSURENTUABCUBUCBEGUDUEVAURECDZFZUTUSVAEUFMZV
      EUTUGUHBELUFUIUJVDEURVFVDEFUHEUKULUMUNUOABUPUQ $.
      $( [17-May-2008] $) $( [16-May-2008] $)

    $( A singleton has cardinality one. $)
    cardsn $p |- ( A e. B -> ( card ` { A } ) = 1o ) $=
      ( vx wcel csn cv wceq wex ccrd cfv c1o eqid sneq eqeq2d cla4egv mpi
      card1 sylibr ) ABDZAEZCFZEZGZCHZTIJKGSTTGZUDTLUCUECABUAAGUBTTUAAMNOPCTQR
      $.
      $( [20-Sep-2004] $) $( [23-Apr-2004] $)
  $}

  $( Two sets have the dominance relationship if their cardinalities have the
     subset relationship. $)
  carddomi $p |- ( A e. C -> ( ( card ` A ) (_ ( card ` B ) -> A ~<_ B ) ) $=
    ( wcel ccrd cfv wss cdom wbr wa cen endomtr cardid ensymg mpi con0 wi
    cardon ssdomg ax-mp syl2an domentr mpan2 syl ex ) ACDZAEFZBEFZGZABHIZUFUIJA
    UHHIZUJAUGKIZUGUHHIZUKUFUIAUGUHLUFUGAKIULAMUGACNOUGPDUIUMQARUGUHPSTUAUKUHBK
    IUJBMAUHBUBUCUDUE $.
    $( [25-Nov-2003] $) $( [22-Oct-2003] $)

  $( Two sets have the dominance relationship iff their cardinalities have the
     subset relationship.  Equation i of [Quine] p. 232. $)
  carddom $p |- ( ( A e. C /\ B e. D ) ->
               ( ( card ` A ) (_ ( card ` B ) <-> A ~<_ B ) ) $=
    ( wcel wa ccrd cfv wss cdom wbr wi carddomi adantr csdm cen wo wn cardon
    onelss syl5 domnsym syl6 con2d con0 wb ontri1 mp2an syl6ibr adantl wceq
    carden eqimss syl6bir jaod brdom2 syl5ib impbid ) ACEZBDEZFZAGHZBGHZIZABJKZ
    USVDVELUTABCMNVAABOKZABPKZQVDVEVAVFVDVGUTVFVDLUSUTVFVCVBEZRZVDUTVHVFUTVHBAJ
    KZVFRUTVCVBIVJVHBADMVBVCASZTUABAUBUCUDVBUEEVCUEEVDVIUFVKBSVBVCUGUHUIUJVAVGV
    BVCUKVDABCDULVBVCUMUNUOABUPUQUR $.
    $( [22-Dec-2003] $) $( [22-Oct-2003] $)

  $( Two sets have the strict dominance relationship iff their cardinalities
     have the membership relationship.  Corollary 19.7(2) of [Eisenberg]
     p. 310. $)
  cardsdom $p |- ( ( A e. C /\ B e. D ) ->
               ( ( card ` A ) e. ( card ` B ) <-> A ~< B ) ) $=
    ( wcel wa ccrd cfv wss wne cdom wbr cen wn csdm carddom carden necon3abid
    anbi12d con0 wb cardon onelpsst mp2an brsdom 3bitr4g ) ACEBDEFZAGHZBGHZIZUH
    UIJZFZABKLZABMLZNZFUHUIEZABOLUGUJUMUKUOABCDPUGUNUHUIABCDQRSUHTEUITEUPULUAAU
    BBUBUHUIUCUDABUEUF $.
    $( [28-Dec-2003] $) $( [22-Oct-2003] $)

  $( Trichotomy law for dominance and strict dominance.  This theorem is
     equivalent to the Axiom of Choice. $)
  domtri $p |- ( ( A e. C /\ B e. D ) -> ( A ~<_ B <-> -. B ~< A ) ) $=
    ( wcel wa ccrd cfv wss cdom wbr csdm wn carddom wb cardsdom ancoms negbid
    con0 cardon ontri1 mp2an syl5bb bitr3d ) ACEZBDEZFZAGHZBGHZIZABJKBALKZMZABC
    DNUGUIUHEZMZULUJUGUMUKUFUEUMUKOBADCPQRUHSEUISEUJUNOATBTUHUIUAUBUCUD $.
    $( [4-Jan-2004] $) $( [4-Jan-2004] $)

  $( Trichotomy of equinumerosity and strict dominance.  This theorem is
     equivalent to the Axiom of Choice.  Theorem 8 of [Suppes] p. 242. $)
  entri $p |- ( ( A e. C /\ B e. D ) -> ( A ~< B \/ A ~~ B \/ B ~< A ) ) $=
    ( wcel wa csdm wbr cen wo w3o wn cdom domtri biimprd brdom2 syl6ib con1d
    orrd df-3or sylibr ) ACEBDEFZABGHZABIHZJZBAGHZJUCUDUFKUBUEUFUBUFUEUBUFLZABM
    HZUEUBUHUGABCDNOABPQRSUCUDUFTUA $.
    $( [1-Oct-2004] $) $( [4-Jan-2004] $)

  $( Trichotomy of dominance and strict dominance. $)
  entri2 $p |- ( ( A e. C /\ B e. D ) -> ( A ~<_ B \/ B ~< A ) ) $=
    ( wcel wa csdm wbr cen w3o cdom wo entri brdom2 orbi1i df-3or bitr4 sylibr
    ) ACEBDEFABGHZABIHZBAGHZJZABKHZUALZABCDMUDSTLZUALUBUCUEUAABNOSTUAPQR $.
    $( [1-Oct-2004] $) $( [4-Jan-2004] $)

  $( Trichotomy of dominance.  This theorem is equivalent to the Axiom of
     Choice.  Part of Proposition 4.42(d) of [Mendelson] p. 275. $)
  entri3 $p |- ( ( A e. C /\ B e. D ) -> ( A ~<_ B \/ B ~<_ A ) ) $=
    ( wcel wa cdom wbr csdm wo entri2 sdomdom orim2i syl ) ACEBDEFABGHZBAIHZJOB
    AGHZJABCDKPQOBALMN $.
    $( [13-Nov-2004] $) $( [4-Jan-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Strict dominance of a set over a natural number is the same as dominance
       over its successor.  The proof uses AC and Infinity.  It is unclear if a
       proof without using these is possible, unlike the weaker versions
       ~ omsucdom , ~ sucdomi , and ~ finsucdom . $)
    sucdom $p |- ( ( A e. om /\ B e. C ) ->
                     ( A ~< B <-> suc A ~<_ B ) ) $=
      ( vx com wcel wa cdom wbr csdm wo csuc wb cvv omex entri2 mpan adantl wi
      sdomdomtr exp3a imp nnsdom sylan2 ancoms peano2b sylbi sdomdom domtr ex
      3syl adantr jcad pm5.1 syl6 cv cen wrex finsucdom isfinite2 syl5 jaod
      mpd ) AEFZBCFZGZEBHIZBEJIZKZABJIZALZBHIZMZVEVIVDENFVEVIOEBNCPQRVFVGVMVHVF
      VGVJVLGVMVFVGVJVLVEVDVGVJSZVEAEJIZVNVDVEVOVNVEVOVGVJAEBCTUAUBAUCUDUEVDVGV
      LSZVEVDVKEJIZVKEHIZVPVDVKEFVQAUFVKUCUGVKEUHVRVGVLVKEBUIUJUKULUMVJVLUNUOVD
      VHVMSVEVDBDUPUQIDEURZVMVHVDVSVMDABUSUJDBUTVAULVBVC $.
      $( [1-Oct-2004] $) $( [26-Jul-2004] $)
  $}

  ${
    $d x y z w v u t f A $.  $d x y z w v u t f B $.
    unxpdomlem.1 $e |- A e. V $.
    unxpdomlem.2 $e |- B e. V $.
    $( Lemma for ~ unxpdom . $)
    unxpdomlem $p |- ( ( 1o ~< A /\ 1o ~< B ) -> ( A u. B ) ~<_ ( A X. B ) ) $=
      ( vu vw vt vv vx vy vz vf cv wceq wn wrex cun cxp cdom wbr c1o csdm wcel
      wa wi cif copab2 crn wss wo eqeq1 ifbid ifeq2 ifeq2d eqtrd eqeq1d ifeq12
      sylanc rcla42ev eqid iftrue ax-mp id 3eqtr4a syl3an3 3exp com3l ad2antlr
      iffalse sylan9eqr exp4a imp3a adantlr pm2.61d adantl equcomi com24 imp
      syl5eq com23 adantr jaod elun syl5ib eqcom 2rexbii visset ifex elrnoprab
      bitr4 syl6ib ssrdv cvv unex ssdomg wfn xpex fnoprab2 fnrndomg mp2 domtr
      mpan2 3syl exp43 r19.23aivv r19.23advv c2o csuc com wb 1onn sucdom mp2an
      df-2o breq1i 2dom sylbi syl2an ) EMZFMZNZOZFAPEAPZGMZHMZNZOZHBPGBPZABQZAB
      RZSTZUAAUBTZUABUBTZYCYHYKYCYGYKGHBBYBYDBUCZYEBUCZUDZYGYKUEUEEFAAXSAUCZXTA
      UCZUDZYBYPYGYKYSYBUDZYPYGUDZUDZYIIMZAUCJMZBUCUDKMUUCXTNZUUDYENZXTUUDUFZUU
      FYEUUCUFZUFZNUDIJKUGZUHZUIZYIUUKSTZYKUUBLYIUUKUUBLMZYIUCZUUIUUNNZJBPIAPZU
      UNUUKUCZUUBUUNAUCZUUNBUCZUJUUQUUOUUBUUSUUQUUTUUAUUSUUQUEZYTUUAUUNXTNZUVAY
      OUVBUVAUEYNYGUUSYOUVBUUQUUSYOUVBUUQUUSYOUVBYEYENZXTYEUFZUVCYEUUNUFZUFZUUN
      NZUUQUVBUUPUVGUVBUUGUUFYEUUNUFZUFZUUNNZIJUUNYEABUUCUUNNZUUIUVIUUNUVKUUIUV
      BUUGUUHUFUVIUVKUUEUVBUUGUUHUUCUUNXTUKULUVKUVBUUHUVHUUGUUFUUCUUNYEUMUNUOUP
      ZUUFUVIUVFUUNUUGUVDNUVHUVENUVIUVFNUUFUVBUUGUVDUVHUVEUQUUFUUGUVCXTUUDUFUVD
      UUFUUFUVCXTUUDUUDYEYEUKZULUVCUUDYEXTUMUOUUFUUFUVCYEUUNUVMULURUPUSUVBUVDXT
      UVFUUNUVCUVDXTNYEUTUVCXTYEVAVBUVBUVDUVEVAUVBVCVDVEVFVGVHYNYGUVBOZUVAUEYOU
      USYNYGUDUVNUUQUUSYNYGUVNUUQUEUUSYNYGUVNUUQUUSYNYGUVNUDZUUQUUSYNUVBYFXTYDU
      FZYFYEUUNUFZUFZUUNNZUUQUVOUUPUVSUVJIJUUNYDABUVLUUDYDNZUVIUVRUUNUUGUVPNUVH
      UVQNUVIUVRNUVTUVBUUGUVPUVHUVQUQUVTUUGYFXTUUDUFUVPUVTUUFYFXTUUDUUDYDYEUKZU
      LYFUUDYDXTUMUOUVTUUFYFYEUUNUWAULURUPUSUVNYGUVRUVQUUNUVBUVPUVQVIYFYEUUNVIV
      JVEVFVKVLVGVMVNVOYTUUTUUQUEZUUAYTUUNYENZUWBYQYBUWCUWBUEZYRYQYBUWDYQUUTUWC
      YBUUQYQUUTUWCYBUUQYQUUTUWCYBUDZUUQYQUUTYAUWCXTUUNUFZUWCYEXSUFZUFZUUNNZUUQ
      UWEUUPUWIYAUUGUUFYEXSUFZUFZUUNNIJXSUUNABUUCXSNZUUIUWKUUNUWLUUIYAUUGUUHUFU
      WKUWLUUEYAUUGUUHUUCXSXTUKULUWLYAUUHUWJUUGUUFUUCXSYEUMUNUOUPUUDUUNNZUWKUWH
      UUNUUGUWFNZUWJUWGNUWKUWHNUWMYAUUGUWFUWJUWGUQUWMUUGUWCXTUUDUFUWFUWMUUFUWCX
      TUUDUUDUUNYEUKZULUWCUUDUUNXTUMUOZUWMUUFUWCYEXSUWOULURUPUSYBUWCUWHUWGUUNYA
      UWFUWGVIUWCUWGYEUUNUWCYEXSVALHVPUOVJVEVFVKVQVRVMYRUWCOZUWBUEYQYBYRUUTUWQU
      UQYRUUTUWQUUQYRUUTXTXTNZUWFUWCYEXTUFZUFZUUNNZUUQUWQUUPUXAUWRUUGUUFYEXTUFZ
      UFZUUNNIJXTUUNABUUEUUIUXCUUNUUEUUIUWRUUGUUHUFUXCUUEUUEUWRUUGUUHUUCXTXTUKU
      LUUEUWRUUHUXBUUGUUFUUCXTYEUMUNUOUPUWMUXCUWTUUNUWNUXBUWSNUXCUWTNUWMUWRUUGU
      WFUXBUWSUQUWPUWMUUFUWCYEXTUWOULURUPUSUWQUWFUUNUWTUWCXTUUNVIUWRUWTUWFNXTUT
      UWRUWFUWSVAVBVSVEVFVTVHVNWAWBUUNABWCWDUUQUUNUUINZJBPIAPUURUUPUXDIJABUUIUU
      NWEWFIJKABUUIUUNUUJUUEUUGUUHUUFXTUUDFWGJWGWHUUFYEUUCHWGIWGWHWHZUUJUTZWIWJ
      WKWLYIWMUCUULUUMUEABCDWNYIUUKWMWOVBUUMUUKYJSTZYKYJWMUCUUJYJWPUXGABCDWQIJK
      ABUUIUUJUXEUXFWRYJWMUUJWSWTYIUUKYJXAXBXCXDXEXFVRYLXGASTZYCYLUAXHZASTZUXHU
      AXIUCZAWMUCYLUXJXJXKCUAAWMXLXMXGUXIASXNXOWJEFACXPXQYMXGBSTZYHYMUXIBSTZUXL
      UXKBWMUCYMUXMXJXKDUABWMXLXMXGUXIBSXNXOWJGHBDXPXQXR $.
      $( [1-Oct-2004] $) $( [2-Sep-2004] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( Cross product dominates union for sets with cardinality greater than 1.
       Proposition 10.36 of [TakeutiZaring] p. 93. $)
    unxpdom $p |- ( ( 1o ~< A /\ 1o ~< B ) -> ( A u. B ) ~<_ ( A X. B ) ) $=
      ( vx vy cvv wcel wa c1o csdm wbr cun cxp cdom sdomex pm3.27d anim12i cv
      wi wceq breq2 anbi1d uneq1 xpeq1 breq12d imbi12d anbi2d uneq2 xpeq2
      visset unxpdomlem vtocl2g mpcom ) AEFZBEFZGHAIJZHBIJZGZABKZABLZMJZUOUMUPU
      NUOHEFZUMHANOUPVAUNHBNOPHCQZIJZHDQZIJZGZVBVDKZVBVDLZMJZRUOVEGZAVDKZAVDLZM
      JZRUQUTRCDABEEVBASZVFVJVIVMVNVCUOVEVBAHITUAVNVGVKVHVLMVBAVDUBVBAVDUCUDUEV
      DBSZVJUQVMUTVOVEUPUOVDBHITUFVOVKURVLUSMVDBAUGVDBAUHUDUEVBVDCUIDUIUJUKUL
      $.
      $( [1-Oct-2004] $) $( [15-Sep-2004] $)
  $}

  ${
    unxpdom2.1 $e |- A e. V $.
    unxpdom2.2 $e |- B e. V $.
    $( Corollary of ~ unxpdom . $)
    unxpdom2 $p |- ( ( 1o ~< A /\ B ~<_ A ) -> ( A u. B ) ~<_ ( A X. A ) ) $=
      ( cdom wbr c1o csdm cun cxp csn c0 domtr cen 0ex xpsnen ensymi domentr
      mpan2 com 1onn elisseti endom ax-mp wa cin wceq wne 1ne0 xpsndisj snex
      xpex p0ex undom mpan syl unxpdom cvv wcel wi sdomentr sylanc xpen mp2an
      syl2an ancoms ) BAEFZGAHFZABIZAAJZEFZVIAGKZJZALKZJZIZEFZVPVJEFZVKVGVHVIVP
      VJMVGBVOEFZVQVGAVONFZVSVOACALCOPZQZBAVORSAVMEFZVSVQAVMNFZWCVMACAGCGTUAUBP
      ZQZAVMUCUDWCVSUEVMVOUFLUGZVQGLUHWGUIAGALUJUDAVMBVOAVLCGUKULZDAVNCUMULZUNS
      UOUPVHVPVMVOJZEFZVRGVMHFZGVOHFZWKVHVMVOUQVHWDWLWFVMURUSVHWDUEWLUTWHGAVMUR
      VAUDSVHVTWMWBVOURUSVHVTUEWMUTWIGAVOURVAUDSVBWKWJVJNFZVRVMANFVOANFWNWEWAVM
      AVOAWHCWICVCVDVPWJVJRSUPVEVF $.
      $( [24-Jul-2006] $) $( [16-Sep-2004] $)
  $}

  ${
    $d x A $.
    $( Cross product dominates successor for set with cardinality greater
       than 1.  Proposition 10.38 of [TakeutiZaring] p. 93 (but generalized
       to arbitrary sets, not just ordinals, with a proof using AC). $)
    sucxpdom $p |- ( 1o ~< A -> suc A ~<_ ( A X. A ) ) $=
      ( vx cvv wcel c1o csdm wbr csuc cxp cdom sdomex pm3.27d cv wi wceq breq2
      suceq xpeq1 xpeq2 eqtrd breq12d imbi12d csn cun c0 wa cen wb visset 0ex
      xpsnen sdomen2 mp2an con0 1on elisseti ensn1 sdomen1 bitr sdomdom sylbir
      domrefg ax-mp domen2 mpbir cin wne 1ne0 xpsndisj snex xpex p0ex undom
      mpan2 mpan syl unxpdom sylancbr jca domtr xpen domentr 3syl df-suc
      syl5eqbr vtoclg mpcom ) ACDZEAFGZAHZAAIZJGZWIECDZWHEAKLEBMZFGZWNHZWNWNIZJ
      GZNWIWLNBACWNAOZWOWIWRWLWNAEFPWSWPWJWQWKJWNAQWSWQAWNIWKWNAWNRWNAASTUAUBWO
      WNWNUCZUDZWQWPJWOXAWNEUCZIZWNUEUCZIZUDZJGZXFXCXEIZJGZUFXAXHJGZXAWQJGZWOXG
      XIWOWTXEJGZXGWOWTXEFGZXLXMWTWNFGZWOWNCDZXEWNUGGZXMXNUHBUIZWNUEXQUJUKZXEWN
      WTCULUMWMWTEUGGXNWOUHEUNUOUPZWNXQUQWTEWNCURUMUSWTXEUTVAWNXCJGZXLXGXTWNWNJ
      GZXOYAXQWNCVBVCXOXCWNUGGZXTYAUHXQWNEXQXSUKZXCWNWNCVDUMVEXTXLUFXCXEVFUEOZX
      GEUEVGYDVHWNEWNUEVIVCWNXCWTXEWNXBXQEVJVKZWNVJWNXDXQVLVKZVMVNVOVPEXCFGZEXE
      FGZXIWOXCXEVQXOYBYGWOUHXQYCXCWNECULUMXOXPYHWOUHXQXRXEWNECULUMVRVSXAXFXHVT
      XJXHWQUGGZXKYBXPYIYCXRXCWNXEWNYEXQYFXQWAUMXAXHWQWBVNWCWNWDWEWFWG $.
      $( [24-Jul-2006] $) $( [3-Sep-2004] $)
  $}

  $( Strict dominance implies ordinal membership. $)
  sdomel $p |- ( ( A e. On /\ B e. On ) -> ( A ~< B -> A e. B ) ) $=
    ( con0 wcel csdm wbr wi wa wss cdom wn ssdomg adantr ontri1 domtri 3imtr3d
    a3d ancoms ) BCDZACDZABEFZABDZGSTHZUBUAUCBAIZBAJFZUBKUAKSUDUEGTBACLMBANBACC
    OPQR $.
    $( [21-Nov-2004] $) $( [4-Nov-2003] $)

  $( A set strictly dominates iff its cardinal strictly dominates. $)
  sdomsdomcard $p |- ( A ~< B <-> A ~< ( card ` B ) ) $=
    ( csdm wbr cvv wcel ccrd cfv sdomex pm3.27d wn c0 sdom0 fvprc breq2d
    mtbiri a3i cen wa wi fvex sdomentr ax-mp ex cardid ensymg mpi syl5com
    mpan2i impbid pm5.21nii ) ABCDZBEFZABGHZCDZULAEFUMABIJUMUOUMKZUOALCDAMUPUNL
    ACBGNOPQUMULUOULBUNRDZUOUMULUQUOUNEFULUQSUOTBGUAABUNEUBUCUDUMUNBRDZUQBUEZUN
    BEUFUGUHUMUOURULUSAUNBEUBUIUJUK $.
    $( [12-Jan-2004] $) $( [30-Oct-2003] $)

  $( The cardinality function is idempotent.  Proposition 10.11 of
     [TakeutiZaring] p. 85. $)
  cardidm $p |- ( card ` ( card ` A ) ) = ( card ` A ) $=
    ( cvv wcel ccrd cfv wceq cen wbr cardid wb fvex carden mpan mpbiri wn c0
    card0 fvprc fveq2d 3eqtr4a pm2.61i ) ABCZADEZDEZUCFZUBUEUCAGHZAIUCBCUBUEUFJ
    ADKUCABBLMNUBOZPDEPUDUCQUGUCPDADRZSUHTUA $.
    $( [19-Dec-2003] $) $( [30-Oct-2003] $)

  $( Cantor's theorem in terms of cardinals.  This theorem tells us that no
     matter how large a cardinal number is, there is a still larger cardinal
     number.  Theorem 18.12 of [Monk1] p. 133. $)
  canth3 $p |- ( A e. B -> ( card ` A ) e. ( card ` P~ A ) ) $=
    ( wcel ccrd cfv cpw csdm wbr canth2g cvv wb pwexg cardsdom mpdan mpbird )
    ABCZADEAFZDECZAQGHZABIPQJCRSKABLAQBJMNO $.
    $( [11-Jul-2004] $) $( [5-Nov-2003] $)

  ${
    $d x A $.
    $( An infinite cardinal is a limit ordinal.  Equivalent to Exercise 4 of
       [TakeutiZaring] p. 91. $)
    cardlim $p |- ( om (_ ( card ` A ) <-> Lim ( card ` A ) ) $=
      ( vx com ccrd cfv wss wlim cv csuc wceq con0 wrex wn wcel wa cen wbr wi
      sseq2 biimpd infensuc ex wb limom limsssuc ax-mp syl5ibr sylan9r breq2
      adantl sylibrd com3r imp visset sucid eleq2 mpbiri cardidm syl6eleqr
      cardne syl a1i pm2.65d nrexdv c0 wo peano1 ssel mpi n0i w3o word cardon
      onord ordzsl mpbi 3orass ori 3syl ord mpd limomss impbi ) CADEZFZWDGZWEWD
      BHZIZJZBKLZMWFWEWIBKWEWGKNZOZWIWGWDPQZWEWKWIWMRWKWIWEWMWKWIWEWMRWKWIOWEWG
      WHPQZWMWIWECWHFZWKWNWIWEWOWDWHCSTWKCWGFZWNWOWKWPWNWGUAUBCGWPWOUCUDCWGUEUF
      UGUHWIWMWNUCWKWDWHWGPUIUJUKUBULUMWIWMMZRWLWIWGWDDEZNWQWIWGWDWRWIWGWDNWGWH
      NWGBUNUOWDWHWGUPUQAURUSWGWDUTVAVBVCVDWEWJWFWEVEWDNZWDVEJZMWJWFVFZWEVECNWS
      VGCWDVEVHVIWDVEVJWTXAWTWJWFVKZWTXAVFWDVLXBWDAVMVNBWDVOVPWTWJWFVQVPVRVSVTW
      AWDWBWC $.
      $( [3-Jun-2004] $) $( [30-Oct-2003] $)
  $}

  $( A cardinal strictly dominates its members.  Equivalent to Proposition
     10.37 of [TakeutiZaring] p. 93 (use ~ cardsdom to obtain the exact
     proposition from this one). $)
  cardsdomel $p |- ( A e. On -> ( A ~< B <-> A e. ( card ` B ) ) ) $=
    ( con0 wcel ccrd cfv csdm wbr wss cdom wn ssdom2g wb cardon ontri1 mpan
    domtri 3imtr3d a3d cen wa onelss wi ax-mp syl cardidm eleq2i cardne sylbir
    jca brsdom sylibr impbid1 sdomsdomcard syl5bb ) ACDZABEFZGHZAUQDZABGHUPURUS
    UPUSURUPUQAIZUQAJHZUSKZURKZUQACLUQCDZUPUTVBMBNZUQAOPVDUPVAVCMVEUQACCQPRSUSA
    UQJHZAUQTHKZUAURUSVFVGUSAUQIZVFUQAVEUBVDVHVFUCVEAUQCLUDUEUSAUQEFZDVGVIUQABU
    FUGAUQUHUIUJAUQUKULUMABUNUO $.
    $( [13-Jan-2004] $) $( [2-Nov-2003] $)

  ${
    $d x A $.
    $( Two ways to express the property of being a cardinal number. $)
    iscard $p |- ( ( card ` A ) = A <-> ( A e. On /\ A. x e. A x ~< A ) ) $=
      ( ccrd cfv wceq con0 wcel wa cv csdm wbr wral cardon eleq1 mpbii
      pm4.71ri wss wb cardonle eqss baibr syl onelon cardsdomel ralbidva dfss3
      syl6rbbr bitr3d pm5.32i bitr ) BCDZBEZBFGZULHUMAIZBJKZABLZHULUMULUKFGUMBM
      UKBFNOPUMULUPUMBUKQZULUPUMUKBQZUQULRBSULURUQUKBTUAUBUMUPUNUKGZABLUQUMUOUS
      ABUMUNBGHUNFGUOUSRBUNUCUNBUDUBUEABUKUFUGUHUIUJ $.
      $( [14-Jan-2004] $) $( [2-Nov-2003] $)
  $}

  ${
    $d x y A $.
    $( Two ways to express the property of being a cardinal number.
       Definition 8 of [Suppes] p. 225. $)
    iscard2 $p |- ( ( card ` A ) = A <->
                  ( A e. On /\ A. x e. On ( A ~~ x -> A (_ x ) ) ) $=
      ( vy ccrd cfv wceq con0 wcel wa cv cen wbr wss wi wral cardon eleq1
      mpbii pm4.71ri cardonle biantrurd eqss syl6rbbr crab cint ensymg visset
      ensym impbid1 anbi2d breq1 elrab syl5bb imbi1d impexp syl6bb ralbidv2
      ssint cardval sseq2i bitrd pm5.32i bitr ) BDEZBFZBGHZVEIVFBAJZKLZBVGMZNZA
      GOZIVEVFVEVDGHVFBPVDBGQRSVFVEVKVFVEBVDMZVKVFVLVDBMZVLIVEVFVMVLBTUAVDBUBUC
      VFBCJZBKLZCGUDZUEZMZVKVLVFVIAVPOVKVRVFVIVJAVPGVFVGVPHZVINVGGHZVHIZVINVTVJ
      NVFVSWAVIVFVTVGBKLZIWAVSVFWBVHVTVFWBVHVGBGUFBVGAUGUHUIUJVOWBCVGGVNVGBKUKU
      LUMUNVTVHVIUOUPUQABVPURUMVDVQBCBUSUTUMVAVBVC $.
      $( [27-Nov-2004] $) $( [7-Nov-2003] $)
  $}

  ${
    $d x A $.
    $( An alternate version of the value of the cardinal number of a set.
       Compare ~ cardval .  This theorem could be used to give us a simpler
       definition of ` card ` in place of ~ df-card .  It apparently does not
       occur in the literature. $)
    cardval2 $p |- ( card ` A ) = { x e. On | x ~< A } $=
      ( cv csdm wbr con0 crab wcel wa cab ccrd cfv df-rab cardon onel pm4.71ri
      cardsdomel pm5.32i bitr4 abbii abid2 3eqtr2r ) ACZBDEZAFGUCFHZUDIZAJUCBKL
      ZHZAJUGUDAFMUHUFAUHUEUHIUFUHUEUGUCBNOPUEUDUHUCBQRSTAUGUAUB $.
      $( [12-Feb-2004] $) $( [7-Nov-2003] $)
  $}

  ${
    $d x y z A $.
    $( The collection of ordinal numbers dominated by a set is an ordinal
       number.  (In general, not all collections of ordinal numbers are
       ordinal.)  Theorem 56 of [Suppes] p. 227. $)
    ondomon $p |- ( A e. B -> { x e. On | x ~<_ A } e. On ) $=
      ( vy vz wcel cv cdom wbr con0 crab word wtr wss wa wi wal domtr anim2i
      anassrs onelon onelsst imp cvv visset ssdomg ax-mp syl jca sylan exp31
      com12 imp3a breq1 elrab 3imtr4g gen2 dftr2 mpbir ssrab2 ordon trssord
      mp3an cpw csdm wb wral elisset domsdomtr canth2g sylan2 expcom a1d
      r19.21aiv ss2rab sylibr ccrd cfv cardval2 fvex eqeltrr ssex elong 3syl
      mpbiri ) BCFZAGZBHIZAJKZJFZWILZWIMZWIJNJLWKWLDGZEGZFZWNWIFZOWMWIFZPZEQDQW
      RDEWOWPWQWOWNJFZWNBHIZOWMJFZWMBHIZOZWPWQWOWSWTXCWSWOWTXCPWSWOWTXCXAWMWNHI
      ZOWTXCWSWOOZXAXDWTXCXDWTOXBXAWMWNBRSTXEXAXDWNWMUAXEWMWNNZXDWSWOXFWNWMUBUC
      WMUDFXFXDPDUEWMWNUDUFUGUHUIUJUKULUMWHWTAWNJWGWNBHUNUOWHXBAWMJWGWMBHUNUOUP
      UCUQDEWIURUSWHAJUTVAWIJVBVCWFWIWGBVDZVEIZAJKZNZWIUDFWJWKVFWFWHXHPZAJVGZXJ
      WFBUDFZXLBCVHXMXKAJXMXKWGJFWHXMXHWHBXGVEIXHXMWGBXGVIBUDVJVKVLVMVNUHWHXHAJ
      VOVPWIXIXGVQVRXIUDAXGVSXGVQVTWAWBWIUDWCWDWE $.
      $( [27-Nov-2004] $) $( [7-Nov-2003] $)
  $}

  ${
    $d x y z A $.
    $( The class of ordinal numbers dominated by a set is a cardinal number.
       Theorem 59 of [Suppes] p. 228. $)
    ondomcard $p |- ( A e. B ->
                 ( card ` { x e. On | x ~<_ A } ) = { x e. On | x ~<_ A } ) $=
      ( vy wcel cvv cv cdom wbr con0 crab ccrd cfv wceq elisset cen wss wi
      wral wa ondomon wn csdm domsdomtr breq1 elrab pm3.27bi word eloni ordirr
      syl hbrab1 ax-17 hbbr elrabf biimpr ex mtod wb domtri con2bid mpancom
      mpbird syl2an sdomnen expcom con2d visset ensym syl5 adantr ontri1 sylan
      sylibrd r19.21aiva jca iscard2 sylibr ) BCEBFEZAGZBHIZAJKZLMWBNZBCOVSWBJE
      ZWBDGZPIZWBWEQZRZDJSZTWCVSWDWIABFUAZVSWHDJVSWEJEZTWFWEWBEZUBZWGVSWFWMRWKV
      SWEWBPIZWMWFVSWLWNWLVSWNUBZWLVSTWEWBUCIZWOWEBHIZBWBUCIZWPWLVSWEBWBUDWLWKW
      QWAWQAWEJVTWEBHUEUFUGVSWRWBBHIZUBZVSWDWTWJWDWSWBWBEZWDWBUHXAUBWBUIWBUJUKW
      DWSXAXAWDWSTWAWSADWBJWAADJULZWKAUMADWBBHXBWEHEAUMWEBEAUMUNVTWBBHUEUOUPUQU
      RUKWDVSWRWTUSWJWDVSTWSWRWBBJFUTVAVBVCVDWEWBVEUKVFVGWBWEDVHVIVJVKWDWKWGWMU
      SVSWBWEVLWJVMVNVOVPDWBVQVRUK $.
      $( [2-Dec-2004] $) $( [7-Nov-2003] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( The union of a set of cardinals is a cardinal.  Theorem 18.14 of [Monk1]
       p. 133. $)
    carduni $p |- ( A e. B ->
                  ( A. x e. A ( card ` x ) = x -> ( card ` U. A ) = U. A ) ) $=
      ( vy wcel cv ccrd cfv wceq wral cuni wa wss wn con0 ssonunit fveq2 id
      eqeq12d rcla4v cardon eleq1 mpbii syl6com ssrdv syl5 imp cardonle syl
      elirr wi wex eluni cdom wbr cvv wb uniexg visset carddom mpan bicomd
      sseq1 sylan9bb elssuni ssdomg ax-mp syl5bi ssel syl6 ex com13 syld com4r
      19.23aiv sylbi mtoi jca word eloni onord ordtri4 3syl mpbird ) BCEZAFZGHZ
      WFIZABJZBKZGHZWJIZWEWILZWLWKWJMZWKWJEZNZLZWMWNWPWMWJOEZWNWEWIWRWEBOMWRWIB
      CPWIDBODFZBEZWIWSGHZWSIZWSOEZWHXBAWSBWFWSIZWGXAWFWSWFWSGQXDRSTZXBXAOEXCWS
      UAXAWSOUBUCUDUEUFUGZWJUHUIWMWOWKWKEZWKUJWEWIWOXGUKWOWIWEXGWOWKWSEZWTLZDUL
      WIWEXGUKUKZDWKBUMXIXJDXHWTXJWTWIWEXHXGWTWIXBWEXHXGUKZUKXEWEXBWTXKWEXBWTXK
      UKWEXBLZWTWSWKMZXKXLWSWJUNUOZXMWTWEXNXAWKMZXBXMWEWJUPEZXNXOUQBCURXPXOXNWS
      UPEZXPXOXNUQDUSZWSWJUPUPUTVAVBUIXAWSWKVCVDWTWSWJMZXNWSBVEXQXSXNUKXRWSWJUP
      VFVGUIVHWSWKWKVIVJVKVLVMVNUGVOVPVLUGVQVRWMWRWJVSZWLWQUQZXFWJVTWKVSXTYAWKW
      JUAWAWKWJWBVAWCWDVK $.
      $( [19-Jan-2004] $) $( [1-Nov-2003] $)
  $}

  ${
    $d x y z A $.  $d y z B $.
    $( The indexed union of a set of cardinals is a cardinal. $)
    cardiun $p |- ( A e. C -> ( A. x e. A ( card ` B ) = B ->
                  ( card ` U_ x e. A B ) = U_ x e. A B ) ) $=
      ( vz vy wcel ccrd cfv wceq wral ciun wa cv wrex cab cuni cvv abrexexg
      visset eqeq1 rexbidv elab wi cardidm fveq2 id 3eqtr4a a1i r19.23aiv
      sylbi rgen carduni mpi syl fvex dfiun2 fveq2i 3eqtr4g adantr iuneq2
      adantl fveq2d 3eqtr3d ex ) BDGZCHIZCJABKZABCLZHIZVIJVFVHMZABVGLZHIZVLVJVI
      VFVMVLJVHVFENZVGJZABOZEPZQZHIZVRVMVLVFVQRGZVSVRJZAEBVGDSVTFNZHIZWBJZFVQKW
      AWDFVQWBVQGWBVGJZABOZWDVPWFEWBFTVNWBJVOWEABVNWBVGUAUBUCWEWDABWEWDUDANBGWE
      VGHIVGWCWBCUEWBVGHUFWEUGUHUIUJUKULFVQRUMUNUOVLVRHAEBVGCHUPUQZURWGUSUTVKVL
      VIHVHVLVIJVFABVGCVAVBZVCWHVDVE $.
      $( [21-Jan-2004] $) $( [3-Nov-2003] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( The smallest ordinal that strictly dominates a set is a
       cardinal. $)
    cardmin $p |- ( A e. B -> ( card ` |^| { x e. On | A ~< x } ) =
                      |^| { x e. On | A ~< x } ) $=
      ( vy wcel cv csdm wbr con0 crab cint wral wa ccrd cfv wceq wrex numthcor
      onintrab2 sylib cdom wn wi onelon ex syl breq2 elrab wss ssrab2 onnmin
      mpan sylbir con2d syli cvv wb visset domtri sylibrd ax-17 hbrab1 hbint
      hbbr onminsb jctird domsdomtr syl6 r19.21aiv jca iscard sylibr ) BCEZBAFZ
      GHZAIJZKZIEZDFZVQGHZDVQLZMVQNOVQPVMVRWAVMVOAIQZVRABCRZVOASTZVMVTDVQVMVSVQ
      EZVSBUAHZBVQGHZMVTVMWEWFWGVMWEBVSGHZUBZWFWEVMVSIEZWIVMVRWEWJUCWDVRWEWJVQV
      SUDUEUFWJWHWEWJWHWEUBZWJWHMVSVPEZWKVOWHAVSIVNVSBGUGUHVPIUIWLWKVOAIUJVPVSU
      KULUMUEUNUOVSUPEVMWFWIUQDURVSBUPCUSULUTVMWBWGWCVOWGAADBVQGVSBEAVAVSGEAVAA
      DVPVOADIVBVCVDVNVQBGUGVEUFVFVSBVQVGVHVIVJDVQVKVL $.
      $( [15-Jan-2004] $) $( [28-Oct-2003] $)
  $}

  ${
    $d x y $.
    $( The class of all cardinal numbers is not a set (i.e. is a proper class).
       Theorem 19.8 of [Eisenberg] p. 310. $)
    cardprc $p |- -. { x | ( card ` x ) = x } e. V $=
      ( vy cv ccrd cfv wceq cab cvv wcel cuni cpw canth3 wss wn cdom wbr fvex
      cardidm wb ax-17 hbab1 hbuni hbpw hbfv hbeq fveq2 id eqeq12d elabgf
      ax-mp mpbir elssuni ssdomg mp2 carddom mpan mpbiri syl5ssr con0 cardon
      ontri1 mp2an sylib pm2.65i uniexg mto ) ACZDEZVGFZAGZHIVJJZHIZVLVKDEZVKKZ
      DEZIZVKHLVLVOVMMZVPNZVLVODEZVMVOVLVSVMMZVOVKOPZVOHIZVOVKMZWAVNDQZVOVJIZWC
      WEVSVOFZVNRZWBWEWFSWDVIWFABVOHABVNDBCDIATZABVKABVJVIABUAUBUCUDZABBVSVOABV
      ODWHWIUDWIUEVGVOFZVHVSVGVOVGVODUFWJUGUHUIUJUKVOVJULUJVOVKHUMUNWBVLVTWASWD
      VOVKHHUOUPUQWGURVOUSIVMUSIVQVRSVNUTVKUTVOVMVAVBVCVDVJHVEVF $.
      $( [31-Oct-2004] $) $( [28-Oct-2003] $)
  $}

  ${
    $d x y z $.
    $( The aleph function is a function on the class of ordinal numbers. $)
    alephfnon $p |- aleph Fn On $=
      ( vy vx vz cale con0 wfn cv csdm wbr crab cint wceq copab com crdg
      rdgfnon wb df-aleph fneq1 ax-mp mpbir ) DEFZAGBGCGHICEJKLBAMZNOZEFZNUCPDU
      DLUBUEQBACREDUDSTUA $.
      $( [22-Oct-2003] $) $( [21-Oct-2003] $)

    $( The first infinite cardinal number, discovered by Georg Cantor in 1873,
       has the same size as the set of natural numbers ` om ` (and under our
       particular definition is also equal to it).  In the literature, the
       argument of the aleph function is often written as a subscript, and the
       first aleph is written ` aleph `_0.  Exercise 3 of [TakeutiZaring]
       p. 91.  Also Definition 12(i) of [Suppes] p. 228.  From Kuratowski and
       Mostowski, _Set Theory_, p. 95:  "Aleph...the first letter in the Hebrew
       alphabet...is also the first letter of the Hebrew word...(_einsoph_,
       meaning infinity), which is a cabbalistic appellation of the deity.  The
       notation is due to Cantor, who was deeply interested in mysticism." $)
    aleph0 $p |- ( aleph ` (/) ) = om $=
      ( vy vx vz c0 cale cfv cv csdm wbr con0 crab cint wceq copab com crdg
      df-aleph fveq1i omex rdg0 eqtr ) DEFDAGBGCGHICJKLMBANZOPZFODEUCBACQROUBST
      UA $.
      $( [21-Oct-2003] $) $( [21-Oct-2003] $)
  $}

  ${
    $d x y z w A $.
    $( Value of the aleph function at a limit ordinal.  Definition 12(iii) of
       [Suppes] p. 91. $)
    alephlim $p |- ( ( A e. B /\ Lim A ) -> ( aleph ` A ) =
                   U_ x e. A ( aleph ` x ) ) $=
      ( vz vy vw wcel wlim wa cv csdm wbr con0 crab cint wceq copab com crdg
      cfv ciun cale rdglim2a df-aleph fveq1i a1i iuneq2i 3eqtr4g ) BCGBHIBDJEJF
      JKLFMNOPEDQZRSZTABAJZUJTZUABUBTABUKUBTZUAARBCUIUCBUBUJEDFUDZUEABUMULUMULP
      UKBGUKUBUJUNUEUFUGUH $.
      $( [22-Oct-2003] $) $( [21-Oct-2003] $)

    $( An aleph is an ordinal number. $)
    alephon $p |- ( aleph ` A ) e. On $=
      ( vx vy vz vw con0 wcel cale cfv cv c0 csuc wceq fveq2 eleq1d com aleph0
      omelon eqeltr csdm wbr crab cint cvv wb wa ax-17 df-aleph breq1 rabbisdv
      inteqd rdgsucopab onintrab syl6rbbr ex ibd wn rdgsucopabn 0elon syl6eqel
      pm2.61d1 a1d wlim ciun wral visset alephlim mpan fvex iunon syl5bir
      tfinds cdm wfn alephfnon fndm ax-mp eleq2i negbii ndmfv sylbir pm2.61i )
      AFGZAHIZFGZBJZHIZFGZKHIZFGCJZHIZFGZWJLZHIZFGZWEBCAWFKMWGWIFWFKHNOWFWJMWGW
      KFWFWJHNOWFWMMWGWNFWFWMHNOWFAMWGWDFWFAHNOWIPFQRSWJFGZWOWLWPWKWFTUAZBFUBZU
      CZUDGZWOWPWTWOWPWTWTWOUEWPWTUFZWOWSFGWTXAWNWSFDCEPWJDJZWFTUAZBFUBZUCZWSUD
      HEJZPGDUGZXFWJGDUGZXFWSGDUGZDCBUHZXBWKMZXDWRXKXCWQBFXBWKWFTUIUJUKZULOWQBU
      MUNUOUPWTUQWNKFDCEPWJXEWSHXGXHXIXJXLURUSUTVAVBWFVCZWHCWFWKVDZFGWLCWFVEXMW
      GXNFWFUDGXMWGXNMBVFZCWFUDVGVHOCWFWKXOWJHVIVJVKVLWCUQZWDKFXPAHVMZGZUQWDKMX
      RWCXQFAHFVNXQFMVOFHVPVQVRVSAHVTWAUSUTWB $.
      $( [10-Dec-2003] $) $( [10-Nov-2003] $)

    $( Value of the aleph function at a successor ordinal.  Definition 12(ii)
       of [Suppes] p. 91. $)
    alephsuc $p |- ( A e. On -> ( aleph ` suc A ) =
                    |^| { x e. On | ( aleph ` A ) ~< x } ) $=
      ( vy vz vw con0 wcel cale cfv cv csdm wbr crab cint cvv csuc wceq wrex
      fvex numthcor ax-mp intexrab mpbi com ax-17 df-aleph breq1 rabbisdv
      inteqd rdgsucopab mpan2 ) BFGBHIZAJZKLZAFMZNZOGZBPHIUPQUNAFRZUQULOGURBHSA
      ULOTUAUNAFUBUCCDEUDBCJZUMKLZAFMZNUPOHEJZUDGCUEVBBGCUEVBUPGCUECDAUFUSULQZV
      AUOVCUTUNAFUSULUMKUGUHUIUJUK $.
      $( [11-Nov-2003] $) $( [22-Oct-2003] $)
  $}

  ${
    $d x y A $.  $d y B $.
    $( Every aleph is a cardinal number.  Theorem 65 of [Suppes] p. 229. $)
    alephcard $p |- ( card ` ( aleph ` A ) ) = ( aleph ` A ) $=
      ( vx vy con0 wcel cale cfv ccrd wceq cv c0 csuc fveq2 fveq2d eqeq12d com
      cardom aleph0 fveq2i 3eqtr4 csdm wbr crab cint cvv fvex cardmin ax-mp
      alephsuc 3eqtr4a a1d wlim wral wa ciun wi visset cardiun adantl alephlim
      mpan adantr 3eqtr4d ex tfinds wn card0 cdm wfn alephfnon fndm eleq2i
      negbii ndmfv sylbir pm2.61i ) ADEZAFGZHGZVRIZBJZFGZHGZWBIZKFGZHGZWEICJZFG
      ZHGZWHIZWGLZFGZHGZWLIZVTBCAWAKIZWCWFWBWEWOWBWEHWAKFMZNWPOWAWGIZWCWIWBWHWQ
      WBWHHWAWGFMZNWROWAWKIZWCWMWBWLWSWBWLHWAWKFMZNWTOWAAIZWCVSWBVRXAWBVRHWAAFM
      ZNXBOPHGPWFWEQWEPHRSRTWGDEZWNWJXCWHWAUAUBBDUCUDZHGZXDWMWLWHUEEXEXDIWGFUFB
      WHUEUGUHXCWLXDHBWGUIZNXFUJUKWAULZWJCWAUMZWDXGXHUNZCWAWHUOZHGZXJWCWBXHXKXJ
      IZXGWAUEEZXHXLUPBUQZCWAWHUEURUHUSXIWBXJHXGWBXJIZXHXMXGXOXNCWAUEUTVAVBZNXP
      VCVDVEVQVFZKHGKVSVRVGXQVRKHXQAFVHZEZVFVRKIXSVQXRDAFDVIXRDIVJDFVKUHVLVMAFV
      NVOZNXTUJVP $.
      $( [22-Jan-2004] $) $( [25-Oct-2003] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( No cardinal can be sandwiched between an aleph and its successor aleph.
       Theorem 67 of [Suppes] p. 229. $)
    alephnbtwn $p |- ( ( card ` B ) = B ->
                   -. ( ( aleph ` A ) e. B /\ B e. ( aleph ` suc A ) ) ) $=
      ( vx con0 wcel ccrd cfv wceq cale csuc wa wn wi csdm wbr wb eleq2
      alephon cardsdomel ax-mp syl5bb adantl cv crab cint alephsuc eleq2d
      biimpd breq2 onnminsb sylan9 con2d cardon eleq1 mpbii sylan2 sylbird
      imnan sylib ex c0 n0i cdm wfn alephfnon fndm eleq2i negbii ndmfv sylbir
      nsyl2 sucelon sylibr con3i a1d pm2.61i ) ADEZBFGZBHZAIGZBEZBAJZIGZEZKZLZM
      VQVSWFVQVSKZWAWDLZMWFWGWAVTBNOZWHVSWIWAPVQVSVTVREZWAWIVRBVTQVTDEWIWJPARVT
      BSTUAUBVQBDEZWIWHMVSVQWKKWDWIVQWDBVTCUCZNOZCDUDUEZEZWKWILVQWDWOVQWCWNBCAU
      FUGUHWMWICBWLBVTNUIUJUKULVSVRDEWKBUMVRBDUNUOUPUQWAWDURUSUTVQLWFVSWEVQWDVQ
      WAWDWBDEZVQWDWCVAHZWPWCBVBWPLWBIVCZEZLWQWSWPWRDWBIDVDWRDHVEDIVFTVGVHWBIVI
      VJVKAVLVMUBVNVOVP $.
      $( [25-Jan-2004] $) $( [10-Nov-2003] $)
  $}

  $( No set has equinumerosity between an aleph and its successor aleph. $)
  alephnbtwn2 $p |- -. ( ( aleph ` A ) ~< B /\ B ~< ( aleph ` suc A ) ) $=
    ( cvv wcel cale cfv csdm wbr csuc wa wn ccrd wceq cardidm alephnbtwn ax-mp
    wb con0 alephon cardsdomel a1i cardsdom mpan2 alephcard eleq2i syl5rbbr
    anbi12d mtbiri relsdom brrelexi adantl con3i pm2.61i ) BCDZAEFZBGHZBAIZEFZG
    HZJZKUNUTUOBLFZDZVAURDZJZVALFVAMVDKBNAVAOPUNUPVBUSVCUPVBQZUNUORDVEASUOBTPUA
    UNVAURLFZDZUSVCUNURRDVGUSQUQSBURCRUBUCVFURVAUQUDUEUFUGUHUTUNUSUNUPBURGUIUJU
    KULUM $.
    $( [8-Feb-2004] $) $( [3-Nov-2003] $)

  $( The power set of an aleph dominates the successor aleph.  (The
     Generalized Continuum Hypothesis says they are equinumerous.) $)
  alephsucpw $p |- ( aleph ` suc A ) ~<_ P~ ( aleph ` A ) $=
    ( csuc cale cfv cpw cdom wbr csdm wn fvex canth2 wi wa alephnbtwn2 imnan
    mpbir ax-mp cvv wcel wb pwex domtri mp2an ) ABZCDZACDZEZFGZUGUEHGZIZUFUGHGZ
    UJUFACJZKUKUJLUKUIMIAUGNUKUIOPQUERSUGRSUHUJTUDCJUFULUAUEUGRRUBUCP $.
    $( [29-Aug-2005] $) $( [27-Aug-2005] $)

  $( The set exponentiation of 2 to the aleph-zero has cardinality of at least
     aleph-one.  (If we were to assume the Continuum Hypothesis, their
     cardinalities would be the same.) $)
  aleph1 $p |- ( aleph ` 1o ) ~<_ ( 2o ^m ( aleph ` (/) ) ) $=
    ( c1o cale cfv c0 csuc c2o cm co cdom df-1o fveq2i cpw wbr alephsucpw cvv
    wcel cen wb oprex fvex pw2en domen2 mp2an mpbi eqbrtr ) ABCDEZBCZFDBCZGHZIA
    UFBJKUGUHLZIMZUGUIIMZDNUIOPUJUIQMUKULRFUHGSUHDBTUAUJUIUGOUBUCUDUE $.
    $( [8-Jul-2004] $) $( [7-Jul-2004] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( Lemma for ~ alephordi . $)
    alephordlem1 $p |- ( A e. On -> ( aleph ` A ) ~< ( aleph ` suc A ) ) $=
      ( vx vy con0 wcel cale cfv cv csdm wbr crab cint csuc alephsuc wrex
      alephon numthcor ax-mp ax-17 hbrab1 hbint hbbr breq2 onminsb syl5breqr )
      ADEAFGZBHZIJZBDKZLZAMFGUFIBANUHBDOZUFUJIJZUFDEUKAPBUFDQRUHULBBCUFUJICHZUF
      EBSUMIEBSBCUIUHBCDTUAUBUGUJUFIUCUDRUE $.
      $( [9-Feb-2004] $) $( [26-Oct-2003] $)

    $( Lemma for ~ alephordi . $)
    alephordlem2 $p |- ( ( B e. V /\ Lim B ) ->
                       ( A e. B -> ( aleph ` A ) ~<_ ( aleph ` B ) ) ) $=
      ( vx cvv wcel wlim wa cale cfv wss cdom wbr cv ciun alephlim sseq2d
      fveq2 ssiun2s syl5bir con0 wi alephon ssdomg ax-mp syl6 ) BDEBFGZABEZAHIZ
      BHIZJZUHUIKLZUFUJUHCBCMZHIZNZJUGUFUIUNUHCBDOPCBUMAUHULAHQRSUHTEUJUKUAAUBU
      HUITUCUDUE $.
      $( [9-Feb-2004] $) $( [26-Oct-2003] $)

    $( Strict ordering property of the aleph function. $)
    alephordi $p |- ( B e. On ->
                    ( A e. B -> ( aleph ` A ) ~< ( aleph ` B ) ) ) $=
      ( vx vy cv wcel cale cfv csdm wbr wi c0 csuc wceq eleq2 fveq2 breq2d
      imbi12d noel pm2.21i con0 wo sdomtr alephordlem1 sylan2 expcom imim2d
      com23 breq1d syl5bir a1d com3r jaod visset elsuc2 syl5ib wlim wral cdom
      cen wn wa wss ciun cvv alephlim mpan sseq2d ssiun2s alephon ssdomg ax-mp
      syl6 limsuc alephordlem2 sylbid imp domnsym syl fvex ensym ensdomtr ex
      syl5 onelon limelon sylan syl5com mtod jcad brsdom syl6ibr tfinds ) ACEZF
      ZAGHZWNGHZIJZKZALFZWPLGHZIJZKADEZFZWPXCGHZIJZKZAXCMZFZWPXHGHZIJZKABFZWPBG
      HZIJZKCDBWNLNZWOWTWRXBWNLAOXOWQXAWPIWNLGPQRWNXCNZWOXDWRXFWNXCAOXPWQXEWPIW
      NXCGPQRWNXHNZWOXIWRXKWNXHAOXQWQXJWPIWNXHGPQRWNBNZWOXLWRXNWNBAOXRWQXMWPIWN
      BGPQRWTXBASTXCUAFZXIXGXKXSXDAXCNZUBXGXKKZXIXSXDYAXTXSXGXDXKXSXFXKXDXFXSXK
      XFXEXJIJZXKXSWPXEXJUCXCUDZUEUFUGUHXTXGXSXKXTXSXKKXGXTXKYBXSXTWPXEXJIAXCGP
      UIYCUJUKULUMXCADUNUOUPUHWNUQZWSXGDWNURYDWOWPWQUSJZWPWQUTJZVAZVBWRYDWOYEYG
      YDWOWPWQVCZYEYDYHWPDWNXEVDZVCWOYDWQYIWPWNVEFZYDWQYINCUNZDWNVEVFVGVHDWNXEA
      WPXCAGPVIUJWPUAFYHYEKAVJWPWQUAVKVLVMYDWOYGYDWOVBZYFWQAMZGHZIJZYLYNWQUSJZY
      OVAYDWOYPYDWOYMWNFZYPWNAVNYJYDYQYPKYKYMWNVOVGVPVQYNWQVRVSYFAUAFZYOYLYFWPY
      NIJZYOYRYFWQWPUTJZYSYOKWPWQWNGVTWAYTYSYOWQWPYNWBWCVSAUDWDWNUAFZWOYRYDWNAW
      EYJYDUUAYKWNVEWFVGWGWHWIWCWJWPWQWKWLUKWM $.
      $( [9-Feb-2004] $) $( [26-Oct-2003] $)
  $}

  $( Ordering property of the aleph function. $)
  alephord $p |- ( ( A e. On /\ B e. On ) ->
                 ( A e. B <-> ( aleph ` A ) ~< ( aleph ` B ) ) ) $=
    ( con0 wcel wa cale cfv csdm wbr wi alephordi adantl cdom cen wn wss wne
    con3d wb alephon domtri mp2an syl5ib adantr ontri1 sylibrd wceq fveq2
    eqeng ax-mp syl necon3bi a1i anim12d onelpsst brsdom impbid ) ACDZBCDZEZABD
    ZAFGZBFGZHIZUSVAVDJURABKLUTVBVCMIZVBVCNIZOZEZVAVDUTVHABPZABQZEVAUTVEVIVGVJU
    TVEBADZOZVIURVEVLJUSURVCVBHIZOZVLVEURVKVMBAKRVBCDZVCCDVEVNSATZBTVBVCCCUAUBU
    CUDABUEUFVGVJJUTVFABABUGVBVCUGZVFABFUHVOVQVFJVPVBVCCUIUJUKULUMUNABUOUFVBVCU
    PUCUQ $.
    $( [10-Feb-2004] $) $( [26-Oct-2003] $)

  $( Ordering property of the aleph function.  Theorem 8A(a) of [Enderton]
     p. 213 and its converse. $)
  alephord2 $p |- ( ( A e. On /\ B e. On ) ->
                  ( A e. B <-> ( aleph ` A ) e. ( aleph ` B ) ) ) $=
    ( con0 wcel wa cale cfv csdm wbr alephord ccrd wb alephon cardsdomel ax-mp
    alephcard eleq2i bitr syl6bb ) ACDBCDEABDAFGZBFGZHIZTUADZABJUBTUAKGZDZUCTCD
    UBUELAMTUANOUDUATBPQRS $.
    $( [11-Feb-2004] $) $( [3-Nov-2003] $)

  $( Ordering property of the aleph function.  Theorem 66 of [Suppes]
     p. 229. $)
  alephord2i $p |- ( B e. On ->
                   ( A e. B -> ( aleph ` A ) e. ( aleph ` B ) ) ) $=
    ( con0 wcel cale cfv wa onelon wi alephord2 biimpd ex imp3a mpcom ) BCDZABD
    ZAEFBEFDZACDZOPGQBAHROPQROPQIROGPQABJKLMNL $.
    $( [26-Feb-2004] $) $( [25-Oct-2003] $)

  $( Ordering property of the aleph function. $)
  alephord3 $p |- ( ( A e. On /\ B e. On ) ->
                  ( A (_ B <-> ( aleph ` A ) (_ ( aleph ` B ) ) ) $=
    ( con0 wcel wa wn cale cfv wss wb alephord2 ancoms negbid ontri1 alephon
    mp2an a1i 3bitr4d ) ACDZBCDZEZBADZFBGHZAGHZDZFZABIUDUCIZUAUBUETSUBUEJBAKLMA
    BNUGUFJZUAUDCDUCCDUHAOBOUDUCNPQR $.
    $( [12-Feb-2004] $) $( [11-Nov-2003] $)

  $( The aleph function is one-to-one. $)
  aleph11 $p |- ( ( A e. On /\ B e. On ) ->
                ( ( aleph ` A ) = ( aleph ` B ) <-> A = B ) ) $=
    ( con0 wcel wa wceq cale cfv wss alephord3 wb ancoms anbi12d eqss 3bitr4g
    bicomd ) ACDZBCDZEZABFZAGHZBGHZFZSABIZBAIZEUAUBIZUBUAIZETUCSUDUFUEUGABJRQUE
    UGKBAJLMABNUAUBNOP $.
    $( [29-Aug-2004] $) $( [3-Aug-2004] $)

  $( A set dominated by an aleph is strictly dominated by its successor
     aleph and vice-versa. $)
  alephsucdom $p |- ( B e. On ->
                    ( A ~<_ ( aleph ` B ) <-> A ~< ( aleph ` suc B ) ) ) $=
    ( cvv wcel con0 cale cfv cdom wbr csuc csdm wb wi wa domsdomtr ex
    alephordlem1 syl5com adantl wn fvex domtri mpan2 alephnbtwn2 imnan mpbir
    con2i syl5bir adantr impbid reldom brrelexi relsdom pm5.21ni a1d pm2.61i )
    ACDZBEDZABFGZHIZABJFGZKIZLZMUQURVCUQURNUTVBURUTVBMUQUTUSVAKIZVBURUTVDVBAUSV
    AOPBQRSUQVBUTMURUQUTUSAKIZTZVBUQUSCDUTVFLBFUAAUSCCUBUCVEVBVEVBTMVEVBNTBAUDV
    EVBUEUFUGUHUIUJPUQTVCURUTUQVBAUSHUKULAVAKUMULUNUOUP $.
    $( [11-Feb-2004] $) $( [3-Nov-2003] $)

  ${
    $d x A $.
    $( An alternate representation of a successor aleph.  Using this theorem
       we could define the aleph function with ` { z e. On | z ~<_ x } `
       in place of ` |^| { z e. On | x ~< z } ` in ~ df-aleph . $)
    alephsuc2 $p |- ( A e. On ->
                ( aleph ` suc A ) = { x e. On | x ~<_ ( aleph ` A ) } ) $=
      ( con0 wcel cv cale cfv cdom wbr crab csuc csdm alephsucdom rabbisdv
      ccrd alephcard cardval2 eqtr3 syl6reqr ) BCDZAEZBFGHIZACJUABKZFGZLIZACJZU
      DTUBUEACUABMNUDOGUDUFUCPAUDQRS $.
      $( [13-Feb-2004] $) $( [3-Nov-2003] $)
  $}

  $( Every aleph is greater than or equal to the set of natural numbers. $)
  alephgeom $p |- ( A e. On <-> om (_ ( aleph ` A ) ) $=
    ( con0 wcel com cale cfv wss c0 0ss wb 0elon alephord3 mpan mpbii aleph0
    syl5ssr cdm wn peano1 word ordom ord0 ordtri1 mp2an con2bii mpbi ndmfv
    sseq2d mtbiri a3i wfn wceq alephfnon fndm ax-mp syl6eleq impbi ) ABCZDAEFZG
    ZURHEFZUSDURHAGZVAUSGZAIHBCURVBVCJKHALMNOPUTAEQZBAVDCZUTVERZUTDHGZHDCZVGRSV
    GVHDTHTVGVHRJUAUBDHUCUDUEUFVFUSHDAEUGUHUIUJEBUKVDBULUMBEUNUOUPUQ $.
    $( [18-Feb-2004] $) $( [11-Nov-2003] $)

  $( Every aleph is a limit ordinal. $)
  alephislim $p |- ( A e. On <-> Lim ( aleph ` A ) ) $=
    ( con0 wcel com cale cfv wss wlim alephgeom ccrd cardlim alephcard sseq2i
    wceq wb limeq ax-mp 3bitr3 bitr ) ABCDAEFZGZTHZAIDTJFZGUCHZUAUBTKUCTDALZMUC
    TNUDUBOUEUCTPQRS $.
    $( [4-Jun-2004] $) $( [11-Nov-2003] $)

  ${
    $d x y A $.
    $( The argument of the aleph function is less than or equal to its value.
       Exercise 2 of [TakeutiZaring] p. 91.  (Later, in ~ alephfp2 , we will
       that equality can sometimes hold.) $)
    alephle $p |- ( A e. On -> A (_ ( aleph ` A ) ) $=
      ( vx vy cv cale cfv wss wceq id fveq2 sseq12d con0 wcel wral wa
      alephord2i imp wi onelon alephon ontr2 mpan2 syl mpan2d r19.20dva wn wb
      ontri1 elirr eleq1 rcla4cv mtoi syl5bir syld tfis3 ) BDZUPEFZGZCDZUSEFZGZ
      AAEFZGBCAUPUSHZUPUSUQUTVCIUPUSEJKUPAHZUPAUQVBVDIUPAEJKUPLMZVACUPNUSUQMZCU
      PNZURVEVAVFCUPVEUSUPMZOZVAUTUQMZVFVEVHVJUSUPPQVIUSLMZVAVJOVFRZUPUSSVKUQLM
      ZVLUPTZUSUTUQUAUBUCUDUEVEURUQUPMZUFZVGVEVMURVPUGVNUPUQUHUBVGVOUQUQMZUQUIV
      FVQCUQUPUSUQUQUJUKULUMUNUO $.
      $( [26-Feb-2004] $) $( [9-Nov-2003] $)

    $( Given any transfinite cardinal number ` A ` , there is exactly one aleph
       that is equal to it.  Here we compute that aleph _explicitly_. $)
    cardaleph $p |- ( ( om (_ A /\ ( card ` A ) = A ) ->
                  A = ( aleph ` |^| { x e. On | A (_ ( aleph ` x ) } ) ) $=
      ( vy com wss ccrd cfv wceq wa cv cale con0 crab cint c0 csuc wrex wlim
      wo wcel cardon eleq1 mpbii alephle fveq2 sseq2d rcla4ev mpdan onintrab2
      sylib word eloni w3o ordzsl 3orass bitr 3syl adantl wi ax-17 hbrab1
      hbint hbfv hbss onminsb a1i aleph0 syl6eq sseq1d biimprd anim12d eqss
      syl6ibr com12 ancoms wn onnminsb visset sucid eleq2 mpbiri syl5 imp csdm
      wbr alephsuc sylan9eqr eleq2d biimpd cdom breq2 cvv wb fvex domtri mpan2
      sylibrd carddom syl sseq1 alephcard sseq2i syl6bb sylibd sylan9r mtod
      exp32 r19.23adv onelon sylan adantld mpcom alephon onelss nsyl nrexdv
      adantr ciun alephlim eliun mtbird ex jaod onsseleq mpbid ord syld mpd )
      DBEZBFGZBHZIZBAJZKGZEZALMZNZOHZYQCJZPZHZCLQZYQRZSZSZBYQKGZHZYKUUEYIYKBLTZ
      YQLTZUUEYKYJLTUUHBUAYJBLUBUCZUUHYOALQZUUIUUHBBKGZEZUUKBUDYOUUMABLYMBHYNUU
      LBYMBKUEUFUGUHZYOAUIUJZUUIYQUKZUUEYQULUUPYRUUBUUCUMUUECYQUNYRUUBUUCUOUPUJ
      UQURYLYRUUGUUDYKYIYRUUGUSYRYKYIIZUUGYRUUQBUUFEZUUFBEZIUUGYRYKUURYIUUSYKUU
      RUSYRYKUUHUUKUURUUJUUNYOUURAACBUUFYSBTAUTACYQKYSKTAUTACYPYOACLVAVBVCVDYMY
      QHYNUUFBYMYQKUEUFVEZUQVFYRUUSYIYRUUFDBYRUUFOKGDYQOKUEVGVHVIVJVKBUUFVLVMVN
      VOYKUUDUUGUSYIYKUUDBUUFTZVPZUUGYKUUBUVBUUCYKUUAUVBCLYKYSLTZUUAUVBYKUVCUUA
      IZIUVABYSKGZEZUVDUVFVPZYKUVCUUAUVGUVCYSYQTZUVGUUAYOUVFAYSYMYSHYNUVEBYMYSK
      UEUFVQZUUAUVHYSYTTYSCVRVSYQYTYSVTWAWBWCURUVDUVABUVEYMWDWEZALMNZTZYKUVFUVD
      UVAUVLUVDUUFUVKBUUAUVCUUFYTKGUVKYQYTKUEAYSWFWGWHWIYKUVLYJUVEFGZEZUVFYKUUH
      UVLUVNUSUUJUUHUVLBUVEWJWEZUVNUUHUVLUVEBWDWEZVPZUVOUVJUVPABYMBUVEWDWKVQUUH
      UVEWLTZUVOUVQWMYSKWNZBUVELWLWOWPWQUUHUVRUVNUVOWMUVSBUVELWLWRWPWQWSYKUVNBU
      VMEUVFYJBUVMWTUVMUVEBYSXAXBXCXDXEXFXGXHYKUUHUUCUVBUSUUJUUHUUCUVBUUHUUCIZU
      VABUVETZCYQQZUUHUWBVPUUCUUHUWACYQUUHUVHIZUVFUWAUVCUWCUVGUUIUVHUVCUUHYQYSX
      IUUOXJUVCUVHUVGUUHUVIXKXLUVEBYSXMXNXOXPXQUVTUVABCYQUVEXRZTUWBUVTUUFUWDBUU
      IUUCUUFUWDHUUHCYQLXSUUOXJWHCBYQUVEXTXCYAYBWSYCYKUUHUVBUUGUSUUJUUHUVAUUGUU
      HUURUVAUUGSZUUHUUKUURUUNUUTWSUUHUUFLTUURUWEWMYQXMBUUFYDWPYEYFWSYGURYCYH
      $.
      $( [27-Feb-2004] $) $( [9-Nov-2003] $)

    $( Every transfinite cardinal is an aleph and vice-versa.  Theorem 8A(b) of
       [Enderton] p. 213 and its converse. $)
    cardalephex $p |- ( om (_ A ->
                   ( ( card ` A ) = A <-> E. x e. On A = ( aleph ` x ) ) ) $=
      ( vy com wss ccrd cfv wceq cv cale con0 wrex crab cint wcel wa fveq2
      eqeq2d rcla4ev pm3.26 cardaleph sseq2d alephgeom syl6bbr mpbid sylanc ex
      wi alephcard id 3eqtr4a a1i r19.23aiv impbid1 ) DBEZBFGZBHZBAIZJGZHZAKLZU
      OUQVABCIJGECKMNZKOZBVBJGZHZVAUOUQPZUTVEAVBKURVBHUSVDBURVBJQRSVFUOVCUOUQTV
      FUODVDEVCVFBVDDCBUAZUBVBUCUDUEVGUFUGUTUQAKUTUQUHURKOUTUSFGUSUPBURUIBUSFQU
      TUJUKULUMUN $.
      $( [6-Nov-2004] $) $( [5-Nov-2003] $)
  $}

  ${
    $d x A $.
    $( Two ways to express the property of being a transfinite cardinal. $)
    isinfcard $p |- ( ( om (_ A /\ ( card ` A ) = A ) <-> A e. ran aleph ) $=
      ( vx cv cale cfv wceq con0 wrex crn wcel com wss ccrd wa eqcom rexbii
      wfn wb alephfnon fvelrnb ax-mp cardalephex pm5.32i sseq2 alephgeom biimp
      syl5cbir r19.23aiv pm4.71ri bitr4 3bitr4r ) BCZDEZAFZBGHZAUMFZBGHZADIJZKA
      LZAMEAFZNZUNUPBGUMAOPDGQURUORSBGADTUAVAUSUQNUQUSUTUQBAUBUCUQUSUPUSBGUPUSK
      UMLZULGJZAUMKUDVCVBULUEUFUGUHUIUJUK $.
      $( [18-Nov-2004] $) $( [9-Nov-2003] $)
  $}

  $( Two ways to express the property of being a cardinal number. $)
  iscard3 $p |- ( ( card ` A ) = A <-> A e. ( om u. ran aleph ) ) $=
    ( ccrd cfv wceq com wcel cale crn wo cun wn wss con0 word cardon eleq1
    mpbii eloni ordom ordtri2or mpan2 3syl ord wa isinfcard biimp expcom syld
    orrd cardnn bicomi pm3.27bi jaoi impbi elun bitr4 ) ABCZADZAEFZAGHZFZIZAEUT
    JFURVBURUSVAURUSKEALZVAURUSVCURAMFZANZUSVCIZURUQMFVDAOUQAMPQARVEENVFSAETUAU
    BUCVCURVAVCURUDZVAAUEZUFUGUHUIUSURVAAUJVAVCURVGVAVHUKULUMUNAEUTUOUP $.
    $( [19-Nov-2004] $) $( [9-Nov-2003] $)

  $( Two ways to express the class of all cardinal numbers, which consists
     of the finite ordinals in ` om ` plus the transfinite alephs. $)
  cardnum $p |- { x | ( card ` x ) = x } = ( om u. ran aleph ) $=
    ( com cale crn cun cv ccrd cfv wceq cab wcel iscard3 bicomi abbi2i eqcomi
    ) BCDEZAFZGHQIZAJRAPRQPKQLMNO $.
    $( [25-Nov-2004] $) $( [10-Sep-2004] $)

  ${
    $d x F $.  $d x A $.
    $( The union of the image of a mapping to cardinals is a cardinal.
       Proposition 11.16 of [TakeutiZaring] p. 104. $)
    carduniima $p |- ( A e. B -> ( F : A --> ( om u. ran aleph ) ->
                     U. ( F " A ) e. ( om u. ran aleph ) ) ) $=
      ( vx wcel com cale crn cun wf cima cuni ccrd cfv wceq cvv wfun funimaexg
      ffun sylan expcom cv wral carduni wfn ffn fnima syl frn eqsstrd sseld
      iscard3 syl6ibr r19.21aiv syl5 syli syl6ib ) ABEZAFGHIZCJZCAKZLZMNVBOZVBU
      SEUTURVAPEZVCUTURVDCQURVDUTCABRAUSCSTUAVDDUBZMNVEOZDVAUCVCUTDVAPUDUTVFDVA
      UTVEVAEVEUSEVFUTVAUSVEUTVACHZUSUTCAUEVAVGOAUSCUFACUGUHAUSCUIUJUKVEULUMUNU
      OUPVBULUQ $.
      $( [5-Dec-2004] $) $( [4-Nov-2004] $)

    $( If a mapping to cardinals has an infinite value, then the union of its
       image is an infinite cardinal.  Corollary 11.17 of [TakeutiZaring]
       p. 104. $)
    cardinfima $p |- ( A e. B -> ( ( F : A --> ( om u. ran aleph ) /\
         E. x e. A ( F ` x ) e. ran aleph ) -> U. ( F " A ) e. ran aleph ) ) $=
      ( wcel cvv com cale crn cun wf cv cfv wrex wa cima cuni wi elisset wss
      ccrd wceq isinfcard bicomi pm3.26bi wfn fnfvelrn ex fnima eleq2d sylibrd
      elssuni syl6 imp ffn sylan sylan9ssr anasss a1i carduniima iscard3
      syl6ibr adantrd jcad syl6ib exp4d r19.23adv imp3a syl ) BCEBFEZBGHIZJZDKZ
      ALZDMZVKEZABNZODBPZQZVKEZRBCSVJVMVQVTVJVMVQVTRVJVMOVPVTABVJVMVNBEZVPVTRRV
      JVMWAVPVTVJVMWAVPOZOZGVSTZVSUAMVSUBZOVTVJWCWDWEWCWDRVJVMWAVPWDVPVMWAOGVOV
      SVPGVOTZVOUAMVOUBZWFWGOVPVOUCUDUEDBUFZWAVOVSTZVMWHWAWIWHWAVOVREZWIWHWAVOD
      IZEZWJWHWAWLBVNDUGUHWHVRWKVOBDUIUJUKVOVRULUMUNBVLDUOUPUQURUSVJVMWEWBVJVMV
      SVLEWEBFDUTVSVAVBVCVDVSUCVEVFUNVGUHVHVI $.
      $( [26-Dec-2004] $) $( [4-Nov-2004] $)
  $}

  ${
    $d x y z $.
    $( Aleph is an order isomorphism of the class of ordinal numbers onto the
       class of infinite cardinals.  Definition 10.27 of [TakeutiZaring]
       p. 90. $)
    alephiso $p |- aleph Isom E , E ( On ,
                   { x | ( om (_ x /\ ( card ` x ) = x ) } ) $=
      ( vy vz con0 com cv wss ccrd cfv wceq wa cab cep cale wiso wf1o wbr wb
      wral df-iso wf1 wfo df-f1o wf wi f1fv wfn crn df-fo alephfnon wcel
      isinfcard bicomi abbi2i mpbir2an fof ax-mp aleph11 biimpd rgen2a
      alephord2 epel fvex epelc 3bitr4g ) DEAFZGVFHIVFJKZALZMMNODVHNPZBFZCFZMQZ
      VJNIZVKNIZMQZRZCDSBDSBCDVHMMNTVIDVHNUAZDVHNUBZDVHNUCVQDVHNUDZVMVNJZVJVKJZ
      UEZCDSBDSBCDVHNUFVRVSVRNDUGNUHZVHJDVHNUIUJVGAWCVGVFWCUKVFULUMUNUOZDVHNUPU
      QWBBCDVJDUKVKDUKKZVTWAVJVKURUSUTUOWDUOVPBCDWEVJVKUKVMVNUKVLVOVJVKVABCVBVM
      VNVJNVCVKNVCVDVEUTUO $.
      $( [28-Dec-2004] $) $( [3-Aug-2004] $)
  $}

  $( The class of all transfinite cardinal numbers (the range of the aleph
     function) is a proper class.  Proposition 10.26 of [TakeutiZaring]
     p. 90. $)
  alephprc $p |- -. ran aleph e. V $=
    ( vx cale crn cvv wcel com cun cv ccrd cfv wceq cab cardprc cardnum eleq1i
    mtbi omex unexg mpan mto ) BCZDEZFUAGZDEZAHZIJUEKALZDEUDAMUFUCDANOPFDEUBUDQ
    FUADDRST $.
    $( [11-Dec-2004] $) $( [11-Nov-2003] $)

  $( The class of transfinite cardinals (the range of the aleph function) is a
     subclass of the class of ordinal numbers. $)
  alephsson $p |- ran aleph (_ On $=
    ( vx cale crn con0 cv wcel com wss ccrd cfv wceq wa isinfcard cardon eleq1
    mpbii adantl sylbir ssriv ) ABCZDAEZTFGUAHZUAIJZUAKZLUADFZUAMUDUEUBUDUCDFUE
    UANUCUADOPQRS $.
    $( [30-Dec-2004] $) $( [11-Nov-2003] $)

  $( The union of the class of transfinite cardinals (the range of the aleph
     function) is the class of ordinal numbers. $)
  unialeph $p |- U. ran aleph = On $=
    ( cale crn cuni con0 wcel wn wceq cvv alephprc uniexb mtbi elisset mto
    word wo wss alephsson ssorduni ax-mp ordeleqon mpbi ori ) ABZCZDEZFUDDGZUEU
    DHEZUCHEUGIUCJKUDDLMUEUFUDNZUEUFOUCDPUHQUCRSUDTUAUBS $.
    $( [23-Jan-2005] $) $( [11-Nov-2003] $)

  ${
    $d x y z w v $.  $d z w v H $.
    alephfplem.1 $e |- H = ( rec ( { <. x , y >. | y = ( aleph ` x ) } ,
                       ( aleph ` (/) ) ) |` om ) $.
    $( Lemma for ~ alephfp . $)
    alephfplem1 $p |- ( H ` (/) ) e. ran aleph $=
      ( c0 cfv cale crn cv wceq copab crdg com cres fveq1i cvv wcel fvex fr0t
      ax-mp eqtr con0 wfn alephfnon 0elon fnfvelrn mp2an eqeltr ) ECFZEGFZGHZUI
      EBIAIGFJABKZUJLMNZFZUJECUMDOUJPQUNUJJEGRUJPULSTUAGUBUCEUBQUJUKQUDUEUBEGUF
      UGUH $.
      $( [20-Jan-2005] $) $( [6-Nov-2004] $)

    $( Lemma for ~ alephfp . $)
    alephfplem2 $p |- ( w e. om -> ( H ` suc w ) = ( aleph ` ( H ` w ) ) ) $=
      ( vz cv com wcel cfv cale cvv csuc wceq fvex c0 ax-17 copab crdg cres
      hbopab1 hbrdg hbres hbxfr hbfv fveq2 frsucopab mpan2 ) CGZHIUIDJZKJZLIUIM
      DJUKNUJKOABFPKJZUIAGZKJZUKLDFGZULIAQZUOUIIAQZAFUJKUOKIAQAFUIDAFDBGUNNZABR
      ZULSZHTEAFUTHAFULUSURABFUAUPUBUOHIAQUCUDUQUEUEEUMUJKUFUGUH $.
      $( [20-Jan-2005] $) $( [6-Nov-2004] $)

    $( Lemma for ~ alephfp . $)
    alephfplem3 $p |- ( v e. om -> ( H ` v ) e. ran aleph ) $=
      ( vw cv com wcel wceq cfv cale crn equid c0 csuc fveq2 eleq1d
      alephfplem1 a1i wi alephfplem2 con0 alephsson sseli wfn alephfnon
      fnfvelrn mpan syl syl5bir a1d finds2 mpi ) CGZHIBGZUPJZUODKZLMZIZBNUTODKZ
      USIZFGZDKZUSIZVCPZDKZUSIZUQCFUOOJURVAUSUOODQRUOVCJURVDUSUOVCDQRUOVFJURVGU
      SUOVFDQRVBUQABDESTVCHIZVEVHUAUQVIVHVDLKZUSIZVEVIVGVJUSABFDEUBRVEVDUCIZVKU
      SUCVDUDUELUCUFVLVKUGUCVDLUHUIUJUKULUMUN $.
      $( [20-Jan-2005] $) $( [6-Nov-2004] $)

    $( Lemma for ~ alephfp . $)
    alephfplem4 $p |- U. ( H " om ) e. ran aleph $=
      ( vz com cale crn cun wf cv cfv wcel wrex cima cuni wss wfn wral ffnfv
      wceq copab c0 crdg cres frfnom wb fneq1 ax-mp mpbir alephfplem3 rgen
      mpbir2an ssun2 fss mp2an peano1 alephfplem1 fveq2 eleq1d rcla4ev cvv wa
      wi omex cardinfima ) FFGHZIZCJZEKZCLZVGMZEFNZCFOPVGMZFVGCJZVGVHQVIVOCFRZV
      LEFSEFVGCTVPBKAKGLUAABUBZUCGLZUDFUEZFRZVRVQUFCVSUAVPVTUGDFCVSUHUIUJVLEFAB
      ECDUKULUMVGFUNFVGVHCUOUPUCFMUCCLZVGMZVMUQABCDURVLWBEUCFVJUCUAVKWAVGVJUCCU
      SUTVAUPFVBMVIVMVCVNVDVEEFVBCVFUIUP $.
      $( [20-Jan-2005] $) $( [5-Nov-2004] $)

    $( The aleph function has a fixed point.  Similar to Proposition 11.18 of
       [TakeutiZaring] p. 104, except that we construct an actual example of a
       fixed point rather than just showing its existence.  See ~ alephfp2
       for an abbreviated version just showing existence. $)
    alephfp $p |- ( aleph ` U. ( H " om ) ) = U. ( H " om ) $=
      ( vz vv com cima cuni cv cale cfv wceq con0 wrex crn wcel alephfplem4
      wss ccrd wa isinfcard cardalephex biimpa sylbir ax-mp wn alephle elirr
      wi wfun wb wfn copab c0 crdg cres frfnom fneq1 mpbir fnfun eluniima
      alephfplem3 alephsson sseli alephord2i 3syl csuc alephfplem2 peano2
      fnfvelrn mpan fnima syl6eleqr syl eqeltrrd elssuni sseld syld r19.23aiv
      sylbi eleq2 imbi12d mpbii mtoi anim12i word eloni alephon onord ordtri4
      mpan2 adantr mpbird eqeq2 adantl eqcomd fveq2d r19.23aiva ) CGHZIZEJZKLZM
      ZENOZXAKLZXAMZXAKPZQZXEABCDRXIGXASZXATLXAMZUAXEXAUBXJXKXEEXAUCUDUEUFXDXGE
      NXBNQZXDUAZXGXFXCMZXMXAXBKXMXBXAXMXBXAMZXBXCMZXMXPXBXCSZXBXCQZUGZUAZXLXQX
      DXSXBUHXDXRXCXCQZXCUIXDXBXAQZXCXAQZUJXRYAUJYBXBFJZCLZQZFGOZYCCUKZYBYGULCG
      UMZYHYIBJAJKLMABUNZUOKLZUPGUQZGUMZYKYJURCYLMYIYMULDGCYLUSUFUTZGCVAUFFGXBC
      VBUFYFYCFGYDGQZYFXCYEKLZQZYCYOYEXHQYENQYFYQUJABFCDVCXHNYEVDVEXBYEVFVGYOYP
      XAXCYOYPWTQYPXASYOYDVHZCLZYPWTABFCDVIYOYRGQZYSWTQYDVJYTYSCPZWTYIYTYSUUAQY
      NGYRCVKVLYIWTUUAMYNGCVMUFVNVOVPYPWTVQVOVRVSVTWAXDYBXRYCYAXAXCXBWBXAXCXCWB
      WCWDWEWFXLXPXTULZXDXLXBWGZUUBXBWHUUCXCWGUUBXCXBWIWJXBXCWKWLVOWMWNXDXOXPUL
      XLXAXCXBWOWPWNWQWRXDXGXNULXLXAXCXFWOWPWNWSUF $.
      $( [20-Jan-2005] $) $( [6-Nov-2004] $)
  $}

  ${
    $d x y z $.
    $( The aleph function has at least one fixed point.  Proposition 11.18 of
       [TakeutiZaring] p. 104.  See ~ alephfp for an actual example of a
       fixed point.  Compare the inequality ~ alephle that holds in
       general.  Note that if ` x ` is a fixed point, then
       ` aleph `` aleph `` aleph `` ` ... ` aleph `` x = x ` . $)
    alephfp2 $p |- E. x e. On ( aleph ` x ) = x $=
      ( vz vy cv cale cfv wceq copab c0 crdg com cres cima cuni con0 wcel wrex
      crn alephsson eqid alephfplem4 sselii alephfp fveq2 id eqeq12d rcla4ev
      mp2an ) BDCDEFGCBHIEFJKLZKMNZOPUJEFZUJGZADZEFZUMGZAOQEROUJSCBUIUITZUAUBCB
      UIUPUCUOULAUJOUMUJGZUNUKUMUJUMUJEUDUQUEUFUGUH $.
      $( [21-Jan-2005] $) $( [6-Nov-2004] $)
  $}

  ${
    $d x y z w A $.
    $( An alternate way to express the value of the aleph function for
       nonzero arguments.  Theorem 64 of [Suppes] p. 229. $)
    alephval2 $p |- ( ( A e. On /\ (/) e. A ) -> ( aleph ` A ) =
                    |^| { x e. On | A. y e. A ( aleph ` y ) ~< x } ) $=
      ( vz cale cfv cv csdm wbr wral con0 crab wcel wn cint wceq c0 wa wss wi
      ssrab2 oneqmini ax-mp alephordi r19.21aiv alephon jctil breq2 ralbidv
      elrab sylibr adantr com cdom wo cvv omex visset entri3 mp2an ccrd wrex
      wb alephord ancoms breq1 cen cardid sdomen1 syl5rbbr sylan9bb fveq2
      breq1d rcla4v sdomirr sdomen2 syl5bbr mtbiri nsyli com12 adantl sylbird
      exp31 r19.23adv cardidm cardalephex mpbii syl5 carddom cardom sseq1i
      bitr3 syl5ib wne ne0i r19.2z ex domtr alephgeom ssdomg sylbi sylan2
      domnsym syl onelon exp32 imp rexnal syl6ib imp3a a1d com3r jaod mpi onel
      cardsdomel alephcard eleq2i syl6rbb ibi pm3.27bi con3i syl6 sylanc ) CEFZ
      BGZEFZAGZHIZBCJZAKLZMZDGZYKMZNZDYEJZYEYKOPZCKMZQCMZRZYKKSYLYPRYQTYJAKUADY
      EYKUBUCYRYLYSYRYEKMZYGYEHIZBCJZRYLYRUUCUUAYRUUBBCYFCUDUECUFZUGYJUUCAYEKYH
      YEPYIUUBBCYHYEYGHUHUIUJUKULYTYODYEYTYMYEMZYGYMHIZBCJZNZYOYTYMYEHIZUUHUUEY
      TUMYMUNIZYMUMUNIZUOZUUIUUHTZUMUPMZYMUPMZUULUQDURZUMYMUPUPUSUTYTUUJUUMUUKY
      RUUJUUMTYSYRUMYMVAFZSZUUMUUJYRUUQYHEFZPZAKVBZUUMUURYRUUTUUMAKYRYHKMZUUTUU
      MYRUVBRZUUTRUUIYHCMZUUHUVCUVDUUSYEHIZUUTUUIUVBYRUVDUVEVCYHCVDVEUUTUUQYEHI
      ZUVEUUIUUQUUSYEHVFUUOUUQYMVGIZUVFUUIVCUUPYMVHZUUQYMYEUPVIUTVJVKUUTUVDUUHT
      UVCUVDUUTUUHUVDUUGUUSYMHIZUUTUUFUVIBYHCYFYHPYGUUSYMHYFYHEVLVMVNUUTUVIUUSU
      USHIZUUSVOUUTUUSUUQHIZUVJUVIUUQUUSUUSHUHUUOUVGUVKUVIVCUUPUVHUUQYMUUSUPVPU
      TVQVRVSVTWAWBWCWDUURUUQVAFUUQPUVAYMWEAUUQWFWGWHUUJUMVAFZUUQSZUURUUNUUOUVM
      UUJVCUQUUPUMYMUPUPWIUTUVLUMUUQWJWKWLWMULUUKUUIYTUUHUUKYTUUHTUUIUUKYRYSUUH
      UUKYRYSUUHTYSUUKYRRZUUHYSUVNUUFNZBCVBZUUHYSCQWNZUVNUVPTCQWOUVQUVOBCJZUVPU
      VNUVQUVRUVPUVOBCWPWQUVNUVOBCUUKYRYFCMZUVOTUUKYRUVSUVOUUKYFKMZUVOYRUVSRUUK
      UVTRYMYGUNIZUVOUUKUMYGUNIZUWAUVTYMUMYGWRUVTUMYGSZUWBYFWSUUNUWCUWBTUQUMYGU
      PWTUCXAXBYMYGXCXDCYFXEXBXFXGUEWHXDUUFBCXHXIVTWQXJXKXLXMXNUUEUUIUUEYMKMZUU
      EUUIVCYEYMUUDXOUWDUUIYMYEVAFZMUUEYMYEXPUWEYEYMCXQXRXSXDXTWHYNUUGYNUWDUUGY
      JUUGAYMKYHYMPYIUUFBCYHYMYGHUHUIUJYAYBYCUEYD $.
      $( [28-Jan-2005] $) $( [15-Nov-2003] $)
  $}

  ${
    $d x y z w A $.
    $( An alternate way to express the value of the aleph function: it is
       the least infinite cardinal different from all values at smaller
       arguments.  Definition of aleph in [Enderton] p. 212 and definition
       of aleph in [BellMachover] p. 490 . $)
    alephval3 $p |- ( A e. On -> ( aleph ` A ) = |^| { x | ( ( card ` x ) = x
                   /\ om (_ x /\ A. y e. A -. x = ( aleph ` y ) ) } ) $=
      ( vz cale cfv cv ccrd wceq com wss wn wral w3a cab wcel cint con0 wa wi
      cardon eleq1 mpbii 3ad2ant1 abssi oneqmini ax-mp alephcard a1i alephgeom
      biimp alephord2i elirr eleq2 mtbiri con2i syl6 r19.21aiv 3jca fvex fveq2
      id eqeq12d sseq2 eqeq1 negbid ralbidv 3anbi123d elab sylibr wrex wex
      alephord2 bicomd sylan9bbr biimpcd pm3.27 jcad exp4c com3r imp4b 19.22dv
      df-rex 3imtr4g cardalephex biimpac syl5 imp dfrex2 sylib nan mpbir ex
      visset df-3an bitr negbii syl6ibr sylanc ) CEFZAGZHFZXAIZJXAKZXABGZEFZIZL
      ZBCMZNZAOZPZDGZXKPZLZDWTMZWTXKQIZCRPZXKRKXLXPSXQTXJARXCXDXARPZXIXCXBRPXSX
      AUAXBXARUBUCUDUEDWTXKUFUGXRWTHFZWTIZJWTKZWTXFIZLZBCMZNZXLXRYAYBYEYAXRCUHU
      IXRYBCUJUKXRYDBCXRXECPZXFWTPZYDXECULYCYHYCYHXFXFPXFUMWTXFXFUNUOUPUQURUSXJ
      YFAWTCEUTXAWTIZXCYAXDYBXIYEYIXBXTXAWTXAWTHVAYIVBVCXAWTJVDYIXHYDBCYIXGYCXA
      WTXFVEVFVGVHVIVJXRXODWTXRXMWTPZXMHFZXMIZJXMKZSZXMXFIZLZBCMZSZLZXOXRYJYSXR
      YJSZYSTYTYNSZYQLZTUUAYOBCVKZUUBYTYNUUCYTYOBRVKZUUCYNYTXERPZYOSZBVLYGYOSZB
      VLUUDUUCYTUUFUUGBXRYJUUEYOUUGYJUUEXRYOUUGTYJUUEXRYOUUGYJUUEXRSZYOSZYGYOUU
      IYJYGYOYJYHUUHYGXMXFWTUBUUHYGYHXECVMVNVOVPUUIYOTYJUUHYOVQUIVRVSVTWAWBYOBR
      WCYOBCWCWDYMYLUUDBXMWEWFWGWHYOBCWIWJYTYNYQWKWLWMXNYRXNYLYMYQNZYRXJUUJAXMD
      WNXAXMIZXCYLXDYMXIYQUUKXBYKXAXMXAXMHVAUUKVBVCXAXMJVDUUKXHYPBCUUKXGYOXAXMX
      FVEVFVGVHVIYLYMYQWOWPWQWRURWS $.
      $( [1-Mar-2005] $) $( [16-Nov-2003] $)
  $}

  ${
    $d n x y z w A $.
    dominf.1 $e |- A e. V $.
    $( A nonempty set that is a subset of its union is infinite. $)
    dominf $p |- ( ( A =/= (/) /\ A (_ U. A ) -> om ~<_ A ) $=
      ( vx vz vw vy vn cv c0 wne cuni wss wa com cdom wbr wi wceq neeq1 id
      unieq sseq12d anbi12d breq2 imbi12d cpw cin crab copab crdg cres wf1
      eqid inf3lem6 cvv wcel visset pwex f1dom2g ax-mp csdm wn cen wrex pwfi
      biimp isfinite 3imtr4 con3i wb omex domtri mp2an 3syl vtocl ) CHZIJZVPVPK
      ZLZMZNVPOPZQAIJZAAKZLZMZNAOPZQCABVPARZVTWEWAWFWGVQWBVSWDVPAISWGVPAVRWCWGT
      VPAUAUBUCVPANOUDUEVTNVPUFZDHEHVPUGFHLEVPUHRFDUIZIUJNUKZULZNWHOPZWACFDEAAW
      JWIWIUMWJUMBBUNWHUOUPZWKWLQVPCUQZURZNWHUOWJUSUTWHNVAPZVBZVPNVAPZVBZWLWAWR
      WPVPGHZVCPGNVDZWHWTVCPGNVDZWRWPXAXBVPGVEVFGVPVGGWHVGVHVINUOUPZWMWLWQVJVKW
      ONWHUOUOVLVMXCVPUOUPWAWSVJVKWNNVPUOUOVLVMVHVNVO $.
      $( [30-Mar-2007] $) $( [25-Mar-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                   Cofinality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u A $.
    $( A lemma used to simplify cofinality computations, showing the existence
       of the cardinal of an unbounded subset of a set ` A ` . $)
    cflem $p |- ( A e. B -> E. x E. y ( x = ( card ` y )
                  /\ ( y (_ A /\ A. z e. A E. w e. y z (_ w ) ) ) $=
      ( wcel cv wss wrex wral wa wex ccrd cfv wceq ssid sseq2 rcla4ev mpan2
      rgen sseq1 rexeq1 ralbidv anbi12d cla4egv mp2ani 19.41v fvex isseti
      mpbiran exbii excom bitr3 sylib ) EFGZBHZEIZCHZDHZIZDUQJZCEKZLZBMZAHUQNOZ
      PZVDLZBMAMZUPEEIZVADEJZCEKZVEEQVKCEUSEGUSUSIZVKUSQVAVMDUSEUTUSUSRSTUAVDVJ
      VLLBEFUQEPZURVJVCVLUQEEUBVNVBVKCEVADUQEUCUDUEUFUGVEVHAMZBMVIVOVDBVOVGAMVD
      VGVDAUHAVFUQNUIUJUKULVHBAUMUNUO $.
      $( [2-May-2004] $) $( [24-Apr-2004] $)

    $( Value of the cofinality function.  Definition B of Saharon Shelah,
       _Cardinal Arithmetic_ (1994), p. xxx (Roman numeral 30).  The cofinality
       of an ordinal number ` A ` is the cardinality (size) of the smallest
       unbounded subset ` y ` of the ordinal number.  Unbounded means that for
       every member of ` A ` , there is a member of ` y ` that is at least as
       large.  Cofinality is a measure of how "reachable from below" an ordinal
       is. $)
    cfval $p |- ( A e. On -> ( cf ` A ) = |^| { x | E. y ( x = ( card ` y ) /\
                 ( y (_ A /\ A. z e. A E. w e. y z (_ w ) ) } ) $=
      ( vv vu con0 wcel cv ccrd cfv wceq wss wrex wral wa wex cab cint cvv ccf
      cflem intexab sylib sseq2 raleq1 anbi12d anbi2d exbidv abbidv inteqd
      df-cf fvopab4g mpdan ) EHIZAJBJZKLMZUQENZCJDJNDUQOZCEPZQZQZBRZASZTZUAIZEU
      BLVFMUPVDARVGABCDEHUCVDAUDUEFGEURUQFJZNZUTCVHPZQZQZBRZASZTVFHUAUBVHEMZVNV
      EVOVMVDAVOVLVCBVOVKVBURVOVIUSVJVAVHEUQUFUTCVHEUGUHUIUJUKULFGABCDUMUNUO $.
      $( [2-May-2004] $) $( [1-Apr-2004] $)
  $}

  ${
    $d x y z w v u $.
    $( Cofinality is a function on the class of ordinal numbers. $)
    cffnon $p |- cf Fn On $=
      ( vv vu vx vy vz vw con0 cv ccrd cfv wceq wss wrex wral wa wex cab cint
      ccf cvv wcel visset cflem ax-mp intexab mpbi df-cf fnopab2 ) ABGCHDHZIJKU
      IAHZLEHFHLFUIMEUJNOODPZCQRZSUKCPZULTUAUJTUAUMAUBCDEFUJTUCUDUKCUEUFABCDEFU
      GUH $.
      $( [25-Aug-2004] $) $( [24-Apr-2004] $)
  $}

  ${
    $d x y z w v A $.
    $( An upper bound on cofinality. $)
    cfub $p |- ( cf ` A ) (_
            |^| { x | E. y ( x = ( card ` y ) /\ ( y (_ A /\ A (_ U. y ) ) } $=
      ( vz vw con0 wcel ccf cfv cv ccrd wceq wss cuni wa wex cab cint wrex
      wral cfval wi wal ssel onelon ex sylan9r onelsst syl6 imdistand ancomsd
      19.22dv eluni df-rex 3imtr4g r19.20sdv dfss3 syl5ib anim2d 19.21aiv
      ss2ab sylibr intss syl eqsstrd wn c0 0ss cdm wfn cffnon fndm ax-mp
      eleq2i negbii ndmfv sylbir sseq1d mpbiri pm2.61i ) CFGZCHIZAJBJZKILZWCCMZ
      CWCNZMZOZOZBPZAQZRZMZWAWBWDWEDJZEJZMZEWCSZDCTZOZOZBPZAQZRZWLABDECUAWAWKXB
      MZXCWLMWAWJXAUBZAUCXDWAXEAWAWIWTBWAWHWSWDWAWEWGWRWAWEWGWRUBWAWEOZWNWFGZDC
      TWRWGXFXGWQDCXFWNWOGZWOWCGZOZEPXIWPOZEPXGWQXFXJXKEXFXIXHXKXFXIXHWPXFXIWOF
      GZXHWPUBWEXIWOCGZWAXLWCCWOUDWAXMXLCWOUEUFUGWOWNUHUIUJUKULEWNWCUMWPEWCUNUO
      UPDCWFUQURUFUJUSULUTWJXAAVAVBWKXBVCVDVEWAVFZWMVGWLMWLVHXNWBVGWLXNCHVIZGZV
      FWBVGLXPWAXOFCHFVJXOFLVKFHVLVMVNVOCHVPVQVRVSVT $.
      $( [29-Aug-2004] $) $( [25-Apr-2004] $)

    $( Value of the cofinality function at a limit ordinal.  Part of Definition
       of cofinality of [Enderton] p. 257. $)
    cflim $p |- ( ( A e. B /\ Lim A ) -> ( cf ` A ) =
           |^| { x | E. y ( x = ( card ` y ) /\ ( y (_ A /\ A = U. y ) ) } ) $=
      ( vz vw vv cvv wcel wlim ccf cfv cv ccrd wceq wss cuni wa wex cab cint
      wrex wral wi wal csuc limsuc biimpd sseq1 rexbidv rcla4v visset sucssel
      ax-mp r19.22si eluni2 sylibr syl6com syl9 r19.21adv dfss3 syl6ibr adantr
      limuni sseq2d uniss syl5bir imp jctird eqss ex imdistand anim2d 19.22dv
      19.21aiv ss2ab intss syl adantl con0 limelon cfval sseqtr4d cfub eqimss
      anim2i 19.22i ss2abi sstri jctil elisset sylan ) CHIZCJZCKLZAMBMZNLOZWPCP
      ZCWPQZOZRZRZBSZATZUAZOZCDIWMWNRZWOXEPZXEWOPZRXFXGXIXHXGXEWQWREMZFMZPZFWPU
      BZECUCZRZRZBSZATZUAZWOWNXEXSPZWMWNXRXDPZXTWNXQXCUDZAUEYAWNYBAWNXPXBBWNXOX
      AWQWNWRXNWTWNWRXNWTUDWNWRRZXNCWSPZWSCPZRWTYCXNYDYEWNXNYDUDWRWNXNGMZWSIZGC
      UCYDWNXNYGGCWNYFCIZYFUFZCIZXNYGWNYHYJCYFUGUHYJXNYIXKPZFWPUBZYGXMYLEYICXJY
      IOXLYKFWPXJYIXKUIUJUKYLYFXKIZFWPUBYGYKYMFWPYFHIYKYMUDGULYFXKHUMUNUOFYFWPU
      PUQURUSUTGCWSVAVBVCWNWRYEWNYEWSCQZPWRWNCYNWSCVDVEWPCVFVGVHVICWSVJVBVKVLVM
      VNVOXQXCAVPUQXRXDVQVRVSXGCVTIWOXSOCHWAABEFCWBVRWCWOWQWRYDRZRZBSZATZUAZXEA
      BCWDXDYRPYSXEPXCYQAXBYPBXAYOWQWTYDWRCWSWEWFWFWGWHXDYRVQUNWIWJWOXEVJUQCDWK
      WL $.
      $( [1-Sep-2004] $) $( [26-Apr-2004] $)
  $}

  ${
    $d x y $.
    $( Value of the cofinality function at 0.  Exercise 2 of [TakeutiZaring]
       p. 102. $)
    cf0 $p |- ( cf ` (/) ) = (/) $=
      ( vx vy c0 ccf cfv wss wceq cv ccrd cuni wa wex cab cint cfub csn 0ss
      biantru ss0b bitr3 anbi2i ancom bitr exbii 0ex fveq2 eqeq2d ceqsexv
      card0 eqeq2i 3bitr abbii df-sn eqtr4 inteqi intsn eqtr sseqtr mpbi ) CDEZ
      CFUTCGUTAHZBHZIEZGZVBCFZCVBJZFZKZKZBLZAMZNZCABCOVLCPZNCVKVMVKVACGZAMVMVJV
      NAVJVBCGZVDKZBLVACIEZGZVNVIVPBVIVDVOKVPVHVOVDVHVEVOVGVEVFQRVBSTUAVDVOUBUC
      UDVDVRBCUEVOVCVQVAVBCIUFUGUHVQCVAUIUJUKULACUMUNUOCUEUPUQURUTSUS $.
      $( [30-Aug-2004] $) $( [16-Apr-2004] $)
  $}

  ${
    $d x y z w v u A $.
    $( Cofinality is a cardinal number.  Proposition 11.11 of [TakeutiZaring]
       p. 103. $)
    cardcf $p |- ( card ` ( cf ` A ) ) = ( cf ` A ) $=
      ( vx vy vz vw vv con0 wcel ccf cfv ccrd wceq cv wss wrex wral wa wex cab
      cint cfval c0 wne cvv fvex syl6eqelr intex sylibr visset eqeq1 anbi1d
      exbidv elab fveq2 cardidm syl6eq eqeq2 mpbird adantr 19.23aiv sylbi
      cardon ssriv onint mpan syl eqeltrd id eqeq12d vtoclga wn cdm wfn cffnon
      fndm ax-mp eleq2i negbii ndmfv sylbir card0 3eqtr4a pm2.61i ) AGHZAIJZKJZ
      WELZWDWEBMZCMZKJZLZWIANDMEMNEWIODAPQZQZCRZBSZHWGWDWEWOTZWOBCDEAUAZWDWOUBU
      CZWPWOHZWDWPUDHWRWDWPWEUDWQAIUEUFWOUGUHWOGNWRWSFWOGFMZWOHZWTWTKJZGXAWTWJL
      ZWLQZCRZXBWTLZWNXEBWTFUIWHWTLZWMXDCXGWKXCWLWHWTWJUJUKULUMXDXFCXCXFWLXCXFX
      BWJLXCXBWJKJWJWTWJKUNWIUOUPWTWJXBUQURUSUTVAZWTVBUFVCWOVDVEVFVGXFWGFWEWOWT
      WELZXBWFWTWEWTWEKUNXIVHVIXHVJVFWDVKZWEUBLZWGXJAIVLZHZVKXKXMWDXLGAIGVMXLGL
      VNGIVOVPVQVRAIVSVTXKUBKJUBWFWEWAWEUBKUNXKVHWBVFWC $.
      $( [3-Sep-2004] $) $( [24-Apr-2004] $)

    $( Cofinality is bounded by the cardinality of its argument. $)
    cflecard $p |- ( cf ` A ) (_ ( card ` A ) $=
      ( vx vy vz vw con0 wcel ccf cfv ccrd wss cv wceq wrex wral wa wex cab
      cint cfval csn wi wal ssid sseq2 rcla4ev mpan2 rgen pm3.2i fveq2 eqeq2d
      sseq1 rexeq1 ralbidv anbi12d cla4egv mpan2i 19.21aiv ss2ab sylibr df-sn
      syl5ss intss syl fvex intsn syl6ss eqsstrd wn c0 0ss cdm wfn cffnon fndm
      ax-mp eleq2i negbii ndmfv sylbir sseq1d mpbiri pm2.61i ) AFGZAHIZAJIZKZWD
      WEBLZCLZJIZMZWIAKZDLZELZKZEWINZDAOZPZPZCQZBRZSZWFBCDEATWDXBWFUAZSZWFWDXCX
      AKXBXDKWDWHWFMZBRZXAXCWDXEWTUBZBUCXFXAKWDXGBWDXEAAKZWOEANZDAOZPZWTXHXJAUD
      XIDAWMAGWMWMKZXIWMUDWOXLEWMAWNWMWMUEUFUGUHUIWSXEXKPCAFWIAMZWKXEWRXKXMWJWF
      WHWIAJUJUKXMWLXHWQXJWIAAULXMWPXIDAWOEWIAUMUNUOUOUPUQURXEWTBUSUTBWFVAVBXCX
      AVCVDWFAJVEVFVGVHWDVIZWGVJWFKWFVKXNWEVJWFXNAHVLZGZVIWEVJMXPWDXOFAHFVMXOFM
      VNFHVOVPVQVRAHVSVTWAWBWC $.
      $( [23-Oct-2004] $) $( [24-Apr-2004] $)

    $( Cofinality is bounded by its argument.  Exercise 1 of [TakeutiZaring]
       p. 102. $)
    cfle $p |- ( cf ` A ) (_ A $=
      ( con0 wcel ccf cfv wss ccrd cardonle wi cflecard sstr2 ax-mp syl wn c0
      0ss cdm wceq wfn cffnon fndm eleq2i negbii ndmfv sylbir sseq1d mpbiri
      pm2.61i ) ABCZADEZAFZUIAGEZAFZUKAHUJULFUMUKIAJUJULAKLMUINZUKOAFAPUNUJOAUN
      ADQZCZNUJORUPUIUOBADBSUOBRTBDUALUBUCADUDUEUFUGUH $.
      $( [23-Oct-2004] $) $( [26-Apr-2004] $)

    $( Only the ordinal zero has cofinality zero. $)
    cfeq0 $p |- ( A e. On -> ( ( cf ` A ) = (/) <-> A = (/) ) ) $=
      ( vx vy vz vw vv con0 wcel ccf cfv c0 wceq cv ccrd wss wrex wral wa wex
      cab cint cfval eqeq1d wb visset eqeq1 anbi1d exbidv elab fveq2 cardidm
      syl6eq eqeq2 mpbird adantr 19.23aiv sylbi cardon syl6eqelr ssriv onint0
      ax-mp 0ex sseq1 rexeq1 ralbidv anbi12d biimpa eqcom cvv cardeq0 bitr
      sylanb wne wn rex0 a1i rgen r19.2z mpan2 rexnal sylib necon4ai adantl
      syl syl6bi cf0 impbid1 ) AGHZAIJZKLZAKLZWIWKBMZCMZNJZLZWNAOZDMZEMOZEWNPZD
      AQZRZRZCSZBTZUAZKLZWLWIWJXFKBCDEAUBUCXGKXEHZWLXEGOXGXHUDFXEGFMZXEHZXIXINJ
      ZGXJXIWOLZXBRZCSZXKXILZXDXNBXIFUEWMXILZXCXMCXPWPXLXBWMXIWOUFUGUHUIXMXOCXL
      XOXBXLXOXKWOLXLXKWONJWOXIWONUJWNUKULXIWOXKUMUNUOUPUQXIURUSUTXEVAVBXHKWOLZ
      XBRZCSZWLXDXSBKVCWMKLZXCXRCXTWPXQXBWMKWOUFUGUHUIXRWLCXRKAOZWSEKPZDAQZRZWL
      WNKLZXBYDXQYEXBYDYEWQYAXAYCWNKAVDYEWTYBDAWSEWNKVEVFVGVHXQWOKLZYEKWOVIWNVJ
      HYFYEUDCUEWNVJVKVBVLVMYCWLYAYCAKAKVNZYBVOZDAPZYCVOYGYHDAQYIYHDAYHWRAHWSEV
      PVQVRYHDAVSVTYBDAWAWBWCWDWEUPUQUQWFWLWJKIJKAKIUJWGULWH $.
      $( [2-Feb-2005] $) $( [24-Apr-2004] $)
  $}

  ${
    $d x y z w v A $.
    $( Value of the cofinality function at a successor ordinal.  Exercise 3 of
       [TakeutiZaring] p. 102. $)
    cfsuc $p |- ( A e. On -> ( cf ` suc A ) = 1o ) $=
      ( vx vy vz vw vv con0 wcel csuc ccf cfv cv ccrd wceq wss wrex wral wa
      wex cab cint c1o sucelon cfval sylbi wn csn snex fveq2 eqeq2d sseq1
      rexeq1 ralbidv anbi12d cla4ev cardsn eqcomd wo onelsst wi eqimss a1i
      jaod elsuci syl5 snidg jctild sseq2 rcla4ev syl6 r19.21aiv cun ssun2
      df-suc sseqtr4 jctil sylanc 1on elisseti eqeq1 anbi1d exbidv elab sylibr
      c0 el1o eqcom cvv wb visset cardeq0 ax-mp bitr rex0 nrex wne nsuceq0
      r19.2z mpan mto mtbiri intnand imnan mpbi nex 0ex mtbir eleq1 rgen jctir
      cardon mpbiri adantr 19.23aiv abssi oneqmini syl eqtr4d ) AGHZAIZJKZBLZCL
      ZMKZNZYCXTOZDLZELZOZEYCPZDXTQZRZRZCSZBTZUAZUBXSXTGHYAYPNAUCBCDEXTUDUEXSUB
      YOHZFLZYOHZUFZFUBQZRZUBYPNZXSYQUUAXSUBYDNZYLRZCSZYQUBAUGZMKZNZUUGXTOZYIEU
      UGPZDXTQZRZUUFXSUUEUUIUUMRCUUGAUHYCUUGNZUUDUUIYLUUMUUNYDUUHUBYCUUGMUIUJUU
      NYFUUJYKUULYCUUGXTUKUUNYJUUKDXTYIEYCUUGULUMUNUNUOXSUUHUBAGUPUQXSUULUUJXSU
      UKDXTXSYGXTHZAUUGHZYGAOZRUUKXSUUOUUQUUPXSYGAHZYGANZURUUQUUOXSUURUUQUUSAYG
      USUUSUUQUTXSYGAVAVBVCYGAVDVEAGVFVGYIUUQEAUUGYHAYGVHVIVJVKUUGAUUGVLXTUUGAV
      MAVNVOVPVQYNUUFBUBUBGVRVSYBUBNZYMUUECUUTYEUUDYLYBUBYDVTWAWBWCWDYTFUBYRUBH
      YRWENZYTYRWFUVAYSWEYOHZUVBWEYDNZYLRZCSZUVDCUVCYLUFUTUVDUFUVCYKYFUVCYCWENZ
      YKUFUVCYDWENZUVFWEYDWGYCWHHUVGUVFWICWJYCWHWKWLWMUVFYKYIEWEPZDXTQZUVIUVHDX
      TPZUVHDXTUVHUFUUOYIEWNVBWOXTWEWPUVIUVJAWQUVHDXTWRWSWTUVFYJUVHDXTYIEYCWEUL
      UMXAUEXBUVCYLXCXDXEYNUVEBWEXFYBWENZYMUVDCUVKYEUVCYLYBWEYDVTWAWBWCXGYRWEYO
      XHXAUEXIXJYOGOUUBUUCUTYNBGYMYBGHZCYEUVLYLYEUVLYDGHYCXKYBYDGXHXLXMXNXOFUBY
      OXPWLXQXR $.
      $( [31-Oct-2004] $) $( [23-Apr-2004] $)
  $}

  ${
    $d x y z w $.
    $( Value of the cofinality function at omega (the set of natural numbers).
       Exercise 4 of [TakeutiZaring] p. 102. $)
    cfom $p |- ( cf ` om ) = om $=
      ( vx vy vz vw com ccf cfv cfle csn cint omex intsn cv ccrd wceq wss wrex
      wral wa wex cab eqtrt cen wbr visset unbnn2 cvv wcel wb carden mp2an
      sylibr cardom syl6eq sylan2 19.23aiv ss2abi df-sn sseqtr4 intss ax-mp
      con0 omelon cfval eqsstr3 eqssi ) EFGZEEHEEIZJZVGEKLVIAMZBMZNGZOZVKEPCMDM
      PDVKQCERSZSZBTZAUAZJZVGVQVHPVIVRPVQVJEOZAUAVHVPVSAVOVSBVMVLEOVSVNVJVLEUBV
      NVLENGZEVNVKEUCUDZVLVTOZCDVKBUEZUFVKUGUHEUGUHWBWAUIWCKVKEUGUGUJUKULUMUNUO
      UPUQAEURUSVQVHUTVAEVBUHVGVROVCABCDEVDVAUSVEVF $.
      $( [27-Oct-2004] $) $( [23-Apr-2004] $)
  $}


$( I decided to comment out the Card class for now.  We have too many
   definitions, and this one doesn't really buy us much. $)

$(
  @c Card @. @( Class of all cardinal numbers @)

  @( Extend class definition to include the class of all cardinal numbers. @)
  ccdn @a class Card @.

  @( Define the class of all cardinal numbers.  The notation "Card" is used
     in Exercise 5(G) of [JustWeese] p. 174.  It should not be confused with
     the lower-case "card" for the cardinal number function ~ df-card .  @)
  df-cardn @a |- Card = ( om u. ran aleph ) @.

  @( Membership in the class of cardinal numbers. @)
  elcard @p |- ( A e. Card <-> ( card ` A ) = A ) @=
    ( ccdn wcel com cale crn cun ccrd cfv wceq df-cardn eleq2i iscard3 bitr4 )
    ABCADEFGZCAHIAJBOAKLAMN @.
    @( [31-Dec-2004] @) @( [23-Sep-2004] @)

  @( The cardinality of a set is a cardinal number. @)
  cardel @p |- ( card ` A ) e. Card @=
    ( ccrd cfv ccdn wcel wceq cardidm elcard mpbir ) ABCZDEJBCJFAGJHI @.
    @( [16-Jan-2005] @) @( [23-Sep-2004] @)

  @( A natural number is a cardinal number. @)
  nncard @p |- ( A e. om -> A e. Card ) @=
    ( com wcel ccrd cfv wceq ccdn cardnn elcard sylibr ) ABCADEAFAGCAHAIJ @.
    @( [16-Jan-2005] @) @( [23-Sep-2004] @)

  @( An alternate definition of the class of all cardinal numbers. @)
  cardnum2 @p |- Card = { x | ( card ` x ) = x } @=
    ( ccdn com cale crn cun cv ccrd cfv wceq cab df-cardn wcel iscard3 bicomi
    abbi2i eqcomi eqtr4 ) BCDEFZAGZHITJZAKZLSUBUAASUATSMTNOPQR @.
    @( [25-Jan-2005] @) @( [23-Sep-2004] @)

  @( The class of cardinal numbers is a proper class.  Exercise 5(G)(b) of
     [JustWeese] p. 174. @)
  cardnprc @p |- -. Card e. V @=
    ( vx ccdn cvv wcel cv ccrd cfv wceq cab cardprc cardnum2 eleq1i mtbir ) BCD
    AEZFGNHAIZCDAJBOCAKLM @.
    @( [25-Jan-2005] @) @( [23-Sep-2004] @)

  @( The class of transfinite cardinals (the range of the aleph function) is a
     proper class. @)
  alephprc2 @p |- -. ran aleph e. V @=
    ( cale crn cvv wcel com cun ccdn cardnprc df-cardn eleq1i mtbi omex wa
    unexb biimp mpan mto ) ABZCDZERFZCDZGCDUAHGTCIJKECDZSUALUBSMUAERNOPQ @.
    @( [19-Feb-2005] @) @( [23-Sep-2004] @)
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
         Cardinal number arithmetic
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c +c $. $( Cardinal number addition $)

  $( Extend class definition to include cardinal number addition. $)
  ccda $a class +c $.

  ${
    $d x y z $.
    $( Define cardinal number addition.  Definition of cardinal sum in
       [Mendelson] p. 258.  See ~ cdaval for its value and a description. $)
    df-cda $a |- +c = { <. <. x , y >. , z >. |
                   z = ( ( x X. { (/) } ) u. ( y X. { 1o } ) ) } $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Value of cardinal addition.  Definition of cardinal sum in [Mendelson]
       p. 258. $)
    cdavalt $p |- ( ( A e. C /\ B e. D ) ->  ( A +c B ) =
                    ( ( A X. { (/) } ) u. ( B X. { 1o } ) ) ) $=
      ( vx vy vz cvv wcel ccda co c0 csn cxp c1o cun wceq wa p0ex xpexg mpan2
      snex anim12i unexb sylib cv xpeq1 uneq1d uneq2d copab2 df-cda visset
      pm3.2i biantrur oprabbii eqtr oprabval2g mpd3an3 elisset syl2an ) AHIZBHI
      ZABJKALMZNZBOMZNZPZQZACIBDIVAVBVGHIZVHVAVBRVDHIZVFHIZRVIVAVJVBVKVAVCHIVJS
      AVCHHTUAVBVEHIVKOUBBVEHHTUAUCVDVFUDUEEFGABHHEUFZVCNZFUFZVENZPZVGJVDVOPHVL
      AQVMVDVOVLAVCUGUHVNBQVOVFVDVNBVEUGUIJGUFVPQZEFGUJVLHIZVNHIZRZVQRZEFGUJEFG
      UKVQWAEFGVTVQVRVSEULFULUMUNUOUPUQURACUSBDUSUT $.
      $( [28-Sep-2004] $) $( [24-Sep-2004] $)
  $}

  ${
    cdaval.1 $e |- A e. V $.
    cdaval.2 $e |- B e. V $.
    $( Value of cardinal addition.  Definition of cardinal sum in [Mendelson]
       p. 258.  For cardinal arithmetic, we follow Mendelson.  Rather than
       defining operations restricted to cardinal numbers, we use this disjoint
       union operation for addition, while cross product and set exponentiation
       stand in for cardinal multiplication and exponentiation.  Equinumerosity
       and dominance serve the roles of equality and ordering.  If we wanted
       to, we could easily convert our theorems to actual cardinal number
       operations via ~ carden , ~ carddom , and ~ cardsdom .  The advantage of
       Mendelson's approach is that we can directly use many equinumerosity
       theorems that we already have available. $)
    cdaval $p |- ( A +c B ) = ( ( A X. { (/) } ) u. ( B X. { 1o } ) ) $=
      ( cvv wcel ccda co c0 csn cxp c1o cun wceq cdavalt mp2an ) AEFBEFABGHAIJK
      BLJKMNCDABEEOP $.
      $( [28-Sep-2004] $) $( [27-Sep-2004] $)

    $( Cardinal addition dominates union. $)
    uncdadom $p |- ( A u. B ) ~<_ ( A +c B ) $=
      ( cun c0 csn cxp c1o ccda co cdom wbr wa cin wceq cen 0ex xpsnen ensymi
      endom ax-mp con0 1on elisseti pm3.2i xp01disj p0ex xpex snex undom mp2an
      cdaval breqtrr ) ABEZAFGZHZBIGZHZEZABJKLAUQLMZBUSLMZNUQUSOFPUOUTLMVAVBAUQ
      QMVAUQACAFCRSTAUQUAUBBUSQMVBUSBDBIDIUCUDUESTBUSUAUBUFABUGAUQBUSAUPCUHUIDB
      URDIUJUIUKULABCDUMUN $.
      $( [24-Jul-2006] $) $( [28-Sep-2004] $)

    $( Cardinal addition is equinumerous to union for disjoint sets. $)
    cdaun $p |- ( ( A i^i B ) = (/) -> ( A +c B ) ~~ ( A u. B ) ) $=
      ( cin c0 wceq csn cxp c1o cun ccda co cen wbr xp01disj wa 0ex xpsnen
      con0 1on elisseti unen mpanl12 mpan cdaval syl5eqbr ) ABEFGZAFHIZBJHIZKZA
      BKZABLMNUIUJEFGZUHUKULNOZABPUIANOUJBNOUMUHQUNAFCRSBJDJTUAUBSUIAUJBUCUDUEA
      BCDUFUG $.
      $( [12-Jul-2007] $) $( [5-Apr-2007] $)
  $}

  $( 1+1=2 for cardinal number addition.  Theorem *110.643 of _Principia
     Mathematica_, vol. II, p. 86, which adds the remark, "The above
     proposition is occasionally useful."  Unlike us, Whitehead and Russell
     define cardinal addition on collections of all sets equinumerous to 1 and
     2 (which for us are proper classes unless we restrict them as in
     ~ karden ), but after applying definitions, our theorem is equivalent.
     See also the comment for ~ pm54.43 .  The comment for ~ cdaval explains
     why we use ` ~~ ` instead of =. $)
  pm110.643 $p |- ( 1o +c 1o ) ~~ 2o $=
    ( c1o ccda co c0 csn cxp cun c2o cen con0 1on elisseti cdaval cin wceq wbr
    xp01disj wb 0ex xpsnen pm54.43 mp2an mpbi eqbrtr ) AABCADEFZAAEFZGZHIAAAJKL
    ZUHMUEUFNDOZUGHIPZAAQUEAIPUFAIPUIUJRADUHSTAAUHUHTUEUFUAUBUCUD $.
    $( [5-Apr-2007] $) $( [5-Apr-2007] $)

  ${
    cdaen.1 $e |- A e. V $.
    cdaen.2 $e |- B e. V $.
    cdaen.3 $e |- C e. V $.
    cdaen.4 $e |- D e. V $.
    $( Cardinal addition of equinumerous sets.  Exercise 4.56(b) of
       [Mendelson] p. 258. $)
    cdaen $p |- ( ( A ~~ B /\ C ~~ D ) -> ( A +c C ) ~~ ( B +c D ) ) $=
      ( cen wbr wa c0 csn cxp c1o cun ccda co cin wceq xp01disj pm3.2i unen
      mpan2 cvv wcel wb 0ex xpsnen enen1 mp2an enen2 bitr con0 1on elisseti
      syl2anbr cdaval 3brtr4g ) ABIJZCDIJZKALMZNZCOMZNZPZBVBNZDVDNZPZACQRBDQRIV
      CVGIJZVEVHIJZVFVIIJZUTVAVJVKKVCVESLTZVGVHSLTZKVLVMVNACUABDUAUBVCVGVEVHUCU
      DVJAVGIJZUTAUEUFVCAIJVJVOUGEALEUHUIVCAVGUEUJUKBUEUFVGBIJVOUTUGFBLFUHUIVGB
      AUEULUKUMVKCVHIJZVACUEUFVECIJVKVPUGGCOGOUNUOUPZUIVECVHUEUJUKDUEUFVHDIJVPV
      AUGHDOHVQUIVHDCUEULUKUMUQACEGURBDFHURUS $.
      $( [24-Jul-2006] $) $( [28-Sep-2004] $)
  $}

  ${
    cda0en.1 $e |- A e. V $.
    $( Cardinal addition with cardinal zero (the empty set).  Part (a1) of
       proof of Theorem 6J of [Enderton] p. 143. $)
    cda0en $p |- ( A +c (/) ) ~~ A $=
      ( c0 ccda co csn cxp cen c1o cun 0ex cdaval xp0r uneq2i un0 3eqtr xpsnen
      eqbrtr ) ACDEZACFGZAHSTCIFZGZJTCJTACBKLUBCTUAMNTOPACBKQR $.
      $( [29-Sep-2004] $) $( [27-Sep-2004] $)

    $( Cardinal addition with cardinal one (which is the same as ordinal one).
       Used in proof of Theorem 6J of [Enderton] p. 143. $)
    cda1en $p |- ( A +c 1o ) ~~ suc ( card ` A ) $=
      ( c0 csn cxp c1o cun ccrd cfv ccda co csuc cen wbr wa cin wceq 0ex
      xpsnen cardid entr4 con0 1on elisseti fvex ensn1 pm3.2i xp01disj word
      cardon onord orddisj ax-mp unen mp2an cdaval df-suc 3brtr4 ) ACDEZFFDEZGZ
      AHIZVBDZGZAFJKVBLMUSVBMNZUTVCMNZOUSUTPCQZVBVCPCQZOVAVDMNVEVFUSAVBBACBRSAT
      UAUTFVCFUBUCUDZFFVIVISVBAHUEUFUAUGVGVHAFUHVBUIVHVBAUJUKVBULUMUGUSVBUTVCUN
      UOAFBVIUPVBUQUR $.
      $( [24-Jul-2006] $) $( [28-Sep-2004] $)

    $( One times a cardinal number. $)
    xp1en $p |- ( A X. 1o ) ~~ A $=
      ( c1o cxp c0 csn cen wceq df1o2 xpeq2 ax-mp 0ex xpsnen eqbrtr ) ACDZAEFZD
      ZAGCPHOQHICPAJKAEBLMN $.
      $( [29-Sep-2004] $) $( [27-Sep-2004] $)

    $( Two times a cardinal number.  Exercise 4.56(g) of [Mendelson] p. 258. $)
    xp2cda $p |- ( A X. 2o ) = ( A +c A ) $=
      ( c0 csn c1o cun cxp c2o ccda co xpundi wceq cpr df-pr df2o2 df1o2 sneqi
      uneq2i 3eqtr4 xpeq2 ax-mp cdaval ) ACDZEDZFZGZAUCGAUDGFAHGZAAIJAUCUDKHUEL
      UGUFLCUCMUCUCDZFHUECUCNOUDUHUCEUCPQRSHUEATUAAABBUBS $.
      $( [29-Sep-2004] $) $( [27-Sep-2004] $)
  $}

  ${
    cdacomen.1 $e |- A e. V $.
    cdacomen.2 $e |- B e. V $.
    $( Commutative law for cardinal addition.  Exercise 4.56(c) of [Mendelson]
       p. 258. $)
    cdacomen $p |- ( A +c B ) ~~ ( B +c A ) $=
      ( c0 csn cxp c1o cun ccda co cen cin wceq wbr xp01disj wne 1ne0 xpsndisj
      ax-mp wa 0ex xpsnen con0 1on elisseti entr4 unen mpanl12 mp2an uncom
      breqtr cdaval 3brtr4 ) AEFZGZBHFZGZIZBUOGZAUQGZIZABJKBAJKLUSVAUTIZVBLUPUR
      MENZVAUTMENZUSVCLOZABPHEQVERAHBESTUPVALOURUTLOVDVEUAVFUPAVACAECUBUCAHCHUD
      UEUFZUCUGURBUTDBHDVGUCBEDUBUCUGUPVAURUTUHUIUJVAUTUKULABCDUMBADCUMUN $.
      $( [24-Jul-2006] $) $( [24-Sep-2004] $)

    ${
      cdaassen.3 $e |- C e. V $.
      $( Associative law for cardinal addition.  Exercise 4.56(c) of
         [Mendelson] p. 258. $)
      cdaassen $p |- ( ( A +c B ) +c C ) ~~ ( A +c ( B +c C ) ) $=
        ( c0 csn cxp c1o cun ccda co cen wbr wa cin wceq cvv wcel p0ex xpex
        snex unex xpundir eqeng mp2 con0 1on elisseti xpsnen ensymi pm3.2i
        xp01disj undisj1 mpbi unen mp2an enref xpassen xpcomen xpen entr4 entr
        xpeq1 ax-mp xpindir xp0r 3eqtr3 unass breqtr 0ex undisj2 cdaval
        opreq1i eqtr opreq2i 3brtr4 ) AGHZIZBJHZIZKZVSIZCWAIZKZVTBVSIZWEKZWAIZK
        ZABLMZCLMZABCLMZLMZNWFVTVSIZWBVSIZKZWEWAIZKZWJWDWQNOZWEWRNOZPWDWEQGRZWQ
        WRQGRZPWFWSNOWTXAWDSTWDWQRWTWCVSVTWBAVSDUAUBZBWAEJUCZUBUDZUAUBVTWBVSUEW
        DWQSUFUGWRWECWAFXEUBZWEJXGJUHUIUJUKULUMXBXCWCCUNWOWRQGRZWPWRQGRZPXCXHXI
        VTWEUNZWBWEUNUMWOWPWRUOUPZUMWDWQWEWRUQURWSWOWGWAIZWRKZKZWJWOXMVTVSXDUAU
        BZXLWRWGWABVSEUAUBZXEUBWEWAXGXEUBZUDUDWSWOXLKZWRKZXNNWQXRNOZWRWRNOZPXCX
        RWRQGRZPWSXSNOXTYAWOWONOZWPXLNOZPWOWPQZGRZWOXLQGRZPXTYCYDWOXOUSWPBWAVSI
        ZIZXLBWAVSEXEUAUTYIBVSWAIZIZXLBYJEVSWAUAXEUBZUBBBNOYHYJNOYIYKNOBEUSWAVS
        XEUAVABBYHYJEEWAVSXEUAUBYLVBURBVSWAEUAXEUTVCVDUMYFYGVTWBQZVSIZGVSIZYEGY
        MGRYNYORABUNYMGVSVEVFVTWBVSVGVSVHVIVTWGUNZUMWOWOWPXLUQURWRXQUSUMXCYBXKX
        HXLWRQZGRZPYBXHYRXJWGWEQZWAIZGWAIZYQGYSGRYTUUARBCUNYSGWAVEVFWGWEWAVGWAV
        HVIUMWOXLWRUOUPUMWQXRWRWRUQURWOXLWRVJVKVTWONOZWIXMNOZPVTWIQGRZWOXMQGRZP
        WJXNNOUUBUUCWOVTXDVTGXDVLUKULWISTWIXMRUUCWHWAWGWEXPXGUDZXEUBWGWEWAUEWIX
        MSUFUGUMUUDUUEAWHUNYGXHPUUEYGXHYPXJUMWOXLWRVMUPUMVTWOWIXMUQURVCVDWLWCCL
        MWFWKWCCLABDEVNVOWCCXFFVNVPWNAWHLMWJWMWHALBCEFVNVQAWHDUUFVNVPVR $.
        $( [24-Jul-2006] $) $( [26-Sep-2004] $)

      $( Cardinal multiplication distributes over cardinal addition.  Theorem
         6I(3) of [Enderton] p. 142. $)
      xpcdaen $p |- ( A X. ( B +c C ) ) ~~ ( ( A X. B ) +c ( A X. C ) ) $=
        ( c0 csn cxp c1o cun ccda co cen p0ex xpex snex unex wbr wa cin wceq
        xpassen pm3.2i xp01disj xpeq2 ax-mp xpindi xp0 3eqtr3 unen mp2an
        xpundi breqtrr ensymi cdaval 3brtr4 ) ABGHZIZCJHZIZKZIZABIZURIZACIZUTIZ
        KZABCLMZIZVDVFLMNVHVCAVBDUSVABUREOPCUTFJQZPRPVHAUSIZAVAIZKZVCNVEVLNSZVG
        VMNSZTVEVGUAGUBZVLVMUAZGUBZTVHVNNSVOVPABURDEOUCACUTDFVKUCUDVQVSVDVFUEAU
        SVAUAZIZAGIZVRGVTGUBWAWBUBBCUEVTGAUFUGAUSVAUHAUIUJUDVEVLVGVMUKULAUSVAUM
        UNUOVIVBUBVJVCUBBCEFUPVIVBAUFUGVDVFABDEPACDFPUPUQ $.
        $( [24-Jul-2006] $) $( [26-Sep-2004] $)

      $( Sum of exponents law for cardinal arithmetic.  Theorem 6I(4) of
         [Enderton] p. 142. $)
      mapcdaen $p |- ( A ^m ( B +c C ) ) ~~ ( ( A ^m B ) X. ( A ^m C ) ) $=
        ( ccda co cm c0 csn cxp c1o cun cen cdaval opreq2i cin wceq wbr
        xp01disj p0ex xpex snex mapunen ax-mp enref 0ex xpsnen mapen mp2an
        con0 1on elisseti oprex xpen entr eqbrtr ) ABCGHZIHABJKZLZCMKZLZNZIHZAB
        IHZACIHZLZOUSVDAIBCEFPQVEAVAIHZAVCIHZLZVHVAVCRJSVEVKOTBCUAVAVCABUTEUBUC
        ZCVBFMUDUCZDUEUFVIVFOTZVJVGOTZVKVHOTAAOTZVABOTVNADUGZBJEUHUIAAVABDDVLEU
        JUKVPVCCOTVOVQCMFMULUMUNUIAAVCCDDVMFUJUKVIVFVJVGAVAIUOABIUOAVCIUOACIUOU
        PUKUQUR $.
        $( [24-Jul-2006] $) $( [27-Sep-2004] $)

      $( Ordering law for cardinal addition.  Exercise 4.56(f) of [Mendelson]
         p. 258. $)
      cdadom1 $p |- ( A ~<_ B -> ( A +c C ) ~<_ ( B +c C ) ) $=
        ( cdom wbr c0 csn cxp c1o cun ccda co cvv wcel cen wb 0ex xpsnen
        domen1 mp2an domen2 bitr snex xpex domrefg ax-mp wa cin wceq xp01disj
        p0ex undom mpan2 sylbir cdaval 3brtr4g ) ABGHZAIJZKZCLJZKZMZBVAKZVDMZAC
        NOBCNOGUTVBVFGHZVEVGGHZVHAVFGHZUTAPQVBARHVHVJSDAIDTUAVBAVFPUBUCBPQVFBRH
        VJUTSEBIETUAVFBAPUDUCUEVHVDVDGHZVIVDPQVKCVCFLUFUGZVDPUHUIVHVKUJVFVDUKIU
        LVIBCUMVBVFVDVDBVAEUNUGVLVLUOUPUPUQACDFURBCEFURUS $.
        $( [24-Jul-2006] $) $( [28-Sep-2004] $)

      $( Ordering law for cardinal addition.  Theorem 6L(a) of [Enderton]
         p. 149. $)
      cdadom2 $p |- ( A ~<_ B -> ( C +c A ) ~<_ ( C +c B ) ) $=
        ( cdom wbr ccda co cdadom1 cen cdacomen endomtr mpan domentr mpan2
        3syl ) ABGHACIJZBCIJZGHZCAIJZTGHZUBCBIJZGHZABCDEFKUBSLHUAUCCAFDMUBSTNOU
        CTUDLHUEBCEFMUBTUDPQR $.
        $( [7-Oct-2004] $) $( [28-Sep-2004] $)
    $}

    $( A set is dominated by its cardinal sum with another. $)
    cdadom3 $p |- A ~<_ ( A +c B ) $=
      ( cun cdom wbr ccda co cvv wcel wss ssun1 ssdomg mp2 uncdadom domtr
      mp2an ) AABEZFGZSABHIZFGAUAFGAJKASLTCABMASJNOABCDPASUAQR $.
      $( [7-Oct-2004] $) $( [28-Sep-2004] $)
  $}

  $( The cardinal sum of two finite sets is finite. $)
  cdafi $p |- ( ( A ~< om /\ B ~< om ) -> ( A +c B ) ~< om ) $=
    ( com csdm wbr wa ccda co c0 csn cxp c1o cun cvv wcel wceq cdavalt sdomex
    pm3.26d syl2an unfi2 cen wb sdomen1 con0 0elon xpsneng mpan2 syl sylanc
    ibir 1on eqbrtrd ) ACDEZBCDEZFABGHZAIJKZBLJKZMZCDANOZBNOZUPUSPUNUOABNNQUNUT
    CNOZACRSZUOVAVBBCRSZTUQCDEZURCDEZUSCDEUNUOUQURUAUNVEUTUQAUBEZVEUNUCUNUQACNU
    DVCUNUTVGVCUTIUEOVGUFAINUEUGUHUIUJUKUOVFVAURBUBEZVFUOUCUOURBCNUDVDUOVAVHVDV
    ALUEOVHULBLNUEUGUHUIUJUKTUM $.
    $( [23-Oct-2004] $) $( [22-Oct-2004] $)

  ${
    cdainf.1 $e |- A e. V $.
    $( A set is infinite iff the cardinal sum with itself is infinite. $)
    cdainf $p |- ( om ~<_ A <-> om ~<_ ( A +c A ) ) $=
      ( com cdom wbr ccda co cdadom3 domtr mpan2 csdm wn cdafi anidms con3i
      cvv wcel wb omex oprex domtri mp2an 3imtr4 impbi ) CADEZCAAFGZDEZUEAUFDEU
      GAABBHCAUFIJUFCKEZLZACKEZLZUGUEUJUHUJUHAAMNOCPQZUFPQUGUIRSAAFTCUFPPUAUBUL
      APQUEUKRSBCAPPUAUBUCUD $.
      $( [23-Oct-2004] $) $( [22-Oct-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
         ZFC Axioms with no distinct variable requirements
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( A lemma for proving conditionless ZFC axioms. $)
  nd1 $p |- ( A. x x = y -> -. A. x y e. z ) $=
    ( cv wceq wal wcel elirrv wsbc stdpc4 pm2.21i elequ1 sbie sylib mto ax-10o
    mtoi ) ADBDZEAFRCDZGZAFTBFZUASSGZCHZUATBSIUBTBCJTUBBCUBUBBFUCKBCCLMNOTABPQ
    $.
    $( [1-Jan-2002] $)

  $( A lemma for proving conditionless ZFC axioms. $)
  nd2 $p |- ( A. x x = y -> -. A. x z e. y ) $=
    ( cv wceq wal wcel elirrv wsbc stdpc4 pm2.21i elequ2 sbie sylib mto ax-10o
    mtoi ) ADBDZEAFCDZRGZAFTBFZUASSGZCHZUATBSIUBTBCJTUBBCUBUBBFUCKBCCLMNOTABPQ
    $.
    $( [1-Jan-2002] $)

  $( A lemma for proving conditionless ZFC axioms. $)
  nd3 $p |- ( A. x x = y -> -. A. z x e. y ) $=
    ( cv wceq wal wcel wn ax-4 elirrv elequ2 mtbii con3i 3syl ) ADZBDZEZAFQOPGZ
    HRCFZHQAIQOOGRAJABAKLSRRCIMN $.
    $( [2-Jan-2002] $)

  $( A lemma for proving conditionless ZFC axioms. $)
  nd4 $p |- ( A. x x = y -> -. A. z y e. x ) $=
    ( cv wcel wal wn nd3 alequcoms ) BDADECFGBABACHI $.
    $( [2-Jan-2002] $)

  ${
    $d z x $.
    $( A lemma for proving conditionless ZFC axioms. $)
    nd5 $p |- ( -. A. y y = x -> ( z = y -> A. x z = y ) ) $=
      ( cv wceq wal wi dveeq2 nalequcoms ) CDBDEZJAFGABABCHI $.
      $( [8-Jan-2002] $)
  $}

  ${
    $d x v w $.  $d y v w $.  $d z v w $.
    $( A version of the Axiom of Extensionality with no distinct variable
       conditions. $)
    axextnd $p |- E. x ( ( x e. y <-> x e. z ) -> y = z ) $=
      ( vw cv wcel wb wceq wal wex wi wn wa hbnae hban dveel2 adantr adantl
      hbbid elequ1 bibi12d a1i cbvald zfext2 syl6bir 19.8a syl6 ex a9e hbae
      ax-8 a4s 19.22d mpi a1d equcomi pm2.61ii 19.35ri ) AEZBEZFZUSCEZFZGZUTVBH
      ZAUSUTHZAIZUSVBHZAIZVDAIZVEAJZKZVGLZVILZVLVMVNMZVJVEVKVOVJDEZUTFZVPVBFZGZ
      DIVEVOVSVDDAVMVNAABANACANOZVOVQVRAVTVMVQVQAIKVNABDPQVNVRVRAIKVMACDPRSVPUS
      HZVSVDGKVOWAVQVAVRVCDABTDACTUAUBUCBCDUDUEVEAUFUGUHVGVKVJVGVHAJVKACUIVGVHV
      EAABAUJVFVHVEKAABCUKULUMUNUOVIVKVJVIVFAJVKABUIVIVFVEAACAUJVHVFVEKAVHVFVBU
      THVEACBUKCBUPUGULUMUNUOUQUR $.
      $( [14-Aug-2003] $)
  $}

  ${
    $d x z w v $.  $d x y w v $.  $d w ph $.
    $( Lemma for the Axiom of Replacement with no distinct variable
       conditions. $)
    axrepndlem1 $p |- ( -. A. y y = z -> E. x ( E. y A. z ( ph -> z = y ) ->
                 A. z ( z e. x <-> E. x ( x e. y /\ A. y ph ) ) ) ) $=
      ( vw cv wceq wal wn wsbc wi wex wcel wa wb axrep2 hbnae ax-17 hbsb3 a1i
      nd5 hbimd sbequ12r equequ1 imbi12d cbvald exbid dveel2 nalequcoms hbal
      hband hbexd hbbid elequ1 adantl dveeq2 imp hba1 a4s albid syl anbi2d
      exbidv bibi12d ex mpbii ) CFZDFZGCHIZADEFZJZVJVGGZKZEHZCLZVJBFZMZVPVGMZVK
      CHZNZBLZOZEHZKZBLAVHVGGZKZDHZCLZVHVPMZVRACHZNZBLZOZDHZKZBLVKBCEPVIWDWOBCD
      BQZVIVOWHWCWNVIVNWGCCDCQVIVMWFEDCDDQZVIVKVLDWQVKVKDHKVIADEAERSZTDCEUAUBVJ
      VHGZVMWFOKVIWSVKAVLWEAEDUCZEDCUDUETUFUGVIWBWMEDWQVIVQWADWQVQVQDHKVIVQDRTV
      IVTDBWPVIVRVSDVRVRDHKDCDCBUHUIVSVSDHKVIVKDCWRUJTUKULUMVIWSWBWMOVIWSNZVQWI
      WAWLWSVQWIOVIEDBUNUOXAVTWKBXAVSWJVRXAWSCHZVSWJOVIWSXBCDEUPUQXBVKACWSCURWS
      VKAOCWTUSUTVAVBVCVDVEUFUEUGVF $.
      $( [2-Jan-2002] $)
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.  $d w ph $.
    $( Lemma for the Axiom of Replacement with no distinct variable
       conditions. $)
    axrepndlem2 $p |- ( ( ( -. A. x x = y /\ -. A. x x = z ) /\ -. A. y y = z )
                 -> E. x ( E. y A. z ( ph -> z = y ) ->
                     A. z ( z e. x <-> E. x ( x e. y /\ A. y ph ) ) ) ) $=
      ( vw cv wceq wal wn wa wi wex wcel wb wsbc hbnae hban ax-17 hbsb3 a1i
      ax-12 impcom hbimd hbald hbexd dveel1 adantl dveel2 adantr hband hbbid
      nd5 imdistani hba1 sbequ12r imbi1d a4s albid syl pm3.27 ax-4 syl2an
      exbid elequ2 elequ1 sbal2 nalequcoms bicomd sylan9bb adantlr anbi12d ex
      cbvexd bibi12d sylan2 imbi12d axrepndlem1 syl5bi imp ) BFZCFZGBHIZVTDFZGB
      HIZJZWAWCGCHIZAWCWAGZKZDHZCLZWCVTMZVTWAMZACHZJZBLZNZDHZKZBLZWEABEFZOZWGKZ
      DHZCLZWCWTMZWTWAMZXACHZJZELZNZDHZKZELWSWFWEXLWREBWBWDBBCBPBDBPQZWEXDXKBXM
      WEXCBCWBWDCBCCPBDCPQZWEXBBDWBWDDBCDPBDDPZQZWEXAWGBXMXAXABHKWEABEAERSTZWDW
      BWGWGBHKDCBUAUBUCUDUEWEXJBDXPWEXEXIBXMWDXEXEBHKWBBDEUFUGWEXHBEWEERWEXFXGB
      WBXFXFBHKWDBCEUHUIWEXABCXNXQUDUJZUEUKUDUCWEWTVTGZXLWRNWEXSJZXDWJXKWQXTWEX
      SCHZJZXDWJNWEXSYAWBXSYAKWDCBEULUIUMYBXCWICWEYACXNXSCUNQWDXSXCWINZWEYAWDXS
      JWDXSDHZJZYCWDXSYDDBEULZUMYEXBWHDWDYDDXOXSDUNZQYDXBWHNZWDXSYHDXSXAAWGAEBU
      OUPUQUGURUSWBWDUTXSCVAVBVCUSXTWEYDJZXKWQNWEXSYDWDXSYDKWBYFUGUMYIXJWPDWEYD
      DXPYGQWEXSXJWPNYDXTXEWKXIWOXSXEWKNWEEBDVDUGWEXIWONXSWEXHWNEBXMXRWEXSXHWNN
      XTXFWLXGWMXSXFWLNWEEBCVEUGWBXSXGWMNWDWBXGWMBWTOZXSWMWBYJXGYJXGNCBACBEVFVG
      VHWMEBUOVIVJVKVLVMUIVNXSDVAVOURUSVPVLVMXAECDVQVRVS $.
      $( [2-Jan-2002] $)
  $}

  $( A version of the Axiom of Replacement with no distinct variable
     conditions. $)
  axrepnd $p |- E. x ( E. y A. z ( ph -> z = y ) ->
               A. z ( A. y z e. x <-> E. x ( A. z x e. y /\ A. y ph ) ) ) $=
    ( cv wceq wal wi wex wcel wa wb wn axrepndlem2 hbnae hban ax-15 com12
    nalequcoms imp adantlr ax-4 impbid1 alequcom con3i syl2an adantll anbi1d
    exbid bibi12d albid imbi2d mpbid exp31 hbae pm5.21 nd2 alequcoms nd3
    intnanrd nexd sylanc 19.21ai a1d 19.8a syl nd4 nd1 pm2.61iii ) BEZCEZFBGZVJ
    DEZFBGZVKVMFCGZAVMVKFZHDGCIZVMVJJZCGZVJVKJZDGZACGZKZBIZLZDGZHZBIZVLMZVNMZVO
    MZWHWIWJKZWKKZVQVRVTWBKZBIZLZDGZHZBIWHABCDNWMWRWGBWLWKBWIWJBBCBOBDBOPCDBOPZ
    WMWQWFVQWMWPWEDWLWKDWIWJDBCDOBDDOPCDDOPWMVRVSWOWDWMVRVSWIWKVRVSHZWJWIWKWTWK
    WTHCBWKVKVJFCGMWTDBCQRSTUAVRCUBUCWMWNWCBWSWMVTWAWBWMVTWAWJWKVTWAHZWIVMVJFDG
    ZMZVPDGZMZXAWJWKXCXEXABCDQTXBVNDBUDUEXDVODCUDUEUFUGVTDUBUCUHUIUJUKULUIUMUNV
    LWGWHVLWFVQVLWEDBCDUOVSMZWDMZWEVLVSWDUPZXFCBCBDUQURVLWCBBCBUOVLWAWBBCDUSUTV
    AVBVCVDWGBVEZVFVNWGWHVNWFVQVNWEDBDDUOXFXGWEVNXHBDCVGVNWCBBDBUOVNWAWBWAMZDBD
    BCVHURUTVAVBVCVDXIVFVOWGWHVOWFVQVOWEDCDDUOXFXGWEVOXHCDBVHVOWCBCDBUOVOWAWBXJ
    DCDCBUQURUTVAVBVCVDXIVFVI $.
    $( [2-Jan-2002] $)

  ${
    $d x y w $.  $d x z w $.
    $( Lemma for the Axiom of Union with no distinct variable
       conditions. $)
    axunndlem1 $p |- E. x A. y ( E. x ( y e. x /\ x e. z ) -> y e. x ) $=
      ( vw cv wceq wal wcel wa wex wi hbae wn en2lp elequ2 anbi2d mtbii a4s
      nexd pm2.21d a5i 19.8a syl axun hbnae ax-17 a1i dveel2 hband hbexd hbimd
      wb elequ1 anbi1d exbidv imbi12d cbvald exbid mpbii pm2.61i ) BEZCEZFZBGZV
      AAEZHZVEVBHZIZAJZVFKZBGZAJZVDVKVLVCVJBVDVIVFVDVHABCALVCVHMBVCVFVEVAHZIVHV
      AVENVCVMVGVFBCAOPQRSTUAVKAUBUCVDMZDEZVEHZVGIZAJZVPKZDGZAJVLADCUDVNVTVKABC
      AUEZVNVSVJDBBCBUEZVNVRVPBWBVNVQBAWAVNVPVGBVPVPBGKVNVPBUFUGZBCAUHUIUJWCUKV
      OVAFZVSVJULKVNWDVRVIVPVFWDVQVHAWDVPVFVGDBAUMZUNUOWEUPUGUQURUSUT $.
      $( [2-Jan-2002] $)
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( A version of the Axiom of Union with no distinct variable conditions. $)
    axunnd $p |- E. x A. y ( E. x ( y e. x /\ x e. z ) -> y e. x ) $=
      ( vw cv wceq wal wcel wa wex wi wn axunndlem1 hbnae hban ax-17 dveel1
      adantr dveel2 adantl hband hbexd hbimd hbald wb nd5 imdistani hba1
      elequ2 elequ1 anbi12d a1i cbvexd a4s imbi12d albid syl ex mpbii hbae
      elirrv pm3.26 syl5bi mtoi nexd pm2.21d 19.21ai 19.8a pm3.27 pm2.61ii ) AE
      ZBEZFZAGZVKCEZFZAGZVLVKHZVKVOHZIZAJZVRKZBGZAJZVNLZVQLZWDWEWFIZVLDEZHZWHVO
      HZIZDJZWIKZBGZDJWDDBCMWGWNWCDAWEWFAABANACANOZWGWMABWEWFBABBNACBNOZWGWLWIA
      WOWGWKADWGDPWGWIWJAWEWIWIAGKWFABDQRZWFWJWJAGKWEACDSTUAZUBWQUCUDWGWHVKFZWN
      WCUEZWGWSIWGWSBGZIZWTWGWSXAWEWSXAKWFBADUFRUGXBWMWBBWGXABWPWSBUHOXBWLWAWIV
      RWGWLWAUEXAWGWKVTDAWOWRWSWKVTUEKWGWSWIVRWJVSDABUIZDACUJUKULUMRXAWIVRUEZWG
      WSXDBXCUNTUOUPUQURUMUSURVNWCWDVNWBBABBUTVNWAVRVNVTAABAUTVMVTLZAVMVTVLVLHZ
      BVAVMVRXFVTABBUIVRVSVBVCVDUNVEVFVGWCAVHZUQVQWCWDVQWBBACBUTVQWAVRVQVTAACAU
      TVPXEAVPVTVOVOHZCVAVPVSXHVTACCUJVRVSVIVCVDUNVEVFVGXGUQVJ $.
      $( [2-Jan-2002] $)
  $}

  $( Lemma for the Axiom of Power Sets with no distinct variable
     conditions. $)
  axpowndlem1 $p |- ( A. x x = y -> ( -. x = y ->
             E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) ) $=
    ( cv wceq wn wcel wex wal wi pm2.24 a4s ) ADZBDZEZOFMNGCHMCDGBIJAINMGJBIAHZ
    JAOPKL $.
    $( [4-Jan-2002] $)

  ${
    $d x w $.  $d z y w $.
    $( Lemma for the Axiom of Power Sets with no distinct variable
       conditions. $)
    axpowndlem2 $p |- ( -. A. x x = y -> ( -. A. x x = z -> ( -. x = y ->
         E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) ) ) $=
      ( vw cv wceq wal wn wcel wex wi wa axpow 19.8a ax-4 imim12i 19.20i
      imim1i 19.22i ax-mp a1i ax-gen hbnae hban dveeq2 hbnd adantr ax-17
      dveel2 hbexd adantl hbald hbimd dveel1 wb equequ1 negbid nd5 imdistani
      hba1 elequ1 a4s exbid syl adantll albid adantlr imbi12d ex cbvald elequ2
      cbvexd mpbii 19.21bi ) AEZBEZFZAGHZVOCEZFAGHZVQHZVOVPIZCJZVOVSIZBGZKZAGZV
      PVOIZKZBGZAJZKZVRVTLZWLAWMDEZVPFZHZWNVPIZCJZWNVSIZBGZKZDGZVPWNIZKZBGZDJZK
      ZDGWLAGXGDXFWPWQWSKZDGZXCKZBGZDJXFDBCMXKXEDXJXDBXBXIXCXAXHDWQWRWTWSWQCNWS
      BOPQRQSTUAUBWMXGWLDAVRVTAABAUCZACAUCUDZWMWPXFAXMVRWPWPAGKVTVRWOAXLABDUEUF
      UGWMXEADWMDUHZWMXDABVRVTBABBUCACBUCUDZWMXBXCAXMWMXAADVRVTDABDUCACDUCUDWMW
      RWTAXMWMWQACVRVTCABCUCACCUCUDVRWQWQAGKVTABDUIUGUJWMWSABXOVTWSWSAGKVRACDUI
      UKULUMZULVRXCXCAGKVTABDUNUGZUMULUJUMWMWNVOFZXGWLUOWMXRLZWPWAXFWKXRWPWAUOW
      MXRWOVQDABUPUQUKWMXFWKUOXRWMXEWJDAXMWMXDABXOWMXBXCAXMWMXAADXNXPULXQUMULWM
      XRXEWJUOZXSWMXRBGZLZXTWMXRYAVRXRYAKVTBADURZUGUSYBXDWIBWMYABXOXRBUTZUDYBXB
      WGXCWHWMXBWGUOYAWMXAWFDAXMXPWMXRXAWFUOXSWRWCWTWEVTXRWRWCUOZVRVTXRLVTXRCGZ
      LYEVTXRYFCADURUSYFYEVTYFWQWBCXRCUTXRWQWBUOCDABVAVBVCUKVDVEVRXRWTWEUOZVTVR
      XRLVRYALYGVRXRYAYCUSYAYGVRYAWSWDBYDXRWSWDUOBDACVAVBVFUKVDVGVHVIVJUGYAXCWH
      UOZWMXRYHBDABVKVBUKVHVFVDVIVLUGVHVIVJVMVNVI $.
      $( [4-Jan-2002] $)
  $}


  ${
    $d x w $.  $d y z w $.
    $( Lemma for the Axiom of Power Sets with no distinct variable
       conditions. $)
    axpowndlem3 $p |- ( -. x = y ->
               E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) $=
      ( vw cv wceq wal wn wcel wex wi axpowndlem2 axpowndlem1 hbae wb nd3 mtt
      syl ax-10o alequcoms alnex 3imtr3g sylbird a4sd imim1d 19.20d 19.22d c0
      csn p0ex eleq2 imbi2d albidv cla4ev 0ex snid eleq1 mpbiri mpg n0 con1bii
      imbi1i albii exbii mpbir hbnae dveel1 nalequcoms hbexd hbnd dveel2 hbimd
      wa dveeq2 imdistani hba1 elequ2 a4s exbid adantl negbid elequ1 imbi12d
      ex cbvald mpbii syl5 a1dd pm2.61d2 pm2.61ii ) AEZBEZFZAGZWKCEZFAGZWMHZWKW
      LIZCJZWKWOIBGZKZAGZWLWKIZKZBGZAJZKZABCLABCMZWPWNXGWPWNHZXFWQWPWRAJZHZXCKZ
      BGZAJZXFXIWPXMXEAACANWPXLXDBACBNWPXBXKXCWPXAXKAWPXAWSHZXKWPWTHXOXAOACBPWT
      WSQRWPWRHZCGZXPAGZXOXKXQXRKCAXPCASTWRCUAWRAUAUBUCUDUEUFUGXIWKDEZIZAJZHZXS
      WKIZKZDGZAJZXNYFXSUHFZYCKZDGZAJZYGXSUHUIZIZKZYJDYIYMDGAYKUJWKYKFZYHYMDYNY
      CYLYGWKYKXSUKULUMUNYGYLUHYKIUHUOUPXSUHYKUQURUSYEYIAYDYHDYBYGYCYGYAAXSUTVA
      VBVCVDVEXIYEXMAABAVFZXIYDXLDBABBVFZXIYBYCBYPXIYABYPXIXTBAYOXTXTBGKBABADVG
      VHVIVJYCYCBGKBABADVKVHVLXIXSWLFZYDXLOXIYQVMZYBXKYCXCYRYAXJYRXIYQAGZVMYAXJ
      OZXIYQYSABDVNVOYSYTXIYSXTWRAYQAVPYQXTWROADBAVQVRVSVTRWAYQYCXCOXIDBAWBVTWC
      WDWEVSWFWGWHXHWIWJ $.
      $( [4-Jan-2002] $)
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( Lemma for the Axiom of Power Sets with no distinct variable
       conditions. $)
    axpowndlem4 $p |- ( -. A. y y = x -> ( -. A. y y = z -> ( -. x = y
      -> E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) ) ) $=
      ( vw cv wceq wal wn wcel wex wi wa axpowndlem3 ax-gen hbnae hban dveeq1
      hbnd adantr ax-17 dveel1 hbexd ax-15 imp hbald hbimd dveel2 wb equequ2
      negbid adantl nd5 imdistani hba1 elequ2 a4s exbid syl ax-4 sylan2
      adantll pm4.2d a1i cbvald imbi12d albid elequ1 ex mpbii 19.21bi ) BEZAEZF
      BGHZVKCEZFBGHZVLVKFZHZVLVKIZCJZVLVNIZBGZKZAGZVKVLIZKZBGZAJZKZVMVOLZWHBWIV
      LDEZFZHZVLWJIZCJZVTDGZKZAGZWJVLIZKZDGZAJZKZDGWHBGXBDADCMNWIXBWHDBVMVOBBAB
      OZBCBOPZWIWLXABXDVMWLWLBGKVOVMWKBXCBADQRSWIWTBAVMVOABAAOBCAOPZWIWSBDWIDTZ
      WIWQWRBXDWIWPBAXEWIWNWOBXDVMWNWNBGKVOVMWMBCBACOBADUAUBSWIVTBDXFVMVOVTWAKA
      CBUCUDZUEUFUEVMWRWRBGKVOBADUGSUFZUEUBUFWIWJVKFZXBWHUHWIXILZWLVQXAWGXIWLVQ
      UHWIXIWKVPDBAUIUJUKWIXAWGUHXIWIWTWFAXEWIWSWEDBXDXHWIXIWSWEUHXJWQWCWRWDXJW
      IXIAGZLZWQWCUHWIXIXKVMXIXKKVOABDULSUMXLWPWBAWIXKAXEXIAUNPXLWNVSWOWAVOXKWN
      VSUHZVMVOXIXMXKVOXILVOXICGZLXMVOXIXNCBDULUMXNXMVOXNWMVRCXICUNXIWMVRUHCDBA
      UOUPUQUKURXIAUSUTVAWIWOWAUHXKWIVTVTDBXDXGXIVTVTUHKWIXIVTVBVCVDSVEVFURXIWR
      WDUHWIDBAVGUKVEVHVDUQSVEVHVDVIVJVH $.
      $( [4-Jan-2002] $)
  $}


  ${
    $d x w $.  $d y w $.
    $( A version of the Axiom of Power Sets with no distinct variable
       conditions. $)
    axpownd $p |- ( -. x = y ->
               E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) $=
      ( vw cv wceq wal wn wcel wex wi axpowndlem4 axpowndlem1 alequcoms a1d wa
      hbnae hbae hban el dveel1 nalequcoms wb elequ2 a1i cbvexd mpbii 19.8a
      syl df-ex sylib adantr pm4.2d dral1 alnex 3bitr3g nd2 mtt bitrd dral2
      adantl mtbid pm2.21d 19.21ai ex pm2.61i pm2.61ii ) BEZAEZFBGVHCEZFBGZVIVH
      FZHZVIVHIZCJZVIVJIBGZKZAGZVHVIIZKZBGZAJZKZABCLWCABABCMZNVLAGZVKWCKWEWCVKW
      DOWEHZVKWCWFVKPZWBVMWGWAWBWGVTBWFVKBABBQZBCBRSWGVRVSWGVNBJZHZAGZVRWFWKHZV
      KWFWIAJZWLWFWIWMWFVIDEZIZDJWIADTWFWOVNDBWHWOWOBGKBABADUAUBWNVHFWOVNUCKWFD
      BAUDUEUFUGWIAUHUIWIAUJUKULVKWKVRUCWFWJVQBCAVKWJVOHZVQVKVNHZBGWQCGWJWPWQWQ
      BCVKWQUMUNVNBUOVNCUOUPVKVPHWPVQUCBCAUQVPVOURUIUSUTVAVBVCVDWAAUHUIOVEVFVG
      $.
      $( [4-Jan-2002] $)
  $}

$(
  @{
    @d x z @.  @d y z @.
    axpowndNEWlem1 @p  |- ( A. x x = y ->
        ( ( A. x x = y -> E. z A. x ( E. z z e. y -> x e. z ) )
         -> E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) ) @=
      ( weq wal wel wex wi cv csn c0 wceq wn wcel wa en2lp visset snid biantru
      mtbir snnzOLD a1bi mtbi n0 imbi1i albii bicomi snex eqeq1 negbid eleq1
     imbi12d cla4v sylbi mto hbae wb elequ2 a4s exbidv imbi1d albid mtbii nexdv
     pm2.21d a2i com12 ) ABDZAEZCBFZCGZACFZHZAEZCGZHVIABFCGVLBEHAEBAFHBEAGZVIVO
      VPVIVOVPVIVNCVICAFZCGZVLHZAEZVNVTCIZJZKLZMZWBWANZHZWEWFWEWEWAWBNZOWBWAPWG
      WEWACQZRSTWDWEWAWHUAUBUCVTAIZKLZMZVLHZAEZWFWMVTWLVSAWKVRVLCWIUDUEUFUGWLWF
      AWBWAUHWIWBLZWKWDVLWEWNWJWCWIWBKUIUJWIWBWAUKULUMUNUOVIVSVMAABAUPVIVRVKVLV
      IVQVJCVHVQVJUQAABCURUSUTVAVBVCVDVEVFVG @.
  @}

  @{
    @d x w @.  @d y w @.
   axpowndNEW @p  |- ( ( A. x x = y -> E. z A. x ( E. z z e. y -> x e. z ) ) ->
               E. x A. y ( A. x ( E. z x e. y -> A. y x e. z ) -> y e. x ) ) @=
?@.
  @}
$)

  $( Lemma for the Axiom of Regularity with no distinct variable
     conditions. $)
  axregndlem1 $p |- ( A. x x = z -> ( x e. y ->
               E. x ( x e. y /\ A. z ( z e. x -> -. z e. y ) ) ) ) $=
    ( cv wceq wal wcel wex wn wi wa hbae elirrv elequ1 mtbii a4s pm2.21d
    19.21ai anim2i expcom 19.22d 19.8a syl5 ) ADZCDZEZAFZUDBDZGZAHUIUEUDGZUEUHG
    IZJZCFZKZAHUIUGUIUNAACALUIUGUNUGUMUIUGULCACCLUGUJUKUFUJIAUFUDUDGUJAMACANOPQ
    RSTUAUIAUBUC $.
    $( [3-Jan-2002] $)

  ${
    $d x w $.  $d z y w $.
    $( Lemma for the Axiom of Regularity with no distinct variable
       conditions. $)
    axregndlem2 $p |- ( x e. y ->
                 E. x ( x e. y /\ A. z ( z e. x -> -. z e. y ) ) ) $=
      ( vw cv wceq wal wcel wn wi wa wex axreg ax-gen hbnae hban dveel2 adantr
      ax-17 dveel1 adantl ax-15 impcom hbnd hbimd hbald hband hbexd wb elequ1
      nd5 imdistani hba1 elequ2 imbi1d a4s albid syl anbi12d ex cbvexd imbi12d
      cbvald mpbii 19.21bi elirrv mtbii pm2.21d axregndlem1 pm2.61ii ) AEZBEZFZ
      AGZVKCEZFAGZVKVLHZVQVOVKHZVOVLHZIZJZCGZKZALZJZVNIZVPIZWEWFWGKZWEAWHDEZVLH
      ZWJVOWIHZVTJZCGZKZDLZJZDGWEAGWPDDBCMNWHWPWEDAWFWGAABAOACAOPZWHWJWOAWQWFWJ
      WJAGJWGABDQRZWHWNADWHDSWHWJWMAWRWHWLACWFWGCABCOACCOZPWHWKVTAWQWGWKWKAGJWF
      ACDTUAWHVSAWQWGWFVSVSAGJCBAUBUCUDUEUFUGZUHUEWHWIVKFZWPWEUIWHXAKWJVQWOWDXA
      WJVQUIZWHDABUJZUAWHWOWDUIXAWHWNWCDAWQWTWGXAWNWCUIZJWFWGXAXDWGXAKZWJVQWMWB
      XAXBWGXCUAXEWGXACGZKZWMWBUIWGXAXFCADUKULXGWLWACWGXFCWSXACUMPXFWLWAUIZWGXA
      XHCXAWKVRVTDACUNUOUPUAUQURUSUTUAVARVBUTVCVDVEUTVNVQWDVMVQIAVMVKVKHVQAVFAB
      AUNVGUPVHABCVIVJ $.
      $( [3-Jan-2002] $)
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( A version of the Axiom of Regularity with no distinct variable
       conditions. $)
    axregnd $p |- ( x e. y ->
                 E. x ( x e. y /\ A. z ( z e. x -> -. z e. y ) ) ) $=
      ( vw cv wceq wal wcel wn wi wa wex hbnae hban dveel2 adantr adantl hbnd
      hbimd wb elequ1 negbid imbi12d a1i cbvald anbi2d exbid axregndlem2
      syl5bi ex axregndlem1 alequcoms hbae elirrv elequ2 mtbii a4s a1d a5i
      anim2i expcom 19.22d 19.8a syl5 pm2.61ii ) CEZAEZFCGZVFBEZFZCGZVGVIHZVLVF
      VGHZVFVIHZIZJZCGZKZALZJZVHIZVKIZVTWAWBKZVLDEZVGHZWDVIHZIZJZDGZKZALVSVLWCW
      JVRAWAWBACAAMCBAMNWCWIVQVLWCWHVPDCWAWBCCACMCBCMNZWCWEWGCWKWAWEWECGJWBCADO
      PWCWFCWKWBWFWFCGJWACBDOQRSWDVFFZWHVPTJWCWLWEVMWGVODCAUAWLWFVNDCBUAUBUCUDU
      EUFUGABDUHUIUJVTACABCUKULVKVLALVSVLVKVLVRACBAUMVLVKVRVKVQVLVJVPCVKVOVMVJV
      OCVJVFVFHVNCUNCBCUOUPUQURUSUTVAVBVLAVCVDVE $.
      $( [3-Jan-2002] $)
  $}

  ${
    $d x w $.  $d z y w $.
    $( Lemma for the Axiom of Infinity with no distinct variable
       conditions. $)
    axinfndlem1 $p |- ( A. x y e. z -> E. x ( y e. x /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) ) $=
      ( vw cv wceq wal wcel wa wex wi wn axinf a1i hbnae hban ax-15 imp wb
      pm4.2d cbvald dveel1 adantr adantl hband hbexd hbimd hbald elequ2 nd5
      imdistani hba1 anbi2d a4s exbid syl imbi12d ax-4 sylan2 albid adantll
      anbi12d ex cbvexd mpbii nd1 pm2.21d nd2 pm2.61ii ) AEZBEZFAGZVJCEZFAGZVKV
      MHZAGZVKVJHZVQVOVMVJHZIZCJZKZBGZIZAJZKZVLLZVNLZWEWFWGIZVODGZVKDEZHZWKVOVM
      WJHZIZCJZKZBGZIZDJZKWEWRWIDBCMNWHWIVPWRWDWHVOVODAWFWGAABAOACAOPZWFWGVOVPK
      BCAQRZWJVJFZVOVOSKWHXAVOTNUAWHWQWCDAWSWHWKWPAWFWKWKAGKWGABDUBUCZWHWOABWFW
      GBABBOACBOZPWHWKWNAWSXBWHWMACWFWGCABCOACCOPWHVOWLAWTWGWLWLAGKWFACDUBUDUEU
      FUGUHUEWHXAWQWCSWHXAIZWKVQWPWBXAWKVQSZWHDABUIZUDXDWHXABGZIWPWBSZWHXAXGWFX
      AXGKWGBADUJUCUKWGXGXHWFWGXGIWOWABWGXGBXCXABULPWGXAWOWASXGWGXAIZWKVQWNVTXA
      XEWGXFUDXIWGXACGZIWNVTSZWGXAXJCADUJUKXJXKWGXJWMVSCXACULXAWMVSSCXAWLVRVODA
      CUIUMUNUOUDUPUQXABURUSUTVAUPVBVCVDUQVEVCVLVPWDABCVFVGVNVPWDACBVHVGVI $.
      $( [5-Jan-2002] $)
  $}

  ${
    $d x w $.  $d y w $.  $d z w $.
    $( A version of the Axiom of Infinity with no distinct variable
       conditions. $)
    axinfnd $p |- E. x ( y e. z -> ( y e. x /\
                 A. y ( y e. x -> E. z ( y e. z /\ z e. x ) ) ) ) $=
      ( vw cv wcel wa wex wi wal wceq wn axinfndlem1 ax-gen hbnae hban dveel2
      hbald adantl adantr ax-17 ax-15 impcom hband hbexd hbimd wb nd5
      imdistani hba1 elequ1 a4s albid anbi1d exbid syl imbi12d adantll ex
      cbvald bi2anan9r mpbii 19.21bi nd1 alequcoms pm2.21d nd3 pm2.61ii
      19.35ri ) BEZCEZFZVJAEZFZVNVLVKVMFZGZCHZIZBJZGZAVJVMKBJZVJVKKBJZVLAJZVTAH
      ZIZWALZWBLZWEWFWGGZWEBWHDEZVKFZAJZWIVMFZWLWJVOGZCHZIZDJZGZAHZIZDJWEBJWSDA
      DCMNWHWSWEDBWFWGBBABOBCBOPZWHWKWRBWTWGWKWKBJIWFWGWJBABCAOZBCDQZRSWHWQBAWF
      WGABAAOXAPZWHWLWPBWFWLWLBJIWGBADQTZWHWOBDWHDUAWHWLWNBWTXDWHWMBCWFWGCBACOB
      CCOPWHWJVOBWGWJWJBJIWFXBSWGWFVOVOBJICABUBUCUDUEUFZRUDUEUFWHWIVJKZWSWEUGZW
      HXFGWHXFAJZGZXGWHXFXHWFXFXHIWGABDUHTUIXIWKWCWRWDXHWKWCUGWHXHWJVLAXFAUJZXF
      WJVLUGADBCUKZULUMSXIWQVTAWHXHAXCXJPXHWLVNWHWPVSXFWLVNUGZADBAUKZULWHWOVRDB
      WTXEWHXFWOVRUGZWGXFXNWFWGXFGZWLVNWNVQXFXLWGXMSXOWGXFCJZGWNVQUGZWGXFXPCBDU
      HUIXPXQWGXPWMVPCXFCUJXFWMVPUGCXFWJVLVOXKUNULUOSUPUQURUSUTVAUOUQUPUSUTVBVC
      USWAWCWDWCLABABCVDVEVFWBWCWDBCAVGVFVHVI $.
      $( [5-Jan-2002] $)
  $}

  $( Lemma for the Axiom of Choice with no distinct variable conditions. $)
  axacndlem1 $p |- ( A. x x = y ->
            E. x A. y A. z ( A. x ( y e. z /\ z e. w ) -> E. w A. y ( E. w
          ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) ) $=
    ( cv wceq wal wcel wa wex wb wi hbae nd1 pm2.21d pm3.26 19.20i syl5
    19.21ai 19.8a syl ) AEZBEZFAGZUCCEZHZUEDEZHZIZAGZUIUCUGHUGUBHIIDJUCUGFKBGDJ
    ZLZCGZBGZUNAJUDUMBABBMUDULCABCMUDUFAGZUKUJUDUOUKABCNOUIUFAUFUHPQRSSUNATUA
    $.
    $( [3-Jan-2002] $)

  $( Lemma for the Axiom of Choice with no distinct variable conditions. $)
  axacndlem2 $p |- ( A. x x = z ->
            E. x A. y A. z ( A. x ( y e. z /\ z e. w ) -> E. w A. y ( E. w
          ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) ) $=
    ( cv wceq wal wcel wa wex wb wi hbae nd1 pm2.21d pm3.27 19.20i syl5
    19.21ai 19.8a syl ) AEZCEZFAGZBEZUCHZUCDEZHZIZAGZUIUEUGHUGUBHIIDJUEUGFKBGDJ
    ZLZCGZBGZUNAJUDUMBACBMUDULCACCMUDUHAGZUKUJUDUOUKACDNOUIUHAUFUHPQRSSUNATUA
    $.
    $( [3-Jan-2002] $)

  $( Lemma for the Axiom of Choice with no distinct variable conditions. $)
  axacndlem3 $p |- ( A. y y = z ->
            E. x A. y A. z ( A. x ( y e. z /\ z e. w ) -> E. w A. y ( E. w
          ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) ) $=
    ( cv wceq wal wcel wa wex wb wi hbae nd3 pm2.21d pm3.26 19.20i syl5
    19.21ai a5i 19.8a syl ) BEZCEZFZBGZUCUDHZUDDEZHZIZAGZUJUCUHHUHAEHIIDJUCUHFK
    BGDJZLZCGZBGZUOAJUEUNBUFUMCBCCMUFUGAGZULUKUFUPULBCANOUJUGAUGUIPQRSTUOAUAUB
    $.
    $( [3-Jan-2002] $)

  ${
    $d x v $.  $d y z w v $.
    $( Lemma for the Axiom of Choice with no distinct variable conditions. $)
    axacndlem4 $p |- E. x A. y A. z ( A. x ( y e. z /\ z e. w ) ->
              E. w A. y ( E. w ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) )
                     <-> y = w ) ) $=
      ( vv cv wceq wal wcel wa wex wb wi wn axac ax-4 imim1i 19.20i2 19.22i
      ax-mp hbnae hban ax-17 ax-15 impcom adantrr imp adantrl hband hbald
      dveel1 adantl hbexd ax-12 hbbid hbimd nd5 sylan9 hba1 hba2 pm4.2d a1i
      cbvald adantr 19.20d 19.20i syl5 imdistani elequ2 anbi2d a4s exbid
      bibi1d albid syl adantll imbi12d ex syld cbvexd mpbii exp32 axacndlem2
      axacndlem1 hbae nd2 pm2.21d pm3.27 19.21ai 19.8a pm2.61iii ) AFZCFZGAHZWL
      BFZGAHZWLDFZGAHZWOWMIZWMWQIZJZAHZXAWOWQIZWQWLIZJZJZDKZWOWQGZLZBHZDKZMZCHZ
      BHZAKZWNNZWPNZWRNZXOXPXQXRJZJZXAEHZXAXCWQEFZIZJZJZDKZXHLZBHZDKZMZCHZBHZEK
      ZXOXAYIMZCHBHZEKYMEBCDOYOYLEYNYJBCYAXAYIXAEPQRSTXTYLXNEAXPXSAACAUAXQXRAAB
      AUAADAUAUBUBZXTYKABXPXSBACBUAXQXRBABBUAADBUAZUBUBZXTYJACXPXSCACCUAXQXRCAB
      CUAZADCUAUBUBZXTYAYIAYPXTXAAEXTEUCXTWSWTAXPXQWSWSAHMZXRXQXPUUABCAUDUEUFXP
      XRWTWTAHZMZXQXPXRUUCCDAUDUGUHUIZUJXTYHADXPXSDACDUAXQXRDABDUAADDUAUBUBZXTY
      GABYRXTYFXHAYPXTYEADUUEXTXAYDAUUDXSYDYDAHMXPXSXCYCAXQXRXCXCAHMBDAUDUGXRYC
      YCAHMXQADEUKULUIULUIUMXSXHXHAHMZXPXQXRUUFBDAUNUGULUOUJUMUPUJUJXTYBWLGZUUG
      CHZBHZYLXNLZXPXQUUGUUIMXRXPUUGUUHXQUUICAEUQXQUUGBCYSBAEUQUJURUFXTUUIUUJXT
      UUIJZYKXMBXTUUIBYRUUHBUSUBUUKYJXLCXTUUICYTUUGCBUTUBUUKYAXBYIXKXTYAXBLUUIX
      TXAXAEAYPUUDUUGXAXALMXTUUGXAVAVBVCVDXSUUIYIXKLZXPXSUUIJXSUUGDHZBHZJUULXSU
      UIUUNXRUUIUUNMXQXRUUGBHUUNUUIXRUUGUUMBYQDAEUQVEUUHUUGBUUGCPVFVGULVHUUNUUL
      XSUUNYHXJDUUGDBUTUUNYGXIBUUMBUSUUMYGXILBUUMYFXGXHUUMYEXFDUUGDUSUUGYEXFLDU
      UGYDXEXAUUGYCXDXCEADVIVJVJVKVLVMVKVNVLULVOVPVQVNVNVRVSVTWAWBABCDWCABCDWDW
      RXNXOWRXMBADBWEWRXLCADCWEWRUUBXKXBWRUUBXKADCWFWGXAWTAWSWTWHVFVGWIWIXNAWJV
      OWK $.
      $( [8-Jan-2002] $)
  $}

  ${
    $d x v $.  $d y v $.  $d z w v $.
    $( Lemma for the Axiom of Choice with no distinct variable conditions. $)
    axacndlem5 $p |- E. x A. y A. z ( A. x ( y e. z /\ z e. w ) ->
              E. w A. y ( E. w ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) )
                     <-> y = w ) ) $=
      ( vv cv wceq wal wcel wa wex wb wi wn axacndlem4 hbnae hban dveel2
      adantr ax-15 imp adantrl hband hbald ax-17 ad2antll impcom adantl hbexd
      dveeq2 hbbid hbimd nd5 imdistani hba1 elequ1 anbi1d a4s albid syl ax-4
      sylan2 adantlr adantll anbi12d exbid equequ1 bibi12d ex cbvald imbi12d
      mpbii exp32 axacndlem3 axacndlem1 alequcoms hbae en2lp elequ2 anbi2d
      mtbii pm2.21d a4sd 19.21ai a5i 19.8a pm2.61iii ) BFZCFZGBHZWHAFZGBHZWHDFZ
      GZBHZWHWIIZWIWMIZJZAHZWRWHWMIZWMWKIZJZJZDKZWNLZBHZDKZMZCHZBHZAKZWJNZWLNZW
      ONZXKXLXMXNJZJZEFZWIIZWQJZAHZXSXQWMIZXAJZJZDKZXQWMGZLZEHZDKZMZCHZEHZAKXKA
      ECDOXPYKXJAXLXOABCAPXMXNABAAPBDAPQQZXPYJXIEBXLXOBBCBPXMXNBBABPBDBPQQZXPYI
      BCXLXOCBCCPXMXNCBACPBDCPQQZXPXTYHBYMXPXSBAYLXPXRWQBXLXRXRBHMXOBCERSXLXNWQ
      WQBHMZXMXLXNYOCDBTUAUBUCZUDXPYGBDXLXODBCDPXMXNDBADPBDDPQQZXPYFBEXPEUEXPYD
      YEBYMXPYCBDYQXPXSYBBYPXPYAXABXNYAYABHMXLXMBDERUFXOXAXABHMZXLXNXMYRDABTUGU
      HUCUCUIXNYEYEBHMXLXMBDEUJUFUKZUDUIULUDXPXQWHGZYJXILZXPYTJZXPYTCHZJZUUAXPY
      TUUCXLYTUUCMXOCBEUMSUNUUDYIXHCXPUUCCYNYTCUOQUUDXTWSYHXGXOUUCXTWSLZXLXMUUC
      UUEXNXMYTUUEUUCXMYTJXMYTAHZJUUEXMYTUUFABEUMUNUUFUUEXMUUFXSWRAYTAUOYTXSWRL
      AYTXRWPWQEBCUPUQZURUSUHUTYTCVAVBVCVDXPYHXGLUUCXPYGXFDYQXPYFXEEBYMYSXPYTYF
      XELUUBYDXDYEWNXOYTYDXDLZXLXNYTUUHXMXNYTJXNYTDHZJUUHXNYTUUIDBEUMUNUUIUUHXN
      UUIYCXCDYTDUOYTYCXCLDYTXSWRYBXBUUGYTYAWTXAEBDUPUQVEURVFUHUTVDVDYTYEWNLXPE
      BDVGUHVHVIVJVFSVKUSUTVIVJVFVLVMABCDVNXKABABCDVOVPWOXJXKWNXIBWOXHCBDCVQWOW
      RXGAWOWRXGWNWRNBWNWPWIWHIZJWRWHWIVRWNUUJWQWPBDCVSVTWAURWBWCWDWEXJAWFUTWG
      $.
      $( [3-Jan-2002] $)
  $}

  ${
    $d x v $.  $d y v $.  $d z v $.  $d w v $.
    $( A version of the Axiom of Choice with no distinct variable
       conditions. $)
    axacnd $p |- E. x A. y A. z ( A. x ( y e. z /\ z e. w ) -> E. w A. y
       ( E. w ( ( y e. z /\ z e. w ) /\ ( y e. w /\ w e. x ) ) <-> y = w ) ) $=
      ( vv cv wceq wal wcel wa wex wb wi wn axacndlem5 hbnae hban dveel1
      ad2antrl dveel2 ad2antll hband hbald ax-15 imp adantl impcom adantrl
      hbexd ax-12 hbbid hbimd nd5 imdistani hba1 elequ2 elequ1 anbi12d a4s
      albid syl adantlr sylan9 hba2 anbi1d exbid bibi1d adantll imbi12d ex
      cbvald mpbii exp32 axacndlem2 alequcoms axacndlem3 hbae nd3 pm2.21d
      pm3.27 19.20i syl5 a5i 19.21ai 19.8a pm2.61iii ) CFZAFZGCHZWGBFZGCHZWGDFZ
      GZCHZWJWGIZWGWLIZJZAHZWQWJWLIZWLWHIZJZJZDKZWJWLGZLZBHZDKZMZCHZBHZAKZWINZW
      KNZWNNZXKXLXMXNJZJZWJEFZIZXQWLIZJZAHZXTXAJZDKZXDLZBHZDKZMZEHZBHZAKXKABEDO
      XPYIXJAXLXOACAAPXMXNACBAPCDAPQQZXPYHXIBXLXOBCABPXMXNBCBBPCDBPZQQZXPYGXHEC
      XLXOCCACPXMXNCCBCPCDCPQQZXPYAYFCYMXPXTCAYJXPXRXSCXMXRXRCHMXLXNCBERSXNXSXS
      CHMXLXMCDETUAUBZUCXPYECDXLXODCADPXMXNDCBDPCDDPQQZXPYDCBYLXPYCXDCYMXPYBCDY
      OXPXTXACYNXPWSWTCXOWSWSCHMZXLXMXNYPBDCUDUEUFXLXNWTWTCHMZXMXNXLYQDACUDUGUH
      UBUBUIXOXDXDCHMZXLXMXNYRBDCUJUEUFUKUCUIULXPXQWGGZYGXHLXPYSJYAWRYFXGXLYSYA
      WRLZXOXLYSJXLYSAHZJYTXLYSUUAACEUMUNUUAYTXLUUAXTWQAYSAUOYSXTWQLZAYSXRWOXSW
      PECBUPECDUQURZUSUTUFVAVBXOYSYFXGLZXLXOYSJXOYSBHZDHZJUUDXOYSUUFXMYSUUEXNUU
      FBCEUMXNYSDBYKDCEUMUCVCUNUUFUUDXOUUFYEXFDUUEDUOZUUFYDXEBYSBDVDUUFYCXCXDUU
      FYBXBDUUGUUFXTWQXAUUEUUBDYSUUBBUUCUSUSVEVFVGUTVFUFVAVHVIVJVKUTVFVLVMXKACA
      BCDVNVOXKBCABCDVPVOWNXJXKWNXIBCDBVQWMXHCWNWPAHZXGWRWNUUHXGCDAVRVSWQWPAWOW
      PVTWAWBWCWDXJAWEVAWF $.
      $( [3-Jan-2002] $)
  $}

  ${
    $d x y z w v u t $.
    $( Axiom of Extensionality, reproved from conditionless ZFC version and
       predicate calculus. $)
    zfcndext $p |- ( A. z ( z e. x <-> z e. y ) -> x = y ) $=
      ( cv wcel wb wal wceq wex axextnd 19.35i 19.9v sylib ) CDZADZENBDZEFZCGOP
      HZCIRQRCCABJKRCLM $.
      $( [15-Aug-2003] $)

    $( Axiom of Replacement, reproved from conditionless ZFC axioms. $)
    zfcndrep $p |- ( A. w E. y A. z ( A. y ph -> z = y ) ->
                     E. y A. z ( z e. y <-> E. w ( w e. x /\ A. y ph ) ) ) $=
      ( wal cv wceq wi wex wcel wa wb hbe1 ax-17 hba1 hban hbex hbbi hbal hbim
      elequ2 anbi1d exbidv bibi2d albidv imbi2d axrepnd 19.3 anbi1i exbii
      bibi12i albii imbi2i mpbi chvar 19.35i anbi2i a1i bibi12d cbvex sylib )
      ACFZDGZCGZHIDFZCJZEFVDEGZKZVHBGZKZVCCFZLZEJZMZDFZEJVDVEKZVKVCLZEJZMZDFZCJ
      VGVPEVGVIVHVEKZVLLZEJZMZDFZIZEJZVGVPIZEJCBWICEVGVPCVFCNVOCDVIVNCVICOZVMCE
      VKVLCVKCOVCCPQRSTZUARVEVJHZWGWIEWLWFVPVGWLWEVODWLWDVNVIWLWCVMEWLWBVKVLCBE
      UBUCUDUEUFUGUDVGVICFZWBDFZVLLZEJZMZDFZIZEJWHVCECDUHWSWGEWRWFVGWQWEDWMVIWP
      WDVICWJUIWOWCEWNWBVLWBDWBDOUIUJUKULUMUNUKUOUPUQVPWAECWKVTEDVQVSEVQEOVRENS
      TVHVEHZVOVTDWTVIVQVNVSECDUBVNVSMWTVMVREVLVCVKVCCACPUIURUKUSUTUFVAVB $.
      $( [15-Aug-2003] $)

    $( Axiom of Union, reproved from conditionless ZFC axioms. $)
    zfcndun $p |- E. y A. z ( E. w ( z e. w /\ w e. x ) -> z e. y ) $=
      ( cv wcel wa wex wi wal axunnd wceq elequ2 elequ1 anbi12d cbvexv imbi1i
      albii exbii mpbir ) CEZDEZFZUBAEZFZGZDHZUABEZFZIZCJZBHUIUHUDFZGZBHZUIIZCJ
      ZBHBCAKUKUPBUJUOCUGUNUIUFUMDBUBUHLUCUIUEULDBCMDBANOPQRST $.
      $( [15-Aug-2003] $)

    $( Axiom of Power Sets, reproved from conditionless ZFC axioms.  The
       proof uses the "Axiom of Twoness," ~ dtru . $)
    zfcndpow $p |- E. y A. z ( A. w ( w e. z -> w e. x ) -> z e. y ) $=
      ( cv wcel wi wal wex wceq wn dtru exnal mpbir hbe1 axpownd 19.23ai ax-mp
      19.9v ax-17 19.3 imbi12i albii imbi1i exbii mpbi elequ1 imbi12d cbvalv )
      DEZCEZFZUJAEZFZGZDHZUKBEZFZGZCHZBIUQUKFZUQUMFZGZBHZURGZCHZBIZVAAIZVBCHZGZ
      BHZURGZCHZBIZVGUQUKJZKZBIZVNVQVOBHKBCLVOBMNVPVNBVMBOBCAPQRVMVFBVLVECVKVDU
      RVJVCBVHVAVIVBVAASVBCVBCTUAUBUCUDUCUEUFUTVFBUSVECUPVDURUOVCDBUJUQJULVAUNV
      BDBCUGDBAUGUHUIUDUCUEN $.
      $( [15-Aug-2003] $)

    $( Axiom of Regularity, reproved from conditionless ZFC axioms.. $)
    zfcndreg $p |- ( E. y y e. x ->
                 E. y ( y e. x /\ A. z ( z e. y -> -. z e. x ) ) ) $=
      ( cv wcel wn wi wal wa wex hbe1 axregnd 19.23ai ) BDZADZEZPCDZNEQOEFGCHIZ
      BJBRBKBACLM $.
      $( [15-Aug-2003] $)

    $( Axiom of Infinity, reproved from conditionless ZFC axioms.  Since we
       have already reproved Extensionality, Replacement, and Power Sets, we
       are justified in referencing theorem ~ el in the proof. $)
    zfcndinf $p |- E. y ( x e. y /\
                 A. z ( z e. y -> E. w ( z e. w /\ w e. y ) ) ) $=
      ( cv wcel wa wex wi wal el ax-17 hbe1 hbim hbal hban hbex axinfnd 19.35i
      syl 19.23ai ax-mp wceq elequ1 anbi1d exbidv imbi12d cbvalv anbi2i exbii
      mpbir ) AEZBEZFZCEZUMFZUODEZFZUQUMFZGZDHZIZCJZGZBHUNUNULUQFZUSGZDHZIZAJZG
      ZBHZVEDHVKADKVEVKDVJDBUNVIDUNDLZVHDAUNVGDVLVFDMNOPQVEVEBJVKVEBLVEVJBBADRS
      TUAUBVDVJBVCVIUNVBVHCAUOULUCZUPUNVAVGCABUDVMUTVFDVMURVEUSCADUDUEUFUGUHUIU
      JUK $.
      $( [15-Aug-2003] $)

    $( Axiom of Choice, reproved from conditionless ZFC axioms. $)
    zfcndac $p |- E. y A. z A. w ( ( z e. w /\ w e. x ) -> E. v A. u ( E. t
              ( ( u e. w /\ w e. t ) /\ ( u e. t /\ t e. y ) ) <-> u = v ) ) $=
      ( cv wcel wa wex wceq wb wal wi axacnd ax-17 19.3 imbi1i 2albii exbii
      mpbi equequ2 bibi2d elequ2 anbi2d elequ1 anbi12d cbvexv bibi1i syl6bb
      albidv anbi1d exbidv equequ1 bibi12d cbvalv imbi2i mpbir ) CHZDHZIZVAAHZI
      ZJZFHZVAIZVAGHZIZJZVFVHIZVHBHZIZJZJZGKZVFEHZLZMZFNZEKZOZDNCNZBKVEVEUTVCIZ
      VCVLIZJZJZAKZUTVCLZMZCNZAKZOZDNCNZBKZVEBNZWLOZDNCNZBKWOBCDAPWRWNBWQWMCDWP
      VEWLVEBVEBQRSTUAUBWCWNBWBWMCDWAWLVEVTWKEAVQVCLZVTVGVDJZVFVCIZWEJZJZAKZVFV
      CLZMZFNWKWSVSXFFWSVSVPXEMXFWSVRXEVPEAFUCUDVPXDXEVOXCGAVHVCLZVJWTVNXBXGVIV
      DVGGADUEUFXGVKXAVMWEGAFUEGABUGUHUHUIUJUKULXFWJFCVFUTLZXDWHXEWIXHXCWGAXHWT
      VEXBWFXHVGVBVDFCDUGUMXHXAWDWEFCAUGUMUHUNFCAUOUPUQUKUIURTUAUS $.
      $( [15-Aug-2003] $)
  $}

$(
  @{
    @d x y z w @.
    zfcndpowNEW @p  |- E. x A. y ( A. x ( x e. y -> x e. z ) -> y e. x ) @=
     ( wel wi wal wex weq wa wb zfcndrep hbae 19.9rOLD equid a1bi albii exbii
       bitr
      imbi1i mpbir 19.37 mpbi ax-gen biantru bibi2i bicomi bi2 sylbi 19.20i
      19.22i syl axpowndNEW ax-mp 19.9rvOLD ax-17 19.3rOLD imbi12i )
      ABDZACDZEZAFZBADZE
      ZBFZAGURCGZUSBFZEZAFZVBEZBFZAGZABHZAFZCBDZCGZUSEZAFZCGZEVKVMUSVNAAHZBFZIZ
      CGZJZAFZCGZVRVMWDEZCGZVMWEEWGVSVLEZAFZBGZWDEZCGVSCBAKWFWKCVMWJWDVMVMBGWJV
      MBABBLMVMWIBVLWHAVSVLANZOPQRSQTVMWDCABCLUAUBWDVQCWCVPAWCUSVOJZVPWMWCVOWBU
      SVNWACVTVNVSBWLUCUDQUEUFUSVOUGUHUIUJUKABCULUMVDVJAVCVIBVAVHVBUTVGAURVEUSV
      FURCUNUSBUSBUOUPUQPSPQT @.
  @}
$)

$( End of set.mm $)

$( The work below may eventually be broken off as a separate
   module, dedekind.mm. $)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                       Real and complex numbers
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
         Dedekind-cut construction of real and complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Introduce new constant symbols. $)

  $c N. $. $( Set of positive integers $)

  $c +N $. $( Positive integer addition $)
  $c .N $. $( Positive integer multiplication $)
  $c <N $. $( Positive integer ordering relation $)

  $c +pQ $. $( Positive fraction pre-addition $)
  $c .pQ $. $( Positive fraction pre-multiplication $)

  $c ~Q $. $( Equivalence relation to construct positive fractions $)
  $c Q. $. $( Set of positive fractions $)
  $c 1Q $. $( Positive fraction constant 1 $)
  $c +Q $. $( Positive fraction addition $)
  $c .Q $. $( Positive fraction multiplication $)
  $c *Q $. $( Positive fraction reciprocal $)
  $c <Q $. $( Positive fraction ordering relation $)

  $c P. $. $( Set of positive reals $)
  $c 1P $. $( Positive real constant 1 $)
  $c +P. $. $( Positive real addition $)
  $c .P. $. $( Positive real multiplication $)
  $c <P $. $( Positive real ordering relation $)

  $c +pR $. $( Signed real pre-addition $)
  $c .pR $. $( Signed real pre-multiplication $)

  $c ~R $. $( Equivalence relation to construct signed reals $)
  $c R. $. $( Set of signed reals $)
  $c 0R $. $( Signed real constant 0 $)
  $c 1R $. $( Signed real constant 1 $)
  $c -1R $. $( Signed real constant minus 1 $)
  $c +R $. $( Signed real addition $)
  $c .R $. $( Signed real multiplication $)
  $c <R $. $( Signed real ordering relation $)
  $c <RR $. $( 'Less than' relation (restricted to non-extended reals) $)

  $c CC $. $( The set of complex numbers (blackboard bold C) $)
  $c RR $. $( The set of real numbers (blackboard bold R) $)
  $c 0 $. $( The real number 0 base 10. $)
  $c 1 $. $( The real number 1 base 10. $)
  $c i $. $( Letter i (the imaginary unit = square root of -1) $)
  $c + $. $( Plus (addition) symbol $)
  $c x. $. $( Multiplication symbol (center dot) $)

  $( Extend class notation with new sets (constants) used for positive
     integers: $)

  $( The set of positive integers, which is the set of natural numbers
     ` om ` with 0 removed.

     _Note:  This is the start of the Dedekind-cut construction of real and_
     _complex numbers.  The last lemma of the construction is_
     ~ mulcnsrec .  _The actual set of Dedekind cuts is defined by_
     ~ df-np . $)
  cnpi $a class N. $.
  $( Positive integer addition. $)
  cpli $a class +N $.
  $( Positive integer multiplication. $)
  cmi $a class .N $.
  $( Positive integer ordering relation. $)
  clti $a class <N $.

  $( Extend class notation with new sets (constants) used in construction of
    positive fractions: $)

  $( Positive fraction pre-addition. $)
  cplpq $a class +pQ $.
  $( Positive fraction pre-multiplication. $)
  cmpq $a class .pQ $.
  $( Equivalence class used to construct positive fractions. $)
  ceq $a class ~Q $.
  $( Set of positive fractions. $)
  cnq $a class Q. $.
  $( The positive fraction constant 1. $)
  c1q $a class 1Q $.
  $( Positive fraction addition. $)
  cplq $a class +Q $.
  $( Positive fraction multiplication. $)
  cmq $a class .Q $.
  $( Positive fraction reciprocal operation. $)
  crq $a class *Q $.
  $( Positive fraction ordering relation. $)
  cltq $a class <Q $.

  $( Extend class notation with new sets (constants) used in construction of
    positive real numbers: $)

  $( Set of positive reals. $)
  cnp $a class P. $.
  $( Positive real constant 1. $)
  c1p $a class 1P $.
  $( Positive real addition. $)
  cpp $a class +P. $.
  $( Positive real multiplication. $)
  cmp $a class .P. $.
  $( Positive real ordering relation. $)
  cltp $a class <P $.

  $( Extend class notation with new sets (constants) used in construction of
    signed real numbers: $)

  $( Signed real pre-addition. $)
  cplpr $a class +pR $.
  $( Signed real pre-multiplication. $)
  cmpr $a class .pR $.
  $( Equivalence class used to construct signed reals. $)
  cer $a class ~R $.
  $( Set of signed reals. $)
  cnr $a class R. $.
  $( The signed real constant 0. $)
  c0r $a class 0R $.
  $( The signed real constant 1. $)
  c1r $a class 1R $.
  $( The signed real constant -1. $)
  cm1r $a class -1R $.
  $( Signed real addition. $)
  cplr $a class +R $.
  $( Signed real multiplication. $)
  cmr $a class .R $.
  $( Signed real ordering relation. $)
  cltr $a class <R $.

  $( Define the class of positive integers.  This is a "temporary" set used
     in the construction of complex numbers ~ df-c , and is intended to be
     used only by the construction. $)
  df-ni $a |- N. = ( om \ { (/) } ) $.

  $( Define addition on positive integers.  This is a "temporary" set
     used in the construction of complex numbers ~ df-c , and is intended to
     be used only by the construction. $)
  df-pli $a |- +N = ( +o |` ( N. X. N. ) ) $.

  $( Define multiplication on positive integers.  This is a "temporary" set
     used in the construction of complex numbers ~ df-c , and is intended to
     be used only by the construction. $)
  df-mi $a |- .N = ( .o |` ( N. X. N. ) ) $.

  $( Define 'less than' on positive integers.  This is a "temporary" set
     used in the construction of complex numbers ~ df-c , and is intended to
     be used only by the construction. $)
  df-lti $a |- <N = ( E i^i ( N. X. N. ) ) $.

  $( Membership in the class of positive integers. $)
  elni $p |- ( A e. N. <-> ( A e. om /\ A =/= (/) ) ) $=
    ( cnpi wcel com c0 csn cdif wne wa df-ni eleq2i eldifsn bitr ) ABCADEFGZCAD
    CAEHIBNAJKADELM $.
    $( [15-Apr-2007] $) $( [15-Aug-1995] $)

  $( Membership in the class of positive integers. $)
  elni2 $p |- ( A e. N. <-> ( A e. om /\ (/) e. A ) ) $=
    ( cnpi wcel com c0 wne wa elni word wb nnord ord0eln0 syl pm5.32i bitr4 )
    ABCADCZAEFZGPEACZGAHPRQPAIRQJAKALMNO $.
    $( [27-Nov-1995] $)

  $( A positive integer is a natural number. $)
  pinn $p |- ( A e. N. -> A e. om ) $=
    ( cnpi com c0 csn cdif df-ni difss eqsstr sseli ) BCABCDEZFCGCKHIJ $.
    $( [15-Aug-1995] $)

  $( A positive integer is an ordinal number. $)
  pion $p |- ( A e. N. -> A e. On ) $=
    ( cnpi wcel com con0 pinn nnont syl ) ABCADCAECAFAGH $.
    $( [23-Mar-1996] $)

  $( A positive integer is ordinal. $)
  piord $p |- ( A e. N. -> Ord A ) $=
    ( cnpi wcel com word pinn nnord syl ) ABCADCAEAFAGH $.
    $( [29-Jan-1996] $)

  $( The class of positive integers is a set. $)
  niex $p |- N. e. V $=
    ( cnpi com omex c0 csn cdif df-ni difss eqsstr ssexi ) ABCABDEZFBGBKHIJ $.
    $( [15-Aug-1995] $)

  $( The empty set is not a positive integer. $)
  0npi $p |- -. (/) e. N. $=
    ( c0 wceq cnpi wcel wn eqid com wne elni pm3.27bi necon2bi ax-mp ) AABACDZE
    AFMAAMAGDAAHAIJKL $.
    $( [26-Aug-1995] $)

  $( Ordinal 'one' is a positive integer. $)
  1pi $p |- 1o e. N. $=
    ( c1o cnpi wcel com c0 wne elni 1onn 1ne0 mpbir2an ) ABCADCAEFAGHIJ $.
    $( [29-Oct-1995] $)

  $( Positive integer addition in terms of ordinal addition. $)
  addpiord $p |- ( ( A e. N. /\ B e. N. ) -> ( A +N B ) = ( A +o B ) ) $=
    ( cnpi wcel wa cop cxp cpli co coa wceq opelxpi cres cfv fvres df-opr
    df-pli fveq1i eqtr 3eqtr4g syl ) ACDBCDEABFZCCGZDZABHIZABJIZKABCCLUDUBJUCMZ
    NZUBJNUEUFUBUCJOUEUBHNUHABHPUBHUGQRSABJPTUA $.
    $( [27-Aug-1995] $)

  $( Positive integer multiplication in terms of ordinal multiplication. $)
  mulpiord $p |- ( ( A e. N. /\ B e. N. ) -> ( A .N B ) = ( A .o B ) ) $=
    ( cnpi wcel wa cop cxp cmi co comu wceq opelxpi cres cfv fvres df-opr
    df-mi fveq1i eqtr 3eqtr4g syl ) ACDBCDEABFZCCGZDZABHIZABJIZKABCCLUDUBJUCMZN
    ZUBJNUEUFUBUCJOUEUBHNUHABHPUBHUGQRSABJPTUA $.
    $( [27-Aug-1995] $)

  $( 1 is an identity element for multiplication on positive integers. $)
  mulidpi $p |- ( A e. N. -> ( A .N 1o ) = A ) $=
    ( cnpi wcel c1o cmi co comu wceq 1pi mulpiord mpan2 com con0 pinn nnont
    om1 3syl eqtrd ) ABCZADEFZADGFZASDBCTUAHIADJKSALCAMCUAAHANAOAPQR $.
    $( [4-Mar-1996] $)

  ${
    $d x y A $.  $d x y B $.
    $( Positive integer 'less than' in terms of ordinal membership. $)
    ltpiord $p |- ( ( A e. N. /\ B e. N. ) -> ( A <N B <-> A e. B ) ) $=
      ( vx vy cv clti wbr wcel wb cnpi wceq breq1 eleq1 bibi12d breq2 eleq2 wa
      cop cxp visset opelxp cep iba df-br epel bitr3 syl5bbr cin df-lti eleq2i
      elin 3bitr syl6rbbr sylbir vtocl2ga ) CEZDEZFGZUPUQHZIZAUQFGZAUQHZIABFGZA
      BHZICDABJJUPAKURVAUSVBUPAUQFLUPAUQMNUQBKVAVCVBVDUQBAFOUQBAPNUPJHUQJHQUPUQ
      RZJJSZHZUTUPUQJJDTUAVGUSVEUBHZVGQZURVGVHVIUSVGVHUCVHUPUQUBGUSUPUQUBUDCDUE
      UFUGURVEFHVEUBVFUHZHVIUPUQFUDFVJVEUIUJVEUBVFUKULUMUNUO $.
      $( [6-Feb-1996] $)
  $}

  ${
    $d x y z $.
    $( Positive integer 'less than' is a strict ordering. $)
    ltsopi $p |- <N Or N. $=
      ( vx vy vz cnpi clti cv wcel w3a wbr wceq wo wn wb wa wi word ordtri2
      piord syl2an ltpiord ancoms orbi2d negbid 3bitr4d 3adant3 con0 3simp3
      pion ontr1 3syl 3adant1 anbi12d 3adant2 3imtr4d jca so ) ABCDEAFZDGZBFZDG
      ZCFZDGZHZUQUSEIZUQUSJZUSUQEIZKZLZMZVDUSVAEIZNZUQVAEIZOURUTVIVBURUTNZUQUSG
      ZVEUSUQGZKZLZVDVHUQPUSPVNVQMURUTUQUSQUQRUSRSUQUSTZVMVGVPVMVFVOVEUTURVFVOM
      USUQTUAUBUCUDUEVCVNUSVAGZNZUQVAGZVKVLVCVBVAUFGVTWAOURUTVBUGVAUHUQUSVAUIUJ
      VCVDVNVJVSURUTVDVNMVBVRUEUTVBVJVSMURUSVATUKULURVBVLWAMUTUQVATUMUNUOUP $.
      $( [8-Feb-1996] $)
  $}

  $( Positive integer 'less than' is a relation on positive integers. $)
  ltrelpi $p |- <N (_ ( N. X. N. ) $=
    ( clti cep cnpi cxp cin df-lti inss2 eqsstr ) ABCCDZEIFBIGH $.
    $( [8-Feb-1996] $)

  $( Domain of addition on positive integers. $)
  dmaddpi $p |- dom +N = ( N. X. N. ) $=
    ( coa cnpi cxp cres cdm con0 cin cpli dmres wfn wceq fnoa fndm ax-mp
    ineq2i eqtr df-pli dmeqi wss wa com c0 csn cdif df-ni difss eqsstr omsson
    sstri anidm mpbir ssxp dfss mpbi 3eqtr4 ) ABBCZDZEZUPFFCZGZHEUPURUPAEZGUTAU
    PIVAUSUPAUSJVAUSKLUSAMNOPHUQQRUPUSSZUPUTKBFSZVCTZVBVDVCBUAFBUAUBUCZUDUAUEUA
    VEUFUGUHUIVCUJUKBFBFULNUPUSUMUNUO $.
    $( [26-Aug-1995] $)

  $( Domain of multiplication on positive integers. $)
  dmmulpi $p |- dom .N = ( N. X. N. ) $=
    ( comu cnpi cxp cres cdm con0 cin cmi dmres wfn wceq fnom fndm ax-mp
    ineq2i eqtr df-mi dmeqi wss wa com c0 csn cdif df-ni difss eqsstr omsson
    sstri anidm mpbir ssxp dfss mpbi 3eqtr4 ) ABBCZDZEZUPFFCZGZHEUPURUPAEZGUTAU
    PIVAUSUPAUSJVAUSKLUSAMNOPHUQQRUPUSSZUPUTKBFSZVCTZVBVDVCBUAFBUAUBUCZUDUAUEUA
    VEUFUGUHUIVCUJUKBFBFULNUPUSUMUNUO $.
    $( [26-Aug-1995] $)

  $( Closure of addition of positive integers. $)
  addclpi $p |- ( ( A e. N. /\ B e. N. ) -> ( A +N B ) e. N. ) $=
    ( cnpi wcel wa cpli co coa addpiord com c0 wne nnacl pinn sylan2 wi
    nnaordi ne0i syl6 expcom imp32 elni2 sylan2b jca elni sylibr sylan eqeltrd
    ) ACDZBCDZEABFGABHGZCABIAJDZUJUKCDZUIULUJEZUKJDZUKKLZEUMUNUOUPULBJDZUOUJABM
    BNOULUQKBDZEUPUJULUQURUPUQULURUPPUQULEURAKHGZUKDUPKBAQUKUSRSTUABUBUCUDUKUEU
    FANUGUH $.
    $( [18-Oct-1995] $)

  $( Closure of multiplication of positive integers. $)
  mulclpi $p |- ( ( A e. N. /\ B e. N. ) -> ( A .N B ) e. N. ) $=
    ( cnpi wcel wa cmi co comu mulpiord com c0 wne nnmcl pinn syl2an wi peano1
    nnmordi mp3an1 imp an4s elni2 syl2anb ancoms ne0i syl jca elni sylibr
    eqeltrd ) ACDZBCDZEZABFGABHGZCABIUMUNJDZUNKLZEUNCDUMUOUPAJDZBJDZUOUKULABMAN
    BNOUMAKHGZUNDZUPULUKUTURKBDZEUQKADZEUTULUKURUQVAVBUTURUQEVAVBEZUTKJDURUQVCU
    TPQKBARSTUABUBAUBUCUDUNUSUEUFUGUNUHUIUJ $.
    $( [18-Oct-1995] $)

  ${
    addcompi.1 $e |- A e. V $.
    addcompi.2 $e |- B e. V $.
    $( Addition of positive integers is commutative. $)
    addcompi $p |- ( A +N B ) = ( B +N A ) $=
      ( cnpi wcel wa cpli co wceq coa com nnacom pinn syl2an addpiord ancoms
      3eqtr4d dmaddpi ndmoprcom pm2.61i ) AEFZBEFZGZABHIZBAHIZJUDABKIZBAKIZUEUF
      ALFBLFUGUHJUBUCABMANBNOABPUCUBUFUHJBAPQRABEHDSCTUA $.
      $( [27-Aug-1995] $)
  $}

  ${
    addasspi.1 $e |- B e. V $.
    addasspi.2 $e |- C e. V $.
    $( Addition of positive integers is associative. $)
    addasspi $p |- ( ( A +N B ) +N C ) = ( A +N ( B +N C ) ) $=
      ( cnpi wcel w3a cpli co wceq coa com nnaass pinn syl3an wa addpiord
      addclpi sylan opreq1d adantr eqtrd 3impa sylan2 opreq2d adantl 3impb
      3eqtr4d dmaddpi 0npi ndmoprass pm2.61i ) AFGZBFGZCFGZHZABIJZCIJZABCIJZIJZ
      KUQABLJZCLJZABCLJZLJZUSVAAMGBMGCMGVCVEKUNUOUPABCNAOBOCOPUNUOUPUSVCKUNUOQZ
      UPQUSURCLJZVCURFGUPUSVGKVFURCRABSTVFVGVCKUPVFURVBCLABRUAUBUCUDUNUOUPVAVEK
      UNUOUPQZQVAAUTLJZVEUNUTFGVAVIKVHAUTRBCSUEVHVIVEKUNVHUTVDALBCRUFUGUCUHUIAB
      CFIDUJEUKULUM $.
      $( [27-Aug-1995] $)
  $}

  ${
    mulcompi.1 $e |- A e. V $.
    mulcompi.2 $e |- B e. V $.
    $( Multiplication of positive integers is commutative. $)
    mulcompi $p |- ( A .N B ) = ( B .N A ) $=
      ( cnpi wcel wa cmi co wceq comu com nnmcom pinn syl2an mulpiord ancoms
      3eqtr4d dmmulpi ndmoprcom pm2.61i ) AEFZBEFZGZABHIZBAHIZJUDABKIZBAKIZUEUF
      ALFBLFUGUHJUBUCABMANBNOABPUCUBUFUHJBAPQRABEHDSCTUA $.
      $( [21-Sep-1995] $)
  $}

  ${
    mulasspi.1 $e |- B e. V $.
    mulasspi.2 $e |- C e. V $.
    $( Multiplication of positive integers is associative. $)
    mulasspi $p |- ( ( A .N B ) .N C ) = ( A .N ( B .N C ) ) $=
      ( cnpi wcel w3a cmi co wceq comu com nnmass pinn syl3an wa mulpiord
      mulclpi sylan opreq1d adantr eqtrd 3impa sylan2 opreq2d adantl 3impb
      3eqtr4d dmmulpi 0npi ndmoprass pm2.61i ) AFGZBFGZCFGZHZABIJZCIJZABCIJZIJZ
      KUQABLJZCLJZABCLJZLJZUSVAAMGBMGCMGVCVEKUNUOUPABCNAOBOCOPUNUOUPUSVCKUNUOQZ
      UPQUSURCLJZVCURFGUPUSVGKVFURCRABSTVFVGVCKUPVFURVBCLABRUAUBUCUDUNUOUPVAVEK
      UNUOUPQZQVAAUTLJZVEUNUTFGVAVIKVHAUTRBCSUEVHVIVEKUNVHUTVDALBCRUFUGUCUHUIAB
      CFIDUJEUKULUM $.
      $( [21-Sep-1995] $)
  $}

  ${
    distrpi.1 $e |- B e. V $.
    distrpi.2 $e |- C e. V $.
    $( Multiplication of positive integers is distributive. $)
    distrpi $p |- ( A .N ( B +N C ) ) = ( ( A .N B ) +N ( A .N C ) ) $=
      ( cnpi wcel w3a cpli co cmi wceq coa comu com nndi pinn syl3an wa
      mulpiord addclpi sylan2 addpiord opreq2d adantl eqtrd 3impb mulclpi
      syl2an opreqan12d 3impdi 3eqtr4d dmaddpi 0npi dmmulpi ndmoprdistr
      pm2.61i ) AFGZBFGZCFGZHZABCIJZKJZABKJZACKJZIJZLVAABCMJZNJZABNJZACNJZMJZVC
      VFAOGBOGCOGVHVKLURUSUTABCPAQBQCQRURUSUTVCVHLURUSUTSZSVCAVBNJZVHURVBFGVCVM
      LVLAVBTBCUAUBVLVMVHLURVLVBVGANBCUCUDUEUFUGURUSUTVFVKLURUSSZURUTSZSVFVDVEM
      JZVKVDFGVEFGVFVPLVNVOVDVEUCABUHACUHUIVNVOVDVIVEVJMABTACTUJUFUKULABCFIKDUM
      EUNUOUPUQ $.
      $( [21-Sep-1995] $)
  $}

  ${
    mulcanpi.1 $e |- C e. V $.
    $( Multiplication cancellation law for positive integers. $)
    mulcanpi $p |- ( ( A e. N. /\ B e. N. ) ->
                   ( ( A .N B ) = ( A .N C ) -> B = C ) ) $=
      ( cnpi wcel wa cmi co wceq wi comu mulpiord adantr adantlr eqeq12d com
      w3a c0 nnmcan biimpd elni2 pm3.27bi sylan2 ex pinn syl3an 3exp com4r
      pm2.43i imp31 sylbid eleq1 mulclpi syl5bi imp dmmulpi 0npi ndmoprrcl
      pm3.27 3syl exp32 imp4b ) AEFZBEFZGZABHIZACHIZJZBCJZVFVIGVJVFVIVFVIVJVFVI
      VFVIVJKZVFCEFZVKVIVFGZVFVLGZVIABLIZACLIZJZVJVNVGVOVHVPVFVGVOJVLABMNVDVLVH
      VPJVEACMOPVDVEVLVQVJKZVDVEVLVRKKVDVEVLVDVRVDVEVLVDVRKZAQFZBQFZCQFZVSVDVEV
      LVTWAWBRZVDVRWCSAFZVRVDWCWDGVQVJABCTUAVDVTWDAUBUCUDUEAUFBUFCUFUGUHUIUJUKU
      LVMVHEFZVDVLGVLVIVFWEVIVGEFWEVFVGVHEUMABUNUOUPACEHDUQURUSVDVLUTVAUDVBVCUJ
      UE $.
      $( [4-Feb-1996] $)
  $}

  ${
    addnidpi.1 $e |- B e. V $.
    $( There is no identity element for addition on positive integers. $)
    addnidpi $p |- ( A e. N. -> -. ( A +N B ) = A ) $=
      ( cnpi wcel wa cpli co wceq wn wi coa com c0 nnaordi nna0 eleq1d eleq2
      negbid word nnord ordirr syl syl5cbir con2d sylbid adantl syld expcom
      imp32 elni2 sylan2b pinn sylan addpiord eqeq1d mtbird a1d dmaddpi ndmopr
      0npi eleq1 mtbii syl6bi pm2.61i ) ADEZBDEZFZVFABGHZAIZJZKVHVKVFVHVJABLHZA
      IZAMEZVGVMJZVFVNBMEZNBEZFVOVGVNVPVQVOVPVNVQVOKVPVNFVQANLHZVLEZVONBAOVNVSV
      OKVPVNVSAVLEZVOVNVRAVLAPQVNVMVTVMVTJAAEZJZVNVMVTWAVLAARSVNATWBAUAAUBUCUDU
      EUFUGUHUIUJBUKULAUMUNVHVIVLAABUOUPUQURVHJZVJVFWCVJNAIZVFJWCVINAABDGCUSUTU
      PWDNDEVFVANADVBVCVDUEVE $.
      $( [28-Nov-1995] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( Ordering on positive integers in terms of existence of sum. $)
    ltexpi $p |- ( ( A e. N. /\ B e. N. ) ->
               ( A <N B <-> E. x ( x e. N. /\ ( A +N x ) = B ) ) ) $=
      ( cnpi wcel wa cv com c0 coa co wceq wex clti wbr cpli wb wrex nnaordex
      df-rex syl6bb pinn syl2an ltpiord addpiord eqeq1d pm5.32da elni2 anbi1i
      anass bitr exbidv adantr 3bitr4d ) BDEZCDEZFBCEZAGZHEZIUREZBURJKZCLZFZFZA
      MZBCNOURDEZBURPKZCLZFZAMZBHEZCHEZUQVEQUOUPVKVLFUQVCAHRVEABCSVCAHTUABUBCUB
      UCBCUDUOVJVEQUPUOVIVDAUOVIVFVBFZVDUOVFVHVBUOVFFVGVACBURUEUFUGVMUSUTFZVBFV
      DVFVNVBURUHUIUSUTVBUJUKUAULUMUN $.
      $( [15-Mar-1996] $)
  $}

  ${
    ltapi.1 $e |- A e. V $.
    ltapi.2 $e |- B e. V $.
    $( Ordering property of addition for positive integers. $)
    ltapi $p |- ( C e. N. -> ( A <N B <-> ( C +N A ) <N ( C +N B ) ) ) $=
      ( clti cnpi cpli dmaddpi ltrelpi 0npi wcel wbr co wb wa coa com nnaord
      pinn syl3an 3expa ltpiord adantr addclpi syl2an wceq addpiord adantl
      eleq12d bitrd anandis ancoms 3bitr4d 3impa ndmord ) ABCFGHEIDJKAGLZBGLZCG
      LZABFMZCAHNZCBHNZFMZOUQURPZUSPABLZCAQNZCBQNZLZUTVCUQURUSVEVHOZARLBRLCRLVI
      UQURUSABCSATBTCTUAUBVDUTVEOUSABUCUDUSVDVCVHOZUSUQURVJUSUQPZUSURPZPZVCVAVB
      LZVHVAGLVBGLVCVNOVKVLVAVBUCCAUECBUEUFVMVAVFVBVGVKVAVFUGVLCAUHUDVLVBVGUGVK
      CBUHUIUJUKULUMUNUOUP $.
      $( [7-Mar-1996] $)
  $}

  ${
    ltmpi.1 $e |- A e. V $.
    ltmpi.2 $e |- B e. V $.
    $( Ordering property of multiplication for positive integers. $)
    ltmpi $p |- ( C e. N. -> ( A <N B <-> ( C .N A ) <N ( C .N B ) ) ) $=
      ( clti cnpi cmi dmmulpi ltrelpi 0npi wcel wbr co wb wa comu com wi c0
      w3a iba nnmord sylan9bbr 3exp1 imp4b elni2 syl5ib pinn syl2an imp
      ltpiord adantr mulclpi wceq mulpiord adantl eleq12d bitrd anandis ancoms
      3bitr4d 3impa ndmord ) ABCFGHEIDJKAGLZBGLZCGLZABFMZCAHNZCBHNZFMZOVEVFPZVG
      PABLZCAQNZCBQNZLZVHVKVLVGVMVPOZARLZBRLZVGVQSVEVFVRVSPCRLZTCLZPVQVGVRVSVTW
      AVQVRVSVTWAVQWAVMVMWAPVRVSVTUAVPWAVMUBABCUCUDUEUFCUGUHAUIBUIUJUKVLVHVMOVG
      ABULUMVGVLVKVPOZVGVEVFWBVGVEPZVGVFPZPZVKVIVJLZVPVIGLVJGLVKWFOWCWDVIVJULCA
      UNCBUNUJWEVIVNVJVOWCVIVNUOWDCAUPUMWDVJVOUOWCCBUPUQURUSUTVAVBVCVD $.
      $( [8-Feb-1996] $)
  $}

  $( One is less than two (one plus one). $)
  1lt2pi $p |- 1o <N ( 1o +N 1o ) $=
    ( c1o cpli co clti wbr wcel coa c0 com wceq 1onn nna0 ax-mp 0lt1o wb
    peano1 nnaord mp3an mpbi eqeltrr cnpi 1pi addpiord mp2an eleqtrr addclpi
    ltpiord mpbir ) AAABCZDEZAUIFZAAAGCZUIAHGCZAULAIFZUMAJKALMHAFZUMULFZNHIFUNU
    NUOUPOPKKHAAQRSTAUAFZUQUIULJUBUBAAUCUDUEUQUIUAFZUJUKOUBUQUQURUBUBAAUFUDAUIU
    GUDUH $.
    $( [13-Mar-1996] $)

  $( No positive integer is less than one. $)
  nlt1pi $p |- -. A <N 1o $=
    ( cnpi wcel c1o clti wbr wn c0 wne com elni pm3.27bi wceq wa noel wo wb
    1pi ltpiord mpan2 csuc elsucg df-1o eleq2i syl5bb bitrd biimpa ord mpi ex
    necon3ad mpd elisseti ltrelpi brel pm3.26d con3i pm2.61i ) ABCZADEFZGZUSAHI
    ZVAUSAJCVBAKLUSUTAHUSUTAHMZUSUTNZAHCZGVCAOVDVEVCUSUTVEVCPZUSUTADCZVFUSDBCZU
    TVGQRADSTUSAHUAZCVFVGAHBUBDVIAUCUDUEUFUGUHUIUJUKULUTUSUTUSVHADBBEDBRUMUNUOU
    PUQUR $.
    $( [23-Mar-1996] $)

  ${
    $d x y $.  $d x A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.
    $( Substitutions. $)
    indpi.1 $e |- ( x = 1o -> ( ph <-> ps ) ) $.
    indpi.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    indpi.3 $e |- ( x = ( y +N 1o ) -> ( ph <-> th ) ) $.
    indpi.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    indpi.5 $e |- ps $.
    $( Induction hypothesis. $)
    indpi.6 $e |- ( y e. N. -> ( ch -> th ) ) $.
    $( Principle of Finite Induction on positive integers. $)
    indpi $p |- ( A e. N. -> ta ) $=
      ( cnpi wcel c1o wceq clti wbr wo wn nlt1pi wb 1pi wor wa ltsopi sotric
      mpan mpan2 mtbii nega syl wi cv elisseti eqvinc mpbiri gencl eqcoms a1i
      com wss 1onn csuc eleq1 breq2 anbi12d imbi12d c0 wne peano2b syl6bbr
      pinn syl5bi adantrd eleq2 elsuci ne0i 0lt1o mpbii jaoi syl6bi ltpiord
      biimpa syl5 jcad elni syl6ibr pm3.27 cpli co coa addpiord con0 pion
      oa1suc eqtrd eqeq2d biimparc eleq1d addclpi syl5bir ex pm2.43d biimprd
      anim12d impbid imbi1d syl6bir adantr com12 pm5.74d bitrd pm3.2 pm5.32i
      imim1d jao mpi visset sucex ltrelpi brel ibi syl6com imp3a elni2 sylbir
      df-1o sseq1i cvv 0ex sucssel ax-mp sylbi sylan2 syl9r adantlr findsg
      mpanl2 word nnord ordsucss imp sylanc exp3a pm2.43i jaod mpd ) HOPZHQRZQH
      STZUAZEUUKUUNUBZUBUUNUUKHQSTZUUOHUCUUKQOPZUUPUUOUDZUEOSUFUUKUUQUGUURUHOHQ
      SUIUJUKULUUNUMUNUUKUULEUUMUULEUOUUKEQHAEFUPZQRZQHRFUUSHFQHQOUEUQZURLUUTAB
      MIUSZUTVAVBUUKUUMEUOUUKUUKUUMEHVCPZQHVDZUUKUUMUGZEUOZUUKUVCQVCPZUVDUVFVEU
      USOPZQUUSSTZUGZAUOZUUQQQSTZUGZBUOZGUPZOPZQUVOSTZUGZCUOZUVPQUVOVFZSTZUGZDU
      OZUVFFGHQUUTUVJUVMABUUTUVHUUQUVIUVLUUSQOVGUUSQQSVHVIIVJUUSUVORZUVJUVRACUW
      DUVHUVPUVIUVQUUSUVOOVGUUSUVOQSVHVIJVJUUSUVTRZUVKUWBAUOUWCUWEUVJUWBAUWEUVJ
      UWBUWEUVJUVPUWAUWEUVJUVOVCPZUVOVKVLZUGUVPUWEUVJUWFUWGUWEUVHUWFUVIUWEUUSVC
      PZUWFUVHUWEUWHUVTVCPUWFUUSUVTVCVGUVOVMVNUUSVOVPVQUWEQUUSPZUWGUVJUWEUWIQUV
      TPZUWGUUSUVTQVRUWJQUVOPZQUVORZUAZUWGQUVOVSZUWKUWGUWLUVOQVTUWLVKUVOPZUWGUW
      LVKQPUWOWAQUVOVKVRWBUVOVKVTUNWCUNWDUVHUVIUWIUUQUVHUVIUWIUDUEQUUSWEUJWFWGW
      HUVOWIWJUWEUVIUWAUVJUUSUVTQSVHZUVHUVIWKVPWHUWEUVPUVHUWAUVIUWEUVPUVHUWEUVP
      UVPUVHUOUWEUVPUGZUVHUVOQWLWMZOPZUVPUWQUUSUWROUVPUUSUWRRZUWEUVPUWRUVTUUSUV
      PUWRUVOQWNWMZUVTUVPUUQUWRUXARUEUVOQWOUKUVPUVOWPPUXAUVTRUVOWQUVOWRUNWSWTZX
      AXBUVPUUQUWSUEUVOQXCUKXDXEXFUWEUVIUWAUWPXGXHXIXJUWEUWBADUWBUWEADUDZUVPUWE
      UXCUOUWAUVPUWEUWTUXCUXBKXKXLXMXNXOUUSHRZUVJUVEAEUXDUVHUUKUVIUUMUUSHOVGUUS
      HQSVHVILVJUVNUVGBUVMMVBVBUWFQUVOVDZUVSUWCUOUVGUVSUWBCUWFUXEUGDUVSUVPUWACU
      VPUVSUWKCUOZUWACUOUVPUWKUVRCUVPUWKUVPUWKUGUVRUVPUWKXPUVPUVQUWKUUQUVPUVQUW
      KUDUEQUVOWEUJXQWJXRUXFUWJCUWAUXFUWMCUWJUXFUWLCUOUWMCUOACUUTUWLFUUSUVOFQUV
      OUVAURJUVBUTUWKCUWLXSXTUWNWGUWAUWJUWAUUQUVTOPUGUWAUWJUDQUVTOOSUVOGYAYBYCY
      DQUVTWEUNYEWGYFYGUWFUWOCDUOZUXEUWFUWOUGUVPUXGUVOYHNYIUXEVKVFZUVOVDZUWOQUX
      HUVOYJYKVKYLPUXIUWOUOYMVKUVOYLYNYOYPYQYRYSYTUUAHVOUUKUVCVKHPZUGUVDHYHUVCU
      XJUVDUVCUXJUXHHVDZUVDUVCHUUBUXJUXKUOHUUCVKHUUDUNQUXHHYJYKWJUUEYPUUFUUGUUH
      UUIUUJ $.
      $( [23-Mar-1996] $)
  $}

  ${
    $d x y z w v u f $.

    $( Define pre-addition on positive fractions.  This is a "temporary" set
       used in the construction of complex numbers ~ df-c , and is intended to
       be used only by the construction.  This "pre-addition" operation works
       works directly with ordered pairs of integers.  The actual positive
       fraction addition ` +Q ` ( ~ df-plq ) works with the equivalence classes
       of these ordered pairs determined by the equivalence relation ` ~Q `
       ( ~ df-enq ).  (Analogous remarks apply to the other "pre-" operations
       in the complex number construction that follows.)  From Proposition
       9-2.3 of [Gleason] p. 117. $)
    df-plpq $a |- +pQ = { <. <. x , y >. , z >. | ( ( x e. ( N. X. N. ) /\
         y e. ( N. X. N. ) ) /\ E. w E. v E. u E. f ( ( x = <. w , v >. /\
         y = <. u , f >. ) /\ z = <. ( ( w .N f ) +N ( v .N u ) ) ,
           ( v .N f ) >. ) ) } $.

    $( Define pre-multiplication on positive fractions.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-2.4 of
       [Gleason] p. 119. $)
    df-mpq $a |- .pQ = { <. <. x , y >. , z >. | ( ( x e. ( N. X. N. ) /\
         y e. ( N. X. N. ) ) /\ E. w E. v E. u E. f ( ( x = <. w , v >. /\
         y = <. u , f >. ) /\ z = <. ( w .N u ) , ( v .N f ) >. ) ) } $.

    $( Define equivalence relation for positive fractions.  This is a
       "temporary" set used in the construction of complex numbers ~ df-c ,
       and is intended to be used only by the construction.  From Proposition
       9-2.1 of [Gleason] p. 117. $)
    df-enq $a |- ~Q = { <. x , y >. | ( ( x e. ( N. X. N. ) /\
                   y e. ( N. X. N. ) ) /\ E. z E. w E. v E. u
                   ( ( x = <. z , w >. /\ y = <. v , u >. ) /\
                   ( z .N u ) = ( w .N v ) ) ) } $.

    $( Define class of positive fractions.  This is a "temporary" set
       used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-2.2 of
       [Gleason] p. 117. $)
    df-nq $a |- Q. = ( ( N. X. N. ) /. ~Q ) $.

    $( Define addition on positive fractions.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-2.3
       of [Gleason] p. 117. $)
    df-plq $a |- +Q = { <. <. x , y >. , z >. | ( ( x e. Q. /\ y e. Q. ) /\
      E. w E. v E. u E. f (
         ( x = [ <. w , v >. ] ~Q /\ y = [ <. u , f >. ] ~Q ) /\
               z = [ ( <. w , v >. +pQ <. u , f >. ) ] ~Q ) ) } $.

    $( Define multiplication on positive fractions.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-2.4
       of [Gleason] p. 119. $)
    df-mq $a |- .Q = { <. <. x , y >. , z >. | ( ( x e. Q. /\ y e. Q. ) /\
      E. w E. v E. u E. f (
         ( x = [ <. w , v >. ] ~Q /\ y = [ <. u , f >. ] ~Q ) /\
               z = [ ( <. w , v >. .pQ <. u , f >. ) ] ~Q ) ) } $.

    $( Define reciprocal on positive fractions.  It means the same thing as
       one divided by the argument (although we don't define full division
       since we will never need it).  This is a "temporary" set used in the
       construction of complex numbers ~ df-c , and is intended to be used only
       by the construction.  From Proposition 9-2.5 of [Gleason] p. 119, who
       uses an asterisk to denote this unary operation. $)
    df-rq $a |- *Q = { <. x , y >. | ( x e. Q. /\ ( x .Q y ) = 1Q ) } $.

    $( Define ordering relation on positive fractions.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  Similar to Definition 5 of
       [Suppes] p. 162. $)
    df-ltq $a |- <Q = { <. x , y >. | ( ( x e. Q. /\ y e. Q. ) /\
       E. z E. w E. v E. u
       ( ( x = [ <. z , w >. ] ~Q /\ y = [ <. v , u >. ] ~Q ) /\
                ( z .N u ) <N ( w .N v ) ) ) } $.

    $( Define positive fraction constant 1.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-2.2 of
       [Gleason] p. 117. $)
    df-1q $a |- 1Q = [ <. 1o , 1o >. ] ~Q $.

  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.
    $( Equivalence relation for positive fractions in terms of positive
       integers. $)
    enqbreq $p |- ( ( ( A e. N. /\ B e. N. ) /\ ( C e. N. /\ D e. N. ) ) ->
          ( <. A , B >. ~Q <. C , D >. <-> ( A .N D ) = ( B .N C ) ) ) $=
      ( vx vy vz vw vv vu ceq cnpi cmi df-enq ecopopreq ) EFGHIJABCDKLMEFGHIJNO
      $.
      $( [27-Aug-1995] $)
  $}

  ${
    $d x y z w v u $.
    $( Domain of equivalence relation for positive fractions. $)
    dmenq $p |- dom ~Q = ( N. X. N. ) $=
      ( vx vy vz vw vv vu ceq cnpi cmi df-enq cv visset mulcompi ecopoprdm ) AB
      CDEFGHIABCDEFJAKBKALBLMN $.
      $( [27-Aug-1995] $)
  $}

  ${
    $d x y z w v u $.
    $( The equivalence relation for positive fractions is an equivalence
       relation.  Proposition 9-2.1 of [Gleason] p. 117. $)
    enqer $p |- Er ~Q $=
      ( vx vy vz vw vv vu ceq cnpi cmi df-enq cv visset mulcompi mulclpi
      mulasspi mulcanpi ecopoprer ) ABCDEFGHIABCDEFJAKZBKZALBLZMRSNRSCKZTCLZORS
      UAUBPQ $.
      $( [27-Aug-1995] $)
  $}

  $( Equivalence class equality of positive fractions in terms of positive
     integers. $)
  enqeceq $p |- ( ( ( A e. N. /\ B e. N. ) /\ ( C e. N. /\ D e. N. ) ) ->
                ( [ <. A , B >. ] ~Q = [ <. C , D >. ] ~Q <->
                ( A .N D ) = ( B .N C ) ) ) $=
    ( cnpi wcel wa cop ceq cec wceq wbr cmi co cdm wb pm3.26 cxp opelxpi dmenq
    syl6eleqr opex enqer erthdm 3syl enqbreq bitrd ) AEFBEFGZCEFDEFGZGZABHZIJCD
    HZIJKZUKULILZADMNBCMNKUJUHUKIOZFUMUNPUHUIQUHUKEERUOABEESTUAUKULICDUBUCUDUEA
    BCDUFUG $.
    $( [29-Nov-1995] $)

  ${
    $d x y z w v u $.
    $( The equivalence relation for positive fractions exists. $)
    enqex $p |- ~Q e. V $=
      ( vx vy vz vw vv vu ceq cnpi cxp niex xpex cv wcel wa cop wceq cmi co
      wex copab df-enq opabssxp eqsstr ssexi ) GHHIZUEIZUEUEHHJJKZUGKGALZUEMBLZ
      UEMNUHCLZDLZOPUIELZFLZOPNUJUMQRUKULQRPNFSESDSCSZNABTUFABCDEFUAUNABUEUEUBU
      CUD $.
      $( [3-Sep-1995] $)
  $}

  $( The class of positive fractions exists. $)
  nqex $p |- Q. e. V $=
    ( cnq cnpi cxp ceq cqs cvv df-nq niex xpex qsex eqeltr ) ABBCZDEFGLDBBHHIJK
    $.
    $( [16-Aug-1995] $)

  $( The empty set is not a positive fraction. $)
  0npq $p |- -. (/) e. Q. $=
    ( c0 cnq wcel cnpi cxp ceq cqs dmenq 0nelqs df-nq eleq2i mtbir ) ABCADDEZFG
    ZCMFHIBNAJKL $.
    $( [24-Aug-1995] $)

  ${
    $d x y z w v u $.
    $( Positive fraction 'less than' is a relation on positive fractions. $)
    ltrelpq $p |- <Q (_ ( Q. X. Q. ) $=
      ( vx vy vz vw vv vu cltq cv cnq wcel wa cop ceq cec wceq cmi co clti wbr
      wex copab cxp df-ltq opabssxp eqsstr ) GAHZIJBHZIJKUFCHZDHZLMNOUGEHZFHZLM
      NOKUHUKPQUIUJPQRSKFTETDTCTZKABUAIIUBABCDEFUCULABIIUDUE $.
      $( [14-Feb-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d x y z F $.
    $d x y z G $.  $d x y z R $.  $d x y z S $.

    $( (We do not bother to eliminate these redundant hypotheses.) $)
    cmpblnq.1 $e |- A e. V $.
    cmpblnq.2 $e |- B e. V $.
    cmpblnq.3 $e |- C e. V $.
    cmpblnq.4 $e |- D e. V $.
    cmpblnq.5 $e |- F e. V $.
    cmpblnq.6 $e |- G e. V $.
    cmpblnq.7 $e |- R e. V $.
    cmpblnq.8 $e |- S e. V $.

    $( Lemma showing compatibility of addition. $)
    addcmpblnq $p |- ( ( ( ( A e. N. /\ B e. N. ) /\ ( C e. N. /\ D e. N. )
             ) /\ ( ( F e. N. /\ G e. N. ) /\ ( R e. N. /\ S e. N. ) ) ) ->
                ( ( ( A .N D ) = ( B .N C ) /\ ( F .N S ) = ( G .N R ) ) ->
                 <. ( ( A .N G ) +N ( B .N F ) ) , ( B .N G ) >. ~Q
                 <. ( ( C .N S ) +N ( D .N R ) ) , ( D .N S ) >. ) ) $=
      ( vx vy vz cnpi wcel wa cmi co cpli cop ceq wbr wceq wb addclpi mulclpi
      syl2an an42s ad2ant2l jca anim12i an4s enqbreq syl opreq1 opreq2
      opreqan12d oprex cv visset mulcompi distrpi caoprdistrr mulasspi caopr4
      opreq12i eqtr 3eqtr4g syl5bir ) ATUAZBTUAZUBZCTUAZDTUAZUBZUBGTUAZHTUAZUBZ
      ETUAZFTUAZUBZUBUBZAHUCUDZBGUCUDZUEUDZBHUCUDZUFCFUCUDZDEUCUDZUEUDZDFUCUDZU
      FUGUHZWKWPUCUDZWLWOUCUDZUIZADUCUDZBCUCUDZUIZGFUCUDZHEUCUDZUIZUBZWHWKTUAZW
      LTUAZUBZWOTUAZWPTUAZUBZUBZWQWTUJVRWDWAWGXNVRWDUBZXJWAWGUBZXMXOXHXIVPWCVQW
      BXHWITUAWJTUAXHVPWCUBVQWBUBWIWJUKAHULBGULUMUNVQWCXIVPWBBHULUOUPXPXKXLVSWF
      VTWEXKWMTUAWNTUAXKVSWFUBVTWEUBWMWNUKCFULDEULUMUNVTWFXLVSWEDFULUOUPUQURWKW
      LWOWPUSUTXGXAHFUCUDZUCUDZBDUCUDZXDUCUDZUEUDZXBXQUCUDZXSXEUCUDZUEUDZWRWSXC
      XFXRYBXTYCUEXAXBXQUCVAXDXEXSUCVBVCWRWIWPUCUDZWJWPUCUDZUEUDYAQRSWIWJWPUEUC
      AHUCVDBGUCVDDFUCVDQVEZRVEZQVFRVFZVGZYGYHSVEZYISVFZVHVIYEXRYFXTUEQRSAHDFUC
      INLYJYGYHYKYIYLVJZPVKQRSBGDFUCJMLYJYMPVKVLVMWSWLWMUCUDZWLWNUCUDZUEUDYDWLW
      MWNCFUCVDDEUCVDVHYNYBYOYCUEQRSBHCFUCJNKYJYMPVKQRSBHDEUCJNLYJYMOVKVLVMVNVO
      $.
      $( [27-Aug-1995] $)

    $( Lemma showing compatibility of multiplication. $)
    mulcmpblnq $p |- ( ( ( ( A e. N. /\ B e. N. ) /\ ( C e. N. /\ D e. N. )
             ) /\ ( ( F e. N. /\ G e. N. ) /\ ( R e. N. /\ S e. N. ) ) ) ->
                ( ( ( A .N D ) = ( B .N C ) /\ ( F .N S ) = ( G .N R ) ) ->
     <. ( A .N F ) , ( B .N G ) >. ~Q <. ( C .N R ) , ( D .N S ) >. ) ) $=
      ( vx vy vz cnpi wcel wa cmi co cop ceq wbr wceq wb mulclpi anim12i an4s
      enqbreq syl cv visset mulcompi mulasspi caopr4 eqeq12i syl6bb opreq12
      syl5bir ) ATUAZBTUAZUBZCTUAZDTUAZUBZUBGTUAZHTUAZUBZETUAZFTUAZUBZUBUBZAGUC
      UDZBHUCUDZUECEUCUDZDFUCUDZUEUFUGZADUCUDZGFUCUDZUCUDZBCUCUDZHEUCUDZUCUDZUH
      ZWBWEUHWCWFUHUBVPWAVQVTUCUDZVRVSUCUDZUHZWHVPVQTUAZVRTUAZUBZVSTUAZVTTUAZUB
      ZUBZWAWKUIVFVLVIVOWRVFVLUBWNVIVOUBWQVDVJVEVKWNVDVJUBWLVEVKUBWMAGUJBHUJUKU
      LVGVMVHVNWQVGVMUBWOVHVNUBWPCEUJDFUJUKULUKULVQVRVSVTUMUNWIWDWJWGQRSAGDFUCI
      MLQUOZRUOZQUPRUPZUQZWSWTSUOXASUPURZPUSQRSBHCEUCJNKXBXCOUSUTVAWBWEWCWFUCVB
      VC $.
      $( [27-Aug-1995] $)
  $}

  ${
    $d x y z w v u t s f g h a b c d A $.
    $d x y z w v u t s f g h a b c d B $.
    $d x y z w v u t s f g h a b c d C $.
    $d x y z w v u t s f g h a b c d D $.
    $( Addition of positive fractions in terms of positive integers. $)
    addpipq $p |- ( ( ( A e. N. /\ B e. N. ) /\
                     ( C e. N. /\ D e. N. ) ) ->
                ( [ <. A , B >. ] ~Q +Q [ <. C , D >. ] ~Q ) =
                   [ <. ( ( A .N D ) +N ( B .N C ) ) ,
                              ( B .N D ) >. ] ~Q ) $=
      ( vz vu vw vv va vd vb vc vg vs vh vt vx vy vf cv cmi co wceq cnq ceq
      cnpi cplq cplpq cpli cop opex enqex enqer dmenq df-enq wb wa opreq12
      eqeqan12d an42s df-plpq opreqan12d ad2ant2l opeq12d df-plq df-nq visset
      addcmpblnq oprec ) ETZFTZUAUBZGTZHTZUAUBZUCZITZJTZUAUBZKTZLTZUAUBZUCZMTZN
      TZUAUBZOTZPTZUAUBZUCZQREGHFPABCDUDUEUFSMOUGUHADUAUBZBCUAUBZUIUBZBDUAUBZUJ
      VMSTZUAUBZVNVKUAUBZUIUBZVNWOUAUBZUJVQWGUAUBZVTWDUAUBZUIUBZVTWGUAUBZUJWAWE
      UAUBZVRWHUAUBZUIUBZVRWEUAUBZUJNIKLJWMWNUKXBXCUKXFXGUKULUMUNQREGHFUOVJVQUC
      ZVKVRUCZVMVTUCZVNWAUCZVPWCUPXHXIUQXJXKUQVLVSVOWBVJVQVKVRUAURVMVTVNWAUAURU
      SUTVJWDUCZVKWEUCZVMWGUCZVNWHUCZVPWJUPXLXMUQXNXOUQVLWFVOWIVJWDVKWEUAURVMWG
      VNWHUAURUSUTQREGHFSVAVMVQUCZVNVTUCZUQVKWDUCZWOWGUCZUQUQWRXBWSXCXPXSXQXRWR
      XBUCXPXSUQXQXRUQWPWTWQXAUIVMVQWOWGUAURVNVTVKWDUAURVBUTXQXSWSXCUCXPXRVNVTW
      OWGUAURVCVDVMWAUCZVNVRUCZUQVKWHUCZWOWEUCZUQUQWRXFWSXGXTYCYAYBWRXFUCXTYCUQ
      YAYBUQWPXDWQXEUIVMWAWOWEUAURVNVRVKWHUAURVBUTYAYCWSXGUCXTYBVNVRWOWEUAURVCV
      DVMAUCZVNBUCZUQVKCUCZWODUCZUQUQWRWMWSWNYDYGYEYFWRWMUCYDYGUQYEYFUQWPWKWQWL
      UIVMAWODUAURVNBVKCUAURVBUTYEYGWSWNUCYDYFVNBWODUAURVCVDQREIKLJVEVFVQVTWAVR
      WHWEWDWGIVGKVGLVGJVGMVGOVGPVGNVGVHVI $.
      $( [28-Aug-1995] $)

    $( Multiplication of positive fractions in terms of positive integers. $)
    mulpipq $p |- ( ( ( A e. N. /\ B e. N. ) /\
                     ( C e. N. /\ D e. N. ) ) ->
                ( [ <. A , B >. ] ~Q .Q [ <. C , D >. ] ~Q ) =
                   [ <. ( A .N C ) , ( B .N D ) >. ] ~Q ) $=
      ( vz vu vw vv va vd vb vc vg vs vh vt vx vy vf cv cmi co wceq cnq ceq
      cnpi cmq cmpq cop opex enqex enqer dmenq df-enq wb wa opreq12 eqeqan12d
      an42s df-mpq opeq12 syl2an an4s df-mq df-nq visset mulcmpblnq oprec ) ETZ
      FTZUAUBZGTZHTZUAUBZUCZITZJTZUAUBZKTZLTZUAUBZUCZMTZNTZUAUBZOTZPTZUAUBZUCZQ
      REGHFPABCDUDUEUFSMOUGUHACUAUBZBDUAUBZUIZVLVJUAUBZVMSTZUAUBZUIZVPWCUAUBZVS
      WFUAUBZUIZVTWGUAUBZVQWDUAUBZUIZNIKLJWJWKUJWQWRUJWTXAUJUKULUMQREGHFUNVIVPU
      CZVJVQUCZVLVSUCZVMVTUCZVOWBUOXCXDUPXEXFUPVKVRVNWAVIVPVJVQUAUQVLVSVMVTUAUQ
      URUSVIWCUCZVJWDUCZVLWFUCZVMWGUCZVOWIUOXGXHUPXIXJUPVKWEVNWHVIWCVJWDUAUQVLW
      FVMWGUAUQURUSQREGHFSUTVLVPUCZVJWCUCZVMVSUCZWNWFUCZWPWSUCZWMWQUCWOWRUCXOXK
      XLUPXMXNUPWMWOWQWRVAVLVPVJWCUAUQVMVSWNWFUAUQVBVCVLVTUCZVJWGUCZVMVQUCZWNWD
      UCZWPXBUCZWMWTUCWOXAUCXTXPXQUPXRXSUPWMWOWTXAVAVLVTVJWGUAUQVMVQWNWDUAUQVBV
      CVLAUCZVJCUCZVMBUCZWNDUCZWPWLUCZWMWJUCWOWKUCYEYAYBUPYCYDUPWMWOWJWKVAVLAVJ
      CUAUQVMBWNDUAUQVBVCQREIKLJVDVEVPVSVTVQWGWDWCWFIVFKVFLVFJVFMVFOVFPVFNVFVGV
      H $.
      $( [28-Aug-1995] $)

  $}

  ${
    $d A x y z w v u f $.  $d B x y z w v u f $.  $d C x y z w v u f $.
    $d D x y z w v u f $.
    ordpipq.1 $e |- A e. V $.
    ordpipq.2 $e |- B e. V $.
    ordpipq.3 $e |- C e. V $.
    ordpipq.4 $e |- D e. V $.
    $( Ordering of positive fractions in terms of  positive integers. $)
    ordpipq $p |- ( [ <. A , B >. ] ~Q <Q [ <. C , D >. ] ~Q <->
                          ( A .N D ) <N ( B .N C ) ) $=
      ( vz vu vw vv vx vy vf clti cltq ceq cmi cnpi cnq enqex dmenq df-nq
      ltrelpq ltrelpi 0npi dmmulpi cv co wbr enqer df-ltq wcel wa cop cec wceq
      wb enqeceq eqcom syl6bb bi2anan9 opreq12 visset mulcompi mulasspi caopr4
      3eqtr4g syl6bi wi mulclpi ad2ant2lr anim12i ancoms an4s oprex ltmpi
      caoprord3 ex syl syld brecop brecop2 ) ABCDPQRSTUAUBFGHUCUDUEUFUGUHIUIZJU
      IZSUJZKUIZLUIZSUJZPUKZADSUJZBCSUJZPUKZMNIKLJABCDQRTUAUBULUCUDMNIKLJUMWETU
      NZWHTUNZUOZATUNZBTUNZUOZUOZWITUNZWFTUNZUOZCTUNZDTUNZUOZUOZUOZWEWHUPRUQABU
      PRUQURZWIWFUPRUQCDUPRUQURZUOZWGWMSUJZWJWLSUJZURZWKWNUSZXIXLWEBSUJZWHASUJZ
      URZWFCSUJZWIDSUJZURZUOZXOXAXJXSXHXKYBWEWHABUTXHXKYAXTURYBWIWFCDUTYAXTVAVB
      VCYCXQXTSUJXRYASUJXMXNXQXRXTYASVDMNOWEWFBCSIVEJVEFMUIZNUIZMVEZNVEZVFZYDYE
      OUIZYGOVEVGZGVHMNOWHWIADSKVELVEEYHYJHVHVIVJXIWMTUNZWJTUNZUOZXOXPVKWQXDWTX
      GYMWTXGUOZWQXDUOZYMYNYKYOYLWSXEYKWRXFBCVLVMWPXBYLWOXCWHWIVLVMVNVOVPYMXOXP
      MNOWGWMWJWLPTSWEWFSVQBCSVQYDYEYIYFYGVRWHWISVQYHADSVQVSVTWAWBWCWD $.
      $( [13-Feb-1996] $)
  $}

  $( The positive fraction 'one'. $)
  1q $p |- 1Q e. Q. $=
    ( c1q cnq wcel c1o cop ceq cec cnpi cxp cqs 1pi opelxpi mp2an enqex
    ecelqsi ax-mp df-1q df-nq eleq12i mpbir ) ABCDDEZFGZHHIZFJZCZUAUCCZUEDHCZUG
    UFKKDDHHLMUCUAFNOPAUBBUDQRST $.
    $( [29-Oct-1995] $)

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Closure of addition on positive fractions. $)
    addclpq $p |- ( ( A e. Q. /\ B e. Q. ) -> ( A +Q B ) e. Q. ) $=
      ( vx vy vz vw cnq wcel wa cplq co cnpi cxp ceq cqs cv cop cec df-nq wceq
      opreq1 eleq1d opreq2 cmi cpli addpipq addclpi mulclpi syl2an an42s
      ad2ant2l jca opelxpi enqex ecelqsi 3syl eqeltrd 2ecoptocl syl6eleqr ) AGH
      BGHIABJKZLLMZNOZGCPZDPZQNRZEPZFPZQNRZJKZVBHAVHJKZVBHUTVBHCDEFABLLNGSVEATV
      IVJVBVEAVHJUAUBVHBTVJUTVBVHBAJUCUBVCLHZVDLHZIVFLHZVGLHZIIZVIVCVGUDKZVDVFU
      DKZUEKZVDVGUDKZQZNRZVBVCVDVFVGUFVOVRLHZVSLHZIVTVAHWAVBHVOWBWCVKVNVLVMWBVP
      LHVQLHWBVKVNIVLVMIVPVQUGVCVGUHVDVFUHUIUJVLVNWCVKVMVDVGUHUKULVRVSLLUMVAVTN
      UNUOUPUQURSUS $.
      $( [29-Aug-1995] $)
  $}

  ${
    $d x y z w v u f $.
    $( Domain of addition on positive fractions. $)
    dmaddpq $p |- dom +Q = ( Q. X. Q. ) $=
      ( vx vy vw vv vu vf vz cplq cdm cnq cxp cv wcel wa cop ceq cec wceq
      cplpq co wex copab2 df-plq dmeqi dmoprabss eqsstr 0npq addclpq oprssdm
      eqssi ) HIZJJKZUKALZJMBLZJMNUMCLDLOZPQRUNELFLOZPQRNGLUOUPSTPQRNFUAEUADUAC
      UAZNABGUBZIULHURABGCDEFUCUDUQABGJJUEUFABJHUGUMUNUHUIUJ $.
      $( [24-Aug-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Closure of multiplication on positive fractions. $)
    mulclpq $p |- ( ( A e. Q. /\ B e. Q. ) -> ( A .Q B ) e. Q. ) $=
      ( vx vy vz vw cnq wcel wa cmq co cnpi cxp ceq cqs cv cop cec df-nq wceq
      opreq1 eleq1d opreq2 cmi mulpipq mulclpi anim12i an4s opelxpi enqex
      ecelqsi 3syl eqeltrd 2ecoptocl syl6eleqr ) AGHBGHIABJKZLLMZNOZGCPZDPZQNRZ
      EPZFPZQNRZJKZURHAVDJKZURHUPURHCDEFABLLNGSVAATVEVFURVAAVDJUAUBVDBTVFUPURVD
      BAJUCUBUSLHZUTLHZIVBLHZVCLHZIIZVEUSVBUDKZUTVCUDKZQZNRZURUSUTVBVCUEVKVLLHZ
      VMLHZIZVNUQHVOURHVGVIVHVJVRVGVIIVPVHVJIVQUSVBUFUTVCUFUGUHVLVMLLUIUQVNNUJU
      KULUMUNSUO $.
      $( [29-Aug-1995] $)
  $}

  ${
    $d x y z w v u f $.
    $( Domain of multiplication on positive fractions. $)
    dmmulpq $p |- dom .Q = ( Q. X. Q. ) $=
      ( vx vy vw vv vu vf vz cmq cdm cnq cxp cv wcel wa cop ceq cec wceq cmpq
      co wex copab2 df-mq dmeqi dmoprabss eqsstr 0npq mulclpq oprssdm eqssi )
      HIZJJKZUKALZJMBLZJMNUMCLDLOZPQRUNELFLOZPQRNGLUOUPSTPQRNFUAEUADUACUAZNABGU
      BZIULHURABGCDEFUCUDUQABGJJUEUFABJHUGUMUNUHUIUJ $.
      $( [24-Aug-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    addcompq.1 $e |- A e. V $.
    addcompq.2 $e |- B e. V $.
    $( Addition of positive fractions is commutative. $)
    addcompq $p |- ( A +Q B ) = ( B +Q A ) $=
      ( vx vy vz vw cnq wcel wa cplq co wceq cv cmi cpli ceq cnpi df-nq
      addpipq visset mulcompi opreq12i oprex addcompi eqtr ecoprcom dmaddpq
      ndmoprcom pm2.61i ) AIJBIJKABLMBALMNEFGHABIEOZHOZPMZFOZGOZPMZQMZRSLUOUMPM
      UPUOPMZUMULPMZQMZUMUOPMTULUOUPUMUAUPUMULUOUAURUTUSQMVAUNUTUQUSQULUMEUBHUB
      ZUCUOUPFUBZGUBUCUDUTUSUMULPUEUPUOPUEUFUGUOUMVCVBUCUHABILDUICUJUK $.
      $( [30-Aug-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    addasspq.1 $e |- B e. V $.
    addasspq.2 $e |- C e. V $.
  $( Addition of positive fractions is associative. $)
    addasspq $p |- ( ( A +Q B ) +Q C ) = ( A +Q ( B +Q C ) ) $=
      ( vx vy vz vw vv vu vf vg vh cnq wcel w3a cplq co wceq cv cmi ceq cnpi
      cpli df-nq addpipq wa addclpi mulclpi syl2an an42s ad2ant2l jca oprex
      addasspi visset mulcompi distrpi mulasspi caoprdilem opreq12i opreq2i
      3eqtr4 ecoprass dmaddpq 0npq ndmoprass pm2.61i ) AOPBOPCOPQABRSCRSABCRSRS
      TFGHIJKABCOIUAZKUAZUBSZUCUDRFUAZVJUBSZGUAZHUAZUBSZUESZVOVJUBSZVRVKUBSZVSJ
      UAZUBSZUESZVSVKUBSVMVLUBSZVOVPVKUBSZVJWAUBSZUESZUBSZUESZVOVLUBSWGUFVMVOVP
      VJUGVPVJWAVKUGVRVSWAVKUGVMVOWGVLUGVMUDPZVOUDPZUHVPUDPZVJUDPZUHZUHVRUDPZVS
      UDPZWJWMWKWLWOVNUDPVQUDPWOWJWMUHWKWLUHVNVQUIVMVJUJVOVPUJUKULWKWMWPWJWLVOV
      JUJUMUNWNWAUDPZVKUDPZUHUHWGUDPZVLUDPZWLWRWMWQWSWEUDPWFUDPWSWLWRUHWMWQUHWE
      WFUIVPVKUJVJWAUJUKULWMWRWTWLWQVJVKUJUMUNWDVOWEUBSZUESZVOWFUBSZUESWDXAXCUE
      SZUESWCWIWDXAXCVOWEUBUOVOWFUBUOUPVTXBWBXCUELMNVMVOVJVPUEUBVKFUQGUQIUQZLUA
      ZMUAZLUQMUQZURXFXGNUAZXHNUQZUSHUQKUQZXFXGXIXHXJUTVAVOVJWAXEJUQUTVBWHXDWDU
      EVOWEWFVPVKUBUOVJWAUBUOUSVCVDVOVJVKXEXKUTVEABCORDVFEVGVHVI $.
      $( [2-Sep-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    mulcompq.1 $e |- A e. V $.
    mulcompq.2 $e |- B e. V $.
    $( Multiplication of positive fractions is commutative. $)
    mulcompq $p |- ( A .Q B ) = ( B .Q A ) $=
      ( vx vy vz vw cnq wcel wa cmq co wceq cv cmi ceq cnpi df-nq mulpipq
      visset mulcompi ecoprcom dmmulpq ndmoprcom pm2.61i ) AIJBIJKABLMBALMNEFGH
      ABIEOZGOZPMQRLFOZHOZPMUHUGPMUJUIPMSUGUIUHUJTUHUJUGUITUGUHEUAGUAUBUIUJFUAH
      UAUBUCABILDUDCUEUF $.
      $( [31-Aug-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    mulasspq.1 $e |- B e. V $.
    mulasspq.2 $e |- C e. V $.
    $( Multiplication of positive fractions is associative. $)
    mulasspq $p |- ( ( A .Q B ) .Q C ) = ( A .Q ( B .Q C ) ) $=
      ( vx vy vz vw vv vu cnq wcel w3a cmq co wceq cv cmi ceq cnpi df-nq
      mulpipq wa mulclpi anim12i an4s visset mulasspi ecoprass dmmulpq 0npq
      ndmoprass pm2.61i ) ALMBLMCLMNABOPCOPABCOPOPQFGHIJKABCLIRZKRZSPZTUAOFRZHR
      ZSPZGRZUOSPZUTJRZSPVBUPSPURUSVCSPZSPVAUQSPVDUBURVAUSUOUCUSUOVCUPUCUTVBVCU
      PUCURVAVDUQUCURUAMZUSUAMZVAUAMZUOUAMZUTUAMZVBUAMZUDVEVFUDVIVGVHUDVJURUSUE
      VAUOUEUFUGVFVCUAMZVHUPUAMZVDUAMZUQUAMZUDVFVKUDVMVHVLUDVNUSVCUEUOUPUEUFUGU
      RUSVCHUHJUHUIVAUOUPIUHKUHUIUJABCLODUKEULUMUN $.
      $( [1-Sep-1995] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    distrpqlem.1 $e |- A e. V $.
    distrpqlem.2 $e |- B e. V $.
    distrpqlem.3 $e |- C e. V $.
    $( Lemma for distributive law:  cancellation of common factor. $)
    distrpqlem $p |- ( ( A e. N. /\ B e. N. /\ C e. N. ) ->
     [ <. ( A .N B ) , ( A .N C ) >. ] ~Q = [ <. B , C >. ] ~Q ) $=
      ( vx vy vz cnpi wcel w3a cmi co cop ceq wbr cec wceq cv visset mulcompi
      mulasspi caopr32 wa wb mulclpi anim12i pm3.27 an4s jca 3impdi enqbreq
      syl mpbiri opex enqer erthi ) AJKZBJKZCJKZLZABMNZACMNZOZBCOZPQZVEPRVFPRSV
      BVGVCCMNVDBMNSZGHIABCMDEFGTZHTZGUAHUAZUBVIVJITVKIUAUCUDVBVCJKZVDJKZUEZUTV
      AUEZUEZVGVHUFUSUTVAVPUSUTUEZUSVAUEZUEVNVOVQVLVRVMABUGACUGUHUSUSUTVAVOUSUS
      UEVOUIUJUKULVCVDBCUMUNUOVEVFPVCVDUPBCUPUQURUN $.
      $( [2-Sep-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    distrpq.1 $e |- B e. V $.
    distrpq.2 $e |- C e. V $.
    $( Multiplication of positive fractions is distributive. $)
    distrpq $p |- ( A .Q ( B +Q C ) ) = ( ( A .Q B ) +Q ( A .Q C ) ) $=
      ( vx vy vz vw vv vu vf vg vh cnq wcel w3a cplq co cmq wceq ceq cnpi cv
      cmi cpli df-nq addpipq wa cop cec mulpipq mulclpi pm3.26 jca anim12i
      an12 3anass bitr4 sylib an4s visset oprex distrpqlem syl eqtr4d addclpi
      syl2an an42s ad2ant2l distrpi mulasspi mulcompi opreq1i caopr4 eqtr3
      opreq12i 3eqtr3 ecoprdi dmaddpq 0npq dmmulpq ndmoprdistr pm2.61i ) AOPBOP
      COPQABCRSTSABTSACTSRSUAFGHIJKABCOUBUCRTGUDZFUDZHUDZKUDZUESZIUDZJUDZUESZUF
      SZUESZUESZWEWEWJWHUESZUESZUESZWFWGUESZWEWHUESZUESZWEWJUESZWFWKUESZUESZUFS
      ZXBWTUESZWMWPWSXBXCWTUGWGWJWKWHUHWFUCPZWEUCPZUIWMUCPZWPUCPZUIUIZWFWEUJUBU
      KWMWPUJUBUKTSWNWQUJUBUKZWOWRUJUBUKZWFWEWMWPULXKXHWNUCPZWQUCPZQZXMXLUAXGXI
      XHXJXPXGXIUIZXHXJUIZUIXNXHXOUIZUIZXPXQXNXRXSWFWMUMXRXHXOXHXJUNWEWPUMUOUPX
      TXHXNXOUIUIXPXNXHXOUQXHXNXOURUSUTVAWEWNWQGVBZWFWMUEVCWEWPUEVCVDVEVFWFWEWG
      WJULWFWEWKWHULWSXBXCWTUHWGUCPZWJUCPZUIWKUCPZWHUCPZUIUIXIXJYBYEYCYDXIWIUCP
      WLUCPXIYBYEUIYCYDUIWIWLVGWGWHUMWJWKUMVHVIYCYEXJYBYDWJWHUMVJUOXGYBXHYCWSUC
      PZXBUCPZUIXGYBUIYFXHYCUIYGWFWGUMWEWJUMUPVAXGYDXHYEXCUCPZWTUCPZUIXGYDUIYHX
      HYEUIYIWFWKUMWEWHUMUPVAWEWFUESZWMUESYJWIUESZYJWLUESZUFSWOXEYJWIWLWGWHUEVC
      WJWKUEVCVKWEWFWMFVBZWIWLUFVCVLYKXAYLXDUFWFWEUESZWIUESYKXAYNYJWIUEWFWEYMYA
      VMVNLMNWFWEWGWHUEYMYAHVBLUDZMUDZLVBMVBZVMZYOYPNUDYQNVBVLZKVBZVOVPLMNWEWFW
      JWKUEYAYMIVBZYRYSJVBVOVQVRWEWEUESWPUESWRXFWEWEWPYAWJWHUEVCVLLMNWEWEWJWHUE
      YAYAUUAYRYSYTVOVPVSABCORTDVTEWAWBWCWD $.
      $( [2-Sep-1995] $)
  $}

  ${
    1qec.1 $e |- A e. V $.
    $( The equivalence class of ratio 1. $)
    1qec $p |- ( A e. N. -> 1Q = [ <. A , A >. ] ~Q ) $=
      ( cnpi wcel c1o cop ceq cec c1q cmi co wceq 1pi elisseti distrpqlem
      mp3an23 wa mulidpi jca opeq12 eceq2 3syl eqtr3d df-1q syl5eq ) ACDZEEFGHZ
      AAFZGHZIUFAEJKZUJFZGHZUGUIUFECDZUMULUGLMMAEEBECMNZUNOPUFUJALZUOQUKUHLULUI
      LUFUOUOARZUPSUJUJAATUKUHGUAUBUCUDUE $.
      $( [4-Mar-1996] $)
  $}

  ${
    $d x y A $.
    $( Multiplication identity element for positive fractions. $)
    mulidpq $p |- ( A e. Q. -> ( A .Q 1Q ) = A ) $=
      ( vx vy cv cop ceq cec c1q cmq co wceq cnpi cnq df-nq opreq1 id eqeq12d
      wcel wa c1o cmi 1pi pm3.2i mulpipq mpan2 df-1q opreq2i elisseti visset
      mulcompi opeq12i eceq2 ax-mp 3eqtr4g distrpqlem mp3an1 eqtrd ecoptocl )
      BDZCDZEFGZHIJZVAKAHIJZAKBCALLFMNVAAKZVBVCVAAVAAHIOVDPQUSLRZUTLRZSZVBTUSUA
      JZTUTUAJZEZFGZVAVGVATTEFGZIJZUSTUAJZUTTUAJZEZFGZVBVKVGTLRZVRSVMVQKVRVRUBU
      BUCUSUTTTUDUEHVLVAIUFUGVJVPKVKVQKVHVNVIVOTUSTLUBUHZBUIZUJTUTVSCUIZUJUKVJV
      PFULUMUNVRVEVFVKVAKUBTUSUTVSVTWAUOUPUQUR $.
      $( [3-Mar-1996] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y z w v $.

    recmulpq.1 $e |- B e. V $.
    $( Relationship between reciprocal and multiplication on positive
       fractions. $)
    recmulpq $p |- ( A e. Q. -> ( ( *Q ` A ) = B <-> ( A .Q B ) = 1Q ) ) $=
      ( vx vy vz vw vv cv cmq co c1q wceq cnq crq opreq1 eqeq1d opreq2 wcel
      wex weu cop ceq cec cnpi df-nq exbidv wa cmi mulpipq an42s anidms
      mulclpi oprex 1qec visset mulcompi opeq2i eceq2 ax-mp syl6eq syl eqtr4d
      cvv enqex ecexg cla4ev ecoptocl wmo eu5 1q dmmulpq 0npq mulcompq
      mulasspq mulidpq caoprmo mpbiran2 sylibr df-rq fvopab3 ) DIZEIZJKZLMZAWCJ
      KZLMABJKZLMDEABNOCWBAMWDWFLWBAWCJPQWCBMWFWGLWCBAJRQWBNSWEETZWEEUAZFIZGIZU
      BUCUDZWCJKZLMZETZWHFGWBUEUEUCNUFWLWBMZWNWEEWPWMWDLWLWBWCJPQUGWJUESZWKUESZ
      UHZWLWKWJUBZUCUDZJKZLMZWOWSXBWJWKUIKZWKWJUIKZUBZUCUDZLWSXBXGMZWQWRWRWQXHW
      JWKWKWJUJUKULWSXDUESZLXGMWJWKUMXILXDXDUBZUCUDZXGXDWJWKUIUNUOXJXFMXKXGMXDX
      EXDWJWKFUPZGUPZUQURXJXFUCUSUTVAVBVCWNXCEXAUCVDSXAVDSVEWTVDUCVFUTWCXAMWMXB
      LWCXAWLJRQVGVBVHWIWHWEEVIWEEVJFGHEWBLNJDUPVKVLVMWJWKXLXMVNWJWKHIXMHUPVOWJ
      VPVQVRVSDEVTWA $.
      $( [6-Mar-1996] $)
  $}

  $( A positive fraction times its reciprocal is 1. $)
  recidpq $p |- ( A e. Q. -> ( A .Q ( *Q ` A ) ) = 1Q ) $=
    ( cnq wcel crq cfv wceq cmq co c1q eqid fvex recmulpq mpbii ) ABCADEZNFANGH
    IFNJANADKLM $.
    $( [6-Mar-1996] $)

  $( Closure law for positive fraction reciprocal. $)
  recclpq $p |- ( A e. Q. -> ( *Q ` A ) e. Q. ) $=
    ( cnq wcel crq cfv cmq co c1q recidpq 1q syl6eqel fvex dmmulpq 0npq
    ndmoprrcl pm3.27d syl ) ABCZAADEZFGZBCZSBCZRTHBAIJKUARUBASBFADLMNOPQ $.
    $( [6-Mar-1996] $)

  ${
    recrecpq.1 $e |- A e. V $.
    $( Reciprocal of reciprocal of positive fraction. $)
    recrecpq $p |- ( A e. Q. -> ( *Q ` ( *Q ` A ) ) = A ) $=
      ( cnq wcel crq cfv wceq cmq co c1q recidpq fvex mulcompq syl5eq wb
      recclpq recmulpq syl mpbird ) ACDZAEFZEFAGZUAAHIZJGZTAUAHIJUCAKUAAAELBMNT
      UACDUBUDOAPUAABQRS $.
      $( [26-Apr-1996] $)
  $}

  ${
    $d x y $.
    $( Domain of reciprocal on positive fractions. $)
    dmrecpq $p |- dom *Q = Q. $=
      ( vx vy crq cdm cv cnq wcel cmq co c1q wceq wa copab df-rq dmeqi wex
      wral cfv recidpq fvex opreq2 eqeq1d cla4ev syl rgen dmopab3 mpbi eqtr )
      CDAEZFGZUIBEZHIZJKZLABMZDZFCUNABNOUMBPZAFQUOFKUPAFUJUIUICRZHIZJKZUPUISUMU
      SBUQUICTUKUQKULURJUKUQUIHUAUBUCUDUEUMABFUFUGUH $.
      $( [6-Mar-1996] $)
  $}

  ${
    $d x y z w v u f g h $.
    $( 'Less than' is a strict ordering on positive fractions. $)
    ltsopq $p |- <Q Or Q. $=
      ( vf vg vh vx vy vz vw vv vu cnq cltq cv cop ceq cec wbr wceq wo wn wb
      wa wi cnpi df-nq breq1 eqeq1 breq2 orbi12d negbid bibi12d anbi1d imbi12d
      anbi12d eqeq2 imbi1d anbi2d wcel w3a cmi co clti wor ltsopi sotric mpan
      mulclpi syl2an an42s enqeceq visset ordpipq mulcompi breq12i bitr a1i
      bitr4d syl5bb 3adant3 oprex ltmpi caoprord2 mulasspi syl6bb bi2anan9r
      ltrelpi sotri dmmulpi 0npi ndmordi caopr12 3imtr4 syl syl6bi ad2ant2l
      3adant2 jca 3ecoptocl so ) ABCJKDLZELZMNOZFLZGLZMNOZKPZXAXDQZXDXAKPZRZSZT
      ZXEXDHLZILZMNOZKPZUAZXAXMKPZUBZUAALZXDKPZXRXDQZXDXRKPZRZSZTZXSXNUAZXRXMKP
      ZUBZUAXRBLZKPZXRYHQZYHXRKPZRZSZTZYIYHXMKPZUAZYFUBZUAYNYIYHCLZKPZUAZXRYRKP
      ZUBZUADEFGHIXRYHYRUCNJUDXAXRQZXJYDXQYGUUCXEXSXIYCXAXRXDKUEZUUCXHYBUUCXFXT
      XGYAXAXRXDUFXAXRXDKUGUHUIUJUUCXOYEXPYFUUCXEXSXNUUDUKXAXRXMKUEULUMXDYHQZYD
      YNYGYQUUEXSYIYCYMXDYHXRKUGZUUEYBYLUUEXTYJYAYKXDYHXRUNXDYHXRKUEUHUIUJUUEYE
      YPYFUUEXSYIXNYOUUFXDYHXMKUEUMUOUMXMYRQZYQUUBYNUUGYPYTYFUUAUUGYOYSYIXMYRYH
      KUGUPXMYRXRKUGULUPWSUCUQZWTUCUQZUAZXBUCUQZXCUCUQZUAZXKUCUQZXLUCUQZUAZURXJ
      XQUUJUUMXJUUPUUJUUMUAZWSXCUSUTZWTXBUSUTZVAPZXIXEUUQUUTUURUUSQZUUSUURVAPZR
      ZSZXIUUHUULUUIUUKUUTUVDTZUURUCUQZUUSUCUQZUVEUUHUULUAUUIUUKUAUCVAVBUVFUVGU
      AUVEVCUCUURUUSVAVDVEWSXCVFWTXBVFVGVHUUQXHUVCUUQXFUVAXGUVBWSWTXBXCVIXGUVBT
      UUQXGXBWTUSUTZXCWSUSUTZVAPUVBXBXCWSWTFVJZGVJZDVJZEVJZVKUVHUUSUVIUURVAXBWT
      UVJUVMVLXCWSUVKUVLVLVMVNVOUHUIVPWSWTXBXCUVLUVMUVJUVKVKZVQVRUUJUUPXQUUMUUI
      UUOXQUUHUUNUUIUUOUAXOWSXCXLUSUTZUSUTZWTXBXLUSUTZUSUTZVAPZUVRWTXCXKUSUTZUS
      UTZVAPZUAZXPUUOXEUVSUUIXNUWBUUOUUTUVSXEUUOUUTUURXLUSUTZUUSXLUSUTZVAPUVSAB
      CUURUUSXLVAUCUSWSXCUSVSWTXBUSVSXRYHYRAVJZBVJZVTIVJZXRYHUWFUWGVLZWAUWDUVPU
      WEUVRVAWSXCXLUVKUWHWBWTXBXLUVJUWHWBVMWCUVNVQUUIUVQUVTVAPUWBXNUVQUVTWTXBXL
      USVSXCXKUSVSVTXBXCXKXLUVJUVKHVJZUWHVKVQWDUWCUVPUWAVAPZXPUVPUVRUWAVAUCWSUV
      OUSVSVCWEWTUVQUSVSWTUVTUSVSWFXCWSXLUSUTZUSUTZXCWTXKUSUTZUSUTZVAPUWLUWNVAP
      UWKXPUWLUWNXCVAUCUSWSXLUSVSZWGWEWHUWLUWNXCUWPWTXKUSVSVTWIUVPUWMUWAUWOVAAB
      CWSXCXLUSUVLUVKUWHUWIXRYHYRUWGCVJWBZWJABCWTXCXKUSUVMUVKUWJUWIUWQWJVMWSWTX
      KXLUVLUVMUWJUWHVKWKWLWMWNWOWPWQWR $.
      $( [19-Feb-1996] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    ltapq.1 $e |- A e. V $.
    ltapq.2 $e |- B e. V $.
    $( Ordering property of addition for positive fractions.  Proposition
       9-2.6(ii) of [Gleason] p. 120. $)
    ltapq $p |- ( C e. Q. -> ( A <Q B <-> ( C +Q A ) <Q ( C +Q B ) ) ) $=
      ( vx vy vz vw vv vu vf vg vh cltq cnq cplq dmaddpq ltrelpq 0npq cv cop
      ceq cec wbr co wb cnpi df-nq wceq breq1 opreq2 breq1d bibi12d breq2
      breq2d opreq1 breq12d bibi2d wcel wa cmi cpli clti mulclpi oprex ltmpi
      syl anidms ad2antrl anim12i ltapi 3syl visset mulcompi mulasspi caopr4
      breq12i distrpi caoprdistrr caopr411 opreq1i eqtr 3bitr4g bitrd ordpipq
      an4s pm3.27 sylan2 addpipq adantrr adantrl bitr4d 3impb 3coml 3ecoptocl
      ndmord ) ABCOPQERDSTFUAZGUAZUBUCUDZHUAZIUAZUBUCUDZOUEZJUAZKUAZUBUCUDZWTQU
      FZXGXCQUFZOUEZUGZAXCOUEZXGAQUFZXIOUEZUGABOUEZXMXGBQUFZOUEZUGXOCAQUFZCBQUF
      ZOUEZUGFGHIJKABCUHUCPUIWTAUJZXDXLXJXNWTAXCOUKYAXHXMXIOWTAXGQULUMUNXCBUJZX
      LXOXNXQXCBAOUOYBXIXPXMOXCBXGQULUPUNXGCUJZXQXTXOYCXMXRXPXSOXGCAQUQXGCBQUQU
      RUSXEUHUTZXFUHUTZVAZWRUHUTZWSUHUTZVAZXAUHUTZXBUHUTZVAZXKYFYIYLXKYFYIYLVAZ
      VAZXDXEWSVBUFZXFWRVBUFZVCUFZXFWSVBUFZUBUCUDZXEXBVBUFZXFXAVBUFZVCUFZXFXBVB
      UFZUBUCUDZOUEZXJYFYHYKVAXDUUEUGZYMYDYHYEYKUUFYDYHVAZYEYKVAZVAZWRXBVBUFZWS
      XAVBUFZVDUEZYQUUCVBUFZYRUUBVBUFZVDUEZXDUUEUUIUULXFXFVBUFZUUJVBUFZUUPUUKVB
      UFZVDUEZUUOYEUULUUSUGZUUGYKYEUUTYEYEVAUUPUHUTUUTXFXFVEUUJUUKUUPWRXBVBVFWS
      XAVBVFVGVHVIVJUUIYPUUCVBUFZYRUUAVBUFZVDUEZYOUUCVBUFZUVAVCUFZUVDUVBVCUFZVD
      UEZUUSUUOUUIYOUHUTZUUCUHUTZVAUVDUHUTUVCUVGUGUUGUVHUUHUVIXEWSVEXFXBVEVKYOU
      UCVEUVAUVBUVDYPUUCVBVFYRUUAVBVFVLVMUUQUVAUURUVBVDLMNXFXFWRXBVBKVNZUVJFVNZ
      LUAZMUAZLVNMVNZVOZUVLUVMNUAZUVNNVNZVPZIVNZVQLMNXFXFWSXAVBUVJUVJGVNZUVOUVR
      HVNZVQVRUUMUVEUUNUVFVDLMNYOYPUUCVCVBXEWSVBVFXFWRVBVFXFXBVBVFZUVOUVLUVMUVP
      UVNUVQVSVTUUNYRYTVBUFZUVBVCUFUVFYRYTUUAXEXBVBVFXFXAVBVFVSUWCUVDUVBVCLMNXF
      WSXEXBVBUVJUVTJVNUVOUVRUVSWAWBWCVRWDWEWRWSXAXBUVKUVTUWAUVSWFYQYRUUBUUCYOY
      PVCVFXFWSVBVFYTUUAVCVFUWBWFWDWGYIYHYLYKYGYHWHYJYKWHVKWIYNXHYSXIUUDOYFYIXH
      YSUJYLXEXFWRWSWJWKYFYLXIUUDUJYIXEXFXAXBWJWLURWMWNWOWPWQ $.
      $( [6-Mar-1996] $)

    $( Ordering property of multiplication for positive fractions.  Proposition
       9-2.6(iii) of [Gleason] p. 120. $)
    ltmpq $p |- ( C e. Q. -> ( A <Q B <-> ( C .Q A ) <Q ( C .Q B ) ) ) $=
      ( vx vy vz vw vv vu vf vg vh cltq cnq cmq dmmulpq ltrelpq 0npq cv cop
      ceq cec wbr co wb cnpi df-nq wceq breq1 opreq2 breq1d bibi12d breq2
      breq2d opreq1 breq12d bibi2d wcel wa cmi clti mulclpi oprex ltmpi visset
      mulcompi mulasspi caopr4 opreq1i eqtr breq12i syl6bbr syl ordpipq
      3bitr4g adantr mulpipq adantrr adantrl bitr4d 3impb 3coml 3ecoptocl
      ndmord ) ABCOPQERDSTFUAZGUAZUBUCUDZHUAZIUAZUBUCUDZOUEZJUAZKUAZUBUCUDZWIQU
      FZWPWLQUFZOUEZUGZAWLOUEZWPAQUFZWROUEZUGABOUEZXBWPBQUFZOUEZUGXDCAQUFZCBQUF
      ZOUEZUGFGHIJKABCUHUCPUIWIAUJZWMXAWSXCWIAWLOUKXJWQXBWROWIAWPQULUMUNWLBUJZX
      AXDXCXFWLBAOUOXKWRXEXBOWLBWPQULUPUNWPCUJZXFXIXDXLXBXGXEXHOWPCAQUQWPCBQUQU
      RUSWNUHUTWOUHUTVAZWGUHUTWHUHUTVAZWJUHUTWKUHUTVAZWTXMXNXOWTXMXNXOVAZVAZWMW
      NWGVBUFZWOWHVBUFZUBUCUDZWNWJVBUFZWOWKVBUFZUBUCUDZOUEZWSXMWMYDUGXPXMWGWKVB
      UFZWHWJVBUFZVCUEZXRYBVBUFZXSYAVBUFZVCUEZWMYDXMWNWOVBUFZUHUTZYGYJUGWNWOVDY
      LYGYKYEVBUFZYKYFVBUFZVCUEYJYEYFYKWGWKVBVEWHWJVBVEVFYHYMYIYNVCLMNWNWGWOWKV
      BJVGZFVGZKVGZLUAZMUAZLVGMVGZVHZYRYSNUAYTNVGVIZIVGZVJYIWOWNVBUFZYFVBUFYNLM
      NWOWHWNWJVBYQGVGZYOUUAUUBHVGZVJUUDYKYFVBWOWNYQYOVHVKVLVMVNVOWGWHWJWKYPUUE
      UUFUUCVPXRXSYAYBWNWGVBVEWOWHVBVEWNWJVBVEWOWKVBVEVPVQVRXQWQXTWRYCOXMXNWQXT
      UJXOWNWOWGWHVSVTXMXOWRYCUJXNWNWOWJWKVSWAURWBWCWDWEWF $.
      $( [6-Mar-1996] $)
  $}

  $( One is less than two (one plus one). $)
  1lt2pq $p |- 1Q <Q ( 1Q +Q 1Q ) $=
    ( c1o cop ceq cec cmi co cpli c1q cplq cltq wbr clti 1lt2pi cnpi wcel wceq
    1pi mulidpi ax-mp opreq12i 3brtr4 wb oprex ltmpi mpbi elisseti ordpipq
    mpbir df-1q wa pm3.2i addpipq mp2an eqtr ) AABCDZAAEFZUPGFZUPBCDZHHHIFZJUOU
    RJKAUPEFAUQEFLKZUPUQLKZUTAAAGFUPUQLMANOZUPAPQARSZUPAUPAGVCVCTUAVBVAUTUBQUPU
    QAAAEUCZUPUPGUCZUDSUEAAUQUPANQUFZVFVEVDUGUHUIUSUOUOIFZURHUOHUOIUIUITVBVBUJZ
    VHVGURPVBVBQQUKZVIAAAAULUMUNUA $.
    $( [13-Mar-1996] $)

  ${
    ltaddpq.1 $e |- A e. V $.
    ltaddpq.2 $e |- B e. V $.
    $( The sum of two fractions is greater than one of them. $)
    ltaddpq $p |- ( ( A e. Q. /\ B e. Q. ) -> A <Q ( A +Q B ) ) $=
      ( cnq wcel wa cplq co cltq wbr oprex ltapq c1q cmq 1lt2pq 1q elisseti
      ltmpq mpbii mulidpq opreq12d distrpq syl5eq 3brtr3d syl5bi addcompq
      addasspq eqtr breq12i syl6ibr imp wb adantl mpbird ) AEFZBEFZGAABHIZJKZBA
      HIZBURHIZJKZUPUQVBUPUQURABBHIZHIZJKZVBUPBVCJKVEUQBVCADBBHLMUQBNOIZBNNHIZO
      IZBVCJUQNVGJKVFVHJKPNVGBNEQRZNNHLSTBUAZUQVFVFHIVCVHUQVFBVFBHVJVJUBBNNVIVI
      UCUDUEUFUTURVAVDJBADCUGVAURBHIVDBURDABHLZUGABBDDUHUIUJUKULUQUSVBUMUPAURBC
      VKMUNUO $.
      $( [14-Mar-1996] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.
    ltexpq.1 $e |- A e. V $.
    $( Ordering on positive fractions in terms of existence of sum.  Definition
       in Proposition 9-2.6 of [Gleason] p. 119. $)
    ltexpq $p |- ( ( A e. Q. /\ B e. Q. ) ->
               ( A <Q B <-> E. x ( A +Q x ) = B ) ) $=
      ( vy vz vw vv vu cnq wcel wa cltq wbr cv cplq co wceq wex cop ceq cec wi
      cnpi df-nq breq1 opreq1 eqeq1d exbidv imbi12d breq2 eqeq2 cmi clti cpli
      wb mulclpi anim12i an42s ltexpi syl simpll pm3.27 adantr jca adantrr
      addpipq w3a ad2antrr addclpi ad2ant2rl sylan 3jca visset oprex
      distrpqlem mulcompi mulasspi caopr12 opreq1i distrpi eqtr4 opeq1i eceq2
      ax-mp syl5eq 3anass biimpr adantll anim1i adantrl opeq1 sylan9eqr 3eqtrd
      cvv enqex ecexg opreq2 cla4ev ex 19.23adv sylbid ordpipq syl5ib
      2ecoptocl eleq1 dmaddpq 0npq ndmoprrcl pm3.27d syl6bir ltaddpq syl9
      imp3a sylibd com12 impbid ) BJKZCJKZLZBCMNZBAOZPQZCRZASZEOZFOZTUAUBZGOZHO
      ZTUAUBZMNZYHYBPQZYKRZASZUCBYKMNZYCYKRZASZUCYAYEUCEFGHBCUDUDUAJUEYHBRZYLYP
      YOYRYHBYKMUFYSYNYQAYSYMYCYKYHBYBPUGUHUIUJYKCRZYPYAYRYEYKCBMUKYTYQYDAYKCYC
      ULUIUJYFUDKZYGUDKZLZYIUDKZYJUDKZLZLZYFYJUMQZYGYIUMQZUNNZYOYLUUGUUJIOZUDKZ
      UUHUUKUOQZUUIRZLZISZYOUUGUUHUDKZUUIUDKZLZUUJUUPUPUUAUUEUUBUUDUUSUUAUUELUU
      QUUBUUDLUURYFYJUQZYGYIUQURUSIUUHUUIUTVAUUGUUOYOIUUGUUOYOUUGUUOLZYHUUKYGYJ
      UMQZTZUAUBZPQZYKRZYOUVAUVEYFUVBUMQZYGUUKUMQZUOQZYGUVBUMQZTZUAUBZUUMUVBTZU
      AUBZYKUVAUUCUULUVBUDKZLZLZUVEUVLRUUGUULUVQUUNUUGUULLZUUCUVPUUCUUFUULVBUVR
      UULUVOUUGUULVCUVRUUBUUELZUVOUUGUVSUULUUCUUBUUFUUEUUAUUBVCZUUDUUEVCURVDYGY
      JUQVAZVEVEVFYFYGUUKUVBVGVAUVAUUBUUMUDKZUVOVHZUVLUVNRUUGUULUWCUUNUVRUUBUWB
      UVOUUCUUBUUFUULUVTVIUUQUULUWBUUGUUHUUKVJUUAUUEUUQUUBUUDUUTVKVLUWAVMVFUWCY
      GUUMUMQZUVJTZUAUBZUVNUVLYGUUMUVBFVNZUUHUUKUOVOYGYJUMVOVPUVKUWERUVLUWFRUVI
      UWDUVJUVIYGUUHUMQZUVHUOQUWDUVGUWHUVHUOAGIYFYGYJUMEVNZUWGHVNZYBYIAVNZGVNZV
      QYBYIUUKUWLIVNZVRVSVTYGUUHUUKYFYJUMVOUWMWAWBWCUVKUWEUAWDWEWFVAUVAUUBUUDUU
      EVHZUUNLZUVNYKRUUGUUNUWOUULUUGUWNUUNUUBUUFUWNUUAUWNUUBUUFLUUBUUDUUEWGWHWI
      WJWKUUNUWNUVNUUIUVBTZUAUBZYKUUNUVMUWPRUVNUWQRUUMUUIUVBWLUVMUWPUAWDVAYGYIY
      JUWGUWLUWJVPWMVAWNYNUVFAUVDUAWOKUVDWOKWPUVCWOUAWQWEYBUVDRYMUVEYKYBUVDYHPW
      RUHWSVAWTXAXBYFYGYIYJUWIUWGUWLUWJXCXDXEXTYDYAAYDXTYAYDXTBYCMNZYAYDXRXSUWR
      YDXSYBJKZXRUWRYDXSYCJKZUWSYCCJXFUWTXRUWSBYBJPUWKXGXHXIXJXKXRUWSUWRBYBDUWK
      XLWTXMXNYCCBMUKXOXPXAXQ $.
      $( [15-Mar-1996] $)
  $}

  ${
    $d x A $.  $d x B $.
    ltexpq2.1 $e |- A e. V $.
    $( Ordering on positive fractions in terms of existence of sum.  Definition
       in Proposition 9-2.6 of [Gleason] p. 119. $)
    ltexpq2 $p |- ( ( A e. Q. /\ B e. Q. ) ->
               ( A <Q B <-> E. x ( x e. Q. /\ ( A +Q x ) = B ) ) ) $=
      ( cnq wcel wa cltq wbr cv cplq co wceq wex ltexpq pm3.27 wi eleq1 visset
      dmaddpq 0npq ndmoprrcl pm3.27d syl6bir com12 ancrd adantl impbid2 exbidv
      bitr4d ) BEFZCEFZGZBCHIBAJZKLZCMZANUNEFZUPGZANABCDOUMURUPAUMURUPUQUPPULUP
      URQUKULUPUQUPULUQUPULUOEFZUQUOCERUSUKUQBUNEKASTUAUBUCUDUEUFUGUHUIUJ $.
      $( [24-Apr-1996] $)
  $}

  ${
    $d x y z A $.
    $( One-half of any positive fraction exists.  Lemma for Proposition
       9-2.6(i) of [Gleason] p. 120. $)
    halfpq $p |- ( A e. Q. -> E. x ( x +Q x ) = A ) $=
      ( vy vz cv cplq co cop ceq cec wceq wex cnpi cnq df-nq eqeq2 exbidv wcel
      wa cpli cmi addpipq visset distrpi oprex mulcompi opreq1i eqtr4 opeq1i
      eceq2 ax-mp syl6eqr addclpi anidms anim2i sylanc distrpqlem adantl
      adantr syl3anc c1o mulidpi opreq12d 1pi elisseti eqtr3 syl5eq anim12i
      opeq12 3syl mp2an mp3an1 eqtr3d 3eqtrd cvv enqex ecexg opreq12 eqeq1d
      cla4ev syl ecoptocl ) AEZWCFGZCEZDEZHIJZKZALZWDBKZALCDBMMINOWGBKWHWJAWGBW
      DPQWEMRZWFMRZSZWEWFWFTGZHZIJZWPFGZWGKZWIWMWQWNWEWETGZUAGZWNWNUAGZHZIJZWSW
      NHZIJZWGWKWNMRZSZXGWQXCKWMXGXGSWQWEWNUAGZWNWEUAGZTGZXAHZIJZXCWEWNWEWNUBXB
      XKKXCXLKWTXJXAWTXIXITGXJWNWEWECUCZXMUDXHXIXITWEWNXMWFWFTUEZUFUGUHUIXBXKIU
      JUKULWLXFWKWLXFWFWFUMUNZUOZXPUPXFWSMRZXFXCXEKWMWNWSWNXNWEWETUEXNUQWLXFWKX
      OURZWKXQWLWKXQWEWEUMUNUSXRUTWMVAVATGZWEUAGZXSWFUAGZHZIJZXEWGWMXTWSKZYAWNK
      ZSYBXDKYCXEKWKYDWLYEWKWEVAUAGZYFTGZWSXTWKYFWEYFWETWEVBZYHVCWEXSUAGXTYGWEX
      SXMVAVATUEZUFWEVAVAVAMVDVEZYJUDVFVGWLWFVAUAGZYKTGZWNYAWLYKWFYKWFTWFVBZYMV
      CWFXSUAGYAYLWFXSDUCZYIUFWFVAVAYJYJUDVFVGVHXTYAWSWNVIYBXDIUJVJXSMRZWKWLYCW
      GKVAMRZYPYOVDVDVAVAUMVKXSWEWFYIXMYNUQVLVMVNWHWRAWPIVORWPVORVPWOVOIVQUKWCW
      PKZWDWQWGYQWDWQKWCWPWCWPFVRUNVSVTWAWB $.
      $( [16-Mar-1996] $)
  $}

  ${
    $d x A $.
    $( The is no smallest positive fraction. $)
    nsmallpq $p |- ( A e. Q. -> E. x x <Q A ) $=
      ( cnq wcel cv cplq co wceq wex cltq wbr halfpq wa eleq1 visset dmaddpq
      0npq ndmoprrcl syl6bir com12 breq2 ltaddpq syl5bi sylcom 19.22dv mpd ) BC
      DZAEZUHFGZBHZAIUHBJKZAIABLUGUJUKAUGUJUHCDZULMZUKUJUGUMUJUGUICDUMUIBCNUHUH
      CFAOZPQRSTUJUHUIJKUKUMUIBUHJUAUHUHUNUNUBUCUDUEUF $.
      $( [26-Apr-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    ltbtwnpq.1 $e |- A e. V $.
    ltbtwnpq.2 $e |- B e. V $.
    $( There exists a number between any two positive fractions.  Proposition
       9-2.6(i) of [Gleason] p. 120. $)
    ltbtwnpq $p |- ( A <Q B -> E. x ( A <Q x /\ x <Q B ) ) $=
      ( vy vz cnq wcel wa cltq wbr cv wex ltrelpq brel cplq co wceq ltexpq wi
      eleq1 visset dmaddpq 0npq ndmoprrcl syl6bir halfpq adantl opreq2 eqeq1d
      breq2 oprex ltaddpq addasspq syl6breq syl5bi addclpq pm3.27 jca syl7
      pm3.43i ax-mp syl6 breq1 anbi12d cla4ev syl8 com23 pm3.26d sylan2d
      19.23aiv mpcom com12 syld 19.23adv sylbid ) BHIZCHIZJZBCKLZBAMZKLZWBCKLZJ
      ZANZBCHHKEOPVTWABFMZQRZCSZFNWFFBCDTVTWIWFFVSWIWFUAZVRWIVSWFWIVSVRWGHIZJZW
      FWIVSWHHIWLWHCHUBBWGHQFUCUDUEUFUGWLWIWFGMZWMQRZWGSZGNZWLWJWKWPVRGWGUHUIWO
      WLWJUAGWOVRWMHIZWJWKWOWIVRWQJZWFWOWIWRBBWMQRZKLZWSCKLZJZWFWOWIWRXAUAZWRXB
      UAZWOWIWSHIZWQJZXAWRWOWIBWNQRZCSZXFXAUAWOXGWHCWNWGBQUJUKXHWSXGKLXAXFXGCWS
      KULXFWSWSWMQRXGKWSWMBWMQUMZGUCZUNBWMWMXJXJUOUPUQUGWRXEWQBWMURVRWQUSUTVAWR
      WTUAXCXDUABWMDXJUNWRWTXAVBVCVDWEXBAWSXIWBWSSWCWTWDXAWBWSBKULWBWSCKVEVFVGV
      HVIWOWKWNHIZWQWNWGHUBXKWQWQWMWMHQXJUDUEUFVJUGVKVLVMVNVOVNUIVPVQVM $.
      $( [17-Mar-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    ltrpq.1 $e |- A e. V $.
    ltrpq.2 $e |- B e. V $.
    $( Ordering property of reciprocal for positive fractions.  Proposition
      9-2.6(iv) of [Gleason] p. 120. $)
    ltrpq $p |- ( A <Q B -> ( *Q ` B ) <Q ( *Q ` A ) ) $=
      ( vy vz vx cnq wcel wa cltq wbr crq cfv ltrelpq brel wi wceq wo wn cmq
      co c1q 1q elisseti ltsopq soirri recidpq breqan12rd mtbiri adantll wb
      recclpq cv visset ltmpq fvex mulcompq caoprord2 syl anbi1d biimpac breq2
      biimprcd opreq2 syl5 adantr oprex sotri biimpa sylan2 exp32 imp jaod
      mtod exp31 imp3a com12 wor sotric mpan syl2an sylibrd ancoms mpcom ) AHIZ
      BHIZJABKLZBMNZAMNZKLZABHHKDOPWGWFWHWKQWGWFJZWHWIWJRZWJWIKLZSZTZWKWHWLWPWH
      WGWFWPWHWGWFWPWHWGJZWFJZWOAWJUAUBZBWIUAUBZKLZWGWFXATWHWLXAUCUCKLUCKHUCHUD
      UEUFOUGWFWGWSUCWTUCKAUHBUHUIUJUKWRWSBWJUAUBZKLZWGJZWOXAQWFWQXDWFWHXCWGWFW
      JHIZWHXCULAUMZEFGABWJKHUACDEUNZFUNZGUNEUOZFUOZUPAMUQZXGXHXIXJURUSUTVAVBXD
      WMXAWNXCWMXAQWGXCWTXBRZXAWMXLXAXCWTXBWSKVCVDWIWJBUAVEVFVGXCWGWNXAQXCWGWNX
      AXCXBWTKLZXAWGWNJWSXBWTKHAWJUAVHUFOBWJUAVHBWIUAVHVIWGWNXMWJWIBXKBMUQUPVJV
      KVLVMVNUTVOVPVQVRWIHIZXEWKWPULZWGWFHKVSXNXEJXOUFHWIWJKVTWABUMXFWBWCWDWE
      $.
      $( [9-Mar-1996] $)
  $}

  ${
    $d x y z $.
    $( Define the set of positive reals.  A "Dedekind cut" is a partition of
       the positive rational numbers into two classes such that all the numbers
       of one class are less than all the numbers of the other.  A positive
       real is defined as the lower class of a Dedekind cut.  Definition 9-3.1
       of [Gleason] p. 121.  (Note:  This is a "temporary" definition used in
       the construction of complex numbers ~ df-c , and is intended to be used
       only by the construction.) $)
    df-np $a |- P. = { x | ( ( (/) (. x /\ x (. Q. ) /\
         A. y e. x ( A. z ( z <Q y -> z e. x ) /\ E. z e. x y <Q z ) ) } $.
  $}

  $( Define the positive real constant 1.  This is a "temporary"
     set used in the construction of complex numbers ~ df-c , and is intended
     to be used only by the construction.  Definition of [Gleason] p. 122. $)
  df-1p $a |- 1P = { x | x <Q 1Q } $.

  ${
    $d x y z w v u $.
    $( Define addition on positive reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-3.5 of
       [Gleason] p. 123. $)
    df-plp $a |- +P. = { <. <. x , y >. , z >. | ( ( x e. P. /\ y e. P. ) /\
                 z = { w | E. v e. x E. u e. y w = ( v +Q u ) } ) } $.

    $( Define multiplication on positive reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-3.7 of
       [Gleason] p. 124. $)
    df-mp $a |- .P. = { <. <. x , y >. , z >. | ( ( x e. P. /\ y e. P. ) /\
                 z = { w | E. v e. x E. u e. y w = ( v .Q u ) } ) } $.

    $( Define ordering on positive reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-3.2 of
       [Gleason] p. 122. $)
    df-ltp $a |- <P = { <. x , y >. | ( ( x e. P. /\ y e. P. ) /\
                 x (. y ) } $.
  $}

  ${
    $d x y z $.
    $( The class of positive reals is a set. $)
    npex $p |- P. e. V $=
      ( vx vz vy cnp cnq cpw nqex pwex c0 cv wpss wa cltq wbr wcel wi wal wrex
      wral cab wss pssss ad2antlr ss2abi df-np df-pw 3sstr4 ssexi ) DEFZEGHIAJZ
      KZUJEKZLBJZCJZMNUMUJOPBQUNUMMNBUJRLCUJSZLZATUJEUAZATDUIUPUQAULUQUKUOUJEUB
      UCUDACBUEAEUFUGUH $.
      $( [31-Oct-1995] $)

  $}

  ${
    $d x y z A $.
    $( Membership in positive reals. $)
    elnp $p |- ( A e. P. <-> ( ( (/) (. A /\ A (. Q. ) /\
       A. x e. A ( A. y ( y <Q x -> y e. A ) /\ E. y e. A x <Q y ) ) ) $=
      ( vz cnp wcel cvv c0 wpss cnq wa cv cltq wbr wi wal wrex wral elisset
      wss pssss nqex ssex syl ad2antlr wceq psseq2 psseq1 anbi12d eleq2 imbi2d
      albidv rexeq1 raleqd df-np elab2g pm5.21nii ) CEFCGFZHCIZCJIZKZBLZALZMNZV
      BCFZOZBPZVCVBMNZBCQZKZACRZKZCESUTURUSVKUTCJTURCJUACJUBUCUDUEHDLZIZVMJIZKZ
      VDVBVMFZOZBPZVHBVMQZKZAVMRZKVLDCEGVMCUFZVPVAWBVKWCVNUSVOUTVMCHUGVMCJUHUIW
      AVJAVMCWCVSVGVTVIWCVRVFBWCVQVEVDVMCVBUJUKULVHBVMCUMUIUNUIDABUOUPUQ $.
      $( [16-Feb-1996] $)
  $}

  ${
    $d x y A $.
    $( A positive real is not empty. $)
    prn0 $p |- ( A e. P. -> A =/= (/) ) $=
      ( vy vx cnp wcel c0 wpss wne cnq wa cv cltq wbr wi wal wrex wral elnp
      simpll sylbi 0pss sylib ) ADEZFAGZAFHUCUDAIGZJBKZCKZLMUFAENBOUGUFLMBAPJCA
      QZJUDCBARUDUEUHSTAUAUB $.
      $( [17-Apr-2007] $) $( [15-May-1996] $)

    $( A positive real is a subset of the positive fractions. $)
    prpssnq $p |- ( A e. P. -> A (. Q. ) $=
      ( vy vx cnp wcel c0 wpss cnq wa cv cltq wbr wi wal wrex wral elnp simplr
      sylbi ) ADEFAGZAHGZIBJZCJZKLUBAEMBNUCUBKLBAOICAPZIUACBAQTUAUDRS $.
      $( [29-Feb-1996] $)
  $}

  $( A positive real is a set of positive fractions. $)
  elprpq $p |- ( ( A e. P. /\ B e. A ) -> B e. Q. ) $=
    ( cnp wcel cnq prpssnq pssssd sseld imp ) ACDZBADBEDJAEBJAEAFGHI $.
    $( [13-Mar-1996] $)

  $( The empty set is not a positive real. $)
  0npr $p |- -. (/) e. P. $=
    ( c0 wceq cnp wcel wn eqid prn0 necon2bi ax-mp ) AABACDZEAFJAAAGHI $.
    $( [15-Nov-1995] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    $( A positive real is closed downwards under the positive fractions.
       Definition 9-3.1 (ii) of [Gleason] p. 121. $)
    prcdpq $p |- ( ( A e. P. /\ B e. A ) -> ( C <Q B -> C e. A ) ) $=
      ( vx vy cnp wcel wa cltq wbr wi cvv cv wceq eleq1 anbi2d breq2 anbi12d
      imbi1d breq1 imbi12d wal wrex c0 wpss cnq wral elnp pm3.27bi r19.21bi
      pm3.26d 19.21bi imp vtocl2g cxp wss wrel ltrelpq relxp relss mp2
      brrelexi sylan2 adantll pm2.43i ex ) AFGZBAGZHZCBIJZCAGZVIVJHZVKVHVJVLVKK
      ZVGVHCLGVMVJVGDMZAGZHZEMZVNIJZHZVQAGZKVIVQBIJZHZVTKVMDEBCALVNBNZVSWBVTWCV
      PVIVRWAWCVOVHVGVNBAOPVNBVQIQRSVQCNZWBVLVTVKWDWAVJVIVQCBITPVQCAOUAVPVRVTVP
      VRVTKZEVPWEEUBZVNVQIJEAUCZVGWFWGHZDAVGUDAUEAUFUEHWHDAUGDEAUHUIUJUKULUMUNC
      BIIUFUFUOZUPWIUQIUQURUFUFUSIWIUTVAVBVCVDVEVF $.
      $( [25-Feb-1996] $)
  $}

  $( A positive fraction not in a positive real is an upper bound.  Remark (1)
     of [Gleason] p. 122. $)
  prub $p |- ( ( ( A e. P. /\ B e. A ) /\ C e. Q. ) ->
             ( -. C e. A -> B <Q C ) ) $=
    ( cnp wcel wa cnq wn wceq cltq wbr wo wi eleq1 biimpcd adantl prcdpq jaod
    con3d adantr wb wor ltsopq sotric mpan elprpq sylan sylibrd ) ADEZBAEZFZCGE
    ZFCAEZHZBCIZCBJKZLZHZBCJKZUKUNURMULUKUQUMUKUOUMUPUJUOUMMUIUOUJUMBCANOPABCQR
    STBGEZULUSURUAZUKGJUBUTULFVAUCGBCJUDUEABUFUGUH $.
    $( [25-Feb-1996] $)

  ${
    $d x y A $.  $d x y B $.
    $( A positive real has no largest member.  Definition 9-3.1(iii) of
       [Gleason] p. 121. $)
    prnmax $p |- ( ( A e. P. /\ B e. A ) -> E. x ( x e. A /\ B <Q x ) ) $=
      ( vy cnp wcel wa cv cltq wbr wrex wex wi wceq eleq1 anbi2d breq1 rexbidv
      imbi12d wal c0 wpss cnq wral elnp pm3.27bi r19.21bi pm3.27d vtoclg
      anabsi7 df-rex sylib ) BEFZCBFZGZCAHZIJZABKZUPBFZUQGALUMUNURUMDHZBFZGZUTU
      PIJZABKZMUOURMDCBUTCNZVBUOVDURVEVAUNUMUTCBOPVEVCUQABUTCUPIQRSVBUPUTIJUSMA
      TZVDUMVFVDGZDBUMUABUBBUCUBGVGDBUDDABUEUFUGUHUIUJUQABUKUL $.
      $( [9-Mar-1996] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    prnmadd.1 $e |- B e. V $.
    $( A positive real has no largest member.  Addition version. $)
    prnmadd $p |- ( ( A e. P. /\ B e. A ) -> E. x ( B +Q x ) e. A ) $=
      ( vy cnp wcel wa cv cplq co wceq wex cltq wbr prnmax cnq visset ltrelpq
      brel ltexpq biimpcd mpd eqcom exbii sylibr anim1i 19.41v ancoms 19.22i
      excomim 3syl df-clel ) BFGCBGHZEIZCAIJKZLZUOBGZHZEMZAMZUPBGZAMUNURCUONOZH
      ZEMUSAMZEMVAEBCPVDVEEVCURVEVCURHUQAMZURHVEVCVFURVCUPUOLZAMZVFVCCQGUOQGHZV
      HCUOQQNERSTVIVCVHACUODUAUBUCUQVGAUOUPUDUEUFUGUQURAUHUFUIUJUSEAUKULVBUTAEU
      PBUMUEUF $.
      $( [7-Apr-1996] $)
  $}

  ${
    $d x y $.
    $( Positive real 'less than' is a relation on positive reals. $)
    ltrelpr $p |- <P (_ ( P. X. P. ) $=
      ( vx vy cltp cv cnp wcel wa wpss copab cxp df-ltp opabssxp eqsstr ) CADZE
      FBDZEFGNOHZGABIEEJABKPABEELM $.
      $( [14-Feb-1996] $)
  $}

  ${
    $d x y z f g h A $.  $d x y z f g h B $.  $d x y z w v u f g h G $.
    $d f g F $.
    genp.1 $e |- F = { <. <. w , v >. , u >. | ( ( w e. P. /\ v e. P. ) /\
                  u = { x | E. y e. w E. z e. v x = ( y G z ) } ) } $.

    $( Value of general operation (addition or multiplication) on positive
       reals. $)
    genpv $p |- ( ( A e. P. /\ B e. P. ) -> ( A F B ) =
               { f | E. g E. h ( ( g e. A /\ h e. B ) /\ f = ( g G h ) ) } ) $=
      ( cnp wcel wa co cv wceq wrex cab wex opreq1 rexeq1 abbidv eqeq12d
      opreq2 rexbidv visset oprvalex oprabval2 vtocl2ga eqeq1 anbi2d 2exbidv
      r2ex eleq1 bi2anan9 opreq12 eqeq2d anbi12d cbvex2v bitr syl5bb cbvabv
      syl6eq ) GOPHOPQGHLRZASZBSZCSZMRZTZCHUAZBGUAZAUBZJSZGPZKSZHPZQZISZVQVSMRZ
      TZQZKUCJUCZIUBWBVQLRZVMCVQUAZBWBUAZAUBZTGVQLRZWHBGUAZAUBZTVHVPTIJGHOOWBGT
      ZWGWKWJWMWBGVQLUDWNWIWLAWHBWBGUEUFUGVQHTZWKVHWMVPVQHGLUHWOWLVOAWOWHVNBGVM
      CVQHUEUIUFUGDEFWBVQOOVMCESZUAZBDSZUAZAUBWJLWQBWBUAZAUBBCAWBVQMIUJJUJUKWRW
      BTWSWTAWQBWRWBUEUFWPVQTZWTWIAXAWQWHBWBVMCWPVQUEUIUFNULUMVOWFAIVIWBTZWAVIW
      CTZQZKUCJUCZWFVOXBXDWEJKXBXCWDWAVIWBWCUNUOUPVOVJGPZVKHPZQZVMQZCUCBUCXEVMB
      CGHUQXIXDBCJKVJVQTZVKVSTZQZXHWAVMXCXJXFVRXKXGVTVJVQGURVKVSHURUSXLVLWCVIVJ
      VQVKVSMUTVAVBVCVDVEVFVG $.
      $( [10-Mar-1996] $)

    ${
      $d f g h C $.  $d h F $.
      genpelv.2 $e |- C e. V $.
      $( Membership in value of general operation (addition or multiplication)
         on positive reals. $)
      genpelv $p |- ( ( A e. P. /\ B e. P. ) -> ( C e. ( A F B ) <->
                 E. f E. g ( ( f e. A /\ g e. B ) /\ C = ( f G g ) ) ) ) $=
        ( vh cnp wcel wa co cv wceq wex cab genpv eleq2d eqeq1 anbi2d 2exbidv
        elab syl6bb ) GQRHQRSZIGHLTZRIJUAZGRKUAZHRSZPUAZUNUOMTZUBZSZKUCJUCZPUDZ
        RUPIURUBZSZKUCJUCZULUMVBIABCDEFGHPJKLMNUEUFVAVEPIOUQIUBZUTVDJKVFUSVCUPU
        QIURUGUHUIUJUK $.
        $( [13-Mar-1996] $)
    $}

    ${
      $d f g h C $.  $d f g h D $.
      $( Pre-closure law for general operation on positive reals. $)
      genpprecl $p |- ( ( A e. P. /\ B e. P. ) -> ( ( C e. A /\ D e. B ) ->
                    ( C G D ) e. ( A F B ) ) ) $=
        ( vg vh vf cnp wcel wa co wceq eqid cv wex cab genpv eleq2d oprex
        eqeq1 anbi2d 2exbidv elab syl6bb eleq1 bi2anan9 opreq12 eqeq2d anbi12d
        cla42egv anabsi5 syl5bir mpan2i ) GQRHQRSZIGRZJHRZSZIJLTZVGUAZVGGHKTZRZ
        VGUBVCVJNUCZGRZOUCZHRZSZVGVKVMLTZUAZSZOUDNUDZVFVHSZVCVJVGVOPUCZVPUAZSZO
        UDNUDZPUEZRVSVCVIWEVGABCDEFGHPNOKLMUFUGWDVSPVGIJLUHWAVGUAZWCVRNOWFWBVQV
        OWAVGVPUIUJUKULUMVFVHVSVRVTNOIJGHVKIUAZVMJUAZSZVOVFVQVHWGVLVDWHVNVEVKIG
        UNVMJHUNUOWIVPVGVGVKIVMJLUPUQURUSUTVAVB $.
        $( [10-Mar-1996] $)
    $}

    $( Domain of general operation on positive reals. $)
    genpdm $p |- dom F = ( P. X. P. ) $=
      ( cv cnp wcel wa co wceq wrex cab copab2 cdm wex copab cxp dmoprab dmeqi
      df-xp 19.42v visset oprvalex isseti mpbiran2 opabbii eqtr4 3eqtr4 ) DJZKL
      EJZKLMZFJAJBJCJHNOCUOPBUNPAQZOZMZDEFRZSUSFTZDEUAZGSKKUBZUSDEFUCGUTIUDVCUP
      DEUAVBDEKKUEVAUPDEVAUPURFTUPURFUFFUQBCAUNUOHDUGEUGUHUIUJUKULUM $.
      $( [18-Nov-1995] $)

    $( The result of an operation on positive reals is not empty. $)
    genpn0 $p |- ( ( A e. P. /\ B e. P. ) -> (/) (. ( A F B ) ) $=
      ( vf vg vh cnp wcel wa cv co wex c0 wpss wceq wne prn0 ne0 sylib anim12i
      exrot3 19.42v oprex isseti mpbiran2 2exbii eeanv 3bitr sylibr genpv
      abeq2d exbidv mpbird 0pss bitr ) GOPZHOPZQZLRZGHISZPZLTZUAVHUBZVFVJMRZGPZ
      NRZHPZQZVGVLVNJSZUCZQZNTMTZLTZVFVMMTZVONTZQZWAVDWBVEWCVDGUAUDWBGUEMGUFUGV
      EHUAUDWCHUENHUFUGUHWAVSLTZNTMTVPNTMTWDVSLMNUIWEVPMNWEVPVRLTVPVRLUJLVQVLVN
      JUKULUMUNVMVOMNUOUPUQVFVIVTLVFVTLVHABCDEFGHLMNIJKURUSUTVAVKVHUAUDVJVHVBLV
      HUFVCUQ $.
      $( [28-Feb-1996] $)

    ${
      genpss.2 $e |- ( ( g e. Q. /\ h e. Q. ) -> ( g G h ) e. Q. ) $.
      $( The result of an operation on positive reals is a subset of the
         positive fractions. $)
      genpss $p |- ( ( A e. P. /\ B e. P. ) -> ( A F B ) (_ Q. ) $=
        ( vf cnp wcel wa co cnq cv wceq wex genpv abeq2d wi prpssnq pssssd
        sseld im2anan9 syl6 eleq1a imp3a 19.23advv sylbid ssrdv ) GPQZHPQZRZOGH
        KSZTUSOUAZUTQIUAZGQZJUAZHQZRZVAVBVDLSZUBZRZJUCIUCZVATQZUSVJOUTABCDEFGHO
        IJKLMUDUEUSVIVKIJUSVFVHVKUSVFVGTQZVHVKUFUSVFVBTQZVDTQZRVLUQVCVMURVEVNUQ
        GTVBUQGTGUGUHUIURHTVDURHTHUGUHUIUJNUKVGTVAULUKUMUNUOUP $.
        $( [18-Nov-1995] $)
    $}

    ${
      $d w v A $.  $d w v B $.  $d w v F $.
      genpnnp.2 $e |- ( ( w e. Q. /\ v e. Q. ) -> ( w G v ) e. Q. ) $.
      genpnnp.3 $e |- ( z e. Q. ->
                      ( x <Q y <-> ( z G x ) <Q ( z G y ) ) ) $.
      genpnnp.4 $e |- ( x G y ) = ( y G x ) $.
      $( The result of an operation on positive reals is different from
         the set of positive fractions. $)
      genpnnp $p |- ( ( A e. P. /\ B e. P. ) -> -. ( A F B ) = Q. ) $=
        ( vg vh vf cnp wcel wa cv cnq wn wex co wceq wpss prpssnq pssnel syl
        anim12i eeanv sylibr wi cltq wbr prub im2anan9 wor ltsopq so2nr mpan
        ad2antrr wb visset caoprord3 anbi2d pm3.27 pm3.26 ancoms sylan mtbid
        ex con2d elprpq anim1i syl2an syld an4s com24 imp32 imnan sylib nexdv
        cab genpv eleq2d oprex eqeq1 2exbidv elab syl6bb negbid sylibrd com12
        eleq2 biimprcd con3d ad2ant2r 19.23advv mpd ) GRSZHRSZTZDUAZUBSZXEGSUCZ
        TZEUAZUBSZXIHSUCZTZTZEUDDUDZGHIUEZUBUFZUCZXDXHDUDZXLEUDZTXNXBXRXCXSXBGU
        BUGXRGUHDGUBUIUJXCHUBUGXSHUHEHUBUIUJUKXHXLDEULUMXDXMXQDEXMXDXQXMXDXEXIJ
        UEZXOSZUCZXQXFXJXGXKXDYBUNZXGXKTZXFXJTZYCXDYDYETZYBXDYFOUAZGSZPUAZHSZTZ
        XTYGYIJUEZUFZTZPUDZOUDZUCZYBXDYFYQXDYFTZYOOYRYNPYRYKYMUCZUNZYNUCXDYDYEY
        TXDYKYEYDYSXDYKYEYDYSUNZUNZXBYHXCYJUUBXBYHTZXCYJTZTYEUUAUUCXFUUDXJUUAUU
        CXFTZUUDXJTZTYDYGXEUOUPZYIXIUOUPZTZYSUUEXGUUGUUFXKUUHGYGXEUQHYIXIUQURYG
        UBSZXFTZYIUBSZXJTZUUIYSUNUUEUUFUUKUUMTZYMUUIUUNYMUUIUCUUNYMTUUGXEYGUOUP
        ZTZUUIUUKUUPUCZUUMYMUBUOUSUUKUUQUTUBYGXEUOVAVBVCXJUUJTZYMUUPUUIVDUUNUUR
        YMTUUOUUHUUGABCXEXIYGYIUOUBJDVEEVEMOVENPVEVFVGUUMUUKUURUUMXJUUKUUJUULXJ
        VHUUJXFVIUKVJVKVLVMVNUUCUUJXFGYGVOVPUUDUULXJHYIVOVPVQVRVSVMVSVMVTWAYKYM
        WBWCWDWDVMXDYAYPXDYAXTYKQUAZYLUFZTZPUDOUDZQWEZSYPXDXOUVCXTABCDEFGHQOPIJ
        KWFWGUVBYPQXTXEXIJWHUUSXTUFZUVAYNOPUVDUUTYMYKUUSXTYLWIVGWJWKWLWMWNWOVJV
        SXFXJYBXQUNZXGXKYEXTUBSZUVELUVFXPYAXPYAUVFXOUBXTWPWQWRUJWSVRWOWTXA $.
        $( [29-Feb-1996] $)
    $}

    ${
      $d F h $.
      genpcd.2 $e |- ( ( ( ( A e. P. /\ g e. A ) /\
                       ( B e. P. /\ h e. B ) ) /\ x e. Q. ) ->
                       ( x <Q ( g G h ) -> x e. ( A F B ) ) ) $.
      $( Downward closure of an operation on positive reals. $)
      genpcd $p |- ( ( A e. P. /\ B e. P. ) -> ( f e. ( A F B ) ->
                   ( x <Q f -> x e. ( A F B ) ) ) ) $=
        ( cnp wcel wa cv cltq wbr co wi cnq wceq wex wb visset genpelv adantr
        breq2 biimpd sylan9r exp31 an4s ex com23 imp4b 19.23advv sylbid
        ltrelpq brel pm3.26d syl5 com34 pm2.43d ) GPQZHPQZRZASZISZTUAZVKGHLUBZQ
        ZVJVMQZVIVLVNVOUCVIVLVNVLVOVIVJUDQZVNVLVOUCZUCZVLVIVPVRVIVPRZVNJSZGQZKS
        ZHQZRZVKVTWBMUBZUEZRZKUFJUFZVQVIVNWHUGVPABCDEFGHVKJKLMNIUHZUIUJVSWGVQJK
        VIVPWDWFVQVIWDVPWFVQUCZVIWDVPWJUCZVGWAVHWCWKVGWARVHWCRRZVPWFVQWFVLVJWET
        UAZWLVPRVOWFVLWMVKWEVJTUKULOUMUNUOUPUQURUSUTUPVLVPVKUDQVJVKUDUDTWIVAVBV
        CVDVEVFUQ $.
        $( [13-Mar-1996] $)
    $}

    ${
      $d x y h F $.
      genpnmax.2 $e |- ( v e. Q. ->
                       ( z <Q w <-> ( v G z ) <Q ( v G w ) ) ) $.
      genpnmax.3 $e |- ( z G w ) = ( w G z ) $.
      $( An operation on positive reals has no largest member. $)
      genpnmax $p |- ( ( A e. P. /\ B e. P. ) -> ( f e. ( A F B ) ->
                     E. x ( x e. ( A F B ) /\ f <Q x ) ) ) $=
        ( vg vh cnp wcel wa cv co wceq wex cltq wbr genpv abeq2d breq1 anbi2d
        exbidv prnmax adantr wi genpprecl exp4b com34 imp32 cnq elprpq visset
        caoprord2 biimpd syl adantl anim12d oprex eleq1 breq2 anbi12d cla4ev
        syl6 adantlr 19.23adv mpd an4s syl5bir exp3a com3l imp3a 19.23advv
        sylbid ) GQRZHQRZSZITZGHJUAZROTZGRZPTZHRZSZWEWGWIKUAZUBZSZPUCOUCZATZWFR
        ZWEWPUDUEZSZAUCZWDWOIWFABCDEFGHIOPJKLUFUGWDWNWTOPWDWKWMWTWMWDWKWTWMWDWK
        WTWMWTWQWLWPUDUEZSZAUCZWDWKSWMWSXBAWMWRXAWQWEWLWPUDUHUIUJWBWHWCWJXCWBWH
        SZWCWJSZSZBTZGRZWGXGUDUEZSZBUCZXCXDXKXEBGWGUKULXFXJXCBWBXEXJXCUMWHWBXES
        ZXJXGWIKUAZWFRZWLXMUDUEZSZXCXLXHXNXIXOWBWCWJXHXNUMWBWCXHWJXNWBWCXHWJXNA
        BCDEFGHXGWIJKLUNUOUPUQXEXIXOUMZWBXEWIURRZXQHWIUSXRXIXOCDEWGXGWIUDURKOUT
        BUTMPUTNVAVBVCVDVEXBXPAXMXGWIKVFWPXMUBWQXNXAXOWPXMWFVGWPXMWLUDVHVIVJVKV
        LVMVNVOVPVQVRVSVTWA $.
        $( [10-Mar-1996] $)
    $}

    ${
      $d w v A $.  $d w v B $.  $d x y w v h F $.
      genpcl.2 $e |- ( ( x e. Q. /\ y e. Q. ) -> ( x G y ) e. Q. ) $.
      genpcl.3 $e |- ( h e. Q. ->
                      ( f <Q g <-> ( h G f ) <Q ( h G g ) ) ) $.
      genpcl.4 $e |- ( x G y ) = ( y G x ) $.
      genpcl.5 $e |- ( ( ( ( A e. P. /\ g e. A ) /\
                       ( B e. P. /\ h e. B ) ) /\ x e. Q. ) ->
                       ( x <Q ( g G h ) -> x e. ( A F B ) ) ) $.
      $( Closure of an operation on reals. $)
      genpcl $p |- ( ( A e. P. /\ B e. P. ) -> ( A F B ) e. P. ) $=
        ( cnp wcel wa c0 co wpss cnq cv cltq wbr wi wal wrex wral genpn0 wss
        wceq wn caoprcl genpss visset caoprord genpnnp jca dfpss2 sylibr
        genpcd 19.21adv wex caoprcom genpnmax df-rex syl6ibr jcad r19.21aiv
        elnp ) GSTHSTUAZUBGHLUCZUDZVPUEUDZUAZAUFZIUFZUGUHVTVPTZUIZAUJZWAVTUGUHZ
        AVPUKZUAZIVPULZUAVPSTVOVSWHVOVQVRABCDEFGHLMNUMVOVPUEUNZVPUEUOUPZUAVRVOW
        IWJABCDEFGHJKLMNABJUFKUFUEMOUQURABCDEFGHLMNABDUFZEUFZUEMOUQIJKVTBUFCUFZ
        UGUEMAUSBUSPUTQVAVBVPUEVCVDVBVOWGIVPVOWAVPTZWDWFVOWNWCAABCDEFGHIJKLMNRV
        EVFVOWNWBWEUAAVGWFABCDEFGHILMNIJKWMWKWLUGUEMCUSZDUSZPUTABWMWKMWOWPQVHVI
        WEAVPVJVKVLVMVBIAVPVNVD $.
        $( [13-Mar-1996] $)
    $}

    ${
      $d x y z w v u f g h t $.
      $d x f g h t A $.  $d x f g h t B $.  $d x y z f g h t C $.
      $d x y z h t F $.  $d t G $.
      genpass.2 $e |- B e. V $.
      genpass.3 $e |- C e. V $.
      genpass.4 $e |- dom F = ( P. X. P. ) $.
      genpass.5 $e |- ( ( f e. P. /\ g e. P. ) -> ( f F g ) e. P. ) $.
      genpass.6 $e |- ( ( f G g ) G h ) = ( f G ( g G h ) ) $.
      $( Associativity of an operation on reals. $)
      genpass $p |- ( ( A F B ) F C ) = ( A F ( B F C ) ) $=
        ( vt cnp wcel w3a co wceq cv wa wex wb visset genpelv 3adant1 anbi1d
        anass an12 bitr 19.41vv 3bitr4g 2exbidv exrot3 an4 ancom opreq2 eqeq2d
        pm5.32i anbi12i 3bitr exbii 19.41v oprex isseti mpbiran 2exbii syl6bb
        caoprcl sylan2 3impb sylan 3impa 3adant3 bitrd exrot4 excom opreq1
        syl6eq 3bitr4rd eqrdv 0npr ndmoprass pm2.61i ) GUBUCZHUBUCZIUBUCZUDZGHM
        UEZIMUEZGHIMUEZMUEZUFWOAWQWSWOJUGZGUCZUAUGZWRUCZUHAUGZWTXBNUEZUFZUHZUAU
        IJUIZXAKUGZHUCZLUGZIUCZUHZUHZXDWTXIXKNUEZNUEZUFZUHZLUIZKUIZJUIZXDWSUCZX
        DWQUCZWOXHXMXBXOUFZUHZXAXFUHZUHZLUIKUIZUAUIZJUIYAWOXGYHJUAWOXCYFUHZYELU
        IKUIZYFUHXGYHWOXCYKYFWMWNXCYKUJWLABCDEFHIXBKLMNOUAUKZULUMUNXGXAXCXFUHUH
        YJXAXCXFUOXAXCXFUPUQYEYFKLURUSUTYIXTJYIYGUAUIZLUIKUIXTYGUAKLVAYMXRKLYMY
        DXRUHZUAUIZXRYGYNUAYGXMXAUHZYDXFUHZUHXNYDXQUHZUHYNXMYDXAXFVBYPXNYQYRXMX
        AVCYDXFXQYDXEXPXDXBXOWTNVDVEVFVGXNYDXQUPVHVIYOYDUAUIXRYDXRUAVJUAXOXIXKN
        VKVLVMUQVNUQVIVOWLWMWNYBXHUJZWLWRUBUCYSWMWNUHABCDEFGWRXDJUAMNOAUKZULJKH
        IUBMSVPVQVRWOYCXAXJUHZXBWTXINUEZUFZUHZXLXDXBXKNUEZUFZUHZUHZKUIJUIZLUIUA
        UIZYAWOYCXBWPUCZXLUHUUFUHZLUIUAUIZUUJWLWMWNYCUUMUJZWPUBUCWNUUNWLWMUHABC
        DEFWPIXDUALMNOYTULJKGHUBMSVPVSVTWOUULUUIUALWOUUKUUGUHUUDKUIJUIZUUGUHUUL
        UUIWOUUKUUOUUGWLWMUUKUUOUJWNABCDEFGHXBJKMNOYLULWAUNUUKXLUUFUOUUDUUGJKUR
        USUTWBUUJUUHLUIUAUIZKUIJUIYAUUHUALJKWCUUPXSJKUUPUUHUAUIZLUIXSUUHUALWDUU
        QXRLUUQUUCXRUHZUAUIZXRUUHUURUAUUHUUAXLUHZUUCUUFUHZUHXNUUCXQUHZUHUURUUAU
        UCXLUUFVBUUTXNUVAUVBXAXJXLUOUUCUUFXQUUCUUEXPXDUUCUUEUUBXKNUEXPXBUUBXKNW
        ETWFVEVFVGXNUUCXQUPVHVIUUSUUCUAUIXRUUCXRUAVJUAUUBWTXINVKVLVMUQVIUQVNUQV
        OWGWHGHIUBMPRQWIWJWK $.
        $( [18-Mar-1996] $)
    $}

  $}

  ${
    $d x y z f g h A $.  $d x y z f g h B $.  $d x y z w v u f g h $.
    $( Value of addition on positive reals. $)
    plpv $p |- ( ( A e. P. /\ B e. P. ) -> ( A +P. B ) =
             { x | E. y E. z ( ( y e. A /\ z e. B ) /\ x = ( y +Q z ) ) } ) $=
      ( vf vg vh vw vv vu cpp cplq df-plp genpv ) FGHIJKDEABCLMIJKFGHNO $.
      $( [28-Feb-1996] $)

    $( Value of multiplication on positive reals. $)
    mpv $p |- ( ( A e. P. /\ B e. P. ) -> ( A .P. B ) =
             { x | E. y E. z ( ( y e. A /\ z e. B ) /\ x = ( y .Q z ) ) } ) $=
      ( vf vg vh vw vv vu cmp cmq df-mp genpv ) FGHIJKDEABCLMIJKFGHNO $.
      $( [28-Feb-1996] $)

    $( Domain of addition on positive reals. $)
    dmplp $p |- dom +P. = ( P. X. P. ) $=
      ( vw vv vu vx vy vz cpp cplq df-plp genpdm ) ABCDEFGHDEFABCIJ $.
      $( [18-Nov-1995] $)

    $( Domain of multiplication on positive reals. $)
    dmmp $p |- dom .P. = ( P. X. P. ) $=
      ( vw vv vu vx vy vz cmp cmq df-mp genpdm ) ABCDEFGHDEFABCIJ $.
      $( [18-Nov-1995] $)

  $}

  ${
    $d x y $.
    $( The positive real number 'one'. $)
    1pr $p |- 1P e. P. $=
      ( vy vx c1p cnp wcel c0 wpss cnq wa cv cltq wbr wi wal wrex wral elnp
      wne c1q cplq co crq cfv 1lt2pq 1q elisseti oprex ltrpq cmq fvex mulcompq
      wceq recclpq ax-mp mulidpq recidpq 3eqtr3 syl6breq breq1 df-1p elab2
      mpbir ne0i 0pss wss wn dfpss2 abeq2i ltrelpq brel pm3.26d sylbi ssriv
      ltsopq soirri mtbir eleq2 mpbiri mto mpbir2an pm3.2i visset sotri ex
      3imtr4g com12 19.21aiv wex ltbtwnpq anbi1i ancom bitr exbii 3imtr4
      df-rex sylibr jca rgen ) CDEFCGZCHGZIAJZBJZKLZXACEZMZANZXBXAKLZACOZIZBCPB
      ACQWSWTWSCFRZSSTUAZUBUCZCEZXJXMXLSKLZSXKKLZXNUDXOXLSUBUCZSKSXKSHUEUFZSSTU
      GUHXPSUIUAZSXPUIUAZXPSXPSSUBUJXQUKXPHEZXRXPULSHEZXTUESUMUNXPUOUNYAXSSULUE
      SUPUNUQURUNXBSKLZXNBXLCXKUBUJXBXLSKUSBUTZVAVBCXLVCUNCVDVBWTCHVECHULZVFCHV
      GBCHXBCEZYBXBHEZYBBCYCVHZYBYFYAXBSHHKXQVIVJVKVLVMYDSCEZYHSSKLZSKHXQVNVIVO
      YBYIBSCXQXBSSKUSYCVAVPYDYHYAUECHSVQVRVSVTWAXIBCYEXFXHYEXEAXCYEXDXCYBXASKL
      ZYEXDXCYBYJXAXBSKHAWBVNVIBWBZXQWCWDYGYJACAUTVHZWEWFWGYEXDXGIZAWHZXHYBXGYJ
      IZAWHYEYNAXBSYKXQWIYGYMYOAYMYJXGIYOXDYJXGYLWJYJXGWKWLWMWNXGACWOWPWQWRVT
      $.
      $( [13-Mar-1996] $)
  $}

  ${
    $d x y z w $.  $d y z w g $.  $d y z w h $.
    $( Lemma to prove downward closure in positive real addition.  Part of
       proof of Proposition 9-3.5 of [Gleason] p. 123. $)
    addclprlem1 $p |- ( ( ( A e. P. /\ g e. A ) /\ x e. Q. ) ->
   ( x <Q ( g +Q h ) -> ( ( x .Q ( *Q ` ( g +Q h ) ) ) .Q g ) e. A ) ) $=
      ( vy vz vw cnp wcel cv wa cnq cplq co cltq wbr crq cfv cmq wi fvex ltmpq
      oprex visset mulcompq caoprord2 sylan9bbr ltrpq syl5bi c1q recidpq
      opreq1d mulidpq 1q elisseti syl5eq sylan9eqr breq2d sylibd elprpq sylan
      prcdpq adantr syld ) BHICJZBIKZAJZLIZKVGVEDJZMNZOPZVGVJQRZSNZVESNZVEOPZVN
      BIZVELIZVHVKVOTVFVQVHKZVKVNVGVGQRZSNZVESNZOPZVOVRVLVSOPZWBVKVHWCVMVTOPVQW
      BVLVSVGVJQUAVGQUAUBEFGVMVTVEOLSVGVLSUCVGVSSUCEJZFJZGJEUDZFUDZUBCUDZWDWEWF
      WGUEUFUGVGVJAUDVEVIMUCUHUIVRWAVEVNOVHVQWAUJVESNZVEVHVTUJVESVGUKULVQVEUJSN
      VEWIVEUMUJVEUJLUNUOWHUEUPUQURUSBVEUTVAVFVOVPTVHBVEVNVBVCVD $.
      $( [13-Mar-1996] $)
  $}

  ${
    $d x y z w v u g h $.
    $d x y z A $.  $d x y z B $.
    $( Lemma to prove downward closure in positive real addition.  Part of
       proof of Proposition 9-3.5 of [Gleason] p. 123. $)
    addclprlem2 $p |- ( ( ( ( A e. P. /\ g e. A ) /\
                       ( B e. P. /\ h e. B ) ) /\ x e. Q. ) ->
                       ( x <Q ( g +Q h ) -> x e. ( A +P. B ) ) ) $=
      ( vy vz vw vv vu cnp wcel cv wa cnq cplq co cltq wbr crq cfv cmq cpp wi
      addclprlem1 adantlr visset addcompq breq2i fveq2i opreq2i opreq1i eleq1i
      3imtr4g adantll jcad pm3.26 anim12i df-plp genpprecl 3syl syld c1q wceq
      elprpq addclpq recidpq fvex oprex mulcompq syl5eq opreq2d mulidpq
      sylan9eq distrpq mulasspq eqtr3 eleq1d sylibd ) BKLZDMZBLZNZCKLZEMZCLZNZN
      ZAMZOLZNZWIWAWEPQZRSZWIWLTUAZUBQZWAUBQZWOWEUBQZPQZBCUCQZLZWIWSLWKWMWPBLZW
      QCLZNZWTWKWMXAXBWCWJWMXAUDWGABDEUEUFWGWJWMXBUDWCWGWJNWIWEWAPQZRSWIXDTUAZU
      BQZWEUBQZCLWMXBACEDUEWLXDWIRWAWEDUGZEUGZUHZUIWQXGCWOXFWEUBWNXEWIUBWLXDTXJ
      UJUKULUMUNUOUPWKWHVTWDNXCWTUDWHWJUQWCVTWGWDVTWBUQWDWFUQURAFGHIJBCWPWQUCPH
      IJAFGUSUTVAVBWKWRWIWSWKWIWNWLUBQZUBQZWIWRWHWJXLWIVCUBQWIWHXKVCWIUBWHWLWNU
      BQZVCXKWHWAOLZWEOLZNWLOLXMVCVDWCXNWGXOBWAVECWEVEURWAWEVFWLVGVAWNWLWLTVHZW
      AWEPVIZVJVKVLWIVMVNWOWLUBQWRXLWOWAWEXHXIVOWIWNWLXPXQVPVQVKVRVS $.
      $( [13-Mar-1996] $)
  $}

  ${
    $d x y z w v u f g h $.
    $d x y z w v f g h A $.  $d x y z w v f g h B $.
    $( Closure of addition on positive reals.  First statement of
       Proposition 9-3.5 of [Gleason] p. 123. $)
    addclpr $p |- ( ( A e. P. /\ B e. P. ) -> ( A +P. B ) e. P. ) $=
      ( vx vy vz vw vv vu vf vg vh cpp cplq df-plp cv addclpq visset ltapq
      addcompq addclprlem2 genpcl ) CDEFGHABIJKLMFGHCDENCOZDOZPIOJOKOIQJQRUBUCC
      QDQSCABJKTUA $.
      $( [13-Mar-1996] $)
  $}

  ${
    $d x y z w v u g h $.
    $d x y z A $.  $d x y z B $.
    $( Lemma to prove downward closure in positive real multiplication.  Part
       of proof of Proposition 9-3.7 of [Gleason] p. 124. $)
    mulclprlem $p |- ( ( ( ( A e. P. /\ g e. A ) /\
                       ( B e. P. /\ h e. B ) ) /\ x e. Q. ) ->
                       ( x <Q ( g .Q h ) -> x e. ( A .P. B ) ) ) $=
      ( vy vz vw vv vu cnp wcel cv wa cnq cmq co cltq wbr crq cfv cmp wi wb
      recclpq adantl visset oprex ltmpq fvex mulcompq caoprord2 syl c1q
      recidpq opreq2d mulasspq syl5eq mulidpq sylan9eqr breq2d bitrd elprpq
      syl2an prcdpq adantr sylbid df-mp genpprecl exp4b com34 imp32 adantlr
      syld sylan9eq eleq1d sylan sylibd ) BKLZDMZBLZNZCKLZEMZCLZNZNZAMZOLZNWHVT
      WDPQZRSZWHWDTUAZPQZWDPQZBCUBQZLZWHWOLZWGWKWPUCWIWGWKWMBLZWPWGWKWMVTRSZWRV
      TOLZWDOLZWKWSUDWBWFWTXANZWKWMWJWLPQZRSZWSXBWLOLZWKXDUDXAXEWTWDUEUFFGHWHWJ
      WLROPAUGVTWDPUHFMZGMZHMFUGZGUGZUIWDTUJZXFXGXHXIUKULUMXBXCVTWMRXAWTXCVTUNP
      QZVTXAVTWDWLPQZPQXKXCXAXLUNVTPWDUOZUPVTWDWLEUGZXJUQURVTUSUTVAVBBVTVCCWDVC
      ZVDWBWSWRUCWFBVTWMVEVFVGVSWFWRWPUCZWAVSWCWEXPVSWCWRWEWPVSWCWRWEWPAFGHIJBC
      WMWDUBPHIJAFGVHVIVJVKVLVMVNVFXAWIWPWQUDWGXAWINWNWHWOXAWIWNWHUNPQZWHXAWHWL
      WDPQZPQXQWNXAXRUNWHPXAXLUNXRXMWLWDXJXNUKURUPWHWLWDXJXNUQURWHUSVOVPWFXAWBX
      OUFVQVR $.
      $( [14-Mar-1996] $)
  $}

  ${
    $d x y z w v u f g h $.
    $d x y z w v f g h A $.  $d x y z w v f g h B $.
    $d x y z w A $.  $d x y z w B $.
    $( Closure of multiplication on positive reals.  First statement of
       Proposition 9-3.7 of [Gleason] p. 124. $)
    mulclpr $p |- ( ( A e. P. /\ B e. P. ) -> ( A .P. B ) e. P. ) $=
      ( vx vy vz vw vv vu vf vg vh cmp cmq df-mp cv mulclpq visset ltmpq
      mulcompq mulclprlem genpcl ) CDEFGHABIJKLMFGHCDENCOZDOZPIOJOKOIQJQRUBUCCQ
      DQSCABJKTUA $.
      $( [13-Mar-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    addcompr.1 $e |- A e. V $.
    addcompr.2 $e |- B e. V $.
    $( Addition of positive reals is commutative.  Proposition 9-3.5(ii) of
       [Gleason] p. 123. $)
    addcompr $p |- ( A +P. B ) = ( B +P. A ) $=
      ( vy vz vx cnp wcel wa cpp co wceq cv cplq wex cab plpv ancom visset
      addcompq eqeq2i anbi12i 2exbii excom bitr abbii syl6eq ancoms eqtr4d
      dmplp ndmoprcom pm2.61i ) AHIZBHIZJZABKLZBAKLZMUPUQENZAIZFNZBIZJZGNZUSVAO
      LZMZJZFPEPZGQZURGEFABRUOUNURVIMUOUNJURVBUTJZVDVAUSOLZMZJZEPFPZGQVIGFEBARV
      NVHGVNVGEPFPVHVMVGFEVJVCVLVFVBUTSVKVEVDVAUSFTETUAUBUCUDVGFEUEUFUGUHUIUJAB
      HKDUKCULUM $.
      $( [19-Nov-1995] $)
  $}

  ${
    $d x y z w v u f g h A $.  $d x y z w v u f g h B $.
    $d x y z w v u f g h C $.
    addasspr.1 $e |- B e. V $.
    addasspr.2 $e |- C e. V $.
    $( Addition of positive reals is associative.  Proposition 9-3.5(i) of
       [Gleason] p. 123. $)
    addasspr $p |- ( ( A +P. B ) +P. C ) = ( A +P. ( B +P. C ) ) $=
      ( vx vy vz vw vv vu vf vg vh cpp cplq df-plp dmplp cv addclpr visset
      addasspq genpass ) FGHIJKABCLMNOPIJKFGHQDERLSZMSZTUDUENSMUANUAUBUC $.
      $( [18-Mar-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    mulcompr.1 $e |- A e. V $.
    mulcompr.2 $e |- B e. V $.
    $( Multiplication of positive reals is commutative.  Proposition
       9-3.7(ii) of [Gleason] p. 124. $)
    mulcompr $p |- ( A .P. B ) = ( B .P. A ) $=
      ( vy vz vx cnp wcel wa cmp co wceq cv cmq wex cab mpv ancom visset
      mulcompq eqeq2i anbi12i 2exbii excom bitr abbii syl6eq ancoms eqtr4d
      dmmp ndmoprcom pm2.61i ) AHIZBHIZJZABKLZBAKLZMUPUQENZAIZFNZBIZJZGNZUSVAOL
      ZMZJZFPEPZGQZURGEFABRUOUNURVIMUOUNJURVBUTJZVDVAUSOLZMZJZEPFPZGQVIGFEBARVN
      VHGVNVGEPFPVHVMVGFEVJVCVLVFVBUTSVKVEVDVAUSFTETUAUBUCUDVGFEUEUFUGUHUIUJABH
      KDUKCULUM $.
      $( [19-Nov-1995] $)
  $}

  ${
    $d x y z w v u f g h A $.  $d x y z w v u f g h B $.
    $d x y z w v u f g h C $.
    mulasspr.1 $e |- B e. V $.
    mulasspr.2 $e |- C e. V $.
    $( Multiplication of positive reals is associative.  Proposition 9-3.7(i)
       of [Gleason] p. 124. $)
    mulasspr $p |- ( ( A .P. B ) .P. C ) = ( A .P. ( B .P. C ) ) $=
      ( vx vy vz vw vv vu vf vg vh cmp cmq df-mp dmmp cv mulclpr visset
      mulasspq genpass ) FGHIJKABCLMNOPIJKFGHQDERLSZMSZTUDUENSMUANUAUBUC $.
      $( [18-Mar-1996] $)
  $}

  ${
    $d x y z w v u f g h A $.  $d x y z w v u f g h B $.
    $d x y z w v u f g h C $.
    $( Lemma for distributive law for positive reals. $)
    distrlem1pr $p |- ( ( A e. P. /\ ( B e. P. /\ C e. P. ) ) ->
       ( A .P. ( B +P. C ) ) (_ ( ( A .P. B ) +P. ( A .P. C ) ) ) $=
      ( vw vx vy vz vv vf vg vh vu cnp wcel wa cpp co cmp cv cplq cmq wceq wex
      wb df-mp visset genpelv addclpr sylan2 df-plp anbi1d anbi2d anass
      19.42vv 19.41vv anbi2i bitr 3bitr4g adantl 2exbidv bitrd exrot4 exbii
      19.42v oprex opreq2 eqeq2d ceqsexv 3bitr 3bitr4 3exbi syl6bb wi
      genpprecl im2anan9 mulclpr syl2an syld anandi distrpq eleq1i 3imtr4g
      anandis eleq1a syl6 imp3a 19.23advv 19.23adv sylbid ssrdv ) AMNZBMNZCMNZO
      ZOZDABCPQZRQZABRQZACRQZPQZWODSZWQNZESZANZFSZBNZGSZCNZOZOZXAXCXEXGTQZUAQZU
      BZOZEUCGUCZFUCZXAWTNZWOXBXDXIHSZXKUBZOZXAXCXRUAQZUBZOZOZGUCFUCZHUCEUCZXPW
      OXBXDXRWPNZOYBOZHUCEUCZYFWKWPMNXBYIUDWNIJKFGLAWPXAEHRUAFGLIJKUEDUFUGBCUHU
      IWOYHYEEHWNYHYEUDWKWNXDYGYBOZOXDXTGUCFUCZYBOZOZYHYEWNYJYLXDWNYGYKYBIJKEDL
      BCXRFGPTEDLIJKUJHUFUGUKULXDYGYBUMYEXDYCGUCFUCZOYMXDYCFGUNYNYLXDXTYBFGUOUP
      UQURUSUTVAYFYDHUCZEUCGUCFUCXPYDEHFGVBYOXNFGEXDYCHUCZOXDXIXMOZOYOXNYPYQXDY
      PXIXSYBOZOZHUCXIYRHUCZOYQYCYSHXIXSYBUMVCXIYRHVDYTXMXIYBXMHXKXEXGTVEXSYAXL
      XAXRXKXCUAVFVGVHUPVIUPXDYCHVDXDXIXMUMVJVKUQVLWOXOXQFWOXNXQGEWOXJXMXQWOXJX
      LWTNZXMXQVMWKWLWMXJUUAVMWKWLOZWKWMOZOZXDXFOZXDXHOZOZXCXEUAQZXCXGUAQZTQZWT
      NZXJUUAUUDUUGUUHWRNZUUIWSNZOZUUKUUBUUEUULUUCUUFUUMIJKDHLABXCXERUADHLIJKUE
      ZVNIJKDHLACXCXGRUAUUOVNVOWRMNWSMNUUNUUKVMUUBUUCIJKDHLWRWSUUHUUIPTDHLIJKUJ
      VNABVPACVPVQVRXDXFXHVSXLUUJWTXCXEXGFUFGUFVTWAWBWCXLWTXAWDWEWFWGWHWIWJ $.
      $( [1-May-1996] $)

    $( Lemma for distributive law for positive reals. $)
    distrlem2pr $p |- ( ( A e. P. /\ ( B e. P. /\ C e. P. ) ) ->
         ( ( x e. A /\ ( y e. B /\ z e. C ) ) ->
         ( ( x .Q y ) +Q ( x .Q z ) ) e. ( A .P. ( B +P. C ) ) ) ) $=
      ( vf vg vh vw vv vu cnp wcel wa cv cplq co cmq cpp cmp wi df-plp
      genpprecl anim2d adantl df-mp addclpr sylan2 syld visset distrpq eleq1i
      syl6ib ) DMNZEMNFMNOZOZAPZDNZBPZENCPZFNOZOZURUTVAQRZSRZDEFTRZUARZNZURUTSR
      URVASRQRZVGNUQVCUSVDVFNZOZVHUPVCVKUBUOUPVBVJUSGHIJKLEFUTVATQJKLGHIUCUDUEU
      FUOVFMNVKVHUBUPGHIJKLDVFURVDUASJKLGHIUGUDEFUHUIUJVEVIVGURUTVABUKCUKULUMUN
      $.
      $( [2-May-1996] $)

    $( Lemma for distributive law for positive reals. $)
    distrlem3pr $p |- ( ( ( A e. P. /\ ( B e. P. /\ C e. P. ) ) /\
         ( x e. A /\ ( y e. B /\ z e. C ) ) ) ->
         ( x e. Q. /\ ( y e. Q. /\ z e. Q. ) ) ) $=
      ( cnp wcel w3a cv wa cnq an6 elprpq 3anim123i sylbi 3anass anbi12i
      3imtr3 ) DGHZEGHZFGHZIZAJZDHZBJZEHZCJZFHZIZKZUDLHZUFLHZUHLHZIZTUAUBKKZUEU
      GUIKKZKULUMUNKKUKTUEKZUAUGKZUBUIKZIUOTUAUBUEUGUIMURULUSUMUTUNDUDNEUFNFUHN
      OPUCUPUJUQTUAUBQUEUGUIQRULUMUNQS $.
      $( [2-May-1996] $)

    $( Lemma for distributive law for positive reals. $)
    distrlem4pr $p |- ( ( ( A e. P. /\ ( B e. P. /\ C e. P. ) ) /\
         ( ( x e. A /\ f e. A ) /\ ( y e. B /\ z e. C ) ) ) ->
         ( ( x .Q y ) +Q ( f .Q z ) ) e. ( A .P. ( B +P. C ) ) ) $=
      ( vw vv vu cnp wcel wa cv cltq wbr cmq co cplq cpp cmp wi cnq wb
      distrlem3pr visset ltmpq mulcompq caoprord2 mulclpq oprex ltapq addcompq
      syl sylan9bb an1s distrlem2pr mulclpr addclpr sylan2 prcdpq ex syld imp
      sylbid adantrll sylan9bbr anasss adantrlr wo wn wceq elprpq anim12i
      anandis wor ltsopq sotrieq mpan ad2ant2r opreq1 opreq2d eleq1d pm3.26
      sylani syl5cbi sylbird ecase3d ) DKLZEKLFKLMZMZANZDLZGNZDLZMZBNZELCNZFLMZ
      MZMZWLWNOPZWNWLOPZWLWQQRZWNWRQRZSRZDEFTRZUARZLZWKWOWSXBXIUBWMWKWOWSMZMZXB
      XFWNWQQRZXESRZOPZXIXKWNUCLZWQUCLZWRUCLZMZMXBXNUDZGBCDEFUEXPXOXQXSXPXBXDXL
      OPZXOXQMZXNHIJWLWNWQOUCQAUFZGUFZHNZINZJNZHUFZIUFZUGZBUFYDYEYGYHUHZUIYAXEU
      CLXTXNUDWNWRUJHIJXDXLXEOUCSWLWQQUKWNWQQUKYDYEYFYGYHULWNWRQUKZYDYEYGYHUMUI
      UNUOUPUNWKXJXNXIUBZWKXJXMXHLZYLGBCDEFUQWKXHKLZYMYLUBWIXGKLYNWJDXGUREFUSUT
      ZYNYMYLXHXMXFVAVBUNVCVDVEVFWKWMWSXCXIUBWOWKWMWSMZMZXCXFXDWLWRQRZSRZOPZXIY
      QWLUCLZXRMXCYTUDZABCDEFUEUUAXPXQUUBXQXCXEYROPZUUAXPMZYTHIJWNWLWROUCQYCYBY
      ICUFYJUIUUDXDUCLUUCYTUDWLWQUJXEYRXDYKWLWRQUKULUNVGVHUNWKYPYTXIUBZWKYPYSXH
      LZUUEABCDEFUQZWKYNUUFUUEUBYOYNUUFUUEXHYSXFVAVBUNVCVDVEVIXAXBXCVJVKZWLWNVL
      ZXIWIWPUUIUUHUDZWJWSWIWPMUUAXOMZUUJWIWMWOUUKWIWMMUUAWIWOMXODWLVMDWNVMVNVO
      UCOVPUUKUUJVQUCWLWNOVRVSUNVTUUIUUFXIXAUUIYSXFXHUUIYRXEXDSWLWNWRQWAWBWCWKW
      TUUFWKWMWSUUFWPUUGWMWOWDWEVDWFWGWH $.
      $( [2-May-1996] $)


    $( Lemma for distributive law for positive reals. $)
    distrlem5pr $p |- ( ( A e. P. /\ ( B e. P. /\ C e. P. ) ) ->
       ( ( A .P. B ) +P. ( A .P. C ) ) (_ ( A .P. ( B +P. C ) ) ) $=
      ( vw vx vf vy vz vv vu vg vh cnp wcel wa cmp co cpp cv cmq cplq wceq wex
      wb df-plp visset genpelv mulclpr syl2an df-mp bi2anan9 ee4anv syl6bbr
      anbi1d 19.41vv 2exbii bitr 2exbidv exrot4 19.42vv anass an4 anbi1i bitr3
      cvv oprex id opreq12 eqeq2d cgsex2g mp2an anbi2i 3bitr3 syl6bb bitrd
      anandis wi eleq1 distrlem4pr syl5cbir ex imp3a 19.23advv sylbid ssrdv )
      AMNZBMNZCMNZOOZDABPQZACPQZRQZABCRQPQZWIDSZWLNZESZANZFSZANZOGSZBNZHSZCNZOO
      ZWNWPWTTQZWRXBTQZUAQZUBZOZHUCFUCZGUCEUCZWNWMNZWFWGWHWOXKUDWFWGOZWFWHOZOZW
      OISZWJNZJSZWKNZOZWNXPXRUAQZUBZOZJUCIUCZXKWJMNWKMNWOYDUDXMXNFKLEGHWJWKWNIJ
      RUAEGHFKLUEDUFUGABUHACUHUIXOYDWQXAOZXPXEUBZOZWSXCOZXRXFUBZOZOZYBOZHUCFUCZ
      GUCEUCZJUCIUCZXKXOYCYNIJXOYCYKHUCFUCZGUCEUCZYBOZYNXOXTYQYBXOXTYGGUCEUCZYJ
      HUCFUCZOYQXMXQYSXNXSYTFKLDIJABXPEGPTDIJFKLUJIUFUGEKLDIJACXRFHPTDIJEKLUJJU
      FUGUKYGYJEGFHULUMUNYNYPYBOZGUCEUCYRYMUUAEGYKYBFHUOUPYPYBEGUOUQUMURYOYMJUC
      IUCZGUCEUCXKYMIJEGUSUUBXJEGUUBYLJUCIUCZHUCFUCXJYLIJFHUSUUCXIFHXDYFYIOZYBO
      ZOZJUCIUCXDUUEJUCIUCZOUUCXIXDUUEIJUTUUFYLIJUUFXDUUDOZYBOYLXDUUDYBVAUUHYKY
      BUUHYEYHOZUUDOYKXDUUIUUDWQWSXAXCVBVCYEYHYFYIVBUQVCVDUPUUGXHXDXEVENXFVENUU
      GXHUDWPWTTVFWRXBTVFYBXHUUDIJXEXFVEVEUUDVGUUDYAXGWNXPXEXRXFUAVHVIVJVKVLVMU
      PUQUPUQVNVOVPWIXJXLEGWIXIXLFHWIXDXHXLWIXDXHXLVQXHXLXGWMNWIXDOWNXGWMVREGHA
      BCFVSVTWAWBWCWCWDWE $.
      $( [2-May-1996] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    distrpr.1 $e |- B e. V $.
    distrpr.2 $e |- C e. V $.
    $( Multiplication of positive reals is distributive.  Proposition
       9-3.7(iii) of [Gleason] p. 124. $)
    distrpr $p |- ( A .P. ( B +P. C ) ) = ( ( A .P. B ) +P. ( A .P. C ) ) $=
      ( cnp wcel w3a cpp co cmp wceq wa distrlem1pr distrlem5pr eqssd 3impb
      dmplp 0npr dmmp ndmoprdistr pm2.61i ) AFGZBFGZCFGZHABCIJKJZABKJACKJIJZLZU
      CUDUEUHUCUDUEMMUFUGABCNABCOPQABCFIKDRESTUAUB $.
      $( [2-May-1996] $)
  $}

  ${
    $d x y z w v u f g A $.
    $( 1 is an identity element for positive real multiplication.  Theorem
       9-3.7(iv) of [Gleason] p. 124. $)
    1idpr $p |- ( A e. P. -> ( A .P. 1P ) = A ) $=
      ( vx vf vg vy vz vw vv vu cnp wcel c1p cmp co cv wa cmq wceq wex cltq
      wbr wb cnq breq1 c1q visset 1q elisseti ltmpq mulidpq breq2d bitrd df-1p
      abeq2i syl5rbb sylan9bbr elprpq sylan exp31 imp3a pm5.32d an23 3bitr4g
      exbidv 19.42v syl5rbbr 1pr df-mp genpelv mpan2 prnmax crq cfv ltrelpq
      brel recidpq opreq2d fvex mulcompq mulasspq caopr12 syl5eq sylan9eqr
      eqcomd oprex opreq2 eqeq2d cla4ev 3syl adantl ancli 19.22i syl ex wi
      prcdpq adantrd 19.23adv impbid 3bitr4d eqrdv ) AJKZBALMNZAXBCOZAKZDOZLKZP
      BOZXDXFQNZRZPZDSZCSZXEXHXDTUAZPZXJDSZPZCSZXHXCKZXHAKZXBXLXQCXBXOXJPZDSXLX
      QXBYAXKDXBXEXJPZXNPYBXGPYAXKXBYBXNXGXBXEXJXNXGUBZXBXEXJYCXDUCKZXJYCXBXEPX
      JXNXIXDTUAZYDXGXHXIXDTUDYDXFUETUAZYEXGYDYFXIXDUEQNZTUAYEXFUEXDDUFUEUCUGUH
      UIYDYGXDXITXDUJUKULYFDLDUMUNUOUPAXDUQURUSUTVAXEXNXJVBXEXGXJVBVCVDXOXJDVEV
      FVDXBLJKXSXMUBVGBEFGHIALXHCDMQGHIBEFVHBUFZVIVJXBXTXRXBXTXRXBXTPXOCSXRCAXH
      VKXOXQCXOXPXNXPXEXNXHUCKZYDPZXHXDXHXDVLVMZQNZQNZRZXPXHXDUCUCTCUFZVNVOYJYM
      XHYDYIYMXHUEQNZXHYDXHXDYKQNZQNYPYMYDYQUEXHQXDVPVQEFGXDXHYKQYOYHXDVLVREOZF
      OZEUFFUFZVSYRYSGOYTGUFVTWAWBXHUJWCWDXJYNDYLXHYKQWEXFYLRXIYMXHXFYLXDQWFWGW
      HWIWJWKWLWMWNXBXQXTCXBXOXTXPXBXEXNXTXBXEXNXTWOAXDXHWPWNUTWQWRWSWTXA $.
      $( [2-Apr-1996] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Positive real 'less than' in terms of proper subset. $)
    ltprord $p |- ( ( A e. P. /\ B e. P. ) -> ( A <P B <-> A (. B ) ) $=
      ( vx vy cnp wcel wa cltp wbr wpss cv wceq eleq1 anbi1d psseq1 anbi12d
      anbi2d psseq2 df-ltp brabg bianabs ) AEFZBEFZGZABHIABJZCKZEFZDKZEFZGZUFUH
      JZGUBUIGZAUHJZGUDUEGCDABEEHUFALZUJULUKUMUNUGUBUIUFAEMNUFAUHOPUHBLZULUDUMU
      EUOUIUCUBUHBEMQUHBARPCDSTUA $.
      $( [20-Feb-1996] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Proper subset is a linear ordering on positive reals.  Part of
       Proposition 9-3.3 of [Gleason] p. 122. $)
    psslinpr $p |- ( ( A e. P. /\ B e. P. ) ->
                ( A (. B \/ A = B \/ B (. A ) ) $=
      ( vx vy cnp wcel wa wpss wceq wo w3o cv wn wex wi wal cltq wbr cnq prub
      elprpq sylan2 prcdpq adantl syld exp43 com3r imp imp4a com23 19.21adv
      19.23adv wss sspss negbii nss bitr3 dfss2 3imtr4g orrd df-3or or23
      orordir eqcom orbi2i bitr4 3bitr sylibr ) AEFZBEFZGZABHZABIZJZBAHZBAIZJZJ
      ZVLVMVOKZVKVNVQVKCLZAFZVTBFMZGZCNZDLZBFZWEAFZOZDPZVNMZVQVKWCWICVKWCWHDVKW
      FWCWGVKWFWAWBWGVIVJWFWAWBWGOZOZOVJWFVIWLVJWFVIWAWKVJWFGZVIWAGZGWBWEVTQRZW
      GWMVTSFWBWOOWNBWEVTTAVTUAUBWNWOWGOWMAVTWEUCUDUEUFUGUHUIUJUKULWJABUMZMWDWP
      VNABUNUOCABUPUQVQBAUMWIBAUNDBAURUQUSUTVSVNVOJVLVOJVMJZVRVLVMVOVAVLVMVOVBW
      QVNVOVMJZJVRVLVOVMVCVQWRVNVPVMVOBAVDVEVEVFVGVH $.
      $( [25-Feb-1996] $)
  $}

  ${
    $d x y z $.
    $( Positive real 'less than' is a strict ordering.  Part of Proposition
       9-3.3 of [Gleason] p. 122. $)
    ltsopr $p |- <P Or P. $=
      ( vx vy vz cnp cltp cv wcel wbr wn wa wpss pssirr ltprord mtbiri anidms
      w3a wi psstr wb 3adant3 3adant1 anbi12d 3adant2 imbi12d mpbiri wceq w3o
      psslinpr pm4.2d ancoms 3orbi123d mpbird itlso ) ABCDEAFZDGZUNUNEHZIUOUOJU
      PUNUNKUNLUNUNMNOUOBFZDGZCFZDGZPZUNUQEHZUQUSEHZJZUNUSEHZQUNUQKZUQUSKZJZUNU
      SKZQUNUQUSRVAVDVHVEVIVAVBVFVCVGUOURVBVFSUTUNUQMZTURUTVCVGSUOUQUSMUAUBUOUT
      VEVISURUNUSMUCUDUEUOURJZVBUNUQUFZUQUNEHZUGVFVLUQUNKZUGUNUQUHVKVBVFVLVLVMV
      NVJVKVLUIURUOVMVNSUQUNMUJUKULUM $.
      $( [25-Feb-1996] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u f B $.  $d z w v u f g h $.

    ${
      $d x y w C $.
      prlem934a.1 $e |- B e. V $.
      $( Sublemma for Lemma 9-3.4 of [Gleason] p. 122. $)
      prlem934a $p |- ( C e. N. ->
        ( ( ( B e. Q. /\ A. x ( x e. A -> ( x +Q B ) e. A ) ) /\ y e. A ) ->
        ( y +Q ( [ <. C , 1o >. ] ~Q .Q B ) ) e. A ) ) $=
        ( vw vz vv vu vf cnq wcel cv cplq co wi wal wa c1o cop ceq cec cmq
        cpli wceq opeq1 eceq2 syl opreq1d opreq2d eleq1d imbi2d eleq1 opreq1
        imbi12d a4v c1q mulidpq 1q elisseti mulcompq syl5eqr df-1q opreq1i
        biimprd sylan9r imp cnpi oprex cla4v syl5reqr cvv enqex ecexg ax-mp
        visset distrpq caoprdistrr syl6eqr cmi 1pi pm3.2i addpipq mpan2
        opreq2i syl5eq mulidpi a1i opreq12d jctir opeq12 3syl eqtrd sylan9eqr
        addasspq biimpd exp31 imp3a adantrd a2d indpi ) DLMZANZCMZXDDOPZCMZQZAR
        ZSZBNZCMZSZXKGNZTUAZUBUCZDUDPZOPZCMZQXMXKTTUAZUBUCZDUDPZOPZCMZQXMXKHNZT
        UAZUBUCZDUDPZOPZCMZQXMXKYETUEPZTUAZUBUCZDUDPZOPZCMZQXMXKETUAZUBUCZDUDPZ
        OPZCMZQGHEXNTUFZXSYDXMUUBXRYCCUUBXQYBXKOUUBXPYADUDUUBXOXTUFXPYAUFXNTTUG
        XOXTUBUHUIUJUKULUMXNYEUFZXSYJXMUUCXRYICUUCXQYHXKOUUCXPYGDUDUUCXOYFUFXPY
        GUFXNYETUGXOYFUBUHUIUJUKULUMXNYKUFZXSYPXMUUDXRYOCUUDXQYNXKOUUDXPYMDUDUU
        DXOYLUFXPYMUFXNYKTUGXOYLUBUHUIUJUKULUMXNEUFZXSUUAXMUUEXRYTCUUEXQYSXKOUU
        EXPYRDUDUUEXOYQUFXPYRUFXNETUGXOYQUBUHUIUJUKULUMXJXLYDXIXLXKDOPZCMZXCYDX
        HXLUUGQABXDXKUFZXEXLXGUUGXDXKCUNUUHXFUUFCXDXKDOUOULUPUQXCYDUUGXCYCUUFCX
        CYBDXKOXCURDUDPZDYBXCDURUDPZDUUIDUSZDURFURLUTVAZVBZVCURYADUDVDVEVCUKULV
        FVGVHYEVIMZXMYJYPUUNXJYJYPQZXLUUNXCXIUUOUUNXCXIUUOXIYJYIDOPZCMZUUNXCSZY
        PXHYJUUQQAYIXKYHOVJXDYIUFZXEYJXGUUQXDYICUNUUSXFUUPCXDYIDOUOULUPVKUURUUQ
        YPUURUUPYOCUURXKYHDOPZOPYOUUPUURUUTYNXKOXCUUNUUTYGUROPZDUDPZYNXCUUTYHUU
        IOPUVBXCDUUIYHOXCUUJDUUIUUKUUMVLUKIJKYGURDOUDUBVMMYGVMMVNYFVMUBVOVPUULF
        INZJNZIVQJVQZVBUVCUVDKNUVEKVQVRVSVTUUNUVAYMDUDUUNUVAYETWAPZTTWAPZUEPZUV
        GUAZUBUCZYMUUNYGYAOPZUVJUVAUUNTVIMZUVKUVJUFZWBUUNUVLSUVLUVLSUVMUVLUVLWB
        WBWCYETTTWDWEWEURYAYGOVDWFWGUUNUVHYKUFZUVGTUFZSUVIYLUFUVJYMUFUUNUVNUVOU
        UNUVFYEUVGTUEYEWHUVOUUNUVLUVOWBTWHVPZWIWJUVPWKUVHUVGYKTWLUVIYLUBUHWMWNU
        JWOUKXKYHDYGDUDVJFWPWGULWQVGWRWSWTXAXB $.
        $( [25-Mar-1996] $)
    $}

    $( Sublemma for Lemma 9-3.4 of [Gleason] p. 122. $)
    prlem934b $p |- ( ( ( u e. N. /\ w e. N. ) /\ ( v e. N. /\ z e. N. ) )
     -> ( ( [ <. ( w .N v ) , 1o >. ] ~Q .Q [ <. z , w >. ] ~Q ) =
          [ <. v , u >. ] ~Q \/
          [ <. v , u >. ] ~Q <Q
     ( [ <. ( w .N v ) , 1o >. ] ~Q .Q [ <. z , w >. ] ~Q ) ) ) $=
      ( vf vg vh cv cnpi wcel wa cmi co c1o cop ceq cec cmq wceq cltq wbr wo
      clti mulclpi wn nlt1pi wb 1pi wor ltsopi sotric mpan mpan2 con2bid
      mpbiri syl adantl enqeceq ancoms mpanr2 sylan2 anandis opreq1 visset
      mulcompi mulasspi caopr31 syl5eq syl5bir wi elisseti oprex ltmpi ordpipq
      caopr12 breq2i bitr syl6bbr biimpd adantr orim12d mpd an1s adantlr an42
      mulpipq mpanl2 sylan sylbi anabsan distrpqlem mp3an3 opeq12i eceq2 ax-mp
      eqtrd adantll eqeq1 breq2 orbi12d mpbird ) DHZIJZBHZIJZKCHZIJZAHZIJZKZKZX
      DXFLMZNOPQXHXDOPQRMZXFXBOPQZSZXNXMTUAZUBZXFXHLMZNOPQZXNSZXNXSTUAZUBZXCXJY
      BXEXGXCXIYBXGXCXIKZKZXBXHLMZNSZNYEUCUAZUBZYBYCYHXGYCYEIJZYHXBXHUDYIYHYENU
      CUAZUEYEUFYIYJYHYINIJZYJYHUEUGZUHIUCUIYIYKKYLUJIYENUCUKULUMUNUOUPUQYDYFXT
      YGYAYDXTXRXBLMZNXFLMZSZYFXGXCXIXTYOUGZXGXCKZXRIJZYPXJYQYRYKYPUHYRYKKYQYPX
      RNXFXBURUSUTXFXHUDZVAVBYFYEXFLMYNYMYENXFLVCEFGXFXHXBLCVDZAVDZDVDZEHZFHZEV
      DFVDZVEZUUCUUDGHUUEGVDVFZVGVHVIXGYGYAVJYCXGYGYAXGYGXFNLMZXFYELMZUCUAZYANY
      EXFNIUHVKZXBXHLVLVMYAUUHXBXRLMZUCUAUUJXFXBXRNYTUUBXFXHLVLZUUKVNUULUUIUUHU
      CEFGXBXFXHLUUBYTUUAUUFUUGVOVPVQVRVSVTWAWBWCWDXKXMXSSZXQYBUGXEXJUUNXCXEXJK
      ZXMXLXHLMZNXDLMZOZPQZXSXEXJXMUUSSZXEXEKXJKXEXGKZXIXEKZKUUTXEXEXGXIWEXLIJZ
      UVBUUTUVAUVCYKUVBUUTUHXLNXHXDWFWGXDXFUDWHWIWJUUOXDXRLMZXDNLMZOZPQZXSUUSXE
      YRUVGXSSZXJXEYRYKUVHUHXDXRNBVDZUUMUUKWKWLYSVAUURUVFSUUSUVGSUUPUVDUUQUVEXD
      XFXHYTUUAVFNXDUUKUVIVEWMUURUVFPWNWOVHWPWQUUNXOXTXPYAXMXSXNWRXMXSXNTWSWTUP
      XA $.
      $( [25-Mar-1996] $)

    $( Lemma 9-3.4 of [Gleason] p. 122. $)
    prlem934 $p |- ( ( A e. P. /\ B e. Q. ) ->
                   E. x ( x e. A /\ -. ( x +Q B ) e. A ) ) $=
      ( vy vz vw vv vu cnq wcel cnp cv cplq co wn wa wex wi wal wss wpss
      prpssnq dfpss3 sylib pm3.27d adantl cop ceq cec cnpi df-nq wceq eleq1
      imbi2d opreq2 eleq1d albidv imbi1d cmi c1o cmq pm3.27 jca anim1i an42
      mulclpi cvv enqex ecexg ax-mp prlem934a exp4c ecopqsi syl5 syl imp com23
      adantld cltq wbr prcdpq oprex visset ltaddpq 1pi mpan2 anim12i mulclpq
      3syl sylan wo prlem934b breq1 biimpd ltsopq ltrelpq sotri ex jaoi adantr
      mpd addcompq syl6breq exp4b com24 elprpq anabsi5 com12 syldd 19.23adv c0
      wne prn0 ne0 ancli 19.42v sylibr ancoms an4s 2ecoptocl com4l 19.21adv
      dfss2 syl6ibr mtod exanali ) CIJZBKJZALZBJZYICMNZBJZOPAQZYGYHPZYJYLRZASZO
      YMYNYPIBTZYHYQOZYGYHBITZYRYHBIUAYSYRPBUBBIUCUDUEUFYNYPDLZIJZYTBJZRZDSYQYN
      YPUUCDYGYHYPUUCRUUAYGYHYPUUBUUAYGYHYPUUBRZRZYHYJYIELZFLZUGZUHUIZMNZBJZRZA
      SZGLZHLZUGZUHUIZBJZRZRZYHUUMUUBRZRUUEGHEFYTCUJUJUHIUKUUQYTULZUUSUVAYHUVBU
      URUUBUUMUUQYTBUMUNUNUUICULZUVAUUDYHUVCUUMYPUUBUVCUULYOAUVCUUKYLYJUVCUUJYK
      BUUICYIMUOUPUNUQURUNUUNUJJZUUFUJJZUUOUJJZUUGUJJZUUTUVFUVGPZUVDUVEPZUUTUVH
      UVIPZYHUUBPZDQZUUSYHUVJUVKUUSDUVJUVKUUMYTUUGUUNUSNZUTUGUHUIZUUIVANZMNZBJZ
      UURUVJUUBUUMUVQRYHUVJUUMUUBUVQUVJUVGUVDPZUVEUVGPZPZUUMUUBUVQRRZUVJUVGUVGP
      ZUVIPUVTUVHUWBUVIUVHUVGUVGUVFUVGVBZUWCVCVDUVGUVGUVDUVEVEUDZUVRUVSUWAUVRUV
      MUJJZUVSUWARUUGUUNVFZUWEUUIIJZUWAUVSUWEUWGUUMUUBUVQADBUUIUVMUHVGJZUUIVGJV
      HUUHVGUHVIVJVKVLUJUUFUUGUHIVHUKVMZVNVOVPVOVQVRUVKUVJUVQUURRZYHUUBUVJUWJRZ
      YHUUAUWKUVKYHUVQUVJUUAUURYHUVQUVJUUAUURYHUVQPUUQUVPVSVTUURUVJUUAPZBUVPUUQ
      WAUWLUUQUVOYTMNZUVPVSUWLUVOUWMVSVTZUUQUWMVSVTZUVOIJZUUAUWNUVJUVOYTUVNUUIV
      AWBZDWCZWDUVJUVTUVNIJZUWGPUWPUWDUVRUWSUVSUWGUVRUWEUWSUWFUWEUTUJJUWSWEUJUV
      MUTUHIVHUKVMWFVOUWIWGUVNUUIWHWIWJUVJUWNUWORZUUAUVJUVOUUQULZUUQUVOVSVTZWKU
      WTEFGHWLUXAUWTUXBUXAUWNUWOUVOUUQUWMVSWMWNUXBUWNUWOUUQUVOUWMVSIUWHUUQVGJVH
      UUPVGUHVIVJWOWPUWQUVOYTMWBWQWRWSVOWTXAUVOYTUWQUWRXBXCVNXDXEBYTXFVNXGXHXIX
      JYHYHUUBDQZPUVLYHUXCYHBXKXLUXCBXMDBXNUDXOYHUUBDXPXQVNXRXSXTWRYAVPYBDIBYCY
      DYEYJYLAYFXQXR $.
      $( [25-Mar-1996] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.
    $( The sum of two positive reals is greater than one of them.  Proposition
       9-3.5(iii) of [Gleason] p. 123. $)
    ltaddpr $p |- ( ( A e. P. /\ B e. P. ) -> A <P ( A +P. B ) ) $=
      ( vy vx vz vw vv vu cnp wcel wa cpp co cltp wbr wpss cv wex c0 wne prn0
      ne0 sylib adantl wss wceq wn wi wal cplq cltq cnq elprpq visset dmaddpq
      0npq ndmoprrcl ltaddpq 3syl prcdpq mpd addclpr adantr df-plp genpprecl
      imp sylanc exp32 com23 19.21adv dfss2 syl6ibr eleq2 biimprcd con3d syl6
      exp3a com34 imp3a 19.23adv prlem934 syl5 sylan2i exp4d pm2.43i pm2.43d
      jcad dfpss2 wb ltprord syldan mpbird ) AIJZBIJZKZAABLMZNOZAWPPZWOCQZBJZCR
      ZWRWNXAWMWNBSTXABUACBUBUCUDWOWTWRCWOWTAWPUEZAWPUFZUGZKWRWOWTXBXDWOWTDQZAJ
      ZXEWPJZUHZDUIXBWOWTXHDWOXFWTXGWOXFWTXGWPIJZXEWSUJMZWPJZXGWOXFWTKZKXIXKKZX
      EXJUKOZXGXMXJULJXEULJWSULJZKXNWPXJUMXEWSULUJCUNZUOUPUQXEWSDUNXPURUSWPXJXE
      UTVAWOXIXLABVBZVCWOXLXKDCEFGHABXEWSLUJFGHDCEVDVEZVFVGVHVIVJDAWPVKVLWOWTXD
      WOWTWTXDUHZUHZWOWMWNXTWOWMWNWTXSWOWMXOXSWNWTKWOXFXJAJZUGZKZDRXSWMXOKWOYCX
      SDWOXFYBXSWOXFWTYBXDWOXFWTYBXDUHZWOXLXKYDXRXKXCYAXCYAXKAWPXJVMVNVOVPVQVRV
      SVTDAWSWAWBBWSUMWCWDVSWEWFWGAWPWHVLVTVAWMWNXIWQWRWIXQAWPWJWKWL $.
      $( [26-Mar-1996] $)
  $}

  ${
    ltaddpr2.1 $e |- B e. V $.
    $( The sum of two positive reals is greater than one of them. $)
    ltaddpr2 $p |- ( C e. P. -> ( ( A +P. B ) = C -> A <P C ) ) $=
      ( cpp co wceq cnp wcel cltp wbr wa eleq1 dmplp 0npr ndmoprrcl syl6bir
      breq2 ltaddpr syl5bi syld com12 ) ABEFZCGZCHIZACJKZUDUEAHIBHILZUFUDUEUCHI
      UGUCCHMABHEDNOPQUDAUCJKUFUGUCCAJRABSTUAUB $.
      $( [13-May-1996] $)
  $}

  ${
    $d x y z w v f g h A $.  $d x y z w v B $.  $d x z w v f g h C $.
    $d x y z w v u f g h $.
    ltexprlem.1 $e |- C = { x | E. y ( -. y e. A /\ ( y +Q x ) e. B ) } $.
    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123. $)
    ltexprlem1 $p |- ( B e. P. -> ( A (. B -> C =/= (/) ) ) $=
      ( cnp wcel wpss cv wn cplq co wa wex c0 wne visset prnmadd anim2i 19.42v
      sylibr exp32 com3l imp3a 19.22dv pssnel syl5 abeq2i exbii ne0 excom
      3bitr4 syl6ibr ) DGHZCDIZBJZCHKZUQAJZLMDHZNZAOZBOZEPQZUOUQDHZURNZBOVCUPUO
      VFVBBUOVEURVBURUOVEVBURUOVEVBURUOVENZNURUTAOZNVBVGVHURADUQBRSTURUTAUAUBUC
      UDUEUFBCDUGUHUSEHZAOVABOZAOVDVCVIVJAVJAEFUIUJAEUKVABAULUMUN $.
      $( [18-Apr-2007] $) $( [3-Apr-1996] $)

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123. $)
    ltexprlem2 $p |- ( B e. P. -> C (. Q. ) $=
      ( wss cnq wpss cnp wcel sspsstr cv wn cplq co wa wex elprpq visset
      dmaddpq 0npq ndmoprrcl syl cltq wbr prcdpq ltaddpq ancoms addcompq
      syl6breq syl5 mpd ex adantld 19.23adv abeq2i syl5ib ssrdv prpssnq sylanc
      ) EDGDHIEHIDJKZEDHLVBAEDVBBMZCKNZVCAMZOPZDKZQZBRZVEDKZVEEKVBVHVJBVBVGVJVD
      VBVGVJVBVGQZVCHKZVEHKZQZVJVKVFHKVNDVFSVCVEHOATZUAUBUCUDVKVEVFUEUFVJVNDVFV
      EUGVNVEVEVCOPZVFUEVMVLVEVPUEUFVEVCVOBTZUHUIVEVCVOVQUJUKULUMUNUOUPVIAEFUQU
      RUSDUTVA $.
      $( [3-Apr-1996] $)

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123. $)
    ltexprlem3 $p |- ( B e. P. ->
                  ( x e. C -> A. z ( z <Q x -> z e. C ) ) ) $=
      ( cnp wcel cv cltq wbr wi wa wn cplq co wex cnq wb elprpq visset dmaddpq
      0npq ndmoprrcl pm3.26d ltapq 3syl prcdpq sylbid ex com23 imp anim2d
      19.22dv abeq2i wceq opreq2 eleq1d anbi2d exbidv elab2 3imtr4g 19.21adv )
      EHIZAJZFIZCJZVFKLZVHFIZMCVEVIVGVJVEVIVGVJMVEVINZBJZDIOZVLVFPQZEIZNZBRZVMV
      LVHPQZEIZNZBRZVGVJVKVPVTBVKVOVSVMVEVIVOVSMVEVOVIVSVEVOVIVSMVEVONZVIVRVNKL
      ZVSWBVNSIZVLSIZVIWCTEVNUAWDWEVFSIVLVFSPAUBZUCUDUEUFVHVFVLCUBZWFUGUHEVNVRU
      IUJUKULUMUNUOVQAFGUPVQWAAVHFWGVFVHUQZVPVTBWHVOVSVMWHVNVREVFVHVLPURUSUTVAG
      VBVCUKULVD $.
      $( [6-Apr-1996] $)

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123. $)
    ltexprlem4 $p |- ( B e. P. ->
                  ( x e. C -> E. z ( z e. C /\ x <Q z ) ) ) $=
      ( vw cnp wcel cv wn cplq co wa wex cltq wbr wceq prnmax cnq visset
      ltrelpq brel pm3.26d dmaddpq 0npq ndmoprrcl syl ltsopq oprex sotri
      ltaddpq sylan mpancom ltexpq biimpd mpcom eqcom exbii sylibr ancri
      anim2i an12 19.41v 19.22i excom eleq1 breq2 anbi12d ceqsexv ltapq
      ndmordi sylbi 3syl an1s 19.42v ex 19.22dv abeq2i opreq2 eleq1d anbi2d
      exbidv elab2 anbi1i anass 3bitr2 bitr4 3imtr4g ) EIJZBKZDJLZWLAKZMNZEJZOZ
      BPZWMWLCKZMNZEJZWNWSQRZOZOZCPZBPZWNFJWSFJZXBOZCPZWKWQXEBWKWQXEWKWQOWMXCCP
      ZOZXEWMWKWPXKWKWPOZXJWMXLHKZEJZWOXMQRZOZHPZXMWTSZXPOZHPZCPZXJHEWOTXQXSCPZ
      HPYAXPYBHXPXRCPZXPOZYBXPXNYCXOOZOYDXOYEXNXOYCXOWTXMSZCPZYCXOWLXMQRZYGWLUA
      JZWNUAJOZXOYHXOWOUAJZYJXOYKXMUAJZWOXMUAUAQHUBZUCUDUEWLWNUAMAUBZUFUGUHUIWL
      WOQRXOYHYJWLWOXMQUABUBZUJUCWLWNMUKYMULWLWNYOYNUMUNUOYIYLOZYHYGWLXMUAUAQYM
      UCUDYPYHYGCWLXMYOUPUQURUIXRYFCXMWTUSUTVAVBVCYCXNXOVDVAXRXPCVEVAVFXSCHVGVA
      XTXCCXTXAWOWTQRZOZXCXPYRHWTWLWSMUKXRXNXAXOYQXMWTEVHXMWTWOQVIVJVKYQXBXAWNW
      SWLQUAMYNUFUCUGWNWSWLYNCUBZVLVMVCVNVFVOVCVPWMXCCVQVAVRVSWRAFGVTXIXDBPZCPX
      FXHYTCXHWMXAOZBPZXBOUUAXBOZBPYTXGUUBXBWRUUBAWSFYSWNWSSZWQUUABUUDWPXAWMUUD
      WOWTEWNWSWLMWAWBWCWDGWEWFUUAXBBVEUUCXDBWMXAXBWGUTWHUTXDBCVGWIWJ $.
      $( [6-Apr-1996] $)

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123. $)
    ltexprlem5 $p |- ( ( B e. P. /\ A (. B ) -> C e. P. ) $=
      ( vz cnp wcel wpss wa c0 cnq cv cltq wbr wi wal wrex wral wne ltexprlem1
      0pss syl6ibr imp ltexprlem2 adantr jca ltexprlem3 wex ltexprlem4 df-rex
      jcad r19.21aiv elnp sylibr ) DHIZCDJZKZLEJZEMJZKZGNZANZOPVCEIZQGRZVDVCOPZ
      GESZKZAETZKEHIUSVBVJUSUTVAUQURUTUQURELUAUTABCDEFUBEUCUDUEUQVAURABCDEFUFUG
      UHUQVJURUQVIAEUQVDEIZVFVHABGCDEFUIUQVKVEVGKGUJVHABGCDEFUKVGGEULUDUMUNUGUH
      AGEUOUP $.
      $( [6-Apr-1996] $)

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123. $)
    ltexprlem6 $p |- ( ( ( A e. P. /\ B e. P. ) /\ A (. B ) ->
                     ( A +P. C ) (_ B ) $=
      ( vz vw vf vg vh vv vu cnp wcel wpss cpp co wss wa cv cplq wceq wex wb
      df-plp visset genpelv ltexprlem5 sylan2 wi eleq1 biimparc wn cltq wbr
      cnq prub elprpq dmaddpq 0npq ndmoprrcl pm3.26d syl pm3.27d ltapq
      addcompq caoprord2 3syl prcdpq sylbid adantl syld exp32 com34 imp4b
      19.23adv abeq2i syl5ib exp31 com23 imp43 sylan imp3a 19.23advv adantrr
      ssrdv anassrs ) CNOZDNOZCDPZCEQRZDSWIWJWKTZTZGWLDWNGUAZWLOZHUAZCOZAUAZEOZ
      TZWOWQWSUBRZUCZTZAUDHUDZWODOZWIENOWPXEUEWMIJKGLMCEWOHAQUBGLMIJKUFGUGZUHAB
      CDEFUIUJWIWJXEXFUKWKWIWJTZXDXFHAXHXAXCXFXHXAXCXFXBDOZXCXFXHXATXCXFXIWOXBD
      ULUMWIWJWRWTXIWIWRWJWTXIUKZWIWRWJXJWIWRTZWJTZBUAZCOUNZXMWSUBRZDOZTZBUDZXI
      WTXLXQXIBXKWJXNXPXIXKWJXPXNXIXKWJXPXNXIUKXKWJXPTZTXNWQXMUOUPZXIXKXMUQOZXN
      XTUKXSCWQXMURXSXOUQOZYADXOUSZYBYAWSUQOZXMWSUQUBAUGZUTVAVBZVCVDUJXSXTXIUKX
      KXSXTXBXOUOUPZXIXSYBYDXTYGUEYCYBYAYDYFVEGLMWQXMWSUOUQUBHUGBUGWOLUAZMUAXGL
      UGZVFYEWOYHXGYIVGVHVIDXOXBVJVKVLVMVNVOVPVQXRAEFVRVSVTWAWBWCVTWDWEWFVKWGWH
      $.
      $( [8-Apr-1996] $)

    $( Lemma for Proposition 9-3.5(iv) of [Gleason] p. 123. $)
    ltexprlem7 $p |- ( ( ( A e. P. /\ B e. P. ) /\ A (. B ) ->
                     B (_ ( A +P. C ) ) $=
      ( vw vv vz vf vg vh vu cnp wcel wa wpss cpp co cv wi cltp wbr ltaddpr wb
      addclpr ltprord syldan mpbid pssssd sseld a1d com4r exp3a wn cplq wex
      visset prnmadd cnq elprpq dmaddpq 0npq ndmoprrcl syl prlem934 wceq cltq
      prub ltexpq sylan sylibd ex ad2ant2r df-plp genpprecl oprex eleq1 negbid
      opreq1 eleq1d anbi12d cla4ev abeq2i sylibr addcompq addasspq caopr32
      syl5eq biimpar sylan2 sylan2i exp4d imp42 ad2antrl exp32 19.23adv syl6d
      exp31 com23 adantr mpd com24 com14 imp4b com12 adantld mpcom com4t
      pm2.61i ltexprlem5 syl5 com34 pm2.43d imp31 ssrdv ) CNOZDNOZPCDQZPGDCERSZ
      XQXRXSGTZDOZYAXTOZUAZXQXRXSYDUAXQXRXSXRYDXQXRXSXRYDUAZXQENOZYEXRXSPYACOZX
      QYFYEUAZUAYGXQYFYEXQYFPZXRYBYGYCYIYBYGYCUAZUAXRYIYJYBYICXTYAYICXTYICXTUBU
      CZCXTQZCEUDXQYFXTNOYKYLUECEUFCXTUGUHUIUJUKULULUMUNYGUOZXQYHXRYBYMXQPZYFYC
      XRYBYNYFYCUAUAZXRYBPYAHTZUPSZDOZHUQZYOHDYAGURUSXRYSYOUAYBXRYRYOHXRYRYOYAU
      TOZYPUTOZPZXRYRPZYOUUCYQUTOUUBDYQVAYAYPUTUPHURZVBVCVDVEUUBYRYOXRYRUUBYOUU
      BYNYFYRYCYTUUAYMXQYFYRYCUAZUAZXQUUAYMYTUUFXQUUAYMYTUUFUAUAXQUUAPZYFYTYMUU
      EUUGITZCOZUUHYPUPSZCOZUOZPZIUQZYFYTYMUUEUAUAZUAZICYPVFXQUUNUUPUAUUAXQUUMU
      UPIXQYFUUMUUOXQYFUUMUUOYIUUMPZYTYMUUHATZUPSZYAVGZAUQZUUEXQUUIYTYMUVAUAZUA
      YFUULXQUUIPZYTUVBUVCYTPYMUUHYAVHUCZUVACUUHYAVIUUHUTOYTUVDUVAUEUVCAUUHYAIU
      RZVJCUUHVAVKVLVMVNUUQUUTUUEAUUQUUTYRYCUUQUUTYRPZPUUSXTOZYCYIUUIUULUVFUVGY
      IUUIUULUVFUVGYIUUIUUREOZUVGUULUVFPJKLIHMCEUUHUURRUPIHMJKLVOVPUULUUJUURUPS
      ZDOZUVHUVFUULUVJPZBTZCOZUOZUVLUURUPSZDOZPZBUQZUVHUVQUVKBUUJUUHYPUPVQUVLUU
      JVGZUVNUULUVPUVJUVSUVMUUKUVLUUJCVRVSUVSUVOUVIDUVLUUJUURUPVTWAWBWCUVRAEFWD
      WEUUTUVJYRUUTUVIYQDUUTUUSYPUPSYQUVIUUSYAYPUPVTJKLUUHYPUURUPUVEUUDAURJTZKT
      ZJURKURZWFUVTUWALTUWBLURWGWHWIWAWJWKWLWMWNUUTUVGYCUEUUQYRUUSYAXTVRWOUIWPW
      QWRWSWTWQXAXBXCVMXDXEUMXFXGXHVMWQXAXBVMXIVMXJABCDEFXKXLUNXMXNXOXP $.
      $( [8-Apr-1996] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    ltexpri.1 $e |- B e. V $.
    $( Proposition 9-3.5(iv) of [Gleason] p. 123. $)
    ltexpri $p |- ( A <P B -> E. x ( x e. P. /\ ( A +P. x ) = B ) ) $=
      ( vw vy vz cnp wcel wa cltp wbr cv cpp co wceq wex ltrelpr brel wpss
      ltprord wn cplq cab opreq2 eqeq1d cla4egv eleq1d anbi2d exbidv cbvabv
      ltexprlem5 adantll ltexprlem6 ltexprlem7 eqssd sylc ex sylbid wi eleq1
      visset dmplp 0npr ndmoprrcl pm3.27d syl6bir com12 adantl ancrd 19.22dv
      syld mpcom ) BHIZCHIZJZBCKLZAMZHIZBVRNOZCPZJZAQZBCHHKDRSVPVQWAAQZWCVPVQBC
      TZWDBCUAVPWEWDEMZBIUBZWFFMZUCOZCIZJZEQZFUDZHIZBWMNOZCPZWDVPWEJZWAWPAWMHVR
      WMPVTWOCVRWMBNUEUFUGVOWEWNVNGEBCWMWLWGWFGMZUCOZCIZJZEQFGWHWRPZWKXAEXBWJWT
      WGXBWIWSCWHWRWFUCUEUHUIUJUKZULUMWQWOCGEBCWMXCUNGEBCWMXCUOUPUQURUSVPWAWBAV
      PWAVSVOWAVSUTVNWAVOVSWAVOVTHIZVSVTCHVAXDVNVSBVRHNAVBVCVDVEVFVGVHVIVJVKVLV
      M $.
      $( [13-May-1996] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    ltaprlem.1 $e |- A e. V $.
    ltaprlem.2 $e |- B e. V $.
    $( Lemma for Proposition 9-3.5(v) of [Gleason] p. 123. $)
    ltaprlem $p |- ( C e. P. -> ( A <P B ->
                    ( C +P. A ) <P ( C +P. B ) ) ) $=
      ( vx cnp wcel cltp wbr cpp co cv wceq wa wex wi ltexpri opreq2 visset
      addasspr syl5eq breq2d ltaddpr syl5bi exp3a addclpr syl5 com3r imp
      19.23aiv syl ltrelpr brel pm3.26d sylan2i pm2.43b ) CGHZABIJZCAKLZCBKLZIJ
      ZUSURUSVBUSURAGHZVBUSUSFMZGHZAVDKLZBNZOZFPURVCOZVBQZFABERVHVJFVEVGVJVGVIV
      EVBVGUTGHZVEVBQVIVGVKVEVBVGUTUTVDKLZIJVBVKVEOVGVLVAUTIVGCVFKLVAVLVFBCKSCA
      VDDFTUAUBUCUTVDUDUEUFCAUGUHUIUJUKULUSVCBGHABGGIEUMUNUOUPUFUQ $.
      $( [8-Apr-1996] $)
  $}

  ${
    ltapr.1 $e |- A e. V $.
    ltapr.2 $e |- B e. V $.
    $( Ordering property of addition.  Proposition 9-3.5(v) of [Gleason]
       p. 123. $)
    ltapr $p |- ( C e. P. -> ( A <P B <-> ( C +P. A ) <P ( C +P. B ) ) ) $=
      ( cltp cnp cpp dmplp ltrelpr 0npr wcel wbr co wb wa wi ltaprlem adantr
      wceq wn wo wor ltsopr sotric mpan adantl addclpr anim12i anandis syl
      3imtr3d a3d olc syl5 df-or syl6ib com23 oprex soirri opreq2 breq2d
      mtbiri pm2.21d pm2.61d2 impbid 3impb 3com13 ndmord ) ABCFGHEIDJKCGLZBGLZA
      GLZABFMZCAHNZCBHNZFMZOZVJVKVLVQVJVKVLPZPZVMVPVJVMVPQVRABCDERSVSBATZVPVMQV
      SVPVTUAZVMVSVPVTVMUBZWAVMQVSVOVNTZVPUBZWBVPVSWBWDVSBAFMZVOVNFMZWBUAZWDUAZ
      VJWEWFQVRBACEDRSVRWEWGOZVJGFUCZVRWIUDGBAFUEUFUGVSVOGLZVNGLZPZWFWHOZVJVKVL
      WMVJVKPWKVJVLPWLCBUHCAUHUIUJWJWMWNUDGVOVNFUEUFUKULUMVPWCUNUOVTVMUPUQURVTV
      PVMVTVPVNVNFMVNFGCAHUSUDJUTVTVOVNVNFBACHVAVBVCVDVEVFVGVHVI $.
      $( [8-Apr-1996] $)
  $}

  ${
    addcanpr.1 $e |- B e. V $.
    addcanpr.2 $e |- C e. V $.
    $( Addition cancellation law for positive reals.  Proposition 9-3.5(vi)
       of [Gleason] p. 123. $)
    addcanpr $p |- ( ( A e. P. /\ B e. P. ) ->
                   ( ( A +P. B ) = ( A +P. C ) -> B = C ) ) $=
      ( cnp wcel wa cpp co wceq wi eleq1 dmplp 0npr ndmoprrcl syl6bi addclpr
      syl5com cltp wbr wo wn wb ltapr orbi12d negbid ad2antrr wor ltsopr
      sotrieq mpan ad2ant2l syl2an 3bitr4d biimprd ex syld pm2.43d ) AFGZBFGZHZ
      ABIJZACIJZKZBCKZVBVEUTCFGZHZVEVFLZVEVCFGZVHVBVEVJVDFGZVHVCVDFMACFIENOPQAB
      RZSVBVHVIVBVHHZVFVEVMBCTUAZCBTUAZUBZUCZVCVDTUAZVDVCTUAZUBZUCZVFVEUTVQWAUD
      VAVHUTVPVTUTVNVRVOVSBCADEUECBAEDUEUFUGUHVAVGVFVQUDZUTUTFTUIZVAVGHWBUJFBCT
      UKULUMVJVKVEWAUDZVBVHWCVJVKHWDUJFVCVDTUKULVLACRUNUOUPUQURUS $.
      $( [9-Apr-1996] $)
  $}

  ${
    $d x w v u $.  $d y w v u $.  $d z w v u $.
    $( Sublemma for Lemma 9-3.6 of [Gleason] p. 124.  This is a property of
       positive fractions. $)
    prlem936a $p |- ( ( x e. Q. /\ ( z e. Q. /\ y e. Q. ) ) ->
              ( ( y +Q z ) <Q ( x +Q z ) <->
              ( x +Q z ) <Q ( ( x .Q ( *Q ` y ) ) .Q ( y +Q z ) ) ) ) $=
      ( vw vv vu cv cnq wcel wa cplq co cltq wbr crq cfv cmq wb recclpq anim2i
      mulclpq visset ltmpq 3syl ltapq addcompq breq12i syl6bb adantr c1q
      recidpq opreq2d mulidpq sylan9eqr fvex mulasspq mulcompq opreq2i eqtr4
      syl5eq breq1d 3bitr3d oprex sylan9bbr wceq caopr31 a1i opreq12d distrpq
      adantrl breq2d bitr4d ) AGZHIZCGZHIZBGZHIZJZJZVQVOKLZVMVOKLZMNZWBVMVOVQOP
      ZQLZVMQLZKLZMNZWBVMWDQLZWAQLZMNVSWCVOWFMNZVNWHVSVQVMMNZWEVQQLZWFMNZWCWKVS
      VPWDHIZJWEHIWLWNRVRWOVPVQSTVOWDUAVQVMWEBUBZAUBZUCUDVPWLWCRVRVPWLVOVQKLZVO
      VMKLZMNWCVQVMVOWPWQUEWRWAWSWBMVOVQCUBZWPUFVOVMWTWQUFUGUHUIVSWMVOWFMVSVOVQ
      WDQLZQLZVOWMVRVPXBVOUJQLVOVRXAUJVOQVQUKZULVOUMUNWMVOWDVQQLZQLXBVOWDVQVQOU
      OZWPUPXAXDVOQVQWDWPXEUQURUSUTVAVBVOWFVMWTWEVMQVCUEVDVTWJWGWBMVNVRWJWGVEVP
      VNVRJZWIVQQLZWIVOQLZKLWGWJXFXGVMXHWFKVRVNXGVMUJQLZVMVRVMXDQLXIXGVRXDUJVMQ
      VRXAUJXDXCWDVQXEWPUQUTULVMWDVQXEWPUPUTVMUMUNXHWFVEXFDEFVMWDVOQWQXEWTDGZEG
      ZDUBEUBZUQXJXKFGXLFUBUPVFVGVHWIVQVOWPWTVIUTVJVKVL $.
      $( [25-Apr-1996] $)
  $}

  ${
    prlem936b.1 $e |- ( ( ( y .Q B ) e. A /\ ph ) -> ( y +Q z ) e. A ) $.
    prlem936b.2 $e |- ( ( ( A e. P. /\ ( y +Q z ) e. A ) /\
       ( x e. Q. /\ z e. Q. ) ) -> ( ps -> ch ) ) $.
    prlem936b.3 $e |- ( ( x e. Q. /\ ( z e. Q. /\ y e. Q. ) ) ->
       ( ch <-> th ) ) $.
    prlem936b.4 $e |- ( ( ( ( 1Q <Q B /\ x e. Q. ) /\ y e. Q. ) /\ ph ) ->
       ( th <-> ta ) ) $.
    prlem936b.5 $e |- ( ( A e. P. /\ ta ) ->
       ( ps -> -. ( x .Q B ) e. A ) ) $.
    $( Sublemma for Lemma 9-3.6 of [Gleason] p. 124. $)
    prlem936b $p |- ( ( ( A e. P. /\ z e. Q. ) /\ ( ( ph /\ y e. Q. ) /\
       ( 1Q <Q B /\ ( y .Q B ) e. A ) ) ) -> ( ( x e. A /\ ps ) ->
       ( x e. A /\ -. ( x .Q B ) e. A ) ) ) $=
      ( cnp wcel cv cnq wa c1q cltq wbr cmq co wn wi cplq ex sylan2 com12
      ad2ant2lr exp4d com24 imp41 wb adantll adantr adantlrl bitrd ad2antrr
      sylibd imp32 expcom imp3a adantld mpcom exp43 com3r exp4c elprpq sylan2i
      pm2.43a exp4a com23 imp43 exp3a com34 imp45 imdistand ) IPQZHRZSQZTZAGRZS
      QZTZUAJUBUCZWEJUDUEIQZTTTFRZIQZBWJJUDUEIQUFZWDWGWHWIWKBWLUGZUGZWDWGWHWIWN
      UGUGWDWGTZWHWKWIWMWOWHWKWIWMUGZWAWCAWFWHWKTZWPUGZWAAWCWFWRUGWAAWCWFWRWAWQ
      WCWFTZAWPWAWHWKWSAWPUGUGZWHWAWKWTUGWAWHWAWKWTWAWHWJSQZWTWAWKTWAWHXATZWSAW
      PXBWSTZATZWIWAWMXDWIWABWLEXDWITZWABTZTWLXEWABEXEWABEUGXEWATBCEXCAWIWABCUG
      ZXCWAWIAXGXCWAWIAXGXAWCWAWIATZTZXGUGWHWFXIXAWCTZXGWAWEWBUHUEIQZXJXGUGXHWA
      XKTXJXGLUIKUJUKULUMUNUOXDCEUPWIWAXDCDEXCCDUPZAXAWSXLWHMUQURXBWFADEUPWCNUS
      UTVAVBUIVCEXFWLXEEWABWLWAEWMOVDVEVFVGVHVIVJIWJVKVLUMVMVEUNVNVOVPVQVRUIVSV
      T $.
      $( [26-Apr-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z w v B $.
    prlem936.1 $e |- B e. V $.
    $( Lemma 9-3.6 of [Gleason] p. 124. $)
    prlem936 $p |- ( ( A e. P. /\ 1Q <Q B ) ->
                   E. x ( x e. A /\ -. ( x .Q B ) e. A ) ) $=
      ( vy vz vw vv cnp wcel c1q cltq wbr cv cmq co wn wa wex wi c0 wne prn0
      ne0 sylib cnq cplq wceq prlem934 crq cfv eleq1 biimparc prub addclpq
      sylan2 prlem936a opreq2 visset fvex mulcompq mulasspq caopr42 oprex
      3eqtr4 syl6eqr recidpq opreq2d ltrelpq brel pm3.27d anim1i mulclpq
      mulidpq 3syl sylan9eqr breq2d prcdpq ex com23 imp con3d prlem936b
      19.22dv mpid exp4d exp4b imp3a 19.23adv 1q elisseti ltmpq breq1d bitrd
      ltexpq2 biimpcd mpd syl6bi syl5 imp4a pm2.43d exp3a pm3.26 elprpq sylc
      opreq1 eleq1d negbid anbi12d cla4ev a1d adantl pm2.61d ) BIJZKCLMZANZBJZX
      PCOPZBJZQZRZASZXNENZBJZESZXOYBTZXNBUAUBYEBUCEBUDUEXNYDYFEXNYDYFXNYDRZYCCO
      PZBJZYFYGXOYIYBXNYCUFJZXOYIYBTZTZYGXNYJXOYKXNYJXORZYKXNYMYJXOYKXNFNZUFJZY
      CYNUGPZYHUHZRZFSZYJYLTZYMXNYRYTFXNYOYQYTXNYOYQYJYLXNYORZYQYJRZXOYIYBUUAUU
      BXOYIRRZXQXPYNUGPZBJZQZRZASZYBABYNUIUUAUUCUUHYBTUUAUUCRUUGYAAYQUUFYPUUDLM
      ZUUDXPYCUJUKZOPZYPOPZLMUUDXRLMZAEFBCYQYPBJZYIYPYHBULUMXNUUNRUUDUFJUUFUUIT
      XPUFJZYORBYPUUDUNXPYNUOUPAEFUQXOUUORZYJRZYQRUULXRUUDLYQUUQUULCXPOPZYCUUJO
      PZOPZXRYQUULUUKYHOPZUUTYPYHUUKOURUUSUUROPYHUUKOPUUTUVAFGHYCUUJCXPOEUSZYCU
      JUTDYNGNZFUSGUSZVAYNUVCHNUVDHUSVBAUSZVCUURUUSCXPOVDYCUUJOVDVAUUKYHXPUUJOV
      DYCCOVDZVAVEVFYJUUPUUTUURKOPZXRYJUUSKUUROYCVGVHUUPCUFJZUUORUURUFJZUVGXRUH
      XOUVHUUOXOKUFJUVHKCUFUFLDVIVJVKVLCXPVMUVIUVGUURXRUURVNXPCUVEDVAVFVOVPVPVQ
      XNUUMRXSUUEXNUUMXSUUETXNXSUUMUUEXNXSUUMUUETBXRUUDVRVSVTWAWBWCWDVSWEWFWGWH
      WIYJXOYSYJXOYCYHLMZYSYJXOYCKOPZYHLMUVJKCYCKUFWJWKDWLYJUVKYCYHLYCVNWMWNUVJ
      YJYHUFJRZYSYCYHUFUFLUVFVIVJUVLUVJYSFYCYHUVBWOWPWQWRWAWSWTXAXBXNYDXCBYCXDX
      EVTYDYIQZYFTXNYDUVMYFYDUVMRZYBXOYAUVNAYCUVBXPYCUHZXQYDXTUVMXPYCBULUVOXSYI
      UVOXRYHBXPYCCOXFXGXHXIXJXKVSXLXMVSWIWQWA $.
      $( [26-Apr-1996] $)
  $}

  ${
    $d x y z w v u f g A $.  $d x z w v u f g B $.
    reclempr.1 $e |- B = { x | E. y ( x <Q y /\ -. ( *Q ` y ) e. A ) } $.
    $( Lemma for Proposition 9-3.7 of [Gleason] p. 124. $)
    reclem1pr $p |- ( A e. P. -> (/) (. B ) $=
      ( cnp wcel cv wex c0 wpss cltq wbr crq cfv wn wa cnq prpssnq pssnel
      recclpq dmrecpq 0npq ndmfvrcl impbi anbi1i visset recrecpq eleq1d negbid
      pm5.32i bitr3 fvex wceq eleq1 fveq2 anbi12d cla4ev sylbir 19.23aiv 3syl
      nsmallpq anim1i 19.41v sylibr 19.22i syl excom abeq2i exbii wne 0pss ne0
      bitr ) CFGZAHZDGZAIZJDKZVOVPBHZLMZVTNOZCGZPZQZBIZAIZVRVOWEAIZBIZWGVOVTRGZ
      WDQZBIZWIVOCRKVPRGZVPCGZPZQZAIWLCSACRTWPWLAWPVPNOZRGZWQNOZCGZPZQZWLXBWMXA
      QWPWMWRXAWMWRVPUAVPRNUBUCUDUEUFWMXAWOWMWTWNWMWSVPCVPAUGUHUIUJUKULWKXBBWQV
      PNUMVTWQUNZWJWRWDXAVTWQRUOXCWCWTXCWBWSCVTWQNUPUIUJUQURUSUTVAWKWHBWKWAAIZW
      DQWHWJXDWDAVTVBVCWAWDAVDVEVFVGWEABVHVEVQWFAWFADEVIVJVEVSDJVKVRDVLADVMVNVE
      $.
      $( [26-Apr-1996] $)

    $( Lemma for Proposition 9-3.7 of [Gleason] p. 124. $)
    reclem2pr $p |- ( A e. P. -> B e. P. ) $=
      ( vz cnp wcel c0 wpss cnq wa cv cltq wbr wi wal wrex wral reclem1pr wss
      wn wne prn0 wex crq cfv wb elprpq visset recrecpq eleq1d anbi2d syl fvex
      wceq fveq2 cla4ev syl6bir pm2.43i dmrecpq 0npq ndmfvrcl prcdpq ltrpq
      syl5 19.21aiv abeq2i exanali bitr con2bii sylib jca 19.22i ex 19.23adv
      ne0 nss 3imtr4g mpd ltrelpq brel pm3.26d adantr 19.23aiv sylbi ssriv
      jctil dfpss3 sylibr ltsopq sotri anim1d 19.22dv breq1 anbi1d exbidv
      elab2 com12 ltbtwnpq anim1i 19.41v anass ancom exbii anbi1i 3bitr4 excom
      bitr3 3imtr4 df-rex rgen jctir elnp ) CGHZIDJZDKJZLZFMZAMZNOZXSDHZPZFQZXT
      XSNOZFDRZLZADSZLDGHXOXRYHXOXPXQABCDETXODKUAZKDUAUBZLXQXOYJYIXOCIUCZYJCUDX
      OXSCHZFUEXTKHZXTDHZUBZLZAUEZYKYJXOYLYQFXOYLYQXOYLLZXOXTUFUGZCHZLZAUEZYQYR
      UUBYRYRXOXSUFUGZUFUGZCHZLZUUBYRXSKHZUUFYRUHCXSUIUUGUUEYLXOUUGUUDXSCXSFUJZ
      UKULUMUNUUAUUFAUUCXSUFUOXTUUCUPZYTUUEXOUUIYSUUDCXTUUCUFUQULUMURUSUTUUAYPA
      UUAYMYOUUAYSKHYMCYSUIXTKUFVAVBVCUNUUAXTBMZNOZUUJUFUGZCHZPZBQZYOUUAUUNBUUA
      UULYSNOUUMUUKCYSUULVDXTUUJAUJZBUJZVEVFVGYNUUOYNUUKUUMUBZLZBUEZUUOUBUUTADE
      VHZUUKUUMBVIVJVKVLVMVNUNVOVPFCVQAKDVRVSVTADKYNUUTYMUVAUUSYMBUUKYMUURUUKYM
      UUJKHXTUUJKKNUUQWAWBWCWDWEWFWGWHDKWIWJVMYGADYNYDYFYNYCFYAYNYBYAUUTXSUUJNO
      ZUURLZBUEZYNYBYAUUSUVCBYAUUKUVBUURYAUUKUVBXSXTUUJNKUUHWKWAUUPUUQWLVOWMWNU
      VAUUTUVDAXSDUUHXTXSUPZUUSUVCBUVEUUKUVBUURXTXSUUJNWOWPWQEWRZVSWSVGYNYBYELZ
      FUEZYFUUTYEUVBLZUURLZFUEZBUEZYNUVHUUSUVKBUUSUVIFUEZUURLUVKUUKUVMUURFXTUUJ
      UUPUUQWTXAUVIUURFXBWJVNUVAUVHUVJBUEZFUEUVLUVNUVGFUVCYELZBUEUVDYELUVNUVGUV
      CYEBXBUVJUVOBUVJYEUVCLUVOYEUVBUURXCYEUVCXDVJXEYBUVDYEUVFXFXGXEUVJFBXHXIXJ
      YEFDXKWJVMXLXMAFDXNWJ $.
      $( [30-Apr-1996] $)

    $( Lemma for Proposition 9-3.7(v) of [Gleason] p. 124. $)
    reclem3pr $p |- ( A e. P. -> 1P (_ ( A .P. B ) ) $=
      ( vw vz vv vu vf vg cnp wcel c1p cmp co cv c1q cltq wbr wa cmq wceq wex
      cnq crq cfv wi wn fvex prlem936 oprex isseti visset ltmpq mulcompq
      caoprord2 ltrpq syl5bi adantl recidpq syl5eqr opreqan12d mulasspq caopr4
      1q mulidpq ax-mp 3eqtr3g wb mulclpq recclpq sylan recmulpq syl mpbird
      eleq1d negbid biimprd anim12d breq1 anbi1d biimprcd syl6 breq2 fveq2
      anbi12d cla4ev abeq2i sylibr syl8 ltrelpq brel pm3.26d exp4b pm2.43a
      imp42 anim2i opreq2 opreq1d elisseti sylan9eq pm3.27d pm3.26 syl2an
      sylan9eqr eqcomd jca exp44 imp31 19.22dv mpi expcom prnmax syl5 com14
      imp4b 19.23aiv 3eqtr3 syl5eqbrr sylan2 sylan2i pm2.43i ex reclem2pr
      df-mp genpelv mpdan sylibrd df-1p syl5ib ssrdv ) CLMZFNCDOPZYMFQZRSTZYOYN
      MZYONMYMYPGQZCMZAQZDMZUAZYOYRYTUBPZUCZUAZAUDZGUDZYQYMYPUUGYMYPUAZUUGUUHYM
      YOUEMZUUGYPYMRYOUFUGZSTZYMUUIUAUUGUHZYPYMUUKUAHQZCMZUUMUUJUBPZCMZUIZUAZHU
      DUULHCUUJYOUFUJZUKUURUULHUUNUUQYMUUIUUGUUIUUQYMUUNUUGUUIUUQYMUUNUUGUUIUUQ
      UAZYSUUMYRSTZUAZGUDUUGYMUUNUAUUTUVBUUFGUVBUUTUUFUVBUUTUAZYTYRUFUGZYOUBPZU
      CZAUDUUFAUVEUVDYOUBULUMUVCUVFUUEAYSUVAUUTUVFUUEUHYSUVAUUTUVFUUEYSUVAUUTUA
      ZUVFUAZUAUUBUUDUVHUUAYSUVAUUIUUQUVFUUAUUIUVAUUQUVFUUAUHZUHUVAUUIUVAUUQUVI
      UUMUEMZUUIUVAUUQUAZUVIUHUVAUVJUUIUAZUVKUVFYTUUMUFUGZYOUBPZSTZUVNUFUGZCMZU
      IZUAZUUAUVLUVKUVEUVNSTZUVRUAZUVFUVSUHUVLUVAUVTUUQUVRUUIUVAUVTUHUVJUUIUVDU
      VMSTUVTUVAABIUVDUVMYOSUEUBYRUFUJZUUMUFUJZYTBQZIQZAUNZBUNZUOFUNZYTUWDUWFUW
      GUPZUQUUMYRHUNZGUNZURUSUTUVLUVRUUQUVLUVQUUPUVLUVPUUOCUVLUVPUUOUCZUVNUUOUB
      PZRUCZUVLUVMUUMUBPZYOUUJUBPZUBPRRUBPZUWMRUVJUUIUWORUWPRUBUVJUUMUVMUBPRUWO
      UUMVAUUMUVMUWJUWCUPVBYOVAVCABIUVMUUMYOUUJUBUWCUWJUWHUWIYTUWDUWEUWGIUNVDUU
      SVERUEMZUWQRUCVFRVGVHVIUVLUVNUEMZUWLUWNVJUVMUEMUUIUWSUVJUVMYOVKUUMVLVMUVN
      UUOUUMUUJUBULVNVOVPVQVRVSVTUVFUVSUWAUVFUVOUVTUVRYTUVEUVNSWAWBWCWDUVSYTUWD
      STZUWDUFUGZCMZUIZUAZBUDZUUAUXDUVSBUVNUVMYOUBULUWDUVNUCZUWTUVOUXCUVRUWDUVN
      YTSWEUXFUXBUVQUXFUXAUVPCUWDUVNUFWFVQVRWGWHUXEADEWIWJWKUVAUVJYRUEMZUUMYRUE
      UESUWKWLWMZWNVMWOWPWQWRUVHUUDYSUVHUUCYOUVFUVGUUCYRUVEUBPZYOYTUVEYRUBWSUXG
      UUIUXIYOUCUVAUUTUXGUUIUXIRYOUBPZYOUXGYRUVDUBPZYOUBPUXJUXIUXGUXKRYOUBYRVAW
      TYRUVDYOUWBUWHVDVBUUIYORUBPYOUXJYOVGYORUWHRUEVFXAZUPVBXBUVAUVJUXGUXHXCUUI
      UUQXDXEXFXGUTXHXIXJXKXLXMXKGCUUMXNXOWOXPXQXRVOYPRUFUGZUUJRSYORUWHUXLURUXM
      RUBPZRUXMUBPZUXMRUXMRRUFUJUXLUPUXMUEMZUXNUXMUCUWRUXPVFRVLVHUXMVGVHUWRUXOR
      UCVFRVAVHXSXTYAYPUUIUWRYORUEUESUXLWLWMWNYBYCYDYMDLMYQUUGVJABCDEYEIJKBFHCD
      YOGAOUBBFHIJKYFUWHYGYHYIYPFNFYJWIYKYL $.
      $( [30-Apr-1996] $)

    $( Lemma for Proposition 9-3.7(v) of [Gleason] p. 124. $)
    reclem4pr $p |- ( A e. P. -> ( A .P. B ) = 1P ) $=
      ( vw vz vu vf vg vv cnp wcel cmp co c1p cv c1q cltq wbr wa cmq wceq wex
      wb reclem2pr df-mp visset genpelv mpdan wi crq cfv wn cnq elprpq ltmpq
      syl biimpd adantr prub recclpq sylan2 fvex mulcompq a1i recidpq breq12d
      bitrd adantl sylibd anim12d oprex ltsopq ltrelpq 1q elisseti sotri syl6
      exp4b brel pm3.27d syl5 pm2.43d imp3a 19.23adv abeq2i syl5ib breq1
      biimprcd ex imp4c 19.23advv sylbid df-1p syl6ibr ssrdv reclem3pr eqssd )
      CLMZCDNOZPWTFXAPWTFQZXAMZXBRSTZXBPMWTXCGQZCMZAQZDMZUAXBXEXGUBOZUCZUAZAUDG
      UDZXDWTDLMXCXLUEABCDEUFHIJBFKCDXBGANUBBFKHIJUGFUHUIUJWTXKXDGAWTXFXHXJXDWT
      XFXHXJXDUKZUKWTXFUAZXHXIRSTZXMXNXGBQZSTZXPULUMZCMUNZUAZBUDZXOXHXNXTXOBXNX
      QXSXOXNXQXSXOUKZXNXPUOMZXQYBUKXQXNYCXQXSXOXNYCUAZXTXIXEXPUBOZSTZYERSTZUAX
      OYDXQYFXSYGXNXQYFUKYCXNXQYFXNXEUOMXQYFUECXEUPXGXPXEAUHBUHZUQURUSUTYDXSXEX
      RSTZYGXNXRUOMXSYIUKYCCXEXRVAXPVBVCYCYIYGUEXNYCYIXPXEUBOZXPXRUBOZSTYGXEXRX
      PGUHZXPULVDUQYCYJYEYKRSYJYEUCYCXPXEYHYLVEVFXPVGVHVIVJVKVLXIYERSUOXEXGUBVM
      VNVOXEXPUBVMRUOVPVQVRVSVTXQXGUOMYCXGXPUOUOSYHVOWAWBWCWDWEWFYAADEWGWHXJXDX
      OXBXIRSWIWJVSWKWLWMWNXDFPFWOWGWPWQABCDEWRWS $.
      $( [30-Apr-1996] $)

  $}

  ${
    $d x y z w A $.
    $( The reciprocal of a positive real exists.  Part of Proposition
       9-3.7(v) of [Gleason] p. 124. $)
    recexpr $p |- ( A e. P. -> E. x ( x e. P. /\ ( A .P. x ) = 1P ) ) $=
      ( vz vy vw cnp wcel cv cmp co c1p wceq wex wa cltq wbr crq cfv wn cab
      opreq2 eqeq1d cla4egv breq1 anbi1d exbidv cbvabv reclem2pr reclem4pr
      sylc 1pr eleq1 mpbiri visset dmmp 0npr ndmoprrcl syl pm3.27d ancri
      19.22i ) BFGZBAHZIJZKLZAMZVCFGZVENZAMCHZDHZOPZVJQRBGSZNZDMZCTZFGBVOIJZKLZ
      VFVBVEVQAVOFVCVOLVDVPKVCVOBIUAUBUCEDBVOVNEHZVJOPZVLNZDMCEVIVRLZVMVTDWAVKV
      SVLVIVRVJOUDUEUFUGZUHEDBVOWBUIUJVEVHAVEVGVEVBVGVEVDFGZVBVGNVEWCKFGUKVDKFU
      LUMBVCFIAUNUOUPUQURUSUTVAUR $.
      $( [15-May-1996] $)
  $}

  ${
    $d x y z A $.
    $( The union of a non-empty, bounded set of positive reals is a positive
       real.  Part of Proposition 9-3.3 of [Gleason] p. 122. $)
    suplem1pr $p |- ( ( ( A (_ P. /\ -. A = (/) ) /\ E. x ( x e. P. /\
       A. y ( y e. P. -> ( y e. A -> y <P x ) ) ) ) -> U. A e. P. ) $=
      ( vz cnp wss c0 wceq wn cv wcel cltp wbr wi wal wa wex cuni wpss cnq
      cltq wrex wral ssel wne prn0 ne0 sylib syl6 ancrd 19.41v syl6ibr 19.22dv
      n0 0pss bitr eluni exbii excom 3bitr 3imtr4g prpssnq a1i imim1d pm2.43
      visset ltrelpr brel ltprord pssss syl6bi mpcom 19.20dv unissb df-ral
      anim12d sspsstr ancoms 19.23adv prcdpq ex com24 imp31 elunii imp3a
      syl5ib com23 19.21adv prnmax imp anim1i an1rs 19.22i sylbir df-rex jcad
      r19.21aiv jctird elnp exp3a ) CEFZCGHIZAJZEKZBJZEKZXECKZXEXCLMZNZNZBOZPZA
      QZCRZEKZXAXBXMXOXAXBXMPZGXNSZXNTSZPZXEXCUAMZXEXNKZNZBOZXCXEUAMZBXNUBZPZAX
      NUCZPXOXAXPXSYGXAXBXQXMXRXADJZCKZDQXCYHKZYIPZAQZDQZXBXQXAYIYLDXAYIYJAQZYI
      PYLXAYIYNXAYIYHEKZYNCEYHUDZYOYHGUEYNYHUFAYHUGUHUIUJYJYIAUKULUMDCUNXQXCXNK
      ZAQZYKDQZAQYMXQXNGUEYRXNUOAXNUGUPYQYSADXCCUQZURYKADUSUTVAXAXLXRAXAXLXCTSZ
      XNXCFZPXRXAXDUUAXKUUBXDUUANXAXCVBVCXAXKXGXEXCFZNZBOZUUBXAXJUUDBXAXJXGXINZ
      UUDXAXGXFXICEXEUDVDUUFXGXHUUCXGXHVEXFXDPZXHUUCXEXCEELAVFVGVHUUGXHXEXCSUUC
      XEXCVIXEXCVJVKVLUIUIVMUUBUUCBCUCUUEBCXCVNUUCBCVOUPULVPUUBUUAXRXNXCTVQVRUI
      VSVPXAYFAXNXAYQYCYEXAYQYBBXAXTYQYAXAXTYQYANXAXTPZYSYAYQUUHYKYADUUHYJYIYAU
      UHYJYIYANUUHYJPZYIXEYHKZYIPZYAUUIYIUUJXAXTYJYIUUJNXAYIYJXTUUJXAYIYOYJXTUU
      JNZNYPYOYJUULYHXCXEVTWAUIWBWCUJXEYHCWDZUIWAWEVSYTWFWAWGWHXAYSYAYDPZBQZYQY
      EXAYKUUODXAYJYIUUOXAYJYIUUONXAYJPZYIUUJYDPZBQZYIPZUUOUUPYIUURXAYJYIUURNXA
      YIYJUURXAYIYOYJUURNYPYOYJUURBYHXCWIWAUIWGWJUJUUSUUQYIPZBQUUOUUQYIBUKUUTUU
      NBUUJYIYDUUNUUKYAYDUUMWKWLWMWNUIWAWEVSYTYDBXNWOVAWPWQWRABXNWSULWTWC $.
      $( [19-May-1996] $)

    $( The union of a set of positive reals (if a positive real) is its
       supremum (least upper bound).  Part of Proposition 9-3.3 of [Gleason]
       p. 122. $)
    suplem2pr $p |- ( A (_ P. -> ( ( y e. A -> -. U. A <P y ) /\
           ( y <P U. A -> E. z ( z e. P. /\ ( z e. A /\ y <P z ) ) ) ) ) $=
      ( cnp wss cv cuni cltp wbr wcel wa wex wi wn cvv npex ssex uniexg
      ltrelpr brelg pm3.26 syl6 3syl wal wb wceq wo wor ltsopr sotric mpan
      con2bid ancoms wpss ltprord orbi2d sspss eqcom orbi2i orcom 3bitr
      syl6bbr bitr3d ssel2 sylan an1rs pm5.74da albidv alinexa wral unissb
      df-ral bitr2 3bitr3g ssnpss visset biimpd syli syl mtod syl6bi a3d ex
      syld pm2.43d brel pm3.27d adantl ancri 19.22i elssuni mpcom nsyl jctil )
      CDEZAFZCGZHIZBFZDJZWSCJZWPWSHIZKZKZBLZMWPCJZWQWPHIZNMWOWRXCBLZXEWOWRXHWOW
      RWPDJZWRXHMZWOCOJWQOJZWRXIMCDPQCORXKWRXIWQDJZKZXIWPWQDDHOSTZXIXLUAUBUCWOX
      IXJWOXIKZXHWRXOXHNZWQWPEZWRNXOXAXBNZMZBUDXAWSWPEZMZBUDZXPXQXOXSYABXOXAXRX
      TWOXAXIXRXTUEZWTXIYCWOXAKWTXIKZWPWSUFZWSWPHIZUGZXRXTXIWTYGXRUEXIWTKZXBYGD
      HUHYHXBYGNUEUIDWPWSHUJUKULUMYDYGYEWSWPUNZUGZXTYDYFYIYEWSWPUOUPXTYIWSWPUFZ
      UGYIYEUGYJWSWPUQYKYEYIWSWPURUSYIYEUTVAVBVCCDWSVDVEVFVGVHXAXBBVIXQXTBCVJYB
      BCWPVKXTBCVLVMVNXQWRWPWQUNZWQWPVOXQXKWRYLMWQWPAVPZQWRXKXMYLXNXMWRYLWPWQUO
      VQVRVSVTWAWBWCWDWEXCXDBXCWTXBWTXAXBXIWTWPWSDDHBVPSWFWGWHWIWJUBXFWQWPUNZXG
      XFWPWQEYNNWPCWKWPWQVOVSXLXIKZXGYNWQWPDDHYMSWFYOXGYNWQWPUOVQWLWMWN $.
      $( [19-May-1996] $)

    $( The union of a non-empty, bounded set of positive reals has a supremum.
       Part of Proposition 9-3.3 of [Gleason] p. 122. $)
    supexpr $p |- ( ( ( A (_ P. /\ -. A = (/) ) /\ E. x ( x e. P. /\
                     A. y ( y e. P. -> ( y e. A -> y <P x ) ) ) ) ->
       E. x ( x e. P. /\ A. y ( y e. P. -> ( ( y e. A -> -. x <P y ) /\
           ( y <P x -> E. z ( z e. P. /\ ( z e. A /\ y <P z ) ) ) ) ) ) ) $=
      ( cuni cnp wcel cv cltp wbr wn wi wa wex wal wss c0 wceq eleq1 breq1
      negbid imbi2d breq2 imbi1d anbi12d albidv cla4egv suplem1pr suplem2pr
      a1d 19.21aiv ad2antrr jca sylc ) DEZFGZUPBHZFGZUQDGZUOUQIJZKZLZUQUOIJZCHZ
      FGVDDGUQVDIJMMCNZLZMZLZBOZMZAHZFGZURUSVKUQIJZKZLZUQVKIJZVELZMZLZBOZMZANDF
      PZDQRKZMVLURUSVPLLBOMANZMZWAVJAUOFVKUORZVLUPVTVIVKUOFSWFVSVHBWFVRVGURWFVO
      VBVQVFWFVNVAUSWFVMUTVKUOUQITUAUBWFVPVCVEVKUOUQIUCUDUEUBUFUEUGABDUHZWEUPVI
      WGWBVIWCWDWBVHBWBVGURBCDUIUJUKULUMUN $.
      $( [19-May-1996] $)
  $}

  ${
    $d x y z w v u f $.

    $( Define pre-addition on signed reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-4.1
       of [Gleason] p. 126. $)
    df-plpr $a |- +pR = { <. <. x , y >. , z >. | ( ( x e. ( P. X. P. ) /\
         y e. ( P. X. P. ) ) /\ E. w E. v E. u E. f ( ( x = <. w , v >. /\
         y = <. u , f >. ) /\ z = <. ( w +P. u ) , ( v +P. f ) >. ) ) } $.

    $( Define pre-multiplication on signed reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-4.1
       of [Gleason] p. 126. $)
    df-mpr $a |- .pR = { <. <. x , y >. , z >. | ( ( x e. ( P. X. P. ) /\
         y e. ( P. X. P. ) ) /\ E. w E. v E. u E. f ( ( x = <. w , v >. /\
         y = <. u , f >. ) /\ z = <. ( ( w .P. u ) +P. ( v .P. f ) ) ,
           ( ( w .P. f ) +P. ( v .P. u ) ) >. ) ) } $.

    $( Define equivalence relation for signed reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition
       9-4.1 of [Gleason] p. 126. $)
    df-enr $a |- ~R = { <. x , y >. | ( ( x e. ( P. X. P. ) /\
                   y e. ( P. X. P. ) ) /\ E. z E. w E. v E. u
                   ( ( x = <. z , w >. /\ y = <. v , u >. ) /\
                   ( z +P. u ) = ( w +P. v ) ) ) } $.

    $( Define class of signed reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-4.2 of
       [Gleason] p. 126. $)
    df-nr $a |- R. = ( ( P. X. P. ) /. ~R ) $.

    $( Define addition on signed reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-4.3
       of [Gleason] p. 126. $)
    df-plr $a |- +R = { <. <. x , y >. , z >. | ( ( x e. R. /\ y e. R. ) /\
      E. w E. v E. u E. f (
         ( x = [ <. w , v >. ] ~R /\ y = [ <. u , f >. ] ~R ) /\
               z = [ ( <. w , v >. +pR <. u , f >. ) ] ~R ) ) } $.

    $( Define multiplication on signed reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-4.3
       of [Gleason] p. 126. $)
    df-mr $a |- .R = { <. <. x , y >. , z >. | ( ( x e. R. /\ y e. R. ) /\
      E. w E. v E. u E. f (
         ( x = [ <. w , v >. ] ~R /\ y = [ <. u , f >. ] ~R ) /\
               z = [ ( <. w , v >. .pR <. u , f >. ) ] ~R ) ) } $.

    $( Define ordering relation on signed reals.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-4.4 of
       [Gleason] p. 127. $)
    df-ltr $a |- <R = { <. x , y >. | ( ( x e. R. /\ y e. R. ) /\
       E. z E. w E. v E. u
       ( ( x = [ <. z , w >. ] ~R /\ y = [ <. v , u >. ] ~R ) /\
                ( z +P. u ) <P ( w +P. v ) ) ) } $.

    $( Define signed real constant 0.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-4.2 of
       [Gleason] p. 126. $)
    df-0r $a |- 0R = [ <. 1P , 1P >. ] ~R $.

    $( Define signed real constant 1.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction.  From Proposition 9-4.2 of
       [Gleason] p. 126. $)
    df-1r $a |- 1R = [ <. ( 1P +P. 1P ) , 1P >. ] ~R $.

    $( Define signed real constant -1.  This is a "temporary"
       set used in the construction of complex numbers ~ df-c , and is intended
       to be used only by the construction. $)
    df-m1r $a |- -1R = [ <. 1P , ( 1P +P. 1P ) >. ] ~R $.

  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u D $.
    $( Equivalence relation for signed reals in terms of positive reals. $)
    enrbreq $p |- ( ( ( A e. P. /\ B e. P. ) /\
                     ( C e. P. /\ D e. P. ) ) ->
          ( <. A , B >. ~R <. C , D >. <-> ( A +P. D ) = ( B +P. C ) ) ) $=
      ( vx vy vz vw vv vu cer cnp cpp df-enr ecopopreq ) EFGHIJABCDKLMEFGHIJNO
      $.
      $( [3-Sep-1995] $)
  $}

  ${
    $d x y z w v u $.
    $( Domain of equivalence relation for signed reals. $)
    dmenr $p |- dom ~R = ( P. X. P. ) $=
      ( vx vy vz vw vv vu cer cnp cpp df-enr cv visset addcompr ecopoprdm ) ABC
      DEFGHIABCDEFJAKBKALBLMN $.
      $( [3-Sep-1995] $)
  $}


  ${
    $d x y z w v u $.
    $( The equivalence relation for signed reals is an equivalence
       relation.  Proposition 9-4.1 of [Gleason] p. 126. $)
    enrer $p |- Er ~R $=
      ( vx vy vz vw vv vu cer cnp cpp df-enr cv visset addcompr addclpr
      addasspr addcanpr ecopoprer ) ABCDEFGHIABCDEFJAKZBKZALBLZMRSNRSCKZTCLZORS
      UATUBPQ $.
      $( [3-Sep-1995] $)
  $}

  $( Equivalence class equality of positive fractions in terms of positive
     integers. $)
  enreceq $p |- ( ( ( A e. P. /\ B e. P. ) /\ ( C e. P. /\ D e. P. ) ) ->
                ( [ <. A , B >. ] ~R = [ <. C , D >. ] ~R <->
                ( A +P. D ) = ( B +P. C ) ) ) $=
    ( cnp wcel wa cop cer cec wceq wbr cpp co cdm wb pm3.26 cxp opelxpi dmenr
    syl6eleqr opex enrer erthdm 3syl enrbreq bitrd ) AEFBEFGZCEFDEFGZGZABHZIJCD
    HZIJKZUKULILZADMNBCMNKUJUHUKIOZFUMUNPUHUIQUHUKEERUOABEESTUAUKULICDUBUCUDUEA
    BCDUFUG $.
    $( [29-Nov-1995] $)

  ${
    $d x y z w v u $.
    $( The equivalence relation for signed reals exists. $)
    enrex $p |- ~R e. V $=
      ( vx vy vz vw vv vu cer cnp cxp npex xpex cv wcel wa cop wceq cpp co wex
      copab df-enr opabssxp eqsstr ssexi ) GHHIZUEIZUEUEHHJJKZUGKGALZUEMBLZUEMN
      UHCLZDLZOPUIELZFLZOPNUJUMQRUKULQRPNFSESDSCSZNABTUFABCDEFUAUNABUEUEUBUCUD
      $.
      $( [25-Jul-1995] $)
  $}

  $( The class of signed reals is a set. $)
  srex $p |- R. e. V $=
    ( cnr cnp cxp cer cqs cvv df-nr npex xpex qsex eqeltr ) ABBCZDEFGLDBBHHIJK
    $.
    $( [13-Aug-1995] $)

  ${
    $d x y z w v u $.
    $( Signed real 'less than' is a relation on signed reals. $)
    ltrelsr $p |- <R (_ ( R. X. R. ) $=
      ( vx vy vz vw vv vu cltr cv cnr wcel wa cop cer cec wceq cpp co cltp wbr
      wex copab cxp df-ltr opabssxp eqsstr ) GAHZIJBHZIJKUFCHZDHZLMNOUGEHZFHZLM
      NOKUHUKPQUIUJPQRSKFTETDTCTZKABUAIIUBABCDEFUCULABIIUDUE $.
      $( [14-Feb-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z D $.  $d x y z F $.
    $d x y z G $.  $d x y z R $.  $d x y z S $.

    $( (We do not bother to eliminate these redundant hypotheses.) $)
    cmpblnr.1 $e |- A e. V $.
    cmpblnr.2 $e |- B e. V $.
    cmpblnr.3 $e |- C e. V $.
    cmpblnr.4 $e |- D e. V $.
    cmpblnr.5 $e |- F e. V $.
    cmpblnr.6 $e |- G e. V $.
    cmpblnr.7 $e |- R e. V $.
    cmpblnr.8 $e |- S e. V $.

    $( Lemma showing compatibility of addition. $)
    addcmpblnr $p |- ( ( ( ( A e. P. /\ B e. P. ) /\ ( C e. P. /\ D e. P. ) )
               /\ ( ( F e. P. /\ G e. P. ) /\ ( R e. P. /\ S e. P. ) ) ) ->
                ( ( ( A +P. D ) = ( B +P. C ) /\ ( F +P. S ) = ( G +P. R ) ) ->
     <. ( A +P. F ) , ( B +P. G ) >. ~R <. ( C +P. R ) , ( D +P. S ) >. ) ) $=
      ( vx vy vz cnp wcel wa cpp co cop cer wbr wceq wb addclpr anim12i an4s
      enrbreq syl cv visset addcompr addasspr caopr4 eqeq12i syl6bb opreq12
      syl5bir ) ATUAZBTUAZUBZCTUAZDTUAZUBZUBGTUAZHTUAZUBZETUAZFTUAZUBZUBUBZAGUC
      UDZBHUCUDZUECEUCUDZDFUCUDZUEUFUGZADUCUDZGFUCUDZUCUDZBCUCUDZHEUCUDZUCUDZUH
      ZWBWEUHWCWFUHUBVPWAVQVTUCUDZVRVSUCUDZUHZWHVPVQTUAZVRTUAZUBZVSTUAZVTTUAZUB
      ZUBZWAWKUIVFVLVIVOWRVFVLUBWNVIVOUBWQVDVJVEVKWNVDVJUBWLVEVKUBWMAGUJBHUJUKU
      LVGVMVHVNWQVGVMUBWOVHVNUBWPCEUJDFUJUKULUKULVQVRVSVTUMUNWIWDWJWGQRSAGDFUCI
      MLQUOZRUOZQUPRUPZUQZWSWTSUOXASUPURZPUSQRSBHCEUCJNKXBXCOUSUTVAWBWEWCWFUCVB
      VC $.
      $( [3-Sep-1995] $)

    $( Lemma used in lemma showing compatibility of multiplication. $)
    mulcmpblnrlem $p |- ( ( ( A +P. D ) = ( B +P. C ) /\
                            ( F +P. S ) = ( G +P. R ) ) ->
                    ( ( D .P. F ) +P. ( ( ( A .P. F ) +P. ( B .P. G ) ) +P.
                            ( ( C .P. S ) +P. ( D .P. R ) ) ) ) =
                    ( ( D .P. F ) +P. ( ( ( A .P. G ) +P. ( B .P. F ) ) +P.
                            ( ( C .P. R ) +P. ( D .P. S ) ) ) ) ) $=
      ( vx vy vz cpp co wceq wa cmp opreq1 cv visset mulcompr distrpr
      caoprdistrr 3eqtr3g opreq1d opreq2 opreq2d oprex addasspr syl5eq
      sylan9eq addcompr caopr32 caopr12 syl6eqr sylan9eqr syl6eq eqtr4d
      caopr13 caopr4 opreq2i caopr42 ) ADTUAZBCTUAZUBZGFTUAZHETUAZUBZUCZDGUDUAZ
      AGUDUAZCFUDUAZTUAZBHUDUAZDEUDUAZTUAZTUAZTUAZVQAHUDUAZDFUDUAZTUAZBGUDUAZCE
      UDUAZTUAZTUAZTUAZVQVRWATUAVSWBTUATUAZTUAVQWFWITUAWJWGTUATUAZTUAVPWCVTVQTU
      AZTUAZVQWHTUAZWKTUAZWEWMVPWQWCCHUDUAZWKTUAZTUAZWSVPWPXAWCTVPVRVQTUAZVSTUA
      ZWIWTWJTUAZTUAZWPXAVLVOXDWICGUDUAZTUAZVSTUAZXFVLXCXHVSTVLVJGUDUAVKGUDUAXC
      XHVJVKGUDUEQRSADGTUDILMQUFZRUFZQUGZRUGZUHZXJXKSUFZXMSUGZUIZUJQRSBCGTUDJKM
      XNXQUJUKULVOWIXGVSTUAZTUAXFXIVOXRXEWITVOCVMUDUACVNUDUAXRXEVMVNCUDUMCGFMPU
      ICHENOUIUKUNWIXGVSCGUDUOCFUDUOZUPUQURQRSVRVQVSTAGUDUOZDGUDUOZXSXJXKXLXMUS
      ZXJXKXOXMXPUPZUTQRSWIWTWJTBGUDUOZCHUDUOZCEUDUOZYBYCVAUKUNVPWSWCWTTUAZWKTU
      AXBVPWRYGWKTVPWFVQWGTUAZTUAZWAWTTUAZWBTUAZWRYGVOVLYIWFDHUDUAZTUAZWBTUAZYK
      VOYIWFYLWBTUAZTUAYNVOYHYOWFTVODVMUDUADVNUDUAYHYOVMVNDUDUMDGFMPUIDHENOUIUK
      UNWFYLWBDHUDUODEUDUOZUPVBVLYMYJWBTVLVJHUDUAVKHUDUAYMYJVJVKHUDUEQRSADHTUDI
      LNXNXQUJQRSBCHTUDJKNXNXQUJUKULVCQRSWFVQWGTAHUDUOZYADFUDUOZYBYCVAQRSWAWTWB
      TBHUDUOZYEYPYBYCUTUKULWCWTWKYEWIWJTUOZUPVDVEQRSWCVTVQTWAWBTUOVRVSTUOYAYBY
      CVFVQWHWKWFWGTUOYTUPUKWDWNVQTQRSVRVSWAWBTXTXSYSYBYCYPVGVHWLWOVQTQRSWFWGWI
      WJTYQYRYDYBYCYFVIVHUK $.
      $( [4-Sep-1995] $)

    $( Lemma showing compatibility of multiplication. $)
    mulcmpblnr $p |- ( ( ( ( A e. P. /\ B e. P. ) /\ ( C e. P. /\ D e. P. ) )
               /\ ( ( F e. P. /\ G e. P. ) /\ ( R e. P. /\ S e. P. ) ) ) ->
                ( ( ( A +P. D ) = ( B +P. C ) /\ ( F +P. S ) = ( G +P. R ) ) ->
    <. ( ( A .P. F ) +P. ( B .P. G ) ) , ( ( A .P. G ) +P. ( B .P. F ) ) >. ~R
 <. ( ( C .P. R ) +P. ( D .P. S ) ) , ( ( C .P. S ) +P. ( D .P. R ) ) >. ) ) $=
      ( cnp wcel wa cpp co wceq cmp cop cer wbr wi mulclpr pm3.27 pm3.26
      syl2an addclpr oprex addcanpr mulcmpblnrlem syl5 expcom imp3a syl
      ad2ant2rl enrbreq sylibrd rnlem anim12i sylbi an42s an4s exp4b mpdi imp
      ) AQRZBQRZSZEQRZFQRZSZCQRZDQRZSZGQRZHQRZSZADTUABCTUAUBGFTUAHETUAUBSZAGUCU
      AZBHUCUAZTUAZAHUCUAZBGUCUAZTUAZUDCEUCUAZDFUCUAZTUAZCFUCUAZDEUCUAZTUAZUDUE
      UFZUGZVMVPSZVSWBSZWQWRWSDGUCUAZQRZWQVRVTXAVSWBDGUHVQVRUIVTWAUJUKWRWSXAWCW
      PVMVSVPWBXAWCSZWPUGZVMWBVSVPXCWFQRZWIQRZSZWLQRZWOQRZSZXCVMWBSZVSVPSZXFXIS
      XBWFWOTUAZWIWLTUAZUBZWPXDXHXBXNUGZXEXGXDXHSXLQRZXOWFWOULXPXAWCXNXAXPWCXNU
      GXAXPSWTXLTUAWTXMTUAUBXNWCWTXLXMWFWOTUMWIWLTUMUNABCDEFGHIJKLMNOPUOUPUQURU
      SUTWFWIWLWOVAVBXJVKVTSZVLWASZSZVKWASZVLVTSZSZSXFVKVLVTWAVCXSXDYBXEWDQRWEQ
      RXDXQXRWDWEULAGUHBHUHUKWGQRWHQRXEXTYAWGWHULAHUHBGUHUKVDVEXKVQVNSZVRVOSZSZ
      VQVOSZVRVNSZSZSXIVQVRVNVOVCYEXGYHXHWJQRWKQRXGYCYDWJWKULCEUHDFUHUKWMQRWNQR
      XHYFYGWMWNULCFUHDEUHUKVDVEUKVFVGVHVIVJVF $.
      $( [5-Sep-1995] $)
  $}

  ${
    $d x y z w v u t s f g h a b c d A $.
    $d x y z w v u t s f g h a b c d B $.
    $d x y z w v u t s f g h a b c d C $.
    $d x y z w v u t s f g h a b c d D $.
    $( Addition of signed reals in terms of positive reals. $)
    addsrpr $p |- ( ( ( A e. P. /\ B e. P. ) /\
                     ( C e. P. /\ D e. P. ) ) ->
                ( [ <. A , B >. ] ~R +R [ <. C , D >. ] ~R ) =
                   [ <. ( A +P. C ) , ( B +P. D ) >. ] ~R ) $=
      ( vz vu vw vv va vd vb vc vg vs vh vt vx vy vf cv cpp co wceq cnr cer
      cnp cplr cplpr cop opex enrex enrer dmenr df-enr wb wa opreq12 eqeqan12d
      an42s df-plpr opeq12 syl2an an4s df-plr df-nr visset addcmpblnr oprec )
      ETZFTZUAUBZGTZHTZUAUBZUCZITZJTZUAUBZKTZLTZUAUBZUCZMTZNTZUAUBZOTZPTZUAUBZU
      CZQREGHFPABCDUDUEUFSMOUGUHACUAUBZBDUAUBZUIZVLVJUAUBZVMSTZUAUBZUIZVPWCUAUB
      ZVSWFUAUBZUIZVTWGUAUBZVQWDUAUBZUIZNIKLJWJWKUJWQWRUJWTXAUJUKULUMQREGHFUNVI
      VPUCZVJVQUCZVLVSUCZVMVTUCZVOWBUOXCXDUPXEXFUPVKVRVNWAVIVPVJVQUAUQVLVSVMVTU
      AUQURUSVIWCUCZVJWDUCZVLWFUCZVMWGUCZVOWIUOXGXHUPXIXJUPVKWEVNWHVIWCVJWDUAUQ
      VLWFVMWGUAUQURUSQREGHFSUTVLVPUCZVJWCUCZVMVSUCZWNWFUCZWPWSUCZWMWQUCWOWRUCX
      OXKXLUPXMXNUPWMWOWQWRVAVLVPVJWCUAUQVMVSWNWFUAUQVBVCVLVTUCZVJWGUCZVMVQUCZW
      NWDUCZWPXBUCZWMWTUCWOXAUCXTXPXQUPXRXSUPWMWOWTXAVAVLVTVJWGUAUQVMVQWNWDUAUQ
      VBVCVLAUCZVJCUCZVMBUCZWNDUCZWPWLUCZWMWJUCWOWKUCYEYAYBUPYCYDUPWMWOWJWKVAVL
      AVJCUAUQVMBWNDUAUQVBVCQREIKLJVDVEVPVSVTVQWGWDWCWFIVFKVFLVFJVFMVFOVFPVFNVF
      VGVH $.
      $( [3-Sep-1995] $)

    $( Multiplication of signed reals in terms of positive reals. $)
    mulsrpr $p |- ( ( ( A e. P. /\ B e. P. ) /\
                     ( C e. P. /\ D e. P. ) ) ->
                ( [ <. A , B >. ] ~R .R [ <. C , D >. ] ~R ) =
                   [ <. ( ( A .P. C ) +P. ( B .P. D ) ) ,
                              ( ( A .P. D ) +P. ( B .P. C ) ) >. ] ~R ) $=
      ( vz vu vw vv va vd vb vc vg vs vh vt vx vy vf cv cpp co wceq cnr cer
      cnp cmr cmpr cmp cop opex enrex enrer dmenr df-enr wb wa opreq12
      eqeqan12d an42s df-mpr opreqan12d an4s opeq12d df-mr df-nr visset
      mulcmpblnr oprec ) ETZFTZUAUBZGTZHTZUAUBZUCZITZJTZUAUBZKTZLTZUAUBZUCZMTZN
      TZUAUBZOTZPTZUAUBZUCZQREGHFPABCDUDUEUFSMOUGUHACUIUBZBDUIUBZUAUBZADUIUBZBC
      UIUBZUAUBZUJVMVKUIUBZVNSTZUIUBZUAUBZVMWRUIUBZVNVKUIUBZUAUBZUJVQWDUIUBZVTW
      GUIUBZUAUBZVQWGUIUBZVTWDUIUBZUAUBZUJWAWHUIUBZVRWEUIUBZUAUBZWAWEUIUBZVRWHU
      IUBZUAUBZUJNIKLJWMWPUKXFXIUKXLXOUKULUMUNQREGHFUOVJVQUCZVKVRUCZVMVTUCZVNWA
      UCZVPWCUPXPXQUQXRXSUQVLVSVOWBVJVQVKVRUAURVMVTVNWAUAURUSUTVJWDUCZVKWEUCZVM
      WGUCZVNWHUCZVPWJUPXTYAUQYBYCUQVLWFVOWIVJWDVKWEUAURVMWGVNWHUAURUSUTQREGHFS
      VAVMVQUCZVNVTUCZUQVKWDUCZWRWGUCZUQUQWTXFXCXIYDYFYEYGWTXFUCYDYFUQYEYGUQWQX
      DWSXEUAVMVQVKWDUIURVNVTWRWGUIURVBVCYDYGYEYFXCXIUCYDYGUQYEYFUQXAXGXBXHUAVM
      VQWRWGUIURVNVTVKWDUIURVBUTVDVMWAUCZVNVRUCZUQVKWHUCZWRWEUCZUQUQWTXLXCXOYHY
      JYIYKWTXLUCYHYJUQYIYKUQWQXJWSXKUAVMWAVKWHUIURVNVRWRWEUIURVBVCYHYKYIYJXCXO
      UCYHYKUQYIYJUQXAXMXBXNUAVMWAWRWEUIURVNVRVKWHUIURVBUTVDVMAUCZVNBUCZUQVKCUC
      ZWRDUCZUQUQWTWMXCWPYLYNYMYOWTWMUCYLYNUQYMYOUQWQWKWSWLUAVMAVKCUIURVNBWRDUI
      URVBVCYLYOYMYNXCWPUCYLYOUQYMYNUQXAWNXBWOUAVMAWRDUIURVNBVKCUIURVBUTVDQREIK
      LJVEVFVQVTWAVRWHWEWDWGIVGKVGLVGJVGMVGOVGPVGNVGVHVI $.
      $( [3-Sep-1995] $)
  $}

  ${
    $d A x y z w v u f $.  $d B x y z w v u f $.  $d C x y z w v u f $.
    $d D x y z w v u f $.
    ltsrpr.1 $e |- A e. V $.
    ltsrpr.2 $e |- B e. V $.
    ltsrpr.3 $e |- C e. V $.
    ltsrpr.4 $e |- D e. V $.
    $( Ordering of signed reals in terms of positive reals. $)
    ltsrpr $p |- ( [ <. A , B >. ] ~R <R [ <. C , D >. ] ~R <->
                          ( A +P. D ) <P ( B +P. C ) ) $=
      ( vz vu vw vv vx vy vf cltp cltr cer cpp cnp cnr enrex dmenr df-nr
      ltrelsr ltrelpr 0npr dmplp cv co wbr enrer df-ltr wcel wa cop cec wceq
      wb enreceq eqcom syl6bb bi2anan9 opreq12 visset addcompr addasspr caopr4
      3eqtr4g syl6bi wi addclpr ad2ant2lr anim12i ancoms an4s oprex ltapr
      caoprord3 ex syl syld brecop brecop2 ) ABCDPQRSTUAUBFGHUCUDUEUFUGUHIUIZJU
      IZSUJZKUIZLUIZSUJZPUKZADSUJZBCSUJZPUKZMNIKLJABCDQRTUAUBULUCUDMNIKLJUMWETU
      NZWHTUNZUOZATUNZBTUNZUOZUOZWITUNZWFTUNZUOZCTUNZDTUNZUOZUOZUOZWEWHUPRUQABU
      PRUQURZWIWFUPRUQCDUPRUQURZUOZWGWMSUJZWJWLSUJZURZWKWNUSZXIXLWEBSUJZWHASUJZ
      URZWFCSUJZWIDSUJZURZUOZXOXAXJXSXHXKYBWEWHABUTXHXKYAXTURYBWIWFCDUTYAXTVAVB
      VCYCXQXTSUJXRYASUJXMXNXQXRXTYASVDMNOWEWFBCSIVEJVEFMUIZNUIZMVEZNVEZVFZYDYE
      OUIZYGOVEVGZGVHMNOWHWIADSKVELVEEYHYJHVHVIVJXIWMTUNZWJTUNZUOZXOXPVKWQXDWTX
      GYMWTXGUOZWQXDUOZYMYNYKYOYLWSXEYKWRXFBCVLVMWPXBYLWOXCWHWIVLVMVNVOVPYMXOXP
      MNOWGWMWJWLPTSWEWFSVQBCSVQYDYEYIYFYGVRWHWISVQYHADSVQVSVTWAWBWCWD $.
      $( [20-Feb-1996] $)
  $}

  ${
    gt0srpr.1 $e |- A e. V $.
    gt0srpr.2 $e |- B e. V $.
    $( Greater then zero in terms of positive reals. $)
    gt0srpr $p |- ( 0R <R [ <. A , B >. ] ~R <-> B <P A ) $=
      ( c1p cop cer cec cltr wbr cpp co cltp c0r cnp 1pr elisseti ltsrpr df-0r
      breq1i wcel wb ltapr ax-mp 3bitr4 ) EEFGHZABFGHZIJEBKLEAKLMJZNUGIJBAMJZEE
      ABEOPQZUJCDRNUFUGISTEOUAUIUHUBPBAEDCUCUDUE $.
      $( [13-May-1996] $)
  $}

  $( The empty set is not a signed real. $)
  0nsr $p |- -. (/) e. R. $=
    ( c0 cnr wcel cnp cxp cer cqs dmenr 0nelqs df-nr eleq2i mtbir ) ABCADDEZFGZ
    CMFHIBNAJKL $.
    $( [25-Aug-1995] $)

  $( The constant ` 0R ` is a signed real. $)
  0r $p |- 0R e. R. $=
    ( c0r cnr wcel c1p cop cer cec cnp cxp cqs 1pr opelxpi mp2an enrex ecelqsi
    ax-mp df-0r df-nr eleq12i mpbir ) ABCDDEZFGZHHIZFJZCZUAUCCZUEDHCZUGUFKKDDHH
    LMUCUAFNOPAUBBUDQRST $.
    $( [9-Aug-1995] $)

  $( The constant ` 1R ` is a signed real. $)
  1r $p |- 1R e. R. $=
    ( c1r cnr wcel c1p cpp co cop cer cec cnp cxp cqs 1pr addclpr mp2an
    opelxpi enrex ecelqsi ax-mp df-1r df-nr eleq12i mpbir ) ABCDDEFZDGZHIZJJKZH
    LZCZUEUGCZUIUDJCZDJCZUJULULUKMMDDNOMUDDJJPOUGUEHQRSAUFBUHTUAUBUC $.
    $( [9-Aug-1995] $)

  $( The constant ` -1R ` is a signed real. $)
  m1r $p |- -1R e. R. $=
    ( cm1r cnr wcel c1p cpp co cop cer cec cnp cxp cqs 1pr addclpr mp2an
    opelxpi enrex ecelqsi ax-mp df-m1r df-nr eleq12i mpbir ) ABCDDDEFZGZHIZJJKZ
    HLZCZUEUGCZUIDJCZUDJCZUJMUKUKULMMDDNODUDJJPOUGUEHQRSAUFBUHTUAUBUC $.
    $( [9-Aug-1995] $)

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Closure of addition on signed reals. $)
    addclsr $p |- ( ( A e. R. /\ B e. R. ) -> ( A +R B ) e. R. ) $=
      ( vx vy vz vw cnr wcel wa cplr co cnp cxp cer cqs cv cop cec df-nr wceq
      opreq1 eleq1d opreq2 cpp addsrpr addclpr anim12i an4s opelxpi enrex
      ecelqsi 3syl eqeltrd 2ecoptocl syl6eleqr ) AGHBGHIABJKZLLMZNOZGCPZDPZQNRZ
      EPZFPZQNRZJKZURHAVDJKZURHUPURHCDEFABLLNGSVAATVEVFURVAAVDJUAUBVDBTVFUPURVD
      BAJUCUBUSLHZUTLHZIVBLHZVCLHZIIZVEUSVBUDKZUTVCUDKZQZNRZURUSUTVBVCUEVKVLLHZ
      VMLHZIZVNUQHVOURHVGVIVHVJVRVGVIIVPVHVJIVQUSVBUFUTVCUFUGUHVLVMLLUIUQVNNUJU
      KULUMUNSUO $.
      $( [25-Jul-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Closure of multiplication on signed reals. $)
    mulclsr $p |- ( ( A e. R. /\ B e. R. ) -> ( A .R B ) e. R. ) $=
      ( vx vy vz vw cnr wcel wa cmr co cnp cxp cer cqs cv cop cec df-nr wceq
      opreq1 eleq1d opreq2 cmp cpp mulsrpr addclpr mulclpr syl2an an4s an42s
      jca opelxpi enrex ecelqsi 3syl eqeltrd 2ecoptocl syl6eleqr ) AGHBGHIABJKZ
      LLMZNOZGCPZDPZQNRZEPZFPZQNRZJKZVBHAVHJKZVBHUTVBHCDEFABLLNGSVEATVIVJVBVEAV
      HJUAUBVHBTVJUTVBVHBAJUCUBVCLHZVDLHZIVFLHZVGLHZIIZVIVCVFUDKZVDVGUDKZUEKZVC
      VGUDKZVDVFUDKZUEKZQZNRZVBVCVDVFVGUFVOVRLHZWALHZIWBVAHWCVBHVOWDWEVKVMVLVNW
      DVPLHVQLHWDVKVMIVLVNIVPVQUGVCVFUHVDVGUHUIUJVKVNVLVMWEVSLHVTLHWEVKVNIVLVMI
      VSVTUGVCVGUHVDVFUHUIUKULVRWALLUMVAWBNUNUOUPUQURSUS $.
      $( [10-Aug-1995] $)
  $}

  ${
    $d x y z w v u f $.
    $( Domain of addition on signed reals. $)
    dmaddsr $p |- dom +R = ( R. X. R. ) $=
      ( vx vy vw vv vu vf vz cplr cdm cnr cxp cv wcel wa cop cer cec wceq
      cplpr co wex copab2 df-plr dmeqi dmoprabss eqsstr 0nsr addclsr oprssdm
      eqssi ) HIZJJKZUKALZJMBLZJMNUMCLDLOZPQRUNELFLOZPQRNGLUOUPSTPQRNFUAEUADUAC
      UAZNABGUBZIULHURABGCDEFUCUDUQABGJJUEUFABJHUGUMUNUHUIUJ $.
      $( [25-Aug-1995] $)
  $}

  ${
    $d x y z w v u f $.
    $( Domain of multiplication on signed reals. $)
    dmmulsr $p |- dom .R = ( R. X. R. ) $=
      ( vx vy vw vv vu vf vz cmr cdm cnr cxp cv wcel wa cop cer cec wceq cmpr
      co wex copab2 df-mr dmeqi dmoprabss eqsstr 0nsr mulclsr oprssdm eqssi )
      HIZJJKZUKALZJMBLZJMNUMCLDLOZPQRUNELFLOZPQRNGLUOUPSTPQRNFUAEUADUACUAZNABGU
      BZIULHURABGCDEFUCUDUQABGJJUEUFABJHUGUMUNUHUIUJ $.
      $( [25-Aug-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    addcomsr.1 $e |- A e. V $.
    addcomsr.2 $e |- B e. V $.
    $( Addition of signed reals is commutative. $)
    addcomsr $p |- ( A +R B ) = ( B +R A ) $=
      ( vx vy vz vw cnr wcel wa cplr co wceq cv cpp cer cnp df-nr addsrpr
      visset addcompr ecoprcom dmaddsr ndmoprcom pm2.61i ) AIJBIJKABLMBALMNEFGH
      ABIEOZGOZPMQRLFOZHOZPMUHUGPMUJUIPMSUGUIUHUJTUHUJUGUITUGUHEUAGUAUBUIUJFUAH
      UAUBUCABILDUDCUEUF $.
      $( [31-Aug-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    addasssr.1 $e |- B e. V $.
    addasssr.2 $e |- C e. V $.
  $( Addition of signed reals is associative. $)
    addasssr $p |- ( ( A +R B ) +R C ) = ( A +R ( B +R C ) ) $=
      ( vx vy vz vw vv vu cnr wcel w3a cplr co wceq cv cpp cer cnp df-nr
      addsrpr wa addclpr anim12i an4s visset addasspr ecoprass dmaddsr 0nsr
      ndmoprass pm2.61i ) ALMBLMCLMNABOPCOPABCOPOPQFGHIJKABCLIRZKRZSPZTUAOFRZHR
      ZSPZGRZUOSPZUTJRZSPVBUPSPURUSVCSPZSPVAUQSPVDUBURVAUSUOUCUSUOVCUPUCUTVBVCU
      PUCURVAVDUQUCURUAMZUSUAMZVAUAMZUOUAMZUTUAMZVBUAMZUDVEVFUDVIVGVHUDVJURUSUE
      VAUOUEUFUGVFVCUAMZVHUPUAMZVDUAMZUQUAMZUDVFVKUDVMVHVLUDVNUSVCUEUOUPUEUFUGU
      RUSVCHUHJUHUIVAUOUPIUHKUHUIUJABCLODUKEULUMUN $.
      $( [2-Sep-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    mulcomsr.1 $e |- A e. V $.
    mulcomsr.2 $e |- B e. V $.
    $( Multiplication of signed reals is commutative. $)
    mulcomsr $p |- ( A .R B ) = ( B .R A ) $=
      ( vx vy vz vw cnr wcel wa cmr co wceq cv cmp cpp cer cnp df-nr mulsrpr
      visset mulcompr opreq12i oprex addcompr eqtr ecoprcom dmmulsr ndmoprcom
      pm2.61i ) AIJBIJKABLMBALMNEFGHABIEOZGOZPMZFOZHOZPMZQMRSLULUPPMZUOUMPMZQMZ
      UMULPMZUPUOPMZQMUMUOPMZUPULPMZQMZTULUOUMUPUAUMUPULUOUAUNVAUQVBQULUMEUBZGU
      BZUCUOUPFUBZHUBZUCUDUTVDVCQMVEURVDUSVCQULUPVFVIUCUOUMVHVGUCUDVDVCUPULPUEU
      MUOPUEUFUGUHABILDUICUJUK $.
      $( [31-Aug-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    mulasssr.1 $e |- B e. V $.
    mulasssr.2 $e |- C e. V $.
  $( Multiplication of signed reals is associative. $)
    mulasssr $p |- ( ( A .R B ) .R C ) = ( A .R ( B .R C ) ) $=
      ( vx vy vz vw vv vu vf vg vh cnr wcel w3a cmr co wceq cv cmp cpp cer cnp
      df-nr mulsrpr wa addclpr mulclpr syl2an an4s an42s jca visset mulcompr
      distrpr mulasspr addcompr addasspr caoprlem2 ecoprass dmmulsr 0nsr
      ndmoprass pm2.61i ) AOPBOPCOPQABRSCRSABCRSRSTFGHIJKABCOHUAZKUAZUBSZIUAZJU
      AZUBSZUCSZUDUERFUAZVGUBSZGUAZVJUBSZUCSZVNVJUBSZVPVGUBSZUCSZVRVKUBSWAVHUBS
      UCSVRVHUBSWAVKUBSUCSVNVGVKUBSZVJVHUBSZUCSZUBSVPVMUBSUCSVNVMUBSVPWDUBSUCSW
      DUFVNVPVGVJUGVGVJVKVHUGVRWAVKVHUGVNVPWDVMUGVNUEPZVPUEPZUHVGUEPZVJUEPZUHZU
      HVRUEPZWAUEPZWEWGWFWHWJVOUEPVQUEPWJWEWGUHWFWHUHVOVQUIVNVGUJVPVJUJUKULWEWH
      WFWGWKVSUEPVTUEPWKWEWHUHWFWGUHVSVTUIVNVJUJVPVGUJUKUMUNWIVKUEPZVHUEPZUHUHW
      DUEPZVMUEPZWGWLWHWMWNWBUEPWCUEPWNWGWLUHWHWMUHWBWCUIVGVKUJVJVHUJUKULWGWMWH
      WLWOVIUEPVLUEPWOWGWMUHWHWLUHVIVLUIVGVHUJVJVKUJUKUMUNLMNVNVPVGVJVHUCUBVKFU
      OZGUOZHUOZLUAZMUAZLUOZMUOZUPZWSWTNUAZXBNUOZUQZIUOZJUOZWSWTXDXBXEURZKUOZWS
      WTXAXBUSZWSWTXDXBXEUTZVALMNVNVPVGVJVKUCUBVHWPWQWRXCXFXGXJXIXHXKXLVAVBABCO
      RDVCEVDVEVF $.
      $( [2-Sep-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    distrsr.1 $e |- B e. V $.
    distrsr.2 $e |- C e. V $.
    $( Multiplication of signed reals is distributive. $)
    distrsr $p |- ( A .R ( B +R C ) ) = ( ( A .R B ) +R ( A .R C ) ) $=
      ( vx vy vz vw vv vu vf vg vh cnr wcel w3a cplr co cmr wceq cer cnp cv
      cpp cmp df-nr addsrpr mulsrpr wa addclpr anim12i an4s mulclpr syl2an
      an42s jca visset distrpr opreq12i oprex addcompr addasspr caopr4 eqtr
      ecoprdi dmaddsr 0nsr dmmulsr ndmoprdistr pm2.61i ) AOPBOPCOPQABCRSTSABTSA
      CTSRSUAFGHIJKABCOUBUCRTFUDZHUDZJUDZUESZUFSZGUDZIUDZKUDZUESZUFSZUESZVLVTUF
      SZVQVOUFSZUESZVLVMUFSZVQVRUFSZUESZVLVNUFSZVQVSUFSZUESZUESZVLVRUFSZVQVMUFS
      ZUESZVLVSUFSZVQVNUFSZUESZUESZVOVTWHWOWKWRUGVMVRVNVSUHVLVQVOVTUIVLVQVMVRUI
      VLVQVNVSUIWHWOWKWRUHVMUCPZVNUCPZVRUCPZVSUCPZVOUCPZVTUCPZUJWTXAUJXDXBXCUJX
      EVMVNUKVRVSUKULUMVLUCPZVQUCPZUJZWTXBUJUJWHUCPZWOUCPZXFWTXGXBXIWFUCPWGUCPX
      IXFWTUJXGXBUJWFWGUKVLVMUNVQVRUNUOUMXFXBXGWTXJWMUCPWNUCPXJXFXBUJXGWTUJWMWN
      UKVLVRUNVQVMUNUOUPUQXHXAXCUJUJWKUCPZWRUCPZXFXAXGXCXKWIUCPWJUCPXKXFXAUJXGX
      CUJWIWJUKVLVNUNVQVSUNUOUMXFXCXGXAXLWPUCPWQUCPXLXFXCUJXGXAUJWPWQUKVLVSUNVQ
      VNUNUOUPUQWBWFWIUESZWGWJUESZUESWLVPXMWAXNUEVLVMVNHURZJURZUSVQVRVSIURZKURZ
      USUTLMNWFWIWGWJUEVLVMUFVAVLVNUFVAVQVRUFVALUDZMUDZLURMURZVBZXSXTNUDYANURVC
      ZVQVSUFVAVDVEWEWMWPUESZWNWQUESZUESWSWCYDWDYEUEVLVRVSXQXRUSVQVMVNXOXPUSUTL
      MNWMWPWNWQUEVLVRUFVAVLVSUFVAVQVMUFVAYBYCVQVNUFVAVDVEVFABCORTDVGEVHVIVJVK
      $.
      $( [2-Sep-1995] $)
  $}

  $( Minus one plus one is zero for signed reals. $)
  m1p1sr $p |- ( -1R +R 1R ) = 0R $=
    ( c1p cpp co cop cer cec cplr cm1r c1r c0r cnp wcel wa wceq 1pr addclpr
    mp2an pm3.2i addsrpr elisseti addasspr opreq2i wb enreceq mpbir eqtr4
    df-m1r df-1r opreq12i df-0r 3eqtr4 ) AAABCZDEFZULADEFZGCZAADEFZHIGCJUOAULBC
    ZULABCZDEFZUPAKLZULKLZMVAUTMUOUSNUTVAOUTUTVAOOAAPQZRVAUTVBORAULULASQUPUSNZA
    URBCAUQBCNZURUQABAAAAKOTZVEUAUBUTUTMUQKLZURKLZMVCVDUCUTUTOORVFVGUTVAVFOVBAU
    LPQVAUTVGVBOULAPQRAAUQURUDQUEUFHUMIUNGUGUHUIUJUK $.
    $( [5-May-1996] $)

  $( Minus one times minus one is plus one for signed reals. $)
  m1m1sr $p |- ( -1R .R -1R ) = 1R $=
    ( c1p cpp co cop cer cec cmr cm1r c1r cmp cnp wcel wa wceq 1pr addclpr
    mp2an pm3.2i mulsrpr elisseti oprex addasspr 1idpr ax-mp distrpr mulcompr
    opreq1i eqtr4 opreq12i opreq2i wb mulclpr enreceq mpbir df-m1r df-1r
    3eqtr4 ) AAABCZDEFZUSGCZURADEFZHHGCIUTAAJCZURURJCZBCZAURJCZURAJCZBCZDEFZVAA
    KLZURKLZMZVKUTVHNVIVJOVIVIVJOOAAPQZRZVMAURAURSQVAVHNZURVGBCZAVDBCZNZVOAAVGB
    CZBCVPAAVGAKOTZVEVFBUAUBVDVRABVBAVCVGBVIVBANOAUCUDVCVFVFBCVGURAAVSVSUEVEVFV
    FBAURVSAABUAUFUGUHUIUJUHVJVIMVDKLZVGKLZMVNVQUKVJVIVLORVTWAVBKLZVCKLZVTVIVIW
    BOOAAULQVJVJWCVLVLURURULQVBVCPQVEKLZVFKLZWAVIVJWDOVLAURULQVJVIWEVLOURAULQVE
    VFPQRURAVDVGUMQUNUHHUSHUSGUOUOUIUPUQ $.
    $( [14-May-1996] $)

  ${
    $d x y z w v u f g h $.
    $( Signed real 'less than' is a strict ordering. $)
    ltsosr $p |- <R Or R. $=
      ( vf vg vh vx vy vz vw vv vu cnr cltr cv cop cer cec wbr wceq wo wn wb
      wa wi cnp df-nr breq1 eqeq1 breq2 orbi12d negbid bibi12d anbi1d imbi12d
      anbi12d eqeq2 imbi1d anbi2d wcel w3a cpp co cltp wor ltsopr sotric mpan
      addclpr syl2an an42s enreceq visset ltsrpr addcompr breq12i bitr a1i
      bitr4d syl5bb 3adant3 oprex ltapr caoprord2 addasspr syl6bb bi2anan9r
      ltrelpr sotri dmplp 0npr ndmordi caopr12 3imtr4 syl syl6bi ad2ant2l
      3adant2 jca 3ecoptocl so ) ABCJKDLZELZMNOZFLZGLZMNOZKPZXAXDQZXDXAKPZRZSZT
      ZXEXDHLZILZMNOZKPZUAZXAXMKPZUBZUAALZXDKPZXRXDQZXDXRKPZRZSZTZXSXNUAZXRXMKP
      ZUBZUAXRBLZKPZXRYHQZYHXRKPZRZSZTZYIYHXMKPZUAZYFUBZUAYNYIYHCLZKPZUAZXRYRKP
      ZUBZUADEFGHIXRYHYRUCNJUDXAXRQZXJYDXQYGUUCXEXSXIYCXAXRXDKUEZUUCXHYBUUCXFXT
      XGYAXAXRXDUFXAXRXDKUGUHUIUJUUCXOYEXPYFUUCXEXSXNUUDUKXAXRXMKUEULUMXDYHQZYD
      YNYGYQUUEXSYIYCYMXDYHXRKUGZUUEYBYLUUEXTYJYAYKXDYHXRUNXDYHXRKUEUHUIUJUUEYE
      YPYFUUEXSYIXNYOUUFXDYHXMKUEUMUOUMXMYRQZYQUUBYNUUGYPYTYFUUAUUGYOYSYIXMYRYH
      KUGUPXMYRXRKUGULUPWSUCUQZWTUCUQZUAZXBUCUQZXCUCUQZUAZXKUCUQZXLUCUQZUAZURXJ
      XQUUJUUMXJUUPUUJUUMUAZWSXCUSUTZWTXBUSUTZVAPZXIXEUUQUUTUURUUSQZUUSUURVAPZR
      ZSZXIUUHUULUUIUUKUUTUVDTZUURUCUQZUUSUCUQZUVEUUHUULUAUUIUUKUAUCVAVBUVFUVGU
      AUVEVCUCUURUUSVAVDVEWSXCVFWTXBVFVGVHUUQXHUVCUUQXFUVAXGUVBWSWTXBXCVIXGUVBT
      UUQXGXBWTUSUTZXCWSUSUTZVAPUVBXBXCWSWTFVJZGVJZDVJZEVJZVKUVHUUSUVIUURVAXBWT
      UVJUVMVLXCWSUVKUVLVLVMVNVOUHUIVPWSWTXBXCUVLUVMUVJUVKVKZVQVRUUJUUPXQUUMUUI
      UUOXQUUHUUNUUIUUOUAXOWSXCXLUSUTZUSUTZWTXBXLUSUTZUSUTZVAPZUVRWTXCXKUSUTZUS
      UTZVAPZUAZXPUUOXEUVSUUIXNUWBUUOUUTUVSXEUUOUUTUURXLUSUTZUUSXLUSUTZVAPUVSAB
      CUURUUSXLVAUCUSWSXCUSVSWTXBUSVSXRYHYRAVJZBVJZVTIVJZXRYHUWFUWGVLZWAUWDUVPU
      WEUVRVAWSXCXLUVKUWHWBWTXBXLUVJUWHWBVMWCUVNVQUUIUVQUVTVAPUWBXNUVQUVTWTXBXL
      USVSXCXKUSVSVTXBXCXKXLUVJUVKHVJZUWHVKVQWDUWCUVPUWAVAPZXPUVPUVRUWAVAUCWSUV
      OUSVSVCWEWTUVQUSVSWTUVTUSVSWFXCWSXLUSUTZUSUTZXCWTXKUSUTZUSUTZVAPUWLUWNVAP
      UWKXPUWLUWNXCVAUCUSWSXLUSVSZWGWEWHUWLUWNXCUWPWTXKUSVSVTWIUVPUWMUWAUWOVAAB
      CWSXCXLUSUVLUVKUWHUWIXRYHYRUWGCVJWBZWJABCWTXCXKUSUVMUVKUWJUWIUWQWJVMWSWTX
      KXLUVLUVMUWJUWHVKWKWLWMWNWOWPWQWR $.
      $( [19-Feb-1996] $)
  $}

  $( 0 is less than 1 for signed reals. $)
  0lt1sr $p |- 0R <R 1R $=
    ( c1p cop cer cec cpp co c0r c1r cltr wbr cltp cnp wcel 1pr addclpr mp2an
    ltaddpr elisseti oprex addcompr breqtrr ltsrpr mpbir df-0r df-1r 3brtr4 )
    AABCDZAAEFZABCDZGHIUGUIIJUHAUHEFZKJUHUHAEFZUJKUHLMZALMZUHUKKJUMUMULNNAAOPNU
    HAQPAUHALNRZAAESZTUAAAUHAUNUNUOUNUBUCUDUEUF $.
    $( [26-Mar-1996] $)

  $( 1 and 0 are distinct for signed reals. $)
  1ne0sr $p |- -. 1R = 0R $=
    ( c1r c0r wceq cltr wbr cnr wor wcel wn ltsosr 1r sonr mp2an 0lt1sr breq1
    mpbiri mto ) ABCZAADEZFDGAFHSIJKFADLMRSBADENABADOPQ $.
    $( [26-Mar-1996] $)

  ${
    $d x y z w v $.  $d x y A $.
    $( The signed real number 0 is an identity element for addition of
       signed reals. $)
    0idsr $p |- ( A e. R. -> ( A +R 0R ) = A ) $=
      ( vx vy vz vw vv cv cop cer cec c0r cplr co wceq cnp cnr df-nr opreq1 id
      eqeq12d wcel wa c1p cpp 1pr pm3.2i addsrpr mpan2 addclpr anim12i visset
      elisseti addcompr addasspr caopr12 enreceq mpbiri mpdan eqtr4d df-0r
      opreq2i syl5eq ecoptocl ) BGZCGZHIJZKLMZVFNAKLMZANBCAOOIPQVFANZVGVHVFAVFA
      KLRVISTVDOUAZVEOUAZUBZVFUCUCHIJZLMZVFVGVLVNVDUCUDMZVEUCUDMZHIJZVFVLUCOUAZ
      VRUBVNVQNVRVRUEUEUFVDVEUCUCUGUHVLVOOUAZVPOUAZUBZVFVQNZVJVSVKVTVJVRVSUEVDU
      CUIUHVKVRVTUEVEUCUIUHUJVLWAUBWBVDVPUDMVEVOUDMNDEFVDVEUCUDBUKCUKUCOUEULDGZ
      EGZDUKEUKZUMWCWDFGWEFUKUNUOVDVEVOVPUPUQURUSKVMVFLUTVAVBVC $.
      $( [10-Apr-1996] $)
  $}

  ${
    $d x y A $.  $d x y z w v $.
    $( 1 is an identity element for multiplication. $)
    1idsr $p |- ( A e. R. -> ( A .R 1R ) = A ) $=
      ( vx vy vz vw vv cv cop cer cec c1r cmr co wceq cnp cnr df-nr opreq1 id
      eqeq12d wcel wa c1p cpp cmp 1pr addclpr mp2an pm3.2i mulsrpr mpan2 1idpr
      opreq1d elisseti distrpr syl5req syl5eq opreqan12d oprex addasspr visset
      addcompr caopr12 3eqtr3g wb mulclpr syl2an anim12i enreceq syldan anidms
      mpbird eqtr4d df-1r opreq2i ecoptocl ) BGZCGZHIJZKLMZVSNAKLMZANBCAOOIPQVS
      ANZVTWAVSAVSAKLRWBSTVQOUAZVROUAZUBZVSUCUCUDMZUCHIJZLMZVSVTWEWHVQWFUEMZVRU
      CUEMZUDMZVQUCUEMZVRWFUEMZUDMZHIJZVSWEWFOUAZUCOUAZUBWHWONWPWQWQWQWPUFUFUCU
      CUGUHZUFUIVQVRWFUCUJUKWEVSWONZVQWNUDMZVRWKUDMZNZWEVQWLUDMZWMUDMWIVRWJUDMZ
      UDMWTXAWCWDXCWIWMXDUDWCWLWLUDMXCWIWCWLVQWLUDVQULUMVQUCUCUCOUFUNZXEUOUPWDW
      JWJUDMXDWMWDWJVRWJUDVRULUMVRUCUCXEXEUOUQURVQWLWMVQUCUEUSVRWFUEUSUTDEFWIVR
      WJUDVQWFUEUSCVAVRUCUEUSDGZEGZDVAEVAZVBXFXGFGXHFVAUTVCVDWEWSXBVEZWEWEWKOUA
      ZWNOUAZUBXIWEXJWEXKWIOUAZWJOUAZXJWCWDWIWJUGWCWPXLWRVQWFVFUKWDWQXMUFVRUCVF
      UKVGWLOUAZWMOUAZXKWCWDWLWMUGWCWQXNUFVQUCVFUKWDWPXOWRVRWFVFUKVGVHVQVRWKWNV
      IVJVKVLVMKWGVSLVNVOUQVP $.
      $( [2-May-1996] $)
  $}

  ${
    $d x y A $.
    $( A signed real times 0 is 0. $)
    00sr $p |- ( A e. R. -> ( A .R 0R ) = 0R ) $=
      ( vx vy cv cop cer cec c0r cmr co wceq cnp cnr df-nr opreq1 eqeq1d wcel
      wa c1p cmp cpp 1pr pm3.2i mulsrpr mpan2 eqid enreceq mpbiri addclpr
      mulclpr syl2an anim12i sylan anidms eqtrd df-0r opreq2i 3eqtr4g ecoptocl
      ) BDZCDZEFGZHIJZHKAHIJZHKBCALLFMNVBAKVCVDHVBAHIOPUTLQZVALQZRZVBSSEFGZIJZV
      HVCHVGVIUTSTJZVASTJZUAJZVLEFGZVHVGSLQZVNRZVIVMKVNVNUBUBUCZUTVASSUDUEVGVMV
      HKZVGVGRZVOVQVPVLLQZVSRZVOVQVRVTVORVQVLSUAJZWAKWAUFVLVLSSUGUHVGVSVGVSVJLQ
      ZVKLQZVSVEVFVJVKUIVEVNWBUBUTSUJUEVFVNWCUBVASUJUEUKZWDULUMUEUNUOHVHVBIUPUQ
      UPURUS $.
      $( [10-Apr-1996] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f $.
    ltasr.1 $e |- A e. V $.
    ltasr.2 $e |- B e. V $.
    $( Ordering property of addition. $)
    ltasr $p |- ( C e. R. -> ( A <R B <-> ( C +R A ) <R ( C +R B ) ) ) $=
      ( vx vy vz vw vv vu vf cltr cnr cplr dmaddsr ltrelsr 0nsr wcel wbr co wb
      cv cop cer cec cnp df-nr wceq opreq1 breq12d bibi2d breq1 opreq2 breq1d
      bibi12d breq2 breq2d wa w3a cpp addclpr 3ad2ant1 cltp oprex ltapr visset
      ltsrpr addcompr addasspr caopr4 caopr42 eqtr breq12i bitr 3bitr4g syl
      addsrpr 3adant3 3adant2 bitr4d 3ecoptocl 3coml ndmord ) ABCMNOEPDQRCNSANS
      BNSABMTZCAOUAZCBOUAZMTZUBZFUCZGUCZUDUEUFZHUCZIUCZUDUEUFZMTZJUCZKUCZUDUEUF
      ZWLOUAZWSWOOUAZMTZUBWPCWLOUAZCWOOUAZMTZUBAWOMTZWFXDMTZUBWIJKFGHICABUGUENU
      HWSCUIZXBXEWPXHWTXCXAXDMWSCWLOUJWSCWOOUJUKULWLAUIZWPXFXEXGWLAWOMUMXIXCWFX
      DMWLACOUNUOUPWOBUIZXFWEXGWHWOBAMUQXJXDWGWFMWOBCOUNURUPWQUGSWRUGSUSZWJUGSW
      KUGSUSZWMUGSWNUGSUSZUTZWPWQWJVAUAZWRWKVAUAZUDUEUFZWQWMVAUAZWRWNVAUAZUDUEU
      FZMTZXBXNWQWRVAUAZUGSZWPYAUBXKXLYCXMWQWRVBVCYCWJWNVAUAZWKWMVAUAZVDTYBYDVA
      UAZYBYEVAUAZVDTZWPYAYDYEYBWJWNVAVEWKWMVAVEVFWJWKWMWNFVGZGVGZHVGZIVGZVHYAX
      OXSVAUAZXPXRVAUAZVDTYHXOXPXRXSWQWJVAVEWRWKVAVEZWQWMVAVEZWRWNVAVEVHYMYFYNY
      GVDGHLWQWJWRWNVAJVGZYIKVGZWKWMYJYKVIWKWMLUCZYKLVGZVJYLVKYNXRXPVAUAYGXPXRY
      OYPVIFILWQWMWRWKVAYQYKYRWJWNYIYLVIWJWNYSYLYTVJYJVLVMVNVOVPVQXNWTXQXAXTMXK
      XLWTXQUIXMWQWRWJWKVRVSXKXMXAXTUIXLWQWRWMWNVRVTUKWAWBWCWD $.
      $( [10-May-1996] $)
  $}

  $( A signed real plus its negative is zero. $)
  pn0sr $p |- ( A e. R. -> ( A +R ( A .R -1R ) ) = 0R ) $=
    ( cnr wcel c1r cmr co cm1r cplr c0r 1idsr opreq1d 00sr m1r elisseti 1r
    distrsr m1p1sr opreq2i oprex addcomsr 3eqtr3 syl5eqr eqtr3d ) ABCZADEFZAGEF
    ZHFZAUFHFIUDUEAUFHAJKUDAIEFZIUGALAGDHFZEFUFUEHFUHUGAGDGBMNDBONPUIIAEQRUFUEA
    GESADESTUAUBUC $.
    $( [14-May-1996] $)

  ${
    $d x A $.
    $( Existence of negative signed real.  Part of Proposition 9-4.3 of
       [Gleason] p. 126. $)
    negexsr $p |- ( A e. R. -> E. x ( x e. R. /\ ( A +R x ) = 0R ) ) $=
      ( cm1r cmr co cnr wcel cplr c0r wceq cv wa wex oprex eleq1 opreq2 eqeq1d
      anbi12d cla4ev m1r mulclsr mpan2 pn0sr sylanc ) BCDEZFGZBUEHEZIJZAKZFGZBU
      IHEZIJZLZAMBFGZUMUFUHLAUEBCDNUIUEJZUJUFULUHUIUEFOUOUKUGIUIUEBHPQRSUNCFGUF
      TBCUAUBBUCUD $.
      $( [2-May-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z w v u f $.
    recexsrlem.1 $e |- A e. V $.
    $( The reciprocal of a positive signed real exists.  Part of Proposition
       9-4.3 of [Gleason] p. 126. $)
    recexsrlem $p |- ( 0R <R A -> E. x ( x e. R. /\ ( A .R x ) = 1R ) ) $=
      ( vy vz vw vv vu vf c0r cltr wbr cv cmr co c1r wceq wex cnr wcel wa
      ltrelsr brel pm3.27d cop cer cec wi cnp df-nr breq2 opreq1 eqeq1d exbidv
      imbi12d cpp cmp c1p 1pr addclpr mpan2 jctir anim2i adantr mulsrpr syl wb
      mulclpr sylan2 syl2an an1rs anassrs jca mp2an pm3.2i enreceq eqcomd
      opreq2 visset mulcompr distrpr caoprdistrr syl5eq sylan9eqr opreq1d
      oprex elisseti addcompr addasspr caopr32 syl6eq opreq1i eqtr opreq2i
      caopr12 3eqtr4g syl5bir imp eqtrd df-1r syl6eqr cvv enrex ecexg ax-mp
      cla4ev exp43 imp3a 19.23adv recexpr syl5 cltp gt0srpr ltexpri sylbi
      ecoptocl mpcom 1r eleq1 mpbiri dmmulsr 0nsr ndmoprrcl ancri 19.22i ) JBKL
      ZBAMZNOZPQZARZYGSTZYIUAZARBSTZYFYJYFJSTYMJBSSKCUBUCUDJDMZEMZUEUFUGZKLZYPY
      GNOZPQZARZUHYFYJUHDEBUIUIUFSUJYPBQZYQYFYTYJYPBJKUKUUAYSYIAUUAYRYHPYPBYGNU
      LUMUNUOYNUITZYOUITZUAZFMZUITZYOUUEUPOZYNQZUAZFRZYTYQUUDUUIYTFUUDUUFUUHYTU
      UDGMZUITZUUEUUKUQOZURQZUAZGRUUHYTUHZUUFUUDUUOUUPGUUDUULUUNUUPUUDUULUUNUUH
      YTUUDUULUAZUUNUUHUAZUAZYPUUKURUPOZURUEZUFUGZNOZPQZYTUUSUVCURURUPOZURUEUFU
      GZPUUSUVCYNUUTUQOZYOURUQOZUPOZYNURUQOZYOUUTUQOZUPOZUEUFUGZUVFUUSUUDUUTUIT
      ZURUITZUAZUAZUVCUVMQUUQUVQUURUULUVPUUDUULUVNUVOUULUVOUVNUSUUKURUTVAZUSVBV
      CVDYNYOUUTURVEVFUUQUURUVMUVFQZUUQUVSUVIURUPOZUVLUVEUPOZQZUURUUQUVIUITZUVL
      UITZUAZUVEUITZUVOUAZUAUVSUWBVGUUQUWEUWGUUQUWCUWDUUBUULUUCUWCUVGUITZUVHUIT
      ZUWCUUBUULUAUUCUVGUVHUTUUBUVNUWHUULYNUUTVHUVRVIUUCUVOUWIUSYOURVHVAVJVKUUB
      UUCUULUWDUVJUITZUVKUITZUWDUUBUUCUULUAUVJUVKUTUUBUVOUWJUSYNURVHVAUUCUVNUWK
      UULYOUUTVHUVRVIVJVLVMUWFUVOUVOUVOUWFUSUSURURUTVNUSVOVBUVIUVLUVEURVPVFUURY
      NUUKUQOZUVJUVHUPOZUPOZURUPOZYOUUKUQOZUWMUPOZUVEUPOZUVTUWAUURUWOUWQURUPOZU
      RUPOUWRUURUWNUWSURUPUURUWNUWPURUPOZUWMUPOUWSUURUWLUWTUWMUPUUHUUNUWLUUGUUK
      UQOZUWTUUHUXAUWLUUGYNUUKUQULVQUUNUWPUUMUPOUWTUXAUUMURUWPUPVRHIAYOUUEUUKUP
      UQEVSZFVSGVSZHMZIMZHVSZIVSZVTUXDUXEYGUXGAVSZWAWBWCWDWEHIAUWPURUWMUPYOUUKU
      QWFZURUIUSWGZUVJUVHUPWFUXDUXEUXFUXGWHZUXDUXEYGUXGUXHWIZWJWKWEUWQURURUXJUX
      JWIWKUVIUWNURUPUVIUWLUVJUPOZUVHUPOUWNUVGUXMUVHUPYNUUKURUXCUXJWAWLUWLUVJUV
      HYNURUQWFZYOURUQWFZWIWMWLUVLUWQUVEUPUVLUVJUWPUVHUPOZUPOUWQUVKUXPUVJUPYOUU
      KURUXCUXJWAWNHIAUVJUWPUVHUPUXNUXIUXOUXKUXLWOWMWLWPWQWRWSWTXAYSUVDAUVBUFXB
      TUVBXBTXCUVAXBUFXDXEYGUVBQYRUVCPYGUVBYPNVRUMXFVFXGXHXIGUUEXJXKXHXIYQYOYNX
      LLUUJYNYODVSZUXBXMFYOYNUXQXNXOXKXPXQYIYLAYIYKYIYMYKYIYHSTZYMYKUAYIUXRPSTX
      RYHPSXSXTBYGSNUXHYAYBYCVFUDYDYEVF $.
      $( [15-May-1996] $)
  $}

  ${
    addgt0sr.1 $e |- A e. V $.
    addgt0sr.2 $e |- B e. V $.
    $( The sum of two positive signed reals is positive. $)
    addgt0sr $p |- ( ( 0R <R A /\ 0R <R B ) -> 0R <R ( A +R B ) ) $=
      ( c0r cltr wbr cplr co cnr wcel wb ltrelsr brel pm3.27d 0r elisseti
      ltasr 0idsr breq1d bitrd syl biimpa ltsosr oprex sotri syldan ) EAFGZEBFG
      ZAABHIZFGZEUJFGUHUIUKUHAJKZUIUKLUHEJKULEAJJFCMNOULUIAEHIZUJFGUKEBAEJPQZDR
      ULUMAUJFASTUAUBUCEAUJFJUNUDMCABHUEUFUG $.
      $( [14-May-1996] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w v u f g h $.
    mulgt0sr.1 $e |- A e. V $.
    mulgt0sr.2 $e |- B e. V $.
    $( The product of two positive signed reals is positive. $)
    mulgt0sr $p |- ( ( 0R <R A /\ 0R <R B ) -> 0R <R ( A .R B ) ) $=
      ( vx vy vz vw vv vu vf vg vh cnr wcel wa c0r cltr wbr cmr co ltrelsr
      brel pm3.27d anim12i cv cop cer cec wi cnp df-nr wceq breq2 anbi1d
      opreq1 breq2d imbi12d anbi2d opreq2 cltp cmp cpp wex oprex addcanpr
      opreq12 opreq1d visset distrpr syl5eqr mulcompr caoprdistrr opreq12i
      addcompr addasspr caopr4 3eqtr4 caopr12 3eqtr4g opreqan12rd eqtr3d eqtr3
      caopr32 opreq2i 3eqtr3g syl5 ltaddpr2 eqcom syl5ib adantl syld mulclpr
      sylan a1d exp31 com13 imp imp4c an4 19.23advv ltexpri eeanv sylibr
      addclpr syl2an an4s simprr sylanc mulsrpr gt0srpr syl6bb sylibrd anbi12i
      2ecoptocl mpcom ) ANOZBNOZPQARSZQBRSZPZQABTUAZRSZXSXQXTXRXSQNOZXQQANNRCUB
      UCUDXTYDXRQBNNRDUBUCUDUEQEUFZFUFZUGUHUIZRSZQGUFZHUFZUGUHUIZRSZPZQYGYKTUAZ
      RSZUJXSYLPZQAYKTUAZRSZUJYAYCUJEFGHABUKUKUHNULYGAUMZYMYPYOYRYSYHXSYLYGAQRU
      NUOYSYNYQQRYGAYKTUPUQURYKBUMZYPYAYRYCYTYLXTXSYKBQRUNUSYTYQYBQRYKBATUTUQUR
      YEUKOZYFUKOZPZYIUKOZYJUKOZPPZYFYEVASZYJYIVASZPZYOYMUUFUUIYEYJVBUAZYFYIVBU
      AZVCUAZYEYIVBUAZYFYJVBUAZVCUAZVASZYOUUOUKOZUUEUUIUUPUJUUFUUQUUEPZIUFZUKOZ
      YFUUSVCUAZYEUMZPZJUFZUKOZYJUVDVCUAZYIUMZPZPZJVDIVDZUUPUUIUURUVIUUPIJUURUU
      TUVEPUVBUVGPZPUUPUVIUURUUTUVEUVKUUPUUQUUEUUTUVEUVKUUPUJZUJZUJUUTUUEUUQUVM
      UUTUUEUUQUVMUUTUUEPZUUQPUVLUVEUUSYJVBUAZUKOZUUQUVLUVNUVPUUQPZUVKUUOUULUUS
      UVDVBUAZVCUAZUMZUUPUVQUVOUUOVCUAZUVOUVSVCUAZUMUVTUVKUVOUUOUVSUUMUUNVCVEZU
      ULUVRVCVEVFUVKUUMUUNUVOVCUAZVCUAZUVOUUKUVRVCUAZVCUAZUUJVCUAZUWAUWBUVKUVAU
      VFVBUAZUWDVCUAUWEUWHUVKUWIUUMUWDVCUVAYEUVFYIVBVGVHUVGUVBUWIUWGUWDUUJVCUVG
      UUNYFUVDVBUAZVCUAZUVOUVRVCUAZVCUAZUUKUWLVCUAUWIUWGUVGUWKUUKUWLVCUVGYFUVFV
      BUAUUKUWKUVFYIYFVBUTYFYJUVDHVIZJVIZVJVKVHUVAYJVBUAZUVAUVDVBUAZVCUAUWDUWJU
      VRVCUAZVCUAUWIUWMUWPUWDUWQUWRVCKLMYFUUSYJVCVBFVIZIVIZUWNKUFZLUFZKVIZLVIZV
      LZUXAUXBMUFZUXDMVIZVJZVMZKLMYFUUSUVDVCVBUWSUWTUWOUXEUXHVMVNUVAYJUVDUWNUWO
      VJKLMUUNUWJUVOUVRVCYFYJVBVEZYFUVDVBVEUUSYJVBVEZUXAUXBUXCUXDVOZUXAUXBUXFUX
      DUXGVPZUUSUVDVBVEZVQVRKLMUVOUUKUVRVCUXKYFYIVBVEZUXNUXLUXMVSVTUVBUWPUUJUWD
      UVAYEYJVBUPUXIVKWAWBUUOUVOVCUAUWEUWAUUMUUNUVOUXJUXKVPUUOUVOUWCUXKVOWCUVOU
      UJVCUAUWFVCUAUVOUUJUWFVCUAZVCUAUWHUWBUVOUUJUWFYEYJVBVEZUUKUVRVCVEZVPKLMUV
      OUWFUUJVCUXKUXRUXQUXLUXMWDUVSUXPUVOVCUUJUUKUVRUXOUXNVPWEVRWFWGUUQUVTUUPUJ
      UVPUUQUVSUUOUMUUPUVTUULUVRUUOUXNWHUUOUVSWIWJWKWLUUSYJWMWNWOWPWQWRWSUUTUVB
      UVEUVGWTWJXAUUIUVCIVDZUVHJVDZPUVJUUGUXSUUHUXTIYFYEEVIZXBJYJYIGVIZXBUEUVCU
      VHIJXCXDWGUUAUUDUUBUUEUUQUUMUKOUUNUKOUUQUUAUUDPUUBUUEPUUMUUNXEYEYIWMYFYJW
      MXFXGUUCUUDUUEXHXIUUFYOQUUOUULUGUHUIZRSUUPUUFYNUYCQRYEYFYIYJXJUQUUOUULUWC
      UUJUUKVCVEXKXLXMYHUUGYLUUHYEYFUYAUWSXKYIYJUYBUWNXKXNWJXOXP $.
      $( [13-May-1996] $)
  $}

  ${
    $d x y z A $.
    sqgt0sr.1 $e |- A e. V $.
    $( The square of a nonzero signed real is positive. $)
    sqgt0sr $p |- ( A e. R. -> ( -. A = 0R -> 0R <R ( A .R A ) ) ) $=
      ( vx vy vz cnr wcel c0r wceq wn cltr wbr wo cmr co wb 0r wor wa ltsosr
      sotrieq mpan mpan2 con2bid cm1r cplr m1r mulclsr elisseti ltasr syl
      pn0sr oprex addcomsr syl5eq 0idsr breq12d bitrd mulgt0sr anidms syl6bi
      c1r 1idsr cv visset mulcomsr mulasssr caopr4 m1m1sr opreq2i eqtr breq2d
      sylibd wi a1i jaod sylbird ) AFGZAHIZJAHKLZHAKLZMZHAANOZKLZVRVSWBVRHFGZVS
      WBJPZQFKRVRWESWFTFAHKUAUBUCUDVRVTWDWAVRVTHAUENOZWGNOZKLZWDVRVTHWGKLZWIVRV
      TWGAUFOZWGHUFOZKLZWJVRWGFGZVTWMPVRUEFGWNUGAUEUHUCZAHWGBHFQUIUJUKVRWKHWLWG
      KVRAWGUFOHWKAULWGAAUENUMZBUNUOVRWNWLWGIWOWGUPUKUQURWJWIWGWGWPWPUSUTVAVRWH
      WCHKVRWCVBNOZWCWHVRWQWCIZVRVRSWCFGWRAAUHWCVCUKUTWHWCUEUENOZNOWQCDEAUEAUEN
      BUEFUGUIZBCVDZDVDZCVEDVEZVFXAXBEVDXCEVEVGWTVHWSVBWCNVIVJVKUOVLVMWAWDVNVRW
      AWDAABBUSUTVOVPVQ $.
      $( [14-May-1996] $)
  $}

  ${
    $d x y A $.
    recexsr.1 $e |- A e. V $.
    $( The reciprocal of a nonzero signed real exists.  Part of Proposition
       9-4.3 of [Gleason] p. 126. $)
    recexsr $p |- ( A e. R. -> ( -. A = 0R ->
                  E. x ( x e. R. /\ ( A .R x ) = 1R ) ) ) $=
      ( vy cnr wcel c0r wceq wn cmr co cltr wbr cv c1r wa wex sqgt0sr oprex
      eleq1 opreq2 eqeq1d anbi12d cla4ev visset mulasssr eqeq1i sylan2b
      mulclsr sylan exp31 imp3a 19.23adv recexsrlem syl5 syld ) BEFZBGHIGBBJKZL
      MZANZEFZBUTJKZOHZPZAQZBCRUQDNZEFZURVFJKZOHZPZDQVEUSUQVJVEDUQVGVIVEUQVGVIV
      EBVFJKZEFZVIVEUQVGPVLBVKJKZOHZVEVIVDVLVNPAVKBVFJSUTVKHZVAVLVCVNUTVKETVOVB
      VMOUTVKBJUAUBUCUDVHVMOBBVFCDUEUFUGUHBVFUIUJUKULUMDURBBJSUNUOUP $.
      $( [15-May-1996] $)
  $}

  ${
    ssgt0sr.1 $e |- A e. V $.
    ssgt0sr.2 $e |- B e. V $.
    $( The sum of squares of signed reals is positive if one is nonzero. $)
    ssgt0sr $p |- ( ( A e. R. /\ B e. R. ) -> ( -. ( A = 0R /\ B = 0R )
             -> 0R <R ( ( A .R A ) +R ( B .R B ) ) ) ) $=
      ( cnr wcel wa c0r wceq wn wo cmr co cplr cltr wbr wi sqgt0sr imp adantrr
      wb opreq12 anidms 0r 00sr ax-mp syl6eq opreq2d mulclsr 0idsr syl
      sylan9eqr breq2d adantrl mpbird adantlr ancoms exp31 im2anan9 oprex
      addgt0sr syl6 exp3a com3l pm2.61d com12 opreq1d elisseti addcomsr syl5eq
      adantll exp32 jaod ianor syl5ib ) AEFZBEFZGZAHIZJZBHIZJZKHAALMZBBLMZNMZOP
      ZVSWAGJVRVTWFWBVTVRWFVTWAVRWFQVTWAVRWFVRVTWAGZWFVPWGWFVQVPWGGWFHWCOPZVPVT
      WHWAVPVTWHACRZSTVPWAWFWHUAVTVPWAGWEWCHOWAVPWEWCHNMZWCWAWDHWCNWAWDHHLMZHWA
      WDWKIBHBHLUBUCHEFWKHIUDHUEUFZUGUHVPWCEFZWJWCIVPWMAAUIUCWCUJUKULUMUNUOUPUQ
      URVRVTWBWFVRVTWBWFVRVTWBGWHHWDOPZGWFVPVTWHVQWBWNWIBDRZUSWCWDAALUTBBLUTZVA
      VBVCZVDVEVFVRVSWBWFQVRVSWBWFVQVSWBGZWFVPVQWRGWFWNVQWBWNVSVQWBWNWOSUNVQVSW
      FWNUAWBVQVSGWEWDHOVSVQWEHWDNMZWDVSWCHWDNVSWCWKHVSWCWKIAHAHLUBUCWLUGVGVQWD
      EFZWSWDIVQWTBBUIUCWTWDHNMWDWSWDUJHWDHEUDVHWPVIVJUKULUMTUOVKVLWQVEVMVSWAVN
      VO $.
      $( [14-May-1996] $)
  $}

  ${
    mappsrpr.1 $e |- A e. V $.
    $( Mapping from positive signed reals to positive reals. $)
    mappsrpr $p |- ( 0R <R [ <. ( A +P. 1P ) , 1P >. ] ~R <->
                     A e. P. ) $=
      ( c0r c1p cpp co cop cer cec cltr wbr cltp cnp wcel df-0r breq1i 1pr
      elisseti oprex ltsrpr addcompr opreq2i addasspr eqtr4 breq2i ltrelpr
      brel pm3.27d dmplp 0npr ndmoprrcl syl addclpr mp2an ltaddpr mpan impbi
      bitr 3bitr ) CADEFZDGHIZJKDDGHIZVAJKDDEFZDUTEFZLKZAMNZCVBVAJOPDDUTDDMQRZV
      GADESVGTVEVCVCAEFZLKZVFVDVHVCLVDDDAEFZEFVHUTVJDEADBVGUAUBDDAVGBUCUDUEVIVF
      VIVHMNZVFVIVCMNZVKVCVHMMLVCAESUFUGUHVKVLVFVCAMEBUIUJUKUHULVLVFVIDMNZVMVLQ
      QDDUMUNVCAUOUPUQURUS $.
      $( [17-May-1996] $)
  $}

  ${
    ltpsrpr.1 $e |- A e. V $.
    ltpsrpr.2 $e |- B e. V $.
    $( Mapping of order from positive signed reals to positive reals. $)
    ltpsrpr $p |- ( [ <. ( A +P. 1P ) , 1P >. ] ~R <R
           [ <. ( B +P. 1P ) , 1P >. ] ~R <-> A <P B ) $=
      ( c1p cpp co cltp wbr cop cer cec cltr cnp 1pr elisseti addcompr breq12i
      oprex breq1i ltsrpr wcel wb ltapr ax-mp 3bitr4 ) AEFGZBEFGZHIZEAFGZEBFGZH
      IZUGEJKLUHEJKLMIZABHIZUGUJUHUKHAECENOPZQBEDUOQRUGEFGZEUHFGZHIEUGFGZUQHIZU
      MUIUPURUQHUGEAEFSZUOQTUGEUHEUTUOBEFSZUOUAENUBZUIUSUCOUGUHEUTVAUDUEUFVBUNU
      LUCOABECDUDUEUF $.
      $( [17-May-1996] $)
  $}

  ${
    $d x y z A $.
    map2psrpr.1 $e |- A e. V $.
    $( Equivalence for positive signed real. $)
    map2psrpr $p |- ( 0R <R A <->
            E. x ( x e. P. /\ [ <. ( x +P. 1P ) , 1P >. ] ~R = A ) ) $=
      ( vy vz c0r cltr wbr cv cnp wcel c1p cpp co cop cer cec wceq wa wex cnr
      ltrelsr brel pm3.27d wi df-nr breq2 eqeq2 anbi2d exbidv imbi12d wb
      enreceq 1pr addclpr mpan2 jctir sylan elisseti visset addasspr oprex
      addcompr eqtr eqeq1i syl6bb expcom pm5.32d cltp df-0r breq1i ltsrpr bitr
      ltexpri sylbi syl5bir ecoptocl mpcom mappsrpr syl5bbr biimpac 19.23aiv
      impbi ) FBGHZAIZJKZWELMNZLOPQZBRZSZATZBUAKZWDWKWDFUAKWLFBUAUAGCUBUCUDFDIZ
      EIZOPQZGHZWFWHWORZSZATZUEWDWKUEDEBJJPUAUFWOBRZWPWDWSWKWOBFGUGWTWRWJAWTWQW
      IWFWOBWHUHUIUJUKWMJKWNJKSZWSWFLWNMNZWEMNZLWMMNZRZSZATZWPXAWRXFAXAWFWQXEWF
      XAWQXEULWFXASWQWGWNMNZXDRZXEWGJKZLJKZSXAWQXIULWFWGLWMWNUMWFXJXKWFXKXJUNWE
      LUOUPUNUQURXHXCXDXHWEXBMNXCWELWNLJUNUSZEUTZVAWEXBAUTZLWNMVBVCVDVEVFVGVHUJ
      WPXBXDVIHZXGWPLLOPQZWOGHXOFXPWOGVJVKLLWMWNXLXLDUTXMVLVMAXBXDLWMMVBVNVOVPV
      QVRWJWDAWIWFWDWIFWHGHWDWFWHBFGUGWEXNVSVTWAWBWC $.
      $( [17-May-1996] $)
  $}

  ${
    $d x w v u A $.  $d x y z w v u B $.
    suppsr.1 $e |- B = { w | [ <. ( w +P. 1P ) , 1P >. ] ~R e. A } $.
    $( Mapping of non-empty subset from positive reals to positive signed
       reals. $)
    suppsrlem $p |- ( ( A. x ( x e. A -> 0R <R x ) /\ -. A = (/) ) ->
                    ( B (_ P. /\ -. B = (/) ) ) $=
      ( cv wcel c0r cltr wbr wi wal c0 wceq wn wa cnp wss c1p cpp co cop cer
      cec cvv enrex ecexg ax-mp eleq1 breq2 imbi12d cla4v abeq2i syl5ib visset
      mappsrpr syl6ib ssrdv adantr wex hba1 ax-17 hbim ax-4 com12 syl5bb
      biimprcd n0i syl6 adantld 19.23adv map2psrpr syld 19.23ai n0 imp jca ) AF
      ZCGZHVRIJZKZALZCMNOZPDQRZDMNOZWBWDWCWBBDQWBBFZDGZHWFSTUASUBZUCUDZIJZWFQGZ
      WBWICGZWJWGWAWLWJKAWIUCUEGWIUEGUFWHUEUCUGUHVRWINVSWLVTWJVRWICUIVRWIHIUJUK
      ULWLBDEUMZUNWFBUOUPUQURUSWBWCWEWBVSAUTZWEWCWNWBWEVSWBWEKAWBWEAWAAVAWEAVBV
      CVSWBVTWEWBVSVTWAAVDVEVSWKWIVRNZPZBUTWEVTVSWPWEBVSWOWEWKVSWOWGWEWOWGVSWOW
      LVSWGWIVRCUIWMVFVGDWFVHVIVJVKBVRAUOVLUNVMVNVEACVOUNVPVQ $.
      $( [18-May-1996] $)

    $( A non-empty, bounded set of positive signed reals has a supremum. $)
    suppsr $p |- ( ( ( A. x ( x e. A -> 0R <R x ) /\ -. A = (/) ) /\
         E. x ( 0R <R x /\ A. y ( 0R <R y -> ( y e. A -> y <R x ) ) ) ) ->
       E. x ( 0R <R x /\ A. y ( 0R <R y -> ( ( y e. A -> -. x <R y ) /\
           ( y <R x -> E. z ( 0R <R z /\ ( z e. A /\ y <R z ) ) ) ) ) ) ) $=
      ( vv vu cnp wss c0 wceq wn wa c0r cv cltr wbr wcel wi wal wex cltp
      supexpr c1p cpp co cop cer cec cvv enrex ecexg ax-mp breq1 negbid imbi2d
      breq2 imbi1d anbi12d albidv eleq1 visset opreq1 opeq1 eceq2 3syl eleq1d
      elab2 syl5bb ltpsrpr syl5bbr imbi12d anbi2d exbidv mappsrpr map2psrpr
      gencbvex gencbval sylib sylan2br suppsrlem sylan ) FJKFLMNOZPAQZRSZPBQZRS
      ZWHETZWHWFRSZUAZUAZBUBZOAUCZWGWIWJWFWHRSZNZUAZWKPCQZRSZWSETZWHWSRSZOZOZCU
      CZUAZOZUAZBUBZOAUCZWFETWGUAAUBELMNOWEDQZJTZHQZJTZXMFTZXMXKUDSZUAZUAHUBZOD
      UCZXJWOWEXSOXLXNXOXKXMUDSZNZUAZXPIQZJTZYCFTZXMYCUDSZOZOIUCZUAZOZUAHUBZODU
      CXJDHIFUEYKXIXLWGDAXKUFUGUHZUFUIZUJUKZUJULTZYNULTUMYMULUJUNUOZYNWFMZWIWJY
      NWHRSZNZUAZWHYNRSZXEUAZOZUAZBUBXIYKYQUUDXHBYQUUCXGWIYQYTWRUUBXFYQYSWQWJYQ
      YRWPYNWFWHRUPUQURYQUUAWKXEYNWFWHRUSZUTVAURVBYJUUCXNWIHBXMUFUGUHZUFUIZUJUK
      ZYOUUHULTUMUUGULUJUNUOZUUHWHMZYBYTYIUUBUUJXOWJYAYSUUJUUHETZWJXOUUHWHEVCYN
      ETZUUKDXMFHVDZXKXMMZYNUUHEUUNYLUUFMYMUUGMYNUUHMXKXMUFUGVEYLUUFUFVFYMUUGUJ
      VGVHVIGVJVKZUUJXTYRUUJYNUUHRSYRXTUUHWHYNRUSXKXMDVDZUUMVLVMUQVNUUJXPUUAYHX
      EUUJUUHYNRSUUAXPUUHWHYNRUPXMXKUUMUUPVLVMZUUJWTXAUUHWSRSZOZOZCUCXEYHUUJUUT
      XDCUUJUUSXCWTUUJUURXBXAUUHWHWSRUPVOVOVPYGUUSYDWTICYCUFUGUHZUFUIZUJUKZYOUV
      CULTUMUVBULUJUNUOUVCWSMZYEXAYFUURUVDUVCETZXAYEUVCWSEVCUULUVEDYCFIVDZXKYCM
      ZYNUVCEUVGYLUVAMYMUVBMYNUVCMXKYCUFUGVEYLUVAUFVFYMUVBUJVGVHVIGVJVKUVDUUHUV
      CRSUURYFUVCWSUUHRUSXMYCUUMUVFVLVMVAUVDPUVCRSWTYDUVCWSPRUSYCUVFVQVMIWSCVDV
      RVSVKVNVAUUJPUUHRSWIXNUUHWHPRUSXMUUMVQVMZHWHBVDVRZVTVKYQPYNRSWGXLYNWFPRUS
      XKUUPVQVMZDWFAVDVRZVSWAXRWNXLWGDAYNYPYQWIWJUUAUAZUAZBUBWNXRYQUVMWMBYQUVLW
      LWIYQUUAWKWJUUEURURVBXQUVLXNWIHBUUHUUIUUJXOWJXPUUAUUOUUQVNUVHUVIVTVKUVJUV
      KVSWBADEFGWCWD $.
      $( [18-May-1996] $)
  $}

  ${
    $d x y z w v A $.
    $( A non-empty, bounded set of positive signed reals has a supremum.
      (Converts quantifier restrictions to all reals.) $)
    suppsr2 $p |- ( ( ( A. x ( x e. A -> 0R <R x ) /\ -. A = (/) ) /\
         E. x ( x e. R. /\ A. y ( y e. R. -> ( y e. A -> y <R x ) ) ) ) ->
       E. x ( x e. R. /\ A. y ( y e. R. -> ( ( y e. A -> -. x <R y ) /\
           ( y <R x -> E. z ( z e. R. /\ ( z e. A /\ y <R z ) ) ) ) ) ) ) $=
      ( vw vv cv wcel c0r cltr wbr wi wal c0 wceq wn wa cnr wex hba1 ax-17
      hban eleq1 breq2 imbi12d a4v breq1 visset ltrelsr brel pm3.27d syl5
      anc2l syl 0r elisseti ltsosr sotri syl8 sylan9 pm2.43d 19.23adv n0
      syl5ib ex com23 imp imim1i 19.20i a1i jcad adantld 19.22d imdistani c1p
      cpp co cop cer cec cab opreq1 opeq1 eceq2 3syl eleq1d cbvabv suppsr
      imim1 merlem10 syl6 adantr pm3.27 ancld wo wb wor sotric mpan con2bid
      biimpd jaoi syl6bir impcom anim2d an12 syl6ib 19.22dv exp32 com24 imp31
      a1dd pm2.61d an1rs anim1i 19.22i exp31 anim12d jcab 3imtr4g 19.20dv mpd
      ) AGZDHZIYCJKZLZAMZDNOPZQZYCRHZBGZRHZYKDHZYKYCJKZLZLZBMZQZASZQZYEIYKJKZYM
      YCYKJKPZLZYNICGZJKZUUDDHZYKUUDJKZQZQZCSZLZQLZBMZQZASZYJYLUUCYNUUDRHZUUHQZ
      CSZLZQLZBMZQZASZYTYIYEUUAYOLZBMZQZASZQUUOYIYSUVGYIYRUVFAYGYHAYFATYHAUAUBZ
      YIYQUVFYJYIYQYEUVEYGYHYQYELYGYQYHYEYGYQYHYELYGYQQZUUFCSZYEYHUVIUUFYECUVIU
      UFYEYGUUFUUEYQUUFYELYFUUFUUELACYCUUDOYDUUFYEUUEYCUUDDUCYCUUDIJUDUEUFZYQUU
      EUUFUUEUUDYCJKZQZYEYQUUEUUFUVLLZLUUEUUFUVMLLYQUUPUVNUUEYPUUPUVNLBCYKUUDOZ
      YLUUPYOUVNYKUUDRUCUVOYMUUFYNUVLYKUUDDUCYKUUDYCJUGUEUEUFUUEIRHZUUPIUUDRRJC
      UHZUIUJUKZULUUEUUFUVLUMUNIUUDYCJRIRUOUPZUQUIUVQAUHZURUSUTVAVBCDVCZVDVEVFV
      GYQUVELYIYPUVDBUUAYLYOUUAUVPYLIYKRRJBUHZUIUJUKVHVIVJVKVLVMVNABCEDFGZVOVPV
      QZVOVRZVSVTZDHZFWAUWGEGZVOVPVQZVOVRZVSVTZDHFEUWCUWHOZUWFUWKDUWLUWDUWIOUWE
      UWJOUWFUWKOUWCUWHVOVPWBUWDUWIVOWCUWEUWJVSWDWEWFWGWHUNYIUUOUVCLYSYIUUNUVBA
      UVHYIYEYJUUMUVAYEYJLYIYEUVPYJIYCRRJUVTUIUJUKVJYIUULUUTBYIUUAUUCLZUUAUUKLZ
      QYLUUCLZYLUUSLZQUULUUTYIUWMUWOUWNUWPYGUWMUWOLZYHYGYMUUALZUWQYFUWRABYCYKOY
      DYMYEUUAYCYKDUCYCYKIJUDUEUFUWRUWMYMUUCLUWOYMUUAUUCWIYMUUBYLWJWKUNWLYIUWNY
      LUUSYIUWNQYLQYNUUJUURYIYLUWNUUKYIYLQZUWNQUUAUUKUWSUWNWMUWSUUAPZUUKLUWNUWS
      UWTUUJYNYGYHYLUWTUUJLYGUWTYLYHUUJYGUWTYLYHUUJLYGUWTYLQZQZUVJUUJYHUXBUUFUU
      ICYGUUFUUFUUEQZUXAUUIYGUUFUUEUVKWNUXAUXCUUFUUEUUGQZQUUIUXAUUEUXDUUFUXAUUE
      UUGYLUWTUUEUUGLZYLUWTIYKOZYKIJKZWOZUXEYLUUAUXHUVPYLUUAUXHPWPZUORJWQUVPYLQ
      UXIUQRIYKJWRWSWSWTUXFUXEUXGUXFUUEUUGIYKUUDJUGXAUXGUUEUUGYKIUUDJRUWBUQUIUV
      SUVQURVEXBXCXDWNXEUUFUUEUUGXFXGUTXHUWAVDXIXJXKXLWLXMXNUUIUUQCUUEUUPUUHUVR
      XOXPWKXQXRUUAUUCUUKXSYLUUCUUSXSXTYAXRVMWLYB $.
      $( [20-May-1996] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    suppsr3.1 $e |- B = { y | ( y e. A /\ 0R <R y ) } $.
    $( A non-empty, bounded set with at least one positive real has a
       supremum. $)
    suppsr3 $p |- ( ( E. y ( y e. A /\ 0R <R y ) /\
         E. x ( x e. R. /\ A. y ( y e. R. -> ( y e. A -> y <R x ) ) ) ) ->
       E. x ( x e. R. /\ A. y ( y e. R. -> ( ( y e. A -> -. x <R y ) /\
           ( y <R x -> E. z ( z e. R. /\ ( z e. A /\ y <R z ) ) ) ) ) ) ) $=
      ( cv wcel c0r cltr wbr wa wex cnr wi wal wn c0 wceq visset eleq1 breq2
      anbi12d elab2 pm3.27bi ax-gen suppsr2 mpanl1 n0 abeq2i exbii bitr biimpr
      pm3.26bi imim1i imim2i 19.20i anim2i 19.22i syl2an hbe1 ax-17 hban hba1
      imbi1i impexp pm2.04 sylbi com23 a4s adantl hbim wo wb wor ltsosr sotric
      mpan con2bid ltrelsr brel pm3.27d sylan2 biimprcd 0r elisseti sotri ex
      jaod sylbird adantld a2d syl5ib imim2d anabs7 bitr3 sylibr syl6 a4sd
      com3r 19.23ai imp31 con3d syl ax-1 a1d pm2.61d anim1i a1i anim12d jcab
      albii 19.26 3imtr4g imp 19.21ai exp31 imdistand 19.22dv adantr mpd ) BGZD
      HZIYBJKZLZBMZAGZNHZYBNHZYCYBYGJKZOZOZBPZLZAMZLYHYIYBEHZYGYBJKZQZOZYJCGZNH
      ZYTEHZYBYTJKZLZLZCMZOZLOZBPZLZAMZYHYIYCYROZYJUUAYTDHZUUCLZLZCMZOZLOZBPZLZ
      AMZERSQZYHYIYPYJOZOZBPZLZAMZUUKYFYOYGEHZIYGJKZOZAPUVBUVGUUKUVJAUVHYGDHZUV
      IYEUVKUVILBYGEATZYBYGSYCUVKYDUVIYBYGDUAYBYGIJUBUCFUDUEUFABCEUGUHUVBYFUVBY
      PBMYFBEUIYPYEBYEBEFUJZUKULUMYNUVFAYMUVEYHYLUVDBYKUVCYIYPYCYJYPYCYDUVMUNUO
      UPUQURUSUTYFUUKUVAOYOYFUUJUUTAYFYHUUIUUSYFYHUUIUUSYFYHLZUUILUURBUVNUUIBYF
      YHBYEBVAYHBVBZVCUUHBVDVCUVNUUIUURUVNYIYSOZBPZYIUUGOZBPZLZYIUULOZYIUUQOZLU
      UIUURUVNUVQUWAUVSUWBUVNUVQUWAUVNUVQLZYDUWAUVQYDUWAOZUVNUVPUWDBUVPYIYDUULY
      SYDUULOZYIYSYCYDYROOZUWEYSYEYROZUWFYPYEYRUVMVEZYCYDYRVFULYCYDYRVGVHUPVIVJ
      VKUWCYDQZYRUWAUWCUVIUWIYROYFYHUVQUVIYEYHUVQUVIOZOBYHUWJBUVOUVQUVIBUVPBVDU
      VIBVBVLVLYHUVQYEUVIYHUVPYEUVIOZBYHUVPYIUWKOZUWKYHYSUWKYIYHUWGUWKYSYHYEYRU
      VIYHYDYRUVIOZYCYHYDUWMYHYDLYRYGYBSZYJVMZUVIYHYIUWOYRVNYDYHYILZYQUWONJVOUW
      PYQUWOQVNVPNYGYBJVQVRVSYDINHYIIYBNNJBTZVTWAWBZWCYDUWOUVIOYHYDUWNUVIYJUWNU
      VIYDYGYBIJUBWDYDYJUVIIYBYGJNINWEWFZVPVTUWQUVLWGWHWIVKWJWHWKWLUWHWMWNUWLYD
      UWKOZUWKYDYIUWKUWRUOUWKYDYELZUVIOUWTUXAYEUVIYCYDWOVEYDYEUVIVFWPWQWRWSWTXA
      XBUVIYQYDUVIYQYDIYGYBJNUWSVPVTUVLUWQWGWHXCXDYRUULYIYRYCXEXFWRXGWHUVSUWBOU
      VNUVRUWBBUUGUUQYIUUFUUPYJUUEUUOCUUDUUNUUAUUBUUMUUCUUBUUMIYTJKZYEUUMUXBLBY
      TECTYBYTSYCUUMYDUXBYBYTDUAYBYTIJUBUCFUDUNXHURUSUPUPVJXIXJUUIUVPUVRLZBPUVT
      UUHUXCBYIYSUUGXKXLUVPUVRBXMULYIUULUUQXKXNXOXPXQXRXSXTYA $.
      $( [20-May-1996] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    supsrlem.1 $e |- C e. R. $.

    $( Lemma for supremum theorem. $)
    supsrlem1 $p |- ( ( C +R ( A +R -1R ) ) e. R. <-> A e. R. ) $=
      ( cm1r cplr co cnr wcel oprex dmaddsr 0nsr ndmoprrcl pm3.27d m1r
      elisseti pm3.26d syl addclsr mpan2 mpan impbi ) BADEFZEFGHZAGHZUCUBGHZUDU
      CBGHZUEBUBGEADEIJKLMUEUDDGHZADGEDGNOJKLPQUDUEUCUDUGUENADRSUFUEUCCBUBRTQUA
      $.
      $( [20-May-1996] $)

    $( Lemma for supremum theorem. $)
    supsrlem2 $p |- ( A e. R. <->
                    E. x ( x e. R. /\ ( C +R ( x +R -1R ) ) = A ) ) $=
      ( cnr wcel cv cm1r cplr co wceq wa wex cmr c0r m1r mulclsr mpan2 jctir
      addclsr syl negexsr 3syl wi pn0sr opreq1d jctil 0idsr oprex 0r elisseti
      addcomsr syl5eqr sylan9eq addasssr adantr eqeq12d visset opreq2i 3eqtr
      eqeq1i opreq2 sylbi syl5bi ex imdistand 19.22dv mpd eleq1 impcom
      19.23aiv impbi ) BEFZAGZEFZCVNHIJZIJZBKZLZAMZVMVOBHNJZCIJZHIJZVNIJZOKZLZA
      MZVTVMWBEFZWCEFZWGVMWAEFZCEFZLWHVMWJWKVMHEFZWJPBHQRDSWACTUAWHWLWIPWBHTRAW
      CUBUCVMWFVSAVMVOWEVRVMVOWEVRUDVMVOLZBWAVQIJZIJZBOIJZKZVRWEWMWOVQWPBWMBWAI
      JZVQIJZVQWOVMVOWSOVQIJZVQVMWROVQIBUEUFVOVQOIJZVQWTVOWKVPEFZLZVQEFZXAVQKVO
      XBWKVOWLXBPVNHTRDUGZCVPTZVQUHUCVQOCVPIUIZOEUJUKULUMUNBWAVQBHNUIXGUOUMVMWP
      BKVOBUHUPUQWEWNOKWQWDWNOWDWBHVNIJZIJWBVPIJWNWBHVNHEPUKZAURZUOXHVPWBIHVNXI
      XJULUSWACVPCEDUKVNHIUIUOUTVAWNOBIVBVCVDVEVFVGVHVSVMAVRVOVMVRXDVMVOVQBEVIV
      OXCXDXEXFUAVDVJVKVL $.
      $( [21-May-1996] $)

    ${
      supsrlem3.2 $e |- A e. V $.
      supsrlem3.3 $e |- B e. V $.
      $( Lemma for supremum theorem. $)
      supsrlem3 $p |- ( ( C +R ( A +R -1R ) ) <R ( C +R ( B +R -1R ) )
                      <-> A <R B ) $=
        ( vx vy vz cltr wbr cm1r cplr co cnr wcel wb m1r cv visset ltasr
        elisseti addcomsr caoprord2 ax-mp oprex bitr2 ) ABJKZALMNZBLMNZJKZCUIMN
        CUJMNJKZLOPUHUKQRGHIABLJOMEFGSZHSZISGTZHTZUALORUBUMUNUOUPUCUDUECOPUKULQ
        DUIUJCALMUFBLMUFUAUEUG $.
        $( [21-May-1996] $)
    $}

    ${
      supsrlem.2 $e |- B = { w | ( C +R ( w +R -1R ) ) e. A } $.
      ${
        $d x D $.
        supsrlem4.1 $e |- D e. V $.
        $( Lemma for supremum theorem. $)
        supsrlem4 $p |- ( D e. B <-> ( C +R ( D +R -1R ) ) e. A ) $=
          ( vx cv cm1r cplr co wcel wceq opreq1 opreq2d eleq1d cab cbvabv eqtr
          elab2 ) DIJZKLMZLMZBNZDEKLMZLMZBNIECHUCEOZUEUHBUIUDUGDLUCEKLPQRCDAJZK
          LMZLMZBNZASUFISGUMUFAIUJUCOZULUEBUNUKUDDLUJUCKLPQRTUAUB $.
          $( [21-May-1996] $)
      $}

      $( Lemma for supremum theorem. $)
      supsrlem5 $p |- ( C e. A -> E. y ( y e. B /\ 0R <R y ) ) $=
        ( wcel c1r c0r cltr wbr wa cv wex cm1r cplr co cnr 1r elisseti
        supsrlem4 0lt1sr biantru m1r addcomsr m1p1sr eqtr opreq2i wceq 0idsr
        ax-mp eleq1i 3bitr3 eleq1 breq2 anbi12d cla4ev sylbir ) ECHZIDHZJIKLZMZ
        ANZDHZJVDKLZMZAOVAEIPQRZQRZCHVCUTBCDEIFGISTUAZUBVBVAUCUDVIECVIEJQRZEVHJ
        EQVHPIQRJIPVJPSUEUAUFUGUHUIESHVKEUJFEUKULUHUMUNVGVCAIVJVDIUJVEVAVFVBVDI
        DUOVDIJKUPUQURUS $.
        $( [21-May-1996] $)

      $( Lemma for supremum theorem. $)
      supsrlem6 $p |- ( ( C e. A /\
         E. x ( x e. R. /\ A. y ( y e. R. -> ( y e. A -> y <R x ) ) ) ) ->
       E. x ( x e. R. /\ A. y ( y e. R. -> ( ( y e. A -> -. x <R y ) /\
           ( y <R x -> E. z ( z e. R. /\ ( z e. A /\ y <R z ) ) ) ) ) ) ) $=
        ( vv vu cv wcel c0r cltr wbr wa wex cnr wi wal wn cab wceq eleq1 breq2
        anbi12d cbvabv suppsr3 cm1r cplr co oprex breq1 negbid imbi2d imbi1d
        albidv visset supsrlem4 syl5bb supsrlem3 syl5bbr imbi12d anbi2d exbidv
        supsrlem1 supsrlem2 gencbvex gencbval sylib sylan2br supsrlem5 sylan )
        JLZFMZNVOOPZQZJRZALZSMZBLZSMZWBEMZWBVTOPZTZTZBUAZQARZWAWCWDVTWBOPZUBZTZ
        WECLZSMZWMEMZWBWMOPZQZQZCRZTZQZTZBUAZQARZGEMVSDLZSMZVOSMZVPVOXEOPZTZTJU
        AZQDRZXDWIVSXKQXFXGVPXEVOOPZUBZTZXHKLZSMZXOFMZVOXOOPZQZQKRZTZQZTJUAZQDR
        XDDJKFVTFMZNVTOPZQZAUCYFVRAJVTVOUDYDVPYEVQVTVOFUEVTVONOUFUGUHUIYCXCXFWA
        DAGXEUJUKULZUKULZGYGUKUMZYHVTUDZWCWDYHWBOPZUBZTZWBYHOPZWSTZQZTZBUAXCYCY
        JYQXBBYJYPXAWCYJYMWLYOWTYJYLWKWDYJYKWJYHVTWBOUNUOUPYJYNWEWSYHVTWBOUFZUQ
        UGUPURYBYPXGWCJBGVOUJUKULZUKULZGYSUKUMZYTWBUDZXNYMYAYOUUBVPWDXMYLUUBYTE
        MWDVPYTWBEUEDEFGVOHIJUSZUTVAZUUBXLYKUUBYHYTOPYKXLYTWBYHOUFXEVOGHDUSZUUC
        VBVCUOVDUUBXHYNXTWSUUBYTYHOPYNXHYTWBYHOUNVOXEGHUUCUUEVBVCZUUBWNWOYTWMOP
        ZQZQZCRWSXTUUBUUIWRCUUBUUHWQWNUUBUUGWPWOYTWBWMOUNVEVEVFXSUUHXPWNKCGXOUJ
        UKULZUKULZGUUJUKUMUUKWMUDZXQWOXRUUGUULUUKEMWOXQUUKWMEUEDEFGXOHIKUSZUTVA
        UULYTUUKOPUUGXRUUKWMYTOUFVOXOGHUUCUUMVBVCUGUULUUKSMWNXPUUKWMSUEXOGHVGVC
        KWMGHVHVIVAVDUGUUBYTSMWCXGYTWBSUEVOGHVGVCZJWBGHVHZVJVAYJYHSMWAXFYHVTSUE
        XEGHVGVCZDVTGHVHZVIVKXJWHXFWADAYHYIYJWCWDYNTZTZBUAWHXJYJUUSWGBYJUURWFWC
        YJYNWEWDYRUPUPURXIUURXGWCJBYTUUAUUBVPWDXHYNUUDUUFVDUUNUUOVJVAUUPUUQVIVL
        JDEFGHIVMVN $.
        $( [21-May-1996] $)
    $}
  $}

  ${
    $d x y z w v u A $.
    $( A non-empty, bounded set of signed reals has a supremum. $)
    supsr $p |- ( ( ( A (_ R. /\ -. A = (/) ) /\ E. x ( x e. R. /\
                     A. y ( y e. R. -> ( y e. A -> y <R x ) ) ) ) ->
       E. x ( x e. R. /\ A. y ( y e. R. -> ( ( y e. A -> -. x <R y ) /\
           ( y <R x -> E. z ( z e. R. /\ ( z e. A /\ y <R z ) ) ) ) ) ) ) $=
      ( vw vu vv cnr wss c0 wceq wn cv wcel cltr wbr wi wal wa wex ssel c0r
      cif eleq1 imbi1d cm1r cplr co cab 0r elimel opreq1 opreq2d eleq1d cbvabv
      supsrlem6 ex dedth syli 19.23adv n0 syl5ib imp31 ) DHIZDJKLZAMZHNZBMZHNZV
      HDNZVHVFOPZQQBRSATZVGVIVJVFVHOPLQVKCMZHNVMDNVHVMOPSSCTQSQBRSATZVDEMZDNZET
      VLVNQZVEVDVPVQEVPVDVOHNZVQDHVOUAVRVPVQQVRVOUBUCZDNZVQQVOUBVOVSKVPVTVQVOVS
      DUDUEVTVLVNABCFDVSGMZUFUGUHZUGUHZDNZGUIVSVOUBHUJUKWDVSFMZUFUGUHZUGUHZDNGF
      WAWEKZWCWGDWHWBWFVSUGWAWEUFUGULUMUNUOUPUQURUSUTEDVAVBVC $.
      $( [21-May-1996] $)
  $}


  $(
  Digit strings will usually be unambigous without whitespace (for better
  readability) although we will separate digits, at least initially in our
  development, to emphasize that they are separate Metamath tokens.
  $)

  $( Class of complex numbers. $)
  cc $a class CC $.
  $( Class of real numbers. $)
  cr $a class RR $.
  $( Extend class notation to include the complex number 0. $)
  cc0 $a class 0 $.
  $( Extend class notation to include the complex number 1. $)
  c1 $a class 1 $.
  $( Extend class notation to include the complex number i. $)
  ci $a class i $.
  $( Addition on complex numbers. $)
  caddc $a class + $.
  $( 'Less than' predicate (defined over real subset of complex numbers). $)
  cltrr $a class <RR $.
  $( Multiplication on complex numbers.  The token ` x. ` is a center dot. $)
  cmul $a class x. $.

  $( Define the set of complex numbers.  The 25 axioms for complex numbers
     start at ~ axcnex . $)
  df-c $a |- CC = ( R. X. R. ) $.

  $( Define the complex number 0 (base 10). $)
  df-0 $a |- 0 = <. 0R , 0R >. $.

  $( Define the complex number 1 (base 10). $)
  df-1 $a |- 1 = <. 1R , 0R >. $.

  $( Define the complex number i (the imaginary unit). $)
  df-i $a |- i = <. 0R , 1R >. $.

  ${
    $d x y $.
    $( Define the set of real numbers. $)
    df-r $a |- RR = ( R. X. { 0R } ) $.
  $}

  ${
    $d x y z w v u f $.

    $( Define addition over complex numbers. $)
    df-plus $a |- + = { <. <. x , y >. , z >. | ( ( x e. CC /\ y e. CC ) /\
                  E. w E. v E. u E. f ( ( x = <. w , v >. /\ y = <. u , f >. )
                  /\ z = <. ( w +R u ) , ( v +R f ) >. ) ) } $.

    $( Define multiplication over complex numbers. $)
    df-mul $a |- x. = { <. <. x , y >. , z >. | ( ( x e. CC /\ y e. CC ) /\
               E. w E. v E. u E. f ( ( x = <. w , v >. /\ y = <. u , f >. )
                  /\ z = <. ( ( w .R u ) +R ( -1R .R ( v .R f ) ) ) ,
                  ( ( v .R u ) +R ( w .R f ) ) >. ) ) } $.

    $( Define 'less than' on the real subset of complex numbers. $)
    df-lt $a |- <RR = { <. x , y >. | ( ( x e. RR /\ y e. RR ) /\
     E. z E. w ( ( x = <. z , 0R >. /\ y = <. w , 0R >. ) /\ z <R w ) ) } $.
  $}

  ${
    opelcn.1 $e |- B e. V $.
    $( Ordered pair membership in the class of complex numbers. $)
    opelcn $p |- ( <. A , B >. e. CC <-> ( A e. R. /\ B e. R. ) ) $=
      ( cop cc wcel cnr cxp wa df-c eleq2i opelxp bitr ) ABDZEFNGGHZFAGFBGFIEON
      JKABGGCLM $.
      $( [14-May-1996] $)
  $}

  $( Ordered pair membership in class of real subset of complex numbers. $)
  opelreal $p |- ( <. A , 0R >. e. RR <-> A e. R. ) $=
    ( c0r cop cr wcel cnr wceq csn cxp wa df-r eleq2i 0r elisseti opelxp elsnc
    anbi2i 3bitr eqid mpbiran2 ) ABCZDEZAFEZBBGZUBUAFBHZIZEUCBUEEZJUCUDJDUFUAKL
    ABFUEBFMNZOUGUDUCBBUHPQRBST $.
    $( [22-Feb-1996] $)

  ${
    $d x y A $.
    $( Membership in class of real numbers. $)
    elreal $p |- ( A e. RR <-> E. x ( x e. R. /\ <. x , 0R >. = A ) ) $=
      ( vy cr wcel cnr c0r csn cxp cv cop wceq wa wex df-r eleq2i elxp ancom
      anass elsn eqcom anbi12i opeq2 eqeq1d pm5.32i bitr anbi2i an12 3bitr
      exbii 19.41v 0r elisseti isseti mpbiran ) BDEBFGHZIZEBAJZCJZKZLZURFEZUSUP
      EZMZMZCNZANVBURGKZBLZMZANDUQBOPACBFUPQVFVIAVFUSGLZCNZVIVFVJVIMZCNVKVIMVEV
      LCVEVDVAMZVLVAVDRVMVBVCVAMZMVBVJVHMZMVLVBVCVASVNVOVBVNVJUTBLZMVOVCVJVAVPC
      GTBUTUAUBVJVPVHVJUTVGBUSGURUCUDUEUFUGVBVJVHUHUIUFUJVJVICUKUFCGGFULUMUNUOU
      JUI $.
      $( [31-Mar-1996] $)
  $}

  $( The empty set is not a complex number.  Note: do not use this after the
     real number axioms are developed, since it is a construction-dependent
     property. $)
  0ncn $p |- -. (/) e. CC $=
    ( c0 cc wcel cnr cxp 0nelxp df-c eleq2i mtbir ) ABCADDEZCDDFBJAGHI $.
    $( [2-May-1996] $)

  ${
    $d x y z w $.
    $( 'Less than' is a relation on real numbers. $)
    ltrelre $p |- <RR (_ ( RR X. RR ) $=
      ( vx vy vz vw cltrr cv cr wcel wa c0r cop wceq cltr wbr wex copab cxp
      df-lt opabssxp eqsstr ) EAFZGHBFZGHIUACFZJKLUBDFZJKLIUCUDMNIDOCOZIABPGGQA
      BCDRUEABGGST $.
      $( [22-Feb-1996] $)
  $}

  ${
    $d x y z w v u f A $.  $d x y z w v u f B $.  $d x y z w v u f C $.
    $d x y z w v u f D $.
    $( Addition of complex numbers in terms of signed reals. $)
    addcnsr $p |- ( ( ( A e. R. /\ B e. R. ) /\ ( C e. R. /\ D e. R. ) ) ->
           ( <. A , B >. + <. C , D >. ) = <. ( A +R C ) , ( B +R D ) >. ) $=
      ( vx vy vz vw vv vu vf cv cplr co cop caddc cnr opex wceq wa opeq12
      opreq1 syl2an opreq2 sylan9eq cc wcel wex copab2 cxp df-plus df-c eleq2i
      anbi12i anbi1i oprabbii eqtr oprabval3 ) EFGHIJABCDHLZJLZMNZILZKLZMNZOZAC
      MNZBDMNZOZKPQVFVGRUSASZVBBSZTUTCSZVCDSZTVEAUTMNZBVCMNZOZVHVAVMSVDVNSVEVOS
      VIVJVAVDVMVNUAUSAUTMUBVBBVCMUBUCVMVFSVNVGSVOVHSVKVLVMVNVFVGUAUTCAMUDVCDBM
      UDUCUEPELZUFUGZFLZUFUGZTZVPUSVBOSVRUTVCOSTGLVESTKUHJUHIUHHUHZTZEFGUIVPQQU
      JZUGZVRWCUGZTZWATZEFGUIEFGHIJKUKWBWGEFGVTWFWAVQWDVSWEUFWCVPULUMUFWCVRULUM
      UNUOUPUQUR $.
      $( [28-May-1995] $)

    $( Multiplication of complex numbers in terms of signed reals. $)
    mulcnsr $p |- ( ( ( A e. R. /\ B e. R. ) /\ ( C e. R. /\ D e. R. ) ) ->
               ( <. A , B >. x. <. C , D >. ) =
                   <. ( ( A .R C ) +R ( -1R .R ( B .R D ) ) ) ,
                          ( ( B .R C ) +R ( A .R D ) ) >. ) $=
      ( vx vy vz vw vv vu vf cv cmr co cm1r cplr cop cmul cnr opex wceq wa
      opreq1 opreq2d opreqan12d opreqan12rd opeq12d opreq2 sylan9eq cc wcel
      wex copab2 cxp df-mul df-c eleq2i anbi12i anbi1i oprabbii eqtr oprabval3
      ) EFGHIJABCDHLZJLZMNZOILZKLZMNZMNZPNZVFVDMNZVCVGMNZPNZQZACMNZOBDMNZMNZPNZ
      BCMNZADMNZPNZQZKRSVRWATVCAUAZVFBUAZUBZVDCUAZVGDUAZUBZVNAVDMNZOBVGMNZMNZPN
      ZBVDMNZAVGMNZPNZQWBWEVJWLVMWOWCWDVEWIVIWKPVCAVDMUCWDVHWJOMVFBVGMUCUDUEWDW
      CVKWMVLWNPVFBVDMUCVCAVGMUCUFUGWHWLVRWOWAWFWGWIVOWKVQPVDCAMUHWGWJVPOMVGDBM
      UHUDUEWFWGWMVSWNVTPVDCBMUHVGDAMUHUEUGUIRELZUJUKZFLZUJUKZUBZWPVCVFQUAWRVDV
      GQUAUBGLVNUAUBKULJULIULHULZUBZEFGUMWPSSUNZUKZWRXCUKZUBZXAUBZEFGUMEFGHIJKU
      OXBXGEFGWTXFXAWQXDWSXEUJXCWPUPUQUJXCWRUPUQURUSUTVAVB $.
      $( [9-Aug-1995] $)

  $}

  ${
    eqresr.1 $e |- A e. V $.
    $( Equality of real numbers in terms of intermediate signed reals. $)
    eqresr $p |- ( <. A , 0R >. = <. B , 0R >. <-> A = B ) $=
      ( c0r cop wceq cnr 0r elisseti opth eqid mpbiran2 ) ADEBDEFABFDDFADBDCDGH
      IZMJDKL $.
      $( [10-May-1996] $)
  $}

  $( Addition of real numbers in terms of intermediate signed reals. $)
  addresr $p |- ( ( A e. R. /\ B e. R. ) ->
           ( <. A , 0R >. + <. B , 0R >. ) = <. ( A +R B ) , 0R >. ) $=
    ( cnr wcel wa c0r cop caddc co cplr wceq 0r pm3.2i addcnsr an4s mpan2
    0idsr ax-mp opeq2i syl6eq ) ACDZBCDZEZAFGBFGHIZABJIZFFJIZGZUEFGUCFCDZUHEUDU
    GKZUHUHLLMUAUHUBUHUIAFBFNOPUFFUEUHUFFKLFQRST $.
    $( [10-May-1996] $)

  ${
    $( (We don't bother to eliminate the redundant hypothesis.) $)
    mulresr.1 $e |- B e. V $.
    $( Multiplication of real numbers in terms of intermediate signed reals. $)
    mulresr $p |- ( ( A e. R. /\ B e. R. ) ->
           ( <. A , 0R >. x. <. B , 0R >. ) = <. ( A .R B ) , 0R >. ) $=
      ( cnr wcel wa c0r cop cmul co cmr cm1r cplr wceq 0r pm3.2i mulcnsr an4s
      mpan2 mulclsr 0idsr syl 00sr ax-mp opreq2i m1r eqtr syl5eq elisseti
      mulcomsr opreqan12rd syl6eq opeq12d eqtrd ) ADEZBDEZFZAGHBGHIJZABKJZLGGKJ
      ZKJZMJZGBKJZAGKJZMJZHZUSGHUQGDEZVGFURVFNZVGVGOOPUOVGUPVGVHAGBGQRSUQVBUSVE
      GUQUSGMJZUSVBUQUSDEVIUSNABTUSUAUBVAGUSMVALGKJZGUTGLKVGUTGNOGUCUDUELDEVJGN
      UFLUCUDUGUEUHUQVEGGMJZGUPUOVCGVDGMUPBGKJGVCBUCGBGDOUICUJUHAUCUKVGVKGNOGUA
      UDULUMUN $.
      $( [10-May-1996] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    ltresr.1 $e |- A e. V $.
    ltresr.2 $e |- B e. V $.
    $( Ordering of real subset of complex numbers in terms of signed reals. $)
    ltresr $p |- ( <. A , 0R >. <RR <. B , 0R >. <-> A <R B ) $=
      ( vz vw vx vy c0r cop cltrr wbr cnr wcel wa cltr cr opex ltrelre brel
      opelreal anbi12i sylib ltrelsr cv wceq wex wb eleq1 anbi1d eqeq1 2exbidv
      anbi12d anbi2d df-lt brab baib eqresr visset opth bitr4 anbi1i 2exbii
      syl6bb syl2anbr breq12 copsex2g bitrd pm5.21nii ) AIJZBIJZKLZAMNZBMNZOZAB
      PLZVLVJQNZVKQNZOZVOVJVKQQKBIRZSTVQVMVRVNAUAZBUAZUBUCABMMPDUDTVOVLABJEUEZF
      UEZJUFZWCWDPLZOZFUGEUGZVPVQVRVLWHUHVMVNVSVLVJWCIJZUFZVKWDIJZUFZOZWFOZFUGE
      UGZWHVLVSWOGUEZQNZHUEZQNZOZWPWIUFZWRWKUFZOZWFOZFUGEUGZOVQWSOZWJXBOZWFOZFU
      GEUGZOVSWOOGHVJVKKAIRVTWPVJUFZWTXFXEXIXJWQVQWSWPVJQUIUJXJXDXHEFXJXCXGWFXJ
      XAWJXBWPVJWIUKUJUJULUMWRVKUFZXFVSXIWOXKWSVRVQWRVKQUIUNXKXHWNEFXKXGWMWFXKX
      BWLWJWRVKWKUKUNUJULUMGHEFUOUPUQWNWGEFWMWEWFWMAWCUFZBWDUFZOWEWJXLWLXMAWCCU
      RBWDDURUBABWCWDCDFUSUTVAVBVCVDWAWBVEWFVPEFABMMWCAWDBPVFVGVHVI $.
      $( [22-Feb-1996] $)
  $}

  ${
    $d x w v u A $.  $d x y z w v u B $.
    supre.1 $e |- B = { w | <. w , 0R >. e. A } $.
    $( Mapping of non-empty subset from signed reals to reals. $)
    suprelem $p |- ( ( A (_ RR /\ -. A = (/) ) ->
                    ( B (_ R. /\ -. B = (/) ) ) $=
      ( vx cr wss c0 wceq wn wa cnr cv wcel c0r cop ssel abeq2i syl5ib
      opelreal syl6ib ssrdv adantr wex wi com12 eleq1 syl5bb biimprcd n0i syl6
      adantld 19.23adv elreal syld 19.23aiv n0 imp jca ) BFGZBHIJZKCLGZCHIJZUTV
      BVAUTACLUTAMZCNZVDOPZFNZVDLNZUTVFBNZVGVEBFVFQVIACDRZSVDTUAUBUCUTVAVCUTEMZ
      BNZEUDZVCVAVMUTVCVLUTVCUEEVLUTVKFNZVCUTVLVNBFVKQUFVLVHVFVKIZKZAUDVCVNVLVP
      VCAVLVOVCVHVLVOVEVCVOVEVLVOVIVLVEVFVKBUGVJUHUICVDUJUKULUMAVKUNSUOUPUFEBUQ
      SURUS $.
      $( [19-May-1996] $)

    $( A non-empty, bounded-above set of reals has a supremum. $)
    supre $p |- ( ( ( A (_ RR /\ -. A = (/) ) /\ E. x ( x e. RR /\
                     A. y ( y e. RR -> ( y e. A -> y <RR x ) ) ) ) ->
       E. x ( x e. RR /\ A. y ( y e. RR -> ( ( y e. A -> -. x <RR y ) /\
           ( y <RR x -> E. z ( z e. RR /\ ( z e. A /\ y <RR z ) ) ) ) ) ) ) $=
      ( vv vu cnr wss c0 wceq wn wa cv cr wcel cltrr wbr wi wal wex cltr supsr
      c0r cop opex breq1 negbid imbi2d breq2 imbi1d anbi12d albidv eleq1
      visset opeq1 eleq1d elab2 syl5bb ltresr syl5bbr imbi12d anbi2d exbidv
      opelreal elreal gencbvex gencbval sylib sylan2br suprelem sylan ) FJKFLMN
      OZAPZQRZBPZQRZVRERZVRVPSTZUAZUAZBUBZOAUCZVQVSVTVPVRSTZNZUAZWACPZQRZWIERZV
      RWISTZOZOZCUCZUAZOZUAZBUBZOAUCZEQKELMNOVODPZJRZHPZJRZXCFRZXCXAUDTZUAZUAHU
      BZODUCZWTWEVOXIOXBXDXEXAXCUDTZNZUAZXFIPZJRZXMFRZXCXMUDTZOZOIUCZUAZOZUAHUB
      ZODUCWTDHIFUEYAWSXBVQDAXAUFUGZXAUFUHZYBVPMZVSVTYBVRSTZNZUAZVRYBSTZWOUAZOZ
      UAZBUBWSYAYDYKWRBYDYJWQVSYDYGWHYIWPYDYFWGVTYDYEWFYBVPVRSUIUJUKYDYHWAWOYBV
      PVRSULZUMUNUKUOXTYJXDVSHBXCUFUGZXCUFUHZYMVRMZXLYGXSYIYOXEVTXKYFYOYMERZVTX
      EYMVREUPYBERZYPDXCFHUQZXAXCMYBYMEXAXCUFURUSGUTVAZYOXJYEYOYBYMSTYEXJYMVRYB
      SULXAXCDUQZYRVBVCUJVDYOXFYHXRWOYOYMYBSTYHXFYMVRYBSUIXCXAYRYTVBVCZYOWJWKYM
      WISTZOZOZCUCWOXRYOUUDWNCYOUUCWMWJYOUUBWLWKYMVRWISUIVEVEVFXQUUCXNWJICXMUFU
      GZXMUFUHUUEWIMZXOWKXPUUBUUFUUEERZWKXOUUEWIEUPYQUUGDXMFIUQZXAXMMYBUUEEXAXM
      UFURUSGUTVAUUFYMUUESTUUBXPUUEWIYMSULXCXMYRUUHVBVCUNUUFUUEQRWJXNUUEWIQUPXM
      VGVCIWIVHVIVAVDUNYOYMQRVSXDYMVRQUPXCVGVCZHVRVHZVJVAYDYBQRVQXBYBVPQUPXAVGV
      CZDVPVHZVIVKXHWDXBVQDAYBYCYDVSVTYHUAZUAZBUBWDXHYDUUNWCBYDUUMWBVSYDYHWAVTY
      LUKUKUOXGUUMXDVSHBYMYNYOXEVTXFYHYSUUAVDUUIUUJVJVAUUKUULVIVLDEFGVMVN $.
      $( [19-May-1996] $)
  $}

  ${
    $d x y z w v u $.
    $( 'Less than' is a strict ordering on real subset of complex numbers.
       Note: use ~ ltso and not this one after the complex number postulates
       are derived, in order to maintain a "clean" derivation of complex
       number theorems directly from postulates.  The artificial right
       conjunct is intended to help discourage its accidental use in place
       of ~ ltso . $)
    ltsor  $p |- ( <RR Or RR /\ RR = RR ) $=
      ( vx vy vz vw vv vu cr cltrr wor wceq cv c0r cop wbr wo wn wb wa wi cnr
      elreal breq1 eqeq1 breq2 orbi12d negbid bibi12d anbi1d imbi12d anbi12d
      eqeq2 imbi1d anbi2d wcel w3a cltr ltsosr sotric mpan visset ltresr
      eqresr orbi12i negbii 3bitr4g 3adant3 ltrelsr sotri anbi12i 3imtr4 jctir
      3gencl so eqid pm3.2i ) GHIGGJABCGHDKZLMZEKZLMZHNZVQVSJZVSVQHNZOZPZQZVTVS
      FKZLMZHNZRZVQWGHNZSZRAKZVSHNZWLVSJZVSWLHNZOZPZQZWMWHRZWLWGHNZSZRWLBKZHNZW
      LXBJZXBWLHNZOZPZQZXCXBWGHNZRZWTSZRXHXCXBCKZHNZRZWLXLHNZSZRDEFVQVSWGWLTGXB
      XLDWLUAEXBUAFXLUAVQWLJZWEWRWKXAXQVTWMWDWQVQWLVSHUBZXQWCWPXQWAWNWBWOVQWLVS
      UCVQWLVSHUDUEUFUGXQWIWSWJWTXQVTWMWHXRUHVQWLWGHUBUIUJVSXBJZWRXHXAXKXSWMXCW
      QXGVSXBWLHUDZXSWPXFXSWNXDWOXEVSXBWLUKVSXBWLHUBUEUFUGXSWSXJWTXSWMXCWHXIXTV
      SXBWGHUBUJULUJWGXLJZXKXPXHYAXJXNWTXOYAXIXMXCWGXLXBHUDUMWGXLWLHUDUIUMVPTUN
      ZVRTUNZWFTUNZUOWEWKYBYCWEYDYBYCRZVPVRUPNZVPVRJZVRVPUPNZOZPZVTWDTUPIYEYFYJ
      QUQTVPVRUPURUSVPVRDUTZEUTZVAZWCYIWAYGWBYHVPVRYKVBVRVPYLYKVAVCVDVEVFYFVRWF
      UPNZRVPWFUPNWIWJVPVRWFUPTYKUQVGYLFUTZVHVTYFWHYNYMVRWFYLYOVAVIVPWFYKYOVAVJ
      VKVLVMGVNVO $.
      $( [9-Mar-2005] $) $( [31-Mar-1996] $)
  $}

  $( Technical trick to permit reuse of previous lemmas to prove arithmetic
     operation laws in ` CC ` from those in ` R. ` .  The trick involves
     ~ qsid , which shows that the coset of the converse epsilon relation
     (which is not an equivalence relation) acts as an identity divisor for
     the quotient set operation.  This lets us "pretend" that ` CC ` is a
     quotient set, even though it is not (compare ~ df-c ), and allows us to
     reuse some of the equivalence class lemmas we developed for the transition
     from positive reals to signed reals, etc. $)
  dfcnqs $p |- CC = ( ( R. X. R. ) /. `' E ) $=
    ( cc cnr cxp cep ccnv cqs df-c qsid eqtr4 ) ABBCZJDEFGJHI $.
    $( [13-Aug-1995] $)

  $( Technical trick to permit re-use of some equivalence class lemmas for
     operation laws.  See ~ dfcnqs and ~ mulcnsrec . $)
  addcnsrec $p |- ( ( ( A e. R. /\ B e. R. ) /\ ( C e. R. /\ D e. R. ) ) ->
                 ( [ <. A , B >. ] `' E + [ <. C , D >. ] `' E ) =
                   [ <. ( A +R C ) , ( B +R D ) >. ] `' E ) $=
    ( cnr wcel wa cop caddc co cplr cep ccnv cec addcnsr opex ecid opreq12i
    3eqtr4g ) AEFBEFGCEFDEFGGABHZCDHZIJACKJZBDKJZHZTLMZNZUAUENZIJUDUENABCDOUFTU
    GUAITABPQUACDPQRUDUBUCPQS $.
    $( [13-Aug-1995] $)

  $( Technical trick to permit re-use of some equivalence class lemmas for
     operation laws.  The trick involves ~ ecid , which shows that the coset
     of the converse epsilon relation (which is not an equivalence relation)
     leaves a set unchanged.  See also ~ dfcnqs .

     _Note:  This is the last lemma (from which the axioms will be derived) in_
     _the construction of real and complex numbers.  The construction starts_
     _at_ ~ cnpi . $)
  mulcnsrec $p |- ( ( ( A e. R. /\ B e. R. ) /\ ( C e. R. /\ D e. R. ) ) ->
               ( [ <. A , B >. ] `' E x. [ <. C , D >. ] `' E ) =
                    [ <. ( ( A .R C ) +R ( -1R .R ( B .R D ) ) ) ,
                          ( ( B .R C ) +R ( A .R D ) ) >. ] `' E ) $=
    ( cnr wcel wa cop cmul co cmr cm1r cplr cep ccnv cec mulcnsr opex ecid
    opreq12i 3eqtr4g ) AEFBEFGCEFDEFGGABHZCDHZIJACKJLBDKJKJMJZBCKJADKJMJZHZUBNO
    ZPZUCUGPZIJUFUGPABCDQUHUBUIUCIUBABRSUCCDRSTUFUDUERSUA $.
    $( [13-Aug-1995] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Real and complex number postulates
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u f $.
    $( Addition is an operation on the complex numbers.  This theorem can be
       used as an alternate axiom for complex numbers in place of the less
       specific ~ axaddcl . $)
    axaddopr $p |- + : ( CC X. CC ) --> CC $=
      ( vx vy vw vv vu vf vz cc cxp caddc wf wfn cv co wcel wral ffnoprval
      wfun cdm wceq df-fn wa cop cplr wex copab2 wmo moeq mosubop anass 2exbii
      19.42vv bitr mobii mpbir moani funoprab wb df-plus funeq ax-mp dmeqi
      dmoprabss eqsstr 0ncn cnr df-c opreq1 eleq1d opreq2 addcnsr addclsr
      anim12i an4s opelxpi syl eqeltrd 2optocl syl6eleqr oprssdm eqssi
      mpbir2an rgen2a ) HHIZHJKJWDLZAMZBMZJNZHOZBHPAHPABHHHJQWEJRZJSZWDTJWDUAWJ
      WFHOWGHOUBZWFCMZDMZUCTZWGEMZFMZUCTZUBGMZWMWPUDNZWNWQUDNUCZTZUBZFUEEUEZDUE
      CUEZUBZABGUFZRZXFABGXEWLGXEGUGWOWRXBUBZFUEEUEZUBZDUECUEZGUGXJGCDWFXBGEFWG
      GXAUHUIUIXEXLGXDXKCDXDWOXIUBZFUEEUEXKXCXMEFWOWRXBUJUKWOXIEFULUMUKUNUOUPUQ
      JXGTWJXHURABGCDEFUSZJXGUTVAUOWKWDWKXGSWDJXGXNVBXEABGHHVCVDABHJVEWLWHVFVFI
      ZHWSWMUCZWNWPUCZJNZXOOWFXQJNZXOOWHXOOGCDEWFWGVFVFHVGXPWFTXRXSXOXPWFXQJVHV
      IXQWGTXSWHXOXQWGWFJVJVIWSVFOZWMVFOZUBWNVFOZWPVFOZUBUBZXRWSWNUDNZWTUCZXOWS
      WMWNWPVKYDYEVFOZWTVFOZUBZYFXOOXTYBYAYCYIXTYBUBYGYAYCUBYHWSWNVLWMWPVLVMVNY
      EWTVFVFVOVPVQVRVGVSZVTWAWBWIABHYJWCWB $.
      $( [9-Feb-2005] $) $( [8-Feb-2005] $)

    $( Multiplication is an operation on the complex numbers.  This theorem can
       be used as an alternate axiom for complex numbers in place of the less
       specific ~ axmulcl . $)
    axmulopr $p |- x. : ( CC X. CC ) --> CC $=
      ( vx vy vw vv vu vf vz cc cxp cmul wf wfn cv co wcel wral ffnoprval wfun
      cdm wceq df-fn wa cop cmr cm1r cplr wex copab2 wmo moeq mosubop anass
      2exbii 19.42vv bitr mobii mpbir moani funoprab wb df-mul funeq ax-mp
      dmeqi dmoprabss eqsstr 0ncn cnr df-c opreq1 eleq1d opreq2 mulcnsr
      opelxpi addclsr mulclsr m1r mpan syl syl2an an4s ancoms an42s sylanc
      eqeltrd 2optocl syl6eleqr oprssdm eqssi mpbir2an rgen2a ) HHIZHJKJWLLZAMZ
      BMZJNZHOZBHPAHPABHHHJQWMJRZJSZWLTJWLUAWRWNHOWOHOUBZWNCMZDMZUCTZWOEMZFMZUC
      TZUBGMZXAXDUDNZUEXBXEUDNUDNUFNXBXDUDNXAXEUDNUFNUCZTZUBZFUGEUGZDUGCUGZUBZA
      BGUHZRZXNABGXMWTGXMGUIXCXFXJUBZFUGEUGZUBZDUGCUGZGUIXRGCDWNXJGEFWOGXIUJUKU
      KXMXTGXLXSCDXLXCXQUBZFUGEUGXSXKYAEFXCXFXJULUMXCXQEFUNUOUMUPUQURUSJXOTWRXP
      UTABGCDEFVAZJXOVBVCUQWSWLWSXOSWLJXOYBVDXMABGHHVEVFABHJVGWTWPVHVHIZHXGXAUC
      ZXBXDUCZJNZYCOWNYEJNZYCOWPYCOGCDEWNWOVHVHHVIYDWNTYFYGYCYDWNYEJVJVKYEWOTYG
      WPYCYEWOWNJVLVKXGVHOZXAVHOZUBXBVHOZXDVHOZUBUBZYFXGXBUDNZUEXHUDNZUFNZXAXBU
      DNZXGXDUDNZUFNZUCZYCXGXAXBXDVMYOVHOZYRVHOZYSYCOYLYOYRVHVHVNYHYJYIYKYTYMVH
      OYNVHOZYTYHYJUBYIYKUBZYMYNVOXGXBVPUUCXHVHOZUUBXAXDVPUEVHOUUDUUBVQUEXHVPVR
      VSVTWAYHYKYIYJUUAYIYJUBZYHYKUBZUUAYPVHOYQVHOUUAUUEUUFYPYQVOXAXBVPXGXDVPVT
      WBWCWDWEWFVIWGZWHWIWJWQABHUUGWKWJ $.
      $( [9-Feb-2005] $) $( [8-Feb-2005] $)
  $}

  $( The class of complex numbers is a set, i.e. it is a member of the universe
     of sets ` V ` (see ~ isset ).  Axiom 1 of 25 for real and complex
     numbers, derived from ZF set theory. $)
  axcnex $p |- CC e. V $=
    ( cc cnr cxp cvv df-c srex xpex eqeltr ) ABBCDEBBFFGH $.
    $( [13-Aug-1995] $)

  $( The real numbers are a subset of the complex numbers.  Axiom 2 of 25
     for real and complex numbers, derived from ZF set theory. $)
  axresscn $p |- RR (_ CC $=
    ( cnr c0r csn cxp cr cc wss ssid wcel 0r snssi ax-mp ssxp mp2an df-r df-c
    3sstr4 ) ABCZDZAADZEFAAGRAGZSTGAHBAIUAJBAKLAARAMNOPQ $.
    $( [1-Mar-1995] $)

  $( 1 is a complex number.  Axiom 3 of 25 for real and complex numbers,
     derived from ZF set theory. $)
  ax1cn $p |- 1 e. CC $=
    ( cr cc c1 axresscn c1r c0r cop df-1 wcel cnr 1r opelreal mpbir eqeltr
    sselii ) ABCDCEFGZAHPAIEJIKELMNO $.
    $( [12-Apr-2007] $) $( [12-Apr-2007] $)

  $( ` i ` is a complex number.  Axiom 4 of 25 for real and complex
     numbers, derived from ZF set theory. $)
  axicn $p |- i e. CC $=
    ( ci cc wcel c0r cnr c1r cop wa df-i eleq1i 1r elisseti opelcn bitr 0r
    mpbir2an ) ABCZDECZFECZQDFGZBCRSHATBIJDFFEKLMNOKP $.
    $( [23-Feb-1996] $)

  ${
    $d x y A $.  $d x y B $.
    $( Closure law for addition of complex numbers.  Axiom 5 of 25 for
       real and complex numbers, derived from ZF set theory. $)
    axaddcl $p |- ( ( A e. CC /\ B e. CC ) -> ( A + B ) e. CC ) $=
      ( cc caddc axaddopr foprcl ) ABCCCDEF $.
      $( [14-Jun-1995] $)

    $( Closure law for addition in the real subfield of complex numbers.  Axiom
       6 of 25 for real and complex numbers, derived from ZF set
       theory. $)
    axaddrcl $p |- ( ( A e. RR /\ B e. RR ) -> ( A + B ) e. RR ) $=
      ( vx vy cv c0r cop caddc co cr wcel cnr elreal wceq opreq1 eleq1d opreq2
      wa cplr addresr addclsr opelreal sylibr eqeltrd 2gencl ) CEZFGZDEZFGZHIZJ
      KAUIHIZJKABHIZJKCDUGUIABLJCAMDBMUGANUJUKJUGAUIHOPUIBNUKULJUIBAHQPUFLKUHLK
      RZUJUFUHSIZFGZJUFUHTUMUNLKUOJKUFUHUAUNUBUCUDUE $.
      $( [31-Mar-1996] $)

    $( Closure law for multiplication of complex numbers.  Axiom 7 of 25
       for real and complex numbers, derived from ZF set theory. $)
    axmulcl $p |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) e. CC ) $=
      ( cc cmul axmulopr foprcl ) ABCCCDEF $.
      $( [10-Aug-1995] $)

    $( Closure law for multiplication in the real subfield of complex numbers.
       Axiom 8 of 25 for real and complex numbers, derived from ZF set
       theory. $)
    axmulrcl $p |- ( ( A e. RR /\ B e. RR ) -> ( A x. B ) e. RR ) $=
      ( vx vy cv c0r cop cmul co cr wcel cnr elreal wceq opreq1 eleq1d opreq2
      wa cmr visset mulresr mulclsr opelreal sylibr eqeltrd 2gencl ) CEZFGZDEZF
      GZHIZJKAUJHIZJKABHIZJKCDUHUJABLJCAMDBMUHANUKULJUHAUJHOPUJBNULUMJUJBAHQPUG
      LKUILKRZUKUGUISIZFGZJUGUIDTUAUNUOLKUPJKUGUIUBUOUCUDUEUF $.
      $( [31-Mar-1996] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Addition of complex numbers is commutative.  Axiom 9 of 25 for
       real and complex numbers, derived from ZF set theory. $)
    axaddcom $p |- ( ( A e. CC /\ B e. CC ) -> ( A + B ) = ( B + A ) ) $=
      ( vx vy vz vw cc cv cplr co cep ccnv cnr caddc dfcnqs addcnsrec visset
      addcomsr ecoprcom ) CDEFABGCHZEHZIJKLMNDHZFHZIJUATIJUCUBIJOTUBUAUCPUAUCTU
      BPTUACQEQRUBUCDQFQRS $.
      $( [31-Aug-1995] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Multiplication of complex numbers is commutative.  Axiom 10 of 25
       for real and complex numbers, derived from ZF set theory. $)
    axmulcom $p |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) = ( B x. A ) ) $=
      ( vx vy vz vw cc cv cmr co cm1r cplr cep ccnv cnr cmul dfcnqs mulcnsrec
      visset mulcomsr opreq2i opreq12i oprex addcomsr eqtr ecoprcom ) CDEFABGCH
      ZEHZIJZKDHZFHZIJZIJZLJMNOPUJUHIJZUGUKIJZLJZUHUGIJZKUKUJIJZIJZLJUKUGIJZUHU
      JIJZLJZQUGUJUHUKRUHUKUGUJRUIUQUMUSLUGUHCSZESZTULURKIUJUKDSZFSZTUAUBUPVAUT
      LJVBUNVAUOUTLUJUHVEVDTUGUKVCVFTUBVAUTUHUJIUCUKUGIUCUDUEUF $.
      $( [31-Aug-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.

    $( Addition of complex numbers is associative.  This theorem transfers the
       associative laws for the real and imaginary signed real components of
       complex number pairs, to complex number addition itself.  Axiom 11 of
       25 for real and complex numbers, derived from ZF set theory. $)
    axaddass $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( ( A + B ) + C ) = ( A + ( B + C ) ) ) $=
      ( vx vy vz vw vv vu cc cv cplr co cep ccnv cnr caddc dfcnqs addcnsrec
      wcel wa addclsr anim12i an4s visset addasssr ecoprass ) DEFGHIABCJGKZIKZL
      MZNOPQDKZFKZLMZEKZUHLMZUMHKZLMUOUILMUKULUPLMZLMUNUJLMUQRUKUNULUHSULUHUPUI
      SUMUOUPUISUKUNUQUJSUKPTZULPTZUNPTZUHPTZUMPTZUOPTZUAURUSUAVBUTVAUAVCUKULUB
      UNUHUBUCUDUSUPPTZVAUIPTZUQPTZUJPTZUAUSVDUAVFVAVEUAVGULUPUBUHUIUBUCUDUKULU
      PFUEHUEUFUNUHUIGUEIUEUFUG $.
      $( [2-Sep-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    $( Multiplication of complex numbers is associative.  Axiom 12 of 25
       for real and complex numbers, derived from ZF set theory. $)
    axmulass $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) ) $=
      ( vx vy vz vw vv vu vf vg vh cc cv cmr co cplr cep ccnv cnr cmul cm1r
      dfcnqs mulcnsrec wcel wa addclsr mulclsr m1r mpan syl syl2an an4s ancoms
      an42s jca oprex visset addcomsr addasssr caopr42 distrsr opreq2i eqtr
      opreq12i elisseti mulcomsr mulasssr caoprdilem caopr12 3eqtr 3eqtr4r
      ecoprass ) DEFGHIABCMGNZHNZOPZFNZINZOPZQPZRSTUADNZVQOPZUBENZVNOPZOPZQPZWC
      VQOPZWAVNOPZQPZWFVOOPZUBWIVROPZOPZQPZWIVOOPZWFVROPZQPZWAVQVOOPZUBVNVROPZO
      PZQPZOPZUBWCVTOPZOPZQPZWCWTOPZWAVTOPZQPZWTUCWAWCVQVNUDVQVNVOVRUDWFWIVOVRU
      DWAWCWTVTUDWATUEZWCTUEZUFVQTUEZVNTUEZUFZUFWFTUEZWITUEZXHXJXIXKXMWBTUEWETU
      EZXMXHXJUFXIXKUFZWBWEUGWAVQUHXPWDTUEZXOWCVNUHUBTUEZXQXOUIUBWDUHUJUKULUMXH
      XKXIXJXNXIXJUFZXHXKUFZXNWGTUEWHTUEXNXSXTWGWHUGWCVQUHWAVNUHULUNUOUPXLVOTUE
      ZVRTUEZUFUFWTTUEZVTTUEZXJYAXKYBYCWQTUEWSTUEZYCXJYAUFXKYBUFZWQWSUGVQVOUHYF
      WRTUEZYEVNVRUHXRYGYEUIUBWRUHUJUKULUMXJYBXKYAYDXKYAUFZXJYBUFZYDVPTUEVSTUEY
      DYHYIVPVSUGVNVOUHVQVRUHULUNUOUPWAWQOPZWAWSOPZQPZUBWCVPOPZOPZUBWCVSOPZOPZQ
      PZQPYJYNQPZYPYKQPZQPXDWMJKLYJYKYNYPQWAWQOUQWAWSOUQUBYMOUQJNZKNZJURZKURZUS
      ZYTUUALNZUUCLURZUTZUBYOOUQVAXAYLXCYQQWAWQWSVQVOOUQZUBWROUQZVBXCUBYMYOQPZO
      PYQXBUUJUBOWCVPVSVNVOOUQZVQVROUQZVBVCUBYMYOWCVPOUQWCVSOUQZVBVDVEWJYRWLYSQ
      WJYJUBWDVOOPZOPZQPYRJKLWAUBVQWDQOVODURZUBTUIVFZFURZYTUUAUUBUUCVGZYTUUAUUE
      UUCUUFVBZWCVNOUQZHURZYTUUAUUEUUCUUFVHZVIUUOYNYJQUUNYMUBOWCVNVOGURZUVBVHVC
      VCVDWLUBYOWAWROPZQPZOPYPUBUVEOPZQPYSWKUVFUBOJKLWCWAVQVNQOVREURZUUPUURUUSU
      UTUVDIURZUVCVIVCUBYOUVEUUMWAWROUQVBUVGYKYPQJKLUBWAWROUUQUUPVNVROUQZUUSUVC
      VJVCVKVEVLWCWQOPZWCWSOPZQPZWAVPOPZWAVSOPZQPZQPUVKUVNQPZUVOUVLQPZQPXGWPJKL
      UVKUVLUVNUVOQWCWQOUQWCWSOUQWAVPOUQUUDUUGWAVSOUQVAXEUVMXFUVPQWCWQWSUUHUUIV
      BWAVPVSUUKUULVBVEWNUVQWOUVRQJKLWCWAVQVNQOVOUVHUUPUURUUSUUTUVDUVBUVCVIWOUV
      OUBWDVROPZOPZQPUVRJKLWAUBVQWDQOVRUUPUUQUURUUSUUTUVAUVIUVCVIUVTUVLUVOQUVTU
      BWCWROPZOPUVLUVSUWAUBOWCVNVRUVDUVIVHVCJKLUBWCWROUUQUVHUVJUUSUVCVJVDVCVDVE
      VLVM $.
      $( [3-Sep-1995] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.  $d x y z w v u C $.
    $d x y z w v u f g h $.
    $( Distributive law for complex numbers.  Axiom 13 of 25 for real and
       complex numbers, derived from ZF set theory. $)
    axdistr $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( A x. ( B + C ) ) = ( ( A x. B ) + ( A x. C ) ) ) $=
      ( vx vy vz vw vv vu vf vg vh cc cep ccnv cnr caddc cmul cv cplr co cmr
      cm1r dfcnqs addcnsrec mulcnsrec wcel wa addclsr anim12i an4s mulclsr m1r
      mpan syl syl2an ancoms an42s jca visset distrsr opreq2i oprex eqtr
      opreq12i addcomsr addasssr caopr4 ecoprdi ) DEFGHIABCMNOPQRDSZFSZHSZTUAZU
      BUAZUCESZGSZISZTUAZUBUAZUBUAZTUAZVOVMUBUAZVJVRUBUAZTUAZVJVKUBUAZUCVOVPUBU
      AZUBUAZTUAZVJVLUBUAZUCVOVQUBUAZUBUAZTUAZTUAZVOVKUBUAZVJVPUBUAZTUAZVOVLUBU
      AZVJVQUBUAZTUAZTUAZVMVRWHWPWLWSUDVKVPVLVQUEVJVOVMVRUFVJVOVKVPUFVJVOVLVQUF
      WHWPWLWSUEVKPUGZVLPUGZVPPUGZVQPUGZVMPUGZVRPUGZUHXAXBUHXEXCXDUHXFVKVLUIVPV
      QUIUJUKVJPUGZVOPUGZUHZXAXCUHUHWHPUGZWPPUGZXGXAXHXCXJWEPUGWGPUGZXJXGXAUHXH
      XCUHZWEWGUIVJVKULXMWFPUGZXLVOVPULUCPUGZXNXLUMUCWFULUNUOUPUKXGXCXHXAXKXHXA
      UHZXGXCUHZXKWNPUGWOPUGXKXPXQWNWOUIVOVKULVJVPULUPUQURUSXIXBXDUHUHWLPUGZWSP
      UGZXGXBXHXDXRWIPUGWKPUGZXRXGXBUHXHXDUHZWIWKUIVJVLULYAWJPUGZXTVOVQULXOYBXT
      UMUCWJULUNUOUPUKXGXDXHXBXSXHXBUHZXGXDUHZXSWQPUGWRPUGXSYCYDWQWRUIVOVLULVJV
      QULUPUQURUSWAWEWITUAZWGWKTUAZTUAWMVNYEVTYFTVJVKVLFUTZHUTZVAVTUCWFWJTUAZUB
      UAYFVSYIUCUBVOVPVQGUTZIUTZVAVBUCWFWJVOVPUBVCVOVQUBVCVAVDVEJKLWEWIWGWKTVJV
      KUBVCVJVLUBVCUCWFUBVCJSZKSZJUTKUTZVFZYLYMLSYNLUTVGZUCWJUBVCVHVDWDWNWQTUAZ
      WOWRTUAZTUAWTWBYQWCYRTVOVKVLYGYHVAVJVPVQYJYKVAVEJKLWNWQWOWRTVOVKUBVCVOVLU
      BVCVJVPUBVCYOYPVJVQUBVCVHVDVI $.
      $( [2-Sep-1995] $)
  $}

  $( 1 and 0 are distinct.  Axiom 14 of 25 for real and complex numbers,
     derived from ZF set theory. $)
  ax1ne0 $p |- 1 =/= 0 $=
    ( c1 cc0 wne wceq wn c1r c0r cop 1ne0sr cnr 1r elisseti eqresr mtbir df-1
    df-0 eqeq12i df-ne mpbir ) ABCABDZETFGHZGGHZDZUCFGDIFGFJKLMNAUABUBOPQNABRS
    $.
    $( [19-Mar-1996] $)

  ${
    $d x y A $.
    $( 0 is an identity element for addition.  Axiom 15 of 25 for real
       and complex numbers, derived from ZF set theory. $)
    ax0id $p |- ( A e. CC -> ( A + 0 ) = A ) $=
      ( vx vy cv cop cc0 caddc co wceq cnr cc df-c opreq1 id eqeq12d wcel wa
      c0r cplr 0r pm3.2i addcnsr mpan2 opeq12 0idsr syl2an eqtrd df-0 opreq2i
      syl5eq optocl ) BDZCDZEZFGHZUNIAFGHZAIBCAJJKLUNAIZUOUPUNAUNAFGMUQNOULJPZU
      MJPZQZUNRREZGHZUNUOUTVBULRSHZUMRSHZEZUNUTRJPZVFQVBVEIVFVFTTUAULUMRRUBUCVC
      ULIVDUMIVEUNIURUSVCVDULUMUDULUEUMUEUFUGFVAUNGUHUIUJUK $.
      $( [31-Mar-1996] $)
  $}

  ${
    $d x y A $.
    $( 1 is an identity element for multiplication.  Axiom 16 of 25 for
       real and complex numbers, derived from ZF set theory. $)
    ax1id $p |- ( A e. CC -> ( A x. 1 ) = A ) $=
      ( vx vy cv cop c1 cmul co wceq cnr cc df-c opreq1 id eqeq12d wcel wa c1r
      c0r cmr cm1r cplr 1r 0r pm3.2i mulcnsr mpan2 00sr opreq2d m1r ax-mp
      syl6eq 1idsr opreq1d 0idsr eqtrd sylan9eqr sylan9eq opeq12d df-1 opreq2i
      syl5eq optocl ) BDZCDZEZFGHZVFIAFGHZAIBCAJJKLVFAIZVGVHVFAVFAFGMVINOVDJPZV
      EJPZQZVFRSEZGHZVFVGVLVNVDRTHZUAVESTHZTHZUBHZVERTHZVDSTHZUBHZEZVFVLRJPZSJP
      ZQVNWBIWCWDUCUDUEVDVERSUFUGVLVRVDWAVEVKVJVRVOSUBHZVDVKVQSVOUBVKVQUASTHZSV
      KVPSUATVEUHUIUAJPWFSIUJUAUHUKULUIVJWEVDSUBHVDVJVOVDSUBVDUMUNVDUOUPUQVJVKW
      AVSSUBHZVEVJVTSVSUBVDUHUIVKWGVESUBHVEVKVSVESUBVEUMUNVEUOUPURUSUPFVMVFGUTV
      AVBVC $.
      $( [31-Mar-1996] $)
  $}

  ${
    $d x y A $.  $d x y z $.
    $( Existence of negative of real number.  Axiom 17 of 25 for real and
       complex numbers, derived from ZF set theory. $)
    axrnegex $p |- ( A e. RR -> E. x e. RR ( A + x ) = 0 ) $=
      ( vy vz cv c0r cop caddc co cc0 wceq cr wrex cnr wcel elreal opreq1
      eqeq1d rexbidv cplr wa wex negexsr addresr df-0 eqeq2i oprex eqresr bitr
      syl6bb pm5.32da opex eleq1 opreq2 anbi12d cla4ev opelreal sylanbr df-rex
      sylibr syl6bir 19.23adv mpd gencl ) CEZFGZAEZHIZJKZALMZBVGHIZJKZALMVENOZB
      LOCVFBCBPVFBKZVIVLALVNVHVKJVFBVGHQRSVMDEZNOZVEVOTIZFKZUAZDUBVJDVEUCVMVSVJ
      DVMVSVPVFVOFGZHIZJKZUAZVJVMVPWBVRVMVPUAZWBVQFGZJKZVRWDWAWEJVEVOUDRWFWEFFG
      ZKVRJWGWEUEUFVQFVEVOTUGUHUIUJUKWCVGLOZVIUAZAUBZVJVTLOZWBWJVPWIWKWBUAAVTVO
      FULVGVTKZWHWKVIWBVGVTLUMWLVHWAJVGVTVFHUNRUOUPVOUQURVIALUSUTVAVBVCVD $.
      $( [15-May-1996] $)
  $}

  ${
    $d x y A $.  $d x y z $.
    $( Existence of reciprocal of nonzero real number.  Axiom 18 of 25
       for real and complex numbers, derived from ZF set theory. $)
    axrrecex $p |- ( ( A e. RR /\ A =/= 0 ) -> E. x e. RR ( A x. x ) = 1 ) $=
      ( vy vz cr wcel cc0 wne cv cmul co c1 wceq wrex c0r cop wi cnr elreal
      neeq1 opreq1 eqeq1d rexbidv imbi12d wn wa wex cmr c1r visset recexsr
      mulresr df-1 eqeq2i oprex eqresr bitr syl6bb pm5.32da opelreal anbi1i
      syl5bb opex eleq1 opreq2 anbi12d cla4ev syl6bir 19.23adv syld df-0
      negbii syl5ib df-ne df-rex 3imtr4g gencl imp ) BEFZBGHZBAIZJKZLMZAENZCIZO
      PZGHZWFWAJKZLMZAENZQVTWDQWERFZVSCWFBCBSWFBMZWGVTWJWDWFBGTWLWIWCAEWLWHWBLW
      FBWAJUAUBUCUDWKWFGMZUEZWAEFZWIUFZAUGZWGWJWKWEOMZUEZWQWNWKWSDIZRFZWEWTUHKZ
      UIMZUFZDUGWQDWECUJZUKWKXDWQDWKXDWTOPZEFZWFXFJKZLMZUFZWQWKXAXIUFXDXJWKXAXI
      XCWKXAUFZXIXBOPZLMZXCXKXHXLLWEWTDUJULUBXMXLUIOPZMXCLXNXLUMUNXBUIWEWTUHUOU
      PUQURUSXGXAXIWTUTVAVBWPXJAXFWTOVCWAXFMZWOXGWIXIWAXFEVDXOWHXHLWAXFWFJVEUBV
      FVGVHVIVJWMWRWMWFOOPZMWRGXPWFVKUNWEOXEUPUQVLVMWFGVNWIAEVOVPVQVR $.
      $( [15-May-1996] $)
  $}

  $( i-squared equals -1 (expressed as i-squared plus 1 is 0).  Axiom 19 of 25
     for real and complex numbers, derived from ZF set theory. $)
  axi2m1 $p |- ( ( i x. i ) + 1 ) = 0 $=
    ( c0r c1r cop cmul co caddc ci c1 cc0 cm1r cplr cmr cnr wcel wa wceq 0r 1r
    pm3.2i mulcnsr mp2an 00sr ax-mp 1idsr opreq2i m1r eqtr opreq12i elisseti
    addcomsr 0idsr 3eqtr opeq12i opreq1i addresr m1p1sr opeq1i df-i df-1 df-0
    3eqtr4 ) ABCZVBDEZBACZFEZAACZGGDEZHFEIVEJACZVDFEZJBKEZACZVFVCVHVDFVCAALEZJB
    BLEZLEZKEZBALEZABLEZKEZCZVHAMNZBMNZOZWBVCVSPVTWAQRSZWCABABTUAVOJVRAVOAJKEJA
    KEZJVLAVNJKVTVLAPQAUBUCVNJBLEZJVMBJLWAVMBPRBUDUCUEJMNZWEJPUFJUDUCUGUHAJAMQU
    IJMUFUIUJWFWDJPUFJUKUCULVRAAKEZAVPAVQAKWAVPAPRBUBUCVTVQAPQAUDUCUHVTWGAPQAUK
    UCUGUMUGUNWFWAVIVKPUFRJBUOUAVJAAUPUQULVGVCHVDFGVBGVBDURURUHUSUHUTVA $.
    $( [5-May-1996] $)

  ${
    $d x y z w A $.
    $( A complex number can be expressed in terms of two reals.  Definition
       10-1.1(v) of [Gleason] p. 130.  Axiom 20 of 25 for real and
       complex numbers, derived from ZF set theory. $)
    axcnre $p |- ( A e. CC ->
                      E. x e. RR E. y e. RR A = ( x + ( i x. y ) ) ) $=
      ( vz vw cv cop ci cmul co caddc wceq cr wrex cnr cc df-c eqeq1 2rexbidv
      wcel wa wex c0r opex eleq1 bi2anan9 opreq1 opreq2 opreq2d sylan9eq
      eqeq2d anbi12d cla42ev opelreal anbi12i biimpr cplr c1r cmr cm1r 0r 1r
      pm3.2i mulcnsr mpan mpan2 00sr elisseti visset mulcomsr syl5eq opreq1d
      ax-mp opreq2i m1r eqtr 0idsr syl6eq 1idsr eqtrd opeq12d df-i opreq1i
      adantl addcnsr mpanl2 mpanr1 opeq12 addcomsr syl2an 3eqtrrd sylanc r2ex
      sylibr optocl ) DFZEFZGZAFZHBFZIJZKJZLZBMNAMNZCXBLZBMNAMNDECOOPQWRCLXCXEA
      BMMWRCXBRSWPOTZWQOTZUAZWSMTZWTMTZUAZXCUAZBUBAUBZXDWPUCGZMTZWQUCGZMTZUAZWR
      XNHXPIJZKJZLZXMXHXLXRYAUAABXNXPWPUCUDWQUCUDWSXNLZWTXPLZUAZXKXRXCYAYBXIXOY
      CXJXQWSXNMUEWTXPMUEUFYDXBXTWRYBYCXBXNXAKJXTWSXNXAKUGYCXAXSXNKWTXPHIUHUIUJ
      UKULUMXRXHXOXFXQXGWPUNWQUNUOUPXHXTXNUCWQGZKJZWPUCUQJZUCWQUQJZGZWRXGXTYFLX
      FXGXSYEXNKXGUCURGZXPIJZYEXSXGYKUCWQUSJZUTURUCUSJZUSJZUQJZURWQUSJZUCUCUSJZ
      UQJZGZYEXGUCOTZYKYSLZVAYTUROTZUAXGYTUAUUAYTUUBVAVBVCUCURWQUCVDVEVFXGYOUCY
      RWQXGYOUCYNUQJZUCXGYLUCYNUQXGWQUCUSJUCYLWQVGUCWQUCOVAVHZEVIZVJVKVLUUCUCUC
      UQJZUCYNUCUCUQYNUTUCUSJZUCYMUCUTUSUUBYMUCLVBURVGVMVNUTOTUUGUCLVOUTVGVMVPV
      NYTUUFUCLVAUCVQVMVPVRXGYRWQYQUQJZWQXGYPWQYQUQXGWQURUSJWQYPWQVSURWQUROVBVH
      UUEVJVKVLXGWQUCUQJZWQUUHWQVQZYQUCWQUQYTYQUCLVAUCVGVMVNVKVTWAVTHYJXPIWBWCV
      KUIWDXFYTXGYFYILZVAXFYTYTXGUAUUKVAWPUCUCWQWEWFWGYGWPLYHWQLYIWRLXFXGYGYHWP
      WQWHWPVQXGUUIWQYHUUJUCWQUUDUUEWIVKWJWKWLXCABMMWMWNWO $.
      $( [11-Mar-2008] $) $( [13-May-1996] $)
  $}

  $( Ordering on reals satisfies strict trichotomy.  Axiom 21 of 25 for
     real and complex numbers, derived from ZF set theory.  Note:  The more
     general version for extended reals is ~ axlttri . $)
  pre-axlttri $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A <RR B <-> -. ( A = B \/ B <RR A ) ) ) $=
    ( cr cltrr wor wcel wa wbr wceq wo wn wb ltsor pm3.26i sotric mpan ) CDEZAC
    FBCFGABDHABIBADHJKLQCCIMNCABDOP $.
    $( [19-May-1996] $)

  $( Ordering on reals is transitive.  Axiom 22 of 25 for real and
     complex numbers, derived from ZF set theory.  Note:  The more general
     version for extended reals is ~ axlttrn . $)
  pre-axlttrn $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A <RR B /\ B <RR C ) -> A <RR C ) ) $=
    ( cr cltrr wor wcel w3a wbr wa wi wceq ltsor pm3.26i sotr mpan ) DEFZADGBDG
    CDGHABEIBCEIJACEIKQDDLMNDABCEOP $.
    $( [19-May-1996] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    $( Ordering property of addition on reals.  Axiom 23 of 25 for real
       and complex numbers, derived from ZF set theory.  Note:  The more
       general version for extended reals is ~ axltadd . $)
    pre-axltadd $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( A <RR B -> ( C + A ) <RR ( C + B ) ) ) $=
      ( vx vy vz cr wcel w3a cltrr wbr caddc co cv c0r cop wb cnr elreal wceq
      breq1 opreq2 breq1d bibi12d breq2 breq2d opreq1 breq12d bibi2d wa cltr
      cplr visset ltasr adantr ltresr a1i addresr breqan12d anandis oprex
      syl6bb 3bitr4d ancoms 3impa 3gencl biimpd ) AGHBGHCGHIABJKZCALMZCBLMZJKZD
      NZOPZENZOPZJKZFNZOPZVMLMZVRVOLMZJKZQZAVOJKZVRALMZVTJKZQVHWDVRBLMZJKZQVHVK
      QDEFVMVOVRARGBCDASEBSFCSVMATZVPWCWAWEVMAVOJUAWHVSWDVTJVMAVRLUBUCUDVOBTZWC
      VHWEWGVOBAJUEWIVTWFWDJVOBVRLUBUFUDVRCTZWGVKVHWJWDVIWFVJJVRCALUGVRCBLUGUHU
      IVLRHZVNRHZVQRHZWBWMWKWLUJZWBWMWNUJZVLVNUKKZVQVLULMZVQVNULMZUKKZVPWAWMWPW
      SQWNVLVNVQDUMZEUMZUNUOVPWPQWOVLVNWTXAUPUQWOWAWQOPZWROPZJKZWSWMWKWLWAXDQWM
      WKUJWMWLUJVSXBVTXCJVQVLURVQVNURUSUTWQWRVQVLULVAVQVNULVAUPVBVCVDVEVFVG $.
      $( [11-May-1996] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The product of two positive reals is positive.  Axiom 24 of 25 for
       real and complex numbers, derived from ZF set theory.  Note:  The more
       general version for extended reals is ~ axmulgt0 . $)
    pre-axmulgt0 $p |- ( ( A e. RR /\ B e. RR ) ->
                  ( ( 0 <RR A /\ 0 <RR B ) -> 0 <RR ( A x. B ) ) ) $=
      ( vx vy cc0 cv c0r cop cltrr wbr wa cmul co wi cnr cr elreal wceq breq2
      anbi1d opreq1 breq2d imbi12d anbi2d opreq2 wcel cmr cltr df-0 a1i visset
      mulresr breq12d 0r elisseti oprex ltresr syl6bb mulgt0sr breq1i bitr
      syl2anb syl5bir 2gencl ) ECFZGHZIJZEDFZGHZIJZKZEVFVILMZIJZNEAIJZVJKZEAVIL
      MZIJZNVNEBIJZKZEABLMZIJZNCDVFVIABOPCAQDBQVFARZVKVOVMVQWBVGVNVJVFAEISTWBVL
      VPEIVFAVILUAUBUCVIBRZVOVSVQWAWCVJVRVNVIBEISUDWCVPVTEIVIBALUEUBUCVEOUFVHOU
      FKZVMGVEVHUGMZUHJZVKWDVMGGHZWEGHZIJWFWDEWGVLWHIEWGRWDUIUJVEVHDUKZULUMGWEG
      OUNUOZVEVHUGUPUQURGVEUHJZGVHUHJZWFVGVJVEVHCUKZWIUSVGWGVFIJWKEWGVFIUIUTGVE
      WJWMUQVAVJWGVIIJWLEWGVIIUIUTGVHWJWIUQVAVBVCVD $.
      $( [13-May-1996] $)
  $}

  ${
    $d x y z w v A $.
    $( A non-empty, bounded-above set of reals has a supremum.  Axiom 25 of 25
       for real and complex numbers, derived from ZF set theory.  Note:  The
       more general version with ordering on extended reals is ~ axsup . $)
    pre-axsup $p |- ( ( A (_ RR /\ A =/= (/) /\ E. x e. RR
                    A. y e. A y <RR x ) -> E. x e. RR ( A. y e. A -. x <RR y /\
                    A. y e. RR ( y <RR x -> E. z e. A y <RR z ) ) ) $=
      ( vw vv cr wss c0 wne cv cltrr wbr wral wrex wn wi wa wceq wcel wal wex
      ssel imim1d pm2.43 syl6 19.20dv df-ral syl6ibr pm3.27 19.22i df-rex
      sylibr imim2i 19.20i a1i anim12d jcab albii 19.26 bitr syl5ib anim2d
      19.22dv adantr c0r cop cab opeq1 eleq1d cbvabv supre syl5 anabsi5 ax-1
      sylbi anim2i sylan2 df-ne anbi2i sylanb 3impa ) DGHZDIJZBKZAKZLMZBDNZAGOZ
      WFWELMPZBDNZWGWECKZLMZCDOZQZBGNZRZAGOZWCDISPZRZWIWRWCWDRWTWFGTZWEGTZWEDTZ
      WGQZQZBUAZRZAUBZWRWIWTXHWRWTXAXBXCWJQZWGWLGTZWLDTWMRZRZCUBZQZRQZBUAZRZAUB
      ZWRWTXHRWCXRWRQWSWCXRXAWQRZAUBWRWCXQXSAWCXPWQXAWCXBXIQZBUAZXBXNQZBUAZRZWQ
      XPWCYAWKYCWPWCYAXIBUAWKWCXTXIBWCXTXCXIQXIWCXCXBXIDGWEUCUDXCWJUEUFUGWJBDUH
      UIYCWPQWCYCXBWOQZBUAWPYBYEBXNWOXBXMWNWGXMXKCUBWNXLXKCXJXKUJUKWMCDULUMUNUN
      UOWOBGUHUMUPUQXPXTYBRZBUAYDXOYFBXBXIXNURUSXTYBBUTVAVBVCVDWQAGULUIVEABCEDF
      KZVFVGZDTZFVHYIEKZVFVGZDTFEYGYJSYHYKDYGYJVFVIVJVKVLVMVNWIXAWHRZAUBXHWHAGU
      LYLXGAWHXFXAWHXDBUAXFWGBDUHXDXEBXDXBVOUOVPVQUKVPVRWDWSWCDIVSVTWAWB $.
      $( [19-May-1996] $)
  $}

$( --old location
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                       Real and complex numbers
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$( Use set.mm as our foundation. $)
$( $[ set.mm $] $)

$( Include your favorite construction of reals here. $)
$( $[ dedekind.mm $] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
             Real and complex numbers - basic operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare symbols needed for some defined terms. $)
  $c - $. $( Subtraction (binary minus. $)
  $c -u $. $( Unary minus sign. $)
  $c <_ $. $( 'Less than or equal to' relation. $)
  $c NN $. $( The set of positive integers (blackboard bold N). $)
  $c NN0 $. $( The set of nonnegative integers (blackboard bold N_0). $)
  $c ZZ $. $( The set of integers (blackboard bold Z). $)
  $c QQ $. $( The set of rational numbers (blackboard bold Q). $)
  $c RR+ $. $( The set of positive reals (blackboard bold R^+). $)

  $( Introduce some defined terms for our axiom system. $)

  $( Extend class notation to include subtraction. $)
  cmin $a class - $.
  $( Extend class notation to include unary minus.  The symbol ` -u ` is
     not a class by itself but part of a compound class definition.  We
     do this rather than making it a formal function since it is so
     commonly used.  Note: We use a different symbols for unary minus
     ( ` -u ` ) and subtraction ~ cmin ( ` - ` ) to prevent syntax ambiguity.
     For example, looking at the syntax definition ~ co , if we used the same
     symbol then " ` ( - A - B ) ` " could mean either " ` - A ` " minus
     " ` B ` ", or it could represent the (meaningless) operation of classes
      " ` - ` " and " ` - B ` " connected with "operation" " ` A ` ".  On the
     other hand, " ` ( -u A - B ) ` " is unambiguous. $)
  cneg $a class -u A $.
  $( Extend class notation to include division. $)
  cdiv $a class / $.

  $( Extend wff notation to include the 'less than or equal to' relation. $)
  cle $a class <_ $.
  $( Extend class notation to include the class of positive integers. $)
  cn $a class NN $.
  $( Extend class notation to include the class of nonnegative integers. $)
  cn0 $a class NN0 $.
  $( Extend class notation to include the class of integers. $)
  cz $a class ZZ $.
  $( Extend class notation to include the class of rationals. $)
  cq $a class QQ $.
  $( Extend class notation to include the class of positive reals. $)
  crp $a class RR+ $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Some deductions from the field axioms for complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Alias for ~ axaddcl , for naming consistency with ~ addcl . $)
  addclt $p |- ( ( A e. CC /\ B e. CC ) -> ( A + B ) e. CC ) $=
    ( axaddcl ) ABC $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ axaddrcl , for naming consistency with ~ readdcl . $)
  readdclt $p |- ( ( A e. RR /\ B e. RR ) -> ( A + B ) e. RR ) $=
    ( axaddrcl ) ABC $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ axmulcl , for naming consistency with ~ mulcl . $)
  mulclt $p |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) e. CC ) $=
    ( axmulcl ) ABC $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ axmulrcl , for naming consistency with ~ remulcl . $)
  remulclt $p |- ( ( A e. RR /\ B e. RR ) -> ( A x. B ) e. RR ) $=
    ( axmulrcl ) ABC $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ axaddcom , for naming consistency with ~ addcom . $)
  addcomt $p |- ( ( A e. CC /\ B e. CC ) -> ( A + B ) = ( B + A ) ) $=
    ( axaddcom ) ABC $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ axmulcom , for naming consistency with ~ mulcom . $)
  mulcomt $p |- ( ( A e. CC /\ B e. CC ) -> ( A x. B ) = ( B x. A ) ) $=
    ( axmulcom ) ABC $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ axaddass , for naming consistency with ~ addass . $)
  addasst $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( ( A + B ) + C ) = ( A + ( B + C ) ) ) $=
    ( axaddass ) ABCD $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ axmulass , for naming consistency with ~ mulass . $)
  mulasst $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) ) $=
    ( axmulass ) ABCD $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ axdistr , for naming consistency with ~ adddi . $)
  adddit $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( A x. ( B + C ) ) = ( ( A x. B ) + ( A x. C ) ) ) $=
    ( axdistr ) ABCD $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ ax0id , for naming consistency with ~ addid1 . $)
  addid1t $p |- ( A e. CC -> ( A + 0 ) = A ) $=
    ( ax0id ) AB $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ ax1id , for naming consistency with ~ mulid1 . $)
  mulid1t $p |- ( A e. CC -> ( A x. 1 ) = A ) $=
    ( ax1id ) AB $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( The set of real numbers exists. $)
  reex $p |- RR e. V $=
    ( cr cc axcnex axresscn ssexi ) ABCDE $.
    $( [25-Sep-2004] $) $( [30-Jul-2004] $)

  $( A real number is a complex number. $)
  recnt $p |- ( A e. RR -> A e. CC ) $=
    ( cr cc axresscn sseli ) BCADE $.
    $( [10-Aug-1999] $)

  ${
    recn.1 $e |- A e. RR $.
    $( A real number is a complex number. $)
    recn $p |- A e. CC $=
      ( cr cc axresscn sselii ) CDAEBF $.
      $( [1-Mar-1995] $)
  $}

  ${
    recnd.1 $e |- ( ph -> A e. RR ) $.
    $( Deduction from real number to complex number. $)
    recnd $p |- ( ph -> A e. CC ) $=
      ( cr wcel cc recnt syl ) ABDEBFECBGH $.
      $( [26-Oct-1999] $)
  $}

  $( Hypothesis for weak deduction theorem to eliminate ` A =/= 0 ` . $)
    elimne0 $p |- if ( A =/= 0 , A , 1 ) =/= 0 $=
      ( cc0 wne c1 cif neeq1 ax1ne0 elimhyp ) ABCZIADEZBCDBCADAJBFDJBFGH $.
      $( [15-May-1999] $)

  $( The addition operation is a set. $)
  addex $p |- + e. V $=
    ( cc cxp caddc wf cvv wcel axaddopr axcnex xpex fex mp2an ) AABZACDLEFCEFGA
    AHHILAECJK $.
    $( [29-Nov-2004] $) $( [19-Oct-2004] $)

  $( The multiplication operation is a set. $)
  mulex $p |- x. e. V $=
    ( cc cxp cmul wf cvv wcel axmulopr axcnex xpex fex mp2an ) AABZACDLEFCEFGAA
    HHILAECJK $.
    $( [22-Oct-2004] $) $( [19-Oct-2004] $)

  $( Distributive law for complex numbers. $)
  adddirt $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
              ( ( A + B ) x. C ) = ( ( A x. C ) + ( B x. C ) ) ) $=
    ( cc wcel w3a caddc co cmul wceq axdistr 3coml wa axmulcom axaddcl sylan
    3impa 3adant2 3adant1 opreq12d 3eqtr4d ) ADEZBDEZCDEZFZCABGHZIHZCAIHZCBIHZG
    HZUFCIHZACIHZBCIHZGHUDUBUCUGUJJCABKLUBUCUDUKUGJZUFDEUDUNUBUCMUFCNABOPQUEULU
    HUMUIGUBUDULUHJUCACNRUCUDUMUIJUBBCNSTUA $.
    $( [11-Oct-2004] $) $( [10-Oct-2004] $)

  ${
    axi.1 $e |- A e. CC $.
    axi.2 $e |- B e. CC $.
    $( Closure law for addition. $)
    addcl $p |- ( A + B ) e. CC $=
      ( cc wcel caddc co axaddcl mp2an ) AEFBEFABGHEFCDABIJ $.
      $( [23-Nov-1994] $)

    $( Closure law for multiplication. $)
    mulcl $p |- ( A x. B ) e. CC $=
      ( cc wcel cmul co axmulcl mp2an ) AEFBEFABGHEFCDABIJ $.
      $( [23-Nov-1994] $)

    $( Commutative law for addition. $)
    addcom $p |- ( A + B ) = ( B + A ) $=
      ( cc wcel caddc co wceq axaddcom mp2an ) AEFBEFABGHBAGHICDABJK $.
      $( [23-Nov-1994] $)

    $( Commutative law for multiplication. $)
    mulcom $p |- ( A x. B ) = ( B x. A ) $=
      ( cc wcel cmul co wceq axmulcom mp2an ) AEFBEFABGHBAGHICDABJK $.
      $( [23-Nov-1994] $)

    ${
      axi.3 $e |- C e. CC $.
      $( Associative law for addition. $)
      addass $p |- ( ( A + B ) + C ) = ( A + ( B + C ) ) $=
        ( cc wcel caddc co wceq axaddass mp3an ) AGHBGHCGHABIJCIJABCIJIJKDEFABC
        LM $.
        $( [23-Nov-1994] $)

      $( Associative law for multiplication. $)
      mulass $p |- ( ( A x. B ) x. C ) = ( A x. ( B x. C ) ) $=
        ( cc wcel cmul co wceq axmulass mp3an ) AGHBGHCGHABIJCIJABCIJIJKDEFABCL
        M $.
        $( [23-Nov-1994] $)

      $( Distributive law. $)
      adddi $p |- ( A x. ( B + C ) ) = ( ( A x. B ) + ( A x. C ) ) $=
        ( cc wcel caddc co cmul wceq axdistr mp3an ) AGHBGHCGHABCIJKJABKJACKJIJ
        LDEFABCMN $.
        $( [23-Nov-1994] $)

      $( Distributive law. $)
      adddir $p |- ( ( A + B ) x. C ) = ( ( A x. C ) + ( B x. C ) ) $=
        ( cc wcel caddc co cmul wceq adddirt mp3an ) AGHBGHCGHABIJCKJACKJBCKJIJ
        LDEFABCMN $.
        $( [16-Feb-1995] $)

    $}
  $}

  $( 0 is a complex number. $)
  0cn $p |- 0 e. CC $=
    ( ci cmul co c1 caddc cc0 cc axi2m1 axicn mulcl ax1cn addcl eqeltrr ) AABCZ
    DECFGHNDAAIIJKLM $.
    $( [20-Feb-2005] $) $( [19-Feb-2005] $)

  $( Identity law for addition. $)
  addid2t $p |- ( A e. CC -> ( 0 + A ) = A ) $=
    ( cc wcel cc0 caddc co wceq 0cn axaddcom mpan ax0id eqtrd ) ABCZDAEFZADEFZA
    DBCMNOGHDAIJAKL $.
    $( [10-Aug-1999] $)

  ${
    addid1.1 $e |- A e. CC $.
    $( Identity law for addition. $)
    addid1 $p |- ( A + 0 ) = A $=
      ( cc wcel cc0 caddc co wceq ax0id ax-mp ) ACDAEFGAHBAIJ $.
      $( [23-Nov-1994] $)

    $( Identity law for addition. $)
    addid2 $p |- ( 0 + A ) = A $=
      ( cc wcel cc0 caddc co wceq addid2t ax-mp ) ACDEAFGAHBAIJ $.
      $( [23-Nov-1994] $)

    $( Identity law for multiplication. $)
    mulid1 $p |- ( A x. 1 ) = A $=
      ( cc wcel c1 cmul co wceq ax1id ax-mp ) ACDAEFGAHBAIJ $.
      $( [14-Feb-1995] $)

    $( Identity law for multiplication. $)
    mulid2 $p |- ( 1 x. A ) = A $=
      ( c1 cmul co ax1cn mulcom mulid1 eqtr ) CADEACDEACAFBGABHI $.
      $( [14-Feb-1995] $)
  $}

  ${
    axri.1 $e |- A e. RR $.
    axri.2 $e |- B e. RR $.

    $( Closure law for addition of reals. $)
    readdcl $p |- ( A + B ) e. RR $=
      ( cr wcel caddc co axaddrcl mp2an ) AEFBEFABGHEFCDABIJ $.
      $( [17-Jan-1997] $)

    $( Closure law for multiplication of reals. $)
    remulcl $p |- ( A x. B ) e. RR $=
      ( cr wcel cmul co axmulrcl mp2an ) AEFBEFABGHEFCDABIJ $.
      $( [17-Jan-1997] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Addition
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Commutative/associative law that swaps the first two terms in a triple
     sum. $)
  add12t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( A + ( B + C ) ) = ( B + ( A + C ) ) ) $=
    ( cc wcel w3a caddc co wceq wa axaddcom opreq1d 3adant3 axaddass 3com12
    3eqtr3d ) ADEZBDEZCDEZFABGHZCGHZBAGHZCGHZABCGHGHBACGHGHZQRUAUCISQRJTUBCGABK
    LMABCNRQSUCUDIBACNOP $.
    $( [13-May-2004] $) $( [11-May-2004] $)

  $( Commutative/associative law that swaps the last two terms in a triple
     sum. $)
  add23t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A + B ) + C ) = ( ( A + C ) + B ) ) $=
    ( cc wcel w3a caddc co wceq wa axaddcom opreq2d 3adant1 axaddass 3com23
    3eqtr4d ) ADEZBDEZCDEZFABCGHZGHZACBGHZGHZABGHCGHACGHBGHZRSUAUCIQRSJTUBAGBCK
    LMABCNQSRUDUCIACBNOP $.
    $( [13-Nov-1999] $)

  $( Rearrangement of 4 terms in a sum. $)
  add4t $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( B + D ) ) ) $=
    ( cc wcel wa caddc co wceq w3a add23t opreq1d 3expa adantrr axaddass 3expb
    axaddcl sylan an4s 3eqtr3d ) AEFZBEFZGZCEFZDEFZGZGABHIZCHIZDHIZACHIZBHIZDHI
    ZUHCDHIHIZUKBDHIHIZUDUEUJUMJZUFUBUCUEUPUBUCUEKUIULDHABCLMNOUHEFZUGUJUNJZUDU
    QUEUFURUHCDPQABRSUBUEUCUFUMUOJZUKEFZUCUFGUSUBUEGUTUCUFUSUKBDPQACRSTUA $.
    $( [13-Nov-1999] $)

  $( Rearrangement of 4 terms in a sum. $)
  add42t $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( D + B ) ) ) $=
    ( cc wcel wa caddc co add4t wceq axaddcom ad2ant2l opreq2d eqtrd ) AEFZBEFZ
    GCEFZDEFZGGZABHICDHIHIACHIZBDHIZHIUADBHIZHIABCDJTUBUCUAHQSUBUCKPRBDLMNO $.
    $( [15-May-2005] $) $( [12-May-2005] $)

  ${
    add.1 $e |- A e. CC $.
    add.2 $e |- B e. CC $.
    add.3 $e |- C e. CC $.
    $( Commutative/associative law that swaps the first two terms in a triple
       sum. $)
    add12 $p |- ( A + ( B + C ) ) = ( B + ( A + C ) ) $=
      ( cc wcel caddc co wceq add12t mp3an ) AGHBGHCGHABCIJIJBACIJIJKDEFABCLM
      $.
      $( [21-Jan-1997] $)

    $( Commutative/associative law that swaps the last two terms in a triple
       sum. $)
    add23 $p |- ( ( A + B ) + C ) = ( ( A + C ) + B ) $=
      ( cc wcel caddc co wceq add23t mp3an ) AGHBGHCGHABIJCIJACIJBIJKDEFABCLM
      $.
      $( [21-Jan-1997] $)
  $}

  ${
    add4.1 $e |- A e. CC $.
    add4.2 $e |- B e. CC $.
    add4.3 $e |- C e. CC $.
    add4.4 $e |- D e. CC $.
    $( Rearrangement of 4 terms in a sum. $)
    add4 $p |- ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( B + D ) ) $=
      ( cc wcel wa caddc co wceq pm3.2i add4t mp2an ) AIJZBIJZKCIJZDIJZKABLMCDL
      MLMACLMBDLMLMNRSEFOTUAGHOABCDPQ $.
      $( [9-May-1999] $)

    $( Rearrangement of 4 terms in a sum. $)
    add42 $p |- ( ( A + B ) + ( C + D ) ) = ( ( A + C ) + ( D + B ) ) $=
      ( caddc co add4 addcom opreq2i eqtr ) ABIJCDIJIJACIJZBDIJZIJODBIJZIJABCDE
      FGHKPQOIBDFHLMN $.
      $( [22-Aug-1999] $)
  $}

  $( A theorem for complex numbers analogous the second Peano postulate
     ~ peano2nn . $)
  peano2cn $p |- ( A e. CC -> ( A + 1 ) e. CC ) $=
    ( cc wcel c1 caddc co ax1cn axaddcl mpan2 ) ABCDBCADEFBCGADHI $.
    $( [18-Aug-2005] $) $( [17-Aug-2005] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Subtraction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d a b c d x y z A $.  $d x B $.  $d x C $.
    $( Lemma for ~ cnegext . $)
    cnegextlem1 $p |- ( ( A e. RR /\ B e. CC /\ C e. CC ) ->
                  ( ( A + B ) = ( A + C ) <-> B = C ) ) $=
      ( vx cr wcel cc w3a caddc co wceq cv cc0 wrex wi axrnegex 3ad2ant1 wa
      axaddass pm3.27 simpll simprl adantr syl3anc simprr eqeq12d opreq2
      syl5bir wb axaddcom eqeq1d adantlr opreq1 adantl addid2t eqeqan12d
      ad2antrr bitrd ex sylbid imp sylibd recnt sylan2 r19.23adva 3impb
      syl3an1 mpd impbid1 ) AEFZBGFZCGFZHZABIJZACIJZKZBCKZVMADLZIJZMKZDENZVPVQO
      ZVJVKWAVLDAPQAGFZVKVLWAWBOZVJWCVKVLWDWCVKVLRZRZVTWBDEWFVRGFZVTWBOVREFWFWG
      RZVTWBWHVTRVPVRAIJZBIJZWICIJZKZVQWHVPWLOVTWHWLVRVNIJZVRVOIJZKVPWHWJWMWKWN
      WGWCVKWJWMKWHVRABSWFWGTZWCWEWGUAZWFVKWGWCVKVLUBUCUDWGWCVLWKWNKWHVRACSWOWP
      WFVLWGWCVKVLUEUCUDUFVNVOVRIUGUHUCWHVTWLVQUIZWHVTWIMKZWQWCWGVTWRUIWEWCWGRV
      SWIMAVRUJUKULWHWRWQWHWRRWLMBIJZMCIJZKZVQWRWLXAUIWHWRWJWSWKWTWIMBIUMWIMCIU
      MUFUNWFXAVQUIZWGWRWEXBWCVKVLWSBWTCBUOCUOUPUNUQURUSUTVAVBUSVRVCVDVEVFAVCVG
      VHBCAIUGVI $.
      $( [22-May-2007] $) $( [22-May-2007] $)

    $( Lemma for ~ cnegext . $)
    cnegextlem2 $p |- E. y e. RR ( i x. y ) e. RR $=
      ( vx vz cc0 cv ci cmul co caddc wceq cr wrex wcel cc 0cn axcnre ax-mp wa
      wi axrnegex adantr w3a addid2t 3ad2ant3 opreq1 ad2antrl add23t 3com23
      eqcomd sylan9eq adantrl 3ad2ant2 3eqtr3d eqtr3d ex recnt axicn axmulcl
      mpan syl syl3an 3expa imp simplr eqeltrrd exp32 r19.23adva mpd r19.22dva
      r19.23aiv ) DBEZFAEZGHZIHZJZAKLZBKLZVMKMZAKLZDNMVQOBADPQVPVSBKVKKMZVOVRAK
      VTVLKMZRZVKCEZIHZDJZCKLZVOVRSZVTWFWACVKTUAWBWEWGCKWBWCKMZRZWEVOVRWIWEVORZ
      RWCVMKWIWJWCVMJZVTWAWHWJWKSZVKNMZVMNMZWCNMZWLVTWAWHWMWNWOUBZWJWKWPWJRZDWC
      IHZWCVMWPWRWCJZWJWOWMWSWNWCUCUDUAWQWDVMIHZDVMIHZWRVMWEWTXAJWPVOWDDVMIUEUF
      WPVOWTWRJWEWPVOWTVNWCIHZWRWMWOWNWTXBJVKWCVMUGUHVOWRXBDVNWCIUEUIUJUKWPXAVM
      JZWJWNWMXCWOVMUCULUAUMUNUOVKUPWAVLNMZWNVLUPFNMXDWNUQFVLURUSUTWCUPVAVBVCWB
      WHWJVDVEVFVGVHVIVJQ $.
      $( [11-Mar-2008] $) $( [22-May-2007] $)

    $( Lemma for ~ cnegext . $)
    cnegextlem3 $p |- ( ( b e. RR /\ y e. RR ) -> E. c e. RR ( b + c ) = y ) $=
      ( vx cv cr wcel wa caddc co cc0 wceq wrex axrnegex adantl axaddrcl syl
      adantlr adantr cc wb add23t 3expa axaddcom axaddcl sylan an1rs eqtr2d
      recnt sylanl2 adantllr ancoms sylan2 id sylan9eq adantlll eqeq12d
      cnegextlem1 simplr syl3anc bitr3d anim12i anim1i syl2an rexbidva mpbid
      ex r19.23adva mpd ) BEZFGZAEZFGZHZVLDEZIJZKLZDFMZVJCEZIJZVLLZCFMZVMVRVKDV
      LNOVNVQWBDFVNVOFGZHZVQWBWDVQHZVJVOIJZVSIJZKLZCFMZWBWDWIVQVKWCWIVMVKWCHWFF
      GWIVJVOPCWFNQRSWEWHWACFVJTGZVLTGZHZWCHZVQHZVSTGZWHWAUAWEVSFGWNWOHZVOVTIJZ
      VOVLIJZLZWHWAWPWQWGWRKWMWOWQWGLZVQWJWCWOWTWKWJVOTGZWOWTWCWJXAHWOHWGVTVOIJ
      ZWQWJXAWOWGXBLVJVOVSUBUCWJWOXAXBWQLZVTTGZXAXCWJWOHVTVOUDVJVSUEZUFUGUHVOUI
      ZUJUKRWNWRKLZWOWKWCVQXGWJWKWCHVQWRVPKWKXAWRVPLZWCXAWKXHVOVLUDULXFUMVQUNUO
      UPSUQWMWOWSWAUAZVQWCXDWKXIWMWOHVOVTVLURWLWCWOUSWLWOXDWCWJWOXDWKXERRWMWKWO
      WJWKWCUSSUTRVAWDWMVQVNWLWCVKWJVMWKVJUIVLUIVBVCVCVSUIVDVEVFVGVHVI $.
      $( [22-May-2007] $) $( [22-May-2007] $)

    $( Existence of the negative of a complex number.  (Contributed by Eric
       Schmidt, 21-May-2007.) $)
    cnegext $p |- ( A e. CC -> E. x e. CC ( A + x ) = 0 ) $=
      ( va vb vy vc vd cc wcel cv ci cmul co caddc wceq cr wrex cc0 axcnre wa
      opreq1 eqeq1d rexbidv cnegextlem2 cnegextlem3 ad2ant2lr axaddrcl
      axrnegex syl ad2ant2rl adantr opreq2 rcla4ev axaddcl recnt axicn axmulcl
      mpan syl2an adantlr adantll axaddass sylan2 ad2antrr ad2antlr pm3.27
      syl3anc simpll adantl axdistr mp3an1 opreq2d eqtr4d opreq1d eqtr3d
      anim12i adantlrr eqtr2d adantllr biimpa sylanc exp31 r19.23adv mpd exp32
      mpi syl5cbir r19.23aivv ) BHIBCJZKDJZLMZNMZOZDPQCPQBAJZNMZROZAHQZCDBSWMWQ
      CDPPWMWQWLWNNMZROZAHQZWIPIZWJPIZTZWMWPWSAHWMWOWRRBWLWNNUAUBUCXCKEJZLMZPIZ
      EPQWTEUDXCXFWTEPXCXDPIZXFWTXCXGXFTZTZWJFJZNMZXDOZFPQZWTXBXGXMXAXFEDFUEUFX
      IXLWTFPXIXJPIZXLWTXIXNXLTZTZWIXENMZGJZNMZROZGPQZWTXIYAXOXAXFYAXBXGXAXFTXQ
      PIYAWIXEUGGXQUHUIUJUKXPXTWTGPXPXRPIZXTWTKXJLMZXRNMZHIZWLYDNMZROZWTXPYBTZX
      TTWSYGAYDHWNYDOWRYFRWNYDWLNULUBUMYHYEXTXOYBYEXIXNYBYEXLYCHIZXRHIZYEXNYBYC
      XRUNXNXJHIZYIXJUOZKHIZYKYIUPKXJUQURZUIXRUOZUSUTVAUKYHXTYGYHXSYFRXCXOYBXSY
      FOXHXCXOTYBTYFWIKXKLMZNMZXRNMZXSXCXNYBYFYROZXLWIHIZWJHIZTZYKTZYJYSXCXNTYB
      UUCYJTZWLYCNMZXRNMZYFYRWLHIZYIYJUUFYFOUUDWLYCXRVBUUBUUGYKYJYTWKHIZUUGUUAW
      IWKUNYMUUAUUHUPKWJUQURZVCVDYKYIUUBYJYNVEUUCYJVFVGUUDUUEYQXRNUUCUUEYQOYJUU
      CUUEWIWKYCNMZNMZYQYTUUHYIUUEUUKOUUCWIWKYCVBYTUUAYKVHUUAUUHYTYKUUIVEYKYIUU
      BYNVIVGUUCYPUUJWINUUAYKYPUUJOZYTYMUUAYKUULUPKWJXJVJVKVAVLVMUKVNVOXCUUBXNY
      KXAYTXBUUAWIUOWJUOVPYLVPYOUSVQXOYRXSOZXCYBXLUUMXNXLYQXQXRNXLYPXEWINXKXDKL
      ULVLVNVIVEVRVSUBVTWAWBWCWDWEWCWDWEWCWFWGWHUI $.
      $( [11-Mar-2008] $) $( [22-May-2007] $)
  $}

  ${
    $d x A $.
    negex.1 $e |- A e. CC $.
    $( Existence of negatives. $)
    cnegex $p |- E. x e. CC ( A + x ) = 0 $=
      ( cc wcel cv caddc co cc0 wceq wrex cnegext ax-mp ) BDEBAFGHIJADKCABLM $.
      $( [23-Nov-1994] $)
  $}

  $( 0 is a complex number.  (Proved without referencing ~ ax1cn by Eric
     Schmidt, 11-Apr-2007.  Compare ~ 0cn .) $)
  0cnALT $p |- 0 e. CC $=
    ( vx ci cv caddc co cc0 wceq cc wrex wcel axicn cnegext ax-mp wa axaddcl
    mpan adantr wb eleq1 adantl mpbid r19.23aiva ) BACZDEZFGZAHIZFHJZBHJZUFKABL
    MUEUGAHUCHJZUENUDHJZUGUIUJUEUHUIUJKBUCOPQUEUJUGRUIUDFHSTUAUBM $.
    $( [12-Apr-2007] $) $( [19-Feb-2005] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    addcan.1 $e |- A e. CC $.
    addcan.2 $e |- B e. CC $.
    addcan.3 $e |- C e. CC $.
    $( Cancellation law for addition.  Theorem I.1 of [Apostol] p. 18. $)
    addcan $p |- ( ( A + B ) = ( A + C ) <-> B = C ) $=
      ( vx caddc co wceq cv cc0 cc wrex wi cnegex wcel wa wb axaddass mp3an3
      eqeq12d mpan2 opreq2 syl5bir adantr axaddcom mpan eqeq1d opreq1 addid2
      syl6eq syl6bi imp sylibd r19.23aiva ax-mp impbi ) ABHIZACHIZJZBCJZAGKZHIZ
      LJZGMNVAVBOZGADPVEVFGMVCMQZVERVAVCAHIZBHIZVHCHIZJZVBVGVAVKOVEVGVKVCUSHIZV
      CUTHIZJZVAVGAMQZVKVNSDVGVORVIVLVJVMVGVOBMQVIVLJEVCABTUAVGVOCMQVJVMJFVCACT
      UAUBUCUSUTVCHUDUEUFVGVEVKVBSZVGVEVHLJZVPVGVDVHLVOVGVDVHJDAVCUGUHUIVQVIBVJ
      CVQVILBHIBVHLBHUJBEUKULVQVJLCHICVHLCHUJCFUKULUBUMUNUOUPUQBCAHUDUR $.
      $( [27-Oct-1999] $)
  $}

  $( Cancellation law for addition.  Theorem I.1 of [Apostol] p. 18.  This
     proof illustrates how ~ dedth3h can be used to convert
     the assumptions of ~ addcan into antecedents.  This general
     method can be used to convert deductions into theorems as needed. $)
  addcant $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A + B ) = ( A + C ) <-> B = C ) ) $=
    ( cc wcel caddc co wceq wb cc0 cif opreq1 eqeq12d bibi1d opreq2 eqeq1d
    eqeq1 bibi12d eqeq2d eqeq2 0cn elimel addcan dedth3h ) ADEZBDEZCDEZABFGZACF
    GZHZBCHZIUEAJKZBFGZULCFGZHZUKIABCJJJULUFBJKZFGZUNHZUPCHZIUQULUGCJKZFGZHZUPU
    THZIAULHZUJUOUKVDUHUMUIUNAULBFLAULCFLMNBUPHZUOURUKUSVEUMUQUNBUPULFOPBUPCQRC
    UTHZURVBUSVCVFUNVAUQCUTULFOSCUTUPTRULUPUTAJDUAUBBJDUAUBCJDUAUBUCUD $.
    $( [22-Nov-1994] $)

  $( Cancellation law for addition. $)
  addcan2t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A + C ) = ( B + C ) <-> A = B ) ) $=
    ( cc wcel caddc co wceq wb w3a axaddcom 3adant3 3adant2 eqeq12d addcant
    bitr3d 3coml ) CDEZADEZBDEZACFGZBCFGZHZABHZIRSTJZCAFGZCBFGZHUCUDUEUFUAUGUBR
    SUFUAHTCAKLRTUGUBHSCBKMNCABOPQ $.
    $( [23-Aug-2004] $) $( [30-Jul-2004] $)

  ${
    addcan2.1 $e |- A e. CC $.
    addcan2.2 $e |- B e. CC $.
    addcan2.3 $e |- C e. CC $.
    $( Cancellation law for addition. $)
    addcan2 $p |- ( ( A + C ) = ( B + C ) <-> A = B ) $=
      ( cc wcel caddc co wceq wb addcan2t mp3an ) AGHBGHCGHACIJBCIJKABKLDEFABCM
      N $.
      $( [14-May-2003] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    negeu.1 $e |- A e. CC $.
    negeu.2 $e |- B e. CC $.
    $( Existential uniqueness of negatives.  Theorem I.2 of [Apostol]
       p. 18. $)
    negeu $p |- E! x e. CC ( A + x ) = B $=
      ( vy cv caddc co wceq cc wreu wrex wa wi wral opreq2 eqeq1d reu4 cc0
      cnegex wcel axaddcl mpan2 risset sylib axaddass mp3an13 eqcomd sylan9eqr
      opreq1 addid2 syl6eq exp32 impcom a1d r19.21aiv ex r19.22 syl6 mpid
      r19.23aiv ax-mp w3a addcant eqtr3t syl5bi mp3an1 rgen2a mpbir2an ) BAGZHI
      ZCJZAKLVMAKMZVMBFGZHIZCJZNZVKVOJZOZFKPAKPVMVQAFKVSVLVPCVKVOBHQRSVPTJZFKMV
      NFBDUAWAVNFKVOKUBZWAVKVOCHIZJZAKMZVNWBWCKUBZWEWBCKUBZWFEVOCUCUDAWCKUEUFWB
      WAWDVMOZAKPZWEVNOWBWAWIWBWANZWHAKWJWHVKKUBZWAWBWHWAWBWDVMWBWDNWAVLVPCHIZC
      WDWBVLBWCHIZWLVKWCBHQWBWLWMBKUBZWBWGWLWMJDEBVOCUGUHUIUJWAWLTCHICVPTCHUKCE
      ULUMUJUNUOUPUQURWDVMAKUSUTVAVBVCVTAFKWNWKWBVTDWNWKWBVDVLVPJVSVRBVKVOVEVLV
      PCVFVGVHVIVJ $.
      $( [22-Nov-1994] $)
  $}

  ${
    $d x y z w $.
    $( Define subtraction.  Theorem ~ subvalt shows it value (and describes how
       this definition works), theorem ~ subadd relates it to addition, and
       theorems ~ subcl and ~ resubcl prove its closure laws. $)
    df-sub $a |- - = { <. <. x , y >. , z >. |
                   ( ( x e. CC /\ y e. CC ) /\
                   z = U. { w e. CC | ( y + w ) = x } ) } $.
  $}

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Value of subtraction, which is the (unique) element ` x ` such that
       ` B + x = A ` .  The notation ` U. { x e. CC | ( B + x ) = A } `
       may at first seem cryptic but is actually a way of saying
       "the element ` x ` such that ` B + x = A `" (see Theorem 8.17 of
       [Quine] p. 56);  this works because there is only one such ` x ` as
       shown by ~ negeu , allowing us to exploit ~ eusn and ~ unisn (which you
       will find if you trace back the proof of ~ subcl ). $)
    subvalt $p |- ( ( A e. CC /\ B e. CC ) ->
                  ( A - B ) = U. { x e. CC | ( B + x ) = A } ) $=
      ( vy vz vw cc cv caddc co wceq crab cuni cmin axcnex rabex uniex eqeq2
      rabbisdv unieqd opreq1 eqeq1d df-sub oprabval2 ) DEFBCGGEHZAHZIJZDHZKZAGL
      ZMCUFIJZBKZAGLZMNUGBKZAGLZMUMULAGOPQUHBKZUJUOUPUIUNAGUHBUGRSTUECKZUOUMUQU
      NULAGUQUGUKBUECUFIUAUBSTDEFAUCUD $.
      $( [4-Aug-2007] $) $( [4-Aug-2007] $)
  $}

  $( Define the negative of a number (unary minus).  We use different symbols
     for unary minus ( ` -u ` ) and subtraction ( ` - ` ) to prevent syntax
     ambiguity.  See ~ cneg for a discussion of this. $)
  df-neg $a |- -u A = ( 0 - A ) $.

  $( Equality theorem for negatives. $)
  negeq $p |- ( A = B -> -u A = -u B ) $=
    ( wceq cc0 cmin co cneg opreq2 df-neg 3eqtr4g ) ABCDAEFDBEFAGBGABDEHAIBIJ
    $.
    $( [10-Feb-1995] $)

  ${
    negeqi.1 $e |- A = B $.
    $( Equality inference for negatives. $)
    negeqi $p |- -u A = -u B $=
      ( wceq cneg negeq ax-mp ) ABDAEBEDCABFG $.
      $( [14-Feb-1995] $)
  $}

  ${
    negeqd.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for negatives. $)
    negeqd $p |- ( ph -> -u A = -u B ) $=
      ( wceq cneg negeq syl ) ABCEBFCFEDBCGH $.
      $( [14-May-1999] $)
  $}

  ${
    $d y A $.  $d x y $.
    hbneg.1 $e |- ( y e. A -> A. x y e. A ) $.
    $( Bound-variable hypothesis builder for the negative of a complex
       number. $)
    hbneg $p |- ( y e. -u A -> A. x y e. -u A ) $=
      ( cneg cc0 cmin co df-neg cv wcel ax-17 hbopr hbxfr ) ABCEFCGHCIABFCGBJZF
      KALOGKALDMN $.
      $( [12-Jun-2005] $) $( [12-Jun-2005] $)
  $}

  ${
    $d y z A $.  $d y ph $.  $d x y z $.
    hbnegd.1 $e |- ( ph -> A. x ph ) $.
    hbnegd.2 $e |- ( ph -> ( y e. A -> A. x y e. A ) ) $.
    $( Deduction version of ~ hbneg . $)
    hbnegd $p |- ( ph -> ( y e. -u A -> A. x y e. -u A ) ) $=
      ( vz cv wcel wal cab cneg wi hba1 hbab hbneg a1i wceq 19.21aiv abidhb
      syl negeqd eleq2d albid 3imtr3d ) ACHZGHDIZBJZGKZLZIZUKBJZUFDLZIZUNBJUKUL
      MABCUIUHBGCUGBNOPQAUJUMUFAUIDAUFDIZUOBJMZCJUIDRAUPCFSBCGDTUAUBUCZAUKUNBEU
      QUDUE $.
      $( [2-Mar-2008] $) $( [29-Feb-2008] $)
  $}

  ${
    $d y z A $.  $d y z B $.  $d y z C $.  $d x y z $.
    $( Move class substitution in and out of the negative of a number. $)
    csbnegg $p |- ( A e. C -> [_ A / x ]_ -u B = -u [_ A / x ]_ B ) $=
      ( vy vz wcel cv cneg csb ax-17 hbcsb1g hbnegd wceq csbeq1a negeqd wex
      a9e visset hbcsb1 hbneg hbeq eqtr3d 19.23ai ax-mp syl5eq csbiegf csbcog
      3eqtr3d ) BDGZEBAEHZCIZJZJEBAUKCJZJZIZABULJABCJZIEFBUMUPDUJEFUOUJEKEFBUND
      FHZBGEKLMUKBNZUNIZUPUMUSUNUOEBUNOPAHUKNZAQUMUTNZAERVAVBAAFFUMUTAFUKULESZU
      RUKGAKZTAFUNAFUKCVCVDTUAUBVAULUMUTAUKULOVACUNAUKCOPUCUDUEUFUGAEBULDUHUJUO
      UQAEBCDUHPUI $.
      $( [23-Mar-2008] $) $( [1-Mar-2008] $)
  $}

  $( A negative is a set. $)
  negex $p |- -u A e. V $=
    ( cneg cc0 cmin co cvv df-neg oprex eqeltr ) ABCADEFAGCADHI $.
    $( [27-May-2005] $) $( [4-Apr-2005] $)

  ${
    $d x A $.  $d x B $.
    subcl.1 $e |- A e. CC $.
    subcl.2 $e |- B e. CC $.
    $( Closure law for subtraction. $)
    subcl $p |- ( A - B ) e. CC $=
      ( vx cmin co cv caddc wceq cc crab cuni wcel subvalt mp2an wreu negeu
      reucl ax-mp eqeltr ) ABFGZBEHIGAJZEKLMZKAKNBKNUBUDJCDEABOPUCEKQUDKNEBADCR
      UCEKSTUA $.
      $( [26-Nov-1994] $)
  $}

  $( Closure law for subtraction. $)
  subclt $p |- ( ( A e. CC /\ B e. CC ) -> ( A - B ) e. CC ) $=
    ( cc wcel cmin co cc0 cif wceq opreq1 eleq1d opreq2 0cn elimel subcl
    dedth2h ) ACDZBCDZABEFZCDQAGHZBEFZCDTRBGHZEFZCDABGGATISUACATBEJKBUBIUAUCCBU
    BTELKTUBAGCMNBGCMNOP $.
    $( [10-May-1999] $)

  $( Closure law for negative. $)
  negclt $p |- ( A e. CC -> -u A e. CC ) $=
    ( cc wcel cc0 cmin co cneg 0cn subclt mpan df-neg syl5eqel ) ABCZDAEFZBAGDB
    CMNBCHDAIJAKL $.
    $( [6-Aug-2003] $)

  ${
    negcl.1 $e |- A e. CC $.
    $( Closure law for negative. $)
    negcl $p |- -u A e. CC $=
      ( cc wcel cneg negclt ax-mp ) ACDAECDBAFG $.
      $( [26-Nov-1994] $)
  $}

  ${
    $d w x y z $.
    $( Subtraction is an operation on the complex numbers. $)
    subopr $p |- - : ( CC X. CC ) --> CC $=
      ( vx vy vz vw cc cv caddc co wceq crab cuni cmin df-sub wcel wa subvalt
      subclt eqeltrrd foprab ) ABCEEBFZDFGHAFZIDEJKZELABCDMUAENTENOUATLHUBEDUAT
      PUATQRS $.
      $( [9-Aug-2007] $) $( [4-Aug-2007] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    subadd.1 $e |- A e. CC $.
    subadd.2 $e |- B e. CC $.
    subadd.3 $e |- C e. CC $.
    $( Relationship between subtraction and addition. $)
    subadd $p |- ( ( A - B ) = C <-> ( B + C ) = A ) $=
      ( vx cc wcel cmin co wceq caddc wb cv eqeq2 opreq2 eqeq1d bibi12d crab
      cuni wreu negeu reuuni1 mpan2 subvalt mp2an eqeq1i syl6rbbr vtoclga
      ax-mp ) CHIABJKZCLZBCMKZALZNZFULGOZLZBUQMKZALZNUPGCHUQCLZURUMUTUOUQCULPVA
      USUNAUQCBMQRSUQHIZUTUTGHTUAZUQLZURVBUTGHUBUTVDNGBAEDUCUTGHUDUEULVCUQAHIBH
      IULVCLDEGABUFUGUHUIUJUK $.
      $( [26-Nov-1994] $)

    ${
      subaddri.4 $e |- ( B + C ) = A $.
      $( Relationship between subtraction and addition. $)
      subaddri $p |- ( A - B ) = C $=
        ( cmin co wceq caddc subadd mpbir ) ABHICJBCKIAJGABCDEFLM $.
        $( [19-Dec-2006] $) $( [16-Dec-2006] $)
    $}

    $( Relationship between subtraction and addition. $)
    subadd2 $p |- ( ( A - B ) = C <-> ( C + B ) = A ) $=
      ( cmin co wceq caddc subadd addcom eqeq1i bitr ) ABGHCIBCJHZAICBJHZAIABCD
      EFKOPABCEFLMN $.
      $( [15-Dec-2006] $) $( [15-Dec-2006] $)

    $( Swap subtrahend and result of subtraction. $)
    subsub23 $p |- ( ( A - B ) = C <-> ( A - C ) = B ) $=
      ( caddc co wceq cmin addcom eqeq1i subadd 3bitr4 ) BCGHZAICBGHZAIABJHCIAC
      JHBIOPABCEFKLABCDEFMACBDFEMN $.
      $( [7-Oct-1999] $)
  $}

  $( Relationship between subtraction and addition. $)
  subaddt $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) = C <-> ( B + C ) = A ) ) $=
    ( cc wcel cmin co wceq caddc wb cc0 cif opreq1 eqeq1d eqeq2 bibi12d opreq2
    0cn elimel subadd dedth3h ) ADEZBDEZCDEZABFGZCHZBCIGZAHZJUBAKLZBFGZCHZUGUIH
    ZJABCKKKUIUCBKLZFGZCHZUMCIGZUIHZJUNUDCKLZHZUMURIGZUIHZJAUIHZUFUKUHULVBUEUJC
    AUIBFMNAUIUGOPBUMHZUKUOULUQVCUJUNCBUMUIFQNVCUGUPUIBUMCIMNPCURHZUOUSUQVACURU
    NOVDUPUTUICURUMIQNPUIUMURAKDRSBKDRSCKDRSTUA $.
    $( [20-Jan-1997] $)

  $( Swap subtrahend and result of subtraction. $)
  subsub23t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) = C <-> ( A - C ) = B ) ) $=
    ( cc wcel w3a caddc co wceq cmin axaddcom 3adant1 eqeq1d subaddt wb 3com23
    3bitr4d ) ADEZBDEZCDEZFZBCGHZAICBGHZAIZABJHCIACJHBIZUAUBUCASTUBUCIRBCKLMABC
    NRTSUEUDOACBNPQ $.
    $( [14-Dec-2007] $) $( [14-Dec-2007] $)

  $( Subtraction and addition of equals. $)
  pncan3t $p |- ( ( A e. CC /\ B e. CC ) -> ( A + ( B - A ) ) = B ) $=
    ( cc wcel wa cmin co wceq caddc eqid wb subaddt pm3.27 pm3.26 subclt
    ancoms syl3anc mpbii ) ACDZBCDZEZBAFGZUBHZAUBIGBHZUBJTSUBCDZUCUDKUABAUBLSTM
    STNTSUEBAOPQR $.
    $( [15-Mar-2005] $) $( [14-Mar-2005] $)

  ${
    pncan3.1 $e |- A e. CC $.
    pncan3.2 $e |- B e. CC $.
    $( Subtraction and addition of equals. $)
    pncan3 $p |- ( A + ( B - A ) ) = B $=
      ( cc wcel cmin co caddc wceq pncan3t mp2an ) AEFBEFABAGHIHBJCDABKL $.
      $( [26-Nov-1994] $)
  $}

  $( Addition of a number and its negative. $)
  negidt $p |- ( A e. CC -> ( A + -u A ) = 0 ) $=
    ( cc wcel cc0 cmin co caddc cneg wceq 0cn pncan3t mpan2 df-neg opreq2i
    syl5eq ) ABCZADAEFZGFZDAAHZGFPDBCRDIJADKLSQAGAMNO $.
    $( [15-Mar-2005] $) $( [14-Mar-2005] $)

  ${
    negid.1 $e |- A e. CC $.
    $( Addition of a number and its negative. $)
    negid $p |- ( A + -u A ) = 0 $=
      ( cc wcel cneg caddc co cc0 wceq negidt ax-mp ) ACDAAEFGHIBAJK $.
      $( [26-Nov-1994] $)
  $}

  ${
    negsub.1 $e |- A e. CC $.
    negsub.2 $e |- B e. CC $.
    $( Relationship between subtraction and negative.  Theorem I.3 of
       [Apostol] p. 18. $)
    negsub $p |- ( A + -u B ) = ( A - B ) $=
      ( cmin co cneg caddc negcl addcl addcom cc0 addass negid eqtr opreq2i
      addid1 3eqtr subaddri eqcomi ) ABEFABGZHFZABUBCDAUACBDIZJZBUBHFUBBHFZABUB
      DUDKUEAUABHFZHFALHFAAUABCUCDMUFLAHUFBUAHFLUABUCDKBDNOPACQROST $.
      $( [3-Dec-2005] $) $( [26-Nov-1994] $)
  $}

  $( Relationship between subtraction and negative.  Theorem I.3 of
     [Apostol] p. 18. $)
  negsubt $p |- ( ( A e. CC /\ B e. CC ) -> ( A + -u B ) = ( A - B ) ) $=
    ( cc wcel cneg caddc co cmin wceq cc0 cif opreq1 eqeq12d negeq opreq2d
    opreq2 0cn elimel negsub dedth2h ) ACDZBCDZABEZFGZABHGZIUAAJKZUCFGZUFBHGZIU
    FUBBJKZEZFGZUFUIHGZIABJJAUFIUDUGUEUHAUFUCFLAUFBHLMBUIIZUGUKUHULUMUCUJUFFBUI
    NOBUIUFHPMUFUIAJCQRBJCQRST $.
    $( [3-Dec-2005] $) $( [21-Jan-1997] $)

  $( Associative-type law for addition and subtraction. $)
  addsubasst $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                   ( ( A + B ) - C ) = ( A + ( B - C ) ) ) $=
    ( cc wcel w3a caddc co cneg cmin wceq axaddass negclt syl3an3 wa negsubt
    axaddcl sylan 3impa 3adant1 opreq2d 3eqtr3d ) ADEZBDEZCDEZFZABGHZCIZGHZABUH
    GHZGHZUGCJHZABCJHZGHUCUDUHDEUIUKKUEABUHLCMNUCUDUEUIULKZUGDEUEUNUCUDOUGCPABQ
    RSUFUJUMAGUDUEUJUMKUCBCPTUAUB $.
    $( [1-Aug-2006] $) $( [6-Aug-2003] $)

  $( Law for addition and subtraction. $)
  addsubt $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( ( A + B ) - C ) = ( ( A - C ) + B ) ) $=
    ( cc wcel w3a caddc co cmin wceq wa axaddcom opreq1d 3adant3 addsubasst
    3com12 wi ex subclt syl5 exp3a com12 3imp 3eqtrd ) ADEZBDEZCDEZFABGHZCIHZBA
    GHZCIHZBACIHZGHZULBGHZUEUFUIUKJUGUEUFKUHUJCIABLMNUFUEUGUKUMJBACOPUEUFUGUMUN
    JZUFUEUGUOQUFUEUGUOUFULDEZUOUEUGKUFUPUOBULLRACSTUAUBUCUD $.
    $( [19-Aug-2001] $)

  $( Commutative/associative law for addition and subtraction. $)
  subadd23t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A - B ) + C ) = ( A + ( C - B ) ) ) $=
    ( cc wcel cmin co caddc wceq w3a addsubt addsubasst eqtr3d 3com23 ) ADEZCDE
    ZBDEZABFGCHGZACBFGHGZIOPQJACHGBFGRSACBKACBLMN $.
    $( [1-Feb-2007] $) $( [1-Feb-2007] $)

  $( Commutative/associative law for addition and subtraction. $)
  addsub12t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( A + ( B - C ) ) = ( B + ( A - C ) ) ) $=
    ( cc wcel cmin co caddc wceq w3a subadd23t wa axaddcom subclt sylan 3impa
    eqtr3d 3com23 ) ADEZCDEZBDEZABCFGHGZBACFGZHGZISTUAJUCBHGZUBUDACBKSTUAUEUDIZ
    UCDEUAUFSTLUCBMACNOPQR $.
    $( [1-Mar-2005] $) $( [8-Feb-2005] $)

  ${
    addsubass.1 $e |- A e. CC $.
    addsubass.2 $e |- B e. CC $.
    addsubass.3 $e |- C e. CC $.
    $( Associative-type law for subtraction and addition. $)
    addsubass $p |- ( ( A + B ) - C ) = ( A + ( B - C ) ) $=
      ( cc wcel caddc co cmin wceq addsubasst mp3an ) AGHBGHCGHABIJCKJABCKJIJLD
      EFABCMN $.
      $( [16-Sep-1999] $)

    $( Law for subtraction and addition. $)
    addsub $p |- ( ( A + B ) - C ) = ( ( A - C ) + B ) $=
      ( cc wcel caddc co cmin wceq addsubt mp3an ) AGHBGHCGHABIJCKJACKJBIJLDEFA
      BCMN $.
      $( [6-Aug-2003] $)
  $}

  $( Law for subtraction and addition. $)
  2addsubt $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
                 ( ( ( A + B ) + C ) - D ) = ( ( ( A + C ) - D ) + B ) ) $=
    ( cc wcel wa caddc co cmin wceq add23t 3expa adantrr opreq1d addsubt 3expb
    axaddcl sylan an4s eqtrd ) AEFZBEFZGZCEFZDEFZGGZABHICHIZDJIACHIZBHIZDJIZUID
    JIBHIZUGUHUJDJUDUEUHUJKZUFUBUCUEUMABCLMNOUBUEUCUFUKULKZUIEFZUCUFGUNUBUEGUOU
    CUFUNUIBDPQACRSTUA $.
    $( [8-Dec-2005] $) $( [20-Nov-2005] $)

  ${
    negneg.1 $e |- A e. CC $.
    $( A number is equal to the negative of its negative.  Theorem I.4 of
       [Apostol] p. 18. $)
    negneg $p |- -u -u A = A $=
      ( cneg caddc co cc0 negcl negid opreq2i opreq1i addass addid2 3eqtr3
      addid1 ) AACZOCZDEZDEZAFDEPAQFADOABGZHIAODEZPDEFPDERPTFPDABHJAOPBSOSGZKPU
      ALMABNM $.
      $( [8-Feb-1995] $)

    $( Subtraction of a number from itself. $)
    subid $p |- ( A - A ) = 0 $=
      ( cneg caddc co cmin cc0 negsub negid eqtr3 ) AACDEAAFEGAABBHABIJ $.
      $( [26-Nov-1994] $)

    $( Identity law for subtraction. $)
    subid1 $p |- ( A - 0 ) = A $=
      ( cc0 0cn addid2 subaddri ) ACABDBABEF $.
      $( [29-May-1999] $)

  $}

  $( A number is equal to the negative of its negative.  Theorem I.4 of
     [Apostol] p. 18. $)
  negnegt $p |- ( A e. CC -> -u -u A = A ) $=
    ( cc wcel cneg wceq cc0 cif negeq negeqd id eqeq12d 0cn elimel negneg
    dedth ) ABCZADZDZAEPAFGZDZDZSEAFASEZRUAASUBQTASHIUBJKSAFBLMNO $.
    $( [12-Jan-2002] $)

  $( Relationship between subtraction and negative. $)
  subnegt $p |- ( ( A e. CC /\ B e. CC ) -> ( A - -u B ) = ( A + B ) ) $=
    ( cc wcel wa cneg caddc co cmin wceq negsubt negclt sylan2 negnegt opreq2d
    adantl eqtr3d ) ACDZBCDZEABFZFZGHZATIHZABGHZRTCDUBUCJSATKBLMSUBUDJRSUABAGBN
    OPQ $.
    $( [4-Jun-2004] $) $( [10-May-2004] $)

  $( Subtraction of a number from itself. $)
  subidt $p |- ( A e. CC -> ( A - A ) = 0 ) $=
    ( cc wcel cmin co cc0 wceq cif opreq12 anidms eqeq1d 0cn elimel subid
    dedth ) ABCZAADEZFGPAFHZRDEZFGAFARGZQSFTQSGARARDIJKRAFBLMNO $.
    $( [8-Oct-1999] $)

  $( Identity law for subtraction. $)
  subid1t $p |- ( A e. CC -> ( A - 0 ) = A ) $=
    ( cc wcel cc0 cmin co wceq cif opreq1 id eqeq12d 0cn elimel subid1 dedth )
    ABCZADEFZAGPADHZDEFZRGADARGZQSARARDEITJKRADBLMNO $.
    $( [5-Jun-2004] $) $( [9-May-2004] $)

  $( Cancellation law for subtraction. $)
  pncant $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + B ) - B ) = A ) $=
    ( cc wcel wa caddc co cmin wceq addsubasst 3anidm23 cc0 subidt opreq2d
    ax0id sylan9eqr eqtrd ) ACDZBCDZEABFGBHGZABBHGZFGZARSTUBIABBJKSRUBALFGASUAL
    AFBMNAOPQ $.
    $( [23-May-2004] $) $( [10-May-2004] $)

  $( Cancellation law for subtraction. $)
  pncan2t $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + B ) - A ) = B ) $=
    ( cc wcel caddc co cmin wceq wa axaddcom opreq1d pncant eqtr3d ancoms ) BCD
    ZACDZABEFZAGFZBHOPIZBAEFZAGFRBSTQAGBAJKBALMN $.
    $( [20-Apr-2005] $) $( [17-Apr-2005] $)

  $( Cancellation law for subtraction. $)
  npcant $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A - B ) + B ) = A ) $=
    ( cc wcel wa caddc co cmin wceq addsubt 3anidm23 pncant eqtr3d ) ACDZBCDZEA
    BFGBHGZABHGBFGZANOPQIABBJKABLM $.
    $( [23-May-2004] $) $( [10-May-2004] $)

  $( Cancellation law for subtraction. $)
  npncant $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) + ( B - C ) ) = ( A - C ) ) $=
    ( cc wcel w3a cmin co caddc wceq addsubasst subclt 3adant3 syld3an1 wa
    npcant opreq1d eqtr3d ) ADEZBDEZCDEZFABGHZBIHZCGHZUBBCGHIHZACGHZUBDEZTUAUDU
    EJSUBBCKSTUGUAABLMNSTUDUFJUASTOUCACGABPQMR $.
    $( [19-Feb-2005] $) $( [8-Feb-2005] $)

  $( Cancellation law for subtraction. $)
  nppcant $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( ( A - B ) + C ) + B ) = ( A + C ) ) $=
    ( cc wcel w3a cmin co caddc wceq add23t subclt 3adant3 3simp3 3simp2
    syl3anc wa npcant opreq1d eqtrd ) ADEZBDEZCDEZFZABGHZCIHBIHZUEBIHZCIHZACIHZ
    UEDEZUCUBUFUHJUDUECBKUAUBUJUCABLMUAUBUCNUAUBUCOPUAUBUHUIJUCUAUBQUGACIABRSMT
    $.
    $( [8-Sep-2005] $) $( [1-Sep-2005] $)

  $( Cancellation law for subtraction. $)
  subcan2t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - C ) = ( B - C ) <-> A = B ) ) $=
    ( cc wcel w3a cneg caddc co wceq cmin negsubt 3adant2 3adant1 eqeq12d wb
    addcan2t negclt syl3an3 bitr3d ) ADEZBDEZCDEZFZACGZHIZBUEHIZJZACKIZBCKIZJAB
    JZUDUFUIUGUJUAUCUFUIJUBACLMUBUCUGUJJUABCLNOUAUBUEDEUHUKPUCABUEQCRST $.
    $( [2-Mar-2005] $) $( [8-Feb-2005] $)

  $( If the difference between two numbers is zero, they are equal. $)
  subeq0t $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A - B ) = 0 <-> A = B ) ) $=
    ( cc wcel wa cmin co wceq cc0 subidt adantl eqeq2d wb subcan2t 3anidm23
    bitr3d ) ACDZBCDZEZABFGZBBFGZHZTIHABHZSUAITRUAIHQBJKLQRUBUCMABBNOP $.
    $( [16-Nov-1999] $)

  ${
    subneg.1 $e |- A e. CC $.
    subneg.2 $e |- B e. CC $.
    $( Relationship between subtraction and negative. $)
    subneg $p |- ( A - -u B ) = ( A + B ) $=
      ( cc wcel cneg cmin co caddc wceq subnegt mp2an ) AEFBEFABGHIABJIKCDABLM
      $.
      $( [3-Dec-2005] $) $( [1-Dec-2005] $)

    $( If the difference between two numbers is zero, they are equal. $)
    subeq0 $p |- ( ( A - B ) = 0 <-> A = B ) $=
      ( cc wcel cmin co cc0 wceq wb subeq0t mp2an ) AEFBEFABGHIJABJKCDABLM $.
      $( [8-May-1999] $)

    $( Negative is one-to-one. $)
    neg11 $p |- ( -u A = -u B <-> A = B ) $=
      ( cneg wceq cc0 cmin co caddc df-neg eqeq12i 0cn subcl subadd opreq2i
      negsub eqtr3 eqeq1i subeq0 bitr 3bitr ) AEZBEZFGAHIZGBHIZFAUFJIZGFZABFZUC
      UEUDUFAKBKZLGAUFMCGBMDNOUHABHIZGFUIUGUKGAUDJIUGUKUDUFAJUJPABCDQRSABCDTUAU
      B $.
      $( [1-Aug-1999] $)

    $( Negative contraposition law. $)
    negcon1 $p |- ( -u A = B <-> -u B = A ) $=
      ( cneg wceq negneg eqeq1i negcl neg11 eqcom 3bitr3 ) AEZEZBEZFAOFMBFOAFNA
      OACGHMBACIDJAOKL $.
      $( [25-Aug-1999] $)

    $( Negative contraposition law. $)
    negcon2 $p |- ( A = -u B <-> B = -u A ) $=
      ( cneg wceq negcon1 eqcom 3bitr4 ) BEZAFAEZBFAJFBKFBADCGAJHBKHI $.
      $( [25-Aug-1999] $)
  $}

  $( Negative is one-to-one. $)
  neg11t $p |- ( ( A e. CC /\ B e. CC ) -> ( -u A = -u B <-> A = B ) ) $=
    ( cc wcel cneg wceq wb cc0 cif negeq eqeq1d eqeq1 bibi12d eqeq2d eqeq2 0cn
    elimel neg11 dedth2h ) ACDZBCDZAEZBEZFZABFZGTAHIZEZUCFZUFBFZGUGUABHIZEZFZUF
    UJFZGABHHAUFFZUDUHUEUIUNUBUGUCAUFJKAUFBLMBUJFZUHULUIUMUOUCUKUGBUJJNBUJUFOMU
    FUJAHCPQBHCPQRS $.
    $( [10-Feb-2005] $) $( [8-Feb-2005] $)

  $( Negative contraposition law. $)
  negcon1t $p |- ( ( A e. CC /\ B e. CC ) -> ( -u A = B <-> -u B = A ) ) $=
    ( cc wcel wa cneg wceq wb neg11t negclt sylan negnegt adantr eqeq1d bitr3d
    eqcom syl6bb ) ACDZBCDZEZAFZBGZABFZGZUCAGTUAFZUCGZUBUDUACDSUFUBHRUABIAJKTUE
    AUCRUEAGSALMNOAUCPQ $.
    $( [5-Jun-2004] $) $( [9-May-2004] $)

  $( Negative contraposition law. $)
  negcon2t $p |- ( ( A e. CC /\ B e. CC ) -> ( A = -u B <-> B = -u A ) ) $=
    ( cc wcel wa cneg wceq negcon1t eqcom syl6rbbr syl6bb ) ACDBCDEZABFZGZAFZBG
    ZBOGLPMAGNABHAMIJOBIK $.
    $( [17-Nov-2004] $) $( [14-Nov-2004] $)

  $( Cancellation law for subtraction. $)
  subcant $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) = ( A - C ) <-> B = C ) ) $=
    ( cc wcel w3a cneg caddc co wceq cmin wb addcant negclt syl3an3 syl3an2
    negsubt 3adant3 3adant2 eqeq12d neg11t 3adant1 3bitr3d ) ADEZBDEZCDEZFZABGZ
    HIZACGZHIZJZUHUJJZABKIZACKIZJBCJZUDUHDEZUFULUMLZUEUDUQUJDEURUFAUHUJMCNOBNPU
    GUIUNUKUOUDUEUIUNJUFABQRUDUFUKUOJUEACQSTUEUFUMUPLUDBCUAUBUC $.
    $( [2-Aug-2006] $) $( [8-Feb-2005] $)

  ${
    subcan.1 $e |- A e. CC $.
    subcan.2 $e |- B e. CC $.
    subcan.3 $e |- C e. CC $.
    $( Cancellation law for subtraction. $)
    subcan $p |- ( ( A - B ) = ( A - C ) <-> B = C ) $=
      ( cc wcel cmin co wceq wb subcant mp3an ) AGHBGHCGHABIJACIJKBCKLDEFABCMN
      $.
      $( [11-Apr-2005] $) $( [8-Feb-2005] $)

    $( Cancellation law for subtraction. $)
    subcan2 $p |- ( ( A - C ) = ( B - C ) <-> A = B ) $=
      ( cc wcel cmin co wceq wb subcan2t mp3an ) AGHBGHCGHACIJBCIJKABKLDEFABCMN
      $.
      $( [11-Mar-2005] $) $( [8-Feb-2005] $)
  $}

  $( Minus 0 equals 0. $)
  neg0 $p |- -u 0 = 0 $=
    ( cc0 cneg cmin co df-neg 0cn subid eqtr ) ABAACDAAEAFGH $.
    $( [17-Jan-1997] $)

  ${
    $d x A $.
    renegcl.1 $e |- A e. RR $.
    $( Closure law for negative of reals. $)
    renegcl $p |- -u A e. RR $=
      ( vx cv cr wcel caddc co cc0 wceq wa wex cneg wrex axrnegex ax-mp df-rex
      mpbi cmin cc wb recnt 0cn recn subaddt mp3an12 syl df-neg eqeq1i syl5bb
      eleq1a sylbird imp 19.23aiv ) CDZEFZAUOGHIJZKZCLZAMZEFZUQCENZUSAEFVBBCAOP
      UQCEQRURVACUPUQVAUPUQUTUOJZVAUPIASHZUOJZUQVCUPUOTFZVEUQUAZUOUBITFATFVFVGU
      CABUDIAUOUEUFUGUTVDUOAUHUIUJUOEUTUKULUMUNP $.
      $( [17-Jan-1997] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Multiplication
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Identity law for multiplication.  Note:  see ~ ax1id for commuted
     version. $)
  mulid2t $p |- ( A e. CC -> ( 1 x. A ) = A ) $=
    ( cc wcel c1 cmul co wceq ax1cn axmulcom mpan ax1id eqtrd ) ABCZDAEFZADEFZA
    DBCMNOGHDAIJAKL $.
    $( [8-Oct-1999] $)

  $( Commutative/associative law for multiplication. $)
  mul12t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( A x. ( B x. C ) ) = ( B x. ( A x. C ) ) ) $=
    ( cc wcel w3a cmul co wceq wa axmulcom opreq1d 3adant3 axmulass 3com12
    3eqtr3d ) ADEZBDEZCDEZFABGHZCGHZBAGHZCGHZABCGHGHBACGHGHZQRUAUCISQRJTUBCGABK
    LMABCNRQSUCUDIBACNOP $.
    $( [29-May-2005] $) $( [30-Apr-2005] $)

  $( Commutative/associative law. $)
  mul23t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A x. B ) x. C ) = ( ( A x. C ) x. B ) ) $=
    ( cc wcel w3a cmul co wceq wa axmulcom opreq2d 3adant1 axmulass 3com23
    3eqtr4d ) ADEZBDEZCDEZFABCGHZGHZACBGHZGHZABGHCGHACGHBGHZRSUAUCIQRSJTUBAGBCK
    LMABCNQSRUDUCIACBNOP $.
    $( [8-Oct-1999] $)

  $( Rearrangement of 4 factors. $)
  mul4t $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A  x. B )  x. ( C  x. D ) ) =
                 ( ( A  x. C )  x. ( B  x. D ) ) ) $=
    ( cc wcel wa cmul co wceq w3a mul23t opreq1d 3expa adantrr axmulass 3expb
    axmulcl sylan an4s 3eqtr3d ) AEFZBEFZGZCEFZDEFZGZGABHIZCHIZDHIZACHIZBHIZDHI
    ZUHCDHIHIZUKBDHIHIZUDUEUJUMJZUFUBUCUEUPUBUCUEKUIULDHABCLMNOUHEFZUGUJUNJZUDU
    QUEUFURUHCDPQABRSUBUEUCUFUMUOJZUKEFZUCUFGUSUBUEGUTUCUFUSUKBDPQACRSTUA $.
    $( [8-Oct-1999] $)

  $( Product of two sums. $)
  muladdt $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
               ( ( A + B ) x. ( C + D ) ) =
       ( ( ( A x. C ) + ( D x. B ) ) + ( ( A x. D ) + ( C x. B ) ) ) ) $=
    ( cc wcel wa caddc co cmul wceq axdistr axaddcl adantr simprl simprr
    syl3anc adddirt 3expa adantrr adantrl opreq12d add23t axmulcl ad2ant2r
    ad2ant2lr syl2an anandirs axmulcom ad2ant2l opreq2d axaddass ad2ant2rl
    ancoms 3eqtr3d an4s 3eqtrd ) AEFZBEFZGZCEFZDEFZGZGZABHIZCDHIJIZVECJIZVEDJIZ
    HIZACJIZBCJIZHIZADJIZBDJIZHIZHIZVJDBJIZHIZVMCBJIZHIHIZVEEFZVAVBVFVIKVDVECDL
    UTWAVCABMNUTVAVBOUTVAVBPQVDVGVLVHVOHUTVAVGVLKZVBURUSVAWBABCRSTUTVBVHVOKZVAU
    RUSVBWCABDRSUAUBVDVPVJVOHIZVKHIZVRVMHIZVSHIZVTVJEFZVKEFZVOEFZVPWEKVDVJVKVOU
    CURVAWHUSVBACUDZUEZUSVAWIURVBBCUDUFUTVBWJVAURUSVBWJVMEFZVNEFZWJURVBGUSVBGZV
    MVNMADUDZBDUDZUGUHUAQVDWDWFVKVSHVDVJVMHIZVNHIZWRVQHIZWDWFVDVNVQWRHUSVBVNVQK
    URVABDUIUJUKWHWMWNWSWDKVDVJVMVNULWLURVBWMUSVAWPUMZUSVBWNURVAWQUJQWHWMVQEFZW
    TWFKVDVJVMVQUCWLXAUSVBXBURVAVBUSXBDBUDUNZUJQUOUSVAVKVSKURVBBCUIUFUBVREFZWMV
    SEFZWGVTKVDVRVMVSULURVAUSVBXDWHXBXDURVAGWOVJVQMWKXCUGUPXAUSVAXEURVBVAUSXECB
    UDUNUFQUQUQ $.
    $( [15-Jan-2006] $) $( [14-Jan-2006] $)

  $( A simple product of sums expansion. $)
  muladd11t $p |- ( ( A e. CC /\ B e. CC ) -> ( ( 1 + A ) x. ( 1 + B ) ) =
                 ( ( 1 + A ) + ( B + ( A x. B ) ) ) ) $=
    ( cc wcel wa c1 caddc co cmul wceq ax1cn axdistr mp3an2 axaddcl mpan sylan
    ax1id syl adantr adddirt mp3an1 mulid2t adantl opreq1d eqtrd opreq12d ) ACD
    ZBCDZEZFAGHZFBGHIHZUJFIHZUJBIHZGHZUJBABIHZGHZGHUJCDZUHUKUNJZUGUQFCDZUHURKUJ
    FBLMUSUGUQKFANOZPUIULUJUMUPGUGULUJJZUHUGUQVAUTUJQRSUIUMFBIHZUOGHZUPUSUGUHUM
    VCJKFABTUAUIVBBUOGUHVBBJUGBUBUCUDUEUFUE $.
    $( [9-Mar-2005] $) $( [21-Feb-2005] $)

  ${
    mul.1 $e |- A e. CC $.
    mul.2 $e |- B e. CC $.
    mul.3 $e |- C e. CC $.
    $( Commutative/associative law that swaps the first two factors in a triple
       product. $)
    mul12 $p |- ( A x. ( B x. C ) ) = ( B x. ( A x. C ) ) $=
      ( cmul co mulcom opreq1i mulass 3eqtr3 ) ABGHZCGHBAGHZCGHABCGHGHBACGHGHMN
      CGABDEIJABCDEFKBACEDFKL $.
      $( [11-May-1999] $)

    $( Commutative/associative law that swaps the last two factors in a triple
       product. $)
    mul23 $p |- ( ( A x. B ) x. C ) = ( ( A x. C ) x. B ) $=
      ( cc wcel cmul co wceq mul23t mp3an ) AGHBGHCGHABIJCIJACIJBIJKDEFABCLM $.
      $( [11-May-1999] $)
  $}

  ${
    mul4.1 $e |- A e. CC $.
    mul4.2 $e |- B e. CC $.
    mul4.3 $e |- C e. CC $.
    mul4.4 $e |- D e. CC $.
    $( Rearrangement of 4 factors. $)
    mul4 $p |- ( ( A  x. B )  x. ( C  x. D ) ) =
               ( ( A  x. C )  x. ( B  x. D ) ) $=
      ( cc wcel wa cmul co wceq pm3.2i mul4t mp2an ) AIJZBIJZKCIJZDIJZKABLMCDLM
      LMACLMBDLMLMNRSEFOTUAGHOABCDPQ $.
      $( [16-Feb-1995] $)

    $( Product of two sums. $)
    muladd $p |- ( ( A + B ) x. ( C + D ) ) =
        ( ( ( A x. C ) + ( D x. B ) ) + ( ( A x. D ) + ( C x. B ) ) ) $=
      ( cc wcel wa caddc co cmul wceq pm3.2i muladdt mp2an ) AIJZBIJZKCIJZDIJZK
      ABLMCDLMNMACNMDBNMLMADNMCBNMLMLMOSTEFPUAUBGHPABCDQR $.
      $( [17-May-1999] $)
  $}

  $( Distribution of multiplication over subtraction.  Theorem I.5 of
     [Apostol] p. 18. $)
  subdit $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( A x. ( B - C ) ) = ( ( A x. B ) - ( A x. C ) ) ) $=
    ( cc wcel w3a cmul co cmin wceq caddc axdistr 3simp1 3simp3 subclt 3adant1
    syl3anc pncan3t ancoms opreq2d eqtr3d wb subaddt axmulcl 3adant3 3adant2
    wa sylan2 3impb mpbird eqcomd ) ADEZBDEZCDEZFZABGHZACGHZIHZABCIHZGHZUOURUTJ
    ZUQUTKHZUPJZUOACUSKHZGHZVBUPULUNUSDEZVEVBJUOACUSLULUMUNMULUMUNNUMUNVFULBCOZ
    PQUOVDBAGUMUNVDBJZULUNUMVHCBRSPTUAUPDEZUQDEZUTDEZVAVCUBUOUPUQUTUCULUMVIUNAB
    UDUEULUNVJUMACUDUFULUMUNVKULVFVKUMUNUGAUSUDVGUHUIQUJUK $.
    $( [22-Nov-2004] $) $( [18-Nov-2004] $)

  $( Distribution of multiplication over subtraction.  Theorem I.5 of
     [Apostol] p. 18. $)
  subdirt $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A - B ) x. C ) = ( ( A x. C ) - ( B x. C ) ) ) $=
    ( cc wcel w3a cmin co cmul wceq subdit 3coml wa axmulcom subclt sylan
    3impa 3adant2 3adant1 opreq12d 3eqtr4d ) ADEZBDEZCDEZFZCABGHZIHZCAIHZCBIHZG
    HZUFCIHZACIHZBCIHZGHUDUBUCUGUJJCABKLUBUCUDUKUGJZUFDEUDUNUBUCMUFCNABOPQUEULU
    HUMUIGUBUDULUHJUCACNRUCUDUMUIJUBBCNSTUA $.
    $( [31-Dec-2005] $) $( [30-Dec-2005] $)

  ${
    subdi.1 $e |- A e. CC $.
    subdi.2 $e |- B e. CC $.
    subdi.3 $e |- C e. CC $.
    $( Distribution of multiplication over subtraction.  Theorem I.5 of
       [Apostol] p. 18. $)
    subdi $p |- ( A x. ( B - C ) ) = ( ( A x. B ) - ( A x. C ) ) $=
      ( cc wcel cmin co cmul wceq subdit mp3an ) AGHBGHCGHABCIJKJABKJACKJIJLDEF
      ABCMN $.
      $( [26-Nov-1994] $)

    $( Distribution of multiplication over subtraction.  Theorem I.5 of
       [Apostol] p. 18. $)
    subdir $p |- ( ( A - B ) x. C ) = ( ( A x. C ) - ( B x. C ) ) $=
      ( cc wcel cmin co cmul wceq subdirt mp3an ) AGHBGHCGHABIJCKJACKJBCKJIJLDE
      FABCMN $.
      $( [8-May-1999] $)
  $}

  ${
    mulzer.1 $e |- A e. CC $.

    $( Multiplication by 0.  Theorem I.6 of [Apostol] p. 18. $)
    mul01 $p |- ( A x. 0 ) = 0 $=
      ( cc0 cmin co cmul 0cn subdi subid opreq2i mulcl 3eqtr3 ) ACCDEZFEACFEZND
      ENCACCBGGHMCAFCGIJNACBGKIL $.
      $( [23-Nov-1994] $)

    $( Multiplication by 0.  Theorem I.6 of [Apostol] p. 18. $)
    mul02 $p |- ( 0 x. A ) = 0 $=
      ( cc0 cmul co 0cn mulcom mul01 eqtr ) CADEACDECCAFBGABHI $.
      $( [23-Nov-1994] $)

    $( Two times a number. $)
    1p1times $p |- ( ( 1 + 1 ) x. A ) = ( A + A ) $=
      ( c1 caddc co cmul ax1cn adddir mulid2 opreq12i eqtr ) CCDEAFECAFEZLDEAAD
      ECCAGGBHLALADABIZMJK $.
      $( [18-May-1999] $)
  $}

  $( The imaginary unit ` i ` is not zero. $)
  ine0 $p |- i =/= 0 $=
    ( ci cc0 wne wceq wn c1 ax1ne0 df-ne mpbi caddc co cmul opreq2 axicn mul01
    syl6req opreq1d ax1cn addid2 axi2m1 3eqtr3g mto mpbir ) ABCABDZEUDFBDZFBCUE
    EGFBHIUDBFJKAALKZFJKFBUDBUFFJUDUFABLKBABALMANOPQFRSTUAUBABHUC $.
    $( [29-Apr-2005] $) $( [6-May-1999] $)

  ${
    $d x y z $.
    $( 1 is a real number.  This used to be one of our postulates for complex
       numbers, but Eric Schmidt discovered that it could be derived from a
       weaker postulate, ~ ax1cn , by exploiting properties of the imaginary
       unit ` i ` .  (Contributed by Eric Schmidt, 11-Apr-2007.) $)
    1re $p |- 1 e. RR $=
      ( vz vx vy cv cc0 wne cr wrex c1 wcel ci cmul co caddc wceq cc axicn
      axcnre ax-mp wa wo neeq1 rcla4ev adantlr adantll jaodan ex ine0 mpbii wn
      ioran nne anbi12i bitr opreq12 opreq2 mul01 syl6eq sylan2 0cn addid1
      sylbi necon1ai syl syl5 r19.23aivv axrrecex wi eleq1 axmulrcl syl5cbi
      r19.23adva adantr mpd r19.23aiva ) ADZEFZAGHZIGJZKBDZKCDZLMZNMZOZCGHBGHZV
      RKPJWEQBCKRSWDVRBCGGVTGJZWAGJZTZVTEFZWAEFZUAZVRWDWHWKVRWHWIVRWJWFWIVRWGVQ
      WIAVTGVPVTEUBUCUDWGWJVRWFVQWJAWAGVPWAEUBUCUEUFUGWDWCEFZWKWDKEFWLUHKWCEUBU
      IWKWCEWKUJZVTEOZWAEOZTZWCEOWMWIUJZWJUJZTWPWIWJUKWQWNWRWOVTEULWAEULUMUNWPW
      CEENMZEWNWBEOWCWSOWOVTEWBENUOWOWBKELMEWAEKLUPKQUQURUSEUTVAURVBVCVDVEVFSVQ
      VSAGVPGJZVQTVPVTLMZIOZBGHZVSBVPVGWTXCVSVHVQWTXBVSBGXBXAGJVSWTWFTXAIGVIVPV
      TVJVKVLVMVNVOS $.
      $( [12-Apr-2007] $) $( [11-Apr-2007] $)
  $}

  $( A theorem for reals analogous the second Peano postulate ~ peano2nn . $)
  peano2re $p |- ( A e. RR -> ( A + 1 ) e. RR ) $=
    ( cr wcel c1 caddc co 1re axaddrcl mpan2 ) ABCDBCADEFBCGADHI $.
    $( [6-Jul-2005] $) $( [5-Jul-2005] $)

  $( Closure law for negative of reals.  The weak deduction theorem ~ dedth is
     used to convert hypothesis of the inference (deduction) form of this
     theorem, ~ renegcl , to an antecedent. $)
  renegclt $p |- ( A e. RR -> -u A e. RR ) $=
    ( cr wcel cneg c1 cif wceq negeq eleq1d 1re elimel renegcl dedth ) ABCZADZB
    CNAEFZDZBCAEAPGOQBAPHIPAEBJKLM $.
    $( [20-Jan-1997] $)

  $( Closure law for subtraction of reals. $)
  resubclt $p |- ( ( A e. RR /\ B e. RR ) -> ( A - B ) e. RR ) $=
    ( cr wcel wa cneg caddc co cmin cc wceq negsubt recnt syl2an axaddrcl
    renegclt sylan2 eqeltrrd ) ACDZBCDZEABFZGHZABIHZCAJDBJDUBUCKSTABLAMBMNSUACD
    UBCDTAUAOBPQR $.
    $( [2-Aug-2006] $) $( [20-Jan-1997] $)

  ${
    resubcl.1 $e |- A e. RR $.
    resubcl.2 $e |- B e. RR $.
    $( Closure law for subtraction of reals. $)
    resubcl $p |- ( A - B ) e. RR $=
      ( cr wcel cmin co resubclt mp2an ) AEFBEFABGHEFCDABIJ $.
      $( [17-Jan-1997] $)
  $}

  ${
    $d x y $.
    $( 0 is a real number.  Proved without referencing ~ 1re .  (Contributed
       by Eric Schmidt, 21-May-2007.) $)
    0re $p |- 0 e. RR $=
      ( vx vy cv cr wcel wex cc0 ci cmul co caddc wceq wrex cc 0cn axcnre
      ax-mp wa df-rex pm3.26 19.22i sylbi axrnegex pm3.27 axaddrcl adantr
      eqeltrrd ex r19.23adva mpd 19.23aiv ) ACZDEZAFZGDEZGULHBCZIJKJLBDMZADMZUN
      GNEUROABGPQURUMUQRZAFUNUQADSUSUMAUMUQTUAUBQUMUOAUMULUPKJZGLZBDMUOBULUCUMV
      AUOBDUMUPDERZVAUOVBVARUTGDVBVAUDVBUTDEVAULUPUEUFUGUHUIUJUKQ $.
      $( [22-May-2007] $) $( [22-May-2007] $)
  $}

  $( 0 is a real number. $)
  0reALT $p |- 0 e. RR $=
    ( c1 cmin co cc0 cr ax1cn subid 1re resubcl eqeltrr ) AABCDEAFGAAHHIJ $.
    $( [20-Feb-2005] $) $( [19-Feb-2005] $)

  $( "Reverse" second Peano postulate analog for reals. $)
  peano2rem $p |- ( N e. RR -> ( N - 1 ) e. RR ) $=
    ( cr wcel c1 cmin co 1re resubclt mpan2 ) ABCDBCADEFBCGADHI $.
    $( [7-Feb-2007] $) $( [6-Feb-2007] $)

  $( Multiplication by 0.  Theorem I.6 of [Apostol] p. 18. $)
  mul01t $p |- ( A e. CC -> ( A x. 0 ) = 0 ) $=
    ( cc wcel cc0 cmul co wceq cif opreq1 eqeq1d 0cn elimel mul01 dedth ) ABCZA
    DEFZDGOADHZDEFZDGADAQGPRDAQDEIJQADBKLMN $.
    $( [15-May-1999] $)

  $( Multiplication by 0.  Theorem I.6 of [Apostol] p. 18. $)
  mul02t $p |- ( A e. CC -> ( 0 x. A ) = 0 ) $=
    ( cc wcel cc0 cmul co wceq 0cn axmulcom mpan mul01t eqtrd ) ABCZDAEFZADEFZD
    DBCMNOGHDAIJAKL $.
    $( [10-Aug-1999] $)

  ${
    mulneg.1 $e |- A e. CC $.
    mulneg.2 $e |- B e. CC $.

    $( Product with negative is negative of product.  Theorem I.12 of [Apostol]
       p. 18. $)
    mulneg1 $p |- ( -u A x. B ) = -u ( A x. B ) $=
      ( cc0 cmul co cmin cneg mul01 mulcom opreq12i df-neg opreq1i 0cn subcl
      subdi 3eqtr 3eqtr4 ) BEFGZBAFGZHGZEABFGZHGAIZBFGZUCITEUAUCHBDJBADCKLUEEAH
      GZBFGBUFFGUBUDUFBFAMNUFBEAOCPDKBEADOCQRUCMS $.
      $( [10-Feb-1995] $)

    $( Product with negative is negative of product. $)
    mulneg2 $p |- ( A x. -u B ) = -u ( A x. B ) $=
      ( cneg cmul co negcl mulcom mulneg1 negeqi 3eqtr ) ABEZFGMAFGBAFGZEABFGZE
      AMCBDHIBADCJNOBADCIKL $.
      $( [31-Jul-1999] $)

    $( Product of two negatives.  Theorem I.12 of [Apostol] p. 18. $)
    mul2neg $p |- ( -u A x. -u B ) = ( A x. B ) $=
      ( cneg cmul co negcl mulneg1 mulcom eqtr negeqi mulcl negneg 3eqtr ) AEBE
      ZFGZBAFGZABFGQAPFGZEREZERAPCBDHZISTSPAFGTAPCUAJBADCIKLRBADCMNOBADCJK $.
      $( [14-Feb-1995] $)

    $( Distribution of negative over addition. $)
    negdi $p |- -u ( A + B ) = ( -u A + -u B ) $=
      ( c1 caddc co cmul cneg addcl mulid2 negeqi ax1cn negcl adddi mulneg1
      eqtr opreq12i 3eqtr3 eqtr3 ) EABFGZHGZIZUAIAIZBIZFGZUBUAUAABCDJZKLEIZUAHG
      UHAHGZUHBHGZFGUCUFUHABEMNCDOEUAMUGPUIUDUJUEFUIEAHGZIUDEAMCPUKAACKLQUJEBHG
      ZIUEEBMDPULBBDKLQRST $.
      $( [28-Jul-1999] $)

    $( Distribution of negative over subtraction. $)
    negsubdi $p |- -u ( A - B ) = ( -u A + B ) $=
      ( cneg caddc co cmin negcl negdi negsub negeqi negneg opreq2i 3eqtr3 ) AB
      EZFGZEAEZPEZFGABHGZERBFGAPCBDIJQTABCDKLSBRFBDMNO $.
      $( [6-Aug-1999] $)

    $( Distribution of negative over subtraction. $)
    negsubdi2 $p |- -u ( A - B ) = ( B - A ) $=
      ( cmin co cneg caddc negsubdi negcl addcom negsub 3eqtr ) ABEFGAGZBHFBNHF
      BAEFABCDINBACJDKBADCLM $.
      $( [1-Oct-1999] $)
  $}

  $( Product with negative is negative of product.  Theorem I.12 of [Apostol]
     p. 18. $)
  mulneg1t $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( -u A x. B ) = -u ( A x. B ) ) $=
    ( cc wcel cneg cmul co wceq cc0 cif negeq opreq1d opreq1 negeqd eqeq12d
    opreq2 0cn elimel mulneg1 dedth2h ) ACDZBCDZAEZBFGZABFGZEZHUAAIJZEZBFGZUGBF
    GZEZHUHUBBIJZFGZUGULFGZEZHABIIAUGHZUDUIUFUKUPUCUHBFAUGKLUPUEUJAUGBFMNOBULHZ
    UIUMUKUOBULUHFPUQUJUNBULUGFPNOUGULAICQRBICQRST $.
    $( [14-May-1999] $)

  $( The product with a negative is the negative of the product. $)
  mulneg2t $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( A x. -u B ) = -u ( A x. B ) ) $=
    ( cc wcel wa cneg cmul co wceq mulneg1t ancoms axmulcom negclt sylan2
    negeqd 3eqtr4d ) ACDZBCDZEZBFZAGHZBAGHZFZATGHZABGHZFRQUAUCIBAJKQTCDUDUAIRAT
    LBMNSUEUBABLOP $.
    $( [25-Aug-2004] $) $( [30-Jul-2004] $)

  $( Swap the negative sign in a product. $)
  mulneg12t $p |- ( ( A e. CC /\ B e. CC ) ->
                  ( -u A x. B ) = ( A x. -u B ) ) $=
    ( cc wcel wa cneg cmul co mulneg1t mulneg2t eqtr4d ) ACDBCDEAFBGHABGHFABFGH
    ABIABJK $.
    $( [2-Sep-2004] $) $( [30-Jul-2004] $)

  $( Product of two negatives.  Theorem I.12 of [Apostol] p. 18. $)
  mul2negt $p |- ( ( A e. CC /\ B e. CC ) -> ( -u A x. -u B ) = ( A x. B ) ) $=
    ( cc wcel cneg cmul co wceq cc0 cif negeq opreq1d opreq1 eqeq12d opreq2d
    opreq2 0cn elimel mul2neg dedth2h ) ACDZBCDZAEZBEZFGZABFGZHUAAIJZEZUDFGZUGB
    FGZHUHUBBIJZEZFGZUGUKFGZHABIIAUGHZUEUIUFUJUOUCUHUDFAUGKLAUGBFMNBUKHZUIUMUJU
    NUPUDULUHFBUKKOBUKUGFPNUGUKAICQRBICQRST $.
    $( [30-Aug-2004] $) $( [30-Jul-2004] $)

  $( Distribution of negative over addition. $)
  negdit $p |- ( ( A e. CC /\ B e. CC ) ->
                 -u ( A + B ) = ( -u A + -u B ) ) $=
    ( cc wcel caddc co cneg wceq cc0 cif opreq1 negeqd negeq opreq1d eqeq12d
    opreq2 opreq2d 0cn elimel negdi dedth2h ) ACDZBCDZABEFZGZAGZBGZEFZHUBAIJZBE
    FZGZUIGZUGEFZHUIUCBIJZEFZGZULUNGZEFZHABIIAUIHZUEUKUHUMUSUDUJAUIBEKLUSUFULUG
    EAUIMNOBUNHZUKUPUMURUTUJUOBUNUIEPLUTUGUQULEBUNMQOUIUNAICRSBICRSTUA $.
    $( [5-Jun-2004] $) $( [10-May-2004] $)

  $( Distribution of negative over addition. $)
  negdi2t $p |- ( ( A e. CC /\ B e. CC ) ->
                 -u ( A + B ) = ( -u A - B ) ) $=
    ( cc wcel wa caddc co cneg cmin negdit wceq negsubt negclt sylan eqtrd ) AC
    DZBCDZEABFGHAHZBHFGZRBIGZABJRCDQSTKPRBLAMNO $.
    $( [2-Jan-2006] $) $( [1-Jan-2006] $)

  $( Distribution of negative over subtraction. $)
  negsubdit $p |- ( ( A e. CC /\ B e. CC ) -> -u ( A - B ) = ( -u A + B ) ) $=
    ( cc wcel wa cneg caddc co cmin wceq negdit negclt sylan2 negsubt negeqd
    negnegt adantl opreq2d 3eqtr3d ) ACDZBCDZEZABFZGHZFZAFZUCFZGHZABIHZFUFBGHTU
    CCDUEUHJUAAUCKBLMUBUDUIABNOUBUGBUFGUAUGBJTBPQRS $.
    $( [1-Aug-2006] $) $( [15-Nov-2004] $)

  $( Distribution of negative over subtraction. $)
  negsubdi2t $p |- ( ( A e. CC /\ B e. CC ) -> -u ( A - B ) = ( B - A ) ) $=
    ( cc wcel wa cmin co cneg caddc negsubdit wceq axaddcom negclt sylan
    negsubt ancoms 3eqtrd ) ACDZBCDZEABFGHAHZBIGZBTIGZBAFGZABJTCDSUAUBKRTBLAMNS
    RUBUCKBAOPQ $.
    $( [1-Aug-2006] $) $( [4-Oct-1999] $)

  $( Relationship between subtraction and negative.  (Contributed by Paul
     Chapman, 8-Oct-2007.) $)
  neg2subt $p |- ( ( A e. CC /\ B e. CC ) -> ( -u A - -u B ) = ( B - A ) ) $=
    ( cc wcel wa cneg cmin co caddc wceq subnegt negclt sylan negsubdit
    negsubdi2t 3eqtr2d ) ACDZBCDZEAFZBFGHZSBIHZABGHFBAGHSCDRTUAJQSBKALMABNABOP
    $.
    $( [8-Oct-2007] $) $( [8-Oct-2007] $)

  $( Convert a subtraction to addition using multiplication by a negative. $)
  submul2t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( A - ( B x. C ) ) = ( A + ( B x. -u C ) ) ) $=
    ( cc wcel cmul co cmin cneg caddc wceq wa mulneg2t adantl opreq2d negsubt
    axmulcl sylan2 eqtr2d 3impb ) ADEZBDEZCDEZABCFGZHGZABCIFGZJGZKUAUBUCLZLZUGA
    UDIZJGZUEUIUFUJAJUHUFUJKUABCMNOUAUDDEUKUEKUHAUDPBCQRST $.
    $( [9-Feb-2007] $) $( [2-Feb-2007] $)

  $( Law for double subtraction. $)
  subsub2t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( A - ( B - C ) ) = ( A + ( C - B ) ) ) $=
    ( cc wcel w3a cmin co cneg caddc wceq wa negsubt subclt sylan2 3impb
    negsubdi2t opreq2d 3adant1 eqtr3d ) ADEZBDEZCDEZFABCGHZIZJHZAUDGHZACBGHZJHZ
    UAUBUCUFUGKZUAUDDEUJUBUCLZAUDMBCNOPUBUCUFUIKUAUKUEUHAJBCQRST $.
    $( [2-Aug-2006] $) $( [30-Jun-2005] $)

  $( Law for double subtraction. $)
  subsubt $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( A - ( B - C ) ) = ( ( A - B ) + C ) ) $=
    ( cc wcel w3a cmin co caddc subsub2t wceq addsubasst addsubt eqtr3d 3com23
    eqtrd ) ADEZBDEZCDEZFABCGHGHACBGHIHZABGHCIHZABCJQSRTUAKQSRFACIHBGHTUAACBLAC
    BMNOP $.
    $( [6-Jun-2004] $) $( [13-May-2004] $)

  $( Law for double subtraction. $)
  subsub3t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( A - ( B - C ) ) = ( ( A + C ) - B ) ) $=
    ( cc wcel w3a cmin co caddc subsub2t wceq addsubasst 3com23 eqtr4d ) ADEZBD
    EZCDEZFABCGHGHACBGHIHZACIHBGHZABCJOQPSRKACBLMN $.
    $( [29-Jul-2005] $) $( [27-Jul-2005] $)

  $( Law for double subtraction. $)
  subsub4t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( ( A - B ) - C ) = ( A - ( B + C ) ) ) $=
    ( cc wcel w3a cneg cmin co caddc wceq subsubt negclt syl3an3 subnegt
    3adant1 opreq2d wa negsubt subclt sylan 3impa 3eqtr3rd ) ADEZBDEZCDEZFZABCG
    ZHIZHIZABHIZUHJIZABCJIZHIUKCHIZUDUEUHDEUJULKUFABUHLCMNUGUIUMAHUEUFUIUMKUDBC
    OPQUDUEUFULUNKZUKDEUFUOUDUERUKCSABTUAUBUC $.
    $( [2-Aug-2006] $) $( [19-Aug-2005] $)

  $( Swap the second and third terms in a double subtraction. $)
  sub23t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                  ( ( A - B ) - C ) = ( ( A - C ) - B ) ) $=
    ( cc wcel w3a caddc co cmin wceq axaddcom 3adant1 opreq2d subsub4t 3com23
    3eqtr4d ) ADEZBDEZCDEZFZABCGHZIHACBGHZIHZABIHCIHACIHBIHZTUAUBAIRSUAUBJQBCKL
    MABCNQSRUDUCJACBNOP $.
    $( [4-Sep-2005] $) $( [19-Aug-2005] $)

  $( Cancellation law for subtraction. $)
  nnncant $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - ( B - C ) ) - C ) = ( A - B ) ) $=
    ( cc wcel w3a cmin co caddc wceq subsub4t subclt 3adant1 syld3an2 wa
    npcant opreq2d eqtrd ) ADEZBDEZCDEZFABCGHZGHCGHZAUBCIHZGHZABGHZSUBDEZUAUCUE
    JTAUBCKTUAUGSBCLMNTUAUEUFJSTUAOUDBAGBCPQMR $.
    $( [16-Sep-2005] $) $( [4-Sep-2005] $)

  $( Cancellation law for subtraction. $)
  nnncan1t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - B ) - ( A - C ) ) = ( C - B ) ) $=
    ( cc wcel w3a cmin co cneg caddc wceq wa negsubt axaddcom negclt sylan2
    eqtr3d subclt 3adant3 3adant2 sylanc negsubdi2t opreq1d npncant 3coml
    3eqtrd ) ADEZBDEZCDEZFZABGHZACGHZGHZULIZUKJHZCAGHZUKJHZCBGHZUKDEZULDEZUMUOK
    UJUSUTLUKUNJHZUMUOUKULMUSUNDEVAUOKUTUKUNNULOPQUGUHUSUIABRSUGUIUTUHACRTUAUJU
    NUPUKJUGUIUNUPKUHACUBTUCUIUGUHUQURKCABUDUEUF $.
    $( [1-Aug-2006] $) $( [8-Feb-2005] $)

  $( Cancellation law for subtraction. $)
  nnncan2t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - C ) - ( B - C ) ) = ( A - B ) ) $=
    ( cc wcel w3a cmin co wceq sub23t subclt 3adant1 syld3an2 nnncant eqtr3d )
    ADEZBDEZCDEZFABCGHZGHCGHZACGHSGHZABGHPSDEZRTUAIQASCJQRUBPBCKLMABCNO $.
    $( [3-Oct-2005] $) $( [1-Oct-2005] $)

  $( Cancellation law for subtraction. $)
  nncant $p |- ( ( A e. CC /\ B e. CC ) -> ( A - ( A - B ) ) = B ) $=
    ( cc wcel wa cc0 cmin co wceq 0cn nnncan1t mp3an2 subid1t adantr opreq1d
    adantl 3eqtr3d ) ACDZBCDZEZAFGHZABGHZGHZBFGHZAUBGHBRFCDSUCUDIJAFBKLTUAAUBGR
    UAAISAMNOSUDBIRBMPQ $.
    $( [23-Jun-2005] $) $( [21-Jun-2005] $)

  $( Cancellation law for subtraction. $)
  nppcan2t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A - ( B + C ) ) + C ) = ( A - B ) ) $=
    ( cc wcel w3a caddc co cmin wceq subsubt axaddcl 3adant1 syld3an2 pncant
    opreq2d eqtr3d ) ADEZBDEZCDEZFZABCGHZCIHZIHZAUBIHCGHZABIHRUBDEZTUDUEJSAUBCK
    STUFRBCLMNUAUCBAISTUCBJRBCOMPQ $.
    $( [7-Oct-2005] $) $( [29-Sep-2005] $)

  $( Product with minus one is negative. $)
  mulm1t $p |- ( A e. CC -> ( -u 1 x. A ) = -u A ) $=
    ( cc wcel c1 cneg cmul co wceq ax1cn mulneg1t mpan mulid2t negeqd eqtrd )
    ABCZDEAFGZDAFGZEZAEDBCOPRHIDAJKOQAALMN $.
    $( [16-Nov-1999] $)

  ${
    mulm1.1 $e |- A e. CC $.
    $( Product with minus one is negative. $)
    mulm1 $p |- ( -u 1 x. A ) = -u A $=
      ( cc wcel c1 cneg cmul co wceq mulm1t ax-mp ) ACDEFAGHAFIBAJK $.
      $( [31-Jul-1999] $)
  $}

  $( Rearrangement of 4 terms in a mixed addition and subtraction. $)
  addsub4t $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A + B ) - ( C + D ) ) = ( ( A - C ) + ( B - D ) ) ) $=
    ( cc wcel wa caddc co cneg cmin wceq negdit adantl opreq2d add4t negclt
    anim12i sylan2 eqtrd negsubt axaddcl syl2an opreqan12d an4s 3eqtr3d ) AEFZB
    EFZGZCEFZDEFZGZGZABHIZCDHIZJZHIZACJZHIZBDJZHIZHIZUNUOKIZACKIZBDKIZHIZUMUQUN
    URUTHIZHIZVBUMUPVGUNHULUPVGLUICDMNOUIUREFZUTEFZGVHVBLULABURUTPUJVIUKVJCQDQR
    STUNEFUOEFUQVCLUIULUNUOUAABUBCDUBUCUGUJUHUKVBVFLUGUJGUHUKGUSVDVAVEHACUABDUA
    UDUEUF $.
    $( [6-Mar-2005] $) $( [4-Mar-2005] $)

  ${
    addsub4.1 $e |- A e. CC $.
    addsub4.2 $e |- B e. CC $.
    addsub4.3 $e |- C e. CC $.
    addsub4.4 $e |- D e. CC $.
    $( Rearrangement of 4 terms in a mixed addition and subtraction. $)
    addsub4 $p |- ( ( A + B ) - ( C + D ) ) =
                 ( ( A - C ) + ( B - D ) ) $=
      ( cc wcel wa caddc co cmin wceq pm3.2i addsub4t mp2an ) AIJZBIJZKCIJZDIJZ
      KABLMCDLMNMACNMBDNMLMOSTEFPUAUBGHPABCDQR $.
      $( [17-Oct-1999] $)
  $}

  $( Rearrangement of 4 terms in a mixed addition and subtraction. $)
  subadd4t $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A - B ) - ( C - D ) ) = ( ( A + D ) - ( B + C ) ) ) $=
    ( cc wcel wa cmin co caddc wceq subsub2t 3expb subclt sylan addsub4t an42s
    eqtr4d ) AEFZBEFZGZCEFZDEFZGZGABHIZCDHIHIZUEDCHIJIZADJIBCJIHIZUEEFZUDUFUGKZ
    UAUIUBUCUJUECDLMABNOSUCTUBUHUGKADBCPQR $.
    $( [6-Jan-2007] $) $( [24-Aug-2006] $)

  $( Rearrangement of 4 terms in a subtraction. $)
  sub4t $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
              ( ( A - B ) - ( C - D ) ) = ( ( A - C ) - ( B - D ) ) ) $=
    ( cc wcel wa caddc co cmin wceq axaddcom ad2ant2lr opreq2d subadd4t an4s
    3eqtr4d ) AEFZBEFZGCEFZDEFZGGZADHIZBCHIZJIUCCBHIZJIZABJICDJIJIACJIBDJIJIZUB
    UDUEUCJSTUDUEKRUABCLMNABCDORTSUAUGUFKACBDOPQ $.
    $( [11-Dec-2007] $) $( [23-Nov-2007] $)

  $( Product of two differences. $)
  mulsubt $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) ->
               ( ( A - B ) x. ( C - D ) ) =
       ( ( ( A x. C ) + ( D x. B ) ) - ( ( A x. D ) + ( C x. B ) ) ) ) $=
    ( cc wcel wa cneg caddc co cmul cmin negsubt opreqan12d wceq muladdt
    negclt sylanr2 sylanl2 mul2negt ancoms opreq2d ad2ant2l mulneg2t negdit
    axmulcl syl2an eqtr4d ancom2s an42s opreq12d axaddcl an4s sylanc 3eqtrd
    eqtr3d ) AEFZBEFZGZCEFZDEFZGZGZABHZIJZCDHZIJZKJZABLJZCDLJZKJACKJZDBKJZIJZAD
    KJZCBKJZIJZLJZUSVBVEVIVGVJKABMCDMNVCVHVKVFVDKJZIJZAVFKJZCVDKJZIJZIJZVMVPHZI
    JZVQUQVDEFZVBVHWCOZURUQWFGUTVFEFWGVAAVDCVFPDQRBQSVCVSVMWBWDIURVAVSVMOUQUTUR
    VAGZVRVLVKIVAURVRVLODBTUAUBUCUQVAURUTWBWDOZUQVAGZUTURWIWJUTURGZGWBVNHZVOHZI
    JZWDWJWKVTWLWAWMIADUDCBUDNVNEFZVOEFZWDWNOWJWKVNVOUEADUFZCBUFZUGUHUIUJUKVMEF
    ZVPEFZWEVQOVCVMVPMUQUTURVAWSVKEFVLEFZWSUQUTGWHVKVLULACUFVAURXADBUFUAUGUMUQV
    AURUTWTWOWPWTWJURUTGVNVOULWQUTURWPWRUAUGUJUNUOUP $.
    $( [16-Jan-2006] $) $( [14-Jan-2006] $)

  $( Cancellation law for mixed addition and subtraction. $)
  pnpcant $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A + B ) - ( A + C ) ) = ( B - C ) ) $=
    ( cc wcel caddc co cmin wceq wa addsub4t anandis cc0 subidt opreq1d subclt
    addid2t syl sylan9eq eqtrd 3impb ) ADEZBDEZCDEZABFGACFGHGZBCHGZIUBUCUDJZJUE
    AAHGZUFFGZUFUBUCUDUEUIIABACKLUBUGUIMUFFGZUFUBUHMUFFANOUGUFDEUJUFIBCPUFQRSTU
    A $.
    $( [13-Mar-2005] $) $( [4-Mar-2005] $)

  $( Cancellation law for mixed addition and subtraction.  (Contributed by
     Scott Fenton, 9-Jun-2006.) $)
  pnpcan2t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
               ( ( A + C ) - ( B + C ) ) = ( A - B ) ) $=
    ( cc wcel w3a caddc co cmin wceq axaddcom 3adant2 3adant1 opreq12d pnpcant
    3coml eqtrd ) ADEZBDEZCDEZFZACGHZBCGHZIHCAGHZCBGHZIHZABIHZUAUBUDUCUEIRTUBUD
    JSACKLSTUCUEJRBCKMNTRSUFUGJCABOPQ $.
    $( [10-Jun-2006] $) $( [9-Jun-2006] $)

  $( Cancellation law for mixed addition and subtraction. $)
  pnncant $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A + B ) - ( A - C ) ) = ( B + C ) ) $=
    ( cc wcel w3a caddc co cneg cmin wceq pnpcant negclt syl3an3 negsubt
    3adant2 opreq2d subnegt 3adant1 3eqtr3d ) ADEZBDEZCDEZFZABGHZACIZGHZJHZBUFJ
    HZUEACJHZJHBCGHZUAUBUFDEUHUIKUCABUFLCMNUDUGUJUEJUAUCUGUJKUBACOPQUBUCUIUKKUA
    BCRST $.
    $( [2-Aug-2006] $) $( [30-Jun-2005] $)

  $( Cancellation law for mixed addition and subtraction. $)
  ppncant $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( A + B ) + ( C - B ) ) = ( A + C ) ) $=
    ( cc wcel w3a caddc co cmin wceq axaddcom 3adant3 opreq1d subsub2t axaddcl
    syld3an1 pnncant 3com12 3eqtr3d ) ADEZBDEZCDEZFZABGHZBCIHZIHZBAGHZUEIHZUDCB
    IHGHZACGHZUCUDUGUEITUAUDUGJUBABKLMUDDEZUAUBUFUIJTUDBCNTUAUKUBABOLPUATUBUHUJ
    JBACQRS $.
    $( [9-Jul-2005] $) $( [30-Jun-2005] $)

  ${
    pnncan.1 $e |- A e. CC $.
    pnncan.2 $e |- B e. CC $.
    pnncan.3 $e |- C e. CC $.
    $( Cancellation law for mixed addition and subtraction. $)
    pnncan $p |- ( ( A + B ) - ( A - C ) ) = ( B + C ) $=
      ( cc wcel caddc co cmin wceq pnncant mp3an ) AGHBGHCGHABIJACKJKJBCIJLDEFA
      BCMN $.
      $( [15-Jan-2006] $) $( [14-Jan-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           Infinity and the extended real number system
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c +oo $. $( Plus infinity $)
  $c -oo $. $( Minus infinity $)
  $c RR* $. $( The set of extended reals $)
  $c < $. $( 'Less than' relation (over extended reals) $)

  $( Plus infinity. $)
  cpnf $a class +oo $.
  $( Minus infinity. $)
  cmnf $a class -oo $.
  $( The set of extended reals (includes plus and minus infinity). $)
  cxr $a class RR* $.
  $( 'Less than' predicate (extended to include the extended reals). $)
  clt $a class < $.

  $( Define plus infinity.  Note that the definition is arbitrary, requiring
     only that ` +oo ` be a set not in ` RR ` and different from ` -oo `
     ( ~ df-mnf ).  We use ` P~ U. CC ` to make it independent of the
     construction of ` CC ` , and Cantor's Theorem will show that it is
     different from any member of ` CC ` and therefore ` RR ` .  See ~ pnfnre ,
     ~ mnfnre , and ~ pnfnemnf .

     A simpler possibility is to define ` +oo ` as ` CC ` and ` -oo ` as
     ` { CC } ` , but that approach requires the Axiom of Regularity to show
     that ` +oo ` and ` -oo ` are different from each other and from all
     members of ` RR ` . $)
  df-pnf $a |- +oo = P~ U. CC $.

  $( Define minus infinity as the power set of plus infinity.  Note that the
     definition is arbitrary, requiring only that ` -oo ` be a set not in
     ` RR ` and different from ` +oo ` (see ~ mnfnre and ~ pnfnemnf ). $)
  df-mnf $a |- -oo = P~ +oo $.

  $( Define the set of extended reals that includes plus and minus infinity.
     Definition 12-3.1 of [Gleason] p. 173. $)
  df-xr $a |- RR* = ( RR u. { +oo , -oo } ) $.

  $( Define 'less than' on the set of extended reals.  Definition 12-3.1 of
     [Gleason] p. 173.  The clipping of ` <RR ` makes our definition
     independent of the complex number construction, since the postulates don't
     presuppose that ` <RR ` is a relation on ` RR ` . $)
  df-ltxr $a |- < = ( ( ( <RR i^i ( RR X. RR ) ) u. { <. -oo , +oo >. } ) u.
                ( ( RR X. { +oo } ) u. ( { -oo } X. RR ) ) ) $.

  $( Define 'less than or equal to' on the extended real subset of complex
     numbers.  Theorem ~ leloet relates it to 'less than' for reals. $)
  df-le $a |- <_ = ( ( RR* X. RR* ) \ `' < ) $.

  $( The set of extended reals exists. $)
  xrex $p |- RR* e. V $=
    ( cxr cr cpnf cmnf cpr cun cvv df-xr reex prex unex eqeltr ) ABCDEZFGHBMICD
    JKL $.
    $( [24-Dec-2006] $) $( [24-Dec-2006] $)

  $( Plus infinity belongs to the set of extended reals. $)
  pnfxr $p |- +oo e. RR* $=
    ( cpnf cr cmnf cpr cun cxr wcel wo cc cuni cpw cvv df-pnf axcnex uniex
    pwex eqeltr pri1 olci elun mpbir df-xr eleqtrr ) ABACDZEZFAUEGABGZAUDGZHUGU
    FACAIJZKLMUHINOPQRSABUDTUAUBUC $.
    $( [6-May-2008] $) $( [13-Oct-2005] $)

  $( Minus infinity belongs to the set of extended reals. $)
  mnfxr $p |- -oo e. RR* $=
    ( cmnf cr cpnf cpr cun cxr wcel wo cpw cvv df-mnf cc cuni df-pnf axcnex
    uniex pwex eqeltr pri2 olci elun mpbir df-xr eleqtrr ) ABCADZEZFAUFGABGZAUE
    GZHUHUGCAACIJKCCLMZIJNUILOPQRQRSTABUEUAUBUCUD $.
    $( [6-May-2008] $) $( [13-Oct-2005] $)

  $( The 'less than' binary relation on the set of extended reals.  Definition
     12-3.1 of [Gleason] p. 173. $)
  ltxrt $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A < B <->
            ( ( ( ( A e. RR /\ B e. RR ) /\ A <RR B ) \/
                 ( A = -oo /\ B = +oo ) ) \/ ( ( A e. RR /\ B = +oo )
                \/ ( A = -oo /\ B e. RR ) ) ) ) ) $=
    ( cxr wcel wa cop cltrr cr cxp cin cmnf cpnf csn cun wo wbr wceq clt wb
    df-br bicomi a1i opelxpg anbi12d elin ancom 3bitr4g adantl pnfxr opthgg
    mp3an3 opex elsnc syl5bb orbi12d elun elsncg anbi2d bitrd anbi1d sylan9bbr
    df-ltxr eleq2i 3bitr ) ACDZBCDZEZABFZGHHIZJZKLFZMZNZDZVHHLMZIZKMZHIZNZDZOZA
    HDZBHDZEZABGPZEZAKQZBLQZEZOZWBWHEZWGWCEZOZOABRPZVGVNWJVTWMVGVHVJDZVHVLDZOWJ
    VNVGWOWFWPWIVFWOWFSVEVFVHGDZVHVIDZEWEWDEWOWFVFWQWEWRWDWQWESVFWEWQABGTUAUBAB
    HHCUCUDVHGVIUEWDWEUFUGUHVGVHVKQZWIWPVEVFLCDWSWISUIABKLCCCUJUKVHVKABULUMUNUO
    VHVJVLUPUNVGVHVPDZVHVRDZOWMVTVGWTWKXAWLVFWTWKSVEVFWTWBBVODZEWKABHVOCUCVFXBW
    HWBBLCUQURUSUHVFXAAVQDZWCEVEWLABVQHCUCVEXCWGWCAKCUQUTVAUOVHVPVRUPUNUOWNVHRD
    VHVMVSNZDWAABRTRXDVHVBVCVHVMVSUPVDUN $.
    $( [15-Oct-2005] $) $( [14-Oct-2005] $)

  $( Plus infinity is not a real number. $)
  pnfnre $p |- +oo e/ RR $=
    ( cpnf cr wnel wcel wn cc cuni cpw pwuninel df-pnf eleq1i mtbir recnt mto
    df-nel mpbir ) ABCABDZEQAFDZRFGHZFDFIASFJKLAMNABOP $.
    $( [6-May-2008] $) $( [13-Oct-2005] $)

  $( Minus infinity is not a real number. $)
  mnfnre $p |- -oo e/ RR $=
    ( cmnf cr wnel wcel wn cc cuni cpw 2pwuninel cpnf df-mnf wceq df-pnf pweq
    ax-mp eqtr eleq1i mtbir recnt mto df-nel mpbir ) ABCABDZEUCAFDZUDFGHZHZFDFI
    AUFFAJHZUFKJUELUGUFLMJUENOPQRASTABUAUB $.
    $( [6-May-2008] $) $( [13-Oct-2005] $)

  $( The standard reals are a subset of the extended reals. $)
  ressxr $p |- RR (_ RR* $=
    ( cr cpnf cmnf cpr cun cxr ssun1 df-xr sseqtr4 ) AABCDZEFAJGHI $.
    $( [14-Oct-2005] $) $( [14-Oct-2005] $)

  $( A standard real is an extended real. $)
  rexrt $p |- ( A e. RR -> A e. RR* ) $=
    ( cr cxr ressxr sseli ) BCADE $.
    $( [15-Oct-2005] $) $( [14-Oct-2005] $)

  $( The standard less-than ` <RR ` and the extended real less-than ` < `
     are identical when restricted to the non-extended reals ` RR ` . $)
  ltxrltt $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B <-> A <RR B ) ) $=
    ( cr wcel wa clt wbr cltrr cmnf wceq cpnf wo cxr wb ltxrt rexrt syl2an
    ibar wn wnel pnfnre df-nel mpbi eleq1 mtbiri con2i intnand adantl mnfnre
    intnanrd anim12i ioran sylibr ancoms jca biorf syl bitr2d orass orcom bitr
    syl5bb bitrd ) ACDZBCDZEZABFGZVFABHGZEZAIJZBKJZEZLVDVKEZVJVEEZLZLZVHAMDBMDV
    GVPNVDVEABOAPBPQVFVLVOLZVILZVHVPVFVHVIVRVFVHRVFVQSZVIVRNVFVLSZVOSZEVSVFVTWA
    VEVTVDVEVKVJVKVEVKVEKCDZKCTWBSUAKCUBUCBKCUDUEUFZUGUHVEVDWAVEVDEVMSZVNSZEWAV
    EWDVDWEVEVKVDWCUGVDVJVEVJVDVJVDICDZICTWFSUIICUBUCAICUDUEUFUJUKVMVNULUMUNUOV
    LVOULUMVQVIUPUQURVPVIVQLVRVIVLVOUSVIVQUTVAVBVC $.
    $( [14-Oct-2005] $) $( [13-Oct-2005] $)

  $( 'Less than or equal to' expressed in terms of 'less than', for extended
     reals. $)
  xrlenltt $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A <_ B <-> -. B < A ) ) $=
    ( cxr wcel wa cle wbr cop clt ccnv wn cxp wb opelxpi cdif df-le eleq2i
    eldif bitr baib syl df-br syl5bb opelcnvg syl6rbbr negbid bitr4d ) ACDBCDEZ
    ABFGZABHZIJZDZKZBAIGZKUHUJFDZUMUIUHUJCCLZDZUOUMMABCCNUOUQUMUOUJUPUKOZDUQUME
    FURUJPQUJUPUKRSTUAABFUBUCUHUNULUHULBAHIDUNABCCIUDBAIUBUEUFUG $.
    $( [15-Oct-2005] $) $( [14-Oct-2005] $)

  $( 'Less than' expressed in terms of 'less than or equal to', for extended
     reals. $)
  xrltnlet $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A < B <-> -. B <_ A ) ) $=
    ( cxr wcel clt wbr cle wn wb wa xrlenltt con2bid ancoms ) BCDZACDZABEFZBAGF
    ZHINOJQPBAKLM $.
    $( [6-Feb-2007] $) $( [6-Feb-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
      Restate the ordering postulates with extended real "less than"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Ordering on reals satisfies strict trichotomy.  Axiom 22 of 27 for
     real and complex numbers, derived from ZF set theory.  (This restates
     ~ pre-axlttri with ordering on the extended reals.) $)
  axlttri $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A < B <-> -. ( A = B \/ B < A ) ) ) $=
    ( cr wcel wa cltrr wbr wceq wo wn clt pre-axlttri ltxrltt wb ancoms orbi2d
    negbid 3bitr4d ) ACDZBCDZEZABFGABHZBAFGZIZJABKGUBBAKGZIZJABLABMUAUFUDUAUEUC
    UBTSUEUCNBAMOPQR $.
    $( [14-Oct-2005] $) $( [13-Oct-2005] $)

  $( Ordering on reals is transitive.  Axiom 23 of 27 for real and complex
     numbers, derived from ZF set theory.  (This restates ~ pre-axlttrn with
     ordering on the extended reals.) $)
  axlttrn $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A < B /\ B < C ) -> A < C ) ) $=
    ( cr wcel w3a cltrr wbr wa clt pre-axlttrn wb ltxrltt 3adant3 3adant1
    anbi12d 3adant2 3imtr4d ) ADEZBDEZCDEZFZABGHZBCGHZIACGHZABJHZBCJHZIACJHZABC
    KUBUFUCUGUDSTUFUCLUAABMNTUAUGUDLSBCMOPSUAUHUELTACMQR $.
    $( [14-Oct-2005] $) $( [13-Oct-2005] $)

  $( Ordering property of addition on reals.  Axiom 24 of 27 for real and
     complex numbers, derived from ZF set theory.  (This restates ~ pre-axltadd
     with ordering on the extended reals.) $)
  axltadd $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B -> ( C + A ) < ( C + B ) ) ) $=
    ( cr wcel w3a cltrr wbr caddc co clt pre-axltadd wb ltxrltt 3adant3 wa
    axaddrcl syl2an 3impdi 3coml 3imtr4d ) ADEZBDEZCDEZFABGHZCAIJZCBIJZGHZABKHZ
    UFUGKHZABCLUBUCUIUEMUDABNOUDUBUCUJUHMZUDUBUCUKUFDEUGDEUKUDUBPUDUCPUFUGNCAQC
    BQRSTUA $.
    $( [14-Oct-2005] $) $( [13-Oct-2005] $)

  $( The product of two positive reals is positive.  Axiom 25 of 27 for real
     and complex numbers, derived from ZF set theory.  (This restates
     ~ pre-axmulgt0 with ordering on the extended reals.) $)
  axmulgt0 $p |- ( ( A e. RR /\ B e. RR ) ->
                ( ( 0 < A /\ 0 < B ) -> 0 < ( A x. B ) ) ) $=
    ( cr wcel wa cc0 cltrr wbr cmul co clt pre-axmulgt0 wb 0re ltxrltt mpan
    bi2anan9 axmulrcl syl 3imtr4d ) ACDZBCDZEZFAGHZFBGHZEFABIJZGHZFAKHZFBKHZEFU
    FKHZABLUAUHUDUBUIUEFCDZUAUHUDMNFAOPUKUBUIUEMNFBOPQUCUFCDZUJUGMZABRUKULUMNFU
    FOPST $.
    $( [14-Oct-2005] $) $( [13-Oct-2005] $)

  ${
    $d x y z A $.
    $( A non-empty, bounded-above set of reals has a supremum.  Axiom 27 of 27
       for real and complex numbers, derived from ZF set theory.  (This
       restates ~ pre-axsup with ordering on the extended reals.) $)
    axsup $p |- ( ( A (_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y < x ) ->
                E. x e. RR ( A. y e. A -. x < y /\
                A. y e. RR ( y < x -> E. z e. A y < z ) ) ) $=
      ( cr wss c0 wne cv clt wbr wral wrex wn wi wa cltrr pre-axsup 3expia wb
      wcel ltxrltt ssel2 sylan an1rs ralbidva rexbidva adantr ancoms negbid
      adantll adantlr imbi12d anbi12d 3imtr4d 3impia ) DEFZDGHZBIZAIZJKZBDLZAEM
      ZUTUSJKZNZBDLZVAUSCIZJKZCDMZOZBELZPZAEMZUQURPUSUTQKZBDLZAEMZUTUSQKZNZBDLZ
      VNUSVGQKZCDMZOZBELZPZAEMZVCVMUQURVPWEABCDRSUQVCVPTURUQVBVOAEUQUTEUAZPZVAV
      NBDUQUSDUAZWFVAVNTZUSEUAZWFWIUQWHPZUSUTUBZDEUSUCZUDUEUFUGUHUQVMWETURUQVLW
      DAEWGVFVSVKWCWGVEVRBDWGWHPVDVQUQWHWFVDVQTZWJWFWNWKWFWJWNUTUSUBUIWMUDUEUJU
      FWGVJWBBEWGWJPVAVNVIWAWFWJWIUQWJWFWIWLUIUKUQWJVIWATWFUQWJPVHVTCDUQVGDUAZW
      JVHVTTZVGEUAZWJWPUQWOPWJWQWPUSVGUBUIDEVGUCUDUEUGULUMUFUNUGUHUOUP $.
      $( [14-Oct-2005] $) $( [13-Oct-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Ordering on reals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Alias for ~ axlttrn , for naming consistency with ~ lttr . $)
  lttrt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A < B /\ B < C ) -> A < C ) ) $=
    ( axlttrn ) ABCD $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( Alias for ~ axmulgt0 , for naming consistency with ~ mulgt0 . $)
  mulgt0t $p |- ( ( A e. RR /\ B e. RR ) ->
                ( ( 0 < A /\ 0 < B ) -> 0 < ( A x. B ) ) ) $=
    ( axmulgt0 ) ABC $.
    $( [10-Mar-2008] $) $( [10-Mar-2008] $)

  $( 'Less than or equal to' expressed in terms of 'less than'. $)
  lenltt $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ B <-> -. B < A ) ) $=
    ( cxr wcel cle wbr clt wn wb cr xrlenltt rexrt syl2an ) ACDBCDABEFBAGFHIAJD
    BJDABKALBLM $.
    $( [15-Oct-2005] $) $( [13-May-1999] $)

  $( 'Less than' expressed in terms of 'less than or equal to'. $)
  ltnlet $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B <-> -. B <_ A ) ) $=
    ( cr wcel wa cle wbr clt wn wb lenltt ancoms con2bid ) ACDZBCDZEBAFGZABHGZO
    NPQIJBAKLM $.
    $( [12-Jul-2005] $) $( [11-Jul-2005] $)

  ${
    $d x y z $.
    $( 'Less than' is a strict ordering.  Note: do not shorten this with
       ~ ltsor , and do not use ~ ltsor in complex number proofs, in order
       to maintain a portable derivation of all complex number proofs directly
       from postulates. $)
    ltso $p |- < Or RR $=
      ( vx vy vz cr clt cv wcel w3a wbr wceq wo wn wb wa wi axlttri 3adant3
      axlttrn jca so ) ABCDEAFZDGZBFZDGZCFZDGZHUAUCEIZUAUCJUCUAEIKLMZUGUCUEEINU
      AUEEIOUBUDUHUFUAUCPQUAUCUERST $.
      $( [19-Jan-1997] $)
  $}

  $( Consequence of trichotomy. $)
  lttri2t $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A =/= B <-> ( A < B \/ B < A ) ) ) $=
    ( cr wcel wa clt wbr wo wceq wn wor wb ltso sotrieq mpan bicomd necon1abid
    ) ACDBCDEZABFGBAFGHZABRABIZSJZCFKRTUALMCABFNOPQ $.
    $( [22-Aug-2007] $) $( [9-Oct-1999] $)

  $( Trichotomy law for 'less than'. $)
  lttri3t $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A = B <-> ( -. A < B /\ -. B < A ) ) ) $=
    ( cr clt wor wcel wa wceq wbr wn wb ltso sotrieq2 mpan ) CDEACFBCFGABHABDIJ
    BADIJGKLCABDMN $.
    $( [5-May-1999] $)

  $( Trichotomy law for 'less than'. $)
  lttri4t $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B \/ A = B \/ B < A ) ) $=
    ( cr wcel wa wceq clt wbr wo w3o wn axlttri biimprd orrd 3orrot df-3or
    bitr2 sylib ) ACDBCDEZABFZBAGHZIZABGHZIZUCTUAJZSUBUCSUCUBKABLMNUETUAUCJUDUC
    TUAOTUAUCPQR $.
    $( [21-Jan-2008] $) $( [20-Sep-2007] $)

  $( 'Less than' implies not equal. $)
  ltnet $p |- ( ( A e. RR /\ B e. RR /\ A < B ) -> B =/= A ) $=
    ( cr wcel clt wbr w3a wne wa wo lttri2t orc syl5bir 3impia necomd ) ACDZBCD
    ZABEFZGABPQRABHZPQISRBAEFZJRABKRTLMNO $.
    $( [6-Aug-2007] $) $( [9-Oct-1999] $)

  $( Trichotomy law. $)
  letri3t $p |- ( ( A e. RR /\ B e. RR ) ->
                ( A = B <-> ( A <_ B /\ B <_ A ) ) ) $=
    ( cr wcel wa wceq clt wbr wn cle lttri3t ancom syl6bbr lenltt wb ancoms
    anbi12d bitr4d ) ACDZBCDZEZABFZBAGHIZABGHIZEZABJHZBAJHZEUAUBUDUCEUEABKUCUDL
    MUAUFUCUGUDABNTSUGUDOBANPQR $.
    $( [14-May-1999] $)

  $( 'Less than or equal to' expressed in terms of 'less than' or 'equals'. $)
  leloet $p |- ( ( A e. RR /\ B e. RR ) ->
               ( A <_ B <-> ( A < B \/ A = B ) ) ) $=
    ( cr wcel wa cle wbr clt wn wceq wo lenltt wb axlttri ancoms con2bid eqcom
    orbi1i orcom bitr syl5rbbr bitrd ) ACDZBCDZEZABFGBAHGZIZABHGZABJZKZABLUEBAJ
    ZUHKZUGUJUEUFULUDUCUFULIMBANOPULUIUHKUJUKUIUHBAQRUIUHSTUAUB $.
    $( [13-May-1999] $)

  $( Equality in terms of 'less than or equal to', 'less than'. $)
  eqleltt $p |- ( ( A e. RR /\ B e. RR ) ->
               ( A = B <-> ( A <_ B /\ -. A < B ) ) ) $=
    ( cr wcel wa wceq cle wbr clt wn letri3t wb lenltt ancoms anbi2d bitrd ) AC
    DZBCDZEZABFABGHZBAGHZETABIHJZEABKSUAUBTRQUAUBLBAMNOP $.
    $( [7-Apr-2001] $)

  $( 'Less than' implies 'less than or equal to'. $)
  ltlet $p |- ( ( A e. RR /\ B e. RR ) ->
               ( A < B -> A <_ B ) ) $=
    ( cr wcel wa cle wbr clt wceq wo leloet orc syl5bir ) ACDBCDEABFGABHGZABIZJ
    NABKNOLM $.
    $( [25-Aug-1999] $)

  $( 'Less than or equal to' implies 'less than' is not 'equals'. $)
  leltnet $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
                ( A < B <-> B =/= A ) ) $=
    ( cr wcel cle wbr clt wne wb wa wceq wn wi lttri3t pm3.26 syl6bi adantr wo
    leloet biimpa ord impbid necon2abid necom syl6bbr 3impa ) ACDZBCDZABEFZABGF
    ZBAHZIUGUHJZUIJZUJABHUKUMUJABUMABKZUJLZULUNUOMUIULUNUOBAGFLZJUOABNUOUPOPQUM
    UJUNULUIUJUNRABSTUAUBUCBAUDUEUF $.
    $( [18-Jul-2007] $) $( [27-Jul-1999] $)

  $( 'Less than' expressed in terms of 'less than or equal to'. $)
  ltlent $p |- ( ( A e. RR /\ B e. RR ) ->
               ( A < B <-> ( A <_ B /\ B =/= A ) ) ) $=
    ( cr wcel wa clt wbr cle wne ltlet ltnet 3expia jcad wceq wo wi leloet
    ax-1 wn pm2.24 eqcoms df-ne syl5ib jaoi syl6bi imp3a impbid ) ACDZBCDZEZABF
    GZABHGZBAIZEUJUKULUMABJUHUIUKUMABKLMUJULUMUKUJULUKABNZOUMUKPZABQUKUOUNUKUMR
    UNBANZSZUKUMUQUKPBAUPUKTUABAUBUCUDUEUFUG $.
    $( [7-Aug-2007] $) $( [27-Oct-1999] $)

  $( Transitive law. $)
  lelttrt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A <_ B /\ B < C ) -> A < C ) ) $=
    ( cr wcel w3a cle wbr clt wceq wo wi wb leloet 3adant3 axlttrn exp3a breq1
    biimprd a1i jaod sylbid imp3a ) ADEZBDEZCDEZFZABGHZBCIHZACIHZUGUHABIHZABJZK
    ZUIUJLZUDUEUHUMMUFABNOUGUKUNULUGUKUIUJABCPQULUNLUGULUJUIABCIRSTUAUBUC $.
    $( [23-May-1999] $)

  $( Transitive law. $)
  ltletrt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A < B /\ B <_ C ) -> A < C ) ) $=
    ( cr wcel w3a clt wbr cle wceq wo wi wb leloet 3adant1 axlttrn exp3a com23
    breq2 biimpd a1i jaod sylbid imp3a ) ADEZBDEZCDEZFZABGHZBCIHZACGHZUHUJUIUKU
    HUJBCGHZBCJZKZUIUKLZUFUGUJUNMUEBCNOUHULUOUMUHUIULUKUHUIULUKABCPQRUMUOLUHUMU
    IUKBCAGSTUAUBUCRUD $.
    $( [25-Aug-1999] $)

  $( Transitive law. $)
  letrt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
             ( ( A <_ B /\ B <_ C ) -> A <_ C ) ) $=
    ( cr wcel w3a cle wbr wi wa clt wceq wo wb leloet 3adant1 adantr lelttrt
    ltlet 3adant2 syld exp3a imp breq2 biimpcd adantl jaod sylbid ex imp3a ) AD
    EZBDEZCDEZFZABGHZBCGHZACGHZUNUOUPUQIUNUOJZUPBCKHZBCLZMZUQUNUPVANZUOULUMVBUK
    BCOPQURUSUQUTUNUOUSUQIUNUOUSUQUNUOUSJACKHZUQABCRUKUMVCUQIULACSTUAUBUCUOUTUQ
    IUNUTUOUQBCAGUDUEUFUGUHUIUJ $.
    $( [12-Nov-1999] $)

  ${
    letrd.1 $e |- ( ph -> A e. RR ) $.
    letrd.2 $e |- ( ph -> B e. RR ) $.
    letrd.3 $e |- ( ph -> C e. RR ) $.
    ${
      letrd.4 $e |- ( ph -> A <_ B ) $.
      letrd.5 $e |- ( ph -> B <_ C ) $.
      $( Transitive law deduction for 'less than or equal to'. $)
      letrd $p |- ( ph -> A <_ C ) $=
        ( cle wbr cr wcel wa wi letrt syl3anc mp2and ) ABCJKZCDJKZBDJKZHIBLMCLM
        DLMSTNUAOABCDPEFGQR $.
        $( [22-May-2005] $) $( [20-May-2005] $)
    $}

    ${
      lelttrd.4 $e |- ( ph -> A <_ B ) $.
      lelttrd.5 $e |- ( ph -> B < C ) $.
      $( Transitive law deduction for 'less than or equal to', 'less than'. $)
      lelttrd $p |- ( ph -> A < C ) $=
        ( cle wbr clt cr wcel wa wi lelttrt syl3anc mp2and ) ABCJKZCDLKZBDLKZHI
        BMNCMNDMNTUAOUBPABCDQEFGRS $.
        $( [23-Jan-2006] $) $( [8-Jan-2006] $)
    $}

    ${
      ltletrd.4 $e |- ( ph -> A < B ) $.
      ltletrd.5 $e |- ( ph -> B <_ C ) $.
      $( Transitive law deduction for 'less than', 'less than or equal to'. $)
      ltletrd $p |- ( ph -> A < C ) $=
        ( clt wbr cle cr wcel wa wi ltletrt syl3anc mp2and ) ABCJKZCDLKZBDJKZHI
        BMNCMNDMNTUAOUBPABCDQEFGRS $.
        $( [11-Jan-2006] $) $( [9-Jan-2006] $)
    $}

    ${
      lttrd.4 $e |- ( ph -> A < B ) $.
      lttrd.5 $e |- ( ph -> B < C ) $.
      $( Transitive law deduction for 'less than'. $)
      lttrd $p |- ( ph -> A < C ) $=
        ( clt wbr cr wcel wa wi axlttrn syl3anc mp2and ) ABCJKZCDJKZBDJKZHIBLMC
        LMDLMSTNUAOABCDPEFGQR $.
        $( [1-Feb-2006] $) $( [9-Jan-2006] $)
    $}
  $}

  $( 'Less than' is irreflexive. $)
  ltnrt $p |- ( A e. RR -> -. A < A ) $=
    ( cr clt wor wcel wbr wn ltso sonr mpan ) BCDABEAACFGHBACIJ $.
    $( [18-Aug-1999] $)

  $( 'Less than or equal to' is reflexive. $)
  leidt $p |- ( A e. RR -> A <_ A ) $=
    ( cr wcel cle wbr wa clt wceq wo eqid olci leloet mpbiri anidms ) ABCZAADEZ
    OOFPAAGEZAAHZIRQAJKAALMN $.
    $( [18-Aug-1999] $)

  $( 'Less than' is not symmetric. $)
  ltnsymt $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B -> -. B < A ) ) $=
    ( cr wcel wa clt wbr wceq wo wn axlttri pm2.46 syl6bi ) ACDBCDEABFGABHZBAFG
    ZIJOJABKNOLM $.
    $( [8-Jan-2002] $)

  $( 'Less than' is antisymmetric and irreflexive. $)
  ltnsym2t $p |- ( ( A e. RR /\ B e. RR ) -> -. ( A < B /\ B < A ) ) $=
    ( cr wcel wa clt wbr wn wi ltnsymt imnan sylib ) ACDBCDEABFGZBAFGZHIMNEHABJ
    MNKL $.
    $( [15-Aug-2005] $) $( [13-Aug-2005] $)

  ${
    pm2.61ltle.1 $e |- ( ( ph /\ A < B ) -> ps ) $.
    pm2.61ltle.2 $e |- ( ( ph /\ B <_ A ) -> ps ) $.
    pm2.61ltle.3 $e |- ( ph -> A e. RR ) $.
    pm2.61ltle.4 $e |- ( ph -> B e. RR ) $.
    $( Ordering elimination by cases. $)
    pm2.61ltle $p |- ( ph -> ps ) $=
      ( clt wbr wn cle cr wcel wb lenltt sylanc biimpar syldan pm2.61dan ) ACDI
      JZBEAUAKZDCLJZBAUCUBDMNCMNUCUBOADCPHGQRFST $.
      $( [4-Jul-2007] $) $( [1-Jul-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           Ordering on the extended reals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Membership in the set of extended reals. $)
  elxr $p |- ( A e. RR* <-> ( A e. RR \/ A = +oo \/ A = -oo ) ) $=
    ( cxr wcel cr cpnf cmnf cpr cun wo wceq w3o df-xr eleq2i elun pnfxr
    elisseti mnfxr elpr2 orbi2i 3orass bitr4 3bitr ) ABCADEFGZHZCADCZAUCCZIZUEA
    EJZAFJZKZBUDALMADUCNUGUEUHUIIZIUJUFUKUEAEFEBOPFBQPRSUEUHUITUAUB $.
    $( [17-Oct-2005] $) $( [14-Oct-2005] $)

  $( Plus and minus infinity are distinguished elements of ` RR* ` . $)
  pnfnemnf $p |- +oo =/= -oo $=
    ( cpnf cmnf wne wceq wn csdm wbr sdomirr cpw df-mnf eqeq2i cc cuni cvv
    df-pnf axcnex uniex pwex eqeltr canth2 breq2 mpbiri sylbi mto df-ne mpbir
    ) ABCABDZEUGAAFGZAHUGAAIZDZUHBUIAJKUJUHAUIFGAALMZINOUKLPQRSTAUIAFUAUBUCUDAB
    UEUF $.
    $( [6-May-2008] $) $( [14-Oct-2005] $)

  $( No (finite) real equals plus infinity. $)
  renepnft $p |- ( A e. RR -> A =/= +oo ) $=
    ( cr wcel cpnf wceq wn wne wnel pnfnre df-nel mpbi nelneq mpan2 df-ne
    sylibr ) ABCZADEFZADGPDBCFZQDBHRIDBJKADBLMADNO $.
    $( [16-Oct-2005] $) $( [14-Oct-2005] $)

  $( No real equals minus infinity. $)
  renemnft $p |- ( A e. RR -> A =/= -oo ) $=
    ( cr wcel cmnf wceq wn wne wnel mnfnre df-nel mpbi nelneq mpan2 df-ne
    sylibr ) ABCZADEFZADGPDBCFZQDBHRIDBJKADBLMADNO $.
    $( [26-Oct-2005] $) $( [14-Oct-2005] $)

  $( The reals and the infinities are disjoint. $)
  renfdisj $p |- ( RR i^i { +oo , -oo } ) = (/) $=
    ( cr cpnf cmnf cpr cin csn cun c0 df-pr ineq2i wceq wa wcel wn eqid wne
    renepnft df-ne sylib mt2 disjsn mpbir renemnft pm3.2i undisj2 mpbi eqtr )
    ABCDZEABFZCFZGZEZHUHUKABCIJAUIEHKZAUJEHKZLULHKUMUNUMBAMZNUOBBKZBOUOBBPUPNBQ
    BBRSTABUAUBUNCAMZNUQCCKZCOUQCCPURNCUCCCRSTACUAUBUDAUIUJUEUFUG $.
    $( [27-Oct-2005] $) $( [25-Oct-2005] $)

  ${
    $d x A $.
    $( The three (non-exclusive) possibilities implied by a subset of extended
       reals. $)
    ssxr $p |- ( A (_ RR* -> ( A (_ RR \/ +oo e. A \/ -oo e. A ) ) $=
      ( vx cxr wss cr cpnf wcel cmnf wo w3o wn cv cpr wral cin c0 wceq cun
      disjssun df-xr uncom eqtr sseq2i syl5bb biimpcd disj syl5ibr con3d wrex
      dfrex2 visset elpr rexbii bitr3 r19.43 wa wex df-rex exancom pnfxr
      elisseti eleq1 ceqsexv 3bitr mnfxr orbi12i syl6ib orrd 3orass sylibr ) AC
      DZAEDZFAGZHAGZIZIVLVMVNJVKVLVOVKVLKBLZFHMZGZKBANZKZVOVKVSVLVKAVQOPQZVLVSW
      AVKVLWAAVQERZDVLVKAVQESCWBACEVQRWBTEVQUAUBUCUDUEBAVQUFUGUHVTVPFQZVPHQZIZB
      AUIZWCBAUIZWDBAUIZIVOVTVRBAUIWFVRBAUJVRWEBAVPFHBUKULUMUNWCWDBAUOWGVMWHVNW
      GVPAGZWCUPBUQWCWIUPBUQVMWCBAURWIWCBUSWIVMBFFCUTVAVPFAVBVCVDWHWIWDUPBUQWDW
      IUPBUQVNWDBAURWIWDBUSWIVNBHHCVEVAVPHAVBVCVDVFVDVGVHVLVMVNVIVJ $.
      $( [10-Nov-2005] $) $( [25-Oct-2005] $)
  $}

  $( The extended real 'less than' is irreflexive. $)
  xrltnrt $p |- ( A e. RR* -> -. A < A ) $=
    ( cxr wcel cr cpnf wceq cmnf w3o clt wbr wn elxr ltnrt wa cltrr wo wnel
    pnfnre df-nel mpbi intnan intnanr wne pnfnemnf df-ne pm3.2ni wb pnfxr
    ltxrt mp2an mtbir breq12 anidms mtbiri mnfnre necom mnfxr 3jaoi sylbi ) ABC
    ADCZAEFZAGFZHAAIJZKZALUTVDVAVBAMVAVCEEIJZVEEDCZVFNZEEOJZNZEGFZEEFZNZPZVFVKN
    ZVJVFNZPZPZVMVPVIVLVGVHVFVFEDQVFKREDSTZUAUBVJVKEGUCZVJKUDEGUETUBUFVNVOVFVKV
    RUBVFVJVRUAUFUFEBCZVTVEVQUGUHUHEEUIUJUKVAVCVEUGAEAEIULUMUNVBVCGGIJZWAGDCZWB
    NZGGOJZNZGGFZGEFZNZPZWBWGNZWFWBNZPZPZWIWLWEWHWCWDWBWBGDQWBKUOGDSTZUAUBWGWFG
    EUCZWGKVSWOUDEGUPTGEUETUAUFWJWKWBWGWNUBWBWFWNUAUFUFGBCZWPWAWMUGUQUQGGUIUJUK
    VBVCWAUGAGAGIULUMUNURUS $.
    $( [18-Oct-2005] $) $( [14-Oct-2005] $)

  $( Any (finite) real is less than plus infinity. $)
  ltpnft $p |- ( A e. RR -> A < +oo ) $=
    ( cr wcel cpnf clt wbr wa cltrr cmnf wceq wo eqid jctr orc olc 3syl cxr wb
    rexrt pnfxr ltxrt mpan2 syl mpbird ) ABCZADEFZUEDBCZGADHFGAIJZDDJZGKZUEUIGZ
    UHUGGZKZKZUEUKUMUNUEUIDLMUKULNUMUJOPUEAQCZUFUNRZASUODQCUPTADUAUBUCUD $.
    $( [19-Oct-2005] $) $( [14-Oct-2005] $)

  $( Minus infinity is less than any (finite) real. $)
  mnfltt $p |- ( A e. RR -> -oo < A ) $=
    ( cr wcel cmnf clt wbr wa cltrr wceq cpnf wo eqid jctl olc 3syl cxr wb
    rexrt mnfxr ltxrt mpan syl mpbird ) ABCZDAEFZDBCZUDGDAHFGDDIZAJIZGKZUFUHGZU
    GUDGZKZKZUDUKULUMUDUGDLMUKUJNULUINOUDAPCZUEUMQZARDPCUNUOSDATUAUBUC $.
    $( [17-Oct-2005] $) $( [14-Oct-2005] $)

  $( Minus infinity is less than plus infinity. $)
  mnfltpnf $p |- -oo < +oo $=
    ( cmnf cpnf clt wbr cr wcel wa cltrr wceq wo eqid olc mp2an orci cxr wb
    mnfxr pnfxr ltxrt mpbir ) ABCDZAEFZBEFZGABHDGZAAIZBBIZGZJZUBUFGUEUCGJZJZUHU
    IUEUFUHAKBKUGUDLMNAOFBOFUAUJPQRABSMT $.
    $( [19-Oct-2005] $) $( [14-Oct-2005] $)

  $( Minus infinity is less than an extended real that is either real or plus
     infinity. $)
  mnfltxrt $p |- ( ( A e. RR \/ A = +oo ) -> -oo < A ) $=
    ( cr wcel cmnf clt wbr cpnf wceq mnfltt mnfltpnf breq2 mpbiri jaoi ) ABCDAE
    FZAGHZAIONDGEFJAGDEKLM $.
    $( [26-Feb-2006] $) $( [2-Feb-2006] $)

  $( No extended real is greater than plus infinity. $)
  pnfnltt $p |- ( A e. RR* -> -. +oo < A ) $=
    ( cxr wcel cpnf clt wbr cr wa cltrr cmnf wceq wo wnel wn pnfnre df-nel
    mpbi intnanr wne pnfnemnf df-ne pm3.2ni wb pnfxr ltxrt mpan mtbiri ) ABCZDA
    EFZDGCZAGCZHZDAIFZHZDJKZADKZHZLZUJUPHZUOUKHZLZLZURVAUNUQULUMUJUKDGMUJNODGPQ
    ZRRUOUPDJSUONTDJUAQZRUBUSUTUJUPVCRUOUKVDRUBUBDBCUHUIVBUCUDDAUEUFUG $.
    $( [19-Oct-2005] $) $( [15-Oct-2005] $)

  $( No extended real is less than minus infinity. $)
  nltmnft $p |- ( A e. RR* -> -. A < -oo ) $=
    ( cxr wcel cmnf clt wbr cr wa cltrr wceq cpnf wo wnel wn mnfnre df-nel
    mpbi intnan intnanr wne pnfnemnf necom df-ne pm3.2ni wb mnfxr ltxrt mpan2
    mtbiri ) ABCZADEFZAGCZDGCZHZADIFZHZADJZDKJZHZLZULURHZUQUMHZLZLZUTVCUPUSUNUO
    UMULDGMUMNODGPQZRSURUQDKTZURNKDTVFUAKDUBQDKUCQZRUDVAVBURULVGRUMUQVERUDUDUJD
    BCUKVDUEUFADUGUHUI $.
    $( [20-Oct-2005] $) $( [15-Oct-2005] $)

  $( Plus infinity is an upper bound for extended reals. $)
  pnfget $p |- ( A e. RR* -> A <_ +oo ) $=
    ( cxr wcel cpnf cle wbr clt wn pnfnltt wb pnfxr xrlenltt mpan2 mpbird ) ABC
    ZADEFZDAGFHZAIODBCPQJKADLMN $.
    $( [18-Feb-2006] $) $( [30-Jan-2006] $)

  $( Minus infinity is less than or equal to any extended real. $)
  mnflet $p |- ( A e. RR* -> -oo <_ A ) $=
    ( cxr wcel cmnf cle wbr clt wn nltmnft wb mnfxr xrlenltt mpan mpbird ) ABCZ
    DAEFZADGFHZAIDBCOPQJKDALMN $.
    $( [25-Jan-2006] $) $( [19-Jan-2006] $)

  $( Ordering on the extended reals is not symmetric. $)
  xrltnsymt $p |- ( ( A e. RR* /\ B e. RR* ) ->
                ( A < B -> -. B < A ) ) $=
    ( cr wcel cpnf wceq cmnf w3o clt wbr wn wi cxr ltnsymt wa rexrt pnfnltt
    syl adantr wb breq1 adantl mtbird a1d nltmnft breq2 pm2.21d 3jaodan elxr
    sylan2br mnfxr ax-mp breq12 mtbiri ancoms xrltnrt 3jaoian syl2anb ) ACDZAEF
    ZAGFZHBCDZBEFZBGFZHZABIJZBAIJZKZLZAMDZBMDZUSVEVIUTVAUSVBVIVCVDABNUSVCOZVHVF
    VLVGEAIJZUSVMKZVCUSVJVNAPZAQRSVCVGVMTUSBEAIUAUBUCUDUSVDOZVFVHVPVFAGIJZUSVQK
    ZVDUSVJVRVOAUERSVDVFVQTUSBGAIUFUBUCUGUHUTVKVIVEUTVKOZVFVHVSVFEBIJZVKVTKUTBQ
    UBUTVFVTTVKAEBIUASUCUGBUIZUJVAVBVIVCVDVAVBOZVHVFWBVGBGIJZVBWCKZVAVBVKWDBPBU
    ERUBVAVGWCTVBAGBIUFSUCUDVAVCOVHVFVCVAVHVCVAOVGEGIJZGMDZWEKUKGQULBEAGIUMUNUO
    UDVAVDOZVFVHWGVFGGIJZWFWHKUKGUPULAGBGIUMUNUGUHUQAUIWAUR $.
    $( [21-Oct-2005] $) $( [15-Oct-2005] $)

  $( 'Less than' is antisymmetric and irreflexive for extended reals. $)
  xrltnsym2t $p |- ( ( A e. RR* /\ B e. RR* ) -> -. ( A < B /\ B < A ) ) $=
    ( cxr wcel wa clt wbr wn wi xrltnsymt imnan sylib ) ACDBCDEABFGZBAFGZHIMNEH
    ABJMNKL $.
    $( [8-Jun-2007] $) $( [6-Feb-2007] $)

  $( Ordering on the extended reals satisfies strict trichotomy. $)
  xrlttrit $p |- ( ( A e. RR* /\ B e. RR* ) ->
                ( A < B <-> -. ( A = B \/ B < A ) ) ) $=
    ( cxr wcel wa wceq clt wbr wo wn wi xrltnrt adantr wb breq2 adantl mtbid
    ex xrltnsymt ancoms jaod cr cpnf cmnf w3o axlttri biimprd con1d ltpnft
    mpbird pm2.24d mnfltt breq1 olcd a1d 3jaodan eqtr3t orcd mnfltpnf breq12
    mpbiri 3jaoian elxr syl2anb impbid con2bid ) ACDZBCDZEZABFZBAGHZIZABGHZVIVL
    VMJZVIVJVNVKVGVJVNKVHVGVJVNVGVJEAAGHZVMVGVOJVJALMVJVOVMNVGABAGOPQRMVHVGVKVN
    KBASTUAAUBDZAUCFZAUDFZUEBUBDZBUCFZBUDFZUEZVNVLKZVGVHVPWBWCVQVRVPVSWCVTWAVPV
    SEZVLVMWDVMVLJABUFUGUHVPVTEZVMVLWEVMAUCGHZVPWFVTAUIMVTVMWFNVPBUCAGOPUJUKVPW
    AEZVLVNWGVKVJWGVKUDAGHZVPWHWAAULMWAVKWHNVPBUDAGUMPUJUNUOUPVQVSWCVTWAVQVSEZV
    LVNWIVKVJWIVKBUCGHZVSWJVQBUIPVQVKWJNVSAUCBGOMUJUNUOVQVTEZVLVNWKVJVKABUCUQUR
    UOVQWAEZVLVNWLVKVJWAVQVKWAVQEVKUDUCGHZUSBUDAUCGUTVATUNUOUPVRVSWCVTWAVRVSEZV
    MVLWNVMUDBGHZVSWOVRBULPVRVMWONVSAUDBGUMMUJUKVRVTEZVMVLWPVMWMUSAUDBUCGUTVAUK
    VRWAEZVLVNWQVJVKABUDUQURUOUPVBAVCBVCVDVEVF $.
    $( [22-Oct-2005] $) $( [14-Oct-2005] $)

  $( Ordering on the extended reals is transitive. $)
  xrlttrt $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
             ( ( A < B /\ B < C ) -> A < C ) ) $=
    ( cr wcel cpnf wceq cmnf w3o cxr clt wbr wa wi axlttrn 3expa an1rs wn
    rexrt pnfnltt syl adantr wb breq1 adantl mtbird pm2.21d adantll adantld
    nltmnft breq2 adantlr adantrd 3jaodan elxr sylan2b ltpnft mpbird a1d
    anasss adantrr mnfltt mnfltpnf breq12 mpbiri 3jaoian 3impb syl3an3b
    syl3an1b ) ADEZAFGZAHGZIZBJEZCJEZABKLZBCKLZMZACKLZNZAJEZVMVNCDEZCFGZCHGZIZV
    TVOVMVNWEVTVJVNWEMVTVKVLVJVNWEVTVJVNMZWBVTWCWDVJWBVNVTVJWBMZBDEZBFGZBHGZIVT
    VNWGWHVTWIWJVJWHWBVTVJWHWBVTABCOPQWGWIMVQVSVPWBWIVQVSNVJWBWIMZVQVSWKVQFCKLZ
    WBWLRZWIWBVOWMCSCTUAUBWIVQWLUCWBBFCKUDUEUFUGUHUIWGWJMVPVSVQVJWJVPVSNWBVJWJM
    ZVPVSWNVPAHKLZVJWORZWJVJWAWPASAUJUAUBWJVPWOUCVJBHAKUKUEUFUGULUMUNBUOUPQWFWC
    MVSVRVJWCVSVNVJWCMVSAFKLZVJWQWCAUQUBWCVSWQUCVJCFAKUKUEURULUSVNWDVTVJVNWDMZV
    QVSVPWRVQVSWRVQBHKLZVNWSRWDBUJUBWDVQWSUCVNCHBKUKUEUFUGUIZUHUNUTVKVNVTWEVKVN
    MZVPVSVQXAVPVSXAVPFBKLZVNXBRVKBTUEVKVPXBUCVNAFBKUDUBUFUGUMVAVLVNWEVTVLVNMWB
    VTWCWDVLWBVTVNVLWBMZVSVRXCVSHCKLZWBXDVLCVBUEVLVSXDUCWBAHCKUDUBURUSULVLWCVTV
    NVLWCMZVSVRXEVSHFKLVCAHCFKVDVEUSULVNWDVTVLWTUHUNUTVFVGCUOVHAUOVI $.
    $( [23-Oct-2005] $) $( [15-Oct-2005] $)

  ${
    $d x y z A $.
    $( 'Less than' is a strict ordering on the extended reals. $)
    xrltso $p |- < Or RR* $=
      ( vx vy vz cxr clt cv wcel w3a wbr wceq wo wn wb wa wi xrlttrit 3adant3
      xrlttrt jca so ) ABCDEAFZDGZBFZDGZCFZDGZHUAUCEIZUAUCJUCUAEIKLMZUGUCUEEINU
      AUEEIOUBUDUHUFUAUCPQUAUCUERST $.
      $( [24-Oct-2005] $) $( [15-Oct-2005] $)
  $}

  $( Trichotomy law for 'less than' for extended reals. $)
  xrlttri2t $p |- ( ( A e. RR* /\ B e. RR* ) ->
                ( A =/= B <-> ( A < B \/ B < A ) ) ) $=
    ( cxr wcel wa clt wbr wo wceq wn wor wb xrltso sotrieq mpan bicomd
    necon1abid ) ACDBCDEZABFGBAFGHZABRABIZSJZCFKRTUALMCABFNOPQ $.
    $( [2-Jan-2008] $) $( [10-Dec-2007] $)

  $( Trichotomy law for 'less than' for extended reals. $)
  xrlttri3t $p |- ( ( A e. RR* /\ B e. RR* ) ->
                ( A = B <-> ( -. A < B /\ -. B < A ) ) ) $=
    ( cxr clt wor wcel wa wceq wbr wn wb xrltso sotrieq2 mpan ) CDEACFBCFGABHAB
    DIJBADIJGKLCABDMN $.
    $( [9-Mar-2006] $) $( [9-Feb-2006] $)

  $( 'Less than or equal' expressed in terms of 'less than' or 'equals', for
     extended reals. $)
  xrleloet $p |- ( ( A e. RR* /\ B e. RR* ) ->
               ( A <_ B <-> ( A < B \/ A = B ) ) ) $=
    ( cxr wcel wa cle wbr clt wn wceq wo xrlenltt wb xrlttrit ancoms con2bid
    eqcom orbi1i orcom bitr syl5rbbr bitrd ) ACDZBCDZEZABFGBAHGZIZABHGZABJZKZAB
    LUEBAJZUHKZUGUJUEUFULUDUCUFULIMBANOPULUIUHKUJUKUIUHBAQRUIUHSTUAUB $.
    $( [27-Jan-2006] $) $( [19-Jan-2006] $)

  $( 'Less than or equal to' implies 'less than' is not 'equals', for extended
     reals. $)
  xrleltnet $p |- ( ( A e. RR* /\ B e. RR* /\ A <_ B ) ->
                ( A < B <-> B =/= A ) ) $=
    ( cxr wcel cle wbr clt wne wb wa wceq wn wi xrlttri3t pm3.26 syl6bi adantr
    wo xrleloet biimpa ord impbid necon2abid necom syl6bbr 3impa ) ACDZBCDZABEF
    ZABGFZBAHZIUGUHJZUIJZUJABHUKUMUJABUMABKZUJLZULUNUOMUIULUNUOBAGFLZJUOABNUOUP
    OPQUMUJUNULUIUJUNRABSTUAUBUCBAUDUEUF $.
    $( [22-Jul-2007] $) $( [9-Feb-2006] $)

  $( 'Less than' implies 'less than or equal' for extended reals. $)
  xrltlet $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A < B -> A <_ B ) ) $=
    ( cxr wcel wa cle wbr clt wceq wo xrleloet orc syl5bir ) ACDBCDEABFGABHGZAB
    IZJNABKNOLM $.
    $( [27-Feb-2006] $) $( [19-Jan-2006] $)

  $( 'Less than or equal to' is reflexive for extended reals. $)
  xrleidt $p |- ( A e. RR* -> A <_ A ) $=
    ( cxr wcel cle wbr wa clt wceq wo eqid olci xrleloet mpbiri anidms ) ABCZAA
    DEZOOFPAAGEZAAHZIRQAJKAALMN $.
    $( [8-Feb-2007] $) $( [7-Feb-2007] $)

  $( Trichotomy law for extended reals. $)
  xrletrit $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A <_ B \/ B <_ A ) ) $=
    ( cxr wcel wa cle wbr wn clt wb xrltnlet ancoms wi xrltlet sylbird orrd )
    ACDZBCDZEZABFGZBAFGZSTHZBAIGZUARQUCUBJBAKLRQUCUAMBANLOP $.
    $( [8-Feb-2007] $) $( [7-Feb-2007] $)

  $( Transitive law for ordering on extended reals. $)
  xrlelttrt $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
             ( ( A <_ B /\ B < C ) -> A < C ) ) $=
    ( cxr wcel w3a cle wbr clt wceq wo wi wb xrleloet 3adant3 xrlttrt exp3a
    breq1 biimprd a1i jaod sylbid imp3a ) ADEZBDEZCDEZFZABGHZBCIHZACIHZUGUHABIH
    ZABJZKZUIUJLZUDUEUHUMMUFABNOUGUKUNULUGUKUIUJABCPQULUNLUGULUJUIABCIRSTUAUBUC
    $.
    $( [1-Mar-2006] $) $( [19-Jan-2006] $)

  $( Transitive law for ordering on extended reals. $)
  xrltletrt $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
             ( ( A < B /\ B <_ C ) -> A < C ) ) $=
    ( cxr wcel w3a clt wbr cle wceq wo wi wb xrleloet 3adant1 xrlttrt exp3a
    com23 breq2 biimpd a1i jaod sylbid imp3a ) ADEZBDEZCDEZFZABGHZBCIHZACGHZUHU
    JUIUKUHUJBCGHZBCJZKZUIUKLZUFUGUJUNMUEBCNOUHULUOUMUHUIULUKUHUIULUKABCPQRUMUO
    LUHUMUIUKBCAGSTUAUBUCRUD $.
    $( [21-Mar-2006] $) $( [19-Jan-2006] $)

  $( Transitive law for ordering on extended reals. $)
  xrletrt $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
             ( ( A <_ B /\ B <_ C ) -> A <_ C ) ) $=
    ( cxr wcel w3a cle wbr wi wa clt wceq wo wb xrleloet 3adant1 adantr
    xrlelttrt xrltlet 3adant2 syld exp3a imp breq2 biimpcd adantl jaod sylbid
    ex imp3a ) ADEZBDEZCDEZFZABGHZBCGHZACGHZUNUOUPUQIUNUOJZUPBCKHZBCLZMZUQUNUPV
    ANZUOULUMVBUKBCOPQURUSUQUTUNUOUSUQIUNUOUSUQUNUOUSJACKHZUQABCRUKUMVCUQIULACS
    TUAUBUCUOUTUQIUNUTUOUQBCAGUDUEUFUGUHUIUJ $.
    $( [3-Mar-2006] $) $( [9-Feb-2006] $)

  $( 'Less than' implies not equal for extended reals. $)
  xrltnet $p |- ( ( A e. RR* /\ B e. RR* /\ A < B ) -> B =/= A ) $=
    ( cxr wcel clt wbr w3a wne wa wo wor wceq wn wb xrltso sotrieq mpan
    necon2abid orc syl5bi 3impia necomd ) ACDZBCDZABEFZGABUCUDUEABHZUCUDIZUEBAE
    FZJZUFUEUGUIABCEKUGABLUIMNOCABEPQRUEUHSTUAUB $.
    $( [22-Aug-2007] $) $( [20-Jan-2006] $)

  $( An extended real is not less than plus infinity iff they are equal. $)
  nltpnftt $p |- ( A e. RR* -> ( A = +oo <-> -. A < +oo ) ) $=
    ( cxr wcel cpnf wceq clt wbr wn pnfxr xrltnrt ax-mp breq1 mtbiri cle wo
    pnfget wb xrleloet mpan2 mpbid ord impbid2 ) ABCZADEZADFGZHUDUEDDFGZDBCZUFH
    IDJKADDFLMUCUEUDUCADNGZUEUDOZAPUCUGUHUIQIADRSTUAUB $.
    $( [3-Mar-2006] $) $( [30-Jan-2006] $)

  $( An extended real is not greater than minus infinity iff they are equal. $)
  ngtmnftt $p |- ( A e. RR* -> ( A = -oo <-> -. -oo < A ) ) $=
    ( cxr wcel cmnf wceq clt wbr wn mnfxr xrltnrt ax-mp breq2 mtbiri cle wo
    mnflet wb xrleloet mpan mpbid ord eqcom syl6ib impbid2 ) ABCZADEZDAFGZHZUFU
    GDDFGZDBCZUIHIDJKADDFLMUEUHDAEZUFUEUGUKUEDANGZUGUKOZAPUJUEULUMQIDARSTUADAUB
    UCUD $.
    $( [5-Mar-2006] $) $( [2-Feb-2006] $)

  $( An extended real is real iff it is strictly bounded by infinities. $)
  xrrebndt $p |- ( A e. RR* -> ( A e. RR <-> ( -oo < A /\ A < +oo ) ) ) $=
    ( cxr wcel cr cmnf clt wbr cpnf wa mnfltt ltpnft jca wceq wo wn nltpnftt
    ngtmnftt orbi12d ianor orcom bitr2 syl6bb con2bid w3o elxr biimp 3orass
    bitr sylib ord sylbid impbid2 ) ABCZADCZEAFGZAHFGZIZUNUOUPAJAKLUMUQAHMZAEMZ
    NZOUNUMUTUQUMUTUPOZUOOZNZUQOZUMURVAUSVBAPAQRVDVBVANVCUOUPSVBVATUAUBUCUMUTUN
    UMUNURUSUDZUTUNNZUMVEAUEUFVEUNUTNVFUNURUSUGUNUTTUHUIUJUKUL $.
    $( [5-Mar-2006] $) $( [2-Feb-2006] $)

  $( A way of proving that an extended real is real. $)
  xrret $p |- ( ( ( A e. RR* /\ B e. RR ) /\ ( -oo < A /\ A <_ B ) ) ->
              A e. RR ) $=
    ( cxr wcel cr wa cmnf clt wbr cle cpnf simprl ltpnft adantl wi pnfxr
    xrlelttrt mp3an3 rexrt sylan2 mpan2d imp adantrl jca wb xrrebndt ad2antrr
    mpbird ) ACDZBEDZFZGAHIZABJIZFZFZAEDZULAKHIZFZUOULUQUKULUMLUKUMUQULUKUMUQUK
    UMBKHIZUQUJUSUIBMNUIBCDZUMUSFUQOZUJUIUTKCDVAPABKQRBSTUAUBUCUDUIUPURUEUJUNAU
    FUGUH $.
    $( [10-Mar-2005] $) $( [9-Mar-2006] $)

  $( An extended real between two others is real. $)
  xrre2t $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\
              ( A < B /\ B < C ) ) -> B e. RR ) $=
    ( cxr wcel w3a clt wbr wa cr cmnf cpnf wi cle mnflet adantr mnfxr
    xrlelttrt mp3an1 mpand 3adant3 pnfget adantl pnfxr xrltletrt mp3an3 mpan2d
    3adant1 anim12d wb xrrebndt 3ad2ant2 sylibrd imp ) ADEZBDEZCDEZFZABGHZBCGHZ
    IZBJEZURVAKBGHZBLGHZIZVBURUSVCUTVDUOUPUSVCMUQUOUPIKANHZUSVCUOVFUPAOPKDEUOUP
    VFUSIVCMQKABRSTUAUPUQUTVDMUOUPUQIUTCLNHZVDUQVGUPCUBUCUPUQLDEUTVGIVDMUDBCLUE
    UFUGUHUIUPUOVBVEUJUQBUKULUMUN $.
    $( [6-Feb-2007] $) $( [6-Feb-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Ordering on reals (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Equality implies 'less than or equal to'. $)
  eqlet $p |- ( ( A e. RR /\ A = B ) -> A <_ B ) $=
    ( cle wbr wceq cr wcel breq2 biimpac leidt sylan ) AACDZABEZABCDZAFGMLNABAC
    HIAJK $.
    $( [6-Apr-2005] $) $( [4-Apr-2005] $)

  ${
    lt.1 $e |- A e. RR $.

    ${
      lt.2 $e |- B e. RR $.
      $( Consequence of trichotomy. $)
      lttri2 $p |- ( A =/= B <-> ( A < B \/ B < A ) ) $=
        ( cr wcel wne clt wbr wo wb lttri2t mp2an ) AEFBEFABGABHIBAHIJKCDABLM
        $.
        $( [22-Aug-2007] $) $( [19-Jan-1997] $)

      $( Consequence of trichotomy. $)
      lttri3 $p |- ( A = B <-> ( -. A < B /\ -. B < A ) ) $=
        ( cr wcel wceq clt wbr wn wa wb lttri3t mp2an ) AEFBEFABGABHIJBAHIJKLCD
        ABMN $.
        $( [14-May-1999] $)

      $( Consequence of trichotomy. $)
      letri3 $p |- ( A = B <-> ( A <_ B /\ B <_ A ) ) $=
        ( cr wcel wceq cle wbr wa wb letri3t mp2an ) AEFBEFABGABHIBAHIJKCDABLM
        $.
        $( [14-May-1999] $)

      $( 'Less than or equal to' in terms of 'less than'. $)
      leloe $p |- ( A <_ B <-> ( A < B \/ A = B ) ) $=
        ( cr wcel cle wbr clt wceq wo wb leloet mp2an ) AEFBEFABGHABIHABJKLCDAB
        MN $.
        $( [14-May-1999] $)

      $( 'Less than' expressed in terms of 'less than or equal to'. $)
      ltlen $p |- ( A < B <-> ( A <_ B /\ B =/= A ) ) $=
        ( cr wcel clt wbr cle wne wa wb ltlent mp2an ) AEFBEFABGHABIHBAJKLCDABM
        N $.
        $( [8-Aug-2007] $) $( [27-Oct-1999] $)

      $( 'Less than' is not symmetric. $)
      ltnsym $p |- ( A < B -> -. B < A ) $=
        ( cr wcel clt wbr wn wi ltnsymt mp2an ) AEFBEFABGHBAGHIJCDABKL $.
        $( [6-May-1999] $)

      $( 'Less than or equal to'  in terms of 'less than'. $)
      lenlt $p |- ( A <_ B <-> -. B < A ) $=
        ( cr wcel cle wbr clt wn wb lenltt mp2an ) AEFBEFABGHBAIHJKCDABLM $.
        $( [24-May-1999] $)

      $( 'Less than'  in terms of 'less than or equal to'. $)
      ltnle $p |- ( A < B <-> -. B <_ A ) $=
        ( cle wbr clt lenlt con2bii ) BAEFABGFBADCHI $.
        $( [12-Jul-2005] $) $( [11-Jul-2005] $)

      $( 'Less than' implies 'less than or equal to'. $)
      ltle $p |- ( A < B -> A <_ B ) $=
        ( cr wcel clt wbr cle wi ltlet mp2an ) AEFBEFABGHABIHJCDABKL $.
        $( [14-May-1999] $)

      ${
        ltlei.1 $e |- A < B $.
        $( 'Less than' implies 'less than or equal to' (inference). $)
        ltlei $p |- A <_ B $=
          ( clt wbr cle ltle ax-mp ) ABFGABHGEABCDIJ $.
          $( [22-Aug-1999] $)
      $}

      $( Equality implies 'less than or equal to'. $)
      eqle $p |- ( A = B -> A <_ B ) $=
        ( wceq cle wbr letri3 pm3.26bi ) ABEABFGBAFGABCDHI $.
        $( [23-May-1999] $)

      $( 'Less than' implies not equal. $)
      ltne $p |- ( A < B -> B =/= A ) $=
        ( cr wcel clt wbr wne ltnet mp3an12 ) AEFBEFABGHBAICDABJK $.
        $( [14-Aug-2007] $) $( [28-Jul-1999] $)

      $( Trichotomy law for 'less than or equal to'. $)
      letri $p |- ( A <_ B \/ B <_ A ) $=
        ( cle wbr wn clt ltnle ltle sylbir orri ) ABEFZBAEFZMGBAHFNBADCIBADCJKL
        $.
        $( [2-Aug-1999] $)

      ${
        lt.3 $e |- C e. RR $.
        $( 'Less than' is transitive.  Theorem I.17 of [Apostol] p. 20. $)
        lttr $p |- ( ( A < B /\ B < C ) -> A < C ) $=
          ( cr wcel clt wbr wa wi axlttrn mp3an ) AGHBGHCGHABIJBCIJKACIJLDEFABC
          MN $.
          $( [14-May-1999] $)

        $( 'Less than or equal to', 'less than' transitive law. $)
        lelttr $p |- ( ( A <_ B /\ B < C ) -> A < C ) $=
          ( cr wcel cle wbr clt wa wi lelttrt mp3an ) AGHBGHCGHABIJBCKJLACKJMDE
          FABCNO $.
          $( [14-May-1999] $)

        $( 'Less than', 'less than or equal to' transitive law. $)
        ltletr $p |- ( ( A < B /\ B <_ C ) -> A < C ) $=
          ( cr wcel clt wbr cle wa wi ltletrt mp3an ) AGHBGHCGHABIJBCKJLACIJMDE
          FABCNO $.
          $( [14-May-1999] $)

        $( 'Less than or equal to' is transitive. $)
        letr $p |- ( ( A <_ B /\ B <_ C ) -> A <_ C ) $=
          ( cr wcel cle wbr wa wi letrt mp3an ) AGHBGHCGHABIJBCIJKACIJLDEFABCMN
          $.
          $( [14-May-1999] $)

        $( Extended trichotomy law for 'less than or equal to'. $)
        le2tri3 $p |- ( ( A <_ B /\ B <_ C /\ C <_ A ) <->
                        ( A = B /\ B = C /\ C = A ) ) $=
          ( cle wbr w3a wceq wa letri3 biimpr letr sylan2 3impb 3comr eqcomd
          sylan 3impa 3jca eqle 3anim123i impbi ) ABGHZBCGHZCAGHZIZABJZBCJZCAJZ
          IUHUIUJUKUEUFUGUIUEBAGHZUIUFUGKUIUEULKABDELMBCAEFDNOPUFUGUEUJUFUGUEUJ
          UFCBGHZUJUGUEKUJUFUMKBCEFLMCABFDENOPQUEUFUGUKACGHZUGUKUEUFKUNUGKZACAC
          JUOACDFLMRABCDEFNSTUAUIUEUJUFUKUGABDEUBBCEFUBCAFDUBUCUD $.
          $( [14-Aug-2000] $)

        $( Addition to both sides of 'less than'.  (Proof shortened by Paul
           Chapman, 27-Jan-2008.) $)
        ltadd2 $p |- ( A < B <-> ( C + A ) < ( C + B ) ) $=
          ( clt wbr caddc co cr wcel wi axltadd mp3an cle wn wceq wo opreq2
          orim12i leloe readdcl 3imtr4 lenlt 3imtr3 a3i impbi ) ABGHZCAIJZCBIJZ
          GHZAKLZBKLZCKLZUIULMDEFABCNOUIULBAPHZUKUJPHZUIQULQBAGHZBARZSUKUJGHZUK
          UJRZSUPUQURUTUSVAUNUMUOURUTMEDFBACNOBACITUABAEDUBUKUJCBFEUCZCAFDUCZUB
          UDBAEDUEUKUJVBVCUEUFUGUH $.
          $( [28-Jan-2008] $) $( [21-Jan-1997] $)

        $( Addition to both sides of 'less than'.  Theorem I.18 of [Apostol]
           p. 20. $)
        ltadd1 $p |- ( A < B <-> ( A + C ) < ( B + C ) ) $=
          ( clt wbr caddc co ltadd2 recn addcom breq12i bitr ) ABGHCAIJZCBIJZGH
          ACIJZBCIJZGHABCDEFKPRQSGCACFLZADLMCBTBELMNO $.
          $( [21-Jan-1997] $)

        $( Addition to both sides of 'less than or equal to'. $)
        leadd1 $p |- ( A <_ B <-> ( A + C ) <_ ( B + C ) ) $=
          ( clt wbr wn caddc co cle ltadd1 negbii lenlt readdcl 3bitr4 ) BAGHZI
          BCJKZACJKZGHZIABLHTSLHRUABACEDFMNABDEOTSACDFPBCEFPOQ $.
          $( [11-Aug-1999] $)

        $( Addition to both sides of 'less than or equal to'. $)
        leadd2 $p |- ( A <_ B <-> ( C + A ) <_ ( C + B ) ) $=
          ( cle wbr caddc co leadd1 recn addcom breq12i bitr ) ABGHACIJZBCIJZGH
          CAIJZCBIJZGHABCDEFKPRQSGACADLCFLZMBCBELTMNO $.
          $( [11-Aug-1999] $)

        $( 'Less than' relationship between subtraction and addition. $)
        ltsubadd $p |- ( ( A - B ) < C <-> A < ( C + B ) ) $=
          ( cneg caddc co clt wbr cmin renegcl readdcl ltadd1 recn negsub
          breq1i cc0 addass addcom negid eqtr opreq2i addid1 3eqtr 3bitr3 ) ABG
          ZHIZCJKUIBHIZCBHIZJKABLIZCJKAUKJKUICBAUHDBEMZNFEOUIULCJABADPZBEPZQRUJ
          AUKJUJAUHBHIZHIASHIAAUHBUNUHUMPZUOTUPSAHUPBUHHISUHBUQUOUABUOUBUCUDAUN
          UEUFRUG $.
          $( [21-Jan-1997] $)

        $( 'Less than or equal to' relationship between subtraction and
           addition. $)
        lesubadd $p |- ( ( A - B ) <_ C <-> A <_ ( C + B ) ) $=
          ( cmin co clt wbr wceq wo caddc cle ltsubadd recn subadd addcom
          eqeq1i eqcom 3bitr orbi12i resubcl leloe readdcl 3bitr4 ) ABGHZCIJZUG
          CKZLACBMHZIJZAUJKZLUGCNJAUJNJUHUKUIULABCDEFOUIBCMHZAKUJAKULABCADPBEPZ
          CFPZQUMUJABCUNUORSUJATUAUBUGCABDEUCFUDAUJDCBFEUEUDUF $.
          $( [30-Sep-1999] $)

        ${
          lt.4 $e |- D e. RR $.
          $( Adding both side of two inequalities.  Theorem I.25 of [Apostol]
             p. 20. $)
          lt2add $p |- ( ( A < C /\ B < D ) -> ( A + B ) < ( C + D ) ) $=
            ( caddc co clt wbr readdcl lttr ltadd1 ltadd2 syl2anb ) ABIJZCBIJZK
            LSCDIJZKLRTKLACKLBDKLRSTABEFMCBGFMCDGHMNACBEGFOBDCFHGPQ $.
            $( [14-May-1999] $)

          $( Adding both side of two inequalities. $)
          le2add $p |- ( ( A <_ C /\ B <_ D ) -> ( A + B ) <_ ( C + D ) ) $=
            ( caddc co cle wbr readdcl letr leadd1 leadd2 syl2anb ) ABIJZCBIJZK
            LSCDIJZKLRTKLACKLBDKLRSTABEFMCBGFMCDGHMNACBEGFOBDCFHGPQ $.
            $( [16-Sep-1999] $)
        $}
      $}

      $( Addition of 2 positive numbers is positive. $)
      addgt0 $p |- ( ( 0 < A /\ 0 < B ) -> 0 < ( A + B ) ) $=
        ( cc0 clt wbr caddc co 0re readdcl lttr ltadd2 recn addid1 breq1i bitr
        sylan2b ) EAFGAABHIZFGZESFGEBFGZEASJCABCDKLUAAEHIZSFGTEBAJDCMUBASFAACNO
        PQR $.
        $( [16-May-1999] $)

      $( Addition of 2 nonnegative numbers is nonnegative. $)
      addge0 $p |- ( ( 0 <_ A /\ 0 <_ B ) -> 0 <_ ( A + B ) ) $=
        ( cc0 clt wbr wceq wo caddc co cle wa addgt0 0re readdcl ltle syl
        opreq1 recn addid2 syl5eqr breq2d biimpa opreq2 addid1 biimpac opreq12
        0cn eqle ccase leloe syl2anb ) EAFGZEAHZIEBFGZEBHZIEABJKZLGZEALGEBLGUNU
        PUOUQUSUNUPMEURFGZUSABCDNEUROABCDPZQZRUOUPMUTUSUOUPUTUOBUREFUOEBJKURBEA
        BJSBBDTUAUBUCUDVBRUNUQMUTUSUQUNUTUQAUREFUQAEJKURAEBAJUEAACTUFUBUCUGVBRU
        OUQMZEURHUSVCEEJKUREEAEBJUHEUIUFUBEUROVAUJRUKEAOCULEBODULUM $.
        $( [28-May-1999] $)

      $( Addition of nonnegative and positive numbers is positive. $)
      addgegt0 $p |- ( ( 0 <_ A /\ 0 < B ) -> 0 < ( A + B ) ) $=
        ( cc0 cle wbr clt caddc co wceq wo wi 0re leloe addgt0 ex opreq1 recn
        addid2 syl5eqr breq2d biimpd jaoi sylbi imp ) EAFGZEBHGZEABIJZHGZUGEAHG
        ZEAKZLUHUJMZEANCOUKUMULUKUHUJABCDPQULUHUJULBUIEHULEBIJUIBEABIRBBDSTUAUB
        UCUDUEUF $.
        $( [25-Sep-1999] $)

      ${
        addgt0i.3 $e |- 0 < A $.
        addgt0i.4 $e |- 0 < B $.
        $( Addition of 2 positive numbers is positive. $)
        addgt0i $p |- 0 < ( A + B ) $=
          ( cc0 clt wbr caddc co addgt0 mp2an ) GAHIGBHIGABJKHIEFABCDLM $.
          $( [18-May-1999] $)
      $}

      $( Two nonnegative numbers are zero iff their sum is zero. $)
      add20 $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
        ( ( A + B ) = 0 <-> ( A = 0 /\ B = 0 ) ) ) $=
        ( cc0 cle wbr wa caddc co wceq clt wo wi wn readdcl 0re lttri3
        pm3.27bi addgt0 nsyl3 pm2.21d opreq1 recn addid2 syl5eqr eqeq1d
        biimprd eqcom biimp jctild opreq2 addid1 jctird ccase2 leloe syl2anb
        0cn syl6eq sylan9eq impbid1 ) EAFGZEBFGZHABIJZEKZAEKZBEKZHZEALGZEAKZMEB
        LGZEBKZMVEVHNZVBVCVIVKVJVLVMVIVKHZVEVHVEEVDLGZVNVEVDELGOVOOVDEABCDPQRSA
        BCDTUAUBVJVEVGVFVJVGVEVJBVDEVJEBIJZVDBEABIUCBBDUDUEUFUGUHVJVFEAUIUJUKVL
        VEVFVGVLVFVEVLAVDEVLAEIJVDAEBAIULAACUDUMUFUGUHVLVGEBUIUJUNUOEAQCUPEBQDU
        PUQVFVGVDVPEAEBIUCVGVPEEIJEBEEIULEURUMUSUTVA $.
        $( [28-Jul-1999] $)

      $( Negative of both sides of 'less than'.  Theorem I.23 of [Apostol]
         p. 20. $)
      ltneg $p |- ( A < B <-> -u B < -u A ) $=
        ( clt wbr cneg caddc co renegcl readdcl ltadd1 cc0 recn negid opreq1i
        addass addid2 3eqtr3 add12 opreq2i addid1 3eqtr breq12i bitr ) ABEFAAGZ
        BGZHIZHIZBUHHIZEFUGUFEFABUHCDUFUGACJZBDJZKLUIUGUJUFEAUFHIZUGHIMUGHIUIUG
        UMMUGHAACNZOPAUFUGUNUFUKNZUGULNZQUGUPRSUJUFBUGHIZHIUFMHIUFBUFUGBDNZUOUP
        TUQMUFHBUROUAUFUOUBUCUDUE $.
        $( [21-Jan-1997] $)

      $( Negative of both sides of 'less than or equal to'. $)
      leneg $p |- ( A <_ B <-> -u B <_ -u A ) $=
        ( clt wbr wceq wo cneg cle ltneg recn neg11 eqcom bitr2 orbi12i leloe
        renegcl 3bitr4 ) ABEFZABGZHBIZAIZEFZUBUCGZHABJFUBUCJFTUDUAUEABCDKUEBAGU
        ABABDLACLMBANOPABCDQUBUCBDRACRQS $.
        $( [1-Aug-1999] $)

      $( Contraposition of negative in 'less than'. $)
      ltnegcon2 $p |- ( A < -u B <-> B < -u A ) $=
        ( cneg clt wbr renegcl ltneg recn negneg breq1i bitr ) ABEZFGNEZAEZFGBP
        FGANCBDHIOBPFBBDJKLM $.
        $( [14-May-1999] $)

      $( The product of two positive numbers is positive. $)
      mulgt0 $p |- ( ( 0 < A /\ 0 < B ) -> 0 < ( A x. B ) ) $=
        ( cr wcel cc0 clt wbr wa cmul co wi axmulgt0 mp2an ) AEFBEFGAHIGBHIJGAB
        KLHIMCDABNO $.
        $( [16-May-1999] $)

      $( The product of two nonnegative numbers is nonnegative. $)
      mulge0 $p |- ( ( 0 <_ A /\ 0 <_ B ) -> 0 <_ ( A x. B ) ) $=
        ( cc0 clt wbr wceq wo cmul co cle wa mulgt0 0re remulcl ltle syl
        opreq1 recn mul02 syl5eqr eqle opreq2 mul01 ccase2 leloe syl2anb ) EAFG
        ZEAHZIEBFGZEBHZIEABJKZLGZEALGEBLGUIUKUJULUNUIUKMEUMFGUNABCDNEUMOABCDPZQ
        RUJEUMHZUNUJEBJKUMEEABJSBBDTUAUBEUMOUOUCZRULUPUNULAEJKUMEEBAJUDAACTUEUB
        UQRUFEAOCUGEBODUGUH $.
        $( [30-Jul-1999] $)

      ${
        mulgt0i.3 $e |- 0 < A $.
        mulgt0i.4 $e |- 0 < B $.
        $( The product of two positive numbers is positive. $)
        mulgt0i $p |- 0 < ( A x. B ) $=
          ( cc0 clt wbr cmul co mulgt0 mp2an ) GAHIGBHIGABJKHIEFABCDLM $.
          $( [18-May-1999] $)
      $}
    $}

    $( 'Less than' is irreflexive. $)
    ltnr $p |- -. A < A $=
      ( cr wcel clt wbr wn ltnrt ax-mp ) ACDAAEFGBAHI $.
      $( [18-Aug-1999] $)

    $( 'Less than or equal to' is reflexive. $)
    leid $p |- A <_ A $=
      ( cr wcel cle wbr leidt ax-mp ) ACDAAEFBAGH $.
      $( [18-Aug-1999] $)

    $( Positive means non-zero (useful for ordering theorems involving
       division). $)
    gt0ne0 $p |- ( 0 < A -> A =/= 0 ) $=
      ( cc0 0re ltne ) CADBE $.
      $( [16-Sep-1999] $)

    ${
      lesub0.1 $e |- B e. RR $.
      $( Lemma to show a nonnegative number is zero. $)
      lesub0 $p |- ( ( 0 <_ A /\ B <_ ( B - A ) ) <-> A = 0 ) $=
        ( cmin co cle wbr cc0 wa wceq cneg caddc 0re renegcl leadd2 leneg neg0
        breq1i bitr2 recn addid1 negsub breq12i 3bitr3r anbi1i ancom letri3
        3bitr4 ) BBAEFZGHZIAGHZJAIGHZULJULUKJAIKUKUMULIALZGHZBIMFZBUNMFZGHUMUKI
        UNBNACODPUMILZUNGHUOAICNQURIUNGRSTUPBUQUJGBBDUAZUBBAUSACUAUCUDUEUFULUKU
        GAICNUHUI $.
        $( [8-Oct-1999] $)
    $}

    $( A non-zero square is positive.  Theorem I.20 of [Apostol] p. 20. $)
    msqgt0 $p |- ( A =/= 0 -> 0 < ( A x. A ) ) $=
      ( cc0 wne clt wbr wo cmul co 0re lttri2 cneg ltneg neg0 breq1i bitr
      renegcl mulgt0 anidms recn mul2neg syl6breq sylbi jaoi ) ACDACEFZCAEFZGCA
      AHIZEFZACBJKUEUHUFUECALZEFZUHUECLZUIEFUJACBJMUKCUIENOPUJCUIUIHIZUGEUJCULE
      FUIUIABQZUMRSAAABTZUNUAUBUCUFUHAABBRSUDUC $.
      $( [23-May-2007] $) $( [17-Jan-1997] $)

    $( A square is nonnegative. $)
    msqge0 $p |- 0 <_ ( A x. A ) $=
      ( cc0 cmul co cle wbr wceq clt wo opreq2 recn mul01 syl6req olcd 0re
      remulcl leloe sylibr wne msqgt0 ltle syl pm2.61ine ) CAADEZFGZACACHZCUEIG
      ZCUEHZJUFUGUIUHUGUEACDECACADKAABLMNOCUEPAABBQZRSACTUHUFABUACUEPUJUBUCUD
      $.
      $( [14-May-1999] $)
  $}

  $( A non-zero square is positive.  Theorem I.20 of [Apostol] p. 20. $)
  msqgt0t $p |- ( ( A e. RR /\ A =/= 0 ) -> 0 < ( A x. A ) ) $=
    ( cr wcel cc0 wne cmul co clt wbr wi cif wceq neeq1 id opreq12d breq2d
    imbi12d 0re elimel msqgt0 dedth imp ) ABCZADEZDAAFGZHIZUCUDUFJUCADKZDEZDUGU
    GFGZHIZJADAUGLZUDUHUFUJAUGDMUKUEUIDHUKAUGAUGFUKNZULOPQUGADBRSTUAUB $.
    $( [24-May-2007] $) $( [6-May-1999] $)

  $( A square is nonnegative. $)
  msqge0t $p |- ( A e. RR -> 0 <_ ( A x. A ) ) $=
    ( cr wcel cc0 cmul co cle wbr cif wceq id opreq12d breq2d 0re elimel
    msqge0 dedth ) ABCZDAAEFZGHDRADIZTEFZGHADATJZSUADGUBATATEUBKZUCLMTADBNOPQ
    $.
    $( [23-May-2007] $) $( [23-May-2007] $)

  ${
    gt0ne0i.1 $e |- A e. RR $.
    gt0ne0i.2 $e |- 0 < A $.
    $( Positive implies nonzero. $)
    gt0ne0i $p |- A =/= 0 $=
      ( cc0 clt wbr wne gt0ne0 ax-mp ) DAEFADGCABHI $.
      $( [15-May-1999] $)
  $}

  $( Positive implies nonzero. $)
  gt0ne0t $p |- ( ( A e. RR /\ 0 < A ) -> A =/= 0 ) $=
    ( cr wcel cc0 clt wbr wne wi cif wceq breq2 neeq1 imbi12d 0re elimel
    gt0ne0 dedth imp ) ABCZDAEFZADGZSTUAHDSADIZEFZUBDGZHADAUBJTUCUAUDAUBDEKAUBD
    LMUBADBNOPQR $.
    $( [25-Feb-2005] $) $( [3-Oct-1999] $)

  $( A nonzero nonnegative number is positive. $)
  ne0gt0t $p |- ( ( A e. RR /\ 0 <_ A ) -> ( A =/= 0 <-> 0 < A ) ) $=
    ( cr wcel cc0 cle wbr wa wne clt wo wb 0re lttri2t mpan2 adantr wn lenltt
    mpan biimpa biorf syl bitr4d ) ABCZDAEFZGZADHZADIFZDAIFZJZUHUCUFUIKZUDUCDBC
    ZUJLADMNOUEUGPZUHUIKUCUDULUKUCUDULKLDAQRSUGUHTUAUB $.
    $( [9-Dec-2007] $) $( [20-Nov-2007] $)

  $( Trichotomy law. $)
  letrit $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ B \/ B <_ A ) ) $=
    ( cr wcel wa cle wbr wn clt wb ltnlet ancoms wi ltlet sylbird orrd ) ACDZBC
    DZEZABFGZBAFGZSTHZBAIGZUARQUCUBJBAKLRQUCUAMBANLOP $.
    $( [18-Aug-1999] $)

  ${
    lecase.1 $e |- ( ph -> A e. RR ) $.
    lecase.2 $e |- ( ph -> B e. RR ) $.
    lecase.3 $e |- ( ( ph /\ A <_ B ) -> ps ) $.
    lecase.4 $e |- ( ( ph /\ B <_ A ) -> ps ) $.
    $( Ordering elimination by cases. $)
    lecase $p |- ( ph -> ps ) $=
      ( cle wbr wo cr wcel letrit sylanc jaodan mpdan ) ACDIJZDCIJZKZBCLMDLMTAC
      DNEFOARBSGHPQ $.
      $( [17-Jul-2007] $) $( [6-Jul-2007] $)
  $}

  $( Trichotomy law. $)
  lelttrit $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ B \/ B < A ) ) $=
    ( cr wcel wa cle wbr clt wo wn pm2.1 lenltt orbi1d mpbiri ) ACDBCDEZABFGZBA
    HGZIQJZQIQKOPRQABLMN $.
    $( [26-Apr-2005] $) $( [4-Apr-2005] $)

  $( Addition to both sides of 'less than'. $)
  ltadd1t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B <-> ( A + C ) < ( B + C ) ) ) $=
    ( cr wcel clt wbr caddc co wb cc0 cif wceq breq1 opreq1 breq1d bibi12d
    breq2 breq2d opreq2 breq12d bibi2d 0re elimel ltadd1 dedth3h ) ADEZBDEZCDEZ
    ABFGZACHIZBCHIZFGZJUGAKLZBFGZUNCHIZULFGZJABCKKKUNUHBKLZFGZUPURCHIZFGZJUSUNU
    ICKLZHIZURVBHIZFGZJAUNMZUJUOUMUQAUNBFNVFUKUPULFAUNCHOPQBURMZUOUSUQVABURUNFR
    VGULUTUPFBURCHOSQCVBMZVAVEUSVHUPVCUTVDFCVBUNHTCVBURHTUAUBUNURVBAKDUCUDBKDUC
    UDCKDUCUDUEUF $.
    $( [12-Nov-1999] $)

  $( Addition to both sides of 'less than'. $)
  ltadd2t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B <-> ( C + A ) < ( C + B ) ) ) $=
    ( cr wcel w3a clt wbr caddc co ltadd1t wceq cc axaddcom recnt syl2an
    3adant2 3adant1 breq12d bitrd ) ADEZBDEZCDEZFZABGHACIJZBCIJZGHCAIJZCBIJZGHA
    BCKUDUEUGUFUHGUAUCUEUGLZUBAMECMEZUIUAUCACNAOCOZPQUBUCUFUHLZUABMEUJULUBUCBCN
    BOUKPRST $.
    $( [12-Nov-1999] $)

  $( Addition to both sides of 'less than or equal to'. $)
  leadd1t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A <_ B <-> ( A + C ) <_ ( B + C ) ) ) $=
    ( cr wcel cle wbr caddc co wb cc0 cif wceq breq1 opreq1 breq1d bibi12d
    breq2 breq2d opreq2 breq12d bibi2d 0re elimel leadd1 dedth3h ) ADEZBDEZCDEZ
    ABFGZACHIZBCHIZFGZJUGAKLZBFGZUNCHIZULFGZJABCKKKUNUHBKLZFGZUPURCHIZFGZJUSUNU
    ICKLZHIZURVBHIZFGZJAUNMZUJUOUMUQAUNBFNVFUKUPULFAUNCHOPQBURMZUOUSUQVABURUNFR
    VGULUTUPFBURCHOSQCVBMZVAVEUSVHUPVCUTVDFCVBUNHTCVBURHTUAUBUNURVBAKDUCUDBKDUC
    UDCKDUCUDUEUF $.
    $( [18-Oct-1999] $)

  $( Addition to both sides of 'less than or equal to'. $)
  leadd2t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A <_ B <-> ( C + A ) <_ ( C + B ) ) ) $=
    ( cr wcel w3a cle wbr caddc co leadd1t wceq cc axaddcom recnt syl2an
    3adant2 3adant1 breq12d bitrd ) ADEZBDEZCDEZFZABGHACIJZBCIJZGHCAIJZCBIJZGHA
    BCKUDUEUGUFUHGUAUCUEUGLZUBAMECMEZUIUAUCACNAOCOZPQUBUCUFUHLZUABMEUJULUBUCBCN
    BOUKPRST $.
    $( [26-Oct-1999] $)

  $( 'Less than' relationship between subtraction and addition. $)
  ltsubaddt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( ( A - B ) < C <-> A < ( C + B ) ) ) $=
    ( cr wcel cmin co clt wbr caddc wb cc0 cif wceq opreq1 breq1d breq1
    bibi12d opreq2 breq2d breq2 0re elimel ltsubadd dedth3h ) ADEZBDEZCDEZABFGZ
    CHIZACBJGZHIZKUFALMZBFGZCHIZUMUKHIZKABCLLLUMUGBLMZFGZCHIZUMCUQJGZHIZKURUHCL
    MZHIZUMVBUQJGZHIZKAUMNZUJUOULUPVFUIUNCHAUMBFOPAUMUKHQRBUQNZUOUSUPVAVGUNURCH
    BUQUMFSPVGUKUTUMHBUQCJSTRCVBNZUSVCVAVECVBURHUAVHUTVDUMHCVBUQJOTRUMUQVBALDUB
    UCBLDUBUCCLDUBUCUDUE $.
    $( [21-Jan-1997] $)

  $( 'Less than' relationship between subtraction and addition. $)
  ltsubadd2t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) < C <-> A < ( B + C ) ) ) $=
    ( cr wcel w3a cmin co clt wbr caddc ltsubaddt wceq cc axaddcom recnt
    syl2an 3adant1 breq2d bitr4d ) ADEZBDEZCDEZFZABGHCIJACBKHZIJABCKHZIJABCLUDU
    FUEAIUBUCUFUEMZUABNECNEUGUBUCBCOBPCPQRST $.
    $( [21-Jan-1997] $)

  $( 'Less than or equal to' relationship between subtraction and addition. $)
  lesubaddt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) <_ C <-> A <_ ( C + B ) ) ) $=
    ( cr wcel cmin co cle wbr caddc wb cc0 cif wceq opreq1 breq1d breq1
    bibi12d opreq2 breq2d breq2 0re elimel lesubadd dedth3h ) ADEZBDEZCDEZABFGZ
    CHIZACBJGZHIZKUFALMZBFGZCHIZUMUKHIZKABCLLLUMUGBLMZFGZCHIZUMCUQJGZHIZKURUHCL
    MZHIZUMVBUQJGZHIZKAUMNZUJUOULUPVFUIUNCHAUMBFOPAUMUKHQRBUQNZUOUSUPVAVGUNURCH
    BUQUMFSPVGUKUTUMHBUQCJSTRCVBNZUSVCVAVECVBURHUAVHUTVDUMHCVBUQJOTRUMUQVBALDUB
    UCBLDUBUCCLDUBUCUDUE $.
    $( [19-Nov-2004] $) $( [17-Nov-2004] $)

  $( 'Less than or equal to' relationship between subtraction and addition. $)
  lesubadd2t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) <_ C <-> A <_ ( B + C ) ) ) $=
    ( cr wcel w3a cmin co cle wbr caddc lesubaddt wceq cc axaddcom recnt
    syl2an 3adant1 breq2d bitr4d ) ADEZBDEZCDEZFZABGHCIJACBKHZIJABCKHZIJABCLUDU
    FUEAIUBUCUFUEMZUABNECNEUGUBUCBCOBPCPQRST $.
    $( [10-Aug-1999] $)

  $( 'Less than' relationship between addition and subtraction. $)
  ltaddsubt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A + B ) < C <-> A < ( C - B ) ) ) $=
    ( cr wcel w3a caddc co clt wbr cmin cle wn wb lesubaddt 3com13 wa lenltt
    resubclt sylan 3impa axaddrcl sylan2 3impb 3coml 3bitr3rd con4bid ) ADEZBDE
    ZCDEZFZABGHZCIJZACBKHZIJZUKUNALJZCULLJZUOMZUMMZUJUIUHUPUQNCBAOPUJUIUHUPURNZ
    UJUIUHUTUNDEUHUTUJUIQUNARCBSTUAPUJUHUIUQUSNZUJUHUIVAUJULDEVAUHUIQCULRABUBUC
    UDUEUFUG $.
    $( [22-Nov-2004] $) $( [17-Nov-2004] $)

  $( 'Less than' relationship between addition and subtraction. $)
  ltaddsub2t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A + B ) < C <-> B < ( C - A ) ) ) $=
    ( cr wcel w3a caddc co clt wbr cmin wceq cc axaddcom recnt syl2an 3adant3
    breq1d wb ltaddsubt 3com12 bitrd ) ADEZBDEZCDEZFZABGHZCIJBAGHZCIJZBCAKHIJZU
    FUGUHCIUCUDUGUHLZUEAMEBMEUKUCUDABNAOBOPQRUDUCUEUIUJSBACTUAUB $.
    $( [28-Nov-2004] $) $( [17-Nov-2004] $)

  $( 'Less than or equal to' relationship between addition and subtraction. $)
  leaddsubt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A + B ) <_ C <-> A <_ ( C - B ) ) ) $=
    ( cr wcel w3a caddc co cle wbr cmin clt wn wb ltsubaddt 3com13 wa ltnlet
    resubclt sylan 3impa axaddrcl sylan2 3impb 3coml 3bitr3rd con4bid ) ADEZBDE
    ZCDEZFZABGHZCIJZACBKHZIJZUKUNALJZCULLJZUOMZUMMZUJUIUHUPUQNCBAOPUJUIUHUPURNZ
    UJUIUHUTUNDEUHUTUJUIQUNARCBSTUAPUJUHUIUQUSNZUJUHUIVAUJULDEVAUHUIQCULRABUBUC
    UDUEUFUG $.
    $( [23-Apr-2005] $) $( [6-Apr-2005] $)

  $( 'Less than or equal to' relationship between and addition and
     subtraction. $)
  leaddsub2t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A + B ) <_ C <-> B <_ ( C - A ) ) ) $=
    ( cr wcel w3a caddc co cle wbr cmin wceq cc axaddcom recnt syl2an 3adant3
    breq1d wb leaddsubt 3com12 bitrd ) ADEZBDEZCDEZFZABGHZCIJBAGHZCIJZBCAKHIJZU
    FUGUHCIUCUDUGUHLZUEAMEBMEUKUCUDABNAOBOPQRUDUCUEUIUJSBACTUAUB $.
    $( [13-Jun-2005] $) $( [6-Apr-2005] $)

  $( Swap subtrahends in an inequality. $)
  sublet $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) <_ C <-> ( A - C ) <_ B ) ) $=
    ( cr wcel w3a cmin co cle wbr caddc lesubaddt wb lesubadd2t 3com23 bitr4d
    ) ADEZBDEZCDEZFABGHCIJACBKHIJZACGHBIJZABCLQSRUATMACBNOP $.
    $( [17-Oct-2005] $) $( [29-Sep-2005] $)

  $( Swap subtrahends in an inequality. $)
  lesubt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( A <_ ( B - C ) <-> C <_ ( B - A ) ) ) $=
    ( cr wcel w3a caddc co cle wbr cmin wb leaddsubt 3com23 leaddsub2t bitr3d
    ) ADEZBDEZCDEZFACGHBIJZABCKHIJZCBAKHIJZQSRTUALACBMNQSRTUBLACBONP $.
    $( [3-Nov-2005] $) $( [29-Sep-2005] $)

  ${
    ltsubadd.1 $e |- A e. RR $.
    ltsubadd.2 $e |- B e. RR $.
    ltsubadd.3 $e |- C e. RR $.
    $( 'Less than' relationship between subtraction and addition. $)
    ltsubadd2 $p |- ( ( A - B ) < C <-> A < ( B + C ) ) $=
      ( cr wcel cmin co clt wbr caddc wb ltsubadd2t mp3an ) AGHBGHCGHABIJCKLABC
      MJKLNDEFABCOP $.
      $( [21-Jan-1997] $)

    $( 'Less than or equal to' relationship between subtraction and
       addition. $)
    lesubadd2 $p |- ( ( A - B ) <_ C <-> A <_ ( B + C ) ) $=
      ( cr wcel cmin co cle wbr caddc wb lesubadd2t mp3an ) AGHBGHCGHABIJCKLABC
      MJKLNDEFABCOP $.
      $( [3-Aug-1999] $)

    $( 'Less than' relationship between subtraction and addition. $)
    ltaddsub $p |- ( ( A + B ) < C <-> A < ( C - B ) ) $=
      ( cr wcel caddc co clt wbr cmin wb ltaddsubt mp3an ) AGHBGHCGHABIJCKLACBM
      JKLNDEFABCOP $.
      $( [14-May-1999] $)

    $( Multiplication of both sides of 'less than' by a positive
       number.  Theorem I.19 of [Apostol] p. 20. $)
    ltmullem $p |- ( 0 < C -> ( A < B -> ( A x. C ) < ( B x. C ) ) ) $=
      ( cc0 clt wbr cmin co cmul resubcl mulgt0 expcom caddc recn addid2
      breq1i 0re ltaddsub bitr3 subdir breq2i remulcl 3bitr2r 3imtr4g ) GCHIZGB
      AJKZHIZGUICLKZHIZABHIZACLKZBCLKZHIZUJUHULUICBAEDMFNOUMGAPKZBHIUJUQABHAADQ
      ZRSGABTDEUAUBULGUOUNJKZHIGUNPKZUOHIUPUKUSGHBACBEQURCFQUCUDGUNUOTACDFUEZBC
      EFUEUAUTUNUOHUNUNVAQRSUFUG $.
      $( [15-May-1999] $)
  $}

  $( 'Less than' relationship between subtraction and addition. $)
  ltsub23t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( ( A - B ) < C <-> ( A - C ) < B ) ) $=
    ( cr wcel w3a cmin co clt wbr caddc ltsubaddt wb ltsubadd2t 3com23 bitr4d
    ) ADEZBDEZCDEZFABGHCIJACBKHIJZACGHBIJZABCLQSRUATMACBNOP $.
    $( [4-Oct-1999] $)

  $( 'Less than' relationship between subtraction and addition. $)
  ltsub13t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                   ( A < ( B - C ) <-> C < ( B - A ) ) ) $=
    ( cr wcel cmin co clt wbr wb w3a caddc ltaddsubt ltaddsub2t bitr3d 3com23
    ) ADEZCDEZBDEZABCFGHIZCBAFGHIZJQRSKACLGBHITUAACBMACBNOP $.
    $( [28-Nov-2004] $) $( [17-Nov-2004] $)

  $( Adding both sides of two 'less than' relations.  Theorem I.25 of [Apostol]
     p. 20. $)
  lt2addt $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
                ( ( A < C /\ B < D ) -> ( A + B ) < ( C + D ) ) ) $=
    ( cr wcel clt wbr wa caddc co wi cc0 cif wceq breq1 anbi1d opreq1 breq1d
    imbi12d anbi2d opreq2 breq2 breq2d 0re elimel lt2add dedth4h ) AEFZBEFZCEFZ
    DEFZACGHZBDGHZIZABJKZCDJKZGHZLABCDMMUIAMNZCGHZUNIZUSBJKZUQGHZLUTUJBMNZDGHZI
    ZUSVDJKZUQGHZLUSUKCMNZGHZVEIZVGVIDJKZGHZLVJVDULDMNZGHZIZVGVIVNJKZGHZLMMAUSO
    ZUOVAURVCVSUMUTUNAUSCGPQVSUPVBUQGAUSBJRSTBVDOZVAVFVCVHVTUNVEUTBVDDGPUAVTVBV
    GUQGBVDUSJUBSTCVIOZVFVKVHVMWAUTVJVECVIUSGUCQWAUQVLVGGCVIDJRUDTDVNOZVKVPVMVR
    WBVEVOVJDVNVDGUCUAWBVLVQVGGDVNVIJUBUDTUSVDVIVNAMEUEUFBMEUEUFCMEUEUFDMEUEUFU
    GUH $.
    $( [15-Aug-1999] $)

  $( Adding both sides of two 'less than or equal to' relations. $)
  le2addt $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
                ( ( A <_ C /\ B <_ D ) -> ( A + B ) <_ ( C + D ) ) ) $=
    ( cr wcel cle wbr wa caddc co wi cc0 cif wceq breq1 anbi1d opreq1 breq1d
    imbi12d anbi2d opreq2 breq2 breq2d 0re elimel le2add dedth4h ) AEFZBEFZCEFZ
    DEFZACGHZBDGHZIZABJKZCDJKZGHZLABCDMMUIAMNZCGHZUNIZUSBJKZUQGHZLUTUJBMNZDGHZI
    ZUSVDJKZUQGHZLUSUKCMNZGHZVEIZVGVIDJKZGHZLVJVDULDMNZGHZIZVGVIVNJKZGHZLMMAUSO
    ZUOVAURVCVSUMUTUNAUSCGPQVSUPVBUQGAUSBJRSTBVDOZVAVFVCVHVTUNVEUTBVDDGPUAVTVBV
    GUQGBVDUSJUBSTCVIOZVFVKVHVMWAUTVJVECVIUSGUCQWAUQVLVGGCVIDJRUDTDVNOZVKVPVMVR
    WBVEVOVJDVNVDGUCUAWBVLVQVGGDVNVIJUBUDTUSVDVIVNAMEUEUFBMEUEUFCMEUEUFDMEUEUFU
    GUH $.
    $( [16-Jun-2005] $) $( [17-Apr-2005] $)

  $( Adding both sides of two orderings. $)
  ltleaddt $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
                ( ( A < C /\ B <_ D ) -> ( A + B ) < ( C + D ) ) ) $=
    ( cr wcel wa clt wbr cle caddc co wb ltadd1t 3com23 3expa adantrr leadd2t
    3expb adantll anbi12d wi ltletrt axaddrcl adantr ancoms ad2ant2lr adantl
    syl3anc sylbid ) AEFZBEFZGZCEFZDEFZGZGZACHIZBDJIZGABKLZCBKLZHIZVACDKLZJIZGZ
    UTVCHIZUQURVBUSVDUMUNURVBMZUOUKULUNVGUKUNULVGACBNOPQULUPUSVDMZUKULUNUOVHULU
    OUNVHBDCROSTUAUTEFZVAEFZVCEFZVEVFUBUQUTVAVCUCUMVIUPABUDUEULUNVJUKUOUNULVJCB
    UDUFUGUPVKUMCDUDUHUIUJ $.
    $( [24-Dec-2007] $)


  $( The sum of 2 positive numbers is positive. $)
  addgt0t $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 < A /\ 0 < B ) ) ->
                0 < ( A + B ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co wi cif wceq breq2 anbi1d opreq1 breq2d
    imbi12d anbi2d opreq2 0re elimel addgt0 dedth2h imp ) ACDZBCDZEFAGHZFBGHZEZ
    FABIJZGHZUFUGUJULKFUFAFLZGHZUIEZFUMBIJZGHZKUNFUGBFLZGHZEZFUMURIJZGHZKABFFAU
    MMZUJUOULUQVCUHUNUIAUMFGNOVCUKUPFGAUMBIPQRBURMZUOUTUQVBVDUIUSUNBURFGNSVDUPV
    AFGBURUMITQRUMURAFCUAUBBFCUAUBUCUDUE $.
    $( [7-Jun-2005] $) $( [1-Jun-2005] $)

  $( The sum of nonnegative and positive numbers is positive. $)
  addgegt0t $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ 0 < B ) ) ->
                  0 < ( A + B ) ) $=
    ( cr wcel wa cc0 cle wbr clt caddc co wi cif wceq breq2 anbi1d opreq1
    breq2d imbi12d anbi2d opreq2 0re elimel addgegt0 dedth2h imp ) ACDZBCDZEFAG
    HZFBIHZEZFABJKZIHZUGUHUKUMLFUGAFMZGHZUJEZFUNBJKZIHZLUOFUHBFMZIHZEZFUNUSJKZI
    HZLABFFAUNNZUKUPUMURVDUIUOUJAUNFGOPVDULUQFIAUNBJQRSBUSNZUPVAURVCVEUJUTUOBUS
    FIOTVEUQVBFIBUSUNJUARSUNUSAFCUBUCBFCUBUCUDUEUF $.
    $( [25-Jan-2006] $) $( [28-Dec-2005] $)

  $( The sum of nonnegative and positive numbers is positive. $)
  addgtge0t $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 < A /\ 0 <_ B ) ) ->
                  0 < ( A + B ) ) $=
    ( cr wcel wa cc0 clt wbr cle caddc co addgegt0t ancom syl2anb wceq cc
    axaddcom recnt syl2an adantr breqtrrd ) ACDZBCDZEZFAGHZFBIHZEZEFBAJKZABJKZG
    UCUBEUFUEEFUHGHUDUGBALUBUCMUEUFMNUDUIUHOZUGAPDBPDUJUBUCABQARBRSTUA $.
    $( [4-Feb-2006] $) $( [28-Dec-2005] $)

  $( The sum of 2 nonnegative numbers is nonnegative. $)
  addge0t $p |- ( ( ( A e. RR /\ B e. RR ) /\
               ( 0 <_ A /\ 0 <_ B ) ) -> 0 <_ ( A + B ) ) $=
    ( cr wcel wa cc0 cle wbr caddc co wi cif wceq breq2 anbi1d opreq1 breq2d
    imbi12d anbi2d opreq2 0re elimel addge0 dedth2h imp ) ACDZBCDZEFAGHZFBGHZEZ
    FABIJZGHZUFUGUJULKFUFAFLZGHZUIEZFUMBIJZGHZKUNFUGBFLZGHZEZFUMURIJZGHZKABFFAU
    MMZUJUOULUQVCUHUNUIAUMFGNOVCUKUPFGAUMBIPQRBURMZUOUTUQVBVDUIUSUNBURFGNSVDUPV
    AFGBURUMITQRUMURAFCUAUBBFCUAUBUCUDUE $.
    $( [3-Apr-2005] $) $( [17-Mar-2005] $)

  $( Adding a positive number to another number increases it. $)
  ltaddpost $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 < A <-> B < ( B + A ) ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co wb 0re ltadd2t mp3an1 wceq cc recnt
    ax0id syl adantl breq1d bitrd ) ACDZBCDZEZFAGHZBFIJZBAIJZGHZBUHGHFCDUCUDUFU
    IKLFABMNUEUGBUHGUDUGBOZUCUDBPDUJBQBRSTUAUB $.
    $( [29-Nov-2004] $) $( [17-Nov-2004] $)

  $( Adding a positive number to another number increases it. $)
  ltaddpos2t $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 < A <-> B < ( A + B ) ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co ltaddpost cc wceq axaddcom recnt syl2an
    breq2d bitr4d ) ACDZBCDZEZFAGHBBAIJZGHBABIJZGHABKUAUCUBBGALDBLDUCUBMSTABNAO
    BOPQR $.
    $( [3-May-2005] $) $( [8-Apr-2005] $)

  $( Subtracting a positive number from another number decreases it. $)
  ltsubpost $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 < A <-> ( B - A ) < B ) ) $=
    ( cr wcel wa cc0 clt wbr caddc co cmin ltaddpost wb ltsubaddt pm3.27
    pm3.26 syl3anc bitr4d ) ACDZBCDZEZFAGHBBAIJGHZBAKJBGHZABLTSTUCUBMUABABNSTOZ
    STPUDQR $.
    $( [29-Nov-2004] $) $( [17-Nov-2004] $)

  $( Comparison of two numbers whose difference is positive. $)
  posdift $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B <-> 0 < ( B - A ) ) ) $=
    ( cr wcel wa cc0 cmin co clt wbr caddc wb ltaddpost resubclt ancoms pm3.26
    sylanc cc wceq pncan3t recnt syl2an breq2d bitr2d ) ACDZBCDZEZFBAGHZIJZAAUH
    KHZIJZABIJUHCDZUEUIUKLUGUHAMUFUEULBANOUEUFPQUGUJBAIARDBRDUJBSUEUFABTAUABUAU
    BUCUD $.
    $( [18-Dec-2004] $) $( [17-Nov-2004] $)

  $( Negative of both sides of 'less than'.  Theorem I.23 of [Apostol]
     p. 20. $)
  ltnegt $p |- ( ( A e. RR /\ B e. RR ) -> ( A < B <-> -u B < -u A ) ) $=
    ( cr wcel clt wbr cneg wb cc0 cif wceq breq1 negeq breq2d bibi12d breq2
    breq1d 0re elimel ltneg dedth2h ) ACDZBCDZABEFZBGZAGZEFZHUBAIJZBEFZUEUHGZEF
    ZHUHUCBIJZEFZULGZUJEFZHABIIAUHKZUDUIUGUKAUHBELUPUFUJUEEAUHMNOBULKZUIUMUKUOB
    ULUHEPUQUEUNUJEBULMQOUHULAICRSBICRSTUA $.
    $( [27-Aug-1999] $)

  $( Contraposition of negative in 'less than'. $)
  ltnegcon1t $p |- ( ( A e. RR /\ B e. RR ) -> ( -u A < B <-> -u B < A ) ) $=
    ( cr wcel wa cneg clt wbr wb ltnegt renegclt sylan cc wceq recnt negnegt
    syl breq2d adantr bitrd ) ACDZBCDZEAFZBGHZBFZUCFZGHZUEAGHZUCCDUBUDUGIUAUCBJ
    AKLUAUGUHIUBUAUFAUEGUAAMDUFANAOAPQRST $.
    $( [12-Nov-2004] $) $( [8-Nov-2004] $)

  $( Negative of both sides of 'less than or equal to'. $)
  lenegt $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ B <-> -u B <_ -u A ) ) $=
    ( cr wcel cle wbr cneg wb cc0 cif wceq breq1 negeq breq2d bibi12d breq2
    breq1d 0re elimel leneg dedth2h ) ACDZBCDZABEFZBGZAGZEFZHUBAIJZBEFZUEUHGZEF
    ZHUHUCBIJZEFZULGZUJEFZHABIIAUHKZUDUIUGUKAUHBELUPUFUJUEEAUHMNOBULKZUIUMUKUOB
    ULUHEPUQUEUNUJEBULMQOUHULAICRSBICRSTUA $.
    $( [12-Sep-1999] $)

  $( Contraposition of negative in 'less than or equal to'. $)
  lenegcon1t $p |- ( ( A e. RR /\ B e. RR ) -> ( -u A <_ B <-> -u B <_ A ) ) $=
    ( cr wcel wa cneg cle wbr wb lenegt renegclt sylan cc wceq recnt negnegt
    syl breq2d adantr bitrd ) ACDZBCDZEAFZBGHZBFZUCFZGHZUEAGHZUCCDUBUDUGIUAUCBJ
    AKLUAUGUHIUBUAUFAUEGUAAMDUFANAOAPQRST $.
    $( [14-Jun-2004] $) $( [10-May-2004] $)

  $( Contraposition of negative in 'less than or equal to'. $)
  lenegcon2t $p |- ( ( A e. RR /\ B e. RR ) -> ( A <_ -u B <-> B <_ -u A ) ) $=
    ( cr wcel wa cneg cle wbr wb lenegt renegclt sylan2 wceq cc recnt negnegt
    syl adantl breq1d bitrd ) ACDZBCDZEZABFZGHZUDFZAFZGHZBUGGHUAUDCDUEUHIUBAUDJ
    BKLUCUFBUGGUBUFBMZUAUBBNDUIBOBPQRST $.
    $( [9-Oct-2005] $) $( [8-Oct-2005] $)

  $( Subtraction from both sides of 'less than or equal to'. $)
  lesub1t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A <_ B <-> ( A - C ) <_ ( B - C ) ) ) $=
    ( cr wcel w3a cle wbr cneg caddc co cmin wb leadd1t renegclt syl3an3 cc
    wceq negsubt 3adant2 3adant1 breq12d recnt syl3an bitrd ) ADEZBDEZCDEZFABGH
    ZACIZJKZBUJJKZGHZACLKZBCLKZGHZUFUGUJDEUIUMMUHABUJNCOPAQEZBQEZCQEZUMUPMUFUGU
    HUQURUSFUKUNULUOGUQUSUKUNRURACSTURUSULUORUQBCSUAUBAUCBUCCUCUDUE $.
    $( [1-Aug-2006] $) $( [13-May-2004] $)

  $( Subtraction of both sides of 'less than or equal to'. $)
  lesub2t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A <_ B <-> ( C - B ) <_ ( C - A ) ) ) $=
    ( cr wcel w3a cle wbr cneg caddc co cmin wb lenegt 3adant3 leadd2t
    renegclt syl3an2 syl3an1 3com12 cc wceq negsubt 3adant2 breq12d 3coml
    recnt syl3an 3bitrd ) ADEZBDEZCDEZFABGHZBIZAIZGHZCUNJKZCUOJKZGHZCBLKZCALKZG
    HZUJUKUMUPMULABNOUKUJULUPUSMZUNDEZUJULVCUKVDUODEULVCUJUNUOCPAQRBQSTAUAEZBUA
    EZCUAEZUSVBMZUJUKULVGVEVFVHVGVEVFFUQUTURVAGVGVFUQUTUBVECBUCUDVGVEURVAUBVFCA
    UCOUEUFAUGBUGCUGUHUI $.
    $( [1-Aug-2006] $) $( [29-Sep-2005] $)

  $( Subtraction from both sides of 'less than'.  (Contributed by FL,
     3-Jan-2008.) $)
  ltsub1t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B <-> ( A - C ) < ( B - C ) ) ) $=
    ( cr wcel w3a clt wbr cneg caddc co cmin wb ltadd1t renegclt syl3an3 cc
    wceq negsubt 3adant2 3adant1 breq12d recnt syl3an bitrd ) ADEZBDEZCDEZFABGH
    ZACIZJKZBUJJKZGHZACLKZBCLKZGHZUFUGUJDEUIUMMUHABUJNCOPAQEZBQEZCQEZUMUPMUFUGU
    HUQURUSFUKUNULUOGUQUSUKUNRURACSTURUSULUORUQBCSUAUBAUCBUCCUCUDUE $.
    $( [3-Jan-2008] $) $( [3-Jan-2008] $)

  $( Subtraction of both sides of 'less than'. $)
  ltsub2t $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( A < B <-> ( C - B ) < ( C - A ) ) ) $=
    ( cr wcel w3a clt wbr cneg caddc co cmin wb ltnegt 3adant3 ltadd2t
    renegclt syl3an2 syl3an1 3com12 cc wceq negsubt 3adant2 breq12d 3coml
    recnt syl3an 3bitrd ) ADEZBDEZCDEZFABGHZBIZAIZGHZCUNJKZCUOJKZGHZCBLKZCALKZG
    HZUJUKUMUPMULABNOUKUJULUPUSMZUNDEZUJULVCUKVDUODEULVCUJUNUOCPAQRBQSTAUAEZBUA
    EZCUAEZUSVBMZUJUKULVGVEVFVHVGVEVFFUQUTURVAGVGVFUQUTUBVECBUCUDVGVEURVAUBVFCA
    UCOUEUFAUGBUGCUGUHUI $.
    $( [1-Aug-2006] $) $( [29-Sep-2005] $)

  ${
    ltaddpos.1 $e |- A e. RR $.
    ltaddpos.2 $e |- B e. RR $.
    $( Adding a positive number to another number increases it. $)
    ltaddpos $p |- ( 0 < A <-> B < ( B + A ) ) $=
      ( cr wcel cc0 clt wbr caddc co wb ltaddpost mp2an ) AEFBEFGAHIBBAJKHILCDA
      BMN $.
      $( [25-Aug-1999] $)

    $( Comparison of two numbers whose difference is positive. $)
    posdif $p |- ( A < B <-> 0 < ( B - A ) ) $=
      ( cr wcel clt wbr cc0 cmin co wb posdift mp2an ) AEFBEFABGHIBAJKGHLCDABMN
      $.
      $( [17-Nov-2004] $) $( [19-Aug-2001] $)

    $( Contraposition of negative in 'less than'. $)
    ltnegcon1 $p |- ( -u A < B <-> -u B < A ) $=
      ( cr wcel cneg clt wbr wb ltnegcon1t mp2an ) AEFBEFAGBHIBGAHIJCDABKL $.
      $( [14-May-1999] $)

    $( Contraposition of negative in 'less than or equal to'. $)
    lenegcon1 $p |- ( -u A <_ B <-> -u B <_ A ) $=
      ( cr wcel cneg cle wbr wb lenegcon1t mp2an ) AEFBEFAGBHIBGAHIJCDABKL $.
      $( [3-May-2005] $) $( [6-Apr-2005] $)
  $}

  $( Comparison of a number and its negative to zero.  Theorem I.23 of
     [Apostol] p. 20. $)
  lt0neg1t $p |- ( A e. RR -> ( A < 0 <-> 0 < -u A ) ) $=
    ( cr wcel cc0 clt wbr cneg wb 0re ltnegt mpan2 neg0 breq1i syl6bb ) ABCZADE
    FZDGZAGZEFZDREFODBCPSHIADJKQDRELMN $.
    $( [14-May-1999] $)

  $( Comparison of a number and its negative to zero. $)
  lt0neg2t $p |- ( A e. RR -> ( 0 < A <-> -u A < 0 ) ) $=
    ( cr wcel cc0 clt wbr cneg wb 0re ltnegt mpan neg0 breq2i syl6bb ) ABCZDAEF
    ZAGZDGZEFZQDEFDBCOPSHIDAJKRDQELMN $.
    $( [10-May-2004] $) $( [10-May-2004] $)

  $( Comparison of a number and its negative to zero. $)
  le0neg1t $p |- ( A e. RR -> ( A <_ 0 <-> 0 <_ -u A ) ) $=
    ( cr wcel cc0 cle wbr cneg wb 0re lenegt mpan2 neg0 breq1i syl6bb ) ABCZADE
    FZDGZAGZEFZDREFODBCPSHIADJKQDRELMN $.
    $( [15-Jun-2004] $) $( [10-May-2004] $)

  $( Comparison of a number and its negative to zero. $)
  le0neg2t $p |- ( A e. RR -> ( 0 <_ A <-> -u A <_ 0 ) ) $=
    ( cr wcel cc0 cle wbr cneg wb 0re lenegt mpan neg0 breq2i syl6bb ) ABCZDAEF
    ZAGZDGZEFZQDEFDBCOPSHIDAJKRDQELMN $.
    $( [24-Aug-1999] $)

  $( A number is less than or equal to itself plus a nonnegative number. $)
  addge01t $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 <_ B <-> A <_ ( A + B ) ) ) $=
    ( cr wcel wa cc0 cle wbr caddc co wb 0re leadd2t mp3an1 ancoms wceq cc
    recnt ax0id syl adantr breq1d bitrd ) ACDZBCDZEZFBGHZAFIJZABIJZGHZAUIGHUEUD
    UGUJKZFCDUEUDUKLFBAMNOUFUHAUIGUDUHAPZUEUDAQDULARASTUAUBUC $.
    $( [28-Jul-2005] $) $( [21-Feb-2005] $)

  $( A number is less than or equal to itself plus a nonnegative number. $)
  addge02t $p |- ( ( A e. RR /\ B e. RR ) -> ( 0 <_ B <-> A <_ ( B + A ) ) ) $=
    ( cr wcel wa cc0 cle wbr caddc co addge01t cc wceq axaddcom recnt syl2an
    breq2d bitrd ) ACDZBCDZEZFBGHAABIJZGHABAIJZGHABKUAUBUCAGALDBLDUBUCMSTABNAOB
    OPQR $.
    $( [30-Jul-2005] $) $( [27-Jul-2005] $)

  $( Nonnegative subtraction. $)
  subge0t $p |- ( ( A e. RR /\ B e. RR ) ->
                ( 0 <_ ( A - B ) <-> B <_ A ) ) $=
    ( cr wcel wa cle wbr cneg caddc co cc0 cmin wb leadd1t pm3.27 pm3.26
    renegclt adantl syl3anc cc wceq negidt negsubt breq12d recnt syl2an bitr2d
    ) ACDZBCDZEZBAFGZBBHZIJZAULIJZFGZKABLJZFGZUIUHULCDZUKUOMUJBAULNUHUIOUHUIPUI
    URUHBQRSATDZBTDZUOUQMUHUIUSUTEUMKUNUPFUTUMKUAUSBUBRABUCUDAUEBUEUFUG $.
    $( [15-Mar-2005] $) $( [14-Mar-2005] $)

  $( Nonpositive subtraction. $)
  suble0t $p |- ( ( A e. RR /\ B e. RR ) ->
                ( ( A - B ) <_ 0 <-> A <_ B ) ) $=
    ( cr wcel wa cmin co cc0 cle wbr cneg wb resubclt le0neg1t syl cc wceq
    negsubdi2t recnt syl2an breq2d subge0t ancoms 3bitrd ) ACDZBCDZEZABFGZHIJZH
    UHKZIJZHBAFGZIJZABIJZUGUHCDUIUKLABMUHNOUGUJULHIAPDBPDUJULQUEUFABRASBSTUAUFU
    EUMUNLBAUBUCUD $.
    $( [24-Mar-2008] $) $( [20-Mar-2008] $)

  ${
    subge0.1 $e |- A e. RR $.
    subge0.2 $e |- B e. RR $.
    $( Nonnegative subtraction. $)
    subge0 $p |- ( 0 <_ ( A - B ) <-> B <_ A ) $=
      ( cr wcel cc0 cmin co cle wbr wb subge0t mp2an ) AEFBEFGABHIJKBAJKLCDABMN
      $.
      $( [13-Aug-2000] $)
  $}

  $( Nonnegative subtraction. $)
  subge02t $p |- ( ( A e. RR /\ B e. RR ) ->
                ( 0 <_ B <-> ( A - B ) <_ A ) ) $=
    ( cr wcel wa cc0 cle wbr caddc co cmin addge01t wb lesubaddt 3anidm13
    bitr4d ) ACDZBCDZEFBGHAABIJGHZABKJAGHZABLQRTSMABANOP $.
    $( [31-Jul-2005] $) $( [27-Jul-2005] $)

  $( Lemma to show a nonnegative number is zero. $)
  lesub0t $p |- ( ( A e. RR /\ B e. RR ) ->
                ( ( 0 <_ A /\ B <_ ( B - A ) ) <-> A = 0 ) ) $=
    ( cr wcel cc0 cle wbr cmin co wa wceq wb cif breq2 opreq2 breq2d anbi12d
    eqeq1 bibi12d id opreq1 breq12d anbi2d bibi1d 0re elimel lesub0 dedth2h )
    ACDZBCDZEAFGZBBAHIZFGZJZAEKZLEUIAEMZFGZBBUPHIZFGZJZUPEKZLUQUJBEMZVBUPHIZFGZ
    JZVALABEEAUPKZUNUTUOVAVFUKUQUMUSAUPEFNVFULURBFAUPBHOPQAUPERSBVBKZUTVEVAVGUS
    VDUQVGBVBURVCFVGTBVBUPHUAUBUCUDUPVBAECUEUFBECUEUFUGUH $.
    $( [8-Oct-1999] $)

  $( The product of two nonnegative numbers is nonnegative. $)
  mulge0t $p |- ( ( ( A e. RR /\ B e. RR ) /\
                ( 0 <_ A /\ 0 <_ B ) ) -> 0 <_ ( A x. B ) ) $=
    ( cr wcel wa cc0 cle wbr cmul co wi cif wceq breq2 anbi1d opreq1 breq2d
    imbi12d anbi2d opreq2 0re elimel mulge0 dedth2h imp ) ACDZBCDZEFAGHZFBGHZEZ
    FABIJZGHZUFUGUJULKFUFAFLZGHZUIEZFUMBIJZGHZKUNFUGBFLZGHZEZFUMURIJZGHZKABFFAU
    MMZUJUOULUQVCUHUNUIAUMFGNOVCUKUPFGAUMBIPQRBURMZUOUTUQVBVDUIUSUNBURFGNSVDUPV
    AFGBURUMITQRUMURAFCUAUBBFCUAUBUCUDUE $.
    $( [17-Jul-2005] $) $( [8-Oct-1999] $)

  $( 0 is less than 1.  Theorem I.21 of [Apostol] p. 20. $)
  lt01 $p |- 0 < 1 $=
    ( cc0 c1 cmul co clt wne wbr ax1ne0 1re msqgt0 ax-mp ax1cn mulid1 breqtr )
    ABBCDZBEBAFAOEGHBIJKBLMN $.
    $( [17-Jan-1997] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           Reciprocals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( ` i ` times itself is minus 1. $)
  ixi $p |- ( i x. i ) = -u 1 $=
    ( ci cmul co cc0 caddc c1 cneg axicn mulcl ax1cn negcl addass axi2m1
    opreq1i negid opreq2i 3eqtr3r addid1 addid2 3eqtr3 ) AABCZDECZDFGZECZUAUCUA
    FECZUCECUAFUCECZECUDUBUAFUCAAHHIZJFJKZLUEDUCEMNUFDUAEFJOPQUAUGRUCUHST $.
    $( [6-May-1999] $)

  $( Lemma for ~ recext . $)
  recextlem1 $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + ( i x. B ) ) x.
      ( A - ( i x. B ) ) ) = ( ( A x. A ) + ( B x. B ) ) ) $=
    ( cc wcel wa ci cmul co caddc cmin cneg wceq adddirt pm3.26 axicn axmulcl
    mpan adantl subclt sylan2 syl3anc subdit axmulcom c1 mulm1t syl ixi
    opreq1i syl5req pm3.2i mul4t eqtrd anidms opreq12d eqtr4d npncant adantr
    negclt subnegt syl2an 3eqtrd ) ACDZBCDZEZAFBGHZIHAVEJHZGHZAVFGHZVEVFGHZIHZA
    AGHZAVEGHZJHZVLBBGHZKZJHZIHZVKVNIHZVBVECDZVFCDZVGVJLVDAVEVFMVBVCNZVCVSVBFCD
    ZVCVSOFBPQZRZVBVSVTVCAVESWCTUAVDVHVMVIVPIVBVBVSVHVMLVDAAVEUBWAWAWDUAVDVIVEA
    GHZVEVEGHZJHZVPVSVBVSVIWGLVDVEAVEUBWDWAWDUAVDVLWEVOWFJVBVSVLWELVCAVEUCWCTVC
    VOWFLZVBVCWHVCVCEZVOFFGHZVNGHZWFWIUDKZVNGHZVOWKWIVNCDZWMVOLBBPZVNUEUFWJWLVN
    GUGUHUIWBWBEWIWKWFLWBWBOOUJFFBBUKQULUMRUNUOUNVDVQVKVOJHZVRVKCDZVLCDZVOCDZVQ
    WPLVDVKVLVOUPVBWQVCVBWQAAPUMZUQVBVSWRVCAVEPWCTVCWSVBVCWSWIWNWSWOVNURUFUMRUA
    WQWNWPVRLVBVCVKVNUSWTVCWNWOUMUTULVA $.
    $( [11-Mar-2008] $) $( [23-May-2007] $)

  $( Lemma for ~ recext . $)
  recextlem2 $p |- ( ( A e. RR /\ B e. RR /\ ( A + ( i x. B ) ) =/= 0 ) ->
                        ( ( A x. A ) + ( B x. B ) ) =/= 0 ) $=
    ( cmul co caddc cr wcel cc0 clt wbr wne ci w3a gt0ne0t axaddrcl axmulrcl
    anidms syl2an 3adant3 wa wo cle addgtge0t anim12i adantr msqgt0t msqge0t
    an1rs sylanc addgegt0t anassrs jaodan wceq wn opreq12 opreq2 axicn mul01
    syl6eq sylan2 0cn addid1 necon3ai neorian sylibr 3impa ) AACDZBBCDZEDZFGZHV
    IIJZVIHKAFGZBFGZALBCDZEDZHKZMVINVLVMVJVPVGFGZVHFGZVJVLVMVGVHOVLVQAAPQZVMVRB
    BPQZRSVLVMVPVKVLVMTZAHKZBHKZUAZVKVPWAWBVKWCVQVRTZHVGIJZHVHUBJZTZVKWAWBTVGVH
    UCWAWEWBVLVQVMVRVSVTUDZUEVLWBVMWHVLWBTWFVMWGAUFBUGUDUHUIWEHVGUBJZHVHIJZTZVK
    WAWCTVGVHUJWAWEWCWIUEVLVMWCWLVLWJVMWCTWKAUGBUFUDUKUIULVPAHUMZBHUMZTZUNWDWOV
    OHWOVOHHEDZHWMVNHUMVOWPUMWNAHVNHEUOWNVNLHCDHBHLCUPLUQURUSUTHVAVBUSVCAHBHVDV
    EUTVFUI $.
    $( [11-Mar-2008] $) $( [23-May-2007] $)

  ${
    $d x y a b A $.
    $( Existence of reciprocal of nonzero complex number.  (Contributed by Eric
       Schmidt, 22-May-2007.) $)
    recext $p |- ( ( A e. CC /\ A =/= 0 ) -> E. x e. CC ( A x. x ) = 1 ) $=
      ( va vb vy cc wcel cc0 wne cv cmul co c1 wceq wrex ci caddc cr wi axcnre
      wa recextlem2 3expia axrrecex axaddrcl axmulrcl anidms syl2an sylan cmin
      opreq2 eqeq1d rcla4ev axmulcl subclt axicn mpan sylan2 adantr axmulass
      axaddcl pm3.27 syl3anc recextlem1 opreq1d eqtr3d id sylan9eq sylanc
      exp31 recnt syl5 r19.23adv mpd ex syld wb neeq1 adantl opreq1 rexbidv
      3imtr4d r19.23aivv syl imp ) BFGZBHIZBAJZKLZMNZAFOZWFBCJZPDJZKLZQLZNZDROC
      ROWGWKSZCDBTWPWQCDRRWLRGZWMRGZUAZWPWQWTWPUAWOHIZWOWHKLZMNZAFOZWGWKWTXAXDS
      WPWTXAWLWLKLZWMWMKLZQLZHIZXDWRWSXAXHWLWMUBUCWTXHXDWTXHUAXGEJZKLZMNZEROZXD
      XGRGZXHXLWTEXGUDXERGZXFRGZXMWRWSXEXFUEWRXNWLWLUFUGWSXOWMWMUFUGUHUIWTXLXDS
      ZXHWLFGZWMFGZXPWRWSXQXRUAZXKXDERXSXIFGZXKXDSXIRGXSXTXKXDWLWNUJLZXIKLZFGZW
      OYBKLZMNZXDXSXTUAZXKUAXCYEAYBFWHYBNXBYDMWHYBWOKUKULUMYFYCXKYAFGZXTYCXSYAX
      IUNXQWNFGZYGXRWLWNUOPFGXRYHUPPWMUNUQZURZUIUSYFXKYDXJMYFWOYAKLZXIKLZYDXJWO
      FGZYGXTYLYDNYFWOYAXIUTXSYMXTXQYHYMXRWLWNVAYIURUSXSYGXTYJUSXSXTVBVCYFYKXGX
      IKXSYKXGNXTWLWMVDUSVEVFXKVGVHVIVJXIVKVLVMWLVKWMVKUHUSVNVOVPUSWPWGXAVQWTBW
      OHVRVSWPWKXDVQWTWPWJXCAFWPWIXBMBWOWHKVTULWAVSWBVOWCWDWE $.
      $( [11-Mar-2008] $) $( [23-May-2007] $)
  $}

  ${
    $d x A $.
    recex.1 $e |- A e. CC $.
    recex.2 $e |- A =/= 0 $.
    $( Existence of reciprocals. $)
    recex $p |- E. x e. CC ( A x. x ) = 1 $=
      ( cc wcel cc0 wne cv cmul co c1 wceq wrex recext mp2an ) BEFBGHBAIJKLMAEN
      CDABOP $.
      $( [26-Jan-1995] $)
  $}

  ${
      $d x A $.  $d x B $.  $d x C $.
    mulcan.1 $e |- A e. CC $.
    mulcan.2 $e |- B e. CC $.
    mulcan.3 $e |- C e. CC $.
    mulcan.4 $e |- A =/= 0 $.
    $( Cancellation law for multiplication.  Theorem I.7 of [Apostol]
       p. 18. $)
    mulcan $p |- ( ( A x. B ) = ( A x. C ) <-> B = C ) $=
      ( vx cmul co wceq cv c1 cc wrex wi recex wcel wa wb axmulass mp3an3
      eqeq12d mpan2 opreq2 syl5bir adantr axmulcom mpan eqeq1d opreq1 mulid2
      syl6eq syl6bi imp sylibd r19.23aiva ax-mp impbi ) ABIJZACIJZKZBCKZAHLZIJZ
      MKZHNOVBVCPZHADGQVFVGHNVDNRZVFSVBVDAIJZBIJZVICIJZKZVCVHVBVLPVFVHVLVDUTIJZ
      VDVAIJZKZVBVHANRZVLVOTDVHVPSVJVMVKVNVHVPBNRVJVMKEVDABUAUBVHVPCNRVKVNKFVDA
      CUAUBUCUDUTVAVDIUEUFUGVHVFVLVCTZVHVFVIMKZVQVHVEVIMVPVHVEVIKDAVDUHUIUJVRVJ
      BVKCVRVJMBIJBVIMBIUKBEULUMVRVKMCIJCVIMCIUKCFULUMUCUNUOUPUQURBCAIUEUS $.
      $( [26-Jan-1995] $)
  $}

  ${
    mulcant2.1 $e |- A =/= 0 $.
    $( Cancellation law for multiplication (theorem form).  Theorem I.7
       of [Apostol] p. 18.  Illustrates use of ~ keephyp . $)
    mulcant2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                   ( ( A x. B ) = ( A x. C ) <-> B = C ) ) $=
      ( cc wcel cmul co wceq wb c1 cif opreq1 eqeq12d bibi1d opreq2 eqeq1d
      eqeq1 bibi12d eqeq2d eqeq2 ax1cn elimel cc0 wne neeq1 ax1ne0 keephyp
      mulcan dedth3h ) AEFZBEFZCEFZABGHZACGHZIZBCIZJUKAKLZBGHZURCGHZIZUQJABCKKK
      URULBKLZGHZUTIZVBCIZJVCURUMCKLZGHZIZVBVFIZJAURIZUPVAUQVJUNUSUOUTAURBGMAUR
      CGMNOBVBIZVAVDUQVEVKUSVCUTBVBURGPQBVBCRSCVFIZVDVHVEVIVLUTVGVCCVFURGPTCVFV
      BUASURVBVFAKEUBUCBKEUBUCCKEUBUCUKAUDUEKUDUEURUDUEAKAURUDUFKURUDUFDUGUHUIU
      J $.
      $( [29-Jan-1995] $)
  $}

  $( Cancellation law for multiplication (full theorem form).  Theorem I.7
     of [Apostol] p. 18.  Illustrates use of ~ dedth and ~ elimne0 . $)
  mulcant $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ A =/= 0 ) ->
                 ( ( A x. B ) = ( A x. C ) <-> B = C ) ) $=
    ( cc0 wne cc wcel w3a cmul co wceq wb wi c1 cif eleq1 3anbi1d opreq1
    eqeq12d bibi1d imbi12d elimne0 mulcant2 dedth impcom ) ADEZAFGZBFGZCFGZHZAB
    IJZACIJZKZBCKZLZUFUJUOMUFANOZFGZUHUIHZUPBIJZUPCIJZKZUNLZMANAUPKZUJURUOVBVCU
    GUQUHUIAUPFPQVCUMVAUNVCUKUSULUTAUPBIRAUPCIRSTUAUPBCAUBUCUDUE $.
    $( [29-Jan-1995] $)

  $( Cancellation law for multiplication. $)
  mulcan2t $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ C =/= 0 ) ->
                 ( ( A x. C ) = ( B x. C ) <-> A = B ) ) $=
    ( cc wcel w3a cc0 wne wa cmul co wceq wb axmulcom 3adant2 3adant1 eqeq12d
    adantr wi mulcant ex 3coml imp bitrd ) ADEZBDEZCDEZFZCGHZIACJKZBCJKZLZCAJKZ
    CBJKZLZABLZUHULUOMUIUHUJUMUKUNUEUGUJUMLUFACNOUFUGUKUNLUEBCNPQRUHUIUOUPMZUGU
    EUFUIUQSUGUEUFFUIUQCABTUAUBUCUD $.
    $( [23-Jan-2005] $) $( [21-Jan-2005] $)

  ${
    mul0or.1 $e |- A e. CC $.
    ${
      mul0or.2 $e |- B e. CC $.
      $( If a product is zero, one of its factors must be zero.  Theorem I.11
         of [Apostol] p. 18. $)
      mul0or $p |- ( ( A x. B ) = 0 <-> ( A = 0 \/ B = 0 ) ) $=
        ( cmul co cc0 wceq wo wn wne wi df-ne cc wcel w3a wb 0cn 3pm3.2i
        mulcant mpan mul01 eqeq2i syl5bbr biimpd sylbir com12 orrd opreq1
        mul02 syl6eq opreq2 jaoi impbi ) ABEFZGHZAGHZBGHZIUPUQURUQJZUPURUSAGKZU
        PURLAGMUTUPURUTUOAGEFZHZURUPANOZBNOZGNOZPUTVBURQVCVDVECDRSABGTUAVAGUOAC
        UBZUCUDUEUFUGUHUQUPURUQUOGBEFGAGBEUIBDUJUKURUOVAGBGAEULVFUKUMUN $.
        $( [7-Oct-1999] $)
    $}

    $( A number is zero iff its square is zero (where square is represented
       using multiplication). $)
    msq0 $p |- ( ( A x. A ) = 0 <-> A = 0 ) $=
      ( cmul co cc0 wceq wo mul0or oridm bitr ) AACDEFAEFZKGKAABBHKIJ $.
      $( [28-Jul-1999] $)
  $}

  $( If a product is zero, one of its factors must be zero.  Theorem I.11
     of [Apostol] p. 18. $)
  mul0ort $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( ( A x. B ) = 0 <-> ( A = 0 \/ B = 0 ) ) ) $=
    ( cc wcel cmul co cc0 wceq wo wb cif opreq1 eqeq1d eqeq1 orbi1d bibi12d
    opreq2 orbi2d 0cn elimel mul0or dedth2h ) ACDZBCDZABEFZGHZAGHZBGHZIZJUCAGKZ
    BEFZGHZUJGHZUHIZJUJUDBGKZEFZGHZUMUOGHZIZJABGGAUJHZUFULUIUNUTUEUKGAUJBELMUTU
    GUMUHAUJGNOPBUOHZULUQUNUSVAUKUPGBUOUJEQMVAUHURUMBUOGNRPUJUOAGCSTBGCSTUAUB
    $.
    $( [9-Oct-1999] $)

  $( The product of two non-zero numbers is non-zero. $)
  muln0bt $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A =/= 0 /\ B =/= 0 ) <->
               ( A x. B ) =/= 0 ) ) $=
    ( cc wcel wa cc0 wceq wo wn cmul co wne mul0ort negbid bicomd neanior
    df-ne 3bitr4g ) ACDBCDEZAFGBFGHZIZABJKZFGZIZAFLBFLEUBFLSUDUASUCTABMNOAFBFPU
    BFQR $.
    $( [2-Aug-2004] $) $( [1-Aug-2004] $)

  $( The product of two non-zero numbers is non-zero. $)
  muln0t $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
               ( A x. B ) =/= 0 ) $=
    ( cc wcel cc0 wne cmul co wa muln0bt biimpa an4s ) ACDZBCDZAEFZBEFZABGHEFZM
    NIOPIQABJKL $.
    $( [30-Dec-2007] $) $( [30-Dec-2007] $)

  ${
    muln0.1 $e |- A e. CC $.
    muln0.2 $e |- B e. CC $.
    muln0.3 $e |- A =/= 0 $.
    muln0.4 $e |- B =/= 0 $.
    $( The product of two non-zero numbers is non-zero. $)
    muln0 $p |- ( A x. B ) =/= 0 $=
      ( cc wcel cc0 wne wa cmul co pm3.2i muln0t mp2an ) AGHZAIJZKBGHZBIJZKABLM
      IJQRCENSTDFNABOP $.
      $( [15-Feb-1995] $)
  $}

  $( Property of numbers whose product equals their sum.  Equation 5 of
     [Kreyszig] p. 12. $)
  muleqaddt $p |- ( ( A e. CC /\ B e. CC ) ->
             ( ( A x. B ) = ( A + B ) <-> ( ( A - 1 ) x. ( B - 1 ) ) = 1 ) ) $=
    ( cc wcel wa c1 cmin co cmul wceq caddc cc0 ax1cn mulsubt mpanr2 mpanl2
    mulid1 opreq2i a1i ax1id opreqan12d opreq12d addsubt mp3an2 axmulcl
    axaddcl sylanc 3eqtrd eqeq1d wb subclt 0cn addcan2t mp3an23 syl addid2
    eqeq2i syl5rbbr subeq0t 3bitr2rd ) ACDZBCDZEZAFGHBFGHIHZFJABIHZABKHZGHZFKHZ
    FJZVGLJZVEVFJZVCVDVHFVCVDVEFFIHZKHZAFIHZBFIHZKHZGHZVEFKHZVFGHZVHVAFCDZVBVDV
    QJZMVAVTEVBVTWAMAFBFNOPVCVMVRVPVFGVMVRJVCVLFVEKFMQRSVAVBVNAVOBKATBTUAUBVECD
    ZVFCDZVSVHJZVCWBVTWCWDMVEFVFUCUDABUEZABUFZUGUHUIVCVHLFKHZJZVJVIVCVGCDZWHVJU
    JZWBWCWIVCVEVFUKWEWFUGWILCDVTWJULMVGLFUMUNUOWGFVHFMUPUQURWBWCVJVKUJVCVEVFUS
    WEWFUGUT $.
    $( [13-Nov-2006] $) $( [13-Nov-2006] $)

  ${
    $d x y A $.  $d x y B $.
    receu.1 $e |- A e. CC $.
    receu.2 $e |- B e. CC $.
    receu.3 $e |- A =/= 0 $.
    $( Existential uniqueness of reciprocals.  Theorem I.8 of [Apostol]
       p. 18. $)
    receu $p |- E! x e. CC ( A x. x ) = B $=
      ( vy cv cmul co wceq cc wreu wrex wa wi wral opreq2 eqeq1d reu4 c1 recex
      wcel axmulcl mpan2 risset sylib axmulass mp3an13 eqcomd sylan9eqr opreq1
      mulid2 syl6eq exp32 impcom a1d r19.21aiv ex r19.22 syl6 mpid r19.23aiv
      ax-mp w3a mulcant2 eqtr3t syl5bi mp3an1 rgen2a mpbir2an ) BAHZIJZCKZALMVN
      ALNZVNBGHZIJZCKZOZVLVPKZPZGLQALQVNVRAGLVTVMVQCVLVPBIRSTVQUAKZGLNVOGBDFUBW
      BVOGLVPLUCZWBVLVPCIJZKZALNZVOWCWDLUCZWFWCCLUCZWGEVPCUDUEAWDLUFUGWCWBWEVNP
      ZALQZWFVOPWCWBWJWCWBOZWIALWKWIVLLUCZWBWCWIWBWCWEVNWCWEOWBVMVQCIJZCWEWCVMB
      WDIJZWMVLWDBIRWCWMWNBLUCZWCWHWMWNKDEBVPCUHUIUJUKWBWMUACIJCVQUACIULCEUMUNU
      KUOUPUQURUSWEVNALUTVAVBVCVDWAAGLWOWLWCWADWOWLWCVEVMVQKVTVSBVLVPFVFVMVQCVG
      VHVIVJVK $.
      $( [29-Jan-1995] $)
  $}

  ${
    $d x y $.
    $( Multiplication maps nonzero complex numbers to nonzero complex numbers.
      (Contributed by Steve Rodriguez, 23-Feb-2007.) $)
    mulnzcnopr $p |- ( x. |` ( ( CC \ { 0 } ) X. ( CC \ { 0 } ) ) ) :
                             ( ( CC \ { 0 } ) X. ( CC \ { 0 } ) ) -->
                             ( CC \ { 0 } ) $=
      ( vx vy cc cc0 csn cdif cxp cmul cres wf wfn cv co wcel wral ffnoprval
      wss wa axmulopr mpbi pm3.26i difss ssxp mp2an fnssres oprvalres wne
      axmulcl ad2ant2r muln0t jca eldifsn syl2anb sylibr eqeltrd rgen2a
      mpbir2an ) CDEZFZUSGZUSHUTIZJVAUTKZALZBLZVAMZUSNZBUSOAUSOABUSUSUSVAPHCCGZ
      KZUTVGQZVBVHVCVDHMZCNZBCOACOZVGCHJVHVLRSABCCCHPTUAUSCQZVMVICURUBZVNUSCUSC
      UCUDVGUTHUEUDVFABUSVCUSNZVDUSNZRZVEVJUSVCVDUSUSHUFVQVKVJDUGZRZVJUSNVCCNZV
      CDUGZRZVDCNZVDDUGZRZVSVOVPWBWERVKVRVTWCVKWAWDVCVDUHUIVCVDUJUKVCCDULVDCDUL
      UMVJCDULUNUOUPUQ $.
      $( [24-Feb-2007] $) $( [17-Feb-2007] $)
 $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Division
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( Define division.  Theorem ~ divmul relates it to multiplication, and
       ~ divcl and ~ redivcl prove its closure laws. $)
    df-div $a |- / = { <. <. x , y >. , z >. |
                   ( ( x e. CC /\ y e. ( CC \ { 0 } ) ) /\
                   z = U. { w e. CC | ( y x. w ) = x } ) } $.
    $(
    Future simpler alternative?
    df-div $a |- / = { <. <. x , y >. , z >. |
                ( ( y e. CC /\ z e. CC ) /\  x = ( y x. z ) ) } $.
    $)
  $}


  ${
    $d x y z w A $.  $d x y z w B $.
    divval.1 $e |- A e. CC $.
    divval.2 $e |- B e. CC $.
    divval.3 $e |- B =/= 0 $.
    $( Value of division: the (unique) element ` x ` such that
        ` ( B x. x ) = A ` .  This is meaningful only when ` B ` is nonzero. $)
    divval $p |- ( A / B ) = U. { x e. CC | ( B x. x ) = A } $=
      ( vy vz vw cc wcel cc0 csn cdif cdiv co cv cmul wceq crab cuni wne
      eldifsn mpbir2an axcnex rabex uniex eqeq2 rabbisdv unieqd opreq1 eqeq1d
      df-div oprabval2 mp2an ) BJKCJLMNZKZBCOPCAQZRPZBSZAJTZUAZSDUQCJKCLUBCJLUC
      EFUDGHIBCJUPHQZURRPZGQZSZAJTZUAVBOVDBSZAJTZUAVAUTAJUEUFUGVEBSZVGVIVJVFVHA
      JVEBVDUHUIUJVCCSZVIVAVKVHUTAJVKVDUSBVCCURRUKULUIUJGHIAUMUNUO $.
      $( [8-May-1999] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    divmul.1 $e |- A e. CC $.
    divmul.2 $e |- B e. CC $.
    divmul.3 $e |- C e. CC $.
    divmul.4 $e |- B =/= 0 $.
    $( Relationship between division and multiplication. $)
    divmul $p |- ( ( A / B ) = C <-> ( B x. C ) = A ) $=
      ( vx cc wcel cdiv co wceq cmul wb cv eqeq2 opreq2 eqeq1d bibi12d crab
      cuni wreu receu reuuni1 mpan2 divval eqeq1i syl6rbbr vtoclga ax-mp ) CIJA
      BKLZCMZBCNLZAMZOZFULHPZMZBUQNLZAMZOUPHCIUQCMZURUMUTUOUQCULQVAUSUNAUQCBNRS
      TUQIJZUTUTHIUAUBZUQMZURVBUTHIUCUTVDOHBAEDGUDUTHIUEUFULVCUQHABDEGUGUHUIUJU
      K $.
      $( [2-Feb-1995] $)
  $}

  ${
    divmulz.1 $e |- A e. CC $.
    divmulz.2 $e |- B e. CC $.
    divmulz.3 $e |- C e. CC $.
    $( Relationship between division and multiplication. $)
    divmulz $p |- ( B =/= 0 -> ( ( A / B ) = C <-> ( B x. C ) = A ) ) $=
      ( cc0 wne cdiv co wceq cmul wb c1 cif opreq2 eqeq1d opreq1 bibi12d cc
      ax1cn keepel elimne0 divmul dedth ) BGHZABIJZCKZBCLJZAKZMAUFBNOZIJZCKZUKC
      LJZAKZMBNBUKKZUHUMUJUOUPUGULCBUKAIPQUPUIUNABUKCLRQSAUKCDUFBNTEUAUBFBUCUDU
      E $.
      $( [8-May-1999] $)
  $}

  $( Relationship between division and multiplication. $)
  divmult $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ B =/= 0 ) ->
               ( ( A / B ) = C <-> ( B x. C ) = A ) ) $=
    ( cc wcel w3a cc0 wne cdiv co wceq cmul wb wi cif opreq1 eqeq1d eqeq2
    bibi12d imbi2d neeq1 opreq2 imbi12d 0cn elimel divmulz dedth3h imp ) ADEZBD
    EZCDEZFBGHZABIJZCKZBCLJZAKZMZUIUJUKULUQNULUIAGOZBIJZCKZUOURKZMZNABCGGGUJBGO
    ZGHZURVCIJZCKZVCCLJZURKZMZNVDVEUKCGOZKZVCVJLJZURKZMZNAURKZUQVBULVOUNUTUPVAV
    OUMUSCAURBIPQAURUORSTBVCKZULVDVBVIBVCGUAVPUTVFVAVHVPUSVECBVCURIUBQVPUOVGURB
    VCCLPQSUCCVJKZVIVNVDVQVFVKVHVMCVJVERVQVGVLURCVJVCLUBQSTURVCVJAGDUDUEBGDUDUE
    CGDUDUEUFUGUH $.
    $( [4-Aug-2004] $) $( [2-Aug-2004] $)

  $( Relationship between division and multiplication. $)
  divmul2t $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ B =/= 0 ) ->
               ( ( A / B ) = C <-> A = ( B x. C ) ) ) $=
    ( cc wcel w3a cc0 wne wa cdiv co wceq cmul divmult eqcom syl6bb ) ADEBDECDE
    FBGHIABJKCLBCMKZALAQLABCNQAOP $.
    $( [24-Feb-2006] $) $( [7-Feb-2006] $)

  $( Relationship between division and multiplication. $)
  divmul3t $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ B =/= 0 ) ->
               ( ( A / B ) = C <-> A = ( C x. B ) ) ) $=
    ( cc wcel w3a cc0 wne wa cdiv co wceq cmul divmul2t wb axmulcom eqeq2d
    3adant1 adantr bitrd ) ADEZBDEZCDEZFZBGHZIABJKCLABCMKZLZACBMKZLZABCNUDUGUIO
    ZUEUBUCUJUAUBUCIUFUHABCPQRST $.
    $( [27-Feb-2006] $) $( [13-Feb-2006] $)

  ${
    $d x A $.  $d x B $.
    divcl.1 $e |- A e. CC $.
    divcl.2 $e |- B e. CC $.
    divcl.3 $e |- B =/= 0 $.
    $( Closure law for division. $)
    divcl $p |- ( A / B ) e. CC $=
      ( vx cdiv co cv cmul wceq cc crab cuni divval wreu wcel receu reucl
      ax-mp eqeltr ) ABGHBFIJHAKZFLMNZLFABCDEOUBFLPUCLQFBADCERUBFLSTUA $.
      $( [2-Feb-1995] $)
  $}

  ${
    divclz.1 $e |- A e. CC $.
    divclz.2 $e |- B e. CC $.
    $( Closure law for division. $)
    divclz $p |- ( B =/= 0 -> ( A / B ) e. CC ) $=
      ( cc0 wne cdiv co cc wcel c1 cif wceq opreq2 eleq1d ax1cn keepel elimne0
      divcl dedth ) BEFZABGHZIJAUABKLZGHZIJBKBUCMUBUDIBUCAGNOAUCCUABKIDPQBRST
      $.
      $( [7-May-1999] $)
  $}

  $( Closure law for division. $)
  divclt $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) -> ( A / B ) e. CC ) $=
    ( cc wcel cc0 wne cdiv co wi cif wceq opreq1 eleq1d imbi2d neeq1 opreq2
    imbi12d 0cn elimel divclz dedth2h 3impia ) ACDZBCDZBEFZABGHZCDZUCUDUEUGIUEU
    CAEJZBGHZCDZIUDBEJZEFZUHUKGHZCDZIABEEAUHKZUGUJUEUOUFUICAUHBGLMNBUKKZUEULUJU
    NBUKEOUPUIUMCBUKUHGPMQUHUKAECRSBECRSTUAUB $.
    $( [4-May-2005] $) $( [21-Jul-2001] $)

  ${
    reccl.1 $e |- A e. CC $.
    reccl.2 $e |- A =/= 0 $.
    $( Closure law for reciprocal. $)
    reccl $p |- ( 1 / A ) e. CC $=
      ( c1 ax1cn divcl ) DAEBCF $.
      $( [2-May-2005] $) $( [30-Apr-2005] $)
  $}

  ${
    recclz.1 $e |- A e. CC $.
    $( Closure law for reciprocal. $)
    recclz $p |- ( A =/= 0 -> ( 1 / A ) e. CC ) $=
      ( c1 ax1cn divclz ) CADBE $.
      $( [2-May-2005] $) $( [30-Apr-2005] $)
  $}

  $( Closure law for reciprocal. $)
  recclt $p |- ( ( A e. CC /\ A =/= 0 ) -> ( 1 / A ) e. CC ) $=
    ( c1 cc wcel cc0 wne cdiv co ax1cn divclt mp3an1 ) BCDACDAEFBAGHCDIBAJK $.
    $( [2-May-2005] $) $( [30-Apr-2005] $)

  ${
    divcan.1 $e |- A e. CC $.
    divcan.2 $e |- B e. CC $.
    ${
      divcan.3 $e |- B =/= 0 $.
      $( A cancellation law for division. $)
      divcan2 $p |- ( B x. ( A / B ) ) = A $=
        ( cdiv co wceq cmul eqid divcl divmul mpbi ) ABFGZNHBNIGAHNJABNCDABCDEK
        ELM $.
        $( [18-Aug-2008] $) $( [9-Feb-1995] $)

      $( A cancellation law for division. $)
      divcan1 $p |- ( ( A / B ) x. B ) = A $=
        ( cdiv co cmul divcl mulcom divcan2 eqtr ) ABFGZBHGBMHGAMBABCDEIDJABCDE
        KL $.
        $( [18-Aug-2008] $) $( [18-May-1999] $)
    $}

    $( A cancellation law for division. $)
    divcan1z $p |- ( B =/= 0 -> ( ( A / B ) x. B ) = A ) $=
      ( cc0 wne cdiv co cmul wceq c1 cif opreq2 id opreq12d eqeq1d cc ax1cn
      keepel elimne0 divcan1 dedth ) BEFZABGHZBIHZAJAUCBKLZGHZUFIHZAJBKBUFJZUEU
      HAUIUDUGBUFIBUFAGMUINOPAUFCUCBKQDRSBTUAUB $.
      $( [18-Aug-2008] $) $( [2-Oct-1999] $)
  $}

  ${
    divcanx.1 $e |- A e. CC $.
    divcanx.2 $e |- B e. CC $.
    ${
      divcanx.3 $e |- A =/= 0 $.
      $( A cancellation law for division. $)
      divcan2OLD $p |- ( A x. ( B / A ) ) = B $=
        ( cdiv co wceq cmul eqid divcl divmul mpbi ) BAFGZNHANIGBHNJBANDCBADCEK
        ELM $.
        $( [9-Feb-1995] $)

      $( A cancellation law for division. $)
      divcan1OLD $p |- ( ( B / A ) x. A ) = B $=
        ( cdiv co cmul divcl mulcom divcan2OLD eqtr ) BAFGZAHGAMHGBMABADCEICJABCDE
        KL $.
        $( [18-May-1999] $)
    $}

    $( A cancellation law for division. $)
    divcan1zOLD $p |- ( A =/= 0 -> ( ( B / A ) x. A ) = B ) $=
      ( cc0 wne cdiv co cmul wceq c1 cif opreq2 id opreq12d eqeq1d cc ax1cn
      keepel elimne0 divcan1OLD dedth ) AEFZBAGHZAIHZBJBUCAKLZGHZUFIHZBJAKAUFJZUEU
      HBUIUDUGAUFIAUFBGMUINOPUFBUCAKQCRSDATUAUB $.
      $( [2-Oct-1999] $)

    $( A cancellation law for division.  We eliminate the third hypothesis of
       ~ divcan2 using the weak deduction theorem ~ dedth and keep the other
       two.  Because the first hypothesis shares the class variable ` A `
       with the hypothesis we're eliminating, we need to use ~ keepel in order
       to keep the first hypothesis. $)
    divcan2z $p |- ( A =/= 0 -> ( A x. ( B / A ) ) = B ) $=
      ( cc0 wne cdiv co cmul wceq c1 cif id opreq2 opreq12d eqeq1d cc ax1cn
      keepel elimne0 divcan2OLD dedth ) AEFZABAGHZIHZBJUCAKLZBUFGHZIHZBJAKAUFJZUEU
      HBUIAUFUDUGIUIMAUFBGNOPUFBUCAKQCRSDATUAUB $.
      $( [10-Aug-1999] $)
  $}

  $( A cancellation law for division. $)
  divcan1t $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 )
        -> ( ( A / B ) x. B ) = A ) $=
    ( cc wcel cc0 wne cdiv co cmul wceq wi cif opreq1 opreq1d id eqeq12d
    imbi2d neeq1 opreq2 opreq12d eqeq1d imbi12d 0cn elimel divcan1z dedth2h
    3impia ) ACDZBCDZBEFZABGHZBIHZAJZUHUIUJUMKUJUHAELZBGHZBIHZUNJZKUIBELZEFZUNU
    RGHZURIHZUNJZKABEEAUNJZUMUQUJVCULUPAUNVCUKUOBIAUNBGMNVCOPQBURJZUJUSUQVBBURE
    RVDUPVAUNVDUOUTBURIBURUNGSVDOTUAUBUNURAECUCUDBECUCUDUEUFUG $.
    $( [18-Aug-2008] $) $( [5-Jun-2004] $)

  $( A cancellation law for division. $)
  divcan1tOLD $p |- ( ( A e. CC /\ B e. CC /\ A =/= 0 ) ->
                 ( ( B / A ) x. A ) = B ) $=
    ( cc wcel cc0 wne cdiv co cmul wceq wi cif neeq1 opreq2 id opreq12d eqeq1d
    imbi12d opreq1 opreq1d eqeq12d imbi2d 0cn elimel divcan1zOLD dedth2h 3impia )
    ACDZBCDZAEFZBAGHZAIHZBJZUHUIUJUMKUHAELZEFZBUNGHZUNIHZBJZKUOUIBELZUNGHZUNIHZ
    USJZKABEEAUNJZUJUOUMURAUNEMVCULUQBVCUKUPAUNIAUNBGNVCOPQRBUSJZURVBUOVDUQVABU
    SVDUPUTUNIBUSUNGSTVDOUAUBUNUSAECUCUDBECUCUDUEUFUG $.
    $( [15-May-2005] $) $( [5-Jun-2004] $)

  $( A cancellation law for division. $)
  divcan2t $p |- ( ( A e. CC /\ B e. CC /\ A =/= 0 ) ->
                 ( A x. ( B / A ) ) = B ) $=
    ( cc wcel cc0 wne cdiv co cmul wceq wi cif neeq1 id opreq2 opreq12d eqeq1d
    imbi12d opreq1 opreq2d eqeq12d imbi2d 0cn elimel divcan2z dedth2h 3impia )
    ACDZBCDZAEFZABAGHZIHZBJZUHUIUJUMKUHAELZEFZUNBUNGHZIHZBJZKUOUNUIBELZUNGHZIHZ
    USJZKABEEAUNJZUJUOUMURAUNEMVCULUQBVCAUNUKUPIVCNAUNBGOPQRBUSJZURVBUOVDUQVABU
    SVDUPUTUNIBUSUNGSTVDNUAUBUNUSAECUCUDBECUCUDUEUFUG $.
    $( [29-May-2005] $) $( [3-Feb-2004] $)

  $( The ratio of non-zero numbers is non-zero. $)
  divne0bt $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                  ( A =/= 0 <-> ( A / B ) =/= 0 ) ) $=
    ( cc wcel cc0 wne w3a cdiv co wceq cmul wb mul01t eqeq1d eqcom syl6rbbr
    3ad2ant2 0cn divmult mp3anl3 3impa bitr4d necon3bid ) ACDZBCDZBEFZGZAEABHIZ
    EUGAEJZBEKIZAJZUHEJZUEUDUIUKLUFUEUKEAJUIUEUJEABMNAEOPQUDUEUFULUKLZUDUEECDUF
    UMRABESTUAUBUC $.
    $( [1-Jun-2005] $) $( [2-Aug-2004] $)

  $( The ratio of non-zero numbers is non-zero. $)
  divne0t $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
                  ( A / B ) =/= 0 ) $=
    ( cc wcel cc0 wne cdiv co wi w3a divne0bt biimpd 3exp com23 com24 imp43 )
    ACDZAEFZBCDZBEFZABGHEFZQTSRUAQSTRUAIZQSTUBQSTJRUAABKLMNOP $.
    $( [28-Dec-2007] $) $( [28-Dec-2007] $)

  ${
    divneq0.1 $e |- A e. CC $.
    divneq0.2 $e |- B e. CC $.
    divneq0.3 $e |- A =/= 0 $.
    divneq0.4 $e |- B =/= 0 $.
    $( The ratio of non-zero numbers is non-zero. $)
    divne0 $p |- ( A / B ) =/= 0 $=
      ( cc wcel cc0 wne cdiv co w3a divne0bt mpbii mp3an ) AGHZBGHZBIJZABKLIJZC
      DFQRSMAIJTEABNOP $.
      $( [9-Feb-1995] $)
  $}

  ${
    recneq0z.1 $e |- A e. CC $.
    $( The reciprocal of a non-zero number is non-zero. $)
    recne0z $p |- ( A =/= 0 -> ( 1 / A ) =/= 0 ) $=
      ( cc0 wne c1 cdiv co cif wceq opreq2 neeq1d ax1cn cc keepel ax1ne0
      elimne0 divne0 dedth ) ACDZEAFGZCDESAEHZFGZCDAEAUAITUBCAUAEFJKEUALSAEMBLN
      OAPQR $.
      $( [14-May-1999] $)
  $}

  $( The reciprocal of a non-zero number is non-zero. $)
  recne0t $p |- ( ( A e. CC /\ A =/= 0 ) -> ( 1 / A ) =/= 0 ) $=
    ( cc wcel cc0 wne c1 cdiv co wi cif wceq neeq1 opreq2 neeq1d imbi12d 0cn
    elimel recne0z dedth imp ) ABCZADEZFAGHZDEZUAUBUDIUAADJZDEZFUEGHZDEZIADAUEK
    ZUBUFUDUHAUEDLUIUCUGDAUEFGMNOUEADBPQRST $.
    $( [9-Mar-2006] $) $( [9-Feb-2006] $)

  ${
    recid.1 $e |- A e. CC $.
    recid.2 $e |- A =/= 0 $.
    $( Multiplication of a number and its reciprocal. $)
    recid $p |- ( A x. ( 1 / A ) ) = 1 $=
      ( c1 ax1cn divcan2OLD ) ADBECF $.
      $( [9-Feb-1995] $)
  $}

  ${
    recidz.1 $e |- A e. CC $.
    $( Multiplication of a number and its reciprocal. $)
    recidz $p |- ( A =/= 0 -> ( A x. ( 1 / A ) ) = 1 ) $=
      ( c1 ax1cn divcan2z ) ACBDE $.
      $( [14-May-1999] $)
  $}

  $( Multiplication of a number and its reciprocal. $)
  recidt $p |- ( ( A e. CC /\ A =/= 0 ) -> ( A x. ( 1 / A ) ) = 1 ) $=
    ( cc wcel cc0 wne c1 cdiv co cmul wceq wi cif neeq1 id opreq2 opreq12d
    eqeq1d imbi12d 0cn elimel recidz dedth imp ) ABCZADEZAFAGHZIHZFJZUDUEUHKUDA
    DLZDEZUIFUIGHZIHZFJZKADAUIJZUEUJUHUMAUIDMUNUGULFUNAUIUFUKIUNNAUIFGOPQRUIADB
    STUAUBUC $.
    $( [25-Oct-1999] $)

  $( Multiplication of a number and its reciprocal. $)
  recid2t $p |- ( ( A e. CC /\ A =/= 0 ) -> ( ( 1 / A ) x. A ) = 1 ) $=
    ( cc wcel cc0 wne wa c1 cdiv co cmul wceq axmulcom recclt pm3.26 sylanc
    recidt eqtrd ) ABCZADEZFZGAHIZAJIZAUAJIZGUABCRUBUCKTUAALAMRSNOAPQ $.
    $( [22-Jun-2006] $) $( [22-Jun-2006] $)

  ${
    divrec.1 $e |- A e. CC $.
    divrec.2 $e |- B e. CC $.
    ${
      divrec.3 $e |- B =/= 0 $.
      $( Relationship between division and reciprocal.  Theorem I.9 of
         [Apostol] p. 18. $)
      divrec $p |- ( A / B ) = ( A x. ( 1 / B ) ) $=
        ( cdiv co c1 cmul wceq reccl mulcl mulcom mulass ax1cn divcan1OLD opreq2i
        mulid1 eqtr 3eqtr divmul mpbir ) ABFGAHBFGZIGZJBUDIGZAJUEUDBIGAUCBIGZIG
        ZABUDDAUCCBDEKZLZMAUCBCUHDNUGAHIGAUFHAIBHDOEPQACRSTABUDCDUIEUAUB $.
        $( [9-Feb-1995] $)
    $}

    $( Relationship between division and reciprocal.  Theorem I.9 of
       [Apostol] p. 18. $)
    divrecz $p |- ( B =/= 0 -> ( A / B ) = ( A x. ( 1 / B ) ) ) $=
      ( cc0 wne cdiv co c1 cmul wceq cif opreq2 opreq2d eqeq12d cc ax1cn
      keepel elimne0 divrec dedth ) BEFZABGHZAIBGHZJHZKAUBBILZGHZAIUFGHZJHZKBIB
      UFKZUCUGUEUIBUFAGMUJUDUHAJBUFIGMNOAUFCUBBIPDQRBSTUA $.
      $( [11-Oct-1999] $)
  $}

  $( Relationship between division and reciprocal.  Theorem I.9 of
     [Apostol] p. 18. $)
  divrect $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                ( A / B ) = ( A x. ( 1 / B ) ) ) $=
    ( cc wcel cc0 wne cdiv co c1 cmul wceq wi cif opreq1 eqeq12d imbi2d neeq1
    opreq2 opreq2d imbi12d 0cn elimel divrecz dedth2h 3impia ) ACDZBCDZBEFZABGH
    ZAIBGHZJHZKZUFUGUHULLUHUFAEMZBGHZUMUJJHZKZLUGBEMZEFZUMUQGHZUMIUQGHZJHZKZLAB
    EEAUMKZULUPUHVCUIUNUKUOAUMBGNAUMUJJNOPBUQKZUHURUPVBBUQEQVDUNUSUOVABUQUMGRVD
    UJUTUMJBUQIGRSOTUMUQAECUAUBBECUAUBUCUDUE $.
    $( [4-May-2005] $) $( [2-Aug-2004] $)

  $( Relationship between division and reciprocal. $)
  divrec2t $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                ( A / B ) = ( ( 1 / B ) x. A ) ) $=
    ( cc wcel cc0 wne w3a cdiv co c1 cmul divrect wceq axmulcom 3simp1 recclt
    3adant1 sylanc eqtrd ) ACDZBCDZBEFZGZABHIAJBHIZKIZUDAKIZABLTUDCDZUEUFMUCAUD
    NTUAUBOUAUBUGTBPQRS $.
    $( [1-Mar-2006] $) $( [7-Feb-2006] $)

  $( An associative law for division. $)
  divasst $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ C =/= 0 ) ->
                ( ( A x. B ) / C ) = ( A x. ( B / C ) ) ) $=
    ( cc wcel w3a cc0 wne wa cmul co c1 cdiv wceq id recclt 3anim123i 3exp
    exp4a 3imp1 axmulass syl divrect 3expa axmulcl anim1i 3impa sylan 3adantl1
    opreq2d 3eqtr4d ) ADEZBDEZCDEZFZCGHZIZABJKZLCMKZJKZABUSJKZJKZURCMKZABCMKZJK
    UQULUMUSDEZFZUTVBNULUMUNUPVFULUMUNUPVFULUMUNUPIZVFULULUMUMVGVEULOUMOCPQRSTA
    BUSUAUBURDEZUNIZUPVCUTNZUOVHUNUPVJURCUCUDULUMUNVIULUMIVHUNABUEUFUGUHUQVDVAA
    JUMUNUPVDVANZULUMUNUPVKBCUCUDUIUJUK $.
    $( [4-Aug-2004] $) $( [2-Aug-2004] $)

  $( A commutative/associative law for division. $)
  div23t $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ C =/= 0 ) ->
               ( ( A x. B ) / C ) = ( ( A / C ) x. B ) ) $=
    ( cc wcel w3a cc0 wne wa cmul co cdiv wceq axmulcom 3adant3 adantr opreq1d
    wi divasst ex 3com12 imp 3simp2 divclt 3expa 3adantl2 sylanc 3eqtrd ) ADEZB
    DEZCDEZFZCGHZIZABJKZCLKBAJKZCLKZBACLKZJKZURBJKZUNUOUPCLULUOUPMZUMUIUJVAUKAB
    NOPQULUMUQUSMZUJUIUKUMVBRUJUIUKFUMVBBACSTUAUBUJURDEZUSUTMUNBURNULUJUMUIUJUK
    UCPUIUKUMVCUJUIUKUMVCACUDUEUFUGUH $.
    $( [4-Aug-2004] $) $( [2-Aug-2004] $)

  $( A commutative/associative law for division. $)
  div13t $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ B =/= 0 ) ->
               ( ( A / B ) x. C ) = ( ( C / B ) x. A ) ) $=
    ( cc wcel w3a cc0 wne wa cmul co cdiv wceq axmulcom opreq1d 3adant2 adantr
    wi div23t ex 3com23 imp 3coml 3eqtr3d ) ADEZBDEZCDEZFZBGHZIACJKZBLKZCAJKZBL
    KZABLKCJKZCBLKAJKZUHUKUMMZUIUEUGUPUFUEUGIUJULBLACNOPQUHUIUKUNMZUEUGUFUIUQRU
    EUGUFFUIUQACBSTUAUBUHUIUMUOMZUGUEUFUIURRUGUEUFFUIURCABSTUCUBUD $.
    $( [29-Apr-2005] $) $( [22-Apr-2005] $)

  $( A commutative/associative law for division. $)
  div12t $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ C =/= 0 ) ->
               ( A x. ( B / C ) ) = ( B x. ( A / C ) ) ) $=
    ( cc wcel w3a cc0 wne wa cdiv co cmul wceq axmulcom 3simp1 adantr divclt
    3expa 3adantl1 sylanc wi div13t ex 3comr imp 3adantl2 3simp2 3eqtrd ) ADEZB
    DEZCDEZFZCGHZIZABCJKZLKZUOALKZACJKZBLKZBURLKZUIUODEZUPUQMUNAUONULUIUMUIUJUK
    OPUJUKUMVAUIUJUKUMVABCQRSTULUMUQUSMZUJUKUIUMVBUAUJUKUIFUMVBBCAUBUCUDUEURDEZ
    UJUSUTMUNURBNUIUKUMVCUJUIUKUMVCACQRUFULUJUMUIUJUKUGPTUH $.
    $( [4-Jun-2005] $) $( [30-Apr-2005] $)

  ${
    divass.1 $e |- A e. CC $.
    divass.2 $e |- B e. CC $.
    divass.3 $e |- C e. CC $.
    $( An associative law for division. $)
    divassz $p |- ( C =/= 0 -> ( ( A x. B ) / C ) = ( A x. ( B / C ) ) ) $=
      ( cc wcel w3a cc0 wne cmul co cdiv wceq 3pm3.2i divasst mpan ) AGHZBGHZCG
      HZICJKABLMCNMABCNMLMOSTUADEFPABCQR $.
      $( [12-Aug-1999] $)

    ${
      divass.4 $e |- C =/= 0 $.
      $( An associative law for division. $)
      divass $p |- ( ( A x. B ) / C ) = ( A x. ( B / C ) ) $=
        ( cc0 wne cmul co cdiv wceq divassz ax-mp ) CHIABJKCLKABCLKJKMGABCDEFNO
        $.
        $( [15-Feb-1995] $)

      $( Distribution of division over addition. $)
      divdir $p |- ( ( A + B ) / C ) = ( ( A / C ) + ( B / C ) ) $=
        ( caddc co c1 cdiv cmul reccl adddir addcl divrec opreq12i 3eqtr4 ) ABH
        IZJCKIZLIATLIZBTLIZHISCKIACKIZBCKIZHIABTDECFGMNSCABDEOFGPUCUAUDUBHACDFG
        PBCEFGPQR $.
        $( [16-Feb-1995] $)

      $( A commutative/associative law for division. $)
      div23 $p |- ( ( A x. B ) / C ) = ( ( A / C ) x. B ) $=
        ( cmul co cdiv mulcom opreq1i divass divcl 3eqtr ) ABHIZCJIBAHIZCJIBACJ
        IZHIRBHIPQCJABDEKLBACEDFGMBREACDFGNKO $.
        $( [3-Sep-1999] $)
    $}

    $( Distribution of division over addition. $)
    divdirz $p |- ( C =/= 0 ->
                    ( ( A + B ) / C ) = ( ( A / C ) + ( B / C ) ) ) $=
      ( cc0 wne caddc co cdiv wceq c1 cif opreq2 opreq12d eqeq12d cc ax1cn
      keepel elimne0 divdir dedth ) CGHZABIJZCKJZACKJZBCKJZIJZLUEUDCMNZKJZAUJKJ
      ZBUJKJZIJZLCMCUJLZUFUKUIUNCUJUEKOUOUGULUHUMICUJAKOCUJBKOPQABUJDEUDCMRFSTC
      UAUBUC $.
      $( [2-Aug-2004] $) $( [31-Jul-2004] $)
  $}

  $( Distribution of division over addition. $)
  divdirt $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) )
               -> ( ( A + B ) / C ) = ( ( A / C ) + ( B / C ) ) ) $=
    ( cc wcel cc0 wne wa caddc co cdiv wceq wi cif opreq1 opreq1d eqeq12d
    imbi2d opreq2 opreq2d neeq1 opreq12d imbi12d 0cn elimel divdirz dedth3h
    3exp imp4a 3imp ) ADEZBDEZCDEZCFGZHABIJZCKJZACKJZBCKJZIJZLZUKULUMUNUTUKULUM
    UNUTMZUKULUMVAUNUKAFNZBIJZCKJZVBCKJZURIJZLZMABCFFFUNVBULBFNZIJZCKJZVEVHCKJZ
    IJZLZMUMCFNZFGZVIVNKJZVBVNKJZVHVNKJZIJZLZMAVBLZUTVGUNWAUPVDUSVFWAUOVCCKAVBB
    IOPWAUQVEURIAVBCKOPQRBVHLZVGVMUNWBVDVJVFVLWBVCVICKBVHVBISPWBURVKVEIBVHCKOTQ
    RCVNLZUNVOVMVTCVNFUAWCVJVPVLVSCVNVIKSWCVEVQVKVRICVNVBKSCVNVHKSUBQUCVBVHVNAF
    DUDUEBFDUDUECFDUDUEUFUGUHUIUJ $.
    $( [2-Aug-2004] $) $( [31-Jul-2004] $)

  $( Distribution of division over addition. $)
  divdirtOLD $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ C =/= 0 ) ->
                  ( ( A + B ) / C ) = ( ( A / C ) + ( B / C ) ) ) $=
    ( cc wcel w3a cc0 wne caddc co cdiv wceq wi cif opreq1 opreq1d eqeq12d
    imbi2d opreq2 opreq2d neeq1 opreq12d imbi12d 0cn elimel divdirz dedth3h
    imp ) ADEZBDEZCDEZFCGHZABIJZCKJZACKJZBCKJZIJZLZUIUJUKULURMULUIAGNZBIJZCKJZU
    SCKJZUPIJZLZMABCGGGULUSUJBGNZIJZCKJZVBVECKJZIJZLZMUKCGNZGHZVFVKKJZUSVKKJZVE
    VKKJZIJZLZMAUSLZURVDULVRUNVAUQVCVRUMUTCKAUSBIOPVRUOVBUPIAUSCKOPQRBVELZVDVJU
    LVSVAVGVCVIVSUTVFCKBVEUSISPVSUPVHVBIBVECKOTQRCVKLZULVLVJVQCVKGUAVTVGVMVIVPC
    VKVFKSVTVBVNVHVOICVKUSKSCVKVEKSUBQUCUSVEVKAGDUDUEBGDUDUECGDUDUEUFUGUH $.
    $( [2-Aug-2004] $) $( [31-Jul-2004] $)

  ${
    divcan3.1 $e |- A e. CC $.
    divcan3.2 $e |- B e. CC $.
    ${
      divcan3.3 $e |- A =/= 0 $.
      $( A cancellation law for division. $)
      divcan3 $p |- ( ( A x. B ) / A ) = B $=
        ( cmul co cdiv divass divcan2OLD eqtr ) ABFGAHGABAHGFGBABACDCEIABCDEJK $.
        $( [16-Feb-1995] $)

      $( A cancellation law for division. $)
      divcan4 $p |- ( ( B x. A ) / A ) = B $=
        ( cmul co cdiv mulcom opreq1i divcan3 eqtr ) BAFGZAHGABFGZAHGBMNAHBADCI
        JABCDEKL $.
        $( [18-May-1999] $)
    $}

    $( A cancellation law for division.  (Eliminates a hypothesis of
       ~ divcan3 with the weak deduction theorem.) $)
    divcan3z $p |- ( A =/= 0 -> ( ( A x. B ) / A ) = B ) $=
      ( cc0 wne cmul co cdiv wceq c1 cif opreq1 id opreq12d eqeq1d cc ax1cn
      keepel elimne0 divcan3 dedth ) AEFZABGHZAIHZBJUCAKLZBGHZUFIHZBJAKAUFJZUEU
      HBUIUDUGAUFIAUFBGMUINOPUFBUCAKQCRSDATUAUB $.
      $( [4-Feb-2004] $) $( [3-Feb-2004] $)

    $( A cancellation law for division. $)
    divcan4z $p |- ( A =/= 0 -> ( ( B x. A ) / A ) = B ) $=
      ( cc0 wne cmul co cdiv divcan3z mulcom opreq1i syl5eq ) AEFABGHZAIHBBAGHZ
      AIHABCDJONAIBADCKLM $.
      $( [12-Oct-1999] $)

  $}

  $( A cancellation law for division. $)
  divcan3t $p |- ( ( A e. CC /\ B e. CC /\ A =/= 0 ) ->
                 ( ( A x. B ) / A ) = B ) $=
    ( cc wcel cc0 wne cmul co cdiv wceq wi cif neeq1 opreq1 id opreq12d eqeq1d
    imbi12d opreq2 opreq1d eqeq12d imbi2d 0cn elimel divcan3z dedth2h 3impia )
    ACDZBCDZAEFZABGHZAIHZBJZUHUIUJUMKUHAELZEFZUNBGHZUNIHZBJZKUOUNUIBELZGHZUNIHZ
    USJZKABEEAUNJZUJUOUMURAUNEMVCULUQBVCUKUPAUNIAUNBGNVCOPQRBUSJZURVBUOVDUQVABU
    SVDUPUTUNIBUSUNGSTVDOUAUBUNUSAECUCUDBECUCUDUEUFUG $.
    $( [6-May-2005] $) $( [3-Feb-2004] $)

  $( A cancellation law for division. $)
  divcan4t $p |- ( ( A e. CC /\ B e. CC /\ A =/= 0 ) ->
                 ( ( B x. A ) / A ) = B ) $=
    ( cc wcel cc0 wne w3a cmul co cdiv wceq wa axmulcom opreq1d 3adant3
    divcan3t eqtr3d ) ACDZBCDZAEFZGABHIZAJIZBAHIZAJIZBRSUBUDKTRSLUAUCAJABMNOABP
    Q $.
    $( [6-May-2005] $) $( [8-Feb-2005] $)

  ${
    div11.1 $e |- A e. CC $.
    div11.2 $e |- B e. CC $.
    div11.3 $e |- C e. CC $.
    div11.4 $e |- C =/= 0 $.
    $( One-to-one relationship for division. $)
    div11 $p |- ( ( A / C ) = ( B / C ) <-> A = B ) $=
      ( cdiv co wceq cmul divcl mulcan divcan2OLD eqeq12i bitr3 ) ACHIZBCHIZJCQKIZ
      CRKIZJABJCQRFACDFGLBCEFGLGMSATBCAFDGNCBFEGNOP $.
      $( [20-Aug-2001] $)
  $}

  $( One-to-one relationship for division. $)
  div11t $p |- ( ( A e. CC /\ B e. CC /\ ( C e. CC /\ C =/= 0 ) ) ->
               ( ( A / C ) = ( B / C ) <-> A = B ) ) $=
    ( cc wcel cc0 wne wa cdiv co wceq wb c1 cif opreq1 eqeq1d eqeq1 bibi12d
    eqeq2d eqeq2 opreq2 eqeq12d bibi1d ax1cn elimel eleq1 neeq1 anbi12d ax1ne0
    pm3.2i elimhyp pm3.26i pm3.27i div11 dedth3h ) ADEZBDEZCDEZCFGZHZACIJZBCIJZ
    KZABKZLUPAMNZCIJZVBKZVEBKZLABCMMMVFUQBMNZCIJZKZVEVIKZLVEUTCMNZIJZVIVMIJZKZV
    LLAVEKZVCVGVDVHVQVAVFVBAVECIOPAVEBQRBVIKZVGVKVHVLVRVBVJVFBVICIOSBVIVETRCVMK
    ZVKVPVLVSVFVNVJVOCVMVEIUACVMVIIUAUBUCVEVIVMAMDUDUEBMDUDUEVMDEZVMFGZUTVTWAHM
    DEZMFGZHCMVSURVTUSWACVMDUFCVMFUGUHMVMKWBVTWCWAMVMDUFMVMFUGUHWBWCUDUIUJUKZUL
    VTWAWDUMUNUO $.
    $( [1-May-2006] $) $( [20-Apr-2006] $)

  $( A number divided by itself is one. $)
  dividt $p |- ( ( A e. CC /\ A =/= 0 ) -> ( A / A ) = 1 ) $=
    ( cc wcel cc0 wne wa cdiv co c1 cmul wceq divrect 3anidm12 recidt eqtrd )
    ABCZADEZFAAGHZAIAGHJHZIPQRSKAALMANO $.
    $( [2-Aug-2004] $) $( [1-Aug-2004] $)

  $( Division into zero is zero. $)
  div0t $p |- ( ( A e. CC /\ A =/= 0 ) -> ( 0 / A ) = 0 ) $=
    ( cc wcel cc0 wne wa cdiv co c1 cmul wceq 0cn divrect mp3an1 recclt mul02t
    syl eqtrd ) ABCZADEZFZDAGHZDIAGHZJHZDDBCSTUBUDKLDAMNUAUCBCUDDKAOUCPQR $.
    $( [16-Mar-2005] $) $( [14-Mar-2005] $)

  $( A ratio is zero iff the numerator is zero. $)
  diveq0t $p |- ( ( A e. CC /\ C e. CC /\ C =/= 0 ) ->
               ( ( A / C ) = 0 <-> A = 0 ) ) $=
    ( cc wcel cc0 wne w3a cdiv co wceq wb wa div0t eqeq2d 3adant1 0cn div11t
    mp3an2 3impb bitr3d ) ACDZBCDZBEFZGABHIZEBHIZJZUDEJZAEJZUBUCUFUGKUAUBUCLZUE
    EUDBMNOUAUBUCUFUHKZUAECDUIUJPAEBQRST $.
    $( [15-May-2006] $) $( [20-Apr-2006] $)

  ${
    recrec.1 $e |- A e. CC $.
    recrec.2 $e |- A =/= 0 $.
    $( A number is equal to the reciprocal of its reciprocal.  Theorem I.10 of
       [Apostol] p. 18. $)
    recrec $p |- ( 1 / ( 1 / A ) ) = A $=
      ( c1 cdiv co cmul reccl ax1cn ax1ne0 divne0 recid opreq2i opreq1i mulass
      mulid2 3eqtr3 mulid1 ) ADAEFZDSEFZGFZGFZADGFTAUADAGSABCHZDAIBJCKZLMASGFZT
      GFDTGFUBTUEDTGABCLNASTBUCSUCUDHZOTUFPQABRQ $.
      $( [9-Feb-1995] $)

    $( A number divided by itself is one. $)
    divid $p |- ( A / A ) = 1 $=
      ( cdiv co c1 cmul divrec recid eqtr ) AADEAFADEGEFAABBCHABCIJ $.
      $( [9-Feb-1995] $)

    $( Division into zero is zero. $)
    div0 $p |- ( 0 / A ) = 0 $=
      ( cc wcel cc0 wne cdiv co wceq div0t mp2an ) ADEAFGFAHIFJBCAKL $.
      $( [12-Aug-1999] $)
  $}

  ${
    div1.1 $e |- A e. CC $.
    $( A number divided by 1 is itself. $)
    div1 $p |- ( A / 1 ) = A $=
      ( c1 cdiv co wceq cmul mulid2 ax1cn ax1ne0 divmul mpbir ) ACDEAFCAGEAFABH
      ACABIBJKL $.
      $( [9-Jan-2002] $)
  $}

  $( A number divided by 1 is itself. $)
  div1t $p |- ( A e. CC -> ( A / 1 ) = A ) $=
    ( cc wcel c1 cdiv co wceq cif opreq1 id eqeq12d ax1cn elimel div1 dedth )
    ABCZADEFZAGPADHZDEFZRGADARGZQSARARDEITJKRADBLMNO $.
    $( [9-Jan-2002] $)

  $( Move negative sign inside of a division. $)
  divnegt $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                -u ( A / B ) = ( -u A / B ) ) $=
    ( cc wcel cc0 wne w3a cneg c1 cdiv co cmul wceq wa mulneg1t recclt sylan2
    3impb divrect negclt syl3an1 negeqd 3eqtr4rd ) ACDZBCDZBEFZGZAHZIBJKZLKZAUI
    LKZHZUHBJKZABJKZHUDUEUFUJULMZUDUICDUOUEUFNAUIOBPQRUHCDUEUFUMUJMUDUHBSATUAUG
    UNUKABSUBUC $.
    $( [3-Jun-2005] $) $( [17-Sep-2004] $)

  $( Distribution of division over subtraction. $)
  divsubdirt $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\ C =/= 0 ) ->
                  ( ( A - B ) / C ) = ( ( A / C ) - ( B / C ) ) ) $=
    ( cc wcel w3a cc0 wne wa cneg caddc co cdiv cmin wceq divdirtOLD negclt
    syl3anl2 negsubt 3adant3 opreq1d adantr divnegt 3expa 3adantl1 opreq2d
    divclt 3adantl2 sylanc eqtr3d 3eqtr3d ) ADEZBDEZCDEZFZCGHZIZABJZKLZCMLZACML
    ZURCMLZKLZABNLZCMLZVABCMLZNLZULURDEUNUPUTVCOUMAURCPBQRUOUTVEOUPUOUSVDCMULUM
    USVDOUNABSTUAUBUQVAVFJZKLZVCVGUQVHVBVAKUMUNUPVHVBOZULUMUNUPVJBCUCUDUEUFVADE
    ZVFDEZVIVGOUQVAVFSULUNUPVKUMULUNUPVKACUGUDUHUMUNUPVLULUMUNUPVLBCUGUDUEUIUJU
    K $.
    $( [1-Aug-2006] $) $( [4-Mar-2005] $)

  $( A number is equal to the reciprocal of its reciprocal.  Theorem I.10 of
     [Apostol] p. 18. $)
  recrect $p |- ( ( A e. CC /\ A =/= 0 ) -> ( 1 / ( 1 / A ) ) = A ) $=
    ( cc wcel cc0 wne wa c1 cdiv co wceq cif opreq2 opreq2d id eqeq12d eleq1
    neeq1 anbi12d ax1cn ax1ne0 pm3.2i elimhyp pm3.26i pm3.27i recrec dedth ) AB
    CZADEZFZGGAHIZHIZAJGGUIAGKZHIZHIZULJAGAULJZUKUNAULUOUJUMGHAULGHLMUONOULULBC
    ZULDEZUIUPUQFGBCZGDEZFAGUOUGUPUHUQAULBPAULDQRGULJURUPUSUQGULBPGULDQRURUSSTU
    AUBZUCUPUQUTUDUEUF $.
    $( [26-Sep-1999] $)

  ${
    rec11.1 $e |- A e. CC $.
    rec11.2 $e |- B e. CC $.
    ${
      rec11i.3 $e |- A =/= 0 $.
      rec11i.4 $e |- B =/= 0 $.
      $( Reciprocal is one-to-one. $)
      rec11i $p |- ( ( 1 / A ) = ( 1 / B ) <-> A = B ) $=
        ( c1 cdiv co wceq cmul opreq2 reccl mul23 recid opreq1i mulid2 3eqtr
        mulass opreq2i mulid1 eqeq12i eqcom bitr sylib impbi ) GAHIZGBHIZJZABJZ
        UIABKIZUGKIZUKUHKIZJZUJUGUHUKKLUNBAJUJULBUMAULAUGKIZBKIGBKIBABUGCDACEMN
        UOGBKACEOPBDQRUMABUHKIZKIAGKIAABUHCDBDFMSUPGAKBDFOTACUARUBBAUCUDUEABGHL
        UF $.
        $( [16-Sep-1999] $)
    $}

    $( Reciprocal is one-to-one. $)
    rec11 $p |- ( ( A =/= 0 /\ B =/= 0 ) ->
               ( ( 1 / A ) = ( 1 / B ) <-> A = B ) ) $=
      ( cc0 wne c1 cdiv co wceq wb cif opreq2 eqeq1d eqeq1 bibi12d eqeq2d
      eqeq2 cc ax1cn keepel elimne0 rec11i dedth2h ) AEFZBEFZGAHIZGBHIZJZABJZKG
      UEAGLZHIZUHJZUKBJZKULGUFBGLZHIZJZUKUOJZKABGGAUKJZUIUMUJUNUSUGULUHAUKGHMNA
      UKBOPBUOJZUMUQUNURUTUHUPULBUOGHMQBUOUKRPUKUOUEAGSCTUAUFBGSDTUAAUBBUBUCUD
      $.
      $( [16-Sep-1999] $)
  $}

  $( Mutual reciprocals.  (Contributed by Paul Chapman, 18-Oct-2007.) $)
  rec11rt $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( A =/= 0 /\ B =/= 0 ) )
                  -> ( ( 1 / A ) = B <-> ( 1 / B ) = A ) ) $=
    ( cc wcel wa cc0 wne c1 cdiv co wceq cmul wb ax1cn divmult mp3anl1 adantrr
    ancom1s axmulcom adantr eqeq1d bitr4d adantrl ) ACDZBCDZEZAFGZBFGZEEHAIJBKZ
    ABLJZHKZHBIJAKZUFUGUIUKMZUHHCDZUDUEUGUMNHABOPQUFUHULUKMUGUFUHEZULBALJZHKZUK
    UEUDUHULUQMZUNUEUDUHURNHBAOPRUOUJUPHUFUJUPKUHABSTUAUBUCUB $.
    $( [18-Oct-2007] $) $( [18-Oct-2007] $)

  $( Multiplication of two ratios.  Theorem I.14 of [Apostol] p. 18. $)
  divmuldivt $p |- ( ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) /\
                   ( B =/= 0 /\ D =/= 0 ) ) ->
                  ( ( A / B ) x. ( C / D ) ) = ( ( A x. C ) / ( B x. D ) ) ) $=
    ( cc wcel wa cc0 wne cmul co cdiv wceq divcan3t axmulcl ad2ant2l adantr
    divclt 3expa syl2an an4s wi muln0bt biimpd imp syl3anc mul4t w3a 3simp2
    jca simplr divcan2t 3exp impcom 3com12 opreqan12d eqtr3d opreq1d ) AEFZBEFZ
    GZCEFZDEFZGZGZBHIZDHIZGZGZBDJKZABLKZCDLKZJKZJKZVJLKZVMACJKZVJLKVJEFZVMEFZVJ
    HIZVOVMMVIVJVMNVEVQVHUTVCVQUSVBBDOPQVAVFVDVGVRVKEFZVLEFZVRVAVFGZVDVGGZVKVLO
    USUTVFVTABRZSVBVCVGWACDRSZTUAVEVHVSUTVCVHVSUBUSVBUTVCGVHVSBDUCUDPUEUFVIVNVP
    VJLVAVFVDVGVNVPMWBWCGBVKJKZDVLJKZJKZVNVPUTVTGZVCWAGWHVNMWBWCBVKDVLUGUSUTVFW
    IUSUTVFUHUTVTUSUTVFUIWDUJSWCVCWAVBVCVGUKWEUJTWBWCWFAWGCJVAVFWFAMZUTUSVFWJUB
    UTUSVFWJBAULUMUNUEVBVCVGWGCMZVCVBVGWKDCULUOSUPUQUAURUQ $.
    $( [2-Aug-2004] $) $( [1-Aug-2004] $)

  $( Cancellation of common factor in a ratio. $)
  divcan5t $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) /\
       ( C e. CC /\ C =/= 0 ) ) -> ( ( C x. A ) / ( C x. B ) ) = ( A / B ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co cmul c1 wceq dividt opreq1d 3ad2ant3
    divmuldivt pm3.26 jca anim2i anim12i 3impb 3coml pm3.27 ancoms 3adant1
    sylanc divclt 3expb mulid2t syl 3adant3 3eqtr3d ) ADEZBDEZBFGZHZCDEZCFGZHZI
    ZCCJKZABJKZLKZMVDLKZCALKCBLKJKZVDVAUOVEVFNURVAVCMVDLCOPQUSUSHZUOUPHZHZUTUQH
    ZVEVGNVBCCABRVAUOURVJVAUOURVJVAVHUOURHZVIVAUSUSUSUTSZVMTURUPUOUPUQSUAUBUCUD
    URVAVKUOVAURVKVAUTURUQUSUTUEUPUQUEUBUFUGUHUOURVFVDNZVAVLVDDEZVNUOUPUQVOABUI
    UJVDUKULUMUN $.
    $( [13-Jan-2006] $) $( [9-Jan-2006] $)

  $( Swap the denominators in the product of two ratios. $)
  divmul13t $p |- ( ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) /\
                   ( B =/= 0 /\ D =/= 0 ) ) -> ( ( A / B ) x. ( C / D ) ) =
                   ( ( C / B ) x. ( A / D ) ) ) $=
    ( cc wcel wa cc0 wne cmul co cdiv wceq axmulcom ad2ant2r opreq1d adantr
    divmuldivt ancom anbi1i an42 3bitr sylanb 3eqtr4d ) AEFZBEFZGZCEFZDEFZGZGZB
    HIDHIGZGACJKZBDJKZLKZCAJKZUNLKZABLKCDLKJKCBLKADLKJKZUKUOUQMULUKUMUPUNLUEUHU
    MUPMUFUIACNOPQABCDRUHUFGUEUIGGZULURUQMUKCBADRUKUFUEGZUJGUJUTGUSUGUTUJUEUFST
    UTUJSUHUIUFUEUAUBUCUD $.
    $( [9-Jun-2005] $) $( [3-May-2005] $)

  $( Swap the numerators in the product of two ratios. $)
  divmul24t $p |- ( ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) /\
                   ( B =/= 0 /\ D =/= 0 ) ) -> ( ( A / B ) x. ( C / D ) ) =
                   ( ( A / D ) x. ( C / B ) ) ) $=
    ( cc wcel wa cc0 wne cmul co cdiv wceq axmulcom ad2ant2l opreq2d adantr
    divmuldivt an42 an4 bitr ancom syl2anb 3eqtr4d ) AEFZBEFZGCEFZDEFZGGZBHIZDH
    IZGZGACJKZBDJKZLKZUMDBJKZLKZABLKCDLKJKADLKCBLKJKZUIUOUQMULUIUNUPUMLUFUHUNUP
    MUEUGBDNOPQABCDRUEUHGUGUFGGZUKUJGURUQMUIULADCBRUIUEUGGUHUFGGUSUEUFUGUHSUEUG
    UHUFTUAUJUKUBUCUD $.
    $( [6-May-2005] $) $( [3-May-2005] $)

  $( Addition of two ratios.  Theorem I.13 of [Apostol] p. 18. $)
  divadddivt $p |- ( ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) /\
                   ( B =/= 0 /\ D =/= 0 ) ) ->
  ( ( A / B ) + ( C / D ) ) = ( ( ( A x. D ) + ( B x. C ) ) / ( B x. D ) ) ) $=
    ( cc wcel wa cc0 wne cmul co caddc cdiv wceq wb muln0bt ad2ant2l wi w3a
    divdirtOLD ex axmulcl ad2ant2rl ad2ant2lr syl3anc sylbid imp c1 dividt
    adantll opreq2d divmuldivt pm3.27 jca sylanl2 divclt 3expa ax1id syl
    ad2ant2r 3eqtr3d adantlr opreq1d sylanl1 mulid2t opreq12d eqtr2d ) AEFZBEFZ
    GZCEFZDEFZGZGZBHIZDHIZGZGZADJKZBCJKZLKBDJKZMKZVSWAMKZVTWAMKZLKZABMKZCDMKZLK
    VNVQWBWENZVNVQWAHIZWHVIVLVQWIOVHVKBDPQVSEFZVTEFZWAEFZWIWHRVNWJWKWLSWIWHVSVT
    WATUAVHVLWJVIVKADUBUCVIVKWKVHVLBCUBUDVIVLWLVHVKBDUBQUEUFUGVRWCWFWDWGLVRWFDD
    MKZJKZWFUHJKZWCWFVRWMUHWFJVMVQWMUHNZVJVLVPWPVKVODUIQUJUKVJVLVLGVQWNWCNVMABD
    DULVMVLVLVKVLUMZWQUNUOVJVOWOWFNZVMVPVJVOGWFEFZWRVHVIVOWSABUPUQWFURUSUTVAVRB
    BMKZWGJKZUHWGJKZWDWGVRWTUHWGJVJVQWTUHNZVMVIVOXCVHVPBUIUDVBVCVIVIGVMVQXAWDNV
    JBBCDULVJVIVIVHVIUMZXDUNVDVMVPXBWGNZVJVOVMVPGWGEFZXEVKVLVPXFCDUPUQWGVEUSQVA
    VFVG $.
    $( [2-Aug-2004] $) $( [1-Aug-2004] $)

  $( Division of two ratios.  Theorem I.15 of [Apostol] p. 18. $)
  divdivdivt $p |- ( ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\ D e. CC ) ) /\
                   ( B =/= 0 /\ C =/= 0 /\ D =/= 0 ) ) ->
                   ( ( A / B ) / ( C / D ) ) = ( ( A x. D ) / ( B x. C ) ) ) $=
    ( cc wcel wa cc0 wne cdiv co cmul wceq w3a axmulcom divclt 3com12 3expa
    adantrr ad2ant2l ad2ant2r sylanc divmuldivt pm3.22 anim2i pm3.26 syl2an
    eqtrd opreq2d c1 ancli adantl anim12i adantll syl ad2antlr opreq1d dividt
    axmulcl ancoms wb muln0bt ancom syl5bb biimpa 3eqtrd axmulass adantrl
    syl3anc mulid2t 3eqtr3d eqtr3d divmult ad2ant2rl adantr ad2ant2lr wi
    biimpd sylan2i imp 3jca divne0t an4s mpbird 3anass sylan2b ) AEFZBEFZGZCEFZ
    DEFZGZGZBHIZCHIZDHIZGZGZABJKZCDJKZJKADLKZBCLKZJKZMZWNWOWPNWMWRGZXDWTXCLKZWS
    MZXEWTDCJKZWSLKZLKZXFWSXEXIXCWTLXEXIWSXHLKZXCXHEFZWSEFZXIXKMXEXHWSOWLWQXLWI
    WNWLWOXLWPWJWKWOXLWKWJWOXLDCPQRSTZWIWNXMWLWQWGWHWNXMABPRUAZUBWIWKWJGZGWNWOG
    ZXKXCMWMWRABDCUCWLXPWIWJWKUDZUEWQWOWNWOWPUFZUEUGUHUIXEWTXHLKZWSLKZUJWSLKZXJ
    WSXEXTUJWSLXEXTCDLKZDCLKZJKZYDYDJKZUJXEWLXPGZWPWOGZGZXTYEMWLWRYIWIWLYGWRYHW
    LXPXRUKWQYHWNWOWPUDULUMUNCDDCUCUOXEYCYDYDJWLYCYDMWIWRCDOUPUQYDEFZYDHIZYFUJM
    XEYDURWLYJWIWRWKWJYJDCUSUTUPWLWQYKWIWNWLWQYKWKWJWQYKVAXPYHYKWQDCVBWOWPVCVDU
    TVETUBVFUQWTEFZXLXMYAXJMXEWTXHWSVGWLWQYLWIWNWLWPYLWOWJWKWPYLCDPRVHTZXNXOVIX
    EXMYBWSMXOWSVJUOVKVLXMYLXCEFZNWTHIZXDXGVAXEWSWTXCVMXEXMYLYNXOYMXAEFZXBEFZXB
    HIZYNXEXAXBPWMYPWRWGWKYPWHWJADUSVNVOWMYQWRWHWJYQWGWKBCUSVPVOWMWRYRWHWJWRYRV
    QWGWKWHWJGZWNWOYRWQYSXQYRBCVBVRXSVSVPVTVIWAWLWQYOWIWNWJWOWKWPYOCDWBWCTUBWDW
    NWOWPWEWF $.
    $( [4-Aug-2004] $) $( [2-Aug-2004] $)

  ${
    divmuldiv.1 $e |- A e. CC $.
    divmuldiv.2 $e |- B e. CC $.
    divmuldiv.3 $e |- C e. CC $.
    divmuldiv.4 $e |- D e. CC $.
    divmuldiv.5 $e |- B =/= 0 $.
    divmuldiv.6 $e |- D =/= 0 $.
    $( Multiplication of two ratios.  Theorem I.14 of [Apostol] p. 18. $)
    divmuldiv $p |- ( ( A / B ) x. ( C / D ) ) =
                      ( ( A x. C ) / ( B x. D ) ) $=
      ( cc wcel wa cc0 wne cdiv co cmul wceq pm3.2i divmuldivt mp2an ) AKLZBKLZ
      MZCKLZDKLZMZMBNOZDNOZMABPQCDPQRQACRQBDRQPQSUEUHUCUDEFTUFUGGHTTUIUJIJTABCD
      UAUB $.
      $( [16-Feb-1995] $)

    $( Swap denominators of two ratios. $)
    divmul13 $p |- ( ( A / B ) x. ( C / D ) ) =
                   ( ( C / B ) x. ( A / D ) ) $=
      ( cmul co cdiv mulcom opreq1i divmuldiv 3eqtr4r ) CAKLZBDKLZMLACKLZSMLCBM
      LADMLKLABMLCDMLKLRTSMCAGENOCBADGFEHIJPABCDEFGHIJPQ $.
      $( [6-Aug-1999] $)

    $( Addition of two ratios.  Theorem I.13 of [Apostol] p. 18. $)
    divadddiv $p |- ( ( A / B ) + ( C / D ) ) =
                      ( ( ( A x. D ) + ( B x. C ) ) / ( B x. D ) ) $=
      ( cc wcel wa cc0 wne cdiv co caddc cmul wceq pm3.2i divadddivt mp2an ) AK
      LZBKLZMZCKLZDKLZMZMBNOZDNOZMABPQCDPQRQADSQBCSQRQBDSQPQTUFUIUDUEEFUAUGUHGH
      UAUAUJUKIJUAABCDUBUC $.
      $( [21-Feb-1995] $)

    ${
      divdivdiv.7 $e |- C =/= 0 $.
      $( Division of two ratios.  Theorem I.15 of [Apostol] p. 18. $)
      divdivdiv $p |- ( ( A / B ) / ( C / D ) )
                        = ( ( A x. D ) / ( B x. C ) ) $=
        ( cc wcel wa cc0 wne w3a cdiv co cmul wceq pm3.2i 3pm3.2i divdivdivt
        mp2an ) ALMZBLMZNZCLMZDLMZNZNBOPZCOPZDOPZQABRSCDRSRSADTSBCTSRSUAUHUKUFU
        GEFUBUIUJGHUBUBULUMUNIKJUCABCDUDUE $.
        $( [22-Feb-1995] $)
    $}
  $}

  $( The reciprocal of a ratio. $)
  recdivt $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
                ( 1 / ( A / B ) ) = ( B / A ) ) $=
    ( cc wcel cc0 wne wa c1 cdiv co cmul wceq ax1ne0 w3a ax1cn pm3.2i
    divdivdivt mpanl1 mp3anr1 an4s div1 opreq1i syl5eqr mulid2t opreqan12rd
    ad2ant2r eqtrd ) ACDZAEFZGBCDZBEFZGGZHABIJZIJZHBKJZHAKJZIJZBAIJZULHHIJZUMIJ
    ZUQUNUHUJUIUKUTUQLZUHUJGZHEFZUIUKVAMHCDZVDGVBVCUIUKNVAVDVDOOPHHABQRSTUSHUMI
    HOUAUBUCUHUJUQURLUIUKUJUHUOBUPAIBUDAUDUEUFUG $.
    $( [12-Aug-2007] $) $( [3-Aug-2004] $)

  $( Cancellation of inverted fractions. $)
  divcan6t $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
         ( ( A / B ) x. ( B / A ) ) = 1 ) $=
    ( cc wcel cc0 wne wa cdiv co c1 cmul recdivt opreq2d wceq recidt divclt
    3expb adantlr divne0t sylanc eqtr3d ) ACDZAEFZGBCDZBEFZGZGZABHIZJUHHIZKIZUH
    BAHIZKIJUGUIUKUHKABLMUHCDZUHEFUJJNUGUHOUBUFULUCUBUDUEULABPQRABSTUA $.
    $( [29-Dec-2007] $) $( [28-Dec-2007] $)

  $( Swap denominators in a division. $)
  divdiv23t $p |- ( ( ( A e. CC /\ B e. CC /\ C e. CC ) /\
         ( B =/= 0 /\ C =/= 0 ) ) -> ( ( A / B ) / C ) = ( ( A / C ) / B ) ) $=
    ( cc wcel w3a cc0 wne wa c1 cdiv co cmul wceq div23t 3simp1 adantr recclt
    3ad2antl2 adantrr 3simp3 3jca simprr sylanc divrect 3expa 3adantl3 opreq1d
    divclt 3adantl2 adantrl 3simp2 simprl syl3anc 3eqtr4d ) ADEZBDEZCDEZFZBGHZC
    GHZIZIZAJBKLZMLZCKLZACKLZVDMLZABKLZCKLVGBKLZUPVDDEZURFVAVFVHNVCAVDCOVCUPVKU
    RUSUPVBUPUQURPQUSUTVKVAUQUPUTVKURBRSTUSURVBUPUQURUAQUBUSUTVAUCUDVCVIVECKUSU
    TVIVENZVAUPUQUTVLURUPUQUTVLABUEUFUGTUHVGDEZUQUTVJVHNVCVGBUEUSVAVMUTUPURVAVM
    UQUPURVAVMACUIUFUJUKUSUQVBUPUQURULQUSUTVAUMUNUO $.
    $( [4-Aug-2004] $) $( [2-Aug-2004] $)

  ${
    divdiv23.1 $e |- A e. CC $.
    divdiv23.2 $e |- B e. CC $.
    divdiv23.3 $e |- C e. CC $.
    ${
      divdiv23.4 $e |- B =/= 0 $.
      divdiv23.5 $e |- C =/= 0 $.
      $( Swap denominators in a division. $)
      divdiv23 $p |- ( ( A / B ) / C ) = ( ( A / C ) / B ) $=
        ( c1 cdiv co cmul reccl div23 divrec opreq1i divcl 3eqtr4 ) AIBJKZLKZCJ
        KACJKZSLKABJKZCJKUABJKASCDBEGMFHNUBTCJABDEGOPUABACDFHQEGOR $.
        $( [15-Sep-1999] $)
    $}
    $( Swap denominators in a division. $)
    divdiv23z $p |- ( ( B =/= 0 /\ C =/= 0 ) ->
                ( ( A / B ) / C ) = ( ( A / C ) / B ) ) $=
      ( cc wcel w3a cc0 wne wa cdiv co wceq 3pm3.2i divdiv23t mpan ) AGHZBGHZCG
      HZIBJKCJKLABMNCMNACMNBMNOSTUADEFPABCQR $.
      $( [15-Sep-1999] $)
  $}

  $( Combine denominators in a division. $)
  divdivmult $p |- ( ( A e. CC /\ ( B e. CC /\ B =/= 0 ) /\
       ( C e. CC /\ C =/= 0 ) ) -> ( ( A / B ) / C ) = ( A / ( B x. C ) ) ) $=
    ( cc wcel cc0 wne wa w3a cdiv co c1 cmul wceq divdivdivt pm3.26 anim2i
    ax1cn jctr adantr anim12i 3impa simplr 3adant1 simprr ax1ne0 a1i 3jca
    sylanc div1t opreq2d ad2antrl ax1id opreq1d 3ad2ant1 3eqtr3d ) ADEZBDEZBFGZ
    HZCDEZCFGZHZIZABJKZCLJKZJKZALMKZBCMKZJKZVECJKZAVIJKZUQURHZVALDEZHZHZUSVBLFG
    ZIVGVJNVDABCLOUQUTVCVPUQUTHVMVCVOUTURUQURUSPQVAVOVBVAVNRSTUAUBVDUSVBVQUTVCU
    SUQURUSVCUCUDUTVCVBUQUTVAVBUEUDVQVDUFUGUHUIUTVCVGVKNZUQVAVRUTVBVAVFCVEJCUJU
    KULUDUQUTVJVLNVCUQVHAVIJAUMUNUOUP $.
    $( [31-Dec-2007] $) $( [31-Dec-2007] $)

  $( Division into a reciprocal. $)
  recdiv2t $p |- ( ( ( A e. CC /\ A =/= 0 ) /\ ( B e. CC /\ B =/= 0 ) ) ->
                ( ( 1 / A ) / B ) = ( 1 / ( A x. B ) ) ) $=
    ( c1 cc wcel cc0 wne wa cdiv co cmul wceq ax1cn divdivmult mp3an1 ) CDEADEA
    FGHBDEBFGHCAIJBIJCABKJIJLMCABNO $.
    $( [19-Oct-2007] $) $( [19-Oct-2007] $)

  $( Two numbers whose reciprocals add to 1 are called "conjugates" and satisfy
     this relationship.  Equation 5 of [Kreyszig] p. 12. $)
  conjmult $p |- ( ( ( P e. CC /\ P =/= 0 ) /\ ( Q e. CC /\ Q =/= 0 ) ) ->
      ( ( ( 1 / P ) + ( 1 / Q ) ) = 1 <-> ( ( P - 1 ) x. ( Q - 1 ) ) = 1 ) ) $=
    ( cc wcel cc0 wne wa cmul co c1 cdiv caddc wceq cmin mul23t simpll simprl
    recclt adantr syl3anc recidt opreq1d mulid2t ad2antrl 3eqtrd axmulass
    adantl opreq2d ax1id ad2antrr opreq12d axdistr axmulcl ad2ant2r axaddcom
    3eqtr4d syl eqeq12d wb ax1cn mulcant mp3anl3 axaddcl syl2an jca muln0t
    sylanc muleqaddt eqcom syl5bb 3bitr3d ) ACDZAEFZGZBCDZBEFZGZGZABHIZJAKIZJBK
    IZLIZHIZVSJHIZMZABLIZVSMZWBJMZAJNIBJNIHIJMZVRWCWFWDVSVRVSVTHIZVSWAHIZLIZBAL
    IZWCWFVRWJBWKALVRWJAVTHIZBHIZJBHIZBVLVOVTCDZWJWOMVRABVTOVLVMVQPZVNVOVPQZVNW
    QVQARZSZTVNWOWPMVQVNWNJBHAUAUBSVOWPBMVNVPBUCUDUEVRWKABWAHIZHIZAJHIZAVLVOWAC
    DZWKXCMVRABWAUFWRWSVQXEVNBRZUGZTVQXCXDMVNVQXBJAHBUAUHUGVLXDAMVMVQAUIUJUEUKV
    SCDZWQXEWCWLMVRVSVTWAULVLVOXHVMVPABUMZUNZXAXGTVLVOWFWMMVMVPABUOUNUPVLVOWDVS
    MZVMVPVLVOGZXHXKXIVSUIUQUNURXHWBCDZGVSEFZWEWHUSZVRXHXMJCDXNXOUTVSWBJVAVBVRX
    HXMXJWQXEXMVNVQVTWAVCWTXFVDVEABVFVGVLVOWGWIUSVMVPXLVSWFMWIWGABVHWFVSVIVJUNV
    K $.
    $( [13-Mar-2007] $) $( [12-Nov-2006] $)

  ${
    $d x y B $.
    redivcl.1 $e |- A e. RR $.
    redivcl.2 $e |- B e. RR $.
    redivcl.3 $e |- B =/= 0 $.
    $( Closure law for division of reals. $)
    redivcl $p |- ( A / B ) e. RR $=
      ( vx cdiv co c1 cmul cr recn divrec cv wceq wrex wcel cc0 wne axrrecex
      mp2an wa wex df-rex cc wb recnt cif eqeq2 opreq2 eqeq1d bibi12d ax1cn
      elimel divmul dedth syl eleq1a sylbird imp 19.23aiv sylbi ax-mp remulcl
      eqeltr ) ABGHAIBGHZJHKABACLBDLZEMAVFCBFNZJHZIOZFKPZVFKQZBKQBRSVKDEFBTUAVK
      VHKQZVJUBZFUCVLVJFKUDVNVLFVMVJVLVMVJVFVHOZVLVMVHUEQZVOVJUFZVHUGVPVQVFVPVH
      IUHZOZBVRJHZIOZUFVHIVHVROZVOVSVJWAVHVRVFUIWBVIVTIVHVRBJUJUKULIBVRUMVGVHIU
      EUMUNEUOUPUQVHKVFURUSUTVAVBVCVDVE $.
      $( [9-May-1999] $)
  $}

  ${
    redivclz.1 $e |- A e. RR $.
    redivclz.2 $e |- B e. RR $.
    $( Closure law for division of reals. $)
    redivclz $p |- ( B =/= 0 -> ( A / B ) e. RR ) $=
      ( cc0 wne cdiv co cr wcel c1 cif wceq opreq2 eleq1d 1re keepel elimne0
      redivcl dedth ) BEFZABGHZIJAUABKLZGHZIJBKBUCMUBUDIBUCAGNOAUCCUABKIDPQBRST
      $.
      $( [9-May-1999] $)
  $}

  $( Closure law for division of reals. $)
  redivclt $p |- ( ( A e. RR /\ B e. RR /\ B =/= 0 ) -> ( A / B ) e. RR ) $=
    ( cr wcel cc0 wne cdiv co wi cif wceq opreq1 eleq1d imbi2d neeq1 opreq2
    imbi12d 0re elimel redivclz dedth2h 3impia ) ACDZBCDZBEFZABGHZCDZUCUDUEUGIU
    EUCAEJZBGHZCDZIUDBEJZEFZUHUKGHZCDZIABEEAUHKZUGUJUEUOUFUICAUHBGLMNBUKKZUEULU
    JUNBUKEOUPUIUMCBUKUHGPMQUHUKAECRSBECRSTUAUB $.
    $( [4-May-2005] $) $( [27-Sep-1999] $)

  ${
    rereccl.1 $e |- A e. RR $.
    rereccl.2 $e |- A =/= 0 $.
    $( Closure law for reciprocal. $)
    rereccl $p |- ( 1 / A ) e. RR $=
      ( c1 1re redivcl ) DAEBCF $.
      $( [2-May-2005] $) $( [30-Apr-2005] $)
  $}

  ${
    rerecclz.1 $e |- A e. RR $.
    $( Closure law for reciprocal. $)
    rerecclz $p |- ( A =/= 0 -> ( 1 / A ) e. RR ) $=
      ( c1 1re redivclz ) CADBE $.
      $( [2-May-2005] $) $( [30-Apr-2005] $)
  $}

  $( Closure law for reciprocal. $)
  rerecclt $p |- ( ( A e. RR /\ A =/= 0 ) -> ( 1 / A ) e. RR ) $=
    ( c1 cr wcel cc0 wne cdiv co 1re redivclt mp3an1 ) BCDACDAEFBAGHCDIBAJK $.
    $( [2-May-2005] $) $( [30-Apr-2005] $)

  ${
    eqneg.1 $e |- A e. CC $.
    $( A number equal to its negative is zero. $)
    eqneg $p |- ( A = -u A <-> A = 0 ) $=
      ( cneg wceq cc0 c1 caddc co wn wne 1re readdcl lt01 addgt0i gt0ne0i
      df-ne mpbi cmul wo opreq2 1p1times negid eqcomi 3eqtr4g recn mul0or
      sylib ord mpi cmin df-neg 0cn subid eqtr2 id negeq 3eqtr4a impbi ) AACZDZ
      AEDZUTFFGHZEDZIZVAVBEJVDVBFFKKLZFFKKMMNOVBEPQUTVCVAUTVBARHZEDVCVASUTAAGHA
      USGHZVFEAUSAGTABUAVGEABUBUCUDVBAVBVEUEBUFUGUHUIVAEECZAUSVHEEUJHEEUKEULUMU
      NVAUOAEUPUQUR $.
      $( [29-May-1999] $)
  $}

  $( A number equal to its negative is zero. $)
  eqnegt $p |- ( A e. CC -> ( A = -u A <-> A = 0 ) ) $=
    ( cc wcel cneg wceq cc0 wb cif id negeq eqeq12d eqeq1 bibi12d 0cn elimel
    eqneg dedth ) ABCZAADZEZAFEZGRAFHZUBDZEZUBFEZGAFAUBEZTUDUAUEUFAUBSUCUFIAUBJ
    KAUBFLMUBAFBNOPQ $.
    $( [13-Jul-2005] $) $( [12-Jul-2005] $)

  $( A number is zero iff its negative is zero. $)
  negeq0t $p |- ( A e. CC -> ( A = 0 <-> -u A = 0 ) ) $=
    ( cc wcel cneg wceq cc0 negnegt eqeq2d eqcom syl6rbb eqnegt wb negclt syl
    3bitr3d ) ABCZAADZEZQQDZEZAFEQFEZPTQAERPSAQAGHQAIJAKPQBCTUALAMQKNO $.
    $( [14-Jul-2005] $) $( [12-Jul-2005] $)

  ${
    negne0.1 $e |- A e. CC $.
    $( A number is non-zero iff its negative is non-zero. $)
    negne0 $p |- ( A =/= 0 <-> -u A =/= 0 ) $=
      ( cc0 cneg cc wcel wceq wb negeq0t ax-mp necon3bii ) ACADZCAEFACGLCGHBAIJ
      K $.
      $( [10-Aug-1999] $)
    ${
      negn0.2 $e |- A =/= 0 $.
      $( The negative of a non-zero number is non-zero. $)
      negn0 $p |- -u A =/= 0 $=
        ( cc0 wne cneg negne0 mpbi ) ADEAFDECABGH $.
        $( [3-Sep-2004] $) $( [30-Jul-2004] $)
    $}
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Ordering on reals (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Hypothesis for weak deduction theorem to eliminate ` 0 < A ` . $)
  elimgt0 $p |- 0 < if ( 0 < A , A , 1 ) $=
    ( cc0 clt wbr c1 cif breq2 lt01 elimhyp ) BACDZBJAEFZCDBECDAEAKBCGEKBCGHI
    $.
    $( [15-May-1999] $)

  $( Hypothesis for weak deduction theorem to eliminate ` 0 <_ A ` . $)
  elimge0 $p |- 0 <_ if ( 0 <_ A , A , 0 ) $=
    ( cc0 cle wbr cif breq2 0re leid elimhyp ) BACDZBJABEZCDBBCDABAKBCFBKBCFBGH
    I $.
    $( [30-Jul-1999] $)

  $( A number is less than itself plus 1. $)
  ltp1t $p |- ( A e. RR -> A < ( A + 1 ) ) $=
    ( c1 cr wcel caddc co clt wbr 1re wa cc0 lt01 ltaddpost mpbii mpan ) BCDZAC
    DZAABEFGHZIPQJKBGHRLBAMNO $.
    $( [20-Aug-2001] $)

  $( A number is less than or equal to itself plus 1. $)
  lep1t $p |- ( A e. RR -> A <_ ( A + 1 ) ) $=
    ( cr wcel c1 caddc co clt wbr cle ltp1t wi peano2re ltlet mpdan mpd ) ABCZA
    ADEFZGHZAQIHZAJPQBCRSKALAQMNO $.
    $( [6-Jan-2006] $) $( [5-Jan-2006] $)

  ${
    ltplus1.1 $e |- A e. RR $.
    $( A number is less than itself plus 1. $)
    ltp1 $p |- A < ( A + 1 ) $=
      ( cr wcel c1 caddc co clt wbr ltp1t ax-mp ) ACDAAEFGHIBAJK $.
      $( [20-Aug-2001] $)

    ${
      recgt0i.2 $e |- 0 < A $.
      $( The reciprocal of a positive number is positive.  Exercise 4 of
         [Apostol] p. 21. $)
      recgt0i $p |- 0 < ( 1 / A ) $=
        ( cc0 c1 cdiv co clt wbr wceq wo wn wne ax1cn recn ax1ne0 gt0ne0i
        divne0 necom mpbi df-ne lt01 0re 1re ltnsym ax-mp cneg cmul rereccl
        renegcl mulgt0 mpan2 mulneg1 mulcom recid eqtr negeqi syl6breq cr wcel
        wb lt0neg1t 3imtr4 mto pm3.2ni axlttri mp2an mpbir ) DEAFGZHIZDVIJZVIDH
        IZKLZVKVLDVIMZVKLVIDMVNEANABOZPABCQZRVIDSTDVIUATVLEDHIZDEHIVQLUBDEUCUDU
        EUFDVIUGZHIZDEUGZHIZVLVQVSDVRAUHGZVTHVSDAHIDWBHICVRAVIABVPUIZUJBUKULWBV
        IAUHGZUGVTVIAVIWCOZVOUMWDEWDAVIUHGEVIAWEVOUNAVOVPUOUPUQUPURVIUSUTZVLVSV
        AWCVIVBUFEUSUTVQWAVAUDEVBUFVCVDVEDUSUTWFVJVMVAUCWCDVIVFVGVH $.
        $( [15-May-1999] $)
    $}
  $}

  $( A number minus 1 is less than itself. $)
  ltm1t $p |- ( A e. RR -> ( A - 1 ) < A ) $=
    ( cr wcel c1 cmin co cc0 clt wbr lt01 wb 0re 1re ltsub2t mp3an12 mpbii cc
    wceq recnt subid1t syl breqtrd ) ABCZADEFZAGEFZAHUCGDHIZUDUEHIZJGBCDBCUCUFU
    GKLMGDANOPUCAQCUEARASATUAUB $.
    $( [10-Apr-2006] $) $( [9-Apr-2006] $)

  $( A transitive property of 'less than or equal' and plus 1. $)
  letrp1t $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) -> A <_ ( B + 1 ) ) $=
    ( cr wcel cle wbr w3a c1 caddc co clt wa ltp1t adantl wi lelttrt 3expb
    peano2re ancli sylan2 mpan2d 3impia ltlet 3adant3 mpd ) ACDZBCDZABEFZGABHIJ
    ZKFZAUIEFZUFUGUHUJUFUGLUHBUIKFZUJUGULUFBMNUFUGUICDZLUHULLUJOZUGUFUGUMUNABUI
    PQUGUMBRZSTUAUBUFUGUJUKOZUHUFUMUPUGAUIUCUOTUDUE $.
    $( [12-Aug-2005] $) $( [5-Aug-2005] $)

  $( A transitive property of plus 1 and 'less than or equal'. $)
  p1let $p |- ( ( A e. RR /\ B e. RR /\ ( A + 1 ) <_ B ) -> A <_ B ) $=
    ( cr wcel c1 caddc co cle wbr wa lep1t adantr wi letrt 3expa peano2re
    ancli sylan mpand 3impia ) ACDZBCDZAEFGZBHIZABHIZUAUBJAUCHIZUDUEUAUFUBAKLUA
    UCCDZJUBUFUDJUEMZUAUAUGUBUHAUCBNOUAUGAPQRST $.
    $( [2-Sep-2005] $) $( [16-Aug-2005] $)

  ${
    prodgt0.1 $e |- A e. RR $.
    prodgt0.2 $e |- B e. RR $.
    ${
      prodgt0i.3 $e |- 0 < A $.
      $( Lemma for ~ prodgt0 . $)
      prodgt0lem $p |- ( 0 < ( A x. B ) -> 0 < B ) $=
        ( cc0 cmul co clt wbr c1 cdiv wi recgt0i 0re remulcl gt0ne0i rereccl
        ltmullem ax-mp recn mul02 mul23 recid opreq1i mulid2 3eqtr 3brtr3g ) FA
        BGHZIJZFKALHZGHZUIUKGHZFBIFUKIJUJULUMIJMACENFUIUKOABCDPACACEQZRZSTUKUKU
        OUAZUBUMAUKGHZBGHKBGHBABUKACUAZBDUAZUPUCUQKBGAURUNUDUEBUSUFUGUH $.
        $( [15-May-1999] $)
    $}

  $( Infer that a multiplicand is positive from a nonnegative muliplier and
     positive product. $)
    prodgt0 $p |- ( ( 0 <_ A /\ 0 < ( A x. B ) ) -> 0 < B ) $=
      ( cc0 cle wbr cmul co clt wceq wo wi 0re leloe c1 cif opreq1 breq2d
      imbi1d cr 1re keepel elimgt0 prodgt0lem dedth ltnr recn mul02 syl5eqr
      mtbii pm2.21d jaoi sylbi imp ) EAFGZEABHIZJGZEBJGZUPEAJGZEAKZLURUSMZEANCO
      UTVBVAUTVBEUTAPQZBHIZJGZUSMAPAVCKZURVEUSVFUQVDEJAVCBHRSTVCBUTAPUACUBUCDAU
      DUEUFVAURUSVAEEJGURENUGVAEUQEJVAEBHIUQEEABHRBBDUHUIUJSUKULUMUNUO $.
      $( [15-May-1999] $)

    $( Infer that a multiplicand is nonnegative from a positive muliplier and
       nonnegative product. $)
    prodge0 $p |- ( ( 0 < A /\ 0 <_ ( A x. B ) ) -> 0 <_ B ) $=
      ( cc0 clt wbr cmul co cle wn cneg renegcl mulgt0 ex cr wcel wb lt0neg1t
      ax-mp remulcl recn mulneg2 breq2i bitr4 3imtr4g con3d 0re lenlt imp ) EAF
      GZEABHIZJGZEBJGZUKULEFGZKBEFGZKUMUNUKUPUOUKEBLZFGZEAUQHIZFGZUPUOUKURUTAUQ
      CBDMNOBPQUPURRDBSTUOEULLZFGZUTULPQUOVBRABCDUAZULSTUSVAEFABACUBBDUBUCUDUEU
      FUGEULUHVCUIEBUHDUIUFUJ $.
      $( [4-Jul-2005] $) $( [2-Jul-2005] $)
  $}

  ${
    ltmul1.1 $e |- A e. RR $.
    ltmul1.2 $e |- B e. RR $.
    ltmul1.3 $e |- C e. RR $.
    ${
      ltmul1i.4 $e |- 0 < C $.
      $( Multiplication of both sides of 'less than' by a positive number.
         Theorem I.19 of [Apostol] p. 20.  (Proof shortened by Paul Chapman,
         25-Jan-2008.) $)
      ltmul1i $p |- ( A < B <-> ( A x. C ) < ( B x. C ) ) $=
        ( clt wbr cmul co cc0 wi ltmullem ax-mp cle wn wceq wo opreq1 orim12i
        leloe remulcl 3imtr4 lenlt 3imtr3 a3i impbi ) ABHIZACJKZBCJKZHIZLCHIZUI
        ULMGABCDEFNOUIULBAPIZUKUJPIZUIQULQBAHIZBARZSUKUJHIZUKUJRZSUNUOUPURUQUSU
        MUPURMGBACEDFNOBACJTUABAEDUBUKUJBCEFUCZACDFUCZUBUDBAEDUEUKUJUTVAUEUFUGU
        H $.
        $( [25-Jan-2008] $) $( [16-May-1999] $)
    $}

    $( Multiplication of both sides of 'less than' by a positive number.
       Theorem I.19 of [Apostol] p. 20. $)
    ltmul1 $p |- ( 0 < C -> ( A < B <-> ( A x. C ) < ( B x. C ) ) ) $=
      ( cc0 clt wbr cmul co wb c1 cif wceq opreq2 breq12d bibi2d cr 1re keepel
      elimgt0 ltmul1i dedth ) GCHIZABHIZACJKZBCJKZHIZLUFAUECMNZJKZBUJJKZHIZLCMC
      UJOZUIUMUFUNUGUKUHULHCUJAJPCUJBJPQRABUJDEUECMSFTUACUBUCUD $.
      $( [16-May-1999] $)

    ${
      ltdivi.4 $e |- 0 < C $.
      $( Division of both sides of 'less than' by a positive number. $)
      ltdiv1i $p |- ( A < B <-> ( A / C ) < ( B / C ) ) $=
        ( clt wbr c1 cdiv co cmul gt0ne0i rereccl recgt0i ltmul1i recn divrec
        breq12i bitr4 ) ABHIAJCKLZMLZBUBMLZHIACKLZBCKLZHIABUBDECFCFGNZOCFGPQUEU
        CUFUDHACADRCFRZUGSBCBERUHUGSTUA $.
        $( [16-May-1999] $)
    $}

    $( Division of both sides of 'less than' by a positive number. $)
    ltdiv1 $p |- ( 0 < C -> ( A < B <-> ( A / C ) < ( B / C ) ) ) $=
      ( cc0 clt wbr cdiv co wb c1 cif wceq opreq2 breq12d bibi2d cr 1re keepel
      elimgt0 ltdiv1i dedth ) GCHIZABHIZACJKZBCJKZHIZLUFAUECMNZJKZBUJJKZHIZLCMC
      UJOZUIUMUFUNUGUKUHULHCUJAJPCUJBJPQRABUJDEUECMSFTUACUBUCUD $.
      $( [16-May-1999] $)

    $( 'Less than' relationship between division and multiplication. $)
    ltmuldiv $p |- ( 0 < C -> ( ( A x. C ) < B <-> A < ( B / C ) ) ) $=
      ( cc0 clt wbr cmul co cdiv remulcl ltdiv1 wne wceq gt0ne0 recn divcan4z
      syl breq1d bitrd ) GCHIZACJKZBHIUDCLKZBCLKZHIAUFHIUDBCACDFMEFNUCUEAUFHUCC
      GOUEAPCFQCACFRADRSTUAUB $.
      $( [19-Nov-2004] $) $( [12-Oct-1999] $)
  $}

  $( Infer that a multiplicand is positive from a nonnegative muliplier and
     positive product. $)
  prodgt0t $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ 0 < ( A x. B ) ) )
                 -> 0 < B ) $=
    ( cr wcel wa cc0 cle wbr cmul co clt wi cif wceq breq2 opreq1 breq2d
    anbi12d imbi1d opreq2 anbi2d imbi12d 0re elimel prodgt0 dedth2h imp ) ACDZB
    CDZEFAGHZFABIJZKHZEZFBKHZUHUIUMUNLFUHAFMZGHZFUOBIJZKHZEZUNLUPFUOUIBFMZIJZKH
    ZEZFUTKHZLABFFAUONZUMUSUNVEUJUPULURAUOFGOVEUKUQFKAUOBIPQRSBUTNZUSVCUNVDVFUR
    VBUPVFUQVAFKBUTUOITQUABUTFKOUBUOUTAFCUCUDBFCUCUDUEUFUG $.
    $( [3-May-2005] $) $( [24-Apr-2005] $)

  $( Infer that a multiplier is positive from a nonnegative muliplicand and
     positive product. $)
  prodgt02t $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ B /\ 0 < ( A x. B ) ) )
                 -> 0 < A ) $=
    ( cr wcel wa cc0 cle wbr cmul co clt wi prodgt0t ex ancoms cc wceq
    axmulcom recnt syl2an breq2d biimpd sylan2d imp ) ACDZBCDZEZFBGHZFABIJZKHZE
    FAKHZUGUHFBAIJZKHZUKUJUFUEUHUMEZUKLUFUEEUNUKBAMNOUGUJUMUGUIULFKAPDBPDUIULQU
    EUFABRASBSTUAUBUCUD $.
    $( [3-Jul-2005] $) $( [24-Apr-2005] $)

  $( Infer that a multiplicand is nonnegative from a positive muliplier and
     nonnegative product. $)
  prodge0t $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 < A /\ 0 <_ ( A x. B ) ) )
                 -> 0 <_ B ) $=
    ( cr wcel wa cc0 clt wbr cmul co cle wi cif wceq breq2 opreq1 breq2d
    anbi12d imbi1d opreq2 anbi2d imbi12d 0re elimel prodge0 dedth2h imp ) ACDZB
    CDZEFAGHZFABIJZKHZEZFBKHZUHUIUMUNLFUHAFMZGHZFUOBIJZKHZEZUNLUPFUOUIBFMZIJZKH
    ZEZFUTKHZLABFFAUONZUMUSUNVEUJUPULURAUOFGOVEUKUQFKAUOBIPQRSBUTNZUSVCUNVDVFUR
    VBUPVFUQVAFKBUTUOITQUABUTFKOUBUOUTAFCUCUDBFCUCUDUEUFUG $.
    $( [9-Jul-2005] $) $( [2-Jul-2005] $)

  $( Infer that a multiplier is nonnegative from a positive muliplicand and
     nonnegative product. $)
  prodge02t $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 < B /\ 0 <_ ( A x. B ) ) )
                 -> 0 <_ A ) $=
    ( cr wcel wa cc0 clt wbr cmul co cle wi prodge0t ex ancoms cc wceq
    axmulcom recnt syl2an breq2d biimpd sylan2d imp ) ACDZBCDZEZFBGHZFABIJZKHZE
    FAKHZUGUHFBAIJZKHZUKUJUFUEUHUMEZUKLUFUEEUNUKBAMNOUGUJUMUGUIULFKAPDBPDUIULQU
    EUFABRASBSTUAUBUCUD $.
    $( [14-Jul-2005] $) $( [2-Jul-2005] $)

  $( Multiplication of both sides of 'less than' by a positive number.  Theorem
     I.19 of [Apostol] p. 20. $)
  ltmul1t $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
                0 < C ) -> ( A < B <-> ( A x. C ) < ( B x. C ) ) ) $=
    ( cr wcel w3a cc0 clt wbr cmul co wb wi cif wceq breq1 opreq1 breq1d
    bibi12d imbi2d breq2 breq2d opreq2 breq12d bibi2d imbi12d 0re elimel
    ltmul1 dedth3h imp ) ADEZBDEZCDEZFGCHIZABHIZACJKZBCJKZHIZLZULUMUNUOUTMUOULA
    GNZBHIZVACJKZURHIZLZMABCGGGUOVAUMBGNZHIZVCVFCJKZHIZLZMGUNCGNZHIZVGVAVKJKZVF
    VKJKZHIZLZMAVAOZUTVEUOVQUPVBUSVDAVABHPVQUQVCURHAVACJQRSTBVFOZVEVJUOVRVBVGVD
    VIBVFVAHUAVRURVHVCHBVFCJQUBSTCVKOZUOVLVJVPCVKGHUAVSVIVOVGVSVCVMVHVNHCVKVAJU
    CCVKVFJUCUDUEUFVAVFVKAGDUGUHBGDUGUHCGDUGUHUIUJUK $.
    $( [22-Feb-2005] $) $( [13-Feb-2005] $)

  $( Multiplication of both sides of 'less than' by a positive number.  Theorem
     I.19 of [Apostol] p. 20. $)
  ltmul2t $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
                0 < C ) -> ( A < B <-> ( C x. A ) < ( C x. B ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cmul co ltmul1t wb cc wceq axmulcom recnt
    sylan 3adant2 3adant1 breq12d syl3an3 adantr bitrd ) ADEZBDEZCDEZFZGCHIZJAB
    HIACKLZBCKLZHIZCAKLZCBKLZHIZABCMUIUMUPNZUJUFUGCOEZUQUHUFUGURFUKUNULUOHUFURU
    KUNPZUGAOEURUSUFACQARSTUGURULUOPZUFBOEURUTUGBCQBRSUAUBCRUCUDUE $.
    $( [22-Feb-2005] $) $( [13-Feb-2005] $)

  $( Multiplication of both sides of 'less than or equal to' by a positive
     number. $)
  lemul1t $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
                0 < C ) -> ( A <_ B <-> ( A x. C ) <_ ( B x. C ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa wceq wo cmul co cle ltmul1t cc wne wb
    mulcan2t recnt 3anim123i adantr gt0ne0t 3ad2antl3 sylanc bicomd orbi12d
    leloet 3adant3 axmulrcl 3adant2 3adant1 3bitr4d ) ADEZBDEZCDEZFZGCHIZJZABHI
    ZABKZLZACMNZBCMNZHIZVDVEKZLZABOIZVDVEOIZUTVAVFVBVGABCPUTVGVBAQEZBQEZCQEZFZC
    GRZVGVBSUTABCTURVNUSUOVKUPVLUQVMAUABUACUAUBUCUQUOUSVOUPCUDUEUFUGUHURVIVCSZU
    SUOUPVPUQABUIUJUCURVJVHSZUSVDDEZVEDEZVQURVDVEUIUOUQVRUPACUKULUPUQVSUOBCUKUM
    UFUCUN $.
    $( [23-Feb-2005] $) $( [21-Feb-2005] $)

  $( Multiplication of both sides of 'less than or equal to' by a positive
     number. $)
  lemul2t $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
                0 < C ) -> ( A <_ B <-> ( C x. A ) <_ ( C x. B ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cle cmul co lemul1t wb wceq cc axmulcom recnt
    syl2an 3adant2 3adant1 breq12d adantr bitrd ) ADEZBDEZCDEZFZGCHIZJABKIACLMZ
    BCLMZKIZCALMZCBLMZKIZABCNUIUMUPOUJUIUKUNULUOKUFUHUKUNPZUGAQECQEZUQUFUHACRAS
    CSZTUAUGUHULUOPZUFBQEURUTUGUHBCRBSUSTUBUCUDUE $.
    $( [17-Mar-2005] $) $( [16-Mar-2005] $)

  ${
    ltmul2.1 $e |- A e. RR $.
    ltmul2.2 $e |- B e. RR $.
    ltmul2.3 $e |- C e. RR $.
    $( Multiplication of both sides of 'less than' by a positive number.
       Theorem I.19 of [Apostol] p. 20. $)
    ltmul2 $p |- ( 0 < C -> ( A < B <-> ( C x. A ) < ( C x. B ) ) ) $=
      ( cr wcel cc0 clt wbr cmul co wb wi w3a ltmul2t ex mp3an ) AGHZBGHZCGHZIC
      JKZABJKCALMCBLMJKNZODEFTUAUBPUCUDABCQRS $.
      $( [16-May-1999] $)

    $( Multiplication of both sides of 'less than or equal to' by a positive
       number. $)
    lemul1 $p |- ( 0 < C -> ( A <_ B <-> ( A x. C ) <_ ( B x. C ) ) ) $=
      ( cr wcel cc0 clt wbr cle cmul co wb wi w3a lemul1t ex mp3an ) AGHZBGHZCG
      HZICJKZABLKACMNBCMNLKOZPDEFUAUBUCQUDUEABCRST $.
      $( [2-Aug-1999] $)

    $( Multiplication of both sides of 'less than or equal to' by a positive
       number. $)
    lemul2 $p |- ( 0 < C -> ( A <_ B <-> ( C x. A ) <_ ( C x. B ) ) ) $=
      ( cr wcel cc0 clt wbr cle cmul co wb wi w3a lemul2t ex mp3an ) AGHZBGHZCG
      HZICJKZABLKCAMNCBMNLKOZPDEFUAUBUCQUDUEABCRST $.
      $( [1-Aug-1999] $)
  $}

  $( Multiplication of both sides of 'less than or equal to' by a nonnegative
     number. $)
  lemul1it $p |- ( ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 <_ C ) ) /\
                 A <_ B ) -> ( A x. C ) <_ ( B x. C ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co wi w3a clt wceq wo wb 0re leloet mpan
    3ad2ant3 lemul1t biimpd ex opreq2 breq12d leid cc mul01t breqan12d recnt
    syl2an mpbiri syl5cbi 3adant3 a1dd jaod sylbid 3exp imp4a 3imp1 ) ADEZBDEZC
    DEZFCGHZIABGHZACJKZBCJKZGHZVBVCVDVEVFVILZVBVCVDVEVJLVBVCVDMZVEFCNHZFCOZPZVJ
    VDVBVEVNQZVCFDEVDVORFCSTUAVKVLVJVMVKVLVJVKVLIVFVIABCUBUCUDVKVMVIVFVBVCVMVIL
    VDVMAFJKZBFJKZGHZVIVBVCIZVMVPVGVQVHGFCAJUEFCBJUEUFVSVRFFGHZFRUGAUHEZBUHEZVR
    VTQVBVCWAWBVPFVQFGAUIBUIUJAUKBUKULUMUNUOUPUQURUSUTVA $.
    $( [8-Sep-2007] $) $( [21-Feb-2005] $)

  $( Multiplication of both sides of 'less than or equal to' by a nonnegative
     number. $)
  lemul1itOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
               ( 0 <_ C /\ A <_ B ) ) -> ( A x. C ) <_ ( B x. C ) ) $=
    ( cr wcel w3a cc0 cle wbr cmul co clt wceq wo wi wb 0re leloet mpan
    3ad2ant3 wa lemul1t biimpd ex opreq2 breq12d leid cc mul01t breqan12d
    recnt syl2an mpbiri syl5cbi 3adant3 a1dd jaod sylbid imp32 ) ADEZBDEZCDEZFZ
    GCHIZABHIZACJKZBCJKZHIZVCVDGCLIZGCMZNZVEVHOZVBUTVDVKPZVAGDEVBVMQGCRSTVCVIVL
    VJVCVIVLVCVIUAVEVHABCUBUCUDVCVJVHVEUTVAVJVHOVBVJAGJKZBGJKZHIZVHUTVAUAZVJVNV
    FVOVGHGCAJUEGCBJUEUFVQVPGGHIZGQUGAUHEZBUHEZVPVRPUTVAVSVTVNGVOGHAUIBUIUJAUKB
    UKULUMUNUOUPUQURUS $.
    $( [9-Mar-2005] $) $( [21-Feb-2005] $)

  $( Multiplication of both sides of 'less than or equal to' by a nonnegative
     number.  (Contributed by Paul Chapman, 7-Sep-2007.) $)
  lemul2it $p |- ( ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 <_ C ) ) /\
                      A <_ B ) -> ( C x. A ) <_ ( C x. B ) ) $=
    ( cr wcel cc0 cle wbr wa w3a cmul co lemul1it wceq cc axmulcom recnt
    syl2an adantrr 3adant2 adantr 3adant1 3brtr3d ) ADEZBDEZCDEZFCGHZIZJZABGHZI
    ACKLZBCKLZCAKLZCBKLZGABCMUIUKUMNZUJUDUHUOUEUDUFUOUGAOECOEZUOUDUFACPAQCQZRST
    UAUIULUNNZUJUEUHURUDUEUFURUGBOEUPURUEUFBCPBQUQRSUBUAUC $.
    $( [8-Sep-2007] $) $( [7-Sep-2007] $)

  $( Multiplication of both sides of 'less than or equal to' by a nonnegative
     number. $)
  lemul2itOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
               ( 0 <_ C /\ A <_ B ) ) -> ( C x. A ) <_ ( C x. B ) ) $=
    ( cr wcel w3a cc0 cle wbr wa cmul co lemul1itOLD wceq cc axmulcom recnt
    syl2an 3adant2 adantr 3adant1 3brtr3d ) ADEZBDEZCDEZFZGCHIABHIJZJACKLZBCKLZ
    CAKLZCBKLZHABCMUFUHUJNZUGUCUEULUDAOECOEZULUCUEACPAQCQZRSTUFUIUKNZUGUDUEUOUC
    BOEUMUOUDUEBCPBQUNRUATUB $.
    $( [18-Jun-2005] $) $( [16-Mar-2005] $)

  $( Comparison of product of two positive numbers. $)
  ltmul12it $p |- ( ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ A < B ) ) /\
               ( ( C e. RR /\ D e. RR ) /\ ( 0 <_ C /\ C < D ) ) ) ->
                 ( A x. C ) < ( B x. D ) ) $=
    ( cr wcel wa cc0 cle wbr clt cmul co w3a lemul1itOLD simpll simplr simprl
    3jca adantr pm3.26 ad2antll ltlet imp adantrl ad2ant2r jca sylanc wb
    ltmul2t simprr wi 0re lelttrt mp3an1 adantlr biimpa anasss adantrrl
    axmulrcl ad2ant2lr ad2ant2l syl3anc mp2and an4s ) AEFZBEFZGZCEFZDEFZGZHAIJZ
    ABKJZGZHCIJZCDKJZGZACLMZBDLMZKJZVHVKGZVNVQGZGZVRBCLMZIJZWDVSKJZVTVFVGVINZVO
    ABIJZGWEWCABCOWAWGWBWAVFVGVIVFVGVKPVFVGVKQZVHVIVJRZSTWCVOWHVQVOWAVNVOVPUAUB
    VHVNWHVKVQVHVMWHVLVHVMWHABUCUDUEUFUGUHWAVNVPWFVOWAVNVPWFWAVNGZVPWFVIVJVGNZH
    BKJZVPWFUIWKCDBUJWAWLVNWAVIVJVGWJVHVIVJUKWISTVHVNWMVKVHVNWMHEFVFVGVNWMULUMH
    ABUNUOUDUPUHUQURUSWAWEWFGVTULZWBVREFZWDEFZVSEFZWNWAVRWDVSUNVFVIWOVGVJACUTUF
    VGVIWPVFVJBCUTVAVGVJWQVFVIBDUTVBVCTVDVE $.
    $( [5-Feb-2006] $) $( [30-Dec-2005] $)

  $( Comparison of product of two nonnegative numbers. $)
  lemul12ait $p |- ( ( ( ( A e. RR /\ 0 <_ A ) /\ B e. RR ) /\
       ( C e. RR /\ ( D e. RR /\ 0 <_ D ) ) ) -> ( ( A <_ B /\ C <_ D ) ->
                 ( A x. C ) <_ ( B x. D ) ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co wi w3a lemul2it ex 3comr 3expb adantrrr
    adantlr lemul1it 3expa adantllr adantrl anim12d ancomsd letrt axmulrcl
    ad2ant2r ad2ant2rl adantrr ad2ant2l syl3anc syld ) AEFZGAHIZJZBEFZJZCEFZDEF
    ZGDHIZJZJZJZABHIZCDHIZJACKLZADKLZHIZVIBDKLZHIZJZVHVKHIZVEVGVFVMVEVGVJVFVLUQ
    VDVGVJMZURUQUTVAVOVBUQUTVAVOUTVAUQVOUTVAUQNVGVJCDAOPQRSTUSVCVFVLMZUTUOURVCV
    PUPUOURVCVPUOURVCNVFVLABDUAPUBUCUDUEUFVHEFZVIEFZVKEFZVMVNMVEVHVIVKUGUQUTVQU
    RVCUOUTVQUPACUHTUIUQVCVRURUTUOVAVRUPVBADUHUIUJURVCVSUQUTURVAVSVBBDUHUKULUMU
    N $.
    $( [12-Mar-2008] $) $( [22-Feb-2008] $)

  $( Comparison of product of two nonnegative numbers. $)
  lemul12itOLD $p |- ( ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ A <_ B ) ) /\
               ( ( C e. RR /\ D e. RR ) /\ ( 0 <_ C /\ C <_ D ) ) ) ->
                 ( A x. C ) <_ ( B x. D ) ) $=
    ( cr wcel wa cc0 cle wbr cmul co axmulrcl ad2ant2r adantr ad2ant2rl
    ad2ant2l wi w3a lemul2itOLD ex 3expa ancoms pm3.26 pm3.27 syl2ani adantlr
    imp a1i 0re letrt mp3an1 im2anan9 lemul1itOLD ancomsd adantrl syld letrd
    an4s ) AEFZBEFZGZCEFZDEFZGZHAIJZABIJZGZHCIJZCDIJZGZACKLZBDKLZIJVBVEGZVHVKGZ
    GVLADKLZVMVNVLEFZVOUTVCVQVAVDACMNOVNVPEFZVOUTVDVRVAVCADMPOVNVMEFZVOVAVDVSUT
    VCBDMQOVNVOVLVPIJZUTVEVOVTRVAUTVEGVFVJVTVHVKVEUTVFVJGZVTRZVCVDUTWBVCVDUTSWA
    VTCDATUAUBUCVFVGUDVIVJUEUFUGUHVNVOVPVMIJZVNVOVGHDIJZGZWCVBVHVGVEVKWDVHVGRVB
    VFVGUEUIHEFVCVDVKWDRUJHCDUKULUMVBVDWEWCRZVCUTVAVDWFUTVAVDSZWDVGWCWGWDVGGWCA
    BDUNUAUOUBUPUQUHURUS $.
    $( [18-Nov-2005] $) $( [13-Nov-2005] $)

  $( Comparison of product of two nonnegative numbers. $)
  lemul12it $p |- ( ( ( ( A e. RR /\ 0 <_ A ) /\ B e. RR ) /\
       ( ( C e. RR /\ 0 <_ C ) /\ D e. RR ) ) -> ( ( A <_ B /\ C <_ D ) ->
                 ( A x. C ) <_ ( B x. D ) ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co lemul12ait simpll ad2antlr simprr adantr
    wi 0re letrt mp3an1 exp4b com23 imp41 ad2ant2l jca pm3.27 sylc ex ) AEFGAHI
    JBEFJZCEFZGCHIZJZDEFZJZJZABHIZCDHIZJZACKLBDKLHIZUJUKUNGDHIZJZJZJUSUTUPUSJZA
    BCDMVDUJVCUJUOUSNVDUKVBUOUKUJUSUKULUNNOVDUNVAUPUNUSUJUMUNPQUOURVAUJUQUKULUN
    URVAUKUNULURVARUKUNULURVAGEFUKUNULURJVARSGCDTUAUBUCUDUEUFUFUFUPUSUGUHUI $.
    $( [14-Apr-2008] $) $( [22-Feb-2008] $)

  $( The product of two numbers greater than 1 is greater than 1. $)
  mulgt1t $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 1 < A /\ 1 < B ) ) ->
                1 < ( A x. B ) ) $=
    ( cr wcel wa c1 clt wbr cmul co wi pm3.26 a1i cc0 lt01 0re 1re axlttrn
    mp3an12 mpani adantr w3a ltmul2t biimpd ex mp3an1 ancoms syld imp3a wceq
    cc recnt ax1id syl breq1d sylibd jcad axmulrcl syldan imp ) ACDZBCDZEZFAGHZ
    FBGHZEZFABIJZGHZVCVFVDAVGGHZEZVHVCVFVDVIVFVDKVCVDVELMVCVFAFIJZVGGHZVIVCVDVE
    VLVCVDNAGHZVEVLKZVAVDVMKVBVANFGHZVDVMONCDFCDZVAVOVDEVMKPQNFARSTUAVBVAVMVNKZ
    VPVBVAVQQVPVBVAUBZVMVNVRVMEVEVLFBAUCUDUEUFUGUHUIVCVKAVGGVAVKAUJZVBVAAUKDVSA
    ULAUMUNUAUOUPUQVAVBVGCDZVJVHKZABURVPVAVTWAQFAVGRUFUSUHUT $.
    $( [19-Apr-2005] $) $( [13-Feb-2005] $)

  $( Multiplication by a number greater than 1. $)
  ltmulgt11t $p |- ( ( A e. RR /\ B e. RR /\ 0 < A ) ->
                ( 1 < B <-> A < ( A x. B ) ) ) $=
    ( cr wcel cc0 clt wbr w3a c1 cmul co wb 1re ltmul2t mp3anl1 3impa 3com12
    wceq cc recnt ax1id syl 3ad2ant1 breq1d bitrd ) ACDZBCDZEAFGZHZIBFGZAIJKZAB
    JKZFGZAULFGUGUFUHUJUMLZUGUFUHUNICDUGUFUHUNMIBANOPQUIUKAULFUFUGUKARZUHUFASDU
    OATAUAUBUCUDUE $.
    $( [26-Dec-2005] $) $( [24-Dec-2005] $)

  $( Multiplication by a number greater than 1. $)
  ltmulgt12t $p |- ( ( A e. RR /\ B e. RR /\ 0 < A ) ->
                ( 1 < B <-> A < ( B x. A ) ) ) $=
    ( cr wcel cc0 clt wbr w3a c1 cmul co ltmulgt11t wceq cc axmulcom recnt
    syl2an 3adant3 breq2d bitrd ) ACDZBCDZEAFGZHZIBFGAABJKZFGABAJKZFGABLUDUEUFA
    FUAUBUEUFMZUCANDBNDUGUAUBABOAPBPQRST $.
    $( [16-Feb-2006] $) $( [24-Dec-2005] $)

  $( Multiplication by a number greater than or equal to 1. $)
  lemulge11t $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ 1 <_ B ) ) ->
                A <_ ( A x. B ) ) $=
    ( cr wcel wa cc0 cle wbr c1 cmul co wceq cc recnt ax1id syl ad2antrr
    lemul12itOLD pm3.2 pm2.43i simprl leidt jca simplr 1re jctil simprr 0re
    lt01 ltlei syl2anc eqbrtrrd ) ACDZBCDZEZFAGHZIBGHZEZEZAIJKZAABJKZGUMUTALZUN
    URUMAMDVBANAOPQUMUMEZUPAAGHZEICDZUNEFIGHZUQEUTVAGHUSAAIBRUMVCUNURUMVCUMUMST
    QUSUPVDUOUPUQUAUMVDUNURAUBQUCUSUNVEUMUNURUDUEUFUSUQVFUOUPUQUGFIUHUEUIUJUFUK
    UL $.
    $( [18-Dec-2005] $) $( [17-Dec-2005] $)

  $( Division of both sides of 'less than' by a positive number. $)
  ltdiv1t $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
               ( A < B <-> ( A / C ) < ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa cdiv co wb wi cif wceq breq1 opreq1 breq1d
    bibi12d imbi2d breq2 breq2d opreq2 breq12d bibi2d imbi12d 0re elimel
    ltdiv1 dedth3h 3exp imp4a 3imp ) ADEZBDEZCDEZFCGHZIABGHZACJKZBCJKZGHZLZUNUO
    UPUQVBUNUOUPUQVBMZUNUOUPVCUQUNAFNZBGHZVDCJKZUTGHZLZMABCFFFUQVDUOBFNZGHZVFVI
    CJKZGHZLZMFUPCFNZGHZVJVDVNJKZVIVNJKZGHZLZMAVDOZVBVHUQVTURVEVAVGAVDBGPVTUSVF
    UTGAVDCJQRSTBVIOZVHVMUQWAVEVJVGVLBVIVDGUAWAUTVKVFGBVICJQUBSTCVNOZUQVOVMVSCV
    NFGUAWBVLVRVJWBVFVPVKVQGCVNVDJUCCVNVIJUCUDUEUFVDVIVNAFDUGUHBFDUGUHCFDUGUHUI
    UJUKULUM $.
    $( [14-Aug-2008] $) $( [10-Oct-2004] $)

  $( Division of both sides of 'less than' by a positive number. $)
  ltdiv1tOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < C ) ->
               ( A < B <-> ( A / C ) < ( B / C ) ) ) $=
    ( cr wcel w3a cc0 clt wbr cdiv co wb wi cif wceq breq1 opreq1 breq1d
    bibi12d imbi2d breq2 breq2d opreq2 breq12d bibi2d imbi12d 0re elimel
    ltdiv1 dedth3h imp ) ADEZBDEZCDEZFGCHIZABHIZACJKZBCJKZHIZLZULUMUNUOUTMUOULA
    GNZBHIZVACJKZURHIZLZMABCGGGUOVAUMBGNZHIZVCVFCJKZHIZLZMGUNCGNZHIZVGVAVKJKZVF
    VKJKZHIZLZMAVAOZUTVEUOVQUPVBUSVDAVABHPVQUQVCURHAVACJQRSTBVFOZVEVJUOVRVBVGVD
    VIBVFVAHUAVRURVHVCHBVFCJQUBSTCVKOZUOVLVJVPCVKGHUAVSVIVOVGVSVCVMVHVNHCVKVAJU
    CCVKVFJUCUDUEUFVAVFVKAGDUGUHBGDUGUHCGDUGUHUIUJUK $.
    $( [26-Feb-2005] $) $( [10-Oct-2004] $)

  $( Division of both sides of a less than or equal to relation by a positive
     number. $)
  lediv1t $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
               ( A <_ B <-> ( A / C ) <_ ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a wn cdiv co cle wb ltdiv1t 3com12 negbid
    lenltt 3adant3 wne redivclt gt0ne0t 3adant1 syld3an3 3expb 3adant2 sylanc
    3bitr4d ) ADEZBDEZCDEZFCGHZIZJZBAGHZKZBCLMZACLMZGHZKZABNHZUSURNHZUOUPUTUKUJ
    UNUPUTOBACPQRUJUKVBUQOUNABSTUSDEZURDEZVCVAOUOUSURSUJUNVDUKUJULUMVDUJULCFUAZ
    VDUMACUBULUMVFUJCUCZUDUEUFUGUKUNVEUJUKULUMVEUKULVFVEUMBCUBULUMVFUKVGUDUEUFU
    DUHUI $.
    $( [15-Aug-2008] $) $( [18-Nov-2004] $)

  $( Division of both sides of a less than or equal to relation by a positive
     number. $)
  lediv1tOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < C ) ->
               ( A <_ B <-> ( A / C ) <_ ( B / C ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa wn cdiv co cle wb wi ltdiv1tOLD ex 3com12 imp
    negbid lenltt 3adant3 adantr wne gt0ne0t 3ad2antl3 redivclt 3expa 3adantl2
    3adantl1 jca syldan syl 3bitr4d ) ADEZBDEZCDEZFZGCHIZJZBAHIZKZBCLMZACLMZHIZ
    KZABNIZVEVDNIZVAVBVFUSUTVBVFOZUQUPURUTVJPUQUPURFUTVJBACQRSTUAUSVHVCOZUTUPUQ
    VKURABUBUCUDVAVEDEZVDDEZJZVIVGOUSUTCGUEZVNURUPUTVOUQCUFUGUSVOJVLVMUPURVOVLU
    QUPURVOVLACUHUIUJUQURVOVMUPUQURVOVMBCUHUIUKULUMVEVDUBUNUO $.
    $( [18-Mar-2005] $) $( [18-Nov-2004] $)

  $( Division of a positive number by a positive number. $)
  gt0divt $p |- ( ( A e. RR /\ B e. RR /\ 0 < B ) ->
               ( 0 < A <-> 0 < ( A / B ) ) ) $=
    ( cr wcel cc0 clt wbr w3a cdiv co wb 0re ltdiv1tOLD mp3anl1 3impa wa wne wceq
    gt0ne0t cc div0t recnt sylan syldan breq1d 3adant1 bitrd ) ACDZBCDZEBFGZHEA
    FGZEBIJZABIJZFGZEUMFGZUHUIUJUKUNKZECDUHUIUJUPLEABMNOUIUJUNUOKUHUIUJPULEUMFU
    IUJBEQZULERZBSBTDUQURUIBUABUBUCUDUEUFUG $.
    $( [30-Sep-2005] $) $( [28-Sep-2005] $)

  $( Division of a nonnegative number by a positive number. $)
  ge0divt $p |- ( ( A e. RR /\ B e. RR /\ 0 < B ) ->
               ( 0 <_ A <-> 0 <_ ( A / B ) ) ) $=
    ( cr wcel cc0 clt wbr w3a cle cdiv co wb 0re lediv1tOLD mp3anl1 3impa wa wne
    wceq gt0ne0t cc div0t recnt sylan syldan breq1d 3adant1 bitrd ) ACDZBCDZEBF
    GZHEAIGZEBJKZABJKZIGZEUNIGZUIUJUKULUOLZECDUIUJUKUQMEABNOPUJUKUOUPLUIUJUKQUM
    EUNIUJUKBERZUMESZBTBUADURUSUJBUBBUCUDUEUFUGUH $.
    $( [10-Nov-2005] $) $( [28-Sep-2005] $)

  $( The ratio of two positive numbers is positive. $)
  divgt0t $p |- ( ( ( A e. RR /\ 0 < A ) /\
             ( B e. RR /\ 0 < B ) ) -> 0 < ( A / B ) ) $=
    ( cr wcel cc0 clt wbr cdiv co wi w3a gt0divt biimpd 3exp com34 com23 imp43
    ) ACDZEAFGZBCDZEBFGZEABHIFGZRTSUAUBJRTUASUBRTUASUBJRTUAKSUBABLMNOPQ $.
    $( [11-Aug-2007] $) $( [12-Oct-1999] $)

  $( The ratio of nonnegative and positive numbers is nonnegative. $)
  divge0t $p |- ( ( ( A e. RR /\ 0 <_ A ) /\
             ( B e. RR /\ 0 < B ) ) -> 0 <_ ( A / B ) ) $=
    ( cr wcel cc0 cle wbr clt cdiv co wi w3a ge0divt biimpd 3exp com34 com23
    imp43 ) ACDZEAFGZBCDZEBHGZEABIJFGZSUATUBUCKSUAUBTUCSUAUBTUCKSUAUBLTUCABMNOP
    QR $.
    $( [15-Aug-2007] $) $( [27-Sep-1999] $)

  ${
    divgt0.1 $e |- A e. RR $.
    divgt0.2 $e |- B e. RR $.
    $( The ratio of two positive numbers is positive. $)
    divgt0 $p |- ( ( 0 < A /\ 0 < B ) -> 0 < ( A / B ) ) $=
      ( cr wcel cc0 clt wbr cdiv co wa divgt0t mpanr1 mpanl1 ) AEFZGAHIZGBHIZGA
      BJKHIZCPQLBEFRSDABMNO $.
      $( [16-May-1999] $)

    $( The ratio of nonnegative and positive numbers is nonnegative. $)
    divge0 $p |- ( ( 0 <_ A /\ 0 < B ) -> 0 <_ ( A / B ) ) $=
      ( cr wcel cc0 cle wbr clt cdiv co wa divge0t mpanr1 mpanl1 ) AEFZGAHIZGBJ
      IZGABKLHIZCQRMBEFSTDABNOP $.
      $( [12-Aug-1999] $)

    ${
      divgt0i2.3 $e |- 0 < B $.
      $( The ratio of two positive numbers is positive. $)
      divgt0i2 $p |- ( 0 < A -> 0 < ( A / B ) ) $=
        ( cc0 clt wbr cdiv co divgt0 mpan2 ) FAGHFBGHFABIJGHEABCDKL $.
        $( [16-May-1999] $)
    $}

    ${
      divgt0i.3 $e |- 0 < A $.
      divgt0i.4 $e |- 0 < B $.
      $( The ratio of two positive numbers is positive. $)
      divgt0i $p |- 0 < ( A / B ) $=
        ( cc0 clt wbr cdiv co divgt0i2 ax-mp ) GAHIGABJKHIEABCDFLM $.
        $( [18-May-1999] $)
    $}
  $}

  $( The reciprocal of a positive number is positive.  Exercise 4 of [Apostol]
     p. 21. $)
  recgt0t $p |- ( ( A e. RR /\ 0 < A ) -> 0 < ( 1 / A ) ) $=
    ( c1 cr wcel cc0 clt wbr wa cdiv co 1re lt01 divgt0t mpanl12 ) BCDEBFGACDEA
    FGHEBAIJFGKLBAMN $.
    $( [25-Feb-2005] $) $( [25-Aug-1999] $)

  ${
    recgt0.1 $e |- A e. RR $.
    $( The reciprocal of a positive number is positive.  Exercise 4 of
       [Apostol] p. 21. $)
    recgt0 $p |- ( 0 < A -> 0 < ( 1 / A ) ) $=
      ( cr wcel cc0 clt wbr c1 cdiv co recgt0t mpan ) ACDEAFGEHAIJFGBAKL $.
      $( [15-May-1999] $)
  $}

  $( 'Less than' relationship between division and multiplication. $)
  ltmuldivt $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
                -> ( ( A x. C ) < B <-> A < ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa cmul co cdiv wb wi cif wceq opreq1 breq1d breq1
    bibi12d imbi2d breq2 breq2d opreq2 imbi12d 0re elimel ltmuldiv dedth3h
    3exp imp4a 3imp ) ADEZBDEZCDEZFCGHZIACJKZBGHZABCLKZGHZMZUMUNUOUPVAUMUNUOUPV
    ANZUMUNUOVBUPUMAFOZCJKZBGHZVCUSGHZMZNABCFFFUPVDUNBFOZGHZVCVHCLKZGHZMZNFUOCF
    OZGHZVCVMJKZVHGHZVCVHVMLKZGHZMZNAVCPZVAVGUPVTURVEUTVFVTUQVDBGAVCCJQRAVCUSGS
    TUABVHPZVGVLUPWAVEVIVFVKBVHVDGUBWAUSVJVCGBVHCLQUCTUACVMPZUPVNVLVSCVMFGUBWBV
    IVPVKVRWBVDVOVHGCVMVCJUDRWBVJVQVCGCVMVHLUDUCTUEVCVHVMAFDUFUGBFDUFUGCFDUFUGU
    HUIUJUKUL $.
    $( [16-Aug-2008] $) $( [12-Oct-1999] $)

  $( 'Less than' relationship between division and multiplication. $)
  ltmuldivtOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < B ) ->
                  ( ( A x. B ) < C <-> A < ( C / B ) ) ) $=
    ( cr wcel w3a cc0 clt wbr cmul co cdiv wb wi cif wceq opreq1 breq1d breq1
    bibi12d imbi2d breq2 opreq2 breq2d imbi12d 0re elimel ltmuldiv dedth3h imp
    ) ADEZBDEZCDEZFGBHIZABJKZCHIZACBLKZHIZMZUKULUMUNUSNUNUKAGOZBJKZCHIZUTUQHIZM
    ZNABCGGGGULBGOZHIZUTVEJKZCHIZUTCVELKZHIZMZNVFVGUMCGOZHIZUTVLVELKZHIZMZNAUTP
    ZUSVDUNVQUPVBURVCVQUOVACHAUTBJQRAUTUQHSTUABVEPZUNVFVDVKBVEGHUBVRVBVHVCVJVRV
    AVGCHBVEUTJUCRVRUQVIUTHBVECLUCUDTUECVLPZVKVPVFVSVHVMVJVOCVLVGHUBVSVIVNUTHCV
    LVELQUDTUAUTVLVEAGDUFUGCGDUFUGBGDUFUGUHUIUJ $.
    $( [26-Feb-2005] $) $( [12-Oct-1999] $)

  $( 'Less than' relationship between division and multiplication. $)
  ltmuldiv2t $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
                   -> ( ( C x. A ) < B <-> A < ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co cdiv wceq cc axmulcom recnt syl2an
    adantrr 3adant2 breq1d ltmuldivt bitr3d ) ADEZBDEZCDEZFCGHZIZJZACKLZBGHCAKL
    ZBGHABCMLGHUIUJUKBGUDUHUJUKNZUEUDUFULUGAOECOEULUDUFACPAQCQRSTUAABCUBUC $.
    $( [17-Aug-2008] $) $( [18-Nov-2004] $)

  $( 'Less than' relationship between division and multiplication. $)
  ltmuldiv2tOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < A ) ->
                      ( ( A x. B ) < C <-> B < ( C / A ) ) ) $=
    ( cr wcel w3a cc0 clt wbr cmul co cdiv wb wi wa wceq cc axmulcom recnt
    syl2an 3adant3 adantr breq1d ltmuldivtOLD bitr3d ex 3com12 imp ) ADEZBDEZCDEZF
    GAHIZABJKZCHIZBCALKHIZMZUJUIUKULUPNUJUIUKFZULUPUQULOZBAJKZCHIUNUOURUSUMCHUQ
    USUMPZULUJUIUTUKBQEAQEUTUJUIBARBSASTUAUBUCBACUDUEUFUGUH $.
    $( [26-Feb-2005] $) $( [18-Nov-2004] $)

  $( 'Less than' relationship between division and multiplication. $)
  ltdivmult $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
              -> ( ( A / C ) < B <-> A < ( C x. B ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co cdiv wb ltdiv1t axmulrcl ancoms
    adantrr 3adant1 syld3an2 wceq cc wne divcan3t recnt ad2antrl adantr
    gt0ne0t adantl syl3anc breq2d bitr2d ) ADEZBDEZCDEZFCGHZIZJZACBKLZGHZACMLZU
    SCMLZGHZVABGHUMUSDEZUQUTVCNUNAUSCOUNUQVDUMUNUOVDUPUOUNVDCBPQRSTURVBBVAGUNUQ
    VBBUAZUMCUBEZBUBEZCFUCZVEUNUQICBUDUOVFUNUPCUEUFUNVGUQBUEUGUQVHUNCUHUIUJSUKU
    L $.
    $( [17-Aug-2008] $) $( [18-Nov-2004] $)

  $( 'Less than' relationship between division and multiplication. $)
  ltdivmultOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < B ) ->
                  ( ( A / B ) < C <-> A < ( B x. C ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cmul co cdiv wb ltdiv1tOLD 3simp1 axmulrcl
    3adant1 3simp2 3jca sylan wceq wi wne gt0ne0t ex adantr cc divcan3t 3expia
    recnt syl2an syld imp breq2d bitr2d ) ADEZBDEZCDEZFZGBHIZJZABCKLZHIZABMLZVC
    BMLZHIZVECHIUQVCDEZURFVAVDVGNUTAVCBOUTUQVHURUQURUSPURUSVHUQBCQRUQURUSSTUAVB
    VFCVEHUTVAVFCUBZURUSVAVIUCUQURUSJVABGUDZVIURVAVJUCUSURVAVJBUEUFUGBUHEZCUHEZ
    VJVIUCURUSVKVLVJVIBCUIUJBUKCUKULUMRUNUOUP $.
    $( [26-Feb-2005] $)


  $( 'Less than or equal to' relationship between division and
     multiplication. $)
  ledivmultOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < B ) ->
                  ( ( A / B ) <_ C <-> A <_ ( B x. C ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cmul co cle cdiv wb lediv1tOLD 3simp1 axmulrcl
    3adant1 3simp2 3jca sylan wceq wi wne gt0ne0t ex adantr cc divcan3t 3expia
    recnt syl2an syld imp breq2d bitr2d ) ADEZBDEZCDEZFZGBHIZJZABCKLZMIZABNLZVD
    BNLZMIZVFCMIURVDDEZUSFVBVEVHOVAAVDBPVAURVIUSURUSUTQUSUTVIURBCRSURUSUTTUAUBV
    CVGCVFMVAVBVGCUCZUSUTVBVJUDURUSUTJVBBGUEZVJUSVBVKUDUTUSVBVKBUFUGUHBUIEZCUIE
    ZVKVJUDUSUTVLVMVKVJBCUJUKBULCULUMUNSUOUPUQ $.
    $( [18-Dec-2005] $)

  $( 'Less than' relationship between division and multiplication. $)
  ltdivmul2t $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) )
                 -> ( ( A / C ) < B <-> A < ( B x. C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cdiv co cmul ltdivmult wceq cc axmulcom recnt
    syl2an adantrr 3adant1 breq2d bitr4d ) ADEZBDEZCDEZFCGHZIZJZACKLBGHACBMLZGH
    ABCMLZGHABCNUIUKUJAGUEUHUKUJOZUDUEUFULUGBPECPEULUEUFBCQBRCRSTUAUBUC $.
    $( [17-Aug-2008] $) $( [24-Feb-2005] $)

  $( 'Less than' relationship between division and multiplication. $)
  ltdivmul2tOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < B ) ->
                  ( ( A / B ) < C <-> A < ( C x. B ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cdiv co cmul ltdivmultOLD wceq cc axmulcom recnt
    syl2an 3adant1 adantr breq2d bitrd ) ADEZBDEZCDEZFZGBHIZJZABKLCHIABCMLZHIAC
    BMLZHIABCNUIUJUKAHUGUJUKOZUHUEUFULUDBPECPEULUEUFBCQBRCRSTUAUBUC $.
    $( [7-May-2005] $) $( [24-Feb-2005] $)

  $( 'Less than' relationship between division and multiplication. $)
  lt2mul2divt $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) /\
                    ( 0 < B /\ 0 < D ) ) ->
                    ( ( A x. B ) < ( C x. D ) <-> ( A / D ) < ( C / B ) ) ) $=
    ( cr wcel wa cc0 clt wbr w3a cmul co cdiv wceq cc axmulcom recnt syl2an
    opreq1d 3ad2ant2 wne divasst ad2antlr 3adant1 ad2antrl 3adant3 3ad2ant1
    3jca gt0ne0t 3adant2 sylanc eqtrd 3adant3r 3adant1l breq2d wb ltmuldivtOLD
    pm3.26 pm3.27 axmulrcl 3ad2ant3 ltdivmultOLD redivclt syld3an3 3com12
    3adant2r 3bitr4d ) AEFZBEFZGZCEFZDEFZGZHBIJZHDIJZGZKZACDLMZBNMZIJZADCBNMZLM
    ZIJZABLMVSIJZADNMWBIJZVRVTWCAIVJVNVQVTWCOZVIVJVNVOWGVPVJVNVOKZVTDCLMZBNMZWC
    VNVJVTWJOVOVNVSWIBNCPFZDPFZVSWIOVLVMCDQCRZDRZSTUAWLWKBPFZKBHUBZWJWCOWHDCBUC
    WHWLWKWOVNVOWLVJVMWLVLVOWNUDUEVJVNWKVOVLWKVJVMWMUFUGVJVNWOVOBRUHUIVJVOWPVNB
    UJZUKULUMUNUOUPVIVJVSEFZKVOWEWAUQVRABVSURVRVIVJWRVKVNVIVQVIVJUSUHZVKVNVJVQV
    IVJUTUHVNVKWRVQCDVAUAUIVQVKVOVNVOVPUSVBULVIVMWBEFZKVPWFWDUQVRADWBVCVRVIVMWT
    WSVNVKVMVQVLVMUTUAVJVNVQWTVIVJVLVQWTVMVJVLVOWTVPVLVJVOWTVLVJWPWTVOCBVDVJVOW
    PVLWQUEVEVFUNVGUOUIVQVKVPVNVOVPUTVBULVH $.
    $( [27-Jan-2006] $)


  $( 'Less than or equal to' relationship between division and
     multiplication. $)
  ledivmul2tOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < B ) ->
                  ( ( A / B ) <_ C <-> A <_ ( C x. B ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cdiv co cle cmul ledivmultOLD wceq cc axmulcom
    recnt syl2an 3adant1 adantr breq2d bitrd ) ADEZBDEZCDEZFZGBHIZJZABKLCMIABCN
    LZMIACBNLZMIABCOUJUKULAMUHUKULPZUIUFUGUMUEBQECQEUMUFUGBCRBSCSTUAUBUCUD $.
    $( [23-Dec-2005] $)

  $( 'Less than or equal' relationship between division and multiplication. $)
  lemuldivt $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
                  ( ( A x. C ) <_ B <-> A <_ ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cdiv co wn cmul cle wb ltdivmul2t 3com12
    negbid lenltt 3simp1 wne redivclt gt0ne0t 3adant1 syld3an3 3expb sylanc
    axmulrcl 3adant2 3simp2 3adant3r 3bitr4rd ) ADEZBDEZCDEZFCGHZIZJZBCKLZAGHZM
    ZBACNLZGHZMZAUTOHZVCBOHZUSVAVDUOUNURVAVDPBACQRSUNUTDEZVFVBPUSAUTTUNUOURUAUO
    URVHUNUOUPUQVHUOUPCFUBZVHUQBCUCUPUQVIUOCUDUEUFUGUEUHUNUOUPVGVEPZUQVCDEZUOVJ
    UNUOUPJVCBTUNUPVKUOACUIUJUNUOUPUKUHULUM $.
    $( [19-Aug-2008] $) $( [10-Mar-2006] $)

  $( 'Less than or equal' relationship between division and multiplication. $)
  lemuldivtOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < B ) ->
                  ( ( A x. B ) <_ C <-> A <_ ( C / B ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cdiv co wn cmul cle wb ltdivmul2tOLD 3anrev
    sylanb negbid lenltt 3simp1 adantr wne gt0ne0t adantlr redivclt 3com12
    3expa syldan 3adantl1 sylanc axmulrcl 3adant3 3simp3 3bitr4rd ) ADEZBDEZCDE
    ZFZGBHIZJZCBKLZAHIZMZCABNLZHIZMZAVCOIZVFCOIZVBVDVGUSURUQFVAVDVGPUTCBAQUQURU
    SRSTUQVCDEZVIVEPVBAVCUAUTUQVAUQURUSUBUCURUSVAVKUQURUSJVABGUDZVKURVAVLUSBUEU
    FURUSVLVKUSURVLVKCBUGUHUIUJUKULUTVJVHPZVAVFDEZUSVMUTVFCUAUQURVNUSABUMUNUQUR
    USUOULUCUP $.
    $( [13-Mar-2006] $)

  $( 'Less than or equal' relationship between division and multiplication. $)
  lemuldiv2t $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 < C ) ) ->
                      ( ( C x. A ) <_ B <-> A <_ ( B / C ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a cmul co cle cdiv wceq cc axmulcom recnt
    syl2an adantrr 3adant2 breq1d lemuldivt bitr3d ) ADEZBDEZCDEZFCGHZIZJZACKLZ
    BMHCAKLZBMHABCNLMHUJUKULBMUEUIUKULOZUFUEUGUMUHAPECPEUMUEUGACQARCRSTUAUBABCU
    CUD $.
    $( [20-Aug-2008] $) $( [10-Mar-2006] $)

  $( 'Less than or equal' relationship between division and multiplication. $)
  lemuldiv2tOLD $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ 0 < A ) ->
                      ( ( A x. B ) <_ C <-> B <_ ( C / A ) ) ) $=
    ( cr wcel w3a cc0 clt wbr cmul co cle cdiv wb wi wa wceq cc axmulcom recnt
    syl2an 3adant3 adantr breq1d lemuldivtOLD bitr3d ex 3com12 imp ) ADEZBDEZCDEZF
    GAHIZABJKZCLIZBCAMKLIZNZUKUJULUMUQOUKUJULFZUMUQURUMPZBAJKZCLIUOUPUSUTUNCLUR
    UTUNQZUMUKUJVAULBREAREVAUKUJBASBTATUAUBUCUDBACUEUFUGUHUI $.
    $( [18-Mar-2006] $) $( [10-Mar-2006] $)

  ${
    ltrec.1 $e |- A e. RR $.
    ltrec.2 $e |- B e. RR $.
    ${
      ltreci.3 $e |- 0 < A $.
      ltreci.4 $e |- 0 < B $.
      $( The reciprocal of both sides of 'less than'. $)
      ltreci $p |- ( A < B <-> ( 1 / B ) < ( 1 / A ) ) $=
        ( cdiv co clt wbr c1 cmul recn gt0ne0i divid recid eqtr4 divrec
        breq12i ltdiv1i cc0 wb rereccl ltmul2 ax-mp 3bitr4 ) AAGHZBAGHZIJBKBGHZ
        LHZBKAGHZLHZIJZABIJUIUKIJZUGUJUHULIUGKUJAACMZACENZOBBDMZBDFNZPQBAUQUOUP
        RSABACDCETUABIJUNUMUBFUIUKBBDURUCACUPUCDUDUEUF $.
        $( [15-Sep-1999] $)
    $}

    $( The reciprocal of both sides of 'less than'. $)
    ltrec $p |- ( ( 0 < A /\ 0 < B ) ->
                ( A < B <-> ( 1 / B ) < ( 1 / A ) ) ) $=
      ( cc0 clt wbr c1 cdiv co wb cif wceq breq1 opreq2 breq2d bibi12d breq2
      breq1d cr 1re keepel elimgt0 ltreci dedth2h ) EAFGZEBFGZABFGZHBIJZHAIJZFG
      ZKUFAHLZBFGZUIHULIJZFGZKULUGBHLZFGZHUPIJZUNFGZKABHHAULMZUHUMUKUOAULBFNUTU
      JUNUIFAULHIOPQBUPMZUMUQUOUSBUPULFRVAUIURUNFBUPHIOSQULUPUFAHTCUAUBUGBHTDUA
      UBAUCBUCUDUE $.
      $( [15-Sep-1999] $)

    $( The reciprocal of both sides of 'less than or equal to'. $)
    lerec $p |- ( ( 0 < A /\ 0 < B ) ->
                ( A <_ B <-> ( 1 / B ) <_ ( 1 / A ) ) ) $=
      ( cc0 clt wbr wa wceq wo c1 cdiv co cle ltrec wne wb recn rec11 gt0ne0
      syl2an eqcom syl5rbbr orbi12d cr wcel rerecclz syl anim12i ancoms leloet
      bitr4d leloe syl5bb ) EAFGZEBFGZHZABFGZABIZJZKBLMZKALMZNGZABNGUQUTVAVBFGZ
      VAVBIZJZVCUQURVDUSVEABCDOUQVBVAIZUSVEAEPZBEPZVGUSQUOUPABACRBDRSACTZBDTZUA
      VBVAUBUCUDUQVAUEUFZVBUEUFZHZVCVFQUPUOVNUPVLUOVMUPVIVLVKBDUGUHUOVHVMVJACUG
      UHUIUJVAVBUKUHULABCDUMUN $.
      $( [16-Sep-1999] $)

    $( The square function on nonnegative reals is strictly monotonic. $)
    lt2msq $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                ( A < B <-> ( A x. A ) < ( B x. B ) ) ) $=
      ( cc0 clt wbr wceq wo cmul co wb cle wa ltmul2 ltmul1 bi2anan9 anidm
      syl5bbr remulcl lttr syl6bi wn lemul2 lemul1 bi2anan9r letr lenlt
      3imtr3g a3d impbid breq1 adantr 0re opreq2 breq1d recn mul01 eqtr4
      breq1i syl5bb sylan9bbr bitr3d adantl sylan9bb 3bitr3g con4bid pm5.21
      ltnr bicomd mtbii sylanc ccase leloe syl2anb ) EAFGZEAHZIEBFGZEBHZIABFGZA
      AJKZBBJKZFGZLZEAMGZEBMGVPVRVQVSWDVPVRNZVTWCWFVTWAABJKZFGZWGWBFGZNZWCWFVTV
      TNWJVTVPVTWHVRVTWIABACDCOABBCDDPQVTRSWAWGWBAACCTZABCDTBBDDTZUAUBWFVTWCWFB
      AMGZWBWAMGZVTUCZWCUCZWFWMWBBAJKZMGZWQWAMGZNZWNWFWMWMNWTWMVRWMWRVPWMWSBABD
      CDUDBAADCCUEUFWMRSWBWQWAWLBADCTWKUGUBBADCUHZWBWAWLWKUHZUIUJUKVQVRNVRVTWCV
      QVRVTLVREABFULZUMVRVRBEJKZWBFGZVQWCEBBUNDDOVQAEJKZWBFGWCXEVQXFWAWBFEAAJUO
      UPXDXFWBFXDEXFBBDUQURZAACUQURZUSUTVAZVBVCVPVSNZVTWCXJWMWNWOWPXJWEWMWNVSWE
      WMLVPEBAMULVDVPWEXFWAMGZVSWNEAAUNCCUDVSXDWAMGWNXKVSXDWBWAMEBBJUOZUPXFXDWA
      MXFEXDXHXGUSUTVAVEVCXAXBVFVGWOWPWDVQVSNZVTWCVHXMBBFGZVTBDVIVSXNVRVQVTVSVR
      XNEBBFULVJXCVBVKXMWBWBFGZWCWBWLVIVSXOXEVQWCVSXEXOVSXDWBWBFXLUPVJXIVBVKVLV
      MEAUNCVNEBUNDVNVO $.
      $( [3-Aug-1999] $)

    $( The square function on nonnegative reals is monotonic. $)
    le2msq $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                ( A <_ B <-> ( A x. A ) <_ ( B x. B ) ) ) $=
      ( cc0 cle wbr cmul co wb wa clt wn lt2msq negbid lenlt remulcl 3bitr4g
      ancoms ) EBFGZEAFGZABFGZAAHIZBBHIZFGZJTUAKZBALGZMUDUCLGZMUBUEUFUGUHBADCNO
      ABCDPUCUDAACCQBBDDQPRS $.
      $( [2-Aug-1999] $)

    $( The square of a nonnegative number is a one-to-one function. $)
    msq11 $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                ( ( A x. A ) = ( B x. B ) <-> A = B ) ) $=
      ( cc0 cle wbr wa wceq cmul co clt wo wne lt2msq wb ancoms orbi12d lttri2
      remulcl 3bitr4g necon4bid bicomd ) EAFGZEBFGZHZABIAAJKZBBJKZIUFABUGUHUFAB
      LGZBALGZMUGUHLGZUHUGLGZMABNUGUHNUFUIUKUJULABCDOUEUDUJULPBADCOQRABCDSUGUHA
      ACCTBBDDTSUAUBUC $.
      $( [29-Jul-1999] $)
  $}

  $( The reciprocal of both sides of 'less than'. $)
  ltrect $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) ->
              ( A < B <-> ( 1 / B ) < ( 1 / A ) ) ) $=
    ( cr wcel cc0 clt wbr c1 cdiv co wb wa wi cif wceq breq2 anbi1d breq1
    opreq2 breq2d bibi12d imbi12d anbi2d breq1d 0re elimel ltrec dedth2h imp
    an4s ) ACDZBCDZEAFGZEBFGZABFGZHBIJZHAIJZFGZKZUKULLUMUNLZUSUKULUTUSMEUKAENZF
    GZUNLZVABFGZUPHVAIJZFGZKZMVBEULBENZFGZLZVAVHFGZHVHIJZVEFGZKZMABEEAVAOZUTVCU
    SVGVOUMVBUNAVAEFPQVOUOVDURVFAVABFRVOUQVEUPFAVAHISTUAUBBVHOZVCVJVGVNVPUNVIVB
    BVHEFPUCVPVDVKVFVMBVHVAFPVPUPVLVEFBVHHISUDUAUBVAVHAECUEUFBECUEUFUGUHUIUJ $.
    $( [20-Mar-2006] $) $( [26-Sep-1999] $)

  $( The reciprocal of both sides of 'less than or equal to'. $)
  lerect $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) ->
              ( A <_ B <-> ( 1 / B ) <_ ( 1 / A ) ) ) $=
    ( cr wcel cc0 clt wbr cle c1 cdiv co wb wa wi cif wceq breq2 anbi1d breq1
    opreq2 breq2d bibi12d imbi12d anbi2d breq1d 0re elimel lerec dedth2h imp
    an4s ) ACDZBCDZEAFGZEBFGZABHGZIBJKZIAJKZHGZLZULUMMUNUOMZUTULUMVAUTNEULAEOZF
    GZUOMZVBBHGZUQIVBJKZHGZLZNVCEUMBEOZFGZMZVBVIHGZIVIJKZVFHGZLZNABEEAVBPZVAVDU
    TVHVPUNVCUOAVBEFQRVPUPVEUSVGAVBBHSVPURVFUQHAVBIJTUAUBUCBVIPZVDVKVHVOVQUOVJV
    CBVIEFQUDVQVEVLVGVNBVIVBHQVQUQVMVFHBVIIJTUEUBUCVBVIAECUFUGBECUFUGUHUIUJUK
    $.
    $( [6-Apr-2006] $) $( [3-Oct-1999] $)

  $( Two nonnegative numbers compare the same as their squares.  (Contributed
     by Roy F. Longton, 8-Aug-2005.) $)
  lt2msqt $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
                  ( A < B <-> ( A x. A ) < ( B x. B ) ) ) $=
    ( cr wcel cc0 cle wbr clt cmul co wb wa wi cif wceq breq2 anbi1d breq1
    opreq12 anidms breq1d bibi12d imbi12d anbi2d breq2d 0re elimel lt2msq
    dedth2h imp an4s ) ACDZBCDZEAFGZEBFGZABHGZAAIJZBBIJZHGZKZULUMLUNUOLZUTULUMV
    AUTMEULAENZFGZUOLZVBBHGZVBVBIJZURHGZKZMVCEUMBENZFGZLZVBVIHGZVFVIVIIJZHGZKZM
    ABEEAVBOZVAVDUTVHVPUNVCUOAVBEFPQVPUPVEUSVGAVBBHRVPUQVFURHVPUQVFOAVBAVBISTUA
    UBUCBVIOZVDVKVHVOVQUOVJVCBVIEFPUDVQVEVLVGVNBVIVBHPVQURVMVFHVQURVMOBVIBVIIST
    UEUBUCVBVIAECUFUGBECUFUGUHUIUJUK $.
    $( [8-Aug-2005] $) $( [8-Aug-2005] $)

  $( Division of a positive number by both sides of 'less than'. $)
  ltdiv2t $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
      ( 0 < A /\ 0 < B /\ 0 < C ) ) -> ( A < B <-> ( C / B ) < ( C / A ) ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cdiv co wb an6 c1 ltrect 3adant3 wne wi cmul
    ltmul2t rerecclt syl3anl2 syl3anl1 cc wceq divrect recnt syl3an2 3expb
    3adant2 breq12d 3coml syl3an3 adantr bitr4d ex 3com12 3exp imp4a 3imp
    pm3.26 gt0ne0t jca syl3an1 bitrd sylbi ) ADEZBDEZCDEZFGAHIZGBHIZGCHIZFJVHVK
    JZVIVLJZVJVMJZFZABHIZCBKLZCAKLZHIZMVHVIVJVKVLVMNVQVROBKLZOAKLZHIZWAVNVOVRWD
    MVPABPQVHAGRZJZVOVPWDWAMZVNWFVIBGRZJZVPWGVOWFWIVPWGWFWIVJVMWGWFWIVJVMWGSZWI
    WFVJWJWIWFVJFZVMWGWKVMJWDCWBTLZCWCTLZHIZWAWBDEZWFVJVMWDWNMZWIWOWCDEVJVMWPWF
    WBWCCUAAUBUCBUBUDWKWAWNMZVMWIWFCUEEZWQVJWRWIWFWQWRWIWFFVSWLVTWMHWRWIVSWLUFZ
    WFWRVIWHWSWRBUEEWHWSVICBUGBUHUIUJQWRWFVTWMUFZWIWRVHWEWTWRAUEEWEWTVHCAUGAUHU
    IUJUKULUMCUHUNUOUPUQURUSUTVAVOVIWHVIVLVBBVCVDUIVNVHWEVHVKVBAVCVDVEVFVG $.
    $( [26-Jul-2006] $) $( [27-Apr-2005] $)

  $( Reciprocal swap in a 'less than' relation. $)
  ltrec1t $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) ->
              ( ( 1 / A ) < B <-> ( 1 / B ) < A ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co wb ltrect wne gt0ne0t rerecclt syldan
    recgt0t jca sylan wceq cc recrect recnt adantr breq2d bitrd ) ACDZEAFGZHZBC
    DEBFGHZHZIAJKZBFGZIBJKZIUMJKZFGZUOAFGUMCDZEUMFGZHUKUNUQLUJUMBMUJURUSUHUIAEN
    ZURAOZAPQARSTULUPAUOFUJUPAUAZUKUHUIUTVBVAAUBDUTVBUHAUCAUDTQUEUFUG $.
    $( [16-Jun-2007] $) $( [24-Feb-2005] $)

  $( Reciprocal swap in a 'less than or equal to' relation. $)
  lerec2t $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) ->
              ( A <_ ( 1 / B ) <-> B <_ ( 1 / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co cle wb lerect wne gt0ne0t rerecclt
    syldan recgt0t jca sylan2 wceq cc recrect recnt sylan adantl breq1d bitrd
    ) ACDEAFGHZBCDZEBFGZHZHZAIBJKZLGZIUOJKZIAJKZLGZBURLGUJUOCDZEUOFGZHUPUSMUMAU
    ONUMUTVAUKULBEOZUTBPZBQRBSTUAUNUQBURLUMUQBUBZUJUKULVBVDVCBUCDVBVDUKBUDBUEUF
    RUGUHUI $.
    $( [15-Jun-2007] $) $( [24-Feb-2005] $)

  $( Invert ratios of positive numbers and swap their ordering. $)
  ledivdivt $p |- ( ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) ) /\
                      ( ( C e. RR /\ 0 < C ) /\ ( D e. RR /\ 0 < D ) ) ) ->
                  ( ( A / B ) <_ ( C / D ) <-> ( D / C ) <_ ( B / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa cdiv co cle c1 wb lerect wne redivclt 3expb
    pm3.26 gt0ne0t jca sylan2 adantlr divgt0t syl2an cc wceq recdivt recnt
    adantr breqan12rd bitrd ) AEFZGAHIZJZBEFZGBHIZJZJZCEFZGCHIZJZDEFZGDHIZJZJZJ
    ABKLZCDKLZMIZNVIKLZNVHKLZMIZDCKLZBAKLZMIVHEFZGVHHIZJVIEFZGVIHIZJVJVMOUTVGVH
    VIPUTVPVQUNUSVPUOUNUQBGQZJVPUSUNUQVTVPABRSUSUQVTUQURTBUAZUBUCUDABUEUBVGVRVS
    VAVFVRVBVAVDDGQZJVRVFVAVDWBVRCDRSVFVDWBVDVETDUAZUBUCUDCDUEUBUFVGUTVKVNVLVOM
    CUGFZCGQZJDUGFZWBJVKVNUHVCVFCDUIVCWDWEVAWDVBCUJUKCUAUBVFWFWBVDWFVEDUJUKWCUB
    UFAUGFZAGQZJBUGFZVTJVLVOUHUPUSABUIUPWGWHUNWGUOAUJUKAUAUBUSWIVTUQWIURBUJUKWA
    UBUFULUM $.
    $( [22-May-2006] $) $( [9-Jan-2006] $)

  $( Division of a positive number by both sides of 'less than or equal to'. $)
  lediv2t $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) /\
       ( C e. RR /\ 0 < C ) ) -> ( A <_ B <-> ( C / B ) <_ ( C / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa w3a c1 cdiv co cle cmul wb lemul2t wne gt0ne0t
    rerecclt syldan 3ad2ant2 3ad2ant1 pm3.26 3ad2ant3 3jca pm3.27 sylanc
    lerect 3adant3 wceq cc divrect 3expb recnt adantr jca syl2an 3adant2
    breq12d 3coml 3adant3r 3bitr4d ) ADEZFAGHZIZBDEZFBGHZIZCDEZFCGHZIZJZKBLMZKA
    LMZNHZCVNOMZCVOOMZNHZABNHZCBLMZCALMZNHZVNDEZVODEZVJJVKVPVSPVMVNVOCQVMWDWEVJ
    VIVFWDVLVGVHBFRZWDBSZBTUAUBVFVIWEVLVDVEAFRZWEASZATUAUCVLVFVJVIVJVKUDUEUFVLV
    FVKVIVJVKUGUEUHVFVIVTVPPVLABUIUJVFVIVJWCVSPZVKVJVFVIWJVJVFVIJWAVQWBVRNVJVIW
    AVQUKZVFCULEZBULEZWFIWKVJVIWLWMWFWKCBUMUNCUOZVIWMWFVGWMVHBUOUPWGUQURUSVJVFW
    BVRUKZVIWLAULEZWHIWOVJVFWLWPWHWOCAUMUNWNVFWPWHVDWPVEAUOUPWIUQURUJUTVAVBVC
    $.
    $( [7-Feb-2006] $) $( [10-Jan-2006] $)

  $( Swap denominator with other side of 'less than'. $)
  ltdiv23t $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
                  ( 0 < B /\ 0 < C ) ) ->
                  ( ( A / B ) < C <-> ( A / C ) < B ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cdiv co cmul wb wne gt0ne0t adantll redivclt
    3expa syldan 3adantl3 3simp3 adantr 3simp2 3jca ltmul1t sylancom adantrr
    wceq cc divcan1tOLD 3com12 recnt anim12i sylan breq1d ltdiv1tOLD 3simp1 axmulrcl
    ancoms 3adant1 divcan3t syl3an2 syl3an1 3adantl1 breq2d bitrd adantrl
    3bitrd ) ADEZBDEZCDEZFZGBHIZGCHIZJJZABKLZCHIZVQBMLZCBMLZHIZAVTHIZACKLZBHIZV
    MVNVRWANZVOVMVNVQDEZVLVKFWEVMVNJWFVLVKVJVKVNWFVLVJVKJZVNBGOZWFVKVNWHVJBPQZV
    JVKWHWFABRSTUAVMVLVNVJVKVLUBZUCVMVKVNVJVKVLUDUCUEVQCBUFUGUHVPVSAVTHVMVNVSAU
    IZVOVJVKVNWKVLWGVNWHWKWIAUJEZBUJEZJWHWKWGWLWMWHWKWMWLWHWKBAUKULSVJWLVKWMAUM
    BUMZUNUOTUAUHUPVMVOWBWDNVNVMVOJZWBWCVTCKLZHIZWDVJVTDEZVLFVOWBWQNVMAVTCUQVMV
    JWRVLVJVKVLURVKVLWRVJVLVKWRCBUSUTVAWJUEUOWOWPBWCHVKVLVOWPBUIZVJVKVLJVOCGOZW
    SVLVOWTVKCPQVKVLWTWSVLVKWTWSCUJEZVKWTWSVLXAWMWTWSVKCBVBWNVCCUMVDULSTVEVFVGV
    HVI $.
    $( [31-May-2005] $) $( [3-Oct-1999] $)

  $( Swap denominator with other side of 'less than or equal to'. $)
  lediv23t $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\
                  ( 0 < B /\ 0 < C ) ) ->
                  ( ( A / B ) <_ C <-> ( A / C ) <_ B ) ) $=
    ( cr wcel w3a cc0 clt wbr wa cdiv co cle cmul wb wne gt0ne0t adantll
    redivclt 3expa syldan 3adantl3 3simp3 adantr 3simp2 3jca lemul1t sylancom
    adantrr wceq cc divcan1tOLD 3com12 recnt anim12i sylan breq1d lediv1tOLD 3simp1
    axmulrcl ancoms 3adant1 divcan3t syl3an2 syl3an1 3adantl1 breq2d bitrd
    adantrl 3bitrd ) ADEZBDEZCDEZFZGBHIZGCHIZJJZABKLZCMIZVRBNLZCBNLZMIZAWAMIZAC
    KLZBMIZVNVOVSWBOZVPVNVOVRDEZVMVLFWFVNVOJWGVMVLVKVLVOWGVMVKVLJZVOBGPZWGVLVOW
    IVKBQRZVKVLWIWGABSTUAUBVNVMVOVKVLVMUCZUDVNVLVOVKVLVMUEUDUFVRCBUGUHUIVQVTAWA
    MVNVOVTAUJZVPVKVLVOWLVMWHVOWIWLWJAUKEZBUKEZJWIWLWHWMWNWIWLWNWMWIWLBAULUMTVK
    WMVLWNAUNBUNZUOUPUAUBUIUQVNVPWCWEOVOVNVPJZWCWDWACKLZMIZWEVKWADEZVMFVPWCWROV
    NAWACURVNVKWSVMVKVLVMUSVLVMWSVKVMVLWSCBUTVAVBWKUFUPWPWQBWDMVLVMVPWQBUJZVKVL
    VMJVPCGPZWTVMVPXAVLCQRVLVMXAWTVMVLXAWTCUKEZVLXAWTVMXBWNXAWTVLCBVCWOVDCUNVEU
    MTUAVFVGVHVIVJ $.
    $( [27-Jun-2005] $) $( [30-May-2005] $)

  ${
    ltdiv23.1 $e |- A e. RR $.
    ltdiv23.2 $e |- B e. RR $.
    ltdiv23.3 $e |- C e. RR $.
    $( Swap denominator with other side of 'less than'. $)
    ltdiv23 $p |- ( ( 0 < B /\ 0 < C ) ->
                ( ( A / B ) < C <-> ( A / C ) < B ) ) $=
      ( cr wcel w3a cc0 clt wbr wa cdiv co wb 3pm3.2i ltdiv23t mpan ) AGHZBGHZC
      GHZIJBKLJCKLMABNOCKLACNOBKLPTUAUBDEFQABCRS $.
      $( [26-Sep-1999] $)

    ${
      ltdiv23i.4 $e |- 0 < B $.
      ltdiv23i.5 $e |- 0 < C $.
      $( Swap denominator with other side of 'less than'. $)
      ltdiv23i $p |- ( ( A / B ) < C <-> ( A / C ) < B ) $=
        ( cc0 clt wbr cdiv co wb ltdiv23 mp2an ) IBJKICJKABLMCJKACLMBJKNGHABCDE
        FOP $.
        $( [26-Sep-1999] $)
    $}
  $}

  $( Comparison of ratio of two nonnegative numbers. $)
  lediv12it $p |- ( ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ A <_ B ) ) /\
               ( ( C e. RR /\ D e. RR ) /\ ( 0 < C /\ C <_ D ) ) ) ->
                 ( A / D ) <_ ( B / C ) ) $=
    ( cr wcel wa cc0 cle wbr clt c1 cdiv co cmul lemul12itOLD wne rerecclt
    simplr gt0ne0t wi 0re ltletrt mp3an1 imp sylanc syldan ad2ant2r jca
    recgt0t ltlet a1i mpd simprr wb lerect id mpbid sylan2 wceq cc divrect
    recnt adantr ad2antlr adantl syl3anc adantlr ad2antrl adantrrr adantrlr
    adantll 3brtr4d ) AEFZBEFZGZHAIJABIJGZGZCEFZDEFZGZHCKJZCDIJZGZGZGALDMNZONZB
    LCMNZONZADMNZBCMNZIVRWFEFZWHEFZGZHWFIJZWFWHIJZGZGWGWIIJWEABWFWHPWEWNWQWEWLW
    MVTDHQZWLWEDRVSVTWDSZVTHDKJZWRWEDTWSWAWDWTHEFZVSVTWDWTUAUBHCDUCUDUEZUFZUFZV
    SWBWMVTWCVSWBCHQZWMCTZCRUGUHUIWEWOWPWEHWFKJZWOVTWTXGWEDUJWSXBUFXAWLXGWOUAWE
    HWFUKXAWEUBULXDUFUMWEWCWPWAWBWCUNVSWBGZVTWTGWCWPUOWECDUPVSWBXHVTWCXHUQUHWEV
    TWTWSXBUIUFURUIUIUSVPWEWJWGUTZVQVNWEXIVOAVAFZDVAFZWRXIVNWEGADVBVNXJWEAVCVDW
    EXKVNVTXKVSWDDVCVEVFWEWRVNXCVFVGVHVHVPWEWKWIUTZVQVOWEXLVNVOVSWDXLVTVOVSWBXL
    WCBVAFZCVAFZXEXLVOXHGBCVBVOXMXHBVCVDVSXNVOWBCVCVIXHXEVOXFVFVGVJVKVLVHVM $.
    $( [15-Feb-2006] $) $( [31-Dec-2005] $)

  $( Division of both sides of 'less than or equal to' into a nonnegative
     number.  (Contributed by Paul Chapman, 7-Sep-2007.) $)
  lediv2it $p |- ( ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) /\
                     ( C e. RR /\ 0 <_ C ) ) /\
                   A <_ B ) -> ( C / B ) <_ ( C / A ) ) $=
    ( cr wcel wa cc0 cle wbr clt cdiv co w3a lediv12it pm3.2 pm2.43i adantr
    leidt anim2i ancoms jca ad2antlr 3adantl2 id ad2ant2r simplr anim1i
    3adantl3 sylanc ) CDEZUJFZGCHIZCCHIZFZFZADEZBDEZFZGAJIZABHIZFZFZCBKLCAKLHIU
    PUSFZUQGBJIZFZUJULFZMUTFCCABNVCVFUTUOVEVFUOVCUTVFUKUNUJUKULUJUKUJUJOPQULUJU
    NUJUMULCRSTUAUBUCVCVEUTVBVFVCVEFZUTFURVAVGURUTUPUQURUSVDURUDUEQVGUSUTUPUSVE
    UFUGUAUHUI $.
    $( [8-Sep-2007] $) $( [7-Sep-2007] $)

  $( The reciprocal of a positive number less than 1 is greater than 1. $)
  reclt1t $p |- ( ( A e. RR /\ 0 < A ) -> ( A < 1 <-> 1 < ( 1 / A ) ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co wb 1re lt01 pm3.2i ltrect mpan2 ax1cn
    div1 breq1i syl6bb ) ABCDAEFGZAHEFZHHIJZHAIJZEFZHUDEFUAHBCZDHEFZGUBUEKUFUGL
    MNAHOPUCHUDEHQRST $.
    $( [26-Jul-2006] $) $( [23-Feb-2005] $)

  $( The reciprocal of a positive number greater than 1 is less than 1. $)
  recgt1t $p |- ( ( A e. RR /\ 0 < A ) -> ( 1 < A <-> ( 1 / A ) < 1 ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co wb 1re lt01 ltrect mpanl12 ax1cn div1
    breq2i syl6bb ) ABCDAEFGZHAEFZHAIJZHHIJZEFZUBHEFHBCDHEFTUAUDKLMHANOUCHUBEHP
    QRS $.
    $( [26-Jul-2006] $) $( [28-Dec-2005] $)

  $( The reciprocal of a number greater than 1 is positive and less than 1. $)
  recgt1it $p |- ( ( A e. RR /\ 1 < A ) ->
               ( 0 < ( 1 / A ) /\ ( 1 / A ) < 1 ) ) $=
    ( cr wcel c1 clt wbr wa cc0 cdiv co lt01 wi 0re 1re axlttrn mp3an12 mpani
    imdistani recgt0t syl recgt1t biimpa sylancom jca ) ABCZDAEFZGZHDAIJZEFZUHD
    EFZUGUEHAEFZGZUIUEUFUKUEHDEFZUFUKKHBCDBCUEUMUFGUKLMNHDAOPQRZASTUEUFULUJUNUL
    UFUJAUAUBUCUD $.
    $( [4-May-2005] $) $( [23-Feb-2005] $)

  $( Construct a number less than 1 from any nonnegative number. $)
  recp1lt1 $p |- ( ( A e. RR /\ 0 <_ A ) -> ( A / ( 1 + A ) ) < 1 ) $=
    ( cr wcel cc0 cle wbr wa c1 caddc co cdiv clt cmul ltp1t cc wceq recnt
    ax1cn axaddcom mpan2 syl breqtrd adantr wne divcan1tOLD 1re axaddrcl mpan
    recnd gt0ne0t lt01 addgtge0t mpanr1 mpanl1 sylanc syl3anc mulid2t 3brtr4d
    wb ltmul1t mp3anl2 redivclt pm3.26 jca mpbird ) ABCZDAEFZGZAHAIJZKJZHLFZVJV
    IMJZHVIMJZLFZVHAVIVLVMLVFAVILFVGVFAAHIJZVILANVFAOCZVOVIPZAQZVPHOCVQRAHSTUAU
    BUCVIOCZVPVIDUDZVLAPVHVIAUEVHVIVFVIBCZVGHBCZVFWAUFHAUGUHZUCZUIVFVPVGVRUCWAD
    VILFZVTVHVIUJWDWBVFVGWEUFWBVFGDHLFVGWEUKHAULUMUNZUOZUPVFVMVIPZVGVFVSWHVFVIW
    CUIVIUQUAUCURVJBCZWAGWEVKVNUSZVHWIWBWAWEWJUFVJHVIUTVAVHWIWAVFWAVTWIVHAVIVBV
    FVGVCWDWGUPWDVDWFUOVE $.
    $( [10-Feb-2006] $) $( [30-Dec-2005] $)

  $( Given a positive number ` A ` , construct a new positive number less than
     both ` A ` and 1. $)
  recrecltt $p |- ( ( A e. RR /\ 0 < A ) ->
        ( ( 1 / ( 1 + ( 1 / A ) ) ) < 1 /\ ( 1 / ( 1 + ( 1 / A ) ) ) < A ) ) $=
    ( cr wcel cc0 clt wbr wa c1 cdiv co caddc recgt0t wb wne gt0ne0t rerecclt
    syldan 1re ltaddpost mpan2 syl mpbid recgt1t axaddrcl mpan lt01 wi 0re
    axlttrn mp3an12 mpani mpd sylanc mpbii cc wceq recnd ax1cn axaddcom
    breqtrd ltrec1t pm3.26 pm3.27 syl2anc jca ) ABCZDAEFZGZHHHAIJZKJZIJZHEFZVKA
    EFZVHHVJEFZVLVHDVIEFZVNALVHVIBCZVOVNMZVFVGADNVPAOAPQZVPHBCZVQRVIHSTUAUBZVJB
    CZDVJEFZVNVLMVHVJUCVHVPWAVRVSVPWARHVIUDUEUAZVHVNWBVTVHDHEFZVNWBUFVHWAWDVNGW
    BUGZWCDBCVSWAWEUHRDHVJUIUJUAUKULZUMUBVHVIVJEFZVMVHVIVIHKJZVJEVHWDVIWHEFZUFV
    HVPWDWIMZVRVSVPWJRHVISUEUAUNVHVIUOCZWHVJUPZVHVIVRUQWKHUOCWLURVIHUSTUAUTVFVG
    WAWBWGVMMVHAVJVAVFVGVBVFVGVCWCWFVDUBVE $.
    $( [10-Feb-2006] $) $( [28-Dec-2005] $)

  $( The square function on nonnegative reals is monotonic. $)
  le2msqt $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
              ( A <_ B <-> ( A x. A ) <_ ( B x. B ) ) ) $=
    ( cr wcel cc0 cle wbr cmul co wb wa wi cif wceq breq2 anbi1d breq1 opreq12
    anidms breq1d bibi12d imbi12d anbi2d breq2d 0re elimel le2msq dedth2h imp
    an4s ) ACDZBCDZEAFGZEBFGZABFGZAAHIZBBHIZFGZJZUKULKUMUNKZUSUKULUTUSLEUKAEMZF
    GZUNKZVABFGZVAVAHIZUQFGZJZLVBEULBEMZFGZKZVAVHFGZVEVHVHHIZFGZJZLABEEAVANZUTV
    CUSVGVOUMVBUNAVAEFOPVOUOVDURVFAVABFQVOUPVEUQFVOUPVENAVAAVAHRSTUAUBBVHNZVCVJ
    VGVNVPUNVIVBBVHEFOUCVPVDVKVFVMBVHVAFOVPUQVLVEFVPUQVLNBVHBVHHRSUDUAUBVAVHAEC
    UEUFBECUEUFUGUHUIUJ $.
    $( [21-Mar-2006] $) $( [3-Aug-1999] $)

  ${
    halfpos.1 $e |- A e. RR $.
    $( A positive number is greater than its half. $)
    halfpos $p |- ( 0 < A <-> ( A / ( 1 + 1 ) ) < A ) $=
      ( cc0 clt wbr caddc co c1 cdiv cmul 0re ltadd1 recn addid2 1p1times
      eqcomi breq12i 1re readdcl remulcl lt01 addgt0i ltdiv1i bitr gt0ne0i
      divcan3 breq2i 3bitr ) CADECAFGZAAFGZDEZAHHFGZIGZULAJGZULIGZDEZUMADECAAKB
      BLUKAUNDEUPUIAUJUNDAABMZNUNUJAUQOPQAUNULBULAHHRRSZBTURHHRRUAUAUBZUCUDUOAU
      MDULAULURMUQULURUSUEUFUGUH $.
      $( [18-May-1999] $)
  $}

  $( Less-than-or-equal-to and division relation.  (Lemma for computing upper
     bounds of products.  The "+ 1" prevents division by zero.) $)
  ledivp1t $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
                  ( ( A / ( B + 1 ) ) x. B ) <_  A ) $=
    ( cr wcel cc0 cle wbr wa c1 caddc co cdiv cmul w3a lemul2itOLD simprl
    peano2re ad2antrl wne redivclt pm3.26 clt gt0ne0t adantr ltp1t wi 0re
    lelttrt mp3an1 mpdan mpan2d imp sylanc adantl syl3anc adantlr 3jca divge0t
    jca sylan2 ltlet mpd cc wceq divcan1tOLD recnd recnt ad2antrr breqtrd ) ACDZEA
    FGZHZBCDZEBFGZHZHZABIJKZLKZBMKZVRVQMKZAFVMVQCDZVRCDZNEVRFGZBVQFGZHVSVTFGVPB
    VQVROVPVMWAWBVLVMVNPVMWAVLVNBQZRVJVOWBVKVJWAVQESZWBVJVOHAVQTVJVOUAVMWAVJVNW
    ERVOWFVJWAEVQUBGZWFVOVQUCVMWAVNWEUDZVMVNWGVMVNBVQUBGZWGBUEZVMWAVNWIHWGUFZWE
    ECDVMWAWKUGEBVQUHUIUJUKULZUMZUNUOUPUQVPWCWDVLWAWGHWCVOAVQURVOWAWGWHWLUSUTVO
    WDVLVOWIWDVMWIVNWJUDVMWIWDUFZVNVMWAWNWEBVQVAUJUDVBUNUSUMVQVCDZAVCDZWFVTAVDV
    PVQAVEVMWOVLVNVMVQWEVFRVJWPVKVOAVGVHVOWFVLWMUNUOVI $.
    $( [1-Jun-2006] $) $( [28-Sep-2005] $)

  ${
    ledivp1.1 $e |- A e. RR $.
    ledivp1.2 $e |- B e. RR $.
    ledivp1.3 $e |- C e. RR $.
    $( Less-than-or-equal-to and division relation.  (Lemma for computing upper
       bounds of products.  The "+ 1" prevents division by zero.) $)
    ledivp1 $p |- ( ( 0 <_ A /\ 0 <_ C /\ A <_ ( B / ( C + 1 ) ) ) ->
                  ( A x. C ) <_ B ) $=
      ( cmul co c1 caddc cle wbr cc0 cdiv w3a remulcl 1re readdcl letr ltp1
      ltlei cr wcel wa wi lemul2itOLD ex mp3an mpan2 3ad2ant1 clt 0re lelttr
      wb wne gt0ne0 redivclz syl lemul1t mp3anl1 mpanl2 mpancom biimpd imp
      wceq recn divcan1zOLD 3syl adantr breqtrd 3adant1 sylanc ) ACGHZACIJHZGHZKLZ
      VOBKLZVMBKLMAKLZMCKLZABVNNHZKLZOVMVOBACDFPAVNDCIFQRZPESVRVSVPWAVRCVNKLZVP
      CVNFWBCFTZUACUBUCZVNUBUCZAUBUCZVRWCUDZVPUEFWBDWEWFWGOWHVPCVNAUFUGUHUIUJVS
      WAVQVRVSWAUDVOVTVNGHZBKVSWAVOWIKLZVSMVNUKLZWAWJUEVSCVNUKLWKWDMCVNULFWBUMU
      IZWKWAWJVTUBUCZWKWAWJUNZWKVNMUOZWMVNWBUPZBVNEWBUQURWMWFWKWNWBWGWMWFWKWNDA
      VTVNUSUTVAVBVCURVDVSWIBVEZWAVSWKWOWQWLWPVNBVNWBVFBEVFVGVHVIVJVKVL $.
      $( [23-Sep-2005] $) $( [17-Sep-2005] $)

    $( Less-than and division relation.  (Lemma for computing upper bounds of
       products.  The "+ 1" prevents division by zero.) $)
    ltdivp1 $p |- ( ( 0 <_ A /\ 0 <_ C /\ A < ( B / ( C + 1 ) ) ) ->
                  ( A x. C ) < B ) $=
      ( cmul co c1 caddc cle wbr clt cc0 cdiv w3a remulcl 1re readdcl lelttr
      ltp1 ltlei cr wcel wa wi lemul2itOLD ex mp3an mpan2 3ad2ant1 0re wb wne
      gt0ne0 redivclz syl ltmul1t mp3anl1 mpanl2 mpancom biimpd imp wceq recn
      divcan1zOLD 3syl adantr breqtrd 3adant1 sylanc ) ACGHZACIJHZGHZKLZVNBMLZVLBM
      LNAKLZNCKLZABVMOHZMLZPVLVNBACDFQAVMDCIFRSZQETVQVRVOVTVQCVMKLZVOCVMFWACFUA
      ZUBCUCUDZVMUCUDZAUCUDZVQWBUEZVOUFFWADWDWEWFPWGVOCVMAUGUHUIUJUKVRVTVPVQVRV
      TUEVNVSVMGHZBMVRVTVNWHMLZVRNVMMLZVTWIUFVRCVMMLWJWCNCVMULFWATUJZWJVTWIVSUC
      UDZWJVTWIUMZWJVMNUNZWLVMWAUOZBVMEWAUPUQWLWEWJWMWAWFWLWEWJWMDAVSVMURUSUTVA
      VBUQVCVRWHBVDZVTVRWJWNWPWKWOVMBVMWAVEBEVEVFVGVHVIVJVK $.
      $( [29-Sep-2005] $) $( [17-Sep-2005] $)
  $}

  ${
    $d x A $.  $d x B $.
    posex.1 $e |- A e. RR $.
    posex.2 $e |- B e. RR $.
    posex.3 $e |- 0 < A $.
    posex.4 $e |- 0 < B $.
    $( There exists a positive number less than two others. $)
    posex $p |- E. x e. RR ( 0 < x /\ ( x < A /\ x < B ) ) $=
      ( clt wbr wceq wo cc0 cv wa cr wrex wn wne df-ne lttri2 bitr3 biimp orri
      or12 mpbi c1 caddc co cdiv wcel halfpos 1re readdcl lt01 addgt0i gt0ne0i
      redivcl lttr mpan jctil divgt0i breq2 breq1 anbi12d rcla4ev syl mpbiri
      jaoi jctir ax-mp ) BCHIZBCJZCBHIZKZKZLAMZHIZVPBHIZVPCHIZNZNZAOPZVLVKVMKZK
      VOVLWCVLQZWCWDBCRWCBCSBCDETUAUBUCVLVKVMUDUEVKWBVNVKBUFUFUGUHZUIUHZOUJZLWF
      HIZWFBHIZWFCHIZNZNZNWBVKWLWGVKWKWHVKWJWIWIVKWJLBHIWIFBDUKUEZWFBCBWEDUFUFU
      LULUMZWEWNUFUFULULUNUNUOZUPZUQZDEURUSWMUTBWEDWNFWOVAUTWQUTWAWLAWFOVPWFJZV
      QWHVTWKVPWFLHVBWRVRWIVSWJVPWFBHVCVPWFCHVCVDVDVEVFVNCWEUIUHZOUJZLWSHIZWSBH
      IZWSCHIZNZNZNWBVNXEWTVNXDXAVNXBXCVLXBVMVLXBXCLCHIXCGCEUKUEZBCWSHVBVGXCVMX
      BXFWSCBCWEEWNWPUQZEDURUSVHXFVICWEEWNGWOVAUTXGUTWAXEAWSOVPWSJZVQXAVTXDVPWS
      LHVBXHVRXBVSXCVPWSBHVCVPWSCHVCVDVDVEVFVHVJ $.
      $( [18-May-1999] $)
  $}

  $( An extended real is less than or equal to the maximum of it and
     another. $)
  xrmax1 $p |- ( ( A e. RR* /\ B e. RR* ) -> A <_ if ( A <_ B , B , A ) ) $=
    ( cxr wcel cle wbr cif wn iffalse breq2d xrleidt syl5cbir id iftrue
    breqtrrd pm2.61d2 adantr ) ACDZAABEFZBAGZEFZBCDRSUASHZUAAAEFRUBTAAESBAIJAKL
    SABTESMSBANOPQ $.
    $( [9-Feb-2007] $) $( [7-Feb-2007] $)

  $( An extended real is less than or equal to the maximum of it and
     another. $)
  xrmax2 $p |- ( ( A e. RR* /\ B e. RR* ) -> B <_ if ( A <_ B , B , A ) ) $=
    ( cxr wcel wa cle wbr cif xrleidt ad2antlr wceq iftrue adantl breqtrrd wn
    xrletrit orcanai iffalse pm2.61dan ) ACDZBCDZEZABFGZBUCBAHZFGUBUCEBBUDFUABB
    FGTUCBIJUCUDBKUBUCBALMNUBUCOZEBAUDFUBUCBAFGABPQUEUDAKUBUCBARMNS $.
    $( [10-Feb-2007] $) $( [7-Feb-2007] $)

  $( The minimum of two extended reals is less than or equal to one of them. $)
  xrmin1 $p |- ( ( A e. RR* /\ B e. RR* ) -> if ( A <_ B , A , B ) <_ A ) $=
    ( cxr wcel wa cle wbr cif wceq iftrue adantl xrleidt ad2antrr eqbrtrd wn
    iffalse xrletrit orcanai pm2.61dan ) ACDZBCDZEZABFGZUCABHZAFGUBUCEUDAAFUCUD
    AIUBUCABJKTAAFGUAUCALMNUBUCOZEUDBAFUEUDBIUBUCABPKUBUCBAFGABQRNS $.
    $( [11-Feb-2007] $) $( [7-Feb-2007] $)

  $( The minimum of two extended reals is less than or equal to one of them. $)
  xrmin2 $p |- ( ( A e. RR* /\ B e. RR* ) -> if ( A <_ B , A , B ) <_ B ) $=
    ( cxr wcel cle wbr cif wn iffalse breq1d xrleidt syl5cbir iftrue id
    eqbrtrd pm2.61d2 adantl ) BCDZABEFZABGZBEFZACDRSUASHZUABBEFRUBTBBESABIJBKLS
    TABESABMSNOPQ $.
    $( [12-Feb-2007] $) $( [7-Feb-2007] $)

  $( Two ways of saying the maximum of two extended reals is less than a
     third. $)
  xrmaxltt $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
               ( if ( A <_ B , B , A ) < C <-> ( A < C /\ B < C ) ) ) $=
    ( cxr wcel w3a cle wbr cif clt wa xrmax1 3adant3 wi xrlelttrt ifcl ancoms
    syld3an2 mpand xrmax2 3simp2 3simp3 syl3anc jcad breq1 ifboth impbid1 ) ADE
    ZBDEZCDEZFZABGHZBAIZCJHZACJHZBCJHZKUKUNUOUPUKAUMGHZUNUOUHUIUQUJABLMUHUMDEZU
    JUQUNKUONUIAUMCOUHUIURUJUIUHURULBADPQMZRSUKBUMGHZUNUPUHUIUTUJABTMUIURUJUTUN
    KUPNUKBUMCOUHUIUJUAUSUHUIUJUBUCSUDUPUOUNULUPUOUNBABUMCJUEAUMCJUEUFQUG $.
    $( [12-Feb-2007] $) $( [7-Feb-2007] $)

  $( Two ways of saying an extended real is less than the minimum of two
     others. $)
  xrltmint $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) ->
               ( A < if ( B <_ C , B , C ) <-> ( A < B /\ A < C ) ) ) $=
    ( cxr wcel w3a cle wbr cif clt wa xrmin1 3adant1 wi xrltletrt 3simp1 ifcl
    3simp2 syl3anc mpan2d xrmin2 syld3an2 jcad breq2 ifboth impbid1 ) ADEZBDEZC
    DEZFZABCGHZBCIZJHZABJHZACJHZKUJUMUNUOUJUMULBGHZUNUHUIUPUGBCLMUGULDEZUHUMUPK
    UNNUJAULBOUGUHUIPUHUIUQUGUKBCDQMZUGUHUIRSTUJUMULCGHZUOUHUIUSUGBCUAMUGUQUIUM
    USKUONUHAULCOURUBTUCUKUNUOUMBCBULAJUDCULAJUDUEUF $.
    $( [12-Feb-2007] $) $( [7-Feb-2007] $)

  $( A number is less than or equal to the maximum of it and another. $)
  max1 $p |- ( ( A e. RR /\ B e. RR ) -> A <_ if ( A <_ B , B , A ) ) $=
    ( cxr wcel cle wbr cif cr xrmax1 rexrt syl2an ) ACDBCDAABEFBAGEFAHDBHDABIAJ
    BJK $.
    $( [8-Jun-2005] $) $( [3-Apr-2005] $)

  $( A number is less than or equal to the maximum of it and another. $)
  max1ALT $p |- ( A e. RR -> A <_ if ( A <_ B , B , A ) ) $=
    ( cr wcel cle wbr cif wn iffalse breq2d leidt syl5cbir id iftrue breqtrrd
    pm2.61d2 ) ACDZABEFZARBAGZEFZRHZTAAEFQUASAAERBAIJAKLRABSERMRBANOP $.
    $( [22-Apr-2005] $) $( [3-Apr-2005] $)

  $( A number is less than or equal to the maximum of it and another. $)
  max2 $p |- ( ( A e. RR /\ B e. RR ) -> B <_ if ( A <_ B , B , A ) ) $=
    ( cxr wcel cle wbr cif cr xrmax2 rexrt syl2an ) ACDBCDBABEFBAGEFAHDBHDABIAJ
    BJK $.
    $( [22-Apr-2005] $) $( [3-Apr-2005] $)

  $( Two ways of saying the maximum of two numbers is less than or equal to a
     third. $)
  maxlet $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
               ( if ( A <_ B , B , A ) <_ C <-> ( A <_ C /\ B <_ C ) ) ) $=
    ( cr wcel w3a cle wbr cif wa max1 3adant3 wi letrt ifcl ancoms syld3an2
    mpand max2 3simp2 3simp3 syl3anc jcad breq1 ifboth impbid1 ) ADEZBDEZCDEZFZ
    ABGHZBAIZCGHZACGHZBCGHZJUJUMUNUOUJAULGHZUMUNUGUHUPUIABKLUGULDEZUIUPUMJUNMUH
    AULCNUGUHUQUIUHUGUQUKBADOPLZQRUJBULGHZUMUOUGUHUSUIABSLUHUQUIUSUMJUOMUJBULCN
    UGUHUITURUGUHUIUAUBRUCUOUNUMUKUOUNUMBABULCGUDAULCGUDUEPUF $.
    $( [27-Oct-2005] $) $( [29-Sep-2005] $)

  $( The minimum of two numbers is less than or equal to the first. $)
  min1 $p |- ( ( A e. RR /\ B e. RR ) -> if ( A <_ B , A , B ) <_ A ) $=
    ( cxr wcel cle wbr cif cr xrmin1 rexrt syl2an ) ACDBCDABEFABGAEFAHDBHDABIAJ
    BJK $.
    $( [3-Aug-2007] $) $( [3-Aug-2007] $)

  $( The minimum of two numbers is less than or equal to the second. $)
  min2 $p |- ( ( A e. RR /\ B e. RR ) -> if ( A <_ B , A , B ) <_ B ) $=
    ( cxr wcel cle wbr cif cr xrmin2 rexrt syl2an ) ACDBCDABEFABGBEFAHDBHDABIAJ
    BJK $.
    $( [10-Aug-2007] $) $( [3-Aug-2007] $)

  $( Two ways of saying a number is less than or equal to the minimum of two
     others. $)
  lemint $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
               ( A <_ if ( B <_ C , B , C ) <-> ( A <_ B /\ A <_ C ) ) ) $=
    ( cr wcel w3a cle wbr cif wa min1 3adant1 wi letrt 3simp1 ifcl 3simp2
    syl3anc mpan2d min2 syld3an2 jcad breq2 ifboth impbid1 ) ADEZBDEZCDEZFZABCG
    HZBCIZGHZABGHZACGHZJUIULUMUNUIULUKBGHZUMUGUHUOUFBCKLUFUKDEZUGULUOJUMMUIAUKB
    NUFUGUHOUGUHUPUFUJBCDPLZUFUGUHQRSUIULUKCGHZUNUGUHURUFBCTLUFUPUHULURJUNMUGAU
    KCNUQUASUBUJUMUNULBCBUKAGUCCUKAGUCUDUE $.
    $( [18-Aug-2007] $) $( [3-Aug-2007] $)

  $( Two ways of saying the maximum of two numbers is less than a third. $)
  maxltt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
               ( if ( A <_ B , B , A ) < C <-> ( A < C /\ B < C ) ) ) $=
    ( cr wcel w3a cle wbr cif clt wa max1 3adant3 wi lelttrt ifcl ancoms
    syld3an2 mpand max2 3simp2 3simp3 syl3anc jcad breq1 ifboth impbid1 ) ADEZB
    DEZCDEZFZABGHZBAIZCJHZACJHZBCJHZKUKUNUOUPUKAUMGHZUNUOUHUIUQUJABLMUHUMDEZUJU
    QUNKUONUIAUMCOUHUIURUJUIUHURULBADPQMZRSUKBUMGHZUNUPUHUIUTUJABTMUIURUJUTUNKU
    PNUKBUMCOUHUIUJUAUSUHUIUJUBUCSUDUPUOUNULUPUOUNBABUMCJUEAUMCJUEUFQUG $.
    $( [21-Aug-2007] $) $( [3-Aug-2007] $)

  $( Two ways of saying a number is less than the minimum of two others. $)
  ltmint $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
               ( A < if ( B <_ C , B , C ) <-> ( A < B /\ A < C ) ) ) $=
    ( cxr wcel cle wbr cif clt wa wb cr xrltmint rexrt syl3an ) ADEBDECDEABCFGB
    CHIGABIGACIGJKALEBLECLEABCMANBNCNO $.
    $( [11-Sep-2006] $) $( [1-Sep-2006] $)

  ${
    $d x A $.
    $( If a nonnegative number is less than any positive number, it is zero. $)
    squeeze0 $p |- ( ( A e. RR /\ 0 <_ A /\ A. x e. RR ( 0 < x -> A < x ) ) ->
                   A = 0 ) $=
      ( cr wcel cc0 cle wbr cv clt wi wral wceq wo wb 0re leloet mpan ltnrt
      pm2.21d com12 imim2i com13 breq2 imbi12d rcla4v syl5d ax-1 eqcoms a1i
      jaod sylbid 3imp ) BCDZEBFGZEAHZIGZBUOIGZJZACKZBELZUMUNEBIGZEBLZMZUSUTJZE
      CDUMUNVCNOEBPQUMVAVDVBUMVAVABBIGZJZUTUSVFVAUMUTVEUMUTJVAUMVEUTUMVEUTBRSTU
      AUBURVFABCUOBLUPVAUQVEUOBEIUCUOBBIUCUDUEUFVBVDJUMVDBEUTUSUGUHUIUJUKUL $.
      $( [12-Feb-2006] $) $( [11-Feb-2006] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Natural numbers (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( The natural numbers of analysis start at one (unlike the ordinal natural
       numbers, i.e. the members of the set ` om ` , ~ df-om , which start at
       zero).  This is the convention used by most analysis books, and it is
       often convenient in proofs because we don't have to worry about
       division by zero.  See ~ nnind for the principle of mathematical
       induction.  See ~ dfnn2 for a slight variant.  See ~ df-n0 for the set
       of nonnegative integers ` NN0 ` starting at zero.  See ~ dfn2 for ` NN `
       defined in terms of ` NN0 ` . $)
    df-n $a |- NN = |^| { x | ( 1 e. x /\ A. y e. x ( y + 1 ) e. x ) } $.
  $}

  ${
    $d x y A $.
    peano5nn.1 $e |- A e. V $.
    $( Peano's inductive postulate.  Theorem I.36 (principle of mathematical
       induction) of [Apostol] p. 34. $)
    peano5nn $p |- ( ( 1 e. A /\ A. x e. A ( x + 1 ) e. A ) -> NN (_ A ) $=
      ( vy c1 wcel cv caddc co wral wa cab cint cn wss wceq eleq2 raleqd
      anbi12d elab intss1 sylbir df-n syl5ss ) EBFZAGEHIZBFZABJZKZEDGZFZUFUJFZA
      UJJZKZDLZMZBNUIBUOFUPBOUNUIDBCUJBPUKUEUMUHUJBEQULUGAUJBUJBUFQRSTBUOUAUBDA
      UCUD $.
      $( [5-Jul-2005] $) $( [10-Jan-1997] $)
  $}


  $( The natural numbers are a subset of the reals. $)
  nnssre $p |- NN (_ RR $=
    ( vx c1 cr wcel cv caddc co wral cn wss 1re peano2re rgen reex peano5nn
    mp2an ) BCDAEZBFGCDZACHICJKRACQLMACNOP $.
    $( [10-Jan-1997] $)

  $( The natural numbers are a subset of the complex numbers. $)
  nnsscn $p |- NN (_ CC $=
    ( cn cr cc nnssre axresscn sstri ) ABCDEF $.
    $( [17-Aug-2004] $) $( [2-Aug-2004] $)

  $( A natural number is a real number. $)
  nnret $p |- ( A e. NN -> A e. RR ) $=
    ( cn cr nnssre sseli ) BCADE $.
    $( [18-Aug-1999] $)

  $( A natural number is a complex number. $)
  nncnt $p |- ( A e. NN -> A e. CC ) $=
    ( cn cc nnsscn sseli ) BCADE $.
    $( [18-Aug-1999] $)

  ${
    nnre.1 $e |- A e. NN $.
    $( A natural number is a real number. $)
    nnre $p |- A e. RR $=
      ( cn wcel cr nnret ax-mp ) ACDAEDBAFG $.
      $( [18-Aug-1999] $)

    $( A natural number is a complex number. $)
    nncn $p |- A e. CC $=
      ( nnre recn ) AABCD $.
      $( [18-Aug-1999] $)
  $}

  $( The set of natural numbers exists. $)
  nnex $p |- NN e. V $=
    ( cn cr reex nnssre ssexi ) ABCDE $.
    $( [3-Oct-1999] $)

  ${
    $d x y z A $.
    $( Peano postulate: 1 is a natural number. $)
    1nn $p |- 1 e. NN $=
      ( vx vy c1 cv wcel caddc co wral wa cab cint cn wi cc ax1cn elisseti
      elintab pm3.26 mpgbir df-n eleqtrr ) CCADZEZBDCFGUBEBUBHZIZAJKZLCUFEUEUCM
      AUEACCNOPQUCUDRSABTUA $.
      $( [11-Jan-1997] $)

    $( Peano postulate: a successor of a natural number is a natural number. $)
    peano2nn $p |- ( A e. NN -> ( A + 1 ) e. NN ) $=
      ( vz vx vy cv c1 caddc co cn wcel wceq opreq1 eleq1d wral wa cab cint wi
      wal rcla4cv adantl a2i 19.20i visset elintab oprex 3imtr4 df-n eleq2i
      vtoclga ) BEZFGHZIJZAFGHZIJBAIUKAKULUNIUKAFGLMUKFCEZJZDEZFGHZUOJZDUONZOZC
      PQZJZULVBJZUKIJUMVAUKUOJZRZCSVAULUOJZRZCSVCVDVFVHCVAVEVGUTVEVGRUPUSVGDUKU
      OUQUKKURULUOUQUKFGLMTUAUBUCVACUKBUDUEVACULUKFGUFUEUGIVBUKCDUHZUIIVBULVIUI
      UGUJ $.
      $( [11-Jan-1997] $)

    $( Alternate definition of the set of natural numbers.  Definition of
       positive integers in [Apostol] p. 22. $)
    dfnn2 $p |- NN =
               |^| { x | ( x (_ RR /\ 1 e. x /\ A. y e. x ( y + 1 ) e. x ) } $=
      ( vz cv cr wss c1 wcel caddc co wral wa cab cint w3a cn wceq eleq2
      raleqd anbi12d wb df-n eqeq2i sylbir nnssre eqsstr3 1nn peano2nn rgen
      pm3.2i intabs 3anass abbii inteqi 3eqtr4r ) ADZEFZGUPHZBDZGIJZUPHZBUPKZLZ
      LZAMZNVCAMNUQURVBOZAMZNPVCGCDZHZUTVHHZBVHKZLZGPHZUTPHZBPKZLZACEUPVHQURVIV
      BVKUPVHGRVAVJBUPVHUPVHUTRSTUPVLCMNZQUPPQZVCVPUAPVQUPCBUBZUCVRURVMVBVOUPPG
      RVAVNBUPPUPPUTRSTUDVQEFVPVQPEVSUEUFVMVOUGVNBPUSUHUIUJUJUKVGVEVFVDAUQURVBU
      LUMUNABUBUO $.
      $( [10-Jul-2005] $) $( [3-Jul-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Principle of mathematical induction
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.  $d x A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.
    $( Substitutions. $)
    nnind.1 $e |- ( x = 1 -> ( ph <-> ps ) ) $.
    nnind.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nnind.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nnind.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    nnind.5 $e |- ps $.
    $( Induction hypothesis. $)
    nnind.6 $e |- ( y e. NN -> ( ch -> th ) ) $.
    $( Principle of Mathematical Induction (inference schema).  The first
       four hypotheses give us the substitution instances we need; the last
       two are the basis and the induction hypothesis.  See ~ nnaddclt for
       an example of its use.  See ~ nn0ind for induction on nonnegative
       integers and ~ uzind , ~ uzind4 for induction on an arbitrary set of
       upper integers.  See ~ indstr for strong induction. $)
    nnind $p |- ( A e. NN -> ta ) $=
      ( cn wcel crab wa c1 cv caddc co wral wss elrab 1nn mpbir2an ssrab2
      sseli peano2nn a1d anim12d 3imtr4g mpcom rgen nnex rabex peano5nn mp2an
      sylib pm3.27d ) HOPZVBEVBHAFOQZPVBEROVCHSVCPZGTZSUAUBZVCPZGVCUCOVCUDVDSOP
      BABFSOIUEUFMUGVGGVCVEOPZVEVCPZVGVCOVEAFOUHUIVHVHCRVFOPZDRVIVGVHVHVJCDVHVJ
      VHVEUJUKNULACFVEOJUEADFVFOKUEUMUNUOGVCAFOUPUQURUSUIAEFHOLUEUTVA $.
      $( [10-Jan-1997] $)
  $}

  ${
    $d x y $.  $d x A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.
    $( Induction hypothesis. $)
    nnindALT.6 $e |- ( y e. NN -> ( ch -> th ) ) $.
    $( Basis. $)
    nnindALT.5 $e |- ps $.
    $( Substitutions. $)
    nnindALT.1 $e |- ( x = 1 -> ( ph <-> ps ) ) $.
    nnindALT.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nnindALT.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nnindALT.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Principle of Mathematical Induction (inference schema).  The last
       four hypotheses give us the substitution instances we need; the first
       two are the induction hypothesis and the basis.  (This ALT version of
       ~ nnind is easier to use with the Proof Assistant since 'assign last'
       will be applied to the substitution instances first.  We may switch to
       it as the official version.) $)
    nnindALT $p |- ( A e. NN -> ta ) $=
      ( nnind ) ABCDEFGHKLMNJIO $.
      $( [19-Aug-2007] $) $( [7-Dec-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Natural numbers (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.  $d x y z A $.  $d x ps $.  $d x ch $.  $d x z th $.
    $d y z ph $.
    $( Substitutions. $)
    nn1suc.1 $e |- ( x = 1 -> ( ph <-> ps ) ) $.
    nn1suc.3 $e |- ( x = ( y + 1 ) -> ( ph <-> ch ) ) $.
    nn1suc.4 $e |- ( x = A -> ( ph <-> th ) ) $.
    $( Hypothesis showing it holds for 1. $)
    nn1suc.5 $e |- ps $.
    $( Hypothesis showing it holds for a successor. $)
    nn1suc.6 $e |- ( y e. NN -> ch ) $.
    $( If a statement holds for 1 and also holds for a successor, it holds for
       all natural numbers.  The first three hypotheses give us the
       substitution instances we need; the last two show that it holds for 1
       and for a successor. $)
    nn1suc $p |- ( A e. NN -> th ) $=
      ( vz cn wcel wi cv wsbc c1 caddc co dfsbcq sbequ wceq wb wex elex ax-17
      hbsbc1 hbbi sbceq1a bitr3d imbi2d 19.23ai syl pm5.74rd pm2.43i sylan9bbr
      expcom pm5.74d sb19.21 syl5bb 1nn elisseti isseti hbsbc1v mpbiri mpbid
      ax-mp a1i cvv sbc19.21g mpbir oprex sylib a1d sylibr nnind ) GNOZDVSAPZEM
      QZRZVTESRZVTEFQZRZVTEWDSTUAZRZVSDPZMFGVTEWASUBVTMFEUCVTEWAWFUBWAGUDZVSAEW
      ARZPWHWBWIVSWJDVSWIWJDUEWIWJAEGRZVSDAEWAGUBVSWKDUEVSVSWKDVSEQZGUDZEUFVSWK
      PZWHUEZEGNUGWMWOEWNWHEAEMGNWAGOEUHUIWHEUHUJWMWKDVSWMAWKDAEGUKJULUMUNUOUPU
      QURUSUTVSAEMVSEUHZVAVBWCVSAESRZPZWQVSWLSUDZEUFWQESSNVCVDZVEWSWQEAESWTVFWS
      AWQWSABKHVGAESUKVHUNVIVJSVKOWCWRUEWTVSAESVKWPVLVIVMWDNOZWGWEXAVSAEWFRZPZW
      GXAXBVSXACXBLWLWFUDZEUFCXBUEZEWFWDSTVNZVEXDXEECXBECEUHAEWFXFVFUJXDACXBIAE
      WFUKULUNVIVOVPWFVKOWGXCUEXFVSAEWFVKWPVLVIVQVPVRUQ $.
      $( [17-Oct-2004] $) $( [11-Oct-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Closure of addition of natural numbers, proved by induction on the
       second addend. $)
    nnaddclt $p |- ( ( A e. NN /\ B e. NN ) -> ( A + B ) e. NN ) $=
      ( vx vy cn wcel caddc co cv wi c1 wceq opreq2 eleq1d imbi2d peano2nn wa
      cc ax1cn axaddass mp3an3 nncnt syl2an syl5bi expcom a2d nnind impcom ) BE
      FAEFZABGHZEFZUIACIZGHZEFZJUIAKGHZEFZJUIADIZGHZEFZJUIAUQKGHZGHZEFZJUIUKJCD
      BULKLZUNUPUIVCUMUOEULKAGMNOULUQLZUNUSUIVDUMUREULUQAGMNOULUTLZUNVBUIVEUMVA
      EULUTAGMNOULBLZUNUKUIVFUMUJEULBAGMNOAPUQEFZUIUSVBUIVGUSVBJUIVGQZURKGHZEFV
      BUSVHVIVAEARFZUQRFZVIVALZUIVGVJVKKRFVLSAUQKTUAAUBUQUBUCNURPUDUEUFUGUH $.
      $( [12-Jan-1997] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Closure of multiplication of natural numbers. $)
    nnmulclt $p |- ( ( A e. NN /\ B e. NN ) -> ( A x. B ) e. NN ) $=
      ( vx vy cn wcel cmul co cv wi c1 caddc wceq opreq2 eleq1d imbi2d cc
      nncnt ax1id biimprd mpcom wa ax1cn axdistr mp3an3 opreq2d adantr eqtrd
      syl2an nnaddclt ancoms syl5bir exp4b pm2.43b a2d nnind impcom ) BEFAEFZAB
      GHZEFZURACIZGHZEFZJURAKGHZEFZJURADIZGHZEFZJURAVFKLHZGHZEFZJURUTJCDBVAKMZV
      CVEURVLVBVDEVAKAGNOPVAVFMZVCVHURVMVBVGEVAVFAGNOPVAVIMZVCVKURVNVBVJEVAVIAG
      NOPVABMZVCUTURVOVBUSEVABAGNOPAQFZURVEARZVPVEURVPVDAEASZOTUAVFEFZURVHVKVSU
      RVHVKJURVSURVHVKURVSUBZVKVGALHZEFZURVHUBVTVJWAEVPVFQFZVJWAMURVSVPWCUBVJVG
      VDLHZWAVPWCKQFVJWDMUCAVFKUDUEVPWDWAMWCVPVDAVGLVRUFUGUHVQVFRUIOVHURWBVGAUJ
      UKULUMUNUOUPUQ $.
      $( [12-Jan-1997] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( There exists a natural number greater than or equal to any two
       others. $)
    nn2get $p |- ( ( A e. NN /\ B e. NN ) ->
                E. x e. NN ( A <_ x /\ B <_ x ) ) $=
      ( cn wcel wa cv cle wbr wrex cr nnret adantr adantl leidt biantrud
      biimpa sylan wceq breq2 anbi12d rcla4ev syldan adantll anim1i adantlr
      lecase ) BDEZCDEZFBAGZHIZCUJHIZFZADJZBCUHBKEZUIBLZMUICKEZUHCLZNUIBCHIZUNU
      HUIUSUSCCHIZFZUNUQUSVAUIUQUSVAUQUTUSCOPQURRUMVAACDUJCSUKUSULUTUJCBHTUJCCH
      TUAUBUCUDUHCBHIZUNUIUHVBBBHIZVBFZUNUOVBVDUHUOVCVBBOUEUPRUMVDABDUJBSUKVCUL
      VBUJBBHTUJBCHTUAUBUCUFUG $.
      $( [18-Aug-1999] $)
  $}

  ${
    $d x y A $.
    $( A natural number is one or greater. $)
    nnge1t $p |- ( A e. NN -> 1 <_ A ) $=
      ( vx vy c1 cv cle wbr caddc co breq2 1re leid cn wcel cr wi nnret cc0 cc
      wceq recnt ax0id syl breq2d clt wn lt01 0re axltadd mp3an12 mpi wa
      axlttrn mp3an3 axaddrcl mpan2 peano2re sylanc mpand con3d wb jctil
      lenltt 3imtr4d sylbird nnind ) DBEZFGDDFGDCEZFGZDVHDHIZFGZDAFGBCAVGDDFJVG
      VHDFJVGVJDFJVGADFJDKLVHMNVHONZVIVKPVHQVLVIDVHRHIZFGZVKVLVMVHDFVLVHSNVMVHT
      VHUAVHUBUCUDVLVMDUEGZUFZVJDUEGZUFZVNVKVLVQVOVLVMVJUEGZVQVOVLRDUEGZVSUGRON
      ZDONZVLVTVSPUHKRDVHUIUJUKVMONZVJONZVSVQULVOPZVLWCWDWBWEKVMVJDUMUNVLWAWCUH
      VHRUOUPZVHUQZURUSUTVLWBWCULVNVPVAVLWCWBWFKVBDVMVCUCVLWBWDULVKVRVAVLWDWBWG
      KVBDVJVCUCVDVEUCVF $.
      $( [25-Aug-1999] $)
  $}

  $( A natural number is greater than one iff it is not equal to one. $)
  nngt1ne1t $p |- ( A e. NN -> ( 1 < A <-> A =/= 1 ) ) $=
    ( cr wcel c1 cle wbr clt wne wb cn 1re leltnet mp3an1 nnret nnge1t sylanc
    ) ABCZDAEFZDAGFADHIZAJCDBCQRSKDALMANAOP $.
    $( [20-Jul-2007] $) $( [7-Oct-2004] $)

  $( A natural number is less than or equal to one iff it is equal to one. $)
  nnle1eq1t $p |- ( A e. NN -> ( A <_ 1 <-> A = 1 ) ) $=
    ( cn wcel c1 cle wbr wa wceq nnge1t biantrud cr wb nnret 1re letri3t mpan2
    syl bitr4d ) ABCZADEFZTDAEFZGZADHZSUATAIJSAKCZUCUBLZAMUDDKCUENADOPQR $.
    $( [22-Apr-2005] $) $( [3-Apr-2005] $)

  $( A natural number is positive. $)
  nngt0t $p |- ( A e. NN -> 0 < A ) $=
    ( cr wcel c1 cle wbr cc0 clt cn lt01 wa wi 0re 1re ltletrt mp3an12 mpani
    nnret nnge1t sylc ) ABCZDAEFZGAHFZAICUAGDHFZUBUCJGBCDBCUAUDUBKUCLMNGDAOPQAR
    AST $.
    $( [26-Sep-1999] $)

  $( A number less than one is not a natural number. $)
  lt1nnn $p |- ( ( A e. RR /\ A < 1 ) -> -. A e. NN ) $=
    ( cr wcel c1 clt wbr cn wn cle wb 1re ltnlet mpan2 nnge1t con3i syl6bi imp
    ) ABCZADEFZAGCZHZRSDAIFZHZUARDBCSUCJKADLMTUBANOPQ $.
    $( [18-Jan-2004] $) $( [18-Jan-2004] $)

  $( Zero is not a natural number. $)
  0nnn $p |- -. 0 e. NN $=
    ( cc0 cr wcel c1 clt wbr cn wn 0re lt01 lt1nnn mp2an ) ABCADEFAGCHIJAKL $.
    $( [25-Aug-1999] $)

  $( A natural number is non-zero. $)
  nnne0t $p |- ( A e. NN -> A =/= 0 ) $=
    ( cn wcel cc0 wceq 0nnn eleq1 mtbiri necon2ai ) ABCZADADEJDBCFADBGHI $.
    $( [27-Sep-1999] $)

  ${
    nngt0.1 $e |- A e. NN $.
    $( A natural number is positive (inference version). $)
    nngt0 $p |- 0 < A $=
      ( cn wcel cc0 clt wbr nngt0t ax-mp ) ACDEAFGBAHI $.
      $( [17-Sep-1999] $)

    $( A natural number is non-zero (inference version). $)
    nnne0 $p |- A =/= 0 $=
      ( nnre nngt0 gt0ne0i ) AABCABDE $.
      $( [25-Aug-1999] $)
  $}

  $( The reciprocal of a natural number is real. $)
  nnrecret $p |- ( N e. NN -> ( 1 / N ) e. RR ) $=
    ( cr wcel cc0 wne c1 cdiv co cn rerecclt nnret nnne0t sylanc ) ABCADEFAGHBC
    AICAJAKALM $.
    $( [16-Aug-2008] $) $( [8-Feb-2008] $)

  $( The reciprocal of a natural number is positive. $)
  nnrecgt0t $p |- ( A e. NN -> 0 < ( 1 / A ) ) $=
    ( cn wcel c1 cle wbr cc0 cdiv co clt nnge1t lt01 cr wa wi nnret 0re 1re
    ltletrt mp3an12 recgt0t ex syld syl mpani mpd ) ABCZDAEFZGDAHIJFZAKUGGDJFZU
    HUILUGAMCZUJUHNZUIOAPUKULGAJFZUIGMCDMCUKULUMOQRGDASTUKUMUIAUAUBUCUDUEUF $.
    $( [25-Aug-1999] $)

  ${
    $d x y z w v A $.  $d x y z w v B $.
    $( Natural number ordering relation. $)
    nnleltp1t $p |- ( ( A e. NN /\ B e. NN ) ->
                  ( A <_ B <-> A < ( B + 1 ) ) ) $=
      ( vz vx vy vw vv cn wcel wa cle wbr clt wceq wo c1 caddc co cr wb leloet
      nnret syl2an wi cc0 lt01 0re 1re pm3.2i lt2addt an4s mpan2 mpan2i cc
      pm3.26 recnt ax0id 3syl breq1d sylibd breq1 ltp1t syl5cbir adantl jaod
      cv wral eqeq1 orbi12d imbi12d rcla4v opreq1 breq2d breq2 eqeq2 ralbidv
      eqid olci a1i ltadd1t mp3an23 syl wn nnge1t lenltt mpan mpbid pm2.21d
      sylbird nn1suc rgen imbi2d nngt0t mp3an13 ax1cn addid2 syl5eqbrr orcd
      a1d adantr rcla4va adantlr mp3an3 peano2nn w3a 3anim123i 3anrot sylibr
      3simpc 3simp1 jca anandir sylib axaddcom eqeqan12d addcant bitr2d
      3imtr3d exp31 imp3a exp3a com3l r19.21adv cbvralv syl5ib nnind syl5 imp
      impbid bitrd ) AHIZBHIZJZABKLZABMLZABNZOZABPQRZMLZASIZBSIZYNYQTYKYLABUAAU
      BZBUBZUCYMYQYSYTUUAYQYSUDYKYLYTUUAJZYOYSYPUUDYOAUEQRZYRMLZYSUUDYOUEPMLZUU
      FUFUUDUESIZPSIZJYOUUGJUUFUDZUUHUUIUGUHUIYTUUHUUAUUIUUJAUEBPUJUKULUMUUDUUE
      AYRMUUDYTAUNIUUEANYTUUAUOAUPAUQURUSUTUUAYPYSUDYTYPYSBYRMLUUAABYRMVABVBVCV
      DVEUUBUUCUCYKYLYSYQUDZYKCVFZYRMLZUULBMLZUULBNZOZUDZCHVGZUUKYLUUQUUKCAHUUL
      ANZUUMYSUUPYQUULAYRMVAUUSUUNYOUUOYPUULABMVAUULABVHVIVJVKUULDVFZPQRZMLZUUL
      UUTMLZUULUUTNZOZUDZCHVGUULPPQRZMLZUULPMLZUULPNZOZUDZCHVGUULEVFZPQRZMLZUUL
      UVMMLZUULUVMNZOZUDZCHVGZUULUVNPQRZMLZUVOUULUVNNZOZUDZCHVGZUURDEBUUTPNZUVF
      UVLCHUWGUVBUVHUVEUVKUWGUVAUVGUULMUUTPPQVLVMUWGUVCUVIUVDUVJUUTPUULMVNUUTPU
      ULVOVIVJVPUUTUVMNZUVFUVSCHUWHUVBUVOUVEUVRUWHUVAUVNUULMUUTUVMPQVLVMUWHUVCU
      VPUVDUVQUUTUVMUULMVNUUTUVMUULVOVIVJVPUUTUVNNZUVFUWECHUWIUVBUWBUVEUWDUWIUV
      AUWAUULMUUTUVNPQVLVMUWIUVCUVOUVDUWCUUTUVNUULMVNUUTUVNUULVOVIVJVPUUTBNZUVF
      UUQCHUWJUVBUUMUVEUUPUWJUVAYRUULMUUTBPQVLVMUWJUVCUUNUVDUUOUUTBUULMVNUUTBUU
      LVOVIVJVPUVLCHUUTUVGMLZUUTPMLZUWGOZUDPUVGMLZPPMLZPPNZOZUDUVNUVGMLZUVNPMLZ
      UVNPNZOZUDUVLDEUULUWGUWKUWNUWMUWQUUTPUVGMVAUWGUWLUWOUWGUWPUUTPPMVAUUTPPVH
      VIVJUWIUWKUWRUWMUXAUUTUVNUVGMVAUWIUWLUWSUWGUWTUUTUVNPMVAUUTUVNPVHVIVJUUTU
      ULNZUWKUVHUWMUVKUUTUULUVGMVAUXBUWLUVIUWGUVJUUTUULPMVAUUTUULPVHVIVJUWQUWNU
      WPUWOPVQVRVSUVMHIZUWRUVMPMLZUXAUXCUVMSIZUXDUWRTZUVMUBZUXEUUIUUIUXFUHUHUVM
      PPVTWAWBUXCUXDUXAUXCPUVMKLZUXDWCZUVMWDUXCUXEUXHUXITZUXGUUIUXEUXJUHPUVMWEW
      FWBWGWHWIWJWKUXCFVFZUVNMLZUXKUVMMLZUXKUVMNZOZUDZFHVGZUWFUVTUXCUXQUWECHUUL
      HIZUXCUXQUWEUXRUXCUXQUWEUXCUXQJZUUTUWAMLZUUTUVNMLZUWIOZUDZUDUXSPUWAMLZPUV
      NMLZPUVNNZOZUDZUDUXSGVFZPQRZUWAMLZUYJUVNMLZUYJUVNNZOZUDZUDUXSUWEUDDGUULUW
      GUYCUYHUXSUWGUXTUYDUYBUYGUUTPUWAMVAUWGUYAUYEUWIUYFUUTPUVNMVAUUTPUVNVHVIVJ
      WLUUTUYJNZUYCUYOUXSUYPUXTUYKUYBUYNUUTUYJUWAMVAUYPUYAUYLUWIUYMUUTUYJUVNMVA
      UUTUYJUVNVHVIVJWLUXBUYCUWEUXSUXBUXTUWBUYBUWDUUTUULUWAMVAUXBUYAUVOUWIUWCUU
      TUULUVNMVAUUTUULUVNVHVIVJWLUXCUYHUXQUXCUYGUYDUXCUYEUYFUXCUEPQRZUVNPMUXCUE
      UVMMLZUYQUVNMLZUVMWMUXCUXEUYRUYSTZUXGUUHUXEUUIUYTUGUHUEUVMPVTWNWBWGPWOWPW
      QWRWSWTUYIHIZUXCUXQUYOVUAUXCUXQUYOVUAUXCJZUXQJUYIUVNMLZUYIUVMMLZUYIUVMNZO
      ZUYKUYNVUAUXQVUCVUFUDZUXCUXPVUGFUYIHUXKUYINZUXLVUCUXOVUFUXKUYIUVNMVAVUHUX
      MVUDUXNVUEUXKUYIUVMMVAUXKUYIUVMVHVIVJXAXBVUBVUCUYKTZUXQUYISIZUVNSIZVUIVUA
      UXCVUJVUKUUIVUIUHUYIUVNPVTXCUYIUBZUXCUVNHIVUKUVMXDUVNUBWBUCWTVUBVUFUYNTZU
      XQVUJUXEVUMVUAUXCVUJUXEUUIVUMUHVUJUXEUUIXEZVUDUYLVUEUYMUYIUVMPVTVUNPUNIZU
      YIUNIZUVMUNIZXEZVUEUYMTVUNVUPVUQVUOXEVURVUJVUPUXEVUQUUIVUOUYIUPUVMUPPUPXF
      VUOVUPVUQXGXHVURUYMPUYIQRZPUVMQRZNZVUEVURVUPVUOJZVUQVUOJZJZUYMVVATVURVUPV
      UQJZVUOJVVDVURVVEVUOVUOVUPVUQXIVUOVUPVUQXJXKVUPVUQVUOXLXMVVBVVCUYJVUSUVNV
      UTUYIPXNUVMPXNXOWBPUYIUVMXPXQWBVIXCVULUXGUCWTXRXSXTWJYAYBYCUVSUXPCFHUULUX
      KNZUVOUXLUVRUXOUULUXKUVNMVAVVFUVPUXMUVQUXNUULUXKUVMMVAUULUXKUVMVHVIVJYDYE
      YFYGYHYIYJ $.
      $( [13-Aug-2001] $)
  $}

  $( Natural number ordering relation. $)
  nnltp1let $p |- ( ( A e. NN /\ B e. NN ) ->
                ( A < B <-> ( A + 1 ) <_ B ) ) $=
    ( cn wcel wa clt wbr c1 caddc co cle cr wb 1re ltadd1t mp3an3 nnret syl2an
    nnleltp1t peano2nn sylan bitr4d ) ACDZBCDZEABFGZAHIJZBHIJFGZUFBKGZALDZBLDZU
    EUGMZUCUDUIUJHLDUKNABHOPAQBQRUFCDUDUHUGMUCUFBSATUAUB $.
    $( [19-Aug-2001] $)

  ${
    $d x y A $.  $d x y B $.
    nnsub.1 $e |- A e. NN $.
    nnsub.2 $e |- B e. NN $.
    $( Subtraction of natural numbers. $)
    nnsub $p |- ( A < B <-> ( B - A ) e. NN ) $=
      ( vx vy clt wbr cmin co cn wcel wi cv c1 caddc wceq breq2 opreq1 eleq1d
      imbi12d cle wn nnge1t ax-mp 1re nnre lenlt mpbi pm2.21i wo cr wa wb
      nnret jctil leloet syl nnleltp1t mpan bitr3d cc nncnt nncn jctir ax1cn
      addsubt mp3an2 peano2nn syl5bir imim2d com23 opreq1d cc0 addsub subid
      opreq1i addid2 3eqtr 1nn eqeltr syl6eqelr a1d a1i jaod sylbird nnind
      nngt0t posdif sylibr impbi ) ABGHZBAIJZKLZBKLWLWNMZDAENZGHZWPAIJZKLZMAOGH
      ZOAIJZKLZMAFNZGHZXCAIJZKLZMZAXCOPJZGHZXHAIJZKLZMWOEFBWPOQZWQWTWSXBWPOAGRX
      LWRXAKWPOAISTUAWPXCQZWQXDWSXFWPXCAGRXMWRXEKWPXCAISTUAWPXHQZWQXIWSXKWPXHAG
      RXNWRXJKWPXHAISTUAWPBQZWQWLWSWNWPBAGRXOWRWMKWPBAISTUAWTXBOAUBHZWTUCAKLZXP
      CAUDUEOAUFACUGZUHUIUJXCKLZXIXGXKXSXIXDAXCQZUKZXGXKMZXSAXCUBHZYAXIXSAULLZX
      CULLZUMYCYAUNXSYEYDXCUOXRUPAXCUQURXQXSYCXIUNCAXCUSUTVAXSXDYBXTXSXGXDXKXSX
      FXKXDXSXKXEOPJZKLXFXSXJYFKXSXCVBLZAVBLZUMXJYFQZXSYGYHXCVCACVDZVEYGOVBLYHY
      IVFXCOAVGVHURTXEVIVJVKVLXTYBMXSXTXKXGXTXJAOPJZAIJZKXTYKXHAIAXCOPSVMYLOKYL
      AAIJZOPJVNOPJOAOAYJVFYJVOYMVNOPAYJVPVQOVFVRVSVTWAWBWCWDWEWFVLWGUEWNVNWMGH
      WLWMWHABXRBDUGWIWJWK $.
      $( [19-Aug-2001] $)
  $}

  $( Subtraction of natural numbers. $)
  nnsubt $p |- ( ( A e. NN /\ B e. NN ) -> ( A < B <-> ( B - A ) e. NN ) ) $=
    ( cn wcel clt wbr cmin co wb c1 cif wceq breq1 opreq2 eleq1d bibi12d breq2
    opreq1 1nn elimel nnsub dedth2h ) ACDZBCDZABEFZBAGHZCDZIUCAJKZBEFZBUHGHZCDZ
    IUHUDBJKZEFZULUHGHZCDZIABJJAUHLZUEUIUGUKAUHBEMUPUFUJCAUHBGNOPBULLZUIUMUKUOB
    ULUHEQUQUJUNCBULUHGROPUHULAJCSTBJCSTUAUB $.
    $( [20-Aug-2001] $)

  $( Closure of addition of natural numbers minus one. $)
  nnaddm1clt $p |- ( ( A e. NN /\ B e. NN ) -> ( ( A + B ) - 1 ) e. NN ) $=
    ( cn wcel wa c1 caddc co clt wbr cmin cr cle wi 1re readdcl ltletrt
    mp3an12 axaddrcl nnret syl2an a1i mpan syl adantl nnge1t wb leadd2t
    mp3an13 mpbid adantr leadd1t mp3an1 letrd ltp1 jctil sylc nnaddclt 1nn
    nnsubt ) ACDZBCDZEZFABGHZIJZVDFKHCDZVDLDZFFFGHZIJZVHVDMJZEZVEVCFLDZVHLDZVGV
    KVENOFFOOPZFVHVDQRALDZBLDZVGVAVBABSATZBTZUAZVCVJVIVCVHFBGHZVDVMVCVNUBVBVTLD
    ZVAVBVPWAVRVLVPWAOFBSUCUDUEVSVBVHVTMJZVAVBFBMJZWBBUFVBVPWCWBUGZVRVLVPVLWDOO
    FBFUHUIUDUJUEVCFAMJZVTVDMJZVAWEVBAUFUKVOVPWEWFUGZVAVBVLVOVPWGOFABULUMVQVRUA
    UJUNFOUOUPUQVCVDCDZVEVFUGZABURFCDWHWIUSFVDUTUCUDUJ $.
    $( [6-Aug-2003] $)

  ${
    $d x A $.  $d x B $.
    $( Two ways to express " ` A ` divides ` B ` " for natural numbers. $)
    nndivt $p |- ( ( A e. NN /\ B e. NN ) ->
                ( E. x e. NN ( A x. x ) = B <-> ( B / A ) e. NN ) ) $=
      ( cn wcel wa cc0 wne cv cmul co wceq wrex cdiv wb nnne0t adantr cc wi
      w3a divcan3t 3com23 3expa nncnt sylan2 3adantl2 opreq1 sylan9req simplr
      eqeltrrd exp31 r19.23adv divcan2t opreq2 eqeq1d rcla4ev expcom syl
      impbid 3expia syl2an mpd ) BDEZCDEZFBGHZBAIZJKZCLZADMZCBNKZDEZOZVCVEVDBPQ
      BREZCREZVEVLSVCVDVMVNVEVLVMVNVETZVIVKVOVHVKADVOVFDEZVHVKVOVPFZVHFVFVJDVQV
      HVFVGBNKZVJVMVEVPVRVFLZVNVMVEFVFREZVSVPVMVEVTVSVMVTVEVSBVFUAUBUCVFUDUEUFV
      GCBNUGUHVOVPVHUIUJUKULVOBVJJKZCLZVKVISBCUMVKWBVIVHWBAVJDVFVJLVGWACVFVJBJU
      NUOUPUQURUSUTBUDCUDVAVB $.
      $( [20-Feb-2004] $) $( [3-Feb-2004] $)
  $}

  $( Transitive property of divisibility:  if ` A ` divides ` B ` and ` B `
     divides ` C ` , then ` A ` divides ` C ` . $)
  nndivtrt $p |- ( ( ( A e. NN /\ B e. NN /\ C e. CC ) /\
               ( ( B / A ) e. NN /\ ( C / B ) e. NN ) ) -> ( C / A ) e. NN ) $=
    ( cn wcel cc w3a cdiv co wa cmul c1 cc0 wne wceq divmul24t nncnt anim12i
    ancoms 3adant3 anim2i 3adant1 jca nnne0t sylanc dividt opreq1d 3ad2ant2
    divclt 3expb sylan2 mulid2t syl 3adant2 3eqtrd eleq1d nnmulclt syl5bi imp
    ) ADEZBDEZCFEZGZBAHIZDECBHIZDEJZCAHIZDEZVCVDVEKIZDEVHVFVCVIVGDVCVIBBHIZVGKI
    ZLVGKIZVGBFEZAFEZJZVBVMJZJAMNZBMNZJZVIVKOVCBACBPVCVOVPUTVAVOVBVAUTVOVAVMUTV
    NBQZAQZRSTVAVBVPUTVBVAVPVAVMVBVTUASUBUCUTVAVSVBUTVQVAVRAUDZBUDZRTUEVAUTVKVL
    OVBVAVJLVGKVMVRVJLOVABUFVTWCUEUGUHUTVBVLVGOZVAUTVBJVGFEZWDVBUTWEVBVNVQJWEUT
    VBVNVQWECAUIUJUTVNVQWAWBUCUKSVGULUMUNUOUPVDVEUQURUS $.
    $( [6-May-2005] $) $( [3-May-2005] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Decimal representation of numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c 2 $. $( The decimal number 2 $)
  $c 3 $. $( The decimal number 3 $)
  $c 4 $. $( The decimal number 4 $)
  $c 5 $. $( The decimal number 5 $)
  $c 6 $. $( The decimal number 6 $)
  $c 7 $. $( The decimal number 7 $)
  $c 8 $. $( The decimal number 8 $)
  $c 9 $. $( The decimal number 9 $)
  $c 10 $. $( The decimal number 10 $)

  $( Extend class notation to include the number 2. $)
  c2 $a class 2 $.
  $( Extend class notation to include the number 3. $)
  c3 $a class 3 $.
  $( Extend class notation to include the number 4. $)
  c4 $a class 4 $.
  $( Extend class notation to include the number 5. $)
  c5 $a class 5 $.
  $( Extend class notation to include the number 6. $)
  c6 $a class 6 $.
  $( Extend class notation to include the number 7. $)
  c7 $a class 7 $.
  $( Extend class notation to include the number 8. $)
  c8 $a class 8 $.
  $( Extend class notation to include the number 9. $)
  c9 $a class 9 $.
  $( Extend class notation to include the number 10. $)
  c10 $a class 10 $.

  $( Define the number 2.

     Note that the numbers 0 and 1 are constants defined as primitives of the
     complex number axiom system (see ~ df-0 and ~ df-1 ).

     _Note_:  Only the digits 0 through 9 ( ~ df-0 through ~ df-9 ) and the
     number 10 ( ~ df-10 ) are explicitly defined.  Integers can be exhibited
     as sums of powers of 10 or as some other expression built from
     operations on the numbers 0 through 10.  For example, the prime number
     823541 can be expressed as ` ( 7 ^ 7 ) - 2 ` .  Decimals can be expressed
     as ratios of integers, as in ~ cos2bnd .  (Fortunately, most abstract math
     rarely requires numbers larger than 4.  Even in Wiles' proof of Fermat's
     Last Theorem, the largest number used appears to be 12.)

     A decimal representation of numbers may be added at some point in the
     future if it is deemed useful.  Ideas for a clean, eliminable definition
     are welcome.  (An awkward earlier definition was deleted from the
     database on 18-Sep-1999.) $)
  df-2 $a |- 2 = ( 1 + 1 ) $.

  $( Define the number 3. $)
  df-3 $a |- 3 = ( 2 + 1 ) $.
  $( Define the number 4. $)
  df-4 $a |- 4 = ( 3 + 1 ) $.
  $( Define the number 5. $)
  df-5 $a |- 5 = ( 4 + 1 ) $.
  $( Define the number 6. $)
  df-6 $a |- 6 = ( 5 + 1 ) $.
  $( Define the number 7. $)
  df-7 $a |- 7 = ( 6 + 1 ) $.
  $( Define the number 8. $)
  df-8 $a |- 8 = ( 7 + 1 ) $.
  $( Define the number 9. $)
  df-9 $a |- 9 = ( 8 + 1 ) $.
  $( Define the number 10.  See remarks under ~ df-2 . $)
  df-10 $a |- 10 = ( 9 + 1 ) $.

  $( The number 2 is real. $)
  2re $p |- 2 e. RR $=
    ( c2 c1 caddc co cr df-2 1re readdcl eqeltr ) ABBCDEFBBGGHI $.
    $( [27-May-1999] $)

  $( The number 2 is a complex number. $)
  2cn $p |- 2 e. CC $=
    ( c2 2re recn ) ABC $.
    $( [31-Jul-2004] $) $( [30-Jul-2004] $)

  $( The number 3 is real. $)
  3re $p |- 3 e. RR $=
    ( c3 c2 c1 caddc co cr df-3 2re 1re readdcl eqeltr ) ABCDEFGBCHIJK $.
    $( [27-May-1999] $)

  $( The number 4 is real. $)
  4re $p |- 4 e. RR $=
    ( c4 c3 c1 caddc co cr df-4 3re 1re readdcl eqeltr ) ABCDEFGBCHIJK $.
    $( [27-May-1999] $)

  $( The number 5 is real. $)
  5re $p |- 5 e. RR $=
    ( c5 c4 c1 caddc co cr df-5 4re 1re readdcl eqeltr ) ABCDEFGBCHIJK $.
    $( [27-May-1999] $)

  $( The number 6 is real. $)
  6re $p |- 6 e. RR $=
    ( c6 c5 c1 caddc co cr df-6 5re 1re readdcl eqeltr ) ABCDEFGBCHIJK $.
    $( [27-May-1999] $)

  $( The number 7 is real. $)
  7re $p |- 7 e. RR $=
    ( c7 c6 c1 caddc co cr df-7 6re 1re readdcl eqeltr ) ABCDEFGBCHIJK $.
    $( [27-May-1999] $)

  $( The number 8 is real. $)
  8re $p |- 8 e. RR $=
    ( c8 c7 c1 caddc co cr df-8 7re 1re readdcl eqeltr ) ABCDEFGBCHIJK $.
    $( [27-May-1999] $)

  $( The number 9 is real. $)
  9re $p |- 9 e. RR $=
    ( c9 c8 c1 caddc co cr df-9 8re 1re readdcl eqeltr ) ABCDEFGBCHIJK $.
    $( [27-May-1999] $)

  $( The number 10 is real. $)
  10re $p |- 10 e. RR $=
    ( c10 c9 c1 caddc co cr df-10 9re 1re readdcl eqeltr ) ABCDEFGBCHIJK $.
    $( [6-Feb-2007] $) $( [5-Feb-2007] $)

  $( The number 2 is positive. $)
  2pos $p |- 0 < 2 $=
    ( cc0 c1 caddc co c2 clt 1re lt01 addgt0i df-2 breqtrr ) ABBCDEFBBGGHHIJK
    $.
    $( [27-May-1999] $)

  $( The number 2 is nonzero. $)
  2ne0 $p |- 2 =/= 0 $=
    ( c2 2re 2pos gt0ne0i ) ABCD $.
    $( [9-Nov-2007] $) $( [9-Nov-2007] $)

  $( The number 3 is positive. $)
  3pos $p |- 0 < 3 $=
    ( cc0 c2 c1 caddc co c3 clt 2re 1re 2pos lt01 addgt0i df-3 breqtrr ) ABCDEF
    GBCHIJKLMN $.
    $( [27-May-1999] $)

  $( The number 4 is positive. $)
  4pos $p |- 0 < 4 $=
    ( cc0 c3 c1 caddc co c4 clt 3re 1re 3pos lt01 addgt0i df-4 breqtrr ) ABCDEF
    GBCHIJKLMN $.
    $( [27-May-1999] $)

  $( The number 5 is positive. $)
  5pos $p |- 0 < 5 $=
    ( cc0 c4 c1 caddc co c5 clt 4re 1re 4pos lt01 addgt0i df-5 breqtrr ) ABCDEF
    GBCHIJKLMN $.
    $( [27-May-1999] $)

  $( The number 6 is positive. $)
  6pos $p |- 0 < 6 $=
    ( cc0 c5 c1 caddc co c6 clt 5re 1re 5pos lt01 addgt0i df-6 breqtrr ) ABCDEF
    GBCHIJKLMN $.
    $( [27-May-1999] $)

  $( The number 7 is positive. $)
  7pos $p |- 0 < 7 $=
    ( cc0 c6 c1 caddc co c7 clt 6re 1re 6pos lt01 addgt0i df-7 breqtrr ) ABCDEF
    GBCHIJKLMN $.
    $( [27-May-1999] $)

  $( The number 8 is positive. $)
  8pos $p |- 0 < 8 $=
    ( cc0 c7 c1 caddc co c8 clt 7re 1re 7pos lt01 addgt0i df-8 breqtrr ) ABCDEF
    GBCHIJKLMN $.
    $( [27-May-1999] $)

  $( The number 9 is positive. $)
  9pos $p |- 0 < 9 $=
    ( cc0 c8 c1 caddc co c9 clt 8re 1re 8pos lt01 addgt0i df-9 breqtrr ) ABCDEF
    GBCHIJKLMN $.
    $( [27-May-1999] $)

  $( The number 10 is positive. $)
  10pos $p |- 0 < 10 $=
    ( cc0 c9 c1 caddc co c10 clt 9re 1re 9pos lt01 addgt0i df-10 breqtrr ) ABCD
    EFGBCHIJKLMN $.
    $( [6-Feb-2007] $) $( [5-Feb-2007] $)

  $( 2 is a natural number. $)
  2nn $p |- 2 e. NN $=
    ( c2 c1 caddc co cn df-2 wcel 1nn nnaddclt mp2an eqeltr ) ABBCDZEFBEGZMLEGH
    HBBIJK $.
    $( [20-Aug-2001] $)

  $( 3 is a natural number. $)
  3nn $p |- 3 e. NN $=
    ( c3 c2 c1 caddc co cn df-3 wcel 2nn 1nn nnaddclt mp2an eqeltr ) ABCDEZFGBF
    HCFHNFHIJBCKLM $.
    $( [1-Feb-2006] $) $( [8-Jan-2006] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Some properties of specific numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Two plus two equals four.  For more information, see "2+2=4 Trivia" on
     the Metamath Proof Explorer Home Page:
     ~ http://us.metamath.org/mpegif/mmset.html#trivia . $)
  2p2e4 $p |- ( 2 + 2 ) = 4 $=
    ( c2 caddc co c1 c4 df-2 opreq2i c3 df-4 df-3 opreq1i 2cn ax1cn addass
    3eqtr eqtr4 ) AABCADDBCZBCZEAQABFGEHDBCADBCZDBCRIHSDBJKADDLMMNOP $.
    $( [27-May-1999] $)

  $( 4 is a natural number. $)
  4nn $p |- 4 e. NN $=
    ( c2 caddc co c4 cn 2p2e4 wcel 2nn nnaddclt mp2an eqeltrr ) AABCZDEFAEGZMLE
    GHHAAIJK $.
    $( [16-Feb-2006] $) $( [8-Jan-2006] $)

  ${
    2times.1 $e |- A e. CC $.
    $( Two times a number. $)
    2times $p |- ( 2 x. A ) = ( A + A ) $=
      ( c2 cmul co c1 caddc df-2 opreq1i 1p1times eqtr ) CADEFFGEZADEAAGECLADHI
      ABJK $.
      $( [1-Aug-1999] $)
  $}

  $( Two times a number. $)
  2timest $p |- ( A e. CC -> ( 2 x. A ) = ( A + A ) ) $=
    ( cc wcel c2 cmul co caddc wceq cc0 cif opreq2 id opreq12d eqeq12d 0cn
    elimel 2times dedth ) ABCZDAEFZAAGFZHDSAIJZEFZUBUBGFZHAIAUBHZTUCUAUDAUBDEKU
    EAUBAUBGUELZUFMNUBAIBOPQR $.
    $( [1-Nov-2004] $) $( [10-Oct-2004] $)

  $( A number times 2. $)
  times2t $p |- ( A e. CC -> ( A x. 2 ) = ( A + A ) ) $=
    ( cc wcel c2 cmul co caddc wceq 2cn axmulcom mpan2 2timest eqtrd ) ABCZADEF
    ZDAEFZAAGFNDBCOPHIADJKALM $.
    $( [16-Oct-2007] $) $( [16-Oct-2007] $)

  ${
    times2.1 $e |- A e. CC $.
    $( A number times 2. $)
    times2 $p |- ( A x. 2 ) = ( A + A ) $=
      ( cc wcel c2 cmul co caddc wceq times2t ax-mp ) ACDAEFGAAHGIBAJK $.
      $( [12-May-2004] $) $( [11-May-2004] $)
  $}

  $( 3 + 2 = 5. $)
  3p2e5 $p |- ( 3 + 2 ) = 5 $=
    ( c4 c1 caddc co c3 c5 c2 df-4 opreq1i df-5 df-2 opreq2i 3re recn ax1cn
    addass eqtr4 3eqtr4r ) ABCDEBCDZBCDZFEGCDZASBCHIJUAEBBCDZCDTGUBECKLEBBEMNOO
    PQR $.
    $( [12-May-2004] $) $( [11-May-2004] $)

  $( 3 + 3 = 6. $)
  3p3e6 $p |- ( 3 + 3 ) = 6 $=
    ( c3 c2 caddc co c1 c5 c6 3p2e5 opreq1i df-3 opreq2i 3re recn 2cn ax1cn
    addass eqtr4 df-6 3eqtr4 ) ABCDZECDZFECDAACDZGTFECHIUBABECDZCDUAAUCACJKABEA
    LMNOPQRS $.
    $( [12-May-2004] $) $( [11-May-2004] $)

  $( 4 + 2 = 6. $)
  4p2e6 $p |- ( 4 + 2 ) = 6 $=
    ( c5 c1 caddc co c4 c6 c2 df-5 opreq1i df-6 df-2 opreq2i 4re recn ax1cn
    addass eqtr4 3eqtr4r ) ABCDEBCDZBCDZFEGCDZASBCHIJUAEBBCDZCDTGUBECKLEBBEMNOO
    PQR $.
    $( [20-Jun-2004] $) $( [11-May-2004] $)

  $( 4 + 3 = 7. $)
  4p3e7 $p |- ( 4 + 3 ) = 7 $=
    ( c4 c2 caddc co c1 c6 c3 c7 4p2e6 opreq1i df-3 opreq2i 4re recn 2cn ax1cn
    addass eqtr4 df-7 3eqtr4 ) ABCDZECDZFECDAGCDZHUAFECIJUCABECDZCDUBGUDACKLABE
    AMNOPQRST $.
    $( [20-Jun-2004] $) $( [11-May-2004] $)

  $( 4 + 4 = 8. $)
  4p4e8 $p |- ( 4 + 4 ) = 8 $=
    ( c4 c3 caddc co c1 c7 c8 4p3e7 opreq1i df-4 opreq2i 4re recn 3re ax1cn
    addass eqtr4 df-8 3eqtr4 ) ABCDZECDZFECDAACDZGTFECHIUBABECDZCDUAAUCACJKABEA
    LMBNMOPQRS $.
    $( [20-Jun-2004] $) $( [11-May-2004] $)

  $( 5 + 2 = 7. $)
  5p2e7 $p |- ( 5 + 2 ) = 7 $=
    ( c6 c1 caddc co c5 c7 c2 df-6 opreq1i df-7 df-2 opreq2i 5re recn ax1cn
    addass eqtr4 3eqtr4r ) ABCDEBCDZBCDZFEGCDZASBCHIJUAEBBCDZCDTGUBECKLEBBEMNOO
    PQR $.
    $( [20-Jun-2004] $) $( [11-May-2004] $)

  $( 5 + 3 = 8. $)
  5p3e8 $p |- ( 5 + 3 ) = 8 $=
    ( c5 c2 caddc co c1 c7 c3 c8 5p2e7 opreq1i df-3 opreq2i 5re recn 2cn ax1cn
    addass eqtr4 df-8 3eqtr4 ) ABCDZECDZFECDAGCDZHUAFECIJUCABECDZCDUBGUDACKLABE
    AMNOPQRST $.
    $( [20-Jun-2004] $) $( [11-May-2004] $)

  $( 5 + 4 = 9. $)
  5p4e9 $p |- ( 5 + 4 ) = 9 $=
    ( c5 c3 caddc co c1 c8 c4 c9 5p3e8 opreq1i df-4 opreq2i 5re recn 3re ax1cn
    addass eqtr4 df-9 3eqtr4 ) ABCDZECDZFECDAGCDZHUAFECIJUCABECDZCDUBGUDACKLABE
    AMNBONPQRST $.
    $( [20-Jun-2004] $) $( [11-May-2004] $)

  $( 5 + 5 = 10. $)
  5p5e10 $p |- ( 5 + 5 ) = 10 $=
    ( c5 c4 caddc co c1 c9 c10 5p4e9 opreq1i df-5 opreq2i 5re recn 4re ax1cn
    addass eqtr4 df-10 3eqtr4 ) ABCDZECDZFECDAACDZGTFECHIUBABECDZCDUAAUCACJKABE
    ALMBNMOPQRS $.
    $( [24-Feb-2007] $) $( [5-Feb-2007] $)

  $( 6 + 2 = 8. $)
  6p2e8 $p |- ( 6 + 2 ) = 8 $=
    ( c7 c1 caddc co c6 c8 c2 df-7 opreq1i df-8 df-2 opreq2i 6re recn ax1cn
    addass eqtr4 3eqtr4r ) ABCDEBCDZBCDZFEGCDZASBCHIJUAEBBCDZCDTGUBECKLEBBEMNOO
    PQR $.
    $( [12-May-2004] $) $( [11-May-2004] $)

  $( 6 + 3 = 9. $)
  6p3e9 $p |- ( 6 + 3 ) = 9 $=
    ( c6 c2 caddc co c1 c8 c3 c9 6p2e8 opreq1i df-3 opreq2i 6re recn 2cn ax1cn
    addass eqtr4 df-9 3eqtr4 ) ABCDZECDZFECDAGCDZHUAFECIJUCABECDZCDUBGUDACKLABE
    AMNOPQRST $.
    $( [12-May-2004] $) $( [11-May-2004] $)

  $( 6 + 4 = 10. $)
  6p4e10 $p |- ( 6 + 4 ) = 10 $=
    ( c6 c3 caddc co c1 c9 c4 c10 6p3e9 opreq1i df-4 opreq2i 6re recn 3re
    ax1cn addass eqtr4 df-10 3eqtr4 ) ABCDZECDZFECDAGCDZHUAFECIJUCABECDZCDUBGUD
    ACKLABEAMNBONPQRST $.
    $( [19-Aug-2007] $) $( [5-Feb-2007] $)

  $( 7 + 2 = 9. $)
  7p2e9 $p |- ( 7 + 2 ) = 9 $=
    ( c8 c1 caddc co c7 c9 c2 df-8 opreq1i df-9 df-2 opreq2i 7re recn ax1cn
    addass eqtr4 3eqtr4r ) ABCDEBCDZBCDZFEGCDZASBCHIJUAEBBCDZCDTGUBECKLEBBEMNOO
    PQR $.
    $( [20-Jun-2004] $) $( [11-May-2004] $)

  $( 7 + 3 = 10. $)
  7p3e10 $p |- ( 7 + 3 ) = 10 $=
    ( c7 c2 caddc co c1 c9 c3 c10 7p2e9 opreq1i df-3 opreq2i 7re recn 2cn
    ax1cn addass eqtr4 df-10 3eqtr4 ) ABCDZECDZFECDAGCDZHUAFECIJUCABECDZCDUBGUD
    ACKLABEAMNOPQRST $.
    $( [5-Feb-2007] $) $( [5-Feb-2007] $)

  $( 8 + 2 = 10. $)
  8p2e10 $p |- ( 8 + 2 ) = 10 $=
    ( c9 c1 caddc co c8 c10 c2 df-9 opreq1i df-10 df-2 opreq2i 8re recn ax1cn
    addass eqtr4 3eqtr4r ) ABCDEBCDZBCDZFEGCDZASBCHIJUAEBBCDZCDTGUBECKLEBBEMNOO
    PQR $.
    $( [20-Aug-2007] $) $( [5-Feb-2007] $)

  $( 2 times 2 equals 4. $)
  2t2e4 $p |- ( 2 x. 2 ) = 4 $=
    ( c2 cmul co caddc c4 2cn 2times 2p2e4 eqtr ) AABCAADCEAFGHI $.
    $( [11-May-2004] $) $( [1-Aug-1999] $)

  $( 3 times 2 equals 6. $)
  3t2e6 $p |- ( 3 x. 2 ) = 6 $=
    ( c3 c2 cmul co caddc c6 3re recn times2 3p3e6 eqtr ) ABCDAAEDFAAGHIJK $.
    $( [3-Aug-2004] $) $( [2-Aug-2004] $)

  $( 3 times 3 equals 9. $)
  3t3e9 $p |- ( 3 x. 3 ) = 9 $=
    ( c3 cmul co c2 c1 caddc c6 c9 df-3 opreq2i 3re recn 2cn ax1cn adddi 3t2e6
    mulid1 opreq12i eqtr 6p3e9 3eqtr ) AABCADEFCZBCZGAFCZHAUBABIJUCADBCZAEBCZFC
    UDADEAKLZMNOUEGUFAFPAUGQRSTUA $.
    $( [12-May-2004] $) $( [11-May-2004] $)

  $( 4 times 2 equals 8. $)
  4t2e8 $p |- ( 4 x. 2 ) = 8 $=
    ( c4 c2 cmul co caddc c8 4re recn times2 4p4e8 eqtr ) ABCDAAEDFAAGHIJK $.
    $( [30-Aug-2004] $) $( [2-Aug-2004] $)

  $( 5 times 2 equals 10. $)
  5t2e10 $p |- ( 5 x. 2 ) = 10 $=
    ( c5 c2 cmul co caddc c10 5re recn times2 5p5e10 eqtr ) ABCDAAEDFAAGHIJK $.
    $( [7-Apr-2007] $) $( [5-Feb-2007] $)

  $( One half of four is two. $)
  4d2e2 $p |- ( 4 / 2 ) = 2 $=
    ( c4 c2 cdiv co wceq cmul 2t2e4 4re recn 2cn 2ne0 divmul mpbir ) ABCDBEBBFD
    AEGABBAHIJJKLM $.
    $( [3-Sep-1999] $)

  $( 1 is less than 2. $)
  1lt2 $p |- 1 < 2 $=
    ( c1 caddc co c2 clt 1re ltp1 df-2 breqtrr ) AAABCDEAFGHI $.
    $( [26-Feb-2005] $) $( [24-Feb-2005] $)

  $( One-half is greater than zero. $)
  halfgt0 $p |- 0 < ( 1 / 2 ) $=
    ( c2 2re 2pos recgt0i ) ABCD $.
    $( [26-Feb-2005] $) $( [24-Feb-2005] $)

  $( One-half is less than one. $)
  halflt1 $p |- ( 1 / 2 ) < 1 $=
    ( c1 cdiv co c2 clt wbr ax1cn div1 1lt2 eqbrtr 1re 2re lt01 2pos ltdiv23i
    mpbi ) AABCZDEFADBCAEFQADEAGHIJAADKKLMNOP $.
    $( [26-Feb-2005] $) $( [24-Feb-2005] $)

  $( An eighth of four thirds is a sixth.  (Contributed by Paul Chapman,
     24-Nov-2007.) $)
  8th4div3 $p |- ( ( 1 / 8 ) x. ( 4 / 3 ) ) = ( 1 / 6 ) $=
    ( c1 c8 cdiv co c4 c3 cmul c6 ax1cn 8re recn 4re 3re 8pos gt0ne0i 3pos
    divmuldiv mulcom opreq1i c2 2cn mul23 4t2e8 mulass 3eqtr3 3t2e6 opreq2i
    eqtr 3eqtr cc wcel cc0 wne wceq 4pos wa 6re 6pos divcan5t mp3an1 mpanl12
    mp2an ) ABCDEFCDGDZEAGDZEHGDZCDZAHCDZVCAEGDZBFGDZCDVDVICDVFABEFIBJKELKZFMKZ
    BJNOFMPOQVHVDVICAEIVJRSVIVEVDCVIEFTGDZGDZVEETGDZFGDEFGDTGDVIVMETFVJUAVKUBVN
    BFGUCSEFTVJVKUAUDUEVLHEGUFUGUHUGUIEUJUKZEULUMZVFVGUNZVJELUOOHUJUKZHULUMZVOV
    PUPZVQHUQKHUQUROAUJUKVRVSUPVTVQIAHEUSUTVAVBUH $.
    $( [25-Nov-2007] $) $( [24-Nov-2007] $)

  $( One half plus or minus one sixth.  (Contributed by Paul Chapman,
     17-Jan-2008.) $)
  halfpm6th $p |- ( ( ( 1 / 2 ) - ( 1 / 6 ) ) = ( 1 / 3 ) /\
                       ( ( 1 / 2 ) + ( 1 / 6 ) ) = ( 2 / 3 ) ) $=
    ( c1 c2 cdiv co c6 cmin c3 wceq caddc cmul 3nn nncn ax1cn 2cn nnne0 2ne0
    divmuldiv divid opreq1i 2re rereccl recn mulid2 eqtr mulid1 3t2e6 opreq12i
    3eqtr3 cc wcel 6re w3a cc0 wne 6pos gt0ne0i divsubdirt mpan2 mp3an df-3
    pncant mp2an opreq2i reccl 3eqtr2 c4 divdir df-4 3eqtr4r 2t2e4 divcl
    pm3.2i ) ABCDZAECDZFDZAGCDZHVMVNIDZBGCDZHVOGECDZVNFDZGAFDZECDZVPVMVSVNFGGCD
    ZVMJDZGAJDZGBJDZCDVMVSGGABGKLZWGMNGKOZPQWDAVMJDVMWCAVMJGWGWHRSVMVMBTPUAUBUC
    UDWEGWFECGWGUEUFUGUHZSGUIUJZAUIUJZEUIUJZWBVTHZWGMEUKUBZWJWKWLULEUMUNWMEUKUO
    UPZGAEUQURUSWBBECDABJDZWFCDZVPWABECWABAIDZAFDZBGWRAFUTSBUIUJWKWSBHNMBAVAVBU
    DSWPBWFECBNUCUFUGVPBBCDZJDVPAJDWQVPWTAVPJBNPRZVCAGBBMWGNNWHPQVPGWGWHVDUEUHV
    EVEVQVFECDZBBJDZWFCDZVRGAIDZECDVSVNIDXBVQGAEWGMWNWOVGVFXEECVHSVMVSVNIWISVIX
    CVFWFECVJUFUGVRWTJDVRAJDXDVRWTAVRJXAVCBGBBNWGNNWHPQVRBGNWGWHVKUEUHVEVL $.
    $( [18-Jan-2008] $) $( [17-Jan-2008] $)

  $( Closure of half of a number (frequently used special case). $)
  halfclt $p |- ( A e. CC -> ( A / 2 ) e. CC ) $=
    ( cc wcel c2 cc0 wne cdiv co 2cn 2ne0 divclt mp3an23 ) ABCDBCDEFADGHBCIJADK
    L $.
    $( [1-Jan-2006] $) $( [1-Jan-2006] $)

  $( Real closure of half. $)
  rehalfclt $p |- ( A e. RR -> ( A / 2 ) e. RR ) $=
    ( cr wcel c2 cc0 wne cdiv co 2re 2ne0 redivclt mp3an23 ) ABCDBCDEFADGHBCIJA
    DKL $.
    $( [2-Jan-2006] $) $( [1-Jan-2006] $)

  $( Half of a number is zero iff the number is zero. $)
  half0t $p |- ( A e. CC -> ( ( A / 2 ) = 0 <-> A = 0 ) ) $=
    ( cc wcel c2 cc0 wne cdiv co wceq wb 2cn 2ne0 diveq0t mp3an23 ) ABCDBCDEFAD
    GHEIAEIJKLADMN $.
    $( [12-Jun-2006] $) $( [20-Apr-2006] $)

  $( A positive number is greater than its half. $)
  halfpost $p |- ( A e. RR -> ( 0 < A <-> ( A / 2 ) < A ) ) $=
    ( cr wcel cc0 clt wbr c1 caddc co cdiv c2 wb cif wceq breq2 opreq1 id
    breq12d bibi12d 0re elimel halfpos dedth df-2 opreq2i breq1i syl6bbr ) ABCZ
    DAEFZAGGHIZJIZAEFZAKJIZAEFUHUIULLDUHADMZEFZUNUJJIZUNEFZLADAUNNZUIUOULUQAUND
    EOURUKUPAUNEAUNUJJPURQRSUNADBTUAUBUCUMUKAEKUJAJUDUEUFUG $.
    $( [29-Oct-2004] $) $( [28-Oct-2004] $)

  $( A number is positive iff its half is positive. $)
  halfpos2t $p |- ( A e. RR -> ( 0 < A <-> 0 < ( A / 2 ) ) ) $=
    ( cr wcel c2 cc0 clt wbr cdiv co wb 2re 2pos gt0divt mp3an23 ) ABCDBCEDFGEA
    FGEADHIFGJKLADMN $.
    $( [3-May-2005] $) $( [10-Apr-2005] $)

  $( A number is nonnegative iff its half is nonnegative. $)
  halfnneg2t $p |- ( A e. RR -> ( 0 <_ A <-> 0 <_ ( A / 2 ) ) ) $=
    ( cr wcel c2 cc0 clt wbr cle cdiv co wb 2re 2pos ge0divt mp3an23 ) ABCDBCED
    FGEAHGEADIJHGKLMADNO $.
    $( [6-Feb-2006] $) $( [9-Dec-2005] $)

  $( Two halves make a whole. $)
  2halvest $p |- ( A e. CC -> ( ( A / 2 ) + ( A / 2 ) ) = A ) $=
    ( cc wcel c2 cmul co cdiv caddc 2timest opreq1d cc0 wne wceq 2cn 2ne0
    divcan3t mp3an13 w3a divdirtOLD mpan2 mp3an3 anidms 3eqtr3rd ) ABCZDAEFZDGFZAA
    HFZDGFZAADGFZUIHFZUDUEUGDGAIJDBCZUDDKLZUFAMNODAPQUDUHUJMZUDUDUKUMNUDUDUKRUL
    UMOAADSTUAUBUC $.
    $( [29-Apr-2005] $) $( [11-Apr-2005] $)

  $( Closure of half-sum and half-difference.  (Contributed by Paul Chapman,
     12-Oct-2007.) $)
  halfaddsubcl $p |- ( ( A e. CC /\ B e. CC ) -> ( ( ( A + B ) / 2 ) e. CC /\
                         ( ( A - B ) / 2 ) e. CC ) ) $=
    ( cc wcel wa caddc co c2 cdiv cmin axaddcl halfclt syl subclt jca ) ACDBCDE
    ZABFGZHIGCDZABJGZHIGCDZPQCDRABKQLMPSCDTABNSLMO $.
    $( [13-Oct-2007] $) $( [12-Oct-2007] $)

  $( Sum and difference of half-sum and half-difference.  (Contributed by Paul
     Chapman, 12-Oct-2007.)  $)
  halfaddsubt $p |- ( ( A e. CC /\ B e. CC ) ->
                      ( ( ( ( A + B ) / 2 ) + ( ( A - B ) / 2 ) ) = A /\
                        ( ( ( A + B ) / 2 ) - ( ( A - B ) / 2 ) ) = B ) ) $=
    ( cc wcel wa caddc co c2 cdiv cmin wceq cmul ppncant 3anidm13 2timest
    adantr eqtr4d opreq1d 2cn w3a cc0 wne 2ne0 divdirtOLD mpan2 mp3an3 axaddcl
    subclt sylanc divcan3t mp3an13 3eqtr3d pnncant 3anidm23 adantl divsubdirt
    jca ) ACDZBCDZEZABFGZHIGZABJGZHIGZFGZAKVBVDJGZBKUTVAVCFGZHIGZHALGZHIGZVEAUT
    VGVIHIUTVGAAFGZVIURUSVGVKKABAMNURVIVKKUSAOPQRVACDZVCCDZVHVEKZUTVLVMHCDZVNSV
    LVMVOTZHUAUBZVNUCVAVCHUDUEUFABUGZABUHZUIURVJAKZUSVOURVQVTSUCHAUJUKPULUTVAVC
    JGZHIGZHBLGZHIGZVFBUTWAWCHIUTWABBFGZWCURUSWAWEKABBUMUNUSWCWEKURBOUOQRVLVMWB
    VFKZUTVLVMVOWFSVPVQWFUCVAVCHUPUEUFVRVSUIUSWDBKZURVOUSVQWGSUCHBUJUKUOULUQ $.
    $( [13-Oct-2007] $) $( [12-Oct-2007] $)

  $( MAY BE REVISED - TODO - use this to reduce:
  Statement "lt2addt" is directly referenced in the proofs of 9 statements:
    2climnn 2climnn0 climaddlem3 climmullem5 climcau ser1f0
  MM> sh us 2halvest
  Statement "2halvest" is directly referenced in the proofs of 10 statements:
    2climnn 2climnn0 climmullem5 climcau caucvg ser1f0
  MM>
  $)
  $( A sum is less than the whole if each term is less than half. $)
  lt2halvest $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                ( ( A < ( C / 2 ) /\ B < ( C / 2 ) ) -> ( A + B ) < C ) ) $=
    ( cr wcel w3a c2 cdiv co clt wbr wa caddc wi lt2addt 3simpa rehalfclt jca
    3ad2ant3 sylanc wb cc wceq recnt 2halvest syl breq2d sylibd ) ADEZBDEZCDEZF
    ZACGHIZJKBUMJKLZABMIZUMUMMIZJKZUOCJKZUIUJLUMDEZUSLZUNUQNULABUMUMOUIUJUKPUKU
    IUTUJUKUSUSCQZVARSTUKUIUQURUAUJUKUPCUOJUKCUBEUPCUCCUDCUEUFUGSUH $.
    $( [13-Dec-2006] $) $( [13-Dec-2006] $)

  ${
    $d x y $.
    $( There is no smallest positive real number. $)
    nominpos $p |- -. E. x e. RR ( 0 < x /\
                   -. E. y e. RR ( 0 < y /\ y < x ) ) $=
      ( cc0 cv clt wbr wa cr wrex wn wcel wi c2 cdiv co 2re 2pos pm3.2i
      divgt0t mpan2 ex halfpost biimpd jcad rehalfclt jctild wceq breq2 breq1
      anbi12d rcla4ev syl6 iman sylib nrex ) CADZEFZCBDZEFZURUPEFZGZBHIZJGZAHUP
      HKZUQVBLVCJVDUQUPMNOZHKZCVEEFZVEUPEFZGZGVBVDUQVIVFVDUQVGVHVDUQVGVDUQGMHKZ
      CMEFZGVGVJVKPQRUPMSTUAVDUQVHUPUBUCUDUPUEUFVAVIBVEHURVEUGUSVGUTVHURVECEUHU
      RVEUPEUIUJUKULUQVBUMUNUO $.
      $( [29-Oct-2004] $) $( [28-Oct-2004] $)
  $}

  $( The average of two numbers is less than or equal to at least one of
     them. $)
  avglet $p |- ( ( A e. RR /\ B e. RR ) ->
               ( ( ( A + B ) / 2 ) <_ A \/ ( ( A + B ) / 2 ) <_ B ) ) $=
    ( cr wcel wa caddc co c2 cdiv cle wbr wo cmul wn clt wb ltnlet 2re
    axmulrcl mpan adantr axaddrcl sylanc ltadd2t 3anidm13 ltadd1t 3anidm23
    bitr3d wceq cc recnt 2timest syl breq1d adantl breq2d 3bitr4d wi ltlet
    sylbid sylbird orrd w3a cc0 2pos ledivmultOLD mpan2 mp3an2 pm3.26 sylancom
    orbi12d mpbird ) ACDZBCDZEZABFGZHIGZAJKZVQBJKZLVPHAMGZJKZVPHBMGZJKZLVOWAWCV
    OWANZVTVPOKZWCVTCDZVPCDZWEWDPVOVTVPQVMWFVNHCDZVMWFRHASTUAABUBZUCVOWEVPWBOKZ
    WCVOAAFGZVPOKZVPBBFGZOKZWEWJVOABOKZWLWNVMVNWOWLPABAUDUEVMVNWOWNPABBUFUGUHVO
    VTWKVPOVMVTWKUIZVNVMAUJDWPAUKAULUMUAUNVOWBWMVPOVNWBWMUIZVMVNBUJDWQBUKBULUMU
    OUPUQWGWBCDZWJWCURVOVPWBUSWIVNWRVMWHVNWRRHBSTUOUCUTVAVBVOVRWAVSWCWGVMVRWAPZ
    VOWGWHVMWSRWGWHVMVCVDHOKZWSVEVPHAVFVGVHWIVMVNVIUCVMVNWGVSWCPZWIWGWHVNXARWGW
    HVNVCWTXAVEVPHBVFVGVHVJVKVL $.
    $( [1-Feb-2006] $) $( [9-Dec-2005] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Completeness Axiom and Suprema
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w x y z v S $.  $d w y A $.
    $( If a set of reals contains a lower bound, it contains a unique lower
       bound. $)
    lbreu $p |- ( ( S (_ RR /\ E. x e. S A. y e. S x <_ y ) ->
                E! x e. S A. y e. S x <_ y ) $=
      ( vw cr wss cv cle wbr wral wrex wa wceq wi wreu wcel breq2 rcla4v
      im2anan9r wb ssel anim12d impcom letri3t syl biimprd ex com23 syld com3r
      r19.21aivv anim2i ancoms breq1 ralbidv reu4 sylibr ) CEFZAGZBGZHIZBCJZACK
      ZLVCVBDGZUTHIZBCJZLZUSVDMZNZDCJACJZLZVBACOVCURVKURVJVCURVIADCCUSCPZVDCPZL
      ZVGURVHVNVGUSVDHIZVDUSHIZLZURVHNVMVBVOVLVFVPVAVOBVDCUTVDUSHQRVEVPBUSCUTUS
      VDHQRSVNURVQVHVNURVQVHNVNURLZVHVQVRUSEPZVDEPZLZVHVQTURVNWAURVLVSVMVTCEUSU
      ACEVDUAUBUCUSVDUDUEUFUGUHUIUJUKULUMVBVFADCVHVAVEBCUSVDUTHUNUOUPUQ $.
      $( [11-Oct-2005] $) $( [9-Oct-2005] $)

    $( If a set of reals contains a lower bound, it contains a unique lower
       bound that belongs to the set. $)
    lbcl $p |- ( ( S (_ RR /\ E. x e. S A. y e. S x <_ y ) ->
                U. { x e. S | A. y e. S x <_ y } e. S ) $=
      ( cr wss cv cle wbr wral wrex wa wreu crab cuni wcel lbreu reucl2 ssrab2
      sseli 3syl ) CDEAFBFGHBCIZACJKUAACLUAACMZNZUBOUCCOABCPUAACQUBCUCUAACRST
      $.
      $( [12-Oct-2005] $) $( [9-Oct-2005] $)

    $( If a set of reals contains a lower bound, the lower bound is less than
       or equal to all members of the set. $)
    lble $p |- ( ( S (_ RR /\ E. x e. S A. y e. S x <_ y /\ A e. S ) ->
                U. { x e. S | A. y e. S x <_ y } <_ A ) $=
      ( vw wcel cr wss cv cle wbr wral wrex crab cuni wa hbra1 ax-17 hbrab
      hbuni hbbr breq2 rcla4 imp wreu lbreu wceq breq1 ralbidv cbvreuv sylib
      hbeleq ralbid reuuni3 syl sylan2 3impb 3coml ) CDFZDGHZAIZBIZJKZBDLZADMZV
      DADNZOZCJKZUSUTVEVHUSVGVBJKZBDLZVHUTVEPZUSVJVHVIVHBCDBEVGCJBEVFVDBAEDVCBD
      QEIZDFBRSTZVLJFBRVLCFBRUAVBCVGJUBUCUDVKVLVBJKZBDLZEDUEZVJVKVDADUEVPABDUFV
      DVOAEDVAVLUGVCVNBDVAVLVBJUHUIUJUKVOVDVJEADVLVAUGVNVCBDVLVAVBJUHUIVLVGUGVN
      VIBDBEVGVMULVLVGVBJUHUMUNUOUPUQUR $.
      $( [12-Oct-2005] $) $( [9-Oct-2005] $)

    $( If a set of reals contains a lower bound, the lower bound is its
       infimum. $)
    lbinfm $p |- ( ( S (_ RR /\ E. x e. S A. y e. S x <_ y ) ->
                 sup ( S , RR , `' < ) = U. { x e. S | A. y e. S x <_ y } ) $=
      ( vv vz vw cr wss cv cle wbr wral wrex wa clt ccnv wn wi crab cuni csup
      wceq wcel lble 3expa wb lenltt lbcl ssel2 syldan adantr adantlr sylanc
      mpbid cvv reex ssex rabexg syl uniexg visset brcnvg mpan2 3syl negbid
      ad2antrr mpbird r19.21aiva a1d ancrd breq2 rcla4ev syl6 r19.21aiv jca
      wreu breq1 ralbidv imbi1d anbi12d reuuni2 ssel mpd wor ltso cnvso mpbi
      supeu df-sup syl5eq ) CGHZAIBIJKBCLZACMZNZDIZEIZOPZKZQZECLZWPWOWQKZWPFIZW
      QKZFCMZRZEGLZNZDGSTZWLACSZTZCGWQUAWNXJWPWQKZQZECLZWPXJWQKZXDRZEGLZNZXHXJU
      BZWNXMXPWNXLECWNWPCUCZNZXLWPXJOKZQZXTXJWPJKZYBWKWMXSYCABWPCUDUEXJGUCZWPGU
      CZYCYBUFXTXJWPUGWNYDXSWKWMXJCUCZYDABCUHZCGXJUIUJUKWKXSYEWMCGWPUIULUMUNWKX
      LYBUFWMXSWKXKYAWKXIUOUCZXJUOUCZXKYAUFZWKCUOUCYHCGUPUQWLACUOURUSXIUOUTYIWP
      UOUCYJEVAXJWPUOUOOVBVCVDVEVFVGVHWNXOEGWNXOYEWNXNYFXNNXDWNXNYFWNYFXNYGVIVJ
      XCXNFXJCXBXJWPWQVKVLVMVIVNVOZYDXGDGVPZXQXRUFWNXGXQDGXJWOXJUBZWTXMXFXPYMWS
      XLECYMWRXKWOXJWPWQVQVEVRYMXEXOEGYMXAXNXDWOXJWPWQVKVSVRVTZWAWNYFYDYGWKYFYD
      RWMCGXJWBUKWCZWNXGDGMZYLYDXQYPWNXGXQDXJGYNVLYOYKUMDEFGCWQGOWDGWQWDWEGOWFW
      GWHUSUMUNDEFGCWQWIWJ $.
      $( [12-Oct-2005] $) $( [9-Oct-2005] $)

    $( If a set of reals contains a lower bound, it contains its infimum. $)
    lbinfmcl $p |- ( ( S (_ RR /\ E. x e. S A. y e. S x <_ y ) ->
                 sup ( S , RR , `' < ) e. S ) $=
      ( cr wss cv cle wbr wral wrex wa clt ccnv csup crab cuni lbinfm lbcl
      eqeltrd ) CDEAFBFGHBCIZACJKCDLMNTACOPCABCQABCRS $.
      $( [20-Oct-2005] $) $( [11-Oct-2005] $)

    $( If a set of reals contains a lower bound, its infmimum is less than
       or equal to all members of the set. $)
    lbinfmle $p |- ( ( S (_ RR /\ E. x e. S A. y e. S x <_ y /\ A e. S ) ->
                sup ( S , RR , `' < ) <_ A ) $=
      ( cr wss cv cle wbr wral wrex wcel w3a clt ccnv csup crab cuni wceq
      lbinfm 3adant3 lble eqbrtrd ) DEFZAGBGHIBDJZADKZCDLZMDENOPZUEADQRZCHUDUFU
      HUISUGABDTUAABCDUBUC $.
      $( [25-Oct-2005] $) $( [11-Oct-2005] $)
  $}

  ${
    $d x y z w v u t A $.
    $( A non-empty, bounded-above set of reals has a supremum.  Stronger
       version of completeness axiom (it has a slightly weaker antecedent). $)
    sup2 $p |- ( ( A (_ RR /\ A =/= (/) /\
                  E. x e. RR A. y e. A ( y < x \/ y = x ) ) ->
               E. x e. RR ( A. y e. A -. x < y /\
                  A. y e. RR ( y < x -> E. z e. A y < z ) ) ) $=
      ( cr wss c0 wne cv clt wbr wceq wo wral wrex w3a wn wi wa wcel wex c1
      caddc co peano2re adantr a1i wal ssel axlttrn 3expb ancli sylan2 ltp1t
      sylan2i exp4b com34 pm2.43d imp breq1 syl5cbir adantl jaod ex syl6 com23
      a2d 19.20dv df-ral 3imtr4g imp3a jcad oprex eleq1 breq2 ralbidv anbi12d
      cla4ev 19.23adv cbvexv syl6ib df-rex imdistani df-3an 3imtr4 axsup syl )
      DEFZDGHZBIZAIZJKZWJWKLZMZBDNZAEOZPZWHWIWLBDNZAEOZPZWKWJJKQBDNWLWJCIZJKZCD
      ORBENSAEOWHWISZWPSXCWSSWQWTXCWPWSWHWPWSRWIWHWKETZWOSZAUAZXDWRSZAUAZWPWSWH
      XFXAETZXBBDNZSZCUAZXHWHXEXLAWHXEWKUBUCUDZETZWJXMJKZBDNZSZXLWHXEXNXPXEXNRW
      HXDXNWOWKUEZUFUGWHXDWOXPWHXDWOXPRWHXDSZWJDTZWNRZBUHXTXORZBUHWOXPXSYAYBBXS
      XTWNXOWHXDXTWNXORZRWHXTXDYCWHXTWJETZXDYCRDEWJUIYDXDYCYDXDSZWLXOWMYDXDWLXO
      RZYDXDYFYDXDWLXDXOYDXDWLXDXOYEWLWKXMJKZXOXDYDXDXNSWLYGSXORZXDYDXDXNYHWJWK
      XMUJUKXDXNXRULUMWKUNZUOUPUQURUSXDWMXORYDWMXOYGXDWJWKXMJUTYIVAVBVCVDVEVFUS
      VGVHWNBDVIXOBDVIVJVDVKVLXKXQCXMWKUBUCVMXAXMLZXIXNXJXPXAXMEVNYJXBXOBDXAXMW
      JJVOVPVQVRVEVSXKXGCAXAWKLZXIXDXJWRXAWKEVNYKXBWLBDXAWKWJJVOVPVQVTWAWOAEWBW
      RAEWBVJUFWCWHWIWPWDWHWIWSWDWEABCDWFWG $.
      $( [19-Jan-1997] $)

    $( A version of the completeness axiom for reals. $)
    sup3 $p |- ( ( A (_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) ->
                  E. x e. RR ( A. y e. A -. x < y /\
                  A. y e. RR ( y < x -> E. z e. A y < z ) ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a clt wceq wo wn wi wa wcel wb
      ssel leloet expcom syl9 imp31 ralbidva rexbidva anbi2d pm5.32i 3anass
      3bitr4 sup2 sylbi ) DEFZDGHZBIZAIZJKZBDLZAEMZNZUPUQURUSOKZURUSPQZBDLZAEMZ
      NZUSUROKRBDLVDURCIOKCDMSBELTAEMUPUQVBTZTUPUQVGTZTVCVHUPVIVJUPVBVGUQUPVAVF
      AEUPUSEUAZTUTVEBDUPVKURDUAZUTVEUBZUPVLUREUAZVKVMDEURUCVNVKVMURUSUDUEUFUGU
      HUIUJUKUPUQVBULUPUQVGULUMABCDUNUO $.
      $( [11-May-2007] $) $( [12-Oct-2004] $)

    $( Lemma for ~ infm3 . $)
    infm3lem $p |- ( x e. RR -> E. y e. RR x = -u y ) $=
      ( cv cneg cr wcel wceq wrex negeq eqeq2d rcla4ev renegclt cc recnt
      negnegt syl eqcomd sylanc ) ACZDZEFSTDZGZSBCZDZGZBEHSEFZUEUBBTEUCTGUDUASU
      CTIJKSLUFUASUFSMFUASGSNSOPQR $.
      $( [29-Jun-2005] $) $( [14-Jun-2005] $)

    $( The completeness axiom for reals in terms of infimum:  a non-empty,
       bounded-below set of reals has a infimum.  (This theorem is the dual of
       ~ sup3 .) $)
    infm3 $p |- ( ( A (_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A x <_ y ) ->
                  E. x e. RR ( A. y e. A -. y < x /\
                  A. y e. RR ( x < y -> E. z e. A z < y ) ) ) $=
      ( vu vv vw vt cr wss c0 wne cv cle wbr wral wrex clt wn wi wa cneg wcel
      crab wex ssel pm4.71rd exbidv df-rex renegclt infm3lem eleq1 rexxfr
      bitr3 syl6bb ne0 rabn0 3bitr4g wal imbi1d impexp albidv df-ral wceq
      breq2 imbi12d ralxfr rexbidv breq1 imbi2d ralbidv wb lenegt ancoms
      ralbidva negeq eleq1d elrab imbi1i bitr albii 3bitr4r syl5bbr rexbiia
      bitr4 anbi12d ssrab2 sup3 mp3an1 syl6bi negbid adantrd syl5bb ltnegt
      anbi2d rexbidva anbi1i anass rexbii2 adantl sylibrd 3impib ) DIJZDKLZAMZB
      MZNOZBDPZAIQZXFXEROZSZBDPZXEXFROZCMZXFROZCDQZTZBIPZUAZAIQZXCXDXIUAZEMZFMZ
      ROZSZFGMZUBZDUCZGIUDZPZYCYBROZYCHMZROZHYIQZTZFIPZUAZEIQZXTXCYAYIKLZYCYBNO
      ZFYIPZEIQZUAYRXCXDYSXIUUBXCYCDUCZFUEZYHGIQZXDYSXCUUDYCIUCZUUCUAZFUEZUUEXC
      UUCUUGFXCUUCUUFDIYCUFUGUHUUHUUCFIQUUEUUCFIUIUUCYHFGYGIYFUJFGUKYCYGDULUMUN
      UOFDUPYHGIUQURXCXIYCUBZDUCZXEUUINOZTZFIPZAIQZUUBXCXHUUMAIXCXFDUCZXGTZBUSX
      FIUCZUUPTZBUSZXHUUMXCUUPUURBXCUUPUUQUUOUAZXGTUURXCUUOUUTXGXCUUOUUQDIXFUFU
      GZUTUUQUUOXGVAUOVBXGBDVCUUMUUPBIPUUSUUPUULBFUUIIYCUJZBFUKZXFUUIVDZUUOUUJX
      GUUKXFUUIDULZXFUUIXENVEVFVGUUPBIVCUNURVHUUNUUJYBUBZUUINOZTZFIPZEIQUUBUUMU
      VIAEUVFIYBUJZAEUKZXEUVFVDZUULUVHFIUVLUUKUVGUUJXEUVFUUINVIVJVKUMUUAUVIEIYB
      IUCZUUJYTTZFIPZUVIUUAUVMUVNUVHFIUVMUUFUAZYTUVGUUJUUFUVMYTUVGVLYCYBVMVNVJV
      OYCYIUCZYTTZFUSUUFUVNTZFUSUUAUVOUVRUVSFUVRUUFUUJUAZYTTUVSUVQUVTYTYHUUJGYC
      IYFYCVDYGUUIDYFYCVPVQVRZVSUUFUUJYTVAVTWAYTFYIVCUVNFIVCWBWCWDWEUOWFYIIJYSU
      UBYRYHGIWGEFHYIWHWIWJXCXTUUJUUIXEROZSZTZFIPZXEUUIROZYLUBZDUCZUWGUUIROZUAZ
      HIQZTZFIPZUAZAIQZYRXCXSUWNAIXCXLUWEXRUWMXCUUOXKTZBUSUUQUWPTZBUSZXLUWEXCUW
      PUWQBXCUWPUUTXKTUWQXCUUOUUTXKUVAUTUUQUUOXKVAUOVBXKBDVCUWEUWPBIPUWRUWPUWDB
      FUUIIUVBUVCUVDUUOUUJXKUWCUVEUVDXJUWBXFUUIXERVIWKVFVGUWPBIVCUNURXCUWFXNUUI
      ROZCDQZTZFIPUWMXRXCUXAUWLFIXCUWTUWKUWFXCXNDUCZUWSUAZCUEXNIUCZUXCUAZCUEZUW
      TUWKXCUXCUXECXCUXCUXDXCUXBUXDUWSDIXNUFWLUGUHUWSCDUIUWKUXCCIQUXFUXCUWJCHUW
      GIYLUJCHUKXNUWGVDUXBUWHUWSUWIXNUWGDULXNUWGUUIRVIWFUMUXCCIUIUNURVJVKXQUXAB
      FUUIIUVBUVCUVDXMUWFXPUWTXFUUIXERVEUVDXOUWSCDXFUUIXNRVEVHVFVGWMWFVHUWOUUJU
      UIUVFROZSZTZFIPZUVFUUIROZUWKTZFIPZUAZEIQYRUWNUXNAEUVFIUVJUVKUVLUWEUXJUWMU
      XMUVLUWDUXIFIUVLUWCUXHUUJUVLUWBUXGXEUVFUUIRVEWKVJVKUVLUWLUXLFIUVLUWFUXKUW
      KXEUVFUUIRVIUTVKWFUMYQUXNEIUVMYJUXJYPUXMUVMUUJYETZFIPZUXJYJUVMUXOUXIFIUVP
      YEUXHUUJUVPYDUXGYBYCWNWKVJVOUVQYETZFUSUUFUXOTZFUSYJUXPUXQUXRFUXQUVTYETUXR
      UVQUVTYEUWAVSUUFUUJYEVAVTWAYEFYIVCUXOFIVCWBWCUVMYOUXLFIUVPYKUXKYNUWKUUFUV
      MYKUXKVLYCYBWNVNUUFYNUWKVLUVMUUFUWHYMUAZHIQUWKYNUUFUXSUWJHIUUFYLIUCZUAYMU
      WIUWHYCYLWNWOWPYMUXSHYIIYLYIUCZYMUAUXTUWHUAZYMUAUXTUXSUAUYAUYBYMYHUWHGYLI
      YFYLVDYGUWGDYFYLVPVQVRWQUXTUWHYMWRVTWSWMWTVFVOWFWDWEUOXAXB $.
      $( [11-May-2007] $) $( [14-Jun-2005] $)

    $( Closure of supremum of a non-empty bounded set of reals. $)
    suprcl $p |- ( ( A (_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) ->
                  sup ( A , RR , < ) e. RR ) $=
      ( vz cr wss c0 wne cv cle wbr wral wrex w3a clt wn wi wa csup wcel sup3
      ltso supcl syl ) CEFCGHBIZAIZJKBCLAEMNUFUEOKPBCLUEUFOKUEDIOKDCMQBELRAEMCE
      OSETABDCUAABDECOUBUCUD $.
      $( [13-May-2007] $) $( [12-Oct-2004] $)

    $( A member of a non-empty bounded set of reals is less than or equal
       to the set's upper bound. $)
    suprub $p |- ( ( ( A (_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x )
                 /\ B e. A ) -> B <_ sup ( A , RR , < ) ) $=
      ( vz cr wss c0 wne cv cle wbr wral wrex w3a wcel wa clt csup wn wi sup3
      ltso supub syl imp wb lenltt 3simp1 sseld suprcl adantr sylanc mpbird )
      CFGZCHIZBJZAJZKLBCMAFNZOZDCPZQZDCFRSZKLZVCDRLTZUTVAVEUTURUQRLTBCMUQURRLUQ
      EJRLECNUABFMQAFNVAVEUAABECUBABEFCDRUCUDUEUFDFPZVCFPZVDVEUGVBDVCUHUTVAVFUT
      CFDUOUPUSUIUJUFUTVGVAABCUKULUMUN $.
      $( [15-May-2007] $) $( [12-Oct-2004] $)

    ${
      $d z B $.
      $( The supremum of a non-empty bounded set of reals is the least upper
         bound. $)
      suprlub $p |- ( ( ( A (_ RR /\ A =/= (/) /\
                      E. x e. RR A. y e. A y <_ x ) /\
                    ( B e. RR /\ B < sup ( A , RR , < ) ) ) ->
                    E. z e. A B < z ) $=
        ( cr wss c0 wne cv cle wbr wral wrex w3a wcel clt csup wa wn wi sup3
        ltso suplub syl imp ) DFGDHIBJZAJZKLBDMAFNOZEFPEDFQRQLSZECJZQLCDNZUIUHU
        GQLTBDMUGUHQLUGUKQLCDNUABFMSAFNUJULUAABCDUBABCFDEQUCUDUEUF $.
        $( [29-May-2007] $) $( [15-Nov-2004] $)

      $( An upper bound is not less than the supremum of a non-empty bounded
         set of reals. $)
      suprnub $p |- ( ( ( A (_ RR /\ A =/= (/) /\
                      E. x e. RR A. y e. A y <_ x ) /\
                    ( B e. RR /\ A. z e. A -. B < z ) ) ->
                    -. B < sup ( A , RR , < ) ) $=
        ( cr wss c0 wne cv cle wbr wral wrex w3a wcel clt wn wa csup wi sup3
        ltso supnub syl imp ) DFGDHIBJZAJZKLBDMAFNOZEFPECJZQLRCDMSZEDFQTQLRZUIU
        HUGQLRBDMUGUHQLUGUJQLCDNUABFMSAFNUKULUAABCDUBABCFDEQUCUDUEUF $.
        $( [21-May-2007] $) $( [15-Nov-2004] $)

      $( The supremum of a non-empty bounded set of reals is less than or equal
         to an upper bound. $)
      suprleub $p |- ( ( ( A (_ RR /\ A =/= (/) /\
                      E. x e. RR A. y e. A y <_ x ) /\
                    ( B e. RR /\ A. z e. A z <_ B ) ) ->
                    sup ( A , RR , < ) <_ B ) $=
        ( cr wss c0 wne cv cle wbr wral wrex w3a wcel wa clt csup wn wb lenltt
        ssel2 sylan an1rs ralbidva pm5.32da 3ad2ant1 suprnub suprcl adantrr
        mpbird ex sylbid imp ) DFGZDHIZBJAJKLBDMAFNZOZEFPZCJZEKLZCDMZQZDFRSZEKL
        ZUSVDUTEVARLTZCDMZQZVFUPUQVDVIUAURUPUTVCVHUPUTQVBVGCDUPVADPZUTVBVGUAZVA
        FPUTVKUPVJQVAEUBDFVAUCUDUEUFUGUHUSVIVFUSVIQVFEVERLTZABCDEUIUSUTVFVLUAZV
        HVEFPUTVMUSVEEUBABDUJUDUKULUMUNUO $.
        $( [28-May-2007] $) $( [18-Mar-2005] $)
    $}
  $}

  ${
    $d x y z A $.
    sup3i.1 $e |- ( A (_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) $.
    $( A version of the completeness axiom for reals. $)
    sup3i $p |- E. x e. RR ( A. y e. A -. x < y /\
                  A. y e. RR ( y < x -> E. z e. A y < z ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a clt wn wi wa sup3 ax-mp ) DFGDHI
      BJZAJZKLBDMAFNOUCUBPLQBDMUBUCPLUBCJPLCDNRBFMSAFNEABCDTUA $.
      $( [14-Mar-2007] $) $( [23-Aug-1999] $)

    $( Closure of supremum of a non-empty bounded set of reals. $)
    suprcli $p |- sup ( A , RR , < ) e. RR $=
      ( vz cr clt ltso sup3i supcli ) ABEFCGHABECDIJ $.
      $( [15-May-2007] $) $( [12-Sep-1999] $)

    $( A member of a non-empty bounded set of reals is less than or equal
       to the set's upper bound. $)
    suprubi $p |- ( B e. A -> B <_ sup ( A , RR , < ) ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a wcel clt csup suprub mpan ) CFGC
      HIBJAJKLBCMAFNODCPDCFQRKLEABCDST $.
      $( [16-May-2007] $) $( [12-Sep-1999] $)

    ${
      $d z B $.
      $( The supremum of a non-empty bounded set of reals is the least upper
         bound. $)
      suprlubi $p |- ( ( B e. RR /\ B < sup ( A , RR , < ) ) ->
                    E. z e. A B < z ) $=
        ( cr clt ltso sup3i suplubi ) ABCGDEHIABCDFJK $.
        $( [16-May-2007] $) $( [15-Oct-2004] $)

      $( An upper bound is not less than the supremum of a non-empty bounded
         set of reals. $)
      suprnubi $p |- ( ( B e. RR /\ A. z e. A -. B < z ) ->
                   -. B < sup ( A , RR , < ) ) $=
        ( cr clt ltso sup3i supnubi ) ABCGDEHIABCDFJK $.
        $( [31-May-2007] $) $( [15-Oct-2004] $)

      $( The supremum of a non-empty bounded set of reals is less than or equal
         to an upper bound. $)
      suprleubi $p |- ( ( B e. RR /\ A. z e. A z <_ B ) ->
                   sup ( A , RR , < ) <_ B ) $=
        ( cr wss c0 wne cv cle wbr wral wrex w3a wcel wa clt csup suprleub
        mpan ) DGHDIJBKAKLMBDNAGOPEGQCKELMCDNRDGSTELMFABCDEUAUB $.
        $( [1-Jun-2007] $) $( [18-Mar-2005] $)
    $}
  $}

  ${
    $d x y z $.  $d z A $.  $d y z ph $.  $d x z ps $.
    reuunineg.1 $e |- ( x = -u y -> ( ph <-> ps ) ) $.
    $( The negative of the unique real such that ` ph ` . $)
    reuunineg $p |- ( E! x e. RR ph ->
                U. { x e. RR | ph } = -u U. { y e. RR | ps } ) $=
      ( vz cr cv cneg crab cuni hbrab1 hbuni hbneg renegclt negeq cc wcel wceq
      wb negcon2t recnt syl2an reuhyp reuunixfr ) ABCDFGDHZIZBDGJZKZIDFUIDFUHBD
      FGLMNUFOUIOEUFUIPCDUGCHZIZGUJOUJQRUFQRUJUGSUFUKSTUJGRUFGRUJUFUAUJUBUFUBUC
      UDUE $.
      $( [26-Jun-2005] $) $( [13-Jun-2005] $)
  $}

  ${
    $d x y z w v u t A $.
    $( The infimum (expressed as supremum with converse 'less-than') of a set
       of reals ` A ` . $)
    dfinfmr $p |- ( A (_ RR -> sup ( A , RR , `' < ) = U. { x e. RR |
        ( A. y e. A  x <_ y /\ A. y e. RR ( x < y -> E. z e. A z < y ) ) } ) $=
      ( cr wss cv clt ccnv wbr wn wral wrex wi wa crab cuni cle csup wcel wb
      lenltt visset brcnv negbii syl6rbbr ssel2 sylan2 ancoms an1rs ralbidva
      rexbii imbi12i ralbii a1i anbi12d rabbidv unieqd df-sup syl5eq ) DEFZAGZB
      GZHIZJZKZBDLZVCVBVDJZVCCGZVDJZCDMZNZBELZOZAEPZQVBVCRJZBDLZVBVCHJZVIVCHJZC
      DMZNZBELZOZAEPZQDEVDSVAVOWDVAVNWCAEVAVBETZOZVGVQVMWBWFVFVPBDVAVCDTZWEVFVP
      UAZWEVAWGOZWHWEVCETZWHWIWEWJOVPVCVBHJZKVFVBVCUBVEWKVBVCHAUCZBUCZUDUEUFDEV
      CUGUHUIUJUKVMWBUAWFVLWABEVHVRVKVTVCVBHWMWLUDVJVSCDVCVIHWMCUCUDULUMUNUOUPU
      QURABCEDVDUSUT $.
      $( [23-Dec-2005] $) $( [9-Oct-2005] $)

    $( The infimum (expressed as supremum with converse 'less-than') of a set
       of reals ` A ` is the negative of the supremum of the negatives of its
       elements.  The antecedent ensures that ` A ` is nonempty and has a
       lower bound. $)
    infmsup $p |- ( ( A (_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A x <_ y ) ->
                   sup ( A , RR , `' < ) =
                 -u sup ( { z e. RR | -u z e. A } , RR , < ) ) $=
      ( vw vv vu vt cr wss c0 wne cv cle wbr wral wrex clt ccnv csup cneg wcel
      crab wceq wn wi wa infm3 3exp wreu cuni breq2 negbid ralbidv breq1
      imbi1d anbi12d reuunineg df-sup wb visset brcnv negbii ralbii rexbii
      imbi12i anbi12i a1i rabbii unieqi eqtr syl5eq ltnegt imbi2d ralbidva wal
      negeq eleq1d elrab imbi1i impexp bitr albii df-ral 3bitr4r syl5bbr
      ancoms anbi2d rexbidva anbi1i anass rexbii2 syl5bb adantl imbi12d ssel
      pm4.71rd syl6rbb albidv renegclt infm3lem eleq1 ralxfr bitr3 3bitr4g wex
      adantrd exbidv df-rex rexxfr rexbidv syl5rbb sylan9bbr rabbidv unieqd
      negeqd eqcomd sylan9eqr ex wor ltso cnvso mpbi supeu reubii 3imtr3 syl5
      syl6d 3imp ) DIJZDKLZAMZBMZNOBDPAIQZDIRSZTZCMZUAZDUBZCIUCZIRTZUAZUDZYJYKY
      NYMYLROZUEZBDPZYLYMROZEMZYMROZEDQZUFZBIPZUGZAIQZUUCYJYKYNUUNABEDUHUIYJUUM
      AIUJZUUCUUNYJUUOUUCUUOYJYPYMFMZUAZROZUEZBDPZUUQYMROZUUJUFZBIPZUGZFIUCZUKZ
      UAZUUBUUOUUMAIUCZUKZUVGYPUUMUVDAFYLUUQUDZUUFUUTUULUVCUVJUUEUUSBDUVJUUDUUR
      YLUUQYMRULUMUNUVJUUKUVBBIUVJUUGUVAUUJYLUUQYMRUOUPUNUQURYPYLYMYOOZUEZBDPZY
      MYLYOOZYMUUHYOOZEDQZUFZBIPZUGZAIUCZUKUVIABEIDYOUSUVTUVHUVSUUMAIUVSUUMUTYL
      IUBUVMUUFUVRUULUVLUUEBDUVKUUDYLYMRAVAZBVAZVBVCVDUVQUUKBIUVNUUGUVPUUJYMYLR
      UWBUWAVBUVOUUIEDYMUUHRUWBEVAVBVEVFVDVGZVHVIVJVKVLYJUUBUVGYJUUAUVFYJUUPGMZ
      ROZUEZGYTPZUWDUUPROZUWDHMZROZHYTQZUFZGIPZUGZFIUCZUKUVFUUAYJUWOUVEYJUWNUVD
      FIUUPIUBZUWNUWDUAZDUBZUWQUUQROZUEZUFZGIPZUUQUWQROZUWIUAZDUBZUXDUWQROZUGZH
      IQZUFZGIPZUGYJUVDUWPUWGUXBUWMUXJUWPUWRUWFUFZGIPZUXBUWGUWPUXKUXAGIUWPUWDIU
      BZUGZUWFUWTUWRUXNUWEUWSUUPUWDVMUMVNVOUWDYTUBZUWFUFZGVPUXMUXKUFZGVPUWGUXLU
      XPUXQGUXPUXMUWRUGZUWFUFUXQUXOUXRUWFYSUWRCUWDIYQUWDUDYRUWQDYQUWDVQVRVSVTUX
      MUWRUWFWAWBWCUWFGYTWDUXKGIWDWEWFUWPUWLUXIGIUXNUWHUXCUWKUXHUXMUWPUWHUXCUTU
      WDUUPVMWGUXMUWKUXHUTUWPUXMUXEUWJUGZHIQUXHUWKUXMUXSUXGHIUXMUWIIUBZUGUWJUXF
      UXEUWDUWIVMWHWIUWJUXSHYTIUWIYTUBZUWJUGUXTUXEUGZUWJUGUXTUXSUGUYAUYBUWJYSUX
      ECUWIIYQUWIUDYRUXDDYQUWIVQVRVSWJUXTUXEUWJWKWBWLWMWNWOVOUQYJUXBUUTUXJUVCYJ
      YMIUBZYMDUBZUUSUFZUFZBVPZUYEBVPUXBUUTYJUYFUYEBYJUYEUYCUYDUGZUUSUFUYFYJUYD
      UYHUUSYJUYDUYCDIYMWPWQUPUYCUYDUUSWAWRWSUXBUYEBIPUYGUYEUXABGUWQIUWDWTZBGXA
      ZYMUWQUDZUYDUWRUUSUWTYMUWQDXBUYKUURUWSYMUWQUUQRUOUMWOXCUYEBIWDXDUUSBDWDXE
      YJUXCUUHUWQROZEDQZUFZGIPUXJUVCYJUYNUXIGIYJUYMUXHUXCYJUUHDUBZUYLUGZEXFUUHI
      UBZUYPUGZEXFZUYMUXHYJUYPUYREYJUYPUYQYJUYOUYQUYLDIUUHWPXGWQXHUYLEDXIUXHUYP
      EIQUYSUYPUXGEHUXDIUWIWTEHXAUUHUXDUDUYOUXEUYLUXFUUHUXDDXBUUHUXDUWQRUOUQXJU
      YPEIXIXDXEVNUNUVBUYNBGUWQIUYIUYJUYKUVAUXCUUJUYMYMUWQUUQRULUYKUUIUYLEDYMUW
      QUUHRULXKWOXCXLUQXMXNXOFGHIYTRUSVLXPXQXRXSUVSAIQUVSAIUJUUNUUOABEIDYOIRXTI
      YOXTYAIRYBYCYDUVSUUMAIUWCVEUVSUUMAIUWCYEYFYGYHYI $.
      $( [13-May-2007] $) $( [14-Jun-2005] $)

    $( Closure of infimum of a non-empty bounded set of reals. $)
    infmrcl $p |- ( ( A (_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A x <_ y ) ->
                  sup ( A , RR , `' < ) e. RR ) $=
      ( vv vw vz cr wss c0 wne cv cle wbr wral wrex w3a clt ccnv csup cneg
      wcel crab infmsup ssrab2 suprcl mp3an1 wex wa ssel renegclt syl6 cc wceq
      ssel2 recnt negnegt 3syl pm3.27 eqeltrd ex jcad negeq eleq1d elrab ne0i
      sylbir 19.23adv imp ne0 sylan2b 3adant3 wi breq2 rcla4va adantll wb
      lenegcon2t adantrr adantr mpbid exp31 syl5ib com23 r19.21adv jctild
      ralbidv rcla4ev r19.23aiv 3ad2ant3 sylanc syl ) CGHZCIJZAKZBKZLMZBCNZAGOZ
      PZCGQRSDKZTZCUAZDGUBZGQSZTZGABDCUCWSXDGUAZXEGUAXCIJZEKZFKZLMZEXCNZFGOZXFW
      SXCGHXGXLXFXBDGUDFEXCUEUFWLWMXGWRWLXICUAZFUGZXGWMWLXNXGWLXMXGFWLXMXITZGUA
      ZXOTZCUAZUHZXGWLXMXPXRWLXMXIGUAZXPCGXIUIXIUJUKWLXMXRWLXMUHZXQXICYAXTXIULU
      AXQXIUMCGXIUNXIUOXIUPUQWLXMURUSUTVAXSXOXCUAXGXBXRDXOGWTXOUMXAXQCWTXOVBVCV
      DXCXOVEVFUKVGVHFCVIVJVKWRWLXLWMWQXLAGWNGUAZWQWNTZGUAZXHYCLMZEXCNZUHXLYBWQ
      YFYDYBWQYEEXCYBXHXCUAZWQYEYBXHGUAZXHTZCUAZUHZWQYEVLYGYBYKWQYEYBYKUHZWQUHW
      NYILMZYEYKWQYMYBYJWQYMYHWPYMBYICWOYIWNLVMVNVOVOYLYMYEVPZWQYBYHYNYJWNXHVQV
      RVSVTWAXBYJDXHGWTXHUMXAYICWTXHVBVCVDWBWCWDWNUJWEXKYFFYCGXIYCUMXJYEEXCXIYC
      XHLVMWFWGUKWHWIWJXDUJWKUS $.
      $( [14-May-2007] $) $( [8-Oct-2005] $)
  $}

  ${
    $d x y z $.
    $( The set of natural numbers is unbounded above.  Theorem I.28 of
       [Apostol] p. 26. $)
    nnunb $p |- -. E. x e. RR A. y e. NN ( y < x \/ y = x ) $=
      ( vz cv clt wbr wceq wo cn wral cr wrex wn wi wa wcel pm3.24 wal wex c1
      cmin co oprex eleq1 breq1 rexbidv imbi12d cla4v ltm1t syl7 peano2rem
      syl5 pm2.43d df-rex syl6ib com12 caddc wb 1re ltsubaddt mp3an2 nnret
      sylan2 pm5.32da exbidv breq2 anbi12d cla4ev peano2nn sylan 19.23aiv
      syl6bi syld df-ral alinexa bitr2 con1bii 3imtr4g anim2d mtoi nrex wss c0
      wne nnssre 1nn n0i ax-mp df-ne mpbir sup2 mp3an12 mto ) BDZADZEFZWNWOGHBI
      JAKLZWOWNEFZMZBIJZWPWNCDZEFZCILZNZBKJZOZAKLZXFAKWOKPZXFWTWTMZOWTQXHXEXIWT
      XHWNKPZXDNZBRZWNIPZWROZBSZXEXIXHXLXAIPZWOTUAUBZXAEFZOZCSZXOXLXHXTXLXHXRCI
      LZXTXLXHYAXLXQKPZXHYANXHXLYBXQWOEFZYAXHXKYBYCYANZNBXQWOTUAUCWNXQGZXJYBXDY
      DWNXQKUDYEWPYCXCYAWNXQWOEUEYEXBXRCIWNXQXAEUEUFUGUGUHWOUIUJWOUKULUMXRCIUNU
      OUPXHXTXPWOXATUQUBZEFZOZCSXOXHXSYHCXHXPXRYGXHXAKPZXRYGURZXPXHTKPYIYJUSWOT
      XAUTVAXAVBVCVDVEYHXOCYFIPZYGXOXPXNYKYGOBYFXATUQUCWNYFGXMYKWRYGWNYFIUDWNYF
      WOEVFVGVHXAVIVJVKVLVMXDBKVNXOWTWTXMWSNBRXOMWSBIVNXMWRBVOVPVQVRVSVTWAIKWBI
      WCWDZWQXGWEYLIWCGMZTIPYMWFITWGWHIWCWIWJABCIWKWLWM $.
      $( [21-Jan-1997] $)
  $}

  ${
    $d n y A $.
    $( Archimedean property of real numbers.  For any real number, there is an
       integer greater than it.  Theorem I.29 of [Apostol]
       p. 26. $)
    arch $p |- ( A e. RR -> E. n e. NN A < n ) $=
      ( vy cv clt wbr cn wrex cr wceq breq1 rexbidv wo wral wn nnunb ralnex
      mpbir wcel wa wb axlttri nnret sylan2 eqcom orbi1i orcom bitr negbii
      syl6bb biimprd r19.22dva rexnal syl5ibr r19.20i ax-mp vtoclri ) CDZBDZEFZ
      BGHZAUSEFZBGHCAIURAJUTVBBGURAUSEKLUSUREFZUSURJZMZBGNZOZCINZVACINVHVFCIHOC
      BPVFCIQRVGVACIURISZVEOZBGHVAVGVIVJUTBGVIUSGSZTZUTVJVLUTURUSJZVCMZOZVJVIUS
      ISUTVOUAVKURUSUBUSUCUDVNVEVNVDVCMVEVMVDVCURUSUEUFVDVCUGUHUIUJUKULVEBGUMUN
      UOUPUQ $.
      $( [9-Nov-2004] $) $( [21-Jan-1997] $)
  $}

  ${
    $d n A $.
    $( There exists a natural number whose reciprocal is less than a given
       positive real.  Exercise 3 of [Apostol] p. 28. $)
    nnreclt $p |- ( ( A e. RR /\ 0 < A ) -> E. n e. NN ( 1 / n ) < A ) $=
      ( cr wcel cc0 clt wbr wa c1 cdiv co cv cn wrex wne redivclt 3expa pm3.26
      1re jctil gt0ne0t sylanc arch syl wb ltrect recgt0t jca nnret nngt0t
      syl2an cc wceq recrect recnt adantr breq2d bitrd rexbidva mpbid ) ACDZEAF
      GZHZIAJKZBLZFGZBMNZIVEJKZAFGZBMNVCVDCDZVGICDZVAHAEOZVJVCVKVAVLVJIAPQVCVAV
      KVAVBRSTAUAZUBZVDBUCUDVCVFVIBMVCVEMDZHVFVHIVDJKZFGZVIVJEVDFGZHVECDZEVEFGZ
      HVFVQUEVCVOVDVEUFVCVJVRVNAUGUHVOVSVTVEUIVEUJUHUKVCVQVIUEVOVCVPAVHFAULDZVL
      VPAUMVCAUNVAWAVBAUOUPVMUBUQUPURUSUT $.
      $( [26-Jul-2006] $) $( [8-Nov-2004] $)
  $}

  ${
    $d x A $.  $d x k $.
    $( A bounded real sequence ` A ( k ) ` is less than or equal to at least
       one of its indices. $)
    bndndx $p |- ( E. x e. RR A. k e. NN ( A e. RR /\ A <_ x ) ->
                  E. k e. NN A <_ k ) $=
      ( cr wcel cv cle wbr wa cn wral wrex wi clt arch w3a lelttrt ltlet
      3adant2 syld exp3a 3exp com3l imp4b com23 nnret sylan2 r19.22dva mpd
      r19.35 sylib r19.23aiv ) BDEZBAFZGHZIZCJKZBCFZGHZCJLZADUNDEZUPUSMZCJLZUQU
      TMVAUNURNHZCJLVCUNCOVAVDVBCJVAURDEZVDVBMURJEVAVEIUPVDUSVAVEUMUOVDUSMZUMVA
      VEUOVFMZUMVAVEVGUMVAVEPZUOVDUSVHUOVDIBURNHZUSBUNURQUMVEVIUSMVABURRSTUAUBU
      CUDUEURUFUGUHUIUPUSCJUJUKUL $.
      $( [22-Jan-2008] $) $( [18-Jan-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
           Supremum on the extended reals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w A $.  $d x y z w B $.
    $( Adding minus infinity to a set does not affect the existence of its
       supremum. $)
    xrsupexmnf $p |- ( E. x e. RR* ( A. y e. A -. x < y /\
              A. y e. RR* ( y < x -> E. z e. A y < z ) ) ->
         E. x e. RR* ( A. y e. ( A u. { -oo } ) -. x < y /\
              A. y e. RR* ( y < x -> E. z e. ( A u. { -oo } ) y < z ) ) ) $=
      ( cv clt wbr wn wral wrex wi cxr wa cmnf csn cun wcel wo pm3.27 wceq
      breq2 negbid nltmnft syl5cbir elsn syl5ib adantr jaod elun ex r19.20dv2
      elun1 anim1i r19.22i2 imim2i r19.20si a1i anim12d r19.22i ) AEZBEZFGZHZBD
      IZVAUTFGZVACEZFGZCDJZKZBLIZMVCBDNOZPZIZVEVGCVLJZKZBLIZMALUTLQZVDVMVJVPVQV
      CVCBDVLVQVADQZVCKZVAVLQZVCKVQVSMZVRVAVKQZRVCVTWAVRVCWBVQVSSVQWBVCKVSVQVAN
      TZVCWBWCVCUTNFGZHVQWCVBWDVANUTFUAUBUTUCUDBNUEUFUGUHVADVKUIUFUJUKVJVPKVQVI
      VOBLVHVNVEVGVGCDVLVFDQVFVLQVGVFDVKULUMUNUOUPUQURUS $.
      $( [9-Dec-2005] $) $( [26-Oct-2005] $)

    $( Adding plus infinity to a set does not affect the existence of its
       infimum. $)
    xrinfmexpnf $p |- ( E. x e. RR* ( A. y e. A -. y < x /\
              A. y e. RR* ( x < y -> E. z e. A z < y ) ) ->
         E. x e. RR* ( A. y e. ( A u. { +oo } ) -. y < x /\
              A. y e. RR* ( x < y -> E. z e. ( A u. { +oo } ) z < y ) ) ) $=
      ( cv clt wbr wn wral wrex wi cxr wa cpnf csn cun wcel wo pm3.27 wceq
      breq1 negbid pnfnltt syl5cbir elsn syl5ib adantr jaod elun ex r19.20dv2
      elun1 anim1i r19.22i2 imim2i r19.20si a1i anim12d r19.22i ) BEZAEZFGZHZBD
      IZVAUTFGZCEZUTFGZCDJZKZBLIZMVCBDNOZPZIZVEVGCVLJZKZBLIZMALVALQZVDVMVJVPVQV
      CVCBDVLVQUTDQZVCKZUTVLQZVCKVQVSMZVRUTVKQZRVCVTWAVRVCWBVQVSSVQWBVCKVSVQUTN
      TZVCWBWCVCNVAFGZHVQWCVBWDUTNVAFUAUBVAUCUDBNUEUFUGUHUTDVKUIUFUJUKVJVPKVQVI
      VOBLVHVNVEVGVGCDVLVFDQVFVLQVGVFDVKULUMUNUOUPUQURUS $.
      $( [30-Jan-2006] $) $( [19-Jan-2006] $)

    $( Lemma for ~ xrsupss . $)
    xrsupsslem $p |- ( ( A (_ RR* /\ ( A (_ RR \/ +oo e. A ) ) -> E. x e. RR*
        ( A. y e. A -. x < y /\ A. y e. RR* ( y < x -> E. z e. A y < z ) ) ) $=
      ( cxr wss cr cv clt wbr wn wral wrex wi wa cpnf wcel c0 wceq raleq1
      rexeq1 imbi2d ralbidv anbi12d rexbidv wne cle w3a sup3 rexrt anim1i
      r19.22i2 syl cmnf w3o pm3.27 pnfnltt adantr wb breq1 negbid adantl
      mpbird pm2.21d ex ad2antlr wex ssel mnfltt syl6 ancld 19.22dv ne0 df-rex
      3imtr4g imp a1d ad2antrr imbi12d 3jaod elxr syl5ib r19.20dv2 anim2d
      r19.22dva 3adant3 mpd 3expa letrit ord ssel2 sylan an1rs rexnal syl5ibr
      r19.20dva ralnex sylan2br breq2 cbvrexv ralbii sylib r19.21aiv c1 caddc
      co rcla4va adantrr ancoms peano2re sylan2 ltp1t ltletrt ancli mpand
      adantll exp31 a1dd com4r pnfxr xrltnrt ax-mp mtbiri cc0 impcom 0re mpan
      syl5bir exp3a 3jaoi sylbi com13 jca jctil imbi1d rcla4ev syldan adantlr
      pm2.61dan mnfxr ral0 nltmnft rgen pm3.2i mp2an a1i pm2.61ne anim12i
      jaodan ) DEFZDGFZAHZBHZIJZKZBDLZUUMUULIJZUUMCHZIJZCDMZNZBELZOZAEMZPDQZUUK
      UVDUUJUUKUVDUUOBRLZUUQUUSCRMZNZBELZOZAEMZDRDRSZUVCUVJAEUVLUUPUVFUVBUVIUUO
      BDRTUVLUVAUVHBEUVLUUTUVGUUQUUSCDRUAUBUCUDUEUUKDRUFZOZUUMUULUGJZBDLZAGMZUV
      DUUKUVMUVQUVDUUKUVMUVQUHZUUPUVABGLZOZAEMZUVDUVRUVTAGMUWAABCDUIUVTUVTAGEUU
      LGQZUULEQZUVTUULUJUKULUMUUKUVMUWAUVDNUVQUVNUVTUVCAEUVNUWCOZUVSUVBUUPUWDUV
      AUVABGEUWDUUMGQZUVANZUUMEQZUVANUWDUWFOZUWEUUMPSZUUMUNSZUOZUVAUWGUWHUWEUVA
      UWIUWJUWDUWFUPUWCUWIUVANUVNUWFUWCUWIUVAUWCUWIOZUUQUUTUWLUUQKZPUULIJZKZUWC
      UWOUWIUULUQURUWIUWMUWOUSUWCUWIUUQUWNUUMPUULIUTVAVBVCVDVEVFUWDUWJUVANUWFUW
      DUWJUVAUWDUWJOUVAUNUULIJZUNUURIJZCDMZNZUVNUWSUWCUWJUVNUWRUWPUUKUVMUWRUUKU
      URDQZCVGUWTUWQOZCVGUVMUWRUUKUWTUXACUUKUWTUWQUUKUWTUURGQZUWQDGUURVHUURVIZV
      JVKVLCDVMUWQCDVNVOVPVQVRUWJUVAUWSUSUWDUWJUUQUWPUUTUWRUUMUNUULIUTUWJUUSUWQ
      CDUUMUNUURIUTUEZVSVBVCVEURVTUUMWAZWBVEWCWDWEWFWGWHUUKUVQKZUVDUVMUUKUXFUUL
      UURUGJZCDMZAGLZUVDUUKUXFOUULUUMUGJZBDMZAGLZUXIUUKUVPKZAGLZUXLUXFUUKUXNUXL
      UUKUXMUXKAGUUKUWBOZUVOKZBDMUXKUXMUXOUXPUXJBDUUKUUMDQZUWBUXPUXJNZUWEUWBUXR
      UUKUXQOUWEUWBOUVOUXJUUMUULWIWJDGUUMWKWLWMWEUVOBDWNWOWPVPUVPAGWQWRUXKUXHAG
      UXJUXGBCDUUMUURUULUGWSWTXAXBUUKUXIOZPEQZPUUMIJZKZBDLZUUMPIJZUUTNZBELZOZOZ
      UVDUXSUYGUXTUXSUYCUYFUUKUYCUXIUUKUYBBDUUKUXQUWEUYBDGUUMVHUWEUWGUYBUUMUJUU
      MUQZUMVJXCURUXSUYEBEUUKUXIUWGUYENUWGUXIUUKUYEUWGUWKUXIUUKUYENZNZUXEUWEUYK
      UWIUWJUXIUUKUYDUWEUUTUXIUUKUWEUUTNUYDUXIUUKUWEUUTUXIUUKOZUWEOUUMXDXEXFZUU
      RUGJZCDMZUUTUYLUYMGQZUYOUWEUYPUYLUYOUYPUXIUYOUUKUXHUYOAUYMGUULUYMSUXGUYNC
      DUULUYMUURUGUTUEXGXHXIUUMXJZXKUUKUWEUYOUUTNUXIUUKUWEOUYNUUSCDUUKUWTUWEUYN
      UUSNZUXBUWEUYRUUKUWTOZUWEUXBUYRUWEUXBOUUMUYMIJZUYNUUSUWEUYTUXBUUMXLURUWEU
      YPOUXBUYTUYNOUUSNZUWEUWEUYPUXBVUAUUMUYMUURXMWHUWEUYPUYQXNWLXOXIDGUURWKZWL
      WMWEXPWGXQXRXSUWIUYJUXIUWIUYEUUKUWIUYDUUTUWIUYDPPIJZUXTVUCKXTPYAYBUUMPPIU
      TYCVDVQVQUWJUXIUUKUYEUWJUYLUUTUYDUWJUUTUWRUYLUXDYDUURUGJZCDMZUUKUWRUXIUUK
      VUEUWRUUKVUDUWQCDUYSUWQVUDUYSUXBUWQVUBUXCUMVQWEYEYDGQUXIVUEYFUXHVUEAYDGUU
      LYDSUXGVUDCDUULYDUURUGUTUEXGYGWLYHXRYIYJYKYLVPXCYMXTYNUVCUYGAPEUULPSZUUPU
      YCUVBUYFVUFUUOUYBBDVUFUUNUYAUULPUUMIUTVAUCVUFUVAUYEBEVUFUUQUYDUUTUULPUUMI
      WSYOUCUDYPZUMYQYRYSUVKUUKUNEQUNUUMIJZKZBRLZUUMUNIJZUVGNZBELZOZUVKYTVUJVUM
      VUIBUUAVULBEUWGVUKUVGUUMUUBVDUUCUUDUVJVUNAUNEUULUNSZUVFVUJUVIVUMVUOUUOVUI
      BRVUOUUNVUHUULUNUUMIUTVAUCVUOUVHVULBEVUOUUQVUKUVGUULUNUUMIWSYOUCUDYPUUEUU
      FUUGVBUUJUVEOZUYHUVDVUPUYGUXTUUJUYCUVEUYFUUJUYBBDUUJUXQUWGUYBDEUUMVHUYIVJ
      XCUVEUYEBEUVEUYEUWGUVEUYDUUTUUSUYDCPDUURPUUMIWSYPVEVQXCUUHXTYNVUGUMUUI $.
      $( [19-Jan-2006] $) $( [25-Oct-2005] $)

    $( Lemma for ~ xrinfmss . $)
    xrinfmsslem $p |- ( ( A (_ RR* /\ ( A (_ RR \/ -oo e. A ) ) -> E. x e. RR*
        ( A. y e. A -. y < x /\ A. y e. RR* ( x < y -> E. z e. A z < y ) ) ) $=
      ( cxr wss cr cv clt wbr wn wral wrex wi wa cmnf wcel c0 wceq raleq1
      rexeq1 imbi2d ralbidv anbi12d rexbidv wne cle w3a infm3 rexrt anim1i
      r19.22i2 syl cpnf w3o pm3.27 wex ssel ltpnft syl6 ancld 19.22dv ne0
      df-rex 3imtr4g imp a1d ad2antrr wb breq2 imbi12d adantl mpbird ex adantr
      nltmnft negbid pm2.21d ad2antlr 3jaod elxr syl5ib r19.20dv2 anim2d
      r19.22dva 3adant3 mpd 3expa wo letrit ancoms ord ssel2 sylan an1rs
      rexnal syl5ibr r19.20dva ralnex sylan2br breq1 cbvrexv ralbii sylib
      r19.21aiv c1 cmin co rcla4va adantrr peano2rem sylan2 ltm1t lelttrt
      3expb ancri mpan2d adantll exp31 a1dd com4r cc0 impcom 0re mpan syl5bir
      exp3a mnfxr xrltnrt ax-mp mtbiri 3jaoi sylbi com13 jca jctil imbi1d
      rcla4ev syldan adantlr pm2.61dan pnfxr ral0 pnfnltt rgen pm3.2i mp2an
      a1i pm2.61ne anim12i jaodan ) DEFZDGFZBHZAHZIJZKZBDLZUUOUUNIJZCHZUUNIJZCD
      MZNZBELZOZAEMZPDQZUUMUVFUULUUMUVFUUQBRLZUUSUVACRMZNZBELZOZAEMZDRDRSZUVEUV
      LAEUVNUURUVHUVDUVKUUQBDRTUVNUVCUVJBEUVNUVBUVIUUSUVACDRUAUBUCUDUEUUMDRUFZO
      ZUUOUUNUGJZBDLZAGMZUVFUUMUVOUVSUVFUUMUVOUVSUHZUURUVCBGLZOZAEMZUVFUVTUWBAG
      MUWCABCDUIUWBUWBAGEUUOGQZUUOEQZUWBUUOUJUKULUMUUMUVOUWCUVFNUVSUVPUWBUVEAEU
      VPUWEOZUWAUVDUURUWFUVCUVCBGEUWFUUNGQZUVCNZUUNEQZUVCNUWFUWHOZUWGUUNUNSZUUN
      PSZUOZUVCUWIUWJUWGUVCUWKUWLUWFUWHUPUWFUWKUVCNUWHUWFUWKUVCUWFUWKOUVCUUOUNI
      JZUUTUNIJZCDMZNZUVPUWQUWEUWKUVPUWPUWNUUMUVOUWPUUMUUTDQZCUQUWRUWOOZCUQUVOU
      WPUUMUWRUWSCUUMUWRUWOUUMUWRUUTGQZUWODGUUTURUUTUSZUTVAVBCDVCUWOCDVDVEVFVGV
      HUWKUVCUWQVIUWFUWKUUSUWNUVBUWPUUNUNUUOIVJUWKUVAUWOCDUUNUNUUTIVJUEZVKVLVMV
      NVOUWEUWLUVCNUVPUWHUWEUWLUVCUWEUWLOZUUSUVBUXCUUSKZUUOPIJZKZUWEUXFUWLUUOVP
      VOUWLUXDUXFVIUWEUWLUUSUXEUUNPUUOIVJVQVLVMVRVNVSVTUUNWAZWBVNWCWDWEWFWGWHUU
      MUVSKZUVFUVOUUMUXHUUTUUOUGJZCDMZAGLZUVFUUMUXHOUUNUUOUGJZBDMZAGLZUXKUUMUVR
      KZAGLZUXNUXHUUMUXPUXNUUMUXOUXMAGUUMUWDOZUVQKZBDMUXMUXOUXQUXRUXLBDUUMUUNDQ
      ZUWDUXRUXLNZUWGUWDUXTUUMUXSOUWGUWDOUVQUXLUWDUWGUVQUXLWIUUOUUNWJWKWLDGUUNW
      MWNWOWEUVQBDWPWQWRVFUVRAGWSWTUXMUXJAGUXLUXIBCDUUNUUTUUOUGXAXBXCXDUUMUXKOZ
      PEQZUUNPIJZKZBDLZPUUNIJZUVBNZBELZOZOZUVFUYAUYIUYBUYAUYEUYHUUMUYEUXKUUMUYD
      BDUUMUXSUWGUYDDGUUNURUWGUWIUYDUUNUJUUNVPZUMUTXEVOUYAUYGBEUUMUXKUWIUYGNUWI
      UXKUUMUYGUWIUWMUXKUUMUYGNZNZUXGUWGUYMUWKUWLUXKUUMUYFUWGUVBUXKUUMUWGUVBNUY
      FUXKUUMUWGUVBUXKUUMOZUWGOUUTUUNXFXGXHZUGJZCDMZUVBUYNUYOGQZUYQUWGUYRUYNUYQ
      UYRUXKUYQUUMUXJUYQAUYOGUUOUYOSUXIUYPCDUUOUYOUUTUGVJUEXIXJWKUUNXKZXLUUMUWG
      UYQUVBNUXKUUMUWGOUYPUVACDUUMUWRUWGUYPUVANZUWTUWGUYTUUMUWROZUWTUWGOUYPUYOU
      UNIJZUVAUWGVUBUWTUUNXMVLUWTUYRUWGOUYPVUBOUVANZUWGUWTUYRUWGVUCUUTUYOUUNXNX
      OUWGUYRUYSXPXLXQDGUUTWMZWNWOWEXRWGXSXTYAUWKUXKUUMUYGUWKUYNUVBUYFUWKUVBUWP
      UYNUXBUUTYBUGJZCDMZUUMUWPUXKUUMVUFUWPUUMVUEUWOCDVUAUWOVUEVUAUWTUWOVUDUXAU
      MVGWEYCYBGQUXKVUFYDUXJVUFAYBGUUOYBSUXIVUECDUUOYBUUTUGVJUEXIYEWNYFXTYGUWLU
      YLUXKUWLUYGUUMUWLUYFUVBUWLUYFPPIJZUYBVUGKYHPYIYJUUNPPIVJYKVRVGVGYLYMYNVFX
      EYOYHYPUVEUYIAPEUUOPSZUURUYEUVDUYHVUHUUQUYDBDVUHUUPUYCUUOPUUNIVJVQUCVUHUV
      CUYGBEVUHUUSUYFUVBUUOPUUNIXAYQUCUDYRZUMYSYTUUAUVMUUMUNEQUUNUNIJZKZBRLZUNU
      UNIJZUVINZBELZOZUVMUUBVULVUOVUKBUUCVUNBEUWIVUMUVIUUNUUDVRUUEUUFUVLVUPAUNE
      UUOUNSZUVHVULUVKVUOVUQUUQVUKBRVUQUUPVUJUUOUNUUNIVJVQUCVUQUVJVUNBEVUQUUSVU
      MUVIUUOUNUUNIXAYQUCUDYRUUGUUHUUIVLUULUVGOZUYJUVFVURUYIUYBUULUYEUVGUYHUULU
      YDBDUULUXSUWIUYDDEUUNURUYKUTXEUVGUYGBEUVGUYGUWIUVGUYFUVBUVAUYFCPDUUTPUUNI
      XAYRVNVGXEUUJYHYPVUIUMUUK $.
      $( [19-May-2006] $) $( [19-Jan-2006] $)

    $( Any subset of extended reals has a supremum. $)
    xrsupss $p |- ( A (_ RR* -> E. x e. RR* (
         A. y e. A -. x < y /\ A. y e. RR* ( y < x -> E. z e. A y < z ) ) ) $=
      ( cxr wss cr cpnf wcel wo cmnf cv clt wbr wn wral wrex wi wa w3o ssxr
      df-3or sylib xrsupsslem csn cdif ssdifss orcom wb mnfxr elisseti snid
      elndif ax-mp biorf 3bitr4 mpdan syl adantr cun wceq snss undif uncom
      eqeq1i 3bitr raleq1 rexeq1 imbi2d ralbidv anbi12d sylbi rexbidv
      xrsupexmnf syl5bi adantl mpd jaodan ) DEFZDGFZHDIZJZKDIZJZALZBLZMNOZBDPZW
      FWEMNZWFCLMNZCDQZRZBEPZSZAEQZVSVTWAWCTWDDUAVTWAWCUBUCVSWBWOWCABCDUDVSWCSW
      GBDKUEZUFZPWIWJCWQQRBEPSAEQZWOVSWRWCVSWQEFZWRDEWPUGWSWQGFZHWQIZJZWRWSWTXA
      KWQIZTZXBWQUAXBXCJXCXBJZXDXBXBXCUHWTXAXCUBXCOZXBXEUIKWPIXFKKEUJUKZULKWPDU
      MUNXCXBUOUNUPUCABCWQUDUQURUSWCWRWORVSWCWGBWQWPUTZPZWIWJCXHQZRZBEPZSZAEQWO
      WRWCXMWNAEWCXHDVAZXMWNUIWCWPDFWPWQUTZDVAXNKDXGVBWPDVCXOXHDWPWQVDVEVFXNXIW
      HXLWMWGBXHDVGXNXKWLBEXNXJWKWIWJCXHDVHVIVJVKVLVMABCWQVNVOVPVQVRUQ $.
      $( [20-Jan-2006] $) $( [25-Oct-2005] $)

    $( Any subset of extended reals has an infimum. $)
    xrinfmss $p |- ( A (_ RR* -> E. x e. RR* (
         A. y e. A -. y < x /\ A. y e. RR* ( x < y -> E. z e. A z < y ) ) ) $=
      ( cxr wss cr cmnf wcel wo cpnf cv clt wbr wn wral wrex wi wa w3o ssxr
      df-3or or23 bitr sylib xrinfmsslem csn cdif ssdifss 3orass wb pnfxr
      elisseti snid elndif ax-mp biorf orbi2i bitr4 mpdan syl adantr cun wceq
      snss undif uncom eqeq1i 3bitr raleq1 rexeq1 imbi2d ralbidv anbi12d sylbi
      rexbidv xrinfmexpnf syl5bi adantl mpd jaodan ) DEFZDGFZHDIZJZKDIZJZBLZALZ
      MNOZBDPZWIWHMNZCLWHMNZCDQZRZBEPZSZAEQZWBWCWFWDTZWGDUAWSWCWFJWDJWGWCWFWDUB
      WCWFWDUCUDUEWBWEWRWFABCDUFWBWFSWJBDKUGZUHZPWLWMCXAQRBEPSAEQZWRWBXBWFWBXAE
      FZXBDEWTUIXCXAGFZHXAIZJZXBXCXDKXAIZXETZXFXAUAXHXDXGXEJZJXFXDXGXEUJXEXIXDX
      GOZXEXIUKKWTIXJKKEULUMZUNKWTDUOUPXGXEUQUPURUSUEABCXAUFUTVAVBWFXBWRRWBWFWJ
      BXAWTVCZPZWLWMCXLQZRZBEPZSZAEQWRXBWFXQWQAEWFXLDVDZXQWQUKWFWTDFWTXAVCZDVDX
      RKDXKVEWTDVFXSXLDWTXAVGVHVIXRXMWKXPWPWJBXLDVJXRXOWOBEXRXNWNWLWMCXLDVKVLVM
      VNVOVPABCXAVQVRVSVTWAUT $.
      $( [19-May-2006] $) $( [25-Oct-2005] $)

    $( By quantifying only over reals, we can specify any extended real upper
       bound for any set of extended reals. $)
    xrub $p |- ( ( A (_ RR* /\ B e. RR* ) -> ( A. x e. RR ( x < B ->
          E. y e. A x < y ) <-> A. x e. RR* ( x < B -> E. y e. A x < y ) ) ) $=
      ( vz cxr wss wcel wa cv clt wbr wrex wi cr wral cpnf wceq cmnf w3o
      pm2.27 a1i wn breq1 negbid pnfnltt syl5bir pm2.21 syl6com ad2antlr a1dd
      rexbidv imbi12d c1 cmin co peano2rem rcla4v syl adantl id ltm1t syl5com
      mnfltt mnfxr xrlttrt mp3an1 rexrt ssel2 adantlr sylanc mpand r19.22dva
      syld 1re ltpnft ax-mp breq2 mpbiri mp3an12 mpani sylan9r syl5 xrltnrt
      mtbiri pm2.21d a1d 3jaodan elxr sylan2b imp syl5cbir 3jaod syl5ib com23
      r19.20dv2 ex cbvralv pm2.43d imim1i r19.20i2 impbid1 ) CFGZDFHZIZAJZDKLZX
      FBJZKLZBCMZNZAOPZXKAFPZXEXLXMXEEJZDKLZXNXHKLZBCMZNZEOPZXLXMNZXLXEXSXTXEXS
      IZXKXKAOFYAXFFHZXFOHZXKNZXKYAYCXFQRZXFSRZTYDXKNZYBYAYCYGYEYFYCYGNYAYCXKUA
      UBYAYEXKYDXDYEXKNXCXSYEXDXGUCZXKYEYHQDKLZUCXDYEXGYIXFQDKUDUEDUFUGXGXJUHUI
      UJUKYAYFXKYDYFXKSDKLZSXHKLZBCMZNZYAYFXGYJXJYLXFSDKUDYFXIYKBCXFSXHKUDULUMX
      EXSYMXCDOHZDQRZDSRZTXSYMNZXDXCYNYQYOYPXCYNIZXSYLYJYRXSDUNUOUPZDKLZYSXHKLZ
      BCMZNZYLYNXSUUCNZXCYNYSOHZUUDDUQZXRUUCEYSOXNYSRZXOYTXQUUBXNYSDKUDUUGXPUUA
      BCXNYSXHKUDULUMURUSUTYRUUCUUBYLYNUUCUUBNXCUUCYTUUBYNUUCVADVBVCUTYRUUAYKBC
      YRXHCHZIZSYSKLZUUAYKUUIUUEUUJYNUUEXCUUHUUFUJZYSVDUSYSFHZXHFHZUUJUUAIYKNZU
      UISFHZUULUUMUUNVESYSXHVFVGUUIUUEUULUUKYSVHUSXCUUHUUMYNCFXHVIZVJVKVLVMVNVN
      UKXCYOIZXSYLYJUUQUNDKLZUNXHKLZBCMZNZYLXSYOUVAUUTXCYLUVAUURUUTYOUVAVAYOUUR
      UNQKLZUNOHZUVBVOUNVPVQDQUNKVRVSVCXCUUSYKBCXCUUHIUUMUUSYKNUUPUUMSUNKLZUUSY
      KUVCUVDVOUNVDVQUUOUNFHZUUMUVDUUSIYKNVEUVCUVEVOUNVHVQSUNXHVFVTWAUSVMWBUVCX
      SUVANVOXRUVAEUNOXNUNRZXOUURXQUUTXNUNDKUDUVFXPUUSBCXNUNXHKUDULUMURVQWCUKXC
      YPIZYMXSUVGYJYLYPYJUCXCYPYJSSKLZUUOUVHUCVESWDVQDSSKVRWEUTWFWGWHDWIWJWKWLU
      KWMXFWIWNWOWPWQXKXRAEOXFXNRZXGXOXJXQXFXNDKUDUVIXIXPBCXFXNXHKUDULUMWRWNWSX
      KXKAFOYCYBXKXFVHWTXAXB $.
      $( [10-Apr-2006] $) $( [9-Apr-2006] $)

    $( The supremum of a set of extended reals. $)
    supxr $p |- ( ( ( A (_ RR* /\ B e. RR* ) /\ ( A. x e. A -. B < x /\
    A. x e. RR ( x < B -> E. y e. A x < y ) ) ) -> sup ( A , RR* , < ) = B ) $=
      ( vz cxr wss wcel wa cv clt wbr wn wral wrex wi cr csup wceq xrub biimpd
      anim2d imp crab cuni wreu wb xrsupss anim2i ancoms xrltso supeu breq1
      negbid ralbidv breq2 imbi1d anbi12d reuuni2 3syl biimpa df-sup syl5eq
      syldan ) CFGZDFHZIZDAJZKLZMZACNZVHDKLZVHBJKLBCOZPZAQNZIZVKVNAFNZIZCFKRZDS
      VGVPVRVGVOVQVKVGVOVQABCDTUAUBUCVGVRIEJZVHKLZMZACNZVHVTKLZVMPZAFNZIZEFUDUE
      ZDVSVGVRWHDSZVGVFWGEFOZIZVFWGEFUFZIVRWIUGVFVEWKVEWJVFEABCUHUIUJWJWLVFEABF
      CKUKULUIWGVREFDVTDSZWCVKWFVQWMWBVJACWMWAVIVTDVHKUMUNUOWMWEVNAFWMWDVLVMVTD
      VHKUPUQUOURUSUTVAEABFCKVBVCVD $.
      $( [14-Apr-2006] $) $( [9-Apr-2006] $)

    $( The supremum of a set of extended reals. $)
    supxr2 $p |- ( ( ( A (_ RR* /\ B e. RR* ) /\ ( A. x e. A x <_ B /\
  A. x e. RR ( x < B -> E. y e. A x < y ) ) ) -> sup ( A , RR* , < ) = B ) $=
      ( cxr wss wcel wa cv cle wbr wral clt wrex wi cr wn csup wceq wb
      xrlenltt ssel2 sylan an1rs ralbidva anbi1d biimpa supxr syldan ) CEFZDEGZ
      HZAIZDJKZACLZUMDMKUMBIMKBCNOAPLZHZDUMMKQZACLZUPHZCEMRDSULUQUTULUOUSUPULUN
      URACUJUMCGZUKUNURTZUMEGUKVBUJVAHUMDUACEUMUBUCUDUEUFUGABCDUHUI $.
      $( [20-Apr-2006] $) $( [9-Apr-2006] $)

    $( The real and extended real suprema match when the real supremum
       exists. $)
    supxrre $p |- ( ( A (_ RR /\ A =/= (/) /\ E. x e. RR A. y e. A y <_ x ) ->
                  sup ( A , RR* , < ) = sup ( A , RR , < ) ) $=
      ( vz cr wss c0 wne cv cle wbr wral wrex w3a clt wn wi cxr wa crab cuni
      csup wceq wcel rexrt imim1i cpnf cmnf w3o pm3.27 pnfnltt adantr wb breq1
      negbid adantl mpbird pm2.21d ex ad2antlr wex ssel mnfltt syl6 ancld
      19.22dv ne0 df-rex 3imtr4g imp a1d ad2antrr rexbidv imbi12d 3jaod elxr
      syl5ib impbid2 ralbidv2 anbi2d rabbidv unieqd 3adant3 wreu ressxr
      reuuniss mp3an1 sup3 ltso supeu syl weu ax-1 a1i 3simp3 breq2 anbi1d
      ltpnft biantrurd lenltt ssel2 sylan an1rs ralbidva ralnex syl6rbb bitr3d
      sylan9bbr rexbidva 3ad2antl1 rexanali sylib adantld biimprd sylan9
      dfrex2 bitr3 adantrd imp3a jcad anim1i impbid1 eubidv df-reu 3bitr4g
      cbvralv rexbii ralbidv cbvrexv bitr syl3an3b sylanc eqtr4d df-sup
      3eqtr4g ) CEFZCGHZBIZAIZJKZBCLZAEMZNZYSYROKZPBCLZYRYSOKZYRDIZOKZDCMZQZBRL
      ZSZARTZUAZUUEUUJBELZSZAETUAZCROUBCEOUBUUCUUNUUPARTZUAZUUQYPYQUUNUUSUCUUBY
      PYQSZUUMUURUUTUULUUPARUUTYSRUDZSZUUKUUOUUEUVBUUJUUJBREUVBYRRUDZUUJQZYREUD
      ZUUJQZUVEUVCUUJYRUEUFUVBUVFUVDUVBUVFSZUVEYRUGUCZYRUHUCZUIUUJUVCUVGUVEUUJU
      VHUVIUVBUVFUJUVAUVHUUJQUUTUVFUVAUVHUUJUVAUVHSZUUFUUIUVJUUFPZUGYSOKZPZUVAU
      VMUVHYSUKULUVHUVKUVMUMUVAUVHUUFUVLYRUGYSOUNUOUPUQURUSUTUVBUVIUUJQUVFUVBUV
      IUUJUVBUVISUUJUHYSOKZUHUUGOKZDCMZQZUUTUVQUVAUVIUUTUVPUVNYPYQUVPYPUUGCUDZD
      VAUVRUVOSZDVAYQUVPYPUVRUVSDYPUVRUVOYPUVRUUGEUDZUVOCEUUGVBUUGVCVDVEVFDCVGU
      VODCVHVIVJVKVLUVIUUJUVQUMUVBUVIUUFUVNUUIUVPYRUHYSOUNUVIUUHUVODCYRUHUUGOUN
      VMVNUPUQUSULVOYRVPVQUSVRVSVTWAWBWCUUPAEMZUUPARWDZUUQUUSUCZUUCERFUWAUWBUWC
      WEUUPAERWFWGABDCWHZUUCUWBUUPAEWDZUUCUWAUWEUWDABDECOWIWJWKYPYQUUGYRJKZDCLZ
      BEMZUWBUWEUMUUBYPYQUWHNZUVAUUPSZAWLYSEUDZUUPSZAWLUWBUWEUWIUWJUWLAUWIUWJUW
      LUWIUWJUWKUUPUWIUVAUUPUWKUWIUWKYSUGUCZYSUHUCZUIUUPUWKQZUVAUWIUWKUWOUWMUWN
      UWKUWOQUWIUWKUUPWMWNUWIUWMUWOUWIUWMSZUUOUWKUUEUWPUUOUWKUWPUUFUUIPZSZBEMZU
      UOPUWPUWSUWHUWIUWHUWMYPYQUWHWOULYPYQUWMUWSUWHUMUWHYPUWMSUWRUWGBEYPUVEUWMU
      WRUWGUMUWMUWRYRUGOKZUWQSZYPUVESZUWGUWMUUFUWTUWQYSUGYROWPWQUXBUWQUXAUWGUXB
      UWTUWQUVEUWTYPYRWRUPWSUXBUWGUUHPZDCLUWQUXBUWFUXCDCYPUVRUVEUWFUXCUMZUVTUVE
      UXDYPUVRSUUGYRWTCEUUGXAXBXCXDUUHDCXEXFXGXHXCXIXJUQUUFUUIBEXKXLURXMUSYPYQU
      WNUWOQUWHUUTUWNUWOUUTUWNSZUUEUWKUUOUXEUUEUWKUXEYRCUDZUUDSZBVAZUUEPZYPUWNY
      QUXHYPUWNSZYQUXHUXJUXFBVAUXHYQUXJUXFUXGBUXJUXFUUDYPUXFUHYROKZUWNUUDYPUXFU
      VEUXKCEYRVBYRVCVDUWNUUDUXKYSUHYROUNXNXOVEVFBCVGVQVJXCUXHUUDBCMUXIUUDBCVHU
      UDBCXPXQXLURXRUSWCVOYSVPVQXSUWJUUPQUWIUVAUUPUJWNXTUWKUVAUUPYSUEYAYBYCUUPA
      RYDUUPAEYDYEUUBUUGYSJKZDCLZAEMUWHUUAUXMAEYTUXLBDCYRUUGYSJUNYFYGUXMUWGABEY
      SYRUCUXLUWFDCYSYRUUGJWPYHYIYJYKUQYLYMABDRCOYNABDECOYNYO $.
      $( [13-May-2007] $) $( [18-Oct-2005] $)

    $( The supremum of an arbitrary set of extended reals is an extended
       real. $)
    supxrcl $p |- ( A (_ RR* -> sup ( A , RR* , < ) e. RR* ) $=
      ( vx vy vz cxr wss cv clt wbr wn wral wrex wi wa csup wcel xrsupss
      xrltso supcl syl ) AEFBGZCGZHIJCAKUBUAHIUBDGHIDALMCEKNBELAEHOEPBCDAQBCDEA
      HRST $.
      $( [20-Jan-2006] $) $( [24-Oct-2005] $)

    $( The supremum of the union of two sets of extended reals equals the
       largest of their suprema. $)
    supxrun $p |- ( ( A (_ RR* /\ B (_ RR* /\ sup ( A , RR* , < ) <_ sup
   ( B , RR* , < ) ) -> sup ( ( A u. B ) , RR* , < ) = sup ( B , RR* , < ) ) $=
      ( vx vy vz vw cun cxr wss clt csup wcel cv wbr wn wral wrex wi cr wceq
      cle w3a supxr wa unss biimp 3adant3 supxrcl 3ad2ant2 wo xrsupss xrltso
      supub syl 3ad2ant1 xrlelttrt ad2antrr ad2antlr ssel2 adantlr syl3anc
      exp3a imp con3d exp41 com34 3imp mpdd jaod elun syl5ib r19.21aiv suplub
      rexrt sylani elun2 anim1i r19.22i2 syl6 syl2anc ) ABGZHIZBHJKZHLZWCCMZJNZ
      OZCWAPWEWCJNZWEDMZJNZDWAQZRZCSPZWAHJKWCTAHIZBHIZAHJKZWCUANZUBZCDWAWCUCWNW
      OWBWQWNWOUDZWBABHUEUFUGWOWNWDWQBUHZUIWRWGCWAWRWEALZWEBLZUJWGWEWALWRXAWGXB
      WRXAWPWEJNZOZWGWNWOXAXDRZWQWNWIEMZJNOZEAPXFWIJNZXFFMJNZFAQREHPUDDHQXEDEFA
      UKDEFHAWEJULUMUNUOWNWOWQXAXDWGRZRWNWOXAWQXJWNWOXAWQXJWSXAUDZWQUDWFXCXKWQW
      FXCRXKWQWFXCWPHLZWDWEHLZWQWFUDXCRXKWPWCWEUPWNXLWOXAAUHUQWOWDWNXAWTURWNXAX
      MWOAHWEUSUTVAVBVCVDVEVFVGVHWOWNXBWGRZWQWOXGEBPXHXIFBQREHPUDDHQXNDEFBUKDEF
      HBWEJULUMUNUIVIWEABVJVKVLWOWNWMWQWOWLCSWOWESLZWHWKWOXOWHUDZWJDBQZWKWOWEXF
      JNOEBPXFWEJNXHDBQREHPUDCHQZXPXQRCEDBUKXRXMWHXQXOCEDHBWEJULVMWEVNVOUNWJWJD
      BWAWIBLWIWALWJWIBAVPVQVRVSVBVLUIVT $.
      $( [23-May-2006] $) $( [19-Jan-2006] $)

    $( The infimum of an arbitrary set of extended reals is an extended
       real. $)
    infmxrcl $p |- ( A (_ RR* -> sup ( A , RR* , `' < ) e. RR* ) $=
      ( vx vy vz cxr wss cv clt ccnv wbr wn wral wrex wi wa csup wcel xrinfmss
      visset brcnv negbii ralbii rexbii imbi12i anbi12i sylibr wor xrltso
      cnvso mpbi supcl syl ) AEFZBGZCGZHIZJZKZCALZUOUNUPJZUODGZUPJZDAMZNZCELZOZ
      BEMZAEUPPEQUMUOUNHJZKZCALZUNUOHJZVAUOHJZDAMZNZCELZOZBEMVGBCDARVFVPBEUSVJV
      EVOURVICAUQVHUNUOHBSZCSZTUAUBVDVNCEUTVKVCVMUOUNHVRVQTVBVLDAUOVAHVRDSTUCUD
      UBUEUCUFBCDEAUPEHUGEUPUGUHEHUIUJUKUL $.
      $( [26-May-2006] $) $( [19-Jan-2006] $)

    $( Adding minus infinity to a set does not affect its supremum. $)
    supxrmnf $p |- ( A (_ RR* ->
                 sup ( ( A u. { -oo } ) , RR* , < ) = sup ( A , RR* , < ) ) $=
      ( cxr wss cmnf csn cun clt csup cle wbr wceq supxrun wcel mnfxr snssi
      ax-mp a1i id supxrcl mnflet syl xrltso supsn syl5eqbr syl3anc uncom
      supeq1 syl5eq ) ABCZDEZAFZBGHZABGHZAUJFZBGHZUJBCZUIUJBGHZUMIJULUMKUIUJALU
      PUIDBMZUPNDBOPQUIRUIDUMUQIUIUMBMDUMIJASUMTUAURUQDKNBDGUBUCPUDUEUNUKKUOULK
      AUJUFBUNUKGUGPUH $.
      $( [10-Jul-2006] $) $( [19-Jan-2006] $)

    $( The supremum of a set of extended reals containing plus infnity is plus
       infinity. $)
    supxrpnf $p |- ( ( A (_ RR* /\ +oo e. A ) -> sup ( A , RR* , < ) = +oo ) $=
      ( vy vz cxr wss cpnf wcel cv clt wbr wn wral wrex wi cr wa csup wceq
      ssel pnfnltt syl6 r19.21aiv breq2 rcla4ev ex a1d anim12i pnfxr supxr
      mpanl2 syldan ) ADEZFAGZFBHZIJKZBALZUNFIJZUNCHZIJZCAMZNZBOLZPZADIQFRZULUP
      UMVBULUOBAULUNAGUNDGUOADUNSUNTUAUBUMVABOUMVAUNOGUMUQUTUSUQCFAURFUNIUCUDUE
      UFUBUGULFDGVCVDUHBCAFUIUJUK $.
      $( [14-Dec-2006] $) $( [15-Oct-2005] $)

    $( The supremum of an unbounded-above set of extended reals is plus
       infinity. $)
    supxrunb1 $p |- ( A (_ RR* -> ( A. x e. RR E. y e. A x <_ y <->
                    sup ( A , RR* , < ) = +oo ) ) $=
      ( vz vw cxr wss cv cle wbr wrex cr wral clt csup cpnf wceq wn wi wa wcel
      ssel pnfnltt syl6 r19.21aiv adantr c1 caddc co breq1 rexbidv rcla4va
      adantrr ancoms peano2re sylan2 ltp1t xrltletrt rexrt syl3an2 syl3an1
      3expa ancli sylan mpand ssel2 an1rs r19.22dva adantll mpd exp31 a1dd
      com4r com13 imp jca pnfxr supxr mpanl2 syldan ex xrltso suplub xrsupss
      ad2antrr ad2antlr breq2 ltpnft syl5bir impcom sylc xrltlet adantlr
      sylanc syld r19.21adva impbid ) CFGZAHZBHZIJZBCKZALMZCFNOZPQZWRXCXEWRXCPD
      HZNJRZDCMZXFPNJZXFWTNJZBCKZSZDLMZTZXEWRXCTZXHXMWRXHXCWRXGDCWRXFCUAXFFUAZX
      GCFXFUBXFUCUDUEUFXOXLDLWRXCXFLUAZXLSXQXCWRXLXCWRXIXQXKXCWRXQXKSXIXCWRXQXK
      XCWRTZXQTXFUGUHUIZWTIJZBCKZXKXRXSLUAZYAXQYBXRYAYBXCYAWRXBYAAXSLWSXSQXAXTB
      CWSXSWTIUJUKULUMUNXFUOZUPWRXQYAXKSXCWRXQTXTXJBCWRWTCUAZXQXTXJSZWTFUAZXQYE
      WRYDTXQYFYEXQYFTXFXSNJZXTXJXQYGYFXFUQUFXQYBTYFYGXTTXJSZXQXQYBYFYHXPYBYFYH
      XQXPXSFUAYFYHYBXFXSWTURXSUSUTXFUSVAVBXQYBYCVCVDVEUNCFWTVFZVDVGVHVIVJVKVLV
      MVNVOUEVPWRPFUAXNXEVQDBCPVRVSVTWAWRXEXBALWRWSLUAZTZXEWSWTNJZBCKZXBYKXEYMX
      FEHZNJRECMYNXFNJYNWTNJBCKSEFMTDFKZWSFUAZWSXDNJZTYMYKXETZDEBFCWSNWBWCWRYOY
      JXEDEBCWDWEYRYPYQYJYPWRXEWSUSZWFYJXEYQWRXEYJYQXEYQWSPNJYJXDPWSNWGWSWHWIWJ
      VIVPWKWAYKYLXABCYPYFYLXASYKYDTWSWTWLYJYPWRYDYSWFWRYDYFYJYIWMWNVHWOWPWQ $.
      $( [23-Aug-2006] $) $( [19-Jan-2006] $)

    $( The supremum of an unbounded-above set of extended reals is plus
       infinity. $)
    supxrunb2 $p |- ( A (_ RR* -> ( A. x e. RR E. y e. A x < y <->
                    sup ( A , RR* , < ) = +oo ) ) $=
      ( vz vw cxr wss cv clt wbr wrex cr wral csup cpnf wceq wn wi wa wcel
      ssel pnfnltt syl6 r19.21aiv adantr breq1 rexbidv rcla4va adantrr ancoms
      exp31 a1dd com4r com13 imp jca pnfxr supxr mpanl2 syldan ex xrltso
      suplub xrsupss ad2antrr rexrt ad2antlr breq2 ltpnft syl5bir impcom
      adantll sylc com23 r19.21adv impbid ) CFGZAHZBHZIJZBCKZALMZCFINZOPZVQWBWD
      VQWBODHZIJQZDCMZWEOIJZWEVSIJZBCKZRZDLMZSZWDVQWBSZWGWLVQWGWBVQWFDCVQWECTWE
      FTWFCFWEUAWEUBUCUDUEWNWKDLVQWBWELTZWKRWOWBVQWKWBVQWHWOWJWBVQWOWJRWHWBVQWO
      WJWOWBVQSWJWOWBWJVQWAWJAWELVRWEPVTWIBCVRWEVSIUFUGUHUIUJUKULUMUNUOUDUPVQOF
      TWMWDUQDBCOURUSUTVAVQWDWAALVQVRLTZWDWAVQWPWDWAWEEHZIJQECMWQWEIJWQVSIJBCKR
      EFMSDFKZVRFTZVRWCIJZSWAVQWPSWDSZDEBFCVRIVBVCVQWRWPWDDEBCVDVEXAWSWTWPWSVQW
      DVRVFVGWPWDWTVQWDWPWTWDWTVROIJWPWCOVRIVHVRVIVJVKVLUPVMUKVNVOVP $.
      $( [26-Feb-2006] $) $( [19-Jan-2006] $)

    $( The supremum of a bounded-above nonempty set of reals is real. $)
    supxrbnd $p |- ( ( A (_ RR /\ A =/= (/) /\ sup ( A , RR* , < ) < +oo ) ->
                    sup ( A , RR* , < ) e. RR ) $=
      ( vy vx cr wss c0 wne cv cle wbr wral wrex cxr clt csup wcel cpnf w3a
      supxrre suprcl eqeltrd wi supxrcl wa pnfxr xrltnet mp3an2 necomd ex syl
      wceq wn supxrunb2 wb xrlenltt con2bid ssel2 adantlr rexrt ad2antlr
      sylanc rexbidva rexnal syl6bb ralbidva bitr3d ralnex necon2abid sylibrd
      imp ressxr sstr mpan2 sylan 3adant2 syld3an3 ) ADEZAFGZBHZCHZIJZBAKZCDLZA
      MNOZDPWDQNJZVQVRWCRWDADNODCBASCBATUAVQWEWCVRAMEZWEWCVQWFWEWCWFWEWDQGZWCWF
      WDMPZWEWGUBAUCWHWEWGWHWEUDQWDWHQMPWEQWDGUEWDQUFUGUHUIUJWFWCWDQWFWDQUKZWBU
      LZCDKZWCULWFVTVSNJZBALZCDKWIWKCBAUMWFWMWJCDWFVTDPZUDZWMWAULZBALWJWOWLWPBA
      VSMPZVTMPZWLWPUNWOVSAPZUDWQWRUDWAWLVSVTUOUPWFWSWQWNAMVSUQURWNWRWFWSVTUSUT
      VAVBWABAVCVDVEVFWBCDVGVDVHVIVJVQDMEWFVKADMVLVMVNVOVP $.
      $( [22-May-2007] $) $( [19-Jan-2006] $)

    $( The supremum of a nonempty set of reals is greater than minus
       infinity. $)
    supxrgtmnf $p |- ( ( A (_ RR /\ A =/= (/) ) ->
                     -oo < sup ( A , RR* , < ) ) $=
      ( cr wss c0 wne wa cxr clt csup wcel cpnf wceq wo cmnf wbr wn supxrbnd
      3expia con3d wb ressxr sstr mpan2 supxrcl syl adantr nltpnftt sylibrd
      orrd mnfltxrt ) ABCZADEZFZAGHIZBJZUNKLZMNUNHOUMUOUPUMUOPUNKHOZPZUPUMUQUOU
      KULUQUOAQRSUMUNGJZUPURTUKUSULUKAGCZUSUKBGCUTUAABGUBUCAUDUEUFUNUGUEUHUIUNU
      JUE $.
      $( [25-May-2007] $) $( [2-Feb-2006] $)

    $( The supremum of a nonempty set of reals is real iff it is less than
       plus infinity. $)
    supxrre1 $p |- ( ( A (_ RR /\ A =/= (/) ) ->
            ( sup ( A , RR* , < ) e. RR <-> sup ( A , RR* , < ) < +oo ) ) $=
      ( cr wss c0 wne wa cxr clt csup wcel cmnf wbr cpnf wb ressxr sstr mpan2
      supxrcl xrrebndt 3syl adantr supxrgtmnf biantrurd bitr4d ) ABCZADEZFZAGHI
      ZBJZKUHHLZUHMHLZFZUKUEUIULNZUFUEAGCZUHGJUMUEBGCUNOABGPQARUHSTUAUGUJUKAUBU
      CUD $.
      $( [26-May-2007] $) $( [5-Feb-2006] $)

    $( The supremum of a nonempty set of reals is real iff it is not plus
       infinity. $)
    supxrre2 $p |- ( ( A (_ RR /\ A =/= (/) ) ->
            ( sup ( A , RR* , < ) e. RR <-> sup ( A , RR* , < ) =/= +oo ) ) $=
      ( cr wss c0 wne wa cxr clt csup wcel cpnf wbr supxrre1 wb wceq wn ressxr
      sstr mpan2 supxrcl nltpnftt 3syl necon2abid adantr bitrd ) ABCZADEZFAGHIZ
      BJUHKHLZUHKEZAMUFUIUJNUGUFUIUHKUFAGCZUHGJUHKOUIPNUFBGCUKQABGRSATUHUAUBUCU
      DUE $.
      $( [8-Dec-2007] $) $( [5-Feb-2006] $)

    $( The supremum of a bounded-above set of extended reals is less than
       infinity. $)
    supxrbnd1 $p |- ( A (_ RR* -> ( E. x e. RR A. y e. A y < x <->
                    sup ( A , RR* , < ) < +oo ) ) $=
      ( cxr wss cv clt wbr wral cr wrex csup cpnf wn cle wceq wcel wa wb
      xrlenltt ancoms ssel2 rexrt syl2an an1rs rexbidva rexnal syl6rbb
      ralbidva ralnex syl5bbr supxrunb1 supxrcl nltpnftt syl 3bitrd con4bid )
      CDEZBFZAFZGHZBCIZAJKZCDGLZMGHZURVCNZUTUSOHZBCKZAJIZVDMPZVENZURVBNZAJIVIVF
      URVLVHAJURUTJQZRZVHVANZBCKVLVNVGVOBCURUSCQZVMVGVOSZUSDQZUTDQZVQURVPRVMVSV
      RVQUTUSTUACDUSUBUTUCUDUEUFVABCUGUHUIVBAJUJUKABCULURVDDQVJVKSCUMVDUNUOUPUQ
      $.
      $( [13-Nov-2006] $) $( [30-Jan-2006] $)

    $( The supremum of a bounded-above set of extended reals is less than
       infinity. $)
    supxrbnd2 $p |- ( A (_ RR* -> ( E. x e. RR A. y e. A y <_ x <->
                    sup ( A , RR* , < ) < +oo ) ) $=
      ( cxr wss cv cle wbr wral cr wrex clt csup cpnf wn wceq wcel wa wb
      xrlenltt con2bid ssel2 rexrt syl2an an1rs rexbidva rexnal syl6rbb
      ralbidva ralnex syl5bbr supxrunb2 supxrcl nltpnftt syl 3bitrd con4bid )
      CDEZBFZAFZGHZBCIZAJKZCDLMZNLHZURVCOZUTUSLHZBCKZAJIZVDNPZVEOZURVBOZAJIVIVF
      URVLVHAJURUTJQZRZVHVAOZBCKVLVNVGVOBCURUSCQZVMVGVOSZUSDQZUTDQZVQURVPRVMVRV
      SRVAVGUSUTTUACDUSUBUTUCUDUEUFVABCUGUHUIVBAJUJUKABCULURVDDQVJVKSCUMVDUNUOU
      PUQ $.
      $( [26-Jun-2007] $) $( [30-Jan-2006] $)

    $( The supremum of an empty set under the extended reals is minus
       infinity. $)
    xrsup0 $p |- sup ( (/) , RR* , < ) = -oo $=
      ( vy vz c0 cxr wss cmnf wcel wa cv clt wbr wn wral wrex wi cr csup wceq
      0ss mnfxr pm3.2i ral0 rexrt nltmnft syl pm2.21d rgen supxr mp2an ) CDEZFD
      GZHFAIZJKLZACMZULFJKZULBIJKBCNZOZAPMZHCDJQFRUJUKDSTUAUNURUMAUBUQAPULPGZUO
      UPUSULDGUOLULUCULUDUEUFUGUAABCFUHUI $.
      $( [12-Feb-2006] $) $( [15-Oct-2005] $)

    $( A member of a set of extended reals is less than or equal to the set's
       supremum. $)
    supxrub $p |- ( ( A (_ RR* /\ B e. A ) -> B <_ sup ( A , RR* , < ) ) $=
      ( vx vy vz cxr wss wcel wa clt csup cle wbr wn cv wral wrex wi xrsupss
      xrltso supub syl imp wb xrlenltt ssel2 supxrcl adantr sylanc mpbird ) AFG
      ZBAHZIZBAFJKZLMZUNBJMNZUKULUPUKCOZDOZJMNDAPURUQJMUREOJMEAQRDFPICFQULUPRCD
      EASCDEFABJTUAUBUCBFHUNFHZUOUPUDUMBUNUEAFBUFUKUSULAUGUHUIUJ $.
      $( [26-Feb-2006] $) $( [7-Feb-2006] $)

    $( The supremum of a set of extended reals is less than or equal to an
       upper bound. $)
    supxrleub $p |- ( ( A (_ RR* /\ B e. RR* /\ A. x e. A x <_ B ) ->
                  sup ( A , RR* , < ) <_ B ) $=
      ( vy vz cxr wss wcel cv cle wbr wral clt csup wa wn wb xrlenltt ssel2
      sylan an1rs ralbidva pm5.32da wrex wi xrsupss xrltso supnub syl imp
      supxrcl adantrr mpbird ex sylbid 3impib ) BFGZCFHZAIZCJKZABLZBFMNZCJKZUQU
      RVAOURCUSMKPZABLZOZVCUQURVAVEUQUROUTVDABUQUSBHZURUTVDQZUSFHURVHUQVGOUSCRB
      FUSSTUAUBUCUQVFVCUQVFOVCCVBMKPZUQVFVIUQDIZEIZMKPEBLVKVJMKVKUSMKABUDUEEFLO
      DFUDVFVIUEDEABUFDEAFBCMUGUHUIUJUQURVCVIQZVEVBFHURVLUQVBCRBUKTULUMUNUOUP
      $.
      $( [14-Mar-2006] $) $( [22-Feb-2006] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Nonnegative integers (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the set of nonnegative integers. $)
  df-n0 $a |- NN0 = ( NN u. { 0 } ) $.

  $( Nonnegative integers expressed in terms of naturals and zero.
     (Contributed by Raph Levien, 10-Dec-2002.) $)
  elnn0 $p |- ( A e. NN0 <-> ( A e. NN \/ A = 0 ) ) $=
    ( cn0 wcel cn cc0 csn cun wo wceq df-n0 eleq2i elun cc 0cn elisseti elsnc2
    orbi2i 3bitr ) ABCADEFZGZCADCZASCZHUAAEIZHBTAJKADSLUBUCUAAEEMNOPQR $.
    $( [14-May-2003] $) $( [10-Dec-2002] $)

  $( Positive naturals are a subset of nonnegative integers.  (Contributed
     by Raph Levien, 10-Dec-2002.) $)
  nnssnn0 $p |- NN (_ NN0 $=
    ( cn cc0 csn cun cn0 ssun1 df-n0 sseqtr4 ) AABCZDEAIFGH $.
    $( [14-May-2003] $) $( [10-Dec-2002] $)

  $( Nonnegative integers are a subset of the reals.  (Contributed by Raph
     Levien, 10-Dec-2002.) $)
  nn0ssre $p |- NN0 (_ RR $=
    ( cn0 cn cc0 csn cun cr df-n0 nnssre wcel wss 0re snssi ax-mp unssi eqsstr
    ) ABCDZEFGBPFHCFIPFJKCFLMNO $.
    $( [14-May-2003] $) $( [10-Dec-2002] $)

  $( Nonnegative integers are a subset of the complex numbers.) $)
  nn0sscn $p |- NN0 (_ CC $=
    ( cn0 cr cc nn0ssre axresscn sstri ) ABCDEF $.
    $( [25-Jun-2004] $) $( [9-May-2004] $)

  $( The set of nonnegative integers exists. $)
  nn0ex $p |- NN0 e. V $=
    ( cn0 cc axcnex nn0sscn ssexi ) ABCDE $.
    $( [24-Jul-2004] $) $( [18-Jul-2004] $)

  $( A natural number is a nonnegative integer. $)
  nnnn0t $p |- ( A e. NN -> A e. NN0 ) $=
    ( cn cn0 nnssnn0 sseli ) BCADE $.
    $( [10-May-2004] $) $( [9-May-2004] $)

  ${
    nnnn0.1 $e |- N e. NN $.
    $( A natural number is a nonnegative integer. $)
    nnnn0 $p |- N e. NN0 $=
      ( cn wcel cn0 nnnn0t ax-mp ) ACDAEDBAFG $.
      $( [21-Jun-2005] $) $( [20-Jun-2005] $)
  $}

  $( A nonnegative integer is a real number. $)
  nn0ret $p |- ( A e. NN0 -> A e. RR ) $=
    ( cn0 cr nn0ssre sseli ) BCADE $.
    $( [25-May-2004] $) $( [9-May-2004] $)

  $( A nonnegative integer is a complex number. $)
  nn0cnt $p |- ( A e. NN0 -> A e. CC ) $=
    ( cn0 cc nn0sscn sseli ) BCADE $.
    $( [3-Jul-2004] $) $( [9-May-2004] $)

  ${
    nn0re.1 $e |- A e. NN0 $.
    $( A nonnegative integer is a real number. $)
    nn0re $p |- A e. RR $=
      ( cn0 cr nn0ssre sselii ) CDAEBF $.
      $( [14-May-2003] $)

    $( A nonnegative integer is a complex number. $)
    nn0cn $p |- A e. CC $=
      ( nn0re recn ) AABCD $.
      $( [14-May-2003] $)
  $}

  $( The set of natural numbers (positive integers) defined in terms of
     nonnegative integers. $)
  dfn2 $p |- NN = ( NN0 \ { 0 } ) $=
    ( vx cn cn0 cc0 csn cdif cv wcel wne wa nnnn0t nnne0t jca wceq wo elnn0
    biimp ord necon1ad imp impbi eldifsn bitr4 eqriv ) ABCDEFZAGZBHZUFCHZUFDIZJ
    ZUFUEHUGUJUGUHUIUFKUFLMUHUIUGUHUGUFDUHUGUFDNZUHUGUKOUFPQRSTUAUFCDUBUCUD $.
    $( [23-Sep-2007] $) $( [23-Sep-2007] $)

  $( 0 is a nonnegative integer.  (Contributed by Raph Levien, 10-Dec-2002.) $)
  0nn0 $p |- 0 e. NN0 $=
    ( cc0 wceq cn0 wcel eqid cn wo elnn0 biimpr olcs ax-mp ) AABZACDZAEAFDZLMMN
    LGAHIJK $.
    $( [21-Mar-2007] $) $( [10-Dec-2002] $)

  $( 1 is a nonnegative integer.  (Contributed by Raph Levien, 10-Dec-2002.) $)
  1nn0 $p |- 1 e. NN0 $=
    ( c1 1nn nnnn0 ) ABC $.
    $( [10-Dec-2002] $)

  $( 2 is a nonnegative integer.  (Contributed by Raph Levien, 10-Dec-2002.) $)
  2nn0 $p |- 2 e. NN0 $=
    ( c2 2nn nnnn0 ) ABC $.
    $( [10-Dec-2002] $)

  $( No number less than zero is a nonnegative integer. $)
  lt0nnn0 $p |- ( ( A e. RR /\ A < 0 ) -> -. A e. NN0 ) $=
    ( cr wcel cc0 clt wbr cn0 wn cn wceq wo c1 lt01 wa wi 0re 1re axlttrn
    mp3an23 mpan2i lt1nnn ex syld con2d breq2 negbid ltnrt syl5cbi jaod elnn0
    syl5ib imp ) ABCZADEFZAGCZHUMUOUNUMAICZADJZKUNHZUOUMUPURUQUMUNUPUMUNALEFZUP
    HZUMUNDLEFZUSMUMDBCLBCUNVANUSOPQADLRSTUMUSUTAUAUBUCUDUQAAEFZHURUMUQVBUNADAE
    UEUFAUGUHUIAUJUKUDUL $.
    $( [27-Jun-2004] $) $( [9-May-2004] $)

  $( A nonnegative integer is greater than or equal to zero. $)
  nn0ge0t $p |- ( N e. NN0 -> 0 <_ N ) $=
    ( cn0 wcel cc0 cle wbr clt wn cr nn0ret lt0nnn0 ex con2d mpcom wb 0re
    lenltt sylan2 mpan mpbird ) ABCZDAEFZADGFZHZAICZUAUDAJZUEUCUAUEUCUAHAKLMNDI
    CZUAUBUDOZPUGUEUHUADAQUFRST $.
    $( [3-Jul-2004] $) $( [9-May-2004] $)

  ${
    nn0ge0.1 $e |- N e. NN0 $.
    $( Nonnegative integers are nonnegative.  (Contributed by Raph Levien,
       10-Dec-2002.) $)
    nn0ge0 $p |- 0 <_ N $=
      ( cn0 wcel cc0 cle wbr nn0ge0t ax-mp ) ACDEAFGBAHI $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)
  $}

  $( A nonnegative integer is less than or equal to zero iff it is equal to
     zero. $)
  nn0le0eq0t $p |- ( N e. NN0 -> ( N <_ 0 <-> N = 0 ) ) $=
    ( cn0 wcel cc0 cle wbr wa wceq nn0ge0t biantrud cr wb nn0ret 0re letri3t
    mpan2 syl bitr4d ) ABCZADEFZTDAEFZGZADHZSUATAIJSAKCZUCUBLZAMUDDKCUENADOPQR
    $.
    $( [30-Dec-2005] $) $( [9-Dec-2005] $)

  $( Closure of addition of nonnegative integers.  (Contributed by Raph Levien,
     10-Dec-2002.) $)
  nn0addclt $p |- ( ( M e. NN0 /\ N e. NN0 ) -> ( M + N ) e. NN0 ) $=
    ( cn wcel cc0 wceq wo caddc co cn0 wa nnaddclt nnnn0t syl cc opreq1
    addid2t sylan9eq nncnt sylan2 adantl eqeltrd opreq2 ax0id sylan9eqr sylan
    adantr opreq12 0cn addid1 syl6eq 0nn0 syl6eqel ccase elnn0 syl2anb ) ACDZAE
    FZGBCDZBEFZGABHIZJDZAJDZBJDZUQUSURUTVBUQUSKVACDVBABLVAMNURUSKVABJURBODZVABF
    USURVEVAEBHIBAEBHPBQRBSTUSVDURBMUAUBUQUTKVAAJAODZUTVAAFUQUTVFVAAEHIABEAHUCA
    UDUEASUFUQVCUTAMUGUBURUTKZVAEJVGVAEEHIEAEBEHUHEUIUJUKULUMUNAUOBUOUP $.
    $( [14-May-2003] $) $( [10-Dec-2002] $)

  ${
    nn0addcl.1 $e |- M e. NN0 $.
    nn0addcl.2 $e |- N e. NN0 $.
    $( Closure of addition of nonnegative integers, inference form.
      (Contributed  by Raph Levien, 10-Dec-2002.) $)
    nn0addcl $p |- ( M + N ) e. NN0 $=
      ( cn0 wcel caddc co nn0addclt mp2an ) AEFBEFABGHEFCDABIJ $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)

    $( Closure of multiplication of nonnegative integers, inference form.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    nn0mulcl $p |- ( M x. N ) e. NN0 $=
      ( cn wcel cc0 wceq wo cmul co cn0 elnn0 mpbi wa nnmulclt nnnn0t syl
      opreq1 nn0cn mul02 syl6eq 0nn0 syl6eqel opreq2 mul01 ccase2 mp2an ) AEFZA
      GHZIZBEFZBGHZIZABJKZLFZALFUKCAMNBLFUNDBMNUIULUJUMUPUIULOUOEFUPABPUOQRUJUO
      GLUJUOGBJKGAGBJSBBDTUAUBUCUDUMUOGLUMUOAGJKGBGAJUEAACTUFUBUCUDUGUH $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)
  $}

  $( Closure of multiplication of nonnegative integers. $)
  nn0mulclt $p |- ( ( M e. NN0 /\ N e. NN0 ) -> ( M x. N ) e. NN0 ) $=
    ( cn0 wcel cmul co cc0 cif wceq opreq1 eleq1d opreq2 0nn0 elimel nn0mulcl
    dedth2h ) ACDZBCDZABEFZCDQAGHZBEFZCDTRBGHZEFZCDABGGATISUACATBEJKBUBIUAUCCBU
    BTELKTUBAGCMNBGCMNOP $.
    $( [30-Aug-2004] $) $( [22-Jul-2004] $)

  $( Second Peano postulate for nonnegative integers. $)
  peano2nn0 $p |- ( N e. NN0 -> ( N + 1 ) e. NN0 ) $=
    ( cn0 wcel c1 caddc co 1nn0 nn0addclt mpan2 ) ABCDBCADEFBCGADHI $.
    $( [24-May-2004] $) $( [9-May-2004] $)

  $( A natural number plus a nonnegative integer is a natural number. $)
  nnnn0addclt $p |- ( ( M e. NN /\ N e. NN0 ) -> ( M + N ) e. NN ) $=
    ( cn wcel cn0 caddc co cc0 wceq wo nnaddclt ex opreq2 eleq1d cc nncnt
    ax0id syl ibir syl5cbir jaod elnn0 syl5ib imp ) ACDZBEDZABFGZCDZUEBCDZBHIZJ
    UHUFUEUIUHUJUEUIUHABKLUJUHAHFGZCDZUEUJUGUKCBHAFMNUEULUEUKACUEAODUKAIAPAQRNS
    TUABUBUCUD $.
    $( [23-Apr-2005] $) $( [20-Apr-2005] $)

  $( A nonnegative integer plus a natural number is a natural number. $)
  nn0nnaddclt $p |- ( ( M e. NN0 /\ N e. NN ) -> ( M + N ) e. NN ) $=
    ( cn wcel cn0 caddc co wa cc wceq axaddcom nncnt nn0cnt syl2an nnnn0addclt
    eqeltrrd ancoms ) BCDZAEDZABFGZCDRSHBAFGZTCBIDAIDUATJRSBAKBLAMNBAOPQ $.
    $( [24-Jan-2006] $) $( [22-Dec-2005] $)

  $( Nonnegative integer ordering relation.  (Contributed by Raph Levien,
     10-Dec-2002.) $)
  nn0ltp1let $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                ( M < N <-> ( M + 1 ) <_ N ) ) $=
    ( cn wcel cc0 wceq wo clt wbr c1 caddc co cle wb cn0 nnltp1let wa breq1 wi
    nngt0t nnge1t ax1cn addid2 syl5eqbr 2th pm5.74ri sylan9bb opreq1 breq1d
    adantr bitr4d breq2 wn pm5.21 cr nnret 0re ltnsymt mpan2 syl mt2d axlttrn
    mp3an1 peano2re jca ltp1t sylc ltnlet mpan 3syl mpbid sylanc sylan9bbr
    adantl ltnr ltp1 1re readdcl ltnle mpbi 2false syl6bb ccase elnn0 syl2anb
    ) ACDZAEFZGBCDZBEFZGABHIZAJKLZBMIZNZAODBODWFWHWGWIWMABPWGWHQWJEJKLZBMIZWLWG
    WJEBHIZWHWOAEBHRWHWPWOWHWPSWHWOSBTWHJBWNMBUAJUBUCUDUEUFUGWGWLWONWHWGWKWNBMA
    EJKUHZUIUJUKWFWIQWJWKEMIZWLWIWJAEHIZWFWRBEAHULZWSUMWRUMZWSWRNWFWSWRUNWFWSEA
    HIZATZWFAUODZWSXBUMSZAUPZXDEUODZXEUQAEURUSUTVAWFEWKHIZXAXDWKUODZQXBAWKHIZQZ
    XHWFXGXDXIXKXHSUQEAWKVBVCWFXDXIXFWFXDXIXFAVDZUTVEWFXBXJXCWFXDXJXFAVFUTVEVGW
    FXDXIXHXANZXFXLXGXIXMUQEWKVHVIVJVKVLVMWIWLWRNZWFBEWKMULZVNUKWGWIQWJWRWLWIWJ
    WSWGWRWTWGWSWNEMIZWRWGWSEEHIZXPAEEHRXQXPEUQVOEWNHIXPUMEUQVPEWNUQEJUQVQVRVSV
    TWAWBWGWKWNEMWQUIUKVMWIXNWGXOVNUKWCAWDBWDWE $.
    $( [14-May-2003] $) $( [10-Dec-2002] $)

  $( Nonnegative integer ordering relation.  (Contributed by Raph Levien,
     10-Apr-2004.) $)
  nn0leltp1t $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                ( M <_ N <-> M < ( N + 1 ) ) ) $=
    ( cn0 wcel wa cle wbr c1 caddc co clt cr wb 1re leadd1t mp3an3 nn0ret
    syl2an nn0ltp1let peano2nn0 sylan2 bitr4d ) ACDZBCDZEABFGZAHIJBHIJZFGZAUFKG
    ZALDZBLDZUEUGMZUCUDUIUJHLDUKNABHOPAQBQRUCUFCDUHUGMUDAUFSBTUAUB $.
    $( [25-May-2004] $) $( [10-Apr-2004] $)

  $( Nonnegative integer ordering relation. $)
  nn0ltlem1t $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                ( M < N <-> M <_ ( N - 1 ) ) ) $=
    ( cn0 wcel wa c1 caddc co cmin cle wbr clt wb cc wceq nn0cnt ax1cn npcant
    mpan2 syl breq2d adantl cr 1re leadd1t mp3an3 nn0ret peano2rem syl2an
    nn0ltp1let 3bitr4rd ) ACDZBCDZEAFGHZBFIHZFGHZJKZUNBJKZAUOJKZABLKUMUQURMULUM
    UPBUNJUMBNDZUPBOZBPUTFNDVAQBFRSTUAUBAUCDZUOUCDZUSUQMZULUMVBVCFUCDVDUDAUOFUE
    UFAUGUMBUCDVCBUGBUHTUIABUJUK $.
    $( [4-Jul-2004] $) $( [10-May-2004] $)

  $( A number is less than or equal to itself plus a nonnegative integer. $)
  nn0addge1t $p |- ( ( A e. RR /\ N e. NN0 ) -> A <_ ( A + N ) ) $=
    ( cr wcel cc0 cle wbr wa caddc co cn0 addge01t biimp3a 3expb nn0ret
    nn0ge0t jca sylan2 ) ACDZBCDZEBFGZHAABIJFGZBKDZSTUAUBSTUAUBABLMNUCTUABOBPQR
    $.
    $( [25-Jul-2006] $) $( [10-Mar-2005] $)

  $( A number is less than or equal to itself plus a nonnegative integer. $)
  nn0addge2t $p |- ( ( A e. RR /\ N e. NN0 ) -> A <_ ( N + A ) ) $=
    ( cr wcel cc0 cle wbr wa caddc co cn0 addge02t biimp3a 3expb nn0ret
    nn0ge0t jca sylan2 ) ACDZBCDZEBFGZHABAIJFGZBKDZSTUAUBSTUAUBABLMNUCTUABOBPQR
    $.
    $( [25-Jul-2006] $) $( [10-Mar-2005] $)

  ${
    nn0addge1.1 $e |- A e. RR $.
    nn0addge1.2 $e |- N e. NN0 $.
    $( A number is less than or equal to itself plus a nonnegative integer. $)
    nn0addge1 $p |- A <_ ( A + N ) $=
      ( cr wcel cn0 caddc co cle wbr nn0addge1t mp2an ) AEFBGFAABHIJKCDABLM $.
      $( [13-Mar-2005] $) $( [10-Mar-2005] $)

    $( A number is less than or equal to itself plus a nonnegative integer. $)
    nn0addge2 $p |- A <_ ( N + A ) $=
      ( cr wcel cn0 caddc co cle wbr nn0addge2t mp2an ) AEFBGFABAHIJKCDABLM $.
      $( [13-Mar-2005] $) $( [10-Mar-2005] $)
  $}

  ${
    nn0le2x.1 $e |- N e. NN0 $.
    $( A nonnegative integer is less than or equal to twice itself.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    nn0le2x $p |- N <_ ( 2 x. N ) $=
      ( caddc co c2 cmul cle nn0re nn0addge1 nn0cn 2times breqtrr ) AAACDEAFDGA
      AABHBIAABJKL $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)
  $}

  ${
    nn0lele2x.1 $e |- M e. NN0 $.
    nn0lele2x.2 $e |- N e. NN0 $.
    $( 'Less than or equal to' implies 'less than or equal to twice' for
       nonnegative integers.  (Contributed by Raph Levien, 10-Dec-2002.) $)
    nn0lele2x $p |- ( N <_ M -> N <_ ( 2 x. M ) ) $=
      ( cle wbr c2 cmul co nn0le2x nn0re 2re remulcl letr mpan2 ) BAEFAGAHIZEFB
      PEFACJBAPBDKACKZGALQMNO $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Integers (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the set of integers.  Definition of integers in [Apostol] p. 22. $)
  df-z $a |- ZZ = { n e. RR | ( n = 0 \/ n e. NN \/ -u n e. NN ) } $.

  ${
    $d x N $.
    $( Membership in the set of integers. $)
    elz $p |- ( N e. ZZ <->
              ( N e. RR /\ ( N = 0 \/ N e. NN \/ -u N e. NN ) ) ) $=
      ( vx cv cc0 wceq cn wcel cneg w3o cr cz eqeq1 eleq1 negeq eleq1d
      3orbi123d df-z elrab2 ) BCZDEZSFGZSHZFGZIADEZAFGZAHZFGZIBAJKSAEZTUDUAUEUC
      UGSADLSAFMUHUBUFFSANOPBQR $.
      $( [8-Jan-2002] $)
  $}

  $( The negative of a natural number is an integer. $)
  nnnegz $p |- ( N e. NN -> -u N e. ZZ ) $=
    ( cn wcel cneg cr cc0 wceq w3o wa cz nnret renegclt syl wo cc nncnt
    negnegt eleq1d biimprd mpcom olcd df-3or sylibr jca elz ) ABCZADZECZUGFGZUG
    BCZUGDZBCZHZIUGJCUFUHUMUFAECUHAKALMUFUIUJNZULNUMUFULUNAOCZUFULAPUOULUFUOUKA
    BAQRSTUAUIUJULUBUCUDUGUEUC $.
    $( [12-Jan-2002] $)

  $( An integer is a real. $)
  zret $p |- ( N e. ZZ -> N e. RR ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o elz pm3.26bi ) ABCADCAEFAGCAHGCIAJK $.
    $( [8-Jan-2002] $)

  $( An integer is a complex number. $)
  zcnt $p |- ( N e. ZZ -> N e. CC ) $=
    ( cz wcel zret recnd ) ABCAADE $.
    $( [6-Jun-2004] $) $( [9-May-2004] $)

  ${
    zre.1 $e |- A e. ZZ $.
    $( An integer is a real number. $)
    zre $p |- A e. RR $=
      ( cz wcel cr zret ax-mp ) ACDAEDBAFG $.
      $( [15-Jul-2005] $) $( [14-Jul-2005] $)
  $}

  $( The integers are a subset of the reals. $)
  zssre $p |- ZZ (_ RR $=
    ( vx cz cr cv zret ssriv ) ABCADEF $.
    $( [5-Sep-2004] $) $( [2-Aug-2004] $)

  $( The integers are a subset of the complex numbers. $)
  zsscn $p |- ZZ (_ CC $=
    ( vx cz cc cv zcnt ssriv ) ABCADEF $.
    $( [10-Sep-2004] $) $( [2-Aug-2004] $)

  $( The set of integers exists. $)
  zex $p |- ZZ e. V $=
    ( cz cc axcnex zsscn ssexi ) ABCDE $.
    $( [25-Sep-2004] $) $( [30-Jul-2004] $)

  $( Natural number property expressed in terms of integers. $)
  elnnz $p |- ( N e. NN <-> ( N e. ZZ /\ 0 < N ) ) $=
    ( cn wcel cr cneg cc0 wceq wo wa clt wbr cz nnret orc jca nngt0t wi idd wn
    lt0neg2t renegclt 0re ltnsymt mpan2 syl sylbid imp nsyl wne gt0ne0t df-ne
    sylib ioran sylibr pm2.21d jaod ex com23 imp31 impbi w3o elz 3orrot 3orass
    bitr anbi2i anbi1i bitr4 ) ABCZADCZVIAEZBCZAFGZHZHZIZFAJKZIZALCZVQIVIVRVIVP
    VQVIVJVOAMVIVNNOAPOVJVOVQVIVJVQVOVIVJVQVOVIQVJVQIZVIVIVNVTVIRVTVNVIVTVLSZVM
    SZIVNSVTWAWBVTFVKJKZVLVJVQWCSZVJVQVKFJKZWDATVJVKDCZWEWDQZAUAWFFDCWGUBVKFUCU
    DUEUFUGVKPUHVTAFUIWBAUJAFUKULOVLVMUMUNUOUPUQURUSUTVSVPVQVSVJVMVIVLVAZIVPAVB
    WHVOVJWHVIVLVMVAVOVMVIVLVCVIVLVMVDVEVFVEVGVH $.
    $( [8-Jan-2002] $)

  $( Zero is an integer. $)
  0z $p |- 0 e. ZZ $=
    ( cc0 cz wcel cr wceq cn cneg w3o elz 0re wo eqid orci 3orass mpbir
    mpbir2an ) ABCADCAAEZAFCZAGFCZHZAIJTQRSKZKQUAALMQRSNOP $.
    $( [12-Jan-2002] $)

  $( Nonnegative integer property expressed in terms of integers. $)
  elnn0z $p |- ( N e. NN0 <-> ( N e. ZZ /\ 0 <_ N ) ) $=
    ( cn0 wcel cn cc0 wceq wo cz clt wbr wa cle elnn0 elnnz eqcom orbi12i id
    0z eleq1 mpbii jaoi orc impbi anbi1i ordir cr wb zret 0re leloet mpan syl
    pm5.32i 3bitr4 3bitr ) ABCADCZAEFZGAHCZEAIJZKZEAFZGZUREALJZKZAMUPUTUQVAANAE
    OPURVAGZUSVAGZKURVFKVBVDVEURVFVEURURURVAURQVAEHCURREAHSTUAURVAUBUCUDURUSVAU
    EURVCVFURAUFCZVCVFUGZAUHEUFCVGVHUIEAUJUKULUMUNUO $.
    $( [7-Jun-2004] $) $( [9-May-2004] $)

  $( Integer property expressed in terms nonnegative integers and natural
     numbers. $)
  elznn0nn $p |- ( N e. ZZ <-> ( N e. NN0 \/ ( N e. RR /\ -u N e. NN ) ) ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o wa wo cn0 elz df-3or anbi2i andi nn0ret
    pm4.71ri elnn0 orcom bitr orbi1i bitr4 3bitr ) ABCADCZAEFZAGCZAHGCZIZJUEUFU
    GKZUHKZJZALCZUEUHJZKZAMUIUKUEUFUGUHNOULUEUJJZUNKUOUEUJUHPUMUPUNUMUEUMJUPUMU
    EAQRUMUJUEUMUGUFKUJASUGUFTUAOUAUBUCUD $.
    $( [4-Jul-2004] $) $( [10-May-2004] $)

  $( Integer property expressed in terms of nonnegative integers. $)
  elznn0 $p |- ( N e. ZZ <-> ( N e. RR /\ ( N e. NN0 \/ -u N e. NN0 ) ) ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o wa cn0 wo elz wb elnn0 a1i cc recnt 0cn
    negcon1t mpan2 syl neg0 eqeq1i eqcom bitr syl6bb orbi2d syl5bb orbi12d
    3orass orcom orordir 3bitrr syl6rbb pm5.32i ) ABCADCZAEFZAGCZAHZGCZIZJUQAKC
    ZUTKCZLZJAMUQVBVEUQVEUSURLZVAURLZLZVBUQVCVFVDVGVCVFNUQAOPUQVAUTEFZLVGVDUQVI
    URVAUQVIEHZAFZURUQAQCZVIVKNZARVLEQCVMSAETUAUBVKEAFURVJEAUCUDEAUEUFUGUHUTOUI
    UJVBURUSVALZLVNURLVHURUSVAUKURVNULUSVAURUMUNUOUPUF $.
    $( [7-Jun-2004] $) $( [9-May-2004] $)

  $( Integer property expressed in terms natural numbers and nonnegative
     integers. $)
  elznn $p |- ( N e. ZZ <-> ( N e. RR /\ ( N e. NN \/ -u N e. NN0 ) ) ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o wa cn0 wo elz cc wb recnt negeq0t syl
    orbi2d elnn0 syl6rbbr 3orrot 3orass bitr pm5.32i ) ABCADCZAEFZAGCZAHZGCZIZJ
    UFUHUIKCZLZJAMUFUKUMUFUMUHUJUGLZLZUKUFULUNUHUFUNUJUIEFZLULUFUGUPUJUFANCUGUP
    OAPAQRSUITUASUKUHUJUGIUOUGUHUJUBUHUJUGUCUDUAUEUD $.
    $( [18-Jul-2005] $) $( [12-Jul-2005] $)

  $( Natural numbers are a subset of integers. $)
  nnssz $p |- NN (_ ZZ $=
    ( vx cn cz cv wcel cc0 clt wbr elnnz pm3.26bi ssriv ) ABCADZBELCEFLGHLIJK
    $.
    $( [9-Jan-2002] $)

  $( Nonnegative integers are a subset of the integers. $)
  nn0ssz $p |- NN0 (_ ZZ $=
    ( cn0 cn cc0 csn cun cz df-n0 nnssz wcel wss 0z elisseti snss mpbi unssi
    eqsstr ) ABCDZEFGBQFHCFIQFJKCFCFKLMNOP $.
    $( [5-Jul-2004] $) $( [9-May-2004] $)

  $( A natural number is an integer. $)
  nnzt $p |- ( N e. NN -> N e. ZZ ) $=
    ( cn cz nnssz sseli ) BCADE $.
    $( [4-Jun-2004] $) $( [9-May-2004] $)

  $( A nonnegative integer is an integer. $)
  nn0zt $p |- ( N e. NN0 -> N e. ZZ ) $=
    ( cn0 cz nn0ssz sseli ) BCADE $.
    $( [5-Jul-2004] $) $( [9-May-2004] $)

  $( Natural number property expressed in terms of integers. $)
  elnnz1 $p |- ( N e. NN <-> ( N e. ZZ /\ 1 <_ N ) ) $=
    ( cn wcel cz c1 cle wbr wa nnzt nnge1t jca cneg cc0 wceq wo wn clt cr lt01
    wb 1re lt0neg2t ax-mp mpbi wi lenegt mpan renegclt renegcl 0re lelttrt
    mp3an23 ltlet mpan2 syld syl exp3a sylbid imp mpi lenltt adantr mpbid zret
    sylan nngt0t nsyl breq2 lenlt syl6bb con2bid mpbii con2i adantl ioran
    sylibr w3o elz pm3.27 3orrot df-3or bitr3 sylib sylbi ord mpd impbi ) ABCZA
    DCZEAFGZHZWHWIWJAIAJKWKALZBCZAMNZOZPZWHWKWMPZWNPZHWPWKWQWRWKMWLQGZWMARCZWJW
    SPZWIWTWJHZWLMFGZXAXBELZMQGZXCMEQGZXESERCZXFXETUAEUBUCUDWTWJXEXCUEZWTWJWLXD
    FGZXHXGWTWJXITUAEAUFUGWTXIXEXCWTWLRCZXIXEHZXCUEAUHZXJXKWLMQGZXCXJXDRCMRCZXK
    XMUEEUAUIUJWLXDMUKULXJXNXMXCUEUJWLMUMUNUOUPUQURUSUTWTXCXATZWJWTXJXOXLXJXNXO
    UJWLMVAUNUPVBVCAVDVEWLVFVGWJWRWIWNWJWNXFWJPSWNWJXFWNWJEMFGXFPAMEFVHEMUAUJVI
    VJVKVLVMVNKWMWNVOVPWIWPWHUEWJWIWOWHWIWTWNWHWMVQZHZWOWHOZAVRXQXPXRWTXPVSXPWM
    WNWHVQXRWMWNWHVTWMWNWHWAWBWCWDWEVBWFWG $.
    $( [9-Jun-2004] $) $( [10-May-2004] $)

  $( An integer is not a natural number iff it is less than one. $)
  znnnlt1t $p |- ( N e. ZZ -> ( -. N e. NN <-> N < 1 ) ) $=
    ( cz wcel cn wn c1 cle wbr clt elnnz1 baib negbid cr wb zret 1re ltnlet
    mpan2 syl bitr4d ) ABCZADCZEFAGHZEZAFIHZUAUBUCUBUAUCAJKLUAAMCZUEUDNZAOUFFMC
    UGPAFQRST $.
    $( [20-Jul-2005] $) $( [13-Jul-2005] $)

  $( Natural numbers expressed as a subset of integers. $)
  nnzrab $p |- NN = { x e. ZZ | 1 <_ x } $=
    ( cn cv cz wcel c1 cle wbr wa cab crab elnnz1 abbi2i df-rab eqtr4 ) BACZDEF
    PGHZIZAJQADKRABPLMQADNO $.
    $( [17-Oct-2004] $) $( [3-Oct-2004] $)

  $( Nonnegative integers expressed as a subset of integers. $)
  nn0zrab $p |- NN0 = { x e. ZZ | 0 <_ x } $=
    ( cn0 cv cz wcel cc0 cle wbr wa cab crab elnn0z abbi2i df-rab eqtr4 ) BACZD
    EFPGHZIZAJQADKRABPLMQADNO $.
    $( [21-Oct-2004] $) $( [3-Oct-2004] $)

  $( One is an integer. $)
  1z $p |- 1 e. ZZ $=
    ( c1 cn wcel cz 1nn nnzt ax-mp ) ABCADCEAFG $.
    $( [4-Jun-2004] $) $( [10-May-2004] $)

  $( Two is an integer. $)
  2z $p |- 2 e. ZZ $=
    ( c2 cn wcel cz 2nn nnzt ax-mp ) ABCADCEAFG $.
    $( [5-Jul-2004] $) $( [10-May-2004] $)

  $( Subtraction of nonnegative integers. $)
  nn0subt $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                ( M <_ N <-> ( N - M ) e. NN0 ) ) $=
    ( cn wcel cc0 wceq wo cle wbr cmin co cn0 wb wa clt wi nnsubt ex breq2
    opreq1 eleq1d bibi12d cneg cr nnret lt0neg1t syl cz nnnegz elnnz baib
    df-neg eleq1i syl5rbbr bitrd syl5cbir jaod breq1 opreq2 nnzt cc zcnt
    subid1t bitr2d syl5bir 0re ltnr 0nnn 0cn subid mtbir 2false mpbiri jaoi
    imp subeq0t eqcom syl6rbbr ancoms nncnt eleq1 syl2an orbi12d leloet elnn0
    a1i 3bitr4d syl2anb ) ACDZAEFZGZBCDZBEFZGZABHIZBAJKZLDZMALDBLDWKWNNZABOIZAB
    FZGZWPCDZWPEFZGZWOWQWRWSXBWTXCWKWNWSXBMZWIWNXEPWJWIWLXEWMWIWLXEABQRWMXEAEOI
    ZEAJKZCDZMWIWMWSXFXBXHBEAOSWMWPXGCBEAJTUAUBWIXFEAUCZOIZXHWIAUDDZXFXJMAUEZAU
    FUGWIXICDZXJXHWIXIUHDZXMXJMAUIXMXNXJXIUJUKUGXIXGCAULUMUNUOUPUQWJWLXEWMWJXEE
    BOIZBEJKZCDZMZWLWJWSXOXBXQAEBOURWJWPXPCAEBJUSUAUBZWLBUHDZXRBUTXTXQWLXOXTBVA
    DZXQWLMBVBYAXPBCBVCUAUGWLXTXOBUJUKVDUGVEWJXEXRWMXSWMXREEOIZEEJKZCDZMYBYDEVF
    VGYDECDVHYCECEVIVJUMVKVLWMXOYBXQYDBEEOSWMXPYCCBEEJTUAUBVMVEUQVNVOAVADZYAWTX
    CMZWKWNYAYEYFYAYENXCBAFWTBAVPABVQVRVSWIYEWJAVTWJYEEVADZVIAEVAWAVMVNWLYAWMBV
    TWMYAYGVIBEVAWAVMVNWBWCXKBUDDZWOXAMWKWNABWDWIXKWJXLWJXKEUDDZVFAEUDWAVMVNWLY
    HWMBUEWMYHYIVFBEUDWAVMVNWBWQXDMWRWPWEWFWGAWEBWEWH $.
    $( [9-Jun-2004] $) $( [9-May-2004] $)

  $( Subtraction of nonnegative integers. $)
  nn0sub2t $p |- ( ( M e. NN0 /\ N e. NN0 /\ M <_ N ) -> ( N - M ) e. NN0 ) $=
    ( cn0 wcel cle wbr cmin co nn0subt biimp3a ) ACDBCDABEFBAGHCDABIJ $.
    $( [4-Oct-2005] $) $( [4-Sep-2005] $)

  $( Closure law for negative integers. $)
  znegclt $p |- ( N e. ZZ -> -u N e. ZZ ) $=
    ( cz wcel cr cc0 wceq cn cneg w3o wa elz negeq neg0 syl6eq 0z syl6eqel
    nnnegz nnzt 3jaoi adantl sylbi ) ABCADCZAEFZAGCZAHZGCZIZJUEBCZAKUGUHUBUCUHU
    DUFUCUEEBUCUEEHEAELMNOPAQUERSTUA $.
    $( [11-Jun-2004] $) $( [9-May-2004] $)

  $( The negative of a nonnegative integer is an integer. $)
  nn0negz $p |- ( N e. NN0 -> -u N e. ZZ ) $=
    ( cn0 wcel cz cneg nn0zt znegclt syl ) ABCADCAEDCAFAGH $.
    $( [10-Sep-2004] $) $( [9-May-2004] $)

  $( Closure of addition of integers. $)
  zaddclt $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M + N ) e. ZZ ) $=
    ( cr wcel cn0 cneg wo wa caddc co cz wi nn0addclt orcd a1i axaddrcl jctild
    cle wbr letrit renegclt sylan adantr cmin nn0subt cc wceq subnegt ancoms
    axaddcom eqtr4d recnt syl2an eleq1d sylan9bbr wb negdit negsubt negclt
    eqtr2d orbi12d mpbid ex sylan2 syl5bir olc syl6 ccased elznn0 syl6ibr imp
    an4s syl2anb ) ACDZAEDZAFZEDZGZHBCDZBEDZBFZEDZGZHABIJZKDZAKDBKDVNVSVRWCWEVN
    VSHZVRWCHZWEWFWGWDCDZWDEDZWDFZEDZGZHZWEWFVOVTVQWBWMWFVOVTHZWLWHWNWLLWFWNWIW
    KABMNOABPZQWFVQVTHZWLWHWFWPWLWFWPHZVPBRSZBVPRSZGZWLWFWTWPVPCDVSWTVNVPBTAUAU
    BUCWQWRWIWSWKWPWRBVPUDJZEDWFWIVPBUEWFXAWDEAUFDZBUFDZXAWDUGVNVSXBXCHZXABAIJZ
    WDXCXBXAXEUGBAUHUIABUJUKAULZBULZUMUNUOWPWSVPBUDJZEDZWFWKVTVQWSXIUPBVPUEUIWF
    XHWJEXBXCXHWJUGVNVSXDWJVPWAIJZXHABUQZVPUFDZXCXJXHUGXBVPBURAUSZUBUTXFXGUMUNU
    OVAVBVCWOQWFVOWBHZWLWHWFXNWLWFXNHZWAARSZAWARSZGZWLWFXRXNVSVNXRWACDVNXRVSWAA
    TBUAUBUIUCXOXPWIXQWKXNXPAWAUDJZEDZWFWIWBVOXPXTUPWAAUEUIWFXSWDEXBXCXSWDUGVNV
    SABUHXFXGUMUNUOXNXQWAAUDJZEDWFWKAWAUEWFYAWJEXBXCYAWJUGVNVSXDYAXJWJXBWAUFDZY
    AXJUGXCXBYBHXJWAVPIJZYAXLYBXJYCUGXBVPWAUJXMUBYBXBYCYAUGWAAURUIUTBUSVDXKUKXF
    XGUMUNUOVAVBVCWOQWFVQWBHZWLWHWFYDWKWLWFWKXJEDYDWFWJXJEXBXCWJXJUGVNVSXKXFXGU
    MUNVPWAMVEWKWIVFVGWOQVHWDVIVJVKVLAVIBVIVM $.
    $( [2-Aug-2006] $) $( [9-May-2004] $)

  $( Second Peano postulate generalized to integers. $)
  peano2z $p |- ( N e. ZZ -> ( N + 1 ) e. ZZ ) $=
    ( cz wcel c1 caddc co 1z zaddclt mpan2 ) ABCDBCADEFBCGADHI $.
    $( [14-Feb-2005] $) $( [13-Feb-2005] $)

  ${
    peano2zd.1 $e |- ( ph -> N e. ZZ ) $.
    $( Deduction from second Peano postulate generalized to integers. $)
    peano2zd $p |- ( ph -> ( N + 1 ) e. ZZ ) $=
      ( cz wcel c1 caddc co peano2z syl ) ABDEBFGHDECBIJ $.
      $( [26-Nov-2005] $) $( [26-Nov-2005] $)
  $}

  $( Closure of subtraction of integers. $)
  zsubclt $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M - N ) e. ZZ ) $=
    ( cz wcel wa cneg caddc co cmin cc wceq negsubt zcnt syl2an zaddclt
    znegclt sylan2 eqeltrrd ) ACDZBCDZEABFZGHZABIHZCAJDBJDUBUCKSTABLAMBMNSUACDU
    BCDTAUAOBPQR $.
    $( [2-Aug-2006] $) $( [11-May-2004] $)

  $( "Reverse" second Peano postulate for integers. $)
  peano2zm $p |- ( N e. ZZ -> ( N - 1 ) e. ZZ ) $=
    ( cz wcel c1 cmin co 1z zsubclt mpan2 ) ABCDBCADEFBCGADHI $.
    $( [13-Sep-2005] $) $( [12-Sep-2005] $)

  $( Reverse closure law for addition of integers. $)
  zrevaddclt $p |- ( N e. ZZ ->
                   ( ( M e. CC /\ ( M + N ) e. ZZ ) <-> M e. ZZ ) ) $=
    ( cz wcel cc caddc co wa cmin wceq pncant zcnt sylan2 ancoms adantr
    zsubclt adantlr eqeltrrd ex wi zaddclt expcom impbid pm5.32da pm4.71ri
    syl6bbr ) BCDZAEDZABFGZCDZHUHACDZHUKUGUHUJUKUGUHHZUJUKULUJUKULUJHUIBIGZACUL
    UMAJZUJUHUGUNUHBEDUNUGABKBLMNOUGUJUMCDZUHUJUGUOUIBPNQRSUGUKUJTUHUKUGUJABUAU
    BOUCUDUKUHALUEUF $.
    $( [14-Jun-2004] $) $( [11-May-2004] $)

  $( The nonnegative integer property expressed in terms of natural numbers. $)
  elnn0nn $p |- ( N e. NN0 <-> ( N e. CC /\ ( N + 1 ) e. NN ) ) $=
    ( cr wcel cn0 wa c1 caddc co cn cc cc0 wceq wo peano2nn opreq1 ax1cn
    addid2 syl6eq 1nn syl6eqel jaoi cz cle wbr clt wi recnt wb 1z zrevaddclt
    ax-mp biimp ex syl 0re 1re leadd1t mp3an13 breq1i syl6bb leloet mpan
    bitr3d biimpd anim12d andi elnnz eqcom 0z eleq1 mpbii pm4.71ri bitr
    orbi12i bitr4 syl6ib elnnz1 syl5ib impbid2 elnn0 syl5bb pm5.32i nn0ret
    zret sylbi nnzt sylan2 pm3.27 jca anim1i impbi 3bitr4 ) ABCZADCZEWMAFGHZICZ
    EZWNAJCZWPEZWMWNWPWMAICZAKLZMZWPWNWMXBWPWTWPXAANXAWOFIXAWOKFGHZFAKFGOFPQZRS
    TUAWMWOUBCZFWOUCUDZEZXBWPWMXGAUBCZKAUEUDZKALZMZEZXBWMXEXHXFXKWMWRXEXHUFAUGZ
    WRXEXHWRXEEZXHFUBCXNXHUHUIAFUJUKZULUMUNWMXFXKWMKAUCUDZXFXKWMXPXCWOUCUDZXFKB
    CZWMFBCXPXQUHUOUPKAFUQURXCFWOUCXDUSUTXRWMXPXKUHUOKAVAVBVCVDVEXLXHXIEZXHXJEZ
    MXBXHXIXJVFWTXSXAXTAVGXAXJXTAKVHXJXHXJKUBCXHVIKAUBVJVKVLVMVNVOVPWOVQVRVSAVT
    WAWBWNWMAWCVLWSWQWSWMWPWRXEWMWPXNXHWMXOAWDWEWOWFWGWRWPWHWIWMWRWPXMWJWKWL $.
    $( [10-Sep-2004] $) $( [10-May-2004] $)

  $( The natural number property expressed in terms of nonnegative integers. $)
  elnnnn0 $p |- ( N e. NN <-> ( N e. CC /\ ( N - 1 ) e. NN0 ) ) $=
    ( cn wcel cc wa c1 cmin co cn0 nncnt pm4.71ri caddc wceq ax1cn npcant
    mpan2 eleq1d subclt biantrurd bitr3d elnn0nn syl6bbr pm5.32i bitr ) ABCZADC
    ZUEEUFAFGHZICZEUEUFAJKUFUEUHUFUEUGDCZUGFLHZBCZEZUHUFUKUEULUFUJABUFFDCZUJAMN
    AFOPQUFUIUKUFUMUINAFRPSTUGUAUBUCUD $.
    $( [11-Sep-2004] $) $( [10-May-2004] $)

  $( The natural number property expressed in terms of nonnegative integers. $)
  elnnnn0b $p |- ( N e. NN <-> ( N e. NN0 /\ 0 < N ) ) $=
    ( cn wcel cn0 cc0 clt wbr wa nnnn0t nngt0t jca cz elnnz biimpr nn0zt sylan
    impbi ) ABCZADCZEAFGZHRSTAIAJKALCZTRSRUATHAMNAOPQ $.
    $( [28-Sep-2005] $) $( [1-Sep-2005] $)

  $( The natural number property expressed in terms of nonnegative integers. $)
  elnnnn0c $p |- ( N e. NN <-> ( N e. NN0 /\ 1 <_ N ) ) $=
    ( cn wcel cn0 c1 cle wbr wa nnnn0t nnge1t jca cz elnnz1 biimpr nn0zt sylan
    impbi ) ABCZADCZEAFGZHRSTAIAJKALCZTRSRUATHAMNAOPQ $.
    $( [21-Feb-2006] $) $( [10-Jan-2006] $)

  $( A nonnegative integer plus 1 is a natural number.  (Contributed by Raph
     Levien, 30-Jun-2006.) $)
  nn0p1nnt $p |- ( N e. NN0 -> ( N + 1 ) e. NN ) $=
    ( cn0 wcel cc c1 caddc co cn elnn0nn pm3.27bi ) ABCADCAEFGHCAIJ $.
    $( [30-Jun-2006] $) $( [30-Jun-2006] $)

  $( A natural number minus 1 is a nonnegative integer.  (Contributed by Jason
     Orendorff, 24-Jan-2007.) $)
  nnm1nn0t $p |- ( N e. NN -> ( N - 1 ) e. NN0 ) $=
    ( cn wcel cc c1 cmin co cn0 elnnnn0 pm3.27bi ) ABCADCAEFGHCAIJ $.
    $( [24-Jan-2007] $) $( [24-Jan-2007] $)

  $( The positive difference of unequal integers is a natural number.
     (Generalization of ~ nnsubt .) $)
  znnsubt $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M < N <-> ( N - M ) e. NN ) ) $=
    ( cz wcel wa clt wbr cmin co cc0 cn cr wb posdift zret syl2an zsubclt
    ancoms biantrurd bitrd elnnz syl6bbr ) ACDZBCDZEZABFGZBAHIZCDZJUGFGZEZUGKDU
    EUFUIUJALDBLDUFUIMUCUDABNAOBOPUEUHUIUDUCUHBAQRSTUGUAUB $.
    $( [11-Sep-2004] $) $( [11-May-2004] $)

  $( The nonnegative difference of integers is a nonnegative integer.
     (Generalization of ~ nn0subt .) $)
  znn0subt $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                ( M <_ N <-> ( N - M ) e. NN0 ) ) $=
    ( cz wcel wa cle wbr cmin co cc0 cn0 wb cr subge0t zret syl2an zsubclt
    biantrurd bitr3d ancoms elnn0z syl6bbr ) ACDZBCDZEABFGZBAHIZCDZJUFFGZEZUFKD
    UDUCUEUILUDUCEZUHUEUIBMDAMDUHUELUDUCBANBOAOPUJUGUHBAQRSTUFUAUB $.
    $( [23-Jul-2005] $) $( [14-Jul-2005] $)

  $( The nonnegative difference of integers is a nonnegative integer. $)
  znn0sub2t $p |- ( ( M e. ZZ /\ N e. ZZ /\ M <_ N ) -> ( N - M ) e. NN0 ) $=
    ( cz wcel cle wbr cmin co cn0 znn0subt biimp3a ) ACDBCDABEFBAGHIDABJK $.
    $( [5-Sep-2005] $) $( [4-Sep-2005] $)

  $( Closure of multiplication of integers. $)
  zmulclt $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M x. N ) e. ZZ ) $=
    ( cr wcel cn0 cneg wo wa cmul co cz wi nn0mulclt orcd a1i axmulrcl jctild
    cc wceq mulneg1t recnt syl2an eleq1d syl5bi olc syl6 mulneg2t mul2negt orc
    ccased elznn0 syl6ibr imp an4s syl2anb ) ACDZAEDZAFZEDZGZHBCDZBEDZBFZEDZGZH
    ABIJZKDZAKDBKDUPVAUTVEVGUPVAHZUTVEHZVGVHVIVFCDZVFEDZVFFZEDZGZHZVGVHUQVBUSVD
    VOVHUQVBHZVNVJVPVNLVHVPVKVMABMNOABPZQVHUSVBHZVNVJVHVRVMVNVHURBIJZEDVMVRVHVS
    VLEARDZBRDZVSVLSUPVAABTAUAZBUAZUBUCURBMUDVMVKUEZUFVQQVHUQVDHZVNVJVHWEVMVNVH
    AVCIJZEDVMWEVHWFVLEVTWAWFVLSUPVAABUGWBWCUBUCAVCMUDWDUFVQQVHUSVDHZVNVJVHWGVK
    VNVHURVCIJZEDVKWGVHWHVFEVTWAWHVFSUPVAABUHWBWCUBUCURVCMUDVKVMUIUFVQQUJVFUKUL
    UMUNAUKBUKUO $.
    $( [8-Sep-2004] $) $( [30-Jul-2004] $)

  $( Integer ordering relation. $)
  zltp1let $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M < N <-> ( M + 1 ) <_ N ) ) $=
    ( cr wcel cn0 cneg wo wa clt wbr c1 caddc co cle wb cz wi nn0ltp1let a1i
    cn cc0 wceq cc recnt 0cn negcon1t mpan2 neg0 eqeq1i eqcom bitr syl6bb syl
    orbi2d elnn0 syl5bb anbi12d adantr lt0neg1t nngt0t syl5bir imp anim12i 0re
    axlttrn mp3an2 nnret sylan2 adantlr mpd peano2re ad2antrr 1re adantl ltlet
    leadd1t mp3an23 mpbid ax1cn addid2 syl6breq nnge1t letrd jca exp31 imp3a
    pm5.1 syl6 breq1 opreq1 syl6eq breq1d bibi12d sylanc breq2 cmin nnnn0t
    0nn0 nn0ltlem1t mpan le0neg1t negdi2t breq2d bitrd 3bitr4d syl5cbir ex
    ltnr wn lt01 ltnle mpbi 2false sylan9bb mpbiri ccased sylbid simplr simpll
    nn0ge0t mpbird ad2ant2l ad2antrl lenltt ancoms ltp1t lelttrt 3expb ancli
    mp2and ltnlet pm5.21 ltnegt lenegt sylan negdit negclt negsubt eqtrd an4s
    elznn0 syl2anb ) ACDZAEDZAFZEDZGZHBCDZBEDZBFZEDZGZHABIJZAKLMZBNJZOZAPDBPDUU
    CUUHUUGUULUUPUUCUUHHZUUGUULHUUPUUQUUDUUIUUFUUKUUPUUDUUIHUUPQUUQABRSUUQUUFUU
    IHZUUETDZAUAUBZGZBTDZBUAUBZGZHZUUPUUCUURUVEOUUHUUCUUFUVAUUIUVDUUCUUSUUEUAUB
    ZGUVAUUFUUCUVFUUTUUSUUCAUCDZUVFUUTOAUDZUVGUVFUAFZAUBZUUTUVGUAUCDUVFUVJOUEAU
    AUFUGUVJUAAUBUUTUVIUAAUHUIUAAUJUKULUMUNUUEUOUPUUIUVDOUUCBUOSUQURUUQUUSUVBUU
    TUVCUUPUUCUUSUVBHZUUPQUUHUUCUVKUUMUUOHZUUPUUCUUSUVBUVLUUCUUSUVBUVLUUCUUSHZU
    VBHZUUMUUOUVNAUAIJZUABIJZHZUUMUVMUVOUVBUVPUUCUUSUVOUUCUVOUAUUEIJZUUSAUSZUUE
    UTVAVBZBUTZVCUUCUVBUVQUUMQZUUSUUCUUHUWBUVBUUCUACDZUUHUWBVDAUABVEVFBVGZVHVIV
    JUVNUUNKBUUCUUNCDZUUSUVBAVKZVLKCDZUVNVMSUVBUUHUVMUWDVNUVMUUNKNJUVBUVMUUNUAK
    LMZKNUVMAUANJZUUNUWHNJZUVMUVOUWIUVTUUCUVOUWIQZUUSUUCUWCUWKVDAUAVOUGURVJUUCU
    WIUWJOZUUSUUCUWCUWGUWLVDVMAUAKVPVQURVRKVSVTZWAURUVBKBNJZUVMBWBZVNWCWDWEWFUU
    MUUOWGWHURUUTUVBHUUPQUUQUUTUVBUUPUUTUUPUVPUWNOZUVBUUTUUMUVPUUOUWNAUABIWIUUT
    UUNKBNUUTUUNUWHKAUAKLWJUWMWKWLWMZUVPUWNUWPUVBUVPUWNWGUWAUWOWNVAVBSUUCUUSUVC
    HUUPQUUHUUCUUSUVCUUPUUCUUSUVCUUPQUVCUUPUVOUUNUANJZOUVMUVCUUMUVOUUOUWRBUAAIW
    OBUAUUNNWOWMUVMUVRUAUUEKWPMZNJZUVOUWRUUSUVRUWTOZUUCUUSUUFUXAUUEWQUAEDUUFUXA
    WRUAUUEWSWTUMVNUUCUVOUVROUUSUVSURUUCUWRUWTOUUSUUCUWRUAUUNFZNJZUWTUUCUWEUWRU
    XCOUWFUUNXAUMUUCUXBUWSUANUUCUVGUXBUWSUBZUVHUVGKUCDZUXDVSAKXBUGUMXCXDURXEXFX
    GWFURUUTUVCHZUUPQUUQUXFUUPUAUAIJZKUANJZOZUXGUXHUAVDXHUAKIJUXHXIXJUAKVDVMXKX
    LXMUUTUUPUWPUVCUXIUWQUVCUVPUXGUWNUXHBUAUAIWOBUAKNWOWMXNXOSXPXQUUQUUDUUKHZUU
    MXIZUUOXIZHZUUPUUQUXJUXMUUQUXJHZUXKUXLUXNBANJZUXKUXNBUAAUUCUUHUXJXRUWCUXNVD
    SUUCUUHUXJXSUUHUUKBUANJZUUCUUDUUHUUKHUXPUAUUJNJZUUKUXQUUHUUJXTVNUUHUXPUXQOU
    UKBXAURYAYBUUDUAANJUUQUUKAXTYCWCZUUQUXOUXKOZUXJUUHUUCUXSBAYDYEURVRUXNBUUNIJ
    ZUXLUXNUXOAUUNIJZUXTUXRUUCUYAUUHUXJAYFVLUUQUXOUYAHUXTQZUXJUUHUUCUYBUUHUUCUW
    EHUYBUUCUUHUUCUWEUYBBAUUNYGYHUUCUWEUWFYIVHYEURYJUUQUXTUXLOZUXJUUHUUCUYCUUHU
    WEUYCUUCBUUNYKUWFVHYEURVRWDXGUUMUUOYLWHUUQUUFUUKHZUUPUUQUYDHUUJUUEIJZUUJUWS
    NJZUUMUUOUYDUYEUYFOZUUQUUKUUFUYGUUJUUEWSYEVNUUQUUMUYEOUYDABYMURUUQUUOUYFOUY
    DUUQUUOUUJUXBNJZUYFUWEUUHUUOUYHOUUCUUNBYNUWFYOUUCUYHUYFOUUHUUCUXBUWSUUJNUUC
    UVGUXDUVHUVGUXBUUEKFLMZUWSUVGUXEUXBUYIUBVSAKYPUGUVGUUEUCDZUYIUWSUBZAYQUYJUX
    EUYKVSUUEKYRUGUMYSUMXCURXDURXEXGXPVBYTAUUABUUAUUB $.
    $( [2-Aug-2006] $) $( [10-May-2004] $)

  $( Integer ordering relation. $)
  zleltp1t $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M <_ N <-> M < ( N + 1 ) ) ) $=
    ( cz wcel wa cle wbr c1 caddc co clt cr wb 1re leadd1t mp3an3 zret syl2an
    zltp1let peano2z sylan2 bitr4d ) ACDZBCDZEABFGZAHIJBHIJZFGZAUFKGZALDZBLDZUE
    UGMZUCUDUIUJHLDUKNABHOPAQBQRUCUFCDUHUGMUDAUFSBTUAUB $.
    $( [13-Sep-2004] $) $( [10-May-2004] $)

  $( Integer ordering relation. $)
  zlem1ltt $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M <_ N <-> ( M - 1 ) < N ) ) $=
    ( cz wcel wa c1 cmin co clt wbr caddc cle wb zltp1let peano2zm sylan wceq
    cc zcnt ax1cn npcant mpan2 syl adantr breq1d bitr2d ) ACDZBCDZEZAFGHZBIJZUJ
    FKHZBLJZABLJUJCDUHUKUMMUGUJBNAOPUIULABLUGULAQZUHUGARDZUNASUOFRDUNTAFUAUBUCU
    DUEUF $.
    $( [2-Dec-2004] $) $( [13-Nov-2004] $)

  $( Integer ordering relation. $)
  zltlem1t $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M < N <-> M <_ ( N - 1 ) ) ) $=
    ( cz wcel wa c1 cmin co cle wbr caddc clt wb zleltp1t peano2zm sylan2 wceq
    cc zcnt ax1cn npcant mpan2 syl adantl breq2d bitr2d ) ACDZBCDZEZABFGHZIJZAU
    JFKHZLJZABLJUGUJCDUKUMMUHAUJNBOPUIULBALUHULBQZUGUHBRDZUNBSUOFRDUNTBFUAUBUCU
    DUEUF $.
    $( [18-Jun-2005] $) $( [13-Nov-2004] $)

  $( Nonnegative integer ordering relation. $)
  nn0lem1ltt $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                   ( M <_ N <-> ( M - 1 ) < N ) ) $=
    ( cz wcel cle wbr c1 cmin co clt wb cn0 zlem1ltt nn0zt syl2an ) ACDBCDABEFA
    GHIBJFKALDBLDABMANBNO $.
    $( [22-Jun-2005] $) $( [21-Jun-2005] $)

  $( Natural number ordering relation. $)
  nnlem1ltt $p |- ( ( M e. NN /\ N e. NN ) -> ( M <_ N <-> ( M - 1 ) < N ) ) $=
    ( cz wcel cle wbr c1 cmin co clt wb cn zlem1ltt nnzt syl2an ) ACDBCDABEFAGH
    IBJFKALDBLDABMANBNO $.
    $( [30-Jun-2005] $) $( [21-Jun-2005] $)

  $( Natural number ordering relation. $)
  nnltlem1t $p |- ( ( M e. NN /\ N e. NN ) -> ( M < N <-> M <_ ( N - 1 ) ) ) $=
    ( cz wcel clt wbr c1 cmin co cle wb cn zltlem1t nnzt syl2an ) ACDBCDABEFABG
    HIJFKALDBLDABMANBNO $.
    $( [1-Aug-2005] $) $( [21-Jun-2005] $)

  ${
    $d k M $.  $d k N $.
    $( There exists an integer greater than or equal to any two others. $)
    z2get $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                E. k e. ZZ ( M <_ k /\ N <_ k ) ) $=
      ( cle wbr cif cz wcel wa cv wrex wceq breq2 anbi12d rcla4ev ifcl ancoms
      cr max1 max2 jca zret syl2an sylanc ) BCDEZCBFZGHZBUFDEZCUFDEZIZBAJZDEZCU
      KDEZIZAGKBGHZCGHZIUNUJAUFGUKUFLULUHUMUIUKUFBDMUKUFCDMNOUPUOUGUECBGPQBRHZC
      RHZUJUOUPUQURIUHUIBCSBCTUABUBCUBUCUD $.
      $( [22-Sep-2005] $) $( [28-Aug-2005] $)

    $( An extensionality-like property for integer ordering. $)
    zextlet $p |- ( ( M e. ZZ /\ N e. ZZ /\ A. k e. ZZ ( k <_ M <-> k <_ N ) )
                  -> M = N ) $=
      ( cz wcel cv cle wbr wb wral wceq wa cr zret leidt syl adantr breq1
      bibi12d rcla4va mpbid adantlr mpbird adantll jca ex letri3t syl2an
      sylibrd 3impia ) BDEZCDEZAFZBGHZUMCGHZIZADJZBCKZUKULLZUQBCGHZCBGHZLZURUSU
      QVBUSUQLUTVAUKUQUTULUKUQLBBGHZUTUKVCUQUKBMEZVCBNZBOPQUPVCUTIABDUMBKUNVCUO
      UTUMBBGRUMBCGRSTUAUBULUQVAUKULUQLVACCGHZULVFUQULCMEZVFCNZCOPQUPVAVFIACDUM
      CKUNVAUOVFUMCBGRUMCCGRSTUCUDUEUFVDVGURVBIUKULBCUGVEVHUHUIUJ $.
      $( [9-Dec-2005] $) $( [29-Oct-2005] $)

    $( An extensionality-like property for integer ordering. $)
    zextltt $p |- ( ( M e. ZZ /\ N e. ZZ /\ A. k e. ZZ ( k < M <-> k < N ) )
                  -> M = N ) $=
      ( cz wcel cv clt wbr wb wral wceq wa c1 cmin co cle zltlem1t adantrr
      adantrl bibi12d ancoms ralbidva wi zextlet 3expia peano2zm syl2an cc
      ax1cn subcan2t mp3an3 zcnt sylibd sylbid 3impia ) BDEZCDEZAFZBGHZURCGHZIZ
      ADJZBCKZUPUQLZVBURBMNOZPHZURCMNOZPHZIZADJZVCVDVAVIADURDEZVDVAVIIVKVDLUSVF
      UTVHVKUPUSVFIUQURBQRVKUQUTVHIUPURCQSTUAUBVDVJVEVGKZVCVEDEZVGDEZVJVLUCUPUQ
      VMVNVJVLAVEVGUDUEBUFCUFUGBUHEZCUHEZVLVCIZUPUQVOVPMUHEVQUIBCMUJUKBULCULUGU
      MUNUO $.
      $( [7-Mar-2006] $) $( [29-Oct-2005] $)
  $}

  $( The reciprocal of a number greater than 1 is not an integer. $)
  recnzt $p |- ( ( A e. RR /\ 1 < A ) -> -. ( 1 / A ) e. ZZ ) $=
    ( cr wcel c1 clt wbr wa cdiv co cz cc0 recgt1it pm3.27d cle wn caddc wb 0z
    zltp1let mpan ax1cn addid2 breq1i syl6bb pm3.26d syl5cbi wne lt01 wi 0re
    1re axlttrn mp3an12 mpani imdistani gt0ne0t syl rerecclt syldan lenltt
    sylibd mt2d ) ABCZDAEFZGZDAHIZJCZVFDEFZVEKVFEFZVHALZMVEVGDVFNFZVHOZVGVIVKVE
    VGVIKDPIZVFNFZVKKJCVGVIVNQRKVFSTVMDVFNDUAUBUCUDVEVIVHVJUEUFVEVFBCZVKVLQZVCV
    DAKUGZVOVEVCKAEFZGVQVCVDVRVCKDEFZVDVRUHKBCDBCZVCVSVDGVRUIUJUKKDAULUMUNUOAUP
    UQAURUSVTVOVPUKDVFUTTUQVAVB $.
    $( [4-May-2005] $) $( [3-May-2005] $)

  $( A number between an integer and its successor is not an integer. $)
  btwnnzt $p |- ( ( A e. ZZ /\ A < B /\ B < ( A + 1 ) ) -> -. B e. ZZ ) $=
    ( cz wcel clt wbr c1 caddc co wn wa wi cle zltp1let cr wb lenltt peano2z
    zret syl syl2an bitrd biimpd ex com23 imp con2d 3impia ) ACDZABEFZBAGHIZEFZ
    BCDZJUIUJKUMULUIUJUMULJZLUIUMUJUNUIUMUJUNLUIUMKZUJUNUOUJUKBMFZUNABNUKODZBOD
    UPUNPUIUMUKBQUIUKCDUQARUKSTBSUAUBUCUDUEUFUGUH $.
    $( [7-May-2005] $) $( [3-May-2005] $)

  $( A larger number does not divide a smaller natural number. $)
  gtndivt $p |- ( ( A e. RR /\ B e. NN /\ B < A ) -> -. ( B / A ) e. ZZ ) $=
    ( cc0 cdiv co clt wbr c1 caddc cz wcel wn cr cn w3a 0z btwnnzt mp3an1
    divgt0t nnret 3ad2ant2 nngt0t 3simp1 wa adantl wi 0re axlttrn sylan ancoms
    mpand 3impia syl2anc 3simp3 cmul wb 1re ltdivmul2tOLD mp3anl3 jca sylanc cc
    wceq recnt mulid2t syl breq2d 3ad2ant1 bitrd mpbird ax1cn addid2 syl6breqr
    ) CBADEZFGZVNCHIEZFGZVNJKLZAMKZBNKZBAFGZOZCJKVOVQVRPCVNQRBMKZCBFGZVSCAFGZVO
    WBBASVTVSWCWABTZUAZVTVSWDWABUBZUAVSVTWAUCZVSVTWAWEVSVTUDWDWAWEVTWDVSWHUEVTV
    SWDWAUDWEUFZWCVSWJVTCMKWCVSWJUGCBAUHRWFUIUJUKULZUMWBVNHVPFWBVNHFGZWAVSVTWAU
    NWBWLBHAUOEZFGZWAWCVSUDWEWLWNUPZWBWCVSHMKWEWOUQBAHURUSWBWCVSWGWIUTWKVAVSVTW
    NWAUPWAVSWMABFVSAVBKWMAVCAVDAVEVFVGVHVIVJHVKVLVMVA $.
    $( [7-May-2005] $) $( [3-May-2005] $)

  $( One-half is not an integer. $)
  halfnz $p |- -. ( 1 / 2 ) e. ZZ $=
    ( c2 cr wcel c1 clt wbr cdiv co cz wn 2re 1lt2 recnzt mp2an ) ABCDAEFDAGHIC
    JKLAMN $.
    $( [1-Aug-2004] $) $( [31-Jul-2004] $)

  ${
    $d x A $.
    $( Two ways to express " ` A ` is a prime number (or 1)." $)
    primet $p |- ( A e. NN -> (
                 A. x e. NN ( ( A / x ) e. NN -> ( x = 1 \/ x = A ) ) <->
          A. x e. NN ( ( 1 < x /\ x <_ A /\ ( A / x ) e. NN ) -> x = A ) ) ) $=
      ( cn wcel cv cdiv co c1 wceq wo wi clt wbr cle w3a wa wne wb nngt1ne1t
      adantl anbi1d cz wn cr gtndivt 3expia nnret sylan con2d lenltt syl2an
      sylibrd ancoms nnzt syl5 pm4.71rd anbi2d 3anass syl6bbr bitr3d imbi1d
      bi2.04 impexp neor imbi2i 3bitr4r syl5bb ralbidva ) BCDZBAEZFGZCDZVJHIVJB
      IZJZKZHVJLMZVJBNMZVLOZVMKZACVIVJCDZPZVJHQZVLPZVMKZVSVOWAWCVRVMWAVPVLPZWCV
      RWAVPWBVLVTVPWBRVIVJSTUAWAWEVPVQVLPZPVRWAVLWFVPWAVLVQWAVKUBDZVQVLVTVIWGVQ
      KVTVIPZWGBVJLMZUCZVQWHWIWGVJUDDZVIWIWGUCZKVTWKVIWIWLVJBUEUFVJUGZUHUIWKBUD
      DVQWJRVTVIVJBUJWMBUGUKULUMVKUNUOUPUQVPVQVLURUSUTVAWBVLVMKKVLWBVMKZKWDVOWB
      VLVMVBWBVLVMVCVNWNVLVMVJHVDVEVFVGVH $.
      $( [7-May-2005] $) $( [4-May-2005] $)
  $}

  $( The square of a non-zero integer is a natural number. $)
  msqznn $p |- ( ( A e. ZZ /\ A =/= 0 ) -> ( A x. A ) e. NN ) $=
    ( cz wcel cc0 wne wa cmul co clt wbr cn zmulclt anidms adantr cr msqgt0t
    zret sylan jca elnnz sylibr ) ABCZADEZFZAAGHZBCZDUEIJZFUEKCUDUFUGUBUFUCUBUF
    AALMNAOCUCUGUBAPAQRSUETUA $.
    $( [13-Sep-2004] $) $( [2-Aug-2004] $)

  ${
    $d j k N $.
    nneo.1 $e |- N e. NN $.
    $( A natural number is even or odd but not both. $)
    nneo $p |- ( ( N / 2 ) e. NN <-> -. ( ( N + 1 ) / 2 ) e. NN ) $=
      ( vj vk c2 cdiv co cn wcel c1 caddc wn wi wa cle wbr clt cmul 1lt2 1re
      2re nnre ltadd2 mpbi 2cn readdcl recn 2ne0 divcan2OLD redivcl ax1cn adddi
      nncn mulid1 opreq12i eqtr 3brtr4 cc0 wb 2pos ltmul2 ax-mp mpbir ltnle
      ltp1 ltdiv1i nnltp1let mpbii mto imnan wo cv wceq opreq1 opreq1d eleq1d
      orbi12d df-2 opreq1i divid eqtr3 1nn eqeltr orci cc nncnt axaddass
      mp3an23 opreq2i syl6eqr w3a wne divdirtOLD mpan2 syl6eq eqtrd syl peano2nn
      syl5bir orim2d orcom syl6ib nnind ori impbi ) AEFGZHIZAJKGZEFGZHIZLZXGXKM
      XGXJNZLXLXFJKGZXIOPZXIXMQPZXNLXOEXIRGZEXMRGZQPZXHAEKGZXPXQQJEQPXHXSQPSJEA
      TUAABUBZUCUDEXHUEXHAJXTTUFZUGUHUIXQEXFRGZEJRGZKGXSEXFJUEXFAEXTUAUHUJZUGUK
      ULYBAYCEKEAUEABUMUHUIEUEUNUOUPUQUREQPXOXRUSUTXIXMEXHEYAUAUHUJZXFJYDTUFZUA
      VAVBVCXIXMYEYFVDUDXLXFXIQPZXNAXHQPYGAXTVEAXHEXTYAUAUTVFUDXFXIVGVHVIXGXJVJ
      VCXJXGAHIXJXGVKZBCVLZJKGZEFGZHIZYIEFGZHIZVKJJKGZEFGZHIZJEFGZHIZVKDVLZJKGZ
      EFGZHIZYTEFGZHIZVKZUUAJKGZEFGZHIZUUCVKZYHCDAYIJVMZYLYQYNYSUUKYKYPHUUKYJYO
      EFYIJJKVNVOVPUUKYMYRHYIJEFVNVPVQYIYTVMZYLUUCYNUUEUULYKUUBHUULYJUUAEFYIYTJ
      KVNVOVPUULYMUUDHYIYTEFVNVPVQYIUUAVMZYLUUIYNUUCUUMYKUUHHUUMYJUUGEFYIUUAJKV
      NVOVPUUMYMUUBHYIUUAEFVNVPVQYIAVMZYLXJYNXGUUNYKXIHUUNYJXHEFYIAJKVNVOVPUUNY
      MXFHYIAEFVNVPVQYQYSYPJHEEFGZYPJEYOEFVRVSEUEUHVTZWAWBWCWDYTHIZUUFUUCUUIVKU
      UJUUQUUEUUIUUCUUQUUIUUDJKGZHIUUEUUQUUHUURHUUQYTWEIZUUHUURVMYTWFUUSUUHYTEK
      GZEFGZUURUUSUUGUUTEFUUSUUGYTYOKGZUUTUUSJWEIZUVCUUGUVBVMUKUKYTJJWGWHEYOYTK
      VRWIWJVOUUSUVAUUDUUOKGZUURUUSEWEIZUVEUVAUVDVMZUEUEUUSUVEUVEWKEURWLUVFUHYT
      EEWMWNWHUUOJUUDKUUPWIWOWPWQVPUUDWRWSWTUUCUUIXAXBXCVBXDXE $.
      $( [20-Aug-2001] $)
  $}

  $( A natural number is even or odd but not both. $)
  nneot $p |- ( N e. NN ->
              ( ( N / 2 ) e. NN <-> -. ( ( N + 1 ) / 2 ) e. NN ) ) $=
    ( cn wcel c2 cdiv co c1 caddc wn wb cif wceq opreq1 eleq1d opreq1d negbid
    bibi12d 1nn elimel nneo dedth ) ABCZADEFZBCZAGHFZDEFZBCZIZJUBAGKZDEFZBCZUIG
    HFZDEFZBCZIZJAGAUILZUDUKUHUOUPUCUJBAUIDEMNUPUGUNUPUFUMBUPUEULDEAUIGHMONPQUI
    AGBRSTUA $.
    $( [2-Jan-2006] $) $( [1-Jan-2006] $)

  $( An integer is even or odd. $)
  zeot $p |- ( N e. ZZ -> ( ( N / 2 ) e. ZZ \/ ( ( N + 1 ) / 2 ) e. ZZ ) ) $=
    ( cz wcel c2 cdiv co c1 caddc cr cc0 wceq cn cneg w3o wa wn wi elz opreq1
    2cn 2ne0 div0 0z eqeltr syl6eqel pm2.24d adantl nneot biimprd con1d nnzt
    con3i syl5 syl6 cc recnt wne divnegt mp3an23 syl eleq1d nnnegz syl6bir
    halfclt negnegt 3syl sylibd adantr con3d cmin ax1cn negsubdi2 df-2 eqcomi
    subaddri eqtr2 subcl negcon2 mpbi opreq2i negclt addsubasst negdit mpan2
    3eqtr4a opreq1d peano2cn w3a divsubdirt divid syl6reqr 3eqtr4d peano2zm
    syl5bi znegclt peano2re recnd sylan9r syld 3jaodan sylbi orrd ) ABCZADEFZBC
    ZAGHFZDEFZBCZXCAICZAJKZALCZAMZLCZNOXEPZXHQZARXIXJXOXKXMXJXOXIXJXEXHXJXDJDEF
    ZBAJDESXPJBDTUAUBUCUDUEUFUGXKXOXIXKXNXGLCZXHXKXDLCZPXQXNXKXQXRXKXRXQPAUHUIU
    JXRXEXDUKULUMXGUKUNUGXIXMOZXNXLDEFZLCZPZXHXSYAXEXIYAXEQXMXIYAXDMZMZBCZXEXIY
    AYCLCYEXIYCXTLXIAUOCZYCXTKZAUPZYFDUOCZDJUQZYGTUAADURUSUTVAYCVBVCXIYDXDBXIYF
    XDUOCYDXDKYHAVDXDVEVFVAVGVHVIXMYBXLGHFZDEFZLCZXIXHXMYMYAXMYAYMPXLUHUIUJXIYL
    BCZXHYMXIYNXGMZMZBCZXHXIYNYOBCZYQXIYLGVJFZBCYRYNXIYSYOBXIYFYSYOKYHYFYKDVJFZ
    DEFZXFMZDEFZYSYOYFYTUUBDEYFXLGDVJFZHFZXLGMZHFZYTUUBUUDUUFXLHGUUDMZKUUDUUFKU
    UHDGVJFGGDVKTVLDGGTVKVKDGGHFVMVNVOVPGUUDVKGDVKTVQVRVSVTYFXLUOCZYTUUEKZAWAZU
    UIGUOCZYIUUJVKTXLGDWBUSUTYFUULUUBUUGKVKAGWCWDWEWFYFUUAYLDDEFZVJFZYSYFUUIYKU
    OCZUUAUUNKZUUKXLWGUUOYIYIUUPTTUUOYIYIWHYJUUPUAYKDDWIWDUSVFGUUMYLVJUUMGDTUAW
    JVNVTWKYFXFUOCZYOUUCKZAWGUUQYIYJUURTUAXFDURUSUTWLUTVAYLWMWNYOWOUNXIYPXGBXIU
    UQXGUOCYPXGKXIXFAWPWQXFVDXGVEVFVAVGYLUKUMWRWSWTXAXB $.
    $( [5-Jan-2006] $) $( [1-Jan-2006] $)

  $( No even integer equals an odd integer (i.e. no integer can be both even
     and odd).  Exercise 10(a) of [Apostol] p. 28. $)
  zneo $p |- ( ( A e. ZZ /\ B e. ZZ ) ->
             ( 2 x. A ) =/= ( ( 2 x. B ) + 1 ) ) $=
    ( cz wcel wa c1 c2 cdiv co caddc wn cmul wne cmin halfnz cc wceq zcnt 2cn
    2ne0 reccl axaddcom mpan2 opreq1d pncant mpan eqtrd syl eleq1d mtbiri
    zsubclt expcom mtod adantl wi wb cc0 divcan3t mp3an13 axmulcl ax1cn w3a
    divdirtOLD mp3an23 eqeqan12d opreq1 syl5bi syl2an imp exp31 com3l ibib
    syl6ibr com3r necon3bd mpd ) ACDZBCDZEZBFGHIZJIZCDZKZGALIZGBLIZFJIZMVRWCVQV
    RWBWABNIZCDZVRWHVTCDOVRWGVTCVRBPDZWGVTQBRZWIWGVTBJIZBNIZVTWIWAWKBNWIVTPDZWA
    WKQGSTUAZBVTUBUCUDWMWIWLVTQWNVTBUEUFUGUHUIUJWBVRWHWABUKULUMUNVSWBWDWFVQVRWD
    WFQZWBUOVRWOVQWBVRWOVQVQWBUPZUOVQWBUOVQVRWOWPVQVRWOWPVSWOEAWACVSWOAWAQZAPDZ
    WIWOWQUOVQVRWRWIEWDGHIZWFGHIZQWQWOWRWIWSAWTWAGPDZWRGUQMZWSAQSTGAURUSWIWTWEG
    HIZVTJIZWAWIWEPDZWTXDQZXAWIXESGBUTUFXEFPDZXAXFVASXEXGXAVBXBXFTWEFGVCUCVDUHW
    IXCBVTJXAWIXBXCBQSTGBURUSUDUGVEWDWFGHVFVGARWJVHVIUIVJVKVQWBVLVMVNVIVOVP $.
    $( [11-Jan-2008] $) $( [31-Jul-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Second Peano postulate for upper integers. $)
    peano2uz2 $p |- ( ( A e. ZZ /\ B e. { x e. ZZ | A <_ x } ) ->
                             ( B + 1 ) e. { x e. ZZ | A <_ x } ) $=
      ( cz wcel cle wbr wa c1 caddc co cv crab peano2z ad2antrl wi cr lep1t
      adantl letrt 3expb peano2re ancli sylan2 mpan2d zret syl2an ex imp32 jca
      breq2 elrab anbi2i 3imtr4 ) BDEZCDEZBCFGZHZHZCIJKZDEZBUTFGZHUOCBALZFGZADM
      ZEZHUTVEEUSVAVBUPVAUOUQCNOUOUPUQVBUOUPUQVBPZBQEZCQEZVGUOUPVHVIHUQCUTFGZVB
      VIVJVHCRSVHVIUTQEZHUQVJHVBPZVIVHVIVKVLBCUTTUAVIVKCUBUCUDUEBUFCUFUGUHUIUJV
      FURUOVDUQACDVCCBFUKULUMVDVBAUTDVCUTBFUKULUN $.
      $( [15-Oct-2004] $) $( [3-Oct-2004] $)
  $}

  ${
    $d x y z w v u m N $.
    dfuz.1 $e |- N e. ZZ $.
    $( An expression for the upper integers that start at ` N ` that is
       analogous to ~ df-n for natural numbers. _Warning:  The HTML proof page
       is 1/2 megabyte in size_. $)
    dfuz $p |- { z e. ZZ | N <_ z } =
               |^| { x | ( N e. x /\ A. y e. x ( y + 1 ) e. x ) } $=
      ( vm vv vu vw cv cle wbr cz crab wcel c1 caddc co wral wa cab cint breq2
      elrab pm3.26bi cvv wss zex wceq eleq2 raleqd anbi12d peano2z rgen pm3.2i
      intmin3 ax-mp sseli cmin ax-17 1z zsubclt mp2an zaddclt mpan2 opreq1
      rabxfr cr wb zret zre 1re resubcl leadd1t mp3an13 syl recn ax1cn pncan3
      breq1i syl6bb rabbii eleq2i syl6bbr wi wal eleq1d rcla4v cc recnt add23t
      mp3an23 biimpd peano2re jctild sylan9r com12 19.21aiv anim2i pm3.27
      imim12i a1i reex rabex syl6eq mpbiran imbi12d albidv df-ral syl5bb cla4v
      syl5 19.21adv addsubt biimprd zcnt pncant adantld imim12d nncant impbid
      visset elintab oprex 3bitr4g cn df-n nnzrab eqtr3 syl6rbb bitr3d
      pm5.21nii eqriv ) FDCJZKLZCMNZDAJZOZBJZPQRZYQOZBYQSZTZAUAUBZFJZYPOZUUEMOZ
      UUEUUDOZUUFUUGDUUEKLZYOUUICUUEMYNUUEDKUCUDUEUUDMUUEMUFOUUDMUGUHUUCDMOZYTM
      OZBMSZTAMUFYQMUIYRUUJUUBUULYQMDUJUUAUUKBYQMYQMYTUJUKULUUJUULEUUKBMYSUMUNU
      OUPUQURUUGUUEPDUSRZQRZPGJZKLZGMNZOZUUFUUHUUGUURUUEPYNUUMQRZKLZCMNZOUUFUUP
      UUTGCHUUSUUEUUNMHJZUUEOCUTUVBUUNOCUTYNMOZUUMMOZUUSMOPMOUUJUVDVAEPDVBVCYNU
      UMVDVEUUOUUSPKUCYNUUEUUMQVFVGYPUVAUUEYOUUTCMUVCYODUUMQRZUUSKLZUUTUVCYNVHO
      ZYOUVFVIZYNVJDVHOZUVGUUMVHOUVHDEVKZPDVLUVJVMZDYNUUMVNVOVPUVEPUUSKDPDUVJVQ
      ZVRVSZVTWAWBWCWDUUGUUHUUNPIJZOZUUOPQRZUVNOZGUVNSZTZIUAUBZOZUURUUGUUCUUEYQ
      OZWEZAWFZUVSUUNUVNOZWEZIWFZUUHUWAUUGUWDUWGUUGUWDUWFIUUGUVOYSVHOZYSUUMQRZU
      VNOZTZYTVHOZYTUUMQRZUVNOZTZWEZBWFZTZUUEVHOZUWETZWEZUWFUWDUXAUWFWEUUGUVSUW
      RUWTUWEUVRUWQUVOUVRUWPBUWKUVRUWOUWJUVRUWIPQRZUVNOZUWHUWOUVQUXCGUWIUVNUUOU
      WIUIUVPUXBUVNUUOUWIPQVFWGWHUWHUXCUWNUWLUWHUXCUWNUWHUXBUWMUVNUWHYSWIOZUXBU
      WMUIZYSWJUXDUUMWIOZPWIOZUXEUUMUVKVQZVRYSUUMPWKWLVPWGWMYSWNWOWPWQWRWSUWSUW
      EWTXAXBUWCUXAAUVBUUMQRZUVNOZHVHNZUXJHVHXCXDYQUXKUIZUUCUWRUWBUWTUXLYRUVOUU
      BUWQUXLYRDUXKOZUVOYQUXKDUJUXMUVIUVOUXJUVOHDVHUVBDUIZUXIPUVNUXNUXIUVEPUVBD
      UUMQVFUVMXEWGUDUVJXFWAUXLYSYQOZUUAWEZBWFUWQUUBUXLUXPUWPBUXLUXOUWKUUAUWOUX
      LUXOYSUXKOUWKYQUXKYSUJUXJUWJHYSVHUVBYSUIUXIUWIUVNUVBYSUUMQVFWGUDWAUXLUUAY
      TUXKOUWOYQUXKYTUJUXJUWNHYTVHUVBYTUIUXIUWMUVNUVBYTUUMQVFWGUDWAXGXHUUABYQXI
      XJULUXLUWBUUEUXKOUWTYQUXKUUEUJUXJUWEHUUEVHUVBUUEUIUXIUUNUVNUVBUUEUUMQVFWG
      UDWAXGXKXLXMUUGUWGUWCAUUGYRUUOVHOZUUOUUMUSRZYQOZTZUVPVHOZUVPUUMUSRZYQOZTZ
      WEZGWFZTZUUNVHOZUUNUUMUSRZYQOZTZWEZUWCUWGUUGUUCUYGUYKUWBUUCUYGWEUUGUUBUYF
      YRUUBUYEGUXTUUBUYDUXSUUBUXRPQRZYQOZUXQUYDUUAUYNBUXRYQYSUXRUIYTUYMYQYSUXRP
      QVFWGWHUXQUYNUYCUYAUXQUYCUYNUXQUYBUYMYQUXQUUOWIOZUYBUYMUIZUUOWJUYOUXGUXFU
      YPVRUXHUUOPUUMXNWLVPWGXOUUOWNWOWPWQWRWSXBUUGUYJUWBUYHUUGUYJUWBUUGUYIUUEYQ
      UUGUUEWIOZUYIUUEUIZUUEXPUYQUXFUYRUXHUUEUUMXQVEVPWGWMXRXSUWFUYLIUVBUUMUSRZ
      YQOZHVHNZUYTHVHXCXDUVNVUAUIZUVSUYGUWEUYKVUBUVOYRUVRUYFVUBUVOPVUAOZYRUVNVU
      APUJVUCPVHOYRUYTYRHPVHUVBPUIZUYSDYQVUDUYSPUUMUSRZDUVBPUUMUSVFUXGDWIOVUEDU
      IVRUVLPDXTVCXEWGUDVLXFWAVUBUUOUVNOZUVQWEZGWFUYFUVRVUBVUGUYEGVUBVUFUXTUVQU
      YDVUBVUFUUOVUAOUXTUVNVUAUUOUJUYTUXSHUUOVHUVBUUOUIUYSUXRYQUVBUUOUUMUSVFWGU
      DWAVUBUVQUVPVUAOUYDUVNVUAUVPUJUYTUYCHUVPVHUVBUVPUIUYSUYBYQUVBUVPUUMUSVFWG
      UDWAXGXHUVQGUVNXIXJULVUBUWEUUNVUAOUYKUVNVUAUUNUJUYTUYJHUUNVHUVBUUNUIUYSUY
      IYQUVBUUNUUMUSVFWGUDWAXGXKXLXMYAUUCAUUEFYBYCUVSIUUNUUEUUMQYDYCYEUVTUUQUUN
      YFUVTUUQIGYGGYHYIWCYJYKYLYM $.
      $( [12-Jul-2005] $) $( [6-Jul-2005] $)
  $}

  ${
    $d x y A $.  $d x y k N $.
    peano5uz.1 $e |- A e. V $.
    ${
      peano5uz.2 $e |- N e. ZZ $.
      $( Peano's inductive postulate for upper integers. $)
      peano5uz $p |- ( ( N e. A /\ A. x e. A ( x + 1 ) e. A ) ->
                    { k e. ZZ | N <_ k } (_ A ) $=
        ( vy wcel cv c1 caddc co wral wa cab cint cle wbr cz crab wss wceq
        eleq2 raleqd anbi12d elab intss1 sylbir dfuz syl5ss ) DBHZAIJKLZBHZABMZ
        NZDGIZHZULUPHZAUPMZNZGOZPZBDCIQRCSTUOBVAHVBBUAUTUOGBEUPBUBUQUKUSUNUPBDU
        CURUMAUPBUPBULUCUDUEUFBVAUGUHGACDFUIUJ $.
        $( [14-Jul-2005] $) $( [6-Jul-2005] $)
    $}

    $( Peano's inductive postulate for upper integers. $)
    peano5uzt $p |- ( N e. ZZ -> ( ( N e. A /\ A. x e. A ( x + 1 ) e. A ) ->
                    { k e. ZZ | N <_ k } (_ A ) ) $=
      ( cz wcel cv c1 caddc co wral wa cle wbr crab wss wi cif wceq eleq1
      anbi1d breq1 rabbisdv sseq1d imbi12d 1z elimel peano5uz dedth ) DFGZDBGZA
      HIJKBGABLZMZDCHZNOZCFPZBQZRUKDISZBGZUMMZUSUONOZCFPZBQZRDIDUSTZUNVAURVDVEU
      LUTUMDUSBUAUBVEUQVCBVEUPVBCFDUSUONUCUDUEUFABCUSEDIFUGUHUIUJ $.
      $( [18-Jul-2005] $) $( [6-Jul-2005] $)
  $}

  ${
    $d j z w N $.  $d j z ps $.  $d j z ch $.  $d j z th $.  $d j z ta $.
    $d k w ph $.  $d j k z w M $.
    $( Substitutions. $)
    uzind.1 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind.2 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind.3 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction hypothesis. $)
    uzind.6 $e |- ( ( M e. ZZ /\ k e. ZZ /\ M <_ k ) -> ( ch -> th ) ) $.
    $( Induction on the upper integers that start at ` M ` .  The first four
       hypotheses give us the substitution instances we need; the last two are
       the basis and the induction hypothesis. $)
    uzind $p |- ( ( M e. ZZ /\ N e. ZZ /\ M <_ N ) -> ta ) $=
      ( vw cz wcel cle wbr w3a wa cv crab c1 caddc co wral wss cr zret leidt
      syl jca ancli wceq breq2 anbi12d elrab sylibr wi peano2z a1i adantrd clt
      ltp1t adantl lelttrt 3expb peano2re sylan2 mpan2d ltlet syld syl2an
      exp4b imp4d 3exp jcad 3imtr4g r19.21aiv zex rabex peano5uzt mp2and sseld
      3imtr3g 3impib pm3.27d ) HQRZIQRZHISTZUAZWLEWMWKWLEUBZWJWKWLWKWNUBZWJIHPU
      CZSTZPQUDZRIHFUCZSTZAUBZFQUDZRWKWLUBWOWJWRXBIWJHXBRZGUCZUEUFUGZXBRZGXBUHW
      RXBUIWJWJHHSTZBUBZUBXCWJXHWJXGBWJHUJRZXGHUKZHULUMNUNUOXAXHFHQWSHUPWTXGABW
      SHHSUQJURUSUTWJXFGXBWJXDQRZHXDSTZCUBZUBZXEQRZHXESTZDUBZUBXDXBRXFWJXNXOXQW
      JXKXOXMXKXOVAWJXDVBVCVDWJXNXPDWJXKXLCXPWJXKXLCXPWJXKUBXLXPCXIXDUJRZXLXPVA
      WJXKXIXRUBZXLHXEVETZXPXSXLXDXEVETZXTXRYAXIXDVFVGXIXRXEUJRZUBXLYAUBXTVAZXR
      XIXRYBYCHXDXEVHVIXRYBXDVJZUOVKVLXIYBXTXPVAXRHXEVMYDVKVNXJXDUKVOVDVPVQWJXK
      XLCDWJXKXLCDVAOVRVQVSVSXAXMFXDQWSXDUPWTXLACWSXDHSUQKURUSXAXQFXEQWSXEUPWTX
      PADWSXEHSUQLURUSVTWAGXBPHXAFQWBWCWDWEWFWQWLPIQWPIHSUQUSXAWNFIQWSIUPWTWLAE
      WSIHSUQMURUSWGWHWIWI $.
      $( [27-Jul-2005] $) $( [5-Jul-2005] $)
  $}

  ${
    $d j z w N $.  $d j z ps $.  $d j z ch $.  $d j z th $.  $d j z ta $.
    $d k w ph $.  $d j k z w M $.
    $( Substitutions. $)
    uzind2.1 $e |- ( j = ( M + 1 ) -> ( ph <-> ps ) ) $.
    uzind2.2 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind2.3 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind2.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind2.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction hypothesis. $)
    uzind2.6 $e |- ( ( M e. ZZ /\ k e. ZZ /\ M < k ) -> ( ch -> th ) ) $.
    $( Induction on the upper integers that start _after_ an integer ` M ` .
       The first four hypotheses give us the substitution instances we need;
       the last two are the basis and the induction hypothesis. $)
    uzind2 $p |- ( ( M e. ZZ /\ N e. ZZ /\ M < N ) -> ta ) $=
      ( cz wcel clt wbr wa c1 caddc co cle zltp1let wi peano2z cv wceq imbi2d
      a1i w3a 3expia sylbird ex com3l imp 3adant1 a2d uzind 3exp syl com34
      pm2.43a sylbid 3impia ) HPQZIPQZHIRSZEVGVHTVIHUAUBUCZIUDSZEHIUEVGVHVKEUFZ
      VHVGVLVGVHVKVGEVGVJPQZVHVKVGEUFZUFUFHUGVMVHVKVNVGAUFVGBUFZVGCUFVGDUFVNFGV
      JIFUHZVJUIABVGJUJVPGUHZUIACVGKUJVPVQUAUBUCUIADVGLUJVPIUIAEVGMUJVOVMNUKVMV
      QPQZVJVQUDSZULVGCDVRVSVGCDUFZUFZVMVRVSWAVGVRVSVTVGVRVSVTUFVGVRTVSHVQRSZVT
      HVQUEVGVRWBVTOUMUNUOUPUQURUSUTVAVBVCVDUQVEVF $.
      $( [28-Jul-2005] $) $( [25-Jul-2005] $)
  $}

  ${
    $d j k N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.
    $d m ph $.  $d j m k M $.
    $( Substitutions. $)
    uzind3.1 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind3.2 $e |- ( j = m -> ( ph <-> ch ) ) $.
    uzind3.3 $e |- ( j = ( m + 1 ) -> ( ph <-> th ) ) $.
    uzind3.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind3.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction hypothesis. $)
    uzind3.6 $e |- ( ( M e. ZZ /\ m e. { k e. ZZ | M <_ k } ) ->
                   ( ch -> th ) ) $.
    $( Induction on the upper integers that start at an integer ` M ` .  The
       first four hypotheses give us the substitution instances we need, and
       the last two are the basis and the induction hypothesis. $)
    uzind3 $p |- ( ( M e. ZZ /\ N e. { k e. ZZ | M <_ k } ) -> ta ) $=
      ( cz wcel cle wbr wa cv crab wi breq2 elrab sylan2br 3impb uzind 3expb
      sylan2b ) IQRZJQRZIJSTZUAEJIGUBZSTZGQUCZRULUMUNEABCDEFHIJKLMNOULHUBZQRZIU
      RSTZCDUDZULURUQRVAUSUTUAPUPUTGURQUOURISUEUFUGUHUIUJUPUNGJQUOJISUEUFUK $.
      $( [4-Aug-2005] $) $( [26-Jul-2005] $)
  $}

  ${
    $d x z w A $.  $d x z ps $.  $d x z ch $.  $d x z th $.  $d x z ta $.
    $d y w ph $.  $d x y z w B $.
    $( Substitutions. $)
    uzindOLD.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    uzindOLD.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    uzindOLD.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    uzindOLD.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzindOLD.5 $e |- ps $.
    $( Induction hypothesis. $)
    uzindOLD.6 $e |- ( ( ( y e. ZZ /\ B e. ZZ ) /\ B <_ y ) ->
                     ( ch -> th ) ) $.
    $( Induction on the upper integers that start at an integer
       ` B ` .  The first four hypotheses give us the substitution instances we
       need; the last two are the basis and the induction hypothesis.

       _Warning:  The HTML proof page is 3/4 megabyte in size.  An attempt
      to shorten it is on my to-do list_. $)
    uzindOLD $p |- ( ( ( A e. ZZ /\ B e. ZZ ) /\ B <_ A ) -> ta ) $=
      ( vz vw cz wcel wa cle wbr c1 cmin co caddc cr wb cc0 subge0t resubclt
      0re 1re leadd1t mp3an13 syl ax1cn addid2 breq1i syl6bb bitr3d zret
      syl2an wi zsubclt peano2zd cn elnnz1 cv wsbc wceq eleq1 wex oprex isseti
      ax-17 hbsbc1v hbbi hbim sbceq1a adantr eqtrt opreq1 opreq1d cc zcnt
      addid2t subid opreq1i syl5eq sylan9eq sylan2 ex 19.23ai ax-mp adantld
      pm5.74d imbi12d eeanv eqeq12 syl5bir syl6 bi2bian9 sylibd sylbir mp2an
      imbi2d axaddcl subclt mpan2 sylan npcant dfsbcq pm5.74i syl5bbr add23t
      a1i pm3.27 syl3anc eqtrd addsubt peano2cn pncant 3eqtr3d anasss pm5.74da
      nnzt a1d anbi1d breq2 anbi12d zaddclt peano2zm jca lesub1t axaddrcl
      peano2rem adantl subsubt mp3an3 anidms subidt syl6eq sylancom 3eqtrd
      breq12d recnt bitrd biimpar an1rs sylanb biimpd imim12d mpi nncnt
      sylibrd a2d nnind pm2.43a com23 mpcom sylbid imp ) HRSZIRSZTZIHUAUBZEUVFU
      VGUCHIUDUEZUCUFUEZUAUBZEHUGSZIUGSZUVGUVJUHUVDUVEUVKUVLTZUIUVHUAUBZUVGUVJH
      IUJUVMUVNUIUCUFUEZUVIUAUBZUVJUVMUVHUGSZUVNUVPUHZHIUKUIUGSUVQUCUGSUVRULUMU
      IUVHUCUNUOUPUVOUCUVIUAUCUQURZUSUTVAHVBIVBZVCUVIRSZUVFUVJEVDUVFUVHHIVEVFUW
      AUVJUVFEUVJUWAUVFEVDZUWAUVJUWAUWBVDZUWAUVJTUVIVGSUWCUVIVHPVIZRSZUVFAFUWDU
      CUDUEZIUFUEZVJZVDZVDZUCRSZUVFBVDZVDQVIZRSZUVFCGUWMUCUDUEZIUFUEZVJZVDZVDUW
      MUCUFUEZRSZUVFDGUWSUCUDUEZIUFUEZUCUDUEZVJZVDZVDZUWCPQUVIUWDUCVKZUWEUWKUWI
      UWLUWDUCRVLUXGUVFUWHBUXGUVEUWHBUHZUVDUXGUVEUXHFVIZUWGVKZFVMZUXGUVETZUXHVD
      ZFUWGUWFIUFVNZVOZUXJUXMFUXLUXHFUXLFVPUWHBFAFUWGUXNVQZBFVPVRVSUXJUXLUXHUXJ
      UXLTZAUWHBUXJAUWHUHZUXLAFUWGVTZWAUXQUXIIVKZABUHUXJUWGIVKUXTUXLUXIUWGIWBUX
      GUVEUWGUCUCUDUEZIUFUEZIUXGUWFUYAIUFUWDUCUCUDWCWDUVEUIIUFUEZIUYBUVEIWESZUY
      CIVKIWFZIWGUPUYAUIIUFUCUQWHWIWJWKWLJUPVAWMWNWOWMWPWQWRUWDUWMVKZUWEUWNUWIU
      WRUWDUWMRVLUYFUWHUWQUVFUXKGVIZUWPVKZGVMZUYFUWHUWQUHZVDZUXOGUWPUWOIUFVNZVO
      ZUXKUYITUXJUYHTZGVMZFVMUYKUXJUYHFGWSUYOUYKFUYFUYJFUYFFVPUWHUWQFUXPUWQFVPV
      RVSUYNUYKGUYFUYJGUYFGVPUWHUWQGUWHGVPCGUWPUYLVQZVRVSUYNUYFACUHZUYJUYNUYFUX
      IUYGVKZUYQUYNUYRUWGUWPVKUYFUXIUWGUYGUWPWTUYFUWFUWOIUFUWDUWMUCUDWCWDXAKXBU
      XJAUWHUYHCUWQUXSCGUWPVTZXCXDWNWNXEXFXGWRUWDUWSVKZUWEUVFAFUWGUCUDUEZUCUFUE
      ZVJZVDZVDUXFUWJUYTUWEUWTVUDUXEUWDUWSRVLUYTVUCUXDUVFUXIVUBVKZFVMZUYGUXCVKZ
      GVMZUYTVUCUXDUHZVDZFVUBVUAUCUFVNZVOGUXCUXBUCUDVNZVOVUFVUHTVUEVUGTZGVMZFVM
      VUJVUEVUGFGWSVUNVUJFUYTVUIFUYTFVPVUCUXDFAFVUBVUKVQUXDFVPVRVSVUMVUJGUYTVUI
      GUYTGVPVUCUXDGVUCGVPDGUXCVULVQVRVSVUMUYTADUHZVUIVUMUYTUXIUYGUCUFUEZVKZVUO
      VUMVUQVUBUXCUCUFUEZVKZUYTVUEVUPVURVKVUQVUSUHVUGUXIVUBVUPVURWTUYGUXCUCUFWC
      WLUYTVUAUXCUCUFUYTUWGUXBUCUDUYTUWFUXAIUFUWDUWSUCUDWCWDWDWDXALXBVUEAVUCVUG
      DUXDAFVUBVTDGUXCVTXCXDWNWNXEXFXGWRUWEVUDUWIUWEUVFVUCUWHUWEUVFVUBUWGVKZVUC
      UWHUHUWEUVEVUTUVDUWEUVEVUTUWDWESZUYDVUTUWEUVEVVAUYDTUWGWESZVUTUWFWESZUYDV
      VBVVAUWFIXHVVAUCWESZVVCUQUWDUCXIXJXKVVBVVDVUTUQUWGUCXLXJUPUWDWFUYEVCWMWPA
      FVUBUWGXMXBWQXNXOUWDUVIVKZUWEUWAUWIUWBUWDUVIRVLVVEUVFUWHEUXKVVEUVFTZUWHEU
      HZVDZUXOUXJVVHFVVFVVGFVVFFVPUWHEFUXPEFVPVRVSUXJVVFVVGUXJVVFTZAUWHEUXJUXRV
      VFUXSWAVVIUXIHVKZAEUHUXJVVEUVFVVJUXJVVETUVFUXIUVIUCUDUEZIUFUEZHUXJUWGVVLV
      KUXIVVLVKVVEUXIUWGVVLWBVVEUWFVVKIUFUWDUVIUCUDWCWDWLHWESZUYDVVLHVKUVDUVEVV
      MUYDTZUVIIUFUEZUCUDUEZHUCUFUEZUCUDUEZVVLHVVNVVOVVQUCUDVVNVVOUVHIUFUEZUCUF
      UEZVVQUVHWESZVVDUYDVVOVVTVKVVNUVHUCIXPHIXIZVVDVVNUQXQZVVMUYDXRZXSVVNVVSHU
      CUFHIXLWDXTWDUVIWESZUYDVVDVVPVVLVKVVNUVIIUCYAVVNVWAVWEVWBUVHYBUPVWDVWCXSV
      VMVVRHVKZUYDVVMVVDVWFUQHUCYCXJWAYDHWFUYEVCWKYEMUPVAWMWNWOYFWRUWLUWKBUVFNX
      QXQUWMVGSZUWTUWNUWRUXEVWGUWNUWTUWMYGZYHVWGUVFUWQUXDVWGUVEUWQUXDVDZUVDVWGU
      VEVWIVWGUVETZUWQDGUWPVJZUXDUYIVWJUWQVWKVDZVDZUYMUYHVWMGVWJVWLGVWJGVPUWQVW
      KGUYPDGUWPUYLVQVSVSUYHUYGRSZUVETZIUYGUAUBZTZCDVDZVDVWMOUYHVWJVWQVWRVWLUYH
      VWQUWPRSZUVETZIUWPUAUBZTVWJUYHVWOVWTVWPVXAUYHVWNVWSUVEUYGUWPRVLYIUYGUWPIU
      AYJYKVWJVWTVXAVWJVWSUVEUWNUVEVWSVWGUWORSUVEVWSUWNUWOIYLUWMYMXKVWHXKVWGUVE
      XRYNUWNUCUWMUAUBZTUVEVXAVWGUWNUVEVXBVXAUWNUVETVXAVXBUWMUGSZUVLVXAVXBUHUWN
      UVEVXCUVLTZVXAIIUCUDUEZUDUEZUWPVXEUDUEZUAUBZVXBUVLUWPUGSZVXEUGSZVXAVXHUHV
      XDIUWPVXEYOVXCUVLXRUWOUGSUVLVXIVXCUWOIYPUWMYQXKUVLVXJVXCIYQYRXSUWMWESZUYD
      VXHVXBUHVXCUVLVXKUYDTZVXFUCVXGUWMUAUYDVXFUCVKVXKUYDVXFIIUDUEZUCUFUEZUCUYD
      VXFVXNVKZUYDUYDVVDVXOUQIIUCYSYTUUAUYDVXNUVOUCUYDVXMUIUCUFIUUBWDUVSUUCXTYR
      VXLVXGUWPIUDUEZUCUFUEZUWOUCUFUEZUWMVXKUYDUWPWESZVXGVXQVKZUWOWESZUYDVXSVXK
      UWOIXHVXKVVDVYAUQUWMUCXIXJZXKVXSUYDVVDVXTUQUWPIUCYSYTUUDVXLVXPUWOUCUFVYAU
      YDVXPUWOVKVXKUWOIYCVYBXKWDVXKVXRUWMVKZUYDVXKVVDVYCUQUWMUCXLXJWAUUEUUFUWMU
      UGIUUGVCUUHUWMVBUVTVCUUIUUJUWMVHUUKYNXAUYHVWRVWLUYHCUWQDVWKUYSDGUWPVTWRUU
      LUUMUUNWNWOVWJUXCUWPVKZUXDVWKUHVXKUYDVYDVWGUVEVXLUXCUXAUCUDUEZIUFUEZUWPUX
      AWESZUYDUXCVYFVKZVXKVYGUYDVVDVYHUQUXAIUCYAYTVXKUWSWESZVYGUWMYBVYIVVDVYGUQ
      UWSUCXIXJUPXKVXKVYFUWPVKUYDVXKVYEUWOIUFVXKUXAUWMUCUDVXKVVDUXAUWMVKUQUWMUC
      YCXJWDWDWAXTUWMUUOUYEVCDGUXCUWPXMUPUUPWMWPUUQUUMUURXEWMUUSUUTUVAUVBUVC $.
      $( [18-Jun-2004] $) $( [11-May-2004] $)
  $}

  ${
    $d x z A $.  $d x ps $.  $d x ch $.  $d x th $.  $d x ta $.
    $d y ph $.  $d x y z B $.
    $( Substitutions. $)
    uzind3OLD.1 $e |- ( x = B -> ( ph <-> ps ) ) $.
    uzind3OLD.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    uzind3OLD.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    uzind3OLD.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind3OLD.5 $e |- ps $.
    $( Induction hypothesis. $)
    uzind3OLD.6 $e |- ( ( B e. ZZ /\ y e. { z e. ZZ | B <_ z } ) ->
                   ( ch -> th ) ) $.
    $( Induction on the set of upper integers that starts at ` B ` .  The first
       four hypotheses give us the substitution instances we need, and the last
       two are the basis and the induction hypothesis. $)
    uzind3OLD $p |- ( ( B e. ZZ /\ A e. { z e. ZZ | B <_ z } ) -> ta ) $=
      ( cz wcel cle wbr wa cv crab wi breq2 elrab sylan2br an1s anassrs
      uzindOLD anasss sylan2b ) JQRZIQRZJISTZUAEIJHUBZSTZHQUCZRUNUMUOEUNUMUOEAB
      CDEFGIJKLMNOGUBZQRZUMJUSSTZCDUDZUMUTVAVBUMUSURRVBUTVAUAPUQVAHUSQUPUSJSUEU
      FUGUHUIUJUKUHUQUOHIQUPIJSUEUFUL $.
      $( [11-Nov-2004] $) $( [9-Nov-2004] $)
  $}

  ${
    $d x y w v u A $.  $d y z w v u B $.
    $( Well-ordering principle:  any non-empty subset of the upper integers
       has a least element. $)
    uzwo4OLD $p |- ( ( B e. ZZ /\ ( A (_ { z e. ZZ | B <_ z } /\ A =/= (/) ) )
            -> E. x e. A A. y e. A x <_ y ) $=
      ( vw vv vu cz wcel cv cle wbr crab wss c0 wne wral wrex wa wn wal wceq
      wi c1 caddc co breq1 ralbidv imbi2d ssel breq2 elrab pm3.27bi syl6
      r19.21aiv adantr ssrab2 sseli rcla4ev expcom con3d com12 wb cr letri3t
      zret syl2an clt zleltp1t ltnlet peano2re syl bitrd ancoms anbi2d ssel2
      sylan2 eleq1a ad2antll sylbird exp3a con1 com23 exp32 com34 imp41
      r19.20dva ex sylan9r pm2.43d exp31 imp3a sstr mpan2 sylani a2d adantl
      uzind3OLD sylcom adantrd pm2.61d1 imp 19.21adv eq0 syl6ibr necon1ad
      anasss ) EIJZDECKZLMZCINZOZDPQZAKZBKZLMZBDRZADSZXIXMTZXNXSXTXSDPXTXSUAZFK
      ZDJZUAZFUBDPUCXTYAYDFXIXMYAYDUDXIXMYAYDXIYBXLJZXMYATZYDUDZXIYEYGXIYETYFYB
      XPLMZBDRZYDYFGKZXPLMZBDRZUDYFEXPLMZBDRZUDYFHKZXPLMZBDRZUDZYFYOUEUFUGZXPLM
      ZBDRZUDZYFYIUDGHCYBEYJEUCZYLYNYFUUCYKYMBDYJEXPLUHUIUJYJYOUCZYLYQYFUUDYKYP
      BDYJYOXPLUHUIUJYJYSUCZYLUUAYFUUEYKYTBDYJYSXPLUHUIUJYJYBUCZYLYIYFUUFYKYHBD
      YJYBXPLUHUIUJXMYNYAXMYMBDXMXPDJZXPXLJZYMDXLXPUKUUHXPIJZYMXKYMCXPIXJXPELUL
      UMUNUOUPUQYOXLJZYRUUBUDXIUUJYFYQUUAUUJDIOZYAYQUUAUDZXMUUJYOIJZUUKYATUULUD
      XLIYOXKCIURZUSUUMUUKYAUULUUMUUKYAUULUUMUUKTZYATYQUUAYAYQYODJZUAZUUOUULYQY
      AUUQYQUUPXSUUPYQXSXRYQAYODXOYOUCXQYPBDXOYOXPLUHUIUTVAVBVCUUOUUQUULUUOUUQT
      YPYTBDUUMUUKUUQUUGYPYTUDZUUMUUKUUGUUQUURUUMUUKUUGUUQUURUDUUMUUKUUGTZTZYPU
      UQYTUUTYPYTUAZUUPUDUUQYTUDUUTYPUVAUUPUUTYPUVATZYOXPUCZUUPUUMUUIUVCUVBVDUU
      SUUMUUITZUVCYPXPYOLMZTZUVBYOVEJZXPVEJZUVCUVFVDUUMUUIYOXPVFYOVGZXPVGZVHUVD
      UVEUVAYPUUIUUMUVEUVAVDUUIUUMTUVEXPYSVIMZUVAXPYOVJUVHYSVEJZUVKUVAVDUUIUUMX
      PYSVKUVJUUMUVGUVLUVIYOVLVMVHVNVOVPVNDIXPVQVRUUGUVCUUPUDUUMUUKXPDYOVSVTWAW
      BYTUUPWCUOWDWEWFWGWHWIWJWKWLWMVMXMXLIOUUKUUNDXLIWNWOWPWQWRWSYAYIYDUDXMYIY
      AYDYIYCXSYCYIXSXRYIAYBDXOYBUCXQYHBDXOYBXPLUHUIUTVAVBVCWRWTWIYEUAZXMYDYAXM
      UVMYDXMYCYEDXLYBUKVBVCXAXBWBXCXDFDXEXFXGXCXH $.
      $( [11-Nov-2004] $) $( [9-Nov-2004] $)

    $( Well-ordering principle:  any non-empty subset of upper integers has a
       unique least element. $)
    uzwo5OLD $p |- ( ( B e. ZZ /\ ( A (_ { z e. ZZ | B <_ z } /\ A =/= (/) ) )
                  -> E! x e. A A. y e. A x <_ y ) $=
      ( vw cz wcel cv cle wbr crab wss c0 wne wa wral wrex wceq wi wreu
      uzwo4OLD cr ssrab2 zssre sstri sstr mpan2 breq2 rcla4v im2anan9 ancoms
      wb ssel anim12d impcom letri3t syl biimprd ex com23 syld com3r
      r19.21aivv ad2antrl jca breq1 ralbidv reu4 sylibr ) EGHZDECIJKZCGLZMZDNOZ
      PPZAIZBIZJKZBDQZADRZVTFIZVRJKZBDQZPZVQWBSZTZFDQADQZPVTADUAVPWAWHABCDEUBVN
      WHVKVOVNDUCMZWHVNVMUCMWIVMGUCVLCGUDUEUFDVMUCUGUHWIWGAFDDVQDHZWBDHZPZWEWIW
      FWLWEVQWBJKZWBVQJKZPZWIWFTWKWJWEWOTWKVTWMWJWDWNVSWMBWBDVRWBVQJUIUJWCWNBVQ
      DVRVQWBJUIUJUKULWLWIWOWFWLWIWOWFTWLWIPZWFWOWPVQUCHZWBUCHZPZWFWOUMWIWLWSWI
      WJWQWKWRDUCVQUNDUCWBUNUOUPVQWBUQURUSUTVAVBVCVDURVEVFVTWDAFDWFVSWCBDVQWBVR
      JVGVHVIVJ $.
      $( [28-Nov-2004] $) $( [9-Nov-2004] $)
  $}

  ${
    $d x y $.  $d A x $.  $d ps x $.  $d ch x $.  $d th x $.  $d ta x $.
    $d ph y $.
    nn0ind.1 $e |- ( x = 0 -> ( ph <-> ps ) ) $.
    nn0ind.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nn0ind.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nn0ind.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    nn0ind.5 $e |- ps $.
    nn0ind.6 $e |- ( y e. NN0 -> ( ch -> th ) ) $.
    $( Principle of Mathematical Induction (inference schema) on nonnegative
       integers.  The first four hypotheses give us the substitution instances
       we need; the last two are the basis and the induction hypothesis. $)
    nn0ind $p |- ( A e. NN0 -> ta ) $=
      ( cn0 wcel cz cc0 cle wbr wa elnn0z 0z a1i cv wi sylbir 3adant1 uzind
      mp3an1 sylbi ) HOPHQPZRHSTZUAEHUBRQPZULUMEUCABCDEFGRHIJKLBUNMUDGUEZQPZRUO
      STZCDUFZUNUPUQUAUOOPURUOUBNUGUHUIUJUK $.
      $( [14-Feb-2005] $) $( [13-May-2004] $)
  $}

  ${
    $d x y $.  $d A x $.  $d ps x $.  $d ch x $.  $d th x $.  $d ta x $.
    $d ph y $.
    nn0indALT.6 $e |- ( y e. NN0 -> ( ch -> th ) ) $.
    nn0indALT.5 $e |- ps $.
    nn0indALT.1 $e |- ( x = 0 -> ( ph <-> ps ) ) $.
    nn0indALT.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nn0indALT.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nn0indALT.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    $( Principle of Mathematical Induction (inference schema) on nonnegative
       integers.  The first four hypotheses give us the substitution instances
       we need; the last two are the basis and the induction hypothesis. $)
    nn0indALT $p |- ( A e. NN0 -> ta ) $=
      ( nn0ind ) ABCDEFGHKLMNJIO $.
      $( [14-Feb-2005] $) $( [28-Nov-2005] $)
  $}

  ${
    $d x y z $.  $d A x z $.  $d ps x z $.  $d ch x z $.  $d th x z $.
    $d ta x z $.  $d ph y z $.
    nn0ind-raph.1 $e |- ( x = 0 -> ( ph <-> ps ) ) $.
    nn0ind-raph.2 $e |- ( x = y -> ( ph <-> ch ) ) $.
    nn0ind-raph.3 $e |- ( x = ( y + 1 ) -> ( ph <-> th ) ) $.
    nn0ind-raph.4 $e |- ( x = A -> ( ph <-> ta ) ) $.
    nn0ind-raph.5 $e |- ps $.
    nn0ind-raph.6 $e |- ( y e. NN0 -> ( ch -> th ) ) $.
    $( Principle of Mathematical Induction (inference schema) on nonnegative
       integers.  The first four hypotheses give us the substitution instances
       we need; the last two are the basis and the induction hypothesis.
       (Contributed by Raph Levien, 10-Apr-2004.  Raph says: "This seems a bit
       painful.  I wonder if an explicit substitution version would be
       easier.") $)
    nn0ind-raph $p |- ( A e. NN0 -> ta ) $=
      ( vz cn0 wcel cn cc0 wceq wo elnn0 cv wsbc c1 dfsbcq sbhyp caddc co cr
      1re elisseti hbsbc1v wi 0nn0 wa eleq1a ax-mp mpbiri wb eqeq2 syl6bir
      pm5.74d mpbii com12 vtocle sylc adantr opreq1 ax1cn addid2 syl6eq eqeq2d
      imp mpbird ex sbceq1a mpbid vtoclef nnnn0t syl nnind ax-17 hbim eqeq1
      bicomd sylan9bb sylbird eqcoms jaoi sylbi ) HPQHRQZHSTZUAEHUBWLEWMAFOUCZU
      DAFUEUDZCDEOGHAFWNUEUFACFOGUCZJUGADFOWPUEUHUIZKUGAEFOHLUGWOFUEAFUEUEUJUKU
      LZUMWRFUCZUETZAWOWTAUNGSSPUOULZWPSTZWTAXBWTUPADXBDWTWPPQZCDXBNSPQXBXCUNUO
      SPWPUQURXBCUNFSXAXBWSSTZCXBXDAUNXDCUNXDABMIUSXBXDACXBXDWSWPTACUTWPSWSVAJV
      BVCVDVEVFVGVHXBWTADUTZXBWTWSWQTXEXBWQUEWSXBWQSUEUHUIUEWPSUEUHVIUEVJVKVLVM
      KVBVNVOVPVFAFUEVQVRVSWPRQXCCDUNWPVTNWAWBESHSHTZEUNFSXFEFXFFWCEFWCWDXAXDXF
      WSHTZEWSSHWEXDXGEXDXGUPBEMXDBAXGEXDABIWFLWGVDVPWHVSWIWJWK $.
      $( [25-May-2004] $) $( [10-Apr-2004] $)
  $}

  ${
    $d x z A $.  $d y A $.
    $( Any real number can be sandwiched between two integers.  Exercise 2 of
       [Apostol] p. 28. $)
    btwnz $p |- ( A e. RR -> ( E. x e. ZZ x < A /\ E. y e. ZZ A < y ) ) $=
      ( vz cr wcel cv clt wbr cz wrex cneg cn renegclt arch syl wa wb
      ltnegcon1t ex nnret syl5 pm5.32d breq1 rcla4ev nnnegz sylan syl6bi exp3a
      r19.23adv mpd nnzt anim1i r19.22i2 jca ) CEFZAGZCHIZAJKZCBGZHIZBJKZUPCLZD
      GZHIZDMKZUSUPVCEFVFCNVCDOPUPVEUSDMUPVDMFZVEUSUPVGVEQVGVDLZCHIZQUSUPVGVEVI
      UPVDEFZVEVIRZVGUPVJVKCVDSTVDUAUBUCVHJFVIUSVGURVIAVHJUQVHCHUDUEVDUFUGUHUIU
      JUKUPVABMKVBCBOVAVABMJUTMFUTJFVAUTULUMUNPUO $.
      $( [29-Nov-2004] $) $( [10-Nov-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Well-ordering principle for bounded-below sets of integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d z v B $.  $d x y v R $.  $d y z $.
    uzwo3lem.1 $e |- R = { z e. ZZ | B <_ z } $.
    $( Lemma for ~ uzwo3 and ~ zmin . $)
    uzwo3lem1 $p |- ( B e. RR -> E! x e. R A. y e. R x <_ y ) $=
      ( vv cr wcel cv clt wbr cz wrex cle wral wreu btwnz pm3.26d wi wa crab
      wss c0 wne w3a ltletrt ltlet 3adant2 syld zret syl3an3 syl3an1 exp3a
      3exp com34 imp32 r19.21aiv ss2rab sylibr syl5ss pm3.27d sylan2 r19.22dva
      neeq1i rabn0 bitr2 syl6ib mpd ad2antrl jca ex uzwo5OLD com12 r19.23adv )
      DHIZGJZDKLZGMNZAJBJOLBEPAEQZVPVSDCJZKLZCMNZGCDRZSVPVRVTGMVQMIZVPVRVTTWEVP
      VRVTWEVPVRUAZEVQWAOLZCMUBZUCZEUDUEZUAZVTWEWFWKWEWFUAZWIWJWLDWAOLZCMUBZWHE
      WLWMWGTZCMPWNWHUCWLWOCMWEVPVRWAMIZWOTWEVPWPVRWOWEVPWPVRWOTWEVPWPUFVRWMWGV
      QHIZVPWPVRWMUAZWGTZWEWQVPWAHIZWSWPWQVPWTUFWRVQWAKLZWGVQDWAUGWQWTXAWGTVPVQ
      WAUHUIUJWAUKZULVQUKUMUNUOUPUQURWMWGCMUSUTFVAVPWJWEVRVPWCWJVPVSWCWDVBVPWCW
      MCMNZWJVPWBWMCMVPWTWBWMTWPDWAUHXBVCVDWJWNUDUEXCEWNUDFVEWMCMVFVGVHVIVJVKVL
      WEWKVTABCEVQVMVLUJUNVNVOVI $.
      $( [30-Nov-2004] $) $( [10-Nov-2004] $)

    ${
      $d x y z w v u t $.  $d x y A $.  $d t B $.  $d y t S $.  $d w R $.
      uzwo3lem.2 $e |- S = U. { w e. R | A. v e. R w <_ v } $.
      $( Lemma for ~ uzwo3 . $)
      uzwo3lem2 $p |- ( ( B e. RR /\ ( A (_ R /\ A =/= (/) ) )
                    -> E! x e. A A. y e. A x <_ y ) $=
        ( vt cr wcel wss c0 wne cv cle wbr wral wreu cz crab wi sstr2 wa breq2
        rcla4v uzwo3lem1 cuni wceq breq1 ralbidv cbvralv syl6bb reuuni3 breq1i
        ralbii sylibr syl syl5com elrab2 syl5ibr exp3a r19.21aiv ss2rab
        cbvrabv eqtr syl5ss reucl syl5eqel pm3.26bi uzwo5OLD exp32 3syl syld
        imp32 ) GMNZFHOZFPQZARZBRZSTZBFUAAFUBZVSVTFILRZSTZLUCUDZOZWAWEUEZVTHWHO
        WIVSFHWHUFVSGWFSTZLUCUDZWHHVSWKWGUEZLUCUAWLWHOVSWMLUCVSWFUCNZWKWGVSWFHN
        ZWGWNWKUGWOIWCSTZBHUAZWGVSWPWGBWFHWCWFISUHUIVSWDBHUAZAHUBZWQABCGHJUJWSD
        RZERZSTZEHUAZDHUDUKZWCSTZBHUAZWQWRXCXFADHWBWTULZWRWTWCSTZBHUAXCXGWDXHBH
        WBWTWCSUMUNXHXBBEHWCXAWTSUHUOUPWBXDULWDXEBHWBXDWCSUMUNUQWPXEBHIXDWCSKUR
        USUTVAVBGCRZSTZWKCWFUCHXIWFGSUHZJVCVDVEVFWKWGLUCVGUTHXJCUCUDWLJXJWKCLUC
        XKVHVIZVJVBVSIHNZIUCNZWIWJUEVSXDHIVSXCDHUBXDHNDECGHJUJXCDHVKVAKVLXMXNGI
        STZWKXOLIUCHWFIGSUHXLVCVMXNWIWAWEABLFIVNVOVPVQVR $.
        $( [30-Nov-2004] $) $( [12-Nov-2004] $)
    $}
  $}

  ${
    $d x y u t A $.  $d z w v u t B $.
    $( Well-ordering principle:  any non-empty subset of upper integers has a
       unique least element.  This generalization of ~ uzwo2 allows the
       lower bound ` B ` to be any real number.  See also ~ nnwo and
       ~ nnwos . $)
    uzwo3 $p |- ( ( B e. RR /\ ( A (_ { z e. ZZ | B <_ z } /\ A =/= (/) ) )
                  -> E! x e. A A. y e. A x <_ y ) $=
      ( vu vt vw vv cr wcel cv cle wbr cz crab wss c0 wne wa wral wreu cuni
      eqid uzwo3lem2 breq2 cbvralv reubii wceq breq1 ralbidv cbvreuv bitr
      sylib ) EJKDECLMNCOPZQDRSTTFLZGLZMNZGDUAZFDUBZALZBLZMNZBDUAZADUBZFGCHIDEU
      OHLILMNIUOUAHUOPUCZUOUDVFUDUEUTUPVBMNZBDUAZFDUBVEUSVHFDURVGGBDUQVBUPMUFUG
      UHVHVDFADUPVAUIVGVCBDUPVAVBMUJUKULUMUN $.
      $( [30-Nov-2004] $) $( [12-Nov-2004] $)
  $}

  ${
    $d x y z A $.
    $( There is a unique smallest integer greater than or equal to a given real
       number. $)
    zmin $p |- ( A e. RR ->
               E! x e. ZZ ( A <_ x /\ A. y e. ZZ ( A <_ y -> x <_ y ) ) ) $=
      ( vz cr wcel cv cle wbr cz crab wral wreu wi wa eqid uzwo3lem1 weu breq2
      elrab imbi1i impexp bitr ralbii2 anbi12i anass eubii df-reu 3bitr4r
      sylibr ) CEFAGZBGZHIZBCDGZHIZDJKZLZAUPMZCUKHIZCULHIZUMNZBJLZOZAJMZABDCUPU
      PPQUKUPFZUQOZARUKJFZVCOZARURVDVFVHAVFVGUSOZVBOVHVEVIUQVBUOUSDUKJUNUKCHSTU
      MVABUPJULUPFZUMNULJFZUTOZUMNVKVANVJVLUMUOUTDULJUNULCHSTUAVKUTUMUBUCUDUEVG
      USVBUFUCUGUQAUPUHVCAJUHUIUJ $.
      $( [1-Dec-2004] $) $( [12-Nov-2004] $)
  $}

  ${
    $d x y z w A $.
    $( There is a unique largest integer less than or equal to a given real
       number. $)
    zmax $p |- ( A e. RR ->
               E! x e. ZZ ( x <_ A /\ A. y e. ZZ ( y <_ A -> y <_ x ) ) ) $=
      ( vz vw cr wcel cneg cv cle wbr wi cz wral wa wreu renegclt zmin syl wb
      lenegt zret sylan ancoms znegclt wceq breq1 imbi12d rcla4v lenegcon1t
      adantrr sylan2 adantrl biimpd ex com23 syld com13 r19.21adv breq2
      biimprd impbid anbi12d reubidva cc negcon2t zcnt syl2an reuhyp imbi2d
      ralbidv reuxfr syl6rbbr mpbid ) CFGZCHZDIZJKZVPEIZJKZVQVSJKZLZEMNZOZDMPZA
      IZCJKZBIZCJKZWHWFJKZLZBMNZOZAMPZVOVPFGWECQDEVPRSVOWNVPWFHZJKZVTWOVSJKZLZE
      MNZOZAMPWEVOWMWTAMVOWFMGZOZWGWPWLWSXAVOWGWPTZWFFGZVOXCXAWFCUAWFUBZUCUDXBW
      LWSXBWLWREMVSMGZWLXBWRXFWLVSHZCJKZXGWFJKZLZXBWRLXFXGMGWLXJLVSUEWKXJBXGMWH
      XGUFWIXHWJXIWHXGCJUGWHXGWFJUGUHUISXFXBXJWRXFXBXJWRLXFXBOXJWRVSFGZXBXJWRTX
      FXKXBOXHVTXIWQXKVOXHVTTXAVSCUJUKXKXAXIWQTZVOXKXDXLXAVSWFUJXEULUMUHVSUBUCU
      NUOUPUQURUSXBWSWKBMWHMGZWSXBWKXMWSVPWHHZJKZWOXNJKZLZXBWKLXMXNMGWSXQLWHUEW
      RXQEXNMVSXNUFVTXOWQXPVSXNVPJUTVSXNWOJUTUHUISXMXBXQWKXMXBXQWKLXMXBOWKXQWHF
      GZXBWKXQTXMXRXBOWIXOWJXPXRVOWIXOTXAWHCUAUKXRXAWJXPTZVOXRXDXSXAWHWFUAXEULU
      MUHWHUBUCVAUOUPUQURUSVBVCVDWDWTDAWOMWFUEDAWOVQHZMVQUEVQVEGWFVEGVQWOUFZWFX
      TUFTVQMGXAVQWFVFVQVGWFVGVHVIYAVRWPWCWSVQWOVPJUTYAWBWREMYAWAWQVTVQWOVSJUGV
      JVKVCVLVMVN $.
      $( [1-Dec-2004] $) $( [15-Nov-2004] $)
  $}

  ${
    $d x y z A $.
    $( There is a unique integer between a real number and the number plus
       one.  Exercise 5 of [Apostol] p. 28. $)
    zbtwnre $p |- ( A e. RR -> E! x e. ZZ ( A <_ x /\ x < ( A + 1 ) ) ) $=
      ( vy cr wcel cv cle wbr wi cz wral wa wreu c1 caddc co clt zmin wb cmin
      ltletrt zret peano2rem syl syl3an1 3expa sylan2 zlem1ltt adantlr sylibrd
      exp4b com23 r19.21adv wn ltnrt 3syl peano2zm mpdan mtbird ad2antrr
      lenltt ancoms adantr wceq breq2 imbi12d rcla4v imp sylbird mt3d ex
      impbid 1re ltsubaddt mp3an2 sylan bitr3d anbi2d reubidva mpbid ) BDEZBAFZ
      GHZBCFZGHZWBWDGHZIZCJKZLZAJMWCWBBNOPQHZLZAJMACBRWAWIWKAJWAWBJEZLWHWJWCWLW
      AWHWJSWLWALZWBNTPZBQHZWHWJWMWOWHWMWOWGCJWMWDJEZWOWGWMWPWOWEWFWMWPLWOWELZW
      NWDQHZWFWMWDDEZWQWRIZWPWLWAWSWTWNDEZWAWSWTWLWNBWDUAWLWBDEZXAWBUBZWBUCZUDZ
      UEUFWDUBUGWLWPWFWRSWAWBWDUHUIUJUKULUMWMWHWOWMWHLZWOWBWNGHZWLXGUNWAWHWLXGW
      NWNQHZWLXBXAXHUNXCXDWNUOUPWLWNJEZXGXHSWBUQZWBWNUHURUSUTXFWOUNZBWNGHZXGWMX
      LXKSZWHWAWLXMWAXAXMWLBWNVAXEUGVBVCWLWHXLXGIZWAWLWHXNWLXIWHXNIXJWGXNCWNJWD
      WNVDWEXLWFXGWDWNBGVEWDWNWBGVEVFVGUDVHUIVIVJVKVLXBWAWOWJSZWLXBNDEWAXOVMWBN
      BVNVOXCVPVQVBVRVSVT $.
      $( [4-Dec-2004] $) $( [13-Nov-2004] $)
  $}

  ${
    $d x y z A $.
    $( There is a unique greatest integer less than or equal to a real number.
       Exercise 4 of [Apostol] p. 28. $)
    rebtwnz $p |- ( A e. RR -> E! x e. ZZ ( x <_ A /\ A < ( x + 1 ) ) ) $=
      ( vy cr wcel cneg cv cle wbr c1 caddc co clt wa cz wreu renegclt zbtwnre
      syl wb lenegt ancoms cmin ltnegt peano2rem sylan 1re ltsubaddt mp3an2
      wceq cc recnt ax1cn negsubdit mpan2 adantr breq2d 3bitr3d anbi12d zret
      sylan2 bicomd reubidva znegclt negcon2t zcnt syl2an reuhyp breq2 breq1
      reuxfr syl5bb mpbid ) BDEZBFZCGZHIZVPVOJKLZMIZNZCOPZAGZBHIZBWBJKLMIZNZAOP
      ZVNVODEWABQCVORSVNVOWBFZHIZWGVRMIZNZAOPWFWAVNWJWEAOVNWBOEZNWEWJVNWBDEZWEW
      JTWKVNWLNZWCWHWDWIWLVNWCWHTWBBUAUBWMBJUCLZWBMIZWGWNFZMIZWDWIWNDEWLWOWQTVN
      WNWBUDBUEUFVNJDEWLWOWDTUGBJWBUHUIWMWPVRWGMVNWPVRUJZWLVNBUKEZWRBULWSJUKEWR
      UMBJUNUOSUPUQURUSWBUTVAVBVCVTWJCAWGOWBVDCAWGVPFZOVPVDVPUKEWBUKEVPWGUJZWBW
      TUJTVPOEWKVPWBVEVPVFWBVFVGVHXAVQWHVSWIVPWGVOHVIVPWGVRMVJUSVKVLVM $.
      $( [6-Dec-2004] $) $( [15-Nov-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The floor (greatest integer) function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c |_ $.  $( Floor function. $)

  $( Extend class notation with floor (greatest integer) function. $)
  cfl $a class |_ $.

  ${
    $d x y z $.
    $( Define the floor (greatest integer) function.  See ~ flvalt for its
       value, ~ flleltt for its basic property, and ~ flclt for its closure.

       The term "floor" was coined by Ken Iverson.  He also invented a
       mathematical notation for floor, consisting of an L-shaped left bracket
       and its reflection as a right bracket.  In APL, the left-bracket alone
       is used, and we borrow this idea.  (Thanks to Paul Chapman for this
       information.) $)
    df-fl $a |- |_ = { <. x , y >. | ( x e. RR /\
                y = U. { z e. ZZ | ( z <_ x /\ x < ( z + 1 ) ) } ) } $.
  $}

  ${
    $d x y z A $.
    $( Value of the floor (greatest integer) function.  The floor of ` A ` is
       the (unique) integer less than or equal to ` A ` whose successor is
       strictly greater than ` A ` . $)
    flvalt $p |- ( A e. RR ->
              ( |_ ` A ) = U. { x e. ZZ | ( x <_ A /\ A < ( x + 1 ) ) } ) $=
      ( vy vz cv cle wbr c1 caddc co clt wa cz crab cuni cr cfl wceq breq2
      breq1 anbi12d rabbisdv unieqd df-fl zex rabex uniex fvopab4 ) CDBAEZCEZFG
      ZUJUIHIJZKGZLZAMNZOUIBFGZBULKGZLZAMNZOPQUJBRZUOUSUTUNURAMUTUKUPUMUQUJBUIF
      SUJBULKTUAUBUCCDAUDUSURAMUEUFUGUH $.
      $( [28-Sep-2007] $) $( [14-Nov-2004] $)

    $( The floor (greatest integer) function is an integer (closure law). $)
    flclt $p |- ( A e. RR -> ( |_ ` A ) e. ZZ ) $=
      ( vz cr wcel cfl cfv cv cle wbr c1 caddc co clt wa cz crab cuni flvalt
      wreu rebtwnz reucl syl eqeltrd ) ACDZAEFBGZAHIAUEJKLMINZBOPQZOBARUDUFBOSU
      GODBATUFBOUAUBUC $.
      $( [10-Dec-2004] $) $( [15-Nov-2004] $)

    $( The floor (greatest integer) function is real. $)
    flreclt $p |- ( A e. RR -> ( |_ ` A ) e. RR ) $=
      ( cr wcel cfl cfv cz flclt zret syl ) ABCADEZFCJBCAGJHI $.
      $( [15-Jul-2008] $) $( [15-Jul-2008] $)

    $( A basic property of the floor (greatest integer) function. $)
    flleltt $p |- ( A e. RR ->
                  ( ( |_ ` A ) <_ A /\ A < ( ( |_ ` A ) + 1 ) ) ) $=
      ( vy vx cr wcel cfl cfv cle wbr c1 caddc co clt wa cv cz crab cuni wreu
      rebtwnz wceq breq1 opreq1 breq2d anbi12d reuuni3 syl flvalt breq1d
      opreq1d mpbird ) ADEZAFGZAHIZAUMJKLZMIZNBOZAHIZAUQJKLZMIZNZBPQRZAHIZAVBJK
      LZMIZNZULCOZAHIZAVGJKLZMIZNZCPSVFCATVKVAVFCBPVGUQUAZVHURVJUTVGUQAHUBVLVIU
      SAMVGUQJKUCUDUEVGVBUAZVHVCVJVEVGVBAHUBVMVIVDAMVGVBJKUCUDUEUFUGULUNVCUPVEU
      LUMVBAHBAUHZUIULUOVDAMULUMVBJKVNUJUDUEUK $.
      $( [9-Dec-2004] $) $( [15-Nov-2004] $)
  $}

  $( A basic property of the floor (greatest integer) function. $)
  fllet $p |- ( A e. RR -> ( |_ ` A ) <_ A ) $=
    ( cr wcel cfl cfv cle wbr c1 caddc co clt flleltt pm3.26d ) ABCADEZAFGANHIJ
    KGALM $.
    $( [27-Feb-2005] $) $( [24-Feb-2005] $)

  $( A basic property of the floor (greatest integer) function. $)
  flltp1t $p |- ( A e. RR -> A < ( ( |_ ` A ) + 1 ) ) $=
    ( cr wcel cfl cfv cle wbr c1 caddc co clt flleltt pm3.27d ) ABCADEZAFGANHIJ
    KGALM $.
    $( [27-Feb-2005] $) $( [24-Feb-2005] $)

  $( The fractional part of a real number is less than one. $)
  fraclt1t $p |- ( A e. RR -> ( A - ( |_ ` A ) ) < 1 ) $=
    ( cr wcel cfl cfv cmin co c1 clt wbr caddc flltp1t wb flreclt 1re
    ltsubadd2t mp3an3 mpdan mpbird ) ABCZAADEZFGHIJZAUAHKGIJZALTUABCZUBUCMZANTU
    DHBCUEOAUAHPQRS $.
    $( [15-Jul-2008] $) $( [15-Jul-2008] $)

  $( The fractional part of a real number is nonnegative. $)
  fracge0t $p |- ( A e. RR -> 0 <_ ( A - ( |_ ` A ) ) ) $=
    ( cr wcel cc0 cfl cfv cmin co cle wbr fllet wb flreclt subge0t mpdan
    mpbird ) ABCZDAAEFZGHIJZRAIJZAKQRBCSTLAMARNOP $.
    $( [26-Jul-2008] $) $( [17-Jul-2008] $)

  $( The floor function value is the greatest integer less than or equal to
     its argument. $)
  flget $p |- ( ( A e. RR /\ B e. ZZ ) -> ( B <_ A <-> B <_ ( |_ ` A ) ) ) $=
    ( cz wcel cr cle wbr cfl cfv wb wa c1 caddc co clt flltp1t adantl wi
    lelttrt 3expb zret flreclt peano2re syl ancli syl2an mpan2d zleltp1t flclt
    sylan2 sylibrd fllet letrt ancri impbid ancoms ) BCDZAEDZBAFGZBAHIZFGZJUQUR
    KZUSVAVBUSBUTLMNZOGZVAVBUSAVCOGZVDURVEUQAPQBEDZURVCEDZKUSVEKVDRZUQURVFURVGV
    HBAVCSTBUAZURVGURUTEDZVGAUBZUTUCUDUEUFUGUQUTCDVAVDJURBUTUHAUIUJUKVBVAUTAFGZ
    USURVLUQAULQVFVJURKVAVLKUSRZUQURVFVJURVMBUTAUMTVIURVJVKUNUFUGUOUP $.
    $( [27-Dec-2004] $) $( [15-Nov-2004] $)

  $( The floor function value is less than the next integer. $)
  flltt $p |- ( ( A e. RR /\ B e. ZZ ) -> ( A < B <-> ( |_ ` A ) < B ) ) $=
    ( cr wcel cz wa clt wbr cfl cfv cle wn flget wb lenltt zret sylan ancoms
    flreclt syl2an 3bitr3d con4bid ) ACDZBEDZFZABGHZAIJZBGHZUEBAKHZBUGKHZUFLZUH
    LZABMUDUCUIUKNZBCDZUCUMUDBAOBPZQRUDUCUJULNZUNUGCDUPUDUCBUGOUOASTRUAUB $.
    $( [13-Mar-2005] $) $( [24-Feb-2005] $)

  $( An integer is its own floor. $)
  flidt $p |- ( A e. ZZ -> ( |_ ` A ) = A ) $=
    ( cz wcel cfl cfv wceq cle wbr wa cr zret fllet syl leidt wb flget mpancom
    mpbid jca letri3t flreclt sylanc mpbird ) ABCZADEZAFZUEAGHZAUEGHZIZUDUGUHUD
    AJCZUGAKZALMUDAAGHZUHUDUJULUKANMUJUDULUHOUKAAPQRSUEJCZUJUFUIOUDUEATUDUJUMUK
    AUAMUKUBUC $.
    $( [27-Dec-2004] $) $( [15-Nov-2004] $)

  $( Ordering relationship for the greatest integer function. $)
  flwordit $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) ->
                 ( |_ ` A ) <_ ( |_ ` B ) ) $=
    ( cr wcel cle wbr cfl cfv wa fllet adantr wi letrt flreclt pm3.26 pm3.27
    syl3anc mpand wb cz flget flclt sylan2 ancoms sylibd 3impia ) ACDZBCDZABEFZ
    AGHZBGHEFZUGUHIZUIUJBEFZUKULUJAEFZUIUMUGUNUHAJKUJCDZUGUHUNUIIUMLULUJABMUGUO
    UHANKUGUHOUGUHPQRUHUGUMUKSZUHUJTDUPUGBUJUAAUBUCUDUEUF $.
    $( [2-Feb-2006] $) $( [31-Dec-2005] $)

  ${
    $d x y z w A $.  $d x B $.
    $( An alternate way to define the floor (greatest integer) function. $)
    flval2t $p |- ( A e. RR -> ( |_ ` A ) =
            U. { x e. ZZ | ( x <_ A /\ A. y e. ZZ ( y <_ A -> y <_ x ) ) } ) $=
      ( cr wcel cv cle wbr wi cz wral wa crab cuni cfl cfv wceq fllet flget
      biimpd r19.21aiva jca wreu wb breq1 breq2 imbi2d ralbidv anbi12d reuuni2
      flclt zmax sylanc mpbid eqcomd ) CDEZAFZCGHZBFZCGHZUSUQGHZIZBJKZLZAJMNZCO
      PZUPVFCGHZUTUSVFGHZIZBJKZLZVEVFQZUPVGVJCRUPVIBJUPUSJELUTVHCUSSTUAUBVFJEVD
      AJUCVKVLUDUPVDVKAJVFUQVFQZURVGVCVJUQVFCGUEVMVBVIBJVMVAVHUTUQVFUSGUFUGUHUI
      UJCUKABCULUMUNUO $.
      $( [8-Feb-2005] $) $( [16-Nov-2004] $)

    $( An alternate way to define the floor (greatest integer) function, as the
       supremum of all integers less than or equal to its argument. $)
    flval3t $p |- ( A e. RR ->
                  ( |_ ` A ) = sup ( { x e. ZZ | x <_ A } , RR , < ) ) $=
      ( vz vy vw cr wcel cfl cfv cv cle wbr cz crab clt csup wceq wn wa wss c0
      wne wral wrex w3a suprub ssrab2 zssre sstri a1i flclt fllet jca breq1
      elrab sylibr ne0i syl breq2 ralbidv rcla4ev flreclt wi flget biimpd ex
      imp3a syl5ib r19.21aiv sylanc 3jca suprnub wb lenltt zret syl2an ancoms
      bitrd eqleltt suprcl syl3anc mpbird ) BFGZBHIZAJZBKLZAMNZFOPZQZWDWHKLZWDW
      HOLRZSZWCWJWKWGFTZWGUAUBZCJZDJZKLZCWGUCZDFUDZUEZWDWGGZWJWCDCWGWDUFWCWMWNW
      SWMWCWGMFWFAMUGUHUIUJZWCXAWNWCWDMGZWDBKLZSXAWCXCXDBUKBULUMWFXDAWDMWEWDBKU
      NUOUPZWGWDUQURZWDFGZWOWDKLZCWGUCZWSWCWRXIDWDFWPWDQWQXHCWGWPWDWOKUSUTVABVB
      ZWCXHCWGWCWOMGZWOBKLZSXHWOWGGWCXKXLXHWCXKXLXHVCWCXKSXLXHBWOVDVEVFVGWFXLAW
      OMWEWOBKUNUOVHVIVJZVKZXEVJWTXGWDEJZOLRZEWGUCZSWKWCDCEWGWDVLXNWCXGXQXJWCXP
      EWGWCXOMGZXOBKLZSXPXOWGGWCXRXSXPWCXRXSXPVCWCXRSZXSXPXTXSXOWDKLZXPBXOVDXRW
      CYAXPVMZXOFGXGYBXRWCXOWDVNXOVOXJVPVQVRVEVFVGWFXSAXOMWEXOBKUNUOVHVIUMVJUMX
      GWHFGZWIWLVMWCWDWHVSXJWMWNWSYCWCDCWGVTXBXFXMWAVJWB $.
      $( [30-May-2005] $) $( [15-Nov-2004] $)

    $( A condition equivalent to floor. $)
    flbit $p |- ( ( A e. RR /\ B e. ZZ ) ->
                ( ( |_ ` A ) = B <-> ( B <_ A /\ A < ( B + 1 ) ) ) ) $=
      ( vx cr wcel cz wa cfl cfv wceq cv cle wbr c1 caddc co clt crab cuni wb
      flvalt eqeq1d adantr wreu breq1 opreq1 breq2d anbi12d reuuni2 rebtwnz
      sylan2 ancoms bitr4d ) ADEZBFEZGAHIZBJZCKZALMZAURNOPZQMZGZCFRSZBJZBALMZAB
      NOPZQMZGZUNUQVDTUOUNUPVCBCAUAUBUCUOUNVHVDTZUOVBCFUDVIUNVBVHCFBURBJZUSVEVA
      VGURBALUEVJUTVFAQURBNOUFUGUHUICAUJUKULUM $.
      $( [28-Apr-2005] $) $( [11-Mar-2005] $)
  $}

  $( A condition equivalent to floor. $)
  flbi2t $p |- ( ( N e. ZZ /\ F e. RR ) ->
              ( ( |_ ` ( N + F ) ) = N <-> ( 0 <_ F /\ F < 1 ) ) ) $=
    ( cz wcel cr wa caddc co cfl cfv wceq cle wbr c1 clt cc0 wb flbit readdclt
    zret sylan pm3.26 sylanc addge01t 1re ltadd2t mp3an2 ancoms anbi12d bitr4d
    ) BCDZAEDZFZBAGHZIJBKZBUNLMZUNBNGHOMZFZPALMZANOMZFZUNEDZUKUOURQUMUNBRBEDZUL
    VBUKBASBTZUAUKULUBUCVCULVAURQUKVCULFUSUPUTUQBAUDULVCUTUQQZULNEDVCVEUEANBUFU
    GUHUIVDUAUJ $.
    $( [15-Aug-2008] $) $( [15-Aug-2008] $)

  $( The floor of a number greater than or equal to 0 is a nonnegative
     integer. $)
  flge0nn0t $p |- ( ( A e. RR /\ 0 <_ A ) -> ( |_ ` A ) e. NN0 ) $=
    ( cr wcel cc0 cle wbr wa cfl cfv cz cn0 flclt adantr wb 0z flget mpan2
    biimpa jca elnn0z sylibr ) ABCZDAEFZGZAHIZJCZDUEEFZGUEKCUDUFUGUBUFUCALMUBUC
    UGUBDJCUCUGNOADPQRSUETUA $.
    $( [2-May-2005] $) $( [26-Apr-2005] $)

  $( The floor of a number greater than or equal to 1 is a natural number. $)
  flge1nnt $p |- ( ( A e. RR /\ 1 <_ A ) -> ( |_ ` A ) e. NN ) $=
    ( cr wcel c1 cle wbr wa cfl cfv cz cn flclt adantr wb 1z flget mpan2
    biimpa jca elnnz1 sylibr ) ABCZDAEFZGZAHIZJCZDUEEFZGUEKCUDUFUGUBUFUCALMUBUC
    UGUBDJCUCUGNOADPQRSUETUA $.
    $( [24-Jun-2005] $) $( [26-Apr-2005] $)

  $( An integer can be moved in and out of the floor of a sum. $)
  fladdzt $p |- ( ( A e. RR /\ B e. ZZ ) -> ( |_ ` ( A + B ) ) =
                ( ( |_ ` A ) + B ) ) $=
    ( cr wcel cz wa caddc co cfl cfv wceq cle wbr c1 clt fllet adantr wb
    leadd1t 3expa flreclt ancri zret syl2an mpbid flltp1t ltadd1t peano2re syl
    ancli cc ax1cn add23t mp3an2 recnd zcnt breqtrd jca flbit axaddrcl sylan2
    zaddclt flclt sylan sylanc mpbird ) ACDZBEDZFZABGHZIJAIJZBGHZKZVLVJLMZVJVLN
    GHZOMZFZVIVNVPVIVKALMZVNVGVRVHAPQVKCDZVGFBCDZVRVNRZVGVHVSVGVTWAVKABSTVGVSAU
    AZUBBUCZUDUEVIVJVKNGHZBGHZVOOVIAWDOMZVJWEOMZVGWFVHAUFQVGWDCDZFVTWFWGRZVGVHV
    GWHVTWIAWDBUGTVGWHVGVSWHWBVKUHUIUJWCUDUEVKUKDZBUKDZWEVOKZVGVHWJNUKDWKWLULVK
    NBUMUNVGVKWBUOBUPUDUQURVJCDZVLEDZVMVQRVIVJVLUSVGVTWMVHABUTWCVAVKEDVHWNVGVKB
    VBAVCVDVEVF $.
    $( [13-Jun-2005] $) $( [27-Apr-2005] $)

  $( A real bounded between an integer and its successor is nonnegative iff
     the integer is nonnegative.  Second half of Lemma 13-4.1 of [Gleason]
     p. 217.  (For the first half see ~ rebtwnz .) $)
  btwnzge0t $p |- ( ( ( A e. RR /\ B e. ZZ ) /\ ( B <_ A /\ A < ( B + 1 ) ) )
                -> ( 0 <_ A <-> 0 <_ B ) ) $=
    ( cr wcel cz wa cle wbr c1 caddc co clt cc0 cfl cfv wb 0z flget mpan2
    ad2antrr wceq flbit biimpar breq2d bitrd ) ACDZBEDZFZBAGHABIJKLHFZFZMAGHZMA
    NOZGHZMBGHUFUKUMPZUGUIUFMEDUNQAMRSTUJULBMGUHULBUAUIABUBUCUDUE $.
    $( [28-Apr-2005] $) $( [12-Mar-2005] $)

  $( Ordering relation for the floor of half of an integer. $)
  flhalft $p |- ( N e. ZZ -> N <_ ( 2 x. ( |_ ` ( ( N + 1 ) / 2 ) ) ) ) $=
    ( cz wcel c2 cdiv co c1 caddc wo cfl cfv cmul cle wbr zeot wa flidt
    opreq2d cc wceq zcnt cc0 wne 2cn 2ne0 divcan2t mp3an13 syl sylan9eqr cr
    w3a lemul2itOLD zret rehalfclt flreclt peano2re 3syl flclt 2re a1i 3jca
    flwordit lep1t adantr wb clt 2pos lediv1tOLD mpan2 mp3an3 mpbid sylanc
    syl3anc 0re ltlei jctil eqbrtrrd peano2cn breqtrrd jaodan mpdan ) ABCZADEFZ
    BCZAGHFZDEFZBCZIADWFJKZLFZMNZAOWBWDWJWGWBWDPDWCJKZLFZAWIMWDWBWLDWCLFZAWDWKW
    CDLWCQRWBASCZWMATZAUAZDSCZWNDUBUCZWOUDUEDAUFUGUHUIWBWLWIMNZWDWKUJCZWHUJCZDU
    JCZUKUBDMNZWKWHMNZPWSWBWKWHDULWBWTXAXBWBWCUJCZWTWBAUJCZXEAUMZAUNUHZWCUOUHWB
    WFUJCZWHBCXAWBXFWEUJCZXIXGAUPZWEUNUQZWFURWHUMUQXBWBUSUTVAWBXDXCXEXIWCWFMNZX
    DWBWCWFVBXHXLXFXJXMWBXFXJPAWEMNZXMXFXNXJAVCZVDXFXJXBXNXMVEZUSXFXJXBUKUBDVFN
    XPVGAWEDVHVIVJVKXGWBXFXJXGXKUHVLVMUBDVNUSVGVOVPVLVDVQWBWGPAWEWIMWBXNWGWBXFX
    NXGXOUHVDWGWBWIDWFLFZWEWGWHWFDLWFQRWBWNWESCZXQWETZWPAVRWQXRWRXSUDUEDWEUFUGU
    QUIVSVTWA $.
    $( [7-Feb-2006] $) $( [1-Jan-2006] $)

  $( The ceiling function returns an integer (closure law).  (Contributed by
     Jeffrey Hankins, 10-Jun-2007.) $)
  ceiclt $p |- ( A e. RR -> -u ( |_ ` -u A ) e. ZZ ) $=
    ( cr wcel cneg cfl cfv cz renegclt flclt znegclt 3syl ) ABCADZBCLEFZGCMDGCA
    HLIMJK $.
    $( [11-Jun-2007] $) $( [8-Jun-2007] $)

  $( The ceiling of a real number is greater than or equal to that number.
     (Contributed by Jeffrey Hankins, 10-Jun-2007.) $)
  ceiget $p |- ( A e. RR -> A <_ -u ( |_ ` -u A ) ) $=
    ( cr wcel cneg cfl cfv cle wbr renegclt flreclt syl wa fllet adantr
    lenegcon2t mpbird mpdan ) ABCZADZEFZBCZATDGHZRSBCZUAAIZSJKRUALUBTSGHZRUEUAR
    UCUEUDSMKNATOPQ $.
    $( [11-Jun-2007] $) $( [9-Jun-2007] $)

  $( One less than the ceiling of a real number is strictly less than that
     number.  (Contributed by Jeffrey Hankins, 10-Jun-2007.) $)
  ceim1lt $p |- ( A e. RR -> ( -u ( |_ ` -u A ) - 1 ) < A ) $=
    ( cr wcel cneg cfl cfv c1 cmin co caddc clt cc wceq renegclt flreclt syl
    recnd ax1cn negdit mpan2 negclt negsubt 3syl eqtr2d wbr peano2re wa
    flltp1t adantr ltnegcon1t mpbid mpdan eqbrtrd ) ABCZADZEFZDZGHIZUPGJIZDZAKU
    NUTUQGDJIZURUNUPLCZUTVAMZUNUPUNUOBCZUPBCZANZUOOPZQZVBGLCZVCRUPGSTPUNVBUQLCZ
    VAURMZVHUPUAVJVIVKRUQGUBTUCUDUNUSBCZUTAKUEZUNVEVLVGUPUFPUNVLUGUOUSKUEZVMUNV
    NVLUNVDVNVFUOUHPUIAUSUJUKULUM $.
    $( [11-Jun-2007] $) $( [9-Jun-2007] $)

  $( The ceiling of a real number is the smallest integer greater than or equal
     to it.  (Contributed by Jeffrey Hankins, 10-Jun-2007.) $)
  ceilet $p |- ( ( A e. RR /\ B e. ZZ /\ A <_ B ) -> -u ( |_ ` -u A ) <_ B ) $=
    ( cr wcel cz cle wbr cneg cfl cfv wa c1 cmin co clt ceim1lt adantr wi
    ltletrt ceiclt zret peano2rem 3syl pm3.26 adantl syl3anc mpand wb zlem1ltt
    sylan sylibrd 3impia ) ACDZBEDZABFGZAHIJHZBFGZUMUNKZUOUPLMNZBOGZUQURUSAOGZU
    OUTUMVAUNAPQUSCDZUMBCDZVAUOKUTRURUSABSUMVBUNUMUPEDZUPCDVBATZUPUAUPUBUCQUMUN
    UDUNVCUMBUAUEUFUGVDUNUQUTUHUMUPBUIVEUJUKUL $.
    $( [11-Jun-2007] $) $( [10-Jun-2007] $)

  ${
    quorem.1 $e |- Q = ( |_ ` ( A / B ) ) $.
    quorem.2 $e |- R = ( A - ( B x. Q ) ) $.
  $}

  ${
    $d q r A $.  $d q r B $.
    $( MAY BE REVISED - delete this $)
    $( Quotient and remainder after positive integer division. $)
    quorem $p |- ( ( A e. NN /\ B e. NN ) ->
      E. q e. NN0 E. r e. NN0 ( r < B /\ A = ( ( B x. q ) + r ) ) ) $=
      ( cdiv co cfl cfv cn0 wcel cmul cmin clt wbr caddc wceq wa cv wrex cn
      opreq2 opreq1d eqeq2d anbi2d breq1 anbi12d rcla42ev cr cc0 cle flge0nn0t
      wne redivclt nnret adantr adantl nnne0t syl3anc divge0t wi 0re ltlet
      mpan nngt0t sylc jca syl2an sylanc nn0sub2t nn0mulclt nnnn0t cc divcan3t
      nncnt cz flclt syl zcnt fllet eqbrtrd wb lediv1t remulclt flreclt mpbird
      c1 fraclt1t w3a divsubdirt mulclt 3jca opreq2d eqtrd dividt 3brtr4d
      ltdiv1tOLD resubclt pncan3t eqcomd ) ABEFZGHZIJZABXAKFZLFZIJZXDBMNZAXCXDO
      FZPZQZCRZBMNZABDRZKFZXJOFZPZQZCISDISATJZBTJZQZXPXIXKAXCXJOFZPZQDCXAXDIIXL
      XAPZXOYAXKYBXNXTAYBXMXCXJOXLXABKUAUBUCUDXJXDPZXKXFYAXHXJXDBMUEYCXTXGAXJXD
      XCOUAUCUFUGWTUHJZUIWTUJNZXBXSWTUKAUHJZBUHJZBUIULZYDXSABUMXQYFXRAUNZUOZXRY
      GXQBUNZUPZXRYHXQBUQZUPZURZYFUIAUJNZQYGUIBMNZQZYEXQXRABUSXQYFYPYIYFUIAMNZY
      PXQUIUHJYFYSYPUTVAUIAVBVCYIAVDVEVFXRYGYQYKBVDZVFVGVHZXCIJZAIJZXCAUJNZXEXS
      XCAVIBIJZXBUUBXSBXAVJXRUUEXQBVKUPUUAVHXQUUCXRAVKUOXSUUDXCBEFZWTUJNZXSUUFX
      AWTUJBVLJZXAVLJZYHUUFXAPXSBXAVMXRUUHXQBVNZUPZXSXAVOJZUUIXSYDUULYOWTVPVQXA
      VRVQZYNURZXSYDXAWTUJNYOWTVSVQVTXCUHJZYFYRUUDUUGWAXSXCABWBYGXAUHJZUUOXSBXA
      WCYLXSYDUUPYOWTWDVQVHZYJXSYGYQYLXRYQXQYTUPZVFURWEURXSXFXHXSXFXDBEFZBBEFZM
      NZXSWTXALFZWFUUSUUTMXSYDUVBWFMNYOWTWGVQXSUUSWTUUFLFZUVBAVLJZXCVLJZUUHWHYH
      UUSUVCPXSAXCBWIXSUVDUVEUUHXQUVDXRAVNUOZUUHUUIUVEXSBXAWJUUKUUMVHZUUKWKYNVH
      XSUUFXAWTLUUNWLWMXRUUTWFPZXQUUHYHUVHXRBWNUUJYMVHUPWOXDUHJZYGYGWHYQXFUVAWA
      XSXDBBWPXSUVIYGYGYFUUOUVIXSAXCWQYJUUQVHYLYLWKUURVHWEXSXGAUVEUVDXGAPXSXCAW
      RUVGUVFVHWSVFUR $.
      $( [14-Aug-2008] $) $( [13-Aug-2008] $)
  $}

  ${
    intfrac.1 $e |- Z = ( |_ ` A ) $.
    intfrac.2 $e |- F = ( A - Z ) $.

    $( Decompose a real into integer and fractional parts. $)
    intfrac $p |- ( A e. RR ->  ( ( Z e. ZZ /\ 0 <_ F ) /\
        ( F < 1 /\ A = ( Z + F ) ) ) ) $=
      ( cr wcel cz cc0 cle wbr wa c1 clt caddc co wceq cfl cfv flclt syl5eqel
      cmin fracge0t opreq2i eqtr syl6breqr jca fraclt1t syl5eqbr cc pncan3t
      zcnt syl recnt sylanc syl5req ) AFGZCHGZIBJKZLBMNKZACBOPZQZLUQURUSUQARSZH
      CATDUAZUQIAVCUBPZBJAUCBACUBPZVEECVCAUBDUDUEZUFUGUQUTVBUQVEMBNAUHVGUIUQCVF
      OPZAVACUJGZAUJGVHAQUQCAUKUQURVIVDCULUMAUNUOBVFCOEUDUPUGUG $.
      $( [16-Aug-2008] $) $( [16-Aug-2008] $)
  $}

  ${
    intfracq.1 $e |- Z = ( |_ ` ( M / N ) ) $.
    intfracq.2 $e |- F = ( ( M / N ) - Z ) $.
    $( Decompose a rational number, expressed as a ratio, into integer and
       fractional parts.  The fractional part has a tighter bound than that of
       ~ intfrac . $)
    intfracq $p |- ( ( M e. ZZ /\ N e. NN ) -> ( ( Z e. ZZ /\ 0 <_ F ) /\
        ( F <_ ( ( N - 1 ) / N ) /\ ( M / N ) = ( Z + F ) ) ) ) $=
      ( c1 cmin co cdiv cle wbr cz wcel cc0 wa clt caddc wceq cn pm3.26 anim1i
      anasss anim2i an1s cmul cfl cfv cr wne redivclt zret adantr nnret adantl
      nnne0t syl3anc fraclt1t syl opreq2i eqtr a1i cc dividt nncnt sylanc
      3brtr4d wb ltmuldiv2t resubclt flreclt syl5eqel nngt0t jca mpbird
      zltlem1t subdit recnd intfrac pm3.26d zcnt syl5eq zsubclt divcan2t
      eqeltrd zmulclt nnzt mpbid lemuldiv2t peano2rem ) ACGHIZCJIKLZDMNZOAKLZPZ
      AGQLZBCJIZDARISZPZPZWOWLWRPZPZBMNZCTNZPZWOWLWSXBWLWSPXAWOWLWPWRXAWLWPPWLW
      RWLWPUAUBUCUDUEXECAUFIZWKKLZWLXEXFCQLZXGXEXHACCJIZQLZXEWQWQUGUHZHIZGAXIQX
      EWQUINZXLGQLBUINZCUINZCOUJZXMXEBCUKXCXNXDBULUMXDXOXCCUNZUOZXDXPXCCUPZUOZU
      QZWQURUSAXLSXEAWQDHIZXLFDXKWQHEUTVAVBXDXIGSZXCCVCNZXPYCXDCVDCVEZXSVFUOVGA
      UINZXOXOOCQLZPZXHXJVHXEACCVIXEYBUIAXMDUINYBUINXEWQDVJYAXEXKUIDXEXMXKUINYA
      WQVKUSEVLVFFVLZXRXDYHXCXDXOYGXQCVMVNUOZUQVOXFMNCMNZXHXGVHXEXFCVPXEXFCWQUF
      IZCDUFIZHIZMXECYBUFIZYNXFYDWQVCNDVCNZYOYNSXECWQDVQXDYDXCYEUOZXEWQYAVRXEWM
      YPXEXMWMYAXMWMWNXMWOWSWQADEFVSZVTVTUSZDWAUSUQAYBCUFFUTWBYLMNYMMNZYNMNXEYL
      YMWCXEYLBMYDBVCNZXPYLBSXECBWDYQXCUUAXDBWAUMXTUQXCXDUAWEYKWMYTXECDWFXDYKXC
      CWGUOZYSVFVFWEUUBVFWHYFWKUINZYHXGWLVHXEAWKCWIYIXDUUCXCXDXOUUCXQCWJUSUOYJU
      QWHXEXMWTYAYRUSVF $.
      $( [20-Aug-2008] $) $( [15-Aug-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Rational numbers (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d m n x $.
    $( Define the set of rational numbers.  Definition of rationals in
       [Apostol] p. 22. $)
    df-q $a |- QQ = { x | E. m e. ZZ E. n e. NN x = ( m / n ) } $.
  $}

  ${
    $d x y z A $.
    $( Membership in the set of rationals. $)
    elq $p |- ( A e. QQ <-> E. x e. ZZ E. y e. NN A = ( x / y ) ) $=
      ( vz cq wcel cv cdiv co wceq cn wrex cz cab df-q eleq2i cvv wi oprex
      eleq1 mpbiri a1i r19.23aiv eqeq1 2rexbidv elab3 bitr ) CEFCDGZAGZBGZHIZJZ
      BKLAMLZDNZFCUKJZBKLZAMLZEUNCDABOPUMUQDCUPCQFZAMUPURRUIMFUOURBKUOURRUJKFUO
      URUKQFUIUJHSCUKQTUAUBUCUBUCUHCJULUOABMKUHCUKUDUEUFUG $.
      $( [8-Jan-2002] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The ratio of an integer and a natural number is a rational number. $)
    znq $p |- ( ( A e. ZZ /\ B e. NN ) -> ( A / B ) e. QQ ) $=
      ( vx vy cz wcel cn wa cdiv co cv wceq wrex cq eqid rcla4eopr mp3an3 elq
      sylibr ) AEFZBGFZHABIJZCKDKIJLDGMCEMZUBNFTUAUBUBLUCUBOCDEGABUBIPQCDUBRS
      $.
      $( [12-Jan-2002] $)
  $}

  ${
    $d x y A $.
    $( A rational number is a real number. $)
    qret $p |- ( A e. QQ -> A e. RR ) $=
      ( vx vy cq wcel cv cdiv co wceq cn wrex cz cr elq wa eleq1 cc0 wne
      redivclt 3expb zret nnret nnne0t jca syl2an syl5cbir r19.23aivv sylbi )
      ADEABFZCFZGHZIZCJKBLKAMEZBCANULUMBCLJULUMUKMEZUILEZUJJEZOAUKMPUIMEZUJMEZU
      JQRZOUNUOUPUQURUSUNUIUJSTUIUAUPURUSUJUBUJUCUDUEUFUGUH $.
      $( [14-Nov-2002] $)

    $( An integer is a rational number. $)
    zqt $p |- ( A e. ZZ -> A e. QQ ) $=
      ( vx vy cv wceq cz wrex cdiv co cn wcel cq c1 cr cc zret recnt div1t
      3syl eqeq2d eqcom syl6rbbr 1nn opreq2 rcla4ev mpan syl6bi r19.22i risset
      elq 3imtr4 ) BDZAEZBFGAULCDZHIZEZCJGZBFGAFKALKUMUQBFULFKZUMAULMHIZEZUQURU
      TAULEUMURUSULAURULNKULOKUSULEULPULQULRSTULAUAUBMJKUTUQUCUPUTCMJUNMEUOUSAU
      NMULHUDTUEUFUGUHBAFUIBCAUJUK $.
      $( [9-Jan-2002] $)
  $}

  $( The integers are a subset of the rationals. $)
  zssq $p |- ZZ (_ QQ $=
    ( vx cz cq cv zqt ssriv ) ABCADEF $.
    $( [9-Jan-2002] $)

  $( The nonnegative integers are a subset of the rationals. $)
  nn0ssq $p |- NN0 (_ QQ $=
    ( cn0 cz cq nn0ssz zssq sstri ) ABCDEF $.
    $( [15-Sep-2004] $) $( [31-Jul-2004] $)

  $( The natural numbers are a subset of the rationals. $)
  nnssq $p |- NN (_ QQ $=
    ( cn cz cq nnssz zssq sstri ) ABCDEF $.
    $( [21-Sep-2004] $) $( [31-Jul-2004] $)

  $( The rationals are a subset of the reals. $)
  qssre $p |- QQ (_ RR $=
    ( vx cq cr cv qret ssriv ) ABCADEF $.
    $( [9-Jan-2002] $)

  $( The rationals are a subset of the complex numbers. $)
  qsscn $p |- QQ (_ CC $=
    ( cq cr cc qssre axresscn sstri ) ABCDEF $.
    $( [21-Sep-2004] $) $( [2-Aug-2004] $)

  $( A natural number is rational. $)
  nnqt $p |- ( A e. NN -> A e. QQ ) $=
    ( cn cq nnssq sseli ) BCADE $.
    $( [10-Dec-2004] $) $( [17-Nov-2004] $)

  $( A rational number is a complex number. $)
  qcnt $p |- ( A e. QQ -> A e. CC ) $=
    ( cq cc qsscn sseli ) BCADE $.
    $( [25-Sep-2004] $) $( [2-Aug-2004] $)

  $( The set of rational numbers exists. $)
  qex $p |- QQ e. V $=
    ( cq cr reex qssre ssexi ) ABCDE $.
    $( [25-Sep-2004] $) $( [30-Jul-2004] $)

  ${
    $d x y z w v u A $.  $d x y z w v u B $.
    $( Closure of addition of rationals. $)
    qaddclt $p |- ( ( A e. QQ /\ B e. QQ ) -> ( A + B ) e. QQ ) $=
      ( vx vy vz vw vu vv cv cdiv co wceq cn wrex cz caddc cq wcel wa wi cmul
      w3a rcla4eopr elq sylibr zaddclt zmulclt nnzt sylan2 ad2ant2rl sylan
      ad2ant2lr sylanc adantr nnmulclt ad2ant2l opreq12 cc cc0 wne divadddivt
      zcnt nncnt anim12i nnne0t adantl sylan9eqr syl3anc an4s exp43 r19.23aivv
      r19.23advv imp syl2anb ) ACIZDIZJKZLZDMNCONZBEIZFIZJKZLZFMNEONZABPKZQRZAQ
      RBQRVSWDWFVSWCWFEFOMVRVTORZWAMRZSZWCWFTTCDOMVOORZVPMRZSZVRWIWCWFWLWIVRWCW
      FVOWAUAKZVPVTUAKZPKZORZVPWAUAKZMRZWEWOWQJKZLZWFWLWISZVRWCSZSWPWRWTUBWEGIH
      IJKLHMNGONWFGHOMWOWQWEJUCGHWEUDUEXAWPXBWMORZWNORZWPXAWMWNUFWJWHXCWKWGWJWA
      ORXCWHVOWAUGWAUHUIUJWKWGXDWJWHVPORWGXDWKVPVTUGVPUHUKULUMUNXAWRXBWKWHWRWJW
      GVPWAUOUPUNXBXAWEVQWBPKZWSAVQBWBPUQVOURRZVPURRZSZVTURRZWAURRZSZSVPUSUTZWA
      USUTZSXEWSLXAVOVPVTWAVAWLXHWIXKWJXFWKXGVOVBVPVCVDWGXIWHXJVTVBWAVCVDVDWLXL
      WIXMWKXLWJVPVEVFWHXMWGWAVEVFVDUMVGVHVIVJVKVLVMCDAUDEFBUDVN $.
      $( [16-Sep-2004] $) $( [1-Aug-2004] $)

    $( Closure law for the negative of a rational. $)
    qnegclt $p |- ( A e. QQ -> -u A e. QQ ) $=
      ( vx vy vz vw cq wcel cv cdiv co wceq cn wrex cz cneg elq wa cc cc0 wne
      divnegt 3expb zcnt nncnt nnne0t jca syl2an eqeq2d negeq syl5bi znegclt
      anim1i jctild rcla4eopr 3expa sylibr syl6 r19.23aivv sylbi ) AFGABHZCHZIJ
      ZKZCLMBNMAOZFGZBCAPVCVEBCNLUTNGZVALGZQZVCUTOZNGZVGQZVDVIVAIJZKZQZVEVHVCVM
      VKVHVDVBOZKVMVCVHVOVLVDUTRGZVARGZVASTZQVOVLKZVFVGVPVQVRVSUTVAUAUBUTUCVGVQ
      VRVAUDVAUEUFUGUHAVBUIUJVFVJVGUTUKULUMVNVDDHEHIJKELMDNMZVEVJVGVMVTDENLVIVA
      VDIUNUODEVDPUPUQURUS $.
      $( [17-Sep-2004] $) $( [2-Aug-2004] $)

    $( Closure of multiplication of rationals. $)
    qmulclt $p |- ( ( A e. QQ /\ B e. QQ ) -> ( A x. B ) e. QQ ) $=
      ( vx vy vz vw vv vu cv cdiv co wceq cn wrex cz cmul cq wcel wa wi
      rcla4eopr 3expa elq sylibr zmulclt nnmulclt anim12i an4s adantr opreq12
      cc cc0 wne divmuldivt zcnt nncnt nnne0t adantl sylanc sylan9eqr exp43
      r19.23aivv r19.23advv imp syl2anb ) ACIZDIZJKZLZDMNCONZBEIZFIZJKZLZFMNEON
      ZABPKZQRZAQRBQRVJVOVQVJVNVQEFOMVIVKORZVLMRZSZVNVQTTCDOMVFORZVGMRZSZVIVTVN
      VQWCVTVIVNVQVFVKPKZORZVGVLPKZMRZSZVPWDWFJKZLZVQWCVTSZVIVNSZSWHWJSVPGIHIJK
      LHMNGONZVQWEWGWJWMGHOMWDWFVPJUAUBGHVPUCUDWKWHWLWAVRWBVSWHWAVRSWEWBVSSWGVF
      VKUEVGVLUFUGUHUIWLWKVPVHVMPKZWIAVHBVMPUJVFUKRZVGUKRZSZVKUKRZVLUKRZSZSVGUL
      UMZVLULUMZSWNWILWKVFVGVKVLUNWCWQVTWTWAWOWBWPVFUOVGUPUGVRWRVSWSVKUOVLUPUGU
      GWCXAVTXBWBXAWAVGUQURVSXBVRVLUQURUGUSUTUSUHVAVBVCVDCDAUCEFBUCVE $.
      $( [25-Sep-2004] $) $( [1-Aug-2004] $)
  $}

  $( Closure of subtraction of rationals. $)
  qsubclt $p |- ( ( A e. QQ /\ B e. QQ ) -> ( A - B ) e. QQ ) $=
    ( cq wcel wa cneg caddc co cmin cc wceq negsubt qcnt syl2an qaddclt
    qnegclt sylan2 eqeltrrd ) ACDZBCDZEABFZGHZABIHZCAJDBJDUBUCKSTABLAMBMNSUACDU
    BCDTAUAOBPQR $.
    $( [2-Aug-2006] $) $( [2-Aug-2004] $)

  ${
    $d x y z w A $.
    $( Closure of reciprocal of rationals. $)
    qrecclt $p |- ( ( A e. QQ /\ A =/= 0 ) -> ( 1 / A ) e. QQ ) $=
      ( vx vy vz vw cq wcel cc0 wne c1 cdiv co cv wceq cn wrex cz wi elq wa
      cmul neeq1 cc wb divne0bt 3expa zcnt nncnt anim12i sylan bicomd
      sylan9bbr zmulclt nnzt sylan2 adantr msqznn adantlr jca opreq2 dividt
      ad2ant2r opreq1d w3a divdivdivt pm3.26 ancri id 3anidm12 syl2an eqtr3d
      anassrs an1rs sylan9eqr ex sylbid anasss nnne0t ancli rcla4eopr sylibr
      syl8 r19.23aivv sylbi imp ) AFGZAHIZJAKLZFGZWFABMZCMZKLZNZCOPBQPWGWIRZBCA
      SWMWNBCQOWJQGZWKOGZTZWMWGWJWKUALZQGZWJWJUALZOGZTZWHWRWTKLZNZTZWIWOWPWKHIZ
      TWMWGXERZRZWPWOWPXFXHWQXFTZWMXGXIWMTZWGWJHIZXEWMWGWLHIZXIXKAWLHUBXIXKXLWJ
      UCGZWKUCGZTZXFXKXLUDZWQXMXNXFXPWJWKUEUFWOXMWPXNWJUGWKUHUIZUJUKULXJXKXEXJX
      KTXBXDXIXKXBWMWQXKXBXFWQXKTWSXAWQWSXKWOWKQGWSWPWJWKUMWKUNUOUPWOXKXAWPWJUQ
      URUSURURXIXKWMXDWMXIXKTWHJWLKLZXCAWLJKUTWQXKXFXRXCNZWQXKXFXSXOXKXFTZXSWQX
      OXTTZWJWJKLZWLKLZXRXCYAYBJWLKXMXKYBJNXNXFWJVAVBVCXMXMTZXOTXKXKXFVDZYCXCNX
      OXTWJWJWJWKVEXOYDXOXMXMXMXNVFZYFUSVGXKXFYEYEVHVIVJVKXQUJVLVMVNVMUSVOVPVOV
      QWPXFWKVRVSUOXEWHDMEMKLNEOPDQPZWIWSXAXDYGDEQOWRWTWHKVTUFDEWHSWAWBWCWDWE
      $.
      $( [27-Sep-2004] $) $( [3-Aug-2004] $)
  $}

  ${
    $d x y z w A $.
    $( Closure of division of rationals. $)
    qdivclt $p |- ( ( ( A e. QQ /\ B e. QQ ) /\ B =/= 0 ) ->
                  ( A / B ) e. QQ ) $=
      ( cq wcel wa cc0 wne cdiv co c1 cmul cc wceq divrect 3expa qcnt anim12i
      sylan qmulclt qrecclt sylan2 anassrs eqeltrd ) ACDZBCDZEZBFGZEABHIZAJBHIZ
      KIZCALDZBLDZEUGUHUJMZUFUKULUGUMABNOUDUKUEULAPBPQRUDUEUGUJCDZUDUICDUNUEUGE
      AUISBTUAUBUC $.
      $( [27-Sep-2004] $) $( [3-Aug-2004] $)
  $}

  $( Reverse closure law for addition of rationals. $)
  qrevaddclt $p |- ( B e. QQ ->
                   ( ( A e. CC /\ ( A + B ) e. QQ ) <-> A e. QQ ) ) $=
    ( cq wcel cc caddc co wa cmin wceq pncant qcnt sylan2 ancoms adantr
    qsubclt adantlr eqeltrrd ex wi qaddclt expcom impbid pm5.32da pm4.71ri
    syl6bbr ) BCDZAEDZABFGZCDZHUHACDZHUKUGUHUJUKUGUHHZUJUKULUJUKULUJHUIBIGZACUL
    UMAJZUJUHUGUNUHBEDUNUGABKBLMNOUGUJUMCDZUHUJUGUOUIBPNQRSUGUKUJTUHUKUGUJABUAU
    BOUCUDUKUHALUEUF $.
    $( [27-Sep-2004] $) $( [2-Aug-2004] $)

  $( The reciprocal of a natural number is rational. $)
  nnrecqt $p |- ( A e. NN -> ( 1 / A ) e. QQ ) $=
    ( c1 cz wcel cn cdiv co cq 1z znq mpan ) BCDAEDBAFGHDIBAJK $.
    $( [10-Dec-2004] $) $( [17-Nov-2004] $)

  $( The reciprocal of a natural number is real. $)
  nnrecretOLD $p |- ( A e. NN -> ( 1 / A ) e. RR ) $=
    ( cn wcel c1 cdiv co cq cr nnrecqt qret syl ) ABCDAEFZGCLHCAILJK $.
    $( [10-Feb-2008] $) $( [8-Feb-2008] $)

  ${
    $d x y z A $.  $d x y z B $.
    $( The rational numbers are dense in ` RR ` : any two real numbers have a
       rational between them.  Exercise 6 of [Apostol] p. 28. $)
    qbtwnre $p |- ( ( A e. RR /\ B e. RR /\ A < B ) ->
                  E. x e. QQ ( A < x /\ x < B ) ) $=
      ( vy vz cr wcel clt wbr cv wa cq wrex c1 cdiv co cmin cn cc0 posdift wi
      nnreclt resubclt sylan ex ancoms sylbid cmul cle caddc cz wreu axmulrcl
      nnret peano2rem syl adantrl zbtwnre reurex 3syl wb wceq cc subdit nncnt
      recnt syl3an 3com23 3expb breq2d 1re ltdivmultOLD mp3anl1 exp31 com23
      nngt0t sylc syl5 imp ltsub13t mp3an3 syl2an anandis 3bitr4d adantr
      anbi1d ltletrt 3expa adantrr jca ltmuldiv2tOLD 3exp1 com4r mpcom adantrd
      imp31 sylibd axmulcl ax1cn npcant mpan2 w3a 3ad2ant2 syl3anl2 mpdan
      3coml bitr4d biimpd adantlrl anim12d zret sylan2 znq adantlr jctild
      breq2 breq1 anbi12d rcla4ev syl6 anass syl5ibr exp4b com34 r19.23adv mpd
      expcom syld 3impia ) BFGZCFGZBCHIZBAJZHIZYMCHIZKZALMZYJYKKZYLNDJZOPCBQPZH
      IZDRMZYQYRYLSYTHIZUUBBCTYKYJUUCUUBUAYKYJKZUUCUUBYTFGZUUCUUBUUDYTDUBCBUCZU
      DUEUFUGYRUUAYQDRYSRGZYRUUAYQUAZUUGYRKZYSCUHPZNQPZEJZUIIZUULUUKNUJPZHIZKZE
      UKMZUUHUUIUUKFGZUUPEUKULUUQUUGYKUURYJUUGYKKZUUJFGZUURYSFGZYKUUTUUGYSCUMZY
      SUNZUDUUJUOUPUQZEUUKURUUPEUKUSUTUUIUUPUUHEUKUUIUULUKGZUUAUUPYQUUIUVEUUAUU
      PYQUUIUVEKZUUAUUMKZUUOKZYQUUAUUPKUVFUVHUULYSOPZLGZBUVIHIZUVICHIZKZKYQUVFU
      VHUVMUVJUUIUULFGZUVHUVMUAUVEUUIUVNKZUVGUVKUUOUVLUVOUVGYSBUHPZUULHIZUVKUVO
      UVGUVPUUKHIZUUMKZUVQUVOUUAUVRUUMUUIUUAUVRVAUVNUUINYSYTUHPZHIZNUUJUVPQPZHI
      ZUUAUVRUUIUVTUWBNHUUGYJYKUVTUWBVBZUUGYKYJUWDYSVCGZCVCGZBVCGUWDUUGYKYJYSCB
      VDYSVEZCVFZBVFVGVHVIVJUUGYRUUAUWAVAZUUGUUEUWIYRUVASYSHIZUUEUWIUAUUGUVAUUE
      UWJUWIUVAUUEUWJUWINFGZUVAUUEUWJUWIVKNYSYTVLVMVNVOUVCYSVPZVQYKYJUUEUUFUFVR
      VSUVAYRUVRUWCVAZUUGUVAYJYKUWMUVPFGZUUTUWMUVAYJKUVAYKKUWNUUTUWKUWMVKUVPUUJ
      NVTWAYSBUMZUVBWBWCUVCUDWDWEWFUWNUURKUVNUVSUVQUAZUUIUWNUURUVNUWPUVPUUKUULW
      GWHUUIUWNUURUUGYJUWNYKUVAYJUWNUUGUWOUVCUDWIUVDWJUDUGUUGYRUVNUVQUVKVAZUUGY
      JUVNUWQUAZYKUWJUUGYJUWRUAUWLUUGYJUVNUWJUWQUUGUVAYJUVNUWJUWQUAUAUAUVCUVAYJ
      UVNUWJUWQYSBUULWKWLUPWMWNWOWPWQUUGYKUVNUUOUVLUAYJUUSUVNKZUUOUVLUWSUUOUULU
      UJHIZUVLUWSUUNUUJUULHUUSUUNUUJVBZUVNUUSUUJVCGZUXAUWEUWFUXBUUGYKYSCWRUWGUW
      HWBUXBNVCGUXAWSUUJNWTXAUPWEVJUUGYKUVNUVLUWTVAZUVNUUGYKUXCUVNUUGYKXBUWJUXC
      UUGUVNUWJYKUWLXCUVNUVAYKUWJUXCUUGUULYSCVLUVCXDXEXFWHXGXHXIXJUULXKXLUUGUVE
      UVJYRUVEUUGUVJUULYSXMUFXNXOYPUVMAUVILYMUVIVBYNUVKYOUVLYMUVIBHXPYMUVICHXQX
      RXSXTUUAUUMUUOYAYBYCYDYEYFYGYEYHYI $.
      $( [15-Feb-2007] $) $( [18-Nov-2004] $)

    $( The rational numbers are dense in ` RR* ` : any two extended real
       numbers have a rational between them. $)
    qbtwnxr $p |- ( ( A e. RR* /\ B e. RR* /\ A < B )
                   -> E. x e. QQ ( A < x /\ x < B ) ) $=
      ( cxr wcel clt wbr cv wa cq wrex cr cpnf wceq cmnf w3o wi qbtwnre 3expia
      c1 caddc co peano2re ltp1t mpd3an23 ltpnft syl adantr pnfxr xrlttrt
      mp3an3 qret rexrt adantl sylanc mpan2d anim2d r19.22dva mpd wb breq2
      anbi2d rexbidv mpbird a1d wn nltmnft negbid pm2.21d 3jaodan elxr sylan2b
      pnfnltt breq1 cmin peano2rem id ltm1t syl3anc mnfltt mnfxr mp3an1 syl2an
      mpand anim1d anbi1d cz 1z zqt ax-mp anbi12d rcla4ev mpan 1re mpbiri
      breq12 mtbiri 3jaoian sylanb 3impia ) BDEZCDEZBCFGZBAHZFGZXDCFGZIZAJKZBLE
      ZBMNZBONZPXBXCXHQZXAXIXBXLXJXKXICLEZCMNZCONZPZXLXBXIXMXLXNXOXIXMXCXHABCRS
      XIXNIZXHXCXQXHXEXDMFGZIZAJKZXIXTXNXIXEXDBTUAUBZFGZIZAJKZXTXIYALEZBYAFGYDB
      UCZBUDABYARUEXIYCXSAJXIXDJEZIZYBXRXEYHYBYAMFGZXRXIYIYGXIYEYIYFYAUFUGUHXDD
      EZYADEZYBYIIXRQZYHYJYKMDEYLUIXDYAMUJUKYGYJXIYGXDLEYJXDULXDUMUGZUNXIYKYGXI
      YEYKYFYAUMUGUHUOUPUQURUSUHXNXHXTUTXIXNXGXSAJXNXFXRXECMXDFVAVBVCUNVDVEXIXO
      IZXCXHYNXCVFZBOFGZVFZXIYQXOXIXAYQBUMBVGUGUHXOYOYQUTXIXOXCYPCOBFVAVHUNVDVI
      VJCVKZVLXJXBIZXCXHYSYOMCFGZVFZXBUUAXJCVMUNXJYOUUAUTXBXJXCYTBMCFVNVHUHVDVI
      XKXPXLXBXKXMXLXNXOXKXMIZXHXCUUBXHOXDFGZXFIZAJKZXMUUEXKXMCTVOUBZXDFGZXFIZA
      JKZUUEUUFLEZXMUUFCFGUUIXMAUUFCRCVPZXMVQCVRVSXMUUHUUDAJXMYGIZUUGUUCXFUULOU
      UFFGZUUGUUCXMUUMYGXMUUJUUMUUKUUFVTUGUHUUFDEZYJUUMUUGIUUCQZXMYGODEZUUNYJUU
      OWAOUUFXDUJWBXMUUJUUNUUKUUFUMUGYMWCWDWEURUSUNXKXHUUEUTXMXKXGUUDAJXKXEUUCX
      FBOXDFVNWFVCUHVDVEXKXNIXHXCBTFGZTCFGZXHXKXNTJEZUUQUURIZXHTWGEUUSWHTWIWJXG
      UUTATJXDTNXEUUQXFUURXDTBFVAXDTCFVNWKWLWMXKUUQOTFGZTLEZUVAWNTVTWJBOTFVNWOX
      NUURTMFGZUVBUVCWNTUFWJCMTFVAWOWCVEXKXOIZXCXHUVDXCOOFGZUUPUVEVFWAOVGWJBOCO
      FWPWQVIVJYRVLWRBVKWSWT $.
      $( [8-Feb-2007] $) $( [6-Feb-2007] $)
  $}

  ${
    $d x A $.
    $( If a nonnegative real is less than any positive rational, it is zero. $)
    qsqueeze $p |- ( ( A e. RR /\ 0 <_ A /\ A. x e. QQ ( 0 < x -> A < x ) ) ->
                   A = 0 ) $=
      ( cr wcel cc0 cle wbr cv clt wi cq wral w3a wceq wn wa wrex wb 0re
      ltnlet mpan qbtwnre mp3an1 ex ltnsymt con2d qret sylan2 anim2d r19.22dva
      syld sylbird rexanali syl6ib a3d imp 3adant2 letri3t mpan2 iba bicomd
      sylan9bb 3adant3 mpbird ) BCDZEBFGZEAHZIGZBVGIGZJAKLZMBENZBEFGZVEVJVLVFVE
      VJVLVEVLVJVEVLOZVHVIOZPZAKQZVJOVEVMEBIGZVPECDZVEVQVMRSEBTUAVEVQVHVGBIGZPZ
      AKQZVPVEVQWAVRVEVQWASAEBUBUCUDVEVTVOAKVEVGKDZPVSVNVHVEVGCDZVSVNJWBVEWCPVI
      VSBVGUEUFVGUGUHUIUJUKULVHVIAKUMUNUOUPUQVEVFVKVLRVJVEVKVLVFPZVFVLVEVRVKWDR
      SBEURUSVFVLWDVFVLUTVAVBVCVD $.
      $( [6-Feb-2007] $) $( [6-Feb-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Positive reals (as a subset of complex numbers)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the set of positive reals.  Definition of positive numbers in
     [Apostol] p. 20. $)
  df-rp $a |- RR+ = { x e. RR | 0 < x } $.

  ${
    $d x A $.
    $( Membership in the set of positive reals. $)
    elrp $p |- ( A e. RR+ <-> ( A e. RR /\ 0 < A ) ) $=
      ( vx cc0 cv clt wbr cr crp breq2 df-rp elrab2 ) CBDZEFCAEFBAGHLACEIBJK $.
      $( [27-Oct-2007] $) $( [27-Oct-2007] $)
  $}

  ${
    elrpi.1 $e |- A e. RR $.
    elrpi.2 $e |- 0 < A $.
    $( Membership in the set of positive reals. $)
    elrpi $p |- A e. RR+ $=
      ( crp wcel cr cc0 clt wbr elrp mpbir2an ) ADEAFEGAHIAJBCK $.
      $( [24-Feb-2008] $) $( [23-Feb-2008] $)
  $}

  $( A positive real is a real. $)
  rpret $p |- ( A e. RR+ -> A e. RR ) $=
    ( vx crp cr cc0 cv clt wbr crab df-rp ssrab2 eqsstr sseli ) CDACEBFGHZBDIDB
    JNBDKLM $.
    $( [27-Oct-2007] $) $( [27-Oct-2007] $)

  $( The positive reals are a subset of the reals. $)
  rpssre $p |- RR+ (_ RR $=
    ( vx crp cr cv rpret ssriv ) ABCADEF $.
    $( [19-Mar-2008] $) $( [24-Feb-2008] $)

  $( A positive real is greater than zero.  (Contributed by FL,
     27-Dec-2007.) $)
  rpgt0t $p |- ( A e. RR+ -> 0 < A ) $=
    ( crp wcel cr cc0 clt wbr elrp pm3.27bi ) ABCADCEAFGAHI $.
    $( [22-Jan-2008] $) $( [27-Dec-2007] $)

  $( A positive real is greater than or equal to zero. $)
  rpge0t $p |- ( A e. RR+ -> 0 <_ A ) $=
    ( cr wcel cc0 clt wbr cle crp wi 0re ltlet mpan rpret rpgt0t sylc ) ABCZDAE
    FZDAGFZAHCDBCPQRIJDAKLAMANO $.
    $( [6-Mar-2008] $) $( [22-Feb-2008] $)

  $( A positive real is nonzero. $)
  rpne0t $p |- ( A e. RR+ -> A =/= 0 ) $=
    ( cr wcel cc0 clt wbr wne crp gt0ne0t rpret rpgt0t sylanc ) ABCDAEFADGAHCAI
    AJAKL $.
    $( [18-Jul-2008] $) $( [18-Jul-2008] $)

  $( Quantification over positive reals. $)
  ralrp $p |- ( A. x e. RR+ ph <-> A. x e. RR ( 0 < x -> ph ) ) $=
    ( cc0 cv clt wbr wi crp cr wcel wa elrp imbi1i impexp bitr ralbii2 ) ACBDZE
    FZAGZBHIQHJZAGQIJZRKZAGUASGTUBAQLMUARANOP $.
    $( [13-Feb-2008] $) $( [12-Feb-2008] $)

  $( Closure law for addition of positive reals.  Part of Axiom 7 of [Apostol]
     p. 20. $)
  rpaddclt $p |- ( ( A e. RR+ /\ B e. RR+ ) -> ( A + B ) e. RR+ ) $=
    ( crp wcel wa caddc co cr cc0 clt wbr axaddrcl rpret syl2an addgt0t an4s
    elrp syl2anb jca sylibr ) ACDZBCDZEZABFGZHDZIUDJKZEUDCDUCUEUFAHDZBHDZUEUAUB
    ABLAMBMNUGIAJKZEUHIBJKZEUFUAUBUGUHUIUJUFABOPAQBQRSUDQT $.
    $( [27-Oct-2007] $) $( [27-Oct-2007] $)

  $( Closure law for multiplication of positive reals.  Part of Axiom 7 of
     [Apostol] p. 20. $)
  rpmulclt $p |- ( ( A e. RR+ /\ B e. RR+ ) -> ( A x. B ) e. RR+ ) $=
    ( crp wcel wa cmul co cr cc0 clt wbr axmulrcl rpret syl2an axmulgt0 imp
    an4s elrp syl2anb jca sylibr ) ACDZBCDZEZABFGZHDZIUEJKZEUECDUDUFUGAHDZBHDZU
    FUBUCABLAMBMNUHIAJKZEUIIBJKZEUGUBUCUHUIUJUKUGUHUIEUJUKEUGABOPQARBRSTUERUA
    $.
    $( [27-Oct-2007] $) $( [27-Oct-2007] $)

  $( Closure law for multiplication of positive reals.  (Contributed by FL,
     27-Dec-2007.) $)
  rpdivclt $p |- ( ( A e. RR+ /\ B e. RR+ ) -> ( A / B ) e. RR+ ) $=
    ( crp wcel wa cdiv co cr cc0 clt wbr wne redivclt 3expb rpret gt0ne0t
    rpgt0t sylanc jca syl2an divgt0t elrp syl2anb sylibr ) ACDZBCDZEZABFGZHDZIU
    HJKZEUHCDUGUIUJAHDZBHDZBILZEUIUEUFUKULUMUIABMNAOUFULUMBOZULIBJKZUMUFBPUNBQR
    STUKIAJKEULUOEUJUEUFABUAAUBBUBUCSUHUBUD $.
    $( [22-Jan-2008] $) $( [27-Dec-2007] $)

  $( Either a nonzero real or its negation is a positive real, but not both.
     Axiom 8 of [Apostol] p. 20. $)
$(
  rpnegt $p |- ( A e. RR+ -> ( 0 < A <-> -. 0 < -u A ) ) $=
? $.
$)

  $( Zero is not a positive real.  Axiom 9 of [Apostol] p. 20. $)
  0nrp $p |- -. 0 e. RR+ $=
    ( cc0 crp wcel clt wbr 0re ltnr cr elrp pm3.27bi mto ) ABCZAADEZAFGLAHCMAIJ
    K $.
    $( [27-Oct-2007] $) $( [27-Oct-2007] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Monotonic sequences
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d y z A $.  $d y B $.  $d x y z F $.
    monoord.1 $e |- F : NN --> RR $.
    monoord.2 $e |- ( x e. NN -> ( F ` x ) <_ ( F ` ( x + 1 ) ) ) $.
    $( Ordering relation for a monotonic sequence. $)
    monoord $p |- ( ( A e. NN /\ B e. NN /\ A <_ B ) ->
                  ( F ` A ) <_ ( F ` B ) ) $=
      ( vy vz cn wcel cle wbr cfv wi cv c1 caddc co wceq breq2 fveq2 breq2d
      imbi12d imbi2d nnge1t wa cr wb nnret 1re letri3t mpan2 syl eqlet
      ffvelrni syl2an ex sylbird mpan2d clt wo leloet peano2nn adantr
      nnleltp1t ad2antrr ad2antlr pm3.27 opreq1 fveq2d breq12d vtoclga letrd
      imim2d imp jaod sylbid exp31 com12 a2d nnind 3imp ) BIJZCIJZBCKLZBDMZCDMZ
      KLZWDWCWEWHNZWCBGOZKLZWFWJDMZKLZNZNWCBPKLZWFPDMZKLZNZNWCBHOZKLZWFWSDMZKLZ
      NZNWCBWSPQRZKLZWFXDDMZKLZNZNWCWINGHCWJPSZWNWRWCXIWKWOWMWQWJPBKTXIWLWPWFKW
      JPDUAUBUCUDWJWSSZWNXCWCXJWKWTWMXBWJWSBKTXJWLXAWFKWJWSDUAUBUCUDWJXDSZWNXHW
      CXKWKXEWMXGWJXDBKTXKWLXFWFKWJXDDUAUBUCUDWJCSZWNWIWCXLWKWEWMWHWJCBKTXLWLWG
      WFKWJCDUAUBUCUDWCWOPBKLZWQBUEWCWOXMUFZBPSZWQWCBUGJZXOXNUHZBUIZXPPUGJXQUJB
      PUKULUMWCXOWQWFUGJZWFWPSWQWCXOWFWPUNIUGBDEUOZBPDUAUPUQURUSWSIJZWCXCXHWCYA
      XCXHNWCYAXCXHWCYAUFZXCUFZXEBXDUTLZBXDSZVAZXGYBXEYFUHZXCXPXDUGJZYGWCYABXDV
      BXRYAXDIJZYHWSVCZXDUIUMUPVDYCYDXGYEYCYDWTXGYBWTYDUHXCBWSVEVDYBXCWTXGNYBXB
      XGWTYBXBXGYBXBUFWFXAXFWCXSYAXBXTVFYAXAUGJWCXBIUGWSDEUOVGYAXFUGJZWCXBYAYIY
      KYJIUGXDDEUOUMVGYBXBVHYAXAXFKLZWCXBAOZDMZYMPQRZDMZKLYLAWSIYMWSSZYNXAYPXFK
      YMWSDUAYQYOXDDYMWSPQVIVJVKFVLVGVMUQVNVOURWCYEXGNYAXCWCYEXGXSWFXFSXGWCYEWF
      XFUNXTBXDDUAUPUQVFVPVQVRVSVTWAVSWB $.
      $( [6-Apr-2005] $) $( [13-Mar-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The infinite sequence builder "seq1"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u $.  $d z w v u G $.  $d z w v u A $.  $d z w v u B $.
    $d x y z w v u C $.
    om2uz.1 $e |- C e. ZZ $.
    om2uz.2 $e |- G = ( rec ( { <. x , y >. | y = ( x + 1 ) } , C ) |` om ) $.
    $( The mapping ` G ` is a one-to-one mapping from ` om ` onto upper
       integers that will be used to construct a recursive definition
       generator.  Ordinal natural number 0 maps to complex number ` C `
       (normally 0 for the upper integers ` NN0 ` or 1 for the upper integers
       ` NN ` ), 1 maps to ` C ` + 1, etc.  This theorem shows the value of
       ` G ` at ordinal natural number zero.  (This series of theorems
       generalizes an earlier series for ` NN0 ` contributed by Raph Levien,
       10-Apr-2004.) $)
    om2uz0 $p |- ( G ` (/) ) = C $=
      ( c0 cfv cv c1 caddc co wceq copab crdg com cres fveq1i cz wcel fr0t
      ax-mp eqtr ) GDHGBIAIJKLMABNZCOPQZHZCGDUEFRCSTUFCMECSUDUAUBUC $.
      $( [15-Oct-2004] $) $( [3-Oct-2004] $)

    $( The value of ` G ` (see ~ om2uz0 ) at a successor. $)
    om2uzsuc $p |- ( A e. om -> ( G ` suc A ) = ( ( G ` A ) + 1 ) ) $=
      ( vw vv cv csuc cfv c1 caddc co wceq com suceq fveq2d fveq2 opreq1d
      eqeq12d wcel cvv oprex ax-17 copab crdg cres fveq1i opreq1i hbopab1
      hbrdg hbres hbfv hbopr hbxfr opreq1 frsucopab mpan2 vtoclga ) HJZKZELZVBE
      LZMNOZPZCKZELZCELZMNOZPHCQVBCPZVDVIVFVKVLVCVHEVBCRSVLVEVJMNVBCETUAUBVBQUC
      VFUDUCVGVEMNUEABIDVBAJZMNOZVFUDEIJZDUCAUFZVOVBUCAUFZAIVFVBBJVNPZABUGZDUHZ
      QUIZLZMNOVEWBMNVBEWAGUJUKAIWBMNAIVBWAAIVTQAIDVSVRABIULVPUMVOQUCAUFUNVQUOV
      ONUCAUFVOMUCAUFUPUQGVMVEMNURUSUTVA $.
      $( [15-Oct-2004] $) $( [3-Oct-2004] $)

    $( The value ` G ` (see ~ om2uz0 ) at an ordinal natural number is in the
       upper integers. $)
    om2uzuz $p |- ( A e. om -> ( G ` A ) e. { z e. ZZ | C <_ z } ) $=
      ( vv vw cv cfv cle wbr cz crab wcel c0 csuc wceq fveq2 eleq1d om2uz0
      breq2 elrab zre leid mpbir2an eqeltr com c1 caddc co om2uzsuc peano2uz2
      mpan syl5bir finds ) IKZFLZECKZMNZCOPZQRFLZVCQJKZFLZVCQZVESZFLZVCQZDFLZVC
      QIJDUSRTUTVDVCUSRFUAUBUSVETUTVFVCUSVEFUAUBUSVHTUTVIVCUSVHFUAUBUSDTUTVKVCU
      SDFUAUBVDEVCABEFGHUCEVCQEOQZEEMNZVBVMCEOVAEEMUDUEGEEGUFUGUHUIVEUJQZVJVFUK
      ULUMZVCQZVGVNVIVOVCABVEEFGHUNUBVLVGVPGCEVFUOUPUQUR $.
      $( [15-Oct-2004] $) $( [3-Oct-2004] $)

    $( Less-than relation for ` G ` (see ~ om2uz0 ). $)
    om2uzlt $p |- ( ( A e. om /\ B e. om ) ->
                   ( A e. B -> ( G ` A ) < ( G ` B ) ) ) $=
      ( vv vw vz com wcel cfv clt wbr wi cv c0 csuc wceq eleq2 fveq2 breq2d
      imbi12d imbi2d noel pm2.21i a1i wa wo wb elsuc2g bicomd adantl c1 caddc
      co cle om2uzsuc cz crab zleltp1t ssrab2 sseli syl2an om2uzuz cr leloet
      zret 3syl 3bitr2rd id orim12d syl5bi expcom a2d finds impcom ) DLMCLMZCDM
      ZCFNZDFNZOPZQZVTCIRZMZWBWFFNZOPZQZQVTCSMZWBSFNZOPZQZQVTCJRZMZWBWOFNZOPZQZ
      QVTCWOTZMZWBWTFNZOPZQZQVTWEQIJDWFSUAZWJWNVTXEWGWKWIWMWFSCUBXEWHWLWBOWFSFU
      CUDUEUFWFWOUAZWJWSVTXFWGWPWIWRWFWOCUBXFWHWQWBOWFWOFUCUDUEUFWFWTUAZWJXDVTX
      GWGXAWIXCWFWTCUBXGWHXBWBOWFWTFUCUDUEUFWFDUAZWJWEVTXHWGWAWIWDWFDCUBXHWHWCW
      BOWFDFUCUDUEUFWNVTWKWMCUGUHUIWOLMZVTWSXDVTXIWSXDQVTXIUJZWPCWOUAZUKZWRWBWQ
      UAZUKZQXDWSXJXLXAXNXCXIXLXAULVTXIXAXLCWOLUMUNUOXJXCWBWQUPUQURZOPZWBWQUSPZ
      XNXIXCXPULVTXIXBXOWBOABWOEFGHUTUDUOWBEKRUSPZKVAVBZMZWQXSMZXQXPULZVTXIWBVA
      MZWQVAMZYBXTYAWBWQVCXSVAWBXRKVAVDZVEZXSVAWQYEVEZVFABKCEFGHVGZABKWOEFGHVGZ
      VFWBVHMZWQVHMZXQXNULVTXIWBWQVIVTXTYCYJYHYFWBVJVKXIYAYDYKYIYGWQVJVKVFVLUEW
      SWPWRXKXMWSVMXKXMQWSCWOFUCUIVNVOVPVQVRVS $.
      $( [15-Oct-2004] $) $( [3-Oct-2004] $)

    $( The mapping ` G ` (see ~ om2uz0 ) preserves order. $)
    om2uzlt2 $p |- ( ( A e. om /\ B e. om ) ->
                   ( A e. B <-> ( G ` A ) < ( G ` B ) ) ) $=
      ( vz com wcel wa cfv clt wbr om2uzlt wceq wo wn wi fveq2 a1i orim12d
      ancoms wb con0 wss onsseleq ontri1 bitr3d nnont syl2an cr cle leloet
      lenltt cv cz crab om2uzuz ssrab2 zssre sstri sseli syl 3imtr3d a3d
      impbid ) CJKZDJKZLZCDKZCFMZDFMZNOZABCDEFGHPVKVLVOVKDCKZDCQZRZVNVMNOZVNVMQ
      ZRZVLSZVOSZVJVIVRWATVJVILZVPVSVQVTABDCEFGHPVQVTTWDDCFUAUBUCUDVJVIVRWBUEZD
      UFKZCUFKZWEVJVIWFWGLDCUGVRWBDCUHDCUIUJDUKCUKULUDVJVIWAWCUEZVNUMKZVMUMKZWH
      VJVIWIWJLVNVMUNOWAWCVNVMUOVNVMUPUJVJVNEIUQUNOZIURUSZKWIABIDEFGHUTWLUMVNWL
      URUMWKIURVAVBVCZVDVEVIVMWLKWJABICEFGHUTWLUMVMWMVDVEULUDVFVGVH $.
      $( [7-May-2005] $) $( [4-May-2005] $)

    $( Range of ` G ` (see ~ om2uz0 ). $)
    om2uzran $p |- ran G = { z e. ZZ | C <_ z } $=
      ( vu vw vv crn cv cle wbr cz crab wcel cfv wceq com wrex wfn wb c1 caddc
      co copab crdg cres frfnom fneq1 ax-mp mpbir fvelrnb eleq1 om2uzuz
      syl5cbi r19.23aiv sylbi wa breq2 elrab c0 om2uz0 peano1 fnfvelrn mp2an
      eqeltrr a1i wi w3a csuc om2uzsuc opreq1 sylan9eq peano2 mpan syl adantr
      eqeltrrd r19.23aiva uzind mp3an1 impbi eqriv ) HEKZDCLZMNZCOPZHLZWFQZWJWI
      QZWKILZERZWJSZITUAZWLETUBZWKWPUCWQBLALUDUEUFSABUGZDUHTUIZTUBZDWRUJEWSSWQW
      TUCGTEWSUKULUMZITWJEUNULWOWLITWOWNWIQWLWMTQZWNWJWIUOABCWMDEFGUPUQURUSWLWJ
      OQZDWJMNZUTWKWHXDCWJOWGWJDMVAVBDOQZXCXDWKFWMWFQDWFQZJLZWFQZXGUDUEUFZWFQZW
      KIJDWJWMDWFUOWMXGWFUOWMXIWFUOWMWJWFUOXFXEVCERZDWFABDEFGVDWQVCTQXKWFQXAVET
      VCEVFVGVHVIXHXJVJXEXGOQDXGMNVKXHWNXGSZITUAZXJWQXHXMUCXAITXGEUNULXLXJITXBX
      LUTWMVLZERZXIWFXBXLXOWNUDUEUFXIABWMDEFGVMWNXGUDUEVNVOXBXOWFQZXLXBXNTQZXPW
      MVPWQXQXPXATXNEVFVQVRVSVTWAUSVIWBWCUSWDWE $.
      $( [15-Oct-2004] $) $( [3-Oct-2004] $)

    $( ` G ` (see ~ om2uz0 ) is a one-to-one onto mapping. $)
    om2uzf1o $p |- G : om -1-1-onto-> { z e. ZZ | C <_ z } $=
      ( vw vv com cv cle wbr cz crab wf1o wf1 crn wceq f1o5 wf cfv wi wral
      f1fv wfn wss df-f c1 caddc co copab crdg cres frfnom wb fneq1 ax-mp
      mpbir om2uzran eqimssi mpbir2an wcel wa clt wo wn cr lttri3t om2uzuz
      ssrab2 sseli zret 3syl syl2an ioran syl6bbr word ordtri3 nnord con2bid
      om2uzlt ancoms orim12d sylbird con1d sylbid rgen2a ) JDCKLMZCNOZEPJWJEQZE
      RZWJSJWJETWKJWJEUAZHKZEUBZIKZEUBZSZWNWPSZUCZIJUDHJUDHIJWJEUEWMEJUFZWLWJUG
      JWJEUHXABKAKUIUJUKSABULZDUMJUNZJUFZDXBUOEXCSXAXDUPGJEXCUQURUSWLWJABCDEFGU
      TZVAVBWTHIJWNJVCZWPJVCZVDZWRWOWQVEMZWQWOVEMZVFZVGZWSXHWRXIVGXJVGVDZXLWOVH
      VCZWQVHVCZWRXMUPXFXGWOWQVIXFWOWJVCWONVCXNABCWNDEFGVJWJNWOWICNVKZVLWOVMVNX
      GWQWJVCWQNVCXOABCWPDEFGVJWJNWQXPVLWQVMVNVOXIXJVPVQXHWSXKXHWSVGWNWPVCZWPWN
      VCZVFZXKXHWSXSWNVRWPVRWSXSVGUPXFXGWNWPVSWNVTWPVTVOWAXHXQXIXRXJABWNWPDEFGW
      BXGXFXRXJUCABWPWNDEFGWBWCWDWEWFWGWHVBXEVB $.
      $( [15-Oct-2004] $) $( [3-Oct-2004] $)

    $( A helper lemma for the value of a recursive definition generator on
       upper integers (typically either ` NN ` or ` NN0 ` ) with characteristic
       function ` F ` and initial value ` A ` .  Normally ` F ` is a function
       on the partition, and ` A ` is a member of the partition.  See also
       comment in ~ om2uz0 . $)
    uzrdgval $p |- ( B e. { z e. ZZ | C <_ z } ->
                  ( ( rec ( F , A ) o. `' G ) ` B ) =
                  ( rec ( F , A ) ` ( `' G ` B ) ) ) $=
      ( cv cle wbr cz crab wcel ccnv cdm crdg ccom cfv wceq crn om2uzran df-rn
      eqtr3 eleq2i wfun con0 wfn rdgfnon fnfun ax-mp com wf1o om2uzf1o f1ocnv
      f1ofun fvco mp3an12 sylbi ) EFCKLMCNOZPEHQZRZPZEGDSZVCTUAEVCUAVFUAUBZVBVD
      EHUCVBVDABCFHIJUDHUEUFUGVFUHZVCUHZVEVGVFUIUJVHDGUKUIVFULUMVBUNVCUOZVIUNVB
      HUOVJABCFHIJUPUNVBHUQUMVBUNVCURUMEVFVCUSUTVA $.
      $( [16-Oct-2004] $) $( [3-Oct-2004] $)

    $( Initial value of a recursive definition generator on upper integers.
       See comment in ~ uzrdgval . $)
    uzrdgini $p |- ( A e. B -> ( ( rec ( F , A ) o. `' G ) ` C ) = A ) $=
      ( vz wcel c0 crdg cfv ccnv ccom rdg0t cv cle wbr cz crab wceq breq2
      elrab zre leid mpbir2an uzrdgval ax-mp om2uz0 com wf1o wi om2uzf1o
      peano1 f1ocnvfv mp2an fveq2i eqtr syl5eq ) CDKLFCMZNZCEVBGOZPNZCDFQVEEVDN
      ZVBNZVCEEJRZSTZJUAUBZKZVEVGUCVKEUAKEESTZVIVLJEUAVHEESUDUEHEEHUFUGUHABJCEE
      FGHIUIUJVFLVBLGNEUCZVFLUCZABEGHIUKULVJGUMLULKVMVNUNABJEGHIUOUPULVJLEGUQUR
      UJUSUTVA $.
      $( [16-Oct-2004] $) $( [3-Oct-2004] $)

    $( Successor value of a recursive definition generator on upper integers.
       See comment in ~ uzrdgval . $)
    uzrdgsuc $p |- ( B e. { z e. ZZ | C <_ z } ->
                  ( ( rec ( F , A ) o. `' G ) ` ( B + 1 ) )
                  = ( F ` ( ( rec ( F , A ) o. `' G ) ` B ) ) ) $=
      ( cv cle wbr cz crab wcel c1 caddc co crdg ccnv ccom cfv csuc wceq
      peano2uz2 mpan uzrdgval syl com wf1o wf om2uzf1o f1ocnv ax-mp f1of
      ffvelrni om2uzsuc f1ocnvfv2 opreq1d eqtrd wi peano2 f1ocnvfv 3syl mpd
      fveq2d con0 nnont rdgsuct 3eqtrd eqtr4d ) EFCKLMCNOZPZEQRSZGDTZHUAZUBZUCZ
      EVQUCZVPUCZGUCZEVRUCZGUCVNVSVOVQUCZVPUCZVTUDZVPUCZWBVNVOVMPZVSWEUEFNPVNWH
      ICFEUFUGABCDVOFGHIJUHUIVNWDWFVPVNWFHUCZVOUEZWDWFUEZVNWIVTHUCZQRSZVOVNVTUJ
      PZWIWMUEVMUJEVQVMUJVQUKZVMUJVQULUJVMHUKZWOABCFHIJUMZUJVMHUNUOVMUJVQUPUOUQ
      ZABVTFHIJURUIVNWLEQRWPVNWLEUEWQUJVMEHUSUGUTVAVNWNWFUJPZWJWKVBZWRVTVCWPWSW
      TWQUJVMWFVOHVDUGVEVFVGVNWNVTVHPWGWBUEWRVTVIDVTGVJVEVKVNWCWAGABCDEFGHIJUHV
      GVL $.
      $( [16-Oct-2004] $) $( [3-Oct-2004] $)

    $( A helper lemma for the value of an ` NN ` or ` NN0 ` -based recursive
       definition generator.  Value at second index.  See comment in
       ~ uzrdgval . $)
    uzrdginip1 $p |- ( A e. B -> ( ( rec ( F , A ) o. `' G ) ` ( C + 1 ) ) =
                  ( F ` A ) ) $=
      ( vz wcel crdg ccnv ccom cfv c1 caddc co uzrdgini fveq2d cv cle wbr cz
      crab wceq breq2 elrab zre leid mpbir2an uzrdgsuc ax-mp syl5eq ) CDKZEFCLG
      MNZOZFOZCFOEPQRUPOZUOUQCFABCDEFGHISTEEJUAZUBUCZJUDUEKZUSURUFVBEUDKEEUBUCZ
      VAVCJEUDUTEEUBUGUHHEEHUIUJUKABJCEEFGHIULUMUN $.
      $( [6-Jun-2005] $) $( [3-Oct-2004] $)

    $( A helper lemma for the value of an ` NN ` or ` NN0 ` -based recursive
       definition generator.  The generated function is a function on the upper
       integers starting at ` C ` (usually 1 or 0).  See comment in
       ~ uzrdgval . $)
    uzrdgfnuz $p |- ( rec ( F , A ) o. `' G ) Fn { z e. ZZ | C <_ z } $=
      ( crdg ccnv ccom cv cle wbr cz crab wfn cvv wf con0 rdgfnon fnf mpbi com
      wss wf1o om2uzf1o f1ocnv ax-mp f1of omsson fss mp2an fco mpbir ) FDJZGKZL
      ZECMNOCPQZRUTSUSTZUASUQTZUTUAURTZVAUQUARVBDFUBUAUQUCUDUTUEURTZUEUAUFVCUTU
      EURUGZVDUEUTGUGVEABCEGHIUHUEUTGUIUJUTUEURUKUJULUTUEUAURUMUNUTUASUQURUOUNU
      TUSUCUP $.
      $( [27-Jun-2005] $) $( [3-Oct-2004] $)
  $}

  $c seq1 $.  $( Symbol for recursive sequence builder. $)

  $( Extend class notation with recursive sequence builder. $)
  cseq1 $a class seq1 $.

  ${
    $d x y z w f g h $.
    $( Define a general-purpose operation that builds an recursive sequence
       (i.e. a function on the natural numbers ` NN ` ) whose value at an index
       is a function of its previous value and the value of an input sequence
       at that index.  This definition is complicated, but fortunately it is
       not intended to be used directly.  Instead, the only purpose of this
       definition is to provide us with an object that has the properties
       expressed by ~ seq11 and ~ seq1p1 .  Typically, those are the main
       theorems that would be used in practice.

       The first operand is the operation that is applied to the previous value
       and the value of the input sequence (second operand).  For example, for
       the operation ` + ` , an input sequence ` F ` with values 1, 1/2, 1/4,
       1/8,... would be transformed into the output sequence ` ( + seq1 F ) `
       with values 1, 3/2, 7/4, 15/8,.., so that
       ` ( ( + seq1 F ) `` 1 ) = 1 ` , ` ( ( + seq1 F ) `` 2 ) = ` 3/2, etc.
       In other words, ` ( + seq1 F ) ` transforms a sequence ` F ` into an
       infinite series.  ` ( + seq1 F ) ~~> 2 ` means "the sum of F(n) from n =
       1 to infinity is 2."  Since limits are unique ( ~ climuni ), then
       by ~ eusn and ~ unisn the "sum of F(n) from n = 1 to infinity" can be
       expressed as ` U. { x | ( + seq1 F ) ~~> x } ` (provided the sequence
       converges) and evaluates to 2 in this example.

       Internally, we define a recursive function whose values are ordered
       pairs starting at ` <. 1 , ( g `` 1 ) >. ` . The first member of the
       ordered pair is a counter used to select the appropriate value of the
       input sequence ` g ` .  The first ` rec ` constructs this function
       on ` om ` , and the converse of the second ` rec ` maps ` NN ` to
       ` om ` .

       This definition has its roots in a series of theorems starting at
       ~ om2uz0 , originally proved by Raph Levien for use with ~ df-exp and
       later generalized for arbitrary recursive sequences.  The related
       definitions ~ df-seq0 and ~ df-seqz build recursive sequences on ` NN0 `
       and general upper integer sets respectively.  Definition ~ df-sum
       extracts the summation values from partial (finite) and complete
       (infinite) series. $)
    df-seq1 $a |- seq1 = { <. <. f , g >. , h >. |
                   h = { <. x , y >. | ( x e. NN /\
                     y = ( 2nd ` ( ( rec ( { <. z , w >. |
                         w = <. ( ( 1st ` z ) + 1 ) ,
                           ( ( 2nd ` z ) f ( g ` ( ( 1st ` z ) + 1 ) ) ) >. } ,
                       <. 1 , ( g ` 1 ) >. ) o. `'
       ( rec ( { <. z , w >. | w = ( z + 1 ) } , 1 ) |` om ) ) ` x ) ) ) } } $.
  $}

  ${
    $d x y v $.  $d z w v u t f $.  $d v A $.  $d w v u t f B $.
    $d x v u t f C $.  $d v u t f G $.
    seq1lem1.1 $e |- G =
                     ( rec ( { <. x , y >. | y = ( x + 1 ) } , 1 ) |` om ) $.
    $( We prove by induction that the first member of the ordered pair
       value of the internal sequence of ` seq1 ` equals its index. $)
    seq1lem1 $p |- ( A e. NN -> ( 1st `
                ( ( rec ( { <. z , w >. | w = <. ( ( 1st ` z ) + 1 ) , B >. } ,
                <. 1 , C >. ) o. `'  G ) ` A ) ) = A ) $=
      ( vv vu vt vf cv c1st cfv c1 caddc co cop wceq copab crdg ccnv ccom
      fveq2 fveq2d id eqeq12d cvv wcel opex 1z uzrdgini ax-mp fveq2i cz
      elisseti op1st eqtr cn wsbc cab cle wbr crab nnzrab eleq2i uzrdgsuc
      sylbi ax-17 hbs1 hbab hbop hbeleq opreq1d sbab opeq12d eqeq2d cbvopab1
      fveq1i fvex dfsbcq abbidv fvopabf syl6eq oprex opreq1 sylan9eq ex nnind
      ) JNZDNZCNZOPZQRSZFTZUAZCDUBZQGTZUCHUDUEZPZOPZWLUAQXAPZOPZQUAKNZXAPZOPZXF
      UAZXFQRSZXAPZOPZXJUAZEXAPZOPZEUAJKEWLQUAZXCXEWLQXPXBXDOWLQXAUFUGXPUHUIWLX
      FUAZXCXHWLXFXQXBXGOWLXFXAUFUGXQUHUIWLXJUAZXCXLWLXJXRXBXKOWLXJXAUFUGXRUHUI
      WLEUAZXCXOWLEXSXBXNOWLEXAUFUGXSUHUIXEWTOPQXDWTOWTUJUKXDWTUAQGULABWTUJQWSH
      UMIUNUOUPQGQUQUMURUSUTXFVAUKZXIXMXTXIXLXHQRSZXJXTXLYALNFUKZCXGVBZLVCZTZOP
      YAXTXKYEOXTXKXGWSPZYEXTXFQWLVDVEJUQVFZUKXKYFUAVAYGXFJVGVHABJWTXFQWSHUMIVI
      VJYFXGWMWLOPZQRSZYBCWLVBZLVCZTZUAZJDUBZPYEXGWSYNWRYMCDJWRJVKCDYLCDYIYKWMY
      IUKCVKYJCLDYBCJVLVMVNVOWNWLUAZWQYLWMYOWPYIFYKYOWOYHQRWNWLOUFVPCJLFVQVRVSV
      TWAJDMXGYLYEMNZXGUKJVKYPYEUKJVKXFXAWBYAYDULWLXGUAZYIYAYKYDYQYHXHQRWLXGOUF
      VPYQYJYCLYBCWLXGWCWDVRWEUTWFUGYAYDXHQRWGUSWFXHXFQRWHWIWJWK $.
      $( [17-Oct-2004] $) $( [5-Oct-2004] $)
  $}

  $( Lemma for recursive sequence builder theorems. $)
  seq1lem2 $p |- ( A e. NN -> ( A + 1 ) e. ( NN \ { 1 } ) ) $=
    ( c1 caddc co cn wcel clt wbr csn cdif wa wne nngt1ne1t pm5.32i eldifsn
    bitr4 biimp peano2nn cc0 nngt0t cr wb nnret 0re 1re ltadd1t mp3an13 ax1cn
    addid2 breq1i syl6bb syl mpbid sylanc ) ABCDZEFZBUOGHZUOEBIJFZAEFZUPUQKZURU
    TUPUOBLZKURUPUQVAUOMNUOEBOPQARUSSAGHZUQATUSAUAFZVBUQUBAUCVCVBSBCDZUOGHZUQSU
    AFVCBUAFVBVEUBUDUESABUFUGVDBUOGBUHUIUJUKULUMUN $.
    $( [17-Oct-2004] $) $( [8-Oct-2004] $)

  ${
    $d A x z $.  $d w x $.  $d S x z w $.  $d F x z w $.
    seq1rval.1 $e |- H = { <. z , w >. | w = <. ( ( 1st ` z ) + 1 ) ,
                   ( ( 2nd ` z ) S ( F ` ( ( 1st ` z ) + 1 ) ) ) >. } $.
    seq1rval.2 $e |- A e. V $.
    $( Value of the characteristic function of the inner recursion in
       ~ df-seq1 . $)
    seq1rval $p |- ( H ` A ) = <. ( ( 1st ` A ) + 1 ) ,
                     ( ( 2nd ` A ) S ( F ` ( ( 1st ` A ) + 1 ) ) ) >. $=
      ( cfv cv c1st c1 caddc co c2nd cop wceq copab fveq1i opex fveq2 opreq1d
      fveq2d opreq12d opeq12d fvopab eqtr ) CFICBJAJZKIZLMNZUHOIZUJEIZDNZPZQABR
      ZICKIZLMNZCOIZUQEIZDNZPZCFUOGSABCUNVAHUQUTTUHCQZUJUQUMUTVBUIUPLMUHCKUAUBZ
      VBUKURULUSDUHCOUAVBUJUQEVCUCUDUEUFUG $.
      $( [17-Oct-2004] $) $( [5-Oct-2004] $)
  $}

  ${
    $d x y A $.  $d x y f g h G $.  $d x y f g h H $.  $d x y z w f g h F $.
    $d x y z w f g h S $.
    seq1val.1 $e |- S e. V $.
    seq1val.2 $e |- F e. V $.
    seq1val.3 $e |- G =
                     ( rec ( { <. z , w >. | w = ( z + 1 ) } , 1 ) |` om ) $.
    seq1val.4 $e |- H = { <. z , w >. | w = <. ( ( 1st ` z ) + 1 ) ,
                     ( ( 2nd ` z ) S ( F ` ( ( 1st ` z ) + 1 ) ) ) >. } $.
    $( Value of the recursive sequence builder operation. $)
    seq1val $p |- ( S seq1 F ) = { <. x , y >. | ( x e. NN /\ y =
        ( 2nd ` ( ( rec ( H , <. 1 , ( F ` 1 ) >. ) o. `' G ) ` x ) ) ) } $=
      ( vf vg vh cvv wcel cseq1 co cv cn c1 cfv cop crdg ccnv ccom c2nd wceq
      wa copab c1st caddc com cres nnex opabex2 opreq opeq2d eqeq2d opabbidv
      rdgeq1 syl coeq1d cnveq ax-mp coeq2i syl6eqr fveq1d fveq2d anbi2d fveq1
      opreq2d opeq2 rdgeq2 3syl eqtrd df-seq1 oprabval5 mp2an ) EPQFPQEFRSATZUA
      QZBTZWAHUBUBFUCZUDZUEZGUFZUGZUCZUHUCZUIZUJZABUKZUIIJMNOEFPPWBWCWADTZCTZUL
      UCUBUMSZWOUHUCZWPNTZUCZMTZSZUDZUIZCDUKZUBUBWRUCZUDZUEZWNWOUBUMSUICDUKUBUE
      UNUOZUFZUGZUCZUHUCZUIZUJZABUKWMRWBWCWAWNWPWQWSESZUDZUIZCDUKZXFUEZWGUGZUCZ
      UHUCZUIZUJZABUKABUAWJUPUQWTEUIZXNYDABYEXMYCWBYEXLYBWCYEXKYAUHYEWAXJXTYEXJ
      XSXIUGXTYEXGXSXIYEXDXRUIXGXSUIYEXCXQCDYEXBXPWNYEXAXOWPWQWSWTEURUSUTVAXFXD
      XRVBVCVDWGXIXSGXHUIWGXIUIKGXHVEVFVGVHVIVJUTVKVAWRFUIZYDWLABYFYCWKWBYFYBWJ
      WCYFYAWIUHYFWAXTWHYFXSWFWGYFXSHXFUEZWFYFXRHUIXSYGUIYFXRWNWPWQWPFUCZESZUDZ
      UIZCDUKHYFXQYKCDYFXPYJWNYFXOYIWPYFWSYHWQEWPWRFVLVMUSUTVALVHXFXRHVBVCYFXEW
      DUIXFWEUIYGWFUIUBWRFVLXEWDUBVNXFWEHVOVPVQVDVIVJUTVKVAABCDMNOVRVSVT $.
      $( [17-Oct-2004] $) $( [8-Oct-2004] $)

    $( Lemma for ~ seq1fn . $)
    seq1fnlem $p |- ( S seq1 F ) Fn NN $=
      ( vx vy cn cv c1 cfv cop crdg ccnv ccom c2nd cseq1 co fvex seq1val
      fnopab2 ) KLMKNFOODPQRESTPZUAPCDUBUCUGUAUDKLABCDEFGHIJUEUF $.
      $( [17-Oct-2004] $) $( [8-Oct-2004] $)

    $( Value of the value of the recursive sequence builder operation. $)
    seq1val2 $p |- ( A e. NN -> ( ( S seq1 F ) ` A ) =
          ( 2nd ` ( ( rec ( H , <. 1 , ( F ` 1 ) >. ) o. `' G ) ` A ) ) ) $=
      ( vx vy cv c1 cfv cop crdg ccnv ccom c2nd cn cseq1 co wceq fveq2 fveq2d
      seq1val fvex fvopab4 ) LMCLNZGOOEPQRFSTZPZUAPCULPZUAPUBDEUCUDUKCUEUMUNUAU
      KCULUFUGLMABDEFGHIJKUHUNUAUIUJ $.
      $( [17-Oct-2004] $) $( [5-Oct-2004] $)

    $( Lemma for ~ seq11 . $)
    seq11lem $p |- ( ( S seq1 F ) ` 1 ) = ( F ` 1 ) $=
      ( c1 cseq1 co cfv cop crdg ccnv ccom c2nd cn wcel wceq 1nn seq1val2
      ax-mp cvv opex 1z uzrdgini fveq2i elisseti fvex op2nd 3eqtr ) KCDLMNZKFKK
      DNZOZPEQRNZSNZUQSNUPKTUAUOUSUBUCABKCDEFGHIJUDUEURUQSUQUFUAURUQUBKUPUGABUQ
      UFKFEUHIUIUEUJKUPKTUCUKKDULUMUN $.
      $( [17-Oct-2004] $) $( [5-Oct-2004] $)

    $( Lemma for ~ seq1p1 . $)
    seq1suclem $p |- ( A e. NN -> ( ( S seq1 F ) ` ( A + 1 ) ) =
                ( ( ( S seq1 F ) ` A ) S ( F ` ( A + 1 ) ) ) ) $=
      ( vx vy cn wcel c1 caddc co cfv cop crdg ccnv ccom c2nd cseq1 c1st cv
      cle wbr cz crab wceq nnzrab eleq2i 1z uzrdgsuc sylbi copab fveq2 opreq1d
      fveq2d opreq12d opeq12d eqeq2d eqeq1 sylan9bb cbvopabv eqtr4 fvex
      seq1rval syl6eq oprex op2nd seq1lem1 rdgeq1 ax-mp coeq1i fveq1i fveq2i
      syl5eq opreq2d eqtrd peano2nn seq1val2 syl 3eqtr4d ) CNOZCPQRZGPPESZTZUAZ
      FUBZUCZSZUDSZCWMSZUDSZWHESZDRZWHDEUERZSZCWTSZWRDRWGWOWQWPUFSZPQRZESZDRZWS
      WGWOXDXFTZUDSXFWGWNXGUDWGWNWPGSZXGWGCPLUGZUHUILUJUKZOWNXHULNXJCLUMUNABLWJ
      CPGFUOJUPUQLMWPDEGGBUGZAUGZUFSZPQRZXLUDSZXNESZDRZTZULZABURZMUGZXIUFSZPQRZ
      XIUDSZYCESZDRZTZULZLMURKYHXSLMABXIXLULZYHYAXRULYAXKULXSYIYGXRYAYIYCXNYFXQ
      YIYBXMPQXIXLUFUSUTZYIYDXOYEXPDXIXLUDUSYIYCXNEYJVAVBVCVDYAXKXRVEVFVGVHCWMV
      IVJVKVAXDXFXCPQVLWQXEDVLVMVKWGXEWRWQDWGXDWHEWGXCCPQWGCXTWJUAZWLUCZSZUFSCX
      CABABCXQWIFJVNWPYMUFCWMYLWKYKWLGXTULWKYKULKWJGXTVOVPVQVRVSVTUTVAWAWBWGWHN
      OXAWOULCWCABWHDEFGHIJKWDWEWGXBWQWRDABCDEFGHIJKWDUTWF $.
      $( [17-Oct-2004] $) $( [5-Oct-2004] $)
  $}

  ${
    $d x y z w v S $.  $d x y z w v F $.  $d x y z w v C $.  $d x y z w v D $.
    seq111.1 $e |- S e. V $.
    seq111.2 $e |- F e. V $.
    $( Value of the recursive sequence builder at 1.  See description in
       ~ df-seq1 . $)
    seq11 $p |- ( ( S seq1 F ) ` 1 ) = ( F ` 1 ) $=
      ( vz vw cv c1 caddc co wceq copab crdg com cres c1st cfv c2nd cop eqid
      seq11lem ) EFABFGZEGZHIJKEFLHMNOZUBUCPQHIJZUCRQUEBQAJSKEFLZCDUDTUFTUA $.
      $( [17-Oct-2004] $) $( [5-Oct-2004] $)

    $( Value of the recursive sequence builder at a successor.  See description
       in ~ df-seq1 . $)
    seq1p1 $p |- ( A e. NN -> ( ( S seq1 F ) ` ( A + 1 ) ) =
                ( ( ( S seq1 F ) ` A ) S ( F ` ( A + 1 ) ) ) ) $=
      ( vz vw cv c1 caddc co wceq copab crdg com cres c1st cfv c2nd cop eqid
      seq1suclem ) FGABCGHZFHZIJKLFGMINOPZUCUDQRIJKZUDSRUFCRBKTLFGMZDEUEUAUGUAU
      B $.
      $( [17-Oct-2004] $) $( [5-Oct-2004] $)

    $( Value of the recursive sequence builder in terms of its previous
       value. $)
    seq1m1 $p |- ( ( N e. NN /\ 1 < N ) -> ( ( S seq1 F ) ` N ) =
                ( ( ( S seq1 F ) ` ( N - 1 ) ) S ( F ` N ) ) ) $=
      ( cn wcel c1 clt wbr wa cmin co caddc cseq1 cfv wceq wb 1nn nnsubt mpan
      biimpa seq1p1 syl cc nncnt ax1cn npcant mpan2 fveq2d adantr opreq2d
      3eqtr3d ) CFGZHCIJZKZCHLMZHNMZABOMZPZUQUSPZURBPZAMZCUSPZVACBPZAMZUPUQFGZU
      TVCQUNUOVGHFGUNUOVGRSHCTUAUBUQABDEUCUDUNUTVDQUOUNURCUSUNCUEGZURCQZCUFVHHU
      EGVIUGCHUHUIUDZUJUKUNVCVFQUOUNVBVEVAAUNURCBVJUJULUKUM $.
      $( [18-Aug-2005] $) $( [14-Aug-2005] $)

    $( Functionality and domain of the recursive sequence builder. $)
    seq1fn $p |- ( S seq1 F ) Fn NN $=
      ( vz vw cv c1 caddc co wceq copab crdg com cres c1st cfv c2nd cop eqid
      seq1fnlem ) EFABFGZEGZHIJKEFLHMNOZUBUCPQHIJZUCRQUEBQAJSKEFLZCDUDTUFTUA $.
      $( [17-Oct-2004] $) $( [8-Oct-2004] $)

    $( Range of the recursive sequence builder. $)
    seq1rn2 $p |- ( ( ( F ` 1 ) e. C /\
               ( F |` ( NN \ { 1 } ) ) : ( NN \ { 1 } ) --> D /\
               S : ( C X. D ) --> C ) -> ran ( S seq1 F ) (_ C ) $=
      ( vx vy vz vw vv c1 cfv wcel cn csn cdif cres wf cxp w3a cv cseq1 co
      wral crn wss wi caddc wceq fveq2 eleq1d imbi2d wa pm3.26 seq11 syl5eqel
      3adant3 ffvelrn wb fvres adantl mpbid seq1lem2 sylan2 seq1p1 opreq1
      opreq2 rcla42v ancoms wfn ffnoprval pm3.27bi syl5 imp syl5bir exp4c mpd
      ex com4r impcom 3adant1 com12 a2d nnind r19.21aiv seq1fn fnfvrnss mpan
      syl ) LDMZANZOLPQZBDWMRZSZABTZACSZUAZGUBZCDUCUDZMZANZGOUEZWTUFAUGZWRXBGOW
      SONWRXBWRHUBZWTMZANZUHWRLWTMZANZUHWRIUBZWTMZANZUHWRXJLUIUDZWTMZANZUHWRXBU
      HHIWSXELUJZXGXIWRXPXFXHAXELWTUKULUMXEXJUJZXGXLWRXQXFXKAXEXJWTUKULUMXEXMUJ
      ZXGXOWRXRXFXNAXEXMWTUKULUMXEWSUJZXGXBWRXSXFXAAXEWSWTUKULUMWLWOXIWQWLWOUNW
      KAXHWLWOUOCDEFUPUQURXJONZWRXLXOWRXTXLXOUHZWOWQXTYAUHZWLWQWOYBWOXTXLWQXOWO
      XTXLWQXOUHUHZWOXTUNXMDMZBNZYCWOXMWMNZYEXTWOYFUNXMWNMZBNZYEWMBXMWNUSYFYHYE
      UTWOYFYGYDBXMWMDVAULVBVCXJVDVEXTYEYCUHWOXTYEXLWQXOXTXOXKYDCUDZANZYEXLUNZW
      QUNXTXNYIAXJCDEFVFULYKWQYJYKJUBZKUBZCUDZANZKBUEJAUEZYJWQXLYEYPYJUHYOYJXKY
      MCUDZANJKXKYDABYLXKUJYNYQAYLXKYMCVGULYMYDUJYQYIAYMYDXKCVHULVIVJWQCWPVKYPJ
      KABACVLVMVNVOVPVQVBVRVSVTWAWBWCWDWEWCWFWTOVKXCXDCDEFWGGOAWTWHWIWJ $.
      $( [17-Oct-2004] $) $( [8-Oct-2004] $)

    $( Range of the recursive sequence builder (special case of ~ seq1rn2 ). $)
    seq1rn $p |- ( ( F : NN --> C /\ S : ( C X. C ) --> C ) ->
                 ran ( S seq1 F ) (_ C ) $=
      ( c1 cfv wcel cn csn cdif cres wf wa cxp cseq1 co crn wss seq1rn2 3expa
      1nn ffvelrn mpan2 difss fssres jca sylan ) FCGAHZIFJZKZACUKLMZNAAOABMZBCP
      QRASZIACMZUIULUMUNAABCDETUAUOUIULUOFIHUIUBIAFCUCUDUOUKISULIUJUEIAUKCUFUDU
      GUH $.
      $( [9-Nov-2004] $) $( [8-Oct-2004] $)

    $( Mapping of the 1-based recursive sequence builder. $)
    seq1f $p |- ( ( F : NN --> C /\ S : ( C X. C ) --> C ) ->
                 ( S seq1 F ) : NN --> C ) $=
      ( cn wf cxp wa cseq1 co wfn crn wss seq1rn seq1fn jctil df-f sylibr ) FAC
      GAAHABGIZBCJKZFLZUAMANZIFAUAGTUCUBABCDEOBCDEPQFAUARS $.
      $( [18-Aug-2006] $) $( [17-Aug-2006] $)

    $( Mapping of the 1-based recursive sequence builder. $)
    seq1f2 $p |- ( ( ( F ` 1 ) e. C /\
               ( F |` ( NN \ { 1 } ) ) : ( NN \ { 1 } ) --> D /\
               S : ( C X. D ) --> C ) -> ( S seq1 F ) : NN --> C ) $=
      ( c1 cfv wcel cn csn cdif cres wf cxp w3a cseq1 co wfn crn wss wa
      seq1rn2 seq1fn jctil df-f sylibr ) GDHAIJGKLZBDUHMNABOACNPZCDQRZJSZUJTAUA
      ZUBJAUJNUIULUKABCDEFUCCDEFUDUEJAUJUFUG $.
      $( [10-Oct-2007] $) $( [23-Sep-2007] $)

    $( Closure of the value of the recursive sequence builder. $)
    seq1cl $p |- ( ( A e. NN /\ F : NN --> C /\ S : ( C X. C ) --> C ) ->
                 ( ( S seq1 F ) ` A ) e. C ) $=
      ( cn wf cxp wcel cseq1 co cfv wa ffvelrn seq1f sylan 3impa 3comr ) GBDHZB
      BIBCHZAGJZACDKLZMBJZTUAUBUDGBUCHUBUDTUANGBAUCOBCDEFPQRS $.
      $( [8-Mar-2005] $) $( [7-Mar-2005] $)

    $( Closure of the value of the recursive sequence builder. $)
    seq1cl2 $p |- ( ( ( ( F ` 1 ) e. C /\
               ( F |` ( NN \ { 1 } ) ) : ( NN \ { 1 } ) --> D /\
          S : ( C X. D ) --> C ) /\ A e. NN ) -> ( ( S seq1 F ) ` A ) e. C ) $=
      ( cn cseq1 co wf wcel cfv c1 csn cdif cres cxp w3a ffvelrn seq1f2 sylan
      ) HBDEIJZKAHLAUCMBLNEMBLHNOPZCEUDQKBCRBDKSHBAUCTBCDEFGUAUB $.
      $( [11-Oct-2007] $) $( [23-Sep-2007] $)

    $( Restricting its characteristic function to ` NN ` does not affect the
       ` seq1 ` function. $)
    seq1res $p |- ( S seq1 ( F |` NN ) ) = ( S seq1 F ) $=
      ( vx vy vz cn cres cseq1 co wceq cv cfv wral wfn wa wb cvv wcel resexg
      ax-mp seq1fn eqfnfv mp2an eqid c1 caddc fveq2 eqeq12d 1nn fvres seq11
      3eqtr4 id peano2nn syl opreqan12rd seq1p1 adantr 3eqtr4d ex nnind rgen
      mpbir2an ) ABHIZJKZABJKZLZHHLZEMZVGNZVKVHNZLZEHOZVGHPVHHPVIVJVOQRAVFCBSTV
      FSTDBHSUAUBZUCABCDUCEHHVGVHUDUEHUFVNEHFMZVGNZVQVHNZLUGVGNZUGVHNZLGMZVGNZW
      BVHNZLZWBUGUHKZVGNZWFVHNZLZVNFGVKVQUGLVRVTVSWAVQUGVGUIVQUGVHUIUJVQWBLVRWC
      VSWDVQWBVGUIVQWBVHUIUJVQWFLVRWGVSWHVQWFVGUIVQWFVHUIUJVQVKLVRVLVSVMVQVKVGU
      IVQVKVHUIUJUGVFNZUGBNZVTWAUGHTWJWKLUKUGHBULUBAVFCVPUMABCDUMUNWBHTZWEWIWLW
      EQWCWFVFNZAKZWDWFBNZAKZWGWHWEWLWCWDWMWOAWEUOWLWFHTWMWOLWBUPWFHBULUQURWLWG
      WNLWEWBAVFCVPUSUTWLWHWPLWEWBABCDUSUTVAVBVCVDVE $.
      $( [27-Aug-2005] $) $( [16-Aug-2005] $)
  $}

  ${
    $d f F $.
    $( An infinite series of complex terms is a function from ` NN ` to
       ` CC ` . $)
    ser1ft $p |- ( F : NN --> CC -> ( + seq1 F ) : NN --> CC ) $=
      ( vf cvv wcel cn cc wf caddc cseq1 co nnex fex mpan2 cv wi wceq feq1
      opreq2 feq1d imbi12d wfn crn wss wa cxp axaddopr addex visset seq1rn
      seq1fn jctil df-f sylibr vtoclg mpcom ) ACDZEFAGZEFHAIJZGZUQECDUPKEFCALME
      FBNZGZEFHUTIJZGZOUQUSOBACUTAPZVAUQVCUSEFUTAQVDEFVBURUTAHIRSTVAVBEUAZVBUBF
      UCZUDVCVAVFVEVAFFUEFHGVFUFFHUTUGBUHZUIMHUTUGVGUJUKEFVBULUMUNUO $.
      $( [19-Apr-2005] $) $( [18-Apr-2005] $)
  $}

  ${
    ser1f.1 $e |- F : NN --> CC $.
    $( An infinite series is a function from ` NN ` to ` CC ` . $)
    ser1f $p |- ( + seq1 F ) : NN --> CC $=
      ( cn cc wf caddc cseq1 co ser1ft ax-mp ) CDAECDFAGHEBAIJ $.
      $( [4-Apr-2005] $) $( [19-Mar-2005] $)
  $}

  ${
    $d x A $.  $d x y F $.
    ser1cl1.1 $e |- F : NN --> CC $.
    $( The partial sums in an infinite series of complex terms are complex. $)
    ser1cl1 $p |- ( A e. NN -> ( ( + seq1 F ) ` A ) e. CC ) $=
      ( cn wcel cc wf cxp caddc cseq1 co cfv axaddopr addex cvv nnex fex mp2an
      seq1cl mp3an23 ) ADEDFBGZFFHFIGAIBJKLFECMAFIBNUADOEBOECPDFOBQRST $.
      $( [18-Apr-2005] $) $( [17-Apr-2005] $)
  $}

  ${
    $d x A $.  $d x y F $.
    ser1recl.1 $e |- F : NN --> RR $.
    $( The partial sums in an infinite series of real terms are real. $)
    ser1recl $p |- ( A e. NN -> ( ( + seq1 F ) ` A ) e. RR ) $=
      ( vx vy cv caddc cseq1 co cfv cr wcel c1 wceq fveq2 eleq1d addex cn wf
      cvv nnex fex mp2an seq11 1nn ffvelrn eqeltr wa axaddrcl peano2nn
      ffvelrni syl sylan2 wb seq1p1 adantl mpbird expcom nnind ) DFZGBHIZJZKLMV
      AJZKLEFZVAJZKLZVDMGIZVAJZKLZAVAJZKLDEAUTMNVBVCKUTMVAOPUTVDNVBVEKUTVDVAOPU
      TVGNVBVHKUTVGVAOPUTANVBVJKUTAVAOPVCMBJZKGBQRKBSZRTLBTLCUARKTBUBUCZUDVLMRL
      VKKLCUERKMBUFUCUGVFVDRLZVIVFVNUHVIVEVGBJZGIZKLZVFVOKLZVQVNVEVOUIVNVGRLVRV
      DUJRKVGBCUKULUMVNVIVQUNVFVNVHVPKVDGBQVMUOPUPUQURUS $.
      $( [4-Apr-2005] $) $( [17-Mar-2005] $)

    $( The partial sums of an infinite series of reals is an infinite real
       sequence. $)
    ser1ref $p |- ( + seq1 F ) : NN --> RR $=
      ( vx cn cr caddc cseq1 co wf wfn cv cfv wcel wral ffnfv addex cvv nnex
      fex mp2an seq1fn ser1recl rgen mpbir2an ) DEFAGHZIUEDJCKZUELEMZCDNCDEUEOF
      APDEAIDQMAQMBRDEQASTUAUGCDUFABUBUCUD $.
      $( [5-Apr-2005] $) $( [18-Mar-2005] $)
  $}

  ${
    $d x y z $.  $d y A $.  $d x B $.  $d z F $.
    ser1cl2.1 $e |- F = { <. x , y >. | ( x e. NN /\ y = A ) } $.
    ${
      ser1cl2.2 $e |- A. x e. NN A e. CC $.
      $( Closure of the value of the ` B ` th term of an infinite series. $)
      ser1cl2 $p |- ( B e. NN -> ( ( + seq1 F ) ` B ) e. CC ) $=
        ( cc wcel cn wral wf fopab2 mpbi ser1cl1 ) DECHIAJKJHELGABJHCEFMNO $.
        $( [7-Mar-2005] $) $( [8-Nov-2005] $)

      $( An infinite series is a function from ` NN ` to ` CC ` . $)
      ser1f2 $p |- ( + seq1 F ) : NN --> CC $=
        ( vz cn cc caddc cseq1 co wf wfn cv cfv wcel wral ffnfv addex nnex
        fopabex2 seq1fn ser1cl2 rgen mpbir2an ) HIJDKLZMUGHNGOZUGPIQZGHRGHIUGSJ
        DTABHCDUAEUBUCUIGHABCUHDEFUDUEUF $.
        $( [25-Apr-2005] $) $( [5-Mar-2005] $)
    $}

    ${
      $d y B $.
      ser11.2 $e |- B e. V $.
      ser11.3 $e |- ( x = 1 -> A = B ) $.
      $( The value of the first term in an infinite series. $)
      ser11 $p |- ( ( + seq1 F ) ` 1 ) = B $=
        ( c1 caddc cseq1 co cfv addex cn nnex fopabex2 seq11 wcel wceq 1nn
        fvopab4 ax-mp eqtr ) IJEKLMIEMZDJENABOCEPFQRIOSUEDTUAABICDOEHFGUBUCUD
        $.
        $( [13-Mar-2005] $) $( [8-Nov-2005] $)
    $}

    ${
      $d y B $.  $d x y C $.
      ser1p1.2 $e |- C e. V $.
      ser1p1.3 $e |- ( x = ( B + 1 ) -> A = C ) $.
      $( The value of the next term in an infinite series. $)
      ser1p1 $p |- ( B e. NN ->
               ( ( + seq1 F ) ` ( B + 1 ) ) = ( ( ( + seq1 F ) ` B ) + C ) ) $=
        ( cn wcel c1 caddc co cseq1 cfv addex nnex fopabex2 seq1p1 wceq
        peano2nn fvopab4 syl opreq2d eqtrd ) DJKZDLMNZMFONZPDUIPZUHFPZMNUJEMNDM
        FQABJCFRGSTUGUKEUJMUGUHJKUKEUADUBABUHCEJFIGHUCUDUEUF $.
        $( [14-Mar-2005] $) $( [8-Nov-2005] $)
    $}
  $}

  ${
    $d y A $.  $d x y F $.
    ser1mono.1 $e |- F : NN --> RR $.
    ser1mono.2 $e |- ( x e. NN -> 0 <_ ( F ` x ) ) $.
    $( The partial sums in an infinite series of positive terms form
       a monotonic sequence. $)
    ser1mono $p |- ( A e. NN ->
                  ( ( + seq1 F ) ` A ) <_ ( ( + seq1 F ) ` ( A + 1 ) ) ) $=
      ( vy cn wcel caddc cseq1 co cfv cc0 c1 cle cc wceq cr wf wss axresscn
      fss mp2an ser1cl1 ax0id syl wbr peano2nn cv fveq2 breq2d vtoclga wb 0re
      leadd2t mp3an1 ffvelrni ser1recl sylanc mpbid addex cvv nnex fex seq1p1
      breqtrrd eqbrtrrd ) BGHZBICJKZLZMIKZVJBNIKZVILZOVHVJPHVKVJQBCGRCSZRPTGPCS
      DUAGRPCUBUCUDVJUEUFVHVKVJVLCLZIKZVMOVHMVOOUGZVKVPOUGZVHVLGHZVQBUHZMFUIZCL
      ZOUGZVQFVLGWAVLQWBVOMOWAVLCUJUKMAUIZCLZOUGWCAWAGWDWAQWEWBMOWDWACUJUKEULUL
      UFVORHZVJRHZVQVRUMZVHMRHWFWGWHUNMVOVJUOUPVHVSWFVTGRVLCDUQUFBCDURUSUTBICVA
      VNGVBHCVBHDVCGRVBCVDUCVEVFVG $.
      $( [7-Apr-2005] $) $( [17-Mar-2005] $)
  $}

  ${
    $d k j m F $.  $d k j m G $.  $d k j m H $.  $d j k m N $.
    ser1add2.1 $e |- F : NN --> CC $.
    ser1add2.2 $e |- G : NN --> CC $.
    ser1add2.3 $e |- H e. V $.
    ser1add2.4 $e |- ( ( k e. NN /\ N e. NN /\ k <_ N ) ->
                   ( H ` k ) = ( ( F ` k ) + ( G ` k ) ) ) $.
    $( The sum of two infinite series. $)
    ser1add2 $p |- ( N e. NN ->
   ( ( + seq1 H ) ` N ) = ( ( ( + seq1 F ) ` N ) + ( ( + seq1 G ) ` N ) ) ) $=
      ( vj vm cn wcel caddc cseq1 co cfv wceq cle wbr cr nnret leidt syl cv wa
      wi c1 breq1 anbi2d fveq2 opreq12d eqeq12d imbi12d 1nn 3expib vtoclga
      ax-mp addex seq11 cc wf cvv nnex fex mp2an opreq12i 3eqtr4g lep1t adantr
      letrt pm3.26 peano2re pm3.27 syl3anc mpand syl2an imp adantllr peano2nn
      imbi2d 3exp imp31 seq1p1 ad2antrr add4t ser1cl1 ffvelrni syl2anc eqtrd
      adantlr 3eqtr4d ex imim2d com23 an4s anassrs mpdan exp41 pm2.43d imp3a
      nnind mpan2d pm2.43i ) ELMZENDOPZQZENBOPZQZENCOPZQZNPZRZXEXEEESTZXMXEEUAM
      ZXNEUBZEUCUDXEJUEZESTZUFZXQXFQZXQXHQZXQXJQZNPZRZUGXEUHESTZUFZUHXFQZUHXHQZ
      UHXJQZNPZRZUGXEKUEZESTZUFZYLXFQZYLXHQZYLXJQZNPZRZUGZXEYLUHNPZESTZUFZUUAXF
      QZUUAXHQZUUAXJQZNPZRZUGXEXNUFZXMUGJKEXQUHRZXSYFYDYKUUJXRYEXEXQUHESUIUJUUJ
      XTYGYCYJXQUHXFUKUUJYAYHYBYINXQUHXHUKXQUHXJUKULUMUNXQYLRZXSYNYDYSUUKXRYMXE
      XQYLESUIUJUUKXTYOYCYRXQYLXFUKUUKYAYPYBYQNXQYLXHUKXQYLXJUKULUMUNXQUUARZXSU
      UCYDUUHUULXRUUBXEXQUUAESUIUJUULXTUUDYCUUGXQUUAXFUKUULYAUUEYBUUFNXQUUAXHUK
      XQUUAXJUKULUMUNXQERZXSUUIYDXMUUMXRXNXEXQEESUIUJUUMXTXGYCXLXQEXFUKUUMYAXIY
      BXKNXQEXHUKXQEXJUKULUMUNYFUHDQZUHBQZUHCQZNPZYGYJUHLMYFUUNUUQRZUGZUOXEAUEZ
      ESTZUFZUUTDQZUUTBQZUUTCQZNPZRZUGUUSAUHLUUTUHRZUVBYFUVGUURUVHUVAYEXEUUTUHE
      SUIUJUVHUVCUUNUVFUUQUUTUHDUKUVHUVDUUOUVEUUPNUUTUHBUKUUTUHCUKULUMUNUUTLMZX
      EUVAUVGIUPUQURNDUSHUTYHUUOYIUUPNNBUSLVABVBLVCMZBVCMFVDLVAVCBVEVFZUTNCUSLV
      ACVBUVJCVCMGVDLVAVCCVEVFZUTVGVHYLLMZUUCYTUUHUVMXEUUBYTUUHUGZUVMXEUUBUVNUG
      UVMXEXEUUBUVNUVMXEUFZXEUFZUUBUFYMUVNUVMXEUUBYMXEUVOUUBYMYLUAMZXOUUBYMUGUV
      MXEUVQXOUFZYLUUASTZUUBYMUVQUVSXOYLVIVJUVQUUAUAMZXOUVSUUBUFYMUGUVRYLUUAEVK
      UVQXOVLUVQUVTXOYLVMVJUVQXOVNVOVPYLUBXPVQVRVSUVPUUBYMUVNUVOUUBXEYMUVNUVOUU
      BUFZYNUVNUWAYTYNUUHUWAYSUUHYNUWAYSUUHUWAYSUFZYOUUADQZNPZYRUUABQZUUACQZNPZ
      NPZUUDUUGUWBYOYRUWCUWGNUWAYSVNUWAUWCUWGRZYSUVMXEUUBUWIUVMUUALMZXEUUBUWIUG
      ZUGZYLVTZXEUVAUVGUGZUGUWLAUUALUUTUUARZUWNUWKXEUWOUVAUUBUVGUWIUUTUUAESUIUW
      OUVCUWCUVFUWGUUTUUADUKUWOUVDUWEUVEUWFNUUTUUABUKUUTUUACUKULUMUNWAUVIXEUVAU
      VGIWBUQUDWCVJULUVMUUBYSUUDUWDRZXEUVMUWPUUBYSYLNDUSHWDWEVSUVOYSUUGUWHRZUUB
      UVMUWQXEYSUVMUUGYPUWENPZYQUWFNPZNPZUWHUVMUUEUWRUUFUWSNYLNBUSUVKWDYLNCUSUV
      LWDULYPVAMUWEVAMZYQVAMUWFVAMZUWTUWHRUVMYPUWEYQUWFWFYLBFWGUVMUWJUXAUWMLVAU
      UABFWHUDYLCGWGUVMUWJUXBUWMLVAUUACGWHUDWIWJWEWKWLWMWNWOVRWPWQWRWSWTXAWOXBX
      CXD $.
      $( [31-Jul-2005] $) $( [18-Jul-2005] $)
  $}

  ${
    $d k j m F $.  $d k j m G $.  $d k j m H $.  $d j k m N $.
    ser1add.1 $e |- F : NN --> CC $.
    ser1add.2 $e |- G : NN --> CC $.
    ser1add.3 $e |- H e. V $.
    ser1add.4 $e |- ( ( k e. NN /\ k <_ N ) ->
                   ( H ` k ) = ( ( F ` k ) + ( G ` k ) ) ) $.
    $( The sum of two infinite series. $)
    ser1add $p |- ( N e. NN ->
   ( ( + seq1 H ) ` N ) = ( ( ( + seq1 F ) ` N ) + ( ( + seq1 G ) ` N ) ) ) $=
      ( vj vm cn wcel caddc cseq1 co cfv wceq cle wbr cr nnret leidt syl cv wa
      wi c1 breq1 anbi2d fveq2 opreq12d eqeq12d imbi12d 1nn ex vtoclga ax-mp
      addex seq11 cc wf cvv nnex fex mp2an opreq12i 3eqtr4g adantl lep1t
      adantr letrt pm3.26 peano2re pm3.27 syl3anc mpand syl2an imp peano2nn
      sylan seq1p1 ad2antrr add4t ser1cl1 ffvelrni syl2anc eqtrd 3eqtr4d
      imim2d com23 an4s anassrs mpdan exp31 imp3a nnind mpan2d pm2.43i ) ELMZEN
      DOPZQZENBOPZQZENCOPZQZNPZRZWTWTEESTZXHWTEUAMZXIEUBZEUCUDWTJUEZESTZUFZXLXA
      QZXLXCQZXLXEQZNPZRZUGWTUHESTZUFZUHXAQZUHXCQZUHXEQZNPZRZUGWTKUEZESTZUFZYGX
      AQZYGXCQZYGXEQZNPZRZUGZWTYGUHNPZESTZUFZYPXAQZYPXCQZYPXEQZNPZRZUGWTXIUFZXH
      UGJKEXLUHRZXNYAXSYFUUEXMXTWTXLUHESUIUJUUEXOYBXRYEXLUHXAUKUUEXPYCXQYDNXLUH
      XCUKXLUHXEUKULUMUNXLYGRZXNYIXSYNUUFXMYHWTXLYGESUIUJUUFXOYJXRYMXLYGXAUKUUF
      XPYKXQYLNXLYGXCUKXLYGXEUKULUMUNXLYPRZXNYRXSUUCUUGXMYQWTXLYPESUIUJUUGXOYSX
      RUUBXLYPXAUKUUGXPYTXQUUANXLYPXCUKXLYPXEUKULUMUNXLERZXNUUDXSXHUUHXMXIWTXLE
      ESUIUJUUHXOXBXRXGXLEXAUKUUHXPXDXQXFNXLEXCUKXLEXEUKULUMUNXTYFWTXTUHDQZUHBQ
      ZUHCQZNPZYBYEUHLMXTUUIUULRZUGZUOAUEZESTZUUODQZUUOBQZUUOCQZNPZRZUGZUUNAUHL
      UUOUHRZUUPXTUVAUUMUUOUHESUIUVCUUQUUIUUTUULUUOUHDUKUVCUURUUJUUSUUKNUUOUHBU
      KUUOUHCUKULUMUNUUOLMUUPUVAIUPZUQURNDUSHUTYCUUJYDUUKNNBUSLVABVBLVCMZBVCMFV
      DLVAVCBVEVFZUTNCUSLVACVBUVECVCMGVDLVAVCCVEVFZUTVGVHVIYGLMZYRYOUUCUVHWTYQY
      OUUCUGZUVHWTYQUVIUVHWTUFZYQUFYHUVIUVJYQYHYGUAMZXJYQYHUGUVHWTUVKXJUFZYGYPS
      TZYQYHUVKUVMXJYGVJVKUVKYPUAMZXJUVMYQUFYHUGUVLYGYPEVLUVKXJVMUVKUVNXJYGVNVK
      UVKXJVOVPVQYGUBXKVRVSUVJYQYHUVIUVHYQWTYHUVIUVHYQUFZYIUVIUVOYOYIUUCUVOYNUU
      CYIUVOYNUUCUVOYNUFZYJYPDQZNPZYMYPBQZYPCQZNPZNPZYSUUBUVPYJYMUVQUWANUVOYNVO
      UVOUVQUWARZYNYPLMZYQUWCUVHUWDYQUWCUVBYQUWCUGAYPLUUOYPRZUUPYQUVAUWCUUOYPES
      UIUWEUUQUVQUUTUWAUUOYPDUKUWEUURUVSUUSUVTNUUOYPBUKUUOYPCUKULUMUNUVDUQVSYGV
      TZWAVKULUVHYSUVRRYQYNYGNDUSHWBWCUVHUUBUWBRYQYNUVHUUBYKUVSNPZYLUVTNPZNPZUW
      BUVHYTUWGUUAUWHNYGNBUSUVFWBYGNCUSUVGWBULYKVAMUVSVAMZYLVAMUVTVAMZUWIUWBRUV
      HYKUVSYLUVTWDYGBFWEUVHUWDUWJUWFLVAYPBFWFUDYGCGWEUVHUWDUWKUWFLVAYPCGWFUDWG
      WHWCWIUPWJWKVSWLWMWNWOWPWKWQWRWS $.
      $( [24-Jul-2005] $) $( [18-Jul-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The "shift" operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c shift $.  $( Symbol for function shifter. $)

  $( Extend class notation with function shifter. $)
  cshi $a class shift $.

  ${
    $d x y z f g $.
    $( Define a function shifter.  This operation offsets the value argument of
       a function (ordinarily on a subset of ` CC ` ) and produces a new
       function on ` CC ` .  See ~ shftvalt for its value. $)
    df-shft $a |- shift = { <. <. f , x >. , g >. | g =
                  { <. y , z >. | ( y e. CC /\ z = ( f ` ( y - x ) ) ) } } $.
  $}

  ${
    $d x y w f g A $.  $d x y w f g F $.  $d x y B $.  $d x y C $.
    shftfval.1 $e |- F e. V $.
    $( The value of the sequence shifter operation is a function on ` CC ` .
       ` A ` is ordinarily an integer. $)
    shftfval $p |- ( A e. B -> ( F shift A ) = { <. x , y >. | ( x e. CC /\
                   y = ( F ` ( x - A ) ) ) } ) $=
      ( vf vw vg cvv wcel cshi co cv cc cmin cfv wceq wa copab axcnex opabex2
      fveq1 eqeq2d anbi2d opabbidv opreq2 fveq2d df-shft oprabval5 mpan ) EJKCD
      KECLMANZOKZBNZULCPMZEQZRZSZABTZRFGHIECJDUMUNULHNZPMZGNZQZRZSZABTUSLUMUNVA
      EQZRZSZABTABOUPUAUBVBERZVEVHABVIVDVGUMVIVCVFUNVAVBEUCUDUEUFUTCRZVHURABVJV
      GUQUMVJVFUPUNVJVAUOEUTCULPUGUHUDUEUFHABGIUIUJUK $.
      $( [20-Aug-2005] $) $( [20-Jul-2005] $)

    $( Functionality and domain of a sequence shifted by ` A ` . $)
    shftfn $p |- ( A e. B -> ( F shift A ) Fn CC ) $=
      ( vx vy wcel cshi co cc wfn cv cmin cfv wceq wa copab fvex eqid fnopab2
      wb shftfval fneq1 syl mpbiri ) ABGZCAHIZJKZELZJGFLUIAMIZCNZOPEFQZJKZEFJUK
      ULUJCRULSTUFUGULOUHUMUAEFABCDUBJUGULUCUDUE $.
      $( [3-Sep-2005] $) $( [20-Jul-2005] $)

    $( Restriction of a shifted sequence. $)
    shftres $p |- ( ( A e. C /\ B (_ CC ) ->
                  ( ( F shift A ) |` B ) Fn B ) $=
      ( cshi co cc wfn wss cres wcel fnssres shftfn sylan ) DAFGZHIBHJPBKBIACLH
      BPMACDENO $.
      $( [4-Sep-2005] $) $( [19-Aug-2005] $)

    $( Value of a restricted shifted sequence. $)
    shftresvalt $p |- ( B e. C ->
       ( ( ( F shift A ) |` C ) ` B ) = ( ( F shift A ) ` B ) ) $=
      ( cshi co fvres ) BCDAFGH $.
      $( [9-Sep-2005] $) $( [19-Aug-2005] $)

    $( Value of a sequence shifted by ` A ` . $)
    shftvalt $p |- ( ( A e. C /\ B e. CC ) ->
                    ( ( F shift A ) ` B ) = ( F ` ( B - A ) ) ) $=
      ( vx vy wcel cc cshi co cfv cv cmin wceq wa copab shftfval fveq1d opreq1
      fveq2d eqid fvex fvopab4 sylan9eq ) ACHZBIHBDAJKZLBFMZIHGMUHANKZDLZOPFGQZ
      LBANKZDLZUFBUGUKFGACDERSFGBUJUMIUKUHBOUIULDUHBANTUAUKUBULDUCUDUE $.
      $( [21-Aug-2005] $) $( [20-Jul-2005] $)

    $( Value of a sequence shifted by ` A - B ` . $)
    shftval2t $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                ( ( F shift ( A - B ) ) ` ( A + C ) ) = ( F ` ( B + C ) ) ) $=
      ( cc wcel w3a caddc co cmin cshi cfv wceq shftvalt subclt 3adant3
      axaddcl 3adant2 sylanc pnncant 3com23 axaddcom 3adant1 eqtr4d fveq2d
      eqtrd ) AFGZBFGZCFGZHZACIJZDABKJZLJMZULUMKJZDMZBCIJZDMUMFGZULFGZUNUPNUKUM
      ULFDEOUHUIURUJABPQUHUJUSUIACRSTUKUOUQDUKUOCBIJZUQUHUJUIUOUTNACBUAUBUIUJUQ
      UTNUHBCUCUDUEUFUG $.
      $( [21-Aug-2005] $) $( [20-Jul-2005] $)

    $( Value of a sequence shifted by ` A - B ` . $)
    shftval3t $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( F shift ( A - B ) ) ` A ) = ( F ` B ) ) $=
      ( cc wcel wa cc0 caddc co cmin cshi cfv wceq 0cn shftval2t mp3an3 ax0id
      adantr fveq2d adantl 3eqtr3d ) AEFZBEFZGZAHIJZCABKJLJZMZBHIJZCMZAUGMBCMUC
      UDHEFUHUJNOABHCDPQUEUFAUGUCUFANUDARSTUEUIBCUDUIBNUCBRUATUB $.
      $( [21-Aug-2005] $) $( [20-Jul-2005] $)

    $( Value of a sequence shifted by ` -u A ` . $)
    shftval4t $p |- ( ( A e. CC /\ B e. CC ) ->
                ( ( F shift -u A ) ` B ) = ( F ` ( A + B ) ) ) $=
      ( cc wcel wa cneg cshi co cfv cmin caddc wceq shftvalt negclt sylan
      subnegt ancoms axaddcom eqtr4d fveq2d eqtrd ) AEFZBEFZGZBCAHZIJKZBUGLJZCK
      ZABMJZCKUGEFUEUHUJNUDUGBECDOAPQUFUIUKCUFUIBAMJZUKUEUDUIULNBARSABTUAUBUC
      $.
      $( [26-Aug-2005] $) $( [18-Aug-2005] $)

    $( Value of a shifted sequence. $)
    shftval5t $p |- ( ( A e. CC /\ B e. CC ) ->
                ( ( F shift A ) ` ( B + A ) ) = ( F ` B ) ) $=
      ( cc wcel caddc co cshi cfv wceq wa cmin shftvalt pm3.27 axaddcl sylanc
      pncant fveq2d eqtrd ancoms ) BEFZAEFZBAGHZCAIHJZBCJZKUBUCLZUEUDAMHZCJZUFU
      CUDEFUEUIKUGAUDECDNUBUCOBAPQUGUHBCBARSTUA $.
      $( [27-Sep-2005] $) $( [19-Aug-2005] $)

    $( Functionality of a restricted shifted sequence. $)
    shftf $p |- ( ( A e. D /\ B (_ CC /\ A. x e. B ( F ` ( x - A ) ) e. C )
                  -> ( ( F shift A ) |` B ) : B --> C ) $=
      ( cvv wcel cc wss cv cmin co cfv wral cshi cres wf w3a wfn wa shftres
      3adant3 wceq shftresvalt adantl ssel2 anim2i anassrs shftvalt syl eqtr2d
      eleq1d ralbidva biimp3a jca ffnfv sylibr elisset syl3an1 ) BHIZCJKZALZBMN
      FOZDIZACPZCDFBQNZCRZSZBEIVBVCVGTZVICUAZVDVIOZDIZACPZUBVJVKVLVOVBVCVLVGBCH
      FGUCUDVBVCVGVOVBVCUBZVFVNACVPVDCIZUBZVEVMDVRVMVDVHOZVEVQVMVSUEVPBVDCFGUFU
      GVRVBVDJIZUBZVSVEUEVBVCVQWAVCVQUBVTVBCJVDUHUIUJBVDHFGUKULUMUNUOUPUQACDVIU
      RUSBEUTVA $.
      $( [28-Sep-2005] $) $( [19-Aug-2005] $)

    $( Composite shift operations. $)
    2shft $p |- ( ( A e. CC /\ B e. CC ) -> ( ( F shift A ) shift B ) =
                ( F shift ( A + B ) ) ) $=
      ( vx vy cc wcel wa cv cmin co cshi cfv wceq copab caddc shftvalt simprl
      subclt adantrl sylanc w3a sub23t subsub4t eqtr3d 3expb fveq2d eqtrd
      ancoms eqeq2d pm5.32da opabbidv oprex shftfval adantl axaddcl syl
      3eqtr4d ) AGHZBGHZIZEJZGHZFJZVCBKLZCAMLZNZOZIZEFPZVDVEVCABQLZKLZCNZOZIZEF
      PZVGBMLZCVLMLZVBVJVPEFVBVDVIVOVBVDIVHVNVEVDVBVHVNOVDVBIZVHVFAKLZCNZVNUTVF
      GHZVHWBOVTAVFGCDRVDUTVASVDVAWCUTVCBTUAUBVTWAVMCVDUTVAWAVMOVDUTVAUCVCAKLBK
      LWAVMVCABUDVCABUEUFUGUHUIUJUKULUMVAVRVKOUTEFBGVGCAMUNUOUPVBVLGHVSVQOABUQE
      FVLGCDUOURUS $.
      $( [5-Sep-2005] $) $( [19-Aug-2005] $)

    $( Cancellation law for the shift operation. $)
    shftcan2t $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( ( F shift -u A ) shift A ) ` B ) = ( F ` B ) ) $=
      ( cc wcel wa cneg cshi co cfv cmin oprex shftvalt wceq negclt adantl
      subclt sylanc caddc subnegt sylancom npcant eqtrd fveq2d ancoms ) AEFZBEF
      ZGBCAHZIJZAIJKBALJZUJKZBCKZABEUJCUIIMNUHUGULUMOUHUGGZULUKUILJZCKZUMUIEFZU
      KEFZULUPOUNUIUKECDNUGUQUHAPQBARZSUNUOBCUNUOUKATJZBUHUGURUOUTOUSUKAUAUBBAU
      CUDUEUDUFUD $.
      $( [5-Sep-2005] $) $( [4-Aug-2005] $)

    $( Cancellation law for the shift operation. $)
    shftcan1t $p |- ( ( A e. CC /\ B e. CC ) ->
                    ( ( ( F shift A ) shift -u A ) ` B ) = ( F ` B ) ) $=
      ( cc wcel wa cneg cshi co cfv wceq negnegt opreq2d opreq1d fveq1d adantr
      shftcan2t negclt sylan eqtr3d ) AEFZBEFZGBCAHZHZIJZUDIJZKZBCAIJZUDIJZKZBC
      KZUBUHUKLUCUBBUGUJUBUFUIUDIUBUEACIAMNOPQUDEFUCUHULLUBUDBCDRASTUA $.
      $( [5-Sep-2005] $) $( [4-Aug-2005] $)

    $( Identity law for the shift operation. $)
    shftidt $p |- ( A e. CC ->
                    ( ( F shift 0 ) ` A ) = ( F ` A ) ) $=
      ( cc wcel cc0 cshi co cneg cfv wceq 0cn shftcan1t mpan caddc negcl 2shft
      mp2an negid opreq2i eqtr fveq1i syl5eqr ) ADEZABFGHZFIZGHZJZABJZAUEJFDEZU
      DUHUIKLFABCMNAUGUEUGBFUFOHZGHZUEUJUFDEUGULKLFLPFUFBCQRUKFBGFLSTUAUBUC $.
      $( [5-Sep-2005] $) $( [19-Aug-2005] $)
  $}

  ${
    $d j k n S $.  $d j k n F $.
    seq1shftid.1 $e |- S e. V $.
    seq1shftid.2 $e |- F e. V $.
    $( Identity law for the shift operation in a 1-based sequence builder. $)
    seq1shftid $p |- ( S seq1 ( F shift 0 ) ) = ( S seq1 F ) $=
      ( vn vj vk cc0 cshi co cseq1 wceq cn cv cfv wral wfn wa wb oprex seq1fn
      eqfnfv mp2an eqid c1 caddc fveq2 eqeq12d cc wcel ax1cn shftidt ax-mp
      seq11 3eqtr4 opreq1 nncnt peano2cn syl opreq2d sylan9eqr seq1p1 adantr
      3eqtr4d ex nnind rgen mpbir2an ) ABHIJZKJZABKJZLZMMLZENZVJOZVNVKOZLZEMPZV
      JMQVKMQVLVMVRRSAVICBHITZUAABCDUAEMMVJVKUBUCMUDVQEMFNZVJOZVTVKOZLUEVJOZUEV
      KOZLGNZVJOZWEVKOZLZWEUEUFJZVJOZWIVKOZLZVQFGVNVTUELWAWCWBWDVTUEVJUGVTUEVKU
      GUHVTWELWAWFWBWGVTWEVJUGVTWEVKUGUHVTWILWAWJWBWKVTWIVJUGVTWIVKUGUHVTVNLWAV
      OWBVPVTVNVJUGVTVNVKUGUHUEVIOZUEBOZWCWDUEUIUJWMWNLUKUEBDULUMAVICVSUNABCDUN
      UOWEMUJZWHWLWOWHRWFWIVIOZAJZWGWIBOZAJZWJWKWHWOWQWGWPAJWSWFWGWPAUPWOWPWRWG
      AWOWIUIUJZWPWRLWOWEUIUJWTWEUQWEURUSWIBDULUSUTVAWOWJWQLWHWEAVICVSVBVCWOWKW
      SLWHWEABCDVBVCVDVEVFVGVH $.
      $( [6-Sep-2005] $) $( [1-Sep-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Real number intervals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c (,) $.
  $c (,] $.
  $c [,) $.
  $c [,] $.

  $( Extend class notation with the set of open intervals of extended reals. $)
  cioo $a class (,) $.

  $( Extend class notation with the set of open-below, closed-above intervals
     of extended reals. $)
  cioc $a class (,] $.

  $( Extend class notation with the set of closed-below, open-above
     intervals of extended reals. $)
  cico $a class [,) $.

  $( Extend class notation with the set of closed intervals of extended
     reals. $)
  cicc $a class [,] $.

  ${
    $d x y z w $.
    $( Define the set of open intervals of extended reals. $)
    df-ioo $a |- (,) = { <. <. x , y >. , z >. | ( ( x e. RR* /\ y e. RR* )
                   /\ z = { w e. RR* | ( x < w /\ w < y ) } ) } $.

    $( Define the set of open-below, closed-above intervals of extended
       reals. $)
    df-ioc $a |- (,] = { <. <. x , y >. , z >. | ( ( x e. RR* /\ y e. RR* )
                   /\ z = { w e. RR* | ( x < w /\ w <_ y ) } ) } $.

    $( Define the set of closed-below, open-above intervals of extended
       reals. $)
    df-ico $a |- [,) = { <. <. x , y >. , z >. | ( ( x e. RR* /\ y e. RR* )
                   /\ z = { w e. RR* | ( x <_ w /\ w < y ) } ) } $.

    $( Define the set of closed intervals of extended reals. $)
    df-icc $a |- [,] = { <. <. x , y >. , z >. | ( ( x e. RR* /\ y e. RR* )
                   /\ z = { w e. RR* | ( x <_ w /\ w <_ y ) } ) } $.
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d x C $.  $d x D $.
    $( The set of open intervals of extended reals exists. $)
    iooex $p |- (,) e. V $=
      ( vx vy vz vw cxr cv clt wbr wa crab cioo xrex df-ioo oprabex2 ) ABCEEAFD
      FZGHOBFGHIDEJKLLABCDMN $.
      $( [11-Feb-2007] $) $( [6-Feb-2007] $)

    $( Value of the open interval function. $)
    ioovalt $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A (,) B ) =
                 { x e. RR* | ( A < x /\ x < B ) } ) $=
      ( vy vz vw cxr cv clt wbr wa crab cioo xrex rabex wceq breq1 anbi1d
      rabbisdv breq2 anbi2d df-ioo oprabval2 ) DEFBCGGDHZAHZIJZUEEHZIJZKZAGLBUE
      IJZUECIJZKZAGLMUJUHKZAGLULAGNOUDBPZUIUMAGUNUFUJUHUDBUEIQRSUGCPZUMULAGUOUH
      UKUJUGCUEITUASDEFAUBUC $.
      $( [27-Dec-2006] $) $( [24-Dec-2006] $)

    $( Value of the open interval function. $)
    iooval2t $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A (,) B ) =
                 { x e. RR | ( A < x /\ x < B ) } ) $=
      ( cxr wcel wa cioo co cv clt wbr crab cr ioovalt cab wi w3a xrre2t ex
      3com23 3exp imp4b pm3.27 a1i jcad rexrt anim1i impbid1 abbidv df-rab
      3eqtr4g eqtrd ) BDEZCDEZFZBCGHBAIZJKUPCJKFZADLZUQAMLZABCNUOUPDEZUQFZAOUPM
      EZUQFZAOURUSUOVAVCAUOVAVCUOVAVBUQUMUNUTUQVBUMUNUTUQVBPZUMUTUNVDUMUTUNQUQV
      BBUPCRSTUAUBVAUQPUOUTUQUCUDUEVBUTUQUPUFUGUHUIUQADUJUQAMUJUKUL $.
      $( [7-Feb-2007] $) $( [6-Feb-2007] $)

    $( An empty open interval of extended reals. $)
    ioo0t $p |- ( ( A e. RR* /\ B e. RR* ) -> ( ( A (,) B ) = (/) <->
                 B <_ A ) ) $=
      ( vx cxr wcel wa cioo co c0 wceq cv clt wbr crab cle ioovalt eqeq1d wn
      wrex wi xrlttrt 3com23 3expa r19.23adva w3a cq qbtwnxr cr qret rexrt syl
      anim1i r19.22i2 3expia impbid wne df-ne rabn0 bitr3 syl5bb xrltnlet
      bitrd con4bid ) ADEZBDEZFZABGHZIJACKZLMVHBLMFZCDNZIJZBAOMZVFVGVJICABPQVFV
      KVLVFVKRZABLMZVLRVFVICDSZVNVMVFVOVNVFVIVNCDVDVEVHDEZVIVNTZVDVPVEVQAVHBUAU
      BUCUDVDVEVNVOVDVEVNUEVICUFSVOCABUGVIVICUFDVHUFEZVPVIVRVHUHEVPVHUIVHUJUKUL
      UMUKUNUOVMVJIUPVOVJIUQVICDURUSUTABVAVBVCVB $.
      $( [24-Feb-2007] $) $( [6-Feb-2007] $)

    $( An open interval of extended reals is nonempty iff the lower argument is
       less than the upper argument. $)
    ioon0t $p |- ( ( A e. RR* /\ B e. RR* ) -> ( ( A (,) B ) =/= (/) <->
                 A < B ) ) $=
      ( cxr wcel wa clt wbr cioo co c0 wceq cle wn ioo0t wb xrlenltt ancoms
      bitr2d necon1abid ) ACDZBCDZEZABFGZABHIZJUBUDJKBALGZUCMZABNUATUEUFOBAPQRS
      $.
      $( [3-Mar-2007] $) $( [2-Mar-2007] $)

    $( The open interval function's value is empty outside of its domain. $)
    ndmioo $p |- ( -. ( A e. RR* /\ B e. RR* ) -> ( A (,) B ) = (/) ) $=
      ( vx vy vz vw cxr wcel wa wn cvv cioo co c0 wceq cdm cxp cv clt wbr crab
      xrex rabex df-ioo dmoprab2 ndmoprg mp3an1 expcom oprprc2 cle xrleidt
      adantr ioo0t mpbird wrel relxp releqi mpbir oprprc1 pm2.61d1 pm2.61i
      syl6eq ) AGHZBGHIJZBKHZABLMZNOZVEVDVGLPZGGQZOZVEVDVGCDEGGCRFRZSTVKDRSTIZF
      GUALVLFGUBUCCDEFUDUEZABKGGLUFUGUHVEJVFAALMZNABLUIVCVCIZVNNOZVOVPAAUJTZVCV
      QVCAUKULAAUMUNVOJZAKHZVPVSVRVPVJVSVRVPVMAAKGGLUFUGUHAALVHUOVIUOGGUPVHVIVM
      UQURUSUTVAVBUT $.
      $( [22-Jun-2007] $) $( [21-Jun-2007] $)

    $( An open interval with identical lower and upper bounds is empty. $)
    iooid $p |- ( A (,) A ) = (/) $=
      ( cxr wcel wa cioo co c0 wceq cle wbr xrleidt adantr ioo0t mpbird ndmioo
      pm2.61i ) ABCZQDZAAEFGHZRSAAIJZQTQAKLAAMNAAOP $.
      $( [21-Jun-2007] $) $( [21-Jun-2007] $)

    $( Intersection of two open intervals of extended reals. $)
    iooint $p |- ( ( ( A e. RR* /\ B e. RR* ) /\ ( C e. RR* /\ D e. RR* ) ) ->
         ( ( A (,) B ) i^i ( C (,) D ) ) =
         ( if ( A <_ C , C , A ) (,) if ( B <_ D , B , D ) ) ) $=
      ( vx cxr wcel wa cv clt wbr crab cin cle cif cioo co wceq wb xrmaxltt
      3expa adantlr xrltmint 3coml adantll anbi12d an4 syl6bb rabbidv an4s
      inrab syl6reqr ioovalt ineqan12d ifcl ancoms ad2ant2r ad2ant2l sylanc
      3eqtr4d ) AFGZBFGZHZCFGZDFGZHZHZAEIZJKZVHBJKZHZEFLZCVHJKZVHDJKZHZEFLZMZAC
      NKZCAOZVHJKZVHBDNKZBDOZJKZHZEFLZABPQZCDPQZMVSWBPQZVGWEVKVOHZEFLZVQVAVDVBV
      EWEWJRVAVDHZVBVEHZHZWDWIEFWMVHFGZHZWDVIVMHZVJVNHZHWIWOVTWPWCWQWKWNVTWPSZW
      LVAVDWNWRACVHTUAUBWLWNWCWQSZWKVBVEWNWSWNVBVEWSVHBDUCUDUAUEUFVIVMVJVNUGUHU
      IUJVKVOEFUKULVCVFWFVLWGVPEABUMECDUMUNVSFGZWBFGZWHWERVGEVSWBUMVAVDWTVBVEVD
      VAWTVRCAFUOUPUQVBVEXAVAVDWABDFUOURUSUT $.
      $( [12-Feb-2007] $) $( [7-Feb-2007] $)

    $( Subset relationship for open intervals of extended reals. $)
    iooss1 $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ A <_ B ) ->
                 ( B (,) C ) (_ ( A (,) C ) ) $=
      ( vx cxr wcel w3a cle wbr wa cv clt crab cioo co wss wi xrlelttrt exp3a
      3expa imp an1rs anim1d ss2rabdv 3adantl3 wceq ioovalt 3adant1 adantr
      3adant2 3sstr4d ) AEFZBEFZCEFZGZABHIZJBDKZLIZUQCLIZJZDEMZAUQLIZUSJZDEMZBC
      NOZACNOZULUMUPVAVDPUNULUMJZUPJZUTVCDEVHUQEFZJURVBUSVGVIUPURVBQZVGVIJUPVJU
      LUMVIUPVJQULUMVIGUPURVBABUQRSTUAUBUCUDUEUOVEVAUFZUPUMUNVKULDBCUGUHUIUOVFV
      DUFZUPULUNVLUMDACUGUJUIUK $.
      $( [12-Feb-2007] $) $( [7-Feb-2007] $)

    $( Subset relationship for open intervals of extended reals. $)
    iooss2 $p |- ( ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ B <_ C ) ->
                 ( A (,) B ) (_ ( A (,) C ) ) $=
      ( vx cxr wcel w3a cle wbr wa cv clt crab cioo co wss wi xrltletrt 3coml
      ancomsd exp3a 3expa imp an1rs anim2d ss2rabdv 3adantl1 wceq ioovalt
      3adant3 adantr 3adant2 3sstr4d ) AEFZBEFZCEFZGZBCHIZJADKZLIZUSBLIZJZDEMZU
      TUSCLIZJZDEMZABNOZACNOZUOUPURVCVFPUNUOUPJZURJZVBVEDEVJUSEFZJVAVDUTVIVKURV
      AVDQZVIVKJURVLUOUPVKURVLQUOUPVKGZURVAVDVMVAURVDVKUOUPVAURJVDQUSBCRSTUAUBU
      CUDUEUFUGUQVGVCUHZURUNUOVNUPDABUIUJUKUQVHVFUHZURUNUPVOUODACUIULUKUM $.
      $( [12-Feb-2007] $) $( [7-Feb-2007] $)

    $( Value of the open-below, closed-above interval function. $)
    iocvalt $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A (,] B ) =
                 { x e. RR* | ( A < x /\ x <_ B ) } ) $=
      ( vy vz vw cxr cv clt wbr cle wa crab cioc xrex rabex wceq breq1 anbi1d
      rabbisdv breq2 anbi2d df-ioc oprabval2 ) DEFBCGGDHZAHZIJZUFEHZKJZLZAGMBUF
      IJZUFCKJZLZAGMNUKUILZAGMUMAGOPUEBQZUJUNAGUOUGUKUIUEBUFIRSTUHCQZUNUMAGUPUI
      ULUKUHCUFKUAUBTDEFAUCUD $.
      $( [27-Dec-2006] $) $( [24-Dec-2006] $)

    $( Value of the closed-below, open-above interval function. $)
    icovalt $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A [,) B ) =
                 { x e. RR* | ( A <_ x /\ x < B ) } ) $=
      ( vy vz vw cxr cv cle wbr clt wa crab cico xrex rabex wceq breq1 anbi1d
      rabbisdv breq2 anbi2d df-ico oprabval2 ) DEFBCGGDHZAHZIJZUFEHZKJZLZAGMBUF
      IJZUFCKJZLZAGMNUKUILZAGMUMAGOPUEBQZUJUNAGUOUGUKUIUEBUFIRSTUHCQZUNUMAGUPUI
      ULUKUHCUFKUAUBTDEFAUCUD $.
      $( [27-Dec-2006] $) $( [24-Dec-2006] $)

    $( Value of the closed interval function. $)
    iccvalt $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A [,] B ) =
                 { x e. RR* | ( A <_ x /\ x <_ B ) } ) $=
      ( vy vz vw cxr cv cle wbr wa crab cicc xrex rabex wceq breq1 anbi1d
      rabbisdv breq2 anbi2d df-icc oprabval2 ) DEFBCGGDHZAHZIJZUEEHZIJZKZAGLBUE
      IJZUECIJZKZAGLMUJUHKZAGLULAGNOUDBPZUIUMAGUNUFUJUHUDBUEIQRSUGCPZUMULAGUOUH
      UKUJUGCUEITUASDEFAUBUC $.
      $( [27-Dec-2006] $) $( [24-Dec-2006] $)

    $( Membership in an open interval of extended reals. $)
    elioo1t $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A (,) B ) <->
                 ( C e. RR* /\ A < C /\ C < B ) ) ) $=
      ( vx cxr wcel wa cioo co cv clt wbr crab w3a ioovalt eleq2d wceq breq2
      breq1 anbi12d elrab 3anass bitr4 syl6bb ) AEFBEFGZCABHIZFCADJZKLZUGBKLZGZ
      DEMZFZCEFZACKLZCBKLZNZUEUFUKCDABOPULUMUNUOGZGUPUJUQDCEUGCQUHUNUIUOUGCAKRU
      GCBKSTUAUMUNUOUBUCUD $.
      $( [27-Dec-2006] $) $( [24-Dec-2006] $)

    $( Membership in an open interval of extended reals. $)
    elioo2t $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A (,) B ) <->
                 ( C e. RR /\ A < C /\ C < B ) ) ) $=
      ( vx cxr wcel wa cioo co cv clt wbr cr crab w3a iooval2t eleq2d wceq
      breq2 breq1 anbi12d elrab 3anass bitr4 syl6bb ) AEFBEFGZCABHIZFCADJZKLZUH
      BKLZGZDMNZFZCMFZACKLZCBKLZOZUFUGULCDABPQUMUNUOUPGZGUQUKURDCMUHCRUIUOUJUPU
      HCAKSUHCBKTUAUBUNUOUPUCUDUE $.
      $( [28-Apr-2007] $) $( [6-Feb-2007] $)

    $( Membership in a set of open intervals of extended reals.  We use the
       fact that an operation's value is empty outside of its domain to show
       ` A e. RR* ` and ` B e. RR* ` . $)
    elioo3g $p |- ( B e. D -> ( C e. ( A (,) B ) <->
          ( ( A e. RR* /\ B e. RR* /\ C e. RR* ) /\ ( A < C /\ C < B ) ) ) ) $=
      ( vx vy vz vw wcel cioo co cxr wa clt wbr w3a wb elioo1t ibar 3anass
      syl5bb bitrd adantl wn c0 cdm cxp wceq cv crab xrex rabex df-ioo
      dmoprab2 ndmoprg mp3an1 eleq2d noel pm2.21i pm3.26 pm5.21ni pm2.61dan
      df-3an anbi1i anass bitr2 syl6bb ) BDIZCABJKZIZALIZBLIZMZCLIZACNOZCBNOZMZ
      MZMZVKVLVNPZVQMZVHVMVJVSQZVMWBVHVMVJVNVOVPPZVSABCRVMVRVSWCVMVRSVNVOVPTUAU
      BUCVHVMUDZMZVJCUEIZVSWEVIUECJUFLLUGUHVHWDVIUEUHEFGLLEUIHUIZNOWGFUINOMZHLU
      JJWHHLUKULEFGHUMUNABDLLJUOUPUQWDWFVSQVHWFVMVSWFVMCURUSVMVRUTVAUCUBVBWAVMV
      NMZVQMVSVTWIVQVKVLVNVCVDVMVNVQVEVFVG $.
      $( [7-Jun-2007] $) $( [24-Dec-2006] $)

    $( Membership in an open interval of extended reals. $)
    elioo4g $p |- ( B e. D -> ( C e. ( A (,) B ) <->
          ( ( A e. RR* /\ B e. RR* /\ C e. RR ) /\ ( A < C /\ C < B ) ) ) ) $=
      ( wcel cioo co cxr w3a clt wbr wa cr elioo3g 3simp1 adantr 3simp2 wi
      xrre2t ex 3com23 imp 3jca pm3.27 jca id rexrt 3anim123i anim1i impbi
      syl6bb ) BDECABFGEAHEZBHEZCHEZIZACJKCBJKLZLZULUMCMEZIZUPLZABCDNUQUTUQUSUP
      UQULUMURUOULUPULUMUNOPUOUMUPULUMUNQPUOUPURULUNUMUPURRULUNUMIUPURACBSTUAUB
      UCUOUPUDUEUSUOUPULULUMUMURUNULUFUMUFCUGUHUIUJUK $.
      $( [2-Jul-2007] $) $( [8-Jun-2007] $)

    $( Membership in an open-below, closed-above interval of extended reals. $)
    elioc1t $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A (,] B ) <->
                 ( C e. RR* /\ A < C /\ C <_ B ) ) ) $=
      ( vx cxr wcel wa cioc co cv clt wbr cle crab w3a iocvalt eleq2d wceq
      breq2 breq1 anbi12d elrab 3anass bitr4 syl6bb ) AEFBEFGZCABHIZFCADJZKLZUH
      BMLZGZDENZFZCEFZACKLZCBMLZOZUFUGULCDABPQUMUNUOUPGZGUQUKURDCEUHCRUIUOUJUPU
      HCAKSUHCBMTUAUBUNUOUPUCUDUE $.
      $( [28-Dec-2006] $) $( [24-Dec-2006] $)

    $( Membership in a closed-below, open-above interval of extended reals. $)
    elico1t $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A [,) B ) <->
                 ( C e. RR* /\ A <_ C /\ C < B ) ) ) $=
      ( vx cxr wcel wa cico co cv cle wbr clt crab w3a icovalt eleq2d wceq
      breq2 breq1 anbi12d elrab 3anass bitr4 syl6bb ) AEFBEFGZCABHIZFCADJZKLZUH
      BMLZGZDENZFZCEFZACKLZCBMLZOZUFUGULCDABPQUMUNUOUPGZGUQUKURDCEUHCRUIUOUJUPU
      HCAKSUHCBMTUAUBUNUOUPUCUDUE $.
      $( [28-Dec-2006] $) $( [24-Dec-2006] $)

    $( Membership in a closed interval of extended reals. $)
    elicc1t $p |- ( ( A e. RR* /\ B e. RR* ) -> ( C e. ( A [,] B ) <->
                 ( C e. RR* /\ A <_ C /\ C <_ B ) ) ) $=
      ( vx cxr wcel wa cicc co cv cle wbr crab w3a iccvalt eleq2d wceq breq2
      breq1 anbi12d elrab 3anass bitr4 syl6bb ) AEFBEFGZCABHIZFCADJZKLZUGBKLZGZ
      DEMZFZCEFZACKLZCBKLZNZUEUFUKCDABOPULUMUNUOGZGUPUJUQDCEUGCQUHUNUIUOUGCAKRU
      GCBKSTUAUMUNUOUBUCUD $.
      $( [28-Dec-2006] $) $( [24-Dec-2006] $)
  $}

  $( Membership in an open interval of extended reals. $)
  elioo5t $p |- ( ( A e. RR* /\ B e. RR* /\ C e. RR* )
           -> ( C e. ( A (,) B ) <-> ( A < C /\ C < B ) ) ) $=
    ( cxr wcel w3a cioo co clt wbr wa wb elioo1t 3adant3 3anass baibr 3ad2ant3
    bitr4d ) ADEZBDEZCDEZFCABGHEZUAACIJZCBIJZFZUCUDKZSTUBUELUAABCMNUASUFUELTUEU
    AUFUAUCUDOPQR $.
    $( [19-Aug-2008] $) $( [17-Aug-2008] $)

  $( Membership in an open-below, closed-above real interval.  (Contributed by
     Paul Chapman, 30-Dec-2007.) $)
  elioc2t $p |- ( ( A e. RR /\ B e. RR ) ->
      ( C e. ( A (,] B ) <-> ( C e. RR /\ A < C /\ C <_ B ) ) ) $=
    ( cr wcel wa cioc co clt wbr cle w3a cxr wb elioc1t rexrt syl2an wi cmnf
    cpnf mnfltt ad2antrr mnfxr xrlttrt mp3an1 sylan adantlr mpand ltpnft
    ad2antlr pnfxr xrlelttrt mp3an3 sylan2 ancoms adantll mpan2d anim12d
    xrrebndt adantl sylibrd ex imp3a pm3.27 a1i jcad 3anass 3imtr4g sylbid
    anim1i 3imtr4 syl5bir impbid ) ADEZBDEZFZCABGHEZCDEZACIJZCBKJZLZVPVQCMEZVSV
    TLZWAAMEZBMEZVQWCNVNVOABCOAPZBPZQZVPWBVSVTFZFZVRWIFZWCWAVPWJVRWIVPWBWIVRVPW
    BWIVRRVPWBFZWISCIJZCTIJZFZVRWLVSWMVTWNWLSAIJZVSWMVNWPVOWBAUAUBVNWBWPVSFWMRZ
    VOWDWBWQVNSMEWDWBWQUCSACUDUEWFUFUGUHWLVTBTIJZWNVOWRVNWBBUIUJVOWBVTWRFWNRZVN
    WBVOWSWBWEWSVOWBWETMEWSUKCBTULUMWGUNUOUPUQURWBVRWONVPCUSUTVAVBVCWJWIRVPWBWI
    VDVEVFWBVSVTVGZVRVSVTVGZVHVIVPVQWCWAWHWKWJWAWCVRWBWICPVJXAWTVKVLVM $.
    $( [30-Dec-2007] $) $( [30-Dec-2007] $)

  $( Membership in a closed-below, open-above real interval.  (Contributed by
     Paul Chapman, 21-Jan-2008.) $)
  elico2t $p |- ( ( A e. RR /\ B e. RR ) ->
      ( C e. ( A [,) B ) <-> ( C e. RR /\ A <_ C /\ C < B ) ) ) $=
    ( cr wcel wa cico co cle wbr clt w3a cxr wb elico1t rexrt syl2an wi cmnf
    cpnf mnfltt ad2antrr mnfxr xrltletrt mp3an1 sylan adantlr mpand ltpnft
    ad2antlr pnfxr xrlttrt mp3an3 sylan2 ancoms adantll mpan2d anim12d
    xrrebndt adantl sylibrd ex imp3a pm3.27 a1i jcad 3anass 3imtr4g sylbid
    anim1i 3imtr4 syl5bir impbid ) ADEZBDEZFZCABGHEZCDEZACIJZCBKJZLZVPVQCMEZVSV
    TLZWAAMEZBMEZVQWCNVNVOABCOAPZBPZQZVPWBVSVTFZFZVRWIFZWCWAVPWJVRWIVPWBWIVRVPW
    BWIVRRVPWBFZWISCKJZCTKJZFZVRWLVSWMVTWNWLSAKJZVSWMVNWPVOWBAUAUBVNWBWPVSFWMRZ
    VOWDWBWQVNSMEWDWBWQUCSACUDUEWFUFUGUHWLVTBTKJZWNVOWRVNWBBUIUJVOWBVTWRFWNRZVN
    WBVOWSWBWEWSVOWBWETMEWSUKCBTULUMWGUNUOUPUQURWBVRWONVPCUSUTVAVBVCWJWIRVPWBWI
    VDVEVFWBVSVTVGZVRVSVTVGZVHVIVPVQWCWAWHWKWJWAWCVRWBWICPVJXAWTVKVLVM $.
    $( [21-Jan-2008] $) $( [21-Jan-2008] $)

  $( Membership in a closed real interval.  (Contributed by Paul Chapman,
     21-Sep-2007.) $)
  elicc2t $p |- ( ( A e. RR /\ B e. RR ) -> ( C e. ( A [,] B ) <->
                    ( C e. RR /\ A <_ C /\ C <_ B ) ) ) $=
    ( cr wcel wa cicc co cle wbr w3a cxr wb elicc1t rexrt syl2an wi cmnf clt
    cpnf mnfltt ad2antrr mnfxr xrltletrt mp3an1 sylan adantlr mpand ltpnft
    ad2antlr pnfxr xrlelttrt mp3an3 sylan2 ancoms adantll mpan2d anim12d
    xrrebndt adantl sylibrd ex imp3a pm3.27 a1i jcad 3anass 3imtr4g sylbid
    anim1i 3imtr4 syl5bir impbid ) ADEZBDEZFZCABGHEZCDEZACIJZCBIJZKZVPVQCLEZVSV
    TKZWAALEZBLEZVQWCMVNVOABCNAOZBOZPZVPWBVSVTFZFZVRWIFZWCWAVPWJVRWIVPWBWIVRVPW
    BWIVRQVPWBFZWIRCSJZCTSJZFZVRWLVSWMVTWNWLRASJZVSWMVNWPVOWBAUAUBVNWBWPVSFWMQZ
    VOWDWBWQVNRLEWDWBWQUCRACUDUEWFUFUGUHWLVTBTSJZWNVOWRVNWBBUIUJVOWBVTWRFWNQZVN
    WBVOWSWBWEWSVOWBWETLEWSUKCBTULUMWGUNUOUPUQURWBVRWOMVPCUSUTVAVBVCWJWIQVPWBWI
    VDVEVFWBVSVTVGZVRVSVTVGZVHVIVPVQWCWAWHWKWJWAWCVRWBWICOVJXAWTVKVLVM $.
    $( [21-Sep-2007] $) $( [21-Sep-2007] $)

  $( The open interval from minus to plus infinity. $)
  ioomax $p |- ( -oo (,) +oo ) = RR $=
    ( vx cmnf cpnf cioo co cv clt wbr wa cr crab cxr wcel wceq mnfxr pnfxr
    iooval2t mp2an rabid2 mnfltt ltpnft jca mprgbir eqtr4 ) BCDEZBAFZGHZUFCGHZI
    ZAJKZJBLMCLMUEUJNOPABCQRJUJNUIAJUIAJSUFJMUGUHUFTUFUAUBUCUD $.
    $( [8-Feb-2007] $) $( [6-Feb-2007] $)

  $( The set of positive reals expressed as an open interval. $)
  ioopos $p |- ( 0 (,) +oo ) = { x e. RR | 0 < x } $=
    ( cc0 cpnf cioo co cv clt wbr wa cr crab cxr wcel wceq 0re rexrt ax-mp
    pnfxr iooval2t mp2an ltpnft biantrud rabbii eqtr4 ) BCDEZBAFZGHZUFCGHZIZAJK
    ZUGAJKBLMZCLMUEUJNBJMUKOBPQRABCSTUGUIAJUFJMUHUGUFUAUBUCUD $.
    $( [8-May-2007] $) $( [7-May-2007] $)

  $( The set of positive reals expressed as an open interval.  (Contributed by
     Steve Rodriguez, 25-Nov-2007.) $)
  ioorp $p |- ( 0 (,) +oo ) = RR+ $=
    ( vx cc0 cpnf cioo co cv clt wbr cr crab crp ioopos df-rp eqtr4 ) BCDEBAFGH
    AIJKALAMN $.
    $( [25-Nov-2007] $) $( [25-Nov-2007] $)

  $( An open interval is a set of reals. $)
  ioossre $p |- ( A (,) B ) (_ RR $=
    ( cxr wcel wa cioo co cr wss cmnf cpnf cle wbr mnflet adantr mnfxr iooss1
    mp3anl1 mpdan pnfget pnfxr iooss2 mp3anl3 mpanl1 adantl sstrd ioomax
    syl6ss wn c0 ndmioo 0ss a1i eqsstrd pm2.61i ) ACDZBCDZEZABFGZHIURUSJKFGZHUR
    USJBFGZUTURJALMZUSVAIZUPVBUQANOJCDZUPUQVBVCPJABQRSUQVAUTIZUPUQBKLMZVEBTVDUQ
    VFVEPVDUQKCDVFVEUAJBKUBUCUDSUEUFUGUHURUIZUSUJHABUKUJHIVGHULUMUNUO $.
    $( [21-Jun-2007] $) $( [31-May-2007] $)

  ${
    $d A x $.  $d B x $.
    $( A closed real interval is a set of reals.  (Contributed by FL,
       6-Jun-2007.  Proof shortened by Paul Chapman, 21-Jan-2008.) $)
    iccssret $p |- ( ( A e. RR /\ B e. RR ) -> ( A [,] B ) (_ RR ) $=
      ( vx cr wcel wa cicc co cv w3a cle wbr elicc2t biimp3a 3simp1d 3expia
      ssrdv ) ADEZBDEZFCABGHZDRSCIZTEZUADEZRSUBJUCAUAKLZUABKLZRSUBUCUDUEJABUAMN
      OPQ $.
      $( [21-Jan-2008] $) $( [6-Jun-2007] $)

    $( An open interval is a subset of its closure.  (Contributed by Paul
       Chapman, 18-Oct-2007.) $)
    ioossicc $p |- ( A (,) B ) (_ ( A [,] B ) $=
      ( vx cioo co cicc cv wcel cxr cle wbr wa cr clt w3a wb c0 wne ne0i
      ndmioo necon1ai syl elioo2t ibi 3simp1d rexrt wi xrltlet 3adant2 ancoms
      3adant1 anim12d jca df-3an sylibr 3simpc sylc elicc1t biimprd 3anass
      syl5ibr mp2and ssriv ) CABDEZABFEZCGZVDHZVFIHZAVFJKZVFBJKZLZVFVEHZVGVFMHZ
      VHVGVMAVFNKZVFBNKZVGVMVNVOOZVGAIHZBIHZLZVGVPPVGVDQRVSVDVFSVSVDQABTUAUBZAB
      VFUCUBUDZUEVFUFUBZVQVRVHOZVNVOLZVKVGWCVNVIVOVJVQVHVNVIUGVRAVFUHUIVRVHVOVJ
      UGZVQVHVRWEVFBUHUJUKULVGVSVHLWCVGVSVHVTWBUMVQVRVHUNUOVGVPWDWAVMVNVOUPUBUQ
      VGVHVIVJOZVLVHVKLVGVLWFVGVSVLWFPVTABVFURUBUSVHVIVJUTVAVBVC $.
      $( [18-Oct-2007] $) $( [18-Oct-2007] $)


  $}

  ${
    $d A y $.  $d B x y $.  $d S x y $.
    $( A nonempty subset of a closed real interval satisfies the conditions for
       the existence of its supremum (see ~ suprcl ).  (Contributed by Paul
       Chapman, 21-Jan-2008.) $)
    iccsupr $p |- ( ( ( A e. RR /\ B e. RR ) /\ S (_ ( A [,] B ) /\ C e. S ) ->
                   ( S (_ RR /\ S =/= (/) /\ E. x e. RR A. y e. S y <_ x ) ) $=
      ( cr wcel wa cicc co wss w3a c0 wne cv cle wbr wral wrex sstr ancoms
      iccssret sylan 3adant3 ne0i 3ad2ant3 wceq breq2 ralbidv rcla4ev simplr
      ssel elicc2t biimpd sylan9r imp 3simp3d r19.21aiva sylanc 3jca ) CGHZDGHZ
      IZFCDJKZLZEFHZMFGLZFNOZBPZAPZQRZBFSZAGTZVDVFVHVGVEGLZVFVHVDVFVOVHFVEGUAUB
      CDUCUDUEVGVDVIVFFEUFUGVDVFVNVGVCVJDQRZBFSZVNVDVFIZVMVQADGVKDUHVLVPBFVKDVJ
      QUIUJUKVBVCVFULVRVPBFVRVJFHZIVJGHZCVJQRZVPVRVSVTWAVPMZVFVSVJVEHZVDWBFVEVJ
      UMVDWCWBCDVJUNUOUPUQURUSUTUEVA $.
      $( [21-Jan-2008] $) $( [21-Jan-2008] $)
  $}

  ${
    $d w x y z A $.
    $( Two ways of saying that a real number is positive. $)
    repos $p |- ( A e. ( 0 (,) +oo ) <-> ( A e. RR /\ 0 < A ) ) $=
      ( vx cc0 cv clt wbr cr cpnf cioo co breq2 ioopos elrab2 ) CBDZEFCAEFBAGCH
      IJNACEKBLM $.
      $( [9-May-2007] $) $( [7-May-2007] $)

    $( The set of open intervals of extended reals maps to subsets of reals. $)
    ioof $p |- (,) : ( RR* X. RR* ) --> P~ RR $=
      ( vx vy vz vw cxr cv clt wbr wa crab cr cpw cioo df-ioo wcel co ioovalt
      wss ioossre oprex elpw mpbir syl6eqelr foprab ) ABCEEAFZDFZGHUFBFZGHIDEJZ
      KLZMABCDNUEEOUGEOIUHUEUGMPZUIDUEUGQUJUIOUJKRUEUGSUJKUEUGMTUAUBUCUD $.
      $( [12-Feb-2007] $) $( [7-Feb-2007] $)

    $( The set of closed intervals of extended reals maps to subsets of
       extended reals.  (Contributed by FL, 14-Jun-2007.) $)
    iccf $p |- [,] : ( RR* X. RR* ) --> P~ RR* $=
      ( vx vw vy vz cv cle wbr wa cxr crab cpw wcel wral cxp cicc wf wss
      ssrab2 a1i xrex rabex elpw sylibr rgen2a df-icc foprab2 mpbi ) AEZBEZFGUI
      CEZFGHZBIJZIKZLZCIMAIMIINUMOPUNACIUHILUJILHZULIQZUNUPUOUKBIRSULIUKBITUAUB
      UCUDACDIIULUMOACDBUEUFUG $.
      $( [21-Sep-2007] $) $( [14-Jun-2007] $)

    $( The union of the range of the open interval function. $)
    unirnioo $p |- U. ran (,) = RR $=
      ( cioo crn cuni cr cpw wss cxr cxp wf ioof frn ax-mp uniss unipw sseqtr
      wcel cmnf cpnf co ioomax wfn ffn mnfxr pnfxr fnoprvalrn mp3an eqeltrr
      elssuni eqssi ) ABZCZDUKDEZCZDUJULFZUKUMFGGHZULAIZUNJUOULAKLUJULMLDNODUJP
      DUKFQRASZDUJTAUOUAZQGPRGPUQUJPUPURJUOULAUBLUCUDGGQRAUEUFUGDUJUHLUI $.
      $( [7-May-2007] $) $( [7-May-2007] $)

    $( Alternate definition of the set of open intervals of extended reals. $)
    dfioo2 $p |- (,) = { <. <. x , y >. , z >. | ( ( x e. RR* /\ y e. RR* )
                   /\ z = { w e. RR | ( x < w /\ w < y ) } ) } $=
      ( cioo cv cxr wcel wa co wceq copab2 clt wbr cr crab cxp wfn cpw wf ioof
      ffn ax-mp fnoprval mpbi iooval2t eqeq2d pm5.32i oprabbii eqtr ) EAFZGHBFZ
      GHIZCFZUKULEJZKZIZABCLZUMUNUKDFZMNUSULMNIDOPZKZIZABCLEGGQZRZEURKVCOSZETVD
      UAVCVEEUBUCABCGGEUDUEUQVBABCUMUPVAUMUOUTUNDUKULUFUGUHUIUJ $.
      $( [6-Mar-2007] $) $( [1-Mar-2007] $)
  $}

  $( The lower bound of a closed interval is a member of it.  (Contributed by
     Paul Chapman, 26-Nov-2007.) $)
  lbicc2t $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) -> A e. ( A [,] B ) ) $=
    ( cr wcel cle wbr w3a cicc co 3simp1 leidt 3ad2ant1 3simp3 3jca wb elicc2t
    3adant3 mpbird ) ACDZBCDZABEFZGZAABHIDZSAAEFZUAGZUBSUDUASTUAJSTUDUAAKLSTUAM
    NSTUCUEOUAABAPQR $.
    $( [26-Nov-2007] $) $( [26-Nov-2007] $)

  $( The upper bound of a closed interval is a member of it.  (Contributed by
     Paul Chapman, 26-Nov-2007.) $)
  ubicc2t $p |- ( ( A e. RR /\ B e. RR /\ A <_ B ) -> B e. ( A [,] B ) ) $=
    ( cr wcel cle wbr w3a cicc co 3simp2 3simp3 leidt 3ad2ant2 3jca wb elicc2t
    3adant3 mpbird ) ACDZBCDZABEFZGZBABHIDZTUABBEFZGZUBTUAUDSTUAJSTUAKTSUDUABLM
    NSTUCUEOUAABBPQR $.
    $( [26-Nov-2007] $) $( [26-Nov-2007] $)

  $( Membership in a negated open real interval.  (Contributed by Paul
     Chapman, 26-Nov-2007.) $)
  ioonegt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( C e. ( A (,) B ) <-> -u C e. ( -u B (,) -u A ) ) ) $=
    ( cr wcel w3a clt wbr wa cneg cioo co wb renegclt ax-1 impbid2 3ad2ant3
    ltnegt ancoms 3adant1 3adant2 anbi12d ancom syl5bbr cxr elioo2t rexrt
    syl2an 3adant3 3anass syl6bb anim12i syl 3bitr4d ) ADEZBDEZCDEZFZUQACGHZCBG
    HZIZIZCJZDEZBJZVCGHZVCAJZGHZIZIZCABKLEZVCVEVGKLEZURUQVDVAVIUQUOUQVDMUPUQUQV
    DCNUQVDOPQURUTUSIVIVAURUTVFUSVHUPUQUTVFMZUOUQUPVMCBRSTUOUQUSVHMUPACRUAUBUTU
    SUCUDUBURVKUQUSUTFZVBUOUPVKVNMZUQAUEEBUEEVOUOUPABCUFAUGBUGUHUIUQUSUTUJUKURV
    LVDVFVHFZVJUOUPVLVPMZUQUOUPIVEDEZVGDEZIZVQUPUOVTUPVRUOVSBNANULSVEUEEVGUEEVQ
    VRVSVEVGVCUFVEUGVGUGUHUMUIVDVFVHUJUKUN $.
    $( [26-Nov-2007] $) $( [26-Nov-2007] $)

  $( Membership in a negated closed real interval.  (Contributed by Paul
     Chapman, 26-Nov-2007.) $)
  iccnegt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  ( C e. ( A [,] B ) <-> -u C e. ( -u B [,] -u A ) ) ) $=
    ( cr wcel w3a cle wbr wa cneg cicc co wb renegclt ax-1 impbid2 3ad2ant3
    lenegt ancoms 3adant1 3adant2 anbi12d ancom syl5bbr elicc2t 3adant3 3anass
    syl6bb anim12i syl 3bitr4d ) ADEZBDEZCDEZFZUNACGHZCBGHZIZIZCJZDEZBJZUTGHZUT
    AJZGHZIZIZCABKLEZUTVBVDKLEZUOUNVAURVFUNULUNVAMUMUNUNVACNUNVAOPQUOUQUPIVFURU
    OUQVCUPVEUMUNUQVCMZULUNUMVJCBRSTULUNUPVEMUMACRUAUBUQUPUCUDUBUOVHUNUPUQFZUSU
    LUMVHVKMUNABCUEUFUNUPUQUGUHUOVIVAVCVEFZVGULUMVIVLMZUNULUMIVBDEZVDDEZIZVMUMU
    LVPUMVNULVOBNANUISVBVDUTUEUJUFVAVCVEUGUHUK $.
    $( [26-Nov-2007] $) $( [26-Nov-2007] $)

  $( A shifted real is a member of a shifted, closed-below, open-above real
     interval.  (Contributed by Paul Chapman, 25-Mar-2008.) $)
  icoshft $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) -> ( X e. ( A [,) B ) ->
                  ( X + C ) e. ( ( A + C ) [,) ( B + C ) ) ) ) $=
    ( cr wcel w3a cico co cle wbr clt wa caddc wi elico2t biimpd 3adant3
    3anass syl6ib wb leadd1t 3com12 3expib com12 3adant2 imp ltadd1t 3adant1
    anbi12d pm5.32da axaddrcl expcom anim1d syl6ibr 3ad2ant3 biimprd sylanc
    syld sylbid ) AEFZBEFZCEFZGZDABHIFZDEFZADJKZDBLKZMZMZDCNIZACNIZBCNIZHIFZVDV
    EVFVGVHGZVJVAVBVEVOOVCVAVBMVEVOABDPQRVFVGVHSTVDVJVFVLVKJKZVKVMLKZMZMZVNVDVF
    VIVRVDVFMVGVPVHVQVDVFVGVPUAZVAVCVFVTOVBVFVAVCMVTVFVAVCVTVAVFVCVTADCUBUCUDUE
    UFUGVDVFVHVQUAZVBVCVFWAOVAVFVBVCMWAVFVBVCWADBCUHUDUEUIUGUJUKVDVSVKEFZVPVQGZ
    VNVCVAVSWCOVBVCVSWBVRMWCVCVFWBVRVFVCWBDCULUMUNWBVPVQSUOUPVLEFZVMEFZWCVNOVDW
    DWEMVNWCVLVMVKPUQVAVCWDVBACULUFVBVCWEVABCULUIURUSUTUS $.
    $( [26-Mar-2008] $) $( [25-Mar-2008] $)

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    icoshftf1o.1 $e |- F = { <. x , y >. | ( x e. ( A [,) B ) /\
                              y = ( x + C ) ) } $.

    ${
      $d A w z $.  $d B w z $.  $d C w z $.  $d F w z $.  $d w x y z $.
      icoshftf1o.2 $e |- A e. RR $.
      icoshftf1o.3 $e |- B e. RR $.
      icoshftf1o.4 $e |- C e. RR $.
      $( Shifting a closed-below, open-above interval is one-to-one onto.
        (Contributed by Paul Chapman, 25-Mar-2008.) $)
      icoshftf1oi $p |- F : ( A [,) B ) -1-1-onto->
                          ( ( A + C ) [,) ( B + C ) ) $=
        ( vz vw cico co caddc wf1o wf1 wfo df-f1o wf cv cfv wceq wi wral f1fv
        cr wcel icoshft mp3an fopab wa opreq1 oprex fvopab4 eqeqan12d cc wb
        recn addcan2t mp3an3 biimpd cle wbr clt w3a elico2t mp2an biimp
        3simp1d recnd syl2an sylbid rgen2a mpbir2an wrex dffo3 cmin fveq2
        eqeq2d rcla4ev cneg readdcl recnt negsubt mpan2 3syl renegcl negsub
        pncant eqtr opreq12i syl6eleq eqeltrrd syl npcant eqtr2d sylanc rgen )
        CDMNZCEONZDEONZMNZFPWTXCFQZWTXCFRZWTXCFSXDWTXCFTZKUAZFUBZLUAZFUBZUCZXGX
        IUCZUDZLWTUEKWTUEKLWTXCFUFABWTXCAUAZEONZFGCUGUHZDUGUHZEUGUHXNWTUHXOXCUH
        UDHIJCDEXNUIUJUKZXMKLWTXGWTUHZXIWTUHZULXKXGEONZXIEONZUCZXLXSXTXHYAXJYBA
        BXGXOYAWTFXNXGEOUMGXGEOUNUOABXIXOYBWTFXNXIEOUMGXIEOUNUOUPXGUQUHZXIUQUHZ
        YCXLUDXSXTYDYEULYCXLYDYEEUQUHZYCXLUREJUSZXGXIEUTVAVBXSXGXSXGUGUHZCXGVCV
        DZXGDVEVDZXSYHYIYJVFZXPXQXSYKURHICDXGVGVHVIVJVKXTXIXTXIUGUHZCXIVCVDZXID
        VEVDZXTYLYMYNVFZXPXQXTYOURHICDXIVGVHVIVJVKVLVMVNVOXEXFXGXJUCZLWTVPZKXCU
        ELKWTXCFVQXRYQKXCXGEVRNZWTUHZXGYRFUBZUCZYQXGXCUHZYPUUALYRWTXIYRUCXJYTXG
        XIYRFVSVTWAUUBXGEWBZONZYRWTUUBYHYDUUDYRUCZUUBYHXAXGVCVDZXGXBVEVDZUUBYHU
        UFUUGVFZXAUGUHZXBUGUHZUUBUUHURCEHJWCZDEIJWCZXAXBXGVGVHVIVJZXGWDZYDYFUUE
        YGXGEWEWFWGUUBUUDXAUUCONZXBUUCONZMNZWTUUIUUJUUCUGUHUUBUUDUUQUHUDUUKUULE
        JWHXAXBUUCXGUIUJUUOCUUPDMUUOXAEVRNZCXAEXAUUKUSYGWICUQUHYFUURCUCCHUSYGCE
        WJVHWKUUPXBEVRNZDXBEXBUULUSYGWIDUQUHYFUUSDUCDIUSYGDEWJVHWKWLWMWNZUUBYTY
        REONZXGUUBYSYTUVAUCUUTABYRXOUVAWTFXNYREOUMGYREOUNUOWOUUBYHYDUVAXGUCZUUM
        UUNYDYFUVBYGXGEWPWFWGWQWRWSVOVO $.
        $( [26-Mar-2008] $) $( [25-Mar-2008] $)
    $}

    ${
      icoshftf1olem.1 $e |- G = { <. x , y >. |
          ( x e. ( if ( A e. RR , A , 0 ) [,) if ( B e. RR , B , 0 ) ) /\
            y = ( x + if ( C e. RR , C , 0 ) ) ) } $.
      $( Lemma for ~ icoshftf1o . $)
      icoshftf1olem $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                  F : ( A [,) B ) -1-1-onto-> ( ( A + C ) [,) ( B + C ) ) ) $=
        ( cr wcel w3a cico co caddc wf1o cc0 cif wceq wb opreq1 f1oeq2 syl
        opreq1d f1oeq3 bitrd opreq2 opreq2d opreq12d 0re elimel icoshftf1oi
        dedth3h cv wa copab iftrue 3ad2ant1 3ad2ant2 eleq2d 3ad2ant3 eqeq2d
        anbi12d opabbidv 3eqtr4g f1oeq1 mpbid ) CJKZDJKZEJKZLZCDMNZCEONZDEONZMN
        ZGPZVLVOFPZVHVIVJVPVHCQRZDMNZVREONZVNMNZGPZCDEQQQVRVIDQRZMNZVTWCEONZMNZ
        GPZWDVRVJEQRZONZWCWHONZMNZGPZCVRSZVPVSVOGPZWBWMVLVSSVPWNTCVRDMUAVLVSVOG
        UBUCWMVOWASWNWBTWMVMVTVNMCVREOUAUDVOWAVSGUEUCUFDWCSZWBWDWAGPZWGWOVSWDSW
        BWPTDWCVRMUGVSWDWAGUBUCWOWAWFSWPWGTWOVNWEVTMDWCEOUAUHWAWFWDGUEUCUFEWHSZ
        WFWKSWGWLTWQVTWIWEWJMEWHVROUGEWHWCOUGUIWFWKWDGUEUCABVRWCWHGICQJUJUKDQJU
        JUKEQJUJUKULUMVKGFSVPVQTVKAUNZWDKZBUNZWRWHONZSZUOZABUPWRVLKZWTWREONZSZU
        OZABUPGFVKXCXGABVKWSXDXBXFVKWDVLWRVKVRCWCDMVHVIVRCSVJVHCQUQURVIVHWCDSVJ
        VIDQUQUSUIUTVKXAXEWTVKWHEWROVJVHWHESVIVJEQUQVAUHVBVCVDIHVEVLVOGFVFUCVG
        $.
        $( [26-Mar-2008] $) $( [25-Mar-2008] $)
    $}

    $( Shifting a closed-below, open-above interval is one-to-one onto.
      (Contributed by Paul Chapman, 25-Mar-2008.) $)
    icoshftf1o $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
        F : ( A [,) B ) -1-1-onto-> ( ( A + C ) [,) ( B + C ) ) ) $=
      ( cv cr wcel cc0 cif cico co caddc wceq wa copab eqid icoshftf1olem ) ABC
      DEFAHZCIJCKLDIJDKLMNJBHUAEIJEKLONPQABRZGUBST $.
      $( [26-Mar-2008] $) $( [25-Mar-2008] $)
  $}

  ${
    $d A x $.  $d B x $.  $d C x $.
    icounlem.1 $e |- A e. RR $.
    icounlem.2 $e |- B e. RR $.
    icounlem.3 $e |- C e. RR $.
    $( Lemma for ~ icoun . $)
    icounlem $p |- ( ( A <_ B /\ B <_ C ) ->
                     ( ( A [,) B ) u. ( B [,) C ) ) = ( A [,) C ) ) $=
      ( vx cle wbr wa cico co cun cv wcel wo cr clt wb wi letrt mp3an12 exp3a
      imp pm4.72 sylib adantrr orcom syl6bb wn ltnlet mpan2 adantr ltletrt
      mp3an23 com23 sylbird orrd letr sylan2 biantrurd bitrd ancom adantrl
      lelttrit mpan anbi12d orddi syl6bbr expcom pm5.32d andi w3a elico2t
      mp2an orbi12i 3anass bitr syl6rbbr elun 3bitr4g eqrdv ) ABHIZBCHIZJZGABKL
      ZBCKLZMZACKLZWEGNZWFOZWJWGOZPZWJQOZAWJHIZWJCRIZJZJZWJWHOWJWIOZWEWRWNWOWJB
      RIZJZJZWNBWJHIZWPJZJZPZWMWEWRWNXAXDPZJXFWEWNWQXGWNWEWQXGSWNWEJZWQWOXCPZWO
      WPPZJZWTXCPZWTWPPZJZJXGXHWOXKWPXNXHWOXJXIJZXKXHWOXIXOXHWOXCWOPZXIWNWCWOXP
      SZWDWNWCJXCWOTZXQWNWCXRWNWCXCWOAQOZBQOZWNWCXCJWOTDEABWJUAUBUCUDXCWOUEUFUG
      XCWOUHUIXHXJXIWNACHIZXJWEWNYAJZWOWPYBWOUJZWJARIZWPWNYDYCSZYAWNXSYEDWJAUKU
      LUMWNYAYDWPTWNYDYAWPWNYDYAWPWNXSCQOZYDYAJWPTDFWJACUNUOUCUPUDUQURABCDEFUSU
      TVAVBXJXIVCUIXHWPXMXNWNWDWPXMSZWCWNWDJWTWPTZYGWNWDYHWNWTWDWPWNWTWDWPWNXTY
      FWTWDJWPTEFWJBCUNUOUCUPUDWTWPUEUFVDXHXLXMWNXLWEWNXCWTPZXLXTWNYIEBWJVEVFXC
      WTUHUFUMVAVBVGWOWTXCWPVHVIVJVKWNXAXDVLUIWMWNWOWTVMZWNXCWPVMZPXFWKYJWLYKXS
      XTWKYJSDEABWJVNVOXTYFWLYKSEFBCWJVNVOVPYJXBYKXEWNWOWTVQWNXCWPVQVPVRVSWJWFW
      GVTWSWNWOWPVMZWRXSYFWSYLSDFACWJVNVOWNWOWPVQVRWAWB $.
      $( [15-Mar-2008] $) $( [15-Mar-2008] $)
  $}

  $( The union of end-to-end closed-below, open-above real intervals.
     (Contributed by Paul Chapman, 15-Mar-2008.) $)
  icoun $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ ( A <_ B /\ B <_ C ) )
                -> ( ( A [,) B ) u. ( B [,) C ) ) = ( A [,) C ) ) $=
    ( cr wcel w3a cle wbr wa cico co cun wceq wi cc0 cif breq1 anbi1d opreq1
    uneq1d eqeq12d imbi12d breq2 anbi12d opreq2 uneq12d eqeq1d anbi2d uneq2d
    0re elimel icounlem dedth3h imp ) ADEZBDEZCDEZFABGHZBCGHZIZABJKZBCJKZLZACJK
    ZMZUOUPUQUTVENUOAOPZBGHZUSIZVFBJKZVBLZVFCJKZMZNABCOOOVFUPBOPZGHZVMCGHZIZVFV
    MJKZVMCJKZLZVKMZNVNVMUQCOPZGHZIZVQVMWAJKZLZVFWAJKZMZNAVFMZUTVHVEVLWHURVGUSA
    VFBGQRWHVCVJVDVKWHVAVIVBAVFBJSTAVFCJSUAUBBVMMZVHVPVLVTWIVGVNUSVOBVMVFGUCBVM
    CGQUDWIVJVSVKWIVIVQVBVRBVMVFJUEBVMCJSUFUGUBCWAMZVPWCVTWGWJVOWBVNCWAVMGUCUHW
    JVSWEVKWFWJVRWDVQCWAVMJUEUICWAVFJUEUAUBVFVMWAAODUJUKBODUJUKCODUJUKULUMUN $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  ${
    $d A x $.  $d B x $.
    snunioolem.1 $e |- A e. RR $.
    snunioolem.2 $e |- B e. RR $.
    $( Lemma for ~ snunioo . $)
    snunioolem $p |- ( A < B -> ( { A } u. ( A (,) B ) ) = ( A [,) B ) ) $=
      ( vx clt wbr csn cioo co cun cico cv wcel wceq wo cr cle wa wb leloet
      mpan anbi1d wi breq1 biimpcd pm4.71 sylib orbi2d andir syl6rbbr sylan9bb
      expcom pm5.32d andi w3a cxr elioo2t rexrt syl2an mp2an 3anass bitr eleq1
      mpbii pm4.71ri orbi12i bitr4 syl6bb elico2t syl5bb orcom elun elsn eqcom
      orbi1i eqrdv ) ABFGZEAHZABIJZKZABLJZVREMZWBNZAWCOZWCVTNZPZWCWANZVRWDWFWEP
      ZWGVRWCQNZAWCRGZWCBFGZSZSZWIWDVRWNWJAWCFGZWLSZWEPZSZWIVRWJWMWQWJVRWMWQTWJ
      WMWOWEPZWLSZVRWQWJWKWSWLAQNZWJWKWSTCAWCUAUBUCVRWQWPWEWLSZPWTVRWEXBWPVRWEW
      LUDWEXBTWEVRWLAWCBFUEUFWEWLUGUHUIWOWEWLUJUKULUMUNWRWJWPSZWJWESZPWIWJWPWEU
      OWFXCWEXDWFWJWOWLUPZXCXABQNZWFXETZCDAUQNBUQNXGXAXFABWCURAUSBUSUTVAWJWOWLV
      BVCWEWJWEXAWJCAWCQVDVEVFVGVHVIWDWJWKWLUPZWNXAXFWDXHTCDABWCVJVAWJWKWLVBVCV
      KWFWEVLVIWHWCVSNZWFPWGWCVSVTVMXIWEWFXIWCAOWEEAVNWCAVOVCVPVCUKVQ $.
      $( [15-Mar-2008] $) $( [15-Mar-2008] $)
  $}

  $( The closure of one end of an open real interval.  (Contributed by Paul
     Chapman, 15-Mar-2008.) $)
  snunioo $p |- ( ( A e. RR /\ B e. RR /\ A < B ) ->
                  ( { A } u. ( A (,) B ) ) = ( A [,) B ) ) $=
    ( cr wcel clt wbr csn cioo co cun cico wceq wi cc0 cif breq1 sneq opreq1
    uneq12d eqeq12d imbi12d breq2 opreq2 uneq2d 0re elimel snunioolem dedth2h
    3impia ) ACDZBCDZABEFZAGZABHIZJZABKIZLZUJUKULUQMUJANOZBEFZURGZURBHIZJZURBKI
    ZLZMURUKBNOZEFZUTURVEHIZJZURVEKIZLZMABNNAURLZULUSUQVDAURBEPVKUOVBUPVCVKUMUT
    UNVAAURQAURBHRSAURBKRTUABVELZUSVFVDVJBVEUREUBVLVBVHVCVIVLVAVGUTBVEURHUCUDBV
    EURKUCTUAURVEANCUEUFBNCUEUFUGUHUI $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    $( Join two open intervals to create a third. $)
    ioojoint $p |- ( ( ( A e. RR /\ B e. RR /\ C e. RR ) /\ ( A < B /\ B < C )
           ) -> ( ( ( A (,) B ) u. { B } ) u. ( B (,) C ) ) = ( A (,) C ) ) $=
      ( vx cr wcel w3a clt wbr wa cioo co csn cun cico wceq snunioo 3expa
      3adantl1 adantrl uneq2d cv wo cle wb cxr elioo2t rexrt syl2an 3adant3
      3anass syl6bb elico2t 3adant1 orbi12d adantr wn wi pm2.24 ad2antrl
      lenltt biimprd 3ad2antl2 adantlr jaod ianor syl5ib pm3.27 a1d adantl
      jcad orrd ex axlttrn exp3a com23 3exp com4l imp31 imp anim2d ltletrt
      com34 3adantl3 adantrr anim1d impbid pm5.32da syl5bb andi bitr4d elun
      3adant2 eqrdv eqtrd unass syl5eq ) AEFZBEFZCEFZGZABHIZBCHIZJZJZABKLZBMZBC
      KLZNZNZACKLZXFXGNXHNXEXJXFBCOLZNZXKXEXIXLXFXAXCXIXLPZXBWSWTXCXNWRWSWTXCXN
      BCQRSTUAXEDXMXKXEDUBZXMFZXOEFZAXOHIZXOCHIZGZXOXKFZXEXOXFFZXOXLFZUCZXTXPXE
      YDXQXRXOBHIZJZJZXQBXOUDIZXSJZJZUCZXTXAYDYKUEXDXAYBYGYCYJXAYBXQXRYEGZYGWRW
      SYBYLUEZWTAUFFZBUFFYMWRWSABXOUGAUHZBUHUIUJXQXRYEUKULXAYCXQYHXSGZYJWSWTYCY
      PUEWRBCXOUMUNXQYHXSUKULUOUPXEXTXQYFYIUCZJZYKXEXQXRXSJZJYRXTXEXQYSYQXEXQJZ
      YSYQYTYSYQYTYSJZYFYIUUAYFUQZYHXSUUAXRUQZYEUQZUCYHUUBUUAUUCYHUUDXRUUCYHURY
      TXSXRYHUSUTYTUUDYHURZYSXAXQUUEXDWSWRXQUUEWTWSXQJYHUUDBXOVAVBVCVDUPVEXRYEV
      FVGYSUUBXSURYTYSXSUUBXRXSVHVIVJVKVLVMYTYFYSYIYTYEXSXRXEXQYEXSURZXAXCXQUUF
      URZXBWSWTXCUUGWRWSWTXCUUGXQWSWTXCUUFXQWSWTXCUUFURXQWSWTGZYEXCXSUUHYEXCXSX
      OBCVNVOVPVQVRVSSTVTWAYTYHXRXSXEXQYHXRURZXAXBXQUUIURZXCWRWSXBUUJWTWRWSXBUU
      JWRWSXQXBUUIWRWSXQXBUUIURWRWSXQGXBYHXRABXOWBVOVQWCVSWDWEVTWFVEWGWHXQXRXSU
      KWIXQYFYIWJULWKXOXFXLWLWIXAYAXTUEZXDWRWTUUKWSYNCUFFUUKWRWTACXOUGYOCUHUIWM
      UPWKWNWOXFXGXHWPWQ $.
      $( [11-Aug-2008] $) $( [11-Aug-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Upper partititions of integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ZZ> $. $( ` ZZ ` with greater-than-or-equal-to subscript. $)

  $( Extend class notation with the upper integer function.  Read
     " ` ZZ> `` M ` " as "the set of integers greater than or equal to
     ` M ` ." $)
  cuz $a class ZZ> $.

  ${
    $d j k y N $.  $d k M $.
    $( Define a function whose value at ` j ` is the semi-infinite set of
       contiguous integers starting at ` j ` , which we will also call the
       upper integers starting at ` j ` .  Read " ` ZZ> `` M ` " as "the set of
       integers greater than or equal to ` M ` ." See ~ uzvalt for its value,
       ~ uzssz for its relationship to ` ZZ ` , ~ nnuz and ~ nn0uz for its
       relationships to ` NN ` and ` NN0 ` , and ~ eluz1t and ~ eluz2t for its
       membership relations. $)
    df-uz $a |- ZZ> =
                  { <. j , y >. | ( j e. ZZ /\ y = { k e. ZZ | j <_ k } ) } $.

    $( The value of the upper integers function. $)
    uzvalt $p |- ( N e. ZZ -> ( ZZ> ` N ) = { k e. ZZ | N <_ k } ) $=
      ( vj vy cv cle wbr cz crab cuz wceq breq1 rabbisdv df-uz zex rabex
      fvopab4 ) CDBCEZAEZFGZAHIBSFGZAHIHJRBKTUAAHRBSFLMDCANUAAHOPQ $.
      $( [11-Sep-2005] $) $( [5-Sep-2005] $)

    $( Membership in the set of upper integers starting at ` M ` . $)
    eluz1t $p |- ( M e. ZZ ->
           ( N e. ( ZZ> ` M ) <-> ( N e. ZZ /\ M <_ N ) ) ) $=
      ( vk cz wcel cuz cfv cv cle wbr crab wa uzvalt eleq2d breq2 elrab syl6bb
      ) ADEZBAFGZEBACHZIJZCDKZEBDEABIJZLRSUBBCAMNUAUCCBDTBAIOPQ $.
      $( [11-Sep-2005] $) $( [5-Sep-2005] $)

    $( Membership in a set of upper integers.  We use the fact that a
       function's value (under our function value definition) is empty outside
       of its domain to show ` M e. ZZ ` . $)
    eluz2t $p |- ( N e. ( ZZ> ` M ) <-> ( M e. ZZ /\ N e. ZZ /\ M <_ N ) ) $=
      ( vj vy vk cuz cfv wcel cz cle wbr w3a cdm elfvdm cv crab zex rabex
      df-uz dmopab2 syl6eleq 3simp1 wa eluz1t ibar bitrd 3anass syl6bbr
      pm5.21nii ) BAFGHZAIHZUKBIHZABJKZLZUJAFMIBAFNCDICOEOJKZEIPFUOEIQRDCESTUAU
      KULUMUBUKUJUKULUMUCZUCZUNUKUJUPUQABUDUKUPUEUFUKULUMUGUHUI $.
      $( [12-Sep-2005] $) $( [5-Sep-2005] $)
  $}

  ${
    eluz.1 $e |- M e. ZZ $.
    $( Membership in a set of upper integers. $)
    eluz1 $p |- ( N e. ( ZZ> ` M ) <-> ( N e. ZZ /\ M <_ N ) ) $=
      ( cz wcel cuz cfv cle wbr wa wb eluz1t ax-mp ) ADEBAFGEBDEABHIJKCABLM $.
      $( [12-Sep-2005] $) $( [5-Sep-2005] $)
  $}

  $( Implication of membership in a set of upper integers. $)
  eluzelz $p |- ( N e. ( ZZ> ` M ) -> N e. ZZ ) $=
    ( cuz cfv wcel cz cle wbr w3a eluz2t 3simp2 sylbi ) BACDEAFEZBFEZABGHZINABJ
    MNOKL $.
    $( [14-Sep-2005] $) $( [6-Sep-2005] $)

  $( Implication of membership in a set of upper integers. $)
  eluzel2 $p |- ( N e. ( ZZ> ` M ) -> M e. ZZ ) $=
    ( cuz cfv wcel cz cle wbr w3a eluz2t 3simp1 sylbi ) BACDEAFEZBFEZABGHZIMABJ
    MNOKL $.
    $( [14-Sep-2005] $) $( [6-Sep-2005] $)

  $( Implication of membership in a set of upper integers. $)
  eluzle $p |- ( N e. ( ZZ> ` M ) -> M <_ N ) $=
    ( cuz cfv wcel cz cle wbr w3a eluz2t 3simp3 sylbi ) BACDEAFEZBFEZABGHZIOABJ
    MNOKL $.
    $( [14-Sep-2005] $) $( [6-Sep-2005] $)

  $( Membership in a set of upper integers. $)
  eluzt $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
         ( N e. ( ZZ> ` M ) <-> M <_ N ) ) $=
    ( cz wcel cuz cfv cle wbr wb wa wi eluz1t eluzelz pm4.71ri syl5bbr pm5.32
    sylibr imp ) ACDZBCDZBAEFDZABGHZIZSTUAJZTUBJZITUCKSUAUEUDABLUATABMNOTUAUBPQ
    R $.
    $( [4-Oct-2005] $) $( [2-Oct-2005] $)

  $( Membership of the least member in a set of upper integers. $)
  uzidt $p |- ( M e. ZZ -> M e. ( ZZ> ` M ) ) $=
    ( cz wcel cuz cfv cle wbr wa cr zret leidt syl ancli eluz1t mpbird ) ABCZAA
    DECPAAFGZHPQPAICQAJAKLMAANO $.
    $( [12-Sep-2005] $) $( [2-Sep-2005] $)

  $( Transitive law for sets of upper integers. $)
  uztrn $p |- ( ( M e. ( ZZ> ` K ) /\ K e. ( ZZ> ` N ) ) ->
              M e. ( ZZ> ` N ) ) $=
    ( cuz cfv wcel wa cz cle wbr w3a eluzel2 adantl eluzelz adantr eluzle wi
    cr letrt zret syl3an syl3anc mp2and 3jca eluz2t sylibr ) BADEFZACDEZFZGZCHF
    ZBHFZCBIJZKBUHFUJUKULUMUIUKUGCALMZUGULUIABNOZUJCAIJZABIJZUMUIUPUGCAPMUGUQUI
    ABPOUKAHFZULUPUQGUMQZUJCRFARFBRFUSUKURULCABSCTATBTUAUNUIURUGCANMUOUBUCUDCBU
    EUF $.
    $( [23-Sep-2005] $) $( [20-Sep-2005] $)

  $( Contraposition law for upper integers. $)
  uznegit $p |- ( N e. ( ZZ> ` M ) -> -u M e. ( ZZ> ` -u N ) ) $=
    ( cuz cfv wcel cneg cle wbr eluzle cz wb cr lenegt zret syl2an eluzel2
    eluzelz sylanc mpbid eluzt znegclt mpbird ) BACDEZAFZBFZCDEZUEUDGHZUCABGHZU
    GABIAJEZBJEZUHUGKZUCALEBLEUKUIUJABMANBNOABPZABQZRSUJUIUFUGKZUCUEJEUDJEUNUJU
    IUEUDTBUAAUAOUMULRUB $.
    $( [6-Jan-2006] $) $( [28-Nov-2005] $)

  ${
    $d j k y M $.  $d k N $.
    $( A set of upper integers is a subset of all integers. $)
    uzssz $p |- ( ZZ> ` M ) (_ ZZ $=
      ( vk vj vy cz wcel cuz cfv wss cv cle wbr crab uzvalt ssrab2 a1i eqsstrd
      wn c0 cdm wceq wa copab df-uz dmeqi dmopabss eqsstr sseli con3i ndmfv
      syl 0ss pm2.61i ) AEFZAGHZEIUNUOABJZKLZBEMZEBANUREIUNUQBEOPQUNRZUOSEUSAGT
      ZFZRUOSUAVAUNUTEAUTCJZEFDJVBUPKLBEMUAZUBCDUCZTEGVDDCBUDUEVCCDEUFUGUHUIAGU
      JUKSEIUSEULPQUM $.
      $( [13-Sep-2005] $) $( [2-Sep-2005] $)

    $( Subset relationship for two sets of upper integers. $)
    uzss $p |- ( N e. ( ZZ> ` M ) ->
               ( ZZ> ` N ) (_ ( ZZ> ` M ) ) $=
      ( vk cuz cfv wcel cv cz cle wbr wa wi eluzle adantr cr letrt zret syl3an
      3expa eluzel2 eluzelz jca sylan mpand ex imdistand wb eluz1t syl 3imtr4d
      ssrdv ) BADEZFZCBDEZULUMCGZHFZBUOIJZKZUPAUOIJZKZUOUNFZUOULFZUMUPUQUSUMUPU
      QUSLUMUPKABIJZUQUSUMVCUPABMNAHFZBHFZKUPVCUQKUSLZUMVDVEUPVFAOFBOFUOOFVFVDV
      EUPABUOPAQBQUOQRSUMVDVEABTZABUAZUBUCUDUEUFUMVEVAURUGVHBUOUHUIUMVDVBUTUGVG
      AUOUHUIUJUK $.
      $( [11-Sep-2005] $) $( [5-Sep-2005] $)
  $}

  $( The upper integers function is one-to-one. $)
  uz11t $p |- ( M e. ZZ ->
                ( ( ZZ> ` M ) = ( ZZ> ` N ) <-> M = N ) ) $=
    ( cz wcel cuz cfv wceq wa eleq2 eluzel2 syl6bi uzidt syl5 impcom cle wbr
    syl5bir eluzle syl6 syl5bi anim12d imp anassrs ancoms wb cr letri3t zret
    syl2an adantlr mpbird mpdan ex fveq2 impbid1 ) ACDZAEFZBEFZGZABGZUPUSUTUPUS
    HZBCDZUTUSUPVBUSAUQDZVBUPUSVCAURDZVBUQURAIZBAJKALZMNVAVBHUTABOPZBAOPZHZUPUS
    VBVIUSVBHUPVIUSVBUPVIUSVBUPHVIUSVBVGUPVHUSVBBUQDZVGUSVJBURDVBUQURBIBLQABRSU
    SUPVDVHUSVCVDUPVEVFTBARSUAUBUCUDUCUPVBUTVIUEZUSAUFDBUFDVKUPVBABUGAUHBUHUIUJ
    UKULUMABEUNUO $.
    $( [25-Dec-2005] $) $( [12-Dec-2005] $)

  $( Membership in the next set of upper integers. $)
  eluzp1m1t $p |- ( ( M e. ZZ /\
             N e. ( ZZ> ` ( M + 1 ) ) ) -> ( N - 1 ) e. ( ZZ> ` M ) ) $=
    ( cz wcel c1 caddc co cuz cfv cmin cle wbr wa peano2zm ad2antrl cr wb 1re
    leaddsubt mp3an2 zret syl2an biimpa anasss jca ex peano2z eluz1t syl
    3imtr4d imp ) ACDZBAEFGZHIDZBEJGZAHIDZULBCDZUMBKLZMZUOCDZAUOKLZMZUNUPULUSVB
    ULUSMUTVAUQUTULURBNOULUQURVAULUQMURVAAPDZBPDZURVAQZULUQVCEPDVDVERAEBSTAUABU
    AUBUCUDUEUFULUMCDUNUSQAUGUMBUHUIAUOUHUJUK $.
    $( [28-Sep-2005] $) $( [12-Sep-2005] $)

  $( Strict ordering implied by membership in the next set of upper
     integers. $)
  eluzp1lt $p |- ( ( M e. ZZ /\
             N e. ( ZZ> ` ( M + 1 ) ) ) -> M < N ) $=
    ( cz wcel c1 caddc co cuz cfv wa clt wbr cle eluzle adantl wb zltp1let
    eluzelz sylan2 mpbird ) ACDZBAEFGZHIDZJABKLZUBBMLZUCUEUAUBBNOUABCDUDUEPUCAB
    QUBBRST $.
    $( [1-Oct-2005] $) $( [12-Sep-2005] $)

  $( Membership in the next set of upper integers. $)
  eluzp1p1t $p |- ( N e. ( ZZ> ` M ) ->
                       ( N + 1 ) e. ( ZZ> ` ( M + 1 ) ) ) $=
    ( cz wcel cle wbr w3a c1 caddc co cuz cfv peano2z 3ad2ant1 3ad2ant2 cr wb
    1re leadd1t mp3an3 zret syl2an biimp3a 3jca eluz2t 3imtr4 ) ACDZBCDZABEFZGZ
    AHIJZCDZBHIJZCDZUKUMEFZGBAKLDUMUKKLDUJULUNUOUGUHULUIAMNUHUGUNUIBMOUGUHUIUOA
    PDZBPDZUIUOQZUGUHUPUQHPDURRABHSTAUABUAUBUCUDABUEUKUMUEUF $.
    $( [5-Oct-2005] $) $( [5-Oct-2005] $)

 ${
    eluzaddi.1 $e |- M e. ZZ $.
    eluzaddi.2 $e |- K e. ZZ $.
    $( Membership in a later set of upper integers.  (Contributed by Paul
       Chapman, 22-Nov-2007.) $)
    eluzaddi $p |- ( N e. ( ZZ> ` M ) -> ( N + K ) e. ( ZZ> ` ( M + K ) ) ) $=
      ( cuz cfv wcel caddc co cz cle wbr wa eluzelz zaddclt mpan2 syl eluz1 cr
      wb zret zre leadd1t mp3an13 biimpa sylbi jca mp2an sylibr ) CBFGHZCAIJZKH
      ZBAIJZULLMZNULUNFGHUKUMUOUKCKHZUMBCOUPAKHZUMECAPQRUKUPBCLMZNUOBCDSUPURUOU
      PCTHZURUOUAZCUBBTHUSATHUTBDUCAEUCBCAUDUERUFUGUHUNULBKHUQUNKHDEBAPUISUJ $.
      $( [23-Nov-2007] $) $( [22-Nov-2007] $)

    $( Membership in an earlier set of upper integers.  (Contributed by Paul
       Chapman, 22-Nov-2007.) $)
    eluzsubi $p |- ( N e. ( ZZ> ` ( M + K ) ) -> ( N - K ) e. ( ZZ> ` M ) ) $=
      ( caddc co cuz cfv wcel cmin cz cle wbr wa eluzelz zsubclt mpan2 syl
      zaddclt mp2an eluz1 cr wb zret zre leaddsubt mp3an12 biimpa sylbi jca
      sylibr ) CBAFGZHIJZCAKGZLJZBUOMNZOUOBHIJUNUPUQUNCLJZUPUMCPURALJZUPECAQRSU
      NURUMCMNZOUQUMCBLJUSUMLJDEBATUAUBURUTUQURCUCJZUTUQUDZCUEBUCJAUCJVAVBBDUFA
      EUFBACUGUHSUIUJUKBUODUBUL $.
      $( [23-Nov-2007] $) $( [22-Nov-2007] $)
  $}

  $( Nonnegative integers expressed as a set of upper integers. $)
  nn0uz $p |- NN0 = ( ZZ> ` 0 ) $=
    ( vk cn0 cc0 cv cle wbr cz crab cuz cfv nn0zrab wcel wceq 0z uzvalt ax-mp
    eqtr4 ) BCADEFAGHZCIJZAKCGLSRMNACOPQ $.
    $( [11-Sep-2005] $) $( [2-Sep-2005] $)

  $( Natural numbers expressed as a set of upper integers. $)
  nnuz $p |- NN = ( ZZ> ` 1 ) $=
    ( vk cn c1 cv cle wbr cz crab cuz cfv nnzrab wcel wceq 1z uzvalt ax-mp
    eqtr4 ) BCADEFAGHZCIJZAKCGLSRMNACOPQ $.
    $( [11-Sep-2005] $) $( [2-Sep-2005] $)

  $( A natural number expressed as a member of a set of upper integers. $)
  elnnuz $p |- ( N e. NN <-> N e. ( ZZ> ` 1 ) ) $=
    ( cn c1 cuz cfv nnuz eleq2i ) BCDEAFG $.
    $( [6-Jun-2006] $) $( [6-Jun-2006] $)

  $( A nonnegative integer expressed as a member a set of upper integers. $)
  elnn0uz $p |- ( N e. NN0 <-> N e. ( ZZ> ` 0 ) ) $=
    ( cn0 cc0 cuz cfv nn0uz eleq2i ) BCDEAFG $.
    $( [7-Jun-2006] $) $( [6-Jun-2006] $)

  ${
    $d m n M $.
    $( Restricted universal quantification in a set of upper integers. $)
    raluz $p |- ( M e. ZZ -> ( A. n e. ( ZZ> ` M ) ph <->
               A. n e. ZZ ( M <_ n -> ph ) ) ) $=
      ( cz wcel cv cle wbr wi cuz cfv wa eluz1t imbi1d impexp syl6bb ralbidv2
      ) CDEZACBFZGHZAIZBCJKZDRSUBEZAISDEZTLZAIUDUAIRUCUEACSMNUDTAOPQ $.
      $( [27-Sep-2005] $) $( [9-Sep-2005] $)

    $( Restricted universal quantification in a set of upper integers. $)
    raluz2 $p |- ( A. n e. ( ZZ> ` M ) ph <->
               ( M e. ZZ -> A. n e. ZZ ( M <_ n -> ph ) ) ) $=
      ( cuz cfv wral cz wcel cv cle wbr wi wa w3a eluz2t 3anass bitr imbi1i
      impexp imbi2i bi2.04 3bitr ralbii2 r19.21v ) ABCDEZFCGHZCBIZJKZALZLZBGFUF
      UIBGFLAUJBUEGUGUEHZALUFUGGHZUHMZMZALZUFULUILZLZULUJLUKUNAUKUFULUHNUNCUGOU
      FULUHPQRUOUFUMALZLUQUFUMASURUPUFULUHASTQUFULUIUAUBUCUFUIBGUDQ $.
      $( [3-Oct-2005] $) $( [9-Sep-2005] $)

    $( Restricted existential quantification in a set of upper integers. $)
    rexuz $p |- ( M e. ZZ -> ( E. n e. ( ZZ> ` M ) ph <->
               E. n e. ZZ ( M <_ n /\ ph ) ) ) $=
      ( cz wcel cv cle wbr wa cuz cfv eluz1t anbi1d anass syl6bb rexbidv2 ) CDE
      ZACBFZGHZAIZBCJKZDQRUAEZAIRDEZSIZAIUCTIQUBUDACRLMUCSANOP $.
      $( [6-Oct-2005] $) $( [9-Sep-2005] $)

    $( Restricted existential quantification in a set of upper integers. $)
    rexuz2 $p |- ( E. n e. ( ZZ> ` M ) ph <->
               ( M e. ZZ /\ E. n e. ZZ ( M <_ n /\ ph ) ) ) $=
      ( cuz cfv wrex cz wcel cv cle wbr wa w3a eluz2t df-3an bitr anbi1i anass
      an12 3bitr rexbii2 r19.42v ) ABCDEZFCGHZCBIZJKZALZLZBGFUDUGBGFLAUHBUCGUEU
      CHZALUDUEGHZLZUFLZALUKUGLZUJUHLZUIULAUIUDUJUFMULCUENUDUJUFOPQUKUFARUMUDUJ
      UGLLUNUDUJUGRUDUJUGSPTUAUDUGBGUBP $.
      $( [17-Oct-2005] $) $( [9-Sep-2005] $)

    $( Double existential quantification in a set of upper integers. $)
    2rexuz $p |- ( E. m E. n e. ( ZZ> ` m ) ph <->
                  E. m e. ZZ E. n e. ZZ ( m <_ n /\ ph ) ) $=
      ( cv cuz cfv wrex wex cz wcel cle wbr wa rexuz2 exbii df-rex bitr4 ) ACBD
      ZEFGZBHRIJRCDKLAMCIGZMZBHTBIGSUABACRNOTBIPQ $.
      $( [4-Nov-2005] $) $( [3-Nov-2005] $)
  $}

  $( Second Peano postulate for a set of upper integers. $)
  peano2uz $p |- ( N e. ( ZZ> ` M ) ->
                 ( N + 1 ) e. ( ZZ> ` M ) ) $=
    ( cz wcel cle wbr w3a c1 caddc co cuz cfv 3simp1 peano2z 3ad2ant2 cr
    letrp1t zret syl3an2 syl3an1 3jca eluz2t 3imtr4 ) ACDZBCDZABEFZGZUDBHIJZCDZ
    AUHEFZGBAKLZDUHUKDUGUDUIUJUDUEUFMUEUDUIUFBNOAPDZUEUFUJUDULBPDUFUJUEABQBRSAR
    TUAABUBAUHUBUC $.
    $( [12-Sep-2005] $) $( [7-Sep-2005] $)

  $( Reversed second Peano axiom for upper integers. $)
  peano2uzr $p |- ( ( M e. ZZ /\
             N e. ( ZZ> ` ( M + 1 ) ) ) -> N e. ( ZZ> ` M ) ) $=
    ( cz wcel c1 caddc co cuz cfv wa cmin wceq cc eluzelz zcnt ax1cn npcant
    mpan2 3syl adantl eluzp1m1t peano2uz syl eqeltrrd ) ACDZBAEFGZHIDZJZBEKGZEF
    GZBAHIZUGUJBLZUEUGBCDBMDZULUFBNBOUMEMDULPBEQRSTUHUIUKDUJUKDABUAAUIUBUCUD $.
    $( [3-Jan-2006] $) $( [2-Jan-2006] $)

  ${
    $d j K $.  $d j k M $.  $d j k N $.
    $( Addition closure law for a set of upper integers. $)
    uzaddclt $p |- ( ( N e. ( ZZ> ` M ) /\ K e. NN0 ) ->
                   ( N + K ) e. ( ZZ> ` M ) ) $=
      ( vj vk cn0 wcel cuz cfv caddc co cv wi cc0 c1 wa wceq cc ax1cn axaddass
      mp3an3 cz eluzelz zcnt syl nn0cnt syl2an ancoms adantr peano2uz adantl
      eqeltrrd exp31 a2d ax0id eleq1d ibir opreq2 imbi2d nn0indALT impcom ) AFG
      CBHIZGZCAJKZVBGZVCCDLZJKZVBGZMVCCNJKZVBGZMVCCELZJKZVBGZMVCCVKOJKZJKZVBGZM
      VCVEMDEAVKFGZVCVMVPVQVCVMVPVQVCPZVMPVLOJKZVOVBVRVSVOQZVMVCVQVTCRGZVKRGZVT
      VCVQWAWBORGVTSCVKOTUAVCCUBGWABCUCCUDUEZVKUFUGUHUIVMVSVBGVRBVLUJUKULUMUNVC
      VJVCVICVBVCWAVICQWCCUOUEUPUQVFNQZVHVJVCWDVGVIVBVFNCJURUPUSVFVKQZVHVMVCWEV
      GVLVBVFVKCJURUPUSVFVNQZVHVPVCWFVGVOVBVFVNCJURUPUSVFAQZVHVEVCWGVGVDVBVFACJ
      URUPUSUTVA $.
      $( [4-Jun-2006] $) $( [4-Jun-2006] $)
  $}

  ${
    $d j m N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.
    $d k ph $.  $d j k m M $.
    $( Substitutions. $)
    uzind4.1 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind4.2 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind4.3 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind4.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind4.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction hypothesis. $)
    uzind4.6 $e |- ( k e. ( ZZ> ` M ) -> ( ch -> th ) ) $.
    $( Induction on the set of upper integers that starts at an integer
       ` M ` .  The first four hypotheses give us the substitution instances we
       need, and the last two are the basis and the induction hypothesis. $)
    uzind4 $p |- ( N e. ( ZZ> ` M ) -> ta ) $=
      ( vm cz wcel cv cle wbr crab cuz cfv wa wi w3a eluz2t biimpr 3expb breq2
      elrab sylan2b syl uzind3 eluzel2 eluzelz eluzle jca sylibr sylanc ) HQRZI
      HPSZTUAZPQUBZRZEIHUCUDZRZABCDEFPGHIJKLMNVBGSZVERZUEVIVGRZCDUFVBVIQRZHVITU
      AZUEVKVJVBVLVMVKVKVBVLVMUGHVIUHUIUJVDVMPVIQVCVIHTUKULUMOUNUOHIUPVHIQRZHIT
      UAZUEVFVHVNVOHIUQHIURUSVDVOPIQVCIHTUKULUTVA $.
      $( [24-Sep-2005] $) $( [7-Sep-2005] $)
  $}

  ${
    $d j N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.
    $d k ph $.  $d j k M $.
    $( Basis. $)
    uzind4ALT.5 $e |- ( M e. ZZ -> ps ) $.
    $( Induction hypothesis. $)
    uzind4ALT.6 $e |- ( k e. ( ZZ> ` M ) -> ( ch -> th ) ) $.
    $( Substitutions. $)
    uzind4ALT.1 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind4ALT.2 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind4ALT.3 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind4ALT.4 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Alternate version of ~ uzind4 with different hypothesis order for easier
       use with the Metamath Proof Assistant, since "assign last" will assign
       the substitutions first.  (This may or may not be kept permanenently,
       or it may replace ~ uzind4 - I haven't decided yet. -nm) $)
    uzind4ALT $p |- ( N e. ( ZZ> ` M ) -> ta ) $=
      ( uzind4 ) ABCDEFGHILMNOJKP $.
      $( [14-Jan-2006] $) $( [7-Sep-2005] $)
  $}

  ${
    $d m k j M $.  $d j N $.  $d j m ph $.
    $( Basis. $)
    uzind4s.1 $e |- ( M e. ZZ -> [ M / k ] ph ) $.
    $( Induction hypothesis. $)
    uzind4s.2 $e |- ( k e. ( ZZ> ` M ) -> ( ph -> [ ( k + 1 ) / k ] ph ) ) $.
    $( Induction on the set of upper integers that starts at an integer
       ` M ` , using explicit substitution.  The hypotheses are the basis and
       the induction hypothesis. $)
    uzind4s $p |- ( N e. ( ZZ> ` M ) -> [ N / k ] ph ) $=
      ( vj vm cv wsbc c1 caddc co dfsbcq cuz cfv wcel wi ax-17 visset hbsbc1v
      oprex hbim wceq eleq1 sbequ12 wb opreq1 syl imbi12d chvar uzind4 ) ABGIZJ
      ABCJABHIZJZABUNKLMZJZABDJGHCDABUMCNABUMUNNABUMUPNABUMDNEBIZCOPZQZAABURKLM
      ZJZRZRUNUSQZUOUQRZRBHVDVEBVDBSUOUQBABUNHTUAABUPUNKLUBUAUCUCURUNUDZUTVDVCV
      EURUNUSUEVFAUOVBUQABHUFVFVAUPUDVBUQUGURUNKLUHABVAUPNUIUJUJFUKUL $.
      $( [21-Feb-2006] $) $( [4-Nov-2005] $)
  $}

  ${
    $d k m n M $.  $d m N $.  $d k m n ph $.  $d j k m n $.
    $( Basis. $)
    uzind4s2.1 $e |- ( M e. ZZ -> [ M / j ] ph ) $.
    $( Induction hypothesis. $)
    uzind4s2.2 $e |- ( k e. ( ZZ> ` M ) ->
                     ( [ k / j ] ph -> [ ( k + 1 ) / j ] ph ) ) $.
    $( Induction on the set of upper integers that starts at an integer
       ` M ` , using explicit substitution.  The hypotheses are the basis and
       the induction hypothesis.  Use this instead of ~ uzind4s when ` j `
       and ` k ` must be distinct in ` [ ( k + 1 ) / j ] ph ` . $)
    uzind4s2 $p |- ( N e. ( ZZ> ` M ) -> [ N / j ] ph ) $=
      ( vm vn cv wsbc c1 caddc co dfsbcq cuz cfv wcel wi ax-17 hbim wceq eleq1
      wb opreq1 syl imbi12d chvar uzind4 ) ABHJZKABDKABIJZKZABUKLMNZKZABEKHIDEA
      BUJDOABUJUKOABUJUMOABUJEOFCJZDPQZRZABUOKZABUOLMNZKZSZSUKUPRZULUNSZSCIVBVC
      CVBCTULUNCULCTUNCTUAUAUOUKUBZUQVBVAVCUOUKUPUCVDURULUTUNABUOUKOVDUSUMUBUTU
      NUDUOUKLMUEABUSUMOUFUGUGGUHUI $.
      $( [7-Mar-2006] $) $( [16-Nov-2005] $)
  $}

  ${
    $d j m N $.  $d j ps $.  $d j ch $.  $d j th $.  $d j ta $.
    $d k ph $.  $d j k m M $.
    $( Lower bound. $)
    uzind4i.1 $e |- M e. ZZ $.
    $( Substitutions. $)
    uzind4i.2 $e |- ( j = M -> ( ph <-> ps ) ) $.
    uzind4i.3 $e |- ( j = k -> ( ph <-> ch ) ) $.
    uzind4i.4 $e |- ( j = ( k + 1 ) -> ( ph <-> th ) ) $.
    uzind4i.5 $e |- ( j = N -> ( ph <-> ta ) ) $.
    $( Basis. $)
    uzind4i.6 $e |- ps $.
    $( Induction hypothesis. $)
    uzind4i.7 $e |- ( k e. ( ZZ> ` M ) -> ( ch -> th ) ) $.
    $( Induction on the upper integers that start at ` M ` .  The first
       hypothesis specifies the lower bound, the next four give us the
       substitution instances we need, and the last two are the basis and the
       induction hypothesis. $)
    uzind4i $p |- ( N e. ( ZZ> ` M ) -> ta ) $=
      ( vm cuz cfv wcel cv cle wbr cz crab wceq uzvalt ax-mp eleq2i a1i wi
      sylbir adantl uzind3 mpan sylbi ) IHRSZTIHQUAUBUCQUDUEZTZEUQURIHUDTZUQURU
      FJQHUGUHZUIUTUSEJABCDEFQGHIKLMNBUTOUJGUAZURTZCDUKZUTVCVBUQTVDUQURVBVAUIPU
      LUMUNUOUP $.
      $( [1-Oct-2005] $) $( [4-Sep-2005] $)
  $}

  ${
    $d h t n m M $.  $d h j t k m n S $.
    $( Well-ordering principle:  any non-empty subset of a set of upper
       integers has a least element. $)
    uzwo $p |- ( ( S (_ ( ZZ> ` M ) /\ S =/= (/) ) ->
               E. j e. S A. k e. S j <_ k ) $=
      ( vt vn vh vm cuz cfv wss c0 wne wa cv cle wbr wral wrex wn wcel wal
      wceq wi c1 caddc co breq1 ralbidv imbi2d cz ssel eluzle syl6 r19.21aiv
      adantr a1i eluzelz rcla4ev expcom con3d com12 wb cr letri3t zret syl2an
      clt zleltp1t ltnlet peano2re syl bitrd ancoms anbi2d ssel2 sylan2 eleq1a
      ad2antll sylbird exp3a con1 com23 exp32 com34 imp41 r19.20dva ex sylan9r
      pm2.43d exp31 imp3a uzssz sstr mpan2 sylani a2d uzind4 adantl sylcom
      adantrd pm2.61i 19.21adv eq0 syl6ibr necon1ad imp breq2 cbvralv rexbii
      sylib ) ADIJZKZALMZNBOZEOZPQZEARZBASZXOCOZPQZCARZBASXMXNXSXMXSALXMXSTZFOZ
      AUAZTZFUBALUCXMYCYFFXMYCYFYDXLUAZXMYCNZYFUDYGYHYDXPPQZEARZYFYHGOZXPPQZEAR
      ZUDYHDXPPQZEARZUDZYHHOZXPPQZEARZUDYHYQUEUFUGZXPPQZEARZUDYHYJUDGHDYDYKDUCZ
      YMYOYHUUCYLYNEAYKDXPPUHUIUJYKYQUCZYMYSYHUUDYLYREAYKYQXPPUHUIUJYKYTUCZYMUU
      BYHUUEYLUUAEAYKYTXPPUHUIUJYKYDUCZYMYJYHUUFYLYIEAYKYDXPPUHUIUJYPDUKUAXMYOY
      CXMYNEAXMXPAUAZXPXLUAYNAXLXPULDXPUMUNUOUPUQYQXLUAZYHYSUUBUUHAUKKZYCYSUUBU
      DZXMUUHYQUKUAZUUIYCNUUJUDDYQURUUKUUIYCUUJUUKUUIYCUUJUUKUUINZYCNYSUUBYCYSY
      QAUAZTZUULUUJYSYCUUNYSUUMXSUUMYSXSXRYSBYQAXOYQUCXQYREAXOYQXPPUHUIUSUTVAVB
      UULUUNUUJUULUUNNYRUUAEAUUKUUIUUNUUGYRUUAUDZUUKUUIUUGUUNUUOUUKUUIUUGUUNUUO
      UDUUKUUIUUGNZNZYRUUNUUAUUQYRUUATZUUMUDUUNUUAUDUUQYRUURUUMUUQYRUURNZYQXPUC
      ZUUMUUKXPUKUAZUUTUUSVCUUPUUKUVANZUUTYRXPYQPQZNZUUSYQVDUAZXPVDUAZUUTUVDVCU
      UKUVAYQXPVEYQVFZXPVFZVGUVBUVCUURYRUVAUUKUVCUURVCUVAUUKNUVCXPYTVHQZUURXPYQ
      VIUVFYTVDUAZUVIUURVCUVAUUKXPYTVJUVHUUKUVEUVJUVGYQVKVLVGVMVNVOVMAUKXPVPVQU
      UGUUTUUMUDUUKUUIXPAYQVRVSVTWAUUAUUMWBUNWCWDWEWFWGWHWIWJWKWLVLXMXLUKKUUIDW
      MAXLUKWNWOWPWQWRYCYJYFUDXMYJYCYFYJYEXSYEYJXSXRYJBYDAXOYDUCXQYIEAXOYDXPPUH
      UIUSUTVAVBWSWTYGTZXMYFYCXMUVKYFXMYEYGAXLYDULVAVBXAXBWHXCFAXDXEXFXGXRYBBAX
      QYAECAXPXTXOPXHXIXJXK $.
      $( [17-Apr-2007] $) $( [8-Oct-2005] $)

    $( Well-ordering principle:  any non-empty subset of the upper integers
       has a least element. $)
    uzwoOLD $p |- ( ( S (_ ( ZZ> ` M ) /\ -. S = (/) ) ->
               E. j e. S A. k e. S j <_ k ) $=
      ( vt vn vh vm cuz cfv wss c0 wceq wn wa cv cle wbr wral wrex wcel wal wi
      c1 caddc co breq1 ralbidv imbi2d cz ssel eluzle syl6 r19.21aiv adantr
      a1i eluzelz rcla4ev expcom con3d com12 wb cr letri3t zret syl2an clt
      zleltp1t ltnlet peano2re syl bitrd ancoms anbi2d ssel2 sylan2 eleq1a
      ad2antll sylbird exp3a con1 com23 exp32 com34 imp41 r19.20dva ex sylan9r
      pm2.43d exp31 imp3a uzssz sstr mpan2 sylani a2d uzind4 adantl sylcom
      adantrd pm2.61i 19.21adv eq0 syl6ibr con1d imp breq2 cbvralv rexbii
      sylib ) ADIJZKZALMZNZOBPZEPZQRZEASZBATZXOCPZQRZCASZBATXLXNXSXLXSXMXLXSNZF
      PZAUAZNZFUBXMXLYCYFFXLYCYFYDXKUAZXLYCOZYFUCYGYHYDXPQRZEASZYFYHGPZXPQRZEAS
      ZUCYHDXPQRZEASZUCZYHHPZXPQRZEASZUCYHYQUDUEUFZXPQRZEASZUCYHYJUCGHDYDYKDMZY
      MYOYHUUCYLYNEAYKDXPQUGUHUIYKYQMZYMYSYHUUDYLYREAYKYQXPQUGUHUIYKYTMZYMUUBYH
      UUEYLUUAEAYKYTXPQUGUHUIYKYDMZYMYJYHUUFYLYIEAYKYDXPQUGUHUIYPDUJUAXLYOYCXLY
      NEAXLXPAUAZXPXKUAYNAXKXPUKDXPULUMUNUOUPYQXKUAZYHYSUUBUUHAUJKZYCYSUUBUCZXL
      UUHYQUJUAZUUIYCOUUJUCDYQUQUUKUUIYCUUJUUKUUIYCUUJUUKUUIOZYCOYSUUBYCYSYQAUA
      ZNZUULUUJYSYCUUNYSUUMXSUUMYSXSXRYSBYQAXOYQMXQYREAXOYQXPQUGUHURUSUTVAUULUU
      NUUJUULUUNOYRUUAEAUUKUUIUUNUUGYRUUAUCZUUKUUIUUGUUNUUOUUKUUIUUGUUNUUOUCUUK
      UUIUUGOZOZYRUUNUUAUUQYRUUANZUUMUCUUNUUAUCUUQYRUURUUMUUQYRUUROZYQXPMZUUMUU
      KXPUJUAZUUTUUSVBUUPUUKUVAOZUUTYRXPYQQRZOZUUSYQVCUAZXPVCUAZUUTUVDVBUUKUVAY
      QXPVDYQVEZXPVEZVFUVBUVCUURYRUVAUUKUVCUURVBUVAUUKOUVCXPYTVGRZUURXPYQVHUVFY
      TVCUAZUVIUURVBUVAUUKXPYTVIUVHUUKUVEUVJUVGYQVJVKVFVLVMVNVLAUJXPVOVPUUGUUTU
      UMUCUUKUUIXPAYQVQVRVSVTUUAUUMWAUMWBWCWDWEWFWGWHWIWJWKVKXLXKUJKUUIDWLAXKUJ
      WMWNWOWPWQYCYJYFUCXLYJYCYFYJYEXSYEYJXSXRYJBYDAXOYDMXQYIEAXOYDXPQUGUHURUSU
      TVAWRWSYGNZXLYFYCXLUVKYFXLYEYGAXKYDUKUTVAWTXAWGXBFAXCXDXEXFXRYBBAXQYAECAX
      PXTXOQXGXHXIXJ $.
      $( [10-Oct-2005] $) $( [8-Oct-2005] $)

    $( Well-ordering principle:  any non-empty subset of upper integers has a
       unique least element. $)
    uzwo2 $p |- ( ( S (_ ( ZZ> ` M ) /\ S =/= (/) ) ->
               E! j e. S A. k e. S j <_ k ) $=
      ( cuz cfv wss c0 wne cv cle wbr wral wrex wreu uzwo cr lbreu cz uzssz
      zssre sstri sstr mpan2 sylan syldan ) ADEFZGZAHIBJCJKLCAMZBANZUIBAOZABCDP
      AQGZUJUKUHBCARUHUGQGULUGSQDTUAUBAUGQUCUDUEUF $.
      $( [22-Apr-2007] $) $( [8-Oct-2005] $)
  $}

  ${
    $d x y A $.
    $( Well-ordering principle:  any non-empty set of natural numbers has a
       least element.  Theorem I.37 (well-ordering principle) of [Apostol]
       p. 34. $)
    nnwo $p |- ( ( A (_ NN /\ A =/= (/) ) -> E. x e. A A. y e. A x <_ y ) $=
      ( c1 cuz cfv wss c0 wceq wn cv cle wbr wral wrex cn wne uzwoOLD nnuz
      sseq2i df-ne syl2anb ) CDEFZGCHIJAKBKLMBCNACOCPGCHQCABDRPUCCSTCHUAUB $.
      $( [11-Nov-2004] $) $( [17-Aug-2001] $)
  $}

  ${
    $d x y z w v $.  $d w v z A $.
    nnwof.1 $e |- ( z e. A -> A. x z e. A ) $.
    nnwof.2 $e |- ( z e. A -> A. y z e. A ) $.
    $( Well-ordering principle:  any non-empty set of natural numbers has a
       least element.  This version allows ` x ` and ` y ` to be present in
       ` A ` as long as they are effectively not free. $)
    nnwof $p |- ( ( A (_ NN /\ A =/= (/) ) -> E. x e. A A. y e. A x <_ y ) $=
      ( vw vv cn wss c0 wne wa cv cle wbr wral wrex nnwo wcel wi wal wex ax-17
      hbel hbim wceq eleq1 breq2 imbi12d cbval anbi2i exbii hbal hban breq1
      imbi2d albidv anbi12d cbvex bitr df-rex 3bitr4 df-ral rexbii sylib ) DIJD
      KLMGNZHNZOPZHDQZGDRZANZBNZOPZBDQZADRZGHDSVHDTZVIUAZHUBZGDRZVMDTZVNUAZBUBZ
      ADRZVKVPVGDTZVSMZGUCZVLDTZWCMZAUCZVTWDWGWEWAVGVMOPZUAZBUBZMZGUCWJWFWNGVSW
      MWEVRWLHBVQVIBBCCVHDCNZVHTBUDFUEVIBUDUFWLHUDVHVMUGVQWAVIWKVHVMDUHVHVMVGOU
      IUJUKULUMWNWIGAWEWMAACCVGDWOVGTAUDEUEWLABWAWKAACCVMDWOVMTAUDEUEWKAUDUFUNU
      OWIGUDVGVLUGZWEWHWMWCVGVLDUHWPWLWBBWPWKVNWAVGVLVMOUPUQURUSUTVAVSGDVBWCADV
      BVCVJVSGDVIHDVDVEVOWCADVNBDVDVEVCVF $.
      $( [17-Aug-2001] $)
  $}

  ${
    $d x y z $.  $d y z ph $.  $d x ps $.
    nnwos.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Well-ordering principle:  any non-empty set of natural numbers has a
       least element (schema form). $)
    nnwos $p |- ( E. x e. NN ph ->
                  E. x e. NN ( ph /\ A. y e. NN ( ps -> x <_ y ) ) ) $=
      ( vz cn crab wss c0 wne wa cv cle wbr wral wrex wi hbrab1 wcel ax-17
      nnwof ssrab2 biantrur rabn0 bitr3 wex wal df-rex rabid df-ral elrab
      imbi1i impexp bitr albii anbi12i exbii anbi2i anass bitr4 3bitr 3imtr3 )
      ACGHZGIZVDJKZLZCMZDMZNOZDVDPZCVDQZACGQZABVJRZDGPZLZCGQZCDFVDACFGSFMVDTDUA
      UBVGVFVMVEVFACGUCUDACGUEUFVLVHVDTZVKLZCUGVHGTZALZVIGTZVNRZDUHZLZCUGZVQVKC
      VDUIVSWECVRWAVKWDACGUJVKVIVDTZVJRZDUHWDVJDVDUKWHWCDWHWBBLZVJRWCWGWIVJABCV
      IGEULUMWBBVJUNUOUPUOUQURWFVTVPLZCUGVQWEWJCWEWAVOLWJVOWDWAVNDGUKUSVTAVOUTU
      FURVPCGUIVAVBVC $.
      $( [17-Aug-2001] $)
  $}

  ${
    $d x y $.  $d y ph $.  $d x ps $.
    $( Substitutions. $)
    indstr.1 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Induction hypothesis. $)
    indstr.2 $e |- ( x e. NN -> ( A. y e. NN ( y < x -> ps ) -> ph ) ) $.
    $( Strong Mathematical Induction for positive integers (inference
       schema). $)
    indstr $p |- ( x e. NN -> ph ) $=
      ( cn wral wn wrex cv cle wbr wi wa wcel pm3.24 clt cr wb lenltt nnret
      syl2an imbi2d pm4.1 syl6bbr ralbidva sylbid anim2d ancom syl6ib mtoi
      nrex wceq negbid nnwos mto dfral2 mpbir rspec ) ACGACGHAIZCGJZIVBVABIZCKZ
      DKZLMZNZDGHZOZCGJVICGVDGPZVIAVAOZAQVJVIVAAOVKVJVHAVAVJVHVEVDRMZBNZDGHAVJV
      GVMDGVJVEGPZOZVGVCVLIZNVMVOVFVPVCVDSPVESPVFVPTVJVNVDVEUAVDUBVEUBUCUDVLBUE
      UFUGFUHUIVAAUJUKULUMVAVCCDVDVEUNABEUOUPUQACGURUSUT $.
      $( [17-Aug-2001] $)
  $}

  ${
    $d j k M $.
    uzinfm.1 $e |- M e. ZZ $.
    $( Extract the lower bound of a set of upper integers as its infimum.  Note
       that the " ` ``' < ` " argument turns supremum into infimum (for which
       we do not currently have a separate notation). $)
    uzinfm $p |- sup ( ( ZZ> ` M ) , RR , `' < ) = M $=
      ( vj vk cuz cfv cr clt ccnv csup cv cle wbr wral crab cuni wss wrex wceq
      cz uzssz zssre sstri wcel uzidt ax-mp eluzle rgen breq1 ralbidv rcla4ev
      mp2an lbinfm wreu wb lbreu reuuni2 mpbi eqtr ) AEFZGHIJZCKZDKZLMZDUTNZCUT
      OPZAUTGQZVECUTRZVAVFSUTTGAUAUBUCZAUTUDZAVCLMZDUTNZVHATUDVJBAUEUFZVKDUTAVC
      UGUHZVEVLCAUTVBASVDVKDUTVBAVCLUIUJZUKULZCDUTUMULVLVFASZVNVJVECUTUNZVLVQUO
      VMVGVHVRVIVPCDUTUPULVEVLCUTAVOUQULURUS $.
      $( [8-Oct-2005] $) $( [7-Oct-2005] $)
  $}

  $( The infimum of the set of natural numbers is one. $)
  nninfm $p |- sup ( NN , RR , `' < ) = 1 $=
    ( cn cr clt ccnv csup c1 cuz cfv wceq nnuz supeq1 ax-mp 1z uzinfm eqtr ) AB
    CDZEZFGHZBPEZFARIQSIJBARPKLFMNO $.
    $( [24-Jun-2005] $) $( [16-Jun-2005] $)

  $( The infimum of the set of nonnegative integers is zero.  Note that
     " ` ``' < ` " turns sup into inf. $)
  nn0infm $p |- sup ( NN0 , RR , `' < ) = 0 $=
    ( cn0 cr clt ccnv csup cc0 cuz cfv wceq nn0uz supeq1 ax-mp 0z uzinfm eqtr
    ) ABCDZEZFGHZBPEZFARIQSIJBARPKLFMNO $.
    $( [10-Jul-2005] $) $( [16-Jun-2005] $)

  ${
    $d j k S $.  $d k A $.
    $( The infimum of a subset of a set of upper integers is less than
       or equal to all members of the subset.  Note that the " ` ``' < ` "
       argument turns supremum into infimum (for which we do not currently have
       a separate notation). $)
    infmssuzle $p |- ( ( S (_ ( ZZ> ` M ) /\ -. S = (/) /\ A e. S ) ->
                sup ( S , RR , `' < ) <_ A ) $=
      ( vj vk cr wss cv cle wbr wral wrex wcel clt ccnv csup cuz cfv c0 wceq
      wn w3a lbinfmle cz uzssz zssre sstri sstr mpan2 3ad2ant1 uzwoOLD 3adant3
      3simp3 syl3anc ) BFGZDHEHIJEBKDBLZABMZBFNOPAIJBCQRZGZBSTUAZUQUBDEABUCUSUT
      UOUQUSURFGUOURUDFCUEUFUGBURFUHUIUJUSUTUPUQBDECUKULUSUTUQUMUN $.
      $( [18-Nov-2006] $) $( [11-Oct-2005] $)

    $( The infimum of a subset of a set of upper integers belongs to the
       subset. $)
    infmssuzcl $p |- ( ( S (_ ( ZZ> ` M ) /\ S =/= (/) ) ->
                  sup ( S , RR , `' < ) e. S ) $=
      ( vj vk cr wss cv cle wbr wral wrex clt ccnv csup wcel cuz cfv c0 wne wa
      lbinfmcl cz uzssz zssre sstri sstr mpan2 adantr wceq wn uzwoOLD df-ne
      sylan2b sylanc ) AEFZCGDGHIDAJCAKZAELMNAOABPQZFZARSZTCDAUAURUOUSURUQEFUOU
      QUBEBUCUDUEAUQEUFUGUHURARUIUJUPUSACDBUKARULUMUN $.
      $( [10-May-2007] $) $( [11-Oct-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Finite intervals of integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ... $. $( Dots. $)

  $( Extend class notation to include the notation for a contiguous finite set
     of integers.  Read " ` M ... N ` " as "the set of integers from ` M ` to
     ` N ` inclusive." $)
  cfz $a class ... $.

  ${
    $d m n k z $.
    $( Define an operation that produces a finite set of sequential integers.
       Read " ` M ... N ` " as "the set of integers from ` M ` to ` N `
       inclusive."  See ~ fzvalt for its value and additional comments. $)
    df-fz $a |- ... = { <. <. m , n >. , z >. | ( ( m e. ZZ /\ n e. ZZ ) /\
      z = { k e. ZZ | ( m <_ k /\ k <_ n ) } ) } $.
  $}

  ${
    $d k m n z M $.  $d k m n z N $.
    $( The value of a finite set of sequential integers.  E.g., ` 2 ... 5 `
       means the set ` { 2 , 3 , 4 , 5 } ` .  A special case of this
       definition (starting at 1) appears as Definition 11-2.1 of [Gleason]
       p. 141, where ` NN `_k means our ` 1 ... k ` ; he calls these sets
       _segments_ of the integers. $)
    fzvalt $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( M ... N ) =
                 { k e. ZZ | ( M <_ k /\ k <_ N ) } ) $=
      ( vm vn vz cz cv cle wbr wa crab cfz zex rabex wceq breq1 anbi1d
      rabbisdv breq2 anbi2d df-fz oprabval2 ) DEFBCGGDHZAHZIJZUEEHZIJZKZAGLBUEI
      JZUECIJZKZAGLMUJUHKZAGLULAGNOUDBPZUIUMAGUNUFUJUHUDBUEIQRSUGCPZUMULAGUOUHU
      KUJUGCUEITUASFADEUBUC $.
      $( [18-Oct-2005] $) $( [6-Sep-2005] $)
  $}

  ${
    $d j K $.  $d j M $.  $d j N $.
    $( Membership in a finite set of sequential integers. $)
    elfz1t $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( K e. ( M ... N ) <->
                 ( K e. ZZ /\ M <_ K /\ K <_ N ) ) ) $=
      ( vj cz wcel wa cfz co cv cle wbr crab w3a fzvalt eleq2d wceq breq2
      breq1 anbi12d elrab 3anass bitr4 syl6bb ) BEFCEFGZABCHIZFABDJZKLZUGCKLZGZ
      DEMZFZAEFZBAKLZACKLZNZUEUFUKADBCOPULUMUNUOGZGUPUJUQDAEUGAQUHUNUIUOUGABKRU
      GACKSTUAUMUNUOUBUCUD $.
      $( [31-Jul-2005] $) $( [21-Jul-2005] $)
  $}

  $( Membership in a finite set of sequential integers. $)
  elfzt $p |- ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) -> ( K e. ( M ... N ) <->
                 ( M <_ K /\ K <_ N ) ) ) $=
    ( cz wcel cfz co cle wbr wa wb w3a elfz1t 3anass baib sylan9bb 3impa 3comr
    ) BDEZCDEZADEZABCFGEZBAHIZACHIZJZKZSTUAUFSTJUBUAUCUDLZUAUEABCMUGUAUEUAUCUDN
    OPQR $.
    $( [11-Oct-2005] $) $( [29-Sep-2005] $)

  ${
    $d k n m z M $.  $d k n m z N $.
    $( Membership in a finite set of sequential integers.  We use the fact that
       an operation's value is empty outside of its domain to show ` M e. ZZ `
       and ` N e. ZZ ` . $)
    elfz2t $p |- ( N e. A -> ( K e. ( M ... N ) <->
           ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) /\ ( M <_ K /\ K <_ N ) ) ) ) $=
      ( vm vn vz vk wcel cfz co cz wa cle wbr w3a wb elfz1t ibar 3anass syl5bb
      bitrd adantl wn c0 cdm cxp wceq cv crab zex rabex df-fz dmoprab2 ndmoprg
      mp3an1 eleq2d noel pm2.21i pm3.26 pm5.21ni pm2.61dan df-3an anbi1i anass
      bitr2 syl6bb ) DAIZBCDJKZIZCLIZDLIZMZBLIZCBNOZBDNOZMZMZMZVKVLVNPZVQMZVHVM
      VJVSQZVMWBVHVMVJVNVOVPPZVSBCDRVMVRVSWCVMVRSVNVOVPTUAUBUCVHVMUDZMZVJBUEIZV
      SWEVIUEBJUFLLUGUHVHWDVIUEUHEFGLLEUIHUIZNOWGFUINOMZHLUJJWHHLUKULGHEFUMUNCD
      ALLJUOUPUQWDWFVSQVHWFVMVSWFVMBURUSVMVRUTVAUCUBVBWAVMVNMZVQMVSVTWIVQVKVLVN
      VCVDVMVNVQVEVFVG $.
      $( [7-Sep-2005] $) $( [6-Sep-2005] $)

    $( Lemma for ~ elfzel1 and others. $)
    elfzlem $p |- ( K e. ( M ... N ) ->
                    ( ( M e. ZZ /\ K e. ZZ ) /\ ( M <_ K /\ K <_ N ) ) ) $=
      ( vm vn vz vk cvv wcel cfz co cz wa cle wbr wi w3a elfz2t 3simpb anim1i
      syl6bi wn oprprc2 eleq2d brprc anbi2d pm3.26 anim12i cr zret leidt syl
      3ad2ant3 adantr jcad anass syl6ib c0 wceq cdm wrel cxp relxp cv crab zex
      rabex df-fz dmoprab2 releqi mpbir oprprc1 pm2.24d n0i syl5 pm2.61i
      syl5bir sylbid ) CHIZABCJKZIZBLIZALIZMZBANOZACNOZMZMZPVSWAWBCLIZWCQZWGMWH
      HABCRWJWDWGWBWIWCSTUAVSUBZWAABBJKZIZWHWKVTWLABCJUCUDWKWHWDWEAANOZMZMZWMWK
      WGWOWDWKWFWNWEACNUEUFUFBHIZWMWPPWQWMWDWEMZWNMWPWQWMWRWNWQWMWBWBWCQZWEABNO
      ZMZMZWRHABBRZWSWDXAWEWBWBWCSWEWTUGUHUAWQWMXBWNXCWSWNXAWCWBWNWBWCAUIIWNAUJ
      AUKULUMUNUAUOWDWEWNUPUQWQUBZWLURUSZUBWPWMXDXEWPBBJJUTZVALLVBZVALLVCXFXGDE
      FLLDVDGVDZNOXHEVDNOMZGLVEJXIGLVFVGFGDEVHVIVJVKVLVMWLAVNVOVPVQVRVP $.
      $( [19-Sep-2005] $) $( [6-Sep-2005] $)
  $}

  $( Membership in a finite set of sequential integers. $)
  elfz5t $p |- ( ( K e. ( ZZ> ` M ) /\ N e. ZZ ) ->
                 ( K e. ( M ... N ) <-> K <_ N ) ) $=
    ( cuz cfv wcel cz wa cfz co cle wbr wb elfzt 3expa eluzelz eluzel2 jca
    sylan eluzle biantrurd adantr bitr4d ) ABDEFZCGFZHABCIJFZBAKLZACKLZHZUHAGFZ
    BGFZHUEUFUIMZUDUJUKUEULABCNOUDUJUKBAPBAQRSUDUHUIMUEUDUGUHBATUAUBUC $.
    $( [10-Mar-2006] $) $( [26-Dec-2005] $)

  $( Membership in a finite set of sequential integers. $)
  elfz4t $p |- ( ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) /\ ( M <_ K /\ K <_ N ) )
               -> K e. ( M ... N ) ) $=
    ( cz wcel w3a cle wbr cfz co wi wa elfz1t biimprcd 3exp com4r 3impia imp32
    ) BDEZCDEZADEZFBAGHZACGHZABCIJEZSTUAUBUCUDKKUAUBUCSTLZUDUAUBUCUEUDKUEUDUAUB
    UCFABCMNOPQR $.
    $( [3-Aug-2005] $) $( [21-Jul-2005] $)

  $( Membership in a finite set of sequential integers in terms of sets of
     upper integers. $)
  elfzuzb $p |- ( N e. A -> ( K e. ( M ... N ) <->
         ( K e. ( ZZ> ` M ) /\ N e. ( ZZ> ` K ) ) ) ) $=
    ( wcel cfz co cz w3a cle wbr wa cuz cfv elfz2t an6 eluz2t anbi12i df-3an
    anandir ancom anbi2i 3bitr anbi1i bitr4 3bitr4r syl6bb ) DAEBCDFGECHEZDHEZB
    HEZIZCBJKZBDJKZLZLZBCMNEZDBMNEZLZABCDOUHUJULIZUJUIUMIZLUHUJLZUJUILZUNIZURUO
    UHUJULUJUIUMPUPUSUQUTCBQBDQRUOVAVBLZUNLVCUKVDUNUKUHUILUJLVAUIUJLZLVDUHUIUJS
    UHUIUJTVEVBVAUIUJUAUBUCUDVAVBUNSUEUFUG $.
    $( [29-Sep-2005] $) $( [18-Sep-2005] $)

  $( Membership in a finite set of sequential integers. $)
  eluzfzt $p |- ( ( K e. ( ZZ> ` M ) /\ N e. ( ZZ> ` K ) )
               -> K e. ( M ... N ) ) $=
    ( cz wcel cuz cfv wa cfz co eluzelz adantl elfzuzb biimpar mpancom ) CDEZAB
    FGEZCAFGEZHZABCIJEZRPQACKLPTSDABCMNO $.
    $( [6-Oct-2005] $) $( [4-Oct-2005] $)

  $( Membership in a finite set of sequential integers implies membership in
     a set of upper integers. $)
  elfzuz3t $p |- ( ( N e. A /\ K e. ( M ... N ) ) -> N e. ( ZZ> ` K ) ) $=
    ( wcel cfz co cuz cfv elfzuzb pm3.27bda ) DAEBCDFGEBCHIEDBHIEABCDJK $.
    $( [27-Nov-2005] $) $( [28-Sep-2005] $)

  ${
    elfzel2.1 $e |- N e. V $.
    $( Membership in a finite set of sequential integer implies the upper
       bound is an integer. $)
    elfzel2 $p |- ( K e. ( M ... N ) -> N e. ZZ ) $=
      ( cfz co wcel cz w3a cle wbr wa cvv wb elfz2t ax-mp 3simp2 adantr sylbi
      ) ABCEFGZBHGZCHGZAHGZIZBAJKACJKLZLZUBCMGTUFNDMABCOPUDUBUEUAUBUCQRS $.
      $( [17-Sep-2005] $) $( [6-Sep-2005] $)
  $}

  $( Membership in a finite set of sequential integers implies the upper
     bound is an integer. $)
  elfzel2g $p |- ( ( N e. A /\ K e. ( M ... N ) ) -> N e. ZZ ) $=
    ( wcel cfz co cz w3a cle wbr wa elfz2t 3simp2 adantr syl6bi imp ) DAEZBCDFG
    EZDHEZRSCHEZTBHEZIZCBJKBDJKLZLTABCDMUCTUDUATUBNOPQ $.
    $( [6-Dec-2005] $) $( [6-Sep-2005] $)

  $( Membership in a finite set of sequential integer implies the lower
     bound is an integer. $)
  elfzel1 $p |- ( K e. ( M ... N ) -> M e. ZZ ) $=
    ( cfz co wcel cz wa cle wbr elfzlem simpll syl ) ABCDEFBGFZAGFZHBAIJACIJHZH
    NABCKNOPLM $.
    $( [19-Sep-2005] $) $( [6-Sep-2005] $)

  $( A member of a finite set of sequential integer is an integer. $)
  elfzelz $p |- ( K e. ( M ... N ) -> K e. ZZ ) $=
    ( cfz co wcel cz wa cle wbr elfzlem simplr syl ) ABCDEFBGFZAGFZHBAIJACIJHZH
    OABCKNOPLM $.
    $( [20-Sep-2005] $) $( [6-Sep-2005] $)

  $( A member of a finite set of sequential integer is greater than or
     equal to the lower bound. $)
  elfzle1 $p |- ( K e. ( M ... N ) -> M <_ K ) $=
    ( cfz co wcel cz wa cle wbr elfzlem simprl syl ) ABCDEFBGFAGFHZBAIJZACIJZHH
    OABCKNOPLM $.
    $( [20-Sep-2005] $) $( [6-Sep-2005] $)

  $( A member of a finite set of sequential integer is less than or
     equal to the upper bound. $)
  elfzle2 $p |- ( K e. ( M ... N ) -> K <_ N ) $=
    ( cfz co wcel cz wa cle wbr elfzlem simprr syl ) ABCDEFBGFAGFHZBAIJZACIJZHH
    PABCKNOPLM $.
    $( [2-Oct-2005] $) $( [6-Sep-2005] $)

  $( Membership in a finite set of sequential integer implies the bounds are
     comparable. $)
  elfzle3 $p |- ( ( N e. A /\ K e. ( M ... N ) ) -> M <_ N ) $=
    ( wcel cfz co wa cle wbr elfzle1 adantl elfzle2 cz wi cr letrt zret syl3an
    elfzel1 elfzelz elfzel2g syl3anc mp2and ) DAEZBCDFGEZHZCBIJZBDIJZCDIJZUFUHU
    EBCDKLUFUIUEBCDMLCNEZBNEZDNEZUHUIHUJOZUGCPEBPEDPEUNUKULUMCBDQCRBRDRSUFUKUEB
    CDTLUFULUEBCDUALABCDUBUCUD $.
    $( [17-Apr-2006] $) $( [18-Sep-2005] $)

  $( Implication of membership in a finite set of sequential integers. $)
  elfzuz2t $p |- ( ( N e. A /\ K e. ( M ... N ) ) -> N e. ( ZZ> ` M ) ) $=
    ( wcel cfz co wa cuz cfv elfzuzb ancom syl6bb biimpa uztrn syl ) DAEZBCDFGE
    ZHDBIJEZBCIJZEZHZDTEQRUBQRUASHUBABCDKUASLMNBDCOP $.
    $( [1-Nov-2005] $) $( [20-Sep-2005] $)

  $( Membership in a finite set of sequential integers - special case. $)
  eluzfz1t $p |- ( N e. ( ZZ> ` M ) -> M e. ( M ... N ) ) $=
    ( cuz cfv wcel cz cle wbr w3a cfz co eluz2t wa elfz4t 3simp1 3simp2 3jca
    cr zret leidt syl 3ad2ant1 3simp3 jca sylanc sylbi ) BACDEAFEZBFEZABGHZIZAA
    BJKEZABLUGUHUGIAAGHZUIMUKUJAABNUJUGUHUGUGUHUIOZUGUHUIPUMQUJULUIUGUHULUIUGAR
    EULASATUAUBUGUHUIUCUDUEUF $.
    $( [18-Sep-2005] $) $( [21-Jul-2005] $)

  $( A member of a finite set of sequential integers belongs to a set of upper
     integers. $)
  elfzuzt $p |- ( K e. ( M ... N ) -> K e. ( ZZ> ` M ) ) $=
    ( cfz co wcel cz cle wbr w3a cuz cfv elfzel1 elfzelz elfzle1 3jca eluz2t
    sylibr ) ABCDEFZBGFZAGFZBAHIZJABKLFSTUAUBABCMABCNABCOPBAQR $.
    $( [28-Oct-2005] $) $( [17-Sep-2005] $)

  $( Membership in a finite set of sequential integers - special case. $)
  eluzfz2t $p |- ( N e. ( ZZ> ` M ) -> N e. ( M ... N ) ) $=
    ( cz wcel w3a cle wbr wa cfz co cuz cfv elfz4t eluzel2 eluzelz 3jca eluzle
    cr zret leidt 3syl jca sylanc ) ACDZBCDZUEEABFGZBBFGZHBABIJDBAKLDZBABMUHUDU
    EUEABNABOZUIPUHUFUGABQUHUEBRDUGUIBSBTUAUBUC $.
    $( [14-Sep-2005] $) $( [13-Sep-2005] $)

  $( Membership in a finite set of sequential integers - special case. $)
  eluzfz2b $p |- ( N e. ( ZZ> ` M ) <-> N e. ( M ... N ) ) $=
    ( cuz cfv wcel cfz co eluzfz2t elfzuzt impbi ) BACDEBABFGEABHBABIJ $.
    $( [20-Sep-2005] $) $( [14-Sep-2005] $)

  $( Membership in a finite set of sequential integers containing one
     integer. $)
  elfz3t $p |- ( N e. ZZ -> N e. ( N ... N ) ) $=
    ( cz wcel cuz cfv cfz co uzidt eluzfz1t syl ) ABCAADECAAAFGCAHAAIJ $.
    $( [19-Aug-2005] $) $( [21-Jul-2005] $)

  $( Membership in a finite set of sequential integers containing one
     integer. $)
  elfz1eqt $p |- ( K e. ( N ... N ) -> K = N ) $=
    ( cfz co wcel cz wa cle wbr wceq elfzlem cr wb letri3t zret syl2an biimpar
    eqcomd syl ) ABBCDEBFEZAFEZGZBAHIABHIGZGZABJABBKUDBAUBBAJZUCBLEALEUEUCMTUAB
    ANBOAOPQRS $.
    $( [3-Oct-2005] $) $( [19-Sep-2005] $)

  ${
    $d k M $.  $d k N $.
    $( A finite set of sequential integers is empty if the bounds are
       reversed. $)
    fznt $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( N < M <-> ( M ... N ) = (/) ) ) $=
      ( vk cz wcel wa clt wbr cfz co c0 wceq cle wn cr wb lenltt zret syl2an
      w3a cuz cfv eluz2t eluzfz1t sylbir n0i syl 3expia wi cv wex elfzle3 ex
      19.23adv n0 syl5ib adantl impbid bitr3d con4bid ) ADEZBDEZFZBAGHZABIJZKLZ
      VCABMHZVDNZVFNZAOEBOEVGVHPVAVBABQARBRSVCVGVIVAVBVGVIVAVBVGTZAVEEZVIVJBAUA
      UBEVKABUCABUDUEVEAUFUGUHVBVIVGUIVAVBCUJZVEEZCUKVGVIVBVMVGCVBVMVGDVLABULUM
      UNCVEUOUPUQURUSUT $.
      $( [18-Apr-2006] $) $( [22-Aug-2005] $)
  $}

  $( A member of a finite set of sequential integers starting at 1 is a
     natural number. $)
  elfznnt $p |- ( K e. ( 1 ... N ) -> K e. NN ) $=
    ( c1 cfz co wcel cz cle wbr wa cn elfzelz elfzle1 jca elnnz1 sylibr ) ACBDE
    FZAGFZCAHIZJAKFQRSACBLACBMNAOP $.
    $( [27-Nov-2005] $) $( [24-Aug-2005] $)

  $( Membership in a finite set of sequential integers starting at 0. $)
  elfz2nn0t $p |- ( N e. A ->
           ( K e. ( 0 ... N ) <-> ( K e. NN0 /\ N e. NN0 /\ K <_ N ) ) ) $=
    ( wcel cc0 cfz co cz w3a cle wbr wa cn0 elfz2t pm3.27 pm3.26 anim12i
    simpll cr wi 0re letrt mp3an1 ancoms zret syl2an imp jca simprr 3jca
    3adantl1 0z a1i 3anim123i 3com13 id adantll 3adant2 impbi elnn0z pm4.2
    3anbi123i bitr4 syl6bb ) CADBECFGDEHDZCHDZBHDZIZEBJKZBCJKZLZLZBMDZCMDZVJIZA
    BECNVLVGVILZVFECJKZLZVJIZVOVLVSVFVGVKVSVEVFVGLZVKLZVPVRVJVTVGVKVIVFVGOVIVJP
    QWAVFVQVFVGVKRVTVKVQCSDZBSDZVKVQTZVFVGWCWBWDESDWCWBWDUAEBCUBUCUDCUEBUEUFUGU
    HVTVIVJUIUJUKVSVHVKVJVRVPVHVJVEVRVFVPVGVEVJULUMVFVQPVGVIPUNUOVPVJVKVRVIVJVK
    VGVKUPUQURUHUSVMVPVNVRVJVJBUTCUTVJVAVBVCVD $.
    $( [2-Feb-2006] $) $( [16-Sep-2005] $)

  $( A member of a finite set of sequential integers starting at 0 is a
     nonnegative integer. $)
  elfznn0t $p |- ( K e. ( 0 ... N ) -> K e. NN0 ) $=
    ( cc0 cfz co wcel cz cle wbr wa cn0 elfzelz elfzle1 jca elnn0z sylibr ) ACB
    DEFZAGFZCAHIZJAKFQRSACBLACBMNAOP $.
    $( [22-Sep-2005] $) $( [5-Aug-2005] $)

  $( The upper bound of a nonempty finite set of sequential integers starting
     at 0 is a nonnegative integer. $)
  elfz3nn0t $p |- ( ( N e. A /\ K e. ( 0 ... N ) ) -> N e. NN0 ) $=
    ( wcel cc0 cfz co cn0 cle wbr w3a elfz2nn0t 3simp2 syl6bi imp ) CADZBECFGDZ
    CHDZPQBHDZRBCIJZKRABCLSRTMNO $.
    $( [6-Feb-2006] $) $( [16-Sep-2005] $)

  $( Subtraction closure for a member of a finite set of sequential
     integers. $)
  fznn0subt $p |- ( ( N e. A /\ K e. ( M ... N ) ) -> ( N - K ) e. NN0 ) $=
    ( wcel cfz co cmin cn0 cz w3a cle wbr wa elfz2t znn0sub2t 3com12 3expa
    adantrl 3adantl1 syl6bi imp ) DAEZBCDFGEZDBHGIEZUCUDCJEZDJEZBJEZKCBLMZBDLMZ
    NZNUEABCDOUGUHUKUEUFUGUHNUJUEUIUGUHUJUEUHUGUJUEBDPQRSTUAUB $.
    $( [14-Jan-2006] $) $( [16-Sep-2005] $)

  $( Subtraction closure for a member of a finite set of sequential
     integers. $)
  fznn0sub2t $p |- ( ( N e. A /\ K e. ( 0 ... N ) ) ->
                   ( N - K ) e. ( 0 ... N ) ) $=
    ( wcel cc0 cfz co cmin cn0 cle wbr w3a wa fznn0subt elfz3nn0t elfzle1
    adantl cz wb cr subge02t zret syl2an elfzel2g elfzelz sylanc mpbid 3jca
    elfz2nn0t biimpar syldan ) CADZBECFGZDZCBHGZIDZCIDZUOCJKZLZUOUMDZULUNMZUPUQ
    URABECNABCOVAEBJKZURUNVBULBECPQCRDZBRDZVBURSZVACTDBTDVEVCVDCBUACUBBUBUCABEC
    UDUNVDULBECUEQUFUGUHULUTUSAUOCUIUJUK $.
    $( [5-Feb-2006] $) $( [26-Sep-2005] $)

  $( Membership of a sum in a finite set of sequential integers. $)
  fzaddelt $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( J e. ZZ /\ K e. ZZ ) ) ->
         ( J e. ( M ... N ) <-> ( J + K ) e. ( ( M + K ) ... ( N + K ) ) ) ) $=
    ( cz wcel wa cle wbr w3a caddc co cfz wb zaddclt a1d pm3.26 impbid adantl
    cr leadd1t zret syl3an 3expb adantlr 3com12 adantll 3anbi123d elfz1t
    adantr syl2an anandirs adantrl 3bitr4d ) CEFZDEFZGZAEFZBEFZGZGZURCAHIZADHIZ
    JZABKLZEFZCBKLZVEHIZVEDBKLZHIZJZACDMLFZVEVGVIMLFZVAURVFVBVHVCVJUTURVFNUQUTU
    RVFUTVFURABOPUTURVFURUSQPRSUOUTVBVHNZUPUOURUSVNCTFATFZBTFZVNUOURUSCABUACUBA
    UBZBUBZUCUDUEUPUTVCVJNZUOUPURUSVSURUPUSVSVODTFVPVSURUPUSADBUAVQDUBVRUCUFUDU
    GUHUQVLVDNUTACDUIUJUQUSVMVKNZURUOUPUSVTVGEFVIEFVTUOUSGUPUSGVEVGVIUICBODBOUK
    ULUMUN $.
    $( [24-Aug-2005] $) $( [30-Jul-2005] $)

  $( Membership of a difference in a finite set of sequential integers. $)
  fzsubelt $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( J e. ZZ /\ K e. ZZ ) ) ->
         ( J e. ( M ... N ) <-> ( J - K ) e. ( ( M - K ) ... ( N - K ) ) ) ) $=
    ( cz wcel wa cfz co cneg caddc cmin wb fzaddelt znegclt sylanr2 cc wceq
    negsubt adantl opreqan12d anandirs adantrl eleq12d zcnt anim12i syl2an
    bitrd ) CEFZDEFZGZAEFZBEFZGZGACDHIFZABJZKIZCUPKIZDUPKIZHIZFZABLIZCBLIZDBLIZ
    HIZFZUKULUPEFUOVAMUMAUPCDNBOPCQFZDQFZGZAQFZBQFZGZVAVFMUKUNVIVLGUQVBUTVEVLUQ
    VBRVIABSTVIVKUTVERZVJVGVHVKVMVGVKGVHVKGURVCUSVDHCBSDBSUAUBUCUDUIVGUJVHCUEDU
    EUFULVJUMVKAUEBUEUFUGUH $.
    $( [1-Aug-2006] $) $( [30-Jul-2005] $)

  $( A finite set of sequential integers can represent an ordered pair. $)
  fzoptht $p |- ( ( N e. ( ZZ> ` M ) /\ K e. A ) ->
                ( ( M ... N ) = ( J ... K ) <-> ( M = J /\ N = K ) ) ) $=
    ( cuz cfv wcel wa cfz co wceq eleq2 eluzfz2t syl5bi anim1d elfzuz2t ancoms
    syl6com wi cle wbr eluzfz1t syl5bir elfzle1 adantl adantr jcad cr wb
    letri3t cz eluzel2 zret syl syl2an sylibrd elfzle2 anim12ii eluzelz ex
    com23 mpdd opreq12 impbid1 ) EDFGHZCAHZIZDEJKZBCJKZLZDBLZECLZIZVHVKCBFGHZVN
    VKVHEVJHZVGIVOVKVFVPVGVKEVIHVPVFVIVJEMDENOZPVGVPVOAEBCQRSVFVKVOVNTTVGVFVOVK
    VNVFVOVKVNTVFVOIZVKVLVMVRVKDBUAUBZBDUAUBZIZVLVRVKVSVTVOVKVSTVFVKVOBVIHZVSVK
    WBBVJHVOVIVJBMBCUCUDBDEUESUFVFVKVTTVOVKVFDVJHZVTVKDVIHWCVFVIVJDMDEUCODBCUES
    UGUHDUIHZBUIHZVLWAUJVFVODBUKVFDULHWDDEUMDUNUOVOBULHWEBCUMBUNUOUPUQVRVKECUAU
    BZCEUAUBZIZVMVFVKWFVOWGVKVFVPWFVQEBCURSVKVOCVIHZWGVKWICVJHVOVIVJCMBCNUDCDEU
    RSUSEUIHZCUIHZVMWHUJVFVOECUKVFEULHWJDEUTEUNUOVOCULHWKBCUTCUNUOUPUQUHVAVBUGV
    CDBECJVDVE $.
    $( [1-Nov-2005] $) $( [31-Oct-2005] $)

$(
  @{
    @d j K @.  @d j M @.  @d j N @.
    @( Union of two adjacent finite sets of sequential integers. @)
    fzunt @p |- ( ( ( K e. ZZ /\ M e. ZZ /\ N e. ZZ ) /\ ( K <_ M /\ M <_ N ) )
                 -> ( ( K ... M ) u. ( M ... N ) ) = ( K ... N ) ) @=
      ( vj cz wcel w3a cle wbr wa cfz co cun cv wo cr wb wi letrt exp3a com23
      3exp com3l imp42 adantlll adantrl anim2d 3expa imp adantlrl adantrr
      anim1d jaod impbid exp42 com34 ex 3imp zret syl3an syl5 pm5.32d andi
      bicomi syl5bb elfz1t 3anass syl6bb 3adant3 adantr 3adant1 orbi12d
      3adant2 3bitr4d elun eqrdv ) AEFZBEFZCEFZGZABHIZBCHIZJZJZDABKLZBCKLZMZACK
      LZWDDNZWEFZWIWFFZOZWIWHFZWIWGFWDWIEFZAWIHIZWIBHIZJZJZWNBWIHIZWICHIZJZJZOZ
      WNWOWTJZJZWLWMWDWNWQXAOZJZXEXCWDWNXFXDWDWIPFZXFXDQZWNVTWCXHXIRZAPFZBPFZCP
      FZWCXJRZVQVRVSXKXLXMXNXKXLXMXNRXKXLJZXMXHWCXIXOXMXHWCXIXOXMXHJZJZWCJZXFXD
      XRWQXDXAXRWPWTWOXQWBWPWTRZWAXLXPWBXSXKXLXMXHWBXSXHXLXMWBXSRZXHXLXMXTXHXLX
      MGZWPWBWTYAWPWBWTWIBCSTUAUBUCUDUEUFUGXRWSWOWTXQWAWSWORZWBXOXHWAYBXMXOXHJZ
      WAYBYCWAWSWOXKXLXHWAWSJWORABWISUHTUIUJUKULUM?UNUOUPUQURAUSBUSCUSUTUIWIUSV
      AVBXGXCWNWQXAVCVDVEWDWJWRWKXBVTWJWRQZWCVQVRYDVSVQVRJWJWNWOWPGWRWIABVFWNWO
      WPVGVHVIVJVTWKXBQZWCVRVSYEVQVRVSJWKWNWSWTGXBWIBCVFWNWSWTVGVHVKVJVLVTWMXEQ
      ZWCVQVSYFVRVQVSJWMWNWOWTGXEWIACVFWNWOWTVGVHVMVJVNWIWEWFVOVEVP @.
      @( [?] @) @( [21-Jul-2005] @)
  @}
$)

  ${
    $d k M $.  $d k N $.  $d k K $.
    $( Subset relationship for finite sets of sequential integers. $)
    fzss1t $p |- ( ( K e. ( ZZ> ` M ) /\ N e. ZZ ) ->
                  ( K ... N ) (_ ( M ... N ) ) $=
      ( vk cuz cfv wcel cz wa cv cle wbr crab cfz co wss eluzle adantr wi cr
      letrt zret syl3an 3expa eluzel2 eluzelz jca sylan mpand anim1d ss2rabdv
      wceq fzvalt 3sstr4d ) ABEFGZCHGZIADJZKLZUQCKLZIZDHMZBUQKLZUSIZDHMZACNOZBC
      NOZUOVAVDPUPUOUTVCDHUOUQHGZIZURVBUSVHBAKLZURVBUOVIVGBAQRBHGZAHGZIVGVIURIV
      BSZUOVJVKVGVLBTGATGUQTGVLVJVKVGBAUQUABUBAUBUQUBUCUDUOVJVKBAUEZBAUFZUGUHUI
      UJUKRVKUPVEVAULUODACUMVNUHVJUPVFVDULUODBCUMVMUHUN $.
      $( [10-Oct-2005] $) $( [28-Sep-2005] $)

    $( Subset relationship for finite sets of sequential integers. $)
    fzss2t $p |- ( ( N e. ( ZZ> ` K ) /\ M e. ZZ ) ->
                  ( M ... K ) (_ ( M ... N ) ) $=
      ( vk cz wcel cuz cfv cfz co wss wa cv cle wbr crab wi eluzle adantl cr
      letrt zret syl3an 3expb eluzel2 eluzelz jca sylan2 mpan2d ancoms anim2d
      ss2rabdv wceq fzvalt 3sstr4d ) BEFZCAGHFZBAIJZBCIJZKUPUQLBDMZNOZUTANOZLZD
      EPZVAUTCNOZLZDEPZURUSUQVDVGKUPUQVCVFDEUQUTEFZLVBVEVAVHUQVBVEQVHUQLVBACNOZ
      VEUQVIVHACRSVHAEFZCEFZLVBVILVEQZUQVHVJVKVLUTTFATFCTFVLVHVJVKUTACUAUTUBAUB
      CUBUCUDUQVJVKACUEZACUFZUGUHUIUJUKULSUPVJURVDUMUQDBAUNVMUHUPVKUSVGUMUQDBCU
      NVNUHUOUJ $.
      $( [2-Nov-2005] $) $( [4-Oct-2005] $)

    $( A finite set of sequential integers is a subset of a set of upper
       integers. $)
    fzssuzt $p |- ( M ... N ) (_ ( ZZ> ` M ) $=
      ( vk cfz co cuz cfv cv elfzuzt ssriv ) CABDEAFGCHABIJ $.
      $( [25-Apr-2006] $) $( [28-Oct-2005] $)
  $}

  ${
    $d k M $.  $d k N $.
    $( Subset relationship for finite sets of sequential integers. $)
    fzssp1t $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                  ( M ... N ) (_ ( M ... ( N + 1 ) ) ) $=
      ( cz wcel cfz co c1 caddc wss cuz cfv fzss2t uzidt peano2uz syl sylan
      ancoms ) BCDZACDZABEFABGHFZEFIZTBJKZDZSUARBATLRBUBDUCBMBBNOPQ $.
      $( [19-Aug-2005] $) $( [21-Jul-2005] $)

    $( Subset relationship for finite sets of sequential integers. $)
    fzp1sst $p |- ( ( M e. ZZ /\ N e. ZZ ) ->
                  ( ( M + 1 ) ... N ) (_ ( M ... N ) ) $=
      ( c1 caddc co cuz cfv wcel cz cfz wss fzss1t uzidt peano2uz syl sylan )
      ACDEZAFGZHZBIHQBJEABJEKAIHZQABLTARHSAMAANOP $.
      $( [23-Aug-2005] $) $( [26-Jul-2005] $)
  $}

  $( Membership in a set of sequential integers with an appended element. $)
  fzelp1t $p |- ( ( N e. A /\ K e. ( M ... N ) ) ->
                K e. ( M ... ( N + 1 ) ) ) $=
    ( wcel cfz co wa c1 caddc cz wss fzssp1t elfzel1 adantl elfzel2g sylanc
    pm3.27 sseldd ) DAEZBCDFGZEZHZUACDIJGFGZBCKEZDKEUAUDLUCCDMUBUETBCDNOABCDPQT
    UBRS $.
    $( [31-Jan-2006] $) $( [7-Dec-2005] $)

  ${
    fzelp1.1 $e |- N e. V $.
    $( Membership in a set of sequential integers with an appended element. $)
    fzelp1 $p |- ( K e. ( M ... N ) -> K e. ( M ... ( N + 1 ) ) ) $=
      ( cvv wcel cfz co c1 caddc fzelp1t mpan ) CEFABCGHFABCIJHGHFDEABCKL $.
      $( [8-Feb-2006] $) $( [3-Dec-2005] $)
  $}

  $( Append an element to a finite set of sequential integers. $)
  elfzp1 $p |- ( N e. ( ZZ> ` M ) ->
    ( K e. ( M ... ( N + 1 ) ) <-> ( K e. ( M ... N ) \/ K = ( N + 1 ) ) ) ) $=
    ( cuz cfv wcel c1 caddc co cfz wceq wo wa wne wi cz w3a cle wbr eluzel2
    ad2antrr eluzelz elfzelz ad2antlr 3jca elfzle1 clt elfzle2 adantl anim1i
    cr wb ltlent zret syl peano2re 3syl sylanc mpbird zleltp1t jca ex elfz2t
    adantr sylibrd eqcom orbi1i neor orcom 3bitr3 sylib wss fzssp1t sseld
    eleq1 peano2uz eluzfz2t syl5cbir jaod impbid ) CBDEZFZABCGHIZJIZFZABCJIZFZA
    WCKZLZWBWEWIWBWEMZWCANZWGOZWIWJWKBPFZCPFZAPFZQZBARSZACRSZMZMZWGWJWKWTWJWKMZ
    WPWSXAWMWNWOWBWMWEWKBCTZUAWBWNWEWKBCUBZUAZWEWOWBWKABWCUCZUDZUEXAWQWRWEWQWBW
    KABWCUFUDXAWRAWCUGSZXAXGAWCRSZWKMZWJXHWKWEXHWBABWCUHUIUJAUKFZWCUKFZXGXIULXA
    AWCUMWEXJWBWKWEWOXJXEAUNUOUDWBXKWEWKWBWNCUKFXKXCCUNCUPUQUAURUSWOWNWRXGULXAA
    CUTXFXDURUSVAVAVBWBWGWTULWEWAABCVCVDVEWCAKZWGLWHWGLWLWIXLWHWGWCAVFVGWGWCAVH
    WHWGVIVJVKVBWBWGWEWHWBWFWDAWMWNWFWDVLWBBCVMXBXCURVNWHWEWCWDFZWBAWCWDVOWBWCW
    AFXMBCVPBWCVQUOVRVSVT $.
    $( [3-Oct-2005] $) $( [19-Sep-2005] $)

  $( Reversal of start and end of a finite set of sequential integers. $)
  fzrevt $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( J e. ZZ /\ K e. ZZ ) ) ->
         ( K e. ( ( J - N ) ... ( J - M ) ) <-> ( J - K ) e. ( M ... N ) ) ) $=
    ( cz wcel wa cmin co cle wbr cfz wb cr sublet zret syl3an 3comr 3expb
    adantll lesubt adantlr anbi12d ancom syl5rbbr elfzt simprr zsubclt ancoms
    ad2ant2lr ad2ant2r syl3anc adantl simpll simplr 3bitr4d ) CEFZDEFZGZAEFZBEF
    ZGZGZADHIZBJKZBACHIZJKZGZCABHIZJKZVIDJKZGZBVDVFLIFZVICDLIFZVCVKVJGVHVLVCVKV
    EVJVGURVBVKVEMZUQURUTVAVOUTVAURVOANFZBNFZDNFVOUTVAURABDOAPZBPZDPQRSTUQVBVJV
    GMZURUQUTVAVTCNFVPVQVTUQUTVACABUACPVRVSQSUBUCVKVJUDUEVAVDEFZVFEFZVMVHMVCBVD
    VFUFUSUTVAUGURUTWAUQVAUTURWAADUHUIUJUQUTWBURVAUTUQWBACUHUIUKULVIEFZUQURVNVL
    MVCVICDUFVBWCUSABUHUMUQURVBUNUQURVBUOULUP $.
    $( [2-Dec-2005] $) $( [25-Nov-2005] $)

  $( Reversal of start and end of a finite set of sequential integers. $)
  fzrev2t $p |- ( ( ( M e. ZZ /\ N e. ZZ ) /\ ( J e. ZZ /\ K e. ZZ ) ) ->
         ( K e. ( M ... N ) <-> ( J - K ) e. ( ( J - N ) ... ( J - M ) ) ) ) $=
    ( cz wcel wa cmin co cfz wb fzrevt pm3.26 zsubclt jca sylan2 wceq cc
    nncant zcnt syl2an adantl eleq1d bitr2d ) CEFDEFGZAEFZBEFZGZGZABHIZADHIACHI
    JIFZAUJHIZCDJIZFZBUMFUEUFUJEFZGUKUNKUHAUJCDLUHUFUOUFUGMABNOPUIULBUMUHULBQZU
    EARFBRFUPUFUGABSATBTUAUBUCUD $.
    $( [4-Dec-2005] $) $( [25-Nov-2005] $)

  $( Reversal of start and end of a finite set of sequential integers. $)
  fzrev2it $p |- ( ( N e. A /\ J e. ZZ /\ K e. ( M ... N ) ) ->
                 ( J - K ) e. ( ( J - N ) ... ( J - M ) ) ) $=
    ( wcel cz cfz co w3a cmin 3simp3 wa wb fzrev2t elfzel1 adantl elfzel2g jca
    3adant2 elfzelz anim2i 3adant1 sylanc mpbid ) EAFZBGFZCDEHIFZJZUHBCKIBEKIBD
    KIHIFZUFUGUHLDGFZEGFZMZUGCGFZMZUHUJNUIBCDEOUFUHUMUGUFUHMUKULUHUKUFCDEPQACDE
    RSTUGUHUOUFUHUNUGCDEUAUBUCUDUE $.
    $( [7-Dec-2005] $) $( [25-Nov-2005] $)

  $( The "complement" of a member of a finite set of sequential integers. $)
  fzrev3t $p |- ( ( N e. A /\ K e. ZZ ) -> ( K e. ( M ... N ) <->
                ( ( M + N ) - K ) e. ( M ... N ) ) ) $=
    ( wcel cz wa cfz co caddc cmin w3a simplr elfzel1 adantl elfzel2g adantlr
    3jca wb cc wceq pncant pncan2t opreq12d zcnt syl2an eleq2d 3adant1 fzrevt
    3simpc zaddclt 3simp1 jca sylanc bitr3d pm5.21nd ) DAEZBFEZGZBCDHIZEZCDJIZB
    KIZUTEZURCFEZDFEZLZUSVAGURVEVFUQURVAMVAVEUSBCDNOUQVAVFURABCDPQRUSVDGURVEVFU
    QURVDMVDVEUSVCCDNOUQVDVFURAVCCDPQRVGBVBDKIZVBCKIZHIZEZVAVDVEVFVKVASURVEVFGZ
    VJUTBCTEZDTEZVJUTUAVEVFVMVNGVHCVIDHCDUBCDUCUDCUEDUEUFUGUHVLVBFEZURGVKVDSVGV
    BBCDUIURVEVFUJVGVOURVEVFVOURCDUKUHURVEVFULUMUNUOUP $.
    $( [23-Feb-2006] $) $( [20-Nov-2005] $)

  $( The "complement" of a member of a finite set of sequential integers. $)
  fzrev3it $p |- ( ( N e. A /\ K e. ( M ... N ) ) ->
                ( ( M + N ) - K ) e. ( M ... N ) ) $=
    ( wcel cfz co wa caddc cmin pm3.27 cz wb fzrev3t elfzelz sylan2 mpbid ) DAE
    ZBCDFGZEZHTCDIGBJGSEZRTKRBLETUAMTABCDNBCDOPQ $.
    $( [1-May-2006] $) $( [20-Nov-2005] $)

  $( Finite set of sequential integers starting at 0. $)
  fznn0t $p |- ( N e. NN0 ->
              ( K e. ( 0 ... N ) <-> ( K e. NN0 /\ K <_ N ) ) ) $=
    ( cn0 wcel cc0 cfz co cz cle wbr w3a wa wb nn0zt 0z jctil elfz1t syl
    df-3an elnn0z anbi1i bitr4 syl6bb ) BCDZAEBFGDZAHDZEAIJZABIJZKZACDZUHLZUDEH
    DZBHDZLUEUIMUDUMULBNOPAEBQRUIUFUGLZUHLUKUFUGUHSUJUNUHATUAUBUC $.
    $( [23-Aug-2005] $) $( [1-Aug-2005] $)

  ${
    $d k N $.
    $( Quantification over a one-member finite set of sequential integers in
       terms of substitution. $)
    fz1sbct $p |- ( N e. ZZ -> ( A. k e. ( N ... N ) ph <-> [ N / k ] ph ) ) $=
      ( cz wcel wsbc cv wceq wi wal cfz co wral sbc6g elfz1eqt eleq1 elfz3t
      syl5cbir impbid2 imbi1d albidv df-ral syl5rbb bitr2d ) CDEZABCFBGZCHZAIZB
      JZABCCKLZMZABCDNUEUFUJEZAIZBJUIUKUEUMUHBUEULUGAUEULUGUFCOUGULCUJEUEUFCUJP
      CQRSTUAABUJUBUCUD $.
      $( [12-Dec-2005] $) $( [28-Nov-2005] $)
  $}

  $( No finite set of sequential integers equals a set of upper integers. $)
  fzneuzt $p |- ( ( N e. ( ZZ> ` M ) /\ K e. ZZ )
               -> -. ( M ... N ) = ( ZZ> ` K ) ) $=
    ( cuz cfv wcel cz wa cfz co wceq wn c1 caddc nelneq2 peano2uz adantl cle
    wbr cr eluzelz zret clt ltp1t wb peano2re ltnlet mpdan mpbid 3syl elfzle2
    nsyl ad2antrr sylanc eqcom negbii sylib eluzfz2t sylancom pm2.61dan ) CBDEF
    ZAGFZHZCADEZFZBCIJZVDKZLZVCVEHZVDVFKZLZVHCMNJZVDFZVLVFFZLZVKVIVLVDVFOVEVMVC
    ACPQVAVOVBVEVAVLCRSZVNVACGFCTFZVPLZBCUACUBVQCVLUCSZVRCUDVQVLTFVSVRUECUFCVLU
    GUHUIUJVLBCUKULUMUNVJVGVDVFUOUPUQVCVELZCVFFZVHVAWAVBVTBCURUMCVFVDOUSUT $.
    $( [20-Dec-2005] $) $( [11-Dec-2005] $)

  ${
    $d j k x K $.  $d j k x M $.  $d j k x N $.  $d k x ph $.
    $( Reversal of scanning order inside of a quantification over a finite set
       of sequential integers. $)
    fzrevralt $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) -> ( A. j e. ( M ... N
       ) ph <-> A. k e. ( ( K - N ) ... ( K - M ) ) [ ( K - k ) / j ] ph ) ) $=
      ( cz wcel w3a cfz co wral cv cmin wsbc wi wa pm3.27 wb fzrevt anassrs
      elfzelz sylan2 mpbid ra4sbc syl ex 3impa com23 r19.21adv ax-17 oprex
      hbsbc1v hbral fzrev2it 3expa wceq opreq2 dfsbcq rcla4v cc nncant zcnt
      syl2an eqcomd sbceq1a adantll sylibrd r19.21ad 3adant1 impbid ) EGHZFGHZD
      GHZIZABEFJKZLZABDCMZNKZOZCDFNKZDENKZJKZLZVOVQVTCWCVOVRWCHZVQVTVLVMVNWEVQV
      TPZPVLVMQZVNQZWEWFWHWEQZVSVPHZWFWIWEWJWHWERWHVRGHZWEWJSZWEWGVNWKWLDVREFTU
      AVRWAWBUBUCUDABVSVPUEUFUGUHUIUJVMVNWDVQPVLVMVNQZWDABVPWMBUKVTBCWCWEBUKABV
      SDVRNULUMUNWMBMZVPHZWDAWMWOWDAPWMWOQZWDABDDWNNKZNKZOZAWPWQWCHZWDWSPVMVNWO
      WTGDWNEFUOUPVTWSCWQWCVRWQUQVSWRUQVTWSSVRWQDNURABVSWRUSUFUTUFVNWOAWSSZVMVN
      WOQZWNWRUQXAXBWRWNDVAHWNVAHZWRWNUQVNWODWNVBDVCWOWNGHXCWNEFUBWNVCUFVDVEABW
      RVFUFVGVHUGUIVIVJVK $.
      $( [8-Dec-2005] $) $( [25-Nov-2005] $)

    $( Reversal of scanning order inside of a quantification over a finite set
       of sequential integers. $)
    fzrevral2t $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) -> ( A. j e. ( ( K - N
       ) ... ( K - M ) ) ph <-> A. k e. ( M ... N ) [ ( K - k ) / j ] ph ) ) $=
      ( cz wcel cmin co cfz wral cv wsbc wb w3a fzrevralt zsubclt 3adant2
      3adant3 3simp1 syl3anc cc wceq nncant opreq12d zcnt syl3an raleq1d bitrd
      3coml ) DGHZEGHZFGHZABDFIJZDEIJZKJLZABDCMIJNZCEFKJZLZOULUMUNPZUQURCDUPIJZ
      DUOIJZKJZLZUTUOGHZUPGHZULUQVEOVAABCDUOUPQULUNVFUMDFRSULUMVGUNDERTULUMUNUA
      UBVAURCVDUSDUCHZEUCHZFUCHZVDUSUDULUMUNVHVIVJPVBEVCFKVHVIVBEUDVJDEUETVHVJV
      CFUDVIDFUESUFDUGEUGFUGUHUIUJUK $.
      $( [10-May-2006] $) $( [25-Nov-2005] $)

    $( Reversal of scanning order inside of a quantification over a finite set
       of sequential integers. $)
    fzrevral3t $p |- ( ( M e. ZZ /\ N e. ZZ ) -> ( A. j e. ( M ... N ) ph
                   <-> A. k e. ( M ... N ) [ ( ( M + N ) - k ) / j ] ph ) ) $=
      ( cz wcel wa cfz co wral caddc cv cmin wsbc wb zaddclt fzrevralt mpd3an3
      cc wceq pncant pncan2t opreq12d zcnt syl2an raleq1d bitrd ) DFGZEFGZHZABD
      EIJZKZABDELJZCMNJOZCUNENJZUNDNJZIJZKZUOCULKUIUJUNFGUMUSPDEQABCUNDERSUKUOC
      URULDTGZETGZURULUAUIUJUTVAHUPDUQEIDEUBDEUCUDDUEEUEUFUGUH $.
      $( [11-Jul-2006] $) $( [20-Nov-2005] $)

    $( Shift the scanning order inside of a quantification over a finite set
       of sequential integers. $)
    fzshftralt $p |- ( ( M e. ZZ /\ N e. ZZ /\ K e. ZZ ) -> ( A. j e. ( M ... N
       ) ph <-> A. k e. ( ( M + K ) ... ( N + K ) ) [ ( k - K ) / j ] ph ) ) $=
      ( vx cz wcel w3a cfz co wral cc0 cv cmin wsbc caddc wb 0z fzrevralt
      mp3an3 3adant3 zsubclt mpan id syl3an 3com12 cc wceq wa cneg subnegt
      axaddcom eqtrd df-neg opreq2i syl5eqr 3adant2 opreq12d 3coml zcnt
      raleq1d negsubdi2t elfzelz syl syl2an dfsbcq ralbidva 3ad2ant3 bitrd cvv
      wal oprex ax-gen opreq2 sbcco3g mp2an ralbii syl5bb 3bitrd ) EHIZFHIZDHIZ
      JZABEFKLMZABNGOZPLZQZGNFPLZNEPLZKLMZWIGDCOZPLZQZCDWKPLZDWJPLZKLZMZABWMDPL
      ZQZCEDRLZFDRLZKLZMZWBWCWFWLSZWDWBWCNHIZXFTABGNEFUAUBUCWCWBWDWLWSSZWJHIZWK
      HIZWDXHWCWBWDWIGCDWJWKUAXGWCXITNFUDUEXGWBXJTNEUDUEWDUFUGUHWEABNWNPLZQZCWR
      MZXEWSWEXMXLCXDMZXEWEXLCWRXDEUIIZFUIIZDUIIZWRXDUJZWBWCWDXQXOXPXRXQXOXPJWP
      XBWQXCKXQXOWPXBUJXPXQXOUKZDEULZPLZXBWPXSYADERLXBDEUMDEUNUOXTWKDPEUPUQURUC
      XQXPWQXCUJXOXQXPUKZDFULZPLZXCWQYBYDDFRLXCDFUMDFUNUOYCWJDPFUPUQURUSUTVAEVB
      FVBDVBZUGVCWDWBXNXESWCWDXLXACXDWDWMXDIZUKXKWTUJZXLXASXQWMUIIZYGWDYFXQYHUK
      WNULWTXKDWMVDWNUPURYEYFWMHIYHWMXBXCVEWMVBVFVGABXKWTVHVFVIVJVKWOXLCWRWNVLI
      WHVLIZGVMWOXLSDWMPVNYIGNWGPVNVOAGBWNWHXKVLVLWGWNNPVPVQVRVSVTWA $.
      $( [19-Jun-2007] $) $( [27-Nov-2005] $)
  $}

  ${
    $d j k m n x y F $.  $d j k m n x y M $.  $d j k n x y N $.
    $( The values of a finite real sequence have an upper bound.  _Warning:
       The HTML proof page is 1/2 megabyte in size_. $)
    fsequb $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N ) ( F ` k ) e. RR )
                 -> E. x e. RR A. k e. ( M ... N ) ( F ` k ) < x ) $=
      ( vn vj vm vy cuz cfv wcel cv cr cfz co wral clt wbr wrex wi c1 caddc
      wceq opreq2 raleq1d rexbidv imbi12d cz elfz3t fveq2 eleq1d rcla4v syl wa
      peano2re breq1d ltp1t syl5cbir elfz1eqt syl5 r19.21aiv jca a1i breq2
      ralbidv rcla4ev syl6 syld wss fzssp1t eluzel2 eluzelz sylanc sseld
      imim1d r19.20dv2 imp32 rcla4va peano2uz eluzfz2t sylan adantrl cle cif
      wo wb elfzp1 adantr ad2antrr max2 ancoms ad2antlr ltletrt fzelp1t an1rs
      adantlr pm3.26 ifcl sylan2 syl3anc mpan2d ex a2d imp pm3.27 adantl
      max1ALT ltletrd jaod sylbid jctild exp32 com34 r19.23adv imp3a cbvrexv
      syl6ib mp2and uzind4 cbvralv sylan2b ) EDJKZLZFMZCKZNLZFDEOPZQZBMZCKZAMZR
      SZBYHQZANTZYKNLZBYHQYDYIYOYGFDGMZOPZQZYMBYRQZANTZUAYGFDDOPZQZYMBUUBQZANTZ
      UAYGFDHMZOPZQZYMBUUGQZANTZUAZYGFDUUFUBUCPZOPZQZYMBUUMQZANTZUAYIYOUAGHDEYQ
      DUDZYSUUCUUAUUEUUQYGFYRUUBYQDDOUEZUFUUQYTUUDANUUQYMBYRUUBUURUFUGUHYQUUFUD
      ZYSUUHUUAUUJUUSYGFYRUUGYQUUFDOUEZUFUUSYTUUIANUUSYMBYRUUGUUTUFUGUHYQUULUDZ
      YSUUNUUAUUPUVAYGFYRUUMYQUULDOUEZUFUVAYTUUOANUVAYMBYRUUMUVBUFUGUHYQEUDZYSY
      IUUAYOUVCYGFYRYHYQEDOUEZUFUVCYTYNANUVCYMBYRYHUVDUFUGUHDUILZUUCDCKZNLZUUEU
      VEDUUBLUUCUVGUADUJYGUVGFDUUBYEDUDYFUVFNYEDCUKULUMUNUVEUVGUVFUBUCPZNLZYKUV
      HRSZBUUBQZUOZUUEUVGUVLUAUVEUVGUVIUVKUVFUPUVGUVJBUUBUVGYJDUDZUVJYJUUBLUVMU
      VJUVFUVHRSUVGUVMYKUVFUVHRYJDCUKUQUVFURUSYJDUTVAVBVCVDUUDUVKAUVHNYLUVHUDYM
      UVJBUUBYLUVHYKRVEVFVGVHVIUUFYCLZUUKUUNUUPUVNUUKUUNUOUOUUJUULCKZNLZUUPUVNU
      UKUUNUUJUVNUUNUUHUUJUVNYGYGFUUMUUGUVNYEUUGLYEUUMLYGUVNUUGUUMYEUVEUUFUILUU
      GUUMVJUVNDUUFVKDUUFVLDUUFVMVNVOVPVQVPVRUVNUUNUVPUUKUULUUMLZUUNUVPUVNYGUVP
      FUULUUMYEUULUDYFUVONYEUULCUKULVSUVNUULYCLUVQDUUFVTDUULWAUNWBWCUVNUUNUUJUV
      PUOZUUPUAUUKUVNUUNUOZUVRYKIMZRSZBUUMQZINTZUUPUVSUUJUVPUWCUVSUUIUVPUWCUAAN
      UVSYLNLZUVPUUIUWCUVSUWDUVPUUIUWCUAUVSUWDUVPUOZUOZUUIUVOUBUCPZYLWDSZYLUWGW
      EZNLZYKUWIRSZBUUMQZUOUWCUWFUUIUWLUWJUWFYMUWKBUUGUUMUWFYJUUGLZYMUAZYJUUMLZ
      UWKUAUWFUWNUOZUWOUWMYJUULUDZWFZUWKUVSUWOUWRWGZUWEUWNUVNUWSUUNYJDUUFWHWIWJ
      UWPUWMUWKUWQUWFUWNUWMUWKUAUWFUWMYMUWKUWFUWMYMUWKUAUWFUWMUOZYMYLUWIWDSZUWK
      UWEUXAUVSUWMUVPUWDUXAUWGNLZUWDUXAUVPUWGYLWKUVOUPZWBWLWMYPUWDUWJYMUXAUOUWK
      UAUWTYKYLUWIWNUVSUWMYPUWEUVNUWMUUNYPUWOUUNYPUVNUWMUOYGYPFYJUUMYEYJUDYFYKN
      YEYJCUKULVSYCYJDUUFWOWBWPWQUWEUWDUVSUWMUWDUVPWRWMUWEUWJUVSUWMUWDUXBUWJUVP
      UWHYLUWGNWSUXCWTZWMXAXBXCXDXEUWEUWQUWKUAUVSUWNUWQUWKUVOUWIRSUWEUWQYKUVOUW
      IRYJUULCUKUQUWEUVOUWGUWIUWDUVPXFUVPUXBUWDUXCXGUXDUVPUVOUWGRSUWDUVOURXGUVP
      UWGUWIWDSZUWDUVPUXBUXEUXCUWGYLXHUNXGXIUSWMXJXKXCVQUWEUWJUVSUXDXGXLUWBUWLI
      UWINUVTUWIUDUWAUWKBUUMUVTUWIYKRVEVFVGVHXMXNXOXPUWBUUOIANUVTYLUDUWAYMBUUMU
      VTYLYKRVEVFXQXRWCXSXMXTXEYPYGBFYHYJYEUDYKYFNYJYECUKULYAYB $.
      $( [3-Oct-2005] $) $( [19-Sep-2005] $)

    $( The values of a finite real sequence have an upper bound. $)
    fsequb2 $p |- ( ( N e. ( ZZ> ` M ) /\ F : ( M ... N ) --> RR ) ->
                  E. x e. RR A. y e. ran F y <_ x ) $=
      ( vk cuz cfv wcel cfz co cr wf wa cv clt wbr wral wrex cle crn fsequb
      ffvelrn r19.21aiva sylan2 wi wceq wfn wb ffn fvelrnb syl biimpa breq1
      biimpd r19.22si r19.36av adantll adantlr ltlet frn sseld imp simplr
      sylanc adantlll syld r19.21adva r19.22dva mpd ) EDGHIZDEJKZLCMZNZFOZCHZAO
      ZPQZFVLRZALSZBOZVQTQZBCUAZRZALSVKVPLIZFVLRVTVMAFCDEUBVMWEFVLVLLVOCUCUDUEV
      NVSWDALVNVQLIZNZVSWBBWCWGWAWCIZNVSWAVQPQZWBVNWHVSWIUFZWFVMWHWJVKVMWHNZVRW
      IUFZFVLSZWJWKVPWAUGZFVLSZWMVMWHWOVMCVLUHWHWOUIVLLCUJFVLWACUKULUMWNWLFVLWN
      VRWIVPWAVQPUNUOUPULVRWIFVLUQULURUSVMWFWHWIWBUFZVKWALIZWFWPVMWFNWHNWAVQUTV
      MWHWQWFVMWHWQVMWCLWAVLLCVAVBVCUSVMWFWHVDVEVFVGVHVIVJ $.
      $( [15-Oct-2006] $) $( [20-Sep-2005] $)

    $( The values of a finite real sequence have a supremum. $)
    fseqsupcl $p |- ( ( N e. ( ZZ> ` M ) /\ F : ( M ... N ) --> RR )
                 -> sup ( ran F , RR , < ) e. RR ) $=
      ( vy vx crn cr wss c0 wne cv cle wbr wral wrex clt csup wcel cuz cfv cfz
      co wf wa suprcl frn adantl cdm wceq eqeq1 biimpd dm0rn0 syl5ibr necon3d
      ne0i syl5com imp eluzfz1t fdm syl2an fsequb2 syl3anc ) AFZGHZVCIJZDKEKLMD
      VCNEGOVCGPQGRCBSTRZBCUAUBZGAUCZUDEDVCUEVHVDVFVGGAUFUGBVGRZAUHZVGUIZVEVFVH
      VIVKVEVKVGIJVEVIVKVCIVGIVKVJIUIZVGIUIZVCIUIVKVLVMVJVGIUJUKAULUMUNVGBUOUPU
      QBCURVGGAUSUTEDABCVAVB $.
      $( [9-Jul-2007] $) $( [20-Sep-2005] $)

    fseqsupub.1 $e |- N e. V $.
    $( The values of a finite real sequence are bounded by their supremum. $)
    fseqsupub $p |- ( ( K e. ( M ... N ) /\ F : ( M ... N ) --> RR ) ->
               ( F ` K ) <_ sup ( ran F , RR , < ) ) $=
      ( vy vx crn cr wss c0 wne cv cle wbr wral wrex w3a cfv wcel clt csup cfz
      co wf wa suprub frn adantl cdm wceq eqeq1 biimpd dm0rn0 syl5ibr necon3d
      ne0i syl5com imp fdm sylan2 cuz fsequb2 cvv elfzuz2t mpan sylan 3jca wfn
      fnfvelrn ancoms ffn sylanc ) AHZIJZVNKLZFMGMNOFVNPGIQZRBASZVNTZVRVNIUAUBN
      OBCDUCUDZTZVTIAUEZUFZGFVNVRUGWCVOVPVQWBVOWAVTIAUHUIWAAUJZVTUKZVPWBWAWEVPW
      EVTKLVPWAWEVNKVTKWEWDKUKZVTKUKZVNKUKWEWFWGWDVTKULUMAUNUOUPVTBUQURUSVTIAUT
      VADCVBSTZWBVQWAGFACDVCDVDTWAWHEVDBCDVEVFVGVHWAAVTVIZVSWBWIWAVSVTBAVJVKVTI
      AVLVAVM $.
      $( [29-Jul-2007] $) $( [20-Sep-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Superior limit (lim sup)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c limsup $.

  $( Extend class notation to include the limsup function. $)
  clsp $a class limsup $.

  ${
    $d k x y z F $.
$(
    df-limsupOLD $a |- limsup = { <. x , y >. | y = sup ( { z |
                  E. k e. ZZ ( ran ( x |` ( ZZ> ` k ) ) (_ RR* /\
         z = sup ( ran ( x |` ( ZZ> ` k ) ) , RR* , < ) ) } , RR* , `' < ) } $.

    df-limsupOLD2 $a |- limsup = { <. x , y >. | y = sup ( { z |
   E. k e. ZZ z = sup ( ( x " ( ZZ> ` k ) ) , RR* , < ) } , RR* , `' < ) } $.
$)

    $( Define the superior limit of an infinite sequence of extended real
       numbers.  Definition 12-4.1 of [Gleason] p. 175.  See ~ limsupvalt for
       its value. $)
    df-limsup $a |- limsup = { <. x , y >. | y = sup ( { z | E. k e. ZZ
    z = sup ( ( ( x " ( ZZ> ` k ) ) i^i RR* ) , RR* , < ) } , RR* , `' < ) } $.

    $( The superior limit of an infinite sequence ` F ` of extended real
       numbers, which is the infimum (indicated by ` ``' < ` ) of the set of
       suprema of all upper infinite subsequences of ` F ` .  Definition
       12-4.1 of [Gleason] p. 175. $)
    limsupvalt $p |- ( F e. A -> ( limsup ` F ) = sup ( { x | E. k e. ZZ x =
        sup ( ( ( F " ( ZZ> ` k ) ) i^i RR* ) , RR* , < ) } , RR* , `' < ) ) $=
      ( vy vz wcel cv cuz cfv cima cxr cin clt csup wceq cz wrex cab ccnv
      copab clsp cvv wor xrltso cnvso mpbi supex imaeq1 ineq1d supeq1 syl
      eqeq2d rexbidv abbidv fvopabg mpan2 df-limsup fveq1i syl5eq ) DBGZDEHAHZF
      HZCHIJZKZLMZLNOZPZCQRZASZLNTZOZPFEUAZJZVBDVDKZLMZLNOZPZCQRZASZLVKOZDUBJVA
      WAUCGVNWAPLVTVKLNUDLVKUDUELNUFUGUHFEDVLWABUCVCDPZVJVTPVLWAPWBVIVSAWBVHVRC
      QWBVGVQVBWBVFVPPVGVQPWBVEVOLVCDVDUIUJLVFVPNUKULUMUNUOLVJVTVKUKULUPUQDUBVM
      FEACURUSUT $.
      $( [30-Oct-2005] $) $( [26-Oct-2005] $)

    $( Closure of the superior limit. $)
    limsupclt $p |- ( F e. A -> ( limsup ` F ) e. RR* ) $=
      ( vx vk wcel clsp cfv cv cuz cima cxr cin clt csup wceq cz wrex cab ccnv
      limsupvalt wss wi inss2 supxrcl ax-mp eleq1 mpbiri a1i r19.23aiv abssi
      infmxrcl syl6eqel ) BAEBFGCHZBDHZIGJZKLZKMNZOZDPQZCRZKMSNZKCADBTUTKUAVAKE
      USCKURUMKEZDPURVBUBUNPEURVBUQKEZUPKUAVCUOKUCUPUDUEUMUQKUFUGUHUIUJUTUKUEUL
      $.
      $( [11-Jun-2007] $) $( [26-Oct-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Infinite sequence builders "seq" and "seq0"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c seq $.  $( Symbol for recursive sequence builder starting at an arbitrary
                index. $)
  $c seq0 $.  $( Symbol for recursive sequence builder starting at index 0. $)

  $( Extend class notation with arbitrarily-based recursive sequence
     builder. $)
  cseqz $a class seq $.
  $( Extend class notation with 0-based recursive sequence builder. $)
  cseq0 $a class seq0 $.

  ${
    $d g h k x $.
    $( Define a recursive sequence builder operation that starts at an
       arbitrary integer index.  See ~ seqz1 and ~ seqzp1 for its initial and
       successor values.  Theorems ~ seq0seqz and ~ seq1seqz derive the
       0-based ` seq0 ` and the 1-based ` seq1 ` as special cases. $)
    df-seqz $a |- seq = { <. <. x , g >. , h >. |
        h = ( ( ( ( 2nd ` x ) seq1 ( g shift ( 1 - ( 1st ` x ) ) ) )
           shift ( ( 1st ` x ) - 1 ) ) |` { k e. ZZ | ( 1st ` x ) <_ k } ) } $.
  $}

$(
  @{
    @d g h k x y z @.
    @( Alternate version of ~ df-seqz . @)
    dfseqz @p |- seq = { <. <. x , g >. , h >. | h = ( ( ( ( 2nd ` x ) seq0 (
 g shift -u ( 1st ` x ) ) ) shift ( 1st ` x ) ) |` ( ZZ> ` ( 1st ` x ) ) ) } @=
      ( vy vz cseqz cv c2nd cfv c1st cneg cshi co cseq0 cuz cres wceq copab2
      cvv cxp wral wfn wa wb oprex resexg ax-mp visset pm3.2i biantrur
      oprabbii fnoprab2 df-seqz fneq1 mpbir wcel eqfnoprval mp2an eqid weq
      fveq2 negeqd opreq2d opreq12d reseq1 syl fveq2d reseq2 eqtrd opreq1
      opreq1d oprabval5 syl6reqr rgen2a mpbir2an )
      FCGAGZHIZBGZVPJIZKZLMZNMZVSLM
      ZVSOIZPZQZABCRZQZSSTZWIQZDGZEGZFMZWKWLWGMZQZESUADSUAZFWIUBZWGWIUBWHWJWPUC
      UDWQ????SS??????LUE??SUFUG??????????UHZWRUIUJUKUL??????UMWIF?UNUGUOABCSSW
      EWGWCSUPWESUPWBVSLUEWCWDSUFUGWFVPSUPZVRSUPZUCZWFUCABCXAWFWSWTAUHBUHUIUJUK
      ULDESSSSFWGUQURWIUSWODESWKSUPWLSUPUCWNWKHIZWLWKJIZKZLMZNMZXCLMZXCOIZPZWMA
      BCWKWLSSWEXIWGXBVRXDLMZNMZXCLMZXHPZXGSUPXISUPXFXCLUEXGXHSUFUGADUTZWEXLWDP
      ZXMXNWCXLQWEXOQXNWBXKVSXCLXNVQXBWAXJNVPWKHVAXNVTXDVRLXNVSXCVPWKJVAZVBVCVD
      XPVDWCXLWDVEVFXNWDXHQXOXMQXNVSXCOXPVGWDXHXLVHVFVIBEUTZXLXGQXMXIQXQXKXFXCL
      XQXJXEXBNVRWLXDLVJVCVKXLXGXHVEVFWGUSVL?VMVNVO @.
      @( [?] @) @( [27-Sep-2005] @)
  @}
$)

$(
  @{
    @d g h k x @.
    @( Alternate version of ~ df-seqz . @)
    dfseqz @p |- seq = { <. <. x , g >. , h >. |
        h = ( ( ( ( 2nd ` x ) seq1 ( g shift ( 1 - ( 1st ` x ) ) ) )
           shift ( ( 1st ` x ) - 1 ) ) |` ( ZZ> ` ( 1st ` x ) ) ) } @=
      ( vk cseqz cv c2nd cfv c1 c1st cmin co cshi cseq1 cle wbr cz crab cres
      wceq copab2 cuz df-seqz cvv wcel fvex uzvaltOLD ax-mp reseq2 eqeq2i
      oprabbii eqtr4 ) ECFZAFZGHBFIUNJHZKLMLNLUOIKLMLZUODFOPDQRZSZTZABCUAUMUPUO
      UBHZSZTZABCUAABCDUCVBUSABCVAURUMUTUQTZVAURTUOUDUEVCUNJUFUDDUOUGUHUTUQUPUI
      UHUJUKUL @.
      @( [?] @) @( [2-Sep-2005] @)
  @}
$)

  ${
    $d f g h $.
    $( Define a recursive sequence builder operation that starts at index 0.
       This is a frequently-used variation of the ` seq1 ` operation (see
       ~ df-seq1 ), which starts at index 1.  See ~ seq00 and ~ seq0p1 for its
       initial and successor values.  See ~ dfseq0 for an alternate
       definition. $)
    df-seq0 $a |- seq0 = { <. <. f , g >. , h >. |
                   h = ( ( ( f seq1 ( g shift 1 ) ) shift -u 1 ) |` NN0 ) } $.
  $}

  ${
    $d f g h k x S $.  $d f g h k x F $.  $d k A $.  $d g h k x M $.  $d k N $.
    seq0val.1 $e |- S e. V $.
    seq0val.2 $e |- F e. V $.
    $( Value of the 0-based recursive sequence builder operation. $)
    seq0fval $p |- ( S seq0 F ) =
                  ( ( ( S seq1 ( F shift 1 ) ) shift -u 1 ) |` NN0 ) $=
      ( vf vg vh cvv wcel cseq0 co c1 cshi cseq1 cneg cn0 cres wceq cv oprex
      resexg ax-mp opreq1 opreq1d reseq1 syl opreq2d df-seq0 oprabval5 mp2an )
      AHIBHIABJKABLMKZNKZLOZMKZPQZRCDEFGABHHESZFSZLMKZNKZUMMKZPQZUOJAURNKZUMMKZ
      PQZUNHIUOHIULUMMTUNPHUAUBUPARZUTVCRVAVDRVEUSVBUMMUPAURNUCUDUTVCPUEUFUQBRZ
      VCUNRVDUORVFVBULUMMVFURUKANUQBLMUCUGUDVCUNPUEUFEFGUHUIUJ $.
      $( [20-Aug-2005] $) $( [3-Aug-2005] $)

    $( Value of the 0-based recursive sequence builder operation. $)
    seq0valt $p |- ( N e. NN0 -> ( ( S seq0 F ) ` N ) =
                  ( ( ( S seq1 ( F shift 1 ) ) shift -u 1 ) ` N ) ) $=
      ( cn0 wcel c1 cshi co cseq1 cneg cres cfv cseq0 fvres seq0fval fveq1i
      syl5eq ) CFGCABHIJKJHLIJZFMZNCTNCABOJZNCFTPCUBUAABDEQRS $.
      $( [9-Sep-2005] $) $( [19-Aug-2005] $)

    $( Value of the arbitrary-based recursive sequence builder operation. $)
    seqzfval $p |- ( M e. A -> ( <. M , S >. seq F ) =
                   ( ( ( S seq1 ( F shift ( 1 - M ) ) ) shift ( M - 1 ) )
                   |` { k e. ZZ | M <_ k } ) ) $=
      ( vx vg vh wcel cop c2nd cfv c1 c1st cmin co cshi cseq1 cv cle wbr cz
      crab cres cseqz wceq cvv op2ndg mpan2 op1stg opreq2d opreq12d opreq1d
      reseq1 syl breq1d rabbisdv reseq2 eqtrd opex oprex resexg ax-mp fveq2
      opreq1 df-seqz oprabval5 mp2an syl5eq ) EAKZEBLZMNZDOVMPNZQRZSRZTRZVOOQRZ
      SRZVOCUAZUBUCZCUDUEZUFZBDOEQRZSRZTRZEOQRZSRZEWAUBUCZCUDUEZUFZVMDUGRZVLWDW
      IWCUFZWLVLVTWIUHWDWNUHVLVRWGVSWHSVLVNBVQWFTVLBUIKVNBUHFEBAUIUJUKVLVPWEDSV
      LVOEOQEBAULZUMUMUNVLVOEOQWOUOUNVTWIWCUPUQVLWCWKUHWNWLUHVLWBWJCUDVLVOEWAUB
      WOURUSWCWKWIUTUQVAVMUIKDUIKWMWDUHEBVBGHIJVMDUIUIHUAZMNZIUAZOWPPNZQRZSRZTR
      ZWSOQRZSRZWSWAUBUCZCUDUEZUFZWDUGVNWRVPSRZTRZVSSRZWCUFZVTUIKWDUIKVRVSSVCVT
      WCUIVDVEWPVMUHZXGXJXFUFZXKXLXDXJUHXGXMUHXLXBXIXCVSSXLWQVNXAXHTWPVMMVFXLWT
      VPWRSXLWSVOOQWPVMPVFZUMUMUNXLWSVOOQXNUOUNXDXJXFUPUQXLXFWCUHXMXKUHXLXEWBCU
      DXLWSVOWAUBXNURUSXFWCXJUTUQVAWRDUHZXJVTUHXKWDUHXOXIVRVSSXOXHVQVNTWRDVPSVG
      UMUOXJVTWCUPUQHIJCVHVIVJVK $.
      $( [6-Sep-2005] $) $( [1-Sep-2005] $)

    $( Value of the arbitrary-based recursive sequence builder operation. $)
    seqzfval2 $p |- ( M e. ZZ -> ( <. M , S >. seq F ) =
                   ( ( ( S seq1 ( F shift ( 1 - M ) ) ) shift ( M - 1 ) )
                   |` ( ZZ> ` M ) ) ) $=
      ( vk cz wcel cop cseqz co c1 cmin cshi cseq1 cv cle wbr crab cres cuz
      cfv seqzfval wceq uzvalt reseq2 syl eqtr4d ) CGHZCAIBJKABLCMKNKOKCLMKNKZC
      FPQRFGSZTZUJCUAUBZTZGAFBCDEUCUIUMUKUDUNULUDFCUEUMUKUJUFUGUH $.
      $( [13-Sep-2005] $) $( [5-Sep-2005] $)

    $( Functionality and domain of a sequence generated by the arbitrary-based
       recursive sequence builder. $)
    seqzfn $p |- ( M e. ZZ ->
                 ( <. M , S >. seq F ) Fn ( ZZ> ` M ) ) $=
      ( cz wcel cop cseqz co cuz cfv wfn c1 cmin cshi cseq1 cres cc wss cvv
      oprex shftfn ax-mp uzssz zsscn sstri fnssres mp2an wceq wb seqzfval2
      fneq1 syl mpbiri ) CFGZCAHBIJZCKLZMZABNCOJPJZQJZCNOJZPJZURRZURMZVCSMZURST
      VEVBUAGVFCNOUBVBUAVAAUTQUBUCUDURFSCUEUFUGSURVCUHUIUPUQVDUJUSVEUKABCDEULUR
      UQVDUMUNUO $.
      $( [15-Sep-2005] $) $( [2-Sep-2005] $)

    $( Value of the arbitrary-based recursive sequence builder operation. $)
    seqzvalt $p |- ( ( M e. A /\ N e. ZZ /\ M <_ N ) ->
                   ( ( <. M , S >. seq F ) ` N ) =
              ( ( ( S seq1 ( F shift ( 1 - M ) ) ) shift ( M - 1 ) ) ` N ) ) $=
      ( vk wcel cz cle wbr w3a cop cseqz co cfv c1 cmin cshi cseq1 cv crab
      cres wceq seqzfval fveq1d 3ad2ant1 wa 3simpc breq2 elrab sylibr fvres
      syl eqtrd ) DAIZEJIZDEKLZMZEDBNCOPZQZEBCRDSPTPUAPDRSPTPZDHUBZKLZHJUCZUDZQ
      ZEVCQZUQURVBVHUEUSUQEVAVGABHCDFGUFUGUHUTEVFIZVHVIUEUTURUSUIVJUQURUSUJVEUS
      HEJVDEDKUKULUMEVFVCUNUOUP $.
      $( [10-Sep-2005] $) $( [1-Sep-2005] $)

    $( The 1-based recursive sequence in terms of the arbitrary-based one. $)
    seq1seqz $p |- ( S seq1 F ) = ( <. 1 , S >. seq F ) $=
      ( vk cseq1 co c1 cmin cshi cv cle wbr cz crab cres cop cseqz cc0 cn wceq
      cfv wral wfn wa wb oprex seq1fn cc wcel wss 0cn nnsscn shftres mp2an
      eqfnfv eqid fvres nncnt shftidt syl eqtr2d rgen mpbir2an ax1cn subid
      opreq2i opreq12i reseq1 ax-mp eqtr4 seq1shftid nnzrab reseq2 3eqtr3
      seqzfval ) ABFGZABHHIGZJGZFGZVRJGZHEKZLMENOZPZHAQBRGZABSJGZFGZWATPZVQWDWG
      WGSJGZTPZWHWGWJUAZTTUAZWBWGUBZWBWJUBZUAZETUCZWGTUDWJTUDZWKWLWPUEUFAWFCBSJ
      UGUHSUIUJTUIUKWQULUMSTUIWGAWFFUGZUNUOETTWGWJUPUOTUQWOETWBTUJZWNWBWIUBZWMW
      BTWIURWSWBUIUJWTWMUAWBUSWBWGWRUTVAVBVCVDWAWIUAWHWJUAVTWGVRSJVSWFAFVRSBJHV
      EVFZVGVGXAVHWAWITVIVJVKABCDVLTWCUAWHWDUAEVMTWCWAVNVJVOHUIUJWEWDUAVEUIAEBH
      CDVPVJVK $.
      $( [6-Sep-2005] $) $( [1-Sep-2005] $)

    $( The 0-based recursive sequence in terms of the arbitrary-based one. $)
    seq0seqz $p |- ( S seq0 F ) = ( <. 0 , S >. seq F ) $=
      ( vk cseq0 co c1 cc0 cmin cshi cseq1 cv cle wbr cz crab cres cop cseqz
      cneg cn0 seq0fval wceq ax1cn subid1 eqcomi opreq2i df-neg opreq12i
      reseq1 ax-mp nn0zrab reseq2 3eqtr cc wcel 0cn seqzfval eqtr4 ) ABFGZABHIJ
      GZKGZLGZIHJGZKGZIEMNOEPQZRZIASBTGZVAABHKGZLGZHUAZKGZUBRZVFUBRZVHABCDUCVMV
      FUDVNVOUDVKVDVLVEKVJVCALHVBBKVBHHUEUFUGUHUHHUIUJVMVFUBUKULUBVGUDVOVHUDEUM
      UBVGVFUNULUOIUPUQVIVHUDURUPAEBICDUSULUT $.
      $( [7-Sep-2005] $) $( [1-Sep-2005] $)

    $( A relationship between the 1-based and 0-based recursive sequence
       builders. $)
    seq1seq02t $p |- ( N e. NN ->
  ( ( S seq1 ( F shift 1 ) ) ` N ) = ( ( ( S seq0 F ) shift 1 ) ` N ) ) $=
      ( cn wcel cseq0 co c1 cshi cfv cmin cseq1 cneg cc wceq nncnt ax1cn oprex
      shftvalt mpan syl cn0 nnm1nn0t seq0valt caddc subclt mpan2 shftval4t
      3syl pncan3t fveq2d eqtrd 3eqtrrd ) CFGZCABHIZJKILZCJMIZUQLZUSABJKIZNIZJO
      KILZCVBLZUPCPGZURUTQZCRZJPGZVEVFSJCPUQABHTUAUBUCUPUSUDGUTVCQCUEABUSDEUFUC
      UPVCJUSUGIZVBLZVDUPVEUSPGZVCVJQZVGVEVHVKSCJUHUIVHVKVLSJUSVBAVANTUJUBUKUPV
      ICVBUPVEVICQZVGVHVEVMSJCULUBUCUMUNUO $.
      $( [10-Sep-2005] $) $( [19-Aug-2005] $)

    $( The 1-based recursive sequence builder operation in terms of the 0-based
       one. $)
    seq1seq0t $p |- ( N e. NN -> ( ( S seq1 F ) ` N ) =
            ( ( ( S seq0 ( F shift -u 1 ) ) shift 1 ) ` N ) ) $=
      ( cn wcel c1 cneg cshi co cseq1 cfv cseq0 oprex seq1seq02t cc0 caddc cc
      wceq ax1cn negcl 2shft mp2an addcom negid eqtr opreq2i seq1shftid eqtr2
      fveq1i syl5eq ) CFGCABHIZJKZHJKZLKZMCAUNNKHJKMCABLKZMAUNCDBUMJOPCUQUPUPAB
      QJKZLKUQUOURALUOBUMHRKZJKZURUMSGHSGUOUTTHUAUBZUAUMHBEUCUDUSQBJUSHUMRKQUMH
      VAUAUEHUAUFUGUHUGUHABDEUIUJUKUL $.
      $( [27-Sep-2005] $) $( [4-Sep-2005] $)

    $( The 1-based recursive sequence builder operation in terms of the 0-based
       one. $)
    seq1seq0 $p |- ( S seq1 F ) =
            ( ( ( S seq0 ( F shift -u 1 ) ) shift 1 ) |` NN ) $=
      ( vk cseq1 co c1 cneg cshi cseq0 cn cres wceq cv cfv wral wfn wa wb
      seq1fn cc wcel wss ax1cn nnsscn oprex shftres mp2an eqfnfv eqid
      seq1seq0t fvres eqtr4d rgen mpbir2an ) ABFGZABHIJGZKGZHJGZLMZNZLLNZEOZUQP
      ZVDVAPZNZELQZUQLRVALRZVBVCVHSTABCDUAHUBUCLUBUDVIUEUFHLUBUSAURKUGUHUIELLUQ
      VAUJUILUKVGELVDLUCVEVDUTPVFABVDCDULVDLUTUMUNUOUP $.
      $( [1-Oct-2005] $) $( [4-Sep-2005] $)

    $( Functionality and domain of the 0-based recursive sequence builder. $)
    seq0fn $p |- ( S seq0 F ) Fn NN0 $=
      ( cseq0 co cn0 wfn c1 cshi cseq1 cneg cres cc wss cvv wcel negex oprex
      shftfn ax-mp nn0sscn fnssres mp2an wceq wb seq0fval fneq1 mpbir ) ABEFZGH
      ZABIJFZKFZILZJFZGMZGHZUONHZGNOUQUNPQURIRUNPUMAULKSTUAUBNGUOUCUDUJUPUEUKUQ
      UFABCDUGGUJUPUHUAUI $.
      $( [10-Sep-2005] $) $( [3-Aug-2005] $)

    $( Value of the arbitrary-based recursive sequence builder at its initial
       value. $)
    seqz1 $p |- ( M e. ZZ -> ( ( <. M , S >. seq F ) ` M ) = ( F ` M ) ) $=
      ( vk cz wcel cop cseqz co cfv c1 cmin cshi cseq1 cv cle wbr crab cres
      seqzfval fveq1d wceq wa cr zret leidt syl ancli breq2 elrab sylibr fvres
      cc zcnt cvv oprex shftvalt mpan ax1cn nncant mpan2 fveq2d seq11 syl6eq
      shftval3t 3eqtrd ) CGHZCCAIBJKZLCABMCNKZOKZPKZCMNKZOKZCFQZRSZFGTZUAZLZCVO
      LZCBLZVICVJVSGAFBCDEUBUCVICVRHZVTWAUDVIVICCRSZUEWCVIWDVICUFHWDCUGCUHUIUJV
      QWDFCGVPCCRUKULUMCVRVOUNUIVIWACVNNKZVMLZMVLLZWBVICUOHZWAWFUDZCUPZVNUQHWHW
      ICMNURVNCUQVMAVLPURUSUTUIVIWFMVMLWGVIWEMVMVIWHWEMUDZWJWHMUOHZWKVACMVBVCUI
      VDAVLDBVKOURVEVFVIWHWGWBUDZWJWLWHWMVAMCBEVGUTUIVHVH $.
      $( [8-Sep-2005] $) $( [1-Sep-2005] $)

    $( Value of the arbitrary-based recursive sequence builder at a successor
       value. $)
    seqzp1 $p |- ( N e. ( ZZ> ` M ) ->
                 ( ( <. M , S >. seq F ) ` ( N + 1 ) ) =
                 ( ( ( <. M , S >. seq F ) ` N ) S ( F ` ( N + 1 ) ) ) ) $=
      ( vk cuz cfv wcel c1 caddc co cop cseqz cmin cshi cseq1 cv cle wbr cz
      crab cres wceq eluzel2 seqzfval fveq1d syl peano2uz uzvalt eleq2d ibi
      fvres 3syl cc wa oprex shftvalt ax1cn subclt mpan2 peano2cn syl2an
      anim2i ancoms addsubt mp3an2 fveq2d eqtrd zcnt eluzelz sylanc cn w3a
      eluz2t subsubt mp3an3 3adant3 cn0 znn0sub2t nn0p1nnt eqeltrd sylbi
      seq1p1 mpan adantr sylan2 subsub2t pm3.26 nppcant opreq2d 3eqtrd wb
      peano2zm 3eqtrrd opreq1d ) DCHIZJZDKLMZCANBOMZIZWTABKCPMZQMZRMZCKPMZQMZCG
      STUAGUBUCZUDZIZDXAIZWTBIZAMZWSCUBJZXBXJUECDUFZXNWTXAXIUBAGBCEFUGZUHUIWSXJ
      WTXGIZDXFPMZXEIZXLAMZXMWSWTWRJZWTXHJZXJXQUECDUJYAYBYAWRXHWTYAXNWRXHUECWTU
      FGCUKZUIULUMWTXHXGUNUOWSXQXRKLMZXEIZXSYDXDIZAMZXTCUPJZDUPJZXQYEUEWSYHYIUQ
      ZXQWTXFPMZXEIZYEXFUPJZWTUPJXQYLUEYHYIXFWTUPXEAXDRURZUSYHKUPJZYMUTCKVAVBZD
      VCVDYJYKYDXEYJYIYMUQZYKYDUEZYIYHYQYHYMYIYPVEVFZYIYOYMYRUTDKXFVGVHUIVIVJWS
      XNYHXOCVKZUIZWSDUBJZYICDVLDVKZUIZVMWSXRVNJZYEYGUEWSXNUUBCDTUAZVOZUUECDVPU
      UGXRDCPMZKLMZVNXNUUBXRUUIUEZUUFUUBXNUUJYIYHUUJUUBXNYIYHYOUUJUTDCKVQVRUUCY
      TVDVFVSUUGUUHVTJUUIVNJCDWAUUHWBUIWCWDXRAXDEBXCQURWEUIWSYFXLXSAYHYIYFXLUEW
      SYJYFYDXCPMZBIZXLXCUPJZYDUPJZYFUULUEYJXCYDUPBFUSYHUUMYIYOYHUUMUTKCVAWFWGY
      JXRUPJZUUNYIYHUUOYIYMUUOYHDXFVAYPWHVFXRVCUIZVMYJUUKWTBYJUUKYDXFLMZWTUUNYH
      UUKUUQUEZYJUUNYOYHUURUTYDKCWIVHUUPYHYIWJVMYJYQUUQWTUEZYSYIYMYOUUSUTDXFKWK
      VRUIVJVIVJUUAUUDVMWLWMWSXSXKXLAWSXKDXIIZDXGIZXSWSXNXKUUTUEXOXNDXAXIXPUHUI
      WSDXHJZUUTUVAUEWSUVBWSXNWSUVBWNXOXNWRXHDYCULUIUMDXHXGUNUIXFUBJZYIUVAXSUEW
      SXFDUBXEYNUSWSXNUVCXOCWOUIUUDVMWPWQWMVJ $.
      $( [26-Sep-2005] $) $( [7-Sep-2005] $)

    $( Value of the recursive sequence builder in terms of its _previous_
       value. $)
    seqzm1 $p |- ( ( M e. ZZ /\ N e. ZZ /\ M < N ) ->
                ( ( <. M , S >. seq F ) ` N ) =
                ( ( ( <. M , S >. seq F ) ` ( N - 1 ) ) S ( F ` N ) ) ) $=
      ( cz wcel clt wbr w3a c1 cmin co caddc cop cseqz cfv cle wceq cuz eluz2t
      seqzp1 sylbir 3simp1 peano2zm 3ad2ant2 zltlem1t biimp3a syl3anc cc zcnt
      ax1cn npcant mpan2 syl fveq2d opreq2d 3eqtr3d ) CGHZDGHZCDIJZKZDLMNZLONZC
      APBQNZRZVDVFRZVEBRZANZDVFRZVHDBRZANZUTVDGHZCVDSJZVGVJTZVCUTVNVOKVDCUARHVP
      CVDUBABCVDEFUCUDUTVAVBUEVAUTVNVBDUFUGUTVAVBVOCDUHUIUJVAUTVGVKTVBVAVEDVFVA
      DUKHZVEDTZDULVQLUKHVRUMDLUNUOUPZUQUGVAUTVJVMTVBVAVIVLVHAVAVEDBVSUQURUGUS
      $.
      $( [3-Oct-2005] $) $( [1-Sep-2005] $)

    $( Value of the 0-based recursive sequence builder at 0. $)
    seq00 $p |- ( ( S seq0 F ) ` 0 ) = ( F ` 0 ) $=
      ( cc0 cseq0 co cfv c1 cshi cseq1 cneg cmin cn0 cres seq0fval fveq1i wcel
      wceq 0nn0 fvres ax-mp eqtr cc ax1cn negcl 0cn oprex shftvalt mp2an
      df-neg negneg eqtr3 fveq2i seq11 subid 3eqtr ) EABFGZHZEABIJGZKGZILZJGZHZ
      EVBMGZVAHZEBHZUSEVCNOZHZVDEURVHABCDPQENRVIVDSTENVCUAUBUCVBUDREUDRVDVFSIUE
      UFUGVBEUDVAAUTKUHUIUJVFIVAHIUTHZVGVEIVAVBLVEIVBUKIUEULUMUNAUTCBIJUHUOVJII
      MGZBHZVGIUDRZVMVJVLSUEUEIIUDBDUIUJVKEBIUEUPUNUCUQUQ $.
      $( [24-Aug-2005] $) $( [3-Aug-2005] $)

    $( Value of the 0-based recursive sequence builder at a successor. $)
    seq0p1 $p |- ( N e. NN0 -> ( ( S seq0 F ) ` ( N + 1 ) ) =
                ( ( ( S seq0 F ) ` N ) S ( F ` ( N + 1 ) ) ) ) $=
      ( cn0 wcel c1 caddc co cshi cseq1 cneg cres cfv cseq0 cmin wceq
      peano2nn0 fvres syl cc nn0cnt peano2cn ax1cn negcl oprex shftvalt mpan
      3syl addsubt mp3an23 fveq2d cn subnegt mpan2 nn0p1nnt eqeltrd seq1p1
      subclt pncant eqtrd opreq2d 3eqtrd seq0fval fveq1i syl5req opreq1d
      syl5eq ) CFGZCHIJZABHKJZLJZHMZKJZFNZOZCABPJZOZVKBOZAJZVKVROVJVQVKVOOZCVNQ
      JZVMOZVTAJZWAVJVKFGVQWBRCSVKFVOTUAVJWBVKVNQJZVMOZWCHIJZVMOZWEVJCUBGZVKUBG
      ZWBWGRZCUCZCUDVNUBGZWKWLHUEUFZVNVKUBVMAVLLUGZUHUIUJVJWFWHVMVJWJWFWHRZWMWJ
      HUBGZWNWQUEWOCHVNUKULUAUMVJWIWDWHVLOZAJZWEVJWCUNGWIWTRVJWCVKUNVJWJWCVKRZW
      MWJWRXAUECHUOUPZUACUQURWCAVLDBHKUGUSUAVJWSVTWDAVJWSWHHQJZBOZVTVJWCUBGZWHU
      BGZWSXDRZVJWJXEWMWJWNXEWOCVNUTUPZUAWCUDWRXFXGUEHWHUBBEUHUIUJVJXCVKBVJWJXC
      VKRWMWJXCWCVKWJXEXCWCRZXHXEWRXIUEWCHVAUPUAXBVBUAUMVBVCVBVDVJWDVSVTAVJCVPO
      ZWDVSVJXJCVOOZWDCFVOTVJWJXKWDRZWMWNWJXLWOVNCUBVMWPUHUIUAVBCVRVPABDEVEZVFV
      GVHVDVKVRVPXMVFVI $.
      $( [24-Aug-2005] $) $( [3-Aug-2005] $)

    $( Value of the 0-based recursive sequence builder at 1. $)
    seq01 $p |- ( ( S seq0 F ) ` 1 ) = ( ( F ` 0 ) S ( F ` 1 ) ) $=
      ( cc0 c1 caddc co cseq0 cfv cn0 wcel wceq 0nn0 seq0p1 ax-mp ax1cn addid2
      fveq2i seq00 opreq12i 3eqtr3 ) EFGHZABIHZJZEUDJZUCBJZAHZFUDJEBJZFBJZAHEKL
      UEUHMNABECDOPUCFUDFQRZSUFUIUGUJAABCDTUCFBUKSUAUB $.
      $( [8-Oct-2005] $) $( [3-Aug-2005] $)

    $( Value of the arbitrary-based recursive sequence builder operation. $)
    seqzval2t $p |- ( ( M e. ZZ /\ N e. ZZ /\ M <_ N ) ->
                   ( ( <. M , S >. seq F ) ` N ) =
              ( ( ( S seq0 ( F shift -u M ) ) shift M ) ` N ) ) $=
      ( cz wcel cle wbr w3a c1 cmin co cshi cseq1 cfv cneg cseq0 cop cseqz
      wceq cc zcnt cvv oprex shftvalt mpan syl 3ad2ant2 caddc negclt ax1cn
      2shft mpan2 axaddcom negsubt eqtrd opreq2d fveq1d 3ad2ant1 cn subsubt
      mp3an3 syl2an ancoms 3adant3 cn0 znn0sub2t nn0p1nnt eqeltrd seq1seq02t
      eqtr3d wa subclt sylan2 nnncant fveq2d 3eqtrd seqzvalt 3eqtr4d ) CGHZDGHZ
      CDIJZKZDABLCMNZONZPNZCLMNZONQZDCMNZABCRZONZSNZQZDCATBUANQDWNCONQZWEWJDWIM
      NZWHQZWQWNLONQZWOWCWBWJWRUBZWDWCDUCHZWTDUDZWIUEHXAWTCLMUFWIDUEWHAWGPUFUGU
      HUIUJWEWQAWMLONZPNZQZWRWSWBWCXEWRUBWDWBWQXDWHWBXCWGAPWBCUCHZXCWGUBCUDZXFX
      CBWLLUKNZONZWGXFWLUCHZXCXIUBZCULZXJLUCHZXKUMWLLBFUNUOUIXFXHWFBOXFXHLWLUKN
      ZWFXFXJXHXNUBZXLXJXMXOUMWLLUPUOUIXMXFXNWFUBUMLCUQUHURUSURUIUSUTVAWEWQVBHX
      EWSUBWEWQWKLUKNZVBWBWCWQXPUBZWDWCWBXQXAXFXQWCWBXAXFXMXQUMDCLVCVDXBXGVEVFV
      GWEWKVHHXPVBHCDVIWKVJUIVKAWMWQEBWLOUFVLUIVMWBWCWSWOUBZWDXFXAXRWBWCXAXFXRX
      AXFVNZWSWQLMNZWNQZWOXSWQUCHZWSYAUBZXAWIUCHZYBXFDWIVOXFXMYDUMCLVOUOVPXMYBY
      CUMLWQUCWNAWMSUFZUGUHUIXSXTWKWNXAXFXMXTWKUBUMDCLVQVDVRURVFXGXBVEVGVSGABCD
      EFVTWBWCWPWOUBZWDWBXAYFWCCDGWNYEUGXBVPVGWA $.
      $( [2-Aug-2006] $) $( [4-Sep-2005] $)
  $}

  ${
    $d j k m F $.  $d j k m G $.  $d j k m M $.  $d j k N $.  $d j m S $.
    seqzfveq.1 $e |- S e. V $.
    seqzfveq.2 $e |- F e. V $.
    seqzfveq.3 $e |- G e. V $.
    $( Equality theorem for the recursive sequence builder. $)
    seqzfveq $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N ) ( F ` k ) = ( G
  ` k ) ) -> ( ( <. M , S >. seq F ) ` N ) = ( ( <. M , S >. seq G ) ` N ) ) $=
      ( vj vm cuz cfv wcel cv wceq cfz co wral cop cseqz wi c1 caddc opreq2
      raleq1d fveq2 eqeq12d imbi12d cz wa rcla4va elfz3t sylan seqz1 adantr
      3eqtr4d ex wss fzssp1t eluzel2 eluzelz sylanc sseld imim1d r19.20dv2 id
      peano2uz eluzfz2t syl opreqan12rd seqzp1 ad2antrr exp31 a2d syld uzind4
      imp ) FELMZNBOZCMZVTDMZPZBEFQRZSZFEATZCUARZMZFWFDUARZMZPZWCBEJOZQRZSZWLWG
      MZWLWIMZPZUBWCBEEQRZSZEWGMZEWIMZPZUBWCBEKOZQRZSZXCWGMZXCWIMZPZUBZWCBEXCUC
      UDRZQRZSZXJWGMZXJWIMZPZUBZWEWKUBJKEFWLEPZWNWSWQXBXQWCBWMWRWLEEQUEUFXQWOWT
      WPXAWLEWGUGWLEWIUGUHUIWLXCPZWNXEWQXHXRWCBWMXDWLXCEQUEUFXRWOXFWPXGWLXCWGUG
      WLXCWIUGUHUIWLXJPZWNXLWQXOXSWCBWMXKWLXJEQUEUFXSWOXMWPXNWLXJWGUGWLXJWIUGUH
      UIWLFPZWNWEWQWKXTWCBWMWDWLFEQUEUFXTWOWHWPWJWLFWGUGWLFWIUGUHUIEUJNZWSXBYAW
      SUKECMZEDMZWTXAEWRNWSYBYCPZYAWCYDBEWRVTEPWAYBWBYCVTECUGVTEDUGUHULEUMUNYAW
      TYBPWSACEGHUOUPYAXAYCPWSADEGIUOUPUQURXCVSNZXIXLXHUBXPYEXLXEXHYEWCWCBXKXDY
      EVTXDNVTXKNWCYEXDXKVTYAXCUJNXDXKUSYEEXCUTEXCVAEXCVBVCVDVEVFVEYEXLXHXOYEXL
      XHXOYEXLUKZXHUKXFXJCMZARZXGXJDMZARZXMXNXHYFXFXGYGYIAXHVGXJXKNZXLYGYIPZYEW
      CYLBXJXKVTXJPWAYGWBYIVTXJCUGVTXJDUGUHULYEXJVSNYKEXCVHEXJVIVJUNVKYEXMYHPXL
      XHACEXCGHVLVMYEXNYJPXLXHADEXCGIVLVMUQVNVOVPVQVR $.
      $( [4-Nov-2005] $) $( [3-Nov-2005] $)

    $( Equality theorem for the recursive sequence builder. $)
    seqzeq $p |- ( ( M e. ZZ /\ A. k e. ( ZZ> ` M ) ( F ` k ) = ( G ` k ) ) ->
                 ( <. M , S >. seq F ) = ( <. M , S >. seq G ) ) $=
      ( vm cz wcel cv cfv wceq cuz wral wa cop cseqz co cfz seqzfveq elfzuzt
      imim1i r19.20i2 sylan2 expcom r19.21aiv adantl eqid jctil wfn wb seqzfn
      jca adantr eqfnfv syl mpbird ) EJKZBLZCMVADMNZBEOMZPZQZEARZCSTZVFDSTZNZVC
      VCNZILZVGMVKVHMNZIVCPZQZVEVMVJVDVMUTVDVLIVCVKVCKZVDVLVOVBBEVKUATZPVLVDABC
      DEVKFGHUBVBVBBVCVPVAVPKVAVCKVBVAEVKUCUDUEUFUGUHUIVCUJUKVEVGVCULZVHVCULZQZ
      VIVNUMUTVSVDUTVQVRACEFGUNADEFHUNUOUPIVCVCVGVHUQURUS $.
      $( [20-Dec-2005] $) $( [11-Dec-2005] $)
  $}

  ${
    $d j m n v y B $.  $d j m n v y C $.  $d j k m n v y F $.
    $d j m n v y M $.  $d m N $.  $d j m n v y S $.
    seqzrn.1 $e |- S e. V $.
    seqzrn.2 $e |- F e. V $.
    $( Range of a sequence generated by the arbitrary-based recursive sequence
       builder. $)
    seqzrn2 $p |- ( ( ( M e. ZZ /\ ( F ` M ) e. C ) /\
       ( ( F |` ( ZZ> ` ( M + 1 ) ) ) : ( ZZ> ` ( M + 1 ) ) --> B /\
               S : ( C X. B ) --> C ) ) -> ran ( <. M , S >. seq F ) (_ C ) $=
      ( vn vj vm vy vv cz wcel cfv c1 caddc co cuz cres wf cxp wa cop cseqz
      crn wss wfn cv wral fnfvrnss seqzfn wi wceq fveq2 eleq1d imbi2d seqz1
      pm3.26 syl5bir ffvelrn wb fvres adantl mpbid eluzp1p1t sylan2 seqzp1
      opreq1 opreq2 rcla42v ancoms ffnoprval pm3.27bi syl5 imp exp4c mpd ex
      com4r impcom com12 a2d uzind4 r19.21aiv syl2an anassrs ) EMNZEDOZBNZEPQRS
      OZADWKTZUAZBAUBZBCUAZUCZECUDDUERZUFBUGZWQESOZUHHUIZWQOZBNZHWSUJWRWHWJWPUC
      ZHWSBWQUKCDEFGULXCXBHWSWTWSNXCXBXCIUIZWQOZBNZUMXCEWQOZBNZUMXCJUIZWQOZBNZU
      MXCXIPQRZWQOZBNZUMXCXBUMIJEWTXDEUNZXFXHXCXOXEXGBXDEWQUOUPUQXDXIUNZXFXKXCX
      PXEXJBXDXIWQUOUPUQXDXLUNZXFXNXCXQXEXMBXDXLWQUOUPUQXDWTUNZXFXBXCXRXEXABXDW
      TWQUOUPUQWHXHWJXCWHXGWIBCDEFGURUPWJWPUSUTXIWSNZXCXKXNXCXSXKXNUMZWPXSXTUMZ
      WJWOWMYAWMXSXKWOXNWMXSXKWOXNUMUMZWMXSUCXLDOZANZYBWMXLWKNZYDXSWMYEUCXLWLOZ
      ANZYDWKAXLWLVAYEYGYDVBWMYEYFYCAXLWKDVCUPVDVEEXIVFVGXSYDYBUMWMXSYDXKWOXNXS
      XNXJYCCRZBNZYDXKUCZWOUCXSXMYHBCDEXIFGVHUPYJWOYIYJKUIZLUIZCRZBNZLAUJKBUJZY
      IWOXKYDYOYIUMYNYIXJYLCRZBNKLXJYCBAYKXJUNYMYPBYKXJYLCVIUPYLYCUNYPYHBYLYCXJ
      CVJUPVKVLWOCWNUHYOKLBABCVMVNVOVPUTVQVDVRVSVTWAVDWBWCWDWBWEWFWG $.
      $( [26-Sep-2005] $) $( [7-Sep-2005] $)

    $( Range of the arbitrary-based recursive sequence builder (special case
       of ~ seqzrn2 ). $)
    seqzrn $p |- ( ( M e. ZZ /\ F : ( ZZ> ` M ) --> C /\
                 S : ( C X. C ) --> C ) -> ran ( <. M , S >. seq F ) (_ C ) $=
      ( cz wcel cuz cfv wf cxp cop cseqz co crn wss c1 caddc cres wa seqzrn2
      exp43 imp4c ffvelrn uzidt sylan2 fssres peano2uz syl uzss jca expcom
      syland 3impib ) DGHZDIJZACKZAALABKZDBMCNOPAQZUPDCJAHZDRSOZIJZACVCTKZUAZUS
      UTURUPVAVDUSUTUPVAVDUSUTAABCDEFUBUCUDURUPVEURUPUAVAVDURDUQHZVAUPUQADCUEDU
      FZUGURVCUQQZVDUPUQAVCCUHUPVBUQHZVHUPVFVIVGDDUIUJDVBUKUJUGULUMUNUO $.
      $( [2-Oct-2005] $) $( [7-Sep-2005] $)

    $( Closure of the value of the arbitrary-based recursive sequence
       builder. $)
    seqzcl $p |- ( ( N e. ( ZZ> ` M ) /\ F : ( ZZ> ` M ) --> C /\
              S : ( C X. C ) --> C ) -> ( ( <. M , S >. seq F ) ` N ) e. C ) $=
      ( cuz cfv wcel wf cxp w3a cop cseqz co crn cz wss seqzrn eluzel2 syl3an1
      wfn seqzfn syl fnfvelrn mpancom 3ad2ant1 sseldd ) EDHIZJZUJACKZAALABKZMDB
      NCOPZQZAEUNIZDRJZULUMUOASUKABCDFGTDEUAZUBUKULUPUOJZUMUNUJUCZUKUSUKUQUTURB
      CDFGUDUEUJEUNUFUGUHUI $.
      $( [10-Oct-2005] $) $( [7-Sep-2005] $)

    $( A restriction of its characteristic function that doesn't change the
       value of the ` seq ` function. $)
    seqzresval $p |- ( N e. ( ZZ> ` M ) -> ( ( <. M , S >. seq
              ( F |` ( M ... N ) ) ) ` N ) = ( ( <. M , S >. seq F ) ` N ) ) $=
      ( vm cuz cfv wcel cv cfz co cres wceq wral cop cseqz fvres rgen cvv
      resexg ax-mp seqzfveq mpan2 ) DCHIJGKZBCDLMZNZIUFBIOZGUGPDCAQZUHRMIDUJBRM
      IOUIGUGUFUGBSTAGUHBCDEBUAJUHUAJFBUGUAUBUCFUDUE $.
      $( [22-Mar-2006] $) $( [2-Nov-2005] $)

    $( The ` seq ` function is unchanged by restricting its characteristic
       function to the ` seq ` function's domain. $)
    seqzres $p |- ( M e. ZZ -> ( <. M , S >. seq ( F |` ( ZZ> ` M ) ) ) =
                     ( <. M , S >. seq F ) ) $=
      ( vn vm cop cuz cfv cres cseqz co wfn wceq cz wcel wa cv wral eqid cfz
      elfzuzt fvres syl rgen cvv resexg ax-mp seqzfveq mpan2 pm3.2i eqfnfv
      mpbiri seqzfn sylanc ) CAHZBCIJZKZLMZURNZUQBLMZURNZUTVBOZCPQVAVCRVDURUROZ
      FSZUTJVFVBJOZFURTZRVEVHURUAVGFURVFURQGSZUSJVIBJOZGCVFUBMZTVGVJGVKVIVKQVIU
      RQVJVICVFUCVIURBUDUEUFAGUSBCVFDBUGQUSUGQEBURUGUHUIZEUJUKUFULFURURUTVBUMUN
      AUSCDVLUOABCDEUOUP $.
      $( [7-Nov-2005] $) $( [7-Sep-2005] $)

    $( The ` seq ` function is unchanged by substituting its characteristic
       function with a restricted class builder based on that function. $)
    seqzres2 $p |- ( M e. ZZ -> ( <. M , S >. seq ( { <. k , y >. | y =
                   ( F ` k ) } |` ZZ ) ) = ( <. M , S >. seq F ) ) $=
      ( vn vv cz wcel cop cv cfv wceq wa copab cseqz co cres cuz wfn wral eqid
      cfz elfzelz fveq2 fvex fvopab4 syl rgen zex opabex2 seqzfveq mpan2
      pm3.2i eqfnfv mpbiri seqzfn sylanc resopab opreq2i syl5eq ) EJKZEBLZCMZJK
      AMVFDNZOZPCAQZRSZVEDRSZVEVHCAQJTZRSVJEUANZUBZVKVMUBZVJVKOZVDVNVOPVPVMVMOZ
      HMZVJNVRVKNOZHVMUCZPVQVTVMUDVSHVMVRVMKIMZVINWADNZOZIEVRUESZUCVSWCIWDWAWDK
      WAJKWCWAEVRUFCAWAVGWBJVIVFWADUGVIUDWADUHUIUJUKBIVIDEVRFCAJVGULUMZGUNUOUKU
      PHVMVMVJVKUQURBVIEFWEUSBDEFGUSUTVLVIVERVHCAJVAVBVC $.
      $( [1-Nov-2005] $) $( [1-Nov-2005] $)
  $}

  ${
    $d k M $.  $d k F $.
    serzcl1.1 $e |- F : ( ZZ> ` M ) --> CC $.
    $( The partial sums in an infinite series of complex terms are complex. $)
    serzcl1 $p |- ( N e. ( ZZ> ` M ) ->
                 ( ( <. M , + >. seq F ) ` N ) e. CC ) $=
      ( cuz cfv wcel cc wf cxp caddc cop cseqz co axaddopr addex cvv fvex fex
      mp2an seqzcl mp3an23 ) CBEFZGUCHAIZHHJHKICBKLAMNFHGDOHKABCPUDUCQGAQGDBERU
      CHQASTUAUB $.
      $( [18-Oct-2005] $) $( [8-Sep-2005] $)
  $}

  ${
    $d f g h x y $.
    $( Alternate version of ~ df-seq0 . $)
    dfseq0 $p |- seq0 = { <. <. f , g >. , h >. |
                     h = ( <. 0 , f >. seq g ) } $=
      ( vx vy cseq0 cv cc0 cop cseqz co wceq copab2 cvv cxp wral wfn wa wb c1
      cshi cseq1 cneg cn0 cres wcel oprex resexg ax-mp visset pm3.2i biantrur
      oprabbii fnoprab2 df-seq0 fneq1 mpbir eqfnoprval mp2an eqid opeq2
      opreq1d opreq2 oprabval5 seq0seqz syl6reqr rgen2a mpbir2an ) FCGZHAGZIZBG
      ZJKZLZABCMZLZNNOZVQLZDGZEGZFKZVSVTVOKZLZENPDNPZFVQQZVOVQQVPVRWDRSWEVIVJVL
      TUAKUBKZTUCZUAKZUDUEZLZABCMZVQQZABCNNWIWKWHNUFWINUFWFWGUAUGWHUDNUHUIWJVJN
      UFZVLNUFZRZWJRABCWOWJWMWNAUJBUJUKZULUMUNFWKLWEWLSABCUOVQFWKUPUIUQABCNNVMV
      OVKVLJUGVNWOVNRABCWOVNWPULUMUNDENNNNFVOURUSVQUTWCDENVSNUFVTNUFRWBHVSIZVTJ
      KZWAABCVSVTNNVMWRVOWQVLJKWQVTJUGVJVSLVKWQVLJVJVSHVAVBVLVTWQJVCVOUTVDVSVTD
      UJEUJVEVFVGVH $.
      $( [27-Sep-2005] $) $( [1-Sep-2005] $)
  $}

  ${
    $d j N $.  $d j k F $.
    ser0cl.1 $e |- F : NN0 --> CC $.
    $( The partial sums in an infinite 0-based series of complex terms are
       complex. $)
    ser0cl1 $p |- ( N e. NN0 -> ( ( + seq0 F ) ` N ) e. CC ) $=
      ( vj vk cv caddc cseq0 co cfv cc wcel cc0 c1 wceq fveq2 eleq1d addex cn0
      wf cvv nn0ex fex mp2an seq00 0nn0 ffvelrni ax-mp eqeltr wa seq0p1 adantr
      axaddcl peano2nn0 syl sylan2 ancoms eqeltrd ex nn0ind ) DFZGAHIZJZKLMVBJZ
      KLEFZVBJZKLZVENGIZVBJZKLZBVBJZKLDEBVAMOVCVDKVAMVBPQVAVEOVCVFKVAVEVBPQVAVH
      OVCVIKVAVHVBPQVABOVCVKKVABVBPQVDMAJZKGARSKATSUALAUALCUBSKUAAUCUDZUEMSLVLK
      LUFSKMACUGUHUIVESLZVGVJVNVGUJVIVFVHAJZGIZKVNVIVPOVGGAVERVMUKULVGVNVPKLZVG
      VOKLZVQVNVFVOUMVNVHSLVRVEUNSKVHACUGUOUPUQURUSUT $.
      $( [17-Apr-2006] $) $( [19-Aug-2005] $)

    $( A 0-based infinite series is a function from ` NN0 ` to ` CC ` . $)
    ser0f $p |- ( + seq0 F ) : NN0 --> CC $=
      ( vj cn0 cc caddc cseq0 co wf wfn cv cfv wcel wral ffnfv addex cvv nn0ex
      fex mp2an seq0fn ser0cl1 rgen mpbir2an ) DEFAGHZIUEDJCKZUELEMZCDNCDEUEOFA
      PDEAIDQMAQMBRDEQASTUAUGCDAUFBUBUCUD $.
      $( [24-Apr-2006] $) $( [19-Aug-2005] $)
  $}

  ${
    $d y A $.  $d k y B $.  $d k y N $.
    ser00.1 $e |- F = { <. k , y >. | ( k e. NN0 /\ y = A ) } $.
    ser00.2 $e |- B e. V $.
    ${
      ser00.3 $e |- ( k = 0 -> A = B ) $.
      $( The value of the first term in a 0-based infinite series. $)
      ser00 $p |- ( ( + seq0 F ) ` 0 ) = B $=
        ( cc0 caddc cseq0 co cfv addex cn0 nn0ex fopabex2 seq00 wcel wceq 0nn0
        fvopab4 ax-mp eqtr ) IJEKLMIEMZCJENDAOBEPFQRIOSUECTUADAIBCOEHFGUBUCUD
        $.
        $( [15-May-2006] $) $( [13-May-2006] $)
    $}

    ${
      ser0p1.3 $e |- ( k = ( N + 1 ) -> A = B ) $.
      $( The value of the next term in a 0-based infinite series. $)
      ser0p1 $p |- ( N e. NN0 ->
               ( ( + seq0 F ) ` ( N + 1 ) ) = ( ( ( + seq0 F ) ` N ) + B ) ) $=
        ( cn0 wcel c1 caddc co cseq0 cfv addex nn0ex fopabex2 seq0p1 wceq
        peano2nn0 fvopab4 syl opreq2d eqtrd ) FJKZFLMNZMEONZPFUIPZUHEPZMNUJCMNM
        EFQDAJBERGSTUGUKCUJMUGUHJKUKCUAFUBDAUHBCJEIGHUCUDUEUF $.
        $( [14-May-2006] $) $( [13-May-2006] $)
    $}
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Integer powers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ^ $. $( Exponentiation. $)

  $( Extend class notation to include exponentiation of a complex number to an
     integer power. $)
  cexp $a class ^ $.

  ${
    $d x y z $.
    $( Define exponentiation to nonnegative integer powers.  This definition is
       not meant to be used directly; instead, ~ exp0t and ~ expp1t provide a
       the standard recursive definition.  The up-arrow notation is used by
       Donald Knuth for iterated exponentiation (_Science_ 194, 1235-1242,
       1976) and is convenient for us since we don't have superscripts.  See
       ~ expnnvalt for a description of how the recursive sequence builder is
       used.  10-Jun-2005: The definition was extended to include zero
       exponents, so that ` 0 ^ 0 = 1 ` per the convention of Definition
       10-4.1 of [Gleason] p. 134.  (Based on definition contributed by Raph
       Levien, 15-Oct-2004.) $)
    df-exp $a |- ^ = { <. <. x , y >. , z >. | ( ( x e. CC /\ y e. NN0 ) /\
          z = if ( y = 0 , 1 , ( ( x. seq1 ( NN X. { x } ) ) ` y ) ) ) }  $.

    $(
    Raph Levien's original definition from set.mm of 15-Oct-2004:
    df-exp $a |- ^ = { <. <. x , y >. , z >. | ( ( x e. CC /\ y e. NN0 ) /\
          z = ( ( rec ( { <. w , v >. | v = ( w x. x ) } , 1 ) o.
        `' ( rec ( { <. w , v >. | v = ( w + 1 ) } , 0 ) |` om ) ) ` y ) ) } $.

    Old NN-based version from set.mm of 21-May-2005:
    df-exp $a |- ^ = { <. <. x , y >. , z >. | ( ( x e. CC /\ y e. NN ) /\
          z = ( ( x. seq1 ( NN X. { x } ) ) ` y ) ) }  $.
    dfexp2 $p |- ^ = { <. <. x , y >. , z >. | ( ( x e. CC /\ y e. NN0 ) /\
        z = ( ( x. seq1 ( { <. 0 , 1 >. } u. ( NN X. { x } ) ) ) ` y ) ) } $=
          z = ( ( x. seq0 ( NN0 X. { if ( y = 0 , 1 , x ) } ) ) ` y ) ) } $=
    $)
  $}

  ${
    $d x y z A $.  $d x y z N $.
    $( Value of exponentiation to nonnegative integer powers. $)
    expvalt $p |- ( ( A e. CC /\ N e. NN0 ) -> ( A ^ N ) =
                   if ( N = 0 , 1 , ( ( x. seq1 ( NN X. { A } ) ) ` N ) ) ) $=
      ( vx vy vz cc cn0 cv cc0 wceq c1 cmul cn csn cxp cseq1 co cfv cif cexp
      1nn0 elisseti fvex ifex sneq xpeq2 syl opreq2d fveq1d ifeq2d fveq2 eqeq1
      ifbid eqtrd df-exp oprabval2 ) CDEABFGDHZIJZKUQLMCHZNZOZPQZRZSBIJZKBLMANZ
      OZPQZRZSZTURKUQVGRZSZVDKVHKGUAUBBVGUCUDUSAJZURVCVJKVLUQVBVGVLVAVFLPVLUTVE
      JVAVFJUSAUEUTVEMUFUGUHUIUJUQBJZVKURKVHSVIVMURVJVHKUQBVGUKUJVMURVDKVHUQBIU
      LUMUNCDEUOUP $.
      $( [11-Jun-2005] $) $( [20-May-2004] $)

    $( Value of a complex number raised to the 0th power.  Note that under our
       definition, ` 0 ^ 0 = 1 ` , following the convention used by Gleason.
       Part of Definition 10-4.1 of [Gleason] p. 134. $)
    exp0t $p |- ( A e. CC -> ( A ^ 0 ) = 1 ) $=
      ( cc wcel cc0 cexp co wceq c1 cmul cn csn cxp cseq1 cfv cif cn0 0nn0
      expvalt mpan2 eqid iftrue ax-mp syl6eq ) ABCZADEFZDDGZHDIJAKLMFNZOZHUDDPC
      UEUHGQADRSUFUHHGDTUFHUGUAUBUC $.
      $( [11-Jun-2005] $) $( [20-May-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Value of exponentiation to natural number powers.  ` NN X. { A }  `
       is the constant function with value ` A ` .  The ` seq1 ` operation
       produces the sequence ` A ` , ` A x. A ` , ` ( A x. A ) x. A ` ,...
       that we evaluate at index ` B ` . $)
    expnnvalt $p |- ( ( A e. CC /\ B e. NN ) -> ( A ^ B ) =
                   ( ( x. seq1 ( NN X. { A } ) ) ` B ) ) $=
      ( cc wcel cn wa cexp co cc0 wceq c1 cmul csn cxp cseq1 cfv cif cn0
      expvalt nnnn0t sylan2 wn wne nnne0t df-ne sylib iffalse syl adantl eqtrd
      ) ACDZBEDZFABGHZBIJZKBLEAMNOHPZQZUOUKBRDUMUPJULABSBTUAULUPUOJZUKULUNUBZUQ
      ULBIUCURBUDBIUEUFUNKUOUGUHUIUJ $.
      $( [22-Oct-2004] $) $( [19-Oct-2004] $)
  $}

  $( Value of a complex number raised to the first power. $)
  exp1t $p |- ( A e. CC -> ( A ^ 1 ) = A ) $=
    ( cc wcel c1 cexp co cmul cn csn cxp cseq1 cfv wceq 1nn expnnvalt mpan2 wf
    fconstg fvconst syl mulex nnex snex xpex seq11 syl5eq eqtrd ) ABCZADEFZDGHA
    IZJZKFLZAUHDHCZUIULMNADOPUHDUKLZAULUHHUJUKQZUNAMZHABRUOUMUPNHADUKSPTGUKUAHU
    JUBAUCUDUEUFUG $.
    $( [22-Oct-2004] $) $( [20-Oct-2004] $)

  $( Value of a complex number raised to a nonnegative integer power plus one.
     Part of Definition 10-4.1 of [Gleason] p. 134. $)
  expp1t $p |- ( ( A e. CC /\ N e. NN0 ) -> ( A ^ ( N + 1 ) ) =
               ( ( A ^ N ) x. A ) ) $=
    ( cc wcel cn0 c1 caddc co cexp cmul wceq cn cc0 wo wa csn cxp cseq1 cfv
    mulex nnex snex xpex seq1p1 adantl wf fvconst fconstg peano2nn syl2an
    opreq2d eqtrd expnnvalt sylan2 opreq1d 3eqtr4d ex opreq1 opreq2 eqeq12d
    mulid2t exp0t exp1t ax1cn addid2 opreq2i syl5eq 3eqtr4rd syl5cbir jaod
    elnn0 syl5ib imp ) ACDZBEDZABFGHZIHZABIHZAJHZKZVNBLDZBMKZNVTVOVNWAVTWBVNWAV
    TVNWAOZVPJLAPZQZRHZSZBWFSZAJHZVQVSWCWGWHVPWESZJHZWIWAWGWKKVNBJWETLWDUAAUBUC
    UDUEWCWJAWHJLWDWEUFVPLDZWJAKVNWALAVPWEUGLACUHBUIZUJUKULVNWLVQWGKWAAVPUMWMUN
    WCVRWHAJABUMUOUPUQWBVTAMFGHZIHZAMIHZAJHZKVNWBVQWOVSWQWBVPWNAIBMFGURUKWBVRWP
    AJBMAIUSUOUTVNFAJHAWQWOAVAVNWPFAJAVBUOVNAFIHAWOAVCWNFAIFVDVEVFVGVHVIVJBVKVL
    VM $.
    $( [27-Jul-2006] $) $( [20-May-2005] $)

  ${
    $d x y z w A $.  $d z B $.  $d x y z w F $.
    expcllem.1 $e |- F (_ CC $.
    expcllem.2 $e |- ( ( x e. F /\ y e. F ) -> ( x x. y ) e. F ) $.
    expcllem.3 $e |- 1 e. F $.
    $( Lemma for proving nonnegative integer exponentiation closure laws. $)
    expcllem $p |- ( ( A e. F /\ B e. NN0 ) -> ( A ^ B ) e. F ) $=
      ( vz vw wcel cn cc0 wceq wo cexp co cn0 cv wi c1 caddc opreq2 eleq1d
      imbi2d cc sseli exp1t syl ibir wa cmul opreq1 vtocl2ga ancoms adantlr wb
      expp1t nnnn0t syl2an adantr mpbird exp31 com12 a2d nnind impcom exp0t
      sylan9eqr syl6eqel jaodan elnn0 sylan2b ) CEKZDLKZDMNZOCDPQZEKZDRKVNVOVRV
      PVOVNVRVNCISZPQZEKZTVNCUAPQZEKZTVNCJSZPQZEKZTVNCWDUAUBQZPQZEKZTVNVRTIJDVS
      UANZWAWCVNWJVTWBEVSUACPUCUDUEVSWDNZWAWFVNWKVTWEEVSWDCPUCUDUEVSWGNZWAWIVNW
      LVTWHEVSWGCPUCUDUEVSDNZWAVRVNWMVTVQEVSDCPUCUDUEVNWCVNWBCEVNCUFKZWBCNEUFCF
      UGZCUHUIUDUJWDLKZVNWFWIVNWPWFWITVNWPWFWIVNWPUKZWFUKWIWECULQZEKZVNWFWSWPWF
      VNWSASZBSZULQZEKWEXAULQZEKWSABWECEEWTWENXBXCEWTWEXAULUMUDXACNXCWREXACWEUL
      UCUDGUNUOUPWQWIWSUQWFWQWHWREWNWDRKWHWRNVNWPCWDURWOWDUSUTUDVAVBVCVDVEVFVGV
      NVPUKVQUAEVPVNVQCMPQZUADMCPUCVNWNXDUANWOCVHUIVIHVJVKDVLVM $.
      $( [15-Dec-2005] $) $( [14-Dec-2005] $)
  $}

  ${
    $d x y A $.  $d x y N $.
    $( Closure of exponentiation of nonnegative integers. $)
    nnexpclt $p |- ( ( A e. NN /\ N e. NN0 ) -> ( A ^ N ) e. NN ) $=
      ( vx vy cn nnsscn cv nnmulclt 1nn expcllem ) CDABEFCGDGHIJ $.
      $( [28-Jan-2006] $) $( [16-Dec-2005] $)

    $( Closure of exponentiation of nonnegative integers. $)
    nn0expclt $p |- ( ( A e. NN0 /\ N e. NN0 ) -> ( A ^ N ) e. NN0 ) $=
      ( vx vy cn0 nn0sscn cv nn0mulclt 1nn0 expcllem ) CDABEFCGDGHIJ $.
      $( [15-Dec-2005] $) $( [14-Dec-2005] $)

    $( Closure of exponentiation of integers. $)
    zexpclt $p |- ( ( A e. ZZ /\ N e. NN0 ) -> ( A ^ N ) e. ZZ ) $=
      ( vx vy cz zsscn cv zmulclt 1z expcllem ) CDABEFCGDGHIJ $.
      $( [3-May-2006] $) $( [16-Dec-2005] $)

    $( Closure of exponentiation of rationals. $)
    qexpclt $p |- ( ( A e. QQ /\ N e. NN0 ) -> ( A ^ N ) e. QQ ) $=
      ( vx vy cq qsscn cv qmulclt c1 cz wcel 1z zqt ax-mp expcllem ) CDABEFCGDG
      HIJKIEKLIMNO $.
      $( [16-Mar-2006] $) $( [16-Dec-2005] $)

    $( Closure of exponentiation of reals. $)
    reexpclt $p |- ( ( A e. RR /\ N e. NN0 ) -> ( A ^ N ) e. RR ) $=
      ( vx vy cr axresscn cv axmulrcl 1re expcllem ) CDABEFCGDGHIJ $.
      $( [15-Dec-2005] $) $( [14-Dec-2005] $)

    $( Closure law for nonnegative integer exponentiation. $)
    expclt $p |- ( ( A e. CC /\ N e. NN0 ) -> ( A ^ N ) e. CC ) $=
      ( vx vy cc ssid cv axmulcl ax1cn expcllem ) CDABEEFCGDGHIJ $.
      $( [25-Jul-2005] $) $( [26-May-2005] $)

    $( Closure law for exponentiation of positive reals. $)
    rpexpclt $p |- ( ( A e. RR+ /\ N e. NN0 ) -> ( A ^ N ) e. RR+ ) $=
      ( vx vy crp cr cc rpssre axresscn sstri cv rpmulclt c1 1re lt01 elrpi
      expcllem ) CDABEEFGHIJCKDKLMNOPQ $.
      $( [20-Mar-2008] $) $( [24-Feb-2008] $)
  $}

  $( Exponentiation in terms of predecessor exponent. $)
  expm1t $p |- ( ( A e. CC /\ N e. NN ) -> ( A ^ N ) =
               ( ( A ^ ( N - 1 ) ) x. A ) ) $=
    ( cc wcel cn wa c1 cmin co caddc cexp cmul wceq nncnt ax1cn npcant mpan2
    syl opreq2d adantl cn0 expp1t nnm1nn0t sylan2 eqtr3d ) ACDZBEDZFABGHIZGJIZK
    IZABKIZAUHKIALIZUGUJUKMUFUGUIBAKUGBCDZUIBMZBNUMGCDUNOBGPQRSTUFUHUADUJULMUGA
    UHUBBUCUDUE $.
    $( [26-Jan-2006] $) $( [19-Dec-2005] $)

  ${
    $d j k N $.
    $( Value of one raised to a nonnegative integer power. $)
    1expt $p |- ( N e. NN0 -> ( 1 ^ N ) = 1 ) $=
      ( vj vk c1 cv cexp co wceq cc0 caddc opreq2 eqeq1d cc wcel ax1cn exp0t
      ax-mp cn0 cmul expp1t mpan opreq1 mulid1 syl6eq syl5bir nn0ind ) DBEZFGZD
      HDIFGZDHZDCEZFGZDHZDUKDJGZFGZDHZDAFGZDHBCAUGIHUHUIDUGIDFKLUGUKHUHULDUGUKD
      FKLUGUNHUHUODUGUNDFKLUGAHUHUQDUGADFKLDMNZUJODPQUKRNZUPULDSGZDHUMUSUOUTDUR
      USUOUTHODUKTUALUMUTDDSGDULDDSUBDOUCUDUEUF $.
      $( [16-Dec-2005] $) $( [15-Dec-2005] $)
  $}

  ${
    $d j k A $.  $d j k N $.
    $( Natural number exponentiation is 0 iff its mantissa is 0. $)
    expeq0t $p |- ( ( A e. CC /\ N e. NN ) -> ( ( A ^ N ) = 0 <-> A = 0 ) ) $=
      ( vj vk cn wcel cc cexp co cc0 wceq wb cv wi c1 caddc opreq2 eqeq1d
      bibi1d imbi2d exp1t wa wo cn0 cmul expp1t mul0ort expclt pm3.26 sylanc
      bitrd nnnn0t sylan2 bi1 idd jaod olc impbid1 sylan9bb exp31 com12 a2d
      nnind impcom ) BEFAGFZABHIZJKZAJKZLZVEACMZHIZJKZVHLZNVEAOHIZJKZVHLZNVEADM
      ZHIZJKZVHLZNVEAVQOPIZHIZJKZVHLZNVEVINCDBVJOKZVMVPVEWEVLVOVHWEVKVNJVJOAHQR
      STVJVQKZVMVTVEWFVLVSVHWFVKVRJVJVQAHQRSTVJWAKZVMWDVEWGVLWCVHWGVKWBJVJWAAHQ
      RSTVJBKZVMVIVEWHVLVGVHWHVKVFJVJBAHQRSTVEVNAJAUARVQEFZVEVTWDVEWIVTWDNVEWIV
      TWDVEWIUBWCVSVHUCZVTVHVEVQUDFZWCWJLWIVEWKUBZWCVRAUEIZJKZWJWLWBWMJAVQUFRVR
      GFVEWNWJLWLVRAUGAVQUHVEWKUIUJUKVQULUMVTWJVHVTVSVHVHVSVHUNVTVHUOUPVHVSUQUR
      USUTVAVBVCVD $.
      $( [27-Jul-2006] $) $( [23-Feb-2005] $)

    $( Natural number exponentiation is nonzero iff its mantissa is nonzero. $)
    expne0t $p |- ( ( A e. CC /\ N e. NN ) ->
                  ( ( A ^ N ) =/= 0 <-> A =/= 0 ) ) $=
      ( cc wcel cn wa cexp co cc0 expeq0t necon3bid ) ACDBEDFABGHIAIABJK $.
      $( [10-Jul-2008] $) $( [6-May-2005] $)

    $( Natural number exponentiation is nonzero iff its mantissa is nonzero. $)
    expne0tOLD $p |- ( ( A e. CC /\ N e. NN ) ->
                  ( A =/= 0 <-> ( A ^ N ) =/= 0 ) ) $=
      ( cc wcel cn wa cc0 cexp co wceq expeq0t bicomd necon3bid ) ACDBEDFZAGABH
      IZGNOGJAGJABKLM $.
      $( [8-May-2005] $) $( [6-May-2005] $)

    $( Nonnegative integer exponentiation is nonzero if its mantissa is
       nonzero. $)
    expne0it $p |- ( ( A e. CC /\ N e. NN0 /\ A =/= 0 ) -> ( A ^ N ) =/= 0 ) $=
      ( cc wcel cn0 cc0 wne cexp co cn wceq wo wi wa expne0t biimprd ex c1
      ax1ne0 opreq2 exp0t sylan9eqr neeq1d mpbiri a1dd jaod elnn0 syl5ib 3imp
      ) ACDZBEDZAFGZABHIZFGZUJBJDZBFKZLULUNMZUKUJUOUQUPUJUOUQUJUONUNULABOPQUJUP
      UNULUJUPUNUJUPNZUNRFGSURUMRFUPUJUMAFHIRBFAHTAUAUBUCUDQUEUFBUGUHUI $.
      $( [27-Sep-2006] $) $( [2-Aug-2006] $)

    $( Nonnegative integer exponentiation with a positive mantissa is
       positive. $)
    expgt0t $p |- ( ( A e. RR /\ N e. NN0 /\ 0 < A ) -> 0 < ( A ^ N ) ) $=
      ( vj vk cr wcel cn0 cc0 clt wbr cexp co wi wa cv c1 caddc wceq opreq2
      breq2d imbi2d cc recnt exp0t syl lt01 syl5breqr adantr cmul axmulgt0
      reexpclt pm3.26 sylanc expp1t sylan sylibrd exp4b com12 com34 imp3a a2d
      nn0ind exp3a 3imp ) AEFZBGFZHAIJZHABKLZIJZVFVEVGVIMVFVEVGVIVEVGNZHACOZKLZ
      IJZMVJHAHKLZIJZMVJHADOZKLZIJZMVJHAVPPQLZKLZIJZMVJVIMCDBVKHRZVMVOVJWBVLVNH
      IVKHAKSTUAVKVPRZVMVRVJWCVLVQHIVKVPAKSTUAVKVSRZVMWAVJWDVLVTHIVKVSAKSTUAVKB
      RZVMVIVJWEVLVHHIVKBAKSTUAVEVOVGVEPVNHIVEAUBFZVNPRAUCZAUDUEUFUGUHVPGFZVJVR
      WAWHVEVGVRWAMWHVEVRVGWAVEWHVRVGWAMMVEWHVRVGWAVEWHNZVRVGNZHVQAUILZIJZWAVQE
      FVEWJWLMWIVQAUJAVPUKVEWHULUMWIVTWKHIWFWHVTWKRVEAVPUNWGUOTUPUQURUSUTVAVBVC
      URVD $.
      $( [7-Apr-2006] $) $( [16-Dec-2005] $)
  $}

  $( Value of zero raised to a natural number power. $)
  0expt $p |- ( N e. NN -> ( 0 ^ N ) = 0 ) $=
    ( cn wcel cc0 cexp co wceq eqid cc wb 0cn expeq0t mpan mpbiri ) ABCZDAEFDGZ
    DDGZDHDICOPQJKDALMN $.
    $( [30-Oct-2004] $) $( [19-Aug-2004] $)

  $( Nonnegative integer exponentiation with a nonnegative mantissa is
     nonnegative. $)
  expge0t $p |- ( ( A e. RR /\ N e. NN0 /\ 0 <_ A ) -> 0 <_ ( A ^ N ) ) $=
    ( cr wcel cn0 cc0 cle wbr cexp co cn wceq wo wi wa clt expgt0t nnnn0t
    syl3an2 3expia opreq1 eqeq2d 0expt eqcomd syl5cbi adantl orim12d wb 0re
    leloet mpan adantr reexpclt sylan2 syl 3imtr4d ex opreq2 breq2d c1 cc
    recnt exp0t 1re lt01 ltlei syl5breqr syl5cbir a1dd jaod elnn0 syl5ib 3imp
    ) ACDZBEDZFAGHZFABIJZGHZVNBKDZBFLZMVPVRNZVOVNVSWAVTVNVSWAVNVSOZFAPHZFALZMZF
    VQPHZFVQLZMZVPVRWBWCWFWDWGVNVSWCWFVNVOWCWFVSABQBRZSTVSWDWGNVNWDFFBIJZLWGVSW
    DWJVQFFABIUAUBVSWJFBUCUDUEUFUGVNVPWEUHZVSFCDZVNWKUIFAUJUKULWBVQCDZVRWHUHZVN
    VOWMVSABUMWIUNWLWMWNUIFVQUJUKUOUPUQVNVTVRVPVTVRFAFIJZGHVNVTVQWOFGBFAIURUSVN
    UTWOFGVNAVADWOUTLAVBAVCUOFUTUIVDVEVFVGVHVIVJBVKVLVM $.
    $( [28-Jul-2006] $) $( [16-Dec-2005] $)

  ${
    $d x y A $.  $d x N $.
    $( Natural number exponentiation with a mantissa greater than 1 is
       greater than 1. $)
    expgt1t $p |- ( ( A e. RR /\ N e. NN /\ 1 < A ) -> 1 < ( A ^ N ) ) $=
      ( vx vy cr wcel cn c1 clt wbr cexp co wi wa cv caddc wceq opreq2 breq2d
      imbi2d cc recnt exp1t syl biimpar cn0 cmul mulgt1t reexpclt pm3.26 jca
      sylan ex expp1t sylibrd nnnn0t sylan2 exp4b com12 com34 imp3a a2d nnind
      exp3a 3imp ) AEFZBGFZHAIJZHABKLZIJZVGVFVHVJMVGVFVHVJVFVHNZHACOZKLZIJZMVKH
      AHKLZIJZMVKHADOZKLZIJZMVKHAVQHPLZKLZIJZMVKVJMCDBVLHQZVNVPVKWCVMVOHIVLHAKR
      STVLVQQZVNVSVKWDVMVRHIVLVQAKRSTVLVTQZVNWBVKWEVMWAHIVLVTAKRSTVLBQZVNVJVKWF
      VMVIHIVLBAKRSTVFVPVHVFVOAHIVFAUAFZVOAQAUBZAUCUDSUEVQGFZVKVSWBWIVFVHVSWBMW
      IVFVSVHWBVFWIVSVHWBMMVFWIVSVHWBVFVQUFFZVSVHNZWBMWIVFWJNZWKHVRAUGLZIJZWBWL
      WKWNVREFZVFNWKWNWLVRAUHWLWOVFAVQUIVFWJUJUKULUMWLWAWMHIWGWJWAWMQVFAVQUNWHU
      LSUOVQUPUQURUSUTVAVBVCVDUSVE $.
      $( [27-Jul-2006] $) $( [13-Feb-2005] $)
  $}

  $( Nonnegative integer exponentiation with a mantissa greater than or equal
     to 1 is greater than or equal to 1. $)
  expge1t $p |- ( ( A e. RR /\ N e. NN0 /\ 1 <_ A ) -> 1 <_ ( A ^ N ) ) $=
    ( cr wcel cn0 c1 cle wbr cexp co cn cc0 wceq wo wi wa clt expgt1t 3expia
    opreq1 eqeq2d nnnn0t 1expt syl eqcomd syl5cbi adantl orim12d wb 1re leloet
    mpan adantr reexpclt sylan2 3imtr4d opreq2 cc recnt exp0t sylan9eqr leid
    syl5breqr a1d jaodan elnn0 sylan2b 3impia ) ACDZBEDZFAGHZFABIJZGHZVIBKDZBLM
    ZNVKVMOZVJVIVNVPVOVIVNPZFAQHZFAMZNZFVLQHZFVLMZNZVKVMVQVRWAVSWBVIVNVRWAABRSV
    NVSWBOVIVSFFBIJZMWBVNVSWDVLFFABITUAVNWDFVNVJWDFMBUBZBUCUDUEUFUGUHVIVKVTUIZV
    NFCDZVIWFUJFAUKULUMVQVLCDZVMWCUIZVIVJWHVNABUNWEUOWGWHWIUJFVLUKULUDUPVIVOPZV
    MVKWJFVLFGVOVIVLALIJZFBLAIUQVIAURDWKFMAUSAUTUDVAFUJVBVCVDVEBVFVGVH $.
    $( [16-Oct-2007] $) $( [21-Feb-2005] $)

  ${
    $d j k A $.  $d j k B $.  $d j k M $.  $d j N $.
    $( Natural number exponentiation of a product.  Proposition 10-4.2(c) of
       [Gleason] p. 135, restricted to nonnegative integer exponents. $)
    mulexpt $p |- ( ( A e. CC /\ B e. CC /\ N e. NN0 ) ->
                  ( ( A x. B ) ^ N ) = ( ( A ^ N ) x. ( B ^ N ) ) ) $=
      ( vj vk cc wcel cn0 cmul co cexp wceq wa cv wi cc0 c1 caddc opreq2
      opreq12d eqeq12d imbi2d axmulcl exp0t syl opreqan12d ax1cn mulid1 syl6eq
      eqtr4d expp1t sylan adantr opreq1 adantl mul4t expclt anim12i anandirs
      pm3.26 sylanc adantlr adantll 3eqtrd exp31 com12 a2d nn0ind exp3a com3l
      3imp ) AFGZBFGZCHGZABIJZCKJZACKJZBCKJZIJZLZVNVLVMVTVNVLVMVTVLVMMZVODNZKJZ
      AWBKJZBWBKJZIJZLZOWAVOPKJZAPKJZBPKJZIJZLZOWAVOENZKJZAWMKJZBWMKJZIJZLZOWAV
      OWMQRJZKJZAWSKJZBWSKJZIJZLZOWAVTODECWBPLZWGWLWAXEWCWHWFWKWBPVOKSXEWDWIWEW
      JIWBPAKSWBPBKSTUAUBWBWMLZWGWRWAXFWCWNWFWQWBWMVOKSXFWDWOWEWPIWBWMAKSWBWMBK
      STUAUBWBWSLZWGXDWAXGWCWTWFXCWBWSVOKSXGWDXAWEXBIWBWSAKSWBWSBKSTUAUBWBCLZWG
      VTWAXHWCVPWFVSWBCVOKSXHWDVQWEVRIWBCAKSWBCBKSTUAUBWAWHQWKWAVOFGZWHQLABUCZV
      OUDUEWAWKQQIJQVLVMWIQWJQIAUDBUDUFQUGUHUIUJWMHGZWAWRXDWAXKWRXDOWAXKWRXDWAX
      KMZWRMWTWNVOIJZWQVOIJZXCXLWTXMLZWRXIXKXOWAVOWMUKXJULUMWRXMXNLXLWNWQVOIUNU
      OXLXNXCLWRXLXNWOAIJZWPBIJZIJZXCWOFGZWPFGZMZWAXNXRLXLWOWPABUPVLVMXKYAVLXKM
      XSVMXKMXTAWMUQBWMUQURUSWAXKUTVAXLXAXPXBXQIVLXKXAXPLVMAWMUKVBVMXKXBXQLVLBW
      MUKVCTUJUMVDVEVFVGVHVIVJVK $.
      $( [16-Feb-2005] $) $( [13-Feb-2005] $)

    $( Nonnegative integer exponentiation of a reciprocal. $)
    recexpt $p |- ( ( A e. CC /\ N e. NN0 /\ A =/= 0 ) ->
                  ( ( 1 / A ) ^ N ) = ( 1 / ( A ^ N ) ) ) $=
      ( vj vk cc wcel cn0 cc0 wne c1 cdiv co cexp wceq wi wa cv caddc opreq2
      opreq2d eqeq12d imbi2d recclt exp0t syl ax1cn div1 syl6eq adantr eqtr4d
      cmul opreq1 ad2antll expp1t sylan an1rs adantrr divmuldivt expclt jctil
      pm3.26 jca expne0it 3expa pm3.27 sylanc mulid1 opreq1i syl6req eqtrd
      3eqtr4d exp43 com12 imp3a a2d nn0ind exp3a 3imp ) AEFZBGFZAHIZJAKLZBMLZJA
      BMLZKLZNZVTVSWAWFOVTVSWAWFVSWAPZWBCQZMLZJAWHMLZKLZNZOWGWBHMLZJAHMLZKLZNZO
      WGWBDQZMLZJAWQMLZKLZNZOWGWBWQJRLZMLZJAXBMLZKLZNZOWGWFOCDBWHHNZWLWPWGXGWIW
      MWKWOWHHWBMSXGWJWNJKWHHAMSTUAUBWHWQNZWLXAWGXHWIWRWKWTWHWQWBMSXHWJWSJKWHWQ
      AMSTUAUBWHXBNZWLXFWGXIWIXCWKXEWHXBWBMSXIWJXDJKWHXBAMSTUAUBWHBNZWLWFWGXJWI
      WCWKWEWHBWBMSXJWJWDJKWHBAMSTUAUBWGWMJWOWGWBEFZWMJNAUCZWBUDUEVSWOJNWAVSWOJ
      JKLJVSWNJJKAUDTJUFUGUHUIUJWQGFZWGXAXFXMVSWAXAXFOZVSXMWAXNOVSXMWAXAXFVSXMP
      ZWAXAPPWRWBUKLZWTWBUKLZXCXEXAXPXQNXOWAWRWTWBUKULUMXOWAXCXPNZXAVSWAXMXRXKX
      MXRWGWBWQUNXLUOUPUQXOWAXEXQNXAXOWAPZXEJWSAUKLZKLZXQXOXEYANWAXOXDXTJKAWQUN
      TUIXSXQJJUKLZXTKLZYAJEFZWSEFZPZYDVSPZPZWSHIZWAPXQYCNXSJWSJAURXOYHWAXOYFYG
      XOYEYDAWQUSUFUTXOVSYDVSXMVAUFUTVBUIXSYIWAVSXMWAYIAWQVCVDXOWAVEVBVFYBJXTKJ
      UFVGVHVIVJUQVKVLVMVNVOVPVQVMVR $.
      $( [10-Oct-2006] $) $( [2-Aug-2006] $)

    $( Sum of exponents law for nonnegative integer exponentiation.
       Proposition 10-4.2(a) of [Gleason] p. 135. $)
    expaddt $p |- ( ( A e. CC /\ M e. NN0 /\ N e. NN0 ) ->
                  ( A ^ ( M + N ) ) = ( ( A ^ M ) x. ( A ^ N ) ) ) $=
      ( vj vk cc wcel cn0 caddc co cexp cmul wceq wa cv wi cc0 c1 opreq2
      opreq2d eqeq12d imbi2d expclt ax1id syl exp0t adantr nn0cnt ax0id adantl
      3eqtr4rd ax1cn axaddass mp3an3 syl2an adantll expp1t simpll nn0addclt
      sylanc eqtr3d adantlr axmulass syl3anc eqtr4d opreq1 syl5bir expcom a2d
      nn0ind exp3a com3l 3imp ) AFGZBHGZCHGZABCIJZKJZABKJZACKJZLJZMZVPVNVOWBVPV
      NVOWBVNVONZABDOZIJZKJZVSAWDKJZLJZMZPWCABQIJZKJZVSAQKJZLJZMZPWCABEOZIJZKJZ
      VSAWOKJZLJZMZPWCABWORIJZIJZKJZVSAXAKJZLJZMZPWCWBPDECWDQMZWIWNWCXGWFWKWHWM
      XGWEWJAKWDQBISTXGWGWLVSLWDQAKSTUAUBWDWOMZWIWTWCXHWFWQWHWSXHWEWPAKWDWOBIST
      XHWGWRVSLWDWOAKSTUAUBWDXAMZWIXFWCXIWFXCWHXEXIWEXBAKWDXABISTXIWGXDVSLWDXAA
      KSTUAUBWDCMZWIWBWCXJWFVRWHWAXJWEVQAKWDCBISTXJWGVTVSLWDCAKSTUAUBWCVSRLJZVS
      WMWKWCVSFGZXKVSMABUCZVSUDUEWCWLRVSLVNWLRMVOAUFUGTWCWJBAKVOWJBMZVNVOBFGZXN
      BUHZBUIUEUJTUKWOHGZWCWTXFWCXQWTXFPWCXQNZXFWQALJZWSALJZMWTXRXCXSXEXTXRAWPR
      IJZKJZXCXSXRYAXBAKVOXQYAXBMZVNXOWOFGZYCVOXQXOYDRFGYCULBWORUMUNXPWOUHUOUPT
      VNWPHGZYBXSMXRAWPUQVNVOXQURZVOXQYEVNBWOUSUPUTVAXRXEVSWRALJZLJZXTXRXDYGVSL
      VNXQXDYGMVOAWOUQVBTXLWRFGZVNXTYHMXRVSWRAVCWCXLXQXMUGVNXQYIVOAWOUCVBYFVDVE
      UAWQWSALVFVGVHVIVJVKVLVM $.
      $( [2-Dec-2004] $) $( [30-Nov-2004] $)

    $( Product of exponents law for natural number exponentiation.  Proposition
       10-4.2(b) of [Gleason] p. 135, restricted to nonnegative integer
       exponents. $)
    expmult $p |- ( ( A e. CC /\ M e. NN0 /\ N e. NN0 ) ->
               ( A ^ ( M x. N ) ) = ( ( A ^ M ) ^ N ) ) $=
      ( vj vk cc wcel cn0 cmul co cexp wceq wa cv wi cc0 c1 caddc opreq2
      opreq2d eqeq12d imbi2d nn0cnt mul01t syl exp0t sylan9eqr expclt eqtr4d
      ax1cn axdistr mp3an3 ax1id adantr eqtrd syl2an adantll expaddt simpll
      nn0mulclt simplr syl3anc expp1t sylan opreq1 syl5bir expcom a2d nn0ind
      exp3a com3l 3imp ) AFGZBHGZCHGZABCIJZKJZABKJZCKJZLZVOVMVNVTVOVMVNVTVMVNMZ
      ABDNZIJZKJZVRWBKJZLZOWAABPIJZKJZVRPKJZLZOWAABENZIJZKJZVRWKKJZLZOWAABWKQRJ
      ZIJZKJZVRWPKJZLZOWAVTODECWBPLZWFWJWAXAWDWHWEWIXAWCWGAKWBPBISTWBPVRKSUAUBW
      BWKLZWFWOWAXBWDWMWEWNXBWCWLAKWBWKBISTWBWKVRKSUAUBWBWPLZWFWTWAXCWDWRWEWSXC
      WCWQAKWBWPBISTWBWPVRKSUAUBWBCLZWFVTWAXDWDVQWEVSXDWCVPAKWBCBISTWBCVRKSUAUB
      WAWHQWIVNVMWHAPKJQVNWGPAKVNBFGZWGPLBUCZBUDUETAUFUGWAVRFGZWIQLABUHZVRUFUEU
      IWKHGZWAWOWTWAXIWOWTOWAXIMZWTWMVRIJZWNVRIJZLWOXJWRXKWSXLXJWRAWLBRJZKJZXKX
      JWQXMAKVNXIWQXMLZVMXEWKFGZXOVNXIXEXPMZWQWLBQIJZRJZXMXEXPQFGWQXSLUJBWKQUKU
      LXQXRBWLRXEXRBLXPBUMUNTUOXFWKUCUPUQTVMWLHGZVNXNXKLXJAWLBURVMVNXIUSVNXIXTV
      MBWKUTUQVMVNXIVAVBUOXGXIWSXLLWAVRWKVCXHVDUAWMWNVRIVEVFVGVHVIVJVKVL $.
      $( [3-Feb-2006] $) $( [4-Jan-2006] $)
  $}

  $( Exponent subtraction law for nonnegative integer exponentiation. $)
  expsubt $p |- ( ( ( A e. CC /\ M e. NN0 /\ N e. NN0 ) /\
  ( A =/= 0 /\ N <_ M ) ) -> ( A ^ ( M - N ) ) = ( ( A ^ M ) / ( A ^ N ) ) ) $=
    ( cc wcel cn0 w3a cc0 wne cle wbr wa cexp co cdiv cmin wceq cmul caddc
    expaddt 3simp1 adantr 3simp3 wb nn0subt ancoms biimpa 3adantl1 syl3anc
    pncan3t nn0cnt syl2an opreq2d 3adant1 eqtr3d adantrl divmult expclt
    3adant3 3adant2 sylanc 3jca expne0it 3expa 3adantl2 adantrr mpbird eqcomd
    ) ADEZBFEZCFEZGZAHIZCBJKZLZLZABMNZACMNZONZABCPNZMNZVPVSWAQZVRWARNZVQQZVLVNW
    DVMVLVNLZACVTSNZMNZWCVQVIVKVTFEZWGWCQWEACVTTVLVIVNVIVJVKUAUBZVLVKVNVIVJVKUC
    UBVJVKVNWHVIVJVKLZVNWHVKVJVNWHUDCBUEUFUGUHZUIVLWGVQQZVNVJVKWLVIWJWFBAMVKVJW
    FBQZCDEBDEWMVKVJCBUJCUKBUKULUFUMUNUBUOUPVQDEZVRDEZWADEZGVRHIZWBWDUDVPVQVRWA
    UQVPWNWOWPVLWNVOVIVJWNVKABURUSUBVLWOVOVIVKWOVJACURUTUBVLVNWPVMVIWHWPWEAVTUR
    WIWKVAUPVBVLVMWQVNVIVKVMWQVJVIVKVMWQACVCVDVEVFVAVGVH $.
    $( [10-Oct-2006] $) $( [2-Aug-2006] $)

  $( Nonnegative integer exponentiation of a quotient. $)
  divexpt $p |- ( ( ( A e. CC /\ B e. CC /\ N e. NN0 ) /\ B =/= 0 ) ->
                ( ( A / B ) ^ N ) = ( ( A ^ N ) / ( B ^ N ) ) ) $=
    ( cc wcel cn0 cc0 wne cdiv co cexp wceq wa c1 cmul divrect 3expb opreq1d
    adantr mulexpt 3expa recclt sylanl2 recexpt an1rs adantll opreq2d expclt
    adantlr adantlrr expne0it syl3anc eqtr4d 3eqtrd exp42 com34 3imp1 ) ADEZBDE
    ZCFEZBGHZABIJZCKJZACKJZBCKJZIJZLZURUSVAUTVGURUSVAUTVGURUSVAMZMZUTMZVCANBIJZ
    OJZCKJZVDVKCKJZOJZVFVIVCVMLUTVIVBVLCKURUSVAVBVLLABPQRSURVKDEZUTVMVOLZVHURVP
    UTVQAVKCTUABUBUCVJVOVDNVEIJZOJZVFVJVNVRVDOVHUTVNVRLZURUSUTVAVTUSUTVAVTBCUDU
    AUEUFUGVDDEZVEDEZVEGHZVFVSLVJVDVEPURUTWAVHACUHUIURUSUTWBVAUSUTWBURBCUHUFUJV
    HUTWCURUSUTVAWCUSUTVAWCBCUKUAUEUFULUMUNUOUPUQ $.
    $( [9-Jun-2007] $) $( [2-Aug-2006] $)

  $( Ordering relationship for exponentiation. $)
  expordit $p |- ( ( ( A e. RR /\ M e. NN0 /\ N e. NN0 ) /\
             ( 1 < A /\ M < N ) ) -> ( A ^ M ) < ( A ^ N ) ) $=
    ( cr wcel cn0 w3a c1 clt wbr wa cexp co cmul cmin cn expgt1t 3simp1 adantr
    wb cz znnsubt nn0zt syl2an 3adant1 biimpa adantrl simprl syl3anc cc0
    ltmul1t 1re a1i reexpclt nnnn0t syl sylanc 3adant3 3jca wi lt01 0re
    axlttrn mp3an12 mpani expgt0t 3expia syld imp adantrr mpbid wceq cc expclt
    recnt sylan mulid2t caddc recnd 3simp2 expaddt syl3an2 npcant nn0cnt
    ancoms opreq2d eqtr3d 3brtr3d ) ADEZBFEZCFEZGZHAIJZBCIJZKZKZHABLMZNMZACBOMZ
    LMZWQNMZWQACLMZIWPHWTIJZWRXAIJZWIWSPEZWMXCWPAWSQWLWIWOWIWJWKRZSWLWNXEWMWLWN
    XEWJWKWNXETZWIBUAECUAEXGWJWKBCUBBUCCUCUDUEUFZUGWLWMWNUHUIHDEZWTDEZWQDEZGUJW
    QIJZXCXDTWPHWTWQUKWPXIXJXKXIWPULUMWLWNXJWMWIWSFEZXJWLWNKZAWSUNWLWIWNXFSXNXE
    XMXHWSUOZUPUQUGWLXKWOWIWJXKWKABUNURSUSWLWMXLWNWLWMXLWIWJWMXLUTWKWIWJKZWMUJA
    IJZXLWIWMXQUTWJWIUJHIJZWMXQVAUJDEXIWIXRWMKXQUTVBULUJHAVCVDVESWIWJXQXLABVFVG
    VHURVIVJUQVKWLWRWQVLZWOWIWJXSWKXPWQVMEZXSAVMEZWJXTWIABVNAVOVPWQVQUPURSWPAWS
    BVRMZLMZXAXBWPYAXEWJGZYCXAVLZWLWNYDWMXNYAXEWJWLYAWNWLAXFVSSXHWLWJWNWIWJWKVT
    SUSUGYAXMWJYEXEAWSBWAXOWBUPWLYCXBVLWOWLYBCALWJWKYBCVLZWIWKWJYFCVMEBVMEYFWKW
    JCBWCCWDBWDUDWEUEWFSWGWH $.
    $( [6-Oct-2006] $) $( [2-Aug-2006] $)

  $( Cancellation law for exponentiation. $)
  expcant $p |- ( ( ( A e. RR /\ M e. NN0 /\ N e. NN0 ) /\
             1 < A ) -> ( ( A ^ M ) = ( A ^ N ) <-> M = N ) ) $=
    ( cr wcel cn0 w3a c1 clt wbr wa cexp co wceq wo wne wi expordit exp32 imp
    3com23 orim12d wb lttri2t nn0ret syl2an 3adant1 adantr reexpclt 3impdi
    3imtr4d necon4d opreq2 impbid1 ) ADEZBFEZCFEZGZHAIJZKZABLMZACLMZNBCNUTBCVAV
    BUTBCIJZCBIJZOZVAVBIJZVBVAIJZOZBCPZVAVBPZUTVCVFVDVGURUSVCVFQURUSVCVFABCRSTU
    RUSVDVGQZUOUQUPUSVKQUOUQUPGUSVDVGACBRSUATUBURVIVEUCZUSUPUQVLUOBDECDEVLUPUQB
    CUDBUECUEUFUGUHURVJVHUCZUSUOUPUQVMVADEVBDEVMUOUPKUOUQKVAVBUDABUIACUIUFUJUHU
    KULBCALUMUN $.
    $( [8-Oct-2006] $) $( [2-Aug-2006] $)

  $( Ordering law for exponentiation. $)
  expordt $p |- ( ( ( A e. RR /\ M e. NN0 /\ N e. NN0 ) /\
             1 < A ) -> ( M < N <-> ( A ^ M ) < ( A ^ N ) ) ) $=
    ( cr wcel cn0 w3a c1 clt wbr wa cexp co wi expordit exp32 imp wceq wo wn
    expcant biimprd 3com23 orim12d con3d wb axlttri reexpclt syl2an 3impdi
    adantr nn0ret 3adant1 3imtr4d impbid ) ADEZBFEZCFEZGZHAIJZKZBCIJZABLMZACLMZ
    IJZUSUTVBVENUSUTVBVEABCOPQVAVCVDRZVDVCIJZSZTZBCRZCBIJZSZTZVEVBVAVLVHVAVJVFV
    KVGVAVFVJABCUAUBUSUTVKVGNZUPURUQUTVNNUPURUQGUTVKVGACBOPUCQUDUEUSVEVIUFZUTUP
    UQURVOVCDEVDDEVOUPUQKUPURKVCVDUGABUHACUHUIUJUKUSVBVMUFZUTUQURVPUPBDECDEVPUQ
    URBCUGBULCULUIUMUKUNUO $.
    $( [9-Oct-2006] $) $( [2-Aug-2006] $)

  $( Weak ordering relationship for exponentiation. $)
  expwordit $p |- ( ( ( A e. RR /\ M e. NN0 /\ N e. NN0 ) /\
             ( 1 <_ A /\ M <_ N ) ) -> ( A ^ M ) <_ ( A ^ N ) ) $=
    ( cr wcel cn0 w3a c1 cle wbr cexp co clt wceq wo wi wb 1re leloet mpan
    3ad2ant1 wa expordt biimpd opreq2 a1i orim12d nn0ret syl2an 3adant1 adantr
    reexpclt 3adant3 3adant2 sylanc 3imtr4d ex opreq1 breq12d leid 1expt
    breqan12d mpbiri syl5cbi a1dd jaod sylbid imp32 ) ADEZBFEZCFEZGZHAIJZBCIJZA
    BKLZACKLZIJZVLVMHAMJZHANZOZVNVQPZVIVJVMVTQZVKHDEVIWBRHASTUAVLVRWAVSVLVRWAVL
    VRUBZBCMJZBCNZOZVOVPMJZVOVPNZOZVNVQWCWDWGWEWHWCWDWGABCUCUDWEWHPWCBCAKUEUFUG
    VLVNWFQZVRVJVKWJVIBDECDEWJVJVKBCSBUHCUHUIUJUKVLVQWIQZVRVODEZVPDEZWKVLVOVPSV
    IVJWLVKABULUMVIVKWMVJACULUNUOUKUPUQVLVSVQVNVJVKVSVQPVIVSHBKLZHCKLZIJZVQVJVK
    UBZVSWNVOWOVPIHABKURHACKURUSWQWPHHIJHRUTVJVKWNHWOHIBVACVAVBVCVDUJVEVFVGVH
    $.
    $( [9-Oct-2006] $) $( [14-Dec-2005] $)

  $( The power of a positive number smaller than 1 decreases as its exponent
     increases. $)
  expord2t $p |- ( ( ( A e. RR /\ M e. NN0 /\ N e. NN0 ) /\
             ( 0 < A /\ A < 1 ) ) -> ( M < N <-> ( A ^ N ) < ( A ^ M ) ) ) $=
    ( cr wcel cn0 w3a cc0 clt wbr c1 wa cdiv co cexp wb expordt wne gt0ne0t
    rerecclt syldan expcom idd 3anim123d impcom adantrr reclt1t biimpa anasss
    3ad2antl1 sylanc ltrect reexpclt adantr 3adantl2 expgt0t 3expa 3adantl3
    syl2anc cc wceq recexpt breq12d recnt id 3anim123i bitr4d ) ADEZBFEZCFEZGZH
    AIJZAKIJZLZLZBCIJZKAMNZBONZVQCONZIJZACONZABONZIJZVQDEZVIVJGZKVQIJZVPVTPVOVQ
    BCQVKVLWEVMVLVKWEVLVHWDVIVIVJVJVHVLWDVHVLAHRZWDASZATUAUBVLVIUCVLVJUCUDUEUFV
    HVIVNWFVJVHVLVMWFVHVLLVMWFAUGUHUIUJUKVKVLWCVTPVMVKVLLZWCKWBMNZKWAMNZIJZVTWA
    DEZHWAIJZWBDEZHWBIJZWCWLPWIWAWBULVHVJVLWMVIVHVJLWMVLACUMUNUOVHVJVLWNVIVHVJV
    LWNACUPUQUOVHVIVLWOVJVHVILWOVLABUMUNURVHVIVLWPVJVHVIVLWPABUPUQURUSAUTEZVIVJ
    GZWGVTWLPWIWRWGLVRWJVSWKIWQVIWGVRWJVAZVJWQVIWGWSABVBUQURWQVJWGVSWKVAZVIWQVJ
    WGWTACVBUQUOVCVKWRVLVHWQVIVIVJVJAVDVIVEVJVEVFUNVHVIVLWGVJWHUJUKVGUFVG $.
    $( [10-Jul-2007] $) $( [2-Aug-2006] $)

  $( Weak ordering relationship for exponentiation.   (Contributed by Paul
     Chapman, 14-Jan-2008.) $)
  expword2it $p |- ( ( ( A e. RR /\ M e. NN0 /\ N e. NN0 ) /\
                       ( 0 < A /\ A <_ 1 /\ M < N ) ) ->
                     ( A ^ N ) <_ ( A ^ M ) ) $=
    ( cr wcel cn0 w3a cc0 clt wbr c1 cle wa cexp co wi wceq wo expord2t biimpd
    ex exp3a com34 imp3a imp 1expt adantr adantl eqtr4d 3adant1 opreq1
    3eqtr4rd orim12d wb 1re leloet mpan2 3ad2ant1 reexpclt 3adant2 3adant3 jca
    syl 3imtr4d df-3an sylan2b ) ADEZBFEZCFEZGZHAIJZAKLJZMZBCIJZMZACNOZABNOZLJZ
    VKVLVNGVJVOVRVJVMVNVRVJVKVLVNVRPVJVKVNVLVRVJVKVNVLVRPZVJVKVNMZVSVJVTMZAKIJZ
    AKQZRZVPVQIJZVPVQQZRZVLVRWAWBWEWCWFVJVTWBWEPZVJVKVNWHVJVKWBVNWEVJVKWBVNWEPZ
    VJVKWBMZWIVJWJMVNWEABCSTUAUBUCUDUEVJWCWFPVTVJWCWFVJWCMKBNOZKCNOZVQVPVJWKWLQ
    ZWCVHVIWMVGVHVIMWKKWLVHWKKQVIBUFUGVIWLKQVHCUFUHUIUJUGWCVQWKQVJAKBNUKUHWCVPW
    LQVJAKCNUKUHULUAUGUMVJVLWDUNZVTVGVHWNVIVGKDEWNUOAKUPUQURUGVJVRWGUNZVTVJVPDE
    ZVQDEZMWOVJWPWQVGVIWPVHACUSUTVGVHWQVIABUSVAVBVPVQUPVCUGVDUAUBUCUDUDUEVKVLVN
    VEVF $.
    $( [15-Jan-2008] $) $( [14-Jan-2008] $)

  ${
    $d j k A $.  $d j k B $.  $d j k N $.
    $( Weak mantissa ordering relationship for exponentiation. $)
    expmwordit $p |- ( ( ( A e. RR /\ B e. RR /\ N e. NN0 ) /\
               ( 0 <_ A /\ A <_ B ) ) -> ( A ^ N ) <_ ( B ^ N ) ) $=
      ( vj vk cr wcel cn0 cc0 cle wbr wa cexp co wi cv c1 caddc cmul
      lemul12itOLD reexpclt adantlr adantr adantll jca expge0t 3expa an1rs
      adantllr adantlrr anim1i simpll sylanc wceq cc expp1t recnt sylan
      3brtr4d ex expcom a2d exp0t 1re leid syl6eqbr adantl breqtrrd syl2an
      opreq2 breq12d imbi2d nn0indALT exp4c com3l 3imp1 ) AFGZBFGZCHGZIAJKZABJK
      ZLZACMNZBCMNZJKZVSVQVRWBWEOVSVQVRWBWEVQVRLZWBLZADPZMNZBWHMNZJKZOWGAIMNZBI
      MNZJKZOWGAEPZMNZBWOMNZJKZOWGAWOQRNZMNZBWSMNZJKZOWGWEODECWOHGZWGWRXBWGXCWR
      XBOWGXCLZWRXBXDWRLZWPASNZWQBSNZWTXAJWPFGZWQFGZLZIWPJKZWRLZLWGXFXGJKXEWPWQ
      ABTXEXJXLXEXHXIXDXHWRWFXCXHWBVQXCXHVRAWOUAUBUBUCXDXIWRWFXCXIWBVRXCXIVQBWO
      UAUDUBUCUEXDXKWRWFVTXCXKWAVQVTXCXKVRVQXCVTXKVQXCVTXKAWOUFUGUHUIUJUKUEWGXC
      WRULUMXDWTXFUNZWRWFXCXMWBVQXCXMVRAUOGZXCXMVQAWOUPAUQZURUBUBUCXDXAXGUNZWRW
      FXCXPWBVRXCXPVQBUOGZXCXPVRBWOUPBUQZURUDUBUCUSUTVAVBWFWNWBXNXQWNVQVRXNXQLZ
      WLQWMJXSWLQQJXNWLQUNXQAVCUCQVDVEVFXQWMQUNXNBVCVGVHXOXRVIUCWHIUNZWKWNWGXTW
      IWLWJWMJWHIAMVJWHIBMVJVKVLWHWOUNZWKWRWGYAWIWPWJWQJWHWOAMVJWHWOBMVJVKVLWHW
      SUNZWKXBWGYBWIWTWJXAJWHWSAMVJWHWSBMVJVKVLWHCUNZWKWEWGYCWIWCWJWDJWHCAMVJWH
      CBMVJVKVLVMVNVOVP $.
      $( [24-Jan-2006] $) $( [18-Dec-2005] $)
  $}

  $( Nonnegative integer exponentiation with a mantissa between 0 and 1
     inclusive is less than or equal to 1.  (Contributed by Paul Chapman,
     29-Dec-2007.) $)
  exple1t $p |- ( ( ( A e. RR /\ 0 <_ A /\ A <_ 1 ) /\ N e. NN0 ) ->
                  ( A ^ N ) <_ 1 ) $=
    ( cr wcel cc0 cle wbr c1 w3a cn0 cexp co wi clt wceq wo wb 0re leloet mpan
    biimpa wa cdiv expge1t 3com23 3expa wne rerecclt 3simp1 gt0ne0t 3adant3
    sylanc 3simp3 1re lt01 lerec2t mpanl12 ax1cn div1 breq2i syl6bb mpbird jca
    sylan cc recexpt recnd breqtrd reexpclt 3ad2antl1 expgt0t 3adantl3 mpbid
    syl6breq ex 3expia opreq1 breq1d cn elnn0 0expt ltlei syl6eqbr opreq2 0cn
    exp0t ax-mp syl6eq leid jaoi sylbi syl5bi a1d adantl jaodan syldan 3impia
    imp ) ACDZEAFGZAHFGZIBJDZABKLZHFGZWSWTXAXBXDMZWSWTEANGZEAOZPZXAXEMZWSWTXHEC
    DWSWTXHQREASTUAWSXFXIXGWSXFXAXEWSXFXAIZXBXDXJXBUBZXCHHUCLZHFXKHHXCUCLZFGZXC
    XLFGZXKHHAUCLZBKLZXMFXPCDZHXPFGZUBXBHXQFGZXJXRXSXBXTXRXBXSXTXPBUDUEUFXJXRXS
    WSAEUGZXRXJAUHWSXFXAUIZWSXFYAXAAUJUKZULXJXSXAWSXFXAUMXJXSAXLFGZXAWSXFXSYDQZ
    XAHCDZEHNGZWSXFUBYEUNUOHAUPUQUKXLHAFHURUSZUTVAVBVCVDAVEDZYAUBXBXQXMOZXJYIYA
    XBYJYIXBYAYJABVFUEUFXJYIYAXJAYBVGYCVCVDVHXCCDZEXCNGZXNXOQZXKYFYGYKYLUBYMUNU
    OHXCUPUQWSXFXBYKXAABVIVJWSXFXBYLXAWSXFXBYLWSXBXFYLABVKUEUFVLULVMYHVNVOVPXGX
    IWSXGXEXAXGEBKLZHFGZXDXBXGYNXCHFEABKVQVRXBBVSDZBEOZPYOBVTYPYOYQYPYNEHFBWAEH
    RUNUOWBWCYQYNHHFYQYNEEKLZHBEEKWDEVEDYRHOWEEWFWGWHHUNWIWCWJWKWLWMWNWOWPWQWR
    $.
    $( [30-Dec-2007] $) $( [29-Dec-2007] $)

  $( An upper bound on ` A ^ N ` when ` 2 <_ A ` . $)
  expubndt $p |- ( ( A e. RR /\ N e. NN0 /\ 2 <_ A ) ->
                  ( A ^ N ) <_ ( ( 2 ^ N ) x. ( ( A - 1 ) ^ N ) ) ) $=
    ( cr wcel cn0 c2 cle wbr w3a cexp co c1 cmin cmul cc0 wa expmwordit 3simp1
    peano2rem 2re axmulrcl mpan syl 3ad2ant1 3simp2 3jca 0re 2pos ltlei wi
    letrt mp3an12 mpani imp caddc wb resubclt mpan2 leadd2t mp3an1 mpdan
    biimpa wceq cc recnt 2cn npcant adantr ax1cn subdit mp3an13 2timest mulid1
    a1i opreq12d addsubt mp3an3 anidms 3eqtrrd 3brtr3d jca 3adant2 sylanc
    mulexpt recnd sylan 3adant3 breqtrd ) ACDZBEDZFAGHZIZABJKZFALMKZNKZBJKZFBJK
    WNBJKNKZGWIWOCDZWJIOAGHZAWOGHZPZWMWPGHWLAWOBQWLWIWRWJWIWJWKRWIWJWRWKWIWNCDZ
    WRASZFCDZXBWRTFWNUAUBUCUDWIWJWKUEUFWIWKXAWJWIWKPZWSWTWIWKWSWIOFGHZWKWSOFUGT
    UHUIOCDXDWIXFWKPWSUJUGTOFAUKULUMUNXEAFMKZFUOKZXGAUOKZAWOGWIWKXHXIGHZWIXGCDZ
    WKXJUPZWIXDXKTAFUQURXDWIXKXLTFAXGUSUTVAVBWIXHAVCZWKWIAVDDZXMAVEZXNFVDDZXMVF
    AFVGURUCVHWIXIWOVCZWKWIXNXQXOXNWOFANKZFLNKZMKZAAUOKZFMKZXIXPXNLVDDWOXTVCVFV
    IFALVJVKXNXRYAXSFMAVLXSFVCXNFVFVMVNVOXNYBXIVCZXNXNXPYCVFAAFVPVQVRVSUCVHVTWA
    WBWCWIWJWPWQVCZWKWNVDDZWJYDWIXPYEWJYDVFFWNBWDUTWIWNXCWEWFWGWH $.
    $( [24-Jan-2006] $) $( [19-Dec-2005] $)

  $( Value of the square of a complex number.  (Contributed by Raph Levien,
     10-Apr-2004.) $)
  sqvalt $p |- ( A e. CC -> ( A ^ 2 ) = ( A x. A ) ) $=
    ( cc wcel c2 cexp co c1 cmul caddc cn0 wceq 1nn0 expp1t mpan2 df-2 opreq2i
    syl5eq exp1t opreq1d eqtrd ) ABCZADEFZAGEFZAHFZAAHFUAAGGIFZEFZUDUBUAGJCUFUD
    KLAGMNDUEAEOPQUAUCAAHARST $.
    $( [28-Jul-2006] $) $( [10-Apr-2004] $)

  $( The square of the negative of a number.) $)
  sqnegt $p |- ( A e. CC -> ( -u A ^ 2 ) = ( A ^ 2 ) ) $=
    ( cc wcel cneg cmul co c2 cexp wceq mul2negt anidms negclt sqvalt syl
    3eqtr4d ) ABCZADZQEFZAAEFZQGHFZAGHFPRSIAAJKPQBCTRIALQMNAMO $.
    $( [18-Feb-2007] $) $( [15-Jan-2006] $)

  $( Closure of square. $)
  sqclt $p |- ( A e. CC -> ( A ^ 2 ) e. CC ) $=
    ( cc wcel c2 cexp co cmul sqvalt axmulcl anidms eqeltrd ) ABCZADEFAAGFZBAHL
    MBCAAIJK $.
    $( [10-Aug-1999] $)

  $( Distribution of square over multiplication. $)
  sqmult $p |- ( ( A e. CC /\ B e. CC ) ->
             ( ( A x. B ) ^ 2 ) = ( ( A ^ 2 ) x. ( B ^ 2 ) ) ) $=
    ( cc wcel c2 cn0 cmul co cexp wceq 2nn0 mulexpt mp3an3 ) ACDBCDEFDABGHEIHAE
    IHBEIHGHJKABELM $.
    $( [23-Mar-2008] $) $( [21-Mar-2008] $)

  $( A number is zero iff its square is zero. $)
  sqeq0t $p |- ( A e. CC -> ( ( A ^ 2 ) = 0 <-> A = 0 ) ) $=
    ( cc wcel c2 cn cexp co cc0 wceq wb 2nn expeq0t mpan2 ) ABCDECADFGHIAHIJKAD
    LM $.
    $( [12-Apr-2006] $) $( [11-Mar-2006] $)

  ${
    sqval.1 $e |- A e. CC $.
    $( Value of square.  Inference version. $)
    sqval $p |- ( A ^ 2 ) = ( A x. A ) $=
      ( cc wcel c2 cexp co cmul wceq sqvalt ax-mp ) ACDAEFGAAHGIBAJK $.
      $( [1-Aug-1999] $)

    $( Closure of square. $)
    sqcl $p |- ( A ^ 2 ) e. CC $=
      ( cc wcel c2 cexp co sqclt ax-mp ) ACDAEFGCDBAHI $.
      $( [2-Aug-1999] $)

    $( A number is zero iff its square is zero. $)
    sqeq0 $p |- ( ( A ^ 2 ) = 0 <-> A = 0 ) $=
      ( cc wcel c2 cexp co cc0 wceq wb sqeq0t ax-mp ) ACDAEFGHIAHIJBAKL $.
      $( [2-Oct-1999] $)

    ${
      sqmul.2 $e |- B e. CC $.
      $( Distribution of square over multiplication. $)
      sqmul $p |- ( ( A x. B ) ^ 2 ) = ( ( A ^ 2 ) x. ( B ^ 2 ) ) $=
        ( cc wcel cmul co c2 cexp wceq sqmult mp2an ) AEFBEFABGHIJHAIJHBIJHGHKC
        DABLM $.
        $( [31-Jul-2006] $) $( [3-Sep-1999] $)

      ${
        sqdiv.3 $e |- B =/= 0 $.
        $( Distribution of square over division. $)
        sqdiv $p |- ( ( A / B ) ^ 2 ) = ( ( A ^ 2 ) / ( B ^ 2 ) ) $=
          ( cdiv co cmul c2 cexp divmuldiv divcl sqval opreq12i 3eqtr4 ) ABFGZP
          HGAAHGZBBHGZFGPIJGAIJGZBIJGZFGABABCDCDEEKPABCDELMSQTRFACMBDMNO $.
          $( [20-Aug-2001] $)
      $}
    $}

    ${
      sqreci.1 $e |- A =/= 0 $.
      $( Square of reciprocal. $)
      sqreci $p |- ( ( 1 / A ) ^ 2 ) = ( 1 / ( A ^ 2 ) ) $=
        ( c1 cdiv co cmul c2 cexp ax1cn divmuldiv mulid1 opreq1i eqtr reccl
        sqval opreq2i 3eqtr4 ) DAEFZSGFZDAAGFZEFZSHIFDAHIFZEFTDDGFZUAEFUBDADAJB
        JBCCKUDDUAEDJLMNSABCOPUCUADEABPQR $.
        $( [17-Sep-1999] $)
    $}
  $}

  $( A number is nonzero iff its square is nonzero. $)
  sqne0t $p |- ( A e. CC -> ( ( A ^ 2 ) =/= 0 <-> A =/= 0 ) ) $=
    ( cc wcel c2 cexp co cc0 sqeq0t necon3bid ) ABCADEFGAGAHI $.
    $( [14-Apr-2006] $) $( [11-Mar-2006] $)

  $( Closure of the square of a real number. $)
  resqclt $p |- ( A e. RR -> ( A ^ 2 ) e. RR ) $=
    ( cr wcel c2 cn0 cexp co 2nn0 reexpclt mpan2 ) ABCDECADFGBCHADIJ $.
    $( [29-Jul-2006] $) $( [18-Oct-1999] $)

  $( The square of a non-zero real is positive. $)
  sqgt0t $p |- ( ( A e. RR /\ A =/= 0 ) -> 0 < ( A ^ 2 ) ) $=
    ( cr wcel cc0 wne wa cmul co c2 cexp clt msqgt0t wceq cc recnt sqvalt syl
    adantr breqtrrd ) ABCZADEZFDAAGHZAIJHZKALTUCUBMZUATANCUDAOAPQRS $.
    $( [8-Sep-2007] $) $( [8-Sep-2007] $)

  ${
    resqcl.1 $e |- A e. RR $.
    $( Closure of square in reals. $)
    resqcl $p |- ( A ^ 2 ) e. RR $=
      ( cr wcel c2 cexp co resqclt ax-mp ) ACDAEFGCDBAHI $.
      $( [2-Aug-1999] $)

    ${
      lt2sq.2 $e |- B e. RR $.
      $( The square function on nonnegative reals is strictly monotonic. $)
      lt2sq $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                ( A < B <-> ( A ^ 2 ) < ( B ^ 2 ) ) ) $=
        ( cc0 cle wbr wa clt cmul co c2 cexp lt2msq recn sqval breq12i syl6bbr
        ) EAFGEBFGHABIGAAJKZBBJKZIGALMKZBLMKZIGABCDNUASUBTIAACOPBBDOPQR $.
        $( [12-Sep-1999] $)

      $( The square function on nonnegative reals is monotonic. $)
      le2sq $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                ( A <_ B <-> ( A ^ 2 ) <_ ( B ^ 2 ) ) ) $=
        ( cc0 cle wbr wa cmul co c2 cexp le2msq recn sqval breq12i syl6bbr ) EA
        FGEBFGHABFGAAIJZBBIJZFGAKLJZBKLJZFGABCDMTRUASFAACNOBBDNOPQ $.
        $( [12-Sep-1999] $)

      $( The square function is one-to-one for nonnegative reals. $)
      sq11 $p |-  ( ( 0 <_ A /\ 0 <_ B ) ->
                ( ( A ^ 2 ) = ( B ^ 2 ) <-> A = B ) ) $=
        ( cc0 cle wbr wa cmul co wceq c2 cexp msq11 recn sqval eqeq12i syl5bb
        ) EAFGEBFGHAAIJZBBIJZKABKALMJZBLMJZKABCDNUASUBTAACOPBBDOPQR $.
        $( [27-Oct-1999] $)
    $}

    $( The square of a non-zero real is positive. $)
    sqgt0 $p |- ( A =/= 0 -> 0 < ( A ^ 2 ) ) $=
      ( cr wcel cc0 wne c2 cexp co clt wbr sqgt0t mpan ) ACDAEFEAGHIJKBALM $.
      $( [17-Sep-1999] $)

    $( A square of a real is nonnegative. $)
    sqge0 $p |- 0 <_ ( A ^ 2 ) $=
      ( cc0 cmul co c2 cexp cle msqge0 recn sqval breqtrr ) CAADEAFGEHABIAABJKL
      $.
      $( [3-Aug-1999] $)
  $}

  $( The square function is one-to-one for nonnegative reals. $)
  sq11t $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
               ( ( A ^ 2 ) = ( B ^ 2 ) <-> A = B ) ) $=
    ( cr wcel cc0 cle wbr c2 cexp co wceq wb wa wi cif breq2 anbi1d opreq1
    eqeq1d eqeq1 bibi12d imbi12d anbi2d eqeq2d eqeq2 0re elimel sq11 dedth2h
    imp an4s ) ACDZBCDZEAFGZEBFGZAHIJZBHIJZKZABKZLZULUMMUNUOMZUTULUMVAUTNEULAEO
    ZFGZUOMZVBHIJZUQKZVBBKZLZNVCEUMBEOZFGZMZVEVIHIJZKZVBVIKZLZNABEEAVBKZVAVDUTV
    HVPUNVCUOAVBEFPQVPURVFUSVGVPUPVEUQAVBHIRSAVBBTUAUBBVIKZVDVKVHVOVQUOVJVCBVIE
    FPUCVQVFVMVGVNVQUQVLVEBVIHIRUDBVIVBUEUAUBVBVIAECUFUGBECUFUGUHUIUJUK $.
    $( [13-Mar-2006] $) $( [8-Apr-2001] $)

  $( The square function on nonnegative reals is strictly monotonic. $)
  lt2sqt $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
              ( A < B <-> ( A ^ 2 ) < ( B ^ 2 ) ) ) $=
    ( cr wcel cc0 cle wbr wa clt cmul co c2 cexp lt2msqt wb cc sqvalt
    breqan12d recnt syl2an ad2ant2r bitr4d ) ACDZEAFGZHBCDZEBFGZHHABIGAAJKZBBJK
    ZIGZALMKZBLMKZIGZABNUCUEULUIOZUDUFAPDZBPDZUMUCUEUNUOUJUGUKUHIAQBQRASBSTUAUB
    $.
    $( [11-Apr-2006] $) $( [24-Feb-2006] $)

  $( The square function on nonnegative reals is monotonic. $)
  le2sqt $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
              ( A <_ B <-> ( A ^ 2 ) <_ ( B ^ 2 ) ) ) $=
    ( cr wcel cc0 cle wbr wa cmul co c2 cexp le2msqt wb cc sqvalt breqan12d
    recnt syl2an ad2ant2r bitr4d ) ACDZEAFGZHBCDZEBFGZHHABFGAAIJZBBIJZFGZAKLJZB
    KLJZFGZABMUBUDUKUHNZUCUEAODZBODZULUBUDUMUNUIUFUJUGFAPBPQARBRSTUA $.
    $( [26-Jul-2006] $) $( [18-Oct-1999] $)

  $( The square of a 'less than or equal to' ordering. $)
  le2sqit $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ A <_ B ) ) ->
              ( A ^ 2 ) <_ ( B ^ 2 ) ) $=
    ( cr wcel cc0 cle wbr wa c2 cexp co simprr wb simprl wi 0re letrt mp3an1
    exp4b com23 imp43 jca le2sqt syldan mpbid ) ACDZEAFGZHZBCDZABFGZHZHZUJAIJKB
    IJKFGZUHUIUJLUHUKUIEBFGZHUJUMMULUIUNUHUIUJNUFUGUIUJUNUFUIUGUJUNOUFUIUGUJUNE
    CDUFUIUGUJHUNOPEABQRSTUAUBABUCUDUE $.
    $( [24-Mar-2008] $) $( [21-Mar-2008] $)

  $( A square of a real is nonnegative. $)
  sqge0t $p |- ( A e. RR -> 0 <_ ( A ^ 2 ) ) $=
    ( cr wcel cc0 c2 cexp co cle wbr cif wceq opreq1 breq2d 0re elimel sqge0
    dedth ) ABCZDAEFGZHIDRADJZEFGZHIADATKSUADHATEFLMTADBNOPQ $.
    $( [18-Oct-1999] $)

  ${
    sumsqne0.1 $e |- A e. RR $.
    sumsqne0.2 $e |- B e. RR $.
    $( The sum of two squares is nonzero iff one of its terms is nonzero. $)
    sumsqne0 $p |- ( ( A =/= 0 \/ B =/= 0 ) <->
                   ( ( A ^ 2 ) + ( B ^ 2 ) ) =/= 0 ) $=
      ( cc0 wne wo c2 cexp co caddc clt wbr sqgt0 cle sqge0 cr wcel wb resqcl
      addge01t mp2an mpbi 0re readdcl ltletr mpan2 gt0ne0 3syl addge02t jaoi
      wceq wn wa opreq1 opreqan12d cn 2nn 0expt ax-mp opreq12i 0cn addid1 eqtr
      syl6eq con3i df-ne neorian 3imtr4 impbi ) AEFZBEFZGZAHIJZBHIJZKJZEFZVKVQV
      LVKEVNLMZEVPLMZVQACNVRVNVPOMZVSEVOOMZVTBDPVNQRZVOQRZWAVTSACTZBDTZVNVOUAUB
      UCEVNVPUDWDVNVOWDWEUEZUFUGVPWFUHZUIVLEVOLMZVSVQBDNWHVOVPOMZVSEVNOMZWIACPW
      CWBWJWISWEWDVOVNUJUBUCEVOVPUDWEWFUFUGWGUIUKVPEULZUMAEULZBEULZUNZUMVQVMWNW
      KWNVPEHIJZWOKJZEWLWMVNWOVOWOKAEHIUOBEHIUOUPWPEEKJEWOEWOEKHUQRWOEULURHUSUT
      ZWQVAEVBVCVDVEVFVPEVGAEBEVHVIVJ $.
      $( [25-Jul-2006] $) $( [29-Apr-2005] $)
  $}

  $( The square of 0 is 0. $)
  sq0 $p |- ( 0 ^ 2 ) = 0 $=
    ( cc0 c2 cexp co wceq eqid 0cn sqeq0 mpbir ) ABCDAEAAEAFAGHI $.
    $( [7-Jun-2006] $) $( [6-Jun-2006] $)

  $( If a number is zero, its square is zero.  (Contributed by FL,
     10-Dec-2006.) $)
  sq0i $p |- ( A = 0 -> ( A ^ 2 ) = 0 ) $=
    ( cc0 wceq c2 cexp co opreq1 sq0 syl6eq ) ABCADEFBDEFBABDEGHI $.
    $( [10-Dec-2006] $) $( [10-Dec-2006] $)

  $( The square of 1 is 1. $)
  sq1 $p |- ( 1 ^ 2 ) = 1 $=
    ( c2 cn0 wcel c1 cexp co wceq 2nn0 1expt ax-mp ) ABCDAEFDGHAIJ $.
    $( [8-May-2007] $) $( [22-Aug-1999] $)

  $( The square of 2 is 4. $)
  sq2 $p |- ( 2 ^ 2 ) = 4 $=
    ( c2 cexp co cmul c4 2cn sqval 2t2e4 eqtr ) AABCAADCEAFGHI $.
    $( [22-Aug-1999] $)

  $( The square of 3 is 9. $)
  sq3 $p |- ( 3 ^ 2 ) = 9 $=
    ( c3 c2 cexp co cmul c9 3re recn sqval 3t3e9 eqtr ) ABCDAAEDFAAGHIJK $.
    $( [16-Jun-2006] $) $( [26-Apr-2006] $)

  $( The cube of 2 is 8. $)
  cu2 $p |- ( 2 ^ 3 ) = 8 $=
    ( c2 c3 cexp co c1 caddc cmul c8 df-3 opreq2i cc wcel cn0 wceq 2cn 2nn0
    expp1t mp2an c4 sq2 opreq1i 4t2e8 eqtr 3eqtr ) ABCDAAEFDZCDZAACDZAGDZHBUEAC
    IJAKLAMLUFUHNOPAAQRUHSAGDHUGSAGTUAUBUCUD $.
    $( [28-Jul-2006] $) $( [2-Aug-2004] $)

  $( Cancel one factor of a square in a ` <_ ` comparison.  Unlike ~ lemul1t ,
     the common factor ` A ` may be zero. $)
  sqlecant $p |- ( ( ( A e. RR /\ 0 <_ A ) /\ ( B e. RR /\ 0 <_ B ) ) ->
      ( ( A ^ 2 ) <_ ( B x. A ) <-> A <_ B ) ) $=
    ( cr wcel cc0 cle wbr wa c2 cexp co cmul wb clt wceq wo wi 0re leloet mpan
    w3a cc recnt sqvalt syl 3ad2ant1 adantr breq1d lemul1t bitr4d 3exp1
    pm2.43a adantrd com23 pm5.1 mul01t sq0 leid eqbrtr syl5breqr adantl opreq1
    opreq2 breq12d mpbid adantrr breq1 biimpa adantrl sylanc ex a1i jaod
    sylbid imp31 ) ACDZEAFGZBCDZEBFGZHZAIJKZBALKZFGZABFGZMZVPVQEANGZEAOZPZVTWEQ
    ZECDVPVQWHMREASTVPWFWIWGVPVTWFWEVPVRWFWEQZVSVRVPWJVPVRVPWFWEVPVRVPUAZWFHZWC
    AALKZWBFGWDWLWAWMWBFWKWAWMOZWFVPVRWNVPVPAUBDWNAUCAUDUEUFUGUHABAUIUJUKULUMUN
    WGWIQVPWGVTWEWCWDWEWGVTHWCWDUOWGVRWCVSWGVRHEIJKZBELKZFGZWCVRWQWGVREWPWOFVRB
    UBDWPEOBUCBUPUEWOEEFUQERURUSUTVAWGWQWCMVRWGWOWAWPWBFEAIJVBEABLVCVDUGVEVFWGV
    SWDVRWGVSWDEABFVGVHVIVJVKVLVMVNVO $.
    $( [25-Jan-2008] $) $( [17-Jan-2008] $)

  $( Factor the difference of two squares. $)
  subsqt $p |- ( ( A e. CC /\ B e. CC ) ->
          ( ( A ^ 2 ) - ( B ^ 2 ) ) = ( ( A + B ) x. ( A - B ) ) ) $=
    ( cc wcel wa caddc co cmin cmul c2 cexp wceq adddirt pm3.26 pm3.27 subclt
    syl3anc subdit 3anidm12 sqvalt adantr opreq1d eqtr4d axmulcom adantl
    opreq12d addsubasst sqclt axmulcl sylanc axaddcom pncan3t eqtrd eqtr3d
    3eqtrrd ) ACDZBCDZEZABFGABHGZIGZAUSIGZBUSIGZFGZAJKGZABIGZHGZVEBJKGZHGZFGZVD
    VGHGZUPUQUSCDUTVCLURABUSMUPUQNZUPUQOZABPQURVAVFVBVHFURVAAAIGZVEHGZVFUPUQVAV
    NLAABRSURVDVMVEHUPVDVMLUQATUAUBUCURVBBAIGZBBIGZHGZVHUQUPUQVBVQLURBABRVLVKVL
    QURVEVOVGVPHABUDUQVGVPLUPBTUEUFUCUFURVFVEFGZVGHGZVIVJVFCDZVECDZVGCDZVSVILUR
    VFVEVGUGVDCDZWAVTURVDVEPUPWCUQAUHUAZABUIZUJZWEUQWBUPBUHUEQURVRVDVGHURVRVEVF
    FGZVDVTWAVRWGLURVFVEUKWFWEUJWAWCWGVDLURVEVDULWEWDUJUMUBUNUO $.
    $( [23-Feb-2008] $) $( [21-Feb-2008] $)

  $( Express the difference of the squares of two numbers as a polynomial in
     the difference of the numbers. $)
  subsq2t $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A ^ 2 ) - ( B ^ 2 ) ) =
    ( ( ( A - B ) ^ 2 ) + ( ( 2 x. B ) x. ( A - B ) ) ) ) $=
    ( cc wcel wa caddc co cmin cmul c2 cexp wceq 2cn axmulcl mpan adantl
    subadd23t mpd3an3 2timest opreq1d pncant anidms eqtrd opreq2d adddirt
    subclt syl3anc eqtr3d subsqt sqvalt syl 3eqtr4d ) ACDZBCDZEZABFGZABHGZIGZUQ
    UQIGZJBIGZUQIGZFGZAJKGBJKGHGUQJKGZVAFGUOUQUTFGZUQIGZURVBUOVDUPUQIUOVDAUTBHG
    ZFGZUPUMUNUTCDZVDVGLUNVHUMJCDUNVHMJBNOPZABUTQRUOVFBAFUNVFBLUMUNVFBBFGZBHGZB
    UNUTVJBHBSTUNVKBLBBUAUBUCPUDUCTUQCDZVHVLVEVBLUOUQUTUQUEABUFZVIVMUGUHABUIUOV
    CUSVAFUOVLVCUSLVMUQUJUKTUL $.
    $( [13-Mar-2008] $) $( [21-Feb-2008] $)

  ${
    binom2.1 $e |- A e. CC $.
    binom2.2 $e |- B e. CC $.
    $( The square of a binomial. $)
    binom2 $p |- ( ( A + B ) ^ 2 ) = ( ( ( A ^ 2 ) + ( 2 x.
                ( A x. B ) ) ) + ( B ^ 2 ) ) $=
      ( caddc co cmul c2 cexp addcl adddi adddir mulcom opreq2i eqtr opreq12i
      mulcl addass opreq1i eqtr3 3eqtr sqval 2times 3eqtr4 ) ABEFZUEGFZAAGFZABG
      FZUHEFZEFZBBGFZEFZUEHIFAHIFZHUHGFZEFZBHIFZEFUFUEAGFZUEBGFZEFUGUHEFZUHUKEF
      ZEFZULUEABABCDJZCDKUQUSURUTEUQUGBAGFZEFUSABACDCLVCUHUGEBADCMNOABBCDDLPUSU
      HEFZUKEFVAULUSUHUKUGUHAACCQZABCDQZJVFBBDDQRVDUJUKEUGUHUHVEVFVFRSTUAUEVBUB
      UOUJUPUKEUMUGUNUIEACUBUHVFUCPBDUBPUD $.
      $( [11-Aug-1999] $)

    $( Product of sum and difference. $)
    binom2aOLD $p |- ( ( A + B ) x. ( A - B ) ) = ( ( A ^ 2 ) - ( B ^ 2 ) ) $=
      ( caddc co cmin cmul c2 cexp subcl adddir subdi sqval opreq1i eqtr4
      mulcom opreq12i sqcl mulcl addsubass addcom pncan3 eqtr eqtr3 3eqtr ) ABE
      FABGFZHFAUGHFZBUGHFZEFAIJFZABHFZGFZUKBIJFZGFZEFZUJUMGFZABUGCDABCDKLUHULUI
      UNEUHAAHFZUKGFULAABCCDMUJUQUKGACNOPUIBAHFZBBHFZGFUNBABDCDMUKURUMUSGABCDQB
      DNRPRULUKEFZUMGFUOUPULUKUMUJUKACSZABCDTZKZVBBDSUAUTUJUMGUTUKULEFUJULUKVCV
      BUBUKUJVBVAUCUDOUEUF $.
      $( [17-Jun-2005] $) $( [7-Feb-2005] $)

    $( Factor the difference of two squares. $)
    subsq $p |- ( ( A ^ 2 ) - ( B ^ 2 ) ) = ( ( A + B ) x. ( A - B ) ) $=
      ( cc wcel c2 cexp co cmin caddc cmul wceq subsqt mp2an ) AEFBEFAGHIBGHIJI
      ABKIABJILIMCDABNO $.
      $( [24-Apr-2008] $) $( [7-Feb-2005] $)

    $( The squares of two complex numbers are equal iff one number equals the
       other or its negative.  Lemma 15-4.7 of [Gleason] p. 311 and its
       converse. $)
    sqeqor $p |- ( ( A ^ 2 ) = ( B ^ 2 ) <-> ( A = B \/ A = -u B ) ) $=
      ( c2 cexp co wceq caddc cc0 cmin wo cneg cmul binom2aOLD eqeq1i addcl
      subcl mul0or sqcl subeq0 3bitr3r orcom subneg negcl bitr3 orbi12i 3bitr
      ) AEFGZBEFGZHZABIGZJHZABKGZJHZLZUOUMLABHZABMZHZLULUNNGZJHUIUJKGZJHUPUKUTV
      AJABCDOPULUNABCDQABCDRSUIUJACTBDTUAUBUMUOUCUOUQUMUSABCDUAUMAURKGZJHUSVBUL
      JABCDUDPAURCBDUEUAUFUGUH $.
      $( [26-Apr-2006] $) $( [15-Jan-2006] $)

    $( The two solutions to the difference of squares set equal to zero. $)
    subsq0 $p |- ( ( ( A ^ 2 ) - ( B ^ 2 ) ) = 0 <-> ( A = B \/ A = -u B ) ) $=
      ( c2 cexp co cmin cc0 wceq cneg wo sqcl subeq0 sqeqor bitr ) AEFGZBEFGZHG
      IJQRJABJABKJLQRACMBDMNABCDOP $.
      $( [4-Aug-2007] $) $( [25-Apr-2006] $)
  $}

  $( The squares of two complex numbers are equal iff one number equals the
     other or its negative.  Lemma 15-4.7 of [Gleason] p. 311 and its
     converse. (Contributed by Paul Chapman, 15-Mar-2008.) $)
  sqeqort $p |- ( ( A e. CC /\ B e. CC ) ->
                  ( ( A ^ 2 ) = ( B ^ 2 ) <-> ( A = B \/ A = -u B ) ) ) $=
    ( cc wcel c2 cexp co wceq cneg wo wb cc0 cif opreq1 eqeq1d eqeq1 orbi12d
    bibi12d eqeq2d eqeq2 negeq 0cn elimel sqeqor dedth2h ) ACDZBCDZAEFGZBEFGZHZ
    ABHZABIZHZJZKUFALMZEFGZUIHZUOBHZUOULHZJZKUPUGBLMZEFGZHZUOVAHZUOVAIZHZJZKABL
    LAUOHZUJUQUNUTVHUHUPUIAUOEFNOVHUKURUMUSAUOBPAUOULPQRBVAHZUQVCUTVGVIUIVBUPBV
    AEFNSVIURVDUSVFBVAUOTVIULVEUOBVAUASQRUOVAALCUBUCBLCUBUCUDUE $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  $( The square of a binomial.  (Contributed by FL, 10-Dec-2006.) $)
  binom2t $p |- ( ( A e. CC /\ B e. CC ) -> ( ( A + B ) ^ 2 ) =
     ( ( ( A ^ 2 ) + ( 2 x. ( A x. B ) ) ) + ( B ^ 2 ) ) ) $=
    ( cc wcel caddc co c2 cexp cmul wceq cc0 cif opreq1 opreq1d opreq2d
    opreq12d eqeq12d opreq2 0cn elimel binom2 dedth2h ) ACDZBCDZABEFZGHFZAGHFZG
    ABIFZIFZEFZBGHFZEFZJUCAKLZBEFZGHFZUMGHFZGUMBIFZIFZEFZUKEFZJUMUDBKLZEFZGHFZU
    PGUMVAIFZIFZEFZVAGHFZEFZJABKKAUMJZUFUOULUTVIUEUNGHAUMBEMNVIUJUSUKEVIUGUPUIU
    REAUMGHMVIUHUQGIAUMBIMOPNQBVAJZUOVCUTVHVJUNVBGHBVAUMERNVJUSVFUKVGEVJURVEUPE
    VJUQVDGIBVAUMIROOBVAGHMPQUMVAAKCSTBKCSTUAUB $.
    $( [10-Dec-2006] $) $( [27-Nov-2006] $)

  $( If a complex number equals its square, it must be 0 or 1. $)
  sq01t $p |- ( A e. CC -> ( ( A ^ 2 ) = A <-> ( A = 0 \/ A = 1 ) ) ) $=
    ( cc wcel c2 cexp co wceq cc0 c1 wo wa wne wn wi cmul wb sqvalt ax1id
    eqcomd eqeq12d adantr ax1cn mulcant mp3anl3 anabsan bitrd biimpd ex com23
    imp df-ne syl5ibr orrd sq0 opreq1 id 3eqtr4a sq1 jaoi impbid1 ) ABCZADEFZAG
    ZAHGZAIGZJZVAVCVFVAVCKZVDVEVGAHLZVEVDMVAVCVHVENVAVHVCVEVAVHVCVENVAVHKZVCVEV
    IVCAAOFZAIOFZGZVEVAVCVLPVHVAVBVJAVKAQVAVKAARSTUAVAVHVLVEPZVAVAIBCVHVMUBAAIU
    CUDUEUFUGUHUIUJAHUKULUMUHVDVCVEVDHDEFHVBAUNAHDEUOVDUPUQVEIDEFIVBAURAIDEUOVE
    UPUQUSUT $.
    $( [9-Jun-2006] $) $( [6-Jun-2006] $)

  ${
    $d j k A $.  $d j k N $.
    $( Bernoulli's inequality, due to Johan Bernoulli (1667-1748). $)
    bernneq $p |- ( ( A e. RR /\ N e. NN0 /\ -u 1 <_ A ) ->
                 ( 1 + ( A x. N ) ) <_ ( ( 1 + A ) ^ N ) ) $=
      ( vj vk cr wcel cn0 c1 cneg cle wbr cmul co caddc cexp wi wa cv cc0 wceq
      opreq2 opreq2d breq12d imbi2d cc recnt mul01t ax1cn addid1 syl6eq
      axaddcl mpan exp0t syl 1re leid syl5breqr eqbrtrd adantr axaddrcl
      axmulrcl nn0ret sylan2 pm3.26 sylanc reexpclt sylan mulge0t anidms
      anim12i msqge0t nn0ge0t mul23t nn0cnt adantl syl3anc breqtrd wb addge01t
      mpbid axaddass axmulcl muladd11t eqtr4d syl2an w3a lemul1itOLD ad2antrr
      3jca renegcl leadd2t mp3an13 negid breq1i syl6bb biimpa ad2ant2r simprr
      jca letrd axdistr mp3an3 ax1id eqtrd mp3an1 expp1t 3brtr4d exp43 com12
      imp3a a2d nn0ind exp3a 3imp ) AEFZBGFZHIZAJKZHABLMZNMZHANMZBOMZJKZXPXOXRY
      CPXPXOXRYCXOXRQZHACRZLMZNMZYAYEOMZJKZPYDHASLMZNMZYASOMZJKZPYDHADRZLMZNMZY
      AYNOMZJKZPYDHAYNHNMZLMZNMZYAYSOMZJKZPYDYCPCDBYESTZYIYMYDUUDYGYKYHYLJUUDYF
      YJHNYESALUAUBYESYAOUAUCUDYEYNTZYIYRYDUUEYGYPYHYQJUUEYFYOHNYEYNALUAUBYEYNY
      AOUAUCUDYEYSTZYIUUCYDUUFYGUUAYHUUBJUUFYFYTHNYEYSALUAUBYEYSYAOUAUCUDYEBTZY
      IYCYDUUGYGXTYHYBJUUGYFXSHNYEBALUAUBYEBYAOUAUCUDXOYMXRXOAUEFZYMAUFZUUHYKHY
      LJUUHYKHSNMHUUHYJSHNAUGUBHUHUIUJUUHHYLHJUUHYAUEFZYLHTHUEFZUUHUUJUHHAUKULZ
      YAUMUNHUOUPUQURUNUSYNGFZYDYRUUCUUMXOXRYRUUCPZXOUUMXRUUNPXOUUMXRYRUUCXOUUM
      QZXRYRQZQZYPANMZYQYALMZUUAUUBJUUQUURYPYALMZUUSUUOUUREFZUUPYPEFZXOUVAUUOYP
      AUTUUOYOEFZUVBXOYNEFZUVCUUMAYNVAZYNVBZVCHEFZUVCUVBUOHYOUTULUNZXOUUMVDVEZU
      SUUOUUTEFZUUPUVBYAEFZUVJUUOYPYAVAUVHXOUVKUUMUVGXOUVKUOHAUTULZUSZVEUSUUOUU
      SEFZUUPYQEFZUVKUVNUUOYQYAVAUVKUUMUVOXOYAYNVFUVLVGZUVMVEUSUUOUURUUTJKUUPUU
      OUURUURYOALMZNMZUUTJUUOSUVQJKZUURUVRJKZUUOSAALMZYNLMZUVQJUWAEFZUVDQSUWAJK
      ZSYNJKZQSUWBJKUUOUWAYNVHXOUWCUUMUVDXOUWCAAVAVIUVFVJXOUWDUUMUWEAVKYNVLVJVE
      UUHUUHYNUEFZUWBUVQTUUOAAYNVMXOUUHUUMUUIUSZUWGUUMUWFXOYNVNZVOVPVQUVAUVQEFZ
      UVSUVTVRUUOUURUVQVSUVIXOUVDUWIUUMUVCXOUWIXOUVDQYOAVAUVEXOUVDVDVEUVFVCVEVT
      UUHUWFUVRUUTTXOUUMUUHUWFQZUVRYPAUVQNMNMZUUTYPUEFZUUHUVQUEFZUVRUWKTUWJYPAU
      VQWAUWJYOUEFZUWLAYNWBZUUKUWNUWLUHHYOUKULUNUUHUWFVDZUWNUUHUWMUWJYOAWBUWOUW
      PVEVPUWNUUHUUTUWKTUWJYOAWCUWOUWPVEWDUUIUWHWEVQUSUVBUVOUVKWFSYAJKZYRQUUTUU
      SJKUUQYPYQYAWGUUQUVBUVOUVKUUOUVBUUPUVHUSUUOUVOUUPUVPUSXOUVKUUMUUPUVLWHWIU
      UQUWQYRXOXRUWQUUMYRXOXRUWQXOXRHXQNMZYAJKZUWQXQEFXOUVGXRUWSVRHUOWJUOXQAHWK
      WLUWRSYAJHUHWMWNWOWPWQUUOXRYRWRWSVEWTUUOUUAUURTZUUPUUHUWFUWTXOUUMUWJUUAHY
      OANMZNMZUURUWJYTUXAHNUWJYTYOAHLMZNMZUXAUUHUWFUUKYTUXDTUHAYNHXAXBUWJUXCAYO
      NUUHUXCATUWFAXCUSUBXDUBUWNUUHUURUXBTZUWJUUKUWNUUHUXEUHHYOAWAXEUWOUWPVEWDU
      UIUWHWEUSUUOUUBUUSTZUUPUUJUUMUXFXOYAYNXFXOUUHUUJUUIUULUNVGUSXGXHXIXJXKXLX
      MXIXN $.
      $( [11-Oct-2006] $) $( [21-Feb-2005] $)
  $}

  $( Variation of Bernoulli's inequality ~ bernneq . $)
  bernneq2 $p |- ( ( A e. RR /\ N e. NN0 /\ 0 <_ A ) ->
               ( ( ( A - 1 ) x. N ) + 1 ) <_ ( A ^ N ) ) $=
    ( cr wcel cn0 cc0 cle wbr w3a c1 cmin co cmul caddc cexp cneg bernneq
    peano2rem 3ad2ant1 3simp2 wa wb 0re 1re lesub1t mp3an13 biimpa df-neg
    syl5eqbr 3adant2 syl3anc wceq cc axmulcl recnd nn0cnt syl2an ax1cn
    axaddcom mpan syl 3adant3 recnt pncan3t opreq1d 3brtr3d ) ACDZBEDZFAGHZIZJA
    JKLZBMLZNLZJVKNLZBOLZVLJNLZABOLZGVKCDZVHJPZVKGHZVMVOGHVJVKBQVGVHVRVIARZSVGV
    HVITVGVIVTVHVGVIUAFJKLZVKVSGVGVIWBVKGHZFCDVGJCDVIWCUBUCUDFAJUEUFUGJUHUIUJUK
    VGVHVMVPULZVIVGVHUAVLUMDZWDVKUMDBUMDWEVGVHVKBUNVGVKWAUOBUPUQJUMDZWEWDURJVLU
    SUTVAVBVGVHVOVQULVIVGVNABOVGAUMDZVNAULZAVCWFWGWHURJAVDUTVAVESVF $.
    $( [26-Oct-2007] $) $( [18-Oct-2007] $)

  ${
    $d k A $.  $d k B $.
    $( MAY BE REVISED - note that min w/ ad2antlr, ad2antrl make compressed
       proof longer $)
    $( Exponentiation with a mantissa greater than 1 has no upper bound. $)
    expnbndt $p |- ( ( A e. RR /\ B e. RR /\ 1 < B ) ->
          E. k e. NN A < ( B ^ k ) ) $=
      ( cr wcel c1 clt wbr w3a cv cexp co cn wrex wa wceq opreq2 breq2d
      rcla4ev 1nn a1i wi 1re axlttrn mp3an2 exp4b com34 3imp1 cc recnt exp1t
      syl 3ad2ant2 adantr breqtrrd sylanc cle cmin cdiv cfl cfv caddc cn0 cc0
      flge0nn0t wne redivclt peano2rem adantl wb posdift mpan biimpa gt0ne0t
      sylan syldan syl3anc adantll divge0t subge0t mpan2 biimparc jca syl2an
      nn0p1nnt cmul simplr axmulrcl peano2nn0 nn0ret peano2re reexpclt simprl
      flltp1t ltdivmultOLD 3jca mpbid ltsubaddt bernneq2 lt01 0re mp3an12 mpani
      ltlet syld imp ltletrd exp43 com4l 3simp1 pm2.61ltle ) ADEZBDEZFBGHZIZABC
      JZKLZGHZCMNZAFFMEZABFKLZGHZXSXOAFGHZOZXRYBCFMXPFPXQYAAGXPFBKQRSXTYDTUAYDA
      BYAGXLXMXNYCABGHZXLXMYCXNYEXLXMYCXNYEXLFDEZXMYCXNOYEUBUCAFBUDUEUFUGUHXOYA
      BPZYCXMXLYGXNXMBUIEYGBUJBUKULUMUNUOUPXLXMXNFAUQHZXSYHXLXMXNXSYHXLXMXNXSAF
      URLZBFURLZUSLZUTVAZFVBLZMEZABYMKLZGHZXSYHXLOZXMXNOZOZXRYPCYMMXPYMPXQYOAGX
      PYMBKQRSYSYLVCEZYNYKDEZVDYKUQHZYTYSYKVEXLYRUUAYHYIDEZYJDEZYJVDVFZUUAXLYRO
      YIYJVGXLUUCYRAVHZUNYRUUDXLXMUUDXNBVHZUNZVIYRUUEXLXMXNVDYJGHZUUEXMXNUUIYFX
      MXNUUIVJUCFBVKVLVMZUUDUUIUUEXMYJVNUUGVOVPVIVQVRZUUCVDYIUQHZOUUDUUIOUUBYQY
      RYIYJVSYQUUCUULXLUUCYHUUFVIZXLUULYHXLYFUULYHVJUCAFVTWAWBWCYRUUDUUIUUHUUJW
      CWDUPZYLWEULYSAYJYMWFLZFVBLZYOYHXLYRWGZYSUUODEZUUPDEUUDYMDEZUURYSYJYMWHYR
      UUDYQUUHVIZYSYMVCEZUUSYSYTUVAUUNYLWIULZYMWJULZUPZUUOWKULXMUVAYODEYSBYMWLY
      QXMXNWMZUVBUPYSYIUUOGHZAUUPGHZYSYKYMGHZUVFYSUUAUVHUUKYKWNULUUCUUDUUSIUUIU
      VHUVFVJYSYIYJYMWOYSUUCUUDUUSYQUUCYRUUMUNUUTUVCWPYRUUIYQUUJVIUPWQXLUURUVFU
      VGVJZYSXLYFUURUVIUCAFUUOWRUEUUQUVDUPWQXMUVAVDBUQHZUUPYOUQHYSBYMWSUVEUVBYR
      UVJYQXMXNUVJXMXNVDBGHZUVJXMVDFGHZXNUVKWTVDDEZYFXMUVLXNOUVKUBXAUCVDFBUDXBX
      CUVMXMUVKUVJUBXAVDBXDVLXEXFVIVQXGUPXHXIUHXLXMXNXJYFXOUCUAXK $.
      $( [10-Nov-2007] $) $( [20-Oct-2007] $)

    $( The reciprocal of exponentiation with a mantissa greater than 1 has no
       lower bound. $)
    expnlbndt $p |- ( ( A e. RR+ /\ B e. RR /\ 1 < B ) ->
          E. k e. NN ( 1 / ( B ^ k ) ) < A ) $=
      ( crp wcel cr c1 clt wbr w3a cdiv co cv cexp cn wrex expnbndt cc0 wne
      rerecclt rpret rpne0t sylanc syl3an1 wa wb ltrec1t elrp biimp 3ad2ant1
      adantr cn0 reexpclt nnnn0t sylan2 adantlr expgt0t simpll adantl lt01 wi
      0re 1re lttrt mp3an12 mpani imp syl3anc jca 3adantl1 rexbidva mpbid ) ADE
      ZBFEZGBHIZJZGAKLZBCMZNLZHIZCOPZGVSKLAHIZCOPVQFEZVNVOWAVMVQBCQAFEZARSWCVMA
      TAUAAUBUCUDVPVTWBCOWDRAHIUEZVSFEZRVSHIZUEZVTWBUFVPVROEZUEAVSUGVPWEWIVMVNW
      EVOVMWEAUHUIUJUKVNVOWIWHVMVNVOUEZWIUEZWFWGVNWIWFVOVNVRULEZWFWIBVRUMVRUNZU
      OUPVNWLRBHIZWGWKBVRUQVNVOWIURWIWLWJWMUSWJWNWIVNVOWNVNRGHIZVOWNUTRFEGFEVNW
      OVOUEWNVAVBVCRGBVDVEVFVGUKVHVIVJUCVKVL $.
      $( [18-Jul-2008] $)

  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
               Discriminant
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    discrlem.1 $e |- A e. RR $.
    discrlem.2 $e |- B e. RR $.
    discrlem.3 $e |- C e. RR $.
    ${
      discrlem1.4 $e |- D = -u ( B / ( 2 x. A ) ) $.
      ${
        discrlem1.5 $e |- 0 < A $.
        $( Lemma for discriminant theorem. $)
        discrlem1 $p |- ( 0 <_
                     ( ( ( A x. ( D ^ 2 ) ) + ( B x. D ) ) + C ) <->
                     ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) <_ 0 ) $=
          ( cc0 c2 cexp co cmul caddc cle wbr cneg c4 cmin 4re remulcl recn
          mul01 cdiv cr 2re 2cn 2ne0 gt0ne0i muln0 redivcl renegcl eqeltr
          resqcl readdcl adddi breq12i clt wb 4pos mulgt0i 0re lemul2 ax-mp
          neg0 negsubdi c1 divcl mulass divmul13 divid opreq2i ax1cn mulcom
          3eqtr opreq1i divcan3 sqval mul2neg 3eqtrr opreq12i 3eqtr3r negneg
          negcl mulneg1 divcan2OLD mulcl eqtr df-2 negeqi negdi negid addass
          addid2 3eqtr3 adddir mulm1 2t2e4 eqtr3 divmuldiv eqtr4 mulneg2
          3bitr4 resubcl leneg bitr4 ) JADKLMZNMZBDNMZOMZCOMZPQZJRZBKLMZSACNMZN
          MZTMZRZPQZXRJPQSANMZJNMZYAXLNMZPQZJYAXKNMZYACNMZOMZPQXMXTYBJYCYGPYAYA
          SAUAEUBZUCZUDYAXKCYIXKXIXJAXHEDDBKANMZUEMZRZUFHYKBYJFKAUGEUBZKAUHAEUC
          ZUIAEIUJZUKZULZUMZUNZUOUBBDFYSUBUPZUCCGUCZUQURJYAUSQXMYDUTSAUAEVAIVBJ
          XLYAVCXKCYTGUPYHVDVEXNJXSYGPVFXSXORZXQOMYGXOXQXOBFUOZUCZXQSXPUAACEGUB
          UBZUCVGYEUUBYFXQOYEYAXOYAUEMZRZNMYAUUFNMZRUUBXKUUGYANXKVHBKUEMZNMZYKN
          MZKRZUUINMZYKNMZOMZUUGXIUUKXJUUNOYJKUEMZYKNMZYKNMUUPYKYKNMZNMUUKXIUUP
          YKYKYJKYJYMUCZUHUIVIYKYQUCZUUTVJUUQUUJYKNUUQUUIYJYJUEMZNMUUIVHNMUUJYJ
          KBYJUUSUHBFUCZUUSUIYPVKUVAVHUUINYJUUSYPVLVMUUIVHBKUVBUHUIVIZVNVOVPVQU
          UPAUURXHNKAUHYNUIVRXHYLKLMYLYLNMUURDYLKLHVQYLYLYRUCVSYKYKUUTUUTVTWAWB
          WCXJUUMRZYLNMUUNBUVDDYLNUULRZUUINMKUUINMUVDBUVEKUUINKUHWDVQUULUUIKUHW
          EZUVCWFKBUHUVBUIWGWCHWBUUMYKUULUUIUVFUVCWHZUUTVTWIWBUUJUUMOMZYKNMUUIR
          ZYKNMZUUOUUGUVHUVIYKNVHUULOMZUUINMVHRZUUINMUVHUVIUVKUVLUUINUVKVHUVLUV
          LOMZOMZUVLUULUVMVHOUULVHVHOMZRUVMKUVOWJWKVHVHVNVNWLWIVMVHUVLOMZUVLOMJ
          UVLOMUVNUVLUVPJUVLOVHVNWMVQVHUVLUVLVNVHVNWEZUVQWNUVLUVQWOWPWIVQVHUULU
          UIVNUVFUVCWQUUIUVCWRWPVQUUJUUMYKVHUUIVNUVCWHUVGUUTWQUVJUUIYKNMZRUUGUU
          IYKUVCUUTWFUUFUVRUUFBBNMZKYJNMZUEMUVRXOUVSYAUVTUEBUVBVSKKNMZANMYAUVTU
          WASANWSVQKKAUHUHYNVJWTWBBKBYJUVBUHUVBUUSUIYPXAXBWKXBWPWIVMYAUUFYIUUFX
          OYAUUCYHSASUAUCZYNSUAVAUJYOUKZULUCXCUUHXOYAXOYIUUDUWCWGWKVPSACUWBYNUU
          AVJWBXBURXDXRJXOXQUUCUUEXEVCXFXG $.
          $( [6-Aug-1999] $)
      $}

      ${
        discrlem2.5 $e |- ( D e. RR -> 0 <_
                     ( ( ( A x. ( D ^ 2 ) ) + ( B x. D ) ) + C ) ) $.
        $( Lemma for discriminant theorem. $)
        discrlem2 $p |- ( 0 < A ->
                      ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) <_ 0 ) $=
          ( cc0 clt wbr c2 cexp co cmul caddc cle c4 cmin cr wcel cdiv cneg
          wne 2pos 2re mulgt0 mpan remulcl gt0ne0 syl redivclz renegclt 3syl
          syl5eqel wb c1 cif wceq id opreq2 opreq2d negeqd syl5eq opreq1d
          opreq12d breq2d opreq1 breq1d bibi12d 1re keepel eqid elimgt0
          discrlem1 dedth mpbid ) JAKLZJADMNOZPOZBDPOZQOZCQOZRLZBMNOZSACPOZPOZT
          OZJRLZVSDUAUBWEVSBMAPOZUCOZUDZUADVSWKJUEZWLUAUBWMUAUBVSJWKKLZWNJMKLVS
          WOUFMAUGEUHUIWKMAUGEUJZUKULBWKFWPUMWLUNUOHUPIULVSWEWJUQJVSAURUSZBMWQP
          OZUCOZUDZMNOZPOZBWTPOZQOZCQOZRLZWFSWQCPOZPOZTOZJRLZUQAURAWQUTZWEXFWJX
          JXKWDXEJRXKWCXDCQXKWAXBWBXCQXKAWQVTXAPXKVAXKDWTMNXKWMWTDXKWLWSXKWKWRB
          UCAWQMPVBVCVDHVEZVFVGXKDWTBPXLVCVGVFVHXKWIXIJRXKWHXHWFTXKWGXGSPAWQCPV
          IVCVCVJVKWQBCWTVSAURUAEVLVMFGWTVNAVOVPVQVR $.
          $( [9-Aug-1999] $)
      $}

    $}

    ${
      discrlem3.4 $e |- D = ( ( C + 1 ) / -u B ) $.
      discrlem3.5 $e |- ( D e. RR -> 0 <_
                     ( ( ( A x. ( D ^ 2 ) ) + ( B x. D ) ) + C ) ) $.
      $( Lemma for discriminant theorem. $)
      discrlem3 $p |- ( 0 = A ->
                    ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) <_ 0 ) $=
        ( cc0 wceq c2 cexp co c4 cmul cmin cle wbr wn c1 caddc clt ltp1 cneg
        wne wi df-ne recn negne0 bitr3 wa cr wcel cdiv 1re readdcl renegcl
        redivclz syl5eqel syl adantr opreq1 eqcomd cc recnd sqclt mul02t 3syl
        sylan9eqr opreq1d jctil axmulrcl addid2t eqtrd breqtrd wb 0re
        lesubadd2t mp3an13 mpbird recnt anim12i mulneg1t df-neg opreq2i
        3eqtr3g negcl divcan2z breq1d mpbid lenlt sylib ex sylbi mt2i a3i
        mul02 syl6eq sqval syl5eq syl5reqr opreq2d 4re mul01 opreq12d 0cn
        subid resqcl remulcl resubcl eqle ) JAKZBLMNZOACPNZPNZQNZJKXQJRSXMXQJJQ
        NJXMXNJXPJQXMBBPNZJXNXMXRJBPNJXMBJBPBJKZXMXSTZXMCCUAUBNZUCSZCGUDXTBUEZJ
        UFZXMYBTZUGXTBJUFYDBJUHBBFUIZUJUKYDXMYEYDXMULZYACRSZYEYGJBDPNZQNZCRSZYH
        YGYKJYICUBNZRSZYGJADLMNZPNZYIUBNZCUBNZYLRYDJYQRSZXMYDDUMUNZYRYDYAYCUONZ
        UMDYAYCCUAGUPUQZBFURUSHUTZIVAVBYGYPYICUBYGYPJYIUBNZYIYGYOJYIUBXMYDYOJYN
        PNZJXMUUDYOJAYNPVCVDYDDVEUNZYNVEUNUUDJKYDDUUBVFDVGYNVHVIVJVKYDUUCYIKZXM
        YDYIVEUNUUFYDYIYDBUMUNZYSULZYIUMUNZYDYSUUGUUBFVLZBDVMZVAVFYIVNVAVBVOVKV
        PYDYKYMVQZXMYDUUHUUIUULUUJUUKJUMUNUUICUMUNUULVRGJYICVSVTVIVBWAYDYKYHVQX
        MYDYJYACRYDYJYCYTPNZYAYDYIUEZYCDPNZYJUUMYDUUOUUNYDUUHBVEUNZUUEULUUOUUNK
        UUJUUGUUPYSUUEBWBDWBWCBDWDVIVDYIWEDYTYCPHWFWGYCYABYFWHYAUUAUIWIVOWJVBWK
        YACUUAGWLWMWNWOWPWQVKBYFWRWSBYFWTXAXMXPOJPNJXMXOJOPXMJCPNXOJJACPVCCCGUI
        WRXBXCOOXDUIXEWSXFJXGXHWSXQJXNXPBFXIOXOXDACEGXJXJXKVRXLVA $.
        $( [9-Aug-1999] $)

    $}

    ${
      $d x A $.  $d x B $.  $d x C $.
      discrlem.4 $e |- A. x e. RR 0 <_
                     ( ( ( A x. ( x ^ 2 ) ) + ( B x. x ) ) + C ) $.
      $( If a quadratic polynomial with real coefficients is nonnegative for
         all values, then its discriminant is non-positive.  The antecedent
         ` 0 <_ A ` is redundant but simplifies the proof. $)
      discrlem $p |- ( 0 <_ A ->
                      ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) <_ 0 ) $=
        ( cc0 cle wbr clt wceq wo c2 cexp co c4 cmul cmin 0re leloe cdiv cneg
        eqid cv caddc cr opreq1 opreq2d opreq2 opreq12d opreq1d breq2d vtoclri
        discrlem2 c1 discrlem3 jaoi sylbi ) IBJKIBLKZIBMZNCOPQRBDSQSQTQIJKZIBUA
        EUBVAVCVBBCDCOBSQUCQUDZEFGVDUEIBAUFZOPQZSQZCVESQZUGQZDUGQZJKZIBVDOPQZSQ
        ZCVDSQZUGQZDUGQZJKAVDUHVEVDMZVJVPIJVQVIVODUGVQVGVMVHVNUGVQVFVLBSVEVDOPU
        IUJVEVDCSUKULUMUNHUOUPBCDDUQUGQCUDUCQZEFGVRUEVKIBVROPQZSQZCVRSQZUGQZDUG
        QZJKAVRUHVEVRMZVJWCIJWDVIWBDUGWDVGVTVHWAUGWDVFVSBSVEVROPUIUJVEVRCSUKULU
        MUNHUOURUSUT $.
        $( [10-Aug-1999] $)
    $}
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        More natural number properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    nnsqcl.1 $e |- N e. NN $.
    $( The square of a natural number is a natural number. $)
    nnsqcl $p |- ( N ^ 2 ) e. NN $=
      ( cn wcel c2 cn0 cexp co 2nn0 nnexpclt mp2an ) ACDEFDAEGHCDBIAEJK $.
      $( [20-Aug-2001] $)

    $( A natural number is less than or equal to its square. $)
    nnlesq $p |- N <_ ( N ^ 2 ) $=
      ( c1 cmul co c2 cexp cle nncn mulid1 wbr cn wcel nnge1t ax-mp cc0 clt wb
      nngt0 1re nnre lemul2 mpbi sqval breqtrr eqbrtrr ) ACDEZAAFGEZHAABIZJUGAA
      DEZUHHCAHKZUGUJHKZALMUKBANOPAQKUKULRABSCAATABUAZUMUBOUCAUIUDUEUF $.
      $( [15-Sep-1999] $)

    $( A natural number is even iff its square is even. $)
    nnesq $p |- ( ( N / 2 ) e. NN <-> ( ( N ^ 2 ) / 2 ) e. NN ) $=
      ( c2 cdiv co cn wcel cexp cmul nnmulclt anidms 2nn mpan 2cn nncn 2ne0
      divcl mulass divass sqval opreq1i divcan2OLD 3eqtr4r eqtr3 syl5eqelr syl c1
      caddc wn ax1cn addcl binom2 mulid1 opreq2i sq1 opreq12i nnsqcl mulcl
      add23 3eqtr nnre 1re readdcl recn divdir divcan3 3eqtr3 eleq1i cmin clt
      wbr cc0 addid2 2re nngt0 lt01 addgt0i 2pos divgt0i 0re redivcl ltadd1
      mpbi eqbrtrr wb nnsubt mpbii addsubass subid addid1 sylbi 3syl con3i
      nneo 3imtr4 impbi ) ACDEZFGZACHEZCDEZFGZWRWQWQIEZFGZXAWRXCWQWQJKXCCXBIEZF
      WTCFGZXCXDFGLCXBJMCWQIEZWQIEZXDWTCWQWQNACABOZNPQZXIRAAIEZCDEAWQIEWTXGAACX
      HXHNPSWSXJCDAXHTUAXFAWQICANXHPUBUAUCUDUEUFWSUGUHEZCDEZFGZUIAUGUHEZCDEZFGZ
      UIXAWRXPXMXPXOXOIEZFGZCXQIEZFGZXMXPXRXOXOJKXEXRXTLCXQJMXTXLAUHEZFGZXMXSYA
      FCXOIEZXOIEXNXOIEZXSYAYCXNXOICXNNAUGXHUJUKZPUBUACXOXONXNCYENPQZYFRXNXNIEZ
      CDEZYDYAXNXNCYEYENPSYHXKCAIEZUHEZCDEXLYICDEZUHEYAYGYJCDXNCHEZYGYJXNYETYLW
      SCAUGIEZIEZUHEZUGCHEZUHEWSYIUHEZUGUHEYJAUGXHUJULYOYQYPUGUHYNYIWSUHYMACIAX
      HUMUNUNUOUPWSYIUGWSABUQZOCANXHURZUJUSUTUDUAXKYICXKWSUGWSYRVAZVBVCZVDYSNPV
      EYKAXLUHCANXHPVFUNUTUDVGVHYBYAAVIEZFXLYBAYAVJVKZUUBFGZVLAUHEZAYAVJAXHVMVL
      XLVJVKUUEYAVJVKXKCUUAVNWSUGYTVBWSYRVOVPVQVRVSVLXLAVTXKCUUAVNPWAZABVAWBWCW
      DAFGYBUUCUUDWEBAYAWFMWGUUBXLAAVIEZUHEXLVLUHEXLXLAAXLUUFVDZXHXHWHUUGVLXLUH
      AXHWIUNXLUUHWJUTUEWKWLWMWSYRWNABWNWOWP $.
      $( [20-Aug-2001] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Ordered pair theorem for nonnegative integers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    nn0le2msqt.1 $e |- A e. NN0 $.
    nn0le2msqt.2 $e |- B e. NN0 $.
    $( The square function on nonnegative integers is monotonic.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    nn0le2msqt $p |- ( A <_ B <-> ( A x. A ) <_ ( B x. B ) ) $=
      ( cle wbr c2 cexp co cmul cc0 wb nn0ge0 nn0re le2sq mp2an nn0cn sqval
      breq12i bitr ) ABEFZAGHIZBGHIZEFZAAJIZBBJIZEFKAEFKBEFUAUDLACMBDMABACNBDNO
      PUBUEUCUFEAACQRBBDQRST $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)
  $}

  ${
    nn0opthlem1.1 $e |- A e. NN0 $.
    nn0opthlem1.2 $e |- C e. NN0 $.
    $( A rather pretty lemma for ~ nn0opth .  (Contributed by Raph Levien,
      10-Dec-2002.) $)
    nn0opthlem1 $p |- ( A < C <-> ( ( A x. A ) + ( 2 x. A ) ) < ( C x. C ) ) $=
      ( c1 caddc co cle wbr cmul clt c2 1nn0 nn0addcl nn0le2msqt cn0 wcel wb
      nn0ltp1let mp2an nn0mulcl 2nn0 cexp nn0cn ax1cn binom2 addcl sqval
      opreq1i opreq12i 3eqtr3 mulid1 opreq2i eqtr breq1i bitr4 3bitr4 ) AEFGZBH
      IZURURJGZBBJGZHIZABKIZAAJGZLAJGZFGZVAKIZURBAECMNDOAPQBPQVCUSRCDABSTVGVFEF
      GZVAHIZVBVFPQVAPQVGVIRVDVEAACCUALAUBCUANBBDDUAVFVASTUTVHVAHUTVDLAEJGZJGZF
      GZEEJGZFGZVHURLUCGALUCGZVKFGZELUCGZFGUTVNAEACUDZUEUFURAEVRUEUGUHVPVLVQVMF
      VOVDVKFAVRUHUIEUEUHUJUKVLVFVMEFVKVEVDFVJALJAVRULUMUMEUEULUJUNUOUPUQ $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)
  $}

  ${
    nn0opth.1 $e |- A e. NN0 $.
    nn0opth.2 $e |- B e. NN0 $.
    nn0opth.3 $e |- C e. NN0 $.
    nn0opth.4 $e |- D e. NN0 $.
    $( Lemma for ~ nn0opth . $)
    nn0opthlem2 $p |- ( ( B <_ A /\ D <_ C ) ->
              ( A < C -> ( ( C x. C ) + D ) =/= ( ( A x. A ) + B ) ) ) $=
      ( cle wbr wa clt cmul co caddc wne wi c2 nn0re remulcl readdcl 2re
      lelttr nn0lele2x leadd2 sylib nn0opthlem1 biimp syl2an nn0addge1 ltletr
      mpan2 syl ex adantr ltne syl6 ) BAIJZDCIJZKACLJZAAMNZBONZCCMNZDONZLJZVDVB
      PURUTVEQUSURUTVEURUTKVBVCLJZVEVBVARAMNZONZIJZVHVCLJZVFURUTVBVHVCVABAAAESZ
      VKTZBFSZUAZVAVGVLRAUBVKTZUACCCGSZVPTZUCURBVGIJVIABEFUDBVGVAVMVOVLUEUFUTVJ
      ACEGUGUHUIVFVCVDIJVEVCDVQHUJVBVCVDVNVQVCDVQDHSUAZUKULUMUNUOVBVDVNVRUPUQ
      $.
      $( [23-Jul-2008] $) $( [14-May-2003] $)

    $( An ordered pair theorem for nonnegative integers.  Theorem 17.3 of
       [Quine] p. 124.  We can represent an ordered pair of nonnegative
       integers ` A ` and ` B ` by ` ( ( ( A + B ) x. ( A + B ) ) + B ) ` . If
       two such ordered pairs are equal, their first elements are equal and
       their second elements are equal.  Contrast this ordered pair
       representation with the standard one ~ df-op that works for any set.
       (Contributed by Raph Levien, 10-Dec-2002.) $)
    nn0opth $p |- ( ( ( ( A + B ) x. ( A + B ) ) + B ) =
            ( ( ( C + D ) x. ( C + D ) ) + D ) <-> ( A = C /\ B = D ) ) $=
      ( caddc co cmul wceq wa cle wbr wi nn0re nn0addge2 clt wo wne nn0addcl
      nn0opthlem2 ancoms necom syl6ibr jaod readdcl lttri2 syl5ib necon4d
      mp2an id opreq12d opreq1d eqtr4d recn mulcl nn0cn addcan sylib opreq2d
      addcan2 jca opreq12 pm3.27 impbi ) ABIJZVHKJZBIJZCDIJZVKKJZDIJZLZACLZBDLZ
      MZVNVOVPVNVHCBIJZLVOVNVHVKVRDVKNOZBVHNOZVNVHVKLPDCDHQGRBABFQZERVSVTMZVHVK
      VJVMWBVHVKSOZVKVHSOZTVJVMUAZVHVKUAWBWCWEWDWBWCVMVJUAZWEVTVSWCWFPVHBVKDABE
      FUBZFCDGHUBZHUCUDVJVMUEUFVKDVHBWHHWGFUCUGVHVKABAEQWAUHZVKWHQUIUJUKULZVNBD
      CIVNVJVIDIJZLVPVNVJVMWKVNUMVNVIVLDIVNVHVKVHVKKWJWJUNUOUPVIBDVHVHVHWIUQZWL
      URBFUSZDHUSUTVAZVBUPACBAEUSCGUSWMVCVAWNVDVQVIVLBDIVQVHVKVHVKKACBDIVEZWOUN
      VOVPVFUNVG $.
      $( [14-May-2003] $) $( [10-Dec-2002] $)

    $( An ordered pair theorem for nonnegative integers.  Theorem 17.3 of
       [Quine] p. 124.  See ~ nn0opth . $)
    nn0opth2 $p |- ( ( ( ( A + B ) ^ 2 ) + B ) = ( ( ( C + D ) ^ 2 ) + D ) <->
                   ( A = C /\ B = D ) ) $=
      ( caddc co c2 cexp wceq cmul wa nn0cn addcl sqval opreq1i eqeq12i
      nn0opth bitr ) ABIJZKLJZBIJZCDIJZKLJZDIJZMUCUCNJZBIJZUFUFNJZDIJZMACMBDMOU
      EUJUHULUDUIBIUCABAEPBFPQRSUGUKDIUFCDCGPDHPQRSTABCDEFGHUAUB $.
      $( [1-Oct-2004] $) $( [22-Jul-2004] $)
  $}

  $( An ordered pair theorem for nonnegative integers.  Theorem 17.3 of
     [Quine] p. 124.  See ~ nn0opth . $)
  nn0opth2t $p |- ( ( ( A e. NN0 /\ B e. NN0 ) /\ ( C e. NN0 /\ D e. NN0 ) ) ->
          ( ( ( ( A + B ) ^ 2 ) + B ) = ( ( ( C + D ) ^ 2 ) + D ) <->
                   ( A = C /\ B = D ) ) ) $=
    ( cn0 wcel caddc co c2 cexp wceq wa wb cc0 cif opreq1 opreq1d eqeq1d eqeq1
    anbi1d bibi12d opreq2 id opreq12d anbi2d eqeq2d eqeq2 0nn0 elimel nn0opth2
    dedth4h ) AEFZBEFZCEFZDEFZABGHZIJHZBGHZCDGHZIJHZDGHZKZACKZBDKZLZMABCDNNULAN
    OZBGHZIJHZBGHZVAKZVFCKZVDLZMVFUMBNOZGHZIJHZVMGHZVAKZVKVMDKZLZMVPUNCNOZDGHZI
    JHZDGHZKZVFVTKZVRLZMVPVTUODNOZGHZIJHZWGGHZKZWEVMWGKZLZMNNAVFKZVBVJVEVLWNURV
    IVAWNUQVHBGWNUPVGIJAVFBGPQQRWNVCVKVDAVFCSTUABVMKZVJVQVLVSWOVIVPVAWOVHVOBVMG
    WOVGVNIJBVMVFGUBQWOUCUDRWOVDVRVKBVMDSUEUACVTKZVQWDVSWFWPVAWCVPWPUTWBDGWPUSW
    AIJCVTDGPQQUFWPVKWEVRCVTVFUGTUADWGKZWDWKWFWMWQWCWJVPWQWBWIDWGGWQWAWHIJDWGVT
    GUBQWQUCUDUFWQVRWLWEDWGVMUGUEUAVFVMVTWGANEUHUIBNEUHUICNEUHUIDNEUHUIUJUK $.
    $( [2-Oct-2004] $) $( [22-Jul-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Square root
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c sqr $. $( Positive square root of a positive real number. $)

  $( Extend class notation to include positive square root of a positive real
     number. $)
  csqr $a class sqr $.

  ${
    $d x y z w A $.
    $( Define a function whose value is the square root of a nonnegative
       real number.  The square root of ` x ` is the supremum of all reals
       whose square is less than ` x ` .  See ~ sqrcl for its closure,
       ~ sqrval for its value, ~ sqrsq and ~ sqsqr for its relationship to
       squares, and ~ sqr11 for uniqueness. $)
    df-sqr $a |- sqr = { <. x , y >. | ( ( x e. RR /\ 0 <_ x ) /\
     y = sup ( { z e. RR | ( 0 <_ z /\ ( z x. z ) <_ x ) } , RR , < ) ) } $.

    $( Value of square root function. $)
    sqrval $p |- ( ( A e. RR /\ 0 <_ A ) -> ( sqr ` A ) =
          sup ( { x e. RR | ( 0 <_ x /\ ( x x. x ) <_ A ) } , RR , < ) ) $=
      ( vw vy vz cr wcel cc0 cle wbr wa cv crab csqr cfv cmul co clt csup wceq
      breq2 elrab anbi2d rabbisdv supeq1 syl copab df-sqr anbi1i opabbii eqtr4
      ltso supex fvopab4 sylbir ) BFGHBIJZKBHCLZIJZCFMZGBNOHALZIJZUTUTPQZBIJZKZ
      AFMZFRSZTURUPCBFUQBHIUAUBDEBVAVBDLZIJZKZAFMZFRSZVFUSNVGBTZVJVETVKVFTVLVIV
      DAFVLVHVCVAVGBVBIUAUCUDFVJVERUEUFNVGFGHVGIJZKZELVKTZKZDEUGVGUSGZVOKZDEUGD
      EAUHVRVPDEVQVNVOURVMCVGFUQVGHIUAUBUIUJUKFVERULUMUNUO $.
      $( [23-May-1999] $)
  $}

  $( Square root of zero. $)
  sqr0 $p |- ( sqr ` 0 ) = 0 $=
    ( vx cc0 csqr cfv cv cle wbr cmul co wa cr crab clt csup csn wcel wceq 0re
    leid sqrval mp2an cab wn wb axmulrcl anidms jctir lenltt syl wne msqgt0t
    ex necon1bd sylbid adantld imp 0cn mul01 remulcl eqle ax-mp pm3.2i eleq1
    breq2 opreq12 breq1d anbi12d mpbiri impbi abbii df-rab df-sn 3eqtr4 supeq1
    ltso supsn 3eqtr ) BCDZBAEZFGZVSVSHIZBFGZJZAKLZKMNZBOZKMNZBBKPZBBFGZVRWEQRB
    RSZABTUAWDWFQWEWGQVSKPZWCJZAUBVSBQZAUBWDWFWLWMAWLWMWKWCWMWKWBWMVTWKWBBWAMGZ
    UCZWMWKWAKPZWHJWBWOUDWKWPWHWKWPVSVSUEUFRUGWABUHUIWKWNVSBWKVSBUJWNVSUKULUMUN
    UOUPWMWLWHWIBBHIZBFGZJZJWHWSRWIWRWJWQBQWRBUQURWQBBBRRUSRUTVAVBVBWMWKWHWCWSV
    SBKVCWMVTWIWBWRVSBBFVDWMWAWQBFWMWAWQQVSBVSBHVEUFVFVGVGVHVIVJWCAKVKABVLVMKWD
    WFMVNVAWHWGBQRKBMVOVPVAVQ $.
    $( [23-May-1999] $)

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w S $.  $d x y z C $.  $d x D $.
    sqrlem1.1 $e |- A e. RR $.
    sqrlem1.2 $e |- 0 < A $.
    $( Lemma for square root theorem. $)
    sqrlem1 $p |- A < ( ( 1 + A ) x. ( 1 + A ) ) $=
      ( c1 caddc co clt wbr cmul cc0 recn addid2 lt01 0re 1re ltadd1 mpbi
      eqbrtrr readdcl mulid2 ax1cn addid1 ltadd2 addgt0i ltmul1i remulcl lttr
      mp2an ) ADAEFZGHUIUIUIIFZGHAUJGHJAEFZAUIGAABKLJDGHUKUIGHMJDANOBPQRDUIIFZU
      IUJGUIUIDAOBSZKTDUIGHULUJGHDJEFZDUIGDUAUBJAGHUNUIGHCJADNBOUCQRDUIUIOUMUMD
      AOBMCUDUEQRAUIUJBUMUIUIUMUMUFUGUH $.
      $( [16-May-1999] $)

    $( Lemma for square root theorem. $)
    sqrlem2 $p |- ( ( A / ( 1 + A ) ) x. ( A / ( 1 + A ) ) ) < A $=
      ( cmul co c1 caddc cdiv clt wbr sqrlem1 cc0 wb 1re readdcl remulcl
      ltmul2 ax-mp mpbi 0re lttr mp2an ltdiv1i recn lt01 addgt0i gt0ne0i
      divmuldiv divass divid opreq2i mulid1 3eqtrr 3brtr4 ) AADEZFAGEZUPDEZHEZA
      UQDEZUQHEZAUPHEZVADEAIUOUSIJZURUTIJAUQIJZVBABCKZLAIJZVCVBMCAUQABUPUPFANBO
      ZVFPZBQRSUOUSUQAABBPAUQBVGPVGVEVCLUQIJCVDLAUQTBVGUAUBZUCSAUPAUPABUDZUPVFU
      DZVIVJUPVFFANBUECUFUGZVKUHUTAUQUQHEZDEAFDEAAUQUQVIUQVGUDZVMUQVGVHUGZUIVLF
      ADUQVMVNUJUKAVIULUMUN $.
      $( [16-May-1999] $)

    $( Lemma for square root theorem. $)
    sqrlem3 $p |- 0 < ( A / ( 1 + A ) ) $=
      ( c1 caddc co 1re readdcl lt01 addgt0i divgt0i ) ADAEFBDAGBHCDAGBICJK $.
      $( [16-May-1999] $)

    ${
      sqrlem4.3 $e |- S = { x e. RR | ( 0 <_ x /\ ( x x. x ) <_ A ) } $.
      $( Lemma for square root theorem. $)
      sqrlem4 $p |- ( D e. S <->
                    ( D e. RR /\ ( 0 <_ D /\ ( D x. D ) <_ A ) ) ) $=
        ( cc0 cv cle wbr cmul co wa cr wceq breq2 opreq12 anidms breq1d
        anbi12d elrab2 ) HAIZJKZUCUCLMZBJKZNHCJKZCCLMZBJKZNACODUCCPZUDUGUFUIUCC
        HJQUJUEUHBJUJUEUHPUCCUCCLRSTUAGUB $.
        $( [21-May-1999] $)

      $( Lemma for square root theorem. $)
      sqrlem5 $p |- ( ( D e. RR /\ ( 0 < D /\ ( D x. D ) < A ) ) ->
                        D e. S ) $=
        ( cr wcel cc0 clt wbr cmul co wa cle wi 0re ltlet mpan axmulrcl anidms
        sylan mpan2 anim12d imdistani sqrlem4 sylibr ) CHIZJCKLZCCMNZBKLZOZOUIJ
        CPLZUKBPLZOZOCDIUIUMUPUIUJUNULUOJHIUIUJUNQRJCSTUIBHIZULUOQZEUKHIZUQURUI
        UKBSUIUSCCUAUBUCUDUEUFABCDEFGUGUH $.
        $( [23-May-1999] $)

      $( Lemma for square root theorem. $)
      sqrlem6 $p |- ( S (_ RR /\ S =/= (/) /\
                     E. x e. RR A. y e. S y < x ) $=
        ( cr wss c0 wne cv clt wbr wral wrex cc0 cle cmul co wa crab ssrab2
        eqsstr wceq wn wcel sqrlem4 0re leid 0cn mul01 ltlei eqbrtr pm3.2i
        mpbir2an n0i ax-mp df-ne mpbir c1 caddc 1re readdcl wo wi wb leloet
        mpan cif breq2 opreq12 anidms breq1d breq1 imbi12d lt01 addgt0i elimel
        lt2msq ltle syl2an mpan2 biimprd dedth mpbii a1d a1i jaod sylbid
        axmulrcl sqrlem1 remulcl axlttrn mp3an3 mpan2i mpbiri syl syl5d imp32
        sylbi rgen ralbidv rcla4ev mp2an 3pm3.2i ) DHIDJKZBLZALZMNZBDOZAHPZDQXI
        RNXIXISTCRNUAZAHUBHGXMAHUCUDXGDJUEUFZQDUGZXNXOQHUGZQQRNZQQSTZCRNZUAACQD
        EFGUHUIXQXSQUIUJXRQCRQUKULQCUIEFUMUNUOUPDQUQURDJUSUTVACVBTZHUGXHXTMNZBD
        OZXLVACVCEVDZYABDXHDUGXHHUGZQXHRNZXHXHSTZCRNZUAUAYAACXHDEFGUHYDYEYGYAYD
        YEYFXTXTSTZMNZYAYGYDYEQXHMNZQXHUEZVEZYIYAVFZXPYDYEYLVGUIQXHVHVIYDYJYMYK
        YDYJYMVFQYDXHVAVJZMNZYNYNSTZYHMNZYNXTMNZVFZVFXHVAXHYNUEZYJYOYMYSXHYNQMV
        KYTYIYQYAYRYTYFYPYHMYTYFYPUEXHYNXHYNSVLVMVNXHYNXTMVOVPVPYOYRYQYOQXTMNZY
        RYQVGZVACVCEVQFVRZQYNRNQXTRNUUBYOUUAYNXTXHVAHVCVSZYCVTQYNUIUUDWAQXTUIYC
        WAWBWCWDWEYKYMVFYDYKYAYIYKUUAYAUUCQXHXTMVOWFWGWHWIWJYDYFHUGZYGYIVFZYDUU
        EXHXHWKVMUUECHUGZUUFEUUEUUGUAZYGYFCMNZYFCUEZVEYIYFCVHUUHUUIYIUUJUUHUUIC
        YHMNZYICEFWLZUUEUUGYHHUGUUIUUKUAYIVFXTXTYCYCWMYFCYHWNWOWPUUJYIVFUUHUUJY
        IUUKUULYFCYHMVOWQWHWIWJWCWRWSWTXAXBXKYBAXTHXIXTUEXJYABDXIXTXHMVKXCXDXEX
        F $.
        $( [21-May-1999] $)

      ${
        sqrlem7.4 $e |- B = sup ( S , RR , < ) $.
        $( Lemma for square root theorem. $)
        sqrlem7 $p |- B e. RR $=
          ( vy vz cr clt csup ltso wss c0 wne cv wbr wral wrex w3a wn wi wa
          sqrlem6 axsup ax-mp supcli eqeltr ) CDKLMKHAIJKDLNDKODPQIRZARZLSZIDTA
          KUAUBULUKLSUCIDTUMUKJRLSJDUAUDIKTUEAKUAAIBDEFGUFAIJDUGUHUIUJ $.
          $( [24-May-1999] $)

        $( Lemma for square root theorem. $)
        sqrlem8 $p |- 0 < B $=
          ( vy vz cc0 cr clt csup c1 caddc co cdiv wbr cle sqrlem3 wn wcel
          cmul wa 1re readdcl lt01 addgt0i gt0ne0i redivcl sqrlem2 pm3.2i
          sqrlem5 mp2an ltso wss c0 wne cv wral wrex w3a wi sqrlem6 axsup
          ax-mp supubi sqrlem7 eqeltrr lenlt mpbir 0re ltletr breqtrr ) KDLMNZC
          MKBOBPQZRQZMSZVRVPTSZKVPMSBEFUAZVTVPVRMSUBZVRDUCZWBVRLUCVSVRVRUDQBMSZ
          UEWCBVQEOBUFEUGZVQWEOBUFEUHFUIUJUKZVSWDWABEFULUMABVRDEFGUNUOAIJLDVRMU
          PDLUQDURUSIUTZAUTZMSZIDVAALVBVCWHWGMSUBIDVAWIWGJUTMSJDVBVDILVAUEALVBA
          IBDEFGVEAIJDVFVGVHVGVRVPWFCVPLHABCDEFGHVIVJZVKVLKVRVPVMWFWJVNUOHVO $.
          $( [24-May-1999] $)

      $}
    $}

    ${
      sqrlem9.3 $e |- B e. RR $.
      sqrlem9.4 $e |- C e. RR $.
      sqrlem9.5 $e |- 0 < B $.
      sqrlem9.6 $e |- A < ( B x. B ) $.
      sqrlem9.7 $e |- C = ( ( B + ( A / B ) ) / ( 1 + 1 ) ) $.
      $( Lemma for square root theorem. $)
      sqrlem9 $p |- 0 < C $=
        ( cc0 cdiv co caddc c1 clt gt0ne0i redivcl readdcl 1re divgt0i addgt0i
        lt01 breqtrr ) KBABLMZNMZOONMZLMCPUFUGBUEFABDFBFHQRZSOOTTSBUEFUHHABDFEH
        UAUBOOTTUCUCUBUAJUD $.
        $( [17-May-1999] $)

      $( Lemma for square root theorem. $)
      sqrlem10 $p |- C < B $=
        ( cdiv co caddc c1 clt cmul wbr remulcl ltdiv1i mpbi recn gt0ne0i
        divcan3 breqtr redivcl ltadd2 1re readdcl mulcom 1p1times eqtr breqtrr
        lt01 addgt0i divcan4 eqbrtr ) CBABKLZMLZNNMLZKLZBOJUTBUSPLZUSKLZBOURVAO
        QUTVBOQURBBMLZVAOUQBOQURVCOQUQBBPLZBKLZBOAVDOQUQVEOQIAVDBDBBFFRFHSTBBBF
        UAZVFBFHUBZUCUDUQBBABDFVGUEZFFUFTVAUSBPLVCBUSVFUSNNUGUGUHZUAZUIBVFUJUKU
        LURVAUSBUQFVHUHBUSFVIRVINNUGUGUMUMUNZSTUSBVJVFUSVIVKUBUOUDUP $.
        $( [17-May-1999] $)

      $( Lemma for square root theorem. $)
      sqrlem11 $p |- A < ( C x. C ) $=
        ( c1 caddc co cmul cdiv clt wbr cneg cc0 cmin remulcl recn 1re readdcl
        negcl renegcl mul12 mulneg1 1p1times negeqi df-neg eqtr 3eqtr negid
        ltadd1 mpbi eqbrtrr mulgt0i muladd breqtr 0re ltsubadd mpbir eqbrtr
        ltdiv1i gt0ne0i muln0 divcan3 mul2neg divdir 3brtr3 redivcl mulcom
        mulass divcan4 eqcomi divmuldiv opreq1i eqtr4 opreq12i mulcl divcan2OLD
        opreq2i eqtr3 3brtr4 lt01 addgt0i eqtr2 ) AKKLMZWINMZNMZWJOMZBABOMZLMZW
        NNMZWJOMZACCNMZPWKWOPQWLWPPQWIANMZWRLMZBBNMZWTNMZWTOMZARZXCNMZWTOMZLMZW
        RLMZWKWOPWRXFPQWSXGPQWTWIRZXCNMZNMZWTOMZXAXDLMZWTOMZWRXFPXJXLPQXKXMPQXJ
        SWTXCNMZXNLMZTMZXLPXJXHXNNMWIXNNMZRZXPWTXHXCWTBBFFUAZUBZWIWIKKUCUCUDZUB
        ZUEXCADUFZUBZUGWIXNYBXNWTXCXSYCUAZUBZUHXRXORXPXQXOXNYFUIUJXOUKULUMXPXLP
        QSXLXOLMZPQSWTXCLMZYHNMYGPYHYHWTXCXSYCUDZYIAXCLMZSYHPAADUBZUNAWTPQYJYHP
        QIAWTXCDXSYCUOUPUQZYLURWTXCWTXCXTYDXTYDUSUTSXOXLVAXNXNYEYEUDXAXDWTWTXSX
        SUAZXCXCYCYCUAZUDZVBVCVDXJXLWTWTXIXSXHXCWIYAUFYCUAZUAYOXSBBFFHHURZVEUPX
        KXIWRWTXIXTXIYPUBBBBFUBZYRBFHVFZYSVGVHWIAYBYKVIULXAXDWTXAYMUBXDYNUBXTWT
        XSYQVFZVJVKWRXFWRWIAYADUAZXBXEXAWTYMXSYTVLXDWTYNXSYTVLUDUUAUOUPWKWJANMW
        IWRNMWSAWJYKWJWIWIYAYAUAZUBZVMWIWIAYBYBYKVNWRWRUUAUBUIUMWOWTWMWMNMZLMZB
        WMNMZUUFLMZLMXGBWMBWMYRWMABDFYSVLZUBZYRUUIUSUUEXFUUGWRLWTXBUUDXELXBWTWT
        WTXTXTYTVOVPUUDAANMZWTOMXEABABYKYRYKYRYSYSVQXDUUJWTOAAYKYKVIVRVSVTWIUUF
        NMUUGWRUUFBWMYRUUIWAUIUUFAWINBAYRYKYSWBWCWDVTULWEWKWOWJAWJDUUBUAWNWNBWM
        FUUHUDZUUKUAUUBWIWIYAYAKKUCUCWFWFWGZUULURZVEUPWJAUUCYKWJUUBUUMVFVOWQWNW
        IOMZUUNNMWPCUUNCUUNNJJVTWNWIWNWIWNUUKUBZYBUUOYBWIYAUULVFZUUPVQWHVK $.
        $( [18-May-1999] $)

      ${
        sqrlem12.8 $e |- S = { x e. RR | ( 0 <_ x /\ ( x x. x ) <_ A ) } $.

        $( Lemma for square root theorem. $)
        sqrlem12 $p |- ( D e. S -> D < C ) $=
          ( wcel cc0 clt wbr wceq wo cle cmul co cr wa sqrlem4 pm3.27bi
          pm3.26d wb pm3.26bi 0re leloet mpan syl mpbid pm3.27d sqrlem11 wi
          axmulrcl anidms remulcl lelttrt mp3an23 3syl mpan2i mpd adantr
          sqrlem9 cif breq2 anbi1d breq1 opreq12 breq1d bibi12d imbi12d elimel
          lt2msq ltle syl2an dedth imp mpbird ex mpbii a1i jaod ) EFOZPEQRZPESZ
          TZEDQRZWHPEUARZWKWHWMEEUBUCZBUARZWHEUDOZWMWOUEZABEFGHNUFZUGZUHWHWPWMW
          KUIZWHWPWQWRUJZPUDOWPWTUKPEULUMUNUOWHWIWLWJWHWIWLWHWIUEWLWNDDUBUCZQRZ
          WHXCWIWHWOXCWHWMWOWSUPWHWOBXBQRZXCBCDGHIJKLMUQWHWPWNUDOZWOXDUEXCURZXA
          WPXEEEUSUTXEBUDOXBUDOXFGDDJJVAWNBXBVBVCVDVEVFVGWHWIWLXCUIZWHWIPDQRZXG
          BCDGHIJKLMVHZWHWPWIXHUEZXGURZXAWPXKPWPEPVIZQRZXHUEZXLDQRZXLXLUBUCZXBQ
          RZUIZUREPEXLSZXJXNXGXRXSWIXMXHEXLPQVJVKXSWLXOXCXQEXLDQVLXSWNXPXBQXSWN
          XPSEXLEXLUBVMUTVNVOVPPXLUARPDUARXRXMXHXLDEPUDUKVQZJVRPXLUKXTVSPDUKJVS
          VTWAUNVEWBWCWDWJWLURWHWJXHWLXIPEDQVLWEWFWGVF $.
          $( [23-May-1999] $)

        $( Lemma for square root theorem. $)
        sqrlem13 $p |- ( B = sup ( S , RR , < ) -> -. C < B ) $=
          ( vz vy cr clt csup wceq wbr wcel cv wn wral wo wa sqrlem12 wb cc0
          cle cmul co sqrlem4 pm3.26bi axlttri mpan2 syl mpbid ioran sylib
          pm3.27d rgen ltso wss c0 wne wrex w3a wi sqrlem6 axsup ax-mp supnubi
          mp2an breq2 mtbiri ) CEPQRZSDCQTDVQQTZDPUAZDNUBZQTZUCZNEUDVRUCIWBNEVT
          EUAZVTDSZUCZWBWCWDWAUEUCZWEWBUFWCVTDQTZWFABCDVTEFGHIJKLMUGWCVTPUAZWGW
          FUHZWCWHUIVTUJTVTVTUKULBUJTUFABVTEFGMUMUNWHVSWIIVTDUOUPUQURWDWAUSUTVA
          VBAONPEDQVCEPVDEVEVFOUBZAUBZQTZOEUDAPVGVHWKWJQTUCOEUDWLWJVTQTNEVGVIOP
          UDUFAPVGAOBEFGMVJAONEVKVLVMVNCVQDQVOVP $.
          $( [25-May-1999] $)

        $( Lemma for square root theorem. $)
        sqrlem14 $p |- -. B = sup ( S , RR , < ) $=
          ( cr clt csup wceq wbr sqrlem10 sqrlem13 mt2 ) CENOPQDCORBCDFGHIJKLSA
          BCDEFGHIJKLMTUA $.
          $( [25-May-1999] $)
      $}

    $}

    ${
      sqrlem15.3 $e |- B e. RR $.
      sqrlem15.4 $e |- 0 < B $.

      ${
        sqrlem15.5 $e |- C e. RR $.
        sqrlem15.6 $e |- 0 < C $.
        $( Lemma for square root theorem. $)
        sqrlem15 $p |- B < ( B + C ) $=
          ( cc0 caddc co clt recn addid1 wbr 0re ltadd2 mpbi eqbrtrr ) BJKLZBBC
          KLZMBBFNOJCMPUAUBMPIJCBQHFRST $.
          $( [24-May-1999] $)

        ${
          sqrlem16.7 $e |- C < B $.
          $( Lemma for square root theorem. $)
          sqrlem16 $p |- (  C < ( ( A - ( B x. B ) ) /
                          ( ( ( 1 + 1 ) + 1 ) x. B ) ) ->
                          ( ( B + C ) x. ( B + C ) ) < A ) $=
            ( cmul co cmin c1 caddc cdiv clt wbr 1re readdcl recn mulass
            remulcl resubcl lt01 addgt0i gt0ne0i muln0 divcan2OLD breq12i cc0 wb
            mulgt0i redivcl ltmul2 ax-mp ltaddsub 3bitr4 mpbi ltadd2 ltadd1
            muladd addcom ax1cn adddir 1p1times mulid2 mulcom eqtr opreq12i
            3eqtr opreq1i addass 3eqtr4 3brtr4 lttr mpan sylbi ) CABBKLZMLZNNOL
            ZNOLZBKLZPLZQRZWBBCKLZKLZVSOLZAQRZBCOLZWJKLZAQRZWCCKLZWCWDKLZQRZWGV
            TQRWEWIWMWGWNVTQWBBCWBWANNNSSTZSTZUAZBFUAZCHUAZUBWCVTWCWBBWQFUCZUAV
            TAVSDBBFFUCZUDZUAWBBWRWSWBWQWANWPSNNSSUEUEUFUEUFZUGBFGUGUHZUIUJUKWC
            QRWEWOULWBBWQFXDGUMCWDWCHVTWCXCXAXEUNXAUOUPWGVSAWBWFWQBCFHUCZUCZXBD
            UQURWKWHQRWIWLVSCCKLZOLZWFWFOLZOLZVSCBKLZOLZXJOLZWKWHQXIXMQRZXKXNQR
            XHXLQRZXOCBQRZXPJUKCQRXQXPULICBCHFHUOUPUSXHXLVSCCHHUCZCBHFUCZXBUTUS
            XIXMXJVSXHXBXRTVSXLXBXSTWFWFXFXFTZVAUSBCBCWSWTWSWTVBXLXJOLZVSOLVSYA
            OLWHXNYAVSYAXLXJXSXTTUAVSXBUAZVCWGYAVSOWGWAWFKLZNWFKLZOLXJXLOLYAWAN
            WFWAWPUAVDWFXFUAZVEYCXJYDXLOWFYEVFYDWFXLWFYEVGBCWSWTVHVIVJXJXLXJXTU
            AZXLXSUAZVCVKVLVSXLXJYBYGYFVMVNVOWKWHAWJWJBCFHTZYHUCWGVSXGXBTDVPVQV
            R $.
            $( [26-May-1999] $)

          ${
            sqrlem17.8 $e |- S =
                             { x e. RR | ( 0 <_ x /\ ( x x. x ) <_ A ) } $.
            $( Lemma for square root theorem. $)
            sqrlem17 $p |- (  C < ( ( A - ( B x. B ) ) /
                          ( ( ( 1 + 1 ) + 1 ) x. B ) ) ->
                          ( B + C ) e. S ) $=
              ( cmul co cmin c1 caddc cdiv clt wbr cc0 wa wcel sqrlem16
              addgt0i jctil cr readdcl sqrlem5 mpan syl ) DBCCNOPOQQROQROCNOSOT
              UAZUBCDROZTUAZUNUNNOBTUAZUCZUNEUDZUMUPUOBCDFGHIJKLUECDHJIKUFUGUNU
              HUDUQURCDHJUIABUNEFGMUJUKUL $.
              $( [26-May-1999] $)

            $( Lemma for square root theorem. $)
            sqrlem18 $p |- (  C < ( ( A - ( B x. B ) ) /
                          ( ( ( 1 + 1 ) + 1 ) x. B ) ) ->
                          -. B = sup ( S , RR , < ) ) $=
              ( vy vz cmul co cmin c1 caddc cdiv clt wbr cr csup wceq sqrlem15
              wn breq1 negbid wcel sqrlem17 ltso wss c0 wne cv wral wrex w3a
              wi wa sqrlem6 axsup ax-mp supubi syl syl5cbir mt2i ) DBCCPQRQSSTQ
              STQCPQUAQUBUCZCEUDUBUEZUFZCCDTQZUBUCZBCDFGHIJKUGVLVNUHVKVMUBUCZUH
              ZVJVLVNVOCVKVMUBUIUJVJVMEUKVPABCDEFGHIJKLMULANOUDEVMUBUMEUDUNEUOU
              PNUQZAUQZUBUCZNEURAUDUSUTVRVQUBUCUHNEURVSVQOUQUBUCOEUSVANUDURVBAU
              DUSANBEFGMVCANOEVDVEVFVGVHVI $.
              $( [26-May-1999] $)

          $}
        $}
      $}

      ${
        sqrlem19.5 $e |- ( B x. B ) < A $.
        $( Lemma for square root theorem. $)
        sqrlem19 $p |- 0 < ( ( A - ( B x. B ) ) /
                      ( ( ( 1 + 1 ) + 1 ) x. B ) ) $=
          ( cmul co cmin c1 caddc remulcl resubcl 1re readdcl cc0 clt wbr recn
          addid2 eqbrtr 0re ltaddsub mpbi lt01 addgt0i mulgt0i divgt0i ) ABBHIZ
          JIZKKLIZKLIZBHIAUJCBBEEMZNUMBULKKKOOPZOPZEMQUJLIZARSQUKRSUQUJARUJUJUN
          TUAGUBQUJAUCUNCUDUEUMBUPEULKUOOKKOOUFUFUGUFUGFUHUI $.
          $( [19-May-1999] $)

        ${
          sqrlem20.6 $e |- S =
                             { x e. RR | ( 0 <_ x /\ ( x x. x ) <_ A ) } $.
          $( Lemma for square root theorem. $)
          sqrlem20 $p |- -. B = sup ( S , RR , < ) $=
            ( vw cc0 cv clt wbr cmul co cmin c1 caddc cdiv wa cr wrex csup
            wceq wn remulcl resubcl 1re readdcl recn lt01 addgt0i gt0ne0i
            muln0 redivcl sqrlem19 posex wcel wi w3a cif breq1 imbi1d eleq1
            breq2 3anbi123d divgt0i halfpos mpbi 3pm3.2i elimhyp 3simp1i
            3simp2i 3simp3i sqrlem18 dedth 3exp imp4d r19.23aiv ax-mp ) LKMZNOZ
            WCCNOZWCBCCPQZRQZSSTQZSTQZCPQZUAQZNOZUBUBZKUCUDCDUCNUEUFUGZKCWKGWGW
            JBWFECCGGUHUIWICWHSSSUJUJUKZUJUKZGUHWICWIWPULCGULWIWPWHSWOUJSSUJUJU
            MUMUNZUMUNUOCGHUOUPUQHBCEFGHIURUSWMWNKUCWCUCUTZWDWEWLWNWRWDWEWLWNVA
            ZWRWDWEVBZWSWTWCCWHUAQZVCZWKNOZWNVAWCXAWCXBUFZWLXCWNWCXBWKNVDVEABCX
            BDEFGHXBUCUTZLXBNOZXBCNOZWTXEXFXGVBXAUCUTZLXANOZXACNOZVBWCXAXDWRXEW
            DXFWEXGWCXBUCVFWCXBLNVGWCXBCNVDVHXAXBUFXHXEXIXFXJXGXAXBUCVFXAXBLNVG
            XAXBCNVDVHXHXIXJCWHGWOWHWOWQUOUQCWHGWOHWQVILCNOXJHCGVJVKVLVMZVNXEXF
            XGXKVOXEXFXGXKVPJVQVRVSVTWAWB $.
            $( [26-May-1999] $)
        $}
      $}
    $}

    ${
      sqrlem21.3 $e |- S = { x e. RR | ( 0 <_ x /\ ( x x. x ) <_ A ) } $.
      sqrlem21.4 $e |- B = sup ( S , RR , < ) $.
      $( Lemma for square root theorem. $)
      sqrlem21 $p |- -. A < ( B x. B ) $=
        ( cmul co clt wbr cr csup wceq wn c1 caddc cif eqeq1 negbid cdiv
        sqrlem7 1re readdcl keepel wcel id opreq2 opreq12d opreq1d eleq1d
        sqrlem8 gt0ne0i redivcl lt01 addgt0i keephyp cc0 breq2 opreq12 anidms
        breq2d sqrlem1 elimhyp eqid sqrlem14 dedth mt2 ) BCCIJZKLZCDMKNZOZHVKVM
        PVKCQBRJZSZVLOZPCVNCVOOZVMVPCVOVLTUAABVOVOBVOUBJZRJZQQRJZUBJZDEFVKCVNMA
        BCDEFGHUCZQBUDEUEZUFVKCBCUBJZRJZVTUBJZMUGVNBVNUBJZRJZVTUBJZMUGWAMUGCVNV
        QWFWAMVQWEVSVTUBVQCVOWDVRRVQUHCVOBUBUIUJUKULVNVOOZWIWAMWJWHVSVTUBWJVNVO
        WGVRRWJUHVNVOBUBUIUJUKULWEVTCWDWBBCEWBCWBABCDEFGHUMZUNUOUEQQUDUDUEZVTWL
        QQUDUDUPUPUQUNZUOWHVTVNWGWCBVNEWCVNWCQBUDEUPFUQZUNUOUEWLWMUOURVKUSCKLUS
        VNKLUSVOKLCVNCVOUSKUTVNVOUSKUTWKWNURVKBVOVOIJZKLBVNVNIJZKLCVNVQVJWOBKVQ
        VJWOOCVOCVOIVAVBVCWJWPWOBKWJWPWOOVNVOVNVOIVAVBVCBEFVDVEWAVFGVGVHVI $.
        $( [24-May-1999] $)

      $( Lemma for square root theorem. $)
      sqrlem22 $p |- -. ( B x. B ) < A $=
        ( cmul co clt wbr cr csup wceq wn c1 caddc cdiv cif eqeq1 negbid
        sqrlem7 1re readdcl lt01 addgt0i gt0ne0i redivcl keepel cc0 breq2
        sqrlem8 sqrlem3 keephyp opreq12 anidms breq1d sqrlem2 elimhyp sqrlem20
        dedth mt2 ) CCIJZBKLZCDMKNZOZHVEVGPVECBQBRJZSJZTZVFOZPCVICVJOZVGVKCVJVF
        UAUBABVJDEFVECVIMABCDEFGHUCBVHEQBUDEUEZVHVMQBUDEUFFUGUHUIUJVEUKCKLUKVIK
        LUKVJKLCVICVJUKKULVIVJUKKULABCDEFGHUMBEFUNUOVEVJVJIJZBKLVIVIIJZBKLCVIVL
        VDVNBKVLVDVNOCVJCVJIUPUQURVIVJOZVOVNBKVPVOVNOVIVJVIVJIUPUQURBEFUSUTGVAV
        BVC $.
        $( [26-May-1999] $)

      $( Lemma for square root theorem. $)
      sqrlem23 $p |- ( B x. B ) = A $=
        ( cmul co wceq clt wbr wn sqrlem7 remulcl lttri3 sqrlem22 sqrlem21
        mpbir2an ) CCIJZBKUABLMNBUALMNUABCCABCDEFGHOZUBPEQABCDEFGHRABCDEFGHST
        $.
        $( [26-May-1999] $)
    $}

    $( Lemma for square root closure. $)
    sqrlem24 $p |- ( sqr ` A ) e. RR $=
      ( vy vx csqr cfv cc0 cv cle wbr cmul co wa cr crab wceq breq2 opreq12
      anidms breq1d anbi12d cbvrabv wcel clt csup 0re ltlei sqrval mp2an
      sqrlem7 ) DAAFGZHEIZJKZUMUMLMZAJKZNZEOPZBCUQHDIZJKZUSUSLMZAJKZNEDOUMUSQZU
      NUTUPVBUMUSHJRVCUOVAAJVCUOVAQUMUSUMUSLSTUAUBUCAOUDHAJKULUROUEUFQBHAUGBCUH
      EAUIUJUK $.
      $( [26-May-1999] $)

    $( The square root of a positive real is positive. $)
    sqrgt0i $p |- 0 < ( sqr ` A ) $=
      ( vy vx csqr cfv cc0 cv cle wbr cmul co wa cr crab wceq breq2 opreq12
      anidms breq1d anbi12d cbvrabv wcel clt csup 0re ltlei sqrval mp2an
      sqrlem8 ) DAAFGZHEIZJKZUMUMLMZAJKZNZEOPZBCUQHDIZJKZUSUSLMZAJKZNEDOUMUSQZU
      NUTUPVBUMUSHJRVCUOVAAJVCUOVAQUMUSUMUSLSTUAUBUCAOUDHAJKULUROUEUFQBHAUGBCUH
      EAUIUJUK $.
      $( [26-May-1999] $)

    $( Lemma for square root theorem. $)
    sqrlem26 $p |- ( ( sqr ` A ) x. ( sqr ` A ) ) = A $=
      ( vy vx csqr cfv cc0 cv cle wbr cmul co wa cr crab wceq breq2 opreq12
      anidms breq1d anbi12d cbvrabv wcel clt csup 0re ltlei sqrval mp2an
      sqrlem23 ) DAAFGZHEIZJKZUMUMLMZAJKZNZEOPZBCUQHDIZJKZUSUSLMZAJKZNEDOUMUSQZ
      UNUTUPVBUMUSHJRVCUOVAAJVCUOVAQUMUSUMUSLSTUAUBUCAOUDHAJKULUROUEUFQBHAUGBCU
      HEAUIUJUK $.
      $( [24-May-1999] $)

  $}

  ${
    sqrth.1 $e |- A e. RR $.
    $( Square root theorem.  Theorem I.35 of [Apostol] p. 29.

       (A bit of trivia:  This theorem was added to the database before the
       number ` 2 ` was defined and before exponents were defined.  Thus
       you will see ` ( 1 + 1 ) ` and ` ( x x. x ) ` throughout its lemmas.) $)
    sqrth $p |- ( 0 <_ A -> ( ( sqr ` A ) x. ( sqr ` A ) ) = A ) $=
      ( cc0 cle wbr clt wceq wo csqr cfv cmul co 0re leloe c1 cif fveq2
      opreq12d id eqeq12d cr 1re keepel elimgt0 sqrlem26 dedth sqr0 opreq12i
      0cn mul01 eqtr mpbii jaoi sylbi ) CADECAFEZCAGZHAIJZUQKLZAGZCAMBNUOUSUPUO
      USUOAOPZIJZVAKLZUTGAOAUTGZURVBAUTVCUQVAUQVAKAUTIQZVDRVCSTUTUOAOUABUBUCAUD
      UEUFUPCIJZVEKLZCGUSVFCCKLCVECVECKUGUGUHCUIUJUKUPVFURCAUPVEUQVEUQKCAIQZVGR
      UPSTULUMUN $.
      $( [26-May-1999] $)

    $( The square root of a nonnegative real is a real. $)
    sqrcl $p |- ( 0 <_ A -> ( sqr ` A ) e. RR ) $=
      ( cc0 cle wbr clt wceq wo csqr cfv cr wcel 0re leloe c1 cif fveq2 eleq1d
      1re keepel elimgt0 sqrlem24 dedth sqr0 syl5eqr syl6eqelr jaoi sylbi ) CAD
      ECAFEZCAGZHAIJZKLZCAMBNUIULUJUIULUIAOPZIJZKLAOAUMGUKUNKAUMIQRUMUIAOKBSTAU
      AUBUCUJUKCKUJCIJUKCCAIQUDUEMUFUGUH $.
      $( [26-May-1999] $)

    $( The square root of a positive real is positive. $)
    sqrgt0 $p |- ( 0 < A -> 0 < ( sqr ` A ) ) $=
      ( cc0 clt wbr csqr cfv c1 cif wceq fveq2 breq2d cr 1re keepel elimgt0
      sqrgt0i dedth ) CADEZCAFGZDECSAHIZFGZDEAHAUAJTUBCDAUAFKLUASAHMBNOAPQR $.
      $( [26-May-1999] $)

    $( The square root of a nonnegative real is nonnegative. $)
    sqrge0 $p |- ( 0 <_ A -> 0 <_ ( sqr ` A ) ) $=
      ( cc0 cle wbr clt wceq wo csqr cfv 0re leloe cr wcel ltle sqrcl syl wb
      leloet mpan sqrgt0 orcd syl5bir mpcom fveq2 sqr0 syl5eqr leid syl5breq
      jaoi sylbi ) CADEZCAFEZCAGZHCAIJZDEZCAKBLUMUPUNUOMNZUMUPUMULUQCAKBOABPQUQ
      UPCUOFEZCUOGZHZUMCMNUQUPUTRKCUOSTUMURUSABUAUBUCUDUNCUOCDUNCIJUOCCAIUEUFUG
      CKUHUIUJUK $.
      $( [26-May-1999] $)

    ${
      sqr11.1 $e |- B e. RR $.
      $( The square root function is one-to-one. $)
      sqr11 $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                 ( ( sqr ` A ) = ( sqr ` B ) <-> A = B ) ) $=
        ( cc0 cle wbr wa csqr cfv wceq cmul co opreq12 anidms adantl sqrth
        ad2antrr ad2antlr 3eqtr3d ex fveq2 impbid1 ) EAFGZEBFGZHZAIJZBIJZKZABKZ
        UFUIUJUFUIHUGUGLMZUHUHLMZABUIUKULKZUFUIUMUGUHUGUHLNOPUDUKAKUEUIACQRUEUL
        BKUDUIBDQSTUAABIUBUC $.
        $( [27-Jul-1999] $)

      ${
        sqrmuli.1 $e |- 0 <_ A $.
        sqrmuli.2 $e |- 0 <_ B $.
        $( Square root distributes over multiplication. $)
        sqrmuli $p |- ( sqr ` ( A x. B ) ) = ( ( sqr ` A ) x. ( sqr ` B ) ) $=
          ( cmul co csqr cfv wceq cc0 cle wbr sqrth ax-mp opreq12i cr wcel
          sqrcl recn mul4 mulge0 mp2an remulcl 3eqtr4r wb sqrge0 msq11 mpbi )
          ABGHZIJZULGHZAIJZBIJZGHZUPGHZKZULUPKZUNUNGHZUOUOGHZGHUKUQUMUTAVABGLAM
          NZUTAKEACOPLBMNZVABKFBDOPQUNUOUNUOUNVBUNRSEACTPZUAZUOVCUORSFBDTPZUAZV
          EVGUBLUKMNZUMUKKVBVCVHEFABCDUCUDZUKABCDUEZOPUFLULMNZLUPMNZURUSUGVHVKV
          IUKVJUHPLUNMNZLUOMNZVLVBVMEACUHPVCVNFBDUHPUNUOVDVFUCUDULUPVHULRSVIUKV
          JTPUNUOVDVFUEUIUDUJ $.
          $( [30-Jul-1999] $)
      $}

      $( Square root distributes over multiplication. $)
      sqrmul $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
                 ( sqr ` ( A x. B ) ) = ( ( sqr ` A ) x. ( sqr ` B ) ) ) $=
        ( cc0 cle wbr cmul co csqr cfv wceq cif opreq1 fveq2d fveq2 opreq1d
        eqeq12d opreq2 opreq2d cr 0re keepel elimge0 sqrmuli dedth2h ) EAFGZEBF
        GZABHIZJKZAJKZBJKZHIZLUGAEMZBHIZJKZUNJKZULHIZLUNUHBEMZHIZJKZUQUSJKZHIZL
        ABEEAUNLZUJUPUMURVDUIUOJAUNBHNOVDUKUQULHAUNJPQRBUSLZUPVAURVCVEUOUTJBUSU
        NHSOVEULVBUQHBUSJPTRUNUSUGAEUACUBUCUHBEUADUBUCAUDBUDUEUF $.
        $( [30-Jul-1999] $)

      $( Relationship between square root and squares. $)
      sqrmsq2 $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
         ( ( sqr ` A ) = B <-> A = ( B x. B ) ) ) $=
        ( cc0 cle wbr wa csqr cfv cmul co wceq wb sqrmul anidms sqrth eqtrd
        eqeq2d adantl msqge0 remulcl sqr11 mpan2 adantr bitr3d ) EAFGZEBFGZHAIJ
        ZBBKLZIJZMZUIBMZAUJMZUHULUMNUGUHUKBUIUHUKBIJZUOKLZBUHUKUPMBBDDOPBDQRSTU
        GULUNNZUHUGEUJFGUQBDUAAUJCBBDDUBUCUDUEUF $.
        $( [31-Jul-1999] $)

      $( Square root is monotonic. $)
      sqrle $p |- ( ( 0 <_ A /\ 0 <_ B ) ->
          ( A <_ B <-> ( sqr ` A ) <_ ( sqr ` B ) ) ) $=
        ( cc0 cle wbr wa csqr cfv cmul co cr wcel wb le2msqt sqrcl sqrge0 jca
        syl2an sqrth breqan12d bitr2d ) EAFGZEBFGZHAIJZBIJZFGZUFUFKLZUGUGKLZFGZ
        ABFGUFMNZEUFFGZHUGMNZEUGFGZHUHUKOUDUEUFUGPUDULUMACQACRSUEUNUOBDQBDRSTUD
        UEUIAUJBFACUABDUAUBUC $.
        $( [26-Jul-2006] $) $( [3-Aug-1999] $)

      $( Square root is strictly monotonic.  (Contributed by Roy F. Longton,
         8-Aug-2005.) $)
      sqrlt $p |- ( ( 0 <_ A /\ 0 <_ B ) -> ( A < B <-> ( sqr ` A ) <
        ( sqr ` B ) ) ) $=
        ( cc0 cle wbr wa csqr cfv clt cmul co cr wcel wb lt2msqt sqrcl sqrge0
        jca syl2an sqrth breqan12d bitr2d ) EAFGZEBFGZHAIJZBIJZKGZUGUGLMZUHUHLM
        ZKGZABKGUGNOZEUGFGZHUHNOZEUHFGZHUIULPUEUFUGUHQUEUMUNACRACSTUFUOUPBDRBDS
        TUAUEUFUJAUKBKACUBBDUBUCUD $.
        $( [26-Jul-2006] $) $( [8-Aug-2005] $)
    $}

    $( Square root of square. $)
    sqrmsq $p |- ( 0 <_ A -> ( sqr ` ( A x. A ) ) = A ) $=
      ( cc0 cmul co cle wbr csqr cfv wceq msqge0 wa eqid remulcl sqrmsq2
      mpbiri mpan ) CAADEZFGZCAFGZRHIAJZABKSTLUARRJRMRAAABBNBOPQ $.
      $( [2-Aug-1999] $)
  $}

  $( The square root of a nonnegative real is a real. $)
  sqrclt $p |- ( ( A e. RR /\ 0 <_ A ) -> ( sqr ` A ) e. RR ) $=
    ( cr wcel cc0 cle wbr csqr cfv wi cif wceq breq2 fveq2 eleq1d imbi12d 0re
    elimel sqrcl dedth imp ) ABCZDAEFZAGHZBCZUAUBUDIDUAADJZEFZUEGHZBCZIADAUEKZU
    BUFUDUHAUEDELUIUCUGBAUEGMNOUEADBPQRST $.
    $( [29-May-1999] $)

  $( The square root of a positive real is positive. $)
  sqrgt0t $p |- ( ( A e. RR /\ 0 < A ) -> 0 < ( sqr ` A ) ) $=
    ( cr wcel cc0 clt wbr csqr cfv wi cif wceq breq2 fveq2 breq2d imbi12d 0re
    elimel sqrgt0 dedth imp ) ABCZDAEFZDAGHZEFZUAUBUDIDUAADJZEFZDUEGHZEFZIADAUE
    KZUBUFUDUHAUEDELUIUCUGDEAUEGMNOUEADBPQRST $.
    $( [29-May-1999] $)

  $( The square root of a nonnegative real is nonnegative. $)
  sqrge0t $p |- ( ( A e. RR /\ 0 <_ A ) -> 0 <_ ( sqr ` A ) ) $=
    ( cr wcel cc0 cle wbr csqr cfv wi cif wceq breq2 fveq2 breq2d imbi12d 0re
    elimel sqrge0 dedth imp ) ABCZDAEFZDAGHZEFZUAUBUDIDUAADJZEFZDUEGHZEFZIADAUE
    KZUBUFUDUHAUEDELUIUCUGDEAUEGMNOUEADBPQRST $.
    $( [29-May-1999] $)

  $( Square root is monotonic. $)
  sqrlet $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( 0 <_ A /\ 0 <_ B ) ) ->
      ( A <_ B <-> ( sqr ` A ) <_ ( sqr ` B ) ) ) $=
    ( cr wcel wa cc0 cle wbr csqr cfv wb wi cif wceq breq2 anbi1d breq1 fveq2
    breq1d bibi12d imbi12d anbi2d breq2d 0re elimel sqrle dedth2h imp ) ACDZBCD
    ZEFAGHZFBGHZEZABGHZAIJZBIJZGHZKZUIUJUMURLFUIAFMZGHZULEZUSBGHZUSIJZUPGHZKZLU
    TFUJBFMZGHZEZUSVFGHZVCVFIJZGHZKZLABFFAUSNZUMVAURVEVMUKUTULAUSFGOPVMUNVBUQVD
    AUSBGQVMUOVCUPGAUSIRSTUABVFNZVAVHVEVLVNULVGUTBVFFGOUBVNVBVIVDVKBVFUSGOVNUPV
    JVCGBVFIRUCTUAUSVFAFCUDUEBFCUDUEUFUGUH $.
    $( [3-Apr-2005] $) $( [17-Mar-2005] $)

  $( A square root is zero iff its argument is 0. $)
  sqr00t $p |- ( ( A e. RR /\ 0 <_ A ) ->
               ( ( sqr ` A ) = 0 <-> A = 0 ) ) $=
    ( cr wcel cc0 cle wbr wa csqr cfv wceq wb 0re leid wi cif breq2 anbi1d
    fveq2 eqeq1d eqeq1 bibi12d imbi12d elimel sqr11 dedth mpan2i imp sqr0
    eqeq2i syl5bbr ) ABCZDAEFZGAHIZDHIZJZADJZUMDJUKULUOUPKZUKULDDEFZUQDLMUKULUR
    GZUQNDUKADOZEFZURGZUTHIZUNJZUTDJZKZNADAUTJZUSVBUQVFVGULVAURAUTDEPQVGUOVDUPV
    EVGUMVCUNAUTHRSAUTDTUAUBUTDADBLUCLUDUEUFUGUNDUMUHUIUJ $.
    $( [27-Jul-1999] $)

  $( The square root of a positive real is a postive real. $)
  rpsqrclt $p |- ( A e. RR+ -> ( sqr ` A ) e. RR+ ) $=
    ( crp wcel csqr cfv cr cc0 clt wbr wa cle sqrclt rpret rpge0t sylanc
    sqrgt0t rpgt0t jca elrp sylibr ) ABCZADEZFCZGUBHIZJUBBCUAUCUDAFCZGAKIUCUAAL
    AMZANOUEGAHIUDUAAPUFAQORUBST $.
    $( [12-Mar-2008] $) $( [22-Feb-2008] $)

  $( The square root of 1 is 1. $)
  sqr1 $p |- ( sqr ` 1 ) = 1 $=
    ( c1 cmul co csqr cfv ax1cn mulid1 fveq2i cc0 cle wbr wceq 0re 1re lt01
    ltlei sqrmsq ax-mp eqtr3 ) AABCZDEZADEATADAFGHIAJKUAALIAMNOPANQRS $.
    $( [31-Jul-1999] $)

  $( The square root of 4 is 2. $)
  sqr4 $p |- ( sqr ` 4 ) = 2 $=
    ( c4 csqr cfv c2 wceq cmul co 2t2e4 eqcomi cc0 clt wbr wb 4pos 2pos cle
    4re 2re sqrmsq2 0re ltle syl2an mp2an mpbir ) ABCDEZADDFGZEZUFAHIJAKLZJDKLZ
    UEUGMZNOJAPLJDPLUJUHUIADQRSJATQUAJDTRUAUBUCUD $.
    $( [3-Aug-1999] $)

  $( The square root of 9 is 3. $)
  sqr9 $p |- ( sqr ` 9 ) = 3 $=
    ( c9 csqr cfv c3 wceq cmul co 3t3e9 eqcomi cc0 clt wbr wb 9pos 3pos cle
    9re 3re sqrmsq2 0re ltle syl2an mp2an mpbir ) ABCDEZADDFGZEZUFAHIJAKLZJDKLZ
    UEUGMZNOJAPLJDPLUJUHUIADQRSJATQUAJDTRUAUBUCUD $.
    $( [1-Jun-2004] $) $( [11-May-2004] $)

  $( The square root of 2 is bounded by 1 and 2.  (Contributed by Roy F.
     Longton, 8-Aug-2005.) $)
  sqr2gt1lt2 $p |- ( 1 < ( sqr ` 2 ) /\ ( sqr ` 2 ) < 2 ) $=
    ( c1 c2 csqr cfv clt wbr sqr1 1lt2 cc0 cle wb 0re 1re lt01 ltlei 2re 2pos
    sqrlt mp2an mpbi eqbrtrr c4 caddc co sqrlem15 2p2e4 breqtr 4re 4pos sqr4
    pm3.2i ) ABCDZEFULBEFACDZAULEGABEFZUMULEFZHIAJFIBJFZUNUOKIALMNOIBLPQOZABMPR
    STUAULUBCDZBEBUBEFZULUREFZBBBUCUDUBEBBBPQPQPQUEUFUGUPIUBJFUSUTKUQIUBLUHUIOB
    UBPUHRSTUJUGUK $.
    $( [8-Aug-2005] $) $( [8-Aug-2005] $)

  ${
    sqrsq.1 $e |- A e. RR $.
    $( Square root of square. $)
    sqrsq $p |- ( 0 <_ A -> ( sqr ` ( A ^ 2 ) ) = A ) $=
      ( cc0 cle wbr cmul co csqr cfv c2 cexp sqrmsq recn sqval fveq2i syl5eq )
      CADEAAFGZHIAAJKGZHIABLRQHAABMNOP $.
      $( [11-Aug-1999] $)

    $( Square of square root. $)
    sqsqr $p |- ( 0 <_ A -> ( ( sqr ` A ) ^ 2 ) = A ) $=
      ( cc0 cle wbr csqr cfv c2 cexp co cmul cc wcel wceq sqrcl recnd sqvalt
      syl sqrth eqtrd ) CADEZAFGZHIJZUBUBKJZAUAUBLMUCUDNUAUBABOPUBQRABST $.
      $( [11-Aug-1999] $)
  $}

  $( Square root of square. $)
  sqrsqt $p |- ( ( A e. RR /\ 0 <_ A ) -> ( sqr ` ( A ^ 2 ) ) = A ) $=
    ( cr wcel cc0 cle wbr c2 cexp co csqr cfv wceq wi cif breq2 opreq1 fveq2d
    id eqeq12d imbi12d 0re elimel sqrsq dedth imp ) ABCZDAEFZAGHIZJKZALZUFUGUJM
    DUFADNZEFZUKGHIZJKZUKLZMADAUKLZUGULUJUOAUKDEOUPUIUNAUKUPUHUMJAUKGHPQUPRSTUK
    ADBUAUBUCUDUE $.
    $( [4-Feb-2007] $) $( [14-Jan-2006] $)

  $( Square of square root. $)
  sqsqrt $p |- ( ( A e. RR /\ 0 <_ A ) -> ( ( sqr ` A ) ^ 2 ) = A ) $=
    ( cr wcel cc0 cle wbr csqr cfv c2 cexp co wceq wi cif breq2 fveq2 opreq1d
    id eqeq12d imbi12d 0re elimel sqsqr dedth imp ) ABCZDAEFZAGHZIJKZALZUFUGUJM
    DUFADNZEFZUKGHZIJKZUKLZMADAUKLZUGULUJUOAUKDEOUPUIUNAUKUPUHUMIJAUKGPQUPRSTUK
    ADBUAUBUCUDUE $.
    $( [27-Sep-1999] $)

$(   Only true for certain real values
  @{
    quad.1 @e |- A e. CC @.
    quad.2 @e |- B e. CC @.
    quad.3 @e |- C e. CC @.
    @( The quadratic equation. @)
    quad @p |- ( ( ( A ^ 2 ) + ( ( B x. A ) + C ) ) = 0 <->
    ( A = ( ( B + ( sqr ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) ) ) / 2 ) \/
    A = ( ( B - ( sqr ( ( B ^ 2 ) - ( 4 x. ( A x. C ) ) ) ) ) / 2 ) ) ) @=
      ( c2 cexp co cmul caddc cc0 wceq jaoi impbi ) AGHIBAJICKIKILMZ???P???NO
      @.
      @( [?] @) @( [25-Apr-2006] @)
  @}
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Irrationality of square root of 2
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    sqr2irrlem1.1 $e |- A e. NN $.
    sqr2irrlem1.2 $e |- B e. NN $.
    $( Lemma for irrationality of square root of 2.  Technical lemma used
       to simplify the main induction step. $)
    sqr2irrlem1 $p |- ( ( A ^ 2 ) = ( 2 x. ( B ^ 2 ) ) ->
                      ( ( B < A /\ ( A / 2 ) e. NN ) /\
                     ( B ^ 2 ) = ( 2 x. ( ( A / 2 ) ^ 2 ) ) ) ) $=
      ( c2 cexp co cmul wceq clt wbr cdiv cn wcel wa c1 nnre resqcl recn
      mulid2 1lt2 1re 2re nnsqcl nngt0 ltmul1i mpbi eqbrtrr breq2 mpbiri cc0
      cle wb 0re ltlei lt2sq mp2an sylibr 2cn 2ne0 divmul eleq1 nnesq sylbir
      eqcoms jca redivcl remulcl mulcan nncn sqdiv sqval opreq2i eqtr mulass
      mulcl muln0 divcan2OLD 3eqtr3 eqeq1i bitr3 biimpr eqcomd ) AEFGZEBEFGZHGZIZB
      AJKZAELGZMNZOWEEWIEFGZHGZIWGWHWJWGWEWDJKZWHWGWMWEWFJKPWEHGZWEWFJWEWEBBDQZ
      RZSZTPEJKWNWFJKUAPEWEUBUCWPWEBDUDZUEUFUGUHWDWFWEJUIUJUKBULKUKAULKWHWMUMUK
      BUNWOBDUEUOUKAUNACQZACUEUOBAWOWSUPUQURWJWFWDWFWDIWDELGZWEIZWJWDEWEWDAWSRS
      ZUSWQUTVAXAWTMNZWJXAXCWEMNWRWTWEMVBUJACVCURVDVEVFWGWLWEWLWEIZWGXDEWLHGZWF
      IWGEWLWEUSWLEWKUCWIAEWSUCUTVGRZVHSWQUTVIXEWDWFEEHGZWKHGXGWDXGLGZHGXEWDWKX
      HXGHWKWDEEFGZLGXHAEACVJUSUTVKXIXGWDLEUSVLVMVNVMEEWKUSUSWKXFSVOXGWDEEUSUSV
      PXBEEUSUSUTUTVQVRVSVTWAWBWCVF $.
      $( [20-Aug-2001] $)
  $}

  $( Lemma for irrationality of square root of 2.  Eliminates hypotheses with
     weak deduction theorem. $)
  sqr2irrlem2 $p |- ( ( A e. NN /\ B e. NN ) ->
                   ( ( A ^ 2 ) = ( 2 x. ( B ^ 2 ) ) ->
                    ( ( B < A /\ ( A / 2 ) e. NN ) /\
                   ( B ^ 2 ) = ( 2 x. ( ( A / 2 ) ^ 2 ) ) ) ) ) $=
    ( cn wcel c2 cexp co cmul wceq clt wbr cdiv wa wi cif opreq1 eqeq1d breq2
    eleq1d anbi12d opreq1d opreq2d eqeq2d imbi12d breq1 anbi1d 2nn elimel
    sqr2irrlem1 dedth2h ) ACDZBCDZAEFGZEBEFGZHGZIZBAJKZAELGZCDZMZUNEUREFGZHGZIZ
    MZNUKAEOZEFGZUOIZBVEJKZVEELGZCDZMZUNEVIEFGZHGZIZMZNVFEULBEOZEFGZHGZIZVPVEJK
    ZVJMZVQVMIZMZNABEEAVEIZUPVGVDVOWDUMVFUOAVEEFPQWDUTVKVCVNWDUQVHUSVJAVEBJRWDU
    RVICAVEELPZSTWDVBVMUNWDVAVLEHWDURVIEFWEUAUBUCTUDBVPIZVGVSVOWCWFUOVRVFWFUNVQ
    EHBVPEFPZUBUCWFVKWAVNWBWFVHVTVJBVPVEJUEUFWFUNVQVMWGQTUDVEVPAECUGUHBECUGUHUI
    UJ $.
    $( [20-Aug-2001] $)

  ${
    $d x y z w $.
    $( Main theorem for irrationality of square root of 2.  There are no
       natural numbers such that the square of one is twice the square of the
       other.  Uses strong induction. $)
    sqr2irrlem3 $p |- -. E. x e. NN E. y e. NN
                            ( x ^ 2 ) = ( 2 x. ( y ^ 2 ) ) $=
      ( vz vw cv c2 cexp co cmul wceq cn wrex wcel wn wral opreq1 eqeq1d
      negbid ralbidv opreq2d eqeq2d cbvralv syl6bb clt wbr wi wa cdiv breq1
      imbi12d rcla4cva rcla4cv syl6 imp3a imnan sylib adantll sqr2irrlem2
      adantlr mtod exp31 r19.21adv indstr ralnex nrex ) AEZFGHZFBEZFGHZIHZJZBKL
      ZAKVFKMZVKNZBKOZVLNVOCEZFGHZFDEZFGHZIHZJZNZDKOZACVFVPJZVOVQVJJZNZBKOWCWDV
      NWFBKWDVKWEWDVGVQVJVFVPFGPQRSWFWBBDKVHVRJZWEWAWGVJVTVQWGVIVSFIVHVRFGPTUAR
      UBUCVMVPVFUDUEZWCUFZCKOZVNBKVMWJVHKMZVNVMWJUGWKUGVKVHVFUDUEZVFFUHHZKMZUGZ
      VIFWMFGHZIHZJZUGZWJWKWSNZVMWJWKUGZWOWRNZUFWTXAWLWNXBXAWLVIVTJZNZDKOZWNXBU
      FWIWLXEUFCVHKVPVHJZWHWLWCXEVPVHVFUDUIXFWBXDDKXFWAXCXFVQVIVTVPVHFGPQRSUJUK
      XDXBDWMKVRWMJZXCWRXGVTWQVIXGVSWPFIVRWMFGPTUARULUMUNWOWRUOUPUQVMWKVKWSUFWJ
      VFVHURUSUTVAVBVCVKBKVDUPVE $.
      $( [20-Aug-2001] $)
  $}

  ${
    sqr2irrlem4.1 $e |- A e. NN $.
    sqr2irrlem4.2 $e |- B e. NN $.
    $( Lemma for irrationality of square root of 2. $)
    sqr2irrlem4 $p |- ( ( sqr ` 2 ) = ( A / B ) <->
                      ( A ^ 2 ) = ( 2 x. ( B ^ 2 ) ) ) $=
      ( c2 cexp co cmul wceq cdiv csqr cfv nncn nnne0 sqdiv eqcomi nnsqcl 2cn
      divcan4 eqeq12i nnre resqcl recn 2re remulcl div11 eqcom 3bitr3 cc0 cle
      wbr wb 0re 2pos ltlei redivcl sqge0 sqr11 mp2an nngt0 divgt0i sqrsq
      ax-mp eqeq2i 3bitr2r ) AEFGZEBEFGZHGZIZEABJGZEFGZIZEKLZVKKLZIZVMVJIVFVGJG
      ZVHVGJGZIVKEIVIVLVPVKVQEVKVPABACMBDMBDNZOPVGEVGBDQZMZRVGVSNZSTVFVHVGVFAAC
      UAZUBUCVHEVGUDVGVSUAUEUCVTWAUFVKEUGUHUIEUJUKUIVKUJUKVOVLULUIEUMUDUNUOVJAB
      WBBDUAZVRUPZUQEVKUDVJWDUBURUSVNVJVMUIVJUJUKVNVJIUIVJUMWDABWBWCACUTBDUTVAU
      OVJWDVBVCVDVE $.
      $( [20-Aug-2001] $)
  $}

  $( Lemma for irrationality of square root of 2.  Eliminates hypotheses with
     weak deduction theorem. $)
  sqr2irrlem5 $p |- ( ( A e. NN /\ B e. NN ) -> ( ( sqr ` 2 ) = ( A / B )
                     <-> ( A ^ 2 ) = ( 2 x. ( B ^ 2 ) ) ) ) $=
    ( cn wcel c2 csqr cfv cdiv co wceq cexp cmul wb cif opreq1 eqeq2d eqeq1d
    bibi12d opreq2 opreq2d 2nn elimel sqr2irrlem4 dedth2h ) ACDZBCDZEFGZABHIZJZ
    AEKIZEBEKIZLIZJZMUGUEAENZBHIZJZUNEKIZULJZMUGUNUFBENZHIZJZUQEUSEKIZLIZJZMABE
    EAUNJZUIUPUMURVEUHUOUGAUNBHOPVEUJUQULAUNEKOQRBUSJZUPVAURVDVFUOUTUGBUSUNHSPV
    FULVCUQVFUKVBELBUSEKOTPRUNUSAECUAUBBECUAUBUCUD $.
    $( [20-Aug-2001] $)

  ${
    $d x y $.
    $( The square root of 2 is irrational. $)
    sqr2irr $p |- ( sqr ` 2 ) e/ QQ $=
      ( vx vy c2 csqr cfv cq wnel wcel wn cv cdiv co wceq cn wrex cz cexp cmul
      sqr2irrlem3 sqr2irrlem5 2rexbiia mtbir cc0 clt wbr wa wb nngt0t adantr
      cr wi 0re w3a ltmuldivtOLD ex mp3an1 nnret zret syl2an mpd ancoms 2re 2pos
      sqrgt0i breq2 mpbii syl5bir cc nncnt mul02t syl breq1d adantl sylibd
      r19.23adva anc2li elnnz syl6ibr impac r19.22i2 mto elq df-nel mpbir ) CDE
      ZFGWEFHZIWFWEAJZBJZKLZMZBNOZAPOZWLWKANOZWMWGCQLCWHCQLRLMZBNOANOABSWJWNABN
      NWGWHTUAUBWKWKAPNWGPHZWKWGNHZWOWKWOUCWGUDUEZUFWPWOWKWQWOWJWQBNWOWHNHZUFZW
      JUCWHRLZWGUDUEZWQWSXAUCWIUDUEZWJWRWOXAXBUGZWRWOUFUCWHUDUEZXCWRXDWOWHUHUIW
      HUJHZWGUJHZXDXCUKZWRWOUCUJHZXEXFXGULXHXEXFUMXDXCUCWHWGUNUOUPWHUQWGURUSUTV
      AWJUCWEUDUEXBCVBVCVDWEWIUCUDVEVFVGWRXAWQUGWOWRWTUCWGUDWRWHVHHWTUCMWHVIWHV
      JVKVLVMVNVOVPWGVQVRVSVTWAABWEWBUBWEFWCWD $.
      $( [8-Jan-2002] $)
  $}

  $( The square root of 2 exists and is a real number. $)
  sqr2re $p |- ( sqr ` 2 ) e. RR $=
    ( c2 2re 2pos sqrlem24 ) ABCD $.
    $( [2-Nov-2004] $) $( [3-Dec-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Imaginary and complex number properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The reciprocal of ` i ` . $)
  irec $p |- ( 1 / i ) = -u i $=
    ( c1 ci cdiv co cneg wceq cmul axicn mulneg2 ixi ax1cn mulcl negcon2 mpbir
    eqtr4 negcl ine0 divmul ) ABCDBEZFBSGDZAFTBBGDZEZABBHHIAUBFUAAEFJAUAKBBHHLM
    NOABSKHBHPQRN $.
    $( [11-Oct-1999] $)

  $( ` i ` squared. $)
  i2 $p |- ( i ^ 2 ) = -u 1 $=
    ( ci c2 cexp co cmul c1 cneg axicn sqval ixi eqtr ) ABCDAAEDFGAHIJK $.
    $( [29-May-2005] $) $( [6-May-1999] $)

  $( ` i `  cubed. $)
  i3 $p |- ( i ^ 3 ) = -u i $=
    ( ci c3 cexp co c2 c1 caddc cmul cneg df-3 opreq2i cc wcel cn0 wceq axicn
    2nn0 expp1t mp2an i2 opreq1i mulm1 eqtr 3eqtr ) ABCDAEFGDZCDZAECDZAHDZAIZBU
    EACJKALMENMUFUHOPQAERSUHFIZAHDUIUGUJAHTUAAPUBUCUD $.
    $( [31-Jan-2007] $) $( [31-Jan-2007] $)

  $( ` i ` to the fourth power. $)
  i4 $p |- ( i ^ 4 ) = 1 $=
    ( ci c2 caddc co cexp cmul c4 c1 cc wcel cn0 wceq axicn 2nn0 expaddt mp3an
    2p2e4 opreq2i cneg i2 opreq12i ax1cn mul2neg mulid1 3eqtr 3eqtr3 ) ABBCDZED
    ZABEDZUIFDZAGEDHAIJBKJZUKUHUJLMNNABBOPUGGAEQRUJHSZULFDHHFDHUIULUIULFTTUAHHU
    BUBUCHUBUDUEUF $.
    $( [1-Feb-2007] $) $( [31-Jan-2007] $)

  $( The imaginary unit ` i ` is not a real number. $)
  inelr $p |- -. i e. RR $=
    ( ci cr wcel cc0 wceq wne wn ine0 df-ne mpbi cmul co clt wbr c1 lt01 0re
    1re ltnsym ax-mp caddc cneg ixi renegcl eqeltr ltadd1 ax1cn addid2 axi2m1
    breq12i bitr mtbir msqgt0t ex necon1bd mpi mto ) ABCZADEZADFZUSGHADIJURDAAK
    LZMNZGUSVBODMNZDOMNVCGPDOQRSTVBDOUALZVAOUALZMNVCDVAOQVAOUBBUCORUDUERUFVDOVE
    DMOUGUHUIUJUKULURVBADURUTVBAUMUNUOUPUQ $.
    $( [6-May-1999] $)

  ${
    cru.1 $e |- A e. RR $.
    cru.2 $e |- B e. RR $.
    cru.3 $e |- C e. RR $.
    cru.4 $e |- D e. RR $.
    $( Lemma for ~ cru . $)
    crulem $p |- ( ( A + ( i x. B ) ) = ( C + ( i x. D ) ) -> B = D ) $=
      ( ci cmul co caddc wceq cmin cc0 cr wcel inelr wne wn wi wa cneg cdiv
      renegcl readdcl recn resubcl axicn divmulz mulcom eqeq1i syl6bb opreq1
      mulcl negcl add4 negid opreq1i addcl addid2 3eqtr opreq2i addid1 3eqtr3g
      subdi negsub eqtr4 syl5eq syl5bir imp eleq1d redivclz syl5bi ex pm2.43b
      df-ne syl5ibr mt3i subeq0 sylib ) AIBJKZLKZCIDJKZLKZMZBDNKZOMZBDMWFWHIPQZ
      RWFWGOSZWIWHTWFWJWIWJWFWJWIUAWJWFUBZCAUCZLKZWGUDKZPQWIWJWKWNIPWJWFWNIMZWJ
      WOIWGJKZWMMZWFWJWOWGIJKZWMMWQWMWGIWMCWLGAEUEZUFZUGZWGBDFHUHZUGZUIUJWRWPWM
      WGIXCUIUKULUMWFWBWDUCZLKZWMWPWFWCWLXDLKZLKZWEXFLKZXEWMWCWEXFLUNXGAWLLKZXE
      LKOXELKXEAWBWLXDAEUGZIBUIBFUGZUOZWLWSUGZWDIDUIDHUGZUOZUPZUQXIOXELAXJURUSX
      EWBXDXLXPUTVAVBXHWMWDXDLKZLKWMOLKWMCWDWLXDCGUGXOXMXPUQXQOWMLWDXOURVCWMXAV
      DVBVEWPWBWDNKXEIBDUIXKXNVFWBWDXLXOVGVHVIVJVKVLWMWGWTXBVMVNVOVPWGOVQVRVSBD
      XKXNVTWA $.
      $( [11-Mar-2008] $) $( [8-May-1999] $)

    $( The representation of complex numbers in terms of real and imaginary
       parts is unique.  Proposition 10-1.3 of [Gleason] p. 130. $)
    cru $p |- ( ( A + ( i x. B ) ) = ( C + ( i x. D ) ) <->
                   ( A = C /\ B = D ) ) $=
      ( ci cmul co caddc wceq wa crulem opreq2 opreq2d eqeq2d recn axicn mulcl
      addcom eqeq12i addcan biimp sylbi syl6bir mpcom jca id opreqan12d impbi
      ) AIBJKZLKZCIDJKZLKZMZACMZBDMZNUQURUSUSUQURABCDEFGHOZUSUQUNCUMLKZMZURUSVA
      UPUNUSUMUOCLBDIJPZQRVBUMALKZUMCLKZMZURUNVDVAVEAUMAESZIBTBFSUAZUBCUMCGSZVH
      UBUCVFURUMACVHVGVIUDUEUFUGUHUTUIURUSACUMUOLURUJVCUKUL $.
      $( [11-Mar-2008] $) $( [9-May-1999] $)
  $}

  $( The representation of complex numbers in terms of real and imaginary
     parts is unique.  Proposition 10-1.3 of [Gleason] p. 130. $)
  crut $p |- ( ( ( A e. RR /\ B e. RR ) /\ ( C e. RR /\ D e. RR ) ) ->
      ( ( A + ( i x. B ) ) = ( C + ( i x. D ) ) <-> ( A = C /\ B = D ) ) ) $=
    ( cr wcel ci cmul co caddc wceq wa wb cc0 cif opreq1 eqeq1d eqeq1 anbi1d
    bibi12d opreq2 opreq2d anbi2d eqeq2d eqeq2 0re elimel cru dedth4h ) AEFZBEF
    ZCEFZDEFZAGBHIZJIZCGDHIZJIZKZACKZBDKZLZMABCDNNUJANOZUNJIZUQKZVBCKZUTLZMVBGU
    KBNOZHIZJIZUQKZVEVGDKZLZMVIULCNOZUPJIZKZVBVMKZVKLZMVIVMGUMDNOZHIZJIZKZVPVGV
    RKZLZMNNAVBKZURVDVAVFWDUOVCUQAVBUNJPQWDUSVEUTAVBCRSTBVGKZVDVJVFVLWEVCVIUQWE
    UNVHVBJBVGGHUAUBQWEUTVKVEBVGDRUCTCVMKZVJVOVLVQWFUQVNVICVMUPJPUDWFVEVPVKCVMV
    BUESTDVRKZVOWAVQWCWGVNVTVIWGUPVSVMJDVRGHUAUBUDWGVKWBVPDVRVGUEUCTVBVGVMVRANE
    UFUGBNEUFUGCNEUFUGDNEUFUGUHUI $.
    $( [11-Mar-2008] $) $( [9-May-1999] $)

  ${
    crne0.1 $e |- A e. RR $.
    crne0.2 $e |- B e. RR $.
    $( The real representation of complex numbers is nonzero iff one of its
       terms is nonzero. $)
    crne0 $p |- ( ( A =/= 0 \/ B =/= 0 ) <-> ( A + ( i x. B ) ) =/= 0 ) $=
      ( ci cmul co caddc cc0 wceq wn wa wne wo id axicn 0cn mulcl addid2 mul01
      eqtr2 syl6eq 0re cru sylib opreq2 opreqan12d eqtr impbi negbii df-ne
      neorian 3bitr4r ) AEBFGZHGZIJZKAIJZBIJZLZKUOIMAIMBIMNUPUSUPUSUPUOIEIFGZHG
      ZJUSUPUOIVAUPOVAUTIUTEIPQRSZEPTZUAUBABIICDUCUCUDUEUSUOVAIUQURAIUNUTHUQOBI
      EFUFUGVAUTIVBVCUHUBUIUJUOIUKAIBIULUM $.
      $( [11-Mar-2008] $) $( [29-Apr-2005] $)
  $}

  ${
    crmul.1 $e |- A e. CC $.
    crmul.2 $e |- B e. CC $.
    crmul.3 $e |- C e. CC $.
    crmul.4 $e |- D e. CC $.
    $( Multiplication rule for complex number representation.  Remark in
       [Apostol] p. 361.  In normal use, the arguments are the real components
       of two complex numbers, but the theorem works for complex components as
       well. $)
    crmul $p |- ( ( A + ( i x. B ) ) x. ( C + ( i x. D ) ) ) =
      ( ( ( A x. C ) - ( B x. D ) ) + ( i x. ( ( A x. D ) + ( B x. C ) ) ) ) $=
      ( ci cmul co caddc cmin cneg axicn mulcl addcl adddir negcl add4 adddi
      mulass opreq2i eqtr4 mul23 c1 mul4 ixi ax1cn mulcom mulneg1 mulid2
      negeqi 3eqtr opreq12i addcom 3eqtr4 negsub opreq1i 3eqtr3 ) ABIJKZLKZCDIJ
      KZLKZJKZACJKZBDJKZMKZADJKZBCJKZLKZIJKZLKZAIBJKZLKZCIDJKZLKZJKVHIVKJKZLKVE
      AVDJKZVAVDJKZLKZVFVGNZLKZVLLKZVMAVAVDEBIFOPZCVCGDIHOPZQRVFVIIJKZLKZWBVJIJ
      KZLKZLKWCWGWILKZLKWAWDVFWGWBWIACEGPZVIIADEHPZOPVGBDFHPZSZVJIBCFGPZOPZTVSW
      HVTWJLVSVFAVCJKZLKWHACVCEGWFUAWGWRVFLADIEHOUBUCUDVTVACJKZVAVCJKZLKWIWBLKW
      JVACVCWEGWFUAWSWIWTWBLBICFOGUEWTVGIIJKZJKVGUFNZJKZWBBIDIFOHOUGXAXBVGJUHUC
      XCXBVGJKUFVGJKZNWBVGXBWNUFUISUJUFVGUIWNUKXDVGVGWNULUMUNUNUOWIWBWQWOUPUNUO
      VLWKWCLVIVJIWMWPORUCUQWCVHVLLVFVGWLWNURUSUNVBVOVDVQJVAVNALBIFOUJUCVCVPCLD
      IHOUJUCUOVLVRVHLVKIVIVJWMWPQOUJUCUT $.
      $( [11-Mar-2008] $) $( [29-Apr-2005] $)
  $}

  ${
    crrecz.1 $e |- A e. RR $.
    crrecz.2 $e |- B e. RR $.
    $( Reciprocal of a complex number in terms of real and imaginary
       components.  Remark in [Apostol] p. 361. $)
    crrecz $p |- ( ( A =/= 0 \/ B =/= 0 ) -> ( 1 / ( A + ( i x. B ) ) ) =
                    ( ( A - ( i x. B ) ) / ( ( A ^ 2 ) + ( B ^ 2 ) ) ) ) $=
      ( cc0 wne wo c1 ci cmul co caddc cdiv cmin c2 cexp wceq cneg renegcl
      crne0 recn negne0 orbi2i axicn mulneg2 opreq2i mulcl negsub eqtr2 neeq1i
      3bitr4 cc wcel subcl dividt mpan sylbi opreq2d wa ax1cn addcl pm3.2i
      divmuldivt mpanl12 sylancb recclz ax1id syl 3eqtr3rd mulid2 binom2aOLD
      sqcl sqmul i2 opreq1i mulneg1 3eqtr negeqi negneg 3eqtr2 opreq12i syl6eq
      ) AEFZBEFZGZHAIBJKZLKZMKZHAWFNKZJKZWGWIJKZMKZWIAOPKZBOPKZLKZMKWEWHWIWIMKZ
      JKZWHHJKZWLWHWEWPHWHJWEWIEFZWPHQZWCBRZEFZGAIXAJKZLKZEFWEWSAXACBDSTWDXBWCB
      BDUAZUBUCWIXDEXDAWFRZLKWIXCXFALIBUDXEUEUFAWFACUAZIBUDXEUGZUHUIUJUKZWIULUM
      ZWSWTAWFXGXHUNZWIUOUPUQURWGEFZWSWQWLQZWEHULUMZWGULUMZUSXJXJUSXLWSUSXMXNXO
      UTAWFXGXHVAZVBXJXJXKXKVBHWGWIWIVCVDABCDTZXIVEWEWHULUMZWRWHQWEXLXRXQWGXPVF
      UQWHVGVHVIWJWIWKWOMWIXKVJWKWMWFOPKZNKWMXSRZLKWOAWFXGXHVKWMXSAXGVLWFXHVLUH
      XTWNWMLXTHWNJKZRZRYAWNXSYBXSIOPKZWNJKHRZWNJKYBIBUDXEVMYCYDWNJVNVOHWNUTBXE
      VLZVPVQVRYAHWNUTYEUGVSWNYEVJVQUFVTWAWB $.
      $( [11-Mar-2008] $) $( [29-Apr-2005] $)
  $}

  ${
    $d x y z w A $.
    $( The real part of a complex number is unique.  Proposition
       10-1.3 of [Gleason] p. 130. $)
    creur $p |- ( A e. CC -> E! x e. RR E. y e. RR A = ( x + ( i x. y ) ) ) $=
      ( vz vw cc wcel cv ci cmul co caddc wceq cr wrex wa wi wral wreu axcnre
      wex crut pm3.26 syl6bi eqtr2t syl5 an4s ex imp3a an4 syl5ib 19.23advv
      df-rex anbi12i eeanv bitr4 rgen2a jctir opreq1 eqeq2d rexbidv opreq2
      opreq2d cbvrexv syl6bb reu4 sylibr ) CFGZCAHZIBHZJKZLKZMZBNOZANOZVNCDHZIE
      HZJKZLKZMZENOZPZVIVPMZQZDNRANRZPVNANSVHVOWEABCTWDADNVINGZVPNGZPZVJNGZVMPZ
      VQNGZVTPZPZEUABUAZWCWBWHWMWCBEWHWIWKPZVMVTPZPWCWMWHWOWPWCWHWOWPWCQZWFWIWG
      WKWQWFWIPWGWKPPZVLVSMZWCWPWRWSWCVJVQMZPWCVIVJVPVQUBWCWTUCUDCVLVSUEUFUGUHU
      IWIVMWKVTUJUKULWBWJBUAZWLEUAZPWNVNXAWAXBVMBNUMVTENUMUNWJWLBEUOUPUKUQURVNW
      AADNWCVNCVPVKLKZMZBNOWAWCVMXDBNWCVLXCCVIVPVKLUSUTVAXDVTBENWTXCVSCWTVKVRVP
      LVJVQIJVBVCUTVDVEVFVG $.
      $( [11-Mar-2008] $) $( [9-May-1999] $)

    $( The imaginary part of a complex number is unique.  Proposition
       10-1.3 of [Gleason] p. 130. $)
    creui $p |- ( A e. CC -> E! y e. RR E. x e. RR A = ( x + ( i x. y ) ) ) $=
      ( vz vw cc wcel cv ci cmul co caddc wceq cr wrex wa wi wral wreu axcnre
      rexcom sylib wex crut pm3.27 syl6bi eqtr2t syl5 an4s expcom imp3a an4
      syl5ib 19.23advv df-rex anbi12i eeanv bitr4 rgen2a jctir opreq2 opreq2d
      eqeq2d rexbidv opreq1 cbvrexv syl6bb reu4 sylibr ) CFGZCAHZIBHZJKZLKZMZAN
      OZBNOZVPCDHZIEHZJKZLKZMZDNOZPZVLVSMZQZENRBNRZPVPBNSVJVQWGVJVOBNOANOVQABCT
      VOABNNUAUBWFBENVLNGZVSNGZPZVKNGZVOPZVRNGZWBPZPZDUCAUCZWEWDWJWOWEADWJWKWMP
      ZVOWBPZPWEWOWJWQWRWEWQWJWRWEQZWKWHWMWIWSWKWHPWMWIPPZVNWAMZWEWRWTXAVKVRMZW
      EPWEVKVLVRVSUDXBWEUEUFCVNWAUGUHUIUJUKWKVOWMWBULUMUNWDWLAUCZWNDUCZPWPVPXCW
      CXDVOANUOWBDNUOUPWLWNADUQURUMUSUTVPWCBENWEVPCVKVTLKZMZANOWCWEVOXFANWEVNXE
      CWEVMVTVKLVLVSIJVAVBVCVDXFWBADNXBXEWACVKVRVTLVEVCVFVGVHVI $.
      $( [11-Mar-2008] $) $( [9-May-1999] $)
  $}

  $( A real number times the imaginary unit is real only if the number is 0. $)
  rimul $p |- ( ( A e. RR /\ ( i x. A ) e. RR ) -> A = 0 ) $=
    ( cr wcel ci cmul co wa cc0 wceq caddc cc recnt axicn 0cn mulcl axaddcom
    mpan mul01 opreq1i syl5eqr syl adantl wb 0re crut mpanr2 mpanl1 mpbid
    pm3.27d ) ABCZDAEFZBCZGZHUKIZAHIZUMHUKJFZUKDHEFZJFZIZUNUOGZULUSUJULUKKCZUSU
    KLVAUQUKJFZURUPUQKCVAVBURIDHMNOUQUKPQUQHUKJDMRSTUAUBHBCZUJULUSUTUCZUDVCUJGU
    LVCVDUDHAUKHUEUFUGUHUI $.
    $( [11-Mar-2008] $) $( [28-May-1999] $)

  ${
    $( The sequence ` NN ` , ` ZZ ` , ` QQ ` , ` RR ` , and ` CC ` forms
       a chain of proper subsets.  In each case the proper subset
       relationship is shown by demonstrating a number that belongs to
       one set but not the other.  We show that zero belongs to ` ZZ `
       but not ` NN ` , one-half belongs to ` QQ ` but not ` ZZ ` ,
       the square root of 2 belongs to ` RR ` but not ` QQ ` , and finally
       that the imaginary number ` i ` belongs to ` CC ` but not ` RR ` .
       See ~ nthruz for a further refinement. $)
    nthruc $p |- ( ( NN (. ZZ /\ ZZ (. QQ ) /\ ( QQ (. RR /\ RR (. CC ) ) $=
      ( cn cz wpss cq wa cr cc wss cc0 wcel wn nnssz 0z 0nnn pm3.2i ssnelpss
      mp2 c1 c2 cdiv co zssq 1z 2nn znq mp2an halfnz csqr cfv qssre sqr2re
      wnel sqr2irr df-nel mpbi ci axresscn axicn inelr ) ABCZBDCZEDFCZFGCZEUTVA
      ABHIBJZIAJKZEUTLVDVEMNOABIPQBDHRSTUAZDJZVFBJKZEVAUBVGVHRBJSAJVGUCUDRSUEUF
      UGOBDVFPQOVBVCDFHSUHUIZFJZVIDJKZEVBUJVJVKUKVIDULVKUMVIDUNUOODFVIPQFGHUPGJ
      ZUPFJKZEVCUQVLVMURUSOFGUPPQOO $.
      $( [12-Jan-2002] $)
  $}

  ${
    $( The sequence ` NN ` , ` NN0 ` , and ` ZZ ` forms a chain of proper
       subsets.  In each case the proper subset relationship is shown by
       demonstrating a number that belongs to one set but not the other.  We
       show that zero belongs to ` NN0 ` but not ` NN ` and minus one belongs
       to ` ZZ ` but not ` NN0 ` .  This theorem refines the chain of proper
       subsets ~ nthruc . $)
    nthruz $p |- ( NN (. NN0 /\ NN0 (. ZZ ) $=
      ( cn cn0 wpss cz wss cc0 wcel wn wa nnssnn0 0nn0 0nnn pm3.2i ssnelpss
      mp2 c1 cneg nn0ssz 1nn nnnegz ax-mp cr clt wbr 1re renegcl neg0 lt01
      eqbrtr 0re ltnegcon1 mpbir lt0nnn0 mp2an ) ABCZBDCZABEFBGZFAGHZIUOJUQURKL
      MABFNOBDEPQZDGZUSBGHZIUPRUTVAPAGUTSPTUAUSUBGUSFUCUDZVAPUEUFVBFQZPUCUDVCFP
      UCUGUHUIPFUEUJUKULUSUMUNMBDUSNOM $.
      $( [25-Jul-2004] $) $( [9-May-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Real and imaginary parts; conjugate; absolute value
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Re $. $( Real part of a complex number. $)
  $c Im $. $( Imaginary part of a complex number. $)
  $c * $. $( Complex conjugate function. $)
  $c abs $. $( Absolute value function. $)

  $( Extend class notation to include real part of a complex number. $)
  cre $a class Re $.

  $( Extend class notation to include imaginary part of a complex number. $)
  cim $a class Im $.

  $( Extend class notation to include complex conjugate function. $)
  ccj $a class * $.

  $( Extend class notation to include a function for the absolute value
     (modulus) of a complex number. $)
  cabs $a class abs $.

  ${
    $d x y z w $.
    $( Define a function whose value is the real part of a complex number.
       See ~ revalt for its value, ~ recl for its closure, and ~ replimt
       for its use in decomposing a complex number. $)
    df-re $a |- Re = { <. x , y >. | ( x e. CC /\
                  y = U. { z e. RR | E. w e. RR x = ( z + ( i x. w ) ) } ) } $.

    $( Define a function whose value is the imaginary part of a complex
       number.  See ~ imvalt for its value, ~ imcl for its closure, and
       ~ replimt for its use in decomposing a complex number. $)
    df-im $a |- Im = { <. x , y >. | ( x e. CC /\
                  y = U. { w e. RR | E. z e. RR x = ( z + ( i x. w ) ) } ) } $.

    $( Define the complex conjugate function.  See ~ cjcl for its closure and
       ~ cjvalt for its value. $)
    df-cj $a |- * = { <. x , y >. | ( x e. CC /\
                        y = ( ( Re ` x ) - ( i x. ( Im ` x ) ) ) ) } $.

    $( Define the function for the absolute value (modulus) of a complex
       number.  See ~ abscl for its closure and ~ absvalt or ~ absval2
       for its value. $)
    df-abs $a |- abs = { <. x , y >. | ( x e. CC /\ y = ( sqr `
                 ( x x. ( * ` x ) ) ) ) } $.
  $}

  ${
    $d x y z w A $.
    $( The value of the real part of a complex number. $)
    revalt $p |- ( A e. CC ->
        ( Re ` A ) = U. { x e. RR | E. y e. RR A = ( x + ( i x. y ) ) } ) $=
      ( vz vw cv ci cmul co caddc wceq cr wrex crab cuni cc cre eqeq1 rexbidv
      rabbisdv unieqd df-re reex rabex uniex fvopab4 ) DECDFZAFGBFHIJIZKZBLMZAL
      NZOCUHKZBLMZALNZOPQUGCKZUKUNUOUJUMALUOUIULBLUGCUHRSTUADEABUBUNUMALUCUDUEU
      F $.
      $( [11-Mar-2008] $) $( [9-May-1999] $)

    $( The value of the imaginary part of a complex number. $)
    imvalt $p |- ( A e. CC ->
        ( Im ` A ) = U. { y e. RR | E. x e. RR A = ( x + ( i x. y ) ) } ) $=
      ( vz vw cv ci cmul co caddc wceq cr wrex crab cuni cc cim eqeq1 rexbidv
      rabbisdv unieqd df-im reex rabex uniex fvopab4 ) DECDFZAFGBFHIJIZKZALMZBL
      NZOCUHKZALMZBLNZOPQUGCKZUKUNUOUJUMBLUOUIULALUGCUHRSTUADEABUBUNUMBLUCUDUEU
      F $.
      $( [11-Mar-2008] $) $( [9-May-1999] $)

    $( The real part of a complex number is real. $)
    reclt $p |- ( A e. CC -> ( Re ` A ) e. RR ) $=
      ( vx vy cc wcel cre cfv cv ci cmul co caddc wceq cr wrex crab cuni
      revalt wreu creur reucl syl eqeltrd ) ADEZAFGABHICHJKLKMCNOZBNPQZNBCARUDU
      EBNSUFNEBCATUEBNUAUBUC $.
      $( [9-May-1999] $)

    $( The imaginary part of a complex number is real. $)
    imclt $p |- ( A e. CC -> ( Im ` A ) e. RR ) $=
      ( vy vx cc wcel cim cfv cv ci cmul co caddc wceq cr wrex crab cuni
      imvalt wreu creui reucl syl eqeltrd ) ADEZAFGABHICHJKLKMBNOZCNPQZNBCARUDU
      ECNSUFNEBCATUECNUAUBUC $.
      $( [9-May-1999] $)

    $( Domain and codomain of the real part function.  (Contributed by Paul
       Chapman, 22-Oct-2007.) $)
    ref $p |- Re : CC --> RR $=
      ( vx vy vz vw cc cr cre wf wfn cv cfv wcel wral ffnfv ci cmul co caddc
      wceq wrex crab cuni reex rabex uniex df-re fnopab2 reclt rgen mpbir2an )
      EFGHGEIAJZGKFLZAEMAEFGNABEUKCJODJPQRQSDFTZCFUAZUBGUNUMCFUCUDUEABCDUFUGULA
      EUKUHUIUJ $.
      $( [22-Oct-2007] $) $( [22-Oct-2007] $)

    $( Domain and codomain of the imaginary part function. (Contributed by Paul
       Chapman, 22-Oct-2007.) $)
    imf $p |- Im : CC --> RR $=
      ( vx vy vw vz cc cr cim wf wfn cv cfv wcel wral ffnfv ci cmul co caddc
      wceq wrex crab cuni reex rabex uniex df-im fnopab2 imclt rgen mpbir2an )
      EFGHGEIAJZGKFLZAEMAEFGNABEUKCJODJPQRQSCFTZDFUAZUBGUNUMDFUCUDUEABCDUFUGULA
      EUKUHUIUJ $.
      $( [22-Oct-2007] $) $( [22-Oct-2007] $)

    $( Reconstruct a complex number from its real and imaginary parts. $)
    replimt $p |- ( A e. CC -> A = ( ( Re ` A ) + ( i x. ( Im ` A ) ) ) ) $=
      ( vx vy cc wcel cv cr wa ci cim cfv cmul co caddc wceq cre wex wrex eqid
      wb imclt wi opreq2 opreq2d eqeq2d rexbidv eqeq2 bibi12d imbi2d crab cuni
      wreu reuuni1 creui sylan2 imvalt eqeq1d adantl bitr4d ex vtoclga mpcom
      mpbiri df-rex sylib reclt opreq1 creur revalt jca an4 2exbii eeanv bitr
      sylibr pm3.26 ad2antll a1d ancld ancrd anim12d imp crut syl eqtr2t
      syl5bi imp32 pm3.26d opreq1d eqtrd 19.23advv mpd ) ADEZBFZGEZCFZGEZHZAWNI
      AJKZLMZNMZOZAAPKZIWPLMZNMZOZHZHZCQBQZAXCWTNMZOZWMWOXBHZBQZWQXFHZCQZHZXIWM
      XMXOWMXBBGRZXMWMXQWSWSOZWSSWSGEZWMXQXRTZAUAZWMAWNXDNMZOZBGRZWSWPOZTZUBWMX
      TUBCWSGWPWSOZYFXTWMYGYDXQYEXRYGYCXBBGYGYBXAAYGXDWTWNNWPWSILUCUDUEUFWPWSWS
      UGUHUIWQWMYFWQWMHYDYDCGUJUKZWPOZYEWQYDCGULYDYITWMYDCGUMBCAUNUOWMYEYITWQWM
      WSYHWPBCAUPUQURUSUTVAVBVCXBBGVDVEWMXFCGRZXOWMYJXCXCOZXCSXCGEZWMYJYKTZAVFZ
      WMYCCGRZXCWNOZTZUBWMYMUBBXCGWNXCOZYQYMWMYRYOYJYPYKYRYCXFCGYRYBXEAWNXCXDNV
      GUEUFWNXCXCUGUHUIWOWMYQWOWMHYOYOBGUJUKZWNOZYPWOYOBGULYOYTTWMYOBGUMBCAVHUO
      WMYPYTTWOWMXCYSWNBCAVIUQURUSUTVAVBVCXFCGVDVEVJXIXLXNHZCQBQXPXHUUABCWOWQXB
      XFVKVLXLXNBCVMVNVOWMXHXKBCWMXHXKWMXHHZAXAXJXGXBWMWRXBXFVPVQUUBWNXCWTNUUBY
      RYEWMWRXGYRYEHZWMWRXGUUCUBWMWRHZXAXEOZUUCXGUUDWOXSHZYLWQHZHZUUEUUCTWMWRUU
      HWMWOUUFWQUUGWMWOXSWMXSWOYAVRVSWMWQYLWMYLWQYNVRVTWAWBWNWSXCWPWCWDAXAXEWEW
      FUTWGWHWIWJUTWKWL $.
      $( [11-Mar-2008] $) $( [10-May-1999] $)

    $( The absolute value (modulus) of a complex number.  Proposition
       10-3.7(a) of [Gleason] p. 133. $)
    absvalt $p |- ( A e. CC -> ( abs ` A ) = ( sqr ` ( A x. ( * ` A ) ) ) ) $=
      ( vx vy cv ccj cfv cmul co csqr cc cabs wceq id fveq2 opreq12d fveq2d
      df-abs fvex fvopab4 ) BCABDZTEFZGHZIFAAEFZGHZIFJKTALZUBUDIUETAUAUCGUEMTAE
      NOPBCQUDIRS $.
      $( [27-Jul-1999] $)
  $}

  ${
    $d x y A $.
    $( Value of the conjugate of a complex number.  The value is the real part
       minus ` i ` times the imaginary part.  Definition 10-3.2 of [Gleason]
       p. 132. $)
    cjvalt $p |- ( A e. CC ->
                      ( * ` A ) = ( ( Re ` A ) - ( i x. ( Im ` A ) ) ) ) $=
      ( vx vy cv cre cfv ci cim cmul co cmin cc ccj wceq fveq2 opreq2d
      opreq12d df-cj oprex fvopab4 ) BCABDZEFZGUAHFZIJZKJAEFZGAHFZIJZKJLMUAANZU
      BUEUDUGKUAAEOUHUCUFGIUAAHOPQBCRUEUGKST $.
      $( [11-Mar-2008] $) $( [10-May-1999] $)
  $}

  $( The conjugate of a complex number is a complex number (closure law). $)
  cjclt $p |- ( A e. CC -> ( * ` A ) e. CC ) $=
    ( cc wcel ccj cfv cre ci cim cmul co cmin cjvalt subclt reclt recnd
    axmulcl axicn a1i imclt sylanc eqeltrd ) ABCZADEAFEZGAHEZIJZKJZBALUCBCUEBCZ
    UFBCUBUCUEMUBUCANOGBCZUDBCUGUBGUDPUHUBQRUBUDASOTTUA $.
    $( [10-May-1999] $)

  ${
    recl.1 $e |- A e. CC $.
    $( The real part of a complex number is real (closure law). $)
    recl $p |- ( Re ` A ) e. RR $=
      ( cc wcel cre cfv cr reclt ax-mp ) ACDAEFGDBAHI $.
      $( [11-May-1999] $)

    $( The imaginary part of a complex number is real (closure law). $)
    imcl $p |- ( Im ` A ) e. RR $=
      ( cc wcel cim cfv cr imclt ax-mp ) ACDAEFGDBAHI $.
      $( [11-May-1999] $)

    $( Closure law for complex conjugate. $)
    cjcl $p |- ( * ` A ) e. CC $=
      ( cc wcel ccj cfv cjclt ax-mp ) ACDAEFCDBAGH $.
      $( [11-May-1999] $)

    $( Construct a complex number from its real and imaginary parts. $)
    replim $p |- A = ( ( Re ` A ) + ( i x. ( Im ` A ) ) ) $=
      ( cc wcel cre cfv ci cim cmul co caddc wceq replimt ax-mp ) ACDAAEFGAHFIJ
      KJLBAMN $.
      $( [11-Mar-2008] $) $( [1-Oct-1999] $)
  $}

  $( The real part of a complex number representation.  Definition 10-3.1 of
     [Gleason] p. 132. $)
  crret $p |- ( ( A e. RR /\ B e. RR ) -> ( Re ` ( A + ( i x. B ) ) ) = A ) $=
    ( cr wcel wa ci cmul co caddc cre cfv wceq cim cc axaddcl recnt axicn
    axmulcl mpan syl syl2an replimt eqcomd wb reclt imclt jca crut mpancom
    mpbid pm3.26d ) ACDZBCDZEZAFBGHZIHZJKZALZUPMKZBLZUNUQFUSGHIHZUPLZURUTEZUNUP
    VAUNUPNDZUPVALANDUONDZVDULUMAUOOAPUMBNDZVEBPFNDVFVEQFBRSTUAZUPUBTUCUQCDZUSC
    DZEUNVBVCUDUNVHVIUNVDVHVGUPUETUNVDVIVGUPUFTUGUQUSABUHUIUJUK $.
    $( [11-Mar-2005] $) $( [12-May-2005] $)

  $( The real part of a complex number representation.  Definition 10-3.1 of
     [Gleason] p. 132. $)
  crimt $p |- ( ( A e. RR /\ B e. RR ) -> ( Im ` ( A + ( i x. B ) ) ) = B ) $=
    ( cr wcel wa ci cmul co caddc cre cfv wceq cim cc axaddcl recnt axicn
    axmulcl mpan syl syl2an replimt eqcomd wb reclt imclt jca crut mpancom
    mpbid pm3.27d ) ACDZBCDZEZAFBGHZIHZJKZALZUPMKZBLZUNUQFUSGHIHZUPLZURUTEZUNUP
    VAUNUPNDZUPVALANDUONDZVDULUMAUOOAPUMBNDZVEBPFNDVFVEQFBRSTUAZUPUBTUCUQCDZUSC
    DZEUNVBVCUDUNVHVIUNVDVHVGUPUETUNVDVIVGUPUFTUGUQUSABUHUIUJUK $.
    $( [11-Mar-2005] $) $( [12-May-2005] $)

  ${
    crre.1 $e |- A e. RR $.
    crre.2 $e |- B e. RR $.
    $( The real part of a complex number representation.  Definition 10-3.1 of
       [Gleason] p. 132. $)
    crre $p |- ( Re ` ( A + ( i x. B ) ) ) = A $=
      ( cr wcel ci cmul co caddc cre cfv wceq crret mp2an ) AEFBEFAGBHIJIKLAMCD
      ABNO $.
      $( [11-Mar-2005] $) $( [10-May-1999] $)

    $( The imaginary part of a complex number representation.  Definition
       10-3.1 of [Gleason] p. 132. $)
    crim $p |- ( Im ` ( A + ( i x. B ) ) ) = B $=
      ( cr wcel ci cmul co caddc cim cfv wceq crimt mp2an ) AEFBEFAGBHIJIKLBMCD
      ABNO $.
      $( [11-Mar-2005] $) $( [10-May-1999] $)
  $}

  $( The imaginary part of a complex number in terms of the real part
     function. $)
  imret $p |- ( A e. CC -> ( Im ` A ) = ( Re ` ( -u i x. A ) ) ) $=
    ( cc wcel ci cneg cmul co cre cfv cim caddc replimt opreq2d wceq axicn
    negcl axdistr mp3an1 reclt recnd imclt mulclt mpan syl sylanc mulneg12t
    mulasst mp3an12 c1 mulid2t mulneg1 ixi negeqi ax1cn negneg eqtr opreq1i
    syl5eq eqtr3d opreq12d addcomt negclt eqtrd 3eqtrd fveq2d cr crret
    renegclt eqtr2d ) ABCZDEZAFGZHIAJIZDAHIZEZFGZKGZHIZVMVJVLVQHVJVLVKVNDVMFGZK
    GZFGZVKVNFGZVKVSFGZKGZVQVJAVTVKFALMVNBCZVSBCZWAWDNZVJVKBCZWEWFWGDOPZVKVNVSQ
    RVJVNASZTZVJVMBCZWFVJVMAUAZTZDBCZWLWFODVMUBUCUDUEVJWDVPVMKGZVQVJWBVPWCVMKVJ
    WEWBVPNZWKWOWEWQODVNUFUCUDVJVKDFGZVMFGZWCVMVJWLWSWCNZWNWHWOWLWTWIOVKDVMUGUH
    UDVJUIVMFGZVMWSVJWLXAVMNWNVMUJUDWRUIVMFWRDDFGZEZUIDDOOUKXCUIEZEUIXBXDULUMUI
    UNUOUPUPUQURUSUTVPBCZWLWPVQNVJVPVMVAVJVOBCZXEVJWEXFWKVNVBUDWOXFXEODVOUBUCUD
    WNUEVCVDVEVMVFCVOVFCZVRVMNVJVMVOVGWMVJVNVFCXGWJVNVHUDUEVI $.
    $( [30-Jul-2008] $) $( [12-May-2005] $)

  $( The imaginary part of a real number is 0. $)
  reim0t $p |- ( A e. RR -> ( Im ` A ) = 0 ) $=
    ( cim cfv cr wcel ci cmul co cc0 wceq rimul cc recnt imclt syl cre cmin
    caddc replimt eqcomd wb subaddt reclt recnd axicn axmulcl mpan syl3anc
    mpbird resubclt mpdan eqeltrrd sylanc ) ABCZDEZFUNGHZDEUNIJADEZUNKUQALEZUOA
    MZANOZUQAAPCZQHZUPDUQVBUPJZVAUPRHZAJZUQAVDUQURAVDJUSASOTURVALEZUPLEZVCVEUAU
    QAVAUPUBUSUQVADEZVFUQURVHUSAUCOZVAMOUQUNLEZVGUQUNUTUDFLEVJVGUEFUNUFUGOUHUIU
    QVHVBDEVIAVAUJUKULUM $.
    $( [19-Mar-2005] $) $( [18-Mar-2005] $)

  $( A number is real iff its imaginary part is 0. $)
  reim0bt $p |- ( A e. CC -> ( A e. RR <-> ( Im ` A ) = 0 ) ) $=
    ( cc wcel cr cim cfv cc0 wceq reim0t wa cre ci cmul co caddc replimt
    adantr opreq2 axicn mul01 syl6eq opreq2d reclt recnd ax0id syl sylan9eqr
    eqtrd eqeltrd ex impbid2 ) ABCZADCZAEFZGHZAIULUOUMULUOJZAAKFZDUPAUQLUNMNZON
    ZUQULAUSHUOAPQUOULUSUQGONZUQUOURGUQOUOURLGMNGUNGLMRLSTUAUBULUQBCUTUQHULUQAU
    CZUDUQUEUFUGUHULUQDCUOVAQUIUJUK $.
    $( [24-Jul-2008] $) $( [26-Sep-2005] $)

  ${
    cjcj.1 $e |- A e. CC $.
    $( The conjugate of the conjugate is the original complex number.
       Proposition 10-3.4(e) of [Gleason] p. 133. $)
    cjcj $p |- ( * ` ( * ` A ) ) = A $=
      ( ccj cfv cre ci cim cmul co cmin cneg caddc recl recn axicn imcl mulcl
      negsub mulneg2 opreq2i cc wcel wceq cjvalt ax-mp 3eqtr4r fveq2i renegcl
      crre eqtr crim 3eqtr opreq12i cjcl replim subneg eqtr4 3eqtr4 ) ACDZEDZFU
      SGDZHIZJIZAEDZFAGDZHIZKZJIZUSCDZAUTVDVBVGJUTVDFVEKZHIZLIZEDVDUSVLEVDVGLIV
      DVFJIZVLUSVDVFVDABMZNZFVEOVEABPZNZQZRVKVGVDLFVEOVQSZTAUAUBUSVMUCBAUDUEUFZ
      UGVDVJVNVEVPUHZUIUJVBFVLGDZHIVKVGVAWBFHUSVLGVTUGTWBVJFHVDVJVNWAUKTVSULUMU
      SUAUBVIVCUCABUNUSUDUEAVDVFLIVHABUOVDVFVOVRUPUQUR $.
      $( [11-May-1999] $)

    $( A number is real iff its imaginary part is 0. $)
    reim0b $p |- ( A e. RR <-> ( Im ` A ) = 0 ) $=
      ( cc wcel cr cim cfv cc0 wceq wb reim0bt ax-mp ) ACDAEDAFGHIJBAKL $.
      $( [29-May-1999] $)

    $( A real number equals its real part.  Proposition 10-3.4(f) of [Gleason]
       p. 133. $)
    rereb $p |- ( A e. RR <-> ( Re ` A ) = A ) $=
      ( cr wcel cre cfv wceq cc0 caddc co ci cim cmul reim0b opreq2 sylbi
      axicn mul01 syl6eq opreq2d replim syl5req recl recn addid1 syl5eqr eleq1
      mpbii impbi ) ACDZAEFZAGZUJUKHIJZAUKUJUKKALFZMJZIJUMAUJUOHUKIUJUOKHMJZHUJ
      UNHGUOUPGABNUNHKMOPKQRSTABUAUBUKUKABUCZUDUEUFULUKCDUJUQUKACUGUHUI $.
      $( [24-Jul-2008] $) $( [27-Oct-1999] $)

    $( A number is real iff it equals its complex conjugate.  Proposition
       10-3.4(f) of [Gleason] p. 133. $)
    cjreb $p |- ( A e. RR <-> ( * ` A ) = A ) $=
      ( cr wcel cim cfv cc0 wceq ccj reim0b cneg imcl recn eqneg ci cmul co
      axicn mulneg2 eqeq2i negcl ine0 mulcan cre caddc replim cmin cc cjvalt
      ax-mp recl mulcl negsub eqtr4 eqeq12i addcan bitr2 3bitr3 bitr3 eqcom
      3bitr ) ACDAEFZGHZAAIFZHZVDAHABJVCVBVBKZHZVEVBVBABLMZNOVBPQZOVFPQZHVIVIKZ
      HZVGVEVJVKVIOVBRVHSTOVBVFRVHVBVHUAUBUCVEAUDFZVIUEQZVMVKUEQZHVLAVNVDVOABUF
      VDVMVIUGQZVOAUHDVDVPHBAUIUJVMVIVMABUKMZOVBRVHULZUMUNUOVMVIVKVQVRVIVRUAUPU
      QURUSAVDUTVA $.
      $( [11-Oct-1999] $)

    $( Real part of a complex conjugate. $)
    recj $p |- ( Re ` ( * ` A ) ) = ( Re ` A ) $=
      ( ccj cfv cre ci cim cneg cmul co caddc cmin recl recn axicn imcl mulcl
      negsub mulneg2 opreq2i cc wcel wceq cjvalt ax-mp 3eqtr4r fveq2i renegcl
      crre eqtr ) ACDZEDAEDZFAGDZHZIJZKJZEDULUKUPEULFUMIJZHZKJULUQLJZUPUKULUQUL
      ABMZNFUMOUMABPZNZQRUOURULKFUMOVBSTAUAUBUKUSUCBAUDUEUFUGULUNUTUMVAUHUIUJ
      $.
      $( [2-Oct-1999] $)

    $( Imaginary part of a complex conjugate. $)
    imcj $p |- ( Im ` ( * ` A ) ) = -u ( Im ` A ) $=
      ( ccj cfv cim cre ci cneg cmul co caddc cmin recl recn axicn imcl mulcl
      negsub mulneg2 opreq2i cc wcel wceq cjvalt ax-mp 3eqtr4r fveq2i renegcl
      crim eqtr ) ACDZEDAFDZGAEDZHZIJZKJZEDUNUKUPEULGUMIJZHZKJULUQLJZUPUKULUQUL
      ABMZNGUMOUMABPZNZQRUOURULKGUMOVBSTAUAUBUKUSUCBAUDUEUFUGULUNUTUMVAUHUIUJ
      $.
      $( [2-Oct-1999] $)

    ${
      readd.2 $e |- B e. CC $.
      $( Real part distributes over addition. $)
      readd $p |- ( Re ` ( A + B ) ) = ( ( Re ` A ) + ( Re ` B ) ) $=
        ( caddc co cre cfv ci cim cmul recl recn axicn imcl mulcl add4 replim
        opreq12i adddi opreq2i 3eqtr4 fveq2i readdcl crre eqtr ) ABEFZGHAGHZBGH
        ZEFZIAJHZBJHZEFZKFZEFZGHUJUGUOGUHIUKKFZEFZUIIULKFZEFZEFUJUPUREFZEFUGUOU
        HUPUIURUHACLZMIUKNUKACOZMZPUIBDLZMIULNULBDOZMZPQAUQBUSEACRBDRSUNUTUJEIU
        KULNVCVFTUAUBUCUJUMUHUIVAVDUDUKULVBVEUDUEUF $.
        $( [28-Jul-1999] $)

      $( Imaginary part distributes over addition. $)
      imadd $p |- ( Im ` ( A + B ) ) = ( ( Im ` A ) + ( Im ` B ) ) $=
        ( caddc co cim cfv cre ci cmul recl recn axicn imcl mulcl add4 replim
        opreq12i adddi opreq2i 3eqtr4 fveq2i readdcl crim eqtr ) ABEFZGHAIHZBIH
        ZEFZJAGHZBGHZEFZKFZEFZGHUMUGUOGUHJUKKFZEFZUIJULKFZEFZEFUJUPUREFZEFUGUOU
        HUPUIURUHACLZMJUKNUKACOZMZPUIBDLZMJULNULBDOZMZPQAUQBUSEACRBDRSUNUTUJEJU
        KULNVCVFTUAUBUCUJUMUHUIVAVDUDUKULVBVEUDUEUF $.
        $( [28-Jul-1999] $)

      $( Real part of a product. $)
      remul $p |- ( Re ` ( A x. B ) ) =
            ( ( ( Re ` A ) x. ( Re ` B ) ) - ( ( Im ` A ) x. ( Im ` B ) ) ) $=
        ( cmul co cre cfv cim cmin ci caddc replim opreq12i recl recn imcl
        crmul eqtr fveq2i remulcl resubcl readdcl crre ) ABEFZGHAGHZBGHZEFZAIHZ
        BIHZEFZJFZKUFUJEFZUIUGEFZLFZEFLFZGHULUEUPGUEUFKUIEFLFZUGKUJEFLFZEFUPAUQ
        BUREACMBDMNUFUIUGUJUFACOZPUIACQZPUGBDOZPUJBDQZPRSTULUOUHUKUFUGUSVAUAUIU
        JUTVBUAUBUMUNUFUJUSVBUAUIUGUTVAUAUCUDS $.
        $( [28-Jul-1999] $)

      $( Imaginary part of a product. $)
      immul $p |- ( Im ` ( A x. B ) ) =
            ( ( ( Re ` A ) x. ( Im ` B ) ) + ( ( Im ` A ) x. ( Re ` B ) ) ) $=
        ( cmul co cim cfv cre cmin ci caddc replim opreq12i recl recn imcl
        crmul eqtr fveq2i remulcl resubcl readdcl crim ) ABEFZGHAIHZBIHZEFZAGHZ
        BGHZEFZJFZKUFUJEFZUIUGEFZLFZEFLFZGHUOUEUPGUEUFKUIEFLFZUGKUJEFLFZEFUPAUQ
        BUREACMBDMNUFUIUGUJUFACOZPUIACQZPUGBDOZPUJBDQZPRSTULUOUHUKUFUGUSVAUAUIU
        JUTVBUAUBUMUNUFUJUSVBUAUIUGUTVAUAUCUDS $.
        $( [28-Jul-1999] $)

      $( Complex conjugate distributes over addition.  Proposition 10-3.4(a) of
         [Gleason] p. 133. $)
      cjadd $p |- ( * ` ( A + B ) ) = ( ( * ` A ) + ( * ` B ) ) $=
        ( caddc co cre cfv ci cim cmul cmin ccj readd imadd opreq2i axicn imcl
        recn adddi eqtr opreq12i recl mulcl addsub4 cc wcel wceq addcl cjvalt
        ax-mp 3eqtr4 ) ABEFZGHZIUMJHZKFZLFZAGHZIAJHZKFZLFZBGHZIBJHZKFZLFZEFZUMM
        HZAMHZBMHZEFUQURVBEFZUTVDEFZLFVFUNVJUPVKLABCDNUPIUSVCEFZKFVKUOVLIKABCDO
        PIUSVCQUSACRSZVCBDRSZTUAUBURVBUTVDURACUCSVBBDUCSIUSQVMUDIVCQVNUDUEUAUMU
        FUGVGUQUHABCDUIUMUJUKVHVAVIVEEAUFUGVHVAUHCAUJUKBUFUGVIVEUHDBUJUKUBUL $.
        $( [28-Jul-1999] $)

      $( Complex conjugate distributes over multiplication.  Proposition
         10-3.4(c) of [Gleason] p. 133. $)
      cjmul $p |- ( * ` ( A x. B ) ) = ( ( * ` A ) x. ( * ` B ) ) $=
        ( cmul co cre cfv ci cim cmin cneg caddc ccj recl recn mulcl imcl
        subcl axicn addcl negsub mul2neg eqcomi opreq2i mulneg2 negdi mulneg1
        opreq12i eqtr4 eqtr3 remul immul negcl crmul 3eqtr4 cc wcel wceq
        cjvalt ax-mp 3eqtr4r ) ABEFZGHZIVCJHZEFZKFZAGHZIAJHZLZEFZMFZBGHZIBJHZLZ
        EFZMFZEFZVCNHZANHZBNHZEFVHVMEFZVIVNEFZKFZIVHVNEFZVIVMEFZMFZEFZKFZWBVJVO
        EFZKFZIVHVOEFZVJVMEFZMFZEFZMFZVGVRWDWHLZMFWIWPWDWHWBWCVHVMVHACOPZVMBDOP
        ZQVIVNVIACRPZVNBDRPZQSIWGTWEWFVHVNWRXAQZVIVMWTWSQZUAZQUBWDWKWQWOMWCWJWB
        KWJWCVIVNWTXAUCUDUEIWGLZEFWQWOIWGTXDUFXEWNIEXEWELZWFLZMFWNWEWFXBXCUGWLX
        FWMXGMVHVNWRXAUFVIVMWTWSUHUIUJUEUKUIUKVDWDVFWHKABCDULVEWGIEABCDUMUEUIVH
        VJVMVOWRVIWTUNWSVNXAUNUOUPVCUQURVSVGUSABCDQVCUTVAVTVLWAVQEVHIVIEFZLZMFV
        HXHKFZVLVTVHXHWRIVITWTQUBVKXIVHMIVITWTUFUEAUQURVTXJUSCAUTVAVBVMIVNEFZLZ
        MFVMXKKFZVQWAVMXKWSIVNTXAQUBVPXLVMMIVNTXAUFUEBUQURWAXMUSDBUTVAVBUIUP $.
        $( [28-Jul-1999] $)

      $( Standard inner product on complex numbers. $)
      ipcn $p |- ( Re ` ( A x. ( * ` B ) ) ) =
             ( ( ( Re ` A ) x. ( Re ` B ) ) + ( ( Im ` A ) x. ( Im ` B ) ) ) $=
        ( ccj cfv cmul co cre cim cmin cneg caddc cjcl remul recl remulcl recn
        imcl negsub recj opreq2i wceq imcj negcon2 mpbi mulneg2 eqtr2 opreq12i
        3eqtr2 ) ABEFZGHIFAIFZUKIFZGHZAJFZUKJFZGHZKHUNUQLZMHULBIFZGHZUOBJFZGHZM
        HAUKCBDNZOUNUQUNULUMACPUKVCPQRUQUOUPACSZUKVCSZQRTUNUTURVBMUMUSULGBDUAUB
        VBUOUPLZGHURVAVFUOGUPVALUCVAVFUCBDUDUPVAUPVERZVABDSRUEUFUBUOUPUOVDRVGUG
        UHUIUJ $.
        $( [2-Oct-1999] $)
    $}

    $( A complex number times its conjugate is real. $)
    cjmulrcl $p |- ( A x. ( * ` A ) ) e. RR $=
      ( ccj cfv cmul co cr wcel wceq cjcj opreq2i cjcl cjmul mulcom 3eqtr4
      mulcl cjreb mpbir ) AACDZEFZGHTCDZTISSCDZEFSAEFUATUBASEABJKASBABLZMASBUCN
      OTASBUCPQR $.
      $( [11-May-1999] $)

    $( A complex number times its conjugate. $)
    cjmulval $p |- ( A x. ( * ` A ) ) =
                   ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) $=
      ( cre cfv c2 cexp co cim caddc cmul ccj recl recn sqval imcl opreq12i
      ipcn cr wcel wceq cjmulrcl rereb mpbi 3eqtr2r ) ACDZEFGZAHDZEFGZIGUEUEJGZ
      UGUGJGZIGAAKDJGZCDZUKUFUIUHUJIUEUEABLMNUGUGABOMNPAABBQUKRSULUKTABUAZUKUKU
      MMUBUCUD $.
      $( [2-Oct-1999] $)

    $( A complex number times its conjugate is nonnegative. $)
    cjmulge0 $p |- 0 <_ ( A x. ( * ` A ) ) $=
      ( cc0 cre cfv c2 cexp co cim caddc ccj cmul cle wbr recl sqge0 imcl
      resqcl addge0 mp2an cjmulval breqtrr ) CADEZFGHZAIEZFGHZJHZAAKELHMCUDMNCU
      FMNCUGMNUCABOZPUEABQZPUDUFUCUHRUEUIRSTABUAUB $.
      $( [28-May-1999] $)

    $( Real part of negative. $)
    reneg $p |- ( Re ` -u A ) = -u ( Re ` A ) $=
      ( cneg cre cfv ci cim cmul co caddc recl recn axicn imcl mulcl negdi
      replim negeqi mulneg2 opreq2i 3eqtr4 fveq2i renegcl crre eqtr ) ACZDEADEZ
      CZFAGEZCZHIZJIZDEUHUFULDUGFUIHIZJIZCUHUMCZJIUFULUGUMUGABKZLFUIMUIABNZLZOP
      AUNABQRUKUOUHJFUIMURSTUAUBUHUJUGUPUCUIUQUCUDUE $.
      $( [24-Jul-2008] $) $( [2-Aug-1999] $)

    $( The negative of a real is real. $)
    negreb $p |- ( -u A e. RR <-> A e. RR ) $=
      ( cneg cr wcel cre cfv wceq negcl rereb reneg eqeq1i recl recn neg11
      3bitr eleq1 mpbii sylbi renegclt impbi ) ACZDEZADEZUCAFGZAHZUDUCUBFGZUBHU
      ECZUBHUFUBABIJUGUHUBABKLUEAUEABMZNBOPUFUEDEUDUIUEADQRSATUA $.
      $( [11-Aug-1999] $)

    $( Imaginary part of negative. $)
    imneg $p |- ( Im ` -u A ) = -u ( Im ` A ) $=
      ( cneg cim cfv cre ci cmul co caddc recl recn axicn imcl mulcl negdi
      replim negeqi mulneg2 opreq2i 3eqtr4 fveq2i renegcl crim eqtr ) ACZDEAFEZ
      CZGADEZCZHIZJIZDEUJUFULDUGGUIHIZJIZCUHUMCZJIUFULUGUMUGABKZLGUIMUIABNZLZOP
      AUNABQRUKUOUHJGUIMURSTUAUBUHUJUGUPUCUIUQUCUDUE $.
      $( [24-Jul-2008] $) $( [2-Aug-1999] $)

    $( Complex conjugate of negative. $)
    cjneg $p |- ( * ` -u A ) = -u ( * ` A ) $=
      ( cneg cre cfv ci cim cmul co cmin ccj caddc recl recn negcl axicn imcl
      mulcl negsub negdi reneg imneg opreq2i mulneg2 eqtr opreq12i 3eqtr4r
      negeqi cc wcel wceq cjvalt ax-mp 3eqtr4 ) ACZDEZFUOGEZHIZJIZADEZFAGEZHIZJ
      IZCZUOKEZAKEZCUSUTVBCZLIZCZVDUTCZVGCLIVJVGJIVIUSVJVGUTUTABMNZOVBFVAPVAABQ
      NZRZOZSUTVGVKVNTUPVJURVGJABUAURFVACZHIVGUQVOFHABUBUCFVAPVLUDUEUFUGVHVCUTV
      BVKVMSUHUEUOUIUJVEUSUKABOUOULUMVFVCAUIUJVFVCUKBAULUMUHUN $.
      $( [2-Aug-1999] $)

    $( A number plus its conjugate is twice its real part.  Compare Proposition
       10-3.4(h) of [Gleason] p. 133. $)
    addcj $p |- ( A + ( * ` A ) ) = ( 2 x. ( Re ` A ) ) $=
      ( cre cfv ci cim cmul co caddc cneg ccj c2 cc0 recl recn axicn imcl
      mulcl negcl add4 negid opreq2i addcl addid1 3eqtr replim cmin cc wcel
      wceq cjvalt ax-mp negsub eqtr4 opreq12i 2times 3eqtr4 ) ACDZEAFDZGHZIHZUR
      UTJZIHZIHZURURIHZAAKDZIHLURGHVDVEUTVBIHZIHVEMIHVEURUTURVBURABNOZEUSPUSABQ
      ORZVHUTVISTVGMVEIUTVIUAUBVEURURVHVHUCUDUEAVAVFVCIABUFVFURUTUGHZVCAUHUIVFV
      JUJBAUKULURUTVHVIUMUNUOURVHUPUQ $.
      $( [2-Oct-1999] $)
  $}

  $( A real number equals its real part.  One direction of
     Proposition 10-3.4(f) of [Gleason] p. 133.  (Contributed by Paul
     Chapman, 7-Sep-2007.) $)
  reret $p |- ( A e. RR -> ( Re ` A ) = A ) $=
    ( cr wcel cc0 cif cre cfv wceq 0re elimel recn rereb mpbi a1i iftrue
    fveq2d 3eqtr3d ) ABCZRADEZFGZSAFGATSHZRSBCUAADBIJZSSUBKLMNRSAFRADOZPUCQ $.
    $( [8-Sep-2007] $) $( [7-Sep-2007] $)

  $( A number is real iff it equals its complex conjugate.  Proposition
     10-3.4(f) of [Gleason] p. 133. $)
  cjrebt $p |- ( A e. CC -> ( A e. RR <-> ( * ` A ) = A ) ) $=
    ( cc wcel cr ccj cfv wceq wb cc0 cif eleq1 fveq2 id eqeq12d bibi12d 0cn
    elimel cjreb dedth ) ABCZADCZAEFZAGZHTAIJZDCZUDEFZUDGZHAIAUDGZUAUEUCUGAUDDK
    UHUBUFAUDAUDELUHMNOUDAIBPQRS $.
    $( [3-Jul-2005] $) $( [2-Jul-2005] $)

  $( A complex number times its conjugate is real. $)
  cjmulrclt $p |- ( A e. CC -> ( A x. ( * ` A ) ) e. RR ) $=
    ( cc wcel ccj cfv cmul co cr cc0 cif wceq id fveq2 opreq12d eleq1d 0cn
    elimel cjmulrcl dedth ) ABCZAADEZFGZHCTAIJZUCDEZFGZHCAIAUCKZUBUEHUFAUCUAUDF
    UFLAUCDMNOUCAIBPQRS $.
    $( [27-Mar-2005] $) $( [26-Mar-2005] $)

  $( A complex number times its conjugate. $)
  cjmulvalt $p |- ( A e. CC -> ( A x. ( * ` A ) ) =
                 ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) $=
    ( cc wcel ccj cfv cmul co cre c2 cexp cim caddc wceq cif id fveq2 opreq12d
    opreq1d eqeq12d 2cn elimel cjmulval dedth ) ABCZAADEZFGZAHEZIJGZAKEZIJGZLGZ
    MUDAINZULDEZFGZULHEZIJGZULKEZIJGZLGZMAIAULMZUFUNUKUSUTAULUEUMFUTOAULDPQUTUH
    UPUJURLUTUGUOIJAULHPRUTUIUQIJAULKPRQSULAIBTUAUBUC $.
    $( [2-Feb-2007] $) $( [1-Feb-2007] $)

  $( A complex number times its conjugate is nonnegative. $)
  cjmulge0t $p |- ( A e. CC -> 0 <_ ( A x. ( * ` A ) ) ) $=
    ( cc wcel cc0 ccj cfv cmul co cle wbr cif wceq id fveq2 opreq12d breq2d
    0cn elimel cjmulge0 dedth ) ABCZDAAEFZGHZIJDUAADKZUDEFZGHZIJADAUDLZUCUFDIUG
    AUDUBUEGUGMAUDENOPUDADBQRST $.
    $( [27-Mar-2005] $) $( [26-Mar-2005] $)

  $( Real part of negative. $)
  renegt $p |- ( A e. CC -> ( Re ` -u A ) = -u ( Re ` A ) ) $=
    ( cc wcel cneg cre cfv wceq cc0 cif negeq fveq2d fveq2 negeqd eqeq12d 0cn
    elimel reneg dedth ) ABCZADZEFZAEFZDZGSAHIZDZEFZUDEFZDZGAHAUDGZUAUFUCUHUITU
    EEAUDJKUIUBUGAUDELMNUDAHBOPQR $.
    $( [21-Apr-2005] $) $( [17-Mar-2005] $)

  $( Real part distributes over addition. $)
  readdt $p |- ( ( A e. CC /\ B e. CC ) ->
              ( Re ` ( A + B ) ) = ( ( Re ` A ) + ( Re ` B ) ) ) $=
    ( cc wcel caddc co cre cfv wceq cc0 cif opreq1 fveq2d fveq2 opreq1d
    eqeq12d opreq2 opreq2d 0cn elimel readd dedth2h ) ACDZBCDZABEFZGHZAGHZBGHZE
    FZIUCAJKZBEFZGHZUJGHZUHEFZIUJUDBJKZEFZGHZUMUOGHZEFZIABJJAUJIZUFULUIUNUTUEUK
    GAUJBELMUTUGUMUHEAUJGNOPBUOIZULUQUNUSVAUKUPGBUOUJEQMVAUHURUMEBUOGNRPUJUOAJC
    STBJCSTUAUB $.
    $( [21-Apr-2005] $) $( [17-Mar-2005] $)

  $( Real part distributes over subtraction. $)
  resubt $p |- ( ( A e. CC /\ B e. CC ) ->
              ( Re ` ( A - B ) ) = ( ( Re ` A ) - ( Re ` B ) ) ) $=
    ( cc wcel wa cneg caddc co cre cfv cmin wceq readdt negclt sylan2 renegt
    adantl opreq2d eqtrd negsubt fveq2d reclt recnd syl2an 3eqtr3d ) ACDZBCDZEZ
    ABFZGHZIJZAIJZBIJZFZGHZABKHZIJULUMKHZUHUKULUIIJZGHZUOUFUICDUKUSLUGAUIMBNOUH
    URUNULGUGURUNLUFBPQRSUHUJUPIABTUAULCDUMCDUOUQLUFUGULUMTUFULAUBUCUGUMBUBUCUD
    UE $.
    $( [2-Aug-2006] $) $( [17-Mar-2005] $)

  $( The imaginary part of a negative number. $)
  imnegt $p |- ( A e. CC -> ( Im ` -u A ) = -u ( Im ` A ) ) $=
    ( cc wcel cneg cim cfv wceq cc0 cif negeq fveq2d fveq2 negeqd eqeq12d 0cn
    elimel imneg dedth ) ABCZADZEFZAEFZDZGSAHIZDZEFZUDEFZDZGAHAUDGZUAUFUCUHUITU
    EEAUDJKUIUBUGAUDELMNUDAHBOPQR $.
    $( [6-Apr-2005] $) $( [18-Mar-2005] $)

  $( Imaginary part distributes over addition. $)
  imaddt $p |- ( ( A e. CC /\ B e. CC ) ->
              ( Im ` ( A + B ) ) = ( ( Im ` A ) + ( Im ` B ) ) ) $=
    ( cc wcel caddc co cim cfv wceq cc0 cif opreq1 fveq2d fveq2 opreq1d
    eqeq12d opreq2 opreq2d 0cn elimel imadd dedth2h ) ACDZBCDZABEFZGHZAGHZBGHZE
    FZIUCAJKZBEFZGHZUJGHZUHEFZIUJUDBJKZEFZGHZUMUOGHZEFZIABJJAUJIZUFULUIUNUTUEUK
    GAUJBELMUTUGUMUHEAUJGNOPBUOIZULUQUNUSVAUKUPGBUOUJEQMVAUHURUMEBUOGNRPUJUOAJC
    STBJCSTUAUB $.
    $( [7-Apr-2005] $) $( [18-Mar-2005] $)

  $( Imaginary part distributes over subtraction. $)
  imsubt $p |- ( ( A e. CC /\ B e. CC ) ->
              ( Im ` ( A - B ) ) = ( ( Im ` A ) - ( Im ` B ) ) ) $=
    ( cc wcel wa cneg caddc co cim cfv cmin wceq imaddt negclt sylan2 imnegt
    adantl opreq2d eqtrd negsubt fveq2d imclt recnd syl2an 3eqtr3d ) ACDZBCDZEZ
    ABFZGHZIJZAIJZBIJZFZGHZABKHZIJULUMKHZUHUKULUIIJZGHZUOUFUICDUKUSLUGAUIMBNOUH
    URUNULGUGURUNLUFBPQRSUHUJUPIABTUAULCDUMCDUOUQLUFUGULUMTUFULAUBUCUGUMBUBUCUD
    UE $.
    $( [1-Aug-2006] $) $( [18-Mar-2005] $)

  $( A real number equals its complex conjugate.  Proposition 10-3.4(f) of
     [Gleason] p. 133. $)
  cjret $p |- ( A e. RR -> ( * ` A ) = A ) $=
    ( cc wcel cr ccj cfv wceq recnt cjrebt biimpd mpcom ) ABCZADCZAEFAGZAHLMNAI
    JK $.
    $( [8-Oct-1999] $)

  $( The conjugate of the conjugate is the original complex number.
     Proposition 10-3.4(e) of [Gleason] p. 133. $)
  cjcjt $p |- ( A e. CC -> ( * ` ( * ` A ) ) = A ) $=
    ( cc wcel ccj cfv wceq cc0 cif fveq2 fveq2d id eqeq12d 0cn elimel cjcj
    dedth ) ABCZADEZDEZAFQAGHZDEZDEZTFAGATFZSUBATUCRUADATDIJUCKLTAGBMNOP $.
    $( [29-Jul-1999] $)

  $( Complex conjugate distributes over addition.  Proposition 10-3.4(a) of
     [Gleason] p. 133. $)
  cjaddt $p |- ( ( A e. CC /\ B e. CC ) ->
                   ( * ` ( A + B ) ) = ( ( * ` A ) + ( * ` B ) ) ) $=
    ( cc wcel caddc co ccj cfv wceq cc0 cif opreq1 fveq2d fveq2 opreq1d
    eqeq12d opreq2 opreq2d 0cn elimel cjadd dedth2h ) ACDZBCDZABEFZGHZAGHZBGHZE
    FZIUCAJKZBEFZGHZUJGHZUHEFZIUJUDBJKZEFZGHZUMUOGHZEFZIABJJAUJIZUFULUIUNUTUEUK
    GAUJBELMUTUGUMUHEAUJGNOPBUOIZULUQUNUSVAUKUPGBUOUJEQMVAUHURUMEBUOGNRPUJUOAJC
    STBJCSTUAUB $.
    $( [31-Jul-1999] $)

  $( Complex conjugate distributes over multiplication.  Proposition 10-3.4(c)
     of [Gleason] p. 133. $)
  cjmult $p |- ( ( A e. CC /\ B e. CC ) ->
                   ( * ` ( A x. B ) ) = ( ( * ` A ) x. ( * ` B ) ) ) $=
    ( cc wcel cmul co ccj cfv wceq cc0 cif opreq1 fveq2d fveq2 opreq1d eqeq12d
    opreq2 opreq2d 0cn elimel cjmul dedth2h ) ACDZBCDZABEFZGHZAGHZBGHZEFZIUCAJK
    ZBEFZGHZUJGHZUHEFZIUJUDBJKZEFZGHZUMUOGHZEFZIABJJAUJIZUFULUIUNUTUEUKGAUJBELM
    UTUGUMUHEAUJGNOPBUOIZULUQUNUSVAUKUPGBUOUJEQMVAUHURUMEBUOGNRPUJUOAJCSTBJCSTU
    AUB $.
    $( [29-Jul-1999] $)

  $( Complex conjugate of negative. $)
  cjnegt $p |- ( A e. CC -> ( * ` -u A ) = -u ( * ` A ) ) $=
    ( cc wcel cneg ccj cfv wceq cc0 cif negeq fveq2d fveq2 negeqd eqeq12d 0cn
    elimel cjneg dedth ) ABCZADZEFZAEFZDZGSAHIZDZEFZUDEFZDZGAHAUDGZUAUFUCUHUITU
    EEAUDJKUIUBUGAUDELMNUDAHBOPQR $.
    $( [27-Feb-2005] $) $( [27-Feb-2005] $)

  $( A number plus its conjugate is twice its real part.  Compare Proposition
     10-3.4(h) of [Gleason] p. 133. $)
  addcjt $p |- ( A e. CC -> ( A + ( * ` A ) ) = ( 2 x. ( Re ` A ) ) ) $=
    ( cc wcel ccj cfv caddc co c2 cre cmul wceq cc0 cif id fveq2 opreq12d
    opreq2d eqeq12d 0cn elimel addcj dedth ) ABCZAADEZFGZHAIEZJGZKUCALMZUHDEZFG
    ZHUHIEZJGZKALAUHKZUEUJUGULUMAUHUDUIFUMNAUHDOPUMUFUKHJAUHIOQRUHALBSTUAUB $.
    $( [26-Jan-2007] $) $( [21-Jan-2007] $)

  $( Complex conjugate distributes over subtraction. $)
  cjsubt $p |- ( ( A e. CC /\ B e. CC ) ->
                   ( * ` ( A - B ) ) = ( ( * ` A ) - ( * ` B ) ) ) $=
    ( cc wcel wa cneg caddc co ccj cfv cmin wceq cjaddt negclt sylan2 negsubt
    fveq2d cjnegt adantl opreq2d cjclt syl2an eqtrd 3eqtr3d ) ACDZBCDZEZABFZGHZ
    IJZAIJZUHIJZGHZABKHZIJUKBIJZKHZUEUHCDUJUMLUFAUHMBNOUGUIUNIABPQUGUMUKUOFZGHZ
    UPUGULUQUKGUFULUQLUEBRSTUKCDUOCDURUPLUEUFUKUOPAUABUAUBUCUD $.
    $( [1-Aug-2006] $) $( [28-Apr-2005] $)

  ${
    $d j k A $.  $d j k N $.
    $( Complex conjugate of natural number exponentiation. $)
    cjexpt $p |- ( ( A e. CC /\ N e. NN0 ) ->
               ( * ` ( A ^ N ) ) = ( ( * ` A ) ^ N ) ) $=
      ( vj vk cn0 wcel cc cexp co ccj cfv wceq cv wi cc0 c1 caddc opreq2
      fveq2d eqeq12d imbi2d exp0t cjclt cr 1re cjret ax-mp syl6eqr syl eqtr4d
      wa cmul expp1t cjmult expclt pm3.26 sylanc eqtrd adantr opreq1 sylan
      eqcomd sylan9eqr exp31 com12 a2d nn0ind impcom ) BEFAGFZABHIZJKZAJKZBHIZL
      ZVIACMZHIZJKZVLVOHIZLZNVIAOHIZJKZVLOHIZLZNVIADMZHIZJKZVLWDHIZLZNVIAWDPQIZ
      HIZJKZVLWIHIZLZNVIVNNCDBVOOLZVSWCVIWNVQWAVRWBWNVPVTJVOOAHRSVOOVLHRTUAVOWD
      LZVSWHVIWOVQWFVRWGWOVPWEJVOWDAHRSVOWDVLHRTUAVOWILZVSWMVIWPVQWKVRWLWPVPWJJ
      VOWIAHRSVOWIVLHRTUAVOBLZVSVNVIWQVQVKVRVMWQVPVJJVOBAHRSVOBVLHRTUAVIWAPJKZW
      BVIVTPJAUBSVIVLGFZWBWRLAUCZWSWBPWRVLUBPUDFWRPLUEPUFUGUHUIUJWDEFZVIWHWMVIX
      AWHWMNVIXAWHWMVIXAUKZWHUKWKWFVLULIZWLXBWKXCLWHXBWKWEAULIZJKZXCXBWJXDJAWDU
      MSWEGFVIXEXCLXBWEAUNAWDUOVIXAUPUQURUSWHXBXCWGVLULIZWLWFWGVLULUTXBWLXFWSXA
      WLXFLVIVLWDUMWTVAVBVCURVDVEVFVGVH $.
      $( [8-Jun-2006] $) $( [7-Jun-2006] $)
  $}

  $( The real part of a number in terms of complex conjugate. $)
  recjt $p |- ( A e. CC -> ( Re ` A ) = ( ( A + ( * ` A ) ) / 2 ) ) $=
    ( cc wcel cre cfv caddc co c2 cdiv ccj wceq 2cn w3a cc0 wne 2ne0 divdirtOLD
    mpan2 mp3an3 reclt recnd sylanc ci cim cmul cmin cneg replimt cjvalt
    opreq12d negsubt imclt axicn axmulcl mpan syl opreq2d negidt 3syl add4t
    negclt syl2anc wa jca axaddcl ax0id 3eqtr3d 3eqtr2rd opreq1d 2halvest
    3eqtr3rd ) ABCZADEZVMFGZHIGZVMHIGZVPFGZAAJEZFGZHIGVMVMBCZVTVOVQKZVLVTVTHBCZ
    WALVTVTWBMHNOWAPVMVMHQRSVLVMATUAZWCUBVLVNVSHIVLVSVMUCAUDEZUEGZFGZVMWEUFGZFG
    WFVMWEUGZFGZFGZVNVLAWFVRWGFAUHAUIUJVLWIWGWFFVTWEBCZWIWGKVLVMWEUKWCVLWDBCZWK
    VLWDAULUAZUCBCWLWKUMUCWDUNUOZUPZUBUQVLVNWEWHFGZFGZVNNFGZWJVNVLWPNVNFVLWLWKW
    PNKWMWNWEURUSUQVTVTWKWHBCZWQWJKVLVMVMWEWHUTWCWCWOVLWLWKWSWMWNWEVAUSVBVLVTVT
    VCVNBCWRVNKVLVTVTWCWCVDVMVMVEVNVFUSVGVHVIVLVTVQVMKWCVMVJUPVK $.
    $( [2-Aug-2006] $) $( [30-Apr-2005] $)

  $( The imaginary part of a number in terms of complex conjugate. $)
  imcjt $p |- ( A e. CC -> ( Im ` A ) = ( ( A - ( * ` A ) ) / ( 2 x. i ) ) ) $=
    ( cc wcel cim cfv c2 ci cmul co cdiv ccj cmin wceq imclt recnd cc0 wne 2cn
    axicn mulcl 2ne0 ine0 muln0 divcan4t mp3an13 syl cre caddc subsubt axaddcl
    reclt axmulcl mpan sylanc syl3anc replimt cjvalt opreq12d 2timest axmulcom
    mpan2 axmulass mp3an12 eqtrd pncan2t opreq1d 3eqtr4d 3eqtr4rd eqtr3d ) ABCZ
    ADEZFGHIZHIZVLJIZVKAAKEZLIZVLJIVJVKBCZVNVKMZVJVKANOZVLBCZVQVLPQVRFGRSTZFGRS
    UAUBUCVLVKUDUEUFVJVMVPVLJVJAUGEZGVKHIZUHIZWBWCLIZLIZWDWBLIZWCUHIZVPVMWDBCZW
    BBCZWCBCZWFWHMVJWDWBWCUIWJWKWIVJWBWCUJVJWBAUKOZVJVQWKVSGBCZVQWKSGVKULUMUFZU
    NWLWNUOVJAWDVOWELAUPAUQURVJFWCHIZWCWCUHIZVMWHVJWKWOWPMWNWCUSUFVJVQVMWOMVSVQ
    VMVLVKHIZWOVQVTVMWQMWAVKVLUTVAFBCWMVQWQWOMRSFGVKVBVCVDUFVJWGWCWCUHWJWKWGWCM
    VJWBWCVEWLWNUNVFVGVHVFVI $.
    $( [7-Aug-2005] $) $( [30-Apr-2005] $)

  $( The real part of zero. $)
  re0 $p |- ( Re ` 0 ) = 0 $=
    ( cc0 cr wcel cre cfv wceq 0re 0cn rereb mpbi ) ABCADEAFGAHIJ $.
    $( [27-Jul-1999] $)

  $( The imaginary part of zero. $)
  im0 $p |- ( Im ` 0 ) = 0 $=
    ( cc0 cr wcel cim cfv wceq 0re 0cn reim0b mpbi ) ABCADEAFGAHIJ $.
    $( [27-Jul-1999] $)

  $( The real part of one.  (Contributed by Scott Fenton, 9-Jun-2006.) $)
  re1 $p |- ( Re ` 1 ) = 1 $=
    ( c1 cr wcel cre cfv wceq 1re ax1cn rereb mpbi ) ABCADEAFGAHIJ $.
    $( [10-Jun-2006] $) $( [9-Jun-2006] $)

  $( The imaginary part of one.  (Contributed by Scott Fenton, 9-Jun-2006.) $)
  im1 $p |- ( Im ` 1 ) = 0 $=
    ( c1 cr wcel cim cfv cc0 wceq 1re ax1cn reim0b mpbi ) ABCADEFGHAIJK $.
    $( [10-Jun-2006] $) $( [9-Jun-2006] $)

  $( The real part of ` i ` .  (Contributed by Scott Fenton, 9-Jun-2006.) $)
  rei $p |- ( Re ` i ) = 0 $=
    ( cc0 ci c1 cmul co caddc cre cfv axicn ax1cn mulcl addid2 fveq2i 0re 1re
    crre mulid1 3eqtr3r ) ABCDEZFEZGHSGHABGHTSGSBCIJKLMACNOPSBGBIQMR $.
    $( [15-Mar-2008] $) $( [9-Jun-2006] $)

  $( The imaginary part of ` i ` .  (Contributed by Scott Fenton,
     9-Jun-2006.) $)
  imi $p |- ( Im ` i ) = 1 $=
    ( ci c1 cmul co cim cfv cc0 caddc axicn ax1cn mulcl addid2 eqcomi fveq2i
    mulid1 0re 1re crim 3eqtr3 ) ABCDZEFGTHDZEFAEFBTUAEUATTABIJKLMNTAEAIONGBPQR
    S $.
    $( [15-Mar-2008] $) $( [9-Jun-2006] $)

  $( The conjugate of zero. $)
  cj0 $p |- ( * ` 0 ) = 0 $=
    ( cc0 cr wcel ccj cfv wceq 0re 0cn cjreb mpbi ) ABCADEAFGAHIJ $.
    $( [27-Jul-1999] $)

  $( The complex conjugate of the imaginary unit. $)
  cji $p |- ( * ` i ) = -u i $=
    ( ci cre cfv cim cmul co cmin cc0 ccj cneg rei c1 imi opreq2i axicn mulid1
    eqtr opreq12i cc wcel wceq cjvalt ax-mp df-neg 3eqtr4 ) ABCZAADCZEFZGFZHAGF
    AICZAJUFHUHAGKUHALEFAUGLAEMNAOPQRASTUJUIUAOAUBUCAUDUE $.
    $( [13-Jun-2005] $) $( [26-Mar-2005] $)

  $( The conjugate of a representation of a complex number in terms of real
     and imaginary parts. $)
  cjreimt $p |- ( ( A e. RR /\ B e. RR ) -> ( * ` ( A + ( i x. B ) ) ) =
                ( A - ( i x. B ) ) ) $=
    ( cr wcel wa ci cmul co caddc ccj cfv cneg cmin cc wceq cjaddt recnt axicn
    axmulcl mpan syl syl2an cjret cjmult cji a1i opreq12d mulneg1t 3eqtrd
    opreqan12d negsubt ) ACDZBCDZEAFBGHZIHJKZAJKZUNJKZIHZAUNLZIHZAUNMHZANDZUNND
    ZUOUROULUMAUNPAQZUMBNDZVCBQZFNDZVEVCRFBSTUAZUBULUMUPAUQUSIAUCUMUQFJKZBJKZGH
    ZFLZBGHZUSUMVEUQVKOZVFVGVEVNRFBUDTUAUMVIVLVJBGVIVLOUMUEUFBUCUGUMVEVMUSOZVFV
    GVEVORFBUHTUAUIUJVBVCUTVAOULUMAUNUKVDVHUBUI $.
    $( [1-Aug-2006] $) $( [1-Jul-2005] $)

  $( The conjugate of the representation of a complex number in terms of real
     and imaginary parts. $)
  cjreim2t $p |- ( ( A e. RR /\ B e. RR ) -> ( * ` ( A - ( i x. B ) ) ) =
                ( A + ( i x. B ) ) ) $=
    ( cr wcel wa ci cmul co cmin ccj cfv cneg caddc cc wceq cjsubt recnt axicn
    axmulcl mpan syl syl2an cjret cjmult cji a1i opreq12d mulneg1t 3eqtrd
    opreqan12d subnegt ) ACDZBCDZEAFBGHZIHJKZAJKZUNJKZIHZAUNLZIHZAUNMHZANDZUNND
    ZUOUROULUMAUNPAQZUMBNDZVCBQZFNDZVEVCRFBSTUAZUBULUMUPAUQUSIAUCUMUQFJKZBJKZGH
    ZFLZBGHZUSUMVEUQVKOZVFVGVEVNRFBUDTUAUMVIVLVJBGVIVLOUMUEUFBUCUGUMVEVMUSOZVFV
    GVEVORFBUHTUAUIUJVBVCUTVAOULUMAUNUKVDVHUBUI $.
    $( [5-Oct-2005] $) $( [1-Jul-2005] $)

  $( Complex conjugate is a one-to-one function. $)
  cj11t $p |- ( ( A e. CC /\ B e. CC ) ->
              ( ( * ` A ) = ( * ` B ) <-> A = B ) ) $=
    ( cc wcel wa cre cfv ci cim cneg cmul co caddc wceq ccj wb neg11t imclt
    recnd syl2an anbi2d cr crut reclt renegclt syl jca 3bitr4d cmin negsubt
    axicn axmulcl mpan sylanc jctil mulneg2t opreq2d cjvalt 3eqtr4rd eqeqan12d
    replimt ) ACDZBCDZEZAFGZHAIGZJZKLZMLZBFGZHBIGZJZKLZMLZNZVEHVFKLZMLZVJHVKKLZ
    MLZNZAOGZBOGZNABNVDVEVJNZVGVLNZEZWCVFVKNZEZVOVTVDWDWFWCVFCDZVKCDZWDWFPVBVCV
    FVKQVBVFARZSZVCVKBRZSZTUAVEUBDZVGUBDZEVJUBDZVLUBDZEVOWEPVBVCVEVGVJVLUCVBWNW
    OAUDZVBVFUBDZWOWJVFUEUFUGVCWPWQBUDZVCVKUBDZWQWLVKUEUFUGTWNWSEWPXAEVTWGPVBVC
    VEVFVJVKUCVBWNWSWRWJUGVCWPXAWTWLUGTUHVBVCWAVIWBVNVBVEVPJZMLZVEVPUILZVIWAVEC
    DVPCDZXCXDNVBVEVPUJVBVEWRSVBWHXEWKHCDZWHXEUKHVFULUMUFUNVBVHXBVEMVBXFWHEVHXB
    NVBWHXFWKUKUOHVFUPUFUQAURUSVCVJVRJZMLZVJVRUILZVNWBVJCDVRCDZXHXINVCVJVRUJVCV
    JWTSVCWIXJWMXFWIXJUKHVKULUMUFUNVCVMXGVJMVCXFWIEVMXGNVCWIXFWMUKUOHVKUPUFUQBU
    RUSUTVBVCAVQBVSAVABVAUTUH $.
    $( [1-Aug-2006] $) $( [29-Apr-2005] $)

  $( A number is non-zero iff its complex conjugate is non-zero. $)
  cjne0t $p |- ( A e. CC -> ( A =/= 0 <-> ( * ` A ) =/= 0 ) ) $=
    ( cc wcel cc0 ccj cfv wceq wb 0cn cj11t mpan2 cj0 eqeq2i syl5rbbr
    necon3bid ) ABCZADAEFZDPQDEFZGZADGZQDGPDBCSTHIADJKRDQLMNO $.
    $( [8-Jul-2005] $) $( [29-Apr-2005] $)

  $( Absolute value of negative. $)
  absnegt $p |- ( A e. CC -> ( abs ` -u A ) = ( abs ` A ) ) $=
    ( cc wcel cneg ccj cfv cmul co csqr cabs cjnegt opreq2d wceq cjclt
    mul2negt mpdan eqtrd fveq2d negclt absvalt syl 3eqtr4d ) ABCZADZUDEFZGHZIFZ
    AAEFZGHZIFUDJFZAJFUCUFUIIUCUFUDUHDZGHZUIUCUEUKUDGAKLUCUHBCULUIMANAUHOPQRUCU
    DBCUJUGMASUDTUAATUB $.
    $( [28-Feb-2005] $) $( [27-Feb-2005] $)

  $( Real closure of absolute value. $)
  absclt $p |- ( A e. CC -> ( abs ` A ) e. RR ) $=
    ( cc wcel cabs cfv ccj cmul co csqr cr absvalt cc0 cle wbr sqrclt
    cjmulrclt cjmulge0t sylanc eqeltrd ) ABCZADEAAFEGHZIEZJAKUAJCLUAMNUBJCTUAOA
    PAQRS $.
    $( [3-Oct-1999] $)

  $( The absolute value of a number and its conjugate are the same.
     Proposition 10-3.7(b) of [Gleason] p. 133. $)
  abscjt $p |- ( A e. CC -> ( abs ` ( * ` A ) ) = ( abs ` A ) ) $=
    ( cc wcel ccj cfv cmul co csqr cabs wceq cjclt axmulcom mpdan cjcjt
    opreq2d eqtr4d fveq2d absvalt syl 3eqtr4rd ) ABCZAADEZFGZHEUBUBDEZFGZHEZAIE
    UBIEZUAUCUEHUAUCUBAFGZUEUAUBBCZUCUHJAKZAUBLMUAUDAUBFANOPQARUAUIUGUFJUJUBRST
    $.
    $( [30-Apr-2005] $) $( [28-Apr-2005] $)

  $( Square of value of absolute value function. $)
  absvalsqt $p |- ( A e. CC -> ( ( abs ` A ) ^ 2 ) = ( A x. ( * ` A ) ) ) $=
    ( cc wcel cabs cfv c2 cexp co ccj cmul csqr absvalt opreq1d cr cc0 cle wbr
    wceq sqsqrt cjmulrclt cjmulge0t sylanc eqtrd ) ABCZADEZFGHAAIEJHZKEZFGHZUFU
    DUEUGFGALMUFNCOUFPQUHUFRUDUFSATAUAUBUC $.
    $( [2-Feb-2006] $) $( [16-Jan-2006] $)

  $( Square of value of absolute value function. $)
  absvalsq2t $p |- ( A e. CC -> ( ( abs ` A ) ^ 2 ) =
                    ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) $=
    ( cc wcel cabs cfv c2 cexp co ccj cmul cre cim caddc absvalsqt cjmulvalt
    eqtrd ) ABCADEFGHAAIEJHAKEFGHALEFGHMHANAOP $.
    $( [1-Feb-2007] $) $( [1-Feb-2007] $)

  ${
    absvalsq.1 $e |- A e. CC $.
    $( Square of value of absolute value function. $)
    absvalsq $p |- ( ( abs ` A ) ^ 2 ) = ( A x. ( * ` A ) ) $=
      ( cc wcel cabs cfv c2 cexp co ccj cmul wceq absvalsqt ax-mp ) ACDAEFGHIAA
      JFKILBAMN $.
      $( [2-Oct-1999] $)

    $( Square of value of absolute value function. $)
    absvalsq2 $p |- ( ( abs ` A ) ^ 2 ) =
                    ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) $=
      ( cc wcel cabs cfv c2 cexp co cre cim caddc wceq absvalsq2t ax-mp ) ACDAE
      FGHIAJFGHIAKFGHILIMBANO $.
      $( [2-Oct-1999] $)

    $( Real closure of absolute value. $)
    abscl $p |- ( abs ` A ) e. RR $=
      ( cc wcel cabs cfv cr absclt ax-mp ) ACDAEFGDBAHI $.
      $( [2-Aug-1999] $)

    $( Absolute value is nonnegative. $)
    absge0 $p |- 0 <_ ( abs ` A ) $=
      ( cc0 ccj cfv cmul co csqr cabs cle wbr cjmulge0 cjmulrcl sqrge0 ax-mp
      cc wcel wceq absvalt breqtrr ) CAADEFGZHEZAIEZJCUAJKCUBJKABLUAABMNOAPQUCU
      BRBASOT $.
      $( [2-Aug-1999] $)

    $( Value of absolute value function.  Definition 10.36 of [Gleason]
       p. 133. $)
    absval2 $p |- ( abs ` A ) =
                 ( sqr ` ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) $=
      ( cabs cfv ccj cmul co csqr cre c2 cexp cim caddc cc wcel wceq absvalt
      ax-mp cjmulval fveq2i eqtr ) ACDZAAEDFGZHDZAIDJKGALDJKGMGZHDANOUBUDPBAQRU
      CUEHABSTUA $.
      $( [2-Oct-1999] $)

    $( The absolute value of a number is zero iff the number is zero.
       Proposition 10-3.7(c) of [Gleason] p. 133. $)
    abs00 $p |- ( ( abs ` A ) = 0 <-> A = 0 ) $=
      ( cabs cfv cc0 wceq cre c2 cexp co cim caddc csqr absval2 eqeq1i cr wcel
      cle wbr wb recl resqcl imcl readdcl sqge0 addge0 mp2an sqr00t wa add20
      recn sqeq0 anbi12i ci cmul opreq1 opreq2 opreq2d sylan9eq axicn 0cn
      mulcl addid2 mul01 eqtr syl6eq replim syl5eq fveq2 re0 im0 jca impbi
      3bitr ) ACDZEFAGDZHIJZAKDZHIJZLJZMDZEFZVTEFZAEFZVOWAEABNOVTPQEVTRSZWBWCTV
      QVSVPABUAZUBZVRABUCZUBZUDEVQRSZEVSRSZWEVPWFUEZVRWHUEZVQVSWGWIUFUGVTUHUGWC
      VQEFZVSEFZUIZVPEFZVREFZUIZWDWJWKWCWPTWLWMVQVSWGWIUJUGWNWQWOWRVPVPWFUKULVR
      VRWHUKULUMWSWDWSVPUNVRUOJZLJZEAWSXAEUNEUOJZLJZEWQWRXAEWTLJXCVPEWTLUPWRWTX
      BELVREUNUOUQURUSXCXBEXBUNEUTVAVBVCUNUTVDVEVFABVGVHWDWQWRWDVPEGDEAEGVIVJVF
      WDVREKDEAEKVIVKVFVLVMVNVN $.
      $( [24-Jul-2008] $) $( [28-Jul-1999] $)

    $( The absolute value of a non-zero number is positive.  Remark in
       [Apostol] p. 363. $)
    absgt0 $p |- ( A =/= 0 <-> 0 < ( abs ` A ) ) $=
      ( cc0 cabs cfv clt wbr cle wne wa 0re abscl ltlen absge0 biantrur abs00
      necon3bii 3bitr2r ) CADEZFGCSHGZSCIZJUAACICSKABLMTUAABNOSCACABPQR $.
      $( [6-Mar-2005] $) $( [1-Oct-1999] $)

    $( Absolute value of negative. $)
    absneg $p |- ( abs ` -u A ) = ( abs ` A ) $=
      ( cc wcel cneg cabs cfv wceq absnegt ax-mp ) ACDAEFGAFGHBAIJ $.
      $( [2-Aug-1999] $)

    $( The absolute value of a number and its conjugate are the same.
       Proposition 10-3.7(b) of [Gleason] p. 133. $)
    abscj $p |- ( abs ` ( * ` A ) ) = ( abs ` A ) $=
      ( cc wcel ccj cfv cabs wceq abscjt ax-mp ) ACDAEFGFAGFHBAIJ $.
      $( [27-Mar-2005] $) $( [2-Oct-1999] $)

    ${
      abssub.2 $e |- B e. CC $.
      $( Swapping order of subtraction doesn't change the absolute value.
         Example of [Apostol] p. 363. $)
      abssub $p |- ( abs ` ( A - B ) ) = ( abs ` ( B - A ) ) $=
        ( cmin co cneg cabs cfv negsubdi2 fveq2i subcl absneg eqtr3 ) BAEFZGZHI
        ABEFZHIOHIPQHBADCJKOBADCLMN $.
        $( [1-Oct-1999] $)

      $( Absolute value distributes over multiplication.  Proposition 10-3.7(f)
         of [Gleason] p. 133. $)
      absmul $p |- ( abs ` ( A x. B ) ) = ( ( abs ` A ) x. ( abs ` B ) ) $=
        ( cmul co ccj cfv csqr cabs cjmul opreq2i cjcl mul4 eqtr fveq2i
        cjmulrcl cjmulge0 sqrmuli cc wcel wceq mulcl absvalt ax-mp opreq12i
        3eqtr4 ) ABEFZUHGHZEFZIHZAAGHZEFZIHZBBGHZEFZIHZEFZUHJHZAJHZBJHZEFUKUMUP
        EFZIHURUJVBIUJUHULUOEFZEFVBUIVCUHEABCDKLABULUOCDACMBDMNOPUMUPACQBDQACRB
        DRSOUHTUAUSUKUBABCDUCUHUDUEUTUNVAUQEATUAUTUNUBCAUDUEBTUAVAUQUBDBUDUEUFU
        G $.
        $( [1-Oct-1999] $)
    $}
  $}

  $( Square of absolute value of sum.  Proposition 10-3.7(g) of [Gleason]
     p. 133. $)
  sqabsaddt $p |- ( ( A e. CC /\ B e. CC ) -> ( ( abs ` ( A + B ) ) ^ 2 ) =
                  ( ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) )
                    + ( 2 x. ( Re ` ( A x. ( * ` B ) ) ) ) ) ) $=
    ( cc wcel wa caddc co ccj cfv cmul cabs c2 cexp cre cjaddt opreq2d wceq
    cjclt anim12i muladdt mpdan eqtrd axaddcl absvalsqt syl axmulcom
    opreqan12d axmulcl sylan2 addcjt cjmult cjcjt adantl eqtr3d opreq12d
    3eqtr4d ) ACDZBCDZEZABFGZUTHIZJGZAAHIZJGZBHIZBJGZFGZAVEJGZVCBJGZFGZFGZUTKIL
    MGZAKILMGZBKILMGZFGZLVHNIJGZFGUSVBUTVCVEFGZJGZVKUSVAVQUTJABOPUSVCCDZVECDZEV
    RVKQUQVSURVTARBRZSABVCVETUAUBUSUTCDVLVBQABUCUTUDUEUSVOVGVPVJFUQURVMVDVNVFFA
    UDURVNBVEJGZVFBUDURVTWBVFQWABVEUFUAUBUGUSVHVHHIZFGZVPVJUSVHCDZWDVPQUQVTWEUR
    AVEUHWAUIVHUJUEUSWCVIVHFUSWCVCVEHIZJGZVIUQVTWCWGQURAVEUKWAUIUSWFBVCJURWFBQU
    QBULUMPUBPUNUOUP $.
    $( [26-Jan-2007] $) $( [21-Jan-2007] $)

  $( Square of absolute value of difference. $)
  sqabssubt $p |- ( ( A e. CC /\ B e. CC ) -> ( ( abs ` ( A - B ) ) ^ 2 ) =
                  ( ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) )
                    - ( 2 x. ( Re ` ( A x. ( * ` B ) ) ) ) ) ) $=
    ( cc wcel wa cmin co ccj cfv cmul caddc cabs c2 cexp cre cjsubt opreq2d
    wceq cjclt anim12i mulsubt mpdan eqtrd subclt absvalsqt syl axmulcom
    opreqan12d axmulcl sylan2 addcjt cjmult cjcjt adantl eqtr3d opreq12d
    3eqtr4d ) ACDZBCDZEZABFGZVAHIZJGZAAHIZJGZBHIZBJGZKGZAVFJGZVDBJGZKGZFGZVALIM
    NGZALIMNGZBLIMNGZKGZMVIOIJGZFGUTVCVAVDVFFGZJGZVLUTVBVRVAJABPQUTVDCDZVFCDZEV
    SVLRURVTUSWAASBSZTABVDVFUAUBUCUTVACDVMVCRABUDVAUEUFUTVPVHVQVKFURUSVNVEVOVGK
    AUEUSVOBVFJGZVGBUEUSWAWCVGRWBBVFUGUBUCUHUTVIVIHIZKGZVQVKUTVICDZWEVQRURWAWFU
    SAVFUIWBUJVIUKUFUTWDVJVIKUTWDVDVFHIZJGZVJURWAWDWHRUSAVFULWBUJUTWGBVDJUSWGBR
    URBUMUNQUCQUOUPUQ $.
    $( [28-Jan-2007] $) $( [21-Jan-2007] $)

  ${
    sqabsadd.1 $e |- A e. CC $.
    sqabsadd.2 $e |- B e. CC $.
    $( Square of absolute value of sum.  Proposition 10-3.7(g) of [Gleason]
       p. 133. $)
    sqabsadd $p |- ( ( abs ` ( A + B ) ) ^ 2 ) =
                 ( ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) ) +
                 ( 2 x. ( Re ` ( A x. ( * ` B ) ) ) ) ) $=
      ( cc wcel caddc co cabs cfv c2 cexp ccj cmul cre wceq sqabsaddt mp2an )
      AEFBEFABGHIJKLHAIJKLHBIJKLHGHKABMJNHOJNHGHPCDABQR $.
      $( [2-Oct-1999] $)

    $( Square of absolute value of difference.  (Contributed by Steve
       Rodriguez, 20-Jan-2007.) $)
    sqabssub $p |- ( ( abs ` ( A - B ) ) ^ 2 ) =
                    ( ( ( ( abs ` A ) ^ 2 ) + ( ( abs ` B ) ^ 2 ) )
                      - ( 2 x. ( Re ` ( A x. ( * ` B ) ) ) ) ) $=
      ( cc wcel cmin co cabs cfv c2 cexp caddc ccj cmul cre wceq sqabssubt
      mp2an ) AEFBEFABGHIJKLHAIJKLHBIJKLHMHKABNJOHPJOHGHQCDABRS $.
      $( [20-Jan-2007] $) $( [19-Jan-2007] $)
  $}

  $( Value of absolute value function.  Definition 10.36 of [Gleason]
     p. 133. $)
  absval2t $p |- ( A e. CC -> ( abs ` A ) =
               ( sqr ` ( ( ( Re ` A ) ^ 2 ) + ( ( Im ` A ) ^ 2 ) ) ) ) $=
    ( cc wcel cabs cfv cre c2 cexp co cim caddc csqr wceq cc0 cif fveq2
    opreq1d opreq12d fveq2d eqeq12d 0cn elimel absval2 dedth ) ABCZADEZAFEZGHIZ
    AJEZGHIZKIZLEZMUEANOZDEZUMFEZGHIZUMJEZGHIZKIZLEZMANAUMMZUFUNULUTAUMDPVAUKUS
    LVAUHUPUJURKVAUGUOGHAUMFPQVAUIUQGHAUMJPQRSTUMANBUAUBUCUD $.
    $( [3-Apr-2005] $) $( [17-Mar-2005] $)

  $( The absolute value of a number is zero iff the number is zero.
     Proposition 10-3.7(c) of [Gleason] p. 133. $)
  abs00t $p |- ( A e. CC -> ( ( abs ` A ) = 0 <-> A = 0 ) ) $=
    ( cc wcel cabs cfv cc0 wceq wb cif fveq2 eqeq1d eqeq1 bibi12d 0cn elimel
    abs00 dedth ) ABCZADEZFGZAFGZHRAFIZDEZFGZUBFGZHAFAUBGZTUDUAUEUFSUCFAUBDJKAU
    BFLMUBAFBNOPQ $.
    $( [26-Nov-2005] $) $( [26-Sep-2005] $)

  $( Absolute value is nonnegative. $)
  absge0t $p |- ( A e. CC -> 0 <_ ( abs ` A ) ) $=
    ( cc wcel cc0 cabs cfv cle wbr cif wceq fveq2 breq2d 0cn elimel absge0
    dedth ) ABCZDAEFZGHDQADIZEFZGHADASJRTDGASEKLSADBMNOP $.
    $( [13-Mar-2005] $) $( [20-Nov-2004] $)

  $( The absolute value of a nonzero number is a positive real.  (Contributed
     by FL, 27-Dec-2007.) $)
  absrpclt $p |- ( ( A e. CC /\ A =/= 0 ) -> ( abs ` A ) e. RR+ ) $=
    ( cc wcel cc0 wne wa cabs cfv cr clt wbr crp absclt adantr cle wi absge0t
    0re w3a wb leltnet syl3an2 wceq abs00t 3ad2ant2 necon3bid bitrd biimprd
    3exp com23 ax-mp mpcom imp jca elrp sylibr ) ABCZADEZFZAGHZICZDUTJKZFUTLCUS
    VAVBUQVAURAMZNUQURVBDUTOKZUQURVBPZAQDICZVDUQVEPPRVFUQVDVEVFUQVDVEVFUQVDSZVB
    URVGVBUTDEZURVFVAVDVBVHTUQDUTUAVCUBVGUTDADUQVFUTDUCADUCTVDAUDUEUFUGUHUIUJUK
    ULUMUNUTUOUP $.
    $( [22-Jan-2008] $) $( [27-Dec-2007] $)

  $( Square of the absolute value of a number that has been decomposed into
     real and imaginary parts. $)
  absreimsqt $p |- ( ( A e. RR /\ B e. RR ) ->
          ( ( abs ` ( A + ( i x. B ) ) ) ^ 2 ) = ( ( A ^ 2 ) + ( B ^ 2 ) ) ) $=
    ( cr wcel wa ci cmul co caddc cabs cfv c2 cexp cre cim cc wceq axaddcl
    recnt axicn axmulcl mpan syl syl2an absvalsq2t crret opreq1d crimt
    opreq12d eqtrd ) ACDZBCDZEZAFBGHZIHZJKLMHZUONKZLMHZUOOKZLMHZIHZALMHZBLMHZIH
    UMUOPDZUPVAQAPDUNPDZVDUKULAUNRASULBPDZVEBSFPDVFVETFBUAUBUCUDUOUEUCUMURVBUTV
    CIUMUQALMABUFUGUMUSBLMABUHUGUIUJ $.
    $( [15-Mar-2008] $) $( [1-Feb-2007] $)

  $( Absolute value of a number that has been decomposed into real and
     imaginary parts. $)
  absreimt $p |- ( ( A e. RR /\ B e. RR ) -> ( abs ` ( A + ( i x. B ) ) ) =
               ( sqr ` ( ( A ^ 2 ) + ( B ^ 2 ) ) ) ) $=
    ( cr wcel wa ci cmul co caddc cabs cfv c2 cexp csqr cc0 cle wbr wceq
    sqrsqt cc axaddcl recnt axicn axmulcl mpan syl syl2an absclt absge0t
    sylanc absreimsqt fveq2d eqtr3d ) ACDZBCDZEZAFBGHZIHZJKZLMHZNKZUSALMHBLMHIH
    ZNKUSCDZOUSPQZVAUSRUPUSSUPURTDZVCATDUQTDZVEUNUOAUQUAAUBUOBTDZVFBUBFTDVGVFUC
    FBUDUEUFUGZURUHUFUPVEVDVHURUIUFUJUPUTVBNABUKULUM $.
    $( [10-Mar-2006] $) $( [14-Jan-2006] $)

  $( Absolute value distributes over multiplication.  Proposition 10-3.7(f)
     of [Gleason] p. 133. $)
  absmult $p |- ( ( A e. CC /\ B e. CC ) ->
                ( abs ` ( A x. B ) ) = ( ( abs ` A ) x. ( abs ` B ) ) ) $=
    ( cc wcel cmul co cabs cfv wceq cc0 cif opreq1 fveq2d fveq2 opreq1d
    eqeq12d opreq2 opreq2d 0cn elimel absmul dedth2h ) ACDZBCDZABEFZGHZAGHZBGHZ
    EFZIUCAJKZBEFZGHZUJGHZUHEFZIUJUDBJKZEFZGHZUMUOGHZEFZIABJJAUJIZUFULUIUNUTUEU
    KGAUJBELMUTUGUMUHEAUJGNOPBUOIZULUQUNUSVAUKUPGBUOUJEQMVAUHURUMEBUOGNRPUJUOAJ
    CSTBJCSTUAUB $.
    $( [11-Oct-1999] $)

  ${
    absdivz.1 $e |- A e. CC $.
    absdivz.2 $e |- B e. CC $.
    $( Absolute value distributes over division. $)
    absdivz $p |- ( B =/= 0 ->
                  ( abs ` ( A / B ) ) = ( ( abs ` A ) / ( abs ` B ) ) ) $=
      ( cc0 wne cabs cfv cdiv co wceq cmul cc wcel divclz absmult mpan syl
      divcan2z fveq2d eqtr3d w3a wb divmult abscl recn a1i cr absclt recnt
      3syl 3jca abs00 necon3bii biimpr sylanc mpbird eqcomd ) BEFZAGHZBGHZIJZAB
      IJZGHZUSVBVDKZVAVDLJZUTKZUSBVCLJZGHZVFUTUSVCMNZVIVFKZABCDOZBMNVJVKDBVCPQR
      USVHAGBADCSTUAUTMNZVAMNZVDMNZUBVAEFZVEVGUCUSUTVAVDUDUSVMVNVOVMUSUTACUEUFU
      GVNUSVABDUEUFUGUSVJVDUHNVOVLVCUIVDUJUKULVPUSVAEBEBDUMUNUOUPUQUR $.
      $( [1-May-2005] $) $( [26-Mar-2005] $)
  $}


  $( Absolute value distributes over division. $)
  absdivt $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                ( abs ` ( A / B ) ) = ( ( abs ` A ) / ( abs ` B ) ) ) $=
    ( cc wcel cc0 wne cdiv co cabs cfv wceq wi cif opreq1 fveq2d fveq2 opreq1d
    eqeq12d imbi2d neeq1 opreq2 opreq2d imbi12d 0cn elimel absdivz dedth2h
    3impia ) ACDZBCDZBEFZABGHZIJZAIJZBIJZGHZKZUIUJUKUQLUKUIAEMZBGHZIJZURIJZUOGH
    ZKZLUJBEMZEFZURVDGHZIJZVAVDIJZGHZKZLABEEAURKZUQVCUKVKUMUTUPVBVKULUSIAURBGNO
    VKUNVAUOGAURIPQRSBVDKZUKVEVCVJBVDETVLUTVGVBVIVLUSVFIBVDURGUAOVLUOVHVAGBVDIP
    UBRUCURVDAECUDUEBECUDUEUFUGUH $.
    $( [4-May-2005] $) $( [27-Apr-2005] $)

  ${
    absid.1 $e |- A e. RR $.
    $( A nonnegative number is its own absolute value. $)
    absid $p |- ( 0 <_ A -> ( abs ` A ) = A ) $=
      ( cc0 cle wbr cmul co csqr cfv cabs sqrmsq ccj cc wcel wceq recn absvalt
      ax-mp cr cjreb mpbi opreq2i fveq2i eqtr syl5eq ) CADEAAFGZHIZAAJIZABKUHAA
      LIZFGZHIZUGAMNUHUKOABPZAQRUJUFHUIAAFASNUIAOBAULTUAUBUCUDUE $.
      $( [2-Aug-1999] $)
  $}

  $( A nonnegative number is its own absolute value. $)
  absidt $p |- ( ( A e. RR /\ 0 <_ A ) -> ( abs ` A ) = A ) $=
    ( cr wcel cc0 cle wbr cabs cfv wceq wi cif breq2 fveq2 id eqeq12d imbi12d
    0re elimel absid dedth imp ) ABCZDAEFZAGHZAIZUBUCUEJDUBADKZEFZUFGHZUFIZJADA
    UFIZUCUGUEUIAUFDELUJUDUHAUFAUFGMUJNOPUFADBQRSTUA $.
    $( [28-Feb-2005] $) $( [11-Oct-1999] $)

  $( A negative number is the negative of its own absolute value. $)
  absnidt $p |- ( ( A e. RR /\ A <_ 0 ) -> ( abs ` A ) = -u A ) $=
    ( cr wcel cc0 cle wbr cabs cfv cneg wceq le0neg1t wa cc recnt absnegt syl
    adantr absidt renegclt sylan eqtr3d ex sylbid imp ) ABCZADEFZAGHZAIZJZUEUFD
    UHEFZUIAKUEUJUIUEUJLUHGHZUGUHUEUKUGJZUJUEAMCULANAOPQUHBCUJUKUHJUEUHRASTUAUB
    UCUD $.
    $( [28-Feb-2005] $) $( [27-Feb-2005] $)

  $( A real number is less than or equal to its absolute value. $)
  leabst $p |- ( A e. RR -> A <_ ( abs ` A ) ) $=
    ( cr wcel cabs cfv cle wbr cc0 0re a1i id wceq absidt eqlet eqcom sylan2b
    syldan cc recnt absge0t syl wa wi absclt letrt mp3an2 mpdan mpan2d imp
    lecase ) ABCZAADEZFGZHAHBCZUKIJUKKUKHAFGULALZUMAMUKAULLUMUOAULNULAOPQUKAHFG
    ZUMUKUPHULFGZUMUKARCZUQASZATUAUKULBCZUPUQUBUMUCZUKURUTUSAUDUAUKUNUTVAIAHULU
    EUFUGUHUIUJ $.
    $( [3-Apr-2005] $) $( [27-Feb-2005] $)

  $( The absolute value of a real number is either that number or
     its negative. $)
  absort $p |- ( A e. RR -> ( ( abs ` A ) = A \/ ( abs ` A ) = -u A ) ) $=
    ( cr wcel cc0 cle wbr wo cabs cfv wceq cneg 0re letrit mpan absidt ex
    absnidt orim12d mpd ) ABCZDAEFZADEFZGZAHIZAJZUDAKJZGDBCTUCLDAMNTUAUEUBUFTUA
    UEAOPTUBUFAQPRS $.
    $( [28-Feb-2005] $) $( [27-Feb-2005] $)

  $( Absolute value of a real number. $)
  absret $p |- ( A e. RR -> ( abs ` A ) = ( sqr ` ( A ^ 2 ) ) ) $=
    ( cr wcel cabs cfv ccj cmul co csqr c2 cexp cc wceq recnt absvalt syl
    sqvalt cjret opreq2d eqtr4d fveq2d ) ABCZADEZAAFEZGHZIEZAJKHZIEUBALCZUCUFMA
    NZAOPUBUGUEIUBUGAAGHZUEUBUHUGUJMUIAQPUBUDAAGARSTUAT $.
    $( [19-Mar-2005] $) $( [17-Mar-2005] $)

  $( Square of the absolute value of a real number. $)
  absresqt $p |- ( A e. RR -> ( ( abs ` A ) ^ 2 ) = ( A ^ 2 ) ) $=
    ( cr wcel ccj cfv cmul co cabs c2 cexp cjret opreq2d cc wceq recnt
    absvalsqt syl sqvalt 3eqtr4d ) ABCZAADEZFGZAAFGZAHEIJGZAIJGZTUAAAFAKLTAMCZU
    DUBNAOZAPQTUFUEUCNUGARQS $.
    $( [22-Feb-2006] $) $( [16-Jan-2006] $)

  ${
    $d j k A $.  $d j k N $.
    $( Absolute value of natural number exponentiation. $)
    absexpt $p |- ( ( A e. CC /\ N e. NN0 ) ->
                  ( abs ` ( A ^ N ) ) = ( ( abs ` A ) ^ N ) ) $=
      ( vj vk cn0 wcel cc cexp co cabs cfv wceq cv wi cc0 c1 caddc opreq2
      fveq2d eqeq12d imbi2d cle wbr 0re 1re lt01 ltlei absid ax-mp exp0t
      absclt recnd syl 3eqtr4a wa cmul opreq1 adantl expp1t absmult expclt
      pm3.26 sylanc eqtrd adantr sylan 3eqtr4d exp31 com12 a2d nn0ind impcom )
      BEFAGFZABHIZJKZAJKZBHIZLZVMACMZHIZJKZVPVSHIZLZNVMAOHIZJKZVPOHIZLZNVMADMZH
      IZJKZVPWHHIZLZNVMAWHPQIZHIZJKZVPWMHIZLZNVMVRNCDBVSOLZWCWGVMWRWAWEWBWFWRVT
      WDJVSOAHRSVSOVPHRTUAVSWHLZWCWLVMWSWAWJWBWKWSVTWIJVSWHAHRSVSWHVPHRTUAVSWML
      ZWCWQVMWTWAWOWBWPWTVTWNJVSWMAHRSVSWMVPHRTUAVSBLZWCVRVMXAWAVOWBVQXAVTVNJVS
      BAHRSVSBVPHRTUAVMPJKZPWEWFOPUBUCXBPLOPUDUEUFUGPUEUHUIVMWDPJAUJSVMVPGFZWFP
      LVMVPAUKULZVPUJUMUNWHEFZVMWLWQVMXEWLWQNVMXEWLWQVMXEUOZWLUOWJVPUPIZWKVPUPI
      ZWOWPWLXGXHLXFWJWKVPUPUQURXFWOXGLWLXFWOWIAUPIZJKZXGXFWNXIJAWHUSSWIGFVMXJX
      GLXFWIAUTAWHVAVMXEVBVCVDVEXFWPXHLZWLXCXEXKVMVPWHUSXDVFVEVGVHVIVJVKVL $.
      $( [15-Feb-2006] $) $( [5-Jan-2006] $)
  $}

  $( The absolute value of a complex number is greater than or equal to the
     absolute value of its real part. $)
  absrelet $p |- ( A e. CC -> ( abs ` ( Re ` A ) ) <_ ( abs ` A ) ) $=
    ( cc wcel cre cfv c2 cexp co csqr cim caddc cabs cle wbr cc0 cr imclt
    sqge0t syl wb addge01t reclt resqclt sylanc mpbid sqrlet axaddrcl addge0t
    syl2anc wceq absret absval2t 3brtr4d ) ABCZADEZFGHZIEZUPAJEZFGHZKHZIEZUOLEZ
    ALEMUNUPUTMNZUQVAMNZUNOUSMNZVCUNURPCZVEAQZURRSZUPPCZUSPCZVEVCTUNUPUSUAUNUOP
    CZVIAUBZUOUCSZUNVFVJVGURUCSZUDUEVIUTPCZOUPMNZOUTMNZVCVDTUNUPUTUFVMVIVJVOUNU
    PUSUGVMVNUDUNVKVPVLUORSZVIVJVPVEVQUNUPUSUHVMVNVRVHUIUIUEUNVKVBUQUJVLUOUKSAU
    LUM $.
    $( [25-Jul-2006] $) $( [1-Apr-2005] $)

  $( The absolute value of a complex number is greater than or equal to the
     absolute value of its imaginary part. $)
  absimlet $p |- ( A e. CC -> ( abs ` ( Im ` A ) ) <_ ( abs ` A ) ) $=
    ( cc wcel cim cfv c2 cexp co csqr cre caddc cabs cle wbr cr cc0 addge02t
    biimp3a imclt resqclt syl reclt sqge0t syl3anc wb sqrlet axaddrcl sylanc
    addge0t syl2anc mpbid wceq absret absval2t 3brtr4d ) ABCZADEZFGHZIEZAJEZFGH
    ZURKHZIEZUQLEZALEMUPURVBMNZUSVCMNZUROCZVAOCZPVAMNZVEUPVGVHVIVEURVAQRUPUQOCZ
    VGASZUQTUAZUPUTOCZVHAUBZUTTUAZUPVMVIVNUTUCUAZUDVGVBOCZPURMNZPVBMNZVEVFUEUPU
    RVBUFVLVHVGVQUPVAURUGVOVLUHUPVJVRVKUQUCUAZVHVGVIVRVSUPVAURUIVOVLVPVTUJUJUKU
    PVJVDUSULVKUQUMUAAUNUO $.
    $( [25-Jul-2006] $) $( [17-Mar-2005] $)

  ${
    absnid.1 $e |- A e. RR $.
    $( A negative number is the negative of its own absolute value. $)
    absnid $p |- ( A <_ 0 -> ( abs ` A ) = -u A ) $=
      ( cr wcel cc0 cle wbr cabs cfv cneg wceq absnidt mpan ) ACDAEFGAHIAJKBALM
      $.
      $( [2-Aug-1999] $)

    $( A real number is less than or equal to its absolute value. $)
    leabs $p |- A <_ ( abs ` A ) $=
      ( cc0 cle wbr wo cabs cfv 0re letri wceq absid recn abscl eqle eqcoms
      syl absge0 letr mpan2 jaoi ax-mp ) CADEZACDEZFAAGHZDEZCAIBJUCUFUDUCUEAKUF
      ABLUFAUEAUEBAABMZNZOPQUDCUEDEUFAUGRACUEBIUHSTUAUB $.
      $( [2-Aug-1999] $)

    $( The absolute value of a real number is either that number or
       its negative. $)
    absor $p |- ( ( abs ` A ) = A \/ ( abs ` A ) = -u A ) $=
      ( cr wcel cabs cfv wceq cneg wo absort ax-mp ) ACDAEFZAGLAHGIBAJK $.
      $( [30-Sep-1999] $)

    $( Absolute value of a real number. $)
    absre $p |- ( abs ` A ) = ( sqr ` ( A ^ 2 ) ) $=
      ( cr wcel cabs cfv c2 cexp co csqr wceq absret ax-mp ) ACDAEFAGHIJFKBALM
      $.
      $( [3-Aug-1999] $)
  $}

  ${
    abslt.1 $e |- A e. RR $.
    abslt.2 $e |- B e. RR $.
    $( Absolute value and 'less than' relation. $)
    abslt $p |- ( ( abs ` A ) < B <-> ( -u B < A /\ A < B ) ) $=
      ( cabs cfv clt wbr cneg wa cle renegcl leabs recn absneg breqtr abscl
      lelttr mpan jca wceq wo absor breq1 biimprcd jaao mpi ancoms impbi
      ltnegcon1 anbi1i bitr ) AEFZBGHZAIZBGHZABGHZJZBIAGHZUQJUNURUNUPUQUOUMKH
      UNUPUOUOEFUMKUOACLZMAACNZOPUOUMBUTAVAQZDRSAUMKHUNUQACMAUMBCVBDRSTUQUPUN
      UQUPJUMAUAZUMUOUAZUBUNACUCUQVCUNUPVDVCUNUQUMABGUDUEVDUNUPUMUOBGUDUEUFUG
      UHUIUPUSUQABCDUJUKUL $.
      $( [5-May-2005] $) $( [6-Apr-2005] $)

    $( Absolute value and 'less than or equal to' relation. $)
    absle $p |- ( ( abs ` A ) <_ B <-> ( -u B <_ A /\ A <_ B ) ) $=
      ( cabs cfv cle wbr cneg wa renegcl leabs recn absneg breqtr abscl letr
      mpan jca wceq wo absor breq1 biimprcd jaao mpi ancoms impbi lenegcon1
      anbi1i bitr ) AEFZBGHZAIZBGHZABGHZJZBIAGHZUPJUMUQUMUOUPUNULGHUMUOUNUNEF
      ULGUNACKZLAACMZNOUNULBUSAUTPZDQRAULGHUMUPACLAULBCVADQRSUPUOUMUPUOJULATZ
      ULUNTZUAUMACUBUPVBUMUOVCVBUMUPULABGUCUDVCUMUOULUNBGUCUDUEUFUGUHUOURUPAB
      CDUIUJUK $.
      $( [5-May-2005] $) $( [6-Apr-2005] $)
  $}

  $( The absolute value of 0. $)
  abs0 $p |- ( abs ` 0 ) = 0 $=
    ( cc0 cabs cfv wceq eqid 0cn abs00 mpbir ) ABCADAADAEAFGH $.
    $( [27-Mar-2005] $) $( [26-Mar-2005] $)

  $( The absolute value of the imaginary unit. $)
  absi $p |- ( abs ` i ) = 1 $=
    ( ci cabs cfv ccj cmul co csqr c1 cc wcel wceq axicn absvalt ax-mp cneg
    mulneg2 cji opreq2i ixi mulcl ax1cn negcon2 mpbi 3eqtr4 fveq2i sqr1 3eqtr
    ) ABCZAADCZEFZGCZHGCHAIJUHUKKLAMNUJHGAAOZEFAAEFZOZUJHAALLPUIULAEQRUMHOKHUNK
    SUMHAALLTUAUBUCUDUEUFUG $.
    $( [17-Jun-2005] $) $( [26-Mar-2005] $)

  $( The absolute value of an integer is a nonnegative integer. $)
  nn0absclt $p |- ( A e. ZZ -> ( abs ` A ) e. NN0 ) $=
    ( cz wcel cabs cfv cc0 cle wbr wa cn0 wceq cneg wo cr zret absort syl wi
    eleq1 biimprd znegclt syl5bir jaoi mpcom cc zcnt absge0t jca elnn0z sylibr
    ) ABCZADEZBCZFULGHZIULJCUKUMUNULAKZULALZKZMZUKUMUKANCURAOAPQUOUKUMRUQUOUMUK
    ULABSTUQUMUPBCUKULUPBSAUAUBUCUDUKAUECUNAUFAUGQUHULUIUJ $.
    $( [15-Mar-2005] $) $( [27-Feb-2005] $)

  $( Absolute value and 'less than' relation. $)
  absltt $p |- ( ( A e. RR /\ B e. RR ) ->
               ( ( abs ` A ) < B <-> ( -u B < A /\ A < B ) ) ) $=
    ( cr wcel cabs cfv clt wbr cneg wa wb cc0 cif wceq fveq2 breq1d breq2
    breq1 anbi12d bibi12d negeq 0re elimel abslt dedth2h ) ACDZBCDZAEFZBGHZBIZA
    GHZABGHZJZKUFALMZEFZBGHZUJUNGHZUNBGHZJZKUOUGBLMZGHZUTIZUNGHZUNUTGHZJZKABLLA
    UNNZUIUPUMUSVFUHUOBGAUNEOPVFUKUQULURAUNUJGQAUNBGRSTBUTNZUPVAUSVEBUTUOGQVGUQ
    VCURVDVGUJVBUNGBUTUAPBUTUNGQSTUNUTALCUBUCBLCUBUCUDUE $.
    $( [12-May-2005] $) $( [6-Apr-2005] $)

  $( Absolute value and 'less than or equal to' relation. $)
  abslet $p |- ( ( A e. RR /\ B e. RR ) ->
               ( ( abs ` A ) <_ B <-> ( -u B <_ A /\ A <_ B ) ) ) $=
    ( cr wcel cabs cfv cle wbr cneg wa wb cc0 cif wceq fveq2 breq1d breq2
    breq1 anbi12d bibi12d negeq 0re elimel absle dedth2h ) ACDZBCDZAEFZBGHZBIZA
    GHZABGHZJZKUFALMZEFZBGHZUJUNGHZUNBGHZJZKUOUGBLMZGHZUTIZUNGHZUNUTGHZJZKABLLA
    UNNZUIUPUMUSVFUHUOBGAUNEOPVFUKUQULURAUNUJGQAUNBGRSTBUTNZUPVAUSVEBUTUOGQVGUQ
    VCURVDVGUJVBUNGBUTUAPBUTUNGQSTUNUTALCUBUCBLCUBUCUDUE $.
    $( [12-May-2005] $) $( [6-Apr-2005] $)

  $( If the absolute value of a complex number is less than a real, its
     difference from the real is nonzero. $)
  abssubne0t $p |- ( ( A e. CC /\ B e. RR /\ ( abs ` A ) < B ) ->
                   ( B - A ) =/= 0 ) $=
    ( cc wcel cr cabs cfv clt wbr w3a cmin co cc0 wne wceq wn ltnet absclt
    syl3an1 df-ne sylib wi wa cneg ltnrt intnand wb absltt anidms mtbird
    pm2.21d imp a1i fveq2 breq1d anbi2d eqeq2d 3imtr4d com12 3adant1 mtod
    sylibr subeq0t recnt sylan ancoms eqcom syl6bb necon3bid 3adant3 mpbird )
    ACDZBEDZAFGZBHIZJZBAKLZMNZABNZVPABOZPVSVPVTBVNOZVPBVNNZWAPVNEDVMVOWBVLVNBQA
    RSBVNTUAVMVOVTWAUBVLVTVMVOUCZWAVTVMBFGZBHIZUCZBWDOZWCWAWFWGUBVTVMWEWGVMWEWG
    VMWEBUDBHIZBBHIZUCZVMWIWHBUEUFVMWEWJUGBBUHUIUJUKULUMVTVOWEVMVTVNWDBHABFUNZU
    OUPVTVNWDBWKUQURUSUTVAABTVBVLVMVRVSUGVOVLVMUCZVQMABWLVQMOZBAOZVTVMVLWMWNUGZ
    BCDVLWOVMBAVCBVDVEVFBAVGVHVIVJVK $.
    $( [4-Nov-2007] $) $( [2-Nov-2007] $)

  $( The absolute value of a difference and 'less than' relation.  (Contributed
      by Paul Chapman, 18-Sep-2007.) $)
  absdifltt $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                    ( ( abs ` ( A - B ) ) < C <->
                      ( ( B - C ) < A /\ A < ( B + C ) ) ) ) $=
    ( cr wcel w3a cmin co cabs cfv clt wbr cneg wa caddc wb absltt resubclt
    sylan 3impa ltaddsub2t renegclt syl3an2 3comr wceq cc negsubt recnt syl2an
    3adant1 breq1d bitr3d ltsubadd2t anbi12d bitrd ) ADEZBDEZCDEZFZABGHZIJCKLZC
    MZUTKLZUTCKLZNZBCGHZAKLZABCOHKLZNUPUQURVAVEPZUTDEURVIUPUQNUTCQABRSTUSVCVGVD
    VHUSBVBOHZAKLZVCVGUQURUPVKVCPZUQVBDEUPVLURBVBAUACUBUCUDUSVJVFAKUQURVJVFUEZU
    PBUFECUFEVMUQURBCUGBUHCUHUIUJUKULABCUMUNUO $.
    $( [19-Sep-2007] $) $( [18-Sep-2007] $)

  $( The absolute value of a difference and 'less than or equal to' relation.
     (Contributed by Paul Chapman, 18-Sep-2007.) $)
  absdiflet $p |- ( ( A e. RR /\ B e. RR /\ C e. RR ) ->
                    ( ( abs ` ( A - B ) ) <_ C <->
                      ( ( B - C ) <_ A /\ A <_ ( B + C ) ) ) ) $=
    ( cr wcel w3a cmin co cabs cfv cle wbr cneg wa caddc wb abslet resubclt
    sylan 3impa leaddsub2t renegclt syl3an2 3comr wceq cc negsubt recnt syl2an
    3adant1 breq1d bitr3d lesubadd2t anbi12d bitrd ) ADEZBDEZCDEZFZABGHZIJCKLZC
    MZUTKLZUTCKLZNZBCGHZAKLZABCOHKLZNUPUQURVAVEPZUTDEURVIUPUQNUTCQABRSTUSVCVGVD
    VHUSBVBOHZAKLZVCVGUQURUPVKVCPZUQVBDEUPVLURBVBAUACUBUCUDUSVJVFAKUQURVJVFUEZU
    PBUFECUFEVMUQURBCUGBUHCUHUIUJUKULABCUMUNUO $.
    $( [19-Sep-2007] $) $( [18-Sep-2007] $)

  $( Comparison to a nonnegative number based on comparison to squares. $)
  lenegsqt $p |- ( ( A e. RR /\ B e. RR /\ 0 <_ B ) ->
              ( ( A <_ B /\ -u A <_ B ) <-> ( A ^ 2 ) <_ ( B ^ 2 ) ) ) $=
    ( cr wcel cc0 cle wbr cneg wa c2 cexp co wb cabs cfv le2sqt cc recnt
    absclt absge0t jca syl sylan abslet lenegcon1t anbi1d ancom syl5rbbr bitrd
    adantrr absresqt breq1d adantr 3bitr3d 3impb ) ACDZBCDZEBFGZABFGZAHBFGZIZAJ
    KLZBJKLZFGZMUPUQURIZIANOZBFGZVFJKLZVCFGZVAVDVFCDZEVFFGZIZVEVGVIMUPVFBPUPAQD
    ZVLARVMVJVKASATUAUBUCUPUQVGVAMURUPUQIZVGBHAFGZUSIZVAABUDVNUTUSIVPVAVNUTVOUS
    ABUEUFUTUSUGUHUIUJUPVIVDMVEUPVHVBVCFAUKULUMUNUO $.
    $( [2-Mar-2006] $) $( [16-Jan-2006] $)

  $( The real part of a number is less than or equal to its absolute value.
     Proposition 10-3.7(d) of [Gleason] p. 133. $)
  releabst $p |- ( A e. CC -> ( Re ` A ) <_ ( abs ` A ) ) $=
    ( cc wcel cre cfv cabs reclt cr recnt absclt 3syl cle wbr leabst syl
    absrelet letrd ) ABCZADEZSFEZAFEAGZRSHCZSBCTHCUASISJKAJRUBSTLMUASNOAPQ $.
    $( [3-Apr-2005] $) $( [1-Apr-2005] $)

  ${
    recvalz.1 $e |- A e. CC $.
    $( Reciprocal expressed with a real denominator. $)
    recvalz $p |- ( A =/= 0 ->
                  ( 1 / A ) = ( ( * ` A ) / ( ( abs ` A ) ^ 2 ) ) ) $=
      ( cc0 wne c1 cabs cfv c2 cexp co ccj cdiv wceq cmul cjcl mulcom absvalsq
      eqtr4 wb cc wcel cjne0t ax-mp abscl resqcl recn divmulz sylbi mpbiri
      opreq2d wa recdivt mpanr1 mpanl1 clt wbr gt0ne0 absgt0 sqeq0 necon3bii
      3imtr4 biimp sylanc eqtr3d ) ACDZEAFGZHIJZAKGZLJZLJZEALJVHVGLJZVEVIAELVEV
      IAMZVHANJZVGMZVMAVHNJVGVHAABOZBPABQRVEVHCDZVLVNSATUAVEVPSBAUBUCZVGVHAVGVF
      ABUDZUEUFZVOBUGUHUIUJVGCDZVPVJVKMZVEVGTUAZVTVPWAVSWBVTUKVHTUAVPWAVOVGVHUL
      UMUNCVFUOUPVFCDVEVTVFVRUQABURVGCVFCVFVFVRUFUSUTVAVEVPVQVBVCVD $.
      $( [8-Jul-2005] $) $( [29-Apr-2005] $)
  $}

  ${
    cjdiv.1 $e |- A e. CC $.
    cjdiv.2 $e |- B e. CC $.
    $( Complex conjugate distributes over division. $)
    cjdiv $p |- ( B =/= 0 ->
                    ( * ` ( A / B ) ) = ( ( * ` A ) / ( * ` B ) ) ) $=
      ( cc0 wne cdiv co ccj cfv c1 cmul divrecz fveq2d cc wcel wceq recclz
      cjmult mpan syl wb cjne0t ax-mp cjcl sylbi cabs c2 cexp cr clt wbr abscl
      gt0ne0 absgt0 recn sqeq0 necon3bii 3imtr4 resqcl rerecclz cjret 3syl
      opreq2d a1i sylanc abscj opreq1i opreq2i syl5eq 3eqtr4rd recvalz eqtrd
      3eqtr4d eqtr2d 3eqtrd ) BEFZABGHZIJAKBGHZLHZIJZAIJZVSIJZLHZWBBIJZGHZVQVRV
      TIABCDMNVQVSOPZWAWDQZBDRAOPWGWHCAVSSTUAVQWFWBKWEGHZLHZWDVQWEEFZWFWJQBOPVQ
      WKUBDBUCUDZWBWEACUEBDUEZMUFVQWIWCWBLVQWEIJZWEUGJZUHUIHZGHZWEKBUGJZUHUIHZG
      HZLHZIJZWIWCVQWNWTIJZLHZWNWTLHZXBWQVQXCWTWNLVQWSEFZWTUJPXCWTQEWRUKULWREFV
      QXFWRBDUMZUNBDUOWSEWREWRWRXGUPUQURUSZWSWRXGUTZVAWTVBVCVDWEOPZWTOPZXBXDQVQ
      WEWTSXJVQWMVEVQXFXKXHWSWSXIUPZRUAVFVQWNWSGHZXEWQVQXFXMXEQXHWNWSWEWMUEXLMU
      AWPWSWNGWOWRUHUIBDVGVHVIVJVKVQWKWIWQQWLWEWMVLUFVQVSXAIVQVSWEWSGHZXABDVLVQ
      XFXNXAQXHWEWSWMXLMUAVMNVNVDVOVP $.
      $( [13-Dec-2005] $) $( [29-Apr-2005] $)
  $}

  $( Complex conjugate distributes over division. $)
  cjdivt $p |- ( ( A e. CC /\ B e. CC /\ B =/= 0 ) ->
                   ( * ` ( A / B ) ) = ( ( * ` A ) / ( * ` B ) ) ) $=
    ( cc wcel cc0 wne cdiv co ccj cfv wceq wi cif opreq1 fveq2d fveq2 opreq1d
    eqeq12d imbi2d neeq1 opreq2 opreq2d imbi12d 0cn elimel cjdiv dedth2h
    3impia ) ACDZBCDZBEFZABGHZIJZAIJZBIJZGHZKZUIUJUKUQLUKUIAEMZBGHZIJZURIJZUOGH
    ZKZLUJBEMZEFZURVDGHZIJZVAVDIJZGHZKZLABEEAURKZUQVCUKVKUMUTUPVBVKULUSIAURBGNO
    VKUNVAUOGAURIPQRSBVDKZUKVEVCVJBVDETVLUTVGVBVIVLUSVFIBVDURGUAOVLUOVHVAGBVDIP
    UBRUCURVDAECUDUEBECUDUEUFUGUH $.
    $( [3-Feb-2006] $) $( [29-Apr-2005] $)

  ${
    releabs.1 $e |- A e. CC $.
    $( The real part of a number is less than or equal to its absolute value.
       Proposition 10-3.7(d) of [Gleason] p. 133. $)
    releabs $p |- ( Re ` A ) <_ ( abs ` A ) $=
      ( cc wcel cre cfv cabs cle wbr releabst ax-mp ) ACDAEFAGFHIBAJK $.
      $( [2-Oct-1999] $)

    ${
      abstri.2 $e |- B e. CC $.
      $( Triangle inequality for absolute value.  Proposition 10-3.7(h) of
         [Gleason] p. 133. $)
      abstri $p |- ( abs ` ( A + B ) ) <_ ( ( abs ` A ) + ( abs ` B ) ) $=
        ( caddc co cabs cfv cle wbr c2 cexp ccj cmul cre cjcl mulcl releabs
        absmul abscj opreq2i eqtr breqtr cc0 clt wb 2pos recl abscl remulcl
        2re lemul2 ax-mp mpbi resqcl readdcl leadd2 sqabsadd recn binom2 sqcl
        add23 3brtr4 addcl absge0 addge0 mp2an le2sq mpbir ) ABEFZGHZAGHZBGHZEF
        ZIJZVKKLFZVNKLFZIJZVLKLFZVMKLFZEFZKABMHZNFZOHZNFZEFZWAKVLVMNFZNFZEFZVPV
        QIWEWHIJZWFWIIJWDWGIJZWJWDWCGHZWGIWCAWBCBDPZQZRWLVLWBGHZNFWGAWBCWMSWOVM
        VLNBDTUAUBUCUDKUEJWKWJUFUGWDWGKWCWNUHZVLVMACUIZBDUIZUJZUKULUMUNWEWHWAKW
        DUKWPUJKWGUKWSUJZVSVTVLWQUOVMWRUOUPUQUNABCDURVQVSWHEFVTEFWIVLVMVLWQUSZV
        MWRUSZUTVSWHVTVLXAVAWHWTUSVMXBVAVBUBVCUDVKIJUDVNIJZVOVRUFVJABCDVDZVEUDV
        LIJUDVMIJXCACVEBDVEVLVMWQWRVFVGVKVNVJXDUIVLVMWQWRUPVHVGVI $.
        $( [2-Oct-1999] $)
    $}
  $}

  $( The absolute value function is idempotent. $)
  absidmt $p |- ( A e. CC -> ( abs ` ( abs ` A ) ) = ( abs ` A ) ) $=
    ( cabs cfv cr wcel cc0 cle wbr wceq cc absidt absclt absge0t sylanc ) ABCZD
    EFOGHOBCOIAJEOKALAMN $.
    $( [20-Jul-2005] $) $( [20-Nov-2004] $)

  $( The absolute value of a non-zero number is positive. $)
  absgt0t $p |- ( A e. CC -> ( A =/= 0 <-> 0 < ( abs ` A ) ) ) $=
    ( cc wcel cc0 wne cabs cfv clt wbr wb cif wceq neeq1 fveq2 breq2d bibi12d
    0cn elimel absgt0 dedth ) ABCZADEZDAFGZHIZJUAADKZDEZDUEFGZHIZJADAUELZUBUFUD
    UHAUEDMUIUCUGDHAUEFNOPUEADBQRST $.
    $( [6-Mar-2005] $) $( [1-Oct-1999] $)

  $( Swapping order of subtraction doesn't change the absolute value. $)
  abssubt $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( abs ` ( A - B ) ) = ( abs ` ( B - A ) ) ) $=
    ( cc wcel cmin co cabs cfv wceq cc0 cif opreq1 fveq2d opreq2 eqeq12d 0cn
    elimel abssub dedth2h ) ACDZBCDZABEFZGHZBAEFZGHZITAJKZBEFZGHZBUFEFZGHZIUFUA
    BJKZEFZGHZUKUFEFZGHZIABJJAUFIZUCUHUEUJUPUBUGGAUFBELMUPUDUIGAUFBENMOBUKIZUHU
    MUJUOUQUGULGBUKUFENMUQUIUNGBUKUFELMOUFUKAJCPQBJCPQRS $.
    $( [1-Oct-1999] $)

  $( Absolute value of a nonnegative difference. $)
  abssubge0t $p |- (  ( A e. RR /\ B e. RR /\ A <_ B )
                      -> ( abs ` ( B - A ) ) = ( B - A ) ) $=
    ( cr wcel cle wbr cmin co cabs cfv wceq cc0 w3a absidt resubclt 3adant3 wa
    subge0t biimpar 3impa sylanc 3com12 ) BCDZACDZABEFZBAGHZIJUFKZUFCDZLUFEFZUG
    UCUDUEMUFNUCUDUHUEBAOPUCUDUEUIUCUDQUIUEBARSTUAUB $.
    $( [14-Feb-2008] $) $( [14-Feb-2008] $)

  $( Absolute value of a nonpositive difference.  (Contributed by FL,
     3-Jan-2008.) $)
  abssuble0t $p |- (  ( A e. RR /\ B e. RR /\ A <_ B )
                      -> ( abs ` ( A - B ) ) = ( B - A ) ) $=
    ( cr wcel cle wbr w3a cmin co cabs cfv wceq cc abssubt recnt syl2an
    3adant3 abssubge0t eqtrd ) ACDZBCDZABEFZGABHIJKZBAHIZJKZUDTUAUCUELZUBAMDBMD
    UFTUAABNAOBOPQABRS $.
    $( [23-Jan-2008] $) $( [3-Jan-2008] $)

  $( The maximum of two numbers using absolute value. $)
  absmaxt $p |- ( ( A e. RR /\ B e. RR ) -> if ( A <_ B , B , A )
              = ( ( ( A + B ) + ( abs ` ( A - B ) ) ) / 2 ) ) $=
    ( cr wcel wa cle wbr cif caddc co cmin cabs cfv c2 cdiv wceq clt cmul cc
    recnt cc0 wne 2cn 2ne0 divcan3t mp3an13 syl ad2antlr ltlet imp abssubge0t
    3expa syldan opreq2d ppncant pm3.27 pm3.26 syl3anc 2timest adantl eqtr4d
    syl2an adantr eqtrd opreq1d wn ltnlet biimpa iffalse 3eqtr4rd ancom1s
    abssuble0t addcomt 3eqtr4d iftrue pm2.61ltle ) ACDZBCDZEZABFGZBAHZABIJZABKJ
    ZLMZIJZNOJZPZBAVRVQBAQGZWGVRVQEZWHEZNARJZNOJZAWFWAVQWLAPZVRWHVQASDZWMATZNSD
    ZWNNUAUBZWMUCUDNAUEUFUGUHWJWEWKNOWJWEWBWCIJZWKWJWDWCWBIWIWHBAFGZWDWCPZWIWHW
    SBAUIUJVRVQWSWTBAUKULUMUNWIWRWKPZWHBSDZWNXAVRVQXBWNEZWRAAIJZWKWNXBWNWRXDPXC
    ABAUOXBWNUPZXBWNUQXEURWNWKXDPXBAUSUTVABTZWOVBVCVDVEWJVTVFZWAAPWIWHXGBAVGVHV
    TBAVIUGVJVKVSVTEZNBRJZNOJZBWFWAVRXJBPZVQVTVRXBXKXFWPXBWQXKUCUDNBUEUFUGUHXHW
    EXINOXHWEWBBAKJZIJZXIXHWDXLWBIVQVRVTWDXLPABVLULUNVSXMXIPZVTWNXBXNVQVRWNXBEZ
    BAIJZXLIJZBBIJZXMXIXBWNXBXQXRPXOBABUOWNXBUPZWNXBUQXSURXOWBXPXLIABVMVEXBXIXR
    PWNBUSUTVNWOXFVBVCVDVEVTWABPVSVTBAVOUTVJVQVRUPVQVRUQVP $.
    $( [7-Aug-2008] $) $( [7-Aug-2008] $)

  $( Triangle inequality for absolute value.  Proposition 10-3.7(h) of
     [Gleason] p. 133. $)
  abstrit $p |- ( ( A e. CC /\ B e. CC ) ->
                ( abs ` ( A + B ) ) <_ ( ( abs ` A ) + ( abs ` B ) ) ) $=
    ( cc wcel caddc co cabs cfv cle wbr cc0 cif wceq opreq1 fveq2d fveq2
    opreq1d breq12d opreq2 opreq2d 0cn elimel abstri dedth2h ) ACDZBCDZABEFZGHZ
    AGHZBGHZEFZIJUEAKLZBEFZGHZULGHZUJEFZIJULUFBKLZEFZGHZUOUQGHZEFZIJABKKAULMZUH
    UNUKUPIVBUGUMGAULBENOVBUIUOUJEAULGPQRBUQMZUNUSUPVAIVCUMURGBUQULESOVCUJUTUOE
    BUQGPTRULUQAKCUAUBBKCUAUBUCUD $.
    $( [20-Apr-2005] $) $( [7-Mar-2005] $)

  $( Absolute value of differences around common element.  (Contributed by FL,
     9-Oct-2006.) $)
  abs3dift $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
            ( abs ` ( A - B ) ) <_ ( ( abs ` ( A - C ) ) +
                      ( abs ` ( C - B ) ) ) ) $=
    ( cc wcel w3a cmin co caddc cabs cfv cle wceq npncant 3com23 fveq2d wbr
    abstrit subclt 3adant2 ancoms 3adant1 sylanc eqbrtrrd ) ADEZBDEZCDEZFZACGHZ
    CBGHZIHZJKZABGHZJKUIJKUJJKIHZLUHUKUMJUEUGUFUKUMMACBNOPUIDEZUJDEZULUNLQUHUIU
    JRUEUGUOUFACSTUFUGUPUEUGUFUPCBSUAUBUCUD $.
    $( [9-Oct-2006] $) $( [9-Oct-2006] $)

  ${
    abs3dif.1 $e |- A e. CC $.
    abs3dif.2 $e |- B e. CC $.
    abs3dif.3 $e |- C e. CC $.
    $( Absolute value of differences around common element. $)
    abs3dif $p |- ( abs ` ( A - B ) ) <_ ( ( abs ` ( A - C ) ) +
                  ( abs ` ( C - B ) ) ) $=
      ( cc wcel cmin co cabs cfv caddc cle wbr abs3dift mp3an ) AGHBGHCGHABIJKL
      ACIJKLCBIJKLMJNODEFABCPQ $.
      $( [2-Oct-1999] $)
    ${
      abs3lem.4 $e |- D e. RR $.
      $( Lemma involving absolute value of differences. $)
      abs3lem $p |- ( ( ( abs ` ( A - C ) ) < ( D / 2 ) /\
                         ( abs ` ( C - B ) ) < ( D / 2 ) ) ->
                         ( abs ` ( A - B ) ) < D ) $=
        ( cmin co cabs cfv c2 cdiv clt wbr wa caddc subcl abscl 2re 2ne0
        redivcl lt2add cle abs3dif readdcl lelttr mpan syl cmul recn 2times
        2cn divcan2OLD eqtr3 syl6breq ) ACIJZKLZDMNJZOPCBIJZKLZUTOPQZABIJZKLZUTUTR
        JZDOVCUSVBRJZVFOPZVEVFOPZUSVBUTUTURACEGSTZVACBGFSTZDMHUAUBUCZVLUDVEVGUE
        PVHVIABCEFGUFVEVGVFVDABEFSTUSVBVJVKUGUTUTVLVLUGUHUIUJMUTUKJVFDUTUTVLULU
        MMDUNDHULUBUOUPUQ $.
        $( [2-Oct-1999] $)
    $}
  $}

  $( Difference of absolute values.  (Contributed by Paul Chapman,
     7-Sep-2007.) $)
  abs2dift $p |- ( ( A e. CC /\ B e. CC ) ->
                 ( ( abs ` A ) - ( abs ` B ) ) <_ ( abs ` ( A - B ) ) ) $=
    ( cc wcel wa cc0 cmin co cabs cfv cle subid1t fveq2d opreqan12d wbr caddc
    0cn abs3dift mp3an2 cr w3a wb subclt mpan2 absclt syl anim12i jca df-3an
    sylibr lesubaddt mpbird eqbrtrrd ) ACDZBCDZEZAFGHZIJZBFGHZIJZGHZAIJZBIJZGHA
    BGHZIJZKUNUOURVBUTVCGUNUQAIALMUOUSBIBLMNUPVAVEKOZURVEUTPHKOZUNFCDZUOVGQAFBR
    SUPURTDZUTTDZVETDZUAZVFVGUBUPVIVJEZVKEVLUPVMVKUNVIUOVJUNUQCDZVIUNVHVNQAFUCU
    DUQUEUFUOUSCDZVJUOVHVOQBFUCUDUSUEUFUGUPVDCDVKABUCVDUEUFUHVIVJVKUIUJURUTVEUK
    UFULUM $.
    $( [8-Sep-2007] $) $( [7-Sep-2007] $)

  $( Absolute value of difference of absolute values.  (Contributed by Paul
     Chapman, 7-Sep-2007.) $)
  abs2difabst $p |- ( ( A e. CC /\ B e. CC ) ->
            ( abs ` ( ( abs ` A ) - ( abs ` B ) ) ) <_ ( abs ` ( A - B ) ) ) $=
    ( cc wcel wa cabs cfv cmin co cle wbr cneg abs2dift ancoms wceq negsubdi2t
    absclt recnd syl2an abssubt 3brtr4d jca cr wb abslet resubclt subclt syl
    sylanc lenegcon1t anbi1d bitr4d mpbird ) ACDZBCDZEZAFGZBFGZHIZFGABHIZFGZJKZ
    USLZVAJKZUSVAJKZEZUPVDVEUPURUQHIZBAHIFGZVCVAJUOUNVGVHJKBAMNUQCDURCDVCVGOUNU
    OUQURPUNUQAQZRUOURBQZRSABTUAABMUBUPVBVALUSJKZVEEZVFUSUCDZVAUCDZVBVLUDUPUSVA
    UEUQUCDURUCDVMUNUOUQURUFVIVJSZUPUTCDVNABUGUTQUHZUIUPVDVKVEVMVNVDVKUDUPUSVAU
    JVOVPUIUKULUM $.
    $( [8-Sep-2007] $) $( [7-Sep-2007] $)

  ${
    $d x A $.
    abs1m.1 $e |- A e. CC $.
    $( For any complex number, there exists a unit-magnitude multiplier that
       produces its absolute value.  Part of proof of Theorem 13-2.12 of
       [Gleason] p. 195. $)
    abs1m $p |- E. x e. CC ( ( abs ` x ) = 1 /\ ( abs ` A ) = ( x x. A ) ) $=
      ( cv cabs cfv c1 wceq cmul co wa cc wrex cc0 wcel abs00 biimpr opreq2
      0cn mulid2 syl6eq eqtr4d cle wbr 0re 1re lt01 ltlei absid ax-mp jctil
      ax1cn fveq2 eqeq1d opreq1 eqeq2d anbi12d rcla4ev syl wne ccj cdiv
      necon3bii cjcl abscl recn divclz absdivz dividt mpan abscj absidmt
      opreq12i syl5eq eqtrd c2 cexp absvalsq sqval mulcom 3eqtr3 mulcl divmulz
      mpbiri w3a 3pm3.2i div23t eqtr3d jca sylbir pm2.61ine ) ADZEFZGHZBEFZWLBI
      JZHZKZALMZBNBNHZGLOZGEFZGHZWOGBIJZHZKZKWSWTXFXAWTXEXCWTWONXDWONHWTBCPZQWT
      XDGNIJNBNGIRNSTUAUBNGUCUDXCNGUEUFUGUHGUFUIUJUKULUKWRXFAGLWLGHZWNXCWQXEXHW
      MXBGWLGEUMUNXHWPXDWOWLGBIUOUPUQURUSBNUTZBVAFZWOVBJZLOZXKEFZGHZWOXKBIJZHZK
      ZKZWSXIWONUTZXRWONBNXGVCXSXLXQXJWOBCVDZWOBCVEVFZVGXSXNXPXSXMXJEFZWOEFZVBJ
      ZGXJWOXTYAVHXSWOWOVBJZGYDWOLOZXSYEGHYAWOVIVJYBWOYCWOVBBCVKBLOZYCWOHCBVLUJ
      VMVNVOXSXJBIJZWOVBJZWOXOXSYIWOHWOWOIJZYHHWOVPVQJBXJIJYJYHBCVRWOYAVSBXJCXT
      VTWAYHWOWOXJBXTCWBYAYAWCWDXJLOZYGYFWEXSYIXOHYKYGYFXTCYAWFXJBWOWGVJWHWIWIW
      JWRXQAXKLWLXKHZWNXNWQXPYLWMXMGWLXKEUMUNYLWPXOWOWLXKBIUOUPUQURUSWK $.
      $( [26-Jul-2005] $) $( [26-Mar-2005] $)
  $}

  ${
    $d x y A $.  $d x B $.
    $( Cancellation law involving the real part of a complex number. $)
    recant $p |- ( ( A e. CC /\ B e. CC ) -> ( A. x e. CC
                 ( Re ` ( x x. A ) ) = ( Re ` ( x x. B ) ) <-> A = B ) ) $=
      ( cc wcel wa cv cmul co cre cfv wceq wral c1 ci cneg caddc cim replimt
      mulid2t eqcomd fveq2d imret opreq2d opreq12d eqtrd eqeqan12d wi ax1cn
      opreq1 eqeq12d rcla4v ax-mp axicn negcl syl5bir opreq2 a1d r19.21aiv
      impbid1 ) BDEZCDEZFZAGZBHIZJKZVDCHIZJKZLZADMZBCLZVCVKNBHIZJKZOOPZBHIZJKZH
      IZQIZNCHIZJKZOVNCHIZJKZHIZQIZLVJVAVBBVRCWDVABBJKZOBRKZHIZQIVRBSVAWEVMWGVQ
      QVABVLJVAVLBBTUAUBVAWFVPOHBUCUDUEUFVBCCJKZOCRKZHIZQIWDCSVBWHVTWJWCQVBCVSJ
      VBVSCCTUAUBVBWIWBOHCUCUDUEUFUGVJVMVTVQWCQNDEVJVMVTLZUHUIVIWKANDVDNLZVFVMV
      HVTWLVEVLJVDNBHUJUBWLVGVSJVDNCHUJUBUKULUMVJVPWBOHVNDEVJVPWBLZUHOUNUOVIWMA
      VNDVDVNLZVFVPVHWBWNVEVOJVDVNBHUJUBWNVGWAJVDVNCHUJUBUKULUMUDUEUPVKVIADVKVI
      VDDEVKVEVGJBCVDHUQUBURUSUT $.
      $( [24-Jul-2008] $) $( [12-May-2005] $)

    $( Mapping domain and codomain of the absolute value function. $)
    absf $p |- abs : CC --> RR $=
      ( vx vy cc cr cv ccj cfv cmul co csqr cabs df-abs wcel absvalt absclt
      eqeltrrd fopab ) ABCDAEZRFGHIJGZKABLRCMRKGSDRNROPQ $.
      $( [31-Aug-2007] $) $( [30-Aug-2007] $)
  $}

  $( Lemma involving absolute value of differences. $)
  abs3lemt $p |- ( ( ( A e. CC /\ B e. CC ) /\ ( C e. CC /\
                   D e. RR ) ) -> (
          ( ( abs ` ( A - C ) ) < ( D / 2 ) /\
            ( abs ` ( C - B ) ) < ( D / 2 ) ) ->
            ( abs ` ( A - B ) ) < D ) ) $=
    ( cc wcel cr cmin co cabs cfv c2 cdiv clt wbr wa wi cc0 cif wceq opreq1
    fveq2d breq1d anbi1d imbi12d opreq2 anbi2d anbi12d imbi1d breq2d breq2 0cn
    elimel 0re abs3lem dedth4h ) AEFZBEFZCEFZDGFZACHIZJKZDLMIZNOZCBHIZJKZVCNOZP
    ZABHIZJKZDNOZQABCDRRUQARSZCHIZJKZVCNOZVGPZVLBHIZJKZDNOZQVOCURBRSZHIZJKZVCNO
    ZPZVLVTHIZJKZDNOZQVLUSCRSZHIZJKZVCNOZWHVTHIZJKZVCNOZPZWGQWJUTDRSZLMIZNOZWMW
    QNOZPZWFWPNOZQRRAVLTZVHVPVKVSXBVDVOVGXBVBVNVCNXBVAVMJAVLCHUAUBUCUDXBVJVRDNX
    BVIVQJAVLBHUAUBUCUEBVTTZVPWDVSWGXCVGWCVOXCVFWBVCNXCVEWAJBVTCHUFUBUCUGXCVRWF
    DNXCVQWEJBVTVLHUFUBUCUECWHTZWDWOWGXDVOWKWCWNXDVNWJVCNXDVMWIJCWHVLHUFUBUCXDW
    BWMVCNXDWAWLJCWHVTHUAUBUCUHUIDWPTZWOWTWGXAXEWKWRWNWSXEVCWQWJNDWPLMUAZUJXEVC
    WQWMNXFUJUHDWPWFNUKUEVLVTWHWPAREULUMBREULUMCREULUMDRGUNUMUOUP $.
    $( [2-Oct-1999] $)

  ${
    abslem2.1 $e |- A e. CC $.
    ${
      abslem2i.2 $e |- A =/= 0 $.
      $( Lemma involving absolute values. $)
      abslem2i $p |- ( ( ( * ` ( A / ( abs ` A ) ) ) x. A ) +
      ( ( A / ( abs ` A ) ) x. ( * ` A ) ) ) = ( 2 x. ( abs ` A ) ) $=
        ( c2 cabs cfv cmul co caddc cdiv ccj abscl recn 2times cr wcel wceq
        cjreb mpbi cexp sqval absvalsq eqtr3 opreq1i cc0 wne abs00 necon3bii
        mpbir divcan4 cjcl div23 3eqtr3 fveq2i divcl cjmul cjcj opreq2i 3eqtr
        opreq12i eqtr2 ) DAEFZGHVBVBIHAVBJHZKFZAGHZVCAKFZGHZIHVBVBABLZMZNVBVEVB
        VGIVBVGKFZVDVFKFZGHVEVBKFZVBVJVBOPVLVBQVHVBVIRSVBVGKVBVBGHZVBJHAVFGHZVB
        JHVBVGVMVNVBJVBDTHVMVNVBVIUAABUBUCUDVBVBVIVIVBUEUFAUEUFCVBUEAUEABUGUHUI
        ZUJAVFVBBABUKZVIVOULUMZUNUCVCVFAVBBVIVOUOVPUPVKAVDGABUQURUSVQUTVA $.
        $( [11-Oct-1999] $)
    $}

    $( Lemma involving absolute values. $)
    abslem2 $p |- ( A =/= 0 -> ( ( ( * ` ( A / ( abs ` A ) ) ) x. A ) +
      ( ( A / ( abs ` A ) ) x. ( * ` A ) ) ) = ( 2 x. ( abs ` A ) ) ) $=
      ( cc0 wne cabs cfv cdiv co ccj cmul caddc c2 wceq c1 cif id fveq2
      opreq12d fveq2d opreq2d eqeq12d cc ax1cn keepel elimne0 abslem2i dedth )
      ACDZAAEFZGHZIFZAJHZUJAIFZJHZKHZLUIJHZMUHANOZUQEFZGHZIFZUQJHZUSUQIFZJHZKHZ
      LURJHZMANAUQMZUOVDUPVEVFULVAUNVCKVFUKUTAUQJVFUJUSIVFAUQUIURGVFPZAUQEQZRZS
      VGRVFUJUSUMVBJVIAUQIQRRVFUIURLJVHTUAUQUHANUBBUCUDAUEUFUG $.
      $( [11-Oct-1999] $)
  $}

  ${
    $d x y z A $.  $d x y z w F $.
    seq1bnd.1 $e |- F : NN --> CC $.
    $( An initial segment of an infinite sequence of complex numbers is
       bounded. $)
    seq1bnd $p |- ( A e. NN -> E. x e. RR A. y e. NN ( y <_ A ->
                 ( abs ` ( F ` y ) ) < x ) ) $=
      ( vz vw cv cle wbr cfv cabs clt wi cn wral cr wrex c1 caddc co wceq
      breq2 imbi1d rexralbidv wcel cc wf 1nn ffvelrn mp2an abscl 1re readdcl
      nnle1eq1t fveq2 fveq2d ltp1 syl6eqbr syl6bi rgen imbi2d ralbidv rcla4ev
      wa cif wo wb leloet nnret peano2nn syl syl2an nnleltp1t orbi1d bitr4d
      ancoms adantlr adantr max1ALT ad2antlr ltletrt ffvelrni absclt adantl
      simplr ifcl peano2re 3syl sylan syl3anc mpan2d imim2d imp breq1d ltp1t
      syl5cbir ad2antrr max2 sylan2 syld jaod sylbid ex r19.20dva jctild syl6
      r19.23adva cbvrexv syl5ib nnind ) BHZFHZIJZXLDKZLKZAHZMJZNZBOPAQRXLSIJZXR
      NZBOPZAQRZXLGHZIJZXRNZBOPZAQRZXLYDSTUAZIJZXRNZBOPZAQRZXLCIJZXRNZBOPAQRFGC
      XMSUBZXSYAABQOYPXNXTXRXMSXLIUCUDUEXMYDUBZXSYFABQOYQXNYEXRXMYDXLIUCUDUEXMY
      IUBZXSYKABQOYRXNYJXRXMYIXLIUCUDUEXMCUBZXSYOABQOYSXNYNXRXMCXLIUCUDUESDKZLK
      ZSTUAZQUFXTXPUUBMJZNZBOPZYCUUASYTOUGDUHSOUFYTUGUFEUIOUGSDUJUKULZUMUNUUDBO
      XLOUFZXTXLSUBZUUCXLUOUUHXPUUAUUBMUUHXOYTLXLSDUPUQUUAUUFURUSUTVAYBUUEAUUBQ
      XQUUBUBZYAUUDBOUUIXRUUCXTXQUUBXPMUCVBVCVDUKYDOUFZYEXPXMMJZNZBOPZFQRYMYHUU
      JUUMYMFQUUJXMQUFZVEZUUMXMYIDKZLKZSTUAZIJZUURXMVFZQUFZYJXPUUTMJZNZBOPZVEYM
      UUOUUMUVDUVAUUOUULUVCBOUUOUUGVEZUULUVCUVEUULVEZYJYEXLYIUBZVGZUVBUVEYJUVHV
      HZUULUUJUUGUVIUUNUUGUUJUVIUUGUUJVEZYJXLYIMJZUVGVGZUVHXLQUFYIQUFZYJUVLVHUU
      GUUJXLYIVIXLVJUUJYIOUFZUVMYDVKZYIVJVLVMUVJYEUVKUVGXLYDVNVOVPVQVRVSUVFYEUV
      BUVGUVEUULYEUVBNUVEUUKUVBYEUVEUUKXMUUTIJZUVBUUNUVPUUJUUGXMUURVTWAXPQUFZUU
      NUVAUUKUVPVEUVBNUVEXPXMUUTWBUUGUVQUUOUUGXOUGUFUVQOUGXLDEWCXOWDVLWEZUUJUUN
      UUGWFUUOUVAUUGUURQUFZUUNUVAUUJUUSUURXMQWGUUJUUPUGUFZUUQQUFZUVSUUJUVNUVTUV
      OOUGYIDEWCVLZUUPWDZUUQWHWIZWJZVSZWKWLWMWNUVEUVGUVBNUULUVEUVGXPUURMJZUVBUU
      JUVGUWGNUUNUUGUVGUWGUUQUURMJZUUJUVGXPUUQUURMUVGXOUUPLXLYIDUPUQWOUUJUVTUWA
      UWHUWBUWCUUQWPWIWQWRUVEUWGUURUUTIJZUVBUUOUWIUUGUUNUUJUWIUUNUVSUWIUUJXMUUR
      WSUWDWTVQVSUVQUVSUVAUWGUWIVEUVBNUVEXPUURUUTWBUVRUUJUVSUUNUUGUWDWRUWFWKWLX
      AVSXBXCXDXEUWEXFYLUVDAUUTQXQUUTUBZYKUVCBOUWJXRUVBYJXQUUTXPMUCVBVCVDXGXHYG
      UUMAFQXQXMUBZYFUULBOUWKXRUUKYEXQXMXPMUCVBVCXIXJXK $.
      $( [22-Apr-2005] $) $( [3-Apr-2005] $)
  $}

  ${
    $d y A $.  $d x y z w v B $.  $d y z w v F $.
    seq1ub.1 $e |- F : NN --> RR $.
    $( Lemma for ~ seq1ub . $)
    seq1ublem $p |- ( B e. NN -> ( ran ( F |` { x e. NN | x <_ B } ) (_ RR /\
        ran ( F |` { x e. NN | x <_ B } ) =/= (/) /\
        E. y e. RR A. z e. ran ( F |` { x e. NN | x <_ B } ) z <_ y ) ) $=
      ( vw vv cn wcel cv cle wbr crab cres crn cr wss c0 wne wral wrex wf
      ssrab2 fssres mp2an frn ax-mp a1i c1 cfv wfn wa nnge1t 1nn jctil breq1
      elrab sylibr ffn fnssres fnfvelrn syl ne0i cabs clt wi cc axresscn fss
      seq1bnd wceq fveq2 fveq2d breq1d imbi12d rcla4cv imp32 adantll adantr
      leabst lelttrt 3expa recnt absclt ancli sylan mpand ltlet syld ffvelrni
      ancoms adantrr wb fvres sylbir adantl sylibrd biimpd sylan9 adantllr mpd
      exp31 syl5ib r19.23adv fvelrnb ex r19.21adv r19.22i 3jca ) DIJZEAKZDLMZAI
      NZOZPZQRZXPSTZCKZBKZLMZCXPUAZBQUBZXQXKXNQXOUCZXQIQEUCZXNIRZYDFXMAIUDZIQXN
      EUEUFXNQXOUGUHUIXKUJXOUKZXPJZXRXKXOXNULZUJXNJZUMYIXKYKYJXKUJIJZUJDLMZUMYK
      XKYMYLDUNUOUPXMYMAUJIXLUJDLUQURUSEIULZYFYJYEYNFIQEUTUHYGIXNEVAUFZUPXNUJXO
      VBVCXPYHVDVCXKGKZDLMZYPEUKZVEUKZXTVFMZVGZGIUAZBQUBYCBGDEYEQVHRIVHEUCFVIIQ
      VHEVJUFVKUUBYBBQXTQJZUUBYACXPUUCUUBXSXPJZYAVGUUCUUBUMZHKZXOUKZXSVLZHXNUBZ
      YAUUDUUEUUHYAHXNUUEUUFIJZUUFDLMZUMZUUHYAVGUUFXNJZUUEUULUUHYAUUEUULUMZUUHU
      MUUFEUKZVEUKZXTVFMZYAUUNUUQUUHUUBUULUUQUUCUUBUUJUUKUUQUUAUUKUUQVGGUUFIYPU
      UFVLZYQUUKYTUUQYPUUFDLUQUURYSUUPXTVFUURYRUUOVEYPUUFEVMVNVOVPVQVRVSVTUUCUU
      LUUHUUQYAVGUUBUUCUULUMZUUQUUGXTLMZUUHYAUUSUUQUUOXTLMZUUTUUCUUJUUQUVAVGZUU
      KUUJUUCUVBUUOQJZUUCUVBUUJUVCUUCUMZUUQUUOXTVFMZUVAUVDUUOUUPLMZUUQUVEUVCUVF
      UUCUUOWAVTUVCUUPQJZUMUUCUVFUUQUMUVEVGZUVCUVCUVGUUCUVHUUOUUPXTWBWCUVCUVGUV
      CUUOVHJUVGUUOWDUUOWEVCWFWGWHUUOXTWIWJIQUUFEFWKWGWLWMUULUUTUVAWNUUCUULUUGU
      UOXTLUULUUMUUGUUOVLXMUUKAUUFIXLUUFDLUQURZUUFXNEWOWPVOWQWRUUHUUTYAUUGXSXTL
      UQWSWTXAXBXCUVIXDXEYJUUDUUIWNYOHXNXSXOXFUHXDXGXHXIVCXJ $.
      $( [17-Jun-2007] $) $( [20-Apr-2005] $)

    $( An upper bound for an initial segment of a sequence of reals. $)
    seq1ub $p |- ( ( A e. NN /\ B e. NN /\ A <_ B ) ->
           ( F ` A ) <_ sup ( ran ( F |` { x e. NN | x <_ B } ) , RR , < ) ) $=
      ( vz vy cv cle wbr cn crab cres crn cr wss c0 wne wral wrex w3a cfv wcel
      clt csup suprub seq1ublem 3ad2ant2 wa wceq breq1 cbvrabv elrab2 fvres
      sylbir wfn biimpr wf ffn ax-mp ssrab2 fnssres mp2an jctil fnfvelrn syl
      eqeltrrd 3adant2 sylanc ) DAHZCIJZAKLZMZNZOPVNQRFHGHZIJFVNSGOTUAZBDUBZVNU
      CZVQVNOUDUEIJBKUCZCKUCZBCIJZUAGFVNVQUFVTVSVPWAAGFCDEUGUHVSWAVRVTVSWAUIZBV
      MUBZVQVNWBBVLUCZWCVQUJVOCIJZWAGBKVLVOBCIUKVKWEAGKVJVOCIUKULUMZBVLDUNUOWBV
      MVLUPZWDUIWCVNUCWBWDWGWDWBWFUQDKUPZVLKPWGKODURWHEKODUSUTVKAKVAKVLDVBVCVDV
      LBVMVEVFVGVHVI $.
      $( [24-Apr-2005] $) $( [20-Apr-2005] $)
  $}

  ${
    $d x y z $.  $d y z R $.
    cau2.1 $e |- F : NN --> CC $.
    cau2.2 $e |- ( x e. RR -> ( 0 < x -> 0 R x ) ) $.
    $( Two ways to express that a sequence meets the Cauchy criterion.  Remark
       in [Gleason] p. 181.  ` R ` can be either ` < ` or ` <_ ` . $)
    cau2 $p |- ( A. x e. RR ( 0 < x -> E. y e. NN A. z e. NN ( y < z ->
                      ( abs ` ( ( F ` z ) - ( F ` y ) ) ) R x ) ) <->
                    A. x e. RR ( 0 < x -> E. y e. NN A. z e. NN ( y <_ z ->
                      ( abs ` ( ( F ` z ) - ( F ` y ) ) ) R x ) ) ) $=
      ( cc0 cv clt wbr cfv cmin co cabs wi cn wral wrex cle cr wcel wa wceq wo
      imp fveq2 opreq2d cc ffvelrni subidt syl sylan9eqr fveq2d abs0 syl6eq
      breq1d biimprcd exp3a adantlr biantrud jaob syl6bbr wb leloet nnret
      syl2an adantll imbi1d bitr4d ralbidva rexbidva pm5.74da ralbiia ) HAIZJKZ
      BIZCIZJKZVRELZVQELZMNZOLZVODKZPZCQRZBQSZPVPVQVRTKZWDPZCQRZBQSZPAUAVOUAUBZ
      VPWGWKWLVPUCZWFWJBQWMVQQUBZUCZWEWICQWOVRQUBZUCZWEVSVQVRUDZUEZWDPZWIWQWEWE
      WRWDPZUCWTWQXAWEWMWPXAWNWMWPXAWMHVODKZWPXAPWLVPXBGUFXBWPWRWDWPWRUCZWDXBXC
      WCHVODXCWCHOLHXCWBHOWRWPWBVTVTMNZHWRWAVTVTMVQVREUGUHWPVTUIUBXDHUDQUIVREFU
      JVTUKULUMUNUOUPUQURUSULUFUTVAVSWDWRVBVCWQWHWSWDWNWPWHWSVDZWMVQUAUBVRUAUBX
      EWNWPVQVRVEVQVFVRVFVGVHVIVJVKVLVMVN $.
      $( [25-Apr-2005] $) $( [10-Apr-2005] $)
  $}

  ${
    $d m ph $.  $d j m W $.  $d j k m Z $.
    cau3i.1 $e |- Z (_ ZZ $.
    $( A relationship used to derive two ways to express a Cauchy sequence. $)
    cau3i $p |- ( E. m e. Z A. j e. Z A. k e. W ( ( m <_ j /\ m <_ k ) ->
                ph ) -> E. j e. Z A. k e. W ( j <_ k -> ph ) ) $=
      ( cv cle wbr wa wi wral wrex wsbc wcel ax-17 hbs1 hbim wceq breq2 anbi1d
      sbequ12 imbi12d rcla4 cr cz zssre sstri sseli leidt syl biantrurd imbi1d
      sylibrd r19.20sdv ralcom syl5ib r19.22i hbral breq1 ralbidv cbvrex
      sylibr ) DHZBHZIJZVECHZIJZKZALZCEMBFMZDFNVIABVEOZLZCEMZDFNVFVHIJZALZCEMZB
      FNVLVODFVEFPZVKBFMZCEMVOVLVSVTVNCEVSVTVEVEIJZVIKZVMLZVNVKWCBVEFWBVMBWBBQA
      BDRZSVFVETZVJWBAVMWEVGWAVIVFVEVEIUAUBABDUCZUDUEVSVIWBVMVSWAVIVSVEUFPWAFUF
      VEFUGUFGUHUIUJVEUKULUMUNUOUPVKBCFEUQURUSVRVOBDFVRDQVNBCEVHEPBQVIVMBVIBQWD
      SUTWEVQVNCEWEVPVIAVMVFVEVHIVAWFUDVBVCVD $.
      $( [22-Dec-2006] $) $( [17-Dec-2006] $)
  $}

  ${
    $v et $.
    cau3ir.wet $f wff et $.
    $d j k m n x y R $.  $d j k m n x y W $.  $d j k m n x y Z $.
    $d j n y ch $.  $d j k m y et $.  $d m n y ph $.  $d k ps $.  $d x th $.
    $d x ta $.
    cau3ir.1 $e |- ( k = m -> ( ph <-> ps ) ) $.
    cau3ir.2 $e |- ( j = k -> ( ps <-> ch ) ) $.
    cau3ir.3 $e |- ( x = ( y / 2 ) -> ( ( ph /\ ps ) <-> th ) ) $.
    cau3ir.4 $e |- ( x = y -> ( ch <-> ta ) ) $.
    cau3ir.5 $e |- ( ( ( et /\ y e. RR ) /\ ( j e. Z /\ k e. W /\ m e. W ) ) ->
                   ( th -> ta ) ) $.
    $( A relationship used to derive two ways to express a Cauchy sequence.
       Normally ` Z ` and ` W ` are subsets of ` ZZ ` , and ` R ` is ` <_ ` or
       ` < ` .  ` ph ` is ` ph ( j , k , x ) ` . $)
    cau3ir $p |- ( et -> ( A. x e. RR ( 0 < x -> E. j e. Z A. k e. W ( j R k ->
          ph ) ) -> A. x e. RR ( 0 < x -> E. m e. Z A. j e. W A. k e. W
          ( ( m R j /\ m R k ) -> ph ) ) ) ) $=
      ( vn cc0 cv clt wbr wi wral wrex cr wa wcel c2 cdiv co wb halfpos2t
      adantl wceq breq2 imbi2d 2ralbidv rexbidv imbi12d rcla4cva rehalfclt
      sylan2 sylbid raaan cbvralv anbi2i anidm 3bitr2r prth r19.20si sylbi
      r19.22si imim2i sylan 3exp2 imp41 imim2d r19.20dva r19.22dva adantrl
      syld exp32 r19.21adv breq1 anbi12d imbi1d cbvrexv anbi2d ralbii anbi1d
      ralbidv bitr2 rexbii 3bitr imbi2i bitr3 syl6ib ) NUAFUBZUCUDZIUBZJUBZHUDZ
      AUEZJLUFZIMUGZUEZFUHUFZUAGUBZUCUDZXEXCKUBZHUDZUIZEUEZKLUFZJLUFZIMUGZUEZGU
      HUFZXBXMXCHUDZXMXDHUDZUIZAUEZJLUFILUFZKMUGZUEZFUHUFZNXJXTGUHNXJXKUHUJZXTN
      XJYJUIZUIXLXODUEZKLUFZJLUFZIMUGZXSYKXLYOUEZNXBXOABUIZUEZKLUFZJLUFZIMUGZUE
      ZFUHUFZYJYPXJUUCYJUIXLUAXKUKULUMZUCUDZYOYJXLUUEUNUUCXKUOUPUUCUUDUHUJUUEYO
      UEZYJUUBUUFFUUDUHXAUUDUQZXBUUEUUAYOXAUUDUAUCURUUGYTYNIMUUGYRYLJKLLUUGYQDX
      OQUSUTVAVBVCXKVDVEVFXIUUBFUHXHUUAXBXGYTIMXGXFXNBUEZUIZKLUFZJLUFZYTUUKXGUU
      HKLUFZUIXGXGUIXGXFUUHJKLVGXGUULXGXFUUHJKLXDXMUQZXEXNABXDXMXCHUROVBVHVIXGV
      JVKUUJYSJLUUIYRKLXEAXNBVLVMVMVNVOVPVMVQUPNYJYOXSUEXJNYJUIZYNXRIMUUNXCMUJZ
      UIZYMXQJLUUPXDLUJZUIZYLXPKLUURXMLUJZUIDEXOUUNUUOUUQUUSDEUEZUUNUUOUUQUUSUU
      TSVRVSVTWAWAWBWCWDWEWFYAXBXOCUEZKLUFJLUFZIMUGZUEZFUHUFYIUVDXTFGUHXAXKUQZX
      BXLUVCXSXAXKUAUCURUVEUVBXRIMUVEUVAXPJKLLUVECEXORUSUTVAVBVHUVDYHFUHUVCYGXB
      UVCTUBZXDHUDZUVFXMHUDZUIZCUEZKLUFZJLUFZTMUGUVFXCHUDZUVGUIZAUEZJLUFZILUFZT
      MUGYGUVBUVLITMXCUVFUQZUVAUVJJKLLUVRXOUVICUVRXEUVGXNUVHXCUVFXDHWGXCUVFXMHW
      GWHWIUTWJUVLUVQTMUVQUVMUVHUIZBUEZKLUFZILUFUVLUVPUWAILUVOUVTJKLUUMUVNUVSAB
      UUMUVGUVHUVMXDXMUVFHURWKOVBVHWLUWAUVKIJLXCXDUQZUVTUVJKLUWBUVSUVIBCUWBUVMU
      VGUVHXCXDUVFHURWMPVBWNVHWOWPUVQYFTKMUVFXMUQZUVOYEIJLLUWCUVNYDAUWCUVMYBUVG
      YCUVFXMXCHWGUVFXMXDHWGWHWIUTWJWQWRWLWSWT $.
      $( [18-Apr-2007] $) $( [17-Dec-2006] $)
  $}

  ${
    $v et $.
    cau3.wet $f wff et $.
    $d j k m n x y R $.  $d j k m n x y Z $.  $d j n y ch $.
    $d j k m y et $.  $d m n y ph $.  $d k ps $.  $d x th $.  $d x ta $.
    cau3.1 $e |- ( k = m -> ( ph <-> ps ) ) $.
    cau3.2 $e |- ( j = k -> ( ps <-> ch ) ) $.
    cau3.3 $e |- ( x = ( y / 2 ) -> ( ( ph /\ ps ) <-> th ) ) $.
    cau3.4 $e |- ( x = y -> ( ch <-> ta ) ) $.
    cau3.5 $e |- ( ( ( et /\ y e. RR ) /\ ( j e. Z /\ k e. Z /\ m e. Z ) ) ->
                   ( th -> ta ) ) $.
    cau3.6 $e |- Z (_ ZZ $.
    $( A relationship used to derive two ways to express a Cauchy sequence.
         ` ph ` is ` ph ( j , k , x ) ` . $)
    cau3 $p |- ( et ->
         ( A. x e. RR ( 0 < x -> E. j e. Z A. k e. Z
        ( j <_ k -> ph ) ) <-> A. x e. RR ( 0 < x ->
       E. m e. Z A. j e. Z A. k e. Z ( ( m <_ j /\ m <_ k ) -> ph ) ) ) ) $=
      ( cc0 cv clt wbr cle wi wral wrex cr wa cau3ir cau3i imim2i r19.20si
      impbid1 ) LSFTUAUBZHTZITZUCUBAUDIKUEHKUFZUDZFUGUEUNJTZUOUCUBUSUPUCUBUHAUD
      IKUEHKUEJKUFZUDZFUGUEABCDEFGUCHIJKKLMNOPQUIVAURFUGUTUQUNAHIJKKRUJUKULUM
      $.
      $( [19-Apr-2007] $) $( [17-Dec-2006] $)
  $}

  ${
    $d j k m n M $.  $d m Z $.  $d m n ph $.
    cau5i.1 $e |- M e. ZZ $.
    cau5i.1a $e |- Z = ( ZZ> ` M ) $.
    cau5i.2 $e |- W (_ ZZ $.
    cau5i.3 $e |- U (_ ZZ $.
    $( A relationship used to derive two ways to express a Cauchy
       sequence.  ` ph ` is ` ph ( j , k ) ` . $)
    cau5i $p |- ( E. m e. ZZ A. j e. ZZ A. k e. ZZ ( ( m <_ j /\ m <_ k ) ->
            ph ) -> E. m e. Z A. j e. W A. k e. U
                ( ( m <_ j /\ m <_ k ) -> ph ) ) $=
      ( vn cv cle wbr wa wi cz wral wrex cuz cfv wcel zret cr zre a1i letrt
      mp3an2 sylan2 im2anan9 anandis sylan anandi syl5ib exp3a imp an1rs
      anassrs imim1d r19.20dva uzidt ax-mp wceq breq1 anbi12d imbi1d 2ralbidv
      rcla4ev mpan syl6 eluz1 ex sylbir lecase r19.23aiv sseli imim1i r19.20i2
      imim12i r19.22si syl cbvrexv wb rexeq1 3imtr4 ) MNZCNZOPZWHDNZOPZQZARZDST
      ZCSTZMSUAZENZWIOPZWRWKOPZQZARZDBTZCGTZEFUBUCZUAZXBDSTZCSTZESUAXDEHUAZWQXH
      EXEUAZXFWPXJMSWHSUDZWPXJRZWHFWHUEZFUFUDZXKFIUGZUHXKWHFOPZQZWPFWIOPZFWKOPZ
      QZARZDSTZCSTZXJXQWOYBCSXQWISUDZQZWNYADSYEWKSUDZQXTWMAXQYDYFXTWMRZXKYDYFQZ
      XPYGXKYHQZXPYGYIXPXTWMYIXPXRQZXPXSQZQZWMXPXTQWHUFUDZYHYLWMRZXKYMYDYFYNYMY
      DQYJWJYMYFQYKWLYMWIUFUDZYJWJRZYDYMXNYOYPXOWHFWIUIUJWIUEUKYMWKUFUDZYKWLRZY
      FYMXNYQYRXOWHFWKUIUJWKUEUKULUMXMUNXPXRXSUOUPUQURUSUTVAVBVBFXEUDZYCXJFSUDY
      SIFVCVDXHYCEFXEWRFVEZXBYACDSSYTXAXTAYTWSXRWTXSWRFWIOVFWRFWKOVFVGVHVIVJVKV
      LXKFWHOPQWHXEUDZXLFWHIVMUUAWPXJXHWPEWHXEWRWHVEZXBWNCDSSUUBXAWMAUUBWSWJWTW
      LWRWHWIOVFWRWHWKOVFVGVHVIZVJVNVOVPVQXHXDEXEXGXCCSGWIGUDYDXGXCGSWIKVRXBXBD
      SBWKBUDYFXBBSWKLVRVSVTWAVTWBWCXHWPEMSUUCWDHXEVEXIXFWEJXDEHXEWFVDWG $.
      $( [22-Dec-2006] $) $( [17-Dec-2006] $)
  $}

  ${
    $d j k m M $.  $d j k m Z $.  $d m ph $.
    cau4i.1 $e |- M e. ZZ $.
    cau4i.2 $e |- Z = ( ZZ> ` M ) $.
    $( A relationship used to derive two ways to express a Cauchy sequence.
       ` ph ` is ` ph ( j , k ) ` . $)
    cau4i $p |- ( E. j e. Z A. k e. Z ( j <_ k -> ph ) ->
                  E. j e. ZZ A. k e. ZZ ( j <_ k -> ph ) ) $=
      ( cv cle wbr wi wral wrex wa cz cuz cfv wceq wb rexeq1 ax-mp wcel rexuz
      bitr cr zre letrt mp3an1 zret syl2an exp4b com23 imp31 ancrd imim1d
      impexp syl5ibr r19.20dva raleq1 raluz syl5ib ex imp3a r19.22i sylbi ) BHZ
      CHZIJZAKZCELZBEMZDVFIJZVJNZBOMZVICOLZBOMVKVJBDPQZMZVNEVPRZVKVQSGVJBEVPTUA
      DOUBZVQVNSFVJBDUCUAUDVMVOBOVFOUBZVLVJVOVTVLVJVOKVTVLNZDVGIJZVIKZCOLZVOVJW
      AWCVICOWAVGOUBZNZWBVHNZAKVIWCWFVHWGAWFVHWBVTVLWEVHWBKZVTWEVLWHVTWEVLVHWBV
      FUEUBZVGUEUBZVLVHNWBKZVTWEDUEUBWIWJWKDFUFDVFVGUGUHVFUIVGUIUJUKULUMUNUOWBV
      HAUPUQURVJVICVPLZWDVRVJWLSGVICEVPUSUAVSWLWDSFVICDUTUAUDVAVBVCVDVE $.
      $( [19-Dec-2006] $) $( [18-Dec-2006] $)

    $( A relationship used to derive two ways to express a Cauchy sequence.
       ` ph ` is ` ph ( j , k ) ` . $)
    cau5 $p |- ( E. m e. ZZ A. j e. ZZ A. k e. ZZ ( ( m <_ j /\ m <_ k ) ->
     ph ) <-> E. m e. Z A. j e. Z A. k e. Z ( ( m <_ j /\ m <_ k ) -> ph ) ) $=
      ( cv cle wbr wa wi cz wral wrex cuz cfv uzssz eqsstr cau5i wceq wb
      rexeq1 ax-mp wcel rexuz bitr cr zre letrt mp3an1 im2anan9 ancom syl6ib
      anandis anandi syl5ib zret anim12i syl2an exp4b com23 imp31 anassrs
      ancrd imim1d impexp syl5ibr r19.20dva raleq1 raluz r19.21v 3bitr3 ralbii
      3bitr ex imp3a r19.22i sylbi impbi ) DIZBIZJKZWBCIZJKZLZAMZCNOZBNOZDNPZWH
      CFOZBFOZDFPZAFBCDEFFGHFEQRZNHESTZWPUAWNEWBJKZWMLZDNPZWKWNWMDWOPZWSFWOUBZW
      NWTUCHWMDFWOUDUEENUFZWTWSUCGWMDEUGUEUHWRWJDNWBNUFZWQWMWJXCWQWMWJMXCWQLZEW
      EJKZEWCJKZWHMZMZCNOZBNOZWJWMXDXIWIBNXDWCNUFZLZXHWHCNXLWENUFZLZXEXFLZWGLZA
      MZWHXHXNWGXPAXNWGXOXDXKXMWGXOMZXCWQXKXMLZXRXCXSWQXRXCXSWQWGXOWBUIUFZWCUIU
      FZWEUIUFZLZWQWGLZXOMXCXSXTYCLWQWDLZWQWFLZLZXOYDXTYAYBYGXOMXTYALZXTYBLZLYG
      XFXELXOYHYEXFYIYFXEEUIUFZXTYAYEXFMEGUJZEWBWCUKULYJXTYBYFXEMYKEWBWEUKULUMX
      FXEUNUOUPWQWDWFUQURWBUSXKYAXMYBWCUSWEUSUTVAVBVCVDVEVFVGXQXOWHMXHXOWGAVHXE
      XFWHVHUHVIVJVJWMWLBWOOZXFWLMZBNOZXJXAWMYLUCHWLBFWOVKUEXBYLYNUCGWLBEVLUEYM
      XIBNXGCFOZXGCWOOZYMXIXAYOYPUCHXGCFWOVKUEXFWHCFVMXBYPXIUCGXGCEVLUEVNVOVPUR
      VQVRVSVTWA $.
      $( [23-Dec-2006] $) $( [18-Dec-2006] $)
  $}

  ${
    $d j k $.  $d k Z $.
    cvg1i.1 $e |- Z = ( ZZ> ` M ) $.
    $( A relationship used to derive two ways to express that a sequence
       converges.  Unlike ~ cvg1 , ` j ` may be free in ` ph ` , so this can
       also be used for Cauchy sequences. $)
    cvg1i $p |- ( E. j e. Z A. k e. Z ( j <_ k -> ph ) ->
                  E. j e. Z A. k e. Z ( j < k -> ph ) ) $=
      ( cv cle wbr wi wral clt wcel wa cr ltlet cuz cfv eleq2i cz eluzelz zret
      syl sylbi syl2an imim1d r19.20dva r19.22i ) BGZCGZHIZAJZCEKUIUJLIZAJZCEKB
      EUIEMZULUNCEUOUJEMZNUMUKAUIOMZUJOMZUMUKJUOUPUIUJPUOUIDQRZMZUQEUSUIFSUTUIT
      MUQDUIUAUIUBUCUDUPUJUSMZUREUSUJFSVAUJTMURDUJUAUJUBUCUDUEUFUGUH $.
      $( [20-Dec-2006] $) $( [20-Dec-2006] $)
  $}

  ${
    $d k M $.  $d j k m Z $.  $d j m ph $.
    cvg1.1 $e |- Z = ( ZZ> ` M ) $.
    $( A relationship used to derive two ways to express that a sequence
       converges.  ` ph ` is ` ph ( k ) ` . $)
    cvg1 $p |- ( E. j e. Z A. k e. Z ( j < k -> ph ) <->
               E. j e. Z A. k e. Z ( j <_ k -> ph ) ) $=
      ( vm cv clt wbr wi wral wrex cle wcel c1 caddc co wa cuz cfv eleq2i cz
      wb zltp1let eluzelz sylbi syl2an imbi1d ralbidva biimpd peano2uz
      syl6eleqr jctild wceq breq1 ralbidv rcla4ev syl6 r19.23aiv cbvrexv sylib
      cvg1i impbi ) BHZCHZIJZAKZCELZBEMZVEVFNJZAKZCELZBEMZVJGHZVFNJZAKZCELZGEMZ
      VNVIVSBEVEEOZVIVEPQRZEOZWAVFNJZAKZCELZSZVSVTVEDTUAZOZVIWFKEWGVEFUBWHVIWEW
      BWHVIWEWHVHWDCEWHVFEOZSVGWCAVEUCOVFUCOZVGWCUDWHWIVEVFUEDVEUFWIVFWGOWJEWGV
      FFUBDVFUFUGUHUIUJUKWHWAWGEDVEULFUMUNUGVRWEGWAEVOWAUOZVQWDCEWKVPWCAVOWAVFN
      UPUIUQURUSUTVRVMGBEVOVEUOZVQVLCEWLVPVKAVOVEVFNUPUIUQVAVBABCDEFVCVD $.
      $( [20-Dec-2006] $) $( [20-Dec-2006] $)
  $}

  ${
    $d x y z w $.  $d x w A $.  $d x z w F $.  $d x w G $.  $d x w ph $.
    cvg2.1 $e |- ( ( y e. F /\ z e. G ) -> A e. RR ) $.
    $( Two ways to express that a sequence converges or is Cauchy. $)
    cvg2 $p |- ( A. x e. RR ( 0 < x ->
                 E. y e. F A. z e. G ( ph -> A < x ) ) <->
         A. x e. RR ( 0 < x -> E. y e. F A. z e. G ( ph -> A <_ x ) ) ) $=
      ( vw cc0 cv clt wbr wi wral wrex cr cle wcel wa ltlet ancoms sylan2
      anassrs imim2d r19.20dva r19.22dva r19.20i c2 cdiv co wceq breq2 imbi2d
      rexralbidv imbi12d rcla4cv wb biimt rehalfclt adantr halfpos2t biimpa
      sylanc impexp syl6bb halfpost lelttrt pm3.27 ad2antrr simpll syl3anc
      mpan2d sylbird com12 exp3a syl r19.21aiv cbvralv sylib impbi ) JBKZLMZAEW
      BLMZNZDGOZCFPZNZBQOZWCAEWBRMZNZDGOZCFPZNZBQOZWHWNBQWBQSZWGWMWCWPWFWLCFWPC
      KFSZTZWEWKDGWRDKGSZTWDWJAWPWQWSWDWJNZWPEQSZWTWQWSTZXAWPWTEWBUAUBHUCUDUEUF
      UGUEUHWOJIKZLMZAEXCLMZNZDGOZCFPZNZIQOWIWOXIIQWOXCUIUJUKZQSZJXJLMZAEXJRMZN
      ZDGOZCFPZNZNZXCQSZXINWNXQBXJQWBXJULZWCXLWMXPWBXJJLUMXTWKXNCDFGXTWJXMAWBXJ
      ERUMUNUOUPUQXRXSXDXHXSXDTZXRXHYAXRXPXHYAXPXKXLTZXPNZXRXKXLXPYCURYAYBXPUSX
      SXKXDXCUTZVAXSXDXLXCVBVCVDXKXLXPVEVFYAXOXGCFYAWQTZXNXFDGYEWSTXMXEAYAWQWSX
      MXENZYAXAYFXBYAXATZXMXJXCLMZXEYAYHXAXSXDYHXCVGVCVAXAXKXSXMYHTXENYGEXJXCVH
      YAXAVIXSXKXDXAYDVJXSXDXAVKVLVMHUCUDUEUFUGVNVOVPVQVRXIWHIBQXCWBULZXDWCXHWG
      XCWBJLUMYIXFWECDFGYIXEWDAXCWBELUMUNUOUPVSVTWA $.
      $( [1-Aug-2005] $) $( [10-Apr-2005] $)
  $}

  ${
    $d j k M $.  $d k m N $.  $d k W $.  $d j k m Z $.  $d j m ph $.
    cvg3.1 $e |- M e. ZZ $.
    cvg3.2 $e |- ( ZZ> ` M ) (_ Z $.
    cvg3.3 $e |- Z (_ ZZ $.
    cvg3.4 $e |- N e. ZZ $.
    cvg3.5 $e |- ( ZZ> ` N ) (_ W $.
    cvg3.6 $e |- W (_ ZZ $.
    $( A relationship used to derive two ways to express convergence.  ` ph `
       is ` ph ( k ) ` . $)
    cvg3 $p |- ( E. j e. ZZ A. k e. ZZ ( j <_ k -> ph ) <->
               E. j e. Z A. k e. W ( j <_ k -> ph ) ) $=
      ( vm cv cle wbr wi cz wral wrex wceq breq1 imbi1d ralbidv cbvrexv wcel
      cr zre a1i zret wa rcla4ev cuz cfv eluz1 sseli sylbir sylan ex letrt
      mp3an2 syl2an exp3a imp an1rs imim1d r19.20dva uzidt ax-mp sselii mpan
      syl6 lecase r19.23aiv wss ssralv r19.22si syl wo letrit mp3an1 ancrd
      adantr jctild ancld jcad jaodan wb raluz impexp ralbii bitr4 sylib syl5
      mpdan impbi bitr ) BOZCOZPQZARZCSTZBSUANOZWTPQZARZCSTZNSUAZXBCFTZBGUAZXCX
      GBNSWSXDUBZXBXFCSXKXAXEAWSXDWTPUCUDUEZUFXHXJXHXCBGUAZXJXGXMNSXDSUGZXGXMRD
      XDDUHUGZXNDHUIZUJXDUKZXNDXDPQULZXGXMXDGUGZXGXMXRXCXGBXDGXLUMXRXDDUNUOZUGX
      SDXDHUPXTGXDIUQURUSUTXNXDDPQZULZXGDWTPQZARZCSTZXMYBXFYDCSYBWTSUGZULYCXEAX
      NYFYAYCXERZXNYFULZYAYGYHYAYCXEXDUHUGZWTUHUGZYAYCULXERZXNYFYIXOYJYKXPXDDWT
      VAVBXQWTUKZVCVDVEVFVGVHDGUGYEXMXTGDIDSUGDXTUGHDVIVJVKXCYEBDGWSDUBZXBYDCSY
      MXAYCAWSDWTPUCUDUEUMVLVMVNVOXCXIBGFSVPXCXIRMXBCFSVQVJVRVSXIXHBGWSGUGZEWSP
      QZWSEPQZVTZXIXHRYNWSUHUGZYQYNWSSUGZYRGSWSJUQZWSUKVSZEUHUGZYRYQEKUIZEWSWAV
      LVSYNYQULEWTPQZXAULZARZCSTZXHXIYNYOUUGXHRYPYNYOULZUUGYSXCULXHUUHUUGXCYSUU
      HUUFXBCSUUHYFULZXAUUEAUUIXAUUDYNYFYOXAUUDRZYNYFULZYOUUJUUKYOXAUUDYRYJYOXA
      ULUUDRZYNYFUUBYRYJUULUUCEWSWTVAWBUUAYLVCVDVEVFWCVGVHYNYSYOYTWDWEXGXCNWSSX
      DWSUBZXFXBCSUUMXEXAAXDWSWTPUCUDUEUMVMYNYPULZUUGESUGZUUDARZCSTZULXHUUNUUGU
      UOUUQUUGUUORUUNUUOUUGKUJUJUUNUUFUUPCSUUNYFULZUUDUUEAUURUUDXAYNYFYPUUDXARZ
      UUKYPUUSUUKYPUUDXAYRYJYPUUDULXARZYNYFYRUUBYJUUTUUCWSEWTVAVBUUAYLVCVDVEVFW
      FVGVHWGXGUUQNESXDEUBZXFUUPCSUVAXEUUDAXDEWTPUCUDUEUMVMWHXIXBCEUNUOZTZUUGUV
      BFVPXIUVCRLXBCUVBFVQVJUVCUUDXBRZCSTZUUGUUOUVCUVEWIKXBCEWJVJUUFUVDCSUUDXAA
      WKWLWMWNWOWPVOWQWR $.
      $( [7-Jan-2007] $) $( [27-Dec-2006] $)
  $}

  ${
    $d j k m n $.  $d j m n ph $.  $d j m n ps $.
    $( Equivalence that lets us conjoin the properties of two independent
       converging sequences.  ` k ` may be free in ` ph ` and ` ps ` .  Compare
       ~ r19.40 , where the implication holds in only one direction. $)
    cvganz $p |- ( ( E. j e. ZZ A. k e. ZZ ( j <_ k -> ph ) /\
                E. j e. ZZ A. k e. ZZ ( j <_ k -> ps ) ) <->
                E. j e. ZZ A. k e. ZZ ( j <_ k -> ( ph /\ ps ) ) ) $=
      ( vm vn cv cle wbr wi cn0 wral wrex wa cz reeanv wcel caddc co cr
      nn0addge1t nn0ret sylan adantr letrt ad2antrr nn0addclt syl adantl
      syl3anc mpand nn0addge2t ancoms ad2antlr jcad prth syl9 r19.20dva r19.26
      syl5ibr jctild wceq breq1 imbi1d ralbidv rcla4ev syl6 r19.23aivv sylbir
      cbvrexv syl2anb pm3.26 imim2i r19.20si r19.22si pm3.27 jca impbi cc0 0z
      cuz cfv nn0uz eqimss2i nn0ssz cvg3 anbi12i 3bitr4 ) CGZDGZHIZAJZDKLZCKMZW
      KBJZDKLZCKMZNZWKABNZJZDKLZCKMZWLDOLCOMZWODOLCOMZNWTDOLCOMWRXBEGZWJHIZAJZD
      KLZEKMZFGZWJHIZBJZDKLZFKMZXBWNWQXIXNNXHXMNZFKMEKMXBXHXMEFKKPXOXBEFKKXEKQZ
      XJKQZNZXOXEXJRSZKQZXSWJHIZWSJZDKLZNXBXRXOYCXTXRXGXLNZDKLYCXOXRYDYBDKXRWJK
      QZNZYAXFXKNYDWSYFYAXFXKYFXEXSHIZYAXFXRYGYEXETQZXQYGXPXEXJUAXEUBZUCUDYHXST
      QZWJTQZYGYANXFJYFXEXSWJUEXPYHXQYEYIUFXRYJYEXRXTYJXEXJUGZXSUBUHUDZYEYKXRWJ
      UBUIZUJUKYFXJXSHIZYAXKXRYOYEXQXPYOXJTQZXPYOXQXJXEULXJUBZUCUMUDYPYJYKYOYAN
      XKJYFXJXSWJUEXQYPXPYEYQUNYMYNUJUKUOXFAXKBUPUQURXGXLDKUSUTYLVAXAYCCXSKWIXS
      VBZWTYBDKYRWKYAWSWIXSWJHVCVDVEVFVGVHVIWMXHCEKWIXEVBZWLXGDKYSWKXFAWIXEWJHV
      CVDVEVJWPXMCFKWIXJVBZWOXLDKYTWKXKBWIXJWJHVCVDVEVJVKXBWNWQXAWMCKWTWLDKWSAW
      KABVLVMVNVOXAWPCKWTWODKWSBWKABVPVMVNVOVQVRXCWNXDWQACDVSVSKKVTKVSWAWBWCWDZ
      WEVTUUAWEWFBCDVSVSKKVTUUAWEVTUUAWEWFWGWSCDVSVSKKVTUUAWEVTUUAWEWFWH $.
      $( [21-Dec-2006] $) $( [18-Dec-2006] $)
  $}

  ${
    $d j k M $.  $d j k Z $.  $d j ph $.  $d j ps $.
    cvganuz.1 $e |- M e. ZZ $.
    cvganuz.2 $e |- Z = ( ZZ> ` M ) $.
    $( Lemma that lets us combine the properties of two independent converging
       sequences.  ` k ` may be free in ` ph ` and ` ps ` . $)
    cvganuz $p |- ( ( E. j e. Z A. k e. Z ( j <_ k -> ph ) /\
                E. j e. Z A. k e. Z ( j <_ k -> ps ) ) <->
                E. j e. Z A. k e. Z ( j <_ k -> ( ph /\ ps ) ) ) $=
      ( cv cle wbr wi cz wral wrex wa cvganz cuz cfv eqimss2i uzssz eqsstr
      cvg3 anbi12i 3bitr3 ) CIDIJKZALZDMNCMOZUFBLZDMNCMOZPUFABPZLZDMNCMOUGDFNCF
      OZUIDFNCFOZPULDFNCFOABCDQUHUMUJUNACDEEFFGFERSZHTZFUOMHEUAUBZGUPUQUCBCDEEF
      FGUPUQGUPUQUCUDUKCDEEFFGUPUQGUPUQUCUE $.
      $( [24-Dec-2006] $) $( [18-Dec-2006] $)
  $}

  ${
    $d x y z w u t F $.
    caubnd.1 $e |- F : NN --> CC $.
    caubnd.2 $e |- A. z e. RR ( 0 < z -> E. w e. NN A. y e. NN ( w < y ->
                      ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < z ) ) $.
    $( A Cauchy sequence of complex numbers is bounded. $)
    caubnd $p |- E. x e. RR A. y e. NN ( abs ` ( F ` y ) ) < x $=
      ( vu vt cv clt wbr cfv cabs wi cn wral cr wrex cmin co c1 cc0 lt01 wcel
      1re wceq breq2 imbi2d rexralbidv imbi12d rcla4v mp2 ax-mp caddc wa wb
      ltadd1t mp3an2 cc subclt ffvelrni syl2an absclt syl adantl sylanc cle
      npcant fveq2d abstrit eqbrtrrd lelttrt adantr axaddrcl mpan syl3anc
      mpand sylbid ancoms imim2d r19.20dva jctild ralbidv rcla4ev syl6 r19.22i
      seq1bnd cif wo lelttrit nnret adantlr max2 ltletrt simpll ifcl mpan2d
      max1ALT ad2antlr simplr anim12d jaob syl6ibr adantlll mpid adantll
      r19.26 syl5ibr exp4b com23 imp r19.23adv exp31 mpd r19.23aiv ) DJZBJZKLZX
      REMZNMZHJZKLZOZBPQZHRSZDPSZYAAJZKLZBPQZARSZXSXTXQEMZTUAZNMZUBKLZOZBPQZDPS
      ZYGUCUBKLZYRUDUBRUEZUCCJZKLZXSYNUUAKLZOZBPQDPSZOZCRQYSYROZUFGUUFUUGCUBRUU
      AUBUGZUUBYSUUEYRUUAUBUCKUHUUHUUDYPDBPPUUHUUCYOXSUUAUBYNKUHUIUJUKULUMUNYQY
      FDPXQPUEZYQUBYLNMZUOUAZRUEZXSYAUUKKLZOZBPQZUPYFUUIYQUUOUULUUIYPUUNBPUUIXR
      PUEZUPYOUUMXSUUPUUIYOUUMOUUPUUIUPZYOYNUUJUOUAZUUKKLZUUMYNRUEZUUJRUEZYOUUS
      UQZUUQUUTYTUVAUVBUFYNUBUUJURUSUUQYMUTUEZUUTXTUTUEZYLUTUEZUVCUUPUUIXTYLVAP
      UTXREFVBZPUTXQEFVBZVCZYMVDVEZUUIUVAUUPUUIUVEUVAUVGYLVDVEZVFZVGUUQYAUURVHL
      ZUUSUUMUUQYMYLUOUAZNMZYAUURVHUUQUVMXTNUVDUVEUVMXTUGUUPUUIXTYLVIUVFUVGVCVJ
      UVCUVEUVNUURVHLUUQYMYLVKUVHUUIUVEUUPUVGVFVGVLYARUEZUURRUEZUULUVLUUSUPUUMO
      UUQYAUURUUKVMUUPUVOUUIUUPUVDUVOUVFXTVDVEZVNUUTUVAUVPUUQYNUUJVOUVIUVKVGUUI
      UULUUPUUIUVAUULUVJYTUVAUULUFUBUUJVOVPVEZVFVQVRVSVTWAWBUVRWCYEUUOHUUKRYBUU
      KUGZYDUUNBPUVSYCUUMXSYBUUKYAKUHUIWDWEWFWGUNYFYKDPUUIXRXQVHLZYAIJZKLZOZBPQ
      ZIRSYFYKOZIBXQEFWHUUIUWDUWEIRUUIUWARUEZUWDUWEUUIUWFUPZUWDUPYEYKHRUWGUWDYB
      RUEZYEYKOZOUWGUWHUWDUWIUWGUWHUWDYEYKUWGUWHUPZUWCYDUPZBPQZYKUWDYEUPUWJUWLY
      BUWAVHLZUWAYBWIZRUEZYAUWNKLZBPQZUPYKUWJUWLUWQUWOUWJUWKUWPBPUWJUUPUPUWKUVT
      XSWJZUWPUWGUUPUWRUWHUUIUUPUWRUWFUUPUUIUWRXRRUEXQRUEUWRUUPUUIXRXQWKXRWLXQW
      LVCVTWMWMUWFUWHUUPUWKUWRUWPOZOUUIUWFUWHUPZUUPUPZUWKUVTUWPOZXSUWPOZUPUWSUX
      AUWCUXBYDUXCUXAUWBUWPUVTUXAUWBUWAUWNVHLZUWPUWTUXDUUPUWHUWFUXDYBUWAWNVTVNU
      VOUWFUWOUWBUXDUPUWPOUXAYAUWAUWNWOUUPUVOUWTUVQVFZUWFUWHUUPWPUWTUWOUUPUWMUW
      AYBRWQZVNZVQWRWAUXAYCUWPXSUXAYCYBUWNVHLZUWPUWHUXHUWFUUPYBUWAWSWTUVOUWHUWO
      YCUXHUPUWPOUXAYAYBUWNWOUXEUWFUWHUUPXAUXGVQWRWAXBUVTUWPXSXCXDXEXFWBUWFUWHU
      WOUUIUXFXGWCYJUWQAUWNRYHUWNUGYIUWPBPYHUWNYAKUHWDWEWFUWCYDBPXHXIXJXKXLXMXN
      XMXOXPUN $.
      $( [29-Apr-2005] $) $( [4-Apr-2005] $)
  $}

  ${
    $d y z w $.  $d x y w $.  $d x F $.  $d x G $.
    caure.1 $e |- F : NN --> CC $.
    caure.2 $e |- A. z e. RR ( 0 < z -> E. w e. NN A. y e. NN ( w < y ->
                      ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < z ) ) $.
    caure.3 $e |- G Fn NN $.
    caure.4 $e |- ( x e. NN -> ( G ` x ) = ( Re ` ( F ` x ) ) ) $.
    $( The real part of a complex Caucy sequence is a Cauchy sequence. $)
    caure $p |- A. z e. RR ( 0 < z -> E. w e. NN A. y e. NN ( w < y ->
                      ( abs ` ( ( G ` y ) - ( G ` w ) ) ) < z ) ) $=
      ( cc0 cv clt wbr cfv cmin co cabs wi cn wral wrex cr wcel wa w3a cle cre
      wceq fveq2 fveq2d eqeq12d vtoclga opreqan12d cc resubt ffvelrni syl2an
      eqtr4d subclt absrelet syl eqbrtrd 3adant3 lelttrt resubclt wf wfn ffnfv
      reclt eqeltrd rgen mpbir2an recnd absclt 3simp3 syl3anc mpand 3com13
      3expa imim2d r19.20dva r19.22dva r19.20i ax-mp ) KCLZMNZDLZBLZMNZWIEOZWHE
      OZPQZROZWFMNZSZBTUAZDTUBZSZCUCUAWGWJWIFOZWHFOZPQZROZWFMNZSZBTUAZDTUBZSZCU
      CUAHWSXHCUCWFUCUDZWRXGWGXIWQXFDTXIWHTUDZUEZWPXEBTXKWITUDZUEWOXDWJXIXJXLWO
      XDSZXLXJXIXMXLXJXIUFZXCWNUGNZWOXDXLXJXOXIXLXJUEZXCWMUHOZROZWNUGXPXBXQRXPX
      BWKUHOZWLUHOZPQZXQXLXJWTXSXAXTPALZFOZYBEOZUHOZUIZWTXSUIAWITYBWIUIZYCWTYEX
      SYBWIFUJYGYDWKUHYBWIEUJUKULJUMYFXAXTUIAWHTYBWHUIZYCXAYEXTYBWHFUJYHYDWLUHY
      BWHEUJUKULJUMUNWKUOUDZWLUOUDZXQYAUIXLXJWKWLUPTUOWIEGUQZTUOWHEGUQZURUSUKXP
      WMUOUDZXRWNUGNYIYJYMXLXJWKWLUTYKYLURZWMVAVBVCVDXCUCUDZWNUCUDZXIXOWOUEXDSX
      NXCWNWFVEXLXJYOXIXPXBUOUDYOXPXBWTUCUDXAUCUDXBUCUDXLXJWTXAVFTUCWIFTUCFVGFT
      VHYCUCUDZATUAATUCFVIIYQATYBTUDZYCYEUCJYRYDUOUDYEUCUDTUOYBEGUQYDVJVBVKVLVM
      ZUQTUCWHFYSUQURVNXBVOVBVDXLXJYPXIXPYMYPYNWMVOVBVDXLXJXIVPVQVRVSVTWAWBWCWA
      WDWE $.
      $( [3-May-2005] $) $( [16-Apr-2005] $)
  $}

  ${
    $d y z w $.  $d x y w $.  $d x F $.  $d x G $.
    cauim.1 $e |- F : NN --> CC $.
    cauim.2 $e |- A. z e. RR ( 0 < z -> E. w e. NN A. y e. NN ( w < y ->
                      ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < z ) ) $.
    cauim.3 $e |- G Fn NN $.
    cauim.4 $e |- ( x e. NN -> ( G ` x ) = ( Im ` ( F ` x ) ) ) $.
    $( The imaginary part of a complex Caucy sequence is a Cauchy sequence. $)
    cauim $p |- A. z e. RR ( 0 < z -> E. w e. NN A. y e. NN ( w < y ->
                      ( abs ` ( ( G ` y ) - ( G ` w ) ) ) < z ) ) $=
      ( cc0 cv clt wbr cfv cmin co cabs wi cn wral wrex cr wcel wa w3a cle cim
      wceq fveq2 fveq2d eqeq12d vtoclga opreqan12d cc imsubt ffvelrni syl2an
      eqtr4d subclt absimlet syl eqbrtrd 3adant3 lelttrt resubclt wf wfn ffnfv
      imclt eqeltrd rgen mpbir2an recnd absclt 3simp3 syl3anc mpand 3com13
      3expa imim2d r19.20dva r19.22dva r19.20i ax-mp ) KCLZMNZDLZBLZMNZWIEOZWHE
      OZPQZROZWFMNZSZBTUAZDTUBZSZCUCUAWGWJWIFOZWHFOZPQZROZWFMNZSZBTUAZDTUBZSZCU
      CUAHWSXHCUCWFUCUDZWRXGWGXIWQXFDTXIWHTUDZUEZWPXEBTXKWITUDZUEWOXDWJXIXJXLWO
      XDSZXLXJXIXMXLXJXIUFZXCWNUGNZWOXDXLXJXOXIXLXJUEZXCWMUHOZROZWNUGXPXBXQRXPX
      BWKUHOZWLUHOZPQZXQXLXJWTXSXAXTPALZFOZYBEOZUHOZUIZWTXSUIAWITYBWIUIZYCWTYEX
      SYBWIFUJYGYDWKUHYBWIEUJUKULJUMYFXAXTUIAWHTYBWHUIZYCXAYEXTYBWHFUJYHYDWLUHY
      BWHEUJUKULJUMUNWKUOUDZWLUOUDZXQYAUIXLXJWKWLUPTUOWIEGUQZTUOWHEGUQZURUSUKXP
      WMUOUDZXRWNUGNYIYJYMXLXJWKWLUTYKYLURZWMVAVBVCVDXCUCUDZWNUCUDZXIXOWOUEXDSX
      NXCWNWFVEXLXJYOXIXPXBUOUDYOXPXBWTUCUDXAUCUDXBUCUDXLXJWTXAVFTUCWIFTUCFVGFT
      VHYCUCUDZATUAATUCFVIIYQATYBTUDZYCYEUCJYRYDUOUDYEUCUDTUOYBEGUQYDVJVBVKVLVM
      ZUQTUCWHFYSUQURVNXBVOVBVDXLXJYPXIXPYMYPYNWMVOVBVDXLXJXIVPVQVRVSVTWAWBWCWA
      WDWE $.
      $( [17-May-2005] $) $( [16-Apr-2005] $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d x y z F $.  $d x y z G $.
    ser1absdif.1 $e |- F : NN --> CC $.
    ser1absdif.2 $e |- G Fn NN $.
    ser1absdif.3 $e |- ( x e. NN -> ( G ` x ) = ( abs ` ( F ` x ) ) ) $.
    $( Lemma for ~ ser1absdif .  _Warning:  The HTML proof page is 1/2 megabyte
       in size_. $)
    ser1absdiflem $p |- ( ( A e. NN /\ B e. NN ) ->
       ( abs ` ( ( ( + seq1 F ) ` ( A + B ) ) - ( ( + seq1 F ) ` A ) ) ) <_
       ( ( ( + seq1 G ) ` ( A + B ) ) - ( ( + seq1 G ) ` A ) ) ) $=
      ( vy vz cn wcel caddc co cseq1 cfv cmin cabs cle wbr cv wi c1 wceq
      opreq2 fveq2d opreq1d breq12d imbi2d cr cc peano2nn ffvelrni syl absclt
      leidt addex wf cvv nnex fex mp2an seq1p1 pncan2t ser1cl1 sylanc eqtrd
      wfn fnex wss wral ffnfv eqeltrd rgen mpbir2an axresscn fss fveq2 eqeq12d
      vtoclga recnd 3eqtrd 3brtr4d wa abstrit subclt nnaddclt adantr letrt
      axaddcl axaddrcl resubclt ser1recl syl3anc mpand wb leadd1t ax1cn
      axaddass mp3an3 nncnt syl2an eqtr3d addsubt opreq2d 3imtr4d expcom a2d
      nnind impcom ) CKLBKLZBCMNZMDONZPZBXMPZQNZRPZXLMEONZPZBXRPZQNZSTZXKBIUAZM
      NZXMPZXOQNZRPZYDXRPZXTQNZSTZUBXKBUCMNZXMPZXOQNZRPZYKXRPZXTQNZSTZUBXKBJUAZ
      MNZXMPZXOQNZRPZYSXRPZXTQNZSTZUBXKBYRUCMNZMNZXMPZXOQNZRPZUUGXRPZXTQNZSTZUB
      XKYBUBIJCYCUCUDZYJYQXKUUNYGYNYIYPSUUNYFYMRUUNYEYLXOQUUNYDYKXMYCUCBMUEZUFU
      GUFUUNYHYOXTQUUNYDYKXRUUOUFUGUHUIYCYRUDZYJUUEXKUUPYGUUBYIUUDSUUPYFUUARUUP
      YEYTXOQUUPYDYSXMYCYRBMUEZUFUGUFUUPYHUUCXTQUUPYDYSXRUUQUFUGUHUIYCUUFUDZYJU
      UMXKUURYGUUJYIUULSUURYFUUIRUURYEUUHXOQUURYDUUGXMYCUUFBMUEZUFUGUFUURYHUUKX
      TQUURYDUUGXRUUSUFUGUHUIYCCUDZYJYBXKUUTYGXQYIYASUUTYFXPRUUTYEXNXOQUUTYDXLX
      MYCCBMUEZUFUGUFUUTYHXSXTQUUTYDXLXRUVAUFUGUHUIXKYKDPZRPZUVCYNYPSXKUVCUJLZU
      VCUVCSTXKUVBUKLZUVDXKYKKLZUVEBULZKUKYKDFUMZUNZUVBUOZUNUVCUPUNXKYMUVBRXKYM
      XOUVBMNZXOQNZUVBXKYLUVKXOQBMDUQKUKDURKUSLZDUSLFUTKUKUSDVAVBZVCUGXOUKLZUVE
      UVLUVBUDXKXOUVBVDBDFVEZUVIVFVGUFXKYPXTYKEPZMNZXTQNZUVQUVCXKYOUVRXTQBMEUQE
      KVHZUVMEUSLGUTKUSEVIVBZVCUGXTUKLZUVQUKLZUVSUVQUDXKXTUVQVDBEKUJEURZUJUKVJK
      UKEURUWDUVTAUAZEPZUJLZAKVKAKUJEVLGUWGAKUWEKLZUWFUWEDPZRPZUJHUWHUWIUKLUWJU
      JLKUKUWEDFUMUWIUOUNVMVNVOZVPKUJUKEVQVBZVEZXKUVFUWCUVGUVFUVQUVFUVQUVCUJUWF
      UWJUDZUVQUVCUDZAYKKUWEYKUDZUWFUVQUWJUVCUWEYKEVRUWPUWIUVBRUWEYKDVRUFVSHVTZ
      UVFUVEUVDUVHUVJUNVMWAUNVFXKUVFUWOUVGUWQUNWBWCYRKLZXKUUEUUMXKUWRUUEUUMUBXK
      UWRWDZUUBYSUCMNZDPZRPZMNZUUDUXBMNZSTZUUAUXAMNZRPZUXDSTZUUEUUMUWSUXGUXCSTZ
      UXEUXHUUAUKLZUXAUKLZUXIUWSUUAUXAWEYTUKLZUVOUXJUWSYTXOWFUWSYSKLZUXLBYRWGZY
      SDFVEUNZXKUVOUWRUVPWHZVFZUWSUWTKLZUXKUWSUXMUXRUXNYSULUNZKUKUWTDFUMZUNZVFU
      XGUJLZUXCUJLZUXDUJLZUXIUXEWDUXHUBUWSUXGUXCUXDWIUWSUXFUKLZUYBUXJUXKUYEUWSU
      UAUXAWJUXQUYAVFUXFUOUNUUBUJLZUXBUJLZUYCUWSUUBUXBWKUWSUXJUYFUXQUUAUOUNZUWS
      UXKUYGUYAUXAUOZUNZVFUUDUJLZUYGUYDUWSUUDUXBWKUUCUJLZXTUJLZUYKUWSUUCXTWLUWS
      UXMUYLUXNYSEUWKWMUNXKUYMUWRBEUWKWMWHVFZUYJVFWNWOUYFUYKUYGUUEUXEWPUWSUUBUU
      DUXBWQUYHUYNUYJWNUWSUUJUXGUULUXDSUWSUUIUXFRUWSUUIYTUXAMNZXOQNZUXFUWSUUHUY
      OXOQUWSUWTXMPZUUHUYOUWSUWTUUGXMBUKLZYRUKLZUWTUUGUDZXKUWRUYRUYSUCUKLUYTWRB
      YRUCWSWTBXAYRXAXBZUFUWSUXMUYQUYOUDUXNYSMDUQUVNVCUNXCUGUXLUXKUVOUYPUXFUDUW
      SYTUXAXOXDUXOUYAUXPWNVGUFUWSUULUUCUWTEPZMNZXTQNZUUDVUBMNZUXDUWSUUKVUCXTQU
      WSUWTXRPZUUKVUCUWSUWTUUGXRVUAUFUWSUXMVUFVUCUDUXNYSMEUQUWAVCUNXCUGUUCUKLZV
      UBUKLZUWBVUDVUEUDUWSUUCVUBXTXDUWSUXMVUGUXNYSEUWLVEUNUWSUXRVUHUXSUXRVUBUXR
      VUBUXBUJUWNVUBUXBUDZAUWTKUWEUWTUDZUWFVUBUWJUXBUWEUWTEVRVUJUWIUXARUWEUWTDV
      RUFVSHVTZUXRUXKUYGUXTUYIUNVMWAUNXKUWBUWRUWMWHWNUWSVUBUXBUUDMUWSUXRVUIUXSV
      UKUNXEWBUHXFXGXHXIXJ $.
      $( [20-Apr-2005] $) $( [17-Apr-2005] $)

    $( Generalized triangle inequality:  absolute value of a partial sum
       is less than or equal to sum of absolute values. $)
    ser1absdif $p |- ( ( A e. NN /\ B e. NN /\ A < B ) ->
       ( abs ` ( ( ( + seq1 F ) ` B ) - ( ( + seq1 F ) ` A ) ) ) <_
       ( ( ( + seq1 G ) ` B ) - ( ( + seq1 G ) ` A ) ) ) $=
      ( cn wcel clt wbr w3a cmin co caddc cseq1 cfv cabs cle ser1absdiflem
      3simp1 nnsubt biimp3a sylanc wceq wa cc pncan3t nncnt syl2an fveq2d
      opreq1d 3adant3 3brtr3d ) BIJZCIJZBCKLZMZBCBNOZPOZPDQOZRZBVBRZNOZSRZVAPEQ
      OZRZBVGRZNOZCVBRZVDNOZSRZCVGRZVINOZTUPUTIJZVFVJTLUSABUTDEFGHUAUPUQURUBUPU
      QURVPBCUCUDUEUPUQVFVMUFURUPUQUGZVEVLSVQVCVKVDNVQVACVBBUHJCUHJVACUFUPUQBCU
      IBUJCUJUKZULUMULUNUPUQVJVOUFURVQVHVNVINVQVACVGVRULUMUNUO $.
      $( [20-Apr-2005] $) $( [17-Apr-2005] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Factorial function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ! $. $( Factorial. $)

  $( Extend class notation to include the factorial of nonnegative integers. $)
  cfa $a class ! $.

  ${
    $d x y $.
    $( Define the factorial function on nonnegative integers.  In the
       literature, the factorial function is written as a postscript
       exclamation point. $)
    df-fac $a |- ! = ( { <. 0 , 1 >. } u. ( x. seq1 ( I |` NN ) ) ) $.
  $}

  $( Value of the factorial function for positive integers. $)
  facnnt $p |- ( N e. NN -> ( ! ` N ) = ( ( x. seq1 ( I |` NN ) ) ` N ) ) $=
    ( cn wcel cn0 cc0 csn cdif cfa cfv cmul cid cres cseq1 co wceq dfn2 eleq2i
    c1 0nn0 elisseti 1nn cop cun df-fac reseq2 ax-mp wfn mulex cvv nnex
    resiexg seq1fn fnresdm eqtr3 uneq2i eqtr4 fvsnun2 sylbi ) ABCADEFGZCAHIAJKB
    LZMNZIOBUSAPQERDAVAHEDSTRBUATHERUBFZVAUCVBVAUSLZUCUDVCVAVBVABLZVCVABUSOVDVC
    OPBUSVAUEUFVABUGVDVAOJUTUHBUICUTUICUJBUIUKUFULBVAUMUFUNUOUPUQUR $.
    $( [3-Dec-2004] $) $( [2-Dec-2004] $)

  $( The factorial of 0. $)
  fac0 $p |- ( ! ` 0 ) = 1 $=
    ( cc0 c1 cn0 cmul cid cn cres cseq1 co cfa 0nn0 elisseti 1nn cop csn cun
    cdif df-fac wfn wceq mulex cvv wcel nnex resiexg ax-mp seq1fn fnresdm dfn2
    reseq2 eqtr3 uneq2i eqtr fvsnun1 ) ABCDEFGZHIZJACKLBFMLJABNOZUPPUQUPCAOQZGZ
    PRUPUSUQUPFGZUPUSUPFSUTUPTDUOUAFUBUCUOUBUCUDFUBUEUFUGFUPUHUFFURTUTUSTUIFURU
    PUJUFUKULUMUN $.
    $( [3-Dec-2004] $) $( [2-Dec-2004] $)

  $( The factorial of 1. $)
  fac1 $p |- ( ! ` 1 ) = 1 $=
    ( c1 cfa cfv cmul cid cn cres cseq1 co wcel wceq 1nn facnnt ax-mp mulex
    wfun cvv funi nnex resfunexg mp2an seq11 fvres fvi eqtr 3eqtr ) ABCZADEFGZH
    ICZAUHCZAAFJZUGUIKLAMNDUHOEPFQJUHQJRSEFQTUAUBUJAECZAUKUJULKLAFEUCNUKULAKLAF
    UDNUEUF $.
    $( [3-Dec-2004] $) $( [2-Dec-2004] $)

  $( The factorial of a successor. $)
  facp1t $p |- ( N e. NN0 ->
               ( ! ` ( N + 1 ) ) = ( ( ! ` N ) x. ( N + 1 ) ) ) $=
    ( cn0 wcel cn cc0 wceq wo c1 caddc co cfa cfv cmul elnn0 cid cres cseq1
    peano2nn facnnt syl mulex wfun cvv funi nnex resfunexg mp2an seq1p1 fvres
    oprex fvi ax-mp syl6eq opreq2d opreq1d eqtr4d 3eqtrd ax1cn addid2 fveq2i
    fac1 eqtr opreq1 fveq2d fveq2 opreq12d fac0 opreq12i mulid1 3eqtr4a jaoi
    sylbi ) ABCADCZAEFZGAHIJZKLZAKLZVOMJZFZANVMVSVNVMVPVOMODPZQJZLZAWALZVOVTLZM
    JZVRVMVODCZVPWBFARZVOSTAMVTUAOUBDUCCVTUCCUDUEODUCUFUGUHVMWEWCVOMJVRVMWDVOWC
    MVMWDVOOLZVOVMWFWDWHFWGVODOUITVOUCCWHVOFAHIUJVOUCUKULUMUNVMVQWCVOMASUOUPUQV
    NEHIJZKLZHVPVRWJHKLHWIHKHURUSZUTVAVBVNVOWIKAEHIVCZVDVNVREKLZWIMJZHVNVQWMVOW
    IMAEKVEWLVFWNHHMJHWMHWIHMVGWKVHHURVIVBUMVJVKVL $.
    $( [3-Dec-2004] $) $( [2-Dec-2004] $)

  $( The factorial of 2. $)
  fac2 $p |- ( ! ` 2 ) = 2 $=
    ( c2 cfa cfv c1 caddc co cmul df-2 fveq2i cn0 wcel wceq 1nn0 facp1t ax-mp
    fac1 eqcomi opreq12i 2cn mulid2 eqtr 3eqtr ) ABCDDEFZBCZDBCZUCGFZAAUCBHIDJK
    UDUFLMDNOUFDAGFAUEDUCAGPAUCHQRASTUAUB $.
    $( [7-Jul-2005] $) $( [17-Mar-2005] $)

  $( The factorial of 3. $)
  fac3 $p |- ( ! ` 3 ) = 6 $=
    ( c3 cfa cfv c2 c1 caddc co cmul c6 df-3 fveq2i cn0 wcel wceq 2nn0 facp1t
    ax-mp fac2 eqcomi opreq12i 2cn 3re recn mulcom 3t2e6 3eqtr ) ABCDEFGZBCZDBC
    ZUGHGZIAUGBJKDLMUHUJNODPQUJDAHGADHGIUIDUGAHRAUGJSTDAUAAUBUCUDUEUFUF $.
    $( [19-Jul-2005] $) $( [17-Mar-2005] $)

  $( Value of the factorial function expressed recursively. $)
  facnn2t $p |- ( N e. NN ->
               ( ! ` N ) = ( ( ! ` ( N - 1 ) ) x. N ) ) $=
    ( cn wcel cc c1 cmin co cn0 wa cfa cfv cmul wceq elnnnn0 caddc facp1t
    adantl ax1cn npcant mpan2 fveq2d adantr opreq2d 3eqtr3d sylbi ) ABCADCZAEFG
    ZHCZIZAJKZUGJKZALGZMANUIUGEOGZJKZUKUMLGZUJULUHUNUOMUFUGPQUFUNUJMUHUFUMAJUFE
    DCUMAMRAESTZUAUBUFUOULMUHUFUMAUKLUPUCUBUDUE $.
    $( [5-Feb-2005] $) $( [2-Dec-2004] $)

  ${
    $d j k N $.
    $( Closure of the factorial function. $)
    facclt $p |- ( N e. NN0 -> ( ! ` N ) e. NN ) $=
      ( vj vk cv cfa cfv cn wcel cc0 c1 caddc co wceq fveq2 eleq1d fac0 1nn
      eqeltr cn0 wa cmul facp1t adantl nnmulclt nn0p1nnt sylan2 eqeltrd expcom
      nn0ind ) BDZEFZGHIEFZGHCDZEFZGHZUMJKLZEFZGHZAEFZGHBCAUJIMUKULGUJIENOUJUMM
      UKUNGUJUMENOUJUPMUKUQGUJUPENOUJAMUKUSGUJAENOULJGPQRUOUMSHZURUOUTTUQUNUPUA
      LZGUTUQVAMUOUMUBUCUOUPGHVAGHUTUNUPUDUMUEUFUGUHUI $.
      $( [29-Dec-2004] $) $( [2-Dec-2004] $)
  $}

  $( The factorial function is nonzero. $)
  facne0t $p |- ( N e. NN0 -> ( ! ` N ) =/= 0 ) $=
    ( cn0 wcel cfa cfv cn cc0 wne facclt nnne0t syl ) ABCADEZFCLGHAILJK $.
    $( [3-May-2005] $) $( [26-Apr-2005] $)

  ${
    $d j M $.  $d j k N $.
    $( A natural number divides the factorial of an equal or larger number. $)
    facdivt $p |- ( ( M e. NN0 /\ N e. NN /\ N <_ M ) ->
                  ( ( ! ` M ) / N ) e. NN ) $=
      ( vj vk cn0 wcel cn cle wbr cfa cfv cdiv co cv wi cc0 c1 caddc wceq
      breq2 fveq2 opreq1d eleq1d imbi12d imbi2d clt wn nngt0t cr wb nnret 0re
      ltnlet mpan syl mpbid pm2.21d wa cmul wo leloet peano2nn0 nn0ret syl2an
      nn0leltp1t nnnn0t sylan nnmulclt nn0p1nnt sylan2 expcom adantl cc w3a
      wne div23t facclt nncnt recnd adantr 3jca nnne0t sylanc sylibrd imim2d
      com23 sylbird opreq2 divcan4t syl3anc eqeltrd syl5cbi a1dd jaod sylbid
      ex com34 com12 imp4d facp1t exp4d a2d nn0ind 3imp ) AEFBGFZBAHIZAJKZBLMZG
      FZXEBCNZHIZXJJKZBLMZGFZOZOXEBPHIZPJKZBLMZGFZOZOXEBDNZHIZYAJKZBLMZGFZOZOXE
      BYAQRMZHIZYGJKZBLMZGFZOZOXEXFXIOZOCDAXJPSZXOXTXEYNXKXPXNXSXJPBHTYNXMXRGYN
      XLXQBLXJPJUAUBUCUDUEXJYASZXOYFXEYOXKYBXNYEXJYABHTYOXMYDGYOXLYCBLXJYAJUAUB
      UCUDUEXJYGSZXOYLXEYPXKYHXNYKXJYGBHTYPXMYJGYPXLYIBLXJYGJUAUBUCUDUEXJASZXOY
      MXEYQXKXFXNXIXJABHTYQXMXHGYQXLXGBLXJAJUAUBUCUDUEXEXPXSXEPBUFIZXPUGZBUHXEB
      UIFZYRYSUJZBUKZPUIFYTUUAULPBUMUNUOUPUQYAEFZXEYFYLUUCXEYFYHYKUUCXEYFYHURUR
      YCYGUSMZBLMZGFZYKUUCXEYFYHUUFXEUUCYFYHUUFOOXEUUCYHYFUUFXEUUCYHYFUUFOZOXEU
      UCURZYHBYGUFIZBYGSZUTZUUGYTYGUIFZYHUUKUJXEUUCBYGVAUUBUUCYGEFUULYAVBYGVCUO
      ZVDUUHUUIUUGUUJUUHUUIYBUUGBEFUUCYBUUIUJXEBYAVEBVFVGUUHYFYBUUFUUHYEUUFYBUU
      HYEYDYGUSMZGFZUUFUUCYEUUOOXEYEUUCUUOYEYGGFUUOUUCYDYGVHYAVIVJVKVLUUHUUEUUN
      GYCVMFZYGVMFZBVMFZVNBPVOZUUEUUNSUUHYCYGBVPUUHUUPUUQUURUUCUUPXEUUCYCGFZUUP
      YAVQZYCVRUOVLZUUCUUQXEUUCYGUUMVSVLXEUURUUCBVRVTZWAXEUUSUUCBWBVTZWCUCWDWEW
      FWGUUHUUJUUFYFUUJYCBUSMZBLMZGFUUFUUHUUJUVFUUEGUUJUVEUUDBLBYGYCUSWHUBUCUUH
      UVFYCGUURUUPUUSUVFYCSUUHBYCWIUVCUVBUVDWJUUCUUTXEUVAVLWKWLWMWNWOWPWQWRWSUU
      CYJUUEGUUCYIUUDBLYAWTUBUCWDXAXBXCXD $.
      $( [6-May-2005] $) $( [2-May-2005] $)
  $}

  $( No natural number (greater than one) divides the factorial plus one of an
     equal or larger number. $)
  facndivt $p |- ( ( ( M e. NN0 /\ N e. NN ) /\ ( 1 < N /\ N <_ M ) ) ->
                -. ( ( ( ! ` M ) + 1 ) / N ) e. ZZ ) $=
    ( cn0 wcel cn wa c1 clt wbr cle cfa cfv caddc co cdiv cz wn cr recnzt
    nnret sylan ad2ant2lr cmin zsubclt ex facdivt 3expa nnzt syl adantrl
    syl5com cc w3a cc0 wne wceq divsubdirt facclt nncnt peano2cn ad2antrr
    ad2antlr 3jca nnne0t sylanc ax1cn pncan2t mpan2 opreq1d eqtr3d eleq1d
    sylibd mtod ) ACDZBEDZFZGBHIZBAJIZFZFZAKLZGMNZBONZPDZGBONZPDZVOVQWFQZVNVRBR
    DVQWGVOBSBTUAUBVTWDWCWABONZUCNZPDZWFWDWHPDZWJVTWDWKWJWCWHUDUEVPVRWKVQVPVRFW
    HEDZWKVNVOVRWLABUFUGWHUHUIUJUKVTWIWEPVTWBWAUCNZBONZWIWEWBULDZWAULDZBULDZUMB
    UNUOZWNWIUPVTWBWABUQVTWOWPWQVNWOVOVSVNWPWOVNWAEDWPAURWAUSUIZWAUTUIVAVNWPVOV
    SWSVAVOWQVNVSBUSVBVCVOWRVNVSBVDVBVEVNWNWEUPVOVSVNWMGBOVNWPWMGUPZWSWPGULDWTV
    FWAGVGVHUIVIVAVJVKVLVM $.
    $( [8-May-2005] $) $( [3-May-2005] $)

  ${
    $d j k M $.  $d j N $.
    $( Ordering property of factorial. $)
    facwordit $p |- ( ( M e. NN0 /\ N e. NN0 /\ M <_ N ) ->
                  ( ! ` M ) <_ ( ! ` N ) ) $=
      ( vj vk cn0 wcel cle wbr cfa cfv cv wa wi cc0 c1 caddc co wceq breq2
      anbi2d fveq2 breq2d imbi12d nn0le0eq0t biimpa fveq2d cr fac0 1re eqeltr
      leid syl6eqbr clt wo wb leloet nn0ret peano2re syl syl2an nn0leltp1t
      cmul cn cc facclt nncnt ax1id 3syl lemul2itOLD mp3anl1 nnret nnnn0t
      nn0ge0t 0re leadd1t mp3an13 mpbid ax1cn addid2 syl5eqbrr syl2anc
      eqbrtrrd facp1t breqtrrd adantl letrt adantr peano2nn0 syl3anc mpan2d
      imim2d com23 sylbird leidt biimpcd syl5 a1dd jaod sylbid ex com13 com4l
      a2d imp4a impexp syl5ib nn0ind 3impib 3com12 ) BEFZAEFZABGHZAIJZBIJZGHZXJ
      XKXLXOXKACKZGHZLZXMXPIJZGHZMXKANGHZLZXMNIJZGHZMXKADKZGHZLZXMYEIJZGHZMZXKA
      YEOPQZGHZLZXMYKIJZGHZMZXKXLLZXOMCDBXPNRZXRYBXTYDYRXQYAXKXPNAGSTYRXSYCXMGX
      PNIUAUBUCXPYERZXRYGXTYIYSXQYFXKXPYEAGSTYSXSYHXMGXPYEIUAUBUCXPYKRZXRYMXTYO
      YTXQYLXKXPYKAGSTYTXSYNXMGXPYKIUAUBUCXPBRZXRYQXTXOUUAXQXLXKXPBAGSTUUAXSXNX
      MGXPBIUAUBUCYBXMYCYCGYBANIXKYAANRAUDUEUFYCYCOUGUHUIUJUKULYEEFZXKYFYIMZMZY
      PYJUUBUUDXKYLYOUUBXKUUCYLYOMYLUUBXKUUCYOXKUUBYLUUCYOMZXKUUBYLUUEMXKUUBLZY
      LAYKUMHZAYKRZUNZUUEAUGFYKUGFZYLUUIUOXKUUBAYKUPAUQUUBYEUGFZUUJYEUQZYEURUSZ
      UTUUFUUGUUEUUHUUFUUGYFUUEAYEVAUUFUUCYFYOUUFYIYOYFUUFYIYHYNGHZYOUUBUUNXKUU
      BYHYHYKVBQZYNGUUBYHOVBQZYHUUOGUUBYHVCFZYHVDFUUPYHRYEVEZYHVFYHVGVHUUJYHUGF
      ZNYHGHZOYKGHZUUPUUOGHZUUBOUGFZUUJUUSUUTUVALUVBUIOYKYHVIVJUUMUUBUUQUUSUURY
      HVKUSZUUBUUQYHEFUUTUURYHVLYHVMVHUUBNOPQZYKOGUUBNYEGHZUVEYKGHZYEVMUUBUUKUV
      FUVGUOZUULNUGFUUKUVCUVHVNUINYEOVOVPUSVQOVRVSVTWAWBYEWCWDWEXMUGFZUUSYNUGFZ
      YIUUNLYOMUUFXMYHYNWFXKUVIUUBXKXMVCFUVIAVEXMVKUSZWGUUBUUSXKUVDWEUUBUVJXKUU
      BYKEFYNVCFUVJYEWHYKVEYNVKVHWEWIWJWKWLWMUUFUUHYOUUCXKUUHYOMUUBXKXMYNRZYOUU
      HXKUVIXMXMGHZUVLYOMUVKXMWNUVLUVMYOXMYNXMGSWOVHAYKIUAWPWGWQWRWSWTXAXBXCXDX
      KYFYIXEXFXGXHXI $.
      $( [30-Dec-2005] $) $( [9-Dec-2005] $)

    $( A lower bound for the factorial function. $)
    faclbnd $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                   ( M ^ ( N + 1 ) ) <_ ( ( M ^ M ) x. ( ! ` N ) ) ) $=
      ( vj vk cn wcel cc0 wceq wo cn0 c1 caddc co cexp cfa cfv cmul cle wbr cv
      wi opreq1 opreq2d fveq2 breq12d imbi2d cr w3a wa expwordit nnret 1nn0
      a1i nnnn0t 3jca nnge1t jca sylanc ax1cn addid2 opreq2i cc reexpclt recnd
      ax1id syl fac0 syl5eq 3brtr4d clt lelttrit nn0ret peano2re syl2an
      lemul12itOLD peano2nn0 adantr axmulrcl facclt expge0t adantl nn0ge0t
      syl3anc anim1i ad2antrr ad2antlr anandis expp1t nncnt facp1t axmulass
      nn0cnt peano2cn eqtr4d exp32 com23 wb nn0ltp1let ancoms 3syl lemulge11t
      anim12i id letrd ex sylbid a1dd jaod mpd expcom a2d nn0ind impcom
      opreq12 anidms opreq1d nn0p1nnt 0expt mulid2t 0cn exp0t ax-mp opreq1i
      syl5bir imp jaoian elnn0 sylanb ) AEFZAGHZIBJFZABKLMZNMZAANMZBOPZQMZRSZAJ
      FZYIYKYQYJYKYIYQYIACTZKLMZNMZYNYSOPZQMZRSZUAYIAGKLMZNMZYNGOPZQMZRSZUAYIAD
      TZKLMZNMZYNUUJOPZQMZRSZUAYIAUUKKLMZNMZYNUUKOPZQMZRSZUAYIYQUACDBYSGHZUUDUU
      IYIUVAUUAUUFUUCUUHRUVAYTUUEANYSGKLUBUCUVAUUBUUGYNQYSGOUDUCUEUFYSUUJHZUUDU
      UOYIUVBUUAUULUUCUUNRUVBYTUUKANYSUUJKLUBUCUVBUUBUUMYNQYSUUJOUDUCUEUFYSUUKH
      ZUUDUUTYIUVCUUAUUQUUCUUSRUVCYTUUPANYSUUKKLUBUCUVCUUBUURYNQYSUUKOUDUCUEUFY
      SBHZUUDYQYIUVDUUAYMUUCYPRUVDYTYLANYSBKLUBUCUVDUUBYOYNQYSBOUDUCUEUFYIAKNMZ
      YNUUFUUHRAUGFZKJFZYRUHKARSZUVHUIUVEYNRSYIAKAUJYIUVFUVGYRAUKZUVGYIULUMAUNZ
      UOYIUVHUVHAUPZUVKUQURUUFUVEHYIUUEKANKUSUTVAUMYIYNKQMZYNUUHYIYNVBFZUVLYNHY
      IYNUVFYRYNUGFZYIAAVCUVIUVJURZVDZYNVEVFUUGKYNQVGVAVHVIUUJJFZYIUUOUUTYIUVQU
      UOUUTUAZYIUVQUIZAUUKRSZUUKAVJSZIZUVRUVFUUKUGFZUWBYIUVQAUUKVKUVIUVQUUJUGFU
      WCUUJVLUUJVMVFZVNUVSUVTUVRUWAUVSUUOUVTUUTUVSUUOUVTUUTUVSUUOUVTUIZUIUULAQM
      ZUUNUUKQMZUUQUUSRUVSUUOUVTUWFUWGRSZUULUGFZUUNUGFZUIZGUULRSZUUOUIZUIUVFUWC
      UIZGARSZUVTUIZUIUWHUVSUUOUIZUVSUVTUIZUULUUNAUUKVOUWQUWKUWMUWQUWIUWJUVSUWI
      UUOUVFUUKJFZUWIYIUVQAUUKVCUVIUUJVPZVNVQUVSUWJUUOUVNUUMUGFZUWJYIUVQYNUUMVR
      UVOUVQUUMEFUXAUUJVSUUMUKVFZVNVQUQUVSUWLUUOUVFUWSUWOUWLUVSAUUKVTYIUVFUVQUV
      IVQUVQUWSYIUWTWAYIUWOUVQYIYRUWOUVJAWBZVFVQZWCWDUQUWRUWNUWPUWRUVFUWCYIUVFU
      VQUVTUVIWEUVQUWCYIUVTUWDWFUQUVSUWOUVTUXDWDUQVNWGUVSUUQUWFHZUWEAVBFUWSUXEY
      IUVQAUUKWHAWIUWTVNVQUVSUUSUWGHUWEUVSUUSYNUUMUUKQMZQMZUWGUVSUURUXFYNQUVQUU
      RUXFHYIUUJWJWAUCUVMUUMVBFZUUKVBFZUWGUXGHUVSYNUUMUUKWKYIUVMUVQUVPVQUVQUXHY
      IUVQUUMUXBVDWAUVQUXIYIUVQUUJVBFUXIUUJWLUUJWMVFWAWCWNVQVIWOWPUVSUWAUUTUUOU
      VSUWAUUPARSZUUTUVQYIUWAUXJWQZUWSYRUXKUVQYIUUKAWRUWTUVJVNWSUVSUXJUUTUVSUXJ
      UIZUUQYNUUSUVSUUQUGFZUXJUVFUUPJFZUXMYIUVQAUUPVCUVIUVQUWSUXNUWTUUKVPVFZVNV
      QYIUVNUVQUXJUVOWEUVSUUSUGFZUXJUVNUURUGFZUXPYIUVQYNUURVRUVOUVQUWSUUREFZUXQ
      UWTUUKVSZUURUKWTZVNVQUVFUXNYRUHUVHUXJUIUUQYNRSUXLAUUPAUJUXLUVFUXNYRYIUVFU
      VQUXJUVIWEUVQUXNYIUXJUXOWFYIYRUVQUXJUVJWEUOUVSUVHUXJYIUVHUVQUVKVQWDURUVSY
      NUUSRSZUXJUVNUXQUIGYNRSZKUURRSZUIUYAUVSYNUURXAYIUVNUVQUXQUVOUXTXBYIUYBUVQ
      UYCYIYRUYBUVJUVFYRUWOUYBYRAAVTAVLYRXCUXCWCVFUVQUWSUXRUYCUWTUXSUURUPWTXBUR
      VQXDXEXFXGXHXIXJXKXLXMYJYKYQYJYQGYLNMZGGNMZYOQMZRSYKYJYMUYDYPUYFRAGYLNUBY
      JYNUYEYOQYJYNUYEHAGAGNXNXOXPUEYKGYOUYDUYFRYKYOEFZYOJFGYORSBVSZYOUNYOWBWTY
      KYLEFUYDGHBXQYLXRVFYKKYOQMZYOUYFYKUYGYOVBFUYIYOHUYHYOWIYOXSWTUYEKYOQGVBFU
      YEKHXTGYAYBYCVHVIYDYEYFAYGYH $.
      $( [18-Dec-2005] $) $( [17-Dec-2005] $)
  $}

  $( A lower bound for the factorial function. $)
  faclbnd2 $p |- ( N e. NN0 -> ( ( 2 ^ N ) / 2 ) <_ ( ! ` N ) ) $=
    ( cn0 wcel c2 cexp co cdiv c1 caddc cfa cfv cle cmul cc wceq 2cn expp1t
    mpan opreq1d c4 sq2 2t2e4 eqtr4 opreq2i syl5eq expclt wa pm3.2i cc0 wne
    2ne0 divmuldivt mpan2 syl halfclt ax1id 3syl divid 3eqtr2rd wbr 2nn0
    faclbnd cr wb 4re eqeltr w3a clt 4pos breqtrr ledivmultOLD mp3an2 peano2nn0
    2re reexpclt cn facclt nnret sylanc mpbird eqbrtrd ) ABCZDAEFZDGFZDAHIFZEFZ
    DDEFZGFZAJKZLWBWHWCDMFZDDMFZGFZWDDDGFZMFZWDWBWFWKGFWLWHWBWFWJWKGDNCZWBWFWJO
    PDAQRSWGWKWFGWGTWKUAUBUCUDUEWBWCNCZWNWLOZWOWBWPPDAUFRZWPWOWQPWPWOUGZWOWOUGZ
    WQWOWOPPUHWSWTUGDUIUJZXAUGWQXAXAUKUKUHWCDDDULUMUMUMUNWBWDHMFZWDWNWBWPWDNCXB
    WDOWRWCUOWDUPUQWMHWDMDPUKURUDUEUSWBWHWILUTZWFWGWIMFLUTZDBCWBXDVADAVBRWFVCCZ
    WIVCCZXCXDVDZWBXEWGVCCZXFXGWGTVCUAVEVFXEXHXFVGUIWGVHUTXGUITWGVHVIUAVJWFWGWI
    VKUMVLWBWEBCZXEAVMDVCCXIXEVNDWEVORUNWBWIVPCXFAVQWIVRUNVSVTWA $.
    $( [18-Dec-2005] $) $( [17-Dec-2005] $)

  $( A lower bound for the factorial function. $)
  faclbnd3 $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
                 ( M ^ N ) <_ ( ( M ^ M ) x. ( ! ` N ) ) ) $=
    ( cn wcel cc0 wceq wo cn0 cexp co cfa cfv cmul cle wbr wa c1 caddc cr w3a
    expwordit nnret adantr pm3.27 peano2nn0 adantl 3jca nnge1t letrp1t nn0ret
    leidt syl syl3anc anim12i sylanc faclbnd nnnn0t sylan wi letrt reexpclt
    syl2an axmulrcl mpancom facclt mp2and elnn0 0expt 0re 1re lt01 ltlei
    syl6eqbr opreq2 cc 0cn exp0t ax-mp leid eqbrtr jaoi sylbi 1nn nnmulclt
    mpan mp3an2 wb opreq1 opreq12 anidms syl6eq opreq1d breq12d mpbird jaoian
    sylanb ) ACDZAEFZGBHDZABIJZAAIJZBKLZMJZNOZAHDZWQWSXDWRWQWSPZWTABQRJZIJZNOZX
    HXCNOZXDASDZWSXGHDZTQANOZBXGNOZPXIXFABXGUAXFXKWSXLWQXKWSAUBUCWQWSUDWSXLWQBU
    EZUFUGWQXMWSXNAUHBSDZXPBBNOZXNWSBBUIBUJZXRWSXPXQXRBUKULUMUNUOXEWSXJWQABUPAU
    QZURXEWSXIXJPXDUSZWQWTSDZXHSDZXCSDZXTXEWSPWTXHXCUTXKWSYAXEABVAAUJZURXKXLYBX
    EWSAXGVAYDXOVBXASDZXBSDZYCXEWSXAXBVCXKXEYEYDAAVAVDWSXBCDZYFBVEZXBUBULZVBUMX
    SURVFWRWSPXDEBIJZQXBMJZNOZWSYLWRWSYJQNOZQYKNOZYLWSBCDZBEFZGYMBVGYOYMYPYOYJE
    QNBVHEQVIVJVKVLVMYPYJEEIJZQNBEEIVNYQQQNEVODYQQFVPEVQVRZQVJVSVTVMWAWBWSYKCDZ
    YNWSYGYSYHQCDYGYSWCQXBWDWEULYKUHULYJSDZYKSDZYMYNPYLUSZWSYTQSDZUUAUUBVJYJQYK
    UTWFESDWSYTVIEBVAWEWSYFUUAYIUUCYFUUAVJQXBVCWEULUOVFUFWRXDYLWGWSWRWTYJXCYKNA
    EBIWHWRXAQXBMWRXAYQQWRXAYQFAEAEIWIWJYRWKWLWMUCWNWOAVGWP $.
    $( [24-Dec-2005] $) $( [19-Dec-2005] $)

  ${
    faclbnd4lem1.1 $e |- N e. NN $.
    faclbnd4lem1.2 $e |- K e. NN0 $.
    faclbnd4lem1.3 $e |- M e. NN0 $.
    $( Lemma for ~ faclbnd4 .  Prepare the induction step.  _Warning:  The HTML
       proof page is 0.6 megabyte in size_. $)
    faclbnd4lem1 $p |- ( ( ( ( N - 1 ) ^ K ) x. ( M ^ ( N - 1 ) ) ) <_
       ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` ( N - 1 ) ) ) ->
                   ( ( N ^ ( K + 1 ) ) x. ( M ^ N ) ) <_ ( ( (
  2 ^ ( ( K + 1 ) ^ 2 ) ) x. ( M ^ ( M + ( K + 1 ) ) ) ) x. ( ! ` N ) ) ) $=
      ( c1 cle wbr clt wo cmin co cexp cmul c2 caddc cfa cfv cr wcel nnre 1re
      lelttrit mp2an wceq letri3 cn nnge1t ax-mp mpbiran2 wa cc0 cn0 2re 1nn
      nn0nnaddclt nnnn0 2nn0 nn0expclt reexpclt pm3.2i 0re lt01 ltlei cc 2cn
      exp0t w3a 0nn0 3pm3.2i 1lt2 nn0ge0 expwordit eqbrtrr nn0re elnn0 nncnt
      exp1t syl 1nn0 mpan mpan2 eqbrtrrd breq1 mpbiri jaoi sylbi lemul12itOLD
      opreq1 1expt syl6eq opreq2 nn0cn opreq12d fveq2 fac1 opreq2d recn mulcl
      mulid1 breq12d sylbir adantr remulcl a1i facclt nn0mulcl elnnnn0 mpbi
      pm3.27i nn0addcl wb nnltp1let df-2 breq1i bitr4 expubndt mp3an12
      lemul1itOLD nncn mul4 mulass opreq2i mul12 3eqtr2 syl6breq adantl letrd
      mul23 expp1t ax1cn addass eqtr3 facnn2t opreq12i 3eqtr4 eqtr expm1t
      syl5eqbr expaddt mp3an nn0addge1 sqval eqcomi adddi eqtr4 3brtr4
      syl6breqr jaoian ) CGHIZGCJIZKZCGLMZANMZBUUNNMZOMZPAPNMZNMZBBAQMZNMZOMZUU
      NRSZOMZHIZCAGQMZNMZBCNMZOMZPUVFPNMZNMZBBUVFQMZNMZOMZCRSZOMZHIZCTUAZGTUAZU
      UMCDUBZUCCGUDUEUUKUVEUVQUULUUKUVQUVEUUKCGUFZUVQUWAUUKGCHIZCGUVTUCUGCUHUAZ
      UWBDCUIUJUKUWAUVQGBOMZUVNHIZUVSUVKTUAZULZUMGHIZGUVKHIZULZULBTUAZUVMTUAZUL
      ZUMBHIZBUVMHIZULZULUWEUWGUWJUVSUWFUCPTUAZUVJUNUAZUWFUOUVFUNUAZPUNUAZUWRUV
      FAUNUAZGUHUAZUVFUHUAZEUPAGUQUEZURZUSUVFPUTUEZPUVJVAUEZVBUWHUWIUMGVCUCVDVE
      PUMNMZGUVKHPVFUAZUXHGUFVGPVHUJUWQUMUNUAZUWRVIGPHIZUMUVJHIZULUXHUVKHIUWQUX
      JUWRUOVJUXFVKUXKUXLGPUCUOVLVEZUVJUXFVMVBPUMUVJVNUEVOVBVBUWMUWPUWKUWLBFVPZ
      UVMBUNUAZUVLUNUAZUVMUNUAFUVLUXOUXCUVLUHUAZFUXDBUVFUQUEZURZBUVLUTUEZVPVBUW
      NUWOBFVMUXOUWOFUXOBUHUAZBUMUFZKUWOBVQUYAUWOUYBUYABGNMZBUVMHUYABVFUAZUYCBU
      FZBVRBVSZVTUYAGBHIZUYCUVMHIZBUIUYGGUVLHIZUYHUXQUYIUXRUVLUIUJUWKGUNUAZUXPV
      IUYGUYIULUYHUWKUYJUXPUXNWAUXSVKBGUVLVNWBWCVTWDUYBUWOUMUVMHIUVMUXTVMBUMUVM
      HWEWFWGWHUJVBVBGUVKBUVMWIUEUWAUVIUWDUVPUVNHUWAUVGGUVHBOUWAUVGGUVFNMZGCGUV
      FNWJUWSUYKGUFUXEUVFWKUJWLUWAUVHUYCBCGBNWMUYDUYEBFWNZUYFUJWLWOUWAUVPUVNGOM
      UVNUWAUVOGUVNOUWAUVOGRSGCGRWPWQWLWRUVNUVKUVMUVKUXGWSZUVMUXTWNZWTXAWLXBWFX
      CXDUULUVEULZUVIUVKUVMUVOOMZOMZUVPHUYOUVIUUSPANMZOMZUYPOMZUYQUVITUAUYOUVGU
      VHUVRUWSUVGTUAUVTUXECUVFVAUEUWKCUNUAZUVHTUAUXNCDURZBCVAUEXEXFUYTTUAUYOUYS
      UYPUUSUYRUWQUURUNUAZUUSTUAUOUXAUWTVUCEUSAPUTUEZPUURVAUEZUYRUWTUXAUYRUNUAU
      SEPAUTUEZVPZXEZUYPUVMUVOUXTUVOVUAUVOUHUAVUBCXGUJZURXHZVPZXEXFUYQTUAUYOUVK
      UYPUXGVUKXEXFUYOCANMZCUUPBOMZOMZOMZUYTUVIHUYOVUOUVDUYRCOMZBOMZOMZUYTHUYOV
      UOUUQVUQOMZVURVUOTUAUYOVULVUNUVRUXAVULTUAZUVTECAVAUEZVUNCVUMVUBUUPBUXOUUN
      UNUAZUUPUNUAFCVFUAZVVBUWCVVCVVBULDCXIXJXKZBUUNUTUEZFXHZXHZVPZXEXFVUSTUAUY
      OUUQVUQUUOUUPUUNTUAUXAUUOTUAUUNVVDVPEUUNAVAUEZUUPVVEVPXEZVUQVUPBUYRCVUFVU
      BXHZFXHZVPZXEXFVURTUAUYOUVDVUQUVBUVCUUSUVAVUEUWKUUTUNUAZUVATUAUXNBAFEXLZB
      UUTVAUEZXEZUVCVVBUVCUHUAVVDUUNXGUJZUBXEZVVMXEXFUULVUOVUSHIUVEUULVUOUYRUUO
      OMZVUNOMZVUSHUULVULVVTHIZVUOVWAHIZUULPCHIZVWBUULGGQMZCHIZVWDUXBUWCUULVWFX
      MUPDGCXNUEPVWECHXOXPXQUVRUXAVWDVWBUVTECAXRXSWHUMVUNHIZVWBVWCVUNVVGVMVUTVV
      TTUAZVUNTUAZVIVWGVWBULVWCVUTVWHVWIVVAUYRUUOVUGVVIXEVVHVKVULVVTVUNXTWBWBVT
      VWAVUPUUOVUMOMZOMVUPUUQBOMZOMVUSUYRUUOCVUMUYRVUFWNZUUOVVIWSZCDYAZVUMVVFWN
      ZYBVWKVWJVUPOUUOUUPBVWMUUPVVEWNUYLYCYDVUPUUQBVUPVVKWNUUQVVJWSUYLYEYFYGXDU
      VEVUSVURHIZUULUMVUQHIZUVEVWPVUQVVLVMUUQTUAZUVDTUAZVUQTUAZVIVWQUVEULVWPVWR
      VWSVWTVVJVVSVVMVKUUQUVDVUQXTWBWBYHYIVURUYSUVMOMZUVOOMZUYTUVDUYRBOMZCOMZOM
      UVBVXCOMZUVCCOMZOMVURVXBUVBUVCVXCCUVBVVQWSUVCVVRYAUYRBVWLUYLWTVWNYBVUQVXD
      UVDOUYRCBVWLVWNUYLYJYDVXAVXEUVOVXFOUYSUVABOMZOMVXAVXEVXGUVMUYSOBUUTGQMZNM
      ZVXGUVMUYDVVNVXIVXGUFUYLVVOBUUTYKUEVXHUVLBNBAGUYLAEWNZYLYMYDYNYDUUSUYRUVA
      BUUSVUEWSVWLUVAVVPWSUYLYBYNUWCUVOVXFUFDCYOUJYPYQUYSUVMUVOUYSVUHWSUYNUVOVU
      IYAZYCYRYGUVIVULCOMZVUMOMVUOUVGVXLUVHVUMOVVCUXAUVGVXLUFVWNECAYKUEUYDUWCUV
      HVUMUFUYLDBCYSUEYPVULCVUMVULVVAWSVWNVWOYCYRYTUYTUYQHIZUYOUYSTUAZUWFUYPTUA
      ZVIUMUYPHIZUYSUVKHIZULVXMVXNUWFVXOVUHUXGVUKVKVXPVXQUYPVUJVMPUURAQMZNMZUYS
      UVKHUXIVUCUXAVXSUYSUFVGVUDEPUURAUUAUUBUWQVXRUNUAZUWRVIUXKVXRUVJHIZULVXSUV
      KHIUWQVXTUWRUOUURAVUDEXLUXFVKUXKVYAUXMAUVFOMZUVFUVFOMZVXRUVJHATUAZUVFTUAZ
      VYEVIUMUVFHIZAUVFHIZULVYBVYCHIVYDVYEVYEAEVPZUVFUXDUBZVYIVKVYFVYGUVFUXEVMA
      GVYHWAUUCVBAUVFUVFXTUEVXRAAOMZAGOMZQMVYBUURVYJAVYKQAVXJUUDVYKAAVXJXAUUEYP
      AAGVXJVXJYLUUFUUGUVFUVFUXDYAUUDUUHVBPVXRUVJVNUEVOVBUYSUVKUYPXTUEXFYIUVKUV
      MUVOUYMUYNVXKYCUUIUUJWB $.
      $( [27-Jan-2006] $) $( [20-Dec-2005] $)
  $}

  $( Lemma for ~ faclbnd4 .  Use the weak deduction theorem to convert
     the hypotheses of ~ faclbnd4lem1 to antecedents. $)
  faclbnd4lem2 $p |- ( ( M e. NN0 /\ K e. NN0 /\ N e. NN ) ->
           ( ( ( ( N - 1 ) ^ K ) x. ( M ^ ( N - 1 ) ) ) <_
       ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` ( N - 1 ) ) ) ->
                   ( ( N ^ ( K + 1 ) ) x. ( M ^ N ) ) <_ ( ( (
  2 ^ ( ( K + 1 ) ^ 2 ) ) x. ( M ^ ( M + ( K + 1 ) ) ) ) x. ( ! ` N ) ) ) ) $=
    ( cn0 wcel cn c1 cmin co cexp cmul c2 caddc cfa cfv cle wbr wi cif wceq
    opreq1 opreq2d id opreq12d opreq1d breq12d imbi12d opreq2 fveq2d fveq2 1nn
    elimel 1nn0 faclbnd4lem1 dedth3h ) BDEZADEZCFEZCGHIZAJIZBUSJIZKIZLALJIZJIZB
    BAMIZJIZKIZUSNOZKIZPQZCAGMIZJIZBCJIZKIZLVKLJIZJIZBBVKMIZJIZKIZCNOZKIZPQZRUT
    UPBGSZUSJIZKIZVDWCWCAMIZJIZKIZVHKIZPQZVLWCCJIZKIZVPWCWCVKMIZJIZKIZVTKIZPQZR
    BACGGGUSUQAGSZJIZWDKIZLWRLJIZJIZWCWCWRMIZJIZKIZVHKIZPQZCWRGMIZJIZWKKIZLXHLJ
    IZJIZWCWCXHMIZJIZKIZVTKIZPQZRURCGSZGHIZWRJIZWCXSJIZKIZXEXSNOZKIZPQZXRXHJIZW
    CXRJIZKIZXOXRNOZKIZPQZRBWCTZVJWJWBWQYLVBWEVIWIPYLVAWDUTKBWCUSJUAUBYLVGWHVHK
    YLVFWGVDKYLBWCVEWFJYLUCZBWCAMUAUDUBUEUFYLVNWLWAWPPYLVMWKVLKBWCCJUAUBYLVSWOV
    TKYLVRWNVPKYLBWCVQWMJYMBWCVKMUAUDUBUEUFUGAWRTZWJXGWQXQYNWEWTWIXFPYNUTWSWDKA
    WRUSJUHUEYNWHXEVHKYNVDXBWGXDKYNVCXALJAWRLJUAUBYNWFXCWCJAWRWCMUHUBUDUEUFYNWL
    XJWPXPPYNVLXIWKKYNVKXHCJAWRGMUAZUBUEYNWOXOVTKYNVPXLWNXNKYNVOXKLJYNVKXHLJYOU
    EUBYNWMXMWCJYNVKXHWCMYOUBUBUDUEUFUGCXRTZXGYEXQYKYPWTYBXFYDPYPWSXTWDYAKYPUSX
    SWRJCXRGHUAZUEYPUSXSWCJYQUBUDYPVHYCXEKYPUSXSNYQUIUBUFYPXJYHXPYJPYPXIYFWKYGK
    CXRXHJUACXRWCJUHUDYPVTYIXOKCXRNUJUBUFUGWRWCXRCGFUKULAGDUMULBGDUMULUNUO $.
    $( [27-Jan-2006] $) $( [23-Dec-2005] $)


  $( Lemma for ~ faclbnd4 .  The ` N = 0 ` case. $)
  faclbnd4lem3 $p |- ( ( ( M e. NN0
            /\ K e. NN0 ) /\ N = 0 ) -> ( ( N ^ K ) x. ( M ^ N ) )
       <_ ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` N ) ) ) $=
    ( cn0 wcel wa cc0 wceq cexp co cmul c2 caddc cfa cfv cle wbr c1 cn wo
    0expt adantl nn0mulclt 2nn0 nn0expclt mpan2 mpan syl nn0addclt syldan
    sylanc nnnn0t sylan2 nn0ge0t eqbrtrd elnn0 0nn0 nnexpclt mpdan id opreq1
    0cn addid1 syl6eq opreq12d cc exp0t ax-mp 1nn syl6eqel jaoi sylbi nnmulclt
    nnge1t 3syl adantr wb opreq2 sq0i opreq2d 2cn breq12d mpbird jaodan
    sylan2b nn0cnt ax1id sylan9eq 3brtr4d fveq2 fac0 ) BDEZADEZFZCGHZFCAIJZBCIJ
    ZKJZLALIJZIJZBBAMJZIJZKJZCNOZKJZPQZGAIJZBGIJZKJZXCRKJZPQZWNXKWOWNXGXCXIXJPW
    LASEZAGHZTXGXCPQZWMWLXLXNXMWLXLFZXGGXCPXLXGGHWLAUAUBXOXCDEZGXCPQWLWMXPXLWTD
    EZXBDEZXPWNWTXBUCWMXQWLWMWSDEZXQWMLDEZXSUDALUEUFXTXSXQUDLWSUEUGUHUBWLWMXADE
    XRBAUIBXAUEUJUKZAULUMXCUNUHUOWLXMFXNRRBBGMJZIJZKJZPQZWLYEXMWLYCSEZYDSEZYEWL
    BSEZBGHZTYFBUPYHYFYIYHYBDEZYFYHWLYJBULWLGDEZYJUQBGUIUFUHBYBURUSYIYCRSYIYCGG
    IJZRYIBGYBGIYIUTYIYBGGMJGBGGMVAGVBVCVDVEGVFEYLRHVBGVGVHZVDVIVJVKVLRSEYFYGVI
    RYCVMUGYDVNVOVPXMXNYEVQWLXMXGRXCYDPXMXGYLRAGGIVRYMVDXMWTRXBYCKXMWTLGIJZRXMW
    SGLIAVSVTLVFEYNRHWALVGVHVDXMXAYBBIAGBMVRVTVEWBUBWCWDAUPWEWLWMXIXGRKJZXGWLXH
    RXGKWLBVFEXHRHBWFBVGUHVTWMXGDEZXGVFEYOXGHYKWMYPUQGAUEUGXGWFXGWGVOWHWNXPXCVF
    EXJXCHYAXCWFXCWGVOWIVPWOXFXKVQWNWOWRXIXEXJPWOWPXGWQXHKCGAIVACGBIVRVEWOXDRXC
    KWOXDGNORCGNWJWKVDVTWBUBWC $.
    $( [28-Jan-2006] $) $( [23-Dec-2005] $)

  ${
    $d j m n M $.  $d j m n K $.  $d j n N $.
    $( Lemma for ~ faclbnd4 .  Prove the ` 0 < N ` case by induction on
       ` K ` . $)
    faclbnd4lem4 $p |- ( ( N e. NN /\ K e. NN0 /\ M e. NN0 ) ->
                   ( ( N ^ K ) x. ( M ^ N ) ) <_
              ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` N ) ) ) $=
      ( vn vm vj cn wcel cn0 cexp co cmul c2 caddc cfa cfv cle wbr cv wral wa
      wceq opreq1 opreq2 opreq12d fveq2 opreq2d breq12d rcla4va wi cc0 c1 cmin
      clt wo faclbnd4lem3 nnge1t adantr cr wb nnret 1re letri3t mpan2 syl
      biimpar anassrs mpdan ax1cn subid syl6eq sylan2 a1d 1nn nnsubt mpan
      biimpa rcla4v adantl jaodan lelttrit ancli andi sylib faclbnd4lem2 3expa
      syld r19.21adva cbvralv syl5ib expcom a2d faclbnd3 nnnn0t cc nncnt exp0t
      opreq1d expclt nn0cnt syl2an mulid2t eqtrd sq0 opreq2i 2cn ax-mp eqtr
      a1i ax0id mpancom 3brtr4d r19.21aiva ralbidv imbi2d nn0indALT imp 3impb
      ) CGHZAIHZBIHZCAJKZBCJKZLKZMAMJKZJKZBBANKZJKZLKZCOPZLKZQRZXSDSZAJKZBYMJKZ
      LKZYIYMOPZLKZQRZDGTZYLXTYAUAYSYLDCGYMCUBZYPYDYRYKQUUAYNYBYOYCLYMCAJUCYMCB
      JUDUEUUAYQYJYILYMCOUFUGUHUIXTYAYTYAYMESZJKZYOLKZMUUBMJKZJKZBBUUBNKZJKZLKZ
      YQLKZQRZDGTZUJYAYMUKJKZYOLKZMUKMJKZJKZBBUKNKZJKZLKZYQLKZQRZDGTZUJYAYMFSZJ
      KZYOLKZMUVCMJKZJKZBBUVCNKZJKZLKZYQLKZQRZDGTZUJYAYMUVCULNKZJKZYOLKZMUVNMJK
      ZJKZBBUVNNKZJKZLKZYQLKZQRZDGTZUJYAYTUJEFAUVCIHZYAUVMUWDYAUWEUVMUWDUJYAUWE
      UAZUUBUVCJKZBUUBJKZLKZUVJUUBOPZLKZQRZEGTZUWDUVMUWFUWMUWCDGUWFYMGHZUAUWMYM
      ULUMKZUVCJKZBUWOJKZLKZUVJUWOOPZLKZQRZUWCUWFUWNYMULQRZUAZUWNULYMUNRZUAZUOZ
      UWMUXAUJZUWNUWFUXCUXGUXEUWFUXCUAUXAUWMUWFUWOUKUBZUXAUXCUVCBUWOUPUXCYMULUB
      ZUXHUXCULYMQRZUXIUWNUXJUXBYMUQURUWNUXBUXJUXIUWNUXIUXBUXJUAZUWNYMUSHZUXIUX
      KUTZYMVAZUXLULUSHZUXMVBYMULVCVDVEVFVGVHUXIUWOULULUMKUKYMULULUMUCULVIVJVKV
      EVLVMUXEUXGUWFUXEUWOGHZUXGUWNUXDUXPULGHUWNUXDUXPUTVNULYMVOVPVQUWLUXAEUWOG
      UUBUWOUBZUWIUWRUWKUWTQUXQUWGUWPUWHUWQLUUBUWOUVCJUCUUBUWOBJUDUEUXQUWJUWSUV
      JLUUBUWOOUFUGUHVRVEVSVTUWNUWNUXBUXDUOZUAUXFUWNUXRUWNUXLUXRUXNUXLUXOUXRVBY
      MULWAVDVEWBUWNUXBUXDWCWDVLYAUWEUWNUXAUWCUJUVCBYMWEWFWGWHUVLUWLDEGYMUUBUBZ
      UVEUWIUVKUWKQUXSUVDUWGYOUWHLYMUUBUVCJUCYMUUBBJUDUEUXSYQUWJUVJLYMUUBOUFUGU
      HWIWJWKWLYAUVADGYAUWNUAZYOBBJKZYQLKZUUNUUTQYAYMIHZYOUYBQRUWNBYMWMYMWNZVLU
      XTUUNULYOLKZYOUWNUUNUYEUBYAUWNUUMULYOLUWNYMWOHUUMULUBYMWPYMWQVEWRVSUXTYOW
      OHZUYEYOUBBWOHZUYCUYFYAUWNBYMWSBWTZUYDXAYOXBVEXCYAUUTUYBUBUWNYAUUSUYAYQLY
      AUUSULUYALKZUYAYAUUPULUURUYALUUPULUBYAUUPMUKJKZULUUOUKMJXDXEMWOHUYJULUBXF
      MWQXGXHXIYAUUQBBJYAUYGUUQBUBUYHBXJVEUGUEYAUYAWOHZUYIUYAUBUYGYAUYKUYHBBWSX
      KUYAXBVEXCWRURXLXMUUBUKUBZUULUVBYAUYLUUKUVADGUYLUUDUUNUUJUUTQUYLUUCUUMYOL
      UUBUKYMJUDWRUYLUUIUUSYQLUYLUUFUUPUUHUURLUYLUUEUUOMJUUBUKMJUCUGUYLUUGUUQBJ
      UUBUKBNUDUGUEWRUHXNXOUUBUVCUBZUULUVMYAUYMUUKUVLDGUYMUUDUVEUUJUVKQUYMUUCUV
      DYOLUUBUVCYMJUDWRUYMUUIUVJYQLUYMUUFUVGUUHUVILUYMUUEUVFMJUUBUVCMJUCUGUYMUU
      GUVHBJUUBUVCBNUDUGUEWRUHXNXOUUBUVNUBZUULUWDYAUYNUUKUWCDGUYNUUDUVPUUJUWBQU
      YNUUCUVOYOLUUBUVNYMJUDWRUYNUUIUWAYQLUYNUUFUVRUUHUVTLUYNUUEUVQMJUUBUVNMJUC
      UGUYNUUGUVSBJUUBUVNBNUDUGUEWRUHXNXOUUBAUBZUULYTYAUYOUUKYSDGUYOUUDYPUUJYRQ
      UYOUUCYNYOLUUBAYMJUDWRUYOUUIYIYQLUYOUUFYFUUHYHLUYOUUEYEMJUUBAMJUCUGUYOUUG
      YGBJUUBABNUDUGUEWRUHXNXOXPXQVLXR $.
      $( [28-Jan-2006] $) $( [19-Dec-2005] $)
  $}

  $( Variant of ~ faclbnd5 providing a non-strict lower bound. $)
  faclbnd4 $p |- ( ( N e. NN0 /\ K e. NN0 /\ M e. NN0 ) ->
                 ( ( N ^ K ) x. ( M ^ N ) ) <_
            ( ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) x. ( ! ` N ) ) ) $=
    ( cn0 wcel cexp co cmul c2 caddc cfa cfv cle wbr wa cn cc0 wceq wo
    faclbnd4lem4 3com13 3expa faclbnd4lem3 jaodan elnn0 sylan2b 3impa ) BDEZADE
    ZCDEZCAFGBCFGHGIAIFGFGBBAJGFGHGCKLHGMNZUHUIUJUKUHUIOZCPEZCQRZSUKUJULUMUKUNU
    HUIUMUKUMUIUHUKABCTUAUBABCUCUDCUEUFUGUA $.
    $( [28-Jan-2006] $) $( [23-Dec-2005] $)

  $( The factorial function grows faster than powers and exponentiations.  If
     we consider ` K ` and ` M ` to be constants, the right-hand side of the
     inequality is a constant times ` N ` -factorial. $)
  faclbnd5 $p |- ( ( N e. NN0 /\ K e. NN0 /\ M e. NN ) ->
                 ( ( N ^ K ) x. ( M ^ N ) ) <
      ( ( 2 x. ( ( 2 ^ ( K ^ 2 ) ) x. ( M ^ ( M + K ) ) ) ) x. ( ! ` N ) ) ) $=
    ( cn0 wcel cn cexp co cmul c2 caddc cfa cfv clt wbr wa cr axmulrcl
    reexpclt nn0ret sylan ancoms nnret syl2an anandirs nnmulclt 2nn0 nn0expclt
    mpan2 2nn nnexpclt mpan syl nn0addclt nnnn0t sylan2 anabss7 anabss5 facclt
    2re cle faclbnd4 syl3an3 3coml 3expa c1 1lt2 cc0 wb ltmulgt12t mp3an2
    nngt0t sylanc mpbii lelttrd cc wceq 2cn axmulass mp3an1 recnd breqtrrd
    3impa 3comr ) ADEZBFEZCDEZCAGHZBCGHZIHZJJAJGHZGHZBBAKHZGHZIHZIHCLMZIHZNOZWE
    WFWGWRWEWFPZWGPZWJJWOWPIHZIHZWQNWTWJXAXBWEWFWGWJQEZWHQEZWIQEZXCWEWGPWFWGPWH
    WIRWGWEXDCQEWEXDWGCASCTUAUBBQEWGXEWFBCSBUCUAUDUEWOQEZWPQEZXAQEZWSWGWOWPRWSW
    OFEZXFWEWFXIWLFEZWNFEZXIWEWSWLWNUFWEWKDEZXJWEJDEXLUGAJUHUIJFEXLXJUJJWKUKULU
    MWEWFXKWFWMDEZXKWSBWMUKWEBDEZXMWFXNWEXMBAUNUBBUOZUPUPUQUDURZWOUCUMZWGWPFEZX
    GCUSZWPUCUMZUDZWTXHXBQEZYAJQEZXHYBUTJXARULUMWEWFWGWJXAVAOZWGWEWFYDWGWEXNYDW
    FABCVBXOVCVDVEWTVFJNOZXAXBNOZVGXHVHXANOZYEYFVIZWTXHYCYGYHUTXAJVJVKYAWTXAFEZ
    YGXIXRYIWSWGWOWPUFXPXSUDXAVLUMVMVNVOWOVPEZWPVPEZWQXBVQZWSWGJVPEYJYKYLVRJWOW
    PVSVTWSWOXQWAWGWPXTWAUDWBWCWD $.
    $( [16-Feb-2006] $) $( [24-Dec-2005] $)

  ${
    $d M m $.  $d N k m $.
    $( Geometric lower bound for the factorial function, where N is usually
       held constant.  (Contributed by Paul Chapman, 28-Dec-2007.) $)
    faclbnd6 $p |- ( ( N e. NN0 /\ M e. NN0 ) ->
             ( ( ! ` N ) x. ( ( N + 1 ) ^ M ) ) <_ ( ! ` ( N + M ) ) ) $=
      ( vm vk cn0 wcel cfa cfv c1 caddc co cexp cmul cle wbr cv wi cc0 wceq
      opreq2 opreq2d fveq2d breq12d imbi2d cn cr facclt nnret leidt 3syl cc
      nn0cnt peano2cn syl exp0t nncnt ax1id eqtrd ax0id 3brtr4d wa
      lemul12itOLD axmulrcl adantr reexpclt nn0ret peano2re sylan sylanc
      nn0addclt jca nn0mulclt nnnn0t nn0expclt peano2nn0 nn0ge0t anim1i ax1cn
      axaddass mp3an3 syl2an eqeltrrd adantl wb addge02t mpbid add12t breqtrrd
      expp1t axmulass expclt syl3anc eqtr4d facp1t 3eqtr3d ex expcom a2d
      nn0ind impcom ) AEFBEFZBGHZBIJKZALKZMKZBAJKZGHZNOZXAXBXCCPZLKZMKZBXIJKZGH
      ZNOZQXAXBXCRLKZMKZBRJKZGHZNOZQXAXBXCDPZLKZMKZBXTJKZGHZNOZQXAXBXCXTIJKZLKZ
      MKZBYFJKZGHZNOZQXAXHQCDAXIRSZXNXSXAYLXKXPXMXRNYLXJXOXBMXIRXCLTUAYLXLXQGXI
      RBJTUBUCUDXIXTSZXNYEXAYMXKYBXMYDNYMXJYAXBMXIXTXCLTUAYMXLYCGXIXTBJTUBUCUDX
      IYFSZXNYKXAYNXKYHXMYJNYNXJYGXBMXIYFXCLTUAYNXLYIGXIYFBJTUBUCUDXIASZXNXHXAY
      OXKXEXMXGNYOXJXDXBMXIAXCLTUAYOXLXFGXIABJTUBUCUDXAXBXBXPXRNXAXBUEFZXBUFFZX
      BXBNOBUGZXBUHZXBUIUJXAXPXBIMKZXBXAXOIXBMXAXCUKFZXOISXABUKFZUUABULZBUMUNZX
      CUOUNUAXAXBUKFZYTXBSXAYPUUEYRXBUPUNZXBUQUNURXAXQBGXAUUBXQBSUUCBUSUNUBUTXT
      EFZXAYEYKXAUUGYEYKQXAUUGVAZYEYKUUHYEVAZYBXCMKZYDYIMKZYHYJNYBUFFZYDUFFZVAZ
      RYBNOZYEVAZVAXCUFFZYIUFFZVAZRXCNOZXCYINOZVAZVAZUUJUUKNOUUIYBYDXCYIVBUUIUU
      NUUPUUHUUNYEUUHUULUUMYQYAUFFZUULUUHXBYAVCXAYQUUGXAYPYQYRYSUNVDUUQUUGUVDXA
      XCXTVEXABUFFUUQBVFBVGUNZVHVIUUHYCEFZYDUEFUUMBXTVJZYCUGYDUHUJVKVDUUHUUOYEU
      UHYBEFZUUOXBEFZYAEFZUVHUUHXBYAVLXAUVIUUGXAYPUVIYRXBVMUNVDXCEFZUUGUVJXAXCX
      TVNBVOZVHVIYBVPUNVQVKUUHUVCYEUUHUUSUVBUUHUUQUURXAUUQUUGUVEVDUUHYCIJKZYIUF
      UUBXTUKFZUVMYISZXAUUGUUBUVNIUKFZUVOVRBXTIVSVTUUCXTULZWAZUUHUVFUVMEFUVMUFF
      UVGYCVOUVMVFUJWBVKUUHUUTUVAXAUUTUUGXAUVKUUTUVLXCVPUNVDUUHXCXTXCJKZYINUUHR
      XTNOZXCUVSNOZUUGUVTXAXTVPWCUUQXTUFFUVTUWAWDXAUUGXCXTWEUVEXTVFWAWFUUBUVNYI
      UVSSZXAUUGUUBUVNUVPUWBVRBXTIWGVTUUCUVQWAWHVKVKVDVIUUHYHUUJSYEUUHYHXBYAXCM
      KZMKZUUJUUHYGUWCXBMUUAUUGYGUWCSXAXCXTWIUUDVHUAUUEYAUKFZUUAUUJUWDSUUHXBYAX
      CWJXAUUEUUGUUFVDUUAUUGUWEXAXCXTWKUUDVHXAUUAUUGUUDVDWLWMVDUUHYJUUKSYEUUHUV
      MGHZYDUVMMKZYJUUKUUHUVFUWFUWGSUVGYCWNUNUUHUVMYIGUVRUBUUHUVMYIYDMUVRUAWOVD
      UTWPWQWRWSWT $.
      $( [29-Dec-2007] $) $( [28-Dec-2007] $)
  $}

  $( The product of two factorials is greater than or equal to the factorial of
     (the floor of) their average. $)
  facavgt $p |- ( ( M e. NN0 /\ N e. NN0 ) ->
       ( ! ` ( |_ ` ( ( M + N ) / 2 ) ) ) <_ ( ( ! ` M ) x. ( ! ` N ) ) ) $=
    ( cn0 wcel wa caddc co c2 cdiv cle wbr wo cfl cfv cfa cmul cr avglet
    nn0ret syl2an nn0addclt syl rehalfclt fllet 3syl wi letrt flreclt adantr
    syl3anc mpand facwordit 3exp cc0 flge0nn0t nn0ge0t wb halfnneg2t mpbid
    sylanc pm3.26 sylc syld c1 wceq cn cc facclt nncnt ax1id 1re lemul2itOLD
    mp3anl1 nnret anim12i ancoms nnnn0t nnge1t eqbrtrrd axmulrcl mpan2d adantl
    pm3.27 mulid2t lemul1itOLD jaod mpd ) ACDZBCDZEZABFGZHIGZAJKZWLBJKZLZWLMNZO
    NZAONZBONZPGZJKZAQDZBQDZWOWHWIABRASZBSZTWJWMXAWNWJWMWQWRJKZXAWJWMWPAJKZXFWJ
    WPWLJKZWMXGWJWKQDZWLQDZXHWJWKCDZXIABUAZWKSZUBZWKUCZWLUDUEZWPQDZXJXBXHWMEXGU
    FWJWPWLAUGWJXIXJXQXNXOWLUHUEZWJXKXIXJXLXMXOUEZWHXBWIXDUIUJUKWPCDZWHXGXFUFWJ
    XTWHXGXFWPAULUMXJUNWLJKZXTWJWLUOXSWJUNWKJKZYAWJXKYBXLWKUPUBWJXKXIYBYAUQXLXM
    WKURUEUSUTZWHWIVAVBVCWJXFWRWTJKZXAWJWRVDPGZWRWTJWHYEWRVEZWIWHWRVFDZWRVGDYFA
    VHZWRVIWRVJUEUIWSQDZWRQDZEZUNWRJKZVDWSJKZEZYEWTJKZWJVDQDZYIYJYNYOVKVDWSWRVL
    VMWIWHYKWIYIWHYJWIWSVFDZYIBVHZWSVNUBZWHYGYJYHWRVNUBZVOVPWHYLWIYMWHYGWRCDYLY
    HWRVQWRUPUEWIYQYMYRWSVRUBVOUTVSWQQDZYJWTQDZXFYDEXAUFWJWQWRWTUGWJXTWQVFDUUAY
    CWPVHWQVNUEZWHYJWIYTUIYJYIUUBWHWIWRWSVTYTYSTZUJWAVCWJWNWQWSJKZXAWJWNWPBJKZU
    UEWJXHWNUUFXPXQXJXCXHWNEUUFUFWJWPWLBUGXRXSWIXCWHXEWBUJUKXTWIUUFUUEUFWJXTWIU
    UFUUEWPBULUMYCWHWIWCVBVCWJUUEWSWTJKZXAWJVDWSPGZWSWTJWIUUHWSVEZWHWIYQWSVGDUU
    IYRWSVIWSWDUEWBYJYIEUNWSJKZVDWRJKZEZUUHWTJKZWJYPYJYIUULUUMVKVDWRWSWEVMWHYJW
    IYIYTYSVOWIWHUULWIUUJWHUUKWIYQWSCDUUJYRWSVQWSUPUEWHYGUUKYHWRVRUBVOVPUTVSUUA
    YIUUBUUEUUGEXAUFWJWQWSWTUGUUCWIYIWHYSWBUUDUJWAVCWFWG $.
    $( [6-Feb-2006] $) $( [9-Dec-2005] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The binomial coefficient operation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c C. $. $( Binomial coefficient operation. $)

  $( Extend class notation to include the binomial coefficient operation
     (combinatorial choose operation). $)
  cbc $a class C. $.

  ${
    $d n k m $.
    $( Define the binomial coefficient operation.  In the literature, this
       function is often written as a column vector of the two arguments, or
       with the arguments as subscripts before and after the letter "C".
       ` ( N C. K ) ` is read " ` N ` choose ` K ` ."  Definition of
       binomial coefficient in [Gleason] p. 295.  As suggested by Gleason,
       we define it to be 0 when ` 0 <_ k <_ n ` does not hold. $)
    df-bc $a |- C. = { <. <. n , k >. , m >. | ( ( n e. NN0 /\ k e. ZZ ) /\
                m = if ( ( 0 <_ k /\ k <_ n ) ,
                ( ( ! ` n ) / ( ( ! ` ( n - k ) ) x. ( ! ` k ) ) ) , 0 ) ) } $.
  $}

  ${
    $d n k m N $.  $d n k m K $.
    $( Value of the binomial coefficient, ` N ` choose ` K ` .  Definition
       of binomial coefficient in [Gleason] p. 295.  As suggested by Gleason,
       we define it to be 0 when ` 0 <_ K <_ N ` does not hold.  See ~ bcval2t
       for the value in the standard domain. $)
    bcvalt  $p |- ( ( N e. NN0 /\ K e. ZZ ) -> ( N C. K ) = if ( ( 0 <_ K /\
    K <_ N ) , ( ( ! ` N ) / ( ( ! ` ( N - K ) ) x. ( ! ` K ) ) ) , 0 ) ) $=
      ( vn vk vm cn0 cz cc0 cv cle wbr wa cfa cfv cmin co cmul cdiv cif cbc
      oprex 0nn0 elisseti ifex wceq breq2 anbi2d ifbid fveq2 opreq1 fveq2d
      opreq1d opreq12d ifeq1d eqtrd breq1 anbi12d opreq2 opreq2d df-bc
      oprabval2 ) CDEBAFGHDIZJKZVBCIZJKZLZVDMNZVDVBOPZMNZVBMNZQPZRPZHSZHAJKZABJ
      KZLZBMNZBAOPZMNZAMNZQPZRPZHSZTVCVBBJKZLZVQBVBOPZMNZVJQPZRPZHSZVPWBHVQWARU
      AHFUBUCUDVDBUEZVMWEVLHSWJWKVFWEVLHWKVEWDVCVDBVBJUFUGUHWKWEVLWIHWKVGVQVKWH
      RVDBMUIWKVIWGVJQWKVHWFMVDBVBOUJUKULUMUNUOVBAUEZWJVPWIHSWCWLWEVPWIHWLVCVNW
      DVOVBAHJUFVBABJUPUQUHWLVPWIWBHWLWHWAVQRWLWGVSVJVTQWLWFVRMVBABOURUKVBAMUIU
      MUSUNUODECUTVA $.
      $( [11-Jul-2005] $) $( [10-Jul-2005] $)

    $( Value of the binomial coefficient, ` N ` choose ` K ` , in its standard
       domain. $)
    bcval2t $p |- ( ( N e. NN0 /\ K e. NN0 /\ K <_ N ) -> ( N C. K ) =
                    ( ( ! ` N ) / ( ( ! ` ( N - K ) ) x. ( ! ` K ) ) ) ) $=
      ( cn0 wcel cz wa cc0 cle wbr cbc co cfa cfv cmin cmul cdiv wceq w3a cif
      bcvalt iftrue sylan9eq nn0zt anim2i 3adant3 nn0ge0t anim1i 3adant1
      sylanc ) BCDZAEDZFZGAHIZABHIZFZBAJKZBLMBANKLMALMOKPKZQUJACDZUNRULUOUPUOUQ
      GSUQABTUOUQGUAUBUJURULUNURUKUJAUCUDUEURUNUOUJURUMUNAUFUGUHUI $.
      $( [28-Jul-2008] $) $( [9-Jun-2005] $)

    $( Value of the binomial coefficient, ` N ` choose ` K ` , in its standard
       domain. $)
    bcval3t $p |- ( ( N e. NN0 /\ K e. ( 0 ... N ) ) -> ( N C. K ) =
                    ( ( ! ` N ) / ( ( ! ` ( N - K ) ) x. ( ! ` K ) ) ) ) $=
      ( cn0 wcel cle wbr cbc co cfa cfv cmin cmul cdiv wceq cc0 cfz wa bcval2t
      elfz3nn0t elfznn0t adantl elfzle2 syl3anc ) BCDZACDZABEFZBAGHBIJBAKHIJAIJ
      LHMHNUDAOBPHDZQABRCABSUGUEUDABTUAUGUFUDAOBUBUAUC $.
      $( [3-Feb-2006] $) $( [3-Jan-2006] $)

    $( Value of the binomial coefficient, ` N ` choose ` K ` , outside of its
       standard domain.  Remark in [Gleason] p. 295. $)
    bcval4t $p |- ( ( N e. NN0 /\ K e. ZZ /\ ( K < 0 \/ N < K ) ) ->
          ( N C. K ) = 0 ) $=
      ( cn0 wcel cz cc0 clt wbr wo cbc co wceq wa cle wn cr wb 0re ltnlet
      mpan2 adantl orbi12d nn0ret zret syl2an biimpa cfa cfv cmin cmul cdiv
      cif bcvalt iffalse sylan9eq ianor sylan2br syldan 3impa ) BCDZAEDZAFGHZBA
      GHZIZBAJKZFLZUTVAMZVDFANHZOZABNHZOZIZVFVGVDVLBPDZAPDZVDVLQUTVAVMVNMVBVIVC
      VKVNVBVIQZVMVNFPDVORAFSTUABASUBBUCAUDUEUFVGVHVJMZOZVFVLVGVQVEVPBUGUHBAUIK
      UGUHAUGUHUJKUKKZFULFABUMVPVRFUNUOVHVJUPUQURUS $.
      $( [9-Sep-2005] $) $( [14-Jul-2005] $)
  $}

  $( "Complementing" its second argument doesn't change a binary
     coefficient. $)
  bccmplt $p |- ( ( N e. NN0 /\ K e. NN0 /\ K <_ N ) -> ( N C. K ) =
                    ( N C. ( N - K ) ) ) $=
    ( cn0 wcel cle wbr w3a cfa cfv cmin co cmul cdiv cbc cc wceq axmulcom cn
    wb nn0subt ancoms biimp3a facclt nncnt 3syl syl 3ad2ant2 sylanc wa nncant
    nn0cnt syl2an fveq2d 3adant3 opreq1d eqtr4d opreq2d bcval2t 3simp1 cr
    caddc nn0addge1t lesubaddt 3anidm13 nn0ret sylan2 mpbird sylan syl3anc
    3eqtr4d ) BCDZACDZABEFZGZBHIZBAJKZHIZAHIZLKZMKVOBVPJKZHIZVQLKZMKZBANKBVPNKZ
    VNVSWBVOMVNVSVRVQLKZWBVQODZVRODZVSWEPVNVQVRQVNVPCDZVQRDWFVKVLVMWHVLVKVMWHSA
    BTUAUBZVPUCVQUDUEVLVKWGVMVLVRRDWGAUCVRUDUFUGUHVNWAVRVQLVKVLWAVRPVMVKVLUIVTA
    HBODAODVTAPVKVLBAUJBUKAUKULUMUNUOUPUQABURVKWHVPBEFZWDWCPVNVPBURVKVLVMUSWIVK
    VLWJVMBUTDZVLWJVKWKVLUIWJBBAVAKEFZBAVBWKAUTDZWJWLSZVLWKWMWNBABVCVDAVEVFVGBV
    EVHUNVIVJ $.
    $( [9-Jul-2005] $) $( [21-Jun-2005] $)

  $( ` N ` choose 0 is 1.  Remark in [Gleason] p. 296. $)
  bcn0t $p |- ( N e. NN0 -> ( N C. 0 ) = 1 ) $=
    ( cn0 wcel cc0 cbc co cfa cfv cmin cmul cdiv c1 cle wbr wceq nn0ge0t 0nn0
    bcval2t mp3an2 mpdan cc nn0cnt subid1t syl fveq2d fac0 a1i opreq12d cn
    facclt nncnt ax1id eqtrd opreq2d wne dividt facne0t sylanc 3eqtrd ) ABCZADE
    FZAGHZADIFZGHZDGHZJFZKFZVBVBKFZLUTDAMNZVAVGOZAPUTDBCVIVJQDARSTUTVFVBVBKUTVF
    VBLJFZVBUTVDVBVELJUTVCAGUTAUACVCAOAUBAUCUDUEVELOUTUFUGUHUTVBUACZVKVBOUTVBUI
    CVLAUJVBUKUDZVBULUDUMUNVLVBDUOVHLOUTVBUPVMAUQURUS $.
    $( [18-Jun-2005] $) $( [17-Jun-2005] $)

  $( ` N ` choose ` N ` is 1.  Remark in [Gleason] p. 296. $)
  bcnnt $p |- ( N e. NN0 -> ( N C. N ) = 1 ) $=
    ( cn0 wcel cc0 cbc co cmin c1 cle wbr wceq nn0ge0t 0nn0 bccmplt mp3an2
    mpdan bcn0t cc nn0cnt subid1t syl opreq2d 3eqtr3rd ) ABCZADEFZAADGFZEFZHAAE
    FUDDAIJZUEUGKZALUDDBCUHUIMDANOPAQUDUFAAEUDARCUFAKASATUAUBUC $.
    $( [2-Aug-2005] $) $( [17-Jun-2005] $)

  $( Binomial coefficient: ` N + 1 ` choose ` 1 ` . $)
  bcnp11t $p |- ( N e. NN0 -> ( ( N + 1 ) C. 1 ) = ( N + 1 ) ) $=
    ( cn0 wcel c1 caddc co cbc cfa cfv cmin cmul cdiv cle wbr wceq 1nn0
    bcval2t mp3an2 peano2nn0 cr 1re nn0addge2t mpan sylanc cc nn0cnt ax1cn
    pncant mpan2 syl fveq2d fac1 a1i opreq12d cn facclt nncnt ax1id eqtrd
    opreq2d facp1t eqcomd w3a cc0 wne wb divmult 3jca facne0t mpbird 3eqtrd )
    ABCZADEFZDGFZVMHIZVMDJFZHIZDHIZKFZLFZVOAHIZLFZVMVMBCZDVMMNZVNVTOZVLWCDBCWDW
    EPDVMQRASZDTCVLWDUADAUBUCUDVLVSWAVOLVLVSWADKFZWAVLVQWAVRDKVLVPAHVLAUECZVPAO
    ZAUFWHDUECWIUGADUHUIUJUKVRDOVLULUMUNVLWAUECZWGWAOVLWAUOCWJAUPWAUQUJZWAURUJU
    SUTVLWBVMOZWAVMKFZVOOZVLVOWMAVAVBVOUECZWJVMUECZVCWAVDVEWLWNVFVLVOWAVMVGVLWO
    WJWPVLWCWOWFWCVOUOCWOVMUPVOUQUJUJWKVLWCWPWFVMUFUJVHAVIUDVJVK $.
    $( [8-Aug-2005] $) $( [21-Jun-2005] $)

  $( Binomial coefficient: ` N + 1 ` choose ` N ` . $)
  bcnp1nt $p |- ( N e. NN0 -> ( ( N + 1 ) C. N ) = ( N + 1 ) ) $=
    ( cn0 wcel c1 caddc co cbc cmin cle wbr wceq 1nn0 bccmplt mp3an2 peano2nn0
    cr 1re nn0addge2t mpan sylanc bcnp11t cc nn0cnt ax1cn pncant mpan2 syl
    opreq2d 3eqtr3rd ) ABCZADEFZDGFZUKUKDHFZGFZUKUKAGFUKBCZDUKIJZULUNKZUJUODBCU
    PUQLDUKMNAODPCUJUPQDARSTAUAUJUMAUKGUJAUBCZUMAKZAUCURDUBCUSUDADUEUFUGUHUI $.
    $( [25-Nov-2005] $) $( [20-Jun-2005] $)

  ${
    bcpasc2.1 $e |- N e. NN $.
    bcpasc2.2 $e |- K e. NN $.
    bcpasc2.3 $e |- K <_ N $.
    $( Pascal's rule for the binomial coefficient.  Equation 2 of [Gleason]
       p. 295. $)
    bcpasc2 $p |- ( ( N C. K ) + ( N C. ( K - 1 ) ) ) = ( ( N + 1 ) C. K ) $=
      ( cfa cfv c1 cmin co cmul cdiv caddc cbc ax1cn nncn subcl addcl nnne0
      cn0 wcel cn cle wbr wb nnnn0 nn0subt mp2an mpbi nn0p1nnt ax-mp divadddiv
      mulid2 mulid1 opreq12i add23 cc wceq npcant opreq1i 3eqtr eqtr opreq2i
      facclt nnge1t 1nn0 nnmulclt divcl reccl adddi nn0addcl nn0cn mulcl muln0
      divmuldiv facp1t nnre nn0re clt nnleltp1t ltlei mulcom facnn2t addsub
      fveq2i mul4 eqtr4 3eqtr3 mul23 3eqtr2 bcval2t mp3an 3eqtr4r mulass
      subsubt eqtr2 1re lesubadd mpbir 3eqtr4 ) BFGZAHIJZFGZBAIJZFGZKJZLJZHALJZ
      KJZXGHXDHMJZLJZKJZMJZBHMJZFGZXNAIJZFGZAFGZKJZLJZBANJZBXBNJZMJXNANJZXGXHXK
      MJZKJXGXNAXJKJZLJZKJZXMXTYDYFXGKYDHXJKJZAHKJZMJZYELJYFHAHXJOADPZOXDHBABCP
      ZYKQZORZADSZXJXDTUAZXJUBUAABUCUDZYPEATUAZBTUAZYQYPUEADUFZBCUFZABUGUHUIZXD
      UJUKSZULYJXNYELYJXJAMJXDAMJZHMJXNYHXJYIAMXJYNUMAYKUNUOXDHAYMOYKUPUUDBHMBU
      QUAZAUQUAZUUDBURYLYKBAUSUHUTVAUTVBVCXGXHXKXAXFXAYSXAUBUAUUABVDUKPZXFXCUBU
      AZXEUBUAZXFUBUAXBTUAZUUHHAUCUDZUUJAUBUAZUUKDAVEUKHTUAYRUUKUUJUEVFYTHAUGUH
      UIZXBVDUKZYPUUIUUBXDVDUKZXCXEVGUHZPZXFUUPSZVHAYKYOVIXJYNUUCVIVJYGXAXNKJZX
      FYEKJZLJXTXAXFXNYEUUGUUQXNBHUUAVFVKZVLAXJYKYNVMUURAXJYKYNYOUUCVNVOXOUUSXS
      UUTLYSXOUUSURUUABVPUKXSXRXQKJXCAKJZXEXJKJZKJUUTXQXRXQXPTUAZXQUBUAAXNUCUDZ
      UVDAXNADVQZXNUVAVRYQAXNVSUDZEUULBUBUAYQUVGUEDCABVTUHUIWAZYRXNTUAZUVEUVDUE
      YTUVAAXNUGUHUIXPVDUKPXRYRXRUBUAYTAVDUKPZWBXRUVBXQUVCKUULXRUVBURDAWCUKZXQX
      JFGZUVCXPXJFBHAYLOYKWDWEYPUVLUVCURUUBXDVPUKZVBUOXCAXEXJXCUUNPZYKXEUUOPZYN
      WFVAUOWGWHYAXIYBXLMXAHKJZXFAKJZLJXAXEXRKJZLJZXIYAUVPXAUVQUVRLXAUUGUNZUVQU
      VBXEKJXRXEKJUVRXCXEAUVNUVOYKWIXRUVBXEKUVKUTXRXEUVJUVOWBWJUOXAXFHAUUGUUQOY
      KUURYOVOYSYRYQYAUVSURUUAYTEABWKWLWMUVPXFXJKJZLJXABXBIJZFGZXCKJZLJZXLYBUVP
      XAUWAUWDLUVTUWAXCUVCKJXCUWCKJUWDXCXEXJUVNUVOYNWNUVCUWCXCKUWCUVLUVCUWBXJFU
      UEUUFHUQUAUWBXJURYLYKOBAHWOWLWEUVMWPVCXCUWCUVNUWCUWBTUAZUWCUBUAXBBUCUDZUW
      FUWGUVEUVHAHBUVFWQBCVQWRWSZUUJYSUWGUWFUEUUMUUAXBBUGUHUIUWBVDUKPWBVAUOXAXF
      HXJUUGUUQOYNUURUUCVOYSUUJUWGYBUWEURUUAUUMUWHXBBWKWLWMUOUVIYRUVEYCXTURUVAY
      TUVHAXNWKWLWT $.
      $( [23-Jun-2005] $) $( [19-Jun-2005] $)
  $}

  $( Pascal's rule for the binomial coefficient.  Equation 2 of [Gleason]
     p. 295. $)
  bcpasc2t $p |- ( ( N e. NN /\ K e. NN /\ K <_ N ) ->
                ( ( N C. K ) + ( N C. ( K - 1 ) ) ) = ( ( N + 1 ) C. K ) ) $=
    ( cn wcel cle wbr w3a cbc co c1 cmin caddc wceq cif opreq1 opreq12d
    opreq1d eqeq12d opreq2 opreq2d eleq1 breq2 3anbi13d breq1 3anbi23d 1nn 1re
    leid 3pm3.2i elimhyp2v 3simp1i 3simp2i 3simp3i bcpasc2 dedth2v ) BCDZACDZAB
    EFZGZBAHIZBAJKIZHIZLIZBJLIZAHIZMUSBJNZAHIZVFVAHIZLIZVFJLIZAHIZMVFUSAJNZHIZV
    FVLJKIZHIZLIZVJVLHIZMBAJJBVFMZVCVIVEVKVRUTVGVBVHLBVFAHOBVFVAHOPVRVDVJAHBVFJ
    LOQRAVLMZVIVPVKVQVSVGVMVHVOLAVLVFHSVSVAVNVFHAVLJKOTPAVLVJHSRVLVFVFCDZVLCDZV
    LVFEFZUSVTUQAVFEFZGVTWAWBGJCDZWDJJEFZGBAJJVTWDJVFEFZGVRUPVTURWCUQBVFCUABVFA
    EUBUCVSUQWAWCWBVTAVLCUAAVLVFEUDUEJVFMWDVTWEWFWDJVFCUAJVFJEUBUCJVLMWDWAWFWBV
    TJVLCUAJVLVFEUDUEWDWDWEUFUFJUGUHUIUJZUKVTWAWBWGULVTWAWBWGUMUNUO $.
    $( [9-Sep-2005] $) $( [20-Jun-2005] $)

  ${
    bcpasc.1 $e |- N e. NN0 $.
    bcpasc.2 $e |- K e. ZZ $.
    $( Pascal's rule for the binomial coefficient, generalized to all integers
       ` K ` .  Equation 2 of [Gleason] p. 295. $)
    bcpasc $p |- ( ( N C. K ) + ( N C. ( K - 1 ) ) ) = ( ( N + 1 ) C. K ) $=
      ( cn wcel cle wbr cbc co c1 cmin caddc wceq wn cc0 cn0 wo elnn0 mpbi ori
      ax1cn addid1 opreq2 0nn0 bcn0t ax-mp syl6eq cneg opreq1 df-neg syl6eqr
      opreq2d cz clt 1z znegclt lt01 cr wb 1re lt0neg2t orci bcval4t mp3an
      opreq12d 1nn0 3eqtr4a wne zre 0re lttri2 0cn mp3an12 orcs leid zlem1ltt
      mp2an resubcl lttr mpan orc zsubclt 3syl olcs opreq1d 0z zltp1let addid2
      breq1i leloe 3bitr posdif olc sylbi syl eqcomd syl5eqr eqtr2d subid
      bcnnt eqtr3d jaoi eqtrd pm2.61ine znnnlt1t zleltp1t breq2i 3bitr3r bitr
      nn0addcl eqbrtrr syl6eqbr syl6req nn0re ltnle nn0zt readdcl ltaddsub cc
      nn0cn pncant sylbir bcpasc2t 3ecase ) BEFZAEFZABGHZBAIJZBAKLJZIJZMJZBKMJZ
      AIJZNZYFOBPNZYOYFYPBQFZYFYPRCBSTUAYPPAIJZPYJIJZMJZKAIJZYLYNYTUUANZAPAPNZK
      PMJZKYTUUAKUBUCZUUCYRKYSPMUUCYRPPIJZKAPPIUDPQFZUUFKNUEPUFUGZUHUUCYSPKUIZI
      JZPUUCYJUUIPIUUCYJPKLJZUUIAPKLUJZKUKZULUMUUGUUIUNFZUUIPUOHZPUUIUOHZRUUJPN
      UEKUNFZUUNUPKUQUGUUOUUPPKUOHZUUOURKUSFUURUUOUTVAKVBUGTZVCUUIPVDVEUHVFUUCU
      UAKPIJZKAPKIUDKQFZUUTKNVGKUFUGUHVHAPVIAPUOHZPAUOHZRZUUBAPADVJZVKVLUVBUUBU
      VCUVBPPMJZPYTUUAPVMUCZUVBYRPYSPMUVBUVCYRPNZUUGAUNFZUVDUVHUEDAPVDVNZVOUVBY
      JPUOHZUVKPYJUOHZRZYSPNZYJAUOHZUVBUVKAAGHZUVOAUVEVPUVIUVIUVPUVOUTDDAAVQVRT
      YJAPAKUVEVAVSUVEVKVTWAZUVKUVLWBUUGYJUNFZUVMUVNUEUVIUUQUVRDUPAKWCVRZYJPVDV
      NZWDVFUVBKAUOHZUUAPNZUVAUVIUVBUWARUWBVGDAKVDVNZVOVHUVCYTPYSMJZUUAUVCYRPYS
      MUVBUVCUVHUVJWEWFUVCUWAKANZRZUWDUUANZUVCPKMJZAGHZKAGHUWFPUNFZUVIUVCUWIUTW
      GDPAWHVRUWHKAGKUBWIZWJKAVAUVEWKWLUWAUWGUWEUWAUUAPUWDUVBUWAUWBUWCWEUWAUVFU
      WDPUWAPYSPMUWAYSPUWAUVMUVNUWAUVLUVMKAVAUVEWMUVLUVKWNWOUVTWPWQUMUVGWRWSUWE
      KUWDUUAUWEUWHUWDKUWEKYSPMUWEUUFYSKUWEPYJPIUWEKKLJYJPKAKLUJKUBWTWRUMUUHWRU
      MUWKWRUWEKKIJZUUAKKAKIUDUVAUWLKNVGKXAUGWRXBXCWOXDXCWOXEYPYIYRYKYSMBPAIUJB
      PYJIUJVFYPYMKAIYPYMUWHKBPKMUJUWKUHWFVHWPYGOZUVBUUCRZYOUWMAKUOHZUWNUVIUWMU
      WOUTDAXFUGAPGHZAUWHUOHZUWNUWOUVIUWJUWPUWQUTDWGAPXGVRAPUVEVKWKUWHKAUOUWKXH
      XIXJUVBYOUUCUVBUVFPYLYNUVGUVBYIPYKPMUVBBAUOHZYIPNZYQUVIUVBUWRRUWSCDABVDVN
      ZVOUVBUVKUVKBYJUOHZRZYKPNZUVQUVKUXAWBZYQUVRUXBUXCCUVSYJBVDVNZWDVFUVBYMAUO
      HZYNPNZYMQFZUVIUVBUXFRUXGBKCVGXKZDAYMVDVNZVOVHUUCYLKYNUUCYLUUDKUUCYIKYKPM
      UUCYIBPIJZKAPBIUDYQUXKKNCBUFUGUHUUCUVKUXBUXCUUCYJUUKPUOUULUUIUUKPUOUUMUUS
      XLXMUXDUXEWDVFUUEUHUUCYNYMPIJZKAPYMIUDUXHUXLKNUXIYMUFUGXNXDXCWOYHOUWRYOBA
      BCXOZUVEXPUWRYLPYKMJZYNUWRYIPYKMUVBUWRUWSUWTWEWFUWRUXFYMANZRZUXNYNNZUWRYM
      AGHZUXPBUNFZUVIUWRUXRUTYQUXSCBXQUGDBAWHVRYMABKUXMVAXRUVEWKXJUXFUXQUXOUXFU
      VFPUXNYNUVGUXFYKPPMUXFUXBUXCUXFUXAUXBBKAUXMVAUVEXSUXAUVKWNWOUXEWPUMUVBUXF
      UXGUXJWEVHUXOKUXNYNUXOUWHUXNKUXOKYKPMUXOBBIJZYKKUXOBYJBIUXOYMKLJZYJBYMAKL
      UJBXTFKXTFUYABNBCYAUBBKYBVRWRUMYQUXTKNCBXAUGWRUMUWKWRUXOYMYMIJZYNKYMAYMIU
      DUXHUYBKNUXIYMXAUGWRXBXCWOXDYCABYDYE $.
      $( [21-Sep-2005] $) $( [13-Jul-2005] $)
  $}

  $( Pascal's rule for the binomial coefficient, generalized to all integers
     ` K ` .  Equation 2 of [Gleason] p. 295. $)
  bcpasct $p |- ( ( N e. NN0 /\ K e. ZZ ) ->
                ( ( N C. K ) + ( N C. ( K - 1 ) ) ) = ( ( N + 1 ) C. K ) ) $=
    ( cn0 wcel cz cbc co c1 cmin caddc wceq cif opreq1 opreq12d opreq1d
    eqeq12d opreq2 opreq2d 1nn0 elimel 1z bcpasc dedth2h ) BCDZAEDZBAFGZBAHIGZF
    GZJGZBHJGZAFGZKUDBHLZAFGZULUGFGZJGZULHJGZAFGZKULUEAHLZFGZULURHIGZFGZJGZUPUR
    FGZKBAHHBULKZUIUOUKUQVDUFUMUHUNJBULAFMBULUGFMNVDUJUPAFBULHJMOPAURKZUOVBUQVC
    VEUMUSUNVAJAURULFQVEUGUTULFAURHIMRNAURUPFQPURULBHCSTAHEUATUBUC $.
    $( [31-Jan-2006] $) $( [13-Jul-2005] $)

  ${
    $d k n N $.  $d n j k $.  $d k K $.
    $( A binomial coefficient, in its standard domain, is a natural number. $)
    bccl2t $p |- ( ( N e. NN0 /\ K e. ( 0 ... N ) ) -> ( N C. K ) e. NN ) $=
      ( vk vn vj cn0 wcel cle wbr cbc co cn cc0 cfz wa wceq wo wi cv wral
      breq1 opreq2 eleq1d imbi12d rcla4v c1 caddc breq2 opreq1 ralbidv
      nnle1eq1t 1nn0 bcnnt ax-mp 1nn eqeltr syl6eqel syl6bi rgen ax-17 hbra1
      clt cr wb leloet nnret peano2nn syl syl2an nnleltp1t orbi1d bitr4d
      nnge1t 1re mpan mpbid adantr cmin nnaddclt ra4 imp32 ancoms adantllr
      adantlrl cz nnzt peano2zm nnltlem1t biimpd anim2d elnnz1 syl6ibr mpand
      cbvralv syl5ib com23 syl6 lep1t lesubaddt mp3an2 anidms mpbird letrt
      3expa peano2rem ancri sylan syl5d imp42 sylanc bcpasc2t 3com12 adantrl
      exp31 com12 nnnn0t bcnp11t eqeltrd syl5bi adantld a1dd adantrd ccase2
      sylbid ex com4t r19.21ad nnind syl5com imp wn negbid nngt0t 0re ltnlet
      syl5bir pm2.21d bcn0t adantl a1d opreq12 0nn0 ccase elnn0 syl2anb 3impia
      elfz3nn0t elfznn0t elfzle2 syl3anc ) BFGZAFGZABHIZBAJKZLGZUUKAMBNKGZOUUKU
      ULUUMUUOBLGZBMPZQALGZAMPZQUUMUUORZUUKUULUUQUUSUURUUTUVAUUQUUSUVAUUSCSZBHI
      ZBUVBJKZLGZRZCLTZUVAUUQUVFUVACALUVBAPZUVCUUMUVEUUOUVBABHUAUVHUVDUUNLUVBAB
      JUBUCUDUEUVBDSZHIZUVIUVBJKZLGZRZCLTUVBUFHIZUFUVBJKZLGZRZCLTUVBESZHIZUVRUV
      BJKZLGZRZCLTZUVBUVRUFUGKZHIZUWDUVBJKZLGZRZCLTUVGDEBUVIUFPZUVMUVQCLUWIUVJU
      VNUVLUVPUVIUFUVBHUHUWIUVKUVOLUVIUFUVBJUIUCUDUJUVIUVRPZUVMUWBCLUWJUVJUVSUV
      LUWAUVIUVRUVBHUHUWJUVKUVTLUVIUVRUVBJUIUCUDUJUVIUWDPZUVMUWHCLUWKUVJUWEUVLU
      WGUVIUWDUVBHUHUWKUVKUWFLUVIUWDUVBJUIUCUDUJUVIBPZUVMUVFCLUWLUVJUVCUVLUVEUV
      IBUVBHUHUWLUVKUVDLUVIBUVBJUIUCUDUJUVQCLUVBLGZUVNUVBUFPZUVPUVBUKUWNUVOUFUF
      JKZLUVBUFUFJUBUWOUFLUFFGUWOUFPULUFUMUNUOUPUQURUSUVRLGZUWCUWHCLUWPCUTUWBCL
      VAUWMUWEUWPUWCUWGUWMUWPUWEUWCUWGRZUWMUWPUWEUWQRUWMUWPOZUWEUVSUVBUWDPZQZUW
      QUWRUWEUVBUWDVBIZUWSQZUWTUVBVCGZUWDVCGZUWEUXBVDUWMUWPUVBUWDVEUVBVFZUWPUWD
      LGUXDUVRVGZUWDVFVHVIUWRUVSUXAUWSUVBUVRVJVKVLUWRUFUVBVBIZUFUVBPZQZUWTUWQUW
      MUXIUWPUWMUFUVBHIZUXIUVBVMUWMUXCUXJUXIVDZUXEUFVCGZUXCUXKVNUFUVBVEVOVHVPVQ
      UXIUWTOUWRUWQUXGUVSUXHUWSUWRUWQRUWRUXGUVSOZUWQUWRUXMUWCUWGUWRUXMOZUWCOZUV
      TUVRUVBUFVRKZJKZUGKZLGZUWGUWAUXQLGZUXSUXOUVTUXQVSUWRUVSUWCUWAUXGUWMUVSUWC
      UWAUWPUWCUWMUVSOUWAUWCUWMUVSUWAUWBCLVTWAWBWCWDUWRUXGUVSUWCUXTUWRUXGUXPUVR
      HIZUWCUXTRZUVSUWMUXGUYAUYBRZRUWPUWMUXGUXPLGZUYCUWMUXPWEGZUXGUYDUWMUVBWEGU
      YEUVBWFUVBWGVHUWMUYEUXGOUYEUFUXPHIZOUYDUWMUXGUYFUYEUWMUXGUYFUFLGUWMUXGUYF
      VDUOUFUVBWHVOWIWJUXPWKWLWMUYDUWCUYAUXTUYDUVIUVRHIZUVRUVIJKZLGZRZDLTUYAUXT
      RZUWCUYJUYKDUXPLUVIUXPPZUYGUYAUYIUXTUVIUXPUVRHUAUYLUYHUXQLUVIUXPUVRJUBUCU
      DUEUWBUYJCDLUVBUVIPZUVSUYGUWAUYIUVBUVIUVRHUAUYMUVTUYHLUVBUVIUVRJUBUCUDWNW
      OWPWQVQUXCUVRVCGZUVSUYARUWMUWPUXCUYNOUXPUVBHIZUVSUYAUXCUYOUYNUXCUYOUVBUVB
      UFUGKHIZUVBWRUXCUYOUYPVDZUXCUXLUXCUYQVNUVBUFUVBWSWTXAXBVQUXPVCGZUXCOUYNUY
      OUVSOUYARZUXCUYRUXCUYNUYSUXPUVBUVRXCXDUXCUYRUVBXEXFXGWMUXEUVRVFVIXHXIXJUX
      NUXSUWGVDZUWCUWRUVSUYTUXGUWRUVSOUXRUWFLUWMUWPUVSUXRUWFPZUWPUWMUVSVUAUVBUV
      RXKXLXDUCXMVQVPXNXOUXHUWRUWGUWCUXHUWPUWGUWMUXHUWDUFJKZLGUWGUWPUXHVUBUWFLU
      FUVBUWDJUBUCUWPVUBUWDLUWPUVRFGVUBUWDPUVRXPUVRXQVHUXFXRXSXTYAUWSUWRUWGUWCU
      WSUWMUWGUWPUWSUVBUVBJKZLGUWGUWMUWSVUCUWFLUVBUWDUVBJUIUCUWMVUCUFLUWMUVBFGV
      UCUFPUVBXPUVBUMVHUOUQXSYBYAYCXOWMYDYEWPYFYGYHYIYJUURUUSOUUMUUOUURUUSUUMYK
      ZUURVUDAMHIZYKZUUSUURUUMVUEBMAHUHYLUUSMAVBIZVUFAYMUUSAVCGZVUGVUFVDZAVFMVC
      GVUHVUIYNMAYOVOVHVPYPYJYQUUQUUTOZUUOUUMVUJUUOBMJKZLGZUUQVULUUTUUQVUKUFLUU
      QUUKVUKUFPBXPBYRVHUOUQVQUUTUUOVULVDUUQUUTUUNVUKLAMBJUBUCYSXBYTUURUUTOZUUO
      UUMVUMUUNMMJKZLBMAMJUUAVUNUFLMFGVUNUFPUUBMYRUNUOUPUQYTUUCBUUDAUUDUUEUUFFA
      BUUGUUPUULUUKABUUHYSUUPUUMUUKAMBUUIYSUUJ $.
      $( [11-Apr-2006] $) $( [3-Jan-2006] $)
  $}

  $( A binomial coefficient, in its extended domain, is a nonnegative
     integer. $)
  bcclt $p |- ( ( N e. NN0 /\ K e. ZZ ) -> ( N C. K ) e. NN0 ) $=
    ( cn0 wcel cz wa cc0 cle wbr cbc co cn cfz bccl2t simpll wi fznn0t biimprd
    exp3a elnn0z syl5ibr imp43 sylanc nnnn0t syl wn cfa cfv cmin cmul cdiv cif
    bcvalt iffalse sylan9eq 0nn0 syl6eqel pm2.61dan ) BCDZAEDZFZGAHIZABHIZFZBAJ
    KZCDZVAVDFZVELDZVFUSAGBMKDZVHVGABNUSUTVDOUSUTVBVCVIUSUTVBVCVIPZUSACDZVJUTVB
    FUSVKVCVIUSVIVKVCFABQRSATUASUBUCVEUDUEVAVDUFZFVEGCVAVLVEVDBUGUHBAUIKUGUHAUG
    UHUJKUKKZGULGABUMVDVMGUNUOUPUQUR $.
    $( [22-Sep-2005] $) $( [10-Jul-2005] $)

  $( The number of permutations of ` N - R ` objects from a collection of ` N `
     objects is a natural number.  (Contributed by Jason Orendorff,
     24-Jan-2007.) $)
  permnnt $p |- ( ( N e. NN0 /\ R e. ( 0 ... N ) ) ->
               ( ( ! ` N ) / ( ! ` R ) ) e. NN ) $=
    ( cfa cfv cn wcel cmin co cmul cc w3a cdiv wa cn0 cc0 cfz nndivtrt
    elfznn0t facclt syl adantl nnmulclt fznn0subt sylanc nncnt adantr 3jca wne
    wceq divcan4t facne0t syl3anc eqeltrd cbc bcval3t bccl2t eqeltrrd jca ) ACD
    ZEFZBAGHZCDZUSIHZEFZBCDZJFZKVCUSLHZEFZVEVCLHZEFZMVEUSLHEFBNFZAOBPHFZMZUSVCV
    EQVMUTVDVFVLUTVKVLANFZUTABRZASTZUAZVBEFZUTVDVMVBUSUBVMVANFVRNAOBUCVASTZVQUD
    VKVFVLVKVEEFVFBSVEUETUFUGVMVHVJVMVGVBEUSJFZVBJFZUSOUHZVGVBUIVMUSVBUJVLVTVKV
    LUTVTVPUSUETUAVMVRWAVSVBUETVLWBVKVLVNWBVOAUKTUAULVSUMVMBAUNHVIEABUOABUPUQUR
    UD $.
    $( [24-Jan-2007] $) $( [24-Jan-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Limits
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ~~> $.  $( Limit arrow. $)

  $( Extend class notation with convergence relation for limits. $)
  cli $a class ~~> $.

  ${
    $d j k x y f $.
    $( Define the limit relation for complex number sequences.   See ~ clim
       for its relational expression. $)
    df-clim $a |- ~~> = { <. f , y >. | ( y e. CC /\
          A. x e. RR ( 0 < x ->
             E. j e. ZZ A. k e. ZZ ( j <_ k ->
              ( ( f ` k ) e. CC /\ ( abs ` ( ( f ` k ) - y ) ) < x ) ) ) ) } $.

    $( The limit relation is a relation. $)
    climrel $p |- Rel ~~> $=
      ( vy vx vj vk vf cli wrel cv cc wcel cc0 clt wbr cle cfv cmin co cabs wa
      wi cz wral wrex cr copab relopab df-clim releqi mpbir ) FGAHZIJKBHZLMCHDH
      ZNMULEHOZIJUMUJPQROUKLMSTDUAUBCUAUCTBUDUBSZEAUEZGUNEAUFFUOBAECDUGUHUI $.
      $( [21-Sep-2005] $) $( [28-Aug-2005] $)
  $}

  ${
    $d j k x y f F $.  $d j k x y f A $.  $d j k x B $.
    $( Express the predicate: The limit of complex number sequence ` F `
       is ` A ` , or ` F ` converges to ` A ` .  This means that for any
       real ` x ` , no matter how small, there always exists an integer
       ` j ` such that the absolute difference of any later complex number
       in the sequence and the limit is less than ` x ` . $)
    clim $p |- ( ( F e. C /\ A e. D ) -> ( F ~~> A <-> ( A e. CC /\
   A. x e. RR ( 0 < x -> E. j e. ZZ A. k e. ZZ ( j <_ k ->
    ( ( F ` k ) e. CC /\ ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) ) ) ) $=
      ( vy vf cv cc wcel cc0 clt wbr cle cfv cmin co cabs wa wi cz wral wrex
      cr cli wceq fveq1 eleq1d opreq1d fveq2d breq1d anbi12d imbi2d rexralbidv
      ralbidv anbi2d eleq1 opreq2 df-clim brabg ) HJZKLZMAJZNOZEJFJZPOZVGIJZQZK
      LZVJVCRSZTQZVENOZUAZUBZFUCUDEUCUEZUBZAUFUDZUAVDVFVHVGGQZKLZVTVCRSZTQZVENO
      ZUAZUBZFUCUDEUCUEZUBZAUFUDZUABKLZVFVHWAVTBRSZTQZVENOZUAZUBZFUCUDEUCUEZUBZ
      AUFUDZUAIHGBCDUGVIGUHZVSWIVDWSVRWHAUFWSVQWGVFWSVPWFEFUCUCWSVOWEVHWSVKWAVN
      WDWSVJVTKVGVIGUIZUJWSVMWCVENWSVLWBTWSVJVTVCRWTUKULUMUNUOUPUOUQURVCBUHZVDW
      JWIWRVCBKUSXAWHWQAUFXAWGWPVFXAWFWOEFUCUCXAWEWNVHXAWDWMWAXAWCWLVENXAWBWKTV
      CBVTRUTULUMURUOUPUOUQUNAHIEFVAVB $.
      $( [18-Sep-2005] $) $( [28-Aug-2005] $)

    $( Closure of the limit of a sequence of complex numbers. $)
    climcl $p |- ( ( A e. C /\ F ~~> A ) -> A e. CC ) $=
      ( vx vj vk wcel cli wbr cc cvv wi wa cc0 cv clt cle cfv cmin co cabs cz
      wral wrex cr clim pm3.26bda ex wn climrel brrelexi con3i pm2.21d adantr
      pm2.61ian imp ) ABGZCAHIZAJGZCKGZUQURUSLZUTUQMZURUSVBURUSNDOZPIEOFOZQIVDC
      RZJGVEASTUARVCPIMLFUBUCEUBUDLDUEUCDAKBEFCUFUGUHUTUIZVAUQVFURUSURUTCAHUJUK
      ULUMUNUOUP $.
      $( [21-Sep-2005] $) $( [28-Aug-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Finite and infinite sums
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c sum_ $. $( Summation sign. $)

  $( Extend class notation to include finite summations. (An underscore was
     added the ASCII token in order to facilitate text searches, since "sum" is
     is a commonly used word in comments.) $)
  csu $a class sum_ k e. A B $.

  ${
    $d k m n x y $.  $d A m n x y $.  $d B m n x y $.  $d C m n x y $.
    $( Define the sum of a series with an index set of integers ` A ` .
       ` k ` is normally a free variable in ` B ` , i.e. ` B ` can be thought
       of as ` B ( k ) ` .  The definition is meaningful when ` A ` is a finite
       set of sequential integers (representing a finite sum over them) or a
       set of upper integers (representing an infinite sum, when the sum
       converges).  The left-hand side of the union expresses the finite sum
       case, and the right-hand side expresses the infinite sum case.  In
       either case, the other side of the union equals the empty set.
       Examples: ` sum_ k e. ( 2 ... 4 ) ` ` k ` means 2 + 3 + 4 = 9, and
       ` sum_ k e. NN ` ` ( 1 / ( 2 ^ k ) ) ` means 1/2 + 1/4 + 1/8 + ... = 1.
       Note:  The restrictions to ` ZZ ` force the class abstractions to be
       sets. $)
    df-sum $a |- sum_ k e. A B = (
                     { x | E. m E. n e. ( ZZ> ` m ) ( A = ( m ... n )
   /\ x e. ( ( <. m , + >. seq ( { <. k , y >. | y = B } |` ZZ ) ) ` n ) ) }
   u. U. { x | E. m e. ZZ ( A = ( ZZ> ` m ) /\
    ( <. m , + >. seq ( { <. k , y >. | y = B } |` ZZ ) ) ~~> x ) } ) $.

    $( A sum is a set. $)
    sumex $p |- sum_ k e. A B e. V $=
      ( vm vn vx vy csu cv cfz co wceq caddc cop copab cz cres cseqz cfv wcel
      wa cuz wrex wex cab cli wbr cuni cun cvv df-sum cle 2rexuz abbii zex
      fvex anass ancom bitr3 ssab2 eqsstr ssexi abrexex2 eqeltr cc abid2
      axcnex visset climcl mpan adantl ss2abi uniex unex ) ABCHADIZEIZJKLZFIZVP
      VOMNGIBLCGOPQRKZSZTZUAZEVOUBSZUCDUDZFUEZAWCLZVSVRUFUGZUAZDPUCFUEZUHZUIUJF
      GABCDEUKWEWJWEVOVPULUGZWBUAZEPUCZDPUCZFUEUJWDWNFWBDEUMUNWMDFPUOWLEFPUOWLF
      UEZVTVPVSUPWOWAWKVQUAZUAZFUEVTWLWQFWLWPWAUAWQWKVQWAUQWPWAURUSUNWPFVTUTVAV
      BVCVCVDWIWHDFPUOWHFUEVRVETZFUEZWSVEUJFVEVFVGVDWHWRFWGWRWFVRUJTWGWRFVHVRUJ
      VSVIVJVKVLVBVCVMVNVD $.
      $( [23-Dec-2005] $) $( [11-Dec-2005] $)

    $( Equality theorem for a sum. $)
    sumeq1 $p |- ( A = B -> sum_ k e. A C = sum_ k e. B C ) $=
      ( vm vn vx vy wceq cv cfz co caddc cop copab cz cres cseqz cfv wcel wa
      cuz wrex wex cab cli wbr cuni cun csu eqeq1 anbi1d rexbidv exbidv abbidv
      unieqd uneq12d df-sum 3eqtr4g ) ABIZAEJZFJZKLZIZGJZVBVAMNHJCIDHOPQRLZSTZU
      AZFVAUBSZUCZEUDZGUEZAVIIZVFVEUFUGZUAZEPUCZGUEZUHZUIBVCIZVGUAZFVIUCZEUDZGU
      EZBVIIZVNUAZEPUCZGUEZUHZUIACDUJBCDUJUTVLWCVRWHUTVKWBGUTVJWAEUTVHVTFVIUTVD
      VSVGABVCUKULUMUNUOUTVQWGUTVPWFGUTVOWEEPUTVMWDVNABVIUKULUMUOUPUQGHACDEFURG
      HBCDEFURUS $.
      $( [20-Dec-2005] $) $( [11-Dec-2005] $)
  $}

  ${
    $d m n x y z A $.  $d m n x y z B $.  $d m n x y z k $.
    hbsum1.1 $e |- ( x e. A -> A. k x e. A ) $.
    $( Bound-variable hypothesis builder for sum. $)
    hbsum1 $p |- ( x e. sum_ k e. A B -> A. k x e. sum_ k e. A B ) $=
      ( vm vn vy vz csu cv cfz co wceq caddc cop copab cz cres cseqz cfv wcel
      wa cuz wrex wex cab cli wbr cuni cun df-sum ax-17 hbeq hbopab1 hbres
      hbopr hbfv hban hbrex hbex hbab hbbr hbuni hbun hbxfr ) DABCDJBFKZGKZLMZN
      ZHKZVHVGOPZIKCNZDIQZRSZTMZUAUBZUCZGVGUDUAZUEZFUFZHUGZBVSNZVPVKUHUIZUCZFRU
      EZHUGZUJZUKHIBCDFGULDAWBWHWADHAVTDFVRDGVSVHVSUBDUMVJVQDDAABVIEAKZVIUBDUMU
      NDHVHVPDHVLVOTVKVLUBDUMVKTUBDUMDHVNRVMDIHUOVKRUBDUMUPUQVKVHUBDUMURUSUTVAV
      BDAWGWFDHAWEDFRVGRUBDUMWCWDDDAABVSEWIVSUBDUMUNDGVPVKUHDGVLVOTVHVLUBDUMVHT
      UBDUMDGVNRVMDIGUOVHRUBDUMUPUQVHUHUBDUMVHVKUBDUMVCUSUTVBVDVEVF $.
      $( [24-Dec-2005] $) $( [11-Dec-2005] $)
  $}

  ${
    $d m n w y z A $.  $d m n w y z B $.  $d k m n w x y z $.
    hbsum.1 $e |- ( y e. A -> A. x y e. A ) $.
    hbsum.2 $e |- ( y e. B -> A. x y e. B ) $.
    $( Bound-variable hypothesis builder for sum:  if ` x ` is (effectively)
       not free in ` A ` and ` B ` , it is not free in ` sum_ k e. A B ` . $)
    hbsum $p |- ( y e. sum_ k e. A B -> A. x y e. sum_ k e. A B ) $=
      ( vm vn vz vw csu cv cfz co wceq caddc cop copab cz cres cseqz cfv wcel
      wa cuz wrex wex cab cli wbr cuni cun df-sum ax-17 hbeq hbopab hbres
      hbopr hbfv hban hbrex hbex hbab hbbr hbuni hbun hbxfr ) ABCDELCHMZIMZNOZP
      ZJMZVJVIQRZKMZDPZEKSZTUAZUBOZUCUDZUEZIVIUFUCZUGZHUHZJUIZCWBPZVSVMUJUKZUEZ
      HTUGZJUIZULZUMJKCDEHIUNABWEWKWDAJBWCAHWAAIWBVJWBUDAUOVLVTAABBCVKFBMZVKUDA
      UOUPAJVJVSAJVNVRUBVMVNUDAUOVMUBUDAUOAJVQTVPEKAJABBVODWLVOUDAUOGUPZUQVMTUD
      AUOURUSVMVJUDAUOUTVAVBVCVDABWJWIAJBWHAHTVITUDAUOWFWGAABBCWBFWLWBUDAUOUPAB
      VSVMUJABVNVRUBWLVNUDAUOWLUBUDAUOABVQTVPEKABWMUQWLTUDAUOURUSWLUJUDAUOWLVMU
      DAUOVEVAVBVDVFVGVH $.
      $( [2-Feb-2006] $) $( [11-Dec-2005] $)
  $}

  ${
    $d k m n x y A $.  $d m n x y B $.  $d m n x y C $.
    $( Equality theorem for sum. $)
    sumeq2 $p |- ( A. k e. A B = C -> sum_ k e. A B = sum_ k e. A C ) $=
      ( vm vn vx vy wceq wral cv cfz co caddc cop copab cz cres cseqz cfv wcel
      wa cuz wrex wex cab cli wbr cuni cun csu hbra1 ax-17 ra4 imp eqeq2d
      pm5.32da opabbid resopab 3eqtr4g adantr reseq2 adantl 3eqtr3d opreq2d
      fveq1d adantlr elfzelz fvres syl eqtr4d rgen addex wfun cvv funopabeq
      zex resfunexg mp2an oprex seqzfveq mpan2 ad2antlr 3eqtr4d eleq2d
      rexbidva exbidv abbidv eluzelz fvex seqzeq breq1d unieqd uneq12d df-sum
      ) BCIZDAJZAEKZFKZLMZIZGKZWSWRNOZHKZBIZDHPZQRZSMZTZUAZUBZFWRUCTZUDZEUEZGUF
      ZAXLIZXHXBUGUHZUBZEQUDZGUFZUIZUJXAXBWSXCXDCIZDHPZQRZSMZTZUAZUBZFXLUDZEUEZ
      GUFZXPYEXBUGUHZUBZEQUDZGUFZUIZUJABDUKACDUKWQXOYKYAYPWQXNYJGWQXMYIEWQXKYHF
      XLWQWSXLUAZUBZXAXJYGYRXAUBZXIYFXBYSWSXCXFWTRZSMZTZWSXCYCWTRZSMZTZXIYFWQXA
      UUBUUEIYQWQXAUBZWSUUAUUDUUFYTUUCXCSUUFXFARZYCARZYTUUCWQUUGUUHIZXAWQDKAUAZ
      XEUBZDHPUUJYBUBZDHPUUGUUHWQUUKUULDHWPDAULWQHUMWQUUJXEYBWQUUJUBBCXDWQUUJWP
      WPDAUNUOUPUQURXEDHAUSYBDHAUSUTZVAXAUUGYTIWQAWTXFVBVCXAUUHUUCIWQAWTYCVBVCV
      DVEVFVGYQXIUUBIZWQXAYQXBXGTZXBYTTZIZGWTJUUNUUQGWTXBWTUAZUUOXBXFTZUUPUURXB
      QUAZUUOUUSIZXBWRWSVHZXBQXFVIZVJXBWTXFVIVKVLNGXGYTWRWSVMXFVNZQVOUAZXGVOUAD
      HBVPZVQXFQVOVRVSZUVDWTVOUAZYTVOUAUVFWRWSLVTZXFWTVOVRVSWAWBWCYQYFUUEIZWQXA
      YQXBYDTZXBUUCTZIZGWTJUVJUVMGWTUURUVKXBYCTZUVLUURUUTUVKUVNIZUVBXBQYCVIZVJX
      BWTYCVIVKVLNGYDUUCWRWSVMYCVNZUVEYDVOUADHCVPZVQYCQVOVRVSZUVQUVHUUCVOUAUVRU
      VIYCWTVOVRVSWAWBWCWDWEUQWFWGWHWQXTYOWQXSYNGWQXRYMEQWQWRQUAZUBZXPXQYLUWAXP
      UBZXHYEXBUGUWBXCXFXLRZSMZXCYCXLRZSMZXHYEWQXPUWDUWFIUVTWQXPUBZUWCUWEXCSUWG
      UUGUUHUWCUWEWQUUIXPUUMVAXPUUGUWCIWQAXLXFVBVCXPUUHUWEIWQAXLYCVBVCVDVEVGUVT
      XHUWDIZWQXPUVTUUOXBUWCTZIZGXLJUWHUWJGXLXBXLUAZUUOUUSUWIUWKUUTUVAWRXBWIZUV
      CVJXBXLXFVIVKVLNGXGUWCWRVMUVGUVDXLVOUAZUWCVOUAUVFWRUCWJZXFXLVOVRVSWKWBWCU
      VTYEUWFIZWQXPUVTUVKXBUWETZIZGXLJUWOUWQGXLUWKUVKUVNUWPUWKUUTUVOUWLUVPVJXBX
      LYCVIVKVLNGYDUWEWRVMUVSUVQUWMUWEVOUAUVRUWNYCXLVOVRVSWKWBWCWDWLUQWFWHWMWNG
      HABDEFWOGHACDEFWOUT $.
      $( [20-Dec-2005] $) $( [11-Dec-2005] $)
  $}

  ${
    $d m n x y A $.  $d m n x y B $.  $d m n x y C $.  $d j k m n x y $.
    cbvsum.1 $e |- ( x e. B -> A. k x e. B ) $.
    cbvsum.2 $e |- ( x e. C -> A. j x e. C ) $.
    cbvsum.3 $e |- ( j = k -> B = C ) $.
    $( Change bound variable in a sum. $)
    cbvsum $p |- sum_ j e. A B = sum_ k e. A C $=
      ( vm vn vy cv cfz co wceq caddc cop copab cz cres cseqz cfv wcel wa cuz
      wrex wex cab cli wbr cuni cun csu hbeleq eqeq2d cbvopab1 reseq1 ax-mp
      opreq2i fveq1i eleq2i anbi2i rexbii exbii abbii breq1i unieqi uneq12i
      df-sum 3eqtr4 ) BJMZKMZNOPZLMZVMVLQRZAMZCPZEASZTUAZUBOZUCZUDZUEZKVLUFUCZU
      GZJUHZLUIZBWEPZWAVOUJUKZUEZJTUGZLUIZULZUMVNVOVMVPVQDPZFASZTUAZUBOZUCZUDZU
      EZKWEUGZJUHZLUIZWIWRVOUJUKZUEZJTUGZLUIZULZUMBCEUNBDFUNWHXDWNXIWGXCLWFXBJW
      DXAKWEWCWTVNWBWSVOVMWAWRVTWQVPUBVSWPPVTWQPVRWOEAFFACGUOEADHUOEMFMPCDVQIUP
      UQVSWPTURUSUTZVAVBVCVDVEVFWMXHWLXGLWKXFJTWJXEWIWAWRVOUJXJVGVCVDVFVHVILABC
      EJKVJLABDFJKVJVK $.
      $( [20-Dec-2005] $) $( [11-Dec-2005] $)
  $}

  ${
    sumeq1i.1 $e |- A = B $.
    $( Equality inference for sum. $)
    sumeq1i $p |- sum_ k e. A C = sum_ k e. B C $=
      ( wceq csu sumeq1 ax-mp ) ABFACDGBCDGFEABCDHI $.
      $( [10-Jan-2006] $) $( [2-Jan-2006] $)
  $}

  ${
    $d k A $.
    sumeq2i.1 $e |- ( k e. A -> B = C ) $.
    $( Equality inference for sum. $)
    sumeq2i $p |- sum_ k e. A B = sum_ k e. A C $=
      ( wceq csu sumeq2 mprg ) BCFABDGACDGFDAABCDHEI $.
      $( [19-Dec-2005] $) $( [3-Dec-2005] $)
  $}

  ${
    $d k A $.
    sumeq12i.1 $e |- A = B $.
    sumeq12i.2 $e |- ( k e. A -> C = D ) $.
    $( Equality inference for sum.  (Contributed by FL, 10-Dec-2006.) $)
    sumeq12i $p |- sum_ k e. A C = sum_ k e. B D $=
      ( csu sumeq2i sumeq1i eqtr ) ACEHADEHBDEHACDEGIABDEFJK $.
      $( [30-Jan-2007] $) $( [9-Dec-2006] $)
  $}

  ${
    sumeq1d.1 $e |- ( ph -> A = B ) $.
    $( Equality deduction for sum. $)
    sumeq1d $p |- ( ph -> sum_ k e. A C = sum_ k e. B C ) $=
      ( wceq csu sumeq1 syl ) ABCGBDEHCDEHGFBCDEIJ $.
      $( [18-Nov-2005] $) $( [1-Nov-2005] $)
  $}

  ${
    $d k A $.
    sumeq2d.1 $e |- ( ph -> A. k e. A B = C ) $.
    $( Equality deduction for sum.  Note that unlike ~ sumeq2dv , ` k ` may
       occur in ` ph ` . $)
    sumeq2d $p |- ( ph -> sum_ k e. A B = sum_ k e. A C ) $=
      ( wceq wral csu sumeq2 syl ) ACDGEBHBCEIBDEIGFBCDEJK $.
      $( [27-Nov-2005] $) $( [1-Nov-2005] $)
  $}

  ${
    $d k A $.  $d k ph $.
    sumeq2dv.1 $e |- ( ( ph /\ k e. A ) -> B = C ) $.
    $( Equality deduction for sum. $)
    sumeq2dv $p |- ( ph -> sum_ k e. A B = sum_ k e. A C ) $=
      ( wceq wral csu r19.21aiva sumeq2 syl ) ACDGZEBHBCEIBDEIGAMEBFJBCDEKL $.
      $( [11-Jan-2006] $) $( [3-Jan-2006] $)
  $}

  ${
    $d k A $.  $d k ph $.
    sumeq2sdv.1 $e |- ( ph -> B = C ) $.
    $( Equality deduction for sum. $)
    sumeq2sdv $p |- ( ph -> sum_ k e. A B = sum_ k e. A C ) $=
      ( wceq cv wcel adantr sumeq2dv ) ABCDEACDGEHBIFJK $.
      $( [11-Jan-2006] $) $( [3-Jan-2006] $)
  $}

  ${
    $d j k A $.  $d k B $.  $d j k ph $.
    2sumeq2dv.1 $e |- ( ( ph /\ j e. A /\ k e. B ) -> C = D ) $.
    $( Equality deduction for double sum. $)
    2sumeq2dv $p |- ( ph ->
           sum_ j e. A sum_ k e. B C = sum_ j e. A sum_ k e. B D ) $=
      ( csu wceq wral cv wcel wa 3expa r19.21aiva sumeq2 r19.20si syl ) ACDGIZC
      EGIZJZFBKZBTFIBUAFIJADEJZGCKZFBKUCAUEFBAFLBMZNUDGCAUFGLCMUDHOPPUEUBFBCDEG
      QRSBTUAFQS $.
      $( [19-Apr-2006] $) $( [3-Jan-2006] $)
  $}

  ${
    $d k A $.  $d k ph $.
    sumeq12dv.1 $e |- ( ph -> A = B ) $.
    sumeq12dv.2 $e |- ( ( ph /\ k e. A ) -> C = D ) $.
    $( Equality deduction for sum. $)
    sumeq12dv $p |- ( ph -> sum_ k e. A C = sum_ k e. B D ) $=
      ( csu sumeq2dv sumeq1d eqtrd ) ABDFIBEFICEFIABDEFHJABCEFGKL $.
      $( [3-Feb-2007] $) $( [1-Dec-2005] $)
  $}

  ${
    $d k B $.  $d k ph $.
    sumeq12rdv.1 $e |- ( ph -> A = B ) $.
    sumeq12rdv.2 $e |- ( ( ph /\ k e. B ) -> C = D ) $.
    $( Equality deduction for sum. $)
    sumeq12rdv $p |- ( ph -> sum_ k e. A C = sum_ k e. B D ) $=
      ( csu sumeq1d sumeq2dv eqtrd ) ABDFICDFICEFIABCDFGJACDEFHKL $.
      $( [1-Feb-2007] $) $( [1-Dec-2005] $)
  $}

  ${
    $d y A $.  $d k y B $.  $d k C $.
    sumeqfv.1 $e |- A e. V $.
    sumeqfv.2 $e |- F = { <. k , y >. | ( k e. B /\ y = A ) } $.
    $( Convert a sum of function values to a sum of classes ` A ( k ) ` . $)
    sumeqfv $p |- ( C (_ B -> sum_ k e. C ( F ` k ) = sum_ k e. C A ) $=
      ( wss cv cfv wcel wa wceq ssel2 copab cvv fvopab2 mpan2 fveq1i syl5eq
      syl sumeq2dv ) DCIZDEJZFKZBEUDUEDLMUECLZUFBNDCUEOUGUEUGAJBNMEAPZKZBUFUGBQ
      LUIBNGEACBQRSUEFUHHTUAUBUC $.
      $( [11-May-2006] $) $( [10-May-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Finite sums (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d m n x y A $.  $d m n x y M $.  $d m n x y N $.  $d k m n x y $.
    $( Special case of series sum over a finite index set. $)
    dffsum $p |- ( N e. ( ZZ> ` M ) -> sum_ k e. ( M ... N ) A =
       ( ( <. M , + >. seq ( { <. k , y >. | y = A } |` ZZ ) ) ` N ) ) $=
      ( vm vn vx cuz cfv wcel cfz co cv wceq caddc cop copab cz cres cseqz wa
      wrex wex cab cli wbr cuni cun csu c0 cvv wb visset fzoptht mpan2 eqcom
      anbi12i syl6bb anbi1d rexbidv exbidv cle breq1 opeq1 opreq1d fveq1d
      eleq2d anbi12d breq2 fveq2 ceqsrex2v eluzel2 eluzelz sylanc eluzle
      biantrurd bitr4d 2rexuz an12 2rexbii bitr syl5bb bitrd abbi1dv wn
      fzneuzt intnanrd nrexdv nexdv abn0 necon1bbii sylib unieqd uni0 syl6eq
      uneq12d un0 df-sum syl5eq ) EDIJKZDELMZFNZGNZLMOZHNZXDXCPQZANBOCARSTZUAMZ
      JZKZUBZGXCIJZUCZFUDZHUEZXBXMOZXIXFUFUGZUBZFSUCZHUEZUHZUIZEDPQZXHUAMZJZXBB
      CUJXAYCYFUKUIYFXAXPYFYBUKXAXOHYFXAXOXCDOZXDEOZUBZXKUBZGXMUCZFUDZXFYFKZXAX
      NYKFXAXLYJGXMXAXEYIXKXAXEDXCOZEXDOZUBZYIXAXDULKXEYPUMGUNULXCXDDEUOUPYNYGY
      OYHDXCUQEXDUQURUSUTVAVBXAYIXCXDVCUGZXKUBZUBZGSUCFSUCZYMYLXAYTDEVCUGZYMUBZ
      YMDSKESKYTUUBUMXAYRDXDVCUGZXFXDYEJZKZUBUUBFGDESSYGYQUUCXKUUEXCDXDVCVDYGXJ
      UUDXFYGXDXIYEYGXGYDXHUAXCDPVEVFVGVHVIYHUUCUUAUUEYMXDEDVCVJYHUUDYFXFXDEYEV
      KVHVIVLDEVMDEVNVOXAUUAYMDEVPVQVRYLYQYJUBZGSUCFSUCYTYJFGVSUUFYSFGSSYQYIXKV
      TWAWBWCWDWEXAYBUKUHUKXAYAUKXAXTHUDZWFYAUKOXAXTHXAXSFSXAXCSKUBXQXRXCDEWGWH
      WIWJUUGYAUKXTHWKWLWMWNWOWPWQYFWRWPHAXBBCFGWSWT $.
      $( [20-Dec-2005] $) $( [11-Dec-2005] $)
  $}

  ${
    $d k y F $.  $d y M $.  $d y N $.
    fsumserz.1 $e |- F e. V $.
    $( A finite sum expressed in terms of a partial sum of an infinite
       series.  The recursive definition of follows as ~ fsum1 and ~ fsump1 ,
       which should make our notation clear and from which, along with closure
       ~ fsumclt , we will derive the basic properties of finite sums. $)
    fsumserz $p |- ( N e. ( ZZ> ` M ) -> sum_ k e. ( M ... N ) ( F ` k ) =
                    ( ( <. M , + >. seq F ) ` N ) ) $=
      ( vy cuz cfv wcel cfz co cv csu caddc cop wceq copab cz cres cseqz
      dffsum eluzel2 addex seqzres2 syl fveq1d eqtrd ) DCGHIZCDJKALBHZAMDCNOZFL
      UIPAFQRSTKZHDUJBTKZHFUIACDUAUHDUKULUHCRIUKULPCDUBFNABCUCEUDUEUFUG $.
      $( [21-Dec-2005] $) $( [11-Dec-2005] $)
  $}

  ${
    $d j x F $.  $d j x M $.  $d x N $.  $d j k x $.
    fsumserzf.1 $e |- F e. V $.
    fsumserzf.2 $e |- ( x e. F -> A. k x e. F ) $.
    $( Version of ~ fsumserz with a bound-variable hypothesis instead of a
       distinct variable condition. $)
    fsumserzf $p |- ( N e. ( ZZ> ` M ) -> sum_ k e. ( M ... N ) ( F ` k )
                   = ( ( <. M , + >. seq F ) ` N ) ) $=
      ( vj cuz cfv wcel cfz co cv csu caddc cop cseqz fsumserz ax-17 hbfv
      fveq2 cbvsum syl5eq ) EDIJKDELMZHNZCJZHOEDPQCRMJUEBNZCJZBOHCDEFSAUEUIUGBH
      ANZUIKHTBAUFCGUJUFKBTUAUHUFCUBUCUD $.
      $( [21-Nov-2005] $) $( [3-Nov-2005] $)

    $( A finite sum expressed in terms of a partial sum of an infinite
       0-based series. $)
    fsumser0f $p |- ( N e. NN0 -> sum_ k e. ( 0 ... N ) ( F ` k )
                   = ( ( + seq0 F ) ` N ) ) $=
      ( cc0 cuz cfv wcel cfz co cv csu caddc cop cseqz wceq cn0 cseq0
      fsumserzf elnn0uz addex seq0seqz fveq1i eqeq2i 3imtr4 ) DGHIJGDKLBMCIBNZD
      GOPCQLZIZRDSJUHDOCTLZIZRABCGDEFUADUBULUJUHDUKUIOCUCEUDUEUFUG $.
      $( [4-May-2006] $) $( [10-Jan-2006] $)

    $( A finite sum expressed in terms of a partial sum of an infinite
       1-based series. $)
    fsumser1f $p |- ( N e. NN -> sum_ k e. ( 1 ... N ) ( F ` k )
                   = ( ( + seq1 F ) ` N ) ) $=
      ( c1 cuz cfv wcel cfz co cv csu caddc cop cseqz wceq cn cseq1 fsumserzf
      elnnuz addex seq1seqz fveq1i eqeq2i 3imtr4 ) DGHIJGDKLBMCIBNZDGOPCQLZIZRD
      SJUHDOCTLZIZRABCGDEFUADUBULUJUHDUKUIOCUCEUDUEUFUG $.
      $( [4-May-2006] $) $( [10-Jan-2006] $)
  $}

  ${
    $d y A $.  $d x F $.  $d k x y M $.  $d k x N $.
    fsumserz2.1 $e |- A e. V $.
    fsumserz2.2 $e |- F = { <. k , y >. | ( k e. ( ZZ> ` M ) /\ y = A ) } $.
    $( A finite sum expressed in terms of a partial sum of an infinite
       series. $)
    fsumserz2 $p |- ( N e. ( ZZ> ` M ) -> sum_ k e. ( M ... N ) A =
                    ( ( <. M , + >. seq F ) ` N ) ) $=
      ( vx cuz cfv wcel cfz co cv csu caddc cop cseqz fvex fopabex2 wceq wa
      copab hbopab1 hbxfr fsumserzf wss fzssuzt sumeqfv ax-mp syl5eqr ) FEJKZLE
      FMNZCOZDKCPZFEQRDSNKUNBCPZICDEFCAUMBDEJTHUACIDUOUMLAOBUBUCZCAUDHURCAIUEUF
      UGUNUMUHUPUQUBEFUIABUMUNCDGHUJUKUL $.
      $( [10-May-2006] $) $( [10-May-2006] $)
  $}

  ${
    $d y A $.  $d n x z F $.  $d k n x y z M $.
    serzfsum.1 $e |- A e. V $.
    serzfsum.2 $e |- F = { <. k , y >. | ( k e. ( ZZ> ` M ) /\ y = A ) } $.
    serzfsum.3 $e |- G = { <. n , z >. | ( n e. ( ZZ> ` M ) /\ z =
                      sum_ k e. ( M ... n ) A ) } $.
    $( An infinite series in terms of finite partial sums of ` A ( k ) ` . $)
    serzfsum $p |- ( M e. ZZ -> ( <. M , + >. seq F ) = G ) $=
      ( vx cz wcel caddc cop cseqz co cv cuz cfv wceq wa copab wfn addex fvex
      fopabex2 seqzfn fnopabfv sylib cfz csu elfzuzt cvv fvopab2 mpan2 syl
      adantl fveq1i syl5eq sumeq2dv hbopab1 hbxfr fsumserzf eqtr3d eqeq2d
      pm5.32i opabbii eqtr syl6eqr ) HMNZHOPFQRZESZHTUAZNZBSZVNVMUAZUBZUCZEBUDZ
      GVLVMVOUEVMWAUBOFHUFDAVOCFHTUGJUHZUIEBVOVMUJUKGVPVQHVNULRZCDUMZUBZUCZEBUD
      WAKWFVTEBVPWEVSVPWDVRVQVPWCDSZFUAZDUMWDVRVPWCWHCDVPWGWCNZUCWGWGVONZASCUBU
      CZDAUDZUAZCWHWIWMCUBZVPWIWJWNWGHVNUNWJCUONWNIDAVOCUOUPUQURUSWGFWLJUTVAVBL
      DFHVNWBDLFWLJWKDALVCVDVEVFVGVHVIVJVK $.
      $( [13-Jan-2006] $) $( [9-Jan-2006] $)
  $}

  ${
    $d x y A $.  $d k y B $.  $d k x y M $.
    fsum1.1 $e |- ( k = M -> A = B ) $.
    $( The finite sum of ` A ( k ) ` from ` k = M ` to ` M ` (i.e. a sum with
       only one term) is ` B ` i.e. ` A ( M ) ` . $)
    fsum1 $p |- ( ( B e. C /\ M e. ZZ ) ->
                   sum_ k e. ( M ... M ) A = B ) $=
      ( vy vx wcel cz wa cfz co csu caddc cop cv wceq copab cseqz cfv cvv wral
      elisset eleq1d biimprcd elfz1eqt syl5 r19.21aiv wi elfzelz fvopab2 ex
      syl r19.20i sumeq2d 3syl cuz uzidt zex opabex2 hbopab1 fsumserzf
      sylan9req addex seqz1 adantl eqid fvopab4g ancoms 3eqtrd ) BCIZEJIZKEELMZ
      ADNZEEOPDQZJIZGQARKZDGSZTMUAZEVSUAZBVLVMVOVNVPVSUAZDNZVTVLBUBIZAUBIZDVNUC
      ZWCVORBCUDWDWEDVNWDVPERZWEVPVNIZWGWEWDWGABUBFUEUFVPEUGUHUIWFVNWBADWEWBARZ
      DVNWHVQWEWIUJVPEEUKVQWEWIDGJAUBULUMUNUOUPUQVMEEURUAIWCVTREUSHDVSEEDGJAUTV
      AZVRDGHVBVCUNVDVMVTWARVLOVSEVEWJVFVGVMVLWABRDGEABJCVSFVSVHVIVJVK $.
      $( [9-Dec-2005] $) $( [8-Nov-2005] $)
  $}

  ${
    $d x y A $.  $d k y B $.  $d k x M $.  $d k x y N $.
    fsump1.1 $e |- A e. V $.
    fsump1.2 $e |- B e. V $.
    fsump1.3 $e |- ( k = ( N + 1 ) -> A = B ) $.
    $( The addition of the next term in a finite sum of ` A ( k ) ` is the
       current term plus ` B ` i.e. ` A ( N + 1 ) ` . $)
    fsump1 $p |- ( N e. ( ZZ> ` M ) -> sum_ k e. ( M ... ( N + 1 ) ) A =
                ( sum_ k e. ( M ... N ) A + B ) ) $=
      ( vy vx cuz cfv wcel c1 caddc co cfz csu cop cv cz wceq wa copab cseqz
      peano2uz zex opabex2 hbopab1 fsumserzf syl sumeq2 elfzelz cvv fvopab2
      mpan2 mprg syl5eqr addex seqzp1 syl5reqr eluzelz peano2z eqid fvopab4
      3syl opreq12d 3eqtrd ) EDKLZMZDENOPZQPZACRZVKDOSCTZUAMZITAUBUCZCIUDZUEPZL
      ZEVRLZVKVQLZOPDEQPZACRZBOPVJVLVNVQLZCRZVSVMVJVKVIMWEVSUBDEUFJCVQDVKCIUAAU
      GUHZVPCIJUIZUJUKWDAUBZWEVMUBCVLVLWDACULVNVLMVOWHVNDVKUMVOAUNMWHFCIUAAUNUO
      UPZUKUQUROVQDEUSWFUTVJVTWCWABOVJWBWDCRZVTWCJCVQDEWFWGUJWHWJWCUBCWBWBWDACU
      LVNWBMVOWHVNDEUMWIUKUQVAVJEUAMVKUAMWABUBDEVBEVCCIVKABUAVQHVQVDGVEVFVGVH
      $.
      $( [9-Dec-2005] $) $( [4-Nov-2005] $)
  $}

  ${
    $d j y z A $.  $d j x B $.  $d j k z M $.  $d k x y $.
    fxm1f.3 $e |- ( x e. B -> A. k x e. B ) $.
    fxm1f.4 $e |- ( k = M -> A = B ) $.
    $( The finite sum of a term ` A ( k ) ` from ` M ` to ` M ` (i.e. a sum
       with only one term) is ` A ( M ) = B ` , where ` k ` is effectively
       not free in ` B ` . $)
    fsum1f $p |- ( ( B e. C /\ M e. ZZ ) -> sum_ k e. ( M ... M ) A = B ) $=
      ( vy vj vz wcel cz wa cfz co cv wsbc cab csu wceq wex visset eqvinc
      hbsbc1v hbab hbeq sbab sylan9req 19.23ai sylbi fsum1 ax-17 cbvsum syl5eq
      ) CDLFMLNFFOPZIQBLZEJQZRZISZJTCUPBETUTCDJFURFUAEQZURUAZVAFUAZNZEUBUTCUAZE
      URFJUCZUDVDVEEEKAUTCUSEIKUQEURVFUEUFZGUGVBVCUTBCEJIBUHZHUIUJUKULKUPBUTEJK
      QBLJUMVGVHUNUO $.
      $( [12-Dec-2005] $) $( [8-Nov-2005] $)
  $}

  ${
    $d x y A $.  $d x M $.  $d k x y $.
    fsum1slem.1 $e |- A e. V $.
    $( Lemma for ~ fsum1s . $)
    fsum1slem $p |- ( M e. ZZ ->
                    sum_ k e. ( M ... M ) A = [_ M / k ]_ A ) $=
      ( vx vy cv cfz co csu csb wceq cz opreq12 anidms sumeq1d csbeq1 eqeq12d
      cvv wcel visset csbex ax-17 hbcsb1 csbeq1a fsum1f mpan vtoclga ) EGZUIHIZ
      ABJZBUIAKZLZCCHIZABJZBCAKZLECMUICLZUKUOULUPUQUJUNABUQUJUNLUICUICHNOPBUICA
      QRULSTUIMTUMBUIAEUAZDUBFAULSBUIBFUIAURFGUITBUCUDBUIAUEUFUGUH $.
      $( [13-Dec-2005] $) $( [5-Nov-2005] $)
  $}

  ${
    $d k x M $.  $d x A $.  $d x B $.
    $( The finite sum of a sequence ` A ( k ) ` from ` M ` to ` M ` (i.e. a sum
       with only one term) is ` A ( M ) ` . $)
    fsum1s $p |- ( ( M e. ZZ /\ A. k e. ( M ... M ) A e. B ) ->
                    sum_ k e. ( M ... M ) A = [_ M / k ]_ A ) $=
      ( vx cz wcel cvv cfz co wral csu csb wceq wa crab class2set fsum1slem
      adantr class2seteq r19.20si sumeq2d adantl wsbc fz1sbct cv wi equid a1i
      sbc19.20dv mpan sylbid sbceqdig sylibd imp 3eqtr3d elisset sylan2 ) DFGZA
      HGZCDDIJZKZVAACLZCDAMZNABGZCVAKUSVBOVAUTEAPZCLZCDVFMZVCVDUSVGVHNVBVFCDEAQ
      RSVBVGVCNUSVBVAVFACUTVFANZCVAEAHTZUAUBUCUSVBVHVDNZUSVBVICDUDZVKUSVBUTCDUD
      ZVLUTCDUEEUFZVNNZUSVMVLUGEUHVOUTVICDFUTVIUGVOVJUIUJUKULCDVFAFUMUNUOUPVEUT
      CVAABUQUAUR $.
      $( [14-Dec-2005] $) $( [13-Dec-2005] $)

    $( The finite sum of a sequence ` A ( k ) ` from ` M ` to ` M ` (i.e. a sum
       with only one term) is ` A ( M ) ` . $)
    fsum1s2 $p |- ( ( M e. ZZ /\ [_ M / k ]_ A e. B ) ->
                    sum_ k e. ( M ... M ) A = [_ M / k ]_ A ) $=
      ( cz wcel csb cvv cfz co wral csu wceq wsbc fz1sbct sbcel1g bitrd
      elisset syl5bir imp fsum1s syldan ) DEFZCDAGZBFZAHFZCDDIJZKZUGACLUDMUCUEU
      HUCUHUDHFZUEUCUHUFCDNUIUFCDOCDAHEPQUDBRSTAHCDUAUB $.
      $( [14-Dec-2005] $) $( [29-Nov-2005] $)
  $}

  ${
    $d j y z A $.  $d j x B $.  $d j z M $.  $d j k z N $.  $d k x y $.
    fsump1f.1 $e |- A e. V $.
    fsump1f.2 $e |- B e. V $.
    fsump1f.3 $e |- ( x e. B -> A. k x e. B ) $.
    fsump1f.4 $e |- ( k = ( N + 1 ) -> A = B ) $.
    $( The addition of the next term in a finite sum of ` A ( k ) ` is the
       previous term plus ` A ( N + 1 ) = B ` . $)
    fsump1f $p |- ( N e. ( ZZ> ` M ) -> sum_ k e. ( M ... ( N + 1 ) ) A =
                ( sum_ k e. ( M ... N ) A + B ) ) $=
      ( vy vj vz cuz cfv wcel c1 caddc co cfz cv wsbc cab csu csb cvv df-csb
      visset csbex eqeltrr wceq wa wex eqvinc hbsbc1v hbab hbeq sbab sylan9req
      19.23ai sylbi fsump1 ax-17 cbvsum opreq1i 3eqtr4g ) FENOPEFQRSZTSZKUABPZD
      LUAZUBZKUCZLUDEFTSZVLLUDZCRSVHBDUDVMBDUDZCRSVLCLEFDVJBUEVLUFDKVJBUGDVJBLU
      HZGUIUJHVJVGUKDUAZVJUKZVQVGUKZULZDUMVLCUKZDVJVGVPUNVTWADDMAVLCVKDKMVIDVJV
      PUOUPZIUQVRVSVLBCDLKBURZJUSUTVAVBMVHBVLDLMUABPLVCZWBWCVDVOVNCRMVMBVLDLWDW
      BWCVDVEVF $.
      $( [15-Dec-2005] $) $( [4-Nov-2005] $)
  $}

  ${
    $d j x A $.  $d j M $.  $d j N $.  $d j k x $.
    fsump1slem.1 $e |- A e. V $.
    $( Lemma for ~ fsump1s . $)
    fsump1slem $p |- ( N e. ( ZZ> ` M ) -> sum_ k e. ( M ... ( N + 1 ) ) A
           = ( sum_ k e. ( M ... N ) A + [_ ( N + 1 ) / k ]_ A ) ) $=
      ( vj vx cv c1 caddc co cfz csu csb wceq cuz cfv opreq1 opreq2d sumeq1d
      opreq2 csbeq1d opreq12d eqeq12d oprex csbex wcel ax-17 hbcsb1 csbeq1a
      fsump1f vtoclga ) CFHZIJKZLKZABMZCUMLKZABMZBUNANZJKZOCDIJKZLKZABMZCDLKZAB
      MZBVAANZJKZOFDCPQUMDOZUPVCUTVGVHUOVBABVHUNVACLUMDIJRZSTVHURVEUSVFJVHUQVDA
      BUMDCLUATVHBUNVAAVIUBUCUDGAUSBCUMEBUNAUMIJUEZEUFBGUNAVJGHUNUGBUHUIBUNAUJU
      KUL $.
      $( [15-Dec-2005] $) $( [12-Nov-2005] $)
  $}

  ${
    $d k x M $.  $d k x N $.  $d x A $.  $d x B $.
    $( The addition of the next term in a finite sum of ` A ( k ) ` is the
       previous term plus ` A ( N + 1 ) ` . $)
    fsump1s $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... ( N + 1 ) ) A e. B )
            -> sum_ k e. ( M ... ( N + 1 ) ) A =
                ( sum_ k e. ( M ... N ) A + [_ ( N + 1 ) / k ]_ A ) ) $=
      ( vx cuz cfv wcel cvv c1 caddc co cfz wral csu csb wceq wa crab
      class2set fsump1slem adantr class2seteq r19.20si sumeq2d adantl cv cz
      wss fzssp1t eluzel2 eluzelz sylanc sseld wi a1i imim12d r19.20dv2 imp
      wsbc ra4sbca peano2uz eluzfz2t syl sylan equid oprex sbc19.20dv mp2an wb
      sbceqdig ax-mp sylib opreq12d 3eqtr3d elisset sylan2 ) EDGHZIZAJIZCDEKLMZ
      NMZOZWCACPZDENMZACPZCWBAQZLMZRABIZCWCOVTWDSZWCWAFATZCPZWFWLCPZCWBWLQZLMZW
      EWIVTWMWPRWDWLCDEFAUAUBUCWDWMWERVTWDWCWLACWAWLARZCWCFAJUDZUEUFUGWKWNWGWOW
      HLWKWFWLACVTWDWQCWFOVTWAWQCWCWFVTCUHZWFIWSWCIWAWQVTWFWCWSDUIIEUIIWFWCUJVT
      DEUKDEULDEUMUNUOWAWQUPZVTWRUQURUSUTUFWKWQCWBVAZWOWHRZWKWACWBVAZXAWBWCIZWD
      XCVTWACWBWCVBVTWBVSIXDDEVCDWBVDVEVFFUHZXERZWBJIZXCXAUPFVGEKLVHZXFWAWQCWBJ
      WTXFWRUQVIVJVEXGXAXBVKXHCWBWLAJVLVMVNVOVPWJWACWCABVQUEVR $.
      $( [15-Dec-2005] $) $( [13-Dec-2005] $)
  $}

  ${
    $d j m x y A $.  $d j k m x y C $.  $d j k m x y M $.  $d j k N $.
    fsumcllem.1 $e |- ( ( x e. C /\ y e. C ) -> ( x + y ) e. C ) $.
    $( - Lemma for finite sum closures.  (The "-" before "Lemma" forces the
       math content to be displayed in the Statement List - NM 11-Feb-2008.) $)
    fsumcllem $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N )
                     A e. C ) -> sum_ k e. ( M ... N ) A e. C ) $=
      ( vj vm cuz cfv wcel cfz co wral csu cv wi c1 caddc wceq opreq2 raleq1d
      sumeq1d eleq1d imbi12d cz wa csb fsum1s ra4csbela elfz3t sylan eqeltrd
      ex fsump1s adantrl caoprcl wss fzssp1t eluzel2 eluzelz sylanc sseld
      imim1d r19.20dv2 imp32 peano2uz eluzfz2t syl exp32 uzind4 imp ) GFKLZMCDM
      ZEFGNOZPZVQCEQZDMZVPEFIRZNOZPZWBCEQZDMZSVPEFFNOZPZWFCEQZDMZSVPEFJRZNOZPZW
      KCEQZDMZSZVPEFWJTUAOZNOZPZWQCEQZDMZSVRVTSIJFGWAFUBZWCWGWEWIXAVPEWBWFWAFFN
      UCZUDXAWDWHDXAWBWFCEXBUEUFUGWAWJUBZWCWLWEWNXCVPEWBWKWAWJFNUCZUDXCWDWMDXCW
      BWKCEXDUEUFUGWAWPUBZWCWRWEWTXEVPEWBWQWAWPFNUCZUDXEWDWSDXEWBWQCEXFUEUFUGWA
      GUBZWCVRWEVTXGVPEWBVQWAGFNUCZUDXGWDVSDXGWBVQCEXHUEUFUGFUHMZWGWIXIWGUIWHEF
      CUJZDCDEFUKFWFMWGXJDMXIEFWFCDULFUMUNUOUPWJVOMZWOWRWTXKWOWRUIUIZWSWMEWPCUJ
      ZUAOZDXKWRWSXNUBWOCDEFWJUQURWNXMDMZXNDMXLABWMXMDUAHUSXKWOWRWNXKWRWLWNXKVP
      VPEWQWKXKERZWKMXPWQMVPXKWKWQXPXIWJUHMWKWQUTXKFWJVAFWJVBFWJVCVDVEVFVGVFVHX
      KWRXOWOWPWQMZWRXOXKEWPWQCDULXKWPVOMXQFWJVIFWPVJVKUNURVDUOVLVMVN $.
      $( [11-Feb-2008] $) $( [9-Nov-2005] $)
  $}

  ${
    $d x y A $.  $d x y k M $.  $d k N $.
    $( Closure of a finite sum of complex numbers ` A ( k ) ` . $)
    fsumclt $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N )
                     A e. CC ) -> sum_ k e. ( M ... N ) A e. CC ) $=
      ( vx vy cc cv axaddcl fsumcllem ) EFAGBCDEHFHIJ $.
      $( [21-Dec-2005] $) $( [9-Nov-2005] $)

    $( Closure of a finite sum of complex numbers ` A ( k ) ` , starting at
       index zero. $)
    fsum0clt $p |- ( ( N e. NN0 /\ A. k e. ( 0 ... N )
                     A e. CC ) -> sum_ k e. ( 0 ... N ) A e. CC ) $=
      ( cc0 cuz cfv wcel cc cfz co wral csu cn0 fsumclt elnn0uz sylanb ) CDEFGA
      HGBDCIJZKQABLHGCMGABDCNCOP $.
      $( [13-Jan-2006] $) $( [10-Jan-2006] $)
  $}

  ${
    $d x y A $.  $d x y k M $.  $d k N $.
    $( Closure of a finite sum of reals. $)
    fsumreclt $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N )
                     A e. RR ) -> sum_ k e. ( M ... N ) A e. RR ) $=
      ( vx vy cr cv axaddrcl fsumcllem ) EFAGBCDEHFHIJ $.
      $( [22-Dec-2005] $) $( [9-Nov-2005] $)
  $}

  ${
    $d j m A $.  $d j k m M $.  $d j k N $.
    $( Separate out the first term in a finite sum. $)
    fsum1ps $p |- ( ( N e. ( ZZ> ` M ) /\ M < N /\
               A. k e. ( M ... N ) A e. CC ) -> sum_ k e. ( M ... N ) A =
                  ( [_ M / k ]_ A + sum_ k e. ( ( M + 1 ) ... N ) A ) ) $=
      ( vj vm cuz cfv wcel clt wbr cc cfz co wral csu csb c1 caddc wceq cz wa
      wi cv opreq2 raleq1d sumeq1d opreq2d eqeq12d imbi12d fsump1s uzidt sylan
      wss fzssp1t anidms sseld imim1d r19.20dv2 imp fsum1s syldan eqcomd
      peano2z fzp1sst mpdan opreq12d eqtr4d ex w3a 3adant3 pm3.35 ancoms
      opreq1d adantll cle cr ltlet zret syl2an eluzt sylibrd 3impia adantlr
      sylan2 zltp1let wb bitr4d biimp3a axaddass ra4csbela peano2uz syl
      eluzfz1t sstrd fsumclt eluzfz2b sylib syl3anc 3eqtr4d exp31 syld uzind2
      3expa eluzel2 eluzelz jca ) DCGHZIZCDJKZALIZBCDMNZOZXLABPZBCAQZCRSNZDMNZA
      BPZSNZTZCUAIZDUAIZUBXJXMXTUCZXIYAYBXJYCXKBCEUDZMNZOZYEABPZXOXPYDMNZABPZSN
      ZTZUCXKBCXPMNZOZYLABPZXOXPXPMNZABPZSNZTZUCXKBCFUDZMNZOZYTABPZXOXPYSMNZABP
      ZSNZTZUCZXKBCYSRSNZMNZOZUUIABPZXOXPUUHMNZABPZSNZTZUCZYCEFCDYDXPTZYFYMYKYR
      UUQXKBYEYLYDXPCMUEZUFUUQYGYNYJYQUUQYEYLABUURUGUUQYIYPXOSUUQYHYOABYDXPXPMU
      EUGUHUIUJYDYSTZYFUUAYKUUFUUSXKBYEYTYDYSCMUEZUFUUSYGUUBYJUUEUUSYEYTABUUTUG
      UUSYIUUDXOSUUSYHUUCABYDYSXPMUEUGUHUIUJYDUUHTZYFUUJYKUUOUVAXKBYEUUIYDUUHCM
      UEZUFUVAYGUUKYJUUNUVAYEUUIABUVBUGUVAYIUUMXOSUVAYHUULABYDUUHXPMUEUGUHUIUJY
      DDTZYFXMYKXTUVCXKBYEXLYDDCMUEZUFUVCYGXNYJXSUVCYEXLABUVDUGUVCYIXRXOSUVCYHX
      QABYDDXPMUEUGUHUIUJYAYMYRYAYMUBZYNCCMNZABPZBXPAQZSNZYQCXHIYMYNUVITYAALBCC
      UKCULUMUVEXOUVGYPUVHSUVEUVGXOYAYMXKBUVFOZUVGXOTYAYMUVJYAXKXKBYLUVFYABUDZU
      VFIUVKYLIZXKYAUVFYLUVKYAUVFYLUNCCUOUPUQURUSUTALBCVAVBVCYAYMXKBYOOZYPUVHTZ
      YAYMUVMYAXKXKBYLYOYAUVKYOIUVLXKYAYOYLUVKYAXPUAIZYOYLUNCVDZCXPVEVFUQURUSUT
      UVOUVMUVNYAALBXPVAUVPUMVBVGVHVIYAYSUAIZCYSJKZVJZUUGUUJUUFUCZUUPUVSUUJUUAU
      UFUVSXKXKBUUIYTUVSUVKYTIUVKUUIIZXKUVSYTUUIUVKYAUVQYTUUIUNUVRCYSUOZVKUQURU
      SURUVSUVTUUJUUOUVSUVTUBUUJUBUUBBUUHAQZSNZUUEUWCSNZUUKUUNUVTUUJUWDUWETUVSU
      VTUUJUBUUBUUEUWCSUUJUVTUUFUUJUUFVLVMVNVOUVSUUJUUKUWDTZUVTYSXHIZUUJUWFUVSA
      LBCYSUKYAUVQUVRUWGYAUVQUBZUVRCYSVPKZUWGCVQIYSVQIUVRUWIUCYAUVQCYSVRCVSYSVS
      VTCYSWAWBWCZUMWDUVSUUJUUNUWETUVTUVSUUJUBZUUNXOUUDUWCSNZSNZUWEUWKUUMUWLXOS
      UVSUUJXKBUULOZUUMUWLTZUVSUUJUWNUVSXKXKBUUIUULUVSUVKUULIUWAXKUVSUULUUIUVKY
      AUVQUULUUIUNZUVRYAUUHUAIUWPUVQCUUHVEYSVDWEVKUQURUSUTYSXPGHIZUWNUWOUVSALBX
      PYSUKYAUVQUVRUWQUWHUVRXPYSVPKZUWQCYSWFUVOUVQUWQUWRWGYAXPYSWAUVPUMWHWIZUMV
      BUHXOLIZUUDLIZUWCLIZUWEUWMTUWKXOUUDUWCWJCUUIIZUUJUWTUVSBCUUIALWKUVSUUHXHI
      ZUXCUVSUWGUXDUWJCYSWLWMZCUUHWNWMUMUVSUUJXKBUUCOZUXAUVSUUJUXFUVSXKXKBUUIUU
      CUVSUVKUUCIUWAXKUVSUUCUUIUVKYAUVQUUCUUIUNUVRUWHUUCYTUUICYSVEUWBWOVKUQURUS
      UTUWQUXFUXAUVSABXPYSWPUWSUMVBUUHUUIIZUUJUXBUVSBUUHUUIALWKUVSUXDUXGUXECUUH
      WQWRUMWSVHWDWTXAXBXCXDXIYAYBCDXECDXFXGUMWC $.
      $( [22-Dec-2005] $) $( [24-Nov-2005] $)
  $}

  ${
    $d x k B $.  $d x k M $.  $d k N $.
    fsum1p.1 $e |- ( k = M -> A = B ) $.
    $( Separate out the first term in a finite sum. $)
    fsum1p $p |- ( ( N e. ( ZZ> ` M ) /\ M < N /\
               A. k e. ( M ... N ) A e. CC ) -> sum_ k e. ( M ... N ) A =
                  ( B + sum_ k e. ( ( M + 1 ) ... N ) A ) ) $=
      ( vx cuz cfv wcel clt wbr cc cfz co wral w3a csu csb c1 caddc fsum1ps
      wceq cz eluzel2 cv wal wi ax-17 a1i csbiegf syl opreq1d 3ad2ant1 eqtrd )
      EDHIJZDEKLZAMJCDENOZPZQURACRCDASZDTUAOENOACRZUAOZBVAUAOZACDEUBUPUQVBVCUCU
      SUPUTBVAUAUPDUDJZUTBUCDEUECGDABUDGUFBJZVECUGUHVDVECUIUJFUKULUMUNUO $.
      $( [4-Jan-2006] $) $( [3-Jan-2006] $)
  $}

  ${
    $d j m A $.  $d j K $.  $d j k m M $.  $d j k m N $.
    $( Split a finite sum into two parts.  _Warning:  The HTML proof page is
       0.6 megabyte in size_. $)
    fsumsplit $p |- ( ( N e. ZZ /\ K e. ( M ... ( N - 1 ) )
       /\ A. k e. ( M ... N ) A e. CC ) -> sum_ k e. ( M ... N ) A =
    ( sum_ k e. ( M ... K ) A + sum_ k e. ( ( K + 1 ) ... N ) A ) ) $=
      ( vj vm cz wcel c1 cmin co cfz cc wral csu caddc wceq cuz cfv clt wbr wa
      cv wi breq1 anbi2d anbi1d opreq2 sumeq1d opreq1 opreq1d opreq12d eqeq2d
      imbi12d csb fsum1ps 3expa wss eluzel2 fzss2t mpdan sseld imim1d
      r19.20dv2 imp fsum1s sylan syldan adantlr eqtr4d cle cr ltlet zret
      syl2an eluzt sylibrd impac exp41 imp4c eluzelz ltp1t adantr axlttrn
      peano2re ancli mpand ex syl imdistand anim1d id fsump1s pm3.26 ad2antrr
      wb mpbird peano2zd sylanl1 sylanc simplr fzss1t peano2uz syl3anc eqcomd
      subaddt fsumclt ra4csbela eluzfzt biimpar zltp1let biimpa jca ppncant
      syld simpll eqtr2d sylan9eqr a2d uzind4 exp3a imp31 elfzuzt adantl
      zltlem1t ancoms anasss elfzelz elfzle2 sylan2 3impa ) EHIZCDEJKLZMLIZANIZ
      BDEMLZOZYQABPZDCMLZABPZCJQLZEMLZABPZQLZRZCDSTZIZYMCEUAUBZUCZUCYRUUFYMYOUC
      ZUUHUUJYRUUFUUHUUJYRUUFYMFUDZEUAUBZUCZYRUCZYSDUULMLZABPZUULJQLZEMLZABPZQL
      ZRZUEYMDEUAUBZUCZYRUCZYSDDMLZABPZDJQLZEMLZABPZQLZRZUEYMGUDZEUAUBZUCZYRUCZ
      YSDUVMMLZABPZUVMJQLZEMLZABPZQLZRZUEZYMUVSEUAUBZUCZYRUCZYSDUVSMLZABPZUVSJQ
      LZEMLZABPZQLZRZUEZUUJYRUCZUUFUEFGDCUULDRZUUOUVEUVBUVLUWQUUNUVDYRUWQUUMUVC
      YMUULDEUAUFUGUHUWQUVAUVKYSUWQUUQUVGUUTUVJQUWQUUPUVFABUULDDMUIUJUWQUUSUVIA
      BUWQUURUVHEMUULDJQUKULUJUMUNUOUULUVMRZUUOUVPUVBUWCUWRUUNUVOYRUWRUUMUVNYMU
      ULUVMEUAUFUGUHUWRUVAUWBYSUWRUUQUVRUUTUWAQUWRUUPUVQABUULUVMDMUIUJUWRUUSUVT
      ABUWRUURUVSEMUULUVMJQUKULUJUMUNUOUULUVSRZUUOUWGUVBUWNUWSUUNUWFYRUWSUUMUWE
      YMUULUVSEUAUFUGUHUWSUVAUWMYSUWSUUQUWIUUTUWLQUWSUUPUWHABUULUVSDMUIUJUWSUUS
      UWKABUWSUURUWJEMUULUVSJQUKULUJUMUNUOUULCRZUUOUWPUVBUUFUWTUUNUUJYRUWTUUMUU
      IYMUULCEUAUFUGUHUWTUVAUUEYSUWTUUQUUAUUTUUDQUWTUUPYTABUULCDMUIUJUWTUUSUUCA
      BUWTUURUUBEMUULCJQUKULUJUMUNUODHIZYMUVCYRUVLUXAYMUVCYRUVLEUUGIZUVCUCZYRUV
      LUXAYMUCZUVCUCUXCYRUCZYSBDAUPZUVJQLZUVKUXBUVCYRYSUXGRABDEUQURUXEUVGUXFUVJ
      QUXBYRUVGUXFRZUVCUXBYRYPBUVFOZUXHUXBYRUXIUXBYPYPBYQUVFUXBBUDZUVFIUXJYQIZY
      PUXBUVFYQUXJUXBUXAUVFYQUSDEUTZDDEVAVBVCVDVEVFUXAUXIUXHUXBANBDVGUXLVHVIVJU
      LVKUXDUVCUXBUXDUVCDEVLUBZUXBDVMIEVMIZUVCUXMUEUXAYMDEVNDVOEVOZVPDEVQVRVSVH
      VTWAUVMUUGIZUWDUWGUWCUEUWOUXPUWGUVPUWCUXPUWFUVOYRUXPYMUWEUVNUXPUVMHIZYMUW
      EUVNUEZUEDUVMWBZUXQYMUXRUVMVMIZUXNUXRUXQYMUXTUXNUCZUVMUVSUAUBZUWEUVNUXTUY
      BUXNUVMWCWDUXTUVSVMIZUCUXNUYBUWEUCUVNUEZUXTUXTUYCUXNUYDUVMUVSEWEURUXTUYCU
      VMWFWGVHWHZUVMVOZUXOVPWIWJWKWLVDUXPUWGUWCUWNUXPYMUWEYRUWCUWNUEZUXPYMUWEYR
      UYGUXPYMUCZUWEUCZYRUCZUWCUWNUWCUYJYSUWBUWMUWCWMUYJUWMUVRBUVSAUPZQLZUWAUYK
      KLZQLZUWBUYJUWIUYLUWLUYMQUXPYPBUWHOZUWIUYLRUYJANBDUVMWNUYHUXPUWEYRUXPYMWO
      WPUYIYRUYOUYIYPYPBYQUWHUYIUXJUWHIUXKYPUYIUWHYQUXJEUVSSTIZUXAUWHYQUSUYIUVS
      DEVAUVSHIZYMUWEUYPUXPUYQYMUCZUWEUCUYPUVSEVLUBZUYRUWEUYSUYCUXNUWEUYSUEUYQY
      MUVSEVNUVSVOUXOVPZVFUYRUYPUYSWQUWEUVSEVQZWDWRUXPUVMUXSWSZWTZUXPUXAYMUWEDU
      VMUTWPZXAVCVDVEVFXAUYJUYMUWLUYJUYMUWLRZUYKUWLQLZUWARZUYJUWAVUFUYPUWEYPBUV
      TOZUWAVUFRUYJABUVSEUQUYIUYPYRUYHUWEUYPUYQYMUWEUYPUEUXPUYRUWEUYSUYPUYTVUAV
      RVUBVHVFWDUYHUWEYRXBUYHYRVUHUWEUYHYRVUHUYHYPYPBYQUVTUYHUXJUVTIUXKYPUYHUVT
      YQUXJUVSUUGIZYMUVTYQUSUXPUVSDEXCDUVMXDZVHVCVDVEVFVJZXEXFUWANIZUYKNIZUWLNI
      ZVUEVUGWQUYJUWAUYKUWLXGUYIYRVUHVULVUKUYPVUHVULUYIABUVSEXHVUCVHVIZUVSYQIZY
      RVUMUYIBUVSYQANXIVUIUYPVUPUYIUVSDEXJUXPVUIYMUWEVUJWPVUCXAVHZVUIYMUCZUWJEV
      LUBZUCZYRVUNUYIVUTYRYPBUWKOZVUNVURYRVVAVUSVURYRVVAVURYPYPBYQUWKVURUXJUWKI
      UXKYPVURUWKYQUXJUWJUUGIYMUWKYQUSVUIUWJDEXCDUVSXDVHVCVDVEVFVJEUWJSTIZVVAVU
      NVUTABUWJEXHVURVVBVUSUWJHIYMVVBVUSWQVUIUWJEVQVUIUVSDUVSWBZWSVHXKVHVIVUIYM
      UWEVUTUXPVURUWEUCVURVUSVURUWEWOVURUWEVUSUYQYMUWEVUSWQVUIUVSEXLVVCVHXMXNVU
      JWTVHXEWRXFUMUVRNIZVUMVULUYNUWBRUYJUVRUYKUWAXOUYIYRYPBUVQOZVVDUYIYRVVEUYI
      YPYPBYQUVQUYIUXJUVQIUXKYPUYIUVQYQUXJEUVMSTIZUXAUVQYQUSUYIUVMDEVAUXQYMUWEV
      VFUXPUXQYMUCZUWEUVMEVLUBZVVFVVGUWEVVHUXTUXNUWEVVHUEUXQYMUYAUWEUVNVVHUYEUV
      MEVNXPUYFUXOVPVFVVGVVFVVHUVMEVQXKVIUXSWTVUDXAVCVDVEVFUXPVVEVVDUYIABDUVMXH
      UXPYMUWEXQVHVIVUQVUOXEXRXSWIVTWAXTXPYAYBYCUUKUUHUUJYOUUHYMCDYNYDYEUUKYMUU
      IYMYOWOYMCHIZCYNVLUBZUCUUIYOYMVVIVVJUUIYMVVIUCUUIVVJVVIYMUUIVVJWQCEYFYGXK
      YHYOVVIVVJCDYNYICDYNYJXNYKXNXNVHYL $.
      $( [4-Jan-2005] $) $( [10-Dec-2005] $)

    $( Split a finite sum into two parts. $)
    fsum0split $p |- ( ( N e. ZZ /\ K e. ( 1 ... N )
       /\ A. k e. ( 0 ... N ) A e. CC ) -> sum_ k e. ( 0 ... N ) A =
    ( sum_ k e. ( 0 ... ( N - K ) ) A +
                               sum_ k e. ( ( ( N - K ) + 1 ) ... N ) A ) ) $=
      ( cz wcel cmin co cc0 c1 cfz cc wral csu caddc wceq fsumsplit wa
      fzrev2it 3anidm12 zcnt subidt syl opreq1d adantr eleqtrd 3adant3
      syld3an2 ) DEFZDCGHZIDJGHZKHZFZALFBIDKHZMZUNABNIUJKHABNUJJOHDKHABNOHPCJDK
      HFZABUJIDQUIUPUMUOUIUPRUJDDGHZUKKHZULUIUPUJURFEDCJDSTUIURULPUPUIUQIUKKUID
      LFUQIPDUADUBUCUDUEUFUGUH $.
      $( [7-Jan-2006] $) $( [31-Dec-2005] $)
  $}

  ${
    $d j m A $.  $d j m B $.  $d j k m M $.  $d j k N $.
    $( The sum of two finite sums. $)
    fsumadd $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N )
       ( A e. CC /\ B e. CC ) ) -> sum_ k e. ( M ... N ) ( A + B ) =
           ( sum_ k e. ( M ... N ) A + sum_ k e. ( M ... N ) B ) ) $=
      ( vj vm cuz cfv wcel cc wa cfz co wral caddc csu wceq cv wi c1 opreq2
      raleq1d sumeq1d opreq12d eqeq12d imbi12d cz csb csbopr12g adantr fsum1s
      axaddcl r19.20si sylan2 pm3.26 pm3.27 3eqtr4d ex wss fzssp1t eluzel2
      eluzelz sylanc sseld imim1d r19.20dv2 opreq1 add4t imp fsumclt jca
      syldan ra4csbela peano2uz eluzfz2t syl syl2an cvv oprex ax-mp opreq2i
      syl5eq sylan9eqr fsump1s exp31 a2d syld uzind4 ) EDHIZJAKJZBKJZLZCDEMNZOZ
      WNABPNZCQZWNACQZWNBCQZPNZRZWMCDFSZMNZOZXCWPCQZXCACQZXCBCQZPNZRZTWMCDDMNZO
      ZXJWPCQZXJACQZXJBCQZPNZRZTWMCDGSZMNZOZXRWPCQZXRACQZXRBCQZPNZRZTZWMCDXQUAP
      NZMNZOZYGWPCQZYGACQZYGBCQZPNZRZTZWOXATFGDEXBDRZXDXKXIXPYOWMCXCXJXBDDMUBZU
      CYOXEXLXHXOYOXCXJWPCYPUDYOXFXMXGXNPYOXCXJACYPUDYOXCXJBCYPUDUEUFUGXBXQRZXD
      XSXIYDYQWMCXCXRXBXQDMUBZUCYQXEXTXHYCYQXCXRWPCYRUDYQXFYAXGYBPYQXCXRACYRUDY
      QXCXRBCYRUDUEUFUGXBYFRZXDYHXIYMYSWMCXCYGXBYFDMUBZUCYSXEYIXHYLYSXCYGWPCYTU
      DYSXFYJXGYKPYSXCYGACYTUDYSXCYGBCYTUDUEUFUGXBERZXDWOXIXAUUAWMCXCWNXBEDMUBZ
      UCUUAXEWQXHWTUUAXCWNWPCUUBUDUUAXFWRXGWSPUUAXCWNACUUBUDUUAXCWNBCUUBUDUEUFU
      GDUHJZXKXPUUCXKLZCDWPUIZCDAUIZCDBUIZPNZXLXOUUCUUEUUHRXKCDABUHPUJUKUUCWPKJ
      ZCXJOXLUUERXKWPKCDULWMUUICXJABUMZUNUOUUDXMUUFXNUUGPUUCWKCXJOXMUUFRXKAKCDU
      LWMWKCXJWKWLUPZUNUOUUCWLCXJOXNUUGRXKBKCDULWMWLCXJWKWLUQZUNUOUEURUSXQWJJZY
      EYHYDTYNUUMYHXSYDUUMWMWMCYGXRUUMCSZXRJUUNYGJWMUUMXRYGUUNUUCXQUHJXRYGUTUUM
      DXQVADXQVBDXQVCVDVEVFVGZVFUUMYHYDYMUUMYHYDYMUUMYHLZYDLXTCYFWPUIZPNZYACYFA
      UIZPNZYBCYFBUIZPNZPNZYIYLYDUUPUURYCUUQPNZUVCXTYCUUQPVHUUPYCUUSUVAPNZPNZUV
      CUVDYAKJZYBKJZLZUUSKJZUVAKJZLUVFUVCRUUPYAYBUUSUVAVIUUMYHXSUVIUUMYHXSUUOVJ
      UUMXSLUVGUVHUUMWKCXROUVGXSACDXQVKWMWKCXRUUKUNUOUUMWLCXROUVHXSBCDXQVKWMWLC
      XRUULUNUOVLVMUUPUVJUVKYFYGJZWKCYGOZUVJUUMYHCYFYGAKVNUUMYFWJJUVLDXQVODYFVP
      VQZWMWKCYGUUKUNZVRUVLWLCYGOZUVKUUMYHCYFYGBKVNUVNWMWLCYGUULUNZVRVLVDUUQUVE
      YCPYFVSJUUQUVERXQUAPVTCYFABVSPUJWAWBWCWDUUPYIUURRZYDUUMUUICYGOUVRYHWPKCDX
      QWEWMUUICYGUUJUNUOUKUUPYLUVCRYDUUPYJUUTYKUVBPUUMUVMYJUUTRYHAKCDXQWEUVOUOU
      UMUVPYKUVBRYHBKCDXQWEUVQUOUEUKURWFWGWHWIVJ $.
      $( [18-Jan-2006] $) $( [14-Nov-2005] $)
  $}

  ${
    fsum2.1 $e |- A e. V $.
    $( The sum of two terms. $)
    fsum2 $p |- ( M e. ZZ -> sum_ k e. ( M ... ( M + 1 ) ) A =
                ( [_ M / k ]_ A + [_ ( M + 1 ) / k ]_ A ) ) $=
      ( cz wcel c1 caddc co cfz csu csb cuz cfv wceq uzidt fsump1slem syl
      fsum1slem opreq1d eqtrd ) CEFZCCGHIZJIABKZCCJIABKZBUCALZHIZBCALZUFHIUBCCM
      NFUDUGOCPABCCDQRUBUEUHUFHABCDSTUA $.
      $( [5-Feb-2007] $) $( [31-Jan-2007] $)

    $( The sum of three terms. $)
    fsum3 $p |- ( M e. ZZ -> sum_ k e. ( M ... ( M + 2 ) ) A =
    ( ( [_ M / k ]_ A + [_ ( M + 1 ) / k ]_ A ) + [_ ( M + 2 ) / k ]_ A ) ) $=
      ( cz wcel c1 caddc co cfz csu csb c2 cuz cfv wceq uzidt peano2uz
      fsump1slem 3syl cc zcnt ax1cn axaddass mp3an23 syl df-2 opreq2i syl6eqr
      opreq2d sumeq1d fsum2 csbeq1d opreq12d 3eqtr3d ) CEFZCCGHIZGHIZJIZABKZCUQ
      JIABKZBURALZHIZCCMHIZJIZABKBCALBUQALHIZBVDALZHIUPCCNOZFUQVHFUTVCPCQCCRABC
      UQDSTUPUSVEABUPURVDCJUPURCGGHIZHIZVDUPCUAFZURVJPZCUBVKGUAFZVMVLUCUCCGGUDU
      EUFMVICHUGUHUIZUJUKUPVAVFVBVGHABCDULUPBURVDAVNUMUNUO $.
      $( [7-Feb-2007] $) $( [31-Jan-2007] $)

    $( The sum of four terms. $)
    fsum4 $p |- ( M e. ZZ -> sum_ k e. ( M ... ( M + 3 ) ) A =
                ( ( ( [_ M / k ]_ A + [_ ( M + 1 ) / k ]_ A )
                  + [_ ( M + 2 ) / k ]_ A ) + [_ ( M + 3 ) / k ]_ A ) ) $=
      ( cz wcel c2 caddc co c1 cfz csu csb c3 cuz cfv wceq uzidt cn0 2nn0
      uzaddclt mpan2 fsump1slem 3syl cc zcnt 2cn ax1cn axaddass mp3an23 syl
      df-3 opreq2i syl6eqr opreq2d sumeq1d fsum3 csbeq1d opreq12d 3eqtr3d ) CEF
      ZCCGHIZJHIZKIZABLZCVBKIABLZBVCAMZHIZCCNHIZKIZABLBCAMBCJHIAMHIBVBAMHIZBVIA
      MZHIVACCOPZFZVBVMFZVEVHQCRVNGSFVOTGCCUAUBABCVBDUCUDVAVDVJABVAVCVICKVAVCCG
      JHIZHIZVIVACUEFZVCVQQZCUFVRGUEFJUEFVSUGUHCGJUIUJUKNVPCHULUMUNZUOUPVAVFVKV
      GVLHABCDUQVABVCVIAVTURUSUT $.
      $( [9-Feb-2007] $) $( [31-Jan-2007] $)
  $}

  ${
    $d x k m n A $.  $d m n B $.  $d x k m n M $.  $d x n N $.
    csbfsumlem.1 $e |- A e. V $.
    csbfsumlem.2 $e |- B e. V $.
    $( Lemma for ~ csbfsum . $)
    csbfsumlem $p |- ( N e. ( ZZ> ` M ) -> [_ A / x ]_ sum_ k e. ( M ... N ) B
           = sum_ k e. ( M ... N ) [_ A / x ]_ B ) $=
      ( vn vm cv cfz co csu csb wceq c1 caddc cvv wcel opreq2 sumeq1d csbeq2dv
      mpan2 eqeq12d cz csbcomg mpan fsum1slem csbex 3eqtr4d cuz cfv wa pm3.27
      opreq1d fsump1slem csbopr12g ax-mp oprex mp2an opreq2i eqtr syl6eq
      adantr ex uzind4 ) ABEIKZLMZCDNZOZVIABCOZDNZPABEELMZCDNZOZVNVLDNZPABEJKZL
      MZCDNZOZVSVLDNZPZABEVRQRMZLMZCDNZOZWEVLDNZPZABEFLMZCDNZOZWJVLDNZPIJEFVHEP
      ZVKVPVMVQWNBSTZVKVPPGWNABVJVOSWNVIVNCDVHEELUAZUBUCUDWNVIVNVLDWPUBUEVHVRPZ
      VKWAVMWBWQWOVKWAPGWQABVJVTSWQVIVSCDVHVRELUAZUBUCUDWQVIVSVLDWRUBUEVHWDPZVK
      WGVMWHWSWOVKWGPGWSABVJWFSWSVIWECDVHWDELUAZUBUCUDWSVIWEVLDWTUBUEVHFPZVKWLV
      MWMXAWOVKWLPGXAABVJWKSXAVIWJCDVHFELUAZUBUCUDXAVIWJVLDXBUBUEEUFTZABDECOZOZ
      DEVLOZVPVQWOXCXEXFPGADBECSUFUGUHXCWOVPXEPGXCABVOXDSCDEHUIUCUDVLDEABCGHUJZ
      UIUKVREULUMTZWCWIXHWCUNZWADWDVLOZRMZWBXJRMZWGWHXIWAWBXJRXHWCUOUPXHWGXKPWC
      XHWGABVTDWDCOZRMZOZXKXHWOWGXOPGXHABWFXNSCDEVRHUQUCUDXOWAABXMOZRMZXKWOXOXQ
      PGABVTXMSRURUSXPXJWARWOWDSTXPXJPGVRQRUTADBWDCSSUGVAVBVCVDVEXHWHXLPWCVLDEV
      RXGUQVEUKVFVG $.
      $( [22-Feb-2006] $) $( [14-Nov-2005] $)
  $}

  ${
    $d k y A $.  $d y B $.  $d x k y M $.  $d x k y N $.
    $( Distribute substitution for classes over a finite sum. $)
    csbfsum $p |- ( ( A e. C /\ N e. ( ZZ> ` M ) /\
           A. k e. ( M ... N ) [_ A / x ]_ B e. CC ) ->
             [_ A / x ]_ sum_ k e. ( M ... N ) B
                  = sum_ k e. ( M ... N ) [_ A / x ]_ B ) $=
      ( vy wcel cuz cfv csb cc cfz co wral csu wceq cv wa wi csbeq1 eleq1d
      ralbidv anbi2d sumeq2sdv eqeq12d imbi12d cc0 caddc visset oprex
      csbfsumlem adantr wsbc ax0id r19.20si sumeq2d sbimi cvv wb sbcralg ax-mp
      sbcel1g ralbii bitr sbceqdig 3imtr3 adantl csbopr1g syl5eq 3eqtr3d
      vtoclg 3impib ) BDIGFJKIZABCLZMIZEFGNOZPZABVRCEQZLZVRVPEQZRZVOAHSZCLZMIZE
      VRPZTZAWDVTLZVRWEEQZRZUAVOVSTZWCUAHBDWDBRZWHWLWKWCWMWGVSVOWMWFVQEVRWMWEVP
      MAWDBCUBZUCUDUEWMWIWAWJWBAWDBVTUBWMVRWEVPEWNUFUGUHWHAWDVRCUIUJOZEQZLZVRAW
      DWOLZEQZWIWJVOWQWSRWGAWDWOEFGHUKZCUIUJULUMUNWGWQWIRZVOCMIZEVRPZAWDUOZWPVT
      RZAWDUOZWGXAXCXEAHXCVRWOCEXBWOCREVRCUPUQURUSXDXBAWDUOZEVRPZWGWDUTIZXDXHVA
      WTXBAEWDVRUTVBVCXGWFEVRXIXGWFVAWTAWDCMUTVDVCVEVFXIXFXAVAWTAWDWPVTUTVGVCVH
      VIWGWSWJRVOWGVRWRWEEWFWRWEREVRWFWEUIUJOZWEWRWEUPXIWRXJRWTAWDCUIUTUJVJVCVK
      UQURVIVLVMVN $.
      $( [22-Feb-2006] $) $( [15-Nov-2005] $)
  $}

  ${
    $d k n A $.  $d j k m n J $.  $d j k m K $.  $d j k m n M $.
    $d j k m n N $.
    $( Interchange order of summation.  _Warning:  The HTML proof page is 0.6MB
       in size_. $)
    fsumcom $p |- ( ( K e. ( ZZ> ` J ) /\ N e. ( ZZ> ` M ) /\
           A. j e. ( J ... K ) A. m e. ( M ... N ) A e. CC ) ->
              sum_ j e. ( J ... K ) sum_ m e. ( M ... N ) A =
              sum_ m e. ( M ... N ) sum_ j e. ( J ... K ) A ) $=
      ( vk vn cuz cfv wcel cc cfz co wral csu wceq cv wa wi c1 caddc opreq2
      raleq1d anbi2d sumeq1d sumeq2sdv eqeq12d imbi12d cz csb csbfsum pm3.26
      simprl ra4csbela elfz3t sylan ex r19.20sdv imp ralcom sylan2b adantrl
      syl3anc fsum1s fsumclt sylan2 sumeq2d 3eqtr4d wss fzssp1t eluzel2
      eluzelz sylanc sseld imim1d r19.20dv2 anim2d id cvv oprex mp3an1 simplr
      peano2uz eluzfz2t syl adantlr opreqan12rd anasss fsump1s simpll adantl
      adantrr fsumadd syld jcad eqtrd exp43 imp3a a2d uzind4 3impib ) EDJKZLGFJ
      KLZAMLZCFGNOZPZBDENOZPZXIXGACQZBQZXGXIABQZCQZRZXEXHBDHSZNOZPZTZXQXKBQZXGX
      QABQZCQZRZUAXEXHBDDNOZPZTZYDXKBQZXGYDABQZCQZRZUAXEXHBDISZNOZPZTZYLXKBQZXG
      YLABQZCQZRZUAZXEXHBDYKUBUCOZNOZPZTZUUAXKBQZXGUUAABQZCQZRZUAZXEXJTZXOUAHID
      EXPDRZXSYFYCYJUUJXRYEXEUUJXHBXQYDXPDDNUDZUEUFUUJXTYGYBYIUUJXQYDXKBUUKUGUU
      JXGYAYHCUUJXQYDABUUKUGUHUIUJXPYKRZXSYNYCYRUULXRYMXEUULXHBXQYLXPYKDNUDZUEU
      FUULXTYOYBYQUULXQYLXKBUUMUGUULXGYAYPCUULXQYLABUUMUGUHUIUJXPYTRZXSUUCYCUUG
      UUNXRUUBXEUUNXHBXQUUAXPYTDNUDZUEUFUUNXTUUDYBUUFUUNXQUUAXKBUUOUGUUNXGYAUUE
      CUUNXQUUAABUUOUGUHUIUJXPERZXSUUIYCXOUUPXRXJXEUUPXHBXQXIXPEDNUDZUEUFUUPXTX
      LYBXNUUPXQXIXKBUUQUGUUPXGYAXMCUUPXQXIABUUQUGUHUIUJDUKLZYFYJUURYFTZBDXKULZ
      XGBDAULZCQZYGYIUURXEUVAMLZCXGPZUUTUVBRUUSBDAUKCFGUMUURYFUNUURXEYEUOUURYEU
      VDXEUURXFBYDPZCXGPZUVDYEUURUVFUVDUURUVEUVCCXGUURUVEUVCDYDLUVEUVCUURBDYDAM
      UPDUQURUSUTVAXFBCYDXGVBZVCVDVEUURXKMLZBYDPZYGUUTRYFXKMBDVFXEYEUVIXEXHUVHB
      YDXEXHUVHACFGVGUSZUTVAVHUURYEYIUVBRZXEUURUVFUVKYEUURUVFTXGYHUVACUURUVFYHU
      VARZCXGPUURUVEUVLCXGUURUVEUVLAMBDVFUSUTVAVIUVGVCVDVJUSYKXDLZYSUUCYRUAUUHU
      VMUUCYNYRUVMUUBYMXEUVMXHXHBUUAYLUVMBSZYLLZUVNUUALZXHUVMYLUUAUVNUURYKUKLYL
      UUAVKUVMDYKVLDYKVMDYKVNVOVPZVQVRVSVQUVMUUCYRUUGUVMXEUUBYRUUGUAUVMXEUUBYRU
      UGUVMXETZUUBYRTTYOBYTXKULZUCOZYQXGBYTAULZCQZUCOZUUDUUFUVRUUBYRUVTUWCRYRUV
      RUUBTZYOYQUVSUWBUCYRVTXEUWAMLZCXGPZUVSUWBRZUWDYTWALXEUWFUWGYKUBUCWBBYTAWA
      CFGUMWCUVMXEUUBWDUVMUUBUWFXEUVMXFBUUAPZCXGPZUWFUUBUVMUWIUWFUVMUWHUWECXGUV
      MUWHUWEYTUUALZUWHUWEUVMBYTUUAAMUPUVMYTXDLUWJDYKWEDYTWFWGURUSZUTVAXFBCUUAX
      GVBZVCWHVOWIWJUVRUUBUUDUVTRZYRUVMUVHBUUAPZUWMUWDXKMBDYKWKUVMXEUUBWLUVRUUB
      UWNUVRXHUVHBUUAXEXHUVHUAUVMUVJWMUTVAVOWNUVRUUBUUFUWCRZYRUVRUWIUWOUUBUVRUW
      ITZUUFXGYPUWAUCOZCQZUWCUVMUWIUUFUWRRXEUVMUWITXGUUEUWQCUVMUWIUUEUWQRZCXGPU
      VMUWHUWSCXGUVMUWHUWSAMBDYKWKUSUTVAVIWHXEYPMLZUWETZCXGPZUWRUWCRUWPYPUWACFG
      WOUVMXEUWIWDUVMUWIUXBXEUVMUWIUXBUVMUWHUXACXGUVMUWHUWTUWEUVMUWHXFBYLPZUWTU
      VMXFXFBUUAYLUVMUVOUVPXFUVQVQVRUVMUXCUWTABDYKVGUSWPUWKWQUTVAWHVOWRUWLVCWNV
      JWSWTXAWPXBXC $.
      $( [22-Feb-2006] $) $( [15-Nov-2005] $)
  $}

  ${
    $d k m n A $.  $d j k m n K $.  $d j k m n M $.  $d j k m N $.
    $( Reversal of a finite sum.  _Warning:  The HTML proof page is 0.6 MB
       in size_. $)
    fsumrev $p |- ( ( N e. ( ZZ> ` M ) /\ K e. ZZ /\
          A. j e. ( M ... N ) A e. CC ) -> sum_ j e. ( M ... N ) A =
            sum_ k e. ( ( K - N ) ... ( K - M ) ) [_ ( K - k ) / j ]_ A ) $=
      ( vm vn cuz cfv wcel cz cc cfz co wral csu cmin cv csb wceq wa wi c1
      caddc nncant zcnt syl2an csbeq1d adantr wsbc wb fzrevralt pm3.27 pm3.26
      syl3anc cvv oprex sbcel1g ax-mp ralbii syl6bb biimpa fsum1s wal ax-gen
      opreq2 csbco3g mp2an syl6eq zsubclt sylan syldan adantll 3eqtr4rd anasss
      an1s ex wss fzssp1t eluzel2 eluzelz sylanc sseld imim1d r19.20dv2 anim2d
      peano2cn 3syl syl5req id opreqan12d fsump1s axaddcom imp fsumclt
      ra4csbela peano2uz eluzfz2t syl eqtrd clt wbr fsum1ps cle cr letrp1t
      zret eluzle adantl lesub2t syl3an peano2zd mpbid eluzt sylan2 mpbird
      zleltp1t ltsub2t ax1cn nppcan2t mp3an3 opreq1d sumeq1d opreq2d 3eqtr4d
      exp41 com12 imp3a a2d syld raleq1d anbi2d eqeq12d imbi12d uzind4ALT
      3impib ) FEIJZKDLKZAMKZBEFNOZPZUUAABQZDFROZDEROZNOZBDCSZROZATZCQZUAZYSYTB
      EGSZNOZPZUBZUUMABQZDUULROZUUENOZUUICQZUAZUCYSYTBEENOZPZUBZUVAABQZUUEUUENO
      ZUUICQZUAZUCYSYTBEHSZNOZPZUBZUVIABQZDUVHROZUUENOZUUICQZUAZUCZYSYTBEUVHUDU
      EOZNOZPZUBZUVSABQZDUVRROZUUENOZUUICQZUAZUCZYSUUBUBZUUKUCGHEFELKZUVCUVGYSU
      WIUVBUVGYSUWIUVBUVGYSUWIUBZUVBUBBDUUEROZATZBEATZUVFUVDUWJUWLUWMUAUVBUWJBU
      WKEADMKZEMKUWKEUAYSUWIDEUFDUGZEUGUHUIUJUWJUVBUUIMKZCUVEPZUVFUWLUAZUWJUVBU
      WQUWJUVBYTBUUHUKZCUVEPZUWQUWIUWIYSUVBUWTULUWJYTBCDEEUMYSUWIUNZUXAYSUWIUOU
      PUWSUWPCUVEUUHUQKZUWSUWPULDUUGRURZBUUHAMUQUSUTZVAVBVCUUELKZUWQUWRUWJUXEUW
      QUBUVFCUUEUUITZUWLUUIMCUUEVDUUEUQKUXBCVEZUXFUWLUADERURUXBCUXCVFZCBUUEUUHA
      UWKUQUQUUGUUEDRVGVHVIVJDEVKZVLVMUWIUVBUVDUWMUAYSAMBEVDVNVOVPVQVRUVHYRKZUV
      QUWAUVPUCUWGUXJUWAUVKUVPUXJUVTUVJYSUXJYTYTBUVSUVIUXJBSZUVIKUXKUVSKYTUXJUV
      IUVSUXKUWIUVHLKZUVIUVSVSUXJEUVHVTEUVHWAZEUVHWBZWCWDWEWFZWGWEUXJUWAUVPUWFU
      XJYSUVTUVPUWFUCZYSUXJUVTUXPUCYSUXJUVTUVPUWFYSUXJUBZUVTUBZUVPUBBUVRATZUVLU
      EOZCUWCUUITZUVOUEOZUWBUWEUXRUVPUXSUYAUVLUVOUEUXQUXSUYAUAUVTUXQBDUWCROZATZ
      UXSUYAUXQBUYCUVRAUWNUVRMKZUYCUVRUAYSUXJDUVRUFUWOUXJUXLUVHMKZUYEUXNUVHUGZU
      VHWHWIUHUIUWCUQKUXGUYAUYDUADUVRRURUXHCBUWCUUHAUYCUQUQUUGUWCDRVGVHVIWJUJUV
      PWKWLUXRUWBUXTUAZUVPUXJUVTUYHYSUXJUVTUBZUWBUVLUXSUEOZUXTAMBEUVHWMUVLMKZUX
      SMKZUYJUXTUAUYIUVLUXSWNUXJUVTUVJUYKUXJUVTUVJUXOWOABEUVHWPVMUVRUVSKZUVTUYL
      UXJBUVRUVSAMWQUXJUVRYRKUYMEUVHWREUVRWSWTVLWCXAVNUJUXRUWEUYBUAUVPUXRUWEUYA
      UWCUDUEOZUUENOZUUICQZUEOZUYBUUEUWCIJKZUWCUUEXBXCZUWPCUWDPZUWEUYQUAUXRUUIC
      UWCUUEXDUXQUYRUVTUXQUYRUWCUUEXEXCZUXQEUVRXEXCZVUAUXJVUBYSEXFKZUVHXFKZEUVH
      XEXCZVUBUXJEUVHXGUXJUWIVUCUXMEXHZWTUXJUXLVUDUXNUVHXHWTEUVHXIZUPXJUWIUVRLK
      ZYSVUBVUAULZUXQVUCUVRXFKZDXFKZVUIUWIVUHYSEUVRDXKVUFUVRXHZDXHZXLUXJUWIYSUX
      MXJZUXJVUHYSUXJUVHUXNXMZXJZYSUXJUOZUPXNUWCLKZUXEUYRVUAULUXQUWCUUEXOYSVUHV
      URUXJDUVRVKVUOXPYSUWIUXEUXJUXIUXMXPWCXQUJUXQUYSUVTUXQEUVRXBXCZUYSUXJVUSYS
      UXJVUEVUSVUGUWIUXLVUEVUSULUXJEUVHXRUXMUXNWCXNXJUWIVUHYSVUSUYSULZUXQVUCVUJ
      VUKVUTUWIVUHYSEUVRDXSVUFVULVUMXLVUNVUPVUQUPXNUJUXQUVTUYTUXQUVTUWSCUWDPZUY
      TUWIVUHYSUVTVVAULUXQYTBCDEUVRUMVUNVUPVUQUPUWSUWPCUWDUXDVAVBVCUPUXQUYQUYBU
      AUVTUXQUYPUVOUYAUEUXQUYOUVNUUICUXQUYNUVMUUENUWNUYFUYNUVMUAZYSUXJUWNUYFUDM
      KVVBXTDUVHUDYAYBUWOUXJUXLUYFUXNUYGWTUHYCYDYEUJXAUJYFYGYHYIYJYKUULEUAZUUOU
      VCUUTUVGVVCUUNUVBYSVVCYTBUUMUVAUULEENVGZYLYMVVCUUPUVDUUSUVFVVCUUMUVAABVVD
      YDVVCUURUVEUUICVVCUUQUUEUUENUULEDRVGYCYDYNYOUULUVHUAZUUOUVKUUTUVPVVEUUNUV
      JYSVVEYTBUUMUVIUULUVHENVGZYLYMVVEUUPUVLUUSUVOVVEUUMUVIABVVFYDVVEUURUVNUUI
      CVVEUUQUVMUUENUULUVHDRVGYCYDYNYOUULUVRUAZUUOUWAUUTUWFVVGUUNUVTYSVVGYTBUUM
      UVSUULUVRENVGZYLYMVVGUUPUWBUUSUWEVVGUUMUVSABVVHYDVVGUURUWDUUICVVGUUQUWCUU
      ENUULUVRDRVGYCYDYNYOUULFUAZUUOUWHUUTUUKVVIUUNUUBYSVVIYTBUUMUUAUULFENVGZYL
      YMVVIUUPUUCUUSUUJVVIUUMUUAABVVJYDVVIUURUUFUUICVVIUUQUUDUUENUULFDRVGYCYDYN
      YOYPYQ $.
      $( [16-Jan-2006] $) $( [26-Nov-2005] $)

    $( Reversal of a finite sum. $)
    fsumrev2 $p |- ( ( N e. ( ZZ> ` M ) /\ A. j e. ( M ... N ) A e. CC )
                  -> sum_ j e. ( M ... N ) A =
                     sum_ k e. ( M ... N ) [_ ( ( M + N ) - k ) / j ]_ A ) $=
      ( cuz cfv wcel cc cfz co wral wa csu caddc cmin cv csb cz wceq fsumrev
      3expa zaddclt eluzel2 eluzelz sylanc ancli sylan pncant zcnt syl2an
      pncan2t opreq12d sumeq1d adantr eqtrd ) EDFGHZAIHBDEJKZLZMURABNZDEOKZEPKZ
      VADPKZJKZBVACQPKARZCNZURVECNZUQVASHZMUSUTVFTZUQUQVHUSVIABCVADEUAUBUQVHDSH
      ZESHZVHUQDEUCDEUDZDEUEZUFUGUHUQVFVGTUSUQVDURVECUQVBDVCEJVJVKVBDTZUQDIHZEI
      HZVNVJVKDEUIDUJZEUJZUKVLVMUFVJVKVCETZUQVOVPVSVJVKDEULVQVRUKVLVMUFUMUNUOUP
      $.
      $( [15-May-2007] $) $( [27-Nov-2005] $)

    $( Index shift of a finite sum. $)
    fsumshft $p |- ( ( N e. ( ZZ> ` M ) /\ K e. ZZ /\
          A. j e. ( M ... N ) A e. CC ) -> sum_ j e. ( M ... N ) A =
            sum_ k e. ( ( M + K ) ... ( N + K ) ) [_ ( k - K ) / j ]_ A ) $=
      ( vm cuz cfv wcel cz cc cfz co wral w3a csu cc0 cmin cv csb caddc wceq
      0z fsumrev mp3an2 3adant2 cneg uznegit df-neg fveq2i eleq12i sylib
      3ad2ant1 3simp2 wsbc wb fzrevralt mp3an3 eluzel2 eluzelz sylanc cvv
      oprex sbcel1g ax-mp ralbii syl6bb biimpa syl3anc wa subnegt axaddcom
      eqtrd opreq2i syl5eqr adantrr adantrl opreq12d zcnt syl jca syl2an
      ancoms negsubdi2t csbeq1d wal ax-gen opreq2 csbco3g mp2an syl5eq elfzelz
      sylan2 adantll sumeq12dv 3adant3 3eqtrd ) FEHIJZDKJZALJZBEFMNZOZPZXBABQZR
      FSNZRESNZMNZBRGTZSNZAUAZGQZDXGSNZDXFSNZMNZGDCTZSNZXKUAZCQZEDUBNZFDUBNZMNZ
      BXPDSNZAUAZCQZWSXCXEXLUCZWTWSRKJZXCYFUDABGREFUEUFUGXGXFHIZJZWTXKLJZGXHOZX
      LXSUCXDXKGCDXFXGUEWSWTYIXCWSEUHZFUHZHIZJYIEFUIYLXGYNYHEUJZYMXFHFUJZUKULUM
      UNWSWTXCUOWSXCYKWTWSXCYKWSXCXABXJUPZGXHOZYKEKJZFKJZXCYRUQZWSYSYTYGUUAUDXA
      BGREFURUSEFUTZEFVAZVBYQYJGXHXJVCJZYQYJUQRXISVDZBXJALVCVEVFVGVHVIUGVJWSWTX
      SYEUCXCWSWTVKXOYBXRYDCWTWSXOYBUCZDLJZELJZFLJZVKZUUFWTWSUUGUUJVKXMXTXNYAMU
      UGUUHXMXTUCUUIUUGUUHVKZDYLSNZXTXMUUKUULDEUBNXTDEVLDEVMVNYLXGDSYOVOVPVQUUG
      UUIXNYAUCUUHUUGUUIVKZDYMSNZYAXNUUMUUNDFUBNYADFVLDFVMVNYMXFDSYPVOVPVRVSDVT
      ZWSUUHUUIWSYSUUHUUBEVTWAWSYTUUIUUCFVTWAWBWCWDWTXPXOJZXRYDUCZWSWTXPKJZUUQU
      UPWTUURVKZBRXQSNZAUAZYDXRUUSBUUTYCAUUSXQUHZYCUUTUUGXPLJUVBYCUCWTUURDXPWEU
      UOXPVTWCXQUJVPWFXQVCJUUDGWGXRUVAUCDXPSVDUUDGUUEWHGBXQXJAUUTVCVCXIXQRSWIWJ
      WKWLXPXMXNWMWNWOWPWQWR $.
      $( [17-Jan-2006] $) $( [27-Nov-2005] $)

    $( Negative index shift of a finite sum. $)
    fsumshftm $p |- ( ( N e. ( ZZ> ` M ) /\ K e. ZZ /\
          A. j e. ( M ... N ) A e. CC ) -> sum_ j e. ( M ... N ) A =
            sum_ k e. ( ( M - K ) ... ( N - K ) ) [_ ( k + K ) / j ]_ A ) $=
      ( cuz cfv wcel cz cc cfz co wral w3a csu cneg caddc cv cmin csb wceq
      fsumshft znegclt syl3an2 wa negsubt 3adant2 3adant1 opreq12d zcnt syl3an
      3expa eluzel2 eluzelz jca sylan subnegt ancoms syl2an ex csbeq1 syl6
      elfzelz syl5 imp adantll sumeq12dv 3adant3 eqtrd ) FEGHIZDJIZAKIBEFLMZNZO
      VMABPZEDQZRMZFVPRMZLMZBCSZVPTMZAUAZCPZEDTMZFDTMZLMZBVTDRMZAUAZCPZVKVPJIVN
      VOWCUBVLABCVPEFUCDUDUEVKVLWCWIUBVNVKVLUFVSWFWBWHCEJIZFJIZUFVLVSWFUBZVKWJW
      KVLWLEKIZFKIZDKIZWLWJWKVLWMWNWOOVQWDVRWELWMWOVQWDUBWNEDUGUHWNWOVRWEUBWMFD
      UGUIUJEUKFUKDUKZULUMVKWJWKEFUNEFUOUPUQVLVTVSIZWBWHUBZVKVLWQWRVLVTJIZWRWQV
      LWSWAWGUBZWRVLWSWTWOVTKIZWTVLWSXAWOWTVTDURUSWPVTUKUTVABWAWGAVBVCVTVQVRVDV
      EVFVGVHVIVJ $.
      $( [12-Dec-2006] $) $( [28-Nov-2005] $)
  $}

  ${
    $d j k m C $.  $d j m A $.  $d j k m M $.  $d j k N $.
    $( A finite sum multiplied by a constant. $)
    fsummulc1 $p |- ( ( N e. ( ZZ> ` M ) /\ C e. CC /\
                      A. k e. ( M ... N ) A e. CC ) ->
   ( C x. sum_ k e. ( M ... N ) A ) = sum_ k e. ( M ... N ) ( C x. A ) ) $=
      ( vj vm cuz cfv wcel cc cfz co wral csu cmul wceq cv wa wi c1 caddc cz
      csb csbopr2g adantr fsum1s r19.28av axmulcl r19.20si syl sylan2 adantrl
      opreq2d 3eqtr4rd ex wss fzssp1t eluzel2 eluzelz sylanc sseld imim1d
      r19.20dv2 anim2d axdistr simprl imp fsumclt syldan ra4csbela peano2uz
      eluzfz2t sylan syl3anc adantlr id cvv oprex ax-mp eqcomi a1i opreq12d
      adantll eqtrd fsump1s 3eqtr4d exp31 syld opreq2 raleq1d anbi2d sumeq1d
      eqeq12d imbi12d uzind4ALT 3impib ) EDHIZJBKJZAKJZCDELMZNZBXAACOZPMZXABAPM
      ZCOZQZWSWTCDFRZLMZNZSZBXIACOZPMZXIXECOZQZTWSWTCDDLMZNZSZBXPACOZPMZXPXECOZ
      QZTWSWTCDGRZLMZNZSZBYDACOZPMZYDXECOZQZTZWSWTCDYCUAUBMZLMZNZSZBYMACOZPMZYM
      XECOZQZTZWSXBSZXGTFGDEDUCJZXRYBUUBXRSZCDXEUDZBCDAUDZPMZYAXTUUBUUDUUFQXRCD
      BAUCPUEUFUUBXEKJZCXPNZYAUUDQXRXEKCDUGXRWSWTSZCXPNUUHWSWTCXPUHUUIUUGCXPBAU
      IZUJUKULUUCXSUUEBPUUBXQXSUUEQWSAKCDUGUMUNUOUPYCWRJZYKYOYJTZYTUUKYOYFYJUUK
      YNYEWSUUKWTWTCYMYDUUKCRZYDJUUMYMJWTUUKYDYMUUMUUBYCUCJYDYMUQUUKDYCURDYCUSD
      YCUTVAVBVCVDZVEVCUUKUULYOYSUUKUULSYOSZBYGCYLAUDZUBMZPMZYICYLXEUDZUBMZYQYR
      UUOUURYHBUUPPMZUBMZUUTUUKYOUURUVBQZUULWSYGKJZUUPKJZUVCUUKYOSZBYGUUPVFUUKW
      SYNVGUUKYNUVDWSUUKYNYEUVDUUKYNYEUUNVHACDYCVIVJUMUUKYNUVEWSYLYMJZYNUVEUUKC
      YLYMAKVKUUKYLWRJUVGDYCVLDYLVMUKVNUMVOVPUULYOUVBUUTQUUKUULYOSZYHYIUVAUUSUB
      UULYOYJUULVQVHUVAUUSQUVHUUSUVAYLVRJUUSUVAQYCUAUBVSCYLBAVRPUEVTWAWBWCWDWEU
      UKYOYQUURQUULUVFYPUUQBPUUKYNYPUUQQWSAKCDYCWFUMUNVPUUKYOYRUUTQZUULUUKUUGCY
      MNZUVIYOXEKCDYCWFYOUUICYMNUVJWSWTCYMUHUUIUUGCYMUUJUJUKULVPWGWHWIXHDQZXKXR
      XOYBUVKXJXQWSUVKWTCXIXPXHDDLWJZWKWLUVKXMXTXNYAUVKXLXSBPUVKXIXPACUVLWMUNUV
      KXIXPXECUVLWMWNWOXHYCQZXKYFXOYJUVMXJYEWSUVMWTCXIYDXHYCDLWJZWKWLUVMXMYHXNY
      IUVMXLYGBPUVMXIYDACUVNWMUNUVMXIYDXECUVNWMWNWOXHYLQZXKYOXOYSUVOXJYNWSUVOWT
      CXIYMXHYLDLWJZWKWLUVOXMYQXNYRUVOXLYPBPUVOXIYMACUVPWMUNUVOXIYMXECUVPWMWNWO
      XHEQZXKUUAXOXGUVQXJXBWSUVQWTCXIXAXHEDLWJZWKWLUVQXMXDXNXFUVQXLXCBPUVQXIXAA
      CUVRWMUNUVQXIXAXECUVRWMWNWOWPWQ $.
      $( [16-Jan-2006] $) $( [12-Nov-2005] $)

    $( A finite sum multiplied by a constant. $)
    fsummulc2 $p |- ( ( N e. ( ZZ> ` M ) /\ C e. CC /\
                      A. k e. ( M ... N ) A e. CC ) ->
   ( sum_ k e. ( M ... N ) A x. C ) = sum_ k e. ( M ... N ) ( A x. C ) ) $=
      ( cuz cfv wcel cc cfz co wral w3a csu cmul fsummulc1 wceq wa axmulcom
      fsumclt sylan2 3impb 3com12 ex r19.20sdv imp sumeq2d 3adant1 3eqtr3d ) ED
      FGHZBIHZAIHZCDEJKZLZMBUMACNZOKZUMBAOKZCNZUOBOKZUMABOKZCNZABCDEPUKUJUNUPUS
      QZUKUJUNVBUKUOIHVBUJUNRBUOSACDETUAUBUCUKUNURVAQUJUKUNRUMUQUTCUKUNUQUTQZCU
      MLUKULVCCUMUKULVCBASUDUEUFUGUHUI $.
      $( [17-Jan-2006] $) $( [13-Nov-2005] $)

    $( A finite sum divided by a constant. $)
    fsumdivc $p |- ( ( ( N e. ( ZZ> ` M ) /\ C e. CC ) /\ ( C =/= 0 /\
                      A. k e. ( M ... N ) A e. CC ) ) ->
   ( sum_ k e. ( M ... N ) A / C ) = sum_ k e. ( M ... N ) ( A / C ) ) $=
      ( cuz cfv wcel cc wa cc0 wne cfz co wral csu c1 cdiv cmul wceq fsummulc2
      simpll recclt ad2ant2lr simprr syl3anc divrect fsumclt ad2ant2rl simplr
      simprl 3expb expcom r19.20sdv imp anasss sumeq2d adantll 3eqtr4d ) EDFGHZ
      BIHZJZBKLZAIHZCDEMNZOZJZJZVEACPZQBRNZSNZVEAVJSNZCPZVIBRNZVEABRNZCPZUTVJIH
      ZVFVKVMTVHAVJCDEUAUTVAVGUBVAVCVQUTVFBUCUDVBVCVFUEUFVIIHZVAVCVNVKTVHVIBUGU
      TVFVRVAVCACDEUHUIUTVAVGUJVBVCVFUKUFVAVGVPVMTUTVAVGJVEVOVLCVAVCVFVOVLTZCVE
      OZVAVCJZVFVTWAVDVSCVEVDWAVSVDVAVCVSABUGULUMUNUOUPUQURUS $.
      $( [20-Jan-2006] $) $( [2-Jan-2006] $)

    $( A finite sum divided by a constant.  (An experiment: this version
       of ~ fsumdivc adds 5 bytes and 233 bytes to the compressed and
       uncompressed proofs, but saves 540 bytes on the HTML page.) $)
    fsumdivcALT $p |- ( ( ( N e. ( ZZ> ` M ) /\ C e. CC ) /\ ( C =/= 0 /\
                      A. k e. ( M ... N ) A e. CC ) ) ->
   ( sum_ k e. ( M ... N ) A / C ) = sum_ k e. ( M ... N ) ( A / C ) ) $=
      ( cuz cfv wcel cc wa cc0 wne cfz co wral csu c1 cdiv cmul wceq fsummulc2
      simpll recclt ad2ant2lr simprr syl3anc divrect 3expb fsumclt ad2ant2rl
      pm3.27 pm3.26 anim12i sylanc expcom r19.20sdv imp anasss sumeq2d adantll
      3eqtr4d ) EDFGHZBIHZJZBKLZAIHZCDEMNZOZJZJZVGACPZQBRNZSNZVGAVLSNZCPZVKBRNZ
      VGABRNZCPZVBVLIHZVHVMVOTVJAVLCDEUAVBVCVIUBVCVEVSVBVHBUCUDVDVEVHUEUFVKIHZV
      CVEJZVPVMTZVJVTVCVEWBVKBUGUHVBVHVTVCVEACDEUIUJVDVCVIVEVBVCUKVEVHULUMUNVCV
      IVRVOTVBVCVIJVGVQVNCVCVEVHVQVNTZCVGOZWAVHWDWAVFWCCVGVFWAWCVFVCVEWCABUGUHU
      OUPUQURUSUTVA $.
      $( [5-Nov-2006] $) $( [2-Jan-2006] $)
  $}

  ${
    $d m A $.  $d j B $.  $d j J $.  $d j K $.  $d j m M $.  $d j m N $.
    $( Separate the nested sum of the product ` A ( j ) x. B ( m ) ` . $)
    fsum2mul $p |- ( ( ( K e. ( ZZ> ` J ) /\ A. j e. ( J ... K ) A e. CC ) /\
       ( N e. ( ZZ> ` M ) /\ A. m e. ( M ... N ) B e. CC ) ) ->
    sum_ j e. ( J ... K ) sum_ m e. ( M ... N ) ( A x. B ) =
    ( sum_ j e. ( J ... K ) A x. sum_ m e. ( M ... N ) B ) ) $=
      ( cuz cfv wcel cc cfz co wral wa csu cmul wceq fsummulc2 3expa an1rs
      fsumclt sylan2 fsummulc1 ex r19.20sdv impcom sumeq2d adantll eqtr2d ) FEI
      JKZALKZCEFMNZOZPZHGIJKZBLKDGHMNZOZPZPUNACQURBDQZRNZUNAVARNZCQZUNURABRNDQZ
      CQZUPVALKZVBVDSZUTULVGUOVHULVGUOVHAVACEFTUAUBBDGHUCUDUOUTVDVFSULUOUTPUNVC
      VECUTUOVCVESZCUNOUTUMVICUNUTUMVIUQUMUSVIUQUMUSVIBADGHUEUAUBUFUGUHUIUJUK
      $.
      $( [20-Jan-2006] $) $( [13-Nov-2005] $)
  $}

  ${
    $d j k m A $.  $d j k m M $.  $d j k N $.
    $( The sum of constant terms ( ` k ` is not free in ` A ` ). $)
    fsumconst $p |- ( ( N e. ( ZZ> ` M ) /\ A e. CC ) ->
                    sum_ k e. ( M ... N ) A = ( ( ( N - M ) + 1 ) x. A ) ) $=
      ( vj vm cuz cfv wcel cc cfz co csu cmin c1 caddc cmul wceq cv wi opreq2
      sumeq1d opreq1 opreq1d eqeq12d imbi2d cz wa eqid a1i fsum1 ancoms cc0
      subidt ax1cn addid2 syl6eq mulid2t sylan9eq zcnt sylan eqtr4d ex csb
      wral fsump1s ax-1 r19.21aiv sylan2 cvv oprex ax-17 csbconstgf ax-mp
      opreq2i addsubt mp3an2 adantr adddirt subclt peano2cn syl opreq2d adantl
      3eqtrd eluzelz eluzel2 jca exp31 a2d uzind4 imp ) DCGHZIAJIZCDKLZABMZDCNL
      ZOPLZAQLZRZWNCESZKLZABMZXACNLZOPLZAQLZRZTWNCCKLZABMZCCNLZOPLZAQLZRZTWNCFS
      ZKLZABMZXNCNLZOPLZAQLZRZTWNCXNOPLZKLZABMZYACNLZOPLZAQLZRZTWNWTTEFCDXACRZX
      GXMWNYHXCXIXFXLYHXBXHABXACCKUAUBYHXEXKAQYHXDXJOPXACCNUCUDUDUEUFXAXNRZXGXT
      WNYIXCXPXFXSYIXBXOABXAXNCKUAUBYIXEXRAQYIXDXQOPXAXNCNUCUDUDUEUFXAYARZXGYGW
      NYJXCYCXFYFYJXBYBABXAYACKUAUBYJXEYEAQYJXDYDOPXAYACNUCUDUDUEUFXADRZXGWTWNY
      KXCWPXFWSYKXBWOABXADCKUAUBYKXEWRAQYKXDWQOPXADCNUCUDUDUEUFCUGIZWNXMYLWNUHX
      IAXLWNYLXIARAAJBCAARBSZCRAUIUJUKULCJIZWNXLARYLYNWNXLOAQLZAYNXKOAQYNXKUMOP
      LOYNXJUMOPCUNUDOUOUPUQUDAURZUSCUTZVAVBVCXNWMIZWNXTYGYRWNXTYGYRWNUHZXTUHYC
      XSAPLZYFYSXTYCXPAPLZYTYSYCXPBYAAVDZPLZUUAYRWNBYBVEYCUUCRWNAJBCXNVFWNWNBYB
      WNYMYBIVGVHVIUUBAXPPYAVJIUUBARXNOPVKBEYAAVJXAAIBVLVMVNVOUQXPXSAPUCUSYSYFY
      TRZXTXNJIZYNUHZWNUUDYRUUFWNUHZYFXROPLZAQLZXSYOPLZYTUUGYEUUHAQUUGYDXROPUUF
      YDXRRZWNUUEOJIZYNUUKUOXNOCVPVQVRUDUDXRJIZWNUUIUUJRZUUFUUMUULWNUUNUOXROAVS
      VQUUFXQJIUUMXNCVTXQWAWBVAWNUUJYTRUUFWNYOAXSPYPWCWDWEYRUUEYNYRXNUGIUUECXNW
      FXNUTWBYRYLYNCXNWGYQWBWHVAVRVBWIWJWKWL $.
      $( [22-Jan-2006] $) $( [24-Dec-2005] $)
  $}

  ${
    $d k M $.  $d k N $.
    $( If all of the terms of a finite sum are zero, so is the sum. $)
    fsum0 $p |- ( N e. ( ZZ> ` M ) -> sum_ k e. ( M ... N ) 0 = 0 ) $=
      ( cuz cfv wcel cfz co cc0 csu cmin c1 caddc cmul cc wceq 0cn fsumconst
      mpan2 cz zsubclt eluzelz eluzel2 sylanc zcnt syl peano2cn mul01t 3syl
      eqtrd ) CBDEFZBCGHIAJZCBKHZLMHZINHZIUKIOFULUOPQIABCRSUKUMOFZUNOFUOIPUKUMT
      FZUPCTFBTFUQUKCBUABCUBBCUCUDUMUEUFUMUGUNUHUIUJ $.
      $( [17-Jul-2006] $) $( [26-Dec-2005] $)
  $}

  ${
    $d j m A $.  $d j m B $.  $d j k m M $.  $d j k N $.
    $( If all of the terms of finite sums compare, so do the sums. $)
    fsumcmp $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N )
         ( A e. RR /\ B e. RR /\ A <_ B ) ) ->
           sum_ k e. ( M ... N ) A <_ sum_ k e. ( M ... N ) B ) $=
      ( vj vm cuz cfv wcel cr cle wbr w3a cfz co wral csu cv wi c1 caddc cz wa
      csb wsbc ra4sbca elfz3t 3simp3 r19.20si syl2an wb sbcbr12g adantr mpbid
      wceq fsum1s 3simp1 sylan2 3simp2 3brtr4d ex wss fzssp1t eluzel2 eluzelz
      sylanc sseld imim1d r19.20dv2 fsump1s pm3.27 leadd1t a1i imim12d imp
      fsumreclt syldan ra4csbela peano2uz eluzfz2t syl syl3anc eqbrtrd cvv
      oprex ax-mp sylib leadd2t breqtrrd letrt axaddrcl mp2and exp31 a2d syld
      opreq2 raleq1d sumeq1d breq12d imbi12d uzind4ALT ) EDHIZJAKJZBKJZABLMZNZC
      DEOPZQZXHACRZXHBCRZLMZXGCDFSZOPZQZXNACRZXNBCRZLMZTXGCDDOPZQZXSACRZXSBCRZL
      MZTXGCDGSZOPZQZYEACRZYEBCRZLMZTZXGCDYDUAUBPZOPZQZYLACRZYLBCRZLMZTZXIXLTFG
      DEDUCJZXTYCYRXTUDZCDAUEZCDBUEZYAYBLYSXFCDUFZYTUUALMZDXSJXFCXSQUUBYRXTXFCD
      XSUGDUHXGXFCXSXDXEXFUIZUJUKYRUUBUUCULXTCDABUCLUMUNUOYRXDCXSQYAYTUPXTAKCDU
      QXGXDCXSXDXEXFURZUJUSYRXECXSQYBUUAUPXTBKCDUQXGXECXSXDXEXFUTZUJUSVAVBYDXCJ
      ZYJYMYITYQUUGYMYFYIUUGXGXGCYLYEUUGCSZYEJZUUHYLJZXGUUGYEYLUUHYRYDUCJYEYLVC
      UUGDYDVDDYDVEDYDVFVGVHZVIVJVIUUGYMYIYPUUGYMYIYPUUGYMUDZYIUDZYNYHCYKAUEZUB
      PZLMZUUOYOLMZYPUUMYNYGUUNUBPZUUOLUULYNUURUPZYIUUGXDCYLQZUUSYMAKCDYDVKXGXD
      CYLUUEUJZUSUNUUMYIUURUUOLMZUULYIVLYGKJZYHKJZUUNKJZYIUVBULUUMYGYHUUNVMUULU
      VCYIUUGYMXDCYEQZUVCUUGYMUVFUUGXGXDCYLYEUUGUUIUUJXGXDUUKXGXDTUUGUUEVNVOVJV
      PACDYDVQVRUNUULUVDYIUUGYMXECYEQZUVDUUGYMUVGUUGXGXECYLYEUUGUUIUUJXGXEUUKXG
      XETUUGUUFVNVOVJVPBCDYDVQVRZUNUULUVEYIYKYLJZUUTUVEUUGYMCYKYLAKVSUUGYKXCJZU
      VIDYDVTZDYKWAWBZUVAUKZUNWCUOWDUULUUQYIUULUUOYHCYKBUEZUBPZYOLUULUUNUVNLMZU
      UOUVOLMZUVIXFCYLQZUVPUUGYMUVIUVRUDXFCYKUFZUVPXFCYKYLUGYKWEJUVSUVPULYDUAUB
      WFCYKABWELUMWGWHUVLXGXFCYLUUDUJUKUVEUVNKJZUVDUVPUVQULUULUUNUVNYHWIUVMUVIX
      ECYLQZUVTUUGYMCYKYLBKVSUVLXGXECYLUUFUJZUKUVHWCUOUUGUWAYOUVOUPYMBKCDYDVKUW
      BUSWJUNUULUUPUUQUDYPTZYIYNKJZUUOKJZYOKJZUWCUULYNUUOYOWKUVJUUTUWDUUGYMACDY
      KVQUVKUVAUKUVDUVEUWEUULYHUUNWLUVHUVMVGUVJUWAUWFUUGYMBCDYKVQUVKUWBUKWCUNWM
      WNWOWPXMDUPZXOXTXRYCUWGXGCXNXSXMDDOWQZWRUWGXPYAXQYBLUWGXNXSACUWHWSUWGXNXS
      BCUWHWSWTXAXMYDUPZXOYFXRYIUWIXGCXNYEXMYDDOWQZWRUWIXPYGXQYHLUWIXNYEACUWJWS
      UWIXNYEBCUWJWSWTXAXMYKUPZXOYMXRYPUWKXGCXNYLXMYKDOWQZWRUWKXPYNXQYOLUWKXNYL
      ACUWLWSUWKXNYLBCUWLWSWTXAXMEUPZXOXIXRXLUWMXGCXNXHXMEDOWQZWRUWMXPXJXQXKLUW
      MXNXHACUWNWSUWMXNXHBCUWNWSWTXAXBVP $.
      $( [23-Jan-2006] $) $( [11-Dec-2005] $)
  $}

  ${
    $d k M $.  $d k N $.
    $( If all of the terms of a finite sum are nonnegative, so is the sum. $)
    fsumcmp0 $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N )
         ( A e. RR /\ 0 <_ A ) ) -> 0 <_ sum_ k e. ( M ... N ) A ) $=
      ( cuz cfv wcel cr cc0 cle wbr wa cfz co wral csu wceq fsum0 adantr w3a
      fsumcmp 0re a1i pm3.26 pm3.27 3jca r19.20si sylan2 eqbrtrrd ) DCEFGZAHGZI
      AJKZLZBCDMNZOZLUNIBPZIUNABPZJUJUPIQUOBCDRSUJIHGZUKULTZBUNOUPUQJKUOIABCDUA
      UMUSBUNUMURUKULURUMUBUCUKULUDUKULUEUFUGUHUI $.
      $( [26-Oct-2006] $) $( [26-Dec-2005] $)
  $}


  ${
    $d k J $.  $d k K $.  $d k M $.
    $( A shorter sum of nonnegative terms is smaller than a longer one. $)
    fsumcmpndx2 $p |- ( ( ( J e. ( ZZ> ` M ) /\ K e. ( ZZ> ` M ) ) /\
         ( A. k e. ( M ... K ) ( A e. RR /\ 0 <_ A ) /\ J <_ K ) ) ->
            sum_ k e. ( M ... J ) A <_ sum_ k e. ( M ... K ) A ) $=
      ( cuz cfv wcel wa cr cc0 cle wbr cfz co wral csu clt wceq wo cz wb
      leloet zret syl2an eluzelz biimpa adantlr c1 caddc fsumcmp0 zltp1let
      eluzt peano2z sylan bitr4d cv wss fzss1t peano2uz sseld imim1d r19.20dv2
      imp adantr sylanc addge01t fsumreclt pm3.26 ad2antrr fzss2t wi ltlet
      sylibrd eluzel2 a1i imim12d an1rs mpbid cmin cc fsumsplit adantl
      zltlem1t elfz5t peano2zm syl sylan2 recnd r19.20si ad2antlr syl3anc
      breqtrrd eqlet opreq2 raleq1d syl6bir impcom anassrs adantllr sumeq1d
      jaodan syldan anasss ) CEFGZHZDXEHZIZAJHZKALMZIZBEDNOZPZCDLMZECNOZABQZXLA
      BQZLMZXHXMIZXNCDRMZCDSZTZXRXHXNYBXMXHXNYBCUAHZDUAHZXNYBUBZXFXGCJHZDJHZYEY
      CYDCDUCCUDZDUDZUEECUFZEDUFZUEUGUHXSXTXRYAXSXTIZXPXPCUIUJOZDNOZABQZUJOZXQL
      YLKYOLMZXPYPLMZDYMFGHZXKBYNPZYQYLABYMDUKXHXTYSXMXHXTYSYCYDXTYSUBXFXGYCYDI
      ZXTYMDLMZYSCDULYMUAHYDYSUUBUBYCYMDUMCUNUOUPYJYKUEUGUHZXSYTXTXHXMYTXHXKXKB
      XLYNXHBUQZYNHZUUDXLHZXKXHYNXLUUDYMXEHYDYNXLURXFXGYMEDUSECUTYKUEVAZVBVCVDV
      EVFXPJHZYOJHZYQYRUBYLXPYOVGXFXIBXOPZUUHYLABECVHZXHXFXMXTXFXGVIVJXHXTXMUUJ
      XHXTIZXMUUJUULXKXIBXLXOUULUUDXOHUUFXKXIUULXOXLUUDDCFGHZEUAHZXOXLURUULCEDV
      KXHXTUUMYCYDXTUUMVLXFXGUUAXTXNUUMYFYGXTXNVLYCYDCDVMYHYIUECDUMVNYJYKUEVDXF
      UUNXGXTECVOVJVFVAXKXIVLUULXIXJVIZVPZVQVCVDVRVFYSXIBYNPZUUIYLABYMDVHUUCXHX
      TXMUUQUULXMUUQUULXKXIBXLYNUULUUEUUFXKXIXHUUEUUFVLXTUUGVEUUPVQVCVDVRVFVFVS
      YDCEDUIVTOZNOHZAWAHZBXLPZXQYPSYLABCEDWBXHYDXMXTXGYDXFYKWCVJXHXTUUSXMXHXTU
      USXHXTCUURLMZUUSYCYDXTUVBUBXFXGCDWDYJYKUEXFUURUAHZUUSUVBUBXGCEUURWEXGYDUV
      CYKDWFWGWHUPUGUHXMUVAXHXTXKUUTBXLXKAUUOWIWJWKWLWMUUHXPXQSZXRXSYAIXPXQWNXF
      XMYAUUHXGXFXMYAUUHXFUUJUUHXMYAIUUKYAXMUUJYAXMXKBXOPUUJYAXKBXOXLCDENWOZWPX
      KXIBXOUUOWJWQWRWHWSWTYAUVDXSYAXOXLABUVEXAWCVFXBXCXD $.
      $( [23-Jun-2007] $) $( [26-Dec-2005] $)

$(
    @( A longer sum of nonnegative terms is larger than a shorter one. @)
    fsumcmpndx1 @p |- ( ( ( N e. ( ZZ> ` J ) /\ N e. ( ZZ> ` K ) ) /\
         ( A. k e. ( J ... N ) ( A e. RR /\ 0 <_ A ) /\ J <_ K ) ) ->
            sum_ k e. ( K ... N ) A <_ sum_ k e. ( J ... N ) A ) @=
?@.
      @( [?] @) @( [4-Jan-2006] @)
$)
  $}

  ${
    $d j m A $.  $d j k m x M $.  $d j k N $.
    $( Generalized triangle inequality:  the absolute value of a finite sum is
       less than or equal to the sum of absolute values. $)
    fsumabs $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N )
            A e. CC ) -> ( abs ` sum_ k e. ( M ... N ) A ) <_
                     sum_ k e. ( M ... N ) ( abs ` A ) ) $=
      ( vj vm cuz cfv wcel cc cfz co wral csu cabs cle wbr cv wi c1 caddc wceq
      opreq2 raleq1d sumeq1d fveq2d breq12d imbi12d cz wa csb csbfv2g adantr
      cr ra4csbela elfz3t absclt r19.20si syl2an leidt syl eqbrtrrd fsum1s
      recnd sylan2 3brtr4d ex wss fzssp1t eluzel2 eluzelz sylanc sseld imim1d
      r19.20dv2 abstrit imp fsumclt syldan peano2uz eluzfz2t sylan fsump1s cvv
      oprex ax-mp a1i opreq2d wb leadd1t fsumreclt syl3anc biimpa breqtrrd
      letrt axaddrcl mp2and exp31 a2d syld uzind4 ) DCGHZIAJIZBCDKLZMZXDABNZOHZ
      XDAOHZBNZPQZXCBCERZKLZMZXLABNZOHZXLXHBNZPQZSXCBCCKLZMZXRABNZOHZXRXHBNZPQZ
      SXCBCFRZKLZMZYEABNZOHZYEXHBNZPQZSZXCBCYDTUALZKLZMZYMABNZOHZYMXHBNZPQZSZXE
      XJSEFCDXKCUBZXMXSXQYCYTXCBXLXRXKCCKUCZUDYTXOYAXPYBPYTXNXTOYTXLXRABUUAUEUF
      YTXLXRXHBUUAUEUGUHXKYDUBZXMYFXQYJUUBXCBXLYEXKYDCKUCZUDUUBXOYHXPYIPUUBXNYG
      OUUBXLYEABUUCUEUFUUBXLYEXHBUUCUEUGUHXKYLUBZXMYNXQYRUUDXCBXLYMXKYLCKUCZUDU
      UDXOYPXPYQPUUDXNYOOUUDXLYMABUUEUEUFUUDXLYMXHBUUEUEUGUHXKDUBZXMXEXQXJUUFXC
      BXLXDXKDCKUCZUDUUFXOXGXPXIPUUFXNXFOUUFXLXDABUUGUEUFUUFXLXDXHBUUGUEUGUHCUI
      IZXSYCUUHXSUJZBCAUKZOHZBCXHUKZYAYBPUUIUULUUKUULPUUHUULUUKUBXSBCAUIOULUMUU
      IUULUNIZUULUULPQCXRIXHUNIZBXRMUUMUUHXSBCXRXHUNUOCUPXCUUNBXRAUQZURUSUULUTV
      AVBUUIXTUUJOAJBCVCUFUUHXHJIZBXRMYBUULUBXSXHJBCVCXCUUPBXRXCXHUUOVDZURVEVFV
      GYDXBIZYKYNYJSYSUURYNYFYJUURXCXCBYMYEUURBRZYEIUUSYMIXCUURYEYMUUSUUHYDUIIY
      EYMVHUURCYDVICYDVJCYDVKVLVMVNVOZVNUURYNYJYRUURYNYJYRUURYNUJZYJUJZYPYHBYLX
      HUKZUALZPQZUVDYQPQZYRUVAUVEYJUVAYGBYLAUKZUALZOHZYHUVGOHZUALZYPUVDPYGJIZUV
      GJIZUVIUVKPQUVAYGUVGVPUURYNYFUVLUURYNYFUUTVQZABCYDVRVSZYLYMIZYNUVMUURBYLY
      MAJUOUURYLXBIZUVPCYDVTZCYLWAVAZWBVLUVAYOUVHOAJBCYDWCUFUVAUVCUVJYHUAUVCUVJ
      UBZUVAYLWDIUVTYDTUAWEBYLAWDOULWFWGWHVFUMUVBUVDYIUVCUALZYQPUVAYJUVDUWAPQZY
      HUNIZYIUNIZUVCUNIZYJUWBWIUVAYHYIUVCWJUVAUVLUWCUVOYGUQVAZUURYNUUNBYEMZUWDU
      VAYFUWGUVNXCUUNBYEUUOURVAXHBCYDWKVSUVPUUNBYMMZUWEUURYNBYLYMXHUNUOUVSXCUUN
      BYMUUOURZUSZWLWMUVAYQUWAUBZYJUURUUPBYMMUWKYNXHJBCYDWCXCUUPBYMUUQURVEUMWNU
      VAUVEUVFUJYRSZYJYPUNIZUVDUNIZYQUNIZUWLUVAYPUVDYQWOUVAYOJIZUWMUVQYNUWPUURA
      BCYLVRUVRWBYOUQVAUWCUWEUWNUVAYHUVCWPUWFUWJVLUVQUWHUWOUURYNXHBCYLWKUVRUWIU
      SWLUMWQWRWSWTXAVQ $.
      $( [25-Jan-2006] $) $( [9-Nov-2005] $)
  $}

  ${
    $d m A $.  $d j B $.  $d j J $.  $d j K $.  $d j m M $.  $d j m N $.
    $( The sum of absolute values of the product ` A ( j ) x. B ( m ) ` is
       less than or equal to the product of the two sums of absolute values. $)
    fsumabs2mul $p |- ( ( ( K e. ( ZZ> ` J ) /\ A. j e. ( J ... K ) A e. CC )
       /\ ( N e. ( ZZ> ` M ) /\ A. m e. ( M ... N ) B e. CC ) ) ->
    ( abs ` sum_ j e. ( J ... K ) sum_ m e. ( M ... N ) ( A x. B ) ) <_ (
  sum_ j e. ( J ... K ) ( abs ` A ) x. sum_ m e. ( M ... N ) ( abs ` B ) ) ) $=
      ( cuz cfv wcel cc cfz co wral wa cmul csu cabs cle fsum2mul fveq2d wceq
      absmult fsumclt syl2an eqtrd cr cc0 wbr lemul12itOLD absclt syl
      fsumreclt r19.20si sylan2 jca absge0t fsumabs eqbrtrd ) FEIJKZALKZCEFMNZO
      ZPZHGIJKZBLKZDGHMNZOZPZPZVCVHABQNDRCRZSJZVCACRZSJZVHBDRZSJZQNZVCASJZCRZVH
      BSJZDRZQNZTVKVMVNVPQNZSJZVRVKVLWDSABCDEFGHUAUBVNLKZVPLKZWEVRUCVEVJVNVPUDA
      CEFUEZBDGHUEZUFUGVOUHKZVTUHKZPZUIVOTUJZVOVTTUJZPZPVQUHKZWBUHKZPZUIVQTUJZV
      QWBTUJZPZPVRWCTUJVEVJVOVTVQWBUKVEWLWOVEWJWKVEWFWJWHVNULUMVAVSUHKZCVCOWKVD
      VSCEFUNVBXBCVCAULUOUPUQVEWMWNVEWFWMWHVNURUMACEFUSUQUQVJWRXAVJWPWQVJWGWPWI
      VPULUMVFWAUHKZDVHOWQVIWADGHUNVGXCDVHBULUOUPUQVJWSWTVJWGWSWIVPURUMBDGHUSUQ
      UQUFUT $.
      $( [30-Dec-2006] $) $( [13-Nov-2005] $)
  $}

  ${
    $d k F $.  $d k M $.  $d k N $.
    serzclt.1 $e |- F e. V $.
    $( Closure of partial sums of an infinite series. $)
    serzclt $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N )
               ( F ` k ) e. CC ) -> ( ( <. M , + >. seq F ) ` N ) e. CC ) $=
      ( cuz cfv wcel cv cc cfz co wral wa csu caddc cop cseqz wceq fsumserz
      adantr fsumclt eqeltrrd ) DCFGHZAIBGZJHACDKLZMZNUFUEAOZDCPQBRLGZJUDUHUISU
      GABCDETUAUEACDUBUC $.
      $( [4-Jan-2006] $) $( [3-Oct-2005] $)

    $( Closure of partial sums of a 0-based infinite series. $)
    ser0clt $p |- ( ( N e. NN0 /\ A. k e. ( 0 ... N )
               ( F ` k ) e. CC ) -> ( ( + seq0 F ) ` N ) e. CC ) $=
      ( cn0 wcel cv cfv cc cc0 cfz co wral wa caddc cop cseqz cseq0 cuz
      serzclt elnn0uz sylanb addex seq0seqz fveq1i syl5eqel ) CEFZAGBHIFAJCKLMZ
      NCJOPBQLZHZICOBRLZHCJSHFUHUJIFUGABJCDTCUAUBCUKUIOBUCDUDUEUF $.
      $( [17-Jul-2006] $) $( [6-Jun-2006] $)

    $( Closure of partial sums of a 1-based infinite series. $)
    ser1clt $p |- ( ( N e. NN /\ A. k e. ( 1 ... N )
               ( F ` k ) e. CC ) -> ( ( + seq1 F ) ` N ) e. CC ) $=
      ( cn wcel cv cfv cc c1 cfz co wral wa caddc cop cseqz cseq1 cuz serzclt
      elnnuz sylanb addex seq1seqz fveq1i syl5eqel ) CEFZAGBHIFAJCKLMZNCJOPBQLZ
      HZICOBRLZHCJSHFUHUJIFUGABJCDTCUAUBCUKUIOBUCDUDUEUF $.
      $( [21-Jul-2006] $) $( [6-Jun-2006] $)
  $}

  ${
    $d k x F $.  $d k x N $.
    ser1ser0.1 $e |- F e. V $.
    ser1ser0.2 $e |- ( k e. NN0 -> ( F ` k ) e. CC ) $.
    $( A 1-based infinite series in terms of a 0-based infinite series. $)
    ser1ser0 $p |- ( N e. NN -> ( ( + seq1 F ) ` N ) =
                   ( ( ( + seq0 F ) ` N ) - ( F ` 0 ) ) ) $=
      ( vx cn wcel caddc cseq0 co cfv cc0 cmin cseq1 wceq cfz cv csu c1 cz cc
      wral fsum0split nnzt cuz elnnuz eluzfz2t sylbi cn0 elfznn0t syl rgen a1i
      syl3anc nnnn0t ax-17 fsumser0f nncnt subidt opreq2d sumeq1d 0nn0 ax-mp
      syl6eq addex seq00 opreq1d ax1cn addid2 fsumser1f eqtrd opreq12d
      3eqtr3rd wb subaddt ser0clt mpan2 fveq2 eleq1d vtoclga elfznnt 3syl
      ser1clt mpbird eqcomd ) CGHZCIBJKZLZMBLZNKZCIBOKLZWGWKWLPZWJWLIKZWIPZWGMC
      QKZARZBLZASZMCCNKZQKZWRASZWTTIKZCQKZWRASZIKZWIWNCUAHCTCQKZHZWRUBHZAWPUCZW
      SXFPWGWRACCUDCUEWGCTUFLHXHCUGTCUHUIXJWGXIAWPWQWPHWQUJHZXIWQCUKEULUMZUNUOW
      GCUJHZWSWIPCUPZFABCDFRBHAUQZURULWGXBWJXEWLIWGXBMWHLZWJWGXBMMQKZWRASZXPWGX
      AXQWRAWGWTMMQWGCUBHWTMPCUSCUTULZVAVBMUJHZXRXPPVCFABMDXOURVDVEIBVFDVGVEWGX
      EXGWRASWLWGXDXGWRAWGXCTCQWGXCMTIKTWGWTMTIXSVHTVIVJVEVHVBFABCDXOVKVLVMVNWI
      UBHZWJUBHZWLUBHZWMWOVOWGWIWJWLVPWGXMYAXNXMXJYAXLABCDVQVRULYBWGXTYBVCXIYBA
      MUJWQMPWRWJUBWQMBVSVTEWAVDUNWGXIAXGUCYCXIAXGWQXGHWQGHXKXIWQCWBWQUPEWCUMAB
      CDWDVRUOWEWF $.
      $( [9-Dec-2006] $) $( [6-Jun-2006] $)
  $}

  ${
    $d j k F $.  $d j k M $.  $d j N $.
    serzcl2t.1 $e |- F e. V $.
    $( Closure of partial sums of an infinite series. $)
    serzcl2t $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( ZZ> ` M )
               ( F ` k ) e. CC ) -> ( ( <. M , + >. seq F ) ` N ) e. CC ) $=
      ( vj cuz cfv wcel cv cc cfz co wral caddc cop cseqz serzclt wceq fveq2
      eleq1d rcla4cv elfzuzt syl5 r19.21aiv sylan2 ) DCGHZIFJZBHZKIZFCDLMZNDCOP
      BQMHKIAJZBHZKIZAUGNZFBCDERUOUJFUKUOUHUGIUJUHUKIUNUJAUHUGULUHSUMUIKULUHBTU
      AUBUHCDUCUDUEUF $.
      $( [29-Jul-2006] $) $( [3-Oct-2005] $)
  $}

  ${
    $d k F $.  $d k M $.  $d k N $.
    serzreclt.1 $e |- F e. V $.
    $( The partial sums in an infinite series of real terms are real. $)
    serzreclt $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N )
               ( F ` k ) e. RR ) -> ( ( <. M , + >. seq F ) ` N ) e. RR ) $=
      ( cuz cfv wcel cv cr cfz co wral wa csu caddc cop cseqz wceq fsumserz
      adantr fsumreclt eqeltrrd ) DCFGHZAIBGZJHACDKLZMZNUFUEAOZDCPQBRLGZJUDUHUI
      SUGABCDETUAUEACDUBUC $.
      $( [24-Mar-2006] $) $( [25-Dec-2005] $)
  $}

  ${
    $d j k F $.  $d j k M $.  $d j N $.
    serzref.1 $e |- M e. ZZ $.
    serzref.2 $e |- F : ( ZZ> ` M ) --> RR $.
    $( An infinite series of reals is an infinite real sequence. $)
    serzref $p |- ( <. M , + >. seq F ) : ( ZZ> ` M ) --> RR $=
      ( vk vj cuz cfv cr caddc cop cseqz co wf wfn cv wcel wral ffnfv cz addex
      cvv fvex fex mp2an seqzfn ax-mp cfz elfzuzt ffvelrni syl rgen serzreclt
      mpan2 mpbir2an ) BGHZIBJKALMZNUQUPOZEPZUQHIQZEUPREUPIUQSBTQURCJABUAUPIANU
      PUBQAUBQDBGUCUPIUBAUDUEZUFUGUTEUPUSUPQFPZAHIQZFBUSUHMZRUTVCFVDVBVDQVBUPQV
      CVBBUSUIUPIVBADUJUKULFABUSVAUMUNULUO $.
      $( [20-Oct-2005] $) $( [5-Sep-2005] $)
  $}

  ${
    $d k F $.  $d k M $.  $d k N $.
    serz1p.1 $e |- F e. V $.
    $( Separate out the first term in an infinite series. $)
    serz1p $p |- ( ( N e. ( ZZ> ` M ) /\ M < N /\
       A. k e. ( M ... N ) ( F ` k ) e. CC ) -> ( ( <. M , + >. seq F ) ` N ) =
                 ( ( F ` M ) + ( ( <. ( M + 1 ) , + >. seq F ) ` N ) ) ) $=
      ( cuz cfv wcel clt wbr cv cc cfz co wral w3a csu c1 caddc cop cseqz
      fveq2 fsum1p wceq fsumserz 3ad2ant1 wa cz wb cle eluzt peano2z sylan
      zltp1let bitr4d eluzel2 eluzelz sylanc biimpar syl opreq2d 3adant3
      3eqtr3d ) DCFGHZCDIJZAKZBGZLHACDMNZOZPVHVGAQZCBGZCRSNZDMNVGAQZSNZDCSTBUAN
      GZVKDVLSTBUANGZSNZVGVKACDVFCBUBUCVDVEVJVOUDVIABCDEUEUFVDVEVNVQUDVIVDVEUGZ
      VMVPVKSVRDVLFGHZVMVPUDVDVSVECUHHZDUHHZVSVEUIVDVTWAUGVSVLDUJJZVEVLUHHWAVSW
      BUIVTVLDUKCULUMCDUNUOCDUPCDUQURUSABVLDEUEUTVAVBVC $.
      $( [4-Jan-2006] $) $( [1-Jan-2006] $)
  $}

  ${
    $d k M $.  $d k N $.
    $( The value of the partial sums in a zero-valued infinite series. $)
    serz0 $p |- ( N e. ( ZZ> ` M ) ->
               ( ( <. M , + >. seq ( ( ZZ> ` M ) X. { 0 } ) ) ` N ) = 0 ) $=
      ( vk cuz cfv wcel cfz co cv cc0 csn cxp csu caddc cop cseqz fvex snex
      xpex fsumserz wceq wral elfzuzt cc 0cn elisseti fvconst2 syl rgen sumeq2
      fsum0 sylan9eqr mpan2 eqtr3d ) BADEZFZABGHZCIZUOJKZLZEZCMZBANOUTPHEJCUTAB
      UOUSADQJRSTUPVAJUAZCUQUBZVBJUAVCCUQURUQFURUOFVCURABUCUOJURJUDUEUFUGUHUIVD
      UPVBUQJCMJUQVAJCUJCABUKULUMUN $.
      $( [5-Aug-2006] $) $( [27-Dec-2005] $)
  $}

  ${
    $d k F $.  $d k G $.  $d k M $.  $d k N $.
    serzcmp.1 $e |- F e. V $.
    serzcmp.2 $e |- G e. V $.
    $( Comparison of partial sums of two infinite series of reals. $)
    serzcmp $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N ) ( ( F ` k ) e.
      RR /\ ( G ` k ) e. RR /\ ( F ` k ) <_ ( G ` k ) ) ) ->
        ( ( <. M , + >. seq F ) ` N ) <_ ( ( <. M , + >. seq G ) ` N ) ) $=
      ( cuz cfv wcel cv cr cle wbr w3a cfz co wral wa csu caddc cop cseqz
      fsumcmp wceq fsumserz adantr 3brtr3d ) EDHIJZAKZBIZLJUJCIZLJUKULMNOADEPQZ
      RZSUMUKATZUMULATZEDUAUBZBUCQIZEUQCUCQIZMUKULADEUDUIUOURUEUNABDEFUFUGUIUPU
      SUEUNACDEGUFUGUH $.
      $( [13-Aug-2006] $) $( [27-Dec-2005] $)
  $}

  ${
    $d k F $.  $d k G $.  $d k M $.  $d k N $.
    serzcmp0.1 $e |- F e. V $.
    $( A partial sum of an infinite series is nonnegative if each term is
       nonnegative. $)
    serzcmp0 $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( M ... N ) ( ( F ` k )
         e. RR /\ 0 <_ ( F ` k ) ) ) -> 0 <_ ( ( <. M , + >. seq F ) ` N ) ) $=
      ( cuz cfv wcel cv cr cc0 cle wbr wa cfz co wral caddc cop csn cxp cseqz
      wceq serz0 adantr w3a fvex snex xpex serzcmp elfzuzt 0re elisseti
      fvconst2 syl syl6eqel simprl breq1d biimpar adantrl 3jca r19.20ia sylan2
      eqbrtrrd ) DCFGZHZAIZBGZJHZKVHLMZNZACDOPZQZNDCRSZVEKTZUAZUBPGZKDVNBUBPGZL
      VFVQKUCVMCDUDUEVFVGVPGZJHZVIVSVHLMZUFZAVLQVQVRLMVMAVPBCDVEVOCFUGKUHUIEUJV
      KWBAVLVGVLHZVKNVTVIWAWCVTVKWCVSKJWCVGVEHVSKUCVGCDUKVEKVGKJULUMUNUOZULUPUE
      WCVIVJUQWCVJWAVIWCWAVJWCVSKVHLWDURUSUTVAVBVCVD $.
      $( [21-Sep-2006] $) $( [27-Dec-2005] $)
  $}

  ${
    $d k F $.  $d k M $.  $d k N $.
    serzsplit.1 $e |- F e. V $.
    $( Split off an initial piece of the partial sum of an infinite series. $)
    serzsplit $p |- ( ( N e. ZZ /\ K e. ( M ... ( N - 1 ) )
       /\ A. k e. ( M ... N ) ( F ` k ) e. CC ) ->
     ( ( <. M , + >. seq F ) ` N ) = ( ( ( <. M , + >. seq F ) ` K ) +
        ( ( <. ( K + 1 ) , + >. seq F ) ` N ) ) ) $=
      ( cz wcel c1 cmin co cfz cv cfv cc wral w3a csu caddc cop cseqz
      fsumsplit wceq wa cuz zcnt ax1cn npcant mpan2 syl adantr cvv oprex
      elfzuz2t mpan peano2uz adantl eqeltrrd fsumserz 3adant3 elfzuzt elfzuz3t
      eluzp1p1t opreq12d 3eqtr3d ) EGHZCDEIJKZLKHZAMBNZOHADELKZPZQVJVIARZDCLKVI
      ARZCISKZELKVIARZSKZEDSTBUAKZNZCVQNZEVNSTBUAKNZSKZVIACDEUBVFVHVLVRUCZVKVFV
      HUDZEDUENZHWBWCVGISKZEWDVFWEEUCZVHVFEOHZWFEUFWGIOHWFUGEIUHUIUJUKZVHWEWDHZ
      VFVHVGWDHZWIVGULHZVHWJEIJUMZULCDVGUNUODVGUPUJUQURABDEFUSUJUTVFVHVPWAUCVKW
      CVMVSVOVTSWCCWDHZVMVSUCVHWMVFCDVGVAUQABDCFUSUJWCEVNUENZHVOVTUCWCWEEWNWHVH
      WEWNHZVFVHVGCUENHZWOWKVHWPWLULCDVGVBUOCVGVCUJUQURABVNEFUSUJVDUTVE $.
      $( [9-Jun-2006] $) $( [26-Dec-2005] $)

  $}

  ${
    $d k C $.  $d k F $.  $d k G $.  $d k M $.  $d k N $.
    serzmulc1.1 $e |- F e. V $.
    serzmulc1.2 $e |- G e. V $.
    $( A constant ` C ` times a series. $)
    serzmulc1 $p |- ( ( N e. ( ZZ> ` M ) /\ C e. CC /\ A. k e. ( M ... N )
         ( ( F ` k ) e. CC /\ ( G ` k ) = ( C x. ( F ` k ) ) ) ) ->
    ( C x. ( ( <. M , + >. seq F ) ` N ) ) = ( ( <. M , + >. seq G ) ` N ) ) $=
      ( cuz cfv wcel cc cv cmul co wceq wa cfz wral w3a csu caddc cop cseqz
      pm3.27 r19.20si sumeq2d 3ad2ant3 fsummulc1 pm3.26 syl3an3 eqtr4d
      fsumserz 3ad2ant1 opreq2d 3eqtr3rd ) FEIJKZALKZBMZCJZLKZUSDJZAUTNOZPZQZBE
      FROZSZTZVFVBBUAZAVFUTBUAZNOZFEUBUCZDUDOJZAFVLCUDOJZNOZVHVIVFVCBUAZVKVGUQV
      IVPPURVGVFVBVCBVEVDBVFVAVDUEUFUGUHUQURVABVFSVKVPPVGUTABEFUIVEVABVFVAVDUJU
      FUKULUQURVIVMPVGBDEFHUMUNUQURVKVOPVGUQVJVNANBCEFGUMUOUNUP $.
      $( [2-Nov-2007] $) $( [1-Nov-2007] $)
  $}

  ${
    $d j k C $.  $d j k F $.  $d j k G $.  $d j k M $.  $d j N $.
    serzmulc.1 $e |- C e. CC $.
    serzmulc.2 $e |- F : ( ZZ> ` M ) --> CC $.
    serzmulc.3 $e |- G e. V $.
    serzmulc.4 $e |- ( k e. ( ZZ> ` M ) ->
                     ( G ` k ) = ( C x. ( F ` k ) ) ) $.
    $( MAY BE REVISED - replace with serzmulc1 $)
    $( A constant ` C ` times a series. $)
    serzmulc $p |- ( N e. ( ZZ> ` M ) -> ( ( <. M , + >. seq G ) ` N ) =
                   ( C x. ( ( <. M , + >. seq F ) ` N ) ) ) $=
      ( vj cuz cfv wcel caddc cop cseqz co cmul cc wceq cv wa cfz wral elfzuzt
      ffvelrni fveq2 opreq2d eqeq12d vtoclga jca syl rgen wf cvv fvex fex
      mp2an serzmulc1 mp3an3 mpan2 eqcomd ) FELMZNZAFEOPZCQRMSRZFVFDQRMZVEATNZV
      GVHUAZGVEVIKUBZCMZTNZVKDMZAVLSRZUAZUCZKEFUDRZUEVJVQKVRVKVRNVKVDNZVQVKEFUF
      VSVMVPVDTVKCHUGBUBZDMZAVTCMZSRZUAVPBVKVDVTVKUAZWAVNWCVOVTVKDUHWDWBVLASVTV
      KCUHUIUJJUKULUMUNAKCDEFVDTCUOVDUPNCUPNHELUQVDTUPCURUSIUTVAVBVC $.
      $( [21-Nov-2005] $) $( [7-Sep-2005] $)
  $}

  ${
    $d k F $.  $d k G $.  $d k C $.
    ser0mulc.1 $e |- C e. CC $.
    ser0mulc.2 $e |- F : NN0 --> CC $.
    ser0mulc.3 $e |- G e. V $.
    ser0mulc.4 $e |- ( k e. NN0 -> ( G ` k ) = ( C x. ( F ` k ) ) ) $.
    $( MAY BE REVISED $)
    $( A constant ` C ` times a 0-based series. $)
    ser0mulc $p |- ( N e. NN0 ->
                    ( ( + seq0 G ) ` N ) = ( C x. ( ( + seq0 F ) ` N ) ) ) $=
      ( cn0 wcel cc0 caddc cop cseqz co cfv cmul cseq0 cuz wceq elnn0uz cc wf
      wb nn0uz feq2 ax-mp mpbi cv sylbir serzmulc sylbi addex seq0seqz fveq1i
      cvv nn0ex fex mp2an opreq2i 3eqtr4g ) EJKZELMNZDOPZQZAEVDCOPZQZRPZEMDSPZQ
      AEMCSPZQZRPVCELTQZKVFVIUAEUBABCDLEFJUCCUDZVMUCCUDZGJVMUAVNVOUEUFJVMUCCUGU
      HUIHBUJZVMKVPJKVPDQAVPCQRPUAVPUBIUKULUMEVJVEMDUNHUOUPVLVHAREVKVGMCUNVNJUQ
      KCUQKGURJUCUQCUSUTUOUPVAVB $.
      $( [28-Mar-2006] $) $( [9-Sep-2005] $)
  $}

  ${
    $d k F $.  $d k G $.  $d k C $.
    ser1mulc.1 $e |- C e. CC $.
    ser1mulc.2 $e |- F : NN --> CC $.
    ser1mulc.3 $e |- G e. V $.
    ser1mulc.4 $e |- ( k e. NN -> ( G ` k ) = ( C x. ( F ` k ) ) ) $.
    $( MAY BE REVISED $)
    $( A constant ` C ` times a 1-based series. $)
    ser1mulc $p |- ( N e. NN ->
                    ( ( + seq1 G ) ` N ) = ( C x. ( ( + seq1 F ) ` N ) ) ) $=
      ( cn wcel c1 caddc cop cseqz co cfv cmul cseq1 cuz wceq elnnuz cc wf wb
      nnuz feq2 ax-mp mpbi cv sylbir serzmulc sylbi addex seq1seqz fveq1i cvv
      nnex fex mp2an opreq2i 3eqtr4g ) EJKZELMNZDOPZQZAEVDCOPZQZRPZEMDSPZQAEMCS
      PZQZRPVCELTQZKVFVIUAEUBABCDLEFJUCCUDZVMUCCUDZGJVMUAVNVOUEUFJVMUCCUGUHUIHB
      UJZVMKVPJKVPDQAVPCQRPUAVPUBIUKULUMEVJVEMDUNHUOUPVLVHAREVKVGMCUNVNJUQKCUQK
      GURJUCUQCUSUTUOUPVAVB $.
      $( [6-Apr-2006] $) $( [9-Sep-2005] $)
  $}

  ${
    $d F j k m $.  $d G j k m $.  $d H j k m $.  $d M j k m $.  $d N j $.
    serzre.1 $e |- F e. V $.
    serzre.2 $e |- G e. V $.
    ${
      serzrelem.3 $e |- ( k e. ( ZZ> ` M ) ->
                     ( ( F ` k ) e. CC /\ ( G ` k ) = ( H ` ( F ` k ) ) ) ) $.
      serzrelem.4 $e |- ( ( ( ( <. M , + >. seq F ) ` m ) e. CC /\
                          ( F ` ( m + 1 ) ) e. CC ) ->
    ( H ` ( ( ( <. M , + >. seq F ) ` m ) + ( F ` ( m + 1 ) ) ) ) =
    ( ( H ` ( ( <. M , + >. seq F ) ` m ) ) + ( H ` ( F ` ( m + 1 ) ) ) ) ) $.
      $( Lemma for ~ serzre , ~ serzim and ~ serzcj . $)
      serzrelem $p |- ( N e. ( ZZ> ` M ) -> ( ( <. M , + >. seq G ) ` N ) =
                        ( H ` ( ( <. M , + >. seq F ) ` N ) ) ) $=
        ( vj cv caddc cop cseqz co cfv wceq c1 fveq2 fveq2d eqeq12d cz wcel
        cuz uzidt cc pm3.27d vtoclga syl addex seqz1 3eqtr4d wa seqzp1 opreq1
        sylan9eq wral pm3.26d rgen serzcl2t mpan2 peano2uz eleq1d sylanc
        opreq2d 3eqtr4rd adantr eqtrd ex uzind4 ) LMZFNOZDPQZRZVMVNCPQZRZERZSFV
        ORZFVQRZERZSBMZVORZWCVQRZERZSZWCTNQZVORZWHVQRZERZSZGVORZGVQRZERZSLBFGVM
        FSZVPVTVSWBVMFVOUAWPVRWAEVMFVQUAUBUCVMWCSZVPWDVSWFVMWCVOUAWQVRWEEVMWCVQ
        UAUBUCVMWHSZVPWIVSWKVMWHVOUAWRVRWJEVMWHVQUAUBUCVMGSZVPWMVSWOVMGVOUAWSVR
        WNEVMGVQUAUBUCFUDUEZFDRZFCRZERZVTWBWTFFUFRZUEXAXCSZFUGAMZDRZXFCRZERZSZX
        EAFXDXFFSZXGXAXIXCXFFDUAXKXHXBEXFFCUAUBUCXFXDUEZXHUHUEZXJJUIZUJUKNDFULI
        UMWTWAXBENCFULHUMUBUNWCXDUEZWGWLXOWGUOWIWFWHDRZNQZWKXOWGWIWDXPNQXQNDFWC
        ULIUPWDWFXPNUQURXOXQWKSWGXOWEWHCRZNQZERZWFXRERZNQZWKXQWEUHUEZXRUHUEZXTY
        BSXOKXOXMAXDUSYCXMAXDXLXMXJJUTZVAACFWCHVBVCXOWHXDUEZYDFWCVDZXMYDAWHXDXF
        WHSZXHXRUHXFWHCUAZVEYEUJUKVFXOWJXSENCFWCULHUPUBXOXPYAWFNXOYFXPYASZYGXJY
        JAWHXDYHXGXPXIYAXFWHDUAYHXHXREYIUBUCXNUJUKVGVHVIVJVKVL $.
        $( [10-Nov-2007] $) $( [9-Nov-2007] $)
    $}

    ${
      serzre.3 $e |- ( k e. ( ZZ> ` M ) -> ( ( F ` k ) e. CC /\
                       ( G ` k ) = ( Re ` ( F ` k ) ) ) ) $.
      $( The real part of a series.  (Contributed by Paul Chapman,
         9-Nov-2007.) $)
      serzre $p |- ( N e. ( ZZ> ` M ) -> ( ( <. M , + >. seq G ) ` N ) =
                     ( Re ` ( ( <. M , + >. seq F ) ` N ) ) ) $=
        ( vm cre cv caddc cop cseqz co cfv c1 readdt serzrelem ) AIBCJDEFGHIKZD
        LMBNOPTQLOBPRS $.
        $( [10-Nov-2007] $) $( [9-Nov-2007] $)
    $}

    ${
      serzim.3 $e |- ( k e. ( ZZ> ` M ) -> ( ( F ` k ) e. CC /\
                       ( G ` k ) = ( Im ` ( F ` k ) ) ) ) $.
      $( The imaginary part of a series.  (Contributed by Paul Chapman,
         9-Nov-2007.) $)
      serzim $p |- ( N e. ( ZZ> ` M ) -> ( ( <. M , + >. seq G ) ` N ) =
                     ( Im ` ( ( <. M , + >. seq F ) ` N ) ) ) $=
        ( vm cim cv caddc cop cseqz co cfv c1 imaddt serzrelem ) AIBCJDEFGHIKZD
        LMBNOPTQLOBPRS $.
        $( [10-Nov-2007] $) $( [9-Nov-2007] $)
    $}

    ${
      serzcj.3 $e |- ( k e. ( ZZ> ` M ) -> ( ( F ` k ) e. CC /\
                       ( G ` k ) = ( * ` ( F ` k ) ) ) ) $.
      $( The complex conjugate of a series.  (Contributed by Paul Chapman,
         9-Nov-2007.) $)
      serzcj $p |- ( N e. ( ZZ> ` M ) -> ( ( <. M , + >. seq G ) ` N ) =
                     ( * ` ( ( <. M , + >. seq F ) ` N ) ) ) $=
        ( vm ccj cv caddc cop cseqz co cfv c1 cjaddt serzrelem ) AIBCJDEFGHIKZD
        LMBNOPTQLOBPRS $.
        $( [10-Nov-2007] $) $( [9-Nov-2007] $)
    $}
  $}

  ${
    $d F k $.  $d G k $.
    ser0cj.1 $e |- F e. V $.
    ser0cj.2 $e |- G e. V $.
    ser0cj.3 $e |- ( k e. NN0 -> ( ( F ` k ) e. CC /\
                        ( G ` k ) = ( * ` ( F ` k ) ) ) ) $.
    $( The complex conjugate of a 0-based series. $)
    ser0cj $p |- ( N e. NN0 ->
                    ( ( + seq0 G ) ` N ) = ( * ` ( ( + seq0 F ) ` N ) ) ) $=
      ( cc0 cuz cfv wcel caddc cop cseqz co ccj wceq cn0 cseq0 cv cc wa
      elnn0uz sylbir serzcj addex seq0seqz fveq1i fveq2i eqeq12i 3imtr4 ) DHIJZ
      KDHLMZCNOZJZDUMBNOZJZPJZQDRKDLCSOZJZDLBSOZJZPJZQABCHDEFATZULKVDRKVDBJZUAK
      VDCJVEPJQUBVDUCGUDUEDUCUTUOVCURDUSUNLCUFFUGUHVBUQPDVAUPLBUFEUGUHUIUJUK $.
      $( [10-Nov-2007] $) $( [7-Jun-2006] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The binomial theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j k x A $.  $d j k x B $.  $d j k x N $.
    binomlem.1 $e |- A e. CC $.
    binomlem.2 $e |- B e. CC $.
    $( Lemma for ~ binom (binomial theorem).  Break out and simplify the first
       term of the summation. $)
    binomlem1 $p |- ( N e. NN -> ( sum_ k e. ( 0 ... N )
             ( ( N C. k ) x. ( ( A ^ ( N - k ) ) x. ( B ^ k ) ) ) x. A ) =
         ( ( A ^ ( N + 1 ) ) + sum_ k e. ( 1 ... N ) ( ( N C. k ) x.
             ( ( A ^ ( ( N + 1 ) - k ) ) x. ( B ^ k ) ) ) ) ) $=
      ( vx cn wcel cc0 cfz co cv cbc cmin cexp cmul csu c1 caddc csb cn0 wceq
      nnnn0t cuz cfv cc wral fsummulc2 mp3an2 elnn0uz biimp wa axmulcl cz
      bcclt nn0cnt syl elfzelz sylan2 fznn0subt expclt mpan elfznn0t adantl
      sylanc r19.21aiva axmulass mp3an3 ax1cn addsubt zcnt syl2an opreq2d
      expp1t eqtrd opreq1d mul23t eqtr2d sumeq2dv clt wbr fsum1ps nn0uz
      syl6eleq nngt0t peano2nn0 adantr fzelp1t sylan syl3anc bcn0t peano2cn
      subid1t 3syl ax1id opreq12d mulid2t 0cn elisseti ax-17 opreq2 exp0t
      ax-mp syl6eq csbief syl5eq addid2 opreq1i sumeq1i a1i 3eqtrd ) DHIZJDKLZD
      CMZNLZADXOOLZPLZBXOPLZQLZQLZCRAQLZXNXPADSTLZXOOLZPLZXSQLZQLZCRZCJYGUAZJST
      LZDKLZYGCRZTLZAYCPLZSDKLZYGCRZTLZXMDUBIZYBYHUCDUDZYRYBXNYAAQLZCRZYHDJUEUF
      ZIZYAUGIZCXNUHZYBUUAUCZYRUUCAUGIZUUEUUFEYAACJDUIUJYRUUCDUKULYRUUDCXNXPUGI
      ZXTUGIZUUDYRXOXNIZUMZXPXTUNYRXOUOIZUUHUUJYRUULUMXPUBIUUHXODUPXPUQURXOJDUS
      ZUTZXRUGIZXSUGIZUUIUUKXRXSUNUUKXQUBIZUUOUBXOJDVAZUUGUUQUUOEAXQVBVCURZUUJU
      UPYRUUJXOUBIZUUPXODVDBUGIZUUTUUPFBXOVBVCURVEZVFZVFVGVFYRXNYTYGCUUKYTXPXTA
      QLZQLZYGUUHUUIYTUVEUCZUUKUUHUUIUUGUVFEXPXTAVHVIUUNUVCVFUUKUVDYFXPQUUKYFXR
      AQLZXSQLZUVDUUKYEUVGXSQUUKYEAXQSTLZPLZUVGUUKYDUVIAPDUGIZXOUGIZYDUVIUCZYRU
      UJUVKSUGIUVLUVMVJDSXOVKUJDUQZUUJUULUVLUUMXOVLURVMVNUUKUUQUVJUVGUCZUURUUGU
      UQUVOEAXQVOVCURVPVQUUOUUPUVHUVDUCZUUKUUOUUGUUPUVPEXRAXSVRUJUUSUVBVFVSVNVP
      VTVPURUUCJDWAWBYGUGIZCXNUHYHYMUCXMYGCJDWCXMDUBUUBYSWDWEDWFXMUVQCXNYRUUJUV
      QXMUUHYFUGIZUVQUUKXPYFUNUUNYEUGIZUUPUVRUUKYEXSUNUUKYDUBIZUVSYCUBIZXOJYCKL
      IUVTUUKUBXOJYCVAYRUWAUUJDWGZWHUBXOJDWIVFUUGUVTUVSEAYDVBVCURUVBVFVFYSWJVGW
      KXMYRYMYQUCYSYRYIYNYLYPTYRDJNLZAYCJOLZPLZSQLZQLZYNYIYRUWGSYNQLZYNYRUWCSUW
      FYNQDWLYRUWFYNSQLZYNYRUWEYNSQYRUWDYCAPYRUVKYCUGIUWDYCUCUVNDWMYCWNWOVNVQYR
      UWAYNUGIZUWIYNUCUWBUUGUWAUWJEAYCVBVCZYNWPWOVPWQYRUWAUWJUWHYNUCUWBUWKYNWRW
      OVPCGJYGUWGJUGWSWTGMUWGICXAXOJUCZXPUWCYFUWFQXOJDNXBUWLYEUWEXSSQUWLYDUWDAP
      XOJYCOXBVNUWLXSBJPLZSXOJBPXBUVAUWMSUCFBXCXDXEWQWQXFXGYLYPUCYRYKYOYGCYJSDK
      SVJXHXIXJXKWQURXL $.
      $( [30-Jan-2006] $) $( [6-Dec-2005] $)

    $( Lemma for ~ binom (binomial theorem).  Shift up the summation index with
       ~ fsumshft , then break out and simplify the last term of the
       summation. $)
    binomlem2 $p |- ( N e. NN -> ( sum_ k e. ( 0 ... N )
             ( ( N C. k ) x. ( ( A ^ ( N - k ) ) x. ( B ^ k ) ) ) x. B ) =
         ( sum_ k e. ( 1 ... N ) ( ( N C. ( k - 1 ) ) x.
        ( ( A ^ ( ( N + 1 ) - k ) ) x. ( B ^ k ) ) ) + ( B ^ ( N + 1 ) ) ) ) $=
      ( vj vx cn wcel cc0 cfz co cv cbc cmin cexp cmul csu c1 caddc cn0 wceq
      nnnn0t csb cuz cfv cc wral fsummulc2 mp3an2 elnn0uz biimp wa axmulcl cz
      bcclt nn0cnt syl elfzelz sylan2 fznn0subt expclt mpan elfznn0t adantl
      sylanc r19.21aiva axmulass mp3an3 expp1t opreq2d eqtr4d eqtrd sumeq2dv
      1z fsumshft peano2nn0 ax-17 opreq2 opreq1 opreq12d cbvsum syl5eq ax1cn
      addid2 opreq1i a1i subsub3t npcant mpan2 zcnt syl2an oprex csbief
      sumeq12rdv 3eqtrd elnnuz fsump1 sylbi pncant bcnnt peano2cn subidt 3syl
      exp0t ax-mp syl6eq opreq1d mulid2t ) DIJZKDLMZDCNZOMZADXMPMZQMZBXMQMZRMZR
      MZCSBRMZTDTUAMZLMZDXMTPMZOMZAYAXMPMZQMZXQRMZRMZCSZTDLMYHCSZDYATPMZOMZAYAY
      APMZQMZBYAQMZRMZRMZUAMZYJYOUAMXKDUBJZXTYIUCDUDZYSXTXLXNXPBXMTUAMZQMZRMZRM
      ZCSZKTUAMZYALMZGYCDGNZOMZADUUHPMZQMZBUUHTUAMZQMZRMZRMZUEZCSZYIYSXTXLXSBRM
      ZCSZUUEDKUFUGJZXSUHJZCXLUIZXTUUSUCZYSUUTBUHJZUVBUVCFXSBCKDUJUKYSUUTDULUMZ
      YSUVACXLXNUHJZXRUHJZUVAYSXMXLJZUNZXNXRUOYSXMUPJZUVFUVHYSUVJUNXNUBJUVFXMDU
      QXNURUSXMKDUTVAZXPUHJZXQUHJZUVGUVIXPXQUOUVIXOUBJZUVLUBXMKDVBAUHJZUVNUVLEA
      XOVCVDUSZUVHUVMYSUVHXMUBJZUVMXMDVEZUVDUVQUVMFBXMVCVDUSVFZVGZVGVHVGYSXLUUR
      UUDCUVIUURXNXRBRMZRMZUUDUVFUVGUURUWBUCZUVIUVFUVGUVDUWCFXNXRBVIVJUVKUVTVGU
      VIUWAUUCXNRUVIUWAXPXQBRMZRMZUUCUVLUVMUWAUWEUCZUVIUVLUVMUVDUWFFXPXQBVIVJUV
      PUVSVGUVIUUBUWDXPRUVHUUBUWDUCZYSUVHUVQUWGUVRUVDUVQUWGFBXMVKVDUSVFVLVMVLVN
      VOVNYSXLUUOGSZUUQUUEUUTUUOUHJZGXLUIZUWHUUQUCZYSUUTTUPJUWJUWKVPUUOGCTKDVQU
      KUVEYSUWIGXLUUIUHJZUUNUHJZUWIYSUUHXLJZUNZUUIUUNUOYSUUHUPJZUWLUWNYSUWPUNUU
      IUBJUWLUUHDUQUUIURUSUUHKDUTVAUUKUHJZUUMUHJZUWMUWOUUKUUMUOUWOUUJUBJZUWQUBU
      UHKDVBUVOUWSUWQEAUUJVCVDUSUWNUWRYSUWNUULUBJZUWRUWNUUHUBJUWTUUHDVEUUHVRUSU
      VDUWTUWRFBUULVCVDUSVFVGVGVHVGHXLUUDUUOCGHNZUUDJGVSUXAUUOJCVSXMUUHUCZXNUUI
      UUCUUNRXMUUHDOVTUXBXPUUKUUBUUMRUXBXOUUJAQXMUUHDPVTVLUXBUUAUULBQXMUUHTUAWA
      VLWBWBWCWDYSUUGYBUUPYHCUUGYBUCYSUUFTYALTWEWFWGWHYSXMYBJZUNZYDADYCPMZQMZBY
      CTUAMZQMZRMZRMZYHUUPUXDUXIYGYDRDUHJZXMUHJZUXIYGUCYSUXCUXKUXLUNZUXFYFUXHXQ
      RUXMUXEYEAQUXKUXLTUHJZUXEYEUCWEDXMTWIVJVLUXLUXHXQUCUXKUXLUXGXMBQUXLUXNUXG
      XMUCWEXMTWJWKVLVFWBDURZUXCUVJUXLXMTYAUTXMWLUSWMVLGHYCUUOUXJXMTPWNUXAUXJJG
      VSUUHYCUCZUUIYDUUNUXIRUUHYCDOVTUXPUUKUXFUUMUXHRUXPUUJUXEAQUUHYCDPVTVLUXPU
      ULUXGBQUUHYCTUAWAVLWBWBWOWDWPWQUSXKDTUFUGJYIYRUCDWRYHYQCTDYDYGRWNYLYPRWNX
      MYAUCZYDYLYGYPRUXQYCYKDOXMYATPWAVLUXQYFYNXQYORUXQYEYMAQXMYAYAPVTVLXMYABQV
      TWBWBWSWTXKYQYOYJUAXKYSYQYOUCYTYSYQTYORMZYOYSYLTYPYORYSYLDDOMTYSYKDDOYSUX
      KYKDUCZUXOUXKUXNUXSWEDTXAWKUSVLDXBVNYSYPUXRYOYSYNTYORYSYNAKQMZTYSYMKAQYSU
      XKYAUHJYMKUCUXODXCYAXDXEVLUVOUXTTUCEAXFXGXHXIYSYAUBJZYOUHJZUXRYOUCDVRUVDU
      YAUYBFBYAVCVDYOXJXEZVNWBUYCVNUSVLWQ $.
      $( [30-Jan-2006] $) $( [7-Dec-2005] $)

    $( Lemma for ~ binom (binomial theorem).  Break out the last term of the
       summation used by the induction hypothesis. $)
    binomlem3 $p |- ( N e. NN ->
       sum_ k e. ( 1 ... ( N + 1 ) ) ( ( ( N + 1 ) C. k ) x.
             ( ( A ^ ( ( N + 1 ) - k ) ) x. ( B ^ k ) ) ) =
   ( sum_ k e. ( 1 ... N ) ( ( ( N + 1 ) C. k ) x.
             ( ( A ^ ( ( N + 1 ) - k ) ) x. ( B ^ k ) ) )
                  + ( B ^ ( N + 1 ) ) ) ) $=
      ( cn wcel c1 caddc co cfz cv cbc cmin cexp cmul csu cuz cfv wceq elnnuz
      oprex opreq2 opreq2d opreq12d fsump1 sylbi cn0 nnnn0t peano2nn0 bcnnt
      cc0 cc nn0cnt subidt syl exp0t ax-mp syl6eq opreq1d expclt mpan mulid2t
      eqtrd 3syl ) DGHZIDIJKZLKVHCMZNKZAVHVIOKZPKZBVIPKZQKZQKZCRZIDLKVOCRZVHVHN
      KZAVHVHOKZPKZBVHPKZQKZQKZJKZVQWAJKVGDISTHVPWDUADUBVOWCCIDVJVNQUCVRWBQUCVI
      VHUAZVJVRVNWBQVIVHVHNUDWEVLVTVMWAQWEVKVSAPVIVHVHOUDUEVIVHBPUDUFUFUGUHVGWC
      WAVQJVGDUIHVHUIHZWCWAUADUJDUKWFWCIWAQKZWAWFVRIWBWAQVHULWFWBWGWAWFVTIWAQWF
      VTAUMPKZIWFVSUMAPWFVHUNHVSUMUAVHUOVHUPUQUEAUNHWHIUAEAURUSUTVAWFWAUNHZWGWA
      UABUNHWFWIFBVHVBVCWAVDUQZVEUFWJVEVFUEVE $.
      $( [30-Jan-2006] $) $( [7-Dec-2005] $)

    $( Lemma for ~ binom (binomial theorem).  Break out the first term of the
       summation used by the induction hypothesis. $)
    binomlem4 $p |- ( N e. NN0 ->
       sum_ k e. ( 0 ... ( N + 1 ) ) ( ( ( N + 1 ) C. k ) x.
             ( ( A ^ ( ( N + 1 ) - k ) ) x. ( B ^ k ) ) ) =
   ( ( A ^ ( N + 1 ) ) + sum_ k e. ( 1 ... ( N + 1 ) ) ( ( ( N + 1 ) C. k ) x.
             ( ( A ^ ( ( N + 1 ) - k ) ) x. ( B ^ k ) ) ) ) ) $=
      ( vx cn0 wcel cc0 c1 caddc co cfz cv cbc cmin cexp cmul csu csb cuz cfv
      clt wbr cc wral wceq fsum1ps peano2nn0 nn0uz syl6eleq cn nn0p1nnt nngt0t
      syl wa axmulcl cz bcclt nn0cnt elfzelz syl2an cvv oprex fznn0subt mpan
      expclt adantl elfznn0t sylanc r19.21aiva syl3anc bcn0t subid1t 3syl
      opreq2d opreq1d ax1id eqtrd opreq12d mulid2t 0cn elisseti ax-17 opreq2
      exp0t ax-mp syl6eq csbief syl5eq ax1cn addid2 opreq1i sumeq1i a1i ) DHIZJ
      DKLMZNMZWRCOZPMZAWRWTQMZRMZBWTRMZSMZSMZCTZCJXFUAZJKLMZWRNMZXFCTZLMZAWRRMZ
      KWRNMZXFCTZLMWRJUBUCZIJWRUDUEZXFUFIZCWSUGXGXLUHWQXFCJWRUIWQWRHXPDUJZUKULW
      QWRUMIXQDUNWRUOUPWQXRCWSXAUFIZXEUFIZXRWQWTWSIZUQZXAXEURWRHIZWTUSIZXTWQYBY
      DYEUQXAHIXTWTWRUTXAVAUPXSWTJWRVBVCXCUFIZXDUFIZYAYCXCXDURYBYFWQYBXBHIZYFWR
      VDIYBYHDKLVEVDWTJWRVFVGAUFIZYHYFEAXBVHVGUPVIYBYGWQYBWTHIZYGWTWRVJBUFIZYJY
      GFBWTVHVGUPVIVKVKVLVMWQXHXMXKXOLWQWRJPMZAWRJQMZRMZKSMZSMZXMXHWQYPKXMSMZXM
      WQYLKYOXMSWQYDYLKUHXSWRVNUPWQYOXMKSMZXMWQYNXMKSWQYMWRARWQYDWRUFIYMWRUHXSW
      RVAWRVOVPVQVRWQYDXMUFIZYRXMUHXSYIYDYSEAWRVHVGZXMVSVPVTWAWQYDYSYQXMUHXSYTX
      MWBVPVTCGJXFYPJUFWCWDGOYPICWEWTJUHZXAYLXEYOSWTJWRPWFUUAXCYNXDKSUUAXBYMARW
      TJWRQWFVQUUAXDBJRMZKWTJBRWFYKUUBKUHFBWGWHWIWAWAWJWKXKXOUHWQXJXNXFCXIKWRNK
      WLWMWNWOWPWAVT $.
      $( [30-Jan-2006] $) $( [7-Dec-2005] $)

    $( Lemma for ~ binom (binomial theorem).  We use Pascal's rule ~ bcpasct
       to combine the sum of the summations in ~ binomlem1 and ~ binomlem2
       into a single summation. $)
    binomlem5 $p |- ( N e. NN -> ( sum_ k e. ( 0 ... N )
         ( ( N C. k ) x. ( ( A ^ ( N - k ) ) x. ( B ^ k ) ) ) x. ( A + B ) ) =
      sum_ k e. ( 0 ... ( N + 1 ) ) ( ( ( N + 1 ) C. k ) x.
             ( ( A ^ ( ( N + 1 ) - k ) ) x. ( B ^ k ) ) ) ) $=
      ( cn wcel cc0 cfz co cv cbc cmin cexp cmul csu caddc c1 cc wceq axaddass
      peano2nn cn0 expclt nnnn0t sylan2 mpan syl wral wa axmulcl cz bcclt
      nn0cnt elfzelz syl2an fzelp1t cvv oprex fznn0subt 3syl elfznnt adantl
      sylanc r19.21aiva cuz cfv fsumclt elnnuz sylanb mpdan axaddcl peano2zm
      syl3anc binomlem1 binomlem2 opreq12d binomlem3 jca fsumadd adddirt
      bcpasct opreq1d eqtr3d sumeq2dv 3eqtr2d opreq2d 3eqtr4d nn0uz syl6eleq
      elnn0uz biimpr elfznn0t axdistr mp3an23 binomlem4 ) DGHZIDJKZDCLZMKZADWTN
      KZOKZBWTOKZPKZPKZCQZAPKZXGBPKZRKZADSRKZOKZSXKJKZXKWTMKZAXKWTNKZOKZXDPKZPK
      ZCQZRKZXGABRKPKZIXKJKXRCQZWRXLSDJKZXAXQPKZCQZRKZYCDWTSNKZMKZXQPKZCQZBXKOK
      ZRKZRKZXLYEYLRKZRKZXJXTXLTHZYETHZYLTHZYMYOUAWRXLYEYLUBWRXKGHZYPDUCZATHZYS
      YPEUUAXKUDHZYPYSAXKUEXKUFZUGUHUIWRYDTHZCYCUJZYQWRUUDCYCXATHZXQTHZUUDWRWTY
      CHZUKZXAXQULZDUDHZWTUMHZUUFWRUUHUUKUULUKXAUDHZUUFWTDUNZXAUOZUIZDUFZWTSDUP
      ZUQXPTHZXDTHZUUGUUIXPXDULUUIWTXMHZXOUDHZUUSGWTSDURXKUSHUVAUVBDSRUTUSWTSXK
      VAUHUUAUVBUUSEAXOUEUHVBUUHUUTWRUUHWTGHZUUTWTDVCBTHZUVCUUTFUVDWTUDHZUUTUVC
      BWTUEZWTUFUGUHUIVDVEZVEVFDSVGVHHZUUEYQWRYDCSDVIDVJZVKVLZYJTHZYKTHZYRWRYJY
      KVMWRYITHZCYCUJZUVKWRUVMCYCYHTHZUUGUVMUUIYHXQULZUUKYGUMHZUVOWRUUHUUKUVQUK
      YHUDHZUVOYGDUNZYHUOZUIUUQUUHUULUVQUURWTVNUIZUQUVGVEVFUVHUVNUVKWRYICSDVIUV
      IVKVLZWRYSUVLYTUVDYSUVLFUVDUUBUVLYSBXKUEUUCUGUHUIZVEVOWRXHYFXIYLRABCDEFVP
      ABCDEFVQVRWRXSYNXLRWRXSYCXRCQZYKRKYEYJRKZYKRKZYNABCDEFVSWRUWEUWDYKRWRYCYD
      YIRKZCQZUWEUWDWRUUDUVMUKZCYCUJZUWHUWEUAZWRUWICYCUUIUUDUVMUUFUUGUUDUUIUUJU
      UIUUMUUFUUKUULUUMWRUUHUUNUUQUURUQUUOUIZUVGVEUVOUUGUVMUUIUVPUUIUVRUVOUUKUV
      QUVRWRUUHUVSUUQUWAUQUVTUIZUVGVEVTVFUVHUWJUWKWRYDYICSDWAUVIVKVLWRYCUWGXRCU
      UIXAYHRKZXQPKZUWGXRUUFUVOUUGUWOUWGUAUUIXAYHXQWBUWLUWMUVGVOUUIUWNXNXQPUUKU
      ULUWNXNUAWRUUHWTDWCUUQUURUQWDWEWFWEWDYQUVKUVLUWFYNUAWRYEYJYKUBUVJUWBUWCVO
      WGWHWIWRDIVGVHZHZXGTHZYAXJUAZWRDUDUWPUUQWJWKUWQXFTHZCWSUJUWRUWQUWTCWSUUFX
      ETHZUWTUWQWTWSHZUKZXAXEULUUKUULUUFUWQUXBUUPUUKUWQDWLWMWTIDUPUQXCTHZUUTUXA
      UXCXCXDULUXCXBUDHZUXDUWPWTIDVAUUAUXEUXDEAXBUEUHUIUXBUUTUWQUXBUVEUUTWTDWNU
      VDUVEUUTFUVFUHUIVDVEVEVFXFCIDVIVLUWRUUAUVDUWSEFXGABWOWPVBWRUUKYBXTUAUUQAB
      CDEFWQUIWI $.
      $( [31-Jul-2006] $) $( [7-Dec-2005] $)

    $( Lemma for ~ binom (binomial theorem).  Do the final induction. $)
    binomlem6 $p |- ( N e. NN -> ( ( A + B ) ^ N ) = sum_ k e. ( 0 ... N )
         ( ( N C. k ) x. ( ( A ^ ( N - k ) ) x. ( B ^ k ) ) ) ) $=
      ( vx vj caddc co cv cexp cc0 cfz cbc cmin cmul csu wceq c1 opreq2 wcel
      opreq1 opreq2d opreq1d opreq12d adantr sumeq12rdv eqeq12d cc addcl exp1t
      ax-mp cuz cfv cz 0z uzidt oprex elisseti ax1cn addid2 eqeq2i cn0 1nn0
      bcnnt syl6eq subid exp0t mulid2 sylbi fsump1 bcn0t subid1 mulid1 fsum1
      mp2an opreq1i eqtr2 opreq2i sumeq1i 3eqtr cn wa expp1t nnnn0t sylan2
      mpan pm3.27 binomlem5 3eqtrd ex nnind ) ABIJZGKZLJZMWONJZWOCKZOJZAWOWRPJZ
      LJZBWRLJZQJZQJZCRZSWNTLJZMTNJZTWROJZATWRPJZLJZXBQJZQJZCRZSWNHKZLJZMXNNJZX
      NWROJZAXNWRPJZLJZXBQJZQJZCRZSZWNXNTIJZLJZMYDNJZYDWROJZAYDWRPJZLJZXBQJZQJZ
      CRZSZWNDLJZMDNJZDWROJZADWRPJZLJZXBQJZQJZCRZSGHDWOTSZWPXFXEXMWOTWNLUAUUBWQ
      XGXDXLCWOTMNUAUUBXDXLSWRXGUBUUBWSXHXCXKQWOTWROUCUUBXAXJXBQUUBWTXIALWOTWRP
      UCUDUEUFUGUHUIWOXNSZWPXOXEYBWOXNWNLUAUUCWQXPXDYACWOXNMNUAUUCXDYASWRXPUBUU
      CWSXQXCXTQWOXNWROUCUUCXAXSXBQUUCWTXRALWOXNWRPUCUDUEUFUGUHUIWOYDSZWPYEXEYL
      WOYDWNLUAUUDWQYFXDYKCWOYDMNUAUUDXDYKSWRYFUBUUDWSYGXCYJQWOYDWROUCUUDXAYIXB
      QUUDWTYHALWOYDWRPUCUDUEUFUGUHUIWODSZWPYNXEUUAWODWNLUAUUEWQYOXDYTCWODMNUAU
      UEXDYTSWRYOUBUUEWSYPXCYSQWODWROUCUUEXAYRXBQUUEWTYQALWODWRPUCUDUEUFUGUHUIX
      FWNMMTIJZNJZXLCRZXMWNUJUBZXFWNSABEFUKZWNULUMUUHMMNJXLCRZBIJZWNMMUNUOUBZUU
      HUULSMUPUBZUUMUQMURUMXLBCMMXHXKQUSBUJFUTWRUUFSWRTSZXLBSUUFTWRTVAVBZVCUUOX
      LTBQJZBUUOXHTXKBQUUOXHTTOJZTWRTTOUATVDUBZUURTSVETVFUMVGUUOXKUUQBUUOXJTXBB
      QUUOXJAMLJZTUUOXIMALUUOXITTPJMWRTTPUATVAVHVGUDAUJUBZUUTTSEAVIUMVGUUOXBBTL
      JZBWRTBLUABUJUBZUVBBSFBULUMVGUFBFVJZVGUFUVDVGVKVLUMUUKABIUVAUUNUUKASEUQXL
      AUJCMWRMSZXLTAQJAUVEXHTXKAQUVEXHTMOJZTWRMTOUAUUSUVFTSVETVMUMVGUVEXKATQJAU
      VEXJAXBTQUVEXJATLJZAUVEXITALUVEXITMPJTWRMTPUATVAVNVGUDUVAUVGASEAULUMVGUVE
      XBBMLJZTWRMBLUAUVCUVHTSFBVIUMVGUFAEVOVGUFAEVJVGVPVQVRVSUUGXGXLCUUFTMNUUPV
      TWAWBXNWCUBZYCYMUVIYCWDZYEXOWNQJZYBWNQJZYLUVIYEUVKSZYCUUIUVIUVMUUJUUIXNVD
      UBUVMUVIWNXNWEXNWFWGWHUGUVJXOYBWNQUVIYCWIUEUVIUVLYLSYCABCXNEFWJUGWKWLWM
      $.
      $( [28-Jul-2006] $) $( [7-Dec-2005] $)

    $( The binomial theorem:  ` ( A + B ) ^ N ` is the sum from ` k = 0 ` to
       ` N ` of ` ( N C. k ) x. ( ( A ^ k ) x. ( B ^ ( N - k ) ) ` .  Theorem
       15-2.8 of [Gleason] p. 296.  This final piece of the proof combines
       the ` 0 < N ` case of ~ binomlem6 with the ` N = 0 ` case. $)
    binom $p |- ( N e. NN0 -> ( ( A + B ) ^ N ) = sum_ k e. ( 0 ... N )
         ( ( N C. k ) x. ( ( A ^ ( N - k ) ) x. ( B ^ k ) ) ) ) $=
      ( cn0 wcel cn cc0 wceq wo caddc co cexp cfz cv cbc cmin cmul csu elnn0
      binomlem6 c1 cc cz ax1cn 0z opreq2 0nn0 bcn0t ax-mp syl6eq 0cn subid
      opreq2d exp0t opreq12d mulid1 fsum1 mp2an eqcomi addcl opreq1 opreq1d
      adantr sumeq12rdv 3eqtr4a jaoi sylbi ) DGHDIHZDJKZLABMNZDONZJDPNZDCQZRNZA
      DVPSNZONZBVPONZTNZTNZCUAZKZDUBVKWDVLABCDEFUCVLUDJJPNZJVPRNZAJVPSNZONZVTTN
      ZTNZCUAZVNWCWKUDUDUEHJUFHWKUDKUGUHWJUDUECJVPJKZWJUDUDTNZUDWLWFUDWIUDTWLWF
      JJRNZUDVPJJRUIJGHWNUDKUJJUKULUMWLWIWMUDWLWHUDVTUDTWLWHAJONZUDWLWGJAOWLWGJ
      JSNJVPJJSUIJUNUOUMUPAUEHWOUDKEAUQULUMWLVTBJONZUDVPJBOUIBUEHWPUDKFBUQULUMU
      RUDUGUSZUMURWQUMUTVAVBVLVNVMJONZUDDJVMOUIVMUEHWRUDKABEFVCVMUQULUMVLVOWEWB
      WJCDJJPUIVLWBWJKVPWEHVLVQWFWAWITDJVPRVDVLVSWHVTTVLVRWGAODJVPSVDUPVEURVFVG
      VHVIVJ $.
      $( [31-Jan-2006] $) $( [7-Dec-2005] $)
  $}

  ${
    $d k A $.  $d k N $.
    binom1p.1 $e |- A e. CC $.
    $( Special case of the binomial theorem for ` ( 1 + A ) ^ N ` .
       (Contributed by Paul Chapman, 10-May-2007.) $)
    binom1p $p |- ( N e. NN0 -> ( ( 1 + A ) ^ N ) =
                  sum_ k e. ( 0 ... N ) ( ( N C. k ) x. ( A ^ k ) ) ) $=
      ( cn0 wcel c1 caddc co cexp cc0 cfz cv cbc cmin cmul csu ax1cn binom wa
      wceq fznn0subt 1expt syl opreq1d elfznn0t cc expclt mpan mulid2t adantl
      eqtrd opreq2d sumeq2dv ) CEFZGAHICJIKCLIZCBMZNIZGCUQOIZJIZAUQJIZPIZPIZBQU
      PURVAPIZBQGABCRDSUOUPVCVDBUOUQUPFZTZVBVAURPVFVBGVAPIZVAVFUTGVAPVFUSEFUTGU
      AEUQKCUBUSUCUDUEVEVGVAUAZUOVEUQEFZVHUQCUFVIVAUGFZVHAUGFVIVJDAUQUHUIVAUJUD
      UDUKULUMUNUL $.
      $( [10-May-2007] $) $( [10-May-2007] $)
  $}

  ${
    $d M m $.  $d N j k m $.
    $( Lemma for ~ bcxmas . $)
    bcxmaslem1 $p |- ( A = B -> ( ( N + A ) C. A ) = ( ( N + B ) C. B ) ) $=
      ( caddc co wceq cbc opreq2 opreq12 mpancom ) CADEZCBDEZFABFKAGELBGEFABCDH
      KLABGIJ $.
      $( [18-May-2007] $) $( [18-May-2007] $)

    $( Lemma for ~ bcxmas . $)
    bcxmaslem2 $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                          ( A + ( B + C ) ) = ( ( A + C ) + B ) ) $=
      ( cc wcel w3a caddc co axaddass add23t eqtr3d ) ADEBDECDEFABGHCGHABCGHGHA
      CGHBGHABCIABCJK $.
      $( [18-May-2007] $) $( [18-May-2007] $)

    $( Parallel summation (Christmas Stocking) theorem for Pascal's Triangle.
       (Contributed by Paul Chapman, 18-May-2007.) $)
    bcxmas $p |- ( ( N e. NN0 /\ M e. NN0 ) ->
                     ( ( ( N + 1 ) + M ) C. M ) =
                     sum_ j e. ( 0 ... M ) ( ( N + j ) C. j ) ) $=
      ( vm vk cn0 wcel c1 caddc co cbc cc0 cfz cv csu wceq wi bcxmaslem1
      opreq2 sumeq1d eqeq12d imbi2d 0nn0 wa nn0addclt bcn0t syl mpan2 cz fsum1
      1nn0 syl6eqel 0z a1i sylanc peano2nn0 jctir 3syl 3eqtr4rd cuz cfv pm3.27
      elnn0uz sylib oprex fsump1 cc bcxmaslem2 nn0cnt adantr adantl ax1cn
      syl3anc opreq1d opreq2d eqtrd opreq1 cmin pncant cn cle wbr bcpasc2t
      nnnn0addclt nn0p1nnt sylan cr nn0addge2t nnret pm3.26 breqtrd eqtr3d
      axaddcom bcclt nnnn0t nnzt nn0zt axaddass peano2cn 3eqtr3d 3eqtr2rd ex
      expcom a2d nn0ind impcom ) BFGCFGZCHIJZBIJBKJZLBMJZCANZIJZXKKJZAOZPZXGXHD
      NZIJXPKJZLXPMJZXMAOZPZQXGXHLIJZLKJZLLMJZXMAOZPZQXGXHENZIJZYFKJZLYFMJZXMAO
      ZPZQXGXHYFHIJZIJZYLKJZLYLMJZXMAOZPZQXGXOQDEBXPLPZXTYEXGYRXQYBXSYDXPLXHRYR
      XRYCXMAXPLLMSTUAUBXPYFPZXTYKXGYSXQYHXSYJXPYFXHRYSXRYIXMAXPYFLMSTUAUBXPYLP
      ZXTYQXGYTXQYNXSYPXPYLXHRYTXRYOXMAXPYLLMSTUAUBXPBPZXTXOXGUUAXQXIXSXNXPBXHR
      UUAXRXJXMAXPBLMSTUAUBXGCLIJZLKJZHYDYBXGLFGZUUCHPZUCXGUUDUDUUBFGUUECLUEUUB
      UFUGUHZUUCFGLUIGZYDUUCPXGXMUUCFALXKLCRUJXGUUCHFUUFUKULUUGXGUMUNUOXGXHFGZU
      UDUDYAFGYBHPXGUUHUUDCUPZUCUQXHLUEYAUFURUSYFFGZXGYKYQXGUUJYKYQQXGUUJUDZYKY
      QUUKYKUDYPYJYGYLKJZIJZYHUULIJZYNUUKYPUUMPYKUUKYPYJCYLIJZYLKJZIJZUUMUUKYFL
      UTVAGZYPUUQPUUKUUJUURXGUUJVBYFVCVDXMUUPALYFXLXKKVEUUOYLKVEXKYLCRVFUGUUKUU
      PUULYJIUUKUUOYGYLKCVGGZYFVGGZHVGGZUUOYGPUUKCYFHVHXGUUSUUJCVIZVJUUJUUTXGYF
      VIVKZUVAUUKVLUNZVMZVNVOVPVJYKUUNUUMPUUKYHYJUULIVQVKUUKUUNYNPYKUUKUULYHIJZ
      YGHIJZYLKJZUUNYNUUKUULYGYLHVRJZKJZIJZUVFUVHUUKUVJYHUULIUUKUVIYFYGKUUKUUTU
      VAUDUVIYFPUUKUUTUVAUVCVLUQYFHVSUGVOVOYGVTGZYLVTGZYLYGWAWBUVKUVHPUUKYLYGWC
      XHVTGUUJUVLXGXHYFWDCWEWFZUUJUVMXGYFWEVKZUUKYLUUOYGWAYLWGGZXGYLUUOWAWBUUKY
      LCWHUUKUVMUVPUVOYLWIUGXGUUJWJUOUVEWKVMWLUULVGGZYHVGGZUVFUUNPUUKUULYHWMUUK
      UULFGZUVQYGFGZYLUIGZUVSUUKYLYGWNUUKUVLUVTUVNYGWOUGUUKUVMUWAUVOYLWPUGUOUUL
      VIUGUUKYHFGZUVRUUHUUJUWBXGUVTYFUIGZUWBUUHUUJUDYFYGWNXHYFUEUUJUWCUUHYFWQVK
      UOUUIWFYHVIUGUOUUKUVGYMYLKXHVGGZUUTUVAUVGYMPUUKXHYFHWRXGUWDUUJXGUUSUWDUVB
      CWSUGVJUVCUVDVMVNWTVJXAXBXCXDXEXF $.
      $( [18-May-2007] $) $( [18-May-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Limits (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j k m n x y A $.  $d j k y B $.  $d j k m n x y F $.  $d j k m n M $.
    $d k N $.  $d j k m n x y W $.  $d j k m n x y Z $.
    clm1.1 $e |- M e. ZZ $.
    clm1.2 $e |- ( ZZ> ` M ) (_ Z $.
    clm1.3 $e |- Z (_ ZZ $.
    clm1.4 $e |- N e. ZZ $.
    clm1.5 $e |- ( ZZ> ` N ) (_ W $.
    clm1.6 $e |- W (_ ZZ $.
    $( Express the predicate: The limit of complex number sequence ` F `
       is ` A ` , or ` F ` converges to ` A ` , with more general quantifier
       restrictions than ~ clim . $)
    clm1 $p |- ( ( F e. C /\ A e. D ) -> ( F ~~> A <-> ( A e. CC /\
   A. x e. RR ( 0 < x -> E. j e. Z A. k e. W ( j <_ k ->
    ( ( F ` k ) e. CC /\ ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) ) ) ) $=
      ( wcel wa cli wbr cc cc0 cv clt cle cfv cmin co cabs wi cz wral wrex cr
      clim cvg3 imbi2i ralbii anbi2i syl6bb ) GCRBDRSGBTUABUBRZUCAUDZUEUAZEUDFU
      DZUFUAVEGUGZUBRVFBUHUIUJUGVCUEUASZUKZFULUMEULUNZUKZAUOUMZSVBVDVHFJUMEKUNZ
      UKZAUOUMZSABCDEFGUPVKVNVBVJVMAUOVIVLVDVGEFHIJKLMNOPQUQURUSUTVA $.
      $( [11-Jan-2007] $) $( [6-Jan-2007] $)

    ${
      clm2.7 $e |- F e. V $.
      $( Express the predicate: The limit of complex number sequence ` F `
         is ` A ` , or ` F ` converges to ` A ` . $)
      clm2 $p |- ( A e. CC -> ( F ~~> A <-> A. x e. RR ( 0 < x ->
            E. j e. Z A. k e. W ( j <_ k ->
        ( ( F ` k ) e. CC /\ ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) ) ) $=
        ( cc wcel cli wbr cc0 cv clt cle cfv cmin co cabs wa wi wral wrex cr
        cvv wb clm1 mpan bianabs ) BQRZEBSTZUAAUBZUCTCUBDUBZUDTVBEUEZQRVCBUFUGU
        HUEVAUCTUIUJDHUKCIULUJAUMUKZEUNRUSUTUSVDUIUOPABUNQCDEFGHIJKLMNOUPUQUR
        $.
        $( [11-Jan-2007] $) $( [6-Jan-2007] $)

      $( A sufficient existence condition for convergence of a complex
         number sequence ` F ` . $)
      clm3 $p |- ( ( A e. CC /\ E. m e. Z A. k e. W ( m <_ k ->
             ( F ` k ) e. CC ) ) -> ( F ~~> A <-> A. x e. RR ( 0 < x ->
     E. j e. Z A. k e. W ( j <_ k -> ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) ) $=
        ( vn cc wcel cli wbr cc0 cv clt cle cfv cmin co cabs wa wi wral wrex
        cr clm2 pm3.27 imim2i r19.20si r19.22si wceq breq1 imbi1d ralbidv
        cbvrexv sylib cif ifcl expcom adantr max1 letrt 3expa pm3.26 ancoms
        jca sylan mpand max2 jcad cz zssre sstri sseli anim12i syl2an prth
        syl9 r19.20dva ex com23 imp rcla4ev syl6 r19.26 sylan2br exp32
        r19.23adv r19.23aiva impbid2 imbi2d sylan9bb ) BSTFBUAUBUCAUDZUEUBZRUDZ
        DUDZUFUBZXFFUGZSTZXHBUHUIUJUGXCUEUBZUKZULZDIUMZRJUNZULZAUOUMEUDZXFUFUBZ
        XIULZDIUMZEJUNZXDCUDZXFUFUBZXJULZDIUMZCJUNZULZAUOUMABRDFGHIJKLMNOPQUPXT
        XOYFAUOXTXNYEXDXTXNYEXNXGXJULZDIUMZRJUNYEXMYHRJXLYGDIXKXJXGXIXJUQURUSUT
        YHYDRCJXEYAVAZYGYCDIYIXGYBXJXEYAXFUFVBVCVDVEVFXSYEXNULEJXPJTZXSUKZYDXNC
        JYKYDYAJTZXNYJXSYDYLXNULZULYJXSYDYMYJXRYCUKZDIUMZYMXSYDUKYJYOUKZYLXPYAU
        FUBZYAXPVGZJTZYRXFUFUBZXKULZDIUMZUKXNYPYLYSUUBYJYLYSULYOYLYJYSYQYAXPJVH
        VIVJYJYOYLUUBULYJYLYOUUBYJYLYOUUBULYJYLUKZYNUUADIUUCXFITZUKYTXQYBUKZYNX
        KXPUOTZYAUOTZUKZXFUOTZYTUUEULUUCUUDUUHUUIUKZYTXQYBUUJXPYRUFUBZYTXQUUHUU
        KUUIXPYAVKVJUUFYRUOTZUKUUIUUKYTUKXQULZUUHUUFUULUUIUUMXPYRXFVLVMUUHUUFUU
        LUUFUUGVNUUGUUFUULYQYAXPUOVHVOZVPVQVRUUJYAYRUFUBZYTYBUUHUUOUUIXPYAVSVJU
        UGUULUKUUIUUOYTUKYBULZUUHUUGUULUUIUUPYAYRXFVLVMUUHUUGUULUUFUUGUQUUNVPVQ
        VRVTYJUUFYLUUGJUOXPJWAUOMWBWCZWDJUOYAUUQWDWEIUOXFIWAUOPWBWCWDWFXQXIYBXJ
        WGWHWIWJWKWLVTXMUUBRYRJXEYRVAZXLUUADIUURXGYTXKXEYRXFUFVBVCVDWMWNXRYCDIW
        OWPWQWLWKWRWSWTXAVDXB $.
        $( [14-Jan-2007] $) $( [10-Jan-2007] $)

    $( Express the predicate ` F ` converges to ` A ` . $)
    clm4 $p |- ( ( A e. CC /\ A. k e. ( Z i^i W ) ( F ` k ) e. CC )
           -> ( F ~~> A <-> A. x e. RR ( 0 < x -> E. j e. Z
           A. k e. W ( j <_ k -> ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) ) $=
      ( vm cc wcel cv cle wbr cfv wi wral wrex cli cc0 clt cmin co cabs cr wb
      cin clm3 wa elin ancom bitr imbi1i impexp ralbii2 cz sseli cuz eluz1
      sylbir ex syl imim1d r19.20i sylbi uzidt ax-mp sselii wceq breq1 imbi1d
      ralbidv rcla4ev mpan sylan2 ) BRSQTZDTZUAUBZWEEUCZRSZUDZDHUEZQIUFZEBUGUBU
      HATZUIUBCTWEUAUBWGBUJUKULUCWLUIUBUDDHUECIUFUDAUMUEUNWHDIHUOZUEZABCDQEFGHI
      JKLMNOPUPWNFWEUAUBZWHUDZDHUEZWKWNWEISZWHUDZDHUEWQWHWSDWMHWEWMSZWHUDWEHSZW
      RUQZWHUDXAWSUDWTXBWHWTWRXAUQXBWEIHURWRXAUSUTVAXAWRWHVBUTVCWSWPDHXAWOWRWHX
      AWEVDSZWOWRUDHVDWEOVEXCWOWRXCWOUQWEFVFUCZSWRFWEJVGXDIWEKVEVHVIVJVKVLVMFIS
      WQWKXDIFKFVDSFXDSJFVNVOVPWJWQQFIWDFVQZWIWPDHXEWFWOWHWDFWEUAVRVSVTWAWBVJWC
      $.
      $( [14-Jan-2007] $) $( [10-Jan-2007] $)

    $( Express the predicate ` F ` converges to ` A ` , with a non-strict
       ordering requirement. $)
    clm4le $p |- ( ( A e. CC /\ A. k e. W ( F ` k ) e. CC )
           -> ( F ~~> A <-> A. x e. RR ( 0 < x -> E. j e. Z
           A. k e. W ( j <_ k -> ( abs ` ( ( F ` k ) - A ) ) <_ x ) ) ) ) $=
      ( vy cc wcel cv cfv wral wa cli wbr cc0 clt cle cmin co cabs wi wrex cr
      cin wb clm4 wss inss2 ssralv ax-mp sylan2 ax-17 hbra1 hban ltlet subclt
      ancoms absclt syl ra4 imp anassrs adantlr simplr sylanc imim2d r19.20da
      r19.22sdv r19.20dva sylbid c2 cdiv rehalfclt wceq breq2 imbi2d
      rexralbidv imbi12d rcla4v ad2antrr halfpos2t biimpa adantr halfpost
      lelttrt 3expb pm3.26 jca mpan2d anim2i mpid syld exp31 com4t r19.21adv
      sylibrd impbid ) BRSZDTZEUAZRSZDHUBZUCZEBUDUEZUFATZUGUEZCTXJUHUEZXKBUIUJZ
      UKUAZXPUHUEZULZDHUBZCIUMZULZAUNUBZXNXOXQXRXTXPUGUEZULZDHUBZCIUMZULZAUNUBZ
      YFXIXLDIHUOZUBZXOYLUPXMABCDEFGHIJKLMNOPUQYMHURXMYNULIHUSXLDYMHUTVAZVBXNYK
      YEAUNXNXPUNSZUCZYJYDXQYQYIYCCIYQYHYBDHXNYPDXIXMDXIDVCXLDHVDVEZYPDVCVEYQXJ
      HSZUCZYGYAXRXTUNSZYPYGYAULYTXTXPVFXNYSUUAYPXIXMYSUUAXIXLUUAXMYSUCZXIXLUCZ
      XSRSZUUAXLXIUUDXKBVGVHXSVIVJZXMYSXLXLDHVKVLZVBVMVNXNYPYSVOVPVQVRVSVQVTWAX
      NYFUFQTZUGUEZXRXTUUGUGUEZULZDHUBZCIUMZULZQUNUBZXOXNYFUUMQUNUUGUNSZUUHXNYF
      UULUUOUUHXNYFUULULUUOUUHUCZXNUCZYFUFUUGWBWCUJZUGUEZXRXTUURUHUEZULZDHUBZCI
      UMZULZUULUUOYFUVDULZUUHXNUUOUURUNSZUVEUUGWDZYEUVDAUURUNXPUURWEZXQUUSYDUVC
      XPUURUFUGWFUVHYBUVACDIHUVHYAUUTXRXPUURXTUHWFWGWHWIWJVJWKUUQUVDUUSUULUUPUU
      SXNUUOUUHUUSUUGWLWMWNUUQUVCUULUUSUUQUVBUUKCIUUQUVAUUJDHUUPXNDUUPDVCYRVEUU
      PXNYSUVAUUJULZUUPUUCUVIXNYSUCUUPUUCUCZUUTUUIXRUVJUUTUURUUGUGUEZUUIUUPUVKU
      UCUUOUUHUVKUUGWOWMWNUUPUUAUUTUVKUCUUIULZUUCUUAUUPUVLUUAUVFUUOUCUVLUUPUUAU
      VFUUOUVLXTUURUUGWPWQUUPUVFUUOUUOUVFUUHUVGWNUUOUUHWRWSVBVHUUEVBWTVQXIXMYSU
      UCUUBXLXIUUFXAVMVBVMVRVSVQXBXCXDXEXFXIYNXOUUNUPXMQBCDEFGHIJKLMNOPUQYOVBXG
      XH $.
      $( [20-Jun-2007] $) $( [14-Jan-2007] $)

    $( Express the predicate ` F ` converges to ` A ` . $)
    clm4f $p |- ( ( A e. CC /\ F : W --> CC ) -> ( F ~~> A <-> A. x e. RR+
      E. j e. Z A. k e. W ( j <_ k -> ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) $=
      ( cc wcel wf wa cli wbr cc0 cv clt cle cfv cmin co cabs wi wral wrex cr
      crp cin wb clm4 ffvelrn inss2 sseli sylan2 r19.21aiva ralrp syl6bbr ) BQR
      ZHQESZTEBUAUBZUCAUDZUEUBCUDDUDZUFUBVJEUGZBUHUIUJUGVIUEUBUKDHULCIUMZUKAUNU
      LZVLAUOULVFVKQRZDIHUPZULVHVMUQVGABCDEFGHIJKLMNOPURVGVNDVOVGVJHRVNVJVORHQV
      JEUSVOHVJIHUTVAVBVCVBVLAVDVE $.
      $( [25-Mar-2008] $) $( [24-Feb-2008] $)

    $( Express the predicate ` F ` converges to 0. $)
    clm0 $p |- ( A. k e. W ( F ` k ) e. CC ->
               ( F ~~> 0 <-> A. x e. RR ( 0 < x ->
           E. j e. Z A. k e. W ( j <_ k -> ( abs ` ( F ` k ) ) < x ) ) ) ) $=
      ( cv cfv cc wcel wral cc0 cli wbr clt cle cmin co cabs wi wrex cr cin wb
      wss inss2 ssralv ax-mp 0cn clm4 mpan syl hbra1 wa ra4 imp subid1t fveq2d
      breq1d imbi2d ralbida rexbidv ralbidv bitrd ) CPZDQZRSZCGTZDUAUBUCZUAAPZU
      DUCZBPVNUEUCZVOUAUFUGZUHQZVSUDUCZUIZCGTZBHUJZUIZAUKTZVTWAVOUHQZVSUDUCZUIZ
      CGTZBHUJZUIZAUKTVQVPCHGULZTZVRWIUMZWPGUNVQWQUIHGUOVPCWPGUPUQUARSWQWRURAUA
      BCDEFGHIJKLMNOUSUTVAVQWHWOAUKVQWGWNVTVQWFWMBHVQWEWLCGVPCGVBVQVNGSZVCVPWEW
      LUMVQWSVPVPCGVDVEVPWDWKWAVPWCWJVSUDVPWBVOUHVOVFVGVHVIVAVJVKVIVLVM $.
      $( [15-Jan-2007] $) $( [14-Jan-2007] $)
    $}
  $}

  ${
    $d j k x A $.  $d j k x F $.
    clmnns.1 $e |- F e. V $.
    clmnns.2 $e |- ( k e. NN -> ( F ` k ) = B ) $.
    $( Express the predicate " ` F ` converges to ` A ` ," using implicit
       substitution. $)
    clmnns $p |- ( ( A e. CC /\ A. k e. NN B e. CC ) -> ( F ~~> A <-> A. x e.
       RR+ E. j e. NN A. k e. NN ( j <_ k -> ( abs ` ( B - A ) ) < x ) ) ) $=
      ( cc wcel cn wral wa cli wbr cv cle cfv cmin co cabs clt wi wrex crp cin
      wb cc0 cr c1 1z cuz nnuz eqimss2i nnssz clm4 ralrp syl6bbr wceq inidm
      raleq1 ax-mp eleq1d ralbiia bitr2 sylan2b opreq1d fveq2d breq1d imbi2d
      rexbii ralbii syl6bb ) BIJZCIJZEKLZMFBNOZDPEPZQOZVRFRZBSTZUARZAPZUBOZUCZE
      KLZDKUDZAUELZVSCBSTZUARZWCUBOZUCZEKLZDKUDZAUELVNVTIJZEKKUFZLZVQWHUGVPVNWQ
      MVQUHWCUBOWGUCAUILWHABDEFUJUJKKUKKUJULRUMUNZUOUKWRUOGUPWGAUQURWQWOEKLZVPW
      PKUSWQWSUGKUTWOEWPKVAVBWOVOEKVRKJZVTCIHVCVDVEVFWGWNAUEWFWMDKWEWLEKWTWDWKV
      SWTWBWJWCUBWTWAWIUAWTVTCBSHVGVHVIVJVDVKVLVM $.
      $( [8-Mar-2008] $) $( [26-Feb-2008] $)

    ${
      $d j x B $.
      $( Express the predicate " ` F ` converges to 0." $)
      clm0nns $p |- ( A. k e. NN B e. CC -> ( F ~~> 0 <-> A. x e. RR+
             E. j e. NN A. k e. NN ( j <_ k -> ( abs ` B ) < x ) ) ) $=
        ( cc wcel cn wral cc0 cli wbr cv cle cmin co cabs cfv clt wi wrex crp
        wb 0cn clmnns mpan hbra1 wa wceq ra4 imp subid1t syl fveq2d breq1d
        imbi2d ralbida rexbidv ralbidv bitrd ) BHIZDJKZELMNZCODOZPNZBLQRZSTZAOZ
        UANZUBZDJKZCJUCZAUDKZVGBSTZVJUANZUBZDJKZCJUCZAUDKLHIVDVEVOUEUFALBCDEFGU
        GUHVDVNVTAUDVDVMVSCJVDVLVRDJVCDJUIVDVFJIZUJZVKVQVGWBVIVPVJUAWBVHBSWBVCV
        HBUKVDWAVCVCDJULUMBUNUOUPUQURUSUTVAVB $.
        $( [16-Mar-2008] $) $( [27-Feb-2008] $)
    $}
  $}

  ${
    $d j k y A $.  $d j k y B $.  $d j k y F $.  $d j k y M $.  $d k W $.
    $d j Z $.
    clmi1.1 $e |- M e. ZZ $.
    clmi1.2 $e |- ( ZZ> ` M ) (_ Z $.
    clmi1.6 $e |- W (_ ZZ $.
    $( Convergence of a sequence of complex numbers. $)
    clmi1 $p |- ( ( ( A e. C /\ F ~~> A ) /\ ( B e. RR /\ 0 < B ) ) ->
                 E. j e. Z A. k e. W ( j <_ k ->
             ( ( F ` k ) e. CC /\ ( abs ` ( ( F ` k ) - A ) ) < B ) ) ) $=
      ( vy wcel cli wbr wa cr cc0 clt cv cle cfv cc cmin co cabs wi cz wral
      cuz wrex cvv wceq breq2 anbi2d imbi2d rexralbidv imbi12d rcla4v ssid
      uzssz 0z clm1 pm3.27bda syl5com exp31 wn climrel brrelexi con3i pm2.21d
      a1d pm2.61i imp43 wss ssrexv ax-mp ssralv r19.22si syl ) ACNZFAOPZQBRNZSB
      TPZQQDUAEUAZUBPZWFFUCZUDNZWHAUEUFUGUCZBTPZQZUHZEUIUJZDGUKUCZULZWMEHUJZDIU
      LZWBWCWDWEWPFUMNZWBWCWDWEWPUHZUHZUHZUHWSWBWCXAWDSMUAZTPZWGWIWJXCTPZQZUHZE
      UIUJDWOULZUHZMRUJZWTWSWBQZWCQXIWTMBRXCBUNZXDWEXHWPXCBSTUOXLXGWMDEWOUIXLXF
      WLWGXLXEWKWIXCBWJTUOUPUQURUSUTXKWCAUDNXJMAUMCDEFGSUIWOJWOVAGVBVCSVBUIVAVD
      VEVFVGWSVHZXBWBXMWCXAWCWSFAOVIVJVKVLVMVNVOWPWNDIULZWRWOIVPWPXNUHKWNDWOIVQ
      VRWNWQDIHUIVPWNWQUHLWMEHUIVSVRVTWAWA $.
      $( [16-Jan-2007] $) $( [11-Jan-2007] $)

    $( Convergence of a sequence of complex numbers. $)
    clmi2 $p |- ( ( ( A e. C /\ F ~~> A ) /\ ( B e. RR /\ 0 < B ) ) ->
       E. j e. Z A. k e. W ( j <_ k -> ( abs ` ( ( F ` k ) - A ) ) < B ) ) $=
      ( wcel cli wbr wa cr cc0 clt cv cle cfv cc cmin co cabs wi wral wrex
      clmi1 pm3.27 imim2i r19.20si r19.22si syl ) ACMFANOPBQMRBSOPPDTETZUAOZUPF
      UBZUCMZURAUDUEUFUBBSOZPZUGZEHUHZDIUIUQUTUGZEHUHZDIUIABCDEFGHIJKLUJVCVEDIV
      BVDEHVAUTUQUSUTUKULUMUNUO $.
      $( [17-Jan-2007] $) $( [11-Jan-2007] $)

    $( Convergence of a sequence of complex numbers, using positive reals. $)
    clmi2rp $p |- ( ( A e. C /\ F ~~> A /\ B e. RR+ ) ->
       E. j e. Z A. k e. W ( j <_ k -> ( abs ` ( ( F ` k ) - A ) ) < B ) ) $=
      ( wcel cli wbr crp cv cle cfv cmin co cabs clt wi wral wrex wa cr cc0
      clmi2 elrp sylan2b 3impa ) ACMZFANOZBPMZDQEQZROUQFSATUAUBSBUCOUDEHUEDIUFZ
      UNUOUGBUHMUIBUCOUGURUPABCDEFGHIJKLUJBUKULUM $.
      $( [4-Mar-2008] $) $( [21-Feb-2008] $)

    $( Convergence of a sequence of complex numbers to zero. $)
    clm0i $p |- ( ( F ~~> 0 /\ A e. RR /\ 0 < A ) -> E. j e. Z
        A. k e. W ( j <_ k -> ( abs ` ( F ` k ) ) < A ) ) $=
      ( cc0 cli wbr cr wcel clt w3a cv cle cfv cc cmin co cabs wa wi wral wrex
      0cn clmi1 mpanl1 3impb subid1t fveq2d breq1d biimpa imim2i r19.20si
      r19.22si syl ) DKLMZANOZKAPMZQBRCRZSMZVDDTZUAOZVFKUBUCZUDTZAPMZUEZUFZCFUG
      ZBGUHZVEVFUDTZAPMZUFZCFUGZBGUHVAVBVCVNKUAOVAVBVCUEVNUIKAUABCDEFGHIJUJUKUL
      VMVRBGVLVQCFVKVPVEVGVJVPVGVIVOAPVGVHVFUDVFUMUNUOUPUQURUSUT $.
      $( [18-Jan-2007] $) $( [11-Jan-2007] $)
  $}

  ${
    $d j k x A $.  $d j k x F $.  $d j k x M $.
    clm4at.1 $e |- F e. V $.
    $( Express the predicate ` F ` converges to ` A ` , requiring convergence
       in the upper integers starting at ` M ` . $)
    clm4at $p |- ( ( M e. ZZ /\
           A e. CC /\ A. k e. ( ZZ> ` M ) ( F ` k ) e. CC )
   -> ( F ~~> A <-> A. x e. RR ( 0 < x -> E. j e. ZZ A. k e. ( ZZ> ` M )
         ( j <_ k -> ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) ) $=
      ( cz wcel cc cv cfv cuz wral cli wbr cc0 clt cle cmin co cabs wi wrex cr
      wb wa cif wceq fveq2 raleq1d anbi2d rexbidv imbi2d ralbidv bibi2d
      imbi12d cin 0z uzssz ssid elimel clm4 wss inss2 ssralv ax-mp sylan2
      dedth 3impib ) FHIZBJIZDKZELZJIZDFMLZNZEBOPZQAKZRPZCKVMSPVNBTUAUBLVSRPUCZ
      DVPNZCHUDZUCZAUENZUFZVKVLVQUGZWFUCVLVODVKFQUHZMLZNZUGZVRVTWADWINZCHUDZUCZ
      AUENZUFZUCFQFWHUIZWGWKWFWPWQVQWJVLWQVODVPWIFWHMUJZUKULWQWEWOVRWQWDWNAUEWQ
      WCWMVTWQWBWLCHWQWADVPWIWRUKUMUNUOUPUQVLVODHWIURZNZWPWJABCDEQWHWIHUSQUTHVA
      FQHUSVBWIVAWHUTGVCWSWIVDWJWTUCHWIVEVODWSWIVFVGVHVIVJ $.
      $( [20-Jan-2007] $) $( [10-Sep-2005] $)
  $}

  ${
    $d j k A $.  $d j k B $.  $d j k F $.  $d j k M $.
    $( Convergence of a sequence of complex numbers in the upper integers
       starting at ` M ` . $)
    clmi2at $p |- ( ( M e. ZZ /\ ( ( A e. C /\ F ~~> A ) /\
            ( B e. RR /\ 0 < B ) ) ) -> E. j e. ( ZZ> ` M )
            A. k e. ZZ ( j <_ k -> ( abs ` ( ( F ` k ) - A ) ) < B ) ) $=
      ( cz wcel cli wbr wa cr cc0 clt cv cle cfv cmin co cabs wi wral cuz wrex
      cif wceq fveq2 rexeq1d imbi2d 0z elimel ssid clmi2 dedth imp ) GHIZACIFAJ
      KLBMINBOKLLZDPEPZQKUSFRASTUARBOKUBEHUCZDGUDRZUEZUQURVBUBURUTDUQGNUFZUDRZU
      EZUBGNGVCUGZVBVEURVFUTDVAVDGVCUDUHUIUJABCDEFVCHVDGNHUKULVDUMHUMUNUOUP $.
      $( [21-Jan-2007] $) $( [10-Sep-2005] $)
  $}

  ${
    $d f j k x A $.  $d f j k x F $.
    $( Express the predicate ` F ` converges to ` A ` for an explicit function,
       using natural numbers. $)
    climfnn $p |- ( ( F : NN --> CC /\ A e. CC ) -> ( F ~~> A <->
              A. x e. RR ( 0 < x -> E. j e. NN A. k e. NN ( j <_ k ->
                   ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) ) $=
      ( vf cvv wcel cn cc wf wa cli wbr cc0 cv clt cle cfv cmin co cabs wi
      wral wrex cr wb nnex fex mpan2 adantr wceq feq1 anbi1d breq1 fveq1
      opreq1d fveq2d breq1d imbi2d rexralbidv ralbidv bibi12d imbi12d cin c1
      1z cuz nnuz eqimss2i nnssz visset clm4 wss inss2 ssralv ax-mp sylan2
      ffvelrn r19.21aiva ancoms vtoclg mpcom ) EGHZIJEKZBJHZLZEBMNZOAPZQNZCPDPZ
      RNZWKESZBTUAZUBSZWIQNZUCZDIUDCIUEZUCZAUFUDZUGZWEWDWFWEIGHWDUHIJGEUIUJUKIJ
      FPZKZWFLZXBBMNZWJWLWKXBSZBTUAZUBSZWIQNZUCZDIUDCIUEZUCZAUFUDZUGZUCWGXAUCFE
      GXBEULZXDWGXNXAXOXCWEWFIJXBEUMUNXOXEWHXMWTXBEBMUOXOXLWSAUFXOXKWRWJXOXJWQC
      DIIXOXIWPWLXOXHWOWIQXOXGWNUBXOXFWMBTWKXBEUPUQURUSUTVAUTVBVCVDWFXCXNWFXFJH
      ZDIUDZXNXCWFXPDIIVEZUDZXNXQABCDXBVFVFIIVGIVFVHSVIVJZVKVGXTVKFVLVMXRIVNXQX
      SUCIIVOXPDXRIVPVQVRXCXPDIIJWKXBVSVTVRWAWBWC $.
      $( [9-Jan-2006] $) $( [1-Jan-2006] $)

    $( Express the predicate ` F ` converges to ` A ` for an explicit function,
       using natural numbers. $)
    clmfnn $p |- ( ( F : NN --> CC /\ A e. CC ) -> ( F ~~> A <->
              A. x e. RR+ E. j e. NN A. k e. NN ( j <_ k ->
                   ( abs ` ( ( F ` k ) - A ) ) < x ) ) ) $=
      ( cn cc wf wcel wa cli wbr cc0 cv clt cle cfv cmin co cabs wi wral wrex
      cr crp climfnn ralrp syl6bbr ) FGEHBGIJEBKLMANZOLCNDNZPLUJEQBRSTQUIOLUADF
      UBCFUCZUAAUDUBUKAUEUBABCDEUFUKAUGUH $.
      $( [11-Jul-2008] $) $( [11-Jul-2008] $)
  $}

  ${
    $d j k x A $.  $d j k x F $.  $d j k x M $.
    climconsti.1 $e |- F e. V $.
    climconsti.2 $e |- M e. ZZ $.
    $( MAY BE REVISED? $)
    $( An (eventually) constant sequence converges to its value. $)
    climconst $p |- ( ( A e. CC /\
                  A. k e. ( ZZ> ` M ) ( F ` k ) = A ) -> F ~~> A ) $=
      ( vx vj cc wcel cv cfv wceq cuz wral wa cli wbr cc0 clt cle cmin co cabs
      wi cz wrex cr opreq1 subidt sylan9eqr fveq2d abs0 syl6eq breq1d biimpar
      an1rs ex a1dd r19.20sdv imp breq1 imbi1d ralbidv rcla4ev mpan syl exp31
      r19.21adv cin wb inss2 sseli a1i eleq1a imim12d r19.20dv2 uzssz ssid
      clm4 syldan mpbird ) AIJZBKZCLZAMZBDNLZOZPZCAQRZSGKZTRZHKZWDUARZWEAUBUCZU
      DLZWKTRZUEZBWGOZHUFUGZUEZGUHOZWCWHXBWCWHXAGUHWCWHXAWKUHJWCWHWLWTWIWLPDWDU
      ARZWQUEZBWGOZWTWCWLWHXEWCWLPZWHXEXFWFXDBWGXFWFWQXCXFWFWQWCWFWLWQWCWFPZWQW
      LXGWPSWKTXGWPSUDLSXGWOSUDWFWCWOAAUBUCSWEAAUBUIAUJUKULUMUNUOUPUQURUSUTVAUQ
      DUFJXEWTFWSXEHDUFWMDMZWRXDBWGXHWNXCWQWMDWDUAVBVCVDVEVFVGVHUSVIVAWCWHWEIJZ
      BUFWGVJZOZWJXBVKWCWHXKWCWFXIBWGXJWCWDXJJZWDWGJZWFXIXLXMUEWCXJWGWDUFWGVLVM
      VNAIWEVOVPVQVAGAHBCDDWGUFFDVRZUFVSFWGVSXNEVTWAWB $.
      $( [17-Jan-2007] $) $( [28-Aug-2005] $)
  $}

  ${
    $d k A $.
    $( A constant sequence on the integers converges to its value. $)
    climconst2 $p |- ( A e. CC -> ( ZZ X. { A } ) ~~> A ) $=
      ( vk cc wcel cc0 cv cle wbr cz csn cxp cfv wceq wi wral cli fvconst2g ex
      a1dd r19.21aiv cuz zex snex xpex 0z climconst wb raluz ax-mp sylan2br
      mpdan ) ACDZEBFZGHZUMIAJZKZLAMZNZBIOZUPAPHZULURBIULUMIDZUQUNULVAUQIAUMCQR
      STULUQBEUALOZUTUSABUPEIUOUBAUCUDUEUFEIDVBUSUGUEUQBEUHUIUJUK $.
      $( [27-Sep-2005] $) $( [28-Aug-2005] $)
  $}

  ${
    $d k A $.  $d k M $.
    $( MAY BE REVISED - do we need this? $)
    $( A constant sequence converges to its value. $)
    climconst3 $p |- ( ( A e. CC /\ M e. ZZ ) ->
             ( ( ZZ> ` M ) X. { A } ) ~~> A ) $=
      ( vk cc wcel cz wa cv cuz cfv csn cxp wceq wral cli wbr fvconst2g
      r19.21aiva adantr wi cc0 cif fveq2 xpeq1 syl fveq1d eqeq1d raleq12d
      anbi2d breq1d imbi12d fvex snex xpex 0z elimel climconst dedth exp3a
      impcom mpd ) ADEZBFEZGCHZBIJZAKZLZJZAMZCVENZVGAOPZVBVJVCVBVICVEVEAVDDQRSV
      CVBVJVKTVCVBVJVKVCVBVJGZVKTVBVDVCBUAUBZIJZVFLZJZAMZCVNNZGZVOAOPZTBUABVMMZ
      VLVSVKVTWAVJVRVBWAVIVQCVEVNBVMIUCZWAVHVPAWAVDVGVOWAVEVNMVGVOMWBVEVNVFUDUE
      ZUFUGUHUIWAVGVOAOWCUJUKACVOVMVNVFVMIULAUMUNBUAFUOUPUQURUSUTVA $.
      $( [6-Feb-2008] $) $( [6-Feb-2008] $)
  $}

  $( The zero sequence converges to zero. $)
  clim0 $p |- ( ZZ X. { 0 } ) ~~> 0 $=
    ( cc0 cc wcel cz csn cxp cli wbr 0cn climconst2 ax-mp ) ABCDAEFAGHIAJK $.
    $( [29-Sep-2005] $) $( [2-Oct-1999] $)

  ${
    $d j k m A $.  $d j k m B $.  $d j k m F $.
    climuni.1 $e |- A e. V $.
    climuni.2 $e |- B e. V $.
    ${
      climunii.3 $e |- ( F ~~> A /\ F ~~> B ) $.
      $( An infinite sequence of complex numbers converges to at most one
         limit. $)
      climunii $p |- A = B $=
        ( vk vj vm cmin co cc0 wceq cabs cfv clt wbr wn cv cle wa cz wrex wral
        z2get rgen2a c2 cdiv cc wcel wi cvv cli pm3.26i climcl mp2an pm3.27i
        subcl abscl 2re 2pos divgt0i2 cr 2ne0 redivcl 0z uzssz ssid clmi1
        mpanl12 mpan jca r19.26 ltnr anandi abssubt mpan2 breq1d anbi1d
        abs3lemt sylbid imp sylbir mto prth mtoi r19.20si r19.22si reeanv
        ralnex rexbii rexnal bitr 3imtr3 3syl mt2 absgt0 necon1bbii mpbi
        subeq0 ) ABJKZLMZABMLXANOZPQZRXBXDGSZHSZTQZISZXFTQZUAZHUBUCZIUBUDZGUBUD
        ZXKGIUBHXEXHUEUFXDLXCUGUHKZPQZXGXFCOZUIUJZXPAJKNOZXNPQZUAZUKZHUBUDZGUBU
        CZXIXQXPBJKNOXNPQZUAZUKZHUBUDZIUBUCZUAZXMRZXCUGXAABAULUJZCAUMQZAUIUJZDY
        LCBUMQZFUNZAULCUOUPZBULUJZYNBUIUJZEYLYNFUQZBULCUOUPZURZUSZUTVAVBXOYCYHX
        NVCUJZXOYCXCUGUUBUTVDVEZYKYLUUCXOUAZYCDYOAXNULGHCLUBUBVFLVGZUBVHZVIVJVK
        UUCXOYHUUDYQYNUUEYHEYSBXNULIHCLUBUBVFUUFUUGVIVJVKVLYBYGUAZIUBUCZGUBUCXJ
        RZHUBUDZIUBUCZGUBUCZYIYJUUIUULGUBUUHUUKIUBUUHYAYFUAZHUBUDUUKYAYFHUBVMUU
        NUUJHUBUUNXJXTYEUAZUUOXCXCPQZXCUUBVNUUOXQXSYDUAZUAUUPXQXSYDVOXQUUQUUPXQ
        UUQAXPJKNOZXNPQZYDUAZUUPXQXSUUSYDXQXRUURXNPXQYMXRUURMYPXPAVPVQVRVSXQXCV
        CUJZUUTUUPUKZUUBYMYRXQUVAUAUVBYPYTABXPXCVTVJVQWAWBWCWDXGXTXIYEWEWFWGWCW
        HWHYBYGGIUBUBWIUUMXLRZGUBUCYJUULUVCGUBUULXKRZIUBUCUVCUUKUVDIUBXJHUBWJWK
        XKIUBWLWMWKXLGUBWLWMWNWOWPXDXALXAUUAWQWRWSABYPYTWTWS $.
        $( [23-Sep-2005] $) $( [28-Aug-2005] $)
    $}

    $( An infinite sequence of complex numbers converges to at most one
       limit. $)
    climuni $p |- ( ( F ~~> A /\ F ~~> B ) -> A = B ) $=
      ( cli wbr wa wceq cc0 cif eqeq1 eqeq2 cz csn cxp cc 0cn elisseti ifex
      breq2 anbi1d anbi2d breq1 anbi12d clim0 pm3.2i elimhyp3v climunii
      dedth2v ) CAFGZCBFGZHZABIUMAJKZBIUNUMBJKZIABJJAUNBLBUOUNMUNUOUMCNJOPZKZUM
      AJDJQRSZTUMBJEURTUMCUNFGZULHUSCUOFGZHUQUNFGZUQUOFGZHABCJJUPUPJFGZVCHUPUNF
      GZVCHVDUPUOFGZHAUNIUKUSULAUNCFUAUBBUOIULUTUSBUOCFUAUCCUQIUSVAUTVBCUQUNFUD
      CUQUOFUDUEJUNIVCVDVCJUNUPFUAUBJUOIVCVEVDJUOUPFUAUCUPUQIVDVAVEVBUPUQUNFUDU
      PUQUOFUDUEVCVCUFUFUGUHUIUJ $.
      $( [29-Sep-2005] $) $( [2-Oct-1999] $)
  $}

  ${
    $d y A $.  $d x y F $.
    climreu.1 $e |- A e. V $.
    $( An infinite sequence of complex numbers converges to at most one
       limit. $)
    climeu $p |- ( F ~~> A -> E! x F ~~> x ) $=
      ( vy cli wbr cv wex wa wceq wi wal weu breq2 cla4ev visset climuni gen2
      jctir ax-17 cbveu eu4 bitr sylibr ) CBFGZCEHZFGZEIZUHCAHZFGZJUGUJKLZAMEMZ
      JZUKANZUFUIUMUHUFEBDUGBCFOPULEAUGUJCEQAQRSTUOUHENUNUKUHAEUKEUAUHAUAUJUGCF
      OUBUHUKEAUGUJCFOUCUDUE $.
      $( [26-Dec-2005] $) $( [25-Dec-2005] $)

    $( An infinite sequence of complex numbers converges to at most one
       limit. $)
    climreu $p |- ( F ~~> A -> E! x e. CC F ~~> x ) $=
      ( cli wbr cv weu cc wreu climeu wcel wa cvv visset climcl mpan pm4.71ri
      eubii df-reu bitr4 sylib ) CBEFCAGZEFZAHZUDAIJZABCDKUEUCILZUDMZAHUFUDUHAU
      DUGUCNLUDUGAOUCNCPQRSUDAITUAUB $.
      $( [27-Dec-2005] $) $( [25-Dec-2005] $)
  $}

  ${
    $d x y k j A $.  $d j k x y F $.  $d x y k j G $.
    2climnn.1 $e |- G e. V $.
    $( If two sequences converge to each other, they converge to the same
       limit. $)
    2climnn $p |- ( ( ( A e. CC /\ A. k e. NN
  ( ( F ` k ) e. CC /\ ( G ` k ) e. CC ) ) /\ ( A. x e. RR ( 0 < x ->
             E. j e. NN A. k e. NN ( j <_ k ->
   ( abs ` ( ( G ` k ) - ( F ` k ) ) ) < x ) ) /\ F ~~> A ) ) -> G ~~> A ) $=
      ( vy cc wcel cv cfv wa cn wral cc0 clt wbr cle cmin co cabs wi wrex cr
      cli c2 cdiv caddc rehalfclt wceq breq2 opreq12 anidms breq2d imbi2d
      rexralbidv imbi12d rcla4v syl c1 1z cuz nnuz eqimss2i nnssz clmi2
      adantllr anassrs lt2addt subclt ancoms absclt adantl adantrr jca adantlr
      pm3.2 pm2.43i ad2antlr sylanc npncant 3com13 3expb fveq2d abstrit
      eqbrtrrd lelttrt ad2ant2rl axaddrcl syl3anc mpand syld imim2d ex
      r19.20sdv imp an1rs r19.20 adantr r19.22sdv cvganuz syl5ib mpan2d a2d
      r19.20dva com23 imp32 syl5 halfpos2t bicomd recnt 2halvest sylibd com12
      r19.21aiv wb cin clm4 wss inss2 ssralv ax-mp sylan2 pm3.27 r19.20si
      mpbird ) BIJZDKZELZIJZYIFLZIJZMZDNOZMZPAKZQRZCKYISRZYLYJTUAZUBLZYQQRZUCDN
      OCNUDZUCZAUEOZEBUFRZMZMZFBUFRZPHKZQRZYSYLBTUAZUBLZUUJQRZUCZDNOCNUDZUCZHUE
      OZUUHUUQHUEUUJUEJZUUHUUQUUSUUHPUUJUGUHUAZQRZYSUUMUUTUUTUIUAZQRZUCZDNOCNUD
      ZUCZUUQUUSYRYSUUMYQYQUIUAZQRZUCZDNOZCNUDZUCZAUEOZUVFUUHUUSUUTUEJUVMUVFUCU
      UJUJUVLUVFAUUTUEYQUUTUKZYRUVAUVKUVEYQUUTPQULUVNUVIUVDCDNNUVNUVHUVCYSUVNUV
      GUVBUUMQUVNUVGUVBUKYQUUTYQUUTUIUMUNUOUPUQURUSUTYPUUEUUFUVMYPUUFUUEUVMYPUU
      FUUEUVMUCYPUUFMZUUDUVLAUEUVOYQUEJZMZYRUUCUVKUVQYRUUCUVKUCUVQYRMZUUCYSYJBT
      UAZUBLZYQQRZUCDNOCNUDZUVKUVOUVPYRUWBYHUUFUVPYRMUWBYOBYQICDEVANNVBNVAVCLVD
      VEZVFVGVHVIUVRYSUUBUWAMZUCZDNOZCNUDUVKUUCUWBMUVRUWFUVJCNUVQUWFUVJUCZYRYPU
      VPUWGUUFYPUVPMUWEUVIUCZDNOZUWGYHUVPYOUWIYHUVPMZYOUWIUWJYNUWHDNUWJYNUWHUWJ
      YNMZUWDUVHYSUWKUWDUUAUVTUIUAZUVGQRZUVHUUAUEJZUVTUEJZMZUVPUVPMZUWDUWMUCUWK
      UUAUVTYQYQVJYHYNUWPUVPYHYNMZUWNUWOYNUWNYHYNYTIJZUWNYMYKUWSYLYJVKVLZYTVMUT
      VNZYHYKUWOYMYHYKMUVSIJZUWOYKYHUXBYJBVKVLZUVSVMUTVOZVPVQUVPUWQYHYNUVPUWQUV
      PUVPVRVSVTWAUWKUUMUWLSRZUWMUVHYHYNUXEUVPUWRYTUVSUIUAZUBLZUUMUWLSUWRUXFUUL
      UBYHYKYMUXFUULUKZYMYKYHUXHYLYJBWBWCWDWEUWSUXBUXGUWLSRUWRYTUVSWFYNUWSYHUWT
      VNYHYKUXBYMUXCVOWAWGVQUUMUEJZUWLUEJZUVGUEJZUXEUWMMUVHUCUWKUUMUWLUVGWHYHYM
      UXIUVPYKYHYMMUULIJZUXIYMYHUXLYLBVKVLUULVMUTWIYHYNUXJUVPUWNUWOUXJUWRUUAUVT
      WJUXAUXDWAVQUVPUXKYHYNUVPUXKYQYQWJUNVTWKWLWMWNWOWPWQWRUWEUVIDNWSUTVQWTXAU
      UBUWACDVANVBVDXBXCXDWOXEXFWOXGXHXIUUSUVAUUKUVEUUPUUSUUKUVAUUJXJXKUUSUVDUU
      OCDNNUUSUVCUUNYSUUSUVBUUJUUMQUUSUUJIJUVBUUJUKUUJXLUUJXMUTUOUPUQURXNXOXPYP
      UUIUURXQZUUGYHYMDNOZUXMYOYHYMDNNXRZOZUXMUXNHBCDFVAVANNVBUWCVFVBUWCVFGXSUX
      ONXTUXNUXPUCNNYAYMDUXONYBYCYDYNYMDNYKYMYEYFYDWTYG $.
      $( [17-Feb-2006] $) $( [24-Dec-2005] $)

    $( If two sequences converge to each other, they converge to the same
       limit. $)
    2climnn0 $p |- ( ( ( A e. CC /\ A. k e. NN0
  ( ( F ` k ) e. CC /\ ( G ` k ) e. CC ) ) /\ ( A. x e. RR ( 0 < x ->
             E. j e. NN0 A. k e. NN0 ( j <_ k ->
   ( abs ` ( ( G ` k ) - ( F ` k ) ) ) < x ) ) /\ F ~~> A ) ) -> G ~~> A ) $=
      ( vy cc wcel cv cfv wa cn0 wral cc0 clt wbr cle cmin co cabs wi wrex cr
      cli c2 cdiv caddc rehalfclt wceq breq2 opreq12 anidms breq2d imbi2d
      rexralbidv imbi12d rcla4v syl 0z cuz nn0uz eqimss2i nn0ssz clmi2
      adantllr anassrs lt2addt subclt ancoms absclt adantl adantrr jca adantlr
      pm3.2 pm2.43i ad2antlr sylanc npncant 3com13 3expb fveq2d abstrit
      eqbrtrrd lelttrt ad2ant2rl axaddrcl syl3anc mpand syld imim2d ex
      r19.20sdv imp an1rs r19.20 adantr r19.22sdv cvganuz syl5ib mpan2d a2d
      r19.20dva com23 imp32 syl5 halfpos2t bicomd recnt 2halvest sylibd com12
      r19.21aiv wb cin clm4 wss inss2 ssralv ax-mp sylan2 pm3.27 r19.20si
      mpbird ) BIJZDKZELZIJZYHFLZIJZMZDNOZMZPAKZQRZCKYHSRZYKYITUAZUBLZYPQRZUCDN
      OCNUDZUCZAUEOZEBUFRZMZMZFBUFRZPHKZQRZYRYKBTUAZUBLZUUIQRZUCZDNOCNUDZUCZHUE
      OZUUGUUPHUEUUIUEJZUUGUUPUURUUGPUUIUGUHUAZQRZYRUULUUSUUSUIUAZQRZUCZDNOCNUD
      ZUCZUUPUURYQYRUULYPYPUIUAZQRZUCZDNOZCNUDZUCZAUEOZUVEUUGUURUUSUEJUVLUVEUCU
      UIUJUVKUVEAUUSUEYPUUSUKZYQUUTUVJUVDYPUUSPQULUVMUVHUVCCDNNUVMUVGUVBYRUVMUV
      FUVAUULQUVMUVFUVAUKYPUUSYPUUSUIUMUNUOUPUQURUSUTYOUUDUUEUVLYOUUEUUDUVLYOUU
      EUUDUVLUCYOUUEMZUUCUVKAUEUVNYPUEJZMZYQUUBUVJUVPYQUUBUVJUCUVPYQMZUUBYRYIBT
      UAZUBLZYPQRZUCDNOCNUDZUVJUVNUVOYQUWAYGUUEUVOYQMUWAYNBYPICDEPNNVANPVBLVCVD
      ZVEVFVGVHUVQYRUUAUVTMZUCZDNOZCNUDUVJUUBUWAMUVQUWEUVICNUVPUWEUVIUCZYQYOUVO
      UWFUUEYOUVOMUWDUVHUCZDNOZUWFYGUVOYNUWHYGUVOMZYNUWHUWIYMUWGDNUWIYMUWGUWIYM
      MZUWCUVGYRUWJUWCYTUVSUIUAZUVFQRZUVGYTUEJZUVSUEJZMZUVOUVOMZUWCUWLUCUWJYTUV
      SYPYPVIYGYMUWOUVOYGYMMZUWMUWNYMUWMYGYMYSIJZUWMYLYJUWRYKYIVJVKZYSVLUTVMZYG
      YJUWNYLYGYJMUVRIJZUWNYJYGUXAYIBVJVKZUVRVLUTVNZVOVPUVOUWPYGYMUVOUWPUVOUVOV
      QVRVSVTUWJUULUWKSRZUWLUVGYGYMUXDUVOUWQYSUVRUIUAZUBLZUULUWKSUWQUXEUUKUBYGY
      JYLUXEUUKUKZYLYJYGUXGYKYIBWAWBWCWDUWRUXAUXFUWKSRUWQYSUVRWEYMUWRYGUWSVMYGY
      JUXAYLUXBVNVTWFVPUULUEJZUWKUEJZUVFUEJZUXDUWLMUVGUCUWJUULUWKUVFWGYGYLUXHUV
      OYJYGYLMUUKIJZUXHYLYGUXKYKBVJVKUUKVLUTWHYGYMUXIUVOUWMUWNUXIUWQYTUVSWIUWTU
      XCVTVPUVOUXJYGYMUVOUXJYPYPWIUNVSWJWKWLWMWNWOWPWQUWDUVHDNWRUTVPWSWTUUAUVTC
      DPNVAVCXAXBXCWNXDXEWNXFXGXHUURUUTUUJUVDUUOUURUUJUUTUUIXIXJUURUVCUUNCDNNUU
      RUVBUUMYRUURUVAUUIUULQUURUUIIJUVAUUIUKUUIXKUUIXLUTUOUPUQURXMXNXOYOUUHUUQX
      PZUUFYGYLDNOZUXLYNYGYLDNNXQZOZUXLUXMHBCDFPPNNVAUWBVEVAUWBVEGXRUXNNXSUXMUX
      OUCNNXTYLDUXNNYAYBYCYMYLDNYJYLYDYEYCWSYF $.
      $( [11-Jan-2007] $) $( [24-Dec-2005] $)
  $}

  ${
    $d j t m n x A $.  $d j k t m n x M $.  $d j t m n x F $.
    climshft.1 $e |- F e. V $.
    climshft.2 $e |- M e. ZZ $.
    $( A shifted function converges iff the original function converges. $)
    climshft $p |- ( A e. CC -> ( ( F shift M ) ~~> A <-> F ~~> A ) ) $=
      ( vx vm vn vj vt cc wcel cshi co cli wbr cc0 cv clt cle cfv cmin cabs wa
      wi cz wral wrex cr 0z uzssz ssid oprex clm2 caddc wb zre lesubaddt
      mp3an2 zret syl2an adantr zaddclt mpan2 wceq breq2 fveq2 eleq1d opreq1d
      fveq2d breq1d anbi12d imbi12d rcla4v syl imp adantll sylbid zcnt
      shftvalt mpan 3syl recn pncant eqtr2d adantl ad2antrr eleq1 opreq1
      mpbird exp41 com23 r19.21adv zsubclt jctild breq1 imbi1d ralbidv rcla4ev
      syl6 r19.23aiv leaddsubt impbi imbi2i ralbii syl6bb bitr4d ) AKLZBCMNZAOP
      ZQFRZSPZGRZHRZTPZXNBUAZKLZXPAUBNZUCUAZXKSPZUDZUEZHUFUGZGUFUHZUEZFUIUGZBAO
      PXHXJXLIRZJRZTPZYHXIUAZKLZYJAUBNZUCUAZXKSPZUDZUEZJUFUGZIUFUHZUEZFUIUGYFFA
      IJXIQQUFUFUJQUKZUFULZUJYTUUABCMUMUNYSYEFUIYRYDXLYRYDYQYDIUFYGUFLZYQYGCUBN
      ZUFLZUUCXNTPZYAUEZHUFUGZUDYDUUBYQUUGUUDUUBYQUUFHUFUUBXNUFLZYQUUFUUBUUHYQU
      UEYAUUBUUHUDZYQUDZUUEUDZYAXNCUONZXIUAZKLZUUMAUBNZUCUAZXKSPZUDZUUJUUEUURUU
      JUUEYGUULTPZUURUUIUUEUUSUPZYQYGUILZXNUILZUUTUUBUUHUVACUILZUVBUUTCEUQZYGCX
      NURUSYGUTXNUTVAVBUUHYQUUSUURUEZUUBUUHYQUVEUUHUULUFLZYQUVEUEUUHCUFLZUVFEXN
      CVCVDZYPUVEJUULUFYHUULVEZYIUUSYOUURYHUULYGTVFUVIYKUUNYNUUQUVIYJUUMKYHUULX
      IVGZVHUVIYMUUPXKSUVIYLUUOUCUVIYJUUMAUBUVJVIVJVKVLVMVNVOVPVQVRVPUUKXPUUMVE
      ZYAUURUPUUIUVKYQUUEUUHUVKUUBUUHUUMUULCUBNZBUAZXPUUHUVFUULKLZUUMUVMVEZUVHU
      ULVSUVGUVNUVOECUULUFBDVTWAWBUUHUVLXNBUUHXNKLZUVLXNVEZXNVSUVPCKLUVQCUVDWCX
      NCWDVDVOVJWEWFWGUVKXQUUNXTUUQXPUUMKWHUVKXSUUPXKSUVKXRUUOUCXPUUMAUBWIVJVKV
      LVOWJWKWLWMUUBUVGUUDEYGCWNVDWOYCUUGGUUCUFXMUUCVEZYBUUFHUFUVRXOUUEYAXMUUCX
      NTWPWQWRWSWTXAYCYRGUFXMUFLZYCXMCUONZUFLZUVTYHTPZYOUEZJUFUGZUDYRUVSYCUWDUW
      AUVSYCUWCJUFUVSYHUFLZYCUWCUVSUWEYCUWBYOUVSUWEUDZYCUDZUWBUDZYOYHCUBNZBUAZK
      LZUWJAUBNZUCUAZXKSPZUDZUWGUWBUWOUWGUWBXMUWITPZUWOUWFUWBUWPUPZYCXMUILZYHUI
      LZUWQUVSUWEUWRUVCUWSUWQUVDXMCYHXBUSXMUTYHUTVAVBUWEYCUWPUWOUEZUVSUWEYCUWTU
      WEUWIUFLZYCUWTUEUWEUVGUXAEYHCWNVDYBUWTHUWIUFXNUWIVEZXOUWPYAUWOXNUWIXMTVFU
      XBXQUWKXTUWNUXBXPUWJKXNUWIBVGZVHUXBXSUWMXKSUXBXRUWLUCUXBXPUWJAUBUXCVIVJVK
      VLVMVNVOVPVQVRVPUWHYJUWJVEZYOUWOUPUWFUXDYCUWBUWEUXDUVSUWEYHKLZUXDYHVSUVGU
      XEUXDECYHUFBDVTWAVOWFWGUXDYKUWKYNUWNYJUWJKWHUXDYMUWMXKSUXDYLUWLUCYJUWJAUB
      WIVJVKVLVOWJWKWLWMUVSUVGUWAEXMCVCVDWOYQUWDIUVTUFYGUVTVEZYPUWCJUFUXFYIUWBY
      OYGUVTYHTWPWQWRWSWTXAXCXDXEXFFAGHBQQUFUFUJYTUUAUJYTUUADUNXG $.
      $( [15-Mar-2006] $) $( [16-Aug-2005] $)

    $( A function restricted to upper integers converges iff the original
       function converges. $)
    climres $p |- ( A e. B ->
                        ( ( F |` ( ZZ> ` M ) ) ~~> A <-> F ~~> A ) ) $=
      ( vx vj vt wcel cuz cfv cres cli wbr cc climcl cc0 cv clt cle cmin co
      cabs wa wi wral cz wrex cr 0z uzssz ssid cvv resexg ax-mp clm2 fvres
      eleq1d opreq1d fveq2d breq1d anbi12d imbi2d ralbiia rexbii imbi2i ralbii
      syl6bb bitr4d pm5.21nd ) ABJCDKLZMZANOZCANOZAPJZABVMQABCQVPVNRGSZTOZHSISZ
      UAOZVSCLZPJZWAAUBUCZUDLZVQTOZUEZUFZIVLUGZHUHUIZUFZGUJUGZVOVPVNVRVTVSVMLZP
      JZWLAUBUCZUDLZVQTOZUEZUFZIVLUGZHUHUIZUFZGUJUGWKGAHIVMRDVLUHUKRULZUHUMZFVL
      UMZDULZCUNJVMUNJECVLUNUOUPUQXAWJGUJWTWIVRWSWHHUHWRWGIVLVSVLJZWQWFVTXFWMWB
      WPWEXFWLWAPVSVLCURZUSXFWOWDVQTXFWNWCUDXFWLWAAUBXGUTVAVBVCVDVEVFVGVHVIGAHI
      CRDVLUHUKXBXCFXDXEEUQVJVK $.
      $( [17-Nov-2007] $) $( [2-Jul-2006] $)
  $}

  ${
    $d F k $.  $d G k $.  $d K k $.  $d M k $.
    climshft2.1 $e |- F e. V $.
    climshft2.2 $e |- G e. V $.
    climshft2.3 $e |- M e. ZZ $.
    climshft2.4 $e |- K e. ZZ $.
    $( A shifted function converges iff the original function converges.
       (Contributed by Paul Chapman, 19-Nov-2007.) $)
    climshft2 $p |- ( ( A e. B /\ A. k e. ( ZZ> ` M )
             ( G ` ( k + K ) ) = ( F ` k ) ) -> ( F ~~> A <-> G ~~> A ) ) $=
      ( wcel cv caddc co cfv wceq cuz wral wa cli wbr cc climcl anim1i an1rs
      cneg cshi cres cc0 wb wfn cz znegclt ax-mp shftfn 0z wss uzssz zsscn
      sstri fvreseq mpan2 mp2an eluzelz zcnt syl zre recn shftval4t mpan
      axaddcom fveq2d eqtrd shftidt eqeq12d ralbiia bitr breq1 sylbir adantl
      oprex climres climshft bitrd adantr 3bitr3rd pm5.21nd ) ABLZCMZFNOZEPZWJD
      PZQZCGRPZSZTDAUAUBZEAUAUBZAUCLZWPTZWIWQWPWTWIWQTWSWPABDUDUEUFWIWRWPWTWIWR
      TWSWPABEUDUEUFWTEFUGZUHOZWOUIZAUAUBZDUJUHOZWOUIZAUAUBZWRWQWPXDXGUKZWSWPXC
      XFQZXHXIWJXBPZWJXEPZQZCWOSZWPXBUCULZXEUCULZXIXMUKZXAUMLZXNFUMLXQKFUNUOZXA
      UMEIUPUOUJUMLXOUQUJUMDHUPUOXNXOTWOUCURXPWOUMUCGUSUTVACUCWOXBXEVBVCVDXLWNC
      WOWJWOLZXJWLXKWMXSWJUCLZXJWLQXSWJUMLXTGWJVEWJVFVGZXTXJFWJNOZEPZWLFUCLZXTX
      JYCQFFKVHVIZFWJEIVJVKXTYBWKEYDXTYBWKQYEFWJVLVKVMVNVGXSXTXKWMQYAWJDHVOVGVP
      VQVRXCXFAUAVSVTWAWSXDWRUKWPWSXDXBAUAUBWRAUCXBGEXAUHWBJWCAEXAIXRWDWEWFWSXG
      WQUKWPWSXGXEAUAUBWQAUCXEGDUJUHWBJWCADUJHUQWDWEWFWGWH $.
      $( [19-Nov-2007] $) $( [21-Nov-2007] $)
  $}

  ${
    $d F k m n x $.  $d G k m n x $.  $d K k m n x $.  $d M k m n x $.
    iserzshft2.1 $e |- F e. V $.
    iserzshft2.2 $e |- G e. V $.
    iserzshft2.3 $e |- M e. ZZ $.
    iserzshft2.4 $e |- K e. ZZ $.
    $( Index shift of an infinite series.  (Contributed by Paul Chapman,
       19-Nov-2007.) $)
    iserzshft2 $p |- ( ( A e. B /\ A. k e. ( ZZ> ` M )
                     ( ( F ` k ) e. CC /\ ( G ` ( k + K ) ) = ( F ` k ) ) ) ->
   ( ( <. M , + >. seq F ) ~~> A <-> ( <. ( M + K ) , + >. seq G ) ~~> A ) ) $=
      ( vm vn vx wcel cv cfv cc caddc co wceq wa cuz wral cop cseqz cli wbr
      climcl anim1i an1rs wb wi cc0 cif breq2 bibi12d imbi2d cfz csu cmin csb
      cz fsumshft mp3an2 r19.26 pm3.26bi elfzuzt imim1i r19.20i2 syl sylan2
      eluzelz zcnt zre recn npcant mpan2 fveq2d adantl eluzsubi fveq2 eleq1d
      opreq1 eqeq12d anbi12d rcla4v impcom pm3.27d eqtr3d oprex ax-17 csbief
      syl6eqr sumeq2dv eqtr4d fsumserz adantr eluzaddi 3eqtr3rd expcom
      r19.21aiv 0cn elimel climshft2 mpan dedth imp pm5.21nd ) ABOZCPZDQZROZXKF
      STZEQZXLUAZUBZCGUCQZUDZUBGSUEZDUFTZAUGUHZGFSTZSUEZEUFTZAUGUHZAROZXSUBZXJY
      BXSYHXJYBUBYGXSABYAUIUJUKXJYFXSYHXJYFUBYGXSABYEUIUJUKYGXSYBYFULZYGXSYIUMX
      SYAYGAUNUOZUGUHZYEYJUGUHZULZUMAUNAYJUAZYIYMXSYNYBYKYFYLAYJYAUGUPAYJYEUGUP
      UQURXSLPZFSTZYEQZYOYAQZUAZLXRUDZYMXSYSLXRYOXROZXSYSUUAXSUBZGYOUSTZXLCUTZY
      CYPUSTZMPZEQZMUTZYRYQUUBUUDUUECUUFFVATZXLVBZMUTZUUHUUAXMCUUCUDZUUDUUKUAZX
      SUUAFVCOUULUUMKXLCMFGYOVDVEXSXMCXRUDZUULXSUUNXPCXRUDXMXPCXRVFVGXMXMCXRUUC
      XKUUCOXKXROXMXKGYOVHVIVJVKVLXSUUHUUKUAUUAXSUUEUUGUUJMXSUUFYCUCQZOZUUGUUJU
      AUUFUUEOXSUUPUBZUUGUUIDQZUUJUUQUUIFSTZEQZUUGUURUUPUUTUUGUAXSUUPUUSUUFEUUP
      UUFROZUUSUUFUAZUUPUUFVCOUVAYCUUFVMUUFVNVKUVAFROUVBFFKVOVPUUFFVQVRVKVSVTUU
      QUURROZUUTUURUAZUUPXSUVCUVDUBZUUPUUIXROXSUVEUMFGUUFJKWAXQUVECUUIXRXKUUIUA
      ZXMUVCXPUVDUVFXLUURRXKUUIDWBZWCUVFXOUUTXLUURUVFXNUUSEXKUUIFSWDVSUVGWEWFWG
      VKWHWIWJCNUUIXLUURUUFFVAWKNPUUROCWLUVGWMWNUUFYCYPVHVLWOVTWPUUAUUDYRUAXSCD
      GYOHWQWRUUAUUHYQUAZXSUUAYPUUOOUVHFGYOJKWSMEYCYPIWQVKWRWTXAXBYJROYTYMAUNRX
      CXDYJRLYAYEFGXTDUFWKYDEUFWKJKXEXFVKXGXHXI $.
      $( [21-Nov-2007] $) $( [19-Nov-2007] $)
  $}

  ${
    climuz0.1 $e |- M e. ZZ $.
    $( A zero sequence converges to zero. $)
    climuz0 $p |- ( ( ZZ> ` M ) X. { 0 } ) ~~> 0 $=
      ( cuz cfv cc0 csn cxp cli wbr cz clim0 cres cdm wceq c0 wne cc 0cn
      elisseti snnz dmxp ax-mp reseq2 wfun wss wf fconst ffun uzssz ssid ssxp
      mp2an funssres eqtr3 breq1i cvv wcel wb zex snex xpex climres bitr3
      mpbir ) ACDZEFZGZEHIZJVFGZEHIZKVHVIVELZEHIZVJVKVGEHVIVGMZLZVKVGVMVENZVNVK
      NVFOPVOEEQRSZTVEVFUAUBVMVEVIUCUBVIUDZVGVIUEZVNVGNJVFVIUFVQJEVPUGJVFVIUHUB
      VEJUEVFVFUEVRAUIVFUJVEJVFVFUKULVIVGUMULUNUOEUPUQVLVJURVPEUPVIAJVFUSEUTVAB
      VBUBVCVD $.
      $( [17-Nov-2007] $) $( [2-Jul-2006] $)
  $}

  ${
    $d M k n y z $.
    $( The zero series converges to zero.  (Contributed by Paul Chapman,
       9-Feb-2007.) $)
    serzclim0 $p |- ( M e. ZZ ->
                      ( <. M , + >. seq ( ( ZZ> ` M ) X. { 0 } ) ) ~~> 0 ) $=
      ( vy vz vk vn cz wcel caddc cop cuz cfv cc0 csn cxp cseqz co cli cc 0cn
      elisseti fconstopab cv wceq wa copab cfz csu fsum0 eqeq2d pm5.32i
      opabbii eqtr4 serzfsum wbr cif fveq2 xpeq1 syl breq1d 0z elimel climuz0
      dedth eqbrtrd ) AFGZAHIAJKZLMZNZOPVHLQBCLDEVHVHALRSTDBVFLUAVHEUBZVFGZCUBZ
      LUCZUDZECUEVJVKAVIUFPLDUGZUCZUDZECUEECVFLUAVPVMECVJVOVLVJVNLVKDAVIUHUIUJU
      KULUMVEVHLQUNVEALUOZJKZVGNZLQUNALAVQUCZVHVSLQVTVFVRUCVHVSUCAVQJUPVFVRVGUQ
      URUSVQALFUTVAVBVCVD $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

  ${
    $d j m A $.  $d j k m F $.  $d j k m M $.
    climrecl.1 $e |- A e. V $.
    $( The limit of a convergent real sequence is real.  Corollary 12-2.5 of
       [Gleason] p. 172. $)
    climrecl $p |- ( ( M e. ZZ /\ F ~~> A /\
                      A. k e. ( ZZ> ` M ) ( F ` k ) e. RR ) -> A e. RR ) $=
      ( vj vm cz wcel cli wbr cv cfv cr cuz wral w3a cc cvv climcl mpan
      3ad2ant2 wa cim cc0 wceq cabs cle clt wn imclt recnd absge0t syl adantl
      cmin co wi wrex breq2 fveq2 opreq1d fveq2d breq1d negbid anbi12d rcla4ev
      eluzelz ad2antlr zret leidt 3syl cneg absnegt reim0t df-neg syl6reqr
      adantr imsubt recnt sylan eqtr4d eqtr3d subclt absimlet eqbrtrd wb
      lenltt absclt sylanc mpbid adantlr jca rexanali sylib eleq1d rcla4cva
      pm3.27 an1rs nrexdv 3ad2antl3 ad2antrl clmi2at anassrs ex mpdan 3adantl3
      mtod 0re eqleltt mpbird eqcomd abs00t reim0bt ) DHIZCAJKZBLZCMZNIZBDOMZPZ
      QZARIZANIZXPXOYCYAASIXPYCEASCTUAUBYBYCUCZYDAUDMZUEUFZYEYFUGMZUEUFZYGYEUEY
      HYEUEYHUFZUEYHUHKZUEYHUIKZUJZUCZYEYKYMYCYKYBYCYFRIZYKYCYFAUKULZYFUMUNUOYE
      YLFLZGLZUHKZYRCMZAUPUQZUGMZYHUIKZURGHPZFXTUSZYAXOYCUUEUJXPYAYCUCUUDFXTYAY
      QXTIZYCUUDUJZYQCMZNIZUUFUCZYCUUGYAUUFUCZUUJYCUCZYSUUCUJZUCZGHUSZUUGYQHIZY
      QYQUHKZUUHAUPUQZUGMZYHUIKZUJZUCZUUOUULUUNUVBGYQHYRYQUFZYSUUQUUMUVAYRYQYQU
      HUTUVCUUCUUTUVCUUBUUSYHUIUVCUUAUURUGUVCYTUUHAUPYRYQCVAVBVCVDVEVFVGUUFUUPU
      UIYCDYQVHZVIUULUUQUVAUUFUUQUUIYCUUFUUPYQNIUUQUVDYQVJYQVKVLVIUUIYCUVAUUFUU
      IYCUCZYHUUSUHKZUVAUVEYHUURUDMZUGMZUUSUHUVEYFVMZUGMZYHUVHYCUVJYHUFZUUIYCYO
      UVKYPYFVNUNUOUVEUVIUVGUGUVEUVIUUHUDMZYFUPUQZUVGUUIUVIUVMUFYCUUIUVMUEYFUPU
      QUVIUUIUVLUEYFUPUUHVOVBYFVPVQVRUUHRIZYCUVGUVMUFUUIUUHAVSUUHVTZWAWBVCWCUVE
      UURRIZUVHUUSUHKUVNYCUVPUUIUUHAWDUVOWAZUURWEUNWFYHNIZUUSNIZUVFUVAWGUVEYHUU
      SWHYCUVRUUIYCYOUVRYPYFWIUNZUOUVEUVPUVSUVQUURWIUNWJWKWLWMWJYSUUCGHWNWOUUKU
      UIUUFXSUUIBYQXTXQYQUFXRUUHNXQYQCVAWPWQYAUUFWRWMWAWSWTXAXOXPYCYLUUEURZYAXO
      YCXPUWAXOYCXPUWAXOYCXPUCZUCZUVRUWAYCUVRXOXPUVTXBUWCUVRUCYLUUEUWCUVRYLUUEX
      OUWBUVRYLUCUUEAYHRFGCDXCXDXDXEXFXDWSXGXHWMYCYJYNWGZYBYCUVRUWDUVTUENIUVRUW
      DXIUEYHXJUAUNUOXKXLYCYIYGWGZYBYCYOUWEYPYFXMUNUOWKYCYDYGWGYBAXNUOXKXF $.
      $( [2-Dec-2005] $) $( [10-Sep-2005] $)
  $}

  ${
    $d k F $.
    climfnrcl.1 $e |- A e. V $.
    climfnrcl.2 $e |- F : NN --> RR $.
    climfnrcl.3 $e |- F ~~> A $.
    $( The limit of a convergent real sequence on natural numbers is real.
       Corollary 12-2.5 of [Gleason] p. 172. $)
    climfnrcl $p |- A e. RR $=
      ( vk c1 cz wcel cli wbr cv cfv cr cuz wral 1z cn elnnuz ffvelrni sylbir
      rgen climrecl mp3an ) GHIBAJKFLZBMNIZFGOMZPANIQEUFFUGUEUGIUERIUFUESRNUEBD
      TUAUBAFBGCUCUD $.
      $( [6-Jun-2006] $) $( [5-Jun-2006] $)
  $}

  ${
    $d j m A $.  $d j k m F $.  $d j k m M $.
    climge0.1 $e |- A e. V $.
    $( A nonnegative sequence converges to a nonnegative number. $)
    climge0 $p |- ( ( M e. ZZ /\ F ~~> A /\ A. k e. ( ZZ> ` M )
                     ( ( F ` k ) e. RR /\ 0 <_ ( F ` k ) ) ) -> 0 <_ A ) $=
      ( vj vm cz wcel cli wbr cv cfv cr cc0 cle wa cuz wral w3a climrecl
      pm3.26 r19.20si syl3an3 clt wn cmin co cabs cneg wi wrex wb lt0neg1t
      adantl cvv clmi2at jctl sylanr1 anassrs ex renegclt sylan2 sylbid
      3adantl3 wceq breq2 fveq2 opreq1d fveq2d breq1d negbid anbi12d rcla4ev
      eluzelz zret leidt 3syl caddc addge02t sylan biimpa anasss ancoms
      adantrr absidt axaddrcl ad2ant2r addge0t an4s adantr 0re ltlet mpan2
      le0neg1t sylibd imp jca sylanc cc negsubt recnt syl2an eqtr3d breqtrd
      lenltt resubclt recnd absclt syl mpbid eleq1d breq2d rcla4cva an1rs
      rexanali sylib nrexdv exp32 3ad2ant3 pm2.65d mpan mpbird mpdan ) DHIZCAJK
      ZBLZCMZNIZOYHPKZQZBDRMZSZTZANIZOAPKZYEYFYIBYLSYOYMABCDEUAYKYIBYLYIYJUBUCU
      DYNYOQZYPAOUEKZUFZYQYRFLZGLZPKZUUACMZAUGUHZUIMZAUJZUEKZUKGHSZFYLULZYEYFYO
      YRUUIUKYMYEYFQZYOQYROUUFUEKZUUIYOYRUUKUMUUJAUNUOUUJUUFNIZUUKUUIUKYOUUJUUL
      QUUKUUIUUJUULUUKUUIYEYFUULUUKQZUUIYEAUPIZYFQUUMUUIYFAUUFUPFGCDUQYFUUNEURU
      SUTUTVAAVBZVCVDVEYNYOYRUUIUFZUKZYMYEYOUUQUKYFYMYOYRUUPYMYOYRQZQZUUHFYLUUS
      YTYLIZQZUUBUUGUFZQZGHULZUUHUFYTHIZYTYTPKZYTCMZAUGUHZUIMZUUFUEKZUFZQZUVDUV
      AUVCUVLGYTHUUAYTVFZUUBUVFUVBUVKUUAYTYTPVGUVMUUGUVJUVMUUEUVIUUFUEUVMUUDUVH
      UIUVMUUCUVGAUGUUAYTCVHVIVJVKVLVMVNUUTUVEUUSDYTVOZUOUVAUVFUVKUUTUVFUUSUUTU
      VEYTNIUVFUVNYTVPYTVQVRUOYMUUTUURUVKUVGNIZOUVGPKZQZUURUVKYMUUTQUVQUURQZUUF
      UVIPKZUVKUVRUUFUVGUUFVSUHZUVIPUVQYOUUFUVTPKZYRYOUVQUWAYOUVOUVPUWAYOUVOQUV
      PUWAUULUVOUVPUWAUMYOUUFUVGVTUUOWAWBWCWDWEUVRUVTUIMZUVTUVIUVTNIZOUVTPKZUWB
      UVTVFUVRUVTWFUVOYOUWCUVPYRUVOUULUWCYOUVGUUFWGUUOVCWHUVQUULOUUFPKZQUWDUURU
      VOUULUVPUWEUWDUVGUUFWIWJUURUULUWEYOUULYRUUOWKYOYRUWEYOYRAOPKZUWEYOONIZYRU
      WFUKWLAOWMWNAWOWPWQWRVCWSUVOYOUWBUVIVFUVPYRUVOYOQZUVTUVHUIUVGWTIAWTIUVTUV
      HVFUVOYOUVGAXAUVGXBAXBXCVJWHXDXEUVOYOUVSUVKUMZUVPYRUULUVINIZUWIUWHUUFUVIX
      FYOUULUVOUUOUOUWHUVHWTIUWJUWHUVHUVGAXGXHUVHXIXJWSWHXKYKUVQBYTYLYGYTVFZYIU
      VOYJUVPUWKYHUVGNYGYTCVHZXLUWKYHUVGOPUWLXMVMXNWAXOWRWSUUBUUGGHXPXQXRXSXTWQ
      YAYOYPYSUMZYNUWGYOUWMWLOAXFYBUOYCYD $.
      $( [1-Aug-2006] $) $( [11-Sep-2005] $)
  $}

  ${
    $d j k x F $.  $d j k x G $.
    climabs0.1 $e |- F e. V $.
    climabs0.2 $e |- G e. V $.
    climabs0.3 $e |- ( k e. NN -> ( G ` k ) = ( abs ` ( F ` k ) ) ) $.
    $( Convergence to zero of the absolute value is equivalent to convergence
       to zero. $)
    climabs0 $p |- ( A. k e. NN ( F ` k ) e. CC -> ( F ~~> 0 <-> G ~~> 0 ) ) $=
      ( vj vx cv cfv cc wcel cn wral cle wbr cabs clt wi wrex crp cc0 cli
      hbra1 wa wceq ra4 imp absidmt syl breq1d imbi2d ralbida rexbidv ralbidv
      wb absclt recnd r19.20si clm0nns eqid a1i 3bitr4rd ) AIZBJZKLZAMNZGIVDOPZ
      VEQJZQJZHIZRPZSZAMNZGMTZHUANZVHVIVKRPZSZAMNZGMTZHUANCUBUCPZBUBUCPVGVOVTHU
      AVGVNVSGMVGVMVRAMVFAMUDVGVDMLZUEZVLVQVHWCVJVIVKRWCVFVJVIUFVGWBVFVFAMUGUHV
      EUIUJUKULUMUNUOVGVIKLZAMNWAVPUPVFWDAMVFVIVEUQURUSHVIGACEFUTUJHVEGABDVEVEU
      FWBVEVAVBUTVC $.
      $( [3-Aug-2008] $) $( [8-Jul-2008] $)
  $}

  ${
    $d f g h t u v A $.  $d f g h t u v B $.  $d f g k t u v F $.
    $d f g k t u v G $.  $d f h k t u v H $.  $d f g h k t u v M $.
    climadd.1 $e |- F e. V $.
    climadd.2 $e |- G e. V $.
    climadd.3 $e |- H e. V $.
    climadd.4 $e |- A e. V $.
    climadd.5 $e |- B e. V $.
    ${
      $d f t u v ph $.
      climaddlem.6 $e |- ( ph <-> ( ( F ~~> A /\ G ~~> B ) /\
                 A. k e. ( ZZ> ` M ) ( ( F ` k ) e. CC /\ ( G ` k ) e. CC /\
                  ( H ` k ) = ( ( F ` k ) + ( G ` k ) ) ) ) ) $.
      $( Lemma for ~ climadd . $)
      climaddlem1 $p |- ( ( t e. ( ZZ> ` M ) /\ ph ) ->
         ( ( F ` t ) e. CC /\ ( G ` t ) e. CC /\
                  ( H ` t ) = ( ( F ` t ) + ( G ` t ) ) ) ) $=
        ( cv cuz cfv wcel cli wbr wa cc caddc co wceq w3a wral fveq2 eleq1d
        opreq12d eqeq12d 3anbi123d rcla4va adantrl sylan2b ) BPZIQRZSZFCTUAGDTU
        AUBZEPZFRZUCSZVAGRZUCSZVAHRZVBVDUDUEZUFZUGZEURUHZUBUQFRZUCSZUQGRZUCSZUQ
        HRZVKVMUDUEZUFZUGZAUSVJVRUTVIVREUQURVAUQUFZVCVLVEVNVHVQVSVBVKUCVAUQFUIZ
        UJVSVDVMUCVAUQGUIZUJVSVFVOVGVPVAUQHUIVSVBVKVDVMUDVTWAUKULUMUNUOOUP $.
        $( [13-Nov-2005] $) $( [24-Sep-2005] $)

      $( Lemma for ~ climadd . $)
      climaddlem2 $p |- ( ph -> ( A e. CC /\ B e. CC ) ) $=
        ( cli wbr wa cv cfv cc wcel caddc co wceq w3a cuz wral cvv climcl mpan
        anim12i adantr sylbi ) AEBOPZFCOPZQZDRZESZTUAUQFSZTUAUQGSURUSUBUCUDUEDH
        UFSUGZQBTUAZCTUAZQZNUPVCUTUNVAUOVBBUHUAUNVALBUHEUIUJCUHUAUOVBMCUHFUIUJU
        KULUM $.
        $( [13-Nov-2005] $) $( [24-Sep-2005] $)

      $( Lemma for ~ climadd .  _Warning:  The HTML proof page is 3/4 megabyte
         in size_. $)
      climaddlem3 $p |- ( ( M e. ZZ /\ ph ) -> H ~~> ( A + B ) ) $=
        ( vv vh vt vu vf vg cz wcel wa caddc co cli wbr cc0 cv clt cle cfv
        cmin cabs wi cuz wral wrex cr c2 cdiv cn0 cc wceq w3a cvv 0z nn0uz
        eqimss2i uzssz clmi2 mpanl1 anim12i anandirs adantlr sylanb rehalfclt
        adantr 2re 2pos pm3.2i divgt0t mpan2 jca sylan2 pm3.27 nn0addge1t
        nn0ret sylan letrt 3expa pm3.26 axaddrcl syl2an mpand eluzelz zret syl
        nn0addge2t ancoms anim12d prth syl9 exp4a r19.20dva breq2 fveq2
        opreq1d fveq2d breq1d anbi2d imbi12d rcla4v com23 a2d r19.21v syl5ib
        com12 syl6 mpid adantll lt2addt subclt climaddlem1 3simp1d climaddlem2
        pm3.26d adantl sylanc absclt 3simp2d pm3.27d anasss cmul recnt 2timest
        3syl wne 2cn 2ne0 divcan2t mp3an13 eqtr3d ad2antll breq2d sylibd
        3simp3d addsub4t eqtrd abstrit eqbrtrd adantrr lelttrt axaddcl eqeltrd
        syld a1d syldd adantlrr breq1 imbi1d ralbidv rcla4ev nn0addclt nn0zt
        ex raaan syl5ibr r19.23advv reeanv mpd exp32 r19.21aiv wb clm4at 3expb
        expcom mpbird ) HUAUBZAUCGBCUDUEZUFUGZUHOUIZUJUGZPUIZQUIZUKUGZUWEGULZUV
        TUMUEZUNULZUWBUJUGZUOZQHUPULZUQZPUAURZUOZOUSUQZAUWPUVSAUWOOUSAUWBUSUBZU
        WCUWNAUWQUWCUCZUCZRUIZUWEUKUGZUWEEULZBUMUEZUNULZUWBUTVAUEZUJUGZUOZQUWLU
        QZRVBURZSUIZTUIZUKUGZUXKFULZCUMUEZUNULZUXEUJUGZUOZTUWLUQZSVBURZUCZUWNAU
        XEUSUBZUHUXEUJUGZUCZUXTUWREBUFUGZFCUFUGZUCZDUIZEULZVCUBUYGFULZVCUBUYGGU
        LUYHUYIUDUEVDVEDUWLUQZUCUYCUXTAUYFUYCUXTUYJUYDUYEUYCUXTUYDUYCUCUXIUYEUY
        CUCUXSBVFUBUYDUYCUXILBUXEVFRQEUHUWLVBVGVBUHUPULVHVIZHVJZVKVLCVFUBUYEUYC
        UXSMCUXEVFSTFUHUWLVBVGUYKUYLVKVLVMVNVONVPUWRUYAUYBUWQUYAUWCUWBVQZVRUWRU
        TUSUBZUHUTUJUGZUCUYBUYNUYOVSVTWAUWBUTWBWCWDWEUWSUXHUXRUCZSVBURRVBURUWNU
        XTUWSUYPUWNRSVBVBUWSUWTVBUBZUXJVBUBZUCZUYPUWNUOUWSUYSUCZUXGUXQUCZTUWLUQ
        ZQUWLUQZUWNUYPUYTVUCUWTUXJUDUEZUWEUKUGZUWJUOZQUWLUQZUWNAUWQUYSVUCVUGUOU
        WCAUWQUCZUYSUCZVUBVUFQUWLVUIUWEUWLUBZUCZVUEVUBUWJVUKVUEVUBUXFUWEFULZCUM
        UEZUNULZUXEUJUGZUCZUWJUYSVUJVUEVUBVUPUOUOVUHUYSVUJUCZVUBVUEVUPVUQVUBVUJ
        VUEVUPUOZUYSVUJWFVUQVUBVUEVUDUXKUKUGZUXFUXPUCZUOZUOZTUWLUQZVUJVURUOVUQV
        UAVVBTUWLVUQUXKUWLUBZUCZVUAVUEVUSVUTVVEVUEVUSUCUXAUXLUCVUAVUTVVEVUEUXAV
        USUXLVUQVUEUXAUOZVVDUYSUWEUSUBZVVFVUJUYSVVGUCUWTVUDUKUGZVUEUXAUYSVVHVVG
        UWTUSUBZUYRVVHUYQUWTUXJWGUWTWHZWIVRVVIVUDUSUBZUCZVVGVVHVUEUCUXAUOZUYSVV
        IVVKVVGVVMUWTVUDUWEWJWKVVIUXJUSUBZVVLUYQUYRVVIVVNUCZVVIVVKVVIVVNWLUWTUX
        JWMZWDVVJUXJWHZWNWIWOVUJUWEUAUBVVGHUWEWPUWEWQWRWEVRUYSVVDVUSUXLUOZVUJUY
        SUXKUSUBZVVRVVDUYSVVSUCUXJVUDUKUGZVUSUXLUYSVVTVVSUYQVVNVVTUYRVVNUYQVVTU
        XJUWTWSWTVVQWEVRVVNVVKUCZVVSVVTVUSUCUXLUOZUYSVVNVVKVVSVWBUXJVUDUXKWJWKV
        VIVVNVWAUYQUYRVVOVVNVVKVVIVVNWFVVPWDVVJVVQWNWIWOVVDUXKUAUBVVSHUXKWPUXKW
        QWRWEVOXAUXAUXFUXLUXPXBXCXDXEVUJVVCVURVUJVUEVVATUWLUQZUOVURVVCVUJVUEVWC
        VUPVUJVWCVUEVUPVVAVURTUWEUWLUXKUWEVDZVUSVUEVUTVUPUXKUWEVUDUKXFVWDUXPVUO
        UXFVWDUXOVUNUXEUJVWDUXNVUMUNVWDUXMVULCUMUXKUWEFXGXHXIXJXKXLXMXNXOVUEVVA
        TUWLXPXQXRXSXTXNYAVUHVUJVUEVUPUWJUOZUOUYSVUHVUJUCVWEVUEVUJVUHVWEVUJVUHU
        CZVUPUXDVUNUDUEZUWBUJUGZUWJVWFVUPVWGUXEUXEUDUEZUJUGZVWHVUJAUWQVUPVWJUOZ
        UXDUSUBZVUNUSUBZUCUYAUYAUCVWKVUJAUCZUWQUXDVUNUXEUXEYBVWNVWLVWMVWNUXCVCU
        BZVWLUXBVCUBZBVCUBZVWOVWNUXBBYCVWNVWPVULVCUBZUWGUXBVULUDUEZVDZAQBCDEFGH
        IJKLMNYDZYEZAVWQVUJAVWQCVCUBZABCDEFGHIJKLMNYFZYGYHZYIZUXCYJWRZVWNVUMVCU
        BZVWMVWRVXCVXHVWNVULCYCVWNVWPVWRVWTVXAYKZAVXCVUJAVWQVXCVXDYLYHZYIZVUMYJ
        WRZWDUWQUYAUYAUYMUYMWDWNYMVWFVWIUWBVWGUJUWQVWIUWBVDVUJAUWQUTUXEYNUEZVWI
        UWBUWQUYAUXEVCUBVXMVWIVDUYMUXEYOUXEYPYQUWQUWBVCUBZVXMUWBVDZUWBYOUTVCUBV
        XNUTUHYRVXOYSYTUTUWBUUAUUBWRUUCUUDUUEUUFVWFUWIVWGUKUGZVWHUWJVUJAVXPUWQV
        WNUWIUXCVUMUDUEZUNULZVWGUKVWNUWHVXQUNVWNUWHVWSUVTUMUEZVXQVWNUWGVWSUVTUM
        VWNVWPVWRVWTVXAUUGZXHVWPVWRUCVWQVXCUCZVXSVXQVDVWNUXBVULBCUUHVWNVWPVWRVX
        BVXIWDAVYAVUJVXDYHYIUUIXIVWOVXHVXRVWGUKUGVWNUXCVUMUUJVXFVXKYIUUKUULVUJA
        UWQVXPVWHUCUWJUOZUWIUSUBZVWGUSUBZUCUWQVYBVWNVYCVYDUWQVYBUWIVWGUWBUUMWKV
        WNVYCVYDVWNUWHVCUBZVYCUWGVCUBZUVTVCUBZVYEVWNUWGUVTYCVWNUWGVWSVCVXTVWPVW
        RVWSVCUBVWNUXBVULUUNVXBVXIYIUUOZVWQVXCVYGVWNBCUUNZVXEVXJYIYIUWHYJWRVWLV
        WMVYDVWNUXDVUNWMVXGVXLYIWDWIYMWOUUPWTUUQVOUURXNXEUUSUYSVUGUWNUOUWSUYSVU
        GUWNVUDUAUBZVUGUWNUYSUWMVUGPVUDUAUWDVUDVDZUWKVUFQUWLVYKUWFVUEUWJUWDVUDU
        WEUKUUTUVAUVBUVCUYSVUDVBUBVYJUWTUXJUVDVUDUVEWRWIUVFYHUUPUXGUXQQTUWLUVGU
        VHUVFUVIUXHUXRRSVBVBUVJUVHUVKUVLUVMYHUVSVYGVYFQUWLUQZUCUWAUWPUVNZAUVSVY
        GVYLVYMOUVTPQGHKUVOUVPAVYGVYLAVYAVYGVXDVYIWRAVYFQUWLVUJAVYFVYHUVQUVMWDW
        EUVR $.
        $( [13-Nov-2005] $) $( [24-Sep-2005] $)
    $}

    $( Limit of the sum of two converging sequences.  Proposition 12-2.1(a) of
       [Gleason] p. 168. $)
    climadd $p |- ( ( ( F ~~> A /\ G ~~> B ) /\ ( M e. ZZ /\
            A. k e. ( ZZ> ` M ) ( ( F ` k ) e. CC /\ ( G ` k ) e. CC /\
           ( H ` k ) = ( ( F ` k ) + ( G ` k ) ) ) ) ) -> H ~~> ( A + B ) ) $=
      ( cz wcel cli wbr wa cv cfv cc caddc co wceq w3a cuz wral pm4.2
      climaddlem3 an1s ) GMNDAOPEBOPQZCRZDSZTNUKESZTNUKFSULUMUAUBUCUDCGUESUFZFA
      BUAUBOPUJUNQZABCDEFGHIJKLUOUGUHUI $.
      $( [13-Nov-2005] $) $( [24-Sep-2005] $)
  $}

  ${
    $d k A $.  $d k C $.  $d k F $.  $d k G $.  $d k M $.
    climaddc1.1 $e |- F e. V $.
    climaddc1.2 $e |- G e. V $.
    climaddc1.3 $e |- A e. V $.
    climaddc1.4 $e |- C e. V $.

    $( Limit of a constant ` C ` added to each term of a sequence. $)
    climaddc1 $p |- ( ( ( F ~~> A /\ C e. CC ) /\ ( M e. ZZ /\
            A. k e. ( ZZ> ` M ) ( ( F ` k ) e. CC /\
           ( G ` k ) = ( ( F ` k ) + C ) ) ) ) -> G ~~> ( A + C ) ) $=
      ( cli wbr cz csn cxp wa wcel cv cfv cc caddc co wceq w3a cuz wral zex
      snex xpex climadd climconst2 anim2i adantr simprl wi fvconst2g pm3.26
      eqeltrd pm3.27 opreq2d eqtr4d adantrl 3jca ex eluzelz sylan2 r19.20dva
      imp ad2ant2l jca sylanc ) DAKLZMBNZOZBKLZPZFMQZCRZDSZTQZVRVNSZTQZVRESZVSW
      AUAUBZUCZUDZCFUESZUFZPEABUAUBKLVLBTQZPZVQVTWCVSBUAUBZUCZPZCWGUFZPZPZABCDV
      NEFGMVMUGBUHUIHIJUJWJVPWOWIVOVLBUKULUMWPVQWHWJVQWNUNWIWNWHVLVQWIWNWHWIWMW
      FCWGWIVRMQZWMWFUOVRWGQWIWQPZWMWFWRWMPVTWBWEWRVTWLUNWRWBWMWRWABTMBVRTUPZWI
      WQUQURUMWRWLWEVTWRWLPWCWKWDWRWLUSWRWDWKUCWLWRWABVSUAWSUTUMVAVBVCVDFVRVEVF
      VGVHVIVJVK $.
      $( [16-Nov-2005] $) $( [24-Sep-2005] $)

    $( Limit of a constant ` C ` added to each term of a sequence. $)
    climaddc2 $p |- ( ( ( F ~~> A /\ C e. CC ) /\ ( M e. ZZ /\
            A. k e. ( ZZ> ` M ) ( ( F ` k ) e. CC /\
           ( G ` k ) = ( C + ( F ` k ) ) ) ) ) -> G ~~> ( C + A ) ) $=
      ( cli wbr cc wcel wa cz cv cfv caddc co wceq cuz wral simprl wi axaddcom
      eqeq2d biimpd ex imdistand r19.20sdv imp adantrl jca adantll climaddc1
      cvv climcl mpan sylan adantr breqtrd syldan ) DAKLZBMNZOZFPNZCQZDRZMNZVHE
      RZBVISTZUAZOZCFUBRZUCZOZVGVJVKVIBSTZUAZOZCVOUCZOZEBASTZKLVEVQWBVDVEVQOVGW
      AVEVGVPUDVEVPWAVGVEVPWAVEVNVTCVOVEVJVMVSVEVJVMVSUEVEVJOZVMVSWDVLVRVKBVIUF
      UGUHUIUJUKULUMUNUOVFWBOEABSTZWCKABCDEFGHIJUPVFWEWCUAZWBAMNZVEWFVDABUFAUQN
      VDWGIAUQDURUSUTVAVBVC $.
      $( [10-Jan-2006] $) $( [2-Jan-2006] $)
  $}

  $( Lemma for ~ climmul . $)
  climmullem1 $p |- ( ( A e. CC /\ ( v e. RR /\ 0 < v ) ) -> ( ( ( v / 2 ) /
  ( 1 + ( abs ` A ) ) ) e. RR /\ 0 < ( ( v / 2 ) / ( 1 + ( abs ` A ) ) ) ) ) $=
    ( cc wcel cv cr cc0 clt wbr wa c2 cdiv co c1 cabs cfv caddc wne redivclt
    3expb rehalfclt absclt 1re axaddrcl mpan syl gt0ne0t cle lt01 addgtge0t
    mpanr1 mpanl1 absge0t sylanc jca syl2an ancoms adantrr divgt0t ad2antrl
    halfpos2t biimpa adantl adantr syl2anc ) BCDZAEZFDZGVGHIZJZJZVGKLMZNBOPZQMZ
    LMZFDZGVOHIZVFVHVPVIVHVFVPVLFDZVNFDZVNGRZJVPVHVFVRVSVTVPVLVNSTVGUAZVFVSVTVF
    VMFDZVSBUBZNFDZWBVSUCNVMUDUEUFZVSGVNHIZVTVFVNUGWEWBGVMUHIZWFVFWDWBWGWFUCWDW
    BJGNHIWGWFUINVMUJUKULWCBUMUNZUNUOUPUQURVRGVLHIZVSWFVQVKVLVNUSVHVRVFVIWAUTVJ
    WIVFVHVIWIVGVAVBVCVFVSVJWEVDVFWFVJWHVDVEUO $.
    $( [9-Feb-2006] $) $( [28-Dec-2005] $)

  $( Lemma for ~ climmul . $)
  climmullem2 $p |- ( ( B e. CC /\ ( v e. RR /\ 0 < v ) ) ->
      ( ( 1 / ( 1 + ( 1 / ( ( v / 2 ) / ( 1 + ( abs ` B ) ) ) ) ) ) e. RR /\
        0 < ( 1 / ( 1 + ( 1 / ( ( v / 2 ) / ( 1 + ( abs ` B ) ) ) ) ) ) ) ) $=
    ( cc wcel cv cr cc0 clt wbr wa c1 c2 cdiv co cabs cfv caddc wne rerecclt
    climmullem1 pm3.26d gt0ne0t syl sylanc 1re axaddrcl mpan lt01 addgt0t
    mpanr1 mpanl1 recgt0t jca ) BCDAEZFDGUNHIJJZKKKUNLMNKBOPQNMNZMNZQNZMNZFDZGU
    SHIZURFDZURGRZUTUOURSUOUQFDZVBUPFDZUPGRZVDUOUPSUOVEGUPHIZABTZUAUOVEVGJZVFVH
    UPUBUCUDZKFDZVDVBUEKUQUFUGUCZVBGURHIZVCUOURUBVLVDGUQHIZVMUOVKVDVNVMUEVKVDJG
    KHIVNVMUHKUQUIUJUKVJUOVIVNVHUPULUCUDZUDUDVBVMVAUOURULVLVOUDUM $.
    $( [9-Feb-2006] $) $( [28-Dec-2005] $)

  $( Lemma for ~ climmul . $)
  climmullem3 $p |- ( ( ( ( F e. CC /\ G e. CC ) /\ ( A e. CC /\ B e. CC ) /\
                       ( v e. RR /\ 0 < v ) ) /\ ( ( abs ` ( F - A ) ) < 1 /\
             ( abs ` ( G - B ) ) < ( ( v / 2 ) / ( 1 + ( abs ` A ) ) ) ) ) ->
             ( abs ` ( F x. ( G - B ) ) ) < ( v / 2 ) ) $=
    ( cc wcel wa cv cr cc0 clt wbr w3a cmin co cabs cfv c1 c2 cdiv caddc cmul
    cle ltmul12it absclt ad2antrr 3adant3 adantr 1re axaddrcl mpan syl
    ad2antrl jca absge0t npcant fveq2d subclt abstrit sylancom eqbrtrrd wb
    ltadd1t a1i adantl syl3anc biimpa wi lelttrt sylanc mp2and adantlrr
    adantllr 3adantl3 adantrr ad2ant2l climmullem1 pm3.26d adantlr 3adant1
    pm3.27 anim12i syl2anc wceq absmult sylan2 anassrs adantrl eqcomd wne
    divcan2t recnd rehalfclt gt0ne0t lt01 addgtge0t mpanr1 mpanl1 ad2ant2r
    3brtr3d ) DFGZEFGZHZBFGZCFGZHZAIZJGZKXHLMZHZNZDBOPZQRZSLMZECOPZQRZXHTUAPZSB
    QRZUBPZUAPZLMZHZHZDQRZXQUCPZXTYAUCPZDXPUCPQRZXRLYEJGZXTJGZHKYEUDMZYEXTLMZHX
    QJGZYAJGZHKXQUDMZYBHYFYGLMYDYEXTXQYAUEYDYIYJXLYIYCXDXGYIXKXBYIXCXGDUFZUGUHU
    IXLYJYCXDXGYJXKXEYJXDXFXEXSJGZYJBUFZSJGZYQYJUJSXSUKULUMZUNUHUIUOYDYKYLXLYKY
    CXDXGYKXKXBYKXCXGDUPUGUHUIXLXOYLYBXDXGXOYLXKXBXGXOYLXCXBXEXOYLXFXBXEHZXOHYE
    XNXSUBPZUDMZUUBXTLMZYLUUAUUCXOUUAXMBUBPZQRZYEUUBUDUUAUUEDQDBUQURXBXEXMFGZUU
    FUUBUDMDBUSZXMBUTVAVBUIUUAXOUUDXNJGZYSYQXOUUDVCUUAXNSXSVDUUAUUGUUIUUHXMUFUM
    ZYSUUAUJVEXEYQXBYRVFZVGVHUUAUUCUUDHYLVIZXOYIUUBJGZYJUULUUAYEUUBXTVJXBYIXEYP
    UIUUIYQUUMUUAXNXSUKUUJUUKVKXEYJXBYTVFVGUIVLVMVNVOVPUOYDYMYNXLYMYCXDXGYMXKXC
    XFYMXBXEXCXFHZXPFGZYMECUSZXPUFUMVQUHUIXLYNYCXGXKYNXDXEXKYNXFXEXKHYNKYALMABV
    RVSVTWAUIUOXLYOYCYBXDXGYOXKXCXFYOXBXEUUNUUOYOUUPXPUPUMVQUHXOYBWBWCWDYDYHYFX
    LYHYFWEZYCXDXGUUQXKXDXFUUQXEXBXCXFUUQXBUUOUUQUUNDXPWFUUPWGWHWIUHUIWJXLYGXRW
    EZYCXGXKUURXDXEXIUURXFXJXTFGZXRFGZXTKWKZUURXEXIHXTXRWLXEUUSXIXEXTYTWMUIXIUU
    TXEXIXRXHWNWMVFXEUVAXIYJKXTLMZUVAXEXTWOYTYQKXSUDMZUVBXEYSYQUVCUVBUJYSYQHKSL
    MUVCUVBWPSXSWQWRWSYRBUPVKVKUIVGWTWAUIXA $.
    $( [9-Feb-2006] $) $( [30-Dec-2005] $)

  $( Lemma for ~ climmul . $)
  climmullem4 $p |- ( ( ( ( F e. CC /\ G e. CC ) /\ ( A e. CC /\ B e. CC ) /\
                           ( v e. RR /\ 0 < v ) ) /\ ( abs ` ( F - A ) ) <
                 ( ( v / 2 ) / ( 1 + ( abs ` B ) ) ) ) ->
             ( abs ` ( ( F - A ) x. B ) ) < ( v / 2 ) ) $=
    ( cc wcel wa cv cr cc0 clt wbr w3a cmin co cabs cfv c2 cdiv c1 caddc cmul
    cle wceq absmult subclt sylan anasss adantlr 3adant3 adantr lemul1itOLD
    absclt syl ad2ant2r climmullem1 pm3.26d adantll 3adant1 ad2antll 3jca
    absge0t wi ltlet sylanc imp jca eqbrtrd recp1lt1 wb 1re ltmul1t mp3anl2
    wne redivclt axaddrcl mpan gt0ne0t lt01 addgtge0t mpanr1 mpanl1 syl3anc
    rehalfclt anim12i halfpos2t biimpa adantl mpbid div13t recnd ad2antrl
    mulid2t 3brtr3d lelttrt axmulcl axmulrcl mp2and ) DFGZEFGZHZBFGZCFGZHZAIZJG
    ZKXFLMZHZNZDBOPZQRZXFSTPZUACQRZUBPZTPZLMZHZXKCUCPZQRZXPXNUCPZUDMZYAXMLMZXTX
    MLMZXRXTXLXNUCPZYAUDXJXTYEUEZXQXBXEYFXIWTXEYFXAWTXCXDYFXKFGZXDYFWTXCHZXKCUF
    DBUGZUHUIUJUKULXLJGZXPJGZXNJGZNZKXNUDMZXLXPUDMZHYEYAUDMXRXLXPXNUMXJYMXQXJYJ
    YKYLXBXEYJXIWTXCYJXAXDYHYGYJYIXKUNUOUPUKZXEXIYKXBXDXIYKXCXDXIHZYKKXPLMACUQU
    RZUSUTZXBXEYLXIXDYLXBXCCUNZVAUKVBULXRYNYOXJYNXQXBXEYNXIXDYNXBXCCVCZVAUKULXJ
    XQYOYJYKXQYOVDXJXLXPVEYPYSVFVGVHVFVIXJYCXQXEXIYCXBXDXIYCXCYQXNXOTPZXMUCPZUA
    XMUCPZYAXMLYQUUBUALMZUUCUUDLMZXDUUEXIYLYNUUEXDXNVJYTUUAVFULUUBJGZXMJGZHKXML
    MZUUEUUFVKZYQUUGUAJGZUUHUUIUUJVLUUBUAXMVMVNXDUUGXIUUHYLXOJGZXOKVOZUUGXDXNXO
    VPYTXDYLUULYTUUKYLUULVLUAXNVQVRUOZUULKXOLMZUUMXDXOVSUUNYLYNUUOXDUUKYLYNUUOV
    LUUKYLHKUALMYNUUOVTUAXNWAWBWCYTUUAVFVFZWDXGUUHXHXFWEZULWFXIUUIXDXGXHUUIXFWG
    WHWIVFWJXNFGZXOFGZXMFGZNUUMUUCYAUEYQXNXOXMWKYQUURUUSUUTYQXNXDYLXIYTULZWLYQX
    OXDUULXIUUNULWLYQXMXGUUHXDXHUUQWMWLVBXDUUMXIUUPULVFXGUUDXMUEZXDXHXGUUTUVBXG
    XMUUQWLXMWNUOWMWOUSUTULXJYBYCHYDVDZXQXTJGZYAJGZUUHUVCXJXTYAXMWPXBXEUVDXIWTX
    EUVDXAWTXEHXSFGZUVDWTXCXDUVFYGXDUVFYHXKCWQYIUHUIXSUNUOUJUKXEXIUVEXBXDXIUVEX
    CYKYLUVEYQXPXNWRYRUVAVFUSUTXEXIUUHXBXGUUHXEXHUUQWMUTWDULWS $.
    $( [10-Feb-2006] $) $( [30-Dec-2005] $)

  $( Lemma for ~ climmul .  Instead of the infimum that Gleason uses (bottom of
     p. 170), we use ~ recrecltt to give us a number smaller than both a given
     number and 1.  _Warning:  The HTML proof page is 1/2 megabyte in
     size_. $)
  climmullem5 $p |- ( ( ( F e. CC /\ G e. CC ) /\ ( A e. CC /\ B e. CC ) /\
                           ( v e. RR /\ 0 < v ) ) -> ( ( ( abs ` ( F - A ) ) <
                 ( 1 / ( 1 + ( 1 / ( ( v / 2 ) / ( 1 + ( abs ` B ) ) ) ) ) ) /\
                ( abs ` ( G - B ) ) < ( ( v / 2 ) / ( 1 + ( abs ` A ) ) ) ) ->
                ( abs ` ( ( F x. G ) - ( A x. B ) ) ) < v ) ) $=
    ( cc wcel wa cv cr cc0 clt wbr w3a cmin co cabs cfv c1 c2 cdiv caddc cmul
    cle wceq subdit 3expa adantrl subdirt 3expb adantlr opreq12d npncant
    axmulcl adantr ad2ant2rl adantl syl3anc eqtr2d fveq2d abstrit subclt
    sylan2 anassrs sylan anasss sylanc eqbrtrd 3adant3 climmullem1 recrecltt
    pm3.26d syl adantll 3adant1 wi 1re axlttrn mp3an3 absclt ad2ant2r
    climmullem2 mpan2d anim1d imp climmullem3 syldan pm3.27d climmullem4
    adantrr lt2addt jca rehalfclt ad2antrl mp2and lelttrt syl2an axaddrcl
    recnt 2halvest breqtrd ex ) DFGZEFGZHZBFGZCFGZHZAIZJGZKXILMZHZNZDBOPZQRZSSS
    XITUAPZSCQRUBPUAPZUAPUBPUAPZLMZECOPZQRXPSBQRUBPUAPLMZHZDEUCPZBCUCPZOPZQRZXI
    LMXMYBHZYFXPXPUBPZXILYGYFDXTUCPZQRZXNCUCPZQRZUBPZUDMZYMYHLMZYFYHLMZXMYNYBXE
    XHYNXLXEXHHZYFYIYKUBPZQRZYMUDYQYEYRQYQYRYCDCUCPZOPZYTYDOPZUBPZYEYQYIUUAYKUU
    BUBXEXGYIUUAUEZXFXCXDXGUUDDECUFUGUHXCXHYKUUBUEZXDXCXFXGUUEDBCUIUJUKULYCFGZY
    TFGZYDFGZUUCYEUEYQYCYTYDUMXEUUFXHDEUNZUOXCXGUUGXDXFDCUNUPXHUUHXEBCUNZUQURUS
    UTYIFGZYKFGZYSYMUDMYQYIYKVAXEXGUUKXFXCXDXGUUKXCXTFGUUKXDXGHDXTUNECVBVCVDZUH
    XCXHUULXDXCXFXGUULXNFGZXGUULXCXFHZXNCUNDBVBZVEVFZUKVGVHVIUOYGYJXPLMZYLXPLMZ
    YOXMYBXOSLMZYAHZUURXMYBUVAXMXSUUTYAXMXSXRSLMZUUTXHXLUVBXEXGXLUVBXFXGXLHZXQJ
    GZKXQLMZHZUVBACVJZUVFUVBXRXQLMZXQVKZVLVMVNVOXOJGZXRJGZXSUVBHUUTVPZXMUVJUVKS
    JGUVLVQXOXRSVRVSXEXHUVJXLXCXFUVJXDXGUUOUUNUVJUUPXNVTVMWAVIZXHXLUVKXEXGXLUVK
    XFUVCUVKKXRLMACWBVLVNVOZVGWCWDWEABCDEWFWGXMXSUUSYAXMXSXOXQLMZUUSXMXSUVOXMXS
    UVHUVOXHXLUVHXEXGXLUVHXFUVCUVFUVHUVGUVFUVBUVHUVIWHVMVNVOUVJUVKUVDXSUVHHUVOV
    PXMXOXRXQVRUVMUVNXHXLUVDXEXGXLUVDXFUVCUVDUVEUVGVLVNVOURWCWEABCDEWIWGWJXMUUR
    UUSHYOVPZYBYJJGZYLJGZHXPJGZUVSHZUVPXMYJYLXPXPWKXMUVQUVRXEXHUVQXLXEXGUVQXFXE
    XGHUUKUVQUUMYIVTVMUHZVIXEXHUVRXLXCXHUVRXDXCXHHUULUVRUUQYKVTVMUKZVIWLXHXLUVT
    XEXJUVTXHXKXJUVSUVSXIWMZUWCWLWNVOVGUOWOXMYNYOHYPVPZYBYFJGZYMJGZYHJGZUWDXMYF
    YMYHWPXEXHUWEXLYQYEFGZUWEUUFUUHUWHXEXHYCYDVBUUIUUJWQYEVTVMVIXEXHUWFXLUVQUVR
    UWFYQYJYLWRUWAUWBVGVIXHXLUWGXEXJUWGXHXKUVSUVSUWGXJXPXPWRUWCUWCVGWNVOURUOWOX
    MYHXIUEZYBXHXLUWIXEXJUWIXHXKXJXIFGUWIXIWSXIWTVMWNVOUOXAXB $.
    $( [10-Feb-2006] $) $( [30-Dec-2005] $)

  ${
    $d f g h t u v A $.  $d f g h t u v B $.  $d f g k t u v F $.
    $d f g k t u v G $.  $d f h k t u v H $.  $d f g h k t u v M $.
    climmul.1 $e |- F e. V $.
    climmul.2 $e |- G e. V $.
    climmul.3 $e |- H e. V $.
    climmul.4 $e |- A e. V $.
    climmul.5 $e |- B e. V $.
    ${
      $d f t u v ph $.
      climmullem.6 $e |- ( ph <-> ( ( F ~~> A /\ G ~~> B ) /\
                 A. k e. ( ZZ> ` M ) ( ( F ` k ) e. CC /\ ( G ` k ) e. CC /\
                  ( H ` k ) = ( ( F ` k ) x. ( G ` k ) ) ) ) ) $.
      $( Lemma for ~ climmul . $)
      climmullem6 $p |- ( ( t e. ( ZZ> ` M ) /\ ph ) ->
         ( ( F ` t ) e. CC /\ ( G ` t ) e. CC /\
                  ( H ` t ) = ( ( F ` t ) x. ( G ` t ) ) ) ) $=
        ( cv cuz cfv wcel cli wbr wa cc cmul co wceq w3a wral fveq2 eleq1d
        opreq12d eqeq12d 3anbi123d rcla4va adantrl sylan2b ) BPZIQRZSZFCTUAGDTU
        AUBZEPZFRZUCSZVAGRZUCSZVAHRZVBVDUDUEZUFZUGZEURUHZUBUQFRZUCSZUQGRZUCSZUQ
        HRZVKVMUDUEZUFZUGZAUSVJVRUTVIVREUQURVAUQUFZVCVLVEVNVHVQVSVBVKUCVAUQFUIZ
        UJVSVDVMUCVAUQGUIZUJVSVFVOVGVPVAUQHUIVSVBVKVDVMUDVTWAUKULUMUNUOOUP $.
        $( [9-Feb-2006] $) $( [27-Dec-2005] $)

      $( Lemma for ~ climmul . $)
      climmullem7 $p |- ( ph -> ( A e. CC /\ B e. CC ) ) $=
        ( cli wbr wa cv cfv cc wcel cmul co wceq w3a cuz wral cvv climcl mpan
        anim12i adantr sylbi ) AEBOPZFCOPZQZDRZESZTUAUQFSZTUAUQGSURUSUBUCUDUEDH
        UFSUGZQBTUAZCTUAZQZNUPVCUTUNVAUOVBBUHUAUNVALBUHEUIUJCUHUAUOVBMCUHFUIUJU
        KULUM $.
        $( [9-Feb-2006] $) $( [27-Dec-2005] $)

      $( Lemma for ~ climmul .  _Warning:  The HTML proof page is 3/4 megabyte
         in size_. $)
      climmullem8 $p |- ( ( M e. ZZ /\ ph ) -> H ~~> ( A x. B ) ) $=
        ( vv vh vt vu vf vg cz wcel wa cmul co cli wbr cc0 cv clt cle cfv cmin
        cabs wi cuz wral wrex cr c1 c2 cdiv caddc cc climmullem2 climmullem7
        pm3.27d sylan climmullem1 pm3.26d jca wceq w3a cvv 0z ssid uzssz clmi2
        mpanl1 anim12i an4s adantlr sylanb syldan cn0 pm3.27 nn0addge1t nn0ret
        adantr letrt 3expa pm3.26 axaddrcl syl2an mpand eluzelz zret syl
        sylan2 nn0addge2t ancoms anim12d prth syl9 exp4a r19.20dva breq2 fveq2
        opreq1d fveq2d breq1d anbi2d imbi12d rcla4v com23 a2d r19.21v syl5ib
        com12 syl6 mpid adantll climmullem5 climmullem6 3simp1d 3simp2d adantl
        anasss 3simp3d adantrr sylibrd a1d syldd breq1 imbi1d ralbidv rcla4ev
        nn0addclt nn0zt ex syld raaan syl5ibr elnn0uz anbi12i r19.23advv
        reeanv mpd exp32 r19.21aiv wb clm4at 3expb axmulcl sylanc eqeltrd
        expcom mpbird ) HUAUBZAUCGBCUDUEZUFUGZUHOUIZUJUGZPUIZQUIZUKUGZUVEGULZUU
        TUMUEZUNULZUVBUJUGZUOZQHUPULZUQZPUAURZUOZOUSUQZAUVPUUSAUVOOUSAUVBUSUBZU
        VCUVNAUVQUVCUCZUCZRUIZUVEUKUGZUVEEULZBUMUEUNULUTUTUTUVBVAVBUEZUTCUNULVC
        UEVBUEVBUEVCUEVBUEZUJUGZUOZQUVLUQZRUHUPULZURZSUIZTUIZUKUGZUWKFULZCUMUEZ
        UNULZUWCUTBUNULVCUEVBUEZUJUGZUOZTUVLUQZSUWHURZUCZUVNAUVRUWDUSUBUHUWDUJU
        GUCZUWPUSUBUHUWPUJUGUCZUCZUXAUVSUXBUXCCVDUBZUVRUXBAOCVEABVDUBZUXEABCDEF
        GHIJKLMNVFZVGVHUXFUVRUXCAOBVIAUXFUXEUXGVJVHVKEBUFUGZFCUFUGZUCZDUIZEULZV
        DUBUXKFULZVDUBUXKGULUXLUXMUDUEVLVMDUVLUQZUCUXDUXAAUXJUXDUXAUXNUXHUXBUXI
        UXCUXAUXHUXBUCUWIUXIUXCUCUWTBVNUBUXHUXBUWILBUWDVNRQEUHUVLUWHVOUWHVPZHVQ
        ZVRVSCVNUBUXIUXCUWTMCUWPVNSTFUHUVLUWHVOUXOUXPVRVSVTWAWBNWCWDUVSUWGUWSUC
        ZSUWHURRUWHURUVNUXAUVSUXQUVNRSUWHUWHUVSUVTWEUBZUWJWEUBZUCZUXQUVNUOZUVTU
        WHUBZUWJUWHUBZUCUVSUXTUYAUVSUXTUCZUWFUWRUCZTUVLUQZQUVLUQZUVNUXQUYDUYGUV
        TUWJVCUEZUVEUKUGZUVJUOZQUVLUQZUVNUYDUYFUYJQUVLUYDUVEUVLUBZUCZUYIUYFUVJU
        YMUYIUYFUWEUVEFULZCUMUEZUNULZUWPUJUGZUCZUVJUXTUYLUYIUYFUYRUOUOUVSUXTUYL
        UCZUYFUYIUYRUYSUYFUYLUYIUYRUOZUXTUYLWFUYSUYFUYIUYHUWKUKUGZUWEUWQUCZUOZU
        OZTUVLUQZUYLUYTUOUYSUYEVUDTUVLUYSUWKUVLUBZUCZUYEUYIVUAVUBVUGUYIVUAUCUWA
        UWLUCUYEVUBVUGUYIUWAVUAUWLUYSUYIUWAUOZVUFUXTUVEUSUBZVUHUYLUXTVUIUCUVTUY
        HUKUGZUYIUWAUXTVUJVUIUVTUSUBZUXSVUJUXRUVTUWJWGUVTWHZVHWIVUKUYHUSUBZUCZV
        UIVUJUYIUCUWAUOZUXTVUKVUMVUIVUOUVTUYHUVEWJWKVUKUWJUSUBZVUNUXRUXSVUKVUPU
        CZVUKVUMVUKVUPWLUVTUWJWMZVKVULUWJWHZWNVHWOUYLUVEUAUBVUIHUVEWPUVEWQWRWSW
        IUXTVUFVUAUWLUOZUYLUXTUWKUSUBZVUTVUFUXTVVAUCUWJUYHUKUGZVUAUWLUXTVVBVVAU
        XRVUPVVBUXSVUPUXRVVBUWJUVTWTXAVUSWSWIVUPVUMUCZVVAVVBVUAUCUWLUOZUXTVUPVU
        MVVAVVDUWJUYHUWKWJWKVUKVUPVVCUXRUXSVUQVUPVUMVUKVUPWFVURVKVULVUSWNVHWOVU
        FUWKUAUBVVAHUWKWPUWKWQWRWSWBXBUWAUWEUWLUWQXCXDXEXFUYLVUEUYTUYLUYIVUCTUV
        LUQZUOUYTVUEUYLUYIVVEUYRUYLVVEUYIUYRVUCUYTTUVEUVLUWKUVEVLZVUAUYIVUBUYRU
        WKUVEUYHUKXGVVFUWQUYQUWEVVFUWOUYPUWPUJVVFUWNUYOUNVVFUWMUYNCUMUWKUVEFXHX
        IXJXKXLXMXNXOXPUYIVUCTUVLXQXRXSXTYAXOYBUVSUYLUYIUYRUVJUOZUOUXTUVSUYLUCV
        VGUYIUYLUVSVVGUYLUVSUCZUYRUWBUYNUDUEZUUTUMUEZUNULZUVBUJUGZUVJUYLAUVRUYR
        VVLUOZUWBVDUBZUYNVDUBZUCZUXFUXEUCZUCUVRVVMUYLAUCZVVPVVQUVRVVMOBCUWBUYNY
        CWKVVRVVPVVQVVRVVNVVOVVRVVNVVOUVGVVIVLZAQBCDEFGHIJKLMNYDZYEZVVRVVNVVOVV
        SVVTYFZVKAVVQUYLUXGYGVKVHYHVVHUVIVVKUVBUJVVHUVHVVJUNVVHUVGVVIUUTUMUYLAV
        VSUVRVVRVVNVVOVVSVVTYIZYJXIXJXKYKXAYLWBYMXOXFUXTUYKUVNUOUVSUXTUYKUVNUYH
        UAUBZUYKUVNUXTUVMUYKPUYHUAUVDUYHVLZUVKUYJQUVLVWEUVFUYIUVJUVDUYHUVEUKYNY
        OYPYQUXTUYHWEUBVWDUVTUWJYRUYHYSWRVHYTYGUUAUWFUWRQTUVLUUBUUCYTUXRUYBUXSU
        YCUVTUUDUWJUUDUUEUUCUUFUWGUWSRSUWHUWHUUGUUCUUHUUIUUJYGUUSUUTVDUBZUVGVDU
        BZQUVLUQZUCUVAUVPUUKZAUUSVWFVWHVWIOUUTPQGHKUULUUMAVWFVWHAVVQVWFUXGBCUUN
        WRAVWGQUVLUYLAVWGVVRUVGVVIVDVWCVVNVVOVVIVDUBVVRUWBUYNUUNVWAVWBUUOUUPUUQ
        UUJVKWSUUR $.
        $( [11-Feb-2006] $) $( [27-Dec-2005] $)
    $}

    $( Limit of the product of two converging sequences.  Proposition 12-2.1(c)
       of [Gleason] p. 168. $)
    climmul $p |- ( ( ( F ~~> A /\ G ~~> B ) /\ ( M e. ZZ /\
            A. k e. ( ZZ> ` M ) ( ( F ` k ) e. CC /\ ( G ` k ) e. CC /\
          ( H ` k ) = ( ( F ` k ) x. ( G ` k ) ) ) ) ) -> H ~~> ( A x. B ) ) $=
      ( cz wcel cli wbr wa cv cfv cc cmul co wceq w3a cuz wral pm4.2
      climmullem8 an1s ) GMNDAOPEBOPQZCRZDSZTNUKESZTNUKFSULUMUAUBUCUDCGUESUFZFA
      BUAUBOPUJUNQZABCDEFGHIJKLUOUGUHUI $.
      $( [11-Feb-2006] $) $( [27-Dec-2005] $)
  $}

  ${
    $d x A $.  $d k x C $.  $d k x F $.  $d k x G $.  $d k x M $.
    climmulc2.1 $e |- F e. V $.
    climmulc2.2 $e |- G e. V $.
    climmulc2.3 $e |- A e. V $.
    $( Limit of a sequence multiplied by a constant ` C ` .  Corollary 12-2.2
       of [Gleason] p. 171. $)
    climmulc2 $p |- ( ( ( C e. CC /\ F ~~> A ) /\ ( M e. ZZ /\
            A. k e. ( ZZ> ` M ) ( ( F ` k ) e. CC  /\
          ( G ` k ) = ( C x. ( F ` k ) ) ) ) ) -> G ~~> ( C x. A ) ) $=
      ( vx cc wcel cli wbr cz cv cfv cmul co wceq wa cuz wral wi opreq1 eqeq2d
      anbi2d ralbidv breq2d imbi12d imbi2d csn cxp w3a zex snex xpex visset
      climmul climconst2 anim1i adantr fvconst2g eluzelz sylan2 pm3.26 eqeltrd
      a1d a1i opreq1d biimprd adantld 3jcad r19.20dva anim2d imp adantlr
      sylanc exp43 vtoclga imp43 ) BKLDAMNZFOLZCPZDQZKLZWDEQZBWERSZTZUAZCFUBQZU
      CZEBARSZMNZWBWCWFWGJPZWERSZTZUAZCWKUCZEWOARSZMNZUDZUDZUDWBWCWLWNUDZUDZUDJ
      BKWOBTZXCXEWBXFXBXDWCXFWSWLXAWNXFWRWJCWKXFWQWIWFXFWPWHWGWOBWERUEUFUGUHXFW
      TWMEMWOBARUEUIUJUKUKWOKLZWBWCWSXAOWOULZUMZWOMNZWBUAZWCWDXIQZKLZWFWGXLWERS
      ZTZUNZCWKUCZUAZXAXGWBUAZWCWSUAZUAWOACXIDEFOXHUOWOUPUQGHJURIUSXSXKXTXGXJWB
      WOUTVAVBXGXTXRWBXGXTXRXGWSXQWCXGWRXPCWKXGWDWKLZUAZWRXMWFXOYBXMWRYBXLWOKXG
      WDOLXLWOTYAOWOWDKVCFWDVDVEZXGYAVFVGVHWRWFUDYBWFWQVFVIYBWQXOWFYBXOWQYBXNWP
      WGYBXLWOWERYCVJUFVKVLVMVNVOVPVQVRVSVTWA $.
      $( [16-May-2006] $) $( [30-Dec-2005] $)
  $}

  ${
    $d k F $.  $d k u v G $.  $d k H $.  $d k u v M $.
    climsub.1 $e |- F e. V $.
    climsub.2 $e |- G e. V $.
    climsub.3 $e |- H e. V $.
    climsub.4 $e |- A e. V $.
    climsub.5 $e |- B e. V $.
    $( Limit of the difference of two converging sequences.  Proposition
       12-2.1(b) of [Gleason] p. 168. $)
    climsub $p |- ( ( ( F ~~> A /\ G ~~> B ) /\ ( M e. ZZ /\
            A. k e. ( ZZ> ` M ) ( ( F ` k ) e. CC /\ ( G ` k ) e. CC /\
           ( H ` k ) = ( ( F ` k ) - ( G ` k ) ) ) ) ) -> H ~~> ( A - B ) ) $=
      ( vu vv cli wbr wa cz wcel cv cfv cc cmin co wceq w3a cuz wral c1 cneg
      cmul caddc copab fvex opabex2 oprex climadd simpll ax1cn negcl climmulc2
      mpanl1 pm3.27 fveq2 opreq2d eqid fvopab4 adantr jca 3ad2antr2 r19.20ia
      sylanr2 adantll 3simp1 adantl axmulcl mpan eqeltrd id mulm1t negsubt
      eqtr2d sylan9eqr 3impa eqtr4d 3jca anim2i sylanc eqtrd cvv climcl syl2an
      breqtrd ) DAOPZEBOPZQZGRSZCTZDUAZUBSZWREUAZUBSZWRFUAZWSXAUCUDZUEZUFZCGUGU
      AZUHZQZQZFAUIUJZBUKUDZULUDZABUCUDZOWNMTZXGSNTXKXOEUAZUKUDZUEQMNUMZXLOPZQW
      QWTWRXRUAZUBSZXCWSXTULUDZUEZUFZCXGUHZQZFXMOPXJAXLCDXRFGHMNXGXQGUGUNUOZJKX
      KBUKUPUQXJWNXSWNWOXIURWOXIXSWNWOWQXBXTXKXAUKUDZUEZQZCXGUHZXSXHXKUBSZWOWQY
      KQXSUIUSUTZBXKCEXRGIYGLVAVBXFYJCXGWRXGSZWTXBYJXEYNXBQZXBYIYNXBVCYNYIXBMNW
      RXQYHXGXRXOWRUEXPXAXKUKXOWREVDVEXRVFXKXAUKUPVGZVHZVIVJVKVLVMVIXIYFWPXHYEW
      QXFYDCXGYNXFQZWTYAYCXFWTYNWTXBXEVNVOYNWTXBYAXEYOXTYHUBYQXBYHUBSZYNYLXBYSY
      MXKXAVPVQVOVRVJYRXCWSYHULUDZYBXFXCYTUEZYNWTXBXEUUAXEWTXBQZXCXDYTXEVSUUBYT
      WSXAUJZULUDZXDXBYTUUDUEWTXBYHUUCWSULXAVTVEVOWSXAWAWBWCWDVOYNYBYTUEXFYNXTY
      HWSULYPVEVHWEWFVKWGVOWHWPXMXNUEZXIAUBSZBUBSZUUEWNWOUUFUUGQXMABUJZULUDZXNU
      UGXMUUIUEUUFUUGXLUUHAULBVTVEVOABWAWIAWJSWNUUFKAWJDWKVQBWJSWOUUGLBWJEWKVQW
      LVHWM $.
      $( [5-Aug-2007] $) $( [4-Aug-2007] $)
  $}

  ${
    $d k A $.  $d k C $.  $d k F $.  $d k G $.  $d k M $.
    climsubc2.1 $e |- F e. V $.
    climsubc2.2 $e |- G e. V $.
    climsubc2.3 $e |- A e. V $.
    climsubc2.4 $e |- C e. V $.
    $( Limit of a constant ` C ` minus each term of a sequence. $)
    climsubc2 $p |- ( ( ( F ~~> A /\ C e. CC ) /\ ( M e. ZZ /\
            A. k e. ( ZZ> ` M ) ( ( F ` k ) e. CC /\
           ( G ` k ) = ( C - ( F ` k ) ) ) ) ) -> G ~~> ( C - A ) ) $=
      ( cz csn cxp cli wbr wa wcel cv cfv cc cmin co wceq w3a cuz wral zex
      snex xpex climsub climconst2 anim1i ancoms adantr simprl wi fvconst2g
      pm3.26 eqeltrd pm3.27 opreq1d eqtr4d adantrl 3jca ex eluzelz sylan2
      r19.20dva imp ad2ant2l jca sylanc ) KBLZMZBNOZDANOZPZFKQZCRZVNSZTQZVSDSZT
      QZVSESZVTWBUAUBZUCZUDZCFUESZUFZPEBAUAUBNOVPBTQZPZVRWCWDBWBUAUBZUCZPZCWHUF
      ZPZPZBACVNDEFKVMUGBUHUIGHJIUJWKVQWPWJVPVQWJVOVPBUKULUMUNWQVRWIWKVRWOUOWJW
      OWIVPVRWJWOWIWJWNWGCWHWJVSKQZWNWGUPVSWHQWJWRPZWNWGWSWNPWAWCWFWSWAWNWSVTBT
      KBVSTUQZWJWRURUSUNWSWCWMUOWSWMWFWCWSWMPWDWLWEWSWMUTWSWEWLUCWMWSVTBWBUAWTV
      AUNVBVCVDVEFVSVFVGVHVIVJVKVL $.
      $( [1-Mar-2008] $) $( [6-Feb-2008] $)
  $}

  ${
    $d k A $.  $d k F $.  $d k G $.
    climaddc.1 $e |- A e. CC $.
    climaddc.2 $e |- B e. V $.
    climaddc.3 $e |- F ~~> B $.
    climaddc.4 $e |- G Fn NN $.
    ${
      $d k B $.
      climaddc.5 $e |- ( k e. NN ->
                      ( ( F ` k ) e. CC /\ ( G ` k ) = ( A + ( F ` k ) ) ) ) $.
      $( MAY BE REVISED - make this obsolete? $)
      $( Limit of a constant ` A ` added to a sequence. $)
      climaddc $p |- G ~~> ( A + B ) $=
        ( cli wbr cc wcel wa c1 cz cv cfv caddc co wceq cuz wral pm3.2i 1z cn
        elnnuz sylbir rgen cvv climrel brrelexi ax-mp wfn nnex fnex mp2an
        elisseti climaddc2 ) DBKLZAMNZOPQNZCRZDSZMNVDESAVETUAUBOZCPUCSZUDZOEABT
        UAKLVAVBHFUEVCVHUFVFCVGVDVGNVDUGNVFVDUHJUIUJUEBACDEPVADUKNHDBKULUMUNEUG
        UOUGUKNEUKNIUPUGUKEUQURGAMFUSUTUR $.
        $( [13-Jun-2006] $) $( [4-Mar-2005] $)
    $}

    ${
      climmulc.5 $e |- ( k e. NN ->
                     ( ( F ` k ) e. CC /\ ( G ` k ) = ( A x. ( F ` k ) ) ) ) $.
      $( Limit of a sequence multiplied by a constant ` A ` .  Corollary 12-2.2
         of [Gleason] p. 171. $)
      climmulc $p |- G ~~> ( A x. B ) $=
        ( cc wcel cli wbr wa c1 cz cv cfv cmul co wceq cuz wral pm3.2i 1z cn
        elnnuz sylbir rgen cvv climrel brrelexi ax-mp wfn nnex fnex mp2an
        climmulc2 ) AKLZDBMNZOPQLZCRZDSZKLVCESAVDTUAUBOZCPUCSZUDZOEABTUAMNUTVAF
        HUEVBVGUFVECVFVCVFLVCUGLVEVCUHJUIUJUEBACDEPVADUKLHDBMULUMUNEUGUOUGUKLEU
        KLIUPUGUKEUQURGUSUR $.
        $( [8-Jun-2006] $) $( [4-Mar-2005] $)
    $}
  $}

  ${
    $d A n $.  $d F k n $.  $d M k n $.  $d N k n $.
    clim2serzt.1 $e |- A e. V $.
    clim2serzt.2 $e |- F e. V $.
    $( The limit of an infinite series with an initial segment removed.
       (Contributed by Paul Chapman, 9-Feb-2007.) $)
    clim2serzt $p |- ( ( ( <. M , + >. seq F ) ~~> A /\ N e. ( ZZ> ` M ) /\
                         A. k e. ( ZZ> ` M ) ( F ` k ) e. CC ) ->
  ( <. ( N + 1 ) , + >. seq F ) ~~> ( A - ( ( <. M , + >. seq F ) ` N ) ) ) $=
      ( vn caddc cop cseqz co cli wbr cuz cfv wcel cv cc wral c1 cmin wa cneg
      cz wceq oprex negex climaddc1 anasss cfz serzclt negclt syl elfzuzt
      imim1i r19.20i2 sylan2 eluzelz peano2zd adantr wi peano2uz uztrn expcom
      serzcl2t sylan9 jctird negsubt syl6 imp eluzp1m1t sylan eluzfzt syldan
      ancoms w3a serzsplit syl3an1 eqcomd 3expia syl5 ex imp3a impcom wb a1d
      syl2an imim1d r19.20dv2 3jcad subaddt mpbird eqtr2d jcad r19.21aiv jca
      cvv climcl mpan breqtrd 3impb ) DIJZCKLZAMNZEDOPZQZBRZCPSQZBXFTZEUAILZIJZ
      CKLZAEXDPZUBLZMNXEXGXJUCZUCXMAXNUDZILZXOMXEXQSQZXKUEQZHRZXDPZSQZYAXMPZYBX
      QILZUFZUCZHXKOPZTZUCZUCXMXRMNZXPXEXSYJYKAXQHXDXMXKXCCKUGXLCKUGFXNUHUIUJXP
      XSYJXGXIBDEUKLZTZXSXJXGYMUCXNSQZXSBCDEGULXNUMUNXIXIBXFYLXHYLQXHXFQZXIXHDE
      UOUPUQURXPXTYIXGXTXJXGEDEUSZUTVAXPYGHYHXPYAYHQZYCYFXGYQYAXFQZXJYCXGXKXFQZ
      YQYRVBDEVCZYQYSYRXKYADVDVEUNYRXJYCBCDYAGVFVEVGZXPYQYFXPYQUCZYEYBXNUBLZYDX
      PYQYEUUCUFZXPYQYCYNUCUUDXPYQYCYNUUABCDEGVFZVHYBXNVIVJVKUUBUUCYDUFZXNYDILZ
      YBUFZYQXPUUHYQXGXJUUHYQXGXJUUHVBYQXGUCXIBDYAUKLZTZUUHXJYQXGEDYAUAUBLZUKLQ
      ZUUJUUHVBXGYQUULXGYQUUKEOPQZUULEUEQYQUUMXGEYAVLYPVMEDUUKVNVOVPYQUULUUJUUH
      YQUULUUJVQYBUUGYAUEQUULUUJYBUUGUFYQBCEDYAGVRXKYAUSVSVTWAVOXIXIBXFUUIXHUUI
      QYOXIXHDYAUOUPUQWBWCWDWEXPYQUUFUUHWFZXPYQYCYNYDSQZVQUUNXPYQYCYNUUOUUAXPYN
      YQUUEWGYQXPUUOYQXIBXKYAUKLZTZUUOXPBCXKYAGULXGXJUUQXGXIXIBXFUUPXGXHUUPQZYO
      XIUURXGYOXHYHQYSYOUURXGXKXHDVDXHXKYAUOYTWHVEWIWJVKURVEWKYBXNYDWLVJVKWMWNW
      CWOWPWQWQURASQZYNXRXOUFXEXPAXNVIAWRQXEUUSFAWRXDWSWTUUEWHXAXB $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

  ${
    $d F k x $.  $d F x z $.  $d M k x $.  $d M x z $.  $d N k x $.
    $d N x z $.
    iserzext.1 $e |- F e. V $.
    $( If an infinite series converges, so does the series with initial terms
       removed.  (Contributed by Paul Chapman, 9-Feb-2007.) $)
    iserzext $p |- ( ( N e. ( ZZ> ` M ) /\
  A. k e. ( ZZ> ` M ) ( F ` k ) e. CC /\ E. x ( <. M , + >. seq F ) ~~> x ) ->
                     E. x ( <. ( N + 1 ) , + >. seq F ) ~~> x ) $=
      ( vz cuz cfv wcel cv cc wral caddc cop cseqz co cli wbr wex c1 wa cmin
      visset clim2serzt 3expb expcom oprex breq2 cla4ev syl6 19.23adv cbvexv
      syl6ib 3impia ) EDHIZJZBKCILJBUPMZDNOCPQZAKZRSZATZEUANQNOCPQZUTRSZATZUQUR
      UBZVBVCGKZRSZGTZVEVFVAVIAVFVAVCUTEUSIZUCQZRSZVIVAVFVLVAUQURVLUTBCDEAUDFUE
      UFUGVHVLGVKUTVJUCUHVGVKVCRUIUJUKULVHVDGAVGUTVCRUIUMUNUO $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

  ${
    $d C k m $.  $d F k m $.  $d G k m $.  $d M k m $.
    iserzmulc1.1 $e |- A e. V $.
    iserzmulc1.2 $e |- F e. V $.
    iserzmulc1.3 $e |- G e. V $.
    $( Multiplication of an infinite series by a constant.  (Contributed by
       Paul Chapman, 14-Nov-2007.) $)
    iserzmulc1 $p |- ( ( M e. ZZ /\ C e. CC /\ A. k e. ( ZZ> ` M )
       ( ( F ` k ) e. CC /\ ( G ` k ) = ( C x. ( F ` k ) ) ) ) ->
     ( ( <. M , + >. seq F ) ~~> A ->
       ( <. M , + >. seq G ) ~~> ( C x. A ) ) ) $=
      ( vm cz wcel cc cv cfv cmul co wceq wa cuz wral caddc cop cseqz cli wbr
      wi oprex climmulc2 expcom exp4b imp3a serzcl2t pm3.26 r19.20si sylan2
      adantl cfz w3a serzmulc1 eqcomd elfzuzt imim1i r19.20i2 syl3an3 3expib
      com12 jcad r19.21aiv jca syl5 3impib ) FKLZBMLZCNZDOZMLZVOEOBVPPQRZSZCFTO
      ZUAZFUBUCZDUDQZAUEUFZWBEUDQZBAPQUEUFZUGZVMJNZWCOZMLZWHWEOZBWIPQZRZSZJVTUA
      ZVNSWGVNWASZVMWOVNWGVMWOVNWDWFVNWDSVMWOSWFABJWCWEFWBDUDUHWBEUDUHGUIUJUKUL
      WPWOVNWPWNJVTWPWHVTLZWJWMWAWQWJUGVNWQWAWJWQVQCVTUAWJWACDFWHHUMVSVQCVTVQVR
      UNUOUPUJUQWQWPWMWQVNWAWMWQVNVSCFWHURQZUAZWMWAWQVNWSUSWLWKBCDEFWHHIUTVAVSV
      SCVTWRVOWRLVOVTLVSVOFWHVBVCVDVEVFVGVHVIVNWAUNVJVKVL $.
      $( [15-Nov-2007] $) $( [14-Nov-2007] $)
  $}

  ${
    $d F j k y $.  $d G j k y $.  $d H k $.  $d M j k y $.
    climcmplem.1 $e |- F e. V $.
    climcmplem.2 $e |- G e. V $.
    climcmplem.3 $e |- A e. V $.
    climcmplem.4 $e |- B e. V $.
    climcmplem.5 $e |- H = { <. j , y >. |
                 ( j e. ( ZZ> ` M ) /\ y = ( ( G ` j ) - ( F ` j ) ) ) } $.
    climcmplem.6 $e |- ( ph <-> ( ( F ` k ) e. RR /\
                ( G ` k ) e. RR /\ ( F ` k ) <_ ( G ` k ) ) ) $.
    climcmplem.7 $e |- ( ps <-> ( H ` k ) = ( ( G ` k ) - ( F ` k ) ) ) $.
    climcmplem.8 $e |- ( ch <-> ( F ~~> A /\ G ~~> B ) ) $.
    $( Lemma for ~ climcmp . $)
    climcmplem $p |- ( ( ch /\ ( M e. ZZ /\ A. k e. ( ZZ> ` M ) ph ) ) ->
                      A <_ B ) $=
      ( cz wcel cuz cfv wral wa cc0 cmin co cle wbr wi cli cv cc wceq w3a
      fveq2 opreq12d oprex fvopab4 sylibr a1d ancld r19.20i cr recnt anim12i
      3simp2 sylbi 3simp1 sylanc anim1i anbi2i df-3an 3imtr4 r19.20si syl
      anim2i sylanb fvex fopabex2 climsub ancom1s 3ancoma 3anass 3bitr3 wb
      eleq1 resubclt syl5bir impcom 3simp3 subge0t mpbird adantr breq2 adantl
      jca climge0 sylbir ex 3syl pm2.43d imp climrecl 3com12 3adant1l syl3an1b
      syl3an3 3adant1r 3expb mpbid ) CLUAUBZAHLUCUDZUEZUFZUFZUGFEUHUIZUJUKZEFUJ
      UKZCXQXTCXQXTCXQXQXTULZXRIEUMUKZJFUMUKZUFZXNHUNZJUDZUOUBZYFIUDZUOUBZYFKUD
      ZYGYIUHUIZUPZUQZHXOUEZUFZUFZKXSUMUKZYBYEXQYQCXQYPYEXPYOXNXPABUFZHXOUEZYOA
      YSHXOYFXOUBZABUUABAUUAYMBGDYFGUNZJUDZUUBIUDZUHUIZYLXOKUUBYFUPUUCYGUUDYIUH
      UUBYFJURUUBYFIURUSQYGYIUHUTVASVBVCVDVEZYSYNHXOAYMUFYHYJUFZYMUFYSYNAUUGYMY
      GVFUBZYIVFUBZUUGAUUHYHUUIYJYGVGYIVGVHAUUIUUHYIYGUJUKZUQZUUHRUUIUUHUUJVIVJ
      ZAUUKUUIRUUIUUHUUJVKVJZVLVMBYMASVNYHYJYMVOVPVQVRVSVSTVTYDYCYPYRFEHJIKLNMG
      DXOUUEKLUCWAQWBPOWCWDYRXQXTYRXQUFZXNYRUFZXPUFZXTXNYRXPUQYRXNXPUQUUPUUNXNY
      RXPWEXNYRXPVOYRXNXPWFWGUUPXNYRYKVFUBZUGYKUJUKZUFZHXOUEZUQZXTUUPUUOUUTUFUV
      AXPUUTUUOXPYTUUTUUFYSUUSHXOYSUUQUURBAUUQBUUQYLVFUBZABYMUUQUVBWHSYKYLVFWIV
      JUUHUUIUVBAYGYIWJUULUUMVLWKWLYSUURUGYLUJUKZAUVCBAUVCUUJAUUKUUJRUUIUUHUUJW
      MVJUUHUUIUVCUUJWHAYGYIWNUULUUMVLWOWPBUURUVCWHZABYMUVDSYKYLUGUJWQVJWRWOWSV
      QVRVSXNYRUUTVOVBXSHKLFEUHUTWTVRXAXBXCXBXDXECXNXPXTYAWHZFVFUBZEVFUBZUVECXN
      XPUQFEWNCXNUUHHXOUEZUVFXPYEXNUVHUVFCYDXNUVHUVFYCXNYDUVHUVFFHJLPXFXGXHTXIA
      UUHHXOUULVQXJCXNUUIHXOUEZUVGXPYEXNUVIUVGCYCXNUVIUVGYDXNYCUVIUVGEHILOXFXGX
      KTXIAUUIHXOUUMVQXJVLXLXM $.
      $( [11-Sep-2007] $) $( [10-Sep-2007] $)
  $}

  ${
    $d F j k y $.  $d G j k y $.  $d M j k y $.
    climcmp.1 $e |- F e. V $.
    climcmp.2 $e |- G e. V $.
    climcmp.3 $e |- A e. V $.
    climcmp.4 $e |- B e. V $.
    $( Comparison of the limits of two sequences.  (Contributed by Paul
       Chapman, 10-Sep-2007.) $)
    climcmp $p |- ( ( ( F ~~> A /\ G ~~> B ) /\ ( M e. ZZ /\
     A. k e. ( ZZ> ` M ) ( ( F ` k ) e. RR /\ ( G ` k ) e. RR /\
     ( F ` k ) <_ ( G ` k ) ) ) ) -> A <_ B ) $=
      ( vj vy cv cfv cr wcel cle wbr w3a cuz cmin co wceq wa copab cli eqid
      pm4.2 climcmplem ) CMZDNZOPUJENZOPUKULQRSZUJKMZFTNPLMUNENUNDNUAUBUCUDKLUE
      ZNULUKUAUBUCZDAUFREBUFRUDZLABKCDEUOFGHIJUOUGUMUHUPUHUQUHUI $.
      $( [11-Sep-2007] $) $( [10-Sep-2007] $)
  $}

  ${
    $d k A $.  $d k B $.  $d k F $.  $d k M $.
    climcmpc1.1 $e |- F e. V $.
    climcmpc1.3 $e |- A e. V $.
    climcmpc1.4 $e |- B e. V $.
    $( Comparison of a constant to the limit of a sequence. $)
    climcmpc1 $p |- ( ( ( A e. RR /\ F ~~> B ) /\ ( M e. ZZ /\
   A. k e. ( ZZ> ` M ) ( ( F ` k ) e. RR /\ A <_ ( F ` k ) ) ) ) -> A <_ B ) $=
      ( cuz cfv csn cxp cli wbr cz wcel cv cr cle w3a wral wa fvex snex xpex
      climcmp cc climconst3 recnt sylan ad2ant2r simplr simprl wi fvconst2g
      pm3.26 eqeltrd adantlr adantr breq1d biimpar adantllr adantrl 3jca ex
      r19.20dva imp32 syl2anc ) EIJZAKZLZAMNZDBMNZEOPZCQZVKJZRPZVODJZRPZVPVRSNZ
      TZCVIUAZABSNARPZVMUBZVNVSAVRSNZUBZCVIUAZUBZUBABCVKDEVIVJEIUCAUDUEFGHUFWCV
      NVLVMWGAUGPVNVLWCAEUHAUIUJUKWCVMWHULWDVNWGUMWDVNWGWBWDVNWGWBUNWDVNUBZWFWA
      CVIWIVOVIPZUBZWFWAWKWFUBVQVSVTWKVQWFWDWJVQVNWCWJVQVMWCWJUBZVPARVIAVORUOZW
      CWJUPUQURURUSWKVSWEUMWKWEVTVSWDWJWEVTVNWCWJWEVTVMWLVTWEWLVPAVRSWMUTVAVBVB
      VCVDVEVFVEVGVH $.
      $( [19-Mar-2008] $) $( [28-Feb-2008] $)
  $}

  ${
    $d j k x A $.  $d j k x F $.  $d j k x G $.  $d j k x M $.
    climsqueeze.1 $e |- F e. V $.
    climsqueeze.2 $e |- G e. V $.
    climsqueeze.3 $e |- A e. V $.
    $( Convergence of a sequence sandwiched between another converging
       sequence and its limit. $)
    climsqueeze $p |- ( ( F ~~> A /\ M e. ZZ /\
     A. k e. ( ZZ> ` M ) ( ( ( F ` k ) e. RR /\ ( G ` k ) e. RR ) /\
     ( ( F ` k ) <_ ( G ` k ) /\ ( G ` k ) <_ A ) ) ) -> G ~~> A ) $=
      ( vx vj cz wcel cli wbr cv cfv cr wa cle cuz wral w3a climrecl simpll
      r19.20si syl3an3 wi cc0 clt cmin co cabs wrex wb lesub2t 3comr biimpd
      3exp imp44 adantrrr wceq abssuble0t 3com12 3expb adantrrl adantrll
      adantl pm3.26 letrt syl3anc 3brtr4d adantlr lelttrt cc resubclt ancoms
      recnd absclt syl ad2ant2rl ad2ant2r simplr adantrr mpand imim2d ex
      r19.20sdv com23 imp31 r19.20 3adantl1 r19.22sdv r19.20dva clm4at recnt
      syl3an2 ad2antrr ad2antlr 3imtr4d com24 3imp mpd ) EKLZCAMNZBOZCPZQLZXEDP
      ZQLZRZXFXHSNZXHASNZRZRZBETPZUAZDAMNZXCXDXPUBAQLZXQXCXDXGBXOUAXRXPABCEHUCX
      NXGBXOXGXIXMUDZUEUFXCXDXPXRXQUGXCXRXPXDXQXCXRXPXDXQUGXCXRXPUBZUHIOZUINZJO
      XESNZXFAUJUKZULPZYAUINZUGZBXOUAZJKUMZUGZIQUAZYBYCXHAUJUKZULPZYAUINZUGZBXO
      UAZJKUMZUGZIQUAZXDXQXTYJYRIQXTYAQLZRZYIYQYBUUAYHYPJKXRXPYTYHYPUGZXCXRXPRY
      TRYGYOUGZBXOUAZUUBXRXPYTUUDXRYTXPUUDXRYTXPUUDUGXRYTRZXNUUCBXOUUEXNUUCUUEX
      NRZYFYNYCUUFYMYESNZYFYNXRXNUUGYTXRXNRZAXHUJUKZAXFUJUKZYMYESXRXJXKUUIUUJSN
      ZXLXRXGXIXKUUKXRXGXIXKUUKUGXRXGXIUBXKUUKXGXIXRXKUUKUNXFXHAUOUPUQURUSUTXRX
      IXMYMUUIVAZXGXRXIXLUULXKXRXIXLUULXIXRXLUULXHAVBVCVDVEVFXGXRXFASNZYEUUJVAU
      UHXFAVBXNXGXRXSVGXRXNVHXRXGXIXMUUMXRXGXIXMUUMUGZXGXIXRUUNXFXHAVIUPURUSVJV
      KVLUUEXJUUGYFRYNUGZXMYMQLZYEQLZYTUUOUUEXJRYMYEYAVMXRXIUUPYTXGXRXIRZYLVNLU
      UPUURYLXIXRYLQLXHAVOVPVQYLVRVSVTXRXGUUQYTXIXRXGRZYDVNLUUQUUSYDXGXRYDQLXFA
      VOVPVQYDVRVSWAXRYTXJWBVJWCWDWEWFWGWFWHWIYGYOBXOWJVSWKWLWEWMXCXRXFVNLZBXOU
      AZXDYKUNZXPXCAVNLZUVAUVBXRIAJBCEFWNAWOZWPXNUUTBXOXGUUTXIXMXFWOWQUEUFXCXRX
      HVNLZBXOUAZXQYSUNZXPXCUVCUVFUVGXRIAJBDEGWNUVDWPXNUVEBXOXIUVEXGXMXHWOWRUEU
      FWSURWTXAXBVC $.
      $( [14-Feb-2008] $) $( [6-Feb-2008] $)

    $( Convergence of a sequence sandwiched between another converging
       sequence and its limit. $)
    climsqueeze2 $p |- ( ( F ~~> A /\ M e. ZZ /\
     A. k e. ( ZZ> ` M ) ( ( ( F ` k ) e. RR /\ ( G ` k ) e. RR ) /\
     ( A <_ ( G ` k ) /\ ( G ` k ) <_ ( F ` k ) ) ) ) -> G ~~> A ) $=
      ( vx vj cz wcel cli wbr cv cfv cr wa cle cuz wral w3a climrecl simpll
      r19.20si syl3an3 wi cc0 clt cmin co cabs wrex wb lesub1t 3com13 biimpd
      3exp imp44 adantrrl wceq abssubge0t 3expb adantrll adantrrr pm3.26
      adantl letrt 3com23 syl3anc 3brtr4d adantlr lelttrt cc resubclt ancoms
      recnd absclt syl ad2ant2rl ad2ant2r simplr adantrr mpand imim2d ex
      r19.20sdv com23 imp31 r19.20 3adantl1 r19.22sdv r19.20dva clm4at recnt
      syl3an2 ad2antrr ad2antlr 3imtr4d com24 3imp mpd 3com12 ) EKLZCAMNZBOZCPZ
      QLZXFDPZQLZRZAXISNZXIXGSNZRZRZBETPZUAZDAMNZXDXEXQUBAQLZXRXDXEXHBXPUAXSXQA
      BCEHUCXOXHBXPXHXJXNUDZUEUFXDXEXQXSXRUGXDXSXQXEXRXDXSXQXEXRUGXDXSXQUBZUHIO
      ZUINZJOXFSNZXGAUJUKZULPZYBUINZUGZBXPUAZJKUMZUGZIQUAZYCYDXIAUJUKZULPZYBUIN
      ZUGZBXPUAZJKUMZUGZIQUAZXEXRYAYKYSIQYAYBQLZRZYJYRYCUUBYIYQJKXSXQUUAYIYQUGZ
      XDXSXQRUUARYHYPUGZBXPUAZUUCXSXQUUAUUEXSUUAXQUUEXSUUAXQUUEUGXSUUARZXOUUDBX
      PUUFXOUUDUUFXORZYGYOYDUUGYNYFSNZYGYOXSXOUUHUUAXSXORZYMYEYNYFSXSXKXMYMYESN
      ZXLXSXHXJXMUUJXSXHXJXMUUJUGXSXHXJUBXMUUJXJXHXSXMUUJUNXIXGAUOUPUQURUSUTXSX
      KXLYNYMVAZXMXSXJXLUUKXHXSXJXLUUKAXIVBVCVDVEXSXHAXGSNZYFYEVAUUIAXGVBXSXOVF
      XOXHXSXTVGXSXHXJXNUULXSXHXJXNUULUGZXSXJXHUUMAXIXGVHVIURUSVJVKVLUUFXKUUHYG
      RYOUGZXNYNQLZYFQLZUUAUUNUUFXKRYNYFYBVMXSXJUUOUUAXHXSXJRZYMVNLUUOUUQYMXJXS
      YMQLXIAVOVPVQYMVRVSVTXSXHUUPUUAXJXSXHRZYEVNLUUPUURYEXHXSYEQLXGAVOVPVQYEVR
      VSWAXSUUAXKWBVJWCWDWEWFWGWFWHWIYHYPBXPWJVSWKWLWEWMXDXSXGVNLZBXPUAZXEYLUNZ
      XQXDAVNLZUUTUVAXSIAJBCEFWNAWOZWPXOUUSBXPXHUUSXJXNXGWOWQUEUFXDXSXIVNLZBXPU
      AZXRYTUNZXQXDUVBUVEUVFXSIAJBDEGWNUVCWPXOUVDBXPXJUVDXHXNXIWOWRUEUFWSURWTXA
      XBXC $.
      $( [9-Mar-2008] $) $( [14-Feb-2008] $)
  $}

  ${
    $d F k m $.  $d G k m $.  $d M k m $.
    iserzcmp.1 $e |- A e. V $.
    iserzcmp.2 $e |- B e. V $.
    iserzcmp.3 $e |- F e. V $.
    iserzcmp.4 $e |- G e. V $.
    $( Comparison of the limits of two infinite series.  (Contributed by Paul
       Chapman, 12-Nov-2007.) $)
    iserzcmp $p |- ( ( ( ( <. M , + >. seq F ) ~~> A /\ ( <. M , + >. seq G )
      ~~> B ) /\ ( M e. ZZ /\ A. k e. ( ZZ> ` M ) ( ( F ` k ) e. RR /\
      ( G ` k ) e. RR /\ ( F ` k ) <_ ( G ` k ) ) ) ) -> A <_ B ) $=
      ( vm caddc cop cseqz co cli wbr wa cz wcel cv cfv cr cle w3a cuz wral
      oprex climcmp cfz serzreclt 3simp1 r19.20si wss wi fzssuzt ssralv ax-mp
      syl sylan2 3simp2 serzcmp 3jca expcom r19.21aiv sylanr2 ) FLMZDNOZAPQVGEN
      OZBPQRFSTKUAZVHUBZUCTZVJVIUBZUCTZVKVMUDQZUEZKFUFUBZUGABUDQCUAZDUBZUCTZVRE
      UBZUCTZVSWAUDQZUEZCVQUGZABKVHVIFVGDNUHVGENUHGHUIWEVPKVQVJVQTZWEVPWFWERVLV
      NVOWFVTCFVJUJOZUGZVLWECDFVJIUKWEVTCVQUGZWHWDVTCVQVTWBWCULUMWGVQUNZWIWHUOF
      VJUPZVTCWGVQUQURUSUTWFWBCWGUGZVNWECEFVJJUKWEWBCVQUGZWLWDWBCVQVTWBWCVAUMWJ
      WMWLUOWKWBCWGVQUQURUSUTWFWDCWGUGZVOWECDEFVJIJVBWJWEWNUOWKWDCWGVQUQURUTVCV
      DVEVF $.
      $( [12-Nov-2007] $) $( [12-Nov-2007] $)
  $}

  ${
    $d F k $.  $d M k $.
    iserzcmp0.1 $e |- A e. V $.
    iserzcmp0.2 $e |- F e. V $.
    $( The limit of an infinite series of nonnegative reals is nonnegative.
       (Contributed by Paul Chapman, 9-Feb-2007.) $)
    iserzcmp0 $p |- ( ( M e. ZZ /\ ( <. M , + >. seq F ) ~~> A /\
    A. k e. ( ZZ> ` M ) ( ( F ` k ) e. RR /\ 0 <_ ( F ` k ) ) ) -> 0 <_ A ) $=
      ( cz wcel caddc cop cseqz co cli wbr cv cfv cr cc0 cle wa cuz wral csn
      cxp w3a 0re elisseti fvex snex xpex iserzcmp serzclim0 sylanl1 anandis
      fvconst2 breq1d anbi2d biimprd syl6eqel jctild 3anass syl6ibr r19.20i
      sylanr2 3impb ) DGHZDIJZCKLAMNZBOZCPZQHZRVJSNZTZBDUAPZUBZRASNZVFVHVIVNRUC
      ZUDZPZQHZVKVSVJSNZUEZBVNUBZVPVOVFVHWCVPVGVRKLRMNVHVFWCTVPVFRABVRCDRQUFUGZ
      EVNVQDUAUHRUIUJFUKDULUMUNVMWBBVNVIVNHZVMVTVKWATZTWBWEVMWFVTWEWFVMWEWAVLVK
      WEVSRVJSVNRVIWDUOZUPUQURWEVSRQWGUFUSUTVTVKWAVAVBVCVDVE $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

  ${
    iserzshft.1 $e |- F e. V $.
    iserzshft.2 $e |- M e. ZZ $.
    iserzshft.3 $e |- K e. ZZ $.
    iserzshft.4 $e |- N = ( M + K ) $.
    iserzshft.5 $e |- G = ( F shift K ) $.
    $( Index shift of an infinite series. (Contributed by Paul Chapman,
       31-Oct-2007.) $)
    iserzshft $p |- ( A e. B -> ( ( <. M , + >. seq F ) ~~> A <->
                                  ( <. N , + >. seq G ) ~~> A ) ) $=
      ( wcel caddc cop cseqz co cli wbr cc climcl c1 cmin cshi cseq1 cuz cfv
      cres oprex cz zaddclt mp2an eqeltr climres wb wceq addex cvv seqzfval2
      ax-mp breq1i a1i 1z zsubclt climshft opreq1i zcnt ax1cn subcl 2shft
      subsubt mp3an eqcomi subadd2 mpbir opreq2i addcom 3eqtr3r 3eqtr 3bitr4rd
      3bitrd pm5.21nd ) ABMFNOCPQZARSZGNODPQZARSZATMZABWCUAABWEUAWGNDUBGUCQZUDQ
      ZUEQZGUBUCQZUDQZGUFUGUHZARSZWLARSZWFWDATWLGWJWKUDUIGFENQZUJKFUJMZEUJMZWPU
      JMIJFEUKULUMZUNWFWNUOWGWEWMARGUJMZWEWMUPWSNDGUQDCEUDQZURLCEUDUIUMUSUTVAVB
      WGWDNCUBFUCQZUDQZUEQZFUBUCQZUDQZFUFUGUHZARSZXFARSZWOWDXHUOWGWCXGARWQWCXGU
      PINCFUQHUSUTVAVBATXFFXDXEUDUIIUNWGXDWKUDQZARSZXDARSWOXIAXDWKNXCUEUIZWTUBU
      JMZWKUJMWSVCGUBVDULVEWOXKUOWGWLXJARWJXDWKUDWIXCNUEWIXAWHUDQZCEWHNQZUDQZXC
      DXAWHUDLVFETMZWHTMXNXPUPWRXQJEVGUTZUBGVHWTGTMZWSGVGUTZVIZEWHCHVJULXOXBCUD
      UBGEUCQZUCQZWHENQZXBXOUBTMXSXQYCYDUPVHXTXRUBGEVKVLYBFUBUCYBFUPWPGUPGWPKVM
      GEFXTXRWQFTMIFVGUTVNVOVPWHEYAXRVQVRVPVSVPVFVAVBAXDXEXLWQXMXEUJMIVCFUBVDUL
      VEVTWAVTWB $.
      $( [31-Oct-2007] $) $( [31-Oct-2007] $)
  $}

  ${
    $d k A $.  $d j k F $.  $d j k M $.  $d j k N $.
    clim2serz.1 $e |- F e. V $.
    clim2serz.2 $e |- A e. V $.
    clim2serz.3 $e |- ( <. M , + >. seq F ) ~~> A $.
    clim2serz.4 $e |- F : ( ZZ> ` M ) --> CC $.
    $( Limit of an infinite series with an initial segment removed. $)
    clim2serz $p |- ( N e. ( ZZ> ` M ) -> ( <. ( N + 1 ) , + >. seq F )
                ~~> ( A - ( ( <. M , + >. seq F ) ` N ) ) ) $=
      ( vk vj cuz cfv wcel c1 caddc co cop cseqz cneg cmin cli cc cz cv wceq
      wa wral wbr oprex negex climaddc1 mpanl1 cfz elfzuzt ffvelrni syl rgen
      serzclt mpan2 negclt eluzelz peano2zd uztrn peano2uz sylan2 ancoms
      negsubt adantr sylanc serzsplit adantl eluzp1m1t sylan eluzfzt syldan
      a1i syl3anc eqcomd wb subaddt cres cvv resexg ax-mp pm3.27 syl2an fvres
      eleq1d mpbird r19.21aiva addex seqzres fveq1d mpbid eqtr2d jca climcl
      mp2an mpan breqtrd ) DCKLZMZDNOPZOQZBRPZADCOQZBRPZLZSZOPZAXHTPZUAXIUBMZXC
      UCMZIUDZXGLZUBMZXNXELZXOXIOPZUEZUFZIXCKLZUGZUFZXEXJUAUHZXBXGAUAUHZXLYCYDG
      AXIIXGXEXCXFBRUIXDBRUIFXHUJUKULXBXHUBMZXLXBJUDZBLZUBMZJCDUMPZUGYFYIJYJYGY
      JMYGXAMZYIYGCDUNXAUBYGBHUOZUPUQJBCDEURUSZXHUTUPXBXMYBXBDCDVAZVBZXBXTIYAXB
      XNYAMZUFZXPXSYQXNXAMZXPYPXBYRYPXCXAMZYRXBXCXNCVCCDVDZVEVFYRYIJCXNUMPZUGZX
      PYIJUUAYGUUAMYKYIYGCXNUNYLUPUQZJBCXNEURUSUPZYQXRXOXHTPZXQXPYFXRUUEUEYQXOX
      HVGUUDXBYFYPYMVHZVIYQUUEXQUEZXHXQOPZXOUEZYQXOUUHXNUCMZDCXNNTPZUMPMZUUBXOU
      UHUEYQJBDCXNEVJYPUUJXBXCXNVAVKXBYPUUKDKLMZUULDUCMYPUUMXBDXNVLYNVMDCUUKVNV
      OUUBYQUUCVPVQVRXPYFXQUBMZUUGUUIVSYQXOXHXQVTUUDUUFYQXNXDBYAWAZRPZLZUBMZUUN
      YPYGUUOLZUBMZJXCXNUMPZUGZUURYQJUUOXCXNBWBMUUOWBMEBYAWBWCWDURXBYPWEXBUVBYP
      XBUUTJUVAXBYGUVAMZUFUUTYIUVCXBYIUVCXBUFYKYIYGYAMZYSYKUVCXBXCYGCVCYGXCXNUN
      ZYTWFYLUPVFUVCUUTYIVSXBUVCUUSYHUBUVCUVDUUSYHUEUVEYGYABWGUPWHVKWIWJVHVIXBU
      URUUNVSYPXBUUQXQUBXBXNUUPXEXBXMUUPXEUEYOOBXCWKEWLUPWMWHVHWNVQWIWOWPWJWPVI
      XBYFXJXKUEZYMAUBMZYFUVFAWBMYEUVGFGAWBXGWQWRAXHVGWSUPWT $.
      $( [11-Jun-2006] $) $( [27-Dec-2005] $)
  $}

  ${
    $d A x $.  $d F x $.  $d M x $.  $d N x $.
    iserzex.1 $e |- F e. V $.
    iserzex.2 $e |- A e. V $.
    iserzex.3 $e |- M e. ZZ $.
    iserzex.4 $e |- F : ( ZZ> ` M ) --> CC $.
    iserzex.5 $e |- ( <. M , + >. seq F ) ~~> A $.
    $( If an infinite series converges, so does the series with initial terms
       removed.  (Contributed by Paul Chapman, 23-Nov-2007.) $)
    iserzex $p |- ( ( N e. ZZ /\ M < N ) ->
                    E. x ( <. N , + >. seq F ) ~~> x ) $=
      ( cz wcel clt wbr wa caddc cop cseqz co cv cli c1 cmin cfv wi wex cuz
      cle wb zltp1let mpan biimpa peano2z ax-mp eluz1 biimpr syldan eluzp1m1t
      clim2serz syl cc zcnt adantr wceq ax1cn subadd23t mp3an23 cc0 ax0id
      subid opreq2i syl5eq eqtrd opeq1d opreq1d breq1d mpbid oprex breq2
      imbi2d cla4ev 19.37aiv ) EKLZDEMNZOZEPQZCRSZATZUANZAWEWGBEUBUCSZDPQCRSUDZ
      UCSZUANZUEZWEWIUEZAUFWEWJUBPSZPQZCRSZWLUANZWMWEEDUBPSZUGUDLZWSWCWDWTEUHNZ
      XAWCWDXBDKLZWCWDXBUIHDEUJUKULXAWCXBOWTEXCWTKLHDUMUNUOUPUQXAWJDUGUDLZWSXCX
      AXDHDEURUKBCDWJFGJIUSUTUTWEEVALZWSWMUIWCXEWDEVBVCXEWRWGWLUAXEWQWFCRXEWPEP
      XEWPEUBUBUCSZPSZEXEUBVALZXHWPXGVDVEVEEUBUBVFVGXEEVHPSEXGEVIXFVHEPUBVEVJVK
      VLVMVNVOVPUTVQWOWNAWLBWKUCVRWHWLVDWIWMWEWHWLWGUAVSVTWAUNWB $.
      $( [23-Nov-2007] $) $( [23-Nov-2007] $)
  $}

  ${
    $d j k F $.  $d j k M $.  $d j k N $.
    climserzle.1 $e |- F e. V $.
    climserzle.2 $e |- A e. V $.
    climserzle.3 $e |- ( <. M , + >. seq F ) ~~> A $.
    climserzle.4 $e |- F : ( ZZ> ` M ) --> RR $.
    $( The partial sums of a converging infinite series with nonnegative terms
       are bounded by its limit. $)
    climserzle $p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( ZZ> ` M )
                    0 <_ ( F ` k ) ) -> ( ( <. M , + >. seq F ) ` N ) <_ A ) $=
      ( vj cuz cfv wcel cc0 cv cle wbr wral wa caddc cop cseqz co cmin c1 cz
      cli cr oprex climge0 eluzelz peano2zd adantr wf cc wss axresscn fss
      mp2an clim2serz cfz serzreclt pm3.27 uztrn ancoms peano2uz elfzuzt
      syl2an ffvelrni syl r19.21aiva sylanc adantlr serzcmp0 wi pm3.2 a2i syl5
      exp3a com3r r19.20dv2 imp sylan2 jca syl3anc wb subge0t eluzel2 rgen
      mpan2 climrecl mp3an23 mpbid ) EDKLZMZNBOZCLZPQZBWNRZSZNAEDTUACUBUCZLZUDU
      CZPQZXBAPQZEUETUCZUFMZXFTUACUBUCZXCUGQZJOZXHLZUHMZNXKPQZSZJXFKLZRXDWTXCJX
      HXFAXBUDUIUJWOXGWSWOEDEUKULUMWOXIWSACDEFGHWNUHCUNUHUOUPWNUOCUNIUQWNUHUOCU
      RUSUTUMWTXNJXOWTXJXOMZSXLXMWOXPXLWSXPWQUHMZBXFXJVAUCZRZXLWOXPSBCXFXJFVBWO
      XPVCWOXSXPWOXQBXRWOWPXRMZSWPWNMZXQXFWNMZWPXOMZYAWOXTYCYBYAXFWPDVDZVEDEVFZ
      WPXFXJVGZVHWNUHWPCIVIZVJVKUMVLVMXPWTXMXPXQWRSZBXRRZXMWTBCXFXJFVNWOWSYIWOW
      RYHBWNXRYAWRVOZXTWOYHYJXTWOYHYJYAYHXTWOSYAWRYHYAXQWRYHVOYGXQWRVPVJVQYCYBY
      AXTWOYDYFYEVHVRVSVTWAWBWCVEWDVKWEWOXDXEWFZWSAUHMZXBUHMZYKWOAXBWGWODUFMZYL
      DEWHYNXAAUGQXJXALUHMZJWNRYLHYOJWNXJWNMZXQBDXJVAUCZRYOXQBYQWPYQMYAXQWPDXJV
      GYGVJWIBCDXJFVBWJWIAJXADGWKWLVJWOXJCLUHMZJDEVAUCZRYMYRJYSXJYSMYPYRXJDEVGW
      NUHXJCIVIVJWIJCDEFVBWJVLUMWM $.
      $( [8-Jan-2007] $) $( [27-Dec-2005] $)
  $}

  ${
    $d A j k x $.  $d F j k x $.  $d G j k x $.  $d M j k x $.
    climabs.1 $e |- A e. V $.
    climabs.2 $e |- G e. V $.
    climabs.3 $e |- M e. ZZ $.
    climabs.4 $e |- F ~~> A $.
    ${
      $d H j k x $.
      climabslem.5 $e |- ( k e. ( ZZ> ` M ) -> ( ( F ` k ) e. CC /\
                             ( G ` k ) = ( H ` ( F ` k ) ) ) ) $.
      climabslem.6 $e |- A. x e. CC ( H ` x ) e. CC $.
      climabslem.7 $e |- ( ( ( F ` k ) e. CC /\ A e. CC ) ->
                          ( abs ` ( ( H ` ( F ` k ) ) - ( H ` A ) ) ) <_
                          ( abs ` ( ( F ` k ) - A ) ) ) $.
      $( Lemma for ~ climabs , ~ climcj , ~ climre , and ~ climim . $)
      climabslem $p |- G ~~> ( H ` A ) $=
        ( vj cfv cli wbr cc0 cv clt cle cmin co cabs wi cuz wral cz wrex cr
        wcel cc wb cvv climcl mp2an wceq pm3.26d rgen climrel brrelexi ax-mp
        clm4at mp3an mpbi wa pm3.27d opreq1d fveq2d mpan2 syl eqbrtrd adantr
        lelttrt 3expa fveq2 eleq1d vtoclri eqeltrd subclt absclt 3syl jca
        sylan mpand imim2d expcom r19.21aiv r19.20 r19.22sdv r19.20i mpbir ) EB
        FPZQRZSATZUARZOTCTZUBRZWREPZWNUCUDZUEPZWPUARZUFZCGUGPZUHZOUIUJZUFZAUKUH
        ZWQWSWRDPZBUCUDZUEPZWPUARZUFZCXEUHZOUIUJZUFZAUKUHZXIDBQRZXRKGUIULZBUMUL
        ZXJUMULZCXEUHXSXRUNJBUOULXSYAHKBUODUPUQZYBCXEWRXEULZYBWTXJFPZURZLUSZUTA
        BOCDGXSDUOULKDBQVAVBVCVDVEVFXQXHAUKWPUKULZXPXGWQYHXOXFOUIYHXNXDUFZCXEUH
        XOXFUFYHYICXEYDYHYIYDYHVGZXMXCWSYJXBXLUBRZXMXCYDYKYHYDXBYEWNUCUDZUEPZXL
        UBYDXAYLUEYDWTYEWNUCYDYBYFLVHZVIVJYDYBYMXLUBRZYGYBYAYOYCNVKVLVMVNXBUKUL
        ZXLUKULZVGYHYKXMVGXCUFZYDYPYQYHYRXBXLWPVOVPYDYPYQYDXAUMULZYPYDWTUMULZYS
        YDWTYEUMYNYDYBYEUMULZYGWPFPZUMULZUUAAXJUMWPXJURUUBYEUMWPXJFVQVRMVSVLVTZ
        YTWNUMULZYSYAUUEYCUUCUUEABUMWPBURUUBWNUMWPBFVQVRMVSVCZWTWNWAVKVLXAWBVLY
        DYBXKUMULZYQYGYBYAUUGYCXJBWAVKXKWBWCWDWEWFWGWHWIXNXDCXEWJVLWKWGWLVCXTUU
        EYTCXEUHWOXIUNJUUFYTCXEUUDUTAWNOCEGIVDVEWM $.
        $( [24-Sep-2007] $) $( [24-Sep-2007] $)
    $}

    ${
      climabs.5 $e |- ( k e. ( ZZ> ` M ) ->
                  ( ( F ` k ) e. CC /\ ( G ` k ) = ( abs ` ( F ` k ) ) ) ) $.
      $( Limit of the absolute value of a sequence.  (Contributed by Paul
         Chapman, 7-Sep-2007.) $)
      climabs $p |- G ~~> ( abs ` A ) $=
        ( vx cabs cv cfv cc wcel absclt recnd rgen abs2difabst climabslem ) KAB
        CDLEFGHIJKMZLNZOPKOUBOPUCUBQRSBMCNATUA $.
        $( [8-Sep-2007] $) $( [7-Sep-2007] $)
    $}

    ${
      climcj.5 $e |- ( k e. ( ZZ> ` M ) -> ( ( F ` k ) e. CC /\
                   ( G ` k ) = ( * ` ( F ` k ) ) ) ) $.
      $( Limit of the complex conjugate of a sequence.  Proposition 12-2.4(c)
         of [Gleason] p. 172. $)
      climcj $p |- G ~~> ( * ` A ) $=
        ( vx ccj cv cfv cc wcel cjclt rgen cmin co cabs cr wceq cle wbr wa
        eqlet anim12i subclt absclt 3syl cjsubt fveq2d abscjt syl eqtr3d
        sylanc climabslem ) KABCDLEFGHIJKMZLNOPKOUSQRBMCNZLNZALNZSTZUANZUBPZVDU
        TASTZUANZUCVDVGUDUEUTOPZAOPZUFZVDVGUGVJVAOPZVBOPZUFVCOPVEVHVKVIVLUTQAQU
        HVAVBUIVCUJUKVJVFLNZUANZVDVGVJVMVCUAUTAULUMVJVFOPVNVGUCUTAUIVFUNUOUPUQU
        R $.
        $( [24-Jun-2006] $) $( [7-Jun-2006] $)
    $}

    ${
      climre.5 $e |- ( k e. ( ZZ> ` M ) -> ( ( F ` k ) e. CC /\
                         ( G ` k ) = ( Re ` ( F ` k ) ) ) ) $.
      $( Limit of the real part of a sequence.  (Contributed by Paul Chapman,
         24-Sep-2007.) $)
      climre $p |- G ~~> ( Re ` A ) $=
        ( vx cre cv cfv cc wcel reclt recnd rgen wa cmin co cabs cle resubt
        fveq2d wbr subclt absrelet syl eqbrtrrd climabslem ) KABCDLEFGHIJKMZLNZ
        OPKOUMOPUNUMQRSBMCNZOPAOPTZUOAUAUBZLNZUCNZUOLNALNUAUBZUCNUQUCNZUDUPURUT
        UCUOAUEUFUPUQOPUSVAUDUGUOAUHUQUIUJUKUL $.
        $( [24-Sep-2007] $) $( [24-Sep-2007] $)
    $}

    ${
      climim.5 $e |- ( k e. ( ZZ> ` M ) -> ( ( F ` k ) e. CC /\
                         ( G ` k ) = ( Im ` ( F ` k ) ) ) ) $.
      $( Limit of the imaginary part of a sequence.  (Contributed by Paul
         Chapman, 7-Sep-2007.) $)
      climim $p |- G ~~> ( Im ` A ) $=
        ( vx cim cv cfv cc wcel imclt recnd rgen wa cmin co cabs cle imsubt
        fveq2d wbr subclt absimlet syl eqbrtrrd climabslem ) KABCDLEFGHIJKMZLNZ
        OPKOUMOPUNUMQRSBMCNZOPAOPTZUOAUAUBZLNZUCNZUOLNALNUAUBZUCNUQUCNZUDUPURUT
        UCUOAUEUFUPUQOPUSVAUDUGUOAUHUQUIUJUKUL $.
        $( [24-Sep-2007] $) $( [24-Sep-2007] $)
    $}
  $}

  ${
    $d j m w A $.  $d j k m w F $.  $d j m w N $.
    climub.1 $e |- A e. V $.
    climub.2 $e |- F : NN --> RR $.
    climub.3 $e |- ( k e. NN -> ( F ` k ) <_ ( F ` ( k + 1 ) ) ) $.
    climub.4 $e |- F ~~> A $.
    ${
      climubi.5 $e |- N e. NN $.
      $( The limit of a monotonic sequence is an upper bound. $)
      climubi $p |- ( F ` N ) <_ A $=
        ( vm vj vw cfv cle wbr clt wn cc0 cmin co cv cabs wi cn wral wrex wcel
        caddc wceq breq2 fveq2 opreq1d fveq2d breq1d imbi12d negbid rcla4ev
        nnaddclt mpan wa cr nnret cn0 nnnn0 nn0addge2t mpan2 syl wf ffvelrn
        mp2an climfnrcl resubcl letrt mp3an1 ffvelrni resubclt cc recnt absclt
        jca monoord nnnn0t nnre nn0addge1t sylanc wb lesub1t mp3an13 mpbid
        leabst sylc lenltt annim sylib rexnal nrex cli cvv c1 1z cuz nnuz
        eqimss2i nnssz clmi2 mpanl1 exp32 r19.21aiv ax-mp imbi2d rexralbidv
        rcla4v mp2 mto posdif mtbir lenlt mpbir ) DCMZANOAXSPOZQXTRXSASTZPOZYBJ
        UAZKUAZNOZYDCMZASTZUBMZYAPOZUCZKUDUEZJUDUFZYKJUDYCUDUGZYJQZKUDUFZYKQDYC
        UHTZUDUGZYCYPNOZYPCMZASTZUBMZYAPOZUCZQZYOYMYNUUDKYPUDYDYPUIZYJUUCUUEYEY
        RYIUUBYDYPYCNUJUUEYHUUAYAPUUEYGYTUBUUEYFYSASYDYPCUKULUMUNUOUPUQDUDUGZYM
        YQIDYCURUSZYMYRUUBQZUTUUDYMYRUUHYMYCVAUGZYRYCVBUUIDVCUGYRDIVDYCDVEVFVGY
        MYAUUANOZUUHYTVAUGZUUAVAUGZUTYAYTNOZYTUUANOZUTZUUJYMYAVAUGZUUKUULUUOUUJ
        UCXSAUDVACVHUUFXSVAUGZFIUDVADCVIVJZACEFHVKZVLZYAYTUUAVMVNYMUUKUULYMYSVA
        UGZUUKYMYQUVAUUGUDVAYPCFVOVGZUVAAVAUGZUUKUUSYSAVPVFVGZYMYTVQUGZUULYMUUK
        UVEUVDYTVRVGYTVSVGZVTYMUUMUUNYMXSYSNOZUUMYQDYPNOZUVGYMUUFYQUVHUVGIBDYPC
        FGWAVNUUGYMYCVCUGZUVHYCWBDVAUGUVIUVHDIWCDYCWDUSVGWEYMUVAUVGUUMWFZUVBUUQ
        UVAUVCUVJUURUUSXSYSAWGWHVGWIYMUUKUUNUVDYTWJVGVTWKYMUULUUJUUHWFZUVFUUPUU
        LUVKUUTYAUUAWLUSVGWIVTYRUUBWMWNWEYJKUDWOWNWPUUPRLUAZPOZYEYHUVLPOZUCZKUD
        UEJUDUFZUCZLVAUEZYBYLUCZUUTCAWQOZUVRHUVTUVQLVAUVTUVLVAUGZUVMUVPAWRUGUVT
        UWAUVMUTUVPEAUVLWRJKCWSUDUDWTUDWSXAMXBXCXDXEXFXGXHXIUVQUVSLYAVAUVLYAUIZ
        UVMYBUVPYLUVLYARPUJUWBUVOYJJKUDUDUWBUVNYIYEUVLYAYHPUJXJXKUOXLXMXNAXSUUS
        UURXOXPXSAUURUUSXQXR $.
        $( [7-Jun-2006] $) $( [18-Mar-2005] $)
    $}

    $( The limit of a monotonic sequence is an upper bound. $)
    climub $p |- ( N e. NN -> ( F ` N ) <_ A ) $=
      ( cn wcel cfv cle wbr c1 cif wceq fveq2 breq1d 1nn elimel climubi dedth
      ) DIJZDCKZALMUCDNOZCKZALMDNDUEPUDUFALDUECQRABCUEEFGHDNISTUAUB $.
      $( [8-Jun-2006] $) $( [18-Mar-2005] $)
  $}

  ${
    $d j k x y z F $.
    climsup.1 $e |- F : NN --> RR $.
    climsup.2 $e |- ( k e. NN -> ( F ` k ) <_ ( F ` ( k + 1 ) ) ) $.
    climsup.3 $e |- E. x e. RR A. k e. NN ( F ` k ) <_ x $.
    $( A bounded monotonic sequence converges to the supremum of its range.
       Theorem 12-5.1 of [Gleason] p. 180. $)
    climsup $p |- F ~~> sup ( ran F , RR , < ) $=
      ( vj vy vz crn cr clt csup cli wbr cc0 cv cle cfv cmin co cabs wi cn
      wral wrex cc wf wcel wb wss axresscn fss mp2an c0 wne frn ax-mp cdm c1
      1nn ne0i fdmi neeq1i mpbir dm0rn0 necon3bii mpbi wceq hbra1 ax-17 ra4
      breq1 biimpcd syl6 r19.23ad wfn ffn fvelrnb syl5ib r19.21aiv r19.22si
      3pm3.2i suprcli recn climfnn ltsubpost mpan2 suprlubi resubclt mpan
      sylan ex sylbid wa adantr ad2antrr ffvelrni ad2antlr ad2antrl breq2
      biimparc ad2ant2l monoord 3expb adantlr adantll ltletrd recnt abssubt
      3syl absidt jctil syl fnfvelrn suprubi subge0t mpbird sylanc eqtrd
      breq1d adantl ltsub23t mp3an1 sylan2 bitr4d ad2ant2r exp32 r19.22dv
      com23 r19.23adv syld mprgbir ) CCJZKLMZNOZPAQZLOZGQZBQZROZYTCSZYOTUAUBSZY
      QLOZUCZBUDUEZGUDUFZUCZAKUDUGCUHZYOUGUIZYPUUHAKUEUJUDKCUHZKUGUKUUIDULUDKUG
      CUMUNYOAHYNYNKUKZYNUOUPZHQZYQROZHYNUEZAKUFZUUKUULDUDKCUQURZCUSZUOUPZUUMUU
      TUDUOUPZUTUDUIUVAVAUDUTVBURUUSUDUOUDKCDVCVDVEUUSUOYNUOCVFVGVHZUUBYQROZBUD
      UEZAKUFZUUQFUVDUUPAKUVDUUOHYNUVDUUBUUNVIZBUDUFZUUOUUNYNUIZUVDUVFUUOBUDUVC
      BUDVJZUUOBVKUVDYTUDUIZUVCUVFUUOUCUVCBUDVLZUVFUVCUUOUUBUUNYQRVMVNVOVPCUDVQ
      ZUVHUVGUJUUKUVLDUDKCVRURZBUDUUNCVSURVTWAWBURWCZWDZWEZAYOGBCWFUNYQKUIZYRYO
      YQTUAZUUNLOZHYNUFZUUGUVQYRUVRYOLOZUVTUVQYOKUIZYRUWAUJUVOYQYOWGWHUVQUWAUVT
      UVRKUIZUWAUVTUVQAIHYNUVRUULUUMIQZYQROZIYNUEZAKUFZUURUVBUVEUWGFUVDUWFAKUVD
      UWEIYNUVDUUBUWDVIZBUDUFZUWEUWDYNUIZUVDUWHUWEBUDUVIUWEBVKUVDUVJUVCUWHUWEUC
      UVKUWHUVCUWEUUBUWDYQRVMVNVOVPUVLUWJUWIUJUVMBUDUWDCVSURVTWAWBURWCWIUWBUVQU
      WCUVOYOYQWJWKZWLWMWNUVQUVSUUGHYNUVQUVSUVHUUGUVQUVSUVHUUGUCUVQUVSWOZYSCSZU
      UNVIZGUDUFZUUGUVHUWLUWNUUFGUDUWLYSUDUIZUWNUUFUWLUWPUWNWOZWOZUUEBUDUWRUVJU
      UAUUDUWRUVJUUAWOZWOZUUDUVRUUBLOZUWTUVRUWMUUBUWLUWCUWQUWSUVQUWCUVSUWKWPWQU
      WQUWMKUIZUWLUWSUWPUXBUWNUDKYSCDWRWPWSUVJUUBKUIZUWRUUAUDKYTCDWRZWTUWRUVRUW
      MLOZUWSUVSUWNUXEUVQUWPUWNUXEUVSUWMUUNUVRLXAXBXCWPUWQUWSUWMUUBROZUWLUWPUWS
      UXFUWNUWPUVJUUAUXFBYSYTCDEXDXEXFXGXHUWLUWSUUDUXAUJZUWQUVQUVJUXGUVSUUAUVQU
      VJWOUUDYOUUBTUAZYQLOZUXAUVJUUDUXIUJUVQUVJUUCUXHYQLUVJUUCUXHUBSZUXHUVJUXCU
      UBUGUIZUUCUXJVIZUXDUUBXIUXKUUJUXLUVPUUBYOXJWHXKUXHKUIZPUXHROZUXJUXHVIUVJU
      XHXLUVJUWBUXCWOUXMUVJUXCUWBUXDUVOXMYOUUBWJXNUVJUXNUUBYOROZUVJUUBYNUIZUXOU
      VLUVJUXPUVMUDYTCXOWKAHYNUUBUVNXPXNUVJUXCUXNUXOUJZUXDUWBUXCUXQUVOYOUUBXQWK
      XNXRXSXTYAYBUVQUXCUXAUXIUJZUVJUWBUVQUXCUXRUVOYOYQUUBYCYDUXDYEYFYGXFXRYHWA
      YHYIUVLUVHUWOUJUVMGUDUUNCVSURVTWMYJYKYLYM $.
      $( [12-Jun-2006] $) $( [13-Mar-2005] $)
  $}

  ${
    $( MAY BE REVISED - 3rd hyp is theoretically unnecessary $)
    $d x y z w v F $.  $d y z w v A $.  $( y z w A could be eliminated $)
    climcau.1 $e |- A e. V $.
    climcau.2 $e |- F ~~> A $.
    climcau.3 $e |- F : NN --> CC $.
    $( A converging sequence of complex numbers is a Cauchy sequence.
       Theorem 12-5.3 of [Gleason] p. 180 (necessity part). $)
    climcau $p |- A. x e. RR ( 0 < x -> E. y e. NN A. z e. NN ( y < z ->
                      ( abs ` ( ( F ` z ) - ( F ` y ) ) ) < x ) ) $=
      ( vv vw cc0 cv clt wbr cfv cmin co cabs wi cn wral wrex cr wcel cle c2
      cdiv halfpos2t rehalfclt wceq breq2 imbi2d rexralbidv imbi12d cli cvv wa
      c1 1z cuz nnuz eqimss2i nnssz clmi2 mpanl1 exp32 r19.21aiv ax-mp vtoclri
      syl sylbid caddc ltlet nnret syl2an adantrl fveq2 opreq1d fveq2d breq1d
      rcla4cva adantl syld imp cc ffvelrni climcl mp2an abssubt mpan adantr
      leidt rcla4v mpid eqbrtrd adantrr jca adantlll lt2addt subclt mpan2
      absclt ad2antlr ad2antrr syl2anc mpd recnt 2halvest breqtrd ex npncant
      mp3an2 abstrit eqbrtrrd adantll lelttrt axaddrcl simpll syl3anc mpand
      an1rs r19.21adv r19.22dva rgen ) KALZMNZBLZCLZMNZYHEOZYGEOZPQZROZYEMNZSZC
      TUAZBTUBZSAUCYEUCUDZYFYGILZUENZYSEOZDPQZROZYEUFUGQZMNZSZITUAZBTUBZYQYRYFK
      UUDMNZUUHYEUHYRUUDUCUDZUUIUUHSZYEUIZKJLZMNZYTUUCUUMMNZSZITUABTUBZSZUUKJUU
      DUCUUMUUDUJZUUNUUIUUQUUHUUMUUDKMUKUUSUUPUUFBITTUUSUUOUUEYTUUMUUDUUCMUKULU
      MUNEDUONZUURJUCUAGUUTUURJUCUUTUUMUCUDZUUNUUQDUPUDZUUTUVAUUNUQUUQFDUUMUPBI
      EURTTUSTURUTOVAVBVCVDVEVFVGVHVIVJVKYRUUGYPBTYRYGTUDZUQZUUGYOCTUVDUUGYHTUD
      ZYOUVDUUGUVEUQZUQZYIYJDPQZROZDYKPQZROZVLQZYEMNZYNUVGYIUVMUVGYIUQZUVLUUDUU
      DVLQZYEMUVNUVIUUDMNZUVKUUDMNZUQZUVLUVOMNZUVCUVFYIUVRYRUVCUVFUQZYIUQUVPUVQ
      UVTYIUVPUVTYIYGYHUENZUVPUVCUVEYIUWASZUUGYGUCUDZYHUCUDUWBUVCUVEYGYHVMYGVNZ
      YHVNVOVPUVFUWAUVPSZUVCUUFUWEIYHTYSYHUJZYTUWAUUEUVPYSYHYGUEUKUWFUUCUVIUUDM
      UWFUUBUVHRUWFUUAYJDPYSYHEVQVRVSVTUNWAWBWCWDUVTUVQYIUVCUUGUVQUVEUVCUUGUQUV
      KYKDPQZROZUUDMUVCUVKUWHUJZUUGUVCYKWEUDZUWITWEYGEHWFZDWEUDZUWJUWIUVBUUTUWL
      FGDUPEWGWHZDYKWIWJVJWKUVCUUGUWHUUDMNZUVCUUGYGYGUENZUWNUVCUWCUWOUWDYGWLVJU
      UFUWOUWNSIYGTYSYGUJZYTUWOUUEUWNYSYGYGUEUKUWPUUCUWHUUDMUWPUUBUWGRUWPUUAYKD
      PYSYGEVQVRVSVTUNWMWNWDWOWPWKWQWRUVGUVRUVSSZYIUVDUVEUWQUUGUVIUCUDZUVKUCUDZ
      UUJUUJUWQUVDUVEUQUVIUVKUUDUUDWSUVEUWRUVDUVEUVHWEUDZUWRUVEYJWEUDZUWTTWEYHE
      HWFZUXAUWLUWTUWMYJDWTXAVJZUVHXBVJZWBUVCUWSYRUVEUVCUVJWEUDZUWSUVCUWJUXEUWK
      UWLUWJUXEUWMDYKWTWJVJZUVJXBVJZXCYRUUJUVCUVEUULXDZUXHXEVPWKXFUVDUVOYEUJZUV
      FYIYRUXIUVCYRYEWEUDUXIYEXGYEXHVJWKXDXIXJUVDUVEUVMYNSZUUGYRUVEUVCUXJYRUVEU
      QUVCUQZYMUVLUENZUVMYNUVEUVCUXLYRUVEUVCUQZUVHUVJVLQZROZYMUVLUEUXMUXNYLRUXA
      UWJUXNYLUJZUVEUVCUXAUWLUWJUXPUWMYJDYKXKXLUXBUWKVOVSUWTUXEUXOUVLUENUVEUVCU
      VHUVJXMUXCUXFVOXNXOYMUCUDZUVLUCUDZYRUXLUVMUQYNSUXKYMUVLYEXPUVEUVCUXQYRUXM
      YLWEUDZUXQUXAUWJUXSUVEUVCYJYKWTUXBUWKVOYLXBVJXOUVEUVCUXRYRUWRUWSUXRUVEUVC
      UVIUVKXQUXDUXGVOXOYRUVEUVCXRXSXTYAVPWCVFYBYCWCYD $.
      $( [8-Jun-2006] $) $( [16-Apr-2005] $)
  $}

  ${
    $d x y z w u v t f F $.  $d x z w t f S $.
    caucvg.1 $e |- F : NN --> RR $.
    caucvg.2 $e |- A. z e. RR ( 0 < z -> E. w e. NN A. y e. NN ( w < y ->
                      ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < z ) ) $.
    caucvg.3 $e |- S = { u e. RR | E. v e. NN A. y e. NN (
                      v <_ y -> u < ( F ` y ) ) } $.
    ${
        $d y v u A $.
      $( Lemma for ~ caucvg .  This lemma shows the membership relation for
         ` S ` . $)
      caucvglem1 $p |- ( A e. S <-> ( A e. RR /\ E. v e. NN A. y e. NN (
                        v <_ y -> A < ( F ` y ) ) ) ) $=
        ( cv cle wbr cfv clt wi cn wral wrex cr wceq breq1 imbi2d rexralbidv
        elrab2 ) DLALZMNZELZUGHOZPNZQZARSDRTUHFUJPNZQZARSDRTEFUAGUIFUBZULUNDARR
        UOUKUMUHUIFUJPUCUDUEKUF $.
        $( [12-May-2005] $) $( [6-Apr-2005] $)
    $}

    $( Lemma for ~ caucvg .  ` S ` is a nonempty bounded subset of
       ` RR ` . $)
    caucvglem2 $p |- ( S (_ RR /\ S =/= (/) /\ E. x e. RR A. f e. S f <_ x ) $=
      ( cr wss c0 wne cv cle wbr wral wrex cfv clt wi cn crab ssrab2 eqsstr
      cabs wf cc axresscn fss mp2an caubnd wcel cneg wa c1 absltt pm3.26
      syl6bi ffvelrni sylan ancoms a1dd r19.20dva 1nn a1i jctild wceq breq1
      imbi1d ralbidv rcla4ev syl6 renegclt caucvglem1 syl6ibr ne0i r19.23aiv
      ax-mp w3a nnret leidt syl breq2 fveq2 breq2d imbi12d rcla4v mpid adantr
      fveq2d breq1d wb pm3.27 syld anim12d 3adant1 axlttrn syl3an2 ltlet
      3adant2 exp3a 3exp com34 r19.23adv imp sylbi com3l r19.21adv r19.22i
      3pm3.2i ) GMNGOPZHQZAQZRSZHGTZAMUAZGEQZBQZRSZFQYBIUBZUCSUDBUETEUEUAZFMUFM
      LYEFMUGUHYDUIUBZXQUCSZBUETZAMUAZXOABCDIUEMIUJMUKNUEUKIUJJULUEMUKIUMUNKUOZ
      YHXOAMXQMUPZYHXQUQZGUPZXOYKYHYLMUPZYCYLYDUCSZUDZBUETZEUEUAZURYMYKYHYRYNYK
      YHUSUEUPZUSYBRSZYOUDZBUETZURYRYKYHUUBYSYKYGUUABUEYKYBUEUPZURYGYOYTUUCYKYG
      YOUDZYDMUPZYKUUDUUCUUEYKURYGYOYDXQUCSZURYOYDXQUTYOUUFVAVBUEMYBIJVCVDVEVFV
      GYSYKVHVIVJYQUUBEUSUEYAUSVKZYPUUABUEUUGYCYTYOYAUSYBRVLVMVNVOVPXQVQVJBCDEF
      YLGIJKLVRVSGYLVTVPWAWBYIXTYJYHXSAMYKYHXRHGXPGUPZYKYHXRUUHXPMUPZYCXPYDUCSZ
      UDZBUETZEUEUAZURYKYHXRUDZUDZBCDEFXPGIJKLVRUUIUUMUUOUUIUULUUOEUEUUIYAUEUPZ
      YKUULUUNUUIUUPYKUULUUNUDUUIUUPYKWCZUULYHXRUUQUULYHURZXPYAIUBZUCSZUUSXQUCS
      ZURZXRUUPYKUURUVBUDUUIUUPYKURZUULUUTYHUVAUUPUULUUTUDYKUUPUULYAYARSZUUTUUP
      YAMUPUVDYAWDYAWEWFUUKUVDUUTUDBYAUEYBYAVKZYCUVDUUJUUTYBYAYARWGUVEYDUUSXPUC
      YBYAIWHZWIWJWKWLWMUVCYHUUSUIUBZXQUCSZUVAUUPYHUVHUDYKYGUVHBYAUEUVEYFUVGXQU
      CUVEYDUUSUIUVFWNWOWKWMUVCUVHYLUUSUCSZUVAURZUVAUUSMUPZYKUVHUVJWPUUPUUSXQUT
      UEMYAIJVCZVDUVIUVAWQVBWRWSWTUUQUVBXPXQUCSZXRUUIUVKYKUVBUVMUDUUPXPUUSXQXAU
      VLXBUUIYKUVMXRUDUUPXPXQXCXDWRWRXEXFXGXHXIXJXKXLXMWBXN $.
      $( [18-Jun-2007] $) $( [6-Apr-2005] $)

    $( Lemma for ~ caucvg .  The supremum of ` S ` is a real number. $)
    caucvglem3 $p |- sup ( S , RR , < ) e. RR $=
      ( vx vf caucvglem2 suprcli ) KLFKABCDEFLGHIJMN $.
      $( [12-May-2005] $) $( [6-Apr-2005] $)

    ${
      $d y v u t A $.
      $( Lemma for ~ caucvg .  Anything less that the supremum of ` S `
         belongs to ` S ` . $)
      caucvglem4 $p |- ( A e. RR -> ( A < sup ( S , RR , < ) -> A e. S ) ) $=
        ( vt vx vf cr wcel clt csup wbr cv wrex caucvglem2 suprlubi ex wi wa
        cle cfv cn wral w3a axlttrn ffvelrni syl3an3 exp3a 3exp com3l com4t
        imp41 imim2d r19.20dva r19.22sdv imp3a pm3.26 jctild caucvglem1
        3imtr4g com23 r19.23adv syld ) FOPZFGOQRQSZFLTZQSZLGUAZFGPZVKVLVOMNLGFM
        ABCDEGNHIJKUBUCUDVKVNVPLGVKVNVMGPZVPVKVNVQVPUEVKVNUFZVMOPZDTATZUGSZVMVT
        HUHZQSZUEZAUIUJZDUIUAZUFZVKWAFWBQSZUEZAUIUJZDUIUAZUFVQVPVRWGWKVKVRVSWFW
        KVRVSWFWKUEVRVSUFZWEWJDUIWLWDWIAUIWLVTUIPZUFWCWHWAVKVNVSWMWCWHUEZVSWMVK
        VNWNVKVSWMVNWNUEZVKVSWMWOVKVSWMUKVNWCWHVKVSWBOPVNWCUFWHUEWMFVMWBULUIOVT
        HIUMUNUOUPUQURUSUTVAVBUDVCVKVNVDVEABCDEVMGHIJKVFABCDEFGHIJKVFVGUDVHVIVJ
        $.
        $( [13-May-2005] $) $( [6-Apr-2005] $)
    $}

    $( Lemma for ~ caucvg . $)
    caucvglem5 $p |- ( ( x e. RR /\ w e. NN ) -> ( A. y e. NN
      ( w < y -> ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < ( x / 2 ) ) ->
      -u ( x / 2 ) <_ ( sup ( S , RR , < ) - ( F ` w ) ) ) ) $=
      ( vf cv c2 cdiv co cr wcel cn clt wbr cfv cmin cabs wi wral cneg csup
      cle wa caddc wrex c1 nnltp1let biimprd adantll w3a absltt pm3.26 syl6bi
      resubclt sylan 3impa 3com13 wb ltaddsubt renegclt syl3an1 sylibrd
      ffvelrni syl3an2 syl3an3 3expa imim12d r19.20dva peano2nn adantl jctild
      wceq breq1 imbi1d ralbidv rcla4ev syl6 axaddrcl syl2an caucvglem1
      caucvglem2 suprubi sylbir caucvglem3 leaddsubt mp3an3 sylibd rehalfclt )
      AMZNOPZQRZDMZSRZWSBMZTUAZXAHUBZWSHUBZUCPZUDUBWQTUAZUEZBSUFZWQUGZGQTUHZXDU
      CPUIUAZUEWPQRWRWTUJZXHXIXDUKPZXJUIUAZXKXLXHXMQRZEMZXAUIUAZXMXCTUAZUEZBSUF
      ZESULZUJZXNXLXHYAXOXLXHWSUMUKPZSRZYCXAUIUAZXRUEZBSUFZUJYAXLXHYGYDXLXGYFBS
      XLXASRZUJYEXBXFXRWTYHYEXBUEWRWTYHUJXBYEWSXAUNUOUPWRWTYHXFXRUEZWRWTXCQRZYI
      YHWRXDQRZYJYIWTWRYKYJUQXFXIXETUAZXRYJYKWRXFYLUEZYJYKWRYMXEQRZWRYMYJYKUJYN
      WRUJXFYLXEWQTUAZUJYLXEWQURYLYOUSUTXCXDVAVBVCVDXIQRZYKYJXRYLVEWRXIXDXCVFWQ
      VGZVHVISQWSHIVJZVKSQXAHIVJVLVMVNVOWTYDWRWSVPVQVRXTYGEYCSXPYCVSZXSYFBSYSXQ
      YEXRXPYCXAUIVTWAWBWCWDYPYKXOWRWTXIXDWEYQYRWFVRYBXMGRXNBCDEFXMGHIJKWGALGXM
      ABCDEFGLHIJKWHWIWJWDYPYKXNXKVEZWRWTYPYKXJQRYTBCDEFGHIJKWKXIXDXJWLWMYQYRWF
      WNWPWOVB $.
      $( [13-May-2005] $) $( [8-Apr-2005] $)

    $( Lemma for ~ caucvg . $)
    caucvglem6 $p |- ( ( x e. RR /\ w e. NN ) -> ( A. y e. NN
      ( w < y -> ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < ( x / 2 ) ) ->
      ( sup ( S , RR , < ) - ( F ` w ) ) <_ ( x / 2 ) ) ) $=
      ( cv c2 cdiv co cr wcel cn clt wbr cfv cmin cabs wi wral csup cle wa
      caddc wn wrex breq2 rcla4ev nnaddclt nnret syl leidt sylanc adantll
      ax-17 hbra1 hbn hbim cc0 nngt0t adantl wb ltaddpost ancoms syl2an mpbid
      ltletrt ad2antrl pm3.26 syl3anc mpand sylan adantrl cneg absltt pm3.27
      syl6bi resubclt sylan2 an1s ltsubaddt 3com23 3expb sylibd ltnsymt
      axaddrcl syld ffvelrni sylanr2 adantrrr imim12d ex com23 a2i imp4d com12
      ra4 syl5 adantr ltaddpos2t ad2antlr ltlet imim1d adantrll nsyld exp32
      r19.23ad anassrs mpd imp an1rs nrexdv caucvglem4 caucvglem1 pm3.27bi
      syl6 con3d caucvglem3 lenltt mpan sylibrd lesubaddt mp3an1 rehalfclt ) AL
      ZMNOZPQZDLZRQZYMBLZSTZYOHUAZYMHUAZUBOZUCUAYKSTZUDZBRUEZGPSUFZYRUBOYKUGTZU
      DYJPQYLYNUHZUUBUUCYKYRUIOZUGTZUUDUUEUUBUUFUUCSTZUJZUUGUUEUUBELZYOUGTZUUFY
      QSTZUDZBRUEZERUKZUJZUUIUUEUUBUUPUUEUUBUHUUNERUUEUUJRQZUUBUUNUJZUUEUUQUHZU
      UBUURUUSYMUUJUIOZYOUGTZBRUKZUUBUURUDZYNUUQUVBYLUUTRQZUUTUUTUGTZUVBYNUUQUH
      ZUVAUVEBUUTRYOUUTUUTUGULUMYMUUJUNZUVFUUTPQZUVEUVFUVDUVHUVGUUTUOUPZUUTUQUP
      URUSYLYNUUQUVBUVCUDYLUVFUHZUVAUVCBRUVJBUTUUBUURBUUABRVAUUNBUUMBRVAVBVCYOR
      QZUVJUVAUVCUDUVKUVJUVAUVCUVKUVJUVAUHUHZUUBUULUUNUVLUVKUUAUDZUULUJZUUBUVMU
      VLUVNUVMUVKUVJUVAUVNUVKUUAUVJUVAUVNUDZUDUVKUVJUUAUVOUVKUVJUUAUVOUDUVKUVJU
      HUVAYPYTUVNUVKUVFUVAYPUDZYLYOPQZUVFUVPUVKUVQUVFUHZYMUUTSTZUVAYPUVFUVSUVQU
      VFVDUUJSTZUVSUUQUVTYNUUJVEVFYMPQZUUJPQZUVTUVSVGZYNUUQUWBUWAUWCUUJYMVHVIYM
      UOZUUJUOZVJVKVFUWAUVHUVQUVSUVAUHYPUDUVRYMUUTYOVLYNUWAUVQUUQUWDVMUVFUVHUVQ
      UVIVFUVQUVFVNVOVPYOUOZVQVRUVKYLYNYTUVNUDZUUQUVKYLYRPQZUWGYNYQPQZYLUWHUHZU
      WGUVKUWIUWJUHZYTYQUUFSTZUVNUWKYTYSYKSTZUWLYLUWIUWHYTUWMUDZYLYSPQZUWNUWIUW
      HUHUWOYLUWNUWOYLUHYTYKVSYSSTZUWMUHUWMYSYKVTUWPUWMWAWBVIYQYRWCWDWEUWIYLUWH
      UWMUWLVGZUWIUWHYLUWQYQYRYKWFWGWHWIUWIUUFPQZUWLUVNUDUWJYQUUFWJYKYRWKZWDWLR
      PYOHIWMVQRPYMHIWMZWNWOWPWQWRWSWTXAUUABRXBXCUVKUVFUVAUUNUULUDYLUVKUVFUVAUH
      UHZUVKUUMUDZUULUUNUXBUXAUULUXBUVKUVFUVAUULUVKUUMUVFUVAUULUDZUDUVKUVFUUMUX
      CUVKUVFUUMUXCUDUVKUVFUHUVAUUKUULUVFUVKUVAUUKUDZUVFUVQUXDUVKUVFUVQUHZUVAUU
      JYOSTZUUKUXEUUJUUTSTZUVAUXFUVFUXGUVQUVFVDYMSTZUXGYNUXHUUQYMVEXDUWAUWBUXHU
      XGVGYNUUQYMUUJXEUWDUWEVJVKXDUWBUVHUVQUXGUVAUHUXFUDUXEUUJUUTYOVLUUQUWBYNUV
      QUWEXFUVFUVHUVQUVIXDUVFUVQWAVOVPUUQUVQUXFUUKUDZYNUWBUVQUXIUUQUUJYOXGUWEVQ
      USWLUWFWDVIXHWQWRWSWTXAUUMBRXBXCXIXJXKXAXLXMXNXOXPXQWQUUEUWRUUPUUIUDYLUWH
      UWRYNUWSUWTWDZUWRUUHUUOUWRUUHUUFGQZUUOBCDEFUUFGHIJKXRUXKUWRUUOBCDEFUUFGHI
      JKXSXTYAYBUPWLUUEUWRUUGUUIVGZUXJUUCPQZUWRUXLBCDEFGHIJKYCZUUCUUFYDYEUPYFYN
      YLUUDUUGVGZUWHYLUXOYNUXMUWHYLUXOUXNUUCYRYKYGYHUWTVQVIYFYJYIVQ $.
      $( [13-May-2005] $) $( [8-Apr-2005] $)

    $( A Cauchy sequence of real numbers converges.  The second hypothesis
       specifies that ` F ` is a Cauchy sequence.  ` S ` is the set of numbers
       less than all values of ` F ` except for finitely many.  Reference:
       Bert G. Wachsmuth,
       ~ http://www.shu.edu/projects/reals/numseq/proofs/cauconv.html .
       _Request: Please contact Norm Megill if you know of a textbook
       reference for the version of the proof in the link above_.
       _Warning:  The HTML proof page is 1/2 megabyte in size_. $)
    caucvg $p |- F ~~> sup ( S , RR , < ) $=
      ( vx vt cr clt csup cli wbr cc0 cv cle cfv cmin co cabs wi cn wral wrex
      c2 cdiv wcel wceq breq2 imbi2d rexralbidv imbi12d rcla4cv wa wb biimt
      impexp syl6bb rehalfclt adantr halfpos2t biimpa sylanc caddc cneg
      caucvglem5 caucvglem6 jcad abslet ffvelrni caucvglem3 resubclt mpan syl
      adantl sylibrd leadd1t cc recnd absclt ad2antlr ad2antrr syl2an ancoms
      adantll syl3anc sylibd recn npncant mp3an1 fveq2d abstrit eqbrtrrd
      abssubt opreq2d 3brtr3d letrt mpan2 axaddrcl anassrs mpand syld adantrl
      fveq2 opreq1d breq1d rcla4v com3r imp ltadd2t recnt 2halvest breq2d
      bitrd lelttrt simpll exp32 com24 r19.21adv r19.22dva sylbird com12 exp3a
      r19.21aiv ax-mp c1 nnuz cvg1 imbi2i ralbii mpbi wf wss axresscn fss
      mp2an climfnn mpbir ) GFMNOZPQZRKSZNQZCSZLSZTQUUHGUAZUUCUBUCZUDUAZUUENQZU
      ELUFUGCUFUHZUEZKMUGZUUFUUGUUHNQZUULUEZLUFUGZCUFUHZUEZKMUGZUUORBSZNQZUUGAS
      ZNQZUVDGUAZUUGGUAZUBUCZUDUAZUVBNQZUEZAUFUGCUFUHZUEZBMUGZUVAIUVNUUTKMUVNUU
      EUIUJUCZMUKZRUVONQZUVEUVIUVONQZUEZAUFUGZCUFUHZUEZUEZUUEMUKZUUTUEUVMUWBBUV
      OMUVBUVOULZUVCUVQUVLUWAUVBUVORNUMUWEUVKUVSCAUFUFUWEUVJUVRUVEUVBUVOUVINUMU
      NUOUPUQUWCUWDUUFUUSUWDUUFURZUWCUUSUWFUWCUWAUUSUVPUVQUWAUWCUSUWFUVPUVQURZU
      WAUWGUWAUEUWCUWGUWAUTUVPUVQUWAVAVBUWDUVPUUFUUEVCZVDUWDUUFUVQUUEVEVFVGUWDU
      WAUUSUEUUFUWDUVTUURCUFUWDUUGUFUKZURZUVTUUQLUFUWJUUPUUHUFUKZUVTUULUWJUUPUW
      KUVTUULUEUWJUUPUWKURZURZUVTUUKUVOUUIUVGUBUCZUDUAZVHUCZTQZUWPUUENQZURZUULU
      WMUVTUWQUWRUWJUWKUVTUWQUEUUPUWJUWKURZUVTUUCUVGUBUCZUDUAZUWOVHUCZUWPTQZUWQ
      UWTUVTUXBUVOTQZUXDUWJUVTUXEUEUWKUWJUVTUVOVIUXATQZUXAUVOTQZURZUXEUWJUVTUXF
      UXGKABCDEFGHIJVJKABCDEFGHIJVKVLUXAMUKZUVPUXEUXHUSUWJUXAUVOVMUWIUXIUWDUWIU
      VGMUKZUXIUFMUUGGHVNZUUCMUKZUXJUXIABCDEFGHIJVOZUUCUVGVPVQVRZVSUWDUVPUWIUWH
      VDVGVTVDUXBMUKZUVPUWOMUKZUXEUXDUSUWTUXBUVOUWOWAUWIUXOUWDUWKUWIUXAWBUKZUXO
      UWIUXAUXNWCZUXAWDVRZWEUWDUVPUWIUWKUWHWFZUWIUWKUXPUWDUWIUWKURZUWNWBUKUXPUY
      AUWNUWKUWIUWNMUKZUUIMUKZUXJUYBUWKUWIUUIUVGVPUFMUUHGHVNZUXKWGWHWCUWNWDVRZW
      IZWJWKUWTUUKUXCTQZUXDUWQUWIUWKUYGUWDUYAUUCUUIUBUCZUDUAZUXBUVGUUIUBUCZUDUA
      ZVHUCZUUKUXCTUYAUXAUYJVHUCZUDUAZUYIUYLTUYAUYMUYHUDUVGWBUKZUUIWBUKZUYMUYHU
      LZUWIUWKUUCWBUKZUYOUYPUYQUUCUXMWLZUUCUVGUUIWMWNUWIUVGUXKWCZUWKUUIUYDWCZWG
      WOUXQUYJWBUKUYNUYLTQUYAUXAUYJWPUWIUXQUWKUXRVDUYAUYJUXJUYCUYJMUKUWIUWKUVGU
      UIVPUXKUYDWGWCVGWQUWKUYIUUKULZUWIUWKUYPVUBVUAUYRUYPVUBUYSUUCUUIWRVQVRVSUY
      AUYKUWOUXBVHUYOUYPUYKUWOULUWIUWKUVGUUIWRUYTVUAWGWSWTWIUUKMUKZUXCMUKZUWPMU
      KZUYGUXDURUWQUEUWTUUKUXCUWPXAUWKVUCUWJUWKUUJWBUKVUCUWKUUJUWKUYCUUJMUKZUYD
      UYCUXLVUFUXMUUIUUCVPXBVRWCUUJWDVRVSZUWIUWKVUDUWDUXOUXPVUDUYAUXBUWOXCUWIUX
      OUWKUXSVDUYEVGWIUWDUWIUWKVUEUVPUXPVUEUWDUYAUVOUWOXCUWHUYEWGXDZWJXEXFXGUWM
      UVTUWOUVONQZUWRUWLUVTVUIUEZUWJUUPUWKVUJUWKUVTUUPVUIUVSUUPVUIUEAUUHUFUVDUU
      HULZUVEUUPUVRVUIUVDUUHUUGNUMVUKUVIUWOUVONVUKUVHUWNUDVUKUVFUUIUVGUBUVDUUHG
      XHXIWOXJUPXKXLXMVSUWMVUIUWPUVOUVOVHUCZNQZUWRUWJUWKVUIVUMUSZUUPUXPUVPUVPVU
      NUWTUWOUVOUVOXNUYFUXTUXTWJXGUWMVULUUEUWPNUWDVULUUEULZUWIUWLUWDUUEWBUKVUOU
      UEXOUUEXPVRWFXQXRWKVLUWJUWKUWSUULUEZUUPVUCVUEUWDVUPUWTUUKUWPUUEXSVUGVUHUW
      DUWIUWKXTWJXGXFYAYBYCYDVDYEYFYGVRYHYIUUTUUNKMUUSUUMUUFUULCLYJUFYKYLYMYNYO
      UFWBGYPZUYRUUDUUOUSUFMGYPMWBYQVUQHYRUFMWBGYSYTUYSKUUCCLGUUAYTUUB $.
      $( [6-Jun-2006] $) $( [4-Apr-2005] $)
  $}

  ${
    $d x v u F $.  $d x y z w v u G $.  $d x y z w v u H $.  $d x u v D $.
    $d x z w R $.  $d z w S $.
    caucvg3a.1 $e |- F : NN --> CC $.
    caucvg3a.2 $e |- A. z e. RR ( 0 < z -> E. w e. NN A. y e. NN ( w < y ->
                      ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < z ) ) $.
    caucvg3a.3 $e |- G Fn NN $.
    caucvg3a.4 $e |- ( x e. NN -> ( G ` x ) = ( Re ` ( F ` x ) ) ) $.
    caucvg3a.4a $e |- R = { u e. RR | E. v e. NN A. y e. NN (
                      v <_ y -> u < ( G ` y ) ) } $.
    caucvg3a.5 $e |- H Fn NN $.
    caucvg3a.6 $e |- ( x e. NN -> ( H ` x ) = ( Im ` ( F ` x ) ) ) $.
    caucvg3a.6a $e |- S = { u e. RR | E. v e. NN A. y e. NN (
                      v <_ y -> u < ( H ` y ) ) } $.
    caucvg3a.7 $e |- D Fn NN $.
    caucvg3a.8 $e |- ( x e. NN -> ( D ` x ) = ( i x. ( H ` x ) ) ) $.
    $( A Cauchy sequence of complex numbers converges to a complex number.
       Theorem 12-5.3 of [Gleason] p. 180 (sufficiency part).  This version
       shows the explicit value of the limit (which is why we need all the
       hypotheses) rather than just its existence. $)
    caucvg3a $p |- F ~~>
                   ( sup ( R , RR , < ) + ( i x. sup ( S , RR , < ) ) ) $=
      ( cr clt csup cli wbr ci cmul co wa c1 cz wcel cv cfv cc caddc wceq w3a
      cuz wral cn wf wfn ffnfv cre ffvelrni reclt syl eqeltrd rgen mpbir2an
      caure caucvg axicn ltso supex cim imclt cauim recnd jca climmulc pm3.2i
      1z elnnuz axmulcl mpan replimt opreq2d eqtrd opreq12d eqtr4d 3jca sylbir
      cvv nnex fnex mp2an fex oprex climadd ) KHUCUDUEZUFUGZGUHIUCUDUEZUIUJZUFU
      GZUKULUMUNZAUOZKUPZUQUNZXJGUPZUQUNZXJJUPZXKXMURUJZUSZUTZAULVAUPZVBZUKJXDX
      GURUJUFUGXEXHBCDEFHKVCUCKVDKVCVEZXKUCUNZAVCVBAVCUCKVFOYBAVCXJVCUNZXKXOVGU
      PZUCPYCXOUQUNZYDUCUNVCUQXJJMVHZXOVIVJZVKVLVMABCDJKMNOPVNQVOUHXFALGVPUCIUD
      VQVRBCDEFILVCUCLVDLVCVEXJLUPZUCUNZAVCVBAVCUCLVFRYIAVCYCYHXOVSUPZUCSYCYEYJ
      UCUNYFXOVTVJVKZVLVMABCDJLMNRSWATVOUAYCYHUQUNZXMUHYHUIUJZUSYCYHYKWBZUBWCWD
      WEXIXTWFXRAXSXJXSUNYCXRXJWGYCXLXNXQYCXKYDUQPYCYDYGWBVKYCXMYMUQUBYCYLYMUQU
      NZYNUHUQUNYLYOVPUHYHWHWIVJVKYCXOYDUHYJUIUJZURUJZXPYCYEXOYQUSYFXOWJVJYCXKY
      DXMYPURPYCXMYMYPUBYCYHYJUHUISWKWLWMWNWOWPVLWEXDXGAKGJULYAVCWQUNZKWQUNOWRV
      CWQKWSWTGVCVEYRGWQUNUAWRVCWQGWSWTVCUQJVDYRJWQUNMWRVCUQWQJXAWTUCHUDVQVRUHX
      FUIXBXCWT $.
      $( [25-Jul-2008] $) $( [20-Apr-2005] $)
  $}

  ${
    $d x y z w u v F $.
    caucvg2.1 $e |- F : NN --> RR $.
    caucvg2.2 $e |- A. z e. RR ( 0 < z -> E. w e. NN A. y e. NN ( w < y ->
                      ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < z ) ) $.
    $( A Cauchy sequence of real numbers converges to a real number. $)
    caucvg2 $p |- E. x e. RR F ~~> x $=
      ( vv vu cv cle wbr cfv clt wi cn wral wrex cr crab csup wcel cli eqid
      caucvglem3 caucvg breq2 rcla4ev mp2an ) HJBJZKLIJUJEMNLOBPQHPRISTZSNUAZSU
      BEULUCLZEAJZUCLZASRBCDHIUKEFGUKUDZUEBCDHIUKEFGUPUFUOUMAULSUNULEUCUGUHUI
      $.
      $( [9-Dec-2006] $) $( [11-Apr-2005] $)
  $}

  ${
    $d x u v F $.  $d x y z w u v G $.  $d x y z w t H $.  $d x u v t R $.
    caucvg3lem.1 $e |- F : NN --> CC $.
    caucvg3lem.2 $e |- A. z e. RR ( 0 < z -> E. w e. NN A. y e. NN ( w < y ->
                      ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < z ) ) $.
    caucvg3lem.3 $e |- G Fn NN $.
    caucvg3lem.4 $e |- ( x e. NN -> ( G ` x ) = ( Re ` ( F ` x ) ) ) $.
    caucvg3lem.5 $e |- H Fn NN $.
    caucvg3lem.6 $e |- ( x e. NN -> ( H ` x ) = ( Im ` ( F ` x ) ) ) $.
    caucvg3lem.7 $e |- R Fn NN $.
    caucvg3lem.8 $e |- ( x e. NN -> ( R ` x ) = ( i x. ( H ` x ) ) ) $.
    $( Lemma for ~ caucvg3 . $)
    caucvg3lem $p |- E. x e. CC F ~~> x $=
      ( vv vu vt cv cli wbr cr wrex cc cn wf wfn cfv wcel wral ffnfv cre
      ffvelrni reclt syl eqeltrd rgen mpbir2an caure caucvg2 cim imclt cauim
      wi ci cmul co axicn wa c1 cz wceq cuz 1z elnnuz recnd jca sylbir pm3.2i
      cvv nnex fnex mp2an visset climmulc2 mpan2 mpan oprex climcl breq2
      rcla4ev mpancom a1i r19.23aiv ax-mp caddc w3a axmulcl replimt opreq2d
      eqtrd opreq12d eqtr4d 3jca fex climadd ex a1d r19.23adv mp2 ) GQTZUAUBZQU
      CUDERTZUAUBZRUEUDZFATZUAUBZAUEUDZQBCDGUFUCGUGGUFUHZXQGUIZUCUJZAUFUKAUFUCG
      ULKYBAUFXQUFUJZYAXQFUIZUMUIZUCLYCYDUEUJZYEUCUJUFUEXQFIUNZYDUOUPUQZURUSABC
      DFGIJKLUTVAHSTZUAUBZSUCUDXPSBCDHUFUCHUGHUFUHZXQHUIZUCUJZAUFUKAUFUCHULMYMA
      UFYCYLYDVBUIZUCNYCYFYNUCUJYGYDVCUPUQZURUSABCDFHIJMNVDVAYJXPSUCYJXPVEYIUCU
      JYJEVFYIVGVHZUAUBZXPVFUEUJZYJYQVIYRYJVJVKVLUJZYLUEUJZXQEUIZVFYLVGVHZVMZVJ
      ZAVKVNUIZUKZVJYQYSUUFVOUUDAUUEXQUUEUJZYCUUDXQVPZYCYTUUCYCYLYOVQZPVRVSURVT
      YIVFAHEVKYKUFWAUJZHWAUJMWBUFWAHWCWDEUFUHUUJEWAUJOWBUFWAEWCWDZSWEWFWGWHYPU
      EUJZYQXPYPWAUJYQUULVFYIVGWIYPWAEWJWHXOYQRYPUEXNYPEUAWKWLWMUPWNWOWPXMXPXSV
      EZQUCXMUUMVEXLUCUJXMXOXSRUEXMXOXSVEXNUEUJXMXOXSXMXOVJZFXLXNWQVHZUAUBZXSUU
      NYSYAUEUJZUUAUEUJZYDYAUUAWQVHZVMZWRZAUUEUKZVJUUPYSUVBVOUVAAUUEUUGYCUVAUUH
      YCUUQUURUUTYCYAYHVQYCUUAUUBUEPYCYTUUBUEUJZUUIYRYTUVCVIVFYLWSWHUPUQYCYDYEV
      FYNVGVHZWQVHZUUSYCYFYDUVEVMYGYDWTUPYCYAYEUUAUVDWQLYCUUAUUBUVDPYCYLYNVFVGN
      XAXBXCXDXEVSURVTXLXNAGEFVKXTUUJGWAUJKWBUFWAGWCWDUUKUFUEFUGUUJFWAUJIWBUFUE
      WAFXFWDQWERWEXGWGUUOUEUJZUUPXSUUOWAUJUUPUVFXLXNWQWIUUOWAFWJWHXRUUPAUUOUEX
      QUUOFUAWKWLWMUPXHXIXJWNWOXK $.
      $( [25-Jul-2008] $) $( [16-Apr-2005] $)
  $}

  ${
    $d x k y j u v t h F $.
    caucvg3.1 $e |- F : NN --> CC $.
    caucvg3.2 $e |- A. y e. RR ( 0 < y -> E. j e. NN A. k e. NN ( j <_ k ->
                      ( abs ` ( ( F ` k ) - ( F ` j ) ) ) < y ) ) $.
    $( A Cauchy sequence of complex numbers converges to a complex number.
       Theorem 12-5.3 of [Gleason] p. 180 (sufficiency part). $)
    caucvg3 $p |- E. x e. CC F ~~> x $=
      ( vt vh vv vu cv cn wcel ci cfv cim wceq wa copab cmul co cre cc0 clt
      wbr cle cmin cabs wi wral wrex cr c1 nnuz cvg1i imim2i r19.20si ax-mp
      fvex eqid fnopab2 fveq2 fveq2d fvopab4 oprex opreq2d caucvg3lem ) ADBCHLZ
      MNILOVIJLZMNZKLZVJEPZQPZRSJKTZPZUAUBZRSHITZEVKVLVMUCPZRSJKTZVOFUDBLZUEUFZ
      CLZDLZUGUFWDEPWCEPUHUBUIPWAUEUFZUJDMUKCMULZUJZBUMUKWBWCWDUEUFWEUJDMUKCMUL
      ZUJZBUMUKGWGWIBUMWFWHWBWECDUNMUOUPUQURUSJKMVSVTVMUCUTVTVAZVBJKALZVSWKEPZU
      CPMVTVJWKRZVMWLUCVJWKEVCZVDWJWLUCUTVEJKMVNVOVMQUTVOVAZVBJKWKVNWLQPMVOWMVM
      WLQWNVDWOWLQUTVEHIMVQVROVPUAVFVRVAZVBHIWKVQOWKVOPZUAUBMVRVIWKRVPWQOUAVIWK
      VOVCVGWPOWQUAVFVEVH $.
      $( [21-Dec-2006] $) $( [16-Apr-2005] $)
  $}

  ${
    $d t u v w x y z F $.
    $( A Cauchy sequence of complex numbers converges to a complex number.
       Theorem 12-5.3 of [Gleason] p. 180 (sufficiency part).  _Warning:
       The HTML proof page is 0.6 megabyte in size_. $)
    caucvg3t $p |- ( ( F : NN --> CC /\ A. z e. RR ( 0 < z -> E. w e. NN
        A. y e. NN ( w <_ y -> ( abs ` ( ( F ` y ) - ( F ` w ) ) ) < z ) ) ) ->
                   E. x e. CC F ~~> x ) $=
      ( vv vt vu cn cc wf cc0 cv clt wbr cle cfv cmin co cabs wi wral wrex cr
      wa cli csn cxp cif wceq breq1 rexbidv feq1 fveq1 opreq12d fveq2d breq1d
      imbi2d rexralbidv ralbidv breq2 fveq2 opreq1d imbi12d cbvralv syl6bb
      opreq2d cbvrexv syl5bb anbi12d wss 0cn elisseti fconst wcel snssi ax-mp
      fss mp2an c1 fvconst2 subid syl6eq abs0 biimparc a1d r19.21aiva 1nn
      rcla4ev mpan syl a1i rgen pm3.2i elimhyp pm3.26i pm3.27i caucvg3 dedth )
      IJEKZLCMZNOZDMZBMZPOZXDEQZXCEQZRSZTQZXANOZUAZBIUBZDIUCZUAZCUDUBZUEZEAMZUF
      OZAJUCXPEILUGZUHZUIZXQUFOZAJUCEXTEYAUJZXRYBAJEYAXQUFUKULAFGHYAIJYAKZLFMZN
      OZGMZHMZPOZYHYAQZYGYAQZRSZTQZYENOZUAZHIUBGIUCZUAZFUDUBZXPYDYRUEIJXTKZYFYI
      YHXTQZYGXTQZRSZTQZYENOZUAZHIUBZGIUCZUAZFUDUBZUEEXTYCWTYDXOYRIJEYAUMYCYFYI
      YHEQZYGEQZRSZTQZYENOZUAZHIUBZGIUCZUAZFUDUBYRXOYCUURYQFUDYCUUQYPYFYCUUOYOG
      HIIYCUUNYNYIYCUUMYMYENYCUULYLTYCUUJYJUUKYKRYHEYAUNYGEYAUNUOUPUQURUSURUTXN
      UURCFUDXAYEUJZXBYFXMUUQXAYELNVAUUSXMXCYHPOZUUJXGRSZTQZYENOZUAZHIUBZDIUCUU
      QUUSXLUVEDIUUSXLXEXIYENOZUAZBIUBUVEUUSXKUVGBIUUSXJUVFXEXAYEXINVAURUTUVGUV
      DBHIXDYHUJZXEUUTUVFUVCXDYHXCPVAUVHXIUVBYENUVHXHUVATUVHXFUUJXGRXDYHEVBVCUP
      UQVDVEVFULUVEUUPDGIXCYGUJZUVDUUOHIUVIUUTYIUVCUUNXCYGYHPUKUVIUVBUUMYENUVIU
      VAUULTUVIXGUUKUUJRXCYGEVBVGUPUQVDUTVHVFVDVEVIVJXTYAUJZYSYDUUIYRIJXTYAUMUV
      JUUHYQFUDUVJUUGYPYFUVJUUEYOGHIIUVJUUDYNYIUVJUUCYMYENUVJUUBYLTUVJYTYJUUAYK
      RYHXTYAUNYGXTYAUNUOUPUQURUSURUTVJYSUUIIXSXTKXSJVKZYSILLJVLVMZVNLJVOUVKVLL
      JVPVQIXSJXTVRVSUUHFUDUUHYEUDVOYFVTYHPOZYTLRSZTQZYENOZUAZHIUBZUUGYFUVQHIYF
      YHIVOZUEUVPUVMUVSUVPYFUVSUVOLYENUVSUVOLTQLUVSUVNLTUVSUVNLLRSLUVSYTLLRILYH
      UVLWAVCLVLWBWCUPWDWCUQWEWFWGVTIVOZUVRUUGWHUUFUVRGVTIYGVTUJZUUEUVQHIUWAYIU
      VMUUDUVPYGVTYHPUKUWAUUCUVOYENUWAUUBUVNTUWAUUALYTRUWAUUAVTXTQZLYGVTXTVBUVT
      UWBLUJWHILVTUVLWAVQWCVGUPUQVDUTWIWJWKWLWMWNWOZWPYDYRUWCWQWRWS $.
      $( [23-Dec-2006] $) $( [20-Dec-2006] $)
  $}

  ${
    $d h j k m n x F $.  $d h m n A $.  $d h j k m n x M $.
    serzf0.1 $e |- F e. V $.
    serzf0.2 $e |- M e. ZZ $.
    serzf0.3 $e |- ( k e. ( ZZ> ` M ) -> ( F ` k ) e. CC ) $.
    serzf0.4 $e |- A e. V $.
    serzf0.5 $e |- ( <. M , + >. seq F ) ~~> A $.
    $( If an infinite series converges, its underlying sequence converges to
       zero.  _Warning:  The HTML proof page is 0.6 megabyte in size_. $)
    serzf0 $p |- F ~~> 0 $=
      ( vx vj vh vm vn cc0 cli wbr cv clt cle cfv cmin co cabs wi c1 caddc cuz
      wral cz wrex cr wcel cc wb peano2z ax-mp 0cn wss uzidt peano2uz uzss
      sseli wceq fveq2 eleq1d vtoclga syl rgen clm4at mp3an wa cop cseqz c2
      cdiv cvv 0z uzssz ssid clmi2 mpanl12 rehalfclt adantr halfpos2t biimpa
      sylanc breq1 imbi1d ralbidv rcla4ev ad2antrl p1let 3expia zret syl2an
      ancoms adantrr breq2 opreq1d fveq2d breq1d imbi12d rcla4va adantrl syld
      1re leaddsubt mp3an2 peano2zm rcla4v imp sylbid jcad eluzelz sylan
      lt2halvest serzcl2t mpan2 climcl mp2an subclt absclt eluzp1m1t mpan
      pm3.27 syl3anc abssubt opreq2d sylibd abstrit lelttrt axaddcl axaddrcl
      mpand addex seqzm1 mp3an1 eluzp1lt eqcomd subaddt mpbird npncant subid1t
      3eqtr4d expcom r19.21aiv exp32 r19.23adv mpd ex mprgbir ) COPQZOJRZSQZKRZ
      LRZTQZUUQCUAZOUBUCZUDUAZUUNSQZUEZLDUFUGUCZUHUAZUIZKUJUKZUEZJULUVDUJUMZOUN
      UMUUSUNUMZLUVEUIUUMUVHJULUIUODUJUMZUVIFDUPUQURUVJLUVEUUQUVEUMZUUQDUHUAZUM
      ZUVJUVEUVMUUQUVDUVMUMZUVEUVMUSDUVMUMZUVOUVKUVPFDUTUQDDVAUQDUVDVBUQVCZBRZC
      UAZUNUMZUVJBUUQUVMUVRUUQVDUVSUUSUNUVRUUQCVEVFGVGVHZVIJOKLCUVDEVJVKUUNULUM
      ZUUOUVGUWBUUOVLZMRZNRZTQZUWEDUGVMCVNUCZUAZAUBUCZUDUAZUUNVOVPUCZSQZUEZNUJU
      IZMUJUKZUVGUWKULUMZOUWKSQZUWOUWCAVQUMZUWGAPQZUWPUWQVLUWOHIAUWKVQMNUWGOUJU
      JVROVSUJVTWAWBUWBUWPUUOUUNWCWDUWBUUOUWQUUNWEWFWGUWBUWOUVGUEUUOUWBUWNUVGMU
      JUWBUWDUJUMZUWNUVGUWDUFUGUCZUJUMZUXAUUQTQZUVBUEZLUVEUIZUVGUWBUWTUWNVLZVLZ
      UVFUXEKUXAUJUUPUXAVDZUVCUXDLUVEUXHUURUXCUVBUUPUXAUUQTWHWIWJWKUWTUXBUWBUWN
      UWDUPWLUXGUXDLUVEUVLUXGUXDUVLUXGVLUXCUUQUWGUAZAUBUCZUDUAZUWKSQZUUQUFUBUCZ
      UWGUAZAUBUCZUDUAZUWKSQZVLZUVBUVLUXFUXCUXRUEZUWBUUQUJUMZUXFUXSUVLUXTUXFVLZ
      UXCUXLUXQUYAUXCUWDUUQTQZUXLUXTUWTUXCUYBUEZUWNUWTUXTUYCUWDULUMZUUQULUMZUYC
      UWTUXTUYDUYEUXCUYBUWDUUQWMWNUWDWOZUUQWOZWPWQWRUXTUWNUYBUXLUEZUWTUWMUYHNUU
      QUJUWEUUQVDZUWFUYBUWLUXLUWEUUQUWDTWSUYIUWJUXKUWKSUYIUWIUXJUDUYIUWHUXIAUBU
      WEUUQUWGVEWTXAXBXCXDXEXFUYAUXCUWDUXMTQZUXQUXTUWTUXCUYJUOZUWNUWTUXTUYKUYDU
      YEUYKUWTUXTUYDUFULUMUYEUYKXGUWDUFUUQXHXIUYFUYGWPWQWRUXTUWNUYJUXQUEZUWTUXT
      UWNUYLUXTUXMUJUMUWNUYLUEUUQXJUWMUYLNUXMUJUWEUXMVDZUWFUYJUWLUXQUWEUXMUWDTW
      SUYMUWJUXPUWKSUYMUWIUXOUDUYMUWHUXNAUBUWEUXMUWGVEWTXAXBXCXKVHXLXEXMXNUVDUU
      QXOZXPXEUVLUWBUXRUVBUEUXFUVLUWBVLZUXRUXKAUXNUBUCZUDUAZUGUCZUUNSQZUVBUYOUX
      RUXKUXPUGUCZUUNSQZUYSUXKULUMZUXPULUMZUWBUXRVUAUEUYOUXKUXPUUNXQUVLVUBUWBUV
      LUXJUNUMZVUBUVLUXIUNUMZVUDUVLUVNVUEUVQUVNUVTBUVMUIZVUEUVTBUVMGVIZBCDUUQEX
      RXSVHZVUEAUNUMZVUDUWRUWSVUIHIAVQUWGXTYAZUXIAYBXSVHZUXJYCVHZWDUVLVUCUWBUVL
      UXOUNUMZVUCUVLUXNUNUMZVUMUVLUXMUVMUMZVUNUVKUVLVUOFDUUQYDYEVUOVUFVUNVUGBCD
      UXMEXRXSVHZVUNVUIVUMVUJUXNAYBXSVHUXOYCVHWDUVLUWBYFZYGUVLVUAUYSUOUWBUVLUYT
      UYRUUNSUVLUXPUYQUXKUGUVLVUNUXPUYQVDZVUPVUNVUIVURVUJUXNAYHXSVHYIXBWDYJUYOU
      YSUXJUYPUGUCZUDUAZUUNSQZUVBUYOVUTUYRTQZUYSVVAUVLVVBUWBVUDUYPUNUMZVVBUVLUX
      JUYPYKVUKUVLVUNVVCVUPVUIVUNVVCVUJAUXNYBYEVHZWGWDVUTULUMZUYRULUMZUWBVVBUYS
      VLVVAUEUYOVUTUYRUUNYLUVLVVEUWBUVLVUSUNUMZVVEVUDVVCVVGUVLUXJUYPYMVUKVVDWGV
      USYCVHWDUVLVVFUWBVUBUYQULUMZVVFUVLUXKUYQYNVULUVLVVCVVHVVDUYPYCVHWGWDVUQYG
      YOUVLVVAUVBUOUWBUVLVUTUVAUUNSUVLVUSUUTUDUVLUXIUXNUBUCZUUSVUSUUTUVLVVIUUSV
      DZUXNUUSUGUCZUXIVDZUVLUXIVVKUXTDUUQSQZUXIVVKVDZUVLUVKUXTVVMVVNFUGCDUUQYPE
      YQYRUYNUVKUVLVVMFDUUQYSYEWGYTVUEVUNUVJVVJVVLUOUVLUXIUXNUUSUUAVUHVUPUWAYGU
      UBVUEVUNVUSVVIVDZUVLVUEVUIVUNVVOVUJUXIAUXNUUCXIVUHVUPWGUVLUVJUUTUUSVDUWAU
      USUUDVHUUEXAXBWDYJXFWRXFUUFUUGWGUUHUUIWDUUJUUKUUL $.
      $( [13-Dec-2006] $) $( [2-Sep-2005] $)
  $}

  ${
    $d j k m n x F $.  $d k m n A $.
    ser1f0.1 $e |- F : NN --> CC $.
    ser1f0.2 $e |- A e. CC $.
    ser1f0.3 $e |- ( + seq1 F ) ~~> A $.
    $( If an infinite series converges, its underlying sequence converges to
       zero.  _Warning:  The HTML proof page is 1/2 megabyte in size_. $)
    ser1f0 $p |- F ~~> 0 $=
      ( vx vj vk vm vn cc0 cli wbr cv clt cle cfv cmin co cabs wi c2 cuz wral
      cz wrex cr cc wcel cin wb 0cn cn inss2 c1 wss 1z eluz1 2z 1re 2re 1lt2
      ltlei mpbir2an uzss ax-mp nnuz sseqtr4 sstri sseli ffvelrni syl rgen
      uzssz ssid wf cvv nnex fex mp2an clm4 wa caddc cseq1 cdiv 0z clmi2
      mpanl12 rehalfclt adantr halfpos2t biimpa sylanc wceq breq1 imbi1d
      ralbidv rcla4ev peano2z ad2antrl p1let 3expia zret syl2an ancoms adantrr
      breq2 fveq2 opreq1d fveq2d breq1d imbi12d rcla4va adantrl syld leaddsubt
      mp3an2 peano2zm rcla4v imp sylbid jcad ad2ant2rl lt2addt ser1cl1 subclt
      mpan2 absclt 1nn nnsubt mpan jca abssubt opreq2d recnt 2halvest
      breqan12d sylibd abstrit lelttrt axaddcl axaddrcl pm3.27 syl3anc mpand
      addex seq1m1 eqcomd subaddt mpbird npncant subid1t 3eqtr4d equid a1i
      zltp1let df-2 breq1i syl6bbr ltlet sylbird imdistani elnnz1 sylibr
      biimpar sylan expcom syl5ib r19.21aiv exp32 r19.23adv mpd ex mprgbir ) BK
      LMZKFNZOMZGNZHNZPMZUVSBQZKRSZTQZUVPOMZUAZHUBUCQZUDZGUEUFZUAZFUGKUHUIUWAUH
      UIZHUEUWFUJZUDUVOUWIFUGUDUKULUWJHUWKUVSUWKUIUVSUMUIZUWJUWKUMUVSUWKUWFUMUE
      UWFUNUWFUOUCQZUMUBUWMUIZUWFUWMUPUWNUBUEUIUOUBPMUOUBUQURUSUOUBUTVAVBVCVDUO
      UBVEVFVGVHVIVJUMUHUVSBCVKZVLVMFKGHBUBUBUWFUEUSUBVNZUEVOZUSUWFVOUWPUMUHBVP
      UMVQUIBVQUICVRUMUHVQBVSVTZWAVTUVPUGUIZUVQUWHUWSUVQWBZINZJNZPMZUXBWCBWDSZQ
      ZARSZTQZUVPUBWESZOMZUAZJUEUDZIUEUFZUWHUXHUGUIZKUXHOMZUXLUWTAUHUIZUXDALMUX
      MUXNWBUXLDEAUXHUHIJUXDKUEUEWFKVNUWQWGWHUWSUXMUVQUVPWIZWJUWSUVQUXNUVPWKWLW
      MUWSUXLUWHUAUVQUWSUXKUWHIUEUWSUXAUEUIZUXKUWHUXAUOWCSZUEUIZUXRUVSPMZUWDUAZ
      HUWFUDZUWHUWSUXQUXKWBZWBZUWGUYBGUXRUEUVRUXRWNZUWEUYAHUWFUYEUVTUXTUWDUVRUX
      RUVSPWOWPWQWRUXQUXSUWSUXKUXAWSWTUYDUYAHUWFUYDUVSUEUIZUBUVSPMZWBZUYAUVSUWF
      UIUYHUYDUYAUYHUYDWBUXTUVSUXDQZARSZTQZUXHOMZUVSUORSZUXDQZARSZTQZUXHOMZWBZU
      WDUYFUYCUXTUYRUAUYGUWSUYFUYCWBZUXTUYLUYQUYSUXTUXAUVSPMZUYLUYFUXQUXTUYTUAZ
      UXKUXQUYFVUAUXAUGUIZUVSUGUIZVUAUXQUYFVUBVUCUXTUYTUXAUVSXAXBUXAXCZUVSXCZXD
      XEXFUYFUXKUYTUYLUAZUXQUXJVUFJUVSUEUXBUVSWNZUXCUYTUXIUYLUXBUVSUXAPXGVUGUXG
      UYKUXHOVUGUXFUYJTVUGUXEUYIARUXBUVSUXDXHXIXJXKXLXMXNXOUYSUXTUXAUYMPMZUYQUY
      FUXQUXTVUHUKZUXKUXQUYFVUIVUBVUCVUIUXQUYFVUBUOUGUIZVUCVUIUTUXAUOUVSXPXQVUD
      VUEXDXEXFUYFUXKVUHUYQUAZUXQUYFUXKVUKUYFUYMUEUIUXKVUKUAUVSXRUXJVUKJUYMUEUX
      BUYMWNZUXCVUHUXIUYQUXBUYMUXAPXGVULUXGUYPUXHOVULUXFUYOTVULUXEUYNARUXBUYMUX
      DXHXIXJXKXLXSVLXTXNYAYBYCUYHUWSUYRUWDUAZUYCUWLUOUVSOMZWBZUWSVUMUYHVUOUWSW
      BZUYRUYKAUYNRSZTQZWCSZUVPOMZUWDVUPUYRUYKUYPWCSZUXHUXHWCSZOMZVUTUYKUGUIZUY
      PUGUIZWBUXMUXMWBUYRVVCUAVUOUWSUYKUYPUXHUXHYDVUOVVDVVEUWLVVDVUNUWLUYJUHUIZ
      VVDUWLUYIUHUIZVVFUVSBCYEZVVGUXOVVFDUYIAYFYGVLZUYJYHVLWJZVUOUYOUHUIZVVEVUO
      UYNUHUIZVVKVUOUYMUMUIZVVLUWLVUNVVMUOUMUIUWLVUNVVMUKYIUOUVSYJYKWLUYMBCYEVL
      ZVVLUXOVVKDUYNAYFYGVLUYOYHVLYLUWSUXMUXMUXPUXPYLXDVUOUWSVVAVUSVVBUVPOVUOUY
      PVURUYKWCVUOVVLUYPVURWNZVVNVVLUXOVVODUYNAYMYGVLYNUWSUVPUHUIVVBUVPWNUVPYOU
      VPYPVLYQYRVUPVUTUYJVUQWCSZTQZUVPOMZUWDVUPVVQVUSPMZVUTVVRVUOVVSUWSVVFVUQUH
      UIZVVSVUOUYJVUQYSUWLVVFVUNVVIWJZVUOVVLVVTVVNUXOVVLVVTDAUYNYFYKVLZWMWJVVQU
      GUIZVUSUGUIZUWSVVSVUTWBVVRUAVUPVVQVUSUVPYTVUOVWCUWSVUOVVPUHUIZVWCVVFVVTVW
      EVUOUYJVUQUUAVWAVWBWMVVPYHVLWJVUOVWDUWSVVDVURUGUIZVWDVUOUYKVURUUBVVJVUOVV
      TVWFVWBVUQYHVLWMWJVUOUWSUUCUUDUUEVUOUWSVVQUWCUVPUVPOVUOVVPUWBTVUOUYIUYNRS
      ZUWAVVPUWBVUOVWGUWAWNZUYNUWAWCSZUYIWNZVUOUYIVWIWCBUVSUUFUWRUUGUUHVVGVVLUW
      JVWHVWJUKVUOUYIUYNUWAUUIUWLVVGVUNVVHWJZVVNUWLUWJVUNUWOWJUUDUUJVVGVVLVVPVW
      GWNZVUOVVGUXOVVLVWLDUYIAUYNUUKXQVWKVVNWMUWLUWBUWAWNZVUNUWLUWJVWMUWOUWAUUL
      VLWJUUMXJUVPUVPWNUWSFUUNUUOYQYRXOUYHUWLVUNUYHUYFUOUVSPMZWBUWLUYFUYGVWNUYF
      UYGVUNVWNUYFVUNUOUOWCSZUVSPMZUYGUOUEUIUYFVUNVWPUKUQUOUVSUUPYKUBVWOUVSPUUQ
      UURUUSZUYFVUCVUNVWNUAZVUEVUJVUCVWRUTUOUVSUUTYKVLUVAUVBUVSUVCUVDUYFVUNUYGV
      WQUVEYLUVFXFXOUVGUBUVSUSURUVHUVIWMUVJUVKWJUVLUVMUVN $.
      $( [4-Oct-2005] $) $( [29-Aug-2005] $)
  $}

  ${
    $d j k A $.  $d j N $.
    ser1const.1 $e |- A e. CC $.
    $( Value of the partial series sum of a constant function. $)
    ser1const $p |- ( N e. NN ->
                   ( ( + seq1 ( NN X. { A } ) ) ` N ) = ( N x. A ) ) $=
      ( vj vk cv caddc cn csn cxp cseq1 co cfv cmul wceq c1 fveq2 opreq1
      eqeq12d wcel 1nn cc elisseti fvconst2 ax-mp addex nnex snex xpex seq11
      mulid2 3eqtr4 wa seq1p1 peano2nn syl opreq2d eqtrd adantr nncnt ax1cn
      adddirt mp3an23 opreq2i syl6req sylan9eqr ex nnind ) DFZGHAIZJZKLZMZVIANL
      ZOPVLMZPANLZOEFZVLMZVQANLZOZVQPGLZVLMZWAANLZOZBVLMZBANLZODEBVIPOVMVOVNVPV
      IPVLQVIPANRSVIVQOVMVRVNVSVIVQVLQVIVQANRSVIWAOVMWBVNWCVIWAVLQVIWAANRSVIBOV
      MWEVNWFVIBVLQVIBANRSPVKMZAVOVPPHTWGAOUAHAPAUBCUCZUDUEGVKUFHVJUGAUHUIZUJAC
      UKZULVQHTZVTWDWKVTUMWBVRAGLZWCWKWBWLOVTWKWBVRWAVKMZGLWLVQGVKUFWIUNWKWMAVR
      GWKWAHTWMAOVQUOHAWAWHUDUPUQURUSVTWKWLVSAGLZWCVRVSAGRWKWCVSVPGLZWNWKVQUBTZ
      WCWOOZVQUTWPPUBTAUBTWQVACVQPAVBVCUPVPAVSGWJVDVEVFURVGVH $.
      $( [10-Aug-2005] $) $( [8-Aug-2005] $)
  $}

  $( The value of the zero series. $)
  ser10 $p |- ( N e. NN -> ( ( + seq1 ( NN X. { 0 } ) ) ` N ) = 0 ) $=
    ( cn wcel caddc cc0 csn cxp cseq1 co cfv cmul 0cn ser1const cc wceq nncnt
    mul01t syl eqtrd ) ABCZADBEFGHIJAEKIZEEALMTANCUAEOAPAQRS $.
    $( [25-Apr-2005] $) $( [22-Apr-2005] $)

  ${
    $d j k x $.
    $( The zero series converges to zero. $)
    ser1clim0 $p |- ( + seq1 ( NN X. { 0 } ) ) ~~> 0 $=
      ( vx vj vk caddc cn cc0 csn cxp cseq1 co cli wbr cv clt cle cfv cmin
      cabs wi wral wrex cr cc wf wcel wb wss 0cn elisseti fconst snssi ax-mp
      fss mp2an ser1f climfnn c1 wa ser10 opreq1d subid syl6eq fveq2d abs0
      breq1d biimprcd a1dd r19.21aiv 1nn jctil wceq breq1 imbi1d ralbidv
      rcla4ev syl a1i mprgbir ) DEFGZHZIJZFKLZFAMZNLZBMZCMZOLZWFWAPZFQJZRPZWCNL
      ZSZCETZBEUAZSZAUBEUCWAUDFUCUEZWBWOAUBTUFVTEVSVTUDVSUCUGZEUCVTUDEFFUCUHUIU
      JWPWQUHFUCUKULEVSUCVTUMUNUOUHAFBCWAUPUNWOWCUBUEWDUQEUEZUQWFOLZWKSZCETZURW
      NWDXAWRWDWTCEWDWFEUEZWKWSXBWKWDXBWJFWCNXBWJFRPFXBWIFRXBWIFFQJFXBWHFFQWFUS
      UTFUHVAVBVCVDVBVEVFVGVHVIVJWMXABUQEWEUQVKZWLWTCEXCWGWSWKWEUQWFOVLVMVNVOVP
      VQVR $.
      $( [7-Jun-2006] $) $( [19-Apr-2005] $)
  $}

  ${
    $d y A $.  $d x y z F $.  $d x y z G $.
    ser1cmp.1 $e |- F : NN --> RR $.
    ser1cmp.2 $e |- G : NN --> RR $.
    ser1cmp.3 $e |- ( x e. NN -> ( G ` x ) <_ ( F ` x ) ) $.
    $( Comparison of partial sums of two infinite series of reals. $)
    ser1cmp $p |- ( A e. NN -> ( ( + seq1 G ) ` A ) <_
                  ( ( + seq1 F ) ` A ) ) $=
      ( vy vz cv caddc cseq1 co cfv cle wbr c1 wceq fveq2 breq12d cn wcel 1nn
      vtoclga ax-mp addex cr wf cvv nnex fex mp2an seq11 3brtr4 wa axaddrcl
      ser1recl peano2nn ffvelrni syl sylanc adantr wb leadd1t syl3anc biimpa
      leadd2t mpbid letrd seq1p1 3brtr4d ex nnind ) HJZKDLMZNZVNKCLMZNZOPQVONZQ
      VQNZOPIJZVONZWAVQNZOPZWAQKMZVONZWEVQNZOPZBVONZBVQNZOPHIBVNQRVPVSVRVTOVNQV
      OSVNQVQSTVNWARVPWBVRWCOVNWAVOSVNWAVQSTVNWERVPWFVRWGOVNWEVOSVNWEVQSTVNBRVP
      WIVRWJOVNBVOSVNBVQSTQDNZQCNZVSVTOQUAUBWKWLOPZUCAJZDNZWNCNZOPZWMAQUAWNQRWO
      WKWPWLOWNQDSWNQCSTGUDUEKDUFUAUGDUHUAUIUBZDUIUBFUJUAUGUIDUKULZUMKCUFUAUGCU
      HWRCUIUBEUJUAUGUICUKULZUMUNWAUAUBZWDWHXAWDUOZWBWEDNZKMZWCWECNZKMZWFWGOXBX
      DWCXCKMZXFXAXDUGUBZWDWBUGUBZXCUGUBZXHXAWBXCUPWADFUQZXAWEUAUBZXJWAURZUAUGW
      EDFUSUTZVAVBXAXGUGUBZWDWCUGUBZXJXOXAWCXCUPWACEUQZXNVAVBXAXFUGUBZWDXPXEUGU
      BZXRXAWCXEUPXQXAXLXSXMUAUGWECEUSUTZVAVBXAWDXDXGOPZXIXPXJWDYAVCXAWBWCXCVDX
      KXQXNVEVFXAXGXFOPZWDXAXCXEOPZYBXAXLYCXMWQYCAWEUAWNWERWOXCWPXEOWNWEDSWNWEC
      STGUDUTXJXSXPYCYBVCXAXCXEWCVGXNXTXQVEVHVBVIXAWFXDRWDWAKDUFWSVJVBXAWGXFRWD
      WAKCUFWTVJVBVKVLVM $.
      $( [5-Apr-2005] $) $( [18-Mar-2005] $)
  $}

  ${
    $d y A $.  $d x y z F $.  $d x y z G $.
    ser1cmp0.1 $e |- F : NN --> RR $.
    ser1cmp0.2 $e |- ( x e. NN -> 0 <_ ( F ` x ) ) $.
    $( A partial sum of an infinite series of nonnegative reals is
       nonnegative. $)
    ser1cmp0 $p |- ( A e. NN -> 0 <_ ( ( + seq1 F ) ` A ) ) $=
      ( cn wcel caddc cc0 csn cxp cseq1 co cfv cle ser10 wf cr wss 0re
      elisseti fconst snssi ax-mp fss mp2an cv fvconst2 eqbrtrd ser1cmp
      eqbrtrrd ) BFGBHFIJZKZLMNIBHCLMNOBPABCUMDFULUMQULRSZFRUMQFIIRTUAZUBIRGUNT
      IRUCUDFULRUMUEUFAUGZFGUPUMNIUPCNOFIUPUOUHEUIUJUK $.
      $( [26-Apr-2005] $) $( [22-Apr-2005] $)
  $}

  ${
    $d z A $.  $d x y w z B $.  $d x w z F $.  $d x w z G $.  $d w z S $.
    ser1cmp2.1 $e |- F : NN --> RR $.
    ser1cmp2.2 $e |- G : NN --> RR $.
    ser1cmp2.3 $e |- ( x e. NN -> 0 <_ ( F ` x ) ) $.
    ser1cmp2.4 $e |- ( ( x e. NN /\ B < x ) ->
                    ( G ` x ) <_ ( F ` x ) ) $.
    ser1cmp2.5 $e |- S =
               sup ( ran ( ( + seq1 G ) |` { y e. NN | y <_ B } ) , RR , < ) $.
    $( Lemma for ~ ser1cmp2 . $)
    ser1cmp2lem $p |- ( ( A e. NN /\ B e. NN ) -> ( A <_ B -> ( ( + seq1 G ) `
          A ) <_ ( S + ( ( + seq1 F ) ` A ) ) ) ) $=
      ( vz cn wcel wa cle wbr caddc cseq1 co cfv w3a cv crab cres crn cr clt
      csup ser1ref seq1ub syl6breqr 3expia cc0 addge01t biimp3a wss c0 wne
      wral wrex seq1ublem suprcl syl syl5eqel adantl ser1recl adantr ser1cmp0
      syl3anc wi letrt axaddrcl syl2an ancoms mpan2d syld ) CNOZDNOZPZCDQRZCSGT
      UAZUBZEQRZWDECSFTUAUBZSUAZQRZVSVTWBWEVSVTWBUCWDWCBUDDQRBNUEUFUGZUHUIUJZEQ
      BCDWCGIUKZULLUMUNWAWEEWGQRZWHEUHOZWFUHOZUOWFQRZWLWAWMWNWOWLEWFUPUQVTWMVSV
      TWJUHEVTWIUHURWIUSUTMUDAUDQRMWIVAAUHVBUCWJUHOBAMDWCWKVCAMWIVDVELVFZVGZVSW
      NVTCFHVHZVIVSWOVTACFHJVJVIVKWDUHOZWMWGUHOZWEWLPWHVLWAWDEWGVMVSWSVTCGIVHVI
      WQVTVSWTWMWNWTVTVSEWFVNWPWRVOVPVKVQVR $.
      $( [25-Jul-2006] $) $( [23-Apr-2005] $)

    $( Comparison of partial sums of two infinite series of reals that
       excludes an initial segment. $)
    ser1cmp2 $p |- ( ( A e. NN /\ B e. NN ) -> ( ( + seq1 G ) ` A ) <_
            ( S + ( ( + seq1 F ) ` A ) ) ) $=
      ( vz vw cn wcel caddc cseq1 co cfv cle wbr cv wi c1 wceq fveq2 opreq2d
      breq12d imbi2d nnge1t 1nn ser1cmp2lem mpan mpd wa clt wo cr lelttrit
      peano2nn nnret syl syl2an sylan a1dd axaddrcl ser1recl ffvelrni sylanc
      ad2antrr crab cres crn csup wss c0 wne wral wrex w3a ser1ref seq1ublem
      suprcl syl5eqel ancoms adantr adantrr wb leadd1t syl3anc biimpa adantlrr
      breq2 imbi12d ex vtoclga imp adantrl leadd2t mpbid letrd addex wf cvv
      nnex fex mp2an seq1p1 cc axaddass recnd adantl eqtr4d 3brtr4d anassrs
      jaod a2d nnind ) COPDOPZCQGRSZTZECQFRSZTZQSZUAUBZXTMUCZYATZEYGYCTZQSZUAUB
      ZUDXTUEYATZEUEYCTZQSZUAUBZUDXTNUCZYATZEYPYCTZQSZUAUBZUDXTYPUEQSZYATZEUUAY
      CTZQSZUAUBZUDXTYFUDMNCYGUEUFZYKYOXTUUFYHYLYJYNUAYGUEYAUGUUFYIYMEQYGUEYCUG
      UHUIUJYGYPUFZYKYTXTUUGYHYQYJYSUAYGYPYAUGUUGYIYREQYGYPYCUGUHUIUJYGUUAUFZYK
      UUEXTUUHYHUUBYJUUDUAYGUUAYAUGUUHYIUUCEQYGUUAYCUGUHUIUJYGCUFZYKYFXTUUIYHYB
      YJYEUAYGCYAUGUUIYIYDEQYGCYCUGUHUIUJXTUEDUAUBZYODUKUEOPXTUUJYOUDULABUEDEFG
      HIJKLUMUNUOYPOPZXTYTUUEUUKXTYTUUEUDZUUKXTUPZUUADUAUBZDUUAUQUBZURZUULUUAUS
      PZDUSPUUPUUKXTUUADUTUUKUUAOPZUUQYPVAZUUAVBVCDVBVDUUMUUNUULUUOUUMUUNUUEYTU
      URXTUUNUUEUDUUKABUUADEFGHIJKLUMUUSVEVFUUMUUOUULUUKXTUUOUULUUKXTUUOUPZUPZY
      TUUEUVAYTUPZYQUUAGTZQSZYSUUAFTZQSZUUBUUDUAUVBUVDYSUVCQSZUVFUUKUVDUSPZUUTY
      TYQUSPZUVCUSPZUVHUUKYQUVCVGYPGIVHZUUKUURUVJUUSOUSUUAGIVIVCZVJVKUVAUVGUSPZ
      YTUUKXTUVMUUOYSUSPZUVJUVMUUMYSUVCVGXTUUKUVNEUSPYRUSPUVNXTUUKEYRVGXTYABUCD
      UAUBBOVLVMVNZUSUQVOZUSEXTUVOUSVPUVOVQVRYPYGUAUBNUVOVSMUSVTWAUVPUSPBMNDYAG
      IWBWCMNUVOWDVCLWEZYPFHVHZVDWFZUUKUVJXTUVLWGZVJWHWGUVAUVFUSPZYTUUKXTUWAUUO
      UVNUVEUSPZUWAUUMYSUVEVGUVSUUKUWBXTUUKUURUWBUUSOUSUUAFHVIVCZWGZVJWHWGUUKXT
      YTUVDUVGUAUBZUUOUUMYTUWEUVIUVNUVJYTUWEWIUUMYQYSUVCWJUUKUVIXTUVKWGUVSUVTWK
      WLWMUVAUVGUVFUAUBZYTUVAUVCUVEUAUBZUWFUUKUUOUWGXTUURUUOUWGUUKUURUUOUWGDAUC
      ZUQUBZUWHGTZUWHFTZUAUBZUDUUOUWGUDAUUAOUWHUUAUFZUWIUUOUWLUWGUWHUUADUQWNUWM
      UWJUVCUWKUVEUAUWHUUAGUGUWHUUAFUGUIWOUWHOPUWIUWLKWPWQWRUUSVEWSUUKXTUWGUWFW
      IZUUOUVJUWBUVNUWNUUMUVCUVEYSWTUVTUWDUVSWKWHXAWGXBUUKUUBUVDUFUUTYTYPQGXCOU
      SGXDOXEPZGXEPIXFOUSXEGXGXHXIVKUVAUUDUVFUFZYTUUKXTUWPUUOUUMUUDEYRUVEQSZQSZ
      UVFUUKUUDUWRUFXTUUKUUCUWQEQYPQFXCOUSFXDUWOFXEPHXFOUSXEFXGXHXIUHWGEXJPZYRX
      JPZUVEXJPZUVFUWRUFUUMEYRUVEXKXTUWSUUKXTEUVQXLXMUUKUWTXTUUKYRUVRXLWGUUKUXA
      XTUUKUVEUWCXLWGWKXNWHWGXOWPXPWPXQUOWPXRXSWR $.
      $( [30-Apr-2005] $) $( [23-Apr-2005] $)
  $}

  ${
    $d A n $.  $d F k $.  $d G k $.  $d M k n $.  $d S n $.  $d T n $.
    $d U n $.
    iserzabslem.1 $e |- A e. V $.
    iserzabslem.2 $e |- B e. V $.
    iserzabslem.3 $e |- F e. V $.
    iserzabslem.4 $e |- G e. V $.
    iserzabslem.5 $e |- ( k e. ( ZZ> ` M ) ->
                    ( ( F ` k ) e. CC /\ ( G ` k ) = ( abs ` ( F ` k ) ) ) ) $.
    iserzabslem.6 $e |- S ~~> A $.
    iserzabslem.7 $e |- T ~~> B $.
    iserzabslem.8 $e |- M e. ZZ $.
    iserzabslem.9 $e |- U e. V $.
    iserzabslem.10 $e |- ( n e. ( ZZ> ` M ) ->
                        ( U ` n ) = ( abs ` ( S ` n ) ) ) $.
    iserzabslem.11 $e |- S = ( <. M , + >. seq F ) $.
    iserzabslem.12 $e |- T = ( <. M , + >. seq G ) $.
    $( Lemma for ~ iserzabs . $)
    iserzabslem $p |- ( abs ` A ) <_ B $=
      ( cz wcel cv cfv cr cle wbr w3a cuz wral cabs cc cfz co elfzuzt wceq
      pm3.26d syl rgen wa caddc cop cseqz serzclt fveq1i syl5eqel mpan2 absclt
      eqeltrd pm3.27d serzreclt csu fsumabs fsumserz syl6eqr fveq2d eqtr4d
      sumeq2i syl5eqr 3brtr3d 3jca cli jca climabs cvv oprex eqeltr fvex
      climcmp mpanl12 mp2an ) JUCUDZGUEZEUFZUGUDZWODUFZUGUDZWPWRUHUIZUJZGJUKUFZ
      ULZAUMUFZBUHUIZRXAGXBWOXBUDZWQWSWTXFWPWOCUFZUMUFZUGTXFXGUNUDZXHUGUDXFFUEZ
      HUFZUNUDZFJWOUOUPZULZXIXLFXMXJXMUDZXJXBUDZXLXJJWOUQZXPXLXJIUFZXKUMUFZURZO
      USZUTVAZXFXNVBWOJVCVDZHVEUPZUFZUNXGFHJWOMVFWOCYDUAVGZVHVIZXGVJUTVKXFXRUGU
      DZFXMULZWSYHFXMXOXPYHXQXPXRXSUGXPXLXTOVLZXPXLXSUGUDYAXKVJUTVKUTVAXFYIVBWO
      YCIVEUPZUFZUGWRFIJWONVMWODYKUBVGZVHVIXFXMXKFVNZUMUFZXMXSFVNZWPWRUHXFXNYOY
      PUHUIYBXKFJWOVOVIXFYOXHWPXFYNXGUMXFYNYEXGFHJWOMVPYFVQVRTVSXFXMXRFVNZWRYPX
      FYQYLWRFIJWONVPYMVQXMXRXSFXOXPXTXQYJUTVTWAWBWCVAEXDWDUIDBWDUIWNXCVBXEAGCE
      JKSRPXFXIWPXHURYGTWEWFQXDBGEDJSDYKWGUBYCIVEWHWIAUMWJLWKWLWM $.
      $( [11-Sep-2007] $) $( [10-Sep-2007] $)
  $}

  ${
    $d A n $.  $d F j n y $.  $d F k n $.  $d G k n $.  $d M j n y $.
    $d M k n $.
    iserzabs.1 $e |- A e. V $.
    iserzabs.2 $e |- B e. V $.
    iserzabs.3 $e |- F e. V $.
    iserzabs.4 $e |- G e. V $.
    iserzabs.5 $e |- M e. ZZ $.
    iserzabs.6 $e |- ( k e. ( ZZ> ` M ) ->
                    ( ( F ` k ) e. CC /\ ( G ` k ) = ( abs ` ( F ` k ) ) ) ) $.
    iserzabs.7 $e |- ( <. M , + >. seq F ) ~~> A $.
    iserzabs.8 $e |- ( <. M , + >. seq G ) ~~> B $.
    $( Generalized triangle inequality:  the absolute value of an infinite sum
       is less than or equal to the sum of absolute values.  (Contributed by
       Paul Chapman, 10-Sep-2007.) $)
    iserzabs $p |- ( abs ` A ) <_ B $=
      ( vj vy vn caddc cop cseqz co cv cuz cfv wcel cabs wceq wa copab fvex
      opabex2 fveq2 fveq2d eqid fvopab4 iserzabslem ) ABFRSZDTUAZUQETUAZOUBZFUC
      UDZUEPUBUTURUDZUFUDZUGUHOPUIZCQDEFGHIJLMNKOPVAVCFUCUJUKOPQUBZVCVEURUDZUFU
      DVAVDUTVEUGVBVFUFUTVEURULUMVDUNVFUFUJUOURUNUSUNUP $.
      $( [11-Sep-2007] $) $( [10-Sep-2007] $)
  $}

  ${
    $d x z A $.  $d x y z w B $.  $d x z w F $.  $d x z w G $.
    $d x z w S $.  $d x z H $.  $d x z w C $.
    cvgcmp2.1 $e |- A e. V $.
    cvgcmp2.2 $e |- F : NN --> RR $.
    cvgcmp2.3 $e |- G : NN --> RR $.
    cvgcmp2.4 $e |- ( x e. NN -> 0 <_ ( F ` x ) ) $.
    cvgcmp2.5 $e |- ( x e. NN -> 0 <_ ( G ` x ) ) $.
    cvgcmp2.6 $e |- ( + seq1 F ) ~~> A $.
    cvgcmp2.7 $e |- B e. NN $.
    ${
      cvgcmp2.8 $e |- ( ( x e. NN /\ B < x ) -> ( G ` x ) <_ ( F ` x ) ) $.
      ${
        cvgcmp2lem.9 $e |- S =
               sup ( ran ( ( + seq1 G ) |` { y e. NN | y <_ B } ) , RR , < ) $.
        cvgcmp2lem.10 $e |- H Fn NN $.
        cvgcmp2lem.11 $e |- ( x e. NN ->
                            ( H ` x ) = ( S + ( ( + seq1 F ) ` x ) ) ) $.
        $( Lemma for ~ cvgcmp2 . $)
        cvgcmp2lem $p |- ( + seq1 G ) ~~> sup ( ran ( + seq1 G )
                       , RR , < ) $=
          ( vz vw caddc cseq1 co ser1ref cv ser1mono cr wcel cfv cle wbr cn
          wral wrex crab cres crn clt csup wss c0 wne w3a seq1ublem ax-mp
          suprcli eqeltr climfnrcl readdcl ser1recl axaddrcl mpan syl eqeltrd
          a1i ser1cmp2 mpan2 breqtrrd oprex wf wfn ffnfv rgen mpbir2an c1 wb
          leadd2t mp3an3 peano2nn sylanc mpbid wceq fveq2 opreq2d eqeq12d
          vtoclga 3brtr4d recn cc recnd jca climaddc climub letrd breq2
          ralbidv rcla4ev mp2an climsup ) TAUBGUCUDZGKUEZAAUFZGKMUGECUBUDZUHUIZ
          XMXKUJZXNUKULZAUMUNZXPTUFZUKULZAUMUNZTUHUOECEXKBUFDUKULBUMUPUQURZUHUS
          UTUHQTUAYBDUMUIZYBUHVAYBVBVCUAUFXSUKULUAYBUNTUHUOVDOBTUADXKXLVEVFVGVH
          ZCUBFUCUDZIFJUENVIVJZXQAUMXMUMUIZXPXMHUJZXNXMGKVKYGYHEXMYEUJZUBUDZUHS
          YGYIUHUIZYJUHUIZXMFJVKZEUHUIZYKYLYDEYIVLVMVNVOZXOYGYFVPYGXPYJYHUKYGYC
          XPYJUKULOABXMDEFGJKLPQVQVRSVSXNTHXMECUBVTUMUHHWAHUMWBYHUHUIZAUMUNAUMU
          HHWCRYPAUMYOWDWEXSUMUIZEXSYEUJZUBUDZEXSWFUBUDZYEUJZUBUDZXSHUJZYTHUJZU
          KYQYRUUAUKULZYSUUBUKULZAXSFJLUGYRUHUIZUUAUHUIZUUEUUFWGZYQUUGUUHYNUUIY
          DYRUUAEWHWIXSFJVKYQYTUMUIZUUHXSWJZYTFJVKVNWKWLYHYJWMZUUCYSWMAXSUMXMXS
          WMZYHUUCYJYSXMXSHWNUUMYIYREUBXMXSYEWNWOWPSWQYQUUJUUDUUBWMZUUKUULUUNAY
          TUMXMYTWMZYHUUDYJUUBXMYTHWNUUOYIUUAEUBXMYTYEWNWOWPSWQVNWRECAYEHEYDWSI
          NRYGYIWTUIUULYGYIYMXASXBXCXDXEWDYAXRTXNUHXSXNWMXTXQAUMXSXNXPUKXFXGXHX
          IXJ $.
          $( [14-Jun-2006] $) $( [23-Apr-2005] $)
      $}

      $( A comparison test for convergence of a real infinite series.  This
         version allows us to ignore the initial segment before the ` B ` -th
         term. $)
      cvgcmp2 $p |- ( + seq1 G ) ~~> sup ( ran ( + seq1 G ) , RR , < ) $=
        ( vy vz vw caddc cseq1 co cv cle wbr cn crab cres crn cr clt csup wcel
        cfv wceq wa copab eqid oprex fnopab2 fveq2 opreq2d fvopab4 cvgcmp2lem
        ) ANBCQERSNTCUAUBNUCUDUEUFUGUHUIZDEOTZUCUJPTVBVCQDRSZUKZQSZULUMOPUNZFGH
        IJKLMVBUOOPUCVFVGVBVEQUPVGUOZUQOPATZVFVBVIVDUKZQSUCVGVCVIULVEVJVBQVCVIV
        DURUSVHVBVJQUPUTVA $.
        $( [14-Jun-2006] $) $( [23-Apr-2005] $)
    $}

    ${
      cvgcmp2c.9 $e |- C e. RR $.
      cvgcmp2c.10 $e |- 0 <_ C $.
      cvgcmp2c.11 $e |- ( ( x e. NN /\ B < x ) ->
                        ( G ` x ) <_ ( C x. ( F ` x ) ) ) $.
      ${
        cvgcmp2clem.12 $e |- S Fn NN $.
        cvgcmp2clem.13 $e |- ( x e. NN -> ( S ` x ) = ( C x. ( F ` x ) ) ) $.
        $( Lemma for ~ cvgcmp2c . $)
        cvgcmp2clem $p |- ( + seq1 G ) ~~> sup ( ran ( + seq1 G ) , RR ,
                < ) $=
          ( cmul co oprex cn cr wf wfn cv cfv wcel wral ffnfv ffvelrni
          axmulrcl mpan syl eqeltrd rgen mpbir2an cc0 cle wbr wa mulge0t
          mpanl1 jctil sylanc breqtrrd caddc cseq1 recn addex cvv nnex fnex
          mp2an seq1fn cc wceq wss axresscn fss ser1cl1 ser1mulc jca climmulc
          clt adantr cvgcmp2 ) ADBTUACEGDBTUBUCUDEUEEUCUFZAUGZEUHZUDUIZAUCUJAUC
          UDEUKRWLAUCWJUCUIZWKDWJFUHZTUAZUDSWMWNUDUIZWOUDUIZUCUDWJFIULZDUDUIZWP
          WQODWNUMUNUOUPUQURJWMUSWOWKUTWPUSDUTVAZUSWNUTVAZVBZUSWOUTVAZWMWSWPXBX
          CODWNVCVDWRWMXAWTKPVEVFSVGLDBAVHFVIUAZVHEVIUAZDOVJZHMVHEVKWIUCVLUIEVL
          UIRVMUCVLEVNVOZVPWMWJXDUHZVQUIWJXEUHDXHTUAVRWJFUCUDFUEUDVQVSUCVQFUEIV
          TUCUDVQFWAVOZWBDAFEWJXFXIXGSWCWDWENWMCWJWFVAZVBWJGUHWOWKUTQWMWKWOVRXJ
          SWGVGWH $.
          $( [17-Jun-2006] $) $( [24-Apr-2005] $)
      $}

      $( A comparison test for convergence of a real infinite series.  This
         version of ~ cvgcmp2 allows the reference sequence ` F ` (whose
         infinite series converges) to be multiplied by a nonnegative constant
         ` C ` before the comparison. $)
      cvgcmp2c $p |- ( + seq1 G ) ~~> sup ( ran ( + seq1 G ) , RR ,
                      < ) $=
        ( vz vw cv cn wcel cfv cmul co wceq wa copab oprex eqid fnopab2 fveq2
        opreq2d fvopab4 cvgcmp2clem ) ABCDQSZTUARSDUOEUBZUCUDZUEUFQRUGZEFGHIJKL
        MNOPQRTUQURDUPUCUHURUIZUJQRASZUQDUTEUBZUCUDTURUOUTUEUPVADUCUOUTEUKULUSD
        VAUCUHUMUN $.
        $( [18-Jun-2006] $) $( [24-Apr-2005] $)
    $}
  $}

  ${
    $d x y z w A $.  $d x F $.  $d x y z w G $.
    cvgcmp.1 $e |- A e. V $.
    cvgcmp.2 $e |- F : NN --> RR $.
    cvgcmp.3 $e |- G : NN --> RR $.
    cvgcmp.4 $e |- ( x e. NN ->
                   ( 0 <_ ( G ` x ) /\ ( G ` x ) <_ ( F ` x ) ) ) $.
    cvgcmp.5 $e |- ( + seq1 F ) ~~> A $.
    $( A comparison test for convergence of a real infinite series.  Similar
       to Exercise 3 of [Gleason] p. 182, except that we show the explicit
       limit rather than just its existence. $)
    cvgcmp $p |- ( + seq1 G ) ~~> sup ( ran ( + seq1 G ) , RR , < ) $=
      ( c1 cv cfv cr wcel wa cc0 cle wbr cn wi 0re letrt mp3an1 ffvelrni jca
      sylc pm3.26d 1nn clt pm3.27d adantr cvgcmp2 ) ABJCDEFGAKZDLZMNZUMCLZMNZOP
      UNQRZUNUPQRZOZPUPQRZUMSNZPMNUOUQUTVATUAPUNUPUBUCVBUOUQSMUMDGUDSMUMCFUDUEH
      UFVBURUSHUGIUHVBUSJUMUIRVBURUSHUJUKUL $.
      $( [29-Jun-2006] $) $( [1-May-2005] $)

    ${
      cvgcmpub.6 $e |- B e. V $.
      cvgcmpub.7 $e |- ( + seq1 G ) ~~> B $.
      $( An upper bound for the limit of a real infinite series.  This theorem
         can also be used to compare two infinite series. $)
      cvgcmpub $p |- B <_ A $=
        ( vy vz vw caddc cseq1 co crn cr clt csup cle wss c0 wne cv wbr wral
        wrex cn wf ser1ref frn ax-mp c1 wcel 1nn ne0i wceq cdm fdmi eqeq1i
        dm0rn0 bitr3 necon3bii mpbi climfnrcl cfv wfn wb ffn fvelrnb breq1
        ser1recl a1i cc0 pm3.27d ser1cmp wa wi 0re letrt mp3an1 ffvelrni jca
        sylc ser1mono climub letrd syl5cbi r19.23aiv sylbi rgen breq2 ralbidv
        rcla4ev mp2an 3pm3.2i suprcli elisseti cli cvgcmp pm3.2i climunii
        suprleubi eqbrtr ) CPEQRZSZTUAUBZBUCCXJXHKXJTMNXIXITUDZXIUEUFZNUGZMUGZU
        CUHZNXIUIZMTUJZUKTXHULZXKEHUMZUKTXHUNUOUKUEUFZXLUPUKUQXTURUKUPUSUOUKUEX
        IUEUKUEUTXHVAZUEUTXIUEUTYAUKUEUKTXHXSVBVCXHVDVEVFVGBTUQZXMBUCUHZNXIUIZX
        QBPDQRZFDGUMZJVHZYCNXIXMXIUQZAUGZXHVIZXMUTZAUKUJZYCXHUKVJZYHYLVKXRYMXSU
        KTXHVLUOZAUKXMXHVMUOYKYCAUKYKYJBUCUHZYCYIUKUQZYJXMBUCVNYPYJYIYEVIBYIEHV
        OYIDGVOYBYPYGVPAYIDEGHYPVQYIEVIZUCUHZYQYIDVIZUCUHZIVRVSBAYEYIFYFAYIDGYQ
        TUQZYSTUQZVTYRYTVTZVQYSUCUHZYPVQTUQUUAUUBUUCUUDWAWBVQYQYSWCWDYPUUAUUBUK
        TYIEHWEUKTYIDGWEWFIWGWHJWIWJZWKWLWMWNXPYDMBTXNBUTXOYCNXIXNBXMUCWOWPWQWR
        WSZWTXAXHCXBUHXHXJXBUHLABDEFGHIJXCXDXEYBOUGZBUCUHZOXIUIXJBUCUHYGUUHOXIU
        UGXIUQZYJUUGUTZAUKUJZUUHYMUUIUUKVKYNAUKUUGXHVMUOUUJUUHAUKUUJYOUUHYPYJUU
        GBUCVNUUEWKWLWMWNMNOXIBUUFXFWRXG $.
        $( [1-Jul-2006] $) $( [18-Mar-2005] $)
    $}
  $}

  ${
    $d x A $.  $d x B $.  $d x F $.  $d x y z w v u G $.  $d x z w v u H $.
    $d x y u T $.  $d x z w R $.  $d z w S $.  $d x y u D $.
    $d x y z w v u C $.
    cvgcmp3.1 $e |- F : NN --> RR $.
    cvgcmp3.2 $e |- T : NN --> CC $.
    cvgcmp3.3 $e |- ( x e. NN -> 0 <_ ( F ` x ) ) $.
    cvgcmp3.6 $e |- A e. V $.
    cvgcmp3.7 $e |- ( + seq1 F ) ~~> A $.
    cvgcmp3.8 $e |- H Fn NN $.
    cvgcmp3.9 $e |- ( x e. NN -> ( H ` x ) = ( abs ` ( T ` x ) ) ) $.
    cvgcmp3.10 $e |- G Fn NN $.
    cvgcmp3.11 $e |- ( x e. NN ->
                        ( G ` x ) = ( Re ` ( ( + seq1 T ) ` x ) ) ) $.
    cvgcmp3.12 $e |- R = { u e. RR | E. y e. NN A. v e. NN (
                      y <_ v -> u < ( G ` v ) ) } $.
    cvgcmp3.13 $e |- C Fn NN $.
    cvgcmp3.14 $e |- ( x e. NN ->
                         ( C ` x ) = ( Im ` ( ( + seq1 T ) ` x ) ) ) $.
    cvgcmp3.15 $e |- S = { u e. RR | E. y e. NN A. v e. NN (
                      y <_ v -> u < ( C ` v ) ) } $.
    cvgcmp3.16 $e |- D Fn NN $.
    cvgcmp3.17 $e |- ( x e. NN -> ( D ` x ) = ( i x. ( C ` x ) ) ) $.
    cvgcmp3.4 $e |- B e. NN $.
    ${
      $d x Q $.
      cvgcmp3c.18 $e |- Q e. RR $.
      cvgcmp3c.19 $e |- 0 <_ Q $.
      cvgcmp3c.5 $e |- ( ( x e. NN /\ B < x ) ->
                     ( abs ` ( T ` x ) ) <_ ( Q x. ( F ` x ) ) ) $.
      $( A comparison test for convergence of a complex infinite series, where
        the reference sequence is multiplied by a constant.  This version of
        ~ cvgcmp3ce shows the explicit value of the limit (which is why we
        need all the hypotheses). $)
      cvgcmp3c $p |- ( + seq1 T ) ~~>
                        ( sup ( R , RR , < ) + ( i x. sup ( S , RR , < ) ) ) $=
        ( vz vw caddc cseq1 co ser1f cc0 cv clt wbr cfv cmin cabs wi cn wral
        wrex cr crn csup ltso supex wf wfn wcel ffnfv cc ffvelrni absclt syl
        eqeltrd rgen mpbir2an cle absge0t breqtrrd wa cmul wceq adantr eqbrtrd
        cvgcmp2c wss axresscn fss mp2an climcau subclt ser1cl1 syl2an resubclt
        ser1recl recnd ser1absdif 3com12 3expa leabst letrd adantlll lelttrt
        adantll simpll syl3anc mpand ex an1rs a2d r19.20dva r19.22dva imim2d
        r19.20i ax-mp caucvg3a ) ACUOUPBDHJKUQLURUSZNGLQUTVAUOVBZVCVDZUPVBZCVBZ
        VCVDZYLUQOURUSZVEZYKYNVEZVFUSZVGVEZYIVCVDZVHZCVIVJZUPVIVKZVHZUOVLVJYJYM
        YLYHVEZYKYHVEZVFUSZVGVEZYIVCVDZVHZCVIVJZUPVIVKZVHZUOVLVJUOUPCYNVMZVLVCV
        NYNVLUUMVCVOVPAEFIMOSPVIVLOVQZOVIVRAVBZOVEZVLVSZAVIVJAVIVLOVTUAUUQAVIUU
        OVIVSZUUPUUOLVEZVGVEZVLUBUURUUSWAVSZUUTVLVSVIWAUUOLQWBZUUSWCWDWEWFWGZRU
        URVAUUTUUPWHUURUVAVAUUTWHVDUVBUUSWIWDUBWJTUKULUMUURFUUOVCVDZWKUUPUUTIUU
        OMVEWLUSWHUURUUPUUTWMUVDUBWNUNWOWPOUUNVLWAWQVIWAOVQUVCWRVIVLWAOWSWTUTXA
        UUCUULUOVLYIVLVSZUUBUUKYJUVEUUAUUJUPVIUVEYKVIVSZWKZYTUUICVIUVGYLVIVSZWK
        YMYSUUHUVEUVHUVFYMYSUUHVHZVHUVEUVHWKUVFWKZYMUVIUVJYMWKUUGYRWHVDZYSUUHUV
        HUVFYMUVKUVEUVHUVFWKZYMWKUUGYQYRUVLUUGVLVSZYMUVLUUFWAVSZUVMUUDWAVSUUEWA
        VSUVNUVHUVFUUDUUEXBYLLQXCYKLQXCXDUUFWCWDZWNUVLYQVLVSZYMYOVLVSYPVLVSUVPU
        VHUVFYOYPXEYLOUVCXFYKOUVCXFXDZWNUVLYRVLVSZYMUVLYQWAVSUVRUVLYQUVQXGYQWCW
        DZWNUVHUVFYMUUGYQWHVDZUVFUVHYMUVTAYKYLLOQUAUBXHXIXJUVLYQYRWHVDZYMUVLUVP
        UWAUVQYQXKWDWNXLXMUVJUVKYSWKUUHVHZYMUVMUVRUVEUWBUVJUUGYRYIXNUVHUVFUVMUV
        EUVOXOUVHUVFUVRUVEUVSXOUVEUVHUVFXPXQWNXRXSXTYAYBYCYDYEYFUCUDUEUFUGUHUIU
        JYG $.
        $( [20-Jun-2006] $) $( [24-Apr-2005] $)
    $}
  $}

  ${
    cvgcmp3ce.1 $e |- A e. V $.
    cvgcmp3ce.2 $e |- B e. NN $.
    cvgcmp3ce.3 $e |- F : NN --> RR $.
    cvgcmp3ce.4 $e |- ( x e. NN -> 0 <_ ( F ` x ) ) $.
    cvgcmp3ce.5 $e |- ( + seq1 F ) ~~> A $.
    ${
      $d x A $.
      $d x B $.  $d x F $.
      $d x y z w v u t h g G $.  $d x C $.
      cvgcmp3ce.6 $e |- C e. RR $.
      cvgcmp3ce.7 $e |- 0 <_ C $.
      cvgcmp3ce.8 $e |- G : NN --> CC $.
      cvgcmp3ce.9 $e |- ( ( x e. NN /\ B < x ) ->
                           ( abs ` ( G ` x ) ) <_ ( C x. ( F ` x ) ) ) $.
      $( A comparison test for convergence of a complex infinite series.
         If, beyond a certain index ` B ` , the absolute value of sequence
         ` G ` is smaller than a constant ` C ` times a convergent reference
         sequence ` F ` , then ` G ` converges to a complex number.  This
         version of ~ cvgcmp3c shows just the existence of the limit rather
         than its explicit value. $)
      cvgcmp3ce $p |- E. y ( + seq1 G ) ~~> y $=
        ( vw vv vz vu vt vh vg caddc cseq1 co cv cle wbr cn wcel cfv cre wceq
        wa copab clt wi wral wrex cr crab csup ci cim cmul cli wex cabs fvex
        eqid fnopab2 fveq2 fveq2d fvopab4 oprex opreq2d cvgcmp3c breq2 cla4ev
        ax-mp ) UDGUEUFZQUGRUGZUHUIZSUGZWCTUGZUJUKZUAUGZWFWBULZUMULZUNUOTUAUPZU
        LUQUIURRUJUSQUJUTSVAVBZVAUQVCZVDWDWEWCWGWHWIVEULZUNUOTUAUPZULUQUIURRUJU
        SQUJUTSVAVBZVAUQVCVFUFZUDUFZVGUIZWBBUGZVGUIZBVHAQRSCDWOUBUGZUJUKUCUGVDX
        BWOULZVFUFZUNUOUBUCUPZEWLWPGFWKWGWHWFGULZVIULZUNUOTUAUPZJOKHLTUAUJXGXHX
        FVIVJXHVKZVLTUAAUGZXGXJGULZVIULUJXHWFXJUNZXFXKVIWFXJGVMVNXIXKVIVJVOTUAU
        JWJWKWIUMVJWKVKZVLTUAXJWJXJWBULZUMULUJWKXLWIXNUMWFXJWBVMZVNXMXNUMVJVOWL
        VKTUAUJWNWOWIVEVJWOVKZVLTUAXJWNXNVEULUJWOXLWIXNVEXOVNXPXNVEVJVOWPVKUBUC
        UJXDXEVDXCVFVPXEVKZVLUBUCXJXDVDXJWOULZVFUFUJXEXBXJUNXCXRVDVFXBXJWOVMVQX
        QVDXRVFVPVOIMNPVRXAWSBWRWMWQUDVPWTWRWBVGVSVTWA $.
        $( [21-Jun-2006] $) $( [24-Apr-2005] $)
    $}

    ${
      $d z A $.  $d x z B $.  $d x z F $.  $d x y z G $.  $d x z C $.
      $d y z ph $.
      cvgcmp3cetlem1.6 $e |- ( ph <->
                               ( ( C e. RR /\ 0 <_ C ) /\ ( G : NN --> CC
  /\ A. x e. NN ( B < x -> ( abs ` ( G ` x ) ) <_ ( C x. ( F ` x ) ) ) ) ) ) $.
      $( Lemma for ~ cvgcmp3cet . $)
      cvgcmp3cetlem1 $p |- ( ph -> E. y ( + seq1 G ) ~~> y ) $=
        ( vz caddc cseq1 co cv cli wbr wex cn cc0 csn cxp cif wceq opreq2
        breq1d exbidv cfv cle fveq2 breq2d vtoclga cr wcel wa cc wf clt cabs
        cmul wi wral feq1 fveq1 fveq2d imbi2d ralbidv anbi12d anbi2d breq2
        opreq2d breq12d imbi12d cbvralv anbi2i bitr syl5bb eleq1 opreq1 0re
        leid pm3.2i wss 0cn elisseti fconst snssi ax-mp fss mp2an fvconst2
        abs0 syl6eq ffvelrni recnd mul02t syl syl5breqr eqbrtrd a1d rgen
        elimhyp2v pm3.26i pm3.27i rspec imp cvgcmp3ce dedth ) APHQRZCSZTUAZCUBP
        AHUCUDUEZUFZUGZQRZXNTUAZCUBHXQHXRUHZXOXTCYAXMXSXNTHXRPQUIUJUKOCDEAFUDUG
        ZGXRIJKUDBSZGULZUMUAUDOSZGULZUMUABYEUCYCYEUHZYDYFUDUMYCYEGUNZUOLUPMYBUQ
        URZUDYBUMUAZYIYJUSZUCUTXRVAZEYEVBUAZYEXRULZVCULZYBYFVDRZUMUAZVEZOUCVFZU
        SZAFUQURZUDFUMUAZUSZYLYMYOFYFVDRZUMUAZVEZOUCVFZUSZUSZYKYTUSUDUQURZUDUDU
        MUAZUSZUCUTXQVAZYMYEXQULZVCULZUDYFVDRZUMUAZVEZOUCVFZUSZUSHFXQUDUULYLYMY
        OUUPUMUAZVEZOUCVFZUSZUSYAUUCUCUTHVAZYMYEHULZVCULZUUDUMUAZVEZOUCVFZUSZUS
        ZUUIAYAUVKUUHUUCYAUVEYLUVJUUGUCUTHXRVGYAUVIUUFOUCYAUVHUUEYMYAUVGYOUUDUM
        YAUVFYNVCYEHXRVHVIUJVJVKVLVMAUUCUVEEYCVBUAZYCHULZVCULZFYDVDRZUMUAZVEZBU
        CVFZUSZUSUVLNUVTUVKUUCUVSUVJUVEUVRUVIBOUCYGUVMYMUVQUVHYCYEEVBVNYGUVOUVG
        UVPUUDUMYGUVNUVFVCYCYEHUNVIYGYDYFFVDYHVOVPVQVRVSVSVTWAFYBUHZUUCYKUUHYTU
        WAUUAYIUUBYJFYBUQWBFYBUDUMVNVLUWAUUGYSYLUWAUUFYROUCUWAUUEYQYMUWAUUDYPYO
        UMFYBYFVDWCUOVJVKVMVLXQXRUHZUUTUVDUULUWBUUMYLUUSUVCUCUTXQXRVGUWBUURUVBO
        UCUWBUUQUVAYMUWBUUOYOUUPUMUWBUUNYNVCYEXQXRVHVIUJVJVKVLVMUDYBUHZUULYKUVD
        YTUWCUUJYIUUKYJUDYBUQWBUDYBUDUMVNVLUWCUVCYSYLUWCUVBYROUCUWCUVAYQYMUWCUU
        PYPYOUMUDYBYFVDWCUOVJVKVMVLUULUUTUUJUUKWDUDWDWEZWFUUMUUSUCXPXQVAXPUTWGZ
        UUMUCUDUDUTWHWIZWJUDUTURUWEWHUDUTWKWLUCXPUTXQWMWNUUROUCYEUCURZUUQYMUWGU
        UOUDUUPUMUWGUUOUDVCULUDUWGUUNUDVCUCUDYEUWFWOVIWPWQUWGUDUUPUDUMUWGYFUTUR
        UUPUDUHUWGYFUCUQYEGKWRWSYFWTXAUWDXBXCXDXEWFWFXFZXGZXGYIYJUWIXHYLYSYKYTU
        WHXHZXGUWGYMYQYROUCYLYSUWJXHXIXJXKXL $.
        $( [21-Jun-2006] $) $( [24-Apr-2005] $)
    $}

  $}

  ${
    $d x y z B $.  $d x y z F $.  $d x y z G $.  $d x y z C $.  $d ph y z $.
    cvgcmp3cetlem2.1 $e |- A e. V $.
    cvgcmp3cetlem2.2 $e |- B e. NN $.
    cvgcmp3cetlem2.3 $e |- ( ph <-> ( ( F : NN --> RR /\
  A. x e. NN 0 <_ ( F ` x ) ) /\ ( + seq1 F ) ~~> A ) ) $.
    $( Lemma for ~ cvgcmp3cet . $)
    cvgcmp3cetlem2 $p |- ( ( ph /\ ( ( C e. RR /\ 0 <_ C ) /\
               ( G : NN --> CC /\ A. x e. NN ( B < x -> ( abs ` ( G ` x ) ) <_
                  ( C x. ( F ` x ) ) ) ) ) ) -> E. y ( + seq1 G ) ~~> y ) $=
      ( vz cr wcel cc0 cle wbr wa cn cc wf cv clt cfv cabs cmul co wi wral
      caddc cseq1 cli wex csn cxp cif wceq fveq1 opreq2d breq2d imbi2d ralbidv
      anbi2d imbi1d 0re elisseti ifex feq1 anbi12d opreq2 breq1d fveq2 cbvralv
      anbi2i anbi1i bitr syl5bb breq2 wss fconst snssi ax-mp fss mp2an
      fvconst2 leid syl5breqr rgen pm3.2i ser1clim0 elimhyp2v pm3.26i pm3.27i
      rspec pm4.2 cvgcmp3cetlem1 dedth fveq2d breq12d imbi12d syl5ib imp ) AFMN
      OFPQRZSTHUAZEBUBZUCQZXEHUDZUEUDZFXEGUDZUFUGZPQZUHZBSUIZRZRZUJHUKUGCUBULQC
      UMZAXCXDELUBZUCQZXQHUDZUEUDZFXQGUDZUFUGZPQZUHZLSUIZRZRZXPXOAYGXPUHXCXDXRX
      TFXQAGSOUNZUOZUPZUDZUFUGZPQZUHZLSUIZRZRZXPUHGYIGYJUQZYGYQXPYRYFYPXCYRYEYO
      XDYRYDYNLSYRYCYMXRYRYBYLXTPYRYAYKFUFXQGYJURZUSUTVAVBVCVCVDYQLCADOUPZEFYJH
      ADOIOMVEVFZVGJSMYJUAZOYKPQZLSUIZUUBUUDRZUJYJUKUGZYTULQZAUUEUUFDULQZRZUUEU
      UGRSMYIUAZOXQYIUDZPQZLSUIZRZUJYIUKUGZOULQZRGDYIOUUEUUFOULQZRYRSMGUAZOYAPQ
      ZLSUIZRZUJGUKUGZDULQZRZUUIAYRUVAUUEUVCUUHYRUURUUBUUTUUDSMGYJVHYRUUSUUCLSY
      RYAYKOPYSUTVBVIYRUVBUUFDULGYJUJUKVJVKVIAUUROXIPQZBSUIZRZUVCRUVDKUVGUVAUVC
      UVFUUTUURUVEUUSBLSXEXQUQZXIYAOPXEXQGVLZUTVMVNVOVPVQDYTUQUUHUUGUUEDYTUUFUL
      VRVCYIYJUQZUUNUUEUUPUUQUVJUUJUUBUUMUUDSMYIYJVHUVJUULUUCLSUVJUUKYKOPXQYIYJ
      URUTVBVIUVJUUOUUFOULYIYJUJUKVJVKVIOYTUQUUQUUGUUEOYTUUFULVRVCUUNUUPUUJUUMS
      YHYIUAYHMVSZUUJSOUUAVTOMNUVKVEOMWAWBSYHMYIWCWDUULLSXQSNOUUKOPSOXQUUAWEOVE
      WFWGWHWIWJWIWKZWLZWLUUCLSUUBUUDUVMWMWNUUEUUGUVLWMYQWOWPWQXNYFXCXMYEXDXLYD
      BLSUVHXFXRXKYCXEXQEUCVRUVHXHXTXJYBPUVHXGXSUEXEXQHVLWRUVHXIYAFUFUVIUSWSWTV
      MVNVNXAXB $.
      $( [21-Jun-2006] $) $( [25-Apr-2005] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d x y F $.  $d x y G $.  $d x y C $.
    cvgcmp3cet.6 $e |- A e. V $.
    $( A comparison test for convergence of a complex infinite series.  Closed
       theorem form of ~ cvgcmp3ce . $)
    cvgcmp3cet $p |- ( ( B e. NN /\ ( ( ( F : NN --> RR /\ A. x e. NN
      0 <_ ( F ` x ) ) /\ ( + seq1 F ) ~~> A ) /\ ( ( C e. RR /\ 0 <_ C ) /\
                ( G : NN --> CC /\ A. x e. NN ( B < x -> ( abs ` ( G ` x ) ) <_
                ( C x. ( F ` x ) ) ) ) ) ) ) -> E. y ( + seq1 G ) ~~> y ) $=
      ( cn wcel cr wf cc0 cv cfv cle wbr wral wa caddc cseq1 co cli cc clt
      cabs cmul wi wex c1 cif wceq breq1 imbi1d ralbidv anbi2d 1nn elimel
      pm4.2 cvgcmp3cetlem2 dedth imp ) DIJZIKFLMANZFOZPQAIRSTFUAUBCUCQSZEKJMEPQ
      SZIUDGLZDVDUEQZVDGOUFOEVEUGUBPQZUHZAIRZSZSZSZTGUAUBBNUCQBUIZVCVOVPUHVFVGV
      HVCDUJUKZVDUEQZVJUHZAIRZSZSZSZVPUHDUJDVQULZVOWCVPWDVNWBVFWDVMWAVGWDVLVTVH
      WDVKVSAIWDVIVRVJDVQVDUEUMUNUOUPUPUPUNVFABCVQEFGHDUJIUQURVFUSUTVAVB $.
      $( [22-Jun-2006] $) $( [25-Apr-2005] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          Infinite sums (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d m n x y A $.  $d m n x y M $.  $d m n x y k $.
    $( Series sum with an infinite index set (i.e. an infinite series). $)
    dfisum $p |- ( M e. ZZ -> sum_ k e. ( ZZ> ` M ) A =
       U. { x |
    ( <. M , + >. seq ( { <. k , y >. | y = A } |` ZZ ) ) ~~> x } ) $=
      ( vm vn cz wcel cuz cfv cv cfz co wceq caddc cop copab cres cseqz wa
      wrex wex cab cli wbr cuni cun csu c0 wn fzneuzt eqcom negbii sylib
      ancoms intnanrd nrexdv nexdv abn0 necon1bbii uz11t syl6bb anbi1d rexbidv
      opeq1 opreq1d breq1d ceqsrexv bitrd abbidv unieqd uneq12d uncom un0 eqtr
      syl6eq df-sum syl5eq ) EHIZEJKZFLZGLZMNZOZALZWCWBPQZBLCODBRHSZTNZKIZUAZGW
      BJKZUBZFUCZAUDZWAWLOZWIWFUEUFZUAZFHUBZAUDZUGZUHZEPQZWHTNZWFUEUFZAUDZUGZWA
      CDUIVTXBUJXGUHZXGVTWOUJXAXGVTWNAUCZUKWOUJOVTWNAVTWMFVTWKGWLVTWCWLIZUAWEWJ
      XJVTWEUKZXJVTUAWDWAOZUKXKEWBWCULXLWEWDWAUMUNUOUPUQURUSUSXIWOUJWNAUTVAUOVT
      WTXFVTWSXEAVTWSWBEOZWQUAZFHUBXEVTWRXNFHVTWPXMWQVTWPEWBOXMEWBVBEWBUMVCVDVE
      WQXEFEHXMWIXDWFUEXMWGXCWHTWBEPVFVGVHVIVJVKVLVMXHXGUJUHXGUJXGVNXGVOVPVQABW
      ACDFGVRVS $.
      $( [25-Dec-2005] $) $( [11-Dec-2005] $)
  $}

  ${
    $d k x y F $.  $d x y M $.
    isumvalt.1 $e |- F e. V $.
    $( The value of the sum of a series ` F ` from ` M ` to infinity is the
      unique (by ~ climuni ) value it converges to (if it converges).  The sum
      evaluates to the empty set when it doesn't converge, but this shouldn't
      be depended on to indicate non-convergence (because it would presuppose a
      construction-dependent property of complex numbers, i.e. that no complex
      number equals the empty set, which, although by ~ 0ncn is true for our
      specific construction, is not specified by their axioms and may fail for
      some other construction).  Instead, use
      ` -. E. x e. CC ( <. M , + >. seq F ) ~~> x ` to indicate
      non-convergence. $)
    isumvalt $p |- ( M e. ZZ ->
            sum_ k e. ( ZZ> ` M ) ( F ` k ) =
                   U. { x | ( <. M , + >. seq F ) ~~> x } ) $=
      ( vy cz wcel cuz cfv cv csu caddc cop wceq copab cres cseqz co cli wbr
      cab cuni dfisum addex seqzres2 breq1d abbidv unieqd eqtrd ) DGHZDIJBKCJZB
      LDMNZFKULOBFPGQRSZAKZTUAZAUBZUCUMCRSZUOTUAZAUBZUCAFULBDUDUKUQUTUKUPUSAUKU
      NURUOTFMBCDUEEUFUGUHUIUJ $.
      $( [28-Dec-2005] $) $( [11-Dec-2005] $)
  $}

  ${
    $d j x y z F $.  $d x z M $.  $d j k y z $.
    isumvaltf.1 $e |- F e. V $.
    isumvaltf.2 $e |- ( y e. F -> A. k y e. F ) $.
    $( Version of ~ isumvalt with a bound-variable hypothesis instead of a
       distinct variable condition. $)
    isumvaltf $p |- ( M e. ZZ ->
            sum_ k e. ( ZZ> ` M ) ( F ` k ) =
                   U. { x | ( <. M , + >. seq F ) ~~> x } ) $=
      ( vj vz cz wcel cuz cfv cv csu caddc cop cseqz co cli wbr cab cuni
      isumvalt ax-17 hblem hbfv fveq2 cbvsum syl5eq ) EJKELMZHNZDMZHOEPQDRSANTU
      AAUBUCUKCNZDMZCOAHDEFUDIUKUOUMCHINZUOKHUECIULDCBIDGUFUPULKCUEUGUNULDUHUIU
      J $.
      $( [12-May-2006] $) $( [13-Dec-2005] $)
  $}

  ${
    $d y A $.  $d x z F $.  $d k x y z M $.
    isumval2t.1 $e |- A e. V $.
    isumval2t.2 $e |- F = { <. k , y >. | ( k e. ( ZZ> ` M ) /\ y = A ) } $.
    $( Sum of ` A ( k ) ` from ` M ` to infinity. $)
    isumval2t $p |- ( M e. ZZ ->
            sum_ k e. ( ZZ> ` M ) A =
                   U. { x | ( <. M , + >. seq F ) ~~> x } ) $=
      ( vz cz wcel cuz cfv cv csu caddc cop cseqz co cli wbr cab cuni fvex
      fopabex2 wceq wa copab hbopab1 hbxfr isumvaltf cvv fvopab2 mpan2 fveq1i
      syl5eq sumeq2i syl5eqr ) FJKFLMZDNZEMZDOFPQERSANTUAAUBUCUSCDOAIDEFDBUSCEF
      LUDHUEDIEUTUSKZBNCUFUGZDBUHZHVCDBIUIUJUKUSVACDVBUTVDMZCVAVBCULKVECUFGDBUS
      CULUMUNUTEVDHUOUPUQUR $.
      $( [31-Mar-2008] $) $( [2-Jan-2006] $)
  $}

  ${
    $d x A $.  $d x y F $.  $d x M $.  $d k y $.
    isumclimtf.1 $e |- ( y e. F -> A. k y e. F ) $.
    isumclimtf.2 $e |- F e. V $.
    isumclimtf.3 $e |- A e. V $.
    $( Version of ~ isumclimt with a bound-variable hypothesis instead of a
       distinct variable condition. $)
    isumclimtf $p |- ( ( M e. ZZ /\ ( <. M , + >. seq F ) ~~> A ) ->
                   sum_ k e. ( ZZ> ` M ) ( F ` k ) = A ) $=
      ( vx cz wcel caddc cop cseqz co cli wbr cuz cfv cv csu cvv crab cuni cab
      isumvaltf rabab unieqi syl6eqr wceq wreu wa wb weu climeu df-reu visset
      biantrur eubii bitr4 sylibr jctil breq2 reuuni2 syl ibi sylan9eq ) EJKZEL
      MDNOZBPQZERSCTDSCUAZVIITZPQZIUBUCZUDZBVHVKVMIUEZUDVOIACDEGFUFVNVPVMIUGUHU
      IVJVOBUJZVJBUBKZVMIUBUKZULVJVQUMVJVSVRVJVMIUNZVSIBVIHUOVSVLUBKZVMULZIUNVT
      VMIUBUPVMWBIWAVMIUQURUSUTVAHVBVMVJIUBBVLBVIPVCVDVEVFVG $.
      $( [12-May-2006] $) $( [10-May-2006] $)
  $}

  ${
    $d x k F $.
    isumclimt.1 $e |- F e. V $.
    isumclimt.2 $e |- A e. V $.
    $( An infinite sum equals the value its series converges to. $)
    isumclimt $p |- ( ( M e. ZZ /\ ( <. M , + >. seq F ) ~~> A ) ->
                   sum_ k e. ( ZZ> ` M ) ( F ` k ) = A ) $=
      ( vx cv wcel ax-17 isumclimtf ) GABCDGHCIBJEFK $.
      $( [10-Jan-2006] $) $( [25-Dec-2005] $)

    $( An infinite sum equals the value its series converges to. $)
    isum1clim $p |- ( ( + seq1 F ) ~~> A -> sum_ k e. NN ( F ` k ) = A ) $=
      ( caddc cseq1 co cli wbr c1 cuz cfv cv csu cn cop cseqz wceq addex
      seq1seqz breq1i cz wcel 1z isumclimt mpan sylbi nnuz sumeq1i syl5eq ) FCG
      HZAIJZKLMZBNCMZBOZAPUOBOUMKFQCRHZAIJZUPASZULUQAIFCTDUAUBKUCUDURUSUEABCKDE
      UFUGUHPUNUOBUIUJUK $.
      $( [5-Aug-2008] $) $( [10-Jul-2008] $)
  $}

  ${
    $d x y F $.  $d x M $.  $d k x y $.
    isumclim2tf.1 $e |- ( y e. F -> A. k y e. F ) $.
    isumclim2tf.2 $e |- F e. V $.
    $( Version of ~ isumclim2t with a bound-variable hypothesis instead of a
       distinct variable condition. $)
    isumclim2tf $p |- ( ( M e. ZZ /\ E. x ( <. M , + >. seq F ) ~~> x ) ->
              ( <. M , + >. seq F ) ~~> sum_ k e. ( ZZ> ` M ) ( F ` k ) ) $=
      ( cz wcel caddc cop cseqz co cv cli wbr wex cuz cfv csu wa pm3.27 visset
      isumclimtf breqtrrd ex 19.23adv imp ) EHIZEJKDLMZANZOPZAQUJERSCNDSCTZOPZU
      IULUNAUIULUNUIULUAUJUKUMOUIULUBBUKCDEFGAUCUDUEUFUGUH $.
      $( [17-Feb-2006] $) $( [9-Jan-2006] $)
  $}

  ${
    $d k x y F $.  $d x M $.
    isumclim2t.1 $e |- F e. V $.
    $( A converging series converges to its infinite sum. $)
    isumclim2t $p |- ( ( M e. ZZ /\ E. x ( <. M , + >. seq F ) ~~> x ) ->
              ( <. M , + >. seq F ) ~~> sum_ k e. ( ZZ> ` M ) ( F ` k ) ) $=
      ( vy cv wcel ax-17 isumclim2tf ) AFBCDFGCHBIEJ $.
      $( [10-Jan-2006] $) $( [2-Jan-2006] $)
  $}

  ${
    $d x y z A $.  $d k x y z M $.  $d z F $.
    isumclim3t.1 $e |- A e. V $.
    isumclim3t.2 $e |- F = { <. k , y >. | ( k e. ( ZZ> ` M ) /\ y = A ) } $.
    $( A converging series converges to its infinite sum. $)
    isumclim3t $p |- ( ( M e. ZZ /\ E. x ( <. M , + >. seq F ) ~~> x ) ->
                     ( <. M , + >. seq F ) ~~> sum_ k e. ( ZZ> ` M ) A ) $=
      ( vz cz wcel caddc cop cseqz co cv cli wbr wex wa cuz cfv wceq copab csu
      opreq2i a1i eqcomd breq1d exbidv biimpar hbopab1 fvex opabex2
      isumclim2tf syldan cvv fvopab2 mpan2 sumeq2i syl6breq syl5eqbr ) FJKZFLMZ
      ENOZAPZQRZASZTZVDDPZFUAUBZKZBPCUCTZDBUDZNOZVKCDUEZVEQVIVOVKVJVNUBZDUEZVPQ
      VCVHVOVFQRZASZVOVRQRVCVTVHVCVSVGAVCVOVEVFQVCVEVOVEVOUCVCEVNVDNHUFZUGUHUIU
      JUKAIDVNFVMDBIULDBVKCFUAUMUNUOUPVKVQCDVLCUQKVQCUCGDBVKCUQURUSUTVAWAVB $.
      $( [17-Feb-2006] $) $( [9-Jan-2006] $)

    ${
      isumclim4t.3 $e |- B e. V $.
      $( An infinite sum equals the value its series converges to. $)
      isumclim4t $p |- ( ( M e. ZZ /\ ( <. M , + >. seq F ) ~~> B ) ->
                     sum_ k e. ( ZZ> ` M ) A = B ) $=
        ( vz cz wcel caddc cop cseqz co cli wbr wa cuz cfv cv csu wceq copab
        hbopab1 hbxfr fvex fopabex2 isumclimtf wss ssid sumeqfv ax-mp syl5eqr
        ) FKLFMNEOPCQRSFTUAZDUBZEUADUCZCUPBDUCZJCDEFDJEUQUPLAUBBUDSZDAUEHUTDAJU
        FUGDAUPBEFTUHHUIIUJUPUPUKURUSUDUPULABUPUPDEGHUMUNUO $.
        $( [9-Jun-2006] $) $( [10-May-2006] $)
    $}
  $}

  ${
    $d j x y z A $.  $d j k x y z M $.
    isumclim5t.1 $e |- A e. V $.
    isumclim5t.2 $e |- F = { <. j , y >. | ( j e. ( ZZ> ` M ) /\ y =
                      sum_ k e. ( M ... j ) A ) } $.
    $( The sequence of partial finite sums of a converging infinite series
       converge to the infinite sum of the series.  Note that ` j ` must not
       occur in ` A ` . $)
    isumclim5t $p |- ( ( M e. ZZ /\ E. x F ~~> x ) ->
                     F ~~> sum_ k e. ( ZZ> ` M ) A ) $=
      ( vz cz wcel cv cli wbr wex wa caddc cop cuz cfv wceq copab cseqz co csu
      eqid serzfsum adantr breq1d exbidv biimpar isumclim3t syldan eqbrtrrd )
      GKLZFAMZNOZAPZQGRSEMGTUAZLJMCUBQEJUCZUDUEZFUTCEUFZNUPVBFUBUSJBCEDVAFGHVAU
      GZIUHZUIUPUSVBUQNOZAPZVBVCNOUPVGUSUPVFURAUPVBFUQNVEUJUKULAJCEVAGHVDUMUNUO
      $.
      $( [17-Feb-2006] $) $( [9-Jan-2006] $)
  $}

  ${
    $d F k x $.  $d M x $.
    isumnul.1 $e |- F e. V $.
    $( The sum of a non-convergent infinite series evaluates to the empty set.
       (Contributed by Paul Chapman, 04-Nov-2007.) $)
    isumnul $p |- ( ( M e. ZZ /\ -. E. x ( <. M , + >. seq F ) ~~> x ) ->
                  sum_ k e. ( ZZ> ` M ) ( F ` k ) = (/) ) $=
      ( cz wcel caddc cop cseqz co cv cli wbr wex wn wa cuz cfv csu cab cuni
      c0 wceq isumvalt adantr wne abn0 biimp necon1bi unieqd adantl uni0 a1i
      3eqtrd ) DFGZDHICJKALMNZAOZPZQZDRSBLCSBTZUQAUAZUBZUCUBZUCUPVAVCUDUSABCDEU
      EUFUSVCVDUDUPUSVBUCURVBUCVBUCUGURUQAUHUIUJUKULVDUCUDUTUMUNUO $.
      $( [4-Nov-2007] $) $( [4-Nov-2007] $)
  $}

  ${
    $d F k x $.  $d K k x $.  $d M k x $.  $d N k x $.
    isumshft.1 $e |- F e. V $.
    isumshft.2 $e |- K e. ZZ $.
    isumshft.3 $e |- M e. ZZ $.
    isumshft.4 $e |- N = ( M + K ) $.
    $( Index shift of an infinite sum.  (Contributed by Paul Chapman,
       31-Oct-2007.) $)
    isumshft $p |- sum_ k e. ( ZZ> ` M ) ( F ` k ) =
                      sum_ k e. ( ZZ> ` N ) ( F ` ( k - K ) ) $=
      ( vx caddc cop cseqz co cv cli wbr wex cuz cfv csu cmin wceq cz wcel
      visset isumclimt mpan cshi cvv wb eqid iserzshft ax-mp zaddclt mp2an
      eqeltr oprex sylbi cc eluzelz zcnt syl shftvalt sumeq2i syl5eqr eqtr4d
      19.23aiv wn c0 isumnul exbii negbii syl6eq pm2.61i ) DKLBMNJOZPQZJRZDSTAO
      ZBTAUAZESTZVSCUBNBTZAUAZUCZVQWDJVQVTVPWCDUDUEZVQVTVPUCHVPABDFJUFZUGUHVQWA
      VSBCUINZTZAUAZVPWCVQEKLWGMNVPPQZWIVPUCZVPUJUEVQWJUKWFVPUJBWGCDEFHGIWGULUM
      UNZEUDUEZWJWKEDCKNZUDIWECUDUEZWNUDUEHGDCUOUPUQZVPAWGEBCUIURZWFUGUHUSWAWHW
      BAVSWAUEZVSUTUEZWHWBUCZWRVSUDUEWSEVSVAVSVBVCWOWSWTGCVSUDBFVDUHVCVEZVFVGVH
      VRVIZVTWIWCXBVTVJWIWEXBVTVJUCHJABDFVKUHXBWJJRZVIZWIVJUCZVRXCVQWJJWLVLVMWM
      XDXEWPJAWGEWQVKUHUSVGXAVNVO $.
      $( [4-Nov-2007] $) $( [31-Oct-2007] $)

    $( Index shift of an infinite sum.  (Contributed by Paul Chapman,
       31-Oct-2007.) $)
    isumshft2 $p |- sum_ k e. ( ZZ> ` N ) ( F ` k ) =
                       sum_ k e. ( ZZ> ` M ) ( F ` ( K + k ) ) $=
      ( vx caddc cop cseqz co cv cli wbr wex cuz cfv csu wceq cz wcel zaddclt
      mp2an eqeltr visset isumclimt mpan cneg cshi cvv wb znegclt ax-mp cmin
      cc zcnt negsub eqcomi subadd2 mpbir eqtr2 eqid iserzshft oprex sylbi
      eluzelz syl shftval4t sumeq2i syl5eqr eqtr4d 19.23aiv wn c0 isumnul
      exbii negbii syl6eq pm2.61i ) EKLBMNJOZPQZJRZESTAOZBTAUAZDSTZCWFKNBTZAUAZ
      UBZWDWKJWDWGWCWJEUCUDZWDWGWCUBEDCKNZUCIDUCUDZCUCUDZWMUCUDHGDCUEUFUGZWCABE
      FJUHZUIUJWDWHWFBCUKZULNZTZAUAZWCWJWDDKLWSMNWCPQZXAWCUBZWCUMUDWDXBUNWQWCUM
      BWSWREDFWPWOWRUCUDGCUOUPEWRKNECUQNZDECWLEURUDWPEUSUPZWOCURUDZGCUSUPZUTXDD
      UBWMEUBEWMIVAECDXEXGWNDURUDHDUSUPVBVCVDWSVEVFUPZWNXBXCHWCAWSDBWRULVGZWQUI
      UJVHWHWTWIAWFWHUDZWFURUDZWTWIUBZXJWFUCUDXKDWFVIWFUSVJXFXKXLXGCWFBFVKUJVJV
      LZVMVNVOWEVPZWGXAWJXNWGVQXAWLXNWGVQUBWPJABEFVRUJXNXBJRZVPZXAVQUBZWEXOWDXB
      JXHVSVTWNXPXQHJAWSDXIVRUJVHVNXMWAWB $.
      $( [4-Nov-2007] $) $( [31-Oct-2007] $)
  $}

  ${
    $d j k n x F $.  $d j k n x M $.
    isum1p.1 $e |- F e. V $.
    $( The infinite sum of a converging infinite series equals the first term
       plus the infinite sum of the rest of it. $)
    isum1p $p |- ( ( M e. ZZ /\ A. k e. ( ZZ> ` M ) ( F ` k ) e. CC /\
  E. x ( <. ( M + 1 ) , + >. seq F ) ~~> x ) -> sum_ k e. ( ZZ> ` M ) ( F ` k )
                 = ( ( F ` M ) + sum_ k e. ( ZZ> ` ( M + 1 ) ) ( F ` k ) ) ) $=
      ( vj vn cz wcel cv cfv cc cuz wral c1 caddc co cop cseqz cli wbr wex csu
      wceq wa isumclim2t peano2z sylan adantlr oprex isumclimt simpll sumex
      fvex climaddc2 pm3.27 fveq2 eleq1d rcla4va uzidt adantr ad2antrr cfz
      serzclt peano2uzr ex elfzuzt syl5 imim1d r19.20dv2 a1dd imp31 sylanc clt
      serz1p 3expa eluzp1lt jca an1rs imim1i r19.20i2 sylanl2 r19.21aiva
      syl2anc syldan 3impa cbvralv syl3an2b ) DHIZFJZCKZLIZFDMKZNZDOPQZPRZCSQZA
      JTUAAUBZWMBJZCKZBUCDCKZWOMKZWTBUCZPQZUDZWTLIZBWMNWIWNWRXEWIWNUEZWRWQXCTUA
      ZXEWIWRXHWNWOHIZWRXHWIABCWOEUFDUGZUHUIWIDPRZCSQZXDTUAZXEXGXHUEZXDBCDEXAXC
      PUJUKWIWNXHULXHXALIZXIGJZWQKZLIZXPXLKXAXQPQUDZUEZGXBNZXMXNXCXAGWQXLWOWPCS
      UJXKCSUJXBWTBUMDCUNUOXGXHUPXGXOXHDWMIWNXOWIWLXOFDWMWJDUDWKXALWJDCUQURUSDU
      TUHVAWIXIWNXHXJVBXGYAXHXGXTGXBXGXPXBIZUEZXRXSYBWLFWOXPVCQZNZXRYCFCWOXPEVD
      XGYBUPWIWNYBYEWIWNYEYBWIWLWLFWMYDWIWJYDIZWJWMIZWLWIWJXBIZYGYFWIYHYGDWJVEV
      FWJWOXPVGVHVIVJVKVLVMWIWLFDXPVCQZNZYBXSWNWIYBYJXSXPWMIZDXPVNUAZUEYJXSWIYB
      UEZYKYLYJXSFCDXPEVOVPYMYKYLDXPVEDXPVQVRUHVSWLWLFWMYIWJYIIYGWLWJDXPVGVTWAW
      BVRWCVAWDVMWEWFXFWLBFWMWSWJUDWTWKLWSWJCUQURWGWH $.
      $( [10-Jan-2006] $) $( [2-Jan-2006] $)
  $}

  ${
    $d x k F $.
    isumnn0nn.1 $e |- F e. V $.
    $( Sum from 0 to infinity in terms of sum from 1 to infinity. $)
    isumnn0nn $p |- ( ( A. k e. NN0 ( F ` k ) e. CC /\
  E. x ( + seq1 F ) ~~> x ) -> sum_ k e. NN0 ( F ` k )
                 = ( ( F ` 0 ) + sum_ k e. NN ( F ` k ) ) ) $=
      ( cv cfv cc wcel cn0 wral caddc cseq1 co cli wbr wex wa cc0 cuz csu c1
      cn cop cseqz wceq cz 0z isum1p mp3an1 wb nn0uz raleq1 ax-mp addex
      seq1seqz ax1cn addid2 opeq1i opreq1i eqtr4 breq1i exbii syl2anb sumeq1i
      nnuz fveq2i opreq2i 3eqtr4g ) BECFZGHZBIJZKCLMZAEZNOZAPZQRSFZVIBTZRCFZRUA
      KMZSFZVIBTZKMZIVIBTVRUBVIBTZKMVJBVPJZVSKUCZCUDMZVMNOZAPZVQWBUEZVKVORUFHWD
      WHWIUGABCRDUHUIIVPUEVKWDUJUKVJBIVPULUMVNWGAVLWFVMNVLUAKUCZCUDMWFKCUNDUOWE
      WJCUDVSUAKUAUPUQZURUSUTVAVBVCIVPVIBUKVDWCWAVRKUBVTVIBUBUASFVTVEVSUASWKVFU
      TVDVGVH $.
      $( [10-Jan-2006] $) $( [2-Jan-2006] $)
  $}

  ${
    $d z A $.  $d j x y F $.  $d j k y z $.
    isumnn0nna.1 $e |- A e. V $.
    isumnn0nna.3 $e |- F e. V $.
    isumnn0nna.4 $e |- ( y e. F -> A. k y e. F ) $.
    isumnn0nna.5 $e |- ( k e. NN0 -> ( F ` k ) = A ) $.
    $( Sum from 0 to infinity in terms of sum from 1 to infinity of a class
       term ` A ( k ) ` . $)
    isumnn0nna $p |- ( ( A. k e. NN0 A e. CC /\ E. x ( + seq1 F ) ~~> x ) ->
                     sum_ k e. NN0 A = ( [_ 0 / k ]_ A + sum_ k e. NN A ) ) $=
      ( vj vz cv cfv cc wcel cn0 wral caddc cseq1 co cli wbr wex csu cc0 csb
      cn wceq wa isumnn0nn sumeq2i ax-17 hbfv fveq2 cbvsum eqtr3 0nn0 elisseti
      hbcsb1 hbeq csbeq1a eqeq12d vtoclgaf ax-mp eqcomi nnnn0t syl eqtr
      opreq12i 3eqtr4g eleq1d ralbiia hbel cbvral bitr3 sylanb ) JLZEMZNOZJPQZR
      ESTALUAUBAUCZPCDUDZDUECUFZUGCDUDZRTZUHCNOZDPQZVTWAUIPVRJUDZUEEMZUGVRJUDZR
      TZWBWEAJEGUJPDLZEMZDUDWBWHPWMCDIUKBPWMVRDJBLZWMOJULZDBVQEHWNVQODULUMZWLVQ
      EUNZUOUPWKWEWIWCWJWDRUEPOWIWCUHZUQWMCUHZWRDKUEPKLZUEODULZDBKWIWCDBUEEHWNU
      EODULUMDKUECUEPUQURXAUSUTWLUEUHWMWICWCWLUEEUNDUECVAVBIVCVDWJUGWMDUDZWDXBW
      JBUGWMVRDJWOWPWQUOVEUGWMCDWLUGOWLPOZWSWLVFIVGUKVHVIVEVJWGWMNOZDPQVTXDWFDP
      XCWMCNIVKVLXDVSDJPXDJULDBKVRNWPWTNODULVMWLVQUHWMVRNWQVKVNVOVP $.
      $( [9-Feb-2007] $) $( [2-Nov-2007] $)
  $}

$(
  @{
    @d x A @.  @d k x F @.  @d x N @.
    isumadd.1 @e |- F e. V @.
    isumadd.2 @e |- G e. V @.
    @( Infinite sum of the sum of two converging sequences. @)
    isumadd @p |- ( ( N e. ZZ /\ E. x ( <. N , + >. seq F ) ~~> x /\
                    E. y ( <. N , + >. seq G ) ~~> y ) ->
               sum_ k e. ( ZZ> ` N ) ( ( F ` k ) + ( G ` k ) ) =
     ( sum_ k e. ( ZZ> ` N ) ( F ` k ) + sum_ k e. ( ZZ> ` N ) ( G ` k ) ) ) @=
      ? @.
      @( [?] @) @( [2-Jan-2006] @)
  @}
$)

  ${
    $d j k x F $.  $d j x M $.
    isumclt.1 $e |- F e. V $.
    $( The sum of a converging infinite series is a complex number. $)
    isumclt $p |- ( ( M e. ZZ /\ E. x ( <. M , + >. seq F ) ~~> x ) ->
                    sum_ k e. ( ZZ> ` M ) ( F ` k ) e. CC ) $=
      ( cz wcel caddc cop cseqz co cv cli wbr wex cuz cfv csu cc cab cuni
      isumvalt eleq1d crab wreu hbreu1 visset climreu 19.23ai reucl syl wa cvv
      climcl mpan pm4.71ri abbii df-rab eqtr4 unieqi syl5eqel syl5bir imp ) DFG
      ZDHICJKZALZMNZAOZDPQBLCQBRZSGZVDVJVGATZUAZSGVHVDVIVLSABCDEUBUCVHVGASUDZUA
      ZSVLVHVGASUEZVNSGVGVOAVGASUFAVFVEAUGZUHUIVGASUJUKVKVMVKVFSGZVGULZATVMVGVR
      AVGVQVFUMGVGVQVPVFUMVEUNUOUPUQVGASURUSUTVAVBVC $.
      $( [1-Feb-2006] $) $( [13-Dec-2005] $)
  $}

  ${
    $d j k x F $.  $d j k x M $.
    isumreclt.1 $e |- F e. V $.
    $( The sum of a converging real infinite series is a real number. $)
    isumreclt $p |- ( ( M e. ZZ /\ A. k e. ( ZZ> ` M ) ( F ` k ) e. RR /\
                       E. x ( <. M , + >. seq F ) ~~> x ) ->
                    sum_ k e. ( ZZ> ` M ) ( F ` k ) e. RR ) $=
      ( vj cz wcel cv cfv cr cuz wral caddc cop cseqz co cli wbr wex csu wa
      wceq visset isumclimt adantlr wi cfz serzreclt elfzuzt imim1i r19.20i2
      sylan2 expcom adantl r19.21aiv climrecl 3expa syldan an1rs eqeltrd ex
      19.23adv 3impia ) DGHZBIZCJZKHZBDLJZMZDNOCPQZAIZRSZATVIVGBUAZKHZVEVJUBZVM
      VOAVPVMVOVPVMUBVNVLKVEVMVNVLUCVJVLBCDEAUDZUEUFVEVMVJVLKHZVEVMUBVJFIZVKJKH
      ZFVIMZVRVEVJWAVMVPVTFVIVJVSVIHZVTUGVEWBVJVTWBVHBDVSUHQZMVTVJBCDVSEUIVHVHB
      VIWCVFWCHVFVIHVHVFDVSUJUKULUMUNUOUPUFVEVMWAVRVLFVKDVQUQURUSUTVAVBVCVD $.
      $( [28-Jun-2006] $) $( [25-Dec-2005] $)
  $}

  ${
    $d F k x $.  $d M k x $.  $d N k x $.
    iserzgt0.1 $e |- F e. V $.
    $( The infinite sum of positive reals is positive.  (Contributed by Paul
       Chapman, 9-Feb-2008.) $)
    iserzgt0 $p |- ( ( N e. ( ZZ> ` M ) /\
              A. k e. ( ZZ> ` M ) ( ( F ` k ) e. RR /\ 0 < ( F ` k ) ) /\
              E. x ( <. M , + >. seq F ) ~~> x ) ->
            0 < sum_ k e. ( ZZ> ` N ) ( F ` k ) ) $=
      ( cuz cfv wcel cv cr cc0 clt wbr wa wral caddc cop cseqz co cli wex w3a
      c1 csu cle addgtge0t an4s wceq fveq2 eleq1d breq2d anbi12d rcla4va
      3adant3 cz isumreclt eluzelz peano2zd 3ad2ant1 wi peano2uz uztrn expcom
      syl imim1d pm3.26 syl8 r19.20dv2 imp cc iserzext recnt adantr r19.20si
      syl3an2 syl3anc sumex iserzcmp0 isumclim2t sylanc 0re ltlet mpan
      imdistani jca isum1p breqtrrd ) EDGHZIZBJZCHZKIZLWLMNZOZBWIPZDQRCSTAJZUAN
      AUBZUCZLECHZEUDQTZGHZWLBUEZQTZEGHZWLBUEZMWTKIZLWTMNZOZXCKIZLXCUFNZOLXDMNZ
      WSXGXJXHXKXLWTXCUGUHWJWPXIWRWOXIBEWIWKEUIZWMXGWNXHXMWLWTKWKECUJZUKXMWLWTL
      MXNULUMUNUOWSXJXKXAUPIZWMBXBPZXAQRCSTZWQUANAUBZXJWSABCXAFUQWJWPXOWRWJEDEU
      RZUSUTZWJWPXPWRWJWPXPWJWOWMBWIXBWJWKWIIZWOVAZWKXBIZWOWMWJYCYAWOWJXAWIIZYC
      YAVADEVBYCYDYAXAWKDVCVDVEVFZWMWNVGVHVIVJUOWJWLVKIZBWIPWRXRWPABCDEFVLWOYFB
      WIWMYFWNWLVMVNZVOVPZVQXOXQXCUANZWMLWLUFNZOZBXBPZXKWSXCBCXAXBWLBVRFVSXTXOX
      RYIWSABCXAFVTXTYHWAWJWPYLWRWJWPYLWJWOYKBWIXBWJYBYCWOYKYEWMWNYJLKIWMWNYJVA
      WBLWLWCWDWEVHVIVJUOVQWFWAEUPIZYFBXEPZXRXFXDUIWSABCEFWGWJWPYMWRXSUTWJWPYNW
      RWJWPYNWJWOYFBWIXEWJYBWKXEIZWOYFWJYOYAWOYOWJYAEWKDVCVDVFYGVHVIVJUOYHVQWH
      $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

  ${
    $d j k m n x y C $.  $d j k m n x y F $.  $d j k m n x y M $.
    isummulc1.1 $e |- F e. V $.
    $( Distribute a constant multiplier into an infinite sum (function value
       version).  See ~ isummulc1a for class term version. $)
    isummulc1 $p |- ( ( ( M e. ZZ /\ C e. CC ) /\ ( A. k e. ( ZZ> ` M )
        ( F ` k ) e. CC /\ E. x ( <. M , + >. seq F ) ~~> x ) )
                   -> ( C x. sum_ k e. ( ZZ> ` M ) ( F ` k ) ) =
                      sum_ k e. ( ZZ> ` M ) ( C x. ( F ` k ) ) ) $=
      ( vj vy cz wcel cc wa cv cfv cuz wral caddc cop cseqz co cli wbr wex
      cmul csu wceq copab wi w3a isumclim2t ex 3ad2ant1 sumex fvex opabex2
      iserzmulc1 r19.26 fveq2 opreq2d eqid oprex fvopab4 rgen mpbiran2
      syl3an3br syld 3expia imp32 isumclim4t ad2antrr mpd ax-17 cbvsum
      syl5reqr ) EIJZBKJZLZCMZDNZKJZCEONZPZEQRZDSTZAMZUAUBAUCZLZLZWABGMZDNZUDTZ
      GUEZBWAVSCUEZUDTZWABVSUDTZCUEWHWCWIWAJHMWKUFLGHUGZSTWNUAUBZWLWNUFZVQWBWFW
      QVOVPWBWFWQUHVOVPWBUIWFWDWMUAUBZWQVOVPWFWSUHWBVOWFWSACDEFUJUKULVOVPVTVRWP
      NWOUFZLCWAPZWSWQUHWBWMBCDWPEWAVSCUMFGHWAWKEOUNUOUPXAWBWTCWAPVTWTCWAUQWTCW
      AGHVRWKWOWAWPWIVRUFWJVSBUDWIVRDURUSZWPUTZBVSUDVAVBVCVDVEVFVGVHVOWQWRUHVPW
      GVOWQWRHWKWNGWPEBWJUDVAXCBWMUDVAVIUKVJVKAWAWKWOGCWEWKJCVLWEWOJGVLXBVMVN
      $.
      $( [16-Nov-2007] $) $( [1-Nov-2007] $)
  $}

  ${
    $d k m n x y C $.  $d k m n x y F $.  $d k m n x y M $.
    isummulc1ALT.1 $e |- F e. V $.
    $( Older ~ isummulc1 proved without using ~ iserzmulc1 . $)
    isummulc1ALT $p |- ( ( ( M e. ZZ /\ C e. CC ) /\ ( A. k e. ( ZZ> ` M )
        ( F ` k ) e. CC /\ E. x ( <. M , + >. seq F ) ~~> x ) )
                   -> ( C x. sum_ k e. ( ZZ> ` M ) ( F ` k ) ) =
                      sum_ k e. ( ZZ> ` M ) ( C x. ( F ` k ) ) ) $=
      ( vy vn vm cz wcel cc cv cfv cuz wral caddc cop cseqz co cli wbr wex csu
      cmul wceq wi w3a wa visset isumclimt opreq2d 3ad2antl1 copab oprex eqid
      isumclim4t 3simp1 adantr climmulc2 3simp2 anim1i serzcl2t 3adant2 cfz
      fvex opabex2 serzmulc1 fveq2 fvopab4 anim2i expcom a2i elfzuzt syl5
      r19.20i2 syl3an3 eqcomd jca 3coml 3expa r19.21aiva eleq1d cbvralv
      sylan2b 3impb sylanc eqtr4d ex 19.23adv 3exp imp43 ) EJKZBLKZCMZDNZLKZCEO
      NZPZEQRZDSTZAMZUAUBZAUCZBWRWPCUDZUETZWRBWPUETZCUDZUFZWMWNWSXDXIUGWMWNWSUH
      ZXCXIAXJXCXIXJXCUIZXFBXBUETZXHWMWNXCXFXLUFWSWMXCUIXEXBBUEXBCDEFAUJZUKULUM
      WMWTWOWRKGMXGUFUICGUNZSTZXLUAUBZXHXLUFXKGXGXLCXNEBWPUEUOXNUPZBXBUEUOUQXJW
      MXCWMWNWSURUSWNXCUIWMHMZXANZLKZXRXONZBXSUETZUFZUIZHWRPZUIZXPXKXBBHXAXOEWT
      DSUOWTXNSUOXMUTXJWNXCWMWNWSVAVBXJYFXCWMWNWSYFWNWSUIYEWMWNIMZDNZLKZIWRPZYE
      WSWNYJUIYDHWRWNYJXRWRKZYDYKWNYJYDYKWNYJUHZXTYCYKYJXTWNIDEXRFVCVDYLYBYAYKW
      NYIYGXNNBYHUETZUFZUIZIEXRVETZPYBYAUFYJBIDXNEXRFCGWRXGEOVFVGVHYIYOIWRYPYGW
      RKZYIUGYQYOYGYPKYQYIYOYIYQYOYQYNYICGYGXGYMWRXNWOYGUFZWPYHBUEWOYGDVIZULXQB
      YHUEUOVJVKVLVMYGEXRVNVOVPVQVRVSVTWAWBWQYICIWRYRWPYHLYSWCWDWEVKWFUSWGWGWHW
      IWJWKWL $.
      $( [2-Nov-2007] $) $( [1-Nov-2007] $)
  $}

  ${
    $d j k x y C $.  $d j x y F $.  $d j k x y M $.
    isummulc1a.1 $e |- A e. V $.
    isummulc1a.2 $e |- F e. V $.
    isummulc1a.3 $e |- ( y e. F -> A. k y e. F ) $.
    isummulc1a.4 $e |- ( k e. ( ZZ> ` M ) -> ( F ` k ) = A ) $.
    $( Distribute a constant multiplier into an infinite sum of a class term
       ` A ( k ) ` .  See ~ isummulc1 for function value version. $)
    isummulc1a $p |- ( ( ( M e. ZZ /\ C e. CC ) /\ ( A. k e. ( ZZ> ` M )
        A e. CC /\ E. x ( <. M , + >. seq F ) ~~> x ) ) ->
       ( C x. sum_ k e. ( ZZ> ` M ) A ) = sum_ k e. ( ZZ> ` M ) ( C x. A ) ) $=
      ( vj cz wcel cc wa cv cfv cuz wral caddc cop cseqz co cli wbr wex csu
      cmul wceq isummulc1 sumeq2i ax-17 hbfv fveq2 cbvsum eqtr3 opreq2i
      opreq2d hbopr 3eqtr4g eleq1d ralbiia hbel cbvral bitr3 anbi1i sylan2b )
      GMNDONPZLQZFRZONZLGSRZTZGUAUBFUCUDAQUEUFAUGZPZDVMCEUHZUIUDZVMDCUIUDZEUHZU
      JCONZEVMTZVOPVIVPPDVMVKLUHZUIUDVMDVKUIUDZLUHZVRVTADLFGIUKVQWCDUIVMEQZFRZE
      UHVQWCVMWGCEKULBVMWGVKELBQZWGNLUMEBVJFJWHVJNEUMUNZWFVJFUOZUPUQURVMDWGUIUD
      ZEUHVTWEVMWKVSEWFVMNZWGCDUIKUSULBVMWKWDELWHWKNLUMEBDVKUIWHDNEUMWHUINEUMWI
      UTWFVJUJZWGVKDUIWJUSUPUQVAWBVNVOWBWGONZEVMTVNWNWAEVMWLWGCOKVBVCWNVLELVMWN
      LUMEBBVKOWIWHONEUMVDWMWGVKOWJVBVEVFVGVH $.
      $( [2-Nov-2007] $) $( [2-Nov-2007] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d k x F $.  $d k x G $.  $d j k x y M $.
    isumcmpi.1 $e |- A e. V $.
    isumcmpi.2 $e |- B e. V $.
    isumcmpi.3 $e |- F = { <. j , y >. | ( j e. ( ZZ> ` M ) /\ y = A ) } $.
    isumcmpi.4 $e |- G = { <. j , y >. | ( j e. ( ZZ> ` M ) /\ y = B ) } $.
    isumcmpi.5 $e |- ( j e. ( ZZ> ` M ) ->
               ( A e. RR /\ B e. RR /\ A <_ B ) ) $.
    $( Comparison of two infinite sums.  (Contributed by Paul Chapman,
       13-Nov-2007.) $)
    isumcmpi $p |- ( ( M e. ZZ /\ ( E. x ( <. M , + >. seq F ) ~~> x /\
                       E. x ( <. M , + >. seq G ) ~~> x ) ) ->
                     sum_ j e. ( ZZ> ` M ) A <_ sum_ j e. ( ZZ> ` M ) B ) $=
      ( vk cz wcel caddc cop cseqz co cv cli wbr wex wa cuz cfv csu cle cr w3a
      wral r19.26 wceq 3simp1d copab fvopab2 fveq1i syl5eq mpdan eqeltrd rgen
      ax-17 hbopab1 hbxfr hbfv hbel fveq2 eleq1d cbvral mpbi 3simp2d mpbir2an
      3simp3d 3brtr4d hbbr breq12d df-3an ralbii mpbir sumex fvex fopabex2
      iserzcmp mpanr2 expcom isumclim3t ex syl2and imp ) HOPZHQRZFSTZAUAZUBUCAU
      DZWLGSTZWNUBUCAUDZUEHUFUGZCEUHZWRDEUHZUIUCZWKWMWSUBUCZWPWTUBUCZXAWOWQXBXC
      UEZWKXAXDWKNUAZFUGZUJPZXEGUGZUJPZXFXHUIUCZUKZNWRULZXAXLXGXIUEZXJUEZNWRULZ
      XOXMNWRULZXJNWRULZXMXJNWRUMXPXGNWRULZXINWRULZXGXINWRUMEUAZFUGZUJPZEWRULXR
      YBEWRXTWRPZYACUJYCCUJPZYACUNYCYDDUJPZCDUIUCZMUOZYCYDUEXTYCBUAZCUNUEZEBUPZ
      UGCYAEBWRCUJUQXTFYJKURUSUTZYGVAVBYBXGENWRYBNVCEAAXFUJEAXEFEAFYJKYIEBAVDVE
      WNXEPEVCZVFZWNUJPEVCZVGXTXEUNZYAXFUJXTXEFVHZVIVJVKXTGUGZUJPZEWRULXSYREWRY
      CYQDUJYCYEYQDUNYCYDYEYFMVLZYCYEUEXTYCYHDUNUEZEBUPZUGDYQEBWRDUJUQXTGUUALUR
      USUTZYSVAVBYRXIENWRYRNVCEAAXHUJEAXEGEAGUUALYTEBAVDVEYLVFZYNVGYOYQXHUJXTXE
      GVHZVIVJVKVMYAYQUIUCZEWRULXQUUEEWRYCCDYAYQUIYCYDYEYFMVNYKUUBVOVBUUEXJENWR
      UUENVCEAXFXHUIYMWNUIPEVCUUCVPYOYAXFYQXHUIYPUUDVQVJVKVMXKXNNWRXGXIXJVRVSVT
      WSWTNFGHWRCEWAWRDEWAEBWRCFHUFWBZKWCEBWRDGUUFLWCWDWEWFWKWOXBABCEFHIKWGWHWK
      WQXCABDEGHJLWGWHWIWJ $.
      $( [13-Nov-2007] $) $( [13-Nov-2007] $)
  $}

  ${
    $d F k x $.  $d M k x $.  $d N k x $.
    isumsplit.1 $e |- M e. ZZ $.
    isumsplit.2 $e |- N e. ( ZZ> ` M ) $.
    isumsplit.3 $e |- F : ( ZZ> ` M ) --> CC $.
    isumsplit.4 $e |- E. x ( <. M , + >. seq F ) ~~> x $.
    $( Split off the first ` N ` terms of an infinite sum.  (Contributed by
       Paul Chapman, 9-Feb-2007.) $)
    isumsplit $p |- sum_ k e. ( ZZ> ` M ) ( F ` k ) =
                    ( sum_ k e. ( M ... N ) ( F ` k ) +
                      sum_ k e. ( ZZ> ` ( N + 1 ) ) ( F ` k ) ) $=
      ( cfz co cv cfv csu c1 caddc cuz cmin wceq cz wcel cop cseqz cli wbr cle
      wa eluz1 mpbi pm3.26i peano2z ax-mp cc wf cvv fvex fex mp2an sumex wex
      isumclim2t clim2serz fsumserz opreq2i breqtrr oprex isumclimt eqcomi
      isumclt wral elfzuzt ffvelrni syl rgen fsumclt breq2 cla4ev subadd ) DEJK
      ZBLZCMZBNZEOPKZQMWABNZPKZDQMZWABNZWGWBRKZWDSWEWGSWDWHWCTUAZWCPUBCUCKZWHUD
      UEZWDWHSETUAZWIWLDEUFUEZEWFUAZWLWMUGGDEFUHUIUJEUKULZWJWGEDPUBCUCKZMZRKZWH
      UDWNWJWRUDUEGWGCDEWFUMCUNWFUOUACUOUAHDQUPWFUMUOCUQURZWFWABUSDTUAZWPALZUDU
      EAUTZWPWGUDUEFIABCDWSVAURHVBULWBWQWGRWNWBWQSGBCDEWSVCULVDVEZWHBCWCWSWGWBR
      VFZVGURVHWGWBWDWTXBWGUMUAFIABCDWSVIURWNWAUMUAZBVSVJWBUMUAGXEBVSVTVSUAVTWF
      UAXEVTDEVKWFUMVTCHVLVMVNWABDEVOURWIWJXAUDUEZAUTZWDUMUAWOWKXGXCXFWKAWHXDXA
      WHWJUDVPVQULABCWCWSVIURVRUIVH $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

  ${
    $d F k x $.  $d N k x $.
    isum0split.1 $e |- N e. NN0 $.
    isum0split.2 $e |- F : NN0 --> CC $.
    isum0split.3 $e |- E. x ( + seq0 F ) ~~> x $.
    $( Split off the first ` N ` terms of a 0-based infinite sum.
       (Contributed by Paul Chapman, 9-Feb-2007.) $)
    isum0split $p |- sum_ k e. NN0 ( F ` k ) =
                     ( sum_ k e. ( 0 ... N ) ( F ` k ) +
                       sum_ k e. ( ZZ> ` ( N + 1 ) ) ( F ` k ) ) $=
      ( cn0 cv cfv csu cc0 cuz cfz co c1 caddc nn0uz sumeq1i 0z eleqtr cc wf
      wceq wb feq2 ax-mp mpbi cseq0 cli wbr wex cop cseqz addex cvv wcel nn0ex
      fex mp2an seq0seqz breq1i exbii isumsplit eqtr ) HBICJZBKLMJZVFBKLDNOVFBK
      DPQOMJVFBKQOHVGVFBRSABCLDTDHVGERUAHUBCUCZVGUBCUCZFHVGUDVHVIUERHVGUBCUFUGU
      HQCUIOZAIZUJUKZAULLQUMCUNOZVKUJUKZAULGVLVNAVJVMVKUJQCUOVHHUPUQCUPUQFURHUB
      UPCUSUTVAVBVCUHVDVE $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

$(
  @{
    fsumisumt.1 @e |- F e. V @.
    fsumisumt.2 @e |- A e. V @.
    @( A finite sum of nonnegative numbers is less than its limit. @)
    fsumisumt @p |- ( ( N e. ( ZZ> ` M ) /\ A. k e. ( ZZ> ` M )
      ( ( F ` k ) e. RR /\ 0 <_ ( F ` k ) ) /\ ( <. M , + >. seq F ) ~~> A ) ->
                   sum_ k e. ( M ... N ) ( F ` k ) <_ A ) @=
      (  ) ? @.
      @( [?] @) @( [25-Dec-2005] @)
  @}
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
             Miscellaneous converging sequences
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d j k x F $.
    reccnv.1 $e |- F e. V $.
    $( The sequence of reciprocals of natural numbers converges to zero. $)
    reccnv $p |- ( A. k e. NN ( F ` k ) = ( 1 / k ) -> F ~~> 0 ) $=
      ( vx vj cv cfv c1 cdiv co wceq cn wral cc0 cli wbr clt cle cabs wi wrex
      cr wcel wa nnreclt adantl absidt nnrecret 0re ltlet mpan nnrecgt0t sylc
      sylanc ad2antlr wb lerect nnret nngt0t jca syl2an biimpa eqbrtrd
      adantlll lelttrt cc recnd absclt syl simpll syl3anc adantllr adantr
      mpand exp31 com23 com24 ex imp42 fveq2 breq1d biimprd syl9 r19.20dva
      exp32 com4r imp r19.22dv mpd r19.21aiv eleq1 syl5cbir r19.20i 1z cuz
      nnuz eqimss2i nnssz clm0 mpbird ) AFZBGZHXAIJZKZALMZBNOPZNDFZQPZEFZXARPZX
      BSGZXGQPZTZALMZELUAZTZDUBMZXEXPDUBXEXGUBUCZXHXOXEXRXHUDZUDZHXIIJZXGQPZELU
      AZXOXSYCXEXGEUEUFXTYBXNELXEXSXILUCZYBXNTTXSYDYBXEXNXSYDYBXEXNTXSYDYBUDUDZ
      XDXMALYEXALUCZUDXJXCSGZXGQPZXDXLXSYDYBYFXJYHTZXSYDYBYFYITTXSYDUDZXJYFYBYH
      YJYFXJYBYHTZYJYFXJYKYJYFUDZXJUDYGYARPZYBYHYDYFXJYMXSYDYFUDZXJUDYGXCYARYFY
      GXCKZYDXJXCUBUCZNXCRPZYOYFXCUGXAUHZYPNXCQPZYQYFNUBUCYPYSYQTUINXCUJUKYRXAU
      LUMUNUOYNXJXCYARPZXIUBUCZNXIQPZUDXAUBUCZNXAQPZUDXJYTUPYDYFXIXAUQYDUUAUUBX
      IURXIUSUTYFUUCUUDXAURXAUSUTVAVBVCVDYLYMYBUDYHTZXJXRYDYFUUEXHYGUBUCZYAUBUC
      ZXRUUEXRYDUDZYFUDYGYAXGVEYFUUFUUHYFXCVFUCZUUFYFXCYRVGZXCVHVIUFYDUUGXRYFXI
      UHUOXRYDYFVJVKVLVMVNVOVPVQVRVSXDXLYHXDXKYGXGQXBXCSVTWAWBWCWDWEWFWGWHWIWEW
      JXEXBVFUCZALMXFXQUPXDUUKALXDUUKUUIYFXBXCVFWKUUJWLWMDEABHHLLWNLHWOGWPWQZWR
      WNUULWRCWSVIWT $.
      $( [6-Feb-2008] $) $( [6-Feb-2008] $)
  $}

  ${
    $d f u v x A $.  $d u x y B $.  $d y C $.  $d k F $.  $d k G $.  $d k H $.
    $d v w z R $.  $d f j k u v S $.  $d f k u v x y X $.  $d u x y Z $.
    infcvg.1 $e |- R = { x | E. y e. X x = -u A } $.
    infcvg.2 $e |- ( y e. X -> A e. RR ) $.
    infcvg.3 $e |- Z e. X $.
    infcvg.4 $e |- E. z e. RR A. w e. R w <_ z $.
    $( Auxilliary theorem for applications of ~ infcvg .  Hypothesis for
       several supremum theorems. $)
    infcvgaux1 $p |- ( R (_ RR /\ R =/= (/) /\ E. z e. RR A. w e. R w <_ z ) $=
      ( vu cr wss c0 wne cv cle wbr wral wrex cneg wceq cab wcel eleq1
      renegclt syl syl5cbir r19.23aiv abssi eqsstr csb eqid hbth csbeq1a
      negeqd eqeq2d rcla4e mp2an negex ax-17 elisseti hbcsb1 hbneg hbeq eqeq1
      rexbid elab mpbir eleqtrr ne0i ax-mp 3pm3.2i ) FNOFPQZDRCRSTDFUACNUBFARZE
      UCZUDZBGUBZAUEZNIVTANVSVQNUFZBGVSWBVRNUFZBRZGUFZVQVRNUGWEENUFWCJEUHUIUJUK
      ULUMBHEUNZUCZFUFVPWGWAFWGWAUFWGVRUDZBGUBZHGUFWGWGUDZWIKWGUOZWHWJBHGWJBWKU
      PWDHUDZVRWGWGWLEWFBHEUQURUSUTVAVTWIAWGWFVBVQWGUDVSWHBGBMMVQWGMRZVQUFBVCBM
      WFBMHEHGKVDWMHUFBVCVEVFVGVQWGVRVHVIVJVKIVLFWGVMVNLVO $.
      $( [29-Feb-2008] $) $( [8-Feb-2008] $)

    ${
      infcvg.5a $e |- S = -u sup ( R , RR , < ) $.
      infcvg.13 $e |- ( y = C -> A = B ) $.
      $( Auxilliary theorem for applications of ~ infcvg . $)
      infcvgaux2 $p |- ( C e. X -> S <_ B ) $=
        ( wcel cr clt csup cneg cle wbr wceq wrex eqid cv negeqd eqeq2d
        rcla4ev mpan2 negex eqeq1 rexbidv elab2 sylibr infcvgaux1 suprubi syl
        wb wi eleq1 eleq1d imbi12d vtoclg pm2.43i suprcli lenegcon1t mpbid
        syl5eqbr ) GJRZHSTUAZUBZFIUCVLFUBZVMUCUDZVNFUCUDZVLVOHRZVPVLVOEUBZUEZBJ
        UFZVRVLVOVOUEZWAVOUGVTWBBGJBUHZGUEZVSVOVOWDEFQUIUJUKULAUHZVSUEZBJUFWAAV
        OHFUMWEVOUEWFVTBJWEVOVSUNUOLUPUQCDHVOABCDEHJKLMNOURZUSUTVLFSRZVPVQVAZVL
        WHWCJRZESRZVBVLWHVBBGJWDWJVLWKWHWCGJVCWDEFSQVDVEMVFVGWHVMSRWICDHWGVHFVM
        VIULUTVJPVK $.
        $( [14-Mar-2008] $) $( [4-Mar-2008] $)
    $}

    ${
      $d y S $.
      infcvg.5b $e |- S = -u sup ( R , RR , < ) $.
      infcvg.14 $e |- ( y = ( f ` k ) -> A = B ) $.
      $( Lemma for ~ infcvg .  Use ~ ac6s to show the existence of a sequence
         ` f ` with values extracted from ` R ` . $)
      infcvglem1 $p |- E. f ( f : NN --> X /\ A. k e. NN B <
                   ( S + ( 1 / k ) ) ) $=
        ( vv c1 cv cdiv co caddc clt wbr wrex cn wf wral wa wex nnex cfv wceq
        breq1d ac6s wcel cneg cr csup infcvgaux1 suprlubi nnrecret suprcli
        renegcl eqeltr axaddrcl mpan syl renegclt cc0 nnrecgt0t wb ltaddpost
        mpan2 mpbid ltnegt recn negcon2 mpbi syl6breqr sylanc visset eqeq1
        rexbidv elab2 anbi1i r19.41v breq2 pm5.32i rexbii 3bitr2 exbii df-rex
        rexcom4 3bitr4 negex isseti biantrur 19.41v bitr4 sylib syl2an ancoms
        rexbidva mpbird mprg ) EHTJUAZUBUCZUDUCZUEUFZBKUGZUHKIUAZUIFXKUEUFZJUHU
        JUKIULJUHXLXOJBUHKIUMBUAZXIXNUNUOEFXKUERUPUQXIUHURZXMXKUSZEUSZUEUFZBKUG
        ZXQXRSUAZUEUFZSGUGZYAXRUTURZXRGUTUEVAZUEUFYDXQCDSGXRABCDEGKLMNOPVBZVCXQ
        XKUTURZYEXQXJUTURZYHXIVDZHUTURZYIYHHYFUSZUTQYFCDGYGVEZVFVGZHXJVHVIVJZXK
        VKVJXQXRHUSZYFUEXQHXKUEUFZXRYPUEUFZXQVLXJUEUFZYQXIVMXQYIYSYQVNZYJYIYKYT
        YNXJHVOVPVJVQXQYHYQYRVNZYOYKYHUUAYNHXKVRVIVJVQHYLUOYFYPUOQHYFHYNVSYFYMV
        SVTWAWBWCYDYBXSUOZXTUKZSULZBKUGZYAYBGURZYCUKZSULUUCBKUGZSULYDUUEUUGUUHS
        UUGUUBBKUGZYCUKUUBYCUKZBKUGUUHUUFUUIYCAUAZXSUOZBKUGUUIAYBGSWDUUKYBUOUUL
        UUBBKUUKYBXSWEWFMWGWHUUBYCBKWIUUJUUCBKUUBYCXTYBXSXRUEWJWKWLWMWNYCSGWOUU
        CBSKWPWQXTUUDBKXTUUBSULZXTUKUUDUUMXTSXSEWRWSWTUUBXTSXAXBWLXBXCXQXLXTBKX
        PKURZXQXLXTVNZEUTURYHUUOUUNXQEXKVRNYOXDXEXFXGXH $.
        $( [14-Mar-2008] $) $( [5-Mar-2008] $)
    $}

    ${
      infcvg.5c $e |- S = -u sup ( R , RR , < ) $.
      infcvg.9 $e |- G e. V $.
      infcvg.10 $e |- ( k e. NN -> ( G ` k ) = ( S + ( 1 / k ) ) ) $.
      infcvg.11 $e |- H e. V $.
      infcvg.12 $e |- ( k e. NN -> ( H ` k ) = ( 1 / k ) ) $.
      $( Lemma for ~ infcvg .  Show that ` G ` converges to the infimum. $)
      infcvglem2 $p |- G ~~> S $=
        ( cc0 caddc co cli wbr cc wcel wa c1 cz cv cfv wceq cuz wral cdiv cn
        reccnv mprg cr clt csup cneg infcvgaux1 suprcli renegcl eqeltr recn
        pm3.2i 1z elnnuz nnrecret recnd eqeltrd opreq2d eqtr4d jca sylbir rgen
        0cn elisseti climaddc2 mp2an addid1 breqtr ) IGUBUCUDZGUEJUBUEUFZGUGUHZ
        UIUJUKUHZHULZJUMZUGUHZWKIUMZGWLUCUDZUNZUIZHUJUOUMZUPZUIIWGUEUFWHWIWLUJW
        KUQUDZUNWHHURHJTUSUAUTGGFVAVBVCZVDVAQXACDFABCDEFKLMNOPVEVFVGVHZVIZVJWJW
        SVKWQHWRWKWRUHWKURUHZWQWKVLXDWMWPXDWLWTUGUAXDWTWKVMVNVOXDWNGWTUCUDWOSXD
        WLWTGUCUAVPVQVRVSVTVJUBGHJIUJTRUBUGWAWBGVAXBWBWCWDGXCWEWF $.
        $( [14-Mar-2008] $) $( [6-Feb-2008] $)

      ${
        $d y S $.
        infcvg.6a $e |- F e. V $.
        infcvg.7a $e |- ( y = ( f ` k ) -> A = B ) $.
        infcvg.8a $e |- ( k e. NN -> ( F ` k ) = B ) $.
        $( Lemma for ~ infcvg .  Using ~ climsqueeze , show that sequence
           ` F ` , constructed from ` f ` , converges to the supremum. $)
        infcvglem3 $p |- E. f ( f : NN --> X /\ F ~~> S ) $=
          ( cn cv wf c1 cdiv co caddc clt wbr wral wa wex cli infcvglem1
          pm3.26 cfv cr wcel cle cuz wb breq12d adantl wi ltlet wceq ffvelrn
          eleq1d vtoclga syl eqeltrd nnrecret csup cneg infcvgaux1 suprcli
          renegcl eqeltr axaddrcl mpan sylanc sylbird infcvgaux2 breqtrrd a1d
          ancrd jca jctild syld r19.20dva imp nnuz raleq1 ax-mp sylib cz
          infcvglem2 1z elisseti climsqueeze2 mp3an12 19.22i ) UHNIUIZUJZFHUKJU
          IZULUMZUNUMZUOUPZJUHUQZURZIUSXKKHUTUPZURZIUSABCDEFGHIJNOPQRSTUFVAXQXS
          IXQXKXRXKXPVBXQXLLVCZVDVEZXLKVCZVDVEZURZHYBVFUPZYBXTVFUPZURZURZJUKVGV
          CZUQZXRXQYHJUHUQZYJXKXPYKXKXOYHJUHXKXLUHVEZURZXOYFYHYMXOYBXTUOUPZYFYL
          YNXOVHXKYLYBFXTXNUOUGUBVIVJYCYAYNYFVKYMYBXTVLYMYBFVDYLYBFVMXKUGVJZYMX
          LXJVCZNVEZFVDVEZUHNXLXJVNZEVDVEYRBYPNBUIYPVMEFVDUFVOQVPVQVRZYLYAXKYLX
          TXNVDUBYLXMVDVEZXNVDVEZXLVSHVDVEUUAUUBHGVDUOVTZWAVDTUUCCDGABCDEGNOPQR
          SWBWCWDWEZHXMWFWGVQVRVJZWHWIYMYFYGYDYMYFYEYMYEYFYMHFYBVFYMYQHFVFUPYSA
          BCDEFYPGHNOPQRSTUFWJVQYOWKWLWMYMYAYCUUEYTWNWOWPWQWRUHYIVMYKYJVHWSYHJU
          HYIWTXAXBLHUTUPUKXCVEYJXRABCDEGHJLMNOPQRSTUAUBUCUDXDXEHJLKUKUAUEHVDUU
          DXFXGXHVQWNXIXA $.
          $( [14-Mar-2008] $) $( [2-Mar-2008] $)
      $}
    $}

    ${
      $d y S $.
      infcvg.5 $e |- S = -u sup ( R , RR , < ) $.
      infcvg.6 $e |- F e. V $.
      infcvg.7 $e |- ( y = ( f ` k ) -> A = B ) $.
      infcvg.8 $e |- ( k e. NN -> ( F ` k ) = B ) $.
      $( Extract a sequence that converges to the infimum ` S ` of a set of
         reals ` A ( y ) ` .  The sequence ` F ` is built using values of a
         sequence ` f ` that converges when its values are mapped to reals via
         ` A ( y ) ` .  Equation 4 of [Kreyszig] p. 144. $)
      infcvg $p |- E. f ( f : NN --> X /\ F ~~> S ) $=
        ( vj vv cv cn wcel c1 cdiv co caddc wceq wa copab nnex opabex2 opreq2
        opreq2d eqid oprex fvopab4 infcvglem3 ) ABCDEFGHIJKUBUDZUEUFZUCUDZHUGVB
        UHUIZUJUIZUKULUBUCUMZVCVDVEUKULUBUCUMZLMNOPQRUBUCUEVFUNUOUBUCJUDZVFHUGV
        IUHUIZUJUIUEVGVBVIUKVEVJHUJVBVIUGUHUPZUQVGURHVJUJUSUTUBUCUEVEUNUOUBUCVI
        VEVJUEVHVKVHURUGVIUHUSUTSTUAVA $.
        $( [14-Mar-2008] $) $( [2-Mar-2008] $)
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Arithmetic series
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d N j $.  $d N k $.  $d j k $.
    fnsmntlem.1 $e |- N e. NN $.
    $( Lemma for ~ fnsmnt . $)
    fnsmntlem $p |- sum_ j e. ( 0 ... N ) ( ( j + 1 ) ^ 2 ) =
         sum_ k e. ( 1 ... ( N + 1 ) ) ( k ^ 2 ) $=
      ( cc0 cfz co cv c1 caddc c2 cexp csu cmin csb cuz cfv wcel cz cc wral
      wceq cn0 nnnn0 elnn0uz mpbi 1z elfzelz zcnt syl peano2cn sqclt 3syl rgen
      fsumshft mp3an ax1cn addid2 opreq1i cq wa zqt ax-mp jctir qsubclt
      csbopr1g csbvarg opreq1d npcant 3eqtrd eqtrd sumeq12i eqtr ) ECFGZAHZIJGZ
      KLGZAMZEIJGZCIJGZFGZABHZINGZVQOZBMZIVTFGZWBKLGZBMCEPQRZISRZVQTRZAVNUAVRWE
      UBCUCRWHCDUDCUEUFUGWJAVNVOVNRZVOTRZVPTRWJWKVOSRWLVOECUHVOUIUJVOUKVPULUMUN
      VQABIECUOUPWAWFWDWGBVSIVTFIUQURUSWBWARZWDAWCVPOZKLGZWGWMWBSRZWCUTRZWDWOUB
      WBVSVTUHZWPWBUTRZIUTRZVAZWQWPWSWTWBVBZWIWTUGIVBVCZVDWBIVEZUJZAWCVPKUTLVFU
      MWMWNWBKLWMWNAWCVOOZIJGZWCIJGZWBWMXAWQWNXGUBWMWSWTWMWPWSWRXBUJXCVDXDAWCVO
      IUTJVFUMWMXFWCIJWMWPWQXFWCUBWRXEAWCUTVGUMVHWMWBTRZITRZVAXHWBUBWMXIXJWMWPX
      IWRWBUIUJUQVDWBIVIUJVJVHVKVLVM $.
      $( [10-Dec-2006] $) $( [9-Dec-2006] $)
  $}

  ${
    $d N k x j $.
    fnsmnt.1 $e |- N e. NN $.
    $( Arithmetic series sum of the first ` ( N + 1 ) ` non-negative integers.
       (Contributed by FL, 10-Dec-2006.) $)
    fnsmnt $p |- sum_ k e. ( 0 ... N ) k = ( ( ( ( N + 1 ) ^ 2 ) -
       ( N + 1 ) ) / 2 ) $=
      ( vj vx c1 caddc co c2 cexp cmin cdiv cc0 cfz cv csu wceq cmul cuz cfv
      wcel cc cn0 nnnn0 elnn0uz mpbi ax1cn fsumconst mp2an nncn 0cn subcl
      addcl mulid1 subid1 opreq1i 3eqtrr opreq2i wral 2cn cz elfzelz zcnt syl
      rgen fsummulc1 mp3an cn peano2nn ax-mp elfznn0t nn0cnt sqclt 3syl
      fsum0clt wa jctil axmulcl a1i binom2t mpan2 ax1id opreq2d sq1 opreq12d
      eqtrd sumeq2i axaddcl sylanc jctir fsumadd jca opreq1d 3eqtr cle wbr 0z
      1z zaddclt eluz1 nnzt clt nngt0t 0re nnre ltle 1re leadd1 mpbir2an
      fsumclt addid2 nnnn0t nngt0 lt01 addgt0i sq0i fsum1p fnsmntlem ax-17
      opreq1 cbvsum eqcomi sumeq1i 3eqtr4r addass 3eqtr3r subaddri sqcl oprex
      fsump1 eqtr3 mulcl subadd2 mpbir 2re recn 2ne0 divmul ) BFGHZIJHZYSKHZILH
      ZMBNHZAOZAPZUUBUUEQIUUERHZUUAQUUAUUFUUAUUFQUUFYSGHZYTQUUGUUFUUCFAPZGHUUCI
      UUDRHZAPZUUHGHZYTYSUUHUUFGUUHBMKHZFGHZFRHZUUMYSBMSTZUAZFUBUAZUUHUUNQBUCUA
      ZUUPBCUDZBUEUFZUGFAMBUHUIUUMUULFBMBCUJZUKULUGUMUNUULBFGBUVAUOUPUQURUUFUUJ
      UUHGUUPIUBUAZUUDUBUAZAUUCUSZUUFUUJQUUTUTUVCAUUCUUDUUCUAZUUDVAUAZUVCUUDMBV
      BUUDVCZVDVEZUUDIAMBVFVGUPMYSNHZUUDIJHZAPZUUCUVJAPZKHUUKYTUVKUVLUUKYSUCUAZ
      UVJUBUAZAUVIUSZUVKUBUAYSBVHUAZYSVHUAZCBVIZVJUDUVNAUVIUUDUVIUAUUDUCUAZUVCU
      VNUUDYSVKUUDVLZUUDVMZVNVEZUVJAYSVOUIZUURUVNAUUCUSUVLUBUAUUSUVNAUUCUVEUVSU
      VCUVNUUDBVKZUVTUWAVNZVEUVJABVOUIZUUJUUHUURUUIUBUAZAUUCUSUUJUBUAUUSUWGAUUC
      UVEUVBUVCVPUWGUVEUVCUVBUVEUVSUVCUWDUVTVDUTVQIUUDVRVDZVEUUIABVOUIZUURUUQAU
      UCUSUUHUBUAUUSUUQAUUCUUQUVEUGVSVEFABVOUIZUMUUCUUDFGHIJHZAPZUVLUUJGHZUUHGH
      ZUVKUVLUUKGHUWLUUCUVJUUIGHZFGHZAPZUUCUWOAPZUUHGHZUWNUUCUWKUWPAUVEUVSUVCUW
      KUWPQUWDUVTUVCUWKUVJIUUDFRHZRHZGHZFIJHZGHZUWPUVCUUQUWKUXDQUGUUDFVTWAUVCUX
      BUWOUXCFGUVCUXAUUIUVJGUVCUWTUUDIRUUDWBWCWCUXCFQUVCWDVSWEWFVNWGUUPUWOUBUAZ
      UUQVPZAUUCUSUWQUWSQUUTUXFAUUCUVEUXEUUQUVNUWGUXEUVEUVJUUIWHUWEUWHWIUGWJVEU
      WOFAMBWKUIUUPUVNUWGVPZAUUCUSZUWSUWNQUUTUXGAUUCUVEUVNUWGUWEUWHWLVEUUPUXHVP
      UWRUWMUUHGUVJUUIAMBWKWMUIWNMMFGHZYSNHZUVJAPZGHZUXKUVKUWLUXKYSUXISTUAZUVNA
      UXJUSUXKUBUAUXMYSVAUAZUXIYSWOWPZUXIYSMVAUAFVAUAZUXIVAUAWQWRMFWSUIWTBVAUAZ
      UXPUXNUVPUXQCBXAVJWRBFWSUIMBWOWPZUXOUVPUXRCUVPMBXBWPUXRBXCMBXDBCXEZXFVDVJ
      MBFXDUXSXGXHUFXIUVNAUXJUUDUXJUAUVFUVCUVNUUDUXIYSVBUVGUWAVNVEUVJAUXIYSXJUI
      XKYSUUOUAZMYSXBWPUVOUVKUXLQUVMUXTUVPUVMCUVPUVQUVMUVRYSXLVDVJYSUEUFBFUXSXG
      BCXMXNXOUWBUVJMAMYSUUDXPXQVGUWLFYSNHZDOZIJHZDPUYAUVJAPUXKADBCXREUYAUYCUVJ
      DAEOZUYCUAAXSUYDUVJUADXSUYBUUDIJXTYAUYAUXJUVJAFUXIYSNUXIFFUGXKYBUPYCWNYDU
      VLUUJUUHUWFUWIUWJYEYFYGUVKUVLYTUWCUWFYSBFUVAUGUMZYHZUVKUVLYTGHZUUPUVKUYGQ
      UUTUVJYTAMBUUDIJYIYSIJYIUUDYSIJXTYJVJYBYGYKWNYTYSUUFUYFUYEIUUEUTUURUVDUUE
      UBUAUUSUVHUUDABVOUIZYLYMYNYBUUAIUUEYTYSUYFUYEULIYOYPUYHYQYRYNYB $.
      $( [10-Dec-2006] $) $( [16-Nov-2006] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Geometric series
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x ph $.  $d x y A $.
    expcnvlem1.1 $e |- A e. RR $.
    expcnvlem1.2 $e |- ( y e. NN -> ( A < y -> ph ) ) $.
    $( Lemma for ~ expcnv .  Convert an antecedent from a comparison with a
       real into comparison with a natural number. $)
    expcnvlem1 $p |- E. x e. NN A. y e. NN ( x <_ y -> ph ) $=
      ( cfl cfv cabs c1 caddc co cn wcel cv cle wbr wi wral wrex cn0 cz cr
      flclt ax-mp nn0absclt nn0p1nnt clt nnret flltp1t flreclt leabs recn
      abscl 1re leadd1 mpbi readdcl ltletr mp2an wa ltletrt mp3an12 mpani syl
      imim1d r19.20i mprg wceq breq1 imbi1d ralbidv rcla4ev ) DGHZIHZJKLZMNZVPC
      OZPQZARZCMSZBOZVRPQZARZCMSZBMTVOUANZVQVNUBNZWFDUCNZWGEDUDUEVNUFUEVOUGUEDV
      RUHQZARZWACMWJVTCMVRMNZVSWIAWKVRUCNZVSWIRVRUIWLDVPUHQZVSWIDVNJKLZUHQZWNVP
      PQZWMWHWOEDUJUEVNVOPQWPVNWHVNUCNEDUKUEZULVNVOJWQVNVNWQUMUNZUOUPUQDWNVPEVN
      JWQUOURVOJWRUOURZUSUTWHVPUCNWLWMVSVAWIREWSDVPVRVBVCVDVEVFVGFVHWEWABVPMWBV
      PVIZWDVTCMWTWCVSAWBVPVRPVJVKVLVMUT $.
      $( [20-Mar-2005] $) $( [27-Feb-2005] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    expcnvlem.1 $e |- ( A e. RR /\ 0 < A /\ A < 1 ) $.
    expcnvlem.2 $e |- ( B e. RR /\ 0 < B ) $.
    ${
      expcnvlem.3 $e |- C e. NN $.
      $( Lemma for ~ expcnv .  Compute an upper bound for exponentiation
         using Bernoulli's inequality ~ bernneq . $)
      expcnvlem2 $p |- ( ( ( ( 1 / B ) - 1 ) / ( ( 1 / A ) - 1 ) ) < C
                      -> ( A ^ C ) < B ) $=
        ( c1 cdiv co cmin clt wbr cmul caddc cexp cr wcel wb cc0 pm3.26i
        pm3.27i gt0ne0i rereccl 1re resubcl 3simp1i 3simp2i nnre w3a 3simp3i
        reclt1t mp2an mpbi posdif ltdivmultOLD mpan2 mp3an remulcl ltsubadd
        readdcl nngt0 mulgt0i lt01 addgt0i ltdiv23i 3bitr cle cn0 nnnn0 0re
        recgt0i ltlei bernneq2 cc cn wne wceq recn recexpt nnnn0t syl3an2
        breqtr wa pm3.2i reexpclt expgt0t lerec2t lelttr mpan sylbi ) GBHIZGJIZ
        GAHIZGJIZHICKLZGWNCMIZGNIZHIZBKLZACOIZBKLZWOWLWPKLZWKWQKLWSWLPQZWNPQZCP
        QZWOXBRZWKGBBPQZSBKLZETZBXIXGXHEUAZUBUCZUDUEWMGAAPQZSAKLZAGKLZDUFZAXOXL
        XMXNDUGZUBZUCZUDUEZCFUHZXCXDXEUISWNKLZXFGWMKLZYAXNYBXLXMXNDUJXLXMXNYBRX
        OXPAUKULUMGWMUDXRUNUMZWLWNCUOUPUQWKGWPXKUDWNCXSXTURZUSGBWQUDXIWPGYDUDUT
        ZXJWPGYDUDWNCXSXTYCCFVAVBVCVDZVEVFWTWRVGLZWSXAWQGWTHIZVGLZYGWQWMCOIZYHV
        GWMPQCVHQZSWMVGLWQYJVGLXRCFVIZSWMVJXRAXOXPVKVLWMCVMUQAVNQZCVOQZASVPZYJY
        HVQZAXOVRFXQYMYKYOYPYNACVSCVTWAUQWBWQPQZSWQKLZWCWTPQZSWTKLZWCYIYGRYQYRY
        EYFWDYSYTXLYKYSXOYLACWEULZXLYKXMYTXOYLXPACWFUQWDWQWTWGULUMWTWRBUUAWQYEW
        QYEYFUBUCXIWHWIWJ $.
        $( [28-Jul-2006] $) $( [24-Feb-2005] $)
      $}

      $( Lemma for ~ expcnv .  Apply weak deduction theorem. $)
      expcnvlem3 $p |- ( C e. NN -> ( ( ( ( 1 / B ) - 1 ) /
                       ( ( 1 / A ) - 1 ) ) < C -> ( A ^ C ) < B ) ) $=
        ( cn wcel c1 cdiv co cmin clt wbr cexp wi cif wceq breq2 opreq2 breq1d
        imbi12d 1nn elimel expcnvlem2 dedth ) CFGZHBIJHKJHAIJHKJIJZCLMZACNJZBLM
        ZOUGUFCHPZLMZAUKNJZBLMZOCHCUKQZUHULUJUNCUKUGLRUOUIUMBLCUKANSTUAABUKDECH
        FUBUCUDUE $.
        $( [20-Mar-2005] $) $( [27-Feb-2005] $)

      $( Lemma for ~ expcnv .  Combine ~ expcnvlem1 and ~ expcnvlem3 . $)
      expcnvlem4 $p |- E. x e. NN A. y e. NN ( x <_ y -> ( A ^ y ) < B ) $=
        ( cv cexp co clt wbr c1 cdiv cmin cr wcel cc0 pm3.26i pm3.27i gt0ne0i
        rereccl 1re resubcl 3simp1i 3simp2i 3simp3i wb reclt1t mp2an mpbi
        posdif redivcl expcnvlem3 expcnvlem1 ) CBGZHIDJKABLDMIZLNIZLCMIZLNIZMIU
        QUSUPLDDOPZQDJKZFRZDVBUTVAFSTUAUBUCURLCCOPZQCJKZCLJKZEUDZCVFVCVDVEEUEZT
        UAZUBUCZUSVILURJKZQUSJKVEVJVCVDVEEUFVCVDVEVJUGVFVGCUHUIUJLURUBVHUKUJTUL
        CDUOEFUMUN $.
        $( [20-Mar-2005] $) $( [25-Feb-2005] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Lemma for ~ expcnv .  Apply weak deduction theoerem. $)
    expcnvlem5 $p |- ( ( ( A e. RR /\ 0 < A /\ A < 1 ) /\ ( B e. RR
        /\ 0 < B ) ) -> E. x e. NN A. y e. NN ( x <_ y -> ( A ^ y ) < B ) ) $=
      ( cr wcel cc0 clt wbr c1 w3a wa cv cle cexp co wi cn wral wrex c2 cdiv
      cif wceq opreq1 breq1d imbi2d rexralbidv breq2 eleq1 breq1 3anbi123d 2re
      2ne0 rereccl halfgt0 halflt1 3pm3.2i elimhyp anbi12d 1re lt01 pm3.2i
      expcnvlem4 dedth2h ) CEFZGCHIZCJHIZKZDEFZGDHIZLZAMBMZNIZCVMOPZDHIZQZBRSAR
      TVNVICJUAUBPZUCZVMOPZDHIZQZBRSARTVNVTVLDJUCZHIZQZBRSARTCDVRJCVSUDZVQWBABR
      RWFVPWAVNWFVOVTDHCVSVMOUEUFUGUHDWCUDZWBWEABRRWGWAWDVNDWCVTHUIUGUHABVSWCVI
      VSEFZGVSHIZVSJHIZKVREFZGVRHIZVRJHIZKCVRWFVFWHVGWIVHWJCVSEUJCVSGHUICVSJHUK
      ULVRVSUDWKWHWLWIWMWJVRVSEUJVRVSGHUIVRVSJHUKULWKWLWMUAUMUNUOUPUQURUSVLWCEF
      ZGWCHIZLJEFZGJHIZLDJWGVJWNVKWODWCEUJDWCGHUIUTJWCUDWPWNWQWOJWCEUJJWCGHUIUT
      WPWQVAVBVCUSVDVE $.
      $( [20-Mar-2005] $) $( [27-Feb-2005] $)

    $( Lemma for ~ expcnv .  Add in the case of ` A = 0 ` . $)
    expcnvlem6 $p |- ( ( ( A e. RR /\ 0 <_ A /\ A < 1 ) /\ ( B e. RR
        /\ 0 < B ) ) -> E. x e. NN A. y e. NN ( x <_ y -> ( A ^ y ) < B ) ) $=
      ( cr wcel cc0 cle wbr c1 clt wa cv cexp co wi cn wral wrex wceq wo wb
      0re leloet mpan expcnvlem5 3exp1 1nn a1i 0expt breq1d adantl opreq1
      adantr bitr3d biimpd ex a1d com24 r19.21adv jcad breq1 imbi1d ralbidv
      rcla4ev syl6 adantld jaod sylbid 3imp1 ) CEFZGCHIZCJKIZDEFZGDKIZLZAMZBMZH
      IZCVRNOZDKIZPZBQRZAQSZVKVLGCKIZGCTZUAZVMVPWDPZPZGEFVKVLWGUBUCGCUDUEVKWEWI
      WFVKWEVMVPWDABCDUFUGWFWIPVKWFWHVMWFVOWDVNWFVOJQFZJVRHIZWAPZBQRZLWDWFVOWJW
      MVOWJPWFWJVOUHUIUIWFVOWLBQWFWKVRQFZVOWAWFWNVOWAPZPWKWFWNWOWFWNLZVOWAWPGVR
      NOZDKIZVOWAWNWRVOUBWFWNWQGDKVRUJUKULWFWRWAUBWNWFWQVTDKGCVRNUMUKUNUOUPUQUR
      USUTVAWCWMAJQVQJTZWBWLBQWSVSWKWAVQJVRHVBVCVDVEVFVGURUIVHVIVJ $.
      $( [20-Mar-2005] $) $( [27-Feb-2005] $)
  $}

  ${
    $d j k x A $.  $d j x k F $.
    expcnv.1 $e |- F e. V $.
    $( A sequence of powers of a complex number ` A ` with absolute value
       smaller than 1 converges to zero. $)
    expcnv $p |- ( ( A e. CC /\ A. k e. NN ( F ` k ) = ( A ^ k ) /\
                 ( abs ` A ) < 1 ) -> F ~~> 0 ) $=
      ( vx vj cc wcel cv cfv cexp co wceq cn wral cabs c1 clt wbr w3a cc0 cli
      cle wi wrex cr wa expcnvlem6 absclt adantr absge0t pm3.27 3jca sylan
      adantllr wb fveq2 cn0 absexpt nnnn0t sylan2 sylan9eqr breq1d imbi2d ex
      r19.20dva imp r19.15 syl rexbidv ad2antrr mpbird exp32 3impa r19.21aiv
      eleq1 expclt syl5cbir 1z cuz nnuz eqimss2i nnssz clm0 3adant3 ) AGHZBIZCJ
      ZAWGKLZMZBNOZAPJZQRSZTZCUAUBSZUAEIZRSZFIWGUCSZWHPJZWPRSZUDZBNOZFNUEZUDZEU
      FOZWNXDEUFWFWKWMWPUFHZXDUDWFWKUGZWMUGZXFWQXCXHXFWQUGZUGXCWRWLWGKLZWPRSZUD
      ZBNOZFNUEZWFWMXIXNWKWLUFHZUAWLUCSZWMTXIXNWFWMUGZFBWLWPUHXQXOXPWMWFXOWMAUI
      UJWFXPWMAUKUJWFWMULUMUNUOXGXCXNUPWMXIXGXBXMFNXGXAXLUPZBNOZXBXMUPWFWKXSWFW
      JXRBNWFWGNHZUGZWJXRYAWJUGZWTXKWRYBWSXJWPRWJYAWSWIPJZXJWHWIPUQWFWGURHZYCXJ
      MXTAWGUSWGUTZVAVBVCVDVEVFVGXAXLBNVHVIVJVKVLVMVNVOWFWKWOXEUPZWMXGWHGHZBNOZ
      YFWFWKYHWFWJYGBNWJYGWIGHZYAWHWIGVPWFYDYIXTAWGVQYEVAVRVFVGEFBCQQNNVSNQVTJW
      AWBZWCVSYJWCDWDVIWEVL $.
      $( [9-May-2006] $)

  $}

  ${
    $d j k m n y z A $.  $d j m n z F $.  $d j N $.  $d n G $.
    geoser.1 $e |- F = { <. k , y >. | ( k e. NN0 /\ y = ( A ^ k ) ) } $.
    geoser.2 $e |- A e. CC $.
    $( The value of the finite geometric series ` 1 + A ^ 1 + A ^ 2 + ` ...
       ` + A ^ N ` . $)
    geoser $p |- ( ( N e. NN0 /\ A =/= 1 ) -> ( ( + seq0 F ) ` N ) =
                 ( ( 1 - ( A ^ ( N + 1 ) ) ) / ( 1 - A ) ) ) $=
      ( vj vm cn0 wcel c1 wne wa caddc cseq0 co cfv cmin cmul cdiv cexp cc cc0
      wceq ax1cn subcl divcan4t mp3an1 cv expclt mpan fopab ser0cl1 subid
      eqeq1i subcan2 eqcom 3bitr3 necon3bii biimp syl2an oprex opreq2 ser0p1
      opreq1d adddirt mp3an3 peano2nn0 syl sylanc eqtrd adantr opreq1 expp1t
      opreq2d ax1id subdit mp3an23 nncant mp2an opreq2i syl5reqr eqtr3d
      subsubt axmulcl mpan2 3eqtr2rd sylan9eqr ex exp0t ax-mp opreq1i mulid2
      eqtr ser00 addid2 exp1t 3eqtr4 fveq2 eqeq12d nn0indALT ) EJKZBLMZNEODPQZR
      ZLBSQZTQZXGUAQZXFLBELOQZUBQZSQZXGUAQZXFUCKZXGUDMZXIXFUEZXCXDXGUCKZXNXOXPL
      BUFGUGZXGXFUHUIDECAJUCBCUJZUBQZDFBUCKZXSJKXTUCKGBXSUKULUMZUNXDXOBLXGUDBBS
      QZXGUEUDXGUEBLUEXGUDUEYCUDXGBGUOUPBLBGUFGUQUDXGURUSUTVAVBXCXIXMUEXDXCXHXL
      XGUAHUJZXERZXGTQZLBYDLOQZUBQZSQZUEUDXERZXGTQZLBUDLOQZUBQZSQZUEIUJZXERZXGT
      QZLBYOLOQZUBQZSQZUEZYRXERZXGTQZLBYRLOQZUBQZSQZUEZXHXLUEHIEYOJKZUUAUUGUUHU
      UANUUCYQYSXGTQZOQZUUFUUHUUCUUJUEUUAUUHUUCYPYSOQZXGTQZUUJUUHUUBUUKXGTAXTYS
      CDYOFBYRUBVCXSYRBUBVDVEVFYPUCKZYSUCKZUULUUJUEZUUHUUMUUNXQUUOXRYPYSXGVGVHD
      YOYBUNUUHYRJKZUUNYOVIZYAUUPUUNGBYRUKULVJZVKVLVMUUAUUHUUJYTUUIOQZUUFYQYTUU
      IOVNUUHUUFLYSBTQZSQLYSUUISQZSQZUUSUUHUUEUUTLSUUHUUPUUEUUTUEZUUQYAUUPUVCGB
      YRVOULVJVPUUHUVAUUTLSUUHYSLTQZUUISQZUVAUUTUUHUVDYSUUISUUHUUNUVDYSUEUURYSV
      QVJVFUUHYSLXGSQZTQZUVEUUTUUHUUNUVGUVEUEZUURUUNLUCKZXQUVHUFXRYSLXGVRVSVJUV
      FBYSTUVIYAUVFBUEUFGLBVTWAWBWCWDVPUUNUUIUCKZUVBUUSUEZUUHUVIUUNUVJUVKUFLYSU
      UIWEUIUURUUHUUNUVJUURUUNXQUVJXRYSXGWFWGVJVKWHWIVLWJBUDUBQZXGTQZXGYKYNUVML
      XGTQXGUVLLXGTYAUVLLUEGBWKWLWMXGXRWNWOYJUVLXGTAXTUVLCDFBUDUBVCXSUDBUBVDWPW
      MYMBLSYMBLUBQZBYLLBUBLUFWQWBYAUVNBUEGBWRWLWOWBWSYDUDUEZYFYKYIYNUVOYEYJXGT
      YDUDXEWTVFUVOYHYMLSUVOYGYLBUBYDUDLOVNVPVPXAYDYOUEZYFYQYIYTUVPYEYPXGTYDYOX
      EWTVFUVPYHYSLSUVPYGYRBUBYDYOLOVNVPVPXAYDYRUEZYFUUCYIUUFUVQYEUUBXGTYDYRXEW
      TVFUVQYHUUELSUVQYGUUDBUBYDYRLOVNVPVPXAYDEUEZYFXHYIXLUVRYEXFXGTYDEXEWTVFUV
      RYHXKLSUVRYGXJBUBYDELOVNVPVPXAXBVFVMWD $.
      $( [15-May-2006] $) $( [12-May-2006] $)

    ${
      geolimilem.3 $e |- ( abs ` A ) < 1 $.
      geolimilem.4 $e |- G Fn NN0 $.
      geolimilem.5 $e |- ( n e. NN0 ->
               ( G ` n ) = ( -u ( A x. ( F ` n ) ) / ( 1 - A ) ) ) $.
      $( Lemma for ~ geolimi . $)
      geolimilem $p |- ( + seq0 F ) ~~> ( 1 / ( 1 - A ) ) $=
        ( caddc cseq0 co c1 cmin cdiv cc0 cli wbr cc wcel wa cz cv cfv wceq
        cuz wral cneg cmul ax1cn subcl cr cabs clt wne 1re abssubne0t mp3an
        reccl negcl mulcl cexp cn cn0 nnnn0t opreq2 oprex fvopab4 syl rgen
        nn0ex fopabex2 expcnv pm3.2i 0z elnn0uz expclt mpan fopab ffvelrni w3a
        div23t mpan2 mp3an13 mulneg1t opreq1d mulneg12t mp2an divrec2t eqtr4
        opreq1i eqcomi a1i 3eqtr3d eqtrd jca sylbir wfn cvv fnex elisseti
        climmulc2 mul01 breqtr axmulcl negclt divclt mp3an23 eqeltrd axmulcom
        opreq2d expp1t 3eqtr4rd negsubt eqtr4d divdirtOLD wb subeq0t necon3bii
        mpbi necom geoser 3eqtr4d climaddc2 addid1 ) LEMNZOOBPNZQNZRLNZYJSFRSTZ
        YJUAUBZUCRUDUBZDUEZFUFZUAUBZYOYHUFZYJYPLNZUGZUCZDRUHUFZUIZUCYHYKSTYLYMF
        YJUJZBUKNZRUKNZRSUUEUAUBZERSTZUCYNYOEUFZUAUBZYPUUEUUIUKNZUGZUCZDUUBUIZU
        CFUUFSTUUGUUHUUDBYJYIOBULHUMZBUAUBZOUNUBBUOUFOUPTZYIRUQZHURIBOUSUTZVAZV
        BHVCZUUPUUIBYOVDNZUGZDVEUIUUQUUHHUVCDVEYOVEUBYOVFUBZUVCYOVGCAYOBCUEZVDN
        ZUVBVFEUVEYOBVDVHGBYOVDVIVJZVKVLIBDECAVFUVFEVMGVNZVOUTVPYNUUNVQUUMDUUBY
        OUUBUBZUVDUUMYOVRZUVDUUJUULVFUAYOECAVFUAUVFEGUUPUVEVFUBUVFUAUBHBUVEVSVT
        WAWBZUVDYPBUUIUKNZUJZYIQNZUUKKUVDBUJZUUIUKNZYIQNZUVOYIQNZUUIUKNZUVNUUKU
        VDUUJUVQUVSUGZUVKUVOUAUBZUUJYIUAUBZUVTBHVBZUUOUWAUUJUWBWCUURUVTUUSUVOUU
        IYIWDWEWFVKUVDUVPUVMYIQUVDUUJUVPUVMUGZUVKUUPUUJUWDHBUUIWGVTVKWHUVSUUKUG
        UVDUUKUVSUUEUVRUUIUKUUEYJUVOUKNZUVRYMUUPUUEUWEUGUUTHYJBWIWJUWAUWBUURUVR
        UWEUGUWCUUOUUSUVOYIWKUTWLWMWNWOWPWQWRWSVLVPRUUEDEFRUVHFVFWTVFXAUBFXAUBJ
        VMVFXAFXBWJZRUDVQXCZXDWJUUEUVAXEXFUUTVPYNUUCVQUUADUUBUVIUVDUUAUVJUVDYQY
        TUVDYPUVNUAKUVDUVMUAUBZUVNUAUBZUVDUVLUAUBZUWHUVDUUJUWJUVKUUPUUJUWJHBUUI
        XGVTVKZUVLXHVKZUWHUWBUURUWIUUOUUSUVMYIXIXJVKXKUVDOBYOOLNVDNZPNZYIQNZYJU
        VNLNZYRYSUVDUWOOUVMLNZYIQNZUWPUVDUWNUWQYIQUVDUWNOUVLPNZUWQUVDUWMUVLOPUV
        DBUVBUKNZUVBBUKNZUVLUWMUVDUVBUAUBZUWTUXAUGZUUPUVDUXBHBYOVSVTUUPUXBUXCHB
        UVBXLVTVKUVDUUIUVBBUKUVGXMUUPUVDUWMUXAUGHBYOXNVTXOXMUVDUWJUWQUWSUGZUWKO
        UAUBZUWJUXDULOUVLXPVTVKXQWHUVDUWHUWRUWPUGZUWLUXEUWHUWBUXFULUUOUXEUWHUWB
        WCUURUXFUUSOUVMYIXRWEWFVKWQUVDBOUQZYRUWOUGOBUQZUXGUURUXHUUSYIROBUXEUUPY
        IRUGOBUGXSULHOBXTWJYAYBOBYCYBABCEYOGHYDWEUVDYPUVNYJLKXMYEWRWSVLVPRYJDFY
        HRUWFLEMVIUWGOYIQVIYFWJYJUUTYGXF $.
        $( [17-May-2006] $) $( [15-May-2006] $)
    $}

    ${
      geolimi.3 $e |- ( abs ` A ) < 1 $.
      $( The partial sums in the infinite series ` 1 + A ^ 1 + A ^ 2 ` ...
         converge to ` ( 1 / ( 1 - A ) ) ` . $)
      geolimi $p |- ( + seq0 F ) ~~> ( 1 / ( 1 - A ) ) $=
        ( vn vj vz cv cn0 wcel cfv cmul co cneg c1 cmin cdiv wceq wa copab
        oprex eqid fnopab2 fveq2 opreq2d negeqd opreq1d fvopab4 geolimilem ) AB
        CHDIKZLMJKBUMDNZOPZQZRBSPZTPZUAUBIJUCZEFGIJLURUSUPUQTUDUSUEZUFIJHKZURBV
        ADNZOPZQZUQTPLUSUMVAUAZUPVDUQTVEUOVCVEUNVBBOUMVADUGUHUIUJUTVDUQTUDUKUL
        $.
        $( [17-May-2006] $) $( [15-May-2006] $)
    $}
  $}

  ${
    $d k y A $.
    geolim.1 $e |- F = { <. k , y >. | ( k e. NN0 /\ y = ( A ^ k ) ) } $.
    $( The partial sums in the infinite series ` 1 + A ^ 1 + A ^ 2 ` ...
       converge to ` ( 1 / ( 1 - A ) ) ` . $)
    geolim $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
                  ( + seq0 F ) ~~> ( 1 / ( 1 - A ) ) ) $=
      ( cc wcel cabs cfv c1 clt wbr wa caddc cv cn0 cexp co wceq copab cseq0
      cmin cdiv cli cc0 cif opreq1 eqeq2d anbi2d opabbidv opreq2d opreq2
      breq12d eqid eleq1 fveq2 breq1d anbi12d 0cn abs0 lt01 eqbrtr pm3.2i
      elimhyp pm3.26i pm3.27i geolimi dedth opreq2i syl5eqbr ) BFGZBHIZJKLZMZNC
      OZPGZAOZBVOQRZSZMZCATZUARZJJBUBRZUCRZNDUARUDVNWBWDUDLNVPVQVNBUEUFZVOQRZSZ
      MZCATZUARZJJWEUBRZUCRZUDLBUEBWESZWBWJWDWLUDWMWAWINUAWMVTWHCAWMVSWGVPWMVRW
      FVQBWEVOQUGUHUIUJUKWMWCWKJUCBWEJUBULUKUMAWECWIWIUNWEFGZWEHIZJKLZVNWNWPMUE
      FGZUEHIZJKLZMBUEWMVKWNVMWPBWEFUOWMVLWOJKBWEHUPUQURUEWESZWQWNWSWPUEWEFUOWT
      WRWOJKUEWEHUPUQURWQWSUSWRUEJKUTVAVBVCVDZVEWNWPXAVFVGVHDWANUAEVIVJ $.
      $( [19-Oct-2006] $) $( [15-May-2006] $)
  $}

  ${
    $d k y A $.
    geolim1i.1 $e |- F = { <. k , y >. | ( k e. NN /\ y = ( A ^ k ) ) } $.
    geolim1i.2 $e |- A e. CC $.
    geolim1i.3 $e |- ( abs ` A ) < 1 $.
    $( The partial sums in the geometric series ` A ^ 1 + A ^ 2 ` ... converge
       to ` ( A / ( 1 - A ) ) ` . $)
    geolim1i $p |- ( + seq1 F ) ~~> ( A / ( 1 - A ) ) $=
      ( cc0 c1 caddc co cop cv cn0 wcel cexp wceq wa copab cseqz cmin cdiv cfv
      cseq1 cli cuz wbr cz 0z uzidt ax-mp nn0ex opabex2 oprex cseq0 addex
      seq0seqz eqid geolimi eqbrtrr cc wf expclt mpan fopab wb nn0uz feq2 mpbi
      clim2serz cres cn wss nnssnn0 resopab2 nnuz reseq2 3eqtr2 opreq2i 1z
      seqzres eqtr nnex fopabex2 seq1seqz ax1cn addid2 opeq1i opreq1i 3eqtr4
      w3a wne subcl 3pm3.2i cr cabs clt 1re abssubne0t mp3an divsubdirt mp2an
      nncant divid 3eqtr3 seqz1 0nn0 opreq2 fvopab4 exp0t 3eqtr eqtr4 3brtr4 )
      HIJKZJLZCMZNOZAMBXPPKZQZRCASZTKZIIBUAKZUBKZHHJLXTTKZUCZUAKZJDUDKZBYBUBKZU
      EHHUFUCZOZYAYFUEUGHUHOZYJUIHUJUKYCXTHHCANXRULUMZIYBUBUNJXTUOKYDYCUEJXTUPY
      LUQABCXTXTURZFGUSUTNVAXTVBZYIVAXTVBZCANVAXRXTYMBVAOZXQXRVAOFBXPVCVDVENYIQ
      YNYOVFVGNYIVAXTVHUKVIVJUKIJLZDTKZYQXTTKZYGYAYRYQXTIUFUCZVKZTKZYSDUUAYQTDX
      PVLOXSRCASZXTVLVKZUUAEVLNVMUUDUUCQVNXSCAVLNVOUKVLYTQUUDUUAQVPVLYTXTVQUKVR
      VSIUHOUUBYSQVTJXTIUPYLWAUKWBJDUPCAVLXRDWCEWDWEXOYQXTTXNIJIWFWGWHWIWJYHYCI
      UAKZYFIYBUAKZYBUBKZYCYBYBUBKZUAKZYHUUEIVAOZYBVAOZUUKWKYBHWLZUUGUUIQUUJUUK
      UUKWFIBWFFWMZUUMWNYPIWOOBWPUCIWQUGUULFWRGBIWSWTZIYBYBXAXBUUFBYBUBUUJYPUUF
      BQWFFIBXCXBWIUUHIYCUAYBUUMUUNXDVSXEYEIYCUAYEHXTUCZBHPKZIYKYEUUOQUIJXTHUPY
      LXFUKHNOUUOUUPQXGCAHXRUUPNXTXPHBPXHYMBHPUNXIUKYPUUPIQFBXJUKXKVSXLXM $.
      $( [16-Jun-2006] $) $( [6-Jun-2006] $)
  $}

  ${
    $d k y A $.
    geolim1.1 $e |- F = { <. k , y >. | ( k e. NN /\ y = ( A ^ k ) ) } $.
    $( The partial sums in the infinite series ` A ^ 1 + A ^ 2 ` ... converge
       to ` ( A / ( 1 - A ) ) ` . $)
    geolim1 $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
                  ( + seq1 F ) ~~> ( A / ( 1 - A ) ) ) $=
      ( cc wcel cabs cfv c1 clt wbr wa caddc cv cn cexp co wceq copab cseq1
      cmin cdiv cli cc0 cif opreq1 eqeq2d anbi2d opabbidv opreq2d id opreq2
      opreq12d breq12d eqid eleq1 fveq2 breq1d anbi12d 0cn abs0 lt01 eqbrtr
      pm3.2i elimhyp pm3.26i pm3.27i geolim1i dedth opreq2i syl5eqbr ) BFGZBHIZ
      JKLZMZNCOZPGZAOZBVQQRZSZMZCATZUARZBJBUBRZUCRZNDUARUDVPWDWFUDLNVRVSVPBUEUF
      ZVQQRZSZMZCATZUARZWGJWGUBRZUCRZUDLBUEBWGSZWDWLWFWNUDWOWCWKNUAWOWBWJCAWOWA
      WIVRWOVTWHVSBWGVQQUGUHUIUJUKWOBWGWEWMUCWOULBWGJUBUMUNUOAWGCWKWKUPWGFGZWGH
      IZJKLZVPWPWRMUEFGZUEHIZJKLZMBUEWOVMWPVOWRBWGFUQWOVNWQJKBWGHURUSUTUEWGSZWS
      WPXAWRUEWGFUQXBWTWQJKUEWGHURUSUTWSXAVAWTUEJKVBVCVDVEVFZVGWPWRXCVHVIVJDWCN
      UAEVKVL $.
      $( [19-Jun-2006] $) $( [6-Jun-2006] $)
  $}

  ${
    $d A j y $.
    georeclim.1 $e |- F = { <. j , y >. |
                            ( j e. NN0 /\ y = ( ( 1 / A ) ^ j ) ) } $.
    $( The limit of a geometric series of reciprocals.  (Contributed by Paul
       Chapman, 28-Dec-2007.) $)
    georeclim $p |- ( ( A e. CC /\ 1 < ( abs ` A ) ) ->
                      ( + seq0 F ) ~~> ( A / ( A - 1 ) ) ) $=
      ( cc wcel c1 cabs cfv clt wbr wa caddc cseq0 co cdiv cmin cli geolim cc0
      wne cr gt0ne0t absclt adantr lt01 wi 0re 1re axlttrn mp3an12 syl mpani
      imp sylanc wb abs00t necon3bid mpbid recclt syldan wceq ax1cn absdivt
      mp3an1 cle ltlei absidt mp2an opreq1i syl6eq recgt1t biimpd ex pm2.43d
      eqbrtrd cmul dividt opreq2d w3a divdivdivt subclt a1i jctil pm3.26 jca
      abssubne0t mp3an2 3jca div1t 3eqtr3rd mulid2t subdirt syl3anc recid2t
      opreq12d eqtrd breqtrd ) BFGZHBIJZKLZMZNDOPZHHHBQPZRPZQPZBBHRPZQPZSXEFGZX
      EIJZHKLZXDXGSLXCAXECDETWTXBBUAUBZXJXCXAUAUBZXMXAUCGZUAXAKLZXNXCXAUDWTXOXB
      BUEZUFZWTXBXPWTUAHKLZXBXPUGWTXOXSXBMXPUHZXQUAUCGHUCGZXOXTUIUJUAHXAUKULUMU
      NUOZUPWTXNXMUQXBWTXAUABUABURUSUFUTZBVAVBZXCXKHXAQPZHKXCXKHIJZXAQPZYEWTXBX
      MXKYGVCZYCHFGZWTXMYHVDHBVEVFVBYFHXAQYAUAHVGLYFHVCUJUAHUIUJUGVHHVIVJVKVLWT
      XBYEHKLZWTXBYJWTXBXBYJUHXCXBYJXOXPXBYJUQXCXAVMXRYBUPVNVOVPUOVQZUPXCXGHBVR
      PZXFBVRPZQPZXIXCXGBBQPZQPZXGHQPZYNXGXCYOHXGQWTXBXMYOHVCYCBVSVBVTYIXFFGZMZ
      WTWTMZMXFUAUBZXMXMWAYPYNVCXCHXFBBWBXCYSYTXCYRYIYIXJYRXCHXEWCYIXCVDWDZYDUP
      ZVDWEXCWTWTWTXBWFZUUDWGWGXCUUAXMXMXJXLUUAXCXJYAXLUUAUJXEHWHWIYDYKUPZYCYCW
      JUPXCXGFGZYQXGVCYRUUAUUFXCXFVAUUCUUEUPXGWKUMWLXCYLBYMXHQWTYLBVCXBBWMUFZXC
      YMYLXEBVRPZRPZXHYIXJWTYMUUIVCXCHXEBWNUUBYDUUDWOXCYLBUUHHRUUGWTXBXMUUHHVCY
      CBWPVBWQWRWQWRWS $.
      $( [29-Dec-2007] $) $( [28-Dec-2007] $)
  $}

  ${
    $d k y A $.  $d y k N $.
    geosum.1 $e |- A e. CC $.
    $( The value of the finite geometric series ` 1 + A ^ 1 + A ^ 2 + ` ...
       ` + A ^ N ` . $)
    geosum $p |- ( ( N e. NN0 /\ A =/= 1 ) -> sum_ k e. ( 0 ... N ) ( A ^ k ) =
                 ( ( 1 - ( A ^ ( N + 1 ) ) ) / ( 1 - A ) ) ) $=
      ( vy cn0 wcel c1 wne wa cc0 cfz co cv cexp csu caddc wceq copab cseq0
      cfv cmin cdiv cop cseqz cuz elnn0uz oprex anbi1i opabbii fsumserz2 sylbi
      addex nn0ex opabex2 seq0seqz fveq1i syl6eqr adantr eqid geoser eqtrd ) CF
      GZAHIZJKCLMABNZOMZBPZCQVEFGZENVFRZJZBESZTMZUAZHACHQMOMUBMHAUBMUCMVCVGVMRV
      DVCVGCKQUDVKUEMZUAZVMVCCKUFUAZGVGVORCUGEVFBVKKCAVEOUHVJVEVPGZVIJBEVHVQVIV
      EUGUIUJUKULCVLVNQVKUMBEFVFUNUOUPUQURUSEABVKCVKUTDVAVB $.
      $( [9-May-2006] $) $( [9-May-2006] $)
  $}

  ${
    $d k x y z A $.  $d k x y z R $.
    $( The infinite sum of ` 1 + A ^ 1 + A ^ 2 ` ... is
       ` ( 1 / ( 1 - A ) ) ` . $)
    geoisum $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
                  sum_ k e. NN0 ( A ^ k ) = ( 1 / ( 1 - A ) ) ) $=
      ( vy cc wcel cabs cfv c1 clt wbr wa cc0 cuz cv cexp co csu cmin cdiv cn0
      caddc cop wceq copab cseqz cli cseq0 eqid geolim addex nn0ex opabex2
      seq0seqz syl5eqbrr cz 0z oprex elnn0uz anbi1i opabbii isumclim4t mpan
      syl nn0uz sumeq1i syl5eq ) ADEAFGHIJKZLMGZABNZOPZBQZHHARPZSPZTVJBQVGLUAUB
      VITEZCNVJUCZKZBCUDZUEPZVMUFJZVKVMUCZVGUAVQUGPVMVRUFCABVQVQUHUIUAVQUJBCTVJ
      UKULUMUNLUOEVSVTUPCVJVMBVQLAVIOUQVPVIVHEZVOKBCVNWAVOVIURUSUTHVLSUQVAVBVCT
      VHVJBVDVEVF $.
      $( [4-Jan-2007] $) $( [15-May-2006] $)

    $( The infinite sum of reciprocals ` 1 + ( 1 / A ) ^ 1 + ( 1 / A ) ^ 2 `
       ... is ` A / ( A - 1 ) ` .  (Contributed by rpenner, 3-Nov-2007.) $)
    geoisumr $p |- ( ( A e. CC /\ 1 < ( abs ` A ) ) ->
              sum_ k e. NN0 ( ( 1 / A ) ^ k ) = ( A / ( A - 1 ) ) ) $=
      ( cc wcel c1 cabs cfv clt wbr wa cn0 cdiv co cv cexp csu cmin wceq
      geoisum cc0 wne lt01 cr wi absclt 0re 1re axlttrn mp3an12 syl mpani imp
      absgt0t biimpar syldan recclt ax1cn absdivt mp3an1 cle ltlei absid ax-mp
      opreq1i syl6eq recgt1it sylan pm3.27d eqbrtrd sylanc divsubdirt mp3anl2
      anabsan dividt opreq1d eqtr2d opreq2d recdivt subclt mpan2 adantr ltnet
      wb subeq0t fveq2 syl6bi necon3d mpd pm3.26 syl2anc 3eqtrd ) ACDZEAFGZHIZJ
      ZKEALMZBNOMBPZEEWPQMZLMZEAEQMZALMZLMZAWTLMZWPCDZWPFGZEHIWQWSRWOWPBSWLWNAT
      UAZXDWLWNTWMHIZXFWLWNXGWLTEHIZWNXGUBWLWMUCDZXHWNJXGUDZAUEZTUCDEUCDZXIXJUF
      UGTEWMUHUIUJUKULWLXFXGAUMUNUOZAUPUOWOXEEWMLMZEHWOXEEFGZWMLMZXNWLWNXFXEXPR
      ZXMECDZWLXFXQUQEAURUSUOXOEWMLTEUTIXOERTEUFUGUBVAEUGVBVCZVDVEWOTXNHIZXNEHI
      ZXIWNXTYAJWLWMVFXKVGVHVIVJWOWRXAELWLWNXFWRXARXMWLXFJZXAAALMZWPQMZWRWLXFXA
      YDRZWLXRWLXFYEUQAEAVKVLVMYBYCEWPQAVNVOVPUOVQWTCDZWTTUAZWLXFXBXCRWOWTAVRWL
      YFWNWLXRYFUQAEVSVTWAWOWMEUAZYGXIWNYHWLXLXIWNYHUGEWMWBUSXKVGWLYHYGUDWNWLWT
      TWMEWLWTTRZAERZWMERWLXRYIYJWCUQAEWDVTYJWMXOEAEFWEXSVEWFWGWAWHWLWNWIXMWJWK
      $.
      $( [24-Apr-2008] $) $( [3-Nov-2007] $)

    $( The infinite sum of ` A ^ 1 + A ^ 2 ` ... is ` ( A / ( 1 - A ) ) ` . $)
    geoisum1 $p |- ( ( A e. CC /\ ( abs ` A ) < 1 ) ->
                  sum_ k e. NN ( A ^ k ) = ( A / ( 1 - A ) ) ) $=
      ( vy cc wcel cabs cfv c1 clt wbr wa cuz cv cexp co csu cmin cdiv cn
      caddc cop wceq copab cseqz cli cseq1 eqid geolim1 addex nnex opabex2
      seq1seqz syl5eqbrr cz 1z oprex elnnuz anbi1i opabbii isumclim4t mpan syl
      nnuz sumeq1i syl5eq ) ADEAFGHIJKZHLGZABMZNOZBPZAHAQOZROZSVIBPVFHTUAVHSEZC
      MVIUBZKZBCUCZUDOZVLUEJZVJVLUBZVFTVPUFOVLVQUECABVPVPUGUHTVPUIBCSVIUJUKULUM
      HUNEVRVSUOCVIVLBVPHAVHNUPVOVHVGEZVNKBCVMVTVNVHUQURUSAVKRUPUTVAVBSVGVIBVCV
      DVE $.
      $( [6-Nov-2007] $) $( [1-Nov-2007] $)

    $( The infinite sum of ` A x. ( R ^ 1 ) + A x. ( R ^ 2 ) ` ... is
       ` ( A x. R ) / ( 1 - R ) ` . $)
    geoisum1c $p |- ( ( A e. CC /\ R e. CC /\ ( abs ` R ) < 1 ) ->
          sum_ k e. NN ( A x. ( R ^ k ) ) = ( ( A x. R ) / ( 1 - R ) ) ) $=
      ( vy vx vz cc wcel cabs cfv c1 clt wbr w3a cmul co cmin cdiv cuz cv cexp
      csu cn cc0 wne wceq divasst wa pm3.26 pm3.27 ax1cn subclt mpan adantl
      3jca 3adant3 cr 1re abssubne0t mp3an2 3adant1 sylanc geoisum1 nnuz
      sumeq1i syl5eqr opreq2d wral caddc cop copab cseqz cli wex cz 1z oprex
      nnex opabex2 hbopab1 elnnuz cvv fvopab2 mpan2 sylbir isummulc1a mpanl1
      cn0 expclt nnnn0t sylan2 r19.21aiva adantr cseq1 eqid geolim1 breq2
      addex seq1seqz breq1i syl5bbr cla4ev syl jca 3impb syl6eqr 3eqtr2rd ) AGH
      ZBGHZBIJKLMZNZABOPKBQPZRPZABXLRPZOPZAKSJZBCTZUAPZCUBZOPZUCAXROPZCUBZXHXIX
      LGHZNZXLUDUEZXMXOUFXKABXLUGXHXIYDXJXHXIUHXHXIYCXHXIUIXHXIUJXIYCXHKGHXIYCU
      KKBULUMUNUOUPXIXJYEXHXIKUQHXJYEURBKUSUTVAVBXKXSXNAOXIXJXSXNUFXHXIXJUHZUCX
      RCUBXNXSBCVCUCXPXRCVDVEVFVAVGXKXTXPYACUBZYBXHXIXJXTYGUFZXHXRGHZCXPVHZKVIV
      JXQUCHZDTXRUFUHZCDVKZVLPZETZVMMZEVNZUHZYHYFKVOHXHYRYHVPEFXRACYMKBXQUAVQZC
      DUCXRVRVSZYLCDFVTXQXPHZYKXQYMJXRUFZXQWAZYKXRWBHUUBYSCDUCXRWBWCWDWEWFWGYFY
      JYQXIYJXJXIYICXPXIXQWHHZYIUUABXQWIUUAYKUUDUUCXQWJWEWKWLWMYFVIYMWNPZXNVMMZ
      YQDBCYMYMWOWPYPUUFEXNBXLRVQYOXNUFUUEYOVMMUUFYPYOXNUUEVMWQUUEYNYOVMVIYMWRY
      TWSWTXAXBXCXDWKXEUCXPYACVDVEXFXG $.
      $( [2-Nov-2007] $) $( [2-Nov-2007] $)
  $}

  $( The recurring decimal 0.999..., which is defined as the infinite sum 0.9 +
     0.09 + 0.009 + ... i.e. ` 9 / 10 ^ 1 + 9 / 10 ^ 2 + 9 / 10 ^ 3 ... ` , is
     exactly equal to 1, according to ZF set theory.  Interestingly, about 40%
     of the people responding to a poll at
     ~ http://forum.physorg.com/index.php?showtopic=13177 disagree. $)
  0.999... $p |- sum_ k e. NN ( 9 / ( 10 ^ k ) ) = 1 $=
    ( cn c9 c10 cv cexp co cdiv csu c1 cmul cmin wcel cn0 wceq nnnn0t cc cc0
    wne 9re recn divrect mp3an1 10re expclt mpan 10pos gt0ne0i expne0it
    mp3an13 sylanc recexpt opreq2d eqtr4d syl sumeq2i cabs cfv clt wbr rereccl
    cle 0re recgt0i ltlei absid ax-mp caddc 9pos cr wb 1re ltaddpos2t mp2an
    mpbi df-10 breqtrr recgt1t eqbrtr geoisum1c mp3an divrec divcan2OLD ax1cn
    subdi mulid1 recid opreq12i addcom eqtr4 subaddri 3eqtrr eqtr redivcl
    subcl mulcan divgt0i divid eqtr3 3eqtr ) BCDAEZFGZHGZAIBCJDHGZXAFGZKGZAIZCX
    DKGZJXDLGZHGZJBXCXFAXABMXANMZXCXFOXAPXKXCCJXBHGZKGZXFXBQMZXBRSZXCXMOZXKCQMZ
    XNXOXPCTUAZCXBUBUCDQMZXKXNDUDUAZDXAUEUFXSXKDRSZXOXTDUDUGUHZDXAUIUJUKXKXEXLC
    KXSXKYAXEXLOXTYBDXAULUJUMUNUOUPXQXDQMXDUQURZJUSUTXGXJOXRXDDUDYBVAZUAZYCXDJU
    SRXDVBUTYCXDORXDVCYDDUDUGVDVEXDYDVFVGJDUSUTZXDJUSUTZJCJVHGZDUSRCUSUTZJYHUSU
    TZVICVJMJVJMYIYJVKTVLCJVMVNVOVPVQDVJMRDUSUTYFYGVKUDUGDVRVNVOVSCXDAVTWACDHGZ
    YKHGXJJYKXHYKXIHCDXRXTYBWBDYKKGZDXIKGZOYKXIOYLCYMDCXTXRYBWCYMDJKGZDXDKGZLGD
    JLGCDJXDXTWDYEWEYNDYOJLDXTWFDXTYBWGWHDJCXTWDXRJCVHGYHDJCWDXRWIVPWJWKWLWMDYK
    XIXTYKCDTUDYBWNZUAZJXDWDYEWOYBWPVOWHYKYQYKYPCDTUDVIUGWQUHWRWSWT $.
    $( [2-Nov-2007] $) $( [2-Nov-2007] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Ratio test for infinite series convergence
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  ${
    $d x y z $.  $d x y z A $.  $d x y z B $.  $d y C $.  $d x y z F $.
    cvgratlem1ALT.1 $e |- F : NN --> RR $.
    cvgratlem1ALT.2 $e |- A e. RR $.
    cvgratlem1ALT.3 $e |- B e. NN $.
    cvgratlem1ALT.4 $e |- C e. NN $.
    $( Lemma for ~ cvgrat .  Establish, by induction, an exponential upper
       bound for the terms of a real series, given that the ratio of successive
       terms is less than some positive constant ` A ` beyond a starting index
       ` B ` . $)
    cvgratlem1ALT $p |- ( ( 0 < A /\
       A. x e. NN ( B <_ x -> ( F ` ( x + 1 ) ) < ( A x. ( F ` x ) ) ) ) ->
                     ( F ` ( B + C ) ) <_ ( ( A ^ C ) x. ( F ` B ) ) ) $=
      ( vy vz cc0 clt wbr cv cle c1 caddc co cfv cmul wi cn wral wa cexp wcel
      wceq opreq2 fveq2d opreq1d breq12d imbi2d nnre leid breq2 opreq1 fveq2
      opreq2d imbi12d rcla4v ax-mp mpi cc recn exp1t opreq1i syl6breqr adantl
      cr axlttrn nnaddclt mpan peano2nn syl ffvelrni axmulrcl cn0 reexpclt
      nnnn0t sylan2 mpan2 syl3anc nn0addge1t mpid w3a ltmul2t biimpd ex a1i
      imp3a syl2and exp4d com23 imp32 wb nncnt nncn ax1cn axaddass mp3an13
      expp1t expclt axmulcom eqtrd axmulass eqtr2d adantr sylibd a2d nnind
      mp2an remulcl ltle ) LBMNZCAOZPNZXPQRSZETZBXPETZUASZMNZUBZAUCUDZUEZCDRSZE
      TZBDUFSZCETZUASZMNZYGYJPNDUCUGZYEYKUBZIYECJOZRSZETZBYNUFSZYIUASZMNZUBYECQ
      RSZETZBQUFSZYIUASZMNZUBYECKOZRSZETZBUUEUFSZYIUASZMNZUBYECUUEQRSZRSZETZBUU
      KUFSZYIUASZMNZUBYMJKDYNQUHZYSUUDYEUUQYPUUAYRUUCMUUQYOYTEYNQCRUIUJUUQYQUUB
      YIUAYNQBUFUIUKULUMYNUUEUHZYSUUJYEUURYPUUGYRUUIMUURYOUUFEYNUUECRUIUJUURYQU
      UHYIUAYNUUEBUFUIUKULUMYNUUKUHZYSUUPYEUUSYPUUMYRUUOMUUSYOUULEYNUUKCRUIUJUU
      SYQUUNYIUAYNUUKBUFUIUKULUMYNDUHZYSYKYEUUTYPYGYRYJMUUTYOYFEYNDCRUIUJUUTYQY
      HYIUAYNDBUFUIUKULUMYDUUDXOYDUUABYIUASZUUCMYDCCPNZUUAUVAMNZCCHUNZUOCUCUGZY
      DUVBUVCUBZUBHYCUVFACUCXPCUHZXQUVBYBUVCXPCCPUPUVGXSUUAYAUVAMUVGXRYTEXPCQRU
      QUJUVGXTYIBUAXPCEURUSULUTVAVBVCUUBBYIUABVDUGZUUBBUHBGVEZBVFVBVGVHVIUUEUCU
      GZYEUUJUUPUVJYEUUJUUPUBUVJYEUEUUJUUFQRSZETZBUUIUASZMNZUUPUVJXOYDUUJUVNUBZ
      UVJYDXOUVOUVJYDXOUUJUVNUVJUVLBUUGUASZMNZUVPUVMMNZUVNYDXOUUJUEUVLVJUGZUVPV
      JUGZUVMVJUGZUVQUVRUEUVNUBUVJUVLUVPUVMVKUVJUVKUCUGZUVSUVJUUFUCUGZUWBUVEUVJ
      UWCHCUUEVLVMZUUFVNVOUCVJUVKEFVPVOUVJUUGVJUGZUVTUVJUWCUWEUWDUCVJUUFEFVPVOZ
      BVJUGZUWEUVTGBUUGVQVMVOUVJUUIVJUGZUWAUVJUUHVJUGZUWHUWGUVJUWIGUWGUUEVRUGZU
      WIUVJBUUEVSUUEVTZWAVMUWIYIVJUGZUWHUVEUWLHUCVJCEFVPVBZUUHYIVQWBVOZUWGUWHUW
      AGBUUIVQVMVOWCUVJYDCUUFPNZUVQUVJUWJUWOUWKCVJUGUWJUWOUVDCUUEWDVMVOUVJUWCYD
      UWOUVQUBZUBUWDYCUWPAUUFUCXPUUFUHZXQUWOYBUVQXPUUFCPUPUWQXSUVLYAUVPMUWQXRUV
      KEXPUUFQRUQUJUWQXTUUGBUAXPUUFEURUSULUTVAVOWEUVJXOUUJUVRUWEUWHUWGXOUUJUVRU
      BZUBUVJUWEUWHUWGWFZXOUWRUWSXOUEUUJUVRUUGUUIBWGWHWIUWFUWNUWGUVJGWJWCWKWLWM
      WNWOUVJUVNUUPWPYEUVJUVLUUMUVMUUOMUVJUVKUULEUVJUUEVDUGZUVKUULUHZUUEWQCVDUG
      UWTQVDUGUXACHWRWSCUUEQWTXAVOUJUVJUUOBUUHUASZYIUASZUVMUVJUUNUXBYIUAUVJUUNU
      UHBUASZUXBUVHUVJUUNUXDUHZUVIUVHUWJUXEUVJBUUEXBUWKWAVMUVJUUHVDUGZUXDUXBUHZ
      UVHUVJUXFUVIUVHUWJUXFUVJBUUEXCUWKWAVMZUXFUVHUXGUVIUUHBXDWBVOXEUKUVJUXFUXC
      UVMUHZUXHUVHUXFYIVDUGUXIUVIYIUWMVEBUUHYIXFXAVOXGULXHXIWIXJXKVBYGYJYFUCUGZ
      YGVJUGUVEYLUXJHICDVLXLUCVJYFEFVPVBYHYIUWGYLYHVJUGZGIUWGDVRUGUXKYLBDVSDVTW
      AXLUWMXMXNVO $.
      $( [17-Aug-2005] $) $( [28-May-2005] $)

    $( Lemma for ~ cvgrat .  Using ~ expsubt , restate ~ cvgratlem1ALT with an
       absolute index ` C ` instead of just an offset from the starting index
       ` B ` . $)
    cvgratlem2ALT $p |- ( ( 0 < A /\
         A. x e. NN ( B <_ x -> ( F ` ( x + 1 ) ) < ( A x. ( F ` x ) ) ) ) ->
                     ( B < C ->
                 ( F ` C ) <_ ( ( ( F ` B ) / ( A ^ B ) ) x. ( A ^ C ) ) ) ) $=
      ( cc0 clt wbr cv cle c1 caddc co cfv cmul wi cn wral wa cexp cdiv cmin
      wcel nnsub cif wceq opreq2 fveq2d opreq1d breq12d imbi2d 1nn elimel
      cvgratlem1ALT dedth nncn pncan3 fveq2i breq1i syl6ib sylbi impcom wne cc
      w3a recn 3pm3.2i cn0 expsubt id nnnn0t 3anim123i adantr cr ltlet nnret
      syl2an ancoms 3adant1 anim2d imp sylanc mpan gt0ne0 sylan expgt0t
      syl3an2 mp3an12 reexpclt sylan2 mp2an ffvelrni ax-mp expclt div13t 3syl
      eqtr4d adantlr breqtrd ex ) JBKLZCAMZNLXFOPQERBXFERSQKLTAUAUBZUCZCDKLZDER
      ZCERZBCUDQZUEQBDUDQZSQZNLXHXIUCXJBDCUFQZUDQZXKSQZXNNXIXHXJXQNLZXIXOUAUGZX
      HXRTCDHIUHXSXHCXOPQZERZXQNLZXRXSXHYBTXHCXSXOOUIZPQZERZBYCUDQZXKSQZNLZTXOO
      XOYCUJZYBYHXHYIYAYEXQYGNYIXTYDEXOYCCPUKULYIXPYFXKSXOYCBUDUKUMUNUOABCYCEFG
      HXOOUAUPUQURUSYAXJXQNXTDECDCHUTDIUTVAVBVCVDVEVFXEXIXQXNUJXGXEXIUCZXQXMXLU
      EQZXKSQZXNYJXPYKXKSBJVGZXIXPYKUJZXEBVHUGZDUAUGZCUAUGZVIZYMXIUCZYNYOYPYQBG
      VJZIHVKYODVLUGZCVLUGZVIZYMCDNLZUCZYNYRYSUCBDCVMYRUUCYSYOYOYPUUAYQUUBYOVND
      VOZCVOZVPVQYRYSUUEYRXIUUDYMYPYQXIUUDTZYOYQYPUUHCVRUGDVRUGUUHYQYPCDVSCVTDV
      TWAWBWCWDWEWFWGBGWHWIUMXEXNYLUJZXIXEJXLKLZXLJVGZUUIBVRUGZYQXEUUJGHUULUUBX
      EUUJYQBCWJUUGWKWLXLUULYQXLVRUGZGHUULUUBUUMYQBCWMUUGWNWOZWHXKVHUGZXLVHUGZX
      MVHUGZVIUUKUUIUUOUUPUUQXKYQXKVRUGHUAVRCEFWPWQVJXLUUNVJYOYPUUQYTIYOUUAUUQY
      PBDWRUUFWNWOVKXKXLXMWSWGWTVQXAXBXCXD $.
      $( [17-Aug-2005] $) $( [28-May-2005] $)
  $}

  ${
    $d x A $.  $d x y z B $.  $d x y z F $.  $d y z C $.
    cvgratlem3ALT.1 $e |- F : NN --> CC $.
    $d G x $.
    cvgratlem3ALT.2 $e |- G =
                    { <. y , z >. | ( y e. NN /\ z = ( abs ` ( F ` y ) ) ) } $.
    cvgratlem3ALT.3 $e |- A e. RR $.
    cvgratlem3ALT.4 $e |- B e. NN $.
    cvgratlem3ALT.5 $e |- C e. NN $.
    $( Lemma for ~ cvgrat .  Restate ~ cvgratlem2ALT (which was for a real
       function) in terms of the absolute values of the terms of a complex
       function ` F ` , with the help of an auxiliary function ` G ` . $)
    cvgratlem3ALT $p |- ( ( 0 < A /\ A. x e. NN ( B <_ x ->
  ( abs ` ( F ` ( x + 1 ) ) ) < ( A x. ( abs ` ( F ` x ) ) ) ) ) ->
  ( B < C -> ( abs ` ( F ` C ) ) <_ ( ( ( abs ` ( F ` B ) )
                       / ( A ^ B ) ) x. ( A ^ C ) ) ) ) $=
      ( cc0 clt wbr cv cle c1 caddc co cfv cmul wi cn wral cabs cexp cdiv wa
      cr wcel cc ffvelrni absclt syl fopab cvgratlem2ALT imp wceq fveq2 fveq2d
      fvex fvopab4 ax-mp opreq1i 3brtr3g ex peano2nn opreq2d breq12d imbi2d
      ralbiia sylan2br ) NDOPZEAQZRPZVPSTUAZHUBZDVPHUBZUCUAZOPZUDZAUEUFZEFOPZFG
      UBZUGUBZEGUBZUGUBZDEUHUAZUIUAZDFUHUAZUCUAZRPZUDVQVRGUBZUGUBZDVPGUBZUGUBZU
      CUAZOPZUDZAUEUFVOWDUJZWEWNXBWEUJFHUBZEHUBZWJUIUAZWLUCUAZWGWMRXBWEXCXFRPAD
      EFHBCUEUKBQZGUBZUGUBZHJXGUEULXHUMULXIUKULUEUMXGGIUNXHUOUPUQKLMURUSFUEULXC
      WGUTMBCFXIWGUEHXGFUTXHWFUGXGFGVAVBJWFUGVCVDVEXEWKWLUCXDWIWJUIEUEULXDWIUTL
      BCEXIWIUEHXGEUTXHWHUGXGEGVAVBJWHUGVCVDVEVFVFVGVHWCXAAUEVPUEULZWBWTVQXJVSW
      PWAWSOXJVRUEULVSWPUTVPVIBCVRXIWPUEHXGVRUTXHWOUGXGVRGVAVBJWOUGVCVDUPXJVTWR
      DUCBCVPXIWRUEHXGVPUTXHWQUGXGVPGVAVBJWQUGVCVDVJVKVLVMVN $.
      $( [17-Aug-2005] $) $( [28-May-2005] $)
  $}

  ${
    $d x y z $.  $d x y z A $.  $d x y z B $.  $d y C $.  $d x y z F $.
    cvgratlem1.1 $e |- F : NN --> RR $.
    $( Lemma for ~ cvgrat .  Establish, by induction, an exponential upper
       bound for the terms of a real series, given that the ratio of successive
       terms is less than some positive constant ` A ` beyond a starting index
       ` B ` . $)
    cvgratlem1 $p |- ( ( C e. NN /\ ( ( A e. RR /\ 0 < A ) /\ ( B e. NN /\
       A. x e. NN ( B <_ x -> ( F ` ( x + 1 ) ) < ( A x. ( F ` x ) ) ) ) ) ) ->
                     ( F ` ( B + C ) ) <_ ( ( A ^ C ) x. ( F ` B ) ) ) $=
      ( vy vz cn wcel cr cc0 clt wbr wa cv cle c1 caddc co cfv cmul wi wral
      cexp wceq opreq2 fveq2d opreq1d breq12d imbi2d nnret leidt syl breq2
      opreq1 fveq2 opreq2d imbi12d rcla4v mpid imp adantl cc recnt exp1t
      adantr breqtrrd axlttrn nnaddclt ancoms peano2nn ffvelrni adantll
      axmulrcl sylan2 anassrs simpll cn0 reexpclt nnnn0t syl2an sylanc syl3anc
      nn0addge1t w3a ltmul2t biimpd ex imp3a syl2and exp4d exp31 imp4a com12
      com34 imp44 wb ax1cn axaddass mp3an3 nncnt expp1t axmulcom expclt pm3.26
      eqtrd adantlr axmulass 3expa jca recnd an1rs eqtr2d sylanl1 adantrlr
      adantrrr sylibd a2d nnind ltlet adantrl anasss mpd ) DIJZBKJZLBMNZOZCIJZC
      APZQNZYJRSTZEUAZBYJEUAZUBTZMNZUCZAIUDZOZOZOCDSTZEUAZBDUETZCEUAZUBTZMNZUUB
      UUEQNZYEYTUUFYTCGPZSTZEUAZBUUHUETZUUDUBTZMNZUCYTCRSTZEUAZBRUETZUUDUBTZMNZ
      UCYTCHPZSTZEUAZBUUSUETZUUDUBTZMNZUCYTCUUSRSTZSTZEUAZBUVEUETZUUDUBTZMNZUCY
      TUUFUCGHDUUHRUFZUUMUURYTUVKUUJUUOUULUUQMUVKUUIUUNEUUHRCSUGUHUVKUUKUUPUUDU
      BUUHRBUEUGUIUJUKUUHUUSUFZUUMUVDYTUVLUUJUVAUULUVCMUVLUUIUUTEUUHUUSCSUGUHUV
      LUUKUVBUUDUBUUHUUSBUEUGUIUJUKUUHUVEUFZUUMUVJYTUVMUUJUVGUULUVIMUVMUUIUVFEU
      UHUVECSUGUHUVMUUKUVHUUDUBUUHUVEBUEUGUIUJUKUUHDUFZUUMUUFYTUVNUUJUUBUULUUEM
      UVNUUIUUAEUUHDCSUGUHUVNUUKUUCUUDUBUUHDBUEUGUIUJUKYTUUOBUUDUBTZUUQMYSUUOUV
      OMNZYHYIYRUVPYIYRCCQNZUVPYICKJZUVQCULZCUMUNYQUVQUVPUCACIYJCUFZYKUVQYPUVPY
      JCCQUOUVTYMUUOYOUVOMUVTYLUUNEYJCRSUPUHUVTYNUUDBUBYJCEUQURUJUSUTVAVBVCYHUU
      QUVOUFYSYHUUPBUUDUBYFUUPBUFZYGYFBVDJZUWABVEZBVFUNVGUIVGVHUUSIJZYTUVDUVJUW
      DYTUVDUVJUCUWDYTOUVDUUTRSTZEUAZBUVCUBTZMNZUVJUWDYFYGYSUVDUWHUCZUWDYFYSYGU
      WIYFUWDYSYGUWIUCZUCYFUWDYIYRUWJYFUWDYIYRUWJUCYFUWDOZYIOZYRYGUVDUWHUWLUWFB
      UVAUBTZMNZUWMUWGMNZUWHYRYGUVDOUWFKJZUWMKJZUWGKJZUWNUWOOUWHUCUWLUWFUWMUWGV
      IUWDYIUWPYFUWDYIOZUWEIJZUWPUWSUUTIJZUWTYIUWDUXACUUSVJZVKZUUTVLUNIKUWEEFVM
      UNVNYFUWDYIUWQYFUVAKJZUWQUWSBUVAVOUWSUXAUXDUXCIKUUTEFVMZUNVPVQYFUVCKJZUWR
      UWLBUVCVOYFUWDYIVRZUVBKJZUUDKJZUXFUWKYIUVBUUDVOYFUUSVSJZUXHUWDBUUSVTUUSWA
      ZVPIKCEFVMZWBZWCWDUWDYIYRUWNUCZYFYIUWDUXNYIUWDOZYRCUUTQNZUWNUVRUXJUXPYIUW
      DCUUSWEUVSUXKWBUXOUXAYRUXPUWNUCZUCUXBYQUXQAUUTIYJUUTUFZYKUXPYPUWNYJUUTCQU
      OUXRYMUWFYOUWMMUXRYLUWEEYJUUTRSUPUHUXRYNUVABUBYJUUTEUQURUJUSUTUNVAVKVNUWL
      YGUVDUWOUXDUXFYFYGUVDUWOUCZUCUWLUXDUXFYFWFZYGUXSUXTYGOUVDUWOUVAUVCBWGWHWI
      UWLUXAUXDUWDYIUXAYFUXCVNUXEUNUXMUXGWDWJWKWLWMWNWOWPWQUWDYHYIUWHUVJWRZYRUW
      DYFYIUYAYGYFYIOZUWDUYAUWBYIUWDUYAYFUWBYIOUWDOZUWFUVGUWGUVIMYIUWDUWFUVGUFU
      WBUXOUWEUVFECVDJZUUSVDJZUWEUVFUFZYIUWDUYDUYERVDJUYFWSCUUSRWTXACXBUUSXBWBU
      HVNUYCUVIBUVBUBTZUUDUBTZUWGUYCUVHUYGUUDUBUWBUWDUVHUYGUFYIUWBUWDOZUVHUVBBU
      BTZUYGUWBUXJUVHUYJUFUWDBUUSXCUXKVPUVBVDJZUWBUYJUYGUFUYIUVBBXDUWBUXJUYKUWD
      BUUSXEUXKVPZUWBUWDXFZWCXGXHUIUWBUWDYIUYHUWGUFZUWBUYKOUUDVDJZUYNUYIYIUWBUY
      KUYOUYNBUVBUUDXIXJUYIUWBUYKUYMUYLXKYIUUDUXLXLWBXMXNUJUWCXOVKXPXQXRWIXSXTV
      BYEYHYIUUFUUGUCZYRYEYFYIUYPYGUUBKJZUUEKJZUYPYEUYBOUUBUUEYAYEYIUYQYFYEYIOU
      UAIJZUYQYIYEUYSCDVJVKIKUUAEFVMUNYBYEYFYIUYRUUCKJZUXIUYRYEYFOYIUUCUUDVOYFY
      EUYTYFDVSJUYTYEBDVTDWAVPVKUXLWBYCWCXPXQYD $.
      $( [28-Jul-2006] $) $( [26-Apr-2005] $)

    $( Lemma for ~ cvgrat .  Using ~ expsubt , restate ~ cvgratlem1
       with an
       absolute index ` C ` instead of just an offset from the starting index
       ` B ` . $)
    cvgratlem2 $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. NN /\
         A. x e. NN ( B <_ x -> ( F ` ( x + 1 ) ) < ( A x. ( F ` x ) ) ) ) ) ->
                     ( ( C e. NN /\ B < C ) ->
                 ( F ` C ) <_ ( ( ( F ` B ) / ( A ^ B ) ) x. ( A ^ C ) ) ) ) $=
      ( cr wcel cc0 clt wbr wa cn cv cle c1 caddc co cfv cmul wi wral cexp
      cdiv cmin nnsubt cvgratlem1 exp45 com3r imp4d adantr cc wceq pncan3t
      nncnt syl2an fveq2d breq1d sylibd exp3a sylbid ex imp3a exp4a com12
      com4l imp42 w3a wne cn0 expsubt id nnnn0t 3anim123i ltlet ancoms nnret
      3adant1 anim2d imp sylanc recnt ad2antrr simprl simplr 3jca gt0ne0t
      pm3.27 anim12i opreq1d div13t ffvelrni recnd ad2antlr reexpclt sylan2
      adantlr expgt0t syl3an2 3expa an1rs adantrr eqtr4d adantlrr breqtrd ) BGH
      ZIBJKZLZCMHZCANZOKXJPQRESBXJESTRJKUAAMUBZLLZDMHZCDJKZLZDESZCESZBCUCRZUDRB
      DUCRZTRZOKXLXOLXPBDCUERZUCRZXQTRZXTOXHXIXKXOXPYCOKZXIXHXKXOYDUAUAXOXIXHXK
      YDXIXOXHXKYDUAUAXIXOXHXKYDXIXMXNXHXKLZYDUAZXIXMXNYFUAXIXMLZXNYAMHZYFCDUFY
      GYHYEYDYGYHYELZCYAQRZESZYCOKZYDXIYIYLUAXMXIYHXHXKYLYHXHXIXKYLUAYHXHXIXKYL
      ABCYAEFUGUHUIUJUKYGYKXPYCOYGYJDECULHDULHYJDUMXIXMCDUNCUODUOUPUQURUSUTVAVB
      VCVDVEVFVEVGXHXIXOYCXTUMXKXHXILZXOLZYCXSXRUDRZXQTRZXTYNYBYOXQTBULHZXMXIVH
      ZBIVIZXNLZYBYOUMZYNYQDVJHZCVJHZVHZYSCDOKZLZUUAYRYTLBDCVKYRUUDYTYQYQXMUUBX
      IUUCYQVLDVMZCVMZVNUKYRYTUUFYRXNUUEYSXMXIXNUUEUAZYQDGHZCGHZUUIXMXIUUKUUJUU
      ICDVOVPDVQCVQUPVRVSVTWAYNYQXMXIXHYQXIXOXFYQXGBWBUKWCYMXMXNWDXHXIXOWEWFYMY
      SXOXNXHYSXIBWGUKXMXNWHWIWAWJYMXMXTYPUMZXNXQULHZXRULHZXSULHZVHXRIVIZUULYMX
      MLZXQXRXSWKUUQUUMUUNUUOXIUUMXHXMXIXQMGCEFWLWMWNYMUUNXMXFXIUUNXGXFXILXRXFU
      UCXRGHZXIBCWOUUHWPZWMWQUKXHXMUUOXIXFXMUUOXGXFXMLXSXFUUBXSGHXMBDWOUUGWPWMW
      QWQWFYMUUPXMUURIXRJKZUUPYMXRWGXFXIUURXGUUSWQXFXIXGUUTXFXIXGUUTXFUUCXGUUTX
      IBCWRUUHWSWTXAWAUKWAXBXCXDXEVB $.
      $( [28-Jul-2006] $) $( [22-Apr-2005] $)
  $}

  ${
    $d x A $.  $d x y z B $.  $d x y z F $.  $d y z C $.
    cvgratlem3.1 $e |- F : NN --> CC $.
    $d G x $.
    cvgratlem3.2 $e |- G =
                    { <. y , z >. | ( y e. NN /\ z = ( abs ` ( F ` y ) ) ) } $.
    $( Lemma for ~ cvgrat .  Restate ~ cvgratlem2 (which was for a real
       function) in terms of the absolute values of the terms of a complex
       function ` F ` , with the help of an auxiliary function ` G ` . $)
    cvgratlem3 $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. NN /\
       A. x e. NN ( B <_ x ->
  ( abs ` ( F ` ( x + 1 ) ) ) < ( A x. ( abs ` ( F ` x ) ) ) ) ) ) ->
  ( ( C e. NN /\ B < C ) -> ( abs ` ( F ` C ) ) <_ ( ( ( abs ` ( F ` B ) )
                       / ( A ^ B ) ) x. ( A ^ C ) ) ) ) $=
      ( cr wcel cc0 clt wbr wa cn cv cle c1 caddc co cfv cmul wi wral cabs
      cexp cdiv cc ffvelrni absclt syl fopab cvgratlem2 imp wceq fveq2 fveq2d
      fvex fvopab4 ad2antrl opreq1d adantr ad2antlr 3brtr3d ex peano2nn
      opreq2d breq12d imbi2d ralbiia anbi2i sylan2br ) DKLMDNOPZEQLZEARZSOZVQTU
      AUBZHUCZDVQHUCZUDUBZNOZUEZAQUFZPZFQLZEFNOZPZFGUCZUGUCZEGUCZUGUCZDEUHUBZUI
      UBZDFUHUBZUDUBZSOZUEVPVRVSGUCZUGUCZDVQGUCZUGUCZUDUBZNOZUEZAQUFZPVOWFPZWIW
      RXGWIPFHUCZEHUCZWNUIUBZWPUDUBZWKWQSXGWIXHXKSOADEFHBCQKBRZGUCZUGUCZHJXLQLX
      MUJLXNKLQUJXLGIUKXMULUMUNUOUPWGXHWKUQXGWHBCFXNWKQHXLFUQXMWJUGXLFGURUSJWJU
      GUTVAVBWFXKWQUQZVOWIVPXOWEVPXJWOWPUDVPXIWMWNUIBCEXNWMQHXLEUQXMWLUGXLEGURU
      SJWLUGUTVAVCVCVDVEVFVGWEXFVPWDXEAQVQQLZWCXDVRXPVTWTWBXCNXPVSQLVTWTUQVQVHB
      CVSXNWTQHXLVSUQXMWSUGXLVSGURUSJWSUGUTVAUMXPWAXBDUDBCVQXNXBQHXLVQUQXMXAUGX
      LVQGURUSJXAUGUTVAVIVJVKVLVMVN $.
      $( [28-May-2005] $) $( [25-Apr-2005] $)
  $}

  ${
    $d x y z w v A $.  $d x y v u B $.  $d x y v u F $.  $d y v G $.
    cvgrat.1 $e |- F : NN --> CC $.
    $( Lemma for ~ cvgrat .  The ratio of successive terms meeting the ratio
       test criterion is positive. $)
    cvgratlem4 $p |- ( ( A e. RR /\ ( B e. NN /\ A. x e. NN ( B <_ x ->
 ( abs ` ( F ` ( x + 1 ) ) ) < ( A x. ( abs ` ( F ` x ) ) ) ) ) ) -> 0 < A ) $=
      ( cr wcel cn cv cle wbr c1 caddc co cfv cabs cmul clt wi wral cc0 wa
      nnret leidt syl wceq breq2 opreq1 fveq2d fveq2 opreq2d breq12d imbi12d
      rcla4v mpid adantl cc peano2nn ffvelrni absge0t 3syl 0re lelttrt mp3an1
      absclt axmulrcl sylan2 sylanc mpand jctild prodgt02t ex syld imp32 ) BFGZ
      CHGZCAIZJKZVQLMNZDOZPOZBVQDOZPOZQNZRKZSZAHTZUABRKZVOVPWGWHSVOVPUBZWGCLMNZ
      DOZPOZBCDOZPOZQNZRKZWHVPWGWPSVOVPWGCCJKZWPVPCFGWQCUCCUDUEWFWQWPSACHVQCUFZ
      VRWQWEWPVQCCJUGWRWAWLWDWORWRVTWKPWRVSWJDVQCLMUHUIUIWRWCWNBQWRWBWMPVQCDUJU
      IUKULUMUNUOUPWIWPUAWNJKZUAWORKZUBZWHWIWPWTWSWIUAWLJKZWPWTVPXBVOVPWJHGZWKU
      QGZXBCURZHUQWJDEUSZWKUTVAUPWLFGZWOFGZXBWPUBWTSZWIUAFGXGXHXIVBUAWLWOVCVDVP
      XGVOVPXCXDXGXEXFWKVEVAUPVOWNFGZXHVPBWNVFVPWMUQGZXJHUQCDEUSZWMVEUEZVGVHVIV
      PWSVOVPXKWSXLWMUTUEUPVJVOXJXAWHSVPVOXJUBXAWHBWNVKVLXMVGVMVMVLVN $.
      $( [28-May-2005] $) $( [25-Apr-2005] $)

    ${
      cvgratlem5.2 $e |- G = { <. z , w >. | ( z e. NN /\ w = ( A ^ z ) ) } $.
      $( Lemma for ~ cvgrat .  A complex infinite series ` F ` meeting the
         ratio test criterion converges.  We show that the partial sums of
         ` F ` are smaller than the partial sums of a geometric series (which
         converges by ~ geolimi ), so by the comparison test
         ~ cvgcmp3cet , ` F ` also converges. $)
      cvgratlem5 $p |- ( ( ( A e. RR /\ A < 1 ) /\ ( B e. NN /\
           A. x e. NN ( B <_ x ->
  ( abs ` ( F ` ( x + 1 ) ) ) < ( A x. ( abs ` ( F ` x ) ) ) ) ) ) ->
                    E. y ( + seq1 F ) ~~> y ) $=
        ( vv vu cn wcel cr wf cc0 cv cfv cle wbr wral wa caddc cseq1 co c1
        cmin cdiv cli cabs cexp cc clt cmul wi wex oprex cvgcmp3cet simprl
        cvgratlem4 adantlr 0re ltlet mpan imp cn0 reexpclt nnnn0t sylan2
        r19.21aiva fopab2 sylib adantr expge0t syl3an2 3expa an1rs wceq opreq2
        fvopab4 adantl breqtrrd jca geolim1 recnt ad2antrr absidt simplr
        eqbrtrd sylanc syldan w3a wne redivclt ffvelrni absclt syl 3ad2ant2
        3adant3 gt0ne0t 3adant2 wb expne0t sylan mpbird syl3anc divge0t
        absge0t expgt0t syl2anc adantrr copab eqid cvgratlem3 opreq2d ad2antrl
        exp32 r19.21aiv jctil adantllr exp31 com23 mpd ) FMNZMOHPZQKRZHSZTUAZKM
        UBZUCZUDHUEUFEUGEUHUFZUIUFZUJUAZUCZFGSZUKSZEFULUFZUIUFZONZQYSTUAZUCZMUM
        GPZFYGUNUAZYGGSUKSZYSYHUOUFZTUAZUPZKMUBZUCZUCZUCZUDGUEUFBRZUJUABUQEONZE
        UGUNUAZUCZYEFARZTUAUUQUGUDUFGSUKSEUUQGSUKSUOUFUNUAUPAMUBZUCZUCZKBYMFYSH
        GEYLUIURUSUUPYEUURUTUUTQEUNUAZUULUUNUUSUVAUUOAEFGIVAVBUUPUUSUVAUULUPUUP
        UVAUUSUULUUPUVAUUSUULUUPUVAUCZUUSUCYOUUKUVBYOUUSUUPUVAQETUAZYOUUNUVAUVC
        UUOUUNUVAUVCQONUUNUVAUVCUPVCQEVDVEVFVBUUPUVCUCZYKYNUUNUVCYKUUOUUNUVCUCZ
        YFYJUUNYFUVCUUNECRZULUFZONZCMUBYFUUNUVHCMUUNUVFVGNUVHUVFMNEUVFVHUVFVIVJ
        VKCDMOUVGHJVLVMVNUVEYIKMUVEYGMNZUCQEYGULUFZYHTUUNUVIUVCQUVJTUAZUUNUVIUV
        CUVKUUNYGVGNUVCUVKUVIEYGVOYGVIVPVQVRUVIYHUVJVSUVECDYGUVGUVJMHUVFYGEULVT
        JEYGULURWAZWBWCVKWDVBEUMNZEUKSZUGUNUAYNUVDDECHJWEUUNUVMUUOUVCEWFZWGUVDU
        VNEUGUNUUNUVCUVNEVSUUOEWHVBUUNUUOUVCWIWJWKWDWLVNUUNUVAUUSUUKUUOUUNUVAUC
        ZUUSUCZUUBUUJUVPYEUUBUURUUNYEUVAUUBUUNYEUVAUUBUUNYEUVAWMZYTUUAYQONZYRON
        ZYRQWNZYTUVRYQYRWOYEUUNUVSUVAYEYPUMNZUVSMUMFGIWPZYPWQWRWSZUUNYEUVTUVAUU
        NFVGNZUVTYEEFVHFVIZVJWTZUVRUWAEQWNZUUNUVAUWHYEEXAXBUUNYEUWAUWHXCZUVAUVM
        YEUWIUUNEFXDUVOXEWTXFXGUVSQYQTUAZUVTQYRUNUAZUUAUVRYQYRXHUWDYEUUNUWJUVAY
        EUWBUWJUWCYPXIWRWSUWGUUNUWEUVAUWKYEEFXJUWFVPXKWDVQVRXLUVQUUIUUCUVQUUHKM
        UVQUVIUUDUUGUVQUVIUUDUCZUCUUEYSUVJUOUFZUUFTUVQUWLUUEUWMTUAABLEFYGGUUMMN
        LRUUMGSUKSVSUCBLXMZIUWNXNXOVFUVIUUFUWMVSUVQUUDUVIYHUVJYSUOUVLXPXQWCXRXS
        IXTWDYAWDYBYCVFYDWK $.
        $( [25-Jun-2006] $) $( [26-Apr-2005] $)
    $}

    $( Ratio test for convergence of a complex infinite series.  If the ratio
       ` A ` of the absolute values of of successive terms in an infinite
       sequence ` F ` is less than 1 for all terms beyond some index ` B ` ,
       then the infinite sum of the terms of ` F ` converges to a complex
       number.  Equivalent to first part of Exercise 4 of [Gleason] p. 182. $)
    cvgrat $p |- ( ( ( A e. RR /\ A < 1 ) /\ ( B e. NN /\ A. x e. NN (
  B <_ x -> ( abs ` ( F ` ( x + 1 ) ) ) < ( A x. ( abs ` ( F ` x ) ) ) ) ) ) ->
                 E. y ( + seq1 F ) ~~> y ) $=
      ( vz vw cv cn wcel cexp co wceq wa copab eqid cvgratlem5 ) ABGHCDEGIZJKHI
      CSLMNOGHPZFTQR $.
      $( [25-Jun-2006] $) $( [26-Apr-2005] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The product of two finite sums
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Lemma for ~ fsum0diag . $)
  fsum0diaglem1 $p |- ( ( N e. A /\ K e. ( 0 ... N ) ) ->
                      ( 0 ... ( N - K ) ) (_ ( 0 ... N ) ) $=
    ( wcel cc0 cfz co wa cmin cuz cfv wss cle wbr elfzle1 adantl cr wb
    subge02t cz elfzel2g zret syl elfzelz sylanc mpbid eluzt zsubclt mpbird 0z
    fzss2t mpan2 ) CADZBECFGZDZHZCCBIGZJKDZEUQFGUNLZUPURUQCMNZUPEBMNZUTUOVAUMBE
    COPCQDZBQDZVAUTRUPCBSUPCTDZVBABECUAZCUBUCUPBTDZVCUOVFUMBECUDPZBUBUCUEUFUQTD
    ZVDURUTRUPUQCUGVDVFVHUPCBUHVEVGUEVEUEUIURETDUSUJUQECUKULUC $.
    $( [8-Feb-2006] $) $( [3-Dec-2005] $)

  ${
    $d k m n x A $.  $d j m n x B $.  $d j k m n x N $.
    $( Lemma for ~ fsum0diag that provides its induction hypothesis.  _Warning:
       The HTML proof page is 0.8 megabyte in size_. $)
    fsum0diaglem2 $p |- ( n e. NN0 -> ( ( ( A. j e. ( 0 ... n ) A e. CC /\ A.
      k e. ( 0 ... n ) B e. CC ) -> sum_ j e. ( 0 ... n ) sum_ k e. ( 0
      ... ( n - j ) ) ( A x. B ) = sum_ k e. ( 0 ... n ) sum_ j e. ( 0 ... k
     ) ( A x. [_ ( k - j ) / k ]_ B ) ) -> ( ( A. j e. ( 0 ... ( n + 1 ) ) A e.
     CC /\ A. k e. ( 0 ... ( n + 1 ) ) B e. CC ) -> sum_ j e. ( 0 ... ( n + 1 )
   ) sum_ k e. ( 0 ... ( ( n + 1 ) - j ) ) ( A x. B ) = sum_ k e. ( 0 ... ( n +
      1 ) ) sum_ j e. ( 0 ... k ) ( A x. [_ ( k - j ) / k ]_ B ) ) ) ) $=
      ( vm cv cn0 wcel cc cc0 c1 caddc co cfz wral wa cmin cmul csu csb wceq
      wi cuz cfv elnn0uz fsumclt fznn0subt nn0uz syl6eleq ad2ant2r
      fsum0diaglem1 sseld visset fzelp1 syl6 adantrr axmulcl ex ad2antll
      imim12d r19.20dv2 imp an1rs sylanc simprr ra4csbela ax1cn addsubt mp3an2
      cz eluzelz zcnt syl elfzelz syl2an fznn0sub2t peano2uz eqeltrrd sylan
      jca exp32 a2d imim1i syl5 impcom an1s fsumadd syldan opreq1d axaddass
      cvv mpan ad2antlr wss imim1d adantr adantl syl6d anassrs r19.20dva
      r19.20i2 sylan2 eluzfz2t eluzfz1t anim12i anandis syl3anc eqtrd opreq1
      sylan9eq sumex ax-17 oprex hbcsb1 hbopr hbsum opreq2 opreq2d csbeq1a
      sumeq12rdv fsump1f sumeq1d sumeq2dv peano2cn subidt eluzel2 wal 0z
      hbcsb1g ax-mp fsum1f opreq12d ad2antrr csbeq1d 3eqtr4d exp31 sylbi ) EGZH
      IZAJIZCKYSLMNZONZPZBJIZDUUCPZQZKYSONZKYSCGZRNZONZABSNZDTZCTZUUHKDGZONZADU
      UOUUIRNZBUAZSNZCTZDTZUBZUCUUGUUCKUUBUUIRNZONZUULDTZCTZUUCUUTDTZUBZUCUUACU
      UHPZUUEDUUHPZQZUVBUCYTUUGUVBUVHYTYSKUDUEZIZUUGUVBUVHUCUCYSUFUVMUUGUVBUVHU
      VMUUGQZUVBQUUHUUMADUUJLMNZBUAZSNZMNZCTZCUUBAUAZDKBUAZSNZMNZUVAUUHUVQCTZUW
      BMNZMNZUVFUVGUVNUVBUWCUUNUWEMNZUWFUVNUWCUUNUWDMNZUWBMNZUWGUVNUVSUWHUWBMUV
      MUUGUUMJIZUVQJIZQZCUUHPZUVSUWHUBUUDUVMUUFUWMUVMUUFQZUUDUWMUWNUUAUWLCUUCUU
      HUWNUUIUUHIZUUAUCZUWOUWLUCUUIUUCIZUUAUCZUWNUWOUUAUWLUWNUWOUUAUWLUWNUWOUUA
      QZQZUWJUWKUUJUVLIZUULJIZDUUKPZUWJUWTUULDKUUJUGZUVMUWOUXAUUFUUAUVMUWOQZUUJ
      HUVLUVLUUIKYSUHUIUJZUKUVMUWSUUFUXCUVMUWSQZUUFUXCUXGUUEUXBDUUCUUKUXGUUOUUK
      IZUUOUUCIZUUEUXBUVMUWOUXHUXIUCUUAUXEUXHUUOUUHIZUXIUXEUUKUUHUUOUVLUUIYSULU
      MUUOKYSEUNZUOZUPUQUUAUUEUXBUCZUVMUWOUUAUUEUXBABURUSZUTVAVBVCVDVEUUAUVPJIZ
      UWKUWTAUVPURUWNUWOUUAVFUWNUWOUXOUUAUVMUWOUUFUXOUVOUUCIUUFUXOUXEDUVOUUCBJV
      GUXEUVCUVOUUCYSJIZUUIJIZUVCUVOUBZUVMUWOUXPLJIUXQUXRVHYSLUUIVIVJZUVMYSVKIU
      XPKYSVLYSVMVNZUWOUUIVKIUXQUUIKYSVOUUIVMVNZVPUUBUVLIZUWQUVCUUCIUVMUWOUVLUU
      IUUBVQKYSVRZUUIKYSUXKUOZVPVSVTVDUQVEZWAWBWCUWOUWQUUAUYDWDZWEVBWFWGUUMUVQC
      KYSWHWIWJUUNJIZUWDJIZUWBJIZUWIUWGUBUVNUUNUWDUWBWKUVMUWJCUUHPZUYGUUGUUMCKY
      SUGUVIUVJUYJUUDUUFUVJUVIUYJUVJUUAUWJCUUHUVJUWOQZUUAUWJUXAUXCUWJUYKUUAQUXD
      UWOUXAUVJUUAUWOUUJHUVLYSWLIZUWOUUJHIUXKWLUUIKYSUHWMUIUJWNUVJUWOUUAUXCUWSU
      VJUXCUWSUUEUXBDUUHUUKUWSUXJUUEUCZUXHUUEUXBUWOUYMUXHUUEUCUCUUAUWOUXHUXJUUE
      UWOUUKUUHUUOUYLUWOUUKUUHWOUXKWLUUIYSULWMUMWPWQUUAUXMUWOUXNWRWSVBWFWTVEUSX
      AWFUUAUUACUUCUUHUYFXBZUUEUUEDUUCUUHUXJUXIUUEUXLWDXBZVPXCUVMUUGUWKCUUHPZUY
      HUUDUVMUUFUYPUWNUUDUYPUWNUUAUWKCUUCUUHUWNUWPUWOUWKUCUWRUWNUWOUUAUWKUWNUWO
      UUAUWKUYEWBWCUYFWEVBWFWGUVQCKYSUGWIUVNUVTJIZUWAJIZQZUYIUYBUUGUYSUVMUYBUUD
      UUFUYSUYBUUDQUYQUYBUUFQUYRUUBUUCIUUDUYQUYBCUUBUUCAJVGKUUBXDVTKUUCIUUFUYRU
      YBDKUUCBJVGKUUBXEVTXFXGUYCVTUVTUWAURVNXHXIUUNUVAUWEMXJXKUVMUVFUWCUBUUGUVB
      UVMUVFUUHUVECTZKUUBUUBRNZONZUVTBSNZDTZMNUWCFUVEVUDCKYSUVDUULDXLVUBVUCDXLC
      FVUBVUCDFGZVUBICXMCFUVTBSCFUUBAYSLMXNVUEUUBICXMXOZVUESIZCXMZVUEBICXMXPXQU
      UIUUBUBZUVDVUBUULVUCDVUIUVCVUAKOUUIUUBUUBRXRZXSVUIUULVUCUBUUOVUBIVUIAUVTB
      SCUUBAXTZWJWQYAYBUVMUYTUVSVUDUWBMUVMUUHUVEUVRCUXEUVEKUVOONZUULDTZUVRUXPUX
      QUVEVUMUBUVMUWOUXPUXQQZUVDVULUULDVUNUVCUVOKOUXSXSYCUXTUYAVPUXEUXAVUMUVRUB
      UXFFUULUVQDKUUJABSXNAUVPSXNDFAUVPSVUEAIDXMZVUGDXMZDFUVOBUUJLMXNVUEUVOIDXM
      XOXPUUOUVOUBBUVPASDUVOBXTXSYBVNXIYDUVMVUDKKONZVUCDTZUWBUVMVUBVUQVUCDUVMVU
      AKKOUVMUUBJIZVUAKUBUVMUXPVUSUXTYSYEVNUUBYFVNZXSYCUVMKVKIZVURUWBUBZKYSYGUW
      BWLIVVAVVBUVTUWASXNFVUCUWBWLDKDFUVTUWASVUEUVTIDXMVUPVVAVUEUWAIZVVCDYHUCYI
      DFKBVKVUEKIDXMYJYKXPUUOKUBBUWAUVTSDKBXTXSYLWMVNXIYMXIYNUVMUVGUWFUBUUGUVBU
      VMUVGUVAUUCADUVCBUAZSNZCTZMNUWFFUUTVVFDKYSUUPUUSCXLUUCVVECXLDFUUCVVECVUEU
      UCIDXMDFAVVDSVUOVUPDFUVCBUUBUUIRXNVUEUVCIDXMXOXPXQUUOUUBUBZUUPUUCUUSVVECU
      UOUUBKOXRVVGUUSVVEUBUWQVVGUURVVDASVVGDUUQUVCBUUOUUBUUIRXJYOXSWQYAYBUVMVVF
      UWEUVAMUVMVVFUUHVVECTZUVTDVUABUAZSNZMNUWEFVVEVVJCKYSAVVDSXNUVTVVISXNCFUVT
      VVISVUFVUHVUEVVIICXMXPVUIAUVTVVDVVISVUKVUIDUVCVUABVUJYOYMYBUVMVVHUWDVVJUW
      BMUVMUUHVVEUVQCUXPUXQVVEUVQUBUVMUWOVUNVVDUVPASVUNDUVCUVOBUXSYOXSUXTUYAVPY
      DUVMVVIUWAUVTSUVMDVUAKBVUTYOXSYMXIXSXIYNYPYQYRWCUUGUVKUVBUUDUVIUUFUVJUYNU
      YOXFWDWE $.
      $( [8-Feb-2006] $) $( [31-Dec-2005] $)

    $( Two ways to express "the sum of ` A ( j ) x. B ( k ) ` where
       ` j + k <_ N ` ." $)
    fsum0diag $p |- ( ( N e. NN0 /\
      A. j e. ( 0 ...  N ) A e. CC /\ A. k e. ( 0 ... N ) B e. CC ) ->
        sum_ j e. ( 0 ...  N ) sum_ k e. ( 0 ... ( N - j ) ) ( A x. B ) =
  sum_ k e. ( 0 ...  N ) sum_ j e. ( 0 ... k ) ( A x. [_ ( k - j ) / k ]_ B )
                       ) $=
      ( vm vn cn0 wcel cc cc0 cfz co wral cv cmin cmul csu csb wceq wa wi c1
      caddc fsum0diaglem2 cvv cz oprex 0z wal ax-17 hbcsb1g ax-mp hbopr
      csbeq1a opreq1d fsum1f mp2an sumex hbsum opreq2 opreq12 0cn subid syl6eq
      csbeq1d opreq2d elfz1eqt sylan2 sumeq12rdv adantr eqtr 3eqtr4r a1i
      raleq1d anbi12d opreq1 sumeq1d sumeq12dv eqeq12d imbi12d nn0indALT
      3impib ) EHIAJIZCKELMZNZBJIZDWENZWEKECOZPMZLMZABQMZDRZCRZWEKDOZLMZADWOWIP
      MZBSZQMZCRZDRZTZWDCKFOZLMZNZWGDXDNZUAZXDKXCWIPMZLMZWLDRZCRZXDWTDRZTZUBWDC
      KKLMZNZWGDXNNZUAZXNKKWIPMZLMZWLDRZCRZXNWTDRZTZUBWDCKGOZLMZNZWGDYENZUAZYEK
      YDWIPMZLMZWLDRZCRZYEWTDRZTZUBWDCKYDUCUDMZLMZNZWGDYPNZUAZYPKYOWIPMZLMZWLDR
      ZCRZYPWTDRZTZUBWFWHUAZXBUBFGEABCDGUEYCXQXNADKBSZQMZCRZCKASZUUGQMZYBYAUUKU
      FIZKUGIZUUIUUKTUUJUUGQUHZUIFUUHUUKUFCKCFUUJUUGQUUMXCUUJIZUUOCUJUBUICFKAUG
      XCKIZCUKULUMZXCQIZCUKZXCUUGIZCUKUNWIKTZAUUJUUGQCKAUOZUPUQURUUIUFIUUMYBUUI
      TXNUUHCUSUIFWTUUIUFDKDFXNUUHCXCXNIZDUKDFAUUGQXCAIDUKUURDUKZUUMUUTUUTDUJUB
      UIDFKBUGUUPDUKULUMZUNUTWOKTZWPXNWSUUHCWOKKLVAUVFUVAWSUUHTWIXNIUVFUVAUAZWR
      UUGAQUVGDWQKBUVGWQKKPMZKWOKWIKPVBKVCVDZVEVFVGWIKVHVIVJUQURYAXNUUJBQMZDRZU
      UKUVKUFIUUMYAUVKTXNUVJDUSUIFXTUVKUFCKCFXNUVJDUVCCUKCFUUJBQUUQUUSXCBICUKUN
      UTUVAXSXNWLUVJDUVAXRKKLUVAXRUVHKWIKKPVAUVIVEVGUVAWLUVJTWOXNIUVAAUUJBQUVBU
      PVKVJUQURUULUUMUVKUUKTUUNUIFUVJUUKUFDKDFUUJUUGQUUODUKUVDUVEUNUVFBUUGUUJQD
      KBUOVGUQURVLVMVNXCKTZXGXQXMYCUVLXEXOXFXPUVLWDCXDXNXCKKLVAZVOUVLWGDXDXNUVM
      VOVPUVLXKYAXLYBUVLXDXNXJXTCUVMUVLXJXTTWIXDIZUVLXIXSWLDUVLXHXRKLXCKWIPVQVG
      VRVKVSUVLXDXNWTDUVMVRVTWAXCYDTZXGYHXMYNUVOXEYFXFYGUVOWDCXDYEXCYDKLVAZVOUV
      OWGDXDYEUVPVOVPUVOXKYLXLYMUVOXDYEXJYKCUVPUVOXJYKTUVNUVOXIYJWLDUVOXHYIKLXC
      YDWIPVQVGVRVKVSUVOXDYEWTDUVPVRVTWAXCYOTZXGYSXMUUEUVQXEYQXFYRUVQWDCXDYPXCY
      OKLVAZVOUVQWGDXDYPUVRVOVPUVQXKUUCXLUUDUVQXDYPXJUUBCUVRUVQXJUUBTUVNUVQXIUU
      AWLDUVQXHYTKLXCYOWIPVQVGVRVKVSUVQXDYPWTDUVRVRVTWAXCETZXGUUFXMXBUVSXEWFXFW
      HUVSWDCXDWEXCEKLVAZVOUVSWGDXDWEUVTVOVPUVSXKWNXLXAUVSXDWEXJWMCUVTUVSXJWMTU
      VNUVSXIWKWLDUVSXHWJKLXCEWIPVQVGVRVKVSUVSXDWEWTDUVTVRVTWAWBWC $.
      $( [8-Feb-2006] $) $( [31-Dec-2005] $)

    $( Two ways to express "the sum of ` A ( j ) x. B ( k ) ` where
       ` j + k <_ N ` ." $)
    fsum0diag2 $p |- ( ( N e. NN0 /\
      A. j e. ( 0 ...  N ) A e. CC /\ A. k e. ( 0 ... N ) B e. CC ) ->
       sum_ j e. ( 0 ...  N ) sum_ k e. ( 0 ... ( N - j ) ) ( A x. B ) =
  sum_ j e. ( 0 ...  N ) sum_ k e. ( 0 ... j ) ( [_ ( j - k ) / j ]_ A x. B )
          ) $=
      ( vm vn vx cn0 wcel cc cc0 cfz co wral w3a cv cmin cmul csu csb
      fsum0diag wceq wi wa cuz cfv cz fsumrev elfzuzt adantl elfzelz wss
      elfzuz3t 0z fzss2t mpan2 syl sseld imim1d adantr axmulcl ra4csbela cvv
      visset fznn0sub2t mpan sseldd sylan an1rs sylan2 exp32 com3l a2d syld
      r19.20dv2 exp31 com24 imp42 syl3anc zcnt subidt subid1t opreq12d nncant
      elfzel2 sylanc csbeq1d opreq2d oprex csbopr12g ax-mp wal ax-gen opreq2
      csbco3g mp2an opreq2i eqtr syl5eq sumeq12rdv adantlr eqtrd ax-17 hbcsb1
      hbopr csbeq1a cbvsum syl6eqr ex 3impb r19.21aiv sumeq2d hbsum opreq1
      opreq1d 3eqtr4g ) EIJZAKJZCLEMNZOZBKJDXTOZPZXTLECQZRNMNABSNDTCTXTLDQZMNZA
      DYEYDRNZBUAZSNZCTZDTZXTLYDMNZCYDYERNZAUAZBSNZDTZCTZABCDEUBYCXTLFQZMNZADYR
      YDRNZBUAZSNZCTZFTXTYSCYRYERNZAUAZBSNZDTZFTYKYQYCXTUUCUUGFYCUUCUUGUCZFXTXR
      YAYBYRXTJZUUHUDXRYAYBUEZUEZUUIUUHUUKUUIUEZUUCYSCYRGQZRNZAUAZDUUMBUAZSNZGT
      ZUUGUULUUCYRYRRNZYRLRNZMNZCUUNUUBUAZGTZUURYRLUFUGJZYRUHJZUUBKJZCYSOZUUCUV
      CUCUULUUBCGYRLYRUIUUIUVDUUKYRLEUJUKUUIUVEUUKYRLEULZUKXRYAYBUUIUVGXRUUIYBY
      AUVGXRUUIYBYAUVGUDXRUUIUEZYBUEZXSUVFCXTYSUVJYDXTJZXSUDZYDYSJZXSUDZUVMUVFU
      DUVIUVLUVNUDYBUVIUVMUVKXSUVIYSXTYDUVIEYRUFUGJZYSXTUMZIYRLEUNUVOLUHJUVPUOY
      RLEUPUQURZUSUTVAUVJUVMXSUVFXSUVJUVMUVFXSUVJUVMUVFXSUUAKJZUVFUVJUVMUEAUUAV
      BUVIUVMYBUVRYTXTJYBUVRUVIUVMUEZDYTXTBKVCUVSYSXTYTUVIUVPUVMUVQVAUVMYTYSJZU
      VIYRVDJUVMUVTFVEZVDYDYRVFVGUKVHVIVJVKVLVMVNVOVPVQVRVSVTXRUUIUVCUURUCUUJUV
      IUVAYSUVBUUQGUUIUVAYSUCZXRUUIYRKJZUWBUUIUVEUWCUVHYRWAZURUWCUUSLUUTYRMYRWB
      YRWCWDURUKUVIUUMYSJZUEUUODYRUUNRNZBUAZSNZUUQUVBUWEUWHUUQUCUVIUWEUWGUUPUUO
      SUWEDUWFUUMBUWCUUMKJZUWFUUMUCUWEYRUUMWEUWEUVEUWCUUMLYRUWAWFUWDURUWEUUMUHJ
      UWIUUMLYRULUUMWAURWGWHWIUKUVBUUOCUUNUUAUAZSNZUWHUUNVDJZUVBUWKUCYRUUMRWJZC
      UUNAUUAVDSWKWLUWJUWGUUOSUWLYTVDJZCWMUWJUWGUCUWMUWNCYRYDRWJZWNCDUUNYTBUWFV
      DVDYDUUNYRRWOWPWQWRWSWTXAXBXCHYSUUFUUQDGHQZUUFJGXDDHUUOUUPSUWPUUOJDXDUWPS
      JZDXDZDHUUMBGVEUWPUUMJDXDXEXFYEUUMUCZUUEUUOBUUPSUWSCUUDUUNAYEUUMYRRWOWHDU
      UMBXGWDXHXIXJXKXLXMHXTYJUUCDFUWPYJJFXDDHYSUUBCUWPYSJZDXDDHAUUASUWPAJDXDUW
      RDHYTBUWOUWPYTJDXDXEXFXNYEYRUCZYFYSYIUUBCYEYRLMWOUXAYIUUBUCUVMUXAYHUUAASU
      XADYGYTBYEYRYDRXOWHWIVAXAXHHXTYPUUGCFUWPYPJFXDCHYSUUFDUWTCXDCHUUEBSCHUUDA
      YRYERWJUWPUUDJCXDXEUWQCXDUWPBJCXDXFXNYDYRUCZYLYSYOUUFDYDYRLMWOUXBYOUUFUCY
      EYSJUXBYNUUEBSUXBCYMUUDAYDYRYERXOWHXPVAXAXHXQXC $.
      $( [14-Feb-2006] $) $( [31-Dec-2005] $)

    $( Two ways to express "the sum of ` A ( j ) x. B ( k ) ` where
       ` j + k <_ N ` ." $)
    fsum0diag3 $p |- ( ( N e. NN0 /\
      A. j e. ( 0 ...  N ) A e. CC /\ A. k e. ( 0 ... N ) B e. CC ) ->
       sum_ j e. ( 0 ...  N ) sum_ k e. ( 0 ... ( N - j ) ) ( A x. B ) =
         sum_ j e. ( 0 ...  N ) ( A x. sum_ k e. ( 0 ... ( N - j ) ) B ) ) $=
      ( cn0 wcel cc cc0 cfz co wral w3a cv cmin csu cmul wceq wi wa cuz cfv
      fsummulc1 fznn0subt nn0uz syl6eleq adantr adantllr pm3.27 fsum0diaglem1
      sseld imim1d r19.20dv2 imp an1rs syl3anc ex r19.20dva com23 3imp sumeq2d
      eqcomd ) EFGZAHGZCIEJKZLZBHGZDVELZMZVEAIECNZOKZJKZBDPQKZCPVEVLABQKDPZCPVI
      VEVMVNCVCVFVHVMVNRZCVELZVCVHVFVPVCVHVFVPSVCVHTZVDVOCVEVQVJVEGZTZVDVOVKIUA
      UBZGZVDVGDVLLZVOVSVDTBADIVKUCVCVRVDWAVHVCVRTZWAVDWCVKFVTFVJIEUDUEUFUGUHVS
      VDUIVSWBVDVCVRVHWBWCVHWBWCVGVGDVEVLWCDNZVLGWDVEGVGWCVLVEWDFVJEUJUKULUMUNU
      OUGUPUQURUQUSUTVAVB $.
      $( [18-Oct-2006] $) $( [31-Dec-2005] $)

    $( Two ways to express "the sum of ` A ( j ) x. B ( k ) ` where
       ` j + k <_ N ` ." $)
    fsum0diag4 $p |- ( ( N e. NN0 /\
      A. j e. ( 0 ...  N ) A e. CC /\ A. k e. ( 0 ... N ) B e. CC ) ->
       sum_ j e. ( 0 ...  N ) sum_ k e. ( 0 ... ( N - j ) ) ( A x. B ) =
          sum_ k e. ( 0 ...  N ) ( B x. sum_ j e. ( 0 ... ( N - k ) ) A ) ) $=
      ( vm vx cn0 wcel cc cc0 cfz co wral w3a cv cmin cmul csu csb wceq wi wa
      cuz cfv wss elfzuz3t cz 0z fzss2t mpan2 syl sseld imim1d adantlr
      axmulcom ra4csbela cle wbr elfzle2 adantl cr wb subge0t elfzelz zret
      syl2an mpbird adantll zsubclt ad2antlr nn0ret ad2antrr elfzle1 subge02t
      mpbid letrd jca elfzt mp3an2 nn0zt ancoms anassrs sylan exp41 com23
      com24 imp41 exp31 a2d syld r19.20dv2 imp sumeq2d an1rs ex 3impa
      r19.21aiv ax-17 oprex hbcsb1 hbopr hbsum hbeq opreq2 opreq1 csbeq1d
      opreq1d adantr sumeq12rdv opreq2d eqeq12d cbvral sylib fsum0diag2
      fsum0diag 3com23 3eqtr4d fsum0diag3 eqtrd ) EHIZAJICKELMZNZBJIZDYBNZOZYBK
      ECPZQMLMABRMDSCSZYBKEDPZQMLMZBARMCSDSZYBBYJACSRMDSZYFYBKYGLMZCYGYIQMZATZB
      RMZDSZCSYBYMBYORMZDSZCSZYHYKYFYBYQYSCYFKFPZLMZCUUAYIQMZATZBRMZDSZUUBBUUDR
      MZDSZUAZFYBNYQYSUAZCYBNYFUUIFYBYAYCYEUUAYBIZUUIUBYAYCUCZYEUCUUKUUIUULUUKY
      EUUIUULUUKUCZYEUCUUBUUEUUGDUUMYEUUEUUGUAZDUUBNUUMYDUUNDYBUUBUUMYIYBIZYDUB
      ZYIUUBIZYDUBZUUQUUNUBYAUUKUUPUURUBYCYAUUKUCZUUQUUOYDUUSUUBYBYIUUSEUUAUDUE
      IZUUBYBUFZHUUAKEUGUUTKUHIZUVAUIUUAKEUJUKULUMUNUOUUMUUQYDUUNUUMUUQYDUUNUUD
      JIZYDUUNUUMUUQUCUUDBUPYAYCUUKUUQUVCYAUUQUUKYCUVCYAUUKUUQYCUVCUBYAUUKUUQYC
      UVCUUCYBIZYCUVCUUSUUQUCZCUUCYBAJUQUVEUVDKUUCURUSZUUCEURUSZUCZUVEUVFUVGUUK
      UUQUVFYAUUKUUQUCZUVFYIUUAURUSZUUQUVJUUKYIKUUAUTVAUUAVBIZYIVBIZUVFUVJVCUUK
      UUQUUAYIVDUUKUUAUHIZUVKUUAKEVEZUUAVFULZUUQYIUHIZUVLYIKUUAVEZYIVFULZVGVHVI
      UVEUUCUUAEUUKUUQUUCVBIZYAUVIUUCUHIZUVSUVMUVPUVTUUKUUQUUAYIVJUVNUVQVGZUUCV
      FULVIUUKUVKYAUUQUVOVKYAEVBIUUKUUQEVLVMUUKUUQUUCUUAURUSZYAUVIKYIURUSZUWBUU
      QUWCUUKYIKUUAVNVAUVKUVLUWCUWBVCUUKUUQUUAYIVOUVOUVRVGVPVIUUKUUAEURUSYAUUQU
      UAKEUTVKVQVRYAUUKUUQUVDUVHVCZUVIYAUWDUVTEUHIZUWDUVIYAUVTUVBUWEUWDUIUUCKEV
      SVTUWAEWAVGWBWCVHWDWEWFWGWHWDWIWJWKWLWMWNWOWPWQWRUUIUUJFCYBCGGUUFUUHCGUUB
      UUEDGPZUUBICWSZCGUUDBRCGUUCAUUAYIQWTUWFUUCICWSXAZUWFRICWSZUWFBICWSZXBXCCG
      UUBUUGDUWGCGBUUDRUWJUWIUWHXBXCXDUUJFWSUUAYGUAZUUFYQUUHYSUWKUUBYMUUEYPDUUA
      YGKLXEZUWKUUEYPUAYIYMIZUWKUUDYOBRUWKCUUCYNAUUAYGYIQXFXGZXHXIXJUWKUUBYMUUG
      YRDUWLUWKUUGYRUAUWMUWKUUDYOBRUWNXKXIXJXLXMXNWNABCDEXOYAYEYCYKYTUABADCEXPX
      QXRYAYEYCYKYLUABADCEXSXQXT $.
      $( [10-May-2007] $) $( [31-Dec-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
               Continuous complex functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare the new symbol needed for continuous complex functions. $)
  $c -cn-> $.

  $( Extend class notation to include the operation which returns a class
     of continuous complex functions. $)
  ccncf $a class -cn-> $.

  ${
    $d a b f s x y z w $.
    $( Define the operation whose value is a class of continuous complex
       functions. $)
    df-cncf $a |- -cn-> = { <. <. a , b >. , s >. | ( ( a (_ CC /\ b (_ CC ) /\
      s = { f | ( f : a --> b /\ A. x e. a A. y e. RR+
      E. z e. RR+ A. w e. a ( ( abs ` ( x - w ) ) < z ->
      ( abs ` ( ( f ` x ) - ( f ` w ) ) ) < y ) ) } ) } $.
  $}

  ${
    $d A a b f s w x y z $.  $d B a b f s $.  $d F f w x y z $.
    $d w x y z P $.
    $( The value of the continuous complex function operation is the set of
       continuous functions from ` A ` to ` B ` .  (Contributed by Paul
       Chapman, 11-Oct-2007.) $)
    cncfval $p |- ( ( A (_ CC /\ B (_ CC ) ->
      ( A -cn-> B ) = { f | ( f : A --> B /\ A. x e. A A. y e. RR+
      E. z e. RR+ A. w e. A ( ( abs ` ( x - w ) ) < z ->
      ( abs ` ( ( f ` x ) - ( f ` w ) ) ) < y ) ) } ) $=
      ( va vb vs cc wss wa cpw wcel ccncf co cv wf cmin cabs cfv clt wbr wi
      wral crp wrex cab wceq cvv wb axcnex elpw2g anbi12d ax-mp mapex pm3.26
      ss2abi ssexg mpan syl feq2 raleq1 rexbidv ralbidv raleqd abbidv feq3
      anbi1d copab2 df-cncf anbi1i oprabbii eqtr4 oprabval2g mpd3an3 sylbir )
      EKLZFKLZMZEKNZOZFWBOZMZEFPQEFGRZSZARZDRZTQUAUBCRUCUDWHWFUBWIWFUBTQUAUBBRU
      CUDUEZDEUFZCUGUHZBUGUFZAEUFZMZGUIZUJZKUKOZWEWAULUMWRWCVSWDVTEKUKUNFKUKUNU
      OUPWCWDWPUKOZWQWEWGGUIZUKOZWSEFWBWBGUQWPWTLXAWSWOWGGWGWNURUSWPWTUKUTVAVBH
      IJEFWBWBHRZIRZWFSZWJDXBUFZCUGUHZBUGUFZAXBUFZMZGUIZWPPEXCWFSZWNMZGUIUKXBEU
      JZXIXLGXMXDXKXHWNXBEXCWFVCXGWMAXBEXMXFWLBUGXMXEWKCUGWJDXBEVDVEVFVGUOVHXCF
      UJZXLWOGXNXKWGWNXCFEWFVIVJVHPXBKLZXCKLZMZJRXJUJZMZHIJVKXBWBOZXCWBOZMZXRMZ
      HIJVKABCDGJHIVLYCXSHIJYBXQXRWRYBXQULUMWRXTXOYAXPXBKUKUNXCKUKUNUOUPVMVNVOV
      PVQVR $.
      $( [27-Nov-2007] $) $( [11-Oct-2007] $)

    $( Membership in the set of continuous complex functions from ` A ` to
       ` B ` .  (Contributed by Paul Chapman, 11-Oct-2007.) $)
    elcncf $p |- ( ( A (_ CC /\ B (_ CC ) ->
     ( F e. ( A -cn-> B ) <-> ( F : A --> B /\ A. x e. A A. y e. RR+
     E. z e. RR+ A. w e. A ( ( abs ` ( x - w ) ) < z ->
     ( abs ` ( ( F ` x ) - ( F ` w ) ) ) < y ) ) ) ) $=
      ( vf cc wss wa cvv wcel ccncf co wf cv cmin cabs cfv clt wbr wi wral crp
      wrex wb cab cncfval eleq2d wceq feq1 fveq1 opreq12d fveq2d breq1d imbi2d
      rexralbidv 2ralbidv anbi12d elabg sylan9bb ex wn wo elisset adantl
      axcnex ssex fex adantlr expcom syl adantr imp jaodan con3d ioran pm5.21
      sylbi syl6 pm2.61d ) EIJZFIJZKZGLMZGEFNOZMZEFGPZAQZDQZROSTCQUAUBZWJGTZWKG
      TZROZSTZBQZUAUBZUCZDEUDCUEUFZBUEUDAEUDZKZUGZWEWFXCWEWHGEFHQZPZWLWJXDTZWKX
      DTZROZSTZWQUAUBZUCZDEUDCUEUFZBUEUDAEUDZKZHUHZMWFXBWEWGXOGABCDEFHUIUJXNXBH
      GLXDGUKZXEWIXMXAEFXDGULXPXLWTABEUEXPXKWSCDUEEXPXJWRWLXPXIWPWQUAXPXHWOSXPX
      FWMXGWNRWJXDGUMWKXDGUMUNUOUPUQURUSUTVAVBVCWEWFVDWHXBVEZVDZXCWEXQWFWEXQWFW
      EWHWFXBWHWFWEGWGVFVGWEXBWFWCXBWFUCZWDWCELMZXSEIVHVIXBXTWFWIXTWFXAEFLGVJVK
      VLVMVNVOVPVCVQXRWHVDXBVDKXCWHXBVRWHXBVSVTWAWB $.
      $( [27-Nov-2007] $) $( [11-Oct-2007] $)

    $( A continuous complex function's domain and codomain.  (Contributed by
       Paul Chapman, 17-Jan-2008.) $)
    cncff $p |- ( ( P (_ CC /\ Q (_ CC /\ F e. ( P -cn-> Q ) ) ->
                  F : P --> Q ) $=
      ( vx vw vz vy cc wss ccncf co wcel w3a wf cv cmin cabs cfv clt wbr wi
      wral crp wrex wa elcncf biimp3a pm3.26d ) AHIZBHIZCABJKLZMABCNZDOZEOZPKQR
      FOSTUMCRUNCRPKQRGOSTUAEAUBFUCUDGUCUBDAUBZUIUJUKULUOUEDGFEABCUFUGUH $.
      $( [17-Jan-2008] $) $( [17-Jan-2008] $)

    $( MAY BE REVISED - don't delete this until we decide to keep cnff $)
    $( A continuous complex function's value belongs to its codomain.
       (Contributed by Paul Chapman, 21-Jan-2008.) $)
    cncffvelrnOLD $p |- ( ( A (_ CC /\ B (_ CC /\ F e. ( A -cn-> B ) ) ->
                        ( C e. A -> ( F ` C ) e. B ) ) $=
      ( vx vw vz vy cc wss ccncf co wcel w3a wf cfv wi cv cmin cabs clt wbr
      wral crp wrex wa elcncf biimpd 3impia pm3.26d ffvelrn ex syl ) AIJZBIJZDA
      BKLMZNZABDOZCAMZCDPBMZQUQURERZFRZSLTPGRUAUBVADPVBDPSLTPHRUAUBQFAUCGUDUEHU
      DUCEAUCZUNUOUPURVCUFZUNUOUFUPVDEHGFABDUGUHUIUJURUSUTABCDUKULUM $.
      $( [21-Jan-2008] $) $( [21-Jan-2008] $)
  $}

  $( A continuous complex function's value belongs to its codomain.
     (Contributed by Paul Chapman, 21-Jan-2008.) $)
  cncffvelrn $p |- ( ( A (_ CC /\ B (_ CC /\ F e. ( A -cn-> B ) ) ->
                      ( C e. A -> ( F ` C ) e. B ) ) $=
    ( cc wss ccncf co wcel w3a wf cfv wi cncff ffvelrn ex syl ) AEFBEFDABGHIJAB
    DKZCAIZCDLBIZMABDNRSTABCDOPQ $.
    $( [21-Jan-2008] $) $( [21-Jan-2008] $)


  ${
    $d A a b w x $.  $d A w x y z $.  $d F a b w x $.  $d F w x y z $.
    $d G w x y z $.
    negfcncf.1 $e |- A (_ CC $.
    negfcncf.2 $e |- F e. ( A -cn-> CC ) $.
    negfcncf.3 $e |- G = { <. a , b >. | ( a e. A /\ b = -u ( F ` a ) ) } $.
    $( The negative of a continuous complex function is continuous.
       (Contributed by Paul Chapman, 21-Jan-2008.) $)
    negfcncf $p |- G e. ( A -cn-> CC ) $=
      ( vx vw vz vy cc ccncf co wcel wf cv cmin cabs cfv clt wbr wi wral crp
      wrex wss wa wb ssid elcncf mp2an cneg mpbi pm3.26i ffvelrni negclt syl
      rgen wceq fveq2 negeqd eleq1d cbvralv fopab2 pm3.27i negex fvopab4
      opreqan12d neg2subt syl2an eqtrd fveq2d abssubt eqtr4d breq1d imbi2d
      ralbidva rexbidv ralbidv ralbiia mpbir mpbir2an ) CAMNOZPZAMCQZIRZJRZSOTU
      AKRUBUCZWHCUAZWICUAZSOZTUAZLRZUBUCZUDZJAUEZKUFUGZLUFUEZIAUEZAMUHZMMUHZWFW
      GXAUIUJFMUKZILKJAMCULUMDRZBUAZUNZMPZDAUEZWGWHBUAZUNZMPZIAUEXIXLIAWHAPZXJM
      PZXLAMWHBAMBQZWJXJWIBUAZSOTUAZWOUBUCZUDZJAUEZKUFUGZLUFUEZIAUEZBWEPZXOYCUI
      ZGXBXCYDYEUJFXDILKJAMBULUMUOZUPZUQZXJURUSUTXLXHIDAWHXEVAZXKXGMYIXJXFWHXEB
      VBVCVDVEUODEAMXGCHVFUOXAYCXOYCYFVGWTYBIAXMWSYALUFXMWRXTKUFXMWQXSJAXMWIAPZ
      UIZWPXRWJYKWNXQWOUBYKWNXPXJSOZTUAZXQYKWMYLTYKWMXKXPUNZSOZYLXMYJWKXKWLYNSD
      EWHXGXKACXEWHVAXFXJXEWHBVBVCHXJVHVIDEWIXGYNACXEWIVAXFXPXEWIBVBVCHXPVHVIVJ
      XNXPMPZYOYLVAXMYJXJXPVKYHAMWIBYGUQZVLVMVNXNYPXQYMVAXMYJXJXPVOYHYQVLVPVQVR
      VSVTWAWBWCWD $.
      $( [21-Jan-2008] $) $( [21-Jan-2008] $)
  $}

  ${
    $d A w x y z $.  $d F w x y z $.  $d Z w z $.  $d ph w x y $.
    elcncf1d.1 $e |- ( ph -> F : A --> B ) $.
    elcncf1d.2 $e |- ( ph -> ( ( x e. A /\ y e. RR+ ) -> Z e. RR+ ) ) $.
    elcncf1d.3 $e |- ( ph -> ( ( ( x e. A /\ w e. A ) /\ y e. RR+ ) ->
                       ( ( abs ` ( x - w ) ) < Z ->
                         ( abs ` ( ( F ` x ) - ( F ` w ) ) ) < y ) ) ) $.
    $( Membership in the set of continuous complex functions from ` A ` to
       ` B ` .  (Contributed by Paul Chapman, 26-Nov-2007.) $)
    elcncf1d $p |- ( ph ->
                   ( ( A (_ CC /\ B (_ CC ) -> F e. ( A -cn-> B ) ) ) $=
      ( vz cc wss wa ccncf co wcel wf cv cmin cabs cfv clt wbr wi wral crp
      wrex elcncf wceq breq2 imbi1d ralbidv rcla4ev imp an23 anbi2i anass
      bitr4 sylbir r19.21aiva sylanc anassrs jca syl5cbir ) EMNFMNOGEFPQREFGSZB
      TZDTZUAQUBUCZLTZUDUEZVHGUCVIGUCUAQUBUCCTZUDUEZUFZDEUGZLUHUIZCUHUGZBEUGZOA
      BCLDEFGUJAVGVSIAVRBEAVHERZOVQCUHAVTVMUHRZVQHUHRZVJHUDUEZVNUFZDEUGZVQAVTWA
      OZOZVPWELHUHVKHUKZVOWDDEWHVLWCVNVKHVJUDULUMUNUOAWFWBJUPWGWDDEWGVIERZOZAVT
      WIOWAOZOZWDWLAWFWIOZOWJWKWMAVTWIWAUQURAWFWIUSUTAWKWDKUPVAVBVCVDVBVBVEVF
      $.
      $( [27-Nov-2007] $) $( [26-Nov-2007] $)
  $}

  ${
    $d A w x y $.  $d F w x y $.  $d Z w $.  $d ph w x y $.
    elcncf1i.1 $e |- F : A --> B $.
    elcncf1i.2 $e |- ( ( x e. A /\ y e. RR+ ) -> Z e. RR+ ) $.
    elcncf1i.3 $e |- ( ( ( x e. A /\ w e. A ) /\ y e. RR+ ) ->
                       ( ( abs ` ( x - w ) ) < Z ->
                         ( abs ` ( ( F ` x ) - ( F ` w ) ) ) < y ) ) $.
    $( Membership in the set of continuous complex functions from ` A ` to
       ` B ` .  (Contributed by Paul Chapman, 26-Nov-2007.) $)
    elcncf1i $p  |- ( ( A (_ CC /\ B (_ CC ) -> F e. ( A -cn-> B ) ) $=
      ( wph wi cc wss wa ccncf co wcel id wf a1i cv crp cmin cabs cfv clt wbr
      elcncf1d ax-mp ) KKLZDMNEMNOFDEPQRLKSUKABCDEFGDEFTUKHUAAUBZDRZBUBZUCRZOGU
      CRLUKIUAUMCUBZDROUOOULUPUDQUEUFGUGUHULFUFUPFUFUDQUEUFUNUGUHLLUKJUAUIUJ $.
      $( [27-Nov-2007] $) $( [26-Nov-2007] $)
  $}

  ${
    $d A w x y z $.  $d C w x y z $.  $d F w x y z $.
    $( A continuous complex function restricted to a subset is continuous.
       (Contributed by Paul Chapman, 18-Oct-2007.) $)
    rescncf $p |- ( ( A (_ CC /\ B (_ CC /\ C (_ A ) ->
            ( F e. ( A -cn-> B ) -> ( F |` C ) e. ( C -cn-> B ) ) ) $=
      ( vx vw vz vy cc wss w3a wf cv cmin co cabs cfv clt wbr wi wral crp wrex
      wa cres ccncf wcel fssres expcom ssralv fvres opreqan12d fveq2d breq1d
      imbi2d biimprd r19.20dva sylan9 r19.22sdv r19.20sdv syld anim12d
      3ad2ant3 wb elcncf 3adant3 sstr anim1i 3impa 3coml syl 3imtr4d ) AIJZBIJZ
      CAJZKZABDLZEMZFMZNOPQGMRSZVRDQZVSDQZNOZPQZHMZRSZTZFAUAZGUBUCZHUBUAZEAUAZU
      DZCBDCUEZLZVTVRWMQZVSWMQZNOZPQZWERSZTZFCUAZGUBUCZHUBUAZECUAZUDZDABUFOUGZW
      MCBUFOUGZVOVMWLXETVNVOVQWNWKXDVQVOWNABCDUHUIVOWKWJECUAXDWJECAUJVOWJXCECVO
      VRCUGZUDZWIXBHUBXIWHXAGUBVOWHWGFCUAXHXAWGFCAUJXHWGWTFCXHVSCUGZUDZWTWGXKWS
      WFVTXKWRWDWERXKWQWCPXHXJWOWAWPWBNVRCDUKVSCDUKULUMUNUOUPUQURUSUTUQVAVBVCVM
      VNXFWLVDVOEHGFABDVEVFVPCIJZVNUDZXGXEVDVOVMVNXMVOVMVNXMVOVMUDXLVNCAIVGVHVI
      VJEHGFCBWMVEVKVL $.
      $( [27-Nov-2007] $) $( [18-Oct-2007] $)

    $( Change the codomain of a continuous complex function.  (Contributed by
       Paul Chapman, 18-Oct-2007.) $)
    cncffvrn $p |- ( ( ( A (_ CC /\ B (_ CC /\ C (_ CC ) /\
      A. x e. A ( F ` x ) e. C ) ->
      ( F e. ( A -cn-> B ) -> F e. ( A -cn-> C ) ) ) $=
      ( vw vz vy cc wss w3a cv cfv wcel wral wa wf cmin co cabs clt wbr wi crp
      wrex ccncf crn wfn fnfvrnss ffn sylan fss fnfrn sylib syldan expcom
      anim1d adantl wb elcncf 3adant3 adantr 3adant2 3imtr4d ) BIJZCIJZDIJZKZAL
      ZEMZDNABOZPBCEQZVIFLZRSTMGLUAUBVJVMEMRSTMHLUAUBUCFBOGUDUEHUDOABOZPZBDEQZV
      NPZEBCUFSNZEBDUFSNZVKVOVQUCVHVKVLVPVNVLVKVPVLVKEUGZDJZVPEBUHZVKWAVLABDEUI
      BCEUJZUKBVTEQZWAVPVLBVTDEULVLWBWDWCBEUMUNUKUOUPUQURVHVRVOUSZVKVEVFWEVGAHG
      FBCEUTVAVBVHVSVQUSZVKVEVGWFVFAHGFBDEUTVCVBVD $.
      $( [27-Nov-2007] $) $( [18-Oct-2007] $)
  $}

  ${
    $d F w x y $.
    abscncflem.1 $e |- A (_ CC $.
    abscncflem.2 $e |- F : CC --> A $.
    abscncflem.3 $e |- ( ( x e. CC /\ w e. CC ) ->
      ( abs ` ( ( F ` x ) - ( F ` w ) ) ) <_ ( abs ` ( x - w ) ) ) $.
    $( Lemma for ~ abscncf , ~ recncf , ~ imcncf , and ~ cjcncf . $)
    abscncflem $p |- F e. ( CC -cn-> A ) $=
      ( vy cc wss ccncf co wcel ssid cv crp pm3.27 wa cmin cabs cfv clt wbr wi
      cle cr lelttrt wf fss mp2an ffvelrni anim12i subclt absclt 3syl syl
      rpret syl3an 3anidm12 expcom imp3a ancli anim1i anass sylib syl5 exp3a
      impcom elcncf1i ) IIJCIJZDICKLMINEAHBICDHOZFAOZIMZVKPMZQVNVMBOZIMZRZVLVOS
      LZTUAZVKUBUCZVLDUAZVODUAZSLZTUAZVKUBUCZUDVNVQVTWEVNVQWDVSUEUCZVTRZRZWEVQV
      TRZVNVQWGWEVQVNWGWEUDZVQVNWJWDUFMZVSUFMZVKUFMWJVQVQVNWDVSVKUGVQWAIMZWBIMZ
      RWCIMWKVMWMVPWNIIVLDICDUHVJIIDUHFEICIDUIUJZUKIIVODWOUKULWAWBUMWCUNUOVQVRI
      MWLVLVOUMVRUNUPVKUQURUSUTVAWIVQWFRZVTRWHVQWPVTVQWFGVBVCVQWFVTVDVEVFVGVHVI
      UJ $.
      $( [26-Nov-2007] $) $( [21-Oct-2007] $)
  $}

  ${
    $d w x y z $.
    $( Absolute value is continuous.  (Contributed by Paul Chapman,
       21-Oct-2007.) $)
    abscncf $p |- abs e. ( CC -cn-> RR ) $=
      ( vx vw cr cabs axresscn absf cv abs2difabst abscncflem ) ABCDEFAGBGHI $.
      $( [21-Oct-2007] $) $( [21-Oct-2007] $)

    $( Real part is continuous. (Contributed by Paul Chapman, 21-Oct-2007.) $)
    recncf $p |- Re e. ( CC -cn-> RR ) $=
      ( vx vw cr cre axresscn ref cv cc wcel wa cmin co cfv cabs cle resubt
      fveq2d wbr subclt absrelet syl eqbrtrrd abscncflem ) ABCDEFAGZHIBGZHIJZUD
      UEKLZDMZNMZUDDMUEDMKLZNMUGNMZOUFUHUJNUDUEPQUFUGHIUIUKORUDUESUGTUAUBUC $.
      $( [22-Oct-2007] $) $( [21-Oct-2007] $)

    $( Imaginary part is continuous. (Contributed by Paul Chapman,
       21-Oct-2007.) $)
    imcncf $p |- Im e. ( CC -cn-> RR ) $=
      ( vx vw cr cim axresscn imf cv cc wcel wa cmin co cfv cabs cle imsubt
      fveq2d wbr subclt absimlet syl eqbrtrrd abscncflem ) ABCDEFAGZHIBGZHIJZUD
      UEKLZDMZNMZUDDMUEDMKLZNMUGNMZOUFUHUJNUDUEPQUFUGHIUIUKORUDUESUGTUAUBUC $.
      $( [22-Oct-2007] $) $( [21-Oct-2007] $)

    $( Complex conjugate is continuous.  (Contributed by Paul Chapman,
       21-Oct-2007.) $)
    cjcncf $p |- * e. ( CC -cn-> CC ) $=
      ( vx vw vy cc ccj ssid cv cre cfv ci cim cmul co cmin df-cj wcel cjvalt
      cjclt eqeltrrd fopab cabs cr wceq cle wbr wa eqlet anim12i subclt absclt
      3syl cjsubt fveq2d abscjt syl eqtr3d sylanc abscncflem ) ABDEDFACDDAGZHIJ
      USKILMNMZEACOUSDPZUSEIZUTDUSQUSRZSTVBBGZEIZNMZUAIZUBPZVGUSVDNMZUAIZUCVGVJ
      UDUEVAVDDPZUFZVGVJUGVLVBDPZVEDPZUFVFDPVHVAVMVKVNVCVDRUHVBVEUIVFUJUKVLVIEI
      ZUAIZVGVJVLVOVFUAUSVDULUMVLVIDPVPVJUCUSVDUIVIUNUOUPUQUR $.
      $( [21-Oct-2007] $) $( [21-Oct-2007] $)
  $}

  ${
    $d A v w z $.  $d A w x y z $.  $d F v w z $.
    mulc1cncf.1 $e |- F = { <. x , y >. | ( x e. CC /\ y = ( A x. x ) ) } $.
    $( Multiplication by a constant is continuous.  (Contributed by Paul
       Chapman, 28-Nov-2007.) $)
    mulc1cncf $p |- ( A e. CC -> F e. ( CC -cn-> CC ) ) $=
      ( vz vv vw cc wcel wss ccncf co ssid wa wi cc0 wceq c1 wf cv cmul wral
      axmulcl r19.21aiva fopab2 sylib adantr crp 1re lt01 elrpi a1i cmin cabs
      cfv clt wbr w3a opreq1 fveq2d subdit 3expb opreq2 fvopab4g sylan2
      anabss7 adantrr adantrl opreq12d eqtr4d 0cn eleq1 mpbiri sylan subclt
      mul02t syl abs0 syl6eq adantl 3eqtr3d 3adant3 cr elrp pm3.27bi 3ad2ant3
      eqbrtrd a1d 3adant1l 3expib elcncf1d expcom wne cdiv redivclt pm3.26bi
      absclt abs00t necon3bid biimpar jca syl2an divgt0t sylanb absgt0t biimpd
      imdistani anim1i sylibr adantld absmult eqtr3d ad2ant2r breq1d wb
      ltmuldiv2tOLD syl3anl 3anrot df-3an bitr sylanbr anasss ancoms bitr3d
      biimprd ex pm2.61ine mp2ani ) CIJZIIKZYKDIILMJZINZYMYJYKYKOYLPZPCQYJCQRZY
      NYJYOOZFGHIIDSYJIIDTZYOYJCAUAZUBMZIJZAIUCYQYJYTAICYRUDUEABIIYSDEUFUGZUHFU
      AZIJZGUAZUIJZOZSUIJZPYPUUGUUFSUJUKULUMUMYPUUCHUAZIJZOZUUEUUBUUHUNMZUOUPZS
      UQURZUUBDUPZUUHDUPZUNMZUOUPZUUDUQURZPZYOUUJUUEUUSYJYOUUJUUEUSZUURUUMUUTUU
      QQUUDUQYOUUJUUQQRUUEYOUUJOCUUKUBMZUOUPZQUUKUBMZUOUPZUUQQYOUVBUVDRUUJYOUVA
      UVCUOCQUUKUBUTVAUHYJUUJUVBUUQRYOYJUUJOZUVAUUPUOUVEUVACUUBUBMZCUUHUBMZUNMZ
      UUPYJUUCUUIUVAUVHRCUUBUUHVBVCUVEUUNUVFUUOUVGUNYJUUCUUNUVFRZUUIYJUUCUVIUUC
      UVFIJUVIYJUUCOABUUBYSUVFIIDYRUUBCUBVDEVECUUBUDVFVGVHYJUUIUUOUVGRZUUCYJUUI
      UVJUUIUVGIJUVJYJUUIOABUUHYSUVGIIDYRUUHCUBVDEVECUUHUDVFVGVIVJVKVAZYOYJQIJV
      LCQIVMVNVOUUJUVDQRYOUUJUVDQUOUPQUUJUVCQUOUUJUUKIJZUVCQRUUBUUHVPZUUKVQVRVA
      VSVTWAWBWCUUEYOQUUDUQURZUUJUUEUUDWDJZUVNUUDWEZWFWGWHWIWJWKWLWMYJCQWNZYNYJ
      UVQOZFGHIIDUUDCUOUPZWOMZYJYQUVQUUAUHUVRUUEUVTUIJZUUCUUEUVRUWAUUEUVROZUVTW
      DJZQUVTUQURZOUWAUWBUWCUWDUVOUVSWDJZUVSQWNZOUWCUUEUVRUVOUWEUWFUWCUUDUVSWPV
      CUUEUVOUVNUVPWQZUVRUWEUWFYJUWEUVQCWRZUHYJUWFUVQYJUVSQCQCWSWTXAXBXCUUEUWEQ
      UVSUQURZOZUWDUVRUVOUVNOUWJUWDUUEUUDUVSXDUVPXEUVRYJUWIOZUWJYJUVQUWIYJUVQUW
      ICXFXGXHZYJUWEUWIUWHXIVRVFXBUVTWEXJWMXKUVRUUJUUEOZUULUVTUQURZUURPUVRUWMOZ
      UURUWNUWOUVSUULUBMZUUDUQURZUURUWNUWOUWPUUQUUDUQYJUUJUWPUUQRUVQUUEUVEUVBUW
      PUUQYJUVLUVBUWPRUUJCUUKXLUVMVFUVKXMXNXOUWMUVRUWQUWNXPZUWMUWKUWRUVRUWMYJUW
      IUWRYJUUJUUEUSZUWIUWRUWMYJOZUWEUULWDJZUVOUWIUWRYJUUJUUEUVSUULUUDXQUWHUUJU
      VLUXAUVMUUKWRVRUWGXRUWSUUJUUEYJUSUWTYJUUJUUEXSUUJUUEYJXTYAYBYCUWLVFYDYEYF
      YGWLWMYHYI $.
      $( [28-Nov-2007] $) $( [28-Nov-2007] $)
  $}

  ${
    $d A x y $.
    divccncf.1 $e |- F = { <. x , y >. | ( x e. CC /\ y = ( x / A ) ) } $.
    $( Division by a constant is continuous.  (Contributed by Paul Chapman,
       28-Nov-2007.) $)
    divccncf $p |- ( ( A e. CC /\ A =/= 0 ) -> F e. ( CC -cn-> CC ) ) $=
      ( cc wcel cc0 wne wa cv c1 cdiv co cmul wceq copab ccncf wb w3a divrec2t
      eqeq2d 3expb expcom pm5.32d opabbidv syl5eq recclt eqid mulc1cncf syl
      eqeltrd ) CFGZCHIZJZDAKZFGZBKZLCMNZUPONZPZJZABQZFFRNZUOUQURUPCMNZPZJZABQV
      CDUOVGVBABUOUQVFVAUQUOVFVASZUQUMUNVHUQUMUNTVEUTURUPCUAUBUCUDUEUFEUGUOUSFG
      VCVDGCUHABUSVCVCUIUJUKUL $.
      $( [28-Nov-2007] $) $( [28-Nov-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Intermediate value theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d y H $.  $d w y z P $.  $d y R $.  $d w y z U $.  $d y W $.
    ivthlem1.1 $e |- U e. RR $.
    ivthlem1.2 $e |- P e. RR $.
    $( Lemma for ~ isupivth . $)
    ivthlem1 $p |- ( ( Q e. RR -> ( ( abs ` ( P - Q ) ) < ( P - U ) -> U < Q )
         ) /\ ( Q e. RR -> ( ( abs ` ( P - Q ) ) < ( U - P ) -> Q < U ) ) ) $=
      ( cr wcel cmin co cabs cfv clt wbr wi cc wceq recnt recn abssubt mpan
      syl breq1d wa caddc wb resubcl absdifltt mp3an23 pm3.26bda nncant mp2an
      syl5eqbrr ex sylbid pm3.27bda pncan3 syl6breq pm3.2i ) BFGZABHIJKZACHIZLM
      ZCBLMZNNUSUTCAHIZLMZBCLMZNNUSVBBAHIJKZVALMZVCUSUTVGVALUSBOGZUTVGPZBQAOGZV
      IVJAERZABSTUAZUBUSVHVCUSVHUCAVAHIZBCLUSVHVNBLMZBAVAUDILMZUSAFGZVAFGVHVOVP
      UCUEEACEDUFBAVAUGUHUIVKCOGVNCPVLCDRZACUJUKULUMUNUSVEVGVDLMZVFUSUTVGVDLVMU
      BUSVSVFUSVSUCBAVDUDIZCLUSVSAVDHIBLMZBVTLMZUSVQVDFGVSWAWBUCUEECADEUFBAVDUG
      UHUOACVLVRUPUQUMUNUR $.
      $( [26-Nov-2007] $) $( [8-Oct-2007] $)

    ${
      ivthlem2.3 $e |- A. y e. RR+ E. z e. RR+ A. w e. R ( W < z -> H < y ) $.
      $( Lemma for ~ isupivth . $)
      ivthlem2 $p |- ( U < P ->
            E. z e. RR+ A. w e. R ( W < z -> H < ( P - U ) ) ) $=
        ( clt wbr cmin co crp wcel cv wi wral wrex cc0 posdif cr resubcl wa
        elrp biimpr mpan sylbi wceq breq2 imbi2d rexralbidv vtoclri syl ) FDLMZ
        DFNOZPQZHBRLMZGURLMZSZCETBPUAZUQUBURLMZUSFDIJUCURUDQZVDUSDFJIUEUSVEVDUF
        URUGUHUIUJUTGARZLMZSZCETBPUAVCAURPVFURUKZVHVBBCPEVIVGVAUTVFURGLULUMUNKU
        OUP $.
        $( [26-Nov-2007] $) $( [8-Oct-2007] $)
    $}
  $}

  ${
    ivthlem3.1 $e |- ( ph -> E. z e. RR+ A. w e. A ( ps -> th ) ) $.
    ivthlem3.2 $e |- ( w e. A -> ( th -> ta ) ) $.
    $( Lemma for ~ isupivth . $)
    ivthlem3 $p |- ( ph -> E. z ( z e. RR+ /\ A. w e. A ( ps -> ta ) ) ) $=
      ( wi wral crp wrex cv wcel wa wex rgen imim1 r19.20sii mpi r19.22si
      df-rex sylib syl ) ABCJZFGKZELMZENLOBDJZFGKZPEQZHUHUJELMUKUGUJELUGCDJZFGK
      UJULFGIRUFULUIFGBCDSTUAUBUJELUCUDUE $.
      $( [26-Nov-2007] $) $( [8-Oct-2007] $)
  $}

  ${
    $d A c d v w x y z $.  $d B c d v w x y z $.  $d C d v w x y z $.
    $d F c d v w x y z $.  $d S v w x y $.  $d T v w x $.  $d U c d w y z $.
    ivthlem4.1 $e |- A e. RR $.
    ivthlem4.2 $e |- B e. RR $.
    ivthlem4.3 $e |- U e. RR $.
    ivthlem4.4 $e |- A < B $.
    ivthlem4.5 $e |- ( ( F ` A ) < U /\ U < ( F ` B ) ) $.
    ivthlem4.6 $e |- C = sup ( S , RR , < ) $.
    ivthlem4.7 $e |- S = { c e. ( A [,] B ) | ( F ` c ) <_ U } $.
    ivthlem4.8 $e |- F e. ( ( A [,] B ) -cn-> RR ) $.

    $( Lemma for ~ isupivth . $)
    ivthlem4 $p |- ( ( S (_ RR /\ S =/= (/) /\
                        E. x e. RR A. y e. S y <_ x ) /\ A e. S ) $=
      ( cr wss c0 wne cv cle wbr wral wrex w3a wcel wa cicc co cfv crab ssrab2
      eqsstr wceq fveq2 breq1d elrab2 ltlei lbicc2t mp3an cc ccncf wi iccssret
      mp2an axresscn sstri cncffvelrn ax-mp clt pm3.26i mpbir2an iccsupr
      mp3an23 pm3.2i ) FRSFTUABUBAUBUCUDBFUEARUFUGZCFUHZCRUHZDRUHZVRJKVTWAUIFCD
      UJUKZSVSVRFIUBZHULZGUCUDZIWBUMWBPWEIWBUNUOVSCWBUHZCHULZGUCUDZWEWHICWBFWCC
      UPWDWGGUCWCCHUQURPUSVTWACDUCUDWFJKCDJKMUTCDVAVBZWGGWFWGRUHZWIWBVCSRVCSHWB
      RVDUKUHWFWJVEWBRVCVTWAWBRSJKCDVFVGVHVIVHQWBRCHVJVBVKLWGGVLUDGDHULVLUDNVMU
      TVNZABCDCFVOVPVGWKVQ $.
      $( [22-Jan-2008] $) $( [8-Oct-2007] $)

    $( Lemma for ~ isupivth . $)
    ivthlem5 $p |- C e. ( A [,] B ) $=
      ( vx vy vv cicc co wcel cr cle wbr w3a clt csup wss c0 wne cv wral wrex
      ivthlem4 pm3.26i suprcli eqeltr wa suprub ax-mp breqtrr cfv crab ssrab2
      eqsstr sseli wb elicc2t mp2an sylib 3simp3d rgen suprleubi eqbrtr
      3pm3.2i mpbir ) CABSTZUAZCUBUAZACUCUDZCBUCUDZUEZVSVTWACDUBUFUGZUBMPQDDUBU
      HDUIUJQUKPUKUCUDQDULPUBUMUEZADUAZPQABCDEFGHIJKLMNOUNZUOZUPUQAWCCUCWDWEURA
      WCUCUDWFPQDAUSUTMVACWCBUCMBUBUAZRUKZBUCUDZRDULWCBUCUDIWJRDWIDUAZWIUBUAZAW
      IUCUDZWJWKWIVQUAZWLWMWJUEZDVQWIDGUKFVBEUCUDZGVQVCVQNWPGVQVDVEVFAUBUAZWHWN
      WOVGHIABWIVHVIVJVKVLPQRDBWGVMVIVNVOWQWHVRWBVGHIABCVHVIVP $.
      $( [22-Jan-2008] $) $( [8-Oct-2007] $)

    ${
      $d C w x $.  $d D w x $.  $d P x $.  $d ph x $.  $d ps x $.  $d ch x $.
      ivthlem6.9 $e |- ( ph <-> D e. RR+ ) $.
      ivthlem6.10 $e |- ( ps <-> A. w e. ( A [,] B )
                           ( ( abs ` ( C - w ) ) < D -> U < ( F ` w ) ) ) $.
      ivthlem6.11 $e |- ( ch <-> A. w e. ( A [,] B )
                           ( ( abs ` ( C - w ) ) < D -> ( F ` w ) < U ) ) $.
      ivthlem6.12 $e |- P = if ( B <_ ( C + D ) , B , ( C + D ) ) $.

      $( Lemma for ~ isupivth : modus tollens case 1. $)
      ivthlem6 $p |- -. ( ph /\ ps ) $=
        ( vx vv vy wa wn wex wrex cmin co cv clt wbr wi wral wcel w3a cfv cle
        cicc wceq fveq2 breq1d elrab2 pm3.27bi cr wb pm3.26bi cc wss ccncf
        iccssret mp2an axresscn sstri cncffvelrn mp3an syl lenltt mpan2 mpbid
        3ad2ant1 caddc csup c0 wne ivthlem4 pm3.26i suprubi syl6breqr adantr
        cabs cc0 crp rpgt0t sylbi ivthlem5 elicc2t mpbi 3simp1i recn subid
        fveq2i abs0 eqtr syl5eqbr absdifltt a1i rpret syl3anc pm3.27d adantl
        lelttrt mp3an2 sylib 3simp1d axaddrcl sylanc syl2an mp2and 3adant3
        opreq2 fveq2d breq2d imbi12d rcla4v syl5ib 3impia biimp recnd abssubt
        bitr3d imbi1d biimpd mpd syl3an1 mpan2d mtod 3expib con2d rgen
        suprlubi resubclt pm3.26d syl6breq 3simp2i r19.37zv ax-mp mpbir pm3.41
        con3d r19.22si r19.29 pm4.83 rexbii rexex 19.9v ) ABUIZUJZUFUKZUVCUVCUF
        JULZUVDGHUMUNZUFUOZUPUQZUVCURZUVHUJZUVCURZUIZUFJULZUVEUVIUFJUSUVKUFJULZ
        UVMUVIUFJUVGJUTZUVBUVHUVOABUVJUVOABVAZUVHKUVGLVBZUPUQZUVOAUVRUJZBUVOUVQ
        KVCUQZUVSUVOUVGEFVDUNZUTZUVTMUOZLVBZKVCUQUVTMUVGUWAJUWCUVGVEUWDUVQKVCUW
        CUVGLVFVGTVHZVIUVOUVQVJUTZUVTUVSVKZUVOUWBUWFUVOUWBUVTUWEVLZUWAVMVNVJVMV
        NLUWAVJVOUNUTUWBUWFURUWAVJVMEVJUTZFVJUTZUWAVJVNNOEFVPVQVRVSVRUAUWAVJUVG
        LVTWAWBUWFKVJUTUWGPUVQKWCWDWBWEWFUVPUVHUVGGHWGUNZUPUQZUVRUVOAUWLBUVOAUI
        UVGGVCUQZGUWKUPUQZUWLUVOUWMAUVOUVGJVJUPWHZGVCUGUHJUVGJVJVNZJWIWJZUHUOUG
        UOVCUQUHJUSUGVJULZVAEJUTUGUHEFGJKLMNOPQRSTUAWKWLZWMSWNWOAUWNUVOAUVFGUPU
        QZUWNAGGUMUNZWPVBZHUPUQZUWTUWNUIZAWQHUXBUPAHWRUTZWQHUPUQUBHWSWTUXBWQWPV
        BWQUXAWQWPGGGVJUTZEGVCUQZGFVCUQZGUWAUTZUXFUXGUXHVAZEFGJKLMNOPQRSTUAXAUW
        IUWJUXIUXJVKNOEFGXBVQXCXDZXEZXFXGXHXIXJUXFUXFHVJUTZUXCUXDVKAGGHXKUXFAUX
        KXLZUXNAUXEUXMUBHXMWTZXNWEZXOXPUVGVJUTZUWKVJUTZUWMUWNUIUWLURZUVOAUXQUXF
        UXRUXSUXKUVGGUWKXQXRUVOUXQEUVGVCUQZUVGFVCUQZUVOUWBUXQUXTUYAVAZUWHUWIUWJ
        UWBUYBVKNOEFUVGXBVQZXSXTUXFUXMUXRAGHYAUXNUXOYBYCYDYEUWBABUVHUWLUIZUVRUR
        ZUVOUWBABVAGUVGUMUNZWPVBZHUPUQZUVRURZUYEUWBABUYIUWBBUYIURAUWBGDUOZUMUNZ
        WPVBZHUPUQZKUYJLVBZUPUQZURZDUWAUSUYIBUYPUYIDUVGUWAUYJUVGVEZUYMUYHUYOUVR
        UYQUYLUYGHUPUYQUYKUYFWPUYJUVGGUMYFYGVGUYQUYNUVQKUPUYJUVGLVFYHYIYJUCYKWO
        YLUWBAUYIUYEURBUWBAUIZUYIUYEUYRUYHUYDUVRUYRUVGGUMUNWPVBZHUPUQZUYHUYDUYR
        UYSUYGHUPUWBUYSUYGVEZAUWBUVGVMUTZVUAUWBUVGUWBUXQUXTUYAUWBUYBUYCYMXTZYNV
        UBGVMUTVUAUXLUVGGYOWDWBWOVGUXQUXMUYTUYDVKZUWBAUXQUXFUXMVUDUXKUVGGHXKXRV
        UCUXOYCYPYQYRYEYSUWHYTUUAUUBUUCUUDUUEAUVHURZUFJULZUVNVUFAUVHUFJULZURZUV
        FVJUTZUVFUWOUPUQVUGAUGUHUFJUVFUWSUUFUXFUXMVUIAGHUUGUXNUXOYBAUVFGUWOUPAU
        WTUWNUXPUUHSUUIYBUWQVUFVUHVKUWPUWQUWRUWSUUJAUVHUFJUUKUULUUMVUEUVKUFJVUE
        UVBUVHABUVHUUNUUOUUPUULUVIUVKUFJUUQVQUVLUVCUFJUVHUVCUURUUSXCUVCUFJUUTUU
        LUVCUFUVAXC $.
        $( [22-Jan-2008] $) $( [8-Oct-2007] $)

      $( Lemma for ~ isupivth : modus tollens case 2. $)
      ivthlem7 $p |- -. ( ph /\ ch ) $=
        ( vx vv wa wn wex cicc co wrex cv clt wbr wi wral wcel w3a pm3.26 a1i
        cfv cle cmin caddc cabs wceq opreq2 fveq2d breq1d fveq2 imbi12d rcla4v
        syl5ib adantr 3impia cc cr wb elicc2t mp2an biimp 3simp1d recnd
        ivthlem5 mpbi 3simp1i recn abssubt mpan2 syl absdifltt mp3an2 crp
        rpret sylbi syl2an bitr3d imbi1d biimpd 3adant3 mpd cc0 rpgt0t subid
        fveq2i abs0 eqtr syl5eqbr syl3anc mpbid pm3.26d adantl axlttrn
        resubclt sylanc ancoms mpand cif ltmint breq2i syl5bb axaddrcl jcab
        sylib pm3.27d syl2and wss ccncf iccssret axresscn sstri cncffvelrn
        mp3an ltlet 3ad2ant1 syld elrab2 biimpr ex csup c0 wne ivthlem4
        pm3.26i suprubi syl6breqr pm3.26bi lenltt syl6 pm2.65d 3expib rgen cq
        qbtwnre ifcl syl5eqel pm3.27i ltlei ubicc2t ax-mp ltnsym mtbiri impcom
        sylan nsyl3 eqleltt 3simp3i mpbiran nsyl2 jca mpbird qssre ssrexv
        df-rex 3simp2i lelttrt mp3an12 mpani mpan min1 ltletrt mp3an3 sylan2
        mpan2d expcom imp3a pm3.27 jcad 19.22dv sylibr crab ssrab2 eqsstr
        ssne0 r19.37zv mpbir con3 r19.22si r19.29 pm3.33 pm2.01d rexex 19.9v )
        ACUHZUIZUFUJZUXGUXGUFEFUKULZUMZUXHUXFGUFUNZUOUPZUXKIUOUPZUHZUIZUQZUXOUX
        GUQZUHZUFUXIUMZUXJUXPUFUXIURUXQUFUXIUMZUXSUXPUFUXIUXKUXIUSZACUXOUYAACUT
        ZUXNUXLUXNUXLUQUYBUXLUXMVAVBUYBUXNUXKJUSZUXLUIZUYBUXNUXKLVCZKVDUPZUYCUY
        BUXNUYEKUOUPZUYFUYBGHVEULZUXKUOUPZUXKGHVFULZUOUPZUYGUXLUXMUYBGUXKVEULZV
        GVCZHUOUPZUYGUQZUYIUYKUHZUYGUQZUYAACUYOUYACUYOUQAUYAGDUNZVEULZVGVCZHUOU
        PZUYRLVCZKUOUPZUQZDUXIURZUYOCVUDUYODUXKUXIUYRUXKVHZVUAUYNVUCUYGVUFUYTUY
        MHUOVUFUYSUYLVGUYRUXKGVEVIVJVKVUFVUBUYEKUOUYRUXKLVLVKVMVNUDVOVPVQUYAAUY
        OUYQUQCUYAAUHZUYOUYQVUGUYNUYPUYGVUGUXKGVEULVGVCZHUOUPZUYNUYPVUGVUHUYMHU
        OUYAVUHUYMVHZAUYAUXKVRUSZVUJUYAUXKUYAUXKVSUSZEUXKVDUPZUXKFVDUPZUYAVULVU
        MVUNUTZEVSUSZFVSUSZUYAVUOVTNOEFUXKWAWBZWCWDZWEVUKGVRUSVUJGGVSUSZEGVDUPZ
        GFVDUPZGUXIUSZVUTVVAVVBUTZEFGJKLMNOPQRSTUAWFZVUPVUQVVCVVDVTNOEFGWAWBWGZ
        WHZWIZUXKGWJWKWLVPVKVULHVSUSZVUIUYPVTZUYAAVULVUTVVIVVJVVGUXKGHWMWNVUSAH
        WOUSZVVIUBHWPWQZWRWSWTXAXBXCUYAAUXLUYIUQCVUGUYHGUOUPZUXLUYIAVVMUYAAVVMG
        UYJUOUPZAGGVEULZVGVCZHUOUPZVVMVVNUHZAXDHVVPUOAVVKXDHUOUPUBHXEWQVVPXDVGV
        CXDVVOXDVGGVVHXFXGXHXIXJZVUTVUTVVIVVQVVRVTAGGHWMVUTAVVGVBZVVTVVLXKXLZXM
        XNAUYAVVMUXLUHUYIUQZUYHVSUSZVULVWBAUYAVWCVUTVULVWBVVGUYHGUXKXOWNVUTVVIV
        WCAGHXPVVTVVLXQVUSWRXRXSXBUYAAUXMUYKUQZCVUGUXMUXKFUOUPZUQZVWDVUGUXMVWEU
        YKUHZUQVWFVWDUHVUGUXMVWGVULUYJVSUSZUXMVWGVTZUYAAVULVUQVWHVWIOVULVUQVWHU
        TUXKFUYJVDUPZFUYJXTZUOUPVWGUXMUXKFUYJYAIVWKUXKUOUEYBYCWNVUSVUTVVIVWHAGH
        YDVVTVVLXQZWRXAUXMVWEUYKYEYFYGXBYHUYAAUYGUYFUQZCUYAUYEVSUSZVWMUXIVRYIZV
        SVRYIZLUXIVSYJULUSZUYAVWNUQUXIVSVRVUPVUQUXIVSYINOEFYKWBYLYMZYLUAUXIVSUX
        KLYNYOVWNKVSUSVWMPUYEKYPWKWLYQYRUYAAUYFUYCUQCUYAUYFUYCUYCUYAUYFUHMUNZLV
        CZKVDUPZUYFMUXKUXIJVWSUXKVHVWTUYEKVDVWSUXKLVLVKTYSZYTUUAYQYRUYCUXKGVDUP
        ZUYDUYCUXKJVSUOUUBGVDUGDJUXKJVSYIZJUUCUUDZUYRUGUNVDUPDJURUGVSUMZUTEJUSU
        GDEFGJKLMNOPQRSTUAUUEUUFZUUGSUUHUYCVULVXCUYDVTZUYCVULVUMVUNUYCUYAVUOUYC
        UYAUYFVXBUUIVURYFWDVULVUTVXHVVGUXKGUUJWKWLXLUUKUULUUMUUNUXFUXNUQZUFUXIU
        MZUXTVXJUXFUXNUFUXIUMZUQZUXFUYAUXNUHZUFUJZVXKUXFVULUXNUHZUFUJZVXNUXFUXN
        UFVSUMZVXPUXFUXNUFUUOUMZVXQVUTIVSUSZGIUOUPVXRUXFUFGIUUPVUTUXFVVGVBAVXSC
        AVWKVSIVUQVWHVWKVSUSAVWJFUYJVSUUQVUQAOVBZVWLXQUEUURZVPUXFGVWKIUOUXFGVWK
        UOUPZGFUOUPZVVNUHZUXFVYCVVNUXFGFVHZVYCVYEGLVCZKUOUPZUXFVYEVYGFLVCZKUOUP
        ZKVYHUOUPZVYIUIELVCKUOUPVYJRUUSKVYHPFUXIUSZVYHVSUSZVUPVUQEFVDUPVYKNOEFN
        OQUUTEFUVAYOVWOVWPVWQVYKVYLUQVWRYLUAUXIVSFLYNYOUVBUVCUVBVYEVYFVYHKUOGFL
        VLVKUVDVVQCVYGACVVQVYGCVUEVVQVYGUQZUDVVCVUEVYMUQVVEVUDVYMDGUXIUYRGVHZVU
        AVVQVUCVYGVYNUYTVVPHUOVYNUYSVVOVGUYRGGVEVIVJVKVYNVUBVYFKUOUYRGLVLVKVMVN
        UVBWQUVEVVSUVFUVGVYEVYCUIZVYEVVBVYOVUTVUQVYEVVBVYOUHVTVVGOGFUVHWBVUTVVA
        VVBVVFUVIUVJYTUVKAVVNCAVVMVVNVWAYGVPUVLAVYBVYDVTZCVUTVUQVWHVYPAGFUYJYAV
        VTVXTVWLXKVPUVMUEUUHXKUUOVSYIVXRVXQUQUVNUXNUFUUOVSUVOUVBWLUXNUFVSUVPYFU
        XFVXOVXMUFAVXOVXMUQCAVXOUYAUXNAVULUXNUYAVULAUXNUYAUQVULAUHZVUMVUNUYAUXL
        UXMVULVUMVUNUHUYAUQAVULVUMVUNUYAUYAVUOVURYTUUMVPVULUXLVUMUQAVULUXLEUXKU
        OUPZVUMVULVVAUXLVYRVUTVVAVVBVVFUVQVUPVUTVULVVAUXLUHVYRUQNVVGEGUXKUVRUVS
        UVTVUPVULVYRVUMUQNEUXKYPUWAYRVPVYQUXMVWEVUNVYQUXMIFVDUPZVWEAVYSVULAVWKF
        IVDVUQVWHVWKFVDUPAFUYJUWBVXTVWLXQUEXJXNVULVXSUXMVYSUHVWEUQZAVULVXSVUQVY
        TOUXKIFUWCUWDVYAUWEUWFVULVWEVUNUQZAVULVUQWUAOUXKFYPWKVPYRYHUWGUWHVXOUXN
        UQAVULUXNUWIVBUWJVPUWKXCUXNUFUXIUVPUWLUXIUUCUUDZVXJVXLVTJUXIYIVXEWUBJVX
        AMUXIUWMUXITVXAMUXIUWNUWOVXDVXEVXFVXGUVQJUXIUWPWBUXFUXNUFUXIUWQUVBUWRVX
        IUXQUFUXIUXFUXNUWSUWTUVBUXPUXQUFUXIUXAWBUXRUXGUFUXIUXRUXFUXFUXOUXGUXBUX
        CUWTUVBUXGUFUXIUXDUVBUXGUFUXEWG $.
        $( [22-Jan-2008] $) $( [8-Oct-2007] $)
    $}

    $( Lemma for ~ isupivth . $)
    ivthlem8 $p |- ( C e. ( A (,) B ) /\ ( F ` C ) = U ) $=
      ( vx vw vz vy cioo co wcel cfv wceq cr clt wbr cle cicc w3a ivthlem5 wb
      elicc2t mp2an mpbi 3simp1i wne pm3.26i ltlei lbicc2t mp3an wf cv cmin
      cabs wi wral crp wrex ccncf wa cc wss iccssret axresscn sstri elcncf
      ffvelrni ax-mp ltne fveq2 wn lttri3 wex caddc cif pm4.2 eqid ivthlem7
      nex opreq1 fveq2d breq1d opreq1d imbi12d rexralbidv ralbidv pm3.27i
      vtoclri ivthlem2 ivthlem1 syl ivthlem3 mto ivthlem6 mpbir2an syl5eqr
      necon3i 3simp2i leltnet mpbir ubicc2t syl6eq 3simp3i cxr elioo2t rexrt
      syl2an biimpr pm3.2i ) CABTUAUBZCFUCZEUDZCUEUBZACUFUGZCBUFUGZYAYDACUHUGZC
      BUHUGZCABUIUAZUBZYDYGYHUJZABCDEFGHIJKLMNOUKZAUEUBZBUEUBZYJYKULHIABCUMUNUO
      ZUPZYECAUQZEAFUCZUQZYQYREUFUGZYSYTEBFUCZUFUGZLURYREAYIUBZYRUEUBYMYNABUHUG
      ZUUCHIABHIKUSZABUTVAYIUEAFYIUEFVBZPVCZQVCZVDUAZVEUCZRVCZUFUGZUUGFUCZUUHFU
      CZVDUAZVEUCZSVCZUFUGZVFZQYIVGRVHVIZSVHVGZPYIVGZFYIUEVJUAUBZUUFUVBVKZOYIVL
      VMUEVLVMUVCUVDULYIUEVLYMYNYIUEVMHIABVNUNVOVPVOPSRQYIUEFVQUNUOZURZVRVSJVTV
      SCAEYRCAUDYBYRECAFWAYCYBEUFUGZWBEYBUFUGZWBYBEYJYBUEUBYLYIUECFUVFVRVSZJWCU
      VGUUKVHUBZCUUHVDUAZVEUCZUUKUFUGZUUNEUFUGZVFQYIVGZVKZRWDUVPRUVJUVMEUUNUFUG
      ZVFQYIVGZUVOQABCUUKBCUUKWEUAZUHUGBUVSWFZDEFGHIJKLMNOUVJWGZUVRWGZUVOWGZUVT
      WHZWIWJUVGUVMYBUUNVDUAZVEUCZEYBVDUAUFUGZUVNRQYISRQEYIYBUWFUVLUVIJYJUVMUWF
      UUQUFUGZVFZQYIVGRVHVIZSVHVGZYLUVAUWKPCYIUUGCUDZUUTUWJSVHUWLUUSUWIRQVHYIUW
      LUULUVMUURUWHUWLUUJUVLUUKUFUWLUUIUVKVEUUGCUUHVDWKWLWMUWLUUPUWFUUQUFUWLUUO
      UWEVEUWLUUMYBUUNVDUUGCFWAWNWLWMWOWPWQUUFUVBUVEWRWSVSZWTUUHYIUBZUUNUEUBZUW
      GUVNVFZYIUEUUHFUVFVRZUWOUWFYBEVDUAUFUGZUVQVFZVFZUWOUWPVFZYBUUNEJUVIXAZWRX
      BXCXDUVHUVJUVRVKZRWDUXCRUVJUVRUVOQABCUUKUVTDEFGHIJKLMNOUWAUWBUWCUWDXEWJUV
      HUVMUWRUVQRQYISRQYBYIEUWFUVLJUVIUWMWTUWNUWOUWSUWQUWTUXAUXBURXBXCXDXFZXGXH
      VSYMYDYGYEYQULHYPYDYGYHYOXIACXJVAXKYFBCUQZUUAEUQZUXEUUBUXFYTUUBLWREUUAJBY
      IUBZUUAUEUBYMYNUUDUXGHIUUEABXLVAYIUEBFUVFVRVSVTVSBCUUAEBCUDUUAYBEBCFWAUXD
      XMXHVSYDYNYHYFUXEULYPIYDYGYHYOXNCBXJVAXKYAYDYEYFUJZYMYNYAUXHULZHIAXOUBBXO
      UBUXIYMYNABCXPAXQBXQXRUNXSVAUXDXT $.
      $( [22-Jan-2008] $) $( [8-Oct-2007] $)

    ${
      ivthlem9.9 $e |- T = { d e. ( A [,] B ) | ( F ` d ) = U } $.
      ivthlem9.10 $e |- ( F ` C ) = U $.
      $( Lemma for ~ isupivth . $)
      ivthlem9 $p |- C = sup ( T , RR , < ) $=
        ( vv vw vx cr clt csup wceq cle wbr cicc co wcel wss iccssret mp2an
        ivthlem5 sselii c0 wne cv wral wrex w3a wa cfv crab ssrab2 eqsstr
        fveq2 eqeq1d elrab2 mpbir2an iccsupr mp3an23 suprcli letri3 suprubi
        ax-mp wi cc ccncf axresscn sstri cncffvelrn mp3an eqlet ex syl breq1d
        ivthlem4 pm3.26i syl6breqr sylbir syld imp sylbi rgen suprleubi ) CEUCU
        DUEZUFCWRUGUHZWRCUGUHZCWRABUIUJZUCCAUCUKZBUCUKZXAUCULJKABUMUNZABCDFGHJK
        LMNOPQUOZUPZTUAEXBXCEUCULEUQURUAUSTUSUGUHZUAEUTTUCVAVBZJKXBXCVCEXAULCEU
        KZXHEIUSZGVDZFUFZIXAVEXARXLIXAVFVGXICXAUKCGVDZFUFZXLXNICXAEXJCUFXKXMFXJ
        CGVHVIRVJXESVKZTUAABCEVLVMUNZVNVOXIWSXOTUAECXPVPVQCUCUKUBUSZCUGUHZUBEUT
        WTXFXRUBEXQEUKXQXAUKZXQGVDZFUFZVCXRXLYAIXQXAEXJXQUFXKXTFXJXQGVHVIRVJXSY
        AXRXSYAXTFUGUHZXRXSXTUCUKZYAYBVRXAVSULUCVSULGXAUCVTUJUKXSYCVRXAUCVSXDWA
        WBWAQXAUCXQGWCWDYCYAYBXTFWEWFWGXSYBXRXSYBVCXQDUKZXRHUSZGVDZFUGUHYBHXQXA
        DYEXQUFYFXTFUGYEXQGVHWHPVJYDXQDUCUDUECUGTUADXQDUCULDUQURXGUADUTTUCVAVBA
        DUKTUAABCDFGHJKLMNOPQWIWJVPOWKWLWFWMWNWOWPTUAUBECXPWQUNVK $.
        $( [22-Jan-2008] $) $( [22-Jan-2008] $)
    $}
  $}

  ${
    isupivth.1 $e |- A e. RR $.
    isupivth.2 $e |- B e. RR $.
    isupivth.3 $e |- U e. RR $.
    isupivth.4 $e |- A < B $.
    isupivth.5 $e |- ( A [,] B ) (_ D $.
    isupivth.6 $e |- D (_ CC $.
    isupivth.7 $e |- F e. ( D -cn-> CC ) $.
    isupivth.8 $e |- ( x e. ( A [,] B ) -> ( F ` x ) e. RR ) $.
    isupivth.9 $e |- S = { x e. ( A [,] B ) | ( F ` x ) = U } $.
    ${
      $d A c x $.  $d B c x $.  $d F c x $.  $d U c x $.
      isupivth.10 $e |- ( ( F ` A ) < U /\ U < ( F ` B ) ) $.
      isupivth.11 $e |- C = sup ( S , RR , < ) $.
      $( The intermediate value theorem, increasing case with supremum
         solution.  (Contributed by Paul Chapman, 22-Jan-2008.) $)
      isupivth $p |- ( C e. ( A (,) B ) /\ ( F ` C ) = U ) $=
        ( vc cioo co wcel cfv wceq cv cle wbr cicc crab cr clt csup cres wa
        ltlei lbicc2t mp3an fvres ax-mp breq1i ubicc2t breq2i anbi12i mpbir
        breq1d rabbii supeq1 eqcomi eqid cc ccncf wss wi ssid rescncf w3a wral
        sstri axresscn 3pm3.2i eqeltrd rgen cncffvrn mp2an eqeq1d eqtr4
        ivthlem8 pm3.27i ivthlem9 pm3.26i eqeltr fveq2i ioossicc sselii 3eqtr3
        pm3.2i ) DBCUAUBZUCDHUDZGUEDTUFZHUDZGUGUHZTBCUIUBZUJZUKULUMZWRDFUKULUMX
        ESBCXEWTHXCUNZUDZGUGUHZTXCUJZFGXFTAIJKLBXFUDZGULUHZGCXFUDZULUHZUOBHUDZG
        ULUHZGCHUDZULUHZUORXKXOXMXQXJXNGULBXCUCZXJXNUEBUKUCZCUKUCZBCUGUHZXRIJBC
        IJLUPZBCUQURBXCHUSUTVAXLXPGULCXCUCZXLXPUEXSXTYAYCIJYBBCVBURCXCHUSUTVCVD
        VEZXIUKULUMZXEXIXDUEYEXEUEXHXBTXCWTXCUCXGXAGUGWTXCHUSVFVGUKXIXDULVHUTVI
        ZXIVJZXFXCVKVLUBUCZXFXCUKVLUBUCZHEVKVLUBUCZYHOEVKVMVKVKVMZXCEVMYJYHVNNV
        KVOZMEVKXCHVPURUTXCVKVMZYKUKVKVMZVQAUFZXFUDZUKUCZAXCVRYHYIVNYMYKYNXCEVK
        MNVSYLVTWAYQAXCYOXCUCZYPYOHUDZUKYOXCHUSZPWBWCAXCVKUKXFWDWEUTZFYSGUEZAXC
        UJYPGUEZAXCUJQUUCUUBAXCYRYPYSGYTWFVGWGXEWRUCZXEXFUDZGUEZBCXEXIGXFTIJKLY
        DYFYGUUAWHZWIZWJWGZUUDUUFUUGWKWLZDXFUDZUUEWSGDXEXFUUIWMDXCUCUUKWSUEWRXC
        DBCWNUUJWODXCHUSUTUUHWPWQ $.
        $( [22-Jan-2008] $) $( [22-Jan-2008] $)
    $}

    ${
      $d A a b x $.  $d B a b x $.  $d C a b $.  $d D a b x $.  $d F a b x $.
      $d G x $.  $d U x $.
      dsupivth.10 $e |- ( ( F ` B ) < U /\ U < ( F ` A ) ) $.
      dsupivth.11 $e |- C = sup ( S , RR , < ) $.

      ${
        dsupivthlem.12 $e |- G = { <. a , b >. |
                                   ( a e. D /\ b = -u ( F ` a ) ) } $.
        $( Lemma for ~ dsupivth . $)
        dsupivthlem $p |- ( C e. ( A (,) B ) /\ ( F ` C ) = U ) $=
          ( cioo co wcel cfv wceq cneg renegcl negfcncf cv cicc cr sseli fveq2
          negeqd negex fvopab4 syl renegclt eqeltrd crab eqeq1d cc wb recnd
          recn neg11t mpan2 bitr2d rabbii eqtr clt wbr cle ltlei lbicc2t mp3an
          sselii ax-mp pm3.27i wral rgen eleq1d rcla4v mp2 ltneg mpbi eqbrtr
          pm3.26i ubicc2t breqtrr pm3.2i isupivth ioossicc eqtr3 wss ccncf wi
          ssid cncffvelrn 3syl ) DBCUDUEZUFZDHUGZGUHZXEDIUGZGUIZUHZABCDEFXIILMG
          NUJOPQEHIJKQRUCUKAULZBCUMUEZUFZXKIUGZXKHUGZUIZUNXMXKEUFXNXPUHXLEXKPUO
          JKXKJULZHUGZUIZXPEIXQXKUHXRXOXQXKHUPUQUCXOURUSUTZXMXOUNUFZXPUNUFSXOVA
          UTVBFXOGUHZAXLVCXNXIUHZAXLVCTYBYCAXLXMYCXPXIUHZYBXMXNXPXIXTVDXMXOVEUF
          ZYDYBVFZXMXOSVGYEGVEUFZYFGNVHZXOGVIVJUTVKVLVMBIUGZXIVNVOXICIUGZVNVOYI
          BHUGZUIZXIVNBEUFYIYLUHXLEBPBUNUFZCUNUFZBCVPVOZBXLUFZLMBCLMOVQZBCVRVSZ
          VTJKBXSYLEIXQBUHXRYKXQBHUPUQUCYKURUSWAGYKVNVOZYLXIVNVOCHUGZGVNVOZYSUA
          WBGYKNYPYAAXLWCZYKUNUFZYRYAAXLSWDZYAUUCABXLXKBUHXOYKUNXKBHUPWEWFWGWHW
          IWJXIYTUIZYJVNUUAXIUUEVNVOUUAYSUAWKYTGCXLUFZUUBYTUNUFZYMYNYOUUFLMYQBC
          WLVSZUUDYAUUGACXLXKCUHXOYTUNXKCHUPWEWFWGNWHWICEUFYJUUEUHXLECPUUHVTJKC
          XSUUEEIXQCUHXRYTXQCHUPUQUCYTURUSWAWMWNUBWOZWKZXFUIZXIUHZXGXHUUKXIDXLU
          FZXHUUKUHZXDXLDBCWPUUJVTZUUMDEUFZUUNXLEDPUOZJKDXSUUKEIXQDUHXRXFXQDHUP
          UQUCXFURUSUTWAXEXJUUIWBWQUUMUULXGVFZUUOUUMUUPXFVEUFZUURUUQEVEWRVEVEWR
          HEVEWSUEUFUUPUUSWTQVEXAREVEDHXBVSUUSYGUURYHXFGVIVJXCWAWIWN $.
          $( [22-Jan-2008] $) $( [22-Jan-2008] $)
      $}

      $( The intermediate value theorem, decreasing case with supremum
         solution.  (Contributed by Paul Chapman, 22-Jan-2008.) $)
      dsupivth $p |- ( C e. ( A (,) B ) /\ ( F ` C ) = U ) $=
        ( va vb cv wcel cfv cneg wceq wa copab eqid dsupivthlem ) ABCDEFGHTUBZE
        UCUAUBUKHUDUEUFUGTUAUHZTUAIJKLMNOPQRSULUIUJ $.
        $( [22-Jan-2008] $) $( [22-Jan-2008] $)
    $}
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The exponential, sine, and cosine functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c exp $. $( Exponential function. $)
  $c e $. $( Letter e (Euler's constant = 2.71828...) $)
  $c sin $. $( Sine function. $)
  $c cos $. $( Cosine function. $)
  $c pi $. $( Pi = 3.14159... $)

  $( Extend class notation to include the exponential function. $)
  ce $a class exp $.

  $( Extend class notation to include Euler's constant = 2.7182818.... $)
  ceu $a class e $.

  $( Extend class notation to include the sine function. $)
  csin $a class sin $.

  $( Extend class notation to include the cosine function. $)
  ccos $a class cos $.

  $( Extend class notation to include pi = 3.14159.... $)
  cpi $a class pi $.

  ${
    $d j k x y w $.
    $( Define the exponential function. $)
    df-ef $a |- exp = { <. x , y >. | ( x e. CC /\ y =
                  sum_ k e. NN0 ( ( x ^ k ) / ( ! ` k ) ) ) } $.

    $( Define Euler's constant 2.71828.... $)
    df-e $a |- e = ( exp ` 1 ) $.

    $( Define the sine function. $)
    df-sin $a |- sin = { <. x , y >. | ( x e. CC /\ y =
 ( ( ( exp ` ( i x. x ) ) - ( exp ` ( -u i x. x ) ) ) / ( 2 x. i ) ) ) } $.

$(
    @( Define the cosine function. @)
    df-cos @a |- cos =
        { <. x , y >. | ( x e. CC /\ y = ( sin ` ( x + ( pi / 2 ) ) ) ) } @.
$)

    $( Define the cosine function. $)
    df-cos $a |- cos = { <. x , y >. | ( x e. CC /\ y =
        ( ( ( exp ` ( i x. x ) ) + ( exp ` ( -u i x. x ) ) ) / 2 ) ) } $.

    $( Define pi = 3.14159..., which is the smallest positive number whose sine
       is zero.  Definition of pi in [Gleason] p. 311.  (We use the inverse of
       of less-than, " ` ``' < ` ", to turn supremum into infimum; currently we
       don't have infimum defined separately.) $)
    df-pi $a |- pi =
          sup ( { x e. RR | ( 0 < x /\ ( sin ` x ) = 0 ) } , RR , `' < ) $.
  $}

  $( Closure of a term in the series expansion of the exponential function.
     (Contributed by Paul Chapman, 11-Sep-2007.) $)
  eftclt $p |- ( ( A e. CC /\ K e. NN0 ) ->
                 ( ( A ^ K ) / ( ! ` K ) ) e. CC ) $=
    ( cexp co cc wcel cfa cfv cc0 wne cdiv cn0 wa divclt expclt cn facclt
    nncnt syl adantl facne0t syl3anc ) ABCDZEFBGHZEFZUDIJZUCUDKDEFAEFZBLFZMUCUD
    NABOUHUEUGUHUDPFUEBQUDRSTUHUFUGBUATUB $.
    $( [13-Sep-2007] $) $( [11-Sep-2007] $)

  ${
    $d x y z w A $.  $d x w F $.
    efcltlem.1 $e |- F = { <. y , z >. | ( y e. NN /\
                    z = ( ( A ^ y ) / ( ! ` y ) ) ) } $.
    ${
      efcltlem1.2 $e |- A e. CC $.
      efcltlem1.3 $e |- A =/= 0 $.
      $( Lemma for ~ efclt .  The series that defines the exponential
         function converges, in the case where its argument is nonzero.  The
         ratio test ~ cvgrat is used to show convergence. $)
      efcltlem1 $p |- E. x ( + seq1 F ) ~~> x $=
        ( vw cabs cfv cfl c1 caddc co cdiv cr wcel clt wbr wa cn cv cle cmul
        wi wral cseq1 cli wex abscl flreclt ax-mp peano2re cc0 absge0 cz wb 0z
        flget mp2an mpbi lt01 1re addgegt0 gt0ne0i redivcl recn div1 flltp1t
        eqbrtr ltdiv23i pm3.2i cn0 flge0nn0t nn0p1nnt nnleltp1t mpan wne
        absgt0 w3a an6 ltdiv2t sylbir mp3an3 mpanl12 cc peano2nn nncnt absclt
        3syl nngt0t wceq absidt nnret nnnn0t nn0ge0t syl sylanc breqtrrd
        peano2nn0 breq2d cexp cfa flclt zre ltmul1t mp3anl2 redivclt mp3an1
        gt0ne0t eftclt jca absgt0t biimpa divne0t expclt sylan2 expne0t mpbiri
        facclt nnne0t syl2anc opreq2 fveq2 opreq12d oprex fvopab4 expp1t
        facp1t divmuldivt jctil eqtr4d axmulcom divclt 3eqtrd fveq2d absmult
        absdivt opreq1d opreq2d breq12d bitr4d 3bitr3d bitrd biimpd rgen fopab
        cvgrat ) DJKZUUJLKZMNOZPOZQRZUUMMSTZUAUULUBRZUULIUCZUDTZUUQMNOZEKZJKZUU
        MUUQEKZJKZUEOZSTZUFZIUBUGZUANEUHOAUCUITAUJUUNUUOUUJUULDGUKZUUKQRZUULQRZ
        UUJQRZUVIUVHUUJULUMZUUKUNUMZUULUVMUOUUKUDTZUOMSTZUOUULSTZUOUUJUDTZUVNDG
        UPZUVKUOUQRUVQUVNURUVHUSUUJUOUTVAVBZVCUUKMUVLVDVEVAZVFVGUUJMPOZUULSTUUO
        UWAUUJUULSUUJUUJUVHVHVIUVKUUJUULSTUVHUUJVJUMVKUUJMUULUVHVDUVMVCUVTVLVBV
        MUUPUVGUUKVNRZUUPUVKUVQUWBUVHUVRUUJVOVAUUKVPUMZUVFIUBUUQUBRZUURUVEUWDUU
        RUULUUSSTZUVEUUPUWDUURUWEURUWCUULUUQVQVRUWDUULUUSJKZSTZUUJUWFPOZUUMSTZU
        WEUVEUWFQRZUOUWFSTZUWGUWIURZUWDUVJUVPUWJUWKUAZUWLUVMUVTUVJUVPUAZUWMUVKU
        OUUJSTZUAZUWLUVKUWOUVHDUOVSZUWOHDGVTVBVMUWNUWMUWPWAUVJUWJUVKWAUVPUWKUWO
        WAUAUWLUVJUWJUVKUVPUWKUWOWBUULUWFUUJWCWDWEWFUWDUUSUBRZUUSWGRZUWJUUQWHZU
        USWIZUUSWJWKZUWDUWRUWKUWTUWRUOUUSUWFSUUSWLUUSQRZUOUUSUDTZUWFUUSWMZUWRUU
        SWNZUUSWOZUWRUUSVNRZUXDUUSWPUUSWQZWRWSWTWRZWSUWDUWFUUSUULSUXCUXDUXEUWDU
        XFUWDUWRUXCUWTUXGWRUWDUUQVNRZUXHUXDUUQWPZUUQXAUXIWKWSXBUWDUWIUWHDUUQXCO
        ZUUQXDKZPOZJKZUEOZUUMUXPUEOZSTZUVEUWHQRZUXPQRZUAUOUXPSTZUWIUXSURZUWDUXT
        UUNUYAUYBUYCUUJUULUVHUVMUULUVMUVNUVOUVPUVSVCUUKMUUKUVKUUKUQRUVHUUJXEUMX
        FVDVEVAVFVGUWHUUMUXPXGXHUWDUXTUYAUWJUWFUOVSZUXTUWDUVKUWJUYDUXTUVHUUJUWF
        XIXJUXBUWJUWKUYDUWDUWFXKUXBUXJWSWSUWDUXOWGRZUYAUWDUXKUYEUXLDWGRZUXKUYEG
        DUUQXLVRWRZUXOWJWRXMUYEUXOUOVSZUYBUWDUYEUYHUYBUXOXNXOUYGUXMWGRZUXMUOVSZ
        UXNWGRZUXNUOVSZUYHUWDUXMUXNXPUYFUWDUYIGUYFUXKUYIUWDDUUQXQUXLXRVRZUWDUYJ
        UWQHUYFUWDUYJUWQURGDUUQXSVRXTUWDUXKUXNUBRZUYKUXLUUQYAZUXNWIWKZUWDUXKUYN
        UYLUXLUYOUXNYBWKZYCWSWSUWDUVAUXQUVDUXRSUWDUVADUUSPOZUXOUEOZJKZUYRJKZUXP
        UEOZUXQUWDUUTUYSJUWDUUTDUUSXCOZUUSXDKZPOZUXOUYRUEOZUYSUWDUWRUUTVUEWMUWT
        BCUUSDBUCZXCOZVUGXDKZPOZVUEUBEVUGUUSWMVUHVUCVUIVUDPVUGUUSDXCYDVUGUUSXDY
        EYFFVUCVUDPYGYHWRUWDVUEUXMDUEOZUXNUUSUEOZPOZVUFUWDVUCVUKVUDVULPUYFUWDVU
        CVUKWMZGUYFUXKVUNUWDDUUQYIUXLXRVRUWDUXKVUDVULWMUXLUUQYJWRYFUYIUYKUAUYFU
        WSUAUYLUUSUOVSZVUFVUMWMUWDUXMUXNDUUSYKUWDUYIUYKUYMUYPXMUWDUWSUYFUWDUWRU
        WSUWTUXAWRZGYLUYQUWDUWRVUOUWTUUSYBWRZYCYMUYEUYRWGRZVUFUYSWMUWDUXOUYRYNU
        YGUWSVUOVURUWDUYFUWSVUOVURGDUUSYOXJVUPVUQWSZWSYPYQVURUYEUYTVUBWMUWDUYRU
        XOYRVUSUYGWSUWDVUAUWHUXPUEUWSVUOVUAUWHWMZUWDUYFUWSVUOVUTGDUUSYSXJVUPVUQ
        WSYTYPUWDUVCUXPUUMUEUWDUVBUXOJBCUUQVUJUXOUBEVUGUUQWMVUHUXMVUIUXNPVUGUUQ
        DXCYDVUGUUQXDYEYFFUXMUXNPYGYHYQUUAUUBUUCUUDUUEUUFUUGVMIAUUMUULEBCUBWGVU
        JEFVUGUBRVUGVNRZVUJWGRZVUGWPUYFVVAVVBGDVUGXLVRWRUUHUUIVA $.
        $( [26-Jun-2006] $) $( [26-Apr-2005] $)
    $}

    $( Lemma for ~ efclt .  The series defining the exponential function
       converges in the (trivial) case of a zero argument. $)
    efcltlem2 $p |- ( A = 0 -> ( + seq1 F ) ~~> 0 ) $=
      ( cc0 wceq caddc cseq1 co cn csn cxp cli cv wcel cexp cfa cfv cdiv wa
      copab wb opreq1 opreq1d eqeq1d 0expt cn0 nnnn0t cc wne div0t facclt
      nncnt syl facne0t sylanc eqtrd syl5bir eqeq2 syl6 pm5.32d opabbidv
      fconstopab 3eqtr4g opreq2d ser1clim0 syl6eqbr ) CFGZHDIJHKFLMZIJFNVIDVJHI
      VIAOZKPZBOZCVKQJZVKRSZTJZGZUAZABUBVLVMFGZUAZABUBDVJVIVRVTABVIVLVQVSVIVLVP
      FGZVQVSUCVIWAFVKQJZVOTJZFGVLVIVPWCFVIVNWBVOTCFVKQUDUEUFVLWCFVOTJZFVLWBFVO
      TVKUGUEVLVKUHPZWDFGZVKUIVOUJPZVOFUKWFWEVOULWEVOKPWGVKUMVOUNUOVKUPUQUOURUS
      VPFVMUTVAVBVCEABKFVDVEVFVGVH $.
      $( [26-Jun-2006] $) $( [28-Apr-2005] $)

    $( The series defining the exponential function converges. $)
    efseq1ex $p |- ( A e. CC -> E. x ( + seq1 F ) ~~> x ) $=
      ( cc wcel cc0 wceq caddc cseq1 co cv cli wbr wex wne wn wa cn cexp cfa
      cfv cdiv copab c1 cif opreq1 opreq1d eqeq2d anbi2d opabbidv opreq2d
      breq1d exbidv eqid eleq1 neeq1 anbi12d ax1cn ax1ne0 pm3.2i elimhyp
      pm3.26i pm3.27i efcltlem1 dedth opreq2i breq1i exbii sylibr ex df-ne
      syl5ibr efcltlem2 0cn elisseti breq2 cla4ev syl pm2.61d2 ) DGHZDIJZKELMZA
      NZOPZAQZWCDIRZWHWDSWCWIWHWCWITZKBNZUAHZCNZDWKUBMZWKUCUDZUEMZJZTZBCUFZLMZW
      FOPZAQZWHWJXBKWLWMWJDUGUHZWKUBMZWOUEMZJZTZBCUFZLMZWFOPZAQDUGDXCJZXAXJAXKW
      TXIWFOXKWSXHKLXKWRXGBCXKWQXFWLXKWPXEWMXKWNXDWOUEDXCWKUBUIUJUKULUMUNUOUPAB
      CXCXHXHUQXCGHZXCIRZWJXLXMTUGGHZUGIRZTDUGXKWCXLWIXMDXCGURDXCIUSUTUGXCJXNXL
      XOXMUGXCGURUGXCIUSUTXNXOVAVBVCVDZVEXLXMXPVFVGVHWGXAAWEWTWFOEWSKLFVIVJVKVL
      VMDIVNVOWDWEIOPZWHBCDEFVPWGXQAIIGVQVRWFIWEOVSVTWAWB $.
      $( [26-Jun-2006] $) $( [27-Apr-2005] $)
  $}

  ${
    $d j k x y A $.
    dfef2.1 $e |- A e. CC $.
    $( Switch between definitions for ~ df-ef that sum over ` NN0 ` or over
       ` NN ` .  (Contributed by Steve Rodriguez, 30-Jun-2006.) $)
    dfef2 $p |- sum_ k e. NN0 ( ( A ^ k ) / ( !  ` k ) ) =
    ( 1 + sum_ k e. NN ( { <. j , y >. | ( j e. NN /\ y = ( ( A ^ j ) / ( !
    ` j ) ) ) } ` k ) ) $=
      ( vx cn0 cv wcel cexp co cfa cfv cdiv wceq wa copab csu cc0 cn caddc c1
      cc wral cseq1 cli wbr wex opreq2 fveq2 opreq12d eqid oprex fvopab4
      eftclt mpan eqeltrd rgen efseq1ex ax-mp cres cdm dmopab2 reseq2 wfun wss
      wf fopab ffun nnnn0t anim1i ssopab2i funssres mp2an eqtr3 opreq2i addex
      nn0ex opabex2 seq1res breq1i exbii mpbi isumnn0nn sumeq2i 0nn0 exp0t
      syl6eq fac0 ax1cn div1 elisseti syl eqtr4d opreq12i 3eqtr3 ) GDHZCHZGIZAH
      BWRJKZWRLMZNKZOZPZCAQZMZDRZSXEMZTXFDRZUAKZGBWQJKZWQLMZNKZDRUBTWQWRTIZXCPZ
      CAQZMZDRZUAKXFUCIZDGUDUAXEUEKZFHZUFUGZFUHZXGXJOXSDGWQGIZXFXMUCCAWQXBXMGXE
      WRWQOWTXKXAXLNWRWQBJUIWRWQLUJUKZXEULZXKXLNUMZUNZBUCIZYDXMUCIEBWQUOUPUQURU
      AXPUEKZYAUFUGZFUHZYCYIYLEFCABXPXPULZUSUTYKYBFYJXTYAUFUAXETVAZUEKYJXTYNXPU
      AUEXEXPVBZVAZYNXPYOTOYPYNOCATXBXPWTXANUMYMVCYOTXEVDUTXEVEZXPXEVFYPXPOGUCX
      EVGYQCAGUCXBXEYFYIWSXBUCIEBWRUOUPVHGUCXEVIUTXOXDCAXNWSXCWRVJVKVLXEXPVMVNV
      OVPUAXEVQCAGXBVRVSZVTVOWAWBWCFDXEYRWDVNGXFXMDYHWEXHUBXIXRUASGIXHUBOWFCASX
      BUBGXEWRSOZXBUBUBNKUBYSWTUBXAUBNYSWTBSJKZUBWRSBJUIYIYTUBOEBWGUTWHYSXASLMU
      BWRSLUJWIWHUKUBWJWKWHYFUBUCWJWLUNUTTXFXQDWQTIZXFXMXQUUAYDXFXMOWQVJYHWMCAW
      QXBXMTXPYEYMYGUNWNWEWOWP $.
      $( [1-Jul-2006] $) $( [30-Jun-2006] $)
  $}

  ${
    $d x y k A $.
    $( Value of the exponential function. $)
    efvalt $p |- ( A e. CC ->
                 ( exp ` A ) = sum_ k e. NN0 ( ( A ^ k ) / ( ! ` k ) ) ) $=
      ( vx vy cn0 cv cexp co cfa cfv cdiv csu cc ce wceq opreq1 opreq1d
      sumeq2sdv df-ef sumex fvopab4 ) CDAECFZBFZGHZUCIJZKHZBLEAUCGHZUEKHZBLMNUB
      AOZEUFUHBUIUDUGUEKUBAUCGPQRCDBSEUHBTUA $.
      $( [12-Jan-2006] $) $( [8-Jan-2006] $)
  $}

  $( Value of Euler's constant ` e ` = 2.71828...  (Contributed by Steve
     Rodriguez, 5-Mar-2006.) $)
  eval $p |- e = sum_ k e. NN0 ( 1 / ( ! ` k ) ) $=
    ( ceu c1 ce cfv cn0 cv cexp co cfa cdiv csu df-e cc wcel wceq ax1cn efvalt
    ax-mp 1expt opreq1d sumeq2i 3eqtr ) BCDEZFCAGZHIZUEJEZKIZALZFCUGKIZALMCNOUD
    UIPQCARSFUHUJAUEFOUFCUGKUETUAUBUC $.
    $( [29-Jan-2007] $) $( [5-Mar-2006] $)

  ${
    $d j k m w x y A $.  $d k m w x F $.
    ef0lem.1 $e |- F = { <. j , y >. | ( j e. NN0 /\
                    y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    $( The series defining the exponential function converges in the (trivial)
       case of a zero argument. $)
    ef0lem $p |- ( A = 0 -> ( + seq0 F ) ~~> 1 ) $=
      ( vm vk cc0 wceq cv caddc cseq0 co cfv c1 cuz wral cli wbr cn0 wcel wi
      wa cexp cfa cdiv oprex opreq2 fveq2 opreq12d ser0p1 ad2antrr opreq1 cn
      nn0p1nnt 0expt syl sylan9eqr opreq1d cc wne div0t peano2nn0 facclt nncnt
      facne0t sylanc adantr eqtrd opreq2d ax1cn addid1 syl6eq exp31 a2d addex
      nn0ex fopabex2 seq00 a1i 0nn0 fvopab4 0cn exp0t ax-mp fac0 opreq2i div1
      eqtr 3eqtrd eqeq1d imbi2d nn0indALT impcom elnn0uz sylan2br r19.21aiva
      0z climconst mpan ) BHIZFJZKDLMZNZOIZFHPNZQZXCORSZXAXEFXFXAXBTUAZXEXBXFUA
      XIXAXEXAGJZXCNZOIZUBXAHXCNZOIZUBXAXEUBZXAXBOKMZXCNZOIZUBXOGFXBXIXAXEXRXIX
      AXEXRXIXAUCZXEUCXQXDBXPUDMZXPUENZUFMZKMZOXIXQYCIXAXEABCJZUDMZYDUENZUFMZYB
      CDXBEXTYAUFUGYDXPIYEXTYFYAUFYDXPBUDUHYDXPUEUIUJUKULXEXSYCOYBKMZOXDOYBKUMX
      SYHOHKMOXSYBHOKXSYBHYAUFMZHXSXTHYAUFXAXIXTHXPUDMZHBHXPUDUMXIXPUNUAYJHIXBU
      OXPUPUQURUSXIYIHIZXAYAUTUAZYAHVAZYKXIYAVBXIXPTUAZYLXBVCZYNYAUNUAYLXPVDYAV
      EUQUQXIYNYMYOXPVFUQVGVHVIVJOVKVLVMURVIVNVOXAXMHDNZBHUDMZHUENZUFMZOXMYPIXA
      KDVPCATYGDVQEVRVSVTXAHTUAZYPYSIYTXAWAVTCAHYGYSTDYDHIYEYQYFYRUFYDHBUDUHYDH
      UEUIUJEYQYRUFUGWBUQXAYSOYRUFMZOXAYQOYRUFXAYQHHUDMZOBHHUDUMHUTUAUUBOIWCHWD
      WEVMUSUUAOOUFMOYROOUFWFWGOVKWHWIVMWJXJHIZXLXNXAUUCXKXMOXJHXCUIWKWLXJXBIZX
      LXEXAUUDXKXDOXJXBXCUIWKWLZXJXPIZXLXRXAUUFXKXQOXJXPXCUIWKWLUUEWMWNXBWOWPWQ
      OUTUAXGXHVKOFXCHKDLUGWRWSWTUQ $.
      $( [27-Jun-2006] $) $( [7-Jun-2006] $)

    $( The series defining the exponential function converges. $)
    efseq0ex $p |- ( A e. CC -> E. x ( + seq0 F ) ~~> x ) $=
      ( vw vk vm cc wcel caddc cseq1 co cv cli wbr wex cseq0 cn cres cn0 cexp
      cfa cfv cdiv wceq wa copab reseq1 ax-mp wss nnssnn0 resopab2 eqtr
      efseq1ex addex nn0ex fopabex2 seq1res breq1i exbii sylib cc0 c1 cop
      cseqz cz cuz wral oprex visset fvex climaddc2 pm3.27 wf eftclt
      r19.21aiva fopab2 0nn0 ffvelrn mpan2 syl adantr jca cfz serzclt elfznnt
      nnnn0t syl2an sylanc clt serz1p elnnuz elnn0uz 3imtr3 adantl nngt0t
      sylbir elfznn0t syl3anc ax1cn addid2 opeq1i opreq1i fveq1i opreq2i
      syl6eq 1z jctil ex seq1seqz seq0seqz 3imtr4g breq2 cla4ev syl6 19.23adv
      mpd ) CJKZLEMNZGOZPQZGRZLESNZAOZPQZARZXTLETUAZMNZYBPQZGRYDGDBCYIYIDOZUBKB
      OCYLUCNYLUDUEUFNZUGZUHDBUIZTUAZYLTKYNUHDBUIZEYOUGYIYPUGFEYOTUJUKTUBULYPYQ
      UGUMYNDBTUBUNUKUOUPYKYCGYJYAYBPLEUQDBUBYMEURFUSZUTVAVBVCXTYCYHGXTYCYEVDEU
      EZYBLNZPQZYHXTVELVFZEVGNZYBPQZVDLVFZEVGNZYTPQZYCUUAXTUUDUUGUUDYSJKZUHVEVH
      KZHOZUUCUEZJKZUUJUUFUEZYSUUKLNZUGZUHZHVEVIUEZVJZUHUUGXTUUDUHZYBYSHUUCUUFV
      EUUBEVGVKUUEEVGVKGVLVDEVMVNUUSUUDUUHXTUUDVOXTUUHUUDXTUBJEVPZUUHXTYMJKZDUB
      VJUUTXTUVADUBCYLVQVRDBUBJYMEFVSVCZUUTVDUBKUUHVTUBJVDEWAWBWCWDWEUUSUURUUIX
      TUURUUDXTUUPHUUQXTUUJUUQKZUHZUULUUOUVCIOZEUEJKZIVEUUJWFNZVJZUULUVDIEVEUUJ
      YRWGXTUVCVOXTUVHUVCXTUVFIUVGUUTUVEUBKZUVFXTUVEUVGKZUBJUVEEWAZUVBUVJUVETKU
      VIUVEUUJWHUVEWIWCWJVRWDWKUVDUUMYSUUJVDVELNZLVFZEVGNZUEZLNZUUNUUJVDVIUEKZV
      DUUJWLQZUVFIVDUUJWFNZVJZUUMUVPUGUVDIEVDUUJYRWMUVCUVQXTUUJTKZUUJUBKUVCUVQU
      UJWIUUJWNZUUJWOWPWQUVCUVRXTUVCUWAUVRUWBUUJWRWSWQXTUVTUVCXTUVFIUVSUUTUVIUV
      FXTUVEUVSKUVKUVBUVEUUJWTWJVRWDXAUVOUUKYSLUUJUVNUUCUVMUUBEVGUVLVELVEXBXCXD
      XEXFXGXHWEVRWDXIXJWKXKYAUUCYBPLEUQYRXLVAYEUUFYTPLEUQYRXMVAXNYGUUAAYTYSYBL
      VKYFYTYEPXOXPXQXRXS $.
      $( [26-Jun-2006] $) $( [9-Jan-2006] $)
  $}

  ${
    $d j k x y A $.
    $( Closure law for the exponential function. $)
    efclt $p |- ( A e. CC -> ( exp ` A ) e. CC ) $=
      ( vk vj vy vx cc wcel ce cfv cn0 cv cexp co cfa cdiv csu efvalt cc0 cuz
      wceq wa copab caddc cop cseqz cli wbr wex cseq0 nn0uz eqcomi eleq2i
      anbi1i opabbii efseq0ex addex fvex opabex2 seq0seqz breq1i exbii sylib
      cz 0z isumclt mpan syl sumeq1i opreq2 fveq2 opreq12d eqid oprex fvopab4
      sumeq2i eqtr4 syl5eqel eqeltrd ) AFGZAHIJABKZLMZVTNIZOMZBPZFABQVSRSIZVTCK
      ZWEGZDKAWFLMZWFNIZOMZTZUAZCDUBZIZBPZFWDVSRUCUDWMUEMZEKZUFUGZEUHZWOFGZVSUC
      WMUIMZWQUFUGZEUHWSEDACWMWLWFJGZWKUACDWGXCWKWEJWFJWEUJUKULUMUNUOXBWREXAWPW
      QUFUCWMUPCDWEWJRSUQURZUSUTVAVBRVCGWSWTVDEBWMRXDVEVFVGWDWEWCBPWOJWEWCBUJVH
      WEWNWCBCDVTWJWCWEWMWFVTTWHWAWIWBOWFVTALVIWFVTNVJVKWMVLWAWBOVMVNVOVPVQVR
      $.
      $( [23-Feb-2006] $) $( [8-Jan-2006] $)

    $( Domain and codomain of the exponential function. (Contributed by Paul
       Chapman, 22-Oct-2007.) $)
    eff $p |- exp : CC --> CC $=
      ( vx vy vk cc ce wf wfn cv cfv wcel wral ffnfv cn0 cexp co cfa cdiv csu
      sumex df-ef fnopab2 efclt rgen mpbir2an ) DDEFEDGAHZEIDJZADKADDELABDMUECH
      ZNOUGPIQOZCREMUHCSABCTUAUFADUEUBUCUD $.
      $( [22-Oct-2007] $) $( [22-Oct-2007] $)
  $}

  ${
    $d A j k x y $.  $d F k x $.
    efcvg.1 $e |- F =
       { <. j , y >. | ( j e. NN0 /\ y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    $( The series that defines the exponential function converges to it. $)
    efcvg $p |- ( A e. CC -> ( + seq0 F ) ~~> ( exp ` A ) ) $=
      ( vk vx cc wcel caddc cseq0 co cn0 cv cexp cfa cfv cdiv csu ce cli cc0
      cop cseqz cuz wbr wex efseq0ex addex nn0ex fopabex2 seq0seqz breq1i
      exbii sylib cz 0z isumclim2t mpan syl nn0uz sumeq1i wceq opreq2 fveq2
      opreq12d oprex fvopab4 sumeq2i eqtr3 syl6breq syl5eqbr efvalt breqtrrd )
      BHIZJDKLZMBFNZOLZVQPQZRLZFSZBTQUAVOUBJUCDUDLZWAVPUAVOWBUBUEQZVQDQZFSZWAUA
      VOWBGNZUAUFZGUGZWBWEUAUFZVOVPWFUAUFZGUGWHGABCDEUHWJWGGVPWBWFUAJDUICAMBCNZ
      OLZWKPQZRLZDUJEUKZULZUMUNUOUBUPIWHWIUQGFDUBWOURUSUTMWDFSWEWAMWCWDFVAVBMWD
      VTFCAVQWNVTMDWKVQVCWLVRWMVSRWKVQBOVDWKVQPVEVFEVRVSRVGVHVIVJVKWPVLBFVMVN
      $.
      $( [27-Jun-2006] $) $( [9-Jan-2006] $)
  $}

  ${
    $d k n x y z A $.
    efcvgfsum.1 $e |- F = { <. n , y >. | ( n e. NN0 /\
                     y = sum_ k e. ( 0 ... n ) ( ( A ^ k ) / ( ! ` k ) ) ) } $.
    $( Exponential function convergence in terms of a sequence of partial
       finite sums. $)
    efcvgfsum $p |- ( A e. CC -> F ~~> ( exp ` A ) ) $=
      ( vx vz cc wcel cc0 cuz cfv cv cexp co cfa cdiv csu ce cli wbr wex caddc
      cn0 wceq wa copab cseq0 eqid efseq0ex cop cseqz addex nn0ex opabex2
      seq0seqz cz 0z oprex elnn0uz anbi1i opabbii cfz eqtr serzfsum ax-mp
      breq1i exbii sylib isumclim5t mpan syl efvalt nn0uz sumeq1i syl6req
      breqtrd ) BIJZEKLMZBCNZOPZWAQMZRPZCSZBTMZUAVSEGNZUAUBZGUCZEWEUAUBZVSUDWAU
      EJZHNWDUFZUGZCHUHZUIPZWGUAUBZGUCWIGHBCWNWNUJUKWPWHGWOEWGUAWOKUDULWNUMPZEU
      DWNUNCHUEWDUOUPUQKURJZWQEUFUSHAWDCDWNEKWBWCRUTZWMWAVTJZWLUGCHWKWTWLWAVAVB
      VCEDNZUEJZANKXAVDPWDCSUFZUGZDAUHXAVTJZXCUGZDAUHFXDXFDAXBXEXCXAVAVBVCVEZVF
      VGVEVHVIVJWRWIWJUSGAWDDCEKWSXGVKVLVMVSWFUEWDCSWEBCVNUEVTWDCVOVPVQVR $.
      $( [17-Feb-2006] $) $( [10-Jan-2006] $)
  $}

  ${
    $d A j y $.  $d N j y $.
    eftval.1 $e |- F = { <. j , y >. | ( j e. NN0 /\
                               y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    $( The value of a term in the series expansion of the exponential function.
       (Contributed by Paul Chapman, 21-Aug-2007.) $)
    eftval $p |- ( N e. NN0 ->
                         ( F ` N ) = ( ( A ^ N ) / ( ! ` N ) ) ) $=
      ( cv cexp co cfa cfv cdiv cn0 wceq opreq2 fveq2 opreq12d oprex fvopab4 )
      CAEBCGZHIZTJKZLIBEHIZEJKZLIMDTENUAUCUBUDLTEBHOTEJPQFUCUDLRS $.
      $( [29-Dec-2007] $) $( [21-Aug-2007] $)
  $}

  ${
    $d j k x y A $.
    reefcl.1 $e |- A e. RR $.
    $( Closure law for the exponential function with a real argument. $)
    reefcl $p |- ( exp ` A ) e. RR $=
      ( vk vj vy vx ce cfv cc0 cuz cv cn0 wcel cexp co cfa cdiv wceq wa copab
      csu cr cc recn efvalt ax-mp eqid eftval sumeq2i nn0uz sumeq1i 3eqtr2 cz
      wral caddc cop cseqz cli wbr wex 0z elnn0uz wne redivclt reexpclt mpan
      cn facclt nnret syl facne0t syl3anc eqeltrd sylbir rgen cseq0 efseq0ex
      addex nn0ex opabex2 seq0seqz breq1i exbii mpbi isumreclt mp3an eqeltr )
      AGHZIJHZCKZDKZLMEKAWKNOWKPHQOZRSDETZHZCUAZUBWHLAWJNOZWJPHZQOZCUAZLWNCUAWO
      AUCMZWHWSRABUDZACUEUFLWNWRCEADWMWJWMUGZUHZUILWIWNCUJUKULIUMMWNUBMZCWIUNIU
      OUPWMUQOZFKZURUSZFUTZWOUBMVAXDCWIWJWIMWJLMZXDWJVBXIWNWRUBXCWPUBMZWQUBMZWQ
      IVCWRUBMXIWPWQVDAUBMXIXJBAWJVEVFXIWQVGMXKWJVHWQVIVJWJVKVLVMVNVOUOWMVPOZXF
      URUSZFUTZXHWTXNXAFEADWMXBVQUFXMXGFXLXEXFURUOWMVRDELWLVSVTZWAWBWCWDFCWMIXO
      WEWFWG $.
      $( [29-Jun-2006] $) $( [6-Jun-2006] $)
  $}

  $( The exponential function is real if its argument is real. $)
  reefclt $p |- ( A e. RR -> ( exp ` A ) e. RR ) $=
    ( cr wcel ce cfv cc0 cif wceq fveq2 eleq1d 0re elimel reefcl dedth ) ABCZAD
    EZBCOAFGZDEZBCAFAQHPRBAQDIJQAFBKLMN $.
    $( [25-Aug-2007] $) $( [27-Apr-2005] $)

  ${
    $d x y z $.  $d F z $.  $d G z $.
    erelem1.1 $e |- F = { <. x , y >. | ( x e. NN /\
                     y = ( 2 x. ( ( 1 / 2 ) ^ x ) ) ) } $.
    erelem1.2 $e |- G =
              { <. x , y >. | ( x e. NN /\ y = ( 1 / ( ! ` x ) ) ) } $.
    $( Lemma for ~ ereALT . $)
    erelem1 $p |- ( F : NN --> RR /\ G : NN --> RR ) $=
      ( cn cr wf c2 c1 cdiv co cv cexp cmul wcel 2re 2ne0 rereccl cn0 reexpclt
      nnnn0t sylan2 mpan axmulrcl syl fopab cfa cfv cc0 wne rerecclt facclt
      nnret nnne0t sylanc pm3.2i ) GHCIGHDIABGHJKJLMZANZOMZPMZCEUTGQZVAHQZVBHQZ
      USHQZVCVDJRSTVFUTUAQZVDVCUSUTUBUTUCZUDUEJHQVDVERJVAUFUEUGUHABGHKUTUIUJZLM
      ZDFVIHQZVIUKULZVJHQVCVIUMVCVIGQZVKVCVGVMVHUTUNUGZVIUOUGVCVMVLVNVIUPUGUQUH
      UR $.
      $( [30-Jun-2006] $) $( [19-Mar-2005] $)

    $( Lemma for ~ ereALT . $)
    erelem2 $p |- ( + seq1 F ) ~~> 2 $=
      ( vz caddc cseq1 co c2 c1 cmul cli cv cn wcel cdiv cexp wceq wa copab
      2cn cc ax1cn elisseti cmin eqid 2re 2ne0 rereccl recn cabs cfv clt cc0
      cle wbr 0re halfgt0 ltlei absid ax-mp halflt1 eqbrtr geolim1i 2halvest
      subaddri opreq2i ax1ne0 divne0 divid eqtr breqtr addex nnex fopabex2
      seq1fn cn0 nnnn0t expclt mpan syl rgen ser1cl2 fopab opreq2 opreq2d
      oprex fvopab4 eqtr4d ser1mulc jca climmulc mulid1 ) HCIJZKLMJKNKLGHAOZPQZ
      BOLKRJZWQSJZTUAABUBZIJZWPUCLUDUEUFXBWSLWSUGJZRJZLNBWSAXAXAUHZWSKUIUJUKZUL
      ZWSUMUNZWSLUOUPWSUQURXHWSTUPWSUSXFUTVAWSXFVBVCVDVEVFXDWSWSRJLXCWSWSRLWSWS
      UEXGXGLUDQWSWSHJLTUELVGVCVHVIWSXGLKUEUCVJUJVKVLVMVNHCVOABPKWTMJZCVPEVQZVR
      GOZPQZXKXBUNZUDQXKWPUNKXMMJTABWTXKXAXEWTUDQZAPWRWQVSQZXNWQVTWSUDQXOXNXGWS
      WQWAWBWCZWDWEKGXACXKUCABPUDWTXAXEXPWFXJXLXKCUNKWSXKSJZMJZKXKXAUNZMJABXKXI
      XRPCWQXKTWTXQKMWQXKWSSWGZWHEKXQMWIWJXLXSXQKMABXKWTXQPXAXTXEWSXKSWIWJWHWKW
      LWMWNKUCWOVN $.
      $( [30-Jun-2006] $) $( [19-Mar-2005] $)

    $( Lemma for ~ ereALT . $)
    erelem3 $p |- ( z e. NN ->
                   ( 0 <_ ( G ` z ) /\ ( G ` z ) <_ ( F ` z ) ) ) $=
      ( cv cn wcel cc0 cfv cle wbr c1 cfa cdiv co cr clt wi 0re ltlet mpan wne
      rerecclt cn0 nnnn0t facclt syl nnret nnne0t sylanc recgt0t nngt0t sylc
      wceq fveq2 opreq2d oprex fvopab4 breqtrrd c2 cexp cmul faclbnd2 wb
      lerect 2re reexpclt sylan2 rehalfclt wa 2pos pm3.2i divgt0t mpan2
      expgt0t syl3an2 mp3an13 syl2anc mpbid cc 2cn divrect mp3an1 recnd
      gt0ne0t 2ne0 recdivt recexpt 3eqtr4d breqtrd opreq2 3brtr4d jca ) CHZIJZK
      WQELZMNWSWQDLZMNWRKOWQPLZQRZWSMXBSJZKXBTNZKXBMNZWRKSJXCXDXEUAUBKXBUCUDXAS
      JZXAKUEZXCWRXAUFWRXAIJZXFWRWQUGJZXHWQUHZWQUIUJZXAUKUJZWRXHXGXKXAULUJUMXFK
      XATNZXDWRXAUNXLWRXHXMXKXAUOUJZUMUPABWQOAHZPLZQRXBIEXOWQUQZXPXAOQXOWQPURUS
      GOXAQUTVAZVBWRXBVCOVCQRZWQVDRZVERZWSWTMWRXBOVCWQVDRZVCQRZQRZYAMWRYCXAMNZX
      BYDMNZWRXIYEXJWQVFUJYCSJZKYCTNZXFXMYEYFVGWRYCXAVHWRYBSJZYGVCSJZWRYIVIYJXI
      YIWRVCWQVJXJVKUDZYBVLUJYIKYBTNZYHWRYIYLVMYJKVCTNZVMYHYJYMVIVNVOYBVCVPVQYK
      YJWRYMYLVIVNYJXIYMYLWRVCWQVRXJVSVTZUMXLXNWAWBWRVCYBQRZVCOYBQRZVERZYDYAYBW
      CJZYBKUEZYOYQUQZWRVCWCJZYRYSYTWDVCYBWEWFWRYBYKWGZYIYLYSWRYBWHYKYNUMZUMYRY
      SYDYOUQZWRYRYSVMUUAVCKUEZVMUUDUUAUUEWDWIVOYBVCWJVQUUBUUCUMWRXTYPVCVEUUAWR
      UUEXTYPUQZWDWIUUAXIUUEUUFWRVCWQWKXJVSVTUSWLWMXRABWQVCXSXOVDRZVERYAIDXQUUG
      XTVCVEXOWQXSVDWNUSFVCXTVEUTVAWOWP $.
      $( [28-Jul-2006] $) $( [19-Mar-2005] $)

    $( Lemma for ~ ereALT . $)
    erelem4 $p |- ( + seq1 G ) ~~> sup ( ran ( + seq1 G ) , RR , < ) $=
      ( vz c2 cr 2re elisseti cn wf erelem1 pm3.26i pm3.27i erelem3 erelem2
      cvgcmp ) GHCDHIJKLICMZLIDMZABCDEFNZOTUAUBPABGCDEFQABCDEFRS $.
      $( [30-Jun-2006] $) $( [19-Mar-2005] $)

    $( Lemma for ~ ereALT . $)
    erelem5 $p |- sup ( ran ( + seq1 G ) , RR , < ) e. RR $=
      ( caddc cseq1 co crn cr clt csup ltso supex cn wf erelem1 pm3.27i
      ser1ref erelem4 climfnrcl ) GDHIZJZKLMUCKUDLNODPKCQPKDQABCDEFRSTABCDEFUAU
      B $.
      $( [30-Jun-2006] $) $( [19-Mar-2005] $)

    $( Lemma for ~ ereALT . $)
    erelem6 $p |- e = ( 1 + sup ( ran ( + seq1 G ) , RR , < ) ) $=
      ( vz ceu cn0 c1 cv cfa cfv cdiv co csu cuz caddc cseq1 crn cr clt csup
      eval cexp cn wcel wceq wa copab ax1cn dfef2 1expt opreq1d sumeq2i nnuz
      opreq2 fveq2 opreq12d eqid oprex fvopab4 nnnn0t syl eqtrd sumeq12i
      opreq2i 3eqtr3 cz cop cseqz cli wbr 1z addex nnex fopabex2 seq1seqz
      erelem4 eqbrtrr elnnuz anbi1i opabbii eqtr ltso supex isumclim4t mp2an
      3eqtr ) HIJAKZLMZNOZAPZJJQMZWLAPZROZJRDSOZTZUAUBUCZROAUDIJWJUEOZWKNOZAPJU
      FWJGKZUFUGBKZJXBUEOZXBLMZNOZUHUIGBUJZMZAPZROWMWPBJGAUKULIXAWLAWJIUGZWTJWK
      NWJUMUNZUOXIWOJRUFWNXHWLAUPWJUFUGZXHXAWLGBWJXFXAUFXGXBWJUHXDWTXEWKNXBWJJU
      EUQXBWJLURUSXGUTWTWKNVAVBXLXJXAWLUHWJVCXKVDVEVFVGVHWOWSJRJVIUGJRVJDVKOZWS
      VLVMWOWSUHVNWQXMWSVLRDVOABUFWLDVPFVQVRABCDEFVSVTBWLWSADJJWKNVADXLXCWLUHZU
      IZABUJWJWNUGZXNUIZABUJFXOXQABXLXPXNWJWAWBWCWDUAWRUBWEWFWGWHVGWI $.
      $( [29-Jan-2007] $) $( [20-Mar-2005] $)

    $( Lemma for ~ ereALT . $)
    erelem7 $p |- e e. RR $=
      ( ceu c1 caddc cseq1 co crn cr clt csup erelem6 1re erelem5 readdcl
      eqeltr ) GHIDJKLMNOZIKMABCDEFPHUAQABCDEFRST $.
      $( [2-Jul-2006] $) $( [19-Mar-2005] $)

    $( Lemma for ~ ele3 . $)
    ele3lem $p |- e <_ 3 $=
      ( vz c1 caddc cseq1 co crn cr clt csup c2 ceu c3 cle wbr 2re elisseti cn
      wf erelem1 pm3.26i pm3.27i erelem3 erelem2 ltso supex erelem4 cvgcmpub
      erelem5 1re leadd2 mpbi erelem6 df-3 2cn ax1cn addcom eqtr 3brtr4 ) HIDJK
      LZMNOZIKZHPIKZQRSVFPSTVGVHSTGPVFCDPMUAUBUCMCUDZUCMDUDZABCDEFUEZUFVIVJVKUG
      ABGCDEFUHABCDEFUIMVENUJUKABCDEFULUMVFPHABCDEFUNUAUOUPUQABCDEFURRPHIKVHUSP
      HUTVAVBVCVD $.
      $( [3-Jul-2006] $) $( [19-Mar-2005] $)

    $( Lemma for ~ ege2le3 . $)
    ege2le3lem1 $p |- ( ( + seq1 G ) ` 1 ) <_
                     sup ( ran ( + seq1 G ) , RR , < ) $=
      ( vz caddc cseq1 co crn cr clt csup c1 ltso supex cn wf erelem1 pm3.27i
      ser1ref cv wcel cc0 cfv cle wbr erelem3 pm3.26d ser1mono erelem4 1nn
      climubi ) HDIJZKZLMNGUOOLUPMPQDRLCSRLDSABCDEFTUAZUBGGUCZDUQURRUDUEURDUFZU
      GUHUSURCUFUGUHABGCDEFUIUJUKABCDEFULUMUN $.
      $( [4-Jul-2006] $) $( [20-Mar-2005] $)

    $( Lemma for ~ ege2 . $)
    ege2lem2 $p |- 2 <_ e $=
      ( c1 caddc co cseq1 crn cr clt csup c2 ceu cle wbr cfv addex cn cv cfa
      cdiv nnex fopabex2 seq11 wcel wceq 1nn fveq2 opreq2d oprex fvopab4 ax-mp
      fac1 opreq2i ax1cn div1 3eqtr eqtr2 ege2le3lem1 eqbrtr 1re erelem5
      leadd2 mpbi df-2 erelem6 3brtr4 ) GGHIZGHDJIZKLMNZHIZOPQGVMQRVKVNQRGGVLSZ
      VMQVOGDSZGHDTABUAGAUBZUCSZUDIZDUEFUFUGVPGGUCSZUDIZGGUDIGGUAUHVPWAUIUJABGV
      SWAUADVQGUIVRVTGUDVQGUCUKULFGVTUDUMUNUOVTGGUDUPUQGURUSUTVAABCDEFVBVCGVMGV
      DABCDEFVEVDVFVGVHABCDEFVIVJ $.
      $( [4-Jul-2006] $) $( [20-Mar-2005] $)

    $( Lemma for ~ ege2le3 . $)
    ege2le3lem2 $p |- ( 2 <_ e /\ e <_ 3 ) $=
      ( vz c2 ceu cle wbr c3 c1 caddc co cseq1 crn cr clt csup cfv addex cn cv
      cfa cdiv nnex fopabex2 seq11 wcel wceq 1nn fveq2 opreq2d oprex fvopab4
      ax-mp fac1 opreq2i ax1cn div1 3eqtr eqtr2 ege2le3lem1 eqbrtr 1re erelem5
      leadd2 mpbi df-2 erelem6 3brtr4 2re elisseti wf erelem1 pm3.26i pm3.27i
      erelem3 erelem2 ltso supex erelem4 cvgcmpub df-3 2cn addcom eqtr pm3.2i
      ) HIJKILJKMMNOZMNDPOZQZRSTZNOZHIJMWMJKWJWNJKMMWKUAZWMJWOMDUAZMNDUBABUCMAU
      DZUEUAZUFOZDUGFUHUIWPMMUEUAZUFOZMMUFOMMUCUJWPXAUKULABMWSXAUCDWQMUKWRWTMUF
      WQMUEUMUNFMWTUFUOUPUQWTMMUFURUSMUTVAVBVCABCDEFVDVEMWMMVFABCDEFVGZVFVHVIVJ
      ABCDEFVKZVLWNMHNOZILJWMHJKWNXDJKGHWMCDHRVMVNUCRCVOZUCRDVOZABCDEFVPZVQXEXF
      XGVRABGCDEFVSABCDEFVTRWLSWAWBABCDEFWCWDWMHMXBVMVFVHVIXCLHMNOXDWEHMWFUTWGW
      HVLWI $.
      $( [4-Jul-2006] $) $( [20-Mar-2005] $)
  $}

  ${
    $d x y $.
    $( Euler's constant ` e ` = 2.71828... is a real number.  (Proof revised
       by Steve Rodriguez, 6-Mar-2006.) $)
    ere $p |- e e. RR $=
      ( ceu c1 ce cfv cr df-e 1re reefcl eqeltr ) ABCDEFBGHI $.
      $( [8-Mar-2006] $) $( [19-Mar-2005] $)

    $( Euler's constant ` e ` = 2.71828... is a real number. $)
    ereALT $p |- e e. RR $=
      ( vx vy cv cn wcel c2 c1 cdiv co cexp cmul wceq wa copab cfa cfv eqid
      erelem7 ) ABACZDEZBCZFGFHISJIKILMABNZTUAGSOPHILMABNZUBQUCQR $.
      $( [4-Jul-2006] $) $( [19-Mar-2005] $)

    $( Euler's constant ` e ` = 2.71828... has a lower bound of 2. $)
    ege2 $p |- 2 <_ e $=
      ( vx vy cv cn wcel c2 c1 cdiv co cexp cmul wceq wa copab cfa cfv eqid
      ege2lem2 ) ABACZDEZBCZFGFHISJIKILMABNZTUAGSOPHILMABNZUBQUCQR $.
      $( [5-Jul-2006] $) $( [20-Mar-2005] $)

    $( Euler's constant ` e ` = 2.71828... has an upper bound of 3. $)
    ele3 $p |- e <_ 3 $=
      ( vx vy cv cn wcel c2 c1 cdiv co cexp cmul wceq wa copab cfa cfv eqid
      ele3lem ) ABACZDEZBCZFGFHISJIKILMABNZTUAGSOPHILMABNZUBQUCQR $.
      $( [4-Jul-2006] $) $( [19-Mar-2005] $)

    $( Euler's constant ` e ` = 2.71828... is bounded by 2 and 3. $)
    ege2le3 $p |- ( 2 <_ e /\ e <_ 3 ) $=
      ( vx vy cv cn wcel c2 c1 cdiv co cexp cmul wceq wa copab cfa cfv eqid
      ege2le3lem2 ) ABACZDEZBCZFGFHISJIKILMABNZTUAGSOPHILMABNZUBQUCQR $.
      $( [5-Jul-2006] $) $( [20-Mar-2005] $)
  $}

  ${
    $d j y $.
    $( Value of the exponential function at 0.  Equation 2 of [Gleason]
       p. 308.  (Contributed by Steve Rodriguez, 27-Jun-2006.) $)
    ef0 $p |- ( exp ` 0 ) = 1 $=
      ( vj vy cc0 ce cfv c1 caddc cv cn0 wcel cexp co cfa cdiv wceq wa copab
      cseq0 fvex cc ax1cn elisseti cli wbr 0cn eqid efcvg ax-mp ef0lem pm3.2i
      climunii ) CDEZFGAHZIJBHCUMKLUMMENLOPABQZRLZCDSFTUAUBUOULUCUDZUOFUCUDZCTJ
      UPUEBCAUNUNUFZUGUHCCOUQCUFBCAUNURUIUHUJUK $.
      $( [28-Jun-2006] $) $( [27-Jun-2006] $)
  $}

$(
      ( vk vy cc0 ce cfv cn0 cv cexp co cfa cdiv csu cuz c1 cc wcel wceq 0cn
      efvalt ax-mp nn0uz sumeq1i cz caddc cop wa copab cseqz cli wbr 0z cseq0
      addex nn0ex opabex2 seq0seqz eqid ef0lem eqbrtrr oprex elnn0uz
    anbi1i opabbii ax1cn elisseti isumclim4t mp2an 3eqtr ) CDEZFCAGZHIZVJJEZKIZ
      ALZCMEZVMALZNCOPVIVNQRCASTFVOVMAUAUBCUCPCUDUEVJFPZBGVMQZUFZABUGZUHIZNUIUJ
      VPNQUKUDVTULIZWANUIUDVTUMABFVMUNUOUPCCQWBNUIUJCUQBCAVTVTUQURTUSBVMNAVTCVK
      VLKUTVSVJVOPZVRUFABVQWCVRVJVAVBVCNOVDVEVFVGVH $.
$)

  ${
    $d j k m y A $.
    efcj.1 $e |- A e. CC $.
    $( Exponential function of a complex conjugate.  Equation 3 of [Gleason]
       p. 308. $)
    efcj $p |- ( exp ` ( * ` A ) ) = ( * ` ( exp ` A ) ) $=
      ( vk vy vj vm ccj cfv ce cn0 cv cexp co cfa cdiv csu cc0 cuz cc wcel
      wceq cjcl efvalt ax-mp nn0uz sumeq1i cz caddc cop wa copab cseqz cli wbr
      0z cseq0 addex nn0ex opabex2 seq0seqz fvex oprex eqid efcvg elnn0uz
      eftclt mpan fopab ser0cl1 eftval eqeltrd wne cjdivt expclt cn cr facclt
      nnret syl recnd facne0t syl3anc cjexpt cjret opreq12d eqtr2d fveq2d
      3eqtr4d jca ser0cj sylbir climcj eqbrtrr anbi1i opabbii isumclim4t mp2an
      3eqtr ) AGHZIHZJWSCKZLMZXANHZOMZCPZQRHZXDCPZAIHZGHZWSSTWTXEUAABUBWSCUCUDJ
      XFXDCUEUFQUGTQUHUIXAJTZDKZXDUAZUJZCDUKZULMZXIUMUNXGXIUAUOUHXNUPMZXOXIUMUH
      XNUQCDJXDURUSZUTXHEUHXJXKAXALMXCOMZUAUJCDUKZUPMZXPQAIVAUHXNUPVBUOASTZXTXH
      UMUNBDACXSXSVCZVDUDEKZXFTYCJTZYCXTHZSTZYCXPHYEGHUAZUJYCVEYDYFYGXSYCCDJSXR
      XSYBYAXJXRSTBAXAVFVGVHVIFXSXNYCCDJXRURUSXQFKZJTZYHXSHZSTYHXNHZYJGHZUAYIYJ
      AYHLMZYHNHZOMZSDACXSYHYBVJZYAYIYOSTBAYHVFVGVKYIWSYHLMZYNOMZYOGHZYKYLYIYSY
      MGHZYNGHZOMZYRYMSTZYNSTYNQVLYSUUBUAYIYMYNVMYAYIUUCBAYHVNVGYIYNYIYNVOTYNVP
      TZYHVQYNVRVSZVTYHWAWBYIYTYQUUAYNOYAYIYTYQUABAYHWCVGYIUUDUUAYNUAUUEYNWDVSW
      EWFDWSCXNYHXNVCVJYIYJYOGYPWGWHWIWJWIWKWLWMDXDXICXNQXBXCOVBXMXAXFTZXLUJCDX
      JUUFXLXAVEWNWOXHGVAWPWQWR $.
      $( [10-Nov-2007] $) $( [7-Jun-2006] $)
  $}

  $( Exponential function of a complex conjugate.  Equation 3 of [Gleason]
     p. 308. $)
  efcjt $p |- ( A e. CC -> ( exp ` ( * ` A ) ) = ( * ` ( exp ` A ) ) ) $=
    ( cc wcel ccj cfv ce wceq cc0 cif fveq2 fveq2d eqeq12d 0cn elimel efcj
    dedth ) ABCZADEZFEZAFEZDEZGQAHIZDEZFEZUBFEZDEZGAHAUBGZSUDUAUFUGRUCFAUBDJKUG
    TUEDAUBFJKLUBAHBMNOP $.
    $( [23-Feb-2006] $) $( [29-Apr-2005] $)

  ${
    efaddlem1.1 $e |- N e. NN $.
    $( Lemma for ~ efadd (exponential function addition law).  Technical result
       for later use.  _Note:  if you want to see these lemmas in the Statement
       List summary, change the first word "Lemma" to "- Lemma" and re-run
       the "write th" command_. $)
    efaddlem1 $p |- ( j e. ( 1 ... N ) ->
                      N e. ( ZZ> ` ( ( N - j ) + 1 ) ) ) $=
      ( cv c1 cfz co wcel cmin caddc cuz cfv cle wbr elfzle1 cr wb cz elfzelz
      zret syl 1re nnre lesub2t mp3an13 mpbid resubclt mpan leaddsubt mp3an23
      mpbird cn nnzt ax-mp zsubclt peano2zd eluzt mpan2 ) ADZEBFGHZBBUSIGZEJGZK
      LHZVBBMNZUTVDVABEIGMNZUTEUSMNZVEUSEBOUTUSPHZVFVEQZUTUSRHZVGUSEBSZUSTUAZEP
      HZVGBPHZVHUBBCUCZEUSBUDUEUAUFUTVAPHZVDVEQZUTVGVOVKVMVGVOVNBUSUGUHUAVOVLVM
      VPUBVNVAEBUIUJUAUKUTVBRHZVCVDQZUTVAUTVIVARHZVJBRHZVIVSBULHVTCBUMUNZBUSUOU
      HUAUPVQVTVRWAVBBUQURUAUK $.
      $( [13-Feb-2006] $) $( [8-Jan-2006] $)

    $( Lemma for ~ efadd .  For later use, show that the lower bound of a
       summation index range that we will use is greater than zero. $)
    efaddlem2 $p |- ( ( j e. ( 1 ... N ) /\
                   k e. ( ( ( N - j ) + 1 ) ... N ) ) -> k e. NN ) $=
      ( cv c1 cfz co wcel cmin caddc wa cz cle wbr cn elfzelz adantl cr 1re
      a1i elfzel1 zret syl cn0 fznn0subt mpan nn0p1nnt nnge1t 3syl adantr
      elfzle1 letrd jca elnnz1 sylibr ) AEZFCGHIZBEZCUQJHZFKHZCGHIZLZUSMIZFUSNO
      ZLUSPIVCVDVEVBVDURUSVACQZRVCFVAUSFSIVCTUAVBVASIZURVBVAMIVGUSVACUBVAUCUDRV
      BUSSIZURVBVDVHVFUSUCUDRURFVANOZVBURUTUEIZVAPIVICPIURVJDPUQFCUFUGUTUHVAUIU
      JUKVBVAUSNOURUSVACULRUMUNUSUOUP $.
      $( [13-Feb-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    $d j k N $.
    efaddlem3.1 $e |- N e. NN $.
    efaddlem3.2 $e |- A e. CC $.
    efaddlem3.3 $e |- B e. CC $.
    $( Lemma for ~ efadd .  Closure of the right-hand summation of
       ~ efaddlem6 . $)
    efaddlem3 $p |- sum_ j e. ( 1 ... N ) sum_ k e. (
            ( ( N - j ) + 1 ) ... N ) ( ( ( A ^ j ) x. ( B ^ k ) ) / ( ( ! `
            j ) x. ( ! ` k ) ) ) e. CC $=
      ( c1 cuz cfv wcel cv cmin co caddc cfz cexp cmul cfa cdiv csu cc wral cn
      nnuz eleqtr fsumclt efaddlem1 wa cn0 cc0 wne divclt axmulcl expclt mpan
      syl2an nnmulclt facclt nncnt syl nnne0t syl3anc nnnn0t elfznnt adantr
      efaddlem2 sylanc r19.21aiva rgen mp2an ) EIJKZLECMZNOIPOZEQOZAVNROZBDMZRO
      ZSOZVNTKZVRTKZSOZUAOZDUBZUCLZCIEQOZUDWGWECUBUCLEUEVMFUFUGWFCWGEVOJKLWDUCL
      ZDVPUDWFVNWGLZWDDVOEUHCEFUIWIWHDVPVNUELZVRUELZWHWIVRVPLZUJVNUKLZVRUKLZWHW
      JWKVTUCLZWCUCLZWCULUMZWHWMWNUJZVTWCUNVQUCLZVSUCLZWOWMWNVQVSUOAUCLWMWSGAVN
      UPUQBUCLWNWTHBVRUPUQURWRWCUELZWPWAUELWBUELXAWMWNWAWBUSVNUTVRUTURZWCVAVBWR
      XAWQXBWCVCVBVDVNVEVRVEURWIWJWLVNEVFVGCDEFVHVIVJVIVKWECIEUHVL $.
      $( [13-Feb-2006] $) $( [12-Jan-2006] $)

    $( Lemma for ~ efadd .  Real closure of the absolute value of the
       right-hand summation of ~ efaddlem6 . $)
    efaddlem4 $p |- ( abs ` sum_ j e. ( 1 ... N ) sum_ k e. (
            ( ( N - j ) + 1 ) ... N ) ( ( ( A ^ j ) x. ( B ^ k ) ) / ( ( ! `
            j ) x. ( ! ` k ) ) ) ) e. RR $=
      ( c1 cfz co cv cmin caddc cexp cmul cfa cfv cdiv csu efaddlem3 abscl ) IE
      JKECLZMKINKEJKAUCOKBDLZOKPKUCQRUDQRPKSKDTCTABCDEFGHUAUB $.
      $( [13-Feb-2006] $) $( [8-Jan-2006] $)
  $}

  ${
    $d j k A $.  $d j k B $.  $d j k N $.
    efaddlem5.1 $e |- N e. NN $.
    efaddlem5.2 $e |- A e. CC $.
    efaddlem5.3 $e |- B e. CC $.
    $( Lemma for ~ efadd .  Convert the truncated series for
       ` exp `` ( A + B ) ` to a double summation using the binomial theorem
       ~ binom and rearranging with ~ fsum0diag2 . $)
    efaddlem5 $p |- sum_ j e. ( 0 ... N ) ( ( ( A + B ) ^ j ) / ( ! ` j ) ) =
                 sum_ j e. ( 0 ... N ) sum_ k e. ( 0 ... ( N - j ) )
               ( ( ( A ^ j ) x. ( B ^ k ) ) / ( ( ! ` j ) x. ( ! ` k ) ) ) $=
      ( cc0 cfz co caddc cv cexp cfa cfv cdiv csu cmin csb cmul wcel cn0 wceq
      elfznn0t cbc binom opreq1d cuz cc wne wral fsumdivc elnn0uz biimp cn
      facclt nncnt syl facne0t wa axmulcl cz bcclt elfzelz sylan2 nn0cnt
      fznn0subt expclt mpan adantl sylanc r19.21aiva syl2anc c1 w3a div23t
      adantr 3jca bcval3t divdiv23t nnmulclt nnne0t jca dividt 3eqtrd mulid2t
      ax1cn mp3anl1 divmuldivt 3syl cvv oprex csbopr12g ax-mp csbopr2g csbvarg
      opreq2i eqtr csbfv2g fveq2i opreq12i opreq1i syl5req 3eqtr3d sumeq2dv
      sumeq2i nnnn0 eftclt rgen fsum0diag2 mp3an anim12i syl2an 3eqtr2 ) IEJKZA
      BLKCMZNKZXQOPZQKZCRXPIXQJKZCXQDMZSKZAXQNKZXSQKZTZBYBNKZYBOPZQKZUAKZDRZCRZ
      XPIEXQSKZJKZYEYIUAKZDRZCRZXPYNYDYGUAKXSYHUAKQKZDRZCRXPXTYKCXQXPUBZXQUCUBZ
      XTYKUDXQEUEZUUAXTYAXQYBUFKZAYCNKZYGUAKZUAKZDRZXSQKZYAUUFXSQKZDRZYKUUAXRUU
      GXSQABDXQGHUGUHXQIUIPUBZXSUJUBZXSIUKZUUFUJUBZDYAULUUHUUJUDUUAUUFXSDIXQUMU
      UAUUKXQUNUOUUAXSUPUBUULXQUQXSURUSZXQUTZUUAUUNDYAUUCUJUBZUUEUJUBZUUNUUAYBY
      AUBZVAZUUCUUEVBUUTUUCUCUBZUUQUUAYBVCUBUVAUUSYBXQVDYBIXQVEVFUUCVGUSZUUDUJU
      BZYGUJUBZUURUUTUUDYGVBUUTYCUCUBZUVCUCYBIXQVHZAUJUBZUVEUVCGAYCVIVJUSZUUSUV
      DUUAUUSYBUCUBZUVDYBXQUEZBUJUBZUVIUVDHBYBVIVJZUSVKZVLZVLVMVNUUAYAUUIYJDUUT
      UUIUUCXSQKZUUEUAKZVOYCOPZYHUAKZQKZUUEUAKZYJUUQUURUULVPUUMUUIUVPUDUUTUUCUU
      EXSVQUUTUUQUURUULUVBUVNUUAUULUUSUUOVRZVSUUAUUMUUSUUPVRZVLUUTUVOUVSUUEUAUU
      TUVOXSUVRQKZXSQKZXSXSQKZUVRQKZUVSUUTUUCUWCXSQYBXQVTUHUULUVRUJUBZUULVPUVRI
      UKZUUMVAUWDUWFUDUUTXSUVRXSWAUUTUULUWGUULUWAUUTUVRUPUBZUWGUVQUPUBZYHUPUBZU
      WIUUTUVQYHWBUUTUVEUWJUVFYCUQZUSUUSUWKUUAUUSUVIUWKUVJYBUQZUSVKVLZUVRURUSZU
      WAVSUUTUWHUUMUUTUWIUWHUWNUVRWCUSZUWBWDVLUUTUWEVOUVRQUUAUWEVOUDZUUSUULUUMU
      WQUUAXSWEUUOUUPVLVRUHWFUHUUTVOUUEUAKZUVRQKZUUEUVRQKZUVTYJUUTUWRUUEUVRQUUT
      UURUWRUUEUDUVNUUEWGUSUHUURUWGVAUWHUWSUVTUDZUUTVOUJUBUURUWGUWHUXAWHVOUUEUV
      RVQWIUUTUURUWGUVNUWOWDUWPVLUUTUUDUVQQKZYIUAKZUWTYJUVCUVQUJUBZVAUVDYHUJUBZ
      VAZUVQIUKZYHIUKZUXCUWTUDUUTUUDUVQYGYHWJUUTUVCUXDUVHUUTUVEUWJUXDUVFUWLUVQU
      RWKWDUUTUVDUXEUVMUUSUXEUUAUUSUVIUWKUXEUVJUWMYHURZWKVKWDUUTUVEUXGUVFYCUTUS
      UUSUXHUUAUUSUVIUXHUVJYBUTZUSVKVNYFUXBYIUAYFCYCYDTZCYCXSTZQKZUXBYCWLUBZYFU
      XMUDXQYBSWMZCYCYDXSWLQWNWOUXKUUDUXLUVQQUXKACYCXQTZNKZUUDUXNUXKUXQUDUXOCYC
      AXQWLNWPWOUXPYCANUXNUXPYCUDUXOCYCWLWQWOZWRWSUXLUXPOPZUVQUXNUXLUXSUDUXOCYC
      XQWLOWTWOUXPYCOUXRXAWSXBWSXCXDXEWFXFWFUSXGEUCUBYEUJUBZCXPULYIUJUBZDXPULYQ
      YLUDEFXHUXTCXPYTUUAUXTUUBUVGUUAUXTGAXQXIVJUSXJUYADXPYBXPUBUVIUYAYBEUEUVKU
      VIUYAHBYBXIVJUSXJYEYICDEXKXLXPYPYSCYTYNYOYRDUUAUVIYOYRUDZYTYBYNUBYDUJUBZU
      ULVAZUXFVAUUMUXHVAUYBUUAUVIVAYDXSYGYHWJUUAUYDUVIUXFUUAUYCUULUVGUUAUYCGAXQ
      VIVJUUOWDUVIUVDUXEUVLUVIUWKUXEUWMUXIUSWDXMUUAUUMUVIUXHUUPUXJXMVLUUBYBYMUE
      XNXFXGXO $.
      $( [14-Feb-2006] $) $( [3-Jan-2006] $)

    $( Lemma for ~ efadd .  Compute the difference between the truncated series
       for ` ( exp `` A ) x. ( exp `` B ) ` and ` exp `` ( A + B ) ` .  A main
       goal of the proof is to show that this difference goes to zero as ` N `
       approaches infinity; this is finally accomplished in ~ efaddlem22 .
       _Warning:  The HTML proof page is 0.6 megabyte in size_. $)
    efaddlem6 $p |- ( ( sum_ j e. ( 0 ... N ) ( ( A ^ j ) / ( ! ` j ) ) x.
                        sum_ k e. ( 0 ... N ) ( ( B ^ k ) / ( ! ` k ) ) ) -
                sum_ j e. ( 0 ... N ) ( ( ( A + B ) ^ j ) / ( ! ` j ) ) ) =
             sum_ j e. ( 1 ... N ) sum_ k e. ( ( ( N - j ) + 1 ) ... N )
               ( ( ( A ^ j ) x. ( B ^ k ) ) / ( ( ! ` j ) x. ( ! ` k ) ) ) $=
      ( cc0 cfz co cv cexp cfa cfv cdiv csu cmul caddc cmin c1 cuz wcel cc
      wral wa wceq cn0 nnnn0 nn0uz eleqtr elfznn0t eftclt mpan syl rgen pm3.2i
      fsum2mul mp2an wne divmuldivt expclt cn facclt nncnt jca anim12i facne0t
      sylanc syl2an sumeq2dv sumeq2i clt wbr nngt0 divclt axmulcl wb muln0bt
      mpbid syl3anc sylan2 r19.21aiva fsumclt 3syl opreq2 exp0t ax-mp syl6eq
      opreq1d fveq2 fac0 opreq12d sumeq2sdv fsum1p mp3an ax1cn addid2 opreq1i
      sumeq1i opreq2i 3eqtr eqtr3 efaddlem5 fznn0subt syl6eleq opreq2d adantr
      sumeq12dv nncn subid1 opreq12i mulid2t eqeltrd nnuz elfznnt nnnn0t
      pnpcant efaddlem3 cz nnzt fsum0split mp3an1 mpdan efaddlem1 efaddlem2
      syldan fsumadd eqtr2 subaddri ) IEJKZACLZMKZYLNOZPKZCQYKBDLZMKZYPNOZPKZDQ
      RKZYKABSKYLMKYNPKCQZTKYKUAYQRKZUAYRRKZPKZDQZUAEJKZYKYMYQRKZYNYRRKZPKZDQZC
      QZSKZUUEUUFIEYLTKZJKZUUIDQZCQZSKZTKZUUKUUPTKZUUFUUMUASKZEJKZUUIDQZCQZYTUU
      LUUAUUQTYKYKYOYSRKZDQZCQZYTUULEIUBOZUCZYOUDUCZCYKUEZUFUVHYSUDUCZDYKUEZUFU
      VFYTUGUVHUVJEUHUVGEFUIUJUKZUVICYKYLYKUCZYLUHUCZUVIYLEULZAUDUCZUVOUVIGAYLU
      MUNUOUPUQUVHUVLUVMUVKDYKYPYKUCZYPUHUCZUVKYPEULZBUDUCZUVSUVKHBYPUMUNUOUPUQ
      YOYSCDIEIEURUSUVFYKUUJCQZUUEIUASKZEJKZUUJCQZSKZUULYKUVEUUJCUVNYKUVDUUIDUV
      OUVSUVDUUIUGZUVNUVRYMUDUCZYNUDUCZUFZYQUDUCZYRUDUCZUFZUFYNIUTZYRIUTZUFZUWG
      UVOUVSUFZYMYNYQYRVAUVOUWJUVSUWMUVOUWHUWIUVQUVOUWHGAYLVBUNZUVOYNVCUCUWIYLV
      DYNVEUOZVFUVSUWKUWLUWAUVSUWKHBYPVBUNZUVSYRVCUCZUWLYPVDZYRVEZUOZVFVGUVOUWN
      UVSUWOYLVHYPVHZVGZVIUVPUVTVJVKVLUVHIEVMVNZUUJUDUCZCYKUEUWBUWFUGUVMEFVOZUX
      HCYKUVNUVOUUIUDUCZDYKUEZUXHUVPUVOUXJDYKUVOUVSUXJUVRUUGUDUCZUUHUDUCZUUHIUT
      ZUXJUWQUUGUUHVPUWHUWKUXLUVOUVSYMYQVQUWRUWTVJUWIUWLUXMUVOUVSYNYRVQUWSUXDVJ
      UWQUWPUXNUXFUWIUWLUWPUXNVRUVOUVSYNYRVSUWSUXDVJVTWAZUVTWBWCUVHUXKUXHUVMUUI
      DIEWDUNZWEUPUUJUUECIEYLIUGZYKUUIUUDDUXQUUGUUBUUHUUCPUXQYMUAYQRUXQYMAIMKZU
      AYLIAMWFUVQUXRUAUGGAWGWHWIWJUXQYNUAYRRUXQYNINOUAYLINWKWLWIWJWMZWNWOWPUWEU
      UKUUESUWDUUFUUJCUWCUAEJUAWQWRWSZWTXAXBXCUUAYKUUOCQZIEITKZJKZUUDDQZUWDUUOC
      QZSKZUUQABCDEFGHXDUVHUXGUUOUDUCZCYKUEUYAUYFUGUVMUXIUYGCYKUUMUVGUCZUXJDUUN
      UEZUYGUVNUUIDIUUMWDZUVNUUMUHUVGEVCUCZUVNUUMUHUCZFVCYLIEXEUNUJXFUVNUXJDUUN
      UVOUVSUXJUVNYPUUNUCZUXOUVPYPUUMULZVJWCVIUPUUOUYDCIEUXQUUNUYCUUIUUDDUXQUUM
      UYBIJYLIETWFXGUXQUUIUUDUGUYMUXSXHXIWOWPUYDUUEUYEUUPSUYCYKUUDDUYBEIJEEFXJX
      KXAWTUWDUUFUUOCUXTWTXLXBXLUUEUDUCZUUKUDUCZUUPUDUCZUURUUSUGUVHUUDUDUCZDYKU
      EUYOUVMUYRDYKUVRUVSUYRUVTUVSUUDUUBYRPKZUDUVSUUCYRUUBPUVSUXAUWLUUCYRUGUXBU
      XCYRXMWEXGUUBUDUCZUWLUWOUYSUDUCUVSUUBYRVPUVSUWKUYTUWTUAUDUCUWKUYTWQUAYQVQ
      UNUOUXDUXEWAXNUOUPUUDDIEWDUSEUAUBOZUCZUXHCUUFUEUYPEVCVUAFXOUKZUXHCUUFYLUU
      FUCZUXKUXHVUDUXJDYKUVOUVSUXJVUDUVRUXOVUDYLVCUCUVOYLEXPYLXQUOZUVTVJWCZUXPU
      OUPUUJCUAEWDUSZVUBUYGCUUFUEUYQVUCUYGCUUFUYHUYIUYGVUDUYJVUDUUMUHUVGUYKVUDU
      YLFVCYLUAEXEUNUJXFVUDUXJDUUNUVOUVSUXJVUDUYMUXOVUEUYNVJWCVIZUPUUOCUAEWDUSZ
      UUEUUKUUPXRWPUUKUUPUVCVUGVUIABCDEFGHXSUUKUUFUUOUVBSKZCQZUUPUVCSKZUUFUUJVU
      JCVUDUXKUUJVUJUGZVUFEXTUCZVUDUXKVUMUYKVUNFEYAWHUUIDYLEYBYCYDVLVUBUYGUVBUD
      UCZUFZCUUFUEVUKVULUGVUCVUPCUUFVUDUYGVUOVUHEUUTUBOUCUXJDUVAUEVUOVUDUUIDUUT
      EWDCEFYEVUDUXJDUVAVUDYPUVAUCYPVCUCZUXJCDEFYFUVOUVSUXJVUDVUQUXOVUEYPXQVJYG
      WCVIVFUPUUOUVBCUAEYHUSYIYJXB $.
      $( [14-Feb-2006] $) $( [12-Jan-2006] $)
  $}

  ${
    efaddlem7.1 $e |- A e. CC $.
    efaddlem7.2 $e |- B e. CC $.
    efaddlem7.3 $e |- T = ( ( ( |_ ` ( ( abs ` A ) + 1 ) ) x.
                      ( |_ ` ( ( abs ` B ) + 1 ) ) ) ^ 2 ) $.
    $( Lemma for ~ efadd .  ` T ` is used to compute an upper bound for the
       numerator of the truncated series for ` exp `` ( A + B ) ` . $)
    efaddlem7 $p |- T e. NN $=
      ( cabs cfv c1 caddc co cfl cmul c2 cexp cn wcel cr cle wbr abscl 1re
      readdcl cc0 absge0 wb addge02t mp2an mpbi flge1nnt nnmulclt nnsqcl
      eqeltr ) CAGHZIJKZLHZBGHZIJKZLHZMKZNOKPFUTUPPQZUSPQZUTPQUORQIUOSTZVAUNIAD
      UAZUBUCUDUNSTZVCADUEIRQZUNRQVEVCUFUBVDIUNUGUHUIUOUJUHURRQIURSTZVBUQIBEUAZ
      UBUCUDUQSTZVGBEUEVFUQRQVIVGUFUBVHIUQUGUHUIURUJUHUPUSUKUHULUM $.
      $( [14-Feb-2006] $) $( [5-Jan-2006] $)
  $}

  ${
    efaddlem8.1 $e |- N e. NN $.
    efaddlem8.2 $e |- S = ( |_ ` ( ( N + 1 ) / 2 ) ) $.
    $( Lemma for ~ efadd . ` T ^ S ` is used to compute an upper bound for the
       numerator of the truncated series for ` exp `` ( A + B ) ` . $)
    efaddlem8 $p |- S e. NN $=
      ( c1 caddc co c2 cdiv cfl cfv cn cr wcel cle wbr nnre 1re readdcl 2re
      2ne0 redivcl cmul nnge1t ax-mp leadd1 mpbi 2cn mulid2 df-2 eqtr recn
      divcan1OLD 3brtr4 cc0 clt wb 2pos lemul1 mpbir flge1nnt mp2an eqeltr ) ABEFG
      ZHIGZJKZLDVEMNEVEOPZVFLNVDHBEBCQZRSZTUAUBZVGEHUCGZVEHUCGZOPZEEFGZVDVKVLOE
      BOPZVNVDOPBLNVOCBUDUEEBERVHRUFUGVKHVNHUHUIUJUKHVDUHVDVIULUAUMUNUOHUPPVGVM
      UQUREVEHRVJTUSUEUTVEVAVBVC $.
      $( [15-Feb-2006] $) $( [12-Jan-2006] $)
  $}

  ${
    efaddlem9.1 $e |- N e. NN $.
    $( Lemma for ~ efadd .  Properties of the index range for the summation
       on the right-hand side of ~ efaddlem6 . $)
    efaddlem9 $p |- ( ( j e. ( 1 ... N ) /\ k e.
       ( ( ( N - j ) + 1 ) ... N ) ) -> ( ( j e. NN0 /\ j <_ N ) /\
                     ( k e. NN0 /\ k <_ N ) ) ) $=
      ( cv c1 cfz co wcel cmin caddc wa cn0 cle wbr cn elfznnt nnnn0t syl
      elfzle2 jca adantr efaddlem2 adantl ) AEZFCGHIZBEZCUEJHFKHZCGHIZLZUEMIZUE
      CNOZLZUGMIZUGCNOZLUFUMUIUFUKULUFUEPIUKUECQUERSUEFCTUAUBUJUNUOUJUGPIUNABCD
      UCUGRSUIUOUFUGUHCTUDUAUA $.
      $( [14-Feb-2006] $) $( [5-Jan-2006] $)
  $}

  ${
    efaddlem10.1 $e |- N e. NN $.
    efaddlem10.2 $e |- A e. CC $.
    $( Lemma for ~ efadd .  Properties of ` A ` (or ` B ` ) in the summation
       terms on the right-hand side of ~ efaddlem6 . $)
    efaddlem10 $p |- ( ( j e. NN0 /\ j <_ N ) -> ( ( ( abs `
         ( A ^ j ) ) e. RR /\ ( ( |_ ` ( ( abs ` A ) + 1 ) ) ^ N ) e. RR )
        /\ ( 0 <_ ( abs ` ( A ^ j ) ) /\
       ( abs ` ( A ^ j ) ) <_ ( ( |_ ` ( ( abs ` A ) + 1 ) ) ^ N ) ) ) ) $=
      ( cv cn0 wcel cle wbr wa cexp co cabs cfv cr c1 caddc cfl cc0 cc expclt
      mpan absclt syl abscl 1re readdcl flreclt ax-mp nnnn0 reexpclt mp2an
      jctir adantr absge0t wceq absexpt a1i w3a expmwordit id 3jca absge0 clt
      flltp1t ltlei cz 1z fladdzt breqtrr pm3.2i sylanc expwordit mp3anl3
      pm3.26 jctil pm3.27 wb addge02t mpbi flget letrd eqbrtrd jca ) BFZGHZWFCI
      JZKZAWFLMZNOZPHZANOZQRMZSOZCLMZPHZKZTWKIJZWKWPIJZKWGWRWHWGWLWQWGWJUAHZWLA
      UAHZWGXAEAWFUBUCZWJUDUEWOPHZCGHZWQWNPHZXDWMQAEUFZUGUHZWNUIUJZCDUKZWOCULUM
      ZUNUOWIWSWTWGWSWHWGXAWSXCWJUPUEUOWIWKWMWFLMZWPIWGWKXLUQZWHXBWGXMEAWFURUCU
      OWIXLWOWFLMZWPWGXLPHZWHWMPHZWGXOXGWMWFULUCUOWGXNPHZWHXDWGXQXIWOWFULUCUOWQ
      WIXKUSWGXLXNIJZWHXPXDWGUTTWMIJZWMWOIJZKZXRWGWMWOWFVAWGXPXDWGXPWGXGUSXDWGX
      IUSWGVBVCYAWGXSXTAEVDZWMWMSOZQRMZWOIWMYDXGYCQXPYCPHXGWMUIUJUGUHXPWMYDVEJX
      GWMVFUJVGXPQVHHZWOYDUQXGVIWMQVJUMVKVLUSVMUOXDWGKQWOIJZWHKZXNWPIJZWIXDWGXE
      YGYHXJWOWFCVNVOWIWGXDWGWHVPXIVQWIWHYFWGWHVRQWNIJZYFXSYIYBQPHXPXSYIVSUGXGQ
      WMVTUMWAXFYEYIYFVSXHVIWNQWBUMWAVQVMWCWDWEWE $.
      $( [15-Feb-2006] $) $( [5-Jan-2006] $)
  $}

  ${
    efaddlem11.1 $e |- N e. NN $.
    efaddlem11.2 $e |- A e. CC $.
    efaddlem11.3 $e |- B e. CC $.
    $( Lemma for ~ efadd .  An upper bound for the numerator of the summation
       terms on the right-hand side of ~ efaddlem6 . $)
    efaddlem11 $p |- ( ( j e. ( 1 ... N ) /\
  k e. ( ( ( N - j ) + 1 ) ... N ) ) -> ( abs ` ( ( A ^ j ) x. ( B ^ k ) ) ) <_
         ( ( ( |_ ` ( ( abs ` A ) + 1 ) ) ^ N )
              x. ( ( |_ ` ( ( abs ` B ) + 1 ) ) ^ N ) ) ) $=
      ( cv c1 cfz co wcel cmin caddc wa cn0 cle wbr cexp cmul cabs cfv cfl
      efaddlem9 wceq cc absmult expclt mpan syl2an ad2ant2r cr cc0
      lemul12itOLD efaddlem10 eqbrtrd syl ) CIZJEKLMDIZEUSNLJOLEKLMPUSQMZUSERSZ
      PZUTQMZUTERSZPZPZAUSTLZBUTTLZUALUBUCZAUBUCJOLUDUCETLZBUBUCJOLUDUCETLZUALZ
      RSCDEFUEVGVJVHUBUCZVIUBUCZUALZVMRVAVDVJVPUFZVBVEVHUGMZVIUGMZVQVAVDVHVIUHA
      UGMVAVRGAUSUIUJBUGMVDVSHBUTUIUJUKULVNUMMVKUMMPUNVNRSVNVKRSPPVOUMMVLUMMPUN
      VORSVOVLRSPPVPVMRSVCVFVNVKVOVLUOACEFGUPBDEFHUPUKUQUR $.
      $( [15-Feb-2006] $) $( [5-Jan-2006] $)
  $}

  ${
    efaddlem12.1 $e |- N e. NN $.
    efaddlem12.2 $e |- A e. CC $.
    efaddlem12.3 $e |- B e. CC $.
    efaddlem12.4 $e |- S = ( |_ ` ( ( N + 1 ) / 2 ) ) $.
    efaddlem12.5 $e |- T = ( ( ( |_ ` ( ( abs ` A ) + 1 ) ) x.
                      ( |_ ` ( ( abs ` B ) + 1 ) ) ) ^ 2 ) $.
    $( Lemma for ~ efadd .  Further upper bound for the numerator of the
       summation terms on the right-hand side of ~ efaddlem6 . $)
    efaddlem12 $p |- ( ( ( |_ ` ( ( abs ` A ) + 1 ) ) ^ N )
                x. ( ( |_ ` ( ( abs ` B ) + 1 ) ) ^ N ) ) <_ ( T ^ S ) $=
      ( cabs cfv c1 caddc co cfl cmul cexp c2 cdiv cle cr wcel cn0 w3a wbr wa
      abscl 1re readdcl flreclt ax-mp remulcl nnnn0 2nn0 cc0 nnre 2re 2ne0
      redivcl 0re nn0ge0 letrp1t mp3an 2cn mul02 recn divcan1OLD 3brtr4 clt wb
      2pos lemul1 mpbir flge0nn0t mp2an nn0mulcl 3pm3.2i cn cz elnnz1 flclt
      absge0 addge02t mpbi 1z flget mpbir2an nnmulclt nnge1t nnzt flhalft
      pm3.2i expwordit cc wceq mulexpt expmult opreq12i eqtr4 3brtr3 ) AKLZMNOZ
      PLZBKLZMNOZPLZQOZEROZXHSEMNOZSTOZPLZQOZROZXDEROXGEROQOZDCROZUAXHUBUCZEUDU
      CZXMUDUCZUEMXHUAUFZEXMUAUFZUGXIXNUAUFXQXRXSXDXGXCUBUCZXDUBUCXBMAGUHZUIUJZ
      XCUKULZXFUBUCZXGUBUCXEMBHUHZUIUJZXFUKULZUMZEFUNZSXLUOXKUBUCUPXKUAUFZXLUDU
      CZXJSEMEFUQZUIUJZURUSUTZYLUPSQOZXKSQOZUAUFZUPXJYQYRUAUPUBUCEUBUCUPEUAUFUP
      XJUAUFVAYNEYKVBUPEVCVDSVEVFSXJVEXJYOVGUSVHVIUPSVJUFYLYSVKVLUPXKSVAYPURVMU
      LVNXKVOVPZVQVRXTYAXHVSUCZXTXDVSUCZXGVSUCZUUAUUBXDVTUCZMXDUAUFZXDWAYBUUDYD
      XCWBULMXCUAUFZUUEUPXBUAUFZUUFAGWCMUBUCZXBUBUCUUGUUFVKUIYCMXBWDVPWEYBMVTUC
      ZUUFUUEVKYDWFXCMWGVPWEWHUUCXGVTUCZMXGUAUFZXGWAYFUUJYHXFWBULMXFUAUFZUUKUPX
      EUAUFZUULBHWCUUHXEUBUCUUMUULVKUIYGMXEWDVPWEYFUUIUULUUKVKYHWFXFMWGVPWEWHXD
      XGWIVPXHWJULEVTUCZYAEVSUCUUNFEWKULEWLULWMXHEXMWNVPXDWOUCXGWOUCXRXIXOWPXDY
      EVGXGYIVGYKXDXGEWQVDXNXHSROZXLROZXPXHWOUCSUDUCYMXNUUPWPXHYJVGUOYTXHSXLWRV
      DDUUOCXLRJIWSWTXA $.
      $( [14-Feb-2006] $) $( [4-Jan-2006] $)

    $( Lemma for ~ efadd .  Combine the bounds of ~ efaddlem11 and
       ~ efaddlem12 . $)
    efaddlem13 $p |- ( ( j e. ( 1 ... N ) /\
                     k e. ( ( ( N - j ) + 1 ) ... N ) ) ->
                     ( abs ` ( ( A ^ j ) x. ( B ^ k ) ) ) <_ ( T ^ S ) ) $=
      ( cv c1 cfz co wcel cmin caddc wa cexp cmul cabs cfv cfl cn0 cle wbr cc
      cr efaddlem9 axmulcl expclt mpan syl2an ad2ant2r absclt 3syl abscl 1re
      readdcl flreclt ax-mp nnnn0 reexpclt mp2an remulcl a1i efaddlem7 nnre
      efaddlem8 efaddlem11 efaddlem12 letrd ) EMZNGOPQFMZGVORPNSPGOPQTZAVOUAPZB
      VPUAPZUBPZUCUDZAUCUDZNSPZUEUDZGUAPZBUCUDZNSPZUEUDZGUAPZUBPZDCUAPZVQVOUFQZ
      VOGUGUHZTVPUFQZVPGUGUHZTTVTUIQZWAUJQEFGHUKWLWNWPWMWOVRUIQZVSUIQZWPWLWNVRV
      SULAUIQWLWQIAVOUMUNBUIQWNWRJBVPUMUNUOUPVTUQURWJUJQVQWEWIWDUJQZGUFQZWEUJQW
      CUJQWSWBNAIUSUTVAWCVBVCGHVDZWDGVEVFWHUJQZWTWIUJQWGUJQXBWFNBJUSUTVAWGVBVCX
      AWHGVEVFVGVHWKUJQZVQDUJQCUFQXCDABDIJLVIVJCCGHKVKVDDCVEVFVHABEFGHIJVLWJWKU
      GUHVQABCDGHIJKLVMVHVN $.
      $( [15-Feb-2006] $) $( [5-Jan-2006] $)
  $}

  ${
    efaddlem14.1 $e |- N e. NN $.
    $( Lemma for ~ efadd .  Importantly, the sum of the indices ` j ` and ` k `
       of the double summation on the right-hand side of ~ efaddlem6 is larger
       than ` N ` .  This will be used to find a lower bound on the factorials
       in the denominator of the summation terms. $)
    efaddlem14 $p |- ( ( j e. ( 1 ... N ) /\
              k e. ( ( ( N - j ) + 1 ) ... N ) ) -> ( N + 1 ) <_ ( j + k ) ) $=
      ( cv c1 cfz co wcel cmin caddc wa cle wbr elfzle1 adantl cz wb cr
      leadd1t zret syl3an elfzel1 elfzelz adantr syl3anc mpbid wceq cc zcnt
      nncn ax1cn nppcant mp3an13 3syl eqcomd axaddcom syl2an 3brtr4d ) AEZFCGHI
      ZBEZCUTJHFKHZCGHIZLZVCUTKHZVBUTKHZCFKHZUTVBKHZMVEVCVBMNZVFVGMNZVDVJVAVBVC
      COPVCQIZVBQIZUTQIZVJVKRZVEVCSIVBSIUTSIVOVLVMVNVCVBUTTVCUAVBUAUTUAUBVDVLVA
      VBVCCUCPVDVMVAVBVCCUDZPVAVNVDUTFCUDZUEUFUGVAVHVFUHVDVAVFVHVAVNUTUIIZVFVHU
      HZVQUTUJZCUIIVRFUIIVSCDUKULCUTFUMUNUOUPUEVNVMVIVGUHZVAVDVRVBUIIWAVNVMUTVB
      UQVTVBUJURVQVPURUS $.
      $( [14-Feb-2006] $) $( [6-Jan-2006] $)
  $}

  ${
    efaddlem15.1 $e |- N e. NN $.
    efaddlem15.2 $e |- S = ( |_ ` ( ( N + 1 ) / 2 ) ) $.
    $( Lemma for ~ efadd .  A lower bound on the factorial product in the
       denominator of the summation terms on the right-hand side of
       ~ efaddlem6 .  The key theorem used is ~ facavgt , which says that the
       factorial of the average of two numbers is less than the product of
       their factorials. $)
    efaddlem15 $p |- ( ( j e. ( 1 ... N ) /\
                    k e. ( ( ( N - j ) + 1 ) ... N ) ) ->
         ( ! ` S ) <_ ( ( ! ` j ) x. ( ! ` k ) ) ) $=
      ( cv c1 cfz co wcel cmin caddc wa cfa cfv c2 cdiv cfl cmul cr cn0 cn
      efaddlem8 nnnn0 facclt ax-mp nnre a1i nn0addclt elfznnt nnnn0t syl
      adantr efaddlem2 sylanc cc0 cle wbr flge0nn0t nn0ret rehalfclt nn0ge0t
      wb halfnneg2t mpbid nnret nnmulclt facwordit mp3an1 1re readdcl 2re 2ne0
      redivcl flwordit efaddlem14 w3a clt 2pos lediv1tOLD mpan2 mp3an13 syl5eqbr
      facavgt letrd ) BGZHDIJKZCGZDWGLJHMJDIJKZNZAOPZWGWIMJZQRJZSPZOPZWGOPZWIOP
      ZTJZWLUAKWKWLAUBKZWLUCKAADEFUDUEZAUFUGUHUIWKWMUBKZWPUAKZWGUBKZWIUBKZXBWKW
      GWIUJWHXDWJWHWGUCKXDWGDUKWGULUMUNZWKWIUCKXEBCDEUOWIULUMZUPZXBWPUCKZXCXBWO
      UBKZXIWNUAKZUQWNURUSZXJXBWNUTZXBWMUAKZXKWMVAZWMVBZUMXBUQWMURUSZXLWMVCZXBX
      NXQXLVDZXOWMVEZUMVFUPWOUFUMWPVGUMUMWKWSUCKZWSUAKWQUCKZWRUCKZYAWKWQWRVHWKX
      DYBXFWGUFUMWKXEYCXGWIUFUMUPWSVGUMXJAWOURUSZWLWPURUSZWKWTXJYDYEXAAWOVIVJXK
      XLXJWKXMWKXNXKWKXBXNXHXOUMZXPUMZWKXQXLWKXBXQXHXRUMWKXNXSYFXTUMVFUPWKDHMJZ
      QRJZSPZWOAURXKYIWNURUSZYJWOURUSZWKYIUAKXKYKYLYHQDHDEUHVKVLZVMVNVOYIWNVPVJ
      YGWKYHWMURUSZYKBCDEVQWKXNYNYKVDZYFYHUAKZXNQUAKZYOYMVMYPXNYQVRUQQVSUSYOVTY
      HWMQWAWBWCUMVFUPFWDUPXDXEWPWSURUSWKWGWIWEXFXGUPWF $.
      $( [15-Feb-2006] $) $( [4-Jan-2006] $)
  $}

  ${
    $d j k N $.  $d j k C $.
    efaddlem16.1 $e |- N e. NN $.
    efaddlem16.2 $e |- C e. RR $.
    efaddlem16.3 $e |- 0 <_ C $.
    $( Lemma for ~ efadd .  The double summation of a constant ` C ` (that is
       independent of ` j ` and ` k ` ) has an upper bound that grows as the
       square of ` N ` . $)
    efaddlem16 $p |- sum_ j e. ( 1 ... N )
               sum_ k e. ( ( ( N - j ) + 1 ) ... N ) C <_ ( ( N ^ 2 ) x. C ) $=
      ( c1 cfz co cv cmin caddc csu cmul c2 cexp cle cuz cfv wcel cr wbr w3a
      wral cn nnuz eleqtr fsumreclt efaddlem1 wa a1i r19.21aiva sylanc nnre
      remulcl wceq cc recn fsumconst mpan2 syl cz elfzelz zcnt nncn subclt
      mpan ax1cn nppcan2t mp3an13 nncant eqtrd 3syl opreq1d cc0 wi lemul1itOLD
      ex mp3an23 mpani zret elfzle2 sylc eqbrtrd 3jca rgen fsumcmp mp2an
      npcant opreq1i sqval mulass eqtr2 3eqtr breqtr ) HDIJZDBKZLJZHMJZDIJZACNZ
      BNZWQDAOJZBNZDPQJZAOJZRDHSTZUAZXBUBUAZXDUBUAZXBXDRUCZUDZBWQUEXCXERUCDUFXH
      EUGUHZXMBWQWRWQUAZXJXKXLDWTSTUAZAUBUAZCXAUEXJXOACWTDUIBDEUJZXOXQCXAXQXOCK
      XAUAUKFULUMUNXKXODADEUOZFUPZULXOXBWRAOJZXDRXOXBDWTLJHMJZAOJZYAXOXPXBYCUQZ
      XRXPAURUAYDAFUSZACWTDUTVAVBXOYBWRAOXOWRVCUAZWRURUAZYBWRUQWRHDVDZWRVEYGYBD
      WSLJZWRYGWSURUAZYBYIUQZDURUAZYGYJDEVFZDWRVGVHYLYJHURUAZYKYMVIDWSHVJVKVBYL
      YGYIWRUQYMDWRVLVHVMVNVOVMWRUBUAZWRDRUCZYAXDRUCZXOYOVPARUCZYPYQGYODUBUAZXQ
      YRYPUKZYQVQXSFYOYSXQUDYTYQWRDAVRVSVTWAXOYFYOYHWRWBVBWRHDWCWDWEWFWGXBXDBHD
      WHWIXEDHLJHMJZXDOJZDXDOJZXGXIXDURUAXEUUBUQXNXDXTUSXDBHDUTWIUUADXDOYLYNUUA
      DUQYMVIDHWJWIWKXGDDOJZAOJUUCXFUUDAODYMWLWKDDAYMYMYEWMWNWOWP $.
      $( [14-Feb-2006] $) $( [8-Jan-2006] $)
  $}

  ${
    $d j k N $.
    efaddlem17.1 $e |- N e. NN $.
    efaddlem17.2 $e |- A e. CC $.
    efaddlem17.3 $e |- B e. CC $.
    efaddlem17.4 $e |- S = ( |_ ` ( ( N + 1 ) / 2 ) ) $.
    efaddlem17.5 $e |- T = ( ( ( |_ ` ( ( abs ` A ) + 1 ) ) x.
                      ( |_ ` ( ( abs ` B ) + 1 ) ) ) ^ 2 ) $.
    $( Lemma for ~ efadd .  An upper bound for the summation terms on the
       right-hand side of ~ efaddlem6 that is independent of ` j ` and
       ` k ` . $)
    efaddlem17 $p |- ( ( j e. ( 1 ... N ) /\
   k e. ( ( ( N - j ) + 1 ) ... N ) ) -> ( abs ` ( ( ( A ^ j ) x. ( B ^ k ) ) /
               ( ( ! ` j ) x. ( ! ` k ) ) ) ) <_ ( ( T ^ S ) / ( ! ` S ) ) ) $=
      ( cv c1 cfz co wcel cmin caddc wa cexp cmul cfa cfv cdiv cabs cle cc cc0
      wne wceq absdivt cn0 axmulcl expclt mpan syl2an cn elfznnt adantr nnnn0t
      syl efaddlem2 sylanc nnmulclt facclt nncnt nnne0t syl3anc cr wbr absidt
      nnret nn0ge0t 3syl opreq2d eqtrd clt lediv12it absclt efaddlem7 nnre
      efaddlem8 nnnn0 reexpclt mp2an jctir absge0t efaddlem13 jca ax-mp jctil
      efaddlem15 nngt0 syl2anc eqbrtrd ) EMZNGOPQZFMZGWQRPNSPGOPQZTZAWQUAPZBWSU
      APZUBPZWQUCUDZWSUCUDZUBPZUEPUFUDZXDUFUDZXGUEPZDCUAPZCUCUDZUEPZUGXAXHXIXGU
      FUDZUEPZXJXDUHQZXGUHQZXGUIUJZXHXOUKXAXDXGULWQUMQZWSUMQZXPXAXBUHQZXCUHQZXP
      XSXTXBXCUNAUHQXSYAIAWQUOUPBUHQXTYBJBWSUOUPUQXAWQURQZXSWRYCWTWQGUSUTWQVAVB
      ZXAWSURQXTEFGHVCWSVAVBZVDZXAXGURQZXQXSXTYGXAXEURQXFURQYGXSXTXEXFVEWQVFWSV
      FUQYDYEVDZXGVGVBXAYGXRYHXGVHVBVIXAXNXGXIUEXGVJQZUIXGUGVKZXNXGUKXAXGVLXAYG
      YIYHXGVMVBZXAYGXGUMQYJYHXGVAXGVNVOVDVPVQXIVJQZXKVJQZTUIXIUGVKZXIXKUGVKZTX
      LVJQZYITUIXLVRVKZXLXGUGVKZTXJXMUGVKXAXIXKXLXGVSXAYLYMXAXPYLYFXDVTVBDVJQCU
      MQZYMDABDIJLWAWBCCGHKWCWDZDCWEWFWGXAYNYOXAXPYNYFXDWHVBABCDEFGHIJKLWIWJXAY
      IYPYKXLYSXLURQYTCVFWKZWBWLXAYRYQCEFGHKWMXLUUAWNWLWOWP $.
      $( [16-Feb-2006] $) $( [7-Jan-2006] $)

    $( Lemma for ~ efadd .  Closure of the double summation of the constant
       upper bound of ~ efaddlem17 . $)
    efaddlem18 $p |- sum_ j e. ( 1 ... N )
     sum_ k e. ( ( ( N - j ) + 1 ) ... N ) ( ( T ^ S ) / ( ! ` S ) ) e. RR $=
      ( c1 cuz cfv wcel cv cmin co caddc cfz cexp cfa cdiv csu cr wral cn nnuz
      eleqtr fsumreclt efaddlem1 wa cn0 efaddlem7 nnre efaddlem8 nnnn0
      reexpclt mp2an facclt ax-mp cc0 wne facne0t redivcl a1i r19.21aiva
      sylanc rgen ) GMNOZPGEQZRSMTSZGUASZDCUBSZCUCOZUDSZFUEZUFPZEMGUASZUGVTVREU
      EUFPGUHVKHUIUJVSEVTGVMNOPVQUFPZFVNUGVSVLVTPZVQFVMGUKEGHULWBWAFVNWAWBFQVNP
      UMVOVPDUFPCUNPZVOUFPDABDIJLUOUPCCGHKUQURZDCUSUTVPWCVPUHPWDCVAVBUPWCVPVCVD
      WDCVEVBVFVGVHVIVJVREMGUKUT $.
      $( [16-Feb-2006] $) $( [8-Jan-2006] $)

    $( Lemma for ~ efadd .  Upper bound for the summation terms on the
       right-hand side of ~ efaddlem6 . $)
    efaddlem19 $p |- ( abs ` sum_ j e. ( 1 ... N )
         sum_ k e. ( ( ( N - j ) + 1 ) ... N )
     ( ( ( A ^ j ) x. ( B ^ k ) ) / ( ( ! ` j ) x. ( ! ` k ) ) ) ) <_
             sum_ j e. ( 1 ... N ) sum_ k e. ( ( ( N - j ) + 1 ) ... N )
             ( ( T ^ S ) / ( ! ` S ) ) $=
      ( c1 cfz co cv cmin caddc cexp cmul cfa cfv cdiv csu cabs cle wbr cuz
      wcel cc wral cn nnuz eleqtr fsumclt efaddlem1 cn0 wa cc0 wne divclt
      axmulcl expclt mpan syl2an nnmulclt facclt nncnt syl nnne0t syl3anc
      elfznnt adantr nnnn0t efaddlem2 sylanc r19.21aiva rgen fsumabs mp2an cr
      w3a absclt fsumreclt 3jca fsumcmp efaddlem4 letr efaddlem7 nnre
      efaddlem8 nnnn0 reexpclt ax-mp facne0t redivcl a1i efaddlem17 efaddlem18
      ) MGNOZGEPZQOMROZGNOZAXASOZBFPZSOZTOZXAUAUBZXEUAUBZTOZUCOZFUDZEUDUEUBZWTX
      CXKUEUBZFUDZEUDZUFUGZXPWTXCDCSOZCUAUBZUCOZFUDZEUDZUFUGZXMYBUFUGXMWTXLUEUB
      ZEUDZUFUGZYEXPUFUGZXQGMUHUBZUIZXLUJUIZEWTUKYFGULYHHUMUNZYJEWTGXBUHUBUIZXK
      UJUIZFXCUKZYJXAWTUIZXKFXBGUOEGHUPZYOYMFXCXAUQUIZXEUQUIZYMYOXEXCUIZURZXGUJ
      UIZXJUJUIZXJUSUTZYMYQYRURZXGXJVAXDUJUIZXFUJUIZUUAYQYRXDXFVBAUJUIYQUUEIAXA
      VCVDBUJUIYRUUFJBXEVCVDVEUUDXJULUIZUUBXHULUIXIULUIUUGYQYRXHXIVFXAVGXEVGVEZ
      XJVHVIUUDUUGUUCUUHXJVJVIVKYTXAULUIZYQYOUUIYSXAGVLVMXAVNVIYTXEULUIYREFGHVO
      XEVNVIVPZVQZVPZVRXLEMGVSVTYIYDWAUIZXOWAUIZYDXOUFUGZWBZEWTUKYGYKUUPEWTYOUU
      MUUNUUOYOYJUUMUULXLWCVIZYLXNWAUIZFXCUKUUNYOXNFXBGWDYPYOUURFXCYTYMUURUUJXK
      WCVIZVQVPZYLYNUUOYOXKFXBGVSYPUUKVPWEVRYDXOEMGWFVTXMYEXPABEFGHIJWGZYIUUMEW
      TUKYEWAUIYKUUMEWTUUQVRYDEMGWDVTYIUUNEWTUKXPWAUIYKUUNEWTUUTVRXOEMGWDVTZWHV
      TYIUUNYAWAUIZXOYAUFUGZWBZEWTUKYCYKUVEEWTYOUUNUVCUVDUUTYLXTWAUIZFXCUKUVCYO
      XTFXBGWDYPYOUVFFXCUVFYTXRXSDWAUICUQUIZXRWAUIDABDIJLWIWJCCGHKWKWLZDCWMVTXS
      UVGXSULUIUVHCVGWNWJUVGXSUSUTUVHCWOWNWPWQZVQVPYLUURUVFXNXTUFUGZWBZFXCUKUVD
      YOXNXTFXBGWFYPYOUVKFXCYTUURUVFUVJUUSUVIABCDEFGHIJKLWRWEVQVPWEVRXOYAEMGWFV
      TXMXPYBUVAUVBABCDEFGHIJKLWSWHVT $.
      $( [16-Feb-2006] $) $( [8-Jan-2006] $)

    $( Lemma for ~ efadd .  Further upper bound for the summation terms on the
       right-hand side of ~ efaddlem6 . $)
    efaddlem20 $p |- ( ( N ^ 2 ) x. ( ( T ^ S ) / ( ! ` S ) ) ) <_
                     ( ( ( S ^ 2 ) x. ( ( 4 x. T ) ^ S ) ) / ( ! ` S ) ) $=
      ( c2 cexp co cfa cfv cdiv cmul cle wbr c4 cr wcel w3a cc0 wa nnsqcl nnre
      2re efaddlem8 remulcl resqcl cn0 efaddlem7 nnnn0 reexpclt mp2an cn
      facclt ax-mp wne facne0t redivcl 3pm3.2i clt nn0expclt nn0ge0 nngt0
      divge0 0re ltlei pm3.2i c1 caddc cfl cz nnzt flhalft opreq2i breqtrr
      le2sqit lemul1itOLD recn nncn divass 2cn sqmul sqcl mulcom eqtr opreq1i
      mulass 4re sq2 cc wceq exp1t eqtr4 1nn0 c3 3re 3pos wb 1re addge02t mpbi
      df-4 nnge1t expwordit eqbrtr mulexpt mp3an lemul2itOLD lediv1tOLD mpan2
      letr ) EKLMZDCLMZCNOZPMZQMZKCQMZKLMZXQQMZXRPMZRSYDCKLMZTDQMZCLMZQMZXRPMZR
      SZXTYIRSXTYBXSQMZYDRXPUAUBZYBUAUBZXSUAUBZUCUDXSRSZXPYBRSZUEXTYKRSYLYMYNXP
      EFUFUGZYAKCUHCCEFIUIZUGUJZUKZXQXRDUAUBCULUBZXQUAUBZDABDGHJUMZUGZCYRUNZDCU
      OUPZXRUUAXRUQUBUUECURUSZUGZUUAXRUDUTUUECVAUSZVBZVCYOYPUDXQRSZUDXRVDSZYOXQ
      DULUBUUAXQULUBDUUCUNUUEDCVEUPVFZXRUUGVGZXQXRUUFUUHVHUPEUAUBZUDERSZUEYAUAU
      BZEYARSZUEYPUUOUUPEFUGZUDEVIUUSEFVGVJVKUUQUURYSEKEVLVMMKPMVNOZQMZYAREVOUB
      ZEUVARSEUQUBUVBFEVPUSEVQUSCUUTKQIVRVSVKEYAVTUPVKXPYBXSWAUPYBXQXRYBYTWBXQU
      UFWBZXRUUGWCUUIWDVSYCYHRSZYJYCYEKKLMZXQQMZQMZYHRYCYEUVEQMZXQQMUVGYBUVHXQQ
      YBUVEYEQMUVHKCWECYRWCWFUVEYEKWEWGZYECYRUFZWCZWHWIWJYEUVEXQUVKUVIUVCWKWIUV
      FUAUBZYGUAUBZYEUAUBZUCUDYERSZUVFYGRSZUEUVGYHRSUVLUVMUVNUVEXQKUHUKZUUFUJYF
      UAUBUUAUVMTDWLUUDUJUUEYFCUOUPZYEUVJUGZVCUVOUVPUDYEVIUVSYEUVJVGVJUVFTCLMZX
      QQMZYGRUVEUAUBZUVTUAUBZUUBUCUUKUVEUVTRSZUEUVFUWARSUWBUWCUUBUVQTUAUBZUUAUW
      CWLUUETCUOUPUUFVCUUKUWDUUMUVETVLLMZUVTRUVETUWFWMTWNUBZUWFTWOTWLWBZTWPUSWQ
      UWEVLULUBZUUAUCVLTRSZVLCRSZUEUWFUVTRSUWEUWIUUAWLWRUUEVCUWJUWKVLWSVLVMMZTR
      UDWSRSZVLUWLRSZUDWSVIWTXAVJVLUAUBWSUAUBUWMUWNXBXCWTVLWSXDUPXEXFVSCUQUBUWK
      YRCXGUSVKTVLCXHUPXIVKUVEUVTXQWAUPUWGDWNUBUUAYGUWAWOUWHDUUCWCUUETDCXJXKVSV
      KUVFYGYEXLUPXIYCUAUBZYHUAUBZXRUAUBZUVDYJXBZYBXQYTUUFUJZYEYGUVSUVRUJZUUHUW
      OUWPUWQUCUULUWRUUNYCYHXRXMXNXKXEXTYDYIXPXSYQUUJUJYCXRUWSUUHUUIVBYHXRUWTUU
      HUUIVBXOUP $.
      $( [15-Feb-2006] $) $( [8-Jan-2006] $)
  $}

  ${
    efaddlem21.1 $e |- A e. CC $.
    efaddlem21.2 $e |- B e. CC $.
    efaddlem21.3 $e |- T = ( ( ( |_ ` ( ( abs ` A ) + 1 ) ) x.
                     ( |_ ` ( ( abs ` B ) + 1 ) ) ) ^ 2 ) $.
    efaddlem21.4 $e |- R = ( 2 x. ( ( 2 ^ ( 3 ^ 2 ) ) x.
                      ( ( 4 x. T ) ^ ( ( 4 x. T ) + 3 ) ) ) ) $.
    $( Lemma for ~ efadd .  ` R ` will be part of our final upper bound for the
       summation on the right-hand side of ~ efaddlem6 ; importantly, ` R ` is
       independent of ` N ` . $)
    efaddlem21 $p |- R e. NN $=
      ( c2 c3 cexp co c4 cmul caddc cn wcel 2nn cn0 3nn nnsqcl nnnn0 nnexpclt
      mp2an 4nn efaddlem7 nnmulclt nn0addcl eqeltr ) CIIJIKLZKLZMDNLZULJOLZKLZN
      LZNLZPHIPQZUOPQZUPPQRUKPQZUNPQZURUQUJSQUSRUJJTUAUBIUJUCUDULPQZUMSQUTMPQDP
      QVAUEABDEFGUFMDUGUDZULJULVBUBJTUBUHULUMUCUDUKUNUGUDIUOUGUDUI $.
      $( [16-Feb-2006] $) $( [8-Jan-2006] $)
  $}

  ${
    $d j k N $.  $d j k S $.  $d j k T $.
    efaddlem22.1 $e |- N e. NN $.
    efaddlem22.2 $e |- A e. CC $.
    efaddlem22.3 $e |- B e. CC $.
    efaddlem22.4 $e |- S = ( |_ ` ( ( N + 1 ) / 2 ) ) $.
    efaddlem22.5 $e |- T = ( ( ( |_ ` ( ( abs ` A ) + 1 ) ) x.
                     ( |_ ` ( ( abs ` B ) + 1 ) ) ) ^ 2 ) $.
    efaddlem22.6 $e |- R = ( 2 x. ( ( 2 ^ ( 3 ^ 2 ) ) x.
                      ( ( 4 x. T ) ^ ( ( 4 x. T ) + 3 ) ) ) ) $.
    $( Lemma for ~ efadd .  The final upper bound for the summation on the
       right-hand side of ~ efaddlem6 .  The key theorem used is ~ faclbnd5 ,
       which shows that the factorial grows faster than powers.  As the number
       of terms ` N ` grows to infinity, the sum shrinks to zero, since ` R `
       is independent of ` N ` . $)
    efaddlem22 $p |- ( abs ` sum_ j e. ( 1 ... N ) sum_ k e.
    ( ( ( N - j ) + 1 ) ... N ) ( ( ( A ^ j ) x. ( B ^ k ) ) / ( ( ! ` j ) x.
                     ( ! ` k ) ) ) ) < ( ( 2 x. R ) / N ) $=
      ( c1 cfz co cv cmin caddc cexp cmul cfa cfv cdiv csu cabs clt wbr c2 cle
      c4 efaddlem19 cr wcel cn0 efaddlem7 nnre efaddlem8 nnnn0 reexpclt mp2an
      cn facclt ax-mp nnne0 redivcl cc0 nn0expclt nn0ge0 nngt0 divge0
      efaddlem16 efaddlem4 efaddlem18 nnsqcl remulcl letr efaddlem20 resqcl
      4re c3 3nn 4nn nnmulclt faclbnd5 mp3an recn nncn mul23 df-3 opreq2i cc
      wceq 2nn0 expp1t eqtr opreq1i eqtr4 3brtr4 wa wb pm3.2i efaddlem21
      lt2mul2divt mpbi lelttr wne 2cn 2ne0 divcan5t cfl cz nnzt flhalft
      breqtrr 2re 2nn lediv2t eqbrtrr ltletr ) OHPQZHFRZSQOTQHPQZAYCUAQBGRZUAQU
      BQYCUCUDYEUCUDUBQUEQGUFFUFUGUDZCDUEQZUHUIZYGUJCUBQZHUEQZUKUIYFYJUHUIYFDUJ
      UAQZULEUBQZDUAQZUBQZDUCUDZUEQZUKUIZYPYGUHUIZYHYFHUJUAQZEDUAQZYOUEQZUBQZUK
      UIZUUBYPUKUIYQYFYBYDUUAGUFFUFZUKUIUUDUUBUKUIUUCABDEFGHIJKLMUMUUAFGHIYTYOE
      UNUODUPUOZYTUNUOEABEJKMUQZURZDDHILUSZUTZEDVAVBZYOUUEYOVCUOUUIDVDVEZURZYOU
      UKVFZVGZVHYTUKUIVHYOUHUIZVHUUAUKUIYTEUPUOUUEYTUPUOEUUFUTUUIEDVIVBVJYOUUKV
      KZYTYOUUJUULVLVBVMYFUUDUUBABFGHIJKVNZABDEFGHIJKLMVOYSUUAYSHIVPURUUNVQZVRV
      BABDEHIJKLMVSYFUUBYPUUQUURYNYOYKYMDDUUHURZVTZYLUNUOUUEYMUNUOULEWAUUGVQUUI
      YLDVAVBZVQZUULUUMVGZVRVBYNDUBQZCYOUBQZUHUIZYRDWBUAQZYMUBQZUJUJWBUJUAQUAQY
      LYLWBTQUAQUBQUBQZYOUBQZUVDUVEUHUUEWBUPUOYLVCUOZUVHUVJUHUIUUIWBWCUTULVCUOE
      VCUOUVKWDUUFULEWEVBWBYLDWFWGUVDYKDUBQZYMUBQUVHYKYMDYKUUTWHYMUVAWHDUUHWIZW
      JUVGUVLYMUBUVGDUJOTQZUAQZUVLWBUVNDUAWKWLDWMUOZUJUPUOUVOUVLWNUVMWODUJWPVBW
      QWRWSCUVIYOUBNWRWTYNUNUOZDUNUOZXACUNUOZYOUNUOZXAVHDUHUIZUUOXAUVFYRXBUVQUV
      RUVBUUSXCUVSUVTCABCEJKMNXDZURZUULXCUWAUUODUUHVKUUPXCYNDCYOXEWGXFYFYPYGUUQ
      UVCCDUWCUUSDUUHVFZVGZXGVBYIUJDUBQZUEQZYGYJUKCWMUOUVPDVHXHZXAUJWMUOZUJVHXH
      ZXAUWGYGWNCUWBWIUVPUWHUVMUWDXCUWIUWJXIXJXCCDUJXKWGHUWFUKUIZUWGYJUKUIZHUJH
      OTQUJUEQXLUDZUBQZUWFUKHXMUOZHUWNUKUIHVCUOUWOIHXNVEHXOVEDUWMUJUBLWLXPHUNUO
      ZVHHUHUIZXAUWFUNUOZVHUWFUHUIZXAYIUNUOZVHYIUHUIZXAUWKUWLXBUWPUWQHIURZHIVKX
      CUWRUWSUJDXQUUSVQUWFUJVCUOZDVCUOUWFVCUOXRUUHUJDWEVBVKXCUWTUXAUJCXQUWCVQZY
      IUXCCVCUOYIVCUOXRUWBUJCWEVBVKXCHUWFYIXSWGXFXTYFYGYJUUQUWEYIHUXDUXBHIVFVGY
      AVB $.
      $( [16-Feb-2006] $) $( [9-Jan-2006] $)
  $}

  ${
    $d j k A $.  $d j k B $.  $d j k N $.  $d j k T $.
    efaddlem23.1 $e |- N e. NN $.
    efaddlem23.2 $e |- A e. CC $.
    efaddlem23.3 $e |- B e. CC $.
    efaddlem23.4 $e |- T = ( ( ( |_ ` ( ( abs ` A ) + 1 ) ) x.
                      ( |_ ` ( ( abs ` B ) + 1 ) ) ) ^ 2 ) $.
    efaddlem23.5 $e |- R = ( 2 x. ( ( 2 ^ ( 3 ^ 2 ) ) x.
                      ( ( 4 x. T ) ^ ( ( 4 x. T ) + 3 ) ) ) ) $.
    $( Lemma for ~ efadd .  Given any positive ` x ` , no matter how small,
       there is an ` N ` such that the difference between the truncated series
       for ` ( exp `` A ) x. ( exp `` B ) ` and ` exp `` ( A + B ) ` is less
       than ` x ` .  Here we show an explicit lower bound for ` N ` . $)
    efaddlem23 $p |- ( ( ( x e. RR /\ 0 < x ) /\ ( ( |_ `
           ( ( 2 x. R ) / x ) ) + 1 ) <_ N ) ->
               ( abs ` ( ( sum_ j e. ( 0 ... N ) ( ( A ^ j ) / ( ! ` j ) ) x.
                        sum_ k e. ( 0 ... N ) ( ( B ^ k ) / ( ! ` k ) ) ) -
           sum_ j e. ( 0 ... N ) ( ( ( A + B ) ^ j ) / ( ! ` j ) ) ) ) < x ) $=
      ( cv cr wcel cc0 clt wbr wa c2 cmul co cdiv cfl cfv c1 caddc cle cfz
      cmin cexp cfa csu cabs efaddlem4 a1i 2re efaddlem21 nnre remulcl nnne0
      redivcl simpll eqid efaddlem22 wne redivclt pm3.26 gt0ne0t syl3anc
      flltp1t syl wi ltletrt flreclt peano2re mpand imp wb w3a ltdiv23t 3jca
      pm3.27 nngt0 jctir sylanc adantr mpbid lttrd efaddlem6 fveq2i syl5eqbr )
      ANZOPZQWNRSZTZUADUBUCZWNUDUCZUEUFZUGUHUCZHUISZTZUGHUJUCHFNZUKUCUGUHUCHUJU
      CBXDULUCZCGNZULUCZUBUCXDUMUFZXFUMUFZUBUCUDUCGUNFUNZUOUFZWNQHUJUCZXEXHUDUC
      FUNXLXGXIUDUCGUNUBUCXLBCUHUCXDULUCXHUDUCFUNUKUCZUOUFRXCXKWRHUDUCZWNXKOPXC
      BCFGHIJKUPUQXNOPXCWRHUADURDBCDEJKLMUSUTVAZHIUTZHIVBVCUQWOWPXBVDXKXNRSXCBC
      DHUGUHUCUAUDUCUEUFZEFGHIJKXQVELMVFUQXCWSHRSZXNWNRSZWQXBXRWQWSXARSZXBXRWQW
      SOPZXTWROPZWOWNQVGYAWQWRWNVHYBWQXOUQZWOWPVIZWNVJVKZWSVLVMYAXAOPZHOPZXTXBT
      XRVNWQWSXAHVOYEWQWTOPZYFWQYAYHYEWSVPVMWTVQVMYGWQXPUQZVKVRVSWQXRXSVTZXBYBW
      OYGWAWPQHRSZTYJWQWRWNHWBWQYBWOYGYCYDYIWCWQWPYKWOWPWDHIWEWFWGWHWIWJXMXJUOB
      CFGHIJKWKWLWM $.
      $( [16-Feb-2006] $) $( [13-Jan-2006] $)
  $}

  ${
    $d j k m A $.  $d j k m B $.  $d j k N $.  $d m n R $.  $d j k T $.
    $d m n j k x $.
    efaddlem24.1 $e |- A e. CC $.
    efaddlem24.2 $e |- B e. CC $.
    efaddlem24.3 $e |- T = ( ( ( |_ ` ( ( abs ` A ) + 1 ) ) x.
                       ( |_ ` ( ( abs ` B ) + 1 ) ) ) ^ 2 ) $.
    efaddlem24.4 $e |- R = ( 2 x. ( ( 2 ^ ( 3 ^ 2 ) ) x.
                      ( ( 4 x. T ) ^ ( ( 4 x. T ) + 3 ) ) ) ) $.
    $( Lemma for ~ efadd .  Apply the Weak Deduction Theorem to ~ efaddlem23
       to make ` N ` an antecedent. $)
    efaddlem24 $p |- ( ( ( x e. RR /\ 0 < x ) /\ N e. NN /\ ( ( |_ `
   ( ( 2 x. R ) / x ) ) + 1 ) <_ N ) ->
               ( abs ` ( ( sum_ j e. ( 0 ... N ) ( ( A ^ j ) / ( ! ` j ) ) x.
                        sum_ k e. ( 0 ... N ) ( ( B ^ k ) / ( ! ` k ) ) ) -
           sum_ j e. ( 0 ... N ) ( ( ( A + B ) ^ j ) / ( ! ` j ) ) ) ) < x ) $=
      ( cn wcel cv cr cc0 clt wbr wa c2 cmul co cdiv cfl cfv c1 caddc cle cfz
      cexp cfa csu cmin cabs wi cif wceq breq2 anbi2d opreq2 sumeq1d opreq12d
      fveq2d breq1d imbi12d 1nn elimel efaddlem23 dedth 3impib 3com12 ) HMNZAOZ
      PNQVNRSTZUADUBUCVNUDUCUEUFUGUHUCZHUISZQHUJUCZBFOZUKUCVSULUFZUDUCZFUMZVRCG
      OZUKUCWCULUFUDUCZGUMZUBUCZVRBCUHUCVSUKUCVTUDUCZFUMZUNUCZUOUFZVNRSZVMVOVQW
      KVMVOVQTZWKUPVOVPVMHUGUQZUISZTZQWMUJUCZWAFUMZWPWDGUMZUBUCZWPWGFUMZUNUCZUO
      UFZVNRSZUPHUGHWMURZWLWOWKXCXDVQWNVOHWMVPUIUSUTXDWJXBVNRXDWIXAUOXDWFWSWHWT
      UNXDWBWQWEWRUBXDVRWPWAFHWMQUJVAZVBXDVRWPWDGXEVBVCXDVRWPWGFXEVBVCVDVEVFABC
      DEFGWMHUGMVGVHIJKLVIVJVKVL $.
      $( [16-Feb-2006] $) $( [13-Jan-2006] $)

    $( Lemma for ~ efadd .  Convert from the explicit bound for ` N ` in
       ~ efaddlem24 to the existence of a bound ` m ` . $)
    efaddlem25 $p |- ( ( x e. RR /\ 0 < x ) -> E. m e. NN A. n e. NN
     ( m <_ n -> ( abs ` ( ( sum_ j e. ( 0 ... n ) ( ( A ^ j ) / ( ! ` j ) ) x.
                        sum_ k e. ( 0 ... n ) ( ( B ^ k ) / ( ! ` k ) ) ) -
         sum_ j e. ( 0 ... n ) ( ( ( A + B ) ^ j ) / ( ! ` j ) ) ) ) < x ) ) $=
      ( c2 cmul co cv cdiv cfl cfv c1 caddc cn wcel cle wbr cc0 cfz cexp cfa
      csu cmin cabs clt wi wral wrex cr wa wceq breq1 imbi1d ralbidv rcla4ev
      cn0 flge0nn0t wne redivclt 2re efaddlem21 nnre remulcl a1i pm3.26
      gt0ne0t syl3anc 0re ltlet mpan 2nn nnmulclt mp2an nngt0 divgt0t mpanl12
      sylc sylanc nn0p1nnt syl efaddlem24 3expia r19.21aiva ) NDOPZAQZRPZSTZUAU
      BPZUCUDZWQIQZUEUFZUGWSUHPZBFQZUIPXBUJTZRPFUKXACGQZUIPXDUJTRPGUKOPXABCUBPX
      BUIPXCRPFUKULPUMTWNUNUFZUOZIUCUPZHQZWSUEUFZXEUOZIUCUPZHUCUQWNURUDZUGWNUNU
      FZUSZXKXGHWQUCXHWQUTZXJXFIUCXOXIWTXEXHWQWSUEVAVBVCVDXNWPVEUDZWRWOURUDZUGW
      OUEUFZXPXNWOVFWMURUDZXLWNUGVGXQXNWMWNVHXSXNNDVIDBCDEJKLMVJZVKVLZVMXLXMVNW
      NVOVPZXQUGWOUNUFZXRXNUGURUDXQYCXRUOVQUGWOVRVSYBXSUGWMUNUFXNYCYAWMNUCUDDUC
      UDWMUCUDVTXTNDWAWBWCWMWNWDWEWFWGWPWHWIXNXFIUCXNWSUCUDWTXEABCDEFGWSJKLMWJW
      KWLWG $.
      $( [16-Feb-2006] $) $( [13-Jan-2006] $)
  $}

  ${
    $d j n y A $.  $d k n y B $.  $d m F $.  $d m G $.  $d m H $.
    $d j k m n y $.
    efaddlem26.1 $e |- A e. CC $.
    efaddlem26.2 $e |- B e. CC $.
    efaddlem26.3 $e |- F = { <. n , y >. | ( n e. NN0 /\
                   y = sum_ j e. ( 0 ... n ) ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    efaddlem26.4 $e |- G = { <. n , y >. | ( n e. NN0 /\
                   y = sum_ k e. ( 0 ... n ) ( ( B ^ k ) / ( ! ` k ) ) ) } $.
    efaddlem26.5 $e |- H = { <. n , y >. | ( n e. NN0 /\
                    y = ( sum_ j e. ( 0 ... n ) ( ( A ^ j ) / ( ! ` j ) )
                    x. sum_ k e. ( 0 ... n ) ( ( B ^ k ) / ( ! ` k ) ) ) ) } $.
    $( Lemma for ~ efadd .  Show that the sequence of partial sum products
       ` H ` converges to the product of exponentiations.  The key theorem used
      is ~ climmul . $)
    efaddlem26 $p |- H ~~> ( ( exp ` A ) x. ( exp ` B ) ) $=
      ( vm ce cfv cli wbr wa cc0 cz wcel cv cc cmul co wceq w3a cuz wral
      efcvgfsum ax-mp pm3.2i 0z cn0 elnn0uz cfz cexp cfa cdiv csu opreq2
      sumeq1d sumex fvopab4 elfznn0t eftclt mpan syl rgen fsumclt mpan2 sylbi
      eqeltrd opreq12d oprex eqtr4d 3jca sylbir nn0ex fopabex2 fvex climmul
      mp2an ) GBPQZRSZHCPQZRSZTUAUBUCZOUDZGQZUEUCZWKHQZUEUCZWKIQZWLWNUFUGZUHZUI
      ZOUAUJQZUKZTIWFWHUFUGRSWGWIBUEUCZWGJABDFGLULUMCUEUCZWIKACEFHMULUMUNWJXAUO
      WSOWTWKWTUCZWKUPUCZWSWKUQZXEWMWOWRXEWLUAWKURUGZBDUDZUSUGXHUTQVAUGZDVBZUEF
      AWKUAFUDZURUGZXIDVBZXJUPGXKWKUHZXLXGXIDXKWKUAURVCZVDZLXGXIDVEVFZXEXDXJUEU
      CZXFXDXIUEUCZDXGUKXRXSDXGXHXGUCXHUPUCZXSXHWKVGXBXTXSJBXHVHVIVJVKXIDUAWKVL
      VMVNVOXEWNXGCEUDZUSUGYAUTQVAUGZEVBZUEFAWKXLYBEVBZYCUPHXNXLXGYBEXOVDZMXGYB
      EVEVFZXEXDYCUEUCZXFXDYBUEUCZEXGUKYGYHEXGYAXGUCYAUPUCZYHYAWKVGXCYIYHKCYAVH
      VIVJVKYBEUAWKVLVMVNVOXEWPXJYCUFUGZWQFAWKXMYDUFUGZYJUPIXNXMXJYDYCUFXPYEVPN
      XJYCUFVQVFXEWLXJWNYCUFXQYFVPVRVSVTVKUNWFWHOGHIUAFAUPXMGWALWBFAUPYDHWAMWBF
      AUPYKIWANWBBPWCCPWCWDWE $.
      $( [17-Feb-2006] $) $( [10-Jan-2006] $)
  $}

  ${
    $d f j k m n x y A $.  $d f j k m n x y B $.  $d f m x F $.  $d f m x H $.
    efaddlem27.1 $e |- A e. CC $.
    efaddlem27.2 $e |- B e. CC $.
    efaddlem27.3 $e |- F = { <. n , y >. | ( n e. NN0 /\
            y = sum_ j e. ( 0 ... n ) ( ( ( A + B ) ^ j ) / ( ! ` j ) ) ) } $.
    efaddlem27.4 $e |- H = { <. n , y >. | ( n e. NN0 /\
                    y = ( sum_ j e. ( 0 ... n ) ( ( A ^ j ) / ( ! ` j ) )
                    x. sum_ k e. ( 0 ... n ) ( ( B ^ k ) / ( ! ` k ) ) ) ) } $.
    $( Lemma for ~ efadd .  Show that the convergence of the sequence of
       partial sum products ` H ` to ` exp `` ( A + B ) ` .  The key theorem
       used is ~ 2climnn . $)
    efaddlem27 $p |- H ~~> ( exp ` ( A + B ) ) $=
      ( vm vx vf caddc co ce cfv cc wcel cv wa cn wral cc0 clt wbr cle cmin
      cabs wi wrex cr cli addcl efclt ax-mp cn0 nnnn0t cfz cexp cfa cdiv csu
      wceq opreq2 sumeq1d sumex fvopab4 elfznn0t eftclt mpan syl rgen fsum0clt
      mpan2 eqeltrd cmul opreq12d oprex axmulcl sylanc jca pm3.2i c2 c3 c4 c1
      cfl eqid efaddlem25 fveq2d breq1d imbi2d ralbiia rexbii sylibr ex
      efcvgfsum nn0ex fopabex2 2climnn mp2an ) BCPQZRSZTUAZMUBZGSZTUAZXHHSZTUAZ
      UCZMUDUEZUCUFNUBZUGUHZOUBXHUIUHZXKXIUJQZUKSZXOUGUHZULZMUDUEZOUDUMZULZNUNU
      EZGXFUOUHZUCHXFUOUHXGXNXETUAZXGBCIJUPZXEUQURXMMUDXHUDUAZXHUSUAZXMXHUTZYJX
      JXLYJXIUFXHVAQZXEDUBZVBQYMVCSZVDQZDVEZTFAXHUFFUBZVAQZYODVEYPUSGYQXHVFZYRY
      LYODYQXHUFVAVGZVHKYLYODVIVJZYJYOTUAZDYLUEYPTUAUUBDYLYMYLUAZYMUSUAZUUBYMXH
      VKZYGUUDUUBYHXEYMVLVMVNVOYODXHVPVQVRYJXKYLBYMVBQYNVDQZDVEZYLCEUBZVBQUUHVC
      SVDQZEVEZVSQZTFAXHYRUUFDVEZYRUUIEVEZVSQZUUKUSHYSUULUUGUUMUUJVSYSYRYLUUFDY
      TVHYSYRYLUUIEYTVHVTLUUGUUJVSWAVJZUUGTUAZUUJTUAZUUKTUAYJUUGUUJWBYJUUFTUAZD
      YLUEUUPUURDYLUUCUUDUURUUEBTUAUUDUURIBYMVLVMVNVOUUFDXHVPVQYJUUITUAZEYLUEUU
      QUUSEYLUUHYLUAUUHUSUAZUUSUUHXHVKCTUAUUTUUSJCUUHVLVMVNVOUUIEXHVPVQWCVRWDVN
      VOWEYEYFYDNUNXOUNUAZXPYCUVAXPUCXQUUKYPUJQZUKSZXOUGUHZULZMUDUEZOUDUMYCNBCW
      FWFWGWFVBQVBQWHBUKSWIPQWJSCUKSWIPQWJSVSQWFVBQZVSQZUVHWGPQVBQVSQVSQZUVGDEO
      MIJUVGWKUVIWKWLYBUVFOUDYAUVEMUDYIXTUVDXQYIXSUVCXOUGYIXRUVBUKYIYJXRUVBVFYK
      YJXKUUKXIYPUJUUOUUAVTVNWMWNWOWPWQWRWSVOYGYFYHAXEDFGKWTURWENXFOMGHFAUSUUNH
      XALXBXCXD $.
      $( [17-Feb-2006] $) $( [13-Jan-2006] $)
  $}

  ${
    $d j k n y A $.  $d j k n y B $.
    efaddlem28.1 $e |- A e. CC $.
    efaddlem28.2 $e |- B e. CC $.
    efaddlem28.4 $e |- H = { <. n , y >. | ( n e. NN0 /\
                   y = ( sum_ j e. ( 0 ... n ) ( ( A ^ j ) / ( ! ` j ) )
                    x. sum_ k e. ( 0 ... n ) ( ( B ^ k ) / ( ! ` k ) ) ) ) } $.
    $( Lemma for ~ efadd .  The two expressions that ` H ` converges to are
       equal, since the limit of a converging series is unique by
       ~ climunii .  The result is independent of ` H ` , which can therefore
       be eliminated with ~ equid in the final theorem. $)
    efaddlem28 $p |- ( exp ` ( A + B ) ) = ( ( exp ` A ) x. ( exp ` B ) ) $=
      ( caddc co ce cfv cmul fvex oprex cli wbr cv cn0 wcel cc0 cfz cexp cfa
      cdiv csu wceq wa copab eqid efaddlem27 efaddlem26 pm3.2i climunii ) BCKLZ
      MNZBMNZCMNZOLZGUQMPUSUTOQGURRSGVARSABCDEFFTZUAUBZATZUCVBUDLZUQDTZUELVFUFN
      ZUGLDUHUIUJFAUKZGHIVHULJUMABCDEFVCVDVEBVFUELVGUGLDUHUIUJFAUKZVCVDVECETZUE
      LVJUFNUGLEUHUIUJFAUKZGHIVIULVKULJUNUOUP $.
      $( [17-Feb-2006] $) $( [10-Jan-2006] $)
  $}

  ${
    $d j k n y A $.  $d j k n y B $.
    efadd.1 $e |- A e. CC $.
    efadd.2 $e |- B e. CC $.
    $( Sum of exponents law for exponential function.  Equation 26 of [Rudin]
       p. 164. $)
    efadd $p |- ( exp ` ( A + B ) ) = ( ( exp ` A ) x. ( exp ` B ) ) $=
      ( vy vj vk vn cv cn0 wcel cc0 cfz co cexp cfa cfv cdiv csu cmul wceq wa
      copab eqid efaddlem28 ) EABFGHHIZJKEILUFMNZAFIZONUHPQRNFSUGBGIZONUIPQRNGS
      TNUAUBHEUCZCDUJUDUE $.
      $( [17-Feb-2006] $) $( [10-Jan-2006] $)
  $}

  $( Sum of exponents law for exponential function. $)
  efaddt $p |- ( ( A e. CC /\ B e. CC ) ->
               ( exp ` ( A + B ) ) = ( ( exp ` A ) x. ( exp ` B ) ) ) $=
    ( cc wcel caddc co ce cfv cmul wceq cc0 cif opreq1 fveq2d fveq2 opreq1d
    eqeq12d opreq2 opreq2d 0cn elimel efadd dedth2h ) ACDZBCDZABEFZGHZAGHZBGHZI
    FZJUDAKLZBEFZGHZUKGHZUIIFZJUKUEBKLZEFZGHZUNUPGHZIFZJABKKAUKJZUGUMUJUOVAUFUL
    GAUKBEMNVAUHUNUIIAUKGOPQBUPJZUMURUOUTVBULUQGBUPUKERNVBUIUSUNIBUPGOSQUKUPAKC
    TUABKCTUAUBUC $.
    $( [8-Mar-2006] $) $( [10-Jan-2006] $)

  $( Cancellation of law for exponential function.  Equation 27 of [Rudin]
     p. 164. $)
  efcant $p |- ( A e. CC -> ( ( exp ` A ) x. ( exp ` -u A ) ) = 1 ) $=
    ( cc wcel cneg caddc co ce cfv cmul c1 wceq negclt efaddt mpdan cc0 negidt
    fveq2d ef0 syl6eq eqtr3d ) ABCZAADZEFZGHZAGHUBGHIFZJUAUBBCUDUEKALAUBMNUAUDO
    GHJUAUCOGAPQRST $.
    $( [8-Mar-2006] $) $( [13-Jan-2006] $)

  $( The exponential function never vanishes.  Corollary 15-4.3 of [Gleason]
     p. 309. $)
  efne0t $p |- ( A e. CC -> ( exp ` A ) =/= 0 ) $=
    ( cc wcel ce cfv cc0 wceq wn wne c1 ax1ne0 df-ne mpbi wa cneg cmul co
    opreq1 adantl efcant adantr negclt efclt mul02t 3syl 3eqtr3d ex mtoi
    sylibr ) ABCZADEZFGZHUKFIUJULJFGZJFIUMHKJFLMUJULUMUJULNUKAOZDEZPQZFUOPQZJFU
    LUPUQGUJUKFUOPRSUJUPJGULATUAUJUQFGZULUJUNBCUOBCURAUBUNUCUOUDUEUAUFUGUHUKFLU
    I $.
    $( [13-Mar-2006] $) $( [13-Jan-2006] $)

  $( The exponential function maps the complex numbers to the nonzero complex
     numbers. (Contributed by Paul Chapman, 16-Apr-2008.) $)
  eff2 $p |- exp : CC --> ( CC \ { 0 } ) $=
    ( vx cc cc0 csn cdif ce wf wfn cv cfv wcel wral ffnfv eff ffn ax-mp wne wa
    eldifsn biimpr efclt efne0t sylanc rgen mpbir2an ) BBCDEZFGFBHZAIZFJZUFKZAB
    LABUFFMBBFGUGNBBFOPUJABUIBKZUICQZUJUHBKUJUKULRUIBCSTUHUAUHUBUCUDUE $.
    $( [21-Apr-2008] $) $( [16-Apr-2008] $)

  $( Difference of exponents law for exponential function.  (Contributed by
     Steve Rodriguez, 25-Nov-2007.) $)
  efsubt $p |- ( ( A e. CC /\ B e. CC ) ->
               ( exp ` ( A - B ) ) = ( ( exp ` A ) / ( exp ` B ) ) ) $=
    ( cc wcel wa cmin co ce cfv c1 cdiv cmul cneg caddc wceq efcant eqcomd w3a
    cc0 wne wb divmul2t id efclt negclt syl syl3anl ax1cn pm4.24 biimp anim2i
    3anass sylibr mpan efne0t sylanc mpbird opreq2d adantl efaddt sylan2
    negsubt fveq2d 3eqtr2rd divrect syl3an 3anidm23 eqtr4d ) ACDZBCDZEZABFGZHIZ
    AHIZJBHIZKGZLGZVNVOKGZVKVQVNBMZHIZLGZAVSNGZHIZVMVJVQWAOVIVJVPVTVNLVJVPVTOZJ
    VOVTLGZOZVJWEJBPQJCDZVJVJRZVOSTZWDWFUAZVJWGVOCDZVTCDZWIWJWGVJVJJVOVTUBWGUCB
    UDZVJVSCDZWLBUEZVSUDUFUGWGVJWHUHWGVJEWGVJVJEZEWHVJWPWGVJWPVJUIUJUKWGVJVJULU
    MUNBUOZUPUQURUSVIWNWCWAOVJAVSUTWOVAVKWBVLHABVBVCVDVIVJVRVQOZVNCDWKWIWRVIVJV
    JVNVOVEAUDWMWQVFVGVH $.
    $( [25-Nov-2007] $) $( [25-Nov-2007] $)

  ${
    $d j N $.  $d j k A $.
    $( Exponential function to a nonnegative integer power.  Corollary 15-4.4
       of [Gleason] p. 309, restricted to nonnegative integers. $)
    efexpt $p |- ( ( A e. CC /\ N e. NN0 ) ->
                 ( exp ` ( N x. A ) ) = ( ( exp ` A ) ^ N ) ) $=
      ( vj vk cc wcel cn0 wa cmul co ce cfv cexp wceq axmulcom nn0cnt sylan2
      fveq2d cv wi cc0 c1 caddc opreq1 adantl ax1cn axdistr mp3an3 ax1id
      adantr opreq2d eqtrd efaddt axmulcl pm3.26 sylanc expp1t efclt sylan
      3eqtr4d ex expcom a2d ef0 mul01t exp0t syl 3eqtr4a opreq2 eqeq12d imbi2d
      nn0indALT impcom eqtr3d ) AEFZBGFZHZABIJZKLZBAIJZKLAKLZBMJZVQVRVTKVOBEFVR
      VTNVPABOBPQRVPVOVSWBNZVOACSZIJZKLZWAWDMJZNZTVOAUAIJZKLZWAUAMJZNZTVOADSZIJ
      ZKLZWAWMMJZNZTVOAWMUBUCJZIJZKLZWAWRMJZNZTVOWCTCDBWMGFZVOWQXBVOXCWQXBTVOXC
      HZWQXBXDWQHWOWAIJZWPWAIJZWTXAWQXEXFNXDWOWPWAIUDUEXDWTXENWQXDWTWNAUCJZKLZX
      EXDWSXGKVOWMEFZWSXGNXCVOXIHZWSWNAUBIJZUCJZXGVOXIUBEFWSXLNUFAWMUBUGUHXJXKA
      WNUCVOXKANXIAUIUJUKULWMPZQRWNEFZVOXHXENXDWNAUMVOXIXNXCAWMUNXMQVOXCUOUPULU
      JXDXAXFNZWQWAEFZXCXOVOWAWMUQAURZUSUJUTVAVBVCVOUAKLUBWJWKVDVOWIUAKAVERVOXP
      WKUBNXQWAVFVGVHWDUANZWHWLVOXRWFWJWGWKXRWEWIKWDUAAIVIRWDUAWAMVIVJVKWDWMNZW
      HWQVOXSWFWOWGWPXSWEWNKWDWMAIVIRWDWMWAMVIVJVKWDWRNZWHXBVOXTWFWTWGXAXTWEWSK
      WDWRAIVIRWDWRWAMVIVJVKWDBNZWHWCVOYAWFVSWGWBYAWEVRKWDBAIVIRWDBWAMVIVJVKVLV
      MVN $.
      $( [10-Aug-2007] $) $( [13-Jan-2006] $)
  $}

  $( Value of the exponential function for nonnegative integers.  Special
     case of ~ efvalt .  Equation 30 of [Rudin] p. 164.  (Contributed by
     Steve Rodriguez, 16-Sep-2006.) $)
  efnn0valt $p |- ( N e. NN0 -> ( exp ` N ) = ( e ^ N ) ) $=
    ( cn0 wcel ce cfv c1 cexp co ceu cmul cc wceq nn0cnt ax1id syl fveq2d
    ax1cn efexpt mpan eqtr3d df-e opreq1i syl6eqr ) ABCZADEZFDEZAGHZIAGHUDAFJHZ
    DEZUEUGUDUHADUDAKCUHALAMANOPFKCUDUIUGLQFARSTIUFAGUAUBUC $.
    $( [16-Sep-2006] $) $( [15-Sep-2006] $)

  $( The terms of the series expansion of the exponential function of a real
     number are real.  (Contributed by Paul Chapman, 15-Jan-2008.) $)
  reeftclt $p |- ( ( A e. RR /\ K e. NN0 ) ->
                   ( ( A ^ K ) / ( ! ` K ) ) e. RR ) $=
    ( cexp co cr wcel cfa cfv cc0 wne cdiv cn0 wa redivclt reexpclt cn facclt
    nnret syl adantl facne0t syl3anc ) ABCDZEFBGHZEFZUDIJZUCUDKDEFAEFZBLFZMUCUD
    NABOUHUEUGUHUDPFUEBQUDRSTUHUFUGBUATUB $.
    $( [15-Jan-2008] $) $( [15-Jan-2008] $)

  ${
    eftabs.1 $e |- A e. CC $.
    $( The absolute value of a term in the series expansion of the exponential
       function.  (Contributed by Paul Chapman, 23-Nov-2007.) $)
    eftabs $p |- ( K e. NN0 -> ( abs ` ( ( A ^ K ) / ( ! ` K ) ) ) =
                                  ( ( ( abs ` A ) ^ K ) / ( ! ` K ) ) ) $=
      ( cn0 wcel cexp co cfa cfv cdiv cabs cc cc0 wne wceq absdivt expclt mpan
      cn cr facclt nnret recnt 3syl facne0t syl3anc absexpt cle wbr absidt syl
      clt wi 0re ltlet nngt0t sylc sylanc opreq12d eqtrd ) BDEZABFGZBHIZJGKIZVB
      KIZVCKIZJGZAKIBFGZVCJGVBLEZVCLEZVCMNVDVGOVAVBVCPALEZVAVICABQRVAVCSEZVCTEZ
      VJBUAZVCUBZVCUCUDBUEUFVAVEVHVFVCJVKVAVEVHOCABUGRVMMVCUHUIZVFVCOVAVCUJVAVL
      VMVNVOUKZVMMVCULUIZVPVAMTEVMVRVPUMUNMVCUORVQVAVLVRVNVCUPUKUQURUSUT $.
      $( [23-Nov-2007] $) $( [23-Nov-2007] $)
  $}

  $( Closure of the upper bound of an infinite tail of the series defining the
     exponential function.  (Contributed by Paul Chapman, 17-Jan-2008.) $)
  eftlubclt $p |- ( M e. NN -> ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) e. RR ) $=
    ( c1 caddc co cr wcel cfa cfv cmul cc0 wne cdiv cn redivclt nnret peano2re
    syl cn0 nnnn0t facclt nnmulclt mpancom nnne0t syl3anc ) ABCDZEFZAGHZAIDZEFZ
    UHJKZUEUHLDEFAMFZUEUHNUKAEFUFAOAPQUKUHMFZUIUGMFZUKULUKARFUMASATQUGAUAUBZUHO
    QUKULUJUNUHUCQUD $.
    $( [17-Jan-2008] $) $( [17-Jan-2008] $)

  ${
    $d A j y $.  $d A x $.  $d F x $.  $d N x $.
    eftlex.1 $e |- F = { <. j , y >. |
                     ( j e. NN0 /\ y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    eftlex.2 $e |- A e. CC $.
    $( An upper part of the series defining the exponential function
       converges.  (Contributed by Paul Chapman, 23-Nov-2007.) $)
    eftlexOLD $p |- ( N e. NN -> E. x ( <. N , + >. seq F ) ~~> x ) $=
      ( cn wcel cz cc0 clt wbr wa caddc cop cseqz co cv cli wex elnnz ce cfv
      cn0 cexp cfa cdiv nn0ex fopabex2 fvex 0z cc wf cuz eftclt mpan fopab
      wceq wb nn0uz feq2 ax-mp mpbi cseq0 addex seq0seqz efcvg eqbrtrr iserzex
      sylbi ) FIJFKJLFMNOFPQERSATUANAUBFUCACUDUEZELFDBUFCDTZUGSVNUHUEUISZEUJGUK
      ZCUDULUMUFUNEUOZLUPUEZUNEUOZDBUFUNVOEGCUNJZVNUFJVOUNJHCVNUQURUSUFVRUTVQVS
      VAVBUFVRUNEVCVDVEPEVFSZLPQERSVMUAPEVGVPVHVTWAVMUANHBCDEGVIVDVJVKVL $.
      $( [23-Nov-2007] $) $( [23-Nov-2007] $)
  $}

  ${
    $d A j k x y $.  $d F k x $.  $d M k x $.
    eftlext.1 $e |- F = { <. j , y >. | ( j e. NN0 /\
                          y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    $( An infinite tail of the series defining the exponential function
       converges.  (Contributed by Paul Chapman, 17-Jan-2008.) $)
    eftlext $p |- ( ( A e. CC /\ M e. NN ) ->
                    E. x ( <. M , + >. seq F ) ~~> x ) $=
      ( cc wcel cn caddc cop cseqz co cv cli wbr wex wi cn0 c1 cif cexp cfa
      cfv cdiv wceq wa copab opreq1 opreq1d eqeq2d anbi2d opabbidv syl5eq
      opreq2d breq1d exbidv imbi2d eqid ax1cn elimel eftlexOLD dedth imp ) CHIZ
      FJIZFKLZEMNZAOZPQZARZVFVGVLSVGVHDOZTIZBOZVFCUAUBZVMUCNZVMUDUEZUFNZUGZUHZD
      BUIZMNZVJPQZARZSCUACVPUGZVLWEVGWFVKWDAWFVIWCVJPWFEWBVHMWFVNVOCVMUCNZVRUFN
      ZUGZUHZDBUIWBEWFWJWADBWFWIVTVNWFWHVSVOWFWGVQVRUFCVPVMUCUJUKULUMUNGUOUPUQU
      RUSABVPDWBFWBUTCUAHVAVBVCVDVE $.
      $( [17-Jan-2008] $) $( [17-Jan-2008] $)

    $( Closure of the sum of an infinite tail of the series defining the
       exponential function.  (Contributed by Paul Chapman, 17-Jan-2008.) $)
    eftlclt $p |- ( ( A e. CC /\ M e. NN ) ->
                    sum_ k e. ( ZZ> ` M ) ( F ` k ) e. CC ) $=
      ( vx cc wcel cn wa caddc cop cseqz co cv cli wbr wex cuz cfv csu eftlext
      wi cz cn0 cexp cfa cdiv nn0ex fopabex2 isumclt nnzt sylan ex adantl mpd
      ) BIJZFKJZLFMNEOPHQRSHTZFUAUBDQEUBDUCIJZHABCEFGUDUTVAVBUEUSUTVAVBFUFJVAVB
      UTHDEFCAUGBCQZUHPVCUIUBUJPEUKGULUMFUNUOUPUQUR $.
      $( [17-Jan-2008] $) $( [17-Jan-2008] $)

    $( Closure of the sum of an infinite tail of the series defining the
       exponential function.  (Contributed by Paul Chapman, 17-Jan-2008.) $)
    reeftlclt $p |- ( ( A e. RR /\ M e. NN ) ->
                      sum_ k e. ( ZZ> ` M ) ( F ` k ) e. RR ) $=
      ( vx cz wcel cv cfv cr cuz wral caddc cop cseqz co cli wbr wex csu cn wa
      cn0 cexp cfa cdiv nn0ex fopabex2 isumreclt nnzt adantl wceq eftval
      reeftclt eqeltrd cc0 uztrn nnnn0t elnn0uz sylib sylan2 sylibr ancoms
      3impb 3expia r19.21aiv cc eftlext recnt sylan syl3anc ) FIJZDKZELZMJZDFNL
      ZOFPQERSHKTUAHUBZVSVQDUCMJBMJZFUDJZUEZHDEFCAUFBCKZUGSWDUHLUISEUJGUKULWBVO
      WAFUMUNWCVRDVSWAWBVPVSJZVRWAWBWEVRWAVPUFJZVRWBWEUEWAWFUEVQBVPUGSVPUHLUISZ
      MWFVQWGUOWAABCEVPGUPUNBVPUQURWEWBWFWEWBUEVPUSNLZJZWFWEFWHJZWIWBFVPUSUTWBF
      UFJWJFVAFVBVCVDVPVBVEVFVDVGVHVIBVJJWBVTWAHABCEFGVKBVLVMVN $.
      $( [17-Jan-2008] $) $( [17-Jan-2008] $)
  $}

  ${
    ef1tllem.1 $e |- F = { <. j , y >. | ( j e. NN0 /\
                           y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    ${
      $d A j x y $.  $d F k x $.  $d G k $.  $d H k $.  $d M j k x y $.
      $d P k $.
      ef1tllem.2 $e |- G = { <. j , y >. | ( j e. NN0 /\
                             y = ( ( 1 / ( M + 1 ) ) ^ j ) ) } $.
      ef1tllem.3 $e |- H = { <. j , y >. | ( j e. NN0 /\ y =
                      ( ( 1 / ( ! ` M ) ) x. ( ( 1 / ( M + 1 ) ) ^ j ) ) ) } $.
      ef1tllem.4 $e |- P = { <. j , y >. | ( j e. NN0 /\ y =
                             ( 1 / ( ! ` ( M + j ) ) ) ) } $.
      ef1tllem.5 $e |- M e. NN $.
      ef1tllem.6 $e |- A = 1 $.
      $( Lemma for ~ ef1tlub . $)
      ef1tllem $p |- sum_ k e. ( ZZ> ` M ) ( F ` k ) <_
                     ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) $=
        ( vx cuz cfv cv csu c1 cfa cdiv co caddc cmul cle cc0 cz wcel cr wbr
        w3a wral 0z cn0 elnn0uz wceq opreq2 fveq2d opreq2d oprex fvopab4 wne
        rerecclt cn nnnn0 nn0addclt mpan facclt syl nnret nnne0t sylanc
        eqeltrd cexp cc peano2nn ax-mp nncn nnne0 recexpt mp3an13 wa
        divmuldivt nnre a1i recnd ax1cn jctil nnexpclt jca mulid1 opreq1i
        syl6eq eqtrd nnmulclt faclbnd6 clt wb lerect nngt0t syl2anc mpbid
        breqtrrd 3brtr4d 3jca sylbir rgen cop cseqz cli wex nnzt eqeltr
        eftlext mp2an nn0ex fopabex2 isumclim2t cvv sumex eftval 1expt opreq1d
        nn0cnt axaddcom 3eqtr2rd iserzshft2 addid2 opeq1i breq1i bitr mpbir
        cseq0 cmin cabs nnge1t 1nn nnleltp1t mpbi nn0ge0 absidt breqtrr
        georeclim addex seq0seqz pncant opreq2i 3brtr3 wi reccl recclt eqtr4d
        iserzmulc1 mp3an iserzcmp mpanl12 divmuldiv mulid2 eqtr breqtr ) IQRZES
        ZFRZETZUAIUBRZUCUDZIUAUEUDZIUCUDZUFUDZUVIUVGIUFUDZUCUDZUGUHUIUJZUVDCRZU
        KUJZUVDHRZUKUJZUVOUVQUGULZUMZEUHQRZUNZUVFUVKUGULZUOUVTEUWAUVDUWAUJZUVDU
        PUJZUVTUVDUQZUWEUVPUVRUVSUWEUVOUAIUVDUEUDZUBRZUCUDZUKDAUVDUAIDSZUEUDZUB
        RZUCUDZUWIUPCUWJUVDURZUWLUWHUAUCUWNUWKUWGUBUWJUVDIUEUSUTVAMUAUWHUCVBVCZ
        UWHUKUJZUWHUHVDZUWIUKUJUWEUWHVEUWEUWHVFUJZUWPUWEUWGUPUJZUWRIUPUJZUWEUWS
        INVGZIUVDVHVIZUWGVJVKZUWHVLVKZUWEUWRUWQUXCUWHVMVKVNVOZUWEUVQUVHUAUVIUCU
        DZUVDVPUDZUFUDZUKDAUVDUVHUXFUWJVPUDZUFUDZUXHUPHUWNUXIUXGUVHUFUWJUVDUXFV
        PUSZVALUVHUXGUFVBVCZUWEUXHUAUVGUVIUVDVPUDZUFUDZUCUDZUKUWEUXHUVHUAUXMUCU
        DZUFUDZUXOUWEUXGUXPUVHUFUVIVQUJZUWEUVIUHVDUXGUXPURUVIIVFUJZUVIVFUJZNIVR
        VSZVTZUVIUYAWAUVIUVDWBWCZVAUWEUXQUAUAUFUDZUXNUCUDZUXOUAVQUJZUVGVQUJZWDZ
        UYFUXMVQUJZWDZWDUVGUHVDZUXMUHVDZWDUXQUYEURUWEUAUVGUAUXMWEUWEUYHUYJUWEUY
        GUYFUWEUVGUVGUKUJUWEUVGUWTUVGVFUJZUXAIVJVSZWFWGWHWIWJUWEUYIUYFUWEUXMUWE
        UXMVFUJZUXMUKUJUXTUWEUYOUYAUVIUVDWKVIZUXMVLVKWHZWIWJWLUWEUYLUYKUWEUYOUY
        LUYPUXMVMVKZUVGUYNWAZWJVNUYDUAUXNUCUAWIWMWNWOWPZUXNUKUJZUXNUHVDZUXOUKUJ
        UWEUXNVEUWEUXNVFUJZVUAUYMUYOVUCUWEUVGUXMWQUYMUWEUYNWGUYPVNZUXNVLVKZUWEV
        UCVUBVUDUXNVMVKVNVOVOUWEUWIUXHUVOUVQUGUWEUWIUXOUXHUGUWEUXNUWHUGULZUWIUX
        OUGULZUWTUWEVUFUXAUVDIWRVIVUAUHUXNWSULZUWPUHUWHWSULZVUFVUGWTUWEUXNUWHXA
        VUEUWEVUCVUHVUDUXNXBVKUXDUWEUWRVUIUXCUWHXBVKXCXDUYTXEUWOUXLXFXGXHXIUHUE
        XJZCXKUDUVFXLULZVUJHXKUDUVKXLULZUVNUWBWDUWCVUKIUEXJZFXKUDZUVFXLULZIUIUJ
        ZVUNPSXLULPXMZVUOUXSVUPNIXNVSZBVQUJUXSVUQBUAVQOWIXONPABDFIJXPXQPEFIDAUP
        BUWJVPUDUWJUBRUCUDFXRJXSZXTXQVUKUHIUEUDZUEXJZFXKUDZUVFXLULZVUOUVFYAUJUV
        OVQUJZUVDIUEUDZFRZUVOURZWDZEUWAUNVUKVVCWTUVCUVEEYBZVVHEUWAUWDUWEVVHUWFU
        WEVVDVVGUWEUVOUXEWHUWEUVOUWIUWGFRZVVFUWOUWEVVJUAUWGVPUDZUWHUCUDZUWIUWEV
        VJBUWGVPUDZUWHUCUDZVVLUWEUWSVVJVVNURUXBABDFUWGJYCVKVVMVVKUWHUCBUAUWGVPO
        WNWNWOUWEVVKUAUWHUCUWEUWSVVKUAURUXBUWGYDVKYEWPUWEUWGVVEFUWEUVDVQUJZUWGV
        VEURZUVDYFIVQUJZVVOVVPINVTZIUVDYGVIVKUTYHWLXHXIUVFYAECFIUHDAUPUWMCXRMXS
        ZVUSUOVURYIXQVVBVUNUVFXLVVAVUMFXKVUTIUEIVVRYJYKWNYLYMYNVUJGXKUDZUVJXLUL
        ZVULUEGYOUDZUVIUVIUAYPUDZUCUDZVVTUVJXLUXRUAUVIYQRZWSULVWBVWDXLULUYBUAUV
        IVWEWSUAIUGULZUAUVIWSULZUXSVWFNIYRVSUAVFUJUXSVWFVWGWTYSNUAIYTXQUUAUVIUK
        UJUHUVIUGULVWEUVIURUVIUYAWFUVIUVIUYAVGUUBUVIUUCXQUUDAUVIDGKUUEXQUEGUUFD
        AUPUXIGXRKXSZUUGVWCIUVIUCVVQUYFVWCIURVVRWIIUAUUHXQUUIUUJUVNUVHVQUJUVDGR
        ZVQUJZUVQUVHVWIUFUDZURZWDZEUWAUNVWAVULUUKUOUVGUVGUYNVTZUYSUULVWMEUWAUWD
        UWEVWMUWFUWEVWJVWLUWEVWIUXPVQUWEVWIUXGUXPDAUVDUXIUXGUPGUXKKUXFUVDVPVBVC
        ZUYCWPUYIUYLUXPVQUJUWEUXMUUMUYQUYRVNVOUWEUVQUXHVWKUXLUWEVWIUXGUVHUFVWOV
        AUUNWLXHXIUVJUVHEGHUHUVIIUCVBVWHDAUPUXJHXRLXSZUUOUUPVSUVFUVKECHUHVVIUVH
        UVJUFVBVVSVWPUUQUURXQUVKUAUVIUFUDZUVLUCUDUVMUAUVGUVIIWIVWNUYBVVRUYSINWA
        UUSVWQUVIUVLUCUVIUYBUUTWNUVAUVB $.
        $( [19-Jan-2008] $) $( [19-Jan-2008] $)
    $}

    ${
      $d A j k y $.  $d M j k y $.
      $( An upper bound on the infinite tail of the series expansion of the
         exponential function at 1.  (Contributed by Paul Chapman,
         19-Jan-2008.) $)
      ef1tlub $p |- ( ( M e. NN /\ A = 1 ) ->
                      sum_ k e. ( ZZ> ` M ) ( F ` k ) <_
                      ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) ) $=
        ( cn wcel c1 wceq cuz cfv cv csu caddc co cfa cmul cdiv cle wbr cif
        cn0 cexp wa copab fveq2 sumeq1d opreq1 id opreq12d breq12d opreq1d
        eqeq2d anbi2d opabbidv syl5eq fveq1d sumeq2sdv breq1d eqid 1nn elimel
        eqeq1 elimhyp ef1tllem dedth2h ) FHIZBJKZFLMZDNZEMZDOZFJPQZFRMZFSQZTQZU
        AUBVIFJUCZLMZVMDOZVSJPQZVSRMZVSSQZTQZUAUBVTVLCNZUDIZANZVJBJUCZWFUEQZWFR
        MZTQZKZUFZCAUGZMZDOZWEUAUBFBJJFVSKZVNWAVRWEUAWRVKVTVMDFVSLUHUIWRVOWBVQW
        DTFVSJPUJWRVPWCFVSSFVSRUHWRUKULULUMBWIKZWAWQWEUAWSVTVMWPDWSVLEWOWSWGWHB
        WFUEQZWKTQZKZUFZCAUGWOEWSXCWNCAWSXBWMWGWSXAWLWHWSWTWJWKTBWIWFUEUJUNUOUP
        UQGURUSUTVAAWIWGWHJVSWFPQRMTQKUFCAUGZCDWOWGWHJWBTQWFUEQZKUFCAUGZWGWHJWC
        TQXESQKUFCAUGZVSWOVBXFVBXGVBXDVBFJHVCVDVJWIJKJJKBJBWIJVEJWIJVEJVBVFVGVH
        $.
        $( [19-Jan-2008] $) $( [19-Jan-2008] $)
    $}

    ${
      $d A j k x y $.  $d F k x $.  $d G k $.  $d M j k x y $.
      ef01tllem1.2 $e |- G = { <. j , y >. | ( j e. NN0 /\
                               y = ( ( A ^ ( j - M ) ) / ( ! ` j ) ) ) } $.
      ef01tllem1.3 $e |- M e. NN $.
      ef01tllem1.4 $e |- A e. RR $.
      ef01tllem1.5 $e |- A =/= 0 $.
      $( Lemma for ~ ef01tlub . $)
      ef01tllem1 $p |- ( <. M , + >. seq G ) ~~>
                       ( sum_ k e. ( ZZ> ` M ) ( F ` k ) / ( A ^ M ) ) $=
        ( vx caddc cop cseqz co c1 cexp cdiv cuz cfv cv csu cmul cli wbr cz
        wcel wex cn nnzt ax-mp cc recn eftlext mp2an cn0 cfa nn0ex fopabex2
        isumclim2t wceq wa wral wi nnnn0 expclt cc0 wne wb expne0t mpbir reccl
        elnn0uz mpbi uztrn mpan2 sylibr eftval eftclt mpan eqeltrd syl cmin
        opreq1 opreq2d fveq2 opreq12d oprex fvopab4 w3a cle expsubt a1i 3jca
        eluzle jctil sylanc opreq1d divdiv23t facclt nncnt facne0t 3eqtrd
        divrec2t divclt syl3anc eqtr4d jca rgen sumex iserzmulc1 mp3an eftlclt
        breqtrr ) GNOZFPQZRBGSQZTQZGUAUBZDUCZEUBZDUDZUEQZYDXSTQZUFXQEPQZYDUFUGZ
        XRYEUFUGZGUHUIZYGMUCUFUGMUJZYHGUKUIZYJJGULUMZBUNUIZYLYKBKUOZJMABCEGHUPU
        QMDEGCAURBCUCZSQYPUSUBZTQEUTHVAZVBUQYJXTUNUIYCUNUIZYBFUBZXTYCUEQZVCZVDZ
        DYAVEYHYIVFYMXSYNGURUIZXSUNUIZYOGJVGZBGVHUQZXSVIVJZBVIVJZLYNYLUUHUUIVKY
        OJBGVLUQVMZVNUUCDYAYBYAUIZYSUUBUUKYBURUIZYSUUKYBVIUAUBZUIZUULUUKGUUMUIZ
        UUNUUDUUOUUFGVOVPGYBVIVQVRYBVOVSZUULYCBYBSQZYBUSUBZTQZUNABCEYBHVTZYNUUL
        UUSUNUIZYOBYBWAWBWCWDUUKYTUUSXSTQZUUAUUKYTBYBGWEQZSQZUURTQZUUQXSTQZUURT
        QZUVBUUKUULYTUVEVCUUPCAYBBYPGWEQZSQZYQTQZUVEURFYPYBVCZUVIUVDYQUURTUVKUV
        HUVCBSYPYBGWEWFWGYPYBUSWHWIIUVDUURTWJWKWDUUKUVDUVFUURTYNUULUUDWLUUIGYBW
        MUGZVDUVDUVFVCUUKBYBGWNUUKYNUULUUDYNUUKYOWOUUPUUDUUKUUFWOWPUUKUVLUUIGYB
        WQLWRWSWTUUKUULUVGUVBVCZUUPUUQUNUIZUUEUURUNUIZWLUUHUURVIVJZVDUVMUULUUQX
        SUURXAUULUVNUUEUVOYNUULUVNYOBYBVHWBZUUEUULUUGWOZUULUURUKUIUVOYBXBUURXCW
        DZWPUULUVPUUHYBXDZUUJWRWSWDXEUUKUULUUAUVBVCUUPUULUUAXTUUSUEQZUVBUULYCUU
        SXTUEUUTWGUVAUUEUUHUVBUWAVCUULUUSXSXFUVNUVOUVPUVAUULUUQUURXGUVQUVSUVTXH
        UVRUUHUULUUJWOXHXIWDXIXJXKYDXTDEFGYAYCDXLYRCAURUVJFUTIVAXMXNUMYDUNUIZUU
        EUUHYFYEVCYNYLUWBYOJABCDEGHXOUQUUGUUJYDXSXFXNXP $.
        $( [19-Jan-2008] $) $( [19-Jan-2008] $)
    $}

    ${
      $d A j k x y $.  $d F k x $.  $d G k $.  $d H k x $.  $d M j k x y $.
      ef01tllem2.2 $e |- G = { <. j , y >. | ( j e. NN0 /\
                               y = ( ( A ^ ( j - M ) ) / ( ! ` j ) ) ) } $.
      ef01tllem2.3 $e |- H = { <. j , y >. | ( j e. NN0 /\
                               y = ( ( 1 ^ j ) / ( ! ` j ) ) ) } $.
      ef01tllem2.4 $e |- M e. NN $.
      ef01tllem2.5 $e |- A e. ( 0 (,] 1 ) $.
      $( Lemma for ~ ef01tlub . $)
      ef01tllem2 $p |- sum_ k e. ( ZZ> ` M ) ( F ` k ) <_
                     ( ( A ^ M ) x. ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) ) $=
        ( vx cuz cfv cv csu cexp co cdiv c1 caddc cfa cmul cle wbr cop cseqz
        cli wa cz wcel cr w3a wral cc0 clt cioc wb 0re 1re elioc2t mp2an mpbi
        3simp1i 3simp2i gt0ne0i ef01tllem1 wex cn nnzt ax-mp cc ax1cn eftlext
        cn0 nn0ex fopabex2 isumclim2t pm3.2i cmin wceq nnnn0 elnn0uz uztrn
        mpan2 sylibr opreq1 opreq2d fveq2 opreq12d oprex fvopab4 syl wne
        redivclt nn0sub2t mp3an1 eluzle sylanc reexpclt mpan facclt nnret
        nnne0t syl3anc eqeltrd eftval 1expt opreq1d eqtrd rerecclt ltlei
        3simp3i 3pm3.2i exple1t lediv1tOLD a1i 3jca nngt0t 3syl mpbid 3brtr4d
        rgen sumex iserzcmp eqid ef1tlub reeftlclt recn expne0t mpbir redivcl
        eftlubclt letr expgt0t mp3an ledivmultOLD ) HOPZDQZEPDRZBHSTZUATZHUBUCTHUD
        PHUETUATZUFUGZUUBUUCUUEUETUFUGZUUDYTUUAGPZDRZUFUGZUUIUUEUFUGZUUFHUCUHZF
        UITUUDUJUGZUULGUITZUUIUJUGZUKHULUMZUUAFPZUNUMZUUHUNUMZUUQUUHUFUGZUOZDYT
        UPZUKUUJUUMUUOABCDEFHIJLBUNUMZUQBURUGZBUBUFUGZBUQUBUSTUMZUVCUVDUVEUOZMU
        QUNUMUBUNUMZUVFUVGUTVAVBUQUBBVCVDVEZVFZBUVJUVCUVDUVEUVIVGZVHZVIUUPUUNNQ
        UJUGNVJZUUOHVKUMZUUPLHVLVMZUBVNUMUVNUVMVOLNAUBCGHKVPVDNDGHCAVQUBCQZSTUV
        PUDPZUATGVRKVSZVTVDWAUUPUVBUVOUVADYTUUAYTUMZUURUUSUUTUVSUUQBUUAHWBTZSTZ
        UUAUDPZUATZUNUVSUUAVQUMZUUQUWCWCUVSUUAUQOPZUMZUWDUVSHUWEUMZUWFHVQUMZUWG
        HLWDZHWEVEHUUAUQWFWGUUAWEWHZCAUUABUVPHWBTZSTZUVQUATZUWCVQFUVPUUAWCZUWLU
        WAUVQUWBUAUWNUWKUVTBSUVPUUAHWBWIWJUVPUUAUDWKWLJUWAUWBUAWMWNWOZUWAUNUMZU
        WBUNUMZUWBUQWPZUWCUNUMUVSUWAUWBWQUVSUVTVQUMZUWPUWDHUUAUFUGZUWSUVSUWHUWD
        UWTUWSUWIHUUAWRWSUWJHUUAWTXAZUVCUWSUWPUVJBUVTXBXCWOZUVSUWDUWQUWJUWDUWBV
        KUMZUWQUUAXDZUWBXEWOWOZUVSUWDUWRUWJUWDUXCUWRUXDUWBXFWOWOZXGXHUVSUUHUBUW
        BUATZUNUVSUWDUUHUXGWCUWJUWDUUHUBUUASTZUWBUATUXGAUBCGUUAKXIUWDUXHUBUWBUA
        UUAXJXKXLWOZUWQUWRUXGUNUMUVSUWBXMUXEUXFXAXHUVSUWCUXGUUQUUHUFUVSUWAUBUFU
        GZUWCUXGUFUGZUVSUWSUXJUXAUVCUQBUFUGZUVEUOUWSUXJUVCUXLUVEUVJUQBVAUVJUVKX
        NUVCUVDUVEUVIXOXPBUVTXQXCWOUWPUVHUWQUOUQUWBURUGZUXJUXKUTUVSUWAUBUWBXRUV
        SUWPUVHUWQUXBUVHUVSVBXSUXEXTUVSUWDUXCUXMUWJUXDUWBYAYBXAYCUWOUXIYDXTYEWA
        UUDUUIDFGHUUBUUCUAWMYTUUHDYFCAVQUWMFVRJVSUVRYGVDUVNUBUBWCUUKLUBYHAUBCDG
        HKYIVDUUDUUIUUEUUBUUCUVCUVNUUBUNUMZUVJLABCDEHIYJVDZUVCUWHUUCUNUMZUVJUWI
        BHXBVDZUUCUQWPZBUQWPZUVLBVNUMUVNUXRUXSUTBUVJYKLBHYLVDYMYNUVHUVNUUIUNUMV
        BLAUBCDGHKYJVDUVNUUEUNUMZLHYOVMZYPVDUXNUXPUXTUUFUUGUTZUXOUXQUYAUXNUXPUX
        TUOUQUUCURUGZUYBUVCUWHUVDUYCUVJUWIUVKBHYQYRUUBUUCUUEYSWGYRVE $.
        $( [10-Aug-2008] $) $( [19-Jan-2008] $)

      $( MAY BE REVISED - why is compressed proof shorter than new version? $)
      $( Lemma for ~ ef01tlub . $)
      ef01tllem2OLD $p |- sum_ k e. ( ZZ> ` M ) ( F ` k ) <_
                     ( ( A ^ M ) x. ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) ) $=
        ( vx cuz cfv cv csu cexp co cdiv c1 caddc cfa cmul cle wbr cop cseqz
        cli wa cz wcel cr w3a wral cc0 clt cioc wb 0re 1re elioc2t mp2an mpbi
        3simp1i 3simp2i gt0ne0i ef01tllem1 wex cn nnzt ax-mp cc ax1cn eftlext
        cn0 nn0ex fopabex2 isumclim2t pm3.2i cmin wceq nnnn0 elnn0uz uztrn
        mpan2 sylibr opreq1 opreq2d fveq2 opreq12d oprex fvopab4 syl wne
        redivclt nn0sub2t mp3an1 eluzle sylanc reexpclt mpan facclt nnret
        nnne0t syl3anc eqeltrd eftval 1expt opreq1d eqtrd rerecclt ltlei
        3simp3i 3pm3.2i exple1t lediv1tOLD a1i 3jca nngt0t 3syl mpbid 3brtr4d
        rgen sumex iserzcmp eqid ef1tlub reeftlclt recn expne0tOLD redivcl
        eftlubclt letr expgt0t mp3an ledivmultOLD ) HOPZDQZEPDRZBHSTZUATZHUBUCTHUD
        PHUETUATZUFUGZUUAUUBUUDUETUFUGZUUCYSYTGPZDRZUFUGZUUHUUDUFUGZUUEHUCUHZFU
        ITUUCUJUGZUUKGUITZUUHUJUGZUKHULUMZYTFPZUNUMZUUGUNUMZUUPUUGUFUGZUOZDYSUP
        ZUKUUIUULUUNABCDEFHIJLBUNUMZUQBURUGZBUBUFUGZBUQUBUSTUMZUVBUVCUVDUOZMUQU
        NUMUBUNUMZUVEUVFUTVAVBUQUBBVCVDVEZVFZBUVIUVBUVCUVDUVHVGZVHZVIUUOUUMNQUJ
        UGNVJZUUNHVKUMZUUOLHVLVMZUBVNUMUVMUVLVOLNAUBCGHKVPVDNDGHCAVQUBCQZSTUVOU
        DPZUATGVRKVSZVTVDWAUUOUVAUVNUUTDYSYTYSUMZUUQUURUUSUVRUUPBYTHWBTZSTZYTUD
        PZUATZUNUVRYTVQUMZUUPUWBWCUVRYTUQOPZUMZUWCUVRHUWDUMZUWEHVQUMZUWFHLWDZHW
        EVEHYTUQWFWGYTWEWHZCAYTBUVOHWBTZSTZUVPUATZUWBVQFUVOYTWCZUWKUVTUVPUWAUAU
        WMUWJUVSBSUVOYTHWBWIWJUVOYTUDWKWLJUVTUWAUAWMWNWOZUVTUNUMZUWAUNUMZUWAUQW
        PZUWBUNUMUVRUVTUWAWQUVRUVSVQUMZUWOUWCHYTUFUGZUWRUVRUWGUWCUWSUWRUWHHYTWR
        WSUWIHYTWTXAZUVBUWRUWOUVIBUVSXBXCWOZUVRUWCUWPUWIUWCUWAVKUMZUWPYTXDZUWAX
        EWOWOZUVRUWCUWQUWIUWCUXBUWQUXCUWAXFWOWOZXGXHUVRUUGUBUWAUATZUNUVRUWCUUGU
        XFWCUWIUWCUUGUBYTSTZUWAUATUXFAUBCGYTKXIUWCUXGUBUWAUAYTXJXKXLWOZUWPUWQUX
        FUNUMUVRUWAXMUXDUXEXAXHUVRUWBUXFUUPUUGUFUVRUVTUBUFUGZUWBUXFUFUGZUVRUWRU
        XIUWTUVBUQBUFUGZUVDUOUWRUXIUVBUXKUVDUVIUQBVAUVIUVJXNUVBUVCUVDUVHXOXPBUV
        SXQXCWOUWOUVGUWPUOUQUWAURUGZUXIUXJUTUVRUVTUBUWAXRUVRUWOUVGUWPUXAUVGUVRV
        BXSUXDXTUVRUWCUXBUXLUWIUXCUWAYAYBXAYCUWNUXHYDXTYEWAUUCUUHDFGHUUAUUBUAWM
        YSUUGDYFCAVQUWLFVRJVSUVQYGVDUVMUBUBWCUUJLUBYHAUBCDGHKYIVDUUCUUHUUDUUAUU
        BUVBUVMUUAUNUMZUVILABCDEHIYJVDZUVBUWGUUBUNUMZUVIUWHBHXBVDZBUQWPZUUBUQWP
        ZUVKBVNUMUVMUXQUXRUTBUVIYKLBHYLVDVEYMUVGUVMUUHUNUMVBLAUBCDGHKYJVDUVMUUD
        UNUMZLHYNVMZYOVDUXMUXOUXSUUEUUFUTZUXNUXPUXTUXMUXOUXSUOUQUUBURUGZUYAUVBU
        WGUVCUYBUVIUWHUVJBHYPYQUUAUUBUUDYRWGYQVE $.
        $( [19-Jan-2008] $) $( [19-Jan-2008] $)
    $}

    ${
      $d A j k y $.  $d M j k y $.
      $( An upper bound on the infinite tail of the series expansion of the
         exponential function on the positive reals less than or equal to 1.
         (Contributed by Paul Chapman, 19-Jan-2008.) $)
      ef01tlub $p |- ( ( A e. ( 0 (,] 1 ) /\ M e. NN ) ->
          sum_ k e. ( ZZ> ` M ) ( F ` k ) <_
          ( ( A ^ M ) x. ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) ) ) $=
        ( cc0 c1 cioc co wcel cn cuz cfv cv csu cexp caddc cfa cmul cdiv cle
        wbr cn0 cif wceq wa copab opreq1 opreq1d eqeq2d anbi2d opabbidv syl5eq
        fveq1d sumeq2sdv breq12d fveq2 sumeq1d opreq2 id opreq12d cmin eqid
        1nn elimel cr clt 1re lt01 leid w3a wb 0re elioc2t mp2an biimpr mp3an
        ef01tllem2 dedth2h ) BHIJKZLZFMLZFNOZDPZEOZDQZBFRKZFISKZFTOZFUAKZUBKZUA
        KZUCUDWEWFCPZUELZAPZWCBIUFZWORKZWOTOZUBKZUGZUHZCAUIZOZDQZWRFRKZWMUAKZUC
        UDWDFIUFZNOZXEDQZWRXIRKZXIISKZXITOZXIUAKZUBKZUAKZUCUDBFIIBWRUGZWHXFWNXH
        UCXRWEWGXEDXRWFEXDXRWPWQBWORKZWTUBKZUGZUHZCAUIXDEXRYBXCCAXRYAXBWPXRXTXA
        WQXRXSWSWTUBBWRWORUJUKULUMUNGUOUPUQXRWIXGWMUABWRFRUJUKURFXIUGZXFXKXHXQU
        CYCWEXJXEDFXINUSUTYCXGXLWMXPUAFXIWRRVAYCWJXMWLXOUBFXIISUJYCWKXNFXIUAFXI
        TUSYCVBVCVCVCURAWRCDXDWPWQWRWOXIVDKRKWTUBKUGUHCAUIZWPWQIWORKWTUBKUGUHCA
        UIZXIXDVEYDVEYEVEFIMVFVGBIWBIVHLZHIVIUDZIIUCUDZIWBLZVJVKIVJVLYIYFYGYHVM
        ZHVHLYFYIYJVNVOVJHIIVPVQVRVSVGVTWA $.
        $( [19-Jan-2008] $) $( [19-Jan-2008] $)
    $}

    ${
      $d A j k x y $.  $d F k x $.  $d G k x $.  $d M j k x y $.
      absef01tllem.2 $e |- G = { <. j , y >. | ( j e. NN0 /\
                                 y = ( ( ( abs ` A ) ^ j ) / ( ! ` j ) ) ) } $.
      absef01tllem.3 $e |- A e. CC $.
      absef01tllem.4 $e |- ( abs ` A ) e. ( 0 (,] 1 ) $.
      absef01tllem.5 $e |- M e. NN $.
      $( Lemma for ~ absef01tlub . $)
      absef01tllem $p |- ( abs ` sum_ k e. ( ZZ> ` M ) ( F ` k ) ) <_
              ( ( ( abs ` A ) ^ M ) x. ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) ) $=
        ( vx cuz cfv cv csu cabs cle wbr cexp co c1 caddc cfa cmul cdiv sumex
        cn0 nn0ex fopabex2 cn wcel cz nnzt ax-mp cc wceq wa cc0 nnnn0 elnn0uz
        mpbi uztrn mpan2 sylibr eftval eftclt mpan eqeltrd eftabs fveq2d
        3eqtr4rd jca syl cop cseqz cli wex eftlext mp2an isumclim2t abscl recn
        iserzabs cioc ef01tlub eftlclt cr reeftlclt reexpclt eftlubclt remulcl
        letr ) GNOZDPZEOZDQZROZWOWPFOZDQZSTXABROZGUAUBZGUCUDUBGUEOGUFUBUGUBZUFU
        BZSTZWSXESTWRXADEFGWOWQDUHWOWTDUHCAUIBCPZUAUBXGUEOZUGUBEUJHUKZCAUIXBXGU
        AUBXHUGUBFUJIUKZGULUMZGUNUMZLGUOUPZWPWOUMZWPUIUMZWQUQUMZWTWQROZURZUSXNW
        PUTNOZUMZXOXNGXSUMZXTGUIUMZYAGLVAZGVBVCGWPUTVDVEWPVBVFXOXPXRXOWQBWPUAUB
        WPUEOZUGUBZUQABCEWPHVGZBUQUMZXOYEUQUMJBWPVHVIVJXOYEROXBWPUAUBYDUGUBXQWT
        BWPJVKXOWQYERYFVLAXBCFWPIVGVMVNVOXLGUDVPZEVQUBZMPZVRTMVSZYIWRVRTXMYGXKY
        KJLMABCEGHVTWAMDEGXIWBWAXLYHFVQUBZYJVRTMVSZYLXAVRTXMXBUQUMXKYMXBBJWCZWD
        LMAXBCFGIVTWAMDFGXJWBWAWEXBUTUCWFUBUMXKXFKLAXBCDFGIWGWAWSXAXEWRYGXKWRUQ
        UMJLABCDEGHWHWAWCXBWIUMZXKXAWIUMYNLAXBCDFGIWJWAXCXDYOYBXCWIUMYNYCXBGWKW
        AXKXDWIUMLGWLUPWMWNWA $.
        $( [19-Jan-2008] $) $( [19-Jan-2008] $)
    $}

    ${
      $d A j k y $.  $d M j k y $.
      $( An upper bound on the absolute value of the infinite tail of the
         series expansion of the exponential function on the punctured closed
         unit disk.  (Contributed by Paul Chapman, 19-Jan-2008.) $)
      absef01tlub $p |- ( ( A e. CC /\ ( abs ` A ) e. ( 0 (,] 1 ) /\ M e. NN )
            -> ( abs ` sum_ k e. ( ZZ> ` M ) ( F ` k ) ) <_
            ( ( ( abs ` A ) ^ M ) x. ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) ) ) $=
        ( cc wcel cabs cfv cc0 c1 cioc co cn cuz cv csu cexp caddc cfa cmul
        cdiv cle wbr wa cn0 cif wceq copab opreq1 opreq1d eqeq2d anbi2d
        opabbidv syl5eq fveq1d sumeq2sdv fveq2d fveq2 breq12d sumeq1d opreq2
        id opreq12d eqid eleq1 eleq1d anbi12d ax1cn 0re 1re lt01 ltlei absid
        ax-mp cr clt leid w3a wb elioc2t mp2an biimpr mp3an eqeltr pm3.2i
        elimhyp pm3.26i pm3.27i 1nn elimel absef01tllem dedth2h 3impa ) BHIZBJK
        ZLMNOZIZFPIZFQKZDRZEKZDSZJKZWRFTOZFMUAOZFUBKZFUCOZUDOZUCOZUEUFZWQWTUGZX
        AXMXBXCCRZUHIZARZXNBMUIZXOTOZXOUBKZUDOZUJZUGZCAUKZKZDSZJKZXRJKZFTOZXKUC
        OZUEUFXAFMUIZQKZYEDSZJKZYHYKTOZYKMUAOZYKUBKZYKUCOZUDOZUCOZUEUFBFMMBXRUJ
        ZXFYGXLYJUEUUAXEYFJUUAXBXDYEDUUAXCEYDUUAXPXQBXOTOZXTUDOZUJZUGZCAUKYDEUU
        AUUEYCCAUUAUUDYBXPUUAUUCYAXQUUAUUBXSXTUDBXRXOTULUMUNUOUPGUQURUSUTUUAXGY
        IXKUCUUAWRYHFTBXRJVAZUMUMVBFYKUJZYGYNYJYTUEUUGYFYMJUUGXBYLYEDFYKQVAVCUT
        UUGYIYOXKYSUCFYKYHTVDUUGXHYPXJYRUDFYKMUAULUUGXIYQFYKUCFYKUBVAUUGVEVFVFV
        FVBAXRCDYDXPXQYHXOTOXTUDOUJUGCAUKZYKYDVGUUHVGXRHIZYHWSIZXNUUIUUJUGMHIZM
        JKZWSIZUGBMUUAWQUUIWTUUJBXRHVHUUAWRYHWSUUFVIVJMXRUJZUUKUUIUUMUUJMXRHVHU
        UNUULYHWSMXRJVAVIVJUUKUUMVKUULMWSLMUEUFUULMUJLMVLVMVNVOMVMVPVQMVRIZLMVS
        UFZMMUEUFZMWSIZVMVNMVMVTUURUUOUUPUUQWAZLVRIUUOUURUUSWBVLVMLMMWCWDWEWFWG
        WHWIZWJUUIUUJUUTWKFMPWLWMWNWOWP $.
        $( [19-Jan-2008] $) $( [19-Jan-2008] $)
    $}
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
          e is irrational
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    eirrlem1.1 $e |- N e. NN $.
    $( Lemma for ~ eirr . $)
    eirrlem1 $p |- ( ( N + 2 ) / ( ( N + 1 ) ^ 2 ) ) < 1 $=
      ( c2 caddc co c1 cexp cdiv clt wbr cmul cle cn wcel nnge1t ax-mp cn0 wb
      1nn0 nnnn0 nn0leltp1t mp2an mpbi cr cc0 nnre peano2nn nngt0 ltmulgt11t
      mp3an 1re remulcl lelttr 2re readdcl resqcl w3a wne nnne0 sqgt0
      ltdivmultOLD mpan2 cmin recn mulid1 nncn sqval ax1cn adddir mulid2 opreq2i
      3eqtr eqtr breq2i ltsubadd cc wceq 2cn pnpcant df-2 eqcomi subaddri
      breq1i 3bitr2 bitr mpbir ) ACDEZAFDEZCGEZHEFIJZFAWHKEZIJZFALJZAWKIJZWLAMN
      ZWMBAOPZFWHIJZWNWMWQWPFQNAQNWMWQRSABTFAUAUBUCAUDNWHUDNUEAIJWQWNRABUFZWHWO
      WHMNBAUGPZUFZABUHAWHUIUJUCFAWKUKWRAWHWRWTULZUMUBWJWGWIFKEZIJZWLWGUDNZWIUD
      NZFUDNZWJXCRZACWRUNUOZWHWTUPZUKXDXEXFUQUEWIIJZXGWHUEURXJWHWSUSWHWTUTPWGWI
      FVAVBUJXCWGWKWHDEZIJWGWHVCEZWKIJWLXBXKWGIXBWIXKWIWIXIVDVEWIWHWHKEWKFWHKEZ
      DEXKWHWHWSVFZVGAFWHABVFZVHXNVIXMWHWKDWHXNVJVKVLVMVNWGWHWKXHWTXAVOXLFWKIXL
      CFVCEZFAVPNCVPNFVPNXLXPVQXOVRVHACFVSUJCFFVRVHVHCFFDEVTWAWBVMWCWDWEWF $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

  ${
    $d F k x z $.  $d Q j k x y z $.
    eirrlem2.1 $e |- F = { <. j , y >. | ( j e. NN0 /\
                           y = ( ( 1 ^ j ) / ( ! ` j ) ) ) } $.
    eirrlem2.2 $e |- P e. ZZ $.
    eirrlem2.3 $e |- Q e. NN $.

    $( Lemma for ~ eirr . $)
    eirrlem2 $p |- ( ( ! ` Q ) x.
                     ( ( P / Q ) - sum_ k e. ( 0 ... Q ) ( F ` k ) ) ) e. ZZ $=
      ( vx vz cfa cfv cdiv co cc0 cfz cv csu cmin cmul cz cn0 wcel cn nnnn0
      facclt ax-mp nncn cc zcnt nnne0 divcl cuz wral nn0uz eleqtr wss fzssuzt
      elnn0uz c1 cexp eftval ax1cn eftclt mpan eqeltrd sylbir rgen ssralv mp2
      fsumclt mp2an subdi wceq facnn2t opreq2i wne wa pm3.2i nnm1nn0t nncnt
      nnne0t jca 3syl divcan5t mp3an eqtr pm3.26i mulcl divcan2OLD eqtr3 nnzt
      zmulclt eqeltr fsummulc1 elfznn0t 1expt opreq1d eqtrd opreq2d w3a a1i
      3jca divrect eqtr4d syl permnnt zaddclt fsumcllem zsubclt ) CLMZBCNOZPCQO
      ZERZFMZESZTOUAOXLXMUAOZXLXQUAOZTOZUBXLXMXQXLCUCUDZXLUEUDCIUFZCUGUHZUIZBCB
      UBUDZBUJUDZHBUKUHZCIUIZCIULZUMCPUNMZUDZXPUJUDZEXNUOZXQUJUDCUCYJYBUPUQZXNY
      JURYLEYJUOYMPCUSYLEYJXOYJUDXOUCUDZYLXOUTYOXPVAXOVBOZXOLMZNOZUJAVADFXOGVCZ
      VAUJUDYOYRUJUDVDVAXOVEVFVGVHVIYLEXNYJVJVKZXPEPCVLVMVNXRUBUDXSUBUDXTUBUDXR
      CVATOZLMZBUAOZUBXLUUCXLNOZUAOXRUUCUUDXMXLUAUUDUUCUUBCUAOZNOZXMXLUUEUUCNCU
      EUDZXLUUEVOICVPUHVQYFCUJUDZCPVRZVSUUBUJUDZUUBPVRZVSZUUFXMVOYGUUHUUIYHYIVT
      UUGUULIUUGUUAUCUDZUUBUEUDZUULCWAZUUAUGZUUNUUJUUKUUBWBUUBWCWDWEUHZBCUUBWFW
      GWHVQXLUUCYDUUBBUUJUUKUUQWIYGWJXLYCULWKWLUUBUBUDZYEUUCUBUDUUGUURIUUGUUMUU
      NUURUUOUUPUUBWMWEUHHUUBBWNVMWOXSXNXLXPUAOZESZUBYKXLUJUDZYMXSUUTVOYNYDYTXP
      XLEPCWPWGYKUUSUBUDZEXNUOUUTUBUDYNUVBEXNXOXNUDZUUSUEUDUVBUVCUUSXLYQNOZUEUV
      CYOUUSUVDVOXOCWQYOUUSXLVAYQNOZUAOZUVDYOXPUVEXLUAYOXPYRUVEYSYOYPVAYQNXOWRW
      SWTXAYOYQUEUDZUVAYQUJUDZYQPVRZXBUVDUVFVOXOUGUVGUVAUVHUVIUVAUVGYDXCYQWBYQW
      CXDXLYQXEWEXFXGYAUVCUVDUEUDYBXOCXHVFVGUUSWMXGVIJKUUSUBEPCJRKRXIXJVMWOXRXS
      XKVMWO $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)

    $( Lemma for ~ eirr . $)
    eirrlem3 $p |- ( ( ! ` Q ) x.
                     sum_ k e. ( ZZ> ` ( Q + 1 ) ) ( F ` k ) ) < 1 $=
      ( vx cfa cfv c1 caddc co cuz cv csu cmul c2 cexp cdiv cle wbr clt cn
      wcel wceq peano2nn ax-mp eqid ef1tlub mp2an nncn ax1cn addass df-2
      opreq2i eqtr4 cn0 nnnn0 facclt mulass facp1t opreq1i sqval 3eqtr4
      opreq12i breqtr cc0 wb nngt0 cz cr wral cop cseqz cli wex nnzt nn0uz
      eleqtr wa uztrn elnn0uz sylibr mpan2 eftval 1re reeftclt mpan eqeltrd
      syl rgen cc eftlext nn0ex fopabex2 isumreclt mp3an nnre 2re readdcl
      resqcl remulcl sqcl nnne0 wne sqne0t mpbir muln0 redivcl lemul2 mpbi
      recn mulcl divass pm3.2i divcan5t eqtr3 eirrlem1 lelttr ) CKLZCMNOZPLZEQZ
      FLZERZSOZCTNOZYDTUAOZUBOZUCUDYLMUEUDYIMUEUDYIYCYJYCYKSOZUBOZSOZYLUCYHYNUC
      UDZYIYOUCUDZYHYDMNOZYDKLZYDSOZUBOZYNUCYDUFUGZMMUHYHUUAUCUDCUFUGUUBICUIUJZ
      MUKAMDEFYDGULUMYRYJYTYMUBYRCMMNOZNOYJCMMCIUNUOUOUPTUUDCNUQURUSYCYDSOZYDSO
      YCYDYDSOZSOYTYMYCYDYDYCCUTUGZYCUFUGCIVAZCVBUJZUNZYDUUCUNZUUKVCYSUUEYDSUUG
      YSUUEUHUUHCVDUJVEYKUUFYCSYDUUKVFURVGVHVIVJYCUEUDYPYQVKYCUUIVLYHYNYCYDVMUG
      ZYGVNUGZEYEVOYDNVPFVQOJQVRUDJVSZYHVNUGUUBUULUUCYDVTUJUUMEYEYFYEUGZYFUTUGZ
      UUMUUOYDVJPLZUGZUUPYDUTUUQYDUUCVAWAWBUUOUURWCYFUUQUGUUPYDYFVJWDYFWEWFWGUU
      PYGMYFUAOYFKLUBOZVNAMDFYFGWHMVNUGUUPUUSVNUGWIMYFWJWKWLWMWNMWOUGUUBUUNUOUU
      CJAMDFYDGWPUMJEFYDDAUTMDQZUAOUUTKLUBOFWQGWRWSWTZYJYMCTCIXAXBXCZYCYKYCUUIX
      AZYDYDUUCXAXDZXEYCYKUUJYDUUKXFZYCUUIXGZYKVJXHZYDVJXHZYDUUCXGYDWOUGUVGUVHV
      KUUKYDXIUJXJZXKZXLUVCXMUJXNYCYJSOYMUBOZYOYLYCYJYMUUJYJUVBXOZYCYKUUJUVEXPU
      VJXQYJWOUGYKWOUGZUVGWCYCWOUGZYCVJXHZWCUVKYLUHUVLUVMUVGUVEUVIXRUVNUVOUUJUV
      FXRYJYKYCXSWTXTVICIYAYIYLMYCYHUVCUVAXEYJYKUVBUVDUVIXLWIYBUM $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)

    $( Lemma for ~ eirr . $)
    eirrlem4 $p |- 0 < ( ( ! ` Q ) x.
                         sum_ k e. ( ZZ> ` ( Q + 1 ) ) ( F ` k ) ) $=
      ( vx cfa cfv c1 caddc co cuz cv csu cn0 wcel cn nnnn0 facclt ax-mp nnre
      cz cr wral cop cseqz cli wbr wex nn0p1nnt nn0zt cc0 nn0uz eleqtr uztrn
      mpan2 elnn0uz cexp cdiv eftval 1re reeftclt mpan eqeltrd sylbir syl rgen
      cc ax1cn eftlext mp2an nn0ex fopabex2 isumreclt mp3an nngt0 clt wa
      divgt0t 1expt syl6eqel lt01 syl5breqr jca nnret nngt0t sylanc breqtrrd
      cseq0 efseq0ex addex seq0seqz breq1i exbii mpbi iserzgt0 mulgt0i ) CKLZCM
      NOZPLZEQZFLZERZXBCSTZXBUATCIUBZCUCUDZUEXCUFTZXFUGTZEXDUHXCNUIFUJOJQZUKULJ
      UMZXGUGTXCSTXKXCXHXCUATZXICUNUDZUBZXCUOUDXLEXDXEXDTZXEUPPLZTZXLXRXCXSTZXT
      XCSXSXQUQURZXCXEUPUSUTXTXESTZXLXEVAZYCXFMXEVBOZXEKLZVCOZUGAMDFXEGVDZMUGTY
      CYGUGTVEMXEVFVGVHZVIVJVKMVLTZXOXNVMXPJAMDFXCGVNVOJEFXCDASMDQZVBOYKKLVCOFV
      PGVQZVRVSXBXJVTYAXLUPXFWAULZWBZEXSUHUPNUIFUJOZXMUKULZJUMZUPXGWAULYBYNEXSX
      TYCYNYDYCXLYMYIYCUPYGXFWAYEUGTZUPYEWAULZWBYFUGTZUPYFWAULZWBZUPYGWAULYCYEY
      FWCYCYRYSYCYEMUGXEWDZVEWEYCMYEUPWAUUCWFWGWHYCYFUATZUUBXEUCUUDYTUUAYFWIYFW
      JWHVJWKYHWLWHVIVKNFWMOZXMUKULZJUMZYQYJUUGVMJAMDFGWNUDUUFYPJUUEYOXMUKNFWOY
      LWPWQWRWSJEFUPXCYLWTVSXA $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)

    $( Lemma for ~ eirr . $)
    eirrlem5 $p |- -. e = ( P / Q ) $=
      ( vk vx ceu cdiv co wceq cfa cfv c1 caddc cuz cv csu cmul cz wcel cc0
      clt wbr wn 0z eirrlem4 eirrlem3 ax1cn addid2 breqtrr btwnnzt mp3an cfz
      cmin cn0 ce cexp cc efvalt ax-mp df-e eftval sumeq2i 3eqtr4 eqeq1i biimp
      opreq1d opreq2d cr ere eqeltrr recn wral nnnn0 nn0uz eleqtr wss fzssuzt
      elnn0uz eftclt mpan eqeltrd sylbir rgen ssralv mp2 fsumclt mp2an cop
      cseqz cli wex cn peano2nn nnzt eftlext nn0ex fopabex2 isumclt fopab
      cseq0 efseq0ex isum0split eqcomi subaddri opreq2i syl5eqr eirrlem2
      syl6eqel mto ) KBCLMZNZCOPZCQRMZSPITZEPZIUAZUBMZUCUDZUEUCUDUEYBUFUGYBUEQR
      MZUFUGYCUHUIABCDIEFGHUJYBQYDUFABCDIEFGHUKQULUMUNUEYBUOUPXPYBXQXOUECUQMZXT
      IUAZURMZUBMZUCXPXQUSXTIUAZYFURMZUBMYHYBXPYJYGXQUBXPYIXOYFURXPYIXONKYIXOQU
      TPZUSQXSVAMXSOPLMZIUAZKYIQVBUDZYKYMNULQIVCVDVEUSXTYLIAQDEXSFVFZVGVHZVIVJV
      KVLYJYAXQUBYIYFYAYIKYIVMYPVNVOVPCUESPZUDXTVBUDZIYEVQZYFVBUDCUSYQCHVRZVSVT
      YEYQWAYRIYQVQYSUECWBYRIYQXSYQUDXSUSUDZYRXSWCUUAXTYLVBYOYNUUAYLVBUDULQXSWD
      WEWFWGWHYRIYEYQWIWJXTIUECWKWLXRUCUDZXRRWMEWNMJTZWOUGJWPZYAVBUDXRWQUDZUUBC
      WQUDUUEHCWRVDZXRWSVDYNUUEUUDULUUFJAQDEXRFWTWLJIEXRDAUSQDTZVAMUUGOPLMZEXAF
      XBXCWLYIYFYARMJIECYTDAUSVBUUHEFYNUUGUSUDUUHVBUDULQUUGWDWEXDYNREXEMUUCWOUG
      JWPULJAQDEFXFVDXGXHXIXJXKABCDIEFGHXLXMXN $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

  ${
    $d j q y $.  $d p q $.
    $( ` e ` is irrational.  (Contributed by Paul Chapman, 9-Feb-2008.) $)
    eirr $p |- e e/ QQ $=
      ( vp vq vy vj ceu cq wnel wcel wn cv cdiv co wceq cn wrex cz cc0 cif c1
      opreq1 eqeq2d negbid opreq2 cn0 cexp cfa cfv wa copab eqid 0z elimel 1nn
      eirrlem5 dedth2h nrexdv nrex elq mtbir df-nel mpbir ) EFGEFHZIVBEAJZBJZKL
      ZMZBNOZAPOVGAPVCPHZVFBNVHVDNHZVFIEVHVCQRZVDKLZMZIEVJVIVDSRZKLZMZIVCVDQSVC
      VJMZVFVLVPVEVKEVCVJVDKTUAUBVDVMMZVLVOVQVKVNEVDVMVJKUCUAUBCVJVMDDJZUDHCJSV
      RUELVRUFUGKLMUHDCUIZVSUJVCQPUKULVDSNUMULUNUOUPUQABEURUSEFUTVA $.
      $( [9-Feb-2008] $) $( [9-Feb-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The exponential, sine, and cosine functions (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A j k x y $.  $d F k x $.  $d M j k x y $.
    abspef01tlub.1 $e |- F = { <. j , y >. | ( j e. NN0 /\
                               y = ( ( ( i x. A ) ^ j ) / ( ! ` j ) ) ) } $.
    abspef01tlub.2 $e |- ( P = Re \/ P = Im ) $.
    $( An upper bound on the absolute value of the infinite tail of the series
       expansion of the exponential function on the punctured closed unit disc
       projected onto the real or imaginary axis.  (Contributed by Paul
       Chapman, 19-Jan-2008.) $)
    abspef01tlub $p |- ( ( A e. ( 0 (,] 1 ) /\ M e. NN ) ->
                       ( abs ` ( P ` sum_ k e. ( ZZ> ` M ) ( F ` k ) ) ) <_
                       ( ( A ^ M ) x. ( ( M + 1 ) / ( ( ! ` M ) x. M ) ) ) ) $=
      ( cc0 c1 cioc co wcel cn wa cuz cfv cv csu cabs cexp caddc cfa cmul cdiv
      cc cr cre wceq cim wo wi fveq1 adantr ci eftlclt clt wbr cle w3a wb 0re
      1re elioc2t mp2an biimp 3simp1d recnd axicn axmulcl mpan syl sylan reclt
      adantl eqeltrd ex imclt jaoi ax-mp absclt axmulrcl cn0 reexpclt nnnn0t
      syl2an eftlubclt sylanc fveq2d breq1d absrelet syl5bir absimlet
      absef01tlub 3expa absmult absi opreq1i a1i absidt ltlet 3simp2d sylc
      mulid2t 3eqtrd eqtrd id jca opreq1d breq2d mpbid letrd ) BJKLMZNZGONZPZGQ
      RESFRETZCRZUARZXRUARZBGUBMZGKUCMGUDRGUEMUFMZUEMZXQXSUGNXTUHNXQXSCUIUJZCUK
      UJZULZXQXSUHNZUMZIYEYIYFYEXQYHYEXQPXSXRUIRZUHYEXSYJUJXQXRCUIUNZUOXQYJUHNZ
      YEXQXRUGNZYLUPBUEMZUGNZXPYMXOAYNDEFGHUQXOBUGNZYOXOBXOBUHNZJBURUSZBKUTUSZX
      OYQYRYSVAZJUHNZKUHNXOYTVBVCVDJKBVEVFVGZVHZVIZUPUGNZYPYOVJUPBVKVLVMZVNZXRV
      OVMVPVQVRYFXQYHYFXQPXSXRUKRZUHYFXSUUHUJXQXRCUKUNZUOXQUUHUHNZYFXQYMUUJUUGX
      RVSVMVPVQVRVTWAVIXSWBVMXQYMYAUHNUUGXRWBVMYBUHNZYCUHNZYDUHNXQYBYCWCYQGWDNU
      UKXOXPBGWEUUCGWFWGXPUULXOGWHVPWIYGXQXTYAUTUSZUMZIYEUUNYFYEUUMYJUARZYAUTUS
      ZXQYEXTUUOYAUTYEXSYJUAYKWJWKXQYMUUPUUGXRWLVMWMYFUUMUUHUARZYAUTUSZXQYFXTUU
      QYAUTYFXSUUHUAUUIWJWKXQYMUURUUGXRWNVMWMVTWAXQYAYNUARZGUBMZYCUEMZUTUSZYAYD
      UTUSZYOUUSXNNZPXPUVBXOYOUVDXPUVBAYNDEFGHWOWPXOYOUVDUUFXOUUSBXNXOUUSBUARZB
      XOUUSUPUARZUVEUEMZKUVEUEMZUVEXOYPUUSUVGUJZUUDUUEYPUVIVJUPBWQVLVMUVGUVHUJX
      OUVFKUVEUEWRWSWTXOUVEUGNUVHUVEUJXOUVEBUGYQJBUTUSZUVEBUJXOBXAUUCYQYRUVJXOU
      UAYQYRUVJUMVCJBXBVLUUCXOYQYRYSUUBXCXDWIZUUDVQUVEXEVMXFUVKXGZXOXHVQXIVNXOU
      VBUVCVBXPXOUVAYDYAUTXOUUTYBYCUEXOUUSBGUBUVLXJXJXKUOXLXM $.
      $( [19-Jan-2008] $) $( [19-Jan-2008] $)
  $}

  ${
    $d A j x y $.  $d F k x $.  $d M k x $.
    efsep.1 $e |- F = { <. j , y >. |
                    ( j e. NN0 /\ y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    efsep.2 $e |- A e. CC $.
    efsep.3 $e |- M e. NN0 $.
    efsep.4 $e |- B e. CC $.
    efsep.5 $e |- ( exp ` A ) = ( B + sum_ k e. ( ZZ> ` M ) ( F ` k ) ) $.
    efsep.6 $e |- ( F ` M ) = C $.
    efsep.7 $e |- N = ( M + 1 ) $.
    efsep.8 $e |- D = ( B + C ) $.
    $( Separate out the next term of the power series expansion of the
       exponential function.  The last hypothesis allows the separated terms to
       be rearranged as desired.  (Contributed by Paul Chapman,
       23-Nov-2007.) $)
    efsep $p |- ( exp ` A ) = ( D + sum_ k e. ( ZZ> ` N ) ( F ` k ) ) $=
      ( vx ce cfv caddc co c1 cuz cv csu cz wcel cc wral cop cseqz cli wbr wex
      wceq cn0 nn0zt ax-mp cc0 wss nn0uz eleqtr uzss sseli wf cexp cfa cdiv
      eftclt mpan fopab wb feq2 mpbi ffvelrni syl rgen cn nn0p1nnt eftlext
      mp2an nn0ex fopabex2 isum1p mp3an opreq2i nnzt isumclt addass 3eqtr4
      eqcomi eqtr fveq2i sumeq1i opreq12i eqtr4 ) BTUAZCIHUAZUBUCZIUDUBUCZUEUAZ
      GUFZHUAZGUGZUBUCZEJUEUAZXEGUGZUBUCCIUEUAZXEGUGZUBUCCWTXFUBUCZUBUCWSXGXKXL
      CUBIUHUIZXEUJUIZGXJUKXBUBULHUMUCSUFUNUOSUPZXKXLUQIURUIZXMMIUSUTXNGXJXDXJU
      IXDVAUEUAZUIXNXJXQXDIXQUIZXJXQVBIURXQMVCVDZVAIVEUTVFXQUJXDHURUJHVGZXQUJHV
      GZFAURUJBFUFZVHUCYBVIUAVJUCZHKBUJUIZYBURUIYCUJUILBYBVKVLVMURXQUQXTYAVNVCU
      RXQUJHVOUTVPZVQVRVSYDXBVTUIZXOLXPYFMIWAUTZSABFHXBKWBWCZSGHIFAURYCHWDKWEZW
      FWGWHOCWTXFNXRWTUJUIXSXQUJIHYEVQUTXBUHUIZXOXFUJUIYFYJYGXBWIUTYHSGHXBYIWJW
      CWKWLEXAXIXFUBECDUBUCXARDWTCUBWTDPWMWHWNXHXCXEGJXBUEQWOWPWQWR $.
      $( [23-Nov-2007] $) $( [23-Nov-2007] $)
  $}

  ${
    $d A j k y $.  $d F k $.  $d N k $.
    effsumle.1 $e |- F =
             { <. j , y >. | ( j e. NN0 /\ y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    effsumle.2 $e |- A e. RR $.
    effsumle.3 $e |- N e. NN0 $.
    $( The partial sums of the series expansion of the exponential function of
       a nonnegative real number are bounded by the value of the function.
       (Contributed by Paul Chapman, 21-Aug-2007.) $)
    effsumle $p |- ( 0 <_ A -> ( ( + seq0 F ) ` N ) <_ ( exp ` A ) ) $=
      ( vk cc0 cle wbr cv cfv cuz wral caddc cseq0 co ce wcel cn0 wa cexp cfa
      cdiv cr clt divge0t reexpclt mpan adantr expge0t mp3an1 cn facclt nnret
      syl nngt0t syl2anc wceq eftval breqtrrd elnn0uz sylanbr expcom r19.21aiv
      cop cseqz nn0uz eleqtr nn0ex fopabex2 fvex cli addex seq0seqz cc recn
      efcvg ax-mp eqbrtrr wf reeftclt fopab wb feq2 mpbi climserzle fveq1i
      syl5eqbr ) JBKLZJIMZDNZKLZIJONZPZEQDRSZNZBTNZKLWLWOIWPWMWPUAZWLWOWMUBUAZW
      LWOXAXBWLUCZJBWMUDSZWMUENZUFSZWNKXDUGUAZJXDKLZXEUGUAZJXEUHLZJXFKLXCXDXEUI
      XBXGWLBUGUAZXBXGGBWMUJUKULXKXBWLXHGBWMUMUNXBXIWLXBXEUOUAZXIWMUPZXEUQURULX
      BXJWLXBXLXJXMXEUSURULUTXBWNXFVAWLABCDWMFVBULVCWMVDVEVFVGWQEJQVHDVISZNZWTW
      SKEWPUAWQXOWTKLEUBWPHVJVKWTIDJECAUBBCMZUDSXPUENUFSZDVLFVMZBTVNWRXNWTVOQDV
      PXRVQZBVRUAWRWTVOLBGVSABCDFVTWAWBUBUGDWCZWPUGDWCZCAUBUGXQDFXKXPUBUAXQUGUA
      GBXPWDUKWEUBWPVAXTYAWFVJUBWPUGDWGWAWHWIUKEWRXNXSWJWKUR $.
      $( [8-Jan-2008] $) $( [21-Aug-2007] $)
  $}

  ${
    $d A j y $.
    eft0val.1 $e |- F =
             { <. j , y >. | ( j e. NN0 /\ y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    eft0val.2 $e |- A e. CC $.
    $( The value of the first term of the series expansion of the exponential
       function is 1.  (Contributed by Paul Chapman, 21-Aug-2007.) $)
    eft0val $p |- ( F ` 0 ) = 1 $=
      ( cc0 cfv cexp co cfa cdiv c1 cn0 wcel wceq 0nn0 eftval ax-mp cc exp0t
      fac0 opreq12i ax1cn div1 3eqtr ) GDHZBGIJZGKHZLJZMMLJMGNOUGUJPQABCDGERSUH
      MUIMLBTOUHMPFBUASUBUCMUDUEUF $.
      $( [8-Jan-2008] $) $( [21-Aug-2007] $)
  $}

  ${
    $d A j k x y $.  $d F k $.
    ef4p.1 $e |- F = { <. j , y >. | ( j e. NN0 /\
                       y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.

    ${
      ef4p.2 $e |- A e. CC $.
      $( Separate out the first four terms of the infinite series expansion of
         the exponential function. (Contributed by Paul Chapman,
         19-Jan-2008.) $)
      ef4p $p |- ( exp ` A ) = ( ( ( ( 1 + A ) + ( ( A ^ 2 ) / 2 ) ) +
                 ( ( A ^ 3 ) / 6 ) ) + sum_ k e. ( ZZ> ` 4 ) ( F ` k ) ) $=
        ( c1 caddc co c2 cexp cdiv c3 c6 c4 3nn nnnn0 ax1cn addcl sqcl 2cn
        2ne0 divcl 2nn0 1nn0 cc0 0nn0 0cn ce cfv cuz cv csu cn0 cfa cc wcel
        wceq efvalt ax-mp eftval sumeq2i nn0uz sumeq1i 3eqtr2 efclt eqeltrr
        addid2 eqtr4 eft0val eqcomi efsep exp1t fac1 opreq12i div1 3eqtr df-2
        eqid fac2 opreq2i eqtr df-3 fac3 df-4 ) ABHBIJZBKLJZKMJZIJZBNLJZOMJZWJW
        LIJZCDENPFGNQRZWGWIHBSGTZWHKBGUAUBUCUDTABWGWIWJCDEKNFGUEWOABHBWGCDEHKFG
        UFSABUGHHCDEUGHFGUHUIBUJUKZUGULUKZDUMZEUKZDUNZUGWTIJWPUOBWRLJWRUPUKMJZD
        UNZUOWSDUNWTBUQURZWPXBUSGBDUTVAUOWSXADABCEWRFVBVCUOWQWSDVDVEVFZWTWPWTUQ
        XDXCWPUQURGBVGVAVHVIVJABCEFGVKUGHIJHHSVIVLZXEVMHEUKZBHLJZHUPUKZMJZBHMJB
        HUOURXFXIUSUFABCEHFVBVAXGBXHHMXCXGBUSGBVNVAVOVPBGVQVRVSWGVTVMKEUKZWHKUP
        UKZMJZWIKUOURXJXLUSUEABCEKFVBVAXKKWHMWAWBWCWDWJVTVMNEUKZWKNUPUKZMJZWLNU
        OURXMXOUSWNABCENFVBVAXNOWKMWEWBWCWFWMVTVM $.
        $( [19-Jan-2008] $) $( [19-Jan-2008] $)
    $}

    $( Separate out the first four terms of the infinite series expansion of
       the exponential function.  (Contributed by Paul Chapman,
       19-Jan-2008.) $)
    ef4pt $p |- ( A e. CC -> ( exp ` A ) =
                ( ( ( ( 1 + A ) + ( ( A ^ 2 ) / 2 ) ) + ( ( A ^ 3 ) / 6 ) ) +
                  sum_ k e. ( ZZ> ` 4 ) ( F ` k ) ) ) $=
      ( cc wcel ce cfv c1 caddc co c2 cexp cdiv c3 c6 c4 cuz cv csu wceq cc0
      cif cn0 cfa wa copab fveq2 opreq2 opreq1 opreq1d opreq12d eqeq2d anbi2d
      opabbidv syl5eq fveq1d sumeq2sdv eqeq12d eqid 0cn elimel ef4p dedth ) BGH
      ZBIJZKBLMZBNOMZNPMZLMZBQOMZRPMZLMZSTJZDUAZEJZDUBZLMZUCVGBUDUEZIJZKWALMZWA
      NOMZNPMZLMZWAQOMZRPMZLMZVPVQCUAZUFHZAUAZWAWJOMZWJUGJZPMZUCZUHZCAUIZJZDUBZ
      LMZUCBUDBWAUCZVHWBVTXABWAIUJXBVOWIVSWTLXBVLWFVNWHLXBVIWCVKWELBWAKLUKXBVJW
      DNPBWANOULUMUNXBVMWGRPBWAQOULUMUNXBVPVRWSDXBVQEWRXBWKWLBWJOMZWNPMZUCZUHZC
      AUIWREXBXFWQCAXBXEWPWKXBXDWOWLXBXCWMWNPBWAWJOULUMUOUPUQFURUSUTUNVAAWACDWR
      WRVBBUDGVCVDVEVF $.
      $( [19-Jan-2008] $) $( [19-Jan-2008] $)
  $}

  ${
    $d A j y $.
    efge1.1 $e |- A e. RR $.
    $( The exponential function of a nonnegative real number is greater than or
       equal to 1.  (Contributed by Paul Chapman, 21-Aug-2007.) $)
    efge1 $p |- ( 0 <_ A -> 1 <_ ( exp ` A ) ) $=
      ( vj vy cc0 cle wbr caddc cv cn0 wcel cexp co cfa cfv cdiv wceq wa copab
      cseq0 ce c1 eqid 0nn0 effsumle addex nn0ex opabex2 seq00 recn eft0val
      eqtr2 syl5eqbr ) EAFGEHCIZJKDIAUNLMUNNOPMZQRCDSZTMOZAUAOUBFDACUPEUPUCZBUD
      UEUQEUPOUBHUPUFCDJUOUGUHUIDACUPURABUJUKULUM $.
      $( [8-Jan-2008] $) $( [21-Aug-2007] $)

    $( The exponential function of a nonnegative real number is greater than
       or equal to 1 plus that number.  (Contributed by Paul Chapman,
       18-Oct-2007.) $)
    efge1p $p |- ( 0 <_ A -> ( 1 + A ) <_ ( exp ` A ) ) $=
      ( vj vy cc0 cle wbr c1 caddc cv cn0 wcel cexp co cfa cfv cdiv wceq wa
      copab cseq0 ce eqid 1nn0 effsumle addex nn0ex opabex2 seq01 recn eft0val
      eftval ax-mp cc exp1t fac1 opreq12i div1 3eqtr eqtr2 syl5eqbr ) EAFGHICJZ
      KLDJAVBMNVBOPQNZRSCDTZUANPZAUBPHAINZFDACVDHVDUCZBUDUEVEEVDPZHVDPZINVFIVDU
      FCDKVCUGUHUIVHHVIAIDACVDVGABUJZUKVIAHMNZHOPZQNZAHQNAHKLVIVMRUDDACVDHVGULU
      MVKAVLHQAUNLVKARVJAUOUMUPUQAVJURUSUQUTVA $.
      $( [8-Jan-2008] $) $( [18-Oct-2007] $)

    $( The exponential function of a positive real number is greater than 1.
       (Contributed by Paul Chapman, 21-Aug-2007.) $)
    efgt1 $p |- ( 0 < A -> 1 < ( exp ` A ) ) $=
      ( c1 caddc co clt wbr ce cfv cle cc0 1re readdcl reefcl ltletr ltaddpos
      biimp 0re ltle efge1p syl sylanc ) CCADEZFGZUCAHIZJGZCUEFGKAFGZCUCUELCALB
      MABNOUGUDACBLPQUGKAJGUFKARBSABTUAUB $.
      $( [21-Aug-2007] $) $( [21-Aug-2007] $)

    $( The exponential function of a real number is greater than 0.
       (Contributed by Paul Chapman, 21-Aug-2007.) $)
    efgt0 $p |- 0 < ( exp ` A ) $=
      ( cc0 clt wbr wceq wo ce cfv cle cr wcel 0re lelttrit mp2an leloe orbi1i
      mpbi c1 wa efgt1 lt01 jctil 1re reefcl lttr syl fveq2 ef0 syl6eq
      syl5breqr eqcoms jaoi cneg wb lt0neg1t ax-mp renegcl ltle 3syl cmul co
      cc recn efcant breqtrr prodgt02t mpanl12 mpan2 sylbi ) CADEZCAFZGZACDEZGZ
      CAHIZDEZCAJEZVNGZVOCKLAKLZVSMBCANOVRVMVNCAMBPQRVMVQVNVKVQVLVKCSDEZSVPDEZT
      VQVKWBWAABUAUBUCCSVPMUDABUEZUFUGVQACACFZSVPCDWDVPCHISACHUHUIUJUBUKULUMVNC
      AUNZDEZVQVTVNWFUOBAUPUQWFCWEHIZJEZVQWFWASWGDEZTCWGDEWHWFWIWAWEABURZUAUBUC
      CSWGMUDWEWJUEZUFCWGMWKUSUTWHCVPWGVAVBZDEZVQCSWLDUBAVCLWLSFABVDAVEUQVFVPKL
      WGKLWHWMTVQWCWKVPWGVGVHVIUGVJUMUQ $.
      $( [21-Aug-2007] $) $( [21-Aug-2007] $)
  $}

  $( The exponential function of a real number is greater than 0.
     (Contributed by Paul Chapman, 13-Sep-2007.) $)
  efgt0t $p |- ( A e. RR -> 0 < ( exp ` A ) ) $=
    ( cr wcel cc0 ce cfv clt wbr cif wceq fveq2 breq2d 0re elimel efgt0 dedth
    ) ABCZDAEFZGHDQADIZEFZGHADASJRTDGASEKLSADBMNOP $.
    $( [14-Sep-2007] $) $( [13-Sep-2007] $)

  ${
    eflt.1 $e |- A e. RR $.
    eflt.2 $e |- B e. RR $.
    $( The exponential function on the reals is strictly monotonic.
       (Contributed by Paul Chapman, 21-Aug-2007.) $)
    eflt $p |- ( A < B -> ( exp ` A ) < ( exp ` B ) ) $=
      ( clt wbr cc0 cmin co ce cfv posdif c1 cmul resubcl efgt1 cr wcel w3a wb
      1re reefcl 3pm3.2i efgt0 ltmul2t mp2an sylib caddc recn pncan3 fveq2i
      efadd eqtr3 syl6breqr mulid1 syl5eqbrr sylbi ) ABEFGBAHIZEFZAJKZBJKZEFABC
      DLUSUTMNIZVAUTEUSVBUTURJKZNIZVAEUSMVCEFZVBVDEFZURBADCOZPMQRZVCQRZUTQRZSGU
      TEFVEVFTVHVIVJUAURVGUBACUBZUCACUDMVCUTUEUFUGAURUHIZJKVAVDVLBJABACUIZBDUIU
      JUKAURVMURVGUIULUMUNUTUTVKUIUOUPUQ $.
      $( [21-Aug-2007] $) $( [21-Aug-2007] $)

    $( The exponential function on the reals is strictly monotonic.
       (Contributed by Steve Rodriguez, 22-Aug-2007.) $)
    efltb $p |- ( A < B <-> ( exp ` A ) < ( exp ` B ) ) $=
      ( clt wbr ce cfv eflt cle wn wceq wo fveq2 orim12i leloe reefcl 3imtr4
      lenlt 3imtr3 a3i impbi ) ABEFZAGHZBGHZEFZABCDIUCUFBAJFZUEUDJFZUCKUFKBAEFZ
      BALZMUEUDEFZUEUDLZMUGUHUIUKUJULBADCIBAGNOBADCPUEUDBDQZACQZPRBADCSUEUDUMUN
      STUAUB $.
      $( [22-Aug-2007] $) $( [21-Aug-2007] $)

    $( The exponential function on real numbers is one-to-one.  (Contributed by
       Steve Rodriguez, 25-Aug-2007.) $)
    reef11 $p |- ( ( exp ` A ) = ( exp ` B ) <-> A = B ) $=
      ( clt wbr wn wa ce cfv wceq efltb negbii anbi12i lttri3 reefcl 3bitr4r )
      ABEFZGZBAEFZGZHAIJZBIJZEFZGZUCUBEFZGZHABKUBUCKSUEUAUGRUDABCDLMTUFBADCLMNA
      BCDOUBUCACPBDPOQ $.
      $( [25-Aug-2007] $) $( [24-Aug-2007] $)
  $}

  ${
    $d k x y $.
    $( The exponential function maps real arguments one-to-one to positive
       reals.  (Contributed by Steve Rodriguez, 25-Aug-2007.) $)
    reeff1 $p |- ( exp |` RR ) : RR -1-1-> ( 0 (,) +oo ) $=
      ( vx vy vk cr cc0 cpnf cioo co ce cres wf1 wf cv cfv wceq wi wral f1fv
      cn0 cexp cfa cdiv csu cc wcel wa copab df-ef reseq1 ax-mp wss axresscn
      resopab2 eqtr clt wbr recnt efvalt syl reefclt eqeltrrd efgt0t breqtrd
      jca repos sylibr fopab fvres eqeqan12d wb c1 cif fveq2 eqeq1d eqeq1
      bibi12d eqeq2d eqeq2 1re elimel reef11 dedth2h biimpd sylbid rgen2a
      mpbir2an ) DEFGHZIDJZKDWGWHLAMZWHNZBMZWHNZOZWIWKOZPZBDQADQABDWGWHRABDWGSW
      ICMZTHWPUANUBHCUCZWHWHWIUDUEZWKWQOZUFABUGZDJZWIDUEZWSUFABUGZIWTOWHXAOABCU
      HIWTDUIUJDUDUKXAXCOULWSABDUDUMUJUNXBWQDUEZEWQUOUPZUFWQWGUEXBXDXEXBWIINZWQ
      DXBWRXFWQOWIUQWICURUSZWIUTVAXBEXFWQUOWIVBXGVCVDWQVEVFVGWOABDXBWKDUEZUFZWM
      XFWKINZOZWNXBXHWJXFWLXJWIDIVHWKDIVHVIXIXKWNXBXHXKWNVJXBWIVKVLZINZXJOZXLWK
      OZVJXMXHWKVKVLZINZOZXLXPOZVJWIWKVKVKWIXLOZXKXNWNXOXTXFXMXJWIXLIVMVNWIXLWK
      VOVPWKXPOZXNXRXOXSYAXJXQXMWKXPIVMVQWKXPXLVRVPXLXPWIVKDVSVTWKVKDVSVTWAWBWC
      WDWEWF $.
      $( [25-Aug-2007] $) $( [25-Aug-2007] $)
  $}

  ${
    $d A j y $.
    efm1lim.1 $e |- F = { <. j , y >. |
                          ( j e. NN0 /\ y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    efm1lim.2 $e |- A e. CC $.
    $( Series convergence to the exponential function minus 1.  (Contributed
       by Paul Chapman, 11-Sep-2007.) $)
    efm1lim $p |- ( <. 1 , + >. seq F ) ~~> ( ( exp ` A ) - 1 ) $=
      ( cc0 c1 caddc co cop cseqz ce cfv cmin cli cuz wcel wbr cn0 0nn0 nn0uz
      eleqtr cv cexp cfa cdiv nn0ex fopabex2 fvex cseq0 addex seq0seqz cc
      efcvg ax-mp eqbrtrr wf eftclt mpan fopab wceq wb feq2 mpbi clim2serz
      ax1cn addid2 opeq1i opreq1i cz 0z seqz1 eft0val eqtr opreq2i 3brtr3 ) GHI
      JZIKZDLJZBMNZGGIKDLJZNZOJZHIKZDLJWAHOJPGGQNZRVTWDPSGTWFUAUBUCWADGGCATBCUD
      ZUEJWGUFNUGJZDUHEUIZBMUJIDUKJZWBWAPIDULWIUMBUNRZWJWAPSFABCDEUOUPUQTUNDURZ
      WFUNDURZCATUNWHDEWKWGTRWHUNRFBWGUSUTVATWFVBWLWMVCUBTWFUNDVDUPVEVFUPVSWEDL
      VRHIHVGVHVIVJWCHWAOWCGDNZHGVKRWCWNVBVLIDGULWIVMUPABCDEFVNVOVPVQ $.
      $( [8-Jan-2008] $) $( [11-Sep-2007] $)
  $}

  ${
    $d A j k y $.
    absefm1le.1 $e |- A e. CC $.
    $( The absolute value of the exponential function minus 1 is less than or
       equal to the exponential function minus 1 of the absolute value.
       (Contributed by Paul Chapman, 11-Sep-2007.) $)
    absefm1le $p |- ( abs ` ( ( exp ` A ) - 1 ) ) <_
                    ( ( exp ` ( abs ` A ) ) - 1 ) $=
      ( vk vj vy ce cfv c1 cmin co cabs cv cn0 wcel cexp cfa cdiv wceq wa
      copab oprex nn0ex opabex2 1z cuz cc cn elnnuz nnnn0t sylbir eqid eftval
      eftclt mpan eqeltrd syl cc0 wne absdivt expclt cr facclt nnret recnt
      3syl facne0t syl3anc absexpt cle wbr absidt clt wi 0re ltlet nngt0t sylc
      sylanc opreq12d eqtrd fveq2d 3eqtr4rd jca efm1lim abscl recn iserzabs )
      AFGZHIJAKGZFGZHIJCDLZMNZELZAWKOJWKPGZQJZRSDETZWLWMWIWKOJWNQJZRSDETZHWHHIU
      AWJHIUADEMWOUBUCDEMWQUBUCUDCLZHUEGNZWSWPGZUFNZWSWRGZXAKGZRZWTWSMNZXBWTWSU
      GNXFWSUHWSUIUJZXFXAAWSOJZWSPGZQJZUFEADWPWSWPUKZULZAUFNZXFXJUFNBAWSUMUNUOU
      PWTXFXEXGXFXJKGZWIWSOJZXIQJZXDXCXFXNXHKGZXIKGZQJZXPXHUFNZXIUFNZXIUQURXNXS
      RXFXHXIUSXMXFXTBAWSUTUNXFXIUGNZXIVANZYAWSVBZXIVCZXIVDVEWSVFVGXFXQXOXRXIQX
      MXFXQXORBAWSVHUNYCUQXIVIVJZXRXIRXFXIVKXFYBYCYDYEUPZYCUQXIVLVJZYFXFUQVANYC
      YHYFVMVNUQXIVOUNYGXFYBYHYDXIVPUPVQVRVSVTXFXAXJKXLWAEWIDWRWSWRUKZULWBUPWCE
      ADWPXKBWDEWIDWRYIWIABWEWFWDWG $.
      $( [8-Jan-2008] $) $( [11-Sep-2007] $)
  $}

  ${
    eflegeolem1.1 $e |- A e. RR $.
    eflegeolem1.2 $e |- 0 <_ A $.
    $( Lemma for ~ eflegeo . $)
    eflegeolem1 $p |- ( K e. NN0 -> ( ( A ^ K ) / ( ! ` K ) ) <_ ( A ^ K ) ) $=
      ( cn0 wcel cexp co cfa cfv cdiv cle wbr cmul cr cc0 c1 lemulge11t
      reexpclt mpan cn facclt nnret syl expge0t mp3an13 nnge1t syl2anc w3a clt
      wb ledivmul2tOLD 3jca nngt0t sylanc mpbird ) BEFZABGHZBIJZKHURLMZURURUSNHLMZ
      UROFZUSOFZPURLMZQUSLMZVAUQURUSRAOFZUQVBCABSTZUQUSUAFZVCBUBZUSUCUDZVFUQPAL
      MVDCDABUEUFUQVHVEVIUSUGUDUHVBVCVBUIPUSUJMZUTVAUKUQURUSURULUQVBVCVBVGVJVGU
      MUQVHVKVIUSUNUDUOUP $.
      $( [13-Sep-2007] $) $( [11-Sep-2007] $)
  $}

  ${
    $d A j y $.  $d F k n $.  $d G k n $.  $d j k y $.
    eflegeolem2.1 $e |- A e. RR $.
    eflegeolem2.2 $e |- ( 0 <_ A /\ A < 1 ) $.
    eflegeolem2.3 $e |- F = { <. j , y >. | ( j e. NN0 /\
                           y = ( ( A ^ j ) / ( ! ` j ) ) ) } $.
    eflegeolem2.4 $e |- G = { <. j , y >. | ( j e. NN0 /\
                           y = ( A ^ j ) ) } $.
    $( Lemma for ~ eflegeo . $)
    eflegeolem2 $p |- ( exp ` A ) <_ ( 1 / ( 1 - A ) ) $=
      ( vn vk cc0 caddc cop cseqz co ce cfv cli wbr c1 cmin cdiv wa cz wcel cv
      cr cle w3a cuz wral cseq0 addex cn0 cexp cfa nn0ex fopabex2 seq0seqz cc
      recn efcvg ax-mp eqbrtrr cabs clt cneg 1re abslt lt01 wb lt0neg2t mpbi
      pm3.26i renegcl 0re ltletr mp2an pm3.27i mpbir2an geolimi pm3.2i 0z cfz
      elfznn0t eftval reeftclt mpan eqeltrd syl rgen serzreclt mpan2 opreq2
      oprex fvopab4 reexpclt eflegeolem1 3brtr4d 3jca serzcmp fvex climcmp ) LM
      NZDOPZBQRZSTZXEEOPZUAUABUBPZUCPZSTZUDLUEUFZJUGZXFRZUHUFZXNXIRZUHUFZXOXQUI
      TZUJZJLUKRZULZUDXGXKUITXHXLMDUMPZXFXGSMDUNCAUOBCUGZUPPZYDUQRUCPDURHUSZUTB
      VAUFYCXGSTBFVBZABCDHVCVDVEMEUMPXIXKSMEUNCAUOYEEURIUSZUTABCEIYGBVFRUAVGTUA
      VHZBVGTZBUAVGTZBUAFVIVJYILVGTZLBUITZYJLUAVGTZYLVKUAUHUFYNYLVLVIUAVMVDVNYM
      YKGVOZYILBUAVIVPVQFVRVSYMYKGVTWAWBVEWCXMYBWDXTJYAXNYAUFZXPXRXSYPKUGZDRZUH
      UFZKLXNWEPZULXPYSKYTYQYTUFZYQUOUFZYSYQXNWFZUUBYRBYQUPPZYQUQRUCPZUHABCDYQH
      WGZBUHUFZUUBUUEUHUFFBYQWHWIWJWKZWLKDLXNYFWMWNYPYQERZUHUFZKYTULXRUUJKYTUUA
      UUBUUJUUCUUBUUIUUDUHCAYQYEUUDUOEYDYQBUPWOIBYQUPWPWQZUUGUUBUUDUHUFFBYQWRWI
      WJWKZWLKELXNYHWMWNYPYSUUJYRUUIUITZUJZKYTULXSUUNKYTUUAYSUUJUUMUUHUULUUAUUB
      UUMUUCUUBUUEUUDYRUUIUIBYQFYOWSUUFUUKWTWKXAWLKDELXNYFYHXBWNXAWLWCXGXKJXFXI
      LXEDOWPXEEOWPBQXCUAXJUCWPXDVS $.
      $( [8-Jan-2008] $) $( [11-Sep-2007] $)
  $}

  ${
    $d A j y $.
    eflegeo.1 $e |- A e. RR $.
    eflegeo.2 $e |- ( 0 <_ A /\ A < 1 ) $.
    $( The exponential function on the reals between 0 and 1 lies below
       the comparable geometric series sum.  (Contributed by Paul Chapman,
       11-Sep-2007.) $)
    eflegeo $p |- ( exp ` A ) <_ ( 1 / ( 1 - A ) ) $=
      ( vy vj cv cn0 wcel cexp co cfa cfv cdiv wceq wa copab eqid eflegeolem2
      ) DAEEFZGHZDFZASIJZSKLMJNOEDPZTUAUBNOEDPZBCUCQUDQR $.
      $( [13-Sep-2007] $) $( [11-Sep-2007] $)
  $}

  $( The exponential function on the reals between 0 and 1 lies below
     the comparable geometric series sum.  (Contributed by Paul Chapman,
     11-Sep-2007.) $)
  eflegeot $p |- ( ( A e. RR /\ 0 <_ A /\ A < 1 ) ->
                   ( exp ` A ) <_ ( 1 / ( 1 - A ) ) ) $=
    ( cr wcel cc0 cle wbr c1 clt w3a ce cfv cmin co cdiv cif wceq fveq2 opreq2
    opreq2d breq12d eleq1 breq2 breq1 3anbi123d 0re leid lt01 3pm3.2i elimhyp
    3simp1i 3simp2i 3simp3i pm3.2i eflegeo dedth ) ABCZDAEFZAGHFZIZAJKZGGALMZNM
    ZEFUSADOZJKZGGVCLMZNMZEFADAVCPZUTVDVBVFEAVCJQVGVAVEGNAVCGLRSTVCVCBCZDVCEFZV
    CGHFZUSVHVIVJIDBCZDDEFZDGHFZIADVGUPVHUQVIURVJAVCBUAAVCDEUBAVCGHUCUDDVCPVKVH
    VLVIVMVJDVCBUADVCDEUBDVCGHUCUDVKVLVMUEDUEUFUGUHUIZUJVIVJVHVIVJVNUKVHVIVJVNU
    LUMUNUO $.
    $( [13-Sep-2007] $) $( [11-Sep-2007] $)

  ${
    efm1legeo.1 $e |- A e. RR $.
    efm1legeo.2 $e |- ( 0 <_ A /\ A < 1 ) $.
    $( One less than the exponential function on the reals between 0 and 1
       lies below the comparable geometric series sum.  (Contributed by Paul
       Chapman, 15-Sep-2007.)  $)
    efm1legeo $p |- ( ( exp ` A ) - 1 ) <_ ( A / ( 1 - A ) ) $=
      ( ce cfv c1 cmin co cdiv cle wbr eflegeo cr wcel wb reefcl 1re resubcl
      cc0 clt ax1cn subid pm3.27i ltsub2t mp3an mpbi eqbrtrr gt0ne0i rereccl
      lesub1t cc w3a wne wceq recn 3pm3.2i divsubdirt mp2an nncant opreq1i
      divid opreq2i 3eqtr3 breqtrr ) ADEZFGHZFFAGHZIHZFGHZAVGIHZJVEVHJKZVFVIJKZ
      ABCLVEMNVHMNFMNZVKVLOABPVGFAQBRZVGVNFFGHZSVGTFUAUBAFTKZVOVGTKZSAJKVPCUCAM
      NVMVMVPVQOBQQAFFUDUEUFUGUHZUIQVEVHFUJUEUFFVGGHZVGIHZVHVGVGIHZGHZVJVIFUKNZ
      VGUKNZWDULVGSUMVTWBUNWCWDWDUAVGVNUOZWEUPVRFVGVGUQURVSAVGIWCAUKNVSAUNUAABU
      OFAUSURUTWAFVHGVGWEVRVAVBVCVD $.
      $( [15-Sep-2007] $) $( [15-Sep-2007] $)
  $}

  $( One less than the exponential function on the reals between 0 and 1
     lies below the comparable geometric series sum.  (Contributed by Paul
     Chapman, 15-Sep-2007.) $)
  efm1legeot $p |- ( ( A e. RR /\ 0 <_ A /\ A < 1 ) ->
                     ( ( exp ` A ) - 1 ) <_ ( A / ( 1 - A ) ) ) $=
    ( cr wcel cc0 cle wbr c1 clt w3a ce cfv cmin co cdiv cif wceq fveq2
    opreq1d id opreq2 opreq12d breq12d eleq1 breq2 breq1 3anbi123d 0reALT leid
    lt01 3pm3.2i elimhyp 3simp1i 3simp2i 3simp3i pm3.2i efm1legeo dedth ) ABCZD
    AEFZAGHFZIZAJKZGLMZAGALMZNMZEFVAADOZJKZGLMZVFGVFLMZNMZEFADAVFPZVCVHVEVJEVKV
    BVGGLAVFJQRVKAVFVDVINVKSAVFGLTUAUBVFVFBCZDVFEFZVFGHFZVAVLVMVNIDBCZDDEFZDGHF
    ZIADVKURVLUSVMUTVNAVFBUCAVFDEUDAVFGHUEUFDVFPVOVLVPVMVQVNDVFBUCDVFDEUDDVFGHU
    EUFVOVPVQUGDUGUHUIUJUKZULVMVNVLVMVNVRUMVLVMVNVRUNUOUPUQ $.
    $( [15-Sep-2007] $) $( [15-Sep-2007] $)

  ${
    efcnlem1.1 $e |- A e. RR $.
    efcnlem1.2 $e |- X e. RR $.
    efcnlem1.3 $e |- Y e. RR $.
    efcnlem1.4 $e |- 0 < X $.
    efcnlem1.5 $e |- 0 < Y $.
    $( Lemma for ~ efcn . $)
    efcnlem1 $p |- ( A < ( Y / ( X + Y ) ) -> ( A < 1 /\ ( 1 - A ) =/= 0 /\
                       ( X x. ( A / ( 1 - A ) ) ) < Y ) ) $=
      ( caddc co cdiv clt wbr c1 cmin cc0 wne cmul readdcl recn mulid1 breq2i
      cr wcel wb 1re w3a addgt0i ltdivmultOLD mpan2 mp3an ltaddpos2t mp2an
      3bitr4r mpbi gt0ne0i redivcl lttr 0reALT ltaddsub addid2 breq1i bitr3
      sylibr resubcl gt0ne0 syl wceq divassz ltmuldiv ax-mp biimpr adddi
      syl5eqbrr mulid2 syl6breqr remulcl sylib ax1cn subdir mulcom 3pm3.2i
      mpan mpbird eqbrtrrd 3jca ) ACBCIJZKJZLMZANLMZNAOJZPQZBAWKKJRJZCLMWIWHNLM
      ZWJPBLMZWNGCWGNRJZLMZCWGLMZWNWOWPWGCLWGWGBCEFSZTUAUBCUCUDZWGUCUDZNUCUDZWN
      WQUEZFWSUFWTXAXBUGPWGLMZXCBCEFGHUHZCWGNUIUJUKBUCUDWTWOWRUEEFBCULUMUNUOAWH
      NDCWGFWSWGWSXEUPUQUFURUJZWIPWKLMZWLWIWJXGXFXGPAIJZNLMWJPANUSDUFUTXHANLAAD
      TZVAVBVCVDZWKNAUFDVEZVFVGZWIBARJZWKKJZWMCLWIWLXNWMVHXLBAWKBETZXIWKXKTVIVG
      WIXNCLMZXMWKCRJZLMZWIABRJZXQXMLWIXSNCRJZACRJZOJZXQLWIXSYAIJZXTLMXSYBLMWIY
      CCXTLWIAWGRJZCYCLYDCLMZWIXDYEWIUEXEACWGDFWSVJVKVLABCXIXOCFTZVMVNCYFVOVPXS
      YAXTABDEVQACDFVQNCUFFVQUTVRNACVSXIYFVTVPABXIXOWAVNWIXGXPXRUEZXJXMUCUDZWKU
      CUDZWTUGXGYGYHYIWTBAEDVQXKFWBXMWKCUIWCVGWDWEWF $.
      $( [15-Sep-2007] $) $( [15-Sep-2007] $)
  $}

  ${
    efcnlem2.1 $e |- X e. CC $.
    efcnlem2.2 $e |- W e. CC $.
    efcnlem2.3 $e |- Y e. RR $.
    efcnlem2.4 $e |- 0 < Y $.
    efcnlem2.5 $e |- S = ( abs ` ( exp ` X ) ) $.
    efcnlem2.6 $e |- H = ( abs ` ( X - W ) ) $.
    efcnlem2.7 $e |- G = ( H / ( 1 - H ) ) $.
    efcnlem2.8 $e |- D = ( Y / ( S + Y ) ) $.
    $( Lemma for ~ efcn . $)
    efcnlem2 $p |- ( H < D -> ( abs ` ( ( exp ` X ) - ( exp ` W ) ) ) < Y ) $=
      ( clt wbr ce cfv cmin co cabs c1 cmul cr wcel cc efclt ax-mp abscl
      eqeltr subcl ax1cn remulcl a1i axmulrcl cc0 wne cdiv caddc w3a breq2i
      cneg negsubdi2 fveq2i absneg 3eqtr2 efne0t absgt0 mpbi breqtrr efcnlem1
      sylbi 3simp2d 1re resubcl redivclz syl5eqel syl sylanc cle reefcl
      absefm1le opreq1i 3simp1d absge0 efm1legeot mp3an12 syl6breqr letrd wb
      lemul2t mpan2 syl3anc mpbid 3simp3d opreq2i syl5eqbr lelttrd absmul
      subdi efadd pncan3 eqtr3 mulid1 opreq12i eqtr2 3eqtr4 abssub ) DAPQZERSZF
      RSZTUAZUBSZGXLXKTUAUBSPXJBEFTUAZRSZUCTUAZUBSZUDUAZGXNPXJXSBCUDUAZGXSUEUFX
      JBXRBXLUBSZUELXLFUGUFZXLUGUFHFUHUIZUJUKZXQXPUCXOUGUFXPUGUFEFIHULZXOUHUIZU
      MULZUJZUNUOBUEUFZCUEUFZXTUEUFXJBCUPYIXJYDUOZXJUCDTUAZUQURZYJXJDUCPQZYMBDY
      LUSUAZUDUAZGPQZXJDGBGUTUAUSUAZPQYNYMYQVAAYRDPOVBDBGDXOUBSZUEDFETUAZUBSXOV
      CZUBSYSMUUAYTUBEFIHVDVEXOYEVFVGZXOYEUJUKZYDJUQYABPXLUQURZUQYAPQYBUUDHFVHU
      IXLYCVIVJLVKZKVLVMZVNYMYOUECDYLUUCUCDVOUUCVPVQNVRVSZVTGUEUFXJJUOXJXRCWAQZ
      XSXTWAQZXJXRDRSZUCTUAZCXRUEUFZXJYHUOZUUKUEUFXJUUJUCDUUCWBVOVPUOUUGXRUUKWA
      QXJXRYSRSZUCTUAUUKWAXOYEWCUUJUUNUCTDYSRUUBVEWDVKUOXJUUKYOCWAXJYNUUKYOWAQZ
      XJYNYMYQUUFWEDUEUFUQDWAQYNUUOUUCUQYSDWAXOYEWFUUBVKDWGWHVSNWIWJUULYJYIUUHU
      UIWKZXJUULYJYIVAUQBPQUUPUUEXRCBWLWMUUMUUGYKWNWOXJYPGXTPXJYNYMYQUUFWPCYOBU
      DNWQWRWSXLXQUDUAZUBSYAXRUDUAXNXSXLXQYCYGWTXMUUQUBUUQXLXPUDUAZXLUCUDUAZTUA
      XMXLXPUCYCYFUMXAUURXKUUSXLTFXOUTUAZRSUURXKFXOHYEXBUUTERFEHIXCVEXDXLYCXEXF
      XGVEBYAXRUDLWDXHWRXLXKYCEUGUFXKUGUFIEUHUIXIWR $.
      $( [15-Sep-2007] $) $( [15-Sep-2007] $)
  $}

  ${
    efcnlem3.1 $e |- X e. CC $.
    efcnlem3.2 $e |- W e. CC $.
    efcnlem3.3 $e |- Y e. RR $.
    efcnlem3.4 $e |- 0 < Y $.
    $( Lemma for ~ efcn . $)
    efcnlem3 $p |- ( ( abs ` ( X - W ) ) < ( Y / ( ( abs ` ( exp ` X ) ) + Y )
            ) -> ( abs ` ( ( exp ` X ) - ( exp ` W ) ) ) < Y ) $=
      ( ce cfv cabs caddc co cdiv cmin c1 eqid efcnlem2 ) CBHIJIZCKLMLZRBANLJIZ
      OTNLMLZTABCDEFGRPTPUAPSPQ $.
      $( [15-Sep-2007] $) $( [15-Sep-2007] $)
  $}

  $( Lemma for ~ efcn . $)
  efcnlem4 $p |- ( ( X e. CC /\ W e. CC /\ ( Y e. RR /\ 0 < Y ) ) ->
             ( ( abs ` ( X - W ) ) < ( Y / ( ( abs ` ( exp ` X ) ) + Y ) ) ->
                     ( abs ` ( ( exp ` X ) - ( exp ` W ) ) ) < Y ) ) $=
    ( cc wcel cr cc0 clt wbr wa cmin co cabs cfv ce caddc cdiv wi cif c1 wceq
    opreq1 fveq2d fveq2 3syl opreq2d breq12d breq1d imbi12d opreq2 id opreq12d
    breq2d breq2 0cn elimel eleq1 anbi12d 1re lt01 pm3.2i elimhyp pm3.26i
    pm3.27i efcnlem3 dedth3h ) BDEZADEZCFEZGCHIZJZBAKLZMNZCBONZMNZCPLZQLZHIZVNA
    ONZKLZMNZCHIZRVGBGSZAKLZMNZCWCONZMNZCPLZQLZHIZWFVSKLZMNZCHIZRBACGGTWCVHAGSZ
    KLZMNZWIHIZWFWNONZKLZMNZCHIZRWPVKCTSZWGXBPLZQLZHIZWTXBHIZRBWCUAZVRWJWBWMXGV
    MWEVQWIHXGVLWDMBWCAKUBUCXGVPWHCQXGVNWFUAZVOWGUAVPWHUABWCOUDZVNWFMUDVOWGCPUB
    UEUFUGXGWAWLCHXGXHVTWKUAWAWLUAXIVNWFVSKUBVTWKMUDUEUHUIAWNUAZWJWQWMXAXJWEWPW
    IHXJWDWOMAWNWCKUJUCUHXJWLWTCHXJVSWRUAWKWSUAWLWTUAAWNOUDVSWRWFKUJWKWSMUDUEUH
    UICXBUAZWQXEXAXFXKWIXDWPHXKCXBWHXCQXKUKCXBWGPUJULUMCXBWTHUNUIWNWCXBBGDUOUPA
    GDUOUPXBFEZGXBHIZVKXLXMJTFEZGTHIZJCTXKVIXLVJXMCXBFUQCXBGHUNURTXBUAXNXLXOXMT
    XBFUQTXBGHUNURXNXOUSUTVAVBZVCXLXMXPVDVEVF $.
    $( [15-Sep-2007] $) $( [15-Sep-2007] $)

  ${
    $d w x y z $.
    $( The exponential function is continuous.  (Contributed by Paul Chapman,
       15-Sep-2007.) $)
    efcn $p |- exp e. ( CC -cn-> CC ) $=
      ( vx vw vz vy ce cc ccncf co wcel wf cv cmin cabs cfv clt wbr wi wral
      crp wrex wss wa wb ssid elcncf mp2an eff caddc cdiv wceq breq2 imbi1
      imbi2 3syl ralbidv2 rcla4ev cr cc0 wne redivclt pm3.27 elrp sylib
      pm3.26d axaddrcl efclt absclt syl adantr sylanc gt0ne0t addgt0t efne0t
      absgt0t mpbid pm3.27d syl2anc syl3anc divgt0t jca sylibr w3a 3ancoma
      3anbi3i 3anass 3bitr3 efcnlem4 sylbir expcom r19.21aiv rgen2 mpbir2an )
      EFFGHIZFFEJZAKZBKZLHMNZCKZOPZWOENZWPENLHMNDKZOPZQZBFRZCSTZDSRAFRZFFUAZXGW
      MWNXFUBUCFUDZXHADCBFFEUEUFUGXEADFSXAWTMNZXAUHHZUIHZSIZWQXKOPZXBQZBFRZXEWO
      FIZXASIZUBZXDXOCXKSWRXKUJZXCXNBFFXSWSXMUCXCXNUCWPFIZXCQXTXNQUCWRXKWQOUKWS
      XMXBULXCXNXTUMUNUOUPXRXKUQIZURXKOPZUBXLXRYAYBXAUQIZXJUQIZXJURUSZYAXRXAXJU
      TXRYCURXAOPZXRXQYCYFUBZXPXQVAXAVBZVCZVDZXIUQIZYCYDXRXIXAVEXPYKXQXPWTFIZYK
      WOVFZWTVGVHVIZYJVJZYDURXJOPZYEXRXJVKYOYKYCURXIOPZYFYPXRXIXAVLYNYJXPYQXQXP
      WTURUSZYQWOVMXPYLYRYQUCYMWTVNVHVOVIXRYCYFYIVPVQZVJVRYGYDYPUBYBXRXAXJVSYIX
      RYDYPYOYSVTVJVTXKVBWAXRXNBFXTXRXNXTXRUBZXPXTYGWBZXNXPXTXQWBXTXPXQWBUUAYTX
      PXTXQWCXQYGXPXTYHWDXTXPXQWEWFWPWOXAWGWHWIWJVJWKWL $.
      $( [27-Nov-2007] $) $( [15-Sep-2007] $)
  $}

  ${
    $d C y $.  $d U x y $.
    reeff1olem1.1 $e |- U e. RR $.
    reeff1olem1.2 $e |- 1 < U $.
    reeff1olem1.3 $e |- S = { x e. ( 0 [,] U ) | ( exp ` x ) = U } $.
    reeff1olem1.4 $e |- C = sup ( S , RR , < ) $.
    $( Lemma for ~ reeff1o . $)
    reeff1olem1 $p |- E. y e. RR ( exp ` y ) = U $=
      ( cr wcel ce cfv wceq wa cv wrex cc0 cioo co cc 0re c1 clt wbr lt01 1re
      lttr mp2an cicc cle w3a wb elicc2t biimp 3simp1d ssriv axresscn sstri
      ssid efcn reefclt syl ef0 eqbrtr caddc ltp1 ax1cn recn addcom ltlei
      efge1p ax-mp eqbrtrr readdcl reefcl ltletr pm3.2i isupivth ioossre sseli
      anim1i fveq2 eqeq1d rcla4ev ) CJKZCLMZENZOZBPZLMZENZBJQCRESTZKZWHOWIARECU
      ADELUBFFRUCUDUEUCEUDUEREUDUEUFGRUCEUBUGFUHUIZREUJTZJUAAWPJAPZWPKZWQJKZRWQ
      UKUEZWQEUKUEZWRWSWTXAULZRJKEJKWRXBUMUBFREWQUNUIUOUPZUQURUSUAUTVAWRWSWQLMJ
      KXCWQVBVCHRLMZEUDUEEELMZUDUEZXDUCEUDVDGVEEEUCVFTZUDUEXGXEUKUEXFEFVGUCEVFT
      ZXGXEUKUCEVHEFVIVJREUKUEXHXEUKUEREUBFWOVKEFVLVMVNEXGXEFEUCFUGVOEFVPVQUIVR
      IVSWNWFWHWMJCREVTWAWBVMWLWHBCJWJCNWKWGEWJCLWCWDWEVM $.
      $( [22-Jan-2008] $) $( [18-Oct-2007] $)
  $}

  ${
    $d U x y $.
    $( Lemma for ~ reeff1o . $)
    reeff1olem2 $p |- ( ( U e. RR /\ 1 < U ) -> E. x e. RR ( exp ` x ) = U ) $=
      ( vy cr wcel c1 clt wbr wa cv ce cfv wceq wrex c2 cif eqeq2 rexbidv cc0
      cicc co crab csup eleq1 breq2 anbi12d 2re 1lt2 pm3.2i elimhyp pm3.26i
      pm3.27i eqid reeff1olem1 dedth ) BDEZFBGHZIZAJKLZBMZADNUSURBOPZMZADNBOBVA
      MZUTVBADBVAUSQRCACJKLVAMCSVATUAUBZDGUCZVDVAVADEZFVAGHZURVFVGIODEZFOGHZIBO
      VCUPVFUQVGBVADUDBVAFGUEUFOVAMVHVFVIVGOVADUDOVAFGUEUFVHVIUGUHUIUJZUKVFVGVJ
      ULVDUMVEUMUNUO $.
      $( [22-Jan-2008] $) $( [18-Oct-2007] $)
  $}

  ${
    $d k p q $.  $d x y z $.
    $( The real exponential function is one-to-one onto.  (Contributed by Paul
       Chapman, 18-Oct-2007.) $)
    reeff1o $p |- ( exp |` RR ) : RR -1-1-onto-> ( 0 (,) +oo ) $=
      ( vp vq vk vz vx vy cr cc0 cpnf cioo co ce cres wf1o wf1 wfo df-f1o
      reeff1 wfn crn wceq df-fo cc wss axresscn wb cn0 cv cexp cfa cfv cdiv
      csu sumex df-ef fnopab2 fnssresb ax-mp mpbir wf wa ccnv wfun df-f1 mpbi
      pm3.26i df-f pm3.27i wcel wrex clt wbr c1 wo 1re cle lelttrit leloet
      orbi1d mpbid mpan2 adantr reclt1t cneg reeff1olem2 wne gt0ne0t
      rerecclt syldan sylan wi rec11rt an4s recnt jca efclt syl efne0t syl2an
      cmul efcant eqcomd w3a divmul2t ax1cn a1i negclt 3jca sylanc mpbird
      eqeq1d adantl bitrd eqcom syl5bbr biimpd r19.22dva mpd renegclt infm3lem
      fveq2 rexxfr sylibr ex sylbid imp ef0 eqeq2i 0re rcla4ev mpan eqcoms
      sylbir jaodan adantlr mpdan repos fvres rexbiia 3imtr4 fvelrnb ssriv
      eqssi mpbir2an ) GHIJKZLGMZNGUUEUUFOZGUUEUUFPZGUUEUUFQRUUHUUFGSZUUFTZUUEU
      AGUUEUUFUBUUIGUCUDZUELUCSUUIUUKUFABUCUGAUHCUHZUIKUULUJUKULKZCUMLUGUUMCUNA
      BCUOUPUCGLUQURUSZUUJUUEUUIUUJUUEUDZGUUEUUFUTZUUIUUOVAUUPUUFVBVCZUUGUUPUUQ
      VARGUUEUUFVDVEVFGUUEUUFVGVEVHDUUEUUJDUHZUUEVIZEUHZUUFUKZUURUAZEGVJZUURUUJ
      VIZUURGVIZHUURVKVLZVAZUUTLUKZUURUAZEGVJZUUSUVCUVGUURVMVKVLZUURVMUAZVNZVMU
      URVKVLZVNZUVJUVEUVOUVFUVEVMGVIZUVOVOUVEUVPVAZUURVMVPVLZUVNVNUVOUURVMVQUVQ
      UVRUVMUVNUURVMVRVSVTWAWBUVGUVMUVJUVNUVGUVKUVJUVLUVGUVKUVJUVGUVKVMVMUURULK
      ZVKVLZUVJUURWCUVGUVTUVJUVGUVTVAZFUHZWDZLUKZUURUAZFGVJZUVJUWAUWBLUKZUVSUAZ
      FGVJZUWFUVSGVIZUVTUWIUVGFUVSWEUVEUVFUURHWFZUWJUURWGZUURWHWIWJUVGUWIUWFWKU
      VTUVGUWHUWEFGUVGUWBGVIZVAZUWHUWEUWNUVSUWGUAZUWEUWHUWNUWOVMUWGULKZUURUAZUW
      EUURUCVIZUWKVAUWGUCVIZUWGHWFZVAUWOUWQUFZUVGUWMUWRUWSUWKUWTUXAUURUWGWLWMUV
      GUWRUWKUVEUWRUVFUURWNWBUWLWOUWMUWSUWTUWMUWBUCVIZUWSUWBWNZUWBWPZWQUWMUXBUW
      TUXCUWBWRZWQWOWSUWMUWQUWEUFUVGUWMUWPUWDUURUWMUXBUWPUWDUAZUXCUXBUXFVMUWGUW
      DWTKZUAZUXBUXGVMUWBXAXBVMUCVIZUWSUWDUCVIZXCUWTUXFUXHUFUXBVMUWGUWDXDUXBUXI
      UWSUXJUXIUXBXEXFUXDUXBUWCUCVIUXJUWBXGUWCWPWQXHUXEXIXJWQXKXLXMUVSUWGXNXOXP
      XQWBXRUVIUWEEFUWCGUWBXSEFXTUUTUWCUAUVHUWDUURUUTUWCLYAXKYBYCYDYEYFUVLUVJUV
      GUVLUURHLUKZUAUVJUXKVMUURYGYHUVJUXKUURHGVIUXKUURUAZUVJYIUVIUXLEHGUUTHUAUV
      HUXKUURUUTHLYAXKYJYKYLYMXLYNUVEUVNUVJUVFEUURWEYOYNYPUURYQUVBUVIEGUUTGVIUV
      AUVHUURUUTGLYRXKYSYTUUIUVDUVCUFUUNEGUURUUFUUAURYCUUBUUCUUDUUD $.
      $( [18-Oct-2007] $) $( [18-Oct-2007] $)
  $}

  $( The real exponential function is one-to-one onto.  (Contributed by Steve
     Rodriguez, 25-Nov-2007.) $)
  reeff1o2 $p |- ( exp |` RR ) : RR -1-1-onto-> RR+ $=
    ( cr cc0 cpnf cioo co ce cres wf1o crp reeff1o wceq wb ioorp f1oeq3 ax-mp
    mpbi ) ABCDEZFAGZHZAIRHZJQIKSTLMQIARNOP $.
    $( [25-Nov-2007] $) $( [25-Nov-2007] $)

  ${
    $d x y $.
    $( The exponential function on the reals determines an isomorphism from
       reals onto positive reals.  (Contributed by Steve Rodriguez,
       25-Nov-2007.) $)
    reefiso $p |- ( exp |` RR ) Isom < , < ( RR , RR+ ) $=
      ( vx vy cr crp clt ce cres wiso wf1o cv wbr cfv wb wral df-iso reeff1o2
      wcel cc0 cif wceq breq1 fveq2 breq1d bibi12d breq2 breq2d 0re elimel
      efltb fvres ax-mp breq12i bitr4 dedth2h rgen2a mpbir2an ) CDEEFCGZHCDUQIA
      JZBJZEKZURUQLZUSUQLZEKZMZBCNACNABCDEEUQOPVDABCURCQZUSCQZVDVEURRSZUSEKZVGU
      QLZVBEKZMVGVFUSRSZEKZVIVKUQLZEKZMURUSRRURVGTZUTVHVCVJURVGUSEUAVOVAVIVBEUR
      VGUQUBUCUDUSVKTZVHVLVJVNUSVKVGEUEVPVBVMVIEUSVKUQUBUFUDVLVGFLZVKFLZEKVNVGV
      KURRCUGUHZUSRCUGUHZUIVIVQVMVREVGCQVIVQTVSVGCFUJUKVKCQVMVRTVTVKCFUJUKULUMU
      NUOUP $.
      $( [25-Nov-2007] $) $( [25-Nov-2007] $)
  $}

  ${
    $d x y A $.
    $( Value of the sine function. $)
    sinvalt $p |- ( A e. CC -> ( sin ` A ) =
       ( ( ( exp ` ( i x. A ) ) - ( exp ` ( -u i x. A ) ) ) / ( 2 x. i ) ) ) $=
      ( vx vy ci cv cmul co ce cfv cneg cmin c2 cdiv cc csin wceq opreq2
      fveq2d opreq12d opreq1d df-sin oprex fvopab4 ) BCADBEZFGZHIZDJZUDFGZHIZKG
      ZLDFGZMGDAFGZHIZUGAFGZHIZKGZUKMGNOUDAPZUJUPUKMUQUFUMUIUOKUQUEULHUDADFQRUQ
      UHUNHUDAUGFQRSTBCUAUPUKMUBUC $.
      $( [28-Mar-2005] $) $( [14-Mar-2005] $)

    $( Value of the cosine function. $)
    cosvalt $p |- ( A e. CC -> ( cos ` A ) =
       ( ( ( exp ` ( i x. A ) ) + ( exp ` ( -u i x. A ) ) ) / 2 ) ) $=
      ( vx vy ci cv cmul co ce cfv cneg caddc c2 cdiv cc ccos wceq opreq2
      fveq2d opreq12d opreq1d df-cos oprex fvopab4 ) BCADBEZFGZHIZDJZUDFGZHIZKG
      ZLMGDAFGZHIZUGAFGZHIZKGZLMGNOUDAPZUJUOLMUPUFULUIUNKUPUEUKHUDADFQRUPUHUMHU
      DAUGFQRSTBCUAUOLMUBUC $.
      $( [9-Jun-2005] $) $( [14-Mar-2005] $)
  $}

  $( Closure of the sine function. $)
  sinclt $p |- ( A e. CC -> ( sin ` A ) e. CC ) $=
    ( cc wcel csin cfv ci cmul co ce cneg cmin c2 cdiv sinvalt wa axicn
    axmulcl mpan efclt syl negcl jca subclt cc0 wne 2cn mulcl 2ne0 ine0 muln0
    divclt mp3an23 3syl eqeltrd ) ABCZADEFAGHZIEZFJZAGHZIEZKHZLFGHZMHZBANUOUQBC
    ZUTBCZOVABCZVCBCZUOVDVEUOUPBCZVDFBCUOVHPFAQRUPSTUOUSBCZVEURBCUOVIFPUAURAQRU
    SSTUBUQUTUCVFVBBCVBUDUEVGLFUFPUGLFUFPUHUIUJVAVBUKULUMUN $.
    $( [3-Jun-2005] $) $( [28-Apr-2005] $)

  $( Closure of the cosine function with a complex argument. $)
  cosclt $p |- ( A e. CC -> ( cos ` A ) e. CC ) $=
    ( cc wcel ccos cfv ci cmul co ce cneg caddc c2 cdiv cosvalt wa axicn
    axmulcl mpan efclt syl negcl jca axaddcl halfclt 3syl eqeltrd ) ABCZADEFAGH
    ZIEZFJZAGHZIEZKHZLMHZBANUGUIBCZULBCZOUMBCUNBCUGUOUPUGUHBCZUOFBCUGUQPFAQRUHS
    TUGUKBCZUPUJBCUGURFPUAUJAQRUKSTUBUIULUCUMUDUEUF $.
    $( [1-Sep-2005] $) $( [28-Apr-2005] $)

  $( The sine of a real number in terms of the exponential function. $)
  resinvalt $p |- ( A e. RR -> ( sin ` A ) = ( Im ` ( exp ` ( i x. A ) ) ) ) $=
    ( cr wcel ci cmul co ce cfv cneg cmin c2 cdiv ccj csin cim cc wceq recnt
    axicn cjmult mpan syl cjret opreq2d cji opreq1i syl5eq eqtrd fveq2d
    axmulcl efcjt eqtr3d opreq1d sinvalt efclt imcjt 3eqtr4d ) ABCZDAEFZGHZDIZA
    EFZGHZJFZKDEFZLFZUTUTMHZJFZVELFZANHZUTOHZURVDVHVELURVCVGUTJURUSMHZGHZVCVGUR
    VLVBGURVLDMHZAMHZEFZVBURAPCZVLVPQZARZDPCZVQVRSDATUAUBURVAVOEFVBVPURVOAVAEAU
    CUDVNVAVOEUEUFUGUHUIURUSPCZVMVGQURVQWAVSVTVQWASDAUJUAUBZUSUKUBULUDUMURVQVJV
    FQVSAUNUBURUTPCZVKVIQURWAWCWBUSUOUBUTUPUBUQ $.
    $( [23-Feb-2006] $) $( [30-Apr-2005] $)

  $( The cosine of a real number in terms of the exponential function. $)
  recosvalt $p |- ( A e. RR -> ( cos ` A ) = ( Re ` ( exp ` ( i x. A ) ) ) ) $=
    ( cr wcel ci cmul co ce cfv cneg caddc c2 cdiv ccj ccos cre cc wceq recnt
    axicn cjmult mpan syl cjret opreq2d cji opreq1i syl5eq eqtrd fveq2d
    axmulcl efcjt eqtr3d opreq1d cosvalt efclt recjt 3eqtr4d ) ABCZDAEFZGHZDIZA
    EFZGHZJFZKLFZUTUTMHZJFZKLFZANHZUTOHZURVDVGKLURVCVFUTJURUSMHZGHZVCVFURVKVBGU
    RVKDMHZAMHZEFZVBURAPCZVKVOQZARZDPCZVPVQSDATUAUBURVAVNEFVBVOURVNAVAEAUCUDVMV
    AVNEUEUFUGUHUIURUSPCZVLVFQURVPVTVRVSVPVTSDAUJUAUBZUSUKUBULUDUMURVPVIVEQVRAU
    NUBURUTPCZVJVHQURVTWBWAUSUOUBUTUPUBUQ $.
    $( [27-Feb-2006] $) $( [30-Apr-2005] $)

  ${
    $d A j k x y $.  $d F k x $.
    efit4pt.1 $e |- F = { <. j , y >. | ( j e. NN0 /\
                          y = ( ( ( i x. A ) ^ j ) / ( ! ` j ) ) ) } $.
    $( Separate out the first four terms of the infinite series expansion of
       the exponential function of a pure imaginary number.  (Contributed by
       Paul Chapman, 19-Jan-2008.) $)
    efi4pt $p |- ( A e. RR -> ( exp ` ( i x. A ) ) =
        ( ( ( 1 - ( ( A ^ 2 ) / 2 ) ) + ( i x. ( A - ( ( A ^ 3 ) / 6 ) ) ) ) +
          sum_ k e. ( ZZ> ` 4 ) ( F ` k ) ) ) $=
      ( cr wcel ci cmul co ce cfv c1 caddc c2 cexp cdiv c3 c6 c4 cuz cv csu
      cmin cc wceq recnt axicn axmulcl mpan syl ef4pt axaddass ax1cn axaddcl
      sqclt cc0 wne 2cn 2ne0 divclt mp3an23 cn0 3nn nnnn0 expclt mpan2 6re
      recn 6pos gt0ne0i syl3anc wa add4t a1i jca sylanc cneg 2nn0 mulexpt
      mp3an13 i2 opreq1i mulm1t 3eqtrd opreq1d divnegt eqtr4d opreq2d negsubt
      eqtrd i3 negcl w3a divasst mulneg12t axdistr mp3an1 negclt 3eqtr2d
      opreq12d ) BGHZIBJKZLMZNXDOKZXDPQKZPRKZOKXDSQKZTRKZOKZUAUBMDUCEMDUDZOKZNB
      PQKZPRKZUEKZIBBSQKZTRKZUEKZJKZOKZXLOKXCXDUFHZXEXMUGXCBUFHZYBBUHZIUFHZYCYB
      UIIBUJUKULZAXDCDEFUMULXCXKYAXLOXCXKXFXHXJOKOKZNXHOKZXDXJOKZOKZYAXFUFHZXHU
      FHZXJUFHZXKYGUGXCXFXHXJUNXCYBYKYFNUFHZYBYKUONXDUPUKULXCXGUFHZYLXCYBYOYFXD
      UQULYOPUFHZPURUSZYLUTVAXGPVBVCULZXCXIUFHZYMXCYBYSYFYBSVDHZYSSVEVFZXDSVGVH
      ULYSTUFHZTURUSZYMTVIVJZTVIVKVLZXITVBVCULZVMYNYBVNYLYMVNYGYJUGXCNXDXHXJVOX
      CYNYBYNXCUOVPYFVQXCYLYMYRUUFVQVRXCYHXPYIXTOXCYHNXOVSZOKZXPXCXHUUGNOXCXHXN
      VSZPRKZUUGXCXGUUIPRXCXGIPQKZXNJKZNVSZXNJKZUUIXCYCXGUULUGZYDYEYCPVDHUUOUIV
      TIBPWAWBULUULUUNUGXCUUKUUMXNJWCWDVPXCXNUFHZUUNUUIUGXCYCUUPYDBUQULZXNWEULW
      FWGXCUUPUUGUUJUGZUUQUUPYPYQUURUTVAXNPWHVCULWIWJXCXOUFHZUUHXPUGZXCUUPUUSUU
      QUUPYPYQUUSUTVAXNPVBVCULYNUUSUUTUONXOWKUKULWLXCYIXDIXRVSZJKZOKZIBUVAOKZJK
      ZXTXCXJUVBXDOXCXJIVSZXQJKZTRKZUVFXRJKZUVBXCXIUVGTRXCXIISQKZXQJKZUVGXCYCXI
      UVKUGZYDYEYCYTUVLUIUUAIBSWAWBULUVKUVGUGXCUVJUVFXQJWMWDVPWLWGXCXQUFHZUVHUV
      IUGZXCYCUVMYDYCYTUVMUUABSVGVHULZUVFUFHZUVMUUBUVNIUIWNUUDUVPUVMUUBWOUUCUVN
      UUEUVFXQTWPVHWBULXCXRUFHZUVIUVBUGZXCUVMUVQUVOUVMUUBUUCUVQUUDUUEXQTVBVCULZ
      YEUVQUVRUIIXRWQUKULWFWJYCUVAUFHZUVEUVCUGZXCYEYCUVTUWAUIIBUVAWRWSYDXCUVQUV
      TUVSXRWTULVRXCUVDXSIJYCUVQUVDXSUGXCBXRWKYDUVSVRWJXAXBWFWGWL $.
      $( [11-Mar-2008] $) $( [19-Jan-2008] $)

    $( Separate out the first four terms of the infinite series expansion of
       the sine of a real number.  (Contributed by Paul Chapman,
       19-Jan-2008.) $)
    resin4pt $p |- ( A e. RR -> ( sin ` A ) = ( ( A - ( ( A ^ 3 ) / 6 ) ) +
                       ( Im ` sum_ k e. ( ZZ> ` 4 ) ( F ` k ) ) ) ) $=
      ( cr wcel csin cfv ci cmul co ce cim c3 cexp c6 cdiv cmin c4 cuz cv csu
      caddc resinvalt c1 c2 efi4pt fveq2d cc wceq imaddt axaddcl resqclt
      rehalfclt syl 1re resubclt mpan recnd cn0 3nn nnnn0 reexpclt mpan2 cc0
      wne 6re 6pos gt0ne0i redivclt mp3an23 mpdan axicn axmulcl sylanc recnt
      cn 4nn eftlclt crimt opreq1d 3eqtrd eqtrd ) BGHZBIJKBLMZNJZOJZBBPQMZRSMZT
      MZUAUBJDUCEJDUDZOJZUEMZBUFWFWIUGBUHQMZUHSMZTMZKWLLMZUEMZWMUEMZOJZWTOJZWNU
      EMZWOWFWHXAOABCDEFUIUJWTUKHZWMUKHZXBXDULWFWTWMUMWRUKHWSUKHZXEWFWRWSUNWFWR
      WFWQGHZWRGHZWFWPGHXHBUOWPUPUQUGGHXHXIURUGWQUSUTUQZVAWFWLUKHZXGWFWLWFWKGHZ
      WLGHZWFWJGHZXLWFPVBHXNPVCVDBPVEVFXNRGHRVGVHXLVIRVIVJVKWJRVLVMUQBWKUSVNZVA
      KUKHZXKXGVOKWLVPUTUQVQWFWGUKHZXFWFBUKHZXQBVRXPXRXQVOKBVPUTUQXQUAVSHXFVTAW
      GCDEUAFWAVFUQVQWFXCWLWNUEXIXMXCWLULWFWRWLWBXJXOVQWCWDWE $.
      $( [15-Mar-2008] $) $( [19-Jan-2008] $)

    $( Separate out the first four terms of the infinite series expansion of
       the cosine of a real number.  (Contributed by Paul Chapman,
       19-Jan-2008.) $)
    recos4pt $p |- ( A e. RR -> ( cos ` A ) = ( ( 1 - ( ( A ^ 2 ) / 2 ) ) +
                       ( Re ` sum_ k e. ( ZZ> ` 4 ) ( F ` k ) ) ) ) $=
      ( cr wcel ccos cfv ci cmul co ce cre c1 c2 cexp cdiv cmin c4 cuz cv csu
      caddc recosvalt c3 c6 efi4pt fveq2d cc wceq readdt axaddcl resqclt
      rehalfclt syl 1re resubclt mpan recnd cn0 3nn nnnn0 reexpclt mpan2 cc0
      wne 6re 6pos gt0ne0i redivclt mp3an23 mpdan axicn axmulcl sylanc recnt
      cn 4nn eftlclt crret opreq1d 3eqtrd eqtrd ) BGHZBIJKBLMZNJZOJZPBQRMZQSMZT
      MZUAUBJDUCEJDUDZOJZUEMZBUFWFWIWLKBBUGRMZUHSMZTMZLMZUEMZWMUEMZOJZWTOJZWNUE
      MZWOWFWHXAOABCDEFUIUJWTUKHZWMUKHZXBXDULWFWTWMUMWLUKHWSUKHZXEWFWLWSUNWFWLW
      FWKGHZWLGHZWFWJGHXHBUOWJUPUQPGHXHXIURPWKUSUTUQZVAWFWRUKHZXGWFWRWFWQGHZWRG
      HZWFWPGHZXLWFUGVBHXNUGVCVDBUGVEVFXNUHGHUHVGVHXLVIUHVIVJVKWPUHVLVMUQBWQUSV
      NZVAKUKHZXKXGVOKWRVPUTUQVQWFWGUKHZXFWFBUKHZXQBVRXPXRXQVOKBVPUTUQXQUAVSHXF
      VTAWGCDEUAFWAVFUQVQWFXCWLWNUEXIXMXCWLULWFWLWRWBXJXOVQWCWDWE $.
      $( [15-Mar-2008] $) $( [19-Jan-2008] $)
  $}

  $( The sine of a real number is real. $)
  resinclt $p |- ( A e. RR -> ( sin ` A ) e. RR ) $=
    ( cr wcel csin cfv ci cmul co ce cim resinvalt cc recnt axicn axmulcl mpan
    syl efclt imclt eqeltrd ) ABCZADEFAGHZIEZJEZBAKUAUCLCZUDBCUAUBLCZUEUAALCZUF
    AMFLCUGUFNFAOPQUBRQUCSQT $.
    $( [24-Feb-2006] $) $( [30-Apr-2005] $)

  $( The cosine of a real number is real. $)
  recosclt $p |- ( A e. RR -> ( cos ` A ) e. RR ) $=
    ( cr wcel ccos cfv ci cmul co ce cre recosvalt cc recnt axicn axmulcl mpan
    syl efclt reclt eqeltrd ) ABCZADEFAGHZIEZJEZBAKUAUCLCZUDBCUAUBLCZUEUAALCZUF
    AMFLCUGUFNFAOPQUBRQUCSQT $.
    $( [28-Feb-2006] $) $( [30-Apr-2005] $)

  ${
    $d x y $.
    $( Domain and codomain of the sine function. (Contributed by Paul Chapman,
       22-Oct-2007.) $)
    sinf $p |- sin : CC --> CC $=
      ( vx vy cc csin wf wfn cv cfv wcel wral ffnfv ci cmul co ce cneg cmin c2
      cdiv oprex df-sin fnopab2 sinclt rgen mpbir2an ) CCDEDCFAGZDHCIZACJACCDKA
      BCLUFMNOHLPUFMNOHQNZRLMNZSNDUHUISTABUAUBUGACUFUCUDUE $.
      $( [22-Oct-2007] $) $( [22-Oct-2007] $)

    $( Domain and codomain of the sine function. (Contributed by Paul Chapman,
       22-Oct-2007.) $)
    cosf $p |- cos : CC --> CC $=
      ( vx vy cc ccos wf wfn cv cfv wcel wral ffnfv ci cmul co ce cneg caddc
      c2 cdiv oprex df-cos fnopab2 cosclt rgen mpbir2an ) CCDEDCFAGZDHCIZACJACC
      DKABCLUFMNOHLPUFMNOHQNZRSNDUHRSTABUAUBUGACUFUCUDUE $.
      $( [22-Oct-2007] $) $( [22-Oct-2007] $)
  $}

  $( The sine of a negative is the negative of the sine. $)
  sinnegt $p |- ( A e. CC -> ( sin ` -u A ) = -u ( sin ` A ) ) $=
    ( cc wcel ci cneg cmul co ce cfv cmin c2 cdiv csin wceq axicn mulneg12t
    mpan eqcomd fveq2d mul2negt opreq12d negsubdi2t axmulcl efclt syl negcl
    sylanc eqtr4d opreq1d negclt sinvalt negeqd subclt cc0 wne 2cn mulcl 2ne0
    ine0 muln0 divnegt mp3an23 eqtrd 3eqtr4d ) ABCZDAEZFGZHIZDEZVFFGZHIZJGZKDFG
    ZLGZDAFGZHIZVIAFGZHIZJGZEZVMLGZVFMIZAMIZEZVEVLVTVMLVEVLVRVPJGZVTVEVHVRVKVPJ
    VEVGVQHVEVQVGDBCZVEVQVGNODAPQRSVEVJVOHWFVEVJVONODATQSUAVPBCZVRBCZVTWENVEVPV
    RUBVEVOBCZWGWFVEWIODAUCQVOUDUEZVEVQBCZWHVIBCVEWKDOUFVIAUCQVQUDUEZUGUHUIVEVF
    BCWBVNNAUJVFUKUEVEWDVSVMLGZEZWAVEWCWMAUKULVEVSBCZWNWANZWGWHWOVEVPVRUMWJWLUG
    WOVMBCVMUNUOWPKDUPOUQKDUPOURUSUTVSVMVAVBUEVCVD $.
    $( [9-Jul-2005] $) $( [30-Apr-2005] $)

  $( The cosines of a number and its negative are the same. $)
  cosnegt $p |- ( A e. CC -> ( cos ` -u A ) = ( cos ` A ) ) $=
    ( cc wcel ci cneg cmul co ce cfv caddc c2 cdiv ccos wceq axicn mulneg12t
    mpan eqcomd fveq2d mul2negt opreq12d axaddcom negcl axmulcl efclt syl
    sylanc eqtrd opreq1d negclt cosvalt 3eqtr4d ) ABCZDAEZFGZHIZDEZUNFGZHIZJGZK
    LGZDAFGZHIZUQAFGZHIZJGZKLGUNMIZAMIUMUTVFKLUMUTVEVCJGZVFUMUPVEUSVCJUMUOVDHUM
    VDUODBCZUMVDUONODAPQRSUMURVBHVIUMURVBNODATQSUAVEBCZVCBCZVHVFNUMVEVCUBUMVDBC
    ZVJUQBCUMVLDOUCUQAUDQVDUEUFUMVBBCZVKVIUMVMODAUDQVBUEUFUGUHUIUMUNBCVGVANAUJU
    NUKUFAUKUL $.
    $( [20-Feb-2006] $) $( [30-Apr-2005] $)

  $( Value of the sine function at 0.  (Contributed by Steve Rodriguez,
     5-Jul-2006.) $)
  sin0 $p |- ( sin ` 0 ) = 0 $=
    ( cc0 csin cfv ci cmul co ce cim c1 cr wcel wceq 0re resinvalt ax-mp axicn
    mul01 fveq2i ef0 eqtr im1 3eqtr ) ABCZDAEFZGCZHCZIHCAAJKUCUFLMANOUEIHUEAGCI
    UDAGDPQRSTRUAUB $.
    $( [5-Jul-2006] $) $( [5-Jul-2006] $)

  $( Value of the sine function at 0. $)
  sin0ALT $p |- ( sin ` 0 ) = 0 $=
    ( cc0 csin cfv cneg wceq neg0 fveq2i cc wcel 0cn sinnegt ax-mp eqtr3
    sinclt eqneg mpbi ) ABCZQDZEQAEADZBCZQRSABFGAHIZTREJAKLMQUAQHIJANLOP $.
    $( [26-Apr-2008] $) $( [14-Mar-2005] $)

  $( Value of the cosine function at 0. $)
  cos0 $p |- ( cos ` 0 ) = 1 $=
    ( cc0 ccos cfv ci cmul co ce cre c1 cr wcel wceq 0re recosvalt ax-mp axicn
    mul01 fveq2i ef0 eqtr re1 3eqtr ) ABCZDAEFZGCZHCZIHCIAJKUCUFLMANOUEIHUEAGCI
    UDAGDPQRSTRUAUB $.
    $( [28-Feb-2006] $) $( [30-Apr-2005] $)

  $( The exponential function in terms of sine and cosine. $)
  efivalt $p |- ( A e. CC -> ( exp ` ( i x. A ) ) =
                ( ( cos ` A ) + ( i x. ( sin ` A ) ) ) ) $=
    ( cc wcel ci cmul co ce cfv cneg caddc cmin c2 cdiv ccos csin wceq 2cn w3a
    cc0 wne 2ne0 divdirtOLD mpan2 mp3an3 axaddcl axicn axmulcl mpan efclt syl
    negcl sylanc subclt pncan3t opreq2d axaddass syl3anc 2timest 3eqtr4d
    opreq1d divcan3t mp3an13 eqtr2d cosvalt mulcl ine0 muln0 div12t sinvalt c1
    divrect mp3an23 mulid2 opreq1i divid opreq2i ax1cn divmuldiv reccl mulid1
    3eqtr3 eqtr3 syl6eqr opreq12d ) ABCZDAEFZGHZDIZAEFZGHZJFZWGWJKFZJFZLMFZWKLM
    FZWLLMFZJFZWGANHZDAOHZEFZJFWKBCZWLBCZWNWQPZWEXAXBLBCZXCQXAXBXDRLSTZXCUAWKWL
    LUBUCUDWGBCZWJBCZXAWEWGWJUEWEWFBCZXFDBCZWEXHUFDAUGUHWFUIUJZWEWIBCZXGWHBCWEX
    KDUFUKWHAUGUHWIUIUJZULXFXGXBWEWGWJUMXJXLULZULWEWNLWGEFZLMFZWGWEWMXNLMWEWGWJ
    WLJFZJFZWGWGJFZWMXNWEXPWGWGJXGXFXPWGPWEWJWGUNXLXJULUOXFXGXBWMXQPWEWGWJWLUPX
    JXLXMUQWEXFXNXRPXJWGURUJUSUTWEXFXOWGPZXJXDXFXEXSQUALWGVAVBUJVCWEWRWOWTWPJAV
    DWEDWLLDEFZMFZEFZWLDXTMFZEFZWTWPWEXBYBYDPZXMXIXBXTBCZYEUFLDQUFVEXIXBYFRXTST
    YELDQUFUAVFVGDWLXTVHUCVBUJWEWSYADEAVIUOWEWPWLVJLMFZEFZYDWEXBWPYHPZXMXBXDXEY
    IQUAWLLVKVLUJYCYGWLEVJDEFZXTMFZYCYGYJDXTMDUFVMVNYGDDMFZEFYGVJEFYKYGYLVJYGED
    UFVFVOVPVJLDDVQQUFUFUAVFVRYGLQUAVSVTWAWBVPWCUSWDUS $.
    $( [15-Sep-2005] $) $( [30-Apr-2005] $)

  $( The exponential function in terms of sine and cosine. $)
  efmivalt $p |- ( A e. CC -> ( exp ` ( -u i x. A ) ) =
                ( ( cos ` A ) - ( i x. ( sin ` A ) ) ) ) $=
    ( cc wcel ci cneg cmul co ce cfv ccos csin caddc cmin wceq axicn mulneg12t
    mpan fveq2d negclt efivalt syl cosnegt sinnegt opreq2d sinclt mulneg2t
    eqtrd opreq12d negsubt cosclt axmulcl sylanc 3eqtrd ) ABCZDEAFGZHIDAEZFGZHI
    ZUPJIZDUPKIZFGZLGZAJIZDAKIZFGZMGZUNUOUQHDBCZUNUOUQNODAPQRUNUPBCURVBNASUPTUA
    UNVBVCVEEZLGZVFUNUSVCVAVHLAUBUNVADVDEZFGZVHUNUTVJDFAUCUDUNVDBCZVKVHNZAUEZVG
    VLVMODVDUFQUAUGUHVCBCVEBCZVIVFNUNVCVEUIAUJUNVLVOVNVGVLVOODVDUKQUAULUGUM $.
    $( [20-Feb-2006] $) $( [14-Jan-2006] $)

  $( Eulerian representation of the complex exponential.  (Suggested by
     Jeffrey Hankins, 3-Jul-2006.) $)
  efeult $p |- ( A e. CC -> ( exp ` A ) = ( ( exp ` ( Re ` A ) ) x.
               ( ( cos ` ( Im ` A ) ) + ( i x. ( sin ` ( Im ` A ) ) ) ) ) ) $=
    ( cc wcel ce cfv cre ci cim cmul co caddc ccos csin replimt fveq2d wceq
    efaddt reclt recnd imclt axicn axmulcl mpan syl sylanc efivalt opreq2d
    3eqtrd ) ABCZADEAFEZGAHEZIJZKJZDEZUJDEZULDEZIJZUOUKLEGUKMEIJKJZIJUIAUMDANOU
    JBCULBCZUNUQPUIUJULQUIUJARSUIUKBCZUSUIUKATSZGBCUTUSUAGUKUBUCUDUEUIUPURUOIUI
    UTUPURPVAUKUFUDUGUH $.
    $( [25-Jul-2008] $) $( [4-Jul-2006] $)

  $( The exponentials of two imaginary numbers are equal iff their sine and
     cosine components are equal.  (Contributed by Paul Chapman,
     15-Mar-2008.) $)
  efieq $p |- ( ( A e. RR /\ B e. RR ) ->
       ( ( exp ` ( i x. A ) ) = ( exp ` ( i x. B ) ) <->
         ( ( cos ` A ) = ( cos ` B ) /\ ( sin ` A ) = ( sin ` B ) ) ) ) $=
    ( cr wcel wa ci cmul co ce cfv wceq ccos csin caddc cc wb efivalt
    eqeqan12d recnt syl2an crut recosclt resinclt jca bitrd ) ACDZBCDZEFAGHIJZF
    BGHIJZKZALJZFAMJZGHNHZBLJZFBMJZGHNHZKZUKUNKULUOKEZAODZBODZUJUQPUFUGUSUTUHUM
    UIUPAQBQRASBSTUKCDZULCDZEUNCDZUOCDZEUQURPUFUGUKULUNUOUAUFVAVBAUBAUCUDUGVCVD
    BUBBUCUDTUE $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  ${
    sinadd.1 $e |- A e. CC $.
    sinadd.2 $e |- B e. CC $.
    $( Sine addition formula for complex arguments.  Equation 14 of [Gleason]
       p. 310. $)
    sinadd $p |- ( sin ` ( A + B ) ) =
       ( ( ( sin ` A ) x. ( cos ` B ) ) + ( ( cos ` A ) x. ( sin ` B ) ) ) $=
      ( caddc co csin cfv ci cmul ce cneg cmin c2 cdiv ccos cc wcel wceq addcl
      sinvalt ax-mp cosclt mulcl axicn sinclt pnncan adddi fveq2i efadd
      efivalt opreq12i muladd eqtr 3eqtr negcl efmivalt wa pm3.2i mulsubt
      mp2an 2times 3eqtr4 opreq1i 2cn mulass mul12 mulcom opreq2i 2ne0 ine0
      muln0 divmul mpbir addcom eqtr4 ) ABEFZGHZIVQJFZKHZILZVQJFZKHZMFZNIJFZOFZ
      NAPHZIBGHZJFZJFZBPHZIAGHZJFZJFZEFZJFZWEOFZWLWKJFZWGWHJFZEFZVQQRVRWFSABCDT
      VQUAUBWDWPWEOWGWKJFZWIWMJFZEFZWOEFZXCWOMFZMFWOWOEFWDWPXCWOWOXAXBWGWKAQRZW
      GQRZCAUCUBZBQRZWKQRZDBUCUBZUDWIWMIWHUEXIWHQRDBUFUBZUDZIWLUEXFWLQRCAUFUBZU
      DZUDTWJWNWGWIXHXMUDWKWMXKXOUDTZXPUGVTXDWCXEMVTIAJFZIBJFZEFZKHXQKHZXRKHZJF
      ZXDVSXSKIABUECDUHUIXQXRIAUECUDIBUEDUDUJYBWGWMEFZWKWIEFZJFXDXTYCYAYDJXFXTY
      CSCAUKUBXIYAYDSDBUKUBULWGWMWKWIXHXOXKXMUMUNUOWCWAAJFZWABJFZEFZKHYEKHZYFKH
      ZJFZXEWBYGKWAABIUEUPZCDUHUIYEYFWAAYKCUDWABYKDUDUJYJWGWMMFZWKWIMFZJFZXEYHY
      LYIYMJXFYHYLSCAUQUBXIYIYMSDBUQUBULXGWMQRZURXJWIQRZURYNXESXGYOXHXOUSXJYPXK
      XMUSWGWMWKWIUTVAUNUOULWOXPVBVCVDWQWSWREFZWTWQYQSWEYQJFZWPSYRNIYQJFZJFWPNI
      YQVEUEWSWRWGWHXHXLUDZWLWKXNXKUDZTZVFYSWONJYSIWSJFZIWRJFZEFWOIWSWRUEYTUUAU
      HUUCWJUUDWNEIWGWHUEXHXLVGUUDIWKWLJFZJFWNWRUUEIJWLWKXNXKVHVIIWKWLUEXKXNVGU
      NULUNVIUNWPWEYQNWOVEXPUDNIVEUEUDUUBNIVEUEVJVKVLVMVNWRWSUUAYTVOVPUO $.
      $( [20-Feb-2006] $) $( [14-Jan-2006] $)

    $( Addition formula for cosine.  Equation 15 of [Gleason] p. 310. $)
    cosadd $p |- ( cos ` ( A + B ) ) =
         ( ( ( cos ` A ) x. ( cos ` B ) ) - ( ( sin ` A ) x. ( sin ` B ) ) ) $=
      ( caddc co ccos cfv ci cmul ce cneg c2 cdiv csin cmin cc wcel wceq addcl
      cosvalt ax-mp cosclt mulcl axicn sinclt ppncant mp3an adddi fveq2i efadd
      efivalt opreq12i muladd eqtr 3eqtr negcl efmivalt wa pm3.2i mulsubt
      mp2an 2times 3eqtr4 opreq1i 2cn 2ne0 divcan3 c1 mul4 ixi mulcom mulm1
      opreq2i negsub ) ABEFZGHZIVPJFZKHZILZVPJFZKHZEFZMNFZMAGHZBGHZJFZIBOHZJFZI
      AOHZJFZJFZEFZJFZMNFZWGWJWHJFZPFZVPQRVQWDSABCDTVPUAUBWCWNMNWMWEWIJFZWFWKJF
      ZEFZEFZWMWTPFZEFZWMWMEFZWCWNWMQRZWTQRXEXCXDSWGWLWEWFAQRZWEQRZCAUCUBZBQRZW
      FQRZDBUCUBZUDZWIWKIWHUEXIWHQRDBUFUBZUDZIWJUEXFWJQRCAUFUBZUDZUDTZWRWSWEWIX
      HXNUDWFWKXKXPUDTXQWMWTWMUGUHVSXAWBXBEVSIAJFZIBJFZEFZKHXRKHZXSKHZJFZXAVRXT
      KIABUECDUIUJXRXSIAUECUDIBUEDUDUKYCWEWKEFZWFWIEFZJFXAYAYDYBYEJXFYAYDSCAULU
      BXIYBYESDBULUBUMWEWKWFWIXHXPXKXNUNUOUPWBVTAJFZVTBJFZEFZKHYFKHZYGKHZJFZXBW
      AYHKVTABIUEUQZCDUIUJYFYGVTAYLCUDVTBYLDUDUKYKWEWKPFZWFWIPFZJFZXBYIYMYJYNJX
      FYIYMSCAURUBXIYJYNSDBURUBUMXGWKQRZUSXJWIQRZUSYOXBSXGYPXHXPUTXJYQXKXNUTWEW
      KWFWIVAVBUOUPUMWMXQVCVDVEWOWMWGWPLZEFWQMWMVFXQVGVHWLYRWGEWLIIJFZWHWJJFZJF
      VILZWPJFYRIWHIWJUEXMUEXOVJYSUUAYTWPJVKWHWJXMXOVLUMWPWJWHXOXMUDZVMUPVNWGWP
      XLUUBVOUPUP $.
      $( [24-Feb-2006] $) $( [15-Jan-2006] $)
  $}

  $( Addition formula for sine.  Equation 14 of [Gleason] p. 310.  (Contributed
     by Steve Rodriguez, 10-Nov-2006.) $)
  sinaddt $p |- ( ( A e. CC /\ B e. CC ) -> ( sin ` ( A + B ) ) =
       ( ( ( sin ` A ) x. ( cos ` B ) ) + ( ( cos ` A ) x. ( sin ` B ) ) ) ) $=
    ( cc wcel caddc co csin cfv ccos cmul wceq cc0 cif opreq1 fveq2d fveq2
    opreq1d opreq12d eqeq12d opreq2 opreq2d 0cn elimel sinadd dedth2h ) ACDZBCD
    ZABEFZGHZAGHZBIHZJFZAIHZBGHZJFZEFZKUFALMZBEFZGHZUQGHZUKJFZUQIHZUNJFZEFZKUQU
    GBLMZEFZGHZUTVEIHZJFZVBVEGHZJFZEFZKABLLAUQKZUIUSUPVDVMUHURGAUQBENOVMULVAUOV
    CEVMUJUTUKJAUQGPQVMUMVBUNJAUQIPQRSBVEKZUSVGVDVLVNURVFGBVEUQETOVNVAVIVCVKEVN
    UKVHUTJBVEIPUAVNUNVJVBJBVEGPUARSUQVEALCUBUCBLCUBUCUDUE $.
    $( [10-Nov-2006] $) $( [10-Nov-2006] $)

  $( Addition formula for cosine.  Equation 15 of [Gleason] p. 310. $)
  cosaddt $p |- ( ( A e. CC /\ B e. CC ) -> ( cos ` ( A + B ) ) =
       ( ( ( cos ` A ) x. ( cos ` B ) ) - ( ( sin ` A ) x. ( sin ` B ) ) ) ) $=
    ( cc wcel caddc co ccos cfv cmul csin cmin wceq cc0 cif opreq1 fveq2d
    fveq2 opreq1d opreq12d eqeq12d opreq2 opreq2d 0cn elimel cosadd dedth2h )
    ACDZBCDZABEFZGHZAGHZBGHZIFZAJHZBJHZIFZKFZLUGAMNZBEFZGHZURGHZULIFZURJHZUOIFZ
    KFZLURUHBMNZEFZGHZVAVFGHZIFZVCVFJHZIFZKFZLABMMAURLZUJUTUQVEVNUIUSGAURBEOPVN
    UMVBUPVDKVNUKVAULIAURGQRVNUNVCUOIAURJQRSTBVFLZUTVHVEVMVOUSVGGBVFUREUAPVOVBV
    JVDVLKVOULVIVAIBVFGQUBVOUOVKVCIBVFJQUBSTURVFAMCUCUDBMCUCUDUEUF $.
    $( [1-Mar-2006] $) $( [15-Jan-2006] $)

  $( Sine of difference.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  sinsubt $p |- ( ( A e. CC /\ B e. CC ) -> ( sin ` ( A - B ) ) =
                  ( ( ( sin ` A ) x. ( cos ` B ) ) -
                    ( ( cos ` A ) x. ( sin ` B ) ) ) ) $=
    ( cc wcel wa cneg caddc co csin cfv ccos cmul cmin wceq sinaddt negclt
    sylan2 negsubt fveq2d cosnegt adantl opreq2d sinnegt mulneg2t cosclt
    sinclt syl2an eqtrd opreq12d axmulcl sylanc 3eqtr3d ) ACDZBCDZEZABFZGHZIJZA
    IJZUPKJZLHZAKJZUPIJZLHZGHZABMHZIJUSBKJZLHZVBBIJZLHZMHZUMUPCDURVENUNAUPOBPQU
    OUQVFIABRSUOVEVHVJFZGHZVKUOVAVHVDVLGUOUTVGUSLUNUTVGNUMBTUAUBUOVDVBVIFZLHZVL
    UOVCVNVBLUNVCVNNUMBUCUAUBVBCDZVICDZVOVLNUMUNVBVIUDAUEZBUFZUGUHUIVHCDZVJCDZV
    MVKNUOVHVJRUSCDVGCDVTUMUNUSVGUJAUFBUEUGVPVQWAUMUNVBVIUJVRVSUGUKUHUL $.
    $( [13-Oct-2007] $) $( [12-Oct-2007] $)

  $( Cosine of difference.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  cossubt $p |- ( ( A e. CC /\ B e. CC ) -> ( cos ` ( A - B ) ) =
                  ( ( ( cos ` A ) x. ( cos ` B ) ) +
                    ( ( sin ` A ) x. ( sin ` B ) ) ) ) $=
    ( cc wcel wa cneg caddc co ccos cfv cmul csin cmin wceq cosaddt negclt
    sylan2 negsubt fveq2d cosnegt adantl opreq2d sinnegt mulneg2t sinclt
    syl2an eqtrd opreq12d subnegt axmulcl cosclt sylanc 3eqtr3d ) ACDZBCDZEZABF
    ZGHZIJZAIJZUQIJZKHZALJZUQLJZKHZMHZABMHZIJUTBIJZKHZVCBLJZKHZGHZUNUQCDUSVFNUO
    AUQOBPQUPURVGIABRSUPVFVIVKFZMHZVLUPVBVIVEVMMUPVAVHUTKUOVAVHNUNBTUAUBUPVEVCV
    JFZKHZVMUPVDVOVCKUOVDVONUNBUCUAUBVCCDZVJCDZVPVMNUNUOVCVJUDAUEZBUEZUFUGUHVIC
    DZVKCDZVNVLNUPVIVKUIUTCDVHCDWAUNUOUTVHUJAUKBUKUFVQVRWBUNUOVCVJUJVSVTUFULUGU
    M $.
    $( [13-Oct-2007] $) $( [12-Oct-2007] $)

  $( Sum of sines.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  addsint $p |- ( ( A e. CC /\ B e. CC ) -> ( ( sin ` A ) + ( sin ` B ) ) =
                    ( 2 x. ( ( sin ` ( ( A + B ) / 2 ) ) x.
                             ( cos ` ( ( A - B ) / 2 ) ) ) ) ) $=
    ( cc wcel wa c2 caddc co cdiv csin cfv cmin ccos cmul wceq axmulcl axaddcl
    halfclt syl sinclt subclt cosclt sylanc 2timest sinaddt sinsubt opreq12d
    ppncant syl3anc eqtrd halfaddsubt pm3.26d fveq2d pm3.27d 3eqtr2rd ) ACDBCDE
    ZFABGHZFIHZJKZABLHZFIHZMKZNHZNHZVCVCGHZURVAGHZJKZURVALHZJKZGHZAJKZBJKZGHUPV
    CCDZVDVEOUSCDZVBCDZVMUPUSVBPUPURCDZVNUPUQCDVPABQUQRSZURTSUPVACDZVOUPUTCDVRA
    BUAUTRSZVAUBSUCZVCUDSUPVJVCURMKZVAJKZNHZGHZVCWCLHZGHZVEUPVGWDVIWEGVPVRVGWDO
    UPURVAUEVQVSUCVPVRVIWEOUPURVAUFVQVSUCUGVMWCCDZVMWFVEOUPVCWCVCUHVTWACDZWBCDZ
    WGUPWAWBPUPVPWHVQURUBSUPVRWIVSVATSUCVTUIUJUPVGVKVIVLGUPVFAJUPVFAOZVHBOZABUK
    ZULUMUPVHBJUPWJWKWLUNUMUGUO $.
    $( [13-Oct-2007] $) $( [12-Oct-2007] $)

  $( Difference of sines.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  subsint $p |- ( ( A e. CC /\ B e. CC ) -> ( ( sin ` A ) - ( sin ` B ) ) =
                    ( 2 x. ( ( cos ` ( ( A + B ) / 2 ) ) x.
                             ( sin ` ( ( A - B ) / 2 ) ) ) ) ) $=
    ( cc wcel wa c2 caddc co cdiv ccos cfv cmin csin cmul wceq halfaddsubcl
    axmulcl cosclt sinclt syl2an syl 2timest sinaddt sinsubt opreq12d pnncant
    syl3anc eqtrd halfaddsubt pm3.26d fveq2d pm3.27d 3eqtr2rd ) ACDBCDEZFABGHFI
    HZJKZABLHFIHZMKZNHZNHZUSUSGHZUOUQGHZMKZUOUQLHZMKZLHZAMKZBMKZLHUNUSCDZUTVAOU
    NUOCDZUQCDZEZVIABPZUPCDURCDVIVJVKUPURQUORUQSTUAZUSUBUAUNVFUOMKZUQJKZNHZUSGH
    ZVQUSLHZLHZVAUNVLVFVTOVMVLVCVRVEVSLUOUQUCUOUQUDUEUAVQCDZVIVIVTVAOUNVQUSUSUF
    UNVLWAVMVOCDVPCDWAVJVKVOVPQUOSUQRTUAVNVNUGUHUNVCVGVEVHLUNVBAMUNVBAOZVDBOZAB
    UIZUJUKUNVDBMUNWBWCWDULUKUEUM $.
    $( [13-Oct-2007] $) $( [12-Oct-2007] $)

  $( Sum of cosines.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  addcost $p |- ( ( A e. CC /\ B e. CC ) -> ( ( cos ` A ) + ( cos ` B ) ) =
                    ( 2 x. ( ( cos ` ( ( A + B ) / 2 ) ) x.
                             ( cos ` ( ( A - B ) / 2 ) ) ) ) ) $=
    ( cc wcel wa ccos cfv caddc co c2 cdiv cmin cmul wceq axaddcom cosclt
    syl2an halfaddsubt pm3.27d fveq2d pm3.26d opreq12d csin ppncant
    halfaddsubcl axmulcl syl sinclt syl3anc cossubt cosaddt 2timest 3eqtr4d
    3eqtr2d ) ACDZBCDZEZAFGZBFGZHIZUSURHIZABHIJKIZABLIJKIZLIZFGZVBVCHIZFGZHIZJV
    BFGZVCFGZMIZMIZURCDUSCDUTVANUOUPURUSOAPBPQUQVEUSVGURHUQVDBFUQVFANZVDBNZABRZ
    STUQVFAFUQVMVNVOUATUBUQVKVBUCGZVCUCGZMIZHIZVKVRLIZHIZVKVKHIZVHVLVKCDZVRCDZW
    CWAWBNUQVKVRVKUDUQVBCDZVCCDZEZWCABUEZVICDVJCDWCWEWFVIVJUFVBPVCPQUGZUQWGWDWH
    VPCDVQCDWDWEWFVPVQUFVBUHVCUHQUGWIUIUQWGVHWANWHWGVEVSVGVTHVBVCUJVBVCUKUBUGUQ
    WCVLWBNWIVKULUGUMUN $.
    $( [13-Oct-2007] $) $( [12-Oct-2007] $)

  $( Difference of cosines.  (Contributed by Paul Chapman, 12-Oct-2007.) $)
  subcost $p |- ( ( A e. CC /\ B e. CC ) -> ( ( cos ` A ) - ( cos ` B ) ) =
                  ( -u 2 x. ( ( sin ` ( ( A + B ) / 2 ) ) x.
                              ( sin ` ( ( A - B ) / 2 ) ) ) ) ) $=
    ( cc wcel wa ccos cfv cmin co c2 caddc cdiv csin cmul cneg wceq
    halfaddsubcl axmulcl sinclt syl2an syl 2timest cossubt cosaddt opreq12d
    pnncant cosclt syl3anc eqtrd halfaddsubt pm3.27d fveq2d pm3.26d negsubdi2t
    eqtr4d 3eqtr2d wb negcon2t 2cn a1i sylanc subclt mpbid mulneg1t ) ACDZBCDZE
    ZAFGZBFGZHIZJABKIJLIZMGZABHIJLIZMGZNIZNIZOZJOVONIZVGVPVJOZPZVJVQPZVGVPVOVOK
    IZVKVMHIZFGZVKVMKIZFGZHIZVSVGVOCDZVPWBPVGVKCDZVMCDZEZWHABQZVLCDVNCDWHWIWJVL
    VNRVKSVMSTUAZVOUBUAVGWGVKFGZVMFGZNIZVOKIZWPVOHIZHIZWBVGWKWGWSPWLWKWDWQWFWRH
    VKVMUCVKVMUDUEUAWPCDZWHWHWSWBPVGWPVOVOUFVGWKWTWLWNCDWOCDWTWIWJWNWORVKUGVMUG
    TUAWMWMUHUIVGWGVIVHHIZVSVGWDVIWFVHHVGWCBFVGWEAPZWCBPZABUJZUKULVGWEAFVGXBXCX
    DUMULUEVHCDZVICDZVSXAPVEVFVHVIUNAUGZBUGZTUOUPVPCDZVJCDZVTWAUQVGVPVJURJCDZWH
    XIVGJVORXKVGUSUTZWMVAXEXFXJVEVFVHVIVBXGXHTVAVCXKWHVRVQPVGJVOVDXLWMVAUO $.
    $( [13-Oct-2007] $) $( [12-Oct-2007] $)

  $( Sine squared plus cosine squared is 1.  Equation 17 of [Gleason]
     p. 311.  Note that this holds for non-real arguments, even though
     individually each term is unbounded. $)
  sincossqt $p |- ( A e. CC ->
                  ( ( ( sin ` A ) ^ 2 ) + ( ( cos ` A ) ^ 2 ) ) = 1 ) $=
    ( cc wcel cneg caddc co ccos cfv cmul csin cmin c1 c2 cexp wceq negclt
    cosaddt mpdan cc0 negidt fveq2d cos0 syl6eq axaddcom sinclt sqclt syl
    cosclt sylanc sqvalt cosnegt opreq2d eqtr4d sinnegt negeqd negnegt eqtrd
    mulneg2t 3eqtr2d opreq12d negsubt axmulcl 3eqtrrd 3eqtr3rd ) ABCZAADZEFZGHZ
    AGHZVFGHZIFZAJHZVFJHZIFZKFZLVLMNFZVIMNFZEFZVEVFBCZVHVOOAPZAVFQRVEVHSGHLVEVG
    SGATUAUBUCVEVRVQVPEFZVKVNDZEFZVOVPBCZVQBCZVRWAOVEVPVQUDVEVLBCZWDAUEZVLUFUGV
    EVIBCZWEAUHZVIUFUGUIVEVQVKVPWBEVEVQVIVIIFZVKVEWHVQWJOWIVIUJUGVEVJVIVIIAUKUL
    UMVEVPVLVLIFZVLVMDZIFZWBVEWFVPWKOWGVLUJUGVEWLVLVLIVEWLVLDZDZVLVEVMWNAUNUOVE
    WFWOVLOWGVLUPUGUQULWFVMBCZWMWBOVEVLVMURWGVEVSWPVTVFUEUGZUIUSUTVKBCZVNBCZWCV
    OOVEVKVNVAWHVJBCZWRVEVIVJVBWIVEVSWTVTVFUHUGUIWFWPWSVEVLVMVBWGWQUIUIVCVD $.
    $( [2-Mar-2006] $) $( [15-Jan-2006] $)

  $( Double-angle formula for sine.  (Contributed by Paul Chapman,
     17-Jan-2008.) $)
  sin2tt $p |- ( A e. CC ->
      ( sin ` ( 2 x. A ) ) = ( 2 x. ( ( sin ` A ) x. ( cos ` A ) ) ) ) $=
    ( cc wcel c2 cmul co csin cfv caddc ccos 2timest fveq2d wceq axmulcom
    cosclt sinclt sylanc opreq2d sinaddt anidms axmulcl syl 3eqtr4d eqtrd ) ABC
    ZDAEFZGHAAIFZGHZDAGHZAJHZEFZEFZUEUFUGGAKLUEUKUJUIEFZIFZUKUKIFZUHULUEUMUKUKI
    UJBCZUIBCZUMUKMUEUJUINAOZAPZQRUEUHUNMAASTUEUKBCZULUOMUQUPUTUEUIUJUAUSURQUKK
    UBUCUD $.
    $( [17-Jan-2008] $) $( [17-Jan-2008] $)

  $( Double-angle formula for cosine.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  cos2tt $p |- ( A e. CC -> ( cos ` ( 2 x. A ) ) =
                           ( ( 2 x. ( ( cos ` A ) ^ 2 ) ) - 1 ) ) $=
    ( cc wcel ccos cfv c2 cexp co c1 cmin csin cmul wceq caddc axaddcom sinclt
    sqclt syl cosclt sylanc sincossqt eqtr3d wb ax1cn subaddt mp3an1 mpbird
    opreq2d 2timest opreq1d subsub3t mp3an2 eqtr4d cosaddt anidms fveq2d
    sqvalt opreq12d 3eqtr4d 3eqtr4rd ) ABCZADEZFGHZIVCJHZJHZVCAKEZFGHZJHZFVCLHZ
    IJHZFALHZDEZVAVDVGVCJVAVDVGMZVCVGNHZIMZVAVGVCNHZVNIVGBCZVCBCZVPVNMVAVGVCOVA
    VFBCZVQAPZVFQRZVAVBBCZVRASZVBQRZTAUAUBVRVQVMVOUCZVAIBCZVRVQWEUDIVCVGUEUFWDW
    ATUGUHVAVJVCVCNHZIJHZVEVAVIWGIJVAVRVIWGMWDVCUIRUJVRVRVEWHMZVAVRWFVRWIUDVCIV
    CUKULWDWDTUMVAAANHZDEZVBVBLHZVFVFLHZJHZVLVHVAWKWNMAAUNUOVAVKWJDAUIUPVAVCWLV
    GWMJVAWBVCWLMWCVBUQRVAVSVGWMMVTVFUQRURUSUT $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  ${
    sin2t.1 $e |- A e. CC $.
    $( Double-angle formula for cosine.  (Contributed by Paul Chapman,
       25-Nov-2007.) $)
    cos2tOLD $p |- ( cos ` ( 2 x. A ) ) =
                ( ( 2 x. ( ( cos ` A ) ^ 2 ) ) - 1 ) $=
      ( c2 cmul co ccos cfv cexp csin cmin c1 caddc cosadd 2times fveq2i cc
      wcel cosclt ax-mp sqval sinclt opreq12i 3eqtr4 wceq sincossqt ax1cn sqcl
      subadd2 mpbir opreq2i subsub3t mp3an opreq1i eqtr4 3eqtr2 ) CADEZFGZAFGZC
      HEZAIGZCHEZJEZUSKUSJEZJEZCUSDEZKJEZAALEZFGURURDEZUTUTDEZJEUQVBAABBMUPVGFA
      BNOUSVHVAVIJURAPQZURPQBARSZTUTVJUTPQBAUASZTUBUCVCVAUSJVCVAUDVAUSLEKUDZVJV
      MBAUESKUSVAUFURVKUGZUTVLUGUHUIUJVDUSUSLEZKJEZVFUSPQZKPQVQVDVPUDVNUFVNUSKU
      SUKULVEVOKJUSVNNUMUNUO $.
      $( [25-Nov-2007] $) $( [25-Nov-2007] $)
  $}

  $( The sine of a real number lies between -1 and 1.  Equation 18 of [Gleason]
     p. 311. $)
  sinbndt $p |- ( A e. RR -> ( -u 1 <_ ( sin ` A ) /\ ( sin ` A ) <_ 1 ) ) $=
    ( cr wcel csin cfv c1 cle wbr cneg wa c2 cexp co ccos caddc cc0 recosclt
    sqge0t syl wb addge01t resinclt resqclt sylanc mpbid cc wceq recnt
    sincossqt sq1 syl6eqr breqtrd 1re 0re lt01 ltlei lenegsqt mp3an23
    lenegcon1t mpan2 anbi2d bitr3d ancom sylib ) ABCZADEZFGHZFIVFGHZJZVHVGJVEVF
    KLMZFKLMZGHZVIVEVJVJANEZKLMZOMZVKGVEPVNGHZVJVOGHZVEVMBCZVPAQZVMRSVJBCZVNBCZ
    VPVQTVEVJVNUAVEVFBCZVTAUBZVFUCSVEVRWAVSVMUCSUDUEVEVOFVKVEAUFCVOFUGAUHAUISUJ
    UKULVEWBVLVITWCWBVGVFIFGHZJZVLVIWBFBCZPFGHWEVLTUMPFUNUMUOUPVFFUQURWBWDVHVGW
    BWFWDVHTUMVFFUSUTVAVBSUEVGVHVCVD $.
    $( [3-Mar-2006] $) $( [16-Jan-2006] $)

  $( The cosine of a real number lies between -1 and 1.  Equation 18 of
     [Gleason] p. 311. $)
  cosbndt $p |- ( A e. RR -> ( -u 1 <_ ( cos ` A ) /\ ( cos ` A ) <_ 1 ) ) $=
    ( cr wcel ccos cfv c1 cle wbr cneg wa c2 cexp co csin caddc cc0 resinclt
    sqge0t syl wb addge02t recosclt resqclt sylanc mpbid cc wceq recnt
    sincossqt sq1 syl6eqr breqtrd 1re 0re lt01 ltlei lenegsqt mp3an23
    lenegcon1t mpan2 anbi2d bitr3d ancom sylib ) ABCZADEZFGHZFIVFGHZJZVHVGJVEVF
    KLMZFKLMZGHZVIVEVJANEZKLMZVJOMZVKGVEPVNGHZVJVOGHZVEVMBCZVPAQZVMRSVJBCZVNBCZ
    VPVQTVEVJVNUAVEVFBCZVTAUBZVFUCSVEVRWAVSVMUCSUDUEVEVOFVKVEAUFCVOFUGAUHAUISUJ
    UKULVEWBVLVITWCWBVGVFIFGHZJZVLVIWBFBCZPFGHWEVLTUMPFUNUMUOUPVFFUQURWBWDVHVGW
    BWFWDVHTUMVFFUSUTVAVBSUEVGVHVCVD $.
    $( [10-Feb-2007] $) $( [16-Jan-2006] $)

  $( Lemma for ~ sin01bnd and ~ cos01bnd . $)
  sin01bndlem1 $p |- ( 5 / ( ( ! ` 4 ) x. 4 ) ) < ( 1 / 6 ) $=
    ( c5 c6 c2 c4 cexp co cmul cdiv cfa cfv c1 clt wbr c3 cle cc0 caddc 3pos
    0re 3re 5re ltadd1 mpbi recn addid2 c8 cu2 5p3e8 3nn nncn addcom 3eqtr2r
    3brtr3 cn wcel 2nn nnge1t ax-mp cr lep1t df-4 breqtrr cn0 w3a wa 2re nnnn0
    4nn 3pm3.2i expwordit mpan mp2an 8re eqeltr nnexpclt nnre ltletr 6re
    remulcl 6pos nngt0 mulgt0i ltdiv1i fveq2i wceq facp1t sq2 eqtr2 opreq2i
    3eqtr opreq1i cc fac3 4re mulass 3eqtr3 2p2e4 2cn 2nn0 expaddt mp3an eqtr3
    3eqtr2 nnne0 divid ax1cn gt0ne0i divmuldiv reccl mulid1 mulid2 3brtr4 ) ABC
    DEFZGFZHFZXMXNHFZADIJZDGFZHFKBHFZLAXMLMZXOXPLMACNEFZLMYAXMOMZXTPAQFZNAQFZAY
    ALPNLMYCYDLMRPNASTUAUBUCAAUAUDZUEYAUFANQFYDUGUHANYENUIUJUKULUMKCOMZNDOMZYBC
    UNUOZYFUPCUQURNNKQFZDONUSUONYIOMTNUTURVAVBCUSUOZNVCUOZDVCUOZVDYFYGVEYBYJYKY
    LVFNUIVGZDVHVGZVICNDVJVKVLAYAXMUAYAUFUSUGVMVNXMYHYLXMUNUOUPYNCDVOVLZVPZVQVL
    AXMXNUAYPBXMVRYPVSBXMVRYPVTXMYOWAWBWCUCXRXNAHXRNIJZCCEFZYRGFZGFZYQXMGFXNXQY
    RGFYQYRGFZYRGFXRYTXQUUAYRGXQYIIJZYQYIGFZUUADYIIVAWDYKUUBUUCWEYMNWFURYIYRYQG
    YRDYIWGVAWHWIWJWKYRDXQGWGWIYQYRYRYQBWLWMBVRUDZVNYRDWLWGDWNUDVNZUUEWOWPXMYSY
    QGCCCQFZEFZXMYSUUFDCEWQWICWLUOCVCUOZUUHUUGYSWEWRWSWSCCCWTXAXBWIYQBXMGWMWKXC
    WIKXMGFZXNHFZXSXPXSXMXMHFZGFXSKGFUUJXSUUKKXSGXMXMYOUJZXMYOXDZXEWIKBXMXMXFUU
    DUULUULBVRVTXGZUUMXHXSBUUDUUNXIXJWPUUIXMXNHXMUULXKWKXBXL $.
    $( [19-Jan-2008] $) $( [19-Jan-2008] $)

  ${
    $d A j k x y $.  $d F k x $.
    sin01bndlem2.1 $e |- F = { <. j , y >. | ( j e. NN0 /\
                               y = ( ( ( i x. A ) ^ j ) / ( ! ` j ) ) ) } $.

    $( Lemma for ~ sin01bnd . $)
    sin01bndlem2 $p |- ( A e. ( 0 (,] 1 ) ->
                         ( abs ` ( Im ` sum_ k e. ( ZZ> ` 4 ) ( F ` k ) ) ) <
                         ( ( A ^ 3 ) / 6 ) ) $=
      ( cc0 c1 cioc co wcel c4 cuz cfv cv csu cim cabs cexp c5 cfa cmul cdiv
      c3 c6 cc cr ci clt wbr cle w3a wb 0re 1re elioc2t mp2an biimp 3simp1d
      recnd axicn axmulcl mpan syl cn 4nn eftlclt mpan2 imclt absclt 3syl cn0
      nnnn0 reexpclt caddc df-5 opreq1i eftlubclt ax-mp eqeltr axmulrcl 3nn
      wne 6re 6pos gt0ne0i redivclt mp3an23 wceq cre eqid olci abspef01tlub
      opreq2i syl6breqr rereccl wi wa sin01bndlem1 ltmul2t mpbii ex mp3an12
      expgt0t mp3an2 3simp2d sylanc sylc 3re ltp1 df-4 breqtrr expword2it
      expcom mp3an3 com12 3impib sylbi jca recgt0i lemul1t mpbid recn divrect
      breqtrrd ltletrd lelttrd ) BGHIJKZLMNDOENDPZQNZRNZBLSJZTLUANLUBJZUCJZUBJZ
      BUDSJZUEUCJZYHYIUFKZYJUFKYKUGKYHUHBUBJZUFKZYRYHBUFKZYTYHBYHBUGKZGBUIUJZBH
      UKUJZYHUUBUUCUUDULZGUGKHUGKYHUUEUMUNUOGHBUPUQZURZUSZUTUHUFKUUAYTVAUHBVBVC
      VDYTLVEKZYRVFAYSCDELFVGVHVDYRYJYIVIUTYJVJVKYHUUBYLUGKZYOUGKZUUHUUBLVLKZUU
      JLVFVMZBLVNVHZUUJYNUGKZUUKYNLHVOJZYMUCJZUGTUUPYMUCVPVQZUUIUUQUGKVFLVRVSVT
      ZYLYNWAVHVKZYHUUBYPUGKZYQUGKZUUHUUBUDVLKZUVAUDWBVMZBUDVNVHZUVAUEUGKUEGWCZ
      UVBWDUEWDWEWFZYPUEWGWHVKZYHYKYLUUQUBJZYOUKYHUUIYKUVIUKUJVFABQCDELFQQWIQWJ
      WIQWKWLWMVHYNUUQYLUBUURWNWOYHYOYLHUEUCJZUBJZYQUUTYHUUJUVKUGKZYHUUBUUJUUHU
      UNVDZUUJUVJUGKZUVLUEWDUVGWPZYLUVJWAVHVDUVHUUJGYLUIUJZYOUVKUIUJZYHUUOUVNUU
      JUVPUVQWQUUSUVOUUOUVNUUJULZUVPUVQUVRUVPWRYNUVJUIUJUVQWSYNUVJYLWTXAXBXCUVM
      UUBUUCUVPYHUUBUULUUCUVPUUMBLXDXEUUHYHUUBUUCUUDUUGXFXGXHYHUVKYPUVJUBJZYQUK
      YHYLYPUKUJZUVKUVSUKUJZYHUUEUVTUUFUUBUUCUUDUVTUUBUVCUULUUCUUDWRZUVTWQUVDUU
      MUWBUUBUVCUULULZUVTUUCUUDUDLUIUJZUWCUVTWQUDUDHVOJLUIUDXIXJXKXLUWCUUCUUDUW
      DULUVTBUDLXMXNXOXPWHXQXRYHUUJUVAWRZUVTUWAUMZYHUUBUWEUUHUUBUUJUVAUUNUVEXSV
      DUUJUVAUVNUWFUVOUUJUVAUVNULGUVJUIUJUWFUEWDWEXTYLYPUVJYAVHXOVDYBYHUUBYPUFK
      ZYQUVSWIZUUHUUBYPUVEUTUWGUEUFKUVFUWHUEWDYCUVGYPUEYDWHVKYEYFYG $.
      $( [19-Jan-2008] $) $( [19-Jan-2008] $)

    $( Lemma for ~ sin01bnd . $)
    sin01bndlem3 $p |- ( A e. ( 0 (,] 1 ) ->
        ( ( A - ( ( A ^ 3 ) / 3 ) ) < ( sin ` A ) /\ ( sin ` A ) < A ) ) $=
      ( vk cc0 c1 cioc co wcel c3 cexp cdiv cmin csin cfv clt wbr c6 cneg
      caddc cc wceq subsubt cr cle w3a wb 0re 1re elioc2t mp2an biimp 3simp1d
      recnd cn0 3nn nnnn0 wa reexpclt wne 6re 6pos gt0ne0i redivclt mp3an23
      syl mpan2 renegclt syl3anc c2 cmul subnegt sylanc 2timest 2cn mulid1 3re
      recn mulcom 3t2e6 eqtr3 opreq12i 2ne0 3pos ax1cn divcan5t mp3an1 mpanl12
      opreq2i div12t mp3an13 divrect 3eqtr4a 3eqtr2d opreq2d eqtr3d c4 cuz cv
      csu cim cabs sin01bndlem2 absltt ci axicn axmulcl mpan cn 4nn eftlclt
      imclt mpbid pm3.26d ltadd2t resubclt resin4pt breqtrrd eqbrtrrd pm3.27d
      eqbrtrd npcant breqtrd jca ) BGHIJKZBBLMJZLNJZOJZBPQZRSYKBRSYGBYHTNJZOJZY
      LUAZUBJZYJYKRYGBYLYNOJZOJZYOYJBUCKZYLUCKZYNUCKYQYOUDYGBYLYNUEYGBYGBUFKZGB
      RSZBHUGSZYGYTUUAUUBUHZGUFKHUFKYGUUCUIUJUKGHBULUMUNUOZUPZYGYLYGYTYLUFKZUUD
      YTLUQKZUUFLURUSZYTUUGUTYHUFKZUUFBLVAZUUITUFKTGVBZUUFVCTVCVDVEZYHTVFVGVHVI
      VHZUPZYGYNYGUUFYNUFKZUUMYLVJVHZUPVKYGYPYIBOYGYPYLYLUBJZVLYLVMJZYIYSYSYPUU
      QUDYGYLYLVNUUNUUNVOYGYSUURUUQUDUUNYLVPVHYGYHVLTNJZVMJZYHHLNJZVMJZUURYIUUS
      UVAYHVMVLHVMJZVLLVMJZNJZUUSUVAUVCVLUVDTNVLVQVRLVLVMJUVDTLVLLVSVTZVQWAWBWC
      WDVLUCKZVLGVBZUVEUVAUDZVQWELUCKZLGVBZUVGUVHUTZUVIUVFLVSWFVEZHUCKUVJUVKUTU
      VLUVIWGHLVLWHWIWJUMWCWKYGYHUCKZUURUUTUDZYGYHYGYTUUIUUDYTUUGUUIUUHUUJVIVHU
      PZUVGUVNTUCKZUVOVQTVCVTUVGUVNUVQUHUUKUVOUULVLYHTWLVIWMVHYGUVNYIUVBUDZUVPU
      VNUVJUVKUVRUVFUVMYHLWNVGVHWOWPWQWRYGYOYMWSWTQFXADQFXBZXCQZUBJZYKRYGYNUVTR
      SZYOUWARSZYGUWBUVTYLRSZYGUVTXDQYLRSZUWBUWDUTZABCFDEXEUVTUFKZUUFUWEUWFUIYG
      UVTYLXFYGUVSUCKZUWGYGXGBVMJZUCKZUWHYGYRUWJUUEXGUCKYRUWJXHXGBXIXJVHUWJWSXK
      KUWHXLAUWICFDWSEXMVIVHUVSXNVHZUUMVOXOZXPUUOUWGYMUFKZUWBUWCUIYGYNUVTYMXQUU
      PUWKYTUUFUWMYGBYLXRUUDUUMVOZVKXOYGYTYKUWAUDUUDABCFDEXSVHZXTYAYGYKYMYLUBJZ
      BRYGYKUWAUWPRUWOYGUWDUWAUWPRSZYGUWBUWDUWLYBUWGUUFUWMUWDUWQUIYGUVTYLYMXQUW
      KUUMUWNVKXOYCYRYSUWPBUDYGBYLYDUUEUUNVOYEYF $.
      $( [19-Jan-2008] $) $( [19-Jan-2008] $)

    $( Lemma for ~ cos01bnd . $)
    cos01bndlem2 $p |- ( A e. ( 0 (,] 1 ) ->
                         ( abs ` ( Re ` sum_ k e. ( ZZ> ` 4 ) ( F ` k ) ) ) <
                         ( ( A ^ 2 ) / 6 ) ) $=
      ( cc0 c1 cioc co wcel c4 cuz cfv cv csu cre cabs cexp c5 cfa cmul cdiv
      c2 c6 cc cr ci clt wbr cle w3a wb 0re 1re elioc2t mp2an biimp 3simp1d
      recnd axicn axmulcl mpan syl cn 4nn eftlclt mpan2 reclt absclt 3syl cn0
      nnnn0 reexpclt caddc df-5 opreq1i eftlubclt ax-mp eqeltr axmulrcl
      resqclt wne 6re 6pos gt0ne0i redivclt mp3an23 wceq cim eqid orci
      abspef01tlub opreq2i syl6breqr rereccl wi wa sin01bndlem1 ltmul2t mpbii
      ex mp3an12 expgt0t mp3an2 3simp2d sylanc sylc 2nn0 2pos 2re ltadd1 mpbi
      2cn addid2 2p2e4 3brtr3 expword2it expcom mp3an3 com12 3impib sylbi jca
      recgt0i lemul1t mpbid recn divrect breqtrrd ltletrd lelttrd ) BGHIJKZLMND
      OENDPZQNZRNZBLSJZTLUANLUBJZUCJZUBJZBUDSJZUEUCJZYMYNUFKZYOUFKYPUGKYMUHBUBJ
      ZUFKZUUCYMBUFKZUUEYMBYMBUGKZGBUIUJZBHUKUJZYMUUGUUHUUIULZGUGKHUGKYMUUJUMUN
      UOGHBUPUQZURZUSZUTUHUFKUUFUUEVAUHBVBVCVDUUELVEKZUUCVFAUUDCDELFVGVHVDUUCYO
      YNVIUTYOVJVKYMUUGYQUGKZYTUGKZUUMUUGLVLKZUUOLVFVMZBLVNVHZUUOYSUGKZUUPYSLHV
      OJZYRUCJZUGTUVAYRUCVPVQZUUNUVBUGKVFLVRVSVTZYQYSWAVHVKZYMUUGUUAUGKZUUBUGKZ
      UUMBWBZUVFUEUGKUEGWCZUVGWDUEWDWEWFZUUAUEWGWHVKZYMYPYQUVBUBJZYTUKYMUUNYPUV
      LUKUJVFABQCDELFQQWIQWJWIQWKWLWMVHYSUVBYQUBUVCWNWOYMYTYQHUEUCJZUBJZUUBUVEY
      MUUOUVNUGKZYMUUGUUOUUMUUSVDZUUOUVMUGKZUVOUEWDUVJWPZYQUVMWAVHVDUVKUUOGYQUI
      UJZYTUVNUIUJZYMUUTUVQUUOUVSUVTWQUVDUVRUUTUVQUUOULZUVSUVTUWAUVSWRYSUVMUIUJ
      UVTWSYSUVMYQWTXAXBXCUVPUUGUUHUVSYMUUGUUQUUHUVSUURBLXDXEUUMYMUUGUUHUUIUULX
      FXGXHYMUVNUUAUVMUBJZUUBUKYMYQUUAUKUJZUVNUWBUKUJZYMUUJUWCUUKUUGUUHUUIUWCUU
      GUDVLKZUUQUUHUUIWRZUWCWQXIUURUWFUUGUWEUUQULZUWCUUHUUIUDLUIUJZUWGUWCWQGUDV
      OJZUDUDVOJZUDLUIGUDUIUJUWIUWJUIUJXJGUDUDUNXKXKXLXMUDXNXOXPXQUWGUUHUUIUWHU
      LUWCBUDLXRXSXTYAWHYBYCYMUUOUVFWRZUWCUWDUMZYMUUGUWKUUMUUGUUOUVFUUSUVHYDVDU
      UOUVFUVQUWLUVRUUOUVFUVQULGUVMUIUJUWLUEWDWEYEYQUUAUVMYFVHXTVDYGYMUUGUUAUFK
      ZUUBUWBWIZUUMUUGUUAUVHUTUWMUEUFKUVIUWNUEWDYHUVJUUAUEYIWHVKYJYKYL $.
      $( [19-Jan-2008] $) $( [19-Jan-2008] $)

    $( Lemma for ~ cos01bnd . $)
    cos01bndlem3 $p |- ( A e. ( 0 (,] 1 ) ->
                         ( ( 1 - ( 2 x. ( ( A ^ 2 ) / 3 ) ) ) < ( cos ` A ) /\
                           ( cos ` A ) < ( 1 - ( ( A ^ 2 ) / 3 ) ) ) ) $=
      ( vk cc0 c1 cioc co wcel c2 cexp c3 cdiv cmul cmin ccos cfv clt wbr c6
      cneg caddc cc wceq ax1cn subsubt mp3an1 cr cle w3a wb 0re 1re elioc2t
      mp2an biimp 3simp1d resqclt syl rehalfclt recnd cn0 2nn0 wa reexpclt wne
      6re 6pos gt0ne0i redivclt mp3an23 mpan2 renegclt sylanc subnegt 2cn 2ne0
      divrect recn opreq12d reccl axdistr halfpm6th pm3.27i opreq2i syl5eqr
      3re 3pos div12t 3eqtr2d eqtrd opreq2d eqtr3d c4 cuz cv csu cre cabs
      cos01bndlem2 absltt ci recnt axicn axmulcl mpan cn 4nn eftlclt reclt
      mpbid pm3.26d ltadd2t resubclt syl3anc recos4pt breqtrrd eqbrtrrd
      pm3.27d eqbrtrd subdit pm3.26i 3eqtr4rd breqtrd jca ) BGHIJKZHLBLMJZNOJZP
      JZQJZBRSZTUAYMHYJQJZTUAYHHYILOJZQJZYIUBOJZUCZUDJZYLYMTYHHYOYRQJZQJZYSYLYO
      UEKZYRUEKZUUAYSUFZYHHUEKZUUBUUCUUDUGHYOYRUHUIYHYOYHYIUJKZYOUJKZYHBUJKZUUF
      YHUUHGBTUAZBHUKUAZYHUUHUUIUUJULZGUJKHUJKZYHUUKUMUNUOGHBUPUQURUSZBUTVAZYIV
      BVAZVCZYHYRYHYQUJKZYRUJKZYHUUHUUQUUMUUHLVDKZUUQVEUUHUUSVFUUFUUQBLVGUUFUBU
      JKUBGVHZUUQVIUBVIVJVKZYIUBVLVMVAVNVAZYQVOVAZVCVPYHYTYKHQYHYTYOYQUDJZYKUUB
      YQUEKZYTUVDUFYHYOYQVQUUPYHYQUVBVCZVPYHYIUEKZUVDYKUFYHYIUUNVCZUVGUVDYIHLOJ
      ZPJZYIHUBOJZPJZUDJZYILNOJZPJZYKUVGYOUVJYQUVLUDUVGLUEKZLGVHYOUVJUFVRVSYILV
      TVMZUVGUBUEKUUTYQUVLUFUBVIWAZUVAYIUBVTVMZWBUVGYIUVIUVKUDJZPJZUVMUVOUVGUVI
      UEKZUVKUEKZUWAUVMUFLVRVSWCZUBUVRUVAWCZYIUVIUVKWDVMUVTUVNYIPUVIUVKQJZHNOJZ
      UFZUVTUVNUFZWEWFWGWHUVGUVPNUEKZUVOYKUFZVRNWIWAZUVGUVPUWJULNGVHZUWKNWIWJVK
      ZYILNWKVNVMWLVAWMWNWOYHYSYPWPWQSFWRDSFWSZWTSZUDJZYMTYHYRUWPTUAZYSUWQTUAZY
      HUWRUWPYQTUAZYHUWPXASYQTUAZUWRUWTVFZABCFDEXBUWPUJKZUUQUXAUXBUMYHUWPYQXCYH
      UWOUEKZUXCYHXDBPJZUEKZUXDYHBUEKZUXFYHUUHUXGUUMBXEVAXDUEKUXGUXFXFXDBXGXHVA
      UXFWPXIKUXDXJAUXECFDWPEXKVNVAUWOXLVAZUVBVPXMZXNUURUXCYPUJKZUWRUWSUMYHYRUW
      PYPXOUVCUXHYHUUGUXJUUOUULUUGUXJUOHYOXPXHVAZXQXMYHUUHYMUWQUFUUMABCFDEXRVAZ
      XSXTYHYMYPYQUDJZYNTYHYMUWQUXMTUXLYHUWTUWQUXMTUAZYHUWRUWTUXIYAUXCUUQUXJUWT
      UXNUMYHUWPYQYPXOUXHUVBUXKXQXMYBYHHYOYQQJZQJZUXMYNUUBUVEUXPUXMUFZYHUUEUUBU
      VEUXQUGHYOYQUHUIUUPUVFVPYHUXOYJHQYHUVGUXOYJUFUVHUVGYIUWGPJZUVJUVLQJZYJUXO
      UVGYIUWFPJZUXSUXRUVGUWBUWCUXTUXSUFUWDUWEYIUVIUVKYCVMUWFUWGYIPUWHUWIWEYDWG
      WHUVGUWJUWMYJUXRUFUWLUWNYINVTVMUVGYOUVJYQUVLQUVQUVSWBYEVAWNWOYFYG $.
      $( [19-Jan-2008] $) $( [19-Jan-2008] $)
  $}

  ${
    $d A j y $.

    $( Bounds on the sine of a positive real number less than or equal to 1.
       (Contributed by Paul Chapman, 19-Jan-2008.) $)
    sin01bnd $p |- ( A e. ( 0 (,] 1 ) ->
        ( ( A - ( ( A ^ 3 ) / 3 ) ) < ( sin ` A ) /\ ( sin ` A ) < A ) ) $=
      ( vy vj cv cn0 wcel ci cmul co cexp cfa cfv cdiv wceq wa copab eqid
      sin01bndlem3 ) BACCDZEFBDGAHISJISKLMINOCBPZTQR $.
      $( [19-Jan-2008] $) $( [19-Jan-2008] $)

    $( Bounds on the cosine of a positive real number less than or equal to 1.
       (Contributed by Paul Chapman, 19-Jan-2008.) $)
    cos01bnd $p |- ( A e. ( 0 (,] 1 ) ->
                     ( ( 1 - ( 2 x. ( ( A ^ 2 ) / 3 ) ) ) < ( cos ` A ) /\
                       ( cos ` A ) < ( 1 - ( ( A ^ 2 ) / 3 ) ) ) ) $=
      ( vy vj cv cn0 wcel ci cmul co cexp cfa cfv cdiv wceq wa copab eqid
      cos01bndlem3 ) BACCDZEFBDGAHISJISKLMINOCBPZTQR $.
      $( [19-Jan-2008] $) $( [19-Jan-2008] $)
  $}

  $( Bounds on the cosine of 1.  (Contributed by Paul Chapman, 19-Jan-2008.) $)
  cos1bnd $p |- ( ( 1 / 3 ) < ( cos ` 1 ) /\ ( cos ` 1 ) < ( 2 / 3 ) ) $=
    ( c1 c3 cdiv co ccos cfv clt wbr c2 cexp cmul cmin sq1 opreq1i opreq2i 2cn
    3nn nncn nnne0 divrec eqtr4 ax1cn divcl reccl caddc df-3 divid divdir
    3eqtr3r subaddri eqtr cr wcel cc0 cle wa 1re lt01 leid w3a cioc wb 0re
    elioc2t mp2an cos01bnd sylbir mp3an pm3.26i eqbrtrr pm3.27i wceq subadd2
    mpbir breqtr pm3.2i ) ABCDZAEFZGHVRIBCDZGHAIAIJDZBCDZKDZLDZVQVRGWCAVSLDVQWB
    VSALWBIVQKDVSWAVQIKVTABCMNZOIBPBQRZBQSZTUAOAVSVQUBIBPWEWFUCZBWEWFUDZBBCDIAU
    EDZBCDAVSVQUEDZBWIBCUFNBWEWFUGIABPUBWEWFUHUIZUJUKWCVRGHZVRAWALDZGHZAULUMZUN
    AGHZAAUOHZWLWNUPZUQURAUQUSWOWPWQUTZAUNAVADUMZWRUNULUMWOWTWSVBVCUQUNAAVDVEAV
    FVGVHZVIVJVRWMVSGWLWNXAVKWMAVQLDZVSWAVQALWDOXBVSVLWJAVLWKAVQVSUBWHWGVMVNUKV
    OVP $.
    $( [19-Jan-2008] $) $( [19-Jan-2008] $)

  $( Bounds on the cosine of 2.  (Contributed by Paul Chapman, 19-Jan-2008.) $)
  cos2bnd $p |- ( -u ( 7 / 9 ) < ( cos ` 2 ) /\
                     ( cos ` 2 ) < -u ( 1 / 9 ) ) $=
    ( c7 c9 cdiv co cneg c2 ccos cfv clt wbr c1 cexp cmul cmin cc wcel wceq
    2cn 9re recn w3a cc0 wne 9pos gt0ne0i divsubdirt mpan2 mp3an negsubdi2
    caddc c8 7re ax1cn addass df-8 opreq1i df-2 opreq2i 3eqtr4r df-9 eqtr4
    subadd2 mpbir negeqi eqtr3 divid 3eqtr3r divnegt divass mulid1 c3 3re 3nn
    nnne0 sqdiv sq1 sq3 opreq12i eqtr cos1bnd pm3.26i cle wb 1nn0 nn0ge0 nngt0
    1re divge0 mp2an 0re cr recosclt ax-mp rereccl lelttr ltlei lt2sq mpbi
    eqbrtrr 2pos resqcl 2re ltmul2 redivcl remulcl ltsub1t fveq2i cos2tOLD
    breqtrr c4 pm3.27i 2nn0 sq2 breqtr 4re mulcom 4t2e8 8re eqcomi subadd
    3eqtr2r eqbrtr pm3.2i ) ABCDEZFGHZIJYEKBCDZEZIJYDFKGHZFLDZMDZKNDZYEIFBCDZKN
    DZYDYKIYMAEZBCDZYDFBNDZBCDZYLBBCDZNDZYOYMFOPZBOPZUUAYQYSQZRBSTZUUCYTUUAUUAU
    ABUBUCZUUBBSUDUEZFBBUFUGUHYPYNBCBFNDZEYPYNBFUUCRUIUUFAUUFAQAFUJDZBQUUGUKKUJ
    DZBAKUJDZKUJDAKKUJDZUJDUUHUUGAKKAULTZUMUMUNUKUUIKUJUOUPFUUJAUJUQURUSUTVABFA
    UUCRUUKVBVCVDVEUPYRKYLNBUUCUUEVFZURVGAOPUUAUUDYDYOQUUKUUCUUEABVHUHVAYLYJIJZ
    YMYKIJZFYFMDZYLYJIFKMDZBCDUUOYLFKBRUMUUCUUEVIUUPFBCFRVJZUPVEYFYIIJZUUOYJIJZ
    KVKCDZFLDZYFYIIUVAKFLDZVKFLDZCDYFKVKUMVKVLTZVKVMVNZVOUVBKUVCBCVPVQVRVSUUTYH
    IJZUVAYIIJZUVFYHFVKCDZIJZVTWAZUBUUTWBJZUBYHWBJZUVFUVGWCUBKWBJUBVKIJZUVKKWDW
    EVKVMWFZKVKWGVLWHWIZUBYHWJKWKPZYHWKPWGKWLWMZUVKUVFUBYHIJUVOUVJUBUUTYHWJVKVL
    UVEWNZUVQWOWIWPZUUTYHUVRUVQWQWIWRWSUBFIJZUURUUSWCWTYFYIFBSUUEWNYHUVQXAZXBXC
    WMWRWSYLWKPYJWKPZUVPUUMUUNWCFBXBSUUEXDFYIXBUWAXEZWGYLYJKXFUHWRWSUUPGHYEYKUU
    PFGUUQXGKUMXHVEZXIYEYKYGIUWDYKUKBCDZKNDZYGIYJUWEIJZYKUWFIJZYJFXJBCDZMDZUWEI
    YIUWIIJZYJUWJIJZYIUVHFLDZUWIIUVIYIUWMIJZUVFUVIVTXKUVLUBUVHWBJZUVIUWNWCUVSUB
    FWBJUVMUWOFXLWEUVNFVKXBVLWHWIYHUVHUVQFVKXBVLUVEXDWQWIWRUWMFFLDZUVCCDUWIFVKR
    UVDUVEVOUWPXJUVCBCXMVQVRVSXNUVTUWKUWLWCWTYIUWIFUWAXJBXOSUUEXDXBXCWMWRFXJMDZ
    BCDUWJUWEFXJBRXJXOTZUUCUUEVIUWQUKBCUWQXJFMDUKFXJRUWRXPXQVSUPVEXNUWBUWEWKPUV
    PUWGUWHWCUWCUKBXRSUUEXDWGYJUWEKXFUHWRUWEYRNDZUWFYGYRKUWENUULURYGKEZBCDZUKBN
    DZBCDZUWSKOPUUAUUDYGUXAQUMUUCUUEKBVHUHUXBUWTBCBUKNDZEUXBUWTBUKUUCUKXRTZUIUX
    DKUXDKQUUHBQBUUHUTXSBUKKUUCUXEUMXTVCVDVEUPUKOPZUUAUUAUXCUWSQZUXEUUCUUCUXFUU
    AUUAUAUUDUXGUUEUKBBUFUGUHYAVEXNYBYC $.
    $( [19-Jan-2008] $) $( [19-Jan-2008] $)

  $( The sine of a positive real number less than or equal to 1 is positive.
     (Contributed by Paul Chapman, 19-Jan-2008.) $)
  sin01gt0 $p |- ( A e. ( 0 (,] 1 ) -> 0 < ( sin ` A ) ) $=
    ( cc0 c1 cioc co wcel c3 cexp cdiv cmin clt wbr csin cfv cr cle w3a wb 0re
    1re elioc2t mp2an biimp 3simp1d cn0 3nn nnnn0 reexpclt mpan2 syl wne 3re
    nnne0 redivclt mp3an23 wi lt01 3pos wa caddc c2 2pos 2re ltadd1 mpbi ax1cn
    addid2 df-3 eqcomi 3brtr3 ltdiv2t mpbii expcom mp3an12 com12 expgt0t
    mp3an2 3adant3 sylbi sylc cc wceq recnd div1t breqtrd 1nn0 expword2it
    mp3an3 3impib exp1t ltletrd posdift sylanc mpbid sin01bnd pm3.26d axlttrn
    mp3an1 resubclt resinclt mp2and ) ABCDEFZBAAGHEZGIEZJEZKLZXEAMNZKLZBXGKLZXB
    XDAKLZXFXBXDXCAXBXCOFZXDOFZXBAOFZXKXBXMBAKLZACPLZXBXMXNXOQZBOFZCOFZXBXPRSTB
    CAUAUBZUCUDZXMGUEFZXKGUFUGZAGUHUIUJZXKGOFZGBUKXLULGUFUMXCGUNUOUJZYCXTXBXDXC
    CIEZXCKXKBXCKLZXDYFKLZXBXRYDXKYGYHUPTULYGXRYDXKQZYHBCKLZBGKLZYGYIYHUPUQURYI
    YJYKYGQZYHYIYLUSCGKLZYHBCUTEZVACUTEZCGKBVAKLYNYOKLVBBVACSVCTVDVECVFVGGYOVHV
    IVJZCGXCVKVLVMVNVOVNYCXBXPYGXSXMXNYGXOXMYAXNYGYBAGVPVQVRVSVTXBXCWAFYFXCWBXB
    XCYCWCXCWDUJWEXBXCACHEZAPXBXPXCYQPLZXSXMXNXOYRXMCUEFZYAXNXOUSZYRUPWFYBYTXMY
    SYAQZYRXNXOYMUUAYRUPYPUUAXNXOYMQYRACGWGVMWHVOUOWIVSXBAWAFYQAWBXBAXTWCAWJUJW
    EWKXLXMXJXFRXBXDAWLYEXTWMWNXBXHXGAKLAWOWPXEOFZXGOFZXFXHUSXIUPZXBXQUUBUUCUUD
    SBXEXGWQWRXMXLUUBXBAXDWSXTYEWMXBXMUUCXTAWTUJWMXA $.
    $( [19-Jan-2008] $) $( [19-Jan-2008] $)

  $( The cosine of a positive real number less than or equal to 1 is positive.
     (Contributed by Paul Chapman, 19-Jan-2008.) $)
  cos01gt0 $p |- ( A e. ( 0 (,] 1 ) -> 0 < ( cos ` A ) ) $=
    ( cc0 c1 cioc co wcel c2 cexp c3 cdiv cmul cmin clt wbr ccos cfv cle cc
    wceq cr w3a wb 0re 1re elioc2t mp2an biimp 3simp1d resqclt syl recnd 2cn
    3re recn wne 3nn nnne0 div12t mpan2 mp3an13 wi 2re redivcl wa caddc ltp1
    df-3 breqtrr 3pos ltdiv1i mpbi divid breqtr ltmul2t mpbii ex mp3an12 cn0
    2nn0 expgt0t mp3an2 3adant3 sylbi sylc ax1id breqtrd eqbrtrd le2sqit
    mpanr1 ltlet mpan imdistani sylan 3impa sq1 syl6breq ltletrt mp3an3
    redivclt mp3an23 axmulrcl sylanc mp2and posdift mpbid cos01bnd pm3.26d
    axlttrn mp3an1 resubclt recosclt ) ABCDEFZBCGAGHEZIJEZKEZLEZMNZXPAOPZMNZBXR
    MNZXLXOCMNZXQXLXOXMMNZXMCQNZYAXLXOXMGIJEZKEZXMMXLXMRFZXOYESZXLXMXLATFZXMTFZ
    XLYHBAMNZACQNZXLYHYJYKUAZBTFZCTFZXLYLUBUCUDBCAUEUFZUGUHZAUIUJZUKZGRFZYFIRFZ
    YGULIUMUNZYSYFYTUAIBUOZYGIUPUQZGXMIURUSUTUJXLYEXMCKEZXMMYIBXMMNZYEUUDMNZXLY
    DTFZYNYIUUEUUFVAGIVBUMUUCVCUDUUGYNYIUAZUUEUUFUUHUUEVDYDCMNUUFYDIIJEZCMGIMNY
    DUUIMNGGCVEEIMGVBVFVGVHGIIVBUMUMVIVJVKIUUAUUCVLVMYDCXMVNVOVPVQYQXLYLUUEYOYH
    YJUUEYKYHGVRFYJUUEVSAGVTWAWBWCWDXLYFUUDXMSYRXMWEUJWFWGXLXMCGHEZCQXLYLXMUUJQ
    NZYOYHYJYKUUKYHBAQNZVDZYKUUKYHYJVDUUMYNYKUUKUDACWHWIYHYJUULYMYHYJUULVAUCBAW
    JWKWLWMWNWCWOWPXOTFZYIYBYCVDYAVAZXLUUNYIYNUUOUDXOXMCWQWRXLXNTFZUUNXLYIUUPYQ
    YIITFUUBUUPUMUUCXMIWSWTUJGTFUUPUUNVBGXNXAWKUJZYQXBXCXLUUNYAXQUBZUUQUUNYNUUR
    UDXOCXDUSUJXEXLXSXRCXNLEMNAXFXGXPTFZXRTFZXQXSVDXTVAZXLYMUUSUUTUVAUCBXPXRXHX
    IXLUUNUUSUUQYNUUNUUSUDCXOXJWKUJXLYHUUTYPAXKUJXBXC $.
    $( [19-Jan-2008] $) $( [19-Jan-2008] $)

  $( The sine of a positive real number less than or equal to 2 is positive.
     (Contributed by Paul Chapman, 19-Jan-2008.) $)
  sin02gt0 $p |- ( A e. ( 0 (,] 2 ) -> 0 < ( sin ` A ) ) $=
    ( cc0 c2 cioc co wcel cdiv cmul csin cfv clt ccos wbr c1 cr cle w3a
    rehalfclt 3ad2ant1 wa wi 2re 2pos divgt0t expcom mp2an 3adant3 wb lediv1tOLD
    mpan2 mp3an23 biimpa 2cn 2ne0 divid syl6breq 3adant2 3jca 0re elioc2t 1re
    3imtr4 sin01gt0 syl cos01gt0 sylbi axmulgt0 resinclt recosclt sylanc
    mp2and axmulrcl mpan mpani 3syl mpd cc wceq recnd sin2tt breqtrrd biimp
    3simp1d wne divcan2t mp3an13 fveq2d breqtrd ) ABCDEFZBCACGEZHEZIJZAIJKWIBCW
    JIJZWJLJZHEZHEZWLKWIBWOKMZBWPKMZWIBWMKMZBWNKMZWQWIWJBNDEFZWSAOFZBAKMZACPMZQ
    ZWJOFZBWJKMZWJNPMZQZWIXAXEXFXGXHXBXCXFXDARSZXBXCXGXDCOFZBCKMZXBXCTZXGUAUBUC
    XMXKXLTXGACUDUEUFUGXBXDXHXCXBXDTWJCCGEZNPXBXDWJXNPMZXBXKXKXDXOUHZUBUBXBXKXK
    QXLXPUCACCUIUJUKULCUMUNUOUPUQURBOFZXKWIXEUHUSUBBCAUTUFZXQNOFXAXIUHUSVABNWJU
    TUFVBZWJVCVDWIXAWTXSWJVEVDWIXFWSWTTWQUAZWIXEXFXRXJVFZWMOFZWNOFZXTXFWMWNVGWJ
    VHZWJVIZVJVDVKWIXFWOOFZWQWRUAYAYBYCYFXFWMWNVLYDYEVJYFXLWQWRUCXKYFXLWQTWRUAU
    BCWOVGVMVNVOVPWIWJVQFWLWPVRWIWJYAVSWJVTVDWAWIWKAIWIAVQFZWKAVRZWIAWIXBXCXDWI
    XEXRWBWCVSCVQFYGCBWDYHUMUNCAWEWFVDWGWH $.
    $( [19-Jan-2008] $) $( [19-Jan-2008] $)

  $( The signs of the sine and cosine of 1. (Contributed by Paul Chapman,
     19-Jan-2008.) $)
  sincos1sgn $p |- ( 0 < ( sin ` 1 ) /\ 0 < ( cos ` 1 ) ) $=
    ( c1 cc0 cioc co wcel csin cfv clt wbr ccos wa cr cle 1re lt01 leid w3a wb
    0re elioc2t mp2an biimpr mp3an sin01gt0 cos01gt0 jca ax-mp ) ABACDEZBAFGHIZ
    BAJGHIZKALEZBAHIZAAMIZUHNOANPUHUKULUMQZBLEUKUHUNRSNBAATUAUBUCUHUIUJAUDAUEUF
    UG $.
    $( [19-Jan-2008] $) $( [19-Jan-2008] $)

  $( The signs of the sine and cosine of 2. (Contributed by Paul Chapman,
     19-Jan-2008.) $)
  sincos2sgn $p |- ( 0 < ( sin ` 2 ) /\ ( cos ` 2 ) < 0 ) $=
    ( cc0 c2 csin cfv clt wbr ccos cioc co wcel cr cle 2re 2pos leid w3a wb
    0re elioc2t mp2an biimpr mp3an sin02gt0 ax-mp c1 c9 cdiv cneg c7 cos2bnd
    pm3.27i 9re 9pos recgt0i gt0ne0i rereccl lt0neg2t mpbi recosclt renegcl
    lttr pm3.2i ) ABCDEFZBGDZAEFZBABHIJZVCBKJZABEFZBBLFZVFMNBMOVFVGVHVIPZAKJVGV
    FVJQRMABBSTUAUBBUCUDVDUEUFUGIZUHZEFZVLAEFZVEUIUFUGIUHVDEFVMUJUKAVKEFZVNUFUL
    UMUNVKKJVOVNQUFULUFULUMUOUPZVKUQUDURVDVLAVGVDKJMBUSUDVKVPUTRVATVB $.
    $( [19-Jan-2008] $) $( [19-Jan-2008] $)

  $( The sine of 4 is negative. (Contributed by Paul Chapman, 19-Jan-2008.) $)
  sin4lt0 $p |- ( sin ` 4 ) < 0 $=
    ( c4 csin cfv c2 ccos cmul co cc0 clt 2t2e4 fveq2i cc wcel wceq 2cn sin2tt
    ax-mp eqtr3 wbr sincos2sgn pm3.27i cr wb 2re recosclt 0re resinclt w3a
    pm3.26i ltmul2t mpan2 mp3an mpbi recn mul01 breqtr remulcl 2pos eqbrtr ) AB
    CZDDBCZDECZFGZFGZHIDDFGZBCZUTVDVEABJKDLMVFVDNODPQRVDDHFGZHIVCHISZVDVGISZVCV
    AHFGZHIVBHISZVCVJISZHVAISZVKTUAVBUBMZHUBMZVAUBMZVKVLUCZDUBMZVNUDDUEQZUFVRVP
    UDDUGQZVNVOVPUHVMVQVMVKTUIVBHVAUJUKULUMVAVAVTUNUOUPVCUBMZVOVRVHVIUCZVAVBVTV
    SUQUFUDWAVOVRUHHDISWBURVCHDUJUKULUMDOUOUPUS $.
    $( [19-Jan-2008] $) $( [19-Jan-2008] $)

  $( The absolute value of the exponential function of an imaginary number is
     one.  Equation 48 of [Rudin] p. 167.  (Contributed by Jason Orendorff,
     9-Feb-2007.) $)
  absefit $p |- ( A e. RR -> ( abs ` ( exp ` ( i x. A ) ) ) = 1 ) $=
    ( cr wcel ci cmul co ce cfv cabs ccos csin caddc c2 cexp csqr c1 cc wceq
    recnt efivalt syl fveq2d absreimt recosclt resinclt sylanc axaddcom
    resqclt recnd sincossqt eqtrd sqr1 syl6eq 3eqtrd ) ABCZDAEFGHZIHAJHZDAKHZEF
    LFZIHZUQMNFZURMNFZLFZOHZPUOUPUSIUOAQCZUPUSRASZATUAUBUQBCZURBCZUTVDRUOUQURUC
    AUDZAUEZUFUOVDPOHPUOVCPOUOVCVBVALFZPVAQCVBQCVCVKRUOVAVBUGUOVAUOVGVABCVIUQUH
    UAUIUOVBUOVHVBBCVJURUHUAUIUFUOVEVKPRVFAUJUAUKUBULUMUN $.
    $( [10-Feb-2007] $) $( [9-Feb-2007] $)

  $( The absolute value of the exponential function is the exponential
     function of the real part.  (Contributed by Paul Chapman,
     13-Sep-2007.) $)
  abseft $p |- ( A e. CC -> ( abs ` ( exp ` A ) ) = ( exp ` ( Re ` A ) ) ) $=
    ( cc wcel ce cfv cabs cre c1 cmul co ci cim wceq caddc replimt fveq2 syl
    efaddt cr reclt recnt axmulcl axicn a1i imclt sylanc eqtrd absmult reefclt
    efclt absefit opreq2 absclt 3syl ax1id cc0 cle wbr absidt clt efgt0t wi
    ltlet 0reALT mpd ) ABCZADEZFEZAGEZDEZFEZVJVFVHVKHIJZVKVFVHVKKALEZIJZDEZFEZI
    JZVLVFVHVJVOIJZFEZVQVFVGVRMVHVSMVFVGVIVNNJZDEZVRVFAVTMVGWAMAOAVTDPQVIBCZVNB
    CZWAVRMVFVIVNRVFVISCZWBATZVIUAQKBCZVMBCZWCVFKVMUBWFVFUCUDVFVMSCZWGAUEZVMUAQ
    UFZUFUGVGVRFPQVJBCZVOBCZVSVQMVFVJVOUHVFVJSCZWKVFWDWMWEVIUIQZVJUAQZVFWCWLWJV
    NUJQUFUGVFVPHMZVQVLMVFWHWPWIVMUKQVPHVKIULQUGVFVKBCZVLVKMVFWKVKSCWQWOVJUMVKU
    AUNVKUOQUGWMUPVJUQURZVKVJMVFVJUSWNVFUPVJUTURZWRVFWDWSWEVIVAQUPSCZWMWSWRVBVF
    UPVJVCWTVFVDUDWNUFVEUFUG $.
    $( [15-Mar-2008] $) $( [13-Sep-2007] $)

  ${
    $d x k $.  $d x N $.  $d A x $.  $d A k $.
    $( De Moivre's Formula.  Proof by induction given at
       ~ http://en.wikipedia.org/wiki/De&#x5F;Moivre&#x27;s&#x5F;formula , but
       restricted to nonnegative integer powers.  (Contributed by Steve
       Rodriguez, 10-Nov-2006.)  _Warning:  The HTML proof page is 0.6 megabyte
       in size_. $)
    demoivre $p |- ( ( A e. CC /\ N e. NN0 ) ->
                  ( ( ( cos ` A ) + ( i x. ( sin ` A ) ) ) ^ N ) =
                  ( ( cos ` ( N x. A ) ) + ( i x. ( sin ` ( N x. A ) ) ) ) ) $=
      ( vx vk cn0 wcel cc ccos cfv ci csin cmul co caddc cexp wceq cv wi cc0
      c1 opreq2 opreq1 fveq2d opreq2d opreq12d eqeq12d imbi2d axaddcl cosclt
      sinclt axicn axmulcl mpan syl sylanc exp0t mul02t cos0 syl6eq sin0 mul01
      ax1cn addid1 eqtr4d wa expp1t sylan ancoms adantr adantl nn0cnt sinaddt
      sylancom axmulcom opreq1d axaddcom 3eqtr2d w3a adddirt mulid2t 3ad2ant3
      eqtrd syl3an1 mp3an2 cmin cneg muladdt 3syl jca mul4t ixi opreq1i jctil
      mul12t axdistr mp3an1 3eqtrd mulm1t negsubt cosaddt 3eqtr4rd exp31 a2d
      nn0ind impcom ) BEFAGFZAHIZJAKIZLMZNMZBOMZBALMZHIZJXLKIZLMZNMZPZXFXJCQZOM
      ZXRALMZHIZJXTKIZLMZNMZPZRXFXJSOMZSALMZHIZJYGKIZLMZNMZPZRXFXJDQZOMZYMALMZH
      IZJYOKIZLMZNMZPZRXFXJYMTNMZOMZUUAALMZHIZJUUCKIZLMZNMZPZRXFXQRCDBXRSPZYEYL
      XFUUIXSYFYDYKXRSXJOUAUUIYAYHYCYJNUUIXTYGHXRSALUBZUCUUIYBYIJLUUIXTYGKUUJUC
      UDUEUFUGXRYMPZYEYTXFUUKXSYNYDYSXRYMXJOUAUUKYAYPYCYRNUUKXTYOHXRYMALUBZUCUU
      KYBYQJLUUKXTYOKUULUCUDUEUFUGXRUUAPZYEUUHXFUUMXSUUBYDUUGXRUUAXJOUAUUMYAUUD
      YCUUFNUUMXTUUCHXRUUAALUBZUCUUMYBUUEJLUUMXTUUCKUUNUCUDUEUFUGXRBPZYEXQXFUUO
      XSXKYDXPXRBXJOUAUUOYAXMYCXONUUOXTXLHXRBALUBZUCUUOYBXNJLUUOXTXLKUUPUCUDUEU
      FUGXFYFTYKXFXJGFZYFTPXGGFZXIGFZUUQXFXGXIUHAUIZXFXHGFZUUSAUJZJGFZUVAUUSUKJ
      XHULUMUNZUOZXJUPUNXFYKTSNMTXFYHTYJSNXFYHSHITXFYGSHAUQZUCURUSXFYJJSLMSXFYI
      SJLXFYISKISXFYGSKUVFUCUTUSUDJUKVAUSUETVBVCUSVDYMEFZXFYTUUHUVGXFYTUUHUVGXF
      VEZYTVEUUBYNXJLMZYSXJLMZUUGUVHUUBUVIPZYTXFUVGUVKUUQUVGUVKXFXJYMVFUVEVGVHV
      IYTUVIUVJPUVHYNYSXJLUBVJUVHUVJUUGPYTUVHYOANMZHIZJUVLKIZLMZNMUVMJYPXHLMZXG
      YQLMZNMZLMZNMZUUGUVJUVHUVOUVSUVMNUVHUVNUVRJLUVHUVNYQXGLMZUVPNMZUVQUVPNMZU
      VRUVGXFYOGFZUVNUWBPYMGFZXFUWDUVGYMAULYMVKZVGZYOAVLVMUVHUVQUWAUVPNUURYQGFZ
      UVQUWAPUVHXGYQVNXFUURUVGUUTVJZUVHUWDUWHUWGYOUJZUNZUOVOUVQGFZUVPGFZUWCUVRP
      UVHUVQUVPVPUURUWHUWLUVHXGYQULUWIUWKUOZYPGFZUVAUWMUVHYPXHULUVHUWDUWOUWGYOU
      IUNZXFUVAUVGUVBVJZUOZUOVQUDUDUVHUUDUVMUUFUVONUVHUUCUVLHUVGTGFZXFUUCUVLPZV
      BUWEUWSXFUWTUVGUWEUWSXFVRUUCYOTALMZNMZUVLYMTAVSXFUWEUXBUVLPUWSXFUXAAYONAV
      TUDWAWBUWFWCWDZUCUVHUUEUVNJLUVHUUCUVLKUXCUCUDUEUVHUVJYPXGLMZXHYQLMZWEMZUV
      SNMZUVTUVHUVJUXDTWFZUXELMZNMZUVSNMZUXDUXEWFZNMZUVSNMUXGUVHUVJUXDXIYRLMZNM
      ZYPXILMZXGYRLMZNMZNMZUXJUXRNMUXKUWOYRGFZVEUURUUSVEZUVJUXSPUVHYPYRXGXIWGUV
      HUWOUXTUWPUVHUWDUWHUXTUWGUWJUVCUWHUXTUKJYQULUMWHWIXFUYAUVGXFUURUUSUUTUVDW
      IVJUOUVHUXOUXJUXRNUVHUXNUXIUXDNUVCUVAVEZUVCUWHVEZUXNUXIPUVHUYBUYCVEUXNJJL
      MZUXELMUXIJXHJYQWJUYDUXHUXELWKWLUSUVHUVAUVCUWQUKWMUVHUWHUVCUWKUKWMUOUDVOU
      VHUXRUVSUXJNUVHUXRJUVPLMZJUVQLMZNMZUVSUVHUXPUYEUXQUYFNUWOUVAUXPUYEPZUVHUW
      OUVCUVAUYHUKYPJXHWNWDUWPUWQUOUURUWHUXQUYFPZUVHUURUVCUWHUYIUKXGJYQWNWDUWIU
      WKUOUEUWMUWLUVSUYGPZUVHUVCUWMUWLUYJUKJUVPUVQWOWPUWRUWNUOVDUDWQUVHUXJUXMUV
      SNUVHUXIUXLUXDNUVHUXEGFZUXIUXLPUVAUWHUYKUVHXHYQULUWQUWKUOZUXEWRUNUDVOUVHU
      XMUXFUVSNUXDGFZUYKUXMUXFPUVHUXDUXEWSUWOUURUYMUVHYPXGULUWPUWIUOUYLUOVOWQUV
      HUVMUXFUVSNUVHUVMUXDYQXHLMZWEMZUXFUVGXFUWDUVMUYOPUWGYOAWTVMUVHUYNUXEUXDWE
      UWHUVAUYNUXEPUVHYQXHVNUWKUWQUOUDWBVOVDXAVIWQXBXCXDXE $.
      $( [10-Nov-2006] $) $( [9-Nov-2006] $)

    $( Shorter proof of ~ demoivre using the exponential function. $)
    demoivreALT $p |- ( ( A e. CC /\ N e. NN0 ) ->
                  ( ( ( cos ` A ) + ( i x. ( sin ` A ) ) ) ^ N ) =
                  ( ( cos ` ( N x. A ) ) + ( i x. ( sin ` ( N x. A ) ) ) ) ) $=
      ( cc wcel cn0 wa ci cmul co ce cfv cexp ccos csin caddc wceq efexpt
      axicn axmulcl mpan sylan mul12t mp3an2 fveq2d efivalt syl eqtrd ancoms
      nn0cnt sylan2 opreq1d adantr 3eqtr3rd ) ACDZBEDZFBGAHIZHIZJKZUPJKZBLIZBAH
      IZMKGVANKHIOIZAMKGANKHIOIZBLIZUPCDZUOURUTPUNUPBQGCDZUNVERGASTUAUNBCDZURVB
      PZUOVGUNVHVGUNFZURGVAHIZJKZVBVIUQVJJVGVFUNUQVJPRBGAUBUCUDVIVACDVKVBPBASVA
      UEUFUGUHBUIUJUNUTVDPUOUNUSVCBLAUEUKULUM $.
      $( [18-Aug-2007] $) $( [24-Jul-2007] $)
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
              Axiom of dependent choice
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  ${
    $d k s t u v x y z A $.  $d k s t u v x y z F $.  $d u v x y z G $.
    $d s t S $.  $d k s t x y z c $.  $d k s t u v x y z r $.
    acdc3lem.1 $e |- A e. V $.
    acdc3lem.2 $e |- S = { <. <. x , y >. , z >. |
               ( ( x e. A /\ y e. A ) /\ z = U. { v e. ( F ` x ) |
                        A. u e. ( F ` x ) -. u r v } ) } $.
    acdc3lem.3 $e |- G = ( S seq1 ( NN X. { c } ) ) $.
    $( Lemma for ~ acdc3 .  Build a sequence ` G ` starting at value ` c ` , as
       follows.  Given a previous value ` x ` of ` G ` , we construct, for the
       next value of ` G ` , the ` v ` such that
       ` A. u e. ( F `` x ) -. u r v ` , which is unique when ` r ` is a
       well-ordering on ` A ` . $)
    acdc3lem $p |- ( ( r We A /\ ( c e. A /\ F : A --> ( P~ A \ { (/) } ) ) )
                 -> ( G : NN --> A /\ ( G ` 1 ) = c /\
       A. k e. NN ( G ` ( k + 1 ) ) e. ( F ` ( G ` k ) ) ) ) $=
      ( vs vt cv wwe wcel cpw c0 csn cdif wf wa cn c1 cfv wceq caddc co wral
      cxp cseq1 wbr wn crab cuni oprabex2 nnex snex xpex seq1f wss snssi
      visset fconst fss mpan syl ad2antrl wfn fvex rabex uniex fveq2 rabeq
      raleq1 rabbisdv eqtrd unieqd eqid a1i oprabval2 adantl ffvelrn eldifi
      adantll elpwi wne wereucl simpll eldifn id 0ex snid syl6eqel necon3bi
      syl3anc sseldd adantlrl adantrr eqeltrd ex r19.21aivv fnoprab2 jctil
      ffnoprval sylibr sylanc wb feq1 ax-mp fveq1i seq11 1nn fvconst2 eqtr
      seq1p1 peano2nn opreq2d seq1cl pm3.27 adantr ad2antlr syl5eqel simprl
      opreq1i syl5eqr syl5eq r19.21aiva 3jca ) FKRZSZLRZFTZFFUAZUBUCZUDZIUEZUFZ
      UFZUGFJUEZUHJUIZYPUJZHRZUHUKULZJUIZUUGJUIZIUIZTZHUGUMUUCUGFGUGYPUCZUNZUOU
      LZUEZUUDUGFUUNUEZFFUNZFGUEZUUPUUCFGUUNABCFFERDRYNUPUQZEARZIUIZUMZDUVBURZU
      SZGMMNUTZUGUUMVAYPVBVCZVDYQUUQYOUUAYQUUMFVEZUUQYPFVFUGUUMUUNUEUVHUUQUGYPL
      VGZVHUGUUMFUUNVIVJVKZVLUUCGUURVMZPRZQRZGULZFTZQFUMPFUMZUFUUSUUCUVPUVKUUCU
      VOPQFFUUCUVLFTZUVMFTZUFZUVOUUCUVSUFUVNUUTEUVLIUIZUMZDUVTURZUSZFUVSUVNUWCU
      JUUCABCUVLUVMFFUVEUWCGUWCUWBUWADUVTUVLIVNZVOVPUVAUVLUJZUVDUWBUWEUVBUVTUJZ
      UVDUWBUJUVAUVLIVQUWFUVDUVCDUVTURUWBUVCDUVBUVTVRUWFUVCUWADUVTUUTEUVBUVTVSV
      TWAVKWBUWCUWCUJBRZUVMUJUWCWCWDNWEWFUUCUVQUWCFTZUVRYOUUAUVQUWHYQYOUUAUFUVQ
      UFZUVTFUWCUWIUVTYRTZUVTFVEZUUAUVQUWJYOUUAUVQUFZUVTYTTZUWJFYTUVLIWGZUVTYRY
      SWHVKWIUVTFWJVKZYOUWKUVTUBWKZUWCUVTTUWIDEFUVTYNUWDWLYOUUAUVQWMUWOUUAUVQUW
      PYOUWLUWMUWPUWNUWMUVTYSTZUQUWPUVTYRYSWNUWQUVTUBUVTUBUJZUVTUBYSUWRWOUBWPWQ
      ZWRWSVKVKWIWTXAXBXCXDXEXFABCFFUVEGUVDUVCDUVBUVAIVNVOVPNXGXHPQFFFGXIXJZXKJ
      UUOUJUUDUUPXLOUGFJUUOXMXNXJUUFUUCUUEUHUUOUIZYPUHJUUOOXOUXAUHUUNUIZYPGUUNU
      VFUVGXPUHUGTUXBYPUJXQUGYPUHUVIXRXNXSXSWDUUCUULHUGUUCUUGUGTZUFZUUIUUTEUUKU
      MZDUUKURZUSZUUKUXDUUHUUOUIZUXGUUIUXDUXHUUGUUOUIZUUHUUNUIZGULZUXGUXCUXHUXK
      UJUUCUUGGUUNUVFUVGXTWFUXDUUJUXJGULZUXGUXKUXDUXLUUJYPGULZUXGUXCUXLUXMUJUUC
      UXCUXJYPUUJGUXCUUHUGTUXJYPUJUUGYAUGYPUUHUVIXRVKYBWFUUJFTZYQUXMUXGUJUXDABC
      UUJYPFFUVEUXGGUXGUXFUXEDUUKUUJIVNZVOVPUVAUUJUJZUVDUXFUXPUVBUUKUJZUVDUXFUJ
      UVAUUJIVQUXQUVDUVCDUUKURUXFUVCDUVBUUKVRUXQUVCUXEDUUKUUTEUVBUUKVSVTWAVKWBU
      XGUXGUJUWGYPUJUXGWCWDNWEUXDUXIFUUJUXCUUQUUSUXIFTUXDUUGFGUUNUVFUVGYCUUCUXC
      YDUUBUUQYOUXCYQUUQUUAUVJYEYFUUCUUSUXCUWTYEWTUUGJUUOOXOZYGZUUCYQUXCYOYQUUA
      YHYEXKWAUUJUXIUXJGUXRYIYJWAUUHJUUOOXOYKYOUUKFVEZUUKUBWKZUXGUUKTUXDDEFUUKY
      NUXOWLYOUUBUXCWMUXDUUKYRTZUXTUXDUUKYTTZUYBUUAUXNUYCUXDFYTUUJIWGUUBUUAYOUX
      CYQUUAYDYFUXSXKZUUKYRYSWHVKUUKFWJVKUXDUYCUYAUYDUYCUUKYSTZUQUYAUUKYRYSWNUY
      EUUKUBUUKUBUJZUUKUBYSUYFWOUWSWRWSVKVKWTXDYLYM $.
      $( [25-Nov-2007] $) $( [8-Oct-2007] $)
  $}

  ${
    $d a b c d g k r u v x y z A $.  $d c g C $.
    $d a b c d f g h k r u v x y z F $.
    acdc3.1 $e |- A e. V $.
    $( MAY BE REVISED - to do:  clean up acdc* stuff. $)
    $( Dependent Choice.  Axiom DC1 of [Schechter] p. 149, with the addition
       of an initial value ` C ` .  This theorem is weaker than the Axiom of
       Choice but is stronger than Countable Choice.  It shows the existence of
       a sequence whose values can only be shown to exist (but cannot be
       constructed explicitly) and also depend on earlier values in the
       sequence. $)
    acdc3 $p |- ( ( F : A --> ( P~ A \ { (/) } ) /\ C e. A ) ->
                E. g ( g : NN --> A /\ ( g ` 1 ) = C /\
                  A. k e. NN ( g ` ( k + 1 ) ) e. ( F ` ( g ` k ) ) ) ) $=
      ( vc vr va vb vd vh vf vx vy vz vv vu wcel cpw c0 csn cdif wf cn cv c1
      cfv wceq caddc co wral w3a wex wi eqeq2 3anbi2d exbidv imbi2d wwe weth
      wa wbr wn crab cuni copab2 cxp cseq1 eleq1 bi2anan9 fveq2 rabeq raleq1
      rabbisdv eqtrd syl adantr breq2 negbid ralbidv breq1 cbvralv syl6bb
      cbvrabv syl6eq unieqd eqeq2d anbi12d cbvoprab12v eqeq1 anbi2d cbvoprab3v
      eqtr eqid acdc3lem oprex feq1 fveq1 eqeq1d fveq2d eleq12d 3anbi123d
      cla4ev exp32 19.23aiv ax-mp vtoclga impcom ) BASAATUAUBUCEUDZUEACUFZUDZUG
      XKUHZBUIZDUFZUGUJUKZXKUHZXOXKUHZEUHZSZDUEULZUMZCUNZXJXLXMGUFZUIZYAUMZCUNZ
      UOZXJYCUOGBAYDBUIZYGYCXJYIYFYBCYIYEXNXLYAYDBXMUPUQURUSAHUFZUTZHUNYDASZYHU
      OZHAFVAYKYMHYKYLXJYGYKYLXJVBVBUEAIUFZASZJUFZASZVBZKUFZLUFZMUFZYJVCZVDZLYN
      EUHZULZMUUDVEZVFZUIZVBZIJKVGZUEYDUBVHZVIUKZUDZUGUULUHZYDUIZXPUULUHZXOUULU
      HZEUHZSZDUEULZUMZYGNOPQRAUUJDEUULHGFUUJNUFZASZOUFZASZVBZYSRUFZQUFZYJVCZVD
      ZRUVBEUHZULZQUVKVEZVFZUIZVBZNOKVGUVFPUFZUVNUIZVBZNOPVGUUIUVPIJKNOYNUVBUIZ
      YPUVDUIZVBZYRUVFUUHUVOUVTYOUVCUWAYQUVEYNUVBAVJYPUVDAVJVKUWBUUGUVNYSUWBUUF
      UVMUWBUUFUUCLUVKULZMUVKVEZUVMUVTUUFUWDUIZUWAUVTUUDUVKUIZUWEYNUVBEVLUWFUUF
      UUEMUVKVEUWDUUEMUUDUVKVMUWFUUEUWCMUVKUUCLUUDUVKVNVOVPVQVRUWCUVLMQUVKUUAUV
      HUIZUWCYTUVHYJVCZVDZLUVKULUVLUWGUUCUWILUVKUWGUUBUWHUUAUVHYTYJVSVTWAUWIUVJ
      LRUVKYTUVGUIUWHUVIYTUVGUVHYJWBVTWCWDWEWFWGWHWIWJUVPUVSNOKPYSUVQUIUVOUVRUV
      FYSUVQUVNWKWLWMWNUULWOWPYFUVACUULUUJUUKVIWQXKUULUIZXLUUMYEUUOYAUUTUEAXKUU
      LWRUWJXMUUNYDUGXKUULWSWTUWJXTUUSDUEUWJXQUUPXSUURXPXKUULWSUWJXRUUQEXOXKUUL
      WSXAXBWAXCXDVQXEXFXGXHXI $.
      $( [25-Nov-2007] $) $( [8-Oct-2007] $)
  $}

  ${
    $d a b c d h g j k r u v x y z A $.  $d a b c d f g h j k r u v x y z F $.
    $d h k B $.  $d g h k C $.  $d h k G $.
    acdc4lem.1 $e |- A e. V $.
    acdc4lem.2 $e |- G = { <. <. j , y >. , z >. | ( ( j e. NN /\ y e. A ) /\
                  z = ( { ( j + 1 ) } X. ( ( j + 1 ) F y ) ) ) } $.
    acdc4lem.3 $e |- B = ( NN X. A ) $.
    acdc4lem.4 $e |- H = ( 1st o. h ) $.
  $}

  ${
    $d a b c d g k r u v x y z A $.  $d a b c d f g h k r u v x y z F $.
    acdc4.1 $e |- A e. V $.
  $}

  ${
    $d k s t u v x y z A $.  $d k s t u v x y z F $.  $d u v x y z G $.
    $d s t S $.  $d k s t x y z c $.  $d k s t u v x y z r $.
    $d u v x y z K $.  $d u v x y z X $.
    acdc2lem.1 $e |- A e. V $.
    acdc2lem.2 $e |- S = { <. <. x , y >. , z >. |
               ( ( x e. A /\ y e. NN ) /\ z = U. { v e. ( y F x ) |
                        A. u e. ( y F x ) -. u r v } ) } $.
    acdc2lem.3 $e |- G =
              ( S seq1 ( { <. 1 , c >. } u. ( I |` ( NN \ { 1 } ) ) ) ) $.
    $( Lemma for ~ acdc2 . $)
    acdc2lem1 $p |- ( ( ( r We A /\ F : ( NN X. A ) --> ( P~ A \ { (/) } ) )
                  /\ ( X e. A /\ K e. NN ) ) ->
             ( ( X S K ) e. ( K F X ) /\ ( X S K ) e. A ) ) $=
      ( cv wwe cn cxp cpw c0 csn cdif wf wa wcel co wbr wn wral crab cuni wceq
      oprex rabex uniex opreq2 rabeq raleq1 rabbisdv eqtrd syl unieqd opreq1
      oprabval2 adantl wss wne wereucl simpll foprrn 3com23 3expb eldifi elpwi
      adantll eldifn id 0ex snid syl6eqel necon3bi syl3anc eqeltrd sseldd jca
      ) FLQZRZSFTFUAZUBUCZUDZHUEZUFZKFUGZJSUGZUFZUFZKJGUHZJKHUHZUGWSFUGWRWSEQDQ
      WHUIUJZEWTUKZDWTULZUMZWTWQWSXDUNWNABCKJFSXAEBQZAQZHUHZUKZDXGULZUMXDGXAEXE
      KHUHZUKZDXJULZUMXCXBDWTJKHUOZUPUQXFKUNZXIXLXNXGXJUNZXIXLUNXFKXEHURXOXIXHD
      XJULXLXHDXGXJUSXOXHXKDXJXAEXGXJUTVAVBVCVDXEJUNZXLXCXPXJWTUNZXLXCUNXEJKHVE
      XQXLXKDWTULXCXKDXJWTUSXQXKXBDWTXAEXJWTUTVAVBVCVDOVFVGWIWTFVHZWTUBVIZXDWTU
      GWRDEFWTWHXMVJWIWMWQVKWMWQXRWIWMWQUFZWTWJUGZXRXTWTWLUGZYAWMWOWPYBWMWPWOYB
      JKWLSFHVLVMVNZWTWJWKVOVCWTFVPVCVQZWMWQXSWIXTYBXSYCYBWTWKUGZUJXSWTWJWKVRYE
      WTUBWTUBUNZWTUBWKYFVSUBVTWAWBWCVCVCVQWDWEZWRWTFWSYDYGWFWG $.
      $( [26-Oct-2007] $) $( [30-Sep-2007] $)

    $( Lemma for ~ acdc2 .  Build a sequence ` G ` starting at value ` c ` , as
       follows.  Given a previous value ` x ` of ` G ` , we construct, for the
       next value of ` G ` , the ` v ` such that
       ` A. u e. ( y F x ) -. u r v ` , which is unique when ` r ` is a
       well-ordering on ` A ` . $)
    acdc2lem2 $p |- ( ( r We A /\ ( c e. A /\
     F : ( NN X. A ) --> ( P~ A \ { (/) } ) ) ) -> ( G : NN --> A /\
          A. k e. NN ( G ` ( k + 1 ) ) e. ( ( k + 1 ) F ( G ` k ) ) ) ) $=
      ( vs vt cv wwe wcel cn cxp cpw c0 csn cdif wf wa c1 caddc co cfv wral
      cop cid cres cun cseq1 wbr wn crab cuni nnex oprabex2 snex cvv difexg
      ax-mp resiexg unex seq1f2 3expa id 1nn elisseti visset eqid fvsnun1
      syl5eqel ad2antrl wss wf1o f1oi f1of difss fss mp2an wceq wb resundir
      cin difdisj wfn f1osn f1ofn fnresdisj mpbi residm uneq12i uncom un0
      eqtr3 3eqtr feq1 mpbir jctir acdc2lem1 pm3.27d ex r19.21aivv oprex rabex
      uniex fnoprab2 jctil ffnoprval sylibr adantrl sylanc seq1p1 seq1lem2
      fvsnun2 syl fvi syl6eq opreq2d eqtrd fveq1i opreq1i 3eqtr4g adantl
      pm3.26d simpll simprr adantr w3a seq1cl2 3simp2 a1i 3simp3 3jca 3simp1
      pm3.27 pm3.26 ad2antlr syl3anc peano2nn syl2anc eqeltrd r19.21aiva jca )
      FKRZSZLRZFTZUAFUBFUCUDUEUFIUGZUHZUHZUAFJUGZHRZUIUJUKZJULZUVAUUTJULZIUKZTZ
      HUAUMUURUAFGUIUUNUNZUEZUOUAUIUEZUFZUPZUQZURUKZUGZUUSUIUVKULZFTZUVIUAUVKUV
      IUPZUGZUHFUAUBZFGUGZUVMUURUVOUVQUVSUVMFUAGUVKABCFUAERDRUULUSUTEBRZARZIUKZ
      UMZDUWBVAZVBZGMVCNVDZUVGUVJUVFVEUVIVFTZUVJVFTUAVFTUWGVCUAUVHVFVGVHUVIVFVI
      VHVJZVKVLUURUVOUVQUUOUVOUUMUUPUUOUUNFUVNUUOVMUIUUNUAUOUVKUIUAVNVOZLVPZUVK
      VQZVRZVSVTUVQUVIUAUVJUGZUVIUVIUVJUGZUVIUAWAUWMUVIUVIUVJWBUWNUVIWCUVIUVIUV
      JWDVHUAUVHWEUVIUVIUAUVJWFWGUVPUVJWHUVQUWMWIUVPUVGUVIUPZUVJUVIUPZUQUDUVJUQ
      ZUVJUVGUVJUVIWJUWOUDUWPUVJUVHUVIWKUDWHZUWOUDWHZUVHUAWLUVGUVHWMZUWRUWSWIUV
      HUUNUEZUVGWBUWTUIUUNUWIUWJWNUVHUXAUVGWOVHUVHUVIUVGWPVHWQUOUVIWRWSUVJUDUQU
      WQUVJUVJUDWTUVJXAXBXCUVIUAUVPUVJXDVHXEZXFUUMUUPUVSUUOUUMUUPUHZGUVRWMZPRZQ
      RZGUKZFTZQUAUMPFUMZUHUVSUXCUXIUXDUXCUXHPQFUAUXCUXEFTUXFUATUHZUXHUXCUXJUHU
      XGUXFUXEIUKTUXHABCDEFGIJUXFUXEKLMNOXGXHXIXJABCFUAUWEGUWDUWCDUWBUVTUWAIXKX
      LXMNXNXOPQFUAFGXPXQXRZXSJUVLWHUUSUVMWIOUAFJUVLXDVHXQUURUVEHUAUURUUTUATZUH
      ZUVBUVCUVAGUKZUVDUXLUVBUXNWHUURUXLUVAUVLULZUUTUVLULZUVAGUKZUVBUXNUXLUXOUX
      PUVAUVKULZGUKUXQUUTGUVKUWFUWHXTUXLUXRUVAUXPGUXLUXRUVAUOULZUVAUXLUVAUVITUX
      RUXSWHUUTYAUIUUNUAUVAUOUVKUWIUWJUWKYBYCUVAVFTUXSUVAWHUUTUIUJXKUVAVFYDVHYE
      YFYGUVAJUVLOYHUVCUXPUVAGUUTJUVLOYHZYIYJYKUUMUUPUVCFTZUVAUATZUXNUVDTZUXMUX
      CUYAUYBUHUHUYCUXNFTABCDEFGIJUVAUVCKLMNOXGYLUUMUUQUXLYMUURUUPUXLUUMUUOUUPY
      NYOUXMUXPFUVCUXLUUOUVSUXPFTZUXMUVOUVQUVSYPUXLUYDUXLUUOUVSYPZUUTFUAGUVKUWF
      UWHYQUYEUVOUVQUVSUYEUUNFUVNUXLUUOUVSYRUWLVSUVQUYEUXBYSUXLUUOUVSYTUUAUXLUU
      OUVSUUBXSUURUXLUUCUUQUUOUUMUXLUUOUUPUUDUUEUURUVSUXLUXKYOUUFUXTVSUXLUYBUUR
      UUTUUGYKUUHUUIUUJUUK $.
      $( [26-Oct-2007] $) $( [23-Sep-2007] $)
  $}

  ${
    $d a b c d g k r u v x y z A $.  $d a b c d f g h k r u v x y z F $.
    acdc2.1 $e |- A e. V $.
    $( A more general version of ~ acdc that allows the function ` F ` to
       vary with ` k ` . $)
    acdc2 $p |- ( ( A =/= (/) /\ F : ( NN X. A ) --> ( P~ A \ { (/) } ) ) ->
               E. g ( g : NN --> A /\
           A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) ) $=
      ( vr vc va vb vd vh vf vx vy vz vv vu cv wwe wex c0 wne cn cxp cpw csn
      cdif wf wa c1 caddc co cfv wcel wral wi weth wbr wn crab cuni wceq
      copab2 cop cid cres cun cseq1 eleq1 bi2anan9 opreq12 ancoms rabeq raleq1
      rabbisdv eqtrd syl breq2 negbid ralbidv breq1 cbvralv syl6bb cbvrabv
      syl6eq unieqd eqeq2d anbi12d cbvoprab12v eqeq1 anbi2d cbvoprab3v eqtr
      eqid acdc2lem2 oprex feq1 fveq1 opreq2d eleq12d cla4ev exp32 19.23adv
      ne0 syl5ib imp3a 19.23aiv ax-mp ) AFRZSZFTAUAUBZUCAUDAUEUAUFUGDUHZUIUCABR
      ZUHZCRZUJUKULZXMUMZXPXOXMUMZDULZUNZCUCUOZUIZBTZUPZFAEUQXJYDFXJXKXLYCXJGRZ
      AUNZGTXLYCUPZXKXJYFYGGXJYFXLYCXJYFXLUIUIUCAHRZAUNZIRZUCUNZUIZJRZKRZLRZXIU
      RZUSZKYJYHDULZUOZLYRUTZVAZVBZUIZHIJVCZUJYEVDUFVEUCUJUFUGVFVGZVHULZUHZXPUU
      FUMZXPXOUUFUMZDULZUNZCUCUOZUIZYCMNOPQAUUDCDUUFFGEUUDMRZAUNZNRZUCUNZUIZYMQ
      RZPRZXIURZUSZQUUPUUNDULZUOZPUVCUTZVAZVBZUIZMNJVCUURORZUVFVBZUIZMNOVCUUCUV
      HHIJMNYHUUNVBZYJUUPVBZUIZYLUURUUBUVGUVLYIUUOUVMYKUUQYHUUNAVIYJUUPUCVIVJUV
      NUUAUVFYMUVNYTUVEUVNYTYQKUVCUOZLUVCUTZUVEUVNYRUVCVBZYTUVPVBUVMUVLUVQYJUUP
      YHUUNDVKVLUVQYTYSLUVCUTUVPYSLYRUVCVMUVQYSUVOLUVCYQKYRUVCVNVOVPVQUVOUVDLPU
      VCYOUUTVBZUVOYNUUTXIURZUSZKUVCUOUVDUVRYQUVTKUVCUVRYPUVSYOUUTYNXIVRVSVTUVT
      UVBKQUVCYNUUSVBUVSUVAYNUUSUUTXIWAVSWBWCWDWEWFWGWHWIUVHUVKMNJOYMUVIVBUVGUV
      JUURYMUVIUVFWJWKWLWMUUFWNWOYBUUMBUUFUUDUUEVHWPXMUUFVBZXNUUGYAUULUCAXMUUFW
      QUWAXTUUKCUCUWAXQUUHXSUUJXPXMUUFWRUWAXRUUIXPDXOXMUUFWRWSWTVTWHXAVQXBXCGAX
      DXEXFXGXH $.
      $( [26-Oct-2007] $) $( [29-Sep-2007] $)
  $}

  ${
    $d k s t u v x y z A $.  $d k s t u v x y z F $.  $d u v x y z G $.
    $d s t S $.  $d k s t x y z c $.  $d k s t u v x y z r $.
    $d u v x y z K $.  $d u v x y z X $.
    acdc5lem.1 $e |- A e. V $.
    acdc5lem.2 $e |- S = { <. <. x , y >. , z >. |
               ( ( x e. A /\ y e. NN ) /\ z = U. { v e. ( y F x ) |
                        A. u e. ( y F x ) -. u r v } ) } $.
    acdc5lem.3 $e |- G =
              ( S seq1 ( { <. 1 , c >. } u. ( I |` ( NN \ { 1 } ) ) ) ) $.
    $( Lemma for ~ acdc5 . $)
    acdc5lem1 $p |- ( ( ( r We A /\ F : ( NN X. A ) --> ( P~ A \ { (/) } ) )
                  /\ ( X e. A /\ K e. NN ) ) ->
             ( ( X S K ) e. ( K F X ) /\ ( X S K ) e. A ) ) $=
      ( cv wwe cn cxp cpw c0 csn cdif wf wa wcel co wbr wn wral crab cuni wceq
      oprex rabex uniex opreq2 rabeq raleq1 rabbisdv eqtrd syl unieqd opreq1
      oprabval2 adantl wss wne wereucl 3expb w3a foprrn eldifsn sylib elpwi
      anim1i 3com23 sylan2 anassrs eqeltrd pm3.26d adantll sseldd jca ) FLQZRZS
      FTFUAZUBUCUDZHUEZUFZKFUGZJSUGZUFZUFZKJGUHZJKHUHZUGWPFUGWOWPEQDQWFUIUJZEWQ
      UKZDWQULZUMZWQWNWPXAUNWKABCKJFSWREBQZAQZHUHZUKZDXDULZUMXAGWREXBKHUHZUKZDX
      GULZUMWTWSDWQJKHUOZUPUQXCKUNZXFXIXKXDXGUNZXFXIUNXCKXBHURXLXFXEDXGULXIXEDX
      DXGUSXLXEXHDXGWREXDXGUTVAVBVCVDXBJUNZXIWTXMXGWQUNZXIWTUNXBJKHVEXNXIXHDWQU
      LWTXHDXGWQUSXNXHWSDWQWREXGWQUTVAVBVCVDOVFVGWGWJWNXAWQUGZWGWQFVHZWQUBVIZUF
      ZXOWJWNUFZWGXPXQXODEFWQWFXJVJVKWJWLWMXRWJWMWLXRWJWMWLVLZWQWHUGZXQUFZXRXTW
      QWIUGYBJKWISFHVMWQWHUBVNVOYAXPXQWQFVPVQVCVRVKZVSVTWAZWOWQFWPWJWNXPWGXSXPX
      QYCWBWCYDWDWE $.
      $( [11-Nov-2007] $) $( [30-Sep-2007] $)

    $( Lemma for ~ acdc5 .  Build a sequence ` G ` starting at value ` c ` , as
       follows.  Given a previous value ` x ` of ` G ` , we construct, for the
       next value of ` G ` , the ` v ` such that
       ` A. u e. ( y F x ) -. u r v ` , which is unique when ` r ` is a
       well-ordering on ` A ` . $)
    acdc5lem2 $p |- ( ( r We A /\ ( c e. A /\
     F : ( NN X. A ) --> ( P~ A \ { (/) } ) ) ) -> ( G : NN --> A /\
       ( G ` 1 ) = c /\
               A. k e. NN ( G ` ( k + 1 ) ) e. ( ( k + 1 ) F ( G ` k ) ) ) ) $=
      ( vs vt cv wwe wcel cn cxp cpw c0 csn cdif wf wa c1 cfv wceq caddc co
      wral cop cid cres cun cseq1 wbr wn crab cuni nnex oprabex2 snex cvv
      difexg ax-mp resiexg unex seq1f2 3expa id 1nn elisseti visset eqid
      fvsnun1 syl5eqel ad2antrl wss wf1o f1oi f1of difss fss mp2an wb resundir
      cin difdisj wfn f1osn f1ofn fnresdisj mpbi residm uneq12i uncom un0
      eqtr3 3eqtr feq1 mpbir jctir acdc5lem1 pm3.27d ex r19.21aivv oprex rabex
      uniex fnoprab2 jctil ffnoprval sylibr adantrl sylanc fveq1i seq11 a1i
      seq1p1 seq1lem2 fvsnun2 syl fvi syl6eq opreq2d eqtrd opreq1i 3eqtr4g
      adantl pm3.26d simpll simprr adantr w3a seq1cl2 3simp2 3simp3 3jca
      3simp1 pm3.27 pm3.26 ad2antlr syl3anc peano2nn syl2anc eqeltrd
      r19.21aiva ) FKRZSZLRZFTZUAFUBFUCUDUEUFIUGZUHZUHZUAFJUGZUIJUJZUUNUKZHRZUI
      ULUMZJUJZUVCUVBJUJZIUMZTZHUAUNUURUAFGUIUUNUOZUEZUPUAUIUEZUFZUQZURZUSUMZUG
      ZUUSUIUVMUJZFTZUVKUAUVMUVKUQZUGZUHFUAUBZFGUGZUVOUURUVQUVSUWAUVOFUAGUVMABC
      FUAERDRUULUTVAEBRZARZIUMZUNZDUWDVBZVCZGMVDNVEZUVIUVLUVHVFUVKVGTZUVLVGTUAV
      GTUWIVDUAUVJVGVHVIUVKVGVJVIVKZVLVMUURUVQUVSUUOUVQUUMUUPUUOUUNFUVPUUOVNUIU
      UNUAUPUVMUIUAVOVPZLVQZUVMVRZVSZVTWAUVSUVKUAUVLUGZUVKUVKUVLUGZUVKUAWBUWOUV
      KUVKUVLWCUWPUVKWDUVKUVKUVLWEVIUAUVJWFUVKUVKUAUVLWGWHUVRUVLUKUVSUWOWIUVRUV
      IUVKUQZUVLUVKUQZURUDUVLURZUVLUVIUVLUVKWJUWQUDUWRUVLUVJUVKWKUDUKZUWQUDUKZU
      VJUAWLUVIUVJWMZUWTUXAWIUVJUUNUEZUVIWCUXBUIUUNUWKUWLWNUVJUXCUVIWOVIUVJUVKU
      VIWPVIWQUPUVKWRWSUVLUDURUWSUVLUVLUDWTUVLXAXBXCUVKUAUVRUVLXDVIXEZXFUUMUUPU
      WAUUOUUMUUPUHZGUVTWMZPRZQRZGUMZFTZQUAUNPFUNZUHUWAUXEUXKUXFUXEUXJPQFUAUXEU
      XGFTUXHUATUHZUXJUXEUXLUHUXIUXHUXGIUMTUXJABCDEFGIJUXHUXGKLMNOXGXHXIXJABCFU
      AUWGGUWFUWEDUWDUWBUWCIXKXLXMNXNXOPQFUAFGXPXQXRZXSJUVNUKUUSUVOWIOUAFJUVNXD
      VIXQUVAUURUUTUIUVNUJUVPUUNUIJUVNOXTGUVMUWHUWJYAUWNXCYBUURUVGHUAUURUVBUATZ
      UHZUVDUVEUVCGUMZUVFUXNUVDUXPUKUURUXNUVCUVNUJZUVBUVNUJZUVCGUMZUVDUXPUXNUXQ
      UXRUVCUVMUJZGUMUXSUVBGUVMUWHUWJYCUXNUXTUVCUXRGUXNUXTUVCUPUJZUVCUXNUVCUVKT
      UXTUYAUKUVBYDUIUUNUAUVCUPUVMUWKUWLUWMYEYFUVCVGTUYAUVCUKUVBUIULXKUVCVGYGVI
      YHYIYJUVCJUVNOXTUVEUXRUVCGUVBJUVNOXTZYKYLYMUUMUUPUVEFTZUVCUATZUXPUVFTZUXO
      UXEUYCUYDUHUHUYEUXPFTABCDEFGIJUVCUVEKLMNOXGYNUUMUUQUXNYOUURUUPUXNUUMUUOUU
      PYPYQUXOUXRFUVEUXNUUOUWAUXRFTZUXOUVQUVSUWAYRUXNUYFUXNUUOUWAYRZUVBFUAGUVMU
      WHUWJYSUYGUVQUVSUWAUYGUUNFUVPUXNUUOUWAYTUWNVTUVSUYGUXDYBUXNUUOUWAUUAUUBUX
      NUUOUWAUUCXSUURUXNUUDUUQUUOUUMUXNUUOUUPUUEUUFUURUWAUXNUXMYQUUGUYBVTUXNUYD
      UURUVBUUHYMUUIUUJUUKUUB $.
      $( [11-Nov-2007] $) $( [9-Oct-2007] $)
  $}

  ${
    $d a b c d g k r u v x y z A $.  $d a b c d f g h k r u v x y z F $.
    $d c g C $.
    acdc5.1 $e |- A e. V $.
    $( A more general version of ~ acdc that has an initial value and where the
       function ` F ` depends on ` k ` . $)
    acdc5 $p |- ( ( F : ( NN X. A ) --> ( P~ A \ { (/) } ) /\ C e. A ) ->
               E. g ( g : NN --> A /\ ( g ` 1 ) = C /\
           A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) ) $=
      ( vc vr va vb vd vh vf vx vy vz vv vu wcel cn cxp cpw c0 csn cdif wf cv
      c1 cfv wceq caddc co wral w3a wex wi eqeq2 3anbi2d exbidv imbi2d wwe
      weth wa wbr wn crab cuni copab2 cop cid cres cun cseq1 eleq1 bi2anan9
      opreq12 ancoms rabeq raleq1 rabbisdv eqtrd syl breq2 negbid ralbidv
      breq1 cbvralv syl6bb cbvrabv syl6eq unieqd eqeq2d anbi12d cbvoprab12v
      eqeq1 anbi2d cbvoprab3v eqtr eqid acdc5lem2 oprex feq1 fveq1 eqeq1d
      opreq2d eleq12d 3anbi123d cla4ev exp32 19.23aiv ax-mp vtoclga impcom ) BA
      STAUAAUBUCUDUEEUFZTACUGZUFZUHXOUIZBUJZDUGZUHUKULZXOUIZXTXSXOUIZEULZSZDTUM
      ZUNZCUOZXNXPXQGUGZUJZYEUNZCUOZUPZXNYGUPGBAYHBUJZYKYGXNYMYJYFCYMYIXRXPYEYH
      BXQUQURUSUTAHUGZVAZHUOYHASZYLUPZHAFVBYOYQHYOYPXNYKYOYPXNVCVCTAIUGZASZJUGZ
      TSZVCZKUGZLUGZMUGZYNVDZVEZLYTYREULZUMZMUUHVFZVGZUJZVCZIJKVHZUHYHVIUDVJTUH
      UDUEVKVLZVMULZUFZUHUUPUIZYHUJZXTUUPUIZXTXSUUPUIZEULZSZDTUMZUNZYKNOPQRAUUN
      DEUUPHGFUUNNUGZASZOUGZTSZVCZUUCRUGZQUGZYNVDZVEZRUVHUVFEULZUMZQUVOVFZVGZUJ
      ZVCZNOKVHUVJPUGZUVRUJZVCZNOPVHUUMUVTIJKNOYRUVFUJZYTUVHUJZVCZUUBUVJUULUVSU
      WDYSUVGUWEUUAUVIYRUVFAVNYTUVHTVNVOUWFUUKUVRUUCUWFUUJUVQUWFUUJUUGLUVOUMZMU
      VOVFZUVQUWFUUHUVOUJZUUJUWHUJUWEUWDUWIYTUVHYRUVFEVPVQUWIUUJUUIMUVOVFUWHUUI
      MUUHUVOVRUWIUUIUWGMUVOUUGLUUHUVOVSVTWAWBUWGUVPMQUVOUUEUVLUJZUWGUUDUVLYNVD
      ZVEZLUVOUMUVPUWJUUGUWLLUVOUWJUUFUWKUUEUVLUUDYNWCWDWEUWLUVNLRUVOUUDUVKUJUW
      KUVMUUDUVKUVLYNWFWDWGWHWIWJWKWLWMWNUVTUWCNOKPUUCUWAUJUVSUWBUVJUUCUWAUVRWO
      WPWQWRUUPWSWTYJUVECUUPUUNUUOVMXAXOUUPUJZXPUUQYIUUSYEUVDTAXOUUPXBUWMXQUURY
      HUHXOUUPXCXDUWMYDUVCDTUWMYAUUTYCUVBXTXOUUPXCUWMYBUVAXTEXSXOUUPXCXEXFWEXGX
      HWBXIXJXKXLXM $.
      $( [11-Nov-2007] $) $( [11-Oct-2007] $)
  $}

  ${
    $d k s t u v x y z A $.  $d k s t u v x y z F $.  $d u v x y z G $.
    $d s t S $.  $d k s t x y z c $.  $d k s t u v x y z r $.
    acdclem.1 $e |- A e. V $.
    acdclem.2 $e |- S = { <. <. x , y >. , z >. |
               ( ( x e. A /\ y e. A ) /\ z = U. { v e. ( F ` x ) |
                        A. u e. ( F ` x ) -. u r v } ) } $.
    acdclem.3 $e |- G = ( S seq1 ( NN X. { c } ) ) $.
    $( Lemma for ~ acdc .  Build a sequence ` G ` starting at value ` c ` , as
       follows.  Given a previous value ` x ` of ` G ` , we construct, for the
       next value of ` G ` , the ` v ` such that
       ` A. u e. ( F `` x ) -. u r v ` , which is unique when ` r ` is a
       well-ordering on ` A ` . $)
    acdclem $p |- ( ( r We A /\ ( c e. A /\ F : A --> ( P~ A \ { (/) } ) ) )
  -> ( G : NN --> A /\ A. k e. NN ( G ` ( k + 1 ) ) e. ( F ` ( G ` k ) ) ) ) $=
      ( vs vt cv wwe wcel cpw c0 csn cdif wf wa cn c1 caddc co cfv wral cxp
      cseq1 wbr wn crab cuni oprabex2 nnex snex xpex seq1f wss snssi visset
      fconst fss mpan syl ad2antrl wfn wceq fvex rabex uniex fveq2 rabeq
      raleq1 rabbisdv eqtrd unieqd eqid a1i oprabval2 adantl ffvelrn eldifi
      adantll elpwi wne wereucl simpll eldifn id 0ex snid syl6eqel necon3bi
      syl3anc sseldd adantlrl adantrr eqeltrd ex r19.21aivv fnoprab2 jctil
      ffnoprval sylibr sylanc wb feq1 ax-mp seq1p1 peano2nn fvconst2 opreq2d
      seq1cl pm3.27 adantr ad2antlr fveq1i syl5eqel simprl opreq1i syl5eqr
      syl5eq r19.21aiva jca ) FKRZSZLRZFTZFFUAZUBUCZUDZIUEZUFZUFZUGFJUEZHRZUHUI
      UJZJUKZUUBJUKZIUKZTZHUGULYTUGFGUGYMUCZUMZUNUJZUEZUUAUGFUUIUEZFFUMZFGUEZUU
      KYTFGUUIABCFFERDRYKUOUPZEARZIUKZULZDUUQUQZURZGMMNUSZUGUUHUTYMVAVBZVCYNUUL
      YLYRYNUUHFVDZUULYMFVEUGUUHUUIUEUVCUULUGYMLVFZVGUGUUHFUUIVHVIVJZVKYTGUUMVL
      ZPRZQRZGUJZFTZQFULPFULZUFUUNYTUVKUVFYTUVJPQFFYTUVGFTZUVHFTZUFZUVJYTUVNUFU
      VIUUOEUVGIUKZULZDUVOUQZURZFUVNUVIUVRVMYTABCUVGUVHFFUUTUVRGUVRUVQUVPDUVOUV
      GIVNZVOVPUUPUVGVMZUUSUVQUVTUUQUVOVMZUUSUVQVMUUPUVGIVQUWAUUSUURDUVOUQUVQUU
      RDUUQUVOVRUWAUURUVPDUVOUUOEUUQUVOVSVTWAVJWBUVRUVRVMBRZUVHVMUVRWCWDNWEWFYT
      UVLUVRFTZUVMYLYRUVLUWCYNYLYRUFUVLUFZUVOFUVRUWDUVOYOTZUVOFVDZYRUVLUWEYLYRU
      VLUFZUVOYQTZUWEFYQUVGIWGZUVOYOYPWHVJWIUVOFWJVJZYLUWFUVOUBWKZUVRUVOTUWDDEF
      UVOYKUVSWLYLYRUVLWMUWJYRUVLUWKYLUWGUWHUWKUWIUWHUVOYPTZUPUWKUVOYOYPWNUWLUV
      OUBUVOUBVMZUVOUBYPUWMWOUBWPWQZWRWSVJVJWIWTXAXBXCXDXEXFABCFFUUTGUUSUURDUUQ
      UUPIVNVOVPNXGXHPQFFFGXIXJZXKJUUJVMUUAUUKXLOUGFJUUJXMXNXJYTUUGHUGYTUUBUGTZ
      UFZUUDUUOEUUFULZDUUFUQZURZUUFUWQUUCUUJUKZUWTUUDUWQUXAUUBUUJUKZUUCUUIUKZGU
      JZUWTUWPUXAUXDVMYTUUBGUUIUVAUVBXOWFUWQUUEUXCGUJZUWTUXDUWQUXEUUEYMGUJZUWTU
      WPUXEUXFVMYTUWPUXCYMUUEGUWPUUCUGTUXCYMVMUUBXPUGYMUUCUVDXQVJXRWFUUEFTZYNUX
      FUWTVMUWQABCUUEYMFFUUTUWTGUWTUWSUWRDUUFUUEIVNZVOVPUUPUUEVMZUUSUWSUXIUUQUU
      FVMZUUSUWSVMUUPUUEIVQUXJUUSUURDUUFUQUWSUURDUUQUUFVRUXJUURUWRDUUFUUOEUUQUU
      FVSVTWAVJWBUWTUWTVMUWBYMVMUWTWCWDNWEUWQUXBFUUEUWPUULUUNUXBFTUWQUUBFGUUIUV
      AUVBXSYTUWPXTYSUULYLUWPYNUULYRUVEYAYBYTUUNUWPUWOYAWTUUBJUUJOYCZYDZYTYNUWP
      YLYNYRYEYAXKWAUUEUXBUXCGUXKYFYGWAUUCJUUJOYCYHYLUUFFVDZUUFUBWKZUWTUUFTUWQD
      EFUUFYKUXHWLYLYSUWPWMUWQUUFYOTZUXMUWQUUFYQTZUXOYRUXGUXPUWQFYQUUEIWGYSYRYL
      UWPYNYRXTYBUXLXKZUUFYOYPWHVJUUFFWJVJUWQUXPUXNUXQUXPUUFYPTZUPUXNUUFYOYPWNU
      XRUUFUBUUFUBVMZUUFUBYPUXSWOUWNWRWSVJVJWTXDYIYJ $.
      $( [22-Sep-2007] $) $( [21-Sep-2007] $)
  $}

  ${
    $d a b c d g k r u v x y z A $.  $d a b c d f g h k r u v x y z F $.
    acdc.1 $e |- A e. V $.
    $( Dependent Choice.  Axiom DC1 of [Schechter] p. 149.  This theorem is
       weaker than the Axiom of Choice but is stronger than Countable Choice.
       It shows the existence of a sequence whose values can only be shown to
       exist (but cannot be constructed explicitly) and also depend on earlier
       values in the sequence. $)
    acdc $p |- ( ( A =/= (/) /\ F : A --> ( P~ A \ { (/) } ) ) -> E. g
     ( g : NN --> A /\ A. k e. NN ( g ` ( k + 1 ) ) e. ( F ` ( g ` k ) ) ) ) $=
      ( vr vc va vb vd vh vf vx vy vz vv vu cv wwe wex c0 wne cpw csn cdif wf
      wa cn c1 caddc co cfv wcel wral wi weth wbr wn crab cuni wceq copab2 cxp
      cseq1 eleq1 bi2anan9 fveq2 rabeq raleq1 rabbisdv eqtrd syl adantr breq2
      negbid ralbidv breq1 cbvralv syl6bb cbvrabv syl6eq unieqd eqeq2d anbi12d
      cbvoprab12v eqeq1 anbi2d cbvoprab3v eqtr eqid acdclem oprex feq1 fveq1
      fveq2d eleq12d cla4ev exp32 19.23adv ne0 syl5ib imp3a 19.23aiv ax-mp ) AF
      RZSZFTAUAUBZAAUCUAUDUEDUFZUGUHABRZUFZCRZUIUJUKZXIULZXKXIULZDULZUMZCUHUNZU
      GZBTZUOZFAEUPXFXTFXFXGXHXSXFGRZAUMZGTXHXSUOZXGXFYBYCGXFYBXHXSXFYBXHUGUGUH
      AHRZAUMZIRZAUMZUGZJRZKRZLRZXEUQZURZKYDDULZUNZLYNUSZUTZVAZUGZHIJVBZUHYAUDV
      CZVDUKZUFZXLUUBULZXKUUBULZDULZUMZCUHUNZUGZXSMNOPQAYTCDUUBFGEYTMRZAUMZNRZA
      UMZUGZYIQRZPRZXEUQZURZQUUJDULZUNZPUUSUSZUTZVAZUGZMNJVBUUNORZUVBVAZUGZMNOV
      BYSUVDHIJMNYDUUJVAZYFUULVAZUGZYHUUNYRUVCUVHYEUUKUVIYGUUMYDUUJAVEYFUULAVEV
      FUVJYQUVBYIUVJYPUVAUVJYPYMKUUSUNZLUUSUSZUVAUVHYPUVLVAZUVIUVHYNUUSVAZUVMYD
      UUJDVGUVNYPYOLUUSUSUVLYOLYNUUSVHUVNYOUVKLUUSYMKYNUUSVIVJVKVLVMUVKUUTLPUUS
      YKUUPVAZUVKYJUUPXEUQZURZKUUSUNUUTUVOYMUVQKUUSUVOYLUVPYKUUPYJXEVNVOVPUVQUU
      RKQUUSYJUUOVAUVPUUQYJUUOUUPXEVQVOVRVSVTWAWBWCWDWEUVDUVGMNJOYIUVEVAUVCUVFU
      UNYIUVEUVBWFWGWHWIUUBWJWKXRUUIBUUBYTUUAVDWLXIUUBVAZXJUUCXQUUHUHAXIUUBWMUV
      RXPUUGCUHUVRXMUUDXOUUFXLXIUUBWNUVRXNUUEDXKXIUUBWNWOWPVPWDWQVLWRWSGAWTXAXB
      XCXD $.
      $( [22-Sep-2007] $) $( [21-Sep-2007] $)
  $}

  ${
    $d g k x y z A $.  $d g k x y z F $.
    acdcALT.1 $e |- A e. V $.
    $( Dependent Choice.  Axiom DC1 of [Schechter] p. 149.  This theorem is
       weaker than the Axiom of Choice but is stronger than Countable Choice.
       It shows the existence of a sequence whose values can only be shown to
       exist (but cannot be constructed explicitly) and also depend on earlier
       values in the sequence. $)
    acdcALT $p |- ( ( A =/= (/) /\ F : A --> ( P~ A \ { (/) } ) ) -> E. g
     ( g : NN --> A /\ A. k e. NN ( g ` ( k + 1 ) ) e. ( F ` ( g ` k ) ) ) ) $=
      ( vx vy vz c0 wne cpw csn cdif wf wa cn cv c1 caddc co cfv wcel wceq
      copab2 wral wex cxp acdc2 ffvelrn ex adantld r19.21aivv eqid foprab2
      sylib sylan2 fvex a1i fveq2 oprabval2 peano2nn adantl sylanc eleq2d
      ralbidva pm5.32i exbii ) AIJZAAKILMZDNZOPABQZNZCQZRSTZVKUAZVNVMVKUAZFQZPU
      BZGQZAUBZOHQVSDUAZUCOFGHUDZTZUBZCPUEZOZBUFZVLVOVPDUAZUBZCPUEZOZBUFVHPAUGV
      IWBNZWGVJABCWBEUHVJWAVIUBZGAUEFPUEWLVJWMFGPAVJVTWMVRVJVTWMAVIVSDUIUJUKULF
      GHPAWAVIWBWBUMZUNUOUPWFWKBVLWEWJVLWDWICPVLVMPUBZOZWCWHVOVNPUBZVPAUBWCWHUC
      WPFGHVNVPPAWAWHWBWAVPDUQWAWAUCVQVNUCWAUMURVSVPDUSWNUTWOWQVLVMVAVBPAVMVKUI
      VCVDVEVFVGUO $.
      $( [31-Mar-2008] $) $( [1-Oct-2007] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
              Cardinality and cardinal arithmetic (cont.)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Countability of integers and rationals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( The nonnegative integers are equinumerous to the natural numbers. $)
    nn0ennn $p |- NN0 ~~ NN $=
      ( vx vy cn0 cn cv c1 caddc co cmin nn0ex nn0p1nnt nnm1nn0t wcel wceq wb
      cc wa ax1cn subaddt mp3an2 eqcom 3bitr4g axaddcom mpan eqeq2d adantl
      bitrd nncnt nn0cnt syl2an ancoms en3 ) ABCDAEZFGHZBEZFIHZJUMKUOLUODMZUMCM
      ZUMUPNZUOUNNZOZUOPMZUMPMZVAUQURVBVCQZUSUOFUMGHZNZUTVDUPUMNZVEUONZUSVFVBFP
      MZVCVGVHORUOFUMSTUMUPUAUOVEUAUBVCVFUTOVBVCVEUNUOVIVCVEUNNRFUMUCUDUEUFUGUO
      UHUMUIUJUKUL $.
      $( [2-Oct-2004] $) $( [19-Jul-2004] $)

    $( The set of natural numbers (as a subset of complex numbers) is
       equinumerous to omega (the set of finite ordinal numbers). $)
    nnenom $p |- NN ~~ om $=
      ( vy vx vz com cn0 cn nnex cv c1 caddc co wceq copab cc0 crdg cres wf1o
      cen wbr cle cz crab 0z eqid om2uzf1o wb nn0zrab f1oeq3 ax-mp mpbir omex
      f1oen nn0ennn entr2 ) DEFGDEAHBHIJKLBAMNODPZQZDERSUPDNCHTSCUAUBZUOQZBACNU
      OUCUOUDUEEUQLUPURUFCUGEUQDUOUHUIUJDEUOUKULUIUMUN $.
      $( [2-Oct-2004] $) $( [31-Jul-2004] $)
  $}

  ${
    $d x y z w v u $.
    $( The cross product of the set of natural numbers with itself is
       equinumerous to the set of natural numbers.  The key idea is to
       use ~ nn0opth2t to show that the mapping from natural numbers ` z `
       and ` w ` to ` ( ( z + w ) ^ 2 ) + w ` is one-to-one. $)
    xpnnen $p |- ( NN X. NN ) ~~ NN $=
      ( vx vy vz vw vv vu cn cxp cdom wbr cen cvv wcel nnex xpex cv cint csn
      crn cuni caddc co c2 cexp cop wceq wa elxp5 nnaddclt cn0 2nn0 nnexpclt
      mpan2 syl sylancom adantl sylbi wrex wb wi inteq inteqd visset op1stb
      syl6eq sneq rneqd unieqd op2nda opreq12d opreq1d eqeqan12d nn0opth2t
      nnnn0t anim12i syl2an sylan9bbr eqeq12 opth syl6bb bitr4d exp43 com23
      r19.23aivv r19.23advv imp elxp2 syl2anb dom2 ax-mp c1 1nn elisseti
      xpsnen ensymi wss ssid snssi ssxp mp2an ssdom2g mp2 endomtr sbth ) GGHZGI
      JZGXEIJZXEGKJXELMZXFGGNNOZABXEGAPZQZQZXJRZSZTZUAUBZUCUDUBZXOUAUBZBPZQZQZX
      SRZSZTZUAUBZUCUDUBZYDUAUBZLXJXEMZXJXLXOUEUFZXLGMZXOGMZUGZUGXRGMZXJGGUHYLY
      MYIYJYKXQGMZYMYLXPGMZYNXLXOUIYOUCUJMYNUKXPUCULUMUNXQXOUIUOUPUQXJCPZDPZUEZ
      UFZDGURCGURZXSEPZFPZUEZUFZFGUREGURZXRYGUFZXJXSUFZUSZYHXSXEMYTUUEUUHYTUUDU
      UHEFGGYSUUAGMZUUBGMZUGZUUDUUHUTZUTCDGGYPGMZYQGMZUGZUUKYSUULUUOUUKYSUUDUUH
      UUOUUKUGZYSUUDUGZUGUUFYPUUAUFYQUUBUFUGZUUGUUQUUFYPYQUAUBZUCUDUBZYQUAUBZUU
      AUUBUAUBZUCUDUBZUUBUAUBZUFZUUPUURYSUUDXRUVAYGUVDYSXQUUTXOYQUAYSXPUUSUCUDY
      SXLYPXOYQUAYSXLYRQZQYPYSXKUVFXJYRVAVBYPYQCVCZVDVEYSXOYRRZSZTYQYSXNUVIYSXM
      UVHXJYRVFVGVHYPYQUVGDVCZVIVEZVJVKUVKVJUUDYFUVCYDUUBUAUUDYEUVBUCUDUUDYAUUA
      YDUUBUAUUDYAUUCQZQUUAUUDXTUVLXSUUCVAVBUUAUUBEVCZVDVEUUDYDUUCRZSZTUUBUUDYC
      UVOUUDYBUVNXSUUCVFVGVHUUAUUBUVMFVCZVIVEZVJVKUVQVJVLYPUJMZYQUJMZUGUUAUJMZU
      UBUJMZUGUVEUURUSUUOUUKYPYQUUAUUBVMUUMUVRUUNUVSYPVNYQVNVOUUIUVTUUJUWAUUAVN
      UUBVNVOVPVQUUQUUGUURUSUUPUUQUUGYRUUCUFUURXJYRXSUUCVRYPYQUUAUUBUVGUVJUVPVS
      VTUPWAWBWCWDWEWFCDXJGGWGEFXSGGWGWHWIWJGGWKRZHZKJUWCXEIJZXGUWCGNGWKNWKGWLW
      MWNWOXHUWCXEWPZUWDXIGGWPUWBGWPZUWEGWQWKGMUWFWLWKGWRWJGGUWBGWSWTUWCXELXAXB
      GUWCXEXCWTXEGXDWT $.
      $( [2-Oct-2004] $) $( [1-Aug-2004] $)
  $}

  $( The cross product of omega (the set of ordinal natural numbers) with
     itself is equinumerous to omega.  Exercise 1 of [Enderton] p. 133 (which
     proves this with a direct, but longer, proof; ours uses instead the
     Schroeder-Bernstein Theorem ~ sbth in ~ xpnnen ). $)
  xpomen $p |- ( om X. om ) ~~ om $=
    ( com cxp cn omex xpex cen wbr nnenom nnex xpen mp2an xpnnen entr3 entr )
    AABZCACCBZOCAADDECAFGZQPOFGHHCACAIDIDJKLMHN $.
    $( [2-Oct-2004] $) $( [23-Jul-2004] $)

  $( Lemma for ~ znnen . $)
  znnenlem $p |- ( ( ( 0 <_ x /\ -. 0 <_ y ) /\ ( x e. ZZ /\ y e. ZZ ) ) ->
                  ( x = y <-> ( 2 x. x ) = ( ( -u 2 x. y ) + 1 ) ) ) $=
    ( cc0 cv cle wbr wn wa cz wcel c2 cmul co cneg c1 caddc wne wb pm5.1 cr wi
    clt ltnet 0re ltnlet mpan2 adantr anbi1d ltletrt mp3an2 sylbird ancomsd
    3impia syld3an3 3com12 3expia zret syl2an impcom zneo znegclt sylan2 wceq
    cc zcnt 2cn mulneg12t mpan syl adantl opreq1d neeq2d mpbird sylanc
    necon4bid ) CADZEFZCBDZEFGZHZVPIJZVRIJZHZHZVPVRKVPLMZKNVRLMZOPMZVPVRQZWEWGQ
    ZWHWIRWDWHWISWCVTWHVPTJZVRTJZVTWHUAWAWBWJWKVTWHWKWJVTWHWKWJVRVPUBFZWHVTVRVP
    UCWKWJVTWLWKWJHZVSVQWLWMVSVQHVRCUBFZVQHZWLWMWNVSVQWKWNVSRZWJWKCTJZWPUDVRCUE
    UFUGUHWKWQWJWOWLUAUDVRCVPUIUJUKULUMUNUOUPVPUQVRUQURUSWCWIVTWCWIWEKVRNZLMZOP
    MZQZWAWRIJXAWBVPWRUTVRVAVBWCWGWTWEWCWFWSOPWBWFWSVCZWAWBVRVDJZXBVRVEKVDJXCXB
    VFKVRVGVHVIVJVKVLVMVJVNVO $.
    $( [11-Jan-2008] $) $( [31-Jul-2004] $)

  ${
    $d x y $.
    $( The set of integers and the set of natural numbers are equinumerous.
       Exercise 1 of [Gleason] p. 140. $)
    znnen $p |- ZZ ~~ NN $=
      ( vx vy cz cn0 cn cdom wbr cen cvv wcel zex cc0 cv cle c2 cmul co cneg
      c1 caddc cif wa elnn0z 2nn0 nn0mulclt mpan sylbir wb iftrue eleq1d
      adantl mpbird wn 2z znegclt ax-mp zmulclt adantr cr wi zret clt renegclt
      2pos 2re axmulgt0 mpani syl 0re ltnlet mpan2 lt0neg1t bitr3d cc wceq
      recnt 2cn mulneg12t breq2d 3imtr4d renegcl axmulrcl ltlet syld imp jca
      biimpr peano2nn0 3syl iffalse pm2.61dan eqeqan12d 2ne0 mulcant2 mp3an1
      zcnt syl2an sylan9bb bicomd ex znnenlem bitr4d equcom eqcom 3bitr4g
      ancom2s ancom1s ax1cn addcan2t mp3an3 negcl axmulcl negn0 bitr2d
      sylan9bbr 4cases dom2 wss nn0ex nn0ssz ssdomg mp2 sbth mp2an nn0ennn
      entr ) CDECDFGZDCFGZCDHGCIJYGKABCDLAMZNGZOYIPQZORZYIPQZSTQZUAZLBMZNGZOYPP
      QZYLYPPQZSTQZUAZIYICJZYJYODJZUUBYJUBZUUCYKDJZUUDYIDJZUUEYIUCODJUUFUUEUDOY
      IUEUFUGYJUUCUUEUHUUBYJYOYKDYJYKYNUIZUJUKULUUBYJUMZUBZUUCYNDJZUUIYMCJZLYMN
      GZUBZYMDJZUUJUUIUUKUULUUBUUKUUHYLCJZUUBUUKOCJUUOUNOUOUPYLYIUQUFURUUBUUHUU
      LUUBYIUSJZUUHUULUTYIVAUUPUUHLYMVBGZUULUUPLYIRZVBGZLOUURPQZVBGZUUHUUQUUPUU
      RUSJZUUSUVAUTYIVCUVBLOVBGZUUSUVAVDOUSJUVBUVCUUSUBUVAUTVEOUURVFUFVGVHUUPYI
      LVBGZUUHUUSUUPLUSJZUVDUUHUHVIYILVJVKYIVLVMUUPYMUUTLVBUUPYIVNJZYMUUTVOZYIV
      POVNJZUVFUVGVQOYIVRUFVHVSVTUUPYMUSJZUUQUULUTZYLUSJUUPUVIOVEWAYLYIWBUFUVEU
      VIUVJVILYMWCUFVHWDVHWEWFUUNUUMYMUCWGYMWHWIUUHUUCUUJUHUUBUUHYOYNDYJYKYNWJZ
      UJUKULWKUUBYPCJZUBZYIYPVOZYOUUAVOZYJYQUVMUVNUVOUHZUTYJYQUBZUVMUVPUVQUVMUB
      UVOUVNUVQUVOYKYRVOZUVMUVNYJYQYOYKUUAYRUUGYQYRYTUIZWLUVFYPVNJZUVRUVNUHZUUB
      UVLUVHUVFUVTUWAVQOYIYPWMWNWOYIWPZYPWPZWQWRWSWTYJYQUMZUBZUVMUVPUWEUVMUBUVN
      YKYTVOZUVOABXAUWEUVOUWFUHUVMYJUWDYOYKUUAYTUUGYQYRYTWJZWLURXBWTUUHYQUBZUVM
      UVPUWHUVMUBUVNYNYRVOZUVOYQUUHUVMUVNUWIUHZYQUUHUBZUVLUUBUWJUWKUVLUUBUBUBYP
      YIVOYRYNVOUVNUWIBAXAABXCYNYRXDXEXFXGUWHUVOUWIUHUVMUUHYQYOYNUUAYRUVKUVSWLU
      RXBWTUUHUWDUBZUVMUVPUVMUVNYNYTVOZUWLUVOUVFUVTUVNUWMUHUUBUVLUVFUVTUBUWMYMY
      SVOZUVNYMVNJZYSVNJZUWMUWNUHZUVFUVTUWOUWPSVNJUWQXHYMYSSXIXJYLVNJZUVFUWOOVQ
      XKZYLYIXLUFUWRUVTUWPUWSYLYPXLUFWQUWRUVFUVTUWNUVNUHUWSYLYIYPOVQWMXMWNWOXNU
      WBUWCWQUWLUVOUWMUUHUWDYOYNUUAYTUVKUWGWLWSXOWTXPWSXQUPDIJDCXRYHXSXTDCIYAYB
      CDYCYDYEYF $.
      $( [19-Oct-2004] $) $( [31-Jul-2004] $)
  $}

  ${
    $d x y z w $.
    $( The rational numbers are countable.  (This unusual proof uses the Axiom
       of Choice via ~ fodom to make it much shorter, but this theorem can also
       be proved without it.  See, for example, Exercise 2 of [Enderton]
       p. 133.) $)
    qnnen $p |- QQ ~~ NN $=
      ( vx vy vz vw cq cn cdom wbr cen cz cxp cv wcel wa cdiv co wceq copab2
      wfo wfn crn df-fo oprex eqid fnoprab2 wrex elrnoprab elq bitr4 eqriv
      mpbir2an zex nnex xpex fodom ax-mp znnen enref xpen mp2an xpnnen entr
      domentr cvv wss nnssq ssdomg mp2 sbth ) EFGHZFEGHZEFIHEJFKZGHZVLFIHVJVLEA
      LZJMBLZFMNCLVNVOOPZQNABCRZSZVMVRVQVLTVQUAZEQVLEVQUBABCJFVPVQVNVOOUCZVQUDZ
      UEDVSEDLZVSMWBVPQBFUFAJUFWBEMABCJFVPWBVQVTWAUGABWBUHUIUJUKVLEVQJFULUMUNUO
      UPVLFFKZFJFIHFFIHVLWCIHUQFUMURJFFFULUMUMUMUSUTVAVBEVLFVCUTFVDMFEVEVKUMVFF
      EVDVGVHEFVIUT $.
      $( [20-Oct-2004] $) $( [31-Jul-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        Infinite primes theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d m n z w v u t A $.  $d m n v u t G $.
    unbenlem.1 $e |- G =
                     ( rec ( { <. z , w >. | w = ( z + 1 ) } , 1 ) |` om ) $.
    $( Lemma for ~ unben . $)
    unbenlem $p |- ( ( A (_ NN /\ A. m e. NN E. n e. A m < n ) -> A ~~ om ) $=
      ( vt vv vu ccnv cima cen wbr com cn wss cv clt wrex wral wa entrt cvv
      wcel cres wf1o f1oeng nnex ssex wf1 c1 cle cz crab 1z om2uzf1o wceq wb
      nnzrab f1oeq3 ax-mp mpbir f1ocnv f1of1 f1ores mpan sylanc adantr wi cfv
      om2uzuz syl6eleqr breq1 rexbidv rcla4v syl fvres eqeq1d biimpa adantll
      om2uzlt2 crn imassrn cdm dfdm4 wf f1of fdmi eqtr3 sseqtr sseli sylan2
      breq2 sylan9bb syldan biimparc exp44 imp31 r19.22dva wfun f1ofun
      funcnvres2 f1oeq1 sylib wfo f1ofo forn eleq2d wfn f1ofn fvelrnb bitr3d
      syl5 exp4b com4l imp r19.23adv syld ex com3l r19.21aiv jctil unbnnt ) CFK
      ZCLZMNZYFOMNZCOMNCPQZDRZERZSNZECTZDPUAZUBZCYFOUCYIYGYNCUDUECYFYECUFZUGZYG
      YICYFUDYPUHCPUIUJPOYEUKZYIYQPOYEUGZYROPFUGZYSYTOULHRUMNHUNUOZFUGZABHULFUP
      GUQPUUAURYTUUBUSHUTZPUUAOFVAVBVCZOPFVDVBPOYEVEVBPOCYEVFVGZVHVIYOYFOQZIRZJ
      RZUEZJYFTZIOUAZUBYHYOUUKUUFYOUUJIOYIYNUUGOUEZUUJVJUULYIYNUUJUULYIYNUUJVJU
      ULYIUBZYNUUGFVKZYKSNZECTZUUJUULYNUUPVJZYIUULUUNPUEUUQUULUUNUUAPABHUUGULFU
      PGVLUUCVMYMUUPDUUNPYJUUNURYLUUOECYJUUNYKSVNVOVPVQVIUUMUUOUUJECUULYIYKCUEZ
      UUOUUJVJVJUUOUULYIUURUUJUUOUULYIUURUUJUUOUULUBZUUHFYFUFZVKZYKURZJYFTZUUJY
      IUURUBUUSUVBUUIJYFUUOUULUUHYFUEZUVBUUIVJUUOUULUVDUVBUUIUULUVDUBZUVBUBUUIU
      UOUVEUVBUUHFVKZYKURZUUIUUOUSUVDUVBUVGUULUVDUVBUVGUVDUVAUVFYKUUHYFFVRVSVTW
      AUVEUUIUUNUVFSNZUVGUUOUULUUHOUEUUIUVHUSUVDABUUGUUHULFUPGWBYFOUUHYFYEWCZOY
      ECWDFWEUVIOFWFOPFYTOPFWGUUDOPFWHVBWIWJWKZWLWMUVFYKUUNSWNWOWPWQWRWSWTYIUUR
      UVCYIYFCUUTUGZUURUVCUSYIYFCYPKZUGZUVKYIYQUVMUUECYFYPVDVQUVLUUTURZUVMUVKUS
      FXAZUVNYTUVOUUDOPFXBVBCFXCVBYFCUVLUUTXDVBXEUVKYKUUTWCZUEZUURUVCUVKUVPCYKU
      VKYFCUUTXFUVPCURYFCUUTXGYFCUUTXHVQXIUVKUUTYFXJUVQUVCUSYFCUUTXKJYFYKUUTXLV
      QXMVQVTXNXOXPXQXRXSXTYAXQYBUVJYCIJYFYDVQVH $.
      $( [7-May-2005] $) $( [5-May-2005] $)
  $}

  ${
    $d m n x y A $.
    $( An unbounded set of natural numbers is infinite. $)
    unben $p |- ( ( A (_ NN /\ A. m e. NN E. n e. A m < n ) -> A ~~ NN ) $=
      ( vx vy cn wss cv clt wbr wrex wral wa com cen c1 caddc co wceq copab
      crdg cres eqid unbenlem omex nnenom ensymi entrt mpan2 syl ) AFGBHCHIJCAK
      BFLMANOJZAFOJZDEABCEHDHPQRSDETPUANUBZUMUCUDUKNFOJULFNUEUFUGANFUHUIUJ $.
      $( [8-May-2005] $) $( [5-May-2005] $)
  $}

  ${
    $d j k N $.  $d j M $.  $d j k K $.
    infpnlem.1 $e |- K = ( ( ! ` N ) + 1 ) $.
    $( Lemma for ~ infpn .  The smallest divisor (greater than 1) ` M ` of
       ` N ! + 1 ` is a prime greater than ` N ` . $)
    infpnlem1 $p |- ( ( N e. NN /\ M e. NN ) ->
                        ( ( ( 1 < M /\ ( K / M ) e. NN ) /\
                  A. j e. NN ( ( 1 < j /\ ( K / j ) e. NN ) -> M <_ j ) ) ->
       ( N < M /\ A. j e. NN ( ( M / j ) e. NN -> ( j = 1 \/ j = M ) ) ) ) ) $=
      ( cn wcel wa c1 clt wbr cdiv co cv cle wi wral wceq wo wn wb cr lenltt
      nnret syl2an ancoms adantr cn0 cfa cfv caddc cz facndivt nnzt opreq1i
      syl5eqelr nsyl nnnn0t sylanl1 exp32 imp sylbird a3d ex imp3a adantrd w3a
      letri3t biimprd exp4b com3l imp32 adantll imim2d com23 cc nndivtrt
      3com13 3expa facclt syl peano2nn syl5eqel nncnt adantrl sylan2d exp4d
      com24 imp31 com14 3imp r19.20dva adantld primet adantl sylibrd jcad ) DFG
      ZCFGZHZICJKZBCLMZFGZHZIANZJKZBXELMFGZHZCXEOKZPZAFQZHZDCJKZCXELMFGZXEIRXEC
      RZSPAFQZWTXDXMXKWTXAXCXMWTXAXCXMPWTXAHZXMXCXQXMTZCDOKZXCTZWTXSXRUAZXAWSWR
      YACUBGZDUBGYAWSWRCDUCCUDZDUDUEUFUGWTXAXSXTPWTXAXSXTDUHGZWSXAXSHZXTWRYDWSH
      YEHDUIUJZIUKMZCLMZULGXCDCUMXCXBULYHXBUNBYGCLEUOUPUQDURZUSUTVAVBVCVDVEVFWT
      XLXFXECOKZXNVGZXOPZAFQZXPWTXDXKYMWTXCXKYMPZXAWTXCYNWTXCHZXJYLAFYKYOXEFGZH
      ZXJXOXFYJXNYQXJXOPZPYQYJXNXFYRWTXCYPYJXNXFYRPPZPWTYJYPXCYSWTYJYPXCYSPWTYJ
      YPHZHZXFXNXCYRUUAXFXNXCYRUUAXFXGYRXNXCHZUUAXJXHXOUUAXIXOXHWSYTXIXOPZWRWSY
      JYPUUCYPWSYJUUCYPWSYJXIXOYPWSHXOYJXIHZXEUBGYBXOUUDUAYPWSXECVHXEUDYCUEVIVJ
      VKVLVMVNVOWTYPUUBXGPZYJBVPGZWSYPUUEWRUUFWSYPUUEYPWSUUFUUEYPWSUUFVGUUBXGXE
      CBVQVDVRVSWRBFGUUFWRYGFBWRYFFGZYGFGWRYDUUGYIDVTWAYFWBWAEWCBWDWAUSWEWFWGWH
      UTWHWIWJWKVKWLVDWMVEWSXPYMUAWRACWNWOWPWQ $.
      $( [8-May-2005] $) $( [5-May-2005] $)

    $( Lemma for ~ infpn .  For any natural number ` N ` , there exists a
       prime number ` j ` greater than ` N ` . $)
    infpnlem2 $p |- ( N e. NN -> E. j e. NN ( N < j /\
                    A. k e. NN ( ( j / k ) e. NN -> ( k = 1 \/ k = j ) ) ) ) $=
      ( cn wcel c1 cv clt wbr cdiv co wa cle wi wral wrex wceq wo breq2 opreq2
      eleq1d anbi12d rcla4ev cfa cfv caddc cn0 nnnn0t facclt syl peano2nn
      syl5eqel nnge1t wb 1nn jctil nnleltp1t mpbid syl6breqr cc cc0 wne nncnt
      nnne0t jca dividt syl6eqel sylanc nnwos infpnlem1 r19.22dva mpd ) DFGZHAI
      ZJKZCVPLMZFGZNZHBIZJKZCWALMZFGZNZVPWAOKPBFQNZAFRZDVPJKVPWALMFGWAHSWAVPSTP
      BFQNZAFRVOVTAFRZWGCFGZHCJKZCCLMZFGZNZWIVOVTWNACFVPCSZVQWKVSWMVPCHJUAWOVRW
      LFVPCCLUBUCUDUEVODUFUGZHUHMZFCVOWPFGZWQFGVODUIGWRDUJDUKULZWPUMULEUNZVOWKW
      MVOHWQCJVOHWPOKZHWQJKZVOWRXAWSWPUOULVOHFGZWRNXAXBUPVOWRXCWSUQURHWPUSULUTE
      VAVOWLHFVOCVBGZCVCVDZNZWLHSVOWJXFWTWJXDXECVECVFVGULCVHULUQVIVGVJVTWEABVPW
      ASZVQWBVSWDVPWAHJUAXGVRWCFVPWACLUBUCUDVKULVOWFWHAFBCVPDEVLVMVN $.
      $( [8-May-2005] $) $( [5-May-2005] $)
  $}

  ${
    $d j k N $.
    $( There exist infinitely many prime numbers:  for any natural number
       ` N ` , there exists a prime number ` j ` greater than ` N ` .
       (See ~ infpn2 for the equinumerosity version.) $)
    infpn $p |- ( N e. NN -> E. j e. NN ( N < j /\
                    A. k e. NN ( ( j / k ) e. NN -> ( k = 1 \/ k = j ) ) ) ) $=
      ( cfa cfv c1 caddc co eqid infpnlem2 ) ABCDEFGHZCKIJ $.
      $( [1-Jun-2006] $) $( [1-Jun-2006] $)
  $}

  ${
    $d j k n m A $.  $d j k S $.
    infpn2.1 $e |- S = { n e. NN | ( 1 < n /\
                A. m e. NN ( ( n / m ) e. NN -> ( m = 1 \/ m = n ) ) ) } $.
    $( There exist infinitely many prime numbers:  the set of all primes ` S `
       is unbounded by ~ infpn , so by ~ unben it is infinite. $)
    infpn2 $p |- S ~~ NN $=
      ( vj vk cn wss cv clt wbr wrex wral cen c1 cdiv co wcel wceq wo wi wa
      crab ssrab2 eqsstr infpn cle nnge1t adantr cr 1re lelttrt mp3an1 nnret
      syl2an mpand ancld anim1d anass syl6ib r19.22dva mpd breq2 opreq1 eleq1d
      eqeq2 orbi2d imbi12d ralbidv anbi12d elrab2 anbi1i ancom anbi2i 3bitr
      rexbii2 sylibr rgen unben mp2an ) AGHEIZFIZJKZFALZEGMAGNKAOCIZJKZWEBIZPQZ
      GRZWGOSZWGWESZTZUAZBGMZUBZCGUCGDWOCGUDUEWDEGWAGRZWCOWBJKZWBWGPQZGRZWJWGWB
      SZTZUAZBGMZUBZUBZFGLZWDWPWCXCUBZFGLXFFBWAUFWPXGXEFGWPWBGRZUBZXGWCWQUBZXCU
      BXEXIWCXJXCXIWCWQXIOWAUGKZWCWQWPXKXHWAUHUIWAUJRZWBUJRZXKWCUBWQUAZWPXHOUJR
      XLXMXNUKOWAWBULUMWAUNWBUNUOUPUQURWCWQXCUSUTVAVBWCXEFAGWBARZWCUBXHXDUBZWCU
      BXHXDWCUBZUBXHXEUBXOXPWCWOXDCWBGAWEWBSZWFWQWNXCWEWBOJVCXRWMXBBGXRWIWSWLXA
      XRWHWRGWEWBWGPVDVEXRWKWTWJWEWBWGVFVGVHVIVJDVKVLXHXDWCUSXQXEXHXDWCVMVNVOVP
      VQVRAEFVSVT $.
      $( [8-May-2005] $) $( [5-May-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The reals are uncountable
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    ruclem1.a $e |- A e. RR $.
    ruclem1.b $e |- B e. RR $.
    $( Lemma for ~ ruc (the reals are uncountable).  This is an arithmetic fact
       that will be used to compute ordering relations. $)
    ruclem1 $p |- ( A < B <-> A < ( ( ( 2 x. A ) + B ) / 3 ) ) $=
      ( clt wbr c3 cmul co c2 caddc cdiv 2re remulcl ltadd2 c1 df-3 opreq1i
      2cn ax1cn recn adddir mulid2 opreq2i 3eqtrr breq1i bitr 3re readdcl 3pos
      ltdiv1i gt0ne0i divcan3 3bitr ) ABEFZGAHIZJAHIZBKIZEFZUPGLIZURGLIZEFAVAEF
      UOUQAKIZUREFUSABUQCDJAMCNZOVBUPUREUPJPKIZAHIUQPAHIZKIVBGVDAHQRJPASTACUAZU
      BVEAUQKAVFUCUDUEUFUGUPURGGAUHCNUQBVCDUIUHUJUKUTAVAEGAGUHUAVFGUHUJULUMUFUN
      $.
      $( [18-Oct-2004] $) $( [14-Oct-2004] $)

    $( Lemma for ~ ruc .  Arithmetic fact that will be used to compute
       ordering relations. $)
    ruclem2 $p |- ( A < B <->
                  ( ( ( 2 x. A ) + B ) / 3 ) < ( ( A + ( 2 x. B ) ) / 3 ) ) $=
      ( clt wbr caddc co c2 cmul c3 cdiv readdcl ltadd1 recn 2times opreq1i
      addass eqtr opreq2i add12 breq12i 2re remulcl 3re 3pos ltdiv1i 3bitr2 )
      ABEFAABGHZGHZBUIGHZEFIAJHZBGHZAIBJHZGHZEFUMKLHUOKLHEFABUICDABCDMNUMUJUOUK
      EUMAAGHZBGHUJULUPBGAACOZPQAABUQUQBDOZRSUOABBGHZGHUKUNUSAGBURPTABBUQURURUA
      SUBUMUOKULBIAUCCUDDMAUNCIBUCDUDMUEUFUGUH $.
      $( [18-Oct-2004] $) $( [14-Oct-2004] $)

    $( Lemma for ~ ruc .  Arithmetic fact that will be used to compute
       ordering relations. $)
    ruclem3 $p |- ( A < B <-> ( ( A + ( 2 x. B ) ) / 3 ) < B ) $=
      ( clt wbr c2 cmul co caddc c3 cdiv 2re remulcl ltadd1 c1 df-3 2cn ax1cn
      addcom eqtr opreq1i recn adddir mulid2 3eqtrr breq2i bitr readdcl 3re
      3pos ltdiv1i gt0ne0i divcan3 3bitr ) ABEFZAGBHIZJIZKBHIZEFZURKLIZUSKLIZEF
      VABEFUPURBUQJIZEFUTABUQCDGBMDNZOVCUSUREUSPGJIZBHIPBHIZUQJIVCKVEBHKGPJIVEQ
      GPRSTUAUBPGBSRBDUCZUDVFBUQJBVGUEUBUFUGUHURUSKAUQCVDUIKBUJDNUJUKULVBBVAEKB
      KUJUCVGKUJUKUMUNUGUO $.
      $( [18-Oct-2004] $) $( [14-Oct-2004] $)
  $}

  $( Lemma for ~ ruc .  Helper lemma showing a tedious equality used several
     times. $)
  ruclem4 $p |- ( ( A = C /\ B = D ) ->
                if ( ( ( 1st ` A ) < B /\ B < ( 2nd ` A ) ) ,
                 <. ( ( ( 2 x. B ) + ( 2nd ` A ) ) / 3 ) ,
                    ( ( B + ( 2 x. ( 2nd ` A ) ) ) / 3 ) >. ,
                 <. ( ( ( 2 x. ( 1st ` A ) ) + ( 2nd ` A ) ) / 3 ) ,
                    ( ( ( 1st ` A ) + ( 2 x. ( 2nd ` A ) ) ) / 3 ) >. ) =
                if ( ( ( 1st ` C ) < D /\ D < ( 2nd ` C ) ) ,
                 <. ( ( ( 2 x. D ) + ( 2nd ` C ) ) / 3 ) ,
                    ( ( D + ( 2 x. ( 2nd ` C ) ) ) / 3 ) >. ,
                 <. ( ( ( 2 x. ( 1st ` C ) ) + ( 2nd ` C ) ) / 3 ) ,
                    ( ( ( 1st ` C ) + ( 2 x. ( 2nd ` C ) ) ) / 3 ) >. ) ) $=
    ( wceq c1st cfv clt wbr c2nd wa c2 cmul co caddc c3 cdiv cop cif fveq2
    breq1d breq2d anbi12d ifbid ifeq12 opreq2d opreq1d opeq12d opreq12d sylanc
    eqtrd breq2 breq1 opreq2 opreq1 ifeq1d sylan9eq ) ACEZBDEZAFGZBHIZBAJGZHIZK
    ZLBMNZVBONZPQNZBLVBMNZONZPQNZRZLUTMNZVBONZPQNZUTVHONZPQNZRZSZCFGZBHIZBCJGZH
    IZKZVEWAONZPQNZBLWAMNZONZPQNZRZLVSMNZWAONZPQNZVSWFONZPQNZRZSZVSDHIZDWAHIZKZ
    LDMNZWAONZPQNZDWFONZPQNZRZWOSZURVRWCVKVQSZWPURVDWCVKVQURVAVTVCWBURUTVSBHACF
    TZUAURVBWABHACJTZUBUCUDVKWIEVQWOEXGWPEURWCVKWIVQWOUEURVGWEVJWHURVFWDPQURVBW
    AVEOXIUFUGURVIWGPQURVHWFBOURVBWALMXIUFZUFUGUHURVNWLVPWNURVMWKPQURVLWJVBWAOU
    RUTVSLMXHUFXIUIUGURVOWMPQURUTVSVHWFOXHXJUIUGUHUJUKUSWPWSWIWOSXFUSWCWSWIWOUS
    VTWQWBWRBDVSHULBDWAHUMUCUDUSWSWIXEWOUSWEXBWHXDUSWDXAPQUSVEWTWAOBDLMUNUGUGUS
    WGXCPQBDWFOUOUGUHUPUKUQ $.
    $( [18-Oct-2004] $) $( [9-Oct-2004] $)

  ${
    ruclem5.0 $e |- F : NN --> RR $.
    ruclem5.1 $e |- C = ( { <. 1 , <. ( ( F ` 1 ) + 1 ) ,
                     ( ( F ` 1 ) + 2 ) >. >. } u. ( F |` ( NN \ { 1 } ) ) ) $.
    $( Lemma for ~ ruc .  Helper lemma showing the input function used for our
       recursive sequence builder (defined in ~ ruclem13 ) is a set. $)
    ruclem5 $p |- C e. V $=
      ( c1 cfv caddc co c2 cop csn cn cdif cres cun cvv snex wcel cr wf nnex
      fex mp2an resexg ax-mp unex eqeltr ) AEEBFZEGHUHIGHJJZKZBLEKMZNZOPDUJULUI
      QBPRZULPRLSBTLPRUMCUALSPBUBUCBUKPUDUEUFUG $.
      $( [18-Oct-2004] $) $( [7-Oct-2004] $)

    $( Lemma for ~ ruc .  Helper lemma showing the input function used for our
       recursive sequence builder (defined in ~ ruclem13 ) matches our input
       mapping ` F ` for successor values. $)
    ruclem6 $p |- ( C |` ( NN \ { 1 } ) ) = ( F |` ( NN \ { 1 } ) ) $=
      ( cn c1 csn cdif cres cfv caddc co c2 cop cun wceq reseq1 ax-mp resundir
      c0 cin difdisj wfn wb wf1o 1nn elisseti opex f1osn f1ofn fnresdisj mpbi
      residm uneq12i uncom un0 3eqtr ) AEFGZHZIZFFBJZFKLZVAMKLZNZNGZBUSIZOZUSIZ
      VEUSIZVFUSIZOZVFAVGPUTVHPDAVGUSQRVEVFUSSVKTVFOVFTOVFVITVJVFURUSUATPZVITPZ
      UREUBVEURUCZVLVMUDURVDGZVEUEVNFVDFEUFUGVBVCUHUIURVOVEUJRURUSVEUKRULBUSUMU
      NTVFUOVFUPUQUQ $.
      $( [18-Oct-2004] $) $( [9-Oct-2004] $)

    $( Lemma for ~ ruc .  Helper lemma showing the initial value of the input
       function for our recursive sequence builder (defined in ~ ruclem13 ). $)
    ruclem7 $p |- ( C ` 1 ) =
                     <. ( ( F ` 1 ) + 1 ) , ( ( F ` 1 ) + 2 ) >. $=
      ( c1 cfv caddc co c2 cop cn 1nn elisseti opex fvsnun1 ) EEBFZEGHZPIGHZJKB
      AEKLMQRNDO $.
      $( [18-Oct-2004] $) $( [7-Oct-2004] $)

    ${
      ruclem8.a $e |- A e. NN $.
      $( Lemma for ~ ruc .  Helper lemma showing the successor value of the
         input function for our recursive sequence builder (defined in
         ~ ruclem13 ). $)
      ruclem8 $p |- ( C ` ( A + 1 ) ) = ( F ` ( A + 1 ) ) $=
        ( c1 caddc co cn csn cdif wcel cfv wceq wne eldifsn peano2nn ax-mp clt
        wbr cc0 nngt0 0re nnre 1re ltadd1 ax1cn addid2 breq1i bitr mpbi wb
        nngt1ne1t mpbir2an c2 cop 1nn elisseti opex fvsnun2 ) AGHIZJGKLMZVBBNVB
        CNOVCVBJMZVBGPZVBJGQAJMVDFARSZGVBTUAZVEUBATUAZVGAFUCVHUBGHIZVBTUAVGUBAG
        UDAFUEUFUGVIGVBTGUHUIUJUKULVDVGVEUMVFVBUNSULUOGGCNZGHIZVJUPHIZUQJVBCBGJ
        URUSVKVLUTEVAS $.
        $( [18-Oct-2004] $) $( [14-Oct-2004] $)
    $}
  $}

  ${
    $d x y z $.  $d z A $.
    ruclem9.2 $e |- D = { <. <. x , y >. , z >. |
             ( ( x e. ( RR X. RR ) /\ y e. RR ) /\ z = A ) } $.
    $( Lemma for ~ ruc .  Helper lemma showing the operation used for our
       recursive sequence builder (defined in ~ ruclem13 ) is a set. $)
    ruclem9 $p |- D e. V $=
      ( cr cxp reex xpex oprabex2 ) ABCGGHGDEGGIIJIFK $.
      $( [18-Oct-2004] $) $( [7-Oct-2004] $)
  $}

  ${
    $d x y $.
    ruclem10.a $e |- A e. NN $.
    ruclem.d $e |- D e. V $.
    ruclem.c $e |- C e. V $.
    ruclem10.3 $e |- G = ( 1st o. ( D seq1 C ) ) $.
    $( Lemma for ~ ruc .  The values of our recursive sequence builder are
       pairs of real numbers.  The values of our constructed function ` G ` are
       the first of these pairs. $)
    ruclem10 $p |- ( 1st ` ( ( D seq1 C ) ` A ) ) = ( G ` A ) $=
      ( cfv c1st cseq1 co ccom fveq1i wfun cn wfn wcel wceq cvv wfo fo1st
      fofun ax-mp seq1fn fvco2 mp3an eqtr2 ) ADIAJCBKLZMZIZAUIIJIZADUJHNJOZUIPQ
      APRUKULSTTJUAUMUBTTJUCUDCBFGUEEPAJUIUFUGUH $.
      $( [18-Oct-2004] $) $( [14-Oct-2004] $)
  $}

  ${
    $d x y $.
    ruclem11.a $e |- A e. NN $.
    ruclem11.d $e |- D e. V $.
    ruclem11.c $e |- C e. V $.
    ruclem11.4 $e |- H = ( 2nd o. ( D seq1 C ) ) $.
    $( Lemma for ~ ruc .  The values of our recursive sequence builder are
       pairs of real numbers.  The values of our constructed function ` H ` are
       the second of these pairs. $)
    ruclem11 $p |- ( 2nd ` ( ( D seq1 C ) ` A ) ) = ( H ` A ) $=
      ( cfv c2nd cseq1 co ccom fveq1i wfun cn wfn wcel wceq cvv wfo fo2nd
      fofun ax-mp seq1fn fvco2 mp3an eqtr2 ) ADIAJCBKLZMZIZAUIIJIZADUJHNJOZUIPQ
      APRUKULSTTJUAUMUBTTJUCUDCBFGUEEPAJUIUFUGUH $.
      $( [18-Oct-2004] $) $( [14-Oct-2004] $)
  $}

  ${
    $d x y z w v u $.
    ruclem12.2 $e |- D = { <. <. x , y >. , z >. |
             ( ( x e. ( RR X. RR ) /\ y e. RR ) /\
             z = if ( ( ( 1st ` x ) < y /\ y < ( 2nd ` x ) ) ,
                 <. ( ( ( 2 x. y ) + ( 2nd ` x ) ) / 3 ) ,
                    ( ( y + ( 2 x. ( 2nd ` x ) ) ) / 3 ) >. ,
                 <. ( ( ( 2 x. ( 1st ` x ) ) + ( 2nd ` x ) ) / 3 ) ,
                    ( ( ( 1st ` x ) + ( 2 x. ( 2nd ` x ) ) ) / 3 ) >. ) ) } $.
    $( Lemma for ~ ruc .  A helper lemma that changes bound variables. $)
    ruclem12 $p |- D = { <. <. w , v >. , u >. |
             ( ( w e. ( RR X. RR ) /\ v e. RR ) /\
             u = if ( ( ( 1st ` w ) < v /\ v < ( 2nd ` w ) ) ,
                 <. ( ( ( 2 x. v ) + ( 2nd ` w ) ) / 3 ) ,
                    ( ( v + ( 2 x. ( 2nd ` w ) ) ) / 3 ) >. ,
                 <. ( ( ( 2 x. ( 1st ` w ) ) + ( 2nd ` w ) ) / 3 ) ,
                    ( ( ( 1st ` w ) + ( 2 x. ( 2nd ` w ) ) ) / 3 ) >. ) ) } $=
      ( cv cr cxp wcel wa c1st cfv clt wbr c2nd c2 cmul co caddc c3 cdiv cop
      cif wceq copab2 eleq1 bi2anan9 ruclem4 eqeq2d anbi12d cbvoprab12v eqeq1
      anbi2d cbvoprab3v 3eqtr ) GAIZJJKZLZBIZJLZMZCIZUSNOZVBPQVBUSROZPQMSVBTUAV
      GUBUAUCUDUAVBSVGTUAZUBUAUCUDUAUESVFTUAVGUBUAUCUDUAVFVHUBUAUCUDUAUEUFZUGZM
      ZABCUHDIZUTLZEIZJLZMZVEVLNOZVNPQVNVLROZPQMSVNTUAVRUBUAUCUDUAVNSVRTUAZUBUA
      UCUDUAUESVQTUAVRUBUAUCUDUAVQVSUBUAUCUDUAUEUFZUGZMZDECUHVPFIZVTUGZMZDEFUHH
      VKWBABCDEUSVLUGZVBVNUGZMZVDVPVJWAWFVAVMWGVCVOUSVLUTUIVBVNJUIUJWHVIVTVEUSV
      BVLVNUKULUMUNWBWEDECFVEWCUGWAWDVPVEWCVTUOUPUQUR $.
      $( [18-Oct-2004] $) $( [8-Oct-2004] $)
  $}

  ${
    $d x y z w v u $.  $d w v u D $.
    ruclem13.0 $e |- F : NN --> RR $.
    ruclem13.1 $e |- C = ( { <. 1 , <. ( ( F ` 1 ) + 1 ) ,
                     ( ( F ` 1 ) + 2 ) >. >. } u. ( F |` ( NN \ { 1 } ) ) ) $.
    ruclem13.2 $e |- D = { <. <. x , y >. , z >. |
             ( ( x e. ( RR X. RR ) /\ y e. RR ) /\
             z = if ( ( ( 1st ` x ) < y /\ y < ( 2nd ` x ) ) ,
                 <. ( ( ( 2 x. y ) + ( 2nd ` x ) ) / 3 ) ,
                    ( ( y + ( 2 x. ( 2nd ` x ) ) ) / 3 ) >. ,
                 <. ( ( ( 2 x. ( 1st ` x ) ) + ( 2nd ` x ) ) / 3 ) ,
                    ( ( ( 1st ` x ) + ( 2 x. ( 2nd ` x ) ) ) / 3 ) >. ) ) } $.
    $( Lemma for ~ ruc .  A helper lemma showing the recursive sequence builder
       used for our construction maps natural numbers to pairs of reals. $)
    ruclem13 $p |- ( D seq1 C ) : NN --> ( RR X. RR ) $=
      ( cn cr cxp cseq1 co wf wfn crn wss df-f cv c1st cfv clt wbr c2nd wa c2
      cmul caddc c3 cdiv cop cif ruclem9 ruclem5 seq1fn c1 wcel csn cdif cres
      ruclem7 oprex opelxp 1nn ffvelrn mp2an 1re readdcl 2re mpbir2an eqeltr
      difss fssres wceq wb ruclem6 feq1 ax-mp mpbir wi iftrue eleq1d opelxpi
      axaddrcl axmulrcl mpan sylan cc0 wne 3re 3pos gt0ne0i redivclt mp3an23
      syl sylan2 sylanc ancoms adantll syl5bir wn iffalse adantrd pm2.61i
      elxp6 sylanb foprab seq1rn2 mp3an ) JKKLZEDMNZOXLJPXLQXKRZJXKXLSEDABCATZU
      AUBZBTZUCUDXPXNUEUBZUCUDUFZUGXPUHNZXQUINZUJUKNZXPUGXQUHNZUINZUJUKNZULZUGX
      OUHNZXQUINZUJUKNZXOYBUINZUJUKNZULZUMZEIUNZDFGHUOZUPUQDUBZXKURJUQUSZUTZKDY
      QVAZOZXKKLXKEOXMYOUQFUBZUQUINZYTUGUINZULZXKDFGHVBUUCXKURUUAKURUUBKURUUAUU
      BKKYTUGUIVCVDYTUQJKFOZUQJURYTKURGVEJKUQFVFVGZVHVIYTUGUUEVJVIVKVLYSYQKFYQV
      AZOZUUDYQJRUUGGJYPVMJKYQFVNVGYRUUFVOYSUUGVPDFGHVQYQKYRUUFVRVSVTABCXKKYLXK
      EIXNXOXQULVOZXOKURZXQKURZUFZUFXPKURZYLXKURZXNXKURUUKUULUUMUUHXRUUKUULUFZU
      UMWAXRUUMYEXKURZUUNXRYLYEXKXRYEYKWBWCUUJUULUUOUUIUULUUJUUOYAKURZYDKURZUUO
      UULUUJUFZYAYDKKWDUURXTKURZUUPXSKURZUUJUUSUULXSXQWEUGKURZUULUUTVJUGXPWFWGW
      HUUSUJKURZUJWIWJZUUPWKUJWKWLWMZXTUJWNWOWPUURYCKURZUUQUULYBKURZUVEUUJXPYBW
      EUVAUUJUVFVJUGXQWFWGZWQUVEUVBUVCUUQWKUVDYCUJWNWOWPWRWSWTXAXRXBZUUKUUMUULU
      VHUUMYKXKURZUUKUVHYLYKXKXRYEYKXCWCYHKURZYJKURZUVIUUKYHYJKKWDUUKYGKURZUVJY
      FKURZUUJUVLUUIYFXQWEUVAUUIUVMVJUGXOWFWGWHUVLUVBUVCUVJWKUVDYGUJWNWOWPUUKYI
      KURZUVKUUIUVFUVNUUJXOYBWEUVGWQUVNUVBUVCUVKWKUVDYIUJWNWOWPWRXAXDXEWTXNKKXF
      XGXHXKKEDYMYNXIXJVK $.
      $( [18-Oct-2004] $) $( [14-Oct-2004] $)
  $}

  ${
    $d x y z w v u $.  $d A w v u $.  $d C w v u $.  $d D w v u $.
    $d G w v u $.  $d H w v u $.  $d F z w v u  $.  $d B w v $.
    ruclem.0 $e |- F : NN --> RR $.
    ruclem.1 $e |- C = ( { <. 1 , <. ( ( F ` 1 ) + 1 ) ,
                     ( ( F ` 1 ) + 2 ) >. >. } u. ( F |` ( NN \ { 1 } ) ) ) $.
    ruclem.2 $e |- D = { <. <. x , y >. , z >. |
             ( ( x e. ( RR X. RR ) /\ y e. RR ) /\
             z = if ( ( ( 1st ` x ) < y /\ y < ( 2nd ` x ) ) ,
                 <. ( ( ( 2 x. y ) + ( 2nd ` x ) ) / 3 ) ,
                    ( ( y + ( 2 x. ( 2nd ` x ) ) ) / 3 ) >. ,
                 <. ( ( ( 2 x. ( 1st ` x ) ) + ( 2nd ` x ) ) / 3 ) ,
                    ( ( ( 1st ` x ) + ( 2 x. ( 2nd ` x ) ) ) / 3 ) >. ) ) } $.
    ruclem.3 $e |- G = ( 1st o. ( D seq1 C ) ) $.
    ruclem.4 $e |- H = ( 2nd o. ( D seq1 C ) ) $.
    $( Lemma for ~ ruc .  A helper lemma showing the initial value of the
         recursive sequence builder used for our construction. $)
    ruclem14 $p |- ( ( D seq1 C ) ` 1 ) =
               <. ( ( F ` 1 ) + 1 ) , ( ( F ` 1 ) + 2 ) >. $=
      ( c1 cseq1 co cfv caddc c2 cop cv c1st clt wbr c2nd wa cmul c3 cdiv cif
      ruclem9 ruclem5 seq11 ruclem7 eqtr ) NEDOPQNDQNFQZNRPUPSRPTEDABCAUAZUBQZB
      UAZUCUDUSUQUEQZUCUDUFSUSUGPUTRPUHUIPUSSUTUGPZRPUHUIPTSURUGPUTRPUHUIPURVAR
      PUHUIPTUJEKUKDFIJULUMDFIJUNUO $.
      $( [18-Oct-2004] $) $( [8-Oct-2004] $)

    ${
      ruclem15.a $e |- A e. NN $.
      $( Lemma for ~ ruc .  A helper lemma showing the successor value of the
         recursive sequence builder used for our construction. $)
      ruclem15 $p |- ( ( D seq1 C ) ` ( A + 1 ) ) =
  if ( ( ( G ` A ) < ( F ` ( A + 1 ) ) /\
   ( F ` ( A + 1 ) ) < ( H ` A ) ) ,
  <. ( ( ( 2 x. ( F ` ( A + 1 ) ) ) + ( H ` A ) ) / 3 ) ,
    ( ( ( F ` ( A + 1 ) ) + ( 2 x. ( H ` A ) ) ) / 3 ) >. ,
  <. ( ( ( 2 x. ( G ` A ) ) +
      ( H ` A ) ) / 3 ) ,
    ( ( ( G ` A ) +
      ( 2 x. ( H ` A ) ) ) / 3 ) >. ) $=
        ( vw vv vu c1 caddc co cseq1 cfv c1st clt wbr c2nd wa c2 cmul c3 cdiv
        cop cif cn wcel wceq cv ruclem9 ruclem5 seq1p1 ax-mp cr cxp wf
        ruclem13 ffvelrn mp2an ruclem8 peano2nn eqeltr opex ifex eqid ruclem4
        mpan2 mpan ruclem12 oprabval2 wb ruclem10 breq12i ruclem11 anbi12i
        ifbi opreq2i opreq12i opreq1i opeq12i ifeq12 eqtr 3eqtr ) DSTUAZFEUBUAZ
        UCZDWNUCZWMEUCZFUAZWPUDUCZWQUEUFZWQWPUGUCZUEUFZUHZUIWQUJUAZXATUAZUKULUA
        ZWQUIXAUJUAZTUAZUKULUAZUMZUIWSUJUAZXATUAZUKULUAZWSXGTUAZUKULUAZUMZUNZDH
        UCZWMGUCZUEUFZXSDIUCZUEUFZUHZUIXSUJUAZYATUAZUKULUAZXSUIYAUJUAZTUAZUKULU
        AZUMZUIXRUJUAZYATUAZUKULUAZXRYGTUAZUKULUAZUMZUNZDUOUPZWOWRUQODFEABCAURZ
        UDUCZBURZUEUFUUAYSUGUCZUEUFUHUIUUAUJUAUUBTUAUKULUAUUAUIUUBUJUAZTUAUKULU
        AUMUIYTUJUAUUBTUAUKULUAYTUUCTUAUKULUAUMUNFLUSZEGJKUTZVAVBWPVCVCVDZUPZWQ
        VCUPWRXQUQUOUUFWNVEYRUUGABCEFGJKLVFOUOUUFDWNVGVHWQXSVCDEGJKOVIZUOVCGVEW
        MUOUPZXSVCUPJYRUUIODVJVBUOVCWMGVGVHVKPQRWPWQUUFVCPURZUDUCZQURZUEUFUULUU
        JUGUCZUEUFUHUIUULUJUAZUUMTUAUKULUAUULUIUUMUJUAZTUAUKULUAUMUIUUKUJUAUUMT
        UAUKULUAUUKUUOTUAUKULUAUMUNZXQFWSUULUEUFUULXAUEUFUHUUNXATUAUKULUAUULXGT
        UAUKULUAUMXPUNZXCXJXPXFXIVLXMXOVLVMUUJWPUQUULUULUQUUPUUQUQUULVNUUJUULWP
        UULVOVPWPWPUQUULWQUQUUQXQUQWPVNWPUULWPWQVOVQABCPQRFLVRVSVHXQYCXJXPUNZYQ
        XCYCVTXQUURUQWTXTXBYBWSXRWQXSUEDEFHOUUDUUEMWAZUUHWBWQXSXAYAUEUUHDEFIOUU
        DUUENWCZWBWDXCYCXJXPWEVBXJYJUQXPYPUQUURYQUQXFYFXIYIXEYEUKULXDYDXAYATWQX
        SUIUJUUHWFUUTWGWHXHYHUKULWQXSXGYGTUUHXAYAUIUJUUTWFZWGWHWIXMYMXOYOXLYLUK
        ULXKYKXAYATWSXRUIUJUUSWFUUTWGWHXNYNUKULWSXRXGYGTUUSUVAWGWHWIYCXJYJXPYPW
        JVHWKWL $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)
    $}

    $( Lemma for ~ ruc .  A helper lemma showing the initial value of our
       constructed ` G ` . $)
    ruclem16 $p |- ( G ` 1 ) = ( ( F ` 1 ) + 1 ) $=
      ( c1 cseq1 co cfv c1st caddc c2 cop ruclem14 fveq2i 1nn cv clt wbr c2nd
      wa cmul c3 cdiv cif ruclem9 ruclem5 ruclem10 oprex op1st 3eqtr3 ) NEDOPQZ
      RQNFQZNSPZVATSPZUAZRQNGQVBUTVDRABCDEFGHIJKLMUBUCNDEGUDABCAUEZRQZBUEZUFUGV
      GVEUHQZUFUGUITVGUJPVHSPUKULPVGTVHUJPZSPUKULPUATVFUJPVHSPUKULPVFVISPUKULPU
      AUMEKUNDFIJUOLUPVBVCVANSUQURUS $.
      $( [18-Oct-2004] $) $( [9-Oct-2004] $)

    $( Lemma for ~ ruc .  A helper lemma showing our constructed function ` G `
       maps ` NN ` to real numbers. $)
    ruclem17 $p |- G : NN --> RR $=
      ( cn cr c1st cxp cres cseq1 co ccom wf f1stres ruclem13 fco mp2an wceq
      wb crn wss frn ax-mp cores eqtr4 feq1 mpbi ) NOPOOQZRZEDSTZUAZUBZNOGUBZUQ
      OURUBNUQUSUBZVAOOUCABCDEFIJKUDZNUQOURUSUEUFUTGUGVAVBUHUTPUSUAZGUSUIUQUJZU
      TVEUGVCVFVDNUQUSUKULPUSUQUMULLUNNOUTGUOULUP $.
      $( [18-Oct-2004] $) $( [15-Oct-2004] $)

    ${
      ruclem18.a $e |- A e. NN $.
      $( Lemma for ~ ruc .  The value of our constructed function ` G ` when
         the value of the input function ` F ` lies between the previous values
         of ` G ` and ` H ` .  This assignment to ` G ` defines a new interval
         between ` G ` and ` H ` (see also ~ ruclem19 ) that avoids the value
         of ` F ` . $)
      ruclem18 $p |- (
       ( ( G ` A ) < ( F ` ( A + 1 ) ) /\ ( F ` ( A + 1 ) ) < ( H ` A ) ) ->
   ( G ` ( A + 1 ) ) = ( ( ( 2 x. ( F ` ( A + 1 ) ) ) + ( H ` A ) ) / 3 ) ) $=
        ( cfv c1 caddc co clt wbr wa cseq1 c1st c2 cmul c3 cdiv cop cif iftrue
        ruclem15 syl5eq fveq2d cn wcel peano2nn ax-mp cv c2nd ruclem9 ruclem5
        ruclem10 oprex op1st 3eqtr3g ) DHPZDQRSZGPZTUAVIDIPZTUAUBZVHFEUCSPZUDPU
        EVIUFSVJRSZUGUHSZVIUEVJUFSZRSUGUHSZUIZUDPVHHPVNVKVLVQUDVKVKVQUEVGUFSVJR
        SUGUHSVGVORSUGUHSUIZUJVQVLVKVQVRUKABCDEFGHIJKLMNOULUMUNVHEFHDUOUPVHUOUP
        ODUQURABCAUSZUDPZBUSZTUAWAVSUTPZTUAUBUEWAUFSWBRSUGUHSWAUEWBUFSZRSUGUHSU
        IUEVTUFSWBRSUGUHSVTWCRSUGUHSUIUJFLVAEGJKVBMVCVNVPVMUGUHVDVEVF $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  The value of our constructed function ` H ` when
         the value of the input function ` F ` lies between the previous values
         of ` G ` and ` H ` .  This assignment to ` H ` defines a new interval
         between ` G ` and ` H ` (see also ~ ruclem18 ) that avoids the value
         of ` F ` . $)
      ruclem19 $p |- (
       ( ( G ` A ) < ( F ` ( A + 1 ) ) /\ ( F ` ( A + 1 ) ) < ( H ` A ) ) ->
   ( H ` ( A + 1 ) ) = ( ( ( F ` ( A + 1 ) ) + ( 2 x. ( H ` A ) ) ) / 3 ) ) $=
        ( cfv c1 caddc co clt wbr wa cseq1 c2nd c2 cmul c3 cdiv cop cif iftrue
        ruclem15 syl5eq fveq2d cn wcel peano2nn ax-mp cv c1st ruclem9 ruclem5
        ruclem11 oprex op2nd 3eqtr3g ) DHPZDQRSZGPZTUAVIDIPZTUAUBZVHFEUCSPZUDPU
        EVIUFSVJRSZUGUHSZVIUEVJUFSZRSZUGUHSZUIZUDPVHIPVQVKVLVRUDVKVKVRUEVGUFSVJ
        RSUGUHSVGVORSUGUHSUIZUJVRVLVKVRVSUKABCDEFGHIJKLMNOULUMUNVHEFIDUOUPVHUOU
        PODUQURABCAUSZUTPZBUSZTUAWBVTUDPZTUAUBUEWBUFSWCRSUGUHSWBUEWCUFSZRSUGUHS
        UIUEWAUFSWCRSUGUHSWAWDRSUGUHSUIUJFLVAEGJKVBNVCVNVQVMUGUHVDVPUGUHVDVEVF
        $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  The value of our constructed function ` G ` when
         the value of the input function ` F ` does not lie between the
         previous values of ` G ` and ` H ` .  This assignment to ` G ` just
         shrinks the interval between ` G ` and ` H ` by some arbitrary
         amount. $)
      ruclem20 $p |- (
    -. ( ( G ` A ) < ( F ` ( A + 1 ) ) /\ ( F ` ( A + 1 ) ) < ( H ` A ) ) ->
   ( G ` ( A + 1 ) ) = ( ( ( 2 x. ( G ` A ) ) + ( H ` A ) ) / 3 ) ) $=
        ( cfv c1 caddc co clt wbr wa wn cseq1 c1st c2 cmul c3 cdiv cop cif
        iffalse ruclem15 syl5eq fveq2d cn wcel peano2nn ax-mp cv c2nd ruclem9
        ruclem5 ruclem10 oprex op1st 3eqtr3g ) DHPZDQRSZGPZTUAVJDIPZTUAUBZUCZVI
        FEUDSPZUEPUFVHUGSVKRSZUHUISZVHUFVKUGSZRSUHUISZUJZUEPVIHPVPVMVNVSUEVMVLU
        FVJUGSVKRSUHUISVJVQRSUHUISUJZVSUKVSVNVLVTVSULABCDEFGHIJKLMNOUMUNUOVIEFH
        DUPUQVIUPUQODURUSABCAUTZUEPZBUTZTUAWCWAVAPZTUAUBUFWCUGSWDRSUHUISWCUFWDU
        GSZRSUHUISUJUFWBUGSWDRSUHUISWBWERSUHUISUJUKFLVBEGJKVCMVDVPVRVOUHUIVEVFV
        G $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  The value of our constructed function ` H ` when
         the value of the input function ` F ` does not lie between the
         previous values of ` G ` and ` H ` .  This assignment to ` H ` just
         shrinks the interval between ` G ` and ` H ` by some arbitrary
         amount. $)
      ruclem21 $p |- (
    -. ( ( G ` A ) < ( F ` ( A + 1 ) ) /\ ( F ` ( A + 1 ) ) < ( H ` A ) ) ->
   ( H ` ( A + 1 ) ) = ( ( ( G ` A ) + ( 2 x. ( H ` A ) ) ) / 3 ) ) $=
        ( cfv c1 caddc co clt wbr wa wn cseq1 c2nd c2 cmul c3 cdiv cop cif
        iffalse ruclem15 syl5eq fveq2d cn wcel peano2nn ax-mp cv c1st ruclem9
        ruclem5 ruclem11 oprex op2nd 3eqtr3g ) DHPZDQRSZGPZTUAVJDIPZTUAUBZUCZVI
        FEUDSPZUEPUFVHUGSVKRSZUHUISZVHUFVKUGSZRSZUHUISZUJZUEPVIIPVSVMVNVTUEVMVL
        UFVJUGSVKRSUHUISVJVQRSUHUISUJZVTUKVTVNVLWAVTULABCDEFGHIJKLMNOUMUNUOVIEF
        IDUPUQVIUPUQODURUSABCAUTZVAPZBUTZTUAWDWBUEPZTUAUBUFWDUGSWERSUHUISWDUFWE
        UGSZRSUHUISUJUFWCUGSWERSUHUISWCWFRSUHUISUJUKFLVBEGJKVCNVDVPVSVOUHUIVEVR
        UHUIVEVFVG $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  Each value of our constructed function ` G ` is a
         real number. $)
      ruclem22 $p |- ( G ` A ) e. RR $=
        ( cn cr wf wcel cfv ruclem17 ffvelrn mp2an ) PQHRDPSDHTQSABCEFGHIJKLMNU
        AOPQDHUBUC $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  Each value of our constructed function ` H ` is a
         real number. $)
      ruclem23 $p |- ( H ` A ) e. RR $=
        ( cseq1 co cfv c2nd cr cv c1st clt wbr wa c2 cmul caddc c3 cdiv cop
        cif ruclem9 ruclem5 ruclem11 wcel cxp cn wf ruclem13 ffvelrn mp2an
        wceq elxp6 pm3.27bi ax-mp pm3.27i eqeltrr ) DFEPQZRZSRZDIRTDEFIOABCAUAZ
        UBRZBUAZUCUDVNVLSRZUCUDUEUFVNUGQVOUHQUIUJQVNUFVOUGQZUHQUIUJQUKUFVMUGQVO
        UHQUIUJQVMVPUHQUIUJQUKULFLUMEGJKUNNUOVJUBRZTUPZVKTUPZVJTTUQZUPZVRVSUEZU
        RVTVIUSDURUPWAABCEFGJKLUTOURVTDVIVAVBWAVJVQVKUKVCWBVJTTVDVEVFVGVH $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  A helper lemma for the induction hypothesis in
         ~ ruclem25 . $)
      ruclem24 $p |- ( ( G ` A ) < ( H ` A ) ->
                       ( G ` ( A + 1 ) ) < ( H ` ( A + 1 ) ) ) $=
        ( cfv c1 caddc co clt wbr wa wi c2 cmul c3 cdiv cn cr wf wcel peano2nn
        ax-mp ffvelrn mp2an ruclem23 ruclem2 biimp adantl ruclem18 ruclem19
        3brtr4d a1d wn ruclem20 ruclem21 breq12d ruclem22 syl6rbbr biimpd
        pm2.61i ) DHPZDQRSZGPZTUAZVNDIPZTUAZUBZVLVPTUAZVMHPZVMIPZTUAZUCVRWBVSVR
        UDVNUESVPRSUFUGSZVNUDVPUESZRSUFUGSZVTWATVQWCWETUAZVOVQWFVNVPUHUIGUJVMUH
        UKZVNUIUKJDUHUKWGODULUMUHUIVMGUNUOABCDEFGHIJKLMNOUPZUQURUSABCDEFGHIJKLM
        NOUTABCDEFGHIJKLMNOVAVBVCVRVDZVSWBWIWBUDVLUESVPRSUFUGSZVLWDRSUFUGSZTUAV
        SWIVTWJWAWKTABCDEFGHIJKLMNOVEABCDEFGHIJKLMNOVFVGVLVPABCDEFGHIJKLMNOVHWH
        UQVIVJVK $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  At any index ` A ` , the value of ` G ` is less
         than the value of ` H ` . $)
      ruclem25 $p |- ( G ` A ) < ( H ` A ) $=
        ( vw vv cn wcel cfv clt wbr cv c1 caddc co wceq fveq2 breq12d c2 1lt2
        1re 2re cr wf 1nn ffvelrn mp2an ltadd2 mpbi ruclem16 cseq1 c2nd cop
        ruclem14 fveq2i c1st wa cmul c3 cdiv cif ruclem9 ruclem5 ruclem11
        oprex op2nd 3eqtr3 3brtr4 wi opreq1 fveq2d imbi12d elimel ruclem24
        dedth nnind ax-mp ) DRSDHTZDITZUAUBZOPUCZHTZWLITZUAUBUDHTZUDITZUAUBQUCZ
        HTZWQITZUAUBZWQUDUEUFZHTZXAITZUAUBZWKPQDWLUDUGWMWOWNWPUAWLUDHUHWLUDIUHU
        IWLWQUGWMWRWNWSUAWLWQHUHWLWQIUHUIWLXAUGWMXBWNXCUAWLXAHUHWLXAIUHUIWLDUGW
        MWIWNWJUAWLDHUHWLDIUHUIUDGTZUDUEUFZXEUJUEUFZWOWPUAUDUJUAUBXFXGUAUBUKUDU
        JXEULUMRUNGUOUDRSXEUNSJUPRUNUDGUQURUSUTABCEFGHIJKLMNVAUDFEVBUFTZVCTXFXG
        VDZVCTWPXGXHXIVCABCEFGHIJKLMNVEVFUDEFIUPABCAUCZVGTZBUCZUAUBXLXJVCTZUAUB
        VHUJXLVIUFXMUEUFVJVKUFXLUJXMVIUFZUEUFVJVKUFVDUJXKVIUFXMUEUFVJVKUFXKXNUE
        UFVJVKUFVDVLFLVMEGJKVNNVOXFXGXEUDUEVPXEUJUEVPVQVRVSWQRSZWTXDVTXOWQUDVLZ
        HTZXPITZUAUBZXPUDUEUFZHTZXTITZUAUBZVTWQUDWQXPUGZWTXSXDYCYDWRXQWSXRUAWQX
        PHUHWQXPIUHUIYDXBYAXCYBUAYDXAXTHWQXPUDUEWAZWBYDXAXTIYEWBUIWCABCXPEFGHIJ
        KLMNWQUDRUPWDWEWFWGWH $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  Our constructed function ` G ` has an
         ever-increasing set of values. $)
      ruclem26 $p |- ( G ` A ) < ( G ` ( A + 1 ) ) $=
        ( cfv c1 caddc co clt wbr wa c2 cmul c3 cdiv ruclem22 cn cr wf wcel
        peano2nn ax-mp ffvelrn mp2an 2re remulcl ruclem23 readdcl 3re 3pos
        gt0ne0i redivcl lttr ruclem1 sylan2b ruclem18 breqtrrd wn ruclem20
        ruclem25 mpbi syl5breqr pm2.61i ) DHPZDQRSZGPZTUAZVQDIPZTUAZUBZVOVPHPZT
        UAWAVOUCVQUDSZVSRSZUEUFSZWBTVRVQWETUAVOWETUAVTVOVQWEABCDEFGHIJKLMNOUGZU
        HUIGUJVPUHUKZVQUIUKJDUHUKWGODULUMUHUIVPGUNUOZWDUEWCVSUCVQUPWHUQABCDEFGH
        IJKLMNOURZUSUTUEUTVAVBVCVDVQVSWHWIVEVFABCDEFGHIJKLMNOVGVHWAVIUCVOUDSVSR
        SUEUFSZWBVOTABCDEFGHIJKLMNOVJVOVSTUAVOWJTUAABCDEFGHIJKLMNOVKVOVSWFWIVEV
        LVMVN $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  Our constructed function ` H ` has an
         ever-decreasing set of values. $)
      ruclem27 $p |- ( H ` ( A + 1 ) ) < ( H ` A ) $=
        ( cfv c1 caddc co clt wbr wa c2 cmul c3 cdiv ruclem19 cn cr wf wcel
        peano2nn ax-mp ffvelrn mp2an ruclem23 ruclem3 biimp adantl eqbrtrd wn
        ruclem21 ruclem25 ruclem22 mpbi syl6eqbr pm2.61i ) DHPZDQRSZGPZTUAZVJDI
        PZTUAZUBZVIIPZVLTUAVNVOVJUCVLUDSZRSUEUFSZVLTABCDEFGHIJKLMNOUGVMVQVLTUAZ
        VKVMVRVJVLUHUIGUJVIUHUKZVJUIUKJDUHUKVSODULUMUHUIVIGUNUOABCDEFGHIJKLMNOU
        PZUQURUSUTVNVAVOVHVPRSUEUFSZVLTABCDEFGHIJKLMNOVBVHVLTUAWAVLTUAABCDEFGHI
        JKLMNOVCVHVLABCDEFGHIJKLMNOVDVTUQVEVFVG $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)
    $}

    ${
      ruclem28.a $e |- A e. NN $.
      $( Lemma for ~ ruc .  A helper lemma for ~ ruclem29 . $)
      ruclem28 $p |- -. ( ( G ` ( A + 1 ) ) < ( F ` ( A + 1 ) ) /\
                      ( F ` ( A + 1 ) ) < ( H ` ( A + 1 ) ) ) $=
        ( cfv c1 caddc co clt wbr wa wn c2 cmul c3 cdiv cn cr wf wcel peano2nn
        ax-mp ffvelrn mp2an ruclem23 ruclem1 biimp adantl ruclem18 breqtrrd
        ruclem22 ltnsym syl intnanrd ruclem26 lttr mpan ruclem27 mpan2 anim12i
        con3i pm2.61i ) DHPZDQRSZGPZTUAZVPDIPZTUAZUBZVOHPZVPTUAZVPVOIPZTUAZUBZU
        CVTWBWDVTVPWATUAWBUCVTVPUDVPUESVRRSUFUGSZWATVSVPWFTUAZVQVSWGVPVRUHUIGUJ
        VOUHUKZVPUIUKJDUHUKWHODULUMZUHUIVOGUNUOZABCDEFGHIJKLMNOUPZUQURUSABCDEFG
        HIJKLMNOUTVAVPWAWJABCVOEFGHIJKLMNWIVBZVCVDVEWEVTWBVQWDVSVNWATUAWBVQABCD
        EFGHIJKLMNOVFVNWAVPABCDEFGHIJKLMNOVBWLWJVGVHWDWCVRTUAVSABCDEFGHIJKLMNOV
        IVPWCVRWJABCVOEFGHIJKLMNWIUPWKVGVJVKVLVM $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      $( Lemma for ~ ruc .  At any index ` A ` , the interval between our
         constructed functions ` G ` and ` H ` does not include the
         corresponding value of input function ` F ` .  In other words,
         our constructed functions define, by ~ ruclem26 and ~ ruclem27 , an
         ever-shrinking interval that eventually squeezes out all values
         of ` F ` . $)
      ruclem29 $p |- -. ( ( G ` A ) < ( F ` A ) /\ ( F ` A ) < ( H ` A ) ) $=
        ( vw vv cn wcel cfv clt wbr wa wn cv c1 caddc co wceq fveq2 breq12d
        anbi12d negbid cr wf 1nn ffvelrn mp2an ltp1 ruclem16 breqtrr ruclem22
        ltnsym ax-mp intnanr cif opreq1 fveq2d elimel ruclem28 dedth nn1suc )
        DRSDHTZDGTZUAUBZVNDITZUAUBZUCZUDZOPUEZHTZVTGTZUAUBZWBVTITZUAUBZUCZUDUFH
        TZUFGTZUAUBZWHUFITZUAUBZUCZUDQUEZUFUGUHZHTZWNGTZUAUBZWPWNITZUAUBZUCZUDZ
        VSPQDVTUFUIZWFWLXBWCWIWEWKXBWAWGWBWHUAVTUFHUJVTUFGUJZUKXBWBWHWDWJUAXCVT
        UFIUJUKULUMVTWNUIZWFWTXDWCWQWEWSXDWAWOWBWPUAVTWNHUJVTWNGUJZUKXDWBWPWDWR
        UAXEVTWNIUJUKULUMVTDUIZWFVRXFWCVOWEVQXFWAVMWBVNUAVTDHUJVTDGUJZUKXFWBVNW
        DVPUAXGVTDIUJUKULUMWIWKWHWGUAUBWIUDWHWHUFUGUHWGUAWHRUNGUOUFRSWHUNSJUPRU
        NUFGUQURZUSABCEFGHIJKLMNUTVAWHWGXHABCUFEFGHIJKLMNUPVBVCVDVEWMRSZXAXIWMU
        FVFZUFUGUHZHTZXKGTZUAUBZXMXKITZUAUBZUCZUDWMUFWMXJUIZWTXQXRWQXNWSXPXRWOX
        LWPXMUAXRWNXKHWMXJUFUGVGZVHXRWNXKGXSVHZUKXRWPXMWRXOUAXTXRWNXKIXSVHUKULU
        MABCXJEFGHIJKLMNWMUFRUPVIVJVKVLVD $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      ${
        ruclem.b $e |- B e. NN $.
        $( Lemma for ~ ruc .  A helper lemma for ~ ruclem32 . $)
        ruclem30 $p |- ( ( G ` A ) < ( G ` ( A + B ) ) ->
                         ( G ` A ) < ( G ` ( A + ( B + 1 ) ) ) ) $=
          ( cfv caddc co clt wbr c1 cn wcel nnaddclt mp2an ruclem26 nncn ax1cn
          addass fveq2i breqtr ruclem22 peano2nn ax-mp lttr mpan2 ) DIRZDESTZIR
          ZUAUBVADEUCSTZSTZIRZUAUBUSVDUAUBVAUTUCSTZIRVDUAABCUTFGHIJKLMNODUDUEZE
          UDUEZUTUDUEPQDEUFUGZUHVEVCIDEUCDPUIEQUIUJUKULUMUSVAVDABCDFGHIJKLMNOPU
          NABCUTFGHIJKLMNOVHUNABCVCFGHIJKLMNOVFVBUDUEZVCUDUEPVGVIQEUOUPDVBUFUGU
          NUQUR $.
          $( [18-Oct-2004] $) $( [15-Oct-2004] $)

        $( Lemma for ~ ruc .  A helper lemma for ~ ruclem32 . $)
        ruclem31 $p |- ( ( H ` ( A + B ) ) < ( H ` B ) ->
                         ( H ` ( ( A + 1 ) + B ) ) < ( H ` B ) ) $=
          ( c1 caddc co cfv clt wbr nncn ax1cn add23 fveq2i cn wcel nnaddclt
          mp2an ruclem27 eqbrtr peano2nn ax-mp ruclem23 lttr mpan ) DRSTZESTZJU
          AZDESTZJUAZUBUCVCEJUAZUBUCVAVDUBUCVAVBRSTZJUAVCUBUTVEJDREDPUDUEEQUDUF
          UGABCVBFGHIJKLMNODUHUIZEUHUIZVBUHUIPQDEUJUKZULUMVAVCVDABCUTFGHIJKLMNO
          USUHUIZVGUTUHUIVFVIPDUNUOQUSEUJUKUPABCVBFGHIJKLMNOVHUPABCEFGHIJKLMNOQ
          UPUQUR $.
          $( [18-Oct-2004] $) $( [15-Oct-2004] $)

        $( Lemma for ~ ruc .  All values of function ` G ` are less than all
           values of function ` H ` . $)
        ruclem32 $p |- ( G ` A ) < ( H ` B ) $=
          ( vw vv cfv caddc co clt wbr cn wcel cv c1 wceq opreq2 fveq2d breq2d
          ruclem26 wi cif opreq1 opreq2d imbi12d 1nn elimel ruclem30 dedth
          nnind ax-mp nnaddclt mp2an ruclem25 ruclem22 ruclem23 lttr breq1d
          ax1cn nncn addcom fveq2i ruclem27 eqbrtr opreq1d ruclem31 ) DITZDEUAU
          BZJTZUCUDZWBEJTZUCUDZVTWDUCUDVTWAITZUCUDZWFWBUCUDWCEUEUFZWGQVTDRUGZUA
          UBZITZUCUDVTDUHUAUBZITZUCUDVTDSUGZUAUBZITZUCUDZVTDWNUHUAUBZUAUBZITZUC
          UDZWGRSEWIUHUIZWKWMVTUCXBWJWLIWIUHDUAUJUKULWIWNUIZWKWPVTUCXCWJWOIWIWN
          DUAUJUKULWIWRUIZWKWTVTUCXDWJWSIWIWRDUAUJUKULWIEUIZWKWFVTUCXEWJWAIWIED
          UAUJUKULABCDFGHIJKLMNOPUMWNUEUFZWQXAUNVTDXFWNUHUOZUAUBZITZUCUDZVTDXGU
          HUAUBZUAUBZITZUCUDZUNWNUHWNXGUIZWQXJXAXNXOWPXIVTUCXOWOXHIWNXGDUAUJUKU
          LXOWTXMVTUCXOWSXLIXOWRXKDUAWNXGUHUAUPZUQUKULURABCDXGFGHIJKLMNOPWNUHUE
          USUTZVAVBVCVDABCWAFGHIJKLMNODUEUFZWHWAUEUFPQDEVEVFZVGVTWFWBABCDFGHIJK
          LMNOPVHZABCWAFGHIJKLMNOXSVHABCWAFGHIJKLMNOXSVIZVJVFXRWEPWIEUAUBZJTZWD
          UCUDUHEUAUBZJTZWDUCUDWNEUAUBZJTZWDUCUDZWREUAUBZJTZWDUCUDZWERSDXBYCYEW
          DUCXBYBYDJWIUHEUAUPUKVKXCYCYGWDUCXCYBYFJWIWNEUAUPUKVKXDYCYJWDUCXDYBYI
          JWIWREUAUPUKVKWIDUIZYCWBWDUCYLYBWAJWIDEUAUPUKVKYEEUHUAUBZJTWDUCYDYMJU
          HEVLEQVMVNVOABCEFGHIJKLMNOQVPVQXFYHYKUNXGEUAUBZJTZWDUCUDZXKEUAUBZJTZW
          DUCUDZUNWNUHXOYHYPYKYSXOYGYOWDUCXOYFYNJWNXGEUAUPUKVKXOYJYRWDUCXOYIYQJ
          XOWRXKEUAXPVRUKVKURABCXGEFGHIJKLMNOXQQVSVBVCVDVTWBWDXTYAABCEFGHIJKLMN
          OQVIVJVF $.
          $( [18-Oct-2004] $) $( [15-Oct-2004] $)
      $}
    $}

    $( Lemma for ~ ruc .  The set of values of our constructed function ` G `
       is a non-empty subset of ` RR ` .  This is a helper lemma for theorems
       involving supremum. $)
    ruclem33 $p |- ( ran G (_ RR /\ ran G =/= (/) /\
                     E. w e. RR A. v e. ran G v <_ w ) $=
      ( crn cr wss c0 wne cv cle wbr wral wrex cn wf ruclem17 frn ax-mp c1 cfv
      wcel wfn ffn 1nn fnfvelrn mp2an ne0i ruclem23 wceq wb fvelrnb breq1 wa
      clt ltlet cif fveq2 eleq1d elimel ruclem22 dedth jctir breq1d ruclem32
      sylc syl5cbi r19.23aiv sylbi rgen breq2 ralbidv rcla4ev 3pm3.2i ) IPZQRZW
      FSTZEUAZDUAZUBUCZEWFUDZDQUEZUFQIUGZWGABCFGHIJKLMNOUHZUFQIUIUJUKIULZWFUMZW
      HIUFUNZUKUFUMWQWNWRWOUFQIUOUJZUPUFUKIUQURWFWPUSUJUKJULZQUMZWIWTUBUCZEWFUD
      ZWMABCUKFGHIJKLMNOUPUTZXBEWFWIWFUMZWJIULZWIVAZDUFUEZXBWRXEXHVBWSDUFWIIVCU
      JXGXBDUFXGXFWTUBUCZXBWJUFUMZXFWIWTUBVDXFQUMZXAVEXFWTVFUCZXIXJXFWTVGXJXKXA
      XJXKXJWJUKVHZIULZQUMWJUKWJXMVAZXFXNQWJXMIVIZVJABCXMFGHIJKLMNOWJUKUFUPVKZV
      LVMXDVNXJXLXNWTVFUCWJUKXOXFXNWTVFXPVOABCXMUKFGHIJKLMNOXQUPVPVMVQVRVSVTWAW
      LXCDWTQWJWTVAWKXBEWFWJWTWIUBWBWCWDURWE $.
      $( [17-Jun-2007] $) $( [15-Oct-2004] $)

    ${
      $d w S $.
      ruclem.5 $e |- S = sup ( ran G , RR , < ) $.
      $( Lemma for ~ ruc .  The supremum of the set of values of our
         constructed function ` G ` is a real number. $)
      ruclem34 $p |- S e. RR $=
        ( vw vv crn cr clt csup ruclem33 suprcli eqeltr ) FHRZSTUASOPQUEABCPQDE
        GHIJKLMNUBUCUD $.
        $( [18-Oct-2004] $) $( [15-Oct-2004] $)

      ${
        ruclem.a $e |- A e. NN $.
        $( Lemma for ~ ruc .  The supremum we have constructed lies between
           all values of the ` G ` and ` H ` functions.  Compare ~ ruclem29 ,
           which states the opposite for the input function ` F ` . $)
        ruclem35 $p |- ( ( G ` A ) < S /\ S < ( H ` A ) ) $=
          ( vw vv vu cfv clt wbr c1 caddc co cle ruclem26 crn cr csup wcel cn
          wfn wf ruclem17 ffn ax-mp peano2nn fnfvelrn mp2an ruclem33 suprubi
          breqtrr ruclem22 ruclem34 ltletr wn cv wral ruclem23 wceq wrex wb
          fvelrnb breq2 negbid wa ltnsymt cif fveq2 eleq1d 1nn elimel dedth
          jctir breq1d ruclem32 sylc syl5cbi r19.23aiv sylbi rgen suprnubi
          breq2i mtbir lenlt mpbir ruclem27 lelttr pm3.2i ) DIUAZGUBUCZGDJUAZUB
          UCZXBDUDUEUFZIUAZUBUCXGGUGUCXCABCDEFHIJKLMNOQUHXGIUIZUJUBUKZGUGXGXHUL
          ZXGXIUGUCIUMUNZXFUMULZXJUMUJIUOXKABCEFHIJKLMNOUPUMUJIUQURZDUMULXLQDUS
          URZUMXFIUTVARSXHXGABCRSEFHIJKLMNOVBZVCURPVDXBXGGABCDEFHIJKLMNOQVEABCX
          FEFHIJKLMNOXNVEABCEFGHIJKLMNOPVFZVGVAGXFJUAZUGUCZXQXDUBUCXEXRXQGUBUCZ
          VHXSXQXIUBUCZXQUJULZXQTVIZUBUCZVHZTXHVJXTVHABCXFEFHIJKLMNOXNVKZYDTXHY
          BXHULZRVIZIUAZYBVLZRUMVMZYDXKYFYJVNXMRUMYBIVOURYIYDRUMYIXQYHUBUCZVHZY
          DYGUMULZYIYKYCYHYBXQUBVPVQYHUJULZYAVRYHXQUBUCZYLYMYHXQVSYMYNYAYMYNYMY
          GUDVTZIUAZUJULYGUDYGYPVLZYHYQUJYGYPIWAZWBABCYPEFHIJKLMNOYGUDUMWCWDZVE
          WEYEWFYMYOYQXQUBUCYGUDYRYHYQXQUBYSWGABCYPXFEFHIJKLMNOYTXNWHWEWIWJWKWL
          WMRSTXHXQXOWNVAGXIXQUBPWOWPGXQXPYEWQWRABCDEFHIJKLMNOQWSGXQXDXPYEABCDE
          FHIJKLMNOQVKWTVAXA $.
          $( [18-Oct-2004] $) $( [17-Oct-2004] $)

        $( Lemma for ~ ruc .  No value of ` F ` is equal to the supremum we
           have constructed. $)
        ruclem36 $p |- -. ( F ` A ) = S $=
          ( cfv wceq clt wbr wa ruclem29 ruclem35 breq2 breq1 anbi12d mpbiri
          mto ) DHRZGSZDIRZUJTUAZUJDJRZTUAZUBZABCDEFHIJKLMNOQUCUKUPULGTUAZGUNTU
          AZUBABCDEFGHIJKLMNOPQUDUKUMUQUOURUJGULTUEUJGUNTUFUGUHUI $.
          $( [18-Oct-2004] $) $( [15-Oct-2004] $)
      $}

      $( Lemma for ~ ruc .  If ` F ` is any function that maps ` NN ` into
       ` RR ` , then ` F ` cannot be onto ` RR ` . $)
      ruclem37 $p |- -. F : NN -onto-> RR $=
        ( vw cn cr wfo crn wcel cv cfv wceq wrex wn c1 cif fveq2 eqeq1d negbid
        1nn elimel ruclem36 dedth nrex wfn wb wf ffn ax-mp fvelrnb mtbir forn
        ruclem34 syl5eleqr mto ) QRGSZFGTZUAZVJPUBZGUCZFUDZPQUEZVMPQVKQUAZVMUFV
        OVKUGUHZGUCZFUDZUFVKUGVKVPUDZVMVRVSVLVQFVKVPGUIUJUKABCVPDEFGHIJKLMNOVKU
        GQULUMUNUOUPGQUQZVJVNURQRGUSVTJQRGUTVAPQFGVBVAVCVHRVIFQRGVDABCDEFGHIJKL
        MNOVEVFVG $.
        $( [18-Oct-2004] $) $( [13-Oct-2004] $)
    $}
  $}

  ${
    $d F z $.  $d x y z $.
    ruclem38.0 $e |- F : NN --> RR $.
    $( Lemma for ~ ruc .  If ` F ` is any function that maps ` NN ` into
       ` RR ` , then ` F ` cannot be onto ` RR ` .  Using ~ eqid , this lemma
       eliminates those hypotheses of ~ ruclem37 that are no longer needed. $)
    ruclem38 $p |- -. F : NN -onto-> RR $=
      ( vx vy vz c1 cfv caddc co c2 cop csn cn cdif cres cun cv cr cxp wcel wa
      c1st clt wbr c2nd cmul c3 cdiv cif wceq copab2 cseq1 ccom crn csup eqid
      ruclem37 ) CDEFFAGZFHIURJHIKKLAMFLNOPZCQZRRSTDQZRTUAEQUTUBGZVAUCUDVAUTUEG
      ZUCUDUAJVAUFIVCHIUGUHIVAJVCUFIZHIUGUHIKJVBUFIVCHIUGUHIVBVDHIUGUHIKUIUJUAC
      DEUKZUBVEUSULIZUMZUNRUCUOZAVGUEVFUMZBUSUPVEUPVGUPVIUPVHUPUQ $.
      $( [18-Oct-2004] $) $( [13-Oct-2004] $)
  $}

  $( Lemma for ~ ruc .  There is no function that maps ` NN ` onto ` RR ` .
     (Use ~ nex if you want this in the form
     ` -. E. f f : NN -onto-> RR ` .) $)
  ruclem39 $p |- -. F : NN -onto-> RR $=
    ( cn cr wfo wn wi wf fof cc0 csn cxp cif wceq foeq1 negbid wss 0re
    elisseti fconst wcel snssi ax-mp fss mp2an elimf ruclem38 dedth syl pm2.01
    ) BCADZUJEZFUKUJBCAGZUKBCAHULUKBCULABIJZKZLZDZEAUNAUOMUJUPBCAUONOUOBCAUNBUM
    UNGUMCPZBCUNGBIICQRSICTUQQICUAUBBUMCUNUCUDUEUFUGUHUJUIUB $.
    $( [18-Oct-2004] $) $( [14-Oct-2004] $)

  $( The set of natural numbers is strictly dominated by the set of real
     numbers, i.e. the real numbers are uncountable.  The proof consists of
     lemmas ~ ruclem1 through ~ ruclem39 and this final piece.  Our proof
     is based on the proof of Theorem 5.18 of [Truss] p. 114.  See ~ ruclem39
     for the function existence version of this theorem.  For an informal
     discussion of this proof, see
     ~ http://us.metamath.org/mpegif/mmcomplex.html#uncountable . $)
  ruc $p |- NN ~< RR $=
    ( vf cn cr csdm wbr cdom cen wn brsdom cvv wcel wss reex nnssre ssdom2g
    mp2 cv wf1o wex wfo ruclem39 f1ofo mto nex bren mtbir mpbir2an ) BCDEBCFEZB
    CGEZHBCICJKBCLUHMNBCJOPUIBCAQZRZASUKAUKBCUJTUJUABCUJUBUCUDBCAMUEUFUG $.
    $( [18-Oct-2004] $) $( [13-Oct-2004] $)

  $( The set of rationals is strictly less equinumerous than the set of
     reals ( ` RR ` strictly dominates ` QQ ` ). $)
  resdomq $p |- QQ ~< RR $=
    ( cq cn cen wbr cr csdm qnnen ruc ensdomtr mp2an ) ABCDBEFDAEFDGHABEIJ $.
    $( [20-Dec-2004] $) $( [18-Dec-2004] $)

  $( There are at least aleph-one real numbers. $)
  aleph1re $p |- ( aleph ` 1o ) ~<_ RR $=
    ( c1o cale cfv cr cdom wbr csdm wn c0 csuc cn cen com aleph0 omex nnenom
    ensymi eqbrtr ruc ensdomtr mp2an wi wa alephnbtwn2 imnan mpbir ax-mp df-1o
    fveq2i breq2i mtbir cvv wcel wb fvex reex domtri ) ABCZDEFZDURGFZHZUTDIJZBC
    ZGFZIBCZDGFZVDHZVEKLFKDGFVFVEMKLNKMOPQRSVEKDTUAVFVGUBVFVDUCHIDUDVFVDUEUFUGU
    RVCDGAVBBUHUIUJUKURULUMDULUMUSVAUNABUOUPURDULULUQUAUF $.
    $( [3-Feb-2005] $) $( [2-Feb-2005] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
       Cardinal arithmetic (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    infxpidmlem1.1 $e |- A e. V $.
    infxpidmlem1.2 $e |- B e. V $.
    $( Lemma for ~ infxpidm .  An infinite idempotent set ` x ` is equinumerous
       to the union of any two sets ` A ` and ` B ` equinumerous to it. $)
    infxpidmlem1 $p |- ( ( om ~<_ x /\ x ~~ ( x X. x ) ) ->
                     ( ( x ~~ A /\ x ~~ B ) -> x ~~ ( A u. B ) ) ) $=
      ( c1o cv csdm wbr cxp cen wa cun wi com cdom sbth cvv wcel wss ssun1
      ssdomg mp2 endomtr mpan2 ad2antrl domentr unxpdom sdomentr ax-mp syl2an
      anandis adantlr entrt xpex ensym syl visset xpen sylan2 adantll sylanc
      ex 1onn infsdomnn sylan ) FAGZHIZVGVGVGJZKIZVGBKIZVGCKIZLZVGBCMZKIZNOVGPI
      ZVHVJLZVMVOVGVNPIZVNVGPIZVOVQVMLZVGVNQVKVRVQVLVKBVNPIZVRBRSZBVNTWADBCUABV
      NRUBUCVGBVNUDUEUFVNBCJZPIZWCVGKIZVSVTVNWCVGUGVHVMWDVJVHVKVLWDFBHIZFCHIZWD
      VHVKLZVHVLLZBCUHWBWHWFNDFVGBRUIUJCRSWIWGNEFVGCRUIUJUKULUMVJVMWEVHVJVIWCKI
      ZWEVMVJWJLVGWCKIWEVGVIWCUNVGWCBCDEUOUPUQVGBVGCAURZDWKEUSUTVAVBVBVCVPFOSVH
      VDVGFWKVEUEVF $.
      $( [4-Oct-2004] $) $( [15-Sep-2004] $)
  $}

  ${
    $d x y z w f g h v u t A $.  $d x y z w v f g h t B $.
    $d x y z w v f g h t C $.  $d x y z w v u g h H $.
    infxpidmlem.1 $e |- H = { f | ( f = (/) \/ E. t ( ( om ~<_ t /\ t (_ A ) /\
                      f : ( t X. t ) -1-1-onto-> t ) ) } $.
    ${
      infxpidmlem2.2 $e |- B e. V $.
      $( Lemma for ~ infxpidm .  A necessary and sufficient condition for a
         set ` B ` to belong to ` H ` . $)
      infxpidmlem2 $p |- ( B e. H <-> ( B = (/) \/
        E. x ( ( om ~<_ x /\ x (_ A ) /\ B : ( x X. x ) -1-1-onto-> x ) ) ) $=
        ( wcel c0 wceq com cv cdom wbr wss wa cxp wf1o wex wo eqeq1 f1oeq1
        anbi2d exbidv orbi12d elab2 breq2 sseq1 anbi12d wb xpeq1 xpeq2 eqtrd
        f1oeq2 syl f1oeq3 bitrd cbvexv orbi2i bitr4 ) DFIDJKZLBMZNOZVCCPZQZVCVC
        RZVCDSZQZBTZUAZVBLAMZNOZVLCPZQZVLVLRZVLDSZQZATZUAEMZJKZVFVGVCVTSZQZBTZU
        AVKEDFHVTDKZWAVBWDVJVTDJUBWEWCVIBWEWBVHVFVGVCVTDUCUDUEUFGUGVSVJVBVRVIAB
        VLVCKZVOVFVQVHWFVMVDVNVEVLVCLNUHVLVCCUIUJWFVQVGVLDSZVHWFVPVGKVQWGUKWFVP
        VCVLRVGVLVCVLULVLVCVCUMUNVPVGVLDUOUPVLVCVGDUQURUJUSUTVA $.
        $( [4-Oct-2004] $) $( [16-Sep-2004] $)

      ${
        $d x D $.
        infxpidmlem3.3 $e |- D e. V $.
        $( Lemma for ~ infxpidm .  A sufficient condition for a set ` B ` to
           belong to ` H ` . $)
        infxpidmlem3 $p |- ( ( ( om ~<_ D /\ D (_ A ) /\
                         B : ( D X. D ) -1-1-onto-> D ) -> B e. H ) $=
          ( vx com cdom wbr wss wa cxp wf1o cv wex wcel wceq breq2 sseq1
          anbi12d wb xpeq1 xpeq2 eqtrd f1oeq2 syl f1oeq3 bitrd cla4ev c0 wo
          olc infxpidmlem2 sylibr ) KDLMZDBNZOZDDPZDCQZOZKJRZLMZVEBNZOZVEVEPZVE
          CQZOZJSZCFTZVKVDJDIVEDUAZVHVAVJVCVNVFUSVGUTVEDKLUBVEDBUCUDVNVJVBVECQZ
          VCVNVIVBUAVJVOUEVNVIDVEPVBVEDVEUFVEDDUGUHVIVBVECUIUJVEDVBCUKULUDUMVLC
          UNUAZVLUOVMVLVPUPJABCEFGHUQURUJ $.
          $( [4-Oct-2004] $) $( [16-Sep-2004] $)
      $}
    $}

    $( Lemma for ~ infxpidm .  The domain of a member of ` H` is the cross
       product of its range. $)
    infxpidmlem4 $p |- ( g e. H -> dom g = ( ran g X. ran g ) ) $=
      ( vx cv wcel c0 wceq com cdom wbr wss wa cxp wf1o wex wo cdm crn visset
      infxpidmlem2 dm0 dmeq rneq rn0 syl6eq xpeq2 syl xp0 3eqtr4a wfn ccnv
      wfun w3a f1o2 fndm xpeq1 eqtr2d sylan9eq 3adant2 sylbi adantl 19.23aiv
      jaoi ) DHZEIVHJKZLGHZMNVJBOPZVJVJQZVJVHRZPZGSZTVHUAZVHUBZVQQZKZGABVHCEFDU
      CUDVIVSVOVIJUAJVPVRUEVHJUFVIVRVQJQZJVIVQJKVRVTKVIVQJUBJVHJUGUHUIVQJVQUJUK
      VQULUIUMVNVSGVMVSVKVMVHVLUNZVHUOUPZVQVJKZUQVSVLVJVHURWAWCVSWBWAWCVPVLVRVL
      VHUSWCVRVJVQQVLVQVJVQUTVQVJVJUJVAVBVCVDVEVFVGVD $.
      $( [4-Oct-2004] $) $( [11-Sep-2004] $)

    $( Lemma for ~ infxpidm .  Two members in the range of a member of a subset
       of ` H ` form an ordered pair belonging to the domain of the union
       of the subset. $)
    infxpidmlem5 $p |- ( ( C (_ H /\ g e. C ) ->
             ( ( y e. ran g /\ z e. ran g ) -> <. y , z >. e. dom U. C ) ) $=
      ( wss cv wcel wa crn cop cdm cuni cxp wceq ssel2 infxpidmlem4 syl eleq2d
      visset opelxp syl6bb wi ciun ssiun2 dmuni syl6ssr sseld adantl sylbird )
      EHJZGKZELZMZAKZUPNZLBKZUTLMZUSVAOZUPPZLZVCEQPZLZURVEVCUTUTRZLVBURVDVHVCUR
      UPHLVDVHSEHUPTCDFGHIUAUBUCUSVAUTUTBUDUEUFUQVEVGUGUOUQVDVFVCUQVDGEVDUHVFGE
      VDUIGEUJUKULUMUN $.
      $( [4-Oct-2004] $) $( [11-Sep-2004] $)

    ${
      infxpidmlem6.2 $e |- B = ran U. C $.
      $( Lemma for ~ infxpidm .  A simple but frequently used fact. $)
      infxpidmlem6 $p |- ( y e. B <-> E. g e. C y e. ran g ) $=
        ( cv wcel crn ciun wrex cuni rnuni eqtr eleq2i eliun bitr ) AKZDLUBGEGK
        MZNZLUBUCLGEODUDUBDEPMUDJGEQRSGUBEUCTUA $.
        $( [4-Oct-2004] $) $( [12-Sep-2004] $)

      $( Lemma for ~ infxpidm .  The union of a collection ` C ` of chains in
         ` H ` is a bijection. $)
      infxpidmlem7 $p |- ( ( C (_ H /\
                         A. g e. C A. h e. C ( g (_ h \/ h (_ g ) ) ->
                         U. C : ( B X. B ) -1-1-onto-> B ) $=
        ( vx vy vz vw vv wss cv wo wral wa cuni cxp wfn ccnv wfun crn wceq
        wf1o cdm r19.26 fun11uni sylbir wcel ssel c0 com cdom wbr wex visset
        infxpidmlem2 wf1 f10 f1eq1 mpbiri wf df-f1 ffun anim1i sylbi syl f1of1
        adantl 19.23aiv jaoi syl6 r19.21aiv sylan wrex ssel2 infxpidmlem4 ra4e
        infxpidmlem6 sylibr ex ssrdv ssxp anidms eqsstrd sseld r19.23adva ciun
        dmuni eleq2i eliun bitr syl5ib adantr wrel relxp a1i cop wi sseq1
        sseq2 orbi12d rcla42v rnss anim1d infxpidmlem5 syl9r adantrl anim2d
        adantrr jaod com3l syld com13 imp r19.23advv anbi12i opelxp reeanv
        3bitr4 relssdv eqssd jca an23 df-fn anbi1i bitr4 sylib eqcomi jctir
        w3a f1o2 df-3an ) DHPZFQZGQZPZYTYSPZRZGDSZFDSZTZDUAZCCUBZUCZUUGUDUEZTZU
        UGUFZCUGZTZUUHCUUGUHZUUFUUKUUMUUFUUGUEZUUJTZUUGUIZUUHUGZTZUUKUUFUUQUUSY
        SUEZYSUDUEZTZFDSZUUEUUQYRUVDUUETUVCUUDTFDSUUQUVCUUDFDUJDFGUKULYRUVCFDYR
        YSDUMZYSHUMZUVCDHYSUNUVFYSUOUGZUPKQZUQURUVHBPTZUVHUVHUBZUVHYSUHZTZKUSZR
        UVCKABYSEHIFUTVAUVGUVCUVMUVGUOUOYSVBZUVCUVGUVNUOUOUOVBUOVCUOUOYSUOVDVEU
        VNUOUOYSVFZUVBTUVCUOUOYSVGUVOUVAUVBUOUOYSVHVIVJVKUVLUVCKUVKUVCUVIUVKUVJ
        UVHYSVBZUVCUVJUVHYSVLUVPUVJUVHYSVFZUVBTUVCUVJUVHYSVGUVQUVAUVBUVJUVHYSVH
        VIVJVKVMVNVOVJVPVQVRUUFUURUUHYRUURUUHPUUEYRLUURUUHYRLQZYSUIZUMZFDVSZUVR
        UUHUMZUVRUURUMZYRUVTUWBFDYRUVETZUVSUUHUVRUWDUVSYSUFZUWEUBZUUHUWDUVFUVSU
        WFUGDHYSVTABEFHIWAVKUVEUWFUUHPZYRUVEUWECPZUWGUVELUWECUVEUVRUWEUMZUVRCUM
        ZUVEUWITUWIFDVSUWJUWIFDWBLABCDEFHIJWCWDWEWFUWHUWGUWECUWECWGWHVKVMWIWJWK
        UWCUVRFDUVSWLZUMUWAUURUWKUVRFDWMWNFUVRDUVSWOWPWQWFWRUUFLMUUHUURUUHWSUUF
        CCWTXAUUFUVRNQZUFZUMZMQZOQZUFZUMZTZODVSNDVSZUVRUWOXBZUURUMZUXAUUHUMZUUF
        UWSUXBNODDYRUUEUWLDUMZUWPDUMZTZUWSUXBXCZXCUXFUUEYRUXGUXFUUEUWLUWPPZUWPU
        WLPZRZYRUXGXCUUCUXJUWLYTPZYTUWLPZRFGUWLUWPDDYSUWLUGUUAUXKUUBUXLYSUWLYTX
        DYSUWLYTXEXFYTUWPUGUXKUXHUXLUXIYTUWPUWLXEYTUWPUWLXDXFXGYRUXFUXJUXGYRUXF
        UXJUXGXCYRUXFTUXHUXGUXIYRUXEUXHUXGXCUXDUXHUWSUVRUWQUMZUWRTYRUXETUXBUXHU
        WNUXMUWRUXHUWMUWQUVRUWLUWPXHWJXILMABDEOHIXJXKXLYRUXDUXIUXGXCUXEUXIUWSUW
        NUWOUWMUMZTYRUXDTUXBUXIUWRUXNUWNUXIUWQUWMUWOUWPUWLXHWJXMLMABDENHIXJXKXN
        XOWEXPXQXRXSXTUWJUWOCUMZTUWNNDVSZUWRODVSZTUXCUWTUWJUXPUXOUXQLABCDENHIJW
        CMABCDEOHIJWCYAUVRUWOCCMUTYBUWNUWRNODDYCYDWQYEYFYGUUTUUPUUSTZUUJTUUKUUP
        UUJUUSYHUUIUXRUUJUUGUUHYIYJYKYLCUULJYMYNUUOUUIUUJUUMYOUUNUUHCUUGYPUUIUU
        JUUMYQWPWD $.
        $( [5-Oct-2004] $) $( [11-Sep-2004] $)

      ${
        infxpidmlem8.3 $e |- C e. V $.
        $( Lemma for ~ infxpidm .  The union of a collection of chains ` C ` in
           the collection of bijections ` H ` belongs to ` H ` .  This property
           will be needed to apply Zorn's Lemma in ~ infxpidmlem9 . $)
        infxpidmlem8 $p |- ( ( C (_ H /\
                   A. g e. C A. h e. C ( g (_ h \/ h (_ g ) ) -> U. C e. H ) $=
          ( vx vy wss cv wo wral wa cuni c0 wceq wcel wn com cdom wbr cxp wf1o
          wi wrex crn ssel2 wex visset infxpidmlem2 biimp ord wfo f1ofo forn
          syl eqcomd anim1i ancoms 19.22i rnex breq2 sseq1 anbi12d ceqsexv
          sylib syl6 domtr ra4e infxpidmlem6 sylibr ex ssrdv cvv ssdomg ax-mp
          sylan2 expcom adantl adantrd syld r19.23adva csn uni0b dfss3 elsn
          ralbii 3bitr negbii rexnal bitr4 syl5ib pm3.27 rneq rn0 syl6eq 0ss
          a1i eqsstrd pm2.61d2 sseld jctird adantr infxpidmlem7 uniex eqeltr
          infxpidmlem3 orc ) DHNZFOZGOZNXPXONPGDQFDQZRZDSZTUAZXSHUBZXRXTUCZUDCU
          EUFZCBNZRZCCUGCXSUHZRYAXRYBYEYFXNYBYEUIXQXNYBYCYDXNXOTUAZUCZFDUJZYCYB
          XNYHYCFDXNXODUBZRZYHUDXOUKZUEUFZYLBNZRZYCYKXOHUBZYHYOUIDHXOULYPYHUDLO
          ZUEUFZYQBNZRZYQYQUGZYQXOUHZRZLUMZYOYPYGUUDYPYGUUDPLABXOEHIFUNZUOUPUQU
          UDYQYLUAZYTRZLUMYOUUCUUGLUUBYTUUGUUBUUFYTUUBYLYQUUBUUAYQXOURYLYQUAUUA
          YQXOUSUUAYQXOUTVAVBVCVDVEYTYOLYLXOUUEVFZUUFYRYMYSYNYQYLUDUEVGYQYLBVHV
          IVJVKVLVAZYKYMYCYNYJYMYCUIXNYMYJYCYMYLCUEUFZYCYJUDYLCVMYJYLCNZUUJYJMY
          LCYJMOZYLUBZUULCUBZYJUUMRUUMFDUJZUUNUUMFDVNMABCDEFHIJVOZVPVQVRYLVSUBU
          UKUUJUIUUHYLCVSVTWAVAWBWCWDWEWFWGYBYGFDQZUCYIXTUUQXTDTWHZNXOUURUBZFDQ
          UUQDWIFDUURWJUUSYGFDFTWKWLWMWNYGFDWOWPWQXNMCBXNUUOUULBUBZUUNXNUUMUUTF
          DYKYLBUULYKYGYNYKYHYOYNUUIYMYNWRVLYGYLTBYGYLTUKTXOTWSWTXATBNYGBXBXCXD
          XEXFWGUUPWQVRXGXHABCDEFGHIJXIXGABXSCEHIDKXJZCXSUKVSJXSUVAVFXKXLVLXTXT
          YTUUAYQXSUHRLUMZPYAXTUVBXMLABXSEHIUVAUOVPXE $.
          $( [5-Oct-2004] $) $( [12-Sep-2004] $)
      $}
    $}

    ${
      infxpidmlem.2 $e |- A e. V $.
      $( Lemma for ~ infxpidm .  By Zorn's Lemma ~ zorn , the collection ` H `
         (which we show here to be a set) has a maximal element. $)
      infxpidmlem9 $p |- E. g e. H A. h e. H -. g (. h $=
        ( vz cv wss wo wral wa cuni wcel wi wpss wn wrex c0 wceq cab com cdom
        wbr cxp wf1o wex cun cvv unab eqtr4 csn df-sn p0ex eqeltrr cpw df-rex
        visset elpw anbi1i ancom an23 3bitr exbii bitr abbii pwex wf xpex
        mapex mp2an f1of adantl ss2abi ssexi abrexex2 unex eqeltr zorn crn
        eqid infxpidmlem8 mpg ) IJZFKDJZEJZKWHWGKLEWFMDWFMNWFOZFPQWGWHRSEFMDFTI
        DEIFFCJZUAUBZCUCZUDAJZUEUFZWMBKZNWMWMUGZWMWJUHZNZAUIZCUCZUJZUKFWKWSLCUC
        XAGWKWSCULUMWLWTUAUNWLUKCUAUOUPUQWNWQNZABURZTZCUCWTUKXDWSCXDWMXCPZXBNZA
        UIWSXBAXCUSXFWRAXFWOXBNXBWONWRXEWOXBWMBAUTZVAVBWOXBVCWNWQWOVDVEVFVGVHXB
        ACXCBHVIXBCUCWPWMWJVJZCUCZWPUKPWMUKPXIUKPWMWMXGXGVKXGWPWMUKUKCVLVMXBXHC
        WQXHWNWPWMWJVNVOVPVQVRUQVSVTWAABWIWBZWFCDEFGXJWCIUTWDWE $.
        $( [5-Oct-2004] $) $( [12-Sep-2004] $)

      $( Lemma for ~ infxpidm .  A maximal bijection ` g ` in ` H ` is
         non-empty. $)
      infxpidmlem10 $p |- ( A. h e. H -. g (. h -> ( om ~<_ A ->
                        g =/= (/) ) ) $=
        ( vv vy cv wpss wn wral c0 wne wrex com cdom wbr wcel wa wceq psseq1
        0pss syl6bb necon2bbid psseq2 negbid rcla4cva syl5cbir necon3d
        r19.23adva cen wss wex cxp wf1o visset infxpidmlem3 ex wi crn wfo
        f1ofo forn syl rneq rn0 syl6eq sylan9req infn0 syl5com adantr jcad
        19.22dv imp an1rs endom omex xpen anidms xpomen cvv wb xpex enen1 mpan
        mpbii enen2 mpbid bren sylib jca sylan 19.23aiv domen df-rex 3imtr4
        syl5 ) DKZEKZLZMZEFNZIKZOPZIFQZXAOPZRBSTZXEXGXIIFXEXFFUAZUBZXAOXFOXAOUC
        ZXFOUCZXAXFLZMZXLXMXOXFOXMXOOXFLXGXAOXFUDXFUEUFUGXDXPEXFFXBXFUCXCXOXBXF
        XAUHUIUJUKULUMRJKZUNTZXQBUOZUBZJUPXKXGUBZIUPZXJXHXTYBJRXQSTZXQXQUQZXQXF
        URZIUPZUBXSYBXRYCXSYFYBYCXSUBZYFYBYGYEYAIYGYEXKXGYGYEXKABXFXQCFGIUSJUSZ
        UTVAYCYEXGVBXSYEXQOPXGYCYEXFOXQOYEXNXQOUCYEXNXQXFVCZOYEYDXQXFVDYIXQUCYD
        XQXFVEYDXQXFVFVGXNYIOVCOXFOVHVIVJVKVAULXQYHVLVMVNVOVPVQVRXRYCYFRXQVSXRY
        DXQUNTZYFXRYDRUNTZYJXRRRUQZYDUNTZYKXRYMRXQRXQVTYHVTYHWAWBYMYLRUNTZYKWCY
        DWDUAYMYNYKWEXQXQYHYHWFYLYDRWDWGWHWIVGXQWDUAXRYKYJWEYHRXQYDWDWJWHWKYDXQ
        IYHWLWMWNWOWPJRBHWQXGIFWRWSWT $.
        $( [30-Apr-2007] $) $( [16-Sep-2004] $)

      $( Lemma for ~ infxpidm .  We show that the union of a bijection ` g ` in
         ` H ` with a disjoint bijection ` u ` is a member ` h ` of ` H ` that
         is larger than (properly extends) ` g ` .  Thus if the antecedent is
         true then ` g ` cannot be maximal. $)
      infxpidmlem11 $p |- ( ( ( ( ( om ~<_ x /\ x (_ A ) /\
            g : ( x X. x ) -1-1-onto-> x ) /\ ( x ~~ y /\ y (_ ( A \ x ) ) ) /\
          u : ( ( x X. y ) u. ( ( y X. x ) u. ( y X. y ) ) ) -1-1-onto-> y ) ->
                        E. h e. H g (. h ) $=
        ( com cv cdom wbr wss wa cxp wf1o cen cdif cun wpss wrex wcel psseq2
        rcla4ev cin c0 wceq f1oun xpdisj2 xpdisj1 jca undisj2 sylib ancri
        sylan2 wb xpun unass eqtr f1oeq2 ax-mp sylibr sslin difdisj syl6ss
        ss0b adantll wi visset unex infxpidmlem3 cvv ssun1 ssdomg mp2 domtr
        mpan2 difss sstr anim2i unss anim12i anassrs sylan ex adantlr mpd
        adantrl wne disjpss crn ineq12 eqeq1d wfo f1ofo forn syl syl2an wrel
        f1orel relin1 relrn0 rnin sseq2 mpbii ss0 syl5bir 3syl adantr sylbird
        imp bitrd necon3bid infn0 domentr syl5 sylanc exp43 com4t com23 imp43
        exp42 com34 imp41 ) LAMZNOZYHEPZQZYHYHRZYHGMZSZYHBMZTOZYOEYHUAZPZQZYHYO
        RZYOYHRZYOYORZUBZUBZYOCMZSZYMHMZUCZHIUDZYKYNUUFYSUUIYKYNUUFYSUUIYMUUEUB
        ZIUEZYMUUJUCZUUIYKYNUUFQZQZYSQUUHUULHUUJIUUGUUJYMUFUGUUNYRUUKYPUUNYRQYH
        YOUBZUUORZUUOUUJSZUUKUUMYRUUQYKUUMYHYOUHZUIUJZUUQYRUUMUUSQZYLUUDUBZUUOU
        UJSZUUQUUMYLUUDUHUIUJZUUSQUVBUUSYLYHUUDYOYMUUEUKUUSUVCUUSYLYTUHUIUJZYLU
        UCUHUIUJZQUVCUUSUVDUVEYHYOYHYHULUUSYLUUAUHUIUJZYLUUBUHUIUJZQUVEUUSUVFUV
        GYHYOYHYHUMYHYOYHYOUMUNYLUUAUUBUOUPUNYLYTUUCUOUPUQURUUPUVAUJUUQUVBUSUUP
        YLYTUBUUCUBUVAYHYOYHYOUTYLYTUUCVAVBUUPUVAUUOUUJVCVDVEYRUURUIPUUSYRUURYH
        YQUHUIYOYQYHVFYHEVGVHUURVIUPZURVJYKYRUUQUUKVKUUMYKYRQZUUQUUKLUUONOZUUOE
        PZQZUUQUUKUVIDEUUJUUOFIJYMUUEGVLCVLVMYHYOAVLZBVLZVMVNYIYJYRUVLYIUVJYJYR
        QZUVKYIYHUUONOZUVJYHVOUEYHUUOPUVPUVMYHYOVPYHUUOVOVQVRLYHUUOVSVTUVOYJYOE
        PZQUVKYRUVQYJYRYQEPUVQEYHWAYOYQEWBVTWCYHYOEWDUPWEWFWGWHWIWJWKYKUUMYPYRU
        ULYIUUMYPYRUULVKZVKVKYJYIYPUUMUVRUUMYRYIYPUULUUMUUSYIYPUULVKVKYRUUMUUSY
        IYPUULYMUUEUHZUIUJZUUEUIWLZUULUUTYIYPQZQYMUUEWMUUTUVTUWBUUMUUSUVTUUMUUS
        YMWNZUUEWNZUHZUIUJZUVTUWCYHUJZUWDYOUJZUWFUUSUSYNUUFUWGUWHQUWEUURUIUWCYH
        UWDYOWOWPYNYLYHYMWQUWGYLYHYMWRYLYHYMWSWTUUFUUDYOUUEWQUWHUUDYOUUEWRUUDYO
        UUEWSWTZXAYNUWFUVTVKZUUFYNYMXBUVSXBZUWJYLYHYMXCYMUUEXDUWKUVTUVSWNZUIUJZ
        UWFUVSXEUWFUWLUIPZUWMUWFUWLUWEPUWNYMUUEXFUWEUIUWLXGXHUWLXIWTXJXKXLXMXNX
        LUUMUWBUWAUUSUUFUWBUWAYNUUFUWBUWAUUFLYONOZUWAUWBUUFUWAYOUIWLUWOUUFUUEUI
        YOUIUUFUUEUIUJZUWDUIUJZYOUIUJUUFUUEXBUWPUWQUSUUDYOUUEXCUUEXEWTUUFUWDYOU
        IUWIWPXOXPYOUVNXQXJLYHYOXRXSXNVJWIXTYAUVHXSYBYCXLYDXTYEYFYG $.
        $( [5-Oct-2004] $) $( [16-Sep-2004] $)

      $( Lemma for ~ infxpidm .  Letting ` x ` be the range of a maximal
         bijection ` g ` in ` H ` , ~ infxpidmlem11 lets us show that assuming
         ` x ~<_ ( A \ x ) ` leads to the contradiction ` E. h e. H g (. h `
         meaning ` g ` is not maximal.  Thus ` ( A \ x ) ~< x ` .  This allows
         us to show that ` x ` is as big as ` A ` .  Since ` x ` is idempotent,
         and ` g ` exists by Zorn's Lemma in ~ infxpidmlem9 , ` A ` is also
         idempotent. $)
      infxpidmlem12 $p |- ( om ~<_ A -> ( A X. A ) ~~ A ) $=
        ( vg vh vx vy vu cv wpss wn wral wrex com cdom wbr cxp cen wi
        infxpidmlem9 wcel c0 wne infxpidmlem10 wss wa wf1o wex wceq wo visset
        infxpidmlem2 neor bitr cdif csdm cun entrt enref xpen mpan sylan2
        adantll mpan2 anidms jca xpex infxpidmlem1 adantr mpd unex mp2and
        ensym syl sylancom sylanl2 bren sylib f1oen anim2i adantlr sylan
        adantrr infxpidmlem11 ex 19.23adv cvv difexg ax-mp domen syl5ib wb
        domtri mp2an dfrex2 3imtr3g a3d sbth domentr c1o unxpdom2 ssun2 ssdomg
        mp2 undif2 breqtrr domtr 1onn infsdomnn sdomdom syl2an sylanc expcom
        ad2antlr exp41 com24 imp31 syld 19.23aiv imim2i sylbi com13 com3r
        r19.23aiv ) GLZHLMZNHDOZGDPQBRSZBBTZBUASZUBZABCGHDEFUCYJYNGDYJYKYHDUDZY
        MYJYKYHUEUFZYOYMUBABCGHDEFUGYOYPYJYMYOYPQILZRSZYQBUHZUIZYQYQTZYQYHUJZUI
        ZIUKZUBZYPYJYMUBZUBYOYHUEULUUDUMUUEIABYHCDEGUNUOUUDYHUEUPUQUUDUUFYPUUCU
        UFIUUCYJBYQURZYQUSSZYMUUCUUHYJUUCYQUUGRSZYIHDPZUUHNZYJNUUCYQJLZUASZUULU
        UGUHZUIZJUKUUJUUIUUCUUOUUJJUUCUUOUUJUUCUUOUIZYQUULTZUULYQTZUULUULTZUTZU
        TZUULKLUJZKUKZUUJUUCUUMUVCUUNYRUUAYQUASZUIZUUMUVCUUCUVEUUMUIUVAUULUASZU
        VCYRYQUUAUASZUUMUVFUVDYRUVGUIZUUMUVAYQUASZUVFUVHUUMUIZYQUVAUASZUVIUVJYQ
        UUQUASZYQUUTUASZUVKUVGUUMUVLYRUVGUUAUUQUASZUVLUUMYQUUAUUQVAYQYQUASZUUMU
        VNYQIUNZVBZYQYQYQUULUVPUVPUVPJUNZVCVDVEVFUVJYQUURUASZYQUUSUASZUIZUVMUVG
        UUMUWAYRUVGUUMUIUVSUVTUVGUUAUURUASZUVSUUMYQUUAUURVAUUMUVOUWBUVQYQUULYQY
        QUVPUVRUVPUVPVCVGVEUVGUUAUUSUASZUVTUUMYQUUAUUSVAUUMUWCYQUULYQUULUVPUVRU
        VPUVRVCVHVEVIVFUVHUWAUVMUBUUMIUURUUSUULYQUVRUVPVJZUULUULUVRUVRVJZVKVLVM
        UVHUVLUVMUIUVKUBUUMIUUQUUTYQUULUVPUVRVJZUURUUSUWDUWEVNZVKVLVOYQUVAUUQUU
        TUWFUWGVNVPVQUVAYQUULVAVRUUAYQUVPVPVSUVAUULKUVRVTWAYRUUBUVEYSUUBUVDYRUU
        AYQYHYQYQUVPUVPVJWBZWCWDWEWFUUPUVBUUJKUUPUVBUUJIJKABCGHDEFWGWHWIVMWHWIJ
        YQUUGBWJUDZUUGWJUDZFBYQWJWKWLZWMWNYQWJUDZUWJUUIUUKWOUVPUWKYQUUGWJWJWPWQ
        YIHDWRWSWTYTUVDUUHYMUBZUUBYRYSUVDUWMYRUUHUVDYSYMYRUUHUVDYSYMYRUUHUIZUVD
        UIZYSUIBYQUASZYMBYQRSZYQBRSZUWPUWOYSBYQXABUUARSZUVDUWQUWNBUUAYQXBXCYQUS
        SZUUGYQRSZUWSYRUUHUWTUXAUIYQUUGUTZUUARSZUWSYQUUGUVPUWKXDBUXBRSUXCUWSBYQ
        BUTZUXBRUWIBUXDUHBUXDRSFBYQXEBUXDWJXFXGYQBXHXIBUXBUUAXJVDVQYRXCQUDUWTXK
        YQXCUVPXLVGUUGYQXMXNWEUWLYSUWRUBUVPYQBWJXFWLXNUVDUWPYMUBUWNYSUWPUVDYMYL
        YQUASZYQBUASZYMUWPUVDUIYLYQBVAYLUUAUASZUVDUXEUWPYLUUAYQVAUWPUXGBYQBYQFU
        VPFUVPVCVHWEUWPUXFUVDBYQUVPVPVLXOXPXQVMXRXSXTUWHVEYAYBYCYDYEYAYFYGWL $.
        $( [5-Oct-2004] $) $( [17-Sep-2004] $)
    $}
  $}

  ${
    $d f x A $.
    infxpidm.1 $e |- A e. V $.
    $( The cross product of an infinite set with itself is idempotent.  This
       theorem provides the basis for infinite cardinal arithmetic.
       Lemma 6R of [Enderton] p. 162, whose proof we follow closely.  The
       main proof consists of ~ infxpidmlem1 through ~ infxpidmlem12 .  This
       final piece eliminates the first hypothesis of ~ infxpidmlem12 . $)
    infxpidm $p |- ( om ~<_ A -> ( A X. A ) ~~ A ) $=
      ( vx vf cv c0 wceq com cdom wbr wss wa cxp wf1o wex wo cab eqid
      infxpidmlem12 ) CADDEZFGHCEZIJUAAKLUAUAMUATNLCOPDQZUBRBS $.
      $( [5-Oct-2004] $) $( [17-Sep-2004] $)
  $}

  ${
    infunabs.1 $e |- A e. V $.
    infunabs.2 $e |- B e. V $.
    $( An infinite set is equinumerous to its union with a smaller one. $)
    infunabs $p |- ( ( om ~<_ A /\ B ~<_ A ) -> ( A u. B ) ~~ A ) $=
      ( com cdom wbr wa cun cen ccda co cxp domentr c2o domtr cdadom2 xp2cda
      syl6breqr wn wcel 2onn omsdomnn ax-mp pm3.26i mpan xpdom2 syl syl2an
      infxpidm adantl sylanc cdadom3 jctir sbth ancoms uncdadom cvv wss ssun1
      ssdomg mp2 ) EAFGZBAFGZHZABIZAFGZAVFFGZHVFAJGVEVGVHVEABKLZAJGZVGVDVCVJVDV
      CHZVIAFGZAVIFGZHVJVKVLVMVIAAMZFGZVNAJGZVLVKVIVNANVIAOMZFGVQVNFGZVOVDVCVIV
      QVNPVDVIAAKLVQFBAADCCQACRSVCOAFGZVROEFGZVCVSVTEOJGTZOEUAVTWAHUBOUCUDUEOEA
      PUFOAACCUGUHUIVCVPVDACUJUKULABCDUMUNVIAUOUHUPVFVIFGVJVGABCDUQVFVIANUFUHAU
      RUAAVFUSVHCABUTAVFURVAVBUNVFAUOUH $.
      $( [7-Oct-2004] $) $( [28-Sep-2004] $)

    $( Absorption law for addition to an infinite cardinal. $)
    infcdaabs $p |- ( ( om ~<_ A /\ B ~<_ A ) -> ( A +c B ) ~~ A ) $=
      ( cdom wbr com ccda co cen wa cxp domentr c2o domtr cdadom2 xp2cda
      syl6breqr wn wcel 2onn omsdomnn ax-mp pm3.26i mpan xpdom2 syl syl2an
      infxpidm adantl sylanc cdadom3 jctir sbth ancoms ) BAEFZGAEFZABHIZAJFZUPU
      QKZURAEFZAUREFZKUSUTVAVBURAALZEFZVCAJFZVAUTURVCAMURANLZEFVFVCEFZVDUPUQURV
      FVCOUPURAAHIVFEBAADCCPACQRUQNAEFZVGNGEFZUQVHVIGNJFSZNGTVIVJKUANUBUCUDNGAO
      UENAACCUFUGUHUQVEUPACUIUJUKABCDULUMURAUNUGUO $.
      $( [23-Oct-2004] $) $( [30-Sep-2004] $)

    $( The sum of two cardinal numbers is their maximum, if one of them is
       infinite.  Proposition 10.41 of [TakeutiZaring] p. 95. $)
    infcda $p |- ( om ~<_ A -> ( A +c B ) ~~ ( A u. B ) ) $=
      ( com cdom wbr wo ccda co cun cen cvv wcel entri3 mp2an wa entrt
      infcdaabs infunabs ensym syl sylanc ex cdacomen mpan uncom syl6breq
      domtr sylan exp31 pm2.43d jaod mpi ) EAFGZBAFGZABFGZHZABIJZABKZLGZBMNAMNU
      RDCBAMMOPUOUPVAUQUOUPVAUSALGAUTLGZVAUOUPQZUSAUTRABCDSVCUTALGVBABCDTUTACUA
      UBUCUDUOUQVAUOUQUQVAEBFGZUQVAUOUQQVDUQQZUSBAKZUTLVEBAIJZVFLGZUSVFLGZVGBLG
      BVFLGZVHVEVGBVFRBADCSVEVFBLGVJBADCTVFBDUAUBUCUSVGLGVHVIABCDUEUSVGVFRUFUBB
      AUGUHEABUIUJUKULUMUN $.
      $( [29-Mar-2005] $) $( [28-Sep-2004] $)

    $( The cardinality of an infinite set does not change after subtracting
       a strictly smaller one.  Example in [Enderton] p. 164. $)
    infdif $p |- ( ( om ~<_ A /\ B ~< A ) -> ( A \ B ) ~~ A ) $=
      ( com cdom wbr csdm wa cdif cen ccda co cun endomtr infunabs ensym syl
      sdomdom sylan2 wn wo cvv wcel omex entri2 mp2an wi wss ssun1 ssdomg mp2
      wb unex domtri mpbi domsdomtr difexg ax-mp cdadom1 uncdadom domtr mpan
      undif1 syl5eqbrr ensdomtr domrefg infcdaabs mpan2 sylan ancoms syl2an
      expcom mtoi ex adantl simpll cdafi anidms an1rs con3d syl5ib mpd jaod
      mpi con2bii sylibr cdadom2 eqbrtrr 3syl sylanc cdainf domentr syldan
      difss ssdom2g jctil sbth ) EAFGZBAHGZIZABJZAFGZAXBFGZIXBAKGXAXDXCWSWTAXBX
      BLMZFGZXDAABNZKGZXGXEFGZXFXAAXGXEOWSBAFGZXHWTWSXJIXGAKGXHABCDPXGACQRBASTZ
      XABXBHGZBXBFGZXIXAXBBFGZUAZXLXAEBFGZBEHGZUBZXOEUCUDZBUCUDZXRUEDEBUCUCUFUG
      XAXPXOXQWTXPXOUHWSWTXPXOWTXPIZXNXGAHGZAXGFGZYBUAZAUCUDZAXGUIYCCABUJAXGUCU
      KULYEXGUCUDYCYDUMCABCDUNAXGUCUCUOUGUPXNYAYBXGBBLMZFGZYFAHGZYBXNYAXGYFAUQX
      NXBBNZYFXGFXNXBBLMZYFFGZYIYFFGZXBBBYEXBUCUDZCABUCURUSZDDUTYIYJFGYKYLXBBYN
      DVAZYIYJYFVBVCRABVDZVEZXPWTYHYFBKGZWTYHXPYFBAVFXPBBFGZYRXTYSDBUCVGUSBBDDV
      HVIVJVKVLVMVNVOVPXAXQXOXAXQIZWSXOWSWTXQVQYTAEHGZUAZXOWSYTXNUUAYTXNUUAXAXN
      XQUUAAYFFGZYFEHGZUUAXAXNIXQAYFEUQXHYGUUCXAXNAXGYFOXKYQVLXQUUDBBVRVSVLVTVO
      WAXSYEWSUUBUMUECEAUCUCUOUGWBWCVOWDWEXNXLYMXTXNXLUAUMYNDXBBUCUCUOUGWFWGBXB
      SXMYJXEFGZXIBXBXBDYNYNWHXGYJFGUUEXIYIXGYJFYPYOWIXGYJXEVBVCRWJWKWSXFIZXEXB
      KGZXDUUFEXBFGZUUGUUFEXEFGUUHEAXEVBXBYNWLWGUUHXBXBFGZUUGYMUUIYNXBUCVGUSXBX
      BYNYNVHVIRXFUUGXDUHWSXFUUGXDAXEXBWMVOVPWCWNYEXBAUIXCCABWOXBAUCWPULWQXBAWR
      R $.
      $( [23-Oct-2004] $) $( [22-Oct-2004] $)

    $( Cardinality ordering for an infinite set difference. $)
    infdif2 $p |- ( om ~<_ A -> ( ( A \ B ) ~<_ B <-> A ~<_ B ) ) $=
      ( com cdom wbr cdif csdm wn wa cen infdif ensym syl wi cvv wcel difexg
      ax-mp sdomentr ex adantl mpd con3d wb domtri mp2an 3imtr4g wss difss
      ssdom2g mp2 domtr mpan impbid1 ) EAFGZABHZBFGZABFGZUQBURIGZJZBAIGZJZUSUTU
      QVCVAUQVCVAUQVCKZAURLGZVAVEURALGVFABCDMURACNOVCVFVAPUQVCVFVAURQRZVCVFKVAP
      AQRZVGCABQSTZBAURQUATUBUCUDUBUEVGBQRZUSVBUFVIDURBQQUGUHVHVJUTVDUFCDABQQUG
      UHUIURAFGZUTUSVHURAUJVKCABUKURAQULUMURABUNUOUP $.
      $( [31-Mar-2007] $) $( [24-Mar-2007] $)

    $( Absorption law for multiplication with an infinite cardinal. $)
    infxpabs $p |- ( ( om ~<_ A /\ B =/= (/) /\ B ~<_ A ) ->
                     ( A X. B ) ~~ A ) $=
      ( com cdom wbr c0 wne cxp cen wa sbth domentr xpdom2 infxpidm syl2an
      ancoms xpdom3 3impa 3com23 ) EAFGZBAFGZBHIZABJZAKGZUBUCUDUFUEAFGZAUEFGUFU
      BUCLUDUEAMUCUBUGUEAAJZFGUHAKGUGUCUBUEUHANBAACCOACPQRABCSQTUA $.
      $( [29-Nov-2006] $) $( [30-Sep-2004] $)

    $( Dominance law for multiplication with an infinite cardinal. $)
    infxpdom $p |- ( ( om ~<_ A /\ B ~<_ A ) -> ( A X. B ) ~<_ A ) $=
      ( com cdom wbr wa cxp c0 wceq xpeq2 breq1d wne w3a cen infxpabs 3com23
      endom syl 3expa xp0 0dom eqbrtr a1i pm2.61ne ) EAFGZBAFGZHZABIZAFGZAJIZAF
      GZBJBJKUJULAFBJALMUGUHBJNZUKUGUHUNOUJAPGZUKUGUNUHUOABCDQRUJASTUAUMUIULJAF
      AUBAUCUDUEUF $.
      $( [3-Apr-2006] $) $( [26-Mar-2006] $)

    $( Absorption law for multiplication with an infinite cardinal.  Equivalent
       to Proposition 10.41 of [TakeutiZaring] p. 95. $)
    infxp $p |- ( ( om ~<_ A /\ B =/= (/) ) ->
                   ( A X. B ) ~~ ( A u. B ) ) $=
      ( com cdom wbr c0 wne wa wo cxp cun cen cvv wcel entri3 mp2an entrt
      infxpabs 3expa infunabs ensym syl adantlr sylanc ex wi w3a domtr infn0
      adantr pm3.27 3jca 3adant2 xpcomen mpan 3syl uncom syl6breq jaod mpi ) EA
      FGZBHIZJZBAFGZABFGZKZABLZABMZNGZBOPAOPVHDCBAOOQRVEVFVKVGVEVFVKVIANGZAVJNG
      ZVKVEVFJVIAVJSVCVDVFVLABCDTUAVCVFVMVDVCVFJVJANGVMABCDUBVJACUCUDUEUFUGVCVG
      VKUHVDVCVGVKVCVGJZVIBAMZVJNVNEBFGZAHIZVGUIZBALZVONGZVIVONGZVNVPVQVGEABUJV
      CVQVGACUKULVCVGUMUNVSBNGBVONGZVTVRVSBVOSBADCTVPVGWBVQVPVGJVOBNGWBBADCUBVO
      BDUCUDUOUFVIVSNGVTWAABCDUPVIVSVOSUQURBAUSUTUGULVAVB $.
      $( [1-Dec-2006] $) $( [28-Sep-2004] $)

    $( An exponentiation law for infinite cardinals.  Exercise 34 of [Enderton]
       p. 165. $)
    infmap1 $p |- ( ( ( 2o ~<_ A /\ om ~<_ B ) /\ A ~<_ B ) ->
                  ( A ^m B ) ~~ ( 2o ^m B ) ) $=
      ( cdom wbr com c2o cm co cen wa sbth domtr mapdom1 cxp infxpidm con0 2on
      elisseti enref xpex mapen mpan cpw csdm canth2 sdomdom ax-mp pw2en
      domentr mp2an oprex mapxpen 3syl syl2an ancom31s ) ABEFZGBEFZHAEFZABIJZHB
      IJZKFZVAVBEFZVBVAEFVCURUSLUTVAVBMVABBIJZEFVEVBEFZVDURUSVAVEVBNABBCDDOUSBB
      PZBKFZHVGIJZVBKFZVFBDQHHKFVHVJHHRSTZUAHHVGBVKVKBBDDUBDUCUDVEVIEFZVJVFVEVB
      BIJZEFZVMVIKFVLBVBEFZVNBBUEZEFZVPVBKFVOBVPUFFVQBDUGBVPUHUIBDUJBVPVBUKULBV
      BBDHBIUMDOUIHBBVKDDUNVEVMVIUKULVEVIVBUKUDUOUPHABVKCDOUPUQ $.
      $( [8-Oct-2004] $) $( [30-Sep-2004] $)
  $}

  ${
    $d x y A $.
    infpss.1 $e |- A e. V $.
    $( Every infinite set has an equinumerous proper subset.  Exercise 7 of
       [TakeutiZaring] p. 91. $)
    infpss $p |- ( om ~<_ A -> E. x ( x (. A /\ x ~~ A ) ) $=
      ( vy cv wcel wex com cdom wbr wpss cen wa c0 wne infn0 ne0 sylib wi csn
      cdif cvv difexg ax-mp wceq psseq1 breq1 anbi12d cla4ev cin wn snidg
      ancli elin sylibr n0i syl disj4 con2bii csdm c1o 1onn infsdomnn mpan2
      visset ensn1 ensdomtr mpan snex infdif mpdan syl2an ex 19.23aiv mpcom )
      DEZBFZDGZHBIJZAEZBKZVTBLJZMZAGZVSBNOVRBCPDBQRVQVSWDSDVQVSWDBVPTZUAZBKZWFB
      LJZWDVQVSWCWGWHMAWFBUBFWFUBFCBWEUBUCUDVTWFUEWAWGWBWHVTWFBUFVTWFBLUGUHUIVQ
      BWEUJZNUEZUKZWGVQVPWIFZWKVQVQVPWEFZMWLVQWMVPBULUMVPBWEUNUOWIVPUPUQWJWGBWE
      URUSUOVSWEBUTJZWHVSVABUTJZWNVSVAHFWOVBBVACVCVDWEVALJWOWNVPDVEVFWEVABVGVHU
      QBWECVPVIVJVKVLVMVNVO $.
      $( [17-Jul-2008] $) $( [23-Oct-2004] $)
  $}

  ${
    $d x A $.
    iunctb.1 $e |- A e. V $.
    iunctb.2 $e |- B e. V $.
    $( The countable union of countable sets is countable (indexed union
       version of ~ unictb ). $)
    iunctb $p |- ( ( A ~<_ om /\ A. x e. A B ~<_ om ) ->
                 U_ x e. A B ~<_ om ) $=
      ( com cdom wbr wral ciun cxp domtr omex iundom cvv wcel domrefg ax-mp
      infxpdom mpan cen wb xpex xpcomen domen1 mp2an sylib syl2an ancoms ) CFGH
      ABIZBFGHZABCJZFGHZULBFKZGHUNFGHZUMUJUKULUNFLABFCDMENUKFBKZFGHZUOFFGHZUKUQ
      FOPURMFOQRFBMDSTUNOPUPUNUAHUQUOUBBFDMUCFBMDUDUPUNFOUEUFUGUHUI $.
      $( [5-Apr-2006] $) $( [26-Mar-2006] $)
  $}

  ${
    $d x A $.
    unictb.1 $e |- A e. V $.
    $( The countable union of countable sets is countable.  Theorem 6Q of
       [Enderton] p. 159.  See ~ iunctb for indexed union version. $)
    unictb $p |- ( ( A ~<_ om /\ A. x e. A x ~<_ om ) -> U. A ~<_ om ) $=
      ( com cdom wbr cv wral wa ciun cuni visset iunctb uniiun syl5eqbr ) BDEFA
      GZDEFABHIABPJDBKEABPCALMABNO $.
      $( [26-Aug-2006] $) $( [26-Mar-2006] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The union of two countable sets is countable.  (Contributed by FL,
       25-Aug-2006.) $)
    unctb $p  |- ( ( A ~<_ om /\ B ~<_ om ) -> ( A u. B ) ~<_ om ) $=
      ( vx com cdom wbr wa cpr cuni cun cvv wcel wceq uniprg reldom brrelexi
      syl2an cv wral wo breq1 biimprcd jaao visset elpr syl5ib r19.21aiv cen
      wn wrex prfi isfinite1 ax-mp pm3.26i prex unictb mpan syl eqbrtrrd ) ADEF
      ZBDEFZGZABHZIZABJZDEAKLBKLVDVEMUTVAABKKNADEOPBDEOPQVBCRZDEFZCVCSZVDDEFZVB
      VGCVCVBVFAMZVFBMZTVGVFVCLUTVJVGVAVKVJVGUTVFADEUAUBVKVGVAVFBDEUAUBUCVFABCU
      DUEUFUGVCDEFZVHVIVLDVCUHFUIZVCVFUHFCDUJVLVMGCABUKCVCULUMUNCVCABUOUPUQURUS
      $.
      $( [26-Aug-2006] $) $( [25-Aug-2006] $)
  $}

  $( There are at least aleph-one irrationals. $)
  aleph1irr $p |- ( aleph ` 1o ) ~<_ ( RR \ QQ ) $=
    ( c1o cale cfv cr cdom wbr cq cdif cen aleph1re reex com csdm cn omex
    nnenom ensymi ruc ensdomtr mp2an sdomdom ax-mp resdomq qex infdif domentr
    ) ABCZDEFDDGHZIFUGUHEFJUHDKLDEFZGDMFUHDIFLDMFZUILNIFNDMFUJNLOPQRLNDSTLDUAUB
    UCDGKUDUETQUGDUHUFT $.
    $( [3-Feb-2005] $) $( [2-Feb-2005] $)

  ${
    $d x y z w v u f A $.  $d x y z w f v u B $.  $d u v f R $.
    infmap2lem.1 $e |- A e. V $.
    infmap2lem.2 $e |- B e. V $.
    infmap2lem.3 $e |- R = { <. z , w >. | ( ( z (_ A /\ z ~~ B ) /\
                        w : B -onto-> z ) } $.
      $( Lemma for ~ infmap2 .  Technical result that is used several times. $)
    infmap2lem1 $p |- ( ( f (_ R /\ f Fn dom R ) ->
                       ( v e. { x | ( x (_ A /\ x ~~ B ) } ->
                       ( v (_ A /\ ( f ` v ) : B -onto-> v ) ) ) $=
      ( cv wss cdm wfn wa wcel cfv wfo cen wbr cab wi cop ssel copab eleq2i
      visset fvex wceq sseq1 breq1 anbi12d foeq3 foeq1 anbi2d opelopab bitr
      pm3.26 anim1i sylbi syl6 fnopfv syl5 exp3a imp wex dmeqi dmopab anass
      19.42v ensym wf1o bren f1ofo 19.22i syl pm4.71i anbi2i 3bitr4 abbii
      3eqtr cbvabv eqtr syl5ibr ) HLZGMZWFGNZOZPDLZWHQZWJEMZFWJWJWFRZSZPZWJALZE
      MZWPFTUAZPZAUBZQWGWIWKWOUCWGWIWKWOWGWJWMUDZWFQZWOWIWKPWGXBXAGQZWOWFGXAUEX
      CWLWJFTUAZPZWNPZWOXCXABLZEMZXGFTUAZPZFXGCLZSZPZBCUFZQXFGXNXAKUGXMXEFWJXKS
      ZPXFBCWJWMDUHWJWFUIXGWJUJZXJXEXLXOXPXHWLXIXDXGWJEUKXGWJFTULUMXGWJFXKUNUMX
      KWMUJXOWNXEFWJXKWMUOUPUQURXEWLWNWLXDUSUTVAVBWHWJWFVCVDVEVFWHWTWJWHXJBUBZW
      TWHXNNXMCVGZBUBXQGXNKVHXMBCVIXRXJBXJXLCVGZPXHXIXSPZPXRXJXHXIXSVJXJXLCVKXI
      XTXHXIXSXIFXGTUAZXSXGFJVLYAFXGXKVMZCVGXSFXGCBUHVNYBXLCFXGXKVOVPVAVQVRVSVT
      WAWBXJWSBAXGWPUJXHWQXIWRXGWPEUKXGWPFTULUMWCWDUGWE $.
      $( [11-Oct-2004] $) $( [1-Oct-2004] $)

    $( Lemma for ~ infmap2 .  Given the relation ` R ` , we use the Axiom of
       Choice ~ ac7g to extract a function ` f ` that provides the one-to-one
       mapping for the dominance relation. $)
    infmap2lem2 $p |- { x | ( x (_ A /\ x ~~ B ) } ~<_ ( A ^m B ) $=
      ( vf vv vu cv wss cdm wfn wa wex cen wbr cab cm co cdom cvv wcel wfo
      copab cpw cxp df-xp pwex oprex xpex eqeltrr pm3.26 visset elpw sylibr
      crn wf fof ffn syl adantl forn sseq1d biimparc jca elmap df-f bitr
      adantlr ssopab2i ssexi eqeltr ac7g ax-mp df-pw ss2abi cfv infmap2lem1
      fss sylan ancoms syl6 wceq wb pm3.27 anim12d eqeqan12d rneq syl5bi fveq2
      impbid1 dom2d mpi 19.23aiv ) JMZFNWSFOPQZJRZAMZDNZXBESTZQZAUAZDEUBUCZUDTZ
      FUEUFXAFBMZDNZXIESTZQEXICMZUGZQZBCUHZUEIXOXIDUIZUFZXLXGUFZQZBCUHZXPXGUJXT
      UEBCXPXGUKXPXGDGULZDEUBUMUNUOXNXSBCXJXMXSXKXJXMQZXQXRYBXJXQXJXMUPXIDBUQUR
      USYBXLEPZXLUTZDNZQZXRYBYCYEXMYCXJXMEXIXLVAYCEXIXLVBEXIXLVCVDVEXMYEXJXMYDX
      IDEXIXLVFVGVHVIXREDXLVAYFDEXLGHVJEDXLVKVLUSVIVMVNVOVPUEFJVQVRWTXHJWTXFUEU
      FXHXFXCAUAZXPYGUEADVSYAUOXEXCAXCXDUPVTVOWTKLXFXGKMZWSWAZLMZWSWAZUEWTYHXFU
      FZYHDNZEYHYIUGZQZYIXGUFZABCKDEFJGHIWBZYOEDYIVAZYPYNYMYREYHYIVAYMYRYNEYHDY
      IWCEYHYIVBWDWEDEYIGHVJUSWFWTYLYJXFUFZQYNEYJYKUGZQZYIYKWGZYHYJWGZWHWTYLYNY
      SYTWTYLYOYNYQYMYNWIWFWTYSYJDNZYTQYTABCLDEFJGHIWBUUDYTWIWFWJUUAUUBUUCUUAYI
      UTZYKUTZWGUUCUUBYNYTUUEYHUUFYJEYHYIVFEYJYKVFWKYIYKWLWMYHYJWSWNWOWFWPWQWRV
      R $.
      $( [11-Oct-2004] $) $( [30-Sep-2004] $)
  $}

  ${
    $d x z w A $.  $d x z w B $.
    infmap2.1 $e |- A e. V $.
    infmap2.2 $e |- B e. V $.
    $( An exponentiation law for infinite cardinals.  Similar to Lemma 6.2 of
       [Jech] p. 43.  We start with ~ infmap2lem2 and also prove the other
       direction of the dominance relation.  We obtain equinumerosity with
       Schroeder-Bernstein ~ sbth and finally eliminate the degenerate case
       ` B = (/) ` . $)
    infmap2 $p |- ( ( om ~<_ A /\ B ~<_ A ) ->
                      ( A ^m B ) ~~ { x | ( x (_ A /\ x ~~ B ) } ) $=
      ( vz vw com cdom wbr wa cm co cv wss cen cab c0 wceq opreq2 breq2 anbi2d
      abbidv breq12d wne cxp infxpabs 3com23 3expa xpcomen entrt mpan syl xpex
      ssenen cvv wcel oprex abid2 wf elmap fssxp cdm wfun ffun visset fundmen
      ensym 3syl fdm breqtrd jca sylbi ss2abi eqsstr3 ssdomg mp2 domentr wfo
      copab eqid infmap2lem2 sbth mpan2 c1o 1onn elisseti enref map0e csn
      df-sn df1o2 en0 anbi2i 0ss sseq1 mpbiri pm4.71ri bitr4 abbii 3eqtr4r
      3brtr4 a1i pm2.61ne ) HBIJZCBIJZKZBCLMZANZBOZXICPJZKZAQZPJZBRLMZXJXIRPJZK
      ZAQZPJZCRCRSZXHXOXMXRPCRBLTXTXLXQAXTXKXPXJCRXIPUAUBUCUDXGCRUEZKZXHXMIJZXN
      YBCBUFZBPJZXIYDOZXKKZAQZXMPJZYCYBBCUFZBPJZYEXEXFYAYKXEYAXFYKBCDEUGUHUIYDY
      JPJYKYECBEDUJYDYJBUKULUMAYDBCCBEDUNDUOXHYHIJZYIYCXHUPUQXHYHOYLBCLURXHXIXH
      UQZAQYHAXHUSYMYGAYMCBXIUTZYGBCXIDEVAYNYFXKCBXIVBYNXIXIVCZCPYNXIVDYOXIPJXI
      YOPJCBXIVEXIAVFZVGYOXIYPVHVICBXIVJVKVLVMVNVOXHYHUPVPVQXHYHXMVRULVIYCXMXHI
      JXNAFGBCFNZBOYQCPJKCYQGNVSKFGVTZDEYRWAWBXHXMWCWDUMXSXGWEWEXOXRPWEWEHWFWGW
      HBDWIRWJXIRSZAQWEXRARWKWLXQYSAXQXJYSKYSXPYSXJXIWMWNYSXJYSXJRBOBWOXIRBWPWQ
      WRWSWTXAXBXCXD $.
      $( [11-Oct-2004] $) $( [1-Oct-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The sum of two alephs is their maximum.  Equation 6.1 of [Jech]
       p. 42. $)
    alephadd $p |- ( ( aleph ` A ) +c ( aleph ` B ) ) ~~
                   ( ( aleph ` A ) u. ( aleph ` B ) ) $=
      ( con0 wcel cale cfv ccda co cun cen wbr wn wa wceq cdm c0 csn cxp c1o
      0ex cdaval xpundi xp0r 3eqtr2 ndmfv opreqan12d adantr adantl uneq12d un0
      syl6eq 3eqtr4a wfn alephfnon fndm ax-mp eleq2i negbii syl2anbr cvv wi
      oprex eqeng syl ex com wss alephgeom cdom fvex ssdom2g infcda sylbi
      cdacomen entrt mpan uncom syl6breq pm2.61ii ) ACDZBCDZAEFZBEFZGHZWBWCIZJK
      ZVTLZWALZWFWGWHMWDWENZWFAEOZDZLZBWJDZLZWIWGWHWLWNMZPPGHZPWDWEWPPPQZRPSQZR
      IPWQWRIZRPPPTTUAPWQWRUBWSUCUDWLWNWBPWCPGAEUEZBEUEZUFWOWEPPIPWOWBPWCPWLWBP
      NWNWTUGWNWCPNWLXAUHUIPUJUKULWKVTWJCAECUMWJCNUNCEUOUPZUQURWMWAWJCBXBUQURUS
      WDUTDWIWFVAWBWCGVBWDWEUTVCUPVDVEVTVFWBVGZWFAVHXCVFWBVIKZWFWBUTDXCXDVAAEVJ
      ZVFWBUTVKUPWBWCXEBEVJZVLVDVMWAVFWCVGZWFBVHXGVFWCVIKZWFWCUTDXGXHVAXFVFWCUT
      VKUPXHWDWCWBIZWEJXHWCWBGHZXIJKZWDXIJKZWCWBXFXEVLWDXJJKXKXLWBWCXEXFVNWDXJX
      IVOVPVDWCWBVQVRVDVMVS $.
      $( [30-Mar-2005] $) $( [29-Sep-2004] $)

    $( The product of two alephs is their maximum.  Equation 6.1 of [Jech]
       p. 42. $)
    alephmul $p |- ( ( A e. On /\ B e. On ) ->
  ( ( aleph ` A ) X. ( aleph ` B ) ) ~~ ( ( aleph ` A ) u. ( aleph ` B ) ) ) $=
      ( com cale cfv cdom wbr c0 wne cxp cun cen con0 wcel fvex infxp wss
      alephgeom cvv wi ssdom2g ax-mp sylbi infn0 syl syl2an ) CADEZFGZBDEZHIZUG
      UIJUGUIKLGAMNZBMNZUGUIADOZBDOZPUKCUGQZUHARUGSNUOUHTUMCUGSUAUBUCULCUIQZUJB
      RUPCUIFGZUJUISNUPUQTUNCUISUAUBUIUNUDUEUCUF $.
      $( [16-Jun-2007] $) $( [29-Sep-2004] $)

    $( An exponentiation law for alephs.  Lemma 6.1 of [Jech] p. 42. $)
    alephexp1 $p |- ( ( ( A e. On /\ B e. On ) /\ A (_ B ) ->
  ( ( aleph ` A ) ^m ( aleph ` B ) ) ~~ ( 2o ^m ( aleph ` B ) ) ) $=
      ( c2o cale cfv cdom wbr com wa cm co cen con0 wcel wss fvex infmap1
      alephgeom cvv wi ssdom2g ax-mp sylbi csdm 2onn nnsdom sdomdom domtr mpan
      syl anim12i adantr alephord3 ssdomg syl6bi imp sylanc ) CADEZFGZHBDEZFGZI
      ZURUTFGZURUTJKCUTJKLGAMNZBMNZIZABOZIURUTADPZBDPZQVFVBVGVDUSVEVAVDHURFGZUS
      VDHUROZVJARURSNZVKVJTVHHURSUAUBUCCHFGZVJUSCHUDGZVMCHNVNUECUFUBCHUGUBCHURU
      HUIUJVEHUTOZVABRUTSNVOVATVIHUTSUAUBUCUKULVFVGVCVFVGURUTOZVCABUMVLVPVCTVHU
      RUTSUNUBUOUPUQ $.
      $( [8-Oct-2004] $) $( [29-Sep-2004] $)
  $}

  ${
    $d x A $.
    $( An alternate representation of a successor aleph.  Compare ~ alephsuc
       and ~ alephsuc2 .  Equality can be obtained by taking the ` card `
       of the right-hand side then using ~ alephcard and ~ carden . $)
    alephsuc3 $p |- ( A e. On ->
               ( aleph ` suc A ) ~~ { x e. On | x ~~ ( aleph ` A ) } ) $=
      ( con0 wcel cv cale cfv cen wbr crab csuc cdif cdom csdm alephsuc2
      difeq1d wceq ccrd alephcard cardval2 eqtr3 a1i difeq2d eqtrd wn wa
      difrab wb bren2 rabbii eqtr4 syl6req com fvex infdif wss sucelon
      alephgeom bitr cvv wi ssdom2g ax-mp sylbi alephordlem1 sylanc eqbrtrd
      ensym syl ) BCDZAEZBFGZHIZACJZBKZFGZHIVPVNHIVJVNVPVLLZVPHVJVQVKVLMIZACJZV
      KVLNIZACJZLZVNVJVQVSVLLWBVJVPVSVLABOPVJVLWAVSVLWAQVJVLRGVLWABSAVLTUAUBUCU
      DWBVRVTUEUFZACJVNVRVTACUGVMWCACVMWCUHVKCDVKVLUIUBUJUKULUMVPMIZVLVPNIVQVPH
      IVJVPVLVOFUNZBFUNUOVJUMVPUPZWDVJVOCDWFBUQVOURUSVPUTDWFWDVAWEUMVPUTVBVCVDB
      VEVFVGVNVPWEVHVI $.
      $( [23-Oct-2004] $) $( [23-Oct-2004] $)

    $( An expression equinumerous to 2 to an aleph power.  The proof equates
       the two laws for cardinal exponentiation ~ alephexp1 (which works if the
       base is less than or equal to the exponent) and ~ infmap2 (which works
       if the exponent is less than or equal to the base).  They can be equated
       only when the base is equal to the exponent, and this is the result. $)
    alephexp2 $p |- ( A e. On -> ( 2o ^m ( aleph ` A ) ) ~~
          { x | ( x (_ ( aleph ` A ) /\ x ~~ ( aleph ` A ) ) } ) $=
      ( con0 wcel cale cfv cm co cv wss cen wbr wa cab c2o com cdom alephgeom
      cvv wi fvex ssdom2g ax-mp sylbi domrefg jctir infmap2 syl wb pm3.2
      pm2.43i ssid alephexp1 oprex enen1 mpan 3syl mpbid ) BCDZBEFZUTGHZAIZUTJV
      BUTKLMANZKLZOUTGHZVCKLZUSPUTQLZUTUTQLZMVDUSVGVHUSPUTJZVGBRUTSDZVIVGTBEUAZ
      PUTSUBUCUDVJVHVKUTSUEUCUFAUTUTVKVKUGUHUSUSUSMZBBJZMVAVEKLZVDVFUIZUSVLVMUS
      VLUSUSUJUKBULUFBBUMVESDVNVOOUTGUNVAVEVCSUOUPUQUR $.
      $( [23-Oct-2004] $) $( [23-Oct-2004] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Continuum Hypothesis
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( The equivalence of two versions of the Generalized Continuum Hypothesis.
       The right-hand side is the standard version in the literature.  The
       left-hand side is a version devised by Kannan Nambiar, which he calls
       the Axiom of Combinatorial Sets.  For the notation and motivation
       behind this axiom, see his paper, "Derivation of Continuum Hypothesis
       from Axiom of Combinatorial Sets," available at
       ~ http://www.e-atheneum.net/science/derivation&#95;ch.pdf .
       The equivalence of the two sides provides a negative answer to Open
       Problem 2 in
       ~ http://www.e-atheneum.net/science/open&#95;problem&#95;print.pdf .
       The key idea in the proof below is to equate both sides of
       ~ alephexp2 to the successor aleph using ~ enen2 . $)
    gch-kn $p |- ( A e. On -> ( ( aleph ` suc A ) ~~
                { x | ( x (_ ( aleph ` A ) /\ x ~~ ( aleph ` A ) ) } <->
                ( aleph ` suc A ) ~~ ( 2o ^m ( aleph ` A ) ) ) ) $=
      ( con0 wcel csuc cale cfv c2o cm co cen wbr cv wss wa cab wb alephexp2
      cvv cpw df-pw fvex pwex eqeltrr pm3.26 ss2abi ssexi enen2 mpan syl
      bicomd ) BCDZBEFGZHBFGZIJZKLZUMAMZUNNZUQUNKLZOZAPZKLZULUOVAKLZUPVBQZABRVA
      SDVCVDVAURAPZUNTVESAUNUAUNBFUBUCUDUTURAURUSUEUFUGUOVAUMSUHUIUJUK $.
      $( [11-Jan-2006] $) $( [1-Oct-2004] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                            Topology
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Topological spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant symbols and define their syntactical properties. $)

  $c Top $.
  $c TopSp $.
  $c Bases $.
  $c topGen $.

  $( Extend class notation with the class of all topologies. $)
  ctop $a class Top $.

  $( Extend class notation with the class of all topological spaces. $)
  ctps $a class TopSp $.

  $( Extend class notation with the class of all topological bases. $)
  ctb $a class Bases $.

  $( Extend class notation with a function that converts a basis to its
     corresponding topology. $)
  ctg $a class topGen $.

  ${
    $d x y z w v $.
    $( Define the (proper) class of all topologies.  See ~ istop2g for an
       alternate way to express finite intersection and ~ istps5 for a
       standard definition in terms of both members of a topological space. $)
    df-top $a |- Top = { x | ( A. y ( y (_ x -> U. y e. x ) /\
                           A. y e. x A. z e. x ( y i^i z ) e. x ) } $.

    $( Define the class of all topological spaces, each of which is an
       ordered pair the second of which is a topology on the first.  See
       ~ istps5 for a standard way to express a topological space. $)
    df-topsp $a |- TopSp = { <. x , y >. | ( y e. Top /\ x = U. y ) } $.

    $( Define the class of all topological bases.  Equivalent to definition of
       basis in [Munkres] p. 78 (see ~ isbasis2g ).  Note that "bases" is the
       plural of "basis." $)
    df-bases $a |- Bases = { x | A. y e. x A. z e. x ( y i^i z ) (_
                      U. ( x i^i P~ ( y i^i z ) ) } $.

    $( Define a function that converts a basis to its corresponding
       topology.  Equivalent to the definition of a topology generated by a
       basis in [Munkres] p. 78 (see ~ tgval2t ).  See ~ tgval3t for an
       alternate expression for the value. $)
    df-topgen $a |- topGen = { <. x , y >. | ( x e. Bases /\ y =
       { z | z (_ U. ( x i^i P~ z ) } ) } $.
  $}

  ${
    $d x y z J $.
    $( Express the predicate " ` J ` is a topology."  Note:  In the literature,
       a topology is often represented by a script letter T, which resembles
       the letter J.  This confusion has led to J being used by some authors -
       e.g. K. D. Joshi, _Introduction to General Topology_ (1983), p. 114 -
       and it is convenient for us since we later use ` T ` to represent linear
       transformations (operators).  (Contributed by Stefan Allan,
       3-Mar-2006.) $)
    istopg $p |- ( J e. A -> ( J e. Top <-> ( A. x ( x (_ J -> U. x e. J )
                  /\ A. x e. J A. y e. J ( x i^i y ) e. J ) ) ) $=
      ( vz cv wss cuni wcel wi wal cin wral wa ctop wceq sseq2 eleq2 imbi12d
      albidv raleqd anbi12d df-top elab2g ) AFZEFZGZUEHZUFIZJZAKZUEBFLZUFIZBUFM
      ZAUFMZNUEDGZUHDIZJZAKZULDIZBDMZADMZNEDOCUFDPZUKUSUOVBVCUJURAVCUGUPUIUQUFD
      UEQUFDUHRSTUNVAAUFDUMUTBUFDUFDULRUAUAUBEABUCUD $.
      $( [18-Jul-2006] $) $( [3-Mar-2006] $)

    $( Express the predicate " ` J ` is a topology," using "the intersection of
       the elements of any finite subcollection" instead of the intersection of
       any two elements. $)
    istop2g $p |- ( J e. A -> ( J e. Top <-> ( A. x ( x (_ J -> U. x e. J )
          /\ A. x ( ( x (_ J /\ x =/= (/) /\
          E. y e. om x ~~ y ) -> |^| x e. J ) ) ) ) $=
      ( wcel ctop cv wss cuni wi wal cin wral wa c0 wne cen wbr com wrex w3a
      cint istopg fiint anbi2i syl6bb ) DCEDFEAGZDHZUGIDEJAKZUGBGZLDEBDMADMZNUI
      UHUGOPUGUJQRBSTUAUGUBDEJAKZNABCDUCUKULUIABDUDUEUF $.
      $( [13-Apr-2007] $) $( [19-Jul-2006] $)
  $}

  ${
   $d x y A $.  $d y B $.  $d x y J $.
   $( The union of a subset of a topology is an open set.  (Contributed by
      Stefan Allan, 27-Feb-2006.) $)
    uniopnt $p |- ( ( J e. Top /\ A (_ J ) -> U. A e. J ) $=
      ( vx vy ctop wcel wss cuni cv wi wal cin wral wa istopg ibi pm3.26d cpw
      elpw2g biimpar wceq sseq1 unieq eleq1d imbi12d cla4gv syl com23 ex
      pm2.43d mpid imp ) BEFZABGZAHZBFZUMUNCIZBGZUQHZBFZJZCKZUPUMVBUQDILBFDBMCB
      MZUMVBVCNCDEBOPQUMUNVBUPJZUMUNUNVDJUMUNNZVBUNUPVEABRZFZVBUNUPJZJUMVGUNABE
      STVAVHCAVFUQAUAZURUNUTUPUQABUBVIUSUOBUQAUCUDUEUFUGUHUIUJUKUL $.
      $( [18-Jul-2006] $) $( [27-Feb-2006] $)

   $( The indexed union of a subset of a topology is an open set. $)
    iunopnt $p |- ( ( J e. Top /\ A. x e. A B e. J ) -> U_ x e. A B e. J ) $=
      ( vy ctop wcel wral wa ciun cv wceq wrex cab cuni dfiun2g adantl wss
      uniopnt uniiunlem ibi sylan2 eqeltrd ) DFGZCDGABHZIABCJZEKCLABMENZOZDUEUF
      UHLUDAEBCDPQUDUGDRZUHDGUEUGDSUEUIAEBCDDTUAUBUC $.
      $( [8-Oct-2006] $) $( [5-Oct-2006] $)

    $( The intersection of two open sets of a topology is also an open set. $)
    inopnt $p |- ( ( J e. Top /\ A e. J /\ B e. J ) -> ( A i^i B ) e. J ) $=
      ( vx vy ctop wcel cin wa cv wral wceq ineq1 eleq1d ineq2 rcla42v wss
      cuni wi wal istopg ibi pm3.27d syl5com 3impib ) CFGZACGZBCGZABHZCGZUGUHID
      JZEJZHZCGZECKDCKZUJUFUNUJAULHZCGDEABCCUKALUMUPCUKAULMNULBLUPUICULBAONPUFU
      KCQUKRCGSDTZUOUFUQUOIDEFCUAUBUCUDUE $.
      $( [18-Jul-2006] $) $( [17-Jul-2006] $)
  $}

  $( The empty set is an open subset of a topology.  (Contributed by Stefan
     Allan, 27-Feb-2006.) $)
  0opnt $p |- ( J e. Top -> (/) e. J ) $=
    ( ctop wcel c0 cuni wss 0ss uniopnt mpan2 uni0 syl5eqelr ) ABCZDEZADLDAFMAC
    AGDAHIJK $.
    $( [18-Jul-2006] $) $( [27-Feb-2006] $)

  ${
    1open.1 $e |- X = U. J $.
    $( The underlying set of a topology is an open set. $)
    topopn $p |- ( J e. Top -> X e. J ) $=
      ( ctop wcel cuni wss ssid uniopnt mpan2 syl5eqel ) ADEZAFZABLAAGMAEAHAAIJ
      CK $.
      $( [10-Oct-2006] $) $( [17-Jul-2006] $)

    $( A member of a topology is a subset of its underlying set. $)
    eltopss $p |- ( ( J e. Top /\ A e. J ) -> A (_ X ) $=
      ( wcel wss ctop cuni elssuni syl6ssr adantl ) ABEZACFBGELABHCABIDJK $.
      $( [16-Oct-2006] $) $( [12-Sep-2006] $)
  $}

  ${
    $d x y A $.  $d x y J $.
    $( Construct a topological space from a topology and vice-versa.  We
       say that ` A ` is a topology on ` U. A ` .  (This could be proved more
       efficiently from ~ istps , but the proof here does not require the Axiom
       of Regularity.) $)
    eltopsp $p |- ( <. U. J , J >. e. TopSp <-> J e. Top ) $=
      ( vy vx cuni cop ctps wcel cvv wa ctop wbr df-br wrel cv wceq copab
      relopab df-topsp releqi mpbir brrelexi sylbir uniexb sylibr jca uniexg
      elisset eqeq1 anbi2d eleq1 unieq eqeq2d anbi12d opelopabg eleq2i eqid
      biantru 3bitr4g pm5.21nii ) ADZAEZFGZUTHGZAHGZIZAJGZVBVCVDVBUTAFKVCUTAFLU
      TAFFMBNZJGZCNZVGDZOZIZCBPZMVLCBQFVMCBRZSTUAUBZVBVCVDVOAUCUDUEVFVCVDAJUFAJ
      UGUEVEVAVMGVFUTUTOZIZVBVFVLVHUTVJOZIVQCBUTAHHVIUTOVKVRVHVIUTVJUHUIVGAOZVH
      VFVRVPVGAJUJVSVJUTUTVGAUKULUMUNFVMVAVNUOVPVFUTUPUQURUS $.
      $( [14-Jul-2006] $) $( [8-Mar-2006] $)

    $( Existence implied by membership in a topological space.  This technical
       lemma, which can help eliminate unnecessary antecedents, uses the Axiom
       of Regularity (via ~ elirr ) along with definitional tricks. $)
    tpsex $p |- ( <. A , J >. e. TopSp -> ( A e. V /\ J e. V ) ) $=
      ( vy vx cop ctps wcel cvv wbr df-br wrel cv ctop cuni wceq wa copab
      relopab df-topsp releqi mpbir brrelexi sylbir wn elirr pm3.27 eqid
      topopn adantr eqeltrd mto jca elisset eqeq1 anbi2d eleq1 unieq eqeq2d
      anbi12d opelopabg eleq2i syl5bb pm5.21nii mtbir opprc2 eleq1d mtbiri a3i
      ) ABEZFGZAHGZBHGZVJABFIVKABFJABFFKCLZMGZDLZVMNZOZPZDCQZKVRDCRFVSDCSZTUAZU
      BUCVLVJVLUDZVJAAEZFGZWDAMGZAANZOZPZWHAAGAUEWHAWFAWEWGUFWEWFAGWGAWFWFUGUHU
      IUJUKWDVKVKPZWHWDVKVKWDAAFIVKAAFJAAFWAUBUCZWJULWEWIWGWEVKVKAMUMZWKULUIWIW
      CVSGWHWDVRVNAVPOZPWHDCAAHHVOAOVQWLVNVOAVPUNUOVMAOZVNWEWLWGVMAMUPWMVPWFAVM
      AUQURUSUTFVSWCVTVAVBVCVDWBVIWCFABVEVFVGVHUL $.
      $( [19-Jul-2006] $) $( [18-Jul-2006] $)

    $( Express the predicate "is a topological space." $)
    istps $p |- ( <. A , J >. e. TopSp <-> ( J e. Top /\ A = U. J ) ) $=
      ( vy vx cop ctps wcel cvv wa ctop cuni wceq tpsex pm3.27 uniexg adantr
      eqeltrd elisset jca cv copab eqeq1 anbi2d eleq1 unieq eqeq2d anbi12d
      opelopabg df-topsp eleq2i syl5bb pm5.21nii ) ABEZFGZAHGZBHGZIZBJGZABKZLZI
      ZABMVAUOUPVAAUSHURUTNURUSHGUTBJOPQURUPUTBJRPSUQUMCTZJGZDTZVBKZLZIZDCUAZGV
      AUNVGVCAVELZIVADCABHHVDALVFVIVCVDAVEUBUCVBBLZVCURVIUTVBBJUDVJVEUSAVBBUEUF
      UGUHFVHUMDCUIUJUKUL $.
      $( [20-Jul-2006] $) $( [18-Jul-2006] $)

    $( Express the predicate "is a topological space." $)
    istps2 $p |- ( <. A , J >. e. TopSp <-> ( ( J e. Top /\ J (_ P~ A )
                  /\ ( (/) e. J /\ A e. J ) ) ) $=
      ( ctop wcel cuni wceq wa cpw wss c0 cop ctps eqimss adantl 0opnt adantr
      pm3.27 eqid topopn eqeltrrd jca ex unissel adantrl impbid1 eqcom sspwuni
      anbi1i 3bitr4g pm5.32i istps anass 3bitr4 ) BCDZABEZFZGUNBAHIZJBDZABDZGZG
      ZGABKLDUNUQGUTGUNUPVAUNUOAFZUOAIZUTGZUPVAUNVBVDUNVBVDUNVBGZVCUTVBVCUNUOAM
      NVEURUSUNURVBBOPVEUOABUNVBQUNUOBDVBBUOUORSPTUAUAUBVCUSVBURBAUCUDUEAUOUFUQ
      VCUTBAUGUHUIUJABUKUNUQUTULUM $.
      $( [28-Jul-2006] $) $( [18-Jul-2006] $)

    $( A standard textbook definition of a topological space. $)
    istps3 $p |- ( <. A , J >. e. TopSp <-> ( ( J (_ P~ A /\ (/) e. J /\
                 A e. J ) /\ ( A. x ( x (_ J -> U. x e. J ) /\
                 A. x e. J A. y e. J ( x i^i y ) e. J ) ) ) $=
      ( cop ctps wcel ctop cpw wss wa c0 w3a cv cuni wi wal cin wral istps2
      anass ancom 3anass anbi1i cvv wb ssexg pwexg sylan2 3adant2 istopg syl
      pm5.32i 3bitr2 3bitr ) CDEFGDHGZDCIZJZKLDGZCDGZKZKUPURVAKZKZURUSUTMZANZDJ
      VEODGPAQVEBNRDGBDSADSKZKZCDTUPURVAUAVCVBUPKVDUPKVGUPVBUBVDVBUPURUSUTUCUDV
      DUPVFVDDUEGZUPVFUFURUTVHUSURUQUEGVHUTDUQUEUGCDUHUIUJABUEDUKULUMUNUO $.
      $( [3-Aug-2006] $) $( [18-Jul-2006] $)

    $( A standard textbook definition of a topological space. $)
    istps4 $p |- ( <. A , J >. e. TopSp <-> ( ( J (_ P~ A /\ (/) e. J /\
                 A e. J ) /\ ( A. x ( x (_ J -> U. x e. J ) /\
                A. x ( ( x (_ J /\ x =/= (/) /\
          E. y e. om x ~~ y ) -> |^| x e. J ) ) ) ) $=
      ( cop ctps wcel cpw wss c0 w3a cv cuni wi wal cin wral wa wne cen wbr
      com wrex cint istps3 fiint anbi2i bitr ) CDEFGDCHIJDGCDGKZALZDIZUJMDGNAOZ
      UJBLZPDGBDQADQZRZRUIULUKUJJSUJUMTUABUBUCKUJUDDGNAOZRZRABCDUEUOUQUIUNUPULA
      BDUFUGUGUH $.
      $( [26-Mar-2007] $) $( [19-Jul-2006] $)

    $( A standard textbook definition of a topological space ` <. A , J >. ` :
       a topology on ` A ` is a collection ` J ` of subsets of ` A ` such that
       ` (/) ` and ` A ` are in ` J ` and that is closed under union and finite
       intersection.  Definition of topological space in [Munkres] p. 76. $)
    istps5 $p |- ( <. A , J >. e. TopSp <-> ( ( A. x e. J x (_ A /\ (/) e. J /\
                 A e. J ) /\ ( A. x ( x (_ J -> U. x e. J ) /\
                A. x ( ( x (_ J /\ x =/= (/) /\
          E. y e. om x ~~ y ) -> |^| x e. J ) ) ) ) $=
      ( cop ctps wcel cpw wss c0 w3a cv cuni wi wal wne cen wbr com wrex cint
      wa wral istps4 sspwuni unissb bitr 3anbi1i anbi1i ) CDEFGDCHIZJDGZCDGZKZA
      LZDIZUNMDGNAOUOUNJPUNBLQRBSTKUNUADGNAOUBZUBUNCIADUCZUKULKZUPUBABCDUDUMURU
      PUJUQUKULUJDMCIUQDCUEADCUFUGUHUIUG $.
      $( [27-Mar-2007] $) $( [19-Jul-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Bases for topologies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w x y z B $.
    $( Express the predicate " ` B ` is a basis for a topology." $)
    isbasisg $p |- ( B e. C -> ( B e. Bases <->
          A. x e. B A. y e. B ( x i^i y ) (_ U. ( B i^i P~ ( x i^i y ) ) ) ) $=
      ( vz cv cin cpw cuni wss wral ctb wceq ineq1 unieqd sseq2d raleqd
      df-bases elab2g ) AFBFGZEFZTHZGZIZJZBUAKZAUAKTCUBGZIZJZBCKZACKECLDUFUJAUA
      CUEUIBUACUACMZUDUHTUKUCUGUACUBNOPQQEABRS $.
      $( [18-Jul-2006] $) $( [17-Jul-2006] $)

    $( Express the predicate " ` B ` is a basis for a topology." $)
    isbasis2g $p |- ( B e. C -> ( B e. Bases <->
           A. x e. B A. y e. B A. z e. ( x i^i y )
              E. w e. B ( z e. w /\ w (_ ( x i^i y ) ) ) ) $=
      ( wcel ctb cv cin cpw cuni wss wral wa wrex isbasisg dfss3 wex elin
      df-pw abeq2i anbi2i bitr an12 exbii eluni df-rex 3bitr4 ralbii 2ralbii
      syl6bb ) EFGEHGAIBIJZEUMKZJZLZMZBENAENCIZDIZGZUSUMMZOZDEPZCUMNZBENAENABEF
      QUQVDABEEUQURUPGZCUMNVDCUMUPRVEVCCUMUTUSUOGZOZDSUSEGZVBOZDSVEVCVGVIDVGUTV
      HVAOZOVIVFVJUTVFVHUSUNGZOVJUSEUNTVKVAVHVADUNDUMUAUBUCUDUCUTVHVAUEUDUFDURU
      OUGVBDEUHUIUJUDUKUL $.
      $( [18-Jul-2006] $) $( [17-Jul-2006] $)

    $( Express the predicate " ` B ` is a basis for a topology."  Definition of
       basis in [Munkres] p. 78. $)
    isbasis3g $p |- ( B e. C -> ( B e. Bases <-> ( A. x e. B x (_ U. B /\
     A. x e. U. B E. y e. B x e. y /\ A. x e. B A. y e. B A. z e. ( x i^i y )
     E. w e. B ( z e. w /\ w (_ ( x i^i y ) ) ) ) ) $=
      ( wcel ctb cv cin wss wa wrex wral cuni w3a isbasis2g elssuni rgen
      eluni2 biimp pm3.2i biantrur df-3an bitr4 syl6bb ) EFGEHGCIDIZGUGAIZBIZJZ
      KLDEMCUJNBENAENZUHEOZKZAENZUHUIGBEMZAULNZUKPZABCDEFQUKUNUPLZUKLUQURUKUNUP
      UMAEUHERSUOAULUHULGUOBUHETUASUBUCUNUPUKUDUEUF $.
      $( [18-Jul-2006] $) $( [17-Jul-2006] $)
  $}

  ${
    $d w x A $.  $d w x y z B $.  $d w x y z C $.  $d w x y z D $.
    $( Property of a basis. $)
    basis1t $p |- ( ( B e. Bases /\ C e. B /\ D e. B ) ->
                    ( C i^i D ) (_  U. ( B i^i P~ ( C i^i D ) ) ) $=
      ( vx vy ctb wcel cin cpw cuni wss wa cv wral wceq ineq1 pweq syl ineq2d
      unieqd sseq12d ineq2 rcla42v isbasisg ibi syl5com 3impib ) AFGZBAGZCAGZBC
      HZAUKIZHZJZKZUIUJLDMZEMZHZAURIZHZJZKZEANDANZUOUHVBUOBUQHZAVDIZHZJZKDEBCAA
      UPBOZURVDVAVGUPBUQPZVHUTVFVHUSVEAVHURVDOUSVEOVIURVDQRSTUAUQCOZVDUKVGUNUQC
      BUBZVJVFUMVJVEULAVJVDUKOVEULOVKVDUKQRSTUAUCUHVCDEAFUDUEUFUG $.
      $( [21-Jul-2006] $) $( [16-Jul-2006] $)

    $( Property of a basis. $)
    basis2t $p |- ( ( ( B e. Bases /\ C e. B ) /\ ( D e. B /\
          A e. ( C i^i D ) ) ) -> E. x e. B ( A e. x /\ x (_ ( C i^i D ) ) ) $=
      ( vw vy vz ctb wcel cin cv wss wa wrex wi wral isbasis2g ibi wceq wb
      ineq1 sseq2 anbi2d rexbidv raleqd syl ineq2 rcla42v eleq1 anbi1d rcla4cv
      syl6com exp3a imp43 ) CIJZDCJZECJZBDEKZJZBALZJZVAUSMZNZACOZUPUQURUTVEPZUP
      FLZVAJZVAGLZHLZKZMZNZACOZFVKQZHCQGCQZUQURNZVFPUPVPGHFACIRSVQVPVHVCNZACOZF
      USQZVFVOVTVHVADVJKZMZNZACOZFWAQZGHDECCVIDTVKWATZVOWEUAVIDVJUBVNWDFVKWAWFV
      MWCACWFVLWBVHVKWAVAUCUDUEUFUGVJETWAUSTZWEVTUAVJEDUHWDVSFWAUSWGWCVRACWGWBV
      CVHWAUSVAUCUDUEUFUGUIVSVEFBUSVGBTZVRVDACWHVHVBVCVGBVAUJUKUEULUMUGUNUO $.
      $( [24-Jul-2006] $) $( [17-Jul-2006] $)
  $}

  ${
    $d y x z A $.  $d t u v w x y z B $.  $d x y C $.  $d w x y z J $.
    $( The topology generated by a basis. $)
    tgvalt $p |- ( B e. Bases -> ( topGen ` B ) =
                  { x | x (_ U. ( B i^i P~ x ) } ) $=
      ( vy vz ctb wcel cv cpw cin cuni wss cab cvv ctg cfv wceq wa uniexg
      abssexg uniin sstr mpan2 ssin sylibr ss2abi ssexg mpan 3syl ineq1 unieqd
      sseq2d abbidv df-topgen fvopab4g mpdan ) BEFZAGZBUQHZIZJZKZALZMFZBNOVBPUP
      BJZMFUQVDKUQURJZKZQZALZMFZVCBERVFAVDMSVBVHKVIVCVAVGAVAUQVDVEIZKZVGVAUTVJK
      VKBURTUQUTVJUAUBUQVDVEUCUDUEVBVHMUFUGUHCDBUQCGZURIZJZKZALVBEMNVLBPZVOVAAV
      PVNUTUQVPVMUSVLBURUIUJUKULCDAUMUNUO $.
      $( [19-Jul-2006] $) $( [16-Jul-2006] $)

    $( Definition of a topology generated by a basis in [Munkres] p. 78.
       Later we show (in ~ tgclt ) that ` ( topGen `` B ) ` is indeed a
       topology (on ` U. B ` ; see ~ unitgt ). $)
    tgval2t $p |- ( B e. Bases -> ( topGen ` B ) =
         { x | ( x (_ U. B /\ A. y e. x E. z e. B ( y e. z /\ z (_ x ) ) } ) $=
      ( ctb wcel ctg cfv cv cpw cin cuni wss cab wa wrex wral tgvalt dfss3
      inss1 uniss ax-mp sseli pm4.71ri ralbii r19.26 3bitr wex elin anbi2i
      an12 bitr exbii eluni df-rex 3bitr4 visset elpw rexbii bitr2 anbi12i
      bitr4 abbii syl6eq ) DEFDGHAIZDVEJZKZLZMZANVEDLZMZBIZCIZFZVMVEMZOZCDPZBVE
      QZOZANADRVIVSAVIVLVJFZBVEQZVLVHFZBVEQZOZVSVIWCVTWBOZBVEQWDBVEVHSWBWEBVEWB
      VTVHVJVLVGDMVHVJMDVFTVGDUAUBUCUDUEVTWBBVEUFUGVKWAVRWCBVEVJSVQWBBVEWBVNVMV
      FFZOZCDPZVQVNVMVGFZOZCUHVMDFZWGOZCUHWBWHWJWLCWJVNWKWFOZOWLWIWMVNVMDVFUIUJ
      VNWKWFUKULUMCVLVGUNWGCDUOUPWGVPCDWFVOVNVMVECUQURUJUSUTUEVAVBVCVD $.
      $( [19-Jul-2006] $) $( [15-Jul-2006] $)

    $( Membership in a topology generated by a basis. $)
    eltgt $p |- ( B e. Bases -> ( A e. ( topGen ` B ) <->
           A (_ U. ( B i^i P~ A ) ) ) $=
      ( vx ctb wcel ctg cfv cv cpw cin cuni wss cab tgvalt eleq2d cvv elisset
      adantl ssexg inex1g uniexg syl sylan2 ancoms wceq id pweq ineq2d unieqd
      sseq12d elabg pm5.21nd bitrd ) BDEZABFGZEACHZBUPIZJZKZLZCMZEZABAIZJZKZLZU
      NUOVAACBNOUNVBVFAPEZVBVGUNAVAQRVFUNVGVFVEPEZVGUNAVEPSUNVDPEVHBVCDTVDPUAUB
      UCUDUTVFCAPUPAUEZUPAUSVEVIUFVIURVDVIUQVCBUPAUGUHUIUJUKULUM $.
      $( [21-Jul-2006] $) $( [16-Jul-2006] $)

    $( Membership in a topology generated by a basis. $)
    eltg2t $p |- ( B e. Bases -> ( A e. ( topGen ` B ) <->
           ( A (_ U. B /\ A. x e. A E. y e. B ( x e. y /\ y (_ A ) ) ) ) $=
      ( vz ctb wcel ctg cfv cv cuni wss wa wrex wral cab tgval2t eleq2d cvv
      elisset adantl ssexg uniexg sylan2 ancoms adantrr wceq sseq1 sseq2
      anbi2d rexbidv raleqd anbi12d elabg pm5.21nd bitrd ) DFGZCDHIZGCEJZDKZLZA
      JBJZGZVBUSLZMZBDNZAUSOZMZEPZGZCUTLZVCVBCLZMZBDNZACOZMZUQURVICEABDQRUQVJVP
      CSGZVJVQUQCVITUAUQVKVQVOVKUQVQVKUTSGVQUQCUTSUBDFUCUDUEUFVHVPECSUSCUGZVAVK
      VGVOUSCUTUHVFVNAUSCVRVEVMBDVRVDVLVCUSCVBUIUJUKULUMUNUOUP $.
      $( [25-Jul-2006] $) $( [15-Jul-2006] $)

    $( Property of a member of a topology generated by a basis. $)
    tg1t $p |- ( ( B e. Bases /\ A e. ( topGen ` B ) ) ->
              A (_ U. B ) $=
      ( vx vy ctb wcel ctg cfv cuni wss cv wa wrex wral eltg2t pm3.26bda ) BEFA
      BGHFABIJCKDKZFQAJLDBMCANCDABOP $.
      $( [26-Jul-2006] $) $( [20-Jul-2006] $)

    $( Property of a member of a topology generated by a basis. $)
    tg2t $p |- ( ( B e. Bases /\ A e. ( topGen ` B ) /\ C e. A ) ->
               E. x e. B ( C e. x /\ x (_ A ) ) $=
      ( vy ctb wcel ctg cfv cv wss wa wrex cuni wral wi eltg2t wceq eleq1
      anbi1d rexbidv rcla4cv adantl syl6bi 3imp ) CFGZBCHIGZDBGZDAJZGZUIBKZLZAC
      MZUFUGBCNKZEJZUIGZUKLZACMZEBOZLUHUMPZEABCQUSUTUNURUMEDBUODRZUQULACVAUPUJU
      KUODUISTUAUBUCUDUE $.
      $( [26-Jul-2006] $) $( [20-Jul-2006] $)

    $( A member of a basis is a subset of the topology it generates. $)
    bastgt $p |- ( B e. Bases -> B (_ ( topGen ` B ) ) $=
      ( vx ctb wcel ctg cfv cv cpw cin cuni wss wa basis1t 3anidm23 inidm wceq
      pweq ax-mp ineq2i unieqi 3sstr3g ex eltgt sylibrd ssrdv ) ACDZBAAEFZUFBGZ
      ADZUHAUHHZIZJZKZUHUGDUFUIUMUFUILUHUHIZAUNHZIZJZUHULUFUIUNUQKAUHUHMNUHOZUP
      UKUOUJAUNUHPUOUJPURUNUHQRSTUAUBUHAUCUDUE $.
      $( [23-Jul-2006] $) $( [16-Jul-2006] $)

    $( The topology generated by a basis ` B ` is a topology on ` U. B ` .
       Importantly, this theorem means that we don't have to specify separately
       the base set for the topological space generated by a basis.  In other
       words, any member of the class ` Bases ` completely specifies the basis
       it corresponds to. $)
    unitgt $p |- ( B e. Bases -> U. ( topGen ` B ) = U. B ) $=
      ( vx vy ctb wcel ctg cfv cuni cv wrex cpw cin wss wi eltgt inss1 uniss
      ax-mp sstr mpan2 sseld syl6bi r19.23adv eluni2 syl5ib bastgt syl impbid
      eqrdv ) ADEZBAFGZHZAHZUJBIZULEZUNUMEZUJUNCIZEZCUKJUPUOUJURUPCUKUJUQUKEUQA
      UQKZLZHZMZURUPNUQAOVBUQUMUNVBVAUMMZUQUMMUTAMVCAUSPUTAQRUQVAUMSTUAUBUCCUNU
      KUDUEUJUMULUNUJAUKMUMULMAUFAUKQUGUAUHUI $.
      $( [24-Jul-2006] $) $( [16-Jul-2006] $)

    $( Show that a basis generates a topology.  Remark in [Munkres] p. 79. $)
    tgclt $p |- ( B e. Bases -> ( topGen ` B ) e. Top ) $=
      ( vu vv vx vy vt vz vw ctb wcel cv ctg cfv wss cuni wi wal cin wral wa
      ctop wrex uniss adantl wceq unitgt adantr sseqtrd eltg2t pm3.27 syl6bi
      ra4 syl6 imp31 an1rs ssel2 sylan2 an42s sstr2 elssuni syl5com anim2d
      r19.22sdv ad2antrl mpd exp32 r19.23adv eluni2 syl5ib r19.21aiv jca ex
      sylibrd 19.21aiv tg1t ssinss1 syl adantrr pm3.27bda im2anan9 elin reeanv
      3imtr4g anandis basis2t adantllr adantrrr com12 ad2antll biimpr ss2in
      anim12i an4s sylanr2 r19.23adva a2d imp syldan r19.21aivv cvv wb fvex
      istopg ax-mp sylibr ) AIJZBKZALMZNZXGOZXHJZPZBQZXGCKZRZXHJZCXHSBXHSZTZXHU
      AJZXFXMXQXFXLBXFXIXJAOZNZDKZEKZJZYCXJNZTZEAUBZDXJSZTZXKXFXIYIXFXITZYAYHYJ
      XJXHOZXTXIXJYKNXFXGXHUCUDXFYKXTUEXIAUFUGUHYJYGDXJYJYBFKZJZFXGUBYGYBXJJYJY
      MYGFXGYJYLXGJZYMYGYJYNYMTTYDYCYLNZTZEAUBZYGXFYMXIYNYQXFYMTYLXHJZYQXIYNTXF
      YRYMYQXFYRYMYQXFYRYQDYLSZYMYQPXFYRYLXTNZYSTYSDEYLAUIYTYSUJUKYQDYLULUMUNUO
      XGXHYLUPUQURYNYQYGPYJYMYNYPYFEAYNYOYEYDYOYLXJNYEYNYCYLXJUSYLXGUTVAVBVCVDV
      EVFVGFYBXGVHVIVJVKVLDEXJAUIVMVNXFXPBCXHXHXFXGXHJZXNXHJZTZXOXTNZYMYLXONZTZ
      FAUBZDXOSZTZXPXFUUCUUIXFUUCTZUUDUUHXFUUAUUDUUBXFUUATZXGXTNZUUDXGAVOXGXNXT
      VPVQVRUUJUUGDXOXFUUCYBXOJZYBGKZJZUUNXGNZTZYBHKZJZUURXNNZTZTZHAUBZGAUBZPZU
      UMUUGPZXFUUAUUBUVEUUKXFUUBTZTYBXGJZYBXNJZTUUQGAUBZUVAHAUBZTUUMUVDUUKUVHUV
      JUVGUVIUVKUUKUVJDXGSZUVHUVJPXFUUAUULUVLDGXGAUIVSUVJDXGULVQUVGUVKDXNSZUVIU
      VKPXFUUBXNXTNUVMDHXNAUIVSUVKDXNULVQVTYBXGXNWAUUQUVAGHAAWBWCWDXFUVEUVFXFUU
      MUVDUUGXFUUMUVDUUGPXFUUMTZUVCUUGGAUVNUUNAJZTZUVBUUGHAUVPUURAJZUVBUUGUVPUV
      QYBUUNUURRZJZUVRXONZTZUUGUVBUVPUVQUWATTYMYLUVRNZTZFAUBZUUGUVPUVQUVSUWDUVT
      XFUVOUVQUVSTUWDUUMFYBAUUNUURWEWFWGUWAUWDUUGPZUVPUVQUVTUWEUVSUVTUWCUUFFAUV
      TUWBUUEYMUWBUVTUUEYLUVRXOUSWHVBVCUDWIVEUUOUUSUUPUUTUWAUUOUUSTZUVSUUPUUTTU
      VTUVSUWFYBUUNUURWAWJUUNXGUURXNWKWLWMWNVFVGWOVLWPWQWRVJVKVLDFXOAUIVMWSVKXH
      WTJXSXRXAALXBBCWTXHXCXDXE $.
      $( [25-Jul-2006] $) $( [17-Jul-2006] $)

    $( Alternate expression for the topology generated by a basis.  Lemma 2.1
       of [Munkres] p. 80. $)
    tgval3t $p |- ( B e. Bases ->
               ( topGen ` B ) = { x | E. y ( y (_ B /\ x = U. y ) } ) $=
      ( vz vw ctb wcel cv wss cuni wceq wa wex ctg cfv cab wrex wral wi eltg2t
      pm3.27bda elequ1 anbi1d rexbidv rcla4cv df-rex an12 ancom anbi2i bitr
      exbii syl6ib syl ssel impcom adantrr 19.23aiv impbid1 eluniab syl6bbr
      eqrdv pm3.27 abssi jctil cvv visset abssexg ax-mp hbab1 ax-17 hbss hbuni
      hbeq hban sseq1 unieq eqeq2d anbi12d cla4egf ex simprr ctop uniopnt
      tgclt adantr sstr bastgt sylan2 ancoms sylanc eqeltrd 19.23adv impbid
      abbi2dv ) CFGZBHZCIZAHZWPJZKZLZBMZACNOZWOWRXCGZXBWOXDXBWOXDLZWPWRIZWPCGZL
      ZBPZCIZWRXIJZKZLZXBXEXLXJXEDWRXKXEDHZWRGZXNWPGZXHLZBMZXNXKGXEXOXRXEEHZWPG
      ZXFLZBCQZEWRRZXOXRSWOXDWRCJIYCEBWRCTUAYCXOXPXFLZBCQZXRYBYEEXNWRXSXNKZYAYD
      BCYFXTXPXFEDBUBUCUDUEYEXGYDLZBMXRYDBCUFYGXQBYGXPXGXFLZLXQXGXPXFUGYHXHXPXG
      XFUHUIUJUKUJULUMXQXOBXPXFXOXGXFXPXOWPWRXNUNUOUPUQURXHBXNUSUTVAXHBCXFXGVBV
      CVDXIVEGZXMXBSWRVEGYIAVFXGBWRVEVGVHXAXMBDXIVEXHBDVIZXJXLBBDXICYJXNCGBVJVK
      BDDWRXKXOBVJBDXIYJVLVMVNWPXIKZWQXJWTXLWPXICVOYKWSXKWRWPXIVPVQVRVSVHUMVTWO
      XAXDBWOXAXDWOXALWRWSXCWOWQWTWAWOWQWSXCGZWTXCWBGZWPXCIZYLWOWQLWPXCWCWOYMWQ
      CWDWEWQWOYNWQCXCIYNWOWPCXCWFCWGWHWIWJUPWKVTWLWMWN $.
      $( [25-Jul-2006] $) $( [17-Jul-2006] $)

    $( Membership in a topology generated by a basis. $)
    eltg3t $p |- ( B e. Bases -> ( A e. ( topGen ` B ) <->
           E. x ( x (_ B /\ A = U. x ) ) ) $=
      ( vy ctb wcel ctg cfv cv wss cuni wceq wa wex cab tgval3t eleq2d cvv
      visset uniex eleq1 mpbiri adantl 19.23aiv eqeq1 anbi2d exbidv elab3
      syl6bb ) CEFZBCGHZFBAIZCJZDIZULKZLZMZANZDOZFUMBUOLZMZANZUJUKUSBDACPQURVBD
      BVABRFZAUTVCUMUTVCUORFULASTBUORUAUBUCUDUNBLZUQVAAVDUPUTUMUNBUOUEUFUGUHUI
      $.
      $( [26-Jul-2006] $) $( [15-Jul-2006] $)

    $( A topology is its own basis. $)
    topbast $p |- ( J e. Top -> J e. Bases ) $=
      ( vz vw vx vy ctop wcel ctb cv cin wss wa wrex wral wceq eleq2 sseq1
      anbi12d rcla4ev inopnt 3expb adantr pm3.27 ssid jctir sylanc exp31
      r19.21adv r19.21aivv isbasis2g mpbird ) AFGZAHGBIZCIZGZUNDIZEIZJZKZLZCAMZ
      BURNZEANDANULVBDEAAULUPAGZUQAGZLZVABURULVEUMURGZVAURAGZVFURURKZLZVAULVELZ
      VFLZUTVICURAUNUROUOVFUSVHUNURUMPUNURURQRSVJVGVFULVCVDVGUPUQATUAUBVKVFVHVJ
      VFUCURUDUEUFUGUHUIDEBCAFUJUK $.
      $( [22-Jul-2006] $) $( [17-Jul-2006] $)

    $( A topology is its own basis. $)
    tgtopt $p |- ( J e. Top -> ( topGen ` J ) = J ) $=
      ( vx vy ctop wcel ctg cfv cv wss cuni wceq wa wex ctb wb topbast eltg3t
      syl pm3.27 uniopnt adantr eqeltrd anasss ex 19.23adv sylbid ssrdv bastgt
      eqssd ) ADEZAFGZAUJBUKAUJBHZUKEZCHZAIZULUNJZKZLZCMZULAEZUJANEZUMUSOAPZCUL
      AQRUJURUTCUJURUTUJUOUQUTUJUOLZUQLULUPAVCUQSVCUPAEUQUNATUAUBUCUDUEUFUGUJVA
      AUKIVBAUHRUI $.
      $( [27-Jul-2006] $) $( [18-Jul-2006] $)

    $( Membership in a topology, expressed without quantifiers. $)
    eltopt $p |- ( J e. Top -> ( A e. J <-> A (_ U. ( J i^i P~ A ) ) ) $=
      ( ctop wcel ctg cfv cpw cin cuni wss tgtopt eleq2d ctb wb topbast eltgt
      syl bitr3d ) BCDZABEFZDZABDABAGHIJZSTBABKLSBMDUAUBNBOABPQR $.
      $( [2-Jan-2007] $) $( [19-Jul-2006] $)

    $( Membership in a topology. $)
    eltop2t $p |- ( J e. Top -> ( A e. J <->
               ( A (_ U. J /\ A. x e. A E. y e. J ( x e. y /\ y (_ A ) ) ) ) $=
      ( ctop wcel ctg cfv cuni wss cv wa wrex wral tgtopt eleq2d ctb wb
      topbast eltg2t syl bitr3d ) DEFZCDGHZFZCDFCDIJAKBKZFUFCJLBDMACNLZUCUDDCDO
      PUCDQFUEUGRDSABCDTUAUB $.
      $( [23-Aug-2007] $) $( [19-Jul-2006] $)

    $( Membership in a topology. $)
    eltop3t $p |- ( J e. Top -> ( A e. J <-> E. x ( x (_ J /\ A = U. x ) ) ) $=
      ( ctop wcel ctg cfv cv wss cuni wceq wa wex tgtopt eleq2d ctb wb topbast
      eltg3t syl bitr3d ) CDEZBCFGZEZBCEAHZCIBUEJKLAMZUBUCCBCNOUBCPEUDUFQCRABCS
      TUA $.
      $( [29-Mar-2008] $) $( [19-Jul-2006] $)
  $}

  $( The topology generator function is idempotent. $)
  tgidmt $p |- ( B e. Bases ->
               ( topGen ` ( topGen ` B ) ) = ( topGen ` B ) ) $=
    ( ctb wcel ctg cfv ctop wceq tgclt tgtopt syl ) ABCADEZFCKDEKGAHKIJ $.
    $( [9-Jan-2007] $) $( [18-Jul-2006] $)

  $( Two ways to express that a basis is a topology. $)
  bastopt $p |- ( B e. Bases -> ( B e. Top <-> ( topGen ` B ) = B ) ) $=
    ( ctb wcel ctop ctg cfv wceq tgtopt wa pm3.27 tgclt adantr eqeltrrd ex
    impbid2 ) ABCZADCZAEFZAGZAHPSQPSIRADPSJPRDCSAKLMNO $.
    $( [14-Aug-2007] $) $( [18-Jul-2006] $)

  $( The topology generation function is one-to-one when applied to completed
     topologies. $)
  tgtop11t $p |- ( ( J e. Top /\ K e. Top /\ ( topGen ` J ) = ( topGen ` K ) )
                 -> J = K ) $=
    ( ctop wcel ctg cfv wceq w3a 3simp3 tgtopt 3ad2ant1 3ad2ant2 3eqtr3d ) ACDZ
    BCDZAEFZBEFZGZHPQABNORINOPAGRAJKONQBGRBJLM $.
    $( [11-Jun-2007] $) $( [18-Jul-2006] $)

  $( The singleton of the empty set is the only topology possible for an empty
     underlying set. $)
  0top $p |- ( J e. Top -> ( U. J = (/) <-> J = { (/) } ) ) $=
    ( ctop wcel c0 csn wceq wo cuni olc wn 0opnt n0i syl pm2.21d idd jaod
    impbid2 wss uni0b sssn bitr2 syl6rbb ) ABCZADEZFZADFZUEGZAHDFZUCUEUGUEUFIUC
    UFUEUEUCUFUEUCDACUFJAKADLMNUCUEOPQUHAUDRUGASADTUAUB $.
    $( [24-Mar-2008] $) $( [9-Sep-2006] $)

  ${
    $d u v w x y z B $.  $d u v w x y z C $.  $d v w x y z J $.
    $( Subset relation for generated topologies. $)
    tgsst $p |- ( ( B e. Bases /\ C e. Bases /\ B (_ C ) ->
               ( topGen ` B ) (_ ( topGen ` C ) ) $=
      ( vx ctb wcel wss w3a ctg cfv cv cpw cin cuni wi sstr2 ssrin uniss syl
      syl5com 3ad2ant3 wb eltgt 3ad2ant1 3ad2ant2 3imtr4d ssrdv ) ADEZBDEZABFZG
      ZCAHIZBHIZUJCJZAUMKZLZMZFZUMBUNLZMZFZUMUKEZUMULEZUIUGUQUTNUHUQUPUSFZUTUIU
      MUPUSOUIUOURFVCABUNPUOURQRSTUGUHVAUQUAUIUMAUBUCUHUGVBUTUAUIUMBUBUDUEUF $.
      $( [10-May-2007] $) $( [7-May-2007] $)

    $( A criterion for determining whether one topology is finer than another,
       based on a comparison of their bases.  Lemma 2.2 of [Munkres] p. 80. $)
    tgss2t $p |- ( ( B e. Bases /\ C e. Bases /\ U. B = U. C ) ->
                    ( ( topGen ` B ) (_ ( topGen ` C ) <->
     A. x e. U. B A. y e. B ( x e. y -> E. z e. C ( x e. z /\ z (_ y ) ) ) ) $=
      ( vu vw vv ctb wcel cuni wceq w3a ctg cfv wss cv wa wrex wi wral tg2t
      pm3.27 ad2antrr sstr bastgt sylan sseld imp adantllr adantrl adantrr
      simprr syl3anc exp43 r19.21advv 3adant3 eltg2t tg1t adantll simpll
      sseqtrd elssuni elequ1 anbi1d rexbidv imbi12d elequ2 sseq2 anbi2d
      rcla42v ex com4l imp32 adantrrr mpd an1s sstr2 com12 anim2d r19.22sdv
      adantl ad2antll exp32 r19.23adv 3expa syl5 exp4c imp42 r19.21aiva jca
      syl5bir 3imp 3comr exp3a ssrdv impbid ) DIJZEIJZDKZEKZLZMZDNOZENOZPZAQZBQ
      ZJZXGCQZJZXJXHPZRZCESZTZBDUAAWTUAZWRWSXFXPTXBWRWSRZXFXOABWTDXQXFXGWTJZXHD
      JZRZXIXNWSXHXEJZXIXNXQXFRZXTXIRZRCXHEXGUBXQWSXFYCWRWSUCUDYBXTYAXIYBXSYAXR
      WRXFXSYAWSWRXFRZXSYAYDDXEXHDXDPXFDXEPWRDXDXEUEDUFUGUHUIUJUKULYBXTXIUMUNUO
      UPUQXCXPXFXCXPRFXDXEXCXPFQZXDJZYEXEJZTXCXPYFYGWSXBWRXPYFRZYGTZWSXBWRYIWSX
      BWRYHYGWSYGYEXAPZGQZXJJZXJYEPZRZCESZGYEUAZRXBWRRZYHRZGCYEEURYRYJYPYQYFYJX
      PYQYFRYEWTXAWRYFYEWTPXBYEDUSUTXBWRYFVAVBUKWRYHYPXBWRYHRYOGYEWRXPYFYKYEJZY
      OXPWRYFYSYOTTXPWRYFYSYOXPYKHQZJZYTYEPZRZHDSZYOWRYFRYSRXPUUCYOHDXPYTDJZUUC
      YOXPUUEUUCRRYLXJYTPZRZCESZYOUUEXPUUCUUHUUEXPUUCRRYKWTJZUUHUUEUUCUUIXPUUEU
      UAUUIUUBUUEUUAUUIUUEYTWTYKYTDVCUHUIULUKUUEXPUUAUUIUUHTZUUBUUEXPUUAUUJUUIU
      UEXPUUAUUHUUIUUEXPUUAUUHTZTXOUUKYKXHJZYLXLRZCESZTABYKYTWTDXGYKLZXIUULXNUU
      NAGBVDUUOXMUUMCEUUOXKYLXLAGCVDVEVFVGXHYTLZUULUUAUUNUUHBHGVHUUPUUMUUGCEUUP
      XLUUFYLXHYTXJVIVJVFVGVKVLVMVNVOVPVQUUCUUHYOTZXPUUEUUBUUQUUAUUBUUGYNCEUUBU
      UFYMYLUUFUUBYMXJYTYEVRVSVTWAWBWCVPWDWEWRYFYSUUDHYEDYKUBWFWGWHVSWIWJUTWKWL
      WHWMWNWOUIWPVLWQ $.
      $( [27-Jul-2006] $) $( [20-Jul-2006] $)

    $( A criterion for determining whether one topology is finer than
       another.  Lemma 2.2 of [Munkres] p. 80 using abbreviations. $)
    tgss3t $p |- ( ( B e. Bases /\ C e. Bases /\ U. B = U. C ) ->
                    ( ( topGen ` B ) (_ ( topGen ` C ) <->
                  A. x e. B ( U. B i^i x ) (_ U. ( C i^i P~ x ) ) ) $=
      ( vy vz ctb wcel cuni wceq w3a ctg cfv wss cv wa wrex wi wral cin cpw
      tgss2t ralcom wal elin wex anass anbi1i ancom bitr3 visset elpw anbi2i
      bitr 3bitr3r exbii df-rex eluni 3bitr4r imbi12i impexp albii dfss2
      df-ral ralbii syl6bb ) BFGCFGBHZCHIJBKLCKLMDNZANZGZVGENZGZVJVHMZOZECPZQZA
      BRDVFRZVFVHSZCVHTZSZHZMZABRZDAEBCUAVPVODVFRZABRWBVODAVFBUBWCWAABVGVQGZVGV
      TGZQZDUCVGVFGZVOQZDUCWAWCWFWHDWFWGVIOZVNQWHWDWIWEVNVGVFVHUDVJCGZVMOZEUEVK
      VJVSGZOZEUEVNWEWKWMEWJVJVRGZOZVKOZWJWNVKOZOWMWKWJWNVKUFWPWLVKOWMWLWOVKVJC
      VRUDUGWLVKUHUIWQVMWJWQVKWNOVMWNVKUHWNVLVKVJVHEUJUKULUMULUNUOVMECUPEVGVSUQ
      URUSWGVIVNUTUMVADVQVTVBVODVFVCURVDUMVE $.
      $( [3-Apr-2008] $) $( [20-Jul-2006] $)

    $( Given a topology ` J ` , show that a subset ` B ` satisfying the
       third antecedent is a basis for it.  Lemma 2.3 of [Munkres] p. 81. $)
    basgen2t $p |- ( ( J e. Top /\ B (_ J /\ A. x e. J A. y e. x E. z e. B
            ( y e. z /\ z (_ x ) ) -> ( B e. Bases /\ ( topGen ` B ) = J ) ) $=
      ( vw vv ctop wcel wss cv wa wrex wral ctb ctg cfv wceq cin wi inopnt
      3expb ssel anim12d imp sylan2 anassrs sseq2 anbi2d rexbidv raleqd rcla4v
      syl r19.21advva cvv wb ssexg ancoms isbasis2g sylibrd cuni wex eltg3t
      adantl pm3.27 uniopnt sstr adantr eqeltrd exp42 com23 imp4b 19.23adv
      sylbid ssrdv syldan tgtopt ad2antrr tgss2t 3expa biimpar topbast jca
      eqid topopn raleq1 elequ1 rcla4cv eluni2 syl6ibr syl6 pm3.26 r19.22si
      r19.20si syl5 adantlr uniss ad2antlr eqssd ax-1 r19.20i2 ralcom sylib
      sylanc eqsstr3d 3impa ) EHIZDEJZBKZCKZIZXJAKZJZLZCDMZBXLNZAENZDOIZDPQZERZ
      LXGXHLZXQLZXRXTYAXQXRYAXQXKXJFKZGKZSZJZLZCDMZBYENZGDNFDNZXRYAXQYIFGDDYAYC
      DIZYDDIZLZLYEEIZXQYITXGXHYMYNXGYCEIZYDEIZLZYNXHYMLXGYOYPYNYCYDEUAUBXHYMYQ
      XHYKYOYLYPDEYCUCDEYDUCUDUEUFUGXPYIAYEEXOYHBXLYEXLYERZXNYGCDYRXMYFXKXLYEXJ
      UHUIUJUKULUMUNYADUOIZXRYJUPXHXGYSDEHUQURFGBCDUOUSUMUTUEZYBXSEYAXQXRXSEJYT
      YAXRLZAXSEUUAXLXSIZXIDJZXLXIVAZRZLZBVBZXLEIZXRUUBUUGUPYABXLDVCVDYAUUGUUHT
      XRYAUUFUUHBXGXHUUCUUEUUHXGUUCXHUUEUUHTXGUUCXHUUEUUHXGUUCXHLZLZUUELXLUUDEU
      UJUUEVEUUJUUDEIZUUEXGXIEJUUKUUIXIEVFXIDEVGUFVHVIVJVKVLVMVHVNVOVPYBEEPQZXS
      XGUULERXHXQEVQVREOIZXRLZEVAZDVAZRZLZXIXLIXOTZAENBUUONZUULXSJZYBUURUVAUUTU
      UMXRUUQUVAUUTUPBACEDVSVTWAYBUUNUUQYBUUMXRXGUUMXHXQEWBVRYTWCYBUUOUUPXGXQUU
      OUUPJXHXGXQLFUUOUUPXGXQYCUUOIZYCUUPIZTZXGUUOEIZXQUVDTEUUOUUOWDWEUVEXKCDMZ
      BXLNZAENZUVDXQUVEUVHUVFBUUONZUVDUVGUVIAUUOEUVFBXLUUOWFULUVIUVBYCXJIZCDMZU
      VCUVFUVKBYCUUOXIYCRXKUVJCDBFCWGUJWHCYCDWIWJWKXPUVGAEXOUVFBXLXNXKCDXKXMWLW
      MWNWNWOUMUEVOWPXHUUPUUOJXGXQDEWQWRWSWCXQUUTYAXQUUSBUUONZAENUUTXPUVLAEXOUU
      SBXLUUOUUSXIUUOIWTXAWNUUSABEUUOXBXCVDXDXEWSWCXF $.
      $( [27-Jul-2006] $) $( [20-Jul-2006] $)

    $( Given a topology ` J ` , show that a subset ` B ` satisfying the
       third antecedent is a basis for it.  Lemma 2.3 of [Munkres] p. 81 using
       abbreviations. $)
    basgent $p |- ( ( J e. Top /\ B (_ J /\ A. x e. J
          x (_ U. ( B i^i P~ x ) ) -> ( B e. Bases /\ ( topGen ` B ) = J ) ) $=
      ( vy vz ctop wcel wss cv wa wrex wral ctb ctg cfv wceq cpw cin cuni
      basgen2t dfss3 wex elin visset elpw anbi2i bitr an12 exbii eluni df-rex
      3bitr4 ralbii syl3an3b ) CFGBCHDIZEIZGZUPAIZHZJZEBKZDURLZACLBMGBNOCPJURBU
      RQZRZSZHZACLADEBCTVFVBACVFUOVEGZDURLVBDURVEUAVGVADURUQUPVDGZJZEUBUPBGZUTJ
      ZEUBVGVAVIVKEVIUQVJUSJZJVKVHVLUQVHVJUPVCGZJVLUPBVCUCVMUSVJUPUREUDUEUFUGUF
      UQVJUSUHUGUIEUOVDUJUTEBUKULUMUGUMUN $.
      $( [16-Apr-2008] $) $( [22-Jul-2006] $)

    $( Conditions that determine the equality of two generated topologies. $)
    2basgent $p |- ( ( ( B e. Bases /\ C e. Bases ) /\ ( B (_ C /\ C (_
                  ( topGen ` B ) ) ) -> ( topGen ` B ) = ( topGen ` C ) ) $=
      ( ctb wcel wa wss ctg cfv tgsst 3expa adantrr ctop tgclt topbast syl
      syl3an2 3com12 adantrl wceq tgidmt ad2antrr sseqtrd eqssd ) ACDZBCDZEZABF
      ZBAGHZFZEZEZUHBGHZUFUGUHULFZUIUDUEUGUMABIJKUKULUHGHZUHUFUIULUNFZUGUDUEUIU
      OUEUDUIUOUEUHCDZUIUOUDBUHIUDUHLDUPAMUHNOPQJRUDUNUHSUEUJATUAUBUC $.
      $( [11-May-2007] $) $( [8-May-2007] $)
  $}

  ${
    $d u v w x y z B $.  $d v w x y z J $.
    $( A subset of a topology is a basis for the topology iff every member of
       the topology is a union of members of the basis.  We use the idiom
       " ` B e. Bases /\ ( topGen `` B ) = J ` " to express " ` B ` is a basis
       for topology ` J ` ," since we do not have a separate notation for this.
       Definition 15.35 of [Schechter] p. 428. $)
    bastop $p |- ( ( J e. Top /\ B (_ J ) -> ( ( B e. Bases /\
      ( topGen ` B ) = J ) <-> A. x e. J E. y ( y (_ B /\ x = U. y ) ) ) $=
      ( vz vw ctop wcel wss wa ctb ctg cfv wceq cv cuni wex wral eleq2 bicomd
      eltg3t sylan9bbr biimpd r19.21aiv wrex basgen2t 3expia wi sseq2 biimpar
      elssuni sylan2 a1d ancld r19.22dva eluni2 syl5ib sylbid ssrexv sylan9r
      19.23aiv r19.20si syl5 impbid2 ) DGHZCDIZJZCKHZCLMZDNZJZBOZCIZAOZVLPZNZJZ
      BQZADRZVKVRADVKVNDHZVRVJVTVNVIHZVHVRVJWAVTVIDVNSTBVNCUAUBUCUDVGEOZFOZHZWC
      VNIZJZFCUEZEVNRZADRZVKVSVEVFWIVKAEFCDUFUGVRWHADVRWGEVNVQWBVNHZWGUHBVPWJWF
      FVLUEZVMWGVPWJWBVOHZWKVNVOWBSVPWDFVLUEWKWLVPWDWFFVLVPWCVLHZJZWDWEWNWEWDVP
      WCVOIZWEWMVPWEWOVNVOWCUIUJWCVLUKULUMUNUOFWBVLUPUQURWFFVLCUSUTVAUDVBVCVD
      $.
      $( [3-Feb-2008] $) $( [2-Feb-2008] $)

    $( A version of ~ bastop that doesn't have ` B (_ J ` in the
       antecedent. $)
    bastop2 $p |- ( J e. Top -> ( ( B e. Bases /\ ( topGen ` B ) = J ) <->
           ( B (_ J /\ A. x e. J E. y ( y (_ B /\ x = U. y ) ) ) ) $=
      ( ctop wcel wss ctb ctg cfv wceq wa cv cuni wex wral bastop pm5.32da
      bastgt adantr pm3.27 sseqtrd pm4.71ri syl5bb ) DEFZCDGZCHFZCIJZDKZLZLUFBM
      ZCGAMUKNKLBOADPZLUJUEUFUJULABCDQRUJUFUJCUHDUGCUHGUICSTUGUIUAUBUCUD $.
      $( [17-Apr-2008] $) $( [3-Feb-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Subbases for topologies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f g x y A $.  $d f g t u v w B $.  $d f g v w x y z $.
    subbas.1 $e |- A e. V $.
    subbas.2 $e |- B =
           { x | E. y ( y (_ A /\ E. z e. om y ~~ z /\ x = |^| y ) } $.
    $( The collection of finite intersections of the elements of any set
       ` A ` is a basis for a topology (on ` U. A ` by ~ subbas2 ).  The set
       ` A ` is called a subbasis for that topology.  Theorem for subbases in
       [Munkres] p. 82.  See ~ abfii1 through ~ abfii5 for other ways to
       express the collection of finite intersections. $)
    subbas $p |- B e. Bases $=
      ( vu vt vw vv vf vg ctb wcel cv cin wss wa wrex wral cen wbr com cint
      wceq w3a wex wi eeanv an6 eleq2 sseq1 anbi12d rcla4ev cun visset unex
      breq1 rexbidv inteq eqeq2d 3anbi123d cla4ev unss biimp unfi ineq12 intun
      syl6eqr syl3an cab eleq2i inex1 eqeq1 3anbi3d exbidv elab bitr2 sylib
      ssid jctr syl2an ex sylbi 19.23aivv sylbir cbvexv 3bitr syl2anb
      r19.21aiv rgen2a cvv wb csn df-sn snex eqeltrr abexssex 3simpb 19.22i
      ss2abi eqsstr ssexi isbasis2g ax-mp mpbir ) ENOZHPZIPZOZXJJPZKPZQZRZSZIET
      ZHXNUAZKEUAJEUAZXRJKEXLEOZXMEOZSXQHXNLPZDRZYBCPZUBUCZCUDTZXLYBUEZUFZUGZLU
      HZMPZDRZYKYDUBUCZCUDTZXMYKUEZUFZUGZMUHZXIXNOZXQUIZXTYAYJYRSYIYQSZMUHLUHYT
      YIYQLMUJUUAYTLMUUAYCYLSZYFYNSZYHYPSZUGZYTYCYFYHYLYNYPUKUUEYSXQXNEOZYSXNXN
      RZSZXQUUEYSXPUUHIXNEXJXNUFXKYSXOUUGXJXNXIULXJXNXNUMUNUOUUEBPZDRZUUIYDUBUC
      ZCUDTZXNUUIUEZUFZUGZBUHZUUFYBYKUPZDRZUUQYDUBUCZCUDTZXNUUQUEZUFZUUPUUBUUCU
      UDUUOUURUUTUVBUGBUUQYBYKLUQMUQURUUIUUQUFZUUJUURUULUUTUUNUVBUUIUUQDUMUVCUU
      KUUSCUDUUIUUQYDUBUSUTUVCUUMUVAXNUUIUUQVAVBVCVDUUBUURYBYKDVEVFCYBYKVGUUDXN
      YGYOQUVAXLYGXMYOVHYBYKVIVJVKUUFXNUUJUULAPZUUMUFZUGZBUHZAVLZOUUPEUVHXNGVMU
      VGUUPAXNXLXMJUQZVNUVDXNUFZUVFUUOBUVJUVEUUNUUJUULUVDXNUUMVOVPVQVRVSVTYSUUG
      XNWAWBWCWDWEWFWGXTXLUVHOUUJUULXLUUMUFZUGZBUHZYJEUVHXLGVMUVGUVMAXLUVIUVDXL
      UFZUVFUVLBUVNUVEUVKUUJUULUVDXLUUMVOVPVQVRUVLYIBLUUIYBUFZUUJYCUULYFUVKYHUU
      IYBDUMUVOUUKYECUDUUIYBYDUBUSUTUVOUUMYGXLUUIYBVAVBVCWHWIYAXMUVHOUUJUULXMUU
      MUFZUGZBUHZYREUVHXMGVMUVGUVRAXMKUQUVDXMUFZUVFUVQBUVSUVEUVPUUJUULUVDXMUUMV
      OVPVQVRUVQYQBMUUIYKUFZUUJYLUULYNUVPYPUUIYKDUMUVTUUKYMCUDUUIYKYDUBUSUTUVTU
      UMYOXMUUIYKVAVBVCWHWIWJWKWLEWMOXHXSWNEUUJUVESZBUHZAVLZUVEBADFUUMWOUVEAVLW
      MAUUMWPUUMWQWRWSEUVHUWCGUVGUWBAUVFUWABUUJUULUVEWTXAXBXCXDJKHIEWMXEXFXG $.
      $( [30-Jul-2006] $) $( [29-Jul-2006] $)
  $}

  ${
    $d w x y A $.  $d w x y z $.
    subbas2.1 $e |- B =
           { x | E. y ( y (_ A /\ E. z e. om y ~~ z /\ x = |^| y ) } $.
    $( The collection of finite intersections of any set (subbasis) ` A ` is
       a basis for a topology on ` U. A ` .  Justifies the definition of
       subbasis in [Munkres] p. 82 (after using ~ unitgt ). $)
    subbas2 $p |- U. B = U. A $=
      ( vw cuni cv wss cen wbr com wrex cint wceq w3a wex cab unieqi wcel wa
      eluniab ssel com12 pm3.27 c0 wne intssuni2 cvv visset eleq1 mpbii intex
      sylibr sylan2 eqsstrd 3adant2 syl5 19.23adv imp 19.23aiv sylbi ssriv csn
      snex sseq1 breq1 rexbidv inteq eqeq2d 3anbi123d cla4ev snssi snfi a1i
      intsn eqcomi syl3anc eqeq1 3anbi3d exbidv elab uniss ax-mp eqssi eqtr )
      EHBIZDJZWHCIZKLZCMNZAIZWHOZPZQZBRZASZHZDHZEWRFTWSWTGWSWTGIZWSUAXAWMUAZWQU
      BZARXAWTUAZWQAXAUCXCXDAXBWQXDXBWPXDBXBWMWTJZXDWPXEXBXDWMWTXAUDUEWIWOXEWLW
      IWOUBWMWNWTWIWOUFWIWHUGUHZWNWTJWOWHDUIWOWNUJUAZXFWOWMUJUAXGAUKWMWNUJULUMW
      HUNUOUPUQURUSUTVAVBVCVDDWRJWTWSJGDWRXADUAZWIWLXAWNPZQZBRZXAWRUAXAVEZDJZXL
      WJKLZCMNZXAXLOZPZXKXHXJXMXOXQQBXLXAVFWHXLPZWIXMWLXOXIXQWHXLDVGXRWKXNCMWHX
      LWJKVHVIXRWNXPXAWHXLVJVKVLVMXADVNXOXHCXAVOVPXQXHXPXAXAGUKZVQVRVPVSWQXKAXA
      XSWMXAPZWPXJBXTWOXIWIWLWMXAWNVTWAWBWCUOVDDWRWDWEWFWG $.
      $( [31-Jul-2006] $) $( [30-Jul-2006] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                        Examples of topologies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d J Y x y a b c d u z $.
    $( A subspace topology is a topology.  Definition of subspace topology in
       [Munkres] p. 89.  ` Y ` is normally a subset of the base set of
       ` J ` .  (Contributed by FL, 15-Apr-2007.) $)
    subtop $p |- ( J e. Top -> { x | E. y e. J x = ( y i^i Y ) } e. Top ) $=
      ( va vb vz vc vd ctop wcel cv cin wceq wrex cab wss cuni wi wal wral wa
      wex copab crn cima wfun funopabeq ssimaexg mp3an2 ex cres df-ima resopab
      rneqi eqtr sseq2i rnopab2 3eqtr eqeq2i anbi2i exbii 3imtr3g eqcomi
      syl5ib imp unieq ciun cvv dfiun2g eqcomd inex1g mprg incom a1i iuneq2i
      iunin2 uniiun ineq2i 3eqtr2 syl6eq anim2i 19.22i syl wb csn snex sseq1
      visset unisn ineq1d eqeq2d anbi12d cla4ev snssi sylan r19.23aiva uniopnt
      ineq1 rcla4ev imp3a 19.23adv impbid2 adantr mpbird uniex eqeq1 rexbidv
      elab sylibr 19.21aiv inopnt 3expa ineq12 inindir syl6eqr ancoms syl2an
      exp43 com24 r19.23adva r19.23adv cbvrexv clelab ceqsexv 3bitr syl7ib
      com23 inex1 r19.21aiva jca abrexexg istopg ) CJKZALZBLZDMZNZBCOZAPZJKZELZ
      YTQZUUBRZYTKZSZETZUUBFLZMZYTKZFYTUAZEYTUAZUBZYNUUGUULYNUUFEYNUUCUUEYNUUCU
      BZUUDYQNZBCOZUUEUUNUUPGLZCQZUUDUUQRZDMZNZUBZGUCZUUNUURUUBYRBUUQOAPZNZUBZG
      UCZUVCYNUUCUVGYNUUBYPCKZYRUBBAUDZUEZQZUVGUUCYNUUBYRBAUDZCUFZQZUURUUBUVLUU
      QUFZNZUBZGUCZUVKUVGYNUVNUVRYNUVLUGUVNUVRBAYQUHGCUUBJUVLUIUJUKUVMUVJUUBUVM
      UVLCULZUEUVJUVLCUMUVSUVIYRBACUNUOUPUQUVQUVFGUVPUVEUURUVOUVDUUBUVOUVLUUQUL
      ZUEYPUUQKZYRUBBAUDZUEUVDUVLUUQUMUVTUWBYRBAUUQUNUOBAUUQYQURUSUTVAVBVCYTUVJ
      UUBUVJYTBACYQURVDUQVEVFUVFUVBGUVEUVAUURUVEUUDUVDRZUUTUUBUVDVGUWCBUUQYQVHZ
      BUUQDYPMZVHZUUTYQVIKZUWCUWDNBUUQUWGBUUQUAUWDUWCBAUUQYQVIVJVKYPDUUQVLVMBUU
      QYQUWEYQUWENUWAYPDVNVOVPUWFDBUUQYPVHZMDUUSMUUTBUUQDYPVQUUSUWHDBUUQVRVSDUU
      SVNVTUSWAWBWCWDYNUUPUVCWEUUCYNUUPUVCUUOUVCBCYPWFZCQZUUOUVCUVHUVBUWJUUOUBG
      UWIYPWGUUQUWINZUURUWJUVAUUOUUQUWICWHUWKUUTYQUUDUWKUUSYPDUWKUUSUWIRYPUUQUW
      IVGYPBWIWJWAWKWLWMWNYPCWOWPWQYNUVBUUPGYNUURUVAUUPYNUURUVAUUPSZYNUURUBUUSC
      KZUWLUUQCWRUWMUVAUUPUUOUVABUUSCYPUUSNYQUUTUUDYPUUSDWSWLWTUKWDUKXAXBXCXDXE
      YSUUPAUUDUUBEWIZXFYOUUDNYRUUOBCYOUUDYQXGXHXIXJUKXKYNUUKEYTYNUUBYTKZUBZUUJ
      FYTUWPUUHYTKZUBUUIYQNZBCOZUUJUWPUWQUWSUWPUUHYQNZBCOZUWSUWQYNUWOUXAUWSSYNU
      XAUWOUWSYNUXAUUBHLZDMZNZHCOZUWSUWOYNUUHILZDMZNZICOUXEUWSSZUXAYNUXHUXIICYN
      UXEUXHUXFCKZUWSYNUXDUXHUXJUWSSSHCYNUXBCKZUBZUXJUXHUXDUWSUXLUXJUXHUXDUWSUX
      BUXFMZCKZUUIUXMDMZNZUWSUXLUXJUBUXHUXDUBUWRUXPBUXMCYPUXMNYQUXOUUIYPUXMDWSW
      LWTYNUXKUXJUXNUXBUXFCXLXMUXDUXHUXPUXDUXHUBUUIUXCUXGMUXOUUBUXCUUHUXGXNUXBU
      XFDXOXPXQXRXSXTYAXTYBUWTUXHBICYPUXFNYQUXGUUHYPUXFDWSWLYCVEUWOYOUUBNZYSUBA
      UCUUBYQNZBCOZUXEYSAUUBYDYSUXSAUUBUWNUXQYRUXRBCYOUUBYQXGXHYEUXRUXDBHCYPUXB
      NYQUXCUUBYPUXBDWSWLYCYFYGYHVFYSUXAAUUHFWIYOUUHNYRUWTBCYOUUHYQXGXHXIVEVFYS
      UWSAUUIUUBUUHUWNYIYOUUINYRUWRBCYOUUIYQXGXHXIXJYJYJYKYNYTVIKUUAUUMWEBACYQJ
      YLEFVIYTYMWDXE $.
      $( [17-May-2007] $) $( [8-Apr-2007] $)
  $}

  ${
    $d x y $.
    $( The singleton of the empty set is a topology.  (Contributed by Stefan
       Allan, 3-Mar-2006.) $)
    sn0top $p |- { (/) } e. Top $=
      ( vx vy c0 csn ctop wcel cv wss cuni wi wal cin wral cvv wa wb p0ex
      istopg ax-mp wceq wo sssn unieq uni0 0ex elsnc2 mpbir syl6eqel unisn
      eqtrt mpan2 visset uniex elsnc sylibr syl jaoi sylbi ax-gen elsn ineq2
      in0 eqeq2i biimp inex1 biimpr adantl rgen2a mpbir2an ) CDZEFZAGZVJHZVLIZV
      JFZJZAKZVLBGZLZVJFZBVJMAVJMZVJNFVKVQWAOPQABNVJRSVPAVMVLCTZVLVJTZUAVOVLCUB
      WBVOWCWBVNCIZVJVLCUCWDVJFWDCTUDWDCUEUFUGUHWCVNVJIZTZVOVLVJUCWFVNCTZVOWFWE
      CTWGCUEUIVNWECUJUKVNCVLAULZUMUNUOUPUQURUSVTABVJVRVJFZVTVLVJFWIVRCTZVTBCUT
      WJVSCTZVTWJVSVLCLZTZWKVRCVLVAWMWKWLCVSVLVBVCVDUPVTWKVSCVLVRWHVEUNVFUPURVG
      VHVI $.
      $( [13-Jul-2006] $) $( [3-Mar-2006] $)
  $}

  ${
    $d n x y z A $.
    indistop.1 $e |- A e. V $.
    $( The indiscrete topology on a set ` A ` .  Part of Example 2 in [Munkres]
       p. 77.  (Contributed by FL, 16-Jul-2006.) $)
    indistop $p |- { (/) , A } e. Top $=
      ( vx vy c0 cpr ctop wcel cv wss cuni wi wal cin wral cvv wa wb prex
      istopg ax-mp wceq csn wo sspr unieq uni0 0ex pri1 eqeltr syl6eqel a1i
      unisn syl5eqel eqeltrd jaoi pri2 cun uncom un0 eqeltrr unipr sylbi
      ax-gen pm3.26 ineq2d in0 syl6eq ex pm3.27 ineq1d incom eqtr com12 ineq12
      ancoms inidm visset elpr syl5ib 19.21aiv df-ral 3imtr4 rgen mpbir2an ) EA
      FZGHZCIZWFJZWHKZWFHZLZCMZWHDIZNZWFHZDWFOZCWFOZWFPHWGWMWRQREASCDPWFTUAWLCW
      IWHEUBZWHEUCZUBZUDZWHAUCZUBZWHWFUBZUDZUDWKWHEAUEXBWKXFWSWKXAWSWJEKZWFWHEU
      FXGEWFUGEAUHUIZUJUKXAWJWTKZWFWHWTUFXAEWFXIEWFHXAXHULEUHUMUNUOUPXDWKXEXDWJ
      XCKZWFWHXCUFXDAWFXJAWFHXDEABUQZULABUMUNUOXEWJWFKZWFWHWFUFXEEAURZWFXLXMWFH
      XEAEURZXMWFAEUSXNAWFAUTXKUJVAULEAUHBVBUNUOUPUPVCVDWQCWFWSWHAUBZUDZWNWFHZW
      PLZDMWHWFHWQXPXRDXPWNEUBZWNAUBZUDZWPXQWSYAWPLXOYAWSWPXSWSWPLXTXSWSWPXSWSQ
      ZWOEWFYBWOWHENEYBWNEWHXSWSVEVFWHVGVHXHUKVIXTWSWPXTWSQZWOEWFYCWOEWNNZEYCWH
      EWNXTWSVJVKYDWNENEEWNVLWNVGVMVHXHUKVIUPVNYAXOWPXSXOWPLXTXSXOWPXSXOQZWOEWF
      YEWOAENZEXOXSWOYFUBWHAWNEVOVPAVGVHXHUKVIXTXOWPXTXOQZWOAWFYGWOAANZAXOXTWOY
      HUBWHAWNAVOVPAVQVHXKUKVIUPVNUPWNEADVRVSVTWAWHEACVRVSWPDWFWBWCWDWE $.
      $( [16-Jul-2006] $) $( [15-Jul-2006] $)

    $( The discrete topology on a set ` A ` .  Part of Example 2 in [Munkres]
       p. 77.  (Contributed by FL, 18-Jul-2006.) $)
    distop $p |- P~ A e. Top $=
      ( vx vy cpw ctop wcel cv wss cuni wi wal cin wral cvv wa wb pwex istopg
      ax-mp uniss unipw syl6ss visset uniex elpw sylibr ax-gen ssinss1 a1i
      inex2 syl6ibr sylbi com12 r19.21aiv rgen mpbir2an ) AEZFGZCHZURIZUTJZURGZ
      KZCLZUTDHZMZURGZDURNZCURNZUROGUSVEVJPQABRCDOURSTVDCVAVBAIVCVAVBURJAUTURUA
      AUBUCVBAUTCUDZUEUFUGUHVICURUTURGZVHDURVLUTAIZVFURGZVHKUTAVKUFVNVMVHVNVFAI
      ZVMVHKVFADUDZUFVOVMVGAIZVHVMVQKVOUTVFAUIUJVGAVFUTVPUKUFULUMUNUMUOUPUQ $.
      $( [18-Jul-2006] $) $( [17-Jul-2006] $)

    $( The finite complement topology on a set ` A ` .  Example 3 in [Munkres]
       p. 77.  (Contributed by FL, 15-Aug-2006.) $)
    fctop $p |- { x | ( x (_ A /\ ( E. n e. om ( A \ x ) ~~ n \/ x = (/) ) ) }
                e. Top $=
      ( vy vz cv wss cdif cen wbr com wrex c0 wceq wo wa cab ctop wcel cuni wi
      wal cin wral cvv wb abssexg ax-mp istopg uniss crab pm3.26 a1i ss2rabi
      rabab unieqi unimax 3sstr3 sstr mpan2 syl wn ssel2 visset sseq1 difeq2
      breq1d rexbidv eqeq1 orbi12d anbi12d elab sylib pm3.27d ord con1d imp
      ssfi elssuni sscon sylan2 expcom ad2antlr mpd exp31 r19.23adv uni0c
      negbii rexnal bitr4 syl5ib orrd jca uniex sylibr ax-gen ssinss1 ad2antrr
      cun unfi difindi breq1i rexbii orcd ineq1 incom in0 eqtr syl6eq olcd
      ineq2 ccase2 ad2ant2l anbi12i inex1 breq1 3imtr4 rgen2a mpbir2an ) AGZBHZ
      BYAIZCGZJKZCLMZYANOZPZQZARZSTZEGZYJHZYLUAZYJTZUBZEUCZYLFGZUDZYJTZFYJUEEYJ
      UEZYJUFTZYKYQUUAQUGBUFTZUUBDYHABUFUHUIEFUFYJUJUIYPEYMYNBHZBYNIZYDJKZCLMZY
      NNOZPZQZYOYMUUDUUIYMYNYJUAZHZUUDYLYJUKUULUUKBHUUDYIAUFULZUAZYBAUFULZUAZUU
      KBUUMUUOHUUNUUPHYIYBAUFYIYBUBYAUFTYBYHUMUNUOUUMUUOUKUIUUMYJYIAUPUQUUCUUPB
      ODABUFURUIUSYNUUKBUTVAVBYMUUGUUHYMUUHUUGYMYRNOZVCZFYLMZUUGUUHVCZYMUURUUGF
      YLYMYRYLTZUURUUGYMUVAQZUURQBYRIZYDJKZCLMZUUGUVBUURUVEUVBUVEUUQUVBUVEUUQUV
      BYRBHZUVEUUQPZUVBYRYJTZUVFUVGQZYLYJYRVDYIUVIAYRFVEYAYROZYBUVFYHUVGYAYRBVF
      UVJYFUVEYGUUQUVJYEUVDCLUVJYCUVCYDJYAYRBVGVHVIYAYRNVJVKVLVMZVNVOVPVQVRUVAU
      VEUUGUBYMUURUVEUVAUUGUVEUUEUVCHZUUGUVACUVCUUEVSUVAYRYNHUVLYRYLVTYRYNBWAVB
      WBWCWDWEWFWGUUTUUQFYLUEZVCUUSUUHUVMFYLWHWIUUQFYLWJWKWLVQWMWNYIUUJAYNYLEVE
      ZWOYAYNOZYBUUDYHUUIYAYNBVFUVOYFUUGYGUUHUVOYEUUFCLUVOYCUUEYDJYAYNBVGVHVIYA
      YNNVJVKVLVMWPWQYTEFYJYLBHZBYLIZYDJKZCLMZYLNOZPZQZUVIQZYSBHZBYSIZYDJKZCLMZ
      YSNOZPZQZYLYJTZUVHQYTUWCUWDUWIUVPUWDUWAUVIYLYRBWRWSUWAUVGUWIUVPUVFUVSUVEU
      VTUUQUWIUVSUVEQZUWGUWHUWLUVQUVCWTZYDJKZCLMUWGCUVQUVCXAUWFUWNCLUWEUWMYDJBY
      LYRXBXCXDWPXEUVTUWHUWGUVTYSNYRUDZNYLNYRXFUWOYRNUDNNYRXGYRXHXIXJXKUUQUWHUW
      GUUQYSYLNUDNYRNYLXLYLXHXJXKXMXNWNUWKUWBUVHUVIYIUWBAYLUVNYAYLOZYBUVPYHUWAY
      AYLBVFUWPYFUVSYGUVTUWPYEUVRCLUWPYCUVQYDJYAYLBVGVHVIYAYLNVJVKVLVMUVKXOYIUW
      JAYSYLYRUVNXPYAYSOZYBUWDYHUWIYAYSBVFUWQYFUWGYGUWHUWQYCUWEOZYFUWGUGYAYSBVG
      UWRYEUWFCLYCUWEYDJXQVIVBYAYSNVJVKVLVMXRXSXT $.
      $( [16-Aug-2006] $) $( [15-Aug-2006] $)

    $( The finite complement topology on a set ` A ` .  Example 3 in [Munkres]
       p. 77.  (This version of ~ fctop requires the Axiom of Infinity.)
      (Contributed by FL, 20-Aug-2006.) $)
    fctop2 $p |- { x | ( x (_ A /\ ( ( A \ x ) ~< om \/ x = (/) ) ) } e. Top $=
      ( vn cv wss cdif com csdm wbr c0 wceq wo wa cab cen wrex ctop isfinite
      orbi1i anbi2i abbii fctop eqeltr ) AEZBFZBUEGZHIJZUEKLZMZNZAOUFUGDEPJDHQZ
      UIMZNZAORUKUNAUJUMUFUHULUIDUGSTUAUBABDCUCUD $.
      $( [20-Aug-2006] $) $( [19-Aug-2006] $)

    $( The countable complement topology on a set ` A ` .  Example 4 in
       [Munkres] p. 77.  (Contributed by FL, 29-Aug-2006.) $)
    cctop $p |- { x | ( x (_ A /\ ( ( A \ x ) ~<_ om \/ x = (/) ) ) } e. Top $=
      ( vy vz cv wss cdif com cdom wbr c0 wceq wo wa cab ctop wcel cuni wi wal
      cin wral cvv wb abssexg ax-mp istopg uniss crab pm3.26 a1i ss2rabi rabab
      unieqi unimax 3sstr3 sstr mpan2 syl wn wrex ssel2 visset sseq1 difeq2
      breq1d eqeq1 orbi12d anbi12d elab sylib pm3.27d ord con1d imp pm3.27
      ad2antrr elssuni sscon difexg ssdom2g 3syl domtr sylancom mpdan exp31
      r19.23adv csn uni0b dfss3 elsn ralbii 3bitr negbii rexnal bitr4 syl5ib
      orrd jca uniex sylibr ax-gen ssinss1 cun unctb difindi syl5eqbr orcd
      ineq1 incom in0 eqtr syl6eq olcd ineq2 ccase2 ad2ant2l anbi12i inex1
      3imtr4 rgen2a mpbir2an ) AFZBGZBYDHZIJKZYDLMZNZOZAPZQRZDFZYKGZYMSZYKRZTZD
      UAZYMEFZUBZYKRZEYKUCDYKUCZYKUDRZYLYRUUBOUEBUDRZUUCCYIABUDUFUGDEUDYKUHUGYQ
      DYNYOBGZBYOHZIJKZYOLMZNZOZYPYNUUEUUIYNYOYKSZGZUUEYMYKUIUULUUKBGUUEYJAUDUJ
      ZSZYEAUDUJZSZUUKBUUMUUOGUUNUUPGYJYEAUDYJYETYDUDRYEYIUKULUMUUMUUOUIUGUUMYK
      YJAUNUOUUDUUPBMCABUDUPUGUQYOUUKBURUSUTYNUUGUUHYNUUHUUGYNYSLMZVAZEYMVBZUUG
      UUHVAZYNUURUUGEYMYNYSYMRZUURUUGYNUVAOZUUROZBYSHZIJKZUUGUVBUURUVEUVBUVEUUQ
      UVBUVEUUQUVBYSBGZUVEUUQNZUVBYSYKRZUVFUVGOZYMYKYSVCYJUVIAYSEVDYDYSMZYEUVFY
      IUVGYDYSBVEUVJYGUVEYHUUQUVJYFUVDIJYDYSBVFVGYDYSLVHVIVJVKZVLVMVNVOVPUVCUVE
      UUFUVDJKZUUGUVCUVEOZYSYOGZUUFUVDGZUVLUVMUVAUVNUVBUVAUURUVEYNUVAVQVRYSYMVS
      UTYSYOBVTUVDUDRZUVOUVLTUUDUVPCBYSUDWAUGUUFUVDUDWBUGWCUUFUVDIWDWEWFWGWHUUT
      UUQEYMUCZVAUUSUUHUVQUUHYMLWIZGYSUVRRZEYMUCUVQYMWJEYMUVRWKUVSUUQEYMELWLWMW
      NWOUUQEYMWPWQWRVOWSWTYJUUJAYOYMDVDZXAYDYOMZYEUUEYIUUIYDYOBVEUWAYGUUGYHUUH
      UWAYFUUFIJYDYOBVFVGYDYOLVHVIVJVKXBXCUUADEYKYMBGZBYMHZIJKZYMLMZNZOZUVIOZYT
      BGZBYTHZIJKZYTLMZNZOZYMYKRZUVHOUUAUWHUWIUWMUWBUWIUWFUVIYMYSBXDVRUWFUVGUWM
      UWBUVFUWDUVEUWEUUQUWMUWDUVEOZUWKUWLUWPUWCUVDXEIUWJJUWCUVDXFBYMYSXGXHXIUWE
      UWLUWKUWEYTLYSUBZLYMLYSXJUWQYSLUBLLYSXKYSXLXMXNXOUUQUWLUWKUUQYTYMLUBLYSLY
      MXPYMXLXNXOXQXRWTUWOUWGUVHUVIYJUWGAYMUVTYDYMMZYEUWBYIUWFYDYMBVEUWRYGUWDYH
      UWEUWRYFUWCIJYDYMBVFVGYDYMLVHVIVJVKUVKXSYJUWNAYTYMYSUVTXTYDYTMZYEUWIYIUWM
      YDYTBVEUWSYGUWKYHUWLUWSYFUWJIJYDYTBVFVGYDYTLVHVIVJVKYAYBYC $.
      $( [29-Aug-2006] $) $( [23-Aug-2006] $)

    $( The indiscrete topology on a set ` A ` expressed as a topological space.
       (Contributed by FL, 19-Jul-2006.) $)
    indistps $p |- <. A , { (/) , A } >. e. TopSp $=
      ( c0 cpr cuni cop ctps cun 0ex unipr uncom un0 3eqtr opeq1i wcel ctop
      indistop eltopsp mpbir eqeltrr ) CADZEZUAFZAUAFGUBAUAUBCAHACHACAIBJCAKALM
      NUCGOUAPOABQUARST $.
      $( [19-Jul-2006] $) $( [17-Jul-2006] $)

    $( The discrete topology on a set ` A ` expressed as a topological space.
       (Contributed by FL, 20-Aug-2006.) $)
    distps $p |- <. A , P~ A >. e. TopSp $=
      ( cpw cuni cop ctps unipw opeq1i wcel ctop distop eltopsp mpbir eqeltrr
      ) ACZDZOEZAOEFPAOAGHQFIOJIABKOLMN $.
      $( [20-Aug-2006] $) $( [19-Aug-2006] $)
  $}

  ${
    $d x y z w v u t f $.
    $( A basis for the standard topology on the reals. $)
    retopbas $p |- ran (,) e. Bases $=
      ( vz vw vx vy vv vu vt vf cioo crn ctb wcel cv cin wss wa wrex wral wceq
      eleq2 sseq1 anbi12d rcla4ev co cxr wi cle wbr cif opreq1 eqeq1d opreq2
      rcla42ev ifcl ad2ant2r adantr ancoms ad2ant2l iooint ineq12 sylan9req
      syl3anc exp32 exp31 com4t imp31 r19.23adv r19.23adva r19.23aiv imp cxp
      wfn wb cr cpw wf ioof ffn ax-mp oprvalelrn 3imtr4 ssid jctr syl2an 3impa
      rgen3 cvv iooex rnex isbasis2g mpbir ) IJZKLZAMZBMZLZWOCMZDMZNZOZPZBWLQZA
      WSRDWLRCWLRZXBCDAWLWLWSWQWLLZWRWLLZWNWSLZXBWSWLLZXFWSWSOZPZXBXDXEPZXFXAXI
      BWSWLWOWSSWPXFWTXHWOWSWNTWOWSWSUAUBUCWNWOIUDZWQSZBUEQZAUEQZEMZFMZIUDZWRSZ
      FUEQZEUEQZPZGMZHMZIUDZWSSZHUEQGUEQZXJXGXNXTYFXMXTYFUFZAUEWNUELZXLYGBUEYHW
      OUELZXLYGYHYIPZXLPZXSYFEUEYKXOUELZPXRYFFUEYJXLYLXPUELZXRYFUFZUFYLYMYJXLYN
      YLYMYJXLYNUFYLYMPZYJPZXLXRYFWNXOUGUHZXOWNUIZUELZWOXPUGUHZWOXPUIZUELZYRUUA
      IUDZWSSZYFYPXLXRPZPYEUUDYRYCIUDZWSSGHYRUUAUEUEYBYRSYDUUFWSYBYRYCIUJUKYCUU
      ASUUFUUCWSYCUUAYRIULUKUMYPYSUUEYLYHYSYMYIYQXOWNUEUNUOUPYPUUBUUEYMYIUUBYLY
      HYIYMUUBYTWOXPUEUNUQURUPYPUUEUUCXKXQNZWSYJYOUUGUUCSWNWOXOXPUSUQXKWQXQWRUT
      VAVBVCVDVEVFVGVHVDVGVIVJIUEUEVKZVLZXJYAVMUUHVNVOZIVPUUIVQUUHUUJIVRVSZUUIX
      DXNXEXTABUEUEWQIVTEFUEUEWRIVTUBVSUUIXGYFVMUUKGHUEUEWSIVTVSWAXFXHWSWBWCWDW
      EWFWLWGLWMXCVMIWHWICDABWLWGWJVSWK $.
      $( [13-Feb-2007] $) $( [6-Feb-2007] $)
  $}

  $( The standard topology on the reals.  (Contributed by FL, 4-Jun-2007.) $)
  retop $p |- ( topGen ` ran (,) ) e. Top $=
    ( cioo crn ctb wcel ctg cfv ctop retopbas tgclt ax-mp ) ABZCDKEFGDHKIJ $.
    $( [22-Jun-2007] $) $( [29-May-2007] $)

  $( The underlying set of the standard topology on the reals is the reals.
     (Contributed by FL, 4-Jun-2007.) $)
  uniretop $p |- U. ( topGen ` ran (,) ) = RR $=
    ( cioo crn ctg cfv cuni cr ctb wcel wceq retopbas unitgt ax-mp unirnioo
    eqtr ) ABZCDEZOEZFOGHPQIJOKLMN $.
    $( [22-Jun-2007] $) $( [29-May-2007] $)

  $( The standard topological space on the reals. $)
  retps $p |- <. RR , ( topGen ` ran (,) ) >. e. TopSp $=
    ( cr cioo crn ctg cfv cop ctps wcel ctop cuni wceq istps retop uniretop
    eqcomi mpbir2an ) ABCDEZFGHQIHAQJZKAQLMRANOP $.
    $( [15-Feb-2007] $) $( [10-Feb-2007] $)

  $( Open intervals are open sets of the standard topology on the reals .
     (Contributed by FL, 18-Jun-2007.) $)
  iooretop $p |- ( A (,) B ) e. ( topGen ` ran (,) ) $=
    ( cxr wcel wa cioo co crn ctg cfv wss ctb retopbas bastgt ax-mp a1i cxp
    wfn cr cpw wf ioof ffn fnoprvalrn mp3an1 sseldd wn c0 ndmioo ctop retop
    0opnt syl6eqel pm2.61i ) ACDZBCDZEZABFGZFHZIJZDUQUSUTURUSUTKZUQUSLDVAMUSNOP
    FCCQZRZUOUPURUSDVBSTZFUAVCUBVBVDFUCOCCABFUDUEUFUQUGURUHUTABUIUTUJDUHUTDUKUT
    ULOUMUN $.
    $( [22-Jun-2007] $) $( [21-Jun-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Closure and interior
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c int $.
  $c cls $.
  $c Clsd $.

  $( Extend class notation with the set of closed sets of a topology. $)
  ccld $a class Clsd $.

  $( Extend class notation with interior of a subset of a topology base set. $)
  cnt $a class int $.

  $( Extend class notation with closure of a subset of a topology base set. $)
  ccl $a class cls $.

  ${
    $d v w x y z $.
    $( Define a function on topologies whose value is the set of closed
       sets of the topology. $)
    df-cld $a |- Clsd = { <. z , w >. | ( z e. Top /\ w = { x |
                  ( x (_ U. z /\ ( U. z \ x ) e. z ) } ) } $.

    $( Define a function on topologies whose value is the interior function
       on the subsets of the base set.  See ~ ntrval . $)
    df-ntr $a |- int = { <. z , w >. | ( z e. Top /\ w = { <. x , y >. |
                 ( x (_ U. z /\ y = U. { v e. z | v (_ x } ) } ) } $.

    $( Define a function on topologies whose value is the closure function
       on the subsets of the base set.  See ~ clsval . $)
    df-cls $a |- cls = { <. z , w >. | ( z e. Top /\ w = { <. x , y >. |
               ( x (_ U. z /\ y = |^| { v e. ( Clsd ` z ) | x (_ v } ) } ) } $.
  $}

  ${
    $d v w x y z J $.  $d w x y z X $.
    cldval.1 $e |- X = U. J $.
    $( The set of closed sets of a topology.  (Note that the set of open sets
       is just the topology itself, so we don't have a separate definition.) $)
    cldval $p |- ( J e. Top ->
               ( Clsd ` J ) = { x | ( x (_ X /\ ( X \ x ) e. J ) } ) $=
      ( vz vw ctop wcel cv wss cdif wa cab cvv ccld cfv wceq cuni uniexg
      syl5eqel abssexg syl unieq syl6eqr sseq2d difeq1d id eleq12d anbi12d
      abbidv df-cld fvopab4g mpdan ) BGHZAIZCJZCUOKZBHZLZAMZNHZBOPUTQUNCNHVAUNB
      RZNCBGSDTURACNUAUBEFBUOEIZRZJZVDUOKZVCHZLZAMUTGNOVCBQZVHUSAVIVEUPVGURVIVD
      CUOVIVDVBCVCBUCDUDZUEVIVFUQVCBVIVDCUOVJUFVIUGUHUIUJAEFUKULUM $.
      $( [4-Oct-2006] $) $( [2-Oct-2006] $)

    $( The interior function on the subsets of a topology's base set. $)
    ntrfval $p |- ( J e. Top -> ( int ` J ) =  { <. x , y >. | ( x (_ X /\
                     y = U. { v e. J | v (_ x } ) } ) $=
      ( vz vw ctop wcel cv wss crab cuni wceq wa copab cvv cnt cfv cpw uniexg
      syl5eqel pwexg opabex2g 3syl visset elpw anbi1i opabbii syl5eqelr unieq
      syl6eqr sseq2d rabeq unieqd eqeq2d anbi12d opabbidv df-ntr fvopab4g
      mpdan ) DIJZAKZELZBKZCKVDLZCDMZNZOZPZABQZRJDSTVLOVCVDEUAZJZVJPZABQZRVLVCE
      RJVMRJVPRJVCDNZREDIUBFUCERUDABVMVIRUEUFVOVKABVNVEVJVDEAUGUHUIUJUKGHDVDGKZ
      NZLZVFVGCVRMZNZOZPZABQVLIRSVRDOZWDVKABWEVTVEWCVJWEVSEVDWEVSVQEVRDULFUMUNW
      EWBVIVFWEWAVHVGCVRDUOUPUQURUSABGHCUTVAVB $.
      $( [12-Sep-2006] $) $( [10-Sep-2006] $)

    $( The closure function on the subsets of a topology's base set. $)
    clsfval $p |- ( J e. Top -> ( cls ` J ) =  { <. x , y >. | ( x (_ X /\
                     y = |^| { v e. ( Clsd ` J ) | x (_ v } ) } ) $=
      ( vz vw ctop wcel cv wss ccld cfv crab cint wceq wa copab cvv ccl cpw
      cuni uniexg syl5eqel pwexg opabex2g 3syl visset elpw anbi1i opabbii
      syl5eqelr unieq syl6eqr sseq2d fveq2 rabeq syl inteqd eqeq2d anbi12d
      opabbidv df-cls fvopab4g mpdan ) DIJZAKZELZBKZVHCKLZCDMNZOZPZQZRZABSZTJDU
      ANVQQVGVHEUBZJZVORZABSZTVQVGETJVRTJWATJVGDUCZTEDIUDFUEETUFABVRVNTUGUHVTVP
      ABVSVIVOVHEAUIUJUKULUMGHDVHGKZUCZLZVJVKCWCMNZOZPZQZRZABSVQITUAWCDQZWJVPAB
      WKWEVIWIVOWKWDEVHWKWDWBEWCDUNFUOUPWKWHVNVJWKWGVMWKWFVLQWGVMQWCDMUQVKCWFVL
      URUSUTVAVBVCABGHCVDVEVF $.
      $( [8-Oct-2006] $) $( [3-Oct-2006] $)
  $}

  ${
    $d x y z J $.  $d x y z S $.  $d x y z X $.  $d x T $.
    iscld.1 $e |- X = U. J $.
    $( The predicate " ` S ` is a closed set." $)
    iscld $p |- ( J e. Top -> ( S e. ( Clsd ` J ) <->
                 ( S (_ X /\ ( X \ S ) e. J ) ) ) $=
      ( vx ctop wcel ccld cfv cv wss cdif wa cab cldval eleq2d cvv elisset
      adantl ssexg ancoms cuni uniexg syl5eqel sylan adantrr wceq sseq1 difeq2
      eleq1d anbi12d elabg pm5.21nd bitrd ) BFGZABHIZGAEJZCKZCUQLZBGZMZENZGZACK
      ZCALZBGZMZUOUPVBAEBCDOPUOVCVGAQGZVCVHUOAVBRSUOVDVHVFCQGZVDVHUOVDVIVHACQTU
      AUOBUBQCBFUCDUDUEUFVAVGEAQUQAUGZURVDUTVFUQACUHVJUSVEBUQACUIUJUKULUMUN $.
      $( [4-Oct-2006] $) $( [2-Oct-2006] $)

    $( A subset of the underlying set of a topology is closed iff its
       complement is open. $)
    iscld2 $p |- ( ( J e. Top /\ S (_ X ) ->
                  ( S e. ( Clsd ` J ) <-> ( X \ S ) e. J ) ) $=
      ( ctop wcel ccld cfv wss cdif wa iscld ibar bicomd sylan9bb ) BEFABGHFACI
      ZCAJBFZKZPQABCDLPQRPQMNO $.
      $( [5-Oct-2006] $) $( [4-Oct-2006] $)

    $( A closed set is a subset of the underlying set of a topology. $)
    cldss $p |- ( ( J e. Top /\ S e. ( Clsd ` J ) ) -> S (_ X ) $=
      ( ctop wcel ccld cfv wss cdif iscld pm3.26bda ) BEFABGHFACICAJBFABCDKL $.
      $( [15-Oct-2006] $) $( [5-Oct-2006] $)

    $( The complement of a closed set is open. $)
    cldopn $p |- ( ( J e. Top /\ S e. ( Clsd ` J ) ) -> ( X \ S ) e. J ) $=
      ( ctop wcel ccld cfv wss cdif iscld pm3.27bda ) BEFABGHFACICAJBFABCDKL $.
      $( [16-Oct-2006] $) $( [5-Oct-2006] $)

    $( A subset of the underlying set of a topology is open iff its complement
       is closed. $)
    isopn2 $p |- ( ( J e. Top /\ S (_ X ) ->
                  ( S e. J <-> ( X \ S ) e. ( Clsd ` J ) ) ) $=
      ( ctop wcel wss wa cdif ccld cfv wb difss iscld2 mpan2 wceq dfss4 biimp
      eleq1d sylan9bb bicomd ) BEFZACGZHCAIZBJKFZABFZUBUECUDIZBFZUCUFUBUDCGUEUH
      LCAMUDBCDNOUCUGABUCUGAPACQRSTUA $.
      $( [13-Oct-2006] $) $( [4-Oct-2006] $)

    $( The complement of an open set is closed. $)
    opncld $p |- ( ( J e. Top /\ S e. J ) -> ( X \ S ) e. ( Clsd ` J ) ) $=
      ( ctop wcel wa cdif ccld cfv pm3.27 wss wb eltopss isopn2 syldan mpbid )
      BEFZABFZGSCAHBIJFZRSKRSACLSTMABCDNABCDOPQ $.
      $( [16-Oct-2006] $) $( [6-Oct-2006] $)

    $( The underlying set of a topology is closed.  Part of Theorem 6.1(1) of
       [Munkres] p. 93. $)
    topcld $p |- ( J e. Top -> X e. ( Clsd ` J ) ) $=
      ( ctop wcel ccld cfv wss cdif wa c0 0opnt difid syl5eqel ssid jctil
      iscld mpbird ) ADEZBAFGEBBHZBBIZAEZJSUBTSKAUAALBMNBOPBABCQR $.
      $( [4-Oct-2006] $) $( [3-Oct-2006] $)

    $( The interior of a subset of a topology's base set is the union of all
       the open sets it includes.  Definition of interior of [Munkres]
       p. 94. $)
    ntrval $p |- ( ( J e. Top /\ S (_ X ) -> ( ( int ` J ) ` S ) =
                 U. { x e. J | x (_ S } ) $=
      ( vy vz ctop wcel wss wa cnt cfv cv cpw crab cuni wceq copab ntrfval
      adantr visset elpw anbi1i opabbii syl6eqr fveq1d cvv sseq2 rabbisdv
      unieqd eqid fvopab4g wi uniexg syl5eqel elpw2g biimprd syl imp rabexg
      sylanc eqtrd ) CHIZBDJZKZBCLMZMBFNZDOZIZGNANZVHJZACPZQZRZKZFGSZMZVKBJZACP
      ZQZVFBVGVQVFVGVHDJZVOKZFGSZVQVDVGWDRVEFGACDETUAVPWCFGVJWBVOVHDFUBUCUDUEUF
      UGBVIIZWAUHIZVRWARVFFGBVNWAVIUHVQVHBRZVMVTWGVLVSACVHBVKUIUJUKVQULUMVDVEWE
      VDDUHIZVEWEUNVDCQUHDCHUOEUPWHWEVEBDUHUQURUSUTVDWFVEVDVTUHIWFVSACHVAVTUHUO
      USUAVBVC $.
      $( [12-Sep-2006] $) $( [10-Sep-2006] $)

    $( The closure of a subset of a topology's base set is the intersection of
       all the closed sets that include it.  Definition of closure of [Munkres]
       p. 94. $)
    clsval $p |- ( ( J e. Top /\ S (_ X ) -> ( ( cls ` J ) ` S ) =
                 |^| { x e. ( Clsd ` J ) | S (_ x } ) $=
      ( vy vz ctop wcel wss wa ccl cfv cv cpw ccld crab cint wceq copab
      clsfval adantr visset elpw anbi1i opabbii syl6eqr fveq1d cvv sseq1
      rabbisdv inteqd eqid fvopab4g elpw2g biimpar cuni uniexg syl5eqel sylan
      wrex sseq2 rcla4ev topcld intexrab sylib sylanc eqtrd ) CHIZBDJZKZBCLMZMB
      FNZDOZIZGNVMANZJZACPMZQZRZSZKZFGTZMZBVPJZAVRQZRZVKBVLWCVKVLVMDJZWAKZFGTZW
      CVIVLWJSVJFGACDEUAUBWBWIFGVOWHWAVMDFUCUDUEUFUGUHBVNIZWGUIIZWDWGSVKFGBVTWG
      VNUIWCVMBSZVSWFWMVQWEAVRVMBVPUJUKULWCUMUNDUIIZVJWKVIWNWKVJBDUIUOUPVICUQUI
      DCHUREUSUTVKWEAVRVAZWLDVRIVJWOVIWEVJADVRVPDBVBVCCDEVDUTWEAVRVEVFVGVH $.
      $( [9-Oct-2006] $) $( [10-Sep-2006] $)
  $}

  $( The empty set is closed.  Part of Theorem 6.1(1) of [Munkres] p. 93. $)
  0cld $p |- ( J e. Top -> (/) e. ( Clsd ` J ) ) $=
    ( ctop wcel c0 ccld cfv cuni cdif dif0 topopn wss wb 0ss eqid iscld2 mpan2
    mpbird ) ABCZDAEFCZAGZDHZACZAUATIJRDTKSUBLTMDATTNOPQ $.
    $( [2-Jan-2007] $) $( [4-Oct-2006] $)

  ${
    $d x A $.  $d x J $.  $d x S $.
    $( The indexed intersection of a collection ` B ( x ) ` of closed sets is
       closed.  Theorem 6.1(2) of [Munkres] p. 93. $)
    iincld $p |- ( ( J e. Top /\ A =/= (/) /\ A. x e. A B e. ( Clsd ` J ) ) ->
                  |^|_ x e. A B e. ( Clsd ` J ) ) $=
      ( ctop wcel c0 wne ccld cfv wral w3a ciin cuni cdif ciun wceq wa wss
      eqid cldss ex dfss4 syl6ib r19.20sdv imp iineq2 syl 3adant2 iindif2
      3ad2ant2 eqtr3d iscld pm3.27 syl6bi iunopnt syldan wb iunss cv difss a1i
      mprgbir isopn2 mpan2 adantr mpbid eqeltrd ) DEFZBGHZCDIJZFZABKZLZABCMZDNZ
      ABVPCOZPZOZVKVNABVPVQOZMZVOVSVIVMWAVOQZVJVIVMRZVTCQZABKZWBVIVMWEVIVLWDABV
      IVLCVPSZWDVIVLWFCDVPVPTZUAUBCVPUCUDUEUFABVTCUGUHUIVJVIWAVSQVMABVPVQUJUKUL
      VIVMVSVKFZVJWCVRDFZWHVIVMVQDFZABKZWIVIVMWKVIVLWJABVIVLWFWJRWJCDVPWGUMWFWJ
      UNUOUEUFABVQDUPUQVIWIWHURZVMVIVRVPSZWLWMVQVPSZABABVQVPUSWNAUTBFVPCVAVBVCV
      RDVPWGVDVEVFVGUIVH $.
      $( [17-Oct-2006] $) $( [5-Oct-2006] $)

    $( The intersection of a set of closed sets is closed. $)
    intcld $p |- ( ( J e. Top /\ A =/= (/) /\ A (_ ( Clsd ` J ) ) ->
                  |^| A e. ( Clsd ` J ) ) $=
      ( vx ctop wcel c0 wne ccld cfv wss w3a cv ciin cint wral iincld dfss3
      syl3an3b intiin syl5eqel ) BDEZAFGZABHIZJZKCACLZMZUCANUAUBUEUCECAOUFUCEUD
      CAUEBPCAUCQRCAST $.
      $( [17-Oct-2006] $) $( [5-Oct-2006] $)

    $( The union of two closed sets is closed.  Equivalent to Theorem 6.1(3) of
       [Munkres] p. 93. $)
    uncld $p |- ( ( J e. Top /\ A e. ( Clsd ` J ) /\ B e. ( Clsd ` J ) ) ->
                 ( A u. B ) e. ( Clsd ` J ) ) $=
      ( ctop wcel ccld cfv cun wa cuni cdif cin eqid cldopn anim12i anandis
      inopnt 3expb syldan difundi syl5eqel wss wb cldss unss sylib iscld2
      mpbird 3impb ) CDEZACFGZEZBUKEZABHZUKEZUJULUMIZIZUOCJZUNKZCEZUQURAKZURBKZ
      LZCUSUJUPVACEZVBCEZIZVCCEZUJULUMVFUJULIZVDUJUMIZVEACURURMZNBCURVJNOPUJVDV
      EVGVAVBCQRSURABTUAUJUPUNURUBZUOUTUCUQAURUBZBURUBZIZVKUJULUMVNVHVLVIVMACUR
      VJUDBCURVJUDOPABURUEUFUNCURVJUGSUHUI $.
      $( [10-Jun-2007] $) $( [5-Oct-2006] $)

    $( A closed subset equals its own closure. $)
    cldcls $p |- ( ( J e. Top /\ S e. ( Clsd ` J ) ) ->
                 ( ( cls ` J ) ` S ) = S ) $=
      ( vx ctop wcel ccld cfv wa cuni wss ccl wceq eqid cldss cv crab cint
      clsval intmin sylan9eq an1rs mpdan ) BDEZABFGZEZHABIZJZABKGGZALZABUFUFMZN
      UCUGUEUIUCUGHUEUHACOJCUDPQACABUFUJRCAUDSTUAUB $.
      $( [16-Mar-2007] $) $( [15-Mar-2007] $)
  $}

  ${
    $d x y z J $.  $d x P $.  $d x y z S $.  $d x U $.  $d x y z X $.
    $d x T $.
    clscld.1 $e |- X = U. J $.
    $( The closure of a subset of a topology's underlying set is closed. $)
    clscld $p |- ( ( J e. Top /\ S (_ X ) ->
                 ( ( cls ` J ) ` S ) e. ( Clsd ` J ) ) $=
      ( vx ctop wcel wss wa ccl cfv cv ccld crab cint clsval c0 wne intcld
      pm3.26 topcld anim1i sseq2 elrab sylibr ne0i syl ssrab2 a1i syl3anc
      eqeltrd ) BFGZACHZIZABJKKAELZHZEBMKZNZOZUQEABCDPULURQRZURUQHZUSUQGUNURBSU
      LUMTUNCURGZUTUNCUQGZUMIVBULVCUMBCDUAUBUPUMECUQUOCAUCUDUEURCUFUGVAUNUPEUQU
      HUIUJUK $.
      $( [21-Oct-2006] $) $( [4-Oct-2006] $)

    $( The interior of a subset of a topology's underlying set is open. $)
    ntropn $p |- ( ( J e. Top /\ S (_ X ) -> ( ( int ` J ) ` S ) e. J ) $=
      ( vx ctop wcel wss wa cnt cfv cv crab cuni ntrval ssrab2 uniopnt mpan2
      adantr eqeltrd ) BFGZACHZIABJKKELAHZEBMZNZBEABCDOUAUEBGZUBUAUDBHUFUCEBPUD
      BQRST $.
      $( [21-Sep-2006] $) $( [11-Sep-2006] $)

    $( Express closure in terms of interior. $)
    clsval2 $p |- ( ( J e. Top /\ S (_ X ) -> ( ( cls ` J ) ` S ) =
                 ( X \ ( ( int ` J ) ` ( X \ S ) ) ) ) $=
      ( vy vz vx ctop wcel wss wa cv cdif crab cuni ccld cfv cint cnt ccl wn
      wi wral cldopn wceq sseq1 eleq2 negbid imbi12d rcla4v syl adantrl sscon
      a1i neldif ex imim12d ad2antrl syld exp32 com34 imp3a r19.21adv adantr
      topcld sseq2 com23 imp opncld adantlr ssconb biimpd eltopss sylan an1rs
      eldifn r19.21adva jcad impbid eldif wrex ralnex imnan ancom negbii bitr
      ralbii elunirab 3bitr4r anbi2i visset elintrab 3bitr4g eqrdv ntrval
      difss sylan2 difeq2d clsval 3eqtr4rd ) BHIZACJZKZCELZCAMZJZEBNOZMZAFLZJZF
      BPQZNRZCXEBSQQZMABTQQXCGXHXLXCGLZCIZXFXNXDIZUAZUBZEBUCZKZXJXNXIIZUBZFXKUC
      ZXNXHIZXNXLIXCXTYCXAXTYCUBXBXAXTYBFXKXAXOXSXIXKIZYBUBXAXOYEXSYBXAXOYEXSYB
      UBXAXOYEKKXSCXIMZXEJZXNYFIZUAZUBZYBXAYEXSYJUBZXOXAYEKYFBIYKXIBCDUDXRYJEYF
      BXDYFUEZXFYGXQYIXDYFXEUFYLXPYHXDYFXNUGUHUIUJUKULXOYJYBUBXAYEXOXJYGYIYAXJY
      GUBXOAXICUMUNXOYIYAXNCXIUOUPUQURUSUTVAVBVCVDXCYCXOXSXAXBYCXOUBXAYCXBXOXAC
      XKIYCXBXOUBZUBBCDVEYBYMFCXKXICUEXJXBYAXOXICAVFXICXNUGUIUJUKVGVHXCYCXREBXC
      XDBIZKZYCACXDMZJZXNYPIZUBZXRXAYNYCYSUBZXBXAYNKZYPXKIYTXDBCDVIYBYSFYPXKXIY
      PUEXJYQYAYRXIYPAVFXIYPXNUGUIUJUKVJYOXFYQYRXQXAYNXBXFYQUBZXDCJZXBUUBUUAUUC
      XBKXFYQXDACVKVLXDBCDVMVNVOYRXQUBYOXNCXDVPUNUQUSVQVRVSYDXOXNXGIZUAZKXTXNCX
      GVTUUEXSXOXPXFKZUAZEBUCUUFEBWAZUAXSUUEUUFEBWBXRUUGEBXRXFXPKZUAUUGXFXPWCUU
      IUUFXFXPWDWEWFWGUUDUUHXFEXNBWHWEWIWJWFXJFXNXKGWKWLWMWNXCXMXGCXAXECJZXMXGU
      EXBEXEBCDWOUUJXBCAWPUNWQWRFABCDWSWT $.
      $( [16-Oct-2006] $) $( [10-Sep-2006] $)

    $( Interior expressed in terms of closure. $)
    ntrval2 $p |- ( ( J e. Top /\ S (_ X ) ->
                 ( ( int ` J ) ` S ) = ( X \ ( ( cls ` J ) ` ( X \ S ) ) ) ) $=
      ( ctop wcel wss wa cdif ccl cfv cnt wceq difss clsval2 mpan2 adantr
      dfss4 biimp fveq2d adantl difeq2d eqtrd ntropn eltopss syldan sylib
      eqtr2d ) BEFZACGZHZCCAIZBJKKZICCABLKZKZIZIZUOUKUMUPCUKUMCCULIZUNKZIZUPUIU
      MUTMZUJUIULCGVACANULBCDOPQUKUSUOCUJUSUOMUIUJURAUNUJURAMACRSTUAUBUCUBUKUOC
      GZUQUOMUIUJUOBFVBABCDUDUOBCDUEUFUOCRUGUH $.
      $( [15-Dec-2007] $) $( [1-Oct-2007] $)

    $( Subset relationship for closure. $)
    clsss $p |- ( ( J e. Top /\ S (_ X /\ T (_ S ) -> ( ( cls ` J ) ` T ) (_
                 ( ( cls ` J ) ` S ) ) $=
      ( vx ctop wcel wss w3a cv ccld cfv crab cint ccl wi sstr2 adantr
      ss2rabdv intss syl 3ad2ant3 wceq clsval 3simp1 impcom 3adant1 sylanc
      3adant3 3sstr4d ) CGHZADIZBAIZJZBFKZIZFCLMZNZOZAUPIZFURNZOZBCPMZMZAVDMZUN
      ULUTVCIZUMUNVBUSIVGUNVAUQFURUNVAUQQUPURHBAUPRSTVBUSUAUBUCULBDIZVEUTUDUOFB
      CDEUEULUMUNUFUMUNVHULUNUMVHBADRUGUHUIULUMVFVCUDUNFACDEUEUJUK $.
      $( [17-Feb-2007] $) $( [10-Feb-2007] $)

    $( Subset relationship for interior. $)
    ntrss $p |- ( ( J e. Top /\ S (_ X /\ T (_ S ) -> ( ( int ` J ) ` T ) (_
                 ( ( int ` J ) ` S ) ) $=
      ( ctop wcel wss cnt cfv wa cdif ccl clsss 3expb sscon adantl difss jctil
      sylan2 syl wceq ntrval2 sstr2 impcom adantrr 3sstr4d 3impb ) CFGZADHZBAHZ
      BCIJZJZAULJZHUIUJUKKZKZDDBLZCMJZJZLZDDALZURJZLZUMUNUPVBUSHZUTVCHUIUQDHZVA
      UQHZKVDUOUIVEVFVDUQVACDENOUOVFVEUKVFUJBADPQDBRSTVBUSDPUAUIBDHZUMUTUBUOBCD
      EUCUKUJVGBADUDUETUIUJUNVCUBUKACDEUCUFUGUH $.
      $( [21-Feb-2008] $) $( [3-Oct-2007] $)

    $( A subset of a topology's underlying set is included in its closure. $)
    sscls $p |- ( ( J e. Top /\ S (_ X ) -> S (_ ( ( cls ` J ) ` S ) ) $=
      ( vx ctop wcel wss wa cv ccld cfv crab cint ccl ssintub a1i clsval
      sseqtr4d ) BFGACHIZAAEJHEBKLZMNZABOLLAUBHTEAUAPQEABCDRS $.
      $( [22-Feb-2007] $) $( [22-Feb-2007] $)

    $( A subset includes its interior. $)
    ntrss2 $p |- ( ( J e. Top /\ S (_ X ) -> ( ( int ` J ) ` S ) (_ S ) $=
      ( vx vy ctop wcel wss wa cnt cfv cv crab cuni ntrval wrex elunirab wi
      ssel impcom a1i r19.23aiv sylbi ssriv eqsstrd ) BGHACIJZABKLLEMZAIZEBNOZA
      EABCDPUJAIUGFUJAFMZUJHUKUHHZUIJZEBQUKAHZUIEUKBRUMUNEBUMUNSUHBHUIULUNUHAUK
      TUAUBUCUDUEUBUF $.
      $( [18-Jan-2008] $) $( [3-Oct-2007] $)

    $( The closure of a subset of a topological space is included in the
       space. $)
    clsss3 $p |- ( ( J e. Top /\ S (_ X ) -> ( ( cls ` J ) ` S ) (_ X ) $=
      ( ctop wcel wss ccl cfv ccld clscld cldss syldan ) BEFACGABHIIZBJIFNCGABC
      DKNBCDLM $.
      $( [1-Mar-2007] $) $( [26-Feb-2007] $)

    $( The interior of a subset of a topological space is included in the
       space. $)
    ntrss3 $p |- ( ( J e. Top /\ S (_ X ) -> ( ( int ` J ) ` S ) (_ X ) $=
      ( ctop wcel wss cnt cfv ntropn eltopss syldan ) BEFACGABHIIZBFMCGABCDJMBC
      DKL $.
      $( [18-Feb-2008] $) $( [1-Oct-2007] $)

    $( The complement of a closure is open. $)
    cmclsopn $p |- ( ( J e. Top /\ S (_ X ) ->
                 ( X \ ( ( cls ` J ) ` S ) ) e. J ) $=
      ( ctop wcel wss wa ccl cfv cdif cnt clsval2 difeq2d wceq difss ntropn
      mpan2 eltopss mpdan dfss4 sylib eqeltrd adantr ) BEFZACGZHZCABIJJZKCCCAKZ
      BLJJZKZKZBUGUHUKCABCDMNUEULBFUFUEULUJBUEUJCGZULUJOUEUJBFZUMUEUICGUNCAPUIB
      CDQRZUJBCDSTUJCUAUBUOUCUDUC $.
      $( [27-Feb-2007] $) $( [11-Sep-2006] $)

    $( The complement of an interior is closed. $)
    cmntrcld $p |- ( ( J e. Top /\ S (_ X ) ->
                 ( X \ ( ( int ` J ) ` S ) ) e. ( Clsd ` J ) ) $=
      ( ctop wcel wss wa cnt cfv cdif ccl ccld ntrval2 difeq2d wceq difss
      clsss3 mpan2 dfss4 sylib clscld eqeltrd adantr ) BEFZACGZHZCABIJJZKCCCAKZ
      BLJJZKZKZBMJZUGUHUKCABCDNOUEULUMFUFUEULUJUMUEUJCGZULUJPUEUICGZUNCAQZUIBCD
      RSUJCTUAUEUOUJUMFUPUIBCDUBSUCUDUC $.
      $( [22-Apr-2008] $) $( [1-Oct-2007] $)

    $( A subset is closed iff it equals its own closure. $)
    iscld3 $p |- ( ( J e. Top /\ S (_ X ) -> ( S e. ( Clsd ` J ) <->
                 ( ( cls ` J ) ` S ) = S ) ) $=
      ( ctop wcel wss wa ccld cfv ccl wceq wi cldcls ex adantr eleq1 clscld
      syl5cbi impbid ) BEFZACGZHZABIJZFZABKJJZALZUAUEUGMUBUAUEUGABNOPUGUFUDFUEU
      CUFAUDQABCDRST $.
      $( [26-Feb-2007] $) $( [2-Oct-2006] $)

    $( A subset is closed iff it contains its own closure. $)
    iscld4 $p |- ( ( J e. Top /\ S (_ X ) -> ( S e. ( Clsd ` J ) <->
                 ( ( cls ` J ) ` S ) (_ S ) ) $=
      ( ctop wcel wss wa ccld cfv ccl wceq iscld3 sscls biantrud eqss syl6rbbr
      bitrd ) BEFACGHZABIJFABKJJZALZTAGZABCDMSUBUBATGZHUASUCUBABCDNOTAPQR $.
      $( [2-Feb-2008] $) $( [31-Jan-2008] $)

    $( A subset is open iff it equals its own interior. $)
    isopn3 $p |- ( ( J e. Top /\ S (_ X ) -> ( S e. J <->
                 ( ( int ` J ) ` S ) = S ) ) $=
      ( vx ctop wcel wss wa cnt cfv wceq cv crab cuni ntrval unimax sylan9eq
      ex eleq1 ntropn syl5cbi impbid ) BFGACHIZABGZABJKKZALZUDUEUGUDUEUFEMAHEBN
      OAEABCDPEABQRSUGUFBGUEUDUFABTABCDUAUBUC $.
      $( [10-Oct-2006] $) $( [9-Oct-2006] $)

    $( The closure operation is idempotent. $)
    clsidm $p |- ( ( J e. Top /\ S (_ X ) ->
               ( ( cls ` J ) ` ( ( cls ` J ) ` S ) ) = ( ( cls ` J ) ` S ) ) $=
      ( ctop wcel wss wa ccl cfv ccld wceq clscld wb clsss3 iscld3 syldan
      mpbid ) BEFZACGZHABIJZJZBKJFZUBUAJUBLZABCDMSTUBCGUCUDNABCDOUBBCDPQR $.
      $( [28-Apr-2008] $) $( [2-Oct-2007] $)

    $( The interior operation is idempotent. $)
    ntridm $p |- ( ( J e. Top /\ S (_ X ) ->
               ( ( int ` J ) ` ( ( int ` J ) ` S ) ) = ( ( int ` J ) ` S ) ) $=
      ( ctop wcel wss wa cnt cfv wceq ntropn wb ntrss3 isopn3 syldan mpbid ) BE
      FZACGZHABIJZJZBFZUATJUAKZABCDLRSUACGUBUCMABCDNUABCDOPQ $.
      $( [4-May-2008] $) $( [2-Oct-2007] $)

    $( The closure of a topology's underlying set is entire set. $)
    clstop $p |- ( J e. Top -> ( ( cls ` J ) ` X ) = X ) $=
      ( ctop wcel ccld cfv ccl wceq topcld wss wb ssid iscld3 mpan2 mpbid ) ADE
      ZBAFGEZBAHGGBIZABCJQBBKRSLBMBABCNOP $.
      $( [18-May-2008] $) $( [5-Oct-2007] $)

    $( The interior of a topology's underlying set is entire set. $)
    ntrtop $p |- ( J e. Top -> ( ( int ` J ) ` X ) = X ) $=
      ( ctop wcel cnt cfv wceq topopn wss wb ssid isopn3 mpan2 mpbid ) ADEZBAEZ
      BAFGGBHZABCIPBBJQRKBLBABCMNO $.
      $( [24-Sep-2006] $) $( [12-Sep-2006] $)

    $( A subset with an empty interior cannot cover a whole (nonempty)
       topology. $)
    0ntr $p |- ( ( ( J e. Top /\ X =/= (/) ) /\ ( S (_ X
               /\ ( ( int ` J ) ` S ) = (/) ) ) -> ( X \ S ) =/= (/) ) $=
      ( ctop wcel wss cnt cfv c0 wceq wa wne cdif wi fveq2 ntrtop sylan9eqr
      eqeq1d biimpd ex eqss syl5ibr exp3a com34 imp32 ssdif0 necon3d imp an1rs
      ) BEFZACGZABHIZIZJKZLZCJMZCANZJMZUKUPLZUQUSUTURJCJUTCAGZCJKZURJKUKULUOVAV
      BOUKULVAUOVBUKULVAUOVBOZUKACKZVCULVALUKVDVCUKVDLZUOVBVEUNCJVDUKUNCUMICACU
      MPBCDQRSTUAACUBUCUDUEUFCAUGUCUHUIUJ $.
      $( [2-Nov-2006] $) $( [12-Sep-2006] $)

    $( If a subset is included in a closed set, so is the subset's closure. $)
    clsss2 $p |- ( ( J e. Top /\ C e. ( Clsd ` J ) /\ S (_ C ) ->
                 ( ( cls ` J ) ` S ) (_ C ) $=
      ( ctop wcel ccld cfv wss w3a ccl clsss cldss 3adant3 syld3an2 wceq
      cldcls sseqtrd ) CFGZACHIGZBAJZKBCLIZIZAUCIZATADJZUBUDUEJUAABCDEMTUAUFUBA
      CDENOPTUAUEAQUBACROS $.
      $( [28-Feb-2007] $) $( [22-Feb-2007] $)

    $( Membership in a closure.  Theorem 6.5(a) of [Munkres] p. 95. $)
    elcls $p |- ( ( J e. Top /\ S (_ X /\ P e. X ) -> ( P e. ( ( cls ` J ) ` S
                ) <-> A. x e. J ( P e. x -> ( x i^i S ) =/= (/) ) ) ) $=
      ( ctop wcel wss w3a ccl cfv cv cin c0 wne wi wral wn wa wrex cdif wceq
      eleq2 ineq1 neeq1d negbid anbi12d rcla4ev cmclsopn 3adant3 adantr eldif
      biimpr 3ad2antl3 pm3.27 sscls jca ssin sylib dfin4 syl6ss wb reldisj
      adantl mpbird nne incom eqeq1i bitr sylibr sylanc ccld clsss2 pm3.26
      ad2antrr opncld adantlr biimpa adantll syl3anc sseld eldifn syl6 con2d
      df-ne con2bii sylan2br exp31 com34 imp4a r19.23adv imp 3adantl3 impbida
      rexanali syl6bb con4bid ) DGHZCEIZBEHZJZBCDKLLZHZBAMZHZXECNZOPZQADRZXBXDS
      ZXFXHSZTZADUAZXISXBXJXMEXCUBZDHZBXNHZXNCNZOPZSZTZXMXBXJTZXLXTAXNDXEXNUCZX
      FXPXKXSXEXNBUDYBXHXRYBXGXQOXEXNCUEUFUGUHUIXBXOXJWSWTXOXACDEFUJUKULYAXPXSX
      AWSXJXPWTXPXAXJTBEXCUMUNUOXBXSXJWSWTXSXAWSWTTZCXNNZOUCZXSYCYECEXNUBZIZYCC
      EXCNZYFYCWTCXCIZTCYHIYCWTYIWSWTUPCDEFUQURCEXCUSUTEXCVAVBWTYEYGVCWSCXNEVDV
      EVFXSXQOUCYEXQOVGXQYDOXNCVHVIVJVKUKULURVLWSWTXMXJXAYCXMXJYCXLXJADYCXEDHZX
      FXKXJYCYJXKXFXJYCYJXKXFXJQZYCYJTZCXENZOUCZYKXKYLYNTZXDXFYOXDBEXEUBZHXFSYO
      XCYPBWSYPDVMLHZCYPIZXCYPIYOYPCDEFVNYCWSYJYNWSWTVOVPYLYQYNWSYJYQWTXEDEFVQV
      RULYCYNYRYJWTYNYRWSWTYNYRCXEEVDVSVTVRWAWBBEXEWCWDWEYNXGOUCZXKYMXGOCXEVHVI
      XHYSXGOWFWGVJWHWIWJWKWLWMWNWOXFXHADWPWQWR $.
      $( [28-Feb-2007] $) $( [22-Feb-2007] $)

    $( Membership in a closure. $)
    elcls2 $p |- ( ( J e. Top /\ S (_ X ) -> ( P e. ( ( cls ` J ) ` S
         ) <-> ( P e. X /\ A. x e. J ( P e. x -> ( x i^i S ) =/= (/) ) ) ) ) $=
      ( ctop wcel wss wa ccl cfv cv cin c0 wne wi wral wb clsss3 ssel pm4.71rd
      syl elcls 3expa pm5.32da bitrd ) DGHZCEIZJZBCDKLLZHZBEHZULJZUMBAMZHUOCNOP
      QADRZJUJUKEIZULUNSCDEFTUQULUMUKEBUAUBUCUJUMULUPUHUIUMULUPSABCDEFUDUEUFUG
      $.
      $( [16-Mar-2007] $) $( [5-Mar-2007] $)

    $( Any open set containing a point that belongs to the closure of a subset
       intersects the subset.  One direction of Theorem 6.5(a) of [Munkres]
       p. 95. $)
    clsndisj $p |- ( ( ( J e. Top /\ S (_ X /\ P e. ( ( cls ` J ) ` S ) ) /\
               ( U e. J /\ P e. U ) ) -> ( U i^i S ) =/= (/) ) $=
      ( vx cv wcel cin c0 wne wi wral wa ctop wss ccl cfv w3a wceq eleq2 ineq1
      neeq1d imbi12d rcla4cv imp32 elcls biimpa 3simp1 3simp2 clsss3 sseld
      3impia 3jca 3simp3 sylanc sylan ) AGHZIZUSBJZKLZMZGDNZCDIZACIZOCBJZKLZDPI
      ZBEQZABDRSSZIZTZVDVEVFVHVCVFVHMGCDUSCUAZUTVFVBVHUSCAUBVNVAVGKUSCBUCUDUEUF
      UGVIVJAEIZTZVLVDVMVPVLVDGABDEFUHUIVMVIVJVOVIVJVLUJVIVJVLUKVIVJVLVOVIVJOVK
      EABDEFULUMUNUOVIVJVLUPUQUR $.
      $( [2-Mar-2007] $) $( [26-Feb-2007] $)

    $( A subset whose closure has an empty interior also has an empty
       interior. $)
    ntrcls0 $p |- ( ( J e. Top /\ S (_ X /\ ( ( int ` J ) `
                ( ( cls ` J ) ` S ) ) = (/) ) -> ( ( int ` J ) ` S ) = (/) ) $=
      ( ctop wcel wss ccl cfv cnt c0 wceq w3a wa ntrss pm3.26 clsss3 sscls
      syl3anc 3adant3 wb sseq2 3ad2ant3 mpbid ss0 syl ) BEFZACGZABHIIZBJIZIZKLZ
      MZAUJIZKGZUNKLUMUNUKGZUOUGUHUPULUGUICGAUIGUPUGUHNUIABCDOUGUHPABCDQABCDRST
      ULUGUPUOUAUHUKKUNUBUCUDUNUEUF $.
      $( [20-May-2008] $) $( [4-Oct-2007] $)

    $( Two ways to say that a subset has an empty interior. $)
    ntreq0 $p |- ( ( J e. Top /\ S (_ X ) -> ( ( ( int ` J ) ` S ) = (/) <->
               A. x e. J ( x (_ S -> x = (/) ) ) ) $=
      ( vy ctop wcel wss wa cnt cfv c0 wceq cv crab cuni wi wral ntrval eqeq1d
      wn wal wb wrex elunirab negbii noel bibif ax-mp ralnex 3bitr4 albii
      dfcleq ralcom4 wex n0 imbi1i 19.23v imnan 3bitr2r pm4.1 bitr4 ralbii
      bitr syl6bb ) CGHBDIJZBCKLLZMNAOZBIZACPQZMNZVJVIMNZRZACSZVGVHVKMABCDETUAV
      LFOZVIHZVJJZUBZFUCZACSZVOVPVKHZVPMHZUDZFUCVSACSZFUCVLWAWDWEFWBUBZVRACUEZU
      BWDWEWBWGVJAVPCUFUGWCUBWDWFUDVPUHWBWCUIUJVRACUKULUMFVKMUNVSAFCUOULVTVNACV
      TVMUBZVJUBZRZVNWJVQFUPZWIRVQWIRZFUCVTWHWKWIFVIUQURVQWIFUSWLVSFVQVJUTUMVAV
      JVMVBVCVDVEVF $.
      $( [13-Nov-2007] $) $( [3-Oct-2007] $)
  $}

  $( The closure of the empty set. $)
  cls0 $p |- ( J e. Top -> ( ( cls ` J ) ` (/) ) = (/) ) $=
    ( ctop wcel c0 ccld cfv ccl wceq 0cld cuni wss wb 0ss eqid iscld3 mpan2
    mpbid ) ABCZDAEFCZDAGFFDHZAIRDAJZKSTLUAMDAUAUANOPQ $.
    $( [23-May-2008] $) $( [2-Oct-2007] $)

  $( The interior of the empty set. $)
  ntr0 $p |- ( J e. Top -> ( ( int ` J ) ` (/) ) = (/) ) $=
    ( ctop wcel c0 cnt cfv wceq 0opnt cuni wss wb 0ss eqid isopn3 mpan2 mpbid
    ) ABCZDACZDAEFFDGZAHQDAIZJRSKTLDATTMNOP $.
    $( [15-Jun-2008] $) $( [2-Oct-2007] $)

  ${
    $d x y z B $.  $d x J $.  $d x y z P $.  $d x y z S $.  $d x U $.
    $d x X $.
    elcls3.1 $e |- J = ( topGen ` B ) $.
    elcls3.2 $e |- X = U. J $.
    $( Membership in a closure in terms of the members of a basis.  Theorem
       6.5(b) of [Munkres] p. 95. $)
    elcls3 $p |- ( ( B e. Bases /\ S (_ X /\ P e. X ) -> ( P e. ( ( cls ` J ) `
                 S ) <-> A. x e. B ( P e. x -> ( x i^i S ) =/= (/) ) ) ) $=
      ( vy vz ctb wcel wss w3a ccl cfv cv cin c0 wne wi wral ctop wb elcls ctg
      tgclt syl5eqel syl3an1 bastgt syl6ssr sseld imim1d r19.20dv2 3ad2ant1 wa
      wrex tg2t eleq2i syl3an2b 3expb adantlr wceq ssdisj ex necon3d eleq2
      ineq1 neeq1d imbi12d rcla4cva imp syl5com exp31 imp4a r19.23adv ad2antlr
      mpd exp43 r19.21adv cbvralv syl5ib impbid bitrd ) BKLZDFMZCFLZNZCDEOPPLZC
      AQZLZWJDRZSTZUAZAEUBZWNABUBZEUCLWFWGWIWOUDWEACDEFHUEWEBUFPZUCEBUGGUHUIWHW
      OWPWEWFWOWPUAWGWEWNWNAEBWEWJBLWJELZWNWEBEWJWEBWQEBUJGUKULUMUNUOWEWFWPWOUA
      WGWECIQZLZWSDRZSTZUAZIBUBZWOWPWEXDWNAEWEXDWRWKWMWEXDUPWRWKUPZUPCJQZLZXFWJ
      MZUPZJBUQZWMWEXEXJXDWEWRWKXJWEWJWQLWKXJWRJWJBCUREWQWJGUSUTVAVBXDXJWMUAWEX
      EXDXIWMJBXDXFBLZXGXHWMXDXKXGXHWMUAXHXFDRZSTZWMXDXKUPZXGUPXHWLSXLSXHWLSVCX
      LSVCXFWJDVDVEVFXNXGXMXCXGXMUAIXFBWSXFVCZWTXGXBXMWSXFCVGXOXAXLSWSXFDVHVIVJ
      VKVLVMVNVOVPVQVRVSVTWNXCAIBWJWSVCZWKWTWMXBWJWSCVGXPWLXASWJWSDVHVIVJWAWBUO
      WCWD $.
      $( [13-Mar-2007] $) $( [26-Feb-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Neighborhoods
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c nei $.

  $( Extend class notation with neighborhood relation for topologies. $)
  cnei $a class nei $.

  ${
    $d g j y v w z $.
    $( Define a function on topologies whose value is a map from a subset to
       its neighborhoods. $)
    df-nei $a |-  nei = { <. j , y >. | ( j e. Top /\ y = { <. z , v >. |
                         ( z (_ U. j /\ v = { w | ( w (_ U. j /\
                  E. g e. j ( z (_ g /\ g (_ w ) ) } ) } ) } $.
  $}

  ${
    $d g j v w y z J $.  $d g v z N $.  $d g P $.  $d g v w z S $.
    $d g j v w y z X $.
    neifval.1 $e |- X = U. J $.
    $( The neighborhood function on the subsets of a topology's base set. $)
    neifval $p |- ( J e. Top -> ( nei ` J ) =  { <. z , w >. |
                         ( z (_ X /\ w = { v | ( v (_ X /\
                  E. g e. J ( z (_ g /\ g (_ v ) ) } ) } ) $=
      ( vj vy ctop wcel cv wss wa wrex cab wceq copab cvv cnei cfv cpw cuni
      uniexg syl5eqel pwexg opabex2g 3syl visset elpw anbi1i opabbii syl5eqelr
      unieq syl6eqr sseq2d rexeq1 anbi12d abbidv eqeq2d opabbidv df-nei
      fvopab4g mpdan ) EJKZALZFMZBLZCLZFMZVFDLZMVKVIMNZDEOZNZCPZQZNZABRZSKETUAV
      RQVEVFFUBZKZVPNZABRZSVRVEFSKVSSKWBSKVEEUCZSFEJUDGUEFSUFABVSVOSUGUHWAVQABV
      TVGVPVFFAUIUJUKULUMHIEVFHLZUCZMZVHVIWEMZVLDWDOZNZCPZQZNZABRVRJSTWDEQZWLVQ
      ABWMWFVGWKVPWMWEFVFWMWEWCFWDEUNGUOZUPWMWJVOVHWMWIVNCWMWGVJWHVMWMWEFVIWNUP
      VLDWDEUQURUSUTURVAIACBDHVBVCVD $.
      $( [15-Feb-2007] $) $( [11-Feb-2007] $)

    $( The neighborhood function is a function of the subsets of a topology's
       base set. $)
    neif $p |- ( J e. Top -> ( nei ` J ) Fn P~ X ) $=
      ( vz vw vv vg ctop wcel cnei cfv cpw wfn cv wss wa wrex cab wceq copab
      cvv wral cuni uniexg syl5eqel abssexg syl a1d r19.21aiv visset elpw
      anbi1i opabbii eqcomi fnopab2g sylib wb neifval fneq1 mpbird ) AHIZAJKZBL
      ZMZDNZBOZENFNZBOVEGNZOVHVGOPGAQZPFRZSZPZDETZVCMZVAVJUAIZDVCUBVNVAVODVCVAV
      OVEVCIZVABUAIVOVAAUCUABAHUDCUEVIFBUAUFUGUHUIDEVCVJVMVPVKPZDETVMVQVLDEVPVF
      VKVEBDUJUKULUMUNUOUPVAVBVMSVDVNUQDEFGABCURVCVBVMUSUGUT $.
      $( [15-Feb-2007] $) $( [12-Feb-2007] $)

    $( A set with a neighborhood is a subset of the topology's base set.  (This
       theorem depends on a function's value being empty outside of its domain,
       but it will make later theorems simpler to state.) $)
    neiss2 $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) -> S (_ X ) $=
      ( ctop wcel cnei cfv wa cpw wss cdm elfvdm adantl wb wfn wceq neif fndm
      syl eleq2d adantr mpbid cvv cuni uniexg syl5eqel elpw2g ) BFGZCABHIZIGZJZ
      ADKZGZADLZUMAUKMZGZUOULURUJCAUKNOUJURUOPULUJUQUNAUJUKUNQUQUNRBDESUNUKTUAU
      BUCUDUJUOUPPZULUJDUEGUSUJBUFUEDBFUGEUHADUEUIUAUCUD $.
      $( [15-Feb-2007] $) $( [12-Feb-2007] $)

    $( The set of neighborhoods of a subset of the base set of a topology. $)
    neival $p |- ( ( J e. Top /\ S (_ X ) -> ( ( nei ` J ) ` S ) =
                 { v | ( v (_ X /\ E. g e. J ( S (_ g /\ g (_ v ) ) } ) $=
      ( vz vw ctop wcel wss wa cnei cfv cv cpw wrex cab wceq copab neifval
      adantr visset elpw anbi1i opabbii syl6eqr fveq1d cvv sseq1 anbi1d
      rexbidv anbi2d abbidv eqid fvopab4g elpw2g biimpar cuni uniexg syl5eqel
      sylan abssexg syl sylanc eqtrd ) DIJZBEKZLZBDMNZNBGOZEPZJZHOAOZEKZVKCOZKZ
      VPVNKZLZCDQZLZARZSZLZGHTZNZVOBVPKZVRLZCDQZLZARZVIBVJWEVIVJVKEKZWCLZGHTZWE
      VGVJWNSVHGHACDEFUAUBWDWMGHVMWLWCVKEGUCUDUEUFUGUHBVLJZWKUIJZWFWKSVIGHBWBWK
      VLUIWEVKBSZWAWJAWQVTWIVOWQVSWHCDWQVQWGVRVKBVPUJUKULUMUNWEUOUPEUIJZVHWOVGW
      RWOVHBEUIUQURVGDUSUIEDIUTFVAZVBVGWPVHVGWRWPWSWIAEUIVCVDUBVEVF $.
      $( [16-Feb-2007] $) $( [11-Feb-2007] $)

    $( The predicate " ` N ` is a neighborhood of ` S ` ."  (Contributed
       by FL, 25-Sep-2006.) $)
    isnei $p |- ( ( J e. Top /\ S (_ X ) -> ( N e. ( ( nei ` J ) ` S ) <->
                 ( N (_ X /\ E. g e. J ( S (_ g /\ g (_ N ) ) ) ) $=
      ( vv ctop wcel wss wa cnei cfv cv wrex cab neival eleq2d cvv wi wb ssexg
      cuni uniexg syl5eqel sylan2 expcom adantr adantrd wceq sseq1 sseq2
      anbi2d rexbidv anbi12d elab3g syl bitrd ) CHIZAEJZKZDACLMMZIDGNZEJZABNZJZ
      VEVCJZKZBCOZKZGPZIZDEJZVFVEDJZKZBCOZKZVAVBVKDGABCEFQRVAVQDSIZTVLVQUAVAVMV
      RVPUSVMVRTUTVMUSVRVMESIVRUSDESUBUSCUCSECHUDFUEUFUGUHUIVJVQGDSVCDUJZVDVMVI
      VPVCDEUKVSVHVOBCVSVGVNVFVCDVEULUMUNUOUPUQUR $.
      $( [16-Feb-2007] $) $( [11-Feb-2007] $)

    $( An intuitive definition of a neighborhood in terms of interior.
       (Contributed by Szymon Jaroszewicz, 18-Dec-2007.) $)
    neiint $p |- ( ( J e. Top /\ S (_ X /\ N (_ X ) ->
           ( N e. ( ( nei ` J ) ` S ) <-> S (_ ( ( int ` J ) ` N ) ) ) $=
      ( vv vg vz ctop wcel wss w3a cv wa wrex crab cuni cnei cfv cnt ssuni
      sseq1 elrab sylan2br an1s r19.23aiva adantl wceq sseq2 anbi12d rcla4ev
      ssrab2 uniopnt mpan2 3ad2ant1 unissb pm3.27bi mprgbir jctr syl2an ex
      3simp3 jctild impbid2 wb isnei 3adant3 ntrval 3adant2 sseq2d 3bitr4d ) BI
      JZADKZCDKZLZVNAFMZKZVPCKZNZFBOZNZAGMZCKZGBPZQZKZCABRSSJZACBTSSZKVOWAWFVTW
      FVNVSWFFBVQVPBJZVRWFVQVPWDJWFWIVRNAVPWDUAWCVRGVPBWBVPCUBUCUDUEUFUGVOWFVTV
      NVOWFVTWEBJZWFWECKZNZVTVOWFVSWLFWEBVPWEUHVQWFVRWKVPWEAUIVPWECUBUJUKVLVMWJ
      VNVLWDBKWJWCGBULWDBUMUNUOWFWKWKHMZCKZHWDHWDCUPWMWDJWMBJWNWCWNGWMBWBWMCUBU
      CUQURUSUTVAVLVMVNVBVCVDVLVMWGWAVEVNAFBCDEVFVGVOWHWEAVLVNWHWEUHVMGCBDEVHVI
      VJVK $.
      $( [18-Dec-2007] $) $( [7-Sep-2007] $)

    $( The predicate " ` N ` is a neighborhood of point ` P ` ." $)
    isneip $p |- ( ( J e. Top /\ P e. X ) -> ( N e. ( ( nei ` J ) ` { P } ) <->
                 ( N (_ X /\ E. g e. J ( P e. g /\ g (_ N ) ) ) ) $=
      ( ctop wcel wa csn cnei cfv wss cv wrex wb isnei snssi sylan2 snssg
      anbi1d rexbidv anbi2d adantl bitr4d ) CGHZAEHZIDAJZCKLLHZDEMZUHBNZMZUKDMZ
      IZBCOZIZUJAUKHZUMIZBCOZIZUFUHEMUIUPPUGUHBCDEFQAERSUGUTUPPUFUGUSUOUJUGURUN
      BCUGUQULUMAUKETUAUBUCUDUE $.
      $( [26-Feb-2007] $) $( [26-Feb-2007] $)

    $( A neighborhood is included in the topology's base set. $)
    neii1 $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) -> N (_ X ) $=
      ( vg ctop wcel cnei cfv wa wss neiss2 wi cv wrex isnei pm3.26 syl6bi ex
      com23 imp mpd ) BGHZCABIJJHZKADLZCDLZABCDEMUDUEUFUGNUDUFUEUGUDUFUEUGNUDUF
      KUEUGAFOZLUHCLKFBPZKUGAFBCDEQUGUIRSTUAUBUC $.
      $( [16-Feb-2007] $) $( [12-Feb-2007] $)
  $}

  ${
    $d g J $.  $d g N $.  $d g R $.  $d g S $.
    $( Property of a neighborhood. $)
    neii2 $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) ->
                 E. g e. J ( S (_ g /\ g (_ N ) ) $=
      ( ctop wcel cnei cfv wa cuni wss cv wrex eqid neiss2 wi isnei pm3.27
      syl6bi ex com23 imp mpd ) CEFZDACGHHFZIACJZKZABLZKUHDKIBCMZACDUFUFNZOUDUE
      UGUIPUDUGUEUIUDUGUEUIPUDUGIUEDUFKZUIIUIABCDUFUJQUKUIRSTUAUBUC $.
      $( [16-Feb-2007] $) $( [12-Feb-2007] $)

    $( Any neighborhood of a set ` S ` is also a neighborhood of any subset
       ` R (_ S ` .  Bourbaki TG I.2.  (Contributed by FL, 25-Sep-2006.) $)
    neiss $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) /\ R (_ S ) ->
                 N e. ( ( nei ` J ) ` R ) ) $=
      ( vg ctop wcel cnei cfv wss w3a cuni cv wa wrex eqid neii1 3adant3 neii2
      wi sstr2 anim1d r19.22sdv 3ad2ant3 mpd jca wb isnei 3simp1 3simp3 neiss2
      sstrd sylanc mpbird ) CFGZDBCHIZIGZABJZKZDAUPIGZDCLZJZAEMZJZVCDJZNZECOZNZ
      USVBVGUOUQVBURBCDVAVAPZQRUSBVCJZVENZECOZVGUOUQVLURBECDSRURUOVLVGTUQURVKVF
      ECURVJVDVEABVCUAUBUCUDUEUFUOAVAJUTVHUGUSAECDVAVIUHUOUQURUIUSABVAUOUQURUJU
      OUQBVAJURBCDVAVIUKRULUMUN $.
      $( [1-Mar-2007] $) $( [12-Feb-2007] $)

    $( A set is included in its neighborhoods.  Based on Bourbaki TG I.3 Viii.
       (Contributed by FL, 16-Nov-2006.) $)
    ssnei $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) -> S (_ N ) $=
      ( vg ctop wcel cnei cfv wa cv wss wrex neii2 wi sstr a1i r19.23aiv syl )
      BEFCABGHHFIADJZKSCKIZDBLACKZADBCMTUADBTUANSBFASCOPQR $.
      $( [16-Feb-2007] $) $( [11-Feb-2007] $)
  $}

  $( A point belongs to any of its neighborhoods.  Based on Bourbaki TG I.3
     Viii.  (Contributed by FL, 28-Sep-2006.) $)
  elnei $p |- ( ( J e. Top /\ P e. A /\ N e. ( ( nei ` J ) ` { P } ) ) ->
              P e. N ) $=
    ( ctop wcel csn cnei cfv w3a wss ssnei 3adant2 wb snssg 3ad2ant2 mpbird )
    CEFZBAFZDBGZCHIIFZJBDFZTDKZRUAUCSTCDLMSRUBUCNUABDAOPQ $.
    $( [4-Mar-2007] $) $( [11-Feb-2007] $)

  $( The empty set is not a neighborhood of a nonempty set.  (Contributed by
     FL, 18-Sep-2007.) $)
  0nnei $p |- ( ( J e. Top /\ S =/= (/) ) -> -. (/) e. ( ( nei ` J ) ` S ) ) $=
    ( ctop wcel c0 wne cnei cfv wn wceq wa wss ssnei ss0b sylib ex necon3ad
    imp ) BCDZAEFEABGHHDZISTAESTAEJZSTKAELUAABEMANOPQR $.
    $( [8-Nov-2007] $) $( [18-Sep-2007] $)

  ${
    $d g h p v J $.  $d g M $.  $d g h p v N $.  $d g P $.  $d g h p S $.
    $d g h p X $.
    neips.1 $e |- X = U. J $.
    $( A neighborhood of a set is a neighborhood of every point in the set.
       Bourbaki TG I.2.  (Contributed by FL, 16-Nov-2006.) $)
    neips $p |- ( ( J e. Top /\ S (_ X /\ S =/= (/) ) ->
                ( N e. ( ( nei ` J ) ` S ) <->
                A. p e. S N e. ( ( nei ` J ) ` { p } ) ) ) $=
      ( vg vh vv ctop wcel wss c0 wne w3a cnei cfv cv csn wral wi neiss snssi
      syl3an3 3exp r19.21adv 3ad2ant1 wa wrex wb r19.28zv 3ad2ant3 crab cuni
      wceq sseq2 sseq1 anbi12d rcla4ev ssrab2 uniopnt mpan2 ad2antrr elunii
      elrab sylan2br an1s r19.23aiva r19.20si dfss3 sylibr adantl unissb
      pm3.27bi mprgbir jctir sylanc ex anim2d 3adant3 sylbid isneip ssel2
      sylan2 anassrs ralbidva isnei 3imtr4d impbid ) BJKZADLZAMNZOZCABPQZQKZCER
      ZSZWNQKZEATZWJWKWOWSUAWLWJWOWREAWJWOWPAKZWRWJWOWQALWRWTWQABCUBWPAUCUDUEUF
      UGWMCDLZWPGRZKZXBCLZUHZGBUIZUHZEATZXAAHRZLZXICLZUHZHBUIZUHZWSWOWMXHXAXFEA
      TZUHZXNWLWJXHXPUJWKXAXFEAUKULWJWKXPXNUAWLWJWKUHZXOXMXAXQXOXMIRZCLZIBUMZUN
      ZBKZAYALZYACLZUHZXMXQXOUHZXLYEHYABXIYAUOXJYCXKYDXIYAAUPXIYACUQURUSWJYBWKX
      OWJXTBLYBXSIBUTXTBVAVBVCYFYCYDXOYCXQXOWPYAKZEATYCXFYGEAXEYGGBXCXBBKZXDYGX
      CXBXTKYGYHXDUHWPXBXTVDXSXDIXBBXRXBCUQVEVFVGVHVIEAYAVJVKVLYDXKHXTHXTCVMXIX
      TKXIBKXKXSXKIXIBXRXICUQVEVNVOVPVQVRVSVTWAWJWKWSXHUJWLXQWRXGEAWJWKWTWRXGUJ
      ZWJWPDKYIWKWTUHWPGBCDFWBADWPWCWDWEWFVTWJWKWOXNUJWLAHBCDFWGVTWHWI $.
      $( [4-Mar-2007] $) $( [11-Feb-2007] $)

    $( An open set is a neighborhood of any of its subsets.  (Contributed by
       FL, 2-Oct-2006.) $)
    opnneissb $p |- ( ( J e. Top /\ N e. J /\ S (_ X ) ->
                   ( S (_ N <-> N e. ( ( nei ` J ) ` S ) ) ) $=
      ( vg ctop wcel wss w3a cnei cfv wi wa cv wrex eltopss adantr ssid wceq
      sseq2 sseq1 anbi12d rcla4ev mpanr2 ad2ant2l jca wb isnei ad2ant2r mpbird
      exp43 3imp ssnei ex 3ad2ant1 impbid ) BGHZCBHZADIZJACIZCABKLLHZURUSUTVAVB
      MURUSUTVAVBURUSNZUTVANZNZVBCDIZAFOZIZVGCIZNZFBPZNZVEVFVKVCVFVDCBDEQRUSVAV
      KURUTUSVACCIZVKCSVJVAVMNFCBVGCTVHVAVIVMVGCAUAVGCCUBUCUDUEUFUGURUTVBVLUHUS
      VAAFBCDEUIUJUKULUMURUSVBVAMUTURVBVAABCUNUOUPUQ $.
      $( [16-Feb-2007] $) $( [12-Feb-2007] $)

    $( Any superset of an open set is a neighborhood of it. $)
    opnssneib $p |- ( ( J e. Top /\ S e. J /\ N (_ X ) ->
                   ( S (_ N <-> N e. ( ( nei ` J ) ` S ) ) ) $=
      ( vg ctop wcel wss w3a cnei cfv cv wa wrex wi simplr wceq sseq2 sseq1
      anbi12d ssid biantrur syl6bbr rcla4ev adantlr jca ex 3adant1 wb eltopss
      isnei syldan 3adant3 sylibrd ssnei 3ad2ant1 impbid ) BGHZABHZCDIZJZACIZCA
      BKLLHZVBVCVAAFMZIZVECIZNZFBOZNZVDUTVAVCVJPUSUTVANZVCVJVKVCNVAVIUTVAVCQUTV
      CVIVAVHVCFABVEARZVHAAIZVCNVCVLVFVMVGVCVEAASVEACTUAVMVCAUBUCUDUEUFUGUHUIUS
      UTVDVJUJZVAUSUTADIVNABDEUKAFBCDEULUMUNUOUSUTVDVCPVAUSVDVCABCUPUHUQUR $.
      $( [16-Feb-2007] $) $( [14-Feb-2007] $)

    $( Any subset of ` X ` containing a neigborhood of a set is a neighborhood
       of this set.  Based on Bourbaki TG I.3 Vi.  (Contributed by FL,
       2-Oct-2006.) $)
    ssnei2 $p |- ( ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) /\
                 ( N (_ M /\ M (_ X ) ) -> M e. ( ( nei ` J ) ` S ) ) $=
      ( vg ctop wcel cnei cfv wa wss cv wrex simprr sstr2 com12 anim2d
      r19.22sdv impcom neii2 sylan adantrr jca wb neiss2 isnei syldan adantr
      mpbird ) BHIZDABJKKZIZLZDCMZCEMZLZLZCUMIZUQAGNZMZVACMZLZGBOZLZUSUQVEUOUPU
      QPUOUPVEUQVBVADMZLZGBOZUPVEUOUPVIVEUPVHVDGBUPVGVCVBVGUPVCVADCQRSTUAAGBDUB
      UCUDUEUOUTVFUFZURULUNAEMVJABDEFUGAGBCEFUHUIUJUK $.
      $( [4-Mar-2007] $) $( [13-Feb-2007] $)

    $( Any neighborhood of an element in the closure of a subset intersects the
       subset.  Part of proof of Theorem 6.6 of [Munkres] p. 97. $)
    neindisj $p |- ( ( ( J e. Top /\ S (_ X ) /\ ( P e. ( ( cls ` J ) ` S ) /\
                   N e. ( ( nei ` J ) ` { P } ) ) ) -> ( N i^i S ) =/= (/) ) $=
      ( vg ctop wcel wss ccl cfv csn cnei cin c0 wne wi wa cv wrex wb clsss3
      sseld ex imp32 isneip syldan w3a clsndisj 3anass sylanbr anassrs
      adantllr adantrr wceq ssdisj necon3d ad2antll mpd r19.23adva imp3a
      sylbid exp32 imp43 ) CHIZBEJZABCKLLZIZDAMCNLLIZDBOZPQZVFVGVIVJVLRVFVGVISZ
      SZVJDEJZAGTZIZVPDJZSZGCUAZSZVLVFVMAEIZVJWAUBVFVGVIWBVFVGVIWBRVFVGSVHEABCE
      FUCUDUEUFAGCDEFUGUHVNVOVTVLVNVOVTVLRVNVOSZVSVLGCWCVPCIZSZVSVLWEVSSVPBOZPQ
      ZVLWEVQWGVRVNWDVQWGVOVNWDVQWGVFVGVIUIWDVQSWGVNABVPCEFUJVFVGVIUKULUMUNUOVR
      WGVLRWEVQVRVKPWFPVRVKPUPWFPUPVPDBUQUEURUSUTUEVAUEVBVCVDVE $.
      $( [2-Mar-2007] $) $( [26-Feb-2007] $)
  $}

  $( An open set is a neighborhood of any of its subsets. $)
  opnneiss $p |- ( ( J e. Top /\ N e. J /\ S (_ N ) ->
                  N e. ( ( nei ` J ) ` S ) ) $=
    ( ctop wcel wss w3a cnei cfv 3simp3 cuni wb eqid opnneissb wa sstr ancoms
    eltopss sylan 3impa syld3an3 mpbid ) BDEZCBEZACFZGUECABHIIEZUCUDUEJUCUDABKZ
    FZUEUFLUEABCUGUGMZNUCUDUEUHCUGFZUEUHUCUDOUEUJUHACUGPQCBUGUIRSTUAUB $.
    $( [16-Feb-2007] $) $( [13-Feb-2007] $)

  $( An open set is a neighborhood of any of its members. $)
  opnneip $p |- ( ( J e. Top /\ N e. J /\ P e. N ) ->
                  N e. ( ( nei ` J ) ` { P } ) ) $=
    ( ctop wcel csn wss cnei cfv opnneiss snssi syl3an3 ) BDECBEAFZCGCMBHIIEACE
    MBCJACKL $.
    $( [8-Mar-2007] $) $( [8-Mar-2007] $)

  ${
    $d J x $.  $d S x $.  $d X x $.
    tpnei.1 $e |- X = U. J $.
    $( The underlying set of a topology is a neighborhood of any of its
       subsets.  Special case of ~ opnneiss .  (Contributed by FL,
       2-Oct-2006.) $)
    tpnei $p |- ( J e. Top -> ( S (_ X <-> X e. ( ( nei ` J ) ` S ) ) ) $=
      ( ctop wcel wss cnei cfv wi topopn opnneiss 3exp mpd ssnei ex impbid ) BE
      FZACGZCABHIIFZRCBFZSTJBCDKRUASTABCLMNRTSABCOPQ $.
      $( [1-Mar-2007] $) $( [14-Feb-2007] $)

    $( The union of the neighborhoods of a set equals the topology's underlying
       set.  (Contributed by FL, 18-Sep-2007.) $)
    unnei $p |- ( ( J e. Top /\ S (_ X ) -> U. ( ( nei ` J ) ` S ) = X ) $=
      ( vx cnei cfv cuni wss wcel wceq ctop wa unissel cv wral wi neii1 ex
      adantr r19.21aiv unissb sylibr tpnei biimpa sylanc ) ABFGGZHZCIZCUGJZUHCK
      BLJZACIZMZUGCNUMEOZCIZEUGPUIUMUOEUGUKUNUGJZUOQULUKUPUOABUNCDRSTUAEUGCUBUC
      UKULUJABCDUDUEUF $.
      $( [8-Nov-2007] $) $( [18-Sep-2007] $)
  $}

  ${
    $d g h v x y J $.  $d g h v M $.  $d g h v x y N $.  $d g h v x y S $.
    $( The intersection of two neighborhoods of a set is also a neighborhood of
       the set.  Based on Bourbaki TG I.3 Vii.  (Contributed by FL,
       28-Sep-2006.) $)
    innei $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S )
   /\ M e. ( ( nei ` J ) ` S ) ) -> ( N i^i M ) e. ( ( nei ` J ) ` S ) ) $=
      ( vg vh vv ctop wcel cnei cfv w3a cin cuni wss cv wa wrex eqid neii1
      ssinss1 syl 3adant3 neii2 anim12i anandis wi wceq sseq2 sseq1 anbi12d
      rcla4ev inopnt 3expa ssin biimp ss2in an4s syl2an anassrs ex an1rs
      r19.23adva imp32 syldan 3impb jca wb neiss2 isnei mpbird ) BHIZDABJKKZIZC
      VMIZLZDCMZVMIZVQBNZOZAEPZOZWAVQOZQZEBRZQZVPVTWEVLVNVTVOVLVNQZDVSOVTABDVSV
      SSZTDCVSUAUBUCVLVNVOWEVLVNVOQAFPZOZWIDOZQZFBRZAGPZOZWNCOZQZGBRZQZWEVLVNVO
      WSWGWMVLVOQWRAFBDUDAGBCUDUEUFVLWMWRWEVLWLWRWEUGZFBVLWIBIZQZWLWTXBWLQWQWEG
      BXBWNBIZWLWQWEUGXBXCQZWLQWQWEXDWLWQWEWIWNMZBIZAXEOZXEVQOZQZWEXDWLWQQWDXIE
      XEBWAXEUHWBXGWCXHWAXEAUIWAXEVQUJUKULVLXAXCXFWIWNBUMUNWJWOWKWPXIWJWOQZXGWK
      WPQXHXJXGAWIWNUOUPWIDWNCUQUEURUSUTVAVBVCVAVCVDVEVFVGVLVNVRWFVHZVOVLVNAVSO
      XKABDVSWHVIAEBVQVSWHVJVEUCVK $.
      $( [4-Mar-2007] $) $( [12-Feb-2007] $)

    $( Only an open set is a neighborhood of itself.  (Contributed by FL,
       2-Oct-2006.) $)
    opnneiid $p |- ( J e. Top -> ( N e. ( ( nei ` J ) ` N ) <-> N e. J ) ) $=
      ( vx ctop wcel cnei cfv wa cv wss wrex neii2 wceq eleq1a eqss syl5ibr
      r19.23aiv syl ex ssid opnneiss 3exp mpii impbid ) ADEZBBAFGGEZBAEZUEUFUGU
      EUFHBCIZJUHBJHZCAKUGBCABLUIUGCAUHAEBUHMUGUIUHABNBUHOPQRSUEUGBBJZUFBTUEUGU
      JUFBABUAUBUCUD $.
      $( [1-Mar-2007] $) $( [13-Feb-2007] $)

    $( For any neighborhood ` N ` of ` S ` , there is a neighborhood ` x ` of
       ` S ` such that ` N ` is a neighborhood of all subsets of ` x ` .  Based
       on Bourbaki TG I.3 Viv.  (Contributed by FL, 2-Oct-2006.) $)
    neissex $p |- ( ( J e. Top /\ N e. ( ( nei ` J ) ` S ) ) ->
   E. x e. ( ( nei ` J ) ` S ) A. y ( y (_ x -> N e. ( ( nei ` J ) ` y ) ) ) $=
      ( ctop wcel cnei cfv wa cv wss wrex wi wal neii2 opnneiss 3expb adantrrr
      adantlr neiss pm3.26 ad2antrr cuni wb eqid opnssneib simpll pm3.27 neii1
      adantr syl3anc biimpa anasss ex adantrrl 19.21aiv jca r19.22dv2 mpd ) DFG
      ZECDHIZIZGZJZCAKZLZVFELZJZADMBKZVFLZEVJVBIGZNZBOZAVCMCADEPVEVIVNADVCVEVFD
      GZVIJZVFVCGZVNJVEVPJZVQVNVAVPVQVDVAVOVGVQVHVAVOVGVQCDVFQRSTVRVMBVEVOVHVMV
      GVEVOVHJZJZVKVLVAEVFVBIGZVKVLVTVKJVJVFDEUAVEVAVSVKVAVDUBUCVTWAVKVEVOVHWAV
      EVOJZVHWAVAVOEDUDZLZVHWAUEWBVFDEWCWCUFZUGVAVDVOUHVEVOUIVEWDVOCDEWCWEUJUKU
      LUMUNUKVTVKUIULUOUPUQURUOUSUT $.
      $( [4-Mar-2007] $) $( [13-Feb-2007] $)
  $}

  $( The empty set is a neighborhood of itself.  (Contributed by FL,
     10-Dec-2006.) $)
  0nei $p |- ( J e. Top -> (/) e. ( ( nei ` J ) ` (/) ) ) $=
    ( ctop wcel c0 cnei cfv 0opnt opnneiid mpbird ) ABCDDAEFFCDACAGADHI $.
    $( [1-Mar-2007] $) $( [14-Feb-2007] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Limit points
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c limPt $.

  $( Extend class notation with the limit point function for topologies. $)
  clp $a class limPt $.

  ${
    $d v w x y z $.
    $( Define a function on topologies whose value is the set of limit points
       of the subsets of the base set.  See ~ lpval . $)
    df-lp $a |- limPt = { <. z , w >. | ( z e. Top /\ w = { <. x , y >. |
                         ( x (_ U. z /\ y = { v |
                 v e. ( ( cls ` J ) ` ( x \ { v } ) ) } ) } ) } $.
  $}

  ${
    $d n v w x y z J $.  $d n x y z S $.  $d n w x y z X $.  $d n x y P $.
    lpfval.1 $e |- X = U. J $.
    $( The limit point function on the subsets of a topology's base set. $)
    lpfval $p |- ( J e. Top -> ( limPt ` J ) =  { <. x , y >. | ( x (_ X /\
                     y = { v |
                 v e. ( ( cls ` J ) ` ( x \ { v } ) ) } ) } ) $=
      ( vz vw ctop wcel cv wss csn cdif ccl cfv cab wceq wa copab cvv clp cpw
      cuni uniexg syl5eqel pwexg opabex2g 3syl visset elpw anbi1i opabbii
      syl5eqelr unieq syl6eqr sseq2d fveq2 fveq1d eleq2d abbidv eqeq2d anbi12d
      opabbidv df-lp fvopab4g mpdan ) DIJZAKZELZBKZCKZVIVLMNZDOPZPZJZCQZRZSZABT
      ZUAJDUBPVTRVHVIEUCZJZVRSZABTZUAVTVHEUAJWAUAJWDUAJVHDUDZUAEDIUEFUFEUAUGABW
      AVQUAUHUIWCVSABWBVJVRVIEAUJUKULUMUNGHDVIGKZUDZLZVKVLVMWFOPZPZJZCQZRZSZABT
      VTIUAUBWFDRZWNVSABWOWHVJWMVRWOWGEVIWOWGWEEWFDUOFUPUQWOWLVQVKWOWKVPCWOWJVO
      VLWOVMWIVNWFDOURUSUTVAVBVCVDABGHCWFVEVFVG $.
      $( [25-Feb-2007] $) $( [10-Feb-2007] $)

    $( The set of limit points of a subset of the base set of a topology.
       Alternate definition of limit point in [Munkres] p. 97. $)
    lpval $p |- ( ( J e. Top /\ S (_ X ) -> ( ( limPt ` J ) ` S ) =
                 { x | x e. ( ( cls ` J ) ` ( S \ { x } ) ) } ) $=
      ( vy vz ctop wcel wss wa clp cfv cv cpw csn cdif ccl cab wceq copab
      lpfval adantr visset elpw anbi1i opabbii syl6eqr fveq1d cvv difeq1
      fveq2d eleq2d abbidv eqid fvopab4g elpw2g biimpar cuni uniexg syl5eqel
      sylan wi wal difss clsss mp3an3 sseld 19.21aiv ss2ab sylibr abid2 fvex
      eqeltr ssex syl sylanc eqtrd ) CHIZBDJZKZBCLMZMBFNZDOZIZGNANZWCWFPZQZCRMZ
      MZIZASZTZKZFGUAZMZWFBWGQZWIMZIZASZWABWBWOWAWBWCDJZWMKZFGUAZWOVSWBXCTVTFGA
      CDEUBUCWNXBFGWEXAWMWCDFUDUEUFUGUHUIBWDIZWTUJIZWPWTTWAFGBWLWTWDUJWOWCBTZWK
      WSAXFWJWRWFXFWHWQWIWCBWGUKULUMUNWOUOUPDUJIZVTXDVSXGXDVTBDUJUQURVSCUSUJDCH
      UTEVAVBWAWTWFBWIMZIZASZJZXEWAWSXIVCZAVDXKWAXLAWAWRXHWFVSVTWQBJWRXHJBWGVEB
      WQCDEVFVGVHVIWSXIAVJVKWTXJXJXHUJAXHVLBWIVMVNVOVPVQVR $.
      $( [26-Feb-2007] $) $( [10-Feb-2007] $)

    $( The predicate " ` P ` is a limit point of ` S ` ." $)
    islp $p |- ( ( J e. Top /\ S (_ X ) -> ( P e. ( ( limPt ` J ) ` S ) <->
               P e. ( ( cls ` J ) ` ( S \ { P } ) ) ) ) $=
      ( vx ctop wcel wss wa clp cfv cv csn cdif ccl cab lpval eleq2d elisset
      wceq id sneq difeq2d fveq2d eleq12d elab3 syl6bb ) CGHBDIJZABCKLLZHAFMZBU
      KNZOZCPLZLZHZFQZHABANZOZUNLZHZUIUJUQAFBCDERSUPVAFAAUTTUKAUAZUKAUOUTVBUBVB
      UMUSUNVBULURBUKAUCUDUEUFUGUH $.
      $( [3-Mar-2007] $) $( [10-Feb-2007] $)

    $( The limits points of a subset are included in the subset's closure. $)
    lpsscls $p |- ( ( J e. Top /\ S (_ X ) -> ( ( limPt ` J ) ` S ) (_
               ( ( cls ` J ) ` S ) ) $=
      ( vx ctop wcel wss wa clp cfv cv csn cdif ccl cab lpval difss clsss
      mp3an3 sseld abssdv eqsstrd ) BFGZACHZIZABJKKELZAUGMZNZBOKZKZGZEPAUJKZEAB
      CDQUFULEUMUFUKUMUGUDUEUIAHUKUMHAUHRAUIBCDSTUAUBUC $.
      $( [6-Mar-2007] $) $( [26-Feb-2007] $)

    $( The limits points of a subset are included in the base set. $)
    lpss $p |- ( ( J e. Top /\ S (_ X ) -> ( ( limPt ` J ) ` S ) (_ X ) $=
      ( ctop wcel wss wa clp cfv ccl lpsscls clsss3 sstrd ) BEFACGHABIJJABKJJCA
      BCDLABCDMN $.
      $( [10-Dec-2007] $) $( [9-Nov-2007] $)

    $( The predicate " ` P ` is a limit point of ` S ` ," in terms of
       neighborhoods.  Definition of limit point in [Munkres] p. 97.  Although
       Munkres uses open neighborhoods, it also works for our more general
       neighborhoods. $)
    islp2 $p |- ( ( J e. Top /\ S (_ X /\ P e. X ) ->
                ( P e. ( ( limPt ` J ) ` S ) <->
         A. n e. ( ( nei ` J ) ` { P } ) ( n i^i ( S \ { P } ) ) =/= (/) ) ) $=
      ( vx vy ctop wcel wss w3a clp cfv csn cdif cv ccld crab cint wa wi wal
      cin c0 wne cnei wral wb ccl islp wceq clsval ssdifss sylan2 eleq2d bitrd
      3adant3 elintrabg iscld imbi1d albidv df-ral syl5bb sylan9bbr 3adant2
      cpw wrex isneip elpwi dfss4 sylib eqcomd eleq1d adantl wn reldisj syl
      incom eqeq1i adantr eldif baibr imbi12d df-ne imbi2i bi2.03 bitr
      ralbidva 3adant1 eleq2 sseq1 anbi12d ssid biantru syl6bbr rcla4ev anim2i
      anassrs imim1i 19.20i ax-17 hba1 eltopss ancoms pm3.26 jca anim1i
      adantrr an4s adantlrr ssrin ssne0 ex ad2antlr imim2d mpid exp31 com4t
      imp eleq1 ineq1 neeq1d a4v r19.23adv a1dd imp4a 19.21ad impbid2 impexp
      visset elpw imbi1i 3bitr4r albii bitr2 syl6bb cvv cuni uniexg syl5eqel
      3ad2ant1 difss elpw2g mpbiri difeq2 eqeq2d syl2an sseq2 ralxfrd 3bitr4d
      bitr4 syl6rbb 3bitrd ) DIJZBEKZAEJZLZABDMNNJZABAOZPZGQZKZGDRNZSTZJZUVBEKZ
      EUVBPZDJZUAZUVCAUVBJZUBZUBZGUCZCQZUVAUDZUEUFZCUUTDUGNNZUHZUUOUUPUUSUVFUIU
      UQUUOUUPUAZUUSAUVADUJNNZJUVFABDEFUKUVTUWAUVEAUUOUVAEKZUWAUVEULUUPGUVADEFU
      MBEUUTUNZUOUPUQURUUOUUQUVFUVNUIUUPUUQUVFUVLGUVDUHZUUOUVNUVCGAUVDEUSUUOUVB
      UVDJZUVLUBZGUCUVNUWDUUOUWFUVMGUUOUWEUVJUVLUVBDEFUTVAVBUVLGUVDVCVDVEVFUURU
      VSUVIUVLUBZGEVGZUHZUVNUURUVSUVOEKZAHQZJZUWKUVOKZUAZHDVHZUAZUVQUBZCUCZUWIU
      UOUUQUVSUWRUIUUPUUOUUQUAZUVOUVRJZUVQUBZCUCUWRUVSUWSUXAUWQCUWSUWTUWPUVQAHD
      UVOEFVIVAVBUVQCUVRVCVDVFUURUVODJZAUVOJZUVQUBZUBZCUWHUHZEEUVOPZPZDJZUVAUXG
      KZAUXGJZUBZUBZCUWHUHZUWRUWIUUPUUQUXFUXNUIUUOUUPUUQUAZUXEUXMCUWHUXOUVOUWHJ
      ZUAUXBUXIUXDUXLUXPUXBUXIUIUXOUXPUVOUXHDUXPUXHUVOUXPUWJUXHUVOULUVOEVJUVOEV
      KVLVMVNVOUXOUXDUXLUIUXPUXOUVPUEULZUXCVPZUBZUXLUXDUXOUXQUXJUXRUXKUUPUXQUXJ
      UIUUQUUPUVAUVOUDZUEULZUXJUXQUUPUWBUYAUXJUIUWCUVAUVOEVQVRUVPUXTUEUVOUVAVSV
      TVDWAUUQUXRUXKUIUUPUXKUUQUXRAEUVOWBWCVOWDUXDUXCUXQVPZUBUXSUVQUYBUXCUVPUEW
      EWFUXCUXQWGWHVDWAWDWIWJUURUWRUWJUXBUAZUXCUAZUVQUBZCUCZUXFUURUWRUYFUWQUYEC
      UYDUWPUVQUWJUXBUXCUWPUXBUXCUAUWOUWJUWNUXCHUVODUWKUVOULZUWNUXCUVOUVOKZUAUX
      CUYGUWLUXCUWMUYHUWKUVOAWKUWKUVOUVOWLWMUYHUXCUVOWNWOWPWQWRWSWTXAUUOUUQUYFU
      WRUBUUPUWSUYFUWQCUWSCXBUYECXCUWSUYFUWJUWOUVQUWSUYFUWOUVQUBZUWJUWSUYFUYIUW
      SUYFUAUWNUVQHDUWSUWKEKZUWKDJZUAZUWLUAZUWKUVAUDZUEUFZUBZUYKUWNUVQUBUBZUYFU
      WSUYPUYQUYKUWNUWSUYPUVQUYKUWNUWSUYPUVQUBUYKUWNUAUWSUAZUYPUYMUVQUYKUWLUWSU
      YMUWMUYKUUOUWLUUQUYMUYKUUOUAZUWLUYMUUQUYSUYLUWLUYSUYJUYKUUOUYKUYJUWKDEFXD
      XEUYKUUOXFXGXHXIXJXKUYRUYOUVQUYMUWNUYOUVQUBZUYKUWSUWMUYTUWLUWMUYNUVPKZUYT
      UWKUVOUVAXLVUAUYOUVQUYNUVPXMXNVRVOXOXPXQXRXSXTUYEUYPCHUVOUWKULZUYDUYMUVQU
      YOVUBUYCUYLUXCUWLVUBUWJUYJUXBUYKUVOUWKEWLUVOUWKDYAWMUVOUWKAWKWMVUBUVPUYNU
      EUVOUWKUVAYBYCWDYDUOYEXNYFYGYHVFYIUXFUXPUXEUBZCUCUYFUXECUWHVCVUCUYECUYCUX
      DUBUWJUXEUBUYEVUCUWJUXBUXDYJUYCUXCUVQYJUXPUWJUXEUVOECYKYLYMYNYOYPYQUUREYR
      JZUWIUXNUIUUOUUPVUDUUQUUODYSYREDIYTFUUAUUBVUDUWGUXMGCUXGUWHVUDUXGUWHJZUXP
      VUDVUEUXGEKEUVOUUCUXGEYRUUDUUEWAUVHUWHJZUVBEUVHPZULZUVBUXGULZCUWHVHVUDUVB
      UWHJZVUIVUHCUVHUWHUVOUVHULUXGVUGUVBUVOUVHEUUFUUGWQVUDVUFUVHEKEUVBUUCUVHEY
      RUUDUUEVUJVUGUVBVUJUVGVUGUVBULUVBEVJUVBEVKVLVMUUHVUIUWGUXMUIVUDVUIUVIUXIU
      VLUXLVUIUVHUXHDUVBUXGEUUFVNVUIUVCUXJUVKUXKUVBUXGUVAUUIUVBUXGAWKWDWDVOUUJV
      RUUKUQUWIVUJUWGUBZGUCUVNUWGGUWHVCVUKUVMGVUKUVGUWGUBUVMVUJUVGUWGUVBEGYKYLY
      MUVGUVIUVLYJUULYOWHUUMUUN $.
      $( [11-Mar-2007] $) $( [26-Feb-2007] $)

    $( The closure of a subset of a topological space is the subset together
       with its limit points.  Theorem 6.6 of [Munkres] p. 97. $)
    clslp $p |- ( ( J e. Top /\ S (_ X ) -> ( ( cls ` J ) ` S ) =
                ( S u. ( ( limPt ` J ) ` S ) ) ) $=
      ( vx vn ctop wcel wss wa ccl cfv clp cun cv wo wn csn cdif cin c0 wne
      cnei wral wi neindisj anassrs ex adantr wb difsn ineq2d neeq1d adantl
      sylibrd r19.21adv islp2 simpll simplr clsss3 sseld imp syl3anc orrd elun
      sylibr ssrdv sscls lpsscls jca unss sylib eqssd ) BGHZACIZJZABKLLZAABMLLZ
      NZVPEVQVSVPEOZVQHZVTVSHZVPWAJZVTAHZVTVRHZPWBWCWDWEWCWDQZFOZAVTRZSZTZUAUBZ
      FWHBUCLLZUDZWEWCWFWKFWLWCWFWGWLHZWKUEWCWFJWNWGATZUAUBZWKWCWNWPUEWFWCWNWPV
      PWAWNWPVTABWGCDUFUGUHUIWFWKWPUJWCWFWJWOUAWFWIAWGVTAUKULUMUNUOUHUPVNVOVTCH
      ZWEWMUJWCVTAFBCDUQVNVOWAURVNVOWAUSVPWAWQVPVQCVTABCDUTVAVBVCUOVDVTAVRVEVFU
      HVGVPAVQIZVRVQIZJVSVQIVPWRWSABCDVHABCDVIVJAVRVQVKVLVM $.
      $( [14-Mar-2007] $) $( [26-Feb-2007] $)

    $( A point belonging to a set's closure but not the set itself is a limit
       point. $)
    islpi $p |- ( ( ( J e. Top /\ S (_ X ) /\ ( P e. ( ( cls ` J ) ` S ) /\
       -. P e. S ) ) -> P e. ( ( limPt ` J ) ` S ) ) $=
      ( ctop wcel wss wa ccl cfv wn clp wi cun clslp eleq2d wo elun df-or bitr
      syl6bb biimpd imp32 ) CFGBDHIZABCJKKZGZABGZLZABCMKKZGZUEUGUIUKNZUEUGABUJO
      ZGZULUEUFUMABCDEPQUNUHUKRULABUJSUHUKTUAUBUCUD $.
      $( [23-Dec-2007] $) $( [8-Nov-2007] $)

    $( A subset of a topological space is closed iff it contains all its limit
       points.  Corollary 6.7 of [Munkres] p. 97. $)
    cldlp $p |- ( ( J e. Top /\ S (_ X ) -> ( S e. ( Clsd ` J ) <->
                 ( ( limPt ` J ) ` S ) (_ S ) ) $=
      ( ctop wcel wss wa ccld cfv ccl wceq clp iscld3 cun clslp eqeq1d ssequn2
      syl6bbr bitrd ) BEFACGHZABIJFABKJJZALZABMJJZAGZABCDNUAUCAUDOZALUEUAUBUFAA
      BCDPQUDARST $.
      $( [16-Jun-2008] $) $( [26-Feb-2007] $)
  $}

  ${
    $d v w x y z $.
    $( ` QQ ` is dense in the standard topology on ` RR ` . $)
    qdensere $p |- ( ( cls ` ( topGen ` ran (,) ) ) ` QQ ) = RR $=
      ( vx vy vz vv vw cq cioo crn ctg cfv ccl cr ctop wcel wss retop qssre
      cuni uniretop eqcomi clsss3 mp2an cv cin c0 wne wi wral clt wbr wa crab
      wceq cxr wrex reex rabex dfioo2 elrnoprab co iooval2t eqeq2d anbi1d
      ioon0t qbtwnxr 3expia sylbid neeq1 ne0i syl5bi imp syl5 sylbird wb eleq2
      qret biantrurd breq2 breq1 anbi12d elrab syl6rbbr sylan9bb rexbidva
      ad2antrl mpbird wn incom eqeq1i disj ralnex 3bitr necon2abii sylib exp32
      r19.23aivv sylbi rgen ctb retopbas eqid pm3.2i pm3.27i elcls3 mp3an12
      mpbiri ssriv eqssi ) FGHZIJZKJJZLXJMNZFLOZXKLOPQFXJLXJRZLSTZUAUBALXKAUCZL
      NZXPXKNZXPBUCZNZXSFUDZUEUFZUGZBXIUHZYCBXIXSXINXSCUCZDUCZUIUJZYFEUCZUIUJZU
      KZDLULZUMZEUNUOCUNUOYCCEAUNUNYKXSGYJDLUPUQCEADURUSYLYCCEUNUNYEUNNZYHUNNZU
      KZYLXTYBYOYLXTUKZUKZXTAFUOZYBYQYRYEXPUIUJZXPYHUIUJZUKZAFUOZYOYPUUBYOYPXSY
      EYHGUTZUMZXTUKZUUBYOUUDYLXTYOUUCYKXSDYEYHVAVBVCYOUUCUEUFZUUBUUEYOUUFYEYHU
      IUJZUUBYEYHVDYMYNUUGUUBAYEYHVEVFVGUUDXTUUFUUDXSUEUFUUFXTXSUUCUEVHXSXPVIVJ
      VKVLVMVKYLYRUUBVNYOXTYLXTUUAAFYLXTXPYKNZXPFNZUUAXSYKXPVOUUIUUAXQUUAUKUUHU
      UIXQUUAXPVPVQYJUUADXPLYFXPUMYGYSYIYTYFXPYEUIVRYFXPYHUIVSVTWAWBWCWDWEWFYRY
      AUEYAUEUMFXSUDZUEUMXTWGAFUHYRWGYAUUJUEXSFWHWIAFXSWJXTAFWKWLWMWNWOWPWQWRXI
      WSNXMXQXRYDVNWTQBXIXPFXJLXJXAXLLXNUMZXLUUKPXOXBXCXDXEXFXGXH $.
      $( [24-Aug-2007] $) $( [1-Mar-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Continuity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Cn $.
  $c CnP $.

  $( Extend class notation with the set of continuous functions between
     topologies. $)
  ccn $a class Cn $.

  $( Extend class notation with the set of functions between topologies
     continuous at a point. $)
  ccnp $a class CnP $.

  ${
    $d f j k v w x y z $.
    $( Define a function on two topologies whose value is the set of continuous
       mappings from the first topology to the second.  Based on definition of
       continuous function in [Munkres] p. 102.  See ~ iscn for the predicate
       form. $)
    df-cn $a |- Cn = { <. <. j , k >. , z >. | ( ( j e. Top /\ k e. Top ) /\
             z = { f e. ( U. k ^m U. j ) | A. y e. k ( `' f " y ) e. j } ) } $.

    $( Define a function on two topologies whose value is the set of continuous
       mappings at a specified point in the first topology.  Based on Theorem
       7.2(g) of [Munkres] p. 107. $)
    df-cnp $a |- CnP = { <. <. j , k >. , z >. | ( ( j e. Top /\ k e. Top ) /\
     z = { <. x , y >. | ( x e. U. j /\ y = { f e. ( U. k ^m U. j ) | A. w e. k
      ( ( f ` x ) e. w -> E. v e. j ( x e. v /\ ( f " v ) (_ w ) ) } ) } ) } $.
  $}

  ${
    $d f j k v w x y z J $.  $d f j k w x y z K $.  $d f j k x y z X $.
    $d f k y z Y $.
    cnfval.1 $e |- X = U. J $.
    cnfval.2 $e |- Y = U. K $.
    $( The set of all continuous functions from topology ` J ` to topology
       ` K ` . $)
    cnfval $p |- ( ( J e. Top /\ K e. Top ) ->
      ( J Cn K ) = { f e. ( Y ^m X ) | A. y e. K ( `' f " y ) e. J } ) $=
      ( vj vk vz ctop cv ccnv cima wcel wral cuni cm co crab ccn oprex rabex
      wceq unieq syl6eqr opreq2d rabeq syl eleq2 ralbidv rabbisdv eqtrd
      opreq1d raleq1 df-cn oprabval2 ) IJKCDLLBMNAMOZIMZPZAJMZQZBVBRZUTRZSTZUAZ
      USCPZADQZBFESTZUAZUBVHAVBQZBVDESTZUAZVIBVJFESUCUDUTCUEZVGVCBVMUAZVNVOVFVM
      UEVGVPUEVOVEEVDSVOVECREUTCUFGUGUHVCBVFVMUIUJVOVCVLBVMVOVAVHAVBUTCUSUKULUM
      UNVBDUEZVNVLBVJUAZVKVQVMVJUEVNVRUEVQVDFESVQVDDRFVBDUFHUGUOVLBVMVJUIUJVQVL
      VIBVJVHAVBDUPUMUNAKBIJUQUR $.
      $( [17-Oct-2006] $) $( [17-Oct-2006] $)

    $( The function mapping the points in a topology ` J ` to the set of
       all functions from ` J ` to topology ` K ` continuous at that point. $)
    cnpfval $p |- ( ( J e. Top /\ K e. Top ) -> ( J CnP K ) =
         { <. x , y >. | ( x e. X /\ y = { f e. ( Y ^m X ) | A. w e. K
        ( ( f ` x ) e. w -> E. v e. J ( x e. v /\ ( f " v ) (_ w ) ) } ) } ) $=
      ( vj vk vz ctop wcel cv cfv cima wss wa wrex wi wral cm co crab wceq
      copab cvv ccnp cuni uniexg eleq1i biimpr opabex2g 3syl adantr unieq
      syl6eqr eleq2d opreq2d rabeq syl rexeq1 imbi2d ralbidv rabbisdv eqtrd
      eqeq2d anbi12d opabbidv opreq1d raleq1 anbi2d df-cnp oprabval2g mpd3an3
      ) FOPZGOPZAQZHPZBQZWAEQZRCQZPZWADQZPWDWGSWETUAZDFUBZUCZCGUDZEIHUEUFZUGZUH
      ZUAZABUIZUJPZFGUKUFWPUHVSWQVTVSFULZUJPZHUJPZWQFOUMWTWSHWRUJJUNUOABHWMUJUP
      UQURLMNFGOOWALQZULZPZWCWFWHDXAUBZUCZCMQZUDZEXFULZXBUEUFZUGZUHZUAZABUIWPUK
      WBWCWJCXFUDZEXHHUEUFZUGZUHZUAZABUIUJXAFUHZXLXQABXRXCWBXKXPXRXBHWAXRXBWRHX
      AFUSJUTZVAXRXJXOWCXRXJXGEXNUGZXOXRXIXNUHXJXTUHXRXBHXHUEXSVBXGEXIXNVCVDXRX
      GXMEXNXRXEWJCXFXRXDWIWFWHDXAFVEVFVGVHVIVJVKVLXFGUHZXQWOABYAXPWNWBYAXOWMWC
      YAXOXMEWLUGZWMYAXNWLUHXOYBUHYAXHIHUEYAXHGULIXFGUSKUTVMXMEXNWLVCVDYAXMWKEW
      LWJCXFGVNVHVIVJVOVLABNCDELMVPVQVR $.
      $( [17-Oct-2006] $) $( [17-Oct-2006] $)
  $}

  ${
    $d f x y F $.  $d f v w x y J $.  $d y w v f K $.  $d f v w x y P $.
    $d f v w y X $.  $d f v w y Y $.
    iscn.1 $e |- X = U. J $.
    iscn.2 $e |- Y = U. K $.
    $( The predicate " ` F ` is a continuous function from topology ` J ` to
       topology ` K ` ."  Definition of continuous function in [Munkres]
       p. 102. $)
    iscn $p |- ( ( J e. Top /\ K e. Top ) -> ( F e. ( J Cn K ) <->
               ( F : X --> Y /\ A. y e. K ( `' F " y ) e. J ) ) ) $=
      ( vf ctop wcel wa ccn co cv ccnv cima wral cm crab wf cnfval eleq2d wb
      cvv elmapg cuni uniexg syl5eqel syl2an ancoms anbi1d wceq cnveq imaeq1d
      eleq1d ralbidv elrab syl5bb bitrd ) CJKZDJKZLZBCDMNZKBIOZPZAOZQZCKZADRZIF
      ESNZTZKZEFBUAZBPZVGQZCKZADRZLZVCVDVLBAICDEFGHUBUCVCBVKKZVRLVSVMVCVTVNVRVB
      VAVTVNUDZFUEKEUEKWAVBVAFEBUEUEUFVBDUGUEFDJUHHUIVACUGUEECJUHGUIUJUKULVJVRI
      BVKVEBUMZVIVQADWBVHVPCWBVFVOVGVEBUNUOUPUQURUSUT $.
      $( [17-Oct-2006] $) $( [17-Oct-2006] $)

    $( The set of all functions from topology ` J ` to topology ` K ` that are
       continuous at a point ` P ` . $)
    cnpval $p |- ( ( J e. Top /\ K e. Top /\ P e. X ) -> ( ( J CnP K ) ` P ) =
         { f e. ( Y ^m X ) | A. y e. K
            ( ( f ` P ) e. y -> E. x e. J ( P e. x /\ ( f " x ) (_ y ) ) } ) $=
      ( vw vv ctop wcel w3a ccnp co cfv cv cima wss wa wrex wi wral cm crab
      wceq copab cnpfval fveq1d 3adant3 fveq2 eleq1d eleq1 anbi1d rexbidv
      imbi12d ralbidv rabbisdv eqid oprex rabex fvopab4 3ad2ant3 eqtrd ) EMNZFM
      NZCGNZOCEFPQZRZCKSZGNLSVLDSZRZBSZNZVLASZNZVMVQTVOUAZUBZAEUCZUDZBFUEZDHGUF
      QZUGZUHUBKLUIZRZCVMRZVONZCVQNZVSUBZAEUCZUDZBFUEZDWDUGZVGVHVKWGUHVIVGVHUBC
      VJWFKLBADEFGHIJUJUKULVIVGWGWOUHVHKLCWEWOGWFVLCUHZWCWNDWDWPWBWMBFWPVPWIWAW
      LWPVNWHVOVLCVMUMUNWPVTWKAEWPVRWJVSVLCVQUOUPUQURUSUTWFVAWNDWDHGUFVBVCVDVEV
      F $.
      $( [17-Oct-2006] $) $( [17-Oct-2006] $)

    $( The predicate " ` F ` is a continuous function from topology ` J ` to
       topology ` K ` at point ` P ` ."  Based on Theorem 7.2(g) of [Munkres]
       p. 107. $)
    iscnp $p |- ( ( J e. Top /\ K e. Top /\ P e. X ) ->
                   ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\ A. y e. K
          ( ( F ` P ) e. y -> E. x e. J ( P e. x /\ ( F " x ) (_ y ) ) ) ) ) $=
      ( vf ctop wcel w3a ccnp co cfv cv cima wss wa wrex wi wral cm crab wf
      cnpval eleq2d wb cvv elmapg cuni uniexg syl5eqel syl2an ancoms anbi1d
      wceq fveq1 eleq1d imaeq1 sseq1d anbi2d rexbidv imbi12d ralbidv elrab
      syl5bb 3adant3 bitrd ) ELMZFLMZCGMZNZDCEFOPQZMDCKRZQZBRZMZCARZMZVQWASZVST
      ZUAZAEUBZUCZBFUDZKHGUEPZUFZMZGHDUGZCDQZVSMZWBDWASZVSTZUAZAEUBZUCZBFUDZUAZ
      VOVPWJDABCKEFGHIJUHUIVLVMWKXAUJVNVLVMUAZDWIMZWTUAXAWKXBXCWLWTVMVLXCWLUJZH
      UKMGUKMXDVMVLHGDUKUKULVMFUMUKHFLUNJUOVLEUMUKGELUNIUOUPUQURWHWTKDWIVQDUSZW
      GWSBFXEVTWNWFWRXEVRWMVSCVQDUTVAXEWEWQAEXEWDWPWBXEWCWOVSVQDWAVBVCVDVEVFVGV
      HVIVJVK $.
      $( [17-Oct-2006] $) $( [17-Oct-2006] $)
  $}

  ${
    $d x y F $.  $d x y J $.  $d x y K $.  $d x y X $.  $d x y Y $.
    $d P x y $.
    iscnp2.1 $e |- X = U. J $.
    iscnp2.2 $e |- Y = U. K $.
    $( The predicate " ` F ` is a continuous function from topology ` J ` to
       topology ` K ` at point ` P ` ." $)
    iscnp2 $p |- ( ( J e. Top /\ K e. Top /\ P e. X ) ->
                   ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\ A. y e. K
       ( ( F ` P ) e. y -> E. x e. J ( P e. x /\ x (_ ( `' F " y ) ) ) ) ) ) $=
      ( ctop wcel w3a ccnp co cfv wf cv cima wss wa wrex wi wral ccnv iscnp wb
      wfun cdm funimass3 ffun ad2antlr eltopss adantlr wceq fdm sseqtr4d
      sylanc anbi2d rexbidva imbi2d ralbidv pm5.32da 3ad2ant1 bitrd ) EKLZFKLZC
      GLZMDCEFNOPLGHDQZCDPBRZLZCARZLZDVLSVJTZUAZAEUBZUCZBFUDZUAZVIVKVMVLDUEVJST
      ZUAZAEUBZUCZBFUDZUAZABCDEFGHIJUFVFVGVSWEUGVHVFVIVRWDVFVIUAZVQWCBFWFVPWBVK
      WFVOWAAEWFVLELZUAZVNVTVMDUHZVLDUIZTVNVTUGWHVLVJDUJVIWIVFWGGHDUKULWHVLGWJV
      FWGVLGTVIVLEGIUMUNVIWJGUOVFWGGHDUPULUQURUSUTVAVBVCVDVE $.
      $( [21-Jun-2008] $) $( [15-May-2007] $)

    $( A continuous function is a mapping.  (Contributed by FL,
       15-Dec-2006.) $)
    cnf $p |- ( ( J e. Top /\ K e. Top /\ F e. ( J Cn K ) ) ->
                F : X --> Y ) $=
      ( vx ctop wcel ccn co wf wa ccnv cv cima wral iscn pm3.26bda 3impa ) BIJZ
      CIJZABCKLJZDEAMZUBUCNUDUEAOHPQBJHCRHABCDEFGSTUA $.
      $( [15-Dec-2006] $) $( [8-Dec-2006] $)

    $( A continuous function at point ` P ` is a mapping.  (Contributed by FL,
       31-Dec-2006.) $)
    cnpf $p |- ( ( ( J e. Top /\ K e. Top /\ P e. X ) /\
        F e. ( ( J CnP K ) ` P ) ) -> F : X --> Y ) $=
      ( vx vy ctop wcel w3a ccnp co cfv wf cv cima wss wa wrex wi wral iscnp
      pm3.26bda ) CKLDKLAELMBACDNOPLEFBQABPIRZLAJRZLBUHSUGTUAJCUBUCIDUDJIABCDEF
      GHUEUF $.
      $( [1-Jan-2007] $) $( [17-Nov-2006] $)

    $( The value of a continuous function from ` J ` to ` K ` at point ` P `
       belongs to the underlying set of topology ` K ` .  (Contributed by FL,
       31-Dec-2006.) $)
    cnpcl $p |- ( ( ( J e. Top /\ K e. Top /\ P e. X ) /\
        ( F e. ( ( J CnP K ) ` P ) /\ A e. X ) ) -> ( F ` A ) e. Y ) $=
      ( wf wcel cfv ctop w3a ccnp co wa ffvelrn cnpf adantrr simprr sylanc ) FG
      CJZAFKZACLGKDMKEMKBFKNZCBDEOPLKZUDQQFGACRUEUFUCUDBCDEFGHISTUEUFUDUAUB $.
      $( [1-Jan-2007] $) $( [27-Dec-2006] $)
  $}

  ${
    $d x y A $.  $d F y x $.  $d J x y $.  $d K y $.  $d P x y $.  $d X y $.
    cnpimaex.1 $e |- X = U. J $.
    $( Property of a function continuous at a point.  (Contributed by FL,
       31-Dec-2006.) $)
    cnpimaex $p |- ( ( ( J e. Top /\ K e. Top /\ P e. X ) /\ (
                   F e. ( ( J CnP K ) ` P ) /\ A e. K /\ ( F ` P ) e. A ) ) ->
                    E. x e. J ( P e. x /\ ( F " x ) (_ A ) ) $=
      ( vy ctop wcel w3a ccnp co cfv cv cima wss wa wrex wi wral cuni wf eqid
      iscnp pm3.27bda ex wceq eleq2 sseq2 anbi2d rexbidv imbi12d rcla4cv syl6
      3imp2 ) EJKFJKCGKLZDCEFMNOKZBFKZCDOZBKZCAPZKZDVCQZBRZSZAETZURUSVAIPZKZVDV
      EVIRZSZAETZUAZIFUBZUTVBVHUAZUAURUSVOURUSGFUCZDUDVOAICDEFGVQHVQUEUFUGUHVNV
      PIBFVIBUIZVJVBVMVHVIBVAUJVRVLVGAEVRVKVFVDVIBVEUKULUMUNUOUPUQ $.
      $( [1-Jan-2007] $) $( [22-Dec-2006] $)

    $( A restricted identity function is a continuous function.  (Contributed
       by FL, 31-Dec-2006.) $)
    idcn $p |- ( J e. Top -> ( I |` X ) e. ( J Cn J ) ) $=
      ( vy ctop wcel cid cres ccn co wf ccnv cv cima wral wa wfn crn wss
      rnresi eqimssi a1i fnresi jctil df-f sylibr wfun wceq funi wb cnvi
      eqcomi funeq ax-mp sylib funcnvres imai reseq2 syl eqtrd reseq1 syl6eq
      imaeq1d eltopss resiima pm3.27 eqeltrd r19.21aiva jca iscn anidms mpbird
      ) AEFZGBHZAAIJFZBBVNKZVNLZDMZNZAFZDAOZPZVMVPWAVMVNBQZVNRZBSZPVPVMWEWCWEVM
      WDBBTUAUBBUCUDBBVNUEUFVMVTDAVMVRAFZPZVSVRAWGVSVNVRNZVRWGVQVNVRWGVQGLZBHZV
      NWGWIUGZVQWJUHWGGUGZWKWLWGUIUBGWIUHWLWKUJWIGUKULGWIUMUNUOWKVQWIGBNZHZWJBG
      UPWKWMBUHZWNWJUHWOWKBUQUBWMBWIURUSUTUSWIGUHWJVNUHUKWIGBVAUNVBVCWGVRBSWHVR
      UHVRABCVDBVRVEUSUTVMWFVFVGVHVIVMVOWBUJDVNAABBCCVJVKVL $.
      $( [1-Jan-2007] $) $( [27-Dec-2006] $)
  $}

  ${
    $d x A $.  $d x F $.  $d x J $.  $d x K $.
    $( An open subset of the codomain of a continuous function has an open
       pre-image.  (Contributed by FL, 15-Dec-2006.) $)
    cnima $p |- ( ( ( J e. Top /\ K e. Top /\ F e. ( J Cn K ) ) /\ A e. K ) ->
                 ( `' F " A ) e. J ) $=
      ( vx ctop wcel ccn co w3a ccnv cima cv wral wi wa cuni wf eqid iscn
      pm3.27bda 3impa wceq imaeq2 eleq1d rcla4cv syl imp ) CFGZDFGZBCDHIGZJZADG
      ZBKZALZCGZULUNEMZLZCGZEDNZUMUPOUIUJUKUTUIUJPUKCQZDQZBRUTEBCDVAVBVASVBSTUA
      UBUSUPEADUQAUCURUOCUQAUNUDUEUFUGUH $.
      $( [15-Dec-2006] $) $( [8-Dec-2006] $)
  $}

  ${
    $d x F $.  $d x G $.  $d x J $.  $d x K $.  $d x L $.
    $( The composition of two continuous functions is a continuous
       function.  (Contributed by FL, 15-Dec-2006.) $)
    cnco $p |- ( ( ( J e. Top /\ K e. Top /\ L e. Top ) /\ ( F e. ( J Cn K )
                  /\ G e.  ( K Cn L ) ) ) -> ( G o. F ) e. ( J Cn L ) ) $=
      ( vx ctop wcel w3a ccn co wa ccom cuni wf ccnv cv cima wral fco eqid cnf
      3expa 3adantl1 3adantl3 syl2an ancoms anandis cnima 3simp1 ad2antrr
      3simp2 simprl adantr 3jca 3simp3 simprr sylan sylanc wceq cnvco imaeq1
      ax-mp imaco eqtr syl5eqel r19.21aiva jca wb iscn 3adant2 mpbird ) CGHZDGH
      ZEGHZIZACDJKHZBDEJKHZLZLZBAMZCEJKHZCNZENZWAOZWAPZFQZRZCHZFESZLZVTWEWJVPVQ
      VRWEVPVRLZVPVQLZWEDNZWDBOZWCWNAOZWEWLWMWCWNWDBATVNVOVRWOVMVNVOVRWOBDEWNWD
      WNUAZWDUAZUBUCUDVMVNVQWPVOVMVNVQWPACDWCWNWCUAZWQUBUCUEUFUGUHVTWIFEVTWGEHZ
      LZAPZBPZWGRZRZCWHVMVNVQIXDDHZXECHXAXDACDUIXAVMVNVQVPVMVSWTVMVNVOUJUKVPVNV
      SWTVMVNVOULZUKVTVQWTVPVQVRUMUNUOVNVOVRIWTXFVTWGBDEUIVTVNVOVRVPVNVSXGUNVPV
      OVSVMVNVOUPUNVPVQVRUQUOURUSWHXBXCMZWGRZXEWFXHUTWHXIUTBAVAWFXHWGVBVCXBXCWG
      VDVEVFVGVHVPWBWKVIZVSVMVOXJVNFWACEWCWDWSWRVJVKUNVL $.
      $( [15-Dec-2006] $) $( [8-Dec-2006] $)
  $}

  ${
    $d x y z F $.  $d x y z G $.  $d x y z J $.  $d x y z K $.  $d x y z L $.
    $d x y z P $.  $d x y z X $.
    cnpco.1 $e |- X = U. J $.
    $( MAY BE REVISED - this proof needs to be shortened significantly $)
    $( The composition of two continuous functions at point ` P ` is a
       continuous function at point ` P ` .  Bourbaki TG I.9.  (Contributed by
       FL, 31-Dec-2006.)  _Warning:  The HTML proof page is 0.5MB in
       size_. $)
    cnpco $p |- ( ( ( J e. Top /\ L e. Top /\ P e. X ) /\ ( K e. Top
        /\ F e. ( ( J CnP K ) ` P ) /\ G e.  ( ( K CnP L ) ` ( F ` P ) ) ) )
        -> ( G o. F ) e. ( ( J CnP L ) ` P ) ) $=
      ( vz vx vy ctop wcel w3a ccnp co cfv wa ccom cuni wf cv cima wss wrex wi
      wral fco eqid cnpf 3simp1 adantl 3simp2 adantr ffvelrn eleq2i pm3.2 3exp
      com34 com13 a1i 3imp sylbi com12 a1d 3imp1 syl 3simp3 syl6eleq sylanc
      3jca com14 cnpimaex ad2antrr ad2antlr simplr pm3.27 ex anim1d r19.41v
      syl6ibr sstr imass2 sylan anim2i anassrs r19.22si syl6 r19.22dva mpd c0
      wne wb 0opnt ne0i 3ad2ant1 r19.9rzv mpbird exp31 r19.21aiv wfun cdm wceq
      jca ffun 3syl fdm eqcomd eleqtrd fvco eleq1 biimpd imaco eqcomi sseq1i
      biimp anim2d r19.22sdv imim12d r19.20sdv iscnp ) DLMZFLMZAGMZNZELMZBADEOP
      QMZCABQZEFOPQMZNZRZCBSZADFOPQMZGFTZYLUAZAYLQZIUBZMZAJUBZMZYLYSUCZYQUDZRZJ
      DUEZUFZIFUGZRZYKYOUUFETZYNCUAZGUUHBUAZYOYKGUUHYNCBUHYFYCYHUUHMZNZYIUUIYKY
      HCEFUUHYNUUHUIZYNUIZUJZYKYFYCUUKYJYFYEYFYGYIUKULZYEYCYJYBYCYDUMUNZDTZUUHB
      UAZAUURMZUUKYKUURUUHABUOZYKYBYFUUTNZYGRZUUSYBYCYDYJUVCYBYDYJUVCUFZUFYCYDY
      BUVDYDUUTYBUVDUFGUURAHUPYJYBUUTUVCYFYGYIYBUUTUVCUFZUFZYIYGYFUVFYGYFUVFUFU
      FYIYBYFYGUVEYBYFUUTYGUVCYBYFUUTYGUVCUFUVBYGUQURUSUTVAUTVBUTVCVDVEVFABDEUU
      RUUHUURUIUUMUJZVGYEUUTYJYEAGUURYBYCYDVHZHVIUNVJVKZYJYIYEYFYGYIVHULZVJYKYB
      YFYDNZYGRZUUJYBYCYDYJUVLYBYDYJUVLUFUFYCYJYDYBUVLYFYGYIYDYBUVLUFUFZYIYGYFU
      VMYGYFUVMUFUFYIYBYFYDYGUVLYBYFYDYGUVLUFUVKYGUQURVLVAUTVBUTVEVFZABDEGUUHHU
      UMUJZVGVJYKYHCQZYQMZYTCBYSUCZUCZYQUDZRZJDUEZUFZIFUGUUFYKUWCIFYKYQFMZUVQUW
      BYKUWDRZUVQRZUWBUWBKEUEZUWFYHKUBZMZCUWHUCZYQUDZRZKEUEZUWGUULYIUWDUVQNUWMU
      WFKYQYHCEFUUHUUMVMUWFYFYCUUKYKYFUWDUVQUUPVNZYKYCUWDUVQUUQVNUUSUUTUUKUWFUV
      AUVBYGUUSUWFUVGUWFYBYFUUTYKYBUWDUVQYEYBYJYBYCYDUKUNVNZUWNUWFAGUURYKYDUWDU
      VQYEYDYJUVHUNZVNZHVIZVKUWEYGUVQYJYGYEUWDYFYGYIUMVOUNZVJUWRVJVKUWFYIUWDUVQ
      YKYIUWDUVQUVJVNYKUWDUVQVPUWEUVQVQVKVJUWFUWLUWBKEUWFUWHEMZRZUWLYTUVRUWHUDZ
      RZUWKRZJDUEZUWBUXAUWLUXCJDUEZUWKRUXEUXAUWIUXFUWKUXAUWIUXFUVKYGUWTUWINUXFU
      XAUWIRZJUWHABDEGHVMUXGYBYFYDUWFYBUWTUWIUWOVNUWFYFUWTUWIUWNVNUWFYDUWTUWIUW
      QVNVKUXGYGUWTUWIUWFYGUWTUWIUWSVNUWFUWTUWIVPUXAUWIVQVKVJVRVSUXCUWKJDVTWAUX
      DUWAJDYTUXBUWKUWAUXBUWKRUVTYTUVSUWJUDUWKUVTUXBUVSUWJYQWBUVRUWHCWCWDWEWFWG
      WHWIWJUWFEWKWLZUWBUWGWMYKUXHUWDUVQYJUXHYEYFYGUXHYIYFWKEMUXHEWNEWKWOVGWPUL
      VNUWBKEWQVGWRWSWTYKUWCUUEIFYKYRUVQUWBUUDYKYRUVQYKCXAZBXAZABXBZMZNYPUVPXCY
      RUVQWMYKUXIUXJUXLYKUULYIRUUIUXIYKUULYIUVIUVJXDUUOUUHYNCXEXFYKUVLUUJUXJUVN
      UVOGUUHBXEXFYKAGUXKUWPYKUVLUUJGUXKXCUVNUVOUUJUXKGGUUHBXGXHXFXIVKACBXJYPUV
      PYQXKXFXLYKUWAUUCJDYKUVTUUBYTUVTUUBUFYKUVTUUBUVSUUAYQUUAUVSCBYSXMXNXOXPVA
      XQXRXSXTWJXDYEYMUUGWMYJJIAYLDFGYNHUUNYAUNWR $.
      $( [1-Jan-2007] $) $( [16-Nov-2006] $)
  $}

  ${
    $d F x y $.  $d J x y $.  $d K x y $.  $d X x y $.  $d Y x y $.
    iscncl.1 $e |- X = U. J $.
    iscncl.2 $e |- Y = U. K $.
    $( A definition of a continuous function using closed sets.  Bourbaki
       TG I.9 Th. 1 (d).  (Contributed by FL, 30-Jan-2007.) $)
    iscncl $p |- ( ( J e. Top /\ K e. Top ) -> ( F e. ( J Cn K ) <->
    ( F : X --> Y /\ A. y e. ( Clsd ` K ) ( `' F " y ) e. ( Clsd ` J ) ) ) ) $=
      ( vx ctop wcel wa ccn co wf ccnv cv cima wral ccld cfv iscn cdif wi wceq
      fimacnv eqcomd difeq1d wfun ffun funcnvcnv imadif 3syl eqtr4d a1i com13
      imp41 imaeq2 eleq1d rcla4cva simplr cldopn adantlr sylanc adantllr
      eqeltrd exp41 adantl wb wss iscld2 cdm cnvimass fdm sseqtrd sylan2
      ad2antrr mpbird r19.21aiva opncld isopn2 impbida pm5.32da bitrd ) CJKZDJK
      ZLZBCDMNKEFBOZBPZIQZRZCKZIDSZLWHWIAQZRZCTUAZKZADTUAZSZLIBCDEFGHUBWGWHWMWS
      WGWHLZWMWSWTWMLZWQAWRXAWNWRKZLWQEWOUCZCKZWGWHWMXBXDWFWHWMXBXDUDUDUDWEWFWH
      WMXBXDWFWHLZWMLXBLXCWIFWNUCZRZCWFWHWMXBXCXGUEZWHWMXBXHUDUDUDWFXBWMWHXHWMW
      HXHUDZUDXBXIWMWHXCWIFRZWOUCZXGWHEXJWOWHXJEEFBUFUGZUHWHBUIZWIPUIZXGXKUEEFB
      UJZBUKZFWNWIULUMUNUOUOUPUOUQWFWMXBXGCKZWHWMXFDKZXQWFWMLXBLWLXQIXFDWJXFUEW
      KXGCWJXFWIURUSUTWFWMXBVAWFXBXRWMWNDFHVBVCVDVEVFVGVHUQWTWQXDVIZWMXBWEWHXSW
      FWEWOEVJXSWHWOCEGVKWHWOBVLZEWOXTVJWHBWNVMUOEFBVNZVOVPVCVQVRVSWTWSLZWLIDYB
      WJDKZLWLEWKUCZWPKZWGWHWSYCYEWFWHWSYCYEUDUDUDWEWFWHWSYCYEXEWSLYCLYDWIFWJUC
      ZRZWPWFWHWSYCYDYGUEZWHWSYCYHUDUDUDWFYCWSWHYHWSWHYHUDZUDYCYIWSWHYDXJWKUCZY
      GWHEXJWKXLUHWHXMXNYGYJUEXOXPFWJWIULUMUNUOUOUPUOUQWFWSYCYGWPKZWHWSYFWRKZYK
      WFWSLYCLWQYKAYFWRWNYFUEWOYGWPWNYFWIURUSUTWFWSYCVAWFYCYLWSWJDFHVTVCVDVEVFV
      GVHUQWTWLYEVIZWSYCWEWHYMWFWEWKEVJYMWHWKCEGWAWHWKXTEWKXTVJWHBWJVMUOYAVOVPV
      CVQVRVSWBWCWD $.
      $( [30-Jan-2007] $) $( [19-Nov-2006] $)
  $}

  ${
    $d x A $.  $d x F $.  $d x J $.  $d x K $.
    $( A closed subset of the codomain of a continuous function has a closed
       pre-image. $)
    cnclima $p |- ( ( ( J e. Top /\ K e. Top /\ F e. ( J Cn K ) ) /\
                A e. ( Clsd ` K ) ) -> ( `' F " A ) e. ( Clsd ` J ) ) $=
      ( vx ctop wcel ccn co w3a ccld cfv ccnv cima cv wral wi wa cuni wf eqid
      iscncl pm3.27bda 3impa wceq imaeq2 eleq1d rcla4cv syl imp ) CFGZDFGZBCDHI
      GZJZADKLZGZBMZANZCKLZGZUNUQEOZNZUSGZEUOPZUPUTQUKULUMVDUKULRUMCSZDSZBTVDEB
      CDVEVFVEUAVFUAUBUCUDVCUTEAUOVAAUEVBURUSVAAUQUFUGUHUIUJ $.
      $( [14-Apr-2007] $) $( [15-Mar-2007] $)
  $}

  ${
    $d J f x y $.  $d K f y $.  $d X f y $.  $d Y y $.  $d P f x y $.
    cnsscnp.1 $e |- X = U. J $.
    cnsscnp.2 $e |- Y = U. K $.
    $( The set of continuous functions is a subset of the set of continuous
       functions at a point.  (Contributed by Raph Levien, 21-Oct-2006.) $)
    cnsscnp $p |- ( ( J e. Top /\ K e. Top /\ P e. X ) ->
                  ( J Cn K ) (_ ( ( J CnP K ) ` P ) ) $=
      ( vf vy vx ctop wcel w3a ccn co ccnp cfv cv wi wa wf ccnv cima wral wss
      wrex cdm wfun wceq fvimacnv eleq2 biimprcd syl6bi ex com4r com3r imp32
      crn cin inss1 imaeq2 funimacnv sylan9eq sseq1d mpbiri adantl jctird
      exp32 com24 imp31 r19.22sdv risset syl5ib exp31 com4t imp r19.20sdv fdm
      eleq2d biimpar ffun adantr sylanc expcom imdistand wb iscn iscnp 3expa
      3imtr4d 3impa ssrdv ) BKLZCKLZADLZMHBCNOZABCPOQZWMWNWOHRZWPLZWRWQLZSWMWNT
      ZWOTDEWRUAZWRUBIRZUCZBLZICUDZTZXBAWRQXCLZAJRZLZWRXIUCZXCUEZTZJBUFZSZICUDZ
      TZWSWTWOXGXQSXAWOXBXFXPXBWOXFXPSZAWRUGZLZWRUHZXRXBWOTXTYATXEXOICXTYAXEXOS
      YAXEXTXOXTXHYAXEXNXTXHYAXEXNSXTXHTYATZXIXDUIZJBUFXNXEYBYCXMJBXTXHYAYCXMSX
      TYCYAXHXMXTYCYAXHXMSXTYCYATZTXHXJXLXTYCYAXHXJSZYCYAXTYEYAXTXHYCXJYAXTXHYC
      XJSZSYAXTTXHAXDLZYFAXCWRUJYCXJYGXIXDAUKULUMUNUOUPUQYDXLXTYDXLXCWRURZUSZXC
      UEXCYHUTYDXKYIXCYCYAXKWRXDUCYIXIXDWRVAXCWRVBVCVDVEVFVGVHVIVJVKJXDBVLVMVNV
      OUPVPVQXBXTWOXBXSDADEWRVRVSVTXBYAWODEWRWAWBWCWDWEVFXAWSXGWFWOIWRBCDEFGWGW
      BWMWNWOWTXQWFJIAWRBCDEFGWHWIWJWKWL $.
      $( [21-Oct-2006] $) $( [18-Oct-2006] $)

    $( A continuous function is continuous at all points.  One direction of
       Theorem 7.2(g) of [Munkres] p. 107.  (Contributed by Raph Levien,
       20-Nov-2006.) $)
    cncnpi $p |- ( ( ( J e. Top /\ K e. Top ) /\
             ( F e. ( J Cn K ) /\ A e. X ) ) -> F e. ( ( J CnP K ) ` A ) ) $=
      ( ctop wcel wa ccn co ccnp cfv wi w3a cnsscnp sseld 3expia com23 imp32 )
      CIJZDIJZKZBCDLMZJZAEJZBACDNMOZJZUEUHUGUJUCUDUHUGUJPUCUDUHQUFUIBACDEFGHRST
      UAUB $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)
  $}

  ${
    $d x B $.
    $( MAY BE REVISED - use iscnp2 instead of iscnp to shorten cncnplem1 thru
       cncnplem4 ?  Or prove cncnp directly? $)
    $( Lemma for ~ cncnp2 . $)
    cncnplem1 $p |- U. { x e. A | ( ph /\ x (_ B ) } (_ B $=
      ( cv wss wa crab cuni cpw wcel cab simprr ss2abi df-rab df-pw 3sstr4
      uniss ax-mp unipw sseqtr ) ABEZDFZGZBCHZIZDJZIZDUEUGFUFUHFUBCKZUDGZBLUCBL
      UEUGUJUCBUIAUCMNUDBCOBDPQUEUGRSDTUA $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)
  $}

  ${
    $d A x y $.  $d B y $.  $d X x $.
    $( Lemma for ~ cncnp2 . $)
    cncnplem2 $p |- ( A. x ( x e. A -> x e. B ) -> A (_ U_ x e. A B ) $=
      ( vy cv wcel wi wal ciun wrex ax-17 hba1 hbre1 hbim visset wceq wa ra4e
      eleq1 biimpar adantr ax-4 com12 syl6bir biimpd syl6d imp31 sylanc exp31
      vtoclef eliun syl6ibr ssrdv ) AEZBFZUNCFZGZAHZDBABCIZDEZBFZURUTUSFZVAURUT
      CFZABJZVBVAURVDGZGAUTVAVEAVAAKURVDAUQALVCABMNNDOUNUTPZVAURVDUOVCVDVFVAQZU
      RQVCABRVGUOURVFUOVAUNUTBSZTUAVFVAURVCVFVAURUPVCVFVAUOURUPGVHURUOUPUQAUBUC
      UDVFUPVCUNUTCSUEUFUGUHUIUJAUTBCUKULUCUM $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)

    $( Lemma for ~ cncnp2 . $)
    cncnplem3 $p |- ( A (_ X -> ( A. x e. X ( x e. A -> x e. B ) ->
                    A (_ U_ x e. A B ) ) $=
      ( wss cv wcel wi wral wal ciun wa ssel pm4.71rd imbi1d impexp syl6bb
      albidv df-ral syl6bbr cncnplem2 syl6bir ) BDEZAFZBGZUDCGZHZADIZUGAJZBABCK
      EUCUIUDDGZUGHZAJUHUCUGUKAUCUGUJUELZUFHUKUCUEULUFUCUEUJBDUDMNOUJUEUFPQRUGA
      DSTABCUAUB $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)
  $}

  ${
    $d J x z $.  $d F x z $.  $d X x z $.  $d Y x z $.  $d x y z $.
    cncnplem4.1 $e |- X = U. J $.
    $( Lemma for ~ cncnp2 . $)
    cncnplem4 $p |- ( J e. Top -> ( ( F : X --> Y /\ A. x e. X ( ( F ` x ) e. y
      -> E. z e. J ( x e. z /\ ( F " z ) (_ y ) ) ) -> ( `' F " y ) e. J ) ) $=
      ( wf cv cfv wcel cima wss wa wrex wi wral ccnv crab cuni ciun ctop wceq
      wb cdm fdm syl6eq sseq2d elssuni syl5bir wfun funimass3 ffun sylan ex
      syld imp anbi2d rabbidv unieqd adantr iuneq2dv iunss cncnplem1 a1i
      mprgbir cnvimass sseli fvimacnv biimprd pm4.24 anbi1i anass bitr syl6bb
      rexbidva elunirab syl6bbr biimpd imim12d com14 mpd com13 r19.20sdv mpbii
      cncnplem3 syl eqssd eqtrd eleq1d ssrab2 uniopnt mpan2 a1d r19.21aiv
      iunopnt mpdan syl5cbi ) FGDIZAJZDKBJZLZXACJZLZDXDMXBNZOZCEPZQZAFRZOZADSXB
      MZXGCETZUAZUBZELZXLELEUCLZXKXOXLEXKXOAXLXEXDXLNZOZCETZUAZUBZXLWTXOYBUDXJW
      TAXLXNYAWTXNYAUDXAXLLZWTXMXTWTXGXSCEWTXDELZOXFXRXEWTYDXFXRUEZWTYDXDDUFZNZ
      YEWTYGXDEUAZNYDWTYFYHXDWTYFFYHFGDUGZHUHUIXDEUJUKZWTYGYEDULZYGYEWTXDXBDUMF
      GDUNZUOZUPUQURUSUTVAVBVCVBXKYBXLYBXLNZXKYNYAXLNZAXLAXLYAXLVDYOYCXECEXLVEV
      FVGVFWTXJXLYBNZWTXJYCXAYALZQZAFRZYPWTXIYRAFYCXIWTYQYCXAYFLZXIWTYQQQXLYFXA
      DXBVHZVIWTYTXIYCYQWTYTXIYRQWTYTOZYCXCXHYQUUBXCYCYKYTXCYCUEWTXAXBDVJYLUOVK
      WTXHYQQYTWTXHYQWTXHXEXSOZCEPYQWTXGUUCCEWTYDXGUUCUEZWTYDYGUUDYJWTYGUUDWTYG
      OZXGXSUUCUUEXFXRXEYMUSXSXEXEOZXROUUCXEUUFXRXEVLVMXEXEXRVNVOVPUPUQURVQXSCX
      AEVRVSVTVBWAUPWBWCWDWEWTXLFNZYSYPQWTXLYFNUUGUUAWTYFFXLYIUIWFAXLYAFWGWHUQU
      RWIWJWKXQXNELZAXLRXPXQUUHAXLXQUUHYCXQXMENUUHXGCEWLXMEWMWNWOWPAXLXNEWQWRWS
      $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)
  $}

  ${
    $d J x y z $.  $d K x y $.  $d F x y z $.  $d X x y z $.  $d Y x y z $.
    cncnp.1 $e |- X = U. J $.
    cncnp.2 $e |- Y = U. K $.
    $( A continuous function is continuous at all points.  Theorem 7.2(g) of
       [Munkres] p. 107. $)
    cncnp $p |- ( ( J e. Top /\ K e. Top /\ F : X --> Y ) ->
                ( F e. ( J Cn K ) <-> A. x e. X F e. ( ( J CnP K ) ` x ) ) ) $=
      ( vy vz ctop wcel wf w3a ccn co cv ccnp cfv wral wi wa cnsscnp sseld
      3expia com23 r19.21adv 3adant3 cima wss wrex ccnv pm3.27 r19.20si anim2i
      ex cncnplem4 exp3a imp r19.20sdv imdistand ralcom anbi2i syl5ib sylan9r
      3adant2 wb iscnp 3expa ralbidva iscn imbi12d mpbird impbid ) CKLZDKLZEFBM
      ZNZBCDOPZLZBAQZCDRPSZLZAETZVOVPVTWDUAVQVOVPUBZVTWCAEWEWAELZVTWCVOVPWFVTWC
      UAVOVPWFNVSWBBWACDEFGHUCUDUEUFUGUHVRWDVTUAZVQWABSIQZLWAJQZLBWIUIWHUJUBJCU
      KUAZIDTZUBZAETZVQBULWHUICLZIDTZUBZUAZVOVQWQVPVQWMVQWKAETZUBZVOWPVQWMWSWMW
      RVQWLWKAEVQWKUMUNUOUPVOVQWJAETZIDTZUBWPWSVOVQXAWOVOVQXAWOUAVOVQUBWTWNIDVO
      VQWTWNUAVOVQWTWNAIJBCEFGUQURUSUTUPVAWRXAVQWJAIEDVBVCVDVEVFVOVPWGWQVGVQWEW
      DWMVTWPWEWCWLAEVOVPWFWCWLVGJIWABCDEFGHVHVIVJIBCDEFGHVKVLUHVMVN $.
      $( [15-May-2007] $) $( [15-May-2007] $)

    $( A continuous function is continuous at all points.  Theorem 7.2(g) of
       [Munkres] p. 107.  (Contributed by Raph Levien, 20-Nov-2006.) $)
    cncnp2 $p |- ( ( J e. Top /\ K e. Top /\ X =/= (/) ) ->
                ( F e. ( J Cn K ) <-> A. x e. X F e. ( ( J CnP K ) ` x ) ) ) $=
      ( ctop wcel c0 wne w3a ccn co wf cv ccnp cfv wral wa wb cnf 3expia
      pm4.71rd cncnp 3expa pm5.32da bitrd 3adant3 wi cnpf ex ralbidva r19.28zv
      sylan9bb 3impa bitr4d ) CIJZDIJZEKLZMBCDNOJZEFBPZBAQZCDROSJZAETZUAZVFUSUT
      VBVGUBVAUSUTUAZVBVCVBUAVGVHVBVCUSUTVBVCBCDEFGHUCUDUEVHVCVBVFUSUTVCVBVFUBA
      BCDEFGHUFUGUHUIUJUSUTVAVFVGUBVHVFVCVEUAZAETVAVGVHVEVIAEVHVDEJZUAVEVCUSUTV
      JVEVCUKUSUTVJMVEVCVDBCDEFGHULUMUGUEUNVCVEAEUOUPUQUR $.
      $( [21-Nov-2006] $) $( [20-Nov-2006] $)
  $}

  ${
    $d J x $.  $d B x $.  $d Y x $.  $d F x $.  $d X x $.  $d K x $.
    cnconst.1 $e |- X = U. J $.
    cnconst.2 $e |- Y = U. K $.
    $( A constant function is continuous.  (Contributed by FL, 25-Jan-2007.) $)
    cnconst $p |- ( ( ( J e. Top /\ K e. Top ) /\
      ( B e. Y /\ F : X --> { B } ) ) -> F e. ( J Cn K ) ) $=
      ( vx ctop wcel wa csn wf ccn co ccnv cv cima wral wss fss simprr snssi
      ad2antrl sylanc wi w3a c0 wceq eleq1 0opnt syl5cbi eqcom syl5ib 0ima
      eqtrt mpan2 syl5 imaeq1 cnv0 cnveq 3ad2ant1 wn crn imassrn a1i cdm fdm
      dfdm4 syl5eqr sseqtrd eqcomd adantr imadmrn eqtr4 wfo wne foconst df-ne
      sylan2br forn syl df-rn imaeq2d 3eqtrd 3adant2 imass2 3ad2ant2 eqsstrd
      eqssd 3exp 3imp1 topopn eqeltrd ex pm2.61d a1d imp32 cin fimacnvdisj
      pm3.27 disjsn biimpr incom syl5eq syl2an adantll ad2antrr r19.21aiv jca
      adantlr wb iscn mpbird ) CJKZDJKZLZAFKZEAMZBNZLZLBCDOPKZEFBNZBQZIRZSZCKZI
      DTZLZXPYBYJXQXPYBLZYDYIYAXTFUAZYDYKEXTFBUBXPXSYAUCXSYLXPYAAFUDUEUFYKYHIDY
      KYHYFDKYKAYFKZYHXPXSYAYMYHUGZXPYAYNUGXSXPYAYMYHXPYAYMUHZBUIUJZYHXPYAYPYHU
      GYMXPYEUIQZUJZYHYPXPYEUIUJZYHYRXPYGUIYFSZUJZYHYSXPYGUIUJZYHUUAXPUIYGUJZYH
      UUBUUCUICKZYHXPUIYGCUKCULZUMYGUIUNUOUUAYTUIUJUUBYFUPYGYTUIUQURUSYEUIYFUTU
      SYRYQUIUJYSVAYEYQUIUQURUSBUIVBUSVCYOYPVDZYHYOUUFLYGECXPYAYMUUFYGEUJZYAYMU
      UFUUGUGUGUGXPYAYMUUFUUGYAYMUUFUHZYGEYAYMYGEUAUUFYAYGYEVEZEYGUUIUAYAYEYFVF
      VGYABVHZEUUIEXTBVIZBVJZVKVLVCUUHEYEXTSZYGYAUUFEUUMUJYMYAUUFLZEUUJYEYEVHZS
      ZUUMYAEUUJUJUUFYAUUJEUUKVMVNUUJUUPUJUUNUUJUUIUUPUULYEVOVPVGUUNUUOXTYEUUNB
      VEZXTUUOUUNEXTBVQZUUQXTUJYABUIVRUURUUFEABVSBUIVTWAEXTBWBWCBWDVKWEWFWGYMYA
      UUMYGUAZUUFYMXTYFUAUUSAYFUDXTYFYEWHWCWIWJWKWLVGWMYOECKZUUFXPYAUUTYMCEGWNV
      CVNWOWPWQWLWRWSYKYMVDZYHYKUVALYGUICYBUVAUUBXPYAXTYFWTZUIUJUUBYBUVAEXTYFBX
      AXSYAXBUVAYFXTWTZUIUVBUVCUIUJUVAYFAXCXDXTYFXEXFXGXHXPUUDYBUVAUUEXIWOWPWQW
      RXJXKXLXRYCYJXMYBIBCDEFGHXNVNXO $.
      $( [25-Jan-2007] $) $( [15-Jan-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                    Hausdorff spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new symbol for Hausdorff space. $)
  $c Haus $.

  $( Extend class notation with the class of all Hausdorf spaces. $)
  cha $a class Haus $.

  ${
    $d j m n x y w z $.
    $( Define the class of all Hausdorff spaces.  A Hausdorff space is a
       topology in which distinct points have disjoint open neighborhoods.
       Definition of Hausdorff space in [Munkres] p. 98. $)
    df-haus $a |- Haus = { j e. Top | A. x e. U. j A. y e. U. j ( x =/= y ->
           E. n e. j E. m e. j ( x e. n /\ y e. m /\ ( n i^i m ) = (/) ) ) } $.
  $}

  ${
    $d j m n x y J $.  $d j x y X $.  $d m n x y P $.  $d m n y Q $.
    ishaus.1 $e |- X = U. J $.
    $( Express the predicate " ` J ` is a Hausdorff space." $)
    ishaus $p |- ( J e. Haus <-> ( J e. Top /\ A. x e. X A. y e. X ( x =/= y ->
               E. n e. J E. m e. J ( x e. n /\ y e. m /\
                   ( n i^i m ) = (/) ) ) ) ) $=
      ( vj cv wne wcel cin c0 wceq w3a wrex wi cuni wral ctop cha unieq
      syl6eqr rexeq1 rexeqd imbi2d raleq12d df-haus elrab2 ) AIZBIZJZUJDIZKUKCI
      ZKUMUNLMNOZCHIZPZDUPPZQZBUPRZSZAUTSULUOCEPZDEPZQZBFSZAFSHETUAUPENZVAVEAUT
      FVFUTERFUPEUBGUCZVFUSVDBUTFVGVFURVCULUQVBDUPEUOCUPEUDUEUFUGUGABHCDUHUI $.
      $( [15-Mar-2007] $) $( [8-Mar-2007] $)

    $( Neighborhood property of a Hausdorff space. $)
    hausnei $p |- ( ( J e. Haus /\ ( P e. X /\ Q e. X /\ P =/= Q ) ) ->
           E. n e. J E. m e. J ( P e. n /\ Q e. m /\
                   ( n i^i m ) = (/) ) ) $=
      ( vx vy cha wcel wne cv cin c0 wceq w3a wrex wi wa wral neeq1 eleq1
      3anbi1d 2rexbidv imbi12d neeq2 3anbi2d rcla42v ctop ishaus pm3.27bi syl5
      ex com3r 3imp2 ) EJKZAFKZBFKZABLZADMZKZBCMZKZVAVCNOPZQZCERDERZURUSUQUTVGS
      ZURUSUQVHSURUSTHMZIMZLZVIVAKZVJVCKZVEQZCERDERZSZIFUAHFUAZVHUQVPVHAVJLZVBV
      MVEQZCERDERZSHIABFFVIAPZVKVRVOVTVIAVJUBWAVNVSDCEEWAVLVBVMVEVIAVAUCUDUEUFV
      JBPZVRUTVTVGVJBAUGWBVSVFDCEEWBVMVDVBVEVJBVCUCUHUEUFUIUQEUJKVQHICDEFGUKULU
      MUNUOUP $.
      $( [23-Apr-2007] $) $( [8-Mar-2007] $)
  $}

  ${
    $d m n x y J $.  $d x y X $.
    ishausi.1 $e |- X = U. J $.
    ishausi.2 $e |- J e. Top $.
    ishausi.3 $e |- ( ( x e. X /\ y e. X /\ x =/= y ) ->
             E. n e. J E. m e. J ( x e. n /\ y e. m /\ ( n i^i m ) = (/) ) ) $.
    $( Properties that determine a Hausdorff space. $)
    ishausi $p |- J e. Haus $=
      ( cha wcel ctop cv wne cin c0 wceq w3a wrex wi wral ishaus 3expia rgen2a
      mpbir2an ) EJKELKAMZBMZNZUFDMZKUGCMZKUIUJOPQRCESDESZTZBFUAAFUAABCDEFGUBHU
      LABFUFFKUGFKUHUKIUCUDUE $.
      $( [18-Apr-2007] $) $( [8-Mar-2007] $)
  $}

  ${
    $d x y m n J $.
    $( A Hausdorff space is a topology. $)
    haustop $p |- ( J e. Haus -> J e. Top ) $=
      ( vx vy vn vm cha wcel ctop cv wne cin c0 wceq w3a wrex wi cuni wral
      eqid ishaus pm3.26bi ) AFGAHGBIZCIZJUBDIZGUCEIZGUDUEKLMNEAODAOPCAQZRBUFRB
      CEDAUFUFSTUA $.
      $( [22-Apr-2007] $) $( [5-Mar-2007] $)
  $}

  ${
    $d n x y J $.  $d n x y P $.  $d x y X $.
    sncld.1 $e |- X = U. J $.
    $( A singleton is closed in a Hausdorff space. $)
    sncld $p |- ( ( J e. Haus /\ P e. X ) -> { P } e. ( Clsd ` J ) ) $=
      ( vx vy vn cha wcel wa csn ccld cfv ccl wceq cv cin c0 wne wi wral ctop
      wss wb elcls2 haustop snssi syl2an wrex wn w3a hausnei sseq0 sslin syl
      sylan anim2i 3impb a1i r19.23aiv r19.22si 3exp2 imp31 an1rs necon1bd
      df-ne imbi2i ralbii ralinexa bitr syl5ib ex imp3a eleq1a adantl eleq1
      biimpd disjsn necon2abii syl6ib adantr r19.21aiva jcad impbid elsn
      syl6bbr bitrd eqrdv iscld3 mpbird ) BHIZACIZJZAKZBLMIZWNBNMMZWNOZWMEWPWNW
      MEPZWPIZWRCIZWRFPZIZXAWNQZRSZTZFBUAZJZWRWNIZBUBIZWNCUCZWSXGUDWKWLFWRWNBCD
      UEBUFZACUGZUHWMXGWRAOZXHWMXGXMWMWTXFXMWMWTXFXMTWMWTJZXBXCROZJZFBUIZUJZXMX
      FXNXQWRAWKWTWLWRASZXQTZWKWTWLXTWKWTWLXSXQWKWTWLXSUKJXBAGPZIZXAYAQZROZUKZG
      BUIZFBUIXQWRAGFBCDULYFXPFBYEXPGBYEXPTYABIXBYBYDXPYBYDJXOXBXCYCUCZYDXOYBXC
      YCUMYBWNYAUCYGAYAUGWNYAXAUNUOUPUQURUSUTVAUOVBVCVDVEXFXBXOUJZTZFBUAXRXEYIF
      BXDYHXBXCRVFVGVHXBXOFBVIVJVKVLVMWMXMWTXFWLXMWTTWKACWRVNVOXMXFTWMXMXEFBXMX
      EXABIXMXBAXAIZXDXMXBYJWRAXAVPVQYJXCRXAAVRVSVTWAWBUSWCWDEAWEWFWGWHXIXJWOWQ
      UDWKWLWNBCDWIXKXLUHWJ $.
      $( [25-Apr-2007] $) $( [5-Mar-2007] $)
  $}

  ${
    dnsconst.1 $e |- X = U. J $.
    dnsconst.2 $e |- Y = U. K $.
    $( If a continuous mapping to a Hausdorff space is constant on a dense
       subset, it is constant on the entire space.  Note that
       ` ( ( cls `` J ) `` A ) = X ` means " ` A ` is dense in ` X ` " and
       ` A (_ ( ``' F " { P } ) ` means " ` F ` is constant on ` A ` " (see
       ~ funconstss ). $)
    dnsconst $p |- ( ( ( J e. Top /\ K e. Haus /\ F e. ( J Cn K ) ) /\
  ( P e. Y /\ A (_ ( `' F " { P } ) /\ ( ( cls ` J ) ` A ) = X ) ) ->
        F : X --> { P } ) $=
      ( ctop wcel cha ccn co w3a ccnv csn cima wss ccl cfv wceq wa wfn wf cnf
      haustop syl3an2 ffn syl adantr ccld sncld 3ad2antl2 cnclima syl3anl2
      syldan 3ad2antr1 wi clsss simpll cldss adantlr simplr syl3anc cldcls
      sseqtrd ex adantrr wb sseq1 ad2antll sylibd 3adantr1 3adantl3 mpd jca
      fconst3 sylibr ) DJKZELKZCDEMNKZOZBGKZACPBQZRZSZADTUAZUAZFUBZOZUCZCFUDZFW
      FSZUCFWECUEWLWMWNWCWMWKWCFGCUEZWMVTEJKZWBWOWACDEFGHIUFEUGZUHFGCUIUJUKWLWF
      DULUAKZWNWCWGWDWRWJWCWDWEEULUAKZWRWAVTWDWSWBBEGIUMUNVTWPWBWSWRWAWECDEUOWQ
      UPUQURVTWAWKWRWNUSZWBVTWAUCWGWJWTWDVTWGWJUCZWTWAVTXAUCWRWIWFSZWNVTWGWRXBU
      SWJVTWGUCZWRXBXCWRUCZWIWFWHUAZWFVTWFFSZWGWIXESXDWFADFHUTVTWGWRVAVTWRXFWGW
      FDFHVBVCVTWGWRVDVEVTWRXEWFUBWGWFDVFVCVGVHVIWJXBWNVJVTWGWIFWFVKVLVMVCVNVOV
      PVQFBCVRVS $.
      $( [28-Apr-2007] $) $( [15-Mar-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                    Examples of Hausdorff spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                            Metric spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Basic metric space properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Declare new constant symbols and define their syntactical properties. $)
  $c Met $.
  $c MetSp $.
  $c ball $.
  $c Open $.

  $( Extend class notation with the class of all metrics. $)
  cme $a class Met $.

  $( Extend class notation with the class of all metric spaces. $)
  cmt $a class MetSp $.

  $( Extend class notation with the metric space ball function. $)
  cbl $a class ball $.

  $( Extend class notation with a function mapping each metric space to the
     family of its open sets. $)
  copn $a class Open $.

  ${
    $d x y z w v u $.
    $( Define the (proper) class of all metrics.  (A metric space is the
       metric's base set paired with the metric; see ~ df-ms .  However, we
       will often also call the metric itself a "metric space.")  Equivalent
       to Definition 14-1.1 of [Gleason] p. 223.  See ~ ismsg for the property
       "is a metric space."  The 4 properties in Gleason's definition are
       shown by ~ met0 , ~ metgt0 , ~ metsym , and ~ mettri . $)
    df-met $a |- Met = { x | E. y ( x : ( y X. y ) --> RR /\
                 A. z e. y A. w e. y ( ( ( z x w ) = 0 <-> z = w ) /\
                 A. v e. y ( z x w ) <_ ( ( v x z ) + ( v x w ) ) ) ) } $.

    $( Define the (proper) class of all metric spaces. $)
    df-ms $a |- MetSp = { <. x , y >. | ( y e. Met /\ x = dom dom y ) } $.

    $( Define the metric space ball function.  See ~ blval for its value. $)
    df-bl $a |- ball = { <. x , y >. | ( x e. Met /\ y =
  { <. <. z , w >. , v >. | ( ( z e. dom dom x /\ w e. RR ) /\ ( 0 < w /\ v =
                { u e. dom dom x | ( z x u ) < w } ) ) } ) } $.

    $( Define a function whose value is the family of open sets of a metric
       space.  See ~ isopn for its main property. $)
    df-opn $a |- Open = { <. x , y >. | ( x e. Met /\ y = { z | ( z (_
            dom dom x /\ A. w e. z E. v e. ran ( ball ` x ) (
            w e. v /\ v (_ z ) ) } ) } $.

    $( The class of all metric spaces is a relation. $)
    msrel $p |- Rel MetSp $=
      ( vy vx cmt wrel cv cme wcel cdm wceq wa copab relopab df-ms releqi
      mpbir ) CDAEZFGBEPHHIJZBAKZDQBALCRBAMNO $.
      $( [28-Aug-2006] $) $( [28-Aug-2006] $)
  $}

  ${
    $d d t x y z D $.  $d t x y z X $.
    ismet.1 $e |- X = dom dom D $.
    $( Express the predicate " ` D ` is a metric." $)
    ismet $p |- ( D e. A -> ( D e. Met <-> ( D : ( X X. X ) --> RR /\
                 A. x e. X A. y e. X ( ( ( x D y ) = 0 <-> x = y ) /\
                 A. z e. X ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) ) ) ) $=
      ( vt vd wcel cme cv cdm wceq cxp cr wf co cc0 wb caddc cle wbr wral wa
      wex feq1 opreq eqeq1d bibi1d opreq12d breq12d ralbidv anbi12d 2ralbidv
      exbidv df-met elab2g fdm dmeq dmxpid syl6req syl adantr pm4.71ri exbii
      syl6bb cvv dmexg eqeq2i xpeq1 xpeq2 eqtrd feq2 raleq1 anbi2d raleqd
      sylbir ceqsexgv 3syl bitrd ) EDJZEKJZHLZEMZMZNZWDWDOZPEQZALZBLZERZSNZWJWK
      NZTZWLCLZWJERZWPWKERZUARZUBUCZCWDUDZUEZBWDUDZAWDUDZUEZUEZHUFZFFOZPEQZWOWT
      CFUDZUEZBFUDZAFUDZUEZWBWCXEHUFZXGWHPILZQZWJWKXPRZSNZWNTZXRWPWJXPRZWPWKXPR
      ZUARZUBUCZCWDUDZUEZBWDUDAWDUDZUEZHUFXOIEKDXPENZYHXEHYIXQWIYGXDWHPXPEUGYIY
      FXBABWDWDYIXTWOYEXAYIXSWMWNYIXRWLSWJWKXPEUHZUIUJYIYDWTCWDYIXRWLYCWSUBYJYI
      YAWQYBWRUAWPWJXPEUHWPWKXPEUHUKULUMUNUOUNUPIHABCUQURXEXFHXEWGWIWGXDWIWEWHN
      ZWGWHPEUSYKWFWHMWDWEWHUTWDVAVBVCVDVEVFVGWBWEVHJWFVHJXGXNTEDVIWEVHVIXEXNHW
      FVHWGWDFNZXEXNTFWFWDGVJYLWIXIXDXMYLWHXHNWIXITYLWHFWDOXHWDFWDVKWDFFVLVMWHX
      HPEVNVCXCXLAWDFXBXKBWDFYLXAXJWOWTCWDFVOVPVQVQUNVRVSVTWA $.
      $( [4-Sep-2007] $) $( [25-Aug-2006] $)
  $}

  ${
    $d x y z w v u $.
    $( Alternate definition for the class of all metric spaces (replaces old
       version of ~ df-ms ). $)
    dfms2 $p |- MetSp = { <. x , y >. | ( y : ( x X. x ) --> RR /\
                 A. z e. x A. w e. x ( ( ( z y w ) = 0 <-> z = w ) /\
                 A. v e. x ( z y w ) <_ ( ( v y z ) + ( v y w ) ) ) ) } $=
      ( cmt cv cme wcel cdm wceq wa copab cxp cr wf co cc0 wb caddc cle wbr
      wral df-ms xpeq1 xpeq2 eqtrd feq2 syl raleq1 anbi2d raleqd anbi12d
      pm5.32ri fdm dmeq dmxpid eqeq2i biimp eqcomd 3syl adantr pm4.71i cvv
      visset eqid ismet ax-mp anbi1i 3bitr4r opabbii eqtr ) FBGZHIZAGZVMJZJZKZL
      ZABMVOVONZOVMPZCGZDGZVMQZRKWBWCKSZWDEGZWBVMQWFWCVMQTQUAUBZEVOUCZLZDVOUCZC
      VOUCZLZABMABUDVSWLABWLVRLVQVQNZOVMPZWEWGEVQUCZLZDVQUCZCVQUCZLZVRLWLVSVRWL
      WSVRWAWNWKWRVRVTWMKWAWNSVRVTVQVONWMVOVQVOUEVOVQVQUFUGVTWMOVMUHUIWJWQCVOVQ
      WIWPDVOVQVRWHWOWEWGEVOVQUJUKULULUMUNWLVRWAVRWKWAVPVTKVQVTJZKZVRVTOVMUOVPV
      TUPXAVQVOXAVQVOKWTVOVQVOUQURUSUTVAVBVCVNWSVRVMVDIVNWSSBVECDEVDVMVQVQVFVGV
      HVIVJVKVL $.
      $( [4-Sep-2007] $) $( [26-Aug-2007] $)
  $}

  ${
    $d v w x y z X $.  $d v w x y z D $.
    $( Express the predicate " ` <. X , D >. ` is a metric space" with
       underlying set ` X ` and distance function ` D ` . $)
    ismsg $p |- ( D e. A ->
                 ( <. X , D >. e. MetSp <-> ( D : ( X X. X ) --> RR /\
                 A. x e. X A. y e. X ( ( ( x D y ) = 0 <-> x = y ) /\
                 A. z e. X ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) ) ) ) $=
      ( vw vv wcel cop cmt cxp cr wf cv co cc0 wceq wb caddc cle wbr wral wa
      cvv df-br msrel brrelexi sylbir anim1i ancoms dmfex wo xpexr oridm sylib
      syl pm3.26 jca adantrr copab xpeq1 xpeq2 eqtrd feq2 raleq1 anbi2d raleqd
      anbi12d feq1 opreq eqeq1d bibi1d opreq12d breq12d ralbidv 2ralbidv
      opelopabg dfms2 eleq2i syl5bb pm5.21nd ) EDIZFEJZKIZFFLZMENZAOZBOZEPZQRZW
      HWIRZSZWJCOZWHEPZWNWIEPZTPZUAUBZCFUCZUDZBFUCAFUCZUDZFUEIZWCUDZWEWCXDWEXCW
      CWEFEKUBXCFEKUFFEKUGUHUIUJUKWCWGXDXAWCWGUDZXCWCXEWFUEIZXCWFMDEULXFXCXCUMX
      CFFUEUNXCUOUPUQWCWGURUSUTXDWDGOZXGLZMHOZNZWHWIXIPZQRZWLSZXKWNWHXIPZWNWIXI
      PZTPZUAUBZCXGUCZUDZBXGUCZAXGUCZUDZGHVAZIXBWEYBWFMXINZXMXQCFUCZUDZBFUCZAFU
      CZUDXBGHFEUEDXGFRZXJYDYAYHYIXHWFRXJYDSYIXHFXGLWFXGFXGVBXGFFVCVDXHWFMXIVEU
      QXTYGAXGFXSYFBXGFYIXRYEXMXQCXGFVFVGVHVHVIXIERZYDWGYHXAWFMXIEVJYJYFWTABFFY
      JXMWMYEWSYJXLWKWLYJXKWJQWHWIXIEVKZVLVMYJXQWRCFYJXKWJXPWQUAYKYJXNWOXOWPTWN
      WHXIEVKWNWIXIEVKVNVOVPVIVQVIVRKYCWDGHABCVSVTWAWB $.
      $( [28-Aug-2006] $) $( [27-Aug-2006] $)
  $}

  ${
    $d x y z D $.  $d x y z X $.
    ismsi.0 $e |- D e. V $.
    ismsi.1 $e |- D : ( X X. X ) --> RR $.
    ismsi.2 $e |- ( ( x e. X /\ y e. X ) -> ( ( x D y ) = 0 <-> x = y ) ) $.
    ismsi.3 $e |- ( ( x e. X /\ y e. X /\ z e. X ) ->
                  ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) $.
    ismsi.4 $e |- M = <. X , D >. $.
    $( Properties that determine a metric space. $)
    ismsi $p |- M e. MetSp $=
      ( cop cmt wcel cxp cr wf cv co cc0 wceq wb caddc cle wbr wral wa cvv
      ismsg ax-mp 3expa r19.21aiva jca rgen2a mpbir2an eqeltr ) EFDLZMKUQMNZFFO
      PDQZARZBRZDSZTUAUTVAUAUBZVBCRZUTDSVDVADSUCSUDUEZCFUFZUGZBFUFAFUFZDUHNURUS
      VHUGUBGABCUHDFUIUJHVGABFUTFNZVAFNZUGZVCVFIVKVECFVIVJVDFNVEJUKULUMUNUOUP
      $.
      $( [17-Nov-2006] $) $( [17-Nov-2006] $)
  $}

  ${
    $d x y z D $.  $d x y z X $.
    ismeti.0 $e |- X e. V $.
    ismeti.1 $e |- D : ( X X. X ) --> RR $.
    ismeti.2 $e |- ( ( x e. X /\ y e. X ) -> ( ( x D y ) = 0 <-> x = y ) ) $.
    ismeti.3 $e |- ( ( x e. X /\ y e. X /\ z e. X ) ->
                  ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) $.
    $( Properties that determine a metric. $)
    ismeti $p |- D e. Met $=
      ( cme wcel cxp cr wf cv co cc0 wceq wb caddc cle wbr wral wa cvv xpex
      fex mp2an cdm fdmi dmeqi dmxpid eqtr2 ismet ax-mp 3expa r19.21aiva jca
      rgen2a mpbir2an ) DJKZEELZMDNZAOZBOZDPZQRVDVERSZVFCOZVDDPVHVEDPTPUAUBZCEU
      CZUDZBEUCAEUCZDUEKZVAVCVLUDSVCVBUEKVMGEEFFUFVBMUEDUGUHABCUEDEDUIZUIVBUIEV
      NVBVBMDGUJUKEULUMUNUOGVKABEVDEKZVEEKZUDZVGVJHVQVICEVOVPVHEKVIIUPUQURUSUT
      $.
      $( [5-Sep-2007] $) $( [17-Nov-2006] $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.  $d v w x y z D $.  $d v w M $.
    $d v w x y z X $.  $d x y z R $.
    msf.1 $e |- X = ( 1st ` M ) $.
    msf.2 $e |- D = ( 2nd ` M ) $.
    $( Lemma for ~ msf and others. $)
    msflem $p |- ( M e. MetSp -> ( D :  ( X X. X ) --> RR /\
                  A. x e. X A. y e. X ( ( ( x D y ) = 0 <-> x = y ) /\
                  A. z e. X ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) ) ) $=
      ( vw vv cmt wcel cv cxp cr wf co cc0 wceq wb caddc cle wbr wral wa copab
      dfms2 eleq2i c1st cfv eqeq2i xpeq1 xpeq2 eqtrd feq2 syl raleq1 anbi2d
      raleqd anbi12d sylbir c2nd feq1 opreq eqeq1d bibi1d opreq12d breq12d
      ralbidv 2ralbidv elopabi sylbi ) EKLEIMZVMNZOJMZPZAMZBMZVOQZRSZVQVRSZTZVS
      CMZVQVOQZWCVRVOQZUAQZUBUCZCVMUDZUEZBVMUDZAVMUDZUEZIJUFZLFFNZODPZVQVRDQZRS
      ZWATZWPWCVQDQZWCVRDQZUAQZUBUCZCFUDZUEZBFUDAFUDZUEZKWMEIJABCUGUHWLWNOVOPZW
      BWGCFUDZUEZBFUDZAFUDZUEZXFIJEVMEUIUJZSVMFSZWLXLTFXMVMGUKXNVPXGWKXKXNVNWNS
      VPXGTXNVNFVMNWNVMFVMULVMFFUMUNVNWNOVOUOUPWJXJAVMFWIXIBVMFXNWHXHWBWGCVMFUQ
      URUSUSUTVAVOEVBUJZSVODSZXLXFTDXOVOHUKXPXGWOXKXEWNOVODVCXPXIXDABFFXPWBWRXH
      XCXPVTWQWAXPVSWPRVQVRVODVDZVEVFXPWGXBCFXPVSWPWFXAUBXQXPWDWSWEWTUAWCVQVODV
      DWCVRVODVDVGVHVIUTVJUTVAVKVL $.
      $( [4-Sep-2006] $) $( [30-Aug-2006] $)

    $( Mapping of the distance function of a metric space. $)
    msf $p |- ( M e. MetSp -> D : ( X X. X ) --> RR ) $=
      ( vx vy vz cmt wcel cxp cr wf cv co cc0 wceq wb caddc cle wbr wral wa
      msflem pm3.26d ) BIJCCKLAMFNZGNZAOZPQUFUGQRUHHNZUFAOUIUGAOSOTUAHCUBUCGCUB
      FCUBFGHABCDEUDUE $.
      $( [4-Sep-2006] $) $( [30-Aug-2006] $)

    $( Closure of the distance function of a metric space. $)
    mscl $p |- ( ( M e. MetSp /\ A e. X /\ B e. X ) -> ( A D B ) e. RR ) $=
      ( cxp cr wf wcel co cmt foprrn msf syl3an1 ) EEHICJAEKBEKABCLIKDMKABIEECN
      CDEFGOP $.
      $( [4-Sep-2006] $) $( [30-Aug-2006] $)
  $}

  ${
    $d x y z A $.  $d y z B $.  $d z C $.  $d x y z D $.  $d x y z X $.
    metf.1 $e |- X = dom dom D $.
    $( Lemma for ~ metf and others. $)
    metflem $p |- ( D e. Met -> ( D : ( X X. X ) --> RR /\
                  A. x e. X A. y e. X ( ( ( x D y ) = 0 <-> x = y ) /\
                  A. z e. X ( x D y ) <_ ( ( z D x ) + ( z D y ) ) ) ) ) $=
      ( cme wcel cxp cr wf cv co cc0 wceq wb caddc cle wbr wral wa ismet ibi )
      DGHEEIJDKALZBLZDMZNOUDUEOPUFCLZUDDMUGUEDMQMRSCETUABETAETUAABCGDEFUBUC $.
      $( [4-Sep-2007] $) $( [30-Aug-2006] $)

    $( Mapping of the distance function of a metric space. $)
    metf $p |- ( D e. Met -> D : ( X X. X ) --> RR ) $=
      ( vx vy vz cme wcel cxp cr wf cv co cc0 wceq wb caddc cle wbr wral wa
      metflem pm3.26d ) AGHBBIJAKDLZELZAMZNOUDUEOPUFFLZUDAMUGUEAMQMRSFBTUAEBTDB
      TDEFABCUBUC $.
      $( [4-Sep-2007] $) $( [30-Aug-2006] $)

    $( The base set of a metric space in terms of its distance function. $)
    metdmdm $p |- ( D e. Met -> X = dom dom D ) $=
      ( cdm wceq cme wcel a1i ) BADDEAFGCH $.
      $( [3-Apr-2008] $) $( [29-May-2007] $)

    $( The base set of a metric subspace. $)
    metssba $p |- ( D e. Met -> ( X i^i Y ) = dom dom ( D |` ( Y X. Y ) ) ) $=
      ( cme wcel cxp cres cdm cin cr wf wceq metf fdm syl ineq2d dmres syl5eq
      dmeqd dmxpin incom eqtr syl6req ) AEFZACCGZHIZIUFBBGZJZIZBCJZUEUGUIUEUFAI
      ZJUIUGUEULUHUFUEUHKALULUHMABDNUHKAOPQAUFRSTUJCBJUKCBUACBUBUCUD $.
      $( [7-Feb-2008] $) $( [30-Jan-2008] $)

    $( The base set of a metric subspace. $)
    metssba2 $p |- ( ( D e. Met /\ Y (_ X ) ->
                 Y = dom dom ( D |` ( Y X. Y ) ) ) $=
      ( wss cme wcel cin cxp cres cdm wceq dfss biimp incom syl6eq metssba
      sylan9eqr ) CBEZAFGCBCHZACCIJKKSCCBHZTSCUALCBMNCBOPABCDQR $.
      $( [21-Mar-2008] $) $( [31-Jan-2008] $)

    $( Closure of the distance function of a metric space.  Part of Property
       M1 of [Kreyszig] p. 3. $)
    metcl $p |- ( ( D e. Met /\ A e. X /\ B e. X ) -> ( A D B ) e. RR ) $=
      ( cxp cr wf wcel co cme foprrn metf syl3an1 ) DDFGCHADIBDIABCJGICKIABGDDC
      LCDEMN $.
      $( [5-Sep-2007] $) $( [30-Aug-2006] $)

    $( The value of a metric is zero iff its arguments are equal.  Property
       M2 of [Kreyszig] p. 4. $)
    meteq0 $p |- ( ( D e. Met /\ A e. X /\ B e. X )
                 -> ( ( A D B ) = 0 <-> A = B ) ) $=
      ( vx vy vz cme wcel co cc0 wceq wb cv caddc cle wbr wral wa wi cxp cr wf
      metflem pm3.27d pm3.26 r19.20si opreq1 eqeq1d eqeq1 bibi12d opreq2 eqeq2
      rcla42v com12 3syl 3impib ) CIJZADJZBDJZABCKZLMZABMZNZUSFOZGOZCKZLMZVFVGM
      ZNZVHHOZVFCKVLVGCKPKQRHDSZTZGDSZFDSZVKGDSZFDSZUTVATZVEUAUSDDUBUCCUDVPFGHC
      DEUEUFVOVQFDVNVKGDVKVMUGUHUHVSVRVEVKVEAVGCKZLMZAVGMZNFGABDDVFAMZVIWAVJWBW
      CVHVTLVFAVGCUIUJVFAVGUKULVGBMZWAVCWBVDWDVTVBLVGBACUMUJVGBAUNULUOUPUQUR $.
      $( [5-Sep-2007] $) $( [30-Aug-2006] $)

    $( Triangle inequality for the distance function of a metric space. $)
    mettri2 $p |- ( ( D e. Met /\ ( C e. X /\ A e. X /\ B e. X ) )
                 -> ( A D B ) <_ ( ( C D A ) + ( C D B ) ) ) $=
      ( vx vy vz wcel w3a cme co caddc cle wbr wi cv wral wceq opreq1 opreq2
      opreq1d breq12d opreq2d opreq12d breq2d rcla43v cc0 wb wa cxp cr wf
      metflem pm3.27d pm3.27 r19.20si syl syl5 3comr impcom ) CEJZAEJZBEJZKDLJZ
      ABDMZCADMZCBDMZNMZOPZVDVEVCVFVKQVDVEVCKGRZHRZDMZIRZVLDMZVOVMDMZNMZOPZIESZ
      HESZGESZVKVFVSVKAVMDMZVOADMZVQNMZOPVGWDVOBDMZNMZOPGHIABCEEEVLATZVNWCVRWEO
      VLAVMDUAWHVPWDVQNVLAVODUBUCUDVMBTZWCVGWEWGOVMBADUBWIVQWFWDNVMBVODUBUEUDVO
      CTZWGVJVGOWJWDVHWFVINVOCADUAVOCBDUAUFUGUHVFVNUITVLVMTUJZVTUKZHESZGESZWBVF
      EEULUMDUNWNGHIDEFUOUPWMWAGEWLVTHEWKVTUQURURUSUTVAVB $.
      $( [16-Sep-2007] $) $( [30-Aug-2006] $)

    $( MAY BE REVISED - replace with mettri2 everywhere; make obsolete $)
    $( Triangle inequality for the distance function of a metric space. $)
    mettri4 $p |- ( ( ( D e. Met /\ A e. X ) /\ ( B e. X /\ C e. X ) )
                 -> ( A D B ) <_ ( ( C D A ) + ( C D B ) ) ) $=
      ( vx vy vz cme wcel wa co caddc cle wbr wi w3a cv wral wceq opreq1
      opreq2 opreq1d breq12d opreq2d opreq12d breq2d rcla43v cc0 wb cxp cr wf
      metflem pm3.27d pm3.27 r19.20si syl syl5 3expib com3r imp31 ) DJKZAEKZBEK
      ZCEKZLZABDMZCADMZCBDMZNMZOPZVEVHVDVMVEVFVGVDVMQVEVFVGRGSZHSZDMZISZVNDMZVQ
      VODMZNMZOPZIETZHETZGETZVMVDWAVMAVODMZVQADMZVSNMZOPVIWFVQBDMZNMZOPGHIABCEE
      EVNAUAZVPWEVTWGOVNAVODUBWJVRWFVSNVNAVQDUCUDUEVOBUAZWEVIWGWIOVOBADUCWKVSWH
      WFNVOBVQDUCUFUEVQCUAZWIVLVIOWLWFVJWHVKNVQCADUBVQCBDUBUGUHUIVDVPUJUAVNVOUA
      UKZWBLZHETZGETZWDVDEEULUMDUNWPGHIDEFUOUPWOWCGEWNWBHEWMWBUQURURUSUTVAVBVC
      $.
      $( [15-Sep-2007] $) $( [30-Aug-2006] $)

    $( The distance function of a metric space is zero if its arguments
       are equal.  Definition 14-1.1(a) of [Gleason] p. 223. $)
    met0 $p |- ( ( D e. Met /\ A e. X ) -> ( A D A ) = 0 ) $=
      ( cme wcel wa co cc0 wceq eqid wb meteq0 3anidm23 mpbiri ) BEFZACFZGAABHI
      JZAAJZAKPQRSLAABCDMNO $.
      $( [7-Sep-2007] $) $( [30-Aug-2006] $)

    $( The distance function of a metric space is symmetric.  Definition
       14-1.1(c) of [Gleason] p. 223. $)
    metsym $p |- ( ( D e. Met /\ A e. X /\ B e. X ) ->
                  ( A D B ) = ( B D A ) ) $=
      ( cme wcel w3a co wceq cle wbr wa caddc mettri4 anabsan2 3impa cc0 met0
      3adant2 opreq2d cc metcl recnd ax0id syl 3com23 eqtrd breqtrd 3adant3
      jca cr wb letri3t sylanc mpbird ) CFGZADGZBDGZHZABCIZBACIZJZVAVBKLZVBVAKL
      ZMZUTVDVEUTVAVBBBCIZNIZVBKUQURUSVAVHKLZUQURMUSVIABBCDEOPQUTVHVBRNIZVBUTVG
      RVBNUQUSVGRJURBCDESTUAUQUSURVJVBJZUQUSURHZVBUBGVKVLVBBACDEUCZUDVBUEUFUGUH
      UIUTVBVAAACIZNIZVAKUQUSURVBVOKLZUQUSURVPUQUSMURVPBAACDEOPQUGUTVOVARNIZVAU
      TVNRVANUQURVNRJUSACDESUJUAUTVAUBGVQVAJUTVAABCDEUCZUDVAUEUFUHUIUKVAULGVBUL
      GZVCVFUMUTVAVBUNVRUQUSURVSVMUGUOUP $.
      $( [18-Sep-2007] $) $( [27-Aug-2006] $)

    $( Triangle inequality for the distance function of a metric space.
       Definition 14-1.1(d) of [Gleason] p. 223. $)
    mettri $p |- ( ( D e. Met /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( A D B ) <_ ( ( A D C ) + ( C D B ) ) ) $=
      ( cme wcel w3a wa co caddc cle wbr wi mettri2 expcom 3coml impcom wceq
      metsym 3adant3r2 opreq1d breqtrrd ) DGHZAEHZBEHZCEHZIZJZABDKZCADKZCBDKZLK
      ZACDKZUMLKMUIUEUKUNMNZUHUFUGUEUPOUEUHUFUGIUPABCDEFPQRSUJUOULUMLUEUFUHUOUL
      TUGACDEFUAUBUCUD $.
      $( [12-Nov-2007] $) $( [27-Aug-2006] $)

    $( Triangle inequality for the distance function of a metric space. $)
    mettri3 $p |- ( ( D e. Met /\ ( A e. X /\ B e. X /\ C e. X ) )
              -> ( A D B ) <_ ( ( A D C ) + ( B D C ) ) ) $=
      ( cme wcel w3a wa co caddc cle mettri wceq metsym 3adant3r1 opreq2d
      breqtrrd ) DGHZAEHZBEHZCEHZIJZABDKACDKZCBDKZLKUEBCDKZLKMABCDEFNUDUGUFUELT
      UBUCUGUFOUABCDEFPQRS $.
      $( [29-Jan-2008] $) $( [13-Mar-2007] $)

    $( The distance function of a metric space is nonnegative. $)
    metge0 $p |- ( ( D e. Met /\ A e. X /\ B e. X ) ->
                  0 <_ ( A D B ) ) $=
      ( co cr wcel cc0 c2 cmul cle wbr cme w3a 2re wa clt 2pos prodge0t mpanr1
      mpanl1 metcl caddc wi mettri4 exp43 pm2.43d com23 3imp wceq met0 3adant2
      cc recnd 2timest syl eqcomd 3brtr3d sylanc ) ABCFZGHZIJVAKFZLMZIVALMZCNHZ
      ADHZBDHZOZJGHZVBVDVEPVJVBQIJRMVDVESJVATUAUBABCDEUCZVIBBCFZVAVAUDFZIVCLVFV
      GVHVLVMLMZVFVHVGVNVFVHVGVNUEVFVHVHVGVNBBACDEUFUGUHUIUJVFVHVLIUKVGBCDEULUM
      VIVCVMVIVAUNHVCVMUKVIVAVKUOVAUPUQURUSUT $.
      $( [26-Sep-2007] $) $( [27-Aug-2006] $)

    $( The distance function of a metric space is positive for unequal
       points.  Definition 14-1.1(b) of [Gleason] p. 223 and its converse. $)
    metgt0 $p |- ( ( D e. Met /\ A e. X /\ B e. X ) ->
                ( A =/= B <-> 0 < ( A D B ) ) ) $=
      ( cme wcel w3a cc0 co clt wbr cle wne wa cr wb metcl 0re ltlent mpan syl
      metge0 biantrurd meteq0 necon3bid 3bitr2rd ) CFGADGBDGHZIABCJZKLZIUIMLZUI
      INZOZULABNUHUIPGZUJUMQZABCDERIPGUNUOSIUITUAUBUHUKULABCDEUCUDUHUIIABABCDEU
      EUFUG $.
      $( [5-Oct-2007] $) $( [27-Aug-2006] $)

    $( A metric space is nonempty iff its base set is nonempty. $)
    metne0 $p |- ( D e. Met -> ( D =/= (/) <-> X =/= (/) ) ) $=
      ( cme wcel c0 wceq cdm cxp cr wf wrel wb metf frel reldm0 3syl fdm relxp
      releq mpbiri syl bitrd eqeq1i syl6bbr necon3bid ) ADEZAFBFUGAFGZAHZHZFGZB
      FGUGUHUIFGZUKUGBBIZJAKZALUHULMABCNZUMJAOAPQUGUNUILZULUKMUOUNUIUMGZUPUMJAR
      UQUPUMLBBSUIUMTUAUBUIPQUCBUJFCUDUEUF $.
      $( [22-Jun-2008] $) $( [4-Oct-2007] $)

    ${
      $d x y z R $.
      metreslem.2 $e |- A = dom dom ( D |` ( R X. R ) ) $.
      $( Lemma for ~ metres .  (Contributed by FL, 10-Nov-2006.) $)
      metreslem $p |- ( ( D e. Met /\ R (_ X ) ->
                     ( D |` ( R X. R ) ) e. Met ) $=
        ( vx vy vz cme wcel wss wa cxp cres cr wf cv co cc0 wceq wb caddc cle
        wbr wral fssres ssxp anidms sylan2 ssel ssralv anim2d imim12d
        r19.20dv2 oprvalres eqeq1d bibi1d adantl opreqan12d anandis breq12d
        ancoms ralbidva anbi12d ralbiia syl6ibr impcom anim12i anandirs
        metflem sylan cvv resexg adantr ismet syl cdm fdm sseqtr4d ssdmres
        sylib dmeqd dmxpid syl6eq metf syl5eq xpeq1 xpeq2 eqtrd feq2 raleq1
        anbi2d raleqd bitrd mpbird ) BJKZCDLZMZBCCNZOZJKZWTPXAQZGRZHRZXASZTUAZX
        DXEUAZUBZXFIRZXDXASZXJXEXASZUCSZUDUEZICUFZMZHCUFZGCUFZMZDDNZPBQZXDXEBSZ
        TUAZXHUBZYBXJXDBSZXJXEBSZUCSZUDUEZIDUFZMZHDUFZGDUFZMWRXSWQYAYLWRXSYAWRM
        ZXCYLWRMXRYAWTXTLZXCWRXTPWTBUGWRYNCDCDUHUIZUJWRYLXRWRYLYDYHICUFZMZHCUFZ
        GCUFXRWRYKYRGDCWRXDCKZXDDKYKYRCDXDUKWRYJYQHDCWRXECKZXEDKYJYQCDXEUKWRYIY
        PYDYHICDULUMUNUOUNUOXQYRGCYSXPYQHCYSYTMZXIYDXOYPUUAXGYCXHUUAXFYBTXDXECC
        BUPZUQURUUAXNYHICXJCKZUUAXNYHUBUUCUUAMXFYBXMYGUDUUAXFYBUAUUCUUBUSUUCYSY
        TXMYGUAUUCYSMUUCYTMXKYEXLYFUCXJXDCCBUPXJXECCBUPUTVAVBVCVDVEVDVFVGVHVIVJ
        GHIBDEVKVLWSXBAANZPXAQZXIXNIAUFZMZHAUFZGAUFZMZXSWSXAVMKZXBUUJUBWQUUKWRB
        WTJVNVOGHIVMXAAFVPVQWSACUAZUUJXSUBWSXAVRZVRZCAYAWRUUNCUAWQYMUUNWTVRCYMU
        UMWTYMWTBVRZLUUMWTUAYMWTXTUUOWRYNYAYOUSYAUUOXTUAWRXTPBVSVOVTWTBWAWBWCCW
        DWEBDEWFVLFWGUULUUEXCUUIXRUULUUDWTUAUUEXCUBUULUUDCANWTACAWHACCWIWJUUDWT
        PXAWKVQUUHXQGACUUGXPHACUULUUFXOXIXNIACWLWMWNWNVEVQWOWP $.
        $( [20-Sep-2007] $) $( [12-Oct-2006] $)
    $}
  $}

  $( A restriction of a metric is a metric. $)
  metres $p |- ( D e. Met -> ( D |` ( R X. R ) ) e. Met ) $=
    ( cme wcel cxp cres cdm cin cr wf wceq eqid metf fdm ineq2 inxp syl6eq
    reseq2 syl resdmres dmres ax-mp eqtr3 syl5eq 3syl wss inss2 metreslem
    mpan2 eqeltrd ) ACDZABBEZFZABAGZGZHZUPEZFZCUKUOUOEZIAJUNUSKZUMURKAUOUOLZMUS
    IANUTAULUNHZFZURUMUTVBUQKVCURKUTVBULUSHUQUNUSULOBBUOUOPQVBUQARSAUMGZFZUMVCA
    ULTVDVBKVEVCKAULUAVDVBARUBUCUDUEUKUPUOUFURCDBUOUGURGGZAUPUOVAVFLUHUIUJ $.
    $( [20-Sep-2007] $) $( [26-Aug-2007] $)

  ${
    metss.1 $e |- X = dom dom C $.
    metss.2 $e |- Y = dom dom D $.
    $( If two metrics are in a subset relationship, so are their base sets. $)
    metss $p |- ( C (_ D -> X (_ Y ) $=
      ( wss cdm dmss syl 3sstr4g ) ABGZAHZHZBHZHZCDLMOGNPGABIMOIJEFK $.
      $( [9-Oct-2007] $) $( [29-May-2007] $)
  $}

  ${
    $d x y z $.
    $( The empty metric. $)
    0met $p |- (/) e. Met $=
      ( vx vy vz c0 cme wcel cxp cr wf cv co cc0 wceq wb caddc cle wbr wral wa
      cvv 0ex cdm dm0 dmeqi eqtr2 ismet ax-mp f0 xp0r feq2 mpbir ral0 mpbir2an
      ) DEFZDDGZHDIZAJZBJZDKZLMUQURMNUSCJZUQDKUTURDKOKPQCDRSBDRZADRZDTFUNUPVBSN
      UAABCTDDDUBZUBVCDVCDUCUDUCUEUFUGUPDHDIZHUHUODMUPVDNDUIUODHDUJUGUKVAAULUM
      $.
      $( [24-Oct-2007] $) $( [30-Aug-2006] $)
  $}

  ${
    metxplem1.1 $e |- D e. Met $.
    metxplem1.2 $e |- X = dom dom D $.
    ${
      metxplem1.4 $e |- F = ( 1st ` R ) $.
      metxplem1.5 $e |- H = ( 1st ` S ) $.
      $( Lemma for ~ metxp . $)
      metxplem1 $p |- ( ( R e. ( X X. Y ) /\ S e. ( X X. Y ) ) ->
           ( F D H ) e. RR ) $=
        ( wcel co cr cxp cme metcl mp3an1 c1st cfv c2nd cvv wa elxp7 pm3.27bi
        pm3.26d syl5eqel syl2an ) DFLZEFLZDEAMNLZBFGOZLZCULLZAPLUIUJUKHDEAFIQRU
        MBSTZFDUMUOFLZBUATGLZUMBUBUBOZLUPUQUCBFGUDUEUFJUGUNCSTZFEUNUSFLZCUATGLZ
        UNCURLUTVAUCCFGUDUEUFKUGUH $.
        $( [2-Oct-2007] $) $( [20-Jul-2007] $)
    $}

    ${
      metxplem2.4 $e |- G = ( 2nd ` R ) $.
      metxplem2.5 $e |- J = ( 2nd ` S ) $.
      $( Lemma for ~ metxp . $)
      metxplem2 $p |- ( ( R e. ( Y X. X ) /\ S e. ( Y X. X ) ) ->
                     ( G D J ) e. RR ) $=
        ( wcel co cr cxp cme metcl mp3an1 c2nd cfv c1st cvv wa elxp7 pm3.27bi
        pm3.27d syl5eqel syl2an ) DFLZEFLZDEAMNLZBGFOZLZCULLZAPLUIUJUKHDEAFIQRU
        MBSTZFDUMBUATGLZUOFLZUMBUBUBOZLUPUQUCBGFUDUEUFJUGUNCSTZFEUNCUATGLZUSFLZ
        UNCURLUTVAUCCGFUDUEUFKUGUH $.
        $( [2-Oct-2007] $) $( [20-Jul-2007] $)
    $}

    ${
      metxplem3.4 $e |- ( ph -> F e. RR ) $.
      metxplem3.5 $e |- ( ph -> G e. RR ) $.
      metxplem3.6 $e |- ( ph -> ( C e. X /\ A e. X /\ B e. X ) ) $.
      $( Lemma for ~ metxp . $)
      metxplem3 $p |- ( ph -> ( ( C D A ) <_ F
          -> ( ( C D B ) <_ G -> ( A D B ) <_ ( F + G ) ) ) ) $=
        ( co cle wbr caddc wa cr wcel w3a cme metcl mp3an1 3adant1 syl adantr
        axaddrcl 3adant3 3adant2 sylanc mettri2 mpan wi le2addt syl2anc imp
        letrd exp32 ) ADBENZFOPZDCENZGOPZBCENZFGQNZOPAVAVCRZRVDUTVBQNZVEAVDSTZV
        FADHTZBHTZCHTZUAZVHMVJVKVHVIEUBTZVJVKVHIBCEHJUCUDUEUFUGAVGSTZVFUTSTZVBS
        TZVNAUTVBUHAVLVOMVIVJVOVKVMVIVJVOIDBEHJUCUDUIUFZAVLVPMVIVKVPVJVMVIVKVPI
        DCEHJUCUDUJUFZUKUGAVESTZVFFSTZGSTZVSAFGUHKLUKUGAVDVGOPZVFAVLWBMVMVLWBIB
        CDEHJULUMUFUGAVFVGVEOPZVOVPVTWAVFWCUNAUTVBFGUOVQVRKLUPUQURUS $.
        $( [4-Oct-2007] $) $( [11-Jul-2007] $)
    $}
  $}

  ${
    $d x y z B $.  $d x y z C $.  $d u v w D $.  $d x y z R $.  $d x y z S $.
    $d u v w x y z X $.  $d u v w x y z Y $.
    metxp.1 $e |- X = dom dom B $.
    metxp.3 $e |- Y = dom dom C $.
    metxp.5 $e |- B e. Met $.
    metxp.6 $e |- C e. Met $.
    metxp.7 $e |- D = { <. <. x , y >. , z >. | ( ( x e. ( X X. Y )
         /\ y e. ( X X. Y ) ) /\ z = sup ( { ( ( 1st ` x ) B ( 1st ` y )
            ) , ( ( 2nd ` x ) C ( 2nd ` y ) ) } , RR , < ) ) } $.
    ${
      $d x y z F $.  $d x y z G $.  $d y z H $.  $d y z J $.
      metxpval.8 $e |- F = ( 1st ` R ) $.
      metxpval.9 $e |- G = ( 2nd ` R ) $.
      metxpval.10 $e |- H = ( 1st ` S ) $.
      metxpval.11 $e |- J = ( 2nd ` S ) $.
      $( Value of the distance function of the direct product of two metric
         spaces.  Based on Definition 14-1.5 of [Gleason] p. 225. $)
      metxpdval $p |- ( ( R e. ( X X. Y ) /\ S e. ( X X. Y ) ) -> ( R D S ) =
          if ( ( G C J ) < ( F B H
         ) , ( F B H ) , ( G C J ) ) ) $=
        ( cxp wcel wa co cpr cr clt csup wbr cif cv c1st cfv c2nd ltso supex
        wceq fveq2 syl6eqr opreq1d preq1 syl preq2 eqtrd supeq1 opreq2d
        oprabval2 suppr metxplem1 metxplem2 sylanc ) GMNUDZUEHVOUEUFZGHFUGIKDUG
        ZJLEUGZUHZUIUJUKZVRVQUJULVQVRUMZABCGHVOVOAUNZUOUPZBUNZUOUPZDUGZWBUQUPZW
        DUQUPZEUGZUHZUIUJUKZVTFIWEDUGZJWHEUGZUHZUIUJUKZUIVSUJURUSWBGUTZWJWNUTWK
        WOUTWPWJWLWIUHZWNWPWFWLUTWJWQUTWPWCIWEDWPWCGUOUPIWBGUOVATVBVCWFWLWIVDVE
        WPWIWMUTWQWNUTWPWGJWHEWPWGGUQUPJWBGUQVAUAVBVCWIWMWLVFVEVGUIWJWNUJVHVEWD
        HUTZWNVSUTWOVTUTWRWNVQWMUHZVSWRWLVQUTWNWSUTWRWEKIDWRWEHUOUPKWDHUOVAUBVB
        VIWLVQWMVDVEWRWMVRUTWSVSUTWRWHLJEWRWHHUQUPLWDHUQVAUCVBVIWMVRVQVFVEVGUIW
        NVSUJVHVESVJVQUIUEVRUIUEVTWAUTVPUIVQVRUJURVKDGHIKMNQOTUBVLEGHJLNMRPUAUC
        VMVNVG $.
        $( [2-Oct-2007] $) $( [20-Jul-2007] $)

      $( One case of the value of the distance function of the direct product
         of two metric spaces.  Based on Definition 14-1.5 of [Gleason]
         p. 225. $)
      metxptval $p |- ( ( ( R e. ( X X. Y ) /\ S e. ( X X. Y ) ) /\
              ( G C J ) <_ ( F B H ) ) ->
                 ( R D S ) = ( F B H ) ) $=
        ( cxp wcel wa co cle wbr clt wceq wo cr wb leloet metxplem2 metxplem1
        sylanc biimpa cif metxpdval iftrue ifeq2 ifid syl6eq jaoi sylan9eq
        syldan ) GMNUDZUEHVIUEUFZJLEUGZIKDUGZUHUIZVKVLUJUIZVKVLUKZULZGHFUGZVLUK
        VJVMVPVKUMUEVLUMUEVMVPUNVJVKVLUOEGHJLNMRPUAUCUPDGHIKMNQOTUBUQURUSVJVPVQ
        VNVLVKUTZVLABCDEFGHIJKLMNOPQRSTUAUBUCVAVNVRVLUKVOVNVLVKVBVOVRVNVLVLUTVL
        VNVKVLVLVCVNVLVDVEVFVGVH $.
        $( [3-Oct-2007] $) $( [20-Jul-2007] $)

      $( One case of the value of the distance function of the direct product
         of two metric spaces.  Based on Definition 14-1.5 of [Gleason]
         p. 225. $)
      metxpfval $p |- ( ( ( R e. ( X X. Y ) /\ S e. ( X X. Y ) ) /\
           ( F B H ) <_ ( G C J ) ) ->
                 ( R D S ) = ( G C J ) ) $=
        ( cxp wcel wa co cle wbr clt cif wceq metxpdval adantr wn cr wb lenltt
        metxplem1 metxplem2 sylanc biimpa iffalse syl eqtrd ) GMNUDZUEHVFUEUFZI
        KDUGZJLEUGZUHUIZUFZGHFUGZVIVHUJUIZVHVIUKZVIVGVLVNULVJABCDEFGHIJKLMNOPQR
        STUAUBUCUMUNVKVMUOZVNVIULVGVJVOVHUPUEVIUPUEVJVOUQVGVHVIURDGHIKMNQOTUBUS
        EGHJLNMRPUAUCUTVAVBVMVHVIVCVDVE $.
        $( [4-Oct-2007] $) $( [20-Jul-2007] $)
    $}

    $( Closure of the distance function of the direct product of two metric
       spaces.  Based on Definition 14-1.5 of [Gleason] p. 225. $)
    metxpcl $p |- ( ( R e. ( X X. Y ) /\ S e. ( X X. Y ) ) ->
               ( R D S ) e. RR ) $=
      ( cxp wcel wa co cr c2nd cfv c1st eqid metxplem2 metxplem1 cle wbr
      metxptval adantr eqeltrd metxpfval lecase ) GIJPZQHUNQRZGHFSZTQGUAUBZHUAU
      BZESZGUCUBZHUCUBZDSZEGHUQURJINLUQUDZURUDZUEZDGHUTVAIJMKUTUDZVAUDZUFZUOUSV
      BUGUHZRUPVBTABCDEFGHUTUQVAURIJKLMNOVFVCVGVDUIUOVBTQVIVHUJUKUOVBUSUGUHZRUP
      USTABCDEFGHUTUQVAURIJKLMNOVFVCVGVDULUOUSTQVJVEUJUKUM $.
      $( [4-Oct-2007] $) $( [9-Jul-2007] $)

    $( Lemma for ~ metxp .  Triangle inequality.  _Warning:  The HTML proof
       page is 0.6 megabyte in size_. $)
    metxplem4 $p |- ( ( u e. ( X X. Y ) /\ w e. ( X X. Y ) /\
              v e. ( X X. Y ) ) -> ( w D v ) <_ ( ( u D w ) + ( u D v ) ) ) $=
      ( cv cxp wcel w3a co caddc cle wbr c2nd cfv c1st cr eqid metxplem2
      3adant1 metxplem1 wa wceq metxptval 3adantl1 3adant3 3adant2 leidt syl
      cvv elxp7 pm3.27bi pm3.26d 3anim123i metxplem3 mpid mpd adantr 3adantl2
      opreq2d breqtrrd wi imp metxpfval lecase 3adantl3 opreq1d adantlr imp31
      eqbrtrd pm3.27d ) FQZJKRZSZDQZWDSZEQZWDSZTZWFWHIUAZWCWFIUAZWCWHIUAZUBUAZU
      CUDWFUEUFZWHUEUFZHUAZWFUGUFZWHUGUFZGUAZWGWIWQUHSWEHWFWHWOWPKJOMWOUIZWPUIZ
      UJUKWGWIWTUHSWEGWFWHWRWSJKNLWRUIZWSUIZULUKWJWQWTUCUDZUMWKWTWNUCWGWIXEWKWT
      UNWEABCGHIWFWHWRWOWSWPJKLMNOPXCXAXDXBUOUPWJWTWNUCUDZXEWJXFWCUEUFZWOHUAZWC
      UGUFZWRGUAZWEWGXHUHSZWIHWCWFXGWOKJOMXGUIZXAUJZUQZWEWGXJUHSZWIGWCWFXIWRJKN
      LXIUIZXCULZUQZWJXHXJUCUDZUMZWTXJWMUBUAZWNUCWJWTYAUCUDZXSWJYBXGWPHUAZXIWSG
      UAZWEWIYCUHSZWGHWCWHXGWPKJOMXLXBUJZURZWEWIYDUHSZWGGWCWHXIWSJKNLXPXDULZURZ
      WJYCYDUCUDZUMZWTXJYDUBUAZYAUCWJWTYMUCUDZYKWJXJXJUCUDZYNWEWGYOWIWEWGUMZXOY
      OXQXJUSUTUQZWJYOYDYDUCUDZYNWEWIYRWGWEWIUMZYHYRYIYDUSUTURZWJWRWSXIGXJYDJNL
      XRYJWEXIJSZWGWRJSZWIWSJSZWEUUAXGKSZWEWCVAVARZSUUAUUDUMWCJKVBVCZVDWGUUBWOK
      SZWGWFUUESUUBUUGUMWFJKVBVCZVDWIUUCWPKSZWIWHUUESUUCUUIUMWHJKVBVCZVDVEZVFVG
      VHVIYLWMYDXJUBWEWIYKWMYDUNWGABCGHIWCWHXIXGWSWPJKLMNOPXPXLXDXBUOVJZVKZVLWJ
      YDYCUCUDZUMZWTXJYCUBUAZYAUCWJUUNWTUUPUCUDZWJYOUUNUUQVMYQWJWRWSXIGXJYCJNLX
      RYGUUKVFVHVNUUOWMYCXJUBWEWIUUNWMYCUNWGABCGHIWCWHXIXGWSWPJKLMNOPXPXLXDXBVO
      VJZVKZVLVPVIXTWLXJWMUBWEWGXSWLXJUNWIABCGHIWCWFXIXGWRWOJKLMNOPXPXLXCXAUOVQ
      VRZVLWJXJXHUCUDZUMZWTXHWMUBUAZWNUCUVBWTUVCUCUDYCYDWJYEUVAYGVIWJYHUVAYJVIU
      VBYKUMWTXHYDUBUAZUVCUCUVBWTUVDUCUDZYKWJUVAUVEWJUVAYRUVEYTWJWRWSXIGXHYDJNL
      XNYJUUKVFVGVNVIWJYKUVCUVDUNUVAYLWMYDXHUBUULVKZVSVLUVBUUNUMWTXHYCUBUAZUVCU
      CWJUVAUUNWTUVGUCUDWJWRWSXIGXHYCJNLXNYGUUKVFVTWJUUNUVCUVGUNUVAUUOWMYCXHUBU
      URVKZVSVLVPUVBWLXHWMUBWEWGUVAWLXHUNWIABCGHIWCWFXIXGWRWOJKLMNOPXPXLXCXAVOV
      QVRZVLVPVIWAWJWTWQUCUDZUMWKWQWNUCWGWIUVJWKWQUNWEABCGHIWFWHWRWOWSWPJKLMNOP
      XCXAXDXBVOUPWJWQWNUCUDZUVJWJUVKXHXJXNXRXTWQYAWNUCXTWQYAUCUDYCYDWJYEXSYGVI
      WJYHXSYJVIXTYKUMWQYMYAUCWJXSYKWQYMUCUDWJWOWPXGHXJYDKOMXRYJWEUUDWGUUGWIUUI
      WEUUAUUDUUFWBWGUUBUUGUUHWBWIUUCUUIUUJWBVEZVFVTWJYKYAYMUNXSUUMVSVLXTUUNUMW
      QUUPYAUCXTWQUUPUCUDZUUNWJXSUVMWJXSYCYCUCUDZUVMWEWIUVNWGYSYEUVNYFYCUSUTURZ
      WJWOWPXGHXJYCKOMXRYGUVLVFVGVNVIWJUUNYAUUPUNXSUUSVSVLVPUUTVLUVBWQUVCWNUCWJ
      WQUVCUCUDZUVAWJUVPYCYDYGYJYLWQUVDUVCUCWJYKWQUVDUCUDZWJXHXHUCUDZYKUVQVMWEW
      GUVRWIYPXKUVRXMXHUSUTUQZWJWOWPXGHXHYDKOMXNYJUVLVFVHVNUVFVLUUOWQUVGUVCUCWJ
      WQUVGUCUDZUUNWJUVRUVTUVSWJUVRUVNUVTUVOWJWOWPXGHXHYCKOMXNYGUVLVFVGVHVIUVHV
      LVPVIUVIVLVPVIWAVP $.
      $( [4-Oct-2007] $) $( [11-Jul-2007] $)

    $( The direct product of two metric spaces.  Definition 14-1.5 of [Gleason]
       p. 225. $)
    metxp $p |- D e. Met $=
      ( vw vv vu cxp cdm cvv cme wcel dmexg ax-mp dmex eqeltr xpex cr wf wfn
      cv co wral ffnoprval c1st cfv c2nd cpr clt csup ltso supex fnoprab2
      metxpcl rgen2a mpbir2an wa cc0 wceq wbr cif eqid metxpdval eqeq1d wi wb
      iftrue adantl breq2 biimpac adantll wn cle metge0 mp3an1 metcl 0re
      lenltt mpan syl mpbid elxp7 pm3.27bi pm3.27d syl2an pm2.21d ad2antrr mpd
      ex sylbid iffalse metxplem1 metxplem2 sylanc biantrud letri3t mpan2
      bitr4d pm3.26d sylan9bbr meteq0 bi2anan9r an4s xpopth ancom syl5bb bitrd
      biimpd exp3a imp com23 sylbird pm2.61dan ifeq12 met0 fveq2 opreq2d
      sylan9req anandirs sylan ifid syl5reqr adantr impbid caddc metxplem4
      3coml ismeti ) NOPFGHQZGHGDRZRSIYSDTUAZYSSUAKDTUBUCUDUEHERZRSJUUAETUAZUUA
      SUALETUBUCUDUEUFYRYRQZUGFUHFUUCUINUJZOUJZFUKZUGUAZOYRULNYRULNOYRYRUGFUMAB
      CYRYRAUJZUNUOBUJZUNUODUKUUHUPUOUUIUPUOEUKUQZUGURUSFUGUUJURUTVAMVBUUGNOYRA
      BCDEFUUDUUEGHIJKLMVCVDVEUUDYRUAZUUEYRUAZVFZUUFVGVHUUDUPUOZUUEUPUOZEUKZUUD
      UNUOZUUEUNUOZDUKZURVIZUUSUUPVJZVGVHZUUDUUEVHZUUMUUFUVAVGABCDEFUUDUUEUUQUU
      NUURUUOGHIJKLMUUQVKZUUNVKZUURVKZUUOVKZVLVMUUMUVBUVCUUMUUTUVBUVCVNUUMUUTVF
      ZUVBUUSVGVHZUVCUUTUVBUVIVOUUMUUTUVAUUSVGUUTUUSUUPVPVMVQUVHUVIUVCUVHUVIVFU
      UPVGURVIZUVCUUTUVIUVJUUMUVIUUTUVJUUSVGUUPURVRVSVTUUMUVJUVCVNUUTUVIUUMUVJU
      VCUUNHUAZUUOHUAZUVJWAZUUKUULUVKUVLVFZVGUUPWBVIZUVMUUBUVKUVLUVOLUUNUUOEHJW
      CWDUVNUUPUGUAZUVOUVMVOZUUBUVKUVLUVPLUUNUUOEHJWEWDVGUGUAZUVPUVQWFVGUUPWGWH
      WIWJUUKUUQGUAZUVKUUKUUDSSQZUAUVSUVKVFZUUDGHWKWLZWMUULUURGUAZUVLUULUUEUVTU
      AUWCUVLVFZUUEGHWKWLZWMWNWOWPWQWRWSUUMUUTWAZVFUVBUUPVGVHZUVCUWFUVBUWGVOUUM
      UWFUVAUUPVGUUTUUSUUPWTVMVQUUMUWFUWGUVCVNZUUMUWFUUSUUPWBVIZUWHUUSUGUAZUVPU
      WIUWFVOUUMUUSUUPWGDUUDUUEUUQUURGHKIUVDUVFXAEUUDUUEUUNUUOHGLJUVEUVGXBXCUUM
      UWGUWIUVCUUMUWGUWIUVCVNUUMUWGVFUWIUVIUVCUWGUWIUUSVGWBVIZUUMUVIUUPVGUUSWBV
      RUVSUWCUWKUVIVOUUKUULUVSUWCVFZUWKUWKVGUUSWBVIZVFZUVIUWLUWMUWKYTUVSUWCUWMK
      UUQUURDGIWCWDXDUWLUWJUVIUWNVOZYTUVSUWCUWJKUUQUURDGIWEWDUWJUVRUWOWFUUSVGXE
      XFWIXGUUKUVSUVKUWBXHUULUWCUVLUWEXHWNXIUUMUWGUVIUVCVNUUMUWGUVIUVCUUMUWGUVI
      VFZUVCUUMUWPUUNUUOVHZUUQUURVHZVFZUVCUWAUWDUWPUWSVOZUUKUULUVSUWCUVKUVLUWTU
      VNUWGUWQUWLUVIUWRUUBUVKUVLUWGUWQVOLUUNUUOEHJXJWDYTUVSUWCUVIUWRVOKUUQUURDG
      IXJWDXKXLUWBUWEWNUUMUWRUWQVFUVCUWSUUDUUEGHGHXMUWQUWRXNXOXPXQXRXSWSWRXTYAX
      SWSYBUUKUVCUVBVNUULUUKUVCUVBUUKUVCVFUUTVGVGVJZUVAVGUWAUVCUXAUVAVHZUUKUVSU
      VKUVCUXBVGUUSVHVGUUPVHUXBUVSUVCVFUVKUVCVFUUTVGUUSVGUUPYCUVSUVCVGUUQUUQDUK
      ZUUSYTUVSUXCVGVHKUUQDGIYDWHUVCUUQUURUUQDUUDUUEUNYEYFYGUVKUVCVGUUNUUNEUKZU
      UPUUBUVKUXDVGVHLUUNEHJYDWHUVCUUNUUOUUNEUUDUUEUPYEYFYGWNYHUWBYIUUTVGYJYKWR
      YLYMXPPUJZYRUAUUKUULUUFUXEUUDFUKUXEUUEFUKYNUKWBVIABCNOPDEFGHIJKLMYOYPYQ
      $.
      $( [4-Oct-2007] $) $( [20-Jun-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                        Metric space balls
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t u w x y z D $.  $d t u w x y z X $.  $d v y $.
    blfval.1 $e |- X = dom dom D $.
    $( The value of the ball function. $)
    blfval $p |- ( D e. Met -> ( ball ` D ) =
  { <. <. x , y >. , z >. | ( ( x e. X /\ y e. RR ) /\ ( 0 < y /\ z =
                { w e. X | ( x D w ) < y } ) ) } ) $=
      ( vt vu cme wcel cv cr wa cc0 clt wbr co crab wceq copab2 cvv cbl cfv
      cdm dmexg syl syl5eqel reex eqid oprabex2g mpan2 wss pm3.27 anim2i
      ssoprab2i ssexg mpan 3syl dmeq dmeqd syl6eqr eleq2d anbi1d rabeq opreq
      breq1d rabbisdv eqtrd eqeq2d anbi2d anbi12d oprabbidv df-bl fvopab4g
      mpdan ) EJKZALZFKZBLZMKZNZOVTPQZCLZVRDLZERZVTPQZDFSZTZNZNZABCUAZUBKZEUCUD
      WLTVQFUBKZWBWINZABCUAZUBKZWMVQEUEZUEZUBFVQWRUBKWSUBKEJUFWRUBUFUGGUHWNMUBK
      WQUIABCFMWHUBUBWPWPUJUKULWLWPUMWQWMWKWOABCWJWIWBWCWIUNUOUPWLWPUBUQURUSHIE
      VRHLZUEZUEZKZWANZWCWDVRWEWTRZVTPQZDXBSZTZNZNZABCUAWLJUBUCWTETZXJWKABCXKXD
      WBXIWJXKXCVSWAXKXBFVRXKXBWSFXKXAWRWTEUTVAGVBZVCVDXKXHWIWCXKXGWHWDXKXGXFDF
      SZWHXKXBFTXGXMTXLXFDXBFVEUGXKXFWGDFXKXEWFVTPVRWEWTEVFVGVHVIVJVKVLVMHIABCD
      VNVOVP $.
      $( [5-Sep-2007] $) $( [30-Aug-2006] $)

    $( Alternate value of the ball function  that simplifies its use with
       operation theorems. $)
    blfval2 $p |- ( D e. Met -> ( ball ` D ) = { <. <. x , y >. , z >. |
                   ( ( x e. X /\ y e. { v e. RR | 0 < v } )
                 /\ z = { w e. X | ( x D w ) < y } ) } ) $=
      ( cme wcel cbl cfv cv cr wa cc0 clt wbr co crab wceq copab2 blfval anass
      breq2 elrab anbi2i bitr4 anbi1i bitr3 oprabbii syl6eq ) FIJFKLAMZGJZBMZNJ
      ZOZPUOQRZCMUMDMFSUOQRDGTUAZOOZABCUBUNUOPEMZQRZENTJZOZUSOZABCUBABCDFGHUCUT
      VEABCUTUQUROZUSOVEUQURUSUDVFVDUSVFUNUPUROZOVDUNUPURUDVCVGUNVBUREUONVAUOPQ
      UEUFUGUHUIUJUKUL $.
      $( [16-Sep-2007] $) $( [31-Aug-2006] $)
  $}

  ${
    $d x A $.  $d x y B $.  $d v w x y z D $.  $d w x y z P $.  $d x Q $.
    $d v w x y z R $.  $d v w x y z X $.
    blval.1 $e |- X = dom dom D $.
    $( The ball around a point ` P ` is the set of all points whose distance
       from ` P ` is less than the ball's radius ` R ` . $)
    blval $p |- ( ( ( D e. Met /\ P e. X ) /\
                  ( R e. RR /\ 0 < R ) ) -> ( P ( ball ` D ) R ) =
                  { x e. X | ( P D x ) < R } ) $=
      ( vy vz vv vw cme wcel wa cr cc0 clt wbr cbl cfv co cv crab wceq copab2
      blfval2 opreqd ad2antrr cvv opreq1 breq1d rabbisdv breq2 eqid oprabval2g
      simplr elrab biimpr adantl cdm dmexg syl syl5eqel rabexg syl3anc eqtrd )
      BKLZCELZMZDNLODPQZMZMZCDBRSZTZCDGUAZELHUAZOIUAZPQZINUBZLMJUAVNAUAZBTZVOPQ
      ZAEUBZUCMGHJUDZTZCVSBTZDPQZAEUBZVFVMWDUCVGVJVFVLWCCDGHJAIBEFUEUFUGVGDVRLZ
      WGUHLZWDWGUCVKGHJCDEVRWBWGWCWEVOPQZAEUBUHVNCUCZWAWJAEWKVTWEVOPVNCVSBUIUJU
      KVODUCWJWFAEVODWEPULUKWCUMUNVFVGVJUOVJWHVHWHVJVQVIIDNVPDOPULUPUQURVFWIVGV
      JVFEUHLWIVFBUSZUSZUHEVFWLUHLWMUHLBKUTWLUHUTVAFVBWFAEUHVCVAUGVDVE $.
      $( [16-Sep-2007] $) $( [31-Aug-2006] $)

    $( Membership in a ball. $)
    elbl $p |- ( ( ( D e. Met /\ P e. X ) /\
                  ( R e. RR /\ 0 < R ) ) -> ( A e. ( P ( ball ` D ) R ) <->
                  ( A e. X /\ ( P D A ) < R ) ) ) $=
      ( vx cme wcel wa cr cc0 clt wbr cbl cfv co cv crab blval eleq2d wceq
      opreq2 breq1d elrab syl6bb ) BHICEIJDKILDMNJJZACDBOPQZIACGRZBQZDMNZGESZIA
      EICABQZDMNZJUGUHULAGBCDEFTUAUKUNGAEUIAUBUJUMDMUIACBUCUDUEUF $.
      $( [16-Sep-2007] $) $( [2-Sep-2006] $)

    $( Membership in a ball. $)
    elbl2 $p |- ( ( ( D e. Met /\ P e. X /\ A e. X ) /\
                  ( R e. RR /\ 0 < R ) ) -> ( A e. ( P ( ball ` D ) R ) <->
                  ( P D A ) < R ) ) $=
      ( cme wcel w3a cr cc0 clt wbr wa cbl cfv co wb elbl 3adantl3 ibar
      3ad2ant3 adantr bitr4d ) BGHZCEHZAEHZIZDJHKDLMNZNACDBOPQHZUGCABQDLMZNZUKU
      EUFUIUJULRUGABCDEFSTUHUKULRZUIUGUEUMUFUGUKUAUBUCUD $.
      $( [26-Sep-2007] $) $( [9-Mar-2007] $)

    $( Membership in a ball, with reversed distance function arguments. $)
    elbl3 $p |- ( ( ( D e. Met /\ P e. X /\ A e. X ) /\
                  ( R e. RR /\ 0 < R ) ) -> ( A e. ( P ( ball ` D ) R ) <->
                  ( A D P ) < R ) ) $=
      ( cme wcel w3a cr cc0 clt wbr wa cbl cfv co elbl2 wb metsym breq1d
      adantr bitrd ) BGHCEHAEHIZDJHKDLMNZNACDBOPQHCABQZDLMZACBQZDLMZABCDEFRUDUG
      UISUEUDUFUHDLCABEFTUAUBUC $.
      $( [25-Dec-2007] $) $( [10-Nov-2007] $)

    $( Membership in the range of the ball function.  Note that
       ` ran ( ball `` D ) ` is the collection of all balls for metric
       ` D ` . $)
    blrn $p |- ( D e. Met -> ( B e. ran ( ball ` D ) <->
         E. x e. X E. y e. { w e. RR | 0 < w }
                B = { z e. X | ( x D z ) < y } ) ) $=
      ( vv cme wcel cbl cfv crn cv cc0 clt wbr cr crab wa co wceq copab2 wrex
      blfval2 rneqd eleq2d cvv wral wb cdm dmexg syl syl5eqel rabexg a1d
      r19.21aivv eqid elrnoprabg bitrd ) FJKZEFLMZNZKEAOZGKBOZPDOQRDSTZKUAZIOVE
      COFUBVFQRZCGTZUCUAABIUDZNZKZEVJUCBVGUEAGUEZVBVDVLEVBVCVKABICDFGHUFUGUHVBV
      JUIKZBVGUJAGUJVMVNUKVBVOABGVGVBVOVHVBGUIKVOVBFULZULZUIGVBVPUIKVQUIKFJUMVP
      UIUMUNHUOVICGUIUPUNUQURABIGVGVJEUIVKVKUSUTUNVA $.
      $( [28-Jul-2008] $) $( [31-Aug-2006] $)

    $( Membership in the range of the ball function.  Note that
       ` ran ( ball `` D ) ` is the collection of all balls for metric
       ` D ` . $)
    blrn2 $p |- ( D e. Met -> ( B e. ran ( ball ` D ) <->
         E. x e. X E. y e. RR ( 0 < y /\
                B = { z e. X | ( x D z ) < y } ) ) ) $=
      ( vw cme wcel cbl cfv crn cv co clt wbr crab wceq cc0 cr wrex wa blrn
      breq2 elrab anbi1i anass bitr rexbii2 rexbii syl6bb ) EIJDEKLMJDANCNEOBNZ
      PQCFRSZBTHNZPQZHUARZUBZAFUBTUMPQZUNUCZBUAUBZAFUBABCHDEFGUDURVAAFUNUTBUQUA
      UMUQJZUNUCUMUAJZUSUCZUNUCVCUTUCVBVDUNUPUSHUMUAUOUMTPUEUFUGVCUSUNUHUIUJUKU
      L $.
      $( [18-Sep-2007] $) $( [31-Aug-2006] $)

    $( Two balls are disjoint if they don't overlap. $)
    bl2in $p |- ( ( ( D e. Met /\ P e. X /\ Q e. X ) /\
                ( R e. RR /\ 0 < R /\ R <_ ( ( P D Q ) / 2 ) ) ) ->
                ( ( P ( ball ` D ) R ) i^i ( Q ( ball ` D ) R ) ) = (/) ) $=
      ( vx cme wcel w3a cr cc0 clt wbr co c2 cdiv cle wa cv cbl cfv wn wral
      cin c0 wceq wb elbl 3simpa syl2an wi caddc cmul axaddrcl metcl 3expa
      3adantl3 3adantl2 sylanc adantr ad2antrr 2re axmulrcl mpan 3ad2ant1
      adantl lt2addt jca 3simp1 exp3a imp31 cc recnt 2timest syl breqtrrd 2pos
      lemuldiv2tOLD mpan2 mp3an1 biimpar ancom1s anasss sylan 3adantr2 adantlr
      ltletrd ex mettri3 3exp2 3imp1 lenltt mpbid a1d pm2.65d elbl2 df-3an
      biimpr negbid sylibrd an1rs imp3a sylbid r19.21aiv disj sylibr ) AHIZBEIZ
      CEIZJZDKIZLDMNZDBCAOZPQORNZJZSZGTZCDAUAUBZOZIZUCZGBDXSOZUDYCXTUEUFUGXQYBG
      YCXQXRYCIZXREIZBXRAOZDMNZSZYBXHXISXLXMSZYDYHUHXKXPXRABDEFUIXHXIXJUJXLXMXO
      UJZUKXQYEYGYBXQYEYGYBULZXKYEXPYKXKYESZXPSZYGCXRAOZDMNZUCZYBYMYGYPYMYGSZYO
      YFYNUMOZXNMNZYQYOYSYQYOSZYRPDUNOZXNYMYRKIZYGYOYLUUBXPYFKIZYNKIZUUBYLYFYNU
      OXHXIYEUUCXJXHXIYEUUCBXRAEFUPUQURZXHXJYEUUDXIXHXJYEUUDCXRAEFUPUQUSZUTZVAV
      BYMUUAKIZYGYOXPUUHYLXLXMUUHXOPKIZXLUUHVCPDVDVEVFVGVBYMXNKIZYGYOXKUUJYEXPB
      CAEFUPZVBVBYTYRDDUMOZUUAMYMYGYOYRUULMNZYMYGYOUUMUUCUUDSXLXLSYGYOSUUMULYLX
      PYFYNDDVHYLUUCUUDUUEUUFVIXPXLXLXLXMXOVJZUUNVIUKVKVLYMUUAUULUGZYGYOXPUUOYL
      XLXMUUOXOXLDVMIUUODVNDVOVPVFVGVBVQYMUUAXNRNZYGYOXKXPUUPYEXKXLXOUUPXMUUJXL
      XOSUUPXKUUJXLXOUUPXLUUJXOUUPXLUUJSUUPXOUUIXLUUJUUPXOUHZVCUUIXLUUJJLPMNUUQ
      VRPDXNVSVTWAWBWCWDUUKWEWFWGVBWHWIYLYOYSUCZULXPYGYLUURYOYLXNYRRNZUURXHXIXJ
      YEUUSXHXIXJYEUUSBCXRAEFWJWKWLUUJUUBUUSUURUHYLXNYRWMXKUUJYEUUKVAUUGUTWNWOV
      BWPWIYMYAYOXHXJYEJZYIYAYOUHYLXPXRACDEFWQXHXJYEUUTXIUUTXHXJSYESXHXJYEWRWSU
      SYJUKWTXAXBWIXCXDXEGYCXTXFXG $.
      $( [5-Oct-2007] $) $( [11-Mar-2007] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d v x y z D $.  $d x S $.  $d v x y z X $.
    $d x y P $.  $d x y R $.  $d w y $.
    blf.1 $e |- X = dom dom D $.
    $( Mapping of a ball. $)
    blf $p |- ( D e. Met -> ( ball ` D ) : ( X X. ( 0 (,) +oo ) ) --> P~ X ) $=
      ( vx vy vz vv vw cbl cfv cv wcel cc0 cpnf cioo co wa clt wbr crab wceq
      copab2 cme cxp cpw wf cr blfval2 ioopos eleq2i anbi2i anbi1i oprabbii
      syl6eqr feq1 wral cvv cdm dmexg syl syl5eqel wss ssrab2 elpw2g mpbiri
      a1d r19.21aivv eqid foprab2 sylib syl5bir mpcom ) AIJZDKZBLZEKZMNOPZLZQZF
      KVNGKAPVPRSZGBTZUAZQZDEFUBZUAZAUCLZBVQUDZBUEZVMUFZWFVMVOVPMHKRSHUGTZLZQZW
      BQZDEFUBWDDEFGHABCUHWCWMDEFVSWLWBVRWKVOVQWJVPHUIUJUKULUMUNWEWIWGWHWDUFZWF
      WGWHVMWDUOWFWAWHLZEVQUPDBUPWNWFWODEBVQWFWOVSWFBUQLZWOWFAURZURZUQBWFWQUQLW
      RUQLAUCUSWQUQUSUTCVAWPWOWABVBVTGBVCWABUQVDVEUTVFVGDEFBVQWAWHWDWDVHVIVJVKV
      L $.
      $( [18-Oct-2007] $) $( [7-May-2007] $)

    $( A ball contains its center. $)
    blcntr $p |- ( ( ( D e. Met /\ P e. X ) /\ ( R e. RR /\ 0 < R ) ) ->
                 P e. ( P ( ball ` D ) R ) ) $=
      ( cme wcel wa cr cc0 clt wbr cbl cfv co simplr wceq met0 adantr simprr
      eqbrtrd jca elbl mpbird ) AFGZBDGZHZCIGZJCKLZHZHZBBCAMNOGUFBBAOZCKLZHUKUF
      UMUEUFUJPUKULJCKUGULJQUJBADERSUGUHUITUAUBBABCDEUCUD $.
      $( [22-Sep-2007] $) $( [2-Sep-2006] $)

    $( A ball is not empty. $)
    blne0 $p |- ( ( ( D e. Met /\ P e. X ) /\ ( R e. RR /\ 0 < R ) ) ->
                 ( P ( ball ` D ) R ) =/= (/) ) $=
      ( cme wcel wa cr cc0 clt wbr cbl cfv co c0 wne blcntr ne0i syl ) AFGBDGHC
      IGJCKLHHBBCAMNOZGUAPQABCDERUABST $.
      $( [14-Nov-2007] $) $( [6-Oct-2007] $)

    $( Membership in the range of the ball function.  Note that
       ` ran ( ball `` D ) ` is the collection of all balls for metric
       ` D ` . $)
    blrn3 $p |- ( D e. Met -> ( A e. ran ( ball ` D ) <->
         E. x e. X E. y e. RR ( 0 < y /\ A = ( x ( ball ` D ) y ) ) ) ) $=
      ( vz cme wcel cbl cfv crn cc0 cv clt wbr co crab wceq wa cr wrex blrn2
      blval anassrs eqeq2d pm5.32da rexbidva bitr4d ) DHIZCDJKZLIMBNZOPZCANZGND
      QULOPGERZSZTZBUAUBZAEUBUMCUNULUKQZSZTZBUAUBZAEUBABGCDEFUCUJVBURAEUJUNEITZ
      VAUQBUAVCULUAIZTZUMUTUPVEUMTUSUOCVCVDUMUSUOSGDUNULEFUDUEUFUGUHUHUI $.
      $( [22-Sep-2007] $) $( [31-Aug-2006] $)

    $( A ball belongs to the set of balls of a metric space. $)
    blelrn $p |- ( ( ( D e. Met /\ P e. X ) /\ ( R e. RR /\ 0 < R ) ) ->
                    ( P ( ball ` D ) R ) e. ran ( ball ` D ) ) $=
      ( vy vx cme wcel wa cr cc0 clt wbr cbl cfv co crn cv wceq wrex opreq1
      eqeq2d anbi2d breq2 opreq2 anbi12d rcla42ev simplr simprl simprr eqid
      jctir syl3anc wb blrn3 ad2antrr mpbird ) AHIZBDIZJZCKIZLCMNZJZJZBCAOPZQZV
      FRIZLFSZMNZVGGSZVIVFQZTZJZFKUAGDUAZUTVBVCVGVGTZJZVOVEVNVQVJVGBVIVFQZTZJGF
      BCDKVKBTZVMVSVJVTVLVRVGVKBVIVFUBUCUDVICTZVJVCVSVPVICLMUEWAVRVGVGVICBVFUFU
      CUGUHUSUTVDUIVAVBVCUJVEVCVPVAVBVCUKVGULUMUNUSVHVOUOUTVDGFVGADEUPUQUR $.
      $( [23-Sep-2007] $) $( [2-Sep-2006] $)

    $( Any point in a metric space has a ball around it. $)
    blex $p |- ( ( D e. Met /\ P e. X ) -> E. x e. ran ( ball ` D ) P e. x ) $=
      ( cme wcel wa c1 cr cc0 clt wbr cv cbl cfv crn wrex 1re lt01 pm3.2i co
      eleq2 rcla4ev blelrn blcntr sylanc mpan2 ) BFGCDGHZIJGZKILMZHZCANZGZABOPZ
      QZRZUJUKSTUACIUOUBZUPGCURGZUQUIULHUNUSAURUPUMURCUCUDBCIDEUEBCIDEUFUGUH $.
      $( [28-Jan-2008] $) $( [12-Sep-2006] $)

    $( A ball is a subset of the base set of a metric space. $)
    blssm $p |- ( ( ( D e. Met /\ P e. X ) /\ ( R e. RR /\ 0 < R ) )
                 -> ( P ( ball ` D ) R ) (_ X ) $=
      ( vx cme wcel wa cr cc0 clt wbr cbl cfv co cv crab blval wss ssrab2 a1i
      eqsstrd ) AGHBDHICJHKCLMIIZBCANOPBFQAPCLMZFDRZDFABCDESUFDTUDUEFDUAUBUC $.
      $( [20-Sep-2007] $) $( [31-Aug-2006] $)

    $( A ball is a subset of the base set of a metric space. $)
    rnblssm $p |- ( ( D e. Met /\ B e. ran ( ball ` D ) ) -> B (_ X ) $=
      ( vy vx cme wcel cbl cfv crn wss cc0 cv clt wbr co wceq wa cr wrex blrn3
      wi pm3.27 blssm adantr eqsstrd ex exp43 imp3a imp4a r19.23advv sylbid
      imp ) BGHZABIJZKHZACLZUOUQMENZOPZAFNZUSUPQZRZSZETUAFCUAURFEABCDUBUOVDURFE
      CTUOVACHZUSTHZSUTVCURUOVEVFUTVCURUCZUCUOVEVFUTVGUOVESVFUTSSZVCURVHVCSAVBC
      VHVCUDVHVBCLVCBVAUSCDUEUFUGUHUIUJUKULUMUN $.
      $( [26-Sep-2007] $) $( [12-Sep-2006] $)

    $( The intersection of two balls with the same center is the smaller
       of them. $)
    blin $p |- ( ( ( D e. Met /\ P e. X ) /\ ( R e. RR /\ 0 < R ) /\
  ( S e. RR /\ 0 < S ) ) -> ( ( P ( ball ` D ) R ) i^i ( P ( ball ` D ) S ) ) =
                  ( P ( ball ` D ) if ( R <_ S , R , S ) ) ) $=
      ( vx cme wcel wa cr cc0 clt wbr w3a cbl cfv co cin cv crab cle cif wceq
      blval 3adant3 3adant2 ineq12d eleq1 breq2 anbi12d ifboth sylan2 3impb wb
      ltmint metcl 3expa pm3.26 syl3an 3expb an1rs rabbidv eqtr2d inrab syl5eq
      eqtrd ) AHIZBEIZJZCKIZLCMNZJZDKIZLDMNZJZOZBCAPQZRZBDVRRZSBGTZARZCMNZGEUAZ
      WBDMNZGEUAZSZBCDUBNZCDUCZVRRZVQVSWDVTWFVJVMVSWDUDVPGABCEFUEUFVJVPVTWFUDVM
      GABDEFUEUGUHVQWCWEJZGEUAZWJWGVQWJWBWIMNZGEUAZWLVJVMVPWJWNUDZVJWIKIZLWIMNZ
      JZWOVMVPJZGABWIEFUEWHVMVPWRCDCWIUDVKWPVLWQCWIKUICWILMUJUKDWIUDVNWPVOWQDWI
      KUIDWILMUJUKULUMUNVJVMVPWNWLUDVJWSJWMWKGEVJWAEIZWSWMWKUOZVJWTJZVMVPXAWBKI
      ZVKVNXAXBVMVPWBCDUPVHVIWTXCBWAAEFUQURVKVLUSVNVOUSUTVAVBVCUNVDWCWEGEVEVFVG
      $.
      $( [25-Sep-2007] $) $( [1-Sep-2006] $)
  $}

  ${
    $d w x z B $.  $d v w x z D $.  $d v w x z P $.
    $( Any point ` P ` in a ball ` B ` can be centered in another ball that
       is a subset of ` B ` . $)
    blss $p |- ( ( D e. Met /\ B e. ran ( ball ` D ) /\ P e. B ) ->
                E. x e. RR ( 0 < x /\ ( P ( ball ` D ) x ) (_ B ) ) $=
      ( vw vz vv cme wcel cbl cfv crn cc0 cv clt wbr co wss wa cr wrex cdm
      crab wceq wi eqid blrn2 cmin breq2 opreq2 sseq1d anbi12d rcla4ev
      resubclt pm3.27 ad2antlr metcl 3expa adantlrr sylanc adantrr eleq2
      breq1d elrab syl6bb biimpa sylan2 wb posdift anasss blssm pm3.26 anim12i
      jca elbl caddc ad2antrr adantr simprl syl3anc axaddrcl simprr w3a cle
      mettri 3jca ltaddsub2t adantllr biimpar lelttrd ex sylbid imp ssrabdv
      sseqtr4d adantrll exp43 r19.23advv 3imp ) CHIZBCJKZLIZDBIZMANZOPZDXDXAQZB
      RZSZATUAZWTXBMENZOPZBFNZGNZCQZXJOPZGCUBUBZUCZUDZSZETUAFXPUAXCXIUEZFEGBCXP
      XPUFZUGWTXSXTFEXPTWTXLXPIZXJTIZSZXSXCXIWTYDSZXRXCXIXKXJXLDCQZUHQZTIZMYGOP
      ZDYGXAQZBRZSZXIYEXRXCSZSZXHYLAYGTXDYGUDZXEYIXGYKXDYGMOUIYOXFYJBXDYGDXAUJU
      KULUMYEDXPIZYFXJOPZSZYHYMYEYPYHYQYCYFTIZYHYEYPSZXJYFUNYDYCWTYPYBYCUOUPZWT
      YBYPYSYCWTYBYPYSXLDCXPYAUQZURUSZUTVAZXRXCYRXRXCDXQIYRBXQDVBXOYQGDXPXMDUDX
      NYFXJOXMDXLCUJVCVDVEVFZVGYNYIYKYEYRYIYMYEYPYQYIYTYQYIYSYCYQYIVHYTYFXJVIUU
      CUUAUTVFVJZUUEVGYNYJXQBYEYRYJXQRYMYEYRSZXOGXPYJWTYPSZYHYISZYJXPRUUGCDYGXP
      YAVKYEWTYRYPWTYDVLZYPYQVLZVMZUUGYHYIUUDUUFVNZUTUUGXMYJIZXOUUGUUNXMXPIZDXM
      CQZYGOPZSZXOUUHUUIUUNUURVHUUGXMCDYGXPYAVOUULUUMUTUUGUURXOUUGUURSZXNYFUUPV
      PQZXJWTYBUUOXNTIUUSXLXMCXPYAUQYEWTYRUURUUJVQZUUGYBUURYDYBWTYRYBYCVLUPVRZU
      UGUUOUUQVSZVTYSUUPTIZUUTTIUUSYFUUPWAWTYBYPYSUUSUUBUVAUVBYRYPYEUURUUKUPZVT
      WTYPUUOUVDUUSDXMCXPYAUQZUVAUVEUVCVTUTYEYCYRUURWTYBYCWBZVQWTYBUUOYPWCXNUUT
      WDPUUSXLXMDCXPYAWEUVAUUSYBUUOYPUVBUVCUVEWFUTUUGUUOUUQUUTXJOPZUUGUUOSZUVHU
      UQYSUVDYCUVHUUQVHUVIYFUUPXJWGUUGYSUUOYEYPYSYQUUCVAVRWTYRUUOUVDYDWTYPUUOUV
      DYQWTYPUUOUVDUVFURUSWHYEYCYRUUOUVGVQVTWIVJWJWKWLWMWNUUEVGYEXRXCVSWOVNUTWP
      WQWRWLWS $.
      $( [28-Jul-2008] $) $( [31-Aug-2006] $)
  $}

  ${
    $d x y A $.  $d x y D $.  $d x y P $.  $d y X $.
    blssex.1 $e |- X = dom dom D $.
    $( Two ways to express the existence of a ball subset. $)
    blssex $p |- ( ( D e. Met /\ P e. X ) -> ( E. x e. ran ( ball ` D ) ( P e.
     x /\ x (_ A ) <-> E. y e. RR ( 0 < y /\ ( P ( ball ` D ) y ) (_ A ) ) ) $=
      ( cme wcel wa cv wss cbl cfv crn wrex cc0 clt wbr co cr wi w3a r19.41v
      sstr anim2i anassrs r19.22si sylbir blss sylan 3exp1 imp4b r19.23adva
      adantr wceq eleq2 sseq1 anbi12d rcla4ev blelrn adantrr blcntr anim1i
      anasss sylanc ex impbid ) DHIZEFIZJZEAKZIZVLCLZJZADMNZOZPZQBKZRSZEVSVPTZC
      LZJZBUAPZVIVRWDUBVJVIVOWDAVQVIVLVQIZVMVNWDVIWEVMVNWDVTWAVLLZJZBUAPZVNWDVI
      WEVMUCWHVNJWGVNJZBUAPWDWGVNBUAUDWIWCBUAVTWFVNWCWFVNJWBVTWAVLCUEUFUGUHUIBV
      LDEUJUKULUMUNUOVKWCVRBUAVKVSUAIZJZWCVRWAVQIZEWAIZWBJZVRWKWCJVOWNAWAVQVLWA
      UPVMWMVNWBVLWAEUQVLWACURUSUTWKVTWLWBVKWJVTWLDEVSFGVAUGVBWKVTWBWNWKVTJWMWB
      VKWJVTWMDEVSFGVCUGVDVEVFVGUNVH $.
      $( [27-Sep-2007] $) $( [5-May-2007] $)
  $}

  ${
    $d x D $.  $d x P $.  $d x R $.  $d x S $.  $d x X $.
    ssbl.1 $e |- X = dom dom D $.
    $( The size of a ball increases monotonically with its radius. $)
    ssbl $p |- ( ( ( ( D e. Met /\ P e. X ) /\ ( R e. RR /\ 0 < R ) /\
               ( S e. RR /\ 0 < S ) ) /\ R <_ S ) ->
               ( P ( ball ` D ) R ) (_ ( P ( ball ` D ) S ) ) $=
      ( vx cme wcel wa cr cc0 clt wbr w3a cle cbl cfv co cv wi ltletrt metcl
      3expa ancoms syl3an1 exp3a com23 3expb exp31 com4l imp31 imdistand ex
      3impb 3adant2r 3adant3r imp wb elbl 3adant3 adantr 3adant2 3imtr4d ssrdv
      ) AHIZBEIZJZCKIZLCMNZJZDKIZLDMNZJZOZCDPNZJZGBCAQRZSZBDVRSZVQGTZEIZBWAASZC
      MNZJZWBWCDMNZJZWAVSIZWAVTIZVOVPWEWGUAZVHVKVLVPWJUAZVMVHVIVLWKVJVHVIVLWKVH
      VIVLJZJZVPWJWMVPJWBWDWFVHWLVPWBWDWFUAZUAWBVHWLVPWNWBVHWLVPWNUAZWBVHJZVIVL
      WOWPVIVLOZWDVPWFWQWDVPWFWCKIZVIVLWDVPJWFUAWPWCCDUBVHWBWRVFVGWBWRBWAAEFUCU
      DUEUFUGUHUIUJUKULUMUNUOUPUQURVOWHWEUSZVPVHVKWSVNWAABCEFUTVAVBVOWIWGUSZVPV
      HVNWTVKWAABDEFUTVCVBVDVE $.
      $( [29-Oct-2007] $) $( [20-Sep-2007] $)
  $}

  ${
    $d x D $.  $d x P $.  $d x R $.  $d x S $.
    ssblex.1 $e |- X = dom dom D $.
    $( A nested ball exists whose radius is less than any desired amount. $)
    ssblex $p |- ( ( ( D e. Met /\ P e. X ) /\ ( R e. RR /\ 0 < R ) /\
               ( S e. RR /\ 0 < S ) ) -> E. x e. RR ( 0 < x /\ x < R /\
               ( P ( ball ` D ) x ) (_ ( P ( ball ` D ) S ) ) ) $=
      ( cme wcel wa cr cc0 clt wbr w3a cle wo cv cbl cfv co wss wrex lelttrit
      ad2ant2r 3adant1 c2 cdiv wceq breq2 breq1 opreq2 sseq1d 3anbi123d
      rcla4ev rehalfclt ad2antrr 3ad2antl2 halfpos2t biimpa adantr halfpost
      simpll simplr pm3.27 ltletrd wi ltlet sylan adantlr mpd adantlrr
      3adantl1 ssbl jca syl3anl2 syldan 3jca sylanc 3ad2antl3 ssid a1i jaodan
      mpdan ) BHICFIJZDKIZLDMNZJZEKIZLEMNZJZOZDEPNZEDMNZQZLARZMNZWPDMNZCWPBSTZU
      AZCEWSUAZUBZOZAKUCZWHWKWOWEWFWIWOWGWJDEUDUEUFWLWMXDWNDUGUHUAZKIZLXEMNZXED
      MNZCXEWSUAZXAUBZOZXDWLWMJZXCXKAXEKWPXEUIZWQXGWRXHXBXJWPXELMUJWPXEDMUKXMWT
      XIXAWPXECWSULUMUNUOWHWEWMXFWKWFXFWGWMDUPZUQURXLXGXHXJWHWEWMXGWKWHXGWMWFWG
      XGDUSUTZVAURWHWEWMXHWKWHXHWMWFWGXHDVBUTZVAURWLWMXEEPNZXJWHWKWMXQWEWHWIWMX
      QWJWHWIJZWMJZXEEMNZXQXSXEDEWHXFWIWMWFXFWGXNVAZUQXRWFWMWFWGWIVCVAWHWIWMVDW
      HXHWIWMXPUQXRWMVEVFXRXTXQVGZWMWFWIYBWGXFWIYBWFXEEVHXNVIVJVAVKVLVMWEXFXGJW
      KXQXJWHBCXEEFGVNWHXFXGYAXOVOVPVQVRVSWIWJWNXAXAUBZOZXDWLWNJZXCYDAEKWPEUIZW
      QWJWRWNXBYCWPELMUJWPEDMUKYFWTXAXAWPECWSULUMUNUOWKWEWNWIWHWIWJWNVCVTYEWJWN
      YCWKWEWNWJWHWIWJWNVDVTWLWNVEYCYEXAWAWBVRVSWCWD $.
      $( [30-Oct-2007] $) $( [20-Sep-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                        Open sets of a metric space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z A $.  $d v w x y z D $.  $d x y P $.  $d v w x y z X $.
    opnfval.1 $e |- X = dom dom D $.
    opnfval.2 $e |- J = ( Open ` D ) $.
    $( An open set is a subset of a metric space which includes a ball around
       each of its points.  Definition 1.3-2 of [Kreyszig] p. 18.  The
       object ` ( Open `` D ) ` is the family of all open sets in the metric
       space determined by the metric ` D ` .  By ~ opntop , the open sets of a
       metric space form a topology ` J ` , whose base set is ` U. J ` by
       ~ uniopn . $)
    opnfval $p |- ( D e. Met -> J = { x | ( x (_ X /\
               A. y e. x E. z e. ran ( ball ` D ) ( y e. z /\ z (_ x ) ) } ) $=
      ( vw vv cme wcel copn cfv cv wss wa cbl crn wrex wral cab cvv wceq cdm
      dmexg syl syl5eqel abssexg dmeq dmeqd syl6eqr sseq2d fveq2 rneqd rexeq1d
      ralbidv anbi12d abbidv df-opn fvopab4g mpdan syl5eq ) DKLZDMNZAOZFPZBOCOZ
      LVHVFPQZCDRNZSZTZBVFUAZQZAUBZEVDVOUCLZVEVOUDVDFUCLVPVDDUEZUEZUCFVDVQUCLVR
      UCLDKUFVQUCUFUGGUHVMAFUCUIUGIJDVFIOZUEZUEZPZVICVSRNZSZTZBVFUAZQZAUBVOKUCM
      VSDUDZWGVNAWHWBVGWFVMWHWAFVFWHWAVRFWHVTVQVSDUJUKGULUMWHWEVLBVFWHVICWDVKWH
      WCVJVSDRUNUOUPUQURUSIJABCUTVAVBHVC $.
      $( [1-Nov-2007] $) $( [1-Sep-2006] $)

    $( The family of open sets of a metric space is a collection of subsets of
       the base set. $)
    opnfss $p |- ( D e. Met -> J (_ P~ X ) $=
      ( vx vy vz cme wcel cv wss wa cbl cfv crn wrex wral cab cpw opnfval
      pm3.26 ss2abi df-pw sseqtr4 a1i eqsstrd ) AIJZBFKZCLZGKHKZJUKUILMHANOPQGU
      IRZMZFSZCTZFGHABCDEUAUNUOLUHUNUJFSUOUMUJFUJULUBUCFCUDUEUFUG $.
      $( [1-Nov-2007] $) $( [3-Sep-2006] $)

    $( The defining property of an open set of a metric space. $)
    isopn $p |- ( D e. Met -> ( A e. J <->
   ( A (_ X /\ A. x e. A E. y e. ran ( ball ` D ) ( x e. y /\ y (_ A ) ) ) ) $=
      ( vz cme wcel cv wss wa cbl cfv crn wrex wral cab opnfval eleq2d cvv wb
      cdm dmexg syl syl5eqel wceq sseq2 anbi2d rexbidv raleqd elssabg bitrd )
      DJKZCEKCILZFMALBLZKZURUQMZNZBDOPQZRZAUQSZNITZKZCFMUSURCMZNZBVBRZACSZNZUPE
      VECIABDEFGHUAUBUPFUCKVFVKUDUPDUEZUEZUCFUPVLUCKVMUCKDJUFVLUCUFUGGUHVDVJICF
      UCVCVIAUQCUQCUIZVAVHBVBVNUTVGUSUQCURUJUKULUMUNUGUO $.
      $( [2-Nov-2007] $) $( [1-Sep-2006] $)

    $( The base set of a metric space is open.  Part of Theorem T1 of
       [Kreyszig] p. 19. $)
    opnm $p |- ( D e. Met -> X e. J ) $=
      ( vx vy cme wcel wss cv wa cbl cfv crn wrex wral c1 cr cc0 clt wbr 1re
      lt01 pm3.2i co wceq eleq2 sseq1 anbi12d rcla4ev blelrn blcntr blssm jca
      sylanc mpan2 r19.21aiva ssid jctil isopn mpbird ) AHIZCBICCJZFKZGKZIZVFCJ
      ZLZGAMNZOZPZFCQZLVCVMVDVCVLFCVCVECILZRSIZTRUAUBZLZVLVOVPUCUDUEVERVJUFZVKI
      VEVRIZVRCJZLZVLVNVQLZVIWAGVRVKVFVRUGVGVSVHVTVFVRVEUHVFVRCUIUJUKAVERCDULWB
      VSVTAVERCDUMAVERCDUNUOUPUQURCUSUTFGCABCDEVAVB $.
      $( [3-Nov-2007] $) $( [4-Sep-2006] $)

    $( The union of all open sets in a metric space is its underlying set. $)
    uniopn $p |- ( D e. Met -> U. J = X ) $=
      ( cme wcel cuni cpw wss opnfss uniss unipw syl6ss syl opnm elssuni eqssd
      ) AFGZBHZCSBCIZJZTCJABCDEKUBTUAHCBUALCMNOSCBGCTJABCDEPCBQOR $.
      $( [3-Nov-2007] $) $( [4-Sep-2006] $)

    $( A defining property of an open set of a metric space. $)
    isopn4 $p |- ( D e. Met -> ( A e. J <-> ( A (_ X /\
           A. x e. A E. y e. RR ( 0 < y /\ ( x ( ball ` D ) y ) (_ A ) ) ) ) $=
      ( vz cme wcel wss cv wa cbl cfv crn wrex wral cc0 clt wbr co cr isopn wb
      blssex ssel2 sylan2 anassrs ralbidva pm5.32da bitrd ) DJKZCEKCFLZAMZIMZKU
      QCLNIDOPZQRZACSZNUOTBMZUAUBUPVAURUCCLNBUDRZACSZNAICDEFGHUEUNUOUTVCUNUONUS
      VBACUNUOUPCKZUSVBUFZUNUPFKVEUOVDNIBCDUPFGUGCFUPUHUIUJUKULUM $.
      $( [4-Dec-2007] $) $( [5-May-2007] $)

    $( An open set of a metric space is a subspace of its base set. $)
    opnss $p |- ( ( D e. Met /\ A e. J ) -> A (_ X ) $=
      ( vx vy cme wcel wss cv wa cbl cfv crn wrex wral isopn pm3.26bda ) BIJACJ
      ADKGLHLZJUAAKMHBNOPQGARGHABCDEFST $.
      $( [4-Nov-2007] $) $( [3-Sep-2006] $)
  $}

  ${
    $d f g u v w x y z A $.  $d f g u v w x y B $.  $d f g u v w x y z D $.
    $d x y P $.  $d x y R $.  $d u v w J $.
    opni.1 $e |- J = ( Open ` D ) $.
    $( An open set of a metric space includes a ball around each of its
       points. $)
    opni $p |- ( ( D e. Met /\ A e. J /\ P e. A ) ->
                 E. x e. ran ( ball ` D ) ( P e. x /\ x (_ A ) ) $=
      ( vy cme wcel cv wss wa cbl cfv crn wrex cdm wral wi eqid isopn wceq
      eleq1 anbi1d rexbidv rcla4cv adantl syl6bi 3imp ) CHIZBEIZDBIZDAJZIZUMBKZ
      LZACMNOZPZUJUKBCQQZKZGJZUMIZUOLZAUQPZGBRZLULURSZGABCEUSUSTFUAVEVFUTVDURGD
      BVADUBZVCUPAUQVGVBUNUOVADUMUCUDUEUFUGUHUI $.
      $( [7-Nov-2007] $) $( [3-Sep-2006] $)

    $( An open set of a metric space includes a ball around each of its
       points. $)
    opni2 $p |- ( ( D e. Met /\ A e. J /\ P e. A ) ->
                 E. x e. RR ( 0 < x /\ ( P ( ball ` D ) x ) (_ A ) ) $=
      ( vy cme wcel w3a cv wss wa cbl cfv crn wrex cc0 clt wbr co cr opni wb
      cdm wi eqid opnss sseld ex imp32 blssex syldan 3impb mpbid ) CHIZBEIZDBIZ
      JDGKZIUSBLMGCNOZPQZRAKZSTDVBUTUABLMAUBQZGBCDEFUCUPUQURVAVCUDZUPUQURMDCUEU
      EZIZVDUPUQURVFUPUQURVFUFUPUQMBVEDBCEVEVEUGZFUHUIUJUKGABCDVEVGULUMUNUO $.
      $( [14-Nov-2007] $) $( [2-May-2007] $)

    $( An open set of a metric space includes an arbitrarily small ball around
       each of its points. $)
    opni3 $p |- ( ( ( D e. Met /\ A e. J /\ P e. A ) /\ ( R e. RR /\
   0 < R ) ) -> E. x e. RR ( 0 < x /\ x < R /\ ( P ( ball ` D ) x ) (_ A ) ) $=
      ( vy cme wcel w3a cr cc0 clt wbr wa cv cbl cfv co wss wrex opni2 adantr
      cdm wi eqid ssblex 3expa adantrrr idd sstr2 com12 3anim123d r19.22sdv
      adantl ad2antll mpd exp32 r19.23adv 3simp1 ssel2 opnss sylan 3impa jca )
      CIJZBFJZDBJZKZELJMENOPZPMHQZNOZDVLCRSZTZBUAZPZHLUBZMAQZNOZVSENOZDVSVNTZBU
      AZKZALUBZVJVRVKHBCDFGUCUDVGDCUEUEZJZPZVKVRWEUFVJWHVKPZVQWEHLWIVLLJZVQWEWI
      WJVQPPVTWAWBVOUAZKZALUBZWEWIWJVMWMVPWHVKWJVMPWMACDEVLWFWFUGZUHUIUJVQWMWEU
      FZWIWJVPWOVMVPWLWDALVPVTVTWAWAWKWCVPVTUKVPWAUKWKVPWCWBVOBULUMUNUOUPUQURUS
      UTVJVGWGVGVHVIVAVGVHVIWGBWFUAVIWGVGVHPBWFDVBBCFWFWNGVCVDVEVFVDUR $.
      $( [14-Nov-2007] $) $( [20-Sep-2007] $)

    $( The balls of a metric space are open sets. $)
    blssopn $p |- ( D e. Met -> ran ( ball ` D ) (_ J ) $=
      ( vw vv vu cme wcel cbl cfv crn cv cdm wss wa wrex wral eqid rnblssm
      ssid wceq elequ2 sseq1 anbi12d rcla4ev mpanr2 r19.21aiva adantl jca ex
      isopn sylibrd ssrdv ) AGHZDAIJKZBUNDLZUOHZUPAMMZNZELZFLZHZVAUPNZOZFUOPZEU
      PQZOZUPBHUNUQVGUNUQOUSVFUPAURURRZSUQVFUNUQVEEUPUQUTUPHZUPUPNZVEUPTVDVIVJO
      FUPUOVAUPUAVBVIVCVJFDEUBVAUPUPUCUDUEUFUGUHUIUJEFUPABURVHCUKULUM $.
      $( [13-Nov-2007] $) $( [12-Sep-2006] $)

    $( The union of a collection of open sets of a metric space is open.
       Theorem T2 of [Kreyszig] p. 19. $)
    opnuni $p |- ( ( D e. Met /\ A (_ J ) ->
                 U. A e. J ) $=
      ( vw vv vu cme wcel wss cuni cdm cv wa cbl cfv crn wrex wral cpw sstr2
      eqid opnfss syl5com uniss unipw syl6ss syl6 wi opni simpll ssel2
      ad2ant2lr simprr syl3anc ssuni expcom anim2d r19.22sdv ad2antrl mpd
      exp32 r19.23adv eluni2 syl5ib ex r19.21adv jcad isopn sylibrd imp ) BHIZA
      CJZAKZCIZVLVMVNBLLZJZEMZFMZIZVSVNJZNZFBOPQZRZEVNSZNVOVLVMVQWEVLVMAVPTZJZV
      QVMCWFJWGVLACWFUABCVPVPUBZDUCUDWGVNWFKVPAWFUEVPUFUGUHVLVMWDEVNVLVMVRVNIZW
      DUIVLVMNZVRGMZIZGARWDWIWJWLWDGAWJWKAIZWLWDWJWMWLNZNZVTVSWKJZNZFWCRZWDVLWK
      CIZWLWRWOFWKBVRCDUJVLVMWNUKVMWMWSVLWLACWKULUMWJWMWLUNUOWMWRWDUIWJWLWMWQWB
      FWCWMWPWAVTWPWMWAVSWKAUPUQURUSUTVAVBVCGVRAVDVEVFVGVHEFVNBCVPWHDVIVJVK $.
      $( [12-Nov-2007] $) $( [4-Sep-2006] $)

    $( The intersection of two open sets of a metric space is open. $)
    opnin $p |- ( ( D e. Met /\ A e. J /\ B e. J ) ->
               ( A i^i B ) e. J ) $=
      ( vz vv vw vu vx vy vf vg cme wcel cin cdm wss cv wa cbl cfv crn wrex
      wral wi pm3.27 a1i reeanv cc0 clt wbr co cr blss 3expib anim12d adantr
      cle cif wceq eqid blin 3expb sseq1d eleq2 sseq1 anbi12d rcla4ev blelrn
      eleq1 breq2 ifboth sylan2 blcntr anim1i sylanc ex sylbid com3l an4s
      com4l ss2in sstr syl2an syl5 exp3a imp com4t r19.23advv syl5ibr syld
      anass syl2anbr r19.23aivv sylbir anbi1d rexbidv rcla4va elin sylanb
      com23 ssel com12 sylan2d com13 r19.21adv jcad com3r ssinss1 sylan isopn
      3imtr4d 3impib ) CNOZADOZBDOZABPZDOZXOACQQZRZFSZGSZOZYCARZTZGCUAUBZUCZUDZ
      FAUEZTZBXTRZHSZISZOZYNBRZTZIYHUDZHBUEZTZTZXRXTRZJSZKSZOZUUDXRRZTZKYHUDZJX
      RUEZTZXPXQTXSUUAXOUUJYAYLYJYSXOUUJUFZUUBYJYSTZUUKYAYLTUUBUULUUKUULXOUUBUU
      JUULXOUUBUUJUULXOUUBTZUUBUUIUUMUUBUFUULXOUUBUGUHUULUUMUUHJXRUUCXROZUUMUUL
      UUHUUNXOUUCXTOZUULUUHUFUUBUUNUULXOUUOTZUUHUUNUULUUPUUHUFZUUCAOZUUCBOZTUUL
      UUQUUNUURYJUUSYSUUQUUCYCOZYETZGYHUDZUUCYNOZYPTZIYHUDZUUQUURYJTUUSYSTUVBUV
      ETUVAUVDTZIYHUDGYHUDUUQUVAUVDGIYHYHUIUVFUUQGIYHYHYCYHOZYNYHOZTUVFUUQUVGUV
      AUVHUVDUUQUVGUUTTZYETUVHUVCTZYPTUUQUVGUVATUVHUVDTUVIUVJYEYPUUQUVIUVJTZYEY
      PTZUUQUUPUVKUVLUUHUUPUVKUJLSZUKULZUUCUVMYGUMZYCRZTZLUNUDZUJMSZUKULZUUCUVS
      YGUMZYNRZTZMUNUDZTZUVLUUHUFZXOUVKUWEUFUUOXOUVIUVRUVJUWDXOUVGUUTUVRLYCCUUC
      UOUPXOUVHUVCUWDMYNCUUCUOUPUQURUUPUVQUWCTZMUNUDLUNUDUWFUWEUUPUWGUWFLMUNUNU
      WGUVLUUPUVMUNOZUVSUNOZTZUUHUVNUVTUVPUWBUVLUUPUWJUUHUFUFZUFZUVNUVTTZUVPUWB
      TZUWLUWMUWNUVLUWKUWMUVOUWAPZXRRZUWKUWNUVLTUWJUWMUWPUUPUUHUWJUWMUWPUUQUFZU
      WHUVNUWIUVTUWQUUPUWHUVNTZUWIUVTTZTZUWPUUHUUPUWTUWPUUHUFUUPUWTTZUWPUUCUVMU
      VSUSULZUVMUVSUTZYGUMZXRRZUUHUXAUWOUXDXRUUPUWRUWSUWOUXDVACUUCUVMUVSXTXTVBZ
      VCVDVEUXAUXEUUHUXDYHOZUUCUXDOZUXETZUUHUXAUXETUUGUXIKUXDYHUUDUXDVAUUEUXHUU
      FUXEUUDUXDUUCVFUUDUXDXRVGVHVIUXAUXGUXEUUPUXCUNOZUJUXCUKULZTZUXGUWTCUUCUXC
      XTUXFVJUXBUWRUWSUXLUVMUVSUVMUXCVAUWHUXJUVNUXKUVMUXCUNVKUVMUXCUJUKVLVHUVSU
      XCVAUWIUXJUVTUXKUVSUXCUNVKUVSUXCUJUKVLVHVMZVNURUXAUXHUXEUUPUXLUXHUWTCUUCU
      XCXTUXFVOUXMVNVPVQVRVSVRVTWAVRWBUVPYEUWBYPUWPUVOARUWABRUWPUVPYETUWBYPTUVO
      AUWABWCUVOYCAWDUWAYNBWDWEWAWFWGWHWAWIWJUVQUWCLMUNUNUIWKWLVTWHWAUVGUUTYEWM
      UVHUVCYPWMWNWAVRWOWPYIUVBFUUCAYBUUCVAZYFUVAGYHUXNYDUUTYEYBUUCYCVKWQWRWSYR
      UVEHUUCBYMUUCVAZYQUVDIYHUXOYOUVCYPYMUUCYNVKWQWRWSWEWAUUCABWTXAVRXBUUBUUNU
      UOXRXTUUCXCXDXEXFXGXHWGXIWHYAUUBYLABXTXJURXKWAXDXOXPYKXQYTFGACDXTUXFEXLHI
      BCDXTUXFEXLVHJKXRCDXTUXFEXLXMXN $.
      $( [13-Nov-2007] $) $( [4-Sep-2006] $)

    $( The set of open sets of a metric space is a topology.  Remark in
       [Kreyszig] p. 19.  This theorem connects the two concepts and makes
       available the theorems for topologies for use with metric spaces. $)
    opntop $p |- ( D e. Met -> J e. Top ) $=
      ( vw vv cme wcel cv wss cuni wi wal cin wral wa ctop opnuni ex 19.21aiv
      opnin 3expib r19.21aivv jca cvv wb copn cfv fvex eqeltr istopg ax-mp
      sylibr ) AFGZDHZBIZUNJBGZKZDLZUNEHZMBGZEBNDBNZOZBPGZUMURVAUMUQDUMUOUPUNAB
      CQRSUMUTDEBBUMUNBGUSBGUTUNUSABCTUAUBUCBUDGVCVBUEBAUFUGUDCAUFUHUIDEUDBUJUK
      UL $.
      $( [13-Nov-2007] $) $( [28-Aug-2006] $)

    $( The topology generated by the balls of a metric space is its open
       sets. $)
    tgbl $p |- ( D e. Met -> ( topGen ` ran ( ball ` D ) ) = J ) $=
      ( vv vu vw ctop wcel cbl cfv crn wss cv wa wrex wral ctg wceq cme w3a
      ctb basgen2t pm3.27d opntop blssopn opni 3expib r19.21aivv syl3anc ) BGHZ
      AIJKZBLZDMZEMZHUNFMZLNEUKOZDUOPFBPZUKQJBRZASHZUJULUQTUKUAHURFDEUKBUBUCABC
      UDABCUEUSUPFDBUOUSUOBHUMUOHUPEUOAUMBCUFUGUHUI $.
      $( [3-Dec-2007] $) $( [13-Sep-2006] $)

    $( The balls of a metric space form a basis for a topology. $)
    blbas $p |- ( D e. Met -> ran ( ball ` D ) e. Bases ) $=
      ( vw vv vu ctop wcel cbl cfv crn wss cv wa wrex wral ctb cme w3a ctg
      wceq basgen2t pm3.26d opntop blssopn opni 3expib r19.21aivv syl3anc ) BGH
      ZAIJKZBLZDMZEMZHUNFMZLNEUKOZDUOPFBPZUKQHZARHZUJULUQSURUKTJBUAFDEUKBUBUCAB
      CUDABCUEUSUPFDBUOUSUOBHUMUOHUPEUOAUMBCUFUGUHUI $.
      $( [1-Dec-2007] $) $( [12-Sep-2006] $)
  $}

  ${
    opn0.1 $e |- J = ( Open ` D ) $.
    $( The empty set is an open set of a metric space.  Part of Theorem T1 of
       [Kreyszig] p. 19. $)
    opn0 $p |- ( D e. Met -> (/) e. J ) $=
      ( cme wcel ctop c0 opntop 0opnt syl ) ADEBFEGBEABCHBIJ $.
      $( [21-Feb-2008] $) $( [4-Sep-2006] $)

    $( A ball of a metric space is an open set. $)
    rnblopn $p |- ( ( D e. Met /\ B e. ran ( ball ` D ) ) ->
                B e. J ) $=
      ( cme wcel cbl cfv crn blssopn sseld imp ) BEFZABGHIZFACFMNCABCDJKL $.
      $( [13-Nov-2007] $) $( [12-Sep-2006] $)
  $}

  ${
    $d x y D $.  $d x y X $.
    unirnbl.1 $e |- X = dom dom D $.
    $( The union of the set of balls of a metric space is its base set. $)
    unirnbl $p |- ( D e. Met -> U. ran ( ball ` D ) = X ) $=
      ( vx vy cme wcel cbl cfv crn cuni copn wss eqid blssopn uniss syl uniopn
      sseqtrd cv wrex blex ex eluni2 syl6ibr ssrdv eqssd ) AFGZAHIJZKZBUHUJALIZ
      KZBUHUIUKMUJULMAUKUKNZOUIUKPQAUKBCUMRSUHDBUJUHDTZBGZUNETGEUIUAZUNUJGUHUOU
      PEAUNBCUBUCEUNUIUDUEUFUG $.
      $( [5-Apr-2008] $) $( [12-Sep-2006] $)
  $}

  ${
    $d r x y D $.  $d r x y J $.  $d r x y P $.  $d r y N $.  $d r x y R $.
    $d x y S $.  $d r x y X $.
    blopn.1 $e |- X = dom dom D $.
    blopn.2 $e |- J = ( Open ` D ) $.
    $( A ball of a metric space is an open set. $)
    blopn $p |- ( ( ( D e. Met /\ P e. X ) /\ ( R e. RR /\ 0 < R ) ) ->
                    ( P ( ball ` D ) R ) e. J ) $=
      ( cme wcel wa cr cc0 clt wbr cbl cfv co crn blelrn wi rnblopn ex
      ad2antrr mpd ) AHIZBEIZJCKILCMNJZJBCAOPZQZUHRIZUIDIZABCEFSUEUJUKTUFUGUEUJ
      UKUIADGUAUBUCUD $.
      $( [14-Nov-2007] $) $( [9-Mar-2007] $)

    $( A neighborhood of a point defined in terms of balls. $)
    neibl $p |- ( ( D e. Met /\ P e. X ) -> ( N e. ( ( nei ` J ) ` { P } )
    <-> ( N (_ X /\ E. r e. RR ( 0 < r /\ ( P ( ball ` D ) r ) (_ N ) ) ) ) $=
      ( vy cme wcel wa csn cnei cfv cuni wss cv wrex cc0 clt wbr cbl co cr
      ctop wb eqid isneip opntop adantr uniopn eleq2d biimpar sylanc sseq2d
      anbi1d wi w3a sstr2 com12 anim2d r19.22sdv opni2 syl5com 3exp imp4a
      ad2antrr r19.23adv wceq eleq2 sseq1 anbi12d rcla4ev blopn blcntr anim1i
      exp42 impbid pm5.32da 3bitrd ) AJKZBEKZLZDBMCNOOKZDCPZQZBIRZKZWHDQZLZICSZ
      LZDEQZWLLWNTFRZUAUBZBWOAUCOUDZDQZLZFUESZLCUFKZBWFKZWEWMUGWDBICDWFWFUHUIWB
      XAWCACHUJUKWBXBWCWBWFEBACEGHULZUMUNUOWDWGWNWLWBWGWNUGWCWBWFEDXCUPUKUQWDWN
      WLWTWDWNLZWLWTXDWKWTICWBWHCKZWKWTURURWCWNWBXEWIWJWTWBXEWIWJWTURWJWPWQWHQZ
      LZFUESWTWBXEWIUSWJXGWSFUEWJXFWRWPXFWJWRWQWHDUTVAVBVCFWHABCHVDVEVFVGVHVIWD
      WTWLURWNWDWSWLFUEWDWOUEKZWPWRWLWDXHWPWRWLWQCKZBWQKZWRLZWLWDXHWPLLZWRLWKXK
      IWQCWHWQVJWIXJWJWRWHWQBVKWHWQDVLVMVNXLXIWRABWOCEGHVOUKXLXJWRABWOEGVPVQUOV
      RVGVIUKVSVTWA $.
      $( [7-Dec-2007] $) $( [8-Nov-2007] $)

    $( The neighborhoods around a point ` P ` of a metric space are those
       subsets containing a ball around ` P ` .  Definition of neighborhood in
       [Kreyszig] p. 19. $)
    metnei $p |- ( ( D e. Met /\ P e. X ) -> ( ( nei ` J ) ` { P } ) = { x |
         ( x (_ X /\ E. r e. RR ( 0 < r /\ ( P ( ball ` D ) r ) (_ x ) ) } ) $=
      ( cme wcel wa cv wss cc0 clt wbr cbl cfv co cr wrex csn cnei neibl
      abbi2dv ) BIJCEJKALZEMNFLZOPCUGBQRSUFMKFTUAKACUBDUCRRBCDUFEFGHUDUE $.
      $( [23-Jun-2008] $) $( [8-Nov-2007] $)

    $( A ball around a point is a neighborhood of the point. $)
    blnei $p |- ( ( ( D e. Met /\ P e. X ) /\ ( R e. RR /\ 0 < R ) ) ->
              ( P ( ball ` D ) R ) e. ( ( nei ` J ) ` { P } ) ) $=
      ( vr cme wcel wa cr cc0 clt wbr cbl cfv co csn cnei wss cv wrex blssm
      ssid wceq breq2 opreq2 sseq1d anbi12d rcla4ev mpanr2 adantl jca wb neibl
      adantr mpbird ) AIJBEJKZCLJZMCNOZKZKZBCAPQZRZBSDTQQJZVEEUAZMHUBZNOZBVHVDR
      ZVEUAZKZHLUCZKZVCVGVMABCEFUDVBVMUSUTVAVEVEUAZVMVEUEVLVAVOKHCLVHCUFZVIVAVK
      VOVHCMNUGVPVJVEVEVHCBVDUHUIUJUKULUMUNUSVFVNUOVBABDVEEHFGUPUQUR $.
      $( [19-Dec-2007] $) $( [8-Nov-2007] $)

    $( Every ball around a limit point ` P ` of a subset ` S ` includes a
       member of ` S ` (even if ` P e/ S ` ). $)
    lpbl $p |- ( ( ( D e. Met /\ S (_ X /\ P e. ( ( limPt ` J ) ` S ) ) /\
           ( R e. RR /\ 0 < R ) ) -> E. x e. S x e. ( P ( ball ` D ) R ) ) $=
      ( vy cme wcel cuni wss wa clp cfv cr cc0 clt wbr cv cbl co wrex w3a csn
      cdif cin c0 wne cnei wral wceq ineq1 neeq1d rcla4va blnei simpll ctop
      ssel2 eqid lpss sylan opntop sylanl1 uniopn ad2antrr eleqtrd jca pm3.27
      wb islp2 simplr syl3anc mpbid adantr sylanc wn incom eqeq1i disj bitr2
      difss sslin ax-mp sseq0 mpan sylbi necon3ai dfrex2 sylibr syl pm3.26
      sseq2d biimpar anim1i 3impa ) BKLZEFMZNZOZCEFPQQZLZOZDRLSDTUAOZAUBCDBUCQU
      DZLZAEUEZWSEGNZXDUFXEXFOZXGECUGZUHZUIZUJUKZXIXGXLFULQQZLZJUBZXMUIZUJUKZJX
      PUMZXOXKXTXOJXGXPXRXGUNXSXNUJXRXGXMUOUPUQWSCGLZOXFXQXEBCDFGHIURXEWSYBWSXA
      XDUSXECWTGFUTLZXAXDCWTLZWSXCWTNXDYDYCXAOZXCWTCVAEFWTWTVBZVCVDZBFIVEZVFWSW
      TGUNXAXDBFGHIVGZVHVIVJVDXEYAXFYCXAXDYAWSYEXDOZXDYAYEXDVKYCXAYDXDYAVLYJCEJ
      FWTYFVMYCXAXDUSYCXAXDVNYGVOVPYHVFVQVRXOXHVSAEUMZVSXIYKXNUJYKXGEUIZUJUNZXN
      UJUNZYMEXGUIZUJUNYKYLYOUJXGEVTWAAEXGWBWCXNYLNZYMYNXMENYPEXLWDXMEXGWEWFXNY
      LWGWHWIWJXHAEWKWLWMWSXJXDXEWSXJOZXBXDYQWSXAWSXJWNWSXAXJWSWTGEYIWOWPVJWQWR
      VD $.
      $( [25-Dec-2007] $) $( [9-Nov-2007] $)
  $}

  ${
    $d m n x y D $.  $d m n x y J $.
    methausi.1 $e |- D e. Met $.
    methausi.2 $e |- J = ( Open ` D ) $.
    $( The topology generated by a metric space is Hausdorff.  Remark in
       [Munkres] p. 126. $)
    methausi $p |- J e. Haus $=
      ( vx vy vm vn cdm cuni cme wcel wceq eqid uniopn ax-mp eqcomi ctop
      opntop cv co c2 cdiv cbl cfv cin c0 w3a wrex wne eleq2 ineq1 eqeq1d
      3anbi13d ineq2 3anbi23d rcla42ev cr cc0 clt wbr wa blopn mpanl1 3simp1
      metcl mp3an1 rehalfclt syl 3adant3 wb metgt0 biimp3a halfpos2t mpbid jca
      sylanc 3simp2 blcntr cle bl2in mp3anl1 3simpa leidt 3jca syl3anc ishausi
      ) EFGHBAIIZBJZWHAKLZWIWHMCABWHWHNZDOPQWJBRLCABDSPETZWLFTZAUAZUBUCUAZAUDUE
      ZUAZBLZWMWOWPUAZBLZWLWQLZWMWSLZWQWSUFZUGMZUHZWLHTZLZWMGTZLZXFXHUFZUGMZUHZ
      GBUIHBUIWLWHLZWMWHLZWLWMUJZUHZXLXEXAXIWQXHUFZUGMZUHHGWQWSBBXFWQMZXGXAXKXR
      XIXFWQWLUKXSXJXQUGXFWQXHULUMUNXHWSMZXIXBXRXDXAXHWSWMUKXTXQXCUGXHWSWQUOUMU
      PUQXMWOURLZUSWOUTVAZVBZWRXPWJXMYCWRCAWLWOBWHWKDVCVDXMXNXOVEZXPYAYBXMXNYAX
      OXMXNVBZWNURLZYAWJXMXNYFCWLWMAWHWKVFVGZWNVHVIZVJZXPUSWNUTVAZYBXMXNXOYJWJX
      MXNXOYJVKCWLWMAWHWKVLVGVMXMXNYJYBVKZXOYEYFYKYGWNVNVIVJVOZVPZVQXNYCWTXPWJX
      NYCWTCAWMWOBWHWKDVCVDXMXNXOVRZYMVQXPXAXBXDXMYCXAXPWJXMYCXACAWLWOWHWKVSVDY
      DYMVQXNYCXBXPWJXNYCXBCAWMWOWHWKVSVDYNYMVQYEYAYBWOWOVTVAZUHZXDXPWJXMXNYPXD
      CAWLWMWOWHWKWAWBXMXNXOWCXPYAYBYOYIYLXMXNYOXOYEYAYOYHWOWDVIVJWEVQWEWFWG $.
      $( [1-Dec-2007] $) $( [9-Mar-2007] $)
  $}

  ${
    methaus.1 $e |- J = ( Open ` D ) $.
    $( The topology generated by a metric space is Hausdorff.  Remark in
       [Munkres] p. 126. $)
    methaus $p |- ( D e. Met -> J e. Haus ) $=
      ( cme wcel cha c0 cif copn cfv wceq fveq2 syl5eq eleq1d 0met elimel eqid
      methausi dedth ) ADEZBFETAGHZIJZFEAGAUAKZBUBFUCAIJUBBAUAILCMNUAUBAGDOPUBQ
      RS $.
      $( [3-Dec-2007] $) $( [15-Mar-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                       Continuity in metric spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    metcnf.1 $e |- X = dom dom C $.
    metcnf.2 $e |- Y = dom dom D $.
    metcnf.3 $e |- J = ( Open ` C ) $.
    metcnf.4 $e |- K = ( Open ` D ) $.
    $( A continuous function at point ` P ` is a mapping (metric space version
       of ~ cnpf ). $)
    metcnpf $p |- ( ( ( C e. Met /\ D e. Met /\ P e. X ) /\
                F e. ( ( J CnP K ) ` P ) ) -> F : X --> Y ) $=
      ( cme wcel w3a ccnp co cfv wa cuni wf ctop eqid cnpf opntop 3ad2ant1
      3ad2ant2 uniopn eleq2d biimpar 3adant2 3jca sylan wb wceq feq2 syl feq3
      sylan9bb 3adant3 adantr mpbid ) AMNZBMNZCGNZOZDCEFPQRNZSETZFTZDUAZGHDUAZE
      UBNZFUBNZCVHNZOVGVJVFCDEFVHVIVHUCVIUCUDVFVLVMVNVCVDVLVEAEKUEUFVDVCVMVEBFL
      UEUGVCVEVNVDVCVNVEVCVHGCAEGIKUHZUIUJUKULUMVFVJVKUNZVGVCVDVPVEVCVJGVIDUAZV
      DVKVCVHGUOVJVQUNVOVHGVIDUPUQVDVIHUOVQVKUNBFHJLUHVIHGDURUQUSUTVAVB $.
      $( [30-Dec-2007] $) $( [16-Dec-2007] $)

    $( A continuous function is a mapping (metric space version of ~ cnf ). $)
    metcnf $p |- ( ( C e. Met /\ D e. Met /\
                F e. ( J Cn K ) ) -> F : X --> Y ) $=
      ( cme wcel ccn co w3a cuni wf ctop eqid cnf opntop id syl3an wb wceq
      uniopn feq2 syl feq3 sylan9bb 3adant3 mpbid ) ALMZBLMZCDENOMZPDQZEQZCRZFG
      CRZDSMESMUPUSUNUOUPCDEUQURUQTURTUAADJUBBEKUBUPUCUDUNUOUSUTUEUPUNUSFURCRZU
      OUTUNUQFUFUSVAUEADFHJUGUQFURCUHUIUOURGUFVAUTUEBEGIKUGURGFCUJUIUKULUM $.
      $( [19-Nov-2007] $) $( [1-Aug-2007] $)

    $( A constant function is continuous (metric space version of
       ~ cnconst ). $)
    metcnconst $p |- ( ( ( C e. Met /\ D e. Met ) /\ ( B e. Y /\
             F : X --> { B } ) ) -> F e. ( J Cn K ) ) $=
      ( ctop wcel wa cuni csn wf ccn co cme eqid cnconst opntop anim12i adantr
      uniopn eleq2d wceq wb feq2 syl bi2anan9r biimpar sylanc ) EMNZFMNZOZAFPZN
      ZEPZAQZDRZOZDEFSTNBUANZCUANZOZAHNZGVBDRZOZOADEFVAUSVAUBUSUBUCVGURVJVEUPVF
      UQBEKUDCFLUDUEUFVGVDVJVFUTVHVEVCVIVFUSHACFHJLUGUHVEVAGUIVCVIUJBEGIKUGVAGV
      BDUKULUMUNUO $.
      $( [22-Nov-2007] $) $( [10-Aug-2007] $)
  $}

  ${
    $d u v w x y z F $.  $d u v w x y z C $.  $d u v w x y z D $.
    $d u v w x y z X $.  $d u v w x y z Y $.  $d u v w x y z P $.
    $d u v w x y z J $.  $d v x y K $.
    metcn.1 $e |- X = dom dom C $.
    metcn.2 $e |- J = ( Open ` C ) $.
    metcn.3 $e |- Y = dom dom D $.
    metcn.4 $e |- K = ( Open ` D ) $.
    $( MAY BE REVISED - avoid funimass3 here to simplify metcnp2 , and also
       use iscnp2 for metcnp $)
    $( Lemma for ~ metcnp . $)
    metcnplem $p |- ( ( ( C e. Met /\ D e. Met ) /\ ( F : X --> Y /\ P e. X ) )
     -> ( A. y e. RR ( 0 < y -> E. z e. RR ( 0 < z /\ ( P ( ball ` C ) z ) (_
    ( `' F " ( ( F ` P ) ( ball ` D ) y ) ) ) ) <-> A. y e. RR ( 0 < y ->
      E. z e. RR ( 0 < z /\ A. w e. X ( ( P C w ) < z ->
    ( ( F ` P ) D ( F ` w ) ) < y ) ) ) ) ) $=
      ( cme wcel wa wf cc0 cv clt wbr cbl cfv co ccnv cima wss cr wrex wi wral
      wb wfun cdm funimass5 ffun adantr ad2antlr blssm pm3.26 pm3.27 anim12i
      simprr sylanc wceq fdm sseqtr4d ssel2 sylan biimt syl pm5.74da bi2.04
      syl6bb w3a elbl2 simpll ad2antrr 3jca simplr ffvelrn adantl adantlr
      adantll simprl imbi12d bitrd ralbidv2 anassrs pm5.32da rexbidva ralbidva
      ) DPQZEPQZRZJKGSZFJQZRZRZTAUAZUBUCZTBUAZUBUCZFXDDUDUEUFZGUGFGUEZXBEUDUEUF
      ZUHUIZRZBUJUKZULXCXEFCUAZDUFXDUBUCZXGXLGUEZEUFXBUBUCZULZCJUMZRZBUJUKZULAU
      JXAXBUJQZRXCXKXSXAXTXCXKXSUNXAXTXCRZRZXJXRBUJYBXDUJQZRXEXIXQYBYCXEXIXQUNZ
      XAYAYCXERZYDXAYAYERZRZXIXNXHQZCXFUMZXQGUOZXFGUPZUIXIYIUNYGCXFXHGUQWTYJWQY
      FWRYJWSJKGURUSUTYGXFJYKWOWSRZYEXFJUIZYGDFXDJLVAXAYLYFWQWOWTWSWOWPVBWRWSVC
      VDUSXAYAYEVEZVFZWTYKJVGZWQYFWRYPWSJKGVHUSUTVIVFYGYHXPCXFJYGXLXFQZYHULZXLJ
      QZYRULZYSXPULYGYRYQYSYHULZULYTYGYQYHUUAYGYQRYSYHUUAUNYMYQYSYGXFJXLVJYOVKY
      SYHVLVMVNYQYSYHVOVPYGYSYRXPYGYSRZYQXMYHXOWOWSYSVQYEYQXMUNUUBXLDFXDJLVRUUB
      WOWSYSXAWOYFYSWOWPWTVSVTXAWSYFYSWQWRWSVEVTYGYSVCWAYGYEYSYNUSVFWPXGKQZXNKQ
      ZVQYAYHXOUNUUBXNEXGXBKNVRUUBWPUUCUUDXAWPYFYSWOWPWTWBVTXAUUCYFYSWTUUCWQJKF
      GWCWDVTXAYSUUDYFWTYSUUDWQWRYSUUDWSJKXLGWCWEWFWEWAYGYAYSXAYAYEWGUSVFWHVNWI
      WJWIWKWKWLWMWKVNWN $.
      $( [16-Nov-2007] $) $( [12-May-2007] $)

    $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
       continuous at point ` P ` .  _Warning:  The HTML proof page is 0.6
       megabyte in size_. $)
    metcnp $p |- ( ( C e. Met /\ D e. Met /\ P e. X ) ->
                ( F e. ( ( J CnP K ) ` P ) <->
          ( F : X --> Y /\ A. y e. RR ( 0 < y -> E. z e. RR ( 0 < z /\
      A. w e. X ( ( P C w ) < z -> ( ( F ` P ) D ( F ` w ) ) < y ) ) ) ) ) ) $=
      ( vv vu cme wcel w3a ccnp co cfv cuni wf cv cima wss wa wrex wi wral cc0
      clt wbr cr ctop wb eqid iscnp opntop 3ad2ant1 3ad2ant2 uniopn eleq2d
      biimpar 3adant2 syl3anc wceq feq23 syl2an anbi1d 3adant3 cbl ccnv eleq2
      sseq2 anbi2d rexbidv imbi12d rcla4v com23 blopn blcntr sylc ffvelrn
      sylanl2 adantlll wfun cdm funimass3 ffun ad2antlr opnss adantlr fdm
      sseqtr4d sylanc adantr sstr expcom anim2d r19.22dva opni2 3expa syl5com
      adantllr sylbid ex imp3a r19.23adva ad2ant2r syld imp an1rs exp32
      r19.21aiv 3expb simplr sylan anassrs breq2 opreq2 imaeq2d sseq2d
      rcla4cva adantrr ad2antrl ad2antrr blssm adantlrl imaeq2 sseq1d anbi12d
      rcla4ev ancoms jca sylbird adantrl mpd r19.21aiva impbida metcnplem
      bitrd exp43 com34 3imp pm5.32d 3bitrd ) DRSZERSZFJSZTZGFHIUAUBUCSZHUDZIUD
      ZGUEZFGUCZPUFZSZFQUFZSZGUVAUGZUUSUHZUIZQHUJZUKZPIULZUIZJKGUEZUVHUIZUVJUMA
      UFZUNUOZUMBUFZUNUOZFCUFZDUBUVNUNUOUURUVPGUCEUBUVLUNUOUKCJULUIBUPUJUKAUPUL
      ZUIHUQSZIUQSZFUUOSZUUNUVIURUUMQPFGHIUUOUUPUUOUSUUPUSUTUUJUUKUVRUULDHMVAVB
      UUKUUJUVSUULEIOVAVCUUJUULUVTUUKUUJUVTUULUUJUUOJFDHJLMVDZVEVFVGVHUUJUUKUVI
      UVKURUULUUJUUKUIZUUQUVJUVHUUOJVIUUPKVIUUQUVJURUUJUUKUUOUUPJKGVJUWAEIKNOVD
      VKVLVMUUMUVJUVHUVQUUJUUKUULUVJUVHUVQURZUKUUJUUKUVJUULUWCUUJUUKUVJUULUWCUW
      BUVJUULUIZUIZUVHUVMUVOFUVNDVNUCUBZGVOZUURUVLEVNUCZUBZUGZUHZUIZBUPUJZUKZAU
      PULZUVQUWEUVHUWOUWEUVHUIZUWNAUPUWPUVLUPSZUVMUWMUWEUWQUVMUIZUVHUWMUWEUWRUI
      ZUVHUWMUWSUVHUVBUVCUWIUHZUIZQHUJZUWMUUKUWDUWRUVHUXBUKZUUJUUKUURKSZUWRUXCU
      WDUWIISZUURUWISZUXCUUKUXDUIUWRUIUXEUVHUXFUXBUVGUXFUXBUKPUWIIUUSUWIVIZUUTU
      XFUVFUXBUUSUWIUURVPUXGUVEUXAQHUXGUVDUWTUVBUUSUWIUVCVQVRVSVTWAWBEUURUVLIKN
      OWCEUURUVLKNWDWEJKFGWFWGWHUWEUXBUWMUKZUWRUUJUVJUXHUUKUULUUJUVJUIZUXAUWMQH
      UXIUVAHSZUIZUVBUWTUWMUXKUVBUWTUWMUKUXKUVBUIUWTUVAUWJUHZUWMUXKUWTUXLURZUVB
      GWIZUVAGWJZUHUXMUXKUVAUWIGWKUVJUXNUUJUXJJKGWLZWMUXKUVAJUXOUUJUXJUVAJUHUVJ
      UVADHJLMWNWOUVJUXOJVIZUUJUXJJKGWPZWMWQWRWSUUJUXJUVBUXLUWMUKUVJUXLUVOUWFUV
      AUHZUIZBUPUJZUWMUUJUXJUIUVBUIUXLUXTUWLBUPUXLUVNUPSZUIUXSUWKUVOUXLUXSUWKUK
      UYBUXSUXLUWKUWFUVAUWJWTXAWSXBXCUUJUXJUVBUYABUVADFHMXDXEXFXGXHXIXJXKXLWSXM
      XNXOXPXQUWEUWOUIZUVGPIUYCUUSISZUIZUUTUVFUYEUUTUIUMUVPUNUOZUURUVPUWHUBZUUS
      UHZUIZCUPUJZUVFUYCUYDUUTUYJUUKUYDUUTUIUYJUYCUUKUYDUUTUYJCUUSEUURIOXDXRUWE
      UUKUWOUUJUUKUWDXSWSXTYAUYCUYJUVFUKZUYDUUTUUJUWDUWOUYKUUKUUJUWDUIZUWOUIZUY
      IUVFCUPUYMUVPUPSZUIZUYIUVFUYOUYIUIUVOUWFUWGUYGUGZUHZUIZBUPUJZUVFUYOUYFUYS
      UYHUWOUYNUYFUYSUYLUWOUYNUIUYFUYSUWNUYFUYSUKAUVPUPUVLUVPVIZUVMUYFUWMUYSUVL
      UVPUMUNYBUYTUWLUYRBUPUYTUWKUYQUVOUYTUWJUYPUWFUYTUWIUYGUWGUVLUVPUURUWHYCYD
      YEVRVSVTYFXNWHYGUYOUYHUYSUVFUKZUYFUYLUYNUYHVUAUWOUYLUYHVUAUYNUYLUYHUIZUYR
      UVFBUPVUBUYBUIZUVOUYQUVFVUCUVOUYQUVFUKVUCUVOUIZUYQGUWFUGZUYGUHZUVFUYLUYBU
      VOVUFUYQURZUYHUXNUWFUXOUHVUGUYLUYBUIUVOUIZUWFUYGGWKUYLUXNUYBUVOUVJUXNUUJU
      ULUXPYHYIVUHUWFJUXOUYLUYBUVOUWFJUHZUUJUULUYBUVOUIZVUIUVJDFUVNJLYJYKYAUYLU
      XQUYBUVOUVJUXQUUJUULUXRYHYIWQWRXGVUDVUFUVFUWFHSZFUWFSZVUEUUSUHZUIZUVFVUDV
      UFUIZUVEVUNQUWFHUVAUWFVIZUVBVULUVDVUMUVAUWFFVPVUPUVCVUEUUSUVAUWFGYLYMYNYO
      VUDVUKVUFUYLUYBUVOVUKUYHUYLUYBUVOVUKUUJUULVUJVUKUVJDFUVNHJLMWCYKYAXGWSVUO
      VULVUMVUDVULVUFUYLUYBUVOVULUYHUYLUYBUVOVULUUJUULVUJVULUVJDFUVNJLWDYKYAXGW
      SVUBUVOVUFVUMUYBUYHUVOVUFVUMUYLUYHVUFVUMUVOVUFUYHVUMVUEUYGUUSWTYPWOWHXGYQ
      WRXIYRXIXJXKWOXGYSYTXIXKXGYIYTXIUUAUUBABCDEFGHIJKLMNOUUCUUDUUEUUFUUGUUHUU
      I $.
      $( [16-Nov-2007] $) $( [11-May-2007] $)

    $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
       continuous at point ` P ` .  The distance arguments are swapped compared
       to ~ metcnp (and Munkres' ~ metcn ) for compatibility with ~ df-lm .
       Definition 1.3-3 of [Kreyszig] p. 20. $)
    metcnp2 $p |- ( ( C e. Met /\ D e. Met /\ P e. X ) ->
                ( F e. ( ( J CnP K ) ` P ) <->
          ( F : X --> Y /\ A. y e. RR ( 0 < y -> E. z e. RR ( 0 < z /\
      A. w e. X ( ( w C P ) < z -> ( ( F ` w ) D ( F ` P ) ) < y ) ) ) ) ) ) $=
      ( cme wcel w3a ccnp co cfv wf cc0 cv clt wbr wi wral wa cr wrex metcnp
      wb wceq metsym 3expa breq1d 3adantl2 adantlr 3simp2 ad2antrr ffvelrn
      ancoms 3ad2antl3 adantr adantll syl3anc imbi12d ralbidva anbi2d rexbidv
      imbi2d ralbidv pm5.32da bitrd ) DPQZEPQZFJQZRZGFHISTUAQJKGUBZUCAUDZUEUFZU
      CBUDZUEUFZFCUDZDTZWCUEUFZFGUAZWEGUAZETZWAUEUFZUGZCJUHZUIZBUJUKZUGZAUJUHZU
      IVTWBWDWEFDTZWCUEUFZWIWHETZWAUEUFZUGZCJUHZUIZBUJUKZUGZAUJUHZUIABCDEFGHIJK
      LMNOULVSVTWQXGVSVTUIZWPXFAUJXHWOXEWBXHWNXDBUJXHWMXCWDXHWLXBCJXHWEJQZUIZWG
      WSWKXAVSXIWGWSUMZVTVPVRXIXKVQVPVRUIXIUIWFWRWCUEVPVRXIWFWRUNFWEDJLUOUPUQUR
      USXJWJWTWAUEVQWHKQZWIKQZWJWTUNXJWHWIEKNUOVSVQVTXIVPVQVRUTVAXHXLXIVRVPVTXL
      VQVTVRXLJKFGVBVCVDVEVTXIXMVSJKWEGVBVFVGUQVHVIVJVKVLVMVNVO $.
      $( [17-Nov-2007] $) $( [4-Jun-2007] $)

    $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
       continuous.  Theorem 10.1 of [Munkres] p. 127.  The second biconditional
       argument says that for every positive "epsilon" ` y ` there is a
       positive "delta" ` z ` such that a distance less than delta in ` C `
       maps to a distance less than epsilon in ` D ` . $)
    metcn $p |- ( ( C e. Met /\ D e. Met ) ->
                ( F e. ( J Cn K ) <-> ( F : X --> Y /\
                A. x e. X A. y e. RR ( 0 < y -> E. z e. RR ( 0 < z /\
      A. w e. X ( ( x C w ) < z -> ( ( F ` x ) D ( F ` w ) ) < y ) ) ) ) ) ) $=
      ( cme wcel wa ccn co cuni wf cv ccnp cfv wral cc0 clt wbr wi cr wrex
      ctop wb eqid cnf 3expia pm4.71rd cncnp 3expa pm5.32da bitrd opntop
      syl2an wceq feq23 uniopn adantr anbi1d eleq2d biimpa metcnp syldan w3a
      cnpf ex imp 3bitr2rd pm5.32 sylibr an1rs ralbidva raleq1d anbi12d 3bitrd
      ) EPQZFPQZRZGHISTQZHUAZIUAZGUBZGAUCZHIUDTUEQZAWJUFZRZWLUGBUCZUHUIUGCUCZUH
      UIWMDUCZETWRUHUIWMGUEWSGUEFTWQUHUIUJDJUFRCUKULUJBUKUFZAWJUFZRJKGUBZWTAJUF
      ZRHUMQZIUMQZWIWPUNWFWGXDXERZWIWLWIRWPXFWIWLXDXEWIWLGHIWJWKWJUOZWKUOZUPUQU
      RXFWLWIWOXDXEWLWIWOUNAGHIWJWKXGXHUSUTVAVBEHMVCZFIOVCZVDWHWLWOXAWHWLRWNWTA
      WJWHWMWJQZWLWNWTUNZWHXKRZWLXLXMWLWNRZWLWTRZUNWLXLUJXMXOXBWTRZWNXNXMWLXBWT
      WHWLXBUNZXKWJJVEZWKKVEXQWFWGWJWKJKGVFEHJLMVGZFIKNOVGVDZVHVIWHXKWMJQZWNXPU
      NZWHXKYAWHWJJWMWFXRWGXSVHZVJVKWFWGYAYBBCDEFWMGHIJKLMNOVLUTVMWHXKWNXNUNZXD
      XEXKYDUJWFWGXDXEXKYDXDXEXKVNZWNWLYEWNWLWMGHIWJWKXGXHVOVPURUQXIXJVDVQVRWLW
      NWTVSVTVQWAWBVAWHWLXBXAXCXTWHWTAWJJYCWCWDWE $.
      $( [16-Nov-2007] $) $( [15-May-2007] $)

    ${
      $d w x y z A $.  $d x y w z C $.  $d x y w z D $.  $d w z K $.
      $( MAY BE REVISED - delete this if not used $)
      $( Epsilon-delta property of a continuous metric space function, with
         function arguments as in ~ metcnp . $)
      metcnpi $p |- ( ( ( C e. Met /\ D e. Met /\ P e. X ) /\ ( F e.
           ( ( J CnP K ) ` P ) /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\
        A. y e. X ( ( P C y ) < x -> ( ( F ` P ) D ( F ` y ) ) < A ) ) ) $=
        ( vz cme wcel w3a ccnp co cfv cr cc0 clt wbr cv wi wral wa wrex wf
        metcnp wceq breq2 imbi2d ralbidv anbi2d rexbidv imbi12d rcla4cv adantl
        syl6bi 3imp2 ) DQREQRFJRSZGFHITUAUBRZCUCRZUDCUEUFZUDAUGZUEUFZFBUGZDUAVI
        UEUFZFGUBVKGUBEUAZCUEUFZUHZBJUIZUJZAUCUKZVEVFJKGULZUDPUGZUEUFZVJVLVMVTU
        EUFZUHZBJUIZUJZAUCUKZUHZPUCUIZUJVGVHVRUHZUHZPABDEFGHIJKLMNOUMWHWJVSWGWI
        PCUCVTCUNZWAVHWFVRVTCUDUEUOWKWEVQAUCWKWDVPVJWKWCVOBJWKWBVNVLVTCVMUEUOUP
        UQURUSUTVAVBVCVD $.
        $( [2-Jan-2008] $) $( [17-Dec-2007] $)

      $( MAY BE REVISED - delete this if not used $)
      $( Epsilon-delta property of a continuous metric space function, with
         swapped distance function arguments as in ~ metcnp2 . $)
      metcnpi2 $p |- ( ( ( C e. Met /\ D e. Met /\ P e. X ) /\ ( F e.
           ( ( J CnP K ) ` P ) /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\
        A. y e. X ( ( y C P ) < x -> ( ( F ` y ) D ( F ` P ) ) < A ) ) ) $=
        ( vz cme wcel w3a ccnp co cfv cr cc0 clt wbr cv wi wral wa wrex wf
        metcnp2 wceq breq2 imbi2d ralbidv anbi2d rexbidv imbi12d rcla4cv
        adantl syl6bi 3imp2 ) DQREQRFJRSZGFHITUAUBRZCUCRZUDCUEUFZUDAUGZUEUFZBUG
        ZFDUAVIUEUFZVKGUBFGUBEUAZCUEUFZUHZBJUIZUJZAUCUKZVEVFJKGULZUDPUGZUEUFZVJ
        VLVMVTUEUFZUHZBJUIZUJZAUCUKZUHZPUCUIZUJVGVHVRUHZUHZPABDEFGHIJKLMNOUMWHW
        JVSWGWIPCUCVTCUNZWAVHWFVRVTCUDUEUOWKWEVQAUCWKWDVPVJWKWCVOBJWKWBVNVLVTCV
        MUEUOUPUQURUSUTVAVBVCVD $.
        $( [8-Feb-2008] $) $( [16-Dec-2007] $)

      $( MAY BE REVISED - delete this if not used $)
      $( Epsilon-delta property of a metric space function continuous at
         ` P ` .  A variation of ~ metcnpi2 with non-strict ordering. $)
      metcnpi3 $p |- ( ( ( C e. Met /\ D e. Met /\ P e. X ) /\ ( F e.
           ( ( J CnP K ) ` P ) /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\
        A. y e. X ( ( y C P ) <_ x -> ( ( F ` y ) D ( F ` P ) ) <_ A ) ) ) $=
        ( vz cme wcel w3a ccnp co cfv cr cc0 clt wbr wa cv wi wral wrex cle
        metcnpi2 wf metcnpf c2 cdiv wceq breq2 imbi1d ralbidv anbi12d rcla4ev
        rehalfclt ad2antrl metcl 3com23 halfpost biimpa adantl lelttrt pm3.26
        pm3.27 syl3anc adantrr mpan2d ex syl 3expia com23 3adant2 ad2antrr
        imp31 ltlet 3expb ffvelrn anim12i anandis ancom2s sylan2 exp45 imp
        3adant1 adantlr simprl adantr sylanc imim12d r19.20dva halfpos2t
        jctild exp32 imp45 r19.23adv syldan 3imp2 mpd ) DQRZEQRZFJRZSZGFHITUAUB
        RZCUCRZUDCUEUFZSUGUDPUHZUEUFZBUHZFDUAZXOUEUFZXQGUBZFGUBZEUAZCUEUFZUIZBJ
        UJZUGZPUCUKZUDAUHZUEUFZXRYHULUFZYBCULUFZUIZBJUJZUGZAUCUKZPBCDEFGHIJKLMN
        OUMXKXLXMXNYGYOUIZXKXLXMXNYPUIUIZXKXLJKGUNZYQDEFGHIJKLNMOUOXKYRUGZXMXNY
        PYSXMXNUGZUGZYFYOPUCUUAXOUCRZYFYOXOUPUQUAZUCRZUDUUCUEUFZXRUUCULUFZYKUIZ
        BJUJZUGZYOUUAUUBYFUGUGYNUUIAUUCUCYHUUCURZYIUUEYMUUHYHUUCUDUEUSUUJYLUUGB
        JUUJYJUUFYKYHUUCXRULUSUTVAVBVCUUBUUDUUAYFXOVDZVEUUAUUBXPYEUUIUUAUUBXPYE
        UUIUIUUAUUBXPUGZUGZYEUUHUUEUUMYDUUGBJUUMXQJRZUGUUFXSYCYKUUAUULUUNUUFXSU
        IZXKUULUUNUUOUIUIZYRYTXHXJUUPXIXHXJUGUUNUULUUOXHXJUUNUULUUOUIZXHXJUUNSX
        RUCRZUUQXHUUNXJUURXQFDJLVFVGUURUULUUOUURUULUGUUFUUCXOUEUFZXSUULUUSUURUU
        BXPUUSXOVHVIVJUURUUBUUFUUSUGXSUIZXPUURUUDUUBUUTUURUUBUGXRUUCXOVKUURUUBV
        LUUBUUDUURUUKVJUURUUBVMVNVOVPVQVRVSVTWAWBWCUUAUUNYCYKUIZUULYBUCRZXMUVAU
        UAUUNUGYBCWDYSUUNUVBYTXKYRUUNUVBXIXJYRUUNUVBUIZUIZXHXIXJUVDXIYRXJUVCXIY
        RXJUUNUVBXIXTKRZYAKRZUGZUVBYRXJUUNUGUGXIUVEUVFUVBXTYAEKNVFWEYRUUNXJUVGY
        RUUNXJUVGYRUUNUGUVEYRXJUGUVFJKXQGWFJKFGWFWGWHWIWJWKVTWLWMWCWNUUAXMUUNYS
        XMXNWOWPWQWNWRWSUULUUEUUAUUBXPUUEXOWTVIVJXAXBXCWQXBXDXBXEVQXFXG $.
        $( [15-Feb-2008] $) $( [16-Dec-2007] $)

      $( MAY BE REVISED - delete this if not used $)
      $( Epsilon-delta property of a metric space function continuous at
         ` P ` .  A variation of ~ metcnpi with non-strict ordering. $)
      metcnpi4 $p |- ( ( ( C e. Met /\ D e. Met /\ P e. X ) /\ ( F e.
           ( ( J CnP K ) ` P ) /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\
        A. y e. X ( ( P C y ) <_ x -> ( ( F ` P ) D ( F ` y ) ) <_ A ) ) ) $=
        ( vz cme wcel w3a ccnp co cfv cr cc0 clt wbr wa cv wi wral wrex cle
        metcnpi wf metcnpf c2 cdiv wceq breq2 imbi1d ralbidv anbi12d rcla4ev
        rehalfclt ad2antrl metcl halfpost biimpa adantl lelttrt pm3.26 pm3.27
        syl3anc adantrr mpan2d ex syl 3expia com23 3adant2 ad2antrr imp31
        ltlet 3expb ffvelrn anim12i anandis sylan2 exp45 imp 3adant1 adantlr
        simprl adantr sylanc imim12d r19.20dva halfpos2t jctild exp32 imp45
        r19.23adv syldan 3imp2 mpd ) DQRZEQRZFJRZSZGFHITUAUBRZCUCRZUDCUEUFZSUGU
        DPUHZUEUFZFBUHZDUAZXMUEUFZFGUBZXOGUBZEUAZCUEUFZUIZBJUJZUGZPUCUKZUDAUHZU
        EUFZXPYFULUFZXTCULUFZUIZBJUJZUGZAUCUKZPBCDEFGHIJKLMNOUMXIXJXKXLYEYMUIZX
        IXJXKXLYNUIUIZXIXJJKGUNZYODEFGHIJKLNMOUOXIYPUGZXKXLYNYQXKXLUGZUGZYDYMPU
        CYSXMUCRZYDYMXMUPUQUAZUCRZUDUUAUEUFZXPUUAULUFZYIUIZBJUJZUGZYMYSYTYDUGUG
        YLUUGAUUAUCYFUUAURZYGUUCYKUUFYFUUAUDUEUSUUHYJUUEBJUUHYHUUDYIYFUUAXPULUS
        UTVAVBVCYTUUBYSYDXMVDZVEYSYTXNYCUUGYSYTXNYCUUGUIYSYTXNUGZUGZYCUUFUUCUUK
        YBUUEBJUUKXOJRZUGUUDXQYAYIYSUUJUULUUDXQUIZXIUUJUULUUMUIUIZYPYRXFXHUUNXG
        XFXHUGUULUUJUUMXFXHUULUUJUUMUIZXFXHUULSXPUCRZUUOFXODJLVFUUPUUJUUMUUPUUJ
        UGUUDUUAXMUEUFZXQUUJUUQUUPYTXNUUQXMVGVHVIUUPYTUUDUUQUGXQUIZXNUUPUUBYTUU
        RUUPYTUGXPUUAXMVJUUPYTVKYTUUBUUPUUIVIUUPYTVLVMVNVOVPVQVRVSVTWAWBYSUULYA
        YIUIZUUJXTUCRZXKUUSYSUULUGXTCWCYQUULUUTYRXIYPUULUUTXGXHYPUULUUTUIZUIZXF
        XGXHUVBXGYPXHUVAXGYPXHUULUUTXGXRKRZXSKRZUGZUUTYPXHUULUGUGXGUVCUVDUUTXRX
        SEKNVFWDYPXHUULUVEYPXHUGUVCYPUULUGUVDJKFGWEJKXOGWEWFWGWHWIVSWJWKWBWLYSX
        KUULYQXKXLWMWNWOWLWPWQUUJUUCYSYTXNUUCXMWRVHVIWSWTXAWOWTXBWTXCVPXDXE $.
        $( [3-Jan-2008] $) $( [17-Dec-2007] $)

      $( Epsilon-delta property of a continuous metric space function. $)
      metcni $p |- ( ( ( C e. Met /\ D e. Met /\
                  F e. ( J Cn K ) ) /\
           ( P e. X /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\
        A. y e. X ( ( P C y ) < x -> ( ( F ` P ) D ( F ` y ) ) < A ) ) ) $=
        ( vw vz wcel cr cc0 clt wbr w3a cme ccn co cv cfv wi wral wa wrex wceq
        opreq1 breq1d fveq2 opreq1d imbi12d ralbidv anbi2d rexbidv imbi2d
        breq2 rcla42v wf metcn pm3.27 syl6bi 3impia syl5 com23 impcom ) FJRZCSR
        ZTCUAUBZUCDUDRZEUDRZGHIUEUFRZUCZTAUGZUAUBZFBUGZDUFZVTUAUBZFGUHZWBGUHZEU
        FZCUAUBZUIZBJUJZUKZASULZVMVNVOVSWLUIVMVNUKZVSVOWLWMTPUGZUAUBZWAQUGZWBDU
        FZVTUAUBZWPGUHZWFEUFZWNUAUBZUIZBJUJZUKZASULZUIZPSUJQJUJZVOWLUIZVSXFXHWO
        WAWDWGWNUAUBZUIZBJUJZUKZASULZUIQPFCJSWPFUMZXEXMWOXNXDXLASXNXCXKWAXNXBXJ
        BJXNWRWDXAXIXNWQWCVTUAWPFWBDUNUOXNWTWGWNUAXNWSWEWFEWPFGUPUQUOURUSUTVAVB
        WNCUMZWOVOXMWLWNCTUAVCXOXLWKASXOXKWJWAXOXJWIBJXOXIWHWDWNCWGUAVCVBUSUTVA
        URVDVPVQVRXGVPVQUKVRJKGVEZXGUKXGQPABDEGHIJKLMNOVFXPXGVGVHVIVJVKVIVL $.
        $( [19-Nov-2007] $) $( [3-Aug-2007] $)

      $( MAY BE REVISED - delete this if not used $)
      $( Epsilon-delta property of a continuous metric space function. $)
      metcni2 $p |- ( ( ( C e. Met /\ D e. Met /\
                  F e. ( J Cn K ) ) /\
           ( P e. X /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\
        A. y e. X ( ( P C y ) <_ x -> ( ( F ` P ) D ( F ` y ) ) <_ A ) ) ) $=
        ( vz cme wcel ccn co w3a cr cc0 clt wbr wa cv cfv wi wral wrex cle
        metcni c2 cdiv wceq breq2 imbi1d ralbidv anbi12d rcla4ev rehalfclt
        ad2antrl metcl halfpost biimpa adantl lelttrt pm3.26 pm3.27 syl3anc
        adantrr mpan2d ex syl 3expia com23 3ad2antr1 3ad2antl1 imp31 ltlet wf
        3expb ffvelrn anim12i anandis sylan2 exp45 imp 3adant1 metcnf syld3an3
        3simp2 ad2antlr sylanc adantlr imim12d r19.20dva halfpos2t jctild
        exp32 imp45 r19.23adv mpd ) DQRZEQRZGHISTRZUAZFJRZCUBRZUCCUDUEZUAZUFZUC
        PUGZUDUEZFBUGZDTZXNUDUEZFGUHZXPGUHZETZCUDUEZUIZBJUJZUFZPUBUKUCAUGZUDUEZ
        XQYFULUEZYACULUEZUIZBJUJZUFZAUBUKZPBCDEFGHIJKLMNOUMXMYEYMPUBXMXNUBRZYEY
        MXNUNUOTZUBRZUCYOUDUEZXQYOULUEZYIUIZBJUJZUFZYMXMYNYEUFUFYLUUAAYOUBYFYOU
        PZYGYQYKYTYFYOUCUDUQUUBYJYSBJUUBYHYRYIYFYOXQULUQURUSUTVAYNYPXMYEXNVBZVC
        XMYNXOYDUUAXMYNXOYDUUAUIXMYNXOUFZUFZYDYTYQUUEYCYSBJUUEXPJRZUFYRXRYBYIXM
        UUDUUFYRXRUIZXEXFXLUUDUUFUUGUIUIZXGXEXJXIUUHXKXEXIUFUUFUUDUUGXEXIUUFUUD
        UUGUIZXEXIUUFUAXQUBRZUUIFXPDJLVDUUJUUDUUGUUJUUDUFYRYOXNUDUEZXRUUDUUKUUJ
        YNXOUUKXNVEVFVGUUJYNYRUUKUFXRUIZXOUUJYPYNUULUUJYNUFXQYOXNVHUUJYNVIYNYPU
        UJUUCVGUUJYNVJVKVLVMVNVOVPVQVRVSVTXMUUFYBYIUIZUUDYAUBRZXJUUMXMUUFUFYACW
        AXMUUFUUNXHXJXIUUFUUNUIZXKXHXIUUOXEXFJKGWBZXIUUOUIZXGXFUUPUUQXEXFUUPUUQ
        XFUUPXIUUFUUNXFXSKRZXTKRZUFZUUNUUPXIUUFUFUFXFUURUUSUUNXSXTEKNVDWCUUPXIU
        UFUUTUUPXIUFUURUUPUUFUFUUSJKFGWDJKXPGWDWEWFWGWHWIWJDEGHIJKLNMOWKWLWIVRW
        IXLXJXHUUFXIXJXKWMWNWOWPWQWRUUDYQXMYNXOYQXNWSVFVGWTXAXBWOXAXCXD $.
        $( [14-Dec-2007] $) $( [14-Dec-2007] $)
    $}

    $( Two ways to express that ` F ` is continuous at ` P ` for metric spaces.
       Proposition 14-4.2 of [Gleason] p. 240. $)
    metcnp3 $p |- ( ( C e. Met /\ D e. Met /\ P e. X )
    -> ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\
    A. y e. RR ( 0 < y -> E. z e. RR ( 0 < z /\ ( F " ( P ( ball ` C ) z ) )
    (_ ( ( F ` P ) ( ball ` D ) y ) ) ) ) ) ) $=
      ( vw cme wcel w3a ccnp co cfv wf cc0 cv clt wbr wi wral wa cr wrex cbl
      cima wss metcnp wb ccnv wfun cdm funimass3 ffun adantr ad2antlr blssm
      adantlrl wceq fdm sseqtr4d sylanc anassrs pm5.32da rexbidva imbi2d
      ralbidv adantlr metcnplem bitr2d an1rs 3impa bitrd ) CPQZDPQZEIQZRFEGHSTU
      AQIJFUBZUCAUDZUEUFZUCBUDZUEUFZEOUDZCTWGUEUFEFUAZWIFUADTWEUEUFUGOIUHUIBUJU
      KUGAUJUHZUIZWDWFWHFEWGCULUATZUMWJWEDULUATZUNZUIZBUJUKZUGZAUJUHZUIZABOCDEF
      GHIJKLMNUOWAWBWCWLWTUPWAWBUIZWCUIWDWKWSXAWDWCWKWSUPZXAWDWCXBXAWDWCUIZUIWS
      WFWHWMFUQWNUMUNZUIZBUJUKZUGZAUJUHZWKWAXCWSXHUPWBWAXCUIZWRXGAUJXIWQXFWFXIW
      PXEBUJXIWGUJQZUIWHWOXDXIXJWHWOXDUPZFURZWMFUSZUNXKXIXJWHUIZUIZWMWNFUTXCXLW
      AXNWDXLWCIJFVAVBVCXOWMIXMWAWCXNWMIUNWDCEWGIKVDVEXCXMIVFZWAXNWDXPWCIJFVGVB
      VCVHVIVJVKVLVMVNVOABOCDEFGHIJKLMNVPVQVJVRVKVSVT $.
      $( [11-Mar-2008] $) $( [17-May-2007] $)
  $}

  ${
    $d f w x y z B $.  $d f w x y z C $.  $d f w x y z D $.  $d f w x y z J $.
    $d f x y K $.  $d f x y L $.
    metcnco.1 $e |- J = ( Open ` B ) $.
    metcnco.2 $e |- K = ( Open ` C ) $.
    metcnco.3 $e |- L = ( Open ` D ) $.
    $( Composition of two continuous functions (metric space version of
       ~ cnco ). $)
    metcnco $p  |- ( ( ( B e. Met /\ C e. Met /\ D e. Met ) /\ (
        F e. ( J Cn K ) /\ G e. ( K Cn L ) ) ) -> ( G o. F ) e. ( J Cn L ) ) $=
      ( ctop wcel ccn co wa ccom cme cnco opntop syl3anl ) FLMGLMHLMDFGNOMEGHNO
      MPEDQFHNOMARMBRMCRMDEFGHSAFITBGJTCHKTUA $.
      $( [19-Nov-2007] $) $( [6-Aug-2007] $)

    $( Subset relationship for continuity of metric spaces. $)
    metcnss $p |- ( ( ( B e. Met /\ C e. Met /\ D e. Met ) /\ C (_ D ) ->
      ( J Cn K ) (_ ( J Cn L ) ) $=
      ( vf vy vz vx vw cme wcel w3a wss wa ccn co cdm cv wf cc0 clt wbr cfv wi
      wral cr wrex fss eqid metss sylan2 expcom adantl adantrd cxp cres wceq
      oprvalres ffvelrn adantr adantlr sylanc adantlll metf fdm reseq2 3syl
      ad2antrr wfun funssres ffun syl sylan adantll eqtr3d opreqd breq1d
      imbi2d ralbidva anbi2d rexbidv ralbidv biimprd ex imp3a jcad 3adantl1 wb
      metcn 3adant3 3adant2 3imtr4d ssrdv ) AOPZBOPZCOPZQZBCRZSZJDETUAZDFTUAZXD
      AUBUBZBUBZUBZJUCZUDZUEKUCZUFUGZUELUCZUFUGZMUCZNUCZAUAXNUFUGZXPXJUHZXQXJUH
      ZBUAZXLUFUGZUIZNXGUJZSZLUKULZUIZKUKUJZMXGUJZSZXGCUBUBZXJUDZXMXOXRXSXTCUAZ
      XLUFUGZUIZNXGUJZSZLUKULZUIZKUKUJZMXGUJZSZXJXEPZXJXFPZWTXAXCYJUUBUIWSWTXAS
      ZXCSZYJYLUUAUUFXKYLYIXCXKYLUIUUEXKXCYLXKXIYKRYLXCXGXIYKXJUMBCXIYKXIUNZYKU
      NZUOUPUQURUSUUFXKYIUUAUUFXKYIUUAUIUUFXKSZUUAYIUUIYTYHMXGUUIXPXGPZSZYSYGKU
      KUUKYRYFXMUUKYQYELUKUUKYPYDXOUUKYOYCNXGUUKXQXGPZSZYNYBXRUUMYMYAXLUFUUMXSX
      TCXIXIUTZVAZUAZYMYAXKUUJUULUUPYMVBZUUFXSXIPZXTXIPZUUQXKUUJSZUULSXSXTXIXIC
      VCUUTUURUULXGXIXPXJVDVEXKUULUUSUUJXGXIXQXJVDVFVGVHUUMUUOBXSXTUUIUUOBVBZUU
      JUULUUFUVAXKUUFCXHVAZUUOBWTUVBUUOVBZXAXCWTUUNUKBUDXHUUNVBUVCBXIUUGVIUUNUK
      BVJXHUUNCVKVLVMXAXCUVBBVBZWTCVNZXCUVDXACBVOXAYKYKUTZUKCUDUVECYKUUHVIUVFUK
      CVPVQVRVSVTVEVMWAVTWBWCWDWEWFWCWGWDWHWIWJWKWLXBUUCYJWMZXCWSWTUVGXAMKLNABX
      JDEXGXIXGUNZGUUGHWNWOVEXBUUDUUBWMZXCWSXAUVIWTMKLNACXJDFXGYKUVHGUUHIWNWPVE
      WQWR $.
      $( [20-Nov-2007] $) $( [29-May-2007] $)
  $}

  ${
    $d w x y z C $.  $d w x y z D $.  $d w x y z F $.  $d w x y z B $.
    $d w x y z J $.  $d w x y z K $.  $d x y L $.  $d w x y z X $.
    metcnss2.1 $e |- X = dom dom B $.
    metcnss2.2 $e |- J = ( Open ` B ) $.
    metcnss2.3 $e |- K = ( Open ` C ) $.
    metcnss2.4 $e |- L = ( Open ` D ) $.
    $( Subset relationship for continuity of metric spaces. $)
    metcnss2 $p |- ( ( ( B e. Met /\ C e. Met /\ D e. Met ) /\ ( B (_ C
                 /\ F e. ( K Cn L ) ) ) -> ( F |` X ) e. ( J Cn L ) ) $=
      ( vy vz vx vw cme wcel w3a wss ccn co cres wa cdm wf cc0 cv clt wbr cfv
      wi wral cr wrex fssres eqid metss sylan2 expcom adantl ssralv syl
      ad2antlr cxp wceq metf fdm reseq2 3syl ad2antrr wfun funssres ffun sylan
      adantll eqtr3d opreqd oprvalres breq1d wb fvres opreqan12d imbi12d
      biimprd r19.20dva syld anim2d r19.22sdv imim2d r19.20sdv anim12d
      3adantl3 metcn 3adant1 adantr 3adant2 3imtr4d imp anasss ) AQRZBQRZCQRZSZ
      ABTZDFGUAUBRZDHUCZEGUAUBRZXDXEUDZXFXHXIBUEUEZCUEUEZDUFZUGMUHZUIUJZUGNUHZU
      IUJZOUHZPUHZBUBZXOUIUJZXQDUKZXRDUKZCUBZXMUIUJZULZPXJUMZUDZNUNUOZULZMUNUMZ
      OXJUMZUDZHXKXGUFZXNXPXQXRAUBZXOUIUJZXQXGUKZXRXGUKZCUBZXMUIUJZULZPHUMZUDZN
      UNUOZULZMUNUMZOHUMZUDZXFXHXAXBXEYLUUGULXCXAXBUDZXEUDZXLYMYKUUFXEXLYMULUUH
      XLXEYMXLHXJTZYMXEXJXKHDUPABHXJIXJUQZURZUSUTVAUUIYKYJOHUMZUUFXEYKUUMULZUUH
      XEUUJUUNUULYJOHXJVBVCVAUUIYJUUEOHUUIXQHRZUDZYIUUDMUNUUPYHUUCXNUUPYGUUBNUN
      UUPYFUUAXPUUPYFYEPHUMZUUAXEYFUUQULZUUHUUOXEUUJUURUULYEPHXJVBVCVDUUPYEYTPH
      UUPXRHRZUDZYTYEUUTYOXTYSYDUUTYNXSXOUIUUTXQXRBHHVEZUCZUBZYNXSUUIUVCYNVFUUO
      UUSUUIUVBAXQXRUUIBAUEZUCZUVBAXAUVEUVBVFZXBXEXAUVAUNAUFUVDUVAVFUVFAHIVGUVA
      UNAVHUVDUVABVIVJVKXBXEUVEAVFZXABVLZXEUVGXBBAVMXBXJXJVEZUNBUFUVHBXJUUKVGUV
      IUNBVNVCVOVPVQVRVKUUOUUSUVCXSVFUUIXQXRHHBVSVPVQVTUUOUUSYSYDWAUUIUUOUUSUDY
      RYCXMUIUUOUUSYPYAYQYBCXQHDWBXRHDWBWCVTVPWDWEWFWGWHWIWJWKWFWGWLWMXDXFYLWAZ
      XEXBXCUVJXAOMNPBCDFGXJXKUUKKXKUQZLWNWOWPXDXHUUGWAZXEXAXCUVLXBOMNPACXGEGHX
      KIJUVKLWNWQWPWRWSWT $.
      $( [5-Dec-2007] $) $( [23-Aug-2007] $)
  $}

  ${
    metidcn.1 $e |- X = dom dom C $.
    metidcn.3 $e |- J = ( Open ` C ) $.
    metidcn.4 $e |- K = ( Open ` D ) $.
    $( The identity function is continuous (metric space version of
       ~ idcn ). $)
    metidcn $p |- ( ( C e. Met /\ D e. Met /\ C (_ D ) ->
       ( I |` X ) e. ( J Cn K ) ) $=
      ( cme wcel wss w3a ccn co cid cres wa metcnss id 3anidm12 sylan 3impa
      cuni wceq uniopn reseq2 syl ctop opntop eqid idcn eqeltrrd 3ad2ant1
      sseldd ) AIJZBIJZABKZLCCMNZCDMNZOEPZUOUPUQURUSKZUOUOUPLZUQVAUOUPQAABCCDGG
      HRUOUPVBVBSTUAUBUOUPUTURJUQUOOCUCZPZUTURUOVCEUDVDUTUDACEFGUEVCEOUFUGUOCUH
      JVDURJACGUICVCVCUJUKUGULUMUN $.
      $( [3-Dec-2007] $) $( [23-Aug-2007] $)
  $}

  ${
    metdnsconst.1 $e |- X = dom dom C $.
    metdnsconst.2 $e |- Y = dom dom D $.
    metdnsconst.3 $e |- J = ( Open ` C ) $.
    metdnsconst.4 $e |- K = ( Open ` D ) $.
    $( If a continuous mapping to a metric space is constant on a dense
       subset, it is constant on the entire space (metric space version of
       ~ dnsconst ). $)
    metdnsconst $p |- ( ( ( C e. Met /\ D e. Met /\ F e. ( J Cn K ) ) /\
             ( P e. Y /\ A (_ ( `' F " { P } ) /\
                 ( ( cls ` J ) ` A ) = X ) ) -> F : X --> { P } ) $=
      ( cme wcel ccn co w3a ccnv csn cima wss ccl cfv wceq wf cuni ctop cha wi
      eqid dnsconst ex opntop 3ad2ant1 methaus 3ad2ant2 3simp3 syl3anc wb wa
      uniopn adantl eleq2d adantr eqeq2d 3anbi13d 3adant3 feq2 syl 3imtr3d imp
      ) BNOZCNOZEFGPQOZRZDIOZAESDTZUAUBZAFUCUDUDZHUEZRZHVREUFZVPDGUGZOZVSVTFUGZ
      UEZRZWFVREUFZWBWCFUHOZGUIOZVOWHWIUJVPWJWKVORWHWIADEFGWFWDWFUKWDUKULUMVMVN
      WJVOBFLUNUOVNVMWKVOCGMUPUQVMVNVOURUSVMVNWHWBUTVOVMVNVAZWEVQWGWAVSWLWDIDVN
      WDIUEVMCGIKMVBVCVDWLWFHVTVMWFHUEZVNBFHJLVBZVEVFVGVHVMVNWIWCUTZVOVMWMWOWNW
      FHVREVIVJUOVKVL $.
      $( [6-Dec-2007] $) $( [24-Aug-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                       Examples of metric spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d D x y z $.
    cnmet.1 $e |- D = ( abs o. - ) $.
    $( Value of the distance function of the metric space of complex
       numbers. $)
    cnmetdval $p |- ( ( A e. CC /\ B e. CC ) ->
                  ( A D B ) = ( abs ` ( A - B ) ) ) $=
      ( cc wcel wa cop cabs cmin ccom cfv co cdm wceq cxp opelxpi subopr fdmi
      syl6eleqr wfun cr wf absf ffun ax-mp fvco mp3an12 syl df-opr fveq1i eqtr
      fveq2i 3eqtr4g ) AEFBEFGZABHZIJKZLZUPJLZILZABCMZABJMZILUOUPJNZFZURUTOZUOU
      PEEPZVCABEEQVFEJRSTIUAZJUAZVDVEEUBIUCVGUDEUBIUEUFVFEJUCVHRVFEJUEUFUPIJUGU
      HUIVAUPCLURABCUJUPCUQDUKULVBUSIABJUJUMUN $.
      $( [7-Sep-2007] $) $( [9-Dec-2006] $)

    $( The base set of the metric for complex numbers. $)
    cnmetba $p |- CC = dom dom D $=
      ( cdm cc cxp cabs cmin ccom dmeqi cr wf absf subopr fco mp2an fdmi eqtr
      dmxpid eqtr2 ) ACZCDDEZCDTUATFGHZCUAAUBBIUAJUBDJFKUADGKUAJUBKLMUADJFGNOPQ
      IDRS $.
      $( [10-Sep-2007] $) $( [30-Aug-2007] $)

    $( The absolute value metric determines a metric space on the complex
       numbers.  This theorem provides a link between complex numbers and
       metrics spaces, making metric space theorems available for use with
       complex numbers.  (Contributed by FL, 9-Oct-2006.) $)
    cnmet $p |- D e. Met $=
      ( vx vy vz cc axcnex cxp cr wf cabs cmin ccom absf subopr fco mp2an wceq
      wb feq1 ax-mp mpbir cv wcel wa co cfv cc0 subclt abs00t syl cnmetdval
      eqcomd eqeq1d subeq0t 3bitr3d w3a caddc cle abs3dift abssubt opreq1d
      3adant2 breqtrd 3adant3 opreq12d 3coml 3brtr4d ismeti ) CDEAFGFFHZIAJZVJI
      KLMZJZFIKJVJFLJVMNOVJFIKLPQAVLRVKVMSBVJIAVLTUAUBCUCZFUDZDUCZFUDZUEZVNVPLU
      FZKUGZUHRZVSUHRZVNVPAUFZUHRVNVPRVRVSFUDWAWBSVNVPUIVSUJUKVRVTWCUHVRWCVTVNV
      PABULZUMUNVNVPUOUPVOVQEUCZFUDZUQZVTWEVNLUFKUGZWEVPLUFKUGZURUFZWCWEVNAUFZW
      EVPAUFZURUFZUSWGVTVNWELUFKUGZWIURUFZWJUSVNVPWEUTVOWFWOWJRVQVOWFUEWNWHWIUR
      VNWEVAVBVCVDVOVQWCVTRWFWDVEWFVOVQWMWJRWFVOVQUQWKWHWLWIURWFVOWKWHRVQWEVNAB
      ULVEWFVQWLWIRVOWEVPABULVCVFVGVHVI $.
      $( [7-Sep-2007] $) $( [6-Oct-2006] $)
  $}

  ${
    $d A f w x y z $.  $d B f w x y z $.  $d C w x y z $.  $d D w x y z $.
    $d J f w x y z $.  $d K f x y $.
    cncfmet.1 $e |- C = ( ( abs o. - ) |` ( A X. A ) ) $.
    cncfmet.2 $e |- D = ( ( abs o. - ) |` ( B X. B ) ) $.
    cncfmet.3 $e |- J = ( Open ` C ) $.
    cncfmet.4 $e |- K = ( Open ` D ) $.
    $( Relate complex function continuity to metric space continuity.
       (Contributed by Paul Chapman, 26-Nov-2007.) $)
    cncfmet $p |- ( ( A (_ CC /\ B (_ CC ) ->
                       ( A -cn-> B ) = ( J Cn K ) ) $=
      ( vf vx vw vz vy cc wss wa ccn co ccncf cv wcel wf cmin cabs cfv clt wbr
      wi wral crp wrex cdm cc0 cr wceq wb feq23 cxp ccom cin ssxp anidms df-ss
      sylib absf subopr fco mp2an fdmi ineq2i syl5eq cres dmeqi dmres eqtr
      dmeqd dmxpid syl6eq syl2an anbi1d w3a 3ad2ant1 eleq2d imbi1d adantr
      oprvalres opreqi adantl ssel anim12d imp eqid cnmetdval syl eqtrd
      3ad2antl1 breq1d ffvelrn ex 3ad2antl3 3ad2antl2 syldan imbi12d 3impb
      3expia pm5.74d bitrd ralbidv2 anbi2d rexbidv wex elrp anbi1i anass bitr
      exbii df-rex 3bitr4r syl6bb imbi2d ralbidv wal imbi1i impexp albii
      df-ral pm5.74da 3expa pm5.32da cme cnmet metres ax-mp eqeltr metcn
      syl5bb elcncf bitr4d eqrdv eqcomd ) APQZBPQZRZEFSTZABUATZUUEKUUFUUGUUEKUB
      ZUUFUCZABUUHUDZLUBZMUBZUETUFUGZNUBZUHUIZUUKUUHUGZUULUUHUGZUETUFUGZOUBZUHU
      IZUJZMAUKZNULUMZOULUKZLAUKZRZUUHUUGUCUUECUNZUNZDUNZUNZUUHUDZUOUUSUHUIZUOU
      UNUHUIZUUKUULCTZUUNUHUIZUUPUUQDTZUUSUHUIZUJZMUVHUKZRZNUPUMZUJZOUPUKZLUVHU
      KZRZUVFUUIUUEUWEUUJUWDRUVFUUEUVKUUJUWDUVHAUQZUVJBUQUVKUUJURUUCUUDUVHUVJAB
      UUHUSUUCUVHAAUTZUNAUUCUVGUWGUUCUWGUFUEVAZUNZVBZUWGUVGUUCUWGPPUTZVBZUWGUWJ
      UUCUWGUWKQZUWLUWGUQUUCUWMAPAPVCVDUWGUWKVEVFUWIUWKUWGUWKUPUWHPUPUFUDUWKPUE
      UDUWKUPUWHUDVGVHUWKPUPUFUEVIVJVKZVLVMUVGUWHUWGVNZUNUWJCUWOGVOUWHUWGVPVQVM
      VRAVSVTZUUDUVJBBUTZUNBUUDUVIUWQUUDUWQUWIVBZUWQUVIUUDUWQUWKVBZUWQUWRUUDUWQ
      UWKQZUWSUWQUQUUDUWTBPBPVCVDUWQUWKVEVFUWIUWKUWQUWNVLVMUVIUWHUWQVNZUNUWRDUX
      AHVOUWHUWQVPVQVMVRBVSVTWAWBUUEUUJUWDUVEUUCUUDUUJUWDUVEURUUCUUDUUJWCZUWCUV
      DLUVHAUXBUUKUVHUCZUWCUJUUKAUCZUWCUJUXDUVDUJUXBUXCUXDUWCUXBUVHAUUKUUCUUDUW
      FUUJUWPWDZWEWFUXBUXDUWCUVDUXBUXDRZUWCUVLUVCUJZOUPUKZUVDUXFUWBUXGOUPUXFUWA
      UVCUVLUXFUWAUVMUVBRZNUPUMZUVCUXFUVTUXINUPUXFUVSUVBUVMUXFUVRUVAMUVHAUXFUUL
      UVHUCZUVRUJUULAUCZUVRUJUXLUVAUJUXFUXKUXLUVRUXFUVHAUULUXBUWFUXDUXEWGWEWFUX
      FUXLUVRUVAUXBUXDUXLUVRUVAURZUXBUXDUXLUXMUXBUXDUXLRZRZUVOUUOUVQUUTUXOUVNUU
      MUUNUHUUCUUDUXNUVNUUMUQUUJUUCUXNRZUVNUUKUULUWHTZUUMUXNUVNUXQUQUUCUXNUUKUU
      LUWOTUXQUVNUUKUULAAUWHWHCUWOUUKUULGWIVMWJUXPUUKPUCZUULPUCZRZUXQUUMUQUUCUX
      NUXTUUCUXDUXRUXLUXSAPUUKWKAPUULWKWLWMUUKUULUWHUWHWNZWOWPWQWRWSUXOUVPUURUU
      SUHUXBUXNUUPBUCZUUQBUCZRZUVPUURUQZUUJUUCUXNUYDUUDUUJUXNUYDUUJUXDUYBUXLUYC
      UUJUXDUYBABUUKUUHWTXAUUJUXLUYCABUULUUHWTXAWLWMXBUUDUUCUYDUYEUUJUUDUYDRZUV
      PUUPUUQUWHTZUURUYDUVPUYGUQUUDUYDUUPUUQUXATUYGUVPUUPUUQBBUWHWHDUXAUUPUUQHW
      IVMWJUYFUUPPUCZUUQPUCZRZUYGUURUQUUDUYDUYJUUDUYBUYHUYCUYIBPUUPWKBPUUQWKWLW
      MUUPUUQUWHUYAWOWPWQXCXDWSXEXFXGXHXIXJXKXLUUNULUCZUVBRZNXMUUNUPUCZUXIRZNXM
      UVCUXJUYLUYNNUYLUYMUVMRZUVBRUYNUYKUYOUVBUUNXNXOUYMUVMUVBXPXQXRUVBNULXSUXI
      NUPXSXTYAYBYCUUSULUCZUVCUJZOYDUUSUPUCZUXGUJZOYDUVDUXHUYQUYSOUYQUYRUVLRZUV
      CUJUYSUYPUYTUVCUUSXNYEUYRUVLUVCYFXQYGUVCOULYHUXGOUPYHXTYAYIXIXJYJYKXICYLU
      CDYLUCUUIUWEURCUWOYLGUWHYLUCZUWOYLUCUWHUYAYMZUWHAYNYOYPDUXAYLHVUAUXAYLUCV
      UBUWHBYNYOYPLONMCDUUHEFUVHUVJUVHWNIUVJWNJYQVJYRLONMABUUHYSYTUUAUUB $.
      $( [27-Nov-2007] $) $( [11-Oct-2007] $)
  $}

  ${
    cncfmet1.1 $e |- D = ( abs o. - ) $.
    cncfmet1.2 $e |- J = ( Open ` D ) $.
    $( Relate complex function continuity to metric space continuity.
       (Contributed by Paul Chapman, 28-Nov-2007.) $)
    cncfmet1 $p |- ( CC -cn-> CC ) = ( J Cn J ) $=
      ( cc wss ccncf co ccn wceq ssid cabs cmin ccom cxp cres wrel cdm relco
      crn wf subopr frn ax-mp cr absf fdmi sseqtr4 dmcosseq eqtr eqimssi
      relssres mp2an eqtr4 cncfmet ) EEFZUPEEGHBBIHJEKZUQEEAABBALMNZUREEOZPZCUR
      QURRZUSFUTURJLMSVAUSVAMRZUSMTZLRZFVAVBJVCEVDUSEMUAVCEFUBUSEMUCUDEUELUFUGU
      HLMUIUDUSEMUBUGUJUKURUSULUMUNZVEDDUOUM $.
      $( [28-Nov-2007] $) $( [28-Nov-2007] $)
  $}

  ${
    $d x y z C $.
    cn2met.1 $e |- C = ( abs o. - ) $.
    cn2met.2 $e |- D = { <. <. x , y >. , z >. | ( ( x e. ( CC X. CC ) /\
             y e. ( CC X. CC ) ) /\ z = sup ( { ( ( 1st ` x ) C ( 1st ` y ) ) ,
                  ( ( 2nd ` x ) C ( 2nd ` y ) ) } , RR , < ) ) } $.
    $( The standard metric space on ` CC X. CC ` . $)
    cn2met $p |- D e. Met $=
      ( cc cnmetba cnmet metxp ) ABCDDEHHDFIZLDFJZMGK $.
      $( [7-Oct-2007] $) $( [21-Jun-2007] $)
  $}

  ${
    $d r s t u v w D $.  $d v w A $.  $d v w B $.
    remet.1 $e |- D = ( ( abs o. - ) |` ( RR X. RR ) ) $.
    $( Value of the distance function of the metric space of real numbers. $)
    remetdval $p |- ( ( A e. RR /\ B e. RR ) ->
                  ( A D B ) = ( abs ` ( A - B ) ) ) $=
      ( cr wcel wa cop cabs cmin ccom cxp cres cfv co wceq opelxpi fvres syl
      cc eqid cnmetdval recnt syl2an df-opr syl5eqr eqtrd fveq1i eqtr syl5eq )
      AEFZBEFZGZABHZIJKZEELZMZNZABJOINZABCOZUMURUNUONZUSUMUNUPFURVAPABEEQUNUPUO
      RSUMABUOOZUSVAATFBTFVBUSPUKULABUOUOUAUBAUCBUCUDABUOUEUFUGUTUNCNURABCUEUNC
      UQDUHUIUJ $.
      $( [20-Sep-2007] $) $( [16-May-2007] $)

    $( The base set for the metric for real numbers. $)
    remetba $p |- RR = dom dom D $=
      ( cdm cr cxp cabs cmin ccom cres cin dmeqi dmres wss wceq cc axresscn
      ssxp mp2an wf absf subopr fco fdmi sseqtr4 df-ss mpbi 3eqtr dmxpid eqtr2
      ) ACZCDDEZCDUJUKUJFGHZUKIZCUKULCZJZUKAUMBKULUKLUKUNMUOUKNUKOOEZUNDOMZUQUK
      UPMPPDODOQRUPDULODFSUPOGSUPDULSTUAUPODFGUBRUCUDUKUNUEUFUGKDUHUI $.
      $( [20-Sep-2007] $) $( [30-Aug-2007] $)

    $( The absolute value metric determines a metric space on the reals. $)
    remet $p |- D e. Met $=
      ( cabs cmin ccom cr cxp cres cme wcel eqid cnmet metres ax-mp eqeltr ) AC
      DEZFFGHZIBPIJQIJPPKLPFMNO $.
      $( [21-Sep-2007] $) $( [10-Feb-2007] $)

    $( A ball in terms of an open interval of reals. $)
    bl2ioo $p |- ( ( A e. RR /\ B e. RR /\ 0 < B ) -> ( A ( ball ` D
                  ) B ) = ( ( A - B ) (,) ( A + B ) ) ) $=
      ( vw cr wcel cc0 clt wbr w3a cbl cfv co cmin caddc cioo cv wa wb cme
      remet remetba elbl mpanl1 3impb cxr elioo2t resubclt rexrt syl axaddrcl
      sylanc cabs wceq remetdval cc abssubt recnt syl2an eqtrd adantlr breq1d
      absdifltt 3coml 3expa bitr2d pm5.32da 3anass syl5bb bitrd 3adant3 bitr4d
      eqrdv ) AFGZBFGZHBIJZKZEABCLMNZABONZABPNZQNZVRERZVSGZWCFGZAWCCNZBIJZSZWCW
      BGZVOVPVQWDWHTZCUAGVOVPVQSWJCDUBWCCABFCDUCUDUEUFVOVPWIWHTVQVOVPSZWIWEVTWC
      IJZWCWAIJZKZWHVTUGGZWAUGGZWIWNTWKVTWAWCUHWKVTFGWOABUIVTUJUKWKWAFGWPABULWA
      UJUKUMWKWEWLWMSZSWHWNWKWEWQWGWKWESZWGWCAONUNMZBIJZWQWRWFWSBIVOWEWFWSUOVPV
      OWESWFAWCONUNMZWSAWCCDUPAUQGWCUQGXAWSUOVOWEAWCURAUSWCUSUTVAVBVCVOVPWEWTWQ
      TZWEVOVPXBWCABVDVEVFVGVHWEWLWMVIVJVKVLVMVN $.
      $( [21-Sep-2007] $) $( [18-May-2007] $)

    $( An open interval of reals in terms of a ball. $)
    ioo2bl $p |- ( ( A e. RR /\ B e. RR /\ A < B ) -> ( A (,) B ) =
     ( ( ( A + B ) / 2 ) ( ball ` D ) ( ( B - A ) / 2 ) ) ) $=
      ( cr wcel clt wbr w3a cioo co caddc c2 cdiv cmin cbl cfv wceq cc0 bl2ioo
      wa axaddrcl rehalfclt syl 3adant3 resubclt wb posdift ancoms halfpos2t
      bitrd biimp3a syl3anc cc cmul pnncant 3anidm23 2timest adantl eqtr4d
      opreq1d 2cn wne 2ne0 divsubdirt mpan2 mp3an3 axaddcl subclt sylanc
      divcan3t mp3an13 3eqtr3d ppncant 3anidm13 adantr divdirtOLD opreq12d recnt
      syl2an eqtr2d 3com12 axaddcom ) AEFZBEFZABGHZIZABJKZBALKZMNKZBAOKZMNKZCPQ
      ZKZABLKZMNKZWLWMKWEWDWFWHWNRWEWDWFIZWNWJWLOKZWJWLLKZJKZWHWJEFZWLEFZSWLGHZ
      WNWTRWQWJWLCDTWEWDXAWFWEWDUAZWIEFXABAUBWIUCUDUEWEWDXBWFXDWKEFZXBBAUFZWKUC
      UDUEWEWDWFXCXDWFSWKGHZXCWDWEWFXGUGABUHUIXDXEXGXCUGXFWKUJUDUKULUMWEWDWTWHR
      ZWFBUNFZAUNFZXHWEWDXIXJUAZWRAWSBJXKWIWKOKZMNKZMAUOKZMNKZWRAXKXLXNMNXKXLAA
      LKZXNXIXJXLXPRBAAUPUQXJXNXPRXIAURUSUTVAWIUNFZWKUNFZXMWRRZXKXQXRMUNFZXSVBX
      QXRXTIZMSVCZXSVDWIWKMVEVFVGBAVHZBAVIZVJXJXOARZXIXTXJYBYEVBVDMAVKVLUSVMXKW
      IWKLKZMNKZMBUOKZMNKZWSBXKYFYHMNXKYFBBLKZYHXIXJYFYJRBABVNVOXIYHYJRXJBURVPU
      TVAXQXRYGWSRZXKXQXRXTYKVBYAYBYKVDWIWKMVQVFVGYCYDVJXIYIBRZXJXTXIYBYLVBVDMB
      VKVLVPVMVRBVSZAVSZVTUEWAWBWGWPWJWLWMWDWEWPWJRWFWDWEUAWOWIMNXJXIWOWIRWDWEA
      BWCYNYMVTVAUEVAUT $.
      $( [15-Apr-2008] $) $( [18-May-2007] $)

    $( The balls of the standard real metric space are included in the open
       real intervals. $)
    blssioo $p |- ran ( ball ` D ) (_ ran (,) $=
      ( vw vv vu vt vs cbl cfv crn cioo cv co wceq cc0 cpnf wrex cr cxr wcel
      clt wbr wa wi w3a cmin caddc bl2ioo eqeq1d opreq1 opreq2 rcla42ev 3expia
      rexrt syl2an resubclt axaddrcl sylanc 3adant3 sylbid 3expb repos sylan2b
      r19.23aivv cxp wfn wb cpw wf cme remet remetba blf ax-mp ffn oprvalelrn
      ioof 3imtr4 ssriv ) CAHIZJZKJZDLZELZVTMZCLZNZEOPKMZQDRQZFLZGLZKMZWFNZGSQF
      SQZWFWATZWFWBTZWGWNDERWHWCRTZWDRTZOWDUAUBZUCWGWNUDZWDWHTWQWRWSWTWQWRWSUEZ
      WGWCWDUFMZWCWDUGMZKMZWFNZWNXAWEXDWFWCWDABUHUIWQWRXEWNUDZWSXBRTZXCRTZXFWQW
      RUCXBSTZXCSTZXFXGXHXIXJXEWNWMXEXBWKKMZWFNFGXBXCSSWJXBNWLXKWFWJXBWKKUJUIWK
      XCNXKXDWFWKXCXBKUKUIULUMXBUNXCUNUOWCWDUPWCWDUQURUSUTVAWDVBVCVDVTRWHVEZVFZ
      WOWIVGXLRVHZVTVIZXMAVJTXOABVKARABVLVMVNXLXNVTVOVNDERWHWFVTVPVNKSSVEZVFZWP
      WNVGXPXNKVIXQVQXPXNKVOVNFGSSWFKVPVNVRVS $.
      $( [18-Oct-2007] $) $( [8-May-2007] $)

    $( Lemma for ~ tgioo .  An open interval includes a ball around any of its
       points.  _Warning:  The HTML proof page is 0.6MB in size_. $)
    tgioolem $p |- ( ( t e. RR* /\ s e. RR* ) -> ( v e. ( t (,) s ) -> E. u e.
          RR ( 0 < u /\ ( v ( ball ` D ) u ) (_ ( t (,) s ) ) ) ) $=
      ( cv cxr wcel wa cioo co cr clt wbr w3a cc0 cbl cfv wss wrex elioo2t
      cpnf wceq cmnf w3o wi cmin resubclt ancoms ad2ant2r 3adantr3 ad2ant2lr
      cle breq2 opreq2 sseq1d anbi12d rcla4ev adantr posdift biimp3a 3expb
      adantlr caddc bl2ioo 3simp2 3adant3 syl3anc cc nncant recnt syl2an
      opreq1d eqtrd iooss2 ex rexrt syl3an pm3.26 ad2antrr axaddrcl pm3.27
      sylanc 3jca wb leaddsub2t simplr 3ad2antr1 biimpar sylc eqsstrd jca
      3com12 adantll 3adantr2 pncan3t opreq2d iooss1 lesubt simpll biimpa
      lecase pnfget adantl pnfxr mp3anl3 mpdan syl ad2antlr 3sstr4d wn nltmnft
      negbid mpbird pm2.21d a1d 3impd 3jaodan pnfnltt breq1 mnflet mnfxr
      mp3anl1 adantrr opreq1 c1 1re a1i ioossre ioomax sseqtr4 lt01 mp3an23
      3ad2ant1 opreq12 jctil 3jaoian elxr syl2anb sylbid ) CGZHIZEGZHIZJAGZUUBU
      UDKLZIUUFMIZUUBUUFNOZUUFUUDNOZPZQBGZNOZUUFUULDRSZLZUUGTZJZBMUAZUUBUUDUUFU
      BUUBMIZUUBUCUDZUUBUEUDZUFUUDMIZUUDUCUDZUUDUEUDZUFZUUKUURUGZUUCUUEUUSUVEUV
      FUUTUVAUUSUVBUVFUVCUVDUUSUVBJZUUKUURUVGUUKJZUURUUFUUBUHLZUUDUUFUHLZUVGUUH
      UUIUVIMIZUUJUUSUUHUVKUVBUUIUUHUUSUVKUUFUUBUIUJZUKULZUVGUUHUUIUVJMIZUUJUVB
      UUHUVNUUSUUIUUDUUFUIZUMULZUVKQUVINOZUUFUVIUUNLZUUGTZJZUURUVHUVIUVJUNOZJZU
      UQUVTBUVIMUULUVIUDZUUMUVQUUPUVSUULUVIQNUOUWCUUOUVRUUGUULUVIUUFUUNUPUQURUS
      ZUVHUVKUWAUVMUTUWBUVQUVSUVHUVQUWAUVGUUHUUIUVQUUJUUSUUHUUIJZUVQUVBUUSUUHUU
      IUVQUUSUUHUUIUVQUUBUUFVAVBZVCZVDULUTUWBUVRUUBUUFUVIVELZKLZUUGUVHUVRUWIUDZ
      UWAUVGUUHUUIUWJUUJUUSUWEUWJUVBUUSUUHUUIUWJUUSUUHUUIPZUVRUUFUVIUHLZUWHKLZU
      WIUUHUVKUVQUVRUWMUDUWKUUFUVIDFVFUUSUUHUUIVGUUSUUHUVKUUIUVLVHUWFVIUWKUWLUU
      BUWHKUUSUUHUWLUUBUDZUUIUUHUUSUWNUUFVJIZUUBVJIUWNUUHUUSUUFUUBVKUUFVLZUUBVL
      VMUJVHVNVOVCZVDULUTUUSUWHMIZUVBPUWHUUDUNOZUWIUUGTZUWBUUCUWHHIZUUEUWSUWTUG
      UUSUWRUVBUUCUXAUUEPUWSUWTUUBUWHUUDVPVQUUBVRZUWHVRZUUDVRZVSUWBUUSUWRUVBUVG
      UUSUUKUWAUUSUVBVTZWAUVHUWRUWAUVGUUHUUIUWRUUJUUSUUHUWRUVBUUIUUHUVKUWRUUSUU
      HJZUUFUVIWBUUSUUHWCUVLWDZUKULUTUVGUVBUUKUWAUUSUVBWCZWAWEUVHUWSUWAUVGUUIUU
      HUWSUWAWFZUUJUUHUVKUVBUXIUVGUUHJZUUFUVIUUDWGUVGUUHWCZUUSUUHUVKUVBUVLVDUUS
      UVBUUHWHVIWIWJWKWLWMWDUVNQUVJNOZUUFUVJUUNLZUUGTZJZUURUVHUVJUVIUNOZJZUUQUX
      OBUVJMUULUVJUDZUUMUXLUUPUXNUULUVJQNUOUXRUUOUXMUUGUULUVJUUFUUNUPUQURUSZUVH
      UVNUXPUVPUTUXQUXLUXNUVHUXLUXPUVGUUHUUJUXLUUIUVBUUHUUJJZUXLUUSUVBUUHUUJUXL
      UUHUVBUUJUXLUUHUVBUUJUXLUUFUUDVAVBWNZVCZWOWPUTUXQUXMUUFUVJUHLZUUDKLZUUGUV
      HUXMUYDUDZUXPUVGUUHUUJUYEUUIUVBUXTUYEUUSUVBUUHUUJUYEUVBUUHUUJPZUXMUYCUUFU
      VJVELZKLZUYDUUHUVNUXLUXMUYHUDUYFUUFUVJDFVFUVBUUHUUJVGUVBUUHUVNUUJUVOVHUYA
      VIUYFUYGUUDUYCKUVBUUHUYGUUDUDZUUJUUHUVBUYIUWOUUDVJIUYIUUHUVBUUFUUDWQUWPUU
      DVLVMUJVHWRVOVCZWOWPUTUUSUYCMIZUVBPUUBUYCUNOZUYDUUGTZUXQUUCUYCHIZUUEUYLUY
      MUGUUSUYKUVBUUCUYNUUEPUYLUYMUUBUYCUUDWSVQUXBUYCVRZUXDVSUXQUUSUYKUVBUVGUUS
      UUKUXPUXEWAUVHUYKUXPUVGUUHUUIUYKUUJUVBUUHUYKUUSUUIUUHUVNUYKUVBUUHJZUUFUVJ
      UIUVBUUHWCUVOWDZUMULUTUVGUVBUUKUXPUXHWAWEUVHUXPUYLUVGUUIUUHUXPUYLWFZUUJUV
      NUUHUUSUYRUXJUVJUUFUUBWTUVBUUHUVNUUSUVOWOUXKUUSUVBUUHXAVIWIXBWKWLWMWDXCVQ
      UUSUVCJZUUKUURUYSUUHUUIUURUUJUVKUVTUURUYSUWEJZUWDUUSUUHUVKUVCUUIUVLUKUYTU
      VQUVSUUSUWEUVQUVCUWGVDUYTUWIUUBUCKLZUVRUUGUUSUUHUWIVUATZUVCUUIUUCUXAVUBUX
      FUUCUXAJUWHUCUNOZVUBUXAVUCUUCUWHXDXEUUCUXAUCHIVUCVUBXFUUBUWHUCVPXGXHUUSUU
      CUUHUXBUTUXFUWRUXAUXGUXCXIWDUKUUSUWEUWJUVCUWQVDUVCUUGVUAUDUUSUWEUUDUCUUBK
      UPXJXKWMWDULVQUVDUVFUUSUVDUUHUUIUUJUURUVDUUHUUIUUJUURUGZUGZUVDUUHJZVUDUUI
      VUFUUJUURVUFUUJXLZUUFUENOZXLZUUHVUIUVDUUHUUFHIZVUIUUFVRZUUFXMXIXEUVDVUGVU
      IWFUUHUVDUUJVUHUUDUEUUFNUOXNUTXOXPXQVQXRZXEXSUUTUVFUVEUUTUUHUUIUUJUURUUTU
      UHVUEUUTUUHJZUUIVUDVUMUUIXLZUCUUFNOZXLZUUHVUPUUTUUHVUJVUPVUKUUFXTXIXEUUTV
      UNVUPWFUUHUUTUUIVUOUUBUCUUFNYAXNUTXOXPVQXRUTUVAUVBUVFUVCUVDUVAUVBJZUUKUUR
      VUQUUHUUJUURUUIUVNUXOUURVUQUXTJZUXSUVBUUHUVNUVAUUJUVOUMVURUXLUXNUVBUXTUXL
      UVAUYBWOVURUYDUEUUDKLZUXMUUGUVBUXTUYDVUSTZUVAUYNUUEVUTUVBUXTJUYNUUEJUEUYC
      UNOZVUTUYNVVAUUEUYCYBUTUEHIUYNUUEVVAVUTYCUEUYCUUDWSYDXHUVBUUHUYNUUJUYPUYK
      UYNUYQUYOXIYEUVBUUEUXTUXDUTWDWOUVBUXTUYEUVAUYJWOUVAUUGVUSUDUVBUXTUUBUEUUD
      KYFWAXKWMWDWPVQUVAUVCJZUUKUURYGMIZQYGNOZUUFYGUUNLZUUGTZJZUURVVBUUKJZUUQVV
      GBYGMUULYGUDZUUMVVDUUPVVFUULYGQNUOVVIUUOVVEUUGUULYGUUFUUNUPUQURUSVVCVVHYH
      YIVVHVVFVVDVVHUUFYGUHLZUUFYGVELZKLZUEUCKLZVVEUUGVVLVVMTVVHVVLMVVMVVJVVKYJ
      YKYLYIUUKVVEVVLUDZVVBUUHUUIVVNUUJUUHVVCVVDVVNYHYMUUFYGDFVFYNYOXEVVBUUGVVM
      UDUUKUUBUEUUDUCKYPUTXKYMYQWDVQUVDUVFUVAVULXEXSYRUUBYSUUDYSYTUUA $.
      $( [22-Oct-2007] $) $( [21-May-2007] $)

    ${
      $d w J $.
      tgioo.2 $e |- J = ( Open ` D ) $.
      $( The topology generated by open intervals of reals is the same as the
         open sets of the standard metric space on the reals. $)
      tgioo $p |- ( topGen ` ran (,) ) = J $=
        ( vw vu vv vt vs cbl cfv crn ctg cioo ctb wcel wa wss wceq cme remet
        copn eqid blbas ax-mp retopbas pm3.2i blssioo cv cr cc0 clt wbr co
        wrex wral cuni elssuni unirnioo syl6ss cxr wi cxp wfn wb cpw wf ioof
        ffn oprvalelrn tgioolem adantr eleq2 adantl sseq2 anbi2d rexbidv
        3imtr3d ex r19.23aivv sylbi r19.21aiv jca remetba isopn4 sylibr ssriv
        tgbl sseqtr4 2basgent mp2an eqtr3 ) AJKZLZMKZNLZMKZBWNOPZWPOPZQWNWPRZWP
        WORZQWOWQSWRWSATPZWRACUAZAAUBKZXDUCUDUEUFUGWTXAACUHWPBWOEWPBEUIZWPPZXEU
        JRZUKFUIZULUMZGUIZXHWMUNZXERZQZFUJUOZGXEUPZQZXEBPZXFXGXOXFXEWPUQUJXEWPU
        RUSUTXFXNGXEXFHUIZIUIZNUNZXESZIVAUOHVAUOZXJXEPZXNVBZNVAVAVCZVDZXFYBVEYE
        UJVFZNVGYFVHYEYGNVIUEHIVAVAXENVJUEYAYDHIVAVAXRVAPXSVAPQZYAYDYHYAQXJXTPZ
        XIXKXTRZQZFUJUOZYCXNYHYIYLVBYAGFHAICVKVLYAYIYCVEYHXTXEXJVMVNYAYLXNVEYHY
        AYKXMFUJYAYJXLXIXTXEXKVOVPVQVNVRVSVTWAWBWCXBXQXPVEXCGFXEABUJACWDDWEUEWF
        WGXBWOBSXCABDWHUEZWIUGWNWPWJWKYMWL $.
        $( [5-Dec-2007] $) $( [7-May-2007] $)

      $( ` QQ ` is dense in ` RR ` . $)
      qdensere2 $p |- ( ( cls ` J ) ` QQ ) = RR $=
        ( cq cioo crn ctg cfv ccl cr tgioo fveq2i fveq1i qdensere eqtr3 ) EFGHI
        ZJIZIEBJIZIKERSQBJABCDLMNOP $.
        $( [6-Dec-2007] $) $( [24-Aug-2007] $)
    $}
  $}

  ${
    $d x y z $.
    $( The standard topology on the reals is Hausdorff. $)
    rehaus $p |- ( topGen ` ran (,) ) e. Haus $=
      ( cioo crn ctg cfv cabs cmin ccom cr cxp cres copn cha eqid tgioo remet
      methausi eqeltr ) ABCDEFGHHIJZKDZLRSRMZSMZNRSRTOUAPQ $.
      $( [28-Jun-2008] $) $( [8-Mar-2007] $)
  $}

  ${
    $d X x y z $.  $d X u v w $.  $d D u v w $.  $d u x y z $.  $d v x y z $.
    $d w x y z $.
    dscmet.1 $e |- X e. V $.
    dscmet.2 $e |- D = { <. <. x , y >. , z >. | ( ( x e. X /\ y e. X ) /\
                  z = if ( x = y , 0 , 1 ) ) } $.
    $( The discrete metric on any set ` X ` .  Definition 1.1-8 of [Kreyszig]
       p. 8.  (Contributed by FL, 12-Oct-2006.) $)
    dscmet $p |- D e. Met $=
      ( vw vv vu cv wceq cc0 c1 cif cr wcel wa 0re 1re keepel a1i foprab co
      elisseti eqeq1 ifbid eqeq2 oprabval2 eqeq1d wn wo eqif pm3.26 wne ax1ne0
      necom mpbi df-ne pm2.21i orcanai ancoms jaoi sylbi eqcoms iftrue impbi
      syl6bb w3a caddc cle wbr equtr imdistani opreqan12d 0nn0 nn0addge1
      syl5breqr syl equequ2 negbid biimpcd iffalse lt01 ltlei addge0 mp2an
      pm2.61ian eqbrtrd wi neeq1 biimprd 3imtr3g ax1cn addid2 syl6eq leid ex
      addid1 c2 df-2 syl6eqr 2re 1lt2 pm2.61dan a1d pm2.61i 3adant3 3adant2
      3adant1 opreq12d 3brtr4d ismeti ) HIJDEFABCEEAKZBKZLZMNOZPDGXQPQXNEQXOEQR
      XPMNPSTUAUBUCHKZEQZIKZEQZRZXRXTDUDZMLXRXTLZMNOZMLZYDYBYCYEMABCXRXTEEXQYED
      XRXOLZMNOYEPYDMNPSTUAUEXNXRLXPYGMNXNXRXOUFUGXOXTLZYGYDMNXOXTXRUHUGGUIZUJY
      FYDYDMYEMYELYDMMLZRZYDUKZMNLZRZULYDYDMMNUMYKYDYNYDYJUNYMYLYDYMYDYDYMYDYDU
      LMNUOZYMUKNMUOYOUPNMUQURMNUSURUTVAVBVCVDVEYDMNVFZVGVHXSYAJKZEQZVIZYEYQXRL
      ZMNOZYQXTLZMNOZVJUDZYCYQXRDUDZYQXTDUDZVJUDVKYEUUDVKVLZYSYDUUGYDYEMUUDVKYP
      YTYDMUUDVKVLZYTYDRYTUUBRZUUHYTYDUUBJHIVMVNUUIMMVJUDUUDMVKYTUUBUUAMUUCMVJY
      TMNVFZUUBMNVFZVOMMSVPVQVRVSYTUKZYDRUULUUBUKZRZUUHUULYDUUMYDUULUUMYDYTUUBH
      IJVTWAWBVNUUNNNVJUDZUUDMVKUULUUMUUANUUCNVJYTMNWCZUUBMNWCZVOZMNVKVLZUUSMUU
      OVKVLMNSTWDWEZUUTNNTTWFWGVRVSWHWIYLYENUUDVKYDMNWCYTYLNUUDVKVLZWJYTYLUVAYT
      YLRYTUUMRZUVAYTYLUUMYTXRXTUOZYQXTUOZYLUUMYTUVDUVCYQXRXTWKWLXRXTUSYQXTUSWM
      VNUVBNUUDNVKUVBUUDMNVJUDNYTUUMUUAMUUCNVJUUJUUQVONWNWOWPNTWQZVRVSWRUULUVAY
      LUULUUBUVAUULUUBRZNUUDNVKUVFUUDNMVJUDNUULUUBUUANUUCMVJUUPUUKVONWNWSWPUVEV
      RUUNWTUUDNVKUUNUUDUUOWTUURXAXBNWTTXCXDWEVRXEXFXGWIXGUBXSYAYCYELYRYIXHYSUU
      EUUAUUFUUCVJXSYRUUEUUALZYAYRXSUVGABCYQXREEXQUUADYQXOLZMNOZUUAPYTMNPSTUAUE
      XNYQLXPUVHMNXNYQXOUFUGZXOXRLUVHYTMNXOXRYQUHUGGUIVBXIYAYRUUFUUCLZXSYRYAUVK
      ABCYQXTEEXQUUCDUVIUUCPUUBMNPSTUAUEUVJYHUVHUUBMNXOXTYQUHUGGUIVBXJXKXLXM $.
      $( [18-Apr-2008] $) $( [9-Oct-2006] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                       Neighborhoods and closure
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
  @c neiOLD @.
  @c accOLD @.
  @c acc @.
  @c cls @.
  @c int @.

  @( Extend class notation with neighborhood of a metric space point. @)
  cne @a class neiOLD @.

  @( Extend class notation with accumulation points (limit points) of
     a metric space point. @)
  cacOLD @a class accOLD @.

  @( Extend class notation with accumulation points (limit points) of
     a metric space point. @)
  cac @a class acc @.

  @( Extend class notation with closure of a metric space subset. @)
  ccl @a class cls @.

  @( Extend class notation with interior of a metric space subset. @)
  cnt @a class int @.

  @{
    @d u v w x y z @.
    @( Define a function on metric spaces whose value is the relation "subset
       ` x ` is a neighborhood of point ` y ` ." @)
    df-neiOLD @a |- neiOLD =
             { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x (_ ( 1st ` z ) /\ y e. ( 1st ` z ) /\ E. v e. RR
      ( 0 < v /\ ( y ( ball ` z ) v ) (_ x ) ) } ) } @.

    @( Define a function on metric spaces whose value is the relation " ` x `
       is an accumulation point (limit point) of subset ` y ` ." @)
    df-accOLD @a |- accOLD =
                   { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x e. ( 1st ` z ) /\ y (_ ( 1st ` z ) /\ A. v ( ( v (_ ( 1st ` z ) /\
       v ( neiOLD ` z ) x ) -> E. u e. v ( u e. y /\ -. u = x ) ) ) } ) } @.

    @( Define a function on metric spaces whose value is the relation " ` x `
       is an accumulation point (limit point) of subset ` y ` ." @)
    df-acc @a |- acc = { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x e. ( 1st ` z ) /\ y (_ ( 1st ` z ) /\ A. v e. RR ( 0 < v -> E. u e.
      ( x ( ball ` z ) v ) ( u e. y /\ -. u = x ) ) ) } ) } @.

    @( Define a function on metric spaces whose value is the closure function
       on the subsets of the metric space. @)
    df-clsOLD @a |- cls = { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x (_ ( 1st ` z ) /\
      y = ( x u. { v e. ( 1st ` z ) | v ( acc ` z ) x } ) ) } ) } @.

    @( Define a function on metric spaces whose value is the interior function
       on the subsets of the metric space. @)
    df-ntr @a |- int = { <. z , w >. | ( z e. MetSp /\ w = { <. x , y >. |
      ( x (_ ( 1st ` z ) /\ y = U. { v e. ran ( ball ` z ) | v (_ x } ) } @.
  @}

  @{
    @d u v w x y z M @.  @d v w x y z X @.  @d u v w x y z @.
    accfval.1 @e |- X = ( 1st ` M ) @.
    @( The relation "subset ` x ` is a neighborhood of point ` y ` ." @)
    neifvalOLD @p |- ( M e. MetSp ->
                ( neiOLD ` M ) = { <. x , y >. | ( x (_ X /\
           y e. X /\ E. v e. RR ( 0 < v /\ ( y ( ball ` M ) v ) (_ x ) ) } ) @=
      ( vz vw cv c1st cfv wss wcel cc0 clt wbr cblOLD co wa cr wrex w3a
      copab cmt
      cne wceq fveq2 syl6eqr sseq2d eleq2d opreqd sseq1d anbi2d rexbidv
      3anbi123d opabbidv df-neiOLD cpw cxp cvv fvex eqeltr pwex xpex df-3an
      visset elpw 3anbi1i bitr3 opabbii opabssxp eqsstr3 ssexi fvopab4 ) GHDAIZ
      GIZJKZLZBIZVQMZNCIZOPZVSWAVPQKZRZVOLZSZCTUAZUBZABUCVOELZVSEMZWBVSWADQKZRZ
      VOLZSZCTUAZUBZABUCZUDUEVPDUFZWHWPABWRVRWIVTWJWGWOWRVQEVOWRVQDJKZEVPDJUGFU
      HZUIWRVQEVSWTUJWRWFWNCTWRWEWMWBWRWDWLVOWRWCWKVSWAVPDQUGUKULUMUNUOUPABGHCU
      QWQEURZEUSZXAEEEWSUTFDJVAVBZVCXCVDWQVOXAMZWJSWOSZABUCXBXEWPABXEXDWJWOUBWP
      XDWJWOVEXDWIWJWOVOEAVFVGVHVIVJWOABXAEVKVLVMVN @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( The relation " ` x ` is an accumulation point (limit point) of subset
       ` y ` ." @)
    accfvalOLD @p |- ( M e. MetSp -> ( accOLD ` M ) = { <. x , y >. |
      ( x e. X /\ y (_ X /\ A. v ( ( v (_ X /\
       v ( neiOLD ` M ) x ) -> E. u e. v ( u e. y /\ -. u = x ) ) ) } ) @=
      ( vz vw cv c1st cfv wcel wss cne wbr wa wceq wn wrex wi wal w3a copab
      cmt cacOLD fveq2 syl6eqr eleq2d sseq2d wb breq syl anbi12d imbi1d albidv
      3anbi123d opabbidv df-accOLD cpw cxp cvv fvex eqeltr pwex xpex df-3an
      visset elpw 3anbi2i bitr3 opabbii opabssxp eqsstr3 ssexi fvopab4 ) HIEAJZ
      HJZKLZMZBJZVSNZCJZVSNZWCVQVROLZPZQZDJZWAMWHVQRSQDWCTZUAZCUBZUCZABUDVQFMZW
      AFNZWCFNZWCVQEOLZPZQZWIUAZCUBZUCZABUDZUEUFVRERZWLXAABXCVTWMWBWNWKWTXCVSFV
      QXCVSEKLZFVREKUGGUHZUIXCVSFWAXEUJXCWJWSCXCWGWRWIXCWDWOWFWQXCVSFWCXEUJXCWE
      WPRWFWQUKVREOUGWCVQWEWPULUMUNUOUPUQURABHICDUSXBFFUTZVAZFXFFXDVBGEKVCVDZFX
      HVEVFXBWMWAXFMZQWTQZABUDXGXJXAABXJWMXIWTUCXAWMXIWTVGXIWNWMWTWAFBVHVIVJVKV
      LWTABFXFVMVNVOVP @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( The relation " ` x ` is an accumulation point (limit point) of subset
       ` y ` ." @)
    accfval @p |- ( M e. MetSp -> ( acc ` M ) = { <. x , y >. |
      ( x e. X /\ y (_ X /\ A. v e. RR ( 0 < v -> E. u e.
      ( x ( ball ` M ) v ) ( u e. y /\ -. u = x ) ) ) } ) @=
      ( vz vw cv c1st cfv wcel wss cc0 clt wbr wceq wn wa cblOLD co wrex wi cr
      wral w3a copab cmt cac fveq2 syl6eqr eleq2d sseq2d wb opreqd rexeq1 syl
      imbi2d ralbidv 3anbi123d opabbidv df-acc cpw cxp cvv fvex eqeltr pwex
      xpex df-3an visset elpw 3anbi2i bitr3 opabbii opabssxp eqsstr3 ssexi
      fvopab4 ) HIEAJZHJZKLZMZBJZWCNZOCJZPQZDJZWEMWIWARSTZDWAWGWBUALZUBZUCZUDZC
      UEUFZUGZABUHWAFMZWEFNZWHWJDWAWGEUALZUBZUCZUDZCUEUFZUGZABUHZUIUJWBERZWPXDA
      BXFWDWQWFWRWOXCXFWCFWAXFWCEKLZFWBEKUKGULZUMXFWCFWEXHUNXFWNXBCUEXFWMXAWHXF
      WLWTRWMXAUOXFWKWSWAWGWBEUAUKUPWJDWLWTUQURUSUTVAVBABHICDVCXEFFVDZVEZFXIFXG
      VFGEKVGVHZFXKVIVJXEWQWEXIMZTXCTZABUHXJXMXDABXMWQXLXCUGXDWQXLXCVKXLWRWQXCW
      EFBVLVMVNVOVPXCABFXIVQVRVSVT @.
      @( [ ?] @) @( [9-Sep-2006] @)

    @( The closure function on the subsets of the metric space. @)
    clsfvalOLD @p |- ( M e. MetSp -> ( cls ` M ) =  { <. x , y >. | ( x (_ X /\
                     y = ( x u. { v e. X | v ( acc ` M ) x } ) ) } ) @=
      ( vz vw cv c1st cfv wss cac wbr crab cun wceq wa copab cmt ccl fveq2
      syl6eqr sseq2d rabeq syl wb breq rabbisdv eqtrd uneq2d eqeq2d anbi12d
      opabbidv df-clsOLD cpw wcel cvv visset elpw anbi1i opabbii fvex eqeltr
      pwex
      opabex2 eqeltrr fvopab4 ) GHDAIZGIZJKZLZBIZVICIZVIVJMKZNZCVKOZPZQZRZAB
      SVIELZVMVIVNVIDMKZNZCEOZPZQZRZABSZTUAVJDQZVTWGABWIVLWAVSWFWIVKEVIWIVKDJKZ
      EVJDJUBFUCZUDWIVRWEVMWIVQWDVIWIVQVPCEOZWDWIVKEQVQWLQWKVPCVKEUEUFWIVPWCCEW
      IVOWBQVPWCUGVJDMUBVNVIVOWBUHUFUIUJUKULUMUNABGHCUOVIEUPZUQZWFRZABSWHURWOWG
      ABWNWAWFVIEAUSUTVAVBABWMWEEEWJURFDJVCVDVEVFVGVH @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( The interior function on the subsets of the metric space. @)
    ntrfval @p |- ( M e. MetSp -> ( int ` M ) =  { <. x , y >. | ( x (_ X /\
                     y = U. { v e. ran ( ball ` M ) | v (_ x } ) } ) @=
?@.
  @}

  @{
    @d w x y z M @.  @d w x y z P @.  @d w x y z S @.  @d w x y z X @.
    accbr.1 @e |- X = ( 1st ` M ) @.
    @( A neighborhood of a point ` P ` is any subset ` S ` that contains a ball
       around ` P ` .  Definition of neighborhood in [Kreyszig] p. 19. @)
    neibrOLD @p |- ( ( M e. MetSp /\ S (_ X /\ P e. X ) ->
                    ( S ( neiOLD ` M ) P <->
                E. x e. RR ( 0 < x /\ ( P ( ball ` M ) x ) (_ S ) ) ) @=
     ( vy vz cmt wcel wss w3a cne cfv wbr cv cc0 clt cblOLD co wa cr wrex copab
      wb wceq neifvalOLD breq syl 3ad2ant1 cpw sseq1 sseq2 anbi2d rexbidv
      3anbi13d eleq1 opreq1 sseq1d 3anbi23d eqid brabg cvv c1st fvex eqeltr
      elpw2g ax-mp sylanbr df-3an baibr bitr4d 3adant1 bitrd ) DIJZCEKZBEJZLCBD
      MNZOZCBGPZEKZHPZEJZQAPZROZWBWDDSNZTZVTKZUAZAUBUCZLZGHUDZOZWEBWDWFTZCKZUAZ
      AUBUCZVOVPVSWMUEZVQVOVRWLUFWRGHADEFUGCBVRWLUHUIUJVPVQWMWQUEVOVPVQUAZWMVPV
      QWQLZWQCEUKZJZVQWMWTUEVPWKVPWCWEWGCKZUAZAUBUCZLWTGHCBXAEWLVTCUFZWAVPWJXEW
      CVTCEULXFWIXDAUBXFWHXCWEVTCWGUMUNUOUPWBBUFZWCVQXEWQVPWBBEUQXGXDWPAUBXGXCW
      OWEXGWGWNCWBBWDWFURUSUNUOUTWLVAVBEVCJXBVPUEEDVDNVCFDVDVEVFCEVCVGVHVIWTWSW
      QVPVQWQVJVKVLVMVN @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( ` P ` is an accumulation point (also called limit point) of a subset
       ` S ` iff every ball around ` P ` contains a point in ` S ` distinct
       from ` P ` .  Definition 2.20(b) [Rudin] p. 28. @)
    accbr @p |- ( ( M e. MetSp /\ P e. X /\ S (_ X ) -> ( P ( acc ` M ) S <->
            A. x e. RR ( 0 < x -> E. y e. ( P ( ball ` M ) x )
                ( y e. S /\ -. y = P ) ) ) ) @=
      ( vz vw cmt wcel wss w3a cac cfv wbr cv cc0 clt wceq wn wa cblOLD co wrex
      wi cr wral copab wb accfval breq syl 3ad2ant1 cpw eleq1 opreq1 rexeq1
      eqeq2 negbid anbi2d rexbidv bitrd imbi2d ralbidv 3anbi13d sseq1 eleq2
      anbi1d 3anbi23d eqid brabg cvv c1st fvex eqeltr elpw2g ax-mp sylan2br
      df-3an baibr bitr4d 3adant1 ) EJKZCFKZDFLZMCDENOZPZCDHQZFKZIQZFLZRAQZSPZB
      QZWKKZWOWITZUAZUBZBWIWMEUCOZUDZUEZUFZAUGUHZMZHIUIZPZWNWODKZWOCTZUAZUBZBCW
      MWTUDZUEZUFZAUGUHZWDWEWHXGUJZWFWDWGXFTXPHIABEFGUKCDWGXFULUMUNWEWFXGXOUJWD
      WEWFUBZXGWEWFXOMZXOWEDFUOZKZXGXRUJWFXEWEWLWNWPXJUBZBXLUEZUFZAUGUHZMXRHICD
      FXSXFWICTZWJWEXDYDWLWICFUPYEXCYCAUGYEXBYBWNYEXBWSBXLUEZYBYEXAXLTXBYFUJWIC
      WMWTUQWSBXAXLURUMYEWSYABXLYEWRXJWPYEWQXIWICWOUSUTVAVBVCVDVEVFWKDTZWLWFYDX
      OWEWKDFVGYGYCXNAUGYGYBXMWNYGYAXKBXLYGWPXHXJWKDWOVHVIVBVDVEVJXFVKVLFVMKXTW
      FUJFEVNOVMGEVNVOVPDFVMVQVRVSXRXQXOWEWFXOVTWAWBWCVC @.
      @( [ ?] @) @( [9-Sep-2006] @)

    @( ` P ` is an accumulation point (also called limit point) of a subset
       ` S ` iff every neighborhood of ` P ` contains a point in ` S ` distinct
       from ` P ` .  Definition of accumulation point in [Kreyszig] p. 21. @)
    accbrOLD @p |- ( ( M e. MetSp /\ P e. X /\ S (_ X ) -> ( P ( accOLD ` M ) S
                   <-> A. x ( ( x (_ X /\ x ( neiOLD ` M ) P ) -> E. y e. x
                   ( y e. S /\ -. y = P ) ) ) ) @=
      ( vz vw cmt wcel wss w3a cacOLD cfv wbr cv cne wa wceq wn wrex wi wal
      copab
      wb accfvalOLD breq syl 3ad2ant1 cpw eleq1 breq2 anbi2d eqeq2 negbid
      rexbidv
      imbi12d albidv 3anbi13d sseq1 eleq2 anbi1d imbi2d 3anbi23d eqid brabg
      cvv c1st fvex eqeltr elpw2g ax-mp sylan2br df-3an baibr bitr4d 3adant1
      bitrd ) EJKZCFKZDFLZMCDENOZPZCDHQZFKZIQZFLZAQZFLZWIWEEROZPZSZBQZWGKZWNWET
      ZUAZSZBWIUBZUCZAUDZMZHIUEZPZWJWICWKPZSZWNDKZWNCTZUAZSZBWIUBZUCZAUDZVTWAWD
      XDUFZWBVTWCXCTXNHIABEFGUGCDWCXCUHUIUJWAWBXDXMUFVTWAWBSZXDWAWBXMMZXMWADFUK
      ZKZXDXPUFWBXBWAWHXFWOXISZBWIUBZUCZAUDZMXPHICDFXQXCWECTZWFWAXAYBWHWECFULYC
      WTYAAYCWMXFWSXTYCWLXEWJWECWIWKUMUNYCWRXSBWIYCWQXIWOYCWPXHWECWNUOUPUNUQURU
      SUTWGDTZWHWBYBXMWAWGDFVAYDYAXLAYDXTXKXFYDXSXJBWIYDWOXGXIWGDWNVBVCUQVDUSVE
      XCVFVGFVHKXRWBUFFEVIOVHGEVIVJVKDFVHVLVMVNXPXOXMWAWBXMVOVPVQVRVS @.
      @( [ ?] @) @( [8-Sep-2006] @)

    @( The closure of a subset of a metric space consists of the subset and
       the accumulation points of the subset.  Definition of closure of
       [Kreyszig] p. 21. @)
    clsval2 @p |- ( ( M e. MetSp /\ S (_ X ) -> ( ( cls ` M ) ` S ) =
                 ( S u. { x e. X | x ( acc ` M ) S } ) ) @=
      ? @.

    @( The interior of a subset of a metric space is the union of all the balls
       it includes.  From Definition 2.20(e) of [Rudin] p. 28.  Rudin uses
       "neighborhood" for what we call "ball." @)
    ntrval @p |- ( ( M e. MetSp /\ S (_ X ) -> ( ( int ` M ) ` S ) =
                 U. { x e. ran ( ball ` M ) | x (_ S } ) @=
?@.
  @}
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                       Convergence and completeness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c ~~>m $.  $( Limit arrow. $)
  $c Cau $.
  $c CMet $.

  $( Extend class notation with a function on metric spaces whose value is
     the convergence relation for limit sequences in the space. $)
  clm $a class ~~>m $.

  $( Extend class notation with a function on metric spaces whose value is the
     set of all Cauchy sequences of the space. $)
  cca $a class Cau $.

  $( Extend class notation with class of complete metric spaces. $)
  cms $a class CMet $.

  ${
    $d j k m x y f z w $.
    $( Define a function on metric spaces whose value is the convergence
       relation for the space.  Although ` f ` is typically a function from
       upper integers to the metric space, it doesn't have to be.
       Unfortunately, the expression after " ` w = ` " must exist to use
       ~ fvopab4 , and we use the otherwise unnecessary conjunct
       ` f (_ ( CC X. dom dom z ) ` to ensure that.  This could be changed
       to the more liberal (but more complex)
       ` f (_ ( CC X. ( dom dom z u. { (/) } ) ) ` if we want to allow for
       functions with undefined values. $)
    df-lm $a |- ~~>m = { <. z , w >. | ( z e. Met /\ w = { <. f , y >. |
      ( f (_ ( CC X. dom dom z ) /\ y e. dom dom z /\ A. x e. RR ( 0 < x ->
       E. j e. ZZ A. k e. ZZ ( j <_ k -> ( ( f ` k ) e. dom dom z /\
           ( ( f ` k ) D y ) < x ) ) ) ) } ) } $.

    $( Define a function on metric spaces whose value is the set of Cauchy
       sequences of the space. $)
    df-cau $a |- Cau = { <. z , w >. | ( z e. Met /\ w = { f |
           ( f (_ ( CC X. dom dom z ) /\ A. x e. RR ( 0 < x ->
          E. j e. ZZ A. k e. ZZ A. m e. ZZ ( ( j <_ k /\ j <_ m ) ->
            ( ( f ` k ) e. dom dom z /\ ( f ` m ) e. dom dom z /\
             ( ( f ` k ) D ( f ` m ) ) < x ) ) ) ) } ) } $.

    $( Define the class of complete metrics. $)
    df-cmet $a |- CMet = { x e. Met | A. f e. ( Cau ` x )
           E. y e. dom dom x f ( ~~>m ` x ) y } $.
  $}

  ${
    $d f j k m w x y z D $.  $d f w y z X $.
    lmfval.1 $e |- X = dom dom D $.
    $( The relation "sequence ` f ` converges to point ` y ` " in a metric
       space. $)
    lmfval $p |- ( D e. Met -> ( ~~>m ` D ) =
      { <. f , y >. | ( f (_ ( CC X. X ) /\ y e. X /\ A. x e. RR ( 0 < x ->
             E. j e. ZZ A. k e. ZZ ( j <_ k ->
      ( ( f ` k ) e. X /\ ( ( f ` k ) D y ) < x ) ) ) ) } ) $=
      ( vz vw cme wcel cv cc cxp wss cc0 clt wbr cle cfv co wa wi cz wral wrex
      cr w3a copab cvv clm wceq cpw xpexg cdm dmexg syl syl5eqel axcnex mpan
      pwexg 3syl sylanc df-3an visset elpw 3anbi1i bitr3 opabbii opabssxp
      eqsstr3 ssexg dmeq dmeqd syl6eqr xpeq2 sseq2d eleq2d anbi1d imbi2d
      rexralbidv ralbidv 3anbi123d opabbidv df-lm fvopab4g mpdan ) CKLZDMZNGOZP
      ZBMZGLZQAMZRSZEMFMZTSZWQWJUAZGLZWSWMCUBWORSZUCZUDZFUEUFEUEUGZUDZAUHUFZUIZ
      DBUJZUKLZCULUAXHUMWIWKUNZGOZUKLZXIXJUKLZGUKLZXLWIXJGUKUKUOWIXNWKUKLZXMWIC
      UPZUPZUKGWIXPUKLXQUKLCKUQXPUKUQURHUSZNUKLXNXOUTNGUKUKUOVAWKUKVBVCXRVDXHXK
      PXLXIXHWJXJLZWNUCXFUCZDBUJXKXTXGDBXTXSWNXFUIXGXSWNXFVEXSWLWNXFWJWKDVFVGVH
      VIVJXFDBXJGVKVLXHXKUKVMVAURIJCWJNIMZUPZUPZOZPZWMYCLZWPWRWSYCLZXAUCZUDZFUE
      UFEUEUGZUDZAUHUFZUIZDBUJXHKUKULYACUMZYMXGDBYNYEWLYFWNYLXFYNYDWKWJYNYCGUMY
      DWKUMYNYCXQGYNYBXPYACVNVOHVPZYCGNVQURVRYNYCGWMYOVSYNYKXEAUHYNYJXDWPYNYIXC
      EFUEUEYNYHXBWRYNYGWTXAYNYCGWSYOVSVTWAWBWAWCWDWEABIJCDEFWFWGWH $.
      $( [7-Sep-2007] $) $( [7-Sep-2006] $)

    $( The set of Cauchy sequences on a metric space. $)
    caufval $p |- ( D e. Met -> ( Cau ` D ) = { f |
           ( f (_ ( CC X. X ) /\ A. x e. RR ( 0 < x ->
          E. j e. ZZ A. k e. ZZ A. m e. ZZ ( ( j <_ k /\ j <_ m ) ->
            ( ( f ` k ) e. X /\ ( f ` m ) e. X /\
             ( ( f ` k ) D ( f ` m ) ) < x ) ) ) ) } ) $=
      ( vz vw cme wcel cv cc cxp wss cc0 clt wbr cle wa cfv co w3a wi cz wral
      wrex cr cab cvv cca wceq cdm dmexg syl syl5eqel axcnex xpexg mpan
      abssexg 3syl dmeq dmeqd syl6eqr xpeq2 sseq2d eleq2d 3anbi12d imbi2d
      ralbidv rexralbidv anbi12d abbidv df-cau fvopab4g mpdan ) BKLZCMZNGOZPZQA
      MZRSZDMZEMZTSWDFMZTSUAZWEVSUBZGLZWFVSUBZGLZWHWJBUCWBRSZUDZUEZFUFUGZEUFUGD
      UFUHZUEZAUIUGZUAZCUJZUKLZBULUBWTUMVRGUKLZVTUKLZXAVRBUNZUNZUKGVRXDUKLXEUKL
      BKUOXDUKUOUPHUQNUKLXBXCURNGUKUKUSUTWRCVTUKVAVBIJBVSNIMZUNZUNZOZPZWCWGWHXH
      LZWJXHLZWLUDZUEZFUFUGZEUFUGDUFUHZUEZAUIUGZUAZCUJWTKUKULXFBUMZXSWSCXTXJWAX
      RWRXTXIVTVSXTXHGUMXIVTUMXTXHXEGXTXGXDXFBVCVDHVEZXHGNVFUPVGXTXQWQAUIXTXPWP
      WCXTXOWODEUFUFXTXNWNFUFXTXMWMWGXTXKWIXLWKWLXTXHGWHYAVHXTXHGWJYAVHVIVJVKVL
      VJVKVMVNAIJBCDEFVOVPVQ $.
      $( [7-Sep-2007] $) $( [8-Sep-2006] $)
  $}

  ${
    $d f j k x y D $.
    $( The metric space convergence relation is a relation. $)
    lmrel $p |- ( D e. Met -> Rel ( ~~>m ` D ) ) $=
      ( vf vy vx vj vk cme wcel clm cfv wrel cv cc cdm cxp wss cc0 clt wbr cle
      co wa wi cz wral wrex cr w3a copab relopab wceq wb eqid lmfval releq syl
      mpbiri ) AGHZAIJZKZBLZMANNZOPCLZVBHQDLZRSELFLZTSVEVAJZVBHVFVCAUAVDRSUBUCF
      UDUEEUDUFUCDUGUEUHZBCUIZKZVGBCUJURUSVHUKUTVIULDCABEFVBVBUMUNUSVHUOUPUQ $.
      $( [10-Sep-2007] $) $( [7-Dec-2006] $)
  $}

  ${
    $d f j k m w x y z F $.  $d f j k m w x y z D $.
    $d j k w x z P $.  $d f m w y z X $.
    lmbr.1 $e |- X = dom dom D $.
    $( Express the binary relation "sequence ` F ` converges to point ` P ` "
       in a metric space.  Definition 1.4-1 of [Kreyszig] p. 25.  The
       condition ` F (_ ( CC X. X ) ` allows us to use objects more general
       than sequences when convenient; see the comment in ~ df-lm . $)
    lmbr $p |- ( ( D e. Met /\ P e. A ) -> ( F ( ~~>m ` D ) P <->
    ( F (_ ( CC X. X ) /\ P e. X /\ A. x e. RR ( 0 < x -> E. j e. ZZ A. k e. ZZ
           ( j <_ k -> ( ( F ` k ) e. X /\ ( ( F ` k ) D P ) < x ) ) ) ) ) ) $=
      ( vz vw cme wcel wa clm cfv wbr cc cxp wss cc0 cv clt cle co wi cz wral
      wrex cr w3a cvv simpll wrel brrelex lmrel sylan anim1i an1rs jca pm3.26
      ssexg cdm dmexg syl syl5eqel axcnex xpexg mpan sylan2 ancoms adantrl
      simprl anassrs 3ad2antr1 copab wceq wb lmfval breq sseq1 fveq1 eleq1d
      opreq1d breq1d anbi12d imbi2d rexralbidv ralbidv 3anbi13d eleq1 opreq2
      anbi2d 3anbi23d eqid brabg sylan9bb pm5.21nd ) CLMZDBMZNZGDCOPZQZGRHSZTZD
      HMZUAAUBZUCQZEUBFUBZUDQZXIGPZHMZXKDCUEZXGUCQZNZUFZFUGUHEUGUIZUFZAUJUHZUKZ
      WSGULMZWTNZNZXAXCNWSYBWSWTXCUMWSXCWTYBWSXCNYAWTXBUNXCYAWSGDXBUOCUPUQURUSU
      TXAXFXEYCXSWSWTXEYCWSWTXENZNZWSYBWSYDVAYEYAWTWSXEYAWTXEWSYAXEXDULMZYAWSGX
      DULVBWSHULMZYFWSCVCZVCZULHWSYHULMYIULMCLVDYHULVDVEIVFRULMYGYFVGRHULULVHVI
      VEVJVKVLWSWTXEVMUTUTVNVOWSXCGDJUBZXDTZKUBZHMZXHXJXIYJPZHMZYNYLCUEZXGUCQZN
      ZUFZFUGUHEUGUIZUFZAUJUHZUKZJKVPZQZYBXTWSXBUUDVQXCUUEVRAKCJEFHIVSGDXBUUDVT
      VEUUCXEYMXHXJXLXKYLCUEZXGUCQZNZUFZFUGUHEUGUIZUFZAUJUHZUKXTJKGDULBUUDYJGVQ
      ZYKXEUUBUULYMYJGXDWAUUMUUAUUKAUJUUMYTUUJXHUUMYSUUIEFUGUGUUMYRUUHXJUUMYOXL
      YQUUGUUMYNXKHXIYJGWBZWCUUMYPUUFXGUCUUMYNXKYLCUUNWDWEWFWGWHWGWIWJYLDVQZYMX
      FUULXSXEYLDHWKUUOUUKXRAUJUUOUUJXQXHUUOUUIXPEFUGUGUUOUUHXOXJUUOUUGXNXLUUOU
      UFXMXGUCYLDXKCWLWEWMWGWHWGWIWNUUDWOWPWQWR $.
      $( [10-Sep-2007] $) $( [7-Dec-2006] $)

    ${
      $d j x D $.  $d j k N $.  $d j k x X $.  $d j k x Z $.  $d j k x R $.
      lmbr2.3 $e |- N e. ZZ $.
      lmbr2.4 $e |- Z = ( ZZ> ` N ) $.
      $( Express the binary relation "sequence ` F ` converges to point ` P ` "
         in a metric space using an abitrary set of upper integers. $)
      lmbr2 $p |-  ( ( D e. Met /\ P e. A ) -> ( F ( ~~>m ` D ) P <->
      ( F (_ ( CC X. X ) /\ P e. X /\ A. x e. RR ( 0 < x -> E. j e. Z A. k e. Z
           ( j <_ k -> ( ( F ` k ) e. X /\ ( ( F ` k ) D P ) < x ) ) ) ) ) ) $=
        ( cme wcel wa clm cfv wbr cc cxp wss cc0 cv clt cle co wi cz wral wrex
        cr w3a lmbr cuz eqimss2i uzssz eqsstr cvg3 imbi2i ralbii 3anbi3i
        syl6bb ) CNODBOPGDCQRSGTIUAUBZDIOZUCAUDZUESZEUDFUDZUFSVHGRZIOVIDCUGVFUE
        SPZUHZFUIUJEUIUKZUHZAULUJZUMVDVEVGVKFJUJEJUKZUHZAULUJZUMABCDEFGIKUNVNVQ
        VDVEVMVPAULVLVOVGVJEFHHJJLJHUORZMUPZJVRUIMHUQURZLVSVTUSUTVAVBVC $.
        $( [11-Sep-2007] $) $( [19-Dec-2006] $)

      $( Express the binary relation "sequence ` F ` converges to point ` P ` "
         in a metric space using an abitrary set of upper integers.  This
         version of ~ lmbr2 presupposes that ` F ` is a function. $)
      lmbrf $p |-  ( ( D e. Met /\ P e. A /\ F : Z --> X ) ->
   ( F ( ~~>m ` D ) P <-> ( P e. X /\ A. x e. RR ( 0 < x -> E. j e. Z A. k e. Z
           ( j <_ k -> ( ( F ` k ) D P ) < x ) ) ) ) ) $=
        ( cme wcel wf w3a clm cfv wbr cc cxp wss cc0 cv clt cle co wa wi wral
        wrex cr wb lmbr2 3adant3 fssxp cuz cz uzssz zsscn sstri eqsstr ssid
        ssxp mp2an sstr mpan2 syl biantrurd 3anass syl6rbbr ffvelrn imbi2d
        ralbidva rexbidv ralbidv anbi2d bitr4d 3ad2ant3 bitrd ) CNOZDBOZJIGPZQG
        DCRSTZGUAIUBZUCZDIOZUDAUEZUFTZEUEFUEZUGTZWKGSZIOZWMDCUHWIUFTZUIZUJZFJUK
        ZEJULZUJZAUMUKZQZWHWJWLWOUJZFJUKZEJULZUJZAUMUKZUIZWBWCWEXBUNWDABCDEFGHI
        JKLMUOUPWDWBXBXHUNWCWDXBWHXAUIZXHWDXIWGXIUIXBWDWGXIWDGJIUBZUCZWGJIGUQXK
        XJWFUCZWGJUAUCIIUCXLJHURSZUAMXMUSUAHUTVAVBVCIVDJUAIIVEVFGXJWFVGVHVIVJWG
        WHXAVKVLWDXGXAWHWDXFWTAUMWDXEWSWJWDXDWREJWDXCWQFJWDWKJOUIZWOWPWLXNWNWOJ
        IWKGVMVJVNVOVPVNVQVRVSVTWA $.
        $( [15-Sep-2007] $) $( [20-Jul-2007] $)

      $( Express the binary relation "sequence ` F ` converges to point ` P ` "
         in a metric space using an abitrary set of upper integers.  This
         version of ~ lmbrf presupposes that the convergence point is in the
         metric space. $)
      lmbrf2 $p |-  ( ( D e. Met /\ P e. X /\ F : Z --> X ) ->
   ( F ( ~~>m ` D ) P <-> A. x e. RR ( 0 < x -> E. j e. Z A. k e. Z
           ( j <_ k -> ( ( F ` k ) D P ) < x ) ) ) ) $=
        ( cme wcel wf w3a clm cfv wbr cc0 cv clt cle co wi wral wrex cr wa
        lmbrf 3simp2 biantrurd bitr4d ) BMNZCHNZIHFOZPZFCBQRSUOTAUAZUBSDUAEUAZU
        CSUSFRCBUDURUBSUEEIUFDIUGUEAUHUFZUIUTAHBCDEFGHIJKLUJUQUOUTUNUOUPUKULUM
        $.
        $( [5-Oct-2007] $) $( [24-Jul-2007] $)

      $( Convergence property of a converging sequence. $)
      lmcvg $p |- ( ( ( D e. Met /\ P e. A /\ F ( ~~>m ` D ) P ) /\
             ( R e. RR /\ 0 < R ) ) -> E. j e. Z A. k e. Z
           ( j <_ k -> ( ( F ` k ) e. X /\ ( ( F ` k ) D P ) < R ) ) ) $=
        ( vx cme wcel clm cfv wbr w3a cr cc0 clt cv cle co wa wi wral wrex cc
        cxp wss lmbr2 biimp3a 3simp3d wceq breq2 anbi2d imbi2d rexralbidv
        imbi12d rcla4cv syl imp32 ) BOPZCAPZGCBQRSZTZDUAPZUBDUCSZEUDFUDZUESZVLG
        RZIPZVNCBUFZDUCSZUGZUHZFJUIEJUJZVIUBNUDZUCSZVMVOVPWAUCSZUGZUHZFJUIEJUJZ
        UHZNUAUIZVJVKVTUHZUHVIGUKIULUMZCIPZWHVFVGVHWJWKWHTNABCEFGHIJKLMUNUOUPWG
        WINDUAWADUQZWBVKWFVTWADUBUCURWLWEVSEFJJWLWDVRVMWLWCVQVOWADVPUCURUSUTVAV
        BVCVDVE $.
        $( [29-Sep-2007] $) $( [1-Jun-2007] $)

      $( MAY BE REVISED - use this to improve uses of lmcvg $)
      $( Convergence property of a converging sequence. $)
      lmcvg2 $p |- ( ( ( D e. Met /\ P e. A /\ F ( ~~>m ` D ) P ) /\
             ( R e. RR /\ 0 < R ) ) -> E. j e. Z A. k e. Z
           ( j <_ k -> ( ( F ` k ) D P ) < R ) ) $=
        ( cme wcel clm cfv wbr w3a cr cc0 clt wa cv cle co wi wral wrex lmcvg
        pm3.27 imim2i r19.20si r19.22si syl ) BNOCAOGCBPQRSDTOUADUBRUCUCEUDFUDZ
        UERZUPGQZIOZURCBUFDUBRZUCZUGZFJUHZEJUIUQUTUGZFJUHZEJUIABCDEFGHIJKLMUJVC
        VEEJVBVDFJVAUTUQUSUTUKULUMUNUO $.
        $( [30-Sep-2007] $) $( [20-Jul-2007] $)

      $( A constant sequence converges to its value. $)
      lmconst $p |- ( ( D e. Met /\ P e. X ) ->
                     ( Z X. { P } ) ( ~~>m ` D ) P ) $=
        ( vx vj vk cme wcel wa csn cxp clm cfv wbr cc0 cv clt cle co wi wral
        wrex cr wceq breq1 imbi1d ralbidv rcla4ev cz cuz uzidt syl6eleqr ax-mp
        a1i fvconst2g adantll opreq1d met0 adantr eqtrd adantlr simplr eqbrtrd
        a1d r19.21aiva sylanc ex r19.21aiv wf wb wss fss fconstg snssi adantl
        lmbrf2 mpd3an3 mpbird ) ALMZBDMZNZEBOZPZBAQRSZTIUAZUBSZJUAZKUAZUCSZWMWH
        RZBAUDZWJUBSZUEZKEUFZJEUGZUEZIUHUFZWFXAIUHWFXAWJUHMWFWKWTCEMZCWMUCSZWQU
        EZKEUFZWTWFWKNZWSXFJCEWLCUIZWRXEKEXHWNXDWQWLCWMUCUJUKULUMXCXGCUNMZXCGXI
        CCUORECUPHUQURUSXGXEKEXGWMEMZNZWQXDXKWPTWJUBWFXJWPTUIWKWFXJNZWPBBAUDZTX
        LWOBBAWEXJWOBUIWDEBWMDUTVAVBWFXMTUIXJBADFVCVDVEVFWFWKXJVGVHVIVJVKVLVIVM
        WDWEEDWHVNZWIXBVOWEXNWDEWGWHVNWGDVPXNWEEWGDWHVQEBDVRBDVSVKVTIABJKWHCDEF
        GHWAWBWC $.
        $( [25-Dec-2007] $) $( [8-Nov-2007] $)
    $}

    ${
      $d j k x X $.
      $( A condition that implies convergence. $)
      lmnn $p |- ( ( ( D e. Met /\ P e. X ) /\ ( F : NN --> X /\ A. k e. NN
                 ( ( F ` k ) D P ) < ( 1 / k ) ) ) -> F ( ~~>m ` D ) P ) $=
        ( vx vj cme wcel wa cn wf cv cfv co c1 cdiv clt wbr wral clm cc0 cle
        wi wrex cr caddc cfl wceq breq1 imbi1d ralbidv rcla4ev flge1nnt wne
        gt0ne0t rerecclt syldan peano2re syl 0re ltlet mpan recgt0t sylc wb
        1re addge02t mpbid sylanc ad2antlr metcl 3com23 3expa ffvelrn sylan2
        anassrs adantlr adantr nnrecret simprl ad2antrr flltp1t cz 1z fladdzt
        mpan2 breqtrrd ltletrt pm3.26 flreclt nnret adantl syl3anc mpand sylan
        ltrec1t nngt0t jca sylibd ancoms syld adantll a1d imp32 ltletrd exp32
        r19.20dva imp exp31 com23 exp4a r19.21adv simplr jctild nnuz lmbrf
        sylibrd anasss ) AIJZBEJZKZLEDMZCNZDOZBAPZQYERPZSTZCLUAZDBAUBOTZYCYDKZY
        JYKYLYJYBUCGNZSTZHNZYEUDTZYGYMSTZUEZCLUAZHLUFZUEZGUGUAZKZYKYLYJUUBYBYLY
        JUUAGUGYLYJYMUGJZYNYTYLUUDYNKZYJYTYLUUEYJYTQYMRPZQUHPZUIOZLJZUUHYEUDTZY
        QUEZCLUAZYTYLUUEKZYJKYSUULHUUHLYOUUHUJZYRUUKCLUUNYPUUJYQYOUUHYEUDUKULUM
        UNUUEUUIYLYJUUGUGJZQUUGUDTZUUIUUEUUGUOUUEUUFUGJZUUOUUDYNYMUCUPUUQYMUQYM
        URUSZUUFUTZVAUUEUCUUFUDTZUUPUUQUCUUFSTZUUTUUEUCUGJUUQUVAUUTUEVBUCUUFVCV
        DUURYMVEVFUUEUUQUUTUUPVGZUURQUGJUUQUVBVHQUUFVIVDVAVJVKVLUUMYJUULUUMYIUU
        KCLUUMYELJZKZYIUUJYQUVDYIUUJKZKYGYHYMUVDYGUGJZUVEYLUVCUVFUUEYCYDUVCUVFY
        CYFEJZUVFYDUVCKYAYBUVGUVFYAUVGYBUVFYFBAEFVMVNVOLEYEDVPVQVRVSVTUVCYHUGJZ
        UUMUVEYEWAZVLUUMUUDUVCUVEYLUUDYNWBWCUVDYIUUJWBUVDYIUUJYHYMUDTZUVDUUJUVJ
        UEZYIUUEUVCUVKYLUUEUVCKZUUJYHYMSTZUVJUVLUUJUUFYESTZUVMUUQUVCUUJUVNUEUUE
        UUQUVCKZUUFUUHSTZUUJUVNUUQUVPUVCUUQUUFUUFUIOQUHPZUUHSUUFWDUUQQWEJUUHUVQ
        UJWFUUFQWGWHWIVTUUQUUHUGJZYEUGJZUVPUUJKUVNUEUVOUUFUUHYEWJUUQUVCWKUUQUVR
        UVCUUQUUOUVRUUSUUGWLVAVTUVCUVSUUQYEWMZWNWOWPUURWQUUEUVSUCYESTZKUVNUVMVG
        UVCYMYEWRUVCUVSUWAUVTYEWSWTVQXAUUDUVCUVMUVJUEZYNUVCUUDUWBUVHUUDUWBUVCYH
        YMVCUVIWQXBVSXCXDXEXFXGXHXIXJVKXKXLXMXNYAYBYDXOXPYAYBYDYKUUCVGGEABHCDQE
        LFWFXQXRVOXSXJXT $.
        $( [6-Oct-2007] $) $( [8-Jun-2007] $)
    $}

    $( Express the property " ` F ` is a Cauchy sequence of metric ` D ` ."
       Part of Definition 1.4-3 of [Kreyszig] p. 28.  The condition
       ` F (_ ( CC X. X ) ` allows us to use objects more general than
       sequences when convenient; see the comment in ~ df-lm . $)
    iscau $p |- ( D e. Met -> ( F e. ( Cau ` D ) <-> ( F (_ ( CC X. X ) /\
                 A. x e. RR ( 0 < x -> E. j e. ZZ A. k e. ZZ A. m e. ZZ (
              ( j <_ k /\ j <_ m ) -> ( ( F ` k ) e. X /\ ( F ` m ) e. X /\
                 ( ( F ` k ) D ( F ` m ) ) < x ) ) ) ) ) ) $=
      ( vf cme wcel cca cfv cc0 cv clt wbr cle wa co w3a wi cz wral wrex cr cc
      cxp cpw crab wss cab caufval df-rab visset elpw anbi1i abbii eqtr2
      syl6eq eleq2d cvv wb cdm dmexg syl syl5eqel axcnex xpexg mpan elpw2g
      anbi1d wceq fveq1 eleq1d opreq12d breq1d 3anbi123d imbi2d ralbidv
      rexralbidv elrab syl5bb bitrd ) BJKZFBLMZKFNAOZPQZCOZDOZRQWIEOZRQSZWJIOZM
      ZGKZWKWMMZGKZWNWPBTZWGPQZUAZUBZEUCUDZDUCUDCUCUEZUBZAUFUDZIUGGUHZUIZUJZKZF
      XFUKZWHWLWJFMZGKZWKFMZGKZXKXMBTZWGPQZUAZUBZEUCUDZDUCUDCUCUEZUBZAUFUDZSZWE
      WFXHFWEWFWMXFUKZXESZIULZXHABICDEGHUMXHWMXGKZXESZIULYFXEIXGUNYHYEIYGYDXEWM
      XFIUOUPUQURUSUTVAWEFXGKZYBSYCXIWEYIXJYBWEXFVBKZYIXJVCWEGVBKZYJWEBVDZVDZVB
      GWEYLVBKYMVBKBJVEYLVBVEVFHVGUGVBKYKYJVHUGGVBVBVIVJVFFXFVBVKVFVLXEYBIFXGWM
      FVMZXDYAAUFYNXCXTWHYNXBXSCDUCUCYNXAXREUCYNWTXQWLYNWOXLWQXNWSXPYNWNXKGWJWM
      FVNZVOYNWPXMGWKWMFVNZVOYNWRXOWGPYNWNXKWPXMBYOYPVPVQVRVSVTWAVSVTWBWCWD $.
      $( [10-Sep-2007] $) $( [7-Dec-2006] $)

    ${
      $d j k x D $.  $d j k m N $.  $d j k x X $.  $d j k m x y Z $.
      iscau3.3 $e |- N e. ZZ $.
      iscau3.4 $e |- Z = ( ZZ> ` N ) $.
      $( Express the property " ` F ` is a Cauchy sequence of metric ` D ` ,"
         using an abitrary set of upper integers. $)
      iscau2 $p |- ( D e. Met -> ( F e. ( Cau ` D ) <-> ( F (_ ( CC X. X ) /\
                 A. x e. RR ( 0 < x -> E. j e. Z A. k e. Z A. m e. Z (
              ( j <_ k /\ j <_ m ) -> ( ( F ` k ) e. X /\ ( F ` m ) e. X /\
                 ( ( F ` k ) D ( F ` m ) ) < x ) ) ) ) ) ) $=
        ( cme wcel cca cfv cc cxp wss cc0 cv clt wbr cle wa co w3a wi cz wral
        wrex cr iscau cau5 imbi2i ralbii anbi2i syl6bb ) BMNFBOPNFQHRSZTAUAZUBU
        CZCUAZDUAZUDUCVBEUAZUDUCUEVCFPZHNVDFPZHNVEVFBUFUTUBUCUGZUHZEUIUJDUIUJCU
        IUKZUHZAULUJZUEUSVAVHEIUJDIUJCIUKZUHZAULUJZUEABCDEFHJUMVKVNUSVJVMAULVIV
        LVAVGDECGIKLUNUOUPUQUR $.
        $( [21-Sep-2007] $) $( [19-Dec-2006] $)

      $( Express the property " ` F ` is a Cauchy sequence of metric ` D ` "
         with one less quantifier. $)
      iscau3 $p |- ( D e. Met -> ( F e. ( Cau ` D ) <-> ( F (_ ( CC X. X ) /\
                   A. x e. RR ( 0 < x -> E. j e. Z A. k e. Z (
                j <_ k -> ( ( F ` j ) e. X /\ ( F ` k ) e. X /\
                   ( ( F ` j ) D ( F ` k ) ) < x ) ) ) ) ) ) $=
        ( vm vy cme wcel cca cfv cc cxp wss cc0 cv clt wbr cle wa co w3a wi
        wral wrex cr iscau2 c2 cdiv wceq fveq2 eleq1d opreq2d breq1d 3anbi23d
        opreq1d 3anbi13d breq2 3anbi3d anbi12d 3simp2 adantr a1i adantl caddc
        lt2halvest metcl 3expb adantlr adantrrr adantrrl simplr syl3anc
        mettri4 exp43 imp44 ancom2s lelttrt ad2ant2rl axaddrcl sylanc mpand
        syld exp32 adantld 3impd an6 syl5ib 3jcad cuz cz uzssz eqsstr cau3
        anbi2d bitr4d ) BNOZEBPQOERGSTZUAAUBZUCUDZLUBZCUBZUEUDXGDUBZUEUDUFXHEQZ
        GOZXIEQZGOZXJXLBUGZXEUCUDZUHZUIDHUJCHUJLHUKUIAULUJZUFXDXFXHXIUEUDXPUIDH
        UJCHUKUIAULUJZUFABLCDEFGHIJKUMXCXRXQXDXPXKXGEQZGOZXJXSBUGZXEUCUDZUHZXMX
        TXLXSBUGZXEUCUDZUHXKXMXNMUBZUNUOUGZUCUDZUHZXKXTYAYGUCUDZUHZUFZXMXTYDYFU
        CUDZUHZAMCDLHXCXIXGUPZXMXTXOYBXKYOXLXSGXIXGEUQZURYOXNYAXEUCYOXLXSXJBYPU
        SUTVAXHXIUPZXKXMYBYEXTYQXJXLGXHXIEUQZURYQYAYDXEUCYQXJXLXSBYRVBUTVCXEYGU
        PZXPYIYCYKYSXOYHXKXMXEYGXNUCVDVEYSYBYJXKXTXEYGYAUCVDVEVFXEYFUPYEYMXMXTX
        EYFYDUCVDVEXCYFULOZUFZYLYNUIXHHOXIHOXGHOUHUUAYLXMXTYMYLXMUIUUAYIXMYKXKX
        MYHVGVHVIYLXTUIUUAYKXTYIXKXTYJVGVJVIUUAXKXKUFZXMXTUFZYHYJUFZUHYMYLUUAUU
        BUUCUUDYMUUAXKUUCUUDYMUIZUIXKUUAXKUUCUUEUUAXKUUCUFZUFZUUDXNYAVKUGZYFUCU
        DZYMXNULOZYAULOZYTUUDUUIUIUUGXNYAYFVLUUAXKXMUUJXTXCXKXMUFUUJYTXCXKXMUUJ
        XJXLBGIVMVNZVOVPUUAXKXTUUKXMXCXKXTUFUUKYTXCXKXTUUKXJXSBGIVMVNZVOVQXCYTU
        UFVRZVSUUGYDUUHUEUDZUUIYMXCUUFUUOYTXCUUCXKUUOXCXMXTXKUUOXCXMXTXKUUOXLXS
        XJBGIVTWAWBWCVOYDULOZUUHULOZYTUUOUUIUFYMUIUUGYDUUHYFWDXCUUCUUPYTXKXCXMX
        TUUPXLXSBGIVMVNWEXCUUFUUQYTUUJUUKUUQXCUUFUFXNYAWFXCXKXMUUJXTUULVPXCXKXT
        UUKXMUUMVQWGVOUUNVSWHWIWJWKWLXKXMYHXKXTYJWMWNWOVHHFWPQWQKFWRWSWTXAXB $.
        $( [12-Oct-2007] $) $( [14-Dec-2006] $)

      $( Express the property " ` F ` is a Cauchy sequence of metric ` D ` "
         presupposing ` F ` is a function. $)
      iscauf $p |- ( ( D e. Met /\ F : Z --> X ) -> ( F e. ( Cau ` D ) <->
          A. x e. RR ( 0 < x -> E. j e. Z A. k e. Z ( j <_ k ->
                   ( ( F ` j ) D ( F ` k ) ) < x ) ) ) ) $=
        ( cme wcel cca cfv cc cxp wss cc0 cv clt wbr cle co w3a wi wral wrex
        cr wa wf iscau3 ffvelrn adantr adantlr jca biantrurd df-3an syl6bbr
        imbi2d ralbidva rexbidva ralbidv fssxp cuz cz uzssz zsscn sstri eqsstr
        ssid ssxp mp2an sstr mpan2 syl bitr2d sylan9bb ) BLMEBNOMEPGQZRZSATZUAU
        BZCTZDTZUCUBZWCEOZGMZWDEOZGMZWFWHBUDWAUAUBZUEZUFZDHUGZCHUHZUFZAUIUGZUJZ
        HGEUKZWBWEWJUFZDHUGZCHUHZUFZAUIUGZABCDEFGHIJKULWRXCWPWQWRXBWOAUIWRXAWNW
        BWRWTWMCHWRWCHMZUJZWSWLDHXEWDHMZUJZWJWKWEXGWJWGWIUJZWJUJWKXGXHWJXGWGWIX
        EWGXFHGWCEUMUNWRXFWIXDHGWDEUMUOUPUQWGWIWJURUSUTVAVBUTVCWRVTWPWREHGQZRZV
        THGEVDXJXIVSRZVTHPRGGRXKHFVEOZPKXLVFPFVGVHVIVJGVKHPGGVLVMEXIVSVNVOVPUQV
        QVR $.
        $( [12-Oct-2007] $) $( [24-Jul-2007] $)
    $}

    ${
      $d j k x D $.  $d j k x X $.
      $( MAY BE REVISED? $)
      $( Express the property " ` F ` is a Cauchy sequence of metric
         ` D ` ." $)
      iscau4 $p |- ( D e. Met -> ( F e. ( Cau ` D ) <-> ( F (_ ( CC X. X )
                /\ A. x e. RR ( 0 < x -> E. j e. ZZ A. k e. ZZ (
                j <_ k -> ( ( F ` j ) e. X /\ ( F ` k ) e. X /\
                   ( ( F ` j ) D ( F ` k ) ) < x ) ) ) ) ) ) $=
        ( vm vy cme wcel cca cfv cc cxp wss cc0 cv clt wbr cle wa co w3a wi cz
        wral wrex cr iscau c2 cdiv wceq fveq2 eleq1d opreq2d breq1d 3anbi23d
        opreq1d 3anbi13d breq2 3anbi3d anbi12d 3simp2 adantr a1i adantl caddc
        lt2halvest metcl 3expb adantlr adantrrr adantrrl simplr syl3anc
        mettri4 exp43 imp44 ancom2s lelttrt ad2ant2rl axaddrcl sylanc mpand
        syld exp32 adantld 3impd an6 syl5ib 3jcad ssid cau3 anbi2d bitr4d ) BJK
        ZEBLMKENFOPZQARZSTZHRZCRZUATXADRZUATUBXBEMZFKZXCEMZFKZXDXFBUCZWSSTZUDZU
        EDUFUGCUFUGHUFUHUEAUIUGZUBWRWTXBXCUATXJUEDUFUGCUFUHUEAUIUGZUBABHCDEFGUJ
        WQXLXKWRXJXEXAEMZFKZXDXMBUCZWSSTZUDZXGXNXFXMBUCZWSSTZUDXEXGXHIRZUKULUCZ
        STZUDZXEXNXOYASTZUDZUBZXGXNXRXTSTZUDZAICDHUFWQXCXAUMZXGXNXIXPXEYIXFXMFX
        CXAEUNZUOYIXHXOWSSYIXFXMXDBYJUPUQURXBXCUMZXEXGXPXSXNYKXDXFFXBXCEUNZUOYK
        XOXRWSSYKXDXFXMBYLUSUQUTWSYAUMZXJYCXQYEYMXIYBXEXGWSYAXHSVAVBYMXPYDXEXNW
        SYAXOSVAVBVCWSXTUMXSYGXGXNWSXTXRSVAVBWQXTUIKZUBZYFYHUEXBUFKXCUFKXAUFKUD
        YOYFXGXNYGYFXGUEYOYCXGYEXEXGYBVDVEVFYFXNUEYOYEXNYCXEXNYDVDVGVFYOXEXEUBZ
        XGXNUBZYBYDUBZUDYGYFYOYPYQYRYGYOXEYQYRYGUEZUEXEYOXEYQYSYOXEYQUBZUBZYRXH
        XOVHUCZXTSTZYGXHUIKZXOUIKZYNYRUUCUEUUAXHXOXTVIYOXEXGUUDXNWQXEXGUBUUDYNW
        QXEXGUUDXDXFBFGVJVKZVLVMYOXEXNUUEXGWQXEXNUBUUEYNWQXEXNUUEXDXMBFGVJVKZVL
        VNWQYNYTVOZVPUUAXRUUBUATZUUCYGWQYTUUIYNWQYQXEUUIWQXGXNXEUUIWQXGXNXEUUIX
        FXMXDBFGVQVRVSVTVLXRUIKZUUBUIKZYNUUIUUCUBYGUEUUAXRUUBXTWAWQYQUUJYNXEWQX
        GXNUUJXFXMBFGVJVKWBWQYTUUKYNUUDUUEUUKWQYTUBXHXOWCWQXEXGUUDXNUUFVMWQXEXN
        UUEXGUUGVNWDVLUUHVPWEWFWGWHWIXEXGYBXEXNYDWJWKWLVEUFWMWNWOWP $.
        $( [5-Jul-2008] $) $( [14-Dec-2006] $)

      $( MAY BE REVISED - use iscaunns instead? $)
      $( Express the property " ` F ` is a Cauchy sequence of metric
         ` D ` ." $)
      iscau5 $p |- ( ( D e. Met /\ F : NN --> X ) -> ( F e. ( Cau ` D ) <->
        A. x e. RR+ E. j e. NN A. k e. NN ( j <_ k ->
          ( ( F ` j ) D ( F ` k ) ) < x ) ) ) $=
        ( cme wcel cn wf wa cca cfv cc cxp wss cc0 cv clt wbr cle co w3a wi
        wral wrex cr crp wb c1 1z nnuz iscau3 adantr ffvelrn anim12i anandis
        anassrs biantrurd df-3an syl6bbr imbi2d ralbidva rexbidva ralbidv
        ralrp syl6bb fssxp nnsscn ssid ssxp mp2an sstr mpan2 syl bitrd adantl
        bitr4d ) BHIZJFEKZLEBMNIZEOFPZQZRASZTUACSZDSZUBUAZWFENZFIZWGENZFIZWIWKB
        UCWETUAZUDZUEZDJUFZCJUGZUEAUHUFZLZWHWMUEZDJUFZCJUGZAUIUFZVTWBWSUJWAABCD
        EUKFJGULUMUNUOWAXCWSUJVTWAXCWRWSWAXCWQAUIUFWRWAXBWQAUIWAXAWPCJWAWFJIZLZ
        WTWODJXEWGJIZLZWMWNWHXGWMWJWLLZWMLWNXGXHWMWAXDXFXHWAXDXFXHXEWJWAXFLWLJF
        WFEUPJFWGEUPUQURUSUTWJWLWMVAVBVCVDVEVFWQAVGVHWAWDWRWAEJFPZQZWDJFEVIXJXI
        WCQZWDJOQFFQXKVJFVKJOFFVLVMEXIWCVNVOVPUTVQVRVS $.
        $( [21-Mar-2008] $) $( [12-Feb-2008] $)
    $}
  $}

  ${
    $d y A $.  $d j k x D $.  $d j k x y F $.  $d j k x P $.  $d j k R $.
    $d j k x X $.
    lmbrnns.1 $e |- X = dom dom D $.
    lmbrnns.2 $e |- ( k e. NN -> A = ( F ` k ) ) $.
    $( Express the binary relation "sequence ` F ` converges to point ` P ` "
       in a metric space." $)
    lmbrnns $p |-  ( ( D e. Met /\ P e. X /\ F : NN --> X ) ->
   ( F ( ~~>m ` D ) P <-> A. x e. RR+ E. j e. NN A. k e. NN
           ( j <_ k -> ( A D P ) < x ) ) ) $=
      ( cme wcel cn wf w3a clm cfv wbr cc0 cv clt cle co wi wral wrex cr crp
      c1 1z nnuz lmbrf2 opreq1d breq1d imbi2d ralbiia rexbii ralbii ralrp
      bitr2 syl6bb ) CKLDHLMHGNOGDCPQRSATZUARETFTZUBRZVCGQZDCUCZVBUARZUDZFMUEZE
      MUFZUDAUGUEZVDBDCUCZVBUARZUDZFMUEZEMUFZAUHUEZACDEFGUIHMIUJUKULVQVJAUHUEVK
      VPVJAUHVOVIEMVNVHFMVCMLZVMVGVDVRVLVFVBUAVRBVEDCJUMUNUOUPUQURVJAUSUTVA $.
      $( [6-Jul-2008] $) $( [27-Feb-2008] $)

    $( Convergence property of a converging sequence. $)
    lmcvgnns $p |- ( ( ( D e. Met /\ P e. B ) /\ ( F ( ~~>m ` D ) P /\ R e. RR+
       ) ) -> E. j e. NN A. k e. NN ( j <_ k -> ( A D P ) < R ) ) $=
      ( cme wcel wa clm cfv wbr crp cv cle co clt wi cn wral wrex w3a cr cc0
      c1 1z nnuz lmcvg2 elrp sylan2b 3exp1 imp43 opreq1d breq1d imbi2d ralbiia
      rexbii sylibr ) CLMZDBMZNHDCOPQZERMZNNFSGSZTQZVHHPZDCUAZEUBQZUCZGUDUEZFUD
      UFZVIADCUAZEUBQZUCZGUDUEZFUDUFVDVEVFVGVOVDVEVFVGVOVDVEVFUGEUHMUIEUBQNVOVG
      BCDEFGHUJIUDJUKULUMEUNUOUPUQVSVNFUDVRVMGUDVHUDMZVQVLVIVTVPVKEUBVTAVJDCKUR
      USUTVAVBVC $.
      $( [18-Mar-2008] $) $( [27-Feb-2008] $)

    $( MAY BE REVISED - shorten with iscau5 if iscau5 is actually needed
       elsewhere.  Also:  make hyp ( F ` k ) = A ? $)
    $( Express the property " ` F ` is a Cauchy sequence of metric ` D ` ." $)
    iscaunns $p |- ( ( D e. Met /\ F : NN --> X ) -> ( F e. ( Cau ` D ) <->
        A. x e. RR+ E. j e. NN A. k e. NN ( j <_ k ->
          ( [_ j / k ]_ A D A ) < x ) ) ) $=
      ( vy cme wcel cn wf wa cca cfv cc cxp wss cc0 cv clt wbr cle co w3a wi
      wral wrex cr csb crp wb c1 1z nnuz iscau3 adantr wceq ax-17 visset
      hbcsb1 hbeq hbim eleq1 csbeq1a fveq2 eqeq12d imbi12d chvar opreqan12d
      breq1d adantll ffvelrn anim12i anandis anassrs biantrurd bitrd df-3an
      syl6bbr imbi2d ralbidva rexbidva ralbidv ralrp syl6bb fssxp nnsscn ssid
      ssxp mp2an sstr mpan2 syl adantl bitr4d ) CKLZMGFNZOFCPQLZFRGSZTZUAAUBZUC
      UDDUBZEUBZUEUDZXEFQZGLZXFFQZGLZXHXJCUFZXDUCUDZUGZUHZEMUIZDMUJZUHAUKUIZOZX
      GEXEBULZBCUFZXDUCUDZUHZEMUIZDMUJZAUMUIZWSXAXSUNWTACDEFUOGMHUPUQURUSWTYFXS
      UNWSWTYFXRXSWTYFXQAUMUIXRWTYEXQAUMWTYDXPDMWTXEMLZOZYCXOEMYHXFMLZOZYBXNXGY
      JYBXIXKOZXMOZXNYJYBXMYLYGYIYBXMUNWTYGYIOYAXLXDUCYGYIXTXHBXJCYIBXJUTZUHYGX
      TXHUTZUHEDYGYNEYGEVAEJJXTXHEJXEBDVBJUBZXELEVAVCYOXHLEVAVDVEXFXEUTZYIYGYMY
      NXFXEMVFYPBXTXJXHEXEBVGXFXEFVHVIVJIVKIVLVMVNYJYKXMWTYGYIYKWTYGYIYKYHXIWTY
      IOXKMGXEFVOMGXFFVOVPVQVRVSVTXIXKXMWAWBWCWDWEWFXQAWGWHWTXCXRWTFMGSZTZXCMGF
      WIYRYQXBTZXCMRTGGTYSWJGWKMRGGWLWMFYQXBWNWOWPVSVTWQWR $.
      $( [9-Jul-2008] $) $( [27-Feb-2008] $)
  $}

  ${
    $d f j k m x F $.  $d f j k m x y D $.  $d j k x P $.  $d f j k m x y X $.
    caun0.1 $e |- X = dom dom D $.
    $( A metric with a Cauchy sequence cannot be empty. $)
    caun0 $p |- ( ( D e. Met /\ F e. ( Cau ` D ) ) -> X =/= (/) ) $=
      ( vx vj vk cme wcel cca cfv c0 wne cc0 cv clt wbr cn wi wrex cr wral cc
      cxp wss cle co w3a wa c1 1z nnuz iscau3 3simp1 imim2i r19.20si wceq
      breq2 imbi1d rcla4cv nnret leidt pm2.27 3syl a2i r19.22si adantl syl6bi
      lt01 a1bi syl6bbr 1re ne0i com12 r19.23aiv sylbir syl syl6 imp ) AHIZBAJK
      IZCLMZVTWANEOZPQZFOZRIZWEBKZCIZSZFRTZSZEUAUBZWBVTWABUCCUDUEZWDWEGOZUFQZWH
      WNBKZCIZWGWPAUGWCPQZUHZSZGRUBZFRTZSZEUAUBZUIWLEAFGBUJCRDUKULUMXDWLWMXCWKE
      UAXBWJWDXAWIFRXAWOWHSZGRUBWFWEWEUFQZWHSZSWIWTXEGRWSWHWOWHWQWRUNUOUPXEXGGW
      ERWNWEUQWOXFWHWNWEWEUFURUSUTWFXGWHWFWEUAIXFXGWHSWEVAWEVBXFWHVCVDVEVDVFUOU
      PVGVHWLUJUAIZWJSZWBWKWJEUJUAWCUJUQZWKNUJPQZWJSWJXJWDXKWJWCUJNPURUSXKWJVIV
      JVKUTXIWJWBXHWJVLVJWIWBFRWIWFWBWHWBWFCWGVMUOVNVOVPVQVRVS $.
      $( [12-Oct-2007] $) $( [19-Dec-2006] $)

    $( The property " ` D ` is a complete metric," meaning all Cauchy sequences
       converge to a point in the space.  Part of Definition 1.4-3 of
       [Kreyszig] p. 28. $)
    iscms $p |- ( D e. CMet <-> ( D e. Met /\
                 A. f e. ( Cau ` D ) E. x e. X f ( ~~>m ` D ) x ) ) $=
      ( vy cv clm cfv wbr cdm wrex cca wral cme cms wceq fveq2 dmeq dmeqd
      syl6eqr wb breq syl rexeq12d raleq12d df-cmet elrab2 ) CGZAGZFGZHIZJZAUKK
      ZKZLZCUKMIZNUIUJBHIZJZADLZCBMIZNFBOPUKBQZUPUTCUQVAUKBMRVBUMUSAUODVBUOBKZK
      DVBUNVCUKBSTEUAVBULURQUMUSUBUKBHRUIUJULURUCUDUEUFFACUGUH $.
      $( [12-Oct-2007] $) $( [7-Sep-2006] $)

    $( The convergence of a Cauchy sequence in a complete metric space. $)
    cmscvg $p |- ( ( D e. CMet /\ F e. ( Cau ` D ) ) ->
                 E. x e. X F ( ~~>m ` D ) x ) $=
      ( vf cv clm cfv wbr wrex cca wral wcel cms wceq breq1 rexbidv rcla4cva
      cme iscms pm3.27bi sylan ) FGZAGZBHIZJZADKZFBLIZMZCUINCUEUFJZADKZBONZUHUL
      FCUIUDCPUGUKADUDCUEUFQRSUMBTNUJABFDEUAUBUC $.
      $( [11-Nov-2007] $) $( [19-Dec-2006] $)

    $( Inclusion of a function having a limit (used to ensure the limit
       relation is a set, under our definition). $)
    lmfss $p |- ( ( D e. Met /\ P e. A /\ F ( ~~>m ` D ) P ) ->
               F (_ ( CC X. X ) ) $=
      ( vx vj vk cme wcel clm cfv wbr cc cxp wss wa cc0 cv clt cle co wi cz
      wral wrex cr w3a lmbr 3simp1 syl6bi 3impia ) BJKZCAKZDCBLMNZDOEPQZUNUORUP
      UQCEKZSGTZUANHTITZUBNUTDMZEKVACBUCUSUANRUDIUEUFHUEUGUDGUHUFZUIUQGABCHIDEF
      UJUQURVBUKULUM $.
      $( [11-Feb-2008] $) $( [7-Dec-2006] $)

    $( Closure of a limit. $)
    lmcl $p |- ( ( D e. Met /\ P e. A /\ F ( ~~>m ` D ) P ) ->
               P e. X ) $=
      ( vx vj vk cme wcel clm cfv wbr wa cc cxp wss cc0 cv clt cle co wi cz
      wral wrex cr w3a lmbr 3simp2 syl6bi 3impia ) BJKZCAKZDCBLMNZCEKZUNUOOUPDP
      EQRZUQSGTZUANHTITZUBNUTDMZEKVACBUCUSUANOUDIUEUFHUEUGUDGUHUFZUIUQGABCHIDEF
      UJURUQVBUKULUM $.
      $( [25-Sep-2007] $) $( [19-Dec-2006] $)

    $( Inclusion of a Cauchy sequence, under our definition. $)
    caufss $p |- ( ( D e. Met /\ F e. ( Cau ` D ) ) ->
               F (_ ( CC X. X ) ) $=
      ( vx vj vk vm cme wcel cca cfv cc cxp wss cc0 cv clt wbr cle wa co w3a
      wi cz wral wrex cr iscau pm3.26bda ) AIJBAKLJBMCNOPEQZRSFQZGQZTSULHQZTSUA
      UMBLZCJUNBLZCJUOUPAUBUKRSUCUDHUEUFGUEUFFUEUGUDEUHUFEAFGHBCDUIUJ $.
      $( [12-Oct-2007] $) $( [7-Dec-2006] $)
  $}

  ${
    $d j k x A $.  $d j k x B $.  $d j k x D $.  $d j k x F $.
    lmuni.1 $e |- A e. V $.
    lmuni.2 $e |- B e. V $.
    $( A sequence converges to at most one limit.  Part of Lemma 1.4-2(a) of
       [Kreyszig] p. 26. $)
    lmuni $p |- ( ( D e. Met /\ F ( ~~>m ` D ) A /\ F ( ~~>m ` D ) B )
               -> A = B ) $=
      ( vx vj vk cme wcel clm cfv wbr w3a co cc0 wceq cr cle cv clt wi wral
      squeeze0 cdm 3simp1 cvv eqid lmcl mp3an2 3adant3 3adant2 3jca metcl syl
      metge0 wa c2 cdiv cn wrex c1 1z nnuz lmcvg mp3anl2 3adantl3 3adantl2 jca
      cvganuz sylib rehalfclt adantr halfpos2t biimpa sylan2 nnret leidt breq2
      rcla4ev mpdan rgen caddc lt2addt 3com23 3expa syl2an wb cc recnt
      2halvest breq2d adantl sylibd mettri2 3exp2 com34 com24 3imp1 lelttrt
      ad2antrr axaddrcl sylanc pm3.27 syl3anc mpand syld an1rs ex imp3a anandi
      syl5ibr imim2d r19.20sdv r19.23v syl6ib r19.22sdv r19.36av syl6 mpii
      pm3.26 mpd exp32 r19.21aiv meteq0 mpbid ) CJKZDACLMZNZDBYINZOZABCPZQRZABR
      ZYMSKZQYMTNZQGUAZUBNZYMYRUBNZUCZGSUDYNYLGYMUEYLYHACUFUFZKZBUUBKZOZYPYLYHU
      UCUUDYHYJYKUGYHYJUUCYKYHAUHKZYJUUCEUHCADUUBUUBUIZUJUKULYHYKUUDYJYHBUHKZYK
      UUDFUHCBDUUBUUGUJUKUMUNZABCUUBUUGUOZUPYLUUEYQUUIABCUUBUUGUQUPYLUUAGSYLYRS
      KZYSYTYLUUKYSURZURHUAZIUAZTNZUUNDMZUUBKZUUPACPZYRUSUTPZUBNZURZUUQUUPBCPZU
      USUBNZURZURZUCZIVAUDZHVAVBZYTYLUUSSKZQUUSUBNZURZUVHUULYLUVKURZUUOUVAUCIVA
      UDHVAVBZUUOUVDUCIVAUDHVAVBZURUVHUVLUVMUVNYHYJUVKUVMYKYHUUFYJUVKUVMEUHCAUU
      SHIDVCUUBVAUUGVDVEVFVGVHYHYKUVKUVNYJYHUUHYKUVKUVNFUHCBUUSHIDVCUUBVAUUGVDV
      EVFVGVIVJUVAUVDHIVCVAVDVEVKVLUULUVIUVJUUKUVIYSYRVMZVNUUKYSUVJYRVOVPVJVQUU
      EUUKUVHYTUCYLUULUUEUUKURZUVHUUOIVAVBZHVAUDZYTUVQHVAUUMVAKZUUMUUMTNZUVQUVS
      UUMSKUVTUUMVRUUMVSUPUUOUVTIUUMVAUUNUUMUUMTVTWAWBWCUVPUVHUVQYTUCZHVAVBUVRY
      TUCUVPUVGUWAHVAUVPUVGUUOYTUCZIVAUDUWAUVPUVFUWBIVAUVPUVEYTUUOUVPUUQUUTUVCU
      RZURYTUVEUVPUUQUWCYTUVPUUQUWCYTUCZUUEUUQUUKUWDUUEUUQURZUUKURZUWCUURUVBWDP
      ZYRUBNZYTUWFUWCUWGUUSUUSWDPZUBNZUWHUURSKZUVBSKZURUVIUVIURUWCUWJUCUWEUUKUU
      RUVBUUSUUSWEUWEUWKUWLYHUUCUUQUWKUUDYHUUCUUQUWKYHUUQUUCUWKUUPACUUBUUGUOWFW
      GVHZYHUUDUUQUWLUUCYHUUDUUQUWLYHUUQUUDUWLUUPBCUUBUUGUOWFWGVIZVJUUKUVIUVIUV
      OUVOVJWHUUKUWJUWHWIUWEUUKUWIYRUWGUBUUKYRWJKUWIYRRYRWKYRWLUPWMWNWOUWFYMUWG
      TNZUWHYTUWEUWOUUKYHUUCUUDUUQUWOYHUUQUUDUUCUWOYHUUQUUCUUDUWOYHUUQUUCUUDUWO
      ABUUPCUUBUUGWPWQWRWSWTVNYPUWGSKZUUKUWOUWHURYTUCUWFYMUWGYRXAUUEYPUUQUUKUUJ
      XBUWEUWPUUKUWKUWLUWPUWEUURUVBXCUWMUWNXDVNUWEUUKXEXFXGXHXIXJXKUUQUUTUVCXLX
      MXNXOUUOYTIVAXPXQXRUVQYTHVAXSXTYAUUIUUKYSYBWHYCYDYEXFYLUUEYNYOWIUUIABCUUB
      UUGYFUPYG $.
      $( [21-Mar-2008] $) $( [31-Jan-2008] $)
  $}

  ${
    lmsslem.1 $e |- ( ( ( D e. Met /\ ch ) /\ ph ) ->
         F (_ ( CC X. dom dom D ) ) $.
    lmsslem.2 $e |- ( ( ( ( D |` ( Y X. Y ) ) e. Met /\ ch ) /\ ps ) ->
         F (_ ( CC X. dom dom ( D |` ( Y X. Y ) ) ) ) $.
    lmsslem.3 $e |- ( ( D e. Met /\ ( ch /\
        F : NN --> dom dom ( D |` ( Y X. Y ) ) ) ) -> ( ph <-> ps ) ) $.
    lmsslem.4 $e |- ( ch -> F : NN --> Y ) $.
    $( Lemma for ~ lmss and ~ causs . $)
    lmsslem $p |- ( ( D e. Met /\ ch ) -> ( ph <-> ps ) ) $=
      ( cme wcel wa wo wb wi cc cdm cxp wss cres metres sylanl1 ssid resss
      dmss ax-mp ssxp mp2an sstr mpan2 syl jaodan ex cn wf simprl cin wceq
      eqid metssba incom syl5req feq3 pm3.26 wfn crn ffn rnss c0 wne c1 ax1cn
      ne0i rnxp syl6ss anim12i df-f sylibr jca fin syl5bir imp sylanr1 syldan
      anassrs syld oibabs sylib ) DKLZCMZABNZABOZPWMWKWLEQDRZRZSZTZWMWKWLWQWKAW
      QBGWKBMEQDFFSZUAZRZRZSZTZWQWSKLCBXCWJHDFUBUCXCXBWPTZWQQQTXAWOTZXDQUDWTWNT
      ZXEWSDTXFDWRUEWSDUFUGWTWNUFUGQQXAWOUHUIEXBWPUJUKULUMUNWKWQWMWJCWQWMWJCWQM
      ZCUOXAEUPZMWMWJXGMCXHWJCWQUQWJUOFEUPZWQXHCWJXIWQMZXHWJXHUOFWOURZEUPZXJWJX
      AXKUSXHXLOWJWOFURXAXKDWOFWOUTVAFWOVBVCXAXKUOEVDULXJXIUOWOEUPZMXLXJXIXMXIW
      QVEXJEUOVFZEVGZWOTZMXMXIXNWQXPUOFEVHWQXOWPVGZWOEWPVIQVJVKZXQWOUSVLQLXRVMQ
      VLVNUGQWOVOUGVPVQUOWOEVRVSVTUOFWOEWAVSWBWCJWDVTIWEWFUNWGABWHWI $.
      $( [11-Feb-2008] $) $( [29-Jan-2008] $)
  $}

  ${
    $d j k x D $.  $d j k x F $.  $d j k x P $.  $d j k x Y $.
    $( Limit on a metric subspace. $)
    lmss $p |- ( ( D e. Met /\ P e. Y /\ F : NN --> Y ) ->
          ( F ( ~~>m ` D ) P <-> F ( ~~>m ` ( D |` ( Y X. Y ) ) ) P ) ) $=
      ( vx vj vk cme wcel cn wf clm cfv wbr cxp cres wb wa cc cdm wss eqid
      lmfss 3expa adantlrr cc0 cv clt cle co wi wral wrex cr cin metssba incom
      syl5req eleq2d elin baib sylan9bb adantrr wceq oprvalres ffvelrn sylan
      ancoms anassrs breq1d imbi2d ralbidva rexbidv ralbidv adantl anbi12d c1
      1z nnuz lmbrf metres syl3an1 3expb adantrlr resss dmss ax-mp fss mpan2
      syl3an3 3bitr4rd pm3.27 lmsslem 3impb ) AHIZBDIZJDCKZCBALMNZCBADDOZPZLMNZ
      QWRXAWPWQRZACDWOWPWRCSATZTZOUAZWQWOWPWRXEDABCXDXDUBZUCUDUEWTHIZWPXACSWTTZ
      TZOUAZWQXGWPXAXJDWTBCXIXIUBZUCUDUEWOXBJXICKZRRBXIIZUFEUGZUHNZFUGGUGZUINZX
      PCMZBWTUJZXNUHNZUKZGJULZFJUMZUKZEUNULZRZBXDIZXOXQXRBAUJZXNUHNZUKZGJULZFJU
      MZUKZEUNULZRZXAWRWOXBYFYOQXLWOXBRXMYGYEYNWOWPXMYGQWQWOXMBDXDUOZIZWPYGWOXI
      YPBWOXDDUOXIYPAXDDXFUPDXDUQURUSYQWPYGBDXDUTVAVBVCXBYEYNQWOXBYDYMEUNXBYCYL
      XOXBYBYKFJXBYAYJGJXBXPJIZRZXTYIXQYSXSYHXNUHWPWQYRXSYHVDZWQYRRZWPYTXRDIWPY
      TUUAXRBDDAVEJDXPCVFVGVHVIVJVKVLVMVKVNVOVPVCWOWPXLXAYFQZWQWOWPXLUUBXGWPXLU
      UBWOEDWTBFGCVQXIJXKVRVSVTADWAWBWCWDWOWPXLWRYOQZWQWOWPXLUUCWOWPJXDCKZUUCXL
      EDABFGCVQXDJXFVRVSVTXLXIXDUAZUUDXHXCUAZUUEWTAUAUUFAWSWEWTAWFWGXHXCWFWGJXI
      XDCWHWIWJWCWDWKWPWQWLWMWN $.
      $( [11-Feb-2008] $) $( [30-Jan-2008] $)
  $}

  ${
    $d j k x D $.  $d j k x F $.  $d j k x Y $.
    $( Cauchy sequence on a metric subspace. $)
    caussi $p |- ( ( D e. Met /\ F e. ( Cau ` ( D |` ( Y X. Y ) ) ) ) ->
            F e. ( Cau ` D ) ) $=
      ( vx vj vk cme wcel cxp cres cca cfv cc cdm wss cc0 cv clt wbr cle co
      w3a wi cn wral wrex cr wa ssid resss dmss ax-mp ssxp mp2an sstr mpan2
      a1i sseli 3ad2ant1 3ad2ant2 wceq oprvalres cin eqid metssba inss2
      eqsstr3d sseld imp syl2an anandis breq1d biimpd exp32 3impd 3jcad imim2d
      r19.20sdv r19.22sdv anim12d wb metres c1 1z nnuz iscau3 syl 3imtr4d ) AGH
      ZBACCIZJZKLHZBAKLHZWIBMWKNZNZIZOZPDQZRSZEQZFQZTSZWTBLZWOHZXABLZWOHZXCXEWK
      UAZWRRSZUBZUCZFUDUEZEUDUFZUCZDUGUEZUHZBMANZNZIZOZWSXBXCXQHZXEXQHZXCXEAUAZ
      WRRSZUBZUCZFUDUEZEUDUFZUCZDUGUEZUHWLWMWIWQXSXNYIWQXSUCWIWQWPXROZXSMMOWOXQ
      OZYJMUIWNXPOZYKWKAOYLAWJUJWKAUKULWNXPUKULZMMWOXQUMUNBWPXRUOUPUQWIXMYHDUGW
      IXLYGWSWIXKYFEUDWIXJYEFUDWIXIYDXBWIXIXTYAYCXIXTUCWIXDXFXTXHWOXQXCYMURUSUQ
      XIYAUCWIXFXDYAXHWOXQXEYMURUTUQWIXDXFXHYCWIXDXFXHYCUCWIXDXFUHUHZXHYCYNXGYB
      WRRWIXDXFXGYBVAZXCCHZXECHZYOWIXDUHWIXFUHXCXECCAVBWIXDYPWIWOCXCWIWOXQCVCZC
      AXQCXQVDZVEYRCOWIXQCVFUQVGZVHVIWIXFYQWIWOCXEYTVHVIVJVKVLVMVNVOVPVQVRVSVQV
      RVTWIWKGHWLXOWAACWBDWKEFBWCWOUDWOVDWDWEWFWGDAEFBWCXQUDYSWDWEWFWHVI $.
      $( [21-Mar-2008] $) $( [30-Jan-2008] $)

    $( Cauchy sequence on a metric subspace. $)
    causs $p |- ( ( D e. Met /\ F : NN --> Y ) -> ( F e. ( Cau ` D ) <->
            F e. ( Cau ` ( D |` ( Y X. Y ) ) ) ) ) $=
      ( vx vj vk cca cfv wcel cxp cres cn wf cme cc cdm wss eqid caufss
      adantlr wa cc0 cv clt wbr cle co wi wral wrex cr wb wceq oprvalres
      ffvelrn syl2an anandis anassrs breq1d imbi2d ralbidva rexbidva ralbidv
      ad2antrl c1 1z nnuz iscauf metres sylan adantrl resss dmss ax-mp fss
      mpan2 sylan2 3bitr4rd id lmsslem ) BAGHIZBACCJZKZGHIZLCBMZABCANIZWABOAPZP
      ZJQWEABWHWHRZSTWCNIZWDBOWCPZPZJQWEWCBWLWLRZSTWFWELWLBMZUAUAUBDUCZUDUEZEUC
      ZFUCZUFUEZWQBHZWRBHZWCUGZWOUDUEZUHZFLUIZELUJZUHZDUKUIZWPWSWTXAAUGZWOUDUEZ
      UHZFLUIZELUJZUHZDUKUIZWDWAWEXHXOULWFWNWEXGXNDUKWEXFXMWPWEXEXLELWEWQLIZUAZ
      XDXKFLXQWRLIZUAZXCXJWSXSXBXIWOUDWEXPXRXBXIUMZWEXPXRXTWTCIXACIXTXQWEXRUAWT
      XACCAUNLCWQBUOLCWRBUOUPUQURUSUTVAVBUTVCVDWFWNWDXHULZWEWJWNYAWFDWCEFBVEWLL
      WMVFVGVHACVIVJVKWFWNWAXOULZWEWFLWHBMZYBWNDAEFBVEWHLWIVFVGVHWNWLWHQZYCWKWG
      QZYDWCAQYEAWBVLWCAVMVNWKWGVMVNLWLWHBVOVPVQVKVRWEVSVT $.
      $( [22-Feb-2008] $) $( [29-Jan-2008] $)
  $}

  ${
    $d h z F $.  $d h z J $.  $d h z P $.  $d h z X $.  $d h z Z $.
    lmfexlem1.1 $e |- G = { <. h , z >. | ( h e. Z /\
                       z = if ( ( F ` h ) e. X , ( F ` h ) , P ) ) } $.
    $( Lemma for ~ lmfex .  ` G ` is a function constructed from an arbitrary
       sequence ` F ` , from ` NN ` to the metric space base set. $)
    lmfexlem1 $p |- ( P e. X -> G : Z --> X ) $=
      ( wcel cv cfv cif wral wf wa wn wo idd ancld con3d anc2ri orrd ifel
      sylibr adantr r19.21aiva fopab2 sylib ) BFIZCJZDKZFIZUKBLZFIZCGMGFENUIUNC
      GUIUNUJGIUIULULOZULPZUIOZQUNUIUOUQUIUOPUPUIULUOUIULULUIULRSTUAUBULUKBFUCU
      DUEUFCAGFUMEHUGUH $.
      $( [28-May-2007] $) $( [27-May-2007] $)

    $( Lemma for ~ lmfex .  When the value of ` F ` exists, it equals the
       value of ` G ` . $)
    lmfexlem2 $p |- ( ( J e. Z /\ ( F ` J ) e. X ) ->
                     ( G ` J ) = ( F ` J ) ) $=
      ( wcel cfv wa cif wceq cv fveq2 eleq1d ifbid ifeq1d eqtrd fvopab4g
      iftrue id eqeltrd sylan2 adantl ) FHJZFDKZGJZLFEKZUIUHBMZUHUGUKGJUJUKNUIC
      AFCOZDKZGJZUMBMZUKHGEULFNZUOUIUMBMUKUPUNUIUMBUPUMUHGULFDPZQRUPUIUMUHBUQST
      IUAUIUKUHGUIUHBUBZUIUCUDUEUIUKUHNUGURUFT $.
      $( [28-May-2007] $) $( [27-May-2007] $)

    ${
      $d x A $.  $d j k x D $.  $d j k x F $.  $d j k x G $.  $d j k N $.
      $d j k x P $.  $d j k x X $.  $d j k x Z $.  $d h k z $.
      lmfexlem3.1 $e |- X = dom dom D $.
      lmfexlem3.3 $e |- N e. ZZ $.
      lmfexlem3.4 $e |- Z = ( ZZ> ` N ) $.
      $( Lemma for ~ lmfex .  If ` F ` converges, so does the function ` G `
         constructed from it. $)
      lmfexlem3 $p |- ( ( D e. Met /\ P e. A /\ F ( ~~>m ` D ) P ) ->
           ( G : Z --> X /\ G ( ~~>m ` D ) P ) ) $=
        ( vx vj vk cme wcel clm cfv wbr w3a wf lmcl lmfexlem1 syl cc0 cv clt
        cle co wi wral wrex cr wa lmcvg lmfexlem2 opreq1d breq1d biimpar
        anasss ex imim2d r19.20i r19.22si exp32 r19.21aiv jca wb lmbrf
        syld3an3 mpbird ) CRSZDBSZFDCTUAZUBZUCZJIGUDZGDVQUBZVSDISZVTBCDFILUEZAD
        EFGIJKUFUGZVSWAWBUHOUIZUJUBZPUIQUIZUKUBZWGGUAZDCULZWEUJUBZUMZQJUNZPJUOZ
        UMZOUPUNZUQZVSWBWPWCVSWOOUPVSWEUPSZWFWNVSWRWFUQUQWHWGFUAZISZWSDCULZWEUJ
        UBZUQZUMZQJUNZPJUOWNBCDWEPQFHIJLMNURXEWMPJXDWLQJWGJSZXCWKWHXFXCWKXFWTXB
        WKXFWTUQZWKXBXGWJXAWEUJXGWIWSDCADEFGWGIJKUSUTVAVBVCVDVEVFVGUGVHVIVJVOVP
        VTWAWQVKVROBCDPQGHIJLMNVLWDVMVNVJ $.
        $( [10-Dec-2007] $) $( [27-May-2007] $)
    $}
  $}

  ${
    $d g j k D $.  $d g h j k z F $.  $d j k N $.  $d g h j k z P $.
    $d j k Q $.  $d j k R $.  $d g h j k z X $.  $d g h j k z Z $.
    lmfex.1 $e |- X = dom dom D $.
    lmfex.3 $e |- N e. ZZ $.
    lmfex.4 $e |- Z = ( ZZ> ` N ) $.
    $( If ` F ` (not necessarily a function) converges, there is a function
       ` g ` that converges to the same point. $)
    lmfex $p |- ( ( D e. Met /\ P e. A /\ F ( ~~>m ` D ) P ) -> E. g
         ( g : Z --> X /\ g ( ~~>m ` D ) P ) ) $=
      ( vh vz cme wcel clm cfv wbr w3a cv cif wceq wa copab wf wex eqid
      lmfexlem3 cuz cvv fvex eqeltr opabex2 feq1 breq1 anbi12d cla4ev syl ) BNO
      CAOECBPQZRSHGLTZHOMTUTEQZGOVACUAZUBUCLMUDZUEZVCCUSRZUCZHGDTZUEZVGCUSRZUCZ
      DUFMABCLEVCFGHVCUGIJKUHVJVFDVCLMHVBHFUIQUJKFUIUKULUMVGVCUBVHVDVIVEHGVGVCU
      NVGVCCUSUOUPUQUR $.
      $( [10-Dec-2007] $) $( [27-May-2007] $)

    $( If the distance from each member of a converging sequence to a given
       point is less than or equal to a given amount, so is the convergence
       value.  _Warning:  The HTML proof page is 0.5MB in size_. $)
    lmle $p |- ( ( ( D e. Met /\ P e. A /\ F ( ~~>m ` D ) P ) /\ ( Q e. X /\
     R e. RR /\ A. k e. Z ( ( F ` k ) D Q ) <_ R ) ) -> ( P D Q ) <_ R ) $=
      ( vj cme wcel clm cfv wbr w3a cr cv co cle wral wa clt wn metcl 3expa
      ltnrt syl 3adantl3 3ad2antr1 caddc wrex cmin wi cc0 lmcvg simpll
      resubclt sylan anasss adantr wb posdift simprr adantrr sylanc biimpa jca
      3simpa sylanl1 sylanl2 cuz eleq2i cz eluzelz zret leidt 3syl sylbi wceq
      breq2 fveq2 eleq1d opreq1d breq1d anbi12d imbi12d rcla4v mpid adantl
      ltleaddt 3com23 adantlr adantllr adantlrr syl2anc cc npcant recnd recnt
      syl2an breq2d sylibd mettri4 anassrs jctild exp4b com4r syl6 com13 exp32
      3impd imp31 imdistand syld r19.22dva mpd lelttrt ad2antrr axaddrcl
      syl3anc ex imp3a r19.23adva mtod lenltt 3adantr3 mpbird 3simp1 lmcl
      3simp3 3jca ) BOPZCIPZGCBQRSZTZDIPZEUAPZFUBZGRZDBUCZEUDSZFJUEZTZCDBUCZEUD
      SZYQCAPZYSTZYTUUHUFZUUJEUUIUGSZUHZUUMUUNUUIUUIUGSZYTUUBUUAUUPUHZUUGYQYRUU
      AUUQYSYQYRUFZUUAUFZUUIUAPZUUQYQYRUUAUUTCDBIKUIUJZUUIUKULUMUNUUMUUNUUPUUMU
      UNUFZNUBZGRZIPZUUIUVDCBUCZUVDDBUCZUOUCZUDSZUVHUUIUGSZUFZUFZNJUPZUUPUVBUVC
      UUCUDSZUUDIPZUUDCBUCZUUIEUQUCZUGSZUFZURZFJUEZNJUPZUVMYTUUAUUBUFZUUNUWBUUH
      YTUVQUAPZUSUVQUGSZUFZUWBYTUWCUFUUNUFIBCUVQNFGHIJKLMUTYTUWCUUNVAUURUWCUUNU
      WFYTUURUWCUFZUUNUFUWDUWEUWGUWDUUNUURUUAUUBUWDUUTUUBUWDUUSUUIEVBUVAVCVDZVE
      UWGUUNUWEUUBUUTUUNUWEVFUWGEUUIVGUURUUAUUBVHZUURUUAUUTUUBUVAVIZVJVKVLYQYRY
      SVMVNVJUUAUUBUUGVMVOUUMUWBUVMURZUUNYQYRUUHUWKYSUURUUHUFZUWAUVLNJUWLUVCJPZ
      UFZUWAUVEUVFUVQUGSZUFZUVLUWMUWAUWPURUWLUWMUWAUVCUVCUDSZUWPUWMUVCHVPRZPZUW
      QJUWRUVCMVQUWSUVCVRPUVCUAPUWQHUVCVSUVCVTUVCWAWBWCUVTUWQUWPURFUVCJUUCUVCWD
      ZUVNUWQUVSUWPUUCUVCUVCUDWEUWTUVOUVEUVRUWOUWTUUDUVDIUUCUVCGWFZWGUWTUVPUVFU
      VQUGUWTUUDUVDCBUXAWHWIWJWKWLWMWNUWNUVEUWOUVKUURUUHUWMUVEUWOUVKURURZUURUUA
      UUBUUGUWMUXBURZUURUUAUUBUUGUXCURUWMUUGUWGUXBUWMUUGUVGEUDSZUWGUXBURUUFUXDF
      UVCJUWTUUEUVGEUDUWTUUDUVDDBUXAWHWIWLUWGUVEUWOUXDUVKUWGUVEUWOUXDUVKUWGUVEU
      FZUWOUXDUFZUVJUVIUXEUXFUVHUVQEUOUCZUGSZUVJUVFUAPZUVGUAPZUWDUUBUXFUXHURUXE
      UVFUVGUVQEWOUURUVEUXIUWCYQYRUVEUXIYQUVEYRUXIUVDCBIKUIWPUJZWQUURUUAUVEUXJU
      UBYQUUAUVEUXJYRYQUUAUVEUXJYQUVEUUAUXJUVDDBIKUIWPUJWRZWSUWGUWDUVEUWHVEUWGU
      UBUVEUWIVEWTUXEUXGUUIUVHUGUWGUXGUUIWDZUVEUURUUAUUBUXMUUIXAPEXAPUXMUUSUUBU
      UIEXBUUSUUIUVAXCEXDXEVDVEXFXGUURUUAUVEUVIUUBUURUUAUVEUVICDUVDBIKXHXIWSXJX
      KXLXMXNXOXPXQXRXSXTUMVEYAUUMUVMUUPURZUUNYTUUBUUAUXNUUGYQYRUUAUXNYSUUSUVLU
      UPNJUUSUWMUFZUVEUVKUUPUXOUVEUVKUUPURZUUTUVHUAPZUUTUXPUXOUVEUFUUIUVHUUIYBU
      USUUTUWMUVEUVAYCZUUSUVEUXQUWMUXIUXJUXQUUSUVEUFUVFUVGYDUURUVEUXIUUAUXKWQUX
      LVJWQUXRYEYFYGYHUMUNVEYAYFYIYTUUAUUBUUJUUOVFZUUGYQYRUWCUXSYSUUTUUBUXSUWGU
      UIEYJUWJUWIVJUMYKYLUULYQYRYSYQUUKYSYMABCGIKYNYQUUKYSYOYPVC $.
      $( [24-Dec-2007] $) $( [23-Dec-2007] $)
  $}

  ${
    $d f x D $.
    $( A complete metric space is a metric space. $)
    cmsmet $p |- ( D e. CMet -> D e. Met ) $=
      ( vf vx cms wcel cme cv clm cfv wbr cdm wrex cca wral eqid iscms
      pm3.26bi ) ADEAFEBGCGAHIJCAKKZLBAMINCABRROPQ $.
      $( [9-Nov-2007] $) $( [18-Dec-2006] $)
  $}

  ${
    cmsmeti.1 $e |- D e. CMet $.
    $( A complete metric space is a metric space. $)
    cmsmeti $p |- D e. Met $=
      ( cms wcel cme cmsmet ax-mp ) ACDAEDBAFG $.
      $( [10-Nov-2007] $) $( [26-Oct-2007] $)
  $}

  ${
    $d j k w x y z F $.  $d j k w D $.  $d j k w x y z P $.
    lmclim.1 $e |- D = ( abs o. - ) $.
    $( Relate a limit on the metric space of complex numbers to our complex
       number limit notation. $)
    lmclim $p |- ( P e. A ->
                 ( F ( ~~>m ` D ) P <-> ( F (_ ( CC X. CC ) /\ F ~~> P ) ) ) $=
      ( vw vj vk wcel clm cfv wbr cc cxp wss cc0 cv clt cle co wa wi cz wral
      wrex cr w3a cli cme wb cnmet cnmetba lmbr mpan cmin cabs cvv clim axcnex
      xpex ssex sylan wceq cnmetdval ancoms breq1d pm5.32da imbi2d rexralbidv
      ralbidv pm5.32i syl6rbbr 3anass syl5bb bitrd ) CAIZDCBJKLZDMMNZOZCMIZPFQZ
      RLZGQHQZSLZWCDKZMIZWECBTZWARLZUAZUBZHUCUDGUCUEZUBZFUFUDZUGZVSDCUHLZUAZBUI
      IVPVQWNUJBEUKFABCGHDMBEULUMUNVPVSVTWMUAZUAWPWNVPVSWQWOVSVPWQWOUJVSVPUAWOV
      TWBWDWFWECUOTUPKZWARLZUAZUBZHUCUDGUCUEZUBZFUFUDZUAZWQDUQIVPWOXEUJVSFCUQAG
      HDURDVRMMUSUSUTVAVBVTWMXDVTWLXCFUFVTWKXBWBVTWJXAGHUCUCVTWIWTWDVTWFWHWSVTW
      FUAWGWRWARWFVTWGWRVCWECBEVDVEVFVGVHVIVHVJVKVLVEVGVSVTWMVMVNVO $.
      $( [1-Oct-2007] $) $( [9-Dec-2006] $)

    $( Relate a limit on the metric space of complex numbers to our complex
       number limit notation. $)
    lmclimnn $p |- ( ( P e. A /\ F : NN --> CC ) ->
                 ( F ( ~~>m ` D ) P <-> F ~~> P ) ) $=
      ( wcel clm cfv wbr cc cxp wss cli wa cn wf lmclim fssxp nnsscn ssid ssxp
      mp2an sstr mpan2 syl biantrurd bicomd sylan9bb ) CAFDCBGHIDJJKZLZDCMIZNZO
      JDPZUKABCDEQUMUKULUMUJUKUMDOJKZLZUJOJDRUOUNUILZUJOJLJJLUPSJTOJJJUAUBDUNUI
      UCUDUEUFUGUH $.
      $( [2-Oct-2007] $) $( [24-Jul-2007] $)
  $}

  ${
    $d f j k n r y D $.  $d f j n r y J $.  $d f j n r y M $.
    $d f j k n r y P $.  $d f j k n r y X $.
    metelcls.1 $e |- X = dom dom D $.
    metelcls.2 $e |- J = ( Open ` D ) $.
    metelcls.3 $e |- P e. V $.
    $( A point belongs to the closure of a subset iff there is a sequence in
       the subset converging to it.  Theorem 1.4-6(a) of [Kreyszig] p. 30.
       _Warning:  The HTML proof page is 0.5MB in size_. $)
    metelcls $p |- ( ( D e. Met /\ M (_ X ) -> ( P e. ( ( cls ` J ) ` M ) <->
            E. f ( f : NN --> M /\ f ( ~~>m ` D ) P ) ) ) $=
      ( vj vy vn vr vk cme wcel wss wa ccl cfv cn cv wf clm wbr wex csn cxp
      nnex snex xpex wceq feq1 breq1 anbi12d cla4ev snssi fconst fss mpan syl
      adantl c1 1z nnuz lmconst ssel2 sylan2 anassrs sylanc adantlr wn clp
      ctop cuni eqid islpi opntop adantr uniopn sseq2d biimpar jca sylan cdiv
      co cbl wral wrex w3a cr cc0 clt lpbl nnrecret nnrecgt0t r19.21aiva 3expa
      eleq1 ac6s wi lpss sseqtrd simprl ex com12 anim1d wb elbl3 id ffvelrn
      ralbidva pm5.32da sylibd imp lmnn adantllr syldan 19.22dv mpd pm2.61dan
      cun wo cdif cin c0 wne cnei cvv lmcl mp3an2 neibl ad2ant2rl cle lmcvg2
      mp3anl2 nnret leidt breq2 fveq2 opreq1d breq1d imbi12d rcla4v mpid
      r19.22i ad2antrr exp31 3expia com23 imp4b pm3.26 sylani ssel sylan9
      elsnc2 biimpd sylbi con3d anc2li eldif syl6ibr adantrd anim12ii inelcm
      syl6 exp4c r19.23adv pm3.27 anim12i adantrr anim1i an1rs ancoms exp32
      adantld sylbid r19.21aiv islp2 eleqtrrd syl3anc adantrl mpbird orrd elun
      sylibr clslp 19.23adv impbid ) AOPZEFQZRZBEDSTTZPZUAECUBZUCZUWOBAUDTZUEZR
      ZCUFZUWLUWNUWTUWLUWNRBEPZUWTUWLUXAUWTUWNUAEUABUGZUHZUCZUXCBUWQUEZUWTUWLUX
      ARUWSUXDUXERCUXCUAUXBUIBUJUKUWOUXCULUWPUXDUWRUXEUAEUWOUXCUMUWOUXCBUWQUNUO
      UPUXAUXDUWLUXAUXBEQZUXDBEUQUAUXBUXCUCUXFUXDUABIURUAUXBEUXCUSUTVAVBUWJUWKU
      XAUXEUWJBFPZUXEUWKUXARABVCFUAGVDVEVFEFBVGVHVIVJVKUWLUWNUXAVLZUWTUWLUWNUXH
      RZBEDVMTTZPZUWTDVNPZEDVOZQZRUXIUXKUWLBEDUXMUXMVPZVQUWLUXLUXNUWJUXLUWKADHV
      RZVSZUWJUXNUWKUWJUXMFEADFGHVTZWAWBZWCWDUWLUXKRZUWPJUBZUWOTZBVCUYAWEWFZAWG
      TZWFZPZJUAWHZRZCUFZUWTUXTKUBZUYEPZKEWIZJUAWHZUYIUWJUWKUXKUYMUWJUWKUXKWJZU
      YLJUAUYNUYCWKPZWLUYCWMUEZRZUYLUYAUAPZKABUYCEDFGHWNUYRUYOUYPUYAWOUYAWPWCZV
      HWQWRUYKUYFJKUAECUIUYJUYBUYEWSWTVAUWLUXKUXGUYIUWTXAUXJFQUXKUXGUWLUXJFBVGU
      WLUXJUXMFUXLUXNUXJUXMQUWLEDUXMUXOXBUXQUXSVJUWJUXMFULZUWKUXRVSXCWDUWLUXGRZ
      UYHUWSCVUAUYHUWSVUAUYHRUWPUWRVUAUWPUYGXDVUAUYHUAFUWOUCZUYBBAWFZUYCWMUEZJU
      AWHZRZUWRVUAUYHVUFVUAUYHVUBUYGRZVUFVUAUWPVUBUYGUWLUWPVUBXAZUXGUWKVUHUWJUW
      PUWKVUBUWPUWKVUBUAEFUWOUSZXEXFVBVSXGUWJUXGVUGVUFXHUWKUWJUXGRZVUBUYGVUEVUJ
      VUBRZUYFVUDJUAUWJUXGUYBFPZWJZUYQUYFVUDXHVUKUYRRUYBABUYCFGXIVUJVUBUYRVUMVU
      JVULVUMVUBUYRRUWJUXGVULVUMVUMXJWRUAFUYAUWOXKZVHVIUYRUYQVUKUYSVBVJXLXMVKXN
      XOUWJUXGVUFUWRUWKABJUWOFGXPXQXRWCXEXSXRXTXRVIYAXEUWLUWSUWNCUWLUWSUWNUWLUW
      SRZBEUXJYBZUWMVUOUXAUXKYCBVUPPVUOUXAUXKVUOUXHUXKVUOUXHRZUXKLUBZEUXBYDZYEY
      FYGZLUXBDYHTTZWHZVUQVUTLVVAVUQVURVVAPZVURFQZWLMUBZWMUEZBVVEUYDWFZVURQZRZM
      WKWIZRZVUTVUOVVCVVKXHZUXHUWJUWRVVLUWKUWPUWJUWRUXGVVLUWJBYIPZUWRUXGIYIABUW
      OFGYJYKZABDVURFMGHYLXRYMVSVUQVVJVUTVVDVUQVVIVUTMWKVUQVVEWKPZVVIVUTUWJUWRR
      ZVVOVVFRZRZVVHRZUXHRZUWPUWKRZVUTVUQVVOVVIRZRVVTVWARZVUCVVEWMUEZJUAWIZVUTV
      VSVWEUXHVWAVVRVWEVVHVVRUYANUBZYNUEZVWFUWOTZBAWFZVVEWMUEZXAZNUAWHZJUAWIZVW
      EUWJVVMUWRVVQVWMIYIABVVEJNUWOVCFUAGVDVEYOYPVWLVWDJUAUYRVWLUYAUYAYNUEZVWDU
      YRUYAWKPVWNUYAYQUYAYRVAVWKVWNVWDXANUYAUAVWFUYAULZVWGVWNVWJVWDVWFUYAUYAYNY
      SVWOVWIVUCVVEWMVWOVWHUYBBAVWFUYAUWOYTUUAUUBUUCUUDUUEUUFVAVSUUGVWCVWDVUTJU
      AVVTVWAUYRVWDVUTXAXAVVTVWAUYRVWDVUTVVTVWAUYRRZVWDRZUYBVURPZUYBVUSPZRVUTVV
      SVWQVWRUXHVWSVVRVWQUYBVVGPZVVHVWRVVRVULVWDVWTVWPVUJVVQVULVWDRVWTXAVVPVUJV
      VQVULVWDVWTVUJVULVVQVWDVWTXAZUWJUXGVULVVQVXAXAVUMVVQVWDVWTVUMVVQRVWTVWDUY
      BABVVEFGXIWBUUHUUIUUJUUKVVPUWJUXGUWJUWRUULVVNWCWDVUBUYRVULVWAVUNVUIWDUUMV
      VGVURUYBUUNUUOUXHVWPVWSVWDVWPUXHVWSUWPUYRUXHVWSXAZUWKUWPUYRRUYBEPZVXBUAEU
      YAUWOXKVXCUXHVXCUYBUXBPZVLZRVWSVXCUXHVXEVXCVXDUXAVXDVXCUXAVXDUYBBULZVXCUX
      AXAUYBBIUUPVXFVXCUXAUYBBEWSUUQUURXFUUSUUTUYBEUXBUVAUVBVAVKXFUVCUVDUYBVURV
      USUVEUVFUVGXOUVHXTVUOVWBUXHVVTVUOVWBRZVVSUXHVXGVVRVVHVUOVVPVWBVVQUWLUWJUW
      SUWRUWJUWKUULUWPUWRUVIUVJVVOVVFVVQVVHVVQXJUVKUVJVWBVVHVUOVVIVVHVVOVVFVVHU
      VIVBVBWCUVLUVMVUOVWAUXHVWBUWSUWLVWAUWSUWPUWLUWKUWPUWRUULUWJUWKUVIUVJUVNUU
      GVJUVOUVHUVPUVQUVRVUOUXKVVBXHZUXHUWLUWRVXHUWPUXLUXNBUXMPZVXHUWLUWRRBELDUX
      MUXOUVSUWLUXLUWRUXQVSUWLUXNUWRUXSVSUWJUWRVXIUWKVVPBFUXMVVNUWJUYTUWRUXRVSU
      VTVKUWAUWBVSUWCXEUWDBEUXJUWEUWFUXLUXNUWMVUPULVUOEDUXMUXOUWGUWJUXLUWKUWSUX
      PUUGUWLUXNUWSUXSVSVJUVTXEUWHUWI $.
      $( [26-Dec-2007] $) $( [8-Nov-2007] $)
  $}

  ${
    $d f x D $.  $d f x J $.  $d f x M $.  $d f x X $.
    metcls.1 $e |- X = dom dom D $.
    metcls.2 $e |- J = ( Open ` D ) $.
    $( The closure of a subset of a metric space is equal to its points of
       convergence.  Theorem 1.4-6(a) of [Kreyszig] p. 30. $)
    metcls $p |- ( ( D e. Met /\ M (_ X ) -> ( ( cls ` J ) ` M ) =
          { x | E. f ( f : NN --> M /\ f ( ~~>m ` D ) x ) } ) $=
      ( cme wcel wss wa cn cv wf clm cfv wbr wex ccl visset metelcls abbi2dv )
      BIJEFKLMECNZOUDANZBPQRLCSAEDTQQBUECDEFGHAUAUBUC $.
      $( [10-Jul-2008] $) $( [11-Nov-2007] $)

    $( A subset of a metric space is closed iff every convergent sequence on it
       converges to a point in the subset.  Theorem 1.4-6(b) of [Kreyszig]
       p. 30. $)
    metcld $p |- ( ( D e. Met /\ M (_ X ) -> ( M e. ( Clsd ` J ) <->
     A. x A. f ( ( f : NN --> M /\ f ( ~~>m ` D ) x ) -> x e. M ) ) ) $=
      ( cme wcel wss wa ccld cfv ccl cn cv wf clm wbr wi wal ctop cuni wb eqid
      iscld4 opntop adantr uniopn sseq2d biimpar sylanc wex visset metelcls
      imbi1d 19.23v syl6rbbr albidv dfss2 syl6bbr bitr4d ) BIJZEFKZLZEDMNJZEDON
      NZEKZPECQZRVJAQZBSNTLZVKEJZUACUBZAUBZDUCJZEDUDZKZVGVIUEVFEDVQVQUFUGVDVPVE
      BDHUHUIVDVRVEVDVQFEBDFGHUJUKULUMVFVOVKVHJZVMUAZAUBVIVFVNVTAVFVTVLCUNZVMUA
      VNVFVSWAVMBVKCDEFGHAUOUPUQVLVMCURUSUTAVHEVAVBVC $.
      $( [13-Jan-2008] $) $( [11-Nov-2007] $)
  $}

  ${
    $d f k m w x z C $.  $d f k m w x z D $.  $d f j k m w x y z F $.
    $d k m x z G $.  $d w x z J $.  $d x K $.  $d f k m w x z P $.
    $d f j k m w x z X $.  $d f j k m w x y z Y $.
    metcnp4.1 $e |- X = dom dom C $.
    metcnp4.3 $e |- Y = dom dom D $.
    metcnp4.c $e |- J = ( Open ` C ) $.
    metcnp4.d $e |- K = ( Open ` D ) $.
    metcnp4.5 $e |- G = { <. j , y >. | ( j e. NN /\ y = ( F ` ( f ` j ) ) )
                    } $.
    $( Lemma for ~ metcnp4 . $)
    metcnp4lem1 $p |- ( k e. NN -> ( G ` k ) = ( F ` ( f ` k ) ) ) $=
      ( cv cfv cn wceq fveq2 fveq2d fvex fvopab4 ) EAFRZERZDRZSZGSUFUHSZGSTHUGU
      FUAUIUJGUGUFUHUBUCQUJGUDUE $.
      $( [6-Oct-2007] $) $( [5-Jun-2007] $)

    $( Lemma for ~ metcnp4 . $)
    metcnp4lem2 $p |- ( ( ( C e. Met /\ P e. X ) /\ F : X --> Y )  ->
      ( ( f : NN --> X /\ f ( ~~>m ` C ) P ) ->
 ( A. x e. RR ( 0 < x -> E. z e. RR ( 0 < z /\ A. w e. X ( ( w C P ) < z ->
  ( ( F ` w ) D ( F ` P ) ) < x ) ) ) -> A. x e. RR
      ( 0 < x -> E. k e. NN A. m e. NN ( k <_ m ->
              ( ( G ` m ) D ( F ` P ) ) < x ) ) ) ) ) $=
      ( cme wcel wa wf cn cv clm cfv wbr cc0 clt co wi wral cr wrex cle w3a c1
      1z nnuz lmcvg ex 3expa ad2ant2rl wceq metcnp4lem1 opreq1d ad2antlr
      opreq1 breq1d fveq2 imbi12d rcla4cv imp32 adantll adantlr eqbrtrd imim2d
      r19.20dva r19.22sdv com23 syld exp3a imp4a r19.23adv r19.20sdv ) EUCUDZGP
      UDZUEZPQLUFZUEZUGPHUHZUFZWOGEUIUJUKZUEZULAUHZUMUKZULCUHZUMUKZDUHZGEUNZXAU
      MUKZXCLUJZGLUJZFUNZWSUMUKZUOZDPUPZUEZCUQURZUOZAUQUPWTJUHKUHZUSUKZXOMUJZXG
      FUNZWSUMUKZUOZKUGUPZJUGURZUOZAUQUPUOWNWRUEZXNYCAUQYDXMYBWTYDXLYBCUQYDXAUQ
      UDZXBXKYBYDYEXBXKYBUOZYDYEXBUEZXPXOWOUJZPUDZYHGEUNZXAUMUKZUEZUOZKUGUPZJUG
      URZYFWLWQYGYOUOZWMWPWJWKWQYPWJWKWQUTYGYOPEGXAJKWOVAPUGRVBVCVDVEVFVGWMYOYF
      UOWLWRWMXKYOYBWMXKYOYBUOWMXKUEZYNYAJUGYQYMXTKUGYQXOUGUDZUEZYLXSXPYSYLXSYS
      YLUEXRYHLUJZXGFUNZWSUMYRXRUUAVHYQYLYRXQYTXGFBEFHIKLMNOPQRSTUAUBVIVJVKYQYL
      UUAWSUMUKZYRXKYLUUBWMXKYIYKUUBXJYKUUBUODYHPXCYHVHZXEYKXIUUBUUCXDYJXAUMXCY
      HGEVLVMUUCXHUUAWSUMUUCXFYTXGFXCYHLVNVJVMVOVPVQVRVSVTVEWAWBWCVEWDVKWEWFWGW
      HWAWIVE $.
      $( [6-Oct-2007] $) $( [5-Jun-2007] $)

    $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
       continuous at point ` P ` .  Theorem 14-4.3 of [Gleason] p. 240. $)
    metcnp4 $p |- ( ( C e. Met /\ D e. Met /\ P e. X ) ->
      ( F e. ( ( J CnP K ) ` P ) <-> ( F : X --> Y /\ A. f ( ( f : NN --> X
                /\ f ( ~~>m ` C ) P ) ->  G ( ~~>m ` D ) ( F ` P ) ) ) ) ) $=
      ( vx vz vw vk vm cme wcel w3a ccnp co cfv wf cc0 cv clt wbr wi wral wa
      cr wrex cn clm wal metcnp2 cle metcnp4lem2 3adantl2 imp wb c1 1z nnuz
      lmbrf2 3simp2 ad2antrr ffvelrn ancoms 3ad2antl3 adantr sylan2 anassrs
      r19.21aiva fopab2 sylib adantll syl3anc adantrr sylibrd ex com23
      19.21adv cdiv simprl lmnn jca 3adant2 lmcvg2 nnret leidt syl wceq breq2
      fveq2 opreq1d breq1d imbi12d rcla4v mpid metcnp4lem1 sylibd r19.22i
      3expia an1rs 3adantl1 imim12d 19.20dv impexp r19.35 imbi2i bitr4 albii
      nnex opreq1 ac6n sylbi imbi1d ralbidv anbi12d rcla4ev nnrecret nnrecgt0t
      anim1i sylanc r19.23aiva syl6 exp43 r19.21adv impbid pm5.32da bitrd ) BUC
      UDZCUCUDZDKUDZUEZGDIJUFUGUHUDKLGUIZUJRUKZULUMZUJSUKZULUMZTUKZDBUGZUUFULUM
      ZUUHGUHZDGUHZCUGZUUDULUMZUNZTKUOZUPZSUQURZUNZRUQUOZUPUUCUSKEUKZUIZUVADBUT
      UHUMZUPZHUULCUTUHUMZUNZEVAZUPRSTBCDGIJKLMONPVBUUBUUCUUTUVGUUBUUCUPZUUTUVG
      UVHUUTUVFEUVHUVDUUTUVEUVHUVDUUTUVEUNUVHUVDUPUUTUUEUAUKZUBUKZVCUMZUVJHUHZU
      ULCUGZUUDULUMZUNZUBUSUOZUAUSURZUNRUQUOZUVEUVHUVDUUTUVRUNZYSUUAUUCUVDUVSUN
      YTRASTBCDEFUAUBGHIJKLMNOPQVDVEVFUVHUVBUVEUVRVGZUVCYTUULLUDZUSLHUIZUVTUVHU
      VBUPRCUULUAUBHVHLUSNVIVJVKUUBYTUUCUVBYSYTUUAVLVMUVHUWAUVBUUAYSUUCUWAYTUUC
      UUAUWAKLDGVNZVOVPVQUUCUVBUWBUUBUUCUVBUPZFUKZUVAUHZGUHZLUDZFUSUOUWBUWDUWHF
      USUUCUVBUWEUSUDZUWHUUCUWFKUDUWHUVBUWIUPKLUWFGVNUSKUWEUVAVNVRVSVTFAUSLUWGH
      QWAWBWCWDWEWFWGWHWIUVHUVGUUSRUQUVHUVGUUDUQUDZUUEUURUVHUWJUUEUPZUVGUURUVHU
      WKUPZUVGUURUWLUVGUVBUVIUVAUHZDBUGZVHUVIWJUGZULUMZUAUSUOZUPZUWMGUHZUULCUGZ
      UUDULUMZUAUSURZUNZEVAZUURUWLUVFUXCEUWLUWRUVDUVEUXBUUBUWRUVDUNZUUCUWKYSUUA
      UXEYTYSUUAUPZUWRUVDUXFUWRUPUVBUVCUXFUVBUWQWKBDUAUVAKMWLWMWGWNVMUVHUWKUVEU
      XBUNZYTUUAUUCUWKUXGUNZYSYTUUCUUAUXHYTUUCUUAUXHYTUWAUXHUUCUUAUPYTUWAUPUVEU
      WKUXBYTUWAUVEUWKUXBUNYTUWAUVEUEZUWKUXBUXIUWKUPUVQUXBLCUULUUDUAUBHVHLUSNVI
      VJWOUVPUXAUAUSUVIUSUDZUVPUVIHUHZUULCUGZUUDULUMZUXAUXJUVPUVIUVIVCUMZUXMUXJ
      UVIUQUDUXNUVIWPUVIWQWRUVOUXNUXMUNUBUVIUSUVJUVIWSZUVKUXNUVNUXMUVJUVIUVIVCW
      TUXOUVMUXLUUDULUXOUVLUXKUULCUVJUVIHXAXBXCXDXEXFUXJUXLUWTUUDULUXJUXKUWSUUL
      CABCEFUAGHIJKLMNOPQXGXBXCXHXIWRWGXJWHUWCVRVSXKXLVFXMXNUXDUUIUWOULUMZUUNUN
      ZTKUOZUAUSURZUURUXDUVBUWPUXAUNZUAUSURZUNZEVAUXSUXCUYBEUXCUVBUWQUXBUNZUNUY
      BUVBUWQUXBXOUYAUYCUVBUWPUXAUAUSXPXQXRXSUXQUXTUATUSKEXTUUHUWMWSZUXPUWPUUNU
      XAUYDUUIUWNUWOULUUHUWMDBYAXCUYDUUMUWTUUDULUYDUUKUWSUULCUUHUWMGXAXBXCXDYBY
      CUXRUURUAUSUWOUQUDZUJUWOULUMZUXRUPZUURUXJUXRUPUUQUYGSUWOUQUUFUWOWSZUUGUYF
      UUPUXRUUFUWOUJULWTUYHUUOUXQTKUYHUUJUXPUUNUUFUWOUUIULWTYDYEYFYGUXJUYEUXRUV
      IYHVQUXJUYFUXRUVIYIYJYKYLWRYMVFXKYNYOYPYQYR $.
      $( [17-Nov-2007] $) $( [17-May-2007] $)

    $( MAY BE REVISED - A. x e. X could just be A. x using lmcl $)
    $( Two ways to say a mapping from metric ` C ` to metric ` D ` is
       continuous.  Theorem 10.3 of [Munkres] p. 128. $)
    metcn4 $p |- ( ( C e. Met /\ D e. Met /\ F : X --> Y ) ->
             ( F e. ( J Cn K ) <-> A. f ( f : NN --> X ->
           A. x e. X ( f ( ~~>m ` C ) x ->  G ( ~~>m ` D ) ( F ` x ) ) ) ) ) $=
      ( cme wcel wf ccn co cn cv clm cfv wbr wi wral wal wb wa ccnp cuni ctop
      eqid cncnp opntop ad2antrr ad2antlr wceq uniopn feq2 syl feq3 sylan9bb
      biimpar syl3anc raleq1d metcnp4 3expa adantlr ibar impexp albii syl5rbbr
      bitrd ralbidva ralcom4 r19.21v bitr syl6bb 3bitrd 3impa ) CRSZDRSZKLGTZGI
      JUAUBSZUCKEUDZTZWIAUDZCUEUFUGZHWKGUFDUEUFUGZUHZAKUIUHZEUJZUKWEWFULZWGULZW
      HGWKIJUMUBUFSZAIUNZUIZWSAKUIZWPIUOSZJUOSZWTJUNZGTZWHXAUKWRAGIJWTXEWTUPXEU
      PUQWEXCWFWGCIOURUSWFXDWEWGDJPURUTWQXFWGWEXFKXEGTZWFWGWEWTKVAXFXGUKCIKMOVB
      ZWTKXEGVCVDWFXELVAXGWGUKDJLNPVBXELKGVEVDVFVGVHWEXAXBUKWFWGWEWSAWTKXHVIUSW
      RXBWJWNUHZEUJZAKUIZWPWRWSXJAKWRWKKSZULZWSWGWJWLULWMUHZEUJZULZXJWQXLWSXPUK
      ZWGWEWFXLXQBCDWKEFGHIJKLMNOPQVJVKVLXMXOXPXJWGXOXPUKWQXLWGXOVMUTXNXIEWJWLW
      MVNVOVPVQVRXKXIAKUIZEUJWPXIAEKVSXRWOEWJWNAKVTVOWAWBWCWD $.
      $( [18-Nov-2007] $) $( [13-Jun-2007] $)
  $}


  ${
    $d g p C $.  $d g j p y D $.  $d g j p y F $.  $d g j p y G $.  $d g p H $.
    $d p J $.  $d p K $.  $d p P $.  $d g j p X $.
    metcn4i.1 $e |- X = dom dom C $.
    metcn4i.c $e |- J = ( Open ` C ) $.
    metcn4i.d $e |- K = ( Open ` D ) $.
    metcn4i.5 $e |- H = { <. j , y >. | ( j e. NN /\ y = ( F ` ( G ` j ) ) )
                    } $.
    metcn4i.p $e |- P e. V $.
    $( Convergence carries through a continuous mapping. $)
    metcn4i $p |- ( ( ( C e. Met /\ D e. Met /\ F e. ( J Cn K ) ) /\ (
       G : NN --> X /\ G ( ~~>m ` C ) P ) ) -> H ( ~~>m ` D ) ( F ` P ) ) $=
      ( vp vg cme wcel ccn co w3a cn wf clm cfv wbr wa cvv lmcl mp3an2
      ad2ant2rl 3adantl2 wi cv wral wceq breq2 fveq2 breq2d imbi12d rcla4v
      nnex fex mpan2 copab wal feq1 breq1 fveq1 fveq2d eqeq2d anbi2d opabbidv
      syl6eqr breq1d ralbidv cla4gv cdm eqid metcnf metcn4 biimpd 3exp com34
      3imp mpd syl5 com3l mpdi imp ex imp32 ) BSTZCSTZFIJUAUBTZUCZUDKGUEZGDBUFU
      GZUHZUIZUIDKTZHDFUGZCUFUGZUHZWOWQXBXCWPWOXAXCWQWSWODUJTXAXCPUJBDGKLUKULUM
      UNWRWSXAXCXFUOZWRWSXAXGUOXCWRWSUIZXAXFXCGQUPZWTUHZHXIFUGZXEUHZUOZQKUQZXAX
      FUOZXHXMXOQDKXIDURZXJXAXLXFXIDGWTUSXPXKXDHXEXIDFUTVAVBVCWRWSXNWRWSGUJTZXN
      WSUDUJTXQVDUDKUJGVEVFXQWRWSXNXQUDKRUPZUEZXRXIWTUHZEUPZUDTZAUPZYAXRUGZFUGZ
      URZUIZEAVGZXKXEUHZUOZQKUQZUOZRVHZWSXNUOZWRYLYNRGUJXRGURZXSWSYKXNUDKXRGVIY
      OYJXMQKYOXTXJYIXLXRGXIWTVJYOYHHXKXEYOYHYBYCYAGUGZFUGZURZUIZEAVGHYOYGYSEAY
      OYFYRYBYOYEYQYCYOYDYPFYAXRGVKVLVMVNVOOVPVQVBVRVBVSWRKCVTVTZFUEZYMBCFIJKYT
      LYTWAZMNWBWOWPWQUUAYMUOWOWPUUAWQYMWOWPUUAWQYMUOWOWPUUAUCWQYMQABCREFYHIJKY
      TLUUBMNYHWAWCWDWEWFWGWHWIWJWKWLWIWJWMWNWH $.
      $( [7-Jan-2008] $) $( [25-Dec-2007] $)
  $}

  ${
    $d j m n p v x y z B $.  $d j m n p v x y z C $.  $d j m v D $.
    $d j m n p v x y z R $.  $d j m n p v x y z S $.  $d j k m n v w x y z X $.
    $d j k m p v w x y z Y $.
    xplm.a $e |- R e. V $.
    xplm.b $e |- S e. V $.
    xplm.1 $e |- X = dom dom B $.
    xplm.3 $e |- Y = dom dom C $.
    xplm.5 $e |- B e. Met $.
    xplm.6 $e |- C e. Met $.
    xplm.7 $e |- D = { <. <. x , y >. , z >. | ( ( x e. ( X X. Y )
         /\ y e. ( X X. Y ) ) /\ z = sup ( { ( ( 1st ` x ) B ( 1st ` y )
            ) , ( ( 2nd ` x ) C ( 2nd ` y ) ) } , RR , < ) ) } $.
    ${
      $d j m v x y z F $.  $d j m v x y z G $.  $d j k m v w H $.
      xplmi.9 $e |- F =
              { <. k , w >. | ( k e. NN /\ w = ( 1st ` ( H ` k ) ) ) } $.
      xplmi.10 $e |- G =
              { <. k , w >. | ( k e. NN /\ w = ( 2nd ` ( H ` k ) ) ) } $.
      $( Two sequences converge if the sequence of their ordered pairs
         converges.  One direction of Proposition 14-2.6 of [Gleason] p. 230.
         _Warning:  The HTML proof page is 0.5MB in size_. $)
      xplmi $p |- ( ( H : NN --> ( X X. Y ) /\ H ( ~~>m ` D ) <. R , S >. )
           -> ( ( F : NN --> X /\ F ( ~~>m ` B ) R ) /\
                ( G : NN --> Y /\ G ( ~~>m ` C ) S ) ) ) $=
        ( vv vj vm cn cxp wf cop clm cfv wbr wa wcel cc0 cv clt cle co wi wral
        wrex cr simprl a1i cvv opex cme metxp c1 cdm c1st c2nd cpr csup ltso
        supex dmoprab2 dmeqi dmxpid eqtr2 1z nnuz lmcvg2 mp3anl1 mpanl1
        adantlr adantll wb wceq ffvelrn elxp6 pm3.26bi syl fveq2 fveq2d fvex
        fvopab4 opeq12d adantl eqtr4d opreq1d breq1d adantr metcl mp3an1 elxp7
        pm3.27bi pm3.27d r19.21aiva fopab2 sylib sylan adantrl adantrr pm3.26d
        op1st eqcomi op2nd metxptval opelxpi sylanc anim12i biimpd adantlrr
        metxpfval lelttrt simprr syl3anc exp3a imp sylbid lecase exp43 com12
        com4l imp41 imim2d r19.20dva r19.22sdv adantlrl mpd r19.21adv jcad
        lmbrf mp3an12 sylibrd jctild lmcl opelxp ancli syl5 ) UHNOUIZMUJZMHIUKZ
        GULUMUNZUHNKUJZKHEULUMUNZUOZUHOLUJZLIFULUMUNZUOZUOZUUPUURHNUPZIOUPZUOZU
        OZUVEUURUUPUVIUVAUVDUUPUVIUUTUUSUUPUVIUVFUQUEURZUSUNZUFURUGURZUTUNZUVLK
        UMZHEVAZUVJUSUNZVBZUGUHVCZUFUHVDZVBZUEVEVCZUOZUUTUUPUVIUVFUWAUVIUVFVBUU
        PUURUVFUVGVFVGUUPUVIUVTUEVEUUPUVIUVJVEUPZUVKUVSUUPUVIUOUWCUVKUOZUOZUVMU
        VLMUMZUUQGVAZUVJUSUNZVBZUGUHVCZUFUHVDZUVSUVIUWDUWKUUPUURUWDUWKUVHUUQVHU
        PZUURUWDUWKHIVIZGVJUPZUWLUURUWDUWKABCEFGNORSTUAUBVKZVHGUUQUVJUFUGMVLUUO
        UHGVMZVMUUOUUOUIZVMUUOUWPUWQABCUUOUUOAURZVNUMBURZVNUMEVAUWRVOUMUWSVOUMF
        VAVPZVEUSVQGVEUWTUSVRVSUBVTWAUUOWBWCZWDWEWFWGWHWIWJZUUPUVHUWDUWKUVSVBZU
        URUUPUVHUOZUWCUXCUVKUXDUWCUOZUWJUVRUFUHUXEUWIUVQUGUHUXEUVLUHUPZUOZUWHUV
        PUVMUUPUVHUWCUXFUWHUVPVBZUXFUUPUVHUWCUXHUUPUXFUVHUWCUXHVBVBUUPUXFUVHUWC
        UXHUUPUXFUOZUVHUWCUOZUOZUWHUVNUVLLUMZUKZUUQGVAZUVJUSUNZUVPUXIUWHUXOWKUX
        JUXIUWGUXNUVJUSUXIUWFUXMUUQGUXIUWFUWFVNUMZUWFVOUMZUKZUXMUXIUWFUUOUPZUWF
        UXRWLZUHUUOUVLMWMUXSUXTUXPNUPUXQOUPUOUWFNOWNWOWPUXFUXMUXRWLUUPUXFUVNUXP
        UXLUXQJDUVLJURZMUMZVNUMZUXPUHKUYAUVLWLZUYBUWFVNUYAUVLMWQZWRUCUWFVNWSWTJ
        DUVLUYBVOUMZUXQUHLUYDUYBUWFVOUYEWRUDUWFVOWSWTXAXBXCXDXEXFZUXKUXOUVPVBZU
        XLIFVAZUVOUXIUVHUYIVEUPZUWCUXIUVGUYJUVFUXLOUPZUVGUYJUXIFVJUPZUYKUVGUYJU
        AUXLIFOSXGXHUVBUXFUYKUUPUHOUVLLWMUUPUYFOUPZJUHVCUVBUUPUYMJUHUUPUYAUHUPU
        OZUYBUUOUPZUYMUHUUOUYAMWMZUYOUYCNUPZUYMUYOUYBVHVHUIUPUYQUYMUOUYBNOXIXJZ
        XKWPXLJDUHOUYFLUDXMXNZXOZXOXPXQZUXIUVHUVOVEUPZUWCUXIUVFVUBUVGUVNNUPZUVF
        VUBUXIEVJUPZVUCUVFVUBTUVNHENRXGXHUUSUXFVUCUUPUHNUVLKWMUUPUYQJUHVCUUSUUP
        UYQJUHUYNUYOUYQUYPUYOUYQUYMUYRXRWPXLJDUHNUYCKUCXMXNZXOZXOXQXQZUXIUVHUYI
        UVOUTUNZUYHUWCUXIUVHUOZVUHUOZUXOUVPVUJUXNUVOUVJUSUXMUUOUPZUUQUUOUPZUOZV
        UHUXNUVOWLZVUIABCEFGUXMUUQUVNUXLHINORSTUAUBUXMVNUMUVNUVNUXLUVLKWSZXSXTZ
        UXMVOUMUXLUVNUXLVUOUVLLWSYAXTZUUQVNUMHHIPXSXTZUUQVOUMIHIPQYAXTZYBUXIVUK
        UVHVULVUCUYKVUKUXIUVNUXLNOYCVUFUYTYDHINOYCYEZXOZXEYFYGUXKUVOUYIUTUNZUOZ
        UXOUYIUVJUSUNZUVPVVCUXNUYIUVJUSUXIUVHVVBUXNUYIWLZUWCVUMVVBVVEVUIABCEFGU
        XMUUQUVNUXLHINORSTUAUBVUPVUQVURVUSYHVUTXOZYGXEUXKVVBVVDUVPVBUXKVVBVVDUV
        PVUBUYJUWCVVBVVDUOUVPVBUXKUVOUYIUVJYIVUGVUAUXIUVHUWCYJZYKYLYMYNYOYNYPYQ
        YRYSYTUUAUUBXQUUCUUDYPUUEUUFUUPUUSUUTUWBWKZVUEVUDHVHUPUUSVVHTPUEVHEHUFU
        GKVLNUHRWDWEUUGUUHWPUUIVUEUUJUUPUVIUVCUVBUUPUVIUVGUVKUVMVVDVBZUGUHVCZUF
        UHVDZVBZUEVEVCZUOZUVCUUPUVIUVGVVMUVIUVGVBUUPUURUVFUVGYJVGUUPUVIVVLUEVEU
        UPUVIUWCUVKVVKUWEUWKVVKUXBUUPUVHUWDUWKVVKVBZUURUXDUWCVVOUVKUXEUWJVVJUFU
        HUXEUWIVVIUGUHUXGUWHVVDUVMUUPUVHUWCUXFUWHVVDVBZUXFUUPUVHUWCVVPUUPUXFUVH
        UWCVVPVBVBUUPUXFUVHUWCVVPUXKUWHUXOVVDUYGUXKUXOVVDVBZUYIUVOVUAVUGUXKVUHU
        OZUXOUVPVVDVVRUXNUVOUVJUSUXIUVHVUHVUNUWCVVAYGXEUXKVUHUVPVVDVBUXKVUHUVPV
        VDUYJVUBUWCVUHUVPUOVVDVBUXKUYIUVOUVJYIVUAVUGVVGYKYLYMYNUXIUVHVVBVVQUWCV
        UIVVBUOZUXOVVDVVSUXNUYIUVJUSVVFXEYFYGYOYNYPYQYRYSYTUUAUUBXQUUCUUDYPUUEU
        UFUUPUVBUVCVVNWKZUYSUYLIVHUPUVBVVTUAQUEVHFIUFUGLVLOUHSWDWEUUGUUHWPUUIUY
        SUUJUUFUURUVHUURVULUVHUWNUWLUURVULUWOUWMVHGUUQMUUOUXAUUKUUHHINOQUULXNUU
        MUUNYM $.
        $( [5-Oct-2007] $) $( [30-Jul-2007] $)

      $( Two sequences converge if the sequence of their ordered pairs
         converges.  Part of Proposition 14-2.6 of [Gleason] p. 230.  Note:
         The hypothesis ` S e. V ` is redundant but is kept for convenience. $)
      xplmi2 $p |- ( ( H : NN --> ( X X. Y ) /\ H ( ~~>m ` D ) R )
           -> ( ( F : NN --> X /\ F ( ~~>m ` B ) ( 1st ` R ) ) /\
                ( G : NN --> Y /\ G ( ~~>m ` C ) ( 2nd ` R ) ) ) ) $=
        ( cn cxp wf c1st cfv c2nd cop clm wbr wa fvex xplmi wcel wceq cme cvv
        metxp cdm cv co cpr cr clt csup ltso supex dmoprab2 dmeqi dmxpid eqtr2
        lmcl mp3an12 elxp6 pm3.26bi syl breq2d ibi sylan2 ) UENOUFZMUGMHUHUIZHU
        JUIZUKZGULUIZUMZUENKUGKWDEULUIUMUNUEOLUGLWEFULUIUMUNUNMHWGUMZABCDEFGWDW
        EJKLMNOHUHUOHUJUORSTUAUBUCUDUPWIWHWIHWFMWGWIHWCUQZHWFURZGUSUQHUTUQWIWJA
        BCEFGNORSTUAUBVAPUTGHMWCGVBZVBWCWCUFZVBWCWLWMABCWCWCAVCZUHUIBVCZUHUIEVD
        WNUJUIWOUJUIFVDVEZVFVGVHGVFWPVGVIVJUBVKVLWCVMVNVOVPWJWKWDNUQWEOUQUNHNOV
        QVRVSVTWAWB $.
        $( [7-Oct-2007] $) $( [30-Jul-2007] $)
    $}

    ${
      $d j k m n p v w x y z F $.  $d j k m n p v w x y z G $.  $d j m v H $.
      xplm.9 $e |- F : NN --> X $.
      xplm.10 $e |- G : NN --> Y $.
      xplm.11 $e |- H =
            { <. k , w >. | ( k e. NN /\ w = <. ( F ` k ) , ( G ` k ) >. ) } $.
      $( Two sequences converge iff the sequence of their ordered pairs
         converges.  Proposition 14-2.6 of [Gleason] p. 230.  _Warning:  The
         HTML proof page is 0.5MB in size_. $)
      xplm $p |- ( ( F ( ~~>m ` B ) R /\ G ( ~~>m ` C ) S ) <->
                 H ( ~~>m ` D ) <. R , S >. ) $=
        ( vv vj vm vn vp clm cfv wbr wa cop cxp wcel cc0 cv clt cle co wi cn
        wral wrex cr opelxpi cme cvv lmcl mp3an12 syl2an c1 1z nnuz lmcvg2
        mp3anl1 mpanl1 anim12i anandirs reeanv nnret adantr adantl letrt
        syl3an 3expa exp3a imp an1rs ancrd imim1d r19.20dva simplr jctild wceq
        breq1 imbi1d ralbidv rcla4ev syl6 3com12 ancld simpll lecase r19.26
        prth r19.20si sylbir syl5 r19.23aivv syl cif c1st fvex op1st eqcomi
        c2nd op2nd metxpdval ffvelrni sylanc ancoms breq1d ifboth syl5bir wb
        fveq2 opeq12d opex fvopab4 opreq1d sylibrd sylan imim2d r19.22sdv mpd
        exp32 r19.21aiv jca wf metxp fopab cdm cpr csup ltso supex dmoprab2
        dmeqi dmxpid eqtr2 lmbrf mp3an sylibr copab wfn ffn ax-mp fnopabfv
        mpbi fveq2d syl6eq eqeq2d pm5.32i opabbii eqtr4 xplmi pm3.27 mpan
        impbi ) KHEUKULUMZLIFUKULUMZUNZMHIUOZGUKULUMZUVOUVPNOUPZUQZURUFUSZUTUMZ
        UGUSZUHUSZVAUMZUWCMULZUVPGVBZUVTUTUMZVCZUHVDVEZUGVDVFZVCZUFVGVEZUNZUVQU
        VOUVSUWLHNUQZIOUQZUVSUVMUVNHINOVHZEVIUQZHVJUQZUVMUWNTPVJEHKNRVKVLZFVIUQ
        ZIVJUQZUVNUWOUAQVJFILOSVKVLZVMUVOUWKUFVGUVOUVTVGUQZUWAUWJUVOUXCUWAUNZUN
        ZUWDUWCKULZHEVBZUVTUTUMZUWCLULZIFVBZUVTUTUMZUNZVCZUHVDVEZUGVDVFZUWJUXEU
        IUSZUWCVAUMZUXHVCZUHVDVEZUIVDVFZUJUSZUWCVAUMZUXKVCZUHVDVEZUJVDVFZUNZUXO
        UVMUVNUXDUYFUVMUXDUNUXTUVNUXDUNUYEUWRUVMUXDUXTPUWQUWRUVMUXDUXTTVJEHUVTU
        IUHKVNNVDRVOVPVQVRVSUXAUVNUXDUYEQUWTUXAUVNUXDUYEUAVJFIUVTUJUHLVNOVDSVOV
        PVQVRVSVTWAUYFUXSUYDUNZUJVDVFUIVDVFUXOUXSUYDUIUJVDVDWBUYGUXOUIUJVDVDUXP
        VDUQZUYAVDUQZUNZUXQUYBUNZUXLVCZUHVDVEZUXOUYGUYJUYMUXOVCUXPUYAUYHUXPVGUQ
        ZUYIUXPWCZWDUYIUYAVGUQZUYHUYAWCZWEUYJUXPUYAVAUMZUNZUYMUYIUYBUXLVCZUHVDV
        EZUNUXOUYSUYMVUAUYIUYSUYLUYTUHVDUYSUWCVDUQZUNZUYBUYKUXLVUCUYBUXQUYJVUBU
        YRUYBUXQVCZUYJVUBUNZUYRVUDVUEUYRUYBUXQUYHUYIVUBUYRUYBUNUXQVCZUYNUYPUWCV
        GUQZVUFUYHUYIVUBUXPUYAUWCWFUYOUYQUWCWCZWGWHWIWJWKWLWMWNUYHUYIUYRWOWPUXN
        VUAUGUYAVDUWBUYAWQZUXMUYTUHVDVUIUWDUYBUXLUWBUYAUWCVAWRWSWTXAXBUYJUYAUXP
        VAUMZUNZUYMUYHUXQUXLVCZUHVDVEZUNUXOVUKUYMVUMUYHVUKUYLVULUHVDVUKVUBUNZUX
        QUYKUXLVUNUXQUYBUYJVUBVUJUXQUYBVCZVUEVUJVUOVUEVUJUXQUYBUYHUYIVUBVUJUXQU
        NUYBVCZUYIUYHVUBVUPUYPUYNVUGVUPUYIUYHVUBUYAUXPUWCWFUYQUYOVUHWGXCWHWIWJW
        KXDWMWNUYHUYIVUJXEWPUXNVUMUGUXPVDUWBUXPWQZUXMVULUHVDVUQUWDUXQUXLUWBUXPU
        WCVAWRWSWTXAXBXFUYGUXRUYCUNZUHVDVEUYMUXRUYCUHVDXGVURUYLUHVDUXQUXHUYBUXK
        XHXIXJXKXLXJXMUVOUXOUWJVCUXDUVOUXNUWIUGVDUVOUXMUWHUHVDUVOVUBUNUXLUWGUWD
        UWNUWOUNZVUBUXLUWGVCUVOVUSVUBUNZUXLUXFUXIUOZUVPGVBZUVTUTUMZUWGVUTVVCUXJ
        UXGUTUMZUXGUXJXNZUVTUTUMZUXLVUTVVBVVEUVTUTVUBVUSVVBVVEWQZVVAUVRUQZUVSVV
        GVUBVUSABCEFGVVAUVPUXFUXIHINORSTUAUBVVAXOULZUXFUXFUXIUWCKXPZXQZXRVVAXSU
        LZUXIUXFUXIVVJUWCLXPXTZXRUVPXOULHHIPXQXRUVPXSULIHIPQXTXRYAUXFNUQUXIOUQV
        VHVUBUXFUXINOVHVDNUWCKUCYBVDOUWCLUDYBYCUWPVMYDYEVVDUXHUXKVVFUXGUXJUXGVV
        EUVTUTWRUXJVVEUVTUTWRYFYGVUBUWGVVCYHVUSVUBUWFVVBUVTUTVUBUWEVVAUVPGJDUWC
        JUSZKULZVVNLULZUOZVVAVDMVVNUWCWQVVOUXFVVPUXIVVNUWCKYIVVNUWCLYIYJUEUXFUX
        IYKYLZYMYEWEYNUVMUWNUVNUWOUWSUXBVTYOYPWNYQWDYRYSYTUUAGVIUQUVPVJUQVDUVRM
        UUBZUVQUWMYHABCEFGNORSTUAUBUUCHIYKJDVDUVRVVQMUEVVONUQVVPOUQVVQUVRUQVVNV
        DUQVVOVVPNOVHVDNVVNKUCYBVDOVVNLUDYBYCUUDZUFVJGUVPUGUHMVNUVRVDGUUEZUUEUV
        RUVRUPZUUEUVRVWAVWBABCUVRUVRAUSZXOULBUSZXOULEVBVWCXSULVWDXSULFVBUUFZVGU
        TUUGGVGVWEUTUUHUUIUBUUJUUKUVRUULUUMVOVPUUNUUOUUPVVSUVQUVOVVTVVSUVQUNVDN
        KUUBZUVMUNZVDOLUUBZUVNUNZUNUVOABCUFEFGHIUHKLMNOPQRSTUAUBKVUBUVTUXFWQZUN
        ZUHUFUUQZVUBUVTUWEXOULZWQZUNZUHUFUUQKVDUURZKVWLWQVWFVWPUCVDNKUUSUUTUHUF
        VDKUVAUVBVWOVWKUHUFVUBVWNVWJVUBVWMUXFUVTVUBVWMVVIUXFVUBUWEVVAXOVVRUVCVV
        KUVDUVEUVFUVGUVHLVUBUVTUXIWQZUNZUHUFUUQZVUBUVTUWEXSULZWQZUNZUHUFUUQLVDU
        URZLVWSWQVWHVXCUDVDOLUUSUUTUHUFVDLUVAUVBVXBVWRUHUFVUBVXAVWQVUBVWTUXIUVT
        VUBVWTVVLUXIVUBUWEVVAXSVVRUVCVVMUVDUVEUVFUVGUVHUVIVWGUVMVWIUVNVWFUVMUVJ
        VWHUVNUVJVTXMUVKUVL $.
        $( [19-Apr-2008] $) $( [16-Jul-2007] $)
    $}
  $}

  ${
    $d p q r s t u A $.  $d p q r x y z B $.  $d p q r x y z C $.
    $d p q r s t u D $.  $d p q r t u v w x y z F $.
    $d p q r t u v w x y z G $.  $d p q r s t u H $.  $d p q r s t u w J $.
    $d p q r t u w K $.  $d p q r t u w L $.  $d t u M $.
    $d p q r s t u v w X $.  $d p r s t u v w x y z Y $.
    $d q r s t u v w x y z Z $.
    xpcn.1 $e |- X = dom dom A $.
    xpcn.3 $e |- Y = dom dom B $.
    xpcn.5 $e |- Z = dom dom C $.
    xpcn.7 $e |- A e. Met $.
    xpcn.8 $e |- B e. Met $.
    xpcn.9 $e |- C e. Met $.
    xpcn.10 $e |- D = { <. <. x , y >. , z >. | ( ( x e. ( Y X. Z ) /\ y e.
      ( Y X. Z ) ) /\ z = sup ( { ( ( 1st ` x ) B ( 1st ` y ) ) , ( ( 2nd ` x )
      C ( 2nd ` y ) ) } , RR , < ) ) } $.
    xpcn.11 $e |- J = ( Open ` A ) $.
    xpcn.12 $e |- K = ( Open ` B ) $.
    xpcn.11a $e |- L = ( Open ` C ) $.
    xpcn.11b $e |- M = ( Open ` D ) $.
    xpcn.13 $e |- H =
             { <. w , v >. | ( w e. X /\ v = <. ( F ` w ) , ( G ` w ) >. ) } $.
    $( Construct a continuous function to the product of the codomains of
       two continuous functions on a common metric space.  _Warning:  The
       HTML proof page is 0.5MB in size_. $)
    xpcn $p |- ( ( F e. ( J Cn K ) /\ G e. ( J Cn L ) ) ->
                 H e. ( J Cn M ) ) $=
      ( vt vs vu vr vp vq ccn co wcel wa cxp wf cc0 cv clt wbr cfv wi wral cr
      wrex cop ffvelrn cme metcnf mp3an12 sylan anim12i anandirs opelxpi syl
      r19.21aiva fopab2 sylib w3a metcni mp3anl1 mpanl1 adantlr adantll cle
      cif wceq breq2 imbi1d ralbidv anbi12d rcla4ev ifcl ad2antlr ifboth
      ad2antrl ltmint biimpd metcl mp3an1 3ad2antl1 syl3an1 3expb an1rs
      adantlll fveq2 opeq12d opex fvopab4 opreqan12d adantl c1st fvex op1st
      eqcomi c2nd op2nd metxpdval syl2an adantrr adantrl sylanc eqtrd breq1d
      breq1 syl5bir anassrs 3simp1 sylanl2 imim12d prth syl5 r19.20dva imp
      anasss jca ex an4 r19.26 anbi2i bitr4 syl5ib r19.23advv reeanv syl5ibr
      mp2and 3exp2 imp3a r19.21aivv wb metxp cdm cpr csup ltso supex dmoprab2
      dmeqi dmxpid eqtr2 metcn mp2an sylibr ) JMNURUSUTZKMOURUSUTZVAZQRSVBZLVCZ
      VDULVEZVFVGZVDUMVEZVFVGZUNVEZUOVEZFUSZUVRVFVGZUVTLVHZUWALVHZIUSZUVPVFVGZV
      IZUOQVJZVAZUMVKVLZVIZULVKVJUNQVJZVAZLMPURUSUTZUVMUVOUWMUVMDVEZJVHZUWPKVHZ
      VMZUVNUTZDQVJUVOUVMUWTDQUVMUWPQUTZVAUWQRUTZUWRSUTZVAZUWTUVKUVLUXAUXDUVKUX
      AVAUXBUVLUXAVAUXCQRJVCZUXAUXBUVKQRUWPJVNFVOUTZGVOUTZUVKUXEUCUDFGJMNQRTUAU
      GUHVPVQZVRQSKVCZUXAUXCUVLQSUWPKVNUXFHVOUTZUVLUXIUCUEFHKMOQSTUBUGUIVPVQZVR
      VSVTUWQUWRRSWAWBWCDEQUVNUWSLUKWDWEUVMUWLUNULQVKUVMUVTQUTZUVPVKUTZUWLUVMUX
      LUXMUVQUWKUVMUXLUXMUVQWFZVAZVDUPVEZVFVGZUWBUXPVFVGZUVTJVHZUWAJVHZGUSZUVPV
      FVGZVIZUOQVJZVAZUPVKVLZVDUQVEZVFVGZUWBUYGVFVGZUVTKVHZUWAKVHZHUSZUVPVFVGZV
      IZUOQVJZVAZUQVKVLZUWKUVKUXNUYFUVLUXGUVKUXNUYFUDUXFUXGUVKUXNUYFUCUPUOUVPFG
      UVTJMNQRTUGUAUHWGWHWIWJUVLUXNUYQUVKUXJUVLUXNUYQUEUXFUXJUVLUXNUYQUCUQUOUVP
      FHUVTKMOQSTUGUBUIWGWHWIWKUXOUYEUYPVAZUQVKVLUPVKVLUWKUYFUYQVAUXOUYRUWKUPUQ
      VKVKUXOUXPVKUTZUYGVKUTZVAZUYRUWKVIUXOVUAVAZUXQUYHVAZUYCUYNVAZUOQVJZVAZUWK
      UYRVUBVUFUWKUXPUYGWLVGZUXPUYGWMZVKUTZVDVUHVFVGZUWBVUHVFVGZUWGVIZUOQVJZVAZ
      UWKVUBVUFVAZUWJVUNUMVUHVKUVRVUHWNZUVSVUJUWIVUMUVRVUHVDVFWOVUPUWHVULUOQVUP
      UWCVUKUWGUVRVUHUWBVFWOWPWQWRWSVUAVUIUXOVUFVUGUXPUYGVKWTXAVUOVUJVUMVUCVUJV
      UBVUEVUGUXQUYHVUJUXPUYGUXPVUHVDVFWOUYGVUHVDVFWOXBXCVUBVUCVUEVUMVUBVUCVAZV
      UEVUMVUQVUDVULUOQVUQUWAQUTZVAUXRUYIVAZUYBUYMVAZVIZVULVUDVUBVURVVAVULVIVUC
      VUBVURVAVUKVUSVUTUWGUXNVUAVURVUKVUSVIZUVMUXNVURVUAVVBUXNVURVAZUYSUYTVVBUW
      BVKUTZUYSUYTVVBVVCVVDUYSUYTWFVUKVUSUWBUXPUYGXDXEUXLUXMVURVVDUVQUXFUXLVURV
      VDUCUVTUWAFQTXFXGXHXIXJXKXLUXOVURVUTUWGVIZVUAUVMUXLVURVVEUXNUVMUXLVURVVEU
      VMUXLVURVAZVAZUWGUYLUYAVFVGZUYAUYLWMZUVPVFVGZVUTVVGUWFVVIUVPVFVVGUWFUXSUY
      JVMZUXTUYKVMZIUSZVVIVVFUWFVVMWNUVMUXLVURUWDVVKUWEVVLIDEUVTUWSVVKQLUWPUVTW
      NUWQUXSUWRUYJUWPUVTJXMUWPUVTKXMXNUKUXSUYJXOXPDEUWAUWSVVLQLUWPUWAWNUWQUXTU
      WRUYKUWPUWAJXMUWPUWAKXMXNUKUXTUYKXOXPXQXRVVKUVNUTZVVLUVNUTZVVMVVIWNVVGABC
      GHIVVKVVLUXSUYJUXTUYKRSUAUBUDUEUFVVKXSVHUXSUXSUYJUVTJXTZYAYBVVKYCVHUYJUXS
      UYJVVPUVTKXTYDYBVVLXSVHUXTUXTUYKUWAJXTZYAYBVVLYCVHUYKUXTUYKVVQUWAKXTYDYBY
      EUVMUXLVVNVURUVKUVLUXLVVNUXSRUTZUYJSUTZVVNUVKUXLVAUVLUXLVAUXSUYJRSWAUXEUX
      LVVRUVKQRUVTJVNUXHVRUXIUXLVVSUVLQSUVTKVNUXKVRYFVTYGUVMVURVVOUXLUVKUVLVURV
      VOUXTRUTZUYKSUTZVVOUVKVURVAUVLVURVAUXTUYKRSWAUXEVURVVTUVKQRUWAJVNUXHVRUXI
      VURVWAUVLQSUWAKVNUXKVRYFVTYHYIYJYKVVHUYBUYMVVJUYAUYLUYAVVIUVPVFYLUYLVVIUV
      PVFYLXBYMYNUXLUXMUVQYOYPWJYQWJUXRUYBUYIUYMYRYSYTUUAUUBUUCYIUUDUYRVUCUYDUY
      OVAZVAVUFUXQUYDUYHUYOUUEVUEVWBVUCUYCUYNUOQUUFUUGUUHUUIUUDUUJUYEUYPUPUQVKV
      KUUKUULUUMUUNUUOUUPUUCUXFIVOUTUWOUWNUUQUCABCGHIRSUAUBUDUEUFUURUNULUMUOFIL
      MPQUVNTUGIUUSZUUSUVNUVNVBZUUSUVNVWCVWDABCUVNUVNAVEZXSVHBVEZXSVHGUSVWEYCVH
      VWFYCVHHUSUUTZVKVFUVAIVKVWGVFUVBUVCUFUVDUVEUVNUVFUVGUJUVHUVIUVJ $.
      $( [20-Nov-2007] $) $( [8-Aug-2007] $)
  $}

  ${
    $d w A $.  $d w x y z B $.  $d w x y z C $.  $d v w x y z F $.
    $d v w x y z G $.  $d w J $.  $d w K $.  $d w L $.  $d w M $.  $d v w O $.
    $d v w x y z P $.  $d v w x y z X $.  $d v w x y z Y $.  $d v w x y z Z $.
    oprcn.1 $e |- X = dom dom A $.
    oprcn.2 $e |- Y = dom dom B $.
    oprcn.4 $e |- Z = dom dom C $.
    oprcn.6 $e |- A e. Met $.
    oprcn.7 $e |- B e. Met $.
    oprcn.8 $e |- C e. Met $.
    oprcn.9 $e |- J e. Met $.
    oprcn.a $e |- K = ( Open ` A ) $.
    oprcn.b $e |- L = ( Open ` B ) $.
    oprcn.c $e |- M = ( Open ` C ) $.
    oprcn.d $e |- N = ( Open ` D ) $.
    oprcn.j $e |- Q = ( Open ` J ) $.
    oprcn.10 $e |- D = { <. <. x , y >. , z >. | ( ( x e. ( Y X. Z ) /\ y e. (
      Y X. Z ) ) /\ z = sup ( { ( ( 1st ` x ) B ( 1st ` y ) ) , ( ( 2nd ` x ) C
      ( 2nd ` y ) ) } , RR , < ) ) } $.
    oprcn.11 $e |- O e. ( N Cn Q ) $.
    ${
      oprcn.12 $e |- H =
               { <. w , v >. | ( w e. X /\ v = ( ( F ` w ) O ( G ` w ) ) ) } $.
      $( Construct a continuous function ` H ` built from two functions ` F `
         and ` G ` (on a common metric space ` A ` ) applied to an operation
         ` O ` .  This can be used to show, e.g., that ` x ^ 2 + x ` is
         continuous if we know that ` x ^ 2 ` , ` x ` , and ` + ` are. $)
      oprcn $p |- ( ( F e. ( K Cn L ) /\ G e. ( K Cn M ) ) ->
                     H e. ( K Cn Q ) ) $=
        ( ccn co wcel wa cv cfv cop wceq copab ccom csb crn cxp wss wral wf
        ffvelrn cme metcnf mp3an12 sylan anim12i anandirs opelxpi syl
        r19.21aiva eqid opex rnssopab sylib fvex cdm metxp c1st c2nd cpr cr
        clt csup ltso supex dmoprab2 dmeqi dmxpid eqtr2 mp3an fopabfv pm3.26bi
        ax-mp fopabcos cvv csbvarg fveq2i csbfv2g df-opr 3eqtr4r eqeq2i anbi2i
        opabbii eqtr syl6reqr xpcn w3a 3pm3.2i metcnco mpan mpan2 eqeltrd ) KOP
        URUSUTZLOQURUSUTZVAZMSDVBZTUTZEVBZYIKVCZYILVCZVDZVEVADEVFZVGZOJURUSZYHY
        PYJYKDYNYISVCZVHZVEZVAZDEVFZMYHYOVIUAUBVJZVKZYPUUBVEYHYNUUCUTZDTVLUUDYH
        UUEDTYHYJVAYLUAUTZYMUBUTZVAZUUEYFYGYJUUHYFYJVAUUFYGYJVAUUGTUAKVMZYJUUFY
        FTUAYIKVNFVOUTZGVOUTYFUUIUFUGFGKOPTUAUCUDUJUKVPVQVRTUBLVMZYJUUGYGTUBYIL
        VNUUJHVOUTYGUUKUFUHFHLOQTUBUCUEUJULVPVQVRVSVTYLYMUAUBWAWBWCDETUUCYNYOYO
        WDZYLYMWEZWFWGDEUUCTYRYNSYOYISWHUUMUUCNWIWIZSVMZSYIUUCUTYKYRVEVADEVFVEZ
        IVOUTZNVOUTZSRJURUSUTZUUOABCGHIUAUBUDUEUGUHUOWJZUIUPINSRJUUCUUNIWIZWIUU
        CUUCVJZWIUUCUVAUVBABCUUCUUCAVBZWKVCBVBZWKVCGUSUVCWLVCUVDWLVCHUSWMZWNWOW
        PIWNUVEWOWQWRUOWSWTUUCXAXBUUNWDUMUNVPXCUUOUUPYRUUNUTDUUCVLDEUUCUUNSXDXE
        XFUULXGWBMYJYKYLYMSUSZVEZVAZDEVFUUBUQUVHUUADEUVGYTYJUVFYSYKDYNYIVHZSVCZ
        YNSVCYSUVFUVIYNSYNXHUTZUVIYNVEUUMDYNXHXIXFXJUVKYSUVJVEUUMDYNYIXHSXKXFYL
        YMSXLXMXNXOXPXQXRYHYOORURUSUTZYPYQUTZABCDEFGHIKLYOOPQRTUAUBUCUDUEUFUGUH
        UOUJUKULUMUULXSUVLUUSUVMUPUUJUUQUURXTUVLUUSVAUVMUUJUUQUURUFUUTUIYAFINYO
        SORJUJUMUNYBYCYDWBYE $.
        $( [21-Nov-2007] $) $( [7-Aug-2007] $)
    $}

    ${
      opr1cn.12 $e |- H =
               { <. w , v >. | ( w e. X /\ v = ( ( F ` w ) O P ) ) } $.
      $( Construct a continuous function ` H ` built from a function ` F ` and
         a constant applied to an operation ` O ` . $)
      opr1cn $p |- ( ( F e. ( K Cn L ) /\ P e. Z ) ->
                     H e. ( K Cn Q ) ) $=
        ( ccn co wcel wa cv cfv csn cxp wceq copab fvconst2g opreq2d eqeq2d
        pm5.32da opabbidv syl6reqr adantl eqid oprcn wf fconstg cme metcnconst
        mpanl12 mpdan sylan2 eqeltrd ) LOPURUSUTZJUBUTZVAMDVBZTUTZEVBZWGLVCZWGT
        JVDZVEZVCZSUSZVFZVAZDEVGZOKURUSZWFMWQVFWEWFWQWHWIWJJSUSZVFZVAZDEVGMWFWP
        XADEWFWHWOWTWFWHVAZWNWSWIXBWMJWJSTJWGUBVHVIVJVKVLUQVMVNWEWLOQURUSUTZWQW
        RUTWFABCDEFGHIKLWLWQNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPWQVOVPWFTWKW
        LVQZXCTJUBVRFVSUTHVSUTWFXDVAXCUFUHJFHWLOQTUBUCUEUJULVTWAWBWCWD $.
        $( [4-Dec-2007] $) $( [10-Aug-2007] $)
    $}

    ${
      opr2cn.12 $e |- H =
               { <. w , v >. | ( w e. X /\ v = ( P O ( G ` w ) ) ) } $.
      $( Construct a continuous function ` H ` built from a function ` G ` and
         a constant applied to an operation ` O ` . $)
      opr2cn $p |- ( ( P e. Y /\ G e. ( K Cn M ) ) ->
                     H e. ( K Cn Q ) ) $=
        ( wcel ccn co wa cv csn cxp cfv wceq copab fvconst2g opreq1d eqeq2d
        pm5.32da opabbidv syl6reqr adantr eqid oprcn wf fconstg cme metcnconst
        mpanl12 mpdan sylan eqeltrd ) JUAURZLOQUSUTURZVAMDVBZTURZEVBZWGTJVCZVDZ
        VEZWGLVEZSUTZVFZVAZDEVGZOKUSUTZWEMWQVFWFWEWQWHWIJWMSUTZVFZVAZDEVGMWEWPX
        ADEWEWHWOWTWEWHVAZWNWSWIXBWLJWMSTJWGUAVHVIVJVKVLUQVMVNWKOPUSUTURZWFWQWR
        URWEABCDEFGHIKWKLWQNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPWQVOVPWETWJWK
        VQZXCTJUAVRFVSURGVSURWEXDVAXCUFUGJFGWKOPTUAUCUDUJUKVTWAWBWCWD $.
        $( [1-Dec-2007] $) $( [10-Aug-2007] $)
    $}
  $}

  ${
    $d w x y z A $.  $d w x y z B $.  $d w C $.  $d w J $.  $d v w O $.
    $d v w x y z P $.  $d v w x y z X $.  $d v w x y z Y $.
    oprscn.1 $e |- X = dom dom A $.
    oprscn.3 $e |- Y = dom dom B $.
    oprscn.5 $e |- A e. Met $.
    oprscn.6 $e |- B e. Met $.
    oprscn.7 $e |- C e. Met $.
    oprscn.8 $e |- D = { <. <. x , y >. , z >. | ( ( x e. ( X X. Y ) /\ y e. (
      X X. Y ) ) /\ z = sup ( { ( ( 1st ` x ) A ( 1st ` y ) ) , ( ( 2nd ` x ) B
      ( 2nd ` y ) ) } , RR , < ) ) } $.
    oprscn.j $e |- J = ( Open ` A ) $.
    oprscn.k $e |- K = ( Open ` C ) $.
    oprscn.l $e |- L = ( Open ` D ) $.
    oprscn.9 $e |- O e. ( L Cn K ) $.
    ${
      opr1scn.10 $e |- G =
               { <. w , v >. | ( w e. X /\ v = ( w O P ) ) } $.
      $( Construct a continuous function ` G ` from a continuous operation
         ` O ` with the second argument held constant. $)
      opr1scn $p |- ( P e. Y -> G e. ( J Cn K ) ) $=
        ( cid cres ccn co wcel cme wss ssid metidcn mp3an copn cfv eqid cv
        wceq wa copab fvresi opreq1d eqeq2d pm5.32i opabbii eqtr4 opr1cn mpan
        ) UIPUJZLLUKULUMZJQUMKLMUKULUMFUNUMZVPFFUOVOTTFUPFFLLPRUDUDUQURABCDEFFG
        IJMVNKHLLGUSUTZNOPPQRRSTTUAUBUDUDVQVAUFUEUCUGKDVBZPUMZEVBZVRJOULZVCZVDZ
        DEVEVSVTVRVNUTZJOULZVCZVDZDEVEUHWGWCDEVSWFWBVSWEWAVTVSWDVRJOPVRVFVGVHVI
        VJVKVLVM $.
        $( [5-Dec-2007] $) $( [23-Aug-2007] $)
    $}
  $}

  ${
    $d h q u v w C $.  $d h m q D $.  $d m u v w F $.  $d m u v w G $.
    $d q H $.  $d q J $.  $d q K $.  $d h k q r O $.  $d k m r u v w $.
    bopcn.1 $e |- C = ( abs o. - ) $.
    bopcn.2 $e |- D = { <. <. w , v >. , u >. | ( ( w e. ( CC X. CC ) /\ v e.
      ( CC X. CC ) ) /\ u = sup ( { ( ( 1st ` w ) C ( 1st ` v ) ) , ( ( 2nd ` w
          ) C ( 2nd ` v ) ) } , RR , < ) ) } $.
    bopcn.j $e |- J = ( Open ` C ) $.
    bopcn.k $e |- K = ( Open ` D ) $.
    bopcn.5 $e |- O : ( CC X. CC ) --> CC $.
    bopcn.6 $e |- F =
            { <. k , r >. | ( k e. NN /\ r = ( 1st ` ( h ` k ) ) ) } $.
    bopcn.7 $e |- G =
            { <. k , r >. | ( k e. NN /\ r = ( 2nd ` ( h ` k ) ) ) } $.
    bopcn.9 $e |- ( ( ( 1st ` ( h ` k ) ) e. CC /\ ( 2nd ` ( h ` k ) ) e.
               CC ) -> ( ( 1st ` ( h ` k ) ) O ( 2nd ` ( h ` k ) ) ) e. CC ) $.
    bopcn.10 $e |- ( ( ( F ~~> ( 1st ` q ) /\ G ~~> ( 2nd ` q ) ) /\ ( 1 e. ZZ
    /\ A. m e. ( ZZ> ` 1 ) ( ( F ` m ) e. CC /\ ( G ` m ) e. CC /\ ( H ` m ) =
    ( ( F ` m ) O ( G ` m ) ) ) ) ) -> H ~~> ( ( 1st ` q ) O ( 2nd ` q ) ) ) $.
    bopcn.8 $e |- H = { <. k , r >. | ( k e. NN /\ r = ( O ` ( h ` k ) ) ) } $.
    $( Lemma for ~ bopcn . $)
    bopcnlem1 $p |- ( ( h : NN --> ( CC X. CC ) /\ h ( ~~>m ` D ) q )
         -> ( ( F : NN --> CC /\ F ~~> ( 1st ` q ) ) /\
              ( G : NN --> CC /\ G ~~> ( 2nd ` q ) ) ) ) $=
      ( cn cc cxp cv wf clm cfv wbr wa c1st c2nd cli visset cnmetba cnmet
      xplmi2 cvv wcel wb fvex lmclimnn mpan pm5.32i anbi12i sylib ) UGUHUHUIFUJ
      ZUKVLPUJZEULUMUNUOUGUHIUKZIVMUPUMZDULUMZUNZUOZUGUHJUKZJVMUQUMZVPUNZUOZUOV
      NIVOURUNZUOZVSJVTURUNZUOZUOABCODDEVMVMGIJVLUHUHPUSZWGDQUTZWHDQVAZWIRUBUCV
      BVRWDWBWFVNVQWCVOVCVDVNVQWCVEVMUPVFVCDVOIQVGVHVIVSWAWEVTVCVDVSWAWEVEVMUQV
      FVCDVTJQVGVHVIVJVK $.
      $( [18-Nov-2007] $) $( [30-Jul-2007] $)

    $( Lemma for ~ bopcn . $)
    bopcnlem2 $p |- ( ( h : NN --> ( CC X. CC ) /\ h ( ~~>m ` D ) q ) ->
              H ~~> ( ( 1st ` q ) O ( 2nd ` q ) ) ) $=
      ( cn cc cxp cv wf clm cfv wbr wa c1st cli c2nd co bopcnlem1 wcel wceq
      w3a c1 cuz wral cz 1z mpanr1 pm3.27 anim12i adantl ffvelrn adantlr
      adantll cop elxp6 pm3.26bi syl fveq2d df-opr syl6eqr fveq2 fvex fvopab4
      opreq12d 3eqtr4d 3jca elnnuz sylan2br r19.21aiva adantrlr adantrrr
      sylanc mpdan ) UGUHUHUIZFUJZUKZWQPUJZEULUMUNZUOZUGUHIUKZIWSUPUMZUQUNZUOZU
      GUHJUKZJWSURUMZUQUNZUOZUOZKXCXGNUSUQUNZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUT
      XDXHUOZHUJZIUMZUHVAZXMJUMZUHVAZXMKUMZXNXPNUSZVBZVCZHVDVEUMZVFZXKXAXJUOXLV
      DVGVAYCXKVHUEVIXJXLXAXEXDXIXHXBXDVJXFXHVJVKVLXAXEXFYCXHXAXBXFYCXDXAXBXFUO
      ZUOZYAHYBYEXMUGVAZYAXMYBVAYEYFUOZXOXQXTYDYFXOXAXBYFXOXFUGUHXMIVMVNVOYDYFX
      QXAXFYFXQXBUGUHXMJVMVOVOYGXMWQUMZNUMZYHUPUMZYHURUMZNUSZXRXSXAYFYIYLVBZYDW
      RYFYMWTWRYFUOZYIYJYKVPZNUMYLYNYHYONYNYHWPVAZYHYOVBZUGWPXMWQVMYPYQYJUHVAYK
      UHVAUOYHUHUHVQVRVSVTYJYKNWAWBVNVNYFXRYIVBYEGOXMGUJZWQUMZNUMYIUGKYRXMVBZYS
      YHNYRXMWQWCZVTUFYHNWDWEVLYFXSYLVBYEYFXNYJXPYKNGOXMYSUPUMYJUGIYTYSYHUPUUAV
      TUBYHUPWDWEGOXMYSURUMYKUGJYTYSYHURUUAVTUCYHURWDWEWFVLWGWHXMWIWJWKWLWMWNWO
      $.
      $( [18-Nov-2007] $) $( [30-Jul-2007] $)

    $( Lemma for ~ bopcn . $)
    bopcnlem3 $p |- ( ( h : NN --> ( CC X. CC ) /\ h ( ~~>m ` D ) q ) ->
              H ~~> ( O ` q ) ) $=
      ( cn cc cxp cv wf clm cfv wbr wa c1st c2nd co cli bopcnlem2 wb cop wcel
      wceq cme cvv cn2met visset cdm cpr cr clt csup ltso supex dmoprab2 dmeqi
      dmxpid eqtr2 lmcl mp3an12 elxp6 pm3.26bi syl fveq2d df-opr syl6reqr
      breq2d adantl mpbid ) UGUHUHUIZFUJZUKZWLPUJZEULUMUNZUOKWNUPUMZWNUQUMZNURZ
      USUNZKWNNUMZUSUNZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUTWOWSXAVAWMWOWRWTKUSWOW
      TWPWQVBZNUMWRWOWNXBNWOWNWKVCZWNXBVDZEVEVCWNVFVCWOXCABCDEQRVGPVHVFEWNWLWKE
      VIZVIWKWKUIZVIWKXEXFABCWKWKAUJZUPUMBUJZUPUMDURXGUQUMXHUQUMDURVJZVKVLVMEVK
      XIVLVNVORVPVQWKVRVSVTWAXCXDWPUHVCWQUHVCUOWNUHUHWBWCWDWEWPWQNWFWGWHWIWJ $.
      $( [18-Nov-2007] $) $( [30-Jul-2007] $)

    $( Lemma for ~ bopcn . $)
    bopcnlem4 $p |- ( ( h : NN --> ( CC X. CC ) /\ h ( ~~>m ` D ) q ) ->
              H ( ~~>m ` C ) ( O ` q ) ) $=
      ( cn cc cxp cv wf clm cfv wbr wa cli bopcnlem3 wb wcel wral ffvelrn
      ffvelrni syl r19.21aiva fopab2 sylib cvv fvex lmclimnn mpan adantr
      mpbird ) UGUHUHUIZFUJZUKZVNPUJZEULUMUNZUOKVPNUMZDULUMUNZKVRUPUNZABCDEFGHI
      JKLMNOPQRSTUAUBUCUDUEUFUQVOVSVTURZVQVOUGUHKUKZWAVOGUJZVNUMZNUMZUHUSZGUGUT
      WBVOWFGUGVOWCUGUSUOWDVMUSWFUGVMWCVNVAVMUHWDNUAVBVCVDGOUGUHWEKUFVEVFVRVGUS
      WBWAVPNVHVGDVRKQVIVJVCVKVL $.
      $( [18-Nov-2007] $) $( [30-Jul-2007] $)

    $( Conditions for a binary operation ` O ` on ` CC ` to be continuous. $)
    bopcn $p |- O e. ( K Cn J ) $=
      ( ccn co wcel cn cc cxp cv wf clm cfv wbr wi wral cme wal wb cnmetba
      cnmet metxp cdm c1st c2nd cpr cr clt csup ltso supex dmoprab2 dmeqi
      dmxpid eqtr2 metcn4 mp3an bopcnlem4 ex adantr r19.21aiva mpgbir ) NMLUGUH
      UIZUJUKUKULZFUMZUNZWHPUMZEUOUPUQZKWJNUPDUOUPUQZURZPWGUSURZFEUTUIDUTUIWGUK
      NUNWFWNFVAVBABCDDEUKUKDQVCZWODQVDZWPRVEWPUAPOEDFGNKMLWGUKEVFZVFWGWGULZVFW
      GWQWRABCWGWGAUMZVGUPBUMZVGUPDUHWSVHUPWTVHUPDUHVIZVJVKVLEVJXAVKVMVNRVOVPWG
      VQVRWOTSUFVSVTWIWMPWGWIWMWJWGUIWIWKWLABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFWAWB
      WCWDWE $.
      $( [18-Nov-2007] $) $( [25-Jul-2007] $)
  $}

  ${
    $d h q u v w C $.  $d h m q D $.  $d q J $.  $d q K $.
    $d h k m q r u v w $.
    addcn.1 $e |- C = ( abs o. - ) $.
    addcn.2 $e |- D = { <. <. w , v >. , u >. | ( ( w e. ( CC X. CC ) /\ v e.
      ( CC X. CC ) ) /\ u = sup ( { ( ( 1st ` w ) C ( 1st ` v ) ) , ( ( 2nd ` w
      ) C ( 2nd ` v ) ) } , RR , < ) ) } $.
    addcn.j $e |- J = ( Open ` C ) $.
    addcn.k $e |- K = ( Open ` D ) $.
    $( Complex number addition is a continuous function.  Part of Proposition
       14-4.16 of [Gleason] p. 243. $)
    addcn $p |- + e. ( K Cn J ) $=
      ( vh vk vm vr vq cv cn wcel cfv c1st wceq wa copab c2nd caddc axaddopr
      eqid axaddcl c1 nnex opabex2 fvex climadd bopcn ) ABCDELMNMQZRSZOQZUPLQTZ
      UATZUBUCMOUDZUQURUSUETZUBUCMOUDZUQURUSUFTZUBUCMOUDZFGUFOPHIJKUGVAUHVCUHUT
      VBUIPQZUATVFUETNVAVCVEUJMORUTUKULMORVBUKULMORVDUKULVFUAUMVFUEUMUNVEUHUO
      $.
      $( [26-Nov-2007] $) $( [30-Jul-2007] $)

    $( Complex number subtraction is a continuous function.  Part of
       Proposition 14-4.16 of [Gleason] p. 243. $)
    subcn $p |- - e. ( K Cn J ) $=
      ( vh vk vm vr vq cv cn wcel cfv c1st wceq wa copab c2nd cmin subopr eqid
      subclt c1 nnex opabex2 fvex climsub bopcn ) ABCDELMNMQZRSZOQZUPLQTZUATZUB
      UCMOUDZUQURUSUETZUBUCMOUDZUQURUSUFTZUBUCMOUDZFGUFOPHIJKUGVAUHVCUHUTVBUIPQ
      ZUATVFUETNVAVCVEUJMORUTUKULMORVBUKULMORVDUKULVFUAUMVFUEUMUNVEUHUO $.
      $( [26-Nov-2007] $) $( [4-Aug-2007] $)

    $( Complex number multiplication is a continuous function.  Part of
       Proposition 14-4.16 of [Gleason] p. 243. $)
    mulcn $p |- x. e. ( K Cn J ) $=
      ( vh vk vm vr vq cv cn wcel cfv c1st wceq wa copab c2nd cmul axmulopr
      eqid axmulcl c1 nnex opabex2 fvex climmul bopcn ) ABCDELMNMQZRSZOQZUPLQTZ
      UATZUBUCMOUDZUQURUSUETZUBUCMOUDZUQURUSUFTZUBUCMOUDZFGUFOPHIJKUGVAUHVCUHUT
      VBUIPQZUATVFUETNVAVCVEUJMORUTUKULMORVBUKULMORVDUKULVFUAUMVFUEUMUNVEUHUO
      $.
      $( [18-Nov-2007] $) $( [30-Jul-2007] $)
  $}

  ${
    $d w C $.  $d s t u w D $.  $d j m q r s t u v w F $.  $d j v w N $.
    $d j k m w J $.  $d j k m w K $.  $d j k m q r s t u v w X $.
    fsumcn.1 $e |- C e. Met $.
    fsumcn.2 $e |- X = dom dom C $.
    fsumcn.7 $e |- D = ( abs o. - ) $.
    fsumcn.j $e |- J = ( Open ` C ) $.
    fsumcn.k $e |- K = ( Open ` D ) $.
    fsumcn.11 $e |- ( k e. NN -> F e. ( J Cn K ) ) $.
    fsumcn.13 $e |- G =
         { <. w , v >. | ( w e. X /\ v = sum_ k e. ( 1 ... N ) ( F ` w ) ) } $.
    ${
      fsumcnlem.14 $e |- B = { <. <. u , t >. , s >. | ( ( u e. ( CC X. CC )
          /\ t e. ( CC X. CC ) ) /\ s = sup ( { ( ( 1st ` u ) D ( 1st ` t ) ) ,
                  ( ( 2nd ` u ) D ( 2nd ` t ) ) } , RR , < ) ) } $.
      $( Lemma for ~ fsumcn .  _Warning:  The HTML proof page is 0.4MB in
         size_. $)
      fsumcnlem $p |- ( N e. NN -> G e. ( J Cn K ) ) $=
        ( vj vm vr vq cn wcel cv c1 cfz co cfv csu wceq wa copab ccn caddc csb
        cuz elnnuz fvex fsump1slem sylbi adantr cvv sumex fvopab2 mpan2 oprex
        csbfv12g ax-mp ax-17 csbconstgf fveq2i eqtr2 a1i opreq12d adantl
        eqtr4d eqeq2d pm5.32da opabbidv copn cc cnmetba cnmet eqid addcn wb
        eleq1 id fveq2 sumeq2sdv eqeqan12rd anbi12d cbvopabv fveq1i opreq1i
        eqeq2i anbi2i opabbii oprcn eleq1i sylanb pm3.27 peano2nn wral rgen
        ra4csbela syl sylanc eqeltrd ex wsbc 1nn csbopabg sbcang elisseti
        sbcgf sbceq2dig cz 1z fsum1s mp2an bitr4 anbi12i bitr wf cme metcnf
        mp3an12 fopabfv pm3.26bi eqeltrrd eqeltr opreq2 sumeq1d anbi2d eleq1d
        nnindALT syl5eqel ) MUHUIAUJZNUIZBUJZUKMULUMZUUEIUNZHUOZUPZUQZABURZKLUS
        UMZJUUFUUGUKUDUJZULUMZUUIHUOZUPZUQZABURZUUNUIUUFUUGUKUKULUMZUUIHUOZUPZU
        QZABURZUUNUIUUFUUGUKUEUJZULUMZUUIHUOZUPZUQZABURZUUNUIZUUFUUGUKUVFUKUTUM
        ZULUMZUUIHUOZUPZUQZABURZUUNUIZUUMUUNUIUDUEMUVFUHUIZUVLUVSUVTUVLUQZUVRUU
        FUUGUUEUVKUNZUUEHUVMIVAZUNZUTUMZUPZUQZABURZUUNUVTUVRUWHUPUVLUVTUVQUWGAB
        UVTUUFUVPUWFUVTUUFUQZUVOUWEUUGUWIUVOUVHHUVMUUIVAZUTUMZUWEUVTUVOUWKUPZUU
        FUVTUVFUKVBUNUIUWLUVFVCUUIHUKUVFUUEIVDZVEVFVGUUFUWEUWKUPUVTUUFUWBUVHUWD
        UWJUTUUFUVHVHUIUWBUVHUPUVGUUIHVIABNUVHVHVJVKUWDUWJUPUUFUWJHUVMUUEVAZUWC
        UNZUWDUVMVHUIZUWJUWOUPUVFUKUTVLZHUVMUUEVHIVMVNUWNUUEUWCUWPUWNUUEUPUWQHB
        UVMUUEVHUUGUUEUIHVOVPVNVQVRVSVTWAWBWCWDWEVGUVLUWCUUNUIZUWHUUNUIZUWAUFUJ
        ZNUIZUGUJZUVGUWTIUNZHUOZUPZUQZUFUGURZUUNUIUWRUWSUVLCDOABFGGELUXGUWCUWHG
        KLLEWFUNZUTNWGWGQGRWHZUXIPGRWIZUXJUXJSTTUXHWJZTUCCDOGELUXHRUCTUXKWKUWGU
        UFUUGUUEUXGUNZUWDUTUMZUPZUQABUWFUXNUUFUWEUXMUUGUWBUXLUWDUTUUEUVKUXGUVJU
        XFABUFUGUUEUWTUPZUUGUXBUPZUQUUFUXAUVIUXEUXOUUFUXAWLUXPUUEUWTNWMVGUXPUXO
        UUGUXBUVHUXDUXPWNUXOUVGUUIUXCHUUEUWTIWOWPWQWRWSZWTXAXBXCXDXEUVKUXGUUNUX
        QXFXGUVTUVLXHUVTUWRUVLUVTUVMUHUIZUWRUVFXIUXRIUUNUIZHUHXJUWRUXSHUHUAXKHU
        VMUHIUUNXLVKXMVGXNXOXPUVEHUKUUFUUGUUIUPZUQZABURZVAZUUNUYCUYAHUKXQZABURZ
        UVEUKUHUIZUYCUYEUPXRUYAHABUKUHXSVNUYDUVDABUYDUUFHUKXQZUXTHUKXQZUQZUVDUY
        FUYDUYIWLXRUUFUXTHUKUHXTVNUYGUUFUYHUVCUKVHUIZUYGUUFWLUKUHXRYAZUUFHUKVHU
        UFHVOYBVNUYHUUGHUKUUIVAZUPZUVCUYJUYHUYMWLUYKHUKUUGUUIVHYCVNUVBUYLUUGUKY
        DUIUUIVHUIZHUVAXJUVBUYLUPYEUYNHUVAUYNHUJZUVAUIUWMVSXKUUIVHHUKYFYGXBYHYI
        YJXDVRUYFUYBUUNUIZHUHXJUYCUUNUIXRUYPHUHUYOUHUIZIUYBUUNUYQNWGIYKZIUYBUPZ
        UYQUXSUYRUAFYLUIGYLUIUXSUYRPUXJFGIKLNWGQUXISTYMYNXMUYRUYSUUIWGUIANXJABN
        WGIYOYPXMUAYQXKHUKUHUYBUUNXLYGYRUUOUKUPZUUTUVEUUNUYTUUSUVDABUYTUURUVCUU
        FUYTUUQUVBUUGUYTUUPUVAUUIHUUOUKUKULYSYTWCUUAWEUUBUUOUVFUPZUUTUVKUUNVUAU
        USUVJABVUAUURUVIUUFVUAUUQUVHUUGVUAUUPUVGUUIHUUOUVFUKULYSYTWCUUAWEUUBUUO
        UVMUPZUUTUVRUUNVUBUUSUVQABVUBUURUVPUUFVUBUUQUVOUUGVUBUUPUVNUUIHUUOUVMUK
        ULYSYTWCUUAWEUUBUUOMUPZUUTUUMUUNVUCUUSUULABVUCUURUUKUUFVUCUUQUUJUUGVUCU
        UPUUHUUIHUUOMUKULYSYTWCUUAWEUUBUUCUBUUD $.
        $( [2-Dec-2007] $) $( [6-Aug-2007] $)
    $}

    $( A finite sum of functions to complex numbers from a common metric space
       is continuous.  The class expression for ` F ` normally contains free
       variable ` k ` to index it. $)
    fsumcn $p |- ( N e. NN -> G e. ( J Cn K ) ) $=
      ( vu vt vs cv cc cxp wcel wa c1st cfv co c2nd cpr cr clt csup wceq
      copab2 eqid fsumcnlem ) ABSTSUBZUCUCUDZUETUBZUTUEUFUAUBUSUGUHVAUGUHDUIUSU
      JUHVAUJUHDUIUKULUMUNUOUFSTUAUPZCDEFGHIJKUALMNOPQRVBUQUR $.
      $( [2-Dec-2007] $) $( [8-Aug-2007] $)
  $}

  ${
    $d a g j k m n x y D $.  $d a h j k m n x y z F $.  $d g j k m n x y G $.
    $d a g h j k m n x y z X $.
    iscms2lem1.1 $e |- G = { <. h , z >. | ( h e. NN /\
                       z = if ( ( F ` h ) e. X , ( F ` h ) , a ) ) } $.
    iscms2lem3.2 $e |- X = dom dom D $.
    $( Lemma for ~ iscms2 .  If the arbitrary sequence ` F ` is Cauchy, so
       is the constructed function ` G ` . $)
    iscms2lem3 $p |- ( ( D e. Met /\ F e. ( Cau ` D ) /\ a e. X ) ->
                     G e. ( Cau ` D ) ) $=
      ( vx vj vk cme wcel cca cfv cv w3a cc0 clt wbr cle co wi cn wral wrex cr
      cc cxp wss wa c1 1z nnuz iscau3 wceq lmfexlem2 opreqan12d an4s breq1d
      biimprd exp32 3impd adantll imim2d r19.20dva r19.22dva r19.20sdv adantld
      sylbid imp 3adant3 wf wb iscauf 3simp1 lmfexlem1 3ad2ant3 sylanc mpbird
      ) BMNZDBOPZNZGQZFNZRZEWCNZSJQZTUAZKQZLQZUBUAZWKEPZWLEPZBUCZWITUAZUDZLUEUF
      ZKUEUGZUDZJUHUFZWBWDXBWFWBWDXBWBWDDUIFUJUKZWJWMWKDPZFNZWLDPZFNZXDXFBUCZWI
      TUAZRZUDZLUEUFZKUEUGZUDZJUHUFZULXBJBKLDUMFUEIUNUOUPWBXOXBXCWBXNXAJUHWBXMW
      TWJWBXLWSKUEWBWKUENZULZXKWRLUEXQWLUENZULXJWQWMXPXRXJWQUDWBXPXRULZXEXGXIWQ
      XSXEXGXIWQUDXSXEXGULULZWQXIXTWPXHWITXPXEXRXGWPXHUQXPXEULXRXGULWNXDWOXFBAW
      ECDEWKFUEHURAWECDEWLFUEHURUSUTVAVBVCVDVEVFVGVHVFVIVJVKVLVMWBUEFEVNZWHXBVO
      WGJBKLEUMFUEIUNUOVPWBWDWFVQWFWBYAWDAWECDEFUEHVRVSVTWA $.
      $( [13-Oct-2007] $) $( [19-Dec-2006] $)

    $( Lemma for ~ iscms2 .  Whenever the constructed function ` G `
       converges, so does the arbitrary Cauchy sequence ` F ` . $)
    iscms2lem4 $p |- ( ( D e. Met /\ F e. ( Cau ` D ) /\
                      G ( ~~>m ` D ) x ) -> F ( ~~>m ` D ) x ) $=
      ( vy vj vk vm vn cme wcel cca cfv cv clm wbr w3a cc cxp wss cc0 clt cle
      co wa wi cn wral wrex cr caufss 3adant3 cvv visset lmcl mp3an2 3adant2
      c1 1z nnuz iscau3 pm3.27 syl6bi wb lmbr2 mpan2 3simp3 anim12d cif
      lmfexlem2 eleq1d opreq1d breq1d anbi12d ex 3simp2 syl5 imim2d imp
      adantrd pm5.74d pm3.42 syl5bi imp3a adantl maxlet nnret syl3an 3expa
      imbi1d sylibrd exp3a r19.20dva r19.20 syl6 wceq breq1 ralbidv rcla4ev
      ifcl ancoms sylan adantr syld an1rs r19.23adva r19.23aiva imim3i
      r19.20sii 3impib 3jca 3ad2ant1 mpbird ) CPQZECRSQZFATZCUASZUBZUCZEYBYCUBZ
      EUDGUEZUFZYBGQZUGKTZUHUBZLTZMTZUIUBZYMESZGQZYOYBCUJZYJUHUBZUKZULZMUMUNZLU
      MUOZULZKUPUNZUCZYEYHYIUUDXTYAYHYDCEGJUQURXTYDYIYAXTYBUSQZYDYIAUTZUSCYBFGJ
      VAVBVCXTYAYDUUDXTYAYDUKYKNTZYMUIUBZUUHESZGQZYPUUJYOCUJYJUHUBZUCZULZMUMUNZ
      NUMUOZULZKUPUNZYKOTZYMUIUBZYMFSZGQZUVAYBCUJZYJUHUBZUKZULZMUMUNZOUMUOZULZK
      UPUNZUKUUDXTYAUURYDUVJXTYAYHUURUKUURKCNMEVDGUMJVEVFVGYHUURVHVIXTYDFYGUFZY
      IUVJUCZUVJXTUUFYDUVLVJUUGKUSCYBOMFVDGUMJVEVFVKVLUVKYIUVJVMVIVNUURUVJUUDUU
      QUVIUUCKUPUUPUVHUUBYKUUOUVHUUBULNUMUUHUMQZUUOUKUVGUUBOUMUVMUUSUMQZUUOUVGU
      UBULUVMUVNUKZUUOUKUVGUUHUUSUIUBZUUSUUHVOZYMUIUBZYSULZMUMUNZUUBUVOUUOUVGUV
      TULZUVOUUOUVFUVSULZMUMUNUWAUVOUUNUWBMUMUVOYMUMQZUKZUUNUVFUVSUWDUUNUVFUKZU
      UIUUTUKZYSULZUVSUWCUWEUWGULUVOUWCUUNUVFUWGUWCUUNUVFUWGULUWCUUNUKZUWFUVEUL
      UWGUVFUWHUWFUVEYSUWHUUIUVEYSVJZUUTUWCUUNUUIUWIULUWCUUMUWIUUIUWCYPUWIUUMUW
      CYPUWIUWCYPUKZUVBYPUVDYRUWJUVAYOGBHTDEFYMGUMIVPZVQUWJUVCYQYJUHUWJUVAYOYBC
      UWKVRVSVTWAUUKYPUULWBWCWDWEWFWGUUIUUTUVEWHWIWAWJWKUWDUVRUWFYSUVMUVNUWCUVR
      UWFVJZUUHUPQUUSUPQYMUPQUWLUVMUVNUWCUUHUUSYMWLUUHWMUUSWMYMWMWNWOWPWQWRWSUV
      FUVSMUMWTXAWEUVOUVTUUBULUUOUVOUVTUUBUVQUMQZUVTUUBUVOUUAUVTLUVQUMYLUVQXBZY
      TUVSMUMUWNYNUVRYSYLUVQYMUIXCWPXDXEUVNUVMUWMUVPUUSUUHUMXFXGXHWAXIXJXKXLXMX
      NXOWEXAXPXQXTYAYFUUEVJZYDXTUUFUWOUUGKUSCYBLMEVDGUMJVEVFVKVLXRXS $.
      $( [13-Oct-2007] $) $( [19-Dec-2006] $)

    $( Lemma for ~ iscms2 .  If all Cauchy sequences ` g ` that are functions
       on ` NN ` converge, then any arbitrary Cauchy sequence ` F ` also
       converges. $)
    iscms2lem5 $p |- ( ( ( D e. Met /\ A. g e. ( Cau ` D ) ( g : NN --> X ->
                     E. x e. X g ( ~~>m ` D ) x ) ) /\ F e. ( Cau ` D ) ) ->
                     E. x e. X F ( ~~>m ` D ) x ) $=
      ( cme wcel cn cv wf clm cfv wbr wrex wi cca wral wa c0 wne caun0 adantlr
      wex iscms2lem3 3expa adantllr wceq feq1 breq1 rexbidv imbi12d rcla4cv
      lmfexlem1 syl7 com23 imp adantll mpd iscms2lem4 3expia r19.22sdv adantr
      ex 19.23adv ne0 syl5ib ) CLMZNHDOZPZVNAOZCQRZSZAHTZUAZDCUBRZUCZUDZFWAMZUD
      ZHUEUFZFVPVQSZAHTZVMWDWFWBCFHKUGUHWEIOZHMZIUIWHWFWEWJWHIWEWJWHWEWJUDZGVPV
      QSZAHTZWHWKGWAMZWMVMWDWJWNWBVMWDWJWNBCEFGHIJKUJUKULWCWJWNWMUAZWDWBWJWOVMW
      BWJWOWBWNWJWMWBWNNHGPZWMWJVTWPWMUADGWAVNGUMZVOWPVSWMNHVNGUNWQVRWLAHVNGVPV
      QUOUPUQURBWIEFGHNJUSUTVAVBVCUHVDWEWMWHUAZWJVMWDWRWBVMWDUDWLWGAHVMWDWLWGAB
      CEFGHIJKVEVFVGUHVHVDVIVJIHVKVLVD $.
      $( [13-Oct-2007] $) $( [19-Dec-2006] $)
  $}

  ${
    $d a f g x D $.  $d a f g m x y X $.
    iscms2.1 $e |- X = dom dom D $.
    $( The property " ` D ` is a complete metric" expressed in terms of
       functions on ` NN ` .  Thus we only have to look at functions on
       ` NN ` , and not all possible Cauchy sequences, to determine
       completeness. $)
    iscms2 $p |- ( D e. CMet <-> ( D e. Met /\
     A. f e. ( Cau ` D ) ( f : NN --> X -> E. x e. X f ( ~~>m ` D ) x ) ) ) $=
      ( vg vy vm va cms wcel cme cn cv wf clm cfv wbr wrex wi cca wral wa
      iscms ax-1 r19.20si anim2i sylbi cif wceq copab eqid iscms2lem5
      r19.21aiva ex imdistani sylibr impbi ) BJKZBLKZMDCNZOZVAANZBPQZRADSZTZCBU
      AQZUBZUCZUSUTVECVGUBZUCVIABCDEUDVJVHUTVEVFCVGVEVBUEUFUGUHVIUTFNZVCVDRADSZ
      FVGUBZUCUSUTVHVMUTVHVMVIVLFVGAGBCHVKHNZMKGNVNVKQZDKVOINUIUJUCHGUKZDIVPULE
      UMUNUOUPABFDEUDUQUR $.
      $( [13-Oct-2007] $) $( [18-Dec-2006] $)
  $}

  ${
    $d f x D $.  $d f x X $.
    iscms2i.1 $e |- X = dom dom D $.
    iscms2i.2 $e |- D e. Met $.
    iscms2i.3 $e |- ( ( f e. ( Cau ` D ) /\ f : NN --> X ) ->
                    E. x e. X f ( ~~>m ` D ) x ) $.
    $( Properties that determine a complete metric space. $)
    iscms2i $p |- D e. CMet $=
      ( cms wcel cme cn cv wf clm cfv wbr wrex wi cca wral iscms2 ex rgen
      mpbir2an ) BHIBJIKDCLZMZUEALBNOPADQZRZCBSOZTABCDEUAFUHCUIUEUIIUFUGGUBUCUD
      $.
      $( [14-Oct-2007] $) $( [15-Apr-2007] $)
  $}

  ${
    $d j k m n q x D $.  $d j k m n q x F $.  $d j k m n q x P $.
    lmcau.1 $e |- P e. V $.
    $( Every convergent sequence in a metric space is a Cauchy sequence.
       Theorem 1.4-5 of [Kreyszig] p. 28.  _Warning:  The HTML proof page is
       0.5MB in size_. $)
    lmcau $p |- ( ( D e. Met /\ F ( ~~>m ` D ) P ) -> F e. ( Cau ` D ) ) $=
      ( vq vj vn vx vk vm cme wcel clm cfv wbr cca cc cdm cxp wss cc0 cv clt
      cle co wa wi cz wral wrex cr w3a c2 cdiv halfpos2t biimpd adantl prth
      simpll a1i simprl caddc lt2addt eqid metcl 3expb adantrlr adantrll jca
      adantrr rehalfclt ad2antll sylanc wb wceq recnt 2halvest syl breq2d
      mettri3 id 3expa sylan2 lelttrt axaddrcl simprr syl3anc mpand sylbid
      syld exp44 com12 imp4c com23 imp an4s 3jcad syl9r r19.20sdv breq2 fveq2
      eleq1d opreq1d breq1d anbi12d imbi12d rcla4cv r19.21aiv raaan sylibr
      syl5 r19.22sdv imim12d r19.20dva ex imp3a anbi2d imbi2d rexralbidv
      sylan2i anim2d exp4d 3impd cvv lmbr mpan2 iscau 3imtr4d ) AKLZCBAMNOZCAPN
      LZYICQARRZSTZBYLLZUAEUBZUCOZFUBZGUBZUDOZYRCNZYLLZYTBAUEZYOUCOZUFZUGZGUHUI
      FUHUJZUGZEUKUIZULZYMUAHUBZUCOZYQIUBZUDOZYQJUBZUDOZUFZUULCNZYLLZUUNCNZYLLZ
      UUQUUSAUEZUUJUCOZULZUGZJUHUIZIUHUIZFUHUJZUGZHUKUIZUFZYJYKYIYMYNUUHUVJYIYM
      YNUUHUVJYIYNUUHUFUVIYMYIYNUAUUJUMUNUEZUCOZYSUUAUUBUVKUCOZUFZUGZGUHUIZFUHU
      JZUGZHUKUIZUVIUUHYIYNUVSUVIYIYNUVSUVIUGYIYNUFZUVRUVHHUKUVTUUJUKLZUFZUUKUV
      LUVQUVGUWAUUKUVLUGUVTUWAUUKUVLUUJUOUPUQUWBUVPUVFFUHUWBUUMUURUUQBAUEZUVKUC
      OZUFZUGZUUOUUTUUSBAUEZUVKUCOZUFZUGZUFZJUHUIZIUHUIZUVFUVPUWBUWLUVEIUHUWBUW
      KUVDJUHUWKUUPUWEUWIUFZUWBUVCUUMUWEUUOUWIURUWBUWNUURUUTUVBUWNUURUGUWBUURUW
      DUWIUSUTUWNUUTUGUWBUWEUUTUWHVAUTUWNUWBUVBUURUUTUWDUWHUWBUVBUGZUURUUTUFZUW
      DUWHUFZUWOUWPUWBUWQUVBUWPYIYNUWAUWQUVBUGZYIUWPYNUWAUWRUGUGYIUWPYNUWAUWRYI
      UWPYNUFZUWAUFUFZUWQUWCUWGVBUEZUVKUVKVBUEZUCOZUVBUWCUKLZUWGUKLZUFZUVKUKLZU
      XGUFZUWQUXCUGUWTUWCUWGUVKUVKVCYIUWSUXFUWAYIUWSUFZUXDUXEYIUURYNUXDUUTYIUUR
      YNUXDUUQBAYLYLVDZVEVFVGYIUUTYNUXEUURYIUUTYNUXEUUSBAYLUXJVEVFVHVIZVJUWAUXH
      YIUWSUWAUXGUXGUUJVKZUXLVIVLVMUWTUXCUXAUUJUCOZUVBUWAUXCUXMVNYIUWSUWAUXBUUJ
      UXAUCUWAUUJQLUXBUUJVOUUJVPUUJVQVRVSVLUWTUVAUXAUDOZUXMUVBYIUWSUXNUWAYIUURU
      UTYNULZUXNUWSUUQUUSBAYLUXJVTUURUUTYNUXOUXOWAWBWCVJUVAUKLZUXAUKLZUWAUXNUXM
      UFUVBUGUWTUVAUXAUUJWDYIUWSUXPUWAYIUWPUXPYNYIUURUUTUXPUUQUUSAYLUXJVEVFVJVJ
      YIUWSUXQUWAUXIUXFUXQUXKUWCUWGWEVRVJYIUWSUWAWFWGWHWIWJWKWLWMWNWOWPWLWQWRWS
      WSUVPUWFIUHUIZUWJJUHUIZUFUWMUVPUXRUXSUVPUWFIUHUVOUWFGUULUHYRUULVOZYSUUMUV
      NUWEYRUULYQUDWTUXTUUAUURUVMUWDUXTYTUUQYLYRUULCXAZXBUXTUUBUWCUVKUCUXTYTUUQ
      BAUYAXCXDXEXFXGXHUVPUWJJUHUVOUWJGUUNUHYRUUNVOZYSUUOUVNUWIYRUUNYQUDWTUYBUU
      AUUTUVMUWHUYBYTUUSYLYRUUNCXAZXBUYBUUBUWGUVKUCUYBYTUUSBAUYCXCXDXEXFXGXHVIU
      WFUWJIJUHXIXJXKXLXMXNXOXPUUHUVRHUKUUHUXGUVRUWAUUGUVREUVKUKYOUVKVOZYPUVLUU
      FUVQYOUVKUAUCWTUYDUUEUVOFGUHUHUYDUUDUVNYSUYDUUCUVMUUAYOUVKUUBUCWTXQXRXSXF
      XGUXLXKXHXTYAYBYCYIBYDLYJUUIVNDEYDABFGCYLUXJYEYFHAFIJCYLUXJYGYHWO $.
      $( [29-Jan-2008] $) $( [29-Jan-2008] $)
  $}

  ${
    $d f x y D $.  $d f x J $.  $d f x y X $.  $d f x y Y $.
    cmsss.1 $e |- X = dom dom D $.
    cmsss.2 $e |- J = ( Open ` D ) $.
    $( A subspace of a complete metric space is complete iff it is closed in
       the parent space.  Theorem 1.4-7 of [Kreyszig] p. 30. $)
    cmsss $p |- ( ( D e. CMet /\ Y (_ X ) -> ( ( D |` ( Y X. Y ) ) e. CMet <->
                Y e. ( Clsd ` J ) ) ) $=
      ( vx vf vy cms wcel wss wa cxp cres ccld cfv cme ccl cv wi cn wf clm wbr
      wex visset metelcls cdm wrex cca lmcau adantrl wb causs adantrr mpbid
      eqid cmscvg expcom syl adantlr metssba2 eleq2d adantr wceq lmuni simpll
      simprr w3a lmss biimprd 3exp com23 imp43 adantlrr syl3anc eleq1a
      ad2antrl mpd exp32 sylbird r19.23adv syld ex 19.23adv sylbid imp ssrdv
      ctop cuni iscld4 opntop uniopn sseq2d biimpar sylanc mpbird cmsmet
      sylanl1 wral metres ad2antrr caussi sylan syldan 19.8a syl5bir cldcls
      sylibd anassrs simplr 3jca biimpa sylancom jca adantld r19.22dv2 exp31
      com24 imp41 feq3 rexeq1d 3imtr3d r19.21aiva iscms2 sylibr impbida ) AJKZD
      CLZMZADDNOZJKZDBPQKZARKZYJYMYNYIYOYJMZYMMZYNDBSQQZDLZYQGYRDYPYMGTZYRKZYTD
      KZUAYPUUAYMUUBYPUUAUBDHTZUCZUUCYTAUDQZUEZMZHUFZYMUUBUAZAYTHBDCEFGUGZUHZYP
      UUGUUIHYPUUGUUIYPUUGMZYMUUCITZYLUDQZUEZIYLUIUIZUJZUUBYOUUGYMUUQUAZYJYOUUG
      MZUUCYLUKQZKZUURUUSUUCAUKQKZUVAYOUUFUVBUUDAYTUUCUUJULUMYOUUDUVBUVAUNUUFAU
      UCDUOUPUQYMUVAUUQIYLUUCUUPUUPURZUSUTVAVBUULUUOUUBIUUPUULUUMUUPKZUUMDKZUUO
      UUBUAZYPUVEUVDUNUUGYPDUUPUUMACDEVCZVDVEYOUUGUVEUVFUAYJUUSUVEUUOUUBUUSUVEU
      UOMZMZYTUUMVFZUUBYOUUFUUCUUMUUEUEZUVJUVIYTUUMAUUCUUJIUGVGYOUUGUVHVHUUSUUF
      UVHYOUUDUUFVIVEYOUUDUVHUVKUUFYOUUDUVEUUOUVKYOUVEUUDUUOUVKUAZYOUVEUUDUVLYO
      UVEUUDVJUVKUUOAUUMUUCDVKVLVMVNVOVPVQUVEUVJUUBUAUUSUUOUUMDYTVRVSVTWAVBWBWC
      WDWEWFWGVNWHWIYPYNYSUNZYMBWJKZDBWKZLZUVMYPDBUVOUVOURWLYOUVNYJABFWMZVEYOUV
      PYJYOUVOCDABCEFWNWOWPWQVEWRAWSZWTYKYNMZYLRKZUBUUPUUCUCZUUCYTUUNUEZGUUPUJZ
      UAZHUUTXAZMYMUVSUVTUWEYIUVTYJYNYIYOUVTUVRADXBVAXCUVSUWDHUUTUVSUVAMUUDUWBG
      DUJZUWAUWCYIYJYNUVAUUDUWFUAZYIUVAYNYJUWGYIUVAUUFGCUJZYNYJUWGUAUAZYIUVAUWH
      YIUVAUVBUWHYOUVAUVBYIAUUCDXDUVRXEGAUUCCEUSXFWEYIYOUWHUWIUAUVRYOYJYNUWHUWG
      YOYJYNUWHUWGUAYPYNMZUUDUWHUWFUWJUUDUWHUWFUAUWJUUDMZUUFUWBGCDUWKUUFUUBUWBM
      ZYTCKUWKUUFUWLUWKUUFMZUUBUWBUWJUUDUUFUUBUWJUUGUUBUWJUUGUUAUUBYPUUGUUAUAYN
      YPUUAUUHUUGUUKUUGHXGXHVEYOYNUUAUUBUNYJYOYNMYRDYTUVNYNYRDVFYODBXIUVQXEVDVB
      XJWHXKZUWKUUFYOUUBUUDVJZUWBUWMYOUUBUUDUWJYOUUDUUFYOYJYNVHXCUWNUWJUUDUUFXL
      XMUWOUUFUWBAYTUUCDVKXNXOXPWEXQXRWEVNXSXTVAWDXTYAYKUUDUWAUNZYNUVAYKDUUPVFZ
      UWPYOYJUWQYIUVGUVRXEZDUUPUBUUCYBVAXCYKUWFUWCUNYNUVAYKUWBGDUUPUWRYCXCYDYEX
      PGYLHUUPUVCYFYGYH $.
      $( [23-Mar-2008] $) $( [28-Jan-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of complete metric spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f j k v w D $.
    cncms.1 $e |- D = ( abs o. - ) $.
    $( The set of complex numbers is a complete metric space under the absolute
       value metric. $)
    cncms $p |- D e. CMet $=
      ( vw vf vv vj vk cc cnmetba cnmet cv cca cfv wcel cn wf wa clm wbr wrex
      cli cc0 clt cle cmin co cabs wi wral cr caucvg3t pm3.27 cme wb c1 1z
      nnuz iscauf mpan wceq cnmetdval abssubt eqtrd ffvelrn adantr adantlr
      sylanc breq1d imbi2d ralbidva rexbidva ralbidv bitrd biimpac cvv visset
      lmclimnn rexbidv adantl mpbird iscms2i ) CADHABIZABJZDKZALMNZOHWDPZQZWDCK
      ZARMSZCHTZWDWHUASZCHTZWFUBEKZUCSZFKZGKZUDSZWPWDMZWOWDMZUEUFUGMZWMUCSZUHZG
      OUIZFOTZUHZEUJUIZWLWGCGEFWDUKWEWFULWFWEXFWFWEWNWQWSWRAUFZWMUCSZUHZGOUIZFO
      TZUHZEUJUIZXFAUMNWFWEXMUNWCEAFGWDUOHOWBUPUQURUSWFXLXEEUJWFXKXDWNWFXJXCFOW
      FWOONZQZXIXBGOXOWPONZQZXHXAWQXQXGWTWMUCWSHNZWRHNZXGWTUTXQXRXSQXGWSWRUEUFU
      GMWTWSWRABVAWSWRVBVCXOXRXPOHWOWDVDVEWFXPXSXNOHWPWDVDVFVGVHVIVJVKVIVLVMVNV
      GWFWJWLUNWEWFWIWKCHWHVONWFWIWKUNCVPVOAWHWDBVQUSVRVSVTWA $.
      $( [15-Oct-2007] $) $( [20-Dec-2006] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Baire's Category Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Lemma for ~ bcth .  Property of exponentially decreasing terms. $)
  bcthlem1 $p |- ( ( ( m e. NN /\ Y e. RR ) /\ ( Z e. RR /\ Z < ( Y / 2 ) ) )
         -> ( Y < ( 1 / ( 2 ^ m ) ) -> Z < ( 1 / ( 2 ^ ( m + 1 ) ) ) ) ) $=
    ( cv cn0 wcel cr c2 cdiv co clt wbr wa c1 cexp caddc wi cn wb 2re w3a cc0
    2pos ltdiv1tOLD mpan2 mp3an3 wne rerecclt reexpclt mpan cc 2cn 2ne0 expne0it
    mp3an13 sylanc sylan2 ancoms wceq cmul pm3.2i recdiv2t recnd expp1t
    opreq2d eqtr4d adantr breq2d bitrd axlttrn rehalfclt syl3an2 peano2nn0 syl
    syl3an3 exp3a 3exp com13 imp43 sylbid nnnn0t sylanl1 ) ADZEFZBGFZCGFZCBHIJZ
    KLZMZBNHWCOJZIJZKLZCNHWCNPJZOJZIJZKLZQWCRFWDWEMZWIMWLWGWOKLZWPWQWLWRSWIWQWL
    WGWKHIJZKLZWRWEWDWLWTSZWEWKGFZXAWDWEXBHGFZXATWEXBXCUAUBHKLXAUCBWKHUDUEUFWJG
    FZWJUBUGZXBWDWJUHXCWDXDTHWCUIUJZHUKFZWDHUBUGZXEULUMHWCUNUOZUPUQURWQWSWOWGKW
    DWSWOUSWEWDWSNWJHUTJZIJZWOWJUKFZXEWSXKUSZWDXLXEMXGXHMXMXGXHULUMVAWJHVBUEWDW
    JXFVCXIUPWDWNXJNIXGWDWNXJUSULHWCVDUJVEVFVGVHVIVGWDWEWFWHWRWPQZWFWEWDWHXNQZW
    FWEWDXOWFWEWDUAWHWRWPWFWEWOGFZWHWRMWPQZWDWFWGGFXPXQWECWGWOVJBVKVLWDWMEFZXPW
    CVMWNGFZWNUBUGZXPXRWNUHXCXRXSTHWMUIUJXGXRXHXTULUMHWMUNUOUPVNVOVPVQVRVSVTWCW
    AWB $.
    $( [6-Nov-2007] $) $( [19-Oct-2007] $)

  ${
    $d k n D $.  $d k n S $.  $d k n g $.  $d k n j $.  $d k n m $.
    $d k n q $.
    $( Lemma for ~ bcth .  For any ` m ` , we can always find a greater ` n `
       meeting the convergence criterion. $)
    bcthlem2 $p |- ( ( ( m e. NN /\ j e. NN ) /\
       A. k e. NN ( j <_ k -> ( ( ( 1st o. g ) ` k ) D q ) < S ) ) ->
           E. n e. NN ( m < n /\ ( ( ( 1st o. g ) ` n ) D q ) < S ) ) $=
      ( cv cn wcel wa cle wbr c1st ccom cfv co clt wi wral wrex wceq breq2
      fveq2 opreq1d breq1d imbi12d rcla4v ad2antlr cr nnret leidt syl pm2.27
      anbi12d rcla4ev simplr adantr id adantll sylanc ex syld c1 caddc
      peano2nn ad2antrr lep1t letrt adantl peano2re syl3anc mpan2d imp ltp1t
      anim1i pm2.61ltle ) FIZJKZDIZJKZLZWAEIZMNZWDOCIPZQZHIZARZBSNZTZEJUAZVSGIZ
      SNZWMWFQZWHARZBSNZLZGJUBZWCWLWSTVSWAWCVSWASNZLZWLWAWAMNZWAWFQZWHARZBSNZTZ
      WSWBWLXFTVTWTWKXFEWAJWDWAUCZWEXBWJXEWDWAWAMUDXGWIXDBSXGWGXCWHAWDWAWFUEUFU
      GUHUIUJXAXFXEWSXAXBXFXETWBXBVTWTWBWAUKKZXBWAULZWAUMUNUJXBXEUOUNXAXEWSWBWT
      XELZWSXAXELWRXJGWAJWMWAUCZWNWTWQXEWMWAVSSUDXKWPXDBSXKWOXCWHAWMWAWFUEUFUGU
      PUQXAWBXEVTWBWTURUSWTXEXJWCXJUTVAVBVCVDVDWCWAVSMNZLZWLWAVSVEVFRZMNZXNWFQZ
      WHARZBSNZTZWSVTWLXSTZWBXLVTXNJKZXTVSVGZWKXSEXNJWDXNUCZWEXOWJXRWDXNWAMUDYC
      WIXQBSYCWGXPWHAWDXNWFUEUFUGUHUIUNVHXMXSXRWSXMXOXSXRTWCXLXOWCXLVSXNMNZXOVT
      YDWBVTVSUKKZYDVSULZVSVIUNUSXHYEXNUKKZXLYDLXOTWCWAVSXNVJWBXHVTXIVKZVTYEWBY
      FUSZVTYGWBVTYEYGYFVSVLUNUSVMVNVOXOXRUOUNXMXRWSYAVSXNSNZXRLZWSXMXRLWRYKGXN
      JWMXNUCZWNYJWQXRWMXNVSSUDYLWPXQBSYLWOXPWHAWMXNWFUEUFUGUPUQXMYAXRVTYAWBXLY
      BVHUSXMYJXRVTYJWBXLVTYEYJYFVSVPUNVHVQVBVCVDVDYIYHVRVO $.
      $( [7-Nov-2007] $) $( [24-Oct-2007] $)
  $}

  $( Lemma for ~ bcth .  Two ways to express the first component of a ball
     (expressed as an ordered pair) in the sequence of balls ` g ` . $)
  bcthlem3 $p |- ( ( g : NN --> A /\ N e. NN ) ->
            ( ( 1st o. g ) ` N ) = ( 1st ` ( g ` N ) ) ) $=
    ( c1st wfun cn cv wf wcel ccom cfv wceq cvv wfo fo1st fofun ax-mp fvco3
    mp3an1 ) DEZFABGZHCFICDUAJKCUAKDKLMMDNTOMMDPQFACDUARS $.
    $( [8-Nov-2007] $) $( [21-Oct-2007] $)

  ${
    $d x g $.  $d x N $.
    bcthlem5.7 $e |- A = ( X X. { x e. RR | 0 < x } ) $.
    $( Lemma for ~ bcth .  Closure of the ball components in a sequence ` g `
       of ordered pairs (that represents a sequence of balls). $)
    bcthlem4 $p |- ( ( g : NN --> A /\ N e. NN ) ->
        ( ( 1st ` ( g ` N ) ) e. X /\
        ( ( 2nd ` ( g ` N ) ) e. RR /\ 0 < ( 2nd ` ( g ` N ) ) ) ) ) $=
      ( cn cv wf wcel wa cfv c1st c2nd cr cc0 clt wbr ffvelrn crab cxp eleq2i
      cop wceq elxp6 pm3.27bi breq2 elrab anbi2i sylib sylbi syl ) GBCHZIDGJKDU
      MLZBJZUNMLZEJZUNNLZOJPURQRZKZKZGBDUMSUOUNEPAHZQRZAOTZUAZJZVABVEUNFUBVFUQU
      RVDJZKZVAVFUNUPURUCUDVHUNEVDUEUFVGUTUQVCUSAUROVBURPQUGUHUIUJUKUL $.
      $( [7-Nov-2007] $) $( [21-Oct-2007] $)
  $}

  ${
    $d x D $.  $d x p J $.  $d x p K $.  $d x p M $.  $d x P $.  $d x R $.
    $d x X $.
    bcthlem6.1 $e |- D e. CMet $.
    bcthlem6.3 $e |- X = dom dom D $.
    bcthlem6.4 $e |- J = ( Open ` D ) $.
    $( Lemma for ~ bcth .  Helper lemma expressing the base set for use with
       topology theorems. $)
    bcthlem5 $p |- X = U. J $=
      ( cuni cme wcel wceq cmsmeti uniopn ax-mp eqcomi ) BGZCAHIOCJADKABCEFLMN
      $.
      $( [11-Nov-2007] $) $( [4-Oct-2007] $)

    $( Lemma for ~ bcth .  Helper lemma showing the open sets of the metric
       ` D ` form a topology. $)
    bcthlem6 $p |- J e. Top $=
      ( cme wcel ctop cmsmeti opntop ax-mp ) AGHBIHADJABFKL $.
      $( [13-Nov-2007] $) $( [4-Oct-2007] $)

    $( Lemma for ~ bcth .  If ` M ` is rare in ` X ` , i.e. the interior of its
       closure is empty, then its closure does not include any ball. $)
    bcthlem7 $p |- ( ( ( M (_ X /\ ( ( int ` J ) ` ( ( cls ` J ) ` M ) ) =
                   (/) ) /\ ( P e. X /\ R e. RR /\ 0 < R ) ) ->
                    -. ( P ( ball ` D ) R ) (_ ( ( cls ` J ) ` M ) ) $=
      ( vx wss ccl cfv cnt c0 wceq wa wcel cr cc0 clt wbr w3a cv wne wrex wn
      cbl co wi wral wb ctop bcthlem6 bcthlem5 clsss3 mpan ntreq0 syl biimpa
      nne imbi2i imnan bitr3 ralbii ralnex bitr sylib adantr cme cmsmeti sseq1
      neeq1 anbi12d rcla4ev blopn adantl blne0 anim2i sylanc expcom mpanl1
      3impb con3d mpd ) EFKZEDLMMZDNMMOPZQZBFRZCSRZTCUAUBZUCZQJUDZWGKZWNOUEZQZJ
      DUFZUGZBCAUHMUIZWGKZUGZWIWSWMWIWOWNOPZUJZJDUKZWSWFWHXEWFWGFKZWHXEULZDUMRZ
      WFXFADFGHIUNZEDFADFGHIUOZUPUQXHXFXGXIJWGDFXJURUQUSUTXEWQUGZJDUKWSXDXKJDXD
      WOWPUGZUJXKXLXCWOWNOVAVBWOWPVCVDVEWQJDVFVGVHVIWMWSXBUJWIWMXAWRWJWKWLXAWRU
      JZAVJRZWJWKWLQZXMAGVKXAXNWJQXOQZWRWTDRZXAWTOUEZQZWRXAXPQWQXSJWTDWNWTPWOXA
      WPXRWNWTWGVLWNWTOVMVNVOXPXQXAABCDFHIVPVQXPXRXAABCFHVRVSVTWAWBWCWDVQWE $.
      $( [14-Nov-2007] $) $( [6-Oct-2007] $)

    $( Lemma for ~ bcth .  Any open nonempty set includes a ball of radius less
       than ` 1 / ( 2 ^ k ) ` . $)
    bcthlem8 $p |- ( ( M =/= (/) /\ M e. J /\ K e. NN ) -> E. p e. M E. x e.
        RR ( 0 < x /\ x < ( 1 / ( 2 ^ K ) ) /\ ( p ( ball ` D ) x ) (_ M ) ) $=
      ( c0 wne wcel cn w3a cv cc0 clt wbr c1 c2 cexp co cdiv cbl cfv wss cr
      wrex wa wex cme opni3 cmsmeti a1i pm3.26 pm3.27 3jca cn0 nnnn0t rerecclt
      2re reexpclt mpan gt0ne0t 2pos expgt0t mp3an13 sylanc recgt0t jca syl
      syl2an an1rs ex ancld 19.22dv ne0 syl5ib 3impia 3comr df-rex sylibr ) EKL
      ZECMZDNMZOGPZEMZQAPZRSWITUADUBUCZUDUCZRSWGWIBUEUFUCEUGOAUHUIZUJZGUKZWLGEU
      IWEWFWDWNWEWFWDWNWEWFUJZWHGUKWNWDWOWHWMGWOWHWLWOWHWLWEWHWFWLBULMZWEWHOWKU
      HMZQWKRSZUJZWLWEWHUJZWFAEBWGWKCJUMWTWPWEWHWPWTBHUNUOWEWHUPWEWHUQURWFDUSMZ
      WSDUTXAWQWRWJUHMZWJQLZWQXAWJVAUAUHMZXAXBVBUADVCVDZXBQWJRSZXCXAWJVEXEXDXAQ
      UARSXFVBVFUADVGVHZVIVIXBXFWRXAWJVJXEXGVIVKVLVMVNVOVPVQGEVRVSVTWAWLGEWBWC
      $.
      $( [15-Nov-2007] $) $( [5-Oct-2007] $)

    ${
      bcthlem9.5 $e |- O =
        ( ( X \ ( ( cls ` J ) ` M ) ) i^i ( P ( ball ` D ) ( R / 2 ) ) ) $.
      $( Lemma for ~ bcth .  If ` M ` is rare in ` X ` , the intersection of
         the complement of its closure with any ball is nonempty and open.
         (Use ~ bcthlem8 for existence of an included ball.) $)
      bcthlem9 $p |- ( ( ( M (_ X /\ ( ( int ` J ) ` ( ( cls ` J ) ` M ) ) =
      (/) ) /\ ( P e. X /\ R e. RR /\ 0 < R ) ) -> ( O =/= (/) /\ O e. J ) ) $=
        ( wss ccl cfv cnt c0 wceq wa wcel c2 cdiv co cr cc0 clt wbr w3a wne
        cbl wn bcthlem7 wb cin cme cmsmeti blssm mpanl1 3impb df-ss sylib
        sseq1d negbid cdif inssdif0 incom eqtr eqeq1i bitr4 necon3bbii syl5bbr
        adantl mpbird opnin mp3an1 syl5eqel ctop bcthlem6 bcthlem5 cmclsopn
        mpan blopn syl2an adantlr jca 3simp1 rehalfclt 3ad2ant2 halfpos2t
        biimpa 3adant1 3jca sylan2 ) EGLZEDMNNZDONNPQZRZBGSZCTUAUBZUCSZUDWRUEUF
        ZUGZFPUHZFDSZRWQCUCSZUDCUEUFZUGZWPXARZXBXCXGXBBWRAUINUBZWNLZUJZABWRDEGH
        IJUKXAXBXJULWPXAXHGUMZWNLZUJXJXBXAXLXIXAXKXHWNXAXHGLZXKXHQWQWSWTXMAUNSZ
        WQWSWTRZXMAHUOZABWRGIUPUQURXHGUSUTVAVBXLFPXLXHGWNVCZUMZPQFPQXHGWNVDFXRP
        FXQXHUMZXRKXQXHVEVFVGVHVIVJVKVLWMXAXCWOXQDSZXHDSZXCWMXAXTYARXSDFXNXTYAX
        SDSXPXQXHADJVMVNKVODVPSWMXTADGHIJVQEDGADGHIJVRVSVTWQWSWTYAXNWQXOYAXPABW
        RDGIJWAUQURWBWCWDXFWQWSWTWQXDXEWEXDWQWSXECWFWGXDXEWTWQXDXEWTCWHWIWJWKWL
        $.
        $( [14-Nov-2007] $) $( [7-Oct-2007] $)
    $}

    ${
      bcthlem11.2 $e |- X =/= (/) $.
      $( Lemma for ~ bcth .  If ` M ` is rare in ` X ` , the complement
         of its closure is not empty and is open. $)
      bcthlem10 $p |- ( ( M (_ X /\ ( ( int ` J ) ` ( ( cls ` J ) ` M ) ) = (/)
                ) -> ( ( X \ ( ( cls ` J ) ` M ) ) =/= (/) /\
                       ( X \ ( ( cls ` J ) ` M ) ) e. J ) ) $=
        ( wss ccl cfv cnt c0 wceq wa cdif wne wcel wi ctop bcthlem6 bcthlem5
        clsss3 mpan pm3.26 pm3.27 eqssd ex syl ssdif0 syl5ibr necon3d imp
        fveq2 ntrtop ax-mp syl6req neeq1d mpbii necon2i sylan2 cmclsopn adantr
        jca ) CDIZCBJKKZBLKZKZMNZODVFPZMQZVJBRZVEVFDQZVKVIVEVMVKVEVJMVFDVEDVFIZ
        VFDNZVJMNVEVFDIZVNVOSBTRZVEVPABDEFGUAZCBDABDEFGUBZUCUDVPVNVOVPVNOVFDVPV
        NUEVPVNUFUGUHUIDVFUJUKULUMVFDVHMVODMQVHMQHVODVHMVOVHDVGKZDVFDVGUNVQVTDN
        VRBDVSUOUPUQURUSUTVAVEVLVIVQVEVLVRCBDVSVBUDVCVD $.
        $( [15-Nov-2007] $) $( [5-Oct-2007] $)
    $}
  $}

  ${
    $d j k n D $.  $d j k p r X $.  $d j k n x g $.  $d j k n p r m x $.
    $d j k n q $.
    bcthlem12.1 $e |- D e. CMet $.
    bcthlem12.3 $e |- X = dom dom D $.
    bcthlem12.7 $e |- A = ( X X. { x e. RR | 0 < x } ) $.
    $( Lemma for ~ bcth .  Triangle inequality. $)
    bcthlem11 $p |- ( ( ( g : NN --> A /\ m e. NN ) /\ ( n e. NN /\ q e. X )
           ) -> ( ( ( 1st o. g ) ` m ) D q ) <_
              ( ( ( ( 1st o. g ) ` m ) D ( ( 1st o. g ) ` n ) ) +
                ( ( ( 1st o. g ) ` n ) D q ) ) ) $=
      ( cv c1st ccom cfv wcel co caddc cle wbr cn wf wa cme w3a cmsmeti mettri
      mpan bcthlem3 c2nd cr cc0 clt bcthlem4 pm3.26d eqeltrd adantr simprr
      adantlr adantrr syl3anc ) ELZMDLZNZOZGPZHLZGPZFLZVDOZGPZVEVGCQVEVJCQVJVGC
      QRQSTZUABVCUBZVBUAPZUCZVIUAPZVHUCZUCCUDPVFVHVKUEVLCIUFVEVGVJCGJUGUHVOVFVQ
      VOVEVBVCOZMOZGBDVBUIVOVSGPVRUJOZUKPULVTUMTUCABDVBGKUNUOUPUQVOVPVHURVOVPVK
      VHVMVPVKVNVMVPUCZVJVIVCOZMOZGBDVIUIWAWCGPWBUJOZUKPULWDUMTUCABDVIGKUNUOUPU
      SUTVA $.
      $( [12-Nov-2007] $) $( [23-Oct-2007] $)

    $( Lemma for ~ bcth .  Helper lemma for satisfying the antecendent of
       ~ acdc5 . $)
    bcthlem12 $p |- { <. p , r >. | ( ( p e. X /\
       ( r e. RR /\ 0 < r ) ) /\ ( r < ( ( 2nd ` y ) / 2 ) /\ ( p (
         ball ` D ) r ) (_ O ) ) } e. P~ A $=
      ( cv wcel cr cc0 clt wbr wa c2nd cfv c2 cdiv co cbl wss copab cpw crab
      cxp opabssxp breq2 elrab anbi2i anbi1i opabbii eqcomi 3sstr4 cvv cdm cms
      dmexg ax-mp dmex eqeltr reex rabex xpex elpw2 mpbir ) HLZFMZGLZNMOVLPQZRZ
      RZVLBLSTUAUBUCPQVJVLDUDTUCEUERZRZHGUFZCUGMVRCUEVKVLOALZPQZANUHZMZRZVPRZHG
      UFZFWAUIZVRCVPHGFWAUJWEVRWDVQHGWCVOVPWBVNVKVTVMAVLNVSVLOPUKULUMUNUOUPKUQV
      RCCWFURKFWAFDUSZUSURJWGDUTMWGURMIDUTVAVBVCVDVTANVEVFVGVDVHVI $.
      $( [8-Nov-2007] $) $( [30-Oct-2007] $)

    $( Lemma for ~ bcth .  In the sequence ` g ` of balls (expressed as ordered
       pairs), for any ` m ` , there is a larger ` n ` whose ball's center
       distance from limit ` p ` is less than half of the ball radius at
       ` m ` . $)
    bcthlem13 $p |- ( ( ( g : NN --> A /\ m e. NN ) /\
          ( 1st o. g ) ( ~~>m ` D ) q ) -> E. n e. NN ( m < n /\
       ( ( ( 1st o. g ) ` n ) D q ) < ( ( 2nd ` ( g ` m ) ) / 2 ) ) ) $=
      ( vj vk cn cv wf wcel wa c1st ccom clm cfv wbr cle co c2nd c2 cdiv clt
      wi wral wrex cr cc0 cvv visset cme cmsmeti c1 1z nnuz lmcvg2 mp3anl1
      mpanl1 pm3.27 bcthlem4 pm3.27d rehalfclt adantr halfpos2t biimpa jca syl
      sylanc bcthlem2 ex r19.23adva ad2antlr mpd ) NBDOZPZEOZNQZRZSVTTZHOZCUAUB
      UCZRZLOZMOZUDUCWJWEUBWFCUEWBVTUBZUFUBZUGUHUEZUIUCUJMNUKZLNULZWBFOZUIUCWPW
      EUBWFCUEWMUIUCRFNULZWGWMUMQZUNWMUIUCZRZWOWHWFUOQZWGWTWOHUPCUQQXAWGWTWOCIU
      RUOCWFWMLMWEUSGNJUTVAVBVCVDWDWGVEWDWTWGWDWLUMQZUNWLUIUCZRZWTWDWKSUBGQXDAB
      DWBGKVFVGXDWRWSXBWRXCWLVHVIXBXCWSWLVJVKVLVMVIVNWCWOWQUJWAWGWCWNWQLNWCWINQ
      RWNWQCWMDLMEFHVOVPVQVRVS $.
      $( [12-Nov-2007] $) $( [24-Oct-2007] $)
  $}

  ${
    $d j p y z A $.  $d r x D $.  $d p w x z J $.  $d p x K $.  $d p w x z M $.
    $d p r O $.  $d x P $.  $d x R $.  $d j p r w x y z X $.
    bcthlem15.1 $e |- D e. CMet $.
    bcthlem15.3 $e |- X = dom dom D $.
    bcthlem15.4 $e |- J = ( Open ` D ) $.
    bcthlem15.7 $e |- A = ( X X. { x e. RR | 0 < x } ) $.
    bcthlem15.8 $e |- O = ( ( X \ ( ( cls ` J ) ` ( M ` j ) ) ) i^i
          ( ( 1st ` y ) ( ball ` D ) ( ( 2nd ` y ) / 2 ) ) ) $.
    $( Lemma for ~ bcth .  Helper lemma for satisfying the antecendent of
       ~ acdc5 . $)
    bcthlem14 $p |- ( ( ( ( M ` j ) (_ X /\ ( ( int ` J ) ` ( ( cls ` J )
      ` ( M ` j ) ) ) = (/) ) /\ ( j e. NN /\ y e. A ) ) -> { <. p , r >. |
     ( ( p e. X /\ ( r e. RR /\ 0 < r ) ) /\ ( r < ( ( 2nd ` y ) / 2 ) /\
            ( p ( ball ` D ) r ) (_ O ) ) } =/= (/) ) $=
      ( cv cfv wss ccl cnt c0 wceq wa cn wcel cr cc0 clt wbr c2nd c2 cdiv co
      cbl wex copab wne c1st w3a bcthlem9 crab cxp eleq2i cop elxp6 pm3.27bi
      breq2 elrab anbi2i 3anass bitr4 sylib sylbi adantl sylan2 pm3.26d ne0 wi
      cdif cin inss1 difss sstri eqsstr sseli a1i wrex cme cmsmeti opni3
      mp3anl1 pm3.27d anim1i rehalfclt adantr halfpos2t biimpa jca 3adant1 syl
      ad2antlr sylanc ex df-rex anass exbii syl6ib jcad 19.42v bitr2 19.22dv
      mpd opabn0 sylibr ) EQZGRZISXQFTRRZFUARRUBUCUDZXPUEUFZBQZCUFZUDZUDZKQZIUF
      ZJQZUGUFZUHYGUIUJZUDZUDYGYAUKRZULUMUNZUIUJZYEYGDUORZUNHSZUDZUDZJUPZKUPZYQ
      KJUQUBURYDYEHUFZKUPZYSYDHUBURZUUAYDUUBHFUFZXSYAUSRZIUFZYKUGUFZUHYKUIUJZUT
      ZUUBUUCUDYCDUUDYKFXQHILMNPVAYBUUHXTYBYAIUHAQZUIUJZAUGVBZVCZUFZUUHCUULYAOV
      DUUMUUEYKUUKUFZUDZUUHUUMYAUUDYKVEUCUUOYAIUUKVFVGUUOUUEUUFUUGUDZUDUUHUUNUU
      PUUEUUJUUGAYKUGUUIYKUHUIVHVIVJUUEUUFUUGVKVLVMVNZVOVPZVQKHVRVMYDYTYRKYDYTY
      FYJYPUDZJUPZUDZYRYDYTYFUUTYTYFVSYDHIYEHIXRVTZUUDYLYNUNZWAZIPUVDUVBIUVBUVC
      WBIXRWCWDWEWFWGYDYTYIYMYOUTZJUGWHZUUTYDYTUVFUUCYTUDYLUGUFZUHYLUIUJZUDZUVF
      YDYTUDDWIUFUUCYTUVIUVFDLWJJHDYEYLFNWKWLYDUUCYTYDUUBUUCUURWMWNYCUVIXSYTYBU
      VIXTYBUUHUVIUUQUUFUUGUVIUUEUUPUVGUVHUUFUVGUUGYKWOWPUUFUUGUVHYKWQWRWSWTXAV
      OXBXCXDUVFYHUVEUDZJUPUUTUVEJUGXEUUSUVJJUUSYHYIYPUDZUDUVJYHYIYPXFUVEUVKYHY
      IYMYOVKVJVLXGVLXHXIYRYFUUSUDZJUPUVAYQUVLJYFYJYPXFXGYFUUSJXJXKXHXLXMYQKJXN
      XO $.
      $( [14-Nov-2007] $) $( [10-Oct-2007] $)
  $}

  ${
    $d j y z A $.  $d j p r y z D $.  $d k F $.  $d j p r y z J $.
    $d j p r y z K $.  $d j p r y z M $.  $d z O $.  $d p r P $.
    $d j p r y z Q $.  $d j p r y z X $.  $d g j k m p r y z $.
    bcthlem16.1 $e |- D e. CMet $.
    bcthlem16.3 $e |- X = dom dom D $.
    bcthlem16.6 $e |- F = { <. <. j , y >. , z >. | ( ( j e. NN /\ y e. A )
  /\ z = { <. p , r >. | ( ( p e. X /\ ( r e. RR /\ 0 < r ) ) /\
     ( r < ( ( 2nd ` y ) / 2 ) /\ ( p ( ball ` D ) r ) (_ O ) ) } ) } $.
    bcthlem16.8 $e |- O = ( ( X \ ( ( cls ` J ) ` ( M ` j ) ) ) i^i
          ( ( 1st ` y ) ( ball ` D ) ( ( 2nd ` y ) / 2 ) ) ) $.
    $( Lemma for ~ bcth .  Relationship between a ball ` Q ` and the next ball
       ` P ` in sequence ` g ` , according to the generating function ` F ` 's
       value ` ( K F Q ) ` . $)
    bcthlem15 $p |- ( ( ( K e. NN /\ Q e. A ) /\ P e. ( K F Q ) ) ->
       ( ( ( 1st ` P ) e. X /\ ( ( 2nd ` P ) e. RR /\ 0 < ( 2nd ` P ) ) ) /\
  ( ( 2nd ` P ) < ( ( 2nd ` Q ) / 2 ) /\
  ( ( 1st ` P ) ( ball ` D ) ( 2nd ` P ) ) (_ ( ( X \ ( ( cls ` J ) `
  ( M ` K ) ) ) i^i ( ( 1st ` Q ) ( ball ` D ) ( ( 2nd ` Q ) / 2 ) ) ) ) ) ) $=
      ( cn wcel wa co cv cr cc0 clt wbr c2nd cfv c2 cdiv cbl ccl cdif c1st cin
      wss copab cxp cdm cvv cms dmexg ax-mp dmex eqeltr reex xpex id adantrr
      anim1i ssopab2i opabssxp sstri ssexi wceq fveq2 fveq2d difeq2d ineq1d
      syl5eq sseq2d anbi2d opabbidv opreq1d breq2d opreq12d ineq2d anbi12d
      oprabval2 eleq2d biimpa eleq1 anbi1d opreq1 sseq1d breq2 breq1 opreq2
      elopabi syl ) JTUAFCUAUBZEJFHUCZUAZUBEOUDZMUAZNUDZUEUAZUFXHUGUHZUBZUBZXHF
      UIUJZUKULUCZUGUHZXFXHDUMUJZUCZMJKUJZIUNUJZUJZUOZFUPUJZXNXPUCZUQZURZUBZUBZ
      ONUSZUAZEUPUJZMUAZEUIUJZUEUAZUFYLUGUHZUBZUBZYLXNUGUHZYJYLXPUCZYDURZUBZUBZ
      XCXEYIXCXDYHEGABJFTCXLXHAUDZUIUJZUKULUCZUGUHZXQLURZUBZUBZONUSYHHXLUUEXQYA
      UUBUPUJZUUDXPUCZUQZURZUBZUBZONUSYHMUEUTZMUEMDVAZVAVBQUUPDVCUAUUPVBUAPDVCV
      DVEVFVGVHVIYHXGXIUBZYFUBZONUSUUOYGUURONXLUUQYFXGXIUUQXJUUQVJVKVLVMYFONMUE
      VNVOVPGUDZJVQZUUHUUNONUUTUUGUUMXLUUTUUFUULUUEUUTLUUKXQUUTMUUSKUJZXSUJZUOZ
      UUJUQUUKLUUTUVCYAUUJUUTUVBXTMUUTUVAXRXSUUSJKVRVSVTWASWBWCWDWDWEUUBFVQZUUN
      YGONUVDUUMYFXLUVDUUEXOUULYEUVDUUDXNXHUGUVDUUCXMUKULUUBFUIVRWFZWGUVDUUKYDX
      QUVDUUJYCYAUVDUUIYBUUDXNXPUUBFUPVRUVEWHWIWCWJWDWERWKWLWMYGYKXKUBZXOYJXHXP
      UCZYDURZUBZUBUUAONEXFYJVQZXLUVFYFUVIUVJXGYKXKXFYJMWNWOUVJYEUVHXOUVJXQUVGY
      DXFYJXHXPWPWQWDWJXHYLVQZUVFYPUVIYTUVKXKYOYKUVKXIYMXJYNXHYLUEWNXHYLUFUGWRW
      JWDUVKXOYQUVHYSXHYLXNUGWSUVKUVGYRYDXHYLYJXPWTWQWJWJXAXB $.
      $( [8-Nov-2007] $) $( [18-Oct-2007] $)

    $( Lemma for ~ bcth .  A ball in sequence ` g ` is included in the
       complement of the closure of reference sequence ` M ` . $)
    bcthlem16 $p |- ( ( ( g :  NN --> A /\ ( ( ( 1st ` ( g ` 1 ) )
    ( ball ` D ) ( 2nd ` ( g ` 1 ) ) ) (_ ( X \ ( ( cls ` J ) ` ( M ` 1 )
    ) ) /\ A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) ) /\
    m e. NN ) -> ( ( 1st ` ( g ` m ) ) ( ball ` D ) ( 2nd ` ( g ` m ) ) ) (_
    ( X \ ( ( cls ` J ) ` ( M ` m ) ) ) ) $=
      ( cv cn wcel wf c1 cfv c1st c2nd cbl co ccl cdif wss caddc wral wa wi
      clt wbr wceq wo cle nnge1t cr wb nnret 1re leloet mpan syl mpbid adantr
      cmin 1nn nnsubt biimpa opreq1 fveq2d fveq2 opreq12d eleq12d rcla4v
      adantlr cc nncnt ax1cn npcant mpan2 opreq1d ad2antrr c2 cdiv cin cc0
      bcthlem15 pm3.27d inss1 sstr simpll ffvelrn sylan2 exp32 com12 imp31 jca
      sylan ex sylbid syld adantld difeq2d sseq12d biimpd adantl adantrd
      jaodan mpdan imp3a impcom ) HTZUAUBZUACETZUCZUDYAUEZUFUEZYCUGUEZDUHUEZUIZ
      MUDKUEZJUJUEZUEZUKZULZGTZUDUMUIZYAUEZYNYMYAUEZIUIZUBZGUAUNZUOZUOXSYAUEZUF
      UEZUUAUGUEZYFUIZMXSKUEZYIUEZUKZULZXTYBYTUUHXTYBYTUUHUPZXTYBUOZUDXSUQURZUD
      XSUSZUTZUUIXTUUMYBXTUDXSVAURZUUMXSVBXTXSVCUBZUUNUUMVDZXSVEUDVCUBUUOUUPVFU
      DXSVGVHVIVJVKUUJUUKUUIUULUUJUUKUOZYSUUHYLUUQYSXSUDVLUIZUDUMUIZYAUEZUUSUUR
      YAUEZIUIZUBZUUHXTUUKYSUVCUPZYBXTUUKUOZUURUAUBZUVDXTUUKUVFUDUAUBXTUUKUVFVD
      VMUDXSVNVHVOZYRUVCGUURUAYMUURUSZYOUUTYQUVBUVHYNUUSYAYMUURUDUMVPZVQUVHYNUU
      SYPUVAIUVIYMUURYAVRVSVTWAVIWBUUQUVCUUAXSUVAIUIZUBZUUHXTUVCUVKVDZYBUUKXTXS
      WCUBZUVLXSWDUVMUUTUUAUVBUVJUVMUUSXSYAUVMUDWCUBUUSXSUSWEXSUDWFWGZVQUVMUUSX
      SUVAIUVNWHVTVIWIUUQUVKUUHXTUVACUBZUOZUVKUUHUUQUVPUVKUOZUUDUUGUVAUFUEUVAUG
      UEWJWKUIZYFUIZWLZULZUUHUVQUUCUVRUQURZUWAUVQUUBMUBUUCVCUBWMUUCUQURUOUOUWBU
      WAUOABCDUUAUVAFIJXSKLMNOPQRSWNWOWOUWAUVTUUGULUUHUUGUVSWPUUDUVTUUGWQWGVIUU
      QXTUVOXTYBUUKWRXTYBUUKUVOYBXTUUKUVOUPYBXTUUKUVOYBUVFUVOUVEUACUURYAWSUVGWT
      XAXBXCXDXEXFXGXHXIUUJUULUOYLUUHYSUULYLUUHUPUUJUULYLUUHUULYGUUDYKUUGUULYDU
      UBYEUUCYFUULYCUUAUFUDXSYAVRZVQUULYCUUAUGUWCVQVSUULYJUUFMUULYHUUEYIUDXSKVR
      VQXJXKXLXMXNXOXPXFXQXR $.
      $( [11-Nov-2007] $) $( [25-Oct-2007] $)
  $}

  ${
    $d j m n q s w y z A $.  $d j m n p q r s w y z D $.  $d k m n q s w F $.
    $d j p r y z J $.  $d j p r y z M $.  $d z O $.  $d j m n p q r w y z X $.
    $d j k m n p q r s w x y z g $.
    bcthlem18.1 $e |- D e. CMet $.
    bcthlem18.3 $e |- X = dom dom D $.
    bcthlem18.6 $e |- F = { <. <. j , y >. , z >. | ( ( j e. NN /\ y e. A )
  /\ z = { <. p , r >. | ( ( p e. X /\ ( r e. RR /\ 0 < r ) ) /\
     ( r < ( ( 2nd ` y ) / 2 ) /\ ( p ( ball ` D ) r ) (_ O ) ) } ) } $.
    bcthlem18.7 $e |- A = ( X X. { x e. RR | 0 < x } ) $.
    bcthlem18.8 $e |- O = ( ( X \ ( ( cls ` J ) ` ( M ` j ) ) ) i^i
          ( ( 1st ` y ) ( ball ` D ) ( ( 2nd ` y ) / 2 ) ) ) $.
    $( Lemma for ~ bcth .  The radius of the balls in sequence ` g ` decreases
       exponentially. $)
    bcthlem17 $p |- ( n e. NN ->
    ( ( g : NN --> A /\ ( ( 2nd ` ( g ` 1 ) ) < ( 1 / 2 ) /\
      A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) ) ->
           ( 2nd ` ( g ` n ) ) < ( 1 / ( 2 ^ n ) ) ) ) $=
      ( vq vm cn cv wf c1 cfv c2nd c2 cdiv co clt wbr caddc wcel wral wa cexp
      wi c1st cr cc0 cbl ccl cdif cin wss bcthlem15 peano2nn adantr ffvelrn
      ancoms jca sylan ex bcthlem1 pm3.26 bcthlem4 pm3.27d pm3.26d adantrlr
      adantrll adantrrr syld imp3a wceq opreq1 fveq2d fveq2 opreq12d eleq12d
      rcla4v adantld sylan2d a2d cc 2cn exp1t ax-mp opreq2i breq2i biimpr
      ad2antrl opreq2 opreq2d breq12d imbi2d nnindALT ) UDDFUEZUFZUGXJUHZUIUHZU
      GUJUKULZUMUNZHUEZUGUOULZXJUHZXQXPXJUHZJULZUPZHUDUQZURZURZUBUEZXJUHZUIUHZU
      GUJYEUSULZUKULZUMUNZUTYDXMUGUJUGUSULZUKULZUMUNZUTYDUCUEZXJUHZUIUHZUGUJYNU
      SULZUKULZUMUNZUTYDYNUGUOULZXJUHZUIUHZUGUJYTUSULZUKULZUMUNZUTYDIUEZXJUHZUI
      UHZUGUJUUFUSULZUKULZUMUNZUTUBUCUUFYNUDUPZYDYSUUEUULXKUUAYTYOJULZUPZYSUUEU
      TZYCUULXKUUNUUOUULXKUUNUUOUTUULXKURZUUNUUAVAUHZNUPZUUBVBUPZVCUUBUMUNZURZU
      RZUUBYPUJUKULZUMUNZUUQUUBEVDUHZULNYTLUHKVEUHUHVFYOVAUHZUVCUVEULVGVHZURURZ
      UUOUUPUUNUVHYTUDUPZYODUPZURUUNUVHUUPBCDEUUAYOGJKYTLMNOPQRSUAVIUUPUVIUVJUU
      LUVIXKYNVJVKXKUULUVJUDDYNXJVLVMVNVOVPUUPUVHUUOUUPUVBUVDUUOUVGUUPUVAUVDUUO
      UURUUPUUSUVDUUOUUTUULYPVBUPZURUUSUVDURUUOUUPUCYPUUBVQUUPUULUVKUULXKVRXKUU
      LUVKXKUULURZUVKVCYPUMUNZUVLUVFNUPUVKUVMURADFYNNTVSVTWAVMVNVOWBWCWDVPWEVPW
      FUULYBUUNXOYAUUNHYNUDXPYNWGZXRUUAXTUUMUVNXQYTXJXPYNUGUOWHZWIUVNXQYTXSYOJU
      VOXPYNXJWJWKWLWMWNWOWPXOYMXKYBYMXOYLXNXMUMYKUJUGUKUJWQUPYKUJWGWRUJWSWTXAX
      BXCXDYEUGWGZYJYMYDUVPYGXMYIYLUMUVPYFXLUIYEUGXJWJWIUVPYHYKUGUKYEUGUJUSXEXF
      XGXHYEYNWGZYJYSYDUVQYGYPYIYRUMUVQYFYOUIYEYNXJWJWIUVQYHYQUGUKYEYNUJUSXEXFX
      GXHYEYTWGZYJUUEYDUVRYGUUBYIUUDUMUVRYFUUAUIYEYTXJWJWIUVRYHUUCUGUKYEYTUJUSX
      EXFXGXHYEUUFWGZYJUUKYDUVSYGUUHYIUUJUMUVSYFUUGUIYEUUFXJWJWIUVSYHUUIUGUKYEU
      UFUJUSXEXFXGXHXI $.
      $( [10-Nov-2007] $) $( [21-Oct-2007] $)

    $( Lemma for ~ bcth .  Sequence ` g ` represents a series of nested
       balls. $)
    bcthlem18 $p |- ( n e. NN -> ( ( ( g : NN --> A /\ A. k e. NN
    ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) /\ m e. NN ) -> ( m < n
  -> ( ( 1st ` ( g ` n ) ) ( ball ` D ) ( 2nd ` ( g ` n ) ) ) (_ ( ( 1st ` (
           g ` m ) ) ( ball ` D ) ( ( 2nd ` ( g ` m ) ) / 2 ) ) ) ) ) $=
      ( vs vq cn cv wf c1 caddc co cfv wcel wral wa clt wbr c1st c2nd cbl c2
      cdiv wss wi wceq wo wb cle cr leloet nnret syl2an nnleltp1t bitr3d
      ancoms adantrl ccl cdif cin cc0 bcthlem15 pm3.27d peano2nn adantr
      ffvelrn jca adantrr opreq1 fveq2d fveq2 opreq12d eleq12d rcla4va sylanc
      inss2 a1i cme w3a ssbl bcthlem4 pm3.26d cmsmeti jctil rehalfclt syl
      halfpos2t biimpa 3jca halfpost ltlet mpd sstrd sstr2 imim2d com23
      opreq1d adantl sseqtr4d ex a1dd jaod sylbird a2d wn nnge1t 1re lenltt
      mpan mpbid pm2.21d breq2 sseq1d imbi12d imbi2d nnindALT ) UEDFUFZUGZHUFZU
      HUIUJZYOUKZYRYQYOUKZKUJZULZHUEUMZUNZIUFZUEULZUNZUUEUCUFZUOUPZUUHYOUKZUQUK
      ZUUJURUKZEUSUKZUJZUUEYOUKZUQUKZUUOURUKZUTVAUJZUUMUJZVBZVCZVCUUGUUEUHUOUPZ
      UHYOUKZUQUKZUVCURUKZUUMUJZUUSVBZVCZVCUUGUUEUDUFZUOUPZUVIYOUKZUQUKZUVKURUK
      ZUUMUJZUUSVBZVCZVCUUGUUEUVIUHUIUJZUOUPZUVQYOUKZUQUKZUVSURUKZUUMUJZUUSVBZV
      CZVCUUGUUEJUFZUOUPZUWEYOUKZUQUKZUWGURUKZUUMUJZUUSVBZVCZVCUCUDUWEUVIUEULZU
      UGUVPUWDUWMUUGUVPUWDVCUWMUUGUNZUVRUVPUWCUWNUVRUVJUUEUVIVDZVEZUVPUWCVCZUWM
      UUFUWPUVRVFZUUDUUFUWMUWRUUFUWMUNUUEUVIVGUPZUWPUVRUUEVHULZUVIVHULUWSUWPVFU
      UFUWMUUEUVIVIUUEVJZUVIVJVKUUEUVIVLVMVNVOUWNUVJUWQUWOUWMUUDUVJUWQVCUUFUWMU
      UDUNZUVPUVJUWCUXBUVOUWCUVJUXBUWBUVNVBUVOUWCVCUXBUWBOUVQMUKLVPUKUKVQZUVLUV
      MUTVAUJZUUMUJZVRZUVNUVQUEULZUVKDULZUNZUVSUVQUVKKUJZULZUWBUXFVBZUXBUXIUXKU
      NZUWAUXDUOUPZUXLUXMUVTOULUWAVHULVSUWAUOUPUNUNUXNUXLUNBCDEUVSUVKGKLUVQMNOP
      QRSTUBVTWAWAZUWMYPUXIUUCUWMYPUNZUXGUXHUWMUXGYPUVIWBWCYPUWMUXHUEDUVIYOWDVN
      WEWFZUWMUUCUXKYPUUBUXKHUVIUEYQUVIVDZYSUVSUUAUXJUXRYRUVQYOYQUVIUHUIWGZWHUX
      RYRUVQYTUVKKUXSYQUVIYOWIWJWKWLVOZWMUWMYPUXFUVNVBUUCUXPUXFUXEUVNUXFUXEVBZU
      XPUXCUXEWNZWOYPUWMUXEUVNVBZEWPULZUVLOULZUNZUXDVHULZVSUXDUOUPZUNZUVMVHULZV
      SUVMUOUPZUNZWQUXDUVMVGUPZUYCYPUWMUNZEUVLUXDUVMOSWRUYNUYFUYIUYLUYNUYEUYDUY
      NUYEUYLADFUVIOUAWSZWTERXAXBUYNUYGUYHUYNUYJUYGUYNUYJUYKUYNUYEUYLUYOWAZWTZU
      VMXCXDZUYNUYLUYHUYPUYJUYKUYHUVMXEXFXDWEUYPXGUYNUXDUVMUOUPZUYMUYNUYLUYSUYP
      UYJUYKUYSUVMXHXFXDUYGUYJUYSUYMVCUYNUXDUVMXIUYRUYQWMXJWMVNXKWFXKUWBUVNUUSX
      LXDXMXNWFUWNUWOUWCUVPUWMUUDUWOUWCVCUUFUXBUWOUWCUXBUWOUNUWBUXEUUSUXBUWBUXE
      VBZUWOUXIUXKUYTUXBUXMUWBUXFUXEUXOUYAUXMUYBWOXKUXQUXTWMWCUWOUUSUXEVDUXBUWO
      UUPUVLUURUXDUUMUWOUUOUVKUQUUEUVIYOWIZWHUWOUUQUVMUTVAUWOUUOUVKURVUAWHXOWJX
      PXQXRWFXSXTYAXNXRYBUUFUVHUUDUUFUVBUVGUUFUHUUEVGUPZUVBYCZUUEYDUUFUWTVUBVUC
      VFZUXAUHVHULUWTVUDYEUHUUEYFYGXDYHYIXPUUHUHVDZUVAUVHUUGVUEUUIUVBUUTUVGUUHU
      HUUEUOYJVUEUUNUVFUUSVUEUUKUVDUULUVEUUMVUEUUJUVCUQUUHUHYOWIZWHVUEUUJUVCURV
      UFWHWJYKYLYMUUHUVIVDZUVAUVPUUGVUGUUIUVJUUTUVOUUHUVIUUEUOYJVUGUUNUVNUUSVUG
      UUKUVLUULUVMUUMVUGUUJUVKUQUUHUVIYOWIZWHVUGUUJUVKURVUHWHWJYKYLYMUUHUVQVDZU
      VAUWDUUGVUIUUIUVRUUTUWCUUHUVQUUEUOYJVUIUUNUWBUUSVUIUUKUVTUULUWAUUMVUIUUJU
      VSUQUUHUVQYOWIZWHVUIUUJUVSURVUJWHWJYKYLYMUUHUWEVDZUVAUWLUUGVUKUUIUWFUUTUW
      KUUHUWEUUEUOYJVUKUUNUWJUUSVUKUUKUWHUULUWIUUMVUKUUJUWGUQUUHUWEYOWIZWHVUKUU
      JUWGURVULWHWJYKYLYMYN $.
      $( [9-Nov-2007] $) $( [21-Oct-2007] $)

    $( Lemma for ~ bcth .  The distance between the center of a ball at ` m `
       and any later ball in sequence ` g ` is less than half the radius of
       the ball at ` m ` . $)
    bcthlem19 $p |- ( ( ( n e. NN /\ ( ( g : NN --> A /\ A. k e. NN
  ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) /\ m e. NN ) ) /\ m < n ) ->
  ( ( 1st ` ( g ` m ) ) D ( 1st ` ( g ` n ) ) ) <
                 ( ( 2nd ` ( g ` m ) ) / 2 ) ) $=
      ( cv cn wcel wf c1 caddc co cfv wral wa clt wbr c1st c2nd c2 cdiv cbl
      wss bcthlem18 imp31 cr cc0 bcthlem4 ancoms cme cmsmeti blcntr mpanl1 syl
      adantrr adantr sseldd wb elbl2 mp3anl1 pm3.26d adantlr jca pm3.27d
      rehalfclt halfpos2t biimpa sylanc adantrlr mpbid ) JUCZUDUEZUDDFUCZUFZHUC
      ZUGUHUIZWJUJWMWLWJUJKUIUEHUDUKZULZIUCZUDUEZULZULZWPWHUMUNZULZWHWJUJZUOUJZ
      WPWJUJZUOUJZXDUPUJZUQURUIZEUSUJZUIZUEZXEXCEUIXGUMUNZXAXCXBUPUJZXHUIZXIXCW
      IWRWTXMXIUTABCDEFGHIJKLMNOPQRSTUAUBVAVBWSXCXMUEZWTWIWOXNWQWIWKXNWNWIWKULX
      COUEZXLVCUEVDXLUMUNULZULZXNWKWIXQADFWHOUAVEZVFEVGUEZXOXPXNERVHZEXCXLOSVIV
      JVKVLVLVMVNWSXJXKVOZWTWIWKWQYAWNWKWQULZWIYAXEOUEZXOULXGVCUEZVDXGUMUNZULZY
      AYBWIULZXSYCXOYFYAXTXCEXEXGOSVPVQYGYCXOYBYCWIYBYCXFVCUEZVDXFUMUNZULZADFWP
      OUAVEZVRVMWKWIXOWQWKWIULXOXPXRVRVSVTYBYFWIYBYJYFYBYCYJYKWAYJYDYEYHYDYIXFW
      BVMYHYIYEXFWCWDVTVKVMWEVFWFVMWG $.
      $( [9-Nov-2007] $) $( [23-Oct-2007] $)

    $( MAY BE REVISED - why is this proof so long? $)
    $( Lemma for ~ bcth .  A weaker version of ~ bcthlem19 . $)
    bcthlem20 $p |- ( ( ( n e. NN /\ m <_ n ) /\ ( ( g : NN --> A /\
          A. k e. NN ( g ` ( k + 1 ) )
         e. ( ( k + 1 ) F ( g ` k ) ) ) /\ m e. NN ) ) -> ( ( 1st ` (
          g ` m ) ) D ( 1st ` ( g ` n ) ) ) < ( 2nd ` ( g ` m ) ) ) $=
      ( cv cn wcel cle wbr wa wf c1 caddc co cfv wral c1st c2nd c2 cdiv cr cme
      cms cmsmet ax-mp metcl mp3an1 cc0 clt bcthlem4 pm3.26d adantl ancoms
      adantrr sylanc adantlr adantrlr pm3.27d rehalfclt syl wi wceq wo wb
      leloet nnret syl2an bcthlem19 ex exp3a com34 com24 com12 imp31 fveq2
      fveq2d opreq2d eqcomd met0 mpan eqtrd halfpos2t biimpa eqbrtrd adantrd
      jaodan sylbid com4l imp43 halfpost lttrd ) JUCZUDUEZIUCZXJUFUGZUHZUDDFUCZ
      UIZHUCZUJUKULZXOUMXRXQXOUMKULUEHUDUNZUHZXLUDUEZUHZUHXLXOUMZUOUMZXJXOUMZUO
      UMZEULZYCUPUMZUQURULZYHXNXPYAYGUSUEZXSXKXPYAUHZYJXMYDOUEZYFOUEZYJXKYKUHEU
      TUEZYLYMYJEVAUEYNREVBVCZYDYFEOSVDVEYKYLXKYKYLYHUSUEZVFYHVGUGZUHZADFXLOUAV
      HZVIZVJXKXPYMYAXPXKYMXPXKUHYMYEUPUMZUSUEVFUUAVGUGUHADFXJOUAVHVIVKVLVMVNVO
      YBYIUSUEZXNXPYAUUBXSYKYPUUBYKYPYQYKYLYRYSVPZVIZYHVQVRVNVJYBYPXNXPYAYPXSUU
      DVNVJXKXMXTYAYGYIVGUGZYAXKXMXTUUEYAXKXMXTUUEVSZVSYAXKUHZXMXLXJVGUGZXLXJVT
      ZWAZUUFXLUSUEXJUSUEXMUUJWBYAXKXLXJWCXLWDXJWDWEUUGUUJUUFUUGUUHUUFUUIYAXKUU
      HUUFXKYAUUHUUFVSXKXTUUHYAUUEXKXTYAUUHUUEXKXTYAUUHUUEVSZXKYBUUKXKYBUHUUHUU
      EABCDEFGHIJKLMNOPQRSTUAUBWFWGWGWHWIWJWKWLUUGUUIUHXPUUEXSYAUUIXPUUEVSXKYAU
      UIUHZXPUUEXPUULUUEXPUULUHZYGVFYIVGUUMYGYDYDEULZVFUUMUUNYGUULUUNYGVTZXPUUI
      UUOYAUUIYDYFYDEUUIYCYEUOXLXJXOWMWNWOVJVJWPXPYAUUNVFVTZUUIYKYLUUPYTYNYLUUP
      YOYDEOSWQWRVRVLWSXPYAVFYIVGUGZUUIYPYQUUQYKYPYQUUQYHWTXAUUDYKYPYQUUCVPZVMV
      LXBVKWGVNXCXDWGXEWGXFXGYBYIYHVGUGZXNXPYAUUSXSYPYQUUSYKYPYQUUSYHXHXAUUDUUR
      VMVNVJXI $.
      $( [9-Nov-2007] $) $( [22-Oct-2007] $)

    $( Lemma for ~ bcth .  A defining property for ` ( 1st o. g ) ` to be
       a Cauchy sequence. $)
    bcthlem21 $p |- ( ( g : NN --> A /\ ( ( 2nd ` ( g ` 1 ) ) < ( 1 / 2 ) /\
        A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) ) ->
     ( w e. RR -> ( 0 < w -> E. m e. NN A. n e. NN ( m <_ n ->
      ( ( ( 1st o. g ) ` m ) D ( ( 1st o. g ) ` n ) ) < w ) ) ) ) $=
      ( cn cv wf c1 cfv c2nd c2 cdiv co clt wbr caddc wcel wral wa cr cc0 cle
      c1st ccom wi wrex cexp wne gt0ne0t rerecclt syldan 2re 1lt2 expnbndt
      mp3an3 mpan2 syl wb ltrec1t cn0 nnnn0t reexpclt mpan 2pos expgt0t jca
      sylan2 rexbidva mpbid adantl wceq bcthlem3 adantr adantlr opreq12d
      adantrr adantrl exp31 a1d imp cme cmsmeti metcl mp3an1 bcthlem4 pm3.26d
      syl2an anandis exp32 com23 com12 imp32 adantrlr pm3.27d cc 2cn 2ne0
      expne0it sylanc bcthlem20 id sylanr1 bcthlem17 ancoms lttrd axlttrn
      simprl syl3anc mpand com4t imp45 eqbrtrd exp45 r19.21adv r19.22dva mpd )
      UDEGUEZUFZUGYPUHUIUHUGUJUKULUMUNZIUEZUGUOULZYPUHYTYSYPUHLULUPIUDUQZURZURZ
      DUEZUSUPZUTUUDUMUNZJUEZKUEZVAUNZUUGVBYPVCZUHZUUHUUJUHZFULZUUDUMUNZVDZKUDU
      QZJUDVEZUUCUUEUUFURZURZUGUJUUGVFULZUKULZUUDUMUNZJUDVEZUUQUURUVCUUCUURUGUU
      DUKULZUUTUMUNZJUDVEZUVCUURUVDUSUPZUVFUUEUUFUUDUTVGUVGUUDVHUUDVIVJUVGUJUSU
      PZUVFVKUVGUVHUGUJUMUNUVFVLUVDUJJVMVNVOVPUURUVEUVBJUDUURUUTUSUPZUTUUTUMUNZ
      URZUVEUVBVQUUGUDUPZUUDUUTVRUVLUUGVSUPZUVKUUGVTZUVMUVIUVJUVHUVMUVIVKUJUUGW
      AWBZUVHUVMUVJVKUVHUVMUTUJUMUNUVJWCUJUUGWDVNWBWEVPWFWGWHWIUUSUVBUUPJUDUUSU
      VLURZUVBUUOKUDUVPUVBUUHUDUPZUUIUUNUVPUVBUVQUUIURZURZURUUMUUGYPUHZVBUHZUUH
      YPUHZVBUHZFULZUUDUMUVPUVSUUMUWDWJZUUSUVLUVSUWEVDZUUCUURUVLUWFVDZYQUURUWGV
      DUUBYQUWGUURYQUVLUVSUWEYQUVLURZUVRUWEUVBUWHUVQUWEUUIUWHUVQURUUKUWAUULUWCF
      UWHUUKUWAWJUVQEGUUGWKWLYQUVQUULUWCWJUVLEGUUHWKWMWNWOWPWQWRWLWSWSWSUVPUVBU
      VQUUIUWDUUDUMUNZUVQUUIUVPUVBUWIUVQUUIUVPUVBUWIVDUVRUVPURZUWDUVAUMUNZUVBUW
      IUWJUWDUVTUIUHZUVAUVRUUCUVLUWDUSUPZUURUVQUUCUVLURUWMUUIUVQUUCUVLUWMUUCUVQ
      UVLUWMVDUUCUVLUVQUWMYQUVLUVQUWMVDVDUUBYQUVLUVQUWMYQUVLUVQUWMUWAPUPZUWCPUP
      ZUWMUWHYQUVQURZFWTUPUWNUWOUWMFSXAUWAUWCFPTXBXCUWHUWNUWLUSUPZUTUWLUMUNZURZ
      AEGUUGPUBXDZXEUWPUWOUWBUIUHZUSUPUTUXAUMUNURAEGUUHPUBXDXEXFXGXHWLXIXJXKWMX
      LZUVPUWQUVRUUCUVLUWQUURYQUVLUWQUUBUWHUWQUWRUWHUWNUWSUWTXMXEWMWMWIUVPUVAUS
      UPZUVRUVLUXCUUSUVLUVMUXCUVNUVIUUTUTVGZUXCUVMUUTVIUVOUJXNUPZUVMUXDXOUXEUVM
      UJUTVGUXDXPUJUUGXQVNWBXRVPWIWIZUVRUUCUVLUWDUWLUMUNZUURUVRYQUUAURZUVLUXGUU
      CABCEFGHIJKLMNOPQRSTUAUBUCXSYQUUAUXHYRUXHXTWPYAXLUVPUWLUVAUMUNZUVRUUCUVLU
      XIUURUVLUUCUXIUVLUUCUXIABCEFGHIJLMNOPQRSTUAUBUCYBWSYCWMWIYDUWMUXCUUEUWKUV
      BURUWIVDUWJUWDUVAUUDYEUXBUXFUVPUUEUVRUUSUUEUVLUUCUUEUUFYFWLWIYGYHWQYIYJYK
      YLYMYNYOXH $.
      $( [10-Nov-2007] $) $( [22-Oct-2007] $)

    $( Lemma for ~ bcth .  The sequence of ball centers ` ( 1st o. g ) ` is a
       Cauchy sequence. $)
    bcthlem22 $p |- ( ( g : NN --> A /\ (
            ( 2nd ` ( g ` 1 ) ) < ( 1 / 2 ) /\
      A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) ) ->
           ( 1st o. g ) e. ( Cau ` D ) ) $=
      ( vw vm vn cn cv wf c1 cfv c2nd c2 cdiv co clt wbr caddc wcel wral wa
      c1st ccom cca cc0 cle wi wrex cr bcthlem21 r19.21aiv wb crab cxp wceq
      feq3 ax-mp 1stcof sylbi cme cmsmeti 1z nnuz iscauf mpan syl adantr
      mpbird ) UDDFUEZUFZUGWFUHUIUHUGUJUKULUMUNHUEZUGUOULZWFUHWIWHWFUHIULUPHUDU
      QURZURZUSWFUTZEVAUHUPZVBUAUEZUMUNUBUEZUCUEZVCUNWOWLUHWPWLUHEULWNUMUNVDUCU
      DUQUBUDVEVDZUAVFUQZWKWQUAVFABCUADEFGHUBUCIJKLMNOPQRSTVGVHWGWMWRVIZWJWGUDM
      WLUFZWSWGUDMVBAUEUMUNAVFVJZVKZWFUFZWTDXBVLWGXCVISDXBUDWFVMVNUDMXAWFVOVPEV
      QUPWTWSEPVRUAEUBUCWLUGMUDQVSVTWAWBWCWDWE $.
      $( [10-Nov-2007] $) $( [21-Oct-2007] $)

    $( Lemma for ~ bcth .  Since sequence of ball centers ` ( 1st o. g ) ` is a
       Cauchy sequence and the metric space is complete, the sequence converges
       to a point ` p ` in the metric space. $)
    bcthlem23 $p |- ( ( g : NN --> A /\ (
            ( 2nd ` ( g ` 1 ) ) < ( 1 / 2 ) /\
      A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) ) ->
           E. q e. X ( 1st o. g ) ( ~~>m ` D ) q ) $=
      ( cn cv wf c1 cfv c2nd c2 cdiv co clt wbr caddc wcel wral wa c1st ccom
      cca clm wrex bcthlem22 cms cmscvg mpan syl ) UBDFUCZUDUEVGUFUGUFUEUHUIUJU
      KULHUCZUEUMUJZVGUFVIVHVGUFIUJUNHUBUOUPUPUQVGURZEUSUFUNZVJOUCEUTUFULOMVAZA
      BCDEFGHIJKLMNPQRSTUAVBEVCUNVKVLQOEVJMRVDVEVF $.
      $( [11-Nov-2007] $) $( [23-Oct-2007] $)

    $( Lemma for ~ bcth .  An upper limit for the distance between a ball
       center at ` m ` and the convergence point ` q ` , in terms of any later
       ball center at ` n ` . $)
    bcthlem24 $p |- ( ( ( ( n e. NN /\ q e. X ) /\ ( ( g : NN --> A /\
  A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) /\ m e. NN ) ) /\
        m < n ) -> ( ( ( 1st o. g ) ` m ) D q ) <
         ( ( ( 2nd ` ( g ` m ) ) / 2 ) + ( ( ( 1st o. g ) ` n ) D q ) ) ) $=
      ( cv cn wcel wa wf c1 caddc co cfv wral clt wbr c1st ccom c2nd c2 cdiv
      cr cme cmsmeti metcl mp3an1 bcthlem3 cc0 bcthlem4 pm3.26d eqeltrd sylan
      adantrl ancoms adantrlr adantr axaddrcl adantlr sylanc adantrr anasss
      pm3.27d rehalfclt syl cle bcthlem11 wceq opreq12d opreq1d breqtrd
      bcthlem19 adantllr wb ltadd1t ad2antrr syl3anc mpbid lelttrd ) JUDZUEUFZQ
      UDZOUFZUGZUEDFUDZUHZHUDZUIUJUKZXCULXFXEXCULKUKUFHUEUMZUGIUDZUEUFZUGZUGZXH
      WRUNUOZUGZXHUPXCUQZULZWTEUKZXHXCULZUPULZWRXCULZUPULZEUKZWRXNULZWTEUKZUJUK
      ZXQURULZUSUTUKZYCUJUKZXKXPVAUFZXLXBXDXIYHXGXDXIUGZXBYHYIXAYHWSXOOUFZXAYHY
      IEVBUFZYJXAYHESVCZXOWTEOTVDVEYIXOXRODFXHVFZYIXROUFZYEVAUFZVGYEUNUOZUGZADF
      XHOUBVHZVIZVJVKVLVMVNVOXKYDVAUFZXLXBXDXIYTXGYIXBYTYAVAUFZYCVAUFZYTYIXBUGZ
      YAYCVPYIWSUUAXAYNXTOUFZUUAYIWSUGZYKYNUUDUUAYLXRXTEOTVDVEYIYNWSYSVOXDWSUUD
      XIXDWSUGZUUDXSURULZVAUFVGUUGUNUOUGADFWROUBVHVIZVQVRZVSXDXBUUBXIXDWSXAUUBY
      BOUFZXAUUBUUFYKUUJXAUUBYLYBWTEOTVDVEUUFYBXTODFWRVFZUUHVJVKZVTVQZVRVMVNVOX
      KYGVAUFZXLXBXDXIUUNXGYIXBUUNYFVAUFZUUBUUNUUCYFYCVPYIUUOXBYIYOUUOYIYOYPYIY
      NYQYRWAVIYEWBWCZVOUUMVRVMVNVOXKXPYDWDUOZXLXBXDXIUUQXGYIXBUUQUUCXPXOYBEUKZ
      YCUJUKYDWDADEFIJOQSTUBWEUUCUURYAYCUJYIWSUURYAWFXAUUEXOXRYBXTEYIXOXRWFWSYM
      VOXDWSYBXTWFXIUUKVQWGVSWHWIVMVNVOXMYAYFUNUOZYDYGUNUOZWSXJXLUUSXAABCDEFGHI
      JKLMNOPRSTUAUBUCWJWKXKUUSUUTWLZXLXBXDXIUVAXGYIXBUVAYIWSXAUVAUUAUUOUUBUVAU
      UEXAUGYAYFYCWMUUEUUAXAUUIVOYIUUOWSXAUUPWNXDWSXAUUBXIUULWKWOVTVMVNVOWPWQ
      $.
      $( [12-Nov-2007] $) $( [23-Oct-2007] $)

    $( Lemma for ~ bcth .  Helper lemma to remove the dependence on ` n ` of
       the upper limit in ~ bcthlem24 . $)
    bcthlem25 $p |- ( ( ( ( ( n e. NN /\ q e. X ) /\ ( ( g : NN --> A /\
  A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) /\ m e. NN ) ) /\
        m < n ) /\
    ( ( ( 1st o. g ) ` n ) D q ) < ( ( 2nd ` ( g ` m ) ) / 2 ) ) ->
        ( ( ( 1st o. g ) ` m ) D q ) < ( 2nd ` ( g ` m ) ) ) $=
      ( cv cn wcel wa wf c1 caddc co cfv wral clt wbr c1st ccom c2nd c2 cdiv
      wb cr ltadd2t cme cmsmeti metcl mp3an1 bcthlem3 cc0 bcthlem4 pm3.26d
      eqeltrd sylan anasss adantlr pm3.27d rehalfclt syl adantr syl3anc wceq
      cc recnd 2halvest breq2d bitrd ancoms adantrlr bcthlem24 wi axlttrn
      adantrl axaddrcl sylanc mpand sylbid imp ) JUDZUEUFZQUDZOUFZUGZUEDFUDZUHZ
      HUDZUIUJUKZXCULXFXEXCULKUKUFHUEUMZUGIUDZUEUFZUGUGZXHWRUNUOZUGZWRUPXCUQZUL
      ZWTEUKZXHXCULZURULZUSUTUKZUNUOZXHXMULZWTEUKZXQUNUOZXLXSXRXOUJUKZXQUNUOZYB
      XJXSYDVAZXKXBXDXIYEXGXDXIUGZXBYEYFXBUGZXSYCXRXRUJUKZUNUOZYDXOVBUFZXRVBUFZ
      YKXSYIVAYGXOXRXRVCXDXBYJXIXDWSXAYJXNOUFZXAYJXDWSUGZEVDUFZYLXAYJESVEZXNWTE
      OTVFVGYMXNWRXCULZUPULZODFWRVHYMYQOUFYPURULZVBUFVIYRUNUOUGADFWROUBVJVKVLVM
      VNVOZYFYKXBYFXQVBUFZYKYFYTVIXQUNUOZYFXPUPULZOUFZYTUUAUGZADFXHOUBVJZVPVKZX
      QVQVRVSZUUGVTYGYHXQYCUNYFYHXQWAZXBYFXQWBUFUUHYFXQUUFWCXQWDVRVSWEWFWGWHVSX
      LYAYCUNUOZYDYBABCDEFGHIJKLMNOPQRSTUAUBUCWIXJUUIYDUGYBWJZXKXBXDXIUUJXGYFXB
      UUJYAVBUFZYCVBUFZYTUUJYGYAYCXQWKYFXAUUKWSXTOUFZXAUUKYFYNUUMXAUUKYOXTWTEOT
      VFVGYFXTUUBODFXHVHYFUUCUUDUUEVKVLVMWLYKYJUULYGXRXOWMUUGYSWNYFYTXBUUFVSVTW
      GWHVSWOWPWQ $.
      $( [12-Nov-2007] $) $( [24-Oct-2007] $)

    $( Lemma for ~ bcth .  The convergence point ` q ` belongs to every ball
       in sequence ` g ` . $)
    bcthlem26 $p |- ( ( ( q e. X /\ ( ( g : NN --> A /\
  A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) /\ m e. NN ) ) /\
          ( 1st o. g ) ( ~~>m ` D ) q ) -> q e. ( ( 1st ` ( g ` m ) )
        ( ball ` D ) ( 2nd ` ( g ` m ) ) ) ) $=
      ( vn cv wcel cn wf c1 caddc co cfv wral wa c1st ccom clm wbr c2nd cbl
      clt c2 cdiv wrex bcthlem13 adantllr adantll wi wceq bcthlem3 opreq1d
      adantlr adantl ad2antrr bcthlem25 eqbrtrrd exp31 imp3a anasss expcom
      r19.23adv adantr mpd wb cr cc0 cme cmsmeti elbl2 mp3anl1 bcthlem4
      pm3.26d pm3.26 jca pm3.27d sylanc adantrlr mpbird ) PUDZNUEZUFDFUDZUGZHUD
      ZUHUIUJZWTUKXCXBWTUKJUJUEHUFULZUMIUDZUFUEZUMZUMZUNWTUOZWREUPUKUQZUMZWRXEW
      TUKZUNUKZXLURUKZEUSUKUJUEZXMWREUJZXNUTUQZXKXEUCUDZUTUQZXRXIUKWREUJXNVAVBU
      JUTUQZUMZUCUFVCZXQXGXJYBWSXAXFXJYBXDADEFIUCNPRSUAVDVEVFXHYBXQVGXJXHYAXQUC
      UFXRUFUEZXHYAXQVGZYCWSXGYDYCWSUMZXGUMZXSXTXQYFXSXTXQYFXSUMXTUMXEXIUKZWREU
      JZXPXNUTYFYHXPVHZXSXTXGYIYEXAXFYIXDXAXFUMZYGXMWREDFXEVIVJVKVLVMABCDEFGHIU
      CJKLMNOPQRSTUAUBVNVOVPVQVRVSVTWAWBXHXOXQWCZXJWSXAXFYKXDXMNUEZWSUMXNWDUEWE
      XNUTUQUMZYKWSYJUMZEWFUEYLWSYMYKERWGWREXMXNNSWHWIYNYLWSYJYLWSYJYLYMADFXENU
      AWJZWKVLWSYJWLWMYJYMWSYJYLYMYOWNVLWOWPWAWQ $.
      $( [12-Nov-2007] $) $( [24-Oct-2007] $)

    $( Lemma for ~ bcth .  The convergence point ` q ` belongs to the
       complement of the interior of any member of reference sequence
       ` M ` . $)
    bcthlem27 $p |- ( ( ( q e. X /\
  ( ( g :  NN --> A /\ ( ( ( 1st ` ( g ` 1 ) )
    ( ball ` D ) ( 2nd ` ( g ` 1 ) ) ) (_ ( X \ ( ( cls ` J ) ` ( M ` 1 )
    ) ) /\ A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) ) /\
    m e. NN ) ) /\
          ( 1st o. g ) ( ~~>m ` D ) q ) -> q e.
    ( X \ ( ( cls ` J ) ` ( M ` m ) ) ) ) $=
      ( cv wcel cn wf c1 cfv c1st c2nd cbl co ccl cdif wss caddc wral wa ccom
      clm wbr bcthlem16 ad2antlr bcthlem26 id adantlrl sylanl2 sseldd ) PUCZNUD
      ZUEDFUCZUFZUGVKUHZUIUHVMUJUHEUKUHZULNUGLUHKUMUHZUHUNUOZHUCZUGUPULZVKUHVRV
      QVKUHJULUDHUEUQZURURIUCZUEUDZURZURUIVKUSVIEUTUHVAZURVTVKUHZUIUHWDUJUHVNUL
      ZNVTLUHVOUHUNZVIWBWEWFUOVJWCBCDEFGHIJKLMNOQRSTUBVBVCVJVLVSURWAURZWCVIWEUD
      WBABCDEFGHIJKLMNOPQRSTUAUBVDVLVSWAWGVPWGVEVFVGVH $.
      $( [12-Nov-2007] $) $( [25-Oct-2007] $)
  $}

  ${
    $d g j k m p q y z A $.  $d g j k m p q r x y z D $.  $d g k m q F $.
    $d g j m p q r x y z J $.  $d g j m p q r x y z M $.  $d p r z O $.
    $d g m q Q $.  $d g j m k p q r x y z X $.
    bcthlem29.1 $e |- D e. CMet $.
    bcthlem29.3 $e |- X = dom dom D $.
    bcthlem29.4 $e |- J = ( Open ` D ) $.
    bcthlem29.5 $e |- M : NN --> P~ X $.
    bcthlem29.6 $e |- F = { <. <. j , y >. , z >. | ( ( j e. NN /\ y e. A )
  /\ z = { <. p , r >. | ( ( p e. X /\ ( r e. RR /\ 0 < r ) ) /\
     ( r < ( ( 2nd ` y ) / 2 ) /\ ( p ( ball ` D ) r ) (_ O ) ) } ) } $.
    bcthlem29.7 $e |- A = ( X X. { x e. RR | 0 < x } ) $.
    bcthlem29.8 $e |- O = ( ( X \ ( ( cls ` J ) ` ( M ` j ) ) ) i^i
          ( ( 1st ` y ) ( ball ` D ) ( ( 2nd ` y ) / 2 ) ) ) $.
    $( Lemma for ~ bcth .  The convergence point ` q ` does not belong to any
       member of reference sequence ` M ` . $)
    bcthlem28 $p |- ( ( ( ( q e. X /\ ( ( 1st ` Q ) ( ball ` D )
     ( 2nd ` Q ) ) (_ ( X \ ( ( cls ` J ) ` ( M ` 1 ) ) ) ) /\
   ( g : NN --> A /\ ( ( g ` 1 ) = Q /\ A. k e. NN ( g ` ( k + 1 ) )
    e. ( ( k + 1 ) F ( g ` k ) ) ) ) ) /\ ( 1st o. g ) ( ~~>m ` D ) q ) ->
         -. E. m e. NN q e. ( M ` m ) ) $=
      ( cv wcel c1st cfv c2nd cbl co c1 ccl cdif wss wa cn wf wceq caddc wral
      ccom clm wbr wn wrex wi wb fveq2 opreq12d sseq1d adantr ad2antlr
      bcthlem27 cpw ffvelrni elpwi syl ctop bcthlem6 bcthlem5 sscls mpan sseld
      eldifn nsyli adantl mpd exp42 com3l exp32 com23 com34 imp31 adantlrl
      sylbird com13 imp41 imp r19.21aiv ralnex sylib ) QUFZOUGZFUHUIZFUJUIZEUKU
      IZULZOUMMUILUNUIZUIUOZUPZUQZURDGUFZUSZUMXNUIZFUTZIUFZUMVAULZXNUIXSXRXNUIK
      ULUGIURVBZUQZUQZUQZUHXNVCXDEVDUIVEZUQZXDJUFZMUIZUGZVFZJURVBYHJURVGVFYEYIJ
      URYCYDYFURUGZYIVHYCYJYDYIXMYBYJYDYIVHZVHXMYBYJYDYIXEXLYBYJUQZYDYIYLXLXEYK
      YLXLXPUHUIZXPUJUIZXHULZXKUPZXEYKVHZYAYPXLVIZXOYJXQYRXTXQYOXIXKXQYMXFYNXGX
      HXPFUHVJXPFUJVJVKVLVMVNXOXTYJYPYQVHZXQXOXTYJYSXOXTYPYJYQXOYPXTYJYQVHZXOYP
      XTYTXEXOYPXTUQUQZYJYKXEUUAYJYDYIXEUUAYJUQZUQYDUQXDOYGXJUIZUOUGZYIABCDEGHI
      JKLMNOPQRSTUCUDUEVOUUBUUDYIVHZXEYDYJUUEUUAYJYHXDUUCUGUUDYJYGUUCXDYJYGOUPZ
      YGUUCUPZYJYGOVPZUGUUFURUUHYFMUBVQYGOVRVSLVTUGUUFUUGELOSTUAWAYGLOELOSTUAWB
      WCWDVSWEXDOUUCWFWGWHVNWIWJWKWLWMWNWOWPWQWRWSWJWTWMWTXAYHJURXBXC $.
      $( [13-Nov-2007] $) $( [25-Oct-2007] $)

    $( Lemma for ~ bcth .  Therefore the union of all members of reference
       sequence ` M ` does not occupy the entire metric space ` X ` .  Also,
       use metric space completeness (via  ~ bcthlem23 ) to eliminate the limit
       point ` q ` from the antecedents. $)
    bcthlem29 $p |- ( ( ( ( 2nd ` Q ) < ( 1 / 2 ) /\ ( ( 1st ` Q )
      ( ball ` D ) ( 2nd ` Q ) ) (_ ( X \ ( ( cls ` J ) ` ( M ` 1 ) ) ) )
       /\ ( g : NN --> A /\ ( ( g ` 1 ) = Q /\ A. k e. NN ( g ` ( k + 1 ) ) e.
           ( ( k + 1 ) F ( g ` k ) ) ) ) ) -> -. U. ran M = X ) $=
      ( vq vm c2nd cfv c1 c2 cdiv co clt wbr c1st cbl ccl cdif wss wa cn cv wf
      wceq caddc wcel wral ccom clm wrex crn cuni wn wi fveq2 breq1d bcthlem23
      exp32 com12 syl6bir com3l imp45 adantlr bcthlem28 exp41 imp4c eleq2
      biimpar cdm wfun wb cpw ffun ax-mp elunirn fdmi rexeq1 bitr sylib expcom
      nsyld exp3a r19.23adv adantll mpd ) FUFUGZUHUIUJUKZULUMZFUNUGXEEUOUGUKNUH
      LUGKUPUGUGUQURZUSUTDGVAZVBZUHXIUGZFVCZIVAZUHVDUKZXIUGXNXMXIUGJUKVEIUTVFZU
      SUSZUSUNXIVGUDVAZEVHUGUMZUDNVIZLVJVKZNVCZVLZXGXPXSXHXGXJXLXOXSXLXGXJXOXSV
      MZXLXGXKUFUGZXFULUMZXJYCVMXLYDXEXFULXKFUFVNVOXJYEYCXJYEXOXSABCDEGHIJKLMNO
      UDPQRUAUBUCVPVQVRVSVTWAWBXHXPXSYBVMXGXHXPUSZXRYBUDNXQNVEZYFXRYBVMYGYFXRYB
      YGYFXRUSXQUEVALUGVEZUEUTVIZYAYGXHXPXRYIVLZYGXHXPXRYJABCDEFGHIUEJKLMNOUDPQ
      RSTUAUBUCWCWDWEYAYGYIYAYGUSXQXTVEZYIYAYKYGXTNXQWFWGYKYHUELWHZVIZYILWIZYKY
      MWJUTNWKZLVBYNTUTYOLWLWMUEXQLWNWMYLUTVCYMYIWJUTYOLTWOYHUEYLUTWPWMWQWRWSWT
      XAVRXBXCXD $.
      $( [13-Nov-2007] $) $( [29-Oct-2007] $)

    $( Lemma for ~ bcth .  Apply the Axiom of Dependent Choice ~ acdc5 to show
       the existence of the recursive sequence of balls ` g ` . $)
    bcthlem30 $p |- ( ( A. j e. NN ( ( int ` J ) `
        ( ( cls ` J ) ` ( M ` j ) ) ) = (/) /\ Q e. A ) ->
      E. g ( g : NN --> A /\ ( g ` 1 ) = Q /\
         A. k e. NN ( g ` ( k + 1 ) ) e. ( ( k + 1 ) F ( g ` k ) ) ) ) $=
      ( cn cxp cpw c0 csn cdif wf wcel cv c1 cfv wceq caddc co wral w3a wex
      ccl cnt cc0 clt wbr cr crab cvv cdm cms dmexg ax-mp dmex eqeltr reex
      rabex xpex acdc5 wa c2nd c2 cdiv cbl wss copab wne bcthlem14 ffvelrni
      elpwi syl anim1i adantr simpll pm3.27 jca sylanc bcthlem12 jctil eldifsn
      sylibr r19.21aiva r19.20ia foprab2 sylib sylan ) UDDUEDUFZUGUHUIZJUJZFDUK
      UDDGULZUJUMXIUNFUOIULZUMUPUQZXIUNXKXJXIUNJUQUKIUDURUSGUTHULZLUNZKVAUNUNKV
      BUNUNUGUOZHUDURZDFGIJDNVCAULVDVEZAVFVGZUEVHUBNXQNEVIZVIVHRXREVJUKXRVHUKQE
      VJVKVLVMVNXPAVFVOVPVQVNVRXOPULZNUKOULZVFUKVCXTVDVEVSVSXTBULZVTUNWAWBUQVDV
      EXSXTEWCUNUQMWDVSVSPOWEZXGUKZBDURZHUDURXHXNYDHUDXLUDUKZXNVSZYCBDYFYADUKZV
      SZYBXFUKZYBUGWFZVSYCYHYJYIXMNWDZXNVSZYEYGVSYJYHABDEHKLMNOPQRSUBUCWGYFYLYG
      YEYKXNYEXMNUFZUKYKUDYMXLLTWHXMNWIWJWKWLYHYEYGYEXNYGWMYFYGWNWOWPABDEMNOPQR
      UBWQWRYBXFUGWSWTXAXBHBCUDDYBXGJUAXCXDXE $.
      $( [14-Nov-2007] $) $( [11-Oct-2007] $)

    $( Lemma for ~ bcth .  Eliminate the antecedents involving sequence
       ` g ` . $)
    bcthlem31 $p |- ( ( ( ( 2nd ` Q ) < ( 1 / 2 ) /\ ( ( 1st ` Q )
   ( ball ` D ) ( 2nd ` Q ) ) (_ ( X \ ( ( cls ` J ) ` ( M ` 1 ) ) ) ) /\
  ( A. j e. NN ( ( int ` J ) ` ( ( cls ` J ) ` ( M ` j ) ) ) = (/) /\
             Q e. A ) ) -> -. U. ran M = X ) $=
      ( vg vk c2nd cfv c1 c2 cdiv co clt wbr c1st cbl ccl cdif wss wa cv cnt
      c0 wceq cn wral wcel wf caddc wex crn cuni wn w3a bcthlem30 adantl
      3anass exbii sylib wi bcthlem29 ex 19.23adv adantr mpd ) FUDUEZUFUGUHUIUJ
      UKFULUEWCEUMUEUILUFJUEIUNUEZUEUOUPUQZGURJUEWDUEIUSUEUEUTVAGVBVCFDVDUQZUQZ
      VBDUBURZVEZUFWHUEFVAZUCURZUFVFUIZWHUEWLWKWHUEHUIVDUCVBVCZUQUQZUBVGZJVHVIL
      VAVJZWGWIWJWMVKZUBVGZWOWFWRWEABCDEFUBGUCHIJKLMNOPQRSTUAVLVMWQWNUBWIWJWMVN
      VOVPWEWOWPVQWFWEWNWPUBWEWNWPABCDEFUBGUCHIJKLMNOPQRSTUAVRVSVTWAWB $.
      $( [15-Nov-2007] $) $( [29-Oct-2007] $)
  $}

  ${
    $d j p y z A $.  $d j p r x y z D $.  $d j p r x y z J $.
    $d j p r x y z M $.  $d j p r x y z X $.  $d s x $.
    bcthlem33.1 $e |- D e. CMet $.
    bcthlem33.3 $e |- X = dom dom D $.
    bcthlem33.4 $e |- J = ( Open ` D ) $.
    bcthlem33.5 $e |- M : NN --> P~ X $.
    $( Lemma for ~ bcth .  Eliminate hypotheses no longer needed. $)
    bcthlem32 $p |- ( ( ( s < ( 1 / 2 ) /\ ( q ( ball ` D ) s )
   (_ ( X \ ( ( cls ` J ) ` ( M ` 1 ) ) ) ) /\ ( A. j e. NN ( ( int ` J ) `
   ( ( cls ` J ) ` ( M ` j ) ) ) = (/) /\ ( q e. X /\ ( s e. RR /\ 0 < s ) )
         ) ) -> -. U. ran M = X ) $=
      ( vx vy vz vp vr cv cop c2nd cfv c1 c2 cdiv co clt wbr c1st cbl ccl cdif
      wss wa cnt c0 wceq cn wral cc0 cr crab cxp wcel crn cuni wn cin copab
      copab2 eqid bcthlem31 visset op2nd breq1i op1st opreq12i sseq1i anbi12i
      opelxp breq2 elrab anbi2i bitr syl2anbr ) GQZFQZRZSTZUAUBUCUDZUEUFZWFUGTZ
      WGAUHTZUDZEUADTCUITZTUJZUKZULBQZDTWMTZCUMTTUNUOBUPUQZWFEURLQZUEUFZLUSUTZV
      AZVBZULDVCVDEUOVEWEWHUEUFZWDWEWKUDZWNUKZULWRWDEVBZWEUSVBURWEUEUFZULZULZUL
      LMNXBAWFBWPUPVBMQZXBVBULNQOQZEVBPQZUSVBURXMUEUFULULXMXKSTUBUCUDZUEUFXLXMW
      KUDEWQUJXKUGTXNWKUDVFZUKULULOPVGUOULBMNVHZCDXOEPOHIJKXPVIXBVIXOVIVJWIXDWO
      XFWGWEWHUEWDWEGVKZFVKZVLZVMWLXEWNWJWDWGWEWKWDWEXQVNXSVOVPVQXCXJWRXCXGWEXA
      VBZULXJWDWEEXAXRVRXTXIXGWTXHLWEUSWSWEURUEVSVTWAWBWAWC $.
      $( [15-Nov-2007] $) $( [25-Oct-2007] $)
  $}

  ${
    $d j A $.  $d j k s x D $.  $d j k q s x J $.  $d j k q s x M $.
    $d j k q s x X $.
    bcthlem34.1 $e |- D e. CMet $.
    bcthlem34.2 $e |- X =/= (/) $.
    bcthlem34.3 $e |- X = dom dom D $.
    bcthlem34.4 $e |- J = ( Open ` D ) $.
    bcthlem34.5 $e |- M : NN --> P~ X $.
    $( Lemma for ~ bcth .  All members of reference sequence ` M ` cannot
       have an empty interior. $)
    bcthlem33 $p |- ( ( U. ran M = X /\ ran M (_ ( Clsd ` J ) )
           -> E. k e. NN ( ( int ` J ) ` ( M ` k ) ) =/= (/) ) $=
      ( vs vq crn cuni wceq ccld cfv wss wa cv cnt c0 cn wral wn wne wrex ccl
      cc0 clt wbr c1 c2 cexp co cdiv cbl cdif w3a cr wcel wi 1nn fveq2 fveq2d
      eqeq1d rcla4v ax-mp cpw ffvelrni elpwi bcthlem10 mpan bcthlem8 mp3an3
      3syl bcthlem32 exp43 com4r exp32 imp com4l cc 2cn exp1t opreq2i breq2i
      syl5ib 3imp com13 eldifi sylani r19.23advv mpd con2i adantr wb wf
      ffvelrn wfn ffn fnfrn mpbi fss sylan ctop bcthlem6 cldcls syl ralbidva
      negbid adantl mpbid df-ne rexbii rexnal bitr2 sylib ) DMZNEOZXSCPQZRZSZBT
      ZDQZCUAQZQZUBOZBUCUDZUEZYGUBUFZBUCUGZYCYECUHQZQZYFQZUBOZBUCUDZUEZYJXTYRYB
      YQXTYQUIKTZUJUKZYSULUMULUNUOZUPUOZUJUKZLTZYSAUQQUOEULDQZYMQZURZRZUSZKUTUG
      LUUGUGZXTUEZYQUUFYFQZUBOZUUGUBUFZUUGCVAZSZUUJULUCVAZYQUUMVBVCYPUUMBULUCYD
      ULOZYOUULUBUURYNUUFYFUURYEUUEYMYDULDVDVEVEVFVGVHUUEERZUUMUUPUUEEVIZVAZUUS
      UUQUVAVCUCUUTULDJVJVHUUEEVKVHACUUEEFHIGVLVMUUNUUOUUQUUJVCKACULUUGELFHIVNV
      OVPYQUUIUUKLKUUGUTYQUUDEVAZYSUTVAZUUIUUKVBUUDUUGVAUUIUVBUVCSZYQUUKYTUUCUU
      HUVDYQUUKVBZVBZYTYSULUMUPUOZUJUKZUUHUVFVBUUCUVDYTUVHUUHUVEUVBUVCYTUVHUUHU
      VEVBVBZVBUVBUVCYTUVIUVHUUHYQUVBUVCYTSSZUUKUVHUUHYQUVJUUKABCDEKLFHIJVQVRVS
      VTWAWBUUBUVGYSUJUUAUMULUPUMWCVAUUAUMOWDUMWEVHWFWGWHWIWJUUDEUUFWKWLWMWNWOW
      PYBYRYJWQXTYBYQYIYBYPYHBUCYBYDUCVAZSZYOYGUBUVLYNYEYFUVLYEYAVAZYNYEOZUCYAD
      WRZUVKUVMYBUCYAYDDWSUCXSDWRZYBUVODUCWTZUVPUCUUTDWRUVQJUCUUTDXAVHUCDXBXCUC
      XSYADXDVMXECXFVAUVMUVNACEFHIXGYECXHVMXIVEVFXJXKXLXMYLYHUEZBUCUGYJYKUVRBUC
      YGUBXNXOYHBUCXPXQXR $.
      $( [15-Nov-2007] $) $( [25-Oct-2007] $)
  $}

  ${
    $d k D $.  $d k J $.  $d k M $.  $d k X $.
    bcth.1 $e |- X = dom dom D $.
    bcth.2 $e |- J = ( Open ` D ) $.
    $( Baire's Category Theorem.  If a nonempty metric space is complete, it
       is nonmeager in itself.  In other words, the metric space cannot be the
       countable union of rare closed subsets (where rare means having an
       empty interior), so some subset ` M `` k ` must have a nonempty
       interior.   Theorem 4.7-2 of [Kreyszig] p. 247.  (The terminology
       "meager" and "nonmeager" is used by Kreyszig to replace Baire's "of the
       first category" and "of the second category."  The latter terms are
       going out of favor to avoid confusion with category theory.) $)
    bcth $p |- ( ( ( D e. CMet /\ X =/= (/) /\ M : NN --> P~ X ) /\
      ( U. ran M = X /\ ran M (_ ( Clsd ` J ) ) ) ->
               E. k e. NN ( ( int ` J ) ` ( M ` k ) ) =/= (/) ) $=
      ( cms wcel c0 wne cn cpw wf w3a crn cuni wceq ccld cfv wss wa cv cnt
      wrex wi cabs cmin ccom cif cdm copn wb dmeq dmeqd syl5eq pweq syl feq3
      eqeq2d fveq2 fveq2d sseq2d anbi12d fveq1d neeq1d rexbidv imbi12d csn cxp
      rneq unieqd eqeq1d sseq1d fveq1 eleq1 eqid cncms cc cc0 0cn ne0i ax-mp
      cnmetba neeq1i mpbi pm3.2i elimhyp pm3.26i pm3.27i 0ex fconst 0elpw
      snssi fss mp2an elimf bcthlem33 dedth 3impia imp ) AHIZEJKZLEMZDNZODPZQZE
      RZXFCSTZUAZUBZBUCZDTZCUDTZTZJKZBLUEZXBXCXEXKXQUFZXBXCUBZXEXRUFLXSAUGUHUIZ
      UJZUKZUKZMZDNZXGYCRZXFYAULTZSTZUAZUBZXMYGUDTZTZJKZBLUEZUFZUFAXTAYARZXEYEX
      RYOYPXDYDRZXEYEUMYPEYCRYQYPAUKZUKYCEYPYRYBAYAUNUOFUPZEYCUQURXDYDLDUSURYPX
      KYJXQYNYPXHYFXJYIYPEYCXGYSUTYPXIYHXFYPCYGSYPAULTYGCAYAULVAGUPZVBVCVDYPXPY
      MBLYPXOYLJYPXMXNYKYPCYGUDYTVBVEVFVGVHVHYEYOYEDLJVIZVJZUJZPZQZYCRZUUDYHUAZ
      UBZXLUUCTZYKTZJKZBLUEZUFDUUBDUUCRZYJUUHYNUULUUMYFUUFYIUUGUUMXGUUEYCUUMXFU
      UDDUUCVKZVLVMUUMXFUUDYHUUNVNVDUUMYMUUKBLUUMYLUUJJUUMXMUUIYKXLDUUCVOVBVFVG
      VHYABYGUUCYCYAHIZYCJKZXSUUOUUPUBXTHIZXTUKZUKZJKZUBAXTYPXBUUOXCUUPAYAHVPYP
      EYCJYSVFVDXTYARZUUQUUOUUTUUPXTYAHVPUVAUUSYCJUVAUURYBXTYAUNUOVFVDUUQUUTXTX
      TVQZVRVSJKZUUTVTVSIUVCWAVSVTWBWCVSUUSJXTUVBWDWEWFWGWHZWIUUOUUPUVDWJYCVQYG
      VQLYDDUUBLUUAUUBNUUAYDUAZLYDUUBNLJWKWLJYDIUVEYCWMJYDWNWCLUUAYDUUBWOWPWQWR
      WSWSWTXA $.
      $( [15-Nov-2007] $) $( [28-Oct-2007] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                 Group theory
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Definitions and basic properties for groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Grp $.
  $c Id $.
  $c inv $.
  $c /g $.

  $( Extend class notation with the class of all group operations. $)
  cgr $a class Grp $.

  $( Extend class notation with a function mapping a group operation to the
     group's identity element. $)
  cgi $a class Id $.

  $( Extend class notation with a function mapping a group operation to the
     inverse function for the group. $)
  cgn $a class inv $.

  $( Extend class notation with a function mapping a group operation to the
     division (or subtraction) operation for the group. $)
  cgs $a class /g $.

  ${
    $d f g t u x y z $.
    $( Define the class of all group operations.  The base set for a group
       can be determined from its group operation.  Based on the definition in
       Exercise 28 of [Herstein] p. 54. $)
    df-grp $a |- Grp = { g | E. t ( g : ( t X. t ) --> t
       /\ A. x e. t A. y e. t A. z e. t ( ( x g y ) g z ) = ( x g ( y g z ) )
   /\ E. u e. t A. x e. t ( ( u g x ) = x /\ E. y e. t ( y g x ) = u ) ) } $.

    $( Define a function that maps a group operation to the group's identity
       element. $)
    df-gid $a |- Id = { <. g , y >. | ( g e. Grp /\ y =
                 U. { u e. ran g | A. x e. ran g ( u g x ) = x } ) } $.

    $( Define a function that maps a group operation to the group's inverse
       function. $)
    df-ginv $a |- inv = { <. g , f >. | ( g e. Grp /\ f = { <. x , y >. |
      ( x e. ran g /\ y = U. { z e. ran g | ( z g x ) = ( Id ` g ) } ) } ) } $.

    $( Define a function that maps a group operation to the group's division
       (or subtraction) operation. $)
    df-gdiv $a |- /g = { <. g , f >. | ( g e. Grp /\ f = { <. <. x , y >. ,
    z >. | ( ( x e. ran g /\ y e. ran g ) /\
         z = ( x g ( ( inv ` g ) ` y ) ) ) } ) } $.
  $}

  ${
    $d g t u x y z G $.  $d g t u x y z X $.
    isgrp.1 $e |- X = ran G $.
    $( The predicate "is a group operation."  Note that ` X ` is the base set
       of the group. $)
    isgrp $p |- ( G e. A -> ( G e. Grp <-> ( G : ( X X. X ) --> X /\
       A. x e. X A. y e. X A. z e. X ( ( x G y ) G z ) = ( x G ( y G z ) )
   /\ E. u e. X A. x e. X ( ( u G x ) = x /\ E. y e. X ( y G x ) = u ) ) ) ) $=
      ( vt vg wcel cgr cv crn wceq cxp wf co wral wrex wa w3a wex feq1 opreq
      opreq1d eqtrd opreq2d eqeq12d ralbidv 2ralbidv eqeq1d rexbidv anbi12d
      rexralbidv 3anbi123d exbidv df-grp elab2g wfo opreq2 id eqcom syl6bb
      rcla4v eqeq2d rcla4ev ex syld pm3.26 r19.20si syl5 r19.22sdv impcom
      r19.21aiva anim2i fooprval sylibr forn eqcomd syl 3adant2 pm4.71ri exbii
      cvv wb rnexg eqeq2i xpeq1 xpeq2 feq2 feq3 bitrd raleq1 raleqd rexeq1
      anbi2d rexeqd sylbir ceqsexgv ) FEKZFLKZIMZFNZOZXCXCPZXCFQZAMZBMZFRZCMZFR
      ZXHXIXKFRZFRZOZCXCSZBXCSZAXCSZDMZXHFRZXHOZXIXHFRZXSOZBXCTZUAZAXCSZDXCTZUB
      ZUAZIUCZGGPZGFQZXOCGSZBGSZAGSZYAYCBGTZUAZAGSZDGTZUBZXAXBYHIUCZYJXFXCJMZQZ
      XHXIUUBRZXKUUBRZXHXIXKUUBRZUUBRZOZCXCSZBXCSAXCSZXSXHUUBRZXHOZXIXHUUBRZXSO
      ZBXCTZUAZAXCSDXCTZUBZIUCUUAJFLEUUBFOZUURYHIUUSUUCXGUUJXRUUQYGXFXCUUBFUDUU
      SUUIXPABXCXCUUSUUHXOCXCUUSUUEXLUUGXNUUSUUEUUDXKFRXLUUDXKUUBFUEUUSUUDXJXKF
      XHXIUUBFUEUFUGUUSUUGXHUUFFRXNXHUUFUUBFUEUUSUUFXMXHFXIXKUUBFUEUHUGUIUJUKUU
      SUUPYEDAXCXCUUSUULYAUUOYDUUSUUKXTXHXSXHUUBFUEULUUSUUNYCBXCUUSUUMYBXSXIXHU
      UBFUEULUMUNUOUPUQABCDIJURUSYHYIIYHXEXGYGXEXRXGYGUAZXFXCFUTZXEUUTXGXKXSXIF
      RZOZBXCTZDXCTZCXCSZUAUVAYGUVFXGYGUVECXCXKXCKZYGUVEUVGYFUVDDXCUVGYAAXCSZUV
      DYFUVGUVHXKXSXKFRZOZUVDYAUVJAXKXCXHXKOZYAUVIXKOUVJUVKXTUVIXHXKXHXKXSFVAUV
      KVBUIUVIXKVCVDVEUVGUVJUVDUVCUVJBXKXCXIXKOUVBUVIXKXIXKXSFVAVFVGVHVIYEYAAXC
      YAYDVJVKVLVMVNVOVPDBCXCXCXCFVQVRUVAXDXCXFXCFVSVTWAWBWCWDVDXAXDWEKYJYTWFFE
      WGYHYTIXDWEXEXCGOZYHYTWFGXDXCHWHUVLXGYLXRYOYGYSUVLXGYKXCFQZYLUVLXFYKOXGUV
      MWFUVLXFGXCPYKXCGXCWIXCGGWJUGXFYKXCFWKWAXCGYKFWLWMXQYNAXCGXPYMBXCGXOCXCGW
      NWOWOYFYRDXCGYEYQAXCGUVLYDYPYAYCBXCGWPWQWOWRUPWSWTWAWM $.
      $( [3-Nov-2006] $) $( [10-Oct-2006] $)
  $}

  ${
    $d u x y z G $.  $d u x y z U $.  $d u x y z X $.  $d y N $.
    isgrpi.1 $e |- X e. V $.
    isgrpi.2 $e |- G : ( X X. X ) --> X $.
    isgrpi.3 $e |- ( ( x e. X /\ y e. X /\ z e. X ) ->
                   ( ( x G y ) G z ) = ( x G ( y G z ) ) ) $.
    isgrpi.4 $e |- U e. X $.
    isgrpi.5 $e |- ( x e. X -> ( U G x ) = x ) $.
    isgrpi.6 $e |- ( x e. X -> N e. X ) $.
    isgrpi.7 $e |- ( x e. X -> ( N G x ) = U ) $.
    $( Properties that determine a group operation.  Read ` N ` as
       ` N ( x ) ` . $)
    isgrpi $p |- G e. Grp $=
      ( vu cgr wcel cxp wf cv co wceq wral wrex wa w3a rgen3 opreq1 eqeq1d
      rcla4ev sylanc jca rgen eqeq2 rexbidv anbi12d ralbidv mp2an 3pm3.2i cvv
      wb xpex fex crn wfo fooprval eqcomd rcla4eopr mp3an1 mpdan mpbir2an forn
      ax-mp eqcomi isgrp mpbir ) EPQZGGRZGESZATZBTZEUACTZEUAVTWAWBEUAZEUAUBZCGU
      CBGUCAGUCZOTZVTEUAZVTUBZWAVTEUAZWFUBZBGUDZUEZAGUCZOGUDZUFZVSWEWNIWDABCGGG
      JUGDGQZDVTEUAZVTUBZWIDUBZBGUDZUEZAGUCZWNKXAAGVTGQZWRWTLFGQFVTEUAZDUBZWTXC
      WSXEBFGWAFUBWIXDDWAFVTEUHUIUJMNUKULUMWMXBODGWFDUBZWLXAAGXFWHWRWKWTXFWGWQV
      TWFDVTEUHUIXFWJWSBGWFDWIUNUOUPUQUJURUSEUTQZVQWOVAVSVRUTQXGIGGHHVBVRGUTEVC
      URABCOUTEGEVDZGVRGEVEZXHGUBXIVSVTWCUBCGUDBGUDZAGUCBCAGGGEVFIXJAGXCVTWQUBZ
      XJXCWQVTLVGWPXCXKXJKBCGGDVTVTEVHVIVJUMVKVRGEVLVMVNVOVMVP $.
      $( [4-Nov-2006] $) $( [4-Nov-2006] $)
  $}

  ${
    $d w x y z A $.  $d x y z B $.  $d z C $.  $d u w x y z G $.
    $d u w x y z X $.  $d y U $.
    grpfo.1 $e |- X = ran G $.
    $( A group operation maps onto the group's underlying set. $)
    grpfo $p |- ( G e. Grp -> G : ( X X. X ) -onto-> X ) $=
      ( vx vy vz vu cgr wcel cxp wf crn wceq wa wfo cv co wral wrex w3a isgrp
      ibi 3simp1d eqcomi jctir dffo2 sylibr ) AHIZBBJZBAKZALZBMZNUIBAOUHUJULUHU
      JDPZEPZAQFPZAQUMUNUOAQAQMFBREBRDBRZGPZUMAQUMMUNUMAQUQMEBSNDBRGBSZUHUJUPUR
      TDEFGHABCUAUBUCBUKCUDUEUIBAUFUG $.
      $( [31-Oct-2006] $) $( [30-Oct-2006] $)

    $( Closure law for a group operation. $)
    grpcl $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) -> ( A G B ) e. X ) $=
      ( cxp wf wcel co cgr foprrn wfo grpfo fof syl syl3an1 ) DDFZDCGZADHBDHABC
      IDHCJHZABDDDCKSQDCLRCDEMQDCNOP $.
      $( [19-Oct-2006] $) $( [10-Oct-2006] $)

    $( A group has a left identity element, and every member has a left
       inverse. $)
    grplidinv $p |- ( G e. Grp ->
         E. u e. X A. x e. X ( ( u G x ) = x /\ E. y e. X ( y G x ) = u ) ) $=
      ( vz cgr wcel cxp wf cv co wceq wral wrex wa w3a isgrp ibi 3simp3d ) DHIZ
      EEJEDKZALZBLZDMGLZDMUDUEUFDMDMNGEOBEOAEOZCLZUDDMUDNUEUDDMUHNBEPQAEOCEPZUB
      UCUGUIRABGCHDEFSTUA $.
      $( [3-Nov-2006] $) $( [2-Nov-2006] $)

    $( The base set of a group is not empty.  (Contributed by Szymon
       Jaroszewicz, 3-Apr-2007.) $)
    grpn0 $p |- ( G e. Grp -> X =/= (/) ) $=
      ( vu vx vy cgr wcel cv co wceq wrex wa wral c0 wne grplidinv rexn0 syl )
      AGHDIZEIZAJUAKFIUAAJTKFBLMEBNZDBLBOPEFDABCQUBDBRS $.
      $( [3-Apr-2007] $) $( [2-Mar-2007] $)

    $( A group operation is associative. $)
    grpass $p |- ( ( G e. Grp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
              ( ( A G B ) G C ) = ( A G ( B G C ) ) ) $=
      ( vx vy vz vu cgr wcel w3a co wceq cv wral opreq1 opreq1d eqeq12d opreq2
      opreq2d rcla43v cxp wf wrex wa isgrp ibi 3simp2d syl5com imp ) DKLZAELBEL
      CELMZABDNZCDNZABCDNZDNZOZUNGPZHPZDNZIPZDNZUTVAVCDNZDNZOZIEQHEQGEQZUSUMVGU
      SAVADNZVCDNZAVEDNZOUOVCDNZABVCDNZDNZOGHIABCEEEUTAOZVDVJVFVKVOVBVIVCDUTAVA
      DRSUTAVEDRTVABOZVJVLVKVNVPVIUOVCDVABADUASVPVEVMADVABVCDRUBTVCCOZVLUPVNURV
      CCUODUAVQVMUQADVCCBDUAUBTUCUMEEUDEDUEZVHJPZUTDNUTOVAUTDNVSOHEUFUGGEQJEUFZ
      UMVRVHVTMGHIJKDEFUHUIUJUKUL $.
      $( [18-Oct-2006] $) $( [10-Oct-2006] $)

    $( Lemma for ~ grpidinv . $)
    grpidinvlem1 $p |- ( ( ( G e. Grp /\ ( Y e. X /\ A e. X ) ) /\
                  ( ( Y G A ) = U /\ ( A G A ) = A ) ) -> ( U G A ) = U ) $=
      ( cgr wcel wa co wceq opreq1 ad2antrl w3a grpass id 3anidm23 sylan2
      adantr eqtr3d opreq2 ad2antll simprl 3eqtrd ) CGHZEDHZADHZIZIZEACJZBKZAAC
      JZAKZIZIZBACJZEULCJZUJBUOUJACJZUPUQUKURUPKUIUMUJBACLMUIURUQKZUNUEUFUGUGNZ
      USUHEAACDFOUFUGUTUTPQRSTUMUQUJKUIUKULAECUAUBUIUKUMUCUD $.
      $( [24-Oct-2006] $) $( [10-Oct-2006] $)

    $( Lemma for ~ grpidinv . $)
    grpidinvlem2 $p |- ( ( ( G e. Grp /\ ( Y e. X /\ A e. X ) ) /\ ( ( U G Y )
         = Y /\ ( Y G A ) = U ) ) -> ( ( A G Y ) G ( A G Y ) ) = ( A G Y ) ) $=
      ( cgr wcel wa co wceq w3a simprr simprl grpcl 3com23 3expb 3jca grpass
      syldan adantr opreq1 adantl pm3.26 eqtr2d id 3anidm13 sylan2 sylan9eqr
      eqcomd opreq2d eqtrd ) CGHZEDHZADHZIZIZBECJZEKZEACJZBKZIZIZAECJZVDCJZAEVD
      CJZCJZVDUQVEVGKZVBUMUPUOUNVDDHZLVHUQUOUNVIUMUNUOMUMUNUONUMUNUOVIUMUOUNVIA
      ECDFOPQRAEVDCDFSTUAVCVFEACVCEVFVBUQEUTECJZVFVBVJUREVAVJURKUSUTBECUBUCUSVA
      UDUEUMUNUOUNLZVJVFKUPEAECDFSUNUOVKVKUFUGUHUIUJUKUL $.
      $( [24-Oct-2006] $) $( [10-Oct-2006] $)

    ${
      $d w x y z U $.  $d w y ph $.  $d y ps $.
      grpidinvlem3.2 $e |- ( ph <-> A. x e. X ( U G x ) = x ) $.
      grpidinvlem3.3 $e |- ( ps <-> A. x e. X E. z e. X ( z G x ) = U ) $.
      $( Lemma for ~ grpidinv . $)
      grpidinvlem3 $p |- ( ( ( ( G e. Grp /\ U e. X ) /\ ( ph /\ ps ) ) /\
                  A e. X ) -> E. y e. X ( ( y G A ) = U /\ ( A G y ) = U ) ) $=
        ( vw cgr wcel wa cv co wceq wrex wral opreq2 eqeq1d rexbidv rcla4cva
        opreq1 cbvrexv ralbii bitr sylanb adantll id eqeq12d rcla4va grpcl
        3expa adantllr biimp ad2antrl ad2antrr sylanc adantr grpidinvlem2
        pm3.22 ancom31s adantlr adantlll anim1i wi 3expb ad2ant2rl
        grpidinvlem1 anass an1rs ex syldan imp sylan exp43 r19.23adv sylan2b
        syl5 mpand exp32 com34 imp32 exp3a imp31 mpd eqtr3d ancld r19.22dva )
        HNOZGIOZPZABPZPZFIOZPZDQZFHRZGSZDITZXBFWTHRZGSZPZDITWPWRXCWOBWRXCAWTCQZ
        HRZGSZDITZCIUAZWRXCBXJXCCFIXGFSZXIXBDIXLXHXAGXGFWTHUBUCUDUEBEQZXGHRZGSZ
        EITZCIUAZXKLXPXJCIXOXIEDIXMWTSXNXHGXMWTXGHUFUCUGUHUIUJUKUKWSXBXFDIWSWTI
        OZPZXBXEXSXBXEXSXBPZGXDHRZXDGXSYAXDSZXBXDIOZGXGHRZXGSZCIUAZYBXSYEYBCXDI
        XGXDSZYDYAXGXDXGXDGHUBYGULUMUNWOWRXRYCWPWMWRXRYCWNWMWRXRYCFWTHIJUOZUPUQ
        UQWQYFWRXRAYFWOBAYFKURUSUTVAVBXTXDXDHRXDSZYAGSZWMXRWRPZPZGWTHRZWTSZXBPY
        IXTFGHIWTJVCXSYLXBWOWRXRYLWPWMWRXRYLWNXRWRWMYLYKWMVDVEUQUQVBXSYNXBWPWRX
        RYNWOWPXRYNWRAXRYNBYFXRYNAYEYNCWTIXGWTSZYDYMXGWTXGWTGHUBYOULUMUEKUJVFVF
        VGVHVAXSYIYJVIZXBWQWRXRYPWQWRXRYPWOABWRXRPZYPVIWOAYQBYPWOAYQBYPVIWOAYQP
        PZYCBYPWMYQYCWNAWMWRXRYCYHVJZVKYRMQZXDHRZGSZMITZYPYCBPYRUUBYPMIYRYTIOZU
        UBYIYJWMUUDYCPPZUUBYIPYJYRUUDPXDGHIYTJVLYRUUDUUEWMYQUUDUUEVIZWNAWMYQYCU
        UFYSWMYCPUUDUUEWMUUDYCUUEWMUUDPYCPUUEWMUUDYCVMURVNVOVPVKVQVRVSVTYCYTXGH
        RZGSZMITZCIUAZUUCBUUIUUCCXDIYGUUHUUBMIYGUUGUUAGXGXDYTHUBUCUDUNBXQUUJLXP
        UUICIXOUUHEMIXMYTSXNUUGGXMYTXGHUFUCUGUHUIWAWBWCWDWEWFWGWHVBWIWJVOWKWLWI
        $.
        $( [25-Oct-2006] $) $( [11-Oct-2006] $)
    $}

    $( Lemma for ~ grpidinv . $)
    grpidinvlem4 $p |- ( ( ( G e. Grp /\ A e. X ) /\ E. y e. X
             ( ( y G A ) = U /\ ( A G y ) = U ) ) -> ( A G U ) = ( U G A ) ) $=
      ( cgr wcel wa cv co wceq wrex w3a grpass simpll simplr pm3.27 3jca
      sylanc opreq2 sylan9eq opreq1 sylan9req anasss exp31 r19.23adv imp ) DGHZ
      BEHZIZAJZBDKZCLZBULDKZCLZIZAEMBCDKZCBDKZLZUKUQUTAEUKULEHZUQUTUKVAIZUNUPUT
      VBUNIUPURUOBDKZUSVBUNVCBUMDKZURUIUJVAUJNVCVDLVBBULBDEFOUIUJVAPVBUJVAUJUIU
      JVAQZUKVARVESTUMCBDUAUBUOCBDUCUDUEUFUGUH $.
      $( [25-Oct-2006] $) $( [14-Oct-2006] $)

    $( A group has a left and right identity element, and every member has a
       left and right inverse. $)
    grpidinv $p |- ( G e. Grp -> E. u e. X A. x e. X ( ( ( u G x ) = x /\
         ( x G u ) = x ) /\ E. y e. X ( ( y G x ) = u /\ ( x G y ) = u ) ) ) $=
      ( vz vw cgr wcel cv co wceq wrex wa wral grplidinv opreq2 id eqeq12d
      rcla4cva pm3.26 r19.20si sylan adantll grpidinvlem4 anim1i adantrr
      adantr adantl ad2antlr pm3.27 jca pm4.2 grpidinvlem3 sylancom sylanc
      eqtrd r19.21aiva exp32 r19.22dv mpd ) DIJZCKZGKZDLZVEMZHKVEDLVDMHENZOZGEP
      ZCENVDAKZDLZVKMZVKVDDLZVKMZOZBKZVKDLVDMVKVQDLVDMOBENZOZAEPZCENGHCDEFQVCVJ
      VTCEVCVDEJZVJVTVCWAVJOZOZVSAEWCVKEJZOZVPVRWEVMVOWBWDVMVCVJWDVMWAVGGEPZWDV
      MVJVGVMGVKEVEVKMZVFVLVEVKVEVKVDDRWGSTUAVIVGGEVGVHUBUCZUDUEUEZWEVNVLVKVCWD
      OVRVNVLMWEBVKVDDEFUFWCVCWDVCWBUBUGWCWDVCWAOZWFVHGEPZOZOVRWEWJWLWCWJWDVCWA
      WJVJWJSUHUIWEWFWKWBWFVCWDVJWFWAWHUJUKWBWKVCWDVJWKWAVIVHGEVGVHULUCUJUKUMUM
      WFWKGBHVKVDDEFWFUNWKUNUOUPZUQWIURUMWMUMUSUTVAVB $.
      $( [25-Oct-2006] $) $( [14-Oct-2006] $)

    $( The left identity element of a group is unique.  Lemma 2.2.1(a) of
       [Herstein] p. 55. $)
    grpideu $p |- ( G e. Grp -> E! u e. X A. x e. X ( u G x ) = x ) $=
      ( vw vz vy cgr wcel cv co wceq wral wi wa wrex wreu grpidinv simpll
      r19.20si opreq2 id eqeq12d cbvralv sylib adantl ad2antlr eqeq1d opreq1
      anbi12d rexbidv rcla4va adantll pm3.27 sylan2 grpidinvlem4 syldan an1rs
      adantllr adantr ad2ant2rl ad2ant2lr 3eqtr3d ex mpand r19.21aiva jca
      r19.22dva mpd ralbidv reu8 sylibr ) CIJZBKZAKZCLZVPMZADNZFKZVPCLZVPMZADNZ
      VOVTMZOZFDNZPZBDQZVSBDRVNVOGKZCLZWIMZWIVOCLWIMZPZHKZWICLZVOMZWIWNCLZVOMZP
      ZHDQZPZGDNZBDQWHGHBCDESVNXBWGBDVNVODJZPZXBWGXDXBPZVSWFXBVSXDXBWKGDNVSXAWK
      GDWKWLWTTUAWKVRGADWIVPMZWJVQWIVPWIVPVOCUBXFUCUDUEUFZUGXEWEFDXEVTDJZPZVSWC
      WDXBVSXDXHXGUHXIVSWCPZWDXIXJPVTVOCLZVOVTCLZVOVTXIXKXLMZXJVNXBXHXMXCVNXHXB
      XMVNXHPZXBWNVTCLZVOMZVTWNCLZVOMZPZHDQZXMXNWTGDNZXTXBXHYAXTVNWTXTGVTDWIVTM
      ZWSXSHDYBWPXPWRXRYBWOXOVOWIVTWNCUBUIYBWQXQVOWIVTWNCUJUIUKULUMUNXAWTGDWMWT
      UOUAUPHVTVOCDEUQURUSUTVAXDXHXJXKVOMZXBXDWCYCXHVSXCWCYCVNWBYCAVODVPVOMZWAX
      KVPVOVPVOVTCUBYDUCUDUMUNVBUTXHVSXLVTMZXEWCVRYEAVTDVPVTMZVQXLVPVTVPVTVOCUB
      YFUCUDUMVCVDVEVFVGVHVEVIVJVSWCBFDWDVRWBADWDVQWAVPVOVTVPCUJUIVKVLVM $.
      $( [25-Oct-2006] $) $( [14-Oct-2006] $)
  $}

  $( A group's range in terms of its domain. $)
  grprndm $p |- ( G e. Grp -> ran G = dom dom G ) $=
    ( cgr wcel crn cxp wfo cdm wceq eqid grpfo wf fof fdm syl dmeqd dmxpid
    syl6req ) ABCADZREZRAFZRAGZGZHARRIJTUBSGRTUASTSRAKUASHSRALSRAMNORPQN $.
    $( [1-May-2008] $) $( [6-Apr-2008] $)

  $( The empty set is not a group. $)
  0ngrp $p |- -. (/) e. Grp $=
    ( c0 cgr wcel wne wn wceq eqid nne mpbir crn rn0 eqcomi grpn0 mto ) ABCAADZ
    OEAAFAGAAHIAAAJAKLMN $.
    $( [25-Apr-2007] $) $( [25-Apr-2007] $)

  ${
    grprn.1 $e |- G e. Grp $.
    grprn.2 $e |- dom G = ( X X. X ) $.
    $( The range of a group operation.  Useful for satisfying group base set
       hypotheses of the form ` X = ran G ` . $)
    grprn $p |- X = ran G $=
      ( cxp wfn crn wceq wfun cdm df-fn wfo cgr wcel eqid grpfo ax-mp fofun
      mpbir2an wf fof ffn wa fndmu xpid11 sylib mp2an ) ABBEZFZAAGZUJEZFZBUJHZU
      IAIZAJUHHAUHKUKUJALZUNAMNUOCAUJUJOPQZUKUJARQDSUKUJATZULUOUQUPUKUJAUAQUKUJ
      AUBQUIULUCUHUKHUMUHUKAUDBUJUEUFUG $.
      $( [30-Mar-2008] $) $( [5-Nov-2006] $)
  $}

  ${
    grprnOLD.1 $e |- G e. Grp $.
    grprnOLD.2 $e |- G : ( X X. X ) --> X $.
    $( The range of a group operation.  Useful for satisfying ` X = ran G `
       hypothesis for specific groups. $)
    grprnOLD $p |- X = ran G $=
      ( cxp fdmi grprn ) ABCBBEBADFG $.
      $( [6-Nov-2006] $) $( [5-Nov-2006] $)
  $}

  ${
    $d x y A $.  $d g u x y G $.  $d u x y U $.  $d g u x y X $.
    grpidval.1 $e |- X = ran G $.
    grpidval.2 $e |- U = ( Id ` G ) $.
    $( The value of the identity element of a group. $)
    grpidval $p |- ( G e. Grp ->
                   U = U. { u e. X | A. x e. X ( u G x ) = x } ) $=
      ( vg vy cgr wcel cgi cfv cv co wceq wral crab cuni cvv crn rnexg
      syl5eqel rabexg uniexg 3syl rneq syl6eqr rabeq syl opreq eqeq1d raleq12d
      rabbisdv eqtrd unieqd df-gid fvopab4g mpdan syl5eq ) DJKZDLMZBNZANZDOZVDP
      ZAEQZBERZSZCVAVITKZVBVIPVAETKVHTKVJVADUAZTEDJUBFUCVGBETUDVHTUEUFHIDVCVDHN
      ZOZVDPZAVLUAZQZBVORZSVIJTLVLDPZVQVHVRVQVPBERZVHVRVOEPVQVSPVRVOVKEVLDUGFUH
      ZVPBVOEUIUJVRVPVGBEVRVNVFAVOEVTVRVMVEVDVCVDVLDUKULUMUNUOUPAIBHUQURUSGUT
      $.
      $( [26-Oct-2006] $) $( [24-Oct-2006] $)

    $( The identity element of a group belongs to the group. $)
    grpidcl $p |- ( G e. Grp -> U e. X ) $=
      ( vu vx cgr wcel cv co wceq wral crab cuni grpidval wreu grpideu reucl
      syl eqeltrd ) BHIZAFJGJZBKUCLGCMZFCNOZCGFABCDEPUBUDFCQUECIGFBCDRUDFCSTUA
      $.
      $( [26-Oct-2006] $) $( [24-Oct-2006] $)

    $( A group's properties using the explicit identity element. $)
    grpidinv2 $p |- ( ( G e. Grp /\ A e. X ) -> ( ( ( U G A ) = A /\
         ( A G U ) = A ) /\ E. y e. X ( ( y G A ) = U /\ ( A G y ) = U ) ) ) $=
      ( vx vu cv co wceq wa wrex wral wcel cgr opreq2 id eqeq12d opreq1
      anbi12d eqeq1d rexbidv rcla4cva crab cuni wreu wss wi ssid simpll
      r19.20si a1i rgen reuuniss2 mpanl12 grpidinv grpideu sylanc grpidval
      eqtr4d wb eqeq2 ralbidv reuuni2 grpidcl reuss2 mpbird sylan ) CHJZDKZVKLZ
      VKCDKZVKLZMZAJZVKDKZCLZVKVQDKZCLZMZAENZMZHEOZBEPCBDKZBLZBCDKZBLZMZVQBDKZC
      LZBVQDKZCLZMZAENZMZDQPZWDWQHBEVKBLZVPWJWCWPWSVMWGVOWIWSVLWFVKBVKBCDRWSSZT
      WSVNWHVKBVKBCDUAWTTUBWSWBWOAEWSVSWLWAWNWSVRWKCVKBVQDRUCWSVTWMCVKBVQDUAUCU
      BUDUBUEWRWEIJZVKDKZVKLZVKXADKZVKLZMZVRXALZVTXALZMZAENZMZHEOZIEUFUGZCLZWRX
      MXCHEOZIEUFUGZCXLIENZXOIEUHZXMXPLZWREEUIZXLXOUJZIEOZXQXRMZXSEUKZYAIEYAXAE
      PXKXCHEXCXEXJULUMUNUOZXLXOIEEUPUQHAIDEFURZHIDEFUSZUTHICDEFGVAVBCEPXLIEUHZ
      WEXNVCWRXLWEIECXACLZXKWDHEYIXFVPXJWCYIXCVMXEVOYIXBVLVKXACVKDUAUCYIXDVNVKX
      ACVKDRUCUBYIXIWBAEYIXGVSXHWAXACVRVDXACVTVDUBUDUBVEVFCDEFGVGXQXRYHWRXTYBYC
      YHYDYEXLXOIEEVHUQYFYGUTUTVIVJ $.
      $( [27-Oct-2006] $) $( [24-Oct-2006] $)

    $( The identity element of a group is a left identity. $)
    grplid $p |- ( ( G e. Grp /\ A e. X ) -> ( U G A ) = A ) $=
      ( vy cgr wcel wa co wceq cv wrex grpidinv2 simpll syl ) CHIADIJBACKALZABC
      KALZJGMZACKBLATCKBLJGDNZJRGABCDEFORSUAPQ $.
      $( [28-Oct-2006] $) $( [24-Oct-2006] $)

    $( The identity element of a group is a right identity. $)
    grprid $p |- ( ( G e. Grp /\ A e. X ) -> ( A G U ) = A ) $=
      ( vy cgr wcel wa co wceq cv wrex grpidinv2 simplr syl ) CHIADIJBACKALZABC
      KALZJGMZACKBLATCKBLJGDNZJSGABCDEFORSUAPQ $.
      $( [27-Oct-2006] $) $( [24-Oct-2006] $)
  $}

  ${
    $d x y z G $.  $d x y z X $.
    $d y A $.  $d y B $.  $d y C $.  $d y G $.  $d y X $.
    grprcan.1 $e |- X = ran G $.
    $( Right cancellation law for groups. $)
    grprcan $p |- ( ( G e. Grp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( A G C ) = ( B G C ) <-> A = B ) ) $=
      ( vy cgr wcel co wceq wb wa cv cgi cfv wrex wi eqid grpidinv2 pm3.27
      r19.22si adantl syl ad2ant2rl opreq1 ad2antll grpass 3exp2 imp41
      adantlrl adantrr imp42 adantllr 3eqtr3d adantrrl opreq2 ad2antrl grprid
      ad2antrr ad2ant2r adantr exp45 r19.23adv mpd impbid1 exp43 3imp2 ) DHIZAE
      IZBEIZCEIZACDJZBCDJZKZABKZLZVIVJVKVLVQVIVJMZVKVLMZMZVOVPVTCGNZDJZDOPZKZGE
      QZVOVPRZVIVLWEVJVKVIVLMWCCDJCKCWCDJCKMZWACDJWCKZWDMZGEQZMWEGCWCDEFWCSZTWJ
      WEWGWIWDGEWHWDUAUBUCUDUEVTWDWFGEVTWAEIZWDVOVPVTWLWDVOMMZMZAWCDJZBWCDJZABW
      NAWBDJZBWBDJZWOWPVTWLVOWQWRKWDVTWLVOMMVMWADJZVNWADJZWQWRVOWSWTKVTWLVMVNWA
      DUFUGVTWLWSWQKZVOVRVLWLXAVKVIVJVLWLXAVIVJVLWLXAACWADEFUHUIUJUKULVTWLWTWRK
      ZVOVIVSWLXBVJVIVKVLWLXBVIVKVLWLXBBCWADEFUHUIUMUNULUOUPWMWQWOKZVTWDXCWLVOW
      BWCADUQURUCWMWRWPKZVTWDXDWLVOWBWCBDUQURUCUOVRWOAKVSWMAWCDEFWKUSUTVTWPBKZW
      MVIVKXEVJVLBWCDEFWKUSVAVBUOVCVDVEABCDUFVFVGVH $.
      $( [28-Oct-2006] $) $( [26-Oct-2006] $)
  $}

  ${
    $d y z A $.  $d y z G $.  $d y z U $.  $d y z X $.
    grpinveu.1 $e |- X = ran G $.
    grpinveu.2 $e |- U = ( Id ` G ) $.
    $( The left inverse element of a group is unique.  Lemma 2.2.1(b) of
       [Herstein] p. 55. $)
    grpinveu $p |- ( ( G e. Grp /\ A e. X ) -> E! y e. X ( y G A ) = U ) $=
      ( vz cgr wcel wa cv co wceq wi wral wrex wreu grpidinv2 pm3.26 r19.22si
      adantl syl w3a grprcan eqtr3t syl5bi 3exp2 com24 imp41 an1rs exp3a
      r19.21adva ancld r19.22dva mpd opreq1 eqeq1d reu8 sylibr ) DIJZBEJZKZALZB
      DMZCNZHLZBDMZCNZVDVGNZOZHEPZKZAEQZVFAERVCVFAEQZVNVCCBDMBNBCDMBNKZVFBVDDMC
      NZKZAEQZKVOABCDEFGSVSVOVPVRVFAEVFVQTUAUBUCVCVFVMAEVCVDEJZKZVFVLWAVFVKHEWA
      VGEJZKVFVIVJVCWBVTVFVIKZVJOZVAVBWBVTWDVAVTWBVBWDVAVTWBVBWDVAVTWBVBUDKVEVH
      NVJWCVDVGBDEFUEVEVHCUFUGUHUIUJUKULUMUNUOUPVFVIAHEVJVEVHCVDVGBDUQURUSUT $.
      $( [29-Oct-2006] $) $( [27-Oct-2006] $)

    $( Two ways of saying that an element of a group is the identity element.
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    grpid $p |- ( ( G e. Grp /\ A e. X ) ->
                  ( A = U <-> ( A G A ) = A ) ) $=
      ( cgr wcel wa co wceq wb wi grpidcl grprcan 3exp2 mpid pm2.43d imp
      grplid eqeq2d bitr3d ) CGHZADHZIZAACJZBACJZKZABKZUFAKUCUDUHUILZUCUDUJUCUD
      BDHZUDUJMBCDEFNUCUDUKUDUJABACDEOPQRSUEUGAUFABCDEFTUAUB $.
      $( [26-Feb-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d n x y A $.  $d y B $.  $d y C $.  $d f g n x y G $.  $d f g n x y X $.
    $d f g n x U $.
    grpinvfval.1 $e |- X = ran G $.
    grpinvfval.2 $e |- U = ( Id ` G ) $.
    grpinvfval.3 $e |- N = ( inv ` G ) $.
    $( The inverse function of a group. $)
    grpinvfval $p |- ( G e. Grp -> N = { <. x , n >. | ( x e. X /\
                     n = U. { y e. X | ( y G x ) = U } ) } ) $=
      ( vg vf cgr wcel cgn cfv cv co wceq crab cuni wa copab cvv crn rnexg
      syl5eqel opabex2g syl cgi rneq syl6eqr eleq2d rabeq opreq fveq2 eqeq12d
      rabbisdv eqtrd unieqd eqeq2d anbi12d opabbidv df-ginv fvopab4g mpdan
      syl5eq ) EMNZEOPZAQZGNZDQZBQZVJERZCSZBGTZUAZSZUBZADUCZFVHVTUDNZVIVTSVHGUD
      NWAVHEUEZUDGEMUFHUGADGVQUDUHUIKLEVJKQZUEZNZVLVMVJWCRZWCUJPZSZBWDTZUAZSZUB
      ZADUCVTMUDOWCESZWLVSADWMWEVKWKVRWMWDGVJWMWDWBGWCEUKHULZUMWMWJVQVLWMWIVPWM
      WIWHBGTZVPWMWDGSWIWOSWNWHBWDGUNUIWMWHVOBGWMWFVNWGCVMVJWCEUOWMWGEUJPCWCEUJ
      UPIULUQURUSUTVAVBVCADBLKVDVEVFJVG $.
      $( [30-Oct-2006] $) $( [26-Oct-2006] $)

    $( The inverse of a group element. $)
    grpinvval $p |- ( ( G e. Grp /\ A e. X ) ->
                    ( N ` A ) = U. { y e. X | ( y G A ) = U } ) $=
      ( vx vn cgr wcel wa cfv cv co wceq crab cuni copab grpinvfval fveq1d
      adantr cvv opreq2 eqeq1d rabbisdv unieqd eqid fvopab4g pm3.27 crn rnexg
      syl5eqel rabexg uniexg 3syl sylanc eqtrd ) DLMZBFMZNZBEOZBJPZFMKPAPZVEDQZ
      CRZAFSZTZRNJKUAZOZVFBDQZCRZAFSZTZVAVDVLRVBVABEVKJACKDEFGHIUBUCUDVBVPUEMZV
      LVPRVCJKBVJVPFUEVKVEBRZVIVOVRVHVNAFVRVGVMCVEBVFDUFUGUHUIVKUJUKVAVBULVAVQV
      BVAFUEMVOUEMVQVADUMUEFDLUNGUOVNAFUEUPVOUEUQURUDUSUT $.
      $( [30-Oct-2006] $) $( [26-Oct-2006] $)
  $}

  ${
    $d y A $.  $d y G $.  $d y X $.
    grpinvcl.1 $e |- X = ran G $.
    grpinvcl.2 $e |- N = ( inv ` G ) $.
    $( A group element's inverse is a group element. $)
    grpinvcl $p |- ( ( G e. Grp /\ A e. X ) -> ( N ` A ) e. X ) $=
      ( vy cgr wcel wa cfv cv co cgi wceq crab cuni eqid grpinvval wreu
      grpinveu reucl syl eqeltrd ) BHIADIJZACKGLABMBNKZOZGDPQZDGAUFBCDEUFRZFSUE
      UGGDTUHDIGAUFBDEUIUAUGGDUBUCUD $.
      $( [31-Oct-2006] $) $( [27-Oct-2006] $)
  $}

  ${
    $d y A $.  $d y G $.  $d y N $.  $d y U $.  $d y X $.
    grpinv.1 $e |- X = ran G $.
    grpinv.2 $e |- U = ( Id ` G ) $.
    grpinv.3 $e |- N = ( inv ` G ) $.
    $( The properties of a group element's inverse. $)
    grpinv $p |- ( ( G e. Grp /\ A e. X ) ->
                 ( ( ( N ` A ) G A ) = U /\ ( A G ( N ` A ) ) = U ) ) $=
      ( vy cgr wcel wa cfv co wceq cv crab cuni wrex wreu wss wi wral ssid
      pm3.26 a1i rgen reuuniss2 mpanl12 grpidinv2 pm3.27d grpinveu sylanc
      grpinvval eqtr4d wb opreq1 eqeq1d opreq2 anbi12d reuuni2 grpinvcl reuss2
      mpbird ) CJKAEKLZADMZACNZBOZAVFCNZBOZLZIPZACNZBOZAVLCNZBOZLZIEQRZVFOZVEVR
      VNIEQRZVFVQIESZVNIETZVRVTOZVEEEUAZVQVNUBZIEUCZWAWBLZWCEUDZWEIEWEVLEKVNVPU
      EUFUGZVQVNIEEUHUIVEBACNAOABCNAOLWAIABCEFGUJUKZIABCEFGULZUMIABCDEFGHUNUOVF
      EKVQIETZVKVSUPVEVQVKIEVFVLVFOZVNVHVPVJWMVMVGBVLVFACUQURWMVOVIBVLVFACUSURU
      TVAACDEFHVBWAWBWLVEWDWFWGWLWHWIVQVNIEEVCUIWJWKUMUMVD $.
      $( [1-Nov-2006] $) $( [27-Oct-2006] $)

    $( The left inverse of a group element. $)
    grplinv $p |- ( ( G e. Grp /\ A e. X ) -> ( ( N ` A ) G A ) = U ) $=
      ( cgr wcel wa cfv co wceq grpinv pm3.26d ) CIJAEJKADLZACMBNAQCMBNABCDEFGH
      OP $.
      $( [4-Nov-2006] $) $( [27-Oct-2006] $)

    $( The right inverse of a group element. $)
    grprinv $p |- ( ( G e. Grp /\ A e. X ) -> ( A G ( N ` A ) ) = U ) $=
      ( cgr wcel wa cfv co wceq grpinv pm3.27d ) CIJAEJKADLZACMBNAQCMBNABCDEFGH
      OP $.
      $( [6-Nov-2006] $) $( [27-Oct-2006] $)

    $( The inverse of a group element expressed in terms of the identity
       element. $)
    grpinvid1 $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
                    ( ( N ` A ) = B <-> ( A G B ) = U ) ) $=
      ( cgr wcel w3a cfv wceq co wa opreq2 adantl grprinv 3adant3 adantr
      eqtr3d grplinv opreq1d grpinvcl adantrr simprl simprr 3jca grpass syldan
      3impb grplid 3adant2 3eqtr3d grprid 3eqtr3rd impbida ) DJKZAFKZBFKZLZAEMZ
      BNZABDOZCNZVBVDPAVCDOZVECVDVGVENVBVCBADQRVBVGCNZVDUSUTVHVAACDEFGHISTUAUBV
      BVFPVCVEDOZVCCDOZBVCVFVIVJNVBVECVCDQRVBVIBNVFVBVCADOZBDOZCBDOZVIBUSUTVLVM
      NVAUSUTPVKCBDACDEFGHIUCUDTUSUTVAVLVINZUSUTVAPZVCFKZUTVALVNUSVOPVPUTVAUSUT
      VPVAADEFGIUEZUFUSUTVAUGUSUTVAUHUIVCABDFGUJUKULUSVAVMBNUTBCDFGHUMUNUOUAVBV
      JVCNZVFUSUTVRVAUSUTVPVRVQVCCDFGHUPUKTUAUQUR $.
      $( [10-Nov-2006] $) $( [27-Oct-2006] $)

    $( The inverse of a group element expressed in terms of the identity
       element. $)
    grpinvid2 $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
                    ( ( N ` A ) = B <-> ( B G A ) = U ) ) $=
      ( cgr wcel w3a cfv wceq co wa opreq1 adantl grplinv 3adant3 adantr
      eqtr3d grpinvcl grplid syldan eqcomd simprr simprl adantrr 3jca grpass
      3impb grprinv opreq2d grprid 3adant2 3eqtrd 3eqtr2d impbida ) DJKZAFKZBFK
      ZLZAEMZBNZBADOZCNZVCVEPVDADOZVFCVEVHVFNVCVDBADQRVCVHCNZVEUTVAVIVBACDEFGHI
      STUAUBVCVGPVDCVDDOZVFVDDOZBVCVDVJNVGVCVJVDUTVAVJVDNZVBUTVAVDFKZVLADEFGIUC
      ZVDCDFGHUDUETUFUAVGVKVJNVCVFCVDDQRVCVKBNVGVCVKBAVDDOZDOZBCDOZBUTVAVBVKVPN
      ZUTVAVBPZVBVAVMLVRUTVSPVBVAVMUTVAVBUGUTVAVBUHUTVAVMVBVNUIUJBAVDDFGUKUEULU
      TVAVPVQNVBUTVAPVOCBDACDEFGHIUMUNTUTVBVQBNVABCDFGHUOUPUQUAURUS $.
      $( [23-Nov-2006] $) $( [27-Oct-2006] $)
  $}

  ${
    grpinvid.1 $e |- U = ( Id ` G ) $.
    grpinvid.2 $e |- N = ( inv ` G ) $.
    $( The inverse of the identity element of a group. $)
    grpinvid $p |- ( G e. Grp -> ( N ` U ) = U ) $=
      ( cgr wcel cfv wceq co crn eqid grpidcl grplid mpdan wb grpinvid1
      mpd3an23 mpbird ) BFGZACHAIZAABJAIZTABKZGZUBABUCUCLZDMZAABUCUEDNOTUDUDUAU
      BPUFUFAAABCUCUEDEQRS $.
      $( [28-Feb-2008] $) $( [4-Dec-2006] $)
  $}

  ${
    grplcan.1 $e |- X = ran G $.
    $( Left cancellation law for groups. $)
    grplcan $p |- ( ( G e. Grp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( C G A ) = ( C G B ) <-> A = B ) ) $=
      ( cgr wcel w3a wa co wceq wi cgn cfv opreq2 adantl cgi eqid grplinv
      adantlr opreq1d grpinvcl adantrl simprr simprl 3jca grpass syldan
      anassrs grplid adantr 3eqtr3d adantrr ex exp43 3imp2 impbid1 ) DGHZAEHZBE
      HZCEHZIJCADKZCBDKZLZABLZUSUTVAVBVEVFMZUSUTVAVBVGUSUTJZVAVBJZJZVEVFVJVEJCD
      NOZOZVCDKZVLVDDKZABVEVMVNLVJVCVDVLDPQVJVMALZVEVHVBVOVAVHVBJZVLCDKZADKZDRO
      ZADKZVMAVPVQVSADUSVBVQVSLZUTCVSDVKEFVSSZVKSZTZUAUBUSUTVBVRVMLZUSUTVBJZVLE
      HZVBUTIWEUSWFJWGVBUTUSVBWGUTCDVKEFWCUCZUDUSUTVBUEUSUTVBUFUGVLCADEFUHUIUJV
      HVTALVBAVSDEFWBUKULUMUDULVJVNBLZVEUSVIWIUTUSVIJZVQBDKZVSBDKZVNBWJVQVSBDUS
      VBWAVAWDUDUBUSVIWGVBVAIWKVNLWJWGVBVAUSVBWGVAWHUDUSVAVBUEUSVAVBUFUGVLCBDEF
      UHUIUSVAWLBLVBBVSDEFWBUKUNUMUAULUMUOUPUQABCDPUR $.
      $( [11-Nov-2006] $) $( [27-Oct-2006] $)
  $}

  ${
    $d u v w x y z G $.  $d u v w x y z X $.
    isgrp2i.1 $e |- X e. V $.
    isgrp2i.2 $e |- X =/= (/) $.
    isgrp2i.3 $e |- G : ( X X. X ) --> X $.
    isgrp2i.4 $e |- ( ( x e. X /\ y e. X /\ z e. X ) ->
                    ( ( x G y ) G z ) = ( x G ( y G z ) ) ) $.
    isgrp2i.5 $e |- ( ( x e. X /\ y e. X ) -> E. z e. X ( z G x ) = y ) $.
    isgrp2i.6 $e |- ( ( x e. X /\ y e. X ) -> E. z e. X ( x G z ) = y ) $.
    $( An alternate way to show a group operation.  Exercise 1 of [Herstein]
       p. 57. $)
    isgrp2i $p |- G e. Grp $=
      ( vu vw vv cgr wcel cxp wf cv co wceq wral wrex wa w3a rgen3 wex c0 wne
      ne0 mpbi wi eleq1 anbi1d opreq2 eqeq1d rexbidv imbi12d anbi2d eqeq2
      chvarv anidms opreq1 cbvrexv sylib vtocl2ga adantlr adantr 3anbi1d
      opreq1d eqeq12d 3anbi2d opreq2d 3anbi3d 3com12 3expa ad2antlr eqtr3d
      adantl pm3.27 3eqtr3d exp31 r19.23adv mpd ancoms adantll jca com23
      r19.21adv r19.22dva 19.23aiv ax-mp 3pm3.2i cvv wb xpex fex mp2an crn wfo
      fooprval eqcom rexbii r19.21aiva r19.2z mpan syl rgen mpbir2an forn
      eqcomi isgrp mpbir ) DOPZEEQZEDRZASZBSZDTZCSZDTZXQXRXTDTZDTZUAZCEUBBEUBAE
      UBZLSZXQDTZXQUAZXRXQDTZYFUAZBEUCZUDZAEUBZLEUCZUEZXPYEYNHYDABCEEEIUFMSZEPZ
      MUGZYNEUHUIZYRGMEUJUKYQYNMYQYFYPDTZYPUAZLEUCZYNYQXTYPDTZYPUAZCEUCZUUBYQUU
      EXQEPZYQUDZXTXQDTZYPUAZCEUCZULZYQYQUDZUUEULAMXQYPUAZUUGUULUUJUUEUUMUUFYQY
      QXQYPEUMUNUUMUUIUUDCEUUMUUHUUCYPXQYPXTDUOUPUQURUUFXREPZUDZUUHXRUAZCEUCZUL
      ZUUKBMXRYPUAZUUOUUGUUQUUJUUSUUNYQUUFXRYPEUMZUSUUSUUPUUICEXRYPUUHUTUQURJVA
      VAVBUUDUUACLEXTYFUAUUCYTYPXTYFYPDVCUPVDVEYQUUAYMLEYQYFEPZUDZUUAYLAEUVBUUF
      UUAYLUVBUUFUUAYLUVBUUFUDZUUAUDZYHYKUVDYPNSZDTZXQUAZNEUCZYHUVCUVHUUAYQUUFU
      VHUVAYQUUFUDYPXTDTZXQUAZCEUCZUVHXQXTDTZXRUAZCEUCZUVIXRUAZCEUCUVKABYPXQEEU
      UMUVMUVOCEUUMUVLUVIXRXQYPXTDVCUPUQXRXQUAUVOUVJCEXRXQUVIUTUQKVFUVJUVGCNEXT
      UVEUAZUVIUVFXQXTUVEYPDUOUPVDVEVGVHUVBUUAUVHYHULUUFUVBUUAUDZUVGYHNEUVQUVEE
      PZUVGYHUVQUVRUDZUVGUDYFUVFDTZUVFYGXQUVSUVTUVFUAUVGUVSYTUVEDTZUVTUVFUVBUVR
      UWAUVTUAZUUAYQUVAUVRUWBUVAYQUVRUWBUUFYQUVRUEZXQYPDTZUVEDTZXQUVFDTZUAZULZU
      VAYQUVRUEZUWBULALXQYFUAZUWCUWIUWGUWBUWJUUFUVAYQUVRXQYFEUMVIUWJUWEUWAUWFUV
      TUWJUWDYTUVEDXQYFYPDVCVJXQYFUVFDVCVKURUUFUUNUVRUEZXSUVEDTZXQXRUVEDTZDTZUA
      ZULZUWHBMUUSUWKUWCUWOUWGUUSUUNYQUUFUVRUUTVLUUSUWLUWEUWNUWFUUSXSUWDUVEDXRY
      PXQDUOVJUUSUWMUVFXQDXRYPUVEDVCVMVKURUUFUUNXTEPZUEZYDULUWPCNUVPUWRUWKYDUWO
      UVPUWQUVRUUFUUNXTUVEEUMVNUVPYAUWLYCUWNXTUVEXSDUOUVPYBUWMXQDXTUVEXRDUOVMVK
      URIVAVAVAVOVPVGUUAUWAUVFUAUVBUVRYTYPUVEDVCVQVRVHUVGUVTYGUAUVSUVFXQYFDUOVS
      UVSUVGVTWAWBWCVGWDUVCYKUUAUVAUUFYKYQUUFUVAYKUUFUVAUDZUUHYFUAZCEUCZYKUURUW
      SUXAULBLXRYFUAZUUOUWSUUQUXAUXBUUNUVAUUFXRYFEUMUSUXBUUPUWTCEXRYFUUHUTUQURJ
      VAUWTYJCBEXTXRUAUUHYIYFXTXRXQDVCUPVDVEWEWFVHWGWBWHWIWJWDWKWLWMDWNPZXNYOWO
      XPXOWNPUXCHEEFFWPXOEWNDWQWRABCLWNDEDWSZEXOEDWTZUXDEUAUXEXPXRUVLUAZCEUCZAE
      UCZBEUBACBEEEDXAHUXHBEUUNUXGAEUBZUXHUUNUXGAEUUNUUFUDUVNUXGUUFUUNUVNKWEUVM
      UXFCEUVLXRXBXCVEXDYSUXIUXHGUXGAEXEXFXGXHXIXOEDXJWLXKXLWLXM $.
      $( [5-Mar-2007] $) $( [5-Dec-2006] $)
  $}

  ${
    $d x y z G $.  $d x y N $.  $d x y z X $.
    grpasscan1.1 $e |- X = ran G $.
    grpasscan1.2 $e |- N = ( inv ` G ) $.
    $( An associative cancellation law for groups.  (Contributed by Paul
       Chapman, 25-Feb-2008.) $)
    grpasscan1 $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
                          ( A G ( ( N ` A ) G B ) ) = B ) $=
      ( cgr wcel w3a cfv co cgi wceq eqid grprinv 3adant3 opreq1d wa wi
      grpinvcl grpass 3exp2 imp mpd 3impia grplid 3adant2 3eqtr3d ) CHIZAEIZBEI
      ZJZAADKZCLZBCLZCMKZBCLZAUNBCLCLZBUMUOUQBCUJUKUOUQNULAUQCDEFUQOZGPQRUJUKUL
      UPUSNZUJUKSUNEIZULVATZACDEFGUAUJUKVBVCTUJUKVBULVAAUNBCEFUBUCUDUEUFUJULURB
      NUKBUQCEFUTUGUHUI $.
      $( [21-Apr-2008] $) $( [25-Feb-2008] $)

    $( Double inverse law for groups.  Lemma 2.2.1(c) of [Herstein] p. 55. $)
    grp2inv $p |- ( ( G e. Grp /\ A e. X ) -> ( N ` ( N ` A ) ) = A ) $=
      ( cgr wcel wa cfv co wceq cgi grpinvcl eqid grprinv syldan grplinv
      eqtr4d w3a wb pm3.27 3jca grplcan mpbid ) BGHZADHZIZACJZUICJZBKZUIABKZLZU
      JALZUHUKBMJZULUFUGUIDHZUKUOLABCDEFNZUIUOBCDEUOOZFPQAUOBCDEURFRSUFUGUJDHZU
      GUPTUMUNUAUHUSUGUPUFUGUPUSUQUIBCDEFNQUFUGUBUQUCUJAUIBDEUDQUE $.
      $( [24-Nov-2006] $) $( [27-Oct-2006] $)

    $( Mapping of the inverse function of a group. $)
    grpinvf $p |- ( G e. Grp -> N : X -1-1-onto-> X ) $=
      ( vx vy vz cgr wcel wfn crn wceq cv cfv wi wral w3a wf1o co cgi crab
      cuni wa copab cvv rnexg syl5eqel rabexg syl uniexg adantr r19.21aiva
      eqid fnopab2g sylib wb grpinvfval fneq1 mpbird wrex cab fnrnfv fveq2
      eqeq2d rcla4ev grpinvcl grp2inv eqcomd sylanc ex pm3.27 eqeltrd exp31
      r19.23adv impbid abbi2dv eqtr4d eqeqan12d anandis syl5bi r19.21aivv 3jca
      f1ofv sylibr ) AIJZBCKZBLZCMZFNZBOZGNZBOZMZWJWLMZPZGCQFCQZRCCBSWFWGWIWQWF
      WGWJCJZWLHNWJATAUAOZMZHCUBZUCZMUDFGUEZCKZWFXBUFJZFCQXDWFXEFCWFXEWRWFXAUFJ
      ZXEWFCUFJXFWFALUFCAIUGDUHWTHCUFUIUJXAUFUKUJULUMFGCXBXCXCUNUOUPWFBXCMWGXDU
      QFHWSGABCDWSUNEURCBXCUSUJUTZWFWHWLWKMZFCVAZGVBZCWFWGWHXJMXGFGCBVCUJWFXIGC
      WFWLCJZXIWFXKXIWMCJWLWMBOZMZXIWFXKUDZXHXMFWMCWJWMMWKXLWLWJWMBVDVEVFWLABCD
      EVGXNXLWLWLABCDEVHZVIVJVKWFXHXKFCWFWRXHXKWFWRUDZXHUDWLWKCXPXHVLXPWKCJXHWJ
      ABCDEVGULVMVNVOVPVQVRWFWPFGCCWFWRXKUDZWPWFXQUDWKBOZXLMZWOWNWFWRXKXSWOUQXP
      XNXRWJXLWLWJABCDEVHXOVSVTWKWMBVDWAVKWBWCFGCCBWDWE $.
      $( [29-Mar-2008] $) $( [29-Mar-2008] $)

    $( The inverse of the group operation reverses the arguments.  Lemma
       2.2.1(d) of [Herstein] p. 55. $)
    grpinvop $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
                   ( N ` ( A G B ) ) = ( ( N ` B ) G ( N ` A ) ) ) $=
      ( cgr wcel w3a co cfv wceq cgi grpass 3simp1 3simp2 3simp3 grpcl
      grpinvcl 3adant2 3adant3 syl3anc 3jca sylanc eqid grprinv opreq1d grplid
      syldan 3eqtr3d opreq2d 3eqtrd wb grpinvid1 mpbird ) CHIZAEIZBEIZJZABCKZDL
      BDLZADLZCKZMZVAVDCKZCNLZMZUTVFABVDCKZCKZAVCCKZVGUQURUSVDEIZJVFVJMUTABVDCE
      FOUQURUSPZUTURUSVLUQURUSQUQURUSRZUQVBEIZVCEIZVLUTVBVCCEFSVMUQUSVOURBCDEFG
      TUAZUQURVPUSACDEFGTZUBZUCZUDUEUTVIVCACUTBVBCKZVCCKZVGVCCKZVIVCUTWAVGVCCUQ
      USWAVGMURBVGCDEFVGUFZGUGUAUHUQUSVOVPJWBVIMUTBVBVCCEFOVMUTUSVOVPVNVQVSUDUE
      UQURWCVCMZUSUQURVPWEVRVCVGCEFWDUIUJUBUKULUQURVKVGMUSAVGCDEFWDGUGUBUMUQVAE
      IVLVEVHUNUTVAVDVGCDEFWDGUOVMABCEFSVTUCUP $.
      $( [24-Nov-2006] $) $( [27-Oct-2006] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d f g x y z G $.  $d f g x y z N $.
    $d f g x y z X $.
    grpdiv.1 $e |- X = ran G $.
    grpdiv.2 $e |- N = ( inv ` G ) $.
    grpdiv.3 $e |- D = ( /g ` G ) $.
    $( Group division (or subtraction) operation. $)
    grpdivfval $p |- ( G e. Grp -> D = { <. <. x , y >. , z >. |
          ( ( x e. X /\ y e. X ) /\ z = ( x G ( N ` y ) ) ) } ) $=
      ( vg vf cgr wcel cgs cfv cv wa co wceq copab2 cvv eqid oprabex2g crn
      rnexg syl5eqel sylanc cgn rneq syl6eqr eleq2d anbi12d opreq fveq2 fveq1d
      opreq2d eqtrd eqeq2d oprabbidv df-gdiv fvopab4g mpdan syl5eq ) EMNZEOPZAQ
      ZGNZBQZGNZRZCQZVGVIFPZESZTZRZABCUAZDVEVQUBNZVFVQTGUBNZVSVRVEABCGGVNUBUBVQ
      VQUCUDVEEUEZUBGEMUFHUGZWAUHKLEVGKQZUEZNZVIWCNZRZVLVGVIWBUIPZPZWBSZTZRZABC
      UAVQMUBOWBETZWKVPABCWLWFVKWJVOWLWDVHWEVJWLWCGVGWLWCVTGWBEUJHUKZULWLWCGVIW
      MULUMWLWIVNVLWLWIVGWHESVNVGWHWBEUNWLWHVMVGEWLVIWGFWLWGEUIPFWBEUIUOIUKUPUQ
      URUSUMUTABCLKVAVBVCJVD $.
      $( [17-Feb-2008] $) $( [15-Feb-2008] $)

    $( Group division (or subtraction) operation value. $)
    grpdivval $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
                   ( A D B ) = ( A G ( N ` B ) ) ) $=
      ( vx vy vz cgr wcel w3a co cv wa cfv wceq copab2 grpdivfval opreqd
      3ad2ant1 oprex opreq1 fveq2 opreq2d eqid oprabval2 3adant1 eqtrd ) DMNZAF
      NZBFNZOABCPZABJQZFNKQZFNRLQUQURESZDPZTRJKLUAZPZABESZDPZUMUNUPVBTUOUMCVAAB
      JKLCDEFGHIUBUCUDUNUOVBVDTUMJKLABFFUTVDVAAUSDPAVCDUEUQAUSDUFURBTUSVCADURBE
      UGUHVAUIUJUKUL $.
      $( [17-Feb-2008] $) $( [15-Feb-2008] $)

    $( Group division by an inverse. $)
    grpdivinv $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
                   ( A D ( N ` B ) ) = ( A G B ) ) $=
      ( cgr wcel w3a cfv co wceq grpdivval grpinvcl 3adant2 syld3an3 grp2inv
      opreq2d eqtrd ) DJKZAFKZBFKZLZABEMZCNZAUGEMZDNZABDNUCUDUGFKZUHUJOUEAUGCDE
      FGHIPUCUEUKUDBDEFGHQRSUFUIBADUCUEUIBOUDBDEFGHTRUAUB $.
      $( [26-Feb-2008] $) $( [15-Feb-2008] $)

    $( Inverse of a group division. $)
    grpinvdiv $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
                   ( N ` ( A D B ) ) = ( B D A ) ) $=
      ( cgr wcel w3a co cfv grpdivval fveq2d wceq grpinvop grpinvcl 3adant2
      syld3an3 grp2inv opreq1d 3com23 eqtr4d 3eqtrd ) DJKZAFKZBFKZLZABCMZENABEN
      ZDMZENZULENZAENZDMZBACMZUJUKUMEABCDEFGHIOPUGUHULFKZUNUQQUIAULDEFGHRUGUIUS
      UHBDEFGHSTUAUJUQBUPDMZURUJUOBUPDUGUIUOBQUHBDEFGHUBTUCUGUIUHURUTQBACDEFGHI
      OUDUEUF $.
      $( [26-Feb-2008] $) $( [24-Feb-2008] $)
  $}

  ${
    $d x y z G $.  $d x y z X $.
    grpdivf.1 $e |- X = ran G $.
    grpdivf.3 $e |- D = ( /g ` G ) $.
    $( Mapping for group division. $)
    grpdivf $p |- ( G e. Grp -> D : ( X X. X ) --> X ) $=
      ( vx vy vz cgr wcel cxp wf cv wa cgn cfv co wceq copab2 wral grpcl eqid
      grpinvcl 3adant2 syld3an3 3expib r19.21aivv foprab2 sylib grpdivfval
      feq1d mpbird ) BIJZCCKZCALUNCFMZCJZGMZCJZNHMUOUQBOPZPZBQZRNFGHSZLZUMVACJZ
      GCTFCTVCUMVDFGCCUMUPURVDUMUPUTCJZVDURUOUTBCDUAUMURVEUPUQBUSCDUSUBZUCUDUEU
      FUGFGHCCVACVBVBUBUHUIUMUNCAVBFGHABUSCDVFEUJUKUL $.
      $( [10-Apr-2008] $) $( [10-Apr-2008] $)

    $( Closure of group division (or subtraction) operation. $)
    grpdivcl $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) -> ( A D B ) e. X ) $=
      ( cxp wf wcel co cgr foprrn grpdivf syl3an1 ) EEHECIAEJBEJABCKEJDLJABEEEC
      MCDEFGNO $.
      $( [24-Feb-2008] $) $( [15-Feb-2008] $)

    $( Double group division. $)
    grpdivdiv $p |- ( ( G e. Grp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( A D ( B D C ) ) = ( A G ( C D B ) ) ) $=
      ( cgr wcel w3a wa co cgn cfv wceq eqid grpdivval pm3.26 3simp1 adantl
      grpdivcl 3adant3r1 syl3anc grpinvdiv opreq2d eqtrd ) EIJZAFJZBFJZCFJZKZLZ
      ABCDMZDMZAUNENOZOZEMZACBDMZEMUHUIUNFJZUOURPUMAUNDEUPFGUPQZHRUHULSULUIUHUI
      UJUKTUAUHUJUKUTUIBCDEFGHUBUCUDUMUQUSAEUHUJUKUQUSPUIBCDEUPFGVAHUEUCUFUG $.
      $( [27-Feb-2008] $) $( [24-Feb-2008] $)

    $( Associative-type law for multiplication and division. $)
    grpmuldivass $p |- ( ( G e. Grp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( ( A G B ) D C ) = ( A G ( B D C ) ) ) $=
      ( cgr wcel w3a wa co cgn cfv wceq 3simp1 adantl 3simp2 eqid grpinvcl
      3ad2antr3 3jca grpass syldan grpdivval pm3.26 grpcl 3adant3r3 3simp3
      syl3anc 3adant3r1 opreq2d 3eqtr4d ) EIJZAFJZBFJZCFJZKZLZABEMZCENOZOZEMZAB
      VCEMZEMZVACDMZABCDMZEMUOUSUPUQVCFJZKVDVFPUTUPUQVIUSUPUOUPUQURQRUSUQUOUPUQ
      URSRUOUPURVIUQCEVBFGVBTZUAUBUCABVCEFGUDUEUOVAFJZURVGVDPUTVACDEVBFGVJHUFUO
      USUGUOUPUQVKURABEFGUHUIUSURUOUPUQURUJRUKUTVHVEAEUOUQURVHVEPUPBCDEVBFGVJHU
      FULUMUN $.
      $( [24-Feb-2008] $) $( [15-Feb-2008] $)

    ${
      grpdivid.3 $e |- U = ( Id ` G ) $.
      $( Division of a group member by itself. $)
      grpdivid $p |- ( ( G e. Grp /\ A e. X ) -> ( A D A ) = U ) $=
        ( cgr wcel wa co cgn cfv wceq eqid grpdivval 3anidm23 grprinv eqtrd )
        DIJZAEJZKAABLZAADMNZNDLZCUAUBUCUEOAABDUDEFUDPZGQRACDUDEFHUFST $.
        $( [27-Feb-2008] $) $( [15-Feb-2008] $)
    $}

    $( Group theory analog of ~ pncant . $)
    grppncan $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
        ( ( A G B ) D B ) = A ) $=
      ( cgr wcel w3a co cgi cfv wceq grpmuldivass 3simp1 3simp2 3simp3 3jca
      sylanc wa eqid grpdivid opreq2d 3adant2 grprid 3adant3 3eqtrd ) DHIZAEIZB
      EIZJZABDKBCKZABBCKZDKZADLMZDKZAUIUJUKUKJUMUONULABBCDEFGOUIUJUKPULUJUKUKUI
      UJUKQUIUJUKRZURSTUIUKUOUQNUJUIUKUAUNUPADBCUPDEFGUPUBZUCUDUEUIUJUQANUKAUPD
      EFUSUFUGUH $.
      $( [27-Feb-2008] $) $( [15-Feb-2008] $)

    $( Group theory analog of ~ npcant . $)
    grpnpcan $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
        ( ( A D B ) G B ) = A ) $=
      ( cgr wcel w3a co cgn cfv eqid grpdivval opreq1d wceq grpass 3simp1
      3simp2 grpinvcl 3adant2 3simp3 3jca sylanc cgi wa grplinv opreq2d grprid
      3adant3 eqtrd 3eqtrd ) DHIZAEIZBEIZJZABCKZBDKABDLMZMZDKZBDKZAUTBDKZDKZAUQ
      URVABDABCDUSEFUSNZGOPUNUOUTEIZUPJVBVDQUQAUTBDEFRUNUOUPSUQUOVFUPUNUOUPTUNU
      PVFUOBDUSEFVEUAUBUNUOUPUCUDUEUQVDADUFMZDKZAUNUPVDVHQUOUNUPUGVCVGADBVGDUSE
      FVGNZVEUHUIUBUNUOVHAQUPAVGDEFVIUJUKULUM $.
      $( [26-Feb-2008] $) $( [15-Feb-2008] $)

    $( Group theory analog of ~ pnpcan2t . $)
    grppnpcan2 $p |- ( ( G e. Grp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( ( A G C ) D ( B G C ) ) = ( A D B ) ) $=
      ( cgr wcel w3a wa co cgn cfv wceq eqid grpdivval pm3.26 grpcl 3adant3r2
      3adant3r1 syl3anc grpinvop opreq2d cgi grprinv 3adant2 opreq1d grpass
      3simp1 3simp3 grpinvcl 3adant3 3jca sylanc grplid syldan 3eqtr3d adantl
      3ad2antr3 3ad2antr2 3adant3r3 3eqtr4d 3eqtrd ) EIJZAFJZBFJZCFJZKZLZACEMZB
      CEMZDMZVLVMENOZOZEMZVLCVOOZBVOOZEMZEMZABDMZVFVLFJZVMFJZVNVQPVKVLVMDEVOFGV
      OQZHRVFVJSZVFVGVIWCVHACEFGTUAVFVHVIWDVGBCEFGTUBUCVKVPVTVLEVFVHVIVPVTPVGBC
      EVOFGWEUDUBUEVKACVTEMZEMZAVSEMZWAWBVKWGVSAEVFVHVIWGVSPVGVFVHVIKZCVREMZVSE
      MZEUFOZVSEMZWGVSWJWKWMVSEVFVIWKWMPVHCWMEVOFGWMQZWEUGUHUIVFVIVRFJZVSFJZKWL
      WGPWJCVRVSEFGUJVFVHVIUKWJVIWPWQVFVHVIULVFVIWPVHCEVOFGWEUMZUHVFVHWQVIBEVOF
      GWEUMZUNUOUPVFVHWNVSPZVIVFVHWQWTWSVSWMEFGWOUQURUNUSUBUEVFVJVGVIVTFJZKWAWH
      PVKVGVIXAVJVGVFVGVHVIUKUTVJVIVFVGVHVIULUTVFWPWQXAVKVRVSEFGTWFVFVGVIWPVHWR
      VAVFVGVHWQVIWSVBUCUOACVTEFGUJURVFVGVHWBWIPVIABDEVOFGWEHRVCVDVE $.
      $( [26-Feb-2008] $) $( [15-Feb-2008] $)

    $( Group theory analog of ~ nnncan2t . $)
    grpnnncan2 $p |- ( ( G e. Grp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( ( A D C ) D ( B D C ) ) = ( A D B ) ) $=
      ( cgr wcel w3a wa co cgn cfv wceq eqid grpdivval 3adant3r2 3adant3r1
      opreq12d idd grpinvcl ex 3anim123d imp grppnpcan2 syldan eqtrd ) EIJZAFJZ
      BFJZCFJZKZLZACDMZBCDMZDMACENOZOZEMZBUSEMZDMZABDMZUOUPUTUQVADUJUKUMUPUTPUL
      ACDEURFGURQZHRSUJULUMUQVAPUKBCDEURFGVDHRTUAUJUNUKULUSFJZKZVBVCPUJUNVFUJUK
      UKULULUMVEUJUKUBUJULUBUJUMVECEURFGVDUCUDUEUFABUSDEFGHUGUHUI $.
      $( [27-Feb-2008] $) $( [15-Feb-2008] $)

    $( Group theory analog of ~ npncant . $)
    grpnpncan $p |- ( ( G e. Grp /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
             ( ( A D B ) G ( B D C ) ) = ( A D C ) ) $=
      ( cgr wcel w3a wa co wceq grpdivcl 3adant3r3 3simp2 adantl 3simp3 3jca
      grpmuldivass syldan grpnpcan 3expb opreq1d 3adantr3 eqtr3d ) EIJZAFJZBFJZ
      CFJZKZLZABDMZBEMZCDMZUNBCDMEMZACDMZUHULUNFJZUJUKKUPUQNUMUSUJUKUHUIUJUSUKA
      BDEFGHOPULUJUHUIUJUKQRULUKUHUIUJUKSRTUNBCDEFGHUAUBUHUIUJUPURNUKUHUIUJLLUO
      ACDUHUIUJUOANABDEFGHUCUDUEUFUG $.
      $( [28-Feb-2008] $) $( [24-Feb-2008] $)
  $}

  ${
    resgrprn.1 $e |- H = ( G |` ( Y X. Y ) ) $.
    $( The underlying set of a group operation which is a restriction of a
       mapping.  (Contributed by Paul Chapman, 25-Mar-2008.) $)
    resgrprn $p |- ( ( dom G = ( X X. X ) /\ H e. Grp /\ Y (_ X ) ->
                        Y = ran H ) $=
      ( cdm cxp wceq cgr wcel wss w3a crn wa cres sseq2 biimpar ssxp anidms
      sylan2 ssdmres sylib dmeqi syl5eq 3adant2 wfo wf eqid grpfo fof fdm 3syl
      3ad2ant2 eqtr3d xpid11 ) AFZCCGZHZBIJZDCKZLZDDGZBMZVCGZHDVCHVABFZVBVDURUT
      VEVBHUSURUTNZAVBOZFZVBVEVFVBUPKZVHVBHURVBUQKZVIUTURVIVJUPUQVBPQUTVJDCDCRS
      TVBAUAUBBVGEUCUDUEUSURVEVDHZUTUSVDVCBUFVDVCBUGVKBVCVCUHUIVDVCBUJVDVCBUKUL
      UMUNDVCUOUB $.
      $( [25-Apr-2008] $) $( [25-Mar-2008] $)
  $}

  ${
    $d A a b g h x y $.  $d B a b $.  $d F x y $.  $d G a b g h x y $.
    $d X a b g h x y $.
    grplact.1 $e |- F = { <. g , h >. | ( g e. X /\ h = { <. a , b >. |
                          ( a e. X /\ b = ( g G a ) ) } ) } $.
    grplact.2 $e |- X = ran G $.

    $( The left group action of element ` A ` of group ` G ` .  (Contributed by
       Paul Chapman, 18-Mar-2008.) $)
    grplactfval $p |- ( ( G e. Grp /\ A e. X ) ->
                ( F ` A ) = { <. a , b >. | ( a e. X /\ b = ( A G a ) ) } ) $=
      ( wcel cgr cfv cv co wceq wa copab cvv opreq1 eqeq2d anbi2d opabbidv
      fvopab4g crn rnexg syl5eqel opabex2g syl sylan2 ancoms ) AFKZELKZADMGNZFK
      ZHNZAUNEOZPZQZGHRZPZULUTSKZVAUMBCAUOUPBNZUNEOZPZQZGHRUTFSDVCAPZVFUSGHVGVE
      URUOVGVDUQUPVCAUNETUAUBUCIUDUMFSKVBUMEUESFELUFJUGGHFUQSUHUIUJUK $.
      $( [18-Mar-2008] $) $( [18-Mar-2008] $)

    $( The value of the left group action of element ` A ` of group ` G ` at
       ` B ` .  (Contributed by Paul Chapman, 18-Mar-2008.) $)
    grplactval $p |- ( ( G e. Grp /\ A e. X /\ B e. X ) ->
                       ( ( F ` A ) ` B ) = ( A G B ) ) $=
      ( cgr wcel w3a cfv cv co wceq wa copab grplactfval 3adant3 fveq1d opreq2
      eqid oprex fvopab4 3ad2ant3 eqtrd ) FLMZAGMZBGMZNZBAEOZOBHPZGMIPAUOFQZRSH
      ITZOZABFQZUMBUNUQUJUKUNUQRULACDEFGHIJKUAUBUCULUJURUSRUKHIBUPUSGUQUOBAFUDU
      QUEABFUFUGUHUI $.
      $( [18-Mar-2008] $) $( [18-Mar-2008] $)

    $( The left group action of element ` A ` of group ` G ` maps the
       underlying set ` X ` of ` G ` one-to-one onto itself.  (Contributed by
       Paul Chapman, 18-Mar-2008.) $)
    grplactf1o $p |- ( ( G e. Grp /\ A e. X ) ->
                       ( F ` A ) : X -1-1-onto-> X ) $=
      ( vx vy cfv wf1 crn wceq wf1o cgr wcel wa f1o5 biimpr wf cv wi wral f1fv
      co copab grpcl 3expia r19.21aiv eqid fopab2 sylib grplactfval feq1d
      mpbird wb grplactval anim12d imp eqeq12 syl w3a grplcan expcom com23
      imp3a impcom bitrd biimpd ex r19.21aivv sylanc wss frn wrex cgn opreq2
      eqeq2d rcla4ev grpinvcl syldan 3impia grpasscan1 eqcomd rneqd eleq2d
      oprex elrnopab syl5bir syld ssrdv eqssd ) FFADMZNZWPOZFPZFFWPQZERSZAFSZTZ
      WTWQWSTFFWPUAUBFFWPUCZKUDZWPMZLUDZWPMZPZXEXGPZUEZLFUFKFUFZWQXCWQXDXLTKLFF
      WPUGUBXCXDFFGUDZFSZHUDAXMEUHZPTGHUIZUCZXCXOFSZGFUFXQXCXRGFXAXBXNXRAXMEFJU
      JUKULGHFFXOXPXPUMZUNUOXCFFWPXPABCDEFGHIJUPZUQURZXCXKKLFFXCXEFSZXGFSZTZXKX
      CYDTZXIXJYEXIAXEEUHZAXGEUHZPZXJYEXFYFPZXHYGPZTZXIYHUSXCYDYKXCYBYIYCYJXAXB
      YBYIAXEBCDEFGHIJUTUKXAXBYCYJAXGBCDEFGHIJUTUKVAVBXFYFXHYGVCVDYDXCYHXJUSZYD
      XAXBYLYDXBXAYLYBYCXBXAYLUEXAYBYCXBVEYLXEXGAEFJVFVGUKVHVIVJVKVLVMVNVOXCWRF
      XCXDWRFVPYAFFWPVQVDXCLFWRXCYCXGXOPZGFVRZXGWRSZXAXBYCYNAEVSMZMZXGEUHZFSZXG
      AYREUHZPZYNXAXBYCVEZYMUUAGYRFXMYRPXOYTXGXMYRAEVTWAWBXAXBYCYSXAXBYQFSZYCYS
      UEAEYPFJYPUMZWCXAUUCYCYSYQXGEFJUJUKWDWEUUBYTXGAXGEYPFJUUDWFWGVOUKXCYOXGXP
      OZSZYNXCWRUUEXGXCWPXPXTWHWIUUFYNGHFXOXGXPAXMEWJXSWKUBWLWMWNWOVO $.
      $( [21-Apr-2008] $) $( [18-Mar-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            Definition and basic properties of Abelian groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Abel $.

  $( Extend class notation with the class of all Abelian group operations. $)
  cabl $a class Abel $.

  ${
    $d g x y $.
    $( Define the class of all Abelian group operations. $)
    df-abl $a |- Abel = { g e. Grp | A. x e. ran g A. y e. ran g ( x g y ) =
                 ( y g x ) } $.
  $}

  ${
    $d g x y G $.  $d g x y X $.
    isabl.1 $e |- X = ran G $.
    $( The predicate "is an Abelian (commutative) group operation." $)
    isabl $p |- ( G e. Abel <-> ( G e. Grp /\
             A. x e. X A. y e. X ( x G y ) = ( y G x ) ) ) $=
      ( vg cv co wceq crn wral cgr cabl wb rneq syl6eqr raleq1 raleqd syl
      opreq eqeq12d 2ralbidv bitrd df-abl elrab2 ) AGZBGZFGZHZUGUFUHHZIZBUHJZKZ
      AULKZUFUGCHZUGUFCHZIZBDKADKZFCLMUHCIZUNUKBDKZADKZURUSULDIUNVANUSULCJDUHCO
      EPUMUTAULDUKBULDQRSUSUKUQABDDUSUIUOUJUPUFUGUHCTUGUFUHCTUAUBUCABFUDUE $.
      $( [4-Nov-2006] $) $( [2-Nov-2006] $)
  $}

  ${
    $d x y G $.
    $( An Abelian group operation is a group operation. $)
    ablgrp $p |- ( G e. Abel -> G e. Grp ) $=
      ( vx vy cabl wcel cgr cv co wceq crn wral eqid isabl pm3.26bi ) ADEAFEBGZ
      CGZAHPOAHICAJZKBQKBCAQQLMN $.
      $( [6-Nov-2006] $) $( [2-Nov-2006] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y G $.  $d x y X $.
    ablcom.1 $e |- X = ran G $.
    $( An Abelian group operation is commutative. $)
    ablcom $p |- ( ( G e. Abel /\ A e. X /\ B e. X ) ->
                 ( A G B ) = ( B G A ) ) $=
      ( vx vy cabl wcel co wceq wa cv wral opreq1 opreq2 eqeq12d rcla42v cgr
      isabl pm3.27bi syl5com 3impib ) CHIZADIZBDIZABCJZBACJZKZUEUFLFMZGMZCJZUKU
      JCJZKZGDNFDNZUIUDUNUIAUKCJZUKACJZKFGABDDUJAKULUPUMUQUJAUKCOUJAUKCPQUKBKUP
      UGUQUHUKBACPUKBACOQRUDCSIUOFGCDETUAUBUC $.
      $( [10-Nov-2006] $) $( [2-Nov-2006] $)

    $( Commutative/associative law for Abelian groups. $)
    abl23 $p |- ( ( G e. Abel /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( ( A G B ) G C ) = ( ( A G C ) G B ) ) $=
      ( cabl wcel w3a wa co wceq ablcom 3adant3r1 opreq2d cgr grpass ablgrp
      sylan 3ancomb sylan2b 3eqtr4d ) DGHZAEHZBEHZCEHZIZJZABCDKZDKZACBDKZDKZABD
      KCDKZACDKBDKZUHUIUKADUCUEUFUIUKLUDBCDEFMNODPHZUGUMUJLUCABCDEFQDRZSUOUGUNU
      LLZUCUOUDUFUEIUQUGACBDEFQUDUEUFTUAUPSUB $.
      $( [26-Apr-2007] $) $( [26-Apr-2007] $)

    $( Commutative/associative law for Abelian groups. $)
    abl4 $p |- ( ( G e. Abel /\ ( A e. X /\ B e. X ) /\ ( C e. X /\ D e. X ) )
               -> ( ( A G B ) G ( C G D ) ) = ( ( A G C ) G ( B G D ) ) ) $=
      ( cabl wcel wa co wceq w3a simpll adantl simplr simprl 3jca abl23 syldan
      opreq1d cgr grpcl 3expb adantrr simprr grpass ablgrp sylan adantrlr
      adantrrr 3eqtr3d 3impb ) EHIZAFIZBFIZJZCFIZDFIZJZABEKZCDEKEKZACEKZBDEKEKZ
      LUNUQUTJZJZVACEKZDEKZVCBEKZDEKZVBVDVFVGVIDEUNVEUOUPURMVGVILVFUOUPURVEUOUN
      UOUPUTNOVEUPUNUOUPUTPZOVEURUNUQURUSQZORABCEFGSTUAEUBIZVEVHVBLZUNVMVEVAFIZ
      URUSMVNVMVEJZVOURUSVMUQVOUTVMUOUPVOABEFGUCUDUEVEURVMVLOVEUSVMUQURUSUFOZRV
      ACDEFGUGTEUHZUIVMVEVJVDLZUNVMVEVCFIZUPUSMVSVPVTUPUSVMUQURVTUSVMUOURVTUPVM
      UOURVTACEFGUCUDUJUKVEUPVMVKOVQRVCBDEFGUGTVRUIULUM $.
      $( [2-May-2007] $) $( [26-Apr-2007] $)
  $}

  ${
    $d x y G $.  $d x y X $.
    isabli.1 $e |- G e. Grp $.
    isabli.2 $e |- dom G = ( X X. X ) $.
    isabli.3 $e |- ( ( x e. X /\ y e. X ) -> ( x G y ) = ( y G x ) ) $.
    $( Properties that determine an Abelian group operation. $)
    isabli $p |- G e. Abel $=
      ( cabl wcel cgr cv co wceq wral grprn isabl rgen2a mpbir2an ) CHICJIAKZBK
      ZCLTSCLMZBDNADNABCDCDEFOPEUAABDGQR $.
      $( [9-Apr-2008] $) $( [5-Nov-2006] $)
  $}

  ${
    abldiv.1 $e |- X = ran G $.
    abldiv.3 $e |- D = ( /g ` G ) $.
    $( Law for group multiplication and division. $)
    ablmuldiv $p |- ( ( G e. Abel /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
     ( ( A G B ) D C ) = ( ( A D C ) G B ) ) $=
      ( cabl wcel w3a wa co wceq ablcom 3adant3r3 opreq1d cgr grpmuldivass
      ablgrp sylan 3ancoma sylan2b 3simp2 adantl grpdivcl syl3an1 3adant3r2
      jca 3expb syldan 3eqtrd ) EIJZAFJZBFJZCFJZKZLZABEMZCDMBAEMZCDMZBACDMZEMZV
      BBEMZURUSUTCDUMUNUOUSUTNUPABEFGOPQUMUOUNUPKZVAVCNZUQERJZVEVFUMBACDEFGHSET
      ZUAUNUOUPUBUCUMUQUOVBFJZLVCVDNZURUOVIUQUOUMUNUOUPUDUEUMUNUPVIUOVGUNUPVIUM
      ACDEFGHUFVHUGUHUIUMUOVIVJBVBEFGOUJUKUL $.
      $( [25-Feb-2008] $) $( [15-Feb-2008] $)

    $( Law for double group division. $)
    abldivdiv $p |- ( ( G e. Abel /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
    ( A D ( B D C ) ) = ( ( A D B ) G C ) ) $=
      ( cabl wcel w3a wa co cgr wceq grpdivdiv ablgrp sylan grpmuldivass
      ablmuldiv eqtr3d 3ancomb sylan2b eqtrd ) EIJZAFJZBFJZCFJZKZLABCDMDMZACBDM
      EMZABDMCEMZENJZUIUJUKOUEABCDEFGHPEQZRUEUFUHUGKZUKULOUIUEUOLACEMBDMZUKULUM
      UOUPUKOUEACBDEFGHSUNRACBDEFGHTUAUFUGUHUBUCUD $.
      $( [29-Feb-2008] $) $( [29-Feb-2008] $)

    $( Law for double group division. $)
    abldivdiv4 $p |- ( ( G e. Abel /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
    ( ( A D B ) D C ) = ( A D ( B G C ) ) ) $=
      ( cabl wcel w3a wa co cgn cfv cgr wceq eqid grpdivval pm3.26 grpdivcl
      3adant3r3 3simp3 adantl syl3anc ablgrp sylan 3simp1 3simp2 grpinvcl
      syl2an 3jca abldivdiv syldan grpdivinv syl3an1 3adant3r1 opreq2d 3eqtr2d
      ) EIJZAFJZBFJZCFJZKZLZABDMZCDMZVFCENOZOZEMZABVIDMZDMZABCEMZDMEPJZVDVGVJQZ
      UTVNVFFJZVCVOVNVDLVFCDEVHFGVHRZHSVNVDTVNVAVBVPVCABDEFGHUAUBVDVCVNVAVBVCUC
      ZUDUEEUFZUGUTVDVAVBVIFJZKVLVJQVEVAVBVTVDVAUTVAVBVCUHUDVDVBUTVAVBVCUIUDVNV
      CVTUTVDCEVHFGVQUJVSVRUKULABVIDEFGHUMUNVEVKVMADUTVBVCVKVMQZVAVNVBVCWAUTBCD
      EVHFGVQHUOVSUPUQURUS $.
      $( [29-Feb-2008] $) $( [29-Feb-2008] $)

    $( Swap the second and third terms in a double division. $)
    abldiv23 $p |- ( ( G e. Abel /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
   ( ( A D B ) D C ) = ( ( A D C ) D B ) ) $=
      ( cabl wcel w3a wa co wceq ablcom 3adant3r1 opreq2d abldivdiv4 3ancomb
      sylan2b 3eqtr4d ) EIJZAFJZBFJZCFJZKZLZABCEMZDMACBEMZDMZABDMCDMACDMBDMZUGU
      HUIADUBUDUEUHUINUCBCEFGOPQABCDEFGHRUBUCUEUDKUKUJNUFACBDEFGHRUCUDUESTUA $.
      $( [29-Feb-2008] $) $( [29-Feb-2008] $)

    $( Group theory analog of ~ nnncant . $)
    ablnnncan $p |- ( ( G e. Abel /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( ( A D ( B D C ) ) D C ) = ( A D B ) ) $=
      ( cabl wcel w3a wa co wceq 3simp1 adantl cgr grpdivcl ablgrp syl3an1
      3adant3r1 3simp3 3jca abldivdiv4 syldan grpnpcan opreq2d eqtrd ) EIJZAFJZ
      BFJZCFJZKZLZABCDMZDMCDMZAUOCEMZDMZABDMUIUMUJUOFJZULKUPURNUNUJUSULUMUJUIUJ
      UKULOPUIUKULUSUJEQJZUKULUSUIBCDEFGHRESZTUAUMULUIUJUKULUBPUCAUOCDEFGHUDUEU
      NUQBADUIUKULUQBNZUJUTUKULVBUIBCDEFGHUFVATUAUGUH $.
      $( [29-Feb-2008] $) $( [29-Feb-2008] $)

    $( Group theory analog of ~ nncant . $)
    ablnncan $p |- ( ( G e. Abel /\ A e. X /\ B e. X ) ->
             ( A D ( A D B ) ) = B ) $=
      ( cabl wcel w3a co cgi cfv wceq wa abldivdiv id 3anidm12 sylan2 3impb
      cgr eqid grpdivid ablgrp sylan 3adant3 opreq1d grplid 3adant2 3eqtrd ) DH
      IZAEIZBEIZJZAABCKCKZAACKZBDKZDLMZBDKZBUKULUMUOUQNZUKULULUMJZUTULUMOAABCDE
      FGPULUMVAVAQRSTUNUPURBDUKULUPURNZUMDUAIZULVBUKACURDEFGURUBZUCDUDZUEUFUGUK
      UMUSBNZULVCUMVFUKBURDEFVDUHVEUEUIUJ $.
      $( [7-Mar-2008] $) $( [7-Mar-2008] $)

    $( Group theory analog of ~ nnncan1t . $)
    ablnnncan1 $p |- ( ( G e. Abel /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( ( A D B ) D ( A D C ) ) = ( C D B ) ) $=
      ( cabl wcel w3a wa co wceq 3simp1 adantl 3simp2 cgr grpdivcl ablgrp
      syl3an1 3adant3r2 3jca abldiv23 syldan ablnncan opreq1d eqtrd ) EIJZAFJZB
      FJZCFJZKZLZABDMACDMZDMZAUODMZBDMZCBDMUIUMUJUKUOFJZKUPURNUNUJUKUSUMUJUIUJU
      KULOPUMUKUIUJUKULQPUIUJULUSUKERJUJULUSUIACDEFGHSETUAUBUCABUODEFGHUDUEUNUQ
      CBDUIUJULUQCNUKACDEFGHUFUBUGUH $.
      $( [2-Apr-2008] $) $( [7-Mar-2008] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Subgroups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c SubGrp $.

  $( Extend class notation to include the class of subgroups. $)
  csubg $a class SubGrp $.

  ${
    $d g h s $.
    $( Define the set of subgroups of ` g ` . $)
    df-subg $a |- SubGrp = { <. g , s >. |
                             ( g e. Grp /\ s = { h e. Grp | h (_ g } ) } $.
  $}

  ${
    $d G g h s $.  $d H h $.
    $( The predicate "is a subgroup of ` G ` ."  (Contributed by Paul Chapman,
       3-Mar-2008.) $)
    issubg $p |- ( H e. ( SubGrp ` G ) <->
                   ( G e. Grp /\ H e. Grp /\ H (_ G ) ) $=
      ( vg vs vh csubg cfv wcel cgr wss w3a wa wn cdm c0 wceq cv crab cab cvv
      df-rab cpw df-pw visset pwex eqeltrr pm3.27 ss2abi ssexi eqeltr df-subg
      dmopab2 eleq2i biimp con3i ndmfv n0i con2i 3syl a3i abssexg ancom abbii
      eqtr syl5eqel sseq2 rabbisdv fvopab4g mpdan eleq2d sseq1 elrab syl6bb
      biimpd mpcom jca 3anass sylibr biimpar 3impb impbi ) BAFGZHZAIHZBIHZBAJZK
      ZWCWDWEWFLZLWGWCWDWHWDWCWDMAFNZHZMWBOPZWCMWJWDWJWDWIIACDIEQZCQZJZEIRZFWOW
      LIHZWNLZESZTWNEIUAWRWNESZWMUBWSTEWMUCWMCUDUEUFWQWNEWPWNUGUHUIUJCEDUKZULUM
      UNUOAFUPWCWKWBBUQURUSUTZWDWCWHXAWDWCWHWDWCBWLAJZEIRZHWHWDWBXCBWDXCTHWBXCP
      WDXBWPLZESZTXCWPEAIVAXCWPXBLZESXEXBEIUAXFXDEWPXBVBVCVDVECDAWOXCITFWMAPWNX
      BEIWMAWLVFVGWTVHVIVJXBWFEBIWLBAVKVLVMZVNVOVPWDWEWFVQVRWDWEWFWCWDWCWHXGVSV
      TWA $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    subgres.1 $e |- W = ran H $.
    $( A subgroup operation is the restriction of its parent group operation to
       its underlying set.  (Contributed by Paul Chapman, 3-Mar-2008.) $)
    subgres $p |- ( H e. ( SubGrp ` G ) -> H = ( G |` ( W X. W ) ) ) $=
      ( csubg cfv wcel cxp cres wfun wss cdm wceq fun2ssres cgr w3a issubg
      biimp 3simp1d crn wfo eqid grpfo fofun syl 3simp3d wf 3simp2d fof 3syl
      fdm eqimss2 syl3anc wfn ffn fnresdm eqtr2d ) BAEFGZACCHZIZBUSIZBAJZBAKZUS
      BLZKZUTVAMURUSABNURAOGZVBURVFBOGZVCURVFVGVCPABQRZSVFATZVIHZVIAUAVBAVIVIUB
      UCVJVIAUDUEUEURVFVGVCVHUFURUSCBUGZVDUSMVEURVGUSCBUAZVKURVFVGVCVHUHZBCDUCZ
      USCBUIZUJUSCBUKUSVDULUJUMURVGVLVABMZVMVNVLVKBUSUNVPVOUSCBUOUSBUPUJUJUQ $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)

    $( The result of a subgroup operation is the same as the result of its
       parent operation.  (Contributed by Paul Chapman, 3-Mar-2008.) $)
    subgopr $p |- ( H e. ( SubGrp ` G ) ->
                    ( ( A e. W /\ B e. W ) -> ( A H B ) = ( A G B ) ) ) $=
      ( csubg cfv wcel wa co wceq cxp cres subgres adantr opreqd oprvalres
      adantl eqtrd ex ) DCGHIZAEIBEIJZABDKZABCKZLUBUCJZUDABCEEMNZKZUEUFDUGABUBD
      UGLUCCDEFOPQUCUHUELUBABEECRSTUA $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    subgrnss.1 $e |- X = ran G $.
    subgrnss.2 $e |- W = ran H $.
    $( The underlying set of a subgroup is a subset of its parent group's
       underlying set.  (Contributed by Paul Chapman, 3-Mar-2008.) $)
    subgrnss $p |- ( H e. ( SubGrp ` G ) -> W (_ X ) $=
      ( csubg cfv wcel crn wss cxp cima imassrn cres subgres rneqd df-ima
      syl6eqr sseq1d mpbiri 3sstr4g ) BAGHIZBJZAJZCDUCUDUEKACCLZMZUEKAUFNUCUDUG
      UEUCUDAUFOZJUGUCBUHABCFPQAUFRSTUAFEUB $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    subgid.1 $e |- U = ( Id ` G ) $.
    subgid.2 $e |- T = ( Id ` H ) $.
    $( The identity element of a subgroup is the same as its parent's.
       (Contributed by Paul Chapman, 3-Mar-2008.) $)
    subgid $p |- ( H e. ( SubGrp ` G ) -> T = U ) $=
      ( csubg cfv wcel wceq co crn cgr wss w3a issubg biimp 3simp2d eqid
      grpidcl syl subgopr mp2and grplid sylanc eqtr3d wb grpid 3simp1d
      subgrnss sseldd mpbird ) DCGHIZABJZAACKZAJZUMAADKZUOAUMADLZIZUSUQUOJUMDMI
      ZUSUMCMIZUTDCNZUMVAUTVBOCDPQZRZADURURSZFTUAZVFAACDURVEUBUCUTUSUQAJUMAADUR
      VEFUDVDVFUEUFVAACLZIUNUPUGUMABCVGVGSZEUHUMVAUTVBVCUIUMURVGACDURVGVHVEUJVF
      UKUEUL $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    $d A x y $.  $d B y $.  $d G x y $.  $d H x y $.  $d Y x y $.
    issubgilem.1 $e |- ( ( x e. Y /\ y e. Y ) -> ( x H y ) = ( x G y ) ) $.
    $( Lemma for ~ issubgi . $)
    issubgilem $p |- ( ( A e. Y /\ B e. Y ) -> ( A H B ) = ( A G B ) ) $=
      ( cv co wceq opreq1 eqeq12d opreq2 vtocl2ga ) AIZBIZFJZPQEJZKCQFJZCQEJZKC
      DFJZCDEJZKABCDGGPCKRTSUAPCQFLPCQELMQDKTUBUAUCQDCFNQDCENMHO $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d G a b $.  $d H a b x y $.  $d H b x y z $.  $d N a b y $.
    $d U a b x y $.  $d U b x y z $.  $d Y a b x y $.  $d Y b x y z $.
    issubgi.1 $e |- G e. Grp $.
    issubgi.2 $e |- X = ran G $.
    issubgi.3 $e |- U = ( Id ` G ) $.
    issubgi.4 $e |- N = ( inv ` G ) $.
    issubgi.5 $e |- Y (_ X $.
    issubgi.6 $e |- H = ( G |` ( Y X. Y ) ) $.
    issubgi.7 $e |- ( ( x e. Y /\ y e. Y ) -> ( x G y ) e. Y ) $.
    issubgi.8 $e |- U e. Y $.
    issubgi.9 $e |- ( x e. Y -> ( N ` x ) e. Y ) $.
    $( Properties that determine a subgroup.  (Contributed by Paul Chapman,
       25-Feb-2008.) $)
    issubgi $p |- H e. ( SubGrp ` G ) $=
      ( vz va vb cgr wcel wss csubg cfv cv crn cvv rnexg ax-mp eqeltr ssexi
      cxp wf wfn co wral ffnoprval cres wfo grpfo fof syl ssxp mp2an fssres
      wceq wb feq1 mpbir ffn wa oprvalres opreqi syl5eq issubgilem eqeltrd
      rgen2a mpbir2an w3a grpass mpan sseli syl3an sylan 3impa opreq1d 3adant3
      eqtrd foprcl sylan2 3impb opreq2d 3adant1 3eqtr4d grplid mpancom grplinv
      isgrpi resss eqsstr issubg biimpr mp3an ) DUAUBZEUAUBZEDUCZEDUDUEUBZIABRC
      EAUFZFUEZHHGGDUGZUHJXEXKUHUBIDUAUIUJUKMULHHUMZHEUNEXLUOZXIBUFZEUPZHUBZBHU
      QAHUQABHHHEURXLGEUNZXMXQXLGDXLUSZUNZGGUMZGDUNZXLXTUCZXSXEYAIXEXTGDUTYADGJ
      VAXTGDVBVCUJHGUCZYCYBMMHGHGVDVEXTGXLDVFVEEXRVGXQXSVHNXLGEXRVIUJVJXLGEVKUJ
      XPABHXIHUBZXNHUBZVLZXOXIXNDUPZHSTXIXNDEHSUFZHUBTUFZHUBVLYHYIXRUPYHYIDUPYH
      YIEUPYHYIHHDVMEXRYHYINVNVOZVPZOVQZVRVSZYDYERUFZHUBZVTZYGYNDUPZXIXNYNDUPZD
      UPZXOYNEUPZXIXNYNEUPZEUPZXIGUBZXNGUBZYNGUBZYQYSVGZYDYEYOXEUUCUUDUUEVTUUFI
      XIXNYNDGJWAWBHGXIMWCZHGXNMWCHGYNMWCWDYPYTXOYNDUPZYQYDYEYOYTUUHVGZXPYOUUIY
      FSTXOYNDEHYJVPYLWEWFYDYEUUHYQVGYOYFXOYGYNDYKWGWHWIYPUUBXIUUADUPZYSYDYEYOU
      UBUUJVGZYDUUAHUBUUKYEYOVLZSTXIUUADEHYJVPXNYNHHHEYMWJWKWLYEYOUUJYSVGYDUULU
      UAYRXIDSTXNYNDEHYJVPWMWNWIWOPYDCXIEUPZCXIDUPZXICHUBYDUUMUUNVGPSTCXIDEHYJV
      PWBYDUUCUUNXIVGZUUGXEUUCUUOIXICDGJKWPWBVCWIQYDXJXIEUPZXJXIDUPZCXJHUBYDUUP
      UUQVGQSTXJXIDEHYJVPWQYDUUCUUQCVGZUUGXEUUCUURIXICDFGJKLWRWBVCWIWSEXRDNDXLW
      TXAXHXEXFXGVTDEXBXCXD $.
      $( [3-Mar-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d G x y $.  $d H x y $.
    $( A subgroup of an Abelian group is Abelian.  (Contributed by Paul
       Chapman, 25-Apr-2008.) $)
    subgabl $p |- ( ( G e. Abel /\ H e. ( SubGrp ` G ) ) -> H e. Abel ) $=
      ( vx vy csubg cfv wcel cv co wceq crn wral cabl wa cgr eqid isabl biimpr
      wss w3a issubg biimp 3simp2d sylan pm3.27 subgrnss sseld anim12d wi
      pm3.27bi ra42 syl sylan9r imp subgopr adantl ancomsd 3eqtr4d ex
      r19.21aivv sylanc ) BAEFGZCHZDHZBIZVDVCBIZJZDBKZLCVHLZBMGZAMGZVBNZBOGZVIV
      JVBVJVMVINCDBVHVHPZQRVBAOGZVMBASZVBVOVMVPTABUAUBUCUDVKVBUEVLVGCDVHVHVLVCV
      HGZVDVHGZNZVGVLVSNVCVDAIZVDVCAIZVEVFVLVSVTWAJZVBVSVCAKZGZVDWCGZNZVKWBVBVQ
      WDVRWEVBVHWCVCABVHWCWCPZVNUFZUGVBVHWCVDWHUGUHVKWBDWCLCWCLZWFWBUIVKVOWICDA
      WCWGQUJWBCDWCWCUKULUMUNVLVSVEVTJZVBVSWJUIVKVCVDABVHVNUOUPUNVLVSVFWAJZVBVS
      WKUIVKVBVRVQWKVDVCABVHVNUOUQUPUNURUSUTVA $.
      $( [26-Apr-2008] $) $( [25-Apr-2008] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d u x y z A $.
    grpsn.1 $e |- A e. V $.
    $( MAY BE REVISED - this is useless since we have ablsn - delete this if
       if ever get an example of a non-Abelian group to go here. $)
    $( The group operation for the singleton group. $)
    grpsn $p |- { <. <. A , A >. , A >. } e. Grp $=
      ( vx vy vz cop csn snex cxp wf wf1o opex f1osn f1of ax-mp wceq wb xpsn
      feq2 mpbir cv co wcel w3a wa opreq2 opreq1 cfv df-opr fvsn eqtr syl6eq
      sylan9eq opreq1d sylan9eqr 3impa opreq2d 3impb eqtr4d elsn syl3anb snid
      id 3eqtr4a sylbi a1i isgrpi ) CDEAAAFZAFGZAAGZAHVJVJIZVJVIJZVHGZVJVIJZVMV
      JVIKVNVHAAALZBMVMVJVINOVKVMPVLVNQAABBRVKVMVJVISOTCUAZAPZDUAZAPZEUAZAPZVPV
      RVIUBZVTVIUBZVPVRVTVIUBZVIUBZPVPVJUCZVRVJUCVTVJUCVQVSWAUDWCAWEVQVSWAWCAPW
      AVQVSUEZWCWBAVIUBZAVTAWBVIUFWGWHAAVIUBZAWGWBAAVIVQVSWBAVRVIUBZAVPAVRVIUGV
      SWJWIAVRAAVIUFWIVHVIUHAAAVIUIVHAVOBUJUKZULUMUNWKULUOUPVQVSWAWEAPVQVSWAUEZ
      WEAWDVIUBZAVPAWDVIUGWLWMWIAWLWDAAVIVSWAWDAVTVIUBZAVRAVTVIUGWAWNWIAVTAAVIU
      FWKULUMUQWKULUMURUSCAUTZDAUTEAUTVAABVBZWFVQAVPVIUBZVPPWOVQWIAWQVPWKVPAAVI
      UFZVQVCVDVEAVJUCWFWPVFWFVQWQAPWOVQWQWIAWRWKULVEVG $.
      $( [5-Nov-2006] $) $( [4-Nov-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of Abelian groups
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d u x y z A $.
    ablsn.1 $e |- A e. V $.
    $( The Abelian group operation for the singleton group. $)
    ablsn $p |- { <. <. A , A >. , A >. } e. Abel $=
      ( vx vy cop csn grpsn cdm cxp dmsnop xpsn eqtr4 cv wceq co wcel wa
      opreq12 opreq2 opreq1 sylan9eq eqtr4d elsn syl2anb isabli ) CDAAEZAEFZAFZ
      ABGUGHUFFUHUHIUFAJAABBKLCMZANZDMZANZUIUKUGOZUKUIUGOZNUIUHPUKUHPUJULQUMAAU
      GOZUNUIAUKAUGRUJULUNUKAUGOUOUIAUKUGSUKAAUGTUAUBCAUCDAUCUDUE $.
      $( [29-Nov-2006] $) $( [5-Nov-2006] $)
  $}

  ${
    $d x y z A $.
    $( Complex number addition is an Abelian group operation. $)
    cnaddabl $p |- + e. Abel $=
      ( vx vy vz caddc cc cc0 cv cneg axcnex axaddopr axaddass 0cn addid2t
      negclt wcel co wceq axaddcom mpdan negidt eqtr3d isgrpi cxp fdmi isabli
      ) ABDEABCFDAGZHZEIJUFBGZCGKLUFMUFNZUFEOZUFUGDPZUGUFDPZFUJUGEOUKULQUIUFUGR
      SUFTUAUBEEUCEDJUDUFUHRUE $.
      $( [7-Nov-2006] $) $( [5-Nov-2006] $)

    $( The group identity element of complex number addition is zero.
       (Contributed by Steve Rodriguez, 3-Dec-2006.) $)
    cnid $p |- 0 = ( Id ` + ) $=
      ( vx vy caddc cgi cfv cc0 cv co wceq cc wral addid2t rgen wcel wb 0cn
      crab cuni opreq1 eqeq1d ralbidv cgr cabl cnaddabl ablgrp ax-mp cxp
      axaddopr fdmi grprn eqid grpidval eqcomi a1i id eqeq12d bibi12d wreu
      grpideu reuuni1 mpan2 vtoclga mpbi ) CDEZFFAGZCHZVEIZAJKZVDFIZVGAJVELMFJN
      VHVIOZPBGZVECHZVEIZAJKZVNBJQRZVKIZOZVJBFJVKFIZVNVHVPVIVRVMVGAJVRVLVFVEVKF
      VECSTUAVRVOVDVKFVOVDIVRVDVOCUBNZVDVOICUCNVSUDCUEUFZABVDCJCJVTJJUGJCUHUIUJ
      ZVDUKULUFUMUNVRUOUPUQVKJNVNBJURZVQVSWBVTABCJWAUSUFVNBJUTVAVBUFVCUM $.
      $( [25-Jul-2008] $) $( [28-Nov-2006] $)

    $( Value of the group inverse of complex number addition.  (Contributed by
       Steve Rodriguez, 3-Dec-2006.) $)
    addinv $p |- ( A e. CC -> ( ( inv ` + ) ` A ) = -u A ) $=
      ( vy cc wcel caddc cgn cfv cc0 cmin co cneg cv wceq crab cuni wa
      axaddcom eqeq1d rabbidv unieqd 0cn subvalt mpan cgr cabl cnaddabl ablgrp
      ax-mp cxp axaddopr fdmi grprn cnid eqid grpinvval 3eqtr4rd df-neg
      syl6eqr ) ACDZAEFGZGZHAIJZAKUSABLZEJZHMZBCNZOZVCAEJZHMZBCNZOZVBVAUSVFVJUS
      VEVIBCUSVCCDPVDVHHAVCQRSTHCDUSVBVGMUABHAUBUCEUDDZUSVAVKMEUEDVLUFEUGUHZBAH
      EUTCECVMCCUICEUJUKULUMUTUNUOUCUPAUQUR $.
      $( [25-Jul-2008] $) $( [3-Dec-2006] $)

    $( The real numbers under addition comprise a subgroup of the complex
       numbers under addition.  (Contributed by Paul Chapman, 25-Apr-2008.) $)
    readdsubg $p |- ( + |` ( RR X. RR ) ) e. ( SubGrp ` + ) $=
      ( vx vy cc0 caddc cr cxp cres cgn cfv cc cabl wcel cgr cnaddabl ablgrp
      ax-mp axaddopr fdmi grprn cnid eqid axresscn cv axaddrcl 0re cneg wceq
      recnt addinv syl renegclt eqeltrd issubgi ) ABCDDEEFGZDHIZJEDKLDMLNDOPZDJ
      UPJJFJDQRSTUOUAUBUNUAAUCZBUCUDUEUQELZUQUOIZUQUFZEURUQJLUSUTUGUQUHUQUIUJUQ
      UKULUM $.
      $( [26-Apr-2008] $) $( [25-Apr-2008] $)

    $( The integers under addition comprise a subgroup of the complex numbers
       under addition.  (Contributed by Paul Chapman, 25-Apr-2008.) $)
    zaddsubg $p |- ( + |` ( ZZ X. ZZ ) ) e. ( SubGrp ` + ) $=
      ( vx vy cc0 caddc cz cxp cres cgn cfv cc cabl wcel cgr cnaddabl ablgrp
      ax-mp axaddopr fdmi grprn cnid eqid zsscn cv zaddclt 0z cneg wceq zcnt
      addinv syl znegclt eqeltrd issubgi ) ABCDDEEFGZDHIZJEDKLDMLNDOPZDJUPJJFJD
      QRSTUOUAUBUNUAAUCZBUCUDUEUQELZUQUOIZUQUFZEURUQJLUSUTUGUQUHUQUIUJUQUKULUM
      $.
      $( [26-Apr-2008] $) $( [25-Apr-2008] $)

    $( Nonzero complex number multiplication is an Abelian group operation.
       (Contributed by Steve Rodriguez, 12-Feb-2007.) $)
    ablmul $p |- ( x. |` ( ( CC \ { 0 } ) X. ( CC \ { 0 } ) ) ) e. Abel $=
      ( vx vy vz cmul cc cc0 csn cdif cxp cres c1 cv cdiv co cvv wcel axcnex
      difexg ax-mp mulnzcnopr w3a wa wceq oprvalres wne axmulcl ad2ant2r
      muln0t jca eldifsn syl2anb sylibr eqeltrd anim1i 3impa syl 3adant3
      opreq1d eqtrd axmulass eldifi syl3an eqcomd 3adant1 opreq2d foprcl
      eqeltrrd sylan2 3impb 3eqtr3d 3eqtrd ax1cn ax1ne0 mpbir2an mpan mulid2t
      recclt recne0t 3imtr4 mpancom recid2t sylbi isgrpi fdmi axmulcom syl2an
      ancoms 3eqtr4d isabli ) ABDEFGZHZWKIZJZWKABCKWMKALZMNZWKEOPWKOPQEWJORSTWN
      WKPZBLZWKPZCLZWKPZUAZWNWQWMNZWSWMNZWNWQDNZWSDNZWNWQWSDNZDNZWNWQWSWMNZWMNZ
      XAXCXBWSDNZXEXAXBWKPZWTUBZXCXJUCWPWRWTXLWPWRUBZXKWTXMXBXDWKWNWQWKWKDUDZXM
      XDEPZXDFUEZUBZXDWKPWNEPZWNFUEZUBZWQEPZWQFUEZUBZXQWPWRXTYCUBXOXPXRYAXOXSYB
      WNWQUFUGWNWQUHUIWNEFUJZWQEFUJUKXDEFUJULUMUNUOXBWSWKWKDUDUPXAXBXDWSDWPWRXB
      XDUCWTXNUQURUSXRYAWSEPXEXGUCWPWRWTWNWQWSUTWNEWJVAZWQEWJVAZWSEWJVAVBXAXGWN
      XHDNZXIXAXFXHWNDWRWTXFXHUCWPWRWTUBZXHXFWQWSWKWKDUDZVCVDZVEZXAXGWNXFWMNZYG
      XIWPWRWTXGYLUCZWPXFWKPZYMYHWPYNUBYLXGWNXFWKWKDUDVCYHXHXFWKYIWQWSWKWKWKWMT
      VFVGVHVIYKXAXFXHWNWMYJVEVJUSVKKWKPZKEPKFUEKEFUJVLVMVNZWPKWNWMNZKWNDNZWNYO
      WPYQYRUCYPKWNWKWKDUDVOWPXRYRWNUCYEWNVPUPUSXTWOEPZWOFUEZUBWPWOWKPZXTYSYTWN
      VQWNVRUIYDWOEFUJVSZWPWOWNWMNZWOWNDNZKUUAWPUUCUUDUCUUBWOWNWKWKDUDVTWPXTUUD
      KUCYDWNWAWBUSWCWLWKWMTWDXMXDWQWNDNZXBWQWNWMNZXRYAXDUUEUCWPWRWNWQWEYEYFWFX
      NWRWPUUFUUEUCWQWNWKWKDUDWGWHWI $.
      $( [24-Feb-2007] $) $( [7-Nov-2006] $)

    $( The group identity element of nonzero complex number multiplication is
       one.  (Contributed by Steve Rodriguez, 23-Feb-2007.) $)
    mulid $p |- ( Id ` ( x. |` ( ( CC \ { 0 } ) X. ( CC \ { 0 } ) ) ) ) = 1 $=
      ( vx vy c1 cv cmul cc cc0 csn cdif cxp cres co wceq wral cgi cfv wcel
      wne eldifsn ax1cn ax1ne0 mpbir2an oprvalres mpan eldifi mulid2t syl
      eqtrd rgen wb crab cuni opreq1 eqeq1d ralbidv cgr cabl ablmul ablgrp
      ax-mp mulnzcnopr fdmi grprn eqid grpidval eqeq12 eqcom sylanb bibi12d
      wreu grpideu reuuni1 mpan2 vtoclga mpbi ) CADZEFGHZIZVRJZKZLZVPMZAVRNZVTO
      PZCMZWBAVRVPVRQZWACVPELZVPCVRQZWFWAWGMWHCFQCGRCFGSTUAUBZCVPVRVREUCUDWFVPF
      QWGVPMVPFVQUEVPUFUGUHUIWHWCWEUJZWIBDZVPVTLZVPMZAVRNZWNBVRUKULZWKMZUJZWJBC
      VRWKCMZWNWCWPWEWRWMWBAVRWRWLWAVPWKCVPVTUMUNUOWDWOMZWRWPWEUJZVTUPQZWSVTUQQ
      XAURVTUSUTZABWDVTVRVTVRXBVSVRVTVAVBVCZWDVDVEUTWOWDMWRWTWSWOWDWKCVFWDWOVGV
      HUDVIWKVRQWNBVRVJZWQXAXDXBABVTVRXCVKUTWNBVRVLVMVNUTVO $.
      $( [25-Jul-2008] $) $( [3-Dec-2006] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                   Group homomorphism
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d F x y $.  $d G a b x y $.  $d H a b x y $.  $d O x y $.  $d X x y $.
    $d Y a b x y $.

    ghgrpi.1 $e |- G e. Grp $.
    ghgrpi.2 $e |- X = ran G $.
    ghgrpi.3 $e |- F : X -onto-> Y $.
    ghgrpi.4 $e |- Y (_ A $.
    ghgrpi.5 $e |- O Fn ( A X. A ) $.
    ghgrpi.6 $e |- ( ( x e. X /\ y e. X ) ->
                     ( F ` ( x G y ) ) = ( ( F ` x ) O ( F ` y ) ) ) $.
    ghgrpi.7 $e |- H = ( O |` ( Y X. Y ) ) $.

    ${
      $d C a b $.  $d D b $.  $d F a b $.  $d O a b $.  $d X a b $.
      $( Lemma for ~ ghgrpi . $)
      ghgrpilem1 $p |- ( ( C e. X /\ D e. X ) ->
                         ( F ` ( C G D ) ) = ( ( F ` C ) H ( F ` D ) ) ) $=
        ( va vb wcel wa co cfv cv wceq wral rgen2a opreq1 fveq2d fveq2 opreq1d
        eqeq12d opreq2 opreq2d cbvral2v mpbi rcla42v mpi cxp cres oprvalres
        opreqi syl5eq crn wfn wfo df-fo pm3.26i fnfvelrn mpan pm3.27i syl6eleq
        syl2an eqtr4d ) DJUAZEJUAZUBZDEGUCZFUDZDFUDZEFUDZIUCZWAWBHUCZVRSUEZTUEZ
        GUCZFUDZWEFUDZWFFUDZIUCZUFZTJUGSJUGZVTWCUFZAUEZBUEZGUCZFUDZWOFUDZWPFUDZ
        IUCZUFZBJUGAJUGWMXBABJQUHXBWLWEWPGUCZFUDZWIWTIUCZUFABSTJJWOWEUFZWRXDXAX
        EXFWQXCFWOWEWPGUIUJXFWSWIWTIWOWEFUKULUMWPWFUFZXDWHXEWKXGXCWGFWPWFWEGUNU
        JXGWTWJWIIWPWFFUKUOUMUPUQWLWNDWFGUCZFUDZWAWJIUCZUFSTDEJJWEDUFZWHXIWKXJX
        KWGXHFWEDWFGUIUJXKWIWAWJIWEDFUKULUMWFEUFZXIVTXJWCXLXHVSFWFEDGUNUJXLWJWB
        WAIWFEFUKUOUMURUSWAKUAZWBKUAZWDWCUFVPVQXMXNUBWAWBIKKUTVAZUCWCWDWAWBKKIV
        BHXOWAWBRVCVDVPWAFVEZKFJVFZVPWAXPUAXQXPKUFZJKFVGXQXRUBNJKFVHUQZVIZJDFVJ
        VKXQXRXSVLZVMVQWBXPKXQVQWBXPUAXTJEFVJVKYAVMVNVO $.
        $( [26-Apr-2008] $) $( [25-Apr-2008] $)
    $}

    ${
      $d C w $.  $d F w $.  $d X w $.  $d ch w $.  $d ph w $.
      ghgrpilem2.8 $e |- ( ( w e. X /\ ph ) -> ps ) $.
      ghgrpilem2.9 $e |- ( ( F ` w ) = C -> ( ps <-> ch ) ) $.
      $( Lemma for ~ ghgrpi . $)
      ghgrpilem2 $p |- ( ( ph /\ C e. Y ) -> ch ) $=
        ( wcel cv cfv wceq wrex wa ancoms syl5cbi r19.23adva crn wfn wfo df-fo
        mpbi pm3.27i eleq2i wb pm3.26i fvelrnb ax-mp bitr3 syl5ib imp ) AHNUDZC
        AFUEZIUFHUGZFMUHZCVGAVICFMVIBCAVHMUDZUIUCVKABUBUJUKULVGHIUMZUDZVJVLNHIM
        UNZVLNUGZMNIUOVNVOUIQMNIUPUQZURUSVNVMVJUTVNVOVPVAFMHIVBVCVDVEVF $.
        $( [26-Apr-2008] $) $( [25-Apr-2008] $)
    $}

    ${
      $d D c $.  $d F c z $.  $d G c $.  $d H a b c x y z $.  $d N c $.
      $d X z $.  $d Y c z $.

      ghgrpilem3.8 $e |- U = ( Id ` G ) $.
      ghgrpilem3.9 $e |- N = ( inv ` G ) $.
      ghgrpilem3.10 $e |- D = ( /g ` G ) $.
      $( Lemma for ~ ghgrpi . $)
      ghgrpilem3 $p |- ( ( a e. Y /\ b e. Y ) ->
          ( E. c e. Y ( c H a ) = b /\ E. c e. Y ( a H c ) = b ) ) $=
        ( cv wcel wa co wceq wrex cfv opreq1 eqeq1d rcla4ev crn cgr grpdivcl
        mp3an1 wfn wfo df-fo mpbi pm3.26i fnfvelrn mpan syl pm3.27i syl6eleq
        ghgrpilem1 sylancom grpnpcan fveq2d eqtr3d sylanc ancoms opreq2
        rexbidv ghgrpilem2 eqeq2 grpcl grpinvcl sylan syldan grpasscan1 jca )
        MUFZLUGZNUFZLUGUHOUFZWGHUIZWIUJZOLUKZWGWJHUIZWIUJZOLUKZWHWKBUFZFULZUJZO
        LUKZWMABBCWIFGHJKLPQRSTUAUBWQKUGZWJAUFZFULZHUIZWRUJZOLUKZWTABACWGFGHJKL
        PQRSTUAUBXAXBKUGZXFWQXBDUIZFULZLUGXIXCHUIZWRUJZXFXAXGUHZXEXKOXILWJXIUJX
        DXJWRWJXIXCHUMUNUOXLXIFUPZLXLXHKUGZXIXMUGZGUQUGZXAXGXNPWQXBDGKQUEURUSZF
        KUTZXNXOXRXMLUJZKLFVAXRXSUHRKLFVBVCZVDZKXHFVEVFVGXRXSXTVHZVIXLXHXBGUIZF
        ULZXJWRXAXGXNYDXJUJXQABCXHXBFGHJKLPQRSTUAUBVJVKXLYCWQFXPXAXGYCWQUJPWQXB
        DGKQUEVLUSVMVNVOVPXCWGUJZXEWSOLYEXDWKWRXCWGWJHVQUNVRVSWRWIUJZWSWLOLWRWI
        WKVTVRVSWHWNWRUJZOLUKZWPABBCWIFGHJKLPQRSTUAUBXAXCWJHUIZWRUJZOLUKZYHABAC
        WGFGHJKLPQRSTUAUBXBIULZWQGUIZFULZLUGXCYNHUIZWRUJZYKXGXAUHZYJYPOYNLWJYNU
        JYIYOWRWJYNXCHVQUNUOYQYNXMLYQYMKUGZYNXMUGZYLKUGZXAYRXGXPYTXAYRPYLWQGKQW
        AUSXPXGYTPXBGIKQUDWBVFWCZXRYRYSYAKYMFVEVFVGYBVIYQXBYMGUIZFULZYOWRXGXAYR
        UUCYOUJUUAABCXBYMFGHJKLPQRSTUAUBVJWDYQUUBWQFXPXGXAUUBWQUJPXBWQGIKQUDWEU
        SVMVNVOYEYJYGOLYEYIWNWRXCWGWJHUMUNVRVSYFYGWOOLWRWIWNVTVRVSWF $.
        $( [26-Apr-2008] $) $( [25-Apr-2008] $)

      $( Lemma for ~ ghgrpi . $)
      ghgrpilem4 $p |- H e. Grp $=
        ( va vb vc vz cvv wcel wfo crn cgr rnexg ax-mp eqeltr fornex mp2 cfv
        c0 wne wfn wceq wa df-fo mpbi pm3.26i grpidcl fnfvelrn mp2an pm3.27i
        eleqtr ne0i cxp wf cv co wral ffnoprval cres wss ssxp fnssres wb fneq1
        mpbir ghgrpilem1 grpcl mp3an1 mpan syl eqeltrrd syl6eleq opreq1 eleq1d
        ghgrpilem2 opreq2 rgen2a mpbir2an w3a grpass fveq2d sylan 3impa sylan2
        3impb 3eqtr3d 3adant3 opreq1d 3adant1 opreq2d 3expb eqeq12d anasss
        wrex ghgrpilem3 pm3.26d pm3.27d isgrp2i ) UCUDUEHLKUGUHKLFUIZLUGUHKGUJZ
        UGNGUKUHZXSUGUHMGUKULUMUNOKLUGFUOUPEFUQZLUHLURUSYAFUJZLFKUTZEKUHZYAYBUH
        YCYBLVAZXRYCYEVBOKLFVCVDZVEZXTYDMEGKNTVFUMKEFVGVHYCYEYFVIZVJLYAVKUMLLVL
        ZLHVMHYIUTZUCVNZUDVNZHVOZLUHZUDLVPUCLVPUCUDLLLHVQYJJYIVRZYIUTZJCCVLZUTY
        IYQVSZYPQLCVSZYSYRPPLCLCVTVHYQYIJWAVHHYOVAYJYPWBSYIHYOWCUMWDYNUCUDLYKLU
        HZYKBVNZFUQZHVOZLUHZYNABBCYLFGHJKLMNOPQRSUUAKUHZAVNZFUQZUUBHVOZLUHUUDAB
        ACYKFGHJKLMNOPQRSUUFKUHZUUEVBZUUHYBLUUJUUFUUAGVOZFUQZUUHYBABCUUFUUAFGHJ
        KLMNOPQRSWEZUUJUUKKUHZUULYBUHZXTUUIUUEUUNMUUFUUAGKNWFWGZYCUUNUUOYGKUUKF
        VGWHWIWJYHWKUUGYKVAZUUHUUCLUUGYKUUBHWLZWMWNUUBYLVAZUUCYMLUUBYLYKHWOZWMW
        NWPWQYTYLLUHZUEVNZLUHYMUVBHVOZYKYLUVBHVOZHVOZVAZYTUVAVBZYMUFVNZFUQZHVOZ
        YKYLUVIHVOZHVOZVAZUVFABUFCUVBFGHJKLMNOPQRSUVHKUHZYTUVAUVMUVNYTVBUUCUVIH
        VOZYKUUBUVIHVOZHVOZVAZUVMABBCYLFGHJKLMNOPQRSUUEUVNYTUVRUUEUVNVBZUUHUVIH
        VOZUUGUVPHVOZVAZUVRABACYKFGHJKLMNOPQRSUUIUUEUVNUWBUUIUUEUVNWRZUULUVIHVO
        ZUUGUUAUVHGVOZFUQZHVOZUVTUWAUWCUUKUVHGVOZFUQZUUFUWEGVOZFUQZUWDUWGUWCUWH
        UWJFXTUWCUWHUWJVAMUUFUUAUVHGKNWSWHWTUUIUUEUVNUWIUWDVAZUUNUVNUWLUUJABCUU
        KUVHFGHJKLMNOPQRSWEUUPXAXBUUIUUEUVNUWKUWGVAZUUIUWEKUHZUWMUVSABCUUFUWEFG
        HJKLMNOPQRSWEXTUUEUVNUWNMUUAUVHGKNWFWGXCXDXEUWCUULUUHUVIHUUIUUEUULUUHVA
        UVNUUMXFXGUWCUWFUVPUUGHUUEUVNUWFUVPVAUUIABCUUAUVHFGHJKLMNOPQRSWEXHXIXEX
        JUUQUVTUVOUWAUVQUUQUUHUUCUVIHUURXGUUGYKUVPHWLXKWNXLUUSUVOUVJUVQUVLUUSUU
        CYMUVIHUUTXGUUSUVPUVKYKHUUBYLUVIHWLXIXKWNXLUVIUVBVAZUVJUVCUVLUVEUVIUVBY
        MHWOUWOUVKUVDYKHUVIUVBYLHWOXIXKWNXBUVGUVBYKHVOYLVAUELXMZYKUVBHVOYLVAUEL
        XMZABCDEFGHIJKLUCUDUEMNOPQRSTUAUBXNZXOUVGUWPUWQUWRXPXQ $.
        $( [26-Apr-2008] $) $( [25-Apr-2008] $)
    $}

    $( The image of a group ` G ` under a group homomorphism ` F ` is a group,
       and furthermore is Abelian if ` G ` is Abelian.  This is a stronger
       result than that usually found in the literature, since the target of
       the homomorphism (operator ` O ` in our model) need not have any of the
       properties of a group as a prerequisite.  (Contributed by Paul Chapman,
       25-Apr-2008.) $)
    ghgrpi $p |- ( H e. Grp /\ ( G e. Abel -> H e. Abel ) ) $=
      ( va vb cgr wcel cabl wi cgs cfv cgi cgn eqid ghgrpilem4 cv co wceq wral
      wa w3a ablcom fveq2d ghgrpilem1 3adant1 ancoms 3eqtr3d 3coml 3expb
      opreq1 opreq2 eqeq12d ghgrpilem2 anasss 3impa 3expib r19.21aivv cdm cxp
      wss crn wfn fndm ax-mp resgrprn mp3an isabl biimpr mpan syl pm3.2i ) FSTZ
      EUATZFUATZUBABCEUCUDZEUEUDZDEFEUFUDZGHIJKLMNOPWIUGWJUGWHUGUHZWFQUIZRUIZFU
      JZWMWLFUJZUKZRIULQIULZWGWFWPQRIIWFWLITZWMITZWPWFWRWSWPWFWRUMWLBUIZDUDZFUJ
      ZXAWLFUJZUKZWPABBCWMDEFGHIJKLMNOPWTHTZWFWRXDXEWFUMAUIZDUDZXAFUJZXAXGFUJZU
      KZXDABACWLDEFGHIJKLMNOPXFHTZXEWFXJWFXKXEXJWFXKXEUNZXFWTEUJZDUDZWTXFEUJZDU
      DZXHXIXLXMXODXFWTEHKUOUPXKXEXNXHUKWFABCXFWTDEFGHIJKLMNOPUQURXKXEXPXIUKZWF
      XEXKXQABCWTXFDEFGHIJKLMNOPUQUSURUTVAVBXGWLUKXHXBXIXCXGWLXAFVCXGWLXAFVDVEV
      FVGXAWMUKXBWNXCWOXAWMWLFVDXAWMWLFVCVEVFVHVIVJWEWQWGWKWGWEWQUMQRFIGVKCCVLZ
      UKZWEICVMIFVNUKGXRVOXSNXRGVPVQWKMGFCIPVRVSVTWAWBWCWD $.
      $( [26-Apr-2008] $) $( [25-Apr-2008] $)
  $}

  ${
    $d F x y $.  $d H x y $.  $d O x y $.  $d S x y $.  $d W x y $.
    $d Z x y $.
    ghsubgi.1 $e |- S e. ( SubGrp ` G ) $.
    ghsubgi.2 $e |- X = ran G $.
    ghsubgi.3 $e |- F : X --> Y $.
    ghsubgi.4 $e |- Y (_ A $.
    ghsubgi.5 $e |- O Fn ( A X. A ) $.
    ghsubgi.6 $e |- ( ( x e. X /\ y e. X ) ->
                      ( F ` ( x G y ) ) = ( ( F ` x ) O ( F ` y ) ) ) $.
    ghsubgi.7 $e |- Z = ran S $.
    ghsubgi.8 $e |- W = ( F " Z ) $.
    ghsubgi.9 $e |- H = ( O |` ( W X. W ) ) $.

    $( The image of a subgroup ` S ` of group ` G ` under a group homomorphism
       ` F ` on ` G ` is a group, and furthermore is Abelian if ` S ` is
       Abelian.  (Contributed by Paul Chapman, 25-Apr-2008.) $)
    ghsubgi $p |- ( H e. Grp /\ ( S e. Abel -> H e. Abel ) ) $=
      ( cres cgr wcel wss csubg cfv w3a issubg mpbi 3simp2i wfo cima wfun cdm
      wf ffun ax-mp subgrnss fdmi sseqtr4 fores mp2an wceq wb foeq3 mpbir crn
      df-ima wa fssres frn syl eqsstr sstri cv co grpcl mp3an1 fvres wi
      subgopr fveq2d sseli syl2an 3eqtrd opreqan12d eqtr4d ghgrpi ) ABCELUBZDGH
      LIFUCUDZDUCUDZDFUEZDFUFUGUDZWKWLWMUHMFDUIUJUKZSLIWJULZLELUMZWJULZEUNZLEUO
      ZUEWRJKEUPZWSOJKEUQURLJWTWNLJUEZMFDLJNSUSURZJKEOUTVALEVBVCIWQVDWPWRVETIWQ
      LWJVFURVGIKCIWQKTWQWJVHZKELVIXAXBXDKUEZOXCXAXBVJLKWJUPXEJKLEVKLKWJVLVMVCV
      NVNPVOQAVPZLUDZBVPZLUDZVJZXFXHDVQZWJUGZXFEUGZXHEUGZHVQZXFWJUGZXHWJUGZHVQX
      JXLXKEUGZXFXHFVQZEUGZXOXJXKLUDZXLXRVDWLXGXIYAWOXFXHDLSVRVSXKLEVTVMXJXKXSE
      WNXJXKXSVDWAMXFXHFDLSWBURWCXFJUDXHJUDXTXOVDXGXIRLJXFXCWDLJXHXCWDWEWFXGXIX
      PXMXQXNHXFLEVTXHLEVTWGWHUAWI $.
      $( [26-Apr-2008] $) $( [25-Apr-2008] $)
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                   Ring theory
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                   Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Ring $.

  $( Extend class notation with the class of all unital rings. $)
  cring $a class Ring $.

  ${
    $d g h x y z $.
    $( Define the class of all unital rings. $)
    df-ring $a |- Ring = { <. g , h >. | ( ( g e. Abel /\ h : ( ran g X. ran g
      ) --> ran g ) /\ ( A. x e. ran g A. y e. ran g A. z e. ran g ( ( ( x h y
       ) h z ) = ( x h ( y h z ) ) /\ ( x h ( y g z ) ) = ( ( x h y ) g ( x h z
          ) ) /\ ( ( x g y ) h z ) = ( ( x h z ) g ( y h z ) ) ) /\ E. x e. ran
            g A. y e. ran g ( ( y h x ) = y /\ ( x h y ) = y ) ) ) } $.
  $}

  ${
    $d g h x y z G $.  $d g h x y z H $.  $d g h x y z X $.
    isring.1 $e |- X = ran G $.
    $( The predicate "is a (unital) ring."  Definition of ring with unit in
       [Schechter] p. 187.  (Contributed by Jeffrey Hankins, 21-Nov-2006.) $)
    isring $p |- ( H e. A -> ( <. G , H >. e. Ring <-> ( ( G e. Abel /\ H : ( X
      X. X ) --> X ) /\ ( A. x e. X A. y e. X A. z e. X ( ( ( x H y ) H z ) = (
        x H ( y H z ) ) /\ ( x H ( y G z ) ) = ( ( x H y ) G ( x H z ) ) /\ ( (
          x G y ) H z ) = ( ( x H z ) G ( y H z ) ) ) /\ E. x e. X A. y e. X (
            ( y H x ) = y /\ ( x H y ) = y ) ) ) ) ) $=
      ( vg vh wcel cop cring cabl cxp wf wa cv co wceq w3a wral wrex cvv wbr
      df-br wrel crn copab relopab df-ring releqi mpbir brrelexi sylbir anim1i
      ancoms elisset adantrr eleq1 wb rneq syl6eqr xpeq1 xpeq2 eqtrd feq2 syl
      feq3 bitrd anbi12d opreq opreq2d eqeq12d opreq1d 3anbi23d raleq12d
      raleq1d rexeq12d feq1 anbi2d opreq12d 3anbi123d ralbidv 2ralbidv eqeq1d
      rexralbidv opelopabg eleq2i syl5bb pm5.21nd ) FDKZEFLZMKZENKZGGOZGFPZQZAR
      ZBRZFSZCRZFSZWSWTXBFSZFSZTZWSWTXBESZFSZXAWSXBFSZESZTZWSWTESZXBFSZXIXDESZT
      ZUAZCGUBZBGUBAGUBZWTWSFSZWTTZXAWTTZQZBGUBAGUCZQZQZEUDKZWLQZWNWLYGWNYFWLWN
      EFMUEYFEFMUFEFMMUGIRZNKZYHUHZYJOZYJJRZPZQZWSWTYLSZXBYLSZWSWTXBYLSZYLSZTZW
      SWTXBYHSZYLSZYOWSXBYLSZYHSZTZWSWTYHSZXBYLSZUUBYQYHSZTZUAZCYJUBZBYJUBZAYJU
      BZWTWSYLSZWTTZYOWTTZQZBYJUBZAYJUCZQZQZIJUIZUGUUTIJUJMUVAABCIJUKZULUMUNUOU
      PUQWLWRYGYDWLWOYGWQWOWLYGWOYFWLENURUPUQUSUSYGWMUVAKYEWNUUTWOWPGYLPZQZYSWS
      XGYLSZYOUUBESZTZXLXBYLSZUUBYQESZTZUAZCGUBZBGUBZAGUBZUUPBGUBZAGUCZQZQYEIJE
      FUDDYHETZYNUVDUUSUVQUVRYIWOYMUVCYHENUTUVRYJGTZYMUVCVAUVRYJEUHGYHEVBHVCZUV
      SYMWPYJYLPZUVCUVSYKWPTYMUWAVAUVSYKGYJOWPYJGYJVDYJGGVEVFYKWPYJYLVGVHYJGWPY
      LVIVJVHVKUVRUULUVNUURUVPUVRUUKUVMAYJGUVTUVRUUJUVLBYJGUVTUVRUUIUVKCYJGUVTU
      VRUUDUVGUUHUVJYSUVRUUAUVEUUCUVFUVRYTXGWSYLWTXBYHEVLVMYOUUBYHEVLVNUVRUUFUV
      HUUGUVIUVRUUEXLXBYLWSWTYHEVLVOUUBYQYHEVLVNVPVQVQVQUVRUUQUVOAYJGUVTUVRUUPB
      YJGUVTVRVSVKVKYLFTZUVDWRUVQYDUWBUVCWQWOWPGYLFVTWAUWBUVNXRUVPYCUWBUVLXQABG
      GUWBUVKXPCGUWBYSXFUVGXKUVJXOUWBYPXCYRXEUWBYPYOXBFSXCYOXBYLFVLUWBYOXAXBFWS
      WTYLFVLZVOVFUWBYRWSYQFSXEWSYQYLFVLUWBYQXDWSFWTXBYLFVLZVMVFVNUWBUVEXHUVFXJ
      WSXGYLFVLUWBYOXAUUBXIEUWCWSXBYLFVLZWBVNUWBUVHXMUVIXNXLXBYLFVLUWBUUBXIYQXD
      EUWEUWDWBVNWCWDWEUWBUUPYBABGGUWBUUNXTUUOYAUWBUUMXSWTWTWSYLFVLWFUWBYOXAWTU
      WCWFVKWGVKVKWHMUVAWMUVBWIWJWK $.
      $( [22-Nov-2006] $) $( [21-Nov-2006] $)
  $}

  ${
    $d G g h x y z $.  $d H g h x y z $.  $d R g h $.  $d X g h x y z $.
    ringi.1 $e |- G = ( 1st ` R ) $.
    ringi.2 $e |- H = ( 2nd ` R ) $.
    ringi.3 $e |- X = ran G $.
    $( The properties of a unital ring.  (Contributed by Steve Rodriguez,
       8-Sep-2007.) $)
    ringi $p |- ( R e. Ring -> ( ( G e. Abel /\ H : ( X X. X ) --> X ) /\
     ( A. x e. X A. y e. X A. z e. X ( ( ( x H y ) H z ) = ( x H ( y H z ) ) /\
                 ( x H ( y G z ) ) = ( ( x H y ) G ( x H z ) ) /\
                 ( ( x G y ) H z ) = ( ( x H z ) G ( y H z ) ) ) /\
                E. x e. X A. y e. X ( ( y H x ) = y /\ ( x H y ) = y ) ) ) ) $=
      ( vg vh cring wcel cv cabl crn cxp wf wa co wceq w3a wral wrex copab
      df-ring eleq2i c1st cfv wb eqeq2i eleq1 rneq syl6eqr xpeq1 xpeq2 eqtrd
      feq2 syl feq3 bitrd anbi12d raleq1 raleqd opreq opreq2d eqeq12d opreq1d
      3anbi23d ralbidv 2ralbidv raleq1d rexeq12d sylbir c2nd feq1 anbi2d
      opreq12d 3anbi123d eqeq1d rexralbidv elopabi sylbi ) DMNDKOZPNZWEQZWGRZWG
      LOZSZTZAOZBOZWIUAZCOZWIUAZWLWMWOWIUAZWIUAZUBZWLWMWOWEUAZWIUAZWNWLWOWIUAZW
      EUAZUBZWLWMWEUAZWOWIUAZXBWQWEUAZUBZUCZCWGUDZBWGUDZAWGUDZWMWLWIUAZWMUBZWNW
      MUBZTZBWGUDZAWGUEZTZTZKLUFZNEPNZGGRZGFSZTZWLWMFUAZWOFUAZWLWMWOFUAZFUAZUBZ
      WLWMWOEUAZFUAZYFWLWOFUAZEUAZUBZWLWMEUAZWOFUAZYMYHEUAZUBZUCZCGUDZBGUDAGUDZ
      WMWLFUAZWMUBZYFWMUBZTZBGUDAGUEZTZTZMYADABCKLUGUHXTYBYCGWISZTZWSWLYKWIUAZW
      NXBEUAZUBZYPWOWIUAZXBWQEUAZUBZUCZCGUDZBGUDAGUDZXPBGUDZAGUEZTZTZUUIKLDWEDU
      IUJZUBWEEUBZXTUVDUKEUVEWEHULUVFWKUUKXSUVCUVFWFYBWJUUJWEEPUMUVFWGGUBZWJUUJ
      UKUVFWGEQGWEEUNJUOZUVGWJYCWGWISZUUJUVGWHYCUBWJUVIUKUVGWHGWGRYCWGGWGUPWGGG
      UQURWHYCWGWIUSUTWGGYCWIVAVBUTVCUVFXLUUTXRUVBUVFXLXICGUDZBGUDZAGUDZUUTUVFU
      VGXLUVLUKUVHXKUVKAWGGXJUVJBWGGXICWGGVDVEVEUTUVFUVJUUSABGGUVFXIUURCGUVFXDU
      UNXHUUQWSUVFXAUULXCUUMUVFWTYKWLWIWMWOWEEVFVGWNXBWEEVFVHUVFXFUUOXGUUPUVFXE
      YPWOWIWLWMWEEVFVIXBWQWEEVFVHVJVKVLVBUVFXQUVAAWGGUVHUVFXPBWGGUVHVMVNVCVCVO
      WIDVPUJZUBWIFUBZUVDUUIUKFUVMWIIULUVNUUKYEUVCUUHUVNUUJYDYBYCGWIFVQVRUVNUUT
      UUBUVBUUGUVNUUSUUAABGGUVNUURYTCGUVNWSYJUUNYOUUQYSUVNWPYGWRYIUVNWPWNWOFUAY
      GWNWOWIFVFUVNWNYFWOFWLWMWIFVFZVIURUVNWRWLWQFUAYIWLWQWIFVFUVNWQYHWLFWMWOWI
      FVFZVGURVHUVNUULYLUUMYNWLYKWIFVFUVNWNYFXBYMEUVOWLWOWIFVFZVSVHUVNUUOYQUUPY
      RYPWOWIFVFUVNXBYMWQYHEUVQUVPVSVHVTVKVLUVNXPUUFABGGUVNXNUUDXOUUEUVNXMUUCWM
      WMWLWIFVFWAUVNWNYFWMUVOWAVCWBVCVCVOWCWD $.
      $( [14-Sep-2007] $) $( [8-Sep-2007] $)
  $}

  ${
    $d G x y z $.  $d H x y z $.  $d X x y z $.
    ringsm.1 $e |- G = ( 1st ` R ) $.
    ringsm.2 $e |- H = ( 2nd ` R ) $.
    ringsm.3 $e |- X = ran G $.
    $( Functionality of the multiplication operation of a ring.  (Contributed
       by Steve Rodriguez, 9-Sep-2007.) $)
    ringsm $p |- ( R e. Ring -> H : ( X X. X ) --> X ) $=
      ( vx vy vz cring wcel cabl cxp wf wa cv co wceq w3a wral wrex ringi
      pm3.26d pm3.27d ) AKLZBMLZDDNDCOZUFUGUHPHQZIQZCRZJQZCRUIUJULCRZCRSUIUJULB
      RCRUKUIULCRZBRSUIUJBRULCRUNUMBRSTJDUAIDUAHDUAUJUICRUJSUKUJSPIDUAHDUBPHIJA
      BCDEFGUCUDUE $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)
  $}

  ${
    ringcl.1 $e |- G = ( 1st ` R ) $.
    ringcl.2 $e |- H = ( 2nd ` R ) $.
    ringcl.3 $e |- X = ran G $.
    $( Closure of the multiplication operation of a ring.  (Contributed
       by Steve Rodriguez, 9-Sep-2007.) $)
    ringcl $p |- ( ( R e. Ring /\ A e. X /\ B e. X ) -> ( A H B ) e. X ) $=
      ( cxp wf wcel co cring foprrn ringsm syl3an1 ) FFJFEKAFLBFLABEMFLCNLABFFF
      EOCDEFGHIPQ $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)
  $}

  ${
    $d A x y $.  $d G x y z $.  $d H x y z $.  $d R y $.  $d X x y z $.
    ringid.1 $e |- G = ( 1st ` R ) $.
    ringid.2 $e |- H = ( 2nd ` R ) $.
    ringid.3 $e |- X = ran G $.
    $( The multiplication operation of a unital ring has (one or more) identity
       elements.  (Contributed by Steve Rodriguez, 9-Sep-2007.) $)
    ringid $p |- ( ( R e. Ring /\ A e. X ) ->
                 E. x e. X ( ( A H x ) = A /\ ( x H A ) = A ) ) $=
      ( vy vz wcel cring cv co wceq wa wrex wi opreq1 id eqeq12d opreq2
      anbi12d rexbidv imbi2d wral w3a cabl cxp wf ringi pm3.27d r19.12 ra4
      3syl com12 vtoclga impcom ) BFLCMLZBANZEOZBPZVABEOZBPZQZAFRZUTJNZVAEOZVHP
      ZVAVHEOZVHPZQZAFRZSUTVGSJBFVHBPZVNVGUTVOVMVFAFVOVJVCVLVEVOVIVBVHBVHBVAETV
      OUAZUBVOVKVDVHBVHBVAEUCVPUBUDUEUFUTVHFLZVNUTVMJFUGAFRZVNJFUGVQVNSUTVKKNZE
      OVAVHVSEOZEOPVAVHVSDOEOVKVAVSEOZDOPVAVHDOVSEOWAVTDOPUHKFUGJFUGAFUGZVRUTDU
      ILFFUJFEUKQWBVRQAJKCDEFGHIULUMUMVMAJFFUNVNJFUOUPUQURUS $.
      $( [14-Sep-2007] $) $( [8-Sep-2007] $)
  $}

  ${
    $d A x y z $.  $d B y z $.  $d C z $.  $d G x y z $.  $d H x y z $.
    $d X x y z $.
    ringdi.1 $e |- G = ( 1st ` R ) $.
    ringdi.2 $e |- H = ( 2nd ` R ) $.
    ringdi.3 $e |- X = ran G $.
    $( Distributive law for the multiplication operation of a ring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.) $)
    ringdi $p   |- ( ( R e. Ring /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                     ( A H ( B G C ) ) = ( ( A H B ) G ( A H C ) ) ) $=
      ( vx vy vz wcel w3a cring co wceq cv wral opreq1 opreq12d eqeq12d
      opreq2d opreq2 opreq1d rcla43v 3simp2 r19.20si syl5 wa wrex cabl cxp wf
      ringi pm3.27d pm3.26d impcom ) AGNBGNCGNOZDPNZABCEQZFQZABFQZACFQZEQZRZUTK
      SZLSZFQZMSZFQVHVIVKFQZFQRZVHVIVKEQZFQZVJVHVKFQZEQZRZVHVIEQVKFQVPVLEQRZOZM
      GTZLGTZKGTZVGVAUTVRMGTZLGTZKGTVGWCVRVGAVNFQZAVIFQZAVKFQZEQZRABVKEQZFQZVDW
      HEQZRKLMABCGGGVHARZVOWFVQWIVHAVNFUAWMVJWGVPWHEVHAVIFUAVHAVKFUAUBUCVIBRZWF
      WKWIWLWNVNWJAFVIBVKEUAUDWNWGVDWHEVIBAFUEUFUCVKCRZWKVCWLVFWOWJVBAFVKCBEUEU
      DWOWHVEVDEVKCAFUEUDUCUGWBWEKGWAWDLGVTVRMGVMVRVSUHUIUIUIUJVAWCVIVHFQVIRVJV
      IRUKLGTKGULZVAEUMNGGUNGFUOUKWCWPUKKLMDEFGHIJUPUQURUJUS $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( Distributive law for the multiplication operation of a ring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.) $)
    ringdir $p   |- ( ( R e. Ring /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                      ( ( A G B ) H C ) = ( ( A H C ) G ( B H C ) ) ) $=
      ( vx vy vz wcel w3a cring co wceq cv wral opreq1 opreq1d eqeq12d opreq2
      opreq2d opreq12d rcla43v 3simp3 r19.20si syl5 wa wrex cabl cxp wf ringi
      pm3.27d pm3.26d impcom ) AGNBGNCGNOZDPNZABEQZCFQZACFQZBCFQZEQZRZUTKSZLSZF
      QZMSZFQVHVIVKFQZFQRZVHVIVKEQFQVJVHVKFQZEQRZVHVIEQZVKFQZVNVLEQZRZOZMGTZLGT
      ZKGTZVGVAUTVSMGTZLGTZKGTVGWCVSVGAVIEQZVKFQZAVKFQZVLEQZRVBVKFQZWHBVKFQZEQZ
      RKLMABCGGGVHARZVQWGVRWIWMVPWFVKFVHAVIEUAUBWMVNWHVLEVHAVKFUAUBUCVIBRZWGWJW
      IWLWNWFVBVKFVIBAEUDUBWNVLWKWHEVIBVKFUAUEUCVKCRZWJVCWLVFVKCVBFUDWOWHVDWKVE
      EVKCAFUDVKCBFUDUFUCUGWBWEKGWAWDLGVTVSMGVMVOVSUHUIUIUIUJVAWCVIVHFQVIRVJVIR
      UKLGTKGULZVAEUMNGGUNGFUOUKWCWPUKKLMDEFGHIJUPUQURUJUS $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( Associative law for the multiplication operation of a ring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.) $)
    ringass $p   |- ( ( R e. Ring /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                      ( ( A H B ) H C ) = ( A H ( B H C ) ) ) $=
      ( vx vy vz wcel w3a cring co wceq cv wral opreq1 opreq1d eqeq12d opreq2
      opreq2d rcla43v wa wrex cabl cxp wf ringi pm3.27d pm3.26d 3simp1
      r19.20si syl syl5 impcom ) AGNBGNCGNOZDPNZABFQZCFQZABCFQZFQZRZUTKSZLSZFQZ
      MSZFQZVGVHVJFQZFQZRZMGTZLGTZKGTZVFVAVNVFAVHFQZVJFQZAVLFQZRVBVJFQZABVJFQZF
      QZRKLMABCGGGVGARZVKVSVMVTWDVIVRVJFVGAVHFUAUBVGAVLFUAUCVHBRZVSWAVTWCWEVRVB
      VJFVHBAFUDUBWEVLWBAFVHBVJFUAUEUCVJCRZWAVCWCVEVJCVBFUDWFWBVDAFVJCBFUDUEUCU
      FVAVNVGVHVJEQFQVIVGVJFQZEQRZVGVHEQVJFQWGVLEQRZOZMGTZLGTZKGTZVQVAWMVHVGFQV
      HRVIVHRUGLGTKGUHZVAEUINGGUJGFUKUGWMWNUGKLMDEFGHIJULUMUNWLVPKGWKVOLGWJVNMG
      VNWHWIUOUPUPUPUQURUS $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)
  $}

  ${
    $d A x $.  $d G x $.  $d H x $.  $d R x $.  $d X x $.
    ring2.1 $e |- G = ( 1st ` R ) $.
    ring2.2 $e |- H = ( 2nd ` R ) $.
    ring2.3 $e |- X = ran G $.
    $( A ring element plus itself is two times the element.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.) $)
    ring2 $p   |- ( ( R e. Ring /\ A e. X ) ->
                  E. x e. X ( A G A ) = ( ( x G x ) H A ) ) $=
      ( cring wcel wa cv co wceq wrex ringid pm3.27 r19.22si opreq12 anidms
      3syl wi w3a eqtrt eqcomd ringdir expcom 3expia 3imp 3com13 sylan ex
      3expa r19.22dva mpd ) CJKZBFKZLZAMZBENZVADNZBBDNZOZAFPZVCUTUTDNBENZOZAFPU
      SBUTENBOZVABOZLZAFPVIAFPVEABCDEFGHIQVJVIAFVHVIRSVIVDAFVIVDVABVABDTUASUBUS
      VDVGAFUQURUTFKZVDVGUCUQURVKUDZVDVGVFVBOZVDVGVLVMVDLVFVCVFVBVCUEUFVKURUQVM
      VKURUQVMVKURUQVMUCZUCVKVKURVNUQVKVKURUDVMUTUTBCDEFGHIUGUHUIUAUJUKULUMUNUO
      UP $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)
  $}

  ${
    $d G x y z $.  $d R x y z $.
    ringabl.1 $e |- G = ( 1st ` R ) $.
    $( A ring's addition operation is an Abelian group operation.  (Contributed
       by Steve Rodriguez, 9-Sep-2007.) $)
    ringabl $p   |- ( R e. Ring -> G e. Abel ) $=
      ( vx vy vz cring wcel cabl crn cxp c2nd cfv wf wa cv co wceq w3a wral
      wrex eqid ringi pm3.26d ) AGHZBIHZBJZUGKUGALMZNZUEUFUIODPZEPZUHQZFPZUHQUJ
      UKUMUHQZUHQRUJUKUMBQUHQULUJUMUHQZBQRUJUKBQUMUHQUOUNBQRSFUGTEUGTDUGTUKUJUH
      QUKRULUKROEUGTDUGUAODEFABUHUGCUHUBUGUBUCUDUD $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)
  $}

  ${
    ringgrp.1 $e |- G = ( 1st ` R ) $.
    $( A ring's addition operation is a group operation.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.) $)
    ringgrp $p   |- ( R e. Ring -> G e. Grp ) $=
      ( cring wcel cabl cgr ringabl ablgrp syl ) ADEBFEBGEABCHBIJ $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)
  $}

  ${
    ringgcl.1 $e |- G = ( 1st ` R ) $.
    ringgcl.2 $e |- X = ran G $.
    $( Closure law for the addition (group) operation of a ring.  (Contributed
       by Steve Rodriguez, 9-Sep-2007.) $)
    ringgcl $p   |- ( ( R e. Ring /\ A e. X /\ B e. X ) -> ( A G B ) e. X ) $=
      ( cgr wcel co cring grpcl ringgrp syl3an1 ) DHIAEIBEIABDJEICKIABDEGLCDFMN
      $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( The addition operation of a ring is commutative.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.) $)
    ringcom $p   |- ( ( R e. Ring /\ A e. X /\ B e. X ) ->
                      ( A G B ) = ( B G A ) ) $=
      ( cabl wcel co wceq cring ablcom ringabl syl3an1 ) DHIAEIBEIABDJBADJKCLIA
      BDEGMCDFNO $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( The addition operation of a ring is associative.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.) $)
    ringaass $p   |- ( ( R e. Ring /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                        ( ( A G B ) G C ) = ( A G ( B G C ) ) ) $=
      ( cgr wcel w3a co wceq cring grpass ringgrp sylan ) EIJAFJBFJCFJKABELCELA
      BCELELMDNJABCEFHODEGPQ $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( The addition operation of a ring is commutative.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.) $)
    ringa23 $p   |- ( ( R e. Ring /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                      ( ( A G B ) G C ) = ( ( A G C ) G B ) ) $=
      ( cabl wcel w3a co wceq cring abl23 ringabl sylan ) EIJAFJBFJCFJKABELCELA
      CELBELMDNJABCEFHODEGPQ $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( Rearrangement of 4 terms in a sum of ring elements.  (Contributed by
       Steve Rodriguez, 9-Sep-2007.) $)
    ringa4 $p   |- ( ( R e. Ring /\ ( A e. X /\ B e. X ) /\
                   ( C e. X /\ D e. X ) ) ->
                     ( ( A G B ) G ( C G D ) ) = ( ( A G C ) G ( B G D ) ) ) $=
      ( cabl wcel wa co wceq cring abl4 ringabl syl3an1 ) FJKAGKBGKLCGKDGKLABFM
      CDFMFMACFMBDFMFMNEOKABCDFGIPEFHQR $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( Right cancellation law for the addition operation of a ring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.) $)
    ringrcan $p   |- ( ( R e. Ring /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                       ( ( A G C ) = ( B G C ) <-> A = B ) ) $=
      ( cgr wcel w3a co wceq wb cring grprcan ringgrp sylan ) EIJAFJBFJCFJKACEL
      BCELMABMNDOJABCEFHPDEGQR $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( Left cancellation law for the addition operation of a ring.
       (Contributed by Steve Rodriguez, 9-Sep-2007.) $)
    ringlcan $p   |- ( ( R e. Ring /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                       ( ( C G A ) = ( C G B ) <-> A = B ) ) $=
      ( cgr wcel w3a co wceq wb cring grplcan ringgrp sylan ) EIJAFJBFJCFJKCAEL
      CBELMABMNDOJABCEFHPDEGQR $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)
  $}

  ${
    ring0cl.1 $e |- G = ( 1st ` R ) $.
    ring0cl.2 $e |- X = ran G $.
    ring0cl.3 $e |- Z = ( Id ` G ) $.
    $( A ring has an additive identity element.  (Contributed by Steve
       Rodriguez, 9-Sep-2007.) $)
    ring0cl $p   |- ( R e. Ring -> Z e. X ) $=
      ( cring wcel cgr ringgrp grpidcl syl ) AHIBJIDCIABEKDBCFGLM $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( The additive identity of a ring is a right identity element.
       (Contributed by Steve Rodriguez, 9-Sep-2007.) $)
    ring0rid $p   |- ( ( R e. Ring /\ A e. X ) -> ( A G Z ) = A ) $=
      ( cgr wcel co wceq cring grprid ringgrp sylan ) CIJADJAECKALBMJAECDGHNBCF
      OP $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)

    $( The additive identity of a ring is a left identity element.
       (Contributed by Steve Rodriguez, 9-Sep-2007.) $)
    ring0lid $p   |- ( ( R e. Ring /\ A e. X ) -> ( Z G A ) = A ) $=
      ( cgr wcel co wceq cring grplid ringgrp sylan ) CIJADJEACKALBMJAECDGHNBCF
      OP $.
      $( [14-Sep-2007] $) $( [9-Sep-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of rings
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
   $d x y z $.
   $( The set of complex numbers is a (unital) ring.  (Contributed by Steve
      Rodriguez, 2-Feb-2007.) $)
   cnring $p |- <. + , x. >. e. Ring $=
     ( vx vy vz caddc cmul cop cring wcel cabl cc cxp wf wa cv co wceq w3a
     wral wrex cvv wb mulex cgr cnaddabl ablgrp ax-mp axaddopr fdmi grprn
     isring axmulopr pm3.2i axmulass axdistr adddirt 3jca rgen3 c1 ax1cn ax1id
     mulid2t jca rgen opreq2 eqeq1d opreq1 anbi12d ralbidv rcla4ev mp2an
     mpbir2an ) DEFGHZDIHZJJKZJELZMZANZBNZEOZCNZEOVQVRVTEOZEOPZVQVRVTDOEOVSVQVT
     EOZDOPZVQVRDOVTEOWCWADOPZQZCJRBJRAJRZVRVQEOZVRPZVSVRPZMZBJRZAJSZMZETHVLVPW
     NMUAUBABCTDEJDJVMDUCHUDDUEUFVNJDUGUHUIUJUFVMVOUDUKULWGWMWFABCJJJVQJHVRJHZV
     TJHQWBWDWEVQVRVTUMVQVRVTUNVQVRVTUOUPUQURJHVRUREOZVRPZURVREOZVRPZMZBJRZWMUS
     WTBJWOWQWSVRUTVRVAVBVCWLXAAURJVQURPZWKWTBJXBWIWQWJWSXBWHWPVRVQURVREVDVEXBV
     SWRVRVQURVREVFVEVGVHVIVJULVK $.
     $( [25-Jul-2008] $) $( [22-Nov-2006] $)
  $}

  ${
   $d x y z A $.
   ringsn.1 $e |- A e. V $.
   $( The _trivial_ or _zero_ ring defined on a singleton set ` { A } `
      (see  ~ http://en.wikipedia.org/wiki/Trivial&#x5F;ring ).  (Contributed
      by Steve Rodriguez, 10-Feb-2007.) $)
   ringsn $p |- <. { <. <. A , A >. , A >. } , { <. <. A , A >. , A >. } >.
                e. Ring $=
     ( vx vy vz cop csn cring wcel cabl cxp wf wa cv co wceq w3a wral wrex cvv
     wb snex crn opex rnsnop eqcomi isring ax-mp ablsn wfn ffnoprval wfun cdm
     df-fn funsn dmsnop xpsn eqtr4 mpbir2an opreq12 cfv df-opr fvsn eqtr
     syl6eq elsnc2 sylibr elsn syl2anb rgen2a pm3.2i pm3.26 3eqtr4a 3adant3
     pm3.27 eqtr4d 3adant1 opreq12d eqtr3t opreq1d ancoms opreq2d 3jca syl3anb
     rgen3 snid opreq1 id eqeq12d opreq2 anbi12d mpbiri sylbi rgen eqeq1d
     ralbidv rcla4ev mp2an ) AAFZAFZGZXAFHIZXAJIZAGZXDKZXDXALZMZCNZDNZXAOZENZXA
     OZXHXIXKXAOZXAOZPZXNXJXHXKXAOZXAOPZXLXPXMXAOPZQZEXDRDXDRCXDRZXIXHXAOZXIPZX
     JXIPZMZDXDRZCXDSZMZXATIXBXGYGMUAWTUBCDETXAXAXDXAUCXDWSAAAUDZBUEUFUGUHXCXFA
     BUIXFXAXEUJZXJXDIZDXDRCXDRCDXDXDXDXAUKYIXAULXAUMZXEPXAXEUNWSAYHBUOYKWSGXEW
     SAUPAABBUQURUSYJCDXDXHAPZXIAPZYJXHXDIZXIXDIZYLYMMZXJAPYJYPXJAAXAOZAXHAXIAX
     AUTZYQWSXAVAAAAXAVBWSAYHBVCVDZVEZXJABVFVGCAVHZDAVHZVIVJUSVKXTYFXSCDEXDXDXD
     YLYMXKAPZXSYNYOXKXDIYLYMUUCQZXOXQXRUUDXJXHXKXMXAYLYMXJXHPUUCYPYQAXJXHYSYRY
     LYMVLZVMVNYMUUCXKXMPYLYMUUCMZXKAXMYMUUCVOUUFXMYQAXIAXKAXAUTYSVEVPVQZVRUUDX
     HXJXMXPXAYLYMXHXJPUUCYPXHAXJUUEYTVPVNYLYMXMXPPZUUCYMYLUUHYMYLMXIXHXKXAXIXH
     AVSVTWAVNVRUUDXJXPXKXMXAYMUUCXJXPPYLUUFXIXKXHXAXIXKAVSWBVQUUGVRWCUUAUUBEAV
     HWDWEAXDIXIAXAOZXIPZAXIXAOZXIPZMZDXDRZYFABWFUUMDXDYOYMUUMUUBYMUUMYQAPZUUOM
     UUOUUOYSYSVKYMUUJUUOUULUUOYMUUIYQXIAXIAAXAWGYMWHZWIYMUUKYQXIAXIAAXAWJUUPWI
     WKWLWMWNYEUUNCAXDYLYDUUMDXDYLYBUUJYCUULYLYAUUIXIXHAXIXAWJWOYLXJUUKXIXHAXIX
     AWGWOWKWPWQWRVKUS $.
     $( [10-Feb-2007] $) $( [3-Feb-2007] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                   Complex vector spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CVec $.

  $( Extend class notation with the class of all complex vector spaces. $)
  cvc $a class CVec $.

  ${
    $d g s x y z $.
    $( Define the class of all complex vector spaces. $)
    df-vc $a |- CVec = { <. g , s >. | ( g e. Abel /\
     s :  ( CC X. ran g ) --> ran g /\ A. x e. ran g ( ( 1 s x ) = x /\
       A. y e. CC ( A. z e. ran g ( y s ( x g z ) ) = ( ( y s x ) g ( y s z ) )
         /\ A. z e. CC ( ( ( y + z ) s x ) = ( ( y s x ) g ( z s x ) ) /\
           ( ( y x. z ) s x ) = ( y s ( z s x ) ) ) ) ) ) } $.

    $( The class of all complex vector spaces is a relation. $)
    vcrel $p |- Rel CVec $=
      ( vg vs vx vy vz cvc wrel cv cabl wcel cc crn cxp wf c1 co wceq wral
      caddc cmul wa w3a copab relopab df-vc releqi mpbir ) FGAHZIJKUHLZMUIBHZNO
      CHZUJPUKQDHZUKEHZUHPUJPULUKUJPZULUMUJPUHPQEUIRULUMSPUKUJPUNUMUKUJPZUHPQUL
      UMTPUKUJPULUOUJPQUAEKRUADKRUACUIRUBZABUCZGUPABUDFUQCDEABUEUFUG $.
      $( [6-Apr-2007] $) $( [17-Mar-2007] $)
  $}

  ${
    $d g s w x y z G $.  $d g s w x y z S $.  $d g s W $.  $d g s w x y z X $.
    $d w x y z A $.  $d w x y z B $.  $d x y z C $.
    vci.1 $e |- G = ( 1st ` W ) $.
    vci.2 $e |- S = ( 2nd ` W ) $.
    vci.3 $e |- X = ran G $.
    $( The properties of a complex vector space, which is an Abelian group
       (i.e. the vectors, with the operation of vector addition) accompanied
       by a scalar multiplication operation on the field of complex numbers.
       The variable ` W ` was chosen because ` V ` is already used for the
       universal class. $)
    vci $p |- ( W e. CVec ->
              ( G e. Abel /\
         S :  ( CC X. X ) --> X /\ A. x e. X ( ( 1 S x ) = x /\
       A. y e. CC ( A. z e. X ( y S ( x G z ) ) = ( ( y S x ) G ( y S z ) )
         /\ A. z e. CC ( ( ( y + z ) S x ) = ( ( y S x ) G ( z S x ) ) /\
           ( ( y x. z ) S x ) = ( y S ( z S x ) ) ) ) ) ) ) $=
      ( vg vs cvc wcel cv cabl cc crn cxp wf c1 co wceq wral caddc cmul wa w3a
      copab df-vc eleq2i c1st cfv wb eqeq2i eleq1 rneq syl6eqr xpeq2 feq2 syl
      feq3 bitrd opreq opreq2d eqeq12d raleq12d eqeq2d anbi1d ralbidv anbi12d
      anbi2d 3anbi123d sylbir c2nd feq1 eqeq1d opreq12d eqtrd 3anbi23d elopabi
      sylbi ) FMNFKOZPNZQWCRZSZWELOZTZUAAOZWGUBZWIUCZBOZWICOZWCUBZWGUBZWLWIWGUB
      ZWLWMWGUBZWCUBZUCZCWEUDZWLWMUEUBZWIWGUBZWPWMWIWGUBZWCUBZUCZWLWMUFUBZWIWGU
      BZWLXCWGUBZUCZUGZCQUDZUGZBQUDZUGZAWEUDZUHZKLUIZNEPNZQGSZGDTZUAWIDUBZWIUCZ
      WLWIWMEUBZDUBZWLWIDUBZWLWMDUBZEUBZUCZCGUDZXAWIDUBZYEWMWIDUBZEUBZUCZXFWIDU
      BZWLYKDUBZUCZUGZCQUDZUGZBQUDZUGZAGUDZUHZMXQFABCKLUJUKXPXRXSGWGTZWKWLYCWGU
      BZWPWQEUBZUCZCGUDZXBWPXCEUBZUCZXIUGZCQUDZUGZBQUDZUGZAGUDZUHZUUCKLFWCFULUM
      ZUCWCEUCZXPUUQUNEUURWCHUOUUSWDXRWHUUDXOUUPWCEPUPUUSWEGUCZWHUUDUNUUSWEERGW
      CEUQJURZUUTWHXSWEWGTZUUDUUTWFXSUCWHUVBUNWEGQUSWFXSWEWGUTVAWEGXSWGVBVCVAUU
      SXNUUOAWEGUVAUUSXMUUNWKUUSXLUUMBQUUSWTUUHXKUULUUSWSUUGCWEGUVAUUSWOUUEWRUU
      FUUSWNYCWLWGWIWMWCEVDVEWPWQWCEVDVFVGUUSXJUUKCQUUSXEUUJXIUUSXDUUIXBWPXCWCE
      VDVHVIVJVKVJVLVGVMVNWGFVOUMZUCWGDUCZUUQUUCUNDUVCWGIUOUVDUUDXTUUPUUBXRXSGW
      GDVPUVDUUOUUAAGUVDWKYBUUNYTUVDWJYAWIUAWIWGDVDVQUVDUUMYSBQUVDUUHYIUULYRUVD
      UUGYHCGUVDUUEYDUUFYGWLYCWGDVDUVDWPYEWQYFEWLWIWGDVDZWLWMWGDVDVRVFVJUVDUUKY
      QCQUVDUUJYMXIYPUVDXBYJUUIYLXAWIWGDVDUVDWPYEXCYKEUVEWMWIWGDVDZVRVFUVDXGYNX
      HYOXFWIWGDVDUVDXHWLYKWGUBYOUVDXCYKWLWGUVFVEWLYKWGDVDVSVFVKVJVKVJVKVJVTVNW
      AWB $.
      $( [4-Nov-2006] $) $( [3-Nov-2006] $)

    $( Functionality of th scalar product of a complex vector space. $)
    vcsm $p |- ( W e. CVec -> S : ( CC X. X ) --> X ) $=
      ( vx vy vz cvc wcel cabl cc cxp wf c1 cv co wceq wral caddc cmul wa vci
      3simp2d ) CKLBMLNDODAPQHRZASUGTIRZUGJRZBSASUHUGASZUHUIASBSTJDUAUHUIUBSUGA
      SUJUIUGASZBSTUHUIUCSUGASUHUKASTUDJNUAUDINUAUDHDUAHIJABCDEFGUEUF $.
      $( [5-Nov-2006] $) $( [3-Nov-2006] $)

    $( Closure of the scalar product of a complex vector space. $)
    vccl $p |- ( ( W e. CVec /\ A e. CC /\ B e. X ) -> ( A S B ) e. X ) $=
      ( cc cxp wf wcel co cvc foprrn vcsm syl3an1 ) JFKFCLAJMBFMABCNFMEOMABFJFC
      PCDEFGHIQR $.
      $( [11-Nov-2006] $) $( [3-Nov-2006] $)

    $( Identity element for the scalar product of a complex vector space. $)
    vcid $p |- ( ( W e. CVec /\ A e. X ) -> ( 1 S A ) = A ) $=
      ( vx vy vz c1 cv co wceq wral wcel cvc opreq2 id eqeq12d rcla4cva cabl
      cc cxp wf caddc cmul wa w3a vci pm3.26 r19.20si 3ad2ant3 syl sylan ) LIMZ
      BNZUQOZIEPZAEQLABNZAOZDRQZUSVBIAEUQAOZURVAUQAUQALBSVDTUAUBVCCUCQZUDEUEEBU
      FZUSJMZUQKMZCNBNVGUQBNZVGVHBNCNOKEPVGVHUGNUQBNVIVHUQBNZCNOVGVHUHNUQBNVGVJ
      BNOUIKUDPUIJUDPZUIZIEPZUJUTIJKBCDEFGHUKVMVEUTVFVLUSIEUSVKULUMUNUOUP $.
      $( [4-Nov-2006] $) $( [3-Nov-2006] $)

    $( Distributive law for the scalar product of a complex vector space. $)
    vcdi $p |- ( ( W e. CVec /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
       ( A S ( B G C ) ) = ( ( A S B ) G ( A S C ) ) ) $=
      ( vy vx vz cc wcel w3a cvc co wceq wi cv wral opreq1 opreq2d opreq2
      opreq1d eqeq12d opreq12d rcla43v cabl cxp wf c1 caddc cmul wa vci pm3.26
      r19.20si adantl 3ad2ant3 syl syl5 3com12 impcom ) ANOZBGOZCGOZPFQOZABCERZ
      DRZABDRZACDRZERZSZVGVFVHVIVOTVGVFVHPKUAZLUAZMUAZERZDRZVPVQDRZVPVRDRZERZSZ
      MGUBZKNUBZLGUBZVOVIWDVOVPBVRERZDRZVPBDRZWBERZSAWHDRZVLAVRDRZERZSLKMBACGNG
      VQBSZVTWIWCWKWOVSWHVPDVQBVREUCUDWOWAWJWBEVQBVPDUEUFUGVPASZWIWLWKWNVPAWHDU
      CWPWJVLWBWMEVPABDUCVPAVRDUCUHUGVRCSZWLVKWNVNWQWHVJADVRCBEUEUDWQWMVMVLEVRC
      ADUEUDUGUIVIEUJOZNGUKGDULZUMVQDRVQSZWEVPVRUNRVQDRWAVRVQDRZERSVPVRUORVQDRV
      PXADRSUPMNUBZUPZKNUBZUPZLGUBZPWGLKMDEFGHIJUQXFWRWGWSXEWFLGXDWFWTXCWEKNWEX
      BURUSUTUSVAVBVCVDVE $.
      $( [25-Nov-2006] $) $( [3-Nov-2006] $)

    $( Distributive law for the scalar product of a complex vector space. $)
    vcdir $p |- ( ( W e. CVec /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( ( A + B ) S C ) = ( ( A S C ) G ( B S C ) ) ) $=
      ( vy vz vx cc wcel w3a cvc caddc co wceq wi cv wral opreq2 opreq12d
      eqeq12d opreq1 opreq1d opreq2d rcla43v cabl cxp wf c1 cmul wa vci pm3.26
      r19.20si adantl 3ad2ant3 syl syl5 3coml impcom ) ANOZBNOZCGOZPFQOZABRSZCD
      SZACDSZBCDSZESZTZVHVFVGVIVOUAVHVFVGPKUBZLUBZRSZMUBZDSZVPVSDSZVQVSDSZESZTZ
      LNUCZKNUCZMGUCZVOVIWDVOVRCDSZVPCDSZVQCDSZESZTAVQRSZCDSZVLWJESZTMKLCABGNNV
      SCTZVTWHWCWKVSCVRDUDWOWAWIWBWJEVSCVPDUDVSCVQDUDUEUFVPATZWHWMWKWNWPVRWLCDV
      PAVQRUGUHWPWIVLWJEVPACDUGUHUFVQBTZWMVKWNVNWQWLVJCDVQBARUDUHWQWJVMVLEVQBCD
      UGUIUFUJVIEUKOZNGULGDUMZUNVSDSVSTZVPVSVQESDSWAVPVQDSESTLGUCZWDVPVQUOSVSDS
      VPWBDSTZUPZLNUCZUPZKNUCZUPZMGUCZPWGMKLDEFGHIJUQXHWRWGWSXGWFMGXFWFWTXEWEKN
      XDWEXAXCWDLNWDXBURUSUTUSUTUSVAVBVCVDVE $.
      $( [12-Nov-2006] $) $( [3-Nov-2006] $)

    $( Associative law for the scalar product of a complex vector space. $)
    vcass $p |- ( ( W e. CVec /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( ( A x. B ) S C ) = ( A S ( B S C ) ) ) $=
      ( vy vz vx cc wcel w3a cvc cmul co wceq wi cv wral opreq2 opreq2d
      eqeq12d opreq1 opreq1d rcla43v cabl cxp wf c1 caddc wa vci pm3.27
      r19.20si adantl 3ad2ant3 syl syl5 3coml impcom ) ANOZBNOZCGOZPFQOZABRSZCD
      SZABCDSZDSZTZVGVEVFVHVMUAVGVEVFPKUBZLUBZRSZMUBZDSZVNVOVQDSZDSZTZLNUCZKNUC
      ZMGUCZVMVHWAVMVPCDSZVNVOCDSZDSZTAVORSZCDSZAWFDSZTMKLCABGNNVQCTZVRWEVTWGVQ
      CVPDUDWKVSWFVNDVQCVODUDUEUFVNATZWEWIWGWJWLVPWHCDVNAVORUGUHVNAWFDUGUFVOBTZ
      WIVJWJVLWMWHVICDVOBARUDUHWMWFVKADVOBCDUGUEUFUIVHEUJOZNGUKGDULZUMVQDSVQTZV
      NVQVOESDSVNVQDSZVNVODSESTLGUCZVNVOUNSVQDSWQVSESTZWAUOZLNUCZUOZKNUCZUOZMGU
      CZPWDMKLDEFGHIJUPXEWNWDWOXDWCMGXCWCWPXBWBKNXAWBWRWTWALNWSWAUQURUSURUSURUT
      VAVBVCVD $.
      $( [25-Nov-2006] $) $( [3-Nov-2006] $)

    $( A vector plus itself is two times the vector. $)
    vc2 $p |- ( ( W e. CVec /\ A e. X ) -> ( A G A ) = ( 2 S A ) ) $=
      ( cvc wcel wa c1 co c2 vcid opreq12d caddc cc wceq ax1cn vcdir mp3anr1
      mpanr1 df-2 opreq1i syl5req eqtr3d ) DIJZAEJZKZLABMZUKCMZAACMNABMZUJUKAUK
      ACABCDEFGHOZUNPUJLLQMZABMZULUMUHLRJZUIUPULSZTUHUQUQUIURTLLABCDEFGHUAUBUCN
      UOABUDUEUFUG $.
      $( [1-Feb-2007] $) $( [1-Feb-2007] $)

    $( Subtractive distributive law for the scalar product of a complex vector
       space. $)
    vcsubdir $p |- ( ( W e. CVec /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( ( A - B ) S C ) = ( ( A S C ) G ( -u 1 S ( B S C ) ) ) ) $=
      ( cvc wcel cc w3a wa cneg caddc co cmin c1 wceq vcdir negclt syl3anr2
      negsubt 3adant3 adantl opreq1d cmul mulm1t ad2antrl ax1cn negcl vcass
      mp3anr1 eqtr3d 3adantr1 opreq2d 3eqtr3d ) FKLZAMLZBMLZCGLZNZOZABPZQRZCDRZ
      ACDRZVFCDRZERZABSRZCDRVITPZBCDRDRZERUTVAVFMLVCVHVKUAVBAVFCDEFGHIJUBBUCUDV
      EVGVLCDVDVGVLUAZUTVAVBVOVCABUEUFUGUHVEVJVNVIEUTVBVCVJVNUAVAUTVBVCOOZVMBUI
      RZCDRZVJVNVPVQVFCDVBVQVFUAUTVCBUJUKUHUTVMMLVBVCVRVNUATULUMVMBCDEFGHIJUNUO
      UPUQURUS $.
      $( [9-Aug-2007] $) $( [31-Jul-2007] $)
  $}

  ${
    $d x y z G $.  $d x y z W $.
    vcabl.1 $e |- G = ( 1st ` W ) $.
    $( Vector addition is an Abelian group operation. $)
    vcabl $p |- ( W e. CVec -> G e. Abel ) $=
      ( vx vy vz cvc wcel cabl cc crn cxp c2nd cfv wf c1 cv co wceq wral caddc
      cmul wa eqid vci 3simp1d ) BGHAIHJAKZLUGBMNZOPDQZUHRUISEQZUIFQZARUHRUJUIU
      HRZUJUKUHRARSFUGTUJUKUARUIUHRULUKUIUHRZARSUJUKUBRUIUHRUJUMUHRSUCFJTUCEJTU
      CDUGTDEFUHABUGCUHUDUGUDUEUF $.
      $( [12-Nov-2006] $) $( [3-Nov-2006] $)

    $( Vector addition is a group operation. $)
    vcgrp $p |- ( W e. CVec -> G e. Grp ) $=
      ( cvc wcel cabl cgr vcabl ablgrp syl ) BDEAFEAGEABCHAIJ $.
      $( [14-Nov-2006] $) $( [4-Nov-2006] $)
  $}

  ${
    vcgcl.1 $e |- G = ( 1st ` W ) $.
    vcgcl.2 $e |- X = ran G $.
    $( Closure law for the vector addition (group) operation of a complex
       vector space. $)
    vcgcl $p |- ( ( W e. CVec /\ A e. X /\ B e. X ) -> ( A G B ) e. X ) $=
      ( cgr wcel co cvc grpcl vcgrp syl3an1 ) CHIAEIBEIABCJEIDKIABCEGLCDFMN $.
      $( [5-Feb-2007] $) $( [1-Feb-2007] $)
  $}

  ${
    vccom.1 $e |- G = ( 1st ` W ) $.
    vccom.2 $e |- X = ran G $.
    $( Vector addition is commutative. $)
    vccom $p |- ( ( W e. CVec /\ A e. X /\ B e. X ) ->
                ( A G B ) = ( B G A ) ) $=
      ( cabl wcel co wceq cvc ablcom vcabl syl3an1 ) CHIAEIBEIABCJBACJKDLIABCEG
      MCDFNO $.
      $( [29-Nov-2006] $) $( [4-Nov-2006] $)

    $( Vector addition is associative. $)
    vcaass $p |- ( ( W e. CVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                ( ( A G B ) G C ) = ( A G ( B G C ) ) ) $=
      ( cgr wcel w3a co wceq cvc grpass vcgrp sylan ) DIJAFJBFJCFJKABDLCDLABCDL
      DLMENJABCDFHODEGPQ $.
      $( [8-Dec-2006] $) $( [4-Nov-2006] $)

    $( Commutative/associative law that swaps the last two terms in a triple
       vector sum. $)
    vca23 $p |- ( ( W e. CVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
     ( ( A G B ) G C ) = ( ( A G C ) G B ) ) $=
      ( cabl wcel w3a co wceq cvc abl23 vcabl sylan ) DIJAFJBFJCFJKABDLCDLACDLB
      DLMENJABCDFHODEGPQ $.
      $( [6-Aug-2007] $) $( [5-Aug-2007] $)

    $( Rearrangement of 4 terms in a vector sum. $)
    vca4 $p |- ( ( W e. CVec /\ ( A e. X /\ B e. X ) /\ ( C e. X /\ D e. X )
      ) -> ( ( A G B ) G ( C G D ) ) = ( ( A G C ) G ( B G D ) ) ) $=
      ( cabl wcel wa co wceq cvc abl4 vcabl syl3an1 ) EJKAGKBGKLCGKDGKLABEMCDEM
      EMACEMBDEMEMNFOKABCDEGIPEFHQR $.
      $( [7-Aug-2007] $) $( [5-Aug-2007] $)

    $( Right cancellation law for vector addition. $)
    vcrcan $p |- ( ( W e. CVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( A G C ) = ( B G C ) <-> A = B ) ) $=
      ( cgr wcel w3a co wceq wb cvc grprcan vcgrp sylan ) DIJAFJBFJCFJKACDLBCDL
      MABMNEOJABCDFHPDEGQR $.
      $( [11-Apr-2007] $) $( [4-Nov-2006] $)

    $( Left cancellation law for vector addition. $)
    vclcan $p |- ( ( W e. CVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( C G A ) = ( C G B ) <-> A = B ) ) $=
      ( cgr wcel w3a co wceq wb cvc grplcan vcgrp sylan ) DIJAFJBFJCFJKCADLCBDL
      MABMNEOJABCDFHPDEGQR $.
      $( [14-Nov-2006] $) $( [4-Nov-2006] $)
  $}

  ${
    vczcl.1 $e |- G = ( 1st ` W ) $.
    vczcl.2 $e |- X = ran G $.
    vczcl.3 $e |- Z = ( Id ` G ) $.
    $( The zero vector is a vector. $)
    vczcl $p |- ( W e. CVec -> Z e. X ) $=
      ( cvc wcel cgr vcgrp grpidcl syl ) BHIAJIDCIABEKDACFGLM $.
      $( [15-Nov-2006] $) $( [4-Nov-2006] $)

    $( The zero vector is a right identity element. $)
    vc0rid $p |- ( ( W e. CVec /\ A e. X ) -> ( A G Z ) = A ) $=
      ( cgr wcel co wceq cvc grprid vcgrp sylan ) BIJADJAEBKALCMJAEBDGHNBCFOP
      $.
      $( [15-Nov-2006] $) $( [4-Nov-2006] $)

    $( The zero vector is a left identity element. $)
    vc0lid $p |- ( ( W e. CVec /\ A e. X ) -> ( Z G A ) = A ) $=
      ( cgr wcel co wceq cvc grplid vcgrp sylan ) BIJADJEABKALCMJAEBDGHNBCFOP
      $.
      $( [3-May-2007] $) $( [26-Apr-2007] $)
  $}

  ${
    vc0.1 $e |- G = ( 1st ` W ) $.
    vc0.2 $e |- S = ( 2nd ` W ) $.
    vc0.3 $e |- X = ran G $.
    vc0.4 $e |- Z = ( Id ` G ) $.
    $( Zero times a vector is the zero vector.  Equation 1a of [Kreyszig]
       p. 51. $)
    vc0 $p |- ( ( W e. CVec /\ A e. X ) -> ( 0 S A ) = Z ) $=
      ( cvc wcel wa cc0 co wceq c1 vc0rid caddc ax1cn addid1 opreq1i a1i cc
      0cn vcdir mp3anr1 mpanr1 vcid 3eqtr3d opreq1d 3eqtr2rd w3a wb vccl
      mp3an2 vczcl adantr pm3.27 3jca vclcan syldan mpbid ) DKLZAELZMZANABOZCOZ
      AFCOZPZVGFPZVFVIAQABOZVGCOZVHACDEFGIJRVFQNSOZABOZVLVMAVOVLPVFVNQABQTUAUBU
      CVDNUDLZVEVOVMPZUEVDQUDLVPVEVQTQNABCDEGHIUFUGUHABCDEGHIUIZUJVFVLAVGCVRUKU
      LVDVEVGELZFELZVEUMVJVKUNVFVSVTVEVDVPVEVSUENABCDEGHIUOUPVDVTVECDEFGIJUQURV
      DVEUSUTVGFACDEGIVAVBVC $.
      $( [24-Nov-2006] $) $( [4-Nov-2006] $)

    $( Anything times the zero vector is the zero vector.  Equation 1b of
       [Kreyszig] p. 51. $)
    vcz $p |- ( ( W e. CVec /\ A e. CC ) -> ( A S Z ) = Z ) $=
      ( cvc wcel cc wa co cc0 cmul wceq vczcl anim2i ancoms 0cn vcass mp3anr2
      syldan vc0 mpdan opreq2d adantr eqtr2d mul01t opreq1d adantl 3eqtrd ) DKL
      ZAMLZNZAFBOZAPQOZFBOZPFBOZFUQUTAVABOZURUOUPUPFELZNZUTVBRZUPUOVDUOVCUPCDEF
      GIJSZTUAUOUPPMLVCVEUBAPFBCDEGHIUCUDUEUOVBURRUPUOVAFABUOVCVAFRZVFFBCDEFGHI
      JUFUGZUHUIUJUPUTVARUOUPUSPFBAUKULUMUOVGUPVHUIUN $.
      $( [5-Feb-2007] $) $( [24-Nov-2006] $)
  $}

  ${
    vcm.1 $e |- G = ( 1st ` W ) $.
    vcm.2 $e |- S = ( 2nd ` W ) $.
    vcm.3 $e |- X = ran G $.
    vcm.4 $e |- M = ( inv ` G ) $.
    $( Minus 1 times a vector is the underlying group's inverse element.
       Equation 2 of [Kreyszig] p. 51. $)
    vcm $p |- ( ( W e. CVec /\ A e. X ) -> ( -u 1 S A ) = ( M ` A ) ) $=
      ( cvc wcel wa cgi cfv co c1 cneg cgr w3a wceq grpass vcgrp adantr cc
      ax1cn negcl vccl mp3an2 pm3.27 grpinvcl sylan 3jca sylanc vcid opreq2d
      caddc cc0 addcom negid eqtr opreq1i a1i vcdir mp3anr1 mpanr1 eqid vc0
      3eqtr3d eqtr3d opreq1d grprinv grplid grprid 3eqtr3rd ) EKLZAFLZMZCNOZADO
      ZCPZQRZABPZVSCPZVTWCVRWCACPZVTCPZWCAVTCPZCPZWAWDCSLZWCFLZVQVTFLZTWFWHUAVR
      WCAVTCFIUBVPWIVQCEGUCZUDZVRWJVQWKVPWBUELZVQWJQUFUGZWBABCEFGHIUHUIZVPVQUJW
      IVQWKVPACDFIJUKWLULZUMUNVRWEVSVTCVRWCQABPZCPZWEVSVRWRAWCCABCEFGHIUOUPVRWB
      QUQPZABPZURABPZWSVSXAXBUAVRWTURABWTQWBUQPURWBQWOUFUSQUFUTVAVBVCVPQUELZVQX
      AWSUAZUFVPWNXCVQXDWOWBQABCEFGHIVDVEVFABCEFVSGHIVSVGZVHVIVJVKVRWGVSWCCWIVQ
      WGVSUAVPAVSCDFIXEJVLWLULUPVIWIWKWAVTUAVRVTVSCFIXEVMWMWQUNWIWJWDWCUAVRWCVS
      CFIXEVNWMWPUNVO $.
      $( [4-Dec-2006] $) $( [25-Nov-2006] $)
  $}

  ${
    vcrinv.1 $e |- G = ( 1st ` W ) $.
    vcrinv.2 $e |- S = ( 2nd ` W ) $.
    vcrinv.3 $e |- X = ran G $.
    vcrinv.4 $e |- Z = ( Id ` G ) $.
    $( A vector minus itself. $)
    vcrinv $p |- ( ( W e. CVec /\ A e. X ) -> ( A G ( -u 1 S A ) ) = Z ) $=
      ( cvc wcel wa c1 cneg co cgn cfv eqid vcm opreq2d cgr wceq grprinv vcgrp
      sylan eqtrd ) DKLZAELZMZANOABPZCPAACQRZRZCPZFUJUKUMACABCULDEGHIULSZTUACUB
      LUIUNFUCUHAFCULEIJUOUDCDGUEUFUG $.
      $( [14-Dec-2006] $) $( [4-Dec-2006] $)

    $( Minus a vector plus itself. $)
    vclinv $p |- ( ( W e. CVec /\ A e. X ) -> ( ( -u 1 S A ) G A ) = Z ) $=
      ( cvc wcel wa c1 cneg co cgn cfv eqid vcm opreq1d cgr wceq grplinv vcgrp
      sylan eqtrd ) DKLZAELZMZNOABPZACPACQRZRZACPZFUJUKUMACABCULDEGHIULSZTUACUB
      LUIUNFUCUHAFCULEIJUOUDCDGUEUFUG $.
      $( [6-Dec-2006] $) $( [4-Dec-2006] $)
  $}

  ${
    vcni.1 $e |- G = ( 1st ` W ) $.
    vcni.2 $e |- S = ( 2nd ` W ) $.
    vcni.3 $e |- X = ran G $.
    $( Double negative of a vector. $)
    vcnegneg $p |- ( ( W e. CVec /\ A e. X ) ->
                  ( -u 1 S ( -u 1 S A ) ) = A ) $=
      ( cvc wcel wa c1 cneg cmul co cc wceq ax1cn negcl vcass mp3anr1 mpanr1
      vcid mul2neg mulid1 eqtr opreq1i syl5eq eqtr3d ) DIJZAEJZKZLMZUMNOZABOZUM
      UMABOBOZAUJUMPJZUKUOUPQZLRSZUJUQUQUKURUSUMUMABCDEFGHTUAUBULLABOAUOABCDEFG
      HUCUNLABUNLLNOLLLRRUDLRUEUFUGUHUI $.
      $( [10-Aug-2007] $) $( [6-Aug-2007] $)

    $( Distribution of negative over vector subtraction. $)
    vcnegsubdi2 $p |- ( ( W e. CVec /\ A e. X /\ B e. X ) ->
              ( -u 1 S ( A G ( -u 1 S B ) ) ) = ( B G ( -u 1 S A ) ) ) $=
      ( cvc wcel w3a c1 cneg co wceq cc ax1cn negcl vcdi mp3anr1 3impb vccl
      mp3an2 3adant2 syld3an3 vcnegneg opreq2d vccom 3adant3 syld3an2 3eqtrd )
      EJKZAFKZBFKZLZMNZAUQBCOZDOCOZUQACOZUQURCOZDOZUTBDOZBUTDOZUMUNURFKZUSVBPZU
      OUMUNVEVFUMUQQKZUNVEVFMRSZUQAURCDEFGHITUAUBUMUOVEUNUMVGUOVEVHUQBCDEFGHIUC
      UDUEUFUPVABUTDUMUOVABPUNBCDEFGHIUGUEUHUMUTFKZUOVCVDPUNUTBDEFGIUIUMUNVIUOU
      MVGUNVIVHUQACDEFGHIUCUDUJUKUL $.
      $( [12-Aug-2007] $) $( [6-Aug-2007] $)

    $( Rearrangement of 4 terms in a mixed vector addition and subtraction. $)
    vcsub4 $p |- ( ( W e. CVec /\ ( A e. X /\ B e. X ) /\ ( C e. X /\ D e. X )
              ) -> ( ( A G B ) G ( -u 1 S ( C G D ) ) ) =
            ( ( A G ( -u 1 S C ) ) G ( B G ( -u 1 S D ) ) ) ) $=
      ( cvc wcel wa w3a co c1 cneg wceq cc ax1cn negcl vcdi mp3anr1 3adant2
      opreq2d vca4 vccl mp3an2 anim12i anandis syld3an3 eqtrd ) GLMZAHMBHMNZCHM
      ZDHMZNZOZABFPZQRZCDFPEPZFPUTVACEPZVADEPZFPZFPZAVCFPBVDFPFPZUSVBVEUTFUNURV
      BVESZUOUNVATMZUPUQVHQUAUBZVACDEFGHIJKUCUDUEUFUNUOVCHMZVDHMZNZVFVGSURABVCV
      DFGHIKUGUNURVMUOUNUPUQVMUNUPNVKUNUQNVLUNVIUPVKVJVACEFGHIJKUHUIUNVIUQVLVJV
      ADEFGHIJKUHUIUJUKUEULUM $.
      $( [25-Aug-2007] $) $( [5-Aug-2007] $)
  $}

  ${
    $d g s x y z G $.  $d g s x y z S $.  $d g s x z X $.
    isvclem.1 $e |- X = ran G $.
    $( Lemma for ~ isvc . $)
    isvclem $p |- ( ( G e. V /\ S e. V ) -> ( <. G , S >. e. CVec
      <-> ( G e. Abel /\ S :  ( CC X. X ) --> X /\ A. x e. X ( ( 1 S x ) = x /\
       A. y e. CC ( A. z e. X ( y S ( x G z ) ) = ( ( y S x ) G ( y S z ) )
         /\ A. z e. CC ( ( ( y + z ) S x ) = ( ( y S x ) G ( z S x ) ) /\
           ( ( y x. z ) S x ) = ( y S ( z S x ) ) ) ) ) ) ) ) $=
      ( vg vs cvv wcel wa cop cv cabl cc crn cxp wf c1 co wceq wral caddc cmul
      w3a copab cvc eleq1 wb rneq syl6eqr xpeq2 feq2 syl feq3 bitrd opreq
      opreq2d eqeq12d raleq12d eqeq2d anbi1d ralbidv anbi12d anbi2d 3anbi123d
      feq1 eqeq1d opreq12d eqtrd 3anbi23d opelopabg df-vc eleq2i syl5bb ) EJKDJ
      KLEDMZHNZOKZPVRQZRZVTINZSZTANZWBUAZWDUBZBNZWDCNZVRUAZWBUAZWGWDWBUAZWGWHWB
      UAZVRUAZUBZCVTUCZWGWHUDUAZWDWBUAZWKWHWDWBUAZVRUAZUBZWGWHUEUAZWDWBUAZWGWRW
      BUAZUBZLZCPUCZLZBPUCZLZAVTUCZUFZHIUGZKEOKZPFRZFDSZTWDDUAZWDUBZWGWDWHEUAZD
      UAZWGWDDUAZWGWHDUAZEUAZUBZCFUCZWPWDDUAZXTWHWDDUAZEUAZUBZXAWDDUAZWGYFDUAZU
      BZLZCPUCZLZBPUCZLZAFUCZUFZVQUHKXKXMXNFWBSZWFWGXRWBUAZWKWLEUAZUBZCFUCZWQWK
      WREUAZUBZXDLZCPUCZLZBPUCZLZAFUCZUFYRHIEDJJVREUBZVSXMWCYSXJUUKVREOUIUULVTF
      UBZWCYSUJUULVTEQFVREUKGULZUUMWCXNVTWBSZYSUUMWAXNUBWCUUOUJVTFPUMWAXNVTWBUN
      UOVTFXNWBUPUQUOUULXIUUJAVTFUUNUULXHUUIWFUULXGUUHBPUULWOUUCXFUUGUULWNUUBCV
      TFUUNUULWJYTWMUUAUULWIXRWGWBWDWHVREURUSWKWLVREURUTVAUULXEUUFCPUULWTUUEXDU
      ULWSUUDWQWKWRVREURVBVCVDVEVDVFVAVGWBDUBZYSXOUUKYQXMXNFWBDVHUUPUUJYPAFUUPW
      FXQUUIYOUUPWEXPWDTWDWBDURVIUUPUUHYNBPUUPUUCYDUUGYMUUPUUBYCCFUUPYTXSUUAYBW
      GXRWBDURUUPWKXTWLYAEWGWDWBDURZWGWHWBDURVJUTVDUUPUUFYLCPUUPUUEYHXDYKUUPWQY
      EUUDYGWPWDWBDURUUPWKXTWRYFEUUQWHWDWBDURZVJUTUUPXBYIXCYJXAWDWBDURUUPXCWGWR
      DUAYJWGWRWBDURUUPWRYFWGDUURUSVKUTVEVDVEVDVEVDVLVMUHXLVQABCHIVNVOVP $.
      $( [2-Jun-2008] $) $( [31-May-2008] $)
  $}

  ${
    $d x y z G $.
    $( Lemma for ~ vcoprne . $)
    vcoprnelem $p |- ( <. G , G >. e. CVec -> G : ( CC X. CC ) --> CC ) $=
      ( vx vy vz cvv wcel cop cvc cc cxp wf wrel wss vcrel df-rel mpbi sseli
      opelxp1 syl wa cabl crn c1 cv co wceq wral caddc cmul w3a wb eqid
      isvclem anidms biimpa pm3.27 cgr wfn fndmu wfo grpfo fof ffn syl2an c0
      wne grpn0 xp11a adantr mpbid ablgrp sylan xpeq2 feq2 feq3 bitrd 3adant3
      mpancom ) AEFZAAGZHFZIIJZIAKZWAVTEEJZFVSHWDVTHLHWDMNHOPQAAEERSVSWATAUAFZI
      AUBZJZWFAKZUCBUDZAUEWIUFCUDZWIDUDZAUEAUEWJWIAUEZWJWKAUEAUEUFDWFUGWJWKUHUE
      WIAUEWLWKWIAUEZAUEUFWJWKUIUEWIAUEWJWMAUEUFTDIUGTCIUGTBWFUGZUJZWCVSWAWOVSW
      AWOUKBCDAAWFWFULZUMUNUOWEWHWCWNWEWHTZWHWCWEWHUPWQWFIUFZWHWCUKAUQFZWHWRWEW
      SWHTWFWFJZWGUFZWRAWTURZAWGURXAWSWHWTWGAUSWSWTWFAUTZXBAWFWPVAXCWTWFAKXBWTW
      FAVBWTWFAVCSSWGWFAVCVDWSXAWRUKZWHWSWFVEVFXDAWFWPVGWFIVHSVIVJAVKVLWRWHWBWF
      AKZWCWRWGWBUFWHXEUKWFIIVMWGWBWFAVNSWFIWBAVOVPSVJVQSVR $.
      $( [1-Jun-2008] $) $( [31-May-2008] $)
  $}

  $( The operations of a complex vector space cannot be identical. $)
  vcoprne $p |- ( <. G , S >. e. CVec -> G =/= S ) $=
    ( cop cvc wcel wceq c1 cc0 wne wn ax1ne0 df-ne mpbi co c1st cfv cgi cvv cc
    cxp wf vcoprnelem axcnex xpex fex mpan2 syl op1stg opreqd c2nd crn cdm
    rneqd cgr eqid vcgrp eqeltrrd grprndm fdm dmeqd dmxpid syl6eq 3eqtrd ax1cn
    syl5eleqr vc0rid mpdan vcid op2ndg anidms eqtr4d 3eqtr2d w3a wb vczcl 3jca
    vclcan mpbid opreq2d eqtr2d 0cn vcz eqtrd 3eqtr3d mto opeq2 eleq1d mtbii
    necon2ai ) BACZDEZBABAFZBBCZDEZWKWNGHFZGHIWOJKGHLMWNHGBNZHWMOPZQPZWQNZGHWNW
    SHWRBNZWPWNWQBHWRWNBREZWQBFWNSSTZSBUAZXABUBZXCXBREXASSUCUCUDXBSRBUEUFUGZBBR
    UHUGZUIWNWRGHBWNGWRWQNZGGWQNZFZWRGFZWNXGGGGWMUJPZNZXHWNGWQUKZEZXGGFWNSXMGWN
    XMBUKZBULZULZSWNWQBXFUMWNBUNEXOXQFWNWQBUNXFWQWMWQUOZUPUQBURUGWNXQXBULSWNXPX
    BWNXCXPXBFXDXBSBUSUGUTSVAVBVCZVDVEZGWQWMXMWRXRXMUOZWRUOZVFVGWNXNXLGFXTGXKWQ
    WMXMXRXKUOZYAVHVGWNXKWQGGWNXKBWQWNXAXKBFZXEXAYDBBRRVIVJUGZXFVKUIVLWNWRXMEZX
    NXNVMXIXJVNWNYFXNXNWQWMXMWRXRYAYBVOXTXTVPWRGGWQWMXMXRYAVQVGVRZVSZVTWNHWRXKN
    ZWRWPGWNHSEYIWRFWAHXKWQWMXMWRXRYCYAYBWBUFWNYIWTWPWNXKBHWRYEUIYHWCYGWDWNHXME
    WSHFWNSXMHXSWAVEHWQWMXMWRXRYAYBVFVGWDWEWLWMWJDBABWFWGWHWI $.
    $( [2-Jun-2008] $) $( [31-May-2008] $)

  $( The components of a complex vector space are sets. $)
  vcex $p |- ( <. G , S >. e. CVec -> ( G e. V /\ S e. V ) ) $=
    ( cop cvc wcel cvv cxp wrel wss vcrel df-rel mpbi sseli opelxp1 syl wn
    wceq eqid wne vcoprne df-ne sylib mt2 opprc2 eleq1d mtbiri a3i jca ) BACZDE
    ZBFEZAFEZUJUIFFGZEUKDUMUIDHDUMIJDKLMBAFFNOULUJULPZUJBBCZDEZUPBBQZBRUPBBSUQP
    BBTBBUAUBUCUNUIUODBAUDUEUFUGUH $.
    $( [2-Jun-2008] $) $( [31-May-2008] $)

  ${
    $d x y z G $.  $d x y z S $.  $d x z X $.
    isvc.1 $e |- X = ran G $.
    $( The predicate "is a complex vector space." $)
    isvc $p |- ( <. G , S >. e. CVec <-> ( G e. Abel /\
         S :  ( CC X. X ) --> X /\ A. x e. X ( ( 1 S x ) = x /\
       A. y e. CC ( A. z e. X ( y S ( x G z ) ) = ( ( y S x ) G ( y S z ) )
         /\ A. z e. CC ( ( ( y + z ) S x ) = ( ( y S x ) G ( z S x ) ) /\
           ( ( y x. z ) S x ) = ( y S ( z S x ) ) ) ) ) ) ) $=
      ( cop cvc wcel cvv wa cabl cc cxp wf c1 cv co wceq wral caddc cmul w3a
      vcex elisset adantr fex cgr ablgrp crn rnexg syl5eqel syl axcnex xpexg
      mpan sylan2 ancoms jca 3adant3 isvclem pm5.21nii ) EDHIJEKJZDKJZLZEMJZNFO
      ZFDPZQARZDSVJTBRZVJCRZESDSVKVJDSZVKVLDSESTCFUAVKVLUBSVJDSVMVLVJDSZESTVKVL
      UCSVJDSVKVNDSTLCNUALBNUALAFUAZUDDEUEVGVIVFVOVGVILVDVEVGVDVIEMUFUGVIVGVEVI
      VHKJZVEVGVHFKDUHVGFKJZVPVGEUIJZVQEUJVREUKKFEUIULGUMUNNKJVQVPUONFKKUPUQUNU
      RUSUTVAABCDEFGVBVC $.
      $( [3-Jun-2008] $) $( [31-May-2008] $)
  $}

  ${
    $d x y z G $.  $d x y z S $.  $d x y z X $.
    isvci.1 $e |- G e. Abel $.
    isvci.2 $e |- dom G = ( X X. X ) $.
    isvci.3 $e |- S : ( CC X. X ) --> X $.
    isvci.4 $e |- ( x e. X -> ( 1 S x ) = x ) $.
    isvci.5 $e |- ( ( y e. CC /\ x e. X /\ z e. X ) ->
                  ( y S ( x G z ) ) = ( ( y S x ) G ( y S z ) ) ) $.
    isvci.6 $e |- ( ( y e. CC /\ z e. CC /\ x e. X ) ->
                  ( ( y + z ) S x ) = ( ( y S x ) G ( z S x ) ) ) $.
    isvci.7 $e |- ( ( y e. CC /\ z e. CC /\ x e. X ) ->
                  ( ( y x. z ) S x ) = ( y S ( z S x ) ) ) $.
    isvci.8 $e |- W = <. G , S >. $.
    $( Properties that determine a complex vector space. $)
    isvci $p |- W e. CVec $=
      ( cop cvc wcel cabl cc cxp wf c1 cv co wceq wral caddc cmul wa w3a
      3com12 3expa r19.21aiva jca 3comr rgen 3pm3.2i cgr ablgrp ax-mp grprn
      isvc mpbir eqeltr ) FEDPZQOVFQRESRZTGUAGDUBZUCAUDZDUEVIUFZBUDZVICUDZEUEDU
      EVKVIDUEZVKVLDUEEUEUFZCGUGZVKVLUHUEVIDUEVMVLVIDUEZEUEUFZVKVLUIUEVIDUEVKVP
      DUEUFZUJZCTUGZUJZBTUGZUJZAGUGZUKVGVHWDHJWCAGVIGRZVJWBKWEWABTWEVKTRZUJZVOV
      TWGVNCGWEWFVLGRZVNWFWEWHVNLULUMUNWGVSCTWEWFVLTRZVSWFWIWEVSWFWIWEUKVQVRMNU
      OUPUMUNUOUNUOUQURABCDEGEGVGEUSRHEUTVAIVBVCVDVE $.
      $( [10-Apr-2008] $) $( [5-Nov-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Examples of complex vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( The set of complex numbers is a complex vector space.  The vector
       operation is ` + ` , and the scalar product is ` x. ` . $)
    cnvc $p |- <. + , x. >. e. CVec $=
      ( vx vy vz cmul caddc cop cc cnaddabl cxp axaddopr fdmi axmulopr cv
      mulid2t axdistr adddirt axmulass eqid isvci ) ABCDEEDFZGHGGIGEJKLAMZNBMZU
      ACMZOUBUCUAPUBUCUAQTRS $.
      $( [9-Nov-2006] $) $( [5-Nov-2006] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                           Normed complex vector spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c NrmCVec $.

  $c +v $.
  $c Base $.
  $c .s $.
  $c 0v $.
  $c -v $.
  $c norm $.

  $c IndMet $.

  $( Extend class notation with the class of all normed complex vector
     spaces. $)
  cnv $a class NrmCVec $.

  $( Extend class notation with vector addition in a normed complex vector
     space.  In the literature, the subscript "v" is omitted, but we need it to
     avoid ambiguity with complex number addition ` + ` ~ caddc . $)
  cpv $a class +v $.

  $( Extend class notation with the base set of a normed complex vector
     space.  (Note that ` Base ` is capitalized because, once it is fixed for
     a particular vector space ` U ` , it is not a function, unlike e.g.
     ` norm ` .  This is our typical convention.) $)
  cba $a class Base $.

  $( Extend class notation with scalar multiplication in a normed complex
     vector space.  In the literature scalar multiplication is usually
     indicated by juxtaposition, but we need an explicit symbol to prevent
     ambiguity. $)
  cns $a class .s $.

  $( Extend class notation with zero vector in a normed complex vector
     space. $)
  cn0v $a class 0v $.

  $( Extend class notation with vector subtraction in a normed complex vector
     space. $)
  cnsb $a class -v $.

  $( Extend class notation with the norm function in a normed complex vector
     space.  In the literature, the norm of ` A ` is usually  written
     "|| ` A ` ||", but we use function notation to take advantage of our
     existing theorems about functions. $)
  cnm $a class norm $.

  $( Extend class notation with the class of the induced metrics on normed
     complex vector spaces. $)
  cims $a class IndMet $.

  ${
    $d g s m n o t u w x y z $.  $d y G $.  $d y N $.  $d y S $.
    $( Define the class of all normed complex vector spaces. $)
    df-nv $a |- NrmCVec = { <. <. g , s >. , n >. | ( <. g , s >. e. CVec /\
   n : ran g --> RR /\ A. x e. ran g ( ( ( n ` x ) = 0 -> x = ( Id ` g ) )
/\ A. y e. CC ( n ` ( y s x ) ) = ( ( abs ` y ) x. ( n ` x ) ) /\
A. y e. ran g ( n ` ( x g y ) ) <_ ( ( n ` x ) + ( n ` y ) ) ) ) } $.

    $( Structure of the class of all normed complex vectors spaces. $)
    nvss $p |- NrmCVec (_ ( ( V X. V ) X. V ) $=
      ( vg vs vn vx vy cnv cv cop cvc wcel crn cr wf cfv cc0 wceq cgi wi co
      cabs cmul cc wral caddc cle wbr w3a copab2 cvv cxp df-nv oprabss eqsstr
      ) FAGZBGZHIJUNKZLCGZMDGZUQNZOPURUNQNPREGZURUOSUQNUTTNUSUASPEUBUCURUTUNSUQ
      NUSUTUQNUDSUEUFEUPUCUGDUPUCUGZABCUHUIUIUJUIUJDEACBUKVAABCULUM $.
      $( [29-Nov-2006] $) $( [28-Nov-2006] $)

    $( A normed complex vector space is a vector space. $)
    nvvcop $p |- ( <. <. G , S >. , N >. e. NrmCVec -> <. G , S >. e. CVec ) $=
      ( vy vg vs vn vx cop cnv wcel cv c1st cfv cvc cab crn cr wf cc0 wceq cgi
      wi co cabs cmul cc wral caddc cle wbr w3a copab2 df-nv 3simp1 ssoprab2i
      copab wa wex dfoprab2 eleq1 pm5.32i 2exbii 19.41vv bitr3 pm3.27bi
      ssopab2i eqsstr df-opab fveq2 visset op1st syl6eq eleq1d ss2abi sstri
      sseli opex elab sylib ) BAIZCIZJKWBDLZMNZOKZDPZKWAOKZJWFWBJELZFLZIZOKZWHQ
      ZRGLZSZHLZWMNZTUAWOWHUBNUAUCWCWOWIUDWMNWCUENWPUFUDUADUGUHWOWCWHUDWMNWPWCW
      MNUIUDUJUKDWLUHULHWLUHZULZEFGUMZWFHDEGFUNWSWKEFGUMZWFWRWKEFGWKWNWQUOUPWTW
      OOKZHGUQZWFWTWOWJUAZWKURZFUSEUSZHGUQXBWKEFGHUTXEXAHGXEXCFUSEUSZXAXEXCXAUR
      ZFUSEUSXFXAURXGXDEFXCXAWKWOWJOVAVBVCXCXAEFVDVEVFVGVHXBWCWOWMIZUAZXAURZGUS
      HUSZDPWFXAHGDVIXKWEDXKXIGUSHUSZWEXKXIWEURZGUSHUSXLWEURXMXJHGXIWEXAXIWDWOO
      XIWDXHMNWOWCXHMVJWOWMHVKVLVMVNVBVCXIWEHGVDVEVFVOVHVPVPVHVQWEWGDWBWACVRWCW
      BUAZWDWAOXNWDWBMNWAWCWBMVJWACBAVRVLVMVNVSVT $.
      $( [6-Jun-2008] $) $( [5-Jun-2008] $)

    $( Define vector addition on a normed complex vector space. $)
    df-va $a |- +v = ( 1st o. 1st ) $.

    $( Define the base set of a normed complex vector space. $)
    df-ba $a |- Base = { <. x , y >. | y = ran ( +v ` x ) } $.

    $( Define scalar multiplication on a normed complex vector space. $)
    df-sm $a |- .s = ( 2nd o. 1st ) $.

    $( Define the zero vector in a normed complex vector space. $)
    df-0v $a |- 0v = ( Id o. +v ) $.

    $( Define vector subtraction on a normed complex vector space. $)
    df-vs $a |- -v = ( /g o. +v ) $.

    $( Define the norm function in a normed complex vector space. $)
    df-nm $a |- norm = 2nd $.

    $( Define the induced metric on a normed complex vector space. $)
    df-ims $a |- IndMet = { <. u , d >. | ( u e. NrmCVec
                 /\ d = ( ( norm ` u ) o. ( -v ` u ) ) ) } $.
  $}

  $( The class of all normed complex vectors spaces is a relation. $)
  nvrel $p |- Rel NrmCVec $=
    ( cnv wrel cvv cxp wss nvss xpss sstri df-rel mpbir ) ABACCDZEAKCDKFKCGHAIJ
    $.
    $( [18-Nov-2006] $) $( [14-Nov-2006] $)

  ${
    $d x y U $.
    vafval.2 $e |- G = ( +v ` U ) $.
    $( Value of the function for the vector addition (group) operation on a
       normed complex vector space. $)
    vafval $p |- G = ( 1st ` ( 1st ` U ) ) $=
      ( cpv cfv c1st cvv wcel wceq ccom wfun wf wfo fo1st fofun ax-mp fof
      fvco3 mp3an12 df-va fveq1i syl5eq wn c0 fvprc fveq2d 1st0 syl6req eqtrd
      pm2.61i eqtr ) BADEZAFEZFEZCAGHZULUNIUOAFFJZEZUNULFKZGGFLZUOUQUNIGGFMZURN
      GGFOPUTUSNGGFQPGGAFFRSADUPTUAUBUOUCZULUDUNADUEVAUNUDFEUDVAUMUDFAFUEUFUGUH
      UIUJUK $.
      $( [12-May-2007] $) $( [23-Apr-2007] $)
  $}

  ${
    $d x y U $.
    bafval.1 $e |- X = ( Base ` U ) $.
    bafval.2 $e |- G = ( +v ` U ) $.
    $( Value of the function for the base set of a normed complex vector
       space. $)
    bafval $p |- X = ran G $=
      ( vy vx cba cfv cpv crn cvv wcel wceq cv copab fvex rnex fveq2 rneqd
      fvopabg mpan2 df-ba fveq1i syl5eq wn c0 fvprc rn0 syl6eq eqtr4d pm2.61i
      rneqi 3eqtr4 ) AHIZAJIZKZCBKALMZUOUQNURAFOGOZJIZKZNGFPZIZUQUOURUQLMVCUQNU
      PAJQRGFAVAUQLLUSANUTUPUSAJSTUAUBAHVBGFUCUDUEURUFZUOUGUQAHUHVDUQUGKUGVDUPU
      GAJUHTUIUJUKULDBUPEUMUN $.
      $( [13-May-2007] $) $( [23-Apr-2007] $)
  $}

  ${
    $d x y U $.
    smfval.4 $e |- S = ( .s ` U ) $.
    $( Value of the function for the scalar multiplication operation on a
       normed complex vector space. $)
    smfval $p |- S = ( 2nd ` ( 1st ` U ) ) $=
      ( cns cfv c1st c2nd cvv wcel wceq ccom wfun wf wfo fo2nd fofun ax-mp
      fo1st fof fvco3 mp3an12 df-sm fveq1i syl5eq wn c0 fvprc fveq2d 2nd0
      syl6req eqtrd pm2.61i eqtr ) ABDEZBFEZGEZCBHIZUNUPJUQBGFKZEZUPUNGLZHHFMZU
      QUSUPJHHGNUTOHHGPQHHFNVARHHFSQHHBGFTUABDURUBUCUDUQUEZUNUFUPBDUGVBUPUFGEUF
      VBUOUFGBFUGUHUIUJUKULUM $.
      $( [5-Sep-2007] $) $( [24-Apr-2007] $)
  $}

  ${
    $d x y U $.  $d x y z w $.
    0vfval.2 $e |- G = ( +v ` U ) $.
    0vfval.5 $e |- Z = ( 0v ` U ) $.
    $( Value of the function for the zero vector on a normed complex vector
       space. $)
    0vfval $p |- Z = ( Id ` G ) $=
      ( vx vy vz vw cn0v cfv cpv cgi cvv wcel wceq ccom wfun wfn cgr cv co crn
      wral crab cuni visset rnex rabex uniex df-gid fnopab2 fnfun ax-mp c1st
      wss wf wfo fo1st fof ffn ssv fnco mp3an wb df-va fneq1 mpbir fvco2
      mp3an12 df-0v fveq1i syl5eq wn c0 fvprc fveq2d cdm 0ngrp dmopab2 eleq2i
      mtbir ndmfv syl6req eqtrd pm2.61i fveq2i 3eqtr4 ) AJKZALKZMKZCBMKANOZWIWK
      PWLAMLQZKZWKWIMRZLNSZWLWNWKPMTSWOFGTHUAIUAZFUAZUBWQPIWRUCZUDZHWSUEZUFZMXA
      WTHWSWRFUGUHUIUJZIGHFUKZULTMUMUNWPUOUOQZNSZUONSZXGUOUCZNUPXFNNUOUQZXGNNUO
      URXIUSNNUOUTUNNNUOVAUNZXJXHVBNNUOUOVCVDLXEPWPXFVEVFNLXEVGUNVHNAMLVIVJAJWM
      VKVLVMWLVNZWIVOWKAJVPXKWKVOMKZVOXKWJVOMALVPVQVOMVRZOZVNXLVOPXNVOTOVSXMTVO
      FGTXBMXCXDVTWAWBVOMWCUNWDWEWFEBWJMDWGWH $.
      $( [5-Sep-2007] $) $( [24-Apr-2007] $)
  $}

  ${
    $d x y U $.
    nmfval.6 $e |- N = ( norm ` U ) $.
    $( Value of the norm function in a normed complex vector space. $)
    nmfval $p |- N = ( 2nd ` U ) $=
      ( cnm cfv c2nd df-nm fveq1i eqtr ) BADEAFECADFGHI $.
      $( [5-Sep-2007] $) $( [25-Apr-2007] $)
  $}

  ${
    nvop2.1 $e |- W = ( 1st ` U ) $.
    nvop2.6 $e |- N = ( norm ` U ) $.
    $( A normed complex vector space is an ordered pair of a vector space
       and a norm operation. $)
    nvop2 $p |- ( U e. NrmCVec -> U = <. W , N >. ) $=
      ( cnv wcel c1st cfv c2nd cop wrel wceq nvrel 1st2nd mpan nmfval opeq12i
      syl6eqr ) AFGZAAHIZAJIZKZCBKFLTAUCMNAFOPCUABUBDABEQRS $.
      $( [6-Sep-2007] $) $( [28-Nov-2006] $)
  $}

  ${
    nvvop.1 $e |- W = ( 1st ` U ) $.
    nvvop.2 $e |- G = ( +v ` U ) $.
    nvvop.4 $e |- S = ( .s ` U ) $.
    $( The vector space component of a normed complex vector space is
       an ordered pair of the underlying group and a scalar product. $)
    nvvop $p |- ( U e. NrmCVec -> W = <. G , S >. ) $=
      ( cnv wcel c1st cfv c2nd cop cvv cxp wceq cnm wa eqid nvop2 eleq1d ibi
      nvss sseli syl fvex opelxp sylib pm3.26d wrel relxp 1st2nd mpan vafval
      fveq2i eqtr4 smfval opeq12i syl6eqr ) BHIZDDJKZDLKZMZCAMUTDNNOZIZDVCPZUTV
      EBQKZNIZUTDVGMZVDNOZIZVEVHRUTVIHIZVKUTVLUTBVIHBVGDEVGSTUAUBHVJVIUCUDUEDVG
      VDNBQUFUGUHUIVDUJVEVFNNUKDVDULUMUECVAAVBCBJKZJKVABCFUNDVMJEUOUPAVMLKVBABG
      UQDVMLEUOUPURUS $.
      $( [6-Sep-2007] $) $( [28-Nov-2006] $)
  $}

  ${
    $d g n s x y G $.  $d g n s x y N $.  $d g n s x y S $.  $d g n s x y X $.
    $d g n s Z $.
    isnvlem.1 $e |- X = ran G $.
    isnvlem.2 $e |- Z = ( Id ` G ) $.
    $( Lemma for ~ isnv . $)
    isnvlem $p |- ( ( G e. V /\ S e. V /\ N e. V ) ->
                 ( <. <. G , S >. , N >. e. NrmCVec <-> ( <. G , S >. e. CVec
        /\ N : X --> RR /\ A. x e. X ( ( ( N ` x ) = 0 -> x = Z )
           /\ A. y e. CC ( N ` ( y S x ) ) = ( ( abs ` y ) x. ( N ` x ) ) /\
           A. y e. X ( N ` ( x G y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) ) ) ) $=
      ( vg vs vn cvv wcel w3a cop cv cvc crn cr wf cfv cc0 wceq cgi wi co cabs
      cmul cc wral caddc cle wbr copab2 cnv opeq1 eleq1d wb rneq syl6eqr feq2
      syl fveq2 eqeq2d imbi2d opreq fveq2d breq1d raleq12d 3anbi13d 3anbi123d
      opeq2 eqeq1d ralbidv 3anbi2d feq1 fveq1 imbi1d opreq2d eqeq12d opreq12d
      breq12d 3anbi23d eloprabg df-nv eleq2i syl5bb ) DMNCMNEMNODCPZEPZJQZKQZPZ
      RNZWKSZTLQZUAZAQZWPUBZUCUDZWRWKUEUBZUDZUFZBQZWRWLUGZWPUBZXDUHUBZWSUIUGZUD
      ZBUJUKZWRXDWKUGZWPUBZWSXDWPUBZULUGZUMUNZBWOUKZOZAWOUKZOZJKLUOZNWIRNZFTEUA
      ZWREUBZUCUDZWRGUDZUFZXDWRCUGZEUBZXGYCUIUGZUDZBUJUKZWRXDDUGZEUBZYCXDEUBZUL
      UGZUMUNZBFUKZOZAFUKZOZWJUPNXSDWLPZRNZFTWPUAZWTYEUFZXJYLWPUBZXNUMUNZBFUKZO
      ZAFUKZOYAUUCUUDYGWPUBZXHUDZBUJUKZUUGOZAFUKZOYTJKLDCEMMMWKDUDZWNUUBWQUUCXR
      UUIUUOWMUUARWKDWLUQURUUOWOFUDWQUUCUSUUOWODSFWKDUTHVAZWOFTWPVBVCUUOXQUUHAW
      OFUUPUUOXCUUDXPUUGXJUUOXBYEWTUUOXAGWRUUOXADUEUBGWKDUEVDIVAVEVFUUOXOUUFBWO
      FUUPUUOXLUUEXNUMUUOXKYLWPWRXDWKDVGVHVIVJVKVJVLWLCUDZUUBYAUUIUUNUUCUUQUUAW
      IRWLCDVMURUUQUUHUUMAFUUQXJUULUUDUUGUUQXIUUKBUJUUQXFUUJXHUUQXEYGWPXDWRWLCV
      GVHVNVOVPVOVKWPEUDZUUCYBUUNYSYAFTWPEVQUURUUMYRAFUURUUDYFUULYKUUGYQUURWTYD
      YEUURWSYCUCWRWPEVRZVNVSUURUUKYJBUJUURUUJYHXHYIYGWPEVRUURWSYCXGUIUUSVTWAVO
      UURUUFYPBFUURUUEYMXNYOUMYLWPEVRUURWSYCXMYNULUUSXDWPEVRWBWCVOVLVOWDWEUPXTW
      JABJLKWFWGWH $.
      $( [7-Jun-2008] $) $( [11-Nov-2006] $)
  $}

  ${
    $d x y G $.  $d x y S $.
    $( The components of a normed complex vector space are sets. $)
    nvex $p |- ( <. <. G , S >. , N >. e. NrmCVec
            -> ( G e. V /\ S e. V /\ N e. V ) ) $=
      ( vx vy cop cnv wcel cvv wa w3a cvc nvvcop vcex syl wn crn cr wf opex
      jctir df-3an sylibr cv cfv cc0 wceq cgi wi co cabs cmul cc wral caddc
      cle wbr eqid isnvlem 3simp2 syl6bi mpcom wne vcoprne df-ne sylib wfun
      funopg ex adantl ffun syl5 mtod pm2.65i opprc2 eleq1d mtbiri a3i jca ) BA
      FZCFZGHZBIHZAIHZJZCIHZJWCWDWFKWBWEWFWBVTLHZWEABCMABNZOWFWBWFPZWBVTVTFZGHZ
      WKBQZRVTSZWCWDVTIHZKZWKWMWKWEWNJWOWKWEWNWKWGWEABVTMZWHOZBATUAWCWDWNUBUCWO
      WKWGWMDUDZVTUEZUFUGWRBUHUEZUGUIEUDZWRAUJVTUEXAUKUEWSULUJUGEUMUNWRXABUJVTU
      EWSXAVTUEUOUJUPUQEWLUNKDWLUNZKWMDEABVTWLWTWLURWTURUSWGWMXBUTVAVBWKWMBAUGZ
      WKWGXCPZWPWGBAVCXDABVDBAVEVFOWKVTVGZXCWMWKWEXEXCUIZWQWDXFWCWDXEXCBAIVHVIV
      JOWLRVTVKVLVMVNWIWAWJGVTCVOVPVQVRVSWCWDWFUBUC $.
      $( [9-Jun-2008] $) $( [5-Jun-2008] $)
  $}

  ${
    $d x y G $.  $d x y N $.  $d x y S $.  $d x y X $.
    isnv.1 $e |- X = ran G $.
    isnv.2 $e |- Z = ( Id ` G ) $.
    $( The predicate "is a normed complex vector space." $)
    isnv $p |- ( <. <. G , S >. , N >. e. NrmCVec <-> ( <. G , S >. e. CVec
        /\ N : X --> RR /\ A. x e. X ( ( ( N ` x ) = 0 -> x = Z )
           /\ A. y e. CC ( N ` ( y S x ) ) = ( ( abs ` y ) x. ( N ` x ) ) /\
           A. y e. X ( N ` ( x G y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) ) ) $=
      ( cop cnv wcel cvv w3a cvc cr wf cv cfv cc0 wceq wi co cabs cmul cc wral
      caddc cle wbr nvex wa vcex adantr fex crn pm3.26d rnexg syl syl5eqel
      sylan2 ancoms jca df-3an sylibr 3adant3 isnvlem pm5.21nii ) DCJZEJKLDMLZC
      MLZEMLZNZVIOLZFPEQZARZESZTUAVPGUAUBBRZVPCUCESVRUDSVQUEUCUABUFUGVPVRDUCESV
      QVRESUHUCUIUJBFUGNAFUGZNCDEUKVNVOVMVSVNVOULZVJVKULZVLULVMVTWAVLVNWAVOCDUM
      ZUNVOVNVLVOFMLVLVNFPMEUOVNDUPZMFVNVJWCMLVNVJVKWBUQDMURUSHUTVAVBVCVJVKVLVD
      VEVFABCDEFGHIVGVH $.
      $( [10-Jun-2008] $) $( [5-Jun-2008] $)
  $}

  ${
    $d x y G $.  $d x y N $.  $d x y S $.  $d x y X $.
    isnvi.5 $e |- X = ran G $.
    isnvi.6 $e |- Z = ( Id ` G ) $.
    isnvi.7 $e |- <. G , S >. e. CVec $.
    isnvi.8 $e |- N : X --> RR $.
    isnvi.9 $e |- ( ( x e. X /\ ( N ` x ) = 0 ) -> x = Z ) $.
    isnvi.10 $e |- ( ( y e. CC /\ x e. X ) ->
                    ( N ` ( y S x ) ) = ( ( abs ` y ) x. ( N ` x ) ) ) $.
    isnvi.11 $e |- ( ( x e. X /\ y e. X ) ->
                    ( N ` ( x G y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) $.
    isnvi.12 $e |- U = <. <. G , S >. , N >. $.
    $( Properties that determine a normed complex vector space. $)
    isnvi $p |- U e. NrmCVec $=
      ( cop cnv wcel cvc cr wf cv cfv cc0 wceq wi co cabs cmul cc wral caddc
      cle wbr w3a ex ancoms r19.21aiva 3jca rgen 3pm3.2i isnv mpbir eqeltr ) DE
      CQZFQZRPVGRSVFTSZGUAFUBZAUCZFUDZUEUFZVJHUFZUGZBUCZVJCUHFUDVOUIUDVKUJUHUFZ
      BUKULZVJVOEUHFUDVKVOFUDUMUHUNUOZBGULZUPZAGULZUPVHVIWAKLVTAGVJGSZVNVQVSWBV
      LVMMUQWBVPBUKVOUKSWBVPNURUSWBVRBGOUSUTVAVBABCEFGHIJVCVDVE $.
      $( [10-Jun-2008] $) $( [15-Apr-2007] $)
  $}

  ${
    $d g n s x y G $.  $d g n s x y N $.  $d g n s x y $.  $d g n s U $.
    $d g n s x y S $.  $d g n s x y X $.  $d g n s x Z $.
    nvi.1 $e |- X = ( Base ` U ) $.
    nvi.2 $e |- G = ( +v ` U ) $.
    nvi.4 $e |- S = ( .s ` U ) $.
    nvi.5 $e |- Z = ( 0v ` U ) $.
    nvi.6 $e |- N = ( norm ` U ) $.
    $( The properties of a normed complex vector space, which is a vector
       space accompanied by a norm. $)
    nvi $p |- ( U e. NrmCVec -> ( <. G , S >. e. CVec /\ N : X --> RR /\
       A. x e. X ( ( ( N ` x ) = 0 -> x = Z )
           /\ A. y e. CC ( N ` ( y S x ) ) = ( ( abs ` y ) x. ( N ` x ) ) /\
              A. y e. X ( N ` ( x G y ) ) <_ ( ( N ` x ) + ( N ` y ) ) ) ) ) $=
      ( vg vs vn cnv wcel cv cop cvc crn cr wf cfv cc0 wceq cgi wi co cabs
      cmul cc wral caddc cle wbr w3a copab2 df-nv eleq2i c1st wb id vafval
      syl6eqr opeq1 eleq1d rneq bafval feq2 syl fveq2 0vfval eqeq2d imbi2d
      opreq fveq2d breq1d raleq12d 3anbi13d 3anbi123d c2nd smfval opeq2 eqeq1d
      ralbidv 3anbi2d nmfval feq1 fveq1 imbi1d opreq2d eqeq12d opreq12d
      breq12d 3anbi23d eloprabi sylbi ) DQRDNSZOSZTZUARZWTUBZUCPSZUDZASZXEUEZUF
      UGZXGWTUHUEZUGZUIZBSZXGXAUJZXEUEZXMUKUEZXHULUJZUGZBUMUNZXGXMWTUJZXEUEZXHX
      MXEUEZUOUJZUPUQZBXDUNZURZAXDUNZURZNOPUSZRECTZUARZGUCFUDZXGFUEZUFUGZXGHUGZ
      UIZXMXGCUJZFUEZXPYMULUJZUGZBUMUNZXGXMEUJZFUEZYMXMFUEZUOUJZUPUQZBGUNZURZAG
      UNZURZQYIDABNPOUTVAYHEXATZUARZGUCXEUDZXIYOUIZXSUUBXEUEZYCUPUQZBGUNZURZAGU
      NZURZYKUUMUUNYQXEUEZXQUGZBUMUNZUUQURZAGUNZURZUUJNOPDWTDVBUEZVBUEZUGZWTEUG
      ZYHUUTVCUVIWTUVHEUVIVDDEJVEVFUVJXCUULXFUUMYGUUSUVJXBUUKUAWTEXAVGVHUVJXDGU
      GXFUUMVCUVJXDEUBGWTEVIDEGIJVJVFZXDGUCXEVKVLUVJYFUURAXDGUVKUVJXLUUNYEUUQXS
      UVJXKYOXIUVJXJHXGUVJXJEUHUEHWTEUHVMDEHJLVNVFVOVPUVJYDUUPBXDGUVKUVJYAUUOYC
      UPUVJXTUUBXEXGXMWTEVQVRVSVTWAVTWBVLXAUVGWCUEZUGZXACUGZUUTUVFVCUVMXAUVLCUV
      MVDCDKWDVFUVNUULYKUUSUVEUUMUVNUUKYJUAXACEWEVHUVNUURUVDAGUVNXSUVCUUNUUQUVN
      XRUVBBUMUVNXOUVAXQUVNXNYQXEXMXGXACVQVRWFWGWHWGWAVLXEDWCUEZUGZXEFUGZUVFUUJ
      VCUVPXEUVOFUVPVDDFMWIVFUVQUUMYLUVEUUIYKGUCXEFWJUVQUVDUUHAGUVQUUNYPUVCUUAU
      UQUUGUVQXIYNYOUVQXHYMUFXGXEFWKZWFWLUVQUVBYTBUMUVQUVAYRXQYSYQXEFWKUVQXHYMX
      PULUVRWMWNWGUVQUUPUUFBGUVQUUOUUCYCUUEUPUUBXEFWKUVQXHYMYBUUDUOUVRXMXEFWKWO
      WPWGWBWGWQVLWRWS $.
      $( [5-Sep-2007] $) $( [11-Nov-2006] $)
  $}

  ${
    $d x y U $.  $d x y W $.
    nvvc.1 $e |- W = ( 1st ` U ) $.
    $( The vector space component of a normed complex vector space. $)
    nvvc $p |- ( U e. NrmCVec -> W e. CVec ) $=
      ( vx vy cnv wcel c1st cfv c2nd cop cvc cpv fveq2i eqid vafval eqtr4 cns
      smfval nvvop crn cr wf cv cc0 wceq cgi wi co cabs cmul cc wral caddc cle
      wbr w3a cba bafval eqcomi cn0v 0vfval cnm nmfval nvi 3simp1d eqeltrd ) AF
      GZBBHIZBJIZKZLVJAVIBCVIAHIZHIAMIZBVLHCNAVMVMOPQZVJVLJIARIZBVLJCNVOAVOOSQZ
      TVHVKLGVIUAZUBAJIZUCDUDZVRIZUEUFVSVIUGIZUFUHEUDZVSVJUIVRIWBUJIVTUKUIUFEUL
      UMVSWBVIUIVRIVTWBVRIUNUIUOUPEVQUMUQDVQUMDEVJAVIVRVQWAAURIZVQAVIWCWCOVNUSU
      TVNVPAVAIZWAAVIWDVNWDOVBUTAVCIZVRAWEWEOVDUTVEVFVG $.
      $( [7-Sep-2007] $) $( [28-Nov-2006] $)
  $}

  ${
    nvabl.1 $e |- G = ( +v ` U ) $.
    $( The vector addition operation of a normed complex vector space is an
       Abelian group. $)
    nvabl $p |- ( U e. NrmCVec -> G e. Abel ) $=
      ( cnv wcel c1st cfv cvc cabl eqid nvvc vafval vcabl syl ) ADEAFGZHEBIEAOO
      JKBOABCLMN $.
      $( [15-Feb-2008] $) $( [15-Feb-2008] $)

    $( The vector addition operation of a normed complex vector space is a
       group. $)
    nvgrp $p |- ( U e. NrmCVec -> G e. Grp ) $=
      ( cnv wcel cabl cgr nvabl ablgrp syl ) ADEBFEBGEABCHBIJ $.
      $( [16-Feb-2008] $) $( [15-Feb-2008] $)
  $}

  ${
    nvgf.1 $e |- X = ( Base ` U ) $.
    nvgf.2 $e |- G = ( +v ` U ) $.
    $( Mapping for the vector addition operation. $)
    nvgf $p |- ( U e. NrmCVec -> G : ( X X. X ) --> X ) $=
      ( cnv wcel cgr cxp wfo wf nvgrp bafval grpfo fof 3syl ) AFGBHGCCIZCBJQCBK
      ABELBCABCDEMNQCBOP $.
      $( [28-Jan-2008] $) $( [28-Jan-2008] $)
  $}

  ${
    nvsf.1 $e |- X = ( Base ` U ) $.
    nvsf.4 $e |- S = ( .s ` U ) $.
    $( Mapping for the scalar multiplication operation. $)
    nvsf $p |- ( U e. NrmCVec -> S : ( CC X. X ) --> X ) $=
      ( cnv wcel c1st cfv cvc cc cxp wf eqid nvvc cpv vafval smfval bafval
      vcsm syl ) BFGBHIZJGKCLCAMBUBUBNOABPIZUBCBUCUCNZQABERBUCCDUDSTUA $.
      $( [30-Jan-2008] $) $( [28-Jan-2008] $)
  $}

  ${
    nvgcl.1 $e |- X = ( Base ` U ) $.
    nvgcl.2 $e |- G = ( +v ` U ) $.
    $( Closure law for the vector addition (group) operation of a normed
       complex vector space. $)
    nvgcl $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                    ( A G B ) e. X ) $=
      ( cgr wcel co cnv bafval grpcl nvgrp syl3an1 ) DHIAEIBEIABDJEICKIABDECDEF
      GLMCDGNO $.
      $( [22-Nov-2007] $) $( [23-Apr-2007] $)

    $( The vector addition (group) operation  is commutative. $)
    nvcom $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                ( A G B ) = ( B G A ) ) $=
      ( cabl wcel co wceq cnv bafval ablcom nvabl syl3an1 ) DHIAEIBEIABDJBADJKC
      LIABDECDEFGMNCDGOP $.
      $( [8-Dec-2007] $) $( [4-Dec-2007] $)

    $( The vector addition (group) operation is associative. $)
    nvass $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
              ( ( A G B ) G C ) = ( A G ( B G C ) ) ) $=
      ( cgr wcel w3a co wceq cnv bafval grpass nvgrp sylan ) EIJAFJBFJCFJKABELC
      ELABCELELMDNJABCEFDEFGHOPDEHQR $.
      $( [8-Dec-2007] $) $( [4-Dec-2007] $)

    $( Commutative/associative law for vector addition. $)
    nvadd12 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( A G ( B G C ) ) = ( B G ( A G C ) ) ) $=
      ( cnv wcel w3a wa co wceq nvcom 3adant3r3 opreq1d nvass 3ancoma sylan2b
      3eqtr3d ) DIJZAFJZBFJZCFJZKZLZABEMZCEMBAEMZCEMZABCEMEMBACEMEMZUGUHUICEUBU
      CUDUHUINUEABDEFGHOPQABCDEFGHRUBUDUCUEKUJUKNUFBACDEFGHRUCUDUESTUA $.
      $( [12-Jan-2008] $) $( [14-Dec-2007] $)

    $( Commutative/associative law for vector addition. $)
    nvadd23 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( ( A G B ) G C ) = ( ( A G C ) G B ) ) $=
      ( cabl wcel w3a co wceq cnv bafval abl23 nvabl sylan ) EIJAFJBFJCFJKABELC
      ELACELBELMDNJABCEFDEFGHOPDEHQR $.
      $( [5-Jan-2008] $) $( [27-Dec-2007] $)

    $( Right cancellation law for vector addition. $)
    nvrcan $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( A G C ) = ( B G C ) <-> A = B ) ) $=
      ( cgr wcel w3a co wceq wb cnv bafval grprcan nvgrp sylan ) EIJAFJBFJCFJKA
      CELBCELMABMNDOJABCEFDEFGHPQDEHRS $.
      $( [7-Dec-2007] $) $( [4-Dec-2007] $)

    $( Left cancellation law for vector addition. $)
    nvlcan $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( C G A ) = ( C G B ) <-> A = B ) ) $=
      ( cgr wcel w3a co wceq wb cnv bafval grplcan nvgrp sylan ) EIJAFJBFJCFJKC
      AELCBELMABMNDOJABCEFDEFGHPQDEHRS $.
      $( [11-Jan-2008] $) $( [14-Dec-2007] $)

    $( Rearrangement of 4 terms in a vector sum. $)
    nvadd4 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X ) /\ ( C e. X /\
       D e. X ) ) -> ( ( A G B ) G ( C G D ) ) = ( ( A G C ) G ( B G D ) ) ) $=
      ( cabl wcel wa co wceq cnv bafval abl4 nvabl syl3an1 ) FJKAGKBGKLCGKDGKLA
      BFMCDFMFMACFMBDFMFMNEOKABCDFGEFGHIPQEFIRS $.
      $( [2-Mar-2008] $) $( [8-Feb-2008] $)
  $}

  ${
    nvscl.1 $e |- X = ( Base ` U ) $.
    nvscl.4 $e |- S = ( .s ` U ) $.
    $( Closure law for the scalar product operation of a normed complex vector
       space. $)
    nvscl $p |- ( ( U e. NrmCVec /\ A e. CC /\ B e. X ) ->
                       ( A S B ) e. X ) $=
      ( c1st cfv cvc wcel cc co cnv cpv eqid vafval smfval bafval vccl nvvc
      syl3an1 ) DHIZJKALKBEKABCMEKDNKABCDOIZUCEDUDUDPZQCDGRDUDEFUESTDUCUCPUAUB
      $.
      $( [6-Sep-2007] $) $( [1-Feb-2007] $)

    $( Identity element for the scalar product of a normed complex vector
       space. $)
    nvsid $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( 1 S A ) = A ) $=
      ( c1st cfv cvc wcel c1 co wceq cnv cpv eqid vafval smfval bafval vcid
      nvvc sylan ) CGHZIJADJKABLAMCNJABCOHZUCDCUDUDPZQBCFRCUDDEUESTCUCUCPUAUB
      $.
      $( [7-Dec-2007] $) $( [4-Dec-2007] $)

    $( Associative law for the scalar product of a normed complex vector
       space. $)
    nvsass $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( ( A x. B ) S C ) = ( A S ( B S C ) ) ) $=
      ( c1st cfv cvc wcel cc w3a cmul co wceq cnv cpv eqid vafval smfval
      bafval vcass nvvc sylan ) EIJZKLAMLBMLCFLNABOPCDPABCDPDPQERLABCDESJZUGFEU
      HUHTZUADEHUBEUHFGUIUCUDEUGUGTUEUF $.
      $( [20-Nov-2007] $) $( [17-Nov-2007] $)

    $( Commutative law for the scalar product of a normed complex vector
       space. $)
    nvscom $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( A S ( B S C ) ) = ( B S ( A S C ) ) ) $=
      ( cnv wcel cc w3a wa cmul co wceq axmulcom opreq1d 3adant3 adantl nvsass
      3ancoma sylan2b 3eqtr3d ) EIJZAKJZBKJZCFJZLZMABNOZCDOZBANOZCDOZABCDODOBAC
      DODOZUIUKUMPZUEUFUGUOUHUFUGMUJULCDABQRSTABCDEFGHUAUEUGUFUHLUMUNPUIBACDEFG
      HUAUFUGUHUBUCUD $.
      $( [2-Mar-2008] $) $( [14-Feb-2008] $)
  $}

  ${
    nvdi.1 $e |- X = ( Base ` U ) $.
    nvdi.2 $e |- G = ( +v ` U ) $.
    nvdi.4 $e |- S = ( .s ` U ) $.
    $( Distributive law for the scalar product of a complex vector space. $)
    nvdi $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
       ( A S ( B G C ) ) = ( ( A S B ) G ( A S C ) ) ) $=
      ( c1st cfv cvc wcel cc w3a co wceq cnv vafval smfval bafval vcdi eqid
      nvvc sylan ) EKLZMNAONBGNCGNPABCFQDQABDQACDQFQRESNABCDFUGGEFITDEJUAEFGHIU
      BUCEUGUGUDUEUF $.
      $( [7-Dec-2007] $) $( [4-Dec-2007] $)

    $( Distributive law for the scalar product of a complex vector space. $)
    nvdir $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
      ( ( A + B ) S C ) = ( ( A S C ) G ( B S C ) ) ) $=
      ( c1st cfv cvc wcel cc w3a caddc co wceq cnv vafval smfval bafval vcdir
      eqid nvvc sylan ) EKLZMNAONBONCGNPABQRCDRACDRBCDRFRSETNABCDFUHGEFIUADEJUB
      EFGHIUCUDEUHUHUEUFUG $.
      $( [8-Dec-2007] $) $( [4-Dec-2007] $)

    $( A vector plus itself is two times the vector. $)
    nv2 $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A G A ) = ( 2 S A ) ) $=
      ( c1st cfv cvc wcel co c2 wceq cnv vafval smfval bafval vc2 eqid nvvc
      sylan ) CIJZKLAELAADMNABMOCPLABDUDECDGQBCHRCDEFGSTCUDUDUAUBUC $.
      $( [6-Mar-2008] $) $( [9-Feb-2008] $)
  $}

  ${
    $d f g x y z $.
    vsfval.2 $e |- G = ( +v ` U ) $.
    vsfval.3 $e |- M = ( -v ` U ) $.
    $( Value of the function for the vector subtraction operation on a
       normed complex vector space. $)
    vsfval $p |- M = ( /g ` G ) $=
      ( vg vf vx vy vz cnsb cfv cpv cgs cvv wcel wceq ccom cdm c1st df-va
      dmeqi crn wfo wf fo1st fof ax-mp fdmi forn eqtr4 dmcoeq 3eqtr eleq2i
      wfun cgr wfn cv wa cgn co copab2 visset rnex eqid oprabex2 df-gdiv
      fnopab2 fnfun fofun funco mp2an wb funeq mpbir fvco mp3an12 sylbir df-vs
      fveq1i syl5eq wn c0 0ngrp dmopab2 mtbir ndmfv a1i fvprc fveq2d 3eqtr4rd
      pm2.61i fveq2i 3eqtr4 ) AKLZAMLZNLZCBNLAOPZWOWQQWRANMRZLZWQWOWRAMSZPZWTWQ
      QZXAOAXATTRZSZTSZOMXDUAUBXFTUCZQXEXFQXFOXGOOTOOTUDZOOTUEUFOOTUGUHUIZXHXGO
      QUFOOTUJUHUKTTULUHXIUMUNNUOZMUOZXBXCNUPUQXJFGUPHURZFURZUCZPIURZXNPUSJURXL
      XOXMUTLLXMVAZQUSHIJVBZNHIJXNXNXPXQXMFVCVDZXRXQVEVFZHIJGFVGZVHUPNVIUHXKXDU
      OZTUOZYBYAXHYBUFOOTVJUHZYCTTVKVLMXDQXKYAVMUAMXDVNUHVOANMVPVQVRAKWSVSVTWAW
      RWBZWCNLZWCWQWOYEWCQZYDWCNSZPZWBYFYHWCUPPWDYGUPWCFGUPXQNXSXTWEUNWFWCNWGUH
      WHYDWPWCNAMWIWJAKWIWKWLEBWPNDWMWN $.
      $( [19-Feb-2008] $) $( [15-Feb-2008] $)
  $}

  ${
    nvzcl.1 $e |- X = ( Base ` U ) $.
    nvzcl.6 $e |- Z = ( 0v ` U ) $.
    $( Closure law for the zero vector of a normed complex vector space. $)
    nvzcl $p |- ( U e. NrmCVec -> Z e. X ) $=
      ( cnv wcel cpv cfv cgr eqid nvgrp bafval 0vfval grpidcl syl ) AFGAHIZJGCB
      GAQQKZLCQBAQBDRMAQCRENOP $.
      $( [27-Nov-2007] $) $( [27-Nov-2007] $)
  $}

  ${
    nv0id.1 $e |- X = ( Base ` U ) $.
    nv0id.2 $e |- G = ( +v ` U ) $.
    nv0id.6 $e |- Z = ( 0v ` U ) $.
    $( The zero vector is a right identity element. $)
    nv0rid $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A G Z ) = A ) $=
      ( cgr wcel co wceq cnv bafval 0vfval grprid nvgrp sylan ) CIJADJAECKALBMJ
      AECDBCDFGNBCEGHOPBCGQR $.
      $( [7-Dec-2007] $) $( [28-Nov-2007] $)

    $( The zero vector is a left identity element. $)
    nv0lid $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( Z G A ) = A ) $=
      ( cgr wcel co wceq cnv bafval 0vfval grplid nvgrp sylan ) CIJADJEACKALBMJ
      AECDBCDFGNBCEGHOPBCGQR $.
      $( [9-Dec-2007] $) $( [28-Nov-2007] $)
  $}

  ${
    nv0.1 $e |- X = ( Base ` U ) $.
    nv0.4 $e |- S = ( .s ` U ) $.
    nv0.6 $e |- Z = ( 0v ` U ) $.
    $( Zero times a vector is the zero vector. $)
    nv0 $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( 0 S A ) = Z ) $=
      ( c1st cfv cvc wcel cc0 co wceq cnv cpv eqid vafval smfval bafval 0vfval
      vc0 nvvc sylan ) CIJZKLADLMABNEOCPLABCQJZUFDECUGUGRZSBCGTCUGDFUHUACUGEUHH
      UBUCCUFUFRUDUE $.
      $( [27-Nov-2007] $) $( [27-Nov-2007] $)
  $}

  ${
    nvsz.4 $e |- S = ( .s ` U ) $.
    nvsz.6 $e |- Z = ( 0v ` U ) $.
    $( Anything times the zero vector is the zero vector. $)
    nvsz $p |- ( ( U e. NrmCVec /\ A e. CC ) -> ( A S Z ) = Z ) $=
      ( c1st cfv cvc wcel cc co wceq cnv cpv cba eqid vafval smfval bafval
      0vfval vcz nvvc sylan ) CGHZIJAKJADBLDMCNJABCOHZUECPHZDCUFUFQZRBCESCUFUGU
      GQUHTCUFDUHFUAUBCUEUEQUCUD $.
      $( [8-Dec-2007] $) $( [28-Nov-2007] $)
  $}

  ${
    nvinv.1 $e |- X = ( Base ` U ) $.
    nvinv.2 $e |- G = ( +v ` U ) $.
    nvinv.4 $e |- S = ( .s ` U ) $.
    nvinv.5 $e |- M = ( inv ` G ) $.
    $( Minus 1 times a vector is the underlying group's inverse element.
       Equation 2 of [Kreyszig] p. 51. $)
    nvinv $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( -u 1 S A ) = ( M ` A ) ) $=
      ( c1st cfv cvc wcel c1 cneg co wceq cnv vafval smfval bafval vcm eqid
      nvvc sylan ) CKLZMNAFNOPABQAELRCSNABDEUGFCDHTBCIUACDFGHUBJUCCUGUGUDUEUF
      $.
      $( [16-Feb-2008] $) $( [15-Feb-2008] $)
  $}

  ${
    $d x G $.  $d x N $.  $d x U $.
    invfval.2 $e |- G = ( +v ` U ) $.
    invfval.4 $e |- S = ( .s ` U ) $.
    invfval.3 $e |- N = ( S o. `' ( 2nd |` ( { -u 1 } X. V ) ) ) $.
    $( Function for the negative of a vector on a normed complex vector space,
       in terms of the underlying addition group inverse.  (We currently do
       not have a separate notation for the negative of a vector.) $)
    invfval $p |- ( U e. NrmCVec -> N = ( inv ` G ) ) $=
      ( vx cnv wcel cgn cfv wceq cba cv wral wa c1 cneg co cc cxp wfn ax1cn
      negcl curry1val mp3an2 wf eqid nvsf ffn syl sylan nvinv eqtrd r19.21aiva
      jctil wb eqfnfv curry1f mpan2 wf1o cgr nvgrp bafval grpinvf f1ofn sylanc
      mpbird ) BIJZDCKLZMZBNLZVMMZHOZDLZVOVKLZMZHVMPZQZVJVSVNVJVRHVMVJVOVMJZQVP
      RSZVOATZVQAUAVMUBZUCZWAVPWCMZVJWEWBUAJZWAWFRUDUEZUAVMWBVOVMADGUFUGVJWDVMA
      UHZWEABVMVMUIZFUJZWDVMAUKULUMVOABCVKVMWJEFVKUIZUNUOUPWJUQDVMUCZVKVMUCZVLV
      TURVJHVMVMDVKUSVJVMVMDUHZWMVJWIWOWKWIWGWOWHUAVMWBVMADGUTVAULVMVMDUKULVJVM
      VMVKVBZWNVJCVCJWPBCEVDCVKVMBCVMWJEVEWLVFULVMVMVKVGULVHVI $.
      $( [7-May-2008] $) $( [27-Mar-2008] $)
  $}

  ${
    nvm.1 $e |- X = ( Base ` U ) $.
    nvm.2 $e |- G = ( +v ` U ) $.
    nvm.3 $e |- M = ( -v ` U ) $.
    nvm.6 $e |- N = ( /g ` G ) $.
    $( Vector subtraction in terms of group division operation. $)
    nvm $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
          ( A M B ) = ( A N B ) ) $=
      ( co wceq cnv wcel w3a cgs cfv vsfval eqtr4 opreqi a1i ) ABELABFLMCNOAGOB
      GOPEFABEDQRFCDEIJSKTUAUB $.
      $( [18-Feb-2008] $) $( [15-Feb-2008] $)
  $}

  ${
    $d x y z G $.  $d x y z U $.  $d x y z X $.
    nvmval.1 $e |- X = ( Base ` U ) $.
    nvmval.2 $e |- G = ( +v ` U ) $.
    nvmval.4 $e |- S = ( .s ` U ) $.
    nvmval.3 $e |- M = ( -v ` U ) $.
    $( Value of vector subtraction on a normed complex vector space. $)
    nvmval $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                ( A M B ) = ( A G ( -u 1 S B ) ) ) $=
      ( cnv wcel w3a cgs cfv co cgn c1 cneg cgr wceq bafval eqid grpdivval
      nvgrp syl3an1 nvm nvinv 3adant2 opreq2d 3eqtr4d ) DLMZAGMZBGMZNZABEOPZQZA
      BERPZPZEQZABFQASTBCQZEQEUAMUNUOURVAUBUMABUQEUSGDEGHIUCUSUDZUQUDZUEDEIUFUG
      ABDEFUQGHIKVDUHUPVBUTAEUMUOVBUTUBUNBCDEUSGHIJVCUIUJUKUL $.
      $( [12-Sep-2007] $) $( [11-Sep-2007] $)

    $( Value of the function for the vector subtraction operation on a normed
       complex vector space. $)
    nvmfval $p |- ( U e. NrmCVec -> M = { <. <. x , y >. , z >. |
                 ( ( x e. X /\ y e. X ) /\ z = ( x G ( -u 1 S y ) ) ) } ) $=
      ( cnv wcel cv wa cgn cfv co wceq copab2 c1 cneg cgr nvgrp bafval eqid
      vsfval grpdivfval syl nvinv adantrl opreq2d eqeq2d pm5.32da oprabbidv
      eqtr4d ) EMNZGAOZHNZBOZHNZPZCOZUSVAFQRZRZFSZTZPZABCUAZVCVDUSUBUCVADSZFSZT
      ZPZABCUAURFUDNGVJTEFJUEABCGFVEHEFHIJUFVEUGZEFGJLUHUIUJURVNVIABCURVCVMVHUR
      VCPZVLVGVDVPVKVFUSFURVBVKVFTUTVADEFVEHIJKVOUKULUMUNUOUPUQ $.
      $( [12-Sep-2007] $) $( [11-Sep-2007] $)
  $}

  ${
    nvzs.1 $e |- X = ( Base ` U ) $.
    nvzs.3 $e |- M = ( -v ` U ) $.
    nvzs.4 $e |- S = ( .s ` U ) $.
    nvzs.6 $e |- Z = ( 0v ` U ) $.
    $( Two ways to express the negative of a vector. $)
    nvzs $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( Z M A ) = ( -u 1 S A ) ) $=
      ( cnv wcel wa co c1 cneg cpv cfv wceq eqid nvmval pm3.26 nvzcl adantr
      pm3.27 syl3anc cc ax1cn negcl nvscl mp3an2 nv0lid syldan eqtrd ) CKLZAELZ
      MZFADNZFOPZABNZCQRZNZUTUOFELZUPURVBSUQFABCVADEGVATZIHUAUOUPUBUOVCUPCEFGJU
      CUDUOUPUEUFUOUPUTELZVBUTSUOUSUGLUPVEOUHUIUSABCEGIUJUKUTCVAEFGVDJULUMUN $.
      $( [29-Feb-2008] $) $( [29-Feb-2008] $)
  $}

  ${
    $d x y z U $.  $d x y z X $.
    nvmf.1 $e |- X = ( Base ` U ) $.
    nvmf.3 $e |- M = ( -v ` U ) $.
    $( Mapping for the vector subtraction operation. $)
    nvmf $p |- ( U e. NrmCVec -> M : ( X X. X ) --> X ) $=
      ( vx vy vz cnv wcel cxp wf cv wa c1 cneg cns cfv co cpv wceq copab2 wral
      eqid nvgcl pm3.26 simprl cc ax1cn negcl nvscl mp3an2 adantrl syl3anc ex
      r19.21aivv foprab2 sylib nvmfval feq1d mpbird ) AIJZCCKZCBLVCCFMZCJZGMZCJ
      ZNZHMVDOPZVFAQRZSZATRZSZUANFGHUBZLZVBVMCJZGCUCFCUCVOVBVPFGCCVBVHVPVBVEVKC
      JZVPVBVHNVDVKAVLCDVLUDZUEVBVHUFVBVEVGUGVBVGVQVEVBVIUHJVGVQOUIUJVIVFVJACDV
      JUDZUKULUMUNUOUPFGHCCVMCVNVNUDUQURVBVCCBVNFGHVJAVLBCDVRVSEUSUTVA $.
      $( [12-Sep-2007] $) $( [11-Sep-2007] $)

    $( Closure law for the vector subtraction operation of a normed complex
       vector space. $)
    nvmcl $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) -> ( A M B ) e. X ) $=
      ( cxp wf wcel co cnv foprrn nvmf syl3an1 ) EEHEDIAEJBEJABDKEJCLJABEEEDMCD
      EFGNO $.
      $( [12-Sep-2007] $) $( [11-Sep-2007] $)

    $( Vector space analog of ~ nnncan1t . $)
    nvnnncan1 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( ( A M B ) M ( A M C ) ) = ( C M B ) ) $=
      ( cpv cfv cabl wcel w3a co wceq cnv eqid bafval vsfval ablnnncan1 nvabl
      sylan ) DIJZKLAFLBFLCFLMABENACENENCBENODPLABCEUCFDUCFGUCQZRDUCEUDHSTDUCUD
      UAUB $.
      $( [2-Apr-2008] $) $( [7-Mar-2008] $)

    $( Vector space analog of ~ nnncan2t . $)
    nvnnncan2 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
         ( ( A M C ) M ( B M C ) ) = ( A M B ) ) $=
      ( cpv cfv cgr wcel w3a co wceq cnv eqid bafval vsfval grpnnncan2 nvgrp
      sylan ) DIJZKLAFLBFLCFLMACENBCENENABENODPLABCEUCFDUCFGUCQZRDUCEUDHSTDUCUD
      UAUB $.
      $( [15-Mar-2008] $) $( [15-Feb-2008] $)
  $}

  ${
    nvmdi.1 $e |- X = ( Base ` U ) $.
    nvmdi.3 $e |- M = ( -v ` U ) $.
    nvmdi.4 $e |- S = ( .s ` U ) $.
    $( Distributive law for scalar product over subtraction. $)
    nvmdi $p |- ( ( U e. NrmCVec /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
       ( A S ( B M C ) ) = ( ( A S B ) M ( A S C ) ) ) $=
      ( cnv wcel cc w3a wa c1 cneg co cpv cfv wceq 3simp1 adantl 3simp2 ax1cn
      negcl nvscl mp3an2 3ad2antr3 3jca eqid nvdi syldan nvscom mp3anr2
      3adantr2 opreq2d eqtrd nvmval 3adant3r1 pm3.26 3adant3r3 3adant3r2
      syl3anc 3eqtr4d ) EKLZAMLZBGLZCGLZNZOZABPQZCDRZESTZRZDRZABDRZVLACDRZDRZVN
      RZABCFRZDRVQVRFRZVKVPVQAVMDRZVNRZVTVFVJVGVHVMGLZNVPWDUAVKVGVHWEVJVGVFVGVH
      VIUBUCVJVHVFVGVHVIUDUCVFVGVIWEVHVFVLMLZVIWEPUEUFZVLCDEGHJUGUHUIUJABVMDEVN
      GHVNUKZJULUMVKWCVSVQVNVFVGVIWCVSUAZVHVFVGWFVIWIWGAVLCDEGHJUNUOUPUQURVKWAV
      OADVFVHVIWAVOUAVGBCDEVNFGHWHJIUSUTUQVFVQGLZVRGLZWBVTUAVKVQVRDEVNFGHWHJIUS
      VFVJVAVFVGVHWJVIABDEGHJUGVBVFVGVIWKVHACDEGHJUGVCVDVE $.
      $( [7-Mar-2008] $) $( [14-Feb-2008] $)
  $}

  ${
    nvnegneg.1 $e |- X = ( Base ` U ) $.
    nvnegneg.4 $e |- S = ( .s ` U ) $.
    $( Double negative of a vector. $)
    nvnegneg $p |- ( ( U e. NrmCVec /\ A e. X ) ->
                  ( -u 1 S ( -u 1 S A ) ) = A ) $=
      ( cnv wcel wa c1 cneg co cpv cfv cgn wceq cc ax1cn negcl nvscl mp3an2
      eqid nvinv syldan fveq2d cgr bafval grp2inv nvgrp sylan 3eqtrd ) CGHZADHZ
      IZJKZUOABLZBLZUPCMNZONZNZAUSNZUSNZAULUMUPDHZUQUTPULUOQHUMVCJRSUOABCDEFTUA
      UPBCURUSDEURUBZFUSUBZUCUDUNUPVAUSABCURUSDEVDFVEUCUEURUFHUMVBAPULAURUSDCUR
      DEVDUGVEUHCURVDUIUJUK $.
      $( [7-Dec-2007] $) $( [4-Dec-2007] $)
  $}

  ${
    nvmul0or.1 $e |- X = ( Base ` U ) $.
    nvmul0or.4 $e |- S = ( .s ` U ) $.
    nvmul0or.6 $e |- Z = ( 0v ` U ) $.
    $( If a scalar product is zero, one of its factors must be zero. $)
    nvmul0or $p |- ( ( U e. NrmCVec /\ A e. CC /\ B e. X ) ->
                    ( ( A S B ) = Z <-> ( A = 0 \/ B = Z ) ) ) $=
      ( cnv wcel cc w3a co wceq cc0 wo wa wne wn c1 cdiv opreq2 ad2antlr cmul
      recid2t opreq1d 3ad2antl2 nvsass 3simp1 adantr recclt 3simp2 3simp3 3jca
      sylanc nvsid 3adant2 3eqtr3d adantlr nvsz sylan2 anassrs 3adantl3 ex
      df-ne syl5ibr orrd wi opreq1 eqeq1d nv0 syl5cbir 3adant3 jaod impbid ) DJ
      KZALKZBEKZMZABCNZFOZAPOZBFOZQZVTWBWEVTWBRZWCWDWFAPSZWDWCTWFWGWDWFWGRUAAUB
      NZWACNZWHFCNZBFWBWIWJOVTWGWAFWHCUCUDVTWGWIBOWBVTWGRZWHAUENZBCNZUABCNZWIBV
      RVQWGWMWNOVSVRWGRZWLUABCAUFUGUHVQWHLKZVRVSMWMWIOWKWHABCDEGHUIVTVQWGVQVRVS
      UJUKWKWPVRVSVRVQWGWPVSAULZUHVTVRWGVQVRVSUMUKVTVSWGVQVRVSUNUKUOUPVTWNBOZWG
      VQVSWRVRBCDEGHUQURUKUSUTVTWGWJFOZWBVQVRWGWSVSVQVRWGWSVQWPWSWOWHCDFHIVAWQV
      BVCVDUTUSVEAPVFVGVHVEVTWCWBWDVQVSWCWBVIVRWCWBPBCNZFOVQVSRWCWAWTFAPBCVJVKB
      CDEFGHIVLVMURVQVRWDWBVIVSWDWBAFCNZFOVQVRRWDWAXAFBFACUCVKACDFHIVAVMVNVOVP
      $.
      $( [17-Dec-2007] $) $( [6-Dec-2007] $)
  $}

  ${
    nvrinv.1 $e |- X = ( Base ` U ) $.
    nvrinv.2 $e |- G = ( +v ` U ) $.
    nvrinv.4 $e |- S = ( .s ` U ) $.
    nvrinv.6 $e |- Z = ( 0v ` U ) $.
    $( A vector minus itself. $)
    nvrinv $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A G ( -u 1 S A ) ) = Z ) $=
      ( cnv wcel wa c1 cneg co cgn cfv eqid nvinv opreq2d cgr wceq bafval
      0vfval grprinv nvgrp sylan eqtrd ) CKLZAELZMZANOABPZDPAADQRZRZDPZFULUMUOA
      DABCDUNEGHIUNSZTUADUBLUKUPFUCUJAFDUNECDEGHUDCDFHJUEUQUFCDHUGUHUI $.
      $( [7-Dec-2007] $) $( [4-Dec-2007] $)

    $( Minus a vector plus itself. $)
    nvlinv $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( ( -u 1 S A ) G A ) = Z ) $=
      ( cnv wcel wa c1 cneg co cgn cfv eqid nvinv opreq1d cgr wceq bafval
      0vfval grplinv nvgrp sylan eqtrd ) CKLZAELZMZNOABPZADPADQRZRZADPZFULUMUOA
      DABCDUNEGHIUNSZTUADUBLUKUPFUCUJAFDUNECDEGHUDCDFHJUEUQUFCDHUGUHUI $.
      $( [9-Dec-2007] $) $( [4-Dec-2007] $)
  $}

  ${
    nvsubadd.1 $e |- X = ( Base ` U ) $.
    nvsubadd.2 $e |- G = ( +v ` U ) $.
    nvsubadd.3 $e |- M = ( -v ` U ) $.
    $( Relationship between vector subtraction and addition. $)
    nvsubadd $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                ( ( A M B ) = C <-> ( B G C ) = A ) ) $=
      ( cnv wcel w3a wa co wceq c1 cneg cns cfv eqid nvmval 3adant3r3 eqeq1d
      wb nvgcl cc ax1cn negcl nvscl mp3an2 3adant2 syld3an3 3simp3 adantl
      3simp2 3jca nvlcan syldan cn0v simprr simprl adantrl nvadd12 nvrinv
      opreq2d nv0rid adantrr 3eqtrd 3adantr3 bitr3d eqcom syl6bb bitrd ) DKLZAG
      LZBGLZCGLZMZNZABFOZCPAQRZBDSTZOZEOZCPZBCEOZAPZVTWAWECVOVPVQWAWEPVRABWCDEF
      GHIWCUAZJUBUCUDVTWFAWGPZWHVTBWEEOZWGPZWFWJVOVSWEGLZVRVQMWLWFUEVTWMVRVQVOV
      PVQWMVRVOVPWDGLZWMVQAWDDEGHIUFVOVQWNVPVOWBUGLVQWNQUHUIWBBWCDGHWIUJUKZULUM
      UCVSVRVOVPVQVRUNUOVSVQVOVPVQVRUPUOUQWECBDEGHIURUSVTWKAWGVOVPVQWKAPVRVOVPV
      QNZNZWKABWDEOZEOZADUTTZEOZAVOWPVQVPWNMWKWSPWQVQVPWNVOVPVQVAVOVPVQVBVOVQWN
      VPWOVCUQBAWDDEGHIVDUSWQWRWTAEVOVQWRWTPVPBWCDEGWTHIWIWTUAZVEVCVFVOVPXAAPVQ
      ADEGWTHIXBVGVHVIVJUDVKAWGVLVMVN $.
      $( [17-Jan-2008] $) $( [14-Dec-2007] $)

    $( Cancellation law for vector subtraction. $)
    nvpncan2 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                 ( ( A G B ) M A ) = B ) $=
      ( cnv wcel w3a co c1 cneg cns cfv wceq eqid nvmval 3simp1 nvgcl 3simp2
      syl3anc nvadd23 3simp3 cc ax1cn negcl nvscl mp3an2 3adant3 3jca sylanc
      cn0v nvrinv opreq1d nv0lid 3adant2 eqtrd 3eqtrd ) CJKZAFKZBFKZLZABDMZAEMZ
      VFNOZACPQZMZDMZAVJDMZBDMZBVBVFFKVCVGVKRVEVFAVICDEFGHVISZITVBVCVDUAZABCDFG
      HUBVBVCVDUCZUDVBVCVDVJFKZLVKVMRVEABVJCDFGHUEVOVEVCVDVQVPVBVCVDUFVBVCVQVDV
      BVHUGKVCVQNUHUIVHAVICFGVNUJUKULUMUNVEVMCUOQZBDMZBVEVLVRBDVBVCVLVRRVDAVICD
      FVRGHVNVRSZUPULUQVBVDVSBRVCBCDFVRGHVTURUSUTVA $.
      $( [6-Jan-2008] $) $( [27-Dec-2007] $)

    $( Cancellation law for vector subtraction. $)
    nvpncan $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                 ( ( A G B ) M B ) = A ) $=
      ( cnv wcel co wceq w3a nvcom opreq1d nvpncan2 eqtr3d 3com23 ) CJKZBFKZAFK
      ZABDLZBELZAMTUAUBNZBADLZBELUDAUEUFUCBEBACDFGHOPBACDEFGHIQRS $.
      $( [31-Jan-2008] $) $( [24-Jan-2008] $)

    $( Associative-type law for vector addition and subtraction. $)
    nvaddsubass $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
              ( ( A G B ) M C ) = ( A G ( B M C ) ) ) $=
      ( cgr wcel w3a co wceq cnv bafval vsfval grpmuldivass nvgrp sylan ) EKLAG
      LBGLCGLMABENCFNABCFNENODPLABCFEGDEGHIQDEFIJRSDEITUA $.
      $( [30-Jan-2008] $) $( [24-Jan-2008] $)

    $( Commutative/associative law for vector addition and subtraction. $)
    nvaddsub $p |-  ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
      ( ( A G B ) M C ) = ( ( A M C ) G B ) ) $=
      ( cabl wcel w3a co wceq cnv bafval vsfval ablmuldiv nvabl sylan ) EKLAGLB
      GLCGLMABENCFNACFNBENODPLABCFEGDEGHIQDEFIJRSDEITUA $.
      $( [1-Feb-2008] $) $( [24-Jan-2008] $)

    $( Cancellation law for a normed complex vector space. $)
    nvnpcan $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
         ( ( A M B ) G B ) = A ) $=
      ( cnv wcel w3a co wceq wa simprl simprr 3jca nvaddsub syldan 3impb
      nvpncan eqtr3d ) CJKZAFKZBFKZLABDMBEMZABEMBDMZAUDUEUFUGUHNZUDUEUFOZUEUFUF
      LUIUDUJOUEUFUFUDUEUFPUDUEUFQZUKRABBCDEFGHISTUAABCDEFGHIUBUC $.
      $( [3-Feb-2008] $) $( [24-Jan-2008] $)

    $( Rearrangement of 4 terms in a mixed vector addition and subtraction. $)
    nvaddsub4 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X ) /\ ( C e. X /\
       D e. X ) ) -> ( ( A G B ) M ( C G D ) ) = ( ( A M C ) G ( B M D ) ) ) $=
      ( cnv wcel wa w3a co c1 cneg cns cfv wceq cc ax1cn negcl eqid nvdi
      mp3anr1 3adant2 opreq2d nvadd4 nvscl mp3an2 anim12i anandis syld3an3
      eqtrd nvmval 3simp1 nvgcl 3expb 3adant3 syl3anc 3adant3r 3adant2r
      3adant3l 3adant2l opreq12d 3eqtr4d ) ELMZAHMZBHMZNZCHMZDHMZNZOZABFPZQRZCD
      FPZESTZPZFPZAVRCVTPZFPZBVRDVTPZFPZFPZVQVSGPZACGPZBDGPZFPVPWBVQWCWEFPZFPZW
      GVPWAWKVQFVIVOWAWKUAZVLVIVRUBMZVMVNWMQUCUDZVRCDVTEFHIJVTUEZUFUGUHUIVIVLWC
      HMZWEHMZNZWLWGUAVOABWCWEEFHIJUJVIVOWSVLVIVMVNWSVIVMNWQVIVNNWRVIWNVMWQWOVR
      CVTEHIWPUKULVIWNVNWRWOVRDVTEHIWPUKULUMUNUHUOUPVIVQHMZVSHMZWHWBUAVPVQVSVTE
      FGHIJWPKUQVIVLVOURVIVLWTVOVIVJVKWTABEFHIJUSUTVAVIVOXAVLVIVMVNXACDEFHIJUSU
      TUHVBVPWIWDWJWFFVIVJVOWIWDUAZVKVIVJVMXBVNACVTEFGHIJWPKUQVCVDVIVKVOWJWFUAZ
      VJVIVKVNXCVMBDVTEFGHIJWPKUQVEVFVGVH $.
      $( [12-Mar-2008] $) $( [8-Feb-2008] $)
  $}

  ${
    nvsubsub23.1 $e |- X = ( Base ` U ) $.
    nvsubsub23.3 $e |- M = ( -v ` U ) $.
    $( Swap subtrahend and result of vector subtraction. $)
    nvsubsub23 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                ( ( A M B ) = C <-> ( A M C ) = B ) ) $=
      ( cnv wcel w3a wa cpv cfv co wceq eqid nvcom 3adant3r1 eqeq1d nvsubadd
      wb 3ancomb sylan2b 3bitr4d ) DIJZAFJZBFJZCFJZKZLZBCDMNZOZAPCBULOZAPZABEOC
      PACEOBPZUKUMUNAUFUHUIUMUNPUGBCDULFGULQZRSTABCDULEFGUQHUAUFUGUIUHKUPUOUBUJ
      ACBDULEFGUQHUAUGUHUIUCUDUE $.
      $( [4-Apr-2008] $) $( [14-Dec-2007] $)

    $( Cancellation law for a normed complex vector space. $)
    nvnncan $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
         ( A M ( A M B ) ) = B ) $=
      ( cnv wcel w3a co c1 cneg cns cfv cpv cn0v wceq eqid nvmval nvmcl
      syld3an3 cc nvdi 3simp1 ax1cn negcl a1i 3simp2 nvscl mp3an2 3adant2 3jca
      sylanc opreq2d wa cmul nvsid mul2neg mulid1 eqtr opreq1i syl5eq nvsass
      mp3anr1 mpanr1 eqtr3d 3eqtr4d nvass 3adant3 3simp3 nvrinv opreq1d
      3eqtr2d nv0lid 3eqtrd ) CHIZAEIZBEIZJZAABDKZDKZALMZWACNOZKZCPOZKZCQOZBWFK
      ZBVQVRWAEIWBWGRVSAWAWDCWFDEFWFSZWDSZGTABCDEFGUAUBVTWGAWCAWDKZBWFKZWFKZAWL
      WFKZBWFKZWIVTWEWMAWFVTWCAWCBWDKZWFKZWDKZWLWCWQWDKZWFKZWEWMVQWCUCIZVRWQEIZ
      JWSXARVTWCAWQWDCWFEFWJWKUDVQVRVSUEZVTXBVRXCXBVTLUFUGZUHVQVRVSUIZVQVSXCVRV
      QXBVSXCXEWCBWDCEFWKUJUKULUMUNVTWAWRWCWDABWDCWFDEFWJWKGTUOVTBWTWLWFVQVSBWT
      RVRVQVSUPZWCWCUQKZBWDKZBWTXGLBWDKBXIBWDCEFWKURXHLBWDXHLLUQKLLLUFUFUSLUFUT
      VAVBVCVQXBVSXIWTRZXEVQXBXBVSXJXEWCWCBWDCEFWKVDVEVFVGULUOVHUOVQVRWLEIZVSJW
      PWNRVTAWLBCWFEFWJVIXDVTVRXKVSXFVQVRXKVSVQXBVRXKXEWCAWDCEFWKUJUKVJVQVRVSVK
      UMUNVTWOWHBWFVQVRWOWHRVSAWDCWFEWHFWJWKWHSZVLVJVMVNVQVSWIBRVRBCWFEWHFWJXLV
      OULVP $.
      $( [4-Jan-2008] $) $( [17-Dec-2007] $)
  $}

  ${
    nvmeq0.1 $e |- X = ( Base ` U ) $.
    nvmeq0.3 $e |- M = ( -v ` U ) $.
    nvmeq0.5 $e |- Z = ( 0v ` U ) $.
    $( The difference between two vectors is zero iff they are equal. $)
    nvmeq0 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
            ( ( A M B ) = Z <-> A = B ) ) $=
      ( cnv wcel w3a co cpv cfv wceq wb wa nvmcl 3expb nvzcl adantr simprr
      3jca eqid nvrcan syldan 3impb nvnpcan nv0lid 3adant2 eqeq12d bitr3d ) CJK
      ZAEKZBEKZLZABDMZBCNOZMZFBUSMZPZURFPZABPUNUOUPVBVCQZUNUOUPRZUREKZFEKZUPLVD
      UNVERVFVGUPUNUOUPVFABCDEGHSTUNVGVECEFGIUAUBUNUOUPUCUDURFBCUSEGUSUEZUFUGUH
      UQUTAVABABCUSDEGVHHUIUNUPVABPUOBCUSEFGVHIUJUKULUM $.
      $( [4-Feb-2008] $) $( [24-Jan-2008] $)

    $( A vector minus itself is the zero vector. $)
    nvmid $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A M A ) = Z ) $=
      ( cnv wcel wa co wceq eqid wb nvmeq0 3anidm23 mpbiri ) BIJZADJZKAACLEMZAA
      MZANSTUAUBOAABCDEFGHPQR $.
      $( [14-Feb-2008] $) $( [28-Jan-2008] $)
  $}

  ${
    $d x y N $.  $d x y U $.  $d x y X $.
    nvf.1 $e |- X = ( Base ` U ) $.
    nvf.6 $e |- N = ( norm ` U ) $.
    $( Mapping for the norm function. $)
    nvf $p |- ( U e. NrmCVec -> N : X --> RR ) $=
      ( vx vy cnv wcel cpv cfv cns cop cvc cr wf cv cc0 wceq cn0v wi co cabs
      cmul cc wral caddc cle wbr w3a eqid nvi 3simp2d ) AHIAJKZALKZMNICOBPFQZBK
      ZRSUPATKZSUAGQZUPUOUBBKUSUCKUQUDUBSGUEUFUPUSUNUBBKUQUSBKUGUBUHUIGCUFUJFCU
      FFGUOAUNBCURDUNUKUOUKURUKEULUM $.
      $( [6-Sep-2007] $) $( [11-Nov-2006] $)

    $( The norm of a normed complex vector space is a real number. $)
    nvcl $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( N ` A ) e. RR ) $=
      ( cr wf wcel cfv cnv ffvelrn nvf sylan ) DGCHADIACJGIBKIDGACLBCDEFMN $.
      $( [8-Sep-2007] $) $( [24-Nov-2006] $)

    ${
      nvcli.9 $e |- U e. NrmCVec $.
      nvcli.7 $e |- A e. X $.
      $( The norm of a normed complex vector space is a real number. $)
      nvcli $p |- ( N ` A ) e. RR $=
        ( cnv wcel cfv cr nvcl mp2an ) BIJADJACKLJGHABCDEFMN $.
        $( [4-Oct-2007] $) $( [20-Apr-2007] $)
    $}
  $}

  ${
    nvdm.2 $e |- G = ( +v ` U ) $.
    nvdm.6 $e |- N = ( norm ` U ) $.
    $( Two ways to express the set of vectors in a normed complex vector
       space. $)
    nvdm $p |- ( U e. NrmCVec -> ( X = dom N <-> X = ran G ) ) $=
      ( cnv wcel cdm crn cr wf wceq cba cfv eqid bafval eqcomi nvf fdm syl
      eqeq2d ) AGHZCIZBJZDUCUEKCLUDUEMACUEANOZUEABUFUFPEQRFSUEKCTUAUB $.
      $( [25-Jun-2008] $) $( [31-Jan-2007] $)
  $}

  ${
    $d y A $.  $d x y B $.  $d x y N $.  $d x y S $.  $d x y U $.  $d x y X $.
    nvs.1 $e |- X = ( Base ` U ) $.
    nvs.4 $e |- S = ( .s ` U ) $.
    nvs.6 $e |- N = ( norm ` U ) $.
    $( Proportionality property of the norm of a scalar product in a normed
       complex vector space. $)
    nvs $p |- ( ( U e. NrmCVec /\ A e. CC /\ B e. X ) ->
               ( N ` ( A S B ) ) = ( ( abs ` A ) x. ( N ` B ) ) ) $=
      ( vy vx wcel cc cnv co cfv cabs cmul wceq wa cv wral opreq2 fveq2d fveq2
      opreq2d eqeq12d opreq1 opreq1d rcla42v cpv cop cvc cr wf cc0 cn0v wi
      caddc cle wbr w3a eqid nvi 3simp3 3simp2 r19.20si 3syl syl5 3impia
      3com13 ) BFLZAMLZDNLZABCOZEPZAQPZBEPZROZSZVLVMVNVTVLVMTJUAZKUAZCOZEPZWAQP
      ZWBEPZROZSZJMUBZKFUBZVTVNWHVTWABCOZEPZWEVRROZSKJBAFMWBBSZWDWLWGWMWNWCWKEW
      BBWACUCUDWNWFVRWERWBBEUEUFUGWAASZWLVPWMVSWOWKVOEWAABCUHUDWOWEVQVRRWAAQUEU
      IUGUJVNDUKPZCULUMLZFUNEUOZWFUPSWBDUQPZSURZWIWBWAWPOEPWFWAEPUSOUTVAJFUBZVB
      ZKFUBZVBXCWJKJCDWPEFWSGWPVCHWSVCIVDWQWRXCVEXBWIKFWTWIXAVFVGVHVIVJVK $.
      $( [21-Sep-2007] $) $( [11-Nov-2006] $)

    $( The norm of a scalar product with a nonnegative real. $)
    nvsge0 $p |- ( ( U e. NrmCVec /\ ( A e. RR /\ 0 <_ A ) /\ B e. X ) ->
               ( N ` ( A S B ) ) = ( A x. ( N ` B ) ) ) $=
      ( cnv wcel cr cc0 cle wbr wa w3a co cfv cabs cmul cc wceq nvs recnt
      adantr syl3an2 absidt 3ad2ant2 opreq1d eqtrd ) DJKZALKZMANOZPZBFKZQZABCRE
      SZATSZBESZUARZAUTUARULAUBKZUPURVAUCUOABCDEFGHIUDUMVBUNAUEUFUGUQUSAUTUAUOU
      LUSAUCUPAUHUIUJUK $.
      $( [7-Jan-2008] $) $( [1-Jan-2008] $)

    $( The norm of the negative of a vector. $)
    nvm1 $p |- ( ( U e. NrmCVec /\ A e. X ) ->
               ( N ` ( -u 1 S A ) ) = ( N ` A ) ) $=
      ( cnv wcel wa c1 cneg co cfv cabs cmul cc wceq ax1cn negcl nvs mp3an2
      nvcl recnd mulid2t syl absneg cc0 cle wbr 0re 1re lt01 ltlei absid ax-mp
      eqtr opreq1i syl5eq eqtrd ) CIJZAEJZKZLMZABNDOZVEPOZADOZQNZVHVBVERJVCVFVI
      SLTUAVEABCDEFGHUBUCVDLVHQNZVHVIVDVHRJVJVHSVDVHACDEFHUDUEVHUFUGVGLVHQVGLPO
      ZLLTUHUILUJUKVKLSUILULUMUNUOLUMUPUQURUSUTVA $.
      $( [24-Sep-2007] $) $( [28-Nov-2006] $)
  $}

  ${
    nvdif.1 $e |- X = ( Base ` U ) $.
    nvdif.2 $e |- G = ( +v ` U ) $.
    nvdif.4 $e |- S = ( .s ` U ) $.
    nvdif.6 $e |- N = ( norm ` U ) $.
    $( MAY BE REVISED - make this obsolete in favor of nvsub $)
    $( The norm of the difference between two vectors. $)
    nvdif $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
               ( N ` ( A G ( -u 1 S B ) ) ) = ( N ` ( B G ( -u 1 S A ) ) ) ) $=
      ( cnv wcel w3a c1 cneg co cfv cc wceq nvdi 3simp1 ax1cn negcl a1i 3simp3
      nvscl mp3an2 3adant3 3jca sylanc nvnegneg opreq2d nvcom 3adant2 3simp2
      syl3anc 3eqtrd fveq2d nvm1 nvgcl eqtr3d ) DLMZAGMZBGMZNZOPZBVGACQZEQZCQZF
      RZAVGBCQZEQZFRVIFRZVFVJVMFVFVJVLVGVHCQZEQZVLAEQZVMVCVGSMZVEVHGMZNVJVPTVFV
      GBVHCDEGHIJUAVCVDVEUBZVFVRVEVSVRVFOUCUDZUEVCVDVEUFZVCVDVSVEVCVRVDVSWAVGAC
      DGHJUGUHUIZUJUKVFVOAVLEVCVDVOATVEACDGHJULUIUMVCVLGMZVDVQVMTVFVLADEGHIUNVT
      VCVEWDVDVCVRVEWDWAVGBCDGHJUGUHUOVCVDVEUPUQURUSVCVIGMZVKVNTVFVICDFGHJKUTVT
      VCVEVSWEVFBVHDEGHIVAVTWBWCUQUKVB $.
      $( [25-Sep-2007] $) $( [1-Dec-2006] $)

    $( The norm of a vector plus the imaginary scalar product of another. $)
    nvpi $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
               ( N ` ( A G ( i S B ) ) ) = ( N ` ( B G ( -u i S A ) ) ) ) $=
      ( cnv wcel w3a c1 ci co cfv cmul cneg cc wceq cr nvcl 3simp1 nvgcl axicn
      nvscl mp3an2 3adant2 syld3an3 sylanc recnd mulid2t syl cabs negcl nvs wa
      nvdi mp3anr1 3simp2 jca nvsass mpanr1 nvsid mulneg1 ixi negeqi ax1cn
      negneg 3eqtr opreq1i syl5eq eqtr3d opreq2d nvcom 3adant3 syld3an2 3eqtrd
      fveq2d absneg absi eqtr syl5eqr ) DLMZAGMZBGMZNZOAPBCQZEQZFRZSQZWLBPTZACQ
      ZEQZFRZWIWLUAMWMWLUBWIWLWFWKGMZWLUCMWIWKDFGHKUDWFWGWHUEZWFWGWJGMZWRWHAWJD
      EGHIUFWFWHWTWGWFPUAMZWHWTUGPBCDGHJUHUIUJZUKZULUMWLUNUOWIWNUPRZWLSQZWQWMWI
      WNWKCQZFRZXEWQWFWRXGXEUBZWIWFWNUAMZWRXHPUGUQZWNWKCDFGHJKURUIWSXCULWIXFWPF
      WIXFWOWNWJCQZEQZWOBEQZWPWFWGWTUSXFXLUBZWIWFXIWGWTXNXJWNAWJCDEGHIJUTVAWSWI
      WGWTWFWGWHVBXBVCULWIXKBWOEWFWHXKBUBWGWFWHUSZWNPSQZBCQZXKBWFXAWHXQXKUBZUGW
      FXIXAWHXRXJWNPBCDGHJVDVAVEXOOBCQBXQBCDGHJVFXPOBCXPPPSQZTOTZTOPPUGUGVGXSXT
      VHVIOVJVKVLVMVNVOUJVPWFWOGMZWHXMWPUBWGWOBDEGHIVQWFWGYAWHWFXIWGYAXJWNACDGH
      JUHUIVRVSVTWAVOXDOWLSXDPUPROPUGWBWCWDVMWEVO $.
      $( [29-Oct-2007] $) $( [2-Feb-2007] $)
  $}

  ${
    nvsub.1 $e |- X = ( Base ` U ) $.
    nvsub.3 $e |- M = ( -v ` U ) $.
    nvsub.6 $e |- N = ( norm ` U ) $.
    $( The norm of the difference between two vectors. $)
    nvsub $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
               ( N ` ( A M B ) ) = ( N ` ( B M A ) ) ) $=
      ( cnv wcel w3a c1 cneg cns cfv co cpv eqid nvdif nvmval fveq2d wceq
      3com23 3eqtr4d ) CJKZAFKZBFKZLZAMNZBCOPZQCRPZQZEPBUJAUKQULQZEPABDQZEPBADQ
      ZEPABUKCULEFGULSZUKSZITUIUOUMEABUKCULDFGUQURHUAUBUIUPUNEUFUHUGUPUNUCBAUKC
      ULDFGUQURHUAUDUBUE $.
      $( [13-Feb-2008] $) $( [14-Dec-2007] $)
  $}

  ${
    nvz0.5 $e |- Z = ( 0v ` U ) $.
    nvz0.6 $e |- N = ( norm ` U ) $.
    $( The norm of a zero vector is zero. $)
    nvz0 $p |- ( U e. NrmCVec -> ( N ` Z ) = 0 ) $=
      ( cnv wcel cc0 cns cfv co cmul cba wceq eqid nvzcl cr cle wbr wa 0re
      leid pm3.2i nvsge0 mp3an2 mpdan nv0 fveq2d cc nvcl recnd mul02t syl
      3eqtr3d ) AFGZHCAIJZKZBJZHCBJZLKZUSHUOCAMJZGZURUTNZAVACVAOZDPZUOHQGZHHRSZ
      TVBVCVFVGUAHUAUBUCHCUPABVAVDUPOZEUDUEUFUOUQCBUOVBUQCNVECUPAVACVDVHDUGUFUH
      UOUSUIGZUTHNUOVBVIVEUOVBTUSCABVAVDEUJUKUFUSULUMUN $.
      $( [25-Sep-2007] $) $( [24-Nov-2006] $)
  $}

  ${
    $d x A $.  $d x y N $.  $d x y U $.  $d x y X $.  $d x Z $.
    nvz.1 $e |- X = ( Base ` U ) $.
    nvz.5 $e |- Z = ( 0v ` U ) $.
    nvz.6 $e |- N = ( norm ` U ) $.
    $( The norm of a vector is zero iff the vector is zero.  First part of
       Problem 2 of [Kreyszig] p. 64. $)
    nvz $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( ( N ` A ) = 0 <-> A = Z ) ) $=
      ( vx vy cnv wcel wa cfv cc0 wceq wi cv cns co cabs cmul cc wral cpv
      caddc cle wbr w3a cop cvc cr wf eqid nvi 3simp3d 3simp1 r19.20si fveq2
      eqeq1d eqeq1 imbi12d rcla4cv 3syl imp nvz0 sylan9eqr ex adantr impbid )
      BKLZADLZMACNZOPZAEPZVKVLVNVOQZVKIRZCNZOPZVQEPZQZJRZVQBSNZTCNWBUANVRUBTPJU
      CUDZVQWBBUENZTCNVRWBCNUFTUGUHJDUDZUIZIDUDZWAIDUDVLVPQVKWEWCUJUKLDULCUMWHI
      JWCBWECDEFWEUNWCUNGHUOUPWGWAIDWAWDWFUQURWAVPIADVQAPZVSVNVTVOWIVRVMOVQACUS
      UTVQAEVAVBVCVDVEVKVOVNQVLVKVOVNVOVKVMECNOAECUSBCEGHVFVGVHVIVJ $.
      $( [30-Sep-2007] $) $( [24-Nov-2006] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y G $.  $d x y N $.  $d x y U $.  $d x y X $.
    nvtri.1 $e |- X = ( Base ` U ) $.
    nvtri.2 $e |- G = ( +v ` U ) $.
    nvtri.6 $e |- N = ( norm ` U ) $.
    $( Triangle inequality for the norm of a normed complex vector space. $)
    nvtri $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
          ( N ` ( A G B ) ) <_ ( ( N ` A ) + ( N ` B ) ) ) $=
      ( vx vy wcel cnv co cfv caddc cle wbr wa cv wral wceq opreq1 fveq2d
      fveq2 opreq1d breq12d opreq2 opreq2d rcla42v cc0 cgi wi c1st c2nd cabs
      cmul cc w3a cop cvc cr wf cns eqid smfval eqcomi cn0v 0vfval nvi 3simp3d
      3simp3 r19.20si syl syl5 3impia 3comr ) AFLZBFLZCMLZABDNZEOZAEOZBEOZPNZQR
      ZVRVSVTWFVRVSSJTZKTZDNZEOZWGEOZWHEOZPNZQRZKFUAZJFUAZWFVTWNWFAWHDNZEOZWCWL
      PNZQRJKABFFWGAUBZWJWRWMWSQWTWIWQEWGAWHDUCUDWTWKWCWLPWGAEUEUFUGWHBUBZWRWBW
      SWEQXAWQWAEWHBADUHUDXAWLWDWCPWHBEUEUIUGUJVTWKUKUBWGDULOZUBUMZWHWGCUNOUOOZ
      NEOWHUPOWKUQNUBKURUAZWOUSZJFUAZWPVTDXDUTVALFVBEVCXGJKXDCDEFXBGHCVDOZXDXHC
      XHVEVFVGCVHOZXBCDXIHXIVEVIVGIVJVKXFWOJFXCXEWOVLVMVNVOVPVQ $.
      $( [30-Sep-2007] $) $( [11-Nov-2006] $)
  $}

  ${
    nvmtri.1 $e |- X = ( Base ` U ) $.
    nvmtri.3 $e |- M = ( -v ` U ) $.
    nvmtri.6 $e |- N = ( norm ` U ) $.
    $( Triangle inequality for the norm of a vector difference. $)
    nvmtri $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
          ( N ` ( A M B ) ) <_ ( ( N ` A ) + ( N ` B ) ) ) $=
      ( cnv wcel w3a c1 cneg cns cfv co cpv caddc cle wbr eqid nvtri cc ax1cn
      negcl nvscl mp3an2 3adant2 syld3an3 nvmval fveq2d wceq wa cabs cmul nvs
      nvcl recnd mulid2t syl absneg cc0 0re 1re lt01 ltlei absid ax-mp eqtr
      opreq1i syl5eq eqtr2d opreq2d 3brtr4d ) CJKZAFKZBFKZLZAMNZBCOPZQZCRPZQZEP
      ZAEPZWBEPZSQZABDQZEPWFBEPZSQTVPVQWBFKZWEWHTUAVRAWBCWCEFGWCUBZIUCVPVRWKVQV
      PVTUDKZVRWKMUEUFZVTBWACFGWAUBZUGUHUIUJVSWIWDEABWACWCDFGWLWOHUKULVSWJWGWFS
      VPVRWJWGUMVQVPVRUNZWGVTUOPZWJUPQZWJVPWMVRWGWRUMWNVTBWACEFGWOIUQUHWPMWJUPQ
      ZWJWRWPWJUDKWSWJUMWPWJBCEFGIURUSWJUTVAWQMWJUPWQMUOPZMMUEVBVCMTUAWTMUMVCMV
      DVEVFVGMVEVHVIVJVKVLVMUIVNVO $.
      $( [11-Jan-2008] $) $( [27-Dec-2007] $)

    $( Triangle inequality for the norm of a vector difference. $)
    nvmtri2 $p |- ( ( U e. NrmCVec /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
          ( N ` ( A M C ) ) <_ ( ( N ` ( A M B ) ) + ( N ` ( B M C ) ) ) ) $=
      ( cnv wcel w3a wa co cfv cpv caddc cle cgr wceq eqid bafval vsfval
      grpnpncan nvgrp sylan eqcomd fveq2d wbr nvtri pm3.26 nvmcl 3adant3r3
      3adant3r1 syl3anc eqbrtrd ) DKLZAGLZBGLZCGLZMZNZACEOZFPABEOZBCEOZDQPZOZFP
      ZVEFPVFFPROZSVCVDVHFVCVHVDVGTLVBVHVDUAURABCEVGGDVGGHVGUBZUCDVGEVKIUDUEDVG
      VKUFUGUHUIURVEGLZVFGLZVIVJSUJVCVEVFDVGFGHVKJUKURVBULURUSUTVLVAABDEGHIUMUN
      URUTVAVMUSBCDEGHIUMUOUPUQ $.
      $( [16-Mar-2008] $) $( [24-Feb-2008] $)
  $}

  ${
    nvabs.1 $e |- X = ( Base ` U ) $.
    nvabs.2 $e |- G = ( +v ` U ) $.
    nvabs.4 $e |- S = ( .s ` U ) $.
    nvabs.6 $e |- N = ( norm ` U ) $.
    $( Norm difference property of a normed complex vector space.  Problem 3
       of [Kreyszig] p. 64. $)
    nvabs $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
       ( abs ` ( ( N ` A ) - ( N ` B ) ) ) <_ ( N ` ( A G ( -u 1 S B ) ) ) ) $=
      ( cnv wcel w3a cfv cmin co cabs c1 cneg cle wbr wa nvdif negeqd caddc
      wceq nvcom nvgcl cc ax1cn negcl nvscl mp3an2 3adant2 syld3an3 3com23
      cn0v simprr adantrr simprl 3jca nvass syldan 3impb eqid nvlinv 3adant3
      opreq2d nv0rid 3eqtrd eqtrd fveq2d nvtri eqbrtrrd subnegt cr nvcl recnd
      3simp1 sylanc breqtrrd wb lesubt renegclt syl syl3anc mpbird eqbrtrd
      3simp2 3simp3 syld3an2 lesubaddt jca abslet resubclt ) DLMZAGMZBGMZNZAFOZ
      BFOZPQZROASTZBCQZEQZFOZUAUBZXGTZXCUAUBZXCXGUAUBZUCZWTXJXKWTXIBXDACQZEQZFO
      ZTZXCUAWTXGXOABCDEFGHIJKUDUEWTXPXCUAUBZXBXAXPPQZUAUBZWTXBXAXOUFQZXRUAWTAX
      NEQZFOZXBXTUAWTYABFWTYAXNAEQZBWQWRXNGMZYAYCUGWSAXNDEGHIUHWQWSWRYDWQWSXMGM
      ZYDWRBXMDEGHIUIWQWRYEWSWQXDUJMZWRYESUKULZXDACDGHJUMUNZUOUPUQZUPWTYCBXMAEQ
      ZEQZBDUROZEQZBWQWRWSYCYKUGZWQWRWSUCZWSYEWRNYNWQYOUCWSYEWRWQWRWSUSWQWRYEWS
      YHUTWQWRWSVAVBBXMADEGHIVCVDVEWTYJYLBEWQWRYJYLUGWSACDEGYLHIJYLVFZVGVHVIWQW
      SYMBUGWRBDEGYLHIYPVJUOVKVLVMWQWRYDYBXTUAUBWSAXNDEFGHIKVNYIUPVOXAUJMXOUJMX
      RXTUGWTXAXOVPWTXAWQWRXAVQMZWSADFGHKVRVHZVSWTXOWQYDXOVQMZWTXNDFGHKVRWQWRWS
      VTZYIWAZVSWAWBXPVQMZYQXBVQMZXQXSWCWTXPXAXBWDWTYSUUBUUAXOWEWFYRWQWSUUCWRBD
      FGHKVRUOZWGWHWIWTXKXAXGXBUFQZUAUBZWTXFBEQZFOZXAUUEUAWTUUGAFWTUUGAXEBEQZEQ
      ZAYLEQZAWQWRXEGMZWSNUUGUUJUGWTAXEBDEGHIVCYTWTWRUULWSWQWRWSWJWQWSUULWRWQYF
      WSUULYGXDBCDGHJUMUNUOZWQWRWSWKVBWAWTUUIYLAEWQWSUUIYLUGWRBCDEGYLHIJYPVGUOV
      IWQWRUUKAUGWSADEGYLHIYPVJVHVKVMWQXFGMZWSUUHUUEUAUBWRXFBDEFGHIKVNWQWRUULUU
      NWSAXEDEGHIUIUUMUPZWLVOYQUUCXGVQMZXKUUFWCWTXAXBXGWMYRUUDWQUUNUUPWTXFDFGHK
      VRYTUUOWAZWGWHWNXCVQMZUUPXHXLWCWTXCXGWOYQUUCUURWTXAXBWPYRUUDWAUUQWAWH $.
      $( [7-Oct-2007] $) $( [4-Dec-2006] $)
  $}

  ${
    nvge0.1 $e |- X = ( Base ` U ) $.
    nvge0.6 $e |- N = ( norm ` U ) $.
    $( The norm of a normed complex vector space is nonnegative.  Second part
       of Problem 2 of [Kreyszig] p. 64. $)
    nvge0 $p |- ( ( U e. NrmCVec /\ A e. X ) -> 0 <_ ( N ` A ) ) $=
      ( c2 cr wcel cfv wa cc0 clt wbr cmul co cle cnv prodge0t nvcl 2re jctil
      c1 cneg cns caddc cpv cn0v wceq eqid nvz0 adantr nv0 ax1cn negid opreq1i
      syl5req cc negcl nvdir mp3anr1 mpanr1 nvsid opreq1d 3eqtrd fveq2d eqtr3d
      nvscl mp3an2 nvtri mpd3an3 eqbrtrd nvm1 opreq2d recnd 2timest syl eqtr4d
      breqtrd 2pos sylanc ) GHIZACJZHIZKLGMNZLGWCOPZQNZKLWCQNBRIZADIZKZGWCSWJWD
      WBABCDEFTZUAUBWJWGWEWJLWCUCUDZABUEJZPZCJZUFPZWFQWJLAWNBUGJZPZCJZWPQWJBUHJ
      ZCJZLWSWHXALUIWIBCWTWTUJZFUKULWJWTWRCWJWTUCWLUFPZAWMPZUCAWMPZWNWQPZWRWJLA
      WMPWTXDAWMBDWTEWMUJZXBUMXCLAWMUCUNUOUPUQWHWLURIZWIXDXFUIZUCUNUSZWHUCURIXH
      WIXIUNUCWLAWMBWQDEWQUJZXGUTVAVBWJXEAWNWQAWMBDEXGVCVDVEVFVGWHWIWNDIZWSWPQN
      WHXHWIXLXJWLAWMBDEXGVHVIAWNBWQCDEXKFVJVKVLWJWPWCWCUFPZWFWJWOWCWCUFAWMBCDE
      XGFVMVNWJWCURIWFXMUIWJWCWKVOWCVPVQVRVSVTUBWA $.
      $( [16-Oct-2007] $) $( [28-Nov-2006] $)
  $}

  ${
    nvgt0.1 $e |- X = ( Base ` U ) $.
    nvgt0.5 $e |- Z = ( 0v ` U ) $.
    nvgt0.6 $e |- N = ( norm ` U ) $.
    $( A nonzero norm is positive. $)
    nvgt0 $p |- ( ( U e. NrmCVec /\ A e. X ) ->
                   ( A =/= Z <-> 0 < ( N ` A ) ) ) $=
      ( cnv wcel wa cfv cc0 wne clt wbr nvz necon3bid cr cle wb ne0gt0t nvcl
      nvge0 sylanc bitr3d ) BIJADJKZACLZMNZAENMUHOPZUGUHMAEABCDEFGHQRUHSJMUHTPU
      IUJUAUGUHUBABCDFHUCABCDFHUDUEUF $.
      $( [9-Dec-2007] $) $( [20-Nov-2007] $)
  $}

  ${
    nv1.1 $e |- X = ( Base ` U ) $.
    nv1.4 $e |- S = ( .s ` U ) $.
    nv1.5 $e |- Z = ( 0v ` U ) $.
    nv1.6 $e |- N = ( norm ` U ) $.
    $( From any nonzero vector, construct a vector whose norm is one. $)
    nv1 $p |- ( (  U e. NrmCVec /\ A e. X /\ A =/= Z ) ->
               ( N ` ( ( 1 / ( N ` A ) ) S A ) ) = 1 ) $=
      ( cnv wcel wne w3a c1 cfv cdiv co cmul cr cc0 cle wbr wa wceq nvsge0
      3simp1 rerecclt nvcl 3adant3 nvz necon3bid biimpar 3impa sylanc clt 1re
      0re lt01 ltlei divge0t mpanl12 nvgt0 biimp3a jca 3simp2 syl3anc cc
      axmulcom recnd recidt 3eqtrd ) CKLZAELZAFMZNZOADPZQRZABRDPZVRVQSRZVQVRSRZ
      OVMVRTLZUAVRUBUCZUDVNVSVTUEVPVRABCDEGHJUFVMVNVOUGVPWBWCVQTLZVQUAMZWBVPVQU
      HVMVNWDVOACDEGJUIZUJZVMVNVOWEVMVNUDZWEVOWHVQUAAFACDEFGIJUKULUMUNZUOZWDUAV
      QUPUCZWCVPOTLUAOUBUCWDWKUDWCUQUAOURUQUSUTOVQVAVBWGVMVNVOWKACDEFGIJVCVDUOV
      EVMVNVOVFVGVRVHLVQVHLZVTWAUEVPVRVQVIVPVRWJVJVMVNWLVOWHVQWFVJUJZUOWLWEWAOU
      EVPVQVKWMWIUOVL $.
      $( [10-Dec-2007] $) $( [6-Dec-2007] $)
  $}

  ${
    nvop.2 $e |- G = ( +v ` U ) $.
    nvop.4 $e |- S = ( .s ` U ) $.
    nvop.6 $e |- N = ( norm ` U ) $.
    $( A complex inner product space in terms of ordered pair components. $)
    nvop $p |- ( U e. NrmCVec -> U = <. <. G , S >. , N >. ) $=
      ( cnv wcel c1st cfv c2nd cop wrel wceq nvrel 1st2nd mpan eqid nvvop
      opeq1d nmfval opeq2i syl5eqr eqtrd ) BHIZBBJKZBLKZMZCAMZDMZHNUFBUIOPBHQRU
      FUGDMUKUIUFUGUJDABCUGUGSEFTUADUHUGBDGUBUCUDUE $.
      $( [25-Feb-2008] $) $( [11-Sep-2007] $)
  $}

  $( MAY BE REVISED?  is this needed? $)
  $( The vector addition and scalar product operations are not identical. $)
  nvoprne $p |- ( <. <. G , S >. , N >. e. NrmCVec -> G =/= S ) $=
    ( cop cnv wcel c1st cfv cvc wne eqid nvvc opex op1st eleq1i vcoprne sylbi
    syl ) BADZCDZEFTGHZIFZBAJZTUAUAKLUBSIFUCUASISCBAMNOABPQR $.
    $( [19-Jul-2008] $) $( [31-May-2008] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                   Examples of normed complex vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    cnnv.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The set of complex numbers is a normed complex vector space.  The vector
       operation is ` + ` , the scalar product is ` x. ` , and the norm
       function is ` abs ` .  (Contributed by Steve Rodriguez, 3-Dec-2006.) $)
    cnnv $p |- U e. NrmCVec $=
      ( vx vy cmul caddc cabs cc cc0 cabl wcel cgr cnaddabl ablgrp ax-mp cxp
      axaddopr fdmi grprn cnid cnvc absf cv cfv wceq abs00t biimpa absmult
      abstrit isnvi ) CDEAFGHIFHFJKFLKMFNOHHPHFQRSTUAUBCUCZHKUKGUDIUEUKIUEUKUFU
      GDUCZUKUHUKULUIBUJ $.
      $( [12-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    cnnvg.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The vector addition (group) operation of the normed complex vector space
       of complex numbers. $)
    cnnvg $p |- + = ( +v ` U ) $=
      ( cpv cfv c1st caddc cmul cop eqid vafval cabs fveq2i opex op1st eqtr
      addex 3eqtrr ) ACDZAEDZEDFGHZEDFARRIJSTESTKHZEDTAUAEBLTKFGMNOLFGPNQ $.
      $( [12-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    cnnvba.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The base set of the normed complex vector space of complex numbers. $)
    cnnvba $p |- CC = ( Base ` U ) $=
      ( caddc crn cpv cfv cc cba cnnvg rneqi cabl wcel cgr cnaddabl ablgrp
      ax-mp cxp axaddopr fdmi grprn eqid bafval 3eqtr4 ) CDAEFZDGAHFZCUDABIJCGC
      KLCMLNCOPGGQGCRSTAUDUEUEUAUDUAUBUC $.
      $( [24-Jul-2008] $) $( [7-Nov-2007] $)
  $}

  $( Derive the associative law for complex number addition ~ axaddass to
     demonstrate the use of ~ cnnv , ~ cnnvg , and ~ cnnvba . $)
  cnnvdemo $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) -> ( ( A + B ) + C ) =
      ( A + ( B + C ) ) ) $=
    ( caddc cmul cop cabs cnv wcel cc w3a co wceq eqid cnnv cnnvba cnnvg nvass
    mpan ) DEFGFZHIAJIBJICJIKABDLCDLABCDLDLMTTNZOABCTDJTUAPTUAQRS $.
    $( [12-Jan-2008] $) $( [12-Jan-2008] $)

  ${
    cnnvs.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The scalar product operation of the normed complex vector space of
       complex numbers. $)
    cnnvs $p |- x. = ( .s ` U ) $=
      ( cns cfv c1st c2nd caddc cmul cop eqid smfval cabs fveq2i opex op1st
      eqtr addex mulex op2nd 3eqtrr ) ACDZAEDZFDGHIZFDHUAAUAJKUBUCFUBUCLIZEDUCA
      UDEBMUCLGHNOPMGHQRST $.
      $( [13-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    cnnvnm.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The norm operation of the normed complex vector space of complex
       numbers. $)
    cnnvnm $p |- abs = ( norm ` U ) $=
      ( cnm cfv c2nd caddc cmul cop cabs eqid nmfval fveq2i opex cc cr wf cvv
      wcel absf axcnex fex mp2an op2nd 3eqtrr ) ACDZAEDFGHZIHZEDIAUEUEJKAUGEBLU
      FIFGMNOIPNQRIQRSTNOQIUAUBUCUD $.
      $( [15-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    $d x y z U $.
    cnnvm.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The vector subtraction operation of the normed complex vector space
       of complex numbers. $)
    cnnvm $p |- - = ( -v ` U ) $=
      ( vx vy vz cv cc wcel wa cmin co wceq copab2 c1 cneg cmul caddc cnsb cfv
      mulm1t adantl opreq2d negsubt eqtr2d eqeq2d pm5.32i oprabbii cxp wfn wf
      subopr ffn ax-mp fnoprval mpbi cnv cnnv cnnvba cnnvg cnnvs eqid nvmfval
      3eqtr4 ) CFZGHZDFZGHZIZEFZVDVFJKZLZIZCDEMZVHVIVDNOVFPKZQKZLZIZCDEMZJARSZV
      LVQCDEVHVKVPVHVJVOVIVHVOVDVFOZQKVJVHVNVTVDQVGVNVTLVEVFTUAUBVDVFUCUDUEUFUG
      JGGUHZUIZJVMLWAGJUJWBUKWAGJULUMCDEGGJUNUOAUPHVSVRLABUQCDEPAQVSGABURABUSAB
      UTVSVAVBUMVC $.
      $( [15-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    elimnv.1 $e |- X = ( Base ` U ) $.
    elimnv.5 $e |- Z = ( 0v ` U ) $.
    elimnv.9 $e |- U e. NrmCVec $.
    $( Hypothesis elimination lemma for normed complex vector spaces to assist
       weak deduction theorem. $)
    elimnv $p |- if ( A e. X , A , Z ) e. X $=
      ( cnv wcel nvzcl ax-mp elimel ) ADCBHIDCIGBCDEFJKL $.
      $( [1-Nov-2007] $) $( [16-May-2007] $)
  $}

  $( Hypothesis elimination lemma for normed complex vector spaces
     to assist weak deduction theorem. $)
  elimnvu $p |- if ( U e. NrmCVec , U , <. <. + , x. >. , abs >. )
                 e. NrmCVec $=
    ( caddc cmul cop cabs cnv eqid cnnv elimel ) ABCDEDZFJJGHI $.
    $( [31-May-2007] $) $( [16-May-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            Induced metric of a normed complex vector space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d d u M $.  $d d u N $.  $d d u U $.
    imsval.3 $e |- M = ( -v ` U ) $.
    imsval.6 $e |- N = ( norm ` U ) $.
    imsval.8 $e |- D = ( IndMet ` U ) $.
    $( Value of the induced metric of a normed complex vector space. $)
    imsval $p |- ( U e. NrmCVec -> D = ( N o. M ) ) $=
      ( vu vd cnv wcel cims cfv ccom cv cnm cnsb wceq fveq2 syl6eqr coeq1d
      coeq2d eqtrd df-ims cvv fvex eqeltr coex fvopab4 syl5eq ) BJKBLMDCNZAHIBH
      OZPMZULQMZNZUKJLULBRZUODUNNUKUPUMDUNUPUMBPMZDULBPSFTUAUPUNCDUPUNBQMZCULBQ
      SETUBUCHIUDDCDUQUEFBPUFUGCURUEEBQUFUGUHUIGUJ $.
      $( [12-Sep-2007] $) $( [11-Sep-2007] $)
  $}

  ${
    imsdval.1 $e |- X = ( Base ` U ) $.
    imsdval.3 $e |- M = ( -v ` U ) $.
    imsdval.6 $e |- N = ( norm ` U ) $.
    imsdval.8 $e |- D = ( IndMet ` U ) $.
    $( Value of the induced metric (distance function) of a normed complex
       vector space.  Equation 1 of [Kreyszig] p. 59. $)
    imsdval $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                  ( A D B ) = ( N ` ( A M B ) ) ) $=
      ( cnv wcel w3a cop cfv co ccom wceq imsval 3ad2ant1 fveq1d wfun cdm fvco
      cr wf nvf ffun syl cxp nvmf opelxpi 3adant1 fdm eleqtrrd syl3anc eqtrd
      df-opr fveq2i 3eqtr4g ) DLMZAGMZBGMZNZABOZCPZVFEPZFPZABCQABEQZFPVEVGVFFER
      ZPZVIVEVFCVKVBVCCVKSVDCDEFIJKTUAUBFUCZEUCZVFEUDZMVLVISVEVFFEUEVBVCVMVDVBG
      UFFUGVMDFGHJUHGUFFUIUJUAVBVCVNVDVBGGUKZGEUGZVNDEGHIULZVPGEUIUJUAVEVFVPVOV
      CVDVFVPMVBABGGUMUNVBVCVOVPSZVDVBVQVSVRVPGEUOUJUAUPUQURABCUSVJVHFABEUSUTVA
      $.
      $( [12-Sep-2007] $) $( [11-Sep-2007] $)
  $}

  ${
    imsdval2.1 $e |- X = ( Base ` U ) $.
    imsdval2.2 $e |- G = ( +v ` U ) $.
    imsdval2.4 $e |- S = ( .s ` U ) $.
    imsdval2.6 $e |- N = ( norm ` U ) $.
    imsdval2.8 $e |- D = ( IndMet ` U ) $.
    $( MAY BE REVISED $)
    $( Value of the distance function of the induced metric of a normed
       complex vector space.  Equation 1 of [Kreyszig] p. 59. $)
    imsdval2 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                  ( A D B ) = ( N ` ( A G ( -u 1 S B ) ) ) ) $=
      ( cnv wcel w3a co cnsb cfv c1 cneg eqid imsdval nvmval fveq2d eqtrd ) ENO
      AHOBHOPZABCQABERSZQZGSATUABDQFQZGSABCEUHGHIUHUBZLMUCUGUIUJGABDEFUHHIJKUKU
      DUEUF $.
      $( [11-Sep-2007] $) $( [28-Nov-2006] $)
  $}

  ${
    nvnd.1 $e |- X = ( Base ` U ) $.
    nvnd.5 $e |- Z = ( 0v ` U ) $.
    nvnd.6 $e |- N = ( norm ` U ) $.
    nvnd.8 $e |- D = ( IndMet ` U ) $.
    $( The norm of a normed complex vector space expressed in terms of the
       distance function of its induced metric.  Problem 1 of [Kreyszig]
       p. 63. $)
    nvnd $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( N ` A ) = ( A D Z ) ) $=
      ( cnv wcel wa co cnsb cfv wceq nvzcl adantr eqid imsdval mpd3an3 c1 cneg
      cns cpv nvmval cc ax1cn negcl nvsz mpan2 opreq2d nv0rid 3eqtrd fveq2d
      eqtr2d ) CKLZAELZMZAFBNZAFCOPZNZDPZADPURUSFELZVAVDQURVEUSCEFGHRSZAFBCVBDE
      GVBTZIJUAUBUTVCADUTVCAUCUDZFCUEPZNZCUFPZNZAFVKNZAURUSVEVCVLQVFAFVICVKVBEG
      VKTZVITZVGUGUBURVLVMQUSURVJFAVKURVHUHLVJFQUCUIUJVHVICFVOHUKULUMSACVKEFGVN
      HUNUOUPUQ $.
      $( [6-Jan-2008] $) $( [4-Dec-2006] $)
  $}

  ${
    $d x y z U $.  $d x y z X $.
    imsdfn.1 $e |- X = ( Base ` U ) $.
    imsdfn.8 $e |- D = ( IndMet ` U ) $.
    $( Mapping for the induced metric distance function of a normed complex
       vector space. $)
    imsdf $p |- ( U e. NrmCVec -> D : ( X X. X ) --> RR ) $=
      ( cnv wcel cxp cr wf cnm cfv cnsb ccom fco eqid nvf nvmf sylanc imsval
      feq1d mpbird ) BFGZCCHZIAJUDIBKLZBMLZNZJZCIUEJUDCUFJUHUCUDCIUEUFOBUECDUEP
      ZQBUFCDUFPZRSUCUDIAUGABUFUEUJUIETUAUB $.
      $( [30-Sep-2007] $) $( [29-Nov-2006] $)

    $( Base set of the induced metric space of a normed complex vector
      space. $)
    imsba $p |- ( U e. NrmCVec -> X = dom dom D ) $=
      ( cnv wcel cxp cr wf cdm wceq imsdf fdm dmeq dmxpid syl6req 3syl ) BFGCCH
      ZIAJAKZSLZCTKZLABCDEMSIANUAUBSKCTSOCPQR $.
      $( [3-Oct-2007] $) $( [4-Sep-2007] $)

    ${
      imsbai.u $e |- U e. NrmCVec $.
      $( Base set of the induced metric space of a normed complex vector
        space. $)
      imsbai $p |- X = dom dom D $=
        ( cnv wcel cdm wceq imsba ax-mp ) BGHCAIIJFABCDEKL $.
        $( [22-Dec-2007] $) $( [19-Dec-2007] $)
    $}
  $}

  ${
    $d x y z D $.  $d x y z X $.
    imsmetlem.1 $e |- X = ( Base ` U ) $.
    imsmetlem.2 $e |- G = ( +v ` U ) $.
    imsmetlem.7 $e |- M = ( inv ` G ) $.
    imsmetlem.4 $e |- S = ( .s ` U ) $.
    imsmetlem.5 $e |- Z = ( 0v ` U ) $.
    imsmetlem.6 $e |- N = ( norm ` U ) $.
    imsmetlem.8 $e |- D = ( IndMet ` U ) $.
    imsmetlem.9 $e |- U e. NrmCVec $.
    $( Lemma for ~ imsmet . $)
    imsmetlem $p |- D e. Met $=
      ( vx vy vz cba cfv cvv fvex eqeltr cnv wcel cxp cr wf imsdf ax-mp cv wa
      co cc0 wceq c1 cneg imsdval2 mp3an1 eqeq1d wb nvgcl cc ax1cn negcl nvscl
      mp3an12 sylan2 nvz mpan syl nvzcl w3a nvrcan mp3an2 sylancom nvass
      pm3.26 adantl pm3.27 syl3anc nvlinv opreq2d nv0rid adantr 3eqtrd nv0lid
      eqeq12d bitr3d 3bitrd caddc cle wbr nvtri sylanc 3adant3 3adant2 3adant1
      3simp1 3ad2ant3 opreq1d eqtr3d fveq2d eqtr4d nvdif eqtrd opreq12d
      3brtr4d 3coml ismeti ) QRSAGGCTUAUBICTUCUDCUEUFZGGUGUHAUIPACGIOUJUKQULZGU
      FZRULZGUFZUMZXMXOAUNZUOUPXMUQURZXOBUNZDUNZFUAZUOUPZYAHUPZXMXOUPZXQXRYBUOX
      LXNXPXRYBUPZPXMXOABCDFGIJLNOUSUTZVAXQYAGUFZYCYDVBZXNXTGUFZYHXPXLXNYJYHPXM
      XTCDGIJVCUTXLXSVDUFZXPYJPUQVEVFZXSXOBCGILVGVHZVIZXLYHYIPYACFGHIMNVJVKVLXQ
      YAXODUNZHXODUNZUPZYDYEXNXPYHYQYDVBZYNYHHGUFZXPYRXLYSPCGHIMVMUKXLYHYSXPVNY
      RPYAHXOCDGIJVOVKVPVQXQYOXMYPXOXQYOXMXTXODUNZDUNZXMHDUNZXMXNYJXPYOUUAUPZXQ
      XLXNYJXPVNUUCPXMXTXOCDGIJVRVKXNXPVSXPYJXNYMVTXNXPWAWBXQYTHXMDXPYTHUPZXNXL
      XPUUDPXOBCDGHIJLMWCVKVTWDXNUUBXMUPZXPXLXNUUEPXMCDGHIJMWEVKZWFWGXPYPXOUPZX
      NXLXPUUGPXOCDGHIJMWHVKVTWIWJWKSULZGUFZXNXPXRUUHXMAUNZUUHXOAUNZWLUNZWMWNUU
      IXNXPVNZXMXSUUHBUNZDUNZUUHXTDUNZDUNZFUAZUUOFUAZUUPFUAZWLUNZXRUULWMUUOGUFZ
      UUPGUFZUURUVAWMWNZUUMXLUVBUVCUVDPUUOUUPCDFGIJNWOUTUUIXNUVBXPXNUUNGUFZUVBU
      UIXNUMZXLXNUVEUVBPXMUUNCDGIJVCUTUUIXNWAZUUIUVEXNXLYKUUIUVEPYLXSUUHBCGILVG
      VHWFZWPWQZUUIXPUVCXNUUIYJUVCXPXLUUIYJUVCPUUHXTCDGIJVCUTYMVIWRWPUUMXRYBUUR
      XNXPYFUUIYGWSUUMUUQYAFUUMUUOUUHDUNZXTDUNZUUQYAUVBUUIYJUVKUUQUPZUUMXLUVBUU
      IYJVNUVLPUUOUUHXTCDGIJVRVKUVIUUIXNXPWTXPUUIYJXNYMXAWBUUMUVJXMXTDUUIXNUVJX
      MUPXPUVFUVJXMUUNUUHDUNZDUNZUUBXMXNUVEUUIUVJUVNUPZUVFXLXNUVEUUIVNUVOPXMUUN
      UUHCDGIJVRVKUVGUVHUUIXNVSWBUVFUVMHXMDUUIUVMHUPZXNXLUUIUVPPUUHBCDGHIJLMWCV
      KWFWDXNUUEUUIUUFVTWGWQXBXCXDXEUUMUUJUUSUUKUUTWLUUIXNUUJUUSUPXPUVFUUJUUHXS
      XMBUNDUNFUAZUUSXLUUIXNUUJUVQUPPUUHXMABCDFGIJLNOUSUTXLUUIXNUVQUUSUPPUUHXMB
      CDFGIJLNXFUTXGWQUUIXPUUKUUTUPZXNXLUUIXPUVRPUUHXOABCDFGIJLNOUSUTWRXHXIXJXK
      $.
      $( [2-Oct-2007] $) $( [29-Nov-2006] $)
  $}

  ${
    imsmet.8 $e |- D = ( IndMet ` U ) $.
    $( The induced metric of a normed complex vector space is a metric space.
       Part of Definition 2.2-1 of [Kreyszig] p. 58. $)
    imsmet $p |- ( U e. NrmCVec -> D e. Met ) $=
      ( cnv wcel cims cfv cme caddc cmul cop cabs cif wceq fveq2 eleq1d cns
      cpv cgn cnm cba cn0v eqid elimnvu imsmetlem dedth syl5eqel ) BDEZBFGZHAUH
      UIHEUHBIJKLKZMZFGZHEBUJBUKNUIULHBUKFOPULUKQGZUKUKRGZUNSGZUKTGZUKUAGZUKUBG
      ZUQUCUNUCUOUCUMUCURUCUPUCULUCBUDUEUFCUG $.
      $( [2-Oct-2007] $) $( [4-Dec-2006] $)
  $}

  ${
    nvelbl.1 $e |- X = ( Base ` U ) $.
    nvelbl.3 $e |- M = ( -v ` U ) $.
    nvelbl.6 $e |- N = ( norm ` U ) $.
    nvelbl.8 $e |- D = ( IndMet ` U ) $.
    $( Membership of a vector in a ball. $)
    nvelbl $p |- ( ( ( U e. NrmCVec /\ P e. X /\ A e. X ) /\ ( R e. RR /\
      0 < R ) ) -> ( A e. ( P ( ball ` D ) R ) <-> ( N ` ( A M P ) ) < R ) ) $=
      ( cnv wcel w3a cr cc0 clt wbr wa cbl cfv co cme cdm wb eqid elbl3 imsmet
      3ad2ant1 imsba eleq2d biimpa 3adant3 3adant2 3jca sylan wceq imsdval
      3com23 breq1d adantr bitrd ) EMNZCHNZAHNZOZDPNQDRSTZTACDBUAUBUCNZACBUCZDR
      SZACFUCGUBZDRSZBUDNZCBUEUEZNZAVONZOVHVIVKUFVGABCDVOVOUGUHVGVNVPVQVDVEVNVF
      BELUIUJVDVEVPVFVDVEVPVDHVOCBEHILUKZULUMUNVDVFVQVEVDVFVQVDHVOAVRULUMUOUPUQ
      VGVKVMUFVHVGVJVLDRVDVFVEVJVLURACBEFGHIJKLUSUTVAVBVC $.
      $( [27-Dec-2007] $) $( [27-Dec-2007] $)
  $}

  ${
    nvelbl2.1 $e |- X = ( Base ` U ) $.
    nvelbl2.2 $e |- G = ( +v ` U ) $.
    nvelbl2.6 $e |- N = ( norm ` U ) $.
    nvelbl2.8 $e |- D = ( IndMet ` U ) $.
    $( Membership of an off-center vector in a ball. $)
    nvelbl2 $p |- ( ( ( U e. NrmCVec /\ P e. X /\ A e. X ) /\ ( R e. RR /\
      0 < R ) ) -> ( ( P G A ) e. ( P ( ball ` D ) R ) <-> ( N ` A ) < R ) ) $=
      ( cnv wcel w3a cr cc0 clt wbr wa co cbl cfv cnsb wb eqid nvelbl id nvgcl
      syld3an3 sylan nvpncan2 fveq2d breq1d adantr bitrd ) EMNZCHNZAHNZOZDPNQDR
      STZTCAFUAZCDBUBUCUANZVBCEUDUCZUAZGUCZDRSZAGUCZDRSZUQURVBHNZOZVAVCVGUEUTVB
      BCDEVDGHIVDUFZKLUGUQURVJVKUSVKUHCAEFHIJUIUJUKUTVGVIUEVAUTVFVHDRUTVEAGCAEF
      VDHIJVLULUMUNUOUP $.
      $( [9-Jan-2008] $) $( [27-Dec-2007] $)
  $}

  ${
    nvcnf.1 $e |- X = ( Base ` U ) $.
    nvcnf.2 $e |- Y = ( Base ` W ) $.
    nvcnf.8 $e |- C = ( IndMet ` U ) $.
    nvcnf.d $e |- D = ( IndMet ` W ) $.
    nvcnf.3 $e |- J = ( Open ` C ) $.
    nvcnf.4 $e |- K = ( Open ` D ) $.
    $( MAY BE REVISED - not used? $)
    $( A continuous function is an operation (normed complex vector space
       version of ~ cnf ). $)
    nvcnf $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\
                F e. ( J Cn K ) ) -> F : X --> Y ) $=
      ( cnv wcel ccn co w3a wf cdm cme eqid metcnf imsmet id syl3an wb wceq
      imsba feq2 syl feq3 sylan9bb 3adant3 mpbird ) CPQZGPQZDEFRSQZTHIDUAZAUBUB
      ZBUBUBZDUAZAUCQBUCQUTVDURUSUTABDEFVBVCVBUDVCUDNOUEACLUFBGMUFUTUGUHURUSVAV
      DUIUTURVAVBIDUAZUSVDURHVBUJVAVEUIACHJLUKHVBIDULUMUSIVCUJVEVDUIBGIKMUKIVCV
      BDUNUMUOUPUQ $.
      $( [30-Jan-2008] $) $( [13-Dec-2007] $)

    $( MAY BE REVISED - delete this if not used? $)
    $( A continuous function is an operation (normed complex vector space
       version of ~ cnpf ). $)
    nvcnpf $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ P e. X ) /\
                F e. ( ( J CnP K ) ` P ) ) -> F : X --> Y ) $=
      ( cnv wcel w3a ccnp co cfv wa wf cdm cme eqid metcnpf imsmet 3ad2ant1
      3ad2ant2 imsba eleq2d biimpa 3adant2 3jca sylan wb wceq feq2 syl feq3
      sylan9bb 3adant3 adantr mpbird ) DQRZHQRZCIRZSZECFGTUAUBRZUCIJEUDZAUEUEZB
      UEUEZEUDZAUFRZBUFRZCVMRZSVKVOVJABCEFGVMVNVMUGVNUGOPUHVJVPVQVRVGVHVPVIADMU
      IUJVHVGVQVIBHNUIUKVGVIVRVHVGVIVRVGIVMCADIKMULZUMUNUOUPUQVJVLVOURZVKVGVHVT
      VIVGVLVMJEUDZVHVOVGIVMUSVLWAURVSIVMJEUTVAVHJVNUSWAVOURBHJLNULJVNVMEVBVAVC
      VDVEVF $.
      $( [20-Jul-2008] $) $( [16-Dec-2007] $)
  $}

  ${
    $d x y A $.  $d x y C $.  $d x y D $.  $d x y F $.  $d x y J $.
    $d x y K $.  $d x y P $.  $d x y U $.  $d x y W $.  $d x y X $.
    nvcni.1 $e |- X = ( Base ` U ) $.
    nvcni.m $e |- M = ( norm ` U ) $.
    nvcni.n $e |- N = ( norm ` W ) $.
    nvcni.r $e |- R = ( -v ` U ) $.
    nvcni.s $e |- S = ( -v ` W ) $.
    nvcni.8 $e |- C = ( IndMet ` U ) $.
    nvcni.d $e |- D = ( IndMet ` W ) $.
    nvcni.j $e |- J = ( Open ` C ) $.
    nvcni.k $e |- K = ( Open ` D ) $.
    $( MAY BE REVISED - delete this if not used $)
    $( Epsilon-delta property of a continuous operator.  (Normed complex vector
       space version of ~ metcni .) $)
    nvcni $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ F e. ( J Cn K ) ) /\
        ( P e. X /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\ A. y e. X
      ( ( M ` ( P R y ) ) < x -> ( N ` ( ( F ` P ) S ( F ` y ) ) ) < A ) ) ) $=
      ( cnv wcel ccn co w3a cr cc0 clt wbr wa cv cfv wi wral wrex cdm cme eqid
      metcni ex imsmet id syl3an wb imsba eleq2d 3anbi1d raleq1d anbi2d
      rexbidv imbi12d 3ad2ant1 mpbird imp cba wf wceq imsdval 3expb breq1d
      3ad2antl1 3simp2 adantr ffvelrn ad2ant2lr 3adantl1 ad2ant2l syl3anc
      anassrs ralbidva nvcnf syld3an3 3ad2antr1 mpbid ) IUFUGZOUFUGZJKLUHUIUGZU
      JZFPUGZCUKUGZULCUMUNZUJZUOULAUPZUMUNZFBUPZDUIZXHUMUNZFJUQZXJJUQZEUIZCUMUN
      ZURZBPUSZUOZAUKUTZXIFXJGUIMUQZXHUMUNZXMXNHUINUQZCUMUNZURZBPUSZUOZAUKUTZXC
      XGXTXCXGXTURZFDVAVAZUGZXEXFUJZXIXQBYJUSZUOZAUKUTZURZDVBUGZEVBUGZXBYPWTXAX
      BYQYRXBUJYLYOABCDEFJKLYJEVAVAZYJVCUDYSVCUEVDVEDIUBVFEOUCVFXBVGVHWTXAYIYPV
      IXBWTXGYLXTYOWTXDYKXEXFWTPYJFDIPQUBVJZVKVLWTXSYNAUKWTXRYMXIWTXQBPYJYTVMVN
      VOVPVQVRVSXCXEXDXTYHVIZXFXCXDUUAWTXAPOVTUQZJWAZXDUUAURXBWTXAUUCUJZXDUUAUU
      DXDUOZXSYGAUKUUEXRYFXIUUEXQYEBPUUDXDXJPUGZXQYEVIUUDXDUUFUOZUOZXLYBXPYDWTX
      AUUGXLYBVIUUCWTUUGUOXKYAXHUMWTXDUUFXKYAWBFXJDIGMPQTRUBWCWDWEWFUUHXOYCCUMX
      AXMUUBUGZXNUUBUGZXOYCWBUUHXMXNEOHNUUBUUBVCZUASUCWCUUDXAUUGWTXAUUCWGWHXAUU
      CUUGUUIWTUUCXDUUIXAUUFPUUBFJWIWJWKXAUUCUUGUUJWTUUCUUFUUJXAXDPUUBXJJWIWLWK
      WMWEVPWNWOVNVOVEDEIJKLOPUUBQUUKUBUCUDUEWPWQVSWRWS $.
      $( [16-Feb-2008] $) $( [13-Dec-2007] $)

    $( MAY BE REVISED - delete this if not used $)
    $( Epsilon-delta property of a continuous operator.  (Normed complex vector
       space version of ~ metcni .) $)
    nvcni2 $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ F e. ( J Cn K ) ) /\
        ( P e. X /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\ A. y e. X
    ( ( M ` ( P R y ) ) <_ x -> ( N ` ( ( F ` P ) S ( F ` y ) ) ) <_ A ) ) ) $=
      ( cnv wcel ccn co w3a cr cc0 clt wbr wa cv cle cfv wi wral wrex cdm cme
      eqid metcni2 ex imsmet id syl3an wb imsba eleq2d 3anbi1d raleq1d anbi2d
      rexbidv imbi12d 3ad2ant1 mpbird imp cba wf wceq imsdval 3expb breq1d
      3ad2antl1 3simp2 adantr ffvelrn ad2ant2lr 3adantl1 ad2ant2l syl3anc
      anassrs ralbidva nvcnf syld3an3 3ad2antr1 mpbid ) IUFUGZOUFUGZJKLUHUIUGZU
      JZFPUGZCUKUGZULCUMUNZUJZUOULAUPZUMUNZFBUPZDUIZXIUQUNZFJURZXKJURZEUIZCUQUN
      ZUSZBPUTZUOZAUKVAZXJFXKGUIMURZXIUQUNZXNXOHUINURZCUQUNZUSZBPUTZUOZAUKVAZXD
      XHYAXDXHYAUSZFDVBVBZUGZXFXGUJZXJXRBYKUTZUOZAUKVAZUSZDVCUGZEVCUGZXCYQXAXBX
      CYRYSXCUJYMYPABCDEFJKLYKEVBVBZYKVDUDYTVDUEVEVFDIUBVGEOUCVGXCVHVIXAXBYJYQV
      JXCXAXHYMYAYPXAXEYLXFXGXAPYKFDIPQUBVKZVLVMXAXTYOAUKXAXSYNXJXAXRBPYKUUAVNV
      OVPVQVRVSVTXDXFXEYAYIVJZXGXDXEUUBXAXBPOWAURZJWBZXEUUBUSXCXAXBUUDUJZXEUUBU
      UEXEUOZXTYHAUKUUFXSYGXJUUFXRYFBPUUEXEXKPUGZXRYFVJUUEXEUUGUOZUOZXMYCXQYEXA
      XBUUHXMYCVJUUDXAUUHUOXLYBXIUQXAXEUUGXLYBWCFXKDIGMPQTRUBWDWEWFWGUUIXPYDCUQ
      XBXNUUCUGZXOUUCUGZXPYDWCUUIXNXOEOHNUUCUUCVDZUASUCWDUUEXBUUHXAXBUUDWHWIXBU
      UDUUHUUJXAUUDXEUUJXBUUGPUUCFJWJWKWLXBUUDUUHUUKXAUUDUUGUUKXBXEPUUCXKJWJWMW
      LWNWFVQWOWPVOVPVFDEIJKLOPUUCQUULUBUCUDUEWQWRVTWSWT $.
      $( [21-Jul-2008] $) $( [13-Dec-2007] $)

    $( MAY BE REVISED - create metcni3 w/ swapped distance args, and replace
       nvcni above w/ proof from that, and make nvcni3 obsolete. $)
    $( Epsilon-delta property of a continuous operator.  (Normed complex vector
       space version of ~ metcni .) $)
    nvcni3 $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ F e. ( J Cn K ) ) /\
        ( P e. X /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\ A. y e. X
      ( ( M ` ( y R P ) ) < x -> ( N ` ( ( F ` y ) S ( F ` P ) ) ) < A ) ) ) $=
      ( cnv wcel ccn co w3a cr cc0 clt wbr wa cv cfv wi wral wrex nvcni wb
      nvsub breq1d 3expb 3ad2antl1 wceq cba wf eqid ffvelrn anim12i anandis
      sylan2 anassrs ex 3adant1 nvcnf syld3an3 imp imbi12d ralbidva anbi2d
      rexbidv 3ad2antr1 mpbid ) IUFUGZOUFUGZJKLUHUIUGZUJZFPUGZCUKUGZULCUMUNZUJU
      OULAUPZUMUNZFBUPZGUIMUQZWNUMUNZFJUQZWPJUQZHUINUQZCUMUNZURZBPUSZUOZAUKUTZW
      OWPFGUIMUQZWNUMUNZWTWSHUINUQZCUMUNZURZBPUSZUOZAUKUTZABCDEFGHIJKLMNOPQRSTU
      AUBUCUDUEVAWJWLWKXFXNVBWMWJWKUOZXEXMAUKXOXDXLWOXOXCXKBPWJWKWPPUGZXCXKVBWJ
      WKXPUOZUOZWRXHXBXJWGWHXQWRXHVBZWIWGWKXPXSWGWKXPUJWQXGWNUMFWPIGMPQTRVCVDVE
      VFXRXAXICUMWJXQXAXIVGZWGWHPOVHUQZJVIZXQXTURZWIWHYBYCWGWHYBUOXQXTWHYBXQXTW
      HWSYAUGZWTYAUGZUOZXTYBXQUOWHYDYEXTWSWTOHNYAYAVJZUASVCVEYBWKXPYFYBWKUOYDYB
      XPUOYEPYAFJVKPYAWPJVKVLVMVNVOVPVQDEIJKLOPYAQYGUBUCUDUEVRVSVTVDWAVOWBWCWDW
      EWF $.
      $( [27-Jul-2008] $) $( [13-Dec-2007] $)
  $}

  ${
    nvlmcl.1 $e |- X = ( Base ` U ) $.
    nvlmcl.2 $e |- D = ( IndMet ` U ) $.
    nvlmcl.3 $e |- P e. V $.
    $( Closure of the limit of a converging vector sequence. $)
    nvlmcl $p |- ( ( U e. NrmCVec /\ F ( ~~>m ` D ) P ) -> P e. X ) $=
      ( cnv wcel clm cfv wbr wa cdm cme cvv eqid lmcl mp3an2 imsmet sylan wceq
      imsba adantr eleqtrrd ) CIJZDBAKLMZNBAOOZEAPJZUHBUIJZUGUJBQJUHUKHQABDUIUI
      RSTACGUAUBUGEUIUCUHACEFGUDUEUF $.
      $( [6-Jan-2008] $) $( [26-Dec-2007] $)
  $}

  ${
    $d k D $.  $d k F $.  $d k P $.  $d k R $.  $d k U $.  $d k X $.
    nvlmle.1 $e |- X = ( Base ` U ) $.
    nvlmle.6 $e |- N = ( norm ` U ) $.
    nvlmle.8 $e |- D = ( IndMet ` U ) $.
    nvlmle.p $e |- P e. V $.
    $( If the norm of each member of a converging sequence is less than or
       equal to a given amount, so is the norm of the convergence value. $)
    nvlmle $p |- ( ( ( U e. NrmCVec /\ F : NN --> X /\ F ( ~~>m ` D ) P ) /\
     ( R e. RR /\ A. k e. NN ( N ` ( F ` k ) ) <_ R ) ) -> ( N ` P ) <_ R ) $=
      ( cnv wcel cn wf clm cfv wbr w3a cr cv cle wral wa cn0v co wceq nvlmcl
      eqid nvnd syldan 3adant2 adantr cme cdm cvv c1 1z nnuz lmle mp3anl2
      imsmet anim1i nvzcl imsba eleqtrd 3ad2ant1 simprl ffvelrn sylan2 anassrs
      breq1d biimpd r19.20dva imp adantrl 3adantl3 3jca sylanc eqbrtrd ) DMNZOH
      FPZFBAQRSZTZCUANZEUBZFRZGRZCUCSZEOUDZUEZUEZBGRZBDUFRZAUGZCUCWEWNWPUHZWLWB
      WDWQWCWBWDBHNWQABDFHIKLUIBADGHWOIWOUJZJKUKULUMUNAUONZWDUEZWOAUPUPZNZWFWHW
      OAUGZCUCSZEOUDZTZWPCUCSZWMWSBUQNWDXFXGLUQABWOCEFURXAOXAUJUSUTVAVBWEWTWLWB
      WDWTWCWBWSWDADKVCVDUMUNWMXBWFXEWEXBWLWBWCXBWDWBWOHXADHWOIWRVEADHIKVFVGVHU
      NWEWFWKVIWBWCWLXEWDWBWCUEZWKXEWFXHWKXEXHWJXDEOXHWGONZUEZWJXDXJWIXCCUCWBWC
      XIWIXCUHZWBWHHNXKWCXIUEWHADGHWOIWRJKUKOHWGFVJVKVLVMVNVOVPVQVRVSVTWA $.
      $( [9-Jan-2008] $) $( [25-Dec-2007] $)
  $}

  ${
    $d t u v w x y z $.
    cnims.6 $e |- U = <. <. + , x. >. , abs >. $.
    cnims.7 $e |- D = ( abs o. - ) $.
    $( The metric induced on the complex numbers.  ~ cnmet proves that it is
       a metric.  (Contributed by Steve Rodriguez, 5-Dec-2006; revised by nm
       15-Jan-2008.) $)
    cnims $p |- D = ( IndMet ` U ) $=
      ( cabs cmin ccom cims cfv cnv wcel wceq cnnv cnnvm cnnvnm eqid imsval
      ax-mp eqtr4 ) AEFGZBHIZDBJKUATLBCMUABFEBCNBCOUAPQRS $.
      $( [15-Jan-2008] $) $( [28-Nov-2006] $)
  $}

  ${
    $d f u v w z F $.  $d f z D $.  $d z J $.  $d f u x y z $.
    sqcn.2 $e |- D = ( IndMet ` <. <. + , x. >. , abs >. ) $.
    sqcn.j $e |- J = ( Open ` D ) $.
    sqcn.1 $e |- F = { <. x , y >. | ( x e. CC /\ y = ( x ^ 2 ) ) } $.
    $( MAY BE REVISED - make obsolete; use sqcn2. $)
    $( The square function on complex numbers is continuous. $)
    sqcn $p |- F e. ( J Cn J ) $=
      ( vf vz vw vv vu ccn co wcel cn cc cv wf clm cfv wbr wceq wa copab wi
      wral cme wal wb caddc cmul cop cabs cims cmin ccom eqid cnims eqtr4
      cnmet c2 cexp sqclt fopab cnmetba metcn4 mp3an cli c1 cz w3a cuz visset
      nnex opabex2 climmul id ancli ffvelrn fveq2 fveq2d fvex fvopab4 adantl
      opreq1 oprex sqvalt eqtrd syl 3jca elnnuz sylan2br r19.21aiva 1z jctil
      syl2an adantrl ad2antrl breqtrrd expcom lmclimnn ffvelrni fopab2 sylib
      cvv mpan 3imtr4d ancoms mpgbir ) DEENOPZQRISZTZXMJSZCUAUBZUCZKSZQPZLSXRXM
      UBZDUBZUDUEKLUFZXODUBZXPUCZUGZJRUHUGZICUIPZYGRRDTXLYFIUJUKCCULUMUNUOUNZUP
      UBUOUQURZFYIYHYHUSYIUSUTVAZVBZYKABRRASZVCVDOZDHYLVEVFZJLCCIKDYBEERRCYJVGZ
      YOGGYBUSZVHVIXNYEJRXORPZXNYEYQXNUEZXMXOVJUCZYBYCVJUCZXQYDYSYRYTYSYRUEYBXO
      XOUMOZYCVJYSXNYBUUAVJUCZYQYSYSUEVKVLPZMSZXMUBZRPZUUFUUDYBUBZUUEUUEUMOZUDZ
      VMZMVKVNUBZUHZUEUUBYSXNXOXOMXMXMYBVKIVOZUUMKLQYAVPVQJVOZUUNVRYSYSYSVSVTXN
      UULUUCXNUUJMUUKXNUUDQPZUUJUUDUUKPXNUUOUEZUUFUUFUUIQRUUDXMWAZUUQUUPUUGUUED
      UBZUUHUUOUUGUURUDXNKLUUDYAUURQYBXRUUDUDXTUUEDXRUUDXMWBWCYPUUEDWDWEWFUUPUU
      FUURUUHUDUUQUUFUURUUEVCVDOZUUHABUUEYMUUSRDYLUUEVCVDWGHUUEVCVDWHWEUUEWIWJW
      KWJWLUUDWMWNWOWPWQWRWSYQYCUUAUDYSXNYQYCXOVCVDOZUUAABXOYMUUTRDYLXOVCVDWGHX
      OVCVDWHWEXOWIWJWTXAXBRCXOXMYJXCXNYDYTUKZYQXNQRYBTZUVAXNYARPZKQUHUVBXNUVCK
      QXNXSUEXTRPUVCQRXRXMWARRXTDYNXDWKWOKLQRYAYBYPXEXFYCXGPUVBUVAXODWDXGCYCYBY
      JXCXHWKWFXIXJWOXK $.
      $( [30-Nov-2007] $) $( [13-Jun-2007] $)
  $}

  ${
    $d w v $.
    sqcn2.1 $e |- D = ( abs o. - ) $.
    sqcn2.j $e |- J = ( Open ` D ) $.
    sqcn2.2 $e |- F = { <. w , v >. | ( w e. CC /\ v = ( w ^ 2 ) ) } $.
    $( The square function on complex numbers is continuous. $)
    sqcn2 $p |- F e. ( J Cn J ) $=
      ( caddc cmul cop cabs eqid cnims sqcn ) ABCDECIJKLKZPMFNGHO $.
      $( [1-Dec-2007] $) $( [18-Aug-2007] $)
  $}

  ${
    $d t u v w C $.  $d t u v w D $.  $d t u v w J $.  $d v w K $.
    $d t u v w N $.  $d t u v w X $.
    nmcnilem.1 $e |- X = ( Base ` U ) $.
    nmcnilem.2 $e |- G = ( +v ` U ) $.
    nmcnilem.4 $e |- S = ( .s ` U ) $.
    nmcnilem.6 $e |- N = ( norm ` U ) $.
    nmcnilem.8 $e |- C = ( IndMet ` U ) $.
    nmcnilem.7 $e |- D = ( ( abs o. - ) |` ( RR X. RR ) ) $.
    nmcnilem.j $e |- J = ( Open ` C ) $.
    nmcnilem.k $e |- K = ( Open ` D ) $.
    nmcnilem.9 $e |- U e. NrmCVec $.
    $( Lemma for ~ nmcni . $)
    nmcnilem $p |- N e. ( J Cn K ) $=
      ( vv vu vw vt ccn co wcel cr wf cc0 cv clt wbr cfv wi wral wa wrex cme
      wb cnv imsmet ax-mp remet imsbai remetba metcn mp2an nvf wceq breq2
      imbi1d ralbidv anbi12d rcla4ev simplr pm3.27 c1 cneg cmin cabs cle nvabs
      mp3an1 adantlr lelttrt cc resubclt nvcl mpan syl2an recnd absclt syl
      nvgcl ax1cn negcl nvscl mp3an12 sylan2 syl3anc mpand w3a imsdval2 breq1d
      remetdval 3imtr4d r19.21aiva jca sylanc ex rgen2 mpbir2an ) HFGUCUDUEZIUF
      HUGZUHSUIZUJUKZUHTUIZUJUKZUAUIZUBUIZAUDZXPUJUKZXRHULZXSHULZBUDZXNUJUKZUMZ
      UBIUNZUOZTUFUPZUMZSUFUNUAIUNZAUQUEZBUQUEXLXMYKUOURDUSUEZYLRADNUTVABOVBUAS
      TUBABHFGIUFADIJNRVCPBOVDQVEVFYMXMRDHIJMVGVAYJUASIUFXRIUEZXNUFUEZUOZXOYIYO
      XOXTXNUJUKZYEUMZUBIUNZUOZYIYPXOUOZYHYTTXNUFXPXNVHZXQXOYGYSXPXNUHUJVIUUBYF
      YRUBIUUBYAYQYEXPXNXTUJVIVJVKVLVMYNYOXOVNUUAXOYSYPXOVOUUAYRUBIUUAXSIUEZUOZ
      XRVPVQZXSCUDZEUDZHULZXNUJUKZYBYCVRUDZVSULZXNUJUKZYQYEUUDUUKUUHVTUKZUUIUUL
      YPUUCUUMXOYNUUCUUMYOYMYNUUCUUMRXRXSCDEHIJKLMWAWBWCWCYPUUCUUMUUIUOUULUMZXO
      UUKUFUEZUUHUFUEZYOUUNYPUUCUOUUKUUHXNWDYNUUCUUOYOYNUUCUOZUUJWEUEUUOUUQUUJY
      BUFUEZYCUFUEZUUJUFUEYNUUCYBYCWFYMYNUURRXRDHIJMWGWHZYMUUCUUSRXSDHIJMWGWHZW
      IWJUUJWKWLWCYNUUCUUPYOUUQUUGIUEZUUPYNUUFIUEZUVBUUCYMYNUVCUVBRXRUUFDEIJKWM
      WBYMUUEWEUEUUCUVCRVPWNWOUUEXSCDIJLWPWQWRYMUVBUUPRUUGDHIJMWGWHWLWCYNYOUUCV
      NWSWCWTYPUUCYQUUIURZXOYNUUCUVDYOYMYNUUCUVDRYMYNUUCXAXTUUHXNUJXRXSACDEHIJK
      LMNXBXCWBWCWCYPUUCYEUULURZXOYNUUCUVEYOUUQYDUUKXNUJUURUUSYDUUKVHYNUUCYBYCB
      OXDUUTUVAWIXCWCWCXEXFXGXHXIXJXK $.
      $( [17-Nov-2007] $) $( [16-May-2007] $)
  $}

  ${
    nmcn.6 $e |- N = ( norm ` U ) $.
    nmcn.8 $e |- C = ( IndMet ` U ) $.
    nmcn.7 $e |- D = ( ( abs o. - ) |` ( RR X. RR ) ) $.
    nmcn.j $e |- J = ( Open ` C ) $.
    nmcn.k $e |- K = ( Open ` D ) $.
    ${
      nmcni.9 $e |- U e. NrmCVec $.
      $( The norm of a normed complex vector space is a continuous function. $)
      nmcni $p |- N e. ( J Cn K ) $=
        ( cns cfv cpv cba eqid nmcnilem ) ABCMNZCCONZDEFCPNZUAQTQSQGHIJKLR $.
        $( [17-Nov-2007] $) $( [16-May-2007] $)
    $}

    $( The norm of a normed complex vector space is a continuous function. $)
    nmcn $p |- ( U e. NrmCVec -> N e. ( J Cn K ) ) $=
      ( cnv wcel ccn co caddc cmul cop cabs cif cnm cfv cims copn wceq fveq2
      syl5eq fveq2d opreq1d eleq12d eqid elimnvu nmcni dedth ) CLMZFDENOZMUOCPQ
      RSRZTZUAUBZURUCUBZUDUBZENOZMCUQCURUEZFUSUPVBVCCUAUBUSFCURUAUFGUGVCDVAENVC
      AUDUBVADVCAUTUDVCCUCUBUTACURUCUFHUGUHJUGUIUJUTBURVAEUSUSUKUTUKIVAUKKCULUM
      UN $.
      $( [21-Nov-2007] $) $( [16-May-2007] $)
  $}

  ${
    nmcn2.6 $e |- N = ( norm ` U ) $.
    nmcn2.8 $e |- D = ( IndMet ` U ) $.
    nmcn2.j $e |- J = ( Open ` D ) $.
    $( MAY BE REVISED - delete if not used? $)
    $( The norm of a normed complex vector space is a continuous function to
       ` RR ` . $)
    nmcn2 $p |- ( U e. NrmCVec -> N e. ( J Cn ( topGen ` ran (,) ) ) ) $=
      ( cnv wcel cabs cmin ccom cr cxp cres copn cfv ccn co cioo crn ctg eqid
      nmcn tgioo opreq2i syl6eleqr ) BHIDCJKLMMNOZPQZRSCTUAUBQZRSAUHBCUIDEFUHUC
      ZGUIUCZUDUJUICRUHUIUKULUEUFUG $.
      $( [23-May-2008] $) $( [27-May-2007] $)

    ${
      nmcn3.k $e |- K = ( Open ` ( IndMet ` <. <. + , x. >. , abs >. ) ) $.
      $( MAY BE REVISED - delete if not used? $)
      $( The norm of a normed complex vector space is a continuous function to
         ` CC ` . $)
      nmcn3 $p |- ( U e. NrmCVec -> N e. ( J Cn K ) ) $=
        ( cme wcel cabs cmin ccom cr cxp cres caddc cmul cop cims cfv w3a wss
        wa copn ccn co cnv eqid metcnss sseld imsmet remet a1i cnims eqcomi
        cnmet 3jca resss sseqtr jctir nmcn sylc ) AJKZLMNZOOPZQZJKZRSTLTZUAUBZJ
        KZUCZVHVKUDZUEZECVHUFUBZUGUHZKECDUGUHZKBUIKZVOVQVREAVHVKCVPDHVPUJZIUKUL
        VSVMVNVSVEVIVLABGUMVIVSVHVHUJZUNUOVLVSVKVFVKVFVJVJUJVFUJUPZUQURUOUSVHVF
        VKVFVGUTWBVAVBAVHBCVPEFGWAHVTVCVD $.
        $( [28-Jul-2008] $) $( [30-May-2007] $)
    $}
  $}

  ${
    nmcnc.6 $e |- N = ( norm ` U ) $.
    nmcnc.8 $e |- C = ( IndMet ` U ) $.
    nmcnc.7 $e |- D = ( abs o. - ) $.
    nmcnc.j $e |- J = ( Open ` C ) $.
    nmcnc.k $e |- K = ( Open ` D ) $.
    $( The norm of a normed complex vector space is a continuous function to
       ` CC ` .  (For ` RR ` , see ~ nmcn .) $)
    nmcnc $p |- ( U e. NrmCVec -> N e. ( J Cn K ) ) $=
      ( cme wcel cabs cmin ccom cr cxp cres w3a wss wa copn cfv ccn co cnv
      eqid metcnss sseld imsmet remet a1i cnmet 3jca resss sseqtr4 jctir nmcn
      sylc ) ALMZNOPZQQRZSZLMZBLMZTZVDBUAZUBZFDVDUCUDZUEUFZMFDEUEUFZMCUGMZVIVKV
      LFAVDBDVJEJVJUHZKUIUJVMVGVHVMVAVEVFACHUKVEVMVDVDUHZULUMVFVMBIUNUMUOVDVBBV
      BVCUPIUQURAVDCDVJFGHVOJVNUSUT $.
      $( [24-Nov-2007] $) $( [12-Aug-2007] $)
  $}

  ${
    abscn.1 $e |- C = ( abs o. - ) $.
    abscn.2 $e |- R = ( ( abs o. - ) |` ( RR X. RR ) ) $.
    abscn.3 $e |- J = ( Open ` C ) $.
    abscn.4 $e |- K = ( Open ` R ) $.
    $( The absolute value function on complex numbers is continuous. $)
    abscn $p |- abs e. ( J Cn K ) $=
      ( caddc cmul cop cabs cnm cfv c2nd eqid nmfval opex cc cr wf cvv wcel
      absf axcnex fex mp2an op2nd eqtr2 cmin ccom cims cnims eqtr cnnv nmcni )
      ABIJKZLKZCDLURMNZURONLURUSUSPQUQLIJRSTLUASUBUCLUBUCUDUESTUBLUFUGUHUIALUJU
      KZURULNEUTURURPZUTPUMUNFGHURVAUOUP $.
      $( [5-Jun-2008] $) $( [22-Aug-2007] $)
  $}

  $( Absolute value is continuous.  Alternate proof of ~ abscncf . $)
  abscncfALT $p |- abs e. ( CC -cn-> RR ) $=
    ( cabs cmin ccom copn cfv cr cxp cres ccn co cc ccncf eqid abscn wss wceq
    ssid axresscn wrel cdm relco dmcoss subopr fdmi sseqtr relssres mp2an
    eqcomi cncfmet eleqtrr ) AABCZDEZUKFFGHZDEZIJZKFLJZUKUMULUNUKMUMMZULMZUNMZN
    KKOFKOUPUOPKQRKFUKUMULUNUKKKGZHZUKUKSUKTZUTOVAUKPABUAVBBTUTABUBUTKBUCUDUEUK
    UTUFUGUHUQURUSUIUGUJ $.
    $( [6-Jun-2008] $) $( [6-Jun-2008] $)

  ${
    $d r s t u v w A $.  $d r s t u D $.  $d r s t u F $.  $d v w G $.
    $d r s t u J $.  $d r s t u v w X $.
    va1cn.1 $e |- X = ( Base ` U ) $.
    va1cn.2 $e |- G = ( +v ` U ) $.
    va1cn.8 $e |- D = ( IndMet ` U ) $.
    va1cn.j $e |- J = ( Open ` D ) $.
    va1cn.f $e |- F = { <. w , v >. | ( w e. X /\ v = ( w G A ) ) } $.
    va1cn.9 $e |- U e. NrmCVec $.
    ${
      va1cnlem.6 $e |- N = ( norm ` U ) $.
      $( Lemma for ~ va1cn . $)
      va1cnlem $p |- ( A e. X -> F e. ( J Cn J ) ) $=
        ( vs vt vr vu wcel wf cc0 cv clt wbr co cfv wi wral wa cr wrex ccn cnv
        nvgcl mp3an1 ancoms r19.21aiva fopab2 sylib idd rgen wceq breq2 imbi1d
        ralbidv anbi12d rcla4ev mpanr2 adantll adantl wb opreq1 oprex fvopab4
        opreqan12d w3a cnsb cgr nvgrp ax-mp bafval eqid vsfval grppnpcan2 mpan
        fveq2d imsdval 3adant2 3adant1 sylanc 3adant3 3eqtr4d 3comr 3expa
        eqtrd breq1d imbi2d ralbidva anbi2d rexbidv adantrr mpbird exp32
        r19.21aivv jca cme imsmet imsbai metcn mp2an sylibr ) CJUBZJJFUCZUDRUEZ
        UFUGZUDSUEZUFUGZTUEZUAUEZDUHZXSUFUGZYAFUIZYBFUIZDUHZXQUFUGZUJZUAJUKZULZ
        SUMUNZUJZRUMUKTJUKZULZFHHUOUHUBZXOXPYNXOAUEZCGUHZJUBZAJUKXPXOYSAJYQJUBZ
        XOYSEUPUBZYTXOYSPYQCEGJKLUQURUSUTABJJYRFOVAVBXOYMTRJUMXOYAJUBZXQUMUBZUL
        ZXRYLXOUUDXRULZULYLXTYDYCXQUFUGZUJZUAJUKZULZSUMUNZUUEUUJXOUUCXRUUJUUBUU
        CXRUUFUUFUJZUAJUKZUUJUUKUAJYBJUBZUUFVCVDUUIXRUULULSXQUMXSXQVEZXTXRUUHUU
        LXSXQUDUFVFUUNUUGUUKUAJUUNYDUUFUUFXSXQYCUFVFVGVHVIVJVKVLVMXOUUDYLUUJVNZ
        XRXOUUBUUOUUCXOUUBULZYKUUISUMUUPYJUUHXTUUPYIUUGUAJUUPUUMULZYHUUFYDUUQYG
        YCXQUFUUQYGYACGUHZYBCGUHZDUHZYCUUBUUMYGUUTVEXOUUBUUMYEUURYFUUSDABYAYRUU
        RJFYQYACGVOOYACGVPVQABYBYRUUSJFYQYBCGVOOYBCGVPVQVRVLXOUUBUUMUUTYCVEZUUB
        UUMXOUVAUUBUUMXOVSZUURUUSEVTUIZUHZIUIZYAYBUVCUHZIUIZUUTYCUVBUVDUVFIGWAU
        BZUVBUVDUVFVEUUAUVHPEGLWBWCYAYBCUVCGJEGJKLWDEGUVCLUVCWEZWFWGWHWIUURJUBZ
        UUSJUBZUUTUVEVEZUVBUUAUVJUVKUVLPUURUUSDEUVCIJKUVIQMWJURUUBXOUVJUUMUUAUU
        BXOUVJPYACEGJKLUQURWKUUMXOUVKUUBUUAUUMXOUVKPYBCEGJKLUQURWLWMUUBUUMYCUVG
        VEZXOUUAUUBUUMUVMPYAYBDEUVCIJKUVIQMWJURWNWOWPWQWRWSWTXAXBXCXDXDXEXFXGXH
        DXIUBZUVNYPYOVNUUAUVNPDEMXJWCZUVOTRSUADDFHHJJDEJKMPXKZNUVPNXLXMXN $.
        $( [23-Nov-2007] $) $( [12-Aug-2007] $)
    $}

    $( Vector addition is continuous in its first operand. $)
      va1cn $p |- ( A e. X -> F e. ( J Cn J ) ) $=
        ( cnm cfv eqid va1cnlem ) ABCDEFGHEPQZIJKLMNOTRS $.
        $( [23-Nov-2007] $) $( [12-Aug-2007] $)
  $}

  ${
    $d t u v w A $.  $d r s t u C $.  $d r s t u D $.  $d r s t u F $.
    $d r s t u J $.  $d r s K $.  $d t u N $.  $d v w S $.  $d r s t u v w X $.
    sm1cni.1 $e |- X = ( Base ` U ) $.
    sm1cni.4 $e |- S = ( .s ` U ) $.
    sm1cni.7 $e |- C = ( abs o. - ) $.
    sm1cni.8 $e |- D = ( IndMet ` U ) $.
    sm1cni.j $e |- J = ( Open ` C ) $.
    sm1cni.k $e |- K = ( Open ` D ) $.
    sm1cni.f $e |- F = { <. w , v >. | ( w e. CC /\ v = ( w S A ) ) } $.
    sm1cni.9 $e |- U e. NrmCVec $.
    sm1cni.a $e |- A e. X $.
    ${
      sm1cni.2 $e |- G = ( +v ` U ) $.
      sm1cnilem.6 $e |- N = ( norm ` U ) $.
      $( Lemma for ~ sm1cni . $)
      sm1cnilem $p |- F e. ( J Cn K ) $=
        ( vs vt vr vu ccn co wcel cc wf cc0 cv clt wbr cfv wi wral wa cr wrex
        cme wb cnmet cnv imsmet ax-mp cnmetba imsbai metcn mp2an nvscl mp3an13
        fopab cmin cabs cmul wceq opreq2 breq1d imbi2d ralbidv anbi2d rexbidv
        cdiv wne breq2 imbi1d anbi12d rcla4ev nvcli redivclt mp3an2 adantll
        adantlr divgt0t mpanr1 cle nvge0 0re ltlen biimpr mpan sylan2 adantlll
        w3a ltmuldivtOLD subclt absclt syl a1i simplr ad2antrr 3jca ad2antlr
        sylanc biimprd r19.21aiva jca c1 recnd mul01t eqbrtrd a1d lt01 1re
        pm2.61ne cnmetdval opreq1 oprex fvopab4 opreqan12d cneg imsdval2
        mp3an1 syl2an c1st cvc eqid nvvc vafval smfval bafval vcsubdir mp3an3
        fveq2d nvs 3eqtr2d eqtrd imbi12d ralbidva mpbird ex rgen2 mpbir2an ) HJ
        KUIUJUKZULMHUMZUNUEUOZUPUQZUNUFUOZUPUQZUGUOZUHUOZDUJZUVBUPUQZUVDHURZUVE
        HURZEUJZUUTUPUQZUSZUHULUTZVAZUFVBVCZUSZUEVBUTUGULUTZDVDUKEVDUKZUURUUSUV
        QVAVEDPVFGVGUKZUVRUAEGQVHVIUGUEUFUHDEHJKULMDPVJREGMNQUAVKSVLVMABULMAUOZ
        CFUJZHTUVSUVTULUKCMUKZUWAMUKUAUBUVTCFGMNOVNVOVPUVPUGUEULVBUVDULUKZUUTVB
        UKZVAZUVAUVOUWEUVAVAZUVOUVCUVDUVEVQUJZVRURZUVBUPUQZUWHCLURZVSUJZUUTUPUQ
        ZUSZUHULUTZVAZUFVBVCZUWFUWPUVCUWIUWHUNVSUJZUUTUPUQZUSZUHULUTZVAZUFVBVCZ
        UWJUNUWJUNVTZUWOUXAUFVBUXCUWNUWTUVCUXCUWMUWSUHULUXCUWLUWRUWIUXCUWKUWQUU
        TUPUWJUNUWHVSWAWBWCWDWEWFUUTUWJWGUJZVBUKZUNUXDUPUQZUWHUXDUPUQZUWLUSZUHU
        LUTZVAZUWPUWFUWJUNWHZVAZUWOUXJUFUXDVBUVBUXDVTZUVCUXFUWNUXIUVBUXDUNUPWIU
        XMUWMUXHUHULUXMUWIUXGUWLUVBUXDUWHUPWIWJWDWKWLUWEUXKUXEUVAUWDUXKUXEUWCUW
        DUWJVBUKZUXKUXECGLMNUDUAUBWMZUUTUWJWNWOWPWQUXLUXFUXIUWDUVAUXKUXFUWCUWDU
        VAVAZUNUWJUPUQZUXFUXKUXPUXNUXQUXFUXOUUTUWJWRWSUNUWJWTUQZUXKUXQUVSUWBUXR
        UAUBCGLMNUDXAVMUXQUXRUXKVAUNUWJXBUXOXCXDXEZXFXGUXLUXHUHULUXLUVEULUKZVAZ
        UWLUXGUWHVBUKZUXNUWDXHUXQUWLUXGVEUYAUWHUWJUUTXIUYAUYBUXNUWDUWFUXTUYBUXK
        UWEUXTUYBUVAUWCUXTUYBUWDUWCUXTVAZUWGULUKZUYBUVDUVEXJZUWGXKXLZWQWQWQUXNU
        YAUXOXMUWFUWDUXKUXTUWCUWDUVAXNXOXPUXKUXQUWFUXTUXSXQXRXSXTYAXRUWFUWHYBUP
        UQZUWRUSZUHULUTZUXBUWFUYHUHULUWFUXTVAZUWRUYGUYJUWQUNUUTUPUWEUXTUWQUNVTZ
        UVAUWCUXTUYKUWDUYCUWHULUKUYKUYCUWHUYFYCUWHYDXLWQWQUWEUVAUXTXNYEYFXTUNYB
        UPUQZUYIUXBYGYBVBUKUYLUYIVAZUXBYHUXAUYMUFYBVBUVBYBVTZUVCUYLUWTUYIUVBYBU
        NUPWIUYNUWSUYHUHULUYNUWIUYGUWRUVBYBUWHUPWIWJWDWKWLXEXEXLYIUWCUVOUWPVEUW
        DUVAUWCUVNUWOUFVBUWCUVMUWNUVCUWCUVLUWMUHULUYCUVGUWIUVKUWLUYCUVFUWHUVBUP
        UVDUVEDPYJWBUYCUVJUWKUUTUPUYCUVJUVDCFUJZUVECFUJZEUJZUWKUWCUXTUVHUYOUVIU
        YPEABUVDUWAUYOULHUVTUVDCFYKTUVDCFYLYMABUVEUWAUYPULHUVTUVECFYKTUVECFYLYM
        YNUYCUYQUYOYBYOUYPFUJIUJZLURZUWGCFUJZLURZUWKUYOMUKZUYPMUKZUYQUYSVTZUWCU
        XTUVSVUBVUCVUDUAUYOUYPEFGILMNUCOUDQYPYQUVSUWCUWBVUBUAUBUVDCFGMNOVNVOUVS
        UXTUWBVUCUAUBUVECFGMNOVNVOYRUYCUYTUYRLUWCUXTUWBUYTUYRVTZUBGYSURZYTUKZUW
        CUXTUWBXHVUEUVSVUGUAGVUFVUFUUAUUBVIUVDUVECFIVUFMGIUCUUCFGOUUDGIMNUCUUEU
        UFXEUUGUUHUYCUYDVUAUWKVTZUYEUVSUYDUWBVUHUAUBUWGCFGLMNOUDUUIVOXLUUJUUKWB
        UULUUMWEWFXOUUNUUOUUPUUQ $.
        $( [4-Dec-2007] $) $( [23-Aug-2007] $)
    $}

    $( Scalar multiplication is continuous in its first operand. $)
    sm1cni $p |- F e. ( J Cn K ) $=
      ( cpv cfv cnm eqid sm1cnilem ) ABCDEFGHGUAUBZIJGUCUBZKLMNOPQRSTUFUDUGUDUE
      $.
      $( [4-Dec-2007] $) $( [1-Aug-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                            Inner product
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c .i $.

  $( Extend class notation with the class inner product functions. $)
  cip $a class .i $.

  ${
    $d k n p w x y z $.
    $( Define a function that maps a complex normed vector space to its inner
       product operation in case its norm satisfies the parallelogram identity
       (otherwise the operation is still defined, but not meaningful).  Based
       on Exercise 4(a) of [ReedSimon] p. 63 and Theorem 6.44 of [Ponnusamy]
       p. 361.  Vector addition is ` ( 1st `` w ) ` , the scalar product is
       ` ( 2nd `` w ) ` , and the norm is ` n ` . $)
    df-ip $a |- .i = { <. <. w , n >. , p >. | ( <. w , n >. e. NrmCVec /\
        p = { <. <. x , y >. , z >. | ( ( x e. dom n /\ y e. dom n ) /\
        z = ( sum_ k e. ( 1 ... 4 ) ( ( i ^ k ) x. ( ( n ` ( x ( 1st ` w )
        ( ( i ^ k ) ( 2nd ` w ) y ) ) ) ^ 2 ) ) / 4 ) ) } ) } $.

$(
    df-ip $a |- .i = { <. x , y >. | ( x e. NrmCVec /\ E. g E. s E. n
            ( x = <. <. g , s >. , n >. /\ y = { <. <. a , b >. , c >. |
            ( ( a e. dom n /\ b e. dom n ) /\ c = ( sum_ k e. ( 1 ... 4 )
  ( ( i ^ k ) x. ( ( n ` ( a g ( ( i ^ k ) s b ) ) ) ^ 2 ) ) / 4 ) ) } ) ) } $.

    df-ip $a |- .i = { <. x , y >. | ( x e. NrmCVec /\ E. g E. s E. n
            ( x = <. <. g , s >. , n >. /\ y = { <. <. a , b >. , c >. |
            ( ( a e. dom n /\ b e. dom n ) /\ c =
                ( ( ( ( ( n ` ( a g b ) ) ^ 2 ) +
                ( ( n ` ( a g ( -u 1 s b ) ) ) ^ 2 ) ) +
                ( i x. ( ( ( n ` ( a g ( i s b ) ) ) ^ 2 ) +
                ( ( n ` ( a g ( -u i s b ) ) ) ^ 2 ) ) ) ) / 4 ) ) } ) ) } $.
$)
  $}

  ${
    $d k A $.  $d k B $.  $d k G $.  $d k N $.  $d k S $.
    ipval2lem.1 $e |- M e. V $.
    $( Lemma for ~ ipval3 . $)
    ipval2lem1 $p |- [_ M / k ]_ ( ( i ^ k ) x.
                           ( ( N ` ( A G ( ( i ^ k ) S B ) ) ) ^ 2 ) ) =
              ( ( i ^ M ) x. ( ( N ` ( A G ( ( i ^ M ) S B ) ) ) ^ 2 ) ) $=
      ( ci cv cexp co cfv c2 cmul csb cvv wcel wceq csbopr12g ax-mp csbopr2g
      csbvarg opreq2i eqtr csbopr1g csbfv2g opreq1i fveq2i opreq12i ) DFIDJZKLZ
      AULBCLZELZGMZNKLZOLPZDFULPZDFUPPZOLZIFKLZAVABCLZELZGMZNKLZOLFQRZUQUTSHDFU
      LUPQOTUAURVAUSVEOURIDFUKPZKLZVAVFURVHSHDFIUKQKUBUAVGFIKVFVGFSHDFQUCUAUDUE
      ZUSDFUOPZNKLZVEVFUSVKSHDFUONQKUFUAVJVDNKVJDFUNPZGMZVDVFVJVMSHDFUNQGUGUAVL
      VCGVLADFUMPZELZVCVFVLVOSHDFAUMQEUBUAVNVBAEVNURBCLZVBVFVNVPSHDFULBQCUFUAUR
      VABCVIUHUEUDUEUIUEUHUEUJUE $.
      $( [19-Feb-2007] $) $( [31-Jan-2007] $)
  $}

  ${
    $d k n p w x y z G $.  $d k n p w x y z N $.  $d k n p w x y z S $.
    $d k n p w x y z U $.  $d k x y z A $.  $d k x y z B $.  $d x y z X $.
    ipfval.1 $e |- X = ( Base ` U ) $.
    ipfval.2 $e |- G = ( +v ` U ) $.
    ipfval.4 $e |- S = ( .s ` U ) $.
    ipfval.6 $e |- N = ( norm ` U ) $.
    ipfval.7 $e |- P = ( .i ` U ) $.
    $( The inner product function on a normed complex vector space.  The
       definition is meaningful for vector spaces that are also inner product
       spaces, i.e. satisfy the parallelogram law. $)
    ipfval $p |- ( U e. NrmCVec -> P = { <. <. x , y >. , z >. |
        ( ( x e. X /\ y e. X ) /\
       z = ( sum_ k e. ( 1 ... 4 ) ( ( i ^ k ) x. ( ( N ` ( x G
       ( ( i ^ k ) S y ) ) ) ^ 2 ) ) / 4 ) ) } ) $=
      ( vw vn vp cnv wcel c1st cfv c2nd cop cip co cv wa c1 c4 cfz ci cexp c2
      cmul csu cdiv wceq copab2 wrel nvrel 1st2nd mpan fveq2d syl5eq df-opr
      a1i cdm eleq1d ibi cvv fvex w3a cnm eqeltr dmex eqid oprabex2 visset
      opth wb id nmfval syl6eqr dmeqd eleq2d anbi12d adantl fveq1d fveq2
      vafval opreqd smfval opreq2d eqtrd sylan9eqr opreq1d sumeq2sdv eqeq2d
      oprabbidv sylbi df-ip oprabval6g mpan2 mp3an12 syl cr wf nvf fdm anbi1d
      3eqtr2d ) FSTZDFUAUBZFUCUBZUDZUEUBZXNXOUEUFZAUGZJTZBUGZJTZUHZCUGZUIUJUKUF
      ZULGUGUMUFZXSYFYAEUFZHUFZIUBZUNUMUFZUOUFZGUPZUJUQUFZURZUHZABCUSZXMFUEUBXQ
      DXMFXPUESUTXMFXPURVAFSVBVCZVDOVEXRXQURXMXNXOUEVFVGXMXRXSIVHZTZYAYRTZUHZYN
      UHZABCUSZYPXMXPSTZXRUUCURZXMUUDXMFXPSYQVIVJXNVKTZXOVKTZUUDUUEFUAVLFUCVLZU
      UFUUGUUDVMUUCVKTUUEABCYRYRYMUUCIIFVNUBVKNFVNVLVOVPZUUIUUCVQVRPQRXNXOSXSQU
      GZVHZTZYAUUKTZUHZYDYEYFXSYFYAPUGZUCUBZUFZUUOUAUBZUFZUUJUBZUNUMUFZUOUFZGUP
      ZUJUQUFZURZUHZABCUSZUUCUEVKVKVKUUOUUJUDXPURUUOXNURZUUJXOURZUHZUVGUUCURUUO
      UUJXNXOPVSQVSUUHVTUVJUVFUUBABCUVJUUNUUAUVEYNUVIUUNUUAWAUVHUVIUULYSUUMYTUV
      IUUKYRXSUVIUUJIUVIUUJXOIUVIWBFINWCWDZWEZWFUVIUUKYRYAUVLWFWGWHUVJUVDYMYDUV
      JUVCYLUJUQUVJYEUVBYKGUVJUVAYJYFUOUVJUUTYIUNUMUVIUVHUUTUUSIUBYIUVIUUSUUJIU
      VKWIUVHUUSYHIUVHUUSXSUUQHUFYHUVHUURHXSUUQUVHUURXNUAUBHUUOXNUAWJFHLWKWDWLU
      VHUUQYGXSHUVHUUPEYFYAUVHUUPXNUCUBEUUOXNUCWJEFMWMWDWLWNWOVDWPWQWNWRWQWSWGW
      TXAABCPGQRXBXCXDXEXFXMUUBYOABCXMUUAYCYNXMYSXTYTYBXMYRJXSXMJXGIXHYRJURFIJK
      NXIJXGIXJXFZWFXMYRJYAUVMWFWGXKWTWOXL $.
      $( [16-Sep-2007] $) $( [10-Apr-2007] $)

    $( Value of the inner product.  The definition is meaningful for normed
       complex vector spaces that are also inner product spaces, i.e. satisfy
       the parallelogram law, although for convenience we define it for any
       normed complex vector space.  The vector (group) addition operation is
       ` G ` , the scalar product is ` S ` , the norm is ` N ` , and the set
       of vectors is ` X ` .  Equation 6.45 of [Ponnusamy] p. 361. $)
    ipval $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) -> ( A P B ) =
                ( sum_ k e. ( 1 ... 4 ) ( ( i ^ k ) x. ( ( N ` ( A G
                    ( ( i ^ k ) S B ) ) ) ^ 2 ) ) / 4 ) ) $=
      ( vx vy vz cnv wcel w3a co cv wa c1 c4 cfz ci cexp cfv c2 cmul csu cdiv
      wceq copab2 ipfval opreqd 3ad2ant1 oprex opreq1 fveq2d opreq1d opreq2d
      sumeq2sdv opreq2 eqid oprabval2 3adant1 eqtrd ) ERSZAISZBISZTABCUAZABOUBZ
      ISPUBZISUCQUBUDUEUFUAZUGFUBUHUAZVNVQVODUAZGUAZHUIZUJUHUAZUKUAZFULZUEUMUAZ
      UNUCOPQUOZUAZVPVQAVQBDUAZGUAZHUIZUJUHUAZUKUAZFULZUEUMUAZVJVKVMWFUNVLVJCWE
      ABOPQCDEFGHIJKLMNUPUQURVKVLWFWMUNVJOPQABIIWDWMWEVPVQAVRGUAZHUIZUJUHUAZUKU
      AZFULZUEUMUAWLUEUMUSVNAUNZWCWRUEUMWSVPWBWQFWSWAWPVQUKWSVTWOUJUHWSVSWNHVNA
      VRGUTVAVBVCVDVBVOBUNZWRWLUEUMWTVPWQWKFWTWPWJVQUKWTWOWIUJUHWTWNWHHWTVRWGAG
      VOBVQDVEVCVAVBVCVDVBWEVFVGVHVI $.
      $( [29-Sep-2007] $) $( [31-Jan-2007] $)

    $( Lemma for ~ ipval3 . $)
    ipval2lem2 $p |- ( ( ( U e. NrmCVec /\ A e. X /\ B e. X ) /\ C e. CC ) ->
               ( ( N ` ( A G ( C S B ) ) ) ^ 2 ) e. RR ) $=
      ( cnv wcel w3a cc wa co cfv cr c2 cexp nvcl 3simp1 adantr nvgcl 3simp2
      nvscl 3com23 3expa 3adantl2 syl3anc sylanc resqclt syl ) FOPZAIPZBIPZQZCR
      PZSZACBETZGTZHUAZUBPZVFUCUDTUBPURVEIPZVGVCVEFHIJMUEVAURVBURUSUTUFUGZURUSV
      DIPZVHVCAVDFGIJKUHVIVAUSVBURUSUTUIUGURUTVBVJUSURUTVBVJURVBUTVJCBEFIJLUJUK
      ULUMUNUOVFUPUQ $.
      $( [1-Oct-2007] $) $( [1-Feb-2007] $)

    $( Lemma for ~ ipval3 . $)
    ipval2lem3 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
               ( ( N ` ( A G B ) ) ^ 2 ) e. RR ) $=
      ( cnv wcel w3a c1 co cfv c2 cexp cr wceq wa nvsid opreq2d fveq2d opreq1d
      3adant2 cc ax1cn ipval2lem2 mpan2 eqeltrrd ) ENOZAHOZBHOZPZAQBDRZFRZGSZTU
      ARZABFRZGSZTUARZUBUOUQVBVEUCUPUOUQUDZVAVDTUAVFUTVCGVFUSBAFBDEHIKUEUFUGUHU
      IURQUJOVBUBOUKABQCDEFGHIJKLMULUMUN $.
      $( [1-Oct-2007] $) $( [1-Feb-2007] $)

    $( Lemma for ~ ipval3 . $)
    ipval2lem4 $p |- ( ( ( U e. NrmCVec /\ A e. X /\ B e. X ) /\ C e. CC ) ->
               ( ( N ` ( A G ( C S B ) ) ) ^ 2 ) e. CC ) $=
      ( cnv wcel w3a cc wa co cfv c2 cexp ipval2lem2 recnd ) FOPAIPBIPQCRPSACBE
      TGTHUAUBUCTABCDEFGHIJKLMNUDUE $.
      $( [1-Oct-2007] $) $( [1-Feb-2007] $)

    $( Expansion of the inner product value ~ ipval .  _Warning:  The HTML
       proof page is 0.5MB in size_. $)
    ipval2 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) -> ( A P B )
               = ( ( ( ( ( N ` ( A G B ) ) ^ 2 ) -
               ( ( N ` ( A G ( -u 1 S B ) ) ) ^ 2 ) ) +
               ( i x. ( ( ( N ` ( A G ( i S B ) ) ) ^ 2 ) -
               ( ( N ` ( A G ( -u i S B ) ) ) ^ 2 ) ) ) ) / 4 ) ) $=
      ( vk cnv wcel w3a co c1 c4 cfz ci cv cexp cfv c2 cmul csu cdiv cneg cmin
      caddc ipval cc wceq negsubt subclt axicn ipval2lem4 mpan2 axmulcl mpan
      syl ax1cn negcl sylanc mulm1t opreq2d eqtrd mulneg1t opreq12d subdit
      mp3an1 opreq1d sub23t syl3anc 3eqtr4d wa i4 a1i nvsid opreq1i syl5eq
      fveq2d 3adant2 ipval2lem3 recnd mulid2t c3 csb df-4 3re recn addcom eqtr
      opreq2i sumeq1i cz 1z oprex fsum4 ax-mp elisseti ipval2lem1 exp1t fveq2i
      opreq12i 2cn df-2 csbeq1 i2 3eqtr3 cr df-3 i3 4re eqtr3 3eqtr axaddcom
      subadd23t eqtr4d ) EOPZAHPZBHPZQZABCRSTUARZUBNUCUDRZAYGBDRFRGUEUFUDRZUGRZ
      NUHZTUIRABFRZGUEZUFUDRZASUJZBDRZFRZGUEZUFUDRZUKRZUBAUBBDRZFRZGUEZUFUDRZAU
      BUJZBDRZFRZGUEZUFUDRZUKRZUGRZULRZTUIRABCDENFGHIJKLMUMYEYJUUKTUIYEUBUUCUGR
      ZYNYRUGRZULRZUUDUUHUGRZULRZUBTUDRZAUUQBDRZFRZGUEZUFUDRZUGRZULRZUUJYRUKRZY
      MULRZYJUUKYEUUPUVDUVBYMULYEUULYRUKRZUBUUHUGRZUJZULRZUVFUVGUKRZUUPUVDUVFUN
      PZUVGUNPZUVIUVJUOYEUVFUVGUPUULUNPZYRUNPZUVKYEUULYRUQYEUUCUNPZUVMYEUBUNPZU
      VOURABUBCDEFGHIJKLMUSUTZUVPUVOUVMURUBUUCVAVBVCZYEYNUNPUVNSVDVEABYNCDEFGHI
      JKLMUSUTZVFYEUUHUNPZUVLYEUUDUNPUVTUBURVEABUUDCDEFGHIJKLMUSUTZUVPUVTUVLURU
      BUUHVAVBVCZVFYEUUNUVFUUOUVHULYEUUNUULYRUJZULRZUVFYEUUMUWCUULULYEUVNUUMUWC
      UOUVSYRVGVCVHUVMUVNUWDUVFUOYEUULYRUPUVRUVSVFVIYEUVTUUOUVHUOZUWAUVPUVTUWEU
      RUBUUHVJVBVCVKYEUVDUULUVGUKRZYRUKRZUVJYEUUJUWFYRUKUVOUVTUUJUWFUOZYEUVPUVO
      UVTUWHURUBUUCUUHVLVMUVQUWAVFVNUVMUVLUVNUWGUVJUOYEUULUVGYRVOUVRUWBUVSVPVIV
      QYEUVBSYMUGRZYMYBYDUVBUWIUOYCYBYDVRZUUQSUVAYMUGUUQSUOUWJVSVTUWJUUTYLUFUDU
      WJUUSYKGUWJUURBAFUWJSBDRBUURBDEHIKWAUUQSBDVSWBWCVHWDVNVKWEYEYMUNPZUWIYMUO
      YEYMABCDEFGHIJKLMWFWGZYMWHVCVIVKYJUVCUOYEYJSSWIULRZUARZYINUHZNSYIWJZNSSUL
      RZYIWJZULRZNSUFULRZYIWJZULRZNUWMYIWJZULRZUVCYFUWNYINTUWMSUATWISULRUWMWKWI
      SWIWLWMVDWNWOZWPWQSWRPUWOUXDUOWSYINSYGYHUGWTXAXBUXBUUPUXCUVBULUWSUUNUXAUU
      OULUWPUULUWRUUMULUWPUBSUDRZAUXFBDRZFRZGUEZUFUDRZUGRUULABDNFSGSWRWSXCXDUXF
      UBUXJUUCUGUVPUXFUBUOURUBXEXBZUXIUUBUFUDUXHUUAGUXGYTAFUXFUBBDUXKWBWPXFWBXG
      WONUFYIWJZUBUFUDRZAUXMBDRZFRZGUEZUFUDRZUGRUWRUUMABDNFUFGUFUNXHXCXDUFUWQUO
      UXLUWRUOXINUFUWQYIXJXBUXMYNUXQYRUGXKUXPYQUFUDUXOYPGUXNYOAFUXMYNBDXKWBWPXF
      WBXGXLXGNWIYIWJZUBWIUDRZAUXSBDRZFRZGUEZUFUDRZUGRUXAUUOABDNFWIGWIXMWLXCXDW
      IUWTUOUXRUXAUOWIUFSULRUWTXNUFSXHVDWNWONWIUWTYIXJXBUXSUUDUYCUUHUGXOUYBUUGU
      FUDUYAUUFGUXTUUEAFUXSUUDBDXOWBWPXFWBXGXLXGNTYIWJZUXCUVBTUWMUOUYDUXCUOUXEN
      TUWMYIXJXBABDNFTGTXMXPXCXDXQXGXRVTYEUUKUUJYSULRZUVEYSUNPZUUJUNPZUUKUYEUOY
      EYSUUJXSUWKUVNUYFYEYMYRUQUWLUVSVFYEUUIUNPZUYGUVOUVTUYHYEUUCUUHUQUVQUWAVFU
      VPUYHUYGURUBUUIVAVBVCZVFUYGUVNUWKUVEUYEUOYEUUJYRYMXTUYIUVSUWLVPYAVQVNVI
      $.
      $( [1-Oct-2007] $) $( [31-Jan-2007] $)

    $( Four times the inner product value ~ ipval3 , useful for simplifying
       certain proofs. $)
    4ipval2 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
        ( 4 x. ( A P B ) ) = ( ( ( ( N ` ( A G B ) ) ^ 2 ) -
               ( ( N ` ( A G ( -u 1 S B ) ) ) ^ 2 ) ) +
               ( i x. ( ( ( N ` ( A G ( i S B ) ) ) ^ 2 ) -
               ( ( N ` ( A G ( -u i S B ) ) ) ^ 2 ) ) ) ) ) $=
      ( cnv wcel w3a c4 co cmul cfv c2 cexp c1 cneg cmin ci caddc cdiv ipval2
      opreq2d cc wceq axaddcl subclt cr nvcl 3simp1 nvgcl sylanc recnd sqclt
      syl ax1cn negcl nvscl mp3an2 3adant2 syld3an3 axicn axmulcl mpan cc0 wne
      4re recn 4pos gt0ne0i divcan2t mp3an13 eqtrd ) ENOZAHOZBHOZPZQABCRZSRQABF
      RZGTZUAUBRZAUCUDZBDRZFRZGTZUAUBRZUERZUFAUFBDRZFRZGTZUAUBRZAUFUDZBDRZFRZGT
      ZUAUBRZUERZSRZUGRZQUHRZSRZXFWDWEXGQSABCDEFGHIJKLMUIUJWDXFUKOZXHXFULZWNUKO
      ZXEUKOZXIWDWNXEUMWHUKOZWMUKOZXKWDWHWMUNWDWGUKOXMWDWGWAWFHOWGUOOWDWFEGHILU
      PWAWBWCUQZABEFHIJURUSUTWGVAVBWDWLUKOXNWDWLWAWKHOZWLUOOWDWKEGHILUPXOWAWBWJ
      HOZXPWCAWJEFHIJURWAWCXQWBWAWIUKOWCXQUCVCVDWIBDEHIKVEVFVGVHUSUTWLVAVBUSWDX
      DUKOZXLWRUKOZXCUKOZXRWDWRXCUNWDWQUKOXSWDWQWAWPHOZWQUOOWDWPEGHILUPXOWAWBWO
      HOZYAWCAWOEFHIJURWAWCYBWBWAUFUKOZWCYBVIUFBDEHIKVEVFVGVHUSUTWQVAVBWDXBUKOX
      TWDXBWAXAHOZXBUOOWDXAEGHILUPXOWAWBWTHOZYDWCAWTEFHIJURWAWCYEWBWAWSUKOWCYEU
      FVIVDWSBDEHIKVEVFVGVHUSUTXBVAVBUSYCXRXLVIUFXDVJVKVBUSQUKOXIQVLVMXJQVNVOQV
      NVPVQQXFVRVSVBVT $.
      $( [29-Oct-2007] $) $( [10-Apr-2007] $)

    ${
      ipval3.3 $e |- M = ( -v ` U ) $.
      $( Expansion of the inner product value ~ ipval . $)
      ipval3 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) -> ( A P B )
               = ( ( ( ( ( N ` ( A G B ) ) ^ 2 ) -
               ( ( N ` ( A M B ) ) ^ 2 ) ) +
               ( i x. ( ( ( N ` ( A G ( i S B ) ) ) ^ 2 ) -
               ( ( N ` ( A M ( i S B ) ) ) ^ 2 ) ) ) ) / 4 ) ) $=
        ( cnv wcel w3a co cfv c2 cexp c1 cneg cmin ci cmul caddc c4 cdiv
        ipval2 nvmval fveq2d opreq1d opreq2d wceq cc axicn nvscl mp3an2
        3adant2 syld3an3 wa ax1cn negcl nvsass mp3anr1 mpanr1 mulm1 opreq1i
        syl5reqr eqtrd opreq12d eqtr4d ) EPQZAIQZBIQZRZABCSABFSHTUAUBSZAUCUDZBD
        SFSZHTZUAUBSZUESZUFAUFBDSZFSHTUAUBSZAUFUDZBDSZFSZHTZUAUBSZUESZUGSZUHSZU
        IUJSVSABGSZHTZUAUBSZUESZUFWFAWEGSZHTZUAUBSZUESZUGSZUHSZUIUJSABCDEFHIJKL
        MNUKVRXDWNUIUJVRWRWDXCWMUHVRWQWCVSUEVRWPWBUAUBVRWOWAHABDEFGIJKLOULUMUNU
        OVRXBWLUFUGVRXAWKWFUEVRWTWJUAUBVRWSWIHVRWSAVTWEDSZFSZWIVOVPWEIQZWSXFUPV
        QAWEDEFGIJKLOULVOVQXGVPVOUFUQQZVQXGURUFBDEIJLUSUTVAVBVRXEWHAFVOVQXEWHUP
        VPVOVQVCVTUFUGSZBDSZXEWHVOXHVQXJXEUPZURVOVTUQQXHVQXKUCVDVEVTUFBDEIJLVFV
        GVHXIWGBDUFURVIVJVKVAUOVLUMUNUOUOVMUNVN $.
        $( [26-Dec-2007] $) $( [17-Nov-2007] $)

      $( Lemma for ~ ipval3 . $)
      ipval2lem5 $p |- ( ( ( U e. NrmCVec /\ A e. X /\ B e. X ) /\ C e. CC ) ->
                 ( ( N ` ( A M ( C S B ) ) ) ^ 2 ) e. RR ) $=
        ( cnv wcel w3a cc wa co cfv cr c2 cexp nvcl 3simp1 adantr nvmcl 3simp2
        nvscl 3com23 3expa 3adantl2 syl3anc sylanc resqclt syl ) FQRZAJRZBJRZSZ
        CTRZUAZACBEUBZHUBZIUCZUDRZVHUEUFUBUDRUTVGJRZVIVEVGFIJKNUGVCUTVDUTVAVBUH
        UIZUTVAVFJRZVJVEAVFFHJKPUJVKVCVAVDUTVAVBUKUIUTVBVDVLVAUTVBVDVLUTVDVBVLC
        BEFJKMULUMUNUOUPUQVHURUS $.
        $( [10-Feb-2008] $) $( [1-Feb-2008] $)

      $( Lemma for ~ ipval3 . $)
      ipval2lem6 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                 ( ( N ` ( A M B ) ) ^ 2 ) e. RR ) $=
        ( cnv wcel w3a c1 co cfv c2 cexp cr wceq wa nvsid opreq2d fveq2d
        opreq1d 3adant2 cc ax1cn ipval2lem5 mpan2 eqeltrrd ) EPQZAIQZBIQZRZASBD
        TZGTZHUAZUBUCTZABGTZHUAZUBUCTZUDUQUSVDVGUEURUQUSUFZVCVFUBUCVHVBVEHVHVAB
        AGBDEIJLUGUHUIUJUKUTSULQVDUDQUMABSCDEFGHIJKLMNOUNUOUP $.
        $( [10-Feb-2008] $) $( [1-Feb-2008] $)

      $( Four times the inner product value ~ ipval3 , useful for simplifying
         certain proofs. $)
      4ipval3 $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
          ( 4 x. ( A P B ) ) = ( ( ( ( N ` ( A G B ) ) ^ 2 ) -
                 ( ( N ` ( A M B ) ) ^ 2 ) ) +
                 ( i x. ( ( ( N ` ( A G ( i S B ) ) ) ^ 2 ) -
                 ( ( N ` ( A M ( i S B ) ) ) ^ 2 ) ) ) ) ) $=
        ( cnv wcel w3a c4 co cmul cfv c2 cexp cmin ci caddc cdiv ipval3
        opreq2d cc wceq axaddcl subclt ipval2lem3 recnd ipval2lem6 sylanc cr
        axicn ipval2lem2 mpan2 ipval2lem5 axmulcl mpan syl cc0 wne 4re recn
        4pos gt0ne0i divcan2t mp3an13 eqtrd ) EPQAIQBIQRZSABCTZUATSABFTHUBUCUDT
        ZABGTHUBUCUDTZUETZUFAUFBDTZFTHUBUCUDTZAWAGTHUBUCUDTZUETZUATZUGTZSUHTZUA
        TZWFVPVQWGSUAABCDEFGHIJKLMNOUIUJVPWFUKQZWHWFULZVTUKQZWEUKQZWIVPVTWEUMVR
        UKQVSUKQWKVPVRVSUNVPVRABCDEFHIJKLMNUOUPVPVSABCDEFGHIJKLMNOUQUPURVPWDUKQ
        ZWLWBUKQWCUKQWMVPWBWCUNVPWBVPUFUKQZWBUSQUTABUFCDEFHIJKLMNVAVBUPVPWCVPWN
        WCUSQUTABUFCDEFGHIJKLMNOVCVBUPURWNWMWLUTUFWDVDVEVFURSUKQWISVGVHWJSVIVJS
        VIVKVLSWFVMVNVFVO $.
        $( [24-Mar-2008] $) $( [1-Feb-2008] $)
    $}
  $}

  ${
    $d k n p w x y z G $.  $d k n p w x y z N $.  $d k n p w x y z S $.
    $d k n p w x y z U $.  $d k x y z A $.  $d k x y z B $.  $d x y z X $.
    ipid.1 $e |- X = ( Base ` U ) $.
    ipid.6 $e |- N = ( norm ` U ) $.
    ipid.7 $e |- P = ( .i ` U ) $.
    $( The inner product of a vector with itself is the square of the vector's
       norm.  Equation I4 of [Ponnusamy] p. 362. $)
    ipid $p |- ( ( U e. NrmCVec /\ A e. X ) ->
                ( A P A ) = ( ( N ` A ) ^ 2 ) ) $=
      ( cnv wcel wa co cpv cfv c2 cexp c1 cneg cns cmin ci cmul caddc c4 cdiv
      wceq eqid ipval2 3anidm23 cc0 c1st cvc vafval smfval bafval vc2 nvvc
      sylan fveq2d cr cle wbr 2nn nnre 0re 2re 2pos ltlei pm3.2i nvsge0 mp3an2
      eqtrd opreq1d cc nvcl recnd cn0 2cn 2nn0 mulexpt mp3an13 syl sq2 opreq1i
      a1i 3eqtrd cn0v nvrinv nvz0 adantr sq0 syl6eq opreq12d sqclt 4re recn
      axmulcl mpan subid1t cabs csqr 1re renegcl absreimt mp2an axicn ax1cn
      mulneg2 mulid1 negeqi eqtr opreq2i fveq2i sqnegt ax-mp 3eqtr3 3eqtr2
      negcl addcl nvs 3eqtr4a nvdir mp3anr1 mpanr1 nvsid 3eqtr3d opreq2d w3a
      ipval2lem4 mpan2 subidt mul01 ax0id eqtr2d wne 4pos gt0ne0i divcan3t
      3eqtr2d ) CIJZAEJZKZAABLZAACMNZLZDNZOPLZAQRZACSNZLUUDLZDNZOPLZTLZUAAUAAUU
      ILZUUDLZDNZOPLZAUARZAUUILZUUDLZDNZOPLZTLZUBLZUCLZUDUELZUDADNZOPLZUBLZUDUE
      LZUVHYTUUAUUCUVFUFAABUUICUUDDEFUUDUGZUUIUGZGHUHUIUUBUVIUVEUDUEUUBUVEUVIUJ
      UCLZUVIUUBUUMUVIUVDUJUCUUBUUMUVIUJTLZUVIUUBUUGUVIUULUJTUUBUUGOUVGUBLZOPLZ
      OOPLZUVHUBLZUVIUUBUUFUVOOPUUBUUFOAUUILZDNZUVOUUBUUEUVSDCUKNZULJUUAUUEUVSU
      FYTAUUIUUDUWAECUUDUVKUMUUICUVLUNCUUDEFUVKUOUPCUWAUWAUGUQURUSYTOUTJZUJOVAV
      BZKUUAUVTUVOUFUWBUWCOVCVDUJOVEVFVGVHVIOAUUICDEFUVLGVJVKVLVMUUBUVGVNJZUVPU
      VRUFZUUBUVGACDEFGVOVPZOVNJUWDOVQJUWEVRVSOUVGOVTWAWBUVRUVIUFUUBUVQUDUVHUBW
      CWDWEWFUUBUULUJOPLUJUUBUUKUJOPUUBUUKCWGNZDNZUJUUBUUJUWGDAUUICUUDEUWGFUVKU
      VLUWGUGZWHUSYTUWHUJUFUUACDUWGUWIGWIWJVLVMWKWLWMUUBUVIVNJZUVNUVIUFUUBUVHVN
      JZUWJUUBUWDUWKUWFUVGWNWBZUDVNJZUWKUWJUDWOWPZUDUVHWQWRWBZUVIWSWBVLUUBUVDUA
      UJUBLUJUUBUVCUJUAUBUUBUVCUUQUUQTLZUJUUBUVBUUQUUQTUUBUVAUUPOPUUBQUURUCLZAU
      UILZDNZQUAUCLZAUUILZDNZUVAUUPUUBUWQWTNZUVGUBLZUWTWTNZUVGUBLZUWSUXBUXCUXEU
      VGUBUXCQOPLZUXGUCLZXANZQUAQUBLZUCLZWTNZUXEQUAUUHUBLZUCLZWTNZUXGUUHOPLZUCL
      ZXANZUXCUXIQUTJZUUHUTJUXOUXRUFXBQXBXCQUUHXDXEUXNUWQWTUXMUURQUCUXMUXJRUURU
      AQXFXGXHUXJUAUAXFXIZXJXKXLXMUXQUXHXAUXPUXGUXGUCQVNJZUXPUXGUFXGQXNXOXLXMXP
      UXSUXSUXLUXIUFXBXBQQXDXEUXKUWTWTUXJUAQUCUXTXLXMXQWDYTUWQVNJUUAUWSUXDUFQUU
      RXGUAXFXRZXSUWQAUUICDEFUVLGXTVKYTUWTVNJUUAUXBUXFUFQUAXGXFXSUWTAUUICDEFUVL
      GXTVKYAUUBUWRUUTDUUBUWRQAUUILZUUSUUDLZUUTYTUURVNJZUUAUWRUYDUFZUYBYTUYAUYE
      UUAUYFXGQUURAUUICUUDEFUVKUVLYBYCYDUUBUYCAUUSUUDAUUICEFUVLYEZVMVLUSUUBUXAU
      UODUUBUXAUYCUUNUUDLZUUOYTUAVNJZUUAUXAUYHUFZXFYTUYAUYIUUAUYJXGQUAAUUICUUDE
      FUVKUVLYBYCYDUUBUYCAUUNUUDUYGVMVLUSYFVMYGUUBUUQVNJZUWPUJUFYTUUAUYKYTUUAUU
      AYHUYIUYKXFAAUABUUICUUDDEFUVKUVLGHYIYJUIUUQYKWBVLYGUAXFYLWLWMUUBUWJUVMUVI
      UFUWOUVIYMWBYNVMUUBUWKUVJUVHUFZUWLUWMUWKUDUJYOUYLUWNUDWOYPYQUDUVHYRWAWBYS
      $.
      $( [27-Nov-2007] $) $( [1-Feb-2007] $)

    $( Norm expressed in terms of inner product. $)
    ipnm $p |- ( ( U e. NrmCVec /\ A e. X ) ->
                ( N ` A ) = ( sqr ` ( A P A ) ) ) $=
      ( cnv wcel wa co csqr cfv c2 cexp ipid fveq2d cr cc0 cle wbr wceq sqrsqt
      nvcl nvge0 sylanc eqtr2d ) CIJAEJKZAABLZMNADNZOPLZMNZUKUIUJULMABCDEFGHQRU
      KSJTUKUAUBUMUKUCUIUKUDACDEFGUEACDEFGUFUGUH $.
      $( [2-Dec-2007] $) $( [11-Sep-2007] $)
  $}

  ${
    $d k A $.  $d k B $.  $d k G $.  $d k x y z U $.  $d k W $.
    $d x y z k X $.
    ipcl.1 $e |- X = ( Base ` U ) $.
    ipcl.7 $e |- P = ( .i ` U ) $.
    $( An inner product is a complex number. $)
    ipcl $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                ( A P B ) e. CC ) $=
      ( vk cnv wcel w3a co c1 c4 cfz ci cv cexp cns cfv cpv cnm c2 cmul csu
      cdiv cc eqid ipval wral wa axmulcl cn cn0 elfznnt nnnn0t axicn expclt
      mpan 3syl adantl ipval2lem4 sylan2 sylanc r19.21aiva cuz cz cle wbr 1z
      eluz1 4nn nnzt ax-mp cmin clt cc0 ax1cn subid 4pos eqbrtr wb 1nn
      nnlem1ltt mp2an mpbir mpbir2an fsumclt wne 4re recn gt0ne0i divclt
      mp3an23 eqeltrd ) DIJAEJBEJKZABCLMNOLZPHQZRLZAWSBDSTZLDUATZLDUBTZTUCRLZUD
      LZHUEZNUFLZUGABCWTDHXAXBEFXAUHZWTUHZXBUHZGUIWPXDUGJZHWQUJZXEUGJZXFUGJZWPX
      JHWQWSUGJZXCUGJZXJWPWRWQJZUKWSXCULXPXNWPXPWRUMJWRUNJZXNWRNUOWRUPPUGJXQXNU
      QPWRURUSUTZVAWPXNXOXPABWSCWTDXAXBEFXGXHXIGVBXRVCVDVENMVFTJZXKXLXSNVGJZMNV
      HVIZMNVJVKNUMJZXTVLNVMVNYAMMVOLZNVPVIZYCVQNVPMVRVSVTWAMUMJYBYAYDWBWCVLMNW
      DWEWFWGXDHMNWHUSXLNUGJNVQWIXMNWJWKNWJVTWLXENWMWNUTWO $.
      $( [6-Oct-2007] $) $( [1-Feb-2007] $)

    $( Mapping for the inner product operation. $)
    ipf $p |- ( U e. NrmCVec -> P : ( X X. X ) --> CC ) $=
      ( vx vy vz vk cnv wcel cxp cc wf cv wa c1 c4 cfz co ci cexp cns cfv cpv
      cnm c2 cmul csu cdiv wceq copab2 wral w3a eqid ipval ipcl eqeltrrd
      3expib r19.21aivv foprab2 sylib ipfval feq1d mpbird ) BJKZCCLZMANVGMFOZCK
      ZGOZCKZPHOQRSTUAIOUBTZVHVLVJBUCUDZTBUEUDZTBUFUDZUDUGUBTUHTIUIRUJTZUKPFGHU
      LZNZVFVPMKZGCUMFCUMVRVFVSFGCCVFVIVKVSVFVIVKUNVHVJATVPMVHVJAVMBIVNVOCDVNUO
      ZVMUOZVOUOZEUPVHVJABCDEUQURUSUTFGHCCVPMVQVQUOVAVBVFVGMAVQFGHAVMBIVNVOCDVT
      WAWBEVCVDVE $.
      $( [31-Jan-2008] $) $( [28-Jan-2008] $)

    $( The complex conjugate of an inner product reverses its arguments.
       Equation I1 of [Ponnusamy] p. 362. $)
    ipcj $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
               ( * ` ( A P B ) ) = ( B P A ) ) $=
      ( cnv wcel w3a cpv cfv co cnm c2 cexp c1 cneg cns cmin ci cmul caddc c4
      cdiv ccj cc wceq axaddcl subclt eqid ipval2lem3 recnd ax1cn negcl
      ipval2lem4 mpan2 sylanc axicn axmulcl mpan syl cc0 wne 4re recn 4pos
      gt0ne0i cjdivt mp3an23 cr cjreimt resubclt ipval2lem2 submul2t mp3an2
      nvcom fveq2d opreq1d nvdif opreq12d negsubdi2t nvpi 3com23 eqcomd eqtrd
      opreq2d 3eqtrd cjret ax-mp opreq2i syl5eq ipval2 3eqtr4d ) DHIZAEIZBEIZJZ
      ABDKLZMZDNLZLZOPMZAQRZBDSLZMWSMXALZOPMZTMZUAAUABXEMWSMXALZOPMZAUARZBXEMWS
      MXALZOPMZTMZUBMZUCMZUDUEMZUFLZBAWSMZXALZOPMZBXDAXEMWSMXALZOPMZTMZUABUAAXE
      MWSMXALZOPMZBXKAXEMWSMXALZOPMZTMZUBMZUCMZUDUEMZABCMZUFLBACMZWRXRXPUFLZUDU
      FLZUEMZYLWRXPUGIZXRYQUHZXHUGIZXOUGIZYRWRXHXOUIXCUGIXGUGIZYTWRXCXGUJWRXCAB
      CXEDWSXAEFWSUKZXEUKZXAUKZGULZUMWRXDUGIZUUBQUNUOZABXDCXEDWSXAEFUUCUUDUUEGU
      PUQURZWRXNUGIZUUAXJUGIZXMUGIZUUJWRXJXMUJWRUAUGIZUUKUSABUACXEDWSXAEFUUCUUD
      UUEGUPUQZWRXKUGIZUULUAUSUOZABXKCXEDWSXAEFUUCUUDUUEGUPUQZURZUUMUUJUUAUSUAX
      NUTVAVBURYRUDUGIUDVCVDYSUDVEVFUDVEVGVHXPUDVIVJVBWRYOUDUEMYLYQWRYOYKUDUEWR
      YOXHXOTMZXHUAXNRZUBMZUCMZYKXHVKIZXNVKIZYOUUSUHWRXHXNVLXCVKIXGVKIZUVCWRXCX
      GVMUUFWRUUGUVEUUHABXDCXEDWSXAEFUUCUUDUUEGVNUQURXJVKIZXMVKIZUVDWRXJXMVMWRU
      UMUVFUSABUACXEDWSXAEFUUCUUDUUEGVNUQWRUUOUVGUUPABXKCXEDWSXAEFUUCUUDUUEGVNU
      QURURYTUUJUUSUVBUHZWRYTUUMUUJUVHUSXHUAXNVOVPUUIUURURWRXHYDUVAYJUCWRXCYAXG
      YCTWRXBXTOPWRWTXSXAABDWSEFUUCVQVRVSWRXFYBOPABXEDWSXAEFUUCUUDUUEVTVSWAWRUU
      TYIUAUBWRUUTXMXJTMZYIUUKUULUUTUVIUHWRXJXMWBUUNUUQURWRXMYFXJYHTWRXLYEOPWRY
      EXLWOWQWPYEXLUHBAXEDWSXAEFUUCUUDUUEWCWDWEVSWRXIYGOPABXEDWSXAEFUUCUUDUUEWC
      VSWAWFWGWAWHVSYPUDYOUEUDVKIYPUDUHVEUDWIWJWKWLWFWRYMXQUFABCXEDWSXAEFUUCUUD
      UUEGWMVRWOWQWPYNYLUHBACXEDWSXAEFUUCUUDUUEGWMWDWN $.
      $( [30-Oct-2007] $) $( [1-Feb-2007] $)

    $( An inner product times its conjugate. $)
    ipipcj $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X ) ->
                ( ( A P B ) x. ( B P A ) ) = ( ( abs ` ( A P B ) ) ^ 2 ) ) $=
      ( cnv wcel w3a co cabs cfv c2 cexp ccj cmul cc wceq ipcl absvalsqt syl
      ipcj opreq2d eqtr2d ) DHIAEIBEIJZABCKZLMNOKZUGUGPMZQKZUGBACKZQKUFUGRIUHUJ
      SABCDEFGTUGUAUBUFUIUKUGQABCDEFGUCUDUE $.
      $( [28-Dec-2007] $) $( [23-Nov-2007] $)

    $( Orthogonality (meaning inner product is 0) is commutative. $)
    iporthcom $p |- ( ( U e. NrmCVec /\ A e. X /\ B e. X )
              -> ( ( A P B ) = 0 <-> ( B P A ) = 0 ) ) $=
      ( cnv wcel w3a co cc0 wceq ccj cfv ipcj eqeq1d fveq2 cj0 syl6eq syl5bi
      3com23 impbid ) DHIZAEIZBEIZJZABCKZLMZBACKZLMZUGUHNOZLMUKUIUGULUJLABCDEFG
      PQUIULLNOZLUHLNRSTUAUGUJNOZLMUIUKUGUNUHLUDUFUEUNUHMBACDEFGPUBQUKUNUMLUJLN
      RSTUAUC $.
      $( [17-Apr-2008] $) $( [17-Apr-2008] $)
  $}

  ${
    ip0r.1 $e |- X = ( Base ` U ) $.
    ip0r.5 $e |- Z = ( 0v ` U ) $.
    ip0r.7 $e |- P = ( .i ` U ) $.
    $( Inner product with a zero second argument. $)
    ip0r $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( A P Z ) = 0 ) $=
      ( cnv wcel wa co cpv cfv cnm c2 cexp c1 cneg cns cmin ci cmul caddc c4
      cdiv cc0 wceq nvzcl adantr eqid ipval2 mpd3an3 cc ax1cn negcl nvsz mpan2
      opreq2d fveq2d opreq1d cr ipval2lem3 recnd subidt syl eqtrd axicn eqtr4d
      w3a ipval2lem4 opreq12d mul01 opreq2i 0cn addid1 eqtr syl6eq 4re recn
      4pos gt0ne0i div0 ) CIJZADJZKZAEBLZAECMNZLZCONZNZPQLZARSZECTNZLZWHLZWJNZP
      QLZUALZUBAUBEWNLZWHLZWJNZPQLZAUBSZEWNLZWHLZWJNZPQLZUALZUCLZUDLZUEUFLZUGWD
      WEEDJZWGXLUHWDXMWECDEFGUIUJZAEBWNCWHWJDFWHUKZWNUKZWJUKZHULUMWFXLUGUEUFLUG
      WFXKUGUEUFWFXKUGUBUGUCLZUDLZUGWFWSUGXJXRUDWFWSWLWLUALZUGWFWRWLWLUAWFWQWKP
      QWFWPWIWJWFWOEAWHWDWOEUHZWEWDWMUNJYARUOUPWMWNCEXPGUQURUJUSUTVAUSWFWLUNJXT
      UGUHWFWLWDWEXMWLVBJXNAEBWNCWHWJDFXOXPXQHVCUMVDWLVEVFVGWFXIUGUBUCWFXIXCXCU
      ALZUGWFXHXCXCUAWFXGXBPQWFXFXAWJWFXEWTAWHWDXEWTUHWEWDXEEWTWDXDUNJXEEUHUBVH
      UPXDWNCEXPGUQURWDUBUNJZWTEUHVHUBWNCEXPGUQURVIUJUSUTVAUSWFXCUNJZYBUGUHWDWE
      XMYDXNWDWEXMVJYCYDVHAEUBBWNCWHWJDFXOXPXQHVKURUMXCVEVFVGUSVLXSUGUGUDLUGXRU
      GUGUDUBVHVMVNUGVOVPVQVRVAUEUEVSVTUEVSWAWBWCVRVG $.
      $( [1-Nov-2007] $) $( [5-Feb-2007] $)

    $( Inner product with a zero first argument.  Part of proof of Theorem 6.44
       of [Ponnusamy] p. 361. $)
    ip0l $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( Z P A ) = 0 ) $=
      ( cnv wcel wa co ccj cfv cc0 wceq nvzcl adantr ipcj mpd3an3 ip0r fveq2d
      cj0 syl6eq eqtr3d ) CIJZADJZKZAEBLZMNZEABLZOUFUGEDJZUJUKPUFULUGCDEFGQRAEB
      CDFHSTUHUJOMNOUHUIOMABCDEFGHUAUBUCUDUE $.
      $( [2-Nov-2007] $) $( [5-Feb-2007] $)

    $( The inner product of a vector with itself is zero iff the vector is
       zero.  Part of Definition 3.1-1 of [Kreyszig] p. 129. $)
    ipz $p |- ( ( U e. NrmCVec /\ A e. X ) -> ( ( A P A ) = 0 <-> A = Z ) ) $=
      ( cnv wcel wa co cc0 wceq cnm cfv c2 cexp eqid ipid eqeq1d cc wb nvcl
      recnd sqeq0t syl nvz 3bitrd ) CIJADJKZAABLZMNACOPZPZQRLZMNZUMMNZAENUJUKUN
      MABCULDFULSZHTUAUJUMUBJUOUPUCUJUMACULDFUQUDUEUMUFUGACULDEFGUQUHUI $.
      $( [4-Feb-2008] $) $( [24-Jan-2008] $)
  $}

  ${
    $d a b c d f k t u v w A $.  $d a u w C $.  $d a c d f u w D $.
    $d a b c d f k t u v w G $.  $d v w H $.  $d a k u w J $.  $d a k u w K $.
    $d a b c d f k t u v w N $.  $d a b c d f k t u v w S $.
    $d a b k t u v w U $.  $d a b c d f k t u v w X $.
    ip1cni.1 $e |- X = ( Base ` U ) $.
    ip1cni.2 $e |- G = ( +v ` U ) $.
    ip1cni.7 $e |- P = ( .i ` U ) $.
    ip1cni.8 $e |- C = ( IndMet ` U ) $.
    ip1cni.d $e |- D = ( abs o. - ) $.
    ip1cni.j $e |- J = ( Open ` C ) $.
    ip1cni.k $e |- K = ( Open ` D ) $.
    ip1cni.f $e |- F = { <. w , v >. | ( w e. X /\ v = ( w P A ) ) } $.
    ip1cni.9 $e |- U e. NrmCVec $.
    ip1cni.a $e |- A e. X $.
    ${
      ip1cnilem.4 $e |- S = ( .s ` U ) $.
      ip1cnilem.6 $e |- N = ( norm ` U ) $.
      ${
        ip1cnilem.12 $e |- H = { <. u , t >. | ( u e. X /\ t =
          ( u G ( ( i ^ k ) S A ) ) ) } $.
        $( Lemma for ~ ip1cni . $)
        ip1cnilem1 $p |- ( k e. NN -> H e. ( J Cn J ) ) $=
          ( cv cn wcel ci cexp co cc ccn cn0 nnnn0t axicn expclt mpan syl cnv
          nvscl mp3an13 va1cn 3syl ) KULZUMUNZUOVKUPUQZURUNZVMEIUQZRUNZNOOUSUQU
          NVLVKUTUNZVNVKVAUOURUNVQVNVBUOVKVCVDVEJVFUNVNERUNVPUGUHVMEIJRSUIVGVHC
          DVOFJNMORSTUBUDUKUGVIVJ $.
          $( [2-Dec-2007] $) $( [13-Aug-2007] $)
      $}

      ${
        ip1cnilem.13 $e |- H = { <. u , t >. | ( u e. X /\ t =
          ( N ` ( u G ( ( i ^ k ) S A ) ) ) ) } $.
        $( Lemma for ~ ip1cni . $)
        ip1cnilem2 $p |- ( k e. NN -> H e. ( J Cn K ) ) $=
          ( va vb cv cn wcel ci cexp co wceq wa copab ccom ccn crn wss wral
          cnv nvgcl mp3an1 cn0 cc nnnn0t axicn expclt mpan nvscl mp3an13 3syl
          sylan2 ancoms r19.21aiva eqid oprex rnssopab sylib cfv fvex fveq2
          wfn cr wf nvf ax-mp ffn fnopabfv mpbi fopabco syl ip1cnilem1 nmcnc
          cme w3a imsmet cnmet 3pm3.2i metcnco mpan2 eqeltrrd ) KUNZUOUPZQCUNZR
          UPZDUNXLUQXJURUSZEIUSZMUSZUTVACDVBZVCZNOPVDUSZXKXQVERVFZXRNUTXKXPRUPZ
          CRVGXTXKYACRXMXKYAXMXORUPZYAXKJVHUPZXMYBYAUGXLXOJMRSTVIVJXKXJVKUPZXNV
          LUPZYBXJVMUQVLUPYDYEVNUQXJVOVPYCYEERUPYBUGUHXNEIJRSUIVQVRVSVTWAWBCDRR
          XPXQXQWCZXLXOMWDZWEWFCDULUMDRRXPULUNZQWGZXPQWGXQQNYGYHQWHXPQWHYHXPQWI
          YFQRWJZQYHRUPUMUNYIUTVAULUMVBUTRWKQWLZYJYCYKUGJQRSUJWMWNRWKQWOWNULUMR
          QWPWQUKWRWSXKXQOOVDUSUPZXRXSUPZABCDEFGHIJKLMXQOPQRSTUAUBUCUDUEUFUGUHU
          IUJYFWTYLQXSUPZYMYCYNUGFGJOPQUJUBUCUDUEXAWNFXBUPZYOGXBUPZXCYLYNVAYMYO
          YOYPYCYOUGFJUBXDWNZYQGUCXEXFFFGXQQOOPUDUDUEXGVPXHWSXI $.
          $( [2-Dec-2007] $) $( [21-Aug-2007] $)
      $}

      ${
        ip1cnilem.14 $e |- H = { <. u , t >. | ( u e. X /\ t =
          ( ( N ` ( u G ( ( i ^ k ) S A ) ) ) ^ 2 ) ) } $.
        $( Lemma for ~ ip1cni . $)
        ip1cnilem3 $p |- ( k e. NN -> H e. ( J Cn K ) ) $=
          ( va vb cv cn wcel cc c2 cexp co wceq wa copab ci cfv ccom ccn crn
          wss wral cnv nvgcl mp3an1 cn0 nnnn0t axicn expclt mpan nvscl mp3an13
          3syl sylan2 ancoms cr nvcl recnd syl r19.21aiva eqid fvex rnssopab
          sylib oprex opreq1 fopabco ip1cnilem2 sqcn2 cme w3a imsmet ax-mp
          cnmet 3pm3.2i metcnco mpan2 eqeltrrd ) KUNZUOUPZULUNZUQUPUMUNXIURUSUT
          ZVAVBULUMVCZCUNZRUPZDUNXLVDXGUSUTZEIUTZMUTZQVEZVAVBCDVCZVFZNOPVGUTZXH
          XRVHUQVIZXSNVAXHXQUQUPZCRVJYAXHYBCRXHXMVBXPRUPZYBXMXHYCXMXORUPZYCXHJV
          KUPZXMYDYCUGXLXOJMRSTVLVMXHXGVNUPZXNUQUPZYDXGVOVDUQUPYFYGVPVDXGVQVRYE
          YGERUPYDUGUHXNEIJRSUIVSVTWAWBWCYCXQYEYCXQWDUPUGXPJQRSUJWEVRWFWGWHCDRU
          QXQXRXRWIZXPQWJZWKWLCDULUMDRUQXQXJXQURUSUTXRXKNYIXIURUSWMXQURUSWMXIXQ
          URUSWNYHXKWIZUKWOWGXHXRXTUPZXSXTUPZABCDEFGHIJKLMXROPQRSTUAUBUCUDUEUFU
          GUHUIUJYHWPYKXKPPVGUTUPZYLULUMGXKPUCUEYJWQFWRUPZGWRUPZYOWSYKYMVBYLYNY
          OYOYEYNUGFJUBWTXAGUCXBZYPXCFGGXRXKOPPUDUEUEXDVRXEWGXF $.
          $( [2-Dec-2007] $) $( [21-Aug-2007] $)
      $}

      ${
        ip1cnilem.15 $e |- H = { <. u , t >. | ( u e. X /\ t = ( ( ( i ^ k ) x.
              ( 1 / 4 ) ) x. ( ( N ` ( u G ( ( i ^ k ) S A ) ) ) ^ 2 ) ) ) } $.
        $( Lemma for ~ ip1cni . $)
        ip1cnilem4 $p |- ( k e. NN -> H e. ( J Cn K ) ) $=
          ( va vb vc vd vf ci cv cexp co c1 c4 cdiv cmul cc wcel cfv c2 wceq
          wa copab ccn cn cxp c1st c2nd cpr cr clt csup copab2 copn imsbai
          cnmetba cnv cme imsmet ax-mp cnmet eqid mulcn opreq1 fveq2d opreq1d
          oprex fvopab4 opreq2d eqeq2d pm5.32i opabbii eqtr4 opr2cn cn0 nnnn0t
          axicn expclt mpan 4re recn 4pos gt0ne0i reccl axmulcl mpan2 3syl
          ip1cnilem3 sylanc ) UQKURZUSUTZVAVBVCUTZVDUTZVEVFZULURZRVFUMURYCXSEIU
          TZMUTZQVGZVHUSUTZVIVJULUMVKZOPVLUTZVFNYIVFXRVMVFZUNUOUPCDFGGUNURZVEVE
          VNZVFUOURZYLVFVJUPURYKVOVGYMVOVGGUTYKVPVGYMVPVGGUTVQVRVSVTVIVJUNUOUPW
          AZYAPYHNGOPPYNWBVGZVDRVEVEFJRSUBUGWCGUCWDZYPJWEVFFWFVFUGFJUBWGWHGUCWI
          ZYQYQUDUEUEYOWJZUEYNWJZUNUOUPGYNPYOUCYSUEYRWKNCURZRVFZDURZYAYTYDMUTZQ
          VGZVHUSUTZVDUTZVIZVJZCDVKUUAUUBYAYTYHVGZVDUTZVIZVJZCDVKUKUULUUHCDUUAU
          UKUUGUUAUUJUUFUUBUUAUUIUUEYAVDULUMYTYGUUERYHYCYTVIZYFUUDVHUSUUMYEUUCQ
          YCYTYDMWLWMWNYHWJZUUDVHUSWOWPWQWRWSWTXAXBYJXRXCVFZXSVEVFZYBXRXDUQVEVF
          UUOUUPXEUQXRXFXGUUPXTVEVFYBVBVBXHXIVBXHXJXKXLXSXTXMXNXOABULUMEFGHIJKL
          MYHOPQRSTUAUBUCUDUEUFUGUHUIUJUUNXPXQ $.
          $( [2-Dec-2007] $) $( [21-Aug-2007] $)
      $}

      ${
        ip1cnilem.16 $e |- H = { <. u , t >. | ( u e. X /\ t = ( ( ( i ^ k ) x.
              ( ( N ` ( u G ( ( i ^ k ) S A ) ) ) ^ 2 ) ) x. ( 1 / 4 ) ) ) } $.
        $( Lemma for ~ ip1cni . $)
        ip1cnilem5 $p |- ( k e. NN -> H e. ( J Cn K ) ) $=
          ( cv cn wcel ci cexp co c1 c4 cdiv cmul cfv c2 wceq wa copab ccn cc
          4re recn 4pos gt0ne0i reccl mul23t mp3an3 cn0 nnnn0t axicn expclt
          mpan syl adantr cr cnv nvgcl mp3an1 nvscl mp3an13 3syl sylan2 ancoms
          nvcl recnd sqclt sylanc eqeq2d pm5.32da opabbidv syl5eq eqid
          ip1cnilem4 eqeltrd ) KULZUMUNZNCULZRUNZDULZUOXCUPUQZURUSUTUQZVAUQXEXH
          EIUQZMUQZQVBZVCUPUQZVAUQZVDZVEZCDVFZOPVGUQXDXFXGXHXMVAUQXIVAUQZVDZVEZ
          CDVFXQNXDXTXPCDXDXFXSXOXDXFVEZXRXNXGXHVHUNZXMVHUNZXRXNVDZYAYBYCXIVHUN
          YDUSUSVIVJUSVIVKVLVMXHXMXIVNVOXDYBXFXDXCVPUNZYBXCVQZUOVHUNYEYBVRUOXCV
          SVTZWAWBYAXLVHUNYCYAXLYAXKRUNZXLWCUNZXFXDYHXFXJRUNZYHXDJWDUNZXFYJYHUG
          XEXJJMRSTWEWFXDYEYBYJYFYGYKYBERUNYJUGUHXHEIJRSUIWGWHWIWJWKYKYHYIUGXKJ
          QRSUJWLVTWAWMXLWNWAWOWPWQWRUKWSABCDEFGHIJKLMXQOPQRSTUAUBUCUDUEUFUGUHU
          IUJXQWTXAXB $.
          $( [2-Dec-2007] $) $( [21-Aug-2007] $)

        $( Lemma for ~ ip1cni . $)
        ip1cnilem6 $p |- F e. ( J Cn K ) $=
          ( c4 cn wcel ccn co 4nn cnv cme imsmet ax-mp imsbai ip1cnilem5 cv
          wceq wa copab c1 cfz cfv csu ci cexp c2 cmul cdiv cc wral axmulcl
          cn0 nnnn0t axicn expclt mpan syl adantl cr nvgcl mp3an1 nvscl
          mp3an13 sylan2 nvcl recnd sqclt sylanc elfznnt r19.21aiva cuz elnnuz
          mpbi fsumclt cc0 wne 4re recn 4pos gt0ne0i divrect mp3an23 ipval
          opreq1 fveq2d opreq1d opreq2d oprex fvopab4 sumeq2sdv reccl
          fsummulc2 mp3an12 eqtr4d 3eqtr4rd eqeq2d pm5.32i opabbii eqtr4
          fsumcn ) ULUMUNZLOPUOUPUNUQABFGKNLOPULRJURUNZFUSUNUGFJUBUTVAFJRSUBUGV
          BUCUDUEABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVCLAVDZRUNZBVDZYKEHU
          PZVEZVFZABVGYLYMVHULVIUPZYKNVJZKVKZVEZVFZABVGUFUUAYPABYLYTYOYLYSYNYMY
          LYQVLKVDZVMUPZYKUUCEIUPZMUPZQVJZVNVMUPZVOUPZKVKZULVPUPZUUIVHULVPUPZVO
          UPZYNYSYLUUIVQUNZUUJUULVEZYLUUHVQUNZKYQVRZUUMYLUUOKYQYLUUBUMUNZUUOUUB
          YQUNUUCVQUNZUUGVQUNZUUOYLUUQVFZUUCUUGVSUUQUURYLUUQUUBVTUNZUURUUBWAVLV
          QUNUVAUURWBVLUUBWCWDWEZWFUUTUUFVQUNUUSUUTUUFUUTUUERUNZUUFWGUNZYLUUDRU
          NZUVCUUQYJYLUVEUVCUGYKUUDJMRSTWHWIUUQUURUVEUVBYJUURERUNZUVEUGUHUUCEIJ
          RSUIWJWKWEWLYJUVCUVDUGUUEJQRSUJWMWDWEWNUUFWOWEWPUUBULWQWLWRZULVHWSVJU
          NZUUPUUMYIUVHUQULWTXAZUUHKVHULXBWDWEUUMULVQUNULXCXDUUNULXEXFZULXEXGXH
          ZUUIULXIXJWEYJYLUVFYNUUJVEUGUHYKEHIJKMQRSTUIUJUAXKWKYLYSYQUUHUUKVOUPZ
          KVKZUULYLYQYRUVLKCDYKUUCCVDZUUDMUPZQVJZVNVMUPZVOUPZUUKVOUPUVLRNUVNYKV
          EZUVRUUHUUKVOUVSUVQUUGUUCVOUVSUVPUUFVNVMUVSUVOUUEQUVNYKUUDMXLXMXNXOXN
          UKUUHUUKVOXPXQXRYLUUPUULUVMVEZUVGUVHUUKVQUNUUPUVTUVIULUVJUVKXSUUHUUKK
          VHULXTYAWEYBYCYDYEYFYGYHVA $.
          $( [2-Dec-2007] $) $( [21-Aug-2007] $)
      $}
    $}

    $( Inner product is continuous in its first operand. $)
    ip1cni $p |- F e. ( J Cn K ) $=
      ( vu vt vk cns cfv cv wcel ci cexp co cnm c2 cmul c1 c4 cdiv wceq wa
      copab eqid ip1cnilem6 ) ABUCUDCDEFGUFUGZGUEHIUCUHZLUIUDUHUJUEUHUKULZVEVFC
      VDULIULGUMUGZUGUNUKULUOULUPUQURULUOULUSUTUCUDVAZJKVGLMNOPQRSTUAUBVDVBVGVB
      VHVBVC $.
      $( [2-Dec-2007] $) $( [21-Aug-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c SubSp $.

  $( Extend class notation with the class of all subspaces of complex normed
     vector spaces. $)
  css $a class SubSp $.

  ${
    $d u s w $.
    $( Define the class of all subspaces of complex normed vector spaces. $)
    df-ssp $a |- SubSp = { <. u , s >. | ( u e. NrmCVec /\ s =
     { w e. NrmCVec | ( ( +v ` w ) (_ ( +v ` u ) /\ ( .s ` w ) (_ ( .s ` u )
         /\ ( norm ` w ) (_ ( norm ` u ) ) } ) } $.
  $}

  ${
    $d s u w G $.  $d s u w N $.  $d s u w S $.  $d s u w U $.
    sspval.g $e |- G = ( +v ` U ) $.
    sspval.s $e |- S = ( .s ` U ) $.
    sspval.n $e |- N = ( norm ` U ) $.
    sspval.h $e |- H = ( SubSp ` U ) $.
    $( The set of all subspaces of a normed complex vector space. $)
    sspval $p |- ( U e. NrmCVec -> H = { w e. NrmCVec | (
         ( +v ` w ) (_ G /\ ( .s ` w ) (_ S /\ ( norm ` w ) (_ N ) } ) $=
      ( vu vs cnv wcel css cfv cv cpv wss cns cnm w3a crab wceq fveq2 syl6eqr
      sseq2d 3anbi123d rabbisdv df-ssp cpw cxp cvv fvex eqeltr pwex xpex wa
      c1st c2nd cop eqid nmfval eqcomi nvop2 adantr vafval smfval nvvop eleq1i
      biimp ad2antrr adantl ad2antlr jca ad2antll sseq1d elpw 3anbi123i df-3an
      bitr3 syl6bb elrab elxp6 anbi1i anbi2i bitr 3imtr4 ssriv ssexi fvopab4
      syl5eq ) CMNCOPAQZRPZDSZWMTPZBSZWMUAPZFSZUBZAMUCZEKLCWNKQZRPZSZWPXBTPZSZW
      RXBUAPZSZUBZAMUCXAMOXBCUDZXIWTAMXJXDWOXFWQXHWSXJXCDWNXJXCCRPZDXBCRUEGUFUG
      XJXEBWPXJXECTPZBXBCTUEHUFUGXJXGFWRXJXGCUAPZFXBCUAUEIUFUGUHUIAKLUJXADUKZBU
      KZULZFUKZULZXPXQXNXODDXKUMGCRUNUOUPBBXLUMHCTUNUOUPUQFFXMUMICUAUNUOUPUQKXA
      XRXBMNZXCXNNZXEXONZURZXGXQNZURZURZXBXBUSPZXBUTPZVAUDZYFYFUSPZYFUTPZVAUDZY
      IXNNZYJXONZURZURZYGXQNZURZURZXBXANXBXRNZYEYHYQXSYHYDXBYGYFYFVBZXGYGXBXGXG
      VBVCZVDVEVFYEYOYPYEYKYNXSYKYDYJXBYIYFYTXCYIXBXCXCVBVGZVDXEYJXEXBXEVBVHZVD
      VIVFYEYLYMYDYLXSXTYLYAYCXTYLXCYIXNUUBVJVKVLVMYDYMXSYAYMXTYCYAYMXEYJXOUUCV
      JVKVNVMVOVOYCYPXSYBYCYPXGYGXQUUAVJVKVPVOVOWTYDAXBMWMXBUDZWTXCDSZXEBSZXGFS
      ZUBZYDUUDWOUUEWQUUFWSUUGUUDWNXCDWMXBRUEVQUUDWPXEBWMXBTUEVQUUDWRXGFWMXBUAU
      EVQUHUUHXTYAYCUBYDXTUUEYAUUFYCUUGXCDXBRUNVRXEBXBTUNVRXGFXBUAUNVRVSXTYAYCV
      TWAWBWCYSYHYFXPNZYPURZURYRXBXPXQWDUUJYQYHUUIYOYPYFXNXOWDWEWFWGWHWIWJWKJWL
      $.
      $( [31-Jan-2008] $) $( [26-Jan-2008] $)
  $}

  ${
    $d w F $.  $d w G $.  $d w M $.  $d w N $.  $d w R $.  $d w S $.  $d w U $.
    $d w W $.
    isssp.g $e |- G = ( +v ` U ) $.
    isssp.f $e |- F = ( +v ` W ) $.
    isssp.s $e |- S = ( .s ` U ) $.
    isssp.r $e |- R = ( .s ` W ) $.
    isssp.n $e |- N = ( norm ` U ) $.
    isssp.m $e |- M = ( norm ` W ) $.
    isssp.h $e |- H = ( SubSp ` U ) $.
    $( The predicate "is a subspace." $)
    isssp $p |- ( U e. NrmCVec -> ( W e. H <-> ( W e. NrmCVec /\ (
               F (_ G /\ R (_ S /\ M (_ N ) ) ) ) $=
      ( vw cnv wcel cv cpv cfv wss cns cnm w3a crab wa sspval eleq2d wceq
      fveq2 syl6eqr sseq1d 3anbi123d elrab syl6bb ) CRSZIFSIQTZUAUBZEUCZUSUDUBZ
      BUCZUSUEUBZHUCZUFZQRUGZSIRSDEUCZABUCZGHUCZUFZUHURFVGIQBCEFHJLNPUIUJVFVKQI
      RUSIUKZVAVHVCVIVEVJVLUTDEVLUTIUAUBDUSIUAULKUMUNVLVBABVLVBIUDUBAUSIUDULMUM
      UNVLVDGHVLVDIUEUBGUSIUEULOUMUNUOUPUQ $.
      $( [31-Jan-2008] $) $( [26-Jan-2008] $)
  $}

  ${
    sspid.h $e |- H = ( SubSp ` U ) $.
    $( A normed complex vector space is a subspace of itself. $)
    sspid $p |- ( U e. NrmCVec -> U e. H ) $=
      ( cnv wcel cpv cfv wss cns cnm w3a wa ssid 3pm3.2i jctr eqid isssp
      mpbird ) ADEZABESAFGZTHZAIGZUBHZAJGZUDHZKZLSUFUAUCUETMUBMUDMNOUBUBATTBUDU
      DATPZUGUBPZUHUDPZUICQR $.
      $( [5-May-2008] $) $( [8-Apr-2008] $)
  $}

  ${
    sspnv.h $e |- H = ( SubSp ` U ) $.
    $( A subspace is a normed complex vector space. $)
    sspnv $p |- ( ( U e. NrmCVec /\ W e. H ) -> W e. NrmCVec ) $=
      ( cnv wcel cpv cfv wss cns cnm w3a eqid isssp pm3.26bda ) AEFCBFCEFCGHZAG
      HZICJHZAJHZICKHZAKHZILRSAPQBTUACQMPMSMRMUAMTMDNO $.
      $( [1-Feb-2008] $) $( [27-Jan-2008] $)
  $}

  ${
    sspba.x $e |- X = ( Base ` U ) $.
    sspba.y $e |- Y = ( Base ` W ) $.
    sspba.h $e |- H = ( SubSp ` U ) $.
    $( The base set of a subspace is included in the parent base set. $)
    sspba $p |- ( ( U e. NrmCVec /\ W e. H ) -> Y (_ X ) $=
      ( cnv wcel wa cpv cfv crn wss cns cnm w3a eqid isssp pm3.27bda 3simp1
      rnss 3syl bafval 3sstr4g ) AIJZCBJZKZCLMZNZALMZNZEDUIUJULOZCPMZAPMZOZCQMZ
      AQMZOZRZUNUKUMOUGUHCIJVAUOUPAUJULBURUSCULSZUJSZUPSUOSUSSURSHTUAUNUQUTUBUJ
      ULUCUDCUJEGVCUEAULDFVBUEUF $.
      $( [31-Jan-2008] $) $( [27-Jan-2008] $)
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    sspg.y $e |- Y = ( Base ` W ) $.
    sspg.g $e |- G = ( +v ` U ) $.
    sspg.f $e |- F = ( +v ` W ) $.
    sspg.h $e |- H = ( SubSp ` U ) $.
    $( Vector addition on a subspace is a restriction of vector addition on the
       parent space. $)
    sspg $p |- ( ( U e. NrmCVec /\ W e. H ) -> F = ( G |` ( Y X. Y ) ) ) $=
      ( vx vy cnv wcel wa cxp cres wceq cv co wral wfun wfn wss w3a
      oprssoprval cba cfv wf eqid nvgf ffun funres 3syl adantr sspnv ffn syl
      fnresdm cns cnm isssp pm3.27bda 3simp1 ssres eqsstr3d 3jca sylan eqcomd
      ex r19.21aivv jctil wb eqfnoprval fnssres ssxp sspba sylanc mpbird ) AMNZ
      EDNZOZBCFFPZQZRZWCWCRZKSZLSZBTZWGWHWDTZRZLFUAKFUAZOZWBWLWFWBWKKLFFWBWGFNW
      HFNOZWKWBWNOWJWIWDUBZBWCUCZBWDUDZUEWNWJWIRWBWGWHFFWDBUFWBWOWPWQVTWOWAVTAU
      GUHZWRPZWRCUIZCUBWOACWRWRUJZHUKZWSWRCULWCCUMUNUOWBEMNZWCFBUIZWPADEJUPZEBF
      GIUKZWCFBUQZUNZWBBBWCQZWDWBXDWPXIBRWBXCXDXEXFURXGWCBUSUNWBBCUDZEUTUHZAUTU
      HZUDZEVAUHZAVAUHZUDZUEZXJXIWDUDVTWAXCXQXKXLABCDXNXOEHIXLUJXKUJXOUJXNUJJVB
      VCXJXMXPVDBCWCVEUNVFVGVHVIVJVKWCUJVLWPWDWCUCZWEWMVMWBKLFFFFBWDVNXHCWSUCZW
      CWSUDZXRWBWSWCCVOVTXSWAVTWTXSXBWSWRCUQURUOFWRUDZYAXTWBFWRFWRVPADEWRFXAGJV
      QZYBVRVRVRVS $.
      $( [1-Feb-2008] $) $( [28-Jan-2008] $)

    $( Vector addition on a subspace in terms of vector addition on the parent
       space. $)
    sspgval $p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y ) ) ->
                    ( A F B ) = ( A G B ) ) $=
      ( cnv wcel wa co cxp cres sspg opreqd oprvalres sylan9eq ) CMNGFNOZAHNBHN
      OABDPABEHHQRZPABEPUCDUDABCDEFGHIJKLSTABHHEUAUB $.
      $( [2-Feb-2008] $) $( [28-Jan-2008] $)
  $}

  ${
    $d x y R $.  $d x y S $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    ssps.y $e |- Y = ( Base ` W ) $.
    ssps.s $e |- S = ( .s ` U ) $.
    ssps.r $e |- R = ( .s ` W ) $.
    ssps.h $e |- H = ( SubSp ` U ) $.
    $( Scalar multiplication on a subspace is a restriction of scalar
       multiplication on the parent space. $)
    ssps $p |- ( ( U e. NrmCVec /\ W e. H ) -> R = ( S |` ( CC X. Y ) ) ) $=
      ( vx vy cnv wcel wa cc cxp cres wceq cv co wral wfun wfn wss w3a
      oprssoprval cba cfv wf eqid nvsf ffun funres 3syl adantr sspnv ffn syl
      fnresdm cpv cnm isssp pm3.27bda 3simp2 ssres eqsstr3d 3jca sylan eqcomd
      ex r19.21aivv jctil wb eqfnoprval fnssres ssxp ssid a1i sspba sylanc
      mpbird ) CMNZEDNZOZABPFQZRZSZWFWFSZKTZLTZAUAZWJWKWGUAZSZLFUBKPUBZOZWEWOWI
      WEWNKLPFWEWJPNWKFNOZWNWEWQOWMWLWGUCZAWFUDZAWGUEZUFWQWMWLSWEWJWKPFWGAUGWEW
      RWSWTWCWRWDWCPCUHUIZQZXABUJZBUCWRBCXAXAUKZHULZXBXABUMWFBUNUOUPWEEMNZWFFAU
      JZWSCDEJUQZAEFGIULZWFFAURZUOZWEAAWFRZWGWEXGWSXLASWEXFXGXHXIUSXJWFAUTUOWEE
      VAUIZCVAUIZUEZABUEZEVBUIZCVBUIZUEZUFZXPXLWGUEWCWDXFXTABCXMXNDXQXREXNUKXMU
      KHIXRUKXQUKJVCVDXOXPXSVEABWFVFUOVGVHVIVJVKVLWFUKVMWSWGWFUDZWHWPVNWEKLPFPF
      AWGVOXKBXBUDZWFXBUEZYAWEXBWFBVPWCYBWDWCXCYBXEXBXABURUSUPPPUEZFXAUEYCWEPPF
      XAVQYDWEPVRVSCDEXAFXDGJVTWAWAWAWB $.
      $( [5-Feb-2008] $) $( [28-Jan-2008] $)

    $( Scalar multiplication on a subspace in terms of scalar multiplication
       on the parent space. $)
    sspsval $p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. CC /\ B e. Y ) ) ->
                    ( A R B ) = ( A S B ) ) $=
      ( cnv wcel wa cc co cxp cres ssps opreqd oprvalres sylan9eq ) EMNGFNOZAPN
      BHNOABCQABDPHRSZQABDQUDCUEABCDEFGHIJKLTUAABPHDUBUC $.
      $( [6-Feb-2008] $) $( [28-Jan-2008] $)
  $}

  $( MAY BE REVISED - sspvallem doesn't save space yet, but might if another
     operation is added. $)
  $(
  @{
    @d x y F @.  @d x y G @.  @d x y H @.  @d x y U @.  @d x y W @.
    @d x y Y @.
    sspvallem.y @e |- Y = ( Base ` W ) @.
    sspvallem.h @e |- H = ( SubSp ` U ) @.
    @{
      sspvallem.1 @e |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y )
         ) -> R = S ) @.
      sspvallem.2 @e |- ( ( W e. NrmCVec /\ A e. Y /\ B e. Y ) -> P = R ) @.
      sspvallem.3 @e |- ( ( U e. NrmCVec /\ A e. ( Base ` U ) /\
          B e. ( Base ` U ) ) -> Q = S ) @.
      @( Lemma for ~ sspmval and others. @)
      sspvallem @p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y ) )
          -> P = Q ) @=
        ( cnv wcel wa wceq 3expb sspnv sylan cba cfv eqid sspba sseld anim12d
        imp adantlr syldan 3eqtr4d ) GPQZIHQZRZAJQZBJQZRZREFCDMIPQZURCESZUOUSUP
        UQUTNTGHILUAUBUOURAGUCUDZQZBVAQZRZDFSZUOURVDUOUPVBUQVCUOJVAAGHIVAJVAUEK
        LUFZUGUOJVABVFUGUHUIUMVDVEUNUMVBVCVEOTUJUKUL @.
        @( [?] @) @( [1-Feb-2008] @)
    @}

    @{
      sspmlem.1  @e |- ( ( ( U e. NrmCVec /\ W e. H ) /\ (
       x e. Y /\ y e. Y ) ) -> ( x F y ) = ( x G y ) ) @.
      sspmlem.2 @e |- ( W e. NrmCVec -> F : ( Y X. Y ) --> R ) @.
      sspmlem.3 @e |- ( U e. NrmCVec -> G : ( ( Base ` U ) X.
               ( Base ` U ) ) --> S ) @.
      @( Lemma for ~ sspm and others. @)
      sspmlem @p |- ( ( U e. NrmCVec /\ W e. H ) ->
            F = ( G |` ( Y X. Y ) ) ) @=
        ( cnv wcel wa cxp cres wceq cv co wral oprvalres adantl eqtr4d ex
        r19.21aivv eqid jctil wfn wb eqfnoprval wf sspnv ffn 3syl cba cfv wss
        fnssres syl adantr sspba ssxp anidms sylanc mpbird ) EPQZIHQZRZFGJJSZTZ
        UAZVMVMUAZAUBZBUBZFUCZVQVRVNUCZUAZBJUDAJUDZRZVLWBVPVLWAABJJVLVQJQVRJQRZ
        WAVLWDRVSVQVRGUCZVTMWDVTWEUAVLVQVRJJGUEUFUGUHUIVMUJUKFVMULZVNVMULZVOWCU
        MVLABJJJJFVNUNVLIPQVMCFUOWFEHILUPNVMCFUQURGEUSUTZWHSZULZVMWIVAZWGVLWIVM
        GVBVJWJVKVJWIDGUOWJOWIDGUQVCVDVLJWHVAZWKEHIWHJWHUJKLVEWLWKJWHJWHVFVGVCV
        HVHVI @.
        @( [?] @) @( [1-Feb-2008] @)
    @}
  @}
  $)

  ${
    $d x y F $.  $d x y G $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    sspmlem.y $e |- Y = ( Base ` W ) $.
    sspmlem.h $e |- H = ( SubSp ` U ) $.
    sspmlem.1  $e |- ( ( ( U e. NrmCVec /\ W e. H ) /\ (
             x e. Y /\ y e. Y ) ) -> ( x F y ) = ( x G y ) ) $.
    sspmlem.2 $e |- ( W e. NrmCVec -> F : ( Y X. Y ) --> R ) $.
    sspmlem.3 $e |- ( U e. NrmCVec -> G : ( ( Base ` U ) X.
             ( Base ` U ) ) --> S ) $.
    $( Lemma for ~ sspm and others. $)
    sspmlem $p |- ( ( U e. NrmCVec /\ W e. H ) -> F = ( G |` ( Y X. Y ) ) ) $=
      ( cnv wcel wa cxp cres wceq cv co wral oprvalres adantl eqtr4d ex
      r19.21aivv eqid jctil wfn wb eqfnoprval wf sspnv ffn 3syl cba cfv wss
      fnssres syl adantr sspba ssxp anidms sylanc mpbird ) EPQZIHQZRZFGJJSZTZUA
      ZVMVMUAZAUBZBUBZFUCZVQVRVNUCZUAZBJUDAJUDZRZVLWBVPVLWAABJJVLVQJQVRJQRZWAVL
      WDRVSVQVRGUCZVTMWDVTWEUAVLVQVRJJGUEUFUGUHUIVMUJUKFVMULZVNVMULZVOWCUMVLABJ
      JJJFVNUNVLIPQVMCFUOWFEHILUPNVMCFUQURGEUSUTZWHSZULZVMWIVAZWGVLWIVMGVBVJWJV
      KVJWIDGUOWJOWIDGUQVCVDVLJWHVAZWKEHIWHJWHUJKLVEWLWKJWHJWHVFVGVCVHVHVI $.
      $( [22-Feb-2008] $) $( [1-Feb-2008] $)
  $}

  ${
    $d x y L $.  $d x y M $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    sspm.y $e |- Y = ( Base ` W ) $.
    sspm.m $e |- M = ( -v ` U ) $.
    sspm.l $e |- L = ( -v ` W ) $.
    sspm.h $e |- H = ( SubSp ` U ) $.
    $( Vector addition on a subspace in terms of vector addition on the parent
       space. $)
    sspmval $p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y ) ) ->
                    ( A L B ) = ( A M B ) ) $=
      ( cnv wcel wa c1 cneg cns cfv co cpv wceq wi sspnv cc ax1cn negcl eqid
      nvscl mp3an2 ex syl anim2d imp sspgval syldan sspsval mpanr1 adantrl
      opreq2d eqtrd nvmval 3expb sylan cba sspba sseld anim12d adantlr 3eqtr4d
      ) CMNZGDNZOZAHNZBHNZOZOZAPQZBGRSZTZGUASZTZAVRBCRSZTZCUASZTZABETZABFTZVQWB
      AVTWETZWFVMVPVNVTHNZOZWBWIUBVMVPWKVMVOWJVNVMGMNZVOWJUCCDGLUDZWLVOWJWLVRUE
      NZVOWJPUFUGZVRBVSGHIVSUHZUIUJUKULUMUNAVTCWAWEDGHIWEUHZWAUHZLUOUPVQVTWDAWE
      VMVOVTWDUBZVNVMWNVOWSWOVRBVSWCCDGHIWCUHZWPLUQURUSUTVAWLVPWGWBUBZVMWLVNVOX
      AABVSGWAEHIWRWPKVBVCWMVDVMVPACVESZNZBXBNZOZWHWFUBZVMVPXEVMVNXCVOXDVMHXBAC
      DGXBHXBUHZILVFZVGVMHXBBXHVGVHUNVKXEXFVLVKXCXDXFABWCCWEFXBXGWQWTJVBVCVIUPV
      J $.
      $( [10-Feb-2008] $) $( [28-Jan-2008] $)

    $( Vector subtraction on a subspace is a restriction of vector subtraction
       on the parent space. $)
    sspm $p |- ( ( U e. NrmCVec /\ W e. H ) -> L = ( M |` ( Y X. Y ) ) ) $=
      ( vx vy cba cfv cv sspmval nvmf eqid sspmlem ) KLFAMNZACDBEFGJKOLOABCDEFG
      HIJPECFGIQADTTRHQS $.
      $( [29-Mar-2008] $) $( [28-Jan-2008] $)
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    sspz.z $e |- Z = ( 0v ` U ) $.
    sspz.q $e |- Q = ( 0v ` W ) $.
    sspz.h $e |- H = ( SubSp ` U ) $.
    $( The zero vector of a subspace is the same as the parent's. $)
    sspz $p |- ( ( U e. NrmCVec /\ W e. H ) -> Q = Z ) $=
      ( cnv wcel wa cnsb cfv co cba wceq sspnv eqid nvzcl jca syl sspmval
      mpdan nvmid sylanc sspba sseldd syldan 3eqtr3d ) BIJZDCJZKZAADLMZNZAABLMZ
      NZAEULADOMZJZURKZUNUPPULDIJZUSBCDHQZUTURURDUQAUQRZGSZVCTUAAABCUMUODUQVBUO
      RZUMRZHUBUCUTURUNAPULADUMUQAVBVEGUDVAULUTURVAVCUAZUEUJUKABOMZJUPEPULUQVGA
      BCDVGUQVGRZVBHUFVFUGABUOVGEVHVDFUDUHUI $.
      $( [24-Feb-2008] $) $( [28-Jan-2008] $)
  $}

  ${
    $d x H $.  $d x M $.  $d x N $.  $d x U $.  $d x W $.  $d x Y $.
    sspn.y $e |- Y = ( Base ` W ) $.
    sspn.n $e |- N = ( norm ` U ) $.
    sspn.m $e |- M = ( norm ` W ) $.
    sspn.h $e |- H = ( SubSp ` U ) $.
    $( The norm on a subspace is a restriction of the norm on the parent
       space. $)
    sspn $p |- ( ( U e. NrmCVec /\ W e. H ) -> M = ( N |` Y ) ) $=
      ( vx cnv wcel wa cres wceq cv cfv wral wfun wss cdm funssfv cba cr wf
      eqid nvf ffun funres 3syl ad2antrr wfn sspnv syl ffn fnresdm cpv cns w3a
      isssp pm3.27bda 3simp3 ssres eqsstr3d adantr fdm eleq2d biimpar sylan
      syl3anc eqcomd r19.21aiva jctil wb eqfnfv fnssres sspba sylanc mpbird )
      ALMZEBMZNZCDFOZPZFFPZKQZCRZWGWDRZPZKFSZNZWCWKWFWCWJKFWCWGFMZNZWIWHWDTZCWD
      UAZWGCUBZMZWIWHPWNWGWDCUCWAWOWBWMWAAUDRZUEDUFZDTWOADWSWSUGZHUHZWSUEDUIFDU
      JUKULWCWPWMWCCCFOZWDWCFUECUFZCFUMZXCCPWCELMZXDABEJUNZECFGIUHZUOFUECUPZFCU
      QUKWCEURRZAURRZUAZEUSRZAUSRZUAZCDUAZUTZXPXCWDUAWAWBXFXQXMXNAXJXKBCDEXKUGX
      JUGXNUGXMUGHIJVAVBXLXOXPVCCDFVDUKVEVFXFWMWRWCXFWRWMXFWQFWGXFXDWQFPXHFUECV
      GUOVHVIXGVJVKVLVMFUGVNXEWDFUMZWEWLVOWCKFFCWDVPWCXFXDXEXGXHXIUKDWSUMZFWSUA
      XRWCWSFDVQWAXSWBWAWTXSXBWSUEDUPUOVFABEWSFXAGJVRVSVSVT $.
      $( [7-Feb-2008] $) $( [28-Jan-2008] $)

    $( The norm on a subspace in terms of the norm on the parent space. $)
    sspnval $p |- ( ( U e. NrmCVec /\ W e. H /\ A e. Y ) ->
                    ( M ` A ) = ( N ` A ) ) $=
      ( cnv wcel cfv wceq wa cres sspn fveq1d fvres sylan9eq 3impa ) BLMZFCMZAG
      MZADNZAENZOUCUDPZUEUFAEGQZNUGUHADUIBCDEFGHIJKRSAGETUAUB $.
      $( [8-Feb-2008] $) $( [28-Jan-2008] $)
  $}


  ${
    $d k A $.  $d k B $.  $d k x y H $.  $d x y P $.  $d x y Q $.
    $d k x y U $.  $d k x y W $.  $d k x y Y $.
    sspi.y $e |- Y = ( Base ` W ) $.
    sspi.p $e |- P = ( .i ` U ) $.
    sspi.q $e |- Q = ( .i ` W ) $.
    sspi.h $e |- H = ( SubSp ` U ) $.
    $( The inner product on a subspace in terms of the inner product on the
       parent space. $)
    sspival $p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y ) ) ->
                    ( A Q B ) = ( A P B ) ) $=
      ( vk cnv wcel wa c1 c4 cfz co ci cv cexp cns cfv cpv cnm c2 cmul csu
      cdiv wceq cc eqid nvscl 3expib anim2d imp nvgcl 3expb syldan sspnv sylan
      sspnval 3expa wi syl sspgval sspsval adantrl opreq2d eqtrd fveq2d cn cn0
      elfznnt nnnn0t axicn expclt mpan 3syl anim1i anim2i anassrs an1rs sylan2
      opreq1d sumeq2dv ipval cba sspba sseld anim12d adantlr 3eqtr4d ) ENOZGFOZ
      PZAHOZBHOZPZPZQRSTZUAMUBZUCTZAXEBGUDUEZTZGUFUEZTZGUGUEZUEZUHUCTZUITZMUJZR
      UKTZXCXEAXEBEUDUEZTZEUFUEZTZEUGUEZUEZUHUCTZUITZMUJZRUKTZABDTZABCTZXBXNYDR
      UKXBXCXMYCMXBXDXCOZPZXLYBXEUIYIXKYAUHUCWRXAYHXKYAULZWRWSXEUMOZWTPZPZYJXAY
      HPWRYMPZXKXIXTUEZYAWRYMXIHOZXKYOULZGNOZYMYPWRYRYMWSXGHOZPZYPYRYMYTYRYLYSW
      SYRYKWTYSXEBXFGHIXFUNZUOUPZUQURYRWSYSYPAXGGXHHIXHUNZUSUTVAEFGLVBZVCWPWQYP
      YQXIEFXJXTGHIXTUNZXJUNZLVDVEVAYNXIXSXTYNXIAXGXRTZXSWRYMYTXIUUGULWRYMYTWRY
      LYSWSWRYRYLYSVFUUDUUBVGUQURAXGEXHXRFGHIXRUNZUUCLVHVAYNXGXQAXRWRYLXGXQULWS
      XEBXFXPEFGHIXPUNZUUALVIVJVKVLVMVLWSYHWTYMWSYHWTYMYHWTPYLWSYHYKWTYHXDVNOXD
      VOOZYKXDRVPXDVQUAUMOUUJYKVRUAXDVSVTWAWBWCWDWEWFWDWGVKWHWGYRXAYFXOULZWRYRW
      SWTUUKABDXFGMXHXJHIUUCUUAUUFKWIUTUUDVCWRXAAEWJUEZOZBUULOZPZYGYEULZWRXAUUO
      WRWSUUMWTUUNWRHUULAEFGUULHUULUNZILWKZWLWRHUULBUURWLWMURWPUUOUUPWQWPUUMUUN
      UUPABCXPEMXRXTUULUUQUUHUUIUUEJWIUTWNVAWO $.
      $( [15-Feb-2008] $) $( [28-Jan-2008] $)

    $( The inner product on a subspace is a restriction of the inner product on
       the parent space. $)
    sspi $p |- ( ( U e. NrmCVec /\ W e. H ) -> Q = ( P |` ( Y X. Y ) ) ) $=
      ( vx vy cc cv sspival ipf cba cfv eqid sspmlem ) KLMMCBADEFGJKNLNABCDEFGH
      IJOBEFGIPACCQRZUASHPT $.
      $( [23-Feb-2008] $) $( [28-Jan-2008] $)
  $}

  ${
    sspims.y $e |- Y = ( Base ` W ) $.
    sspims.d $e |- D = ( IndMet ` U ) $.
    sspims.c $e |- C = ( IndMet ` W ) $.
    sspims.h $e |- H = ( SubSp ` U ) $.
    $d x y C $.  $d x y D $.  $d x y H $.  $d x y U $.  $d x y W $.
    $d x y Y $.
    $( The induced metric on a subspace in terms of the induced metric on the
       parent space. $)
    sspimsval $p |- ( ( ( U e. NrmCVec /\ W e. H ) /\ ( A e. Y /\ B e. Y ) ) ->
                    ( A C B ) = ( A D B ) ) $=
      ( cnv wcel wa cnsb cfv co cnm wceq eqid nvmcl 3expb sspnv sylan sspnval
      3expa syldan sspmval fveq2d eqtrd imsdval cba sspba sseld anim12d imp
      adantlr 3eqtr4d ) EMNZGFNZOZAHNZBHNZOZOZABGPQZRZGSQZQZABEPQZRZESQZQZABCRZ
      ABDRZVFVJVHVMQZVNVBVEVHHNZVJVQTZGMNZVEVRVBVTVCVDVRABGVGHIVGUAZUBUCEFGLUDZ
      UEUTVAVRVSVHEFVIVMGHIVMUAZVIUAZLUFUGUHVFVHVLVMABEFVGVKGHIVKUAZWALUIUJUKVT
      VEVOVJTZVBVTVCVDWFABCGVGVIHIWAWDKULUCWBUEVBVEAEUMQZNZBWGNZOZVPVNTZVBVEWJV
      BVCWHVDWIVBHWGAEFGWGHWGUAZILUNZUOVBHWGBWMUOUPUQUTWJWKVAUTWHWIWKABDEVKVMWG
      WLWEWCJULUCURUHUS $.
      $( [4-Mar-2008] $) $( [1-Feb-2008] $)

    $( The induced metric on a subspace is a restriction of the induced metric
       on the parent space. $)
    sspims $p |- ( ( U e. NrmCVec /\ W e. H ) -> C = ( D |` ( Y X. Y ) ) ) $=
      ( vx vy cr cv sspimsval imsdf cba cfv eqid sspmlem ) KLMMCABDEFGJKNLNABCD
      EFGHIJOAEFGIPBCCQRZUASHPT $.
      $( [22-Mar-2008] $) $( [1-Feb-2008] $)
  $}

  $( Define the class of all complete subspaces of a complex normed vector
     space. $)
  $(
  $c CSubSp $.
  ccs $a class SubSp $.
  df-cs $a |- CSubSp = { <. u , s >. | ( u e. NrmCVec /\ s =
       ( ( SubSp ` u ) |^| CBan ) ) } $.
  $)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                     Operators on complex vector spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Definitions and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c LnOp $.
  $c normOp $.
  $c BLnOp $.
  $c 0op $.

  $( Extend class notation with the class of linear operators on normed complex
     vector spaces. $)
  clno $a class LnOp $.

  $( Extend class notation with the class of operator norms on normed complex
     vector spaces. $)
  cnmo $a class normOp $.

  $( Extend class notation with the class of bounded linear operators on
     normed complex vector spaces. $)
  cblo $a class BLnOp $.

  $( Extend class notation with the class of zero operators on normed complex
     vector spaces. $)
  c0o $a class 0op $.

  ${
    $d n o t u w x y z $.
    $( Define the class of linear operators between two normed complex vector
       spaces.  In the literature, an operator may be a partial function, i.e.
       the domain of an operator is not necessarily the entire vector space.
       However, since the domain of a linear operator is a vector subspace, we
       define it with a complete function for convenience and will use subset
       relations to specify the partial function case. $)
    df-lno $a |- LnOp = { <. <. u , w >. , o >. | ( ( u e. NrmCVec /\
      w e. NrmCVec ) /\ o = { t | ( t : ( Base ` u ) --> ( Base ` w ) /\
       A. x e. ( Base ` u ) A. y e. CC A. z e. ( Base ` u )
      ( t ` ( x ( +v ` u ) ( y ( .s ` u ) z ) ) ) =
         ( ( t ` x ) ( +v ` w ) ( y ( .s ` w ) ( t ` z ) ) ) ) } ) } $.

    $( Define the norm of an operator between two normed complex vector
       spaces.  This definition produces an operator norm function for each
       pair of vector spaces ` <. u , w >. ` .  Based on definition of linear
       operator norm in [AkhiezerGlazman] p. 39, although we define it for
       all operators for convenience.  It isn't necessarily meaningful for
       nonlinear operators, since it doesn't take into account operator values
       at vectors with norm greater than 1.  See Equation 2 of [Kreyszig] p. 92
       for a definition that does (although it ignores the value at the zero
       vector).  However, operator norms are rarely if ever used for nonlinear
       operators. $)
    df-nmo $a |- normOp = { <. <. u , w >. , n >. | ( ( u e. NrmCVec /\
      w e. NrmCVec ) /\ n = { <. t , y >. | ( t : ( Base ` u ) --> ( Base ` w )
         /\ y = sup ( { x | E. z e. ( Base ` u ) ( ( ( norm ` u ) ` z ) <_ 1
          /\ x = ( ( norm ` w ) ` ( t ` z ) ) ) } , RR* , < ) ) } ) } $.

    $( Define the class of bounded linear operators between two normed complex
       vector spaces. $)
    df-blo $a |- BLnOp = { <. <. u , w >. , o >. | ( ( u e. NrmCVec /\
      w e. NrmCVec ) /\ o = { t e. ( u LnOp w ) | ( ( u normOp w ) ` t )
        < +oo } ) } $.

    $( Define the zero operator between two normed complex vector spaces. $)
    df-0o $a |- 0op = { <. <. u , w >. , o >. | ( ( u e. NrmCVec /\
      w e. NrmCVec ) /\ o = ( ( Base ` u ) X. { ( 0v ` w ) } ) ) } $.


  $}

  $c adj $.
  caj $a class adj $.

  $c HmOp $.
  chmo $a class HmOp $.

  ${
    $d a o s t u w x y $.
    $( Define the adjoint of an operator (if it exists).  The domain of
       ` U adj W ` is the set of all operators from ` U ` to ` W ` that have an
       adjoint.  Definition 3.9-1 of [Kreyszig] p. 196, although we don't
       require that ` U ` and ` W ` be Hilbert spaces nor that the operators be
       linear.  Although we define it for any normed vector space for
       convenience, the definition is meaningful only for inner product
       spaces. $)
    df-aj $a |- adj = { <. <. u , w >. , a >. | ( ( u e. NrmCVec /\
  w e. NrmCVec ) /\ a = { <. t , s >. | ( t : ( Base ` u ) --> ( Base ` w )
  /\ s : ( Base ` w ) --> ( Base ` u ) /\ A. x e. ( Base ` u ) A. y e. ( Base
      ` w ) ( ( t ` x ) ( .i ` w ) y ) = ( x ( .i ` u ) ( s ` y ) ) ) } ) } $.

    $( Define the set of Hermitian (self-adjoint) operators on a normed
       complex vector space (normally a Hilbert space).  Although we define it
       for any normed vector space for convenience, the definition is
       meaningful only for inner product spaces. $)
    df-hmo $a |- HmOp = { <. u , o >. | ( u e. NrmCVec /\ o = { t e.
        dom ( u adj u ) | ( ( u adj u ) ` t ) = t } ) } $.
  $}

  ${
    $d u v w A $.  $d v w B $.  $d w C $.
    $d o t u v w G $.  $d o t u v w H $.  $d o t u v w R $.  $d o t u v w S $.
    $d t u v w x y z T $.  $d o t u v w x y z U $.  $d o t u v w x y z W $.
    $d o t u v w x y z X $.  $d o t w Y $.
    lnoval.1 $e |- X = ( Base ` U ) $.
    lnoval.2 $e |- Y = ( Base ` W ) $.
    lnoval.3 $e |- G = ( +v ` U ) $.
    lnoval.4 $e |- H = ( +v ` W ) $.
    lnoval.5 $e |- R = ( .s ` U ) $.
    lnoval.6 $e |- S = ( .s ` W ) $.
    lnoval.7 $e |- L = ( U LnOp W ) $.
    $( The set of linear operators between two normed complex vector
       spaces. $)
    lnoval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> L =
      { t  | ( t : X --> Y /\ A. x e. X A. y e. CC A. z e. X
      ( t ` ( x G ( y R z ) ) ) = ( ( t ` x ) H ( y S ( t ` z ) ) ) ) } ) $=
      ( vu vw vo cnv wcel wa clno co cv wf cfv wceq wral cc cab cba cns cpv
      cvv fvex eqeltr eqid fabex wb fveq2 syl6eqr feq2 syl opreqd opreq2d
      eqtrd fveq2d eqeq1d raleq12d ralbidv anbi12d abbidv feq3 eqeq2d 2ralbidv
      df-lno oprabval2 syl5eq ) GUDUEKUDUEUFGKUGUHLMDUIZUJZAUIZBUIZCUIZEUHZHUHZ
      WDUKZWFWDUKZWGWHWDUKZFUHZIUHZULZCLUMZBUNUMALUMZUFZDUOZJUAUBUCGKUDUDUAUIZU
      PUKZUBUIZUPUKZWDUJZWFWGWHXAUQUKZUHZXAURUKZUHZWDUKZWLWGWMXCUQUKZUHZXCURUKZ
      UHZULZCXBUMZBUNUMZAXBUMZUFZDUOWTUGLXDWDUJZWKXNULZCLUMZBUNUMZALUMZUFZDUOWR
      DLMWTLGUPUKZUSNGUPUTVAMKUPUKZUSOKUPUTVAWTVBVCXAGULZXSYEDYHXEXTXRYDYHXBLUL
      XEXTVDYHXBYFLXAGUPVENVFZXBLXDWDVGVHYHXQYCAXBLYIYHXPYBBUNYHXOYACXBLYIYHXJW
      KXNYHXIWJWDYHXIWFWIXHUHWJYHXGWIWFXHYHXFEWGWHYHXFGUQUKEXAGUQVERVFVIVJYHXHH
      WFWIYHXHGURUKHXAGURVEPVFVIVKVLVMVNVOVNVPVQXCKULZYEWSDYJXTWEYDWRYJXDMULXTW
      EVDYJXDYGMXCKUPVEOVFXDMLWDVRVHYJYBWQABLUNYJYAWPCLYJXNWOWKYJXNWLWNXMUHWOYJ
      XLWNWLXMYJXKFWGWMYJXKKUQUKFXCKUQVESVFVIVJYJXMIWLWNYJXMKURUKIXCKURVEQVFVIV
      KVSVOVTVPVQABCUBUADUCWAWBTWC $.
      $( [28-Nov-2007] $) $( [6-Nov-2007] $)

    $( The predicate "is a linear operator." $)
    islno $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> ( T e. L <->
      ( T : X --> Y /\ A. x e. X A. y e. CC A. z e. X
      ( T ` ( x G ( y R z ) ) ) = ( ( T ` x ) H ( y S ( T ` z ) ) ) ) ) ) $=
      ( vt cnv wcel wa cv wf co cfv wceq wral cc cab lnoval eleq2d cvv cba
      fvex eqeltr fex mpan2 adantr feq1 fveq1 opreq2d opreq12d eqeq12d ralbidv
      2ralbidv anbi12d elab3 syl6bb ) GUBUCKUBUCUDZFJUCFLMUAUEZUFZAUEZBUEZCUEZD
      UGHUGZVMUHZVOVMUHZVPVQVMUHZEUGZIUGZUIZCLUJZBUKUJALUJZUDZUAULZUCLMFUFZVRFU
      HZVOFUHZVPVQFUHZEUGZIUGZUIZCLUJZBUKUJALUJZUDZVLJWHFABCUADEGHIJKLMNOPQRSTU
      MUNWGWRUAFWIFUOUCZWQWILUOUCWSLGUPUHUONGUPUQURLMUOFUSUTVAVMFUIZVNWIWFWQLMV
      MFVBWTWEWPABLUKWTWDWOCLWTVSWJWCWNVRVMFVCWTVTWKWBWMIVOVMFVCWTWAWLVPEVQVMFV
      CVDVEVFVGVHVIVJVK $.
      $( [10-Dec-2007] $) $( [4-Dec-2007] $)

    $( Basic linearity property of a linear operator. $)
    lnolin $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\
       ( A e. X /\ B e. CC /\ C e. X ) ) ->
      ( T ` ( A G ( B R C ) ) ) = ( ( T ` A ) H ( B S ( T ` C ) ) ) ) $=
      ( vu vv vw wcel cc w3a cnv co cfv wceq cv wral opreq1 fveq2d fveq2
      opreq1d eqeq12d opreq2d opreq2 rcla43v wa wf islno pm3.27bda 3impa syl5
      impcom ) ALUDBUEUDCLUDUFZGUGUDZKUGUDZFJUDZUFZABCDUHZHUHZFUIZAFUIZBCFUIZEU
      HZIUHZUJZVHUAUKZUBUKZUCUKZDUHZHUHZFUIZWAFUIZWBWCFUIZEUHZIUHZUJZUCLULUBUEU
      LUALULZVTVLWKVTAWDHUHZFUIZVPWIIUHZUJABWCDUHZHUHZFUIZVPBWHEUHZIUHZUJUAUBUC
      ABCLUELWAAUJZWFWNWJWOXAWEWMFWAAWDHUMUNXAWGVPWIIWAAFUOUPUQWBBUJZWNWRWOWTXB
      WMWQFXBWDWPAHWBBWCDUMURUNXBWIWSVPIWBBWHEUMURUQWCCUJZWRVOWTVSXCWQVNFXCWPVM
      AHWCCBDUSURUNXCWSVRVPIXCWHVQBEWCCFUOURURUQUTVIVJVKWLVIVJVAVKLMFVBWLUAUBUC
      DEFGHIJKLMNOPQRSTVCVDVEVFVG $.
      $( [12-Dec-2007] $) $( [4-Dec-2007] $)
  $}

  ${
    $d x y z T $.  $d x y z U $.  $d x y z W $.  $d x y z X $.
    lnof.1 $e |- X = ( Base ` U ) $.
    lnof.2 $e |- Y = ( Base ` W ) $.
    lnof.7 $e |- L = ( U LnOp W ) $.
    $( A linear operator is a mapping. $)
    lnof $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) -> T : X --> Y ) $=
      ( vx vy vz cnv wcel wf wa cv cns cfv co cpv wceq wral cc eqid islno
      pm3.26bda 3impa ) BMNZDMNZACNZEFAOZUIUJPUKULJQZKQZLQZBRSZTBUASZTASUMASUNU
      OASDRSZTDUASZTUBLEUCKUDUCJEUCJKLUPURABUQUSCDEFGHUQUEUSUEUPUEURUEIUFUGUH
      $.
      $( [11-Dec-2007] $) $( [4-Dec-2007] $)
  $}

  ${
    lno0.1 $e |- X = ( Base ` U ) $.
    lno0.2 $e |- Y = ( Base ` W ) $.
    lno0.5 $e |- Q = ( 0v ` U ) $.
    lno0.z $e |- Z = ( 0v ` W ) $.
    lno0.7 $e |- L = ( U LnOp W ) $.
    $( The value of a linear operator at zero is zero. $)
    lno0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L )
         -> ( T ` Q ) = Z ) $=
      ( cnv wcel w3a c1 cneg cns cfv co cpv cc wceq nvzcl ax1cn negcl a1i 3jca
      3ad2ant1 eqid lnolin mpdan nvsz mpan2 opreq2d nv0rid eqtrd fveq2d nvrinv
      3simp2 wf ffvelrn lnof sylanc 3eqtr3d ) CNOZENOZBDOZPZAQRZACSTZUAZCUBTZUA
      ZBTZABTZVKVQESTZUAEUBTZUAZVQHVJAFOZVKUCOZWAPZVPVTUDVGVHWCVIVGWAWBWACFAIKU
      EZWBVGQUFUGZUHWDUIUJAVKAVLVRBCVNVSDEFGIJVNUKZVSUKZVLUKZVRUKZMULUMVGVHVPVQ
      UDVIVGVOABVGVOAAVNUAZAVGVMAAVNVGWBVMAUDWEVKVLCAWHKUNUOUPVGWAWJAUDWDACVNFA
      IWFKUQUMURUSUJVHVQGOZVTHUDVJVQVREVSGHJWGWILUTVGVHVIVAFGBVBWAWKVJFGABVCBCD
      EFGIJMVDVGVHWAVIWDUJVEVEVF $.
      $( [13-Dec-2007] $) $( [4-Dec-2007] $)
  $}

  ${
    $d x y z S $.  $d x y z T $.  $d x y z U $.  $d x y z X $.
    lnocoi.l $e |- L = ( U LnOp W ) $.
    lnocoi.m $e |- M = ( W LnOp X ) $.
    lnocoi.n $e |- N = ( U LnOp X ) $.
    lnocoi.u $e |- U e. NrmCVec $.
    lnocoi.w $e |- W e. NrmCVec $.
    lnocoi.x $e |- X e. NrmCVec $.
    lnocoi.s $e |- S e. L $.
    lnocoi.t $e |- T e. M $.
    $( The composition of two linear operators is linear. $)
    lnocoi $p |- ( T o. S ) e. N $=
      ( vx vy vz ccom wcel cba cfv wf cv cns co cpv wceq wral cc cnv wa wb
      eqid islno mp2an lnof mp3an fco w3a nvgcl mp3an1 nvscl sylan2 3impb wfun
      ffun ax-mp fvco3 mp3an12 syl 3pm3.2i lnolin mpan fveq2d ffvelrni id
      syl3an 3eqtrd opreq2d adantl opreqan12d eqtr4d rgen3 mpbir2an ) BATZFUAZC
      UBUCZHUBUCZWGUDZQUEZRUEZSUEZCUFUCZUGZCUHUCZUGZWGUCZWLWGUCZWMWNWGUCZHUFUCZ
      UGZHUHUCZUGZUIZSWIUJRUKUJQWIUJZCULUAZHULUAZWHWKXGUMUNLNQRSWOXBWGCWQXDFHWI
      WJWIUOZWJUOZWQUOZXDUOZWOUOZXBUOZKUPUQGUBUCZWJBUDZWIXPAUDZWKGULUAZXIBEUAZX
      QMNPBGEHXPWJXPUOZXKJURUSZXHXSADUAZXRLMOACDGWIXPXJYAIURUSZWIXPWJBAUTUQXFQR
      SWIUKWIWLWIUAZWMUKUAZWNWIUAZVAZWSWLAUCZBUCZWMWNAUCZBUCZXBUGZXDUGZXEYHWSWR
      AUCZBUCZYIWMYKGUFUCZUGGUHUCZUGZBUCZYNYHWRWIUAZWSYPUIZYEYFYGUUAYEWPWIUAZUU
      AYFYGUMZXHYEUUCUUALWLWPCWQWIXJXLVBVCXHYFYGUUCLWMWNWOCWIXJXNVDVCVEVFBVGZXR
      UUAUUBXQUUEYBXPWJBVHVIZYDWIXPWRBAVJVKVLYHYOYSBXHXSYCVAYHYOYSUIXHXSYCLMOVM
      WLWMWNWOYQACWQYRDGWIXPXJYAXLYRUOZXNYQUOZIVNVOVPYIXPUAZYFYKXPUAZYTYNUIZYEY
      FYGXSXIXTVAUUIYFUUJVAUUKXSXIXTMNPVMYIWMYKYQXBBGYRXDEHXPWJYAXKUUGXMUUHXOJV
      NVOWIXPWLAYDVQYFVRWIXPWNAYDVQVSVTYEYFYGXEYNUIYEUUDWTYJXCYMXDUUEXRYEWTYJUI
      UUFYDWIXPWLBAVJVKYGXCYMUIYFYGXAYLWMXBUUEXRYGXAYLUIUUFYDWIXPWNBAVJVKWAWBWC
      VFWDWEWF $.
      $( [23-Apr-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    lnoadd.1 $e |- X = ( Base ` U ) $.
    lnoadd.5 $e |- G = ( +v ` U ) $.
    lnoadd.6 $e |- H = ( +v ` W ) $.
    lnoadd.7 $e |- L = ( U LnOp W ) $.
    $( Addition property of a linear operator. $)
    lnoadd $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\
  ( A e. X /\ B e. X ) ) -> ( T ` ( A G B ) ) = ( ( T ` A ) H ( T ` B ) ) ) $=
      ( cnv wcel w3a wa c1 cns cfv co cc wceq ax1cn cba eqid lnolin mp3anr2
      nvsid adantrl 3ad2antl1 opreq2d fveq2d wf ffvelrn lnof sylan 3ad2antl2
      syldan 3eqtr3d ) DNOZHNOZCGOZPZAIOZBIOZQZQZARBDSTZUAZEUAZCTZACTZRBCTZHSTZ
      UAZFUAZABEUAZCTVMVNFUAVDVERUBOVFVLVQUCUDARBVIVOCDEFGHIHUETZJVSUFZKLVIUFZV
      OUFZMUGUHVHVKVRCVHVJBAEVAVBVGVJBUCZVCVAVFWCVEBVIDIJWAUIUJUKULUMVHVPVNVMFV
      DVFVPVNUCZVEVDVFVNVSOZWDIVSCUNVFWEVDIVSBCUOCDGHIVSJVTMUPUQVBVAWEWDVCVNVOH
      VSVTWBUIURUSUJULUT $.
      $( [2-Aug-2008] $) $( [7-Dec-2007] $)
  $}

  ${
    lnosub.1 $e |- X = ( Base ` U ) $.
    lnosub.5 $e |- M = ( -v ` U ) $.
    lnosub.6 $e |- N = ( -v ` W ) $.
    lnosub.7 $e |- L = ( U LnOp W ) $.
    $( Subtraction property of a linear operator. $)
    lnosub $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\
  ( A e. X /\ B e. X ) ) -> ( T ` ( A M B ) ) = ( ( T ` A ) N ( T ` B ) ) ) $=
      ( cnv wcel w3a wa c1 cneg cns cfv co cpv cc wceq ax1cn negcl cba eqid
      lnolin mp3anr2 nvmval 3expb fveq2d 3ad2antl1 wf ffvelrn anim12i anandis
      lnof sylan 3ad2antl2 syldan 3eqtr4d ) DNOZHNOZCEOZPZAIOZBIOZQZQARSZBDTUAZ
      UBDUCUAZUBZCUAZACUAZVLBCUAZHTUAZUBHUCUAZUBZABFUBZCUAZVQVRGUBZVHVIVLUDOVJV
      PWAUERUFUGAVLBVMVSCDVNVTEHIHUHUAZJWEUIZVNUIZVTUIZVMUIZVSUIZMUJUKVEVFVKWCV
      PUEVGVEVKQWBVOCVEVIVJWBVOUEABVMDVNFIJWGWIKULUMUNUOVHVKVQWEOZVRWEOZQZWDWAU
      EZIWECUPZVKWMVHWOVIVJWMWOVIQWKWOVJQWLIWEACUQIWEBCUQURUSCDEHIWEJWFMUTVAVFV
      EWMWNVGVFWKWLWNVQVRVSHVTGWEWFWHWJLULUMVBVCVD $.
      $( [31-Dec-2007] $) $( [7-Dec-2007] $)
  $}

  ${
    lnomul.1 $e |- X = ( Base ` U ) $.
    lnomul.5 $e |- R = ( .s ` U ) $.
    lnomul.6 $e |- S = ( .s ` W ) $.
    lnomul.7 $e |- L = ( U LnOp W ) $.
    $( Scalar multiplication property of a linear operator. $)
    lnomul $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\
       ( A e. CC /\ B e. X ) ) -> ( T ` ( A R B ) ) = ( A S ( T ` B ) ) ) $=
      ( cnv wcel w3a cc wa cn0v cfv co cpv wceq eqid nvzcl adantr simprl
      simprr 3jca 3ad2antl1 cba lnolin syldan nvscl 3expb nv0lid fveq2d lno0
      opreq1d 3simp2 wf ffvelrn lnof sylan adantrl syl3anc sylanc eqtrd
      3eqtr3d ) FNOZHNOZEGOZPZAQOZBIOZRZRZFSTZABCUAZFUBTZUAZETZVRETZABETZDUAZHU
      BTZUAZVSETZWEVMVPVRIOZVNVOPZWBWGUCVJVKVPWJVLVJVPRZWIVNVOVJWIVPFIVRJVRUDZU
      EUFVJVNVOUGVJVNVOUHUIUJVRABCDEFVTWFGHIHUKTZJWMUDZVTUDZWFUDZKLMULUMVJVKVPW
      BWHUCVLWKWAVSEVJVPVSIOZWAVSUCVJVNVOWQABCFIJKUNUOVSFVTIVRJWOWLUPUMUQUJVQWG
      HSTZWEWFUAZWEVQWCWRWEWFVMWCWRUCVPVREFGHIWMWRJWNWLWRUDZMURUFUSVKWEWMOZWSWE
      UCVQWEHWFWMWRWNWPWTUPVMVKVPVJVKVLUTUFZVKVNWDWMOZXAVQAWDDHWMWNLUNXBVMVNVOU
      GVMVOXCVNIWMEVAVOXCVMIWMBEVBEFGHIWMJWNMVCVDVEVFVGVHVI $.
      $( [17-Dec-2007] $) $( [5-Dec-2007] $)
  $}

  ${
    $d x y A $.  $d x y C $.  $d x y D $.  $d x y J $.  $d x y K $.
    $d x y P $.  $d x y T $.  $d x y U $.  $d x y W $.  $d x y X $.
    nvcnpi3.1 $e |- X = ( Base ` U ) $.
    nvcnpi3.m $e |- M = ( norm ` U ) $.
    nvcnpi3.n $e |- N = ( norm ` W ) $.
    nvcnpi3.r $e |- R = ( -v ` U ) $.
    nvcnpi3.8 $e |- C = ( IndMet ` U ) $.
    nvcnpi3.d $e |- D = ( IndMet ` W ) $.
    nvcnpi3.j $e |- J = ( Open ` C ) $.
    nvcnpi3.k $e |- K = ( Open ` D ) $.
    nvcnpi3.l $e |- L = ( U LnOp W ) $.
    nvcnpi3.t $e |- T e. L $.
    $( MAY BE REVISED - delete this if not used $)
    $( Epsilon-delta property of a linear operator continuous at a point.) $)
    nvcnpi3 $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ P e. X ) /\ ( T e.
  ( ( J CnP K ) ` P ) /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\
  A. y e. X ( ( M ` ( y R P ) ) <_ x -> ( N ` ( T ` ( y R P ) ) ) <_ A ) ) ) $=
      ( cnv wcel w3a ccnp co cfv cr cc0 clt wbr wa cv cle wi wral wrex cdm cme
      eqid metcnpi3 imsmet 3ad2ant1 3ad2ant2 imsba eleq2d biimpa 3adant2 3jca
      sylan wb raleq1d anbi2d rexbidv adantr mpbird wceq imsdval 3expb adantlr
      breq1d cnsb cba simplr wf ffvelrn lnof mp3an3 adantrr adantrl syl3anc
      lnosub mp3anl3 fveq2d eqtr4d imbi12d exp43 com34 3imp1 ralbidva mpbid )
      IUGUHZOUGUHZFPUHZUIZHFJKUJUKULUHCUMUHUNCUOUPUIZUQZUNAURZUOUPZBURZFDUKZXMU
      SUPZXOHULZFHULZEUKZCUSUPZUTZBPVAZUQZAUMVBZXNXOFGUKZMULZXMUSUPZYFHULZNULZC
      USUPZUTZBPVAZUQZAUMVBZXLYEXNYBBDVCVCZVAZUQZAUMVBZDVDUHZEVDUHZFYPUHZUIXKYS
      XJABCDEFHJKYPEVCVCZYPVEUCUUCVEUDVFXJYTUUAUUBXGXHYTXIDIUAVGVHXHXGUUAXIEOUB
      VGVIXGXIUUBXHXGXIUUBXGPYPFDIPQUAVJZVKVLVMVNVOXJYEYSVPZXKXGXHUUEXIXGYDYRAU
      MXGYCYQXNXGYBBPYPUUDVQVRVSVHVTWAXJYEYOVPXKXJYDYNAUMXJYCYMXNXJYBYLBPXGXHXI
      XOPUHZYBYLVPZXGXHUUFXIUUGXGXHUUFXIUUGXGXHUQZUUFXIUQZUQZXQYHYAYKUUJXPYGXMU
      SXGUUIXPYGWBZXHXGUUFXIUUKXOFDIGMPQTRUAWCWDWEWFUUJXTYJCUSUUJXTXRXSOWGULZUK
      ZNULZYJXHXROWHULZUHZXSUUOUHZXTUUNWBUUJXRXSEOUULNUUOUUOVEZUULVEZSUBWCXGXHU
      UIWIUUHUUFUUPXIPUUOHWJZUUFUUPUUHPUUOXOHWKXGXHHLUHZUUTUFHILOPUUOQUURUEWLWM
      ZVOWNUUHXIUUQUUFUUTXIUUQUUHPUUOFHWKUVBVOWOWPUUJYIUUMNXGXHUVAUUIYIUUMWBUFX
      OFHILGUULOPQTUUSUEWQWRWSWTWFXAXBXCXDXEVRVSVTXF $.
      $( [9-Aug-2008] $) $( [16-Dec-2007] $)

    $( MAY BE REVISED - delete this if not used $)
    $( Epsilon-delta property of a linear operator continuous at a point.) $)
    nvcnpi4 $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ P e. X ) /\ ( T e. ( (
    J CnP K ) ` P ) /\ A e. RR /\ 0 < A ) ) -> E. x e. RR ( 0 < x /\ A. y e. X
    ( ( M ` ( P R y ) ) <_ x -> ( N ` ( T ` ( P R y ) ) ) <_ A ) ) ) $=
      ( cnv wcel w3a ccnp co cfv cr cc0 clt wbr wa cv cle wi wral wrex cdm cme
      eqid metcnpi4 imsmet 3ad2ant1 3ad2ant2 imsba eleq2d biimpa 3adant2 3jca
      sylan wb raleq1d anbi2d rexbidv adantr mpbird wceq imsdval 3expb adantlr
      breq1d cnsb cba simplr wf ffvelrn lnof mp3an3 adantrr adantrl syl3anc
      lnosub mp3anl3 fveq2d eqtr4d imbi12d exp43 3imp1 ralbidva mpbid ) IUGUHZO
      UGUHZFPUHZUIZHFJKUJUKULUHCUMUHUNCUOUPUIZUQZUNAURZUOUPZFBURZDUKZXLUSUPZFHU
      LZXNHULZEUKZCUSUPZUTZBPVAZUQZAUMVBZXMFXNGUKZMULZXLUSUPZYEHULZNULZCUSUPZUT
      ZBPVAZUQZAUMVBZXKYDXMYABDVCVCZVAZUQZAUMVBZDVDUHZEVDUHZFYOUHZUIXJYRXIABCDE
      FHJKYOEVCVCZYOVEUCUUBVEUDVFXIYSYTUUAXFXGYSXHDIUAVGVHXGXFYTXHEOUBVGVIXFXHU
      UAXGXFXHUUAXFPYOFDIPQUAVJZVKVLVMVNVOXIYDYRVPZXJXFXGUUDXHXFYCYQAUMXFYBYPXM
      XFYABPYOUUCVQVRVSVHVTWAXIYDYNVPXJXIYCYMAUMXIYBYLXMXIYAYKBPXFXGXHXNPUHZYAY
      KVPZXFXGXHUUEUUFXFXGUQZXHUUEUQZUQZXPYGXTYJUUIXOYFXLUSXFUUHXOYFWBZXGXFXHUU
      EUUJFXNDIGMPQTRUAWCWDWEWFUUIXSYICUSUUIXSXQXROWGULZUKZNULZYIXGXQOWHULZUHZX
      RUUNUHZXSUUMWBUUIXQXREOUUKNUUNUUNVEZUUKVEZSUBWCXFXGUUHWIUUGXHUUOUUEPUUNHW
      JZXHUUOUUGPUUNFHWKXFXGHLUHZUUSUFHILOPUUNQUUQUEWLWMZVOWNUUGUUEUUPXHUUSUUEU
      UPUUGPUUNXNHWKUVAVOWOWPUUIYHUULNXFXGUUTUUHYHUULWBUFFXNHILGUUKOPQTUURUEWQW
      RWSWTWFXAXBXCXDVRVSVTXE $.
      $( [4-Jan-2008] $) $( [16-Dec-2007] $)
  $}

  ${
    nvo00.1 $e |- X = ( Base ` U ) $.
    $( Two ways to express a zero operator. $)
    nvo00 $p |- ( ( U e. NrmCVec /\ T : X --> Y ) ->
                  ( T = ( X X. { Z } ) <-> ran T = { Z } ) ) $=
      ( wf cnv wcel csn cxp wceq crn wb wfn c0 wne fconst5 ffn cn0v cfv eqid
      nvzcl ne0i syl syl2an ancoms ) CDAGZBHIZACEJZKLAMUJLNZACOCPQZUKUHUICEARCD
      ASUIBTUAZCIULBCUMFUMUBUCCUMUDUEUFUG $.
      $( [22-Feb-2008] $) $( [27-Nov-2007] $)
  $}

  ${
    $d n t u w y L $.  $d n t w y M $.  $d t x y z T $.  $d n t u w x y z U $.
    $d n t u w x y z W $.  $d n t u w x y z X $.  $d n t w x y Y $.
    nmofval.1 $e |- X = ( Base ` U ) $.
    nmofval.2 $e |- Y = ( Base ` W ) $.
    nmofval.3 $e |- L = ( norm ` U ) $.
    nmofval.4 $e |- M = ( norm ` W ) $.
    nmofval.6 $e |- N = ( U normOp W ) $.
    $( The operator norm function. $)
    nmofval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> N =
   { <. t , y >. | ( t : X --> Y /\ y = sup ( { x | E. z e. X
       ( ( L ` z ) <_ 1 /\ x = ( M ` ( t ` z ) ) ) } , RR* , < ) ) } ) $=
      ( vu vw vn cnv wcel wa cnmo co cv wf cfv c1 cle wbr wceq wrex cab cxr
      clt csup copab cba cnm cm cvv fvex eqeltr elmap anbi1i opabbii oprex
      opabex2 eqeltrr wb fveq2 syl6eqr feq2 syl fveq1d breq1d anbi1d rexeq12d
      abbidv supeq1 eqeq2d anbi12d opabbidv feq3 anbi2d rexbidv df-nmo
      oprabval2 syl5eq ) ETUAITUAUBEIUCUDJKDUEZUFZBUEZCUEZFUGZUHUIUJZAUEZWMWJUG
      ZGUGZUKZUBZCJULZAUMZUNUOUPZUKZUBZDBUQZHQRSEITTQUEZURUGZRUEZURUGZWJUFZWLWM
      XGUSUGZUGZUHUIUJZWPWQXIUSUGZUGZUKZUBZCXHULZAUMZUNUOUPZUKZUBZDBUQXFUCJXJWJ
      UFZWLWOXQUBZCJULZAUMZUNUOUPZUKZUBZDBUQWJKJUTUDZUAZXDUBZDBUQXFVAYMXEDBYLWK
      XDKJWJKIURUGZVAMIURVBVCJEURUGZVALEURVBVCVDVEVFDBYKXCKJUTVGVHVIXGEUKZYCYJD
      BYPXKYDYBYIYPXHJUKXKYDVJYPXHYOJXGEURVKLVLZXHJXJWJVMVNYPYAYHWLYPXTYGUKYAYH
      UKYPXSYFAYPXRYECXHJYQYPXNWOXQYPXMWNUHUIYPWMXLFYPXLEUSUGFXGEUSVKNVLVOVPVQV
      RVSUNXTYGUOVTVNWAWBWCXIIUKZYJXEDBYRYDWKYIXDYRXJKUKYDWKVJYRXJYNKXIIURVKMVL
      XJKJWJWDVNYRYHXCWLYRYGXBUKYHXCUKYRYFXAAYRYEWTCJYRXQWSWOYRXPWRWPYRWQXOGYRX
      OIUSUGGXIIUSVKOVLVOWAWEWFVSUNYGXBUOVTVNWAWBWCABCRQDSWGWHPWI $.
      $( [10-Dec-2007] $) $( [6-Nov-2007] $)

    $( The operator norm function. $)
    nmoval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
  ( N ` T ) = sup ( { x | E. z e. X
       ( ( L ` z ) <_ 1 /\ x = ( M ` ( T ` z ) ) ) } , RR* , < ) ) $=
      ( vt vy cnv wcel wf w3a cfv cv c1 cle wbr wceq wa wrex cab cxr clt csup
      copab nmofval fveq1d 3adant3 xrltso supex cba cvv fvex eqeltr fveq1
      fveq2d eqeq2d anbi2d rexbidv abbidv supeq1 syl eqid fvopabf4 3ad2ant3
      eqtrd ) DRSZHRSZIJCTZUACGUBZCIJPUCZTQUCBUCZEUBUDUEUFZAUCZWAVTUBZFUBZUGZUH
      ZBIUIZAUJZUKULUMZUGUHPQUNZUBZWBWCWACUBZFUBZUGZUHZBIUIZAUJZUKULUMZVPVQVSWL
      UGVRVPVQUHCGWKAQBPDEFGHIJKLMNOUOUPUQVRVPWLWSUGVQPQCWJWSIJWKUKWRULURUSIDUT
      UBVAKDUTVBVCJHUTUBVALHUTVBVCVTCUGZWIWRUGWJWSUGWTWHWQAWTWGWPBIWTWFWOWBWTWE
      WNWCWTWDWMFWAVTCVDVEVFVGVHVIUKWIWRULVJVKWKVLVMVNVO $.
      $( [11-Dec-2007] $) $( [27-Nov-2007] $)
  $}

  ${
    $d x z T $.  $d x z W $.  $d x z X $.  $d x z Y $.
    nmosetre.2 $e |- Y = ( Base ` W ) $.
    nmosetre.4 $e |- N = ( norm ` W ) $.
    $( The set in the supremum of the operator norm definition ~ df-nmo is a
       set of reals. $)
    nmosetre $p |- ( ( W e. NrmCVec /\ T : X --> Y ) -> {
     x | E. z e. X ( ( M ` z ) <_ 1 /\ x = ( N ` ( T ` z ) ) ) } (_ RR ) $=
      ( cnv wcel wf wa cv cfv c1 cle wbr wceq wrex cr eleq1 nvcl ffvelrn
      sylan2 anassrs syl5bir impcom adantrl exp31 r19.23adv abssdv ) FKLZGHCMZN
      ZBOZDPQRSZAOZUQCPZEPZTZNZBGUAAUBUPVCUSUBLZBGUPUQGLZVCVDUPVENZVBVDURVBVFVD
      VBVDVAUBLZVFUSVAUBUCUNUOVEVGUNUTHLVGUOVENUTFEHIJUDGHUQCUEUFUGUHUIUJUKULUM
      $.
      $( [14-Dec-2007] $) $( [13-Nov-2007] $)
  $}

  ${
    $d x y M $.  $d x y N $.  $d x y T $.  $d x y X $.  $d x y Z $.
    nmosetn0.1 $e |- X = ( Base ` U ) $.
    nmosetn0.5 $e |- Z = ( 0v ` U ) $.
    nmosetn0.4 $e |- M = ( norm ` U ) $.
    $( The set in the supremum of the operator norm definition ~ df-nmo is
       nonempty. $)
    nmosetn0 $p |- ( U e. NrmCVec -> ( N ` ( T ` Z ) ) e. { x | E. y e. X (
       ( M ` y ) <_ 1 /\ x = ( N ` ( T ` y ) ) ) } ) $=
      ( cnv wcel cv cfv c1 cle wbr wceq wa wrex cab fveq2 breq1d fveq2d eqeq2d
      anbi12d rcla4ev nvzcl cc0 nvz0 0re 1re lt01 ltlei syl6eqbr eqid jctir
      sylanc fvex eqeq1 anbi2d rexbidv elab sylibr ) DLMZBNZEOZPQRZHCOZFOZVGCOZ
      FOZSZTZBGUAZVKVIANZVMSZTZBGUAZAUBMHGMHEOZPQRZVKVKSZTZVPVFVOWDBHGVGHSZVIWB
      VNWCWEVHWAPQVGHEUCUDWEVMVKVKWEVLVJFVGHCUCUEUFUGUHDGHIJUIVFWBWCVFWAUJPQDEH
      JKUKUJPULUMUNUOUPVKUQURUSVTVPAVKVJFUTVQVKSZVSVOBGWFVRVNVIVQVKVMVAVBVCVDVE
      $.
      $( [13-Dec-2007] $) $( [8-Dec-2007] $)
  $}

  ${
    $d x z T $.  $d x z U $.  $d x z W $.  $d x z X $.  $d x z Y $.
    nmoxr.1 $e |- X = ( Base ` U ) $.
    nmoxr.2 $e |- Y = ( Base ` W ) $.
    nmoxr.3 $e |- N = ( U normOp W ) $.
    $( The norm of an operator is an extended real. $)
    nmoxr $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
              ( N ` T ) e. RR* ) $=
      ( vz vx cnv wcel wf w3a cfv cv cnm c1 cle wbr wceq wa wrex cab cxr clt
      csup eqid nmoval wss cr nmosetre ressxr a1i sstrd supxrcl syl 3adant1
      eqeltrd ) BLMZDLMZEFANZOACPJQZBRPZPSTUAKQVDAPDRPZPUBUCJEUDKUEZUFUGUHZUFKJ
      ABVEVFCDEFGHVEUIVFUIZIUJVBVCVHUFMZVAVBVCUCZVGUFUKVJVKVGULUFKJAVEVFDEFHVIU
      MULUFUKVKUNUOUPVGUQURUSUT $.
      $( [15-Dec-2007] $) $( [27-Nov-2007] $)

    $( The norm of an operator is nonnegative. $)
    nmoge0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
                  0 <_ ( N ` T ) ) $=
      ( vz vx cnv wcel wf w3a cc0 cn0v cfv cnm cle wbr eqid nvge0 3simp2
      ffvelrn nvzcl sylan2 ancoms 3adant2 sylanc cv c1 wceq wa wrex cab cxr
      clt csup wss supxrub cr nmosetre ressxr sstr mpan2 syl nmosetn0 syl2an
      3impa 3comr nmoval breqtrrd wi xrletrt 0re rexrt ax-mp a1i nvcl nmoxr
      syl3anc mp2and ) BLMZDLMZEFANZOZPBQRZARZDSRZRZTUAZWKACRZTUAZPWMTUAZWEWIFM
      ZWLWGWIDWJFHWJUBZUCWDWEWFUDZWDWFWPWEWFWDWPWFWHEMWPWDEFWHAUEBEWHGWHUBZUFUG
      UHUIZUJWGWKJUKZBSRZRULTUAKUKXAARWJRUMUNJEUOKUPZUQURUSZWMTWEWFWDWKXDTUAZWE
      WFWDXEXCUQUTZWKXCMXEWEWFUNZWDXCWKVAXGXCVBUTZXFKJAXBWJDEFHWQVCXHVBUQUTXFVD
      XCVBUQVEVFVGKJABXBWJEWHGWSXBUBZVHVIVJVKKJABXBWJCDEFGHXIWQIVLVMPUQMZWKUQMZ
      WMUQMWLWNUNWOVNWGPWKWMVOXJWGPVBMXJVPPVQVRVSWGWKVBMZXKWEWPXLWGWIDWJFHWQVTW
      RWTUJWKVQVGABCDEFGHIWAWBWC $.
      $( [2-Jan-2008] $) $( [8-Dec-2007] $)

    $( The norm of an operator is either real or plus infinity. $)
    nmorepnf $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
                   ( ( N ` T ) e. RR <-> ( N ` T ) =/= +oo ) ) $=
      ( vz vx cnv wcel wf w3a cv cnm cfv c1 cle wbr wceq wa wrex cab cxr clt
      csup cr cpnf wne wb wss c0 supxrre2 eqid nmosetre cn0v nmosetn0 ne0i syl
      syl2an ancoms 3impb nmoval eleq1d eqeq1d necon3bid 3bitr4d ) BLMZDLMZEFAN
      ZOZJPZBQRZRSTUAKPVNARDQRZRUBUCJEUDKUEZUFUGUHZUIMZVRUJUKZACRZUIMWAUJUKVJVK
      VLVSVTULZVKVLUCZVJWBVQUIUMVQUNUKZWBWCVJVQUOKJAVOVPDEFHVPUPZUQVJBURRZARVPR
      ZVQMWDKJABVOVPEWFGWFUPVOUPZUSVQWGUTVAVBVCVDVMWAVRUIKJABVOVPCDEFGHWHWEIVEZ
      VFVMWAUJVRUJVMWAVRUJWIVGVHVI $.
      $( [16-Dec-2007] $) $( [8-Dec-2007] $)

    $( The norm of any operator is real iff it is less than plus infinity. $)
    nmoreltpnf $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
                   ( ( N ` T ) e. RR <-> ( N ` T ) < +oo ) ) $=
      ( cnv wcel wf w3a cfv cr cpnf wne clt wbr nmorepnf cxr wceq wn wb nmoxr
      nltpnftt syl necon2abid bitr4d ) BJKDJKEFALMZACNZOKUKPQUKPRSZABCDEFGHITUJ
      ULUKPUJUKUAKUKPUBULUCUDABCDEFGHIUEUKUFUGUHUI $.
      $( [29-Dec-2007] $) $( [8-Dec-2007] $)

    $( The norm of an operator is greater than minus infinity. $)
    nmogtmnf $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) ->
                  -oo < ( N ` T ) ) $=
      ( cnv wcel wf w3a cfv cr cpnf wceq wn wb wo cmnf clt wbr wne nmorepnf
      df-ne syl6bb xor3 wa xor2 pm3.26bi sylbir mnfltxrt 3syl ) BJKDJKEFALMZACN
      ZOKZUPPQZRZSZUQURTZUAUPUBUCUOUQUPPUDUSABCDEFGHIUEUPPUFUGUTUQURSRZVAUQURUH
      VBVAUQURUIRUQURUJUKULUPUMUN $.
      $( [27-Dec-2007] $) $( [8-Dec-2007] $)
  $}

  ${
    $d x y A $.  $d x y L $.  $d x y M $.  $d x y T $.  $d x y U $.
    $d x y W $.  $d x y X $.  $d x y Y $.
    nmolb.1 $e |- X = ( Base ` U ) $.
    nmolb.2 $e |- Y = ( Base ` W ) $.
    nmolb.l $e |- L = ( norm ` U ) $.
    nmolb.m $e |- M = ( norm ` W ) $.
    nmolb.3 $e |- N = ( U normOp W ) $.
    $( A lower bound for an operator norm. $)
    nmolb $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T : X --> Y ) /\
         ( A e. X /\ ( L ` A ) <_ 1 ) ) -> ( M ` ( T ` A ) ) <_ ( N ` T ) ) $=
      ( vy vx cnv wcel wf w3a cfv c1 cle wbr wa cv wceq wrex cab cxr clt csup
      wss supxrub cr nmosetre ressxr a1i sstrd 3adant1 fveq2 breq1d fveq2d
      eqeq2d anbi12d eqid biantru syl6bbr rcla4ev fvex eqeq1 anbi2d rexbidv
      elab sylibr syl2an nmoval adantr breqtrrd ) CQRZGQRZHIBSZTZAHRADUAZUBUCUD
      ZUEZUEABUAZEUAZOUFZDUAZUBUCUDZPUFZWIBUAZEUAZUGZUEZOHUHZPUIZUJUKULZBFUAZUC
      WRUJUMZWHWRRZWHWSUCUDWCWFWRWHUNWAWBXAVTWAWBUEZWRUOUJPOBDEGHIKMUPUOUJUMXCU
      QURUSUTWFWKWHWNUGZUEZOHUHZXBXEWEOAHWIAUGZXEWEWHWHUGZUEWEXGWKWEXDXHXGWJWDU
      BUCWIADVAVBXGWNWHWHXGWMWGEWIABVAVCVDVEXHWEWHVFVGVHVIWQXFPWHWGEVJWLWHUGZWP
      XEOHXIWOXDWKWLWHWNVKVLVMVNVOVPWCWTWSUGWFPOBCDEFGHIJKLMNVQVRVS $.
      $( [1-Jan-2008] $) $( [8-Dec-2007] $)
  $}

  ${
    $d w x z A $.  $d f k r w x y z L $.  $d f k r w x y z M $.  $d k r y N $.
    $d f k r w x y z T $.  $d y z U $.  $d y z W $.  $d f k r w x y z X $.
    $d k r x y z Y $.
    nmoubi.1 $e |- X = ( Base ` U ) $.
    nmoubi.y $e |- Y = ( Base ` W ) $.
    nmoubi.l $e |- L = ( norm ` U ) $.
    nmoubi.m $e |- M = ( norm ` W ) $.
    nmoubi.3 $e |- N = ( U normOp W ) $.
    nmoubi.u $e |- U e. NrmCVec $.
    nmoubi.w $e |- W e. NrmCVec $.
    $( An upper bound for an operator norm. $)
    nmoubi $p |- ( ( T : X --> Y /\ A e. RR* /\ A. x e. X ( ( L ` x )
             <_ 1 -> ( M ` ( T ` x ) ) <_ A ) ) -> ( N ` T ) <_ A ) $=
      ( vz vy vw wf cxr wcel cv cfv c1 cle wbr wi wral w3a wceq wa wrex cab
      clt csup cnv nmoval mp3an12 3ad2ant1 wss supxrleub cr nmosetre mpan
      ressxr a1i sstrd 3simp2 fveq2 breq1d fveq2d imbi12d rcla4cv breq1
      biimprcd syl8 imp4a r19.23adv visset eqeq1 anbi2d rexbidv elab syl5ib
      r19.21aiv 3ad2ant3 syl3anc eqbrtrd ) IJCUAZBUBUCZAUDZEUEZUFUGUHZWMCUEZFUE
      ZBUGUHZUIZAIUJZUKZCGUEZRUDZEUEZUFUGUHZSUDZXCCUEZFUEZULZUMZRIUNZSUOZUBUPUQ
      ZBUGWKWLXBXMULZWTDURUCHURUCZWKXNPQSRCDEFGHIJKLMNOUSUTVAXLUBVBZWLTUDZBUGUH
      ZTXLUJZXMBUGUHXATXLBVCWKWLXPWTWKXLVDUBXOWKXLVDVBQSRCEFHIJLNVEVFVDUBVBWKVG
      VHVIVAWKWLWTVJWTWKXSWLWTXRTXLWTXEXQXHULZUMZRIUNZXRXQXLUCWTYAXRRIWTXCIUCZX
      EXTXRWTYCXEXHBUGUHZXTXRUIWSXEYDUIAXCIWMXCULZWOXEWRYDYEWNXDUFUGWMXCEVKVLYE
      WQXHBUGYEWPXGFWMXCCVKVMVLVNVOXTXRYDXQXHBUGVPVQVRVSVTXKYBSXQTWAXFXQULZXJYA
      RIYFXIXTXEXFXQXHWBWCWDWEWFWGWHWIWJ $.
      $( [31-Dec-2007] $) $( [11-Dec-2007] $)

    $( An upper bound for an operator norm. $)
    nmoub3i $p |- ( ( T : X --> Y /\ A e. RR /\ A. x e. X
  ( M ` ( T ` x ) ) <_ ( A x. ( L ` x ) ) ) -> ( N ` T ) <_ ( abs ` A ) ) $=
      ( wf cr wcel cv cfv cmul co cle wbr wral cabs wa c1 wi axmulrcl cnv nvcl
      mpan sylan2 adantr cc recnt absclt syl syl2an ad2antrr cc0 w3a lemul1it
      pm3.26 nvge0 jca adantl 3jca leabst sylanc lemul2it 1re a1i absge0t
      sylan wceq recnd ax1id breqtrd letrd adantlll letrt ffvelrn adantlr
      adantll ad2antlr syl3anc mpan2d ex com23 r19.20dva imp cxr nmoubi rexrt
      syl3an2 3expa syldan 3impa ) IJCRZBSTZAUAZCUBZFUBZBXEEUBZUCUDZUEUFZAIUGZC
      GUBBUHUBZUEUFZXCXDUIZXKXHUJUEUFZXGXLUEUFZUKZAIUGZXMXNXKXRXNXJXQAIXNXEITZU
      IZXOXJXPXTXOXJXPUKXTXOUIXJXIXLUEUFZXPXDXSXOYAXCXDXSUIZXOUIZXIXLXHUCUDZXLY
      BXISTZXOXDXHSTZYEXSBXHULDUMTZXSYFPXEDEIKMUNUOZUPZUQYBYDSTZXOXLSTZYFYJXDXS
      XLXHULXDBURTZYKBUSZBUTVAZYHVBUQXDYKXSXOYNVCYBXIYDUEUFZXOXDYKYFVDXHUEUFZUI
      ZVEBXLUEUFZYOYBBXLXHVFYBXDYKYQXDXSVGXDYKXSYNUQZXSYQXDXSYFYPYHYGXSYPPXEDEI
      KMVHUOVIVJVKXDYRXSBVLUQVMUQYCYDXLUJUCUDZXLUEYFUJSTZYKVDXLUEUFZUIZVEXOYDYT
      UEUFYBXHUJXLVNYBYFUUAUUCXSYFXDYHVJUUAYBVOVPYBYKUUBYSXDUUBXSXDYLUUBYMBVQVA
      UQVIVKVRXDYTXLVSZXSXOXDXLURTUUDXDXLYNVTXLWAVAVCWBWCWDXTXJYAUIXPUKZXOXGSTZ
      YEYKUUEXTXGXIXLWEXCXSUUFXDXCXSUIXFJTZUUFIJXECWFHUMTUUGUUFQXFHFJLNUNUOVAWG
      XDXSYEXCYIWHXDYKXCXSYNWIWJUQWKWLWMWNWOXCXDXRXMXCXLWPTZXRXMXDAXLCDEFGHIJKL
      MNOPQWQXDYKUUHYNXLWRVAWSWTXAXB $.
      $( [1-Jan-2008] $) $( [12-Dec-2007] $)

    $( An upper bound for an operator norm. $)
    nmoub2i $p |- ( ( T : X --> Y /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. X
  ( M ` ( T ` x ) ) <_ ( A x. ( L ` x ) ) ) -> ( N ` T ) <_ A ) $=
      ( wf cr wcel cc0 cle wbr wa cv cfv cmul co wral w3a cabs nmoub3i
      3adant2r wceq absidt 3ad2ant2 breqtrd ) IJCRZBSTZUABUBUCZUDZAUEZCUFFUFBVB
      EUFUGUHUBUCAIUIZUJCGUFZBUKUFZBUBURUSVCVDVEUBUCUTABCDEFGHIJKLMNOPQULUMVAUR
      VEBUNVCBUOUPUQ $.
      $( [18-Jan-2008] $) $( [11-Dec-2007] $)

    $( Two ways to express that an operator is bounded. $)
    nmobndi $p |- ( T : X --> Y -> ( ( N ` T ) e. RR <->
     E. r e. RR A. y e. X ( ( L ` y ) <_ 1 -> ( M ` ( T ` y ) ) <_ r ) ) ) $=
      ( wf cfv cr wcel cv c1 cle wbr wi wral wrex wceq breq2 imbi2d ralbidv
      rcla4ev cnv wa nmolb mp3anl1 mpanl1 exp32 r19.21aiv sylan2 expcom cxr
      cmnf clt w3a xrret nmoxr mp3an12 3ad2ant1 3simp2 nmogtmnf nmoubi rexrt
      syl3an2 syl2anc 3expia r19.23adva impbid ) HIBRZBFSZTUAZAUBZDSUCUDUEZWCBS
      ESZJUBZUDUEZUFZAHUGZJTUHZWBVTWJWBWDWEWAUDUEZUFZAHUGZWJVTWIWMJWATWFWAUIZWH
      WLAHWNWGWKWDWFWAWEUDUJUKULUMVTWLAHVTWCHUAZWDWKGUNUAZVTWOWDUOZWKQCUNUAZWPV
      TWQWKPWCBCDEFGHIKLMNOUPUQURUSUTVAVBVTWIWBJTVTWFTUAZWIWBWAVCUAZWSVDWAVEUEZ
      WAWFUDUEZWBVTWSWIVFWAWFVGVTWSWTWIWRWPVTWTPQBCFGHIKLOVHVIVJVTWSWIVKVTWSXAW
      IWRWPVTXAPQBCFGHIKLOVLVIVJVTWFVCUAWIXBWSAWFBCDEFGHIKLMNOPQVMWFVNVOVPVQVRV
      S $.
      $( [24-Jan-2008] $) $( [11-Jan-2008] $)

    $( Two ways two express that an operator is unbounded. $)
    nmounbi $p |- ( T : X --> Y -> ( ( N ` T ) = +oo <->
      A. r e. RR E. y e. X ( ( L ` y ) <_ 1 /\ r < ( M ` ( T ` y ) ) ) ) ) $=
      ( wf cv cfv c1 cle wbr clt wa wrex cr wral cpnf wcel wi wne wn nmobndi
      cnv wb nmorepnf mp3an12 lenltt ffvelrn nvcl mpan syl sylan an1rs imbi2d
      imnan syl6bb ralbidva ralnex rexbidva rexnal 3bitr3d necon4abid ) HIBRZAS
      ZDTUAUBUCZJSZVPBTZETZUDUCZUEZAHUFZJUGUHZBFTZUIVOWEUGUJZVQVTVRUBUCZUKZAHUH
      ZJUGUFZWEUIULZWDUMZABCDEFGHIJKLMNOPQUNCUOUJGUOUJZVOWFWKUPPQBCFGHIKLOUQURV
      OWJWCUMZJUGUFWLVOWIWNJUGVOVRUGUJZUEZWIWBUMZAHUHWNWPWHWQAHWPVPHUJZUEZWHVQW
      AUMZUKWQWSWGWTVQVOWRWOWGWTUPZVTUGUJZWOXAVOWRUEZVTVRUSXCVSIUJZXBHIVPBUTWMX
      DXBQVSGEILNVAVBVCVDVEVFVQWAVGVHVIWBAHVJVHVKWCJUGVLVHVMVN $.
      $( [12-Feb-2008] $)


    $( A bounded sequence determines a bounded operator. $)
    nmobndseqi $p |- ( ( T : X --> Y /\
         A. f ( ( f : NN --> X /\ A. k e. NN ( L ` ( f ` k ) ) <_ 1 ) ->
        E. k e. NN ( M ` ( T ` ( f ` k ) ) ) <_ k ) ) -> ( N ` T ) e. RR ) $=
      ( vy wf cn cv cfv c1 cle wbr wral wa wrex wi wal cr wcel nmobndi impexp
      r19.35 imbi2i bitr4 albii nnex wceq fveq2 breq1d fveq2d imbi12d ac6n
      nnret anim1i r19.22i2 syl sylbi syl5bir imp ) IJASZTICUAZSZDUAZVNUBZEUBZU
      CUDUEZDTUFZUGVQAUBZFUBZVPUDUEZDTUHZUIZCUJZAGUBUKULZVMWGRUAZEUBZUCUDUEZWHA
      UBZFUBZVPUDUEZUIZRIUFZDUKUHZWFRABEFGHIJDKLMNOPQUMWFVOVSWCUIZDTUHZUIZCUJZW
      PWEWSCWEVOVTWDUIZUIWSVOVTWDUNWRXAVOVSWCDTUOUPUQURWTWODTUHWPWNWQDRTICUSWHV
      QUTZWJVSWMWCXBWIVRUCUDWHVQEVAVBXBWLWBVPUDXBWKWAFWHVQAVAVCVBVDVEWOWODTUKVP
      TULVPUKULWOVPVFVGVHVIVJVKVL $.
      $( [24-Jan-2008] $) $( [18-Jan-2008] $)
  $}

  ${
    $d o t w L $.  $d o t w N $.  $d t T $.  $d o t u w U $.  $d o t u w W $.
    bloval.3 $e |- N = ( U normOp W ) $.
    bloval.4 $e |- L = ( U LnOp W ) $.
    bloval.5 $e |- B = ( U BLnOp W ) $.
    $( The class of bounded linear operators between two normed complex vector
       spaces. $)
    bloval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> B =
          { t e. L | ( N ` t ) < +oo } ) $=
      ( vu vw vo cnv wcel wa cblo co cv cfv cpnf clt wbr crab cnmo clno cvv
      oprex eqeltr rabex wceq opreq1 fveq1d breq1d rabbisdv rabeq syl eqtrd
      opreq2 syl6eqr df-blo oprabval2 syl5eq ) CMNFMNOCFPQARZESZTUAUBZADUCZBJKL
      CFMMVCJRZKRZUDQZSZTUAUBZAVGVHUEQZUCZVFPVCCVHUDQZSZTUAUBZACVHUEQZUCZVEADDC
      FUEQZUFHCFUEUGUHUIVGCUJZVMVPAVLUCZVRVTVKVPAVLVTVJVOTUAVTVCVIVNVGCVHUDUKUL
      UMUNVTVLVQUJWAVRUJVGCVHUEUKVPAVLVQUOUPUQVHFUJZVRVPADUCZVFWBVQDUJVRWCUJWBV
      QVSDVHFCUEURHUSVPAVQDUOUPWBVPVEADWBVOVDTUAWBVCVNEWBVNCFUDQEVHFCUDURGUSULU
      MUNUQKJALUTVAIVB $.
      $( [14-Dec-2007] $) $( [6-Nov-2007] $)

    $( The predicate "is a bounded linear operator." $)
    isblo $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> ( T e. B <->
      ( T e. L /\ ( N ` T ) < +oo ) ) ) $=
      ( vt cnv wcel wa cv cfv cpnf clt wbr crab bloval eleq2d wceq fveq2
      breq1d elrab syl6bb ) CKLFKLMZBALBJNZEOZPQRZJDSZLBDLBEOZPQRZMUGAUKBJACDEF
      GHITUAUJUMJBDUHBUBUIULPQUHBEUCUDUEUF $.
      $( [16-Dec-2007] $) $( [6-Nov-2007] $)

    $( The predicate "is a bounded linear operator." $)
    isblo2 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> ( T e. B <->
      ( T e. L /\ ( N ` T ) e. RR ) ) ) $=
      ( cnv wcel wa cfv cpnf clt wbr cr isblo wb cba wf eqid nmoreltpnf lnof
      syld3an3 3expa pm5.32da bitr4d ) CJKZFJKZLZBAKBDKZBEMZNOPZLULUMQKZLABCDEF
      GHIRUKULUOUNUIUJULUOUNSZUIUJCTMZFTMZBUAUPULBCEFUQURUQUBZURUBZGUCBCDFUQURU
      SUTHUDUEUFUGUH $.
      $( [1-Jan-2008] $) $( [8-Dec-2007] $)
  $}

  ${
    bloln.4 $e |- L = ( U LnOp W ) $.
    bloln.5 $e |- B = ( U BLnOp W ) $.
    $( A bounded operator is a linear operator. $)
    bloln $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. B ) -> T e. L ) $=
      ( cnv wcel wa cnmo co cfv cpnf clt wbr eqid isblo pm3.26bda 3impa ) CHIZE
      HIZBAIZBDIZUAUBJUCUDBCEKLZMNOPABCDUEEUEQFGRST $.
      $( [23-Dec-2007] $) $( [8-Dec-2007] $)
  $}

  ${
    blof.1 $e |- X = ( Base ` U ) $.
    blof.2 $e |- Y = ( Base ` W ) $.
    blof.5 $e |- B = ( U BLnOp W ) $.
    $( A bounded operator is an operator. $)
    blof $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. B ) -> T : X --> Y ) $=
      ( cnv wcel clno co wf eqid lnof bloln syld3an3 ) CJKDJKBCDLMZKEFBNBAKBCSD
      EFGHSOZPABCSDTIQR $.
      $( [28-Dec-2007] $) $( [8-Dec-2007] $)
  $}

  ${
    nmblore.1 $e |- X = ( Base ` U ) $.
    nmblore.2 $e |- Y = ( Base ` W ) $.
    nmblore.3 $e |- N = ( U normOp W ) $.
    nmblore.5 $e |- B = ( U BLnOp W ) $.
    $( The norm of a bounded operator is a real number. $)
    nmblore $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. B ) ->
                ( N ` T ) e. RR ) $=
      ( cnv wcel w3a cfv cr cmnf clt wbr cpnf wa wf nmogtmnf blof syld3an3
      clno co eqid isblo pm3.27bda 3impa jca cxr wb 3simp1 3simp2 3jca nmoxr
      xrrebndt 3syl mpbird ) CLMZELMZBAMZNZBDOZPMZQVFRSZVFTRSZUAZVEVHVIVBVCFGBU
      BZVHVDBCDEFGHIJUCABCEFGHIKUDZUEVBVCVDVIVBVCUAVDBCEUFUGZMVIABCVMDEJVMUHKUI
      UJUKULVEVBVCVKNVFUMMVGVJUNVEVBVCVKVBVCVDUOVBVCVDUPVLUQBCDEFGHIJURVFUSUTVA
      $.
      $( [30-Dec-2007] $) $( [8-Dec-2007] $)
  $}

  ${
    $d o u w U $.  $d o u w W $.  $d o u w X $.  $d o w Z $.
    0oval.1 $e |- X = ( Base ` U ) $.
    0oval.6 $e |- Z = ( 0v ` W ) $.
    0oval.0 $e |- O = ( U 0op W ) $.
    $( The zero operator between two normed complex vector spaces. $)
    0ofval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> O = ( X X. { Z } ) ) $=
      ( vu vw vo cnv wcel wa c0o co csn cxp cv cba cfv cn0v cvv fvex eqeltr
      snex xpex wceq fveq2 syl6eqr xpeq1 syl sneqd xpeq2 df-0o oprabval2
      syl5eq ) ALMCLMNACOPDEQZRZBIJKACLLISZTUAZJSZUBUAZQZRZUSODVDRZDURDATUAZUCF
      ATUDUEEUFUGUTAUHZVADUHVEVFUHVHVAVGDUTATUIFUJVADVDUKULVBCUHZVDURUHVFUSUHVI
      VCEVIVCCUBUAEVBCUBUIGUJUMVDURDUNULJIKUOUPHUQ $.
      $( [12-Dec-2007] $) $( [28-Nov-2007] $)

    $( Value of the zero operator. $)
    0oval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ A e. X ) ->
            ( O ` A ) = Z ) $=
      ( cnv wcel w3a cfv csn cxp wceq wa 0ofval fveq1d 3adant3 cn0v cvv fvex
      eqeltr fvconst2 3ad2ant3 eqtrd ) BJKZDJKZAEKZLACMZAEFNOZMZFUHUIUKUMPUJUHU
      IQACULBCDEFGHIRSTUJUHUMFPUIEFAFDUAMUBHDUAUCUDUEUFUG $.
      $( [13-Dec-2007] $) $( [28-Nov-2007] $)
  $}

  ${
    $d o u w U $.  $d o u w W $.  $d o u w X $.  $d o w Z $.
    0oo.1 $e |- X = ( Base ` U ) $.
    0oo.2 $e |- Y = ( Base ` W ) $.
    0oo.0 $e |- Z = ( U 0op W ) $.
    $( The zero operator is an operator. $)
    0oo $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> Z : X --> Y ) $=
      ( cnv wcel wa wf cn0v cfv csn cxp wss eqid nvzcl snssi fvex fconst fss
      mpan 3syl adantl 0ofval feq1d mpbird ) AIJZBIJZKZCDELCDCBMNZOZPZLZUKUPUJU
      KUMDJUNDQZUPBDUMGUMRZSUMDTCUNUOLUQUPCUMBMUAUBCUNDUOUCUDUEUFULCDEUOAEBCUMF
      URHUGUHUI $.
      $( [13-Dec-2007] $) $( [28-Nov-2007] $)
  $}

  ${
    $d x y z U $.  $d x y z W $.  $d x y z Z $.
    0lno.0 $e |- Z = ( U 0op W ) $.
    0lno.7 $e |- L = ( U LnOp W ) $.
    $( The zero operator is linear. $)
    0lno $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> Z e. L ) $=
      ( vx vy vz cnv wcel wa cba cfv wf cv cns co cpv wceq wral cc eqid 0oo
      cn0v nvzcl nv0rid mpdan adantl ad2antrr 0oval 3expa adantr adantrl
      opreq2d nvsz ad2ant2lr eqtrd adantlr opreq12d nvscl 3expb nvgcl syldan
      anasss anassrs 3eqtr4rd ex r19.21aivv r19.21aiva jca islno mpbird ) AJKZC
      JKZLZDBKAMNZCMNZDOZGPZHPZIPZAQNZRZASNZRZDNZVTDNZWAWBDNZCQNZRZCSNZRZTZIVQU
      AHUBUAZGVQUAZLVPVSWPACVQVRDVQUCZVRUCZEUDVPWOGVQVPVTVQKZLZWNHIUBVQWTWAUBKZ
      WBVQKZLZWNWTXCLZCUENZXEWLRZXEWMWGVPXFXETZWSXCVOXGVNVOXEVRKXGCVRXEWRXEUCZU
      FXECWLVRXEWRWLUCZXHUGUHUIUJXDWHXEWKXEWLWTWHXETZXCVNVOWSXJVTADCVQXEWQXHEUK
      ULUMVPXCWKXETWSVPXCLZWKWAXEWJRZXEXKWIXEWAWJVPXBWIXETZXAVNVOXBXMWBADCVQXEW
      QXHEUKULUNUOVOXAXLXETVNXBWAWJCXEWJUCZXHUPUQURUSUTVPWSXCWGXETZVPWSXCLZWFVQ
      KZXOVNXPXQVOVNWSXCXQVNWSLXCWDVQKZXQVNXCXRWSVNXAXBXRWAWBWCAVQWQWCUCZVAVBUS
      VNWSXRXQVTWDAWEVQWQWEUCZVCULVDVEUSVNVOXQXOWFADCVQXEWQXHEUKULVDVFVGVHVIVJV
      KGHIWCWJDAWEWLBCVQVRWQWRXTXIXSXNFVLVM $.
      $( [17-Dec-2007] $) $( [28-Nov-2007] $)
  $}

  ${
    $d x z U $.  $d x z W $.  $d x z Z $.
    nmo0.3 $e |- N = ( U normOp W ) $.
    nmo0.0 $e |- Z = ( U 0op W ) $.
    $( The operator norm of the zero operator. $)
    nmo0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) ->
         ( N ` Z ) = 0 ) $=
      ( vz vx cnv wcel wa cfv cc0 csn cxr clt csup cv cnm c1 cle wbr wceq cba
      wrex cab wf eqid 0oo nmoval mpd3an3 wb cn0v fveq2 breq1d rcla4ev nvzcl
      nvz0 0re 1re lt01 ltlei syl6eqbr sylanc biantrurd adantr 0oval 3expa
      fveq2d ad2antlr eqtrd eqeq2d anbi2d rexbidva r19.41v syl6rbb bitrd
      abbidv df-sn syl5req supeq1 syl cr rexrt ax-mp xrltso supsn syl6eq ) AIJZ
      CIJZKZDBLZMNZOPQZMWKWLGRZASLZLZTUAUBZHRZWODLZCSLZLZUCZKZGAUDLZUEZHUFZOPQZ
      WNWIWJXECUDLZDUGWLXHUCACXEXIDXEUHZXIUHZFUIHGDAWPXABCXEXIXJXKWPUHZXAUHZEUJ
      UKWKXGWMUCXHWNUCWKWSMUCZHUFXGWMWKXNXFHWKXNWRGXEUEZXNKZXFWIXNXPULWJWIXOXNA
      UMLZXEJXQWPLZTUAUBZXOWIWRXSGXQXEWOXQUCWQXRTUAWOXQWPUNUOUPAXEXQXJXQUHZUQWI
      XRMTUAAWPXQXTXLURMTUSUTVAVBVCVDVEVFWKXFWRXNKZGXEUEXPWKXDYAGXEWKWOXEJZKZXC
      XNWRYCXBMWSYCXBCUMLZXALZMYCWTYDXAWIWJYBWTYDUCWOADCXEYDXJYDUHZFVGVHVIWJYEM
      UCWIYBCXAYDYFXMURVJVKVLVMVNWRXNGXEVOVPVQVRHMVSVTOXGWMPWAWBVKMOJZWNMUCMWCJ
      YGUSMWDWEOMPWFWGWEWH $.
      $( [16-Dec-2007] $) $( [27-Nov-2007] $)
  $}

  ${
    0blo.0 $e |- Z = ( U 0op W ) $.
    0blo.7 $e |- B = ( U BLnOp W ) $.
    $( The zero operator is a bounded linear operator. $)
    0blo $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> Z e. B ) $=
      ( cnv wcel wa clno co cnmo cfv cr eqid 0lno cc0 nmo0 0re syl6eqel jca
      isblo2 mpbird ) BGHCGHIZDAHDBCJKZHZDBCLKZMZNHZIUDUFUIBUECDEUEOZPUDUHQNBUG
      CDUGOZERSTUAADBUEUGCUKUJFUBUC $.
      $( [1-Jan-2008] $) $( [8-Dec-2007] $)
  $}

  ${
    $d y z K $.  $d y z M $.  $d x N $.  $d z R $.  $d y z S $.  $d x y z T $.
    $d y z U $.  $d y z W $.  $d x y z X $.  $d y z Y $.  $d x Z $.
    nmlno0.3 $e |- N = ( U normOp W ) $.
    nmlno0.0 $e |- Z = ( U 0op W ) $.
    nmlno0.7 $e |- L = ( U LnOp W ) $.
    ${
      nmlno0lem.u $e |- U e. NrmCVec $.
      nmlno0lem.w $e |- W e. NrmCVec $.
      nmlno0lem.l $e |- T e. L $.
      nmlno0lem.1 $e |- X = ( Base ` U ) $.
      nmlno0lem.2 $e |- Y = ( Base ` W ) $.
      nmlno0lem.r $e |- R = ( .s ` U ) $.
      nmlno0lem.s $e |- S = ( .s ` W ) $.
      nmlno0lem.p $e |- P = ( 0v ` U ) $.
      nmlno0lem.q $e |- Q = ( 0v ` W ) $.
      nmlno0lem.k $e |- K = ( norm ` U ) $.
      nmlno0lem.m $e |- M = ( norm ` W ) $.
      $( Lemma for ~ nmlno0i . $)
      nmlno0lem $p |- ( ( N ` T ) = 0 <-> T = Z ) $=
        ( vx vz vy cfv cc0 wceq cv wral wa wcel wne wn c1 cdiv co clt wbr wi
        cc recne0t cnv cr nvcl mpan recnd adantr wb nvz fveq2 lno0 mp3an
        syl6eq syl6bi necon3d imp sylanc pm3.27 jca wo nvmul0or mp3an1 recclt
        wf lnof ffvelrni necon3abid neanior syl6bbr mpbird nvscl nvgt0 syl
        mpbid ex adantl cle wrex cab cxr csup breq1d fveq2d eqeq2d anbi12d
        rcla4ev pm3.26 eqlet nv1 necon3i sylan2 1re syl6eqel w3a 3pm3.2i
        lnomul eqcomd fvex eqeq1 anbi2d rexbidv elab sylibr wss nmosetre mp2an
        ressxr sstri supxrub adantll nmoval eqeq1i biimp ad2antrr breqtrd 0re
        lenltt mpan2 pm2.65d nne sylib 0oval mp3an12 eqtr4d r19.21aiva eqid
        jctil wfn ffn ax-mp 0oo eqfnfv nmo0 impbi ) EJULZUMUNZENUNZUVCLLUNZUIUO
        ZEULZUVFNULZUNZUILUPZUQZUVDUVCUVJUVEUVCUVIUILUVCUVFLURZUQZUVGBUVHUVMUVG
        BUSZUTUVGBUNZUVMUVNUMVAUVFGULZVBVCZUVGDVCZIULZVDVEZUVLUVNUVTVFUVCUVLUVN
        UVTUVLUVNUQZUVRBUSZUVTUWAUWBUVQUMUSZUVNUQZUWAUWCUVNUVPVGURZUVPUMUSZUWCU
        WAUVPVHUVLUWEUVNUVLUVPFVIURZUVLUVPVJURRUVFFGLUAUGVKVLVMVNZUVLUVNUWFUVLU
        VPUMUVGBUVLUVPUMUNZUVFAUNZUVOUWGUVLUWIUWJVORUVFFGLAUAUEUGVPVLUWJUVGAEUL
        ZBUVFAEVQUWGKVIURZEHURZUWKBUNRSTAEFHKLMBUAUBUEUFQVRVSVTZWAWBWCZWDUVLUVN
        WEWFUWAUWBUVQUMUNUVOWGZUTUWDUWAUWPUVRBUVQVGURZUVGMURZUVRBUNUWPVOZUWAUWL
        UWQUWRUWSSUVQUVGDKMBUBUDUFWHWIUWEUWFUWQUWAUVPWJUWHUWOWDZUVLUWRUVNLMUVFE
        UWGUWLUWMLMEWKZRSTEFHKLMUAUBQWLVSZWMVNZWDWNUVQUMUVGBWOWPWQUWAUVRMURZUWB
        UVTVOZUWQUWRUXDUWAUWLUWQUWRUXDSUVQUVGDKMUBUDWRWIUWTUXCWDZUWLUXDUXESUVRK
        IMBUBUFUHWSVLWTXAXBXCUVMUVNUVTUTZUVMUVNUQZUVSUMXDVEZUXGUXHUVSUJUOZGULZV
        AXDVEZUKUOZUXJEULZIULZUNZUQZUJLXEZUKXFZXGVDXHZUMXDUVLUVNUVSUXTXDVEZUVCU
        WAUVSUXSURZUYAUWAUXLUVSUXOUNZUQZUJLXEZUYBUVQUVFCVCZLURZUYFGULZVAXDVEZUV
        SUYFEULZIULZUNZUQZUYEUWAUYDUYMUJUYFLUXJUYFUNZUXLUYIUYCUYLUYNUXKUYHVAXDU
        XJUYFGVQXIUYNUXOUYKUVSUYNUXNUYJIUXJUYFEVQXJXKXLXMUWQUVLUYGUWAUWGUWQUVLU
        YGRUVQUVFCFLUAUCWRWIUWTUVLUVNXNZWDUWAUYIUYLUYHVJURUYHVAUNZUYIUWAUYHVAXO
        UWAUYHVAVJUVLUVFAUSZUYPUVNUWGUVLUYQUYPRUVFCFGLAUAUCUEUGXPWIUVFAUVGBUWNX
        QXRZXSXTUYRWDUWAUVRUYJIUWAUYJUVRUWQUVLUYJUVRUNZUWAUWGUWLUWMYAUWQUVLUQUY
        SUWGUWLUWMRSTYBUVQUVFCDEFHKLUAUCUDQYCVLUWTUYOWDYDXJWFWDUXRUYEUKUVSUVRIY
        EUXMUVSUNZUXQUYDUJLUYTUXPUYCUXLUXMUVSUXOYFYGYHYIYJUXSXGYKUYBUYAUXSVJXGU
        WLUXAUXSVJYKSUXBUKUJEGIKLMUBUHYLYMYNYOUXSUVSYPVLWTYQUVCUXTUMUNZUVLUVNUV
        CVUAUVBUXTUMUWGUWLUXAUVBUXTUNRSUXBUKUJEFGIJKLMUAUBUGUHOYRVSYSYTUUAUUBUV
        LUVNUXIUXGVOZUVCUWAUVSVJURZVUBUWAUXDVUCUXFUWLUXDVUCSUVRKIMUBUHVKVLWTVUC
        UMVJURVUBUUCUVSUMUUDUUEWTYQXAXBUUFUVGBUUGUUHUVLUVHBUNZUVCUWGUWLUVLVUDRS
        UVFFNKLBUAUFPUUIUUJXCUUKUULLUUMUUNELUUOZNLUUOZUVDUVKVOUXAVUEUXBLMEUUPUU
        QLMNWKZVUFUWGUWLVUGRSFKLMNUAUBPUURYMLMNUUPUUQUILLENUUSYMYJUVDUVBNJULZUM
        ENJVQUWGUWLVUHUMUNRSFJKNOPUUTYMVTUVA $.
        $( [26-Dec-2007] $) $( [28-Nov-2007] $)
    $}

    ${
      nmlno0i.u $e |- U e. NrmCVec $.
      nmlno0i.w $e |- W e. NrmCVec $.
      $( The norm of a linear operator is zero iff the operator is zero. $)
      nmlno0i $p |- ( T e. L -> ( ( N ` T ) = 0 <-> T = Z ) ) $=
        ( wcel cfv cc0 wceq wb cif fveq2 eqeq1d eqeq1 bibi12d cn0v cns cnm cba
        cnv 0lno mp2an elimel eqid nmlno0lem dedth ) ACLZADMZNOZAFOZPUMAFQZDMZN
        OZUQFOZPAFAUQOZUOUSUPUTVAUNURNAUQDRSAUQFTUABUBMZEUBMZBUCMZEUCMZUQBBUDMZ
        CEUDMZDEBUEMZEUEMZFGHIJKAFCBUFLEUFLFCLJKBCEFHIUGUHUIVHUJVIUJVDUJVEUJVBU
        JVCUJVFUJVGUJUKUL $.
        $( [26-Dec-2007] $) $( [6-Dec-2007] $)
    $}

    $( The norm of a linear operator is zero iff the operator is zero. $)
    nmlno0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) ->
       ( ( N ` T ) = 0 <-> T = Z ) ) $=
      ( cnv wcel cfv cc0 wceq wb wi caddc cmul cop cabs cif clno co cnmo c0o
      opreq1 syl5eq eleq2d fveq1d eqeq1d eqeq2d bibi12d imbi12d opreq2 eqid
      elimnvu nmlno0i dedth2h 3impia ) BJKZEJKZACKZADLZMNZAFNZOZUTVAVBVFPAUTBQR
      STSZUAZEUBUCZKZAVHEUDUCZLZMNZAVHEUEUCZNZOZPAVHVAEVGUAZUBUCZKZAVHVQUDUCZLZ
      MNZAVHVQUEUCZNZOZPBEVGVGBVHNZVBVJVFVPWFCVIAWFBEUBUCVICBVHEUBUFIUGUHWFVDVM
      VEVOWFVCVLMWFADVKWFBEUDUCVKDBVHEUDUFGUGUIUJWFFVNAWFBEUEUCVNFBVHEUEUFHUGUK
      ULUMEVQNZVJVSVPWEWGVIVRAEVQVHUBUNUHWGVMWBVOWDWGVLWAMWGAVKVTEVQVHUDUNUIUJW
      GVNWCAEVQVHUEUNUKULUMAVHVRVTVQWCVTUOWCUOVRUOBUPEUPUQURUS $.
      $( [4-Jan-2008] $) $( [24-Nov-2007] $)
  $}


  ${
    $d x A $.  $d x K $.  $d x L $.  $d x M $.  $d x T $.  $d x X $.  $d x W $.
    nmlnoubi.1 $e |- X = ( Base ` U ) $.
    nmlnoubi.z $e |- Z = ( 0v ` U ) $.
    nmlnoubi.k $e |- K = ( norm ` U ) $.
    nmlnoubi.m $e |- M = ( norm ` W ) $.
    nmlnoubi.3 $e |- N = ( U normOp W ) $.
    nmlnoubi.7 $e |- L = ( U LnOp W ) $.
    nmlnoubi.u $e |- U e. NrmCVec $.
    nmlnoubi.w $e |- W e. NrmCVec $.
    $( An upper bound for the operator norm of a linear operator, using only
       the properties of nonzero arguments. $)
    nmlnoubi $p |- ( ( T e. L /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. X ( x =/= Z
     -> ( M ` ( T ` x ) ) <_ ( A x. ( K ` x ) ) ) ) -> ( N ` T ) <_ A ) $=
      ( wcel cr cc0 cle wbr wa cv cfv cmul co wral wne wi cba wf eqid nmoub2i
      cnv lnof mp3an12 syl3an1 wceq fveq2 fveq2d opreq2d breq12d id imp
      adantll 0re leid a1i cn0v lno0 nvz0 ax-mp syl6eq adantr cc recnt mul01t
      syl opreq2i syl5eq ad2antrl 3brtr4d pm2.61ne ex r19.20sdv 3impia
      syld3an3 ) CFTZBUATZUBBUCUDZUEZAUFZCUGZGUGZBWOEUGZUHUIZUCUDZAJUJZCHUGBUCU
      DZWOKUKZWTULZAJUJZJIUMUGZCUNZWNXAXBWKABCDEGHIJXFLXFUOZNOPRSUPDUQTZIUQTZWK
      XGRSCDFIJXFLXHQURUSUTWKWNXEXAWKWNUEZXDWTAJXKXDWTXKXDUEWTKCUGZGUGZBKEUGZUH
      UIZUCUDZWOKWOKVAZWQXMWSXOUCXQWPXLGWOKCVBVCXQWRXNBUHWOKEVBVDVEXDXCWTXKXDXC
      WTXDVFVGVHXKXPXDXKUBUBXMXOUCUBUBUCUDXKUBVIVJVKWKXMUBVAWNWKXMIVLUGZGUGZUBW
      KXLXRGXIXJWKXLXRVARSKCDFIJXFXRLXHMXRUOZQVMUSVCXJXSUBVASIGXRXTOVNVOVPVQWLX
      OUBVAWKWMWLBUBUHUIZUBXOWLBVRTYAUBVABVSBVTWAXNUBBUHXIXNUBVARDEKMNVNVOWBWCW
      DWEVQWFWGWHWIWJ $.
      $( [19-Jan-2008] $) $( [1-Jan-2008] $)
  $}

  ${
    nmlnogt0.3 $e |- N = ( U normOp W ) $.
    nmlnogt0.0 $e |- Z = ( U 0op W ) $.
    nmlnogt0.7 $e |- L = ( U LnOp W ) $.
    $( The norm of a nonzero linear operator is positive. $)
    nmlnogt0 $p |- ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) ->
                   ( T =/= Z <-> 0 < ( N ` T ) ) ) $=
      ( cnv wcel w3a cfv cc0 wne clt wbr nmlno0 necon3bid cba wf wb cxr cle wa
      wo cr 0re rexrt ax-mp xrlttri2t mpan2 adantr wn xrlenltt mpan biimpa
      biorf syl bitr4d eqid nmoxr nmoge0 sylanc lnof syld3an3 bitr3d ) BJKZEJKZ
      ACKZLZADMZNOZAFONVLPQZVKVLNAFABCDEFGHIRSVHVIBTMZETMZAUAZVMVNUBZVJVLUCKZNV
      LUDQZVRVHVIVQLVSVTUEZVMVLNPQZVNUFZVNVSVMWCUBZVTVSNUCKZWDNUGKWEUHNUIUJZVLN
      UKULUMWAWBUNZVNWCUBVSVTWGWEVSVTWGUBWFNVLUOUPUQWBVNURUSUTABDEVOVPVOVAZVPVA
      ZGVBABDEVOVPWHWIGVCVDABCEVOVPWHWIIVEVFVG $.
      $( [5-Jan-2008] $) $( [10-Dec-2007] $)
  $}

  ${
    $d x L $.  $d x T $.  $d x U $.  $d x W $.  $d x X $.
    lnon0.1 $e |- X = ( Base ` U ) $.
    lnon0.6 $e |- Z = ( 0v ` U ) $.
    lnon0.0 $e |- O = ( U 0op W ) $.
    lnon0.7 $e |- L = ( U LnOp W ) $.
    $( The domain of a nonzero linear operator contains a nonzero vector. $)
    lnon0 $p |- ( ( ( U e. NrmCVec /\ W e. NrmCVec /\ T e. L ) /\ T =/= O )
                   -> E. x e. X x =/= Z ) $=
      ( cnv wcel w3a wne cv wrex wceq wral wn cn0v cfv csn cxp wfn wa fveq2
      cba eqid lno0 sylan9eqr ex r19.20sdv wf lnof ffn syl jctild fconstfv
      fvex fconst2 bitr3 syl6ib 0ofval 3adant3 eqeq2d sylibrd ralnex nne
      ralbii syl5ib necon1ad imp ) CMNZFMNZBDNZOZBEPAQZHPZAGRZVRWABEVRVSHSZAGTZ
      BESZWAUAZVRWCBGFUBUCZUDZUEZSZWDVRWCBGUFZVSBUCZWFSZAGTZUGZWIVRWCWMWJVRWBWL
      AGVRWBWLWBVRWKHBUCWFVSHBUHHBCDFGFUIUCZWFIWOUJZJWFUJZLUKULUMUNVRGWOBUOWJBC
      DFGWOIWPLUPGWOBUQURUSWNGWGBUOWIAGWFBUTGWFBFUBVAVBVCVDVREWHBVOVPEWHSVQCEFG
      WFIWQKVEVFVGVHWEVTUAZAGTWCVTAGVIWRWBAGVSHVJVKVCVLVMVN $.
      $( [13-Aug-2008] $) $( [15-Dec-2007] $)
  $}

  ${
    nmblolbi.1 $e |- X = ( Base ` U ) $.
    nmblolbi.4 $e |- L = ( norm ` U ) $.
    nmblolbi.5 $e |- M = ( norm ` W ) $.
    nmblolbi.6 $e |- N = ( U normOp W ) $.
    nmblolbi.7 $e |- B = ( U BLnOp W ) $.
    nmblolbi.u $e |- U e. NrmCVec $.
    nmblolbi.w $e |- W e. NrmCVec $.
    ${
      nmblolbii.b $e |- T e. B $.
      $( A lower bound for the norm of a bounded linear operator. $)
      nmblolbii $p |- ( A e. X ->
                ( M ` ( T ` A ) ) <_ ( ( N ` T ) x. ( L ` A ) ) ) $=
        ( wcel cfv cmul co cle wbr cn0v wceq fveq2 fveq2d opreq2d breq12d wne
        wa cdiv c1 cns cr cc0 cba cnv eqid nvsge0 mp3an1 rerecclt nvcl mpan
        adantr wb nvz necon3bid biimpar sylanc clt recgt0t nvgt0 biimpa wi 0re
        ltlet syl mpd jca wf blof mp3an ffvelrni cc clno w3a bloln 3pm3.2i
        lnomul recnd pm3.26 divrec2t syl3anc 3eqtr4rd nmolb nvscl eqlet ancoms
        syldan nv1 eqbrtrd ledivmul2tOLD nmblore a1i 3jca mpbid leid lno0 fveq2i
        nvz0 ax-mp eqtr opreq2i recn mul01 3brtr4 pm2.61ne ) AIRZACSZFSZCGSZAES
        ZTUAZUBUCZDUDSZCSZFSZYBYFESZTUAZUBUCZAYFAYFUEZYAYHYDYJUBYLXTYGFAYFCUFUG
        YLYCYIYBTAYFEUFUHUIXSAYFUJZUKZYAYCULUAZYBUBUCZYEYNYOUMYCULUAZADUNSZUAZC
        SZFSZYBUBYNYQXTHUNSZUAZFSZYQYATUAZUUAYOYQUORZUPYQUBUCZUKZXTHUQSZRZUUDUU
        EUEZYNHURRZUUHUUJUUKPYQXTUUBHFUUIUUIUSZUUBUSZLUTVAYNUUFUUGYCUORZYCUPUJZ
        UUFYNYCVBXSUUOYMDURRZXSUUOOADEIJKVCVDZVEZXSUUPYMXSYCUPAYFUUQXSYCUPUEYLV
        FOADEIYFJYFUSZKVGVDVHVIZVJZYNUPYQVKUCZUUGUUOUPYCVKUCZUVCYNYCVLUUSXSYMUV
        DUUQXSYMUVDVFOADEIYFJUUTKVMVDVNZVJYNUUFUVCUUGVOZUVBUPUORUUFUVFVPUPYQVQV
        DVRVSVTXSUUJYMIUUIACUUQUULCBRZIUUICWAZOPQBCDHIUUIJUUMNWBWCZWDZVEVJYNYTU
        UCFYQWERZXSYTUUCUEZYNUUQUULCDHWFUAZRZWGUVKXSUKUVLUUQUULUVNOPUUQUULUVGUV
        NOPQBCDUVMHUVMUSZNWHWCZWIYQAYRUUBCDUVMHIJYRUSZUUNUVOWJVDYNYQUVBWKZXSYMW
        LZVJUGYAWERYCWERUUPYOUUEUEYNYAYCWMYNYAXSYAUORZYMXSUUJUVTUVJUULUUJUVTPXT
        HFUUIUUMLVCVDVRZVEWKYNYCUUSWKUVAWNWOYSIRZYSESZUMUBUCZUUAYBUBUCZYNUUQUUL
        UVHWGUWBUWDUKUWEUUQUULUVHOPUVIWIYSCDEFGHIUUIJUUMKLMWPVDUVKXSUWBYNUUQUVK
        XSUWBOYQAYRDIJUVQWQVAZUVRUVSVJUWCUORZUWCUMUEZUWDYNUWCUMWRYNUWBUWGXSYMUV
        KUWBUVRUVKXSUWBUWFWSWTUUQUWBUWGOYSDEIJKVCVDVRUUQXSYMUWHOAYRDEIYFJUVQUUT
        KXAVAVJVJXBUVTUUOYBUORZWGZUVDYPYEVFYNYAYCYBXCXSUWJYMXSUVTUUOUWIUWAUURUW
        IXSUUQUULUVGUWIOPQBCDGHIUUIJUUMMNXDWCZXEXFVEUVEVJXGYKXSUPUPYHYJUBUPVPXH
        YHHUDSZFSZUPYGUWLFUUQUULUVNYGUWLUEOPUVPYFCDUVMHIUUIUWLJUUMUUTUWLUSZUVOX
        IWCXJUULUWMUPUEPHFUWLUWNLXKXLXMYJYBUPTUAUPYIUPYBTUUQYIUPUEODEYFUUTKXKXL
        XNYBYBUWKXOXPXMXQXEXR $.
        $( [2-Jan-2008] $) $( [7-Dec-2007] $)
    $}

    $( A lower bound for the norm of a bounded linear operator. $)
    nmblolbi $p |- ( ( T e. B /\ A e. X ) ->
              ( M ` ( T ` A ) ) <_ ( ( N ` T ) x. ( L ` A ) ) ) $=
      ( wcel cfv cmul co cle wbr wi c0o cif wceq fveq1 fveq2d fveq2 opreq1d
      breq12d imbi2d cnv eqid 0blo mp2an elimel nmblolbii dedth imp ) CBQZAIQZA
      CRZFRZCGRZAERZSTZUAUBZVAVBVHUCVBAVACDHUDTZUEZRZFRZVJGRZVFSTZUAUBZUCCVICVJ
      UFZVHVOVBVPVDVLVGVNUAVPVCVKFACVJUGUHVPVEVMVFSCVJGUIUJUKULABVJDEFGHIJKLMNO
      PCVIBDUMQHUMQVIBQOPBDHVIVIUNNUOUPUQURUSUT $.
      $( [3-Jan-2008] $) $( [10-Dec-2007] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x L $.  $d x y M $.  $d x y N $.  $d x y T $.
    $d x y U $.  $d x y W $.  $d x y X $.
    isblo3i.1 $e |- X = ( Base ` U ) $.
    isblo3i.m $e |- M = ( norm ` U ) $.
    isblo3i.n $e |- N = ( norm ` W ) $.
    isblo3i.4 $e |- L = ( U LnOp W ) $.
    isblo3i.5 $e |- B = ( U BLnOp W ) $.
    isblo3i.u $e |- U e. NrmCVec $.
    isblo3i.w $e |- W e. NrmCVec $.
    $( The predicate "is a bounded linear operator."  Definition 2.7-1 of
       [Kreyszig] p. 91. $)
    isblo3i $p |- ( T e. B <-> ( T e. L /\
          E. x e. RR A. y e. X ( N ` ( T ` y ) ) <_ ( x x. ( M ` y ) ) ) ) $=
      ( wcel cv cfv cmul co cle wbr wral cr wrex wa cnv bloln mp3an12 cnmo
      wceq opreq1 breq2d ralbidv rcla4ev cba eqid nmblore nmblolbi r19.21aiva
      sylanc jca w3a cpnf clt 3simp1 wf cabs nmoub3i cc recnt absclt syl
      ltpnft 3ad2ant2 cxr wi xrlelttrt nmoxr 3ad2ant1 rexrt pnfxr a1i syl3anc
      mp2and lnof syl3an1 wb isblo mp2an sylibr 3exp r19.23adv imp impbi ) DCRZ
      DFRZBSZDTHTZASZWTGTZUAUBZUCUDZBJUEZAUFUGZUHWRWSXGEUIRZIUIRZWRWSPQCDEFINOU
      JUKDEIULUBZTZUFRZXAXKXCUAUBZUCUDZBJUEZXGWRXFXOAXKUFXBXKUMZXEXNBJXPXDXMXAU
      CXBXKXCUAUNUOUPUQXHXIWRXLPQCDEXJIJIURTZKXQUSZXJUSZOUTUKWRXNBJWTCDEGHXJIJK
      LMXSOPQVAVBVCVDWSXGWRWSXFWRAUFWSXBUFRZXFWRWSXTXFVEZWSXKVFVGUDZUHZWRYAWSYB
      WSXTXFVHJXQDVIZXTXFYBWSYDXTXFVEZXKXBVJTZUCUDZYFVFVGUDZYBBXBDEGHXJIJXQKXRL
      MXSPQVKXTYDYHXFXTYFUFRZYHXTXBVLRYIXBVMXBVNVOZYFVPVOVQXKVRRZYFVRRZVFVRRZYG
      YHUHYBVSYEXKYFVFVTYDXTYKXFXHXIYDYKPQDEXJIJXQKXRXSWAUKWBXTYDYLXFXTYIYLYJYF
      WCVOVQYMYEWDWEWFWGXHXIWSYDPQDEFIJXQKXRNWHUKWIVDXHXIWRYCWJPQCDEFXJIXSNOWKW
      LWMWNWOWPWQ $.
      $( [4-Jan-2008] $) $( [11-Dec-2007] $)

    $( Properties that determine a bounded linear operator. $)
    blo3i $p |- ( ( T e. L /\ A e. RR /\ A. y e. X ( N ` ( T ` y ) ) <_
               ( A x. ( M ` y ) ) ) -> T e. B ) $=
      ( vx wcel cr cv cfv cmul co cle wbr wral wrex wa isblo3i biimpr wceq
      opreq1 breq2d ralbidv rcla4ev sylan2 3impb ) DFSZBTSZAUAZDUBHUBZBVAGUBZUC
      UDZUEUFZAJUGZDCSZUSVBRUAZVCUCUDZUEUFZAJUGZRTUHZVGUTVFUIVGUSVLUIRACDEFGHIJ
      KLMNOPQUJUKVKVFRBTVHBULZVJVEAJVMVIVDVBUEVHBVCUCUMUNUOUPUQUR $.
      $( [21-Jan-2008] $) $( [13-Jan-2008] $)
  $}

  ${
    blometi.1 $e |- X = ( Base ` U ) $.
    blometi.2 $e |- Y = ( Base ` W ) $.
    blometi.8 $e |- C = ( IndMet ` U ) $.
    blometi.d $e |- D = ( IndMet ` W ) $.
    blometi.6 $e |- N = ( U normOp W ) $.
    blometi.7 $e |- B = ( U BLnOp W ) $.
    blometi.u $e |- U e. NrmCVec $.
    blometi.w $e |- W e. NrmCVec $.
    $( Upper bound for the distance between the values of a bounded linear
       operator. $)
    blometi $p |- ( ( T e. B /\ P e. X /\ Q e. X ) ->
         ( ( T ` P ) D ( T ` Q ) ) <_ ( ( N ` T ) x. ( P C Q ) ) ) $=
      ( wcel w3a cnsb cfv co cnm cmul cle wbr wa eqid nmblolbi cnv nvmcl
      mp3an1 sylan2 3impb wceq imsdval wf ffvelrn blof mp3an12 sylan 3adant3
      3adant2 sylanc clno lnosub mp3anl1 mpanl1 bloln syl3an1 fveq2d eqtr4d
      3adant1 opreq2d 3brtr4d ) FATZDJTZEJTZUAZDEGUBUCZUDZFUCZIUEUCZUCZFHUCZWCG
      UEUCZUCZUFUDZDFUCZEFUCZCUDZWGDEBUDZUFUDUGVRVSVTWFWJUGUHZVRWCJTZWOVSVTUIZW
      CAFGWHWEHIJLWHUJZWEUJZPQRSUKGULTZVSVTWPRDEGWBJLWBUJZUMUNUOUPWAWMWKWLIUBUC
      ZUDZWEUCZWFWKKTZWLKTZWMXDUQZWAIULTZXEXFXGSWKWLCIXBWEKMXBUJZWSOURUNVRVSXEV
      TJKFUSZVSXEVRJKDFUTWTXHVRXJRSAFGIJKLMQVAVBZVCVDVRVTXFVSXJVTXFVRJKEFUTXKVC
      VEVFWAWDXCWEFGIVGUDZTZVSVTWDXCUQZVRXMVSVTXNXHXMWQXNSWTXHXMWQXNRDEFGXLWBXB
      IJLXAXIXLUJZVHVIVJUPWTXHVRXMRSAFGXLIXOQVKVBVLVMVNWAWNWIWGUFVSVTWNWIUQZVRW
      TVSVTXPRDEBGWBWHJLXAWRNURUNVOVPVQ $.
      $( [5-Jan-2008] $) $( [11-Dec-2007] $)
  $}

  ${
    $d v w x y B $.  $d w x y z C $.  $d w x y z D $.  $d w x y z J $.
    $d x y z K $.  $d v x L $.  $d w y z P $.  $d v w x y z T $.
    $d v w x y z U $.  $d v w x y z W $.  $d w x y z X $.
    blocni.8 $e |- C = ( IndMet ` U ) $.
    blocni.d $e |- D = ( IndMet ` W ) $.
    blocni.j $e |- J = ( Open ` C ) $.
    blocni.k $e |- K = ( Open ` D ) $.
    blocni.4 $e |- L = ( U LnOp W ) $.
    blocni.5 $e |- B = ( U BLnOp W ) $.
    blocni.u $e |- U e. NrmCVec $.
    blocni.w $e |- W e. NrmCVec $.
    blocni.l $e |- T e. L $.
    ${
      blocnilem.1 $e |- X = ( Base ` U ) $.
      $( MAY BE REVISED - this needs to be broken up or shortened! $)
      $( Lemma for ~ blocni and ~ lnocni .  If a linear operator is continuous
         at any point, it is bounded.  _Warning:  The HTML proof page is 0.7MB
         in size_. $)
      blocnilem $p |- ( ( P e. X /\ T e. ( ( J CnP K ) ` P ) ) -> T e. B ) $=
        ( vw vx vz vy wcel ccnp co cfv wa cv cnm cmul cle wbr wral cr wrex cc0
        clt cnsb c1 wi cnv w3a 1re lt01 eqid nvcnpi4 mp3anr3 mpanr2 mp3anl1
        mpanl1 cdiv wceq opreq1 breq2d ralbidv rcla4ev wne gt0ne0t rerecclt
        syldan ad2antlr cn0v fveq2 fveq2d opreq2d breq12d cns nvnncan mp3an1
        simpll cc nvscl redivclt 3expb nvcl mpan adantr wb nvz necon3bid
        biimpar jca sylan2 recnd simprl sylanc adantll adantlrr nvsge0 adantlr
        divge0t 0re ltlet imdistani nvgt0 biimpa syl2an divcan1tOLD adantl recnt
        ad2antrr syl3anc eqtrd leidt eqbrtrd nvmcl opreq2 breq1d imbi12d
        rcla4v syl mpid 3pm3.2i lnomul cba wf lnof mp3an ffvelrni ad2antrl
        lemuldiv2tOLD mp3anl3 divgt0t recdivt divrec2t bitrd sylibd exp32 com23
        com24 imp41 mul01t nvz0 ax-mp opreq2i syl5req leid syl5breq lno0
        fveq2i eqtr syl5eqbr pm2.61ne r19.21aiva exp42 imp4a r19.23adv mpd
        jctil isblo3i sylibr ) DKUFZEDGHUGUHUIUFZUJZEIUFZUBUKZEUIZJULUIZUIZUCUK
        ZUVSFULUIZUIZUMUHZUNUOZUBKUPZUCUQURZUJEAUFUVQUWIUVRUVQUSUDUKZUTUOZDUEUK
        ZFVAUIZUHZUWDUIZUWJUNUOZUWNEUIZUWAUIZVBUNUOZVCZUEKUPZUJZUDUQURZUWIJVDUF
        ZUVOUVPUXCSFVDUFZUXDUVOUVPUXCRUXEUXDUVOVEZUVPVBUQUFZUXCVFUXFUVPUXGUSVBU
        TUOUXCVGUDUEVBBCDUWMEFGHIUWDUWAJKUAUWDVHZUWAVHZUWMVHZLMNOPTVIVJVKVLVMUV
        OUXCUWIVCUVPUVOUXBUWIUDUQUVOUWJUQUFZUWKUXAUWIUVOUXKUWKUXAUWIVBUWJVNUHZU
        QUFZUWBUXLUWEUMUHZUNUOZUBKUPZUWIUVOUXKUWKUJZUJZUXAUJZUWHUXPUCUXLUQUWCUX
        LVOZUWGUXOUBKUXTUWFUXNUWBUNUWCUXLUWEUMVPVQVRVSUXQUXMUVOUXAUXKUWKUWJUSVT
        ZUXMUWJWAZUWJWBWCZWDUXSUXOUBKUXSUVSKUFZUJUXOFWEUIZEUIZUWAUIZUXLUYEUWDUI
        ZUMUHZUNUOZUVSUYEUVSUYEVOZUWBUYGUXNUYIUNUYKUVTUYFUWAUVSUYEEWFWGUYKUWEUY
        HUXLUMUVSUYEUWDWFWHWIUXRUXAUYDUVSUYEVTZUXOUXRUYLUYDUXAUXOUXRUYDUYLUXAUX
        OVCZUXRUYDUYLUYMUXRUYDUYLUJZUJZUXADDUWJUWEVNUHZUVSFWJUIZUHZUWMUHZUWMUHZ
        EUIZUWAUIZVBUNUOZUXOUYOUXAUYTUWDUIZUWJUNUOZVUCUYOVUDUWJUWJUNUYOVUDUYRUW
        DUIZUWJUYOUYTUYRUWDUVOUXKUYNUYTUYRVOZUWKUVOUYRKUFZVUGUVOUXKUJUYNUJUXEUV
        OVUHVUGRDUYRFUWMKUAUXJWKWLUVOUXKUYNWMUXKUYNVUHUVOUYPWNUFZUYDVUHUXKUYNUJ
        ZUXEVUIUYDVUHRUYPUVSUYQFKUAUYQVHZWOWLVUJUYPUXKUWEUQUFZUWEUSVTZUJUYPUQUF
        ZUYNUXKVULVUMVUNUWJUWEWPWQUYNVULVUMUYDVULUYLUXEUYDVULRUVSFUWDKUAUXHWRWS
        WTZUYDVUMUYLUYDUWEUSUVSUYEUXEUYDUWEUSVOUYKXARUVSFUWDKUYEUAUYEVHZUXHXBWS
        XCXDZXEXFZXGZUXKUYDUYLXHXIZXJXIXKZWGUXQUYNVUFUWJVOUVOUXQUYNUJZVUFUYPUWE
        UMUHZUWJVUNUSUYPUNUOZUJZUYDVUFVVCVOZVVBUXEVVEUYDVVFRUYPUVSUYQFUWDKUAVUK
        UXHXLWLVVBVUNVVDUXKUYNVUNUWKVURXMZUXKUSUWJUNUOZUJVULUSUWEUTUOZUJZVVDUXQ
        UYNUWJUWEXNUXKUWKVVHUSUQUFUXKUWKVVHVCXOUSUWJXPWSXQUYNVULVVIVUOUYDUYLVVI
        UXEUYDUYLVVIXARUVSFUWDKUYEUAVUPUXHXRWSXSXEZXTXEZUXQUYDUYLXHXIUWEWNUFZUW
        JWNUFZVUMVVCUWJVOVVBUWEUWJYAUYNVVMUXQUYNUWEVUOXGZYBZUXKVVNUWKUYNUWJYCZY
        DZUYNVUMUXQVUQYBYEYFXJYFUXQUWJUWJUNUOZUVOUYNUXKVVSUWKUWJYGWTWDYHUYOUYSK
        UFZUXAVUEVUCVCZVCUVOVUHVVTUYOUXEUVOVUHVVTRDUYRFUWMKUAUXJYIWLUVOUXQUYNWM
        UXQUYNVUHUVOUXKUYNVUHUWKVUTXMXJXIUWTVWAUEUYSKUWLUYSVOZUWPVUEUWSVUCVWBUW
        OVUDUWJUNVWBUWNUYTUWDUWLUYSDUWMYJZWGYKVWBUWRVUBVBUNVWBUWQVUAUWAVWBUWNUY
        TEVWCWGWGYKYLYMYNYOUYOVUCUYPUWBUMUHZVBUNUOZUXOUYOVUBVWDVBUNUYOVUBUYPUVT
        JWJUIZUHZUWAUIZVWDUYOVUAVWGUWAUYOVUAUYREUIZVWGUYOUYTUYREVVAWGVUIUYDVWIV
        WGVOZUYOUXEUXDUVRVEVUIUYDUJVWJUXEUXDUVRRSTYPUYPUVSUYQVWFEFIJKUAVUKVWFVH
        ZPYQWSUXQUYNVUIUVOUXKUYNVUIUWKVUSXMXJUXRUYDUYLXHXIYFWGUXQUYNVWHVWDVOZUV
        OVVEUVTJYRUIZUFZVWLVVBUXDVVEVWNVWLSUYPUVTVWFJUWAVWMVWMVHZVWKUXIXLWLVVLU
        YDVWNUXQUYLKVWMUVSEUXEUXDUVRKVWMEYSRSTEFIJKVWMUAVWOPYTUUAUUBZUUCXIXJYFY
        KUXQUYNVWEUXOXAUVOVVBVWEUWBVBUYPVNUHZUNUOZUXOVUNUWBUQUFZUJUSUYPUTUOZVWE
        VWRXAZVVBVUNVWSUXGVWTVXAVFUYPUWBVBUUDUUEVVBVUNVWSVVGUYDVWSUXQUYLUYDVWNV
        WSVWPUXDVWNVWSSUVTJUWAVWMVWOUXIWRWSYNUUCXEUXQVVJVWTUYNUWJUWEUUFVVKXFXIV
        VBVWQUXNUWBUNVVBVWQUWEUWJVNUHZUXNVVNUYAUJVVMVUMUJVWQVXBVOUXQUYNUWJUWEUU
        GUXQVVNUYAUXKVVNUWKVVQWTUYBXEUYNVVMVUMVVOVUQXEXTVVMVVNUYAVXBUXNVOVVBUWE
        UWJUUHVVPVVRUXQUYAUYNUYBWTYEYFVQUUIXJUUIUUJUUKUULUUMUUNUXRUYJUXAUYDUXQU
        YJUVOUXQUSUYIUYGUNUXQUSUYIUSUNUXQUXLUSUMUHZUSUYIUXQUXLWNUFVXCUSVOUXQUXL
        UYCXGUXLUUOYNUYHUSUXLUMUXEUYHUSVORFUWDUYEVUPUXHUUPUUQUURUUSUSXOUUTUVAUY
        GJWEUIZUWAUIZUSUYFVXDUWAUXEUXDUVRUYFVXDVORSTUYEEFIJKVWMVXDUAVWOVUPVXDVH
        ZPUVBUUAUVCUXDVXEUSVOSJUWAVXDVXFUXIUUPUUQUVDUVEYBYDUVFUVGXIUVHUVIUVJWTU
        VKTUVLUCUBAEFIUWDUWAJKUAUXHUXIPQRSUVMUVN $.
        $( [5-Jan-2008] $) $( [17-Dec-2007] $)
    $}

    $( A linear operator is continuous iff it is bounded.  Theorem 2.7-9(a) of
       [Kreyszig] p. 97. $)
    blocni $p |- ( T e. ( J Cn K ) <-> T e. B ) $=
      ( vy vz vx vw ccn co wcel cn0v cfv ccnp cuni cba cnv eqid nvzcl ax-mp
      cme wceq imsmet imsbai uniopn eleqtrr ctop wa opntop cncnpi mpanl12
      mpan2 blocnilem mpan syl c0o eleq1 wne wf cc0 cv clt wbr wi wral cr wrex
      cnmo cdiv breq2 imbi1d ralbidv anbi12d rcla4ev redivclt pm3.27 nmblore
      mp3an12 ad2antrr wb nmlno0i biimp necon3i ad2antlr syl3anc ad2ant2r
      divgt0t nmlnogt0 mp3an anim12i adantr sylanc adantlr cmul w3a ltmuldiv2tOLD
      metcl mp3an1 adantlll simprl 3jca biimpar cle blometi 3expa adantllr
      lelttrt lnof ffvelrni syl2an adantll axmulrcl anassrs mpand imp syldan
      exp31 r19.21aiv jca exp32 r19.21aiva jctil metcn mp2an sylibr csn cxp
      0ofval pm3.2i fvex fconst metcnconst eqeltr a1i pm2.61ne impbi ) DFGUCUDZ
      UEZDAUEZUULDEUFUGZFGUHUDUGUEZUUMUULUUNFUIZUEZUUOUUNEUJUGZUUPEUKUEZUUNUURU
      EZPEUURUUNUURULZUUNULUMUNZBUOUEZUUPUURUPUUSUVCPBEJUQUNZBFUURBEUURUVAJPURZ
      LUSUNUTFVAUEZGVAUEZUULUUQVBUUOUVCUVFUVDBFLVCUNCUOUEZUVGIUKUEZUVHQCIKUQUNZ
      CGMVCUNUUNDFGUUPGUIZUUPULUVKULVDVEVFUUTUUOUUMUVBABCUUNDEFGHIUURJKLMNOPQRU
      VAVGVHVIUUMUULEIVJUDZUUKUEZDUVLDUVLUUKVKUUMDUVLVLZVBZUURIUJUGZDVMZVNSVOZV
      PVQZVNTVOZVPVQZUAVOZUBVOZBUDZUVTVPVQZUWBDUGZUWCDUGZCUDZUVRVPVQZVRZUBUURVS
      ZVBZTVTWAZVRZSVTVSZUAUURVSZVBZUULUVOUWPUVQUVOUWOUAUURUVOUWBUURUEZVBZUWNSV
      TUWSUVRVTUEZUVSUWMUVRDEIWBUDZUGZWCUDZVTUEZVNUXCVPVQZUWDUXCVPVQZUWIVRZUBUU
      RVSZVBZUWMUWSUWTUVSVBZVBZUWLUXITUXCVTUVTUXCUPZUWAUXEUWKUXHUVTUXCVNVPWDUXL
      UWJUXGUBUURUXLUWEUXFUWIUVTUXCUWDVPWDWEWFWGWHUVOUWTUXDUWRUVSUWTUXBVTUEZUXB
      VNVLZUXDUVOUWTVBUVRUXBWIUVOUWTWJUUMUXMUVNUWTUUSUVIUUMUXMPQADEUXAIUURUVPUV
      AUVPULZUXAULZOWKWLZWMUVNUXNUUMUWTUXBVNDUVLUXBVNUPZDUVLUPZDHUEZUXRUXSWNRDE
      HUXAIUVLUXPUVLULZNPQWOUNWPWQWRWSWTUXKUXEUXHUVOUXJUXEUWRUXJUXMVNUXBVPVQZVB
      ZUXEUVOUXJVBUVRUXBXAUVOUXJWJUVOUYCUXJUUMUXMUVNUYBUXQUVNUYBUUSUVIUXTUVNUYB
      WNPQRDEHUXAIUVLUXPUYANXBXCWPZXDXEXFXGUXKUXGUBUURUXKUWCUURUEZUXFUWIUXKUYEV
      BZUXFUXBUWDXHUDZUVRVPVQZUWIUYFUYHUXFUXMUWDVTUEZUWTXIUYBUYHUXFWNUYFUXBUWDU
      VRXJUYFUXMUYIUWTUWSUXMUXJUYEUUMUXMUVNUWRUXQWMWMUWRUXJUYEUYIUVOUWRUYEUYIUX
      JUVCUWRUYEUYIUVDUWBUWCBUURUVEXKXLZXGXMUXKUWTUYEUWSUWTUVSXNXEZXOUWSUYBUXJU
      YEUVNUYBUUMUWRUYDWRWMXFXPUYFUYHUWIUYFUWHUYGXQVQZUYHUWIUWSUYEUYLUXJUUMUWRU
      YEUYLUVNUUMUWRUYEUYLABCUWBUWCDEUXAIUURUVPUVAUXOJKUXPOPQXRXSXTXGUWHVTUEZUY
      GVTUEZUWTUYLUYHVBUWIVRUYFUWHUYGUVRYAUWSUYEUYMUXJUWRUYEUYMUVOUWFUVPUEZUWGU
      VPUEZUYMUWRUYEUVHUYOUYPUYMUVJUWFUWGCUVPCIUVPUXOKQURZXKXLUURUVPUWBDUUSUVIU
      XTUVQPQRDEHIUURUVPUVAUXONYBXCZYCUURUVPUWCDUYRYCYDYEXGUWSUYEUYNUXJUUMUWRUY
      EUYNUVNUUMUWRUYEUYNUXMUYIUYNUUMUWRUYEVBUXBUWDYFUXQUYJYDYGXTXGUYKWSYHYIYJY
      KYLYMXFYNYLYOUYRYPUVCUVHUULUWQWNUVDUVJUASTUBBCDFGUURUVPUVELUYQMYQYRYSUVMU
      UMUVLUURIUFUGZYTZUUAZUUKUUSUVIUVLVUAUPPQEUVLIUURUYSUVAUYSULZUYAUUBYRUVCUV
      HVBUYSUVPUEZUURUYTVUAVMZVBVUAUUKUEUVCUVHUVDUVJUUCVUCVUDUVIVUCQIUVPUYSUXOV
      UBUMUNUURUYSIUFUUDUUEUUCUYSBCVUAFGUURUVPUVEUYQLMUUFYRUUGUUHUUIUUJ $.
      $( [5-Jan-2008] $) $( [18-Dec-2007] $)

    ${
      lnocni.1 $e |- X = ( Base ` U ) $.
      $( If a linear operator is continuous at any point, it is continuous
         everywhere.  Theorem 2.7-9(b) of [Kreyszig] p. 97.   $)
      lnocni $p |- ( ( P e. X /\ T e. ( ( J CnP K ) ` P ) ) ->
                T e. ( J Cn K ) ) $=
        ( wcel ccnp co cfv wa ccn blocnilem blocni sylibr ) DKUBEDGHUCUDUEUBUFE
        AUBEGHUGUDUBABCDEFGHIJKLMNOPQRSTUAUHABCEFGHIJLMNOPQRSTUIUJ $.
        $( [22-Feb-2008] $) $( [18-Dec-2007] $)
    $}
  $}

  ${
    blocn.8 $e |- C = ( IndMet ` U ) $.
    blocn.d $e |- D = ( IndMet ` W ) $.
    blocn.j $e |- J = ( Open ` C ) $.
    blocn.k $e |- K = ( Open ` D ) $.
    blocn.5 $e |- B = ( U BLnOp W ) $.
    blocn.u $e |- U e. NrmCVec $.
    blocn.w $e |- W e. NrmCVec $.
    ${
      blocn.4 $e |- L = ( U LnOp W ) $.
      $( A linear operator is continuous iff it is bounded.  Theorem 2.7-9(a)
         of [Kreyszig] p. 97. $)
      blocn $p |- ( T e. L -> ( T e. ( J Cn K ) <-> T e. B ) ) $=
        ( wcel ccn co wb c0o cif wceq eleq1 bibi12d cnv eqid 0lno mp2an elimel
        blocni dedth ) DHRZDFGSTZRZDARZUAUNDEIUBTZUCZUORZUSARZUADURDUSUDUPUTUQV
        ADUSUOUEDUSAUEUFABCUSEFGHIJKLMQNOPDURHEUGRIUGRURHROPEHIURURUHQUIUJUKULU
        M $.
        $( [6-Jan-2008] $) $( [25-Dec-2007] $)
    $}

    $( A bounded linear operator is continuous. $)
    blocn2 $p |- ( T e. B -> T e. ( J Cn K ) ) $=
      ( clno co wcel ccn cnv eqid bloln mp3an12 blocn biimprd mpcom ) DEHPQZRZD
      ARZDFGSQRZETRHTRUIUHNOADEUGHUGUAZMUBUCUHUJUIABCDEFGUGHIJKLMNOUKUDUEUF $.
      $( [9-Jan-2008] $) $( [25-Dec-2007] $)
  $}

  ${
    $d a u w P $.  $d a w Q $.  $d a s t u w x y U $.  $d a s t u w x y W $.
    $d a s t u w x X $.  $d a s t w y Y $.
    ajfval.1 $e |- X = ( Base ` U ) $.
    ajfval.2 $e |- Y = ( Base ` W ) $.
    ajfval.3 $e |- P = ( .i ` U ) $.
    ajfval.4 $e |- Q = ( .i ` W ) $.
    ajfval.5 $e |- A = ( U adj W ) $.
    $( The adjoint function. $)
    ajfval $p |- ( ( U e. NrmCVec /\ W e. NrmCVec ) -> A =
     { <. t , s >. | ( t : X --> Y /\ s : Y --> X /\ A. x e. X A. y e. Y
    ( ( t ` x ) Q y ) = ( x P ( s ` y ) ) ) } ) $=
      ( vu vw va cnv wcel wa caj co cv wf cfv wceq wral w3a copab cba cip cm
      cxp cvv df-xp fvex eqeltr elmap anbi12i opabbii eqtr2 oprex xpex 3simpa
      ssopab2i ssexi wb fveq2 syl6eqr feq2 syl feq3 opreqd eqeq2d ralbidv
      raleq12d 3anbi123d opabbidv eqeq1d df-aj oprabval2 syl5eq ) GTUAHTUAUBGHU
      CUDIJCUEZUFZJIKUEZUFZAUEZWEUGZBUEZFUDZWIWKWGUGZEUDZUHZBJUIZAIUIZUJZCKUKZD
      QRSGHTTQUEZULUGZRUEZULUGZWEUFZXCXAWGUFZWJWKXBUMUGZUDZWIWMWTUMUGZUDZUHZBXC
      UIZAXAUIZUJZCKUKWSUCIXCWEUFZXCIWGUFZXGWNUHZBXCUIZAIUIZUJZCKUKWSWFWHUBZCKU
      KZYAJIUNUDZIJUNUDZUOZUPYDWEYBUAZWGYCUAZUBZCKUKYACKYBYCUQYGXTCKYEWFYFWHJIW
      EJHULUGZUPMHULURUSZIGULUGZUPLGULURUSZUTIJWGYKYIUTVAVBVCYBYCJIUNVDIJUNVDVE
      USWRXTCKWFWHWQVFVGVHWTGUHZXMXSCKYLXDXNXEXOXLXRYLXAIUHZXDXNVIYLXAYJIWTGULV
      JLVKZXAIXCWEVLVMYLYMXEXOVIYNXAIXCWGVNVMYLXKXQAXAIYNYLXJXPBXCYLXIWNXGYLXHE
      WIWMYLXHGUMUGEWTGUMVJNVKVOVPVQVRVSVTXBHUHZXSWRCKYOXNWFXOWHXRWQYOXCJUHZXNW
      FVIYOXCYHJXBHULVJMVKZXCJIWEVNVMYOYPXOWHVIYQXCJIWGVLVMYOXQWPAIYOXPWOBXCJYQ
      YOXGWLWNYOXFFWJWKYOXFHUMUGFXBHUMVJOVKVOWAVRVQVSVTABRQCKSWBWCPWD $.
      $( [8-Feb-2008] $) $( [25-Jan-2008] $)
  $}

  ${
    $d o t u A $.  $d t T $.  $d o t u U $.
    hmoval.8 $e |- H = ( HmOp ` U ) $.
    hmoval.9 $e |- A = ( U adj U ) $.
    $( The set of Hermitian (self-adjoint) operators on a normed complex
       vector space. $)
    hmoval $p |- ( U e. NrmCVec -> H = { t e. dom A | ( A ` t ) = t } ) $=
      ( vu vo cnv wcel chmo cfv cv wceq cdm crab caj co opreq12 anidms syl6eqr
      dmeqd rabeq syl fveq1d eqeq1d rabbisdv eqtrd df-hmo cvv oprex eqeltr
      dmex rabex fvopab4 syl5eq ) CIJCKLAMZBLZUQNZABOZPZDGHCUQGMZVBQRZLZUQNZAVC
      OZPZVAIKVBCNZVGVEAUTPZVAVHVFUTNVGVINVHVCBVHVCCCQRZBVHVCVJNVBCVBCQSTFUAZUB
      VEAVFUTUCUDVHVEUSAUTVHVDURUQVHUQVCBVKUEUFUGUHGAHUIUSAUTBBVJUJFCCQUKULUMUN
      UOEUP $.
      $( [18-Feb-2008] $)

  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                    Inner product (pre-Hilbert) spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CPreHil $.

  $( Extend class notation with the class of all complex inner product spaces
     (also called pre-Hilbert spaces). $)
  cphl $a class CPreHil $.

  ${
    $d g n s w x y $.
    $( Define the class of all complex inner product spaces.  An inner product
       space is a normed vector space whose norm satisfies the parallelogram
       law (a property that induces an inner product).  Based on Exercise 4(b)
       of [ReedSimon] p. 63.  The vector operation is ` g ` , the scalar
       product is ` s ` , and the norm is ` n ` .  An inner product space is
       also called a pre-Hilbert space. $)
    df-ph $a |- CPreHil = ( NrmCVec i^i { <. <. g , s >. , n >. |
          A. x e. ran g A. y e. ran g
       ( ( ( n ` ( x g y ) ) ^ 2 ) + ( ( n ` ( x g ( -u 1 s y ) ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( n ` x ) ^ 2 ) + ( ( n ` y ) ^ 2 ) ) ) } ) $.

    $( Every complex inner product space is a normed complex vector space. $)
    phnv $p |- ( U e. CPreHil -> U e. NrmCVec ) $=
      ( vx vy vg vn vs cphl cnv cv co cfv c2 cexp c1 cneg caddc cmul wceq crn
      wral copab2 cin df-ph inss1 eqsstr sseli ) GHAGHBIZCIZDIZJEIZKLMJUGNOUHFI
      JUIJUJKLMJPJLUGUJKLMJUHUJKLMJPJQJRCUISZTBUKTDFEUAZUBHBCDEFUCHULUDUEUF $.
      $( [12-Apr-2007] $) $( [2-Apr-2007] $)

    $( The class of all complex inner product spaces is a relation. $)
    phrel $p |- Rel CPreHil $=
      ( vx cphl cnv wss wrel cv phnv ssriv nvrel relss mp2 ) BCDCEBEABCAFGHIBCJ
      K $.
      $( [18-Apr-2007] $) $( [2-Apr-2007] $)
  $}

  ${
    phnvi.1 $e |- U e. CPreHil $.
    $( Every complex inner product space is a normed complex vector space. $)
    phnvi $p |- U e. NrmCVec $=
      ( cphl wcel cnv phnv ax-mp ) ACDAEDBAFG $.
      $( [22-Nov-2007] $) $( [20-Nov-2007] $)
  $}

  ${
    $d g n s x y G $.  $d g n s x y N $.  $d g n s x y S $.  $d g n s x y X $.
    $d g n s Z $.
    isphg.1 $e |- X = ran G $.
    $( The predicate "is a complex inner product space."  An inner product
       space is a normed vector space whose norm satisfies the parallelogram
       law.  The vector (group) addition operation is ` G ` , the scalar
       product is ` S ` , and the norm is ` N ` .  An inner product space is
       also called a pre-Hilbert space. $)
    isphg $p |- ( ( G e. A /\ S e. B /\ N e. C ) ->
  ( <. <. G , S >. , N >. e. CPreHil <-> ( <. <. G , S >. , N >. e. NrmCVec /\
          A. x e. X A. y e. X
      ( ( ( N ` ( x G y ) ) ^ 2 ) + ( ( N ` ( x G ( -u 1 S y ) ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( N ` x ) ^ 2 ) + ( ( N ` y ) ^ 2 ) ) ) ) ) ) $=
      ( vg vn vs wcel w3a cop cnv cv co cfv c2 cexp c1 cneg caddc cmul wceq
      crn wral copab2 wa cphl rneq syl6eqr opreq fveq2d opreq1d opreq12d
      eqeq1d raleq12d opreq2d 2ralbidv fveq1 eqeq12d ralbidv eloprabg anbi2d
      cin df-ph eleq2i elin bitr syl5bb ) GCNFDNHENOZGFPHPZQNZVOARZBRZKRZSZLRZT
      ZUAUBSZVQUCUDZVRMRZSZVSSZWATZUAUBSZUESZUAVQWATZUAUBSZVRWATZUAUBSZUESZUFSZ
      UGZBVSUHZUIZAWRUIZKMLUJZNZUKZVPVQVRGSZHTZUAUBSZVQWDVRFSZGSZHTZUAUBSZUESZU
      AVQHTZUAUBSZVRHTZUAUBSZUESZUFSZUGZBIUIZAIUIZUKVOULNZVNXBXTVPWTXDWATZUAUBS
      ZVQWFGSZWATZUAUBSZUESZWPUGZBIUIZAIUIYCXHWATZUAUBSZUESZWPUGZBIUIZAIUIXTKML
      GFHCDEVSGUGZWSYIAWRIYOWRGUHIVSGUMJUNZYOWQYHBWRIYPYOWJYGWPYOWCYCWIYFUEYOWB
      YBUAUBYOVTXDWAVQVRVSGUOUPUQYOWHYEUAUBYOWGYDWAVQWFVSGUOUPUQURUSUTUTWEFUGZY
      HYMABIIYQYGYLWPYQYFYKYCUEYQYEYJUAUBYQYDXHWAYQWFXGVQGWDVRWEFUOVAUPUQVAUSVB
      WAHUGZYNXSAIYRYMXRBIYRYLXKWPXQYRYCXFYKXJUEYRYBXEUAUBXDWAHVCUQYRYJXIUAUBXH
      WAHVCUQURYRWOXPUAUFYRWLXMWNXOUEYRWKXLUAUBVQWAHVCUQYRWMXNUAUBVRWAHVCUQURVA
      VDVEVEVFVGYAVOQXAVHZNXCULYSVOABKLMVIVJVOQXAVKVLVM $.
      $( [20-Apr-2007] $) $( [2-Apr-2007] $)
  $}

  ${
    phop.2 $e |- G = ( +v ` U ) $.
    phop.4 $e |- S = ( .s ` U ) $.
    phop.6 $e |- N = ( norm ` U ) $.
    $( A complex inner product space in terms of ordered pair components. $)
    phop $p |- ( U e. CPreHil -> U = <. <. G , S >. , N >. ) $=
      ( cphl wcel c1st cfv c2nd cop wrel wceq phrel 1st2nd mpan cnv cvc phnv
      eqid nvvc vcrel vafval smfval opeq12i syl6eqr 3syl opeq1d nmfval opeq2i
      syl5eqr eqtrd ) BHIZBBJKZBLKZMZCAMZDMZHNUOBUROPBHQRUOUPDMUTURUOUPUSDUOBSI
      UPTIZUPUSOBUABUPUPUBUCVAUPUPJKZUPLKZMZUSTNVAUPVDOUDUPTQRCVBAVCBCEUEABFUFU
      GUHUIUJDUQUPBDGUKULUMUN $.
      $( [26-Sep-2007] $) $( [2-Apr-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of pre-Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    cnph.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The set of complex numbers is an inner product (pre-Hilbert) space.
       (Contributed by Steve Rodriguez, 28-Apr-2007; revised by nm
       24-Jul-2008.) $)
    cnph $p |- U e. CPreHil $=
      ( vx vy caddc cmul cop cabs cphl wcel cnv cv co cfv c2 cexp c1 cneg wceq
      cc wral cvv wa wb addex mulex ccj csqr axcnex df-abs fopabex2 cabl cgr
      cnaddabl ablgrp ax-mp cxp axaddopr fdmi grprn isphg mp3an eqid cnnv cmin
      mulm1t adantl opreq2d negsubt eqtrd fveq2d opreq1d cre sqabsaddt
      sqabssubt opreq12d ppncant axaddcl absclt recnd sqclt syl syl2an axmulcl
      cjclt sylan2 reclt 2cn mpan 3syl syl3anc 2timest eqcomd 3eqtrd rgen2a
      mpbir2an eqeltr ) AEFGHGZIBWRIJZWRKJZCLZDLZEMHNOPMZXAQRXBFMZEMZHNZOPMZEMZ
      OXAHNZOPMZXBHNZOPMZEMZFMZSZDTUACTUAZEUBJFUBJHUBJWSWTXPUCUDUEUFCDTXAXAUGNF
      MUHNHUICDUJUKCDUBUBUBFEHTETEULJEUMJUNEUOUPTTUQTEURUSUTVAVBWRWRVCVDXOCDTXA
      TJZXBTJZUCZXHXCXAXBVEMZHNZOPMZEMZXMXMEMZXNXSXGYBXCEXSXFYAOPXSXEXTHXSXEXAX
      BRZEMXTXSXDYEXAEXRXDYESXQXBVFVGVHXAXBVIVJVKVLVHXSYCXMOXAXBUGNZFMZVMNZFMZE
      MZXMYIVEMZEMZYDXSXCYJYBYKEXAXBVNXAXBVOVPXMTJZYITJZYMYLYDSXSXMYIXMVQXJTJZX
      LTJZYMXQXRXJXLVRXQXITJYOXQXIXAVSVTXIWAWBXRXKTJYPXRXKXBVSVTXKWAWBWCZXSYGTJ
      ZYHTJZYNXQYFTJYRXRXAYFWDXBWEWFYRYHYGWGVTOTJYSYNWHOYHWDWIWJYQWKVJXSYMYDXNS
      YQYMXNYDXMWLWMWBWNWOWPWQ $.
      $( [25-Jul-2008] $) $( [28-Apr-2007] $)
  $}

  ${
    elimph.1 $e |- X = ( Base ` U ) $.
    elimph.5 $e |- Z = ( 0v ` U ) $.
    elimph.6 $e |- U e. CPreHil $.
    $( MAY BE REVISED - use elimnvOLD ? $)
    $( Hypothesis elimination lemma for complex inner product spaces to assist
       weak deduction theorem. $)
    elimph $p |- if ( A e. X , A , Z ) e. X $=
      ( phnvi elimnv ) ABCDEFBGHI $.
      $( [3-Nov-2007] $) $( [27-Apr-2007] $)
  $}

  $( MAY BE REVISED - use elimnvu ? $)
  $( Hypothesis elimination lemma for complex inner product spaces to assist
     weak deduction theorem. $)
  elimphu $p |- if ( U e. CPreHil , U , <. <. + , x. >. , abs >. )
                 e. CPreHil $=
    ( caddc cmul cop cabs cphl eqid cnph elimel ) ABCDEDZFJJGHI $.
    $( [16-May-2007] $) $( [6-May-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Properties of pre-Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  ${
    $d x y A $.  $d y B $.  $d x y G $. $d x y M $.  $d x y N $.  $d x y U $.
    $d x y X $.
    isph.1 $e |- X = ( Base ` U ) $.
    isph.2 $e |- G = ( +v ` U ) $.
    isph.3 $e |- M = ( -v ` U ) $.
    isph.6 $e |- N = ( norm ` U ) $.
    $( The predicate "is an inner product space." $)
    isph $p |- ( U e. CPreHil <-> ( U e. NrmCVec /\ A. x e. X A. y e. X
      ( ( ( N ` ( x G y ) ) ^ 2 ) + ( ( N ` ( x M y ) ) ^ 2 ) ) = (
      2 x. ( ( ( N ` x ) ^ 2 ) + ( ( N ` y ) ^ 2 ) ) ) ) ) $=
      ( cphl wcel cnv wa cv co cfv c2 cexp caddc cmul wceq wral phnv pm4.71ri
      cns cop wb eqid nvop eleq1 c1 cneg anbi1d nvmval 3expa fveq2d opreq1d
      opreq2d eqeq1d ralbidva pm5.32i syl5rbb cvv cpv fvex eqeltr cnm bafval
      isphg mp3an syl5bb bitrd syl bianabs bitr ) CLMZCNMZVROVSAPZBPZDQFRSTQZVT
      WAEQZFRZSTQZUAQZSVTFRSTQWAFRSTQUAQUBQZUCZBGUDZAGUDZOZVRVSCUEUFVSVRWJVSVRW
      JVSCDCUGRZUHFUHZUCZVRWKUIWLCDFIWLUJZKUKWNVRWMLMZWKCWMLULWNWMNMZWBVTUMUNWA
      WLQDQZFRZSTQZUAQZWGUCZBGUDZAGUDZOZWKWPWNVSXDOXEWKWNVSWQXDCWMNULUOVSWJXDVS
      WIXCAGVSVTGMZOZWHXBBGXGWAGMZOZWFXAWGXIWEWTWBUAXIWDWSSTXIWCWRFVSXFXHWCWRUC
      VTWAWLCDEGHIWOJUPUQURUSUTVAVBVBVCVDDVEMWLVEMFVEMWPXEUIDCVFRVEICVFVGVHWLWL
      VEWOCUGVGVHFCVIRVEKCVIVGVHABVEVEVEWLDFGCDGHIVJVKVLVMVNVOVPVCVQ $.
      $( [25-Feb-2008] $) $( [1-Feb-2008] $)

    $( The parallelogram law for an inner product space. $)
    phpar2 $p |- ( ( U e. CPreHil /\ A e. X /\ B e. X ) ->
      ( ( ( N ` ( A G B ) ) ^ 2 ) + ( ( N ` ( A M B ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) ) $=
      ( vx vy cphl wcel w3a cv co cfv c2 cexp caddc cmul wceq wral cnv wa isph
      pm3.27 sylbi 3ad2ant1 wi opreq1 fveq2d opreq1d opreq12d fveq2 opreq2d
      eqeq12d opreq2 rcla42v 3adant1 mpd ) CNOZAGOZBGOZPLQZMQZDRZFSZTUARZVGVHER
      ZFSZTUARZUBRZTVGFSZTUARZVHFSZTUARZUBRZUCRZUDZMGUELGUEZABDRZFSZTUARZABERZF
      SZTUARZUBRZTAFSZTUARZBFSZTUARZUBRZUCRZUDZVDVEWCVFVDCUFOZWCUGWCLMCDEFGHIJK
      UHWRWCUIUJUKVEVFWCWQULVDWBWQAVHDRZFSZTUARZAVHERZFSZTUARZUBRZTWLVSUBRZUCRZ
      UDLMABGGVGAUDZVOXEWAXGXHVKXAVNXDUBXHVJWTTUAXHVIWSFVGAVHDUMUNUOXHVMXCTUAXH
      VLXBFVGAVHEUMUNUOUPXHVTXFTUCXHVQWLVSUBXHVPWKTUAVGAFUQUOUOURUSVHBUDZXEWJXG
      WPXIXAWFXDWIUBXIWTWETUAXIWSWDFVHBADUTUNUOXIXCWHTUAXIXBWGFVHBAEUTUNUOUPXIX
      FWOTUCXIVSWNWLUBXIVRWMTUAVHBFUQUOURURUSVAVBVC $.
      $( [2-Mar-2008] $) $( [2-Apr-2007] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y G $.  $d x y N $.  $d x y S $.  $d x y X $.
    phpar.1 $e |- X = ( Base ` U ) $.
    phpar.2 $e |- G = ( +v ` U ) $.
    phpar.4 $e |- S = ( .s ` U ) $.
    phpar.6 $e |- N = ( norm ` U ) $.
    $( The parallelogram law for an inner product space. $)
    phpar $p |- ( ( U e. CPreHil /\ A e. X /\ B e. X ) ->
      ( ( ( N ` ( A G B ) ) ^ 2 ) + ( ( N ` ( A G ( -u 1 S B ) ) ) ^ 2 ) ) =
        ( 2 x. ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) ) $=
      ( vx vy cphl wcel w3a cv co cfv c2 cexp c1 cneg caddc cmul wceq wral cvv
      cop cnv bafval isphg pm3.27bda c1st vafval fvex eqeltr c2nd smfval
      nmfval 3pm3.2i a1i phop eleq1d ibi sylanc 3ad2ant1 wi opreq1 fveq2d
      opreq1d opreq12d fveq2 opreq2d eqeq12d opreq2 rcla42v 3adant1 mpd ) DNOZA
      GOZBGOZPLQZMQZERZFSZTUARZWCUBUCZWDCRZERZFSZTUARZUDRZTWCFSZTUARZWDFSZTUARZ
      UDRZUERZUFZMGUGLGUGZABERZFSZTUARZAWHBCRZERZFSZTUARZUDRZTAFSZTUARZBFSZTUAR
      ZUDRZUERZUFZVTWAXAWBEUHOZCUHOZFUHOZPZECUIFUIZNOZXAVTXTYBYAUJOXALMUHUHUHCE
      FGDEGHIUKULUMXTVTXQXRXSEDUNSZUNSUHDEIUOYCUNUPUQCYCURSUHCDJUSYCURUPUQFDURS
      UHDFKUTDURUPUQVAVBVTYBVTDYANCDEFIJKVCVDVEVFVGWAWBXAXPVHVTWTXPAWDERZFSZTUA
      RZAWIERZFSZTUARZUDRZTXKWQUDRZUERZUFLMABGGWCAUFZWMYJWSYLYMWGYFWLYIUDYMWFYE
      TUAYMWEYDFWCAWDEVIVJVKYMWKYHTUAYMWJYGFWCAWIEVIVJVKVLYMWRYKTUEYMWOXKWQUDYM
      WNXJTUAWCAFVMVKVKVNVOWDBUFZYJXIYLXOYNYFXDYIXHUDYNYEXCTUAYNYDXBFWDBAEVPVJV
      KYNYHXGTUAYNYGXFFYNWIXEAEWDBWHCVPVNVJVKVLYNYKXNTUEYNWQXMXKUDYNWPXLTUAWDBF
      VMVKVNVNVOVQVRVS $.
      $( [29-Oct-2007] $) $( [2-Apr-2007] $)
  $}

  ${
    $d x y A $.  $d y B $.  $d x y G $.  $d x y N $.  $d x y S $.  $d x y X $.
    ip1i.1 $e |- X = ( Base ` U ) $.
    ip1i.2 $e |- G = ( +v ` U ) $.
    ip1i.4 $e |- S = ( .s ` U ) $.
    ip1i.7 $e |- P = ( .i ` U ) $.
    ip1i.9 $e |- U e. CPreHil $.
    ${
      ip1i.a $e |- A e. X $.
      ip1i.b $e |- B e. X $.
      ip1i.c $e |- C e. X $.
      ${
        ip1i.6 $e |- N = ( norm ` U ) $.
        ip0i.j $e |- J e. CC $.
        $( A slight variant of Equation 6.46 of [Ponnusamy] p. 362, where
           ` J ` is either 1 or -1 to represent +-1. $)
        ip0i $p |- ( ( ( ( N ` ( ( A G B ) G ( J S C ) ) ) ^ 2 ) -
             ( ( N ` ( ( A G B ) G ( -u J S C ) ) ) ^ 2 ) ) +
             ( ( ( N ` ( ( A G ( -u 1 S B ) ) G ( J S C ) ) ) ^ 2 ) -
           ( ( N ` ( ( A G ( -u 1 S B ) ) G ( -u J S C ) ) ) ^ 2 ) ) ) =
                ( 2 x. ( ( ( N ` ( A G ( J S C ) ) ) ^ 2 ) -
                ( ( N ` ( A G ( -u J S C ) ) ) ^ 2 ) ) ) $=
          ( c2 co cfv cexp cneg cmin cmul caddc c1 2cn phnvi cnv wcel cc nvscl
          mp3an nvgcl nvcli recn sqcl negcl subdi wceq mulcl pnpcan2t eqtr4
          cabl w3a c1st cvc eqid nvvc ax-mp vafval vcabl 3pm3.2i bafval abl23
          mp2an fveq2i opreq1i ax1cn opreq12i cphl phpar adddi 3eqtr addsub4
          3eqtr2r ) UAAHCEUBZGUBZIUCZUAUDUBZAHUEZCEUBZGUBZIUCZUAUDUBZUFUBUGUBZU
          AWMUGUBZUABIUCZUAUDUBZUGUBZUHUBZUAWRUGUBZXCUHUBZUFUBZABGUBZWJGUBZIUCZ
          UAUDUBZAUIUEZBEUBZGUBZWJGUBZIUCZUAUDUBZUHUBZXHWOGUBZIUCZUAUDUBZXNWOGU
          BZIUCZUAUDUBZUHUBZUFUBXKYAUFUBXQYDUFUBUHUBWSWTXEUFUBZXGUAWMWRUJWLWLWK
          FIJKSFOUKZFULUMZAJUMZWJJUMZWKJUMZYGPYHHUNUMCJUMZYJYGTRHCEFJKMUOUPZAWJ
          FGJKLUQUPZURUSUTZWQWQWPFIJKSYGYHYIWOJUMZWPJUMZYGPYHWNUNUMYLYPYGHTVARW
          NCEFJKMUOUPZAWOFGJKLUQUPZURUSUTZVBWTUNUMXEUNUMXCUNUMXGYFVCUAWMUJYOVDU
          AWRUJYTVDUAXBUJXAXABFIJKSYGQURUSUTZVDWTXEXCVEUPVFXRXDYEXFUFXRWKBGUBZI
          UCZUAUDUBZWKXMGUBZIUCZUAUDUBZUHUBZUAWMXBUHUBUGUBZXDXKUUDXQUUGUHXJUUCU
          AUDXIUUBIGVGUMZYIBJUMZYJVHXIUUBVCFVIUCZVJUMZUUJYHUUMYGFUULUULVKVLVMGU
          ULFGLVNVOVMZYIUUKYJPQYMVPABWJGJFGJKLVQZVRVSVTWAXPUUFUAUDXOUUEIUUJYIXM
          JUMZYJVHXOUUEVCUUNYIUUPYJPYHXLUNUMUUKUUPYGUIWBVAQXLBEFJKMUOUPZYMVPAXM
          WJGJUUOVRVSVTWAWCFWDUMZYKUUKUUHUUIVCOYNQWKBEFGIJKLMSWEUPUAWMXBUJYOUUA
          WFWGYEWPBGUBZIUCZUAUDUBZWPXMGUBZIUCZUAUDUBZUHUBZUAWRXBUHUBUGUBZXFYAUV
          AYDUVDUHXTUUTUAUDXSUUSIUUJYIUUKYPVHXSUUSVCUUNYIUUKYPPQYRVPABWOGJUUOVR
          VSVTWAYCUVCUAUDYBUVBIUUJYIUUPYPVHYBUVBVCUUNYIUUPYPPUUQYRVPAXMWOGJUUOV
          RVSVTWAWCUURYQUUKUVEUVFVCOYSQWPBEFGIJKLMSWEUPUAWRXBUJYTUUAWFWGWCXKXQY
          AYDXJXJXIFIJKSYGYHXHJUMZYJXIJUMYGYHYIUUKUVGYGPQABFGJKLUQUPZYMXHWJFGJK
          LUQUPURUSUTXPXPXOFIJKSYGYHXNJUMZYJXOJUMYGYHYIUUPUVIYGPUUQAXMFGJKLUQUP
          ZYMXNWJFGJKLUQUPURUSUTXTXTXSFIJKSYGYHUVGYPXSJUMYGUVHYRXHWOFGJKLUQUPUR
          USUTYCYCYBFIJKSYGYHUVIYPYBJUMYGUVJYRXNWOFGJKLUQUPURUSUTWHWI $.
          $( [31-Oct-2007] $) $( [23-Apr-2007] $)

        $( Lemma for ~ ip1i . $)
        ip1ilem $p |- ( ( ( A G B ) P C ) +
                         ( ( A G ( -u 1 S B ) ) P C ) ) = ( 2 x. ( A P C ) ) $=
          ( c4 co c1 cneg caddc cmul cdiv c2 cfv cexp cmin ci cnv wcel wceq
          phnvi 4ipval2 mp3an opreq2i 2cn 4re recn cc ipcl mul12 nvgcl nvcli
          resqcl ax1cn negcl nvscl subcl axicn mulcl adddi ip0i nvsid mp2an
          fveq2i opreq1i opreq12i 3eqtr3 eqtr4 add4 eqtr2 3eqtr 3eqtr3r addcl
          4pos gt0ne0i divcan3 ) UAABGUBZCDUBZAUCUDZBEUBZGUBZCDUBZUEUBZUFUBZUAU
          GUBUAUHACDUBZUFUBZUFUBZUAUGUBWRXAWSXBUAUGUHUAWTUFUBZUFUBUHACGUBZIUIZU
          HUJUBZAWNCEUBZGUBZIUIZUHUJUBZUKUBZULAULCEUBZGUBZIUIZUHUJUBZAULUDZCEUB
          ZGUBZIUIZUHUJUBZUKUBZUFUBZUEUBZUFUBZXBWSXCYCUHUFFUMUNZAJUNZCJUNZXCYCU
          OFOUPZPRACDEFGIJKLMSNUQURUSUHUAWTUTUAVAVBZYEYFYGWTVCUNYHPRACDFJKNVDUR
          ZVEYDWLCGUBZIUIZUHUJUBZWLXGGUBZIUIZUHUJUBZUKUBZWPCGUBZIUIZUHUJUBZWPXG
          GUBZIUIZUHUJUBZUKUBZUEUBZULWLXLGUBZIUIZUHUJUBZWLXQGUBZIUIZUHUJUBZUKUB
          ZUFUBZULWPXLGUBZIUIZUHUJUBZWPXQGUBZIUIZUHUJUBZUKUBZUFUBZUEUBZUEUBZYQU
          UMUEUBZUUDUVAUEUBZUEUBZWSYDUHXKUFUBZUHYBUFUBZUEUBUVCUHXKYBUTXFXJXFXEX
          DFIJKSYHYEYFYGXDJUNYHPRACFGJKLVFURVGVHVBXJXIXHFIJKSYHYEYFXGJUNZXHJUNY
          HPYEWNVCUNZYGUVIYHUCVIVJZRWNCEFJKMVKURZAXGFGJKLVFURVGVHVBVLULYAVMXOXT
          XOXNXMFIJKSYHYEYFXLJUNZXMJUNYHPYEULVCUNYGUVMYHVMRULCEFJKMVKURZAXLFGJK
          LVFURVGVHVBXTXSXRFIJKSYHYEYFXQJUNZXRJUNYHPYEXPVCUNYGUVOYHULVMVJRXPCEF
          JKMVKURZAXQFGJKLVFURVGVHVBVLZVNVOUUEUVGUVBUVHUEWLUCCEUBZGUBZIUIZUHUJU
          BZYPUKUBZWPUVRGUBZIUIZUHUJUBZUUCUKUBZUEUBUHAUVRGUBZIUIZUHUJUBZXJUKUBZ
          UFUBUUEUVGABCDEFGUCIJKLMNOPQRSVIVPUWBYQUWFUUDUEUWAYMYPUKUVTYLUHUJUVSY
          KIUVRCWLGYEYGUVRCUOYHRCEFJKMVQVRZUSVSVTVTUWEYTUUCUKUWDYSUHUJUWCYRIUVR
          CWPGUWKUSVSVTVTWAUWJXKUHUFUWIXFXJUKUWHXEUHUJUWGXDIUVRCAGUWKUSVSVTVTUS
          WBULUULUUTUEUBZUFUBULUHYAUFUBZUFUBUVBUVHUWLUWMULUFABCDEFGULIJKLMNOPQR
          SVMVPUSULUULUUTVMUUHUUKUUHUUGUUFFIJKSYHYEWLJUNZUVMUUFJUNYHYEYFBJUNZUW
          NYHPQABFGJKLVFURZUVNWLXLFGJKLVFURVGVHVBUUKUUJUUIFIJKSYHYEUWNUVOUUIJUN
          YHUWPUVPWLXQFGJKLVFURVGVHVBVLZUUPUUSUUPUUOUUNFIJKSYHYEWPJUNZUVMUUNJUN
          YHYEYFWOJUNZUWRYHPYEUVJUWOUWSYHUVKQWNBEFJKMVKURAWOFGJKLVFURZUVNWPXLFG
          JKLVFURVGVHVBUUSUURUUQFIJKSYHYEUWRUVOUUQJUNYHUWTUVPWPXQFGJKLVFURVGVHV
          BVLZVOULUHYAVMUTUVQVEWBWAWCYQUUDUUMUVAYMYPYMYLYKFIJKSYHYEUWNYGYKJUNYH
          UWPRWLCFGJKLVFURVGVHVBYPYOYNFIJKSYHYEUWNUVIYNJUNYHUWPUVLWLXGFGJKLVFUR
          VGVHVBVLYTUUCYTYSYRFIJKSYHYEUWRYGYRJUNYHUWTRWPCFGJKLVFURVGVHVBUUCUUBU
          UAFIJKSYHYEUWRUVIUUAJUNYHUWTUVLWPXGFGJKLVFURVGVHVBVLULUULVMUWQVNULUUT
          VMUXAVNWDWSUAWMUFUBZUAWQUFUBZUEUBUVFUAWMWQYIYEUWNYGWMVCUNYHUWPRWLCDFJ
          KNVDURZYEUWRYGWQVCUNYHUWTRWPCDFJKNVDURZVOUXBUVDUXCUVEUEYEUWNYGUXBUVDU
          OYHUWPRWLCDEFGIJKLMSNUQURYEUWRYGUXCUVEUOYHUWTRWPCDEFGIJKLMSNUQURWAWEW
          FWGVTUAWRYIWMWQUXDUXEWHUAVAWIWJZWKUAXAYIUHWTUTYJVNUXFWKWB $.
          $( [31-Oct-2007] $) $( [21-Apr-2007] $)
      $}

      $( Equation 6.47 of [Ponnusamy] p. 362. $)
      ip1i $p |- ( ( ( A G B ) P C ) +
                       ( ( A G ( -u 1 S B ) ) P C ) ) = ( 2 x. ( A P C ) ) $=
        ( c1 cnm cfv eqid ax1cn ip1ilem ) ABCDEFGQFRSZHIJKLMNOPUCTUAUB $.
        $( [1-Nov-2007] $) $( [27-Apr-2007] $)
    $}

    ${
      ip2i.8 $e |- A e. X $.
      ip2i.9 $e |- B e. X $.
      $( Equation 6.48 of [Ponnusamy] p. 362. $)
      ip2i $p |- ( ( 2 S A ) P B ) = ( 2 x. ( A P B ) ) $=
        ( c2 co cc0 caddc c1 cneg cmul df-2 opreq1i cnv wcel cc w3a wceq phnvi
        ax1cn 3pm3.2i nvdir mp2an nvsid opreq12i 3eqtr nvgcl mp3an ipcl addid1
        eqtr4 cn0v cfv eqid nvrinv ip0l eqtr opreq2i ip1i 3eqtr2 ) OADPZBCPZAAF
        PZBCPZQRPZVNASTADPFPZBCPZRPOABCPUAPVLVNVOVKVMBCVKSSRPZADPZSADPZVTFPZVMO
        VRADUBUCEUDUEZSUFUEZWCAGUEZUGVSWAUHELUIZWCWCWDUJUJMUKSSADEFGHIJULUMVTAV
        TAFWBWDVTAUHWEMADEGHJUNUMZWFUOUPUCVNWBVMGUEZBGUEZVNUFUEWEWBWDWDWGWEMMAA
        EFGHIUQURNVMBCEGHKUSURUTVAVQQVNRVQEVBVCZBCPZQVPWIBCWBWDVPWIUHWEMADEFGWI
        HIJWIVDZVEUMUCWBWHWJQUHWENBCEGWIHWKKVFUMVGVHAABCDEFGHIJKLMMNVIVJ $.
        $( [3-Nov-2007] $) $( [26-Apr-2007] $)
    $}

    ${
      ipdiri.8 $e |- A e. X $.
      ipdiri.9 $e |- B e. X $.
      ipdiri.10 $e |- C e. X $.
      $( Lemma for ~ ipdiri . $)
      ipdirilem $p |- ( ( A G B ) P C ) = ( ( A P C ) + ( B P C ) ) $=
        ( co c2 c1 cdiv cmul cneg caddc 2cn 2ne0 recid opreq1i cnv wcel cc w3a
        wceq phnvi reccl nvgcl mp3an 3pm3.2i nvsass mp2an nvsid 3eqtr3 nvscl
        ip2i eqtr3 ax1cn negcl ip1i nvdi cn0v cfv cabl wa c1st cvc eqid nvvc
        ax-mp vafval vcabl pm3.2i bafval abl4 smfval vc2 nvrinv opreq12i
        nv0rid 3eqtr opreq2i divcan1OLD eqtr 3eqtr2 nv0lid 3eqtrr mulcom mul2neg
        mulid1 3eqtr4r ) ABGQZCDQZRSRTQZWSEQZCDQUAQZXBXAASUBZBEQZGQZEQZGQZCDQZX
        BXDXGEQZGQZCDQZUCQACDQZBCDQZUCQRXBEQZCDQWTXCXOWSCDRXAUAQZWSEQZSWSEQZXOW
        SXPSWSERUDUEUFUGFUHUIZRUJUIZXAUJUIZWSHUIZUKXQXOULFMUMZXTYAYBUDRUDUEUNZX
        SAHUIZBHUIZYBYCNOABFGHIJUOUPZUQRXAWSEFHIKURUSXSYBXRWSULYCYGWSEFHIKUTUSV
        AUGXBCDEFGHIJKLMXSYAYBXBHUIYCYDYGXAWSEFHIKVBUPZPVCVDXBXGCDEFGHIJKLMYHXS
        YAXFHUIZXGHUIYCYDXSYEXEHUIZYIYCNXSXDUJUIZYFYJYCSVEVFZOXDBEFHIKVBUPZAXEF
        GHIJUOUPZXAXFEFHIKVBUPPVGXIXMXLXNUCXHACDXAWSXFGQZEQZXHAXSYAYBYIUKYPXHUL
        YCYAYBYIYDYGYNUQXAWSXFEFGHIJKVHUSYPXARAEQZEQZXARUAQZAEQZAYOYQXAEYOAAGQZ
        BXEGQZGQZYQFVIVJZGQZYQGVKUIZYEYFVLZYEYJVLYOUUCULFVMVJZVNUIZUUFXSUUIYCFU
        UHUUHVOVPVQZGUUHFGJVRZVSVQZYEYFNOVTZYEYJNYMVTABAXEGHFGHIJWAZWBUPUUAYQUU
        BUUDGUUIYEUUAYQULUUJNAEGUUHHUUKEFKWCZUUNWDUSXSYFUUBUUDULYCOBEFGHUUDIJKU
        UDVOZWEUSWFXSYQHUIZUUEYQULYCXSXTYEUUQYCUDNRAEFHIKVBUPYQFGHUUDIJUUPWGUSW
        HWIXSYAXTYEUKYTYRULYCYAXTYEYDUDNUQXARAEFHIKURUSYTSAEQZAYSSAERSUDVEUEWJZ
        UGXSYEUURAULYCNAEFHIKUTUSWKWLVDUGXKBCDXAWSXDAEQZBGQZGQZEQZXBXAUVAEQZGQZ
        BXKXSYAYBUVAHUIZUKUVCUVEULYCYAYBUVFYDYGXSUUTHUIZYFUVFYCXSYKYEUVGYCYLNXD
        AEFHIKVBUPZOUUTBFGHIJUOUPUQXAWSUVAEFGHIJKVHUSUVCXARBEQZEQZSBEQZBUVBUVIX
        AEUVBAUUTGQZBBGQZGQZUVMUVIUUFUUGUVGYFVLUVBUVNULUULUUMUVGYFUVHOVTABUUTBG
        HUUNWBUPUVNUUDUVMGQZUVMUVLUUDUVMGXSYEUVLUUDULYCNAEFGHUUDIJKUUPWEUSUGXSU
        VMHUIZUVOUVMULYCXSYFYFUVPYCOOBBFGHIJUOUPUVMFGHUUDIJUUPWMUSWKUUIYFUVMUVI
        ULUUJOBEGUUHHUUKUUOUUNWDUSWHWIYSBEQZUVJUVKXSYAXTYFUKUVQUVJULYCYAXTYFYDU
        DOUQXARBEFHIKURUSYSSBEUUSUGVDXSYFUVKBULYCOBEFHIKUTUSZWNXJUVDXBGXDXAUAQZ
        XFEQZXJUVDXSYKYAYIUKUVTXJULYCYKYAYIYLYDYNUQXDXAXFEFHIKURUSUVTXAXDUAQZXF
        EQZXAXDXFEQZEQZUVDUVSUWAXFEXDXAYLYDWOUGXSYAYKYIUKUWBUWDULYCYAYKYIYDYLYN
        UQXAXDXFEFHIKURUSUWCUVAXAEUWCUUTXDXEEQZGQZUVAXSYKYEYJUKUWCUWFULYCYKYEYJ
        YLNYMUQXDAXEEFGHIJKVHUSUWEBUUTGXDXDUAQZBEQZUVKUWEBUWGSBEUWGSSUAQSSSVEVE
        WPSVEWQWKUGXSYKYKYFUKUWHUWEULYCYKYKYFYLYLOUQXDXDBEFHIKURUSUVRVAWIWKWIWH
        VDWIWRUGWFWL $.
        $( [4-Nov-2007] $) $( [26-Apr-2007] $)
    $}

    $( Distributive law for inner product.  Equation I3 of [Ponnusamy]
       p. 362. $)
    ipdiri $p |- ( ( A e. X /\ B e. X /\ C e. X ) ->
                 ( ( A G B ) P C ) = ( ( A P C ) + ( B P C ) ) ) $=
      ( wcel co caddc wceq cn0v cfv cif opreq1 opreq1d eqeq12d opreq2 opreq2d
      opreq12d eqid elimph ipdirilem dedth3h ) AHNZBHNZCHNZABGOZCDOZACDOZBCDOZP
      OZQUKAFRSZTZBGOZCDOZUTCDOZUQPOZQABCUSUSUSUTULBUSTZGOZCDOZVCVECDOZPOZQVFUM
      CUSTZDOZUTVJDOZVEVJDOZPOZQAUTQZUOVBURVDVOUNVACDAUTBGUAUBVOUPVCUQPAUTCDUAU
      BUCBVEQZVBVGVDVIVPVAVFCDBVEUTGUDUBVPUQVHVCPBVECDUAUEUCCVJQZVGVKVIVNCVJVFD
      UDVQVCVLVHVMPCVJUTDUDCVJVEDUDUFUCUTVEVJDEFGHIJKLMAFHUSIUSUGZMUHBFHUSIVRMU
      HCFHUSIVRMUHUIUJ $.
      $( [5-Nov-2007] $) $( [27-Apr-2007] $)

    ${
      $d j k A $.  $d j k B $.  $d j k C $.  $d j N $.  $d j k P $.
      $d j k S $.  $d j k X $.
      ipasslem1.b $e |- B e. X $.
      $( Lemma for ~ ipassi .  Show the inner product associative law for
         nonnegative integers. $)
      ipasslem1 $p |- ( ( N e. NN0 /\ A e. X ) ->
                      ( ( N S A ) P B ) = ( N x. ( A P B ) ) ) $=
        ( vj vk cn0 wcel co cmul wceq cv wi cc0 c1 caddc wa cc cnv phnvi nvscl
        mp3an1 nn0cnt sylan ipdiri mp3an3 sylancom ax1cn w3a nvdir mpan mp3an2
        nvsid adantl opreq2d eqtrd opreq1d ipcl mp3an13 mulid2t syl 3eqtr4d
        opreq1 sylan9eq adddirt syl2an adantr eqtr4d exp31 a2d cn0v cfv eqid
        ip0l mp2an nv0 mul02t 3eqtr4a eqeq12d imbi2d nn0indALT imp ) GQRAHRZGAD
        SZBCSZGABCSZTSZUAZWMOUBZADSZBCSZWSWPTSZUAZUCWMUDADSZBCSZUDWPTSZUAZUCWMP
        UBZADSZBCSZXHWPTSZUAZUCWMXHUEUFSZADSZBCSZXMWPTSZUAZUCWMWRUCOPGXHQRZWMXL
        XQXRWMXLXQXRWMUGZXLUGXOXKUEWPTSZUFSZXPXSXLXOXJXTUFSZYAXSXIAFSZBCSZXJWPU
        FSZXOYBXRWMXIHRZYDYEUAZXHUHRZWMYFXREUIRZYHWMYFEMUJZXHADEHIKUKULXHUMZUNY
        FWMBHRZYGNXIABCDEFHIJKLMUOUPUQXSXNYCBCXSXNXIUEADSZFSZYCYHWMXNYNUAZXRYHU
        EUHRZWMYOURYIYHYPWMUSYOYJXHUEADEFHIJKUTVAVBYKUNXSYMAXIFWMYMAUAZXRYIWMYQ
        YJADEHIKVCVAVDVEVFVGXSXTWPXJUFWMXTWPUAZXRWMWPUHRZYRYIWMYLYSYJNABCEHILVH
        VIZWPVJVKVDVEVLXJXKXTUFVMVNXSXPYAUAZXLYHYSUUAXRWMYHYPYSUUAURXHUEWPVOVBY
        KYTVPVQVRVSVTWMEWAWBZBCSZUDXEXFYIYLUUCUDUAYJNBCEHUUBIUUBWCZLWDWEWMXDUUB
        BCYIWMXDUUBUAYJADEHUUBIKUUDWFVAVGWMYSXFUDUAYTWPWGVKWHWSUDUAZXCXGWMUUEXA
        XEXBXFUUEWTXDBCWSUDADVMVGWSUDWPTVMWIWJWSXHUAZXCXLWMUUFXAXJXBXKUUFWTXIBC
        WSXHADVMVGWSXHWPTVMWIWJWSXMUAZXCXQWMUUGXAXOXBXPUUGWTXNBCWSXMADVMVGWSXMW
        PTVMWIWJWSGUAZXCWRWMUUHXAWOXBWQUUHWTWNBCWSGADVMVGWSGWPTVMWIWJWKWL $.
        $( [5-Nov-2007] $) $( [27-Apr-2007] $)

      $( Lemma for ~ ipassi .  Show the inner product associative law for
         nonpositive integers. $)
      ipasslem2 $p |- ( ( N e. NN0 /\ A e. X ) ->
              ( ( -u N S A ) P B ) = ( -u N x. ( A P B ) ) ) $=
        ( cn0 wcel wa cneg co cmul cmin cc0 wceq c1 caddc cc ax1cn mulneg2t
        mpan2 ax1id negeqd eqtr2d adantr opreq1d negcl cnv w3a phnvi nvsass
        mpan mp3an2 eqtrd nn0cnt sylan ipasslem1 nvscl mp3an12 sylan2 opreq2d
        negsubt axmulcl negclt syl ipcl mp3an13 syl2an sylanc axdistr adantl
        syl3anc ipdiri mp3an3 mpdan cn0v cfv eqid nvrinv ip0l mp2an syl6eq
        eqtr3d mul01t sylan9eqr mulneg1t 3eqtr3rd 3eqtr2d wb subeq0t mp3an1
        mpbid eqcomd ) GOPZAHPZQZGRZABCSZTSZXEADSZBCSZXDXGXIUASZUBUCZXGXIUCZXDX
        JXGGUDRZADSZBCSZTSZUASZXGXPRZUESZUBXDXIXPXGUAXDXIGXNDSZBCSZXPXDXHXTBCGU
        FPZXCXHXTUCXBYBXCQZXHGXMTSZADSZXTYCXEYDADYBXEYDUCXCYBYDGUDTSZRZXEYBUDUF
        PYDYGUCUGGUDUHUIYBYFGGUJUKULUMUNYBXMUFPZXCYEXTUCZUDUGUOZEUPPZYBYHXCUQYI
        EMURZGXMADEHIKUSUTVAVBGVCZVDUNXBXNHPZYAXPUCXCXNBCDEFGHIJKLMNVEYKYHXCYNY
        LYJXMADEHIKVFVGZVHVBVIXGUFPZXPUFPZXSXQUCXDXGXPVJXEUFPZXFUFPZYPXBXCXEXFV
        KXBYBYRYMGVLVMZYKXCBHPZYSYLNABCEHILVNVOZVPZYBXOUFPZYQXBXCGXOVKYMXCYNUUD
        YOYKYNUUAUUDYLNXNBCEHILVNVOVMZVPVQXDXEXFXOUESZTSZXGXEXOTSZUESZUBXSYRYSU
        UDUUGUUIUCXDXEXFXOVRXBYRXCYTUMXCYSXBUUBVSXCUUDXBUUEVSVTXCXBUUGXEUBTSZUB
        XCUUFUBXETXCAXNFSZBCSZUUFUBXCYNUULUUFUCZYOXCYNUUAUUMNAXNBCDEFHIJKLMWAWB
        WCXCUULEWDWEZBCSZUBXCUUKUUNBCYKXCUUKUUNUCYLADEFHUUNIJKUUNWFZWGUTUNYKUUA
        UUOUBUCYLNBCEHUUNIUUPLWHWIWJWKVIXBYRUUJUBUCYTXEWLVMWMXDUUHXRXGUEYBUUDUU
        HXRUCXBXCGXOWNYMUUEVPVIWOWPYPXIUFPZXKXLWQXDXGXIWRUUCXDXHHPZUUQYRXCUURXB
        YKYRXCUURYLXEADEHIKVFWSYTVDYKUURUUAUUQYLNXHBCEHILVNVOVMVQWTXA $.
        $( [5-Nov-2007] $) $( [27-Apr-2007] $)

      $( Lemma for ~ ipassi .  Show the inner product associative law for
         all integers. $)
      ipasslem3 $p |- ( ( N e. ZZ /\ A e. X ) ->
              ( ( N S A ) P B ) = ( N x. ( A P B ) ) ) $=
        ( cn0 wcel cr cneg cn wa wo co cmul wceq cz ipasslem1 ipasslem2 nnnn0t
        sylan adantll cc recnt negnegt syl opreq1d ad2antrr 3eqtr3d jaoian
        elznn0nn sylanb ) GOPZGQPZGRZSPZTZUAAHPZGADUBZBCUBZGABCUBZUCUBZUDZGUEPV
        AVFVKVEABCDEFGHIJKLMNUFVEVFTVCRZADUBZBCUBZVLVIUCUBZVHVJVDVFVNVOUDZVBVCO
        PVFVPVDABCDEFVCHIJKLMNUGVCUHUIUJVBVNVHUDVDVFVBVMVGBCVBVLGADVBGUKPVLGUDG
        ULGUMUNZUOUOUPVBVOVJUDVDVFVBVLGVIUCVQUOUPUQURGUSUT $.
        $( [5-Nov-2007] $) $( [27-Apr-2007] $)


      $( Lemma for ~ ipassi .  Show the inner product associative law for
         positive integer reciprocals. $)
      ipasslem4 $p |- ( ( N e. NN /\ A e. X ) ->
                  ( ( ( 1 / N ) S A ) P B ) = ( ( 1 / N ) x. ( A P B ) ) ) $=
        ( cn wcel wa c1 cdiv co cmul wceq cc cc0 wne recidt nncnt nnne0t
        sylanc opreq1d cnv phnvi ipcl mp3an13 mulid2t syl sylan9eq nvsid mpan
        w3a nvsass adantr nnrecret recnd pm3.27 syl3anc eqtr3d eqtr2d cn0
        ipasslem1 nnnn0t nvscl mp3an1 sylan axmulass adantl 3eqtr3d wb mulcant
        axmulcl syl2an 3jca mpbid ) GOPZAHPZQZGRGSTZADTZBCTZUATZGWGABCTZUATZUAT
        ZUBZWIWLUBZWFGWHDTZBCTZGWGUATZWKUATZWJWMWFWSWKWQWDWEWSRWKUATZWKWDWRRWKU
        AGUCPZGUDUEZWRRUBWDGUFGUGZGUHZUIZUJWEWKUCPZWTWKUBEUKPZWEBHPZXFEMULZNABC
        EHILUMUNZWKUOUPUQWFAWPBCWFWRADTZAWPWDWEXKRADTZAWDWRRADXEUJXGWEXLAUBXIAD
        EHIKURUSUQXAWGUCPZWEXKWPUBZWFXGXAXMWEUTXNXIGWGADEHIKVAUSWDXAWEXCVBZWDXM
        WEWDWGGVCVDZVBZWDWEVEVFVGUJVHGVIPZWHHPZWQWJUBWFWHBCDEFGHIJKLMNVJWDXRWEG
        VKVBXMWEXSWDXGXMWEXSXIWGADEHIKVLVMXPVNZUIXAXMXFWSWMUBWFGWGWKVOXOXQWEXFW
        DXJVPVFVQXAWIUCPZWLUCPZUTXBWNWOVRWFGWIWLVSWFXAYAYBXOWFXSYAXTXGXSXHYAXIN
        WHBCEHILUMUNUPXMXFYBWDWEWGWKVTXPXJWAWBWDXBWEXDVBUIWC $.
        $( [5-Nov-2007] $) $( [27-Apr-2007] $)

      $( Lemma for ~ ipassi .  Show the inner product associative law for
         rational numbers. $)
      ipasslem5 $p |- ( ( C e. QQ /\ A e. X ) ->
                  ( ( C S A ) P B ) = ( C x. ( A P B ) ) ) $=
        ( vj vk cq wcel co cmul wceq cv cdiv cn wrex cz wi elq wa w3a opreq1
        opreq1d eqeq12d c1 cc axmulass zcnt nnrecret recnd cnv phnvi ipcl
        mp3an13 syl3an cc0 wne divrect adantr nncnt adantl nnne0t syl3anc
        3adant3 nvsass mpan id eqtrd ipasslem3 nvscl mp3an1 sylan sylan2 3impb
        ipasslem4 3adant1 opreq2d 3eqtrd 3eqtr4rd syl5cbir 3expia com23
        r19.23aivv sylbi imp ) CQRZAHRZCAESZBDSZCABDSZTSZUAZWOCOUBZPUBZUCSZUAZP
        UDUEOUFUEWPXAUGZOPCUHXEXFOPUFUDXBUFRZXCUDRZUIZWPXEXAXGXHWPXEXAUGXEXAXDA
        ESZBDSZXDWSTSZUAXGXHWPUJZXEWRXKWTXLXEWQXJBDCXDAEUKULCXDWSTUKUMXMXBUNXCU
        CSZTSZWSTSZXBXNWSTSZTSZXLXKXBUORZXNUORZWSUORZXPXRUAXGXHWPXBXNWSUPXBUQZX
        HXNXCURUSZFUTRZWPBHRYAFMVAZNABDFHILVBVCVDXMXDXOWSTXGXHXDXOUAZWPXSXCUORZ
        XCVEVFZYFXIXBXCVGXGXSXHYBVHXHYGXGXCVIVJXHYHXGXCVKVJVLVMZULXMXKXBXNAESZE
        SZBDSZXBYJBDSZTSZXRXMXJYKBDXMXJXOAESZYKXMXDXOAEYIULXSXTWPYOYKUAZXGXHWPY
        DXSXTWPUJYPYEXBXNAEFHIKVNVOYBYCWPVPVDVQULXGXHWPYLYNUAZXGYJHRZYQXHWPUIYJ
        BDEFGXBHIJKLMNVRXTWPYRXHYDXTWPYRYEXNAEFHIKVSVTYCWAWBWCXMYMXQXBTXHWPYMXQ
        UAXGABDEFGXCHIJKLMNWDWEWFWGWHWIWJWKWLWMWN $.
        $( [6-Nov-2007] $) $( [27-Apr-2007] $)
    $}

    ${
      $d q r s t u v w A $.  $d q r s t u v w B $.  $d s C $.
      $d q r s u w D $.  $d r s G $.  $d s u w J $.  $d q r s t u v w P $.
      $d q r s t u v w S $.  $d r s U $.  $d r s W $.  $d r s t u X $.
      ipasslem6.a $e |- A e. X $.
      ipasslem6.b $e |- B e. X $.
      ipasslem6.d $e |- D = ( abs o. - ) $.
      ipasslem6.8 $e |- C = ( IndMet ` U ) $.
      ipasslem6.j $e |- J = ( Open ` D ) $.
      ipasslem6.f $e |- F = { <. w , v >. | ( w e. CC /\
              v = ( ( ( w S A ) P B ) - ( w x. ( A P B ) ) ) ) } $.
      $( Lemma for ~ ipassi .  Show that
         ` ( ( w S A ) P B ) - ( w x. ( A P B ) ) ` is continuous in ` w ` . $)
      ipasslem6 $p |- F e. ( J Cn J ) $=
        ( vu vt vs vr vq cv cc wcel co wceq wa copab ccn cmul ccom crn wss
        wral cnv phnvi nvscl mp3an13 rgen eqid oprex rnssopab mpbi opreq1
        fopabco ax-mp cme w3a copn cfv cnmet imsmet 3pm3.2i sm1cni ip1cni
        pm3.2i metcnco mp2an eqeltrr ipcl mp3an cxp c1st c2nd cpr cr clt csup
        copab2 cnmetba mulcn opr1scn cmin subcn opreq1d fvopab4 opreq12d
        eqeq2d pm5.32i opabbii eqtr4 oprcn ) UEUJZUKULZUFUJZXKCHUMZDGUMZUNUOUEU
        FUPZLLUQUMZULXLXMXKCDGUMZURUMZUNUOUEUFUPZXQULZJXQULUGUJZMULUHUJZYBDGUMZ
        UNUOUGUHUPZXLXMXNUNUOUEUFUPZUSZXPXQYFUTMVAZYGXPUNXNMULZUEUKVBYHYIUEUKIV
        CULZXLCMULZYIIRVDZSXKCHIMNPVEVFVGUEUFUKMXNYFYFVHZXKCHVIZVJVKUEUFUGUHUFU
        KMXNYDXOYFYEXPYNYBDGVIXNDGVIYBXNDGVLYMYEVHZXPVHZVMVNFVOULZEVOULZYQVPYFL
        EVQVRZUQUMULZYEYSLUQUMULZUOYGXQULYQYRYQFUAVSZYJYRYLEIUBVTVNUUBWAYTUUAUE
        UFCFEHIYFLYSMNPUAUBUCYSVHZYMYLSWBUGUHDEFGIYEKYSLMNOQUBUAUUCUCYOYLTWCWDF
        EFYFYELYSLUCUUCUCWEWFWGXRUKULZYAYJYKDMULUUDYLSTCDGIMNQWHWIUGUHUIUEUFFFF
        YBUKUKWJZULYCUUEULUOUIUJYBWKVRYCWKVRFUMYBWLVRYCWLVRFUMWMWNWOWPUNUOUGUHU
        IWQZXRXTLLUUFVQVRZURUKUKFUAWRZUUHUUBUUBUUBUUFVHZUCUCUUGVHZUGUHUIFUUFLUU
        GUAUUIUCUUJWSXTVHZWTVNUGUHUIABFFFUUFLXPXTJFLLLUUGXAUKUKUKUUHUUHUUHUUBUU
        BUUBUUBUCUCUCUUJUCUUIUGUHUIFUUFLUUGUAUUIUCUUJXBJAUJZUKULZBUJZUULCHUMZDG
        UMZUULXRURUMZXAUMZUNZUOZABUPUUMUUNUULXPVRZUULXTVRZXAUMZUNZUOZABUPUDUVEU
        UTABUUMUVDUUSUUMUVCUURUUNUUMUVAUUPUVBUUQXAUEUFUULXOUUPUKXPXKUULUNXNUUOD
        GXKUULCHVLXCYPUUODGVIXDUEUFUULXSUUQUKXTXKUULXRURVLUUKUULXRURVIXDXEXFXGX
        HXIXJWF $.
        $( [5-Dec-2007] $) $( [23-Aug-2007] $)
    $}

    ${
      $d v w A $.  $d v w B $.  $d w D $.  $d w K $.  $d v w P $.  $d v w S $.
      ipasslem7.a $e |- A e. X $.
      ipasslem7.b $e |- B e. X $.
      ipasslem7.d $e |- D = ( abs o. - ) $.
      ipasslem7.c $e |- C = ( ( abs o. - ) |` ( RR X. RR ) ) $.
      ipasslem7.j $e |- J = ( Open ` C ) $.
      ipasslem7.k $e |- K = ( Open ` D ) $.
      ipasslem7.f $e |- F = { <. w , v >. | ( w e. RR /\
              v = ( ( ( w S A ) P B ) - ( w x. ( A P B ) ) ) ) } $.
      $( Lemma for ~ ipassi .  Show that
         ` ( ( w S A ) P B ) - ( w x. ( A P B ) ) ` is continuous on
         ` RR ` . $)
      ipasslem7 $p |- F e. ( J Cn K ) $=
        ( cv cc wcel co cmul cmin wceq wa copab cr cres ccn wss axresscn
        resopab2 ax-mp eqtr4 cme w3a remet cnmet 3pm3.2i cabs ccom cxp resss
        3sstr4 cims cfv eqid ipasslem6 pm3.2i remetba metcnss2 mp2an eqeltr )
        JAUGZUHUIBUGWCCHUJDGUJWCCDGUJUKUJULUJUMZUNABUOZUPUQZLMURUJZJWCUPUIWDUNA
        BUOZWFUFUPUHUSWFWHUMUTWDABUPUHVAVBVCEVDUIZFVDUIZWJVEEFUSZWEMMURUJUIZUNW
        FWGUIWIWJWJEUCVFFUBVGZWMVHWKWLVIULVJZUPUPVKZUQWNEFWNWOVLUCUBVMABCDIVNVO
        ZFGHIWEKMNOPQRSTUAUBWPVPUEWEVPVQVREFFWELMMUPEUCVSUDUEUEVTWAWB $.
        $( [5-Dec-2007] $) $( [23-Aug-2007] $)
    $}

    ${
      $d v w A $.  $d v w B $.  $d x F $.  $d v w P $.  $d v w S $.
      $d v w x $.
      ipasslem8.a $e |- A e. X $.
      ipasslem8.b $e |- B e. X $.
      ipasslem8.f $e |- F = { <. w , v >. | ( w e. RR /\
              v = ( ( ( w S A ) P B ) - ( w x. ( A P B ) ) ) ) } $.
      $( Lemma for ~ ipassi .  By ~ ipasslem5 , ` F ` is 0 for all ` QQ ` ;
         since it is continuous and ` QQ ` is dense in ` RR ` by ~ qdensere2 ,
         we conclude ` F ` is 0 for all ` RR ` . $)
      ipasslem8 $p |- F : RR --> { 0 } $=
        ( vx cabs cmin ccom cr cxp cres cme wcel copn cfv ccn co w3a cc0 cc cq
        ccnv csn cima wss ccl wceq wf eqid remet cnmet ipasslem7 3pm3.2i 0cn
        cv wral cmul qret opreq1 opreq1d opreq12d oprex fvopab4 syl wa
        ipasslem5 wb subeq0t cnv phnvi nvscl mp3an1 qcnt sylan ipcl mp3an13
        axmulcl syl2an sylanc mpbird mpan2 eqtrd rgen wfun cdm wfn fnopab2
        fnfun ax-mp qssre dmopab2 sseqtr4 funconstss mp2an mpbi qdensere2
        remetba cnmetba metdnsconst ) TUAUBZUCUCUDUEZUFUGZXNUFUGZHXOUHUIZXNUHUI
        ZUJUKUGZULUMUNUGZUOHUPUMUQZURUSZUOXRUTUIUIUCVAZULUCYBHVBXPXQXTXOXOVCZVD
        XNXNVCZVEABCDXOXNEFGHIXRXSJKLMNOPQYFYEXRVCZXSVCZRVFVGYAYCYDVHSVIZHUIZUM
        VAZSUOVJZYCYKSUOYIUOUGZYJYICFUKZDEUKZYICDEUKZVKUKZUAUKZUMYMYIUCUGYJYRVA
        YIVLABYIAVIZCFUKZDEUKZYSYPVKUKZUAUKZYRUCHYSYIVAZUUAYOUUBYQUAUUDYTYNDEYS
        YICFVMVNYSYIYPVKVMVORYOYQUAVPVQVRYMCJUGZYRUMVAZPYMUUEVSZUUFYOYQVAZCDYIE
        FGIJKLMNOQVTYOUNUGZYQUNUGZUUFUUHWAUUGYOYQWBUUGYNJUGZUUIYIUNUGZUUEUUKYMG
        WCUGZUULUUEUUKGOWDZYICFGJKMWEWFYIWGZWHUUMUUKDJUGZUUIUUNQYNDEGJKNWIWJVRU
        ULYPUNUGZUUJYMUUEYIYPWKUUOUUMUUEUUPUUQUUNQCDEGJKNWIWJWLWMWNWOWPWQHWRZUO
        HWSZUSYLYCWAHUCWTUURABUCUUCHUUAUUBUAVPZRXAUCHXBXCUOUCUUSXDABUCUUCHUUTRX
        EXFSUOUMHXGXHXIXOXRYEYGXJVGUOXOXNUMHXRXSUCUNXOYEXKXNYFXLYGYHXMXH $.
        $( [6-Nov-2007] $) $( [24-Aug-2007] $)
    $}

    ${
      $d v w A $.  $d v w B $.  $d v w C $.  $d v w P $.  $d v w S $.
      ipasslem9.a $e |- A e. X $.
      ipasslem9.b $e |- B e. X $.
      $( Lemma for ~ ipassi .  Conclude from ~ ipasslem8 the inner product
         associative law for real numbers. $)
      ipasslem9 $p |- ( C e. RR ->
                  ( ( C S A ) P B ) = ( C x. ( A P B ) ) ) $=
        ( vw vv cr wcel co cmul cmin cc0 wceq cv wa copab cfv opreq1 opreq1d
        opreq12d eqid oprex fvopab4 csn wf ipasslem8 fvconst mpan eqtr3d cc wb
        recnt subeq0t cnv phnvi nvscl mp3an13 ipcl syl mp3an axmulcl mpan2
        sylanc mpbid ) CRSZCAETZBDTZCABDTZUATZUBTZUCUDZVRVTUDZVPCPUEZRSQUEWDAET
        ZBDTZWDVSUATZUBTZUDUFPQUGZUHZWAUCPQCWHWARWIWDCUDZWFVRWGVTUBWKWEVQBDWDCA
        EUIUJWDCVSUAUIUKWIULZVRVTUBUMUNRUCUOWIUPVPWJUCUDPQABDEFWIGHIJKLMNOWLUQR
        UCCWIURUSUTVPCVASZWBWCVBZCVCVRVASZVTVASZWNWMVRVTVDWMVQHSZWOFVESZWMAHSZW
        QFMVFZNCAEFHIKVGVHWRWQBHSZWOWTOVQBDFHILVIVHVJWMVSVASZWPWRWSXAXBWTNOABDF
        HILVIVKCVSVLVMVNVJVO $.
        $( [6-Nov-2007] $) $( [24-Aug-2007] $)
    $}

    ${
      ipasslem10.a $e |- A e. X $.
      ipasslem10.b $e |- B e. X $.
      ipasslem10.6 $e |- N = ( norm ` U ) $.
      $( Lemma for ~ ipassi .  Show the inner product associative law for
         the imaginary number ` i ` . $)
      ipasslem10 $p |- ( ( i S A ) P B ) = ( i x. ( A P B ) ) $=
        ( ci co ccj cfv cneg cmul c4 wceq c2 cexp c1 cmin caddc cnv wcel cc
        w3a phnvi axicn 3pm3.2i nvsass mp2an ixi opreq1i eqtr3 opreq2i fveq2i
        mulneg1 negeqi ax1cn negneg 3eqtr negcl nvsid 3eqtr3 opreq12i nvgcl
        mp3an nvcli recn sqcl nvscl subcl mulm1 negsubdi2 eqtr2 mulass eqtr4
        mulcom eqtr mulid2 3eqtr2 mulcl addcom adddi 3eqtr4 4ipval2 4re ipcl
        mul12 4pos gt0ne0i mulcan mpbi ipcj cjmul cr 1re renegcl cjreb cji
        mul2neg ) BQADRZCRZSTZQUAZBACRZUBRZSTZXIBCRZQABCRZUBRZXJXNSUCXJUBRZUCXN
        UBRZUDXJXNUDBXIFRZGTZUEUFRZBUGUAZXIDRZFRZGTZUEUFRZUHRZQBQXIDRZFRZGTZUEU
        FRZBXLXIDRZFRZGTZUEUFRZUHRZUBRZUIRZXLUCXMUBRZUBRZXSXTYTXLBAFRZGTZUEUFRZ
        BYDADRZFRZGTZUEUFRZUHRZQYCBXLADRZFRZGTZUEUFRZUHRZUBRZUIRZUBRZUUBYSYIUIR
        XLUUJUBRZXLUUPUBRZUIRYTUURYSUUSYIUUTUIYSQUUIUUEUHRZUBRZQYDUBRZUUJUBRZUU
        SYRUVAQUBYMUUIYQUUEUHYLUUHUEUFYKUUGGYJUUFBFQQUBRZADRZYJUUFEUJUKZQULUKZU
        VHAHUKZUMUVFYJUDEMUNZUVHUVHUVIUOUONUPQQADEHIKUQURUVEYDADUSUTVAVBVCUTYPU
        UDUEUFYOUUCGYNABFXLQUBRZADRZUGADRZYNAUVKUGADUVKUVEUAYDUAUGQQUOUOVDUVEYD
        USVEUGVFVGVHZUTUVGXLULUKZUVHUVIUMUVLYNUDUVJUVOUVHUVIQUOVIZUONUPXLQADEHI
        KUQURUVGUVIUVMAUDUVJNADEHIKVJURVKVBVCUTVLVBUVBQYDUUJUBRZUBRUVDUVAUVQQUB
        UVQUUJUAUVAUUJUUEUUIUUDUUDUUCEGHIPUVJUVGBHUKZUVIUUCHUKUVJONBAEFHIJVMVNV
        OVPVQZUUHUUHUUGEGHIPUVJUVGUVRUUFHUKZUUGHUKUVJOUVGYDULUKZUVIUVTUVJUGVFVI
        ZNYDADEHIKVRVNBUUFEFHIJVMVNVOVPVQZVSZVTUUEUUIUVSUWCWAWBVBQYDUUJUOUWBUWD
        WCWDUVCXLUUJUBUVCYDQUBRZXLQYDUOUWBWEQUOVTZWFUTVHYIUGUUOUBRZUVKUUOUBRUUT
        YIUUOUWGYHUUNYCUHYGUUMUEUFYFUULGYEUUKBFUWEADRZYEUUKUVGUWAUVHUVIUMUWHYEU
        DUVJUWAUVHUVIUWBUONUPYDQADEHIKUQURUWEXLADUWFUTVAVBVCUTVBUUOYCUUNYBYBYAE
        GHIPUVJUVGUVRXIHUKZYAHUKUVJOUVGUVHUVIUWIUVJUONQADEHIKVRVNZBXIEFHIJVMVNV
        OVPVQZUUMUUMUULEGHIPUVJUVGUVRUUKHUKZUULHUKUVJOUVGUVOUVIUWLUVJUVPNXLADEH
        IKVRVNBUUKEFHIJVMVNVOVPVQVSZWGWDUVKUGUUOUBUVNUTXLQUUOUVPUOUWMWCWHVLYIYS
        YCYHUWKYGYGYFEGHIPUVJUVGUVRYEHUKZYFHUKUVJOUVGUWAUWIUWNUVJUWBUWJYDXIDEHI
        KVRVNBYEEFHIJVMVNVOVPVQVSQYRUOYMYQYLYLYKEGHIPUVJUVGUVRYJHUKZYKHUKUVJOUV
        GUVHUWIUWOUVJUOUWJQXIDEHIKVRVNBYJEFHIJVMVNVOVPVQYPYPYOEGHIPUVJUVGUVRYNH
        UKZYOHUKUVJOUVGUVOUWIUWPUVJUVPUWJXLXIDEHIKVRVNBYNEFHIJVMVNVOVPVQVSWIWJX
        LUUJUUPUVPUWDQUUOUOUWMWIWKWLUUAUUQXLUBUVGUVRUVIUUAUUQUDUVJONBACDEFGHIJK
        PLWMVNVBWDUVGUVRUWIXSYTUDUVJOUWJBXICDEFGHIJKPLWMVNUCXLXMUCWNVPZUVPUVGUV
        RUVIXMULUKUVJONBACEHILWOVNZWPWLUCXJXNUWQUVGUVRUWIXJULUKUVJOUWJBXICEHILW
        OVNXLXMUVPUWRWIUCWNWQWRWSWTVCUVGUVRUWIXKXPUDUVJOUWJBXICEHILXAVNXOXLSTZX
        MSTZUBRXRXLXMUVPUWRXBUWSQUWTXQUBUWSYDSTZQSTZUBRZYDXLUBRZQUWESTUWSUXCUWE
        XLSUWFVCYDQUWBUOXBVAUXAYDUXBXLUBYDXCUKUXAYDUDUGXDXEYDUWBXFWTXGVLUXDUGQU
        BRQUGQVFUOXHQUOWGWFVHUVGUVRUVIUWTXQUDUVJONBACEHILXAVNVLWFVK $.
        $( [4-Nov-2007] $) $( [24-Aug-2007] $)
    $}

    ${
      $d x B $.  $d x y C $.  $d x y P $.
      ipasslem11.a $e |- A e. X $.
      ipasslem11.b $e |- B e. X $.
      $( MAY BE REVISED - proof got longer with axcnreOLD -> axcnre because
         of axmulcl - is it possible to rewrite it to shorten it? $)
      $( Lemma for ~ ipassi .  Show the inner product associative law for
         all complex numbers. $)
      ipasslem11 $p |- ( C e. CC ->
                  ( ( C S A ) P B ) = ( C x. ( A P B ) ) ) $=
        ( vx vy cc wcel cv ci cmul co caddc wceq cr wrex axcnre wa recnt axicn
        mulcomt mpan syl adantl opreq2d eqeq2d opreq1 opreq1d eqeq12d cnv w3a
        phnvi nvdir mp3an3 axmulcl mpan2 syl2an ipdiri nvscl mp3an13 ipasslem9
        mp3an nvsass mp3an23 ipcl axmulass cnm cfv eqid ipasslem10 opreq2i
        syl6eqr 3eqtr4d opreqan12d 3eqtrd adddirt eqtr4d syl5cbir sylbid
        r19.23aivv ) CRSCPTZUAQTZUBUCZUDUCZUEZQUFUGPUFUGCAEUCZBDUCZCABDUCZUBUCZ
        UEZPQCUHWPXAPQUFUFWLUFSZWMUFSZUIZWPCWLWMUAUBUCZUDUCZUEZXAXDWOXFCXDWNXEW
        LUDXCWNXEUEZXBXCWMRSZXHWMUJZUARSZXIXHUKUAWMULUMUNUOUPUQXGXAXFAEUCZBDUCZ
        XFWSUBUCZUEXDXGWRXMWTXNXGWQXLBDCXFAEURUSCXFWSUBURUTXDXMWLWSUBUCZXEWSUBU
        CZUDUCZXNXDXMWLAEUCZXEAEUCZGUCZBDUCZXRBDUCZXSBDUCZUDUCZXQXDXLXTBDWLRSZX
        ERSZXLXTUEZXBXCYEYFAHSZYGNFVASZYEYFYHVBYGFMVCZWLXEAEFGHIJKVDUMVEWLUJZXC
        XIYFXJXIXKYFUKWMUAVFVGUNZVHUSXRHSZXSHSZYAYDUEZXBXCYMYNBHSZYOOXRXSBDEFGH
        IJKLMVIVEXBYEYMYKYIYEYHYMYJNWLAEFHIKVJVKUNXCYFYNYLYIYFYHYNYJNXEAEFHIKVJ
        VKUNVHXBXCYBXOYCXPUDABWLDEFGHIJKLMNOVLXCWMUAAEUCZEUCZBDUCWMYQBDUCZUBUCZ
        YCXPYQBWMDEFGHIJKLMYIXKYHYQHSYJUKNUAAEFHIKVJVMOVLXCXSYRBDXCXIXSYRUEZXJX
        IXKYHUUAUKNYIXIXKYHVBUUAYJWMUAAEFHIKVNUMVOUNUSXCXPWMUAWSUBUCZUBUCZYTXCX
        IXPUUCUEZXJXIXKWSRSZUUDUKYIYHYPUUEYJNOABDFHILVPVMZWMUAWSVQVOUNYSUUBWMUB
        ABDEFGFVRVSZHIJKLMNOUUGVTWAWBWCWDWEWFYEYFXNXQUEZXBXCYEYFUUEUUHUUFWLXEWS
        WGVEYKYLVHWHWIWJWKUN $.
        $( [6-Nov-2007] $) $( [25-Aug-2007] $)
    $}

    $( Associative law for inner product.  Equation I2 of [Ponnusamy]
       p. 363. $)
    ipassi $p |- ( ( A e. CC /\ B e. X /\ C e. X ) ->
                  ( ( A S B ) P C ) = ( A x. ( B P C ) ) ) $=
      ( cc wcel co cmul wceq wa wi cn0v cfv cif opreq2 opreq1d opreq1 opreq2d
      eqeq12d imbi2d eqid elimph ipasslem11 dedth2h com12 3impib ) ANOZBHOZCHOZ
      ABEPZCDPZABCDPZQPZRZUQURSUPVCUQURUPVCTUPAUQBFUAUBZUCZEPZCDPZAVECDPZQPZRZT
      UPVFURCVDUCZDPZAVEVKDPZQPZRZTBCVDVDBVERZVCVJUPVPUTVGVBVIVPUSVFCDBVEAEUDUE
      VPVAVHAQBVECDUFUGUHUICVKRZVJVOUPVQVGVLVIVNCVKVFDUDVQVHVMAQCVKVEDUDUGUHUIV
      EVKADEFGHIJKLMBFHVDIVDUJZMUKCFHVDIVRMUKULUMUNUO $.
      $( [6-Nov-2007] $) $( [25-Aug-2007] $)
  $}

  ${
    ipdir.1 $e |- X = ( Base ` U ) $.
    ipdir.2 $e |- G = ( +v ` U ) $.
    ipdir.7 $e |- P = ( .i ` U ) $.
    $( Distributive law for inner product.  Equation I3 of [Ponnusamy]
       p. 362. $)
    ipdir $p |- ( ( U e. CPreHil /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( ( A G B ) P C ) = ( ( A P C ) + ( B P C ) ) ) $=
      ( cphl wcel w3a co caddc wceq wi cmul cop cabs cif cba cfv cpv cip fveq2
      syl5eq eleq2d 3anbi123d opreqd opreq1d eqtrd opreq12d eqeq12d imbi12d
      cns eqid elimphu ipdiri dedth imp ) EKLZAGLZBGLZCGLZMZABFNZCDNZACDNZBCDNZ
      ONZPZVBVFVLQAVBEORSTSZUAZUBUCZLZBVOLZCVOLZMZABVNUDUCZNZCVNUEUCZNZACWBNZBC
      WBNZONZPZQEVMEVNPZVFVSVLWGWHVCVPVDVQVEVRWHGVOAWHEUBUCVOGEVNUBUFHUGZUHWHGV
      OBWIUHWHGVOCWIUHUIWHVHWCVKWFWHVHWACDNWCWHVGWACDWHFVTABWHEUDUCVTFEVNUDUFIU
      GUJUKWHDWBWACWHEUEUCWBDEVNUEUFJUGZUJULWHVIWDVJWEOWHDWBACWJUJWHDWBBCWJUJUM
      UNUOABCWBVNUPUCZVNVTVOVOUQVTUQWKUQWBUQEURUSUTVA $.
      $( [1-Dec-2007] $) $( [25-Aug-2007] $)

    $( Distributive law for inner product. $)
    ipdi $p |- ( ( U e. CPreHil /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( A P ( B G C ) ) = ( ( A P B ) + ( A P C ) ) ) $=
      ( cphl wcel w3a co caddc wceq wa ccj cfv ipdir id 3com12 sylan2 fveq2d
      cnv ipcj pm3.26 nvgcl 3com23 3adant3r3 3simp3 adantl syl3anc phnv sylan
      cc cjaddt ipcl 3adant3r1 3adant3r2 sylanc opreq12d eqtrd 3eqtr3d 3com13
      ) EKLZCGLZBGLZAGLZMZABCFNZDNZABDNZACDNZONZPVIVHVGMVFVJQZVKADNZRSZBADNZCAD
      NZONZRSZVLVOVPVQWARVFVHVGVIMZVQWAPVJBCADEFGHIJTVHVGVIWCWCUAUBUCUDEUELZVJV
      RVLPZVFWDVKGLZVIWEWDVJQZVKADEGHJUFWDVJUGWDVGVHWFVIWDVHVGWFBCEFGHIUHUIUJVJ
      VIWDVGVHVIUKULUMEUNZUOWDVJWBVOPVFWGWBVSRSZVTRSZONZVOVSUPLZVTUPLZWBWKPWGVS
      VTUQWDVHVIWLVGBADEGHJURUSWDVGVIWMVHCADEGHJURUTVAWGWIVMWJVNOWDVHVIWIVMPVGB
      ADEGHJUFUSWDVGVIWJVNPVHCADEGHJUFUTVBVCWHUOVDVGVHVIVJVJUAVEUC $.
      $( [6-Apr-2008] $) $( [20-Nov-2007] $)
  $}

  ${
    ip2dii.1 $e |- X = ( Base ` U ) $.
    ip2dii.2 $e |- G = ( +v ` U ) $.
    ip2dii.7 $e |- P = ( .i ` U ) $.
    ip2dii.u $e |- U e. CPreHil $.
    ip2dii.a $e |- A e. X $.
    ip2dii.b $e |- B e. X $.
    ip2dii.c $e |- C e. X $.
    ip2dii.d $e |- D e. X $.
    $( Inner product of two sums. $)
    ip2dii $p |- ( ( A G B ) P ( C G D ) )
                = ( ( ( A P C ) + ( B P D ) ) + ( ( A P D ) + ( B P C ) ) ) $=
      ( co caddc cphl wcel w3a wceq 3pm3.2i ipdi mp2an opreq12i cnv phnvi
      nvgcl mp3an ipdir cc ipcl add42 3eqtr4 ) ACDGQZEQZBUPEQZRQZACEQZADEQZRQZB
      CEQZBDEQZRQZRQABGQUPEQZUTVDRQVAVCRQRQUQVBURVERFSTZAHTZCHTZDHTZUAUQVBUBLVH
      VIVJMOPUCACDEFGHIJKUDUEVGBHTZVIVJUAURVEUBLVKVIVJNOPUCBCDEFGHIJKUDUEUFVGVH
      VKUPHTZUAVFUSUBLVHVKVLMNFUGTZVIVJVLFLUHZOPCDFGHIJUIUJUCABUPEFGHIJKUKUEUTV
      DVAVCVMVHVIUTULTVNMOACEFHIKUMUJVMVKVJVDULTVNNPBDEFHIKUMUJVMVHVJVAULTVNMPA
      DEFHIKUMUJVMVKVIVCULTVNNOBCEFHIKUMUJUNUO $.
      $( [17-Apr-2008] $) $( [17-Apr-2008] $)
  $}

  ${
    ipass.1 $e |- X = ( Base ` U ) $.
    ipass.4 $e |- S = ( .s ` U ) $.
    ipass.7 $e |- P = ( .i ` U ) $.
    $( Associative law for inner product.  Equation I2 of [Ponnusamy]
       p. 363. $)
    ipass $p |- ( ( U e. CPreHil /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
                 ( ( A S B ) P C ) = ( A x. ( B P C ) ) ) $=
      ( cphl wcel cc w3a co cmul wceq wi caddc cop cabs cif cba cfv cns cip
      fveq2 syl5eq eleq2d 3anbi23d opreqd opreq1d eqtrd opreq2d eqeq12d
      imbi12d cpv eqid elimphu ipassi dedth imp ) FKLZAMLZBGLZCGLZNZABEOZCDOZAB
      CDOZPOZQZVCVGVLRVDBVCFSPTUATZUBZUCUDZLZCVOLZNZABVNUEUDZOZCVNUFUDZOZABCWAO
      ZPOZQZRFVMFVNQZVGVRVLWEWFVEVPVFVQVDWFGVOBWFFUCUDVOGFVNUCUGHUHZUIWFGVOCWGU
      IUJWFVIWBVKWDWFVIVTCDOWBWFVHVTCDWFEVSABWFFUEUDVSEFVNUEUGIUHUKULWFDWAVTCWF
      FUFUDWADFVNUFUGJUHZUKUMWFVJWCAPWFDWABCWHUKUNUOUPABCWAVSVNVNUQUDZVOVOURWIU
      RVSURWAURFUSUTVAVB $.
      $( [30-Nov-2007] $) $( [25-Aug-2007] $)

    $( "Associative" law for second argument of inner product (compare
       ~ ipass ). $)
    ipassr $p |- ( ( U e. CPreHil /\ ( A e. X /\ B e. CC /\ C e. X ) ) ->
                 ( A P ( B S C ) ) = ( ( * ` B ) x. ( A P C ) ) ) $=
      ( cphl wcel cc w3a wa co ccj cfv cmul wceq ipass 3anrot sylan2b fveq2d
      cnv ipcj pm3.26 nvscl 3adant3r1 3simp1 adantl syl3anc phnv sylan cjmult
      3simp2 ipcl 3com23 3adant3r2 sylanc opreq2d eqtrd 3eqtr3d ) FKLZAGLZBMLZC
      GLZNZOZBCEPZADPZQRZBCADPZSPZQRZAVJDPZBQRZACDPZSPZVIVKVNQVDVFVGVENVKVNTVHB
      CADEFGHIJUAVEVFVGUBUCUDFUELZVHVLVPTZVDVTVJGLZVEWAVTVHOZVJADFGHJUFVTVHUGVT
      VFVGWBVEBCEFGHIUHUIVHVEVTVEVFVGUJUKULFUMZUNVTVHVOVSTVDWCVOVQVMQRZSPZVSVFV
      MMLZVOWFTWCBVMUOVHVFVTVEVFVGUPUKVTVEVGWGVFVTVGVEWGCADFGHJUQURUSUTWCWEVRVQ
      SVTVEVGWEVRTZVFVTVGVEWHCADFGHJUFURUSVAVBWDUNVC $.
      $( [19-Dec-2007] $) $( [22-Nov-2007] $)

    $( "Associative" law for inner product.  Conjugate version of ~ ipassr . $)
    ipassr2 $p |- ( ( U e. CPreHil /\ ( A e. X /\ B e. CC /\ C e. X ) ) ->
                 ( A P ( ( * ` B ) S C ) ) = ( B x. ( A P C ) ) ) $=
      ( cphl wcel cc w3a wa ccj cfv co cmul wceq ipassr cjclt syl3anr2 cjcjt
      3ad2ant2 adantl opreq1d eqtrd ) FKLZAGLZBMLZCGLZNZOZABPQZCERDRZUOPQZACDRZ
      SRZBURSRUIUJUOMLULUPUSTUKAUOCDEFGHIJUABUBUCUNUQBURSUMUQBTZUIUKUJUTULBUDUE
      UFUGUH $.
      $( [23-Dec-2007] $) $( [23-Nov-2007] $)
  $}

  ${
    ipsubdir.1 $e |- X = ( Base ` U ) $.
    ipsubdir.3 $e |- M = ( -v ` U ) $.
    ipsubdir.7 $e |- P = ( .i ` U ) $.
    $( Distributive law for inner product subtraction. $)
    ipsubdir $p |- ( ( U e. CPreHil /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( ( A M B ) P C ) = ( ( A P C ) - ( B P C ) ) ) $=
      ( cphl wcel w3a wa c1 cneg cns cfv co cpv caddc cmin wceq idd cnv cc
      ax1cn negcl eqid nvscl mp3an2 phnv sylan ex 3anim123d imp ipdir syldan
      nvmval syl3an1 3adant3r3 opreq1d cmul ipass mp3anr1 ipcl 3expb mulm1t
      syl eqtrd 3adantr1 opreq2d negsubt 3adant3r2 3adant3r1 sylanc eqtr2d
      3eqtr4d ) EKLZAGLZBGLZCGLZMZNZAOPZBEQRZSZETRZSZCDSZACDSZWGCDSZUASZABFSZCD
      SWKBCDSZUBSZVSWCVTWGGLZWBMZWJWMUCVSWCWRVSVTVTWAWQWBWBVSVTUDVSWAWQEUELZWAW
      QVSWSWEUFLZWAWQOUGUHZWEBWFEGHWFUIZUJUKEULZUMUNVSWBUDUOUPAWGCDEWHGHWHUIZJU
      QURWDWNWICDVSVTWAWNWIUCZWBWSVTWAXEVSABWFEWHFGHXDXBIUSXCUTVAVBWDWMWKWOPZUA
      SZWPWDWLXFWKUAVSWAWBWLXFUCVTVSWAWBNZNZWLWEWOVCSZXFVSWTWAWBWLXJUCXAWEBCDWF
      EGHXBJVDVEXIWOUFLZXJXFUCWSXHXKVSWSWAWBXKBCDEGHJVFZVGXCUMWOVHVIVJVKVLWSWCX
      GWPUCZVSWKUFLZXKXMWSWCNWKWOVMWSVTWBXNWAACDEGHJVFVNWSWAWBXKVTXLVOVPXCUMVQV
      R $.
      $( [18-Dec-2007] $) $( [20-Nov-2007] $)

    $( Distributive law for inner product subtraction. $)
    ipsubdi $p |- ( ( U e. CPreHil /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                 ( A P ( B M C ) ) = ( ( A P B ) - ( A P C ) ) ) $=
      ( cphl wcel w3a co cmin wceq wa ccj cfv ipsubdir id 3com12 sylan2 fveq2d
      cnv ipcj pm3.26 nvmcl 3com23 3adant3r3 3simp3 adantl syl3anc phnv sylan
      cc cjsubt ipcl 3adant3r1 3adant3r2 sylanc opreq12d eqtrd 3eqtr3d 3com13
      ) EKLZCGLZBGLZAGLZMZABCFNZDNZABDNZACDNZONZPVIVHVGMVFVJQZVKADNZRSZBADNZCAD
      NZONZRSZVLVOVPVQWARVFVHVGVIMZVQWAPVJBCADEFGHIJTVHVGVIWCWCUAUBUCUDEUELZVJV
      RVLPZVFWDVKGLZVIWEWDVJQZVKADEGHJUFWDVJUGWDVGVHWFVIWDVHVGWFBCEFGHIUHUIUJVJ
      VIWDVGVHVIUKULUMEUNZUOWDVJWBVOPVFWGWBVSRSZVTRSZONZVOVSUPLZVTUPLZWBWKPWGVS
      VTUQWDVHVIWLVGBADEGHJURUSWDVGVIWMVHCADEGHJURUTVAWGWIVMWJVNOWDVHVIWIVMPVGB
      ADEGHJUFUSWDVGVIWJVNPVHCADEGHJUFUTVBVCWHUOVDVGVHVIVJVJUAVEUC $.
      $( [24-Dec-2007] $) $( [20-Nov-2007] $)
  $}

  ${
    pyth.1 $e |- X = ( Base ` U ) $.
    pyth.2 $e |- G = ( +v ` U ) $.
    pyth.6 $e |- N = ( norm ` U ) $.
    pyth.7 $e |- P = ( .i ` U ) $.
    pythi.u $e |- U e. CPreHil $.
    pythi.a $e |- A e. X $.
    pythi.b $e |- B e. X $.
    $( The Pythagorean theorem for an arbitrary complex inner product
       (pre-Hilbert) space ` U ` .  The square of the norm of the sum of two
       orthogonal vectors (i.e. whose inner product is 0) is the sum of the
       squares of their norms.  Problem 2 in [Kreyszig] p. 135. $)
    pythi $p |- ( ( A P B ) = 0 -> ( ( N ` ( A G B ) ) ^ 2 )
        = ( ( ( N ` A ) ^ 2 ) + ( ( N ` B ) ^ 2 ) ) ) $=
      ( co cc0 wceq caddc cfv c2 cexp id cnv wcel wb phnvi iporthcom mp3an
      biimp opreq12d 0cn addid1 syl6eq opreq2d cc ipcl addcl ip2dii syl5eq
      nvgcl ipid mp2an opreq12i 3eqtr3g ) ABCOZPQZABEOZVGCOZAACOZBBCOZROZVGFSTU
      AOZAFSTUAOZBFSTUAOZROVFVKVEBACOZROZROZVKVHVFVQVKPROVKVFVPPVKRVFVPPPROPVFV
      EPVOPRVFUBVFVOPQZDUCUDZAGUDZBGUDZVFVRUEDLUFZMNABCDGHKUGUHUIUJPUKULUMUNVKV
      IVJVSVTVTVIUOUDWBMMAACDGHKUPUHVSWAWAVJUOUDWBNNBBCDGHKUPUHUQULUMABABCDEGHI
      KLMNMNURUSVSVGGUDZVHVLQWBVSVTWAWCWBMNABDEGHIUTUHVGCDFGHJKVAVBVIVMVJVNRVSV
      TVIVMQWBMACDFGHJKVAVBVSWAVJVNQWBNBCDFGHJKVAVBVCVD $.
      $( [17-Apr-2008] $) $( [17-Apr-2008] $)
  $}

  ${
    siii.1 $e |- X = ( Base ` U ) $.
    siii.6 $e |- N = ( norm ` U ) $.
    siii.7 $e |- P = ( .i ` U ) $.
    siii.9 $e |- U e. CPreHil $.
    siii.a $e |- A e. X $.
    siii.b $e |- B e. X $.
    ${
      sii1.3 $e |- M = ( -v ` U ) $.
      sii1.4 $e |- S = ( .s ` U ) $.
      sii1.c $e |- C e. CC $.
      sii1.r $e |- ( C x. ( A P B ) ) e. RR $.
      sii1.z $e |- 0 <_ ( C x. ( A P B ) ) $.
      $( Lemma for ~ sii . $)
      siilem1 $p |- ( ( B P A ) = ( C x. ( ( N ` B ) ^ 2 ) ) ->
                ( sqr ` ( ( A P B ) x. ( C x. ( ( N ` B ) ^ 2 ) ) ) ) <_
                       ( ( N ` A ) x. ( N ` B ) ) ) $=
        ( co cfv c2 cexp cmul wceq csqr cle wbr cc0 cmin ccj cnv wcel cc phnvi
        ipcl mp3an nvcli recn sqcl mulcl subeq0 opreq2 cjcl mul01 syl6eq
        sylbir opreq2d resqcl subcl subid1 nvscl nvmcl sqge0 cphl w3a 3pm3.2i
        ipsubdi mp2an ipid ipass ipassr2 opreq2i eqtr wa pm3.2i sub4t ipsubdir
        opreq12i opreq1i subdi 3eqtr4 3eqtr3 breqtr syl5breq subge0 sylib cr
        lemul1it mpan syl sqmul syl6breqr wb mulge0 remulcl sqrle mulcom
        mulass fveq2i nvge0 sqrsq ax-mp 3brtr3g ) BADUAZCBHUBZUCUDUAZUEUAZUFZCA
        BDUAZUEUAZXRUEUAZUGUBZAHUBZXQUEUAZUCUDUAZUGUBZYAXSUEUAZUGUBYFUHXTYCYGUH
        UIZYDYHUHUIZXTYCYEUCUDUAZXRUEUAZYGUHXTYBYLUHUIZYCYMUHUIZXTUJYLYBUKUAZUH
        UIYNXTYPCULUBZXPXSUKUAZUEUAZUKUAZYPUJUHXTYTYPUJUKUAYPXTYSUJYPUKXTYRUJUF
        ZYSUJUFXPXSFUMUNZBIUNZAIUNZXPUOUNFMUPZONBADFIJLUQURZCXRRXQXQBFHIJKUUEOU
        SZUTZVAVBZVCUUAYSYQUJUEUAUJYRUJYQUEVDYQCRVEZVFVGVHVIYPYLYBYLYEAFHIJKUUE
        NUSZVJZUTYBSUTZVKVLVGUJAYQBEUAZGUAZHUBZUCUDUAZYTUHUUPUUOFHIJKUUEUUBUUDU
        UNIUNZUUOIUNZUUENUUBYQUOUNZUUCUURUUEUUJOYQBEFIJQVMURZAUUNFGIJPVNURZUSVO
        UUOUUODUAZUUOADUAZUUOUUNDUAZUKUAZUUQYTFVPUNZUUSUUDUURVQUVCUVFUFMUUSUUDU
        URUVBNUVAVRUUOAUUNDFGIJPLVSVTUUBUUSUVCUUQUFUUEUVBUUODFHIJKLWAVTYLYQXPUE
        UAZUKUAZYBUUNUUNDUAZUKUAZUKUAZYPUVHYQXSUEUAZUKUAZUKUAZUVFYTUVLUVIYBUVMU
        KUAZUKUAZUVOUVKUVPUVIUKUVJUVMYBUKUVJYQBUUNDUAZUEUAZUVMUVGUUTUUCUURVQUVJ
        UVSUFMUUTUUCUURUUJOUVAVRYQBUUNDEFIJQLWBVTUVRXSYQUEUVRCBBDUAZUEUAZXSUVGU
        UCCUOUNZUUCVQUVRUWAUFMUUCUWBUUCOROVRBCBDEFIJQLWCVTUVTXRCUEUUBUUCUVTXRUF
        UUEOBDFHIJKLWAVTWDWEWDWEWDWDYLUOUNZUVHUOUNZWFYBUOUNZUVMUOUNZWFUVQUVOUFU
        WCUWDYEYEUUKUTZVAYQXPUUJUUFVBWGUWEUWFUUMYQXSUUJUUIVBWGYLUVHYBUVMWHVTWEU
        VDUVIUVEUVKUKUVDAADUAZUUNADUAZUKUAZUVIUVGUUDUURUUDVQUVDUWJUFMUUDUURUUDN
        UVANVRAUUNADFGIJPLWIVTUWHYLUWIUVHUKUUBUUDUWHYLUFUUENADFHIJKLWAVTUVGUUTU
        UCUUDVQUWIUVHUFMUUTUUCUUDUUJONVRYQBADEFIJQLWBVTWJWEUVEAUUNDUAZUVJUKUAZU
        VKUVGUUDUURUURVQUVEUWLUFMUUDUURUURNUVAUVAVRAUUNUUNDFGIJPLWIVTUWKYBUVJUK
        UVGUUDUWBUUCVQUWKYBUFMUUDUWBUUCNROVRACBDEFIJQLWCVTWKWEWJYSUVNYPUKYQXPXS
        UUJUUFUUIWLWDWMWNWOWPYLYBUULSWQWRYBWSUNZYLWSUNZXRWSUNZUJXRUHUIZWFZVQYNY
        OUWMUWNUWQSUULUWOUWPXQUUGVJZXQUUGVOZWGVRYBYLXRWTXAXBYEXQUWGUUHXCXDUJYCU
        HUIZUJYGUHUIYJYKXEUJYBUHUIUWPUWTTUWSYBXRSUWRXFVTYFYEXQUUKUUGXGZVOYCYGYB
        XRSUWRXGYFUXAVJXHVTWRYCYIUGYCYACUEUAZXRUEUAYIYBUXBXRUECYARUUBUUDUUCYAUO
        UNUUENOABDFIJLUQURZXIWKYACXRUXCRXRUWRUTXJWEXKUJYFUHUIZYHYFUFUJYEUHUIZUJ
        XQUHUIZUXDUUBUUDUXEUUENAFHIJKXLVTUUBUUCUXFUUEOBFHIJKXLVTYEXQUUKUUGXFVTY
        FUXAXMXNXO $.
        $( [23-Jan-2008] $) $( [23-Nov-2007] $)
    $}

    ${
      siii2.3 $e |- M = ( -v ` U ) $.
      siii2.4 $e |- S = ( .s ` U ) $.
      $( Lemma for ~ sii . $)
      siilem2 $p |- ( ( C e. CC /\ ( C x. ( A P B ) ) e. RR /\
                           0 <_ ( C x. ( A P B ) ) ) ->
                ( ( B P A ) = ( C x. ( ( N ` B ) ^ 2 ) ) ->
                  ( sqr ` ( ( A P B ) x. ( C x. ( ( N ` B ) ^ 2 ) ) ) ) <_
                         ( ( N ` A ) x. ( N ` B ) ) ) ) $=
        ( cc wcel co cmul cr cc0 cle wbr w3a cfv c2 cexp wceq csqr wi cif
        opreq1 eqeq2d opreq2d fveq2d breq1d imbi12d eleq1 eleq1d breq2d
        3anbi123d 0cn cnv phnvi ipcl mp3an mul02 0re eqeltr leid breqtrr
        3pm3.2i elimhyp 3simp1i 3simp2i 3simp3i siilem1 dedth ) CRSZCABDTZUATZU
        BSZUCWCUDUEZUFZBADTZCBHUGZUHUITZUATZUJZWBWJUATZUKUGZAHUGWHUATZUDUEZULWG
        WFCUCUMZWIUATZUJZWBWQUATZUKUGZWNUDUEZULCUCCWPUJZWKWRWOXAXBWJWQWGCWPWIUA
        UNZUOXBWMWTWNUDXBWLWSUKXBWJWQWBUAXCUPUQURUSABWPDEFGHIJKLMNOPQWPRSZWPWBU
        ATZUBSZUCXEUDUEZWFXDXFXGUFUCRSZUCWBUATZUBSZUCXIUDUEZUFCUCXBWAXDWDXFWEXG
        CWPRUTXBWCXEUBCWPWBUAUNZVAXBWCXEUCUDXLVBVCUCWPUJZXHXDXJXFXKXGUCWPRUTXMX
        IXEUBUCWPWBUAUNZVAXMXIXEUCUDXNVBVCXHXJXKVDXIUCUBWBFVESAISBISWBRSFMVFNOA
        BDFIJLVGVHVIZVJVKUCUCXIUDUCVJVLXOVMVNVOZVPXDXFXGXPVQXDXFXGXPVRVSVT $.
        $( [23-Jan-2008] $) $( [24-Nov-2007] $)
    $}

    $( Inference from ~ sii . $)
    siii $p |- ( abs ` ( A P B ) ) <_ ( ( N ` A ) x. ( N ` B ) ) $=
      ( co cabs cfv cmul cle wbr cn0v wceq cc0 opreq2 cnv wcel phnvi eqid ip0r
      mp2an syl6eq fveq2d abs0 nvge0 nvcli mulge0 syl6eqbr wne c2 cexp cdiv
      csqr ccj recn sqeq0 wb nvz bitr necon3bii resqcl cc ipcl mp3an divcan1zOLD
      sylbir ipcj syl6eqr opreq2d absvalt ax-mp syl6reqr eqcomd cr wi cns cnsb
      siilem2 divclz w3a 3pm3.2i div23t mpan mulcom ipipcj eqtr opreq1i
      syl5reqr abscl redivclz eqeltrd clt sqgt0 wa sqge0 divge0t mpanl12 syl
      breqtrrd syl3anc mpd eqbrtrd pm2.61ine ) ABCMZNOZAEOZBEOZPMZQRBDSOZBXPTZX
      LUAXOQXQXLUANOUAXQXKUANXQXKAXPCMZUABXPACUBDUCUDZAFUDZXRUATDJUEZKACDFXPGXP
      UFZIUGUHUIUJUKUIUAXMQRZUAXNQRZUAXOQRXSXTYCYAKADEFGHULUHXSBFUDZYDYALBDEFGH
      ULUHXMXNADEFGHYAKUMBDEFGHYALUMZUNUHUOBXPUPZXLXKBACMZXNUQURMZUSMZYIPMZPMZU
      TOZXOQYGYMXKXKVAOZPMZUTOZXLYGYLYOUTYGYKYNXKPYGYKYHYNYGYIUAUPZYKYHTYIUABXP
      YIUATXNUATZXQXNXNYFVBVCXSYEYRXQVDYALBDEFXPGYBHVEUHZVFVGZYIYHYIXNYFVHZVBZX
      SYEXTYHVIUDZYALKBACDFGIVJVKZVLVMZXSXTYEYNYHTYAKLABCDFGIVNVKVOVPUJXKVIUDZX
      LYPTXSXTYEUUFYAKLABCDFGIVJVKZXKVQVRVSYGYHYKTZYMXOQRZYGYKYHUUEVTYJVIUDZYJX
      KPMZWAUDUAUUKQRUUHUUIWBYGABYJCDWCOZDDWDOZEFGHIJKLUUMUFUULUFWEYGYQUUJYTYHY
      IUUDUUBWFVMYGUUKXLUQURMZYIUSMZWAYGYHXKPMZYIUSMZUUKUUOYGYQUUQUUKTZYTUUCUUF
      YIVIUDZWGYQUURUUCUUFUUSUUDUUGUUBWHYHXKYIWIWJVMUUPUUNYIUSUUPXKYHPMZUUNYHXK
      UUDUUGWKXSXTYEUUTUUNTYAKLABCDFGIWLVKWMWNWOZYGYQUUOWAUDYTUUNYIXLXKUUGWPZVH
      ZUUAWQVMWRYGUAUUOUUKQYGUAYIWSRZUAUUOQRZYGXNUAUPUVDXNUABXPYSVGXNYFWTVMYIWA
      UDZUVDUVEUUAUUNWAUDUAUUNQRUVFUVDXAUVEUVCXLUVBXBUUNYIXCXDWJXEUVAXFXGXHXIXJ
      $.
      $( [23-Jan-2008] $) $( [20-Nov-2007] $)
  $}

  ${
    sii.1 $e |- X = ( Base ` U ) $.
    sii.6 $e |- N = ( norm ` U ) $.
    sii.7 $e |- P = ( .i ` U ) $.
    sii.9 $e |- U e. CPreHil $.
    $( Schwartz inequality.  Part of Lemma 3-2.1(a) of [Kreyszig] p. 137. $)
    sii $p |- ( ( A e. X /\ B e. X ) ->
               ( abs ` ( A P B ) ) <_ ( ( N ` A ) x. ( N ` B ) ) ) $=
      ( wcel co cabs cfv cmul cle wbr cn0v cif wceq opreq1 fveq2d fveq2
      opreq1d breq12d opreq2 opreq2d eqid elimph siii dedth2h ) AFKZBFKZABCLZMN
      ZAENZBENZOLZPQULADRNZSZBCLZMNZUTENZUQOLZPQUTUMBUSSZCLZMNZVCVEENZOLZPQABUS
      USAUTTZUOVBURVDPVJUNVAMAUTBCUAUBVJUPVCUQOAUTEUCUDUEBVETZVBVGVDVIPVKVAVFMB
      VEUTCUFUBVKUQVHVCOBVEEUCUGUEUTVECDEFGHIJADFUSGUSUHZJUIBDFUSGVLJUIUJUK $.
      $( [23-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    $d x y H $.  $d x y U $.  $d x y W $.
    sspph.h $e |- H = ( SubSp ` U ) $.
    $( A subspace of an inner product space is an inner product space. $)
    sspph $p |- ( ( U e. CPreHil /\ W e. H ) -> W e. CPreHil ) $=
      ( vx vy cphl wcel wa cnv cv cpv cfv co cnm c2 cexp cnsb caddc cmul wceq
      cba wral sspnv phnv sylan wi eqid sspba sseld anim12d imp phpar2 3expb
      adantlr syldan nvgcl sspnval 3expa opreq1d sspgval fveq2d eqtrd nvmcl
      sspmval opreq12d sylanl1 adantrr adantrl opreq2d 3eqtr4d ex r19.21aivv
      jca isph sylibr ) AGHZCBHZIZCJHZEKZFKZCLMZNZCOMZMZPQNZWAWBCRMZNZWEMZPQNZS
      NZPWAWEMZPQNZWBWEMZPQNZSNZTNZUAZFCUBMZUCEWTUCZICGHVSVTXAAJHZVRVTVQABCDUDZ
      AUEZUFVSWSEFWTWTVSWAWTHZWBWTHZIZWSVSXGIZWAWBALMZNZAOMZMZPQNZWAWBARMZNZXKM
      ZPQNZSNZPWAXKMZPQNZWBXKMZPQNZSNZTNZWLWRVSXGWAAUBMZHZWBYEHZIZXRYDUAZVSXGYH
      XBVRXGYHUGVQXBVRIZXEYFXFYGYJWTYEWAABCYEWTYEUHZWTUHZDUIZUJYJWTYEWBYMUJUKXD
      UFULVQYHYIVRVQYFYGYIWAWBAXIXNXKYEYKXIUHZXNUHZXKUHZUMUNUOUPXBVRXGWLXRUAVQY
      JXGIZWGXMWKXQSYQWGWDXKMZPQNXMYQWFYRPQYJXGWDWTHZWFYRUAZVTXGYSYJVTXEXFYSWAW
      BCWCWTYLWCUHZUQUNXCUFXBVRYSYTWDABWEXKCWTYLYPWEUHZDURUSUPUTYQYRXLPQYQWDXJX
      KWAWBAWCXIBCWTYLYNUUADVAVBUTVCYQWJXPPQYQWJWIXKMZXPYJXGWIWTHZWJUUCUAZVTXGU
      UDYJVTXEXFUUDWAWBCWHWTYLWHUHZVDUNXCUFXBVRUUDUUEWIABWEXKCWTYLYPUUBDURUSUPY
      QWIXOXKWAWBABWHXNCWTYLYOUUFDVEVBVCUTVFXDVGXHWQYCPTXBVRXGWQYCUAVQYQWNXTWPY
      BSYQWMXSPQYJXEWMXSUAZXFXBVRXEUUGWAABWEXKCWTYLYPUUBDURUSVHUTYQWOYAPQYJXFWO
      YAUAZXEXBVRXFUUHWBABWEXKCWTYLYPUUBDURUSVIUTVFXDVGVJVKVLVMVNEFCWCWHWEWTYLU
      UAUUFUUBVOVP $.
      $( [15-Apr-2008] $) $( [1-Feb-2008] $)
  $}

  ${
    $d v w x y z A $.  $d z B $.  $d v w z C $.  $d v w z F $.  $d x y P $.
    $d v w x y z U $.  $d v w x y z X $.
    ipblnfi.1 $e |- X = ( Base ` U ) $.
    ipblnfi.7 $e |- P = ( .i ` U ) $.
    ipblnfi.9 $e |- U e. CPreHil $.
    ipblnfi.c $e |- C = <. <. + , x. >. , abs >. $.
    ipblnfi.l $e |- B = ( U BLnOp C ) $.
    ipblnfi.f $e |- F = { <. x , y >. | ( x e. X /\ y = ( x P A ) ) } $.
    $( A function ` F ` generated by varying the first argument of an inner
       product (with its second argument a fixed vector ` A ` ) is a bounded
       linear functional, i.e. a bounded linear operator from the vector space
       to ` CC ` . $)
    ipblnfi $p |- ( A e. X -> F e. B ) $=
      ( vz vw vv clno co wcel cnm cfv cr cv cabs cmul cle wbr wral eqid cnnvnm
      phnvi cnnv blo3i cc wf cns cpv caddc wceq wa cnv ipcl mp3an1 ancoms
      r19.21aiva fopab2 sylib wi cphl w3a ipdir mpan nvscl syl3an2 3expa nvgcl
      sylan2 opreq1 oprex fvopab4 syl adantr ad2antrr opreq2d adantl ad2antlr
      ipassi adantll eqtr4d opreq12d 3eqtr4d exp42 com4r imp3a r19.21adv
      r19.21aivv jca wb cnnvba cnnvg cnnvs islno mp2an sylibr nvcl sii fveq2d
      axmulcom recnd syl2an 3brtr4d syl3anc ) HGESTZUAZCGUBUCZUCZUDUAZPUEZHUCZU
      FUCZXRXTXQUCZUGTZUHUIZPIUJHDUACIUAZPXRDHGXOXQUFEIJXQUKZEMULXOUKZNGLUMZEMU
      NZUOYFIUPHUQZXTQUEZRUEZGURUCZTZGUSUCZTZHUCZYAYLYMHUCZUGTZUTTZVAZRIUJZQUPU
      JPIUJZVBZXPYFYKUUDYFAUEZCFTZUPUAZAIUJYKYFUUHAIUUFIUAZYFUUHGVCUAZUUIYFUUHY
      IUUFCFGIJKVDVEVFVGABIUPUUGHOVHVIYFUUCPQIUPYFXTIUAZYLUPUAZVBUUBRIYFUUKUULY
      MIUAZUUBVJUUKUULUUMYFUUBUUKUULUUMYFUUBUUKUULUUMVBZVBZYFVBZYQCFTZXTCFTZYOC
      FTZUTTZYRUUAUUKUUNYFUUQUUTVAZUUKYOIUAZYFUVAUUNGVKUAUUKUVBYFVLUVALXTYOCFGY
      PIJYPUKZKVMVNUUJUULUUMUVBYIYLYMYNGIJYNUKZVOVEZVPVQUUOYRUUQVAZYFUUOYQIUAZU
      VFUUKUVBUVGUUNUUJUUKUVBUVGYIXTYOGYPIJUVCVRVEUVEVSABYQUUGUUQIHUUFYQCFVTOYQ
      CFWAWBWCWDUUPYAUURYTUUSUTUUKYAUURVAZUUNYFABXTUUGUURIHUUFXTCFVTOXTCFWAWBZW
      EUUPYTYLYMCFTZUGTZUUSUUNYTUVKVAZUUKYFUUMUVLUULUUMYSUVJYLUGABYMUUGUVJIHUUF
      YMCFVTOYMCFWAWBWFWGWHUUNYFUUSUVKVAZUUKUULUUMYFUVMYLYMCFYNGYPIJUVCUVDKLWIV
      QWJWKWLWMWNWOWPWQWRWSUUJEVCUAXPUUEWTYIYJPQRYNUGHGYPUTXOEIUPJEMXAUVCEMXBUV
      DEMXCYHXDXEXFUUJYFXSYICGXQIJYGXGVNZYFYEPIYFUUKVBZUURUFUCZYCXRUGTZYBYDUHUU
      KYFUVPUVQUHUIXTCFGXQIJYGKLXHVFUVOYAUURUFUUKUVHYFUVIWGXIXRUPUAYCUPUAYDUVQV
      AYFUUKXRYCXJYFXRUVNXKUUKYCUUJUUKYCUDUAYIXTGXQIJYGXGVNXKXLXMVGXN $.
      $( [24-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    $d x A $.  $d x B $.  $d s t x P $.  $d s t Q $.  $d x y S $.
    $d s t x y T $.  $d x U $.  $d s t x y X $.  $d s t x y Y $.
    ip2eqi.1 $e |- X = ( Base ` U ) $.
    ip2eqi.7 $e |- P = ( .i ` U ) $.
    ip2eqi.u $e |- U e. CPreHil $.
    $( Two vectors are equal iff their inner products with all other vectors
       are equal. $)
    ip2eqi $p |- ( ( A e. X /\ B e. X ) -> ( A. x e. X ( x P A
                                               ) = ( x P B ) <-> A = B ) ) $=
      ( wcel wa cv co wceq wral cnsb cfv wi cnv phnvi eqid nvmcl mp3an1 opreq1
      eqeq12d rcla4v syl cmin cc0 cn0v cphl w3a ipsubdi mpan pm3.26 pm3.27
      syl3anc eqeq1d wb ipz bitr3d cc subeq0t ipcl sylanc sylancom nvmeq0
      3bitr3d sylibd opreq2 a1d r19.21aiv impbid1 ) BFJZCFJZKZALZBDMZVQCDMZNZAF
      OZBCNZVPWABCEPQZMZBDMZWDCDMZNZWBVPWDFJZWAWGRESJZVNVOWHEITZBCEWCFGWCUAZUBU
      CZVTWGAWDFVQWDNVRWEVSWFVQWDBDUDVQWDCDUDUEUFUGVPWEWFUHMZUINZWDEUJQZNZWGWBV
      PWDWDDMZUINZWNWPVPWQWMUIWHVNVOWQWMNZVPEUKJWHVNVOULWSIWDBCDEWCFGWKHUMUNWLV
      NVOUOZVNVOUPUQURVPWHWRWPUSZWLWIWHXAWJWDDEFWOGWOUAZHUTUNUGVAWEVBJZWFVBJZWN
      WGUSVPWEWFVCWHVNXCVPWIWHVNXCWJWDBDEFGHVDUCWLWTVEVNVOWHXDWLWIWHVOXDWJWDCDE
      FGHVDUCVFVEWIVNVOWPWBUSWJBCEWCFWOGWKXBVGUCVHVIWBVTAFWBVTVQFJBCVQDVJVKVLVM
      $.
      $( [5-Feb-2008] $) $( [24-Jan-2008] $)

    $( A condition implying that two operators are equal. $)
    phoeqi $p |- ( ( S : Y --> X /\ T : Y --> X ) -> ( A. x e. X A. y e.
      Y ( x P ( S ` y ) ) = ( x P ( T ` y ) ) <-> S = T ) ) $=
      ( wf wa cv cfv co wceq wral wcel wb ip2eqi ffvelrn syl2an anandirs
      ralbidva wfn eqfnfv eqid biantrur syl6bbr ffn bitr4d ralcom syl5bb ) HGDL
      ZHGELZMZANZBNZDOZCPURUSEOZCPQZAGRZBHRZDEQZVBBHRAGRUQVDUTVAQZBHRZVEUQVCVFB
      HUOUPUSHSZVCVFTZUTGSVAGSVIUOVHMUPVHMAUTVACFGIJKUAHGUSDUBHGUSEUBUCUDUEDHUF
      ZEHUFZVEVGTUOUPVJVKMVEHHQZVGMVGBHHDEUGVLVGHUHUIUJHGDUKHGEUKUCULVBABGHUMUN
      $.
      $( [6-Feb-2008] $) $( [25-Jan-2008] $)

    $( Every operator has at most one adjoint. $)
    ajmoi $p |- E* s ( s : Y --> X /\
           A. x e. X A. y e. Y ( ( T ` x ) Q y ) = ( x P ( s ` y ) ) ) $=
      ( vt cv wf cfv co wceq wral wa wmo wi wal phoeqi biimpa r19.26-2 eqtr2t
      r19.20si sylbir sylan2 an4s gen2 feq1 fveq1 opreq2d eqeq2d 2ralbidv
      anbi12d mo4 mpbir ) HGINZOZANZEPBNZDQZVCVDVAPZCQZRZBHSAGSZTZIUAVJHGMNZOZV
      EVCVDVKPZCQZRZBHSAGSZTZTVAVKRZUBZMUCIUCVSIMVBVLVIVPVRVBVLTZVGVNRZBHSZAGSZ
      VRVIVPTZVTWCVRABCVAVKFGHJKLUDUEWDVHVOTZBHSZAGSWCVHVOABGHUFWFWBAGWEWABHVEV
      GVNUGUHUHUIUJUKULVJVQIMVRVBVLVIVPHGVAVKUMVRVHVOABGHVRVGVNVEVRVFVMVCCVDVAV
      KUNUOUPUQURUSUT $.
      $( [7-Feb-2008] $) $( [25-Jan-2008] $)
  $}

  ${
    $d s t x y U $.  $d s t x y W $.
    ajfuni.5 $e |- A = ( U adj W ) $.
    ajfuni.u $e |- U e. CPreHil $.
    ajfuni.w $e |- W e. NrmCVec $.
    $( The adjoint function is a function. $)
    ajfuni $p |- Fun A $=
      ( vt vs vx vy wfun cba cfv cv wf cip co wceq wral w3a copab wmo funopab
      wa eqid ajmoi 3simpc immoi ax-mp mpgbir wb cnv wcel phnvi ajfval mp2an
      funeq mpbir ) AKZBLMZCLMZGNZOZVAUTHNZOZINZVBMJNZCPMZQVFVGVDMBPMZQRJVASIUT
      SZTZGHUAZKZVMVKHUBZGVKGHUCVEVJUDZHUBVNIJVIVHVBBUTVAHUTUEZVIUEZEUFVKVOHVCV
      EVJUGUHUIUJAVLRZUSVMUKBULUMCULUMVRBEUNFIJGAVIVHBCUTVAHVPVAUEVQVHUEDUOUPAV
      LUQUIUR $.
      $( [8-Feb-2008] $) $( [25-Jan-2008] $)
  $}

  ${
    ajfun.5 $e |- A = ( U adj W ) $.
    $( The adjoint function is a function.  This is not immediately apparent
       from ~ df-aj but results from the uniqueness shown by ~ ajmoi . $)
    ajfun $p |- ( ( U e. CPreHil /\ W e. NrmCVec ) -> Fun A ) $=
      ( cphl wcel cnv wfun caddc cmul cop cabs cif caj co wceq wb opreq1
      syl5eq funeq syl opreq2 eqid elimphu elimnvu ajfuni dedth2h ) BEFZCGFZAHZ
      UHBIJKLKZMZCNOZHZULUICUKMZNOZHZBCUKUKBULPZAUMPUJUNQURBCNOUMABULCNRDSAUMTU
      ACUOPUMUPPUNUQQCUOULNUBUMUPTUAUPULUOUPUCBUDCUEUFUG $.
      $( [14-Feb-2008] $) $( [26-Jan-2008] $)
  $}

  ${
    $d t P $.  $d t Q $.  $d s t x y T $.  $d s t x y U $.  $d s t x y W $.
    $d s t x y X $.  $d s t y Y $.
    ajval.1 $e |- X = ( Base ` U ) $.
    ajval.2 $e |- Y = ( Base ` W ) $.
    ajval.3 $e |- P = ( .i ` U ) $.
    ajval.4 $e |- Q = ( .i ` W ) $.
    ajval.5 $e |- A = ( U adj W ) $.
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                           Complex Banach spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CBan $.

  $( Extend class notation with the class of all complex Banach spaces. $)
  cbn $a class CBan $.

  $( Define the class of all complex Banach spaces. $)
  df-bn $a |- CBan = { u e. NrmCVec | ( IndMet ` u ) e. CMet } $.

  ${
    $d u U $.  $d u D $.
    isbn.8 $e |- D = ( IndMet ` U ) $.
    $( A complex Banach space is a normed complex vector space with a complete
       induced metric. $)
    isbn $p |- ( U e. CBan <-> ( U e. NrmCVec /\ D e. CMet ) ) $=
      ( vu cv cims cfv cms wcel cnv cbn wceq fveq2 syl6eqr eleq1d df-bn elrab2
      ) DEZFGZHIAHIDBJKRBLZSAHTSBFGARBFMCNODPQ $.
      $( [8-Sep-2007] $) $( [5-Dec-2006] $)

    $( The induced metric on complex Banach space is complete. $)
    bncms $p |- ( U e. CBan -> D e. CMet ) $=
      ( cbn wcel cnv cms isbn pm3.27bi ) BDEBFEAGEABCHI $.
      $( [12-Dec-2007] $) $( [8-Sep-2007] $)
  $}

  $( Every complex Banach space is a normed complex vector space. $)
  bnnv $p |- ( U e. CBan -> U e. NrmCVec ) $=
    ( cbn wcel cnv cims cfv cms eqid isbn pm3.26bi ) ABCADCAEFZGCKAKHIJ $.
    $( [7-Sep-2007] $) $( [17-Mar-2007] $)

  $( The class of all complex Banach spaces is a relation. $)
  bnrel $p |- Rel CBan $=
    ( vx cbn cnv wss wrel cv bnnv ssriv nvrel relss mp2 ) BCDCEBEABCAFGHIBCJK
    $.
    $( [12-Feb-2008] $) $( [17-Mar-2007] $)

  ${
    bnsscmcl.x $e |- X = ( Base ` U ) $.
    bnsscmcl.d $e |- D = ( IndMet ` U ) $.
    bnsscmcl.j $e |- J = ( Open ` D ) $.
    bnsscmcl.h $e |- H = ( SubSp ` U ) $.
    bnsscmcl.y $e |- Y = ( Base ` W ) $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of complex Banach spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    cnbn.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The set of complex numbers is a complex Banach space.  (Contributed by
       Steve Rodriguez, 4-Jan-2007.) $)
    cnbn $p |- U e. CBan $=
      ( cbn wcel cnv caddc cmul cop cabs cims cfv cms fveq2i eqcomi isbn cnnv
      cmin ccom eqid cnims cncms mpbir2an ) ACDAEDFGHIHZJKZLDUDAAJKUDAUCJBMNOAB
      PUDIQRZUDUEUCUCSUESTNUAUB $.
      $( [12-Feb-2008] $) $( [28-Apr-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                          Uniform Boundedness Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d p A $.  $d h j m n y z N $.  $d h n z P $.  $d h j m n y z T $.
    $d j p y z X $.  $d h j k m n p y z $.
    ubthlem1.1 $e |- X = ( Base ` U ) $.
    ubthlem1.11 $e |- A = { <. j , y >. | ( j e. NN /\ y = { z e. X |
       A. h e. NN ( N ` ( ( T ` h ) ` z ) ) <_ j } ) } $.
    $( Lemma for ~ ubthi .  Membership in ` A `` k ` , the set of all vectors
        ` ( T `` n ) `` z ` whose norm is less than ` k ` . $)
    ubthlem1 $p |- ( k e. NN -> ( P e. ( A ` k ) <-> ( P e. X /\
       A. n e. NN ( N ` ( ( T ` n ) ` P ) ) <_ k ) ) ) $=
      ( cv cn wcel cfv cle wbr wral wa crab wceq breq2 ralbidv rabbisdv cba
      cvv fvex eqeltr rabex fvopab4 eleq2d fveq2 fveq2d breq1d elrab syl6bb
      fveq1d cbvralv anbi2i ) IOZPQZDVCCRZQZDLQZDGOZERZRZKRZVCSTZGPUAZUBZVGDJOZ
      ERZRZKRZVCSTZJPUAZUBVDVFDBOZVIRZKRZVCSTZGPUAZBLUCZQVNVDVEWFDHAVCWCHOZSTZG
      PUAZBLUCWFPCWGVCUDZWIWEBLWJWHWDGPWGVCWCSUEUFUGNWEBLLFUHRUIMFUHUJUKULUMUNW
      EVMBDLWADUDZWDVLGPWKWCVKVCSWKWBVJKWADVIUOUPUQUFURUSVMVTVGVLVSGJPVHVOUDZVK
      VRVCSWLVJVQKWLDVIVPVHVOEUOUTUPUQVAVBUS $.
      $( [8-Jan-2008] $) $( [19-Dec-2007] $)

    $( Lemma for ~ ubthi .  ` A `` k ` is a set of vectors. $)
    ubthlem2 $p |- ( k e. NN -> ( A ` k ) (_ X ) $=
      ( vp vm cv cn wcel cfv cle wbr wral ubthlem1 pm3.26bda ex ssrdv ) HOZPQZM
      UFCRZJUGMOZUHQZUIJQZUGUJUKUINODRRIRUFSTNPUAABCUIDEFGHNIJKLUBUCUDUE $.
      $( [10-Jan-2008] $) $( [7-Nov-2007] $)
  $}

  ${
    $d g m A $.  $d m C $.  $d g m x D $.  $d g G $.  $d n j h z y N $.
    $d g n j m h z y x T $.  $d g W $.  $d g j z y X $.  $d g m x Y $.
    $d f g n j k m h w z y x $.
    ubthlem3.1 $e |- X = ( Base ` U ) $.
    ubthlem3.2 $e |- Y = ( Base ` W ) $.
    ubthlem3.3 $e |- N = ( norm ` W ) $.
    ubthlem3.5 $e |- B = ( U BLnOp W ) $.
    ubthlem3.6 $e |- T : NN --> B $.
    ubthlem3.u $e |- U e. NrmCVec $.
    ubthlem3.w $e |- W e. NrmCVec $.
    ubthlem3.9c $e |- C = ( IndMet ` U ) $.
    ubthlem3.9d $e |- D = ( IndMet ` W ) $.
    ubthlem3.11 $e |- A = { <. j , y >. | ( j e. NN /\ y = { z e. X |
       A. h e. NN ( N ` ( ( T ` h ) ` z ) ) <_ j } ) } $.
    ubthlem3.12 $e |- G = { <. m , x >. | ( m e. NN /\ x =
                 ( ( T ` n ) ` ( f ` m ) ) ) } $.
    $( Lemma for ~ ubthi .  The limit of any sequence in ` A `` k ` has
       operator value norm less than ` k ` , for any bounded linear operator
       ` T `` n ` , using ~ metcn4i (with continuity shown by ~ blocn2 ) and
       the properties of ` A `` k ` . $)
    ubthlem3 $p |- ( ( ( f : NN --> ( A ` k ) /\ f ( ~~>m ` C ) w ) /\
         ( k e. NN /\ n e. NN ) ) -> ( N ` ( ( T ` n ) ` w ) ) <_ k ) $=
      ( vg cn wf cv cfv clm wbr cr wcel cle wral wa cnv fvex nvlmle mp3anl1
      ffvelrn ffvelrni blof mp3an12 syl adantl ad2antlr wss fss ubthlem2
      sylan2 sylan adantlrr sylanc adantllr r19.21aiva fopab2 sylib copn ccn
      co cdm cme imsmet ax-mp eqid visset metcn4i mpanl1 blocn2 ad2antll wceq
      wb imsbai feq3 adantrr anim1i an1rs nnret ad2antrl fveq2 fveq2d fvopab4
      ubthlem1 pm3.27bda ancoms r19.21bi adantlr simprl adantr jca simprr
      eqbrtrd syl2anc ) UNUAQUOZQDUPZPUPZIUQZUQZHURUQUSZNUPZUTVAZUMUPZQUQZRUQZY
      IVBUSZUMUNVCZYGRUQYIVBUSZUNYIEUQZKUPZUOZYRYDGURUQUSZVDZYIUNVAZYEUNVAZVDZV
      DZSVEVAZYCYHYJYOVDYPUHHYGYISUMQRUAUCUDUJYDYFVFVGVHUUEOUPZYRUQZYFUQZUAVAZO
      UNVCYCUUEUUJOUNYSUUDUUGUNVAZUUJYTTUAYFUOZUUHTVAZUUJYSUUDVDZUUKVDTUAUUHYFV
      IUUDUULYSUUKUUCUULUUBUUCYFFVAZUULUNFYEIUFVJZJVEVAZUUFUUOUULUGUHFYFJSTUAUB
      UCUEVKVLVMVNVOYSUUBUUKUUMUUCUNTYRUOZUUKUUMYSUUBVDZUNTUUGYRVIYSYQTVPUURUUB
      UNYQTYRVQBCEIJLMNRTUBUKVRVSZVTWAWBWCWDOAUNUAUUIQULWEWFYFGWGUQZHWGUQZWHWIV
      AZUNGWJWJZYRUOZYTVDZYHUUEHWKVAZUVCUVFYHUUFUVGUHHSUJWLWMGWKVAZUVGUVCUVFYHU
      UQUVHUGGJUIWLWMAGHYDOYFYRQUVAUVBUVDUVDWNUVAWNZUVBWNZULDWOWPVHWQUUCUVCUUAU
      UBUUCUUOUVCUUPFGHYFJUVAUVBSUIUJUVIUVJUEUGUHWRVMWSYSUUDYTUVFUUNUVEYTYSUUBU
      VEUUCUUSUURUVEUUTTUVDWTUURUVEXAGJTUBUIUGXBTUVDUNYRXCWMWFXDXEXFWBUUBYJUUAU
      UCYIXGXHYSUUDYOYTUUNYNUMUNUUNYKUNVAZVDZYMYKYRUQZYFUQZRUQZYIVBUVKYMUVOWTUU
      NUVKYLUVNROAYKUUIUVNUNQUUGYKWTUUHUVMYFUUGYKYRXIXJULUVMYFVFXKXJVNUVMYQVAZU
      UBVDZUUCUVOYIVBUSZUVLUVQUVRPUNUUBUVPUVRPUNVCZUUBUVPUVMTVAUVSBCEUVMIJLMNPR
      TUBUKXLXMXNXOUVLUVPUUBYSUVKUVPUUDUNYQYKYRVIXPUUNUUBUVKYSUUBUUCXQXRXSUUNUU
      CUVKYSUUBUUCXTXRWBYAWDXPYB $.
      $( [10-Jan-2008] $) $( [26-Dec-2007] $)
  $}

  ${
    $d c f k m n p r x A $.  $d f k m n r x D $.  $d f k p r x J $.
    $d h j k n y z N $.  $d h j k m n w y z T $.  $d m w W $.
    $d c f j k n x y z X $.  $d m w Y $.  $d f h w x $.
    ubthlem4.1 $e |- X = ( Base ` U ) $.
    ubthlem4.2 $e |- Y = ( Base ` W ) $.
    ubthlem4.3 $e |- N = ( norm ` W ) $.
    ubthlem4.5 $e |- B = ( U BLnOp W ) $.
    ubthlem4.6 $e |- T : NN --> B $.
    ubthlem4.7 $e |- U e. CBan $.
    ubthlem4.8 $e |- W e. NrmCVec $.
    ubthlem4.9 $e |- D = ( IndMet ` U ) $.
    ubthlem4.10 $e |- J = ( Open ` D ) $.
    ubthlem4.11 $e |- A = { <. j , y >. | ( j e. NN /\ y = { z e. X |
       A. h e. NN ( N ` ( ( T ` h ) ` z ) ) <_ j } ) } $.
    $( Lemma for ~ ubthi .  The set ` A `` k ` is therefore closed by
       ~ metcld .  (The hypothesis ` U e. CBan ` could be weakened to
       ` U e. NrmCVec ` .) $)
    ubthlem4 $p |- ( k e. NN -> ( A ` k ) e. ( Clsd ` J ) ) $=
      ( vf vx vn vw vm cv cn wcel cfv ccld wf clm wbr wa wi wal cle wral cnv
      cbn bnnv ax-mp visset nvlmcl mpan ad2antll cims wceq copab eqid ubthlem3
      ancoms an1rs r19.21aiva jca ex ubthlem1 sylibrd 19.21aivv wss wb
      ubthlem2 cme imsmet imsbai metcld syl mpbird ) JUKZULUMZWNCUNZKUOUNUMZULW
      PUFUKZUPZWRUGUKZEUQUNURZUSZWTWPUMZUTZUFVAUGVAZWOXDUGUFWOXBWTNUMZWTUHUKZFU
      NZUNLUNWNVBURZUHULVCZUSZXCWOXBXKWOXBUSZXFXJXAXFWOWSGVDUMZXAXFGVEUMXMUAGVF
      VGZEWTGWRNPUCUGVHVIVJVKXLXIUHULWOXGULUMZXBXIXBWOXOUSXIUIABUGCDEMVLUNZFGUF
      HIJUJUHUJUKZULUMUIUKXQWRUNXHUNVMUSUJUIVNZLMNOPQRSTXNUBUCXPVOUEXRVOVPVQVRV
      SVTWAABCWTFGHIJUHLNPUEWBWCWDWOWPNWEZWQXEWFZABCFGHIJLNPUEWGEWHUMZXSXTXMYAX
      NEGUCWIVGUGEUFKWPNEGNPUCXNWJUDWKVJWLWM $.
      $( [14-Jan-2008] $) $( [7-Nov-2007] $)

    $( Lemma for ~ ubthi .  The union of all ` A `` k ` equals the base set,
       provided the values of the operators ` T `` n ` are bounded for each
       vector ` x ` . $)
    ubthlem5 $p |- ( A. x e. X E. c e. RR A. n e. NN
   ( N ` ( ( T ` n ) ` x ) ) <_ c -> U_ k e. NN ( A ` k ) = X ) $=
      ( cv cfv cle wbr cn wral cr wrex ciun wss iunss ubthlem2 mprgbir a1i
      wcel wa clt arch ad2antlr wi ltlet nnret sylan2 adantll adantlr letrt wf
      ffvelrn ffvelrni cnv cbn bnnv ax-mp blof mp3an12 syl sylan ancoms nvcl
      mpan simplr adantr syl3anc exp4b com34 com23 imp31 r19.20dva ex imp
      simpll jctild wb ubthlem1 sylibrd an1rs syld r19.22dva mpd r19.23adva
      eliun syl6ibr r19.20i dfss3 sylibr eqssd ) AUIZLUIZGUJZUJZNUJZRUIZUKULZLU
      MUNZRUOUPZAPUNZKUMKUIZDUJZUQZPYGPURZYDYHYFPURKUMKUMYFPUSBCDGHIJKNPSUHUTVA
      VBYDXOYGVCZAPUNPYGURYCYIAPXOPVCZYCXOYFVCZKUMUPZYIYJYCYLYJYCYLYJYBYLRUOYJX
      TUOVCZVDZYBYLYNYBVDZXTYEVEULZKUMUPZYLYMYQYJYBXTKVFVGYOYPYKKUMYOYEUMVCZVDY
      PXTYEUKULZYKYNYRYPYSVHZYBYMYRYTYJYMYEUOVCZYTYRXTYEVIYEVJZVKVLVMYNYRYBYSYK
      VHYNYRVDZYBVDZYSYJXSYEUKULZLUMUNZVDZYKUUDYSUUFYJUUCYBYSUUFVHUUCYSYBUUFUUC
      YSYBUUFVHUUCYSVDYAUUELUMUUCYSXPUMVCZYAUUEVHZUUCUUHYSUUIUUCUUHYAYSUUEUUCUU
      HYAYSUUEXSUOVCZYMUUAYAYSVDUUEVHUUCUUHVDXSXTYEVNYNUUHUUJYRYJUUHUUJYMYJUUHV
      DXRQVCZUUJUUHYJUUKPQXQVOZYJUUKUUHPQXOXQVPUUHXQEVCZUULUMEXPGUCVQHVRVCZOVRV
      CZUUMUULHVSVCUUNUDHVTWAUEEXQHOPQSTUBWBWCWDWEWFUUOUUKUUJUEXRONQTUAWGWHWDVM
      VMUUCYMUUHYJYMYRWIWJYRUUAYNUUHUUBVGWKWLWMWNWOWPWQWNWRUUCYJYBYJYMYRWSWJWTY
      RYKUUGXAYNYBBCDXOGHIJKLNPSUHXBVGXCXDXEXFXGWQXHWRWQKXOUMYFXIXJXKAPYGXLXMXN
      $.
      $( [10-Jan-2008] $) $( [26-Dec-2007] $)

    $( Lemma for ~ ubthi .  Using ~ bcth (via ~ bcthlem33 ), at least one
       set ` A `` k ` contains a ball. $)
    ubthlem6 $p |- ( A. x e. X E. c e. RR A. n e. NN ( N ` ( ( T ` n ) ` x
        ) ) <_ c -> E. k e. NN E. p e. X E. r e. RR ( 0 < r /\
                 ( p ( ball ` D ) r ) (_ ( A ` k ) ) ) $=
      ( cv cfv cle wbr cn wral cr wrex cnt c0 wne cc0 clt cbl co wss wa crn
      cuni wceq ciun ubthlem5 wfn crab cba cvv fvex eqeltr rabex fnopab2
      fniunfv ax-mp syl5eqr ccld wcel wb fvelrnb pm3.27 ubthlem4 adantr
      eqeltrrd r19.23aiva sylbi ssriv cbn cms bncms cn0v cnv bnnv eqid nvzcl
      ne0i imsbai cpw wf ffnfv ubthlem2 elpw sylibr rgen mpbir2an bcthlem33
      mpan2 syl wex ctop cme imsmet opntop uniopn eqcomi ntrss2 mpan sstrd
      sseld opni2 mp3an1 ntropn sylan ex sstr sylan2 expcom anim2d r19.22sdv
      syld jcad 19.22dv ne0 df-rex 3imtr4g r19.22i ) AUKZLUKGULULNULTUKUMUNLUOU
      PTUQURAPUPZKUKZDULZMUSULULZUTVAZKUOURZVBRUKZVCUNZSUKZUUKFVDULVEZUUGVFZVGZ
      RUQURZSPURZKUOURUUEDVHZVIZPVJZUUJUUEKUOUUGVKZPUUTABCDEFGHIJKLMNOPQTUAUBUC
      UDUEUFUGUHUIUJVLDUOVMZUVBUUTVJJBUOCUKIUKGULULNULJUKUMUNIUOUPZCPVNDUVDCPPH
      VOULVPUAHVOVQVRVSUJVTZKUODWAWBWCUVAUUSMWDULZVFUUJAUUSUVFUUDUUSWEZUUGUUDVJ
      ZKUOURZUUDUVFWEZUVCUVGUVIWFUVEKUOUUDDWGWBUVHUVJKUOUUFUOWEZUVHVGUUGUUDUVFU
      VKUVHWHUVKUUGUVFWEUVHBCDEFGHIJKMNOPQUAUBUCUDUEUFUGUHUIUJWIWJWKWLWMWNFKMDP
      HWOWEZFWPWEUFFHUHWQWBHWRULZPWEZPUTVAHWSWEZUVNUVLUVOUFHWTWBZHPUVMUAUVMXAXB
      WBPUVMXCWBFHPUAUHUVPXDZUIUOPXEZDXFUVCUUGUVRWEZKUOUPKUOUVRDXGUVEUVSKUOUVKU
      UGPVFZUVSBCDGHIJKNPUAUJXHZUUGPUUFDVQXIXJXKXLXMXNXOUUIUURKUOUVKUUMUUHWEZSX
      PUUMPWEZUUQVGZSXPUUIUURUVKUWBUWDSUVKUWBUWCUUQUVKUUHPUUMUVKUUHUUGPUVKUVTUU
      HUUGVFZUWAMXQWEZUVTUWEFXRWEZUWFUVOUWGUVPFHUHXSWBZFMUIXTWBZUUGMPMVIZPUWGUW
      JPVJUWHFMPUVQUIYAWBYBZYCYDXOZUWAYEYFUVKUWBUULUUNUUHVFZVGZRUQURZUUQUVKUWBU
      WOUUHMWEZUWBUWOUVKUWGUWPUWBUWOUWHRUUHFUUMMUIYGYHUVKUVTUWPUWAUWFUVTUWPUWIU
      UGMPUWKYIYDXOYJYKUVKUWNUUPRUQUVKUWMUUOUULUWMUVKUUOUWMUWEUUOUVKUUNUUHUUGYL
      UWLYMYNYOYPYQYRYSSUUHYTUUQSPUUAUUBUUCXO $.
      $( [18-Jan-2008] $) $( [27-Dec-2007] $)
  $}

  ${
    $d h j n y z N $.  $d h n z Q $.  $d h j n y z T $.  $d j y z X $.
    $d h j k n p y z $.
    ubthlem7.1 $e |- X = ( Base ` U ) $.
    ubthlem7.7 $e |- U e. NrmCVec $.
    ubthlem7.n $e |- L = ( norm ` U ) $.
    ubthlem7.g $e |- G = ( +v ` U ) $.
    ubthlem7.m $e |- M = ( -v ` U ) $.
    ubthlem7.r $e |- R = ( .s ` U ) $.
    ubthlem7.z $e |- Z = ( 0v ` U ) $.
    ubthlem7.q $e |- Q =
            ( p G ( ( ( r / 2 ) x. ( 1 / ( L ` x ) ) ) R x ) ) $.
    $( Lemma for ~ ubthi .  Auxiliary class ` Q ` is a vector. $)
    ubthlem7 $p |- ( ( p e. X /\ ( r e. RR /\ ( x e. X /\ x =/= Z ) ) ) ->
            Q e. X ) $=
      ( cv wcel cr wne wa c2 cdiv co c1 cfv cmul cnv nvgcl mp3an1 cc nvscl
      axmulcl rehalfclt recnd cc0 recclt nvcl mpan adantr wceq wb nvz
      necon3bid biimpar sylanc syl2an simprl sylan2 syl5eqel ) KTZHUAZJTZUBUAZA
      TZHUAZVRIUCZUDZUDZUDVNVPUEUFUGZUHVRFUIZUFUGZUJUGZVRCUGZEUGZHBVOWGHUAZWHHU
      AZWBDUKUAZVOWIWJMVNWGDEHLOULUMWFUNUAZVSWIWBWKWLVSWIMWFVRCDHLQUOUMWCUNUAWE
      UNUAZWLVQWAWCWEUPVQWCVPUQURWDUNUAZWDUSUCZWMWAWDUTVSWNVTVSWDWKVSWDUBUAMVRD
      FHLNVAVBURVCVSWOVTVSWDUSVRIWKVSWDUSVDVRIVDVEMVRDFHILRNVFVBVGVHVIVJVQVSVTV
      KVIVLSVM $.
      $( [10-Jan-2008] $) $( [28-Dec-2007] $)

    $( Lemma for ~ ubthi .  Compute ` x ` in terms of auxiliary vector
        ` Q ` . $)
    ubthlem8 $p |- ( ( p e. X /\ ( ( r e. RR /\ 0 < r ) /\
               ( x e. X /\ x =/= Z ) ) ) ->
         x = ( ( ( 2 / r ) x. ( L ` x ) ) R ( Q M p ) ) ) $=
      ( cv wcel cr cc0 clt wbr wa wne c1 co c2 cdiv cfv cmul wceq cnv nvsid
      mpan ad2antrl adantl eqcomi wb w3a nvsubadd ubthlem7 adantrlr pm3.26 cc
      nvscl mp3an1 axmulcl rehalfclt recnd recclt nvcl adantr nvz necon3bid
      biimpar sylanc syl2an simprl adantlr syl3anc mpbiri opreq2d nvsass 2cn
      divclt gt0ne0t mul4t anim12i 2ne0 divcan6t mpanl12 recidt opreqan12d
      ax1cn mulid1 syl6eq eqtrd opreq1d 3eqtr2rd eqtr3d ) KTZHUAZJTZUBUAZUCXFUD
      UEZUFZATZHUAZXJIUGZUFZUFZUFZUHXJCUIZXJUJXFUKUIZXJFULZUMUIZBXDGUIZCUIZXNXP
      XJUNZXEXKYBXIXLDUOUAZXKYBMXJCDHLQUPUQURUSXOYAXSXFUJUKUIZUHXRUKUIZUMUIZXJC
      UIZCUIZXSYFUMUIZXJCUIZXPXOXTYGXSCXOXTYGUNZXDYGEUIZBUNZBYLSUTBHUAZXEYGHUAZ
      YKYMVAZXOYCYNXEYOVBYPMBXDYGDEGHLOPVCUQXEXGXMYNXHABCDEFGHIJKLMNOPQRSVDVEXE
      XNVFXNYOXEXGXMYOXHYFVGUAZXKYOXGXMUFYCYQXKYOMYFXJCDHLQVHVIYDVGUAZYEVGUAZYQ
      XGXMYDYEVJZXGYDXFVKVLZXRVGUAZXRUCUGZYSXMXRVMXKUUBXLXKXRYCXKXRUBUAMXJDFHLN
      VNUQVLVOZXKUUCXLXKXRUCXJIYCXKXRUCUNXJIUNVAMXJDFHILRNVPUQVQVRZVSZVTXGXKXLW
      AVSWBUSWCWDWEXNYJYHUNZXEXSVGUAZYQXKUUGXNYCUUHYQXKVBUUGMXSYFXJCDHLQWFUQXQV
      GUAZUUBUUHXIXMXQXRVJXFVGUAZXFUCUGZUUIXIUJVGUAZUUJUUKUUIWGUJXFWHVIXIXFXGXH
      VFVLZXFWIZVSZUUDVTYRYSYQXIXMYTXGYRXHUUAVOZUUFVTXIXKXLWAWCUSXOYIUHXJCXNYIU
      HUNXEXNYIXQYDUMUIZXRYEUMUIZUMUIZUHUUIUUBUFYRYSUFYIUUSUNXNXQXRYDYEWJXIUUIX
      MUUBUUOUUDWKXIYRXMYSUUPUUFWKVSXNUUSUHUHUMUIUHXIXMUUQUHUURUHUMUUJUUKUUQUHU
      NZXIUULUJUCUGUUJUUKUFUUTWGWLUJXFWMWNUUMUUNVSUUBUUCUURUHUNXMXRWOUUDUUEVSWP
      UHWQWRWSWTUSXAXBXC $.
      $( [17-Jan-2008] $) $( [28-Dec-2007] $)

    ${
      ubthlem9.5 $e |- B = ( U BLnOp W ) $.
      ubthlem9.6 $e |- T : NN --> B $.
      ubthlem9.8 $e |- W e. NrmCVec $.
      ubthlem9.s $e |- S = ( .s ` W ) $.
      $( Lemma for ~ ubthi .  Evaluate the operator value at ` x ` in terms of
         the operator value at ` Q - p ` . $)
      ubthlem9 $p |- ( ( n e. NN /\ ( p e. X /\ ( ( r e. RR /\ 0 < r ) /\
       ( x e. X /\ x =/= Z ) ) ) ) -> ( ( T ` n ) ` x ) =
           ( ( ( 2 / r ) x. ( L ` x ) ) S ( ( T ` n ) ` ( Q M p ) ) ) ) $=
        ( cv cn wcel cr cc0 clt wbr wa wne cfv c2 cdiv co cmul wceq ubthlem8
        fveq2d adantl clno cc cnv eqid lnomul mp3anl1 mpanl1 ffvelrni bloln
        mp3an12 syl axmulcl gt0ne0t 2cn divclt mp3an1 recnt sylan syldan nvcl
        mpan recnd syl2an adantrr nvmcl ubthlem7 adantrlr pm3.26 sylanc jca
        eqtrd ) HUIZUJUKZPUIZMUKZOUIZULUKZUMXBUNUOZUPZAUIZMUKZXFNUQZUPZUPZUPZUP
        XFWRFURZURZUSXBUTVAZXFJURZVBVAZCWTKVAZDVAZXLURZXPXQXLUREVAZXKXMXSVCWSXK
        XFXRXLACDGIJKMNOPQRSTUAUBUCUDVDVEVFXLGLVGVAZUKZXPVHUKZXQMUKZUPZXSXTVCZW
        SXKLVIUKZYBYEYFUGGVIUKZYGYBYEYFRXPXQDEXLGYALMQUBUHYAVJZVKVLVMWSXLBUKZYB
        UJBWRFUFVNYHYGYJYBRUGBXLGYALYIUEVOVPVQXKYCYDXJYCXAXEXGYCXHXNVHUKZXOVHUK
        YCXEXGXNXOVRXCXDXBUMUQZYKXBVSXBVHUKZYLYKXCUSVHUKYMYLYKVTUSXBWAWBXBWCWDW
        EXGXOYHXGXOULUKRXFGJMQSWFWGWHWIWJVFCMUKZXAYDXKYHYNXAYDRCWTGKMQUAWKWBXAX
        CXIYNXDACDGIJKMNOPQRSTUAUBUCUDWLWMXAXJWNWOWPWIWQ $.
        $( [17-Jan-2008] $) $( [28-Dec-2007] $)
    $}
  $}

  ${
    $d c k n p r x A $.  $d k n p r x D $.  $d x L $.  $d h j k n x y z N $.
    $d d k p r O $.  $d h n z Q $.  $d d h j k n p r x y z T $.
    $d x U $.  $d x W $.  $d c j k n r x y z X $.
    ubthlem10.1 $e |- X = ( Base ` U ) $.
    ubthlem10.2 $e |- Y = ( Base ` W ) $.
    ubthlem10.3 $e |- N = ( norm ` W ) $.
    ubthlem10.4 $e |- O = ( U normOp W ) $.
    ubthlem10.5 $e |- B = ( U BLnOp W ) $.
    ubthlem10.6 $e |- T : NN --> B $.
    ubthlem10.7 $e |- U e. NrmCVec $.
    ubthlem10.8 $e |- W e. NrmCVec $.
    ubthlem10.9 $e |- D = ( IndMet ` U ) $.
    ubthlem10.n $e |- L = ( norm ` U ) $.
    ubthlem10.g $e |- G = ( +v ` U ) $.
    ubthlem10.m $e |- M = ( -v ` U ) $.
    ubthlem10.r $e |- R = ( .s ` U ) $.
    ubthlem10.z $e |- Z = ( 0v ` U ) $.
    ubthlem10.11 $e |- A = { <. j , y >. | ( j e. NN /\ y = { z e. X |
       A. h e. NN ( N ` ( ( T ` h ) ` z ) ) <_ j } ) } $.
    ubthlem10.q $e |- Q =
            ( p G ( ( ( r / 2 ) x. ( 1 / ( L ` x ) ) ) R x ) ) $.
    $( Lemma for ~ ubthi .  Upper limit for the norm of an operator value at
       auxiliary vector ` Q ` . $)
    ubthlem10 $p |- ( ( ( k e. NN /\ n e. NN ) /\ ( ( p e. X /\ ( ( r e. RR /\
   0 < r ) /\ ( x e. X /\ x =/= Z ) ) ) /\ ( p ( ball ` D ) r ) (_ ( A ` k ) )
        ) -> ( N ` ( ( T ` n ) ` Q ) ) <_ k ) $=
      ( cv cn wcel wa cfv cle wbr cr cc0 clt wne cbl co wss wral wi ubthlem1
      pm3.27bda ex ra4 syl6com com3l imp31 ssel impcom c2 cdiv c1 cmul wceq cc
      cnv w3a nvsass mpan rehalfclt recnd adantr rerecclt nvcl wb nvz
      necon3bid biimpar sylanc adantl simprl syl3anc adantlr fveq2d nvsge0
      mp3an1 halfpos2t biimpa 0re ltlet syl mpd jca nvscl pm3.26 syl2an eqtrd
      nv1 opreq2d ax1id ad2antrr 3eqtrd halfpost eqbrtrd nvelbl2 mp3anl1
      axmulcl recclt anim2i mpbird syl5eqel sylan sylan2 ) MVBZVCVDZNVBZVCVDZVE
      GUUADVFZVDZGUUCIVFVFRVFUUAVGVHZUEVBZUAVDZUDVBZVIVDZVJUUJVKVHZVEZAVBZUAVDZ
      UUNUCVLZVEZVEZVEZUUHUUJFVMVFVNZUUEVOZVEUUBUUDUUFUUGUUFUUBUUDUUGUUBUUFUUGN
      VCVPZUUDUUGVQUUBUUFUVBUUBUUFGUAVDUVBBCDGIJKLMNRUAUFUTVRVSVTUUGNVCWAWBWCWD
      GUUTVDZUVAUUFUUSUVAUVCUUFUUTUUEGWEWFUUSUUHUUJWGWHVNZWIUUNPVFZWHVNZWJVNZUU
      NHVNZOVNZUUTGUUSUVIUUTVDZUVHPVFZUUJVKVHZUURUVLUUIUURUVKUVDUUJVKUURUVKUVDU
      VFUUNHVNZPVFZWJVNZUVDWIWJVNZUVDUURUVKUVDUVMHVNZPVFZUVOUURUVHUVQPUUKUUQUVH
      UVQWKZUULUVDWLVDZUVFWLVDZUUOUVSUUKUUQVEZJWMVDZUVTUWAUUOWNUVSULUVDUVFUUNHJ
      UAUFURWOWPUUKUVTUUQUUKUVDUUJWQZWRZWSUUQUWAUUKUUQUVFUVEVIVDZUVEVJVLZUVFVIV
      DUUQUVEWTUUOUWFUUPUWCUUOUWFULUUNJPUAUFUOXAWPZWSUUOUWGUUPUUOUVEVJUUNUCUWCU
      UOUVEVJWKUUNUCWKXBULUUNJPUAUCUFUSUOXCWPXDXEZXFWRZXGUUKUUOUUPXHZXIXJXKUVDV
      IVDZVJUVDVGVHZVEZUVMUAVDZUVRUVOWKZUUMUUQUWCUWNUWOUWPULUVDUVMHJPUAUFURUOXL
      XMUUMUWLUWMUUKUWLUULUWDWSUUMVJUVDVKVHZUWMUUKUULUWQUUJXNXOUUKUWQUWMVQZUULU
      UKUWLUWRUWDVJVIVDUWLUWRXPVJUVDXQWPXRWSXSXTUWAUUOUWOUUQUWCUWAUUOUWOULUVFUU
      NHJUAUFURYAXMUWJUUOUUPYBXFYCYDUUQUVOUVPWKUUMUUQUVNWIUVDWJUWCUUOUUPUVNWIWK
      ULUUNHJPUAUCUFURUSUOYEXMYFXGUUKUVPUVDWKZUULUUQUUKUVTUWSUWEUVDYGXRYHYIUUMU
      VDUUJVKVHZUUQUUKUULUWTUUJYJXOWSYKXGUUIUVHUAVDZVEUUMUVJUVLXBZUUSUWCUUIUXAU
      UMUXBULUVHFUUHUUJJOPUAUFUPUOUNYLYMUURUXAUUIUUKUUQUXAUULUVGWLVDZUUOUXAUWBU
      WCUXCUUOUXAULUVGUUNHJUAUFURYAXMUVTUWAUXCUUKUUQUVDUVFYNUWEUVEWLVDZUWGUWAUU
      QUVEYOUUOUXDUUPUUOUVEUWHWRWSUWIXFYCUWKXFXJYPUUIUUMUUQXHXFYQVAYRYSYT $.
      $( [11-Jan-2008] $) $( [27-Dec-2007] $)

    $( Lemma for ~ ubthi .  Upper limit for the norm of an operator value at
       ` Q - p ` . $)
    ubthlem11 $p |- ( ( ( k e. NN /\ n e. NN ) /\ ( ( p e. X /\ ( ( r e. RR
  /\ 0 < r ) /\ ( x e. X /\ x =/= Z ) ) ) /\ ( p ( ball ` D ) r ) (_ ( A ` k )
        ) ) -> ( N ` ( ( T ` n ) ` ( Q M p ) ) ) <_ ( 2 x. k ) ) $=
      ( cv cn wcel wa cr cc0 clt wbr wne cbl cfv co wss cnsb caddc c2 cmul cle
      cnv eqid nvmcl mp3an1 wf ffvelrn ffvelrni blof mp3an12 syl ubthlem7
      adantrlr syl2an sylan adantrr sylanc nvcl mpan ad2ant2lr axaddrcl nnret
      ad2antrr nvmtri ubthlem10 wral wi ubthlem1 pm3.27bda ex ra4 syl6com
      com3l imp31 ssel2 ancoms cme imsmet ax-mp imsbai blcntr mpanl1 adantlrr
      sylan2 le2addt jca mp2and letrd wceq clno lnosub mp3anl1 bloln pm3.26
      fveq2d cc nncnt 2timest 3brtr4d ) MVBZVCVDZNVBZVCVDZVEZUEVBZUAVDZUDVBZVFV
      DZVGUUEVHVIZVEZAVBZUAVDUUIUCVJVEZVEZVEZUUCUUEFVKVLVMZYRDVLZVNZVEZVEZGYTIV
      LZVLZUUCUURVLZTVOVLZVMZRVLZYRYRVPVMZGUUCQVMUURVLZRVLZVQYRVRVMZVSUUQUVCUUS
      RVLZUUTRVLZVPVMZUVDUUAUULUVCVFVDZYSUUOUUAUULVEZUVBUBVDZUVKUUSUBVDZUUTUBVD
      ZUVMUVLTVTVDZUVNUVOUVMUMUUSUUTTUVAUBUGUVAWAZWBWCUAUBUURWDZGUAVDZUVNUUAUUL
      UAUBGUURWEUUAUUREVDZUVRVCEYTIUKWFZJVTVDZUVPUVTUVRULUMEUURJTUAUBUFUGUJWGWH
      WIZUUDUUFUUJUVSUUGAGHJOPQUAUCUDUEUFULUOUPUQURUSVAWJZWKWLZUUAUUDUVOUUKUVRU
      UDUVOUUAUAUBUUCUURWEUWCWMZWNZWOUVPUVMUVKUMUVBTRUBUGUHWPWQWIWRUUAUULUVJVFV
      DZYSUUOUVHVFVDZUVIVFVDZUWHUVLUVHUVIWSUVLUVNUWIUWEUVPUVNUWIUMUUSTRUBUGUHWP
      WQWIZUUAUUDUWJUUKUUAUUDVEUVOUWJUWFUVPUVOUWJUMUUTTRUBUGUHWPWQWIWNZWOWRYSUV
      DVFVDZUUAUUPYRVFVDZUWNUWMYSYRYRWSYRWTZUWOWOXAUUAUULUVCUVJVSVIZYSUUOUVNUVO
      UWPUVLUVPUVNUVOUWPUMUUSUUTTUVARUBUGUVQUHXBWCUWEUWGWOWRUUQUVHYRVSVIZUVIYRV
      SVIZUVJUVDVSVIZABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOUPUQURUS
      UTVAXCUUBUUCUUNVDZUWRUUPYSUUAUWTUWRUWTYSUUAUWRYSUWTUWRNVCXDZUUAUWRXEYSUWT
      UXAYSUWTUUDUXABCDUUCIJKLMNRUAUFUTXFXGXHUWRNVCXIXJXKXLUUDUUHUUOUWTUUJUUCUU
      MVDZUUOUWTUUDUUHVEUUOUXBUWTUUMUUNUUCXMXNFXOVDZUUDUUHUXBUWBUXCULFJUNXPXQFU
      UCUUEUAFJUAUFUNULXRXSXTWMYAYBUWIUWJVEZUWNUWNVEZUWQUWRVEUWSXEUUQUVHUVIYRYR
      YCUUAUULUXDYSUUOUVLUWIUWJUWKUWLYDWRYSUXEUUAUUPYSUWNUWNUWOUWOYDXAWOYEYFUUA
      UULUVFUVCYGYSUUOUVLUVEUVBRUURJTYHVMZVDZUVSUUDVEZUVEUVBYGZUUAUULUVPUXGUXHU
      XIUMUWBUVPUXGUXHUXIULGUUCUURJUXFQUVATUAUFUQUVQUXFWAZYIYJXTUUAUVTUXGUWAUWB
      UVPUVTUXGULUMEUURJUXFTUXJUJYKWHWIUUDUUFUUJUXHUUGUUDUUFUUJVEZVEUVSUUDUWDUU
      DUXKYLYDWKWLYMWRYSUVGUVDYGZUUAUUPYSYRYNVDUXLYRYOYRYPWIXAYQ $.
      $( [13-Jan-2008] $) $( [31-Dec-2007] $)

    $( Lemma for ~ ubthi .  Upper limit for the norm of an operator value at
       ` x ` . $)
    ubthlem12 $p |- ( ( ( k e. NN /\ n e. NN ) /\ ( ( p e. X /\ (
  ( r e. RR /\ 0 < r ) /\ ( x e. X /\ x =/= Z ) ) ) /\ ( p ( ball ` D ) r ) (_
  ( A ` k ) ) ) -> ( N ` ( ( T ` n ) ` x ) ) <_ ( ( ( 2 / r ) x. ( 2 x. k ) )
         x. ( L ` x ) ) ) $=
      ( cv cn wcel wa cr cc0 clt wbr wne cbl cfv co wss c2 cdiv cmul cle w3a
      lemul2it wf ffvelrn ffvelrni cnv blof mp3an12 syl ubthlem7 adantrlr
      nvmcl mp3an1 ancoms syldan syl2an nvcl mpan adantll nnret 2re axmulrcl
      ad2antrr gt0ne0t redivclt mulge0t an4s 0re 2pos ltlei divge0t mpanl12
      jca nvge0 adantrr ad2antll 3jca ubthlem11 sylanc wceq cns eqid ubthlem9
      fveq2d nvsge0 eqtr2d ad2ant2lr cc mul23t recnd syl3an 3comr 3expb
      adantrrr adantrl ad2ant2r 3brtr3d ) MVBZVCVDZNVBZVCVDZVEZUEVBZUAVDZUDVBZV
      FVDZVGUUCVHVIZVEZAVBZUAVDZUUGUCVJZVEZVEZVEZUUAUUCFVKVLVMYPDVLVNZVEVEZVOUU
      CVPVMZUUGPVLZVQVMZGUUAQVMZYRIVLZVLZRVLZVQVMZUUQVOYPVQVMZVQVMZUUGUUSVLZRVL
      ZUUOUVCVQVMUUPVQVMZVRUVAVFVDZUVCVFVDZUUQVFVDZVGUUQVRVIZVEZVSZUVAUVCVRVIUV
      BUVDVRVIUUNUVAUVCUUQVTYTUULUVMUUMYTUULVEUVHUVIUVLYSUULUVHYQYSUULVEZUUTUBV
      DZUVHUAUBUUSWAZUURUAVDZUVOYSUULUAUBUURUUSWBYSUUSEVDZUVPVCEYRIUKWCJWDVDZTW
      DVDZUVRUVPULUMEUUSJTUAUBUFUGUJWEWFWGUUBUUKGUAVDZUVQUUBUUDUUJUWAUUEAGHJOPQ
      UAUCUDUEUFULUOUPUQURUSVAWHWIUWAUUBUVQUVSUWAUUBUVQULGUUAJQUAUFUQWJWKWLWMWN
      ZUVTUVOUVHUMUUTTRUBUGUHWOWPWGWQYQUVIYSUULYQYPVFVDZUVIYPWRVOVFVDZUWCUVIWSV
      OYPWTWPWGZXAUUKUVLYTUUBUUFUUHUVLUUIUUFUUHVEUVJUVKUUOVFVDZUUPVFVDZUVJUUFUU
      HUUOUUPWTUUDUUEUUCVGVJZUWFUUCXBUWDUUDUWHUWFWSVOUUCXCWKWMZUVSUUHUWGULUUGJP
      UAUFUOWOWPZWNUWFVGUUOVRVIZVEUWGVGUUPVRVIZVEUVKUUFUUHUWFUWGUWKUWLUVKUUOUUP
      XDXEUUFUWFUWKUWIUWDVGVOVRVIUUFUWKWSVGVOXFWSXGXHVOUUCXIXJXKUUHUWGUWLUWJUVS
      UUHUWLULUUGJPUAUFUOXLWPXKWNXKXMZXNXOXMABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGU
      HUIUJUKULUMUNUOUPUQURUSUTVAXPXQYSUULUVBUVFXRYQUUMUVNUVFUUQUUTTXSVLZVMZRVL
      ZUVBUVNUVEUWORAEGHUWNIJNOPQTUAUCUDUEUFULUOUPUQURUSVAUJUKUMUWNXTZYAYBUVLUV
      OUWPUVBXRZUVNUVTUVLUVOUWRUMUUQUUTUWNTRUBUGUWQUHYCWKUUKUVLYSUUBUWMXNUWBXQY
      DYEYQUULUVDUVGXRZYSUUMYQUUKUWSUUBYQUUFUUHUWSUUIYQUUFUUHUWSUUFUUHYQUWSUUOY
      FVDUUPYFVDUVCYFVDUWSUUFUUHYQUUOUUPUVCYGUUFUUOUWIYHUUHUUPUWJYHYQUVCUWEYHYI
      YJYKYLYMYNYO $.
      $( [18-Jan-2008] $) $( [1-Jan-2008] $)

    $( Lemma for ~ ubthi .  Upper bound for the operator norm of any
       operator ` T `` n ` . $)
    ubthlem13 $p |- ( ( ( k e. NN /\ n e. NN ) /\ ( ( p e. X /\
  ( r e. RR /\ 0 < r ) ) /\ ( p ( ball ` D ) r ) (_ ( A ` k ) ) ) ->
         ( O ` ( T ` n ) ) <_ ( ( 2 / r ) x. ( 2 x. k ) ) ) $=
      ( cv cfv clno co wcel c2 cdiv cmul cr cc0 cle wbr wa wne wi wral cn clt
      cbl wss eqid nmlnoubi ffvelrni cnv bloln mp3an12 syl ad2antlr axmulrcl
      gt0ne0t 2re redivclt mp3an1 syldan nnret mpan syl2an mulge0t an4s 0re
      2pos ltlei divge0t mpanl12 jca ltlet nngt0t sylc sylanc ancoms adantrl
      ad2ant2r ubthlem12 exp32 exp4d imp3a com34 imp32 exp3a r19.21aiv syl3anc
      ) NVBZIVCZJTVDVEZVFZVGUDVBZVHVEZVGMVBZVIVEZVIVEZVJVFZVKYKVLVMZVNZAVBZUCVO
      ZYOYDVCRVCYKYOPVCVIVEVLVMZVPZAUAVQYDSVCYKVLVMYIVRVFZYCVRVFZVNZUEVBZUAVFZY
      GVJVFZVKYGVSVMZVNZVNZUUBYGFVTVCVEYIDVCWAZVNZVNZAYKYDJPYERSTUAUCUFUSUOUHUI
      YEWBZULUMWCYTYFYSUUIYTYDEVFZYFVREYCIUKWDJWEVFTWEVFUULYFULUMEYDJYETUUKUJWF
      WGWHWIYSUUGYNYTUUHYSUUFYNUUCUUFYSYNUUFYSVNYLYMYHVJVFZYJVJVFZYLUUFYSYHYJWJ
      UUDUUEYGVKVOZUUMYGWKVGVJVFZUUDUUOUUMWLVGYGWMWNWOZYSYIVJVFZUUNYIWPZUUPUURU
      UNWLVGYIWJWQWHZWRUUMVKYHVLVMZVNUUNVKYJVLVMZVNYMUUFYSUUMUUNUVAUVBYMYHYJWSW
      TUUFUUMUVAUUQUUPVKVGVLVMZUUFUVAWLVKVGXAWLXBXCZVGYGXDXEXFYSUUNUVBUUTUURVKY
      IVLVMZUVBYSUUPUVCUURUVEVNUVBWLUVDUUPUURUVCUVEUVBVGYIWSWTXEUUSUURVKYIVSVMZ
      UVEYSVKVJVFUURUVFUVEVPXAVKYIXGWQUUSYIXHXIXJXFWRXFXKXLXMUUJYRAUAUUJYOUAVFZ
      YPYQUUAUUGUUHUVGYPVNZYQVPUUAUUGUVHUUHYQUUAUUCUUFUVHUUHYQVPZVPUUAUUCUUFUVH
      UVIUUAUUCUUFUVHVNVNUUHYQABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNU
      OUPUQURUSUTVAXNXOXPXQXRXSXTYAYB $.
      $( [19-Jan-2008] $) $( [1-Jan-2008] $)

    ${
      ubthlem14.7 $e |- U e. CBan $.
      $( Lemma for ~ ubthi .  The operator norms of the operators ` T `` n `
         have an upper bound. $)
      ubthlem14 $p |- ( A. x e. X E. c e. RR A. n e. NN ( N ` ( ( T ` n ) ` x
           ) ) <_ c -> E. d e. RR A. n e. NN ( O ` ( T ` n ) ) <_ d ) $=
        ( vk cv cfv cle wbr cn wral cr wrex cc0 clt cbl co wss wa copn eqid
        ubthlem6 wcel wi c2 cdiv cmul wceq breq2 ralbidv rcla4ev axmulrcl wne
        gt0ne0t 2re redivclt mp3an1 syldan nnret mpan syl syl2an ancoms
        adantrl adantrr ubthlem13 exp31 com23 imp r19.21aiv sylanc exp44 exp3a
        imp4a r19.23adv r19.23aivv ) AVEMVEZIVFZVFQVFUEVEVGVHMVIVJUEVKVLATVJVMU
        CVEZVNVHZUDVEZXRFVOVFVPVDVEZDVFVQZVRZUCVKVLZUDTVLVDVIVLXQRVFZUFVEZVGVHZ
        MVIVJZUFVKVLZABCDEFIJKLVDMFVSVFZQSTUAUCUDUEUGUHUIUKULVCUNUOYJVTVAWAYDYI
        VDUDVITYAVIWBZXTTWBZVRZYCYIUCVKYMXRVKWBZXSYBYIYMYNXSYBYIWCZYKYLYNXSVRZY
        OWCYKYLYPYBYIWDXRWEVPZWDYAWFVPZWFVPZVKWBZYEYSVGVHZMVIVJZYIYKYLYPVRZYBVR
        ZVRZYHUUBUFYSVKYFYSWGYGUUAMVIYFYSYEVGWHWIWJYKUUCYTYBYKYPYTYLYPYKYTYQVKW
        BZYRVKWBZYTYPYKYQYRWKYNXSXRVMWLZUUFXRWMWDVKWBZYNUUHUUFWNWDXRWOWPWQYKYAV
        KWBZUUGYAWRUUIUUJUUGWNWDYAWKWSWTXAXBXCXDUUEUUAMVIYKUUDXPVIWBZUUAWCYKUUK
        UUDUUAYKUUKUUDUUAABCDEFGHIJKLVDMNOPQRSTUAUBUCUDUGUHUIUJUKULUMUNUOUPUQUR
        USUTVAVBXEXFXGXHXIXJXKXHXLXMXNXOWT $.
        $( [20-Jan-2008] $) $( [1-Jan-2008] $)
    $}
  $}

  ${
    $d c d n x B $.  $d c h j n p r x y z M $.  $d d p r N $.
    $d c d h j n p r x y z T $.  $d c d h n p r x z U $.  $d c d n x W $.
    $d c j n p r x y z X $.
    ubthi.1 $e |- X = ( Base ` U ) $.
    ubthi.3 $e |- M = ( norm ` W ) $.
    ubthi.4 $e |- N = ( U normOp W ) $.
    ubthi.5 $e |- B = ( U BLnOp W ) $.
    ubthi.7 $e |- U e. CBan $.
    ubthi.8 $e |- W e. NrmCVec $.
    ${
      ubthii.6 $e |- T : NN --> B $.
      $( Inference from ~ ubthi . $)
      ubthii $p |- ( A. x e. X E. c e. RR A. n e. NN ( M ` ( ( T ` n ) ` x ) )
        <_ c -> E. d e. RR A. n e. NN ( N ` ( T ` n ) ) <_ d ) $=
        ( vy vz vj vh vp vr cv cn wcel cfv cle wbr wral crab wceq wa copab
        cims c2 cdiv co c1 cnm cmul cns cpv cnsb cba cn0v eqid cbn cnv bnnv
        ax-mp ubthlem14 ) ASTUAUEZUFUGSUETUEUBUECUHUHFUHVNUIUJUBUFUKTIULUMUNUAS
        UOZBDUPUHZUCUEUDUEUQURUSUTAUEZDVAUHZUHURUSVBUSVQDVCUHZUSDVDUHZUSZVSCDUB
        UAEVTVRDVEUHZFGHIHVFUHZDVGUHZUDUCJKLWCVHMNORDVIUGDVJUGPDVKVLQVPVHVRVHVT
        VHWBVHVSVHWDVHVOVHWAVHPVM $.
        $( [21-Jan-2008] $) $( [7-Nov-2007] $)
    $}

    $( Uniform Boundedness Theorem.  Let ` T ` be a sequence of bounded linear
       operators on a Banach space.  If, for every vector ` x ` , the norms of
       the operators' values are bounded, then the operators' norms are also
       bounded.  Theorem 4.7-3 of [Kreyszig] p. 249.  See also
       ~ http://en.wikipedia.org/wiki/Uniform_boundedness_principle . $)
    ubthi $p |- ( ( T : NN --> B /\ A. x e. X E. c e. RR A. n e. NN ( M ` ( (
    T ` n ) ` x ) ) <_ c ) -> E. d e. RR A. n e. NN ( N ` ( T ` n ) ) <_ d ) $=
      ( cn wf cv cfv cle wbr wral cr wrex wi c0o co csn cxp cif wceq fveq1
      fveq1d fveq2d breq1d rexralbidv ralbidv imbi12d wss oprex fconst wcel
      cnv cbn bnnv ax-mp eqid 0blo mp2an snssi fss elimf ubthii dedth imp ) RBC
      SZATZETZCUAZUAZFUAZJTZUBUCZERUDJUEUFZAIUDZWAGUAZKTZUBUCZERUDKUEUFZVRWGWKU
      GVSVTVRCRDHUHUIZUJZUKZULZUAZUAZFUAZWDUBUCZERUDJUEUFZAIUDZWPGUAZWIUBUCZERU
      DKUEUFZUGCWNCWOUMZWGXAWKXDXEWFWTAIXEWEWSJEUERXEWCWRWDUBXEWBWQFXEVSWAWPVTC
      WOUNZUOUPUQURUSXEWJXCKEUERXEWHXBWIUBXEWAWPGXFUPUQURUTABWODEFGHIJKLMNOPQRB
      CWNRWMWNSWMBVAZRBWNSRWLDHUHVBVCWLBVDZXGDVEVDZHVEVDXHDVFVDXIPDVGVHQBDHWLWL
      VIOVJVKWLBVLVHRWMBWNVMVKVNVOVPVQ $.
      $( [21-Jan-2008] $) $( [7-Nov-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                         Minimizing Vector Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    minvec1.u $e |- U e. CPreHil $.
    minvec1.w1 $e |- W e. ( SubSp ` U ) $.
    $( Lemma for ~ minvecex . $)
    minveclem1 $p |- W e. NrmCVec $=
      ( cnv wcel css cfv phnvi eqid sspnv mp2an ) AEFBAGHZFBEFACIDAMBMJKL $.
      $( [7-Apr-2008] $) $( [4-Mar-2008] $)

    minvec2.y $e |- Y = ( Base ` W ) $.
    $( Lemma for ~ minvecex . $)
    minveclem2 $p |- ( 0v ` W ) e. Y $=
      ( cnv wcel cn0v cfv minveclem1 eqid nvzcl ax-mp ) BGHBIJZCHABDEKBCOFOLMN
      $.
      $( [7-Apr-2008] $) $( [4-Mar-2008] $)

    minvec3.x $e |- X = ( Base ` U ) $.
    $( Lemma for ~ minvecex . $)
    minveclem3 $p |- Y (_ X $=
      ( cnv wcel css cfv wss phnvi eqid sspba mp2an ) AIJBAKLZJDCMAENFARBCDHGRO
      PQ $.
      $( [7-Apr-2008] $) $( [29-Feb-2008] $)

    $( Lemma for ~ minvecex . $)
    minveclem4 $p |- ( ( f : NN --> Y /\ n e. NN ) -> ( f ` n ) e. X ) $=
      ( cn cv wf wcel wa cfv ffvelrn minveclem3 sseli syl ) KFBLZMCLZKNOUBUAPZF
      NUCENKFUBUAQFEUCADEFGHIJRST $.
      $( [7-Apr-2008] $) $( [5-Mar-2008] $)

    minvec5.m $e |- M = ( -v ` U ) $.
    minvec5.n $e |- N = ( norm ` U ) $.
    minvec5.a $e |- A e. X $.
    $( Lemma for ~ minvecex . $)
    minveclem5 $p |- ( y e. Y -> ( N ` ( A M y ) ) e. RR ) $=
      ( cv wcel co cfv cr minveclem3 sseli cnv phnvi nvmcl mp3an12 syl nvcl
      mpan ) APZHQZBUJDRZGQZULESTQZUKUJGQZUMHGUJCFGHIJKLUAUBCUCQZBGQUOUMCIUDZOB
      UJCDGLMUEUFUGUPUMUNUQULCEGLNUHUIUG $.
      $( [7-Apr-2008] $) $( [4-Mar-2008] $)
  $}

  ${
    $d j A $.  $d j H $.  $d j M $.  $d f j m $.
    minvec6.h $e |- ( j e. NN -> ( H ` j ) = ( A M ( f ` j ) ) ) $.
    $( Lemma for ~ minvecex . $)
    minveclem6 $p |- ( m e. NN -> ( H ` m ) = ( A M ( f ` m ) ) ) $=
      ( cv cfv co wceq cn fveq2 opreq2d eqeq12d vtoclga ) CHZEIZAQBHZIZFJZKDHZE
      IZAUBSIZFJZKCUBLQUBKZRUCUAUEQUBEMUFTUDAFQUBSMNOGP $.
      $( [7-Apr-2008] $) $( [5-Mar-2008] $)
  $}

  ${
    $d j F $.  $d j H $.  $d j N $.  $d j n $.
    minvec7.f $e |- ( j e. NN -> ( F ` j ) = ( N ` ( H ` j ) ) ) $.
    $( Lemma for ~ minvecex . $)
    minveclem7 $p |- ( n e. NN -> ( F ` n ) = ( N ` ( H ` n ) ) ) $=
      ( cv cfv wceq cn fveq2 fveq2d eqeq12d vtoclga ) AGZCHZODHZEHZIBGZCHZSDHZE
      HZIASJOSIZPTRUBOSCKUCQUAEOSDKLMFN $.
      $( [7-Apr-2008] $) $( [6-Mar-2008] $)
  $}

  ${
    $d j A $.  $d j F $.  $d j M $.  $d j N $.  $d f j n $.
    minvec8.hf $e |- ( j e. NN -> ( F ` j ) = ( N ` ( A M ( f ` j ) ) ) ) $.
    $( Lemma for ~ minvecex . $)
    minveclem8 $p |- ( n e. NN -> ( F ` n ) = ( N ` ( A M ( f ` n ) ) ) ) $=
      ( cv cfv co wceq cn fveq2 opreq2d fveq2d eqeq12d vtoclga ) CIZEJZASBIZJZF
      KZGJZLDIZEJZAUEUAJZFKZGJZLCUEMSUELZTUFUDUISUEENUJUCUHGUJUBUGAFSUEUANOPQHR
      $.
      $( [7-Apr-2008] $) $( [16-Feb-2008] $)
  $}

  ${
    $d k m u D $.  $d k m u J $.  $d k u M $.  $d k u N $.  $d k m u Y $.
    $d a f k m u $.
    minvec9.u $e |- U e. CPreHil $.
    minvec9.m $e |- M = ( -v ` U ) $.
    minvec9.n $e |- N = ( norm ` U ) $.
    minvec9.x $e |- X = ( Base ` U ) $.
    minvec9.w1 $e |- W e. ( SubSp ` U ) $.
    minvec9.y $e |- Y = ( Base ` W ) $.
    minvec9.d $e |- D = ( IndMet ` W ) $.
    minvec9.j $e |- J e. V $.
    minvec9.k $e |- ( m e. NN -> ( J ` m ) = ( N ` ( ( f ` m ) M a ) ) ) $.
    $( Lemma for ~ minvecex . $)
    minveclem9 $p |- ( ( ( f : NN --> Y /\ f ( ~~>m ` D ) a ) /\ a e. Y ) ->
                J ~~> 0 ) $=
      ( vk vu cn cv wf clm cfv wbr wa wcel cc0 cli cle co cabs clt wi wral
      wrex crp cme cnv css phnvi eqid sspnv mp2an imsmet ax-mp imsbai wceq a1i
      lmcvgnns mpanl1 an1s anassrs adantlll wb cims sspimsval mpanl12 imsdval
      mp3an1 cr absidt nvmcl nvcl mpan syl nvge0 sylanc eqtr4d minveclem3
      sseli syl2an eqtrd ffvelrn sylan an1rs breq1d imbi2d ralbidva rexbidv
      adantlr adantr mpbid r19.21aiva cc recnd minveclem4 clm0nns mpbird ) UCJC
      UDZUEZXMKUDZAUFUGUHZUIXOJUJZUIZEUKULUHZUAUDDUDZUMUHZXTXMUGZXOFUNZGUGZUOUG
      ZUBUDZUPUHZUQZDUCURZUAUCUSZUBUTURZXRYJUBUTXRYFUTUJZUIYAYBXOAUNZYFUPUHZUQZ
      DUCURZUAUCUSZYJXPXQYLYQXNXPXQYLYQXQXPYLYQAVAUJZXQXPYLUIYQHVBUJZYRBVBUJZHB
      VCUGZUJZYSBLVDZPBUUAHUUAVEZVFVGZAHRVHVIYBJAXOYFUADXMJAHJQRUUEVJYBYBVKXTUC
      UJZYBVEVLVMVNVOVPVQXRYQYJVRZYLXNXQUUGXPXNXQUIZYPYIUAUCUUHYOYHDUCUUHUUFUIZ
      YNYGYAUUIYMYEYFUPXNUUFXQYMYEVKZYBJUJZXQUUJXNUUFUIZUUKXQUIZYMYBXOBVSUGZUNZ
      YEYTUUBUUMYMUUOVKUUCPYBXOAUUNBUUAHJQUUNVEZRUUDVTWAYBIUJZXOIUJZUUOYEVKUUKX
      QUUQUURUIZUUOYDYEYTUUQUURUUOYDVKUUCYBXOUUNBFGIOMNUUPWBWCYDWDUJZUKYDUMUHZY
      EYDVKUUSYDWEUUSYCIUJZUUTYTUUQUURUVBUUCYBXOBFIOMWFWCZYTUVBUUTUUCYCBGIONWGW
      HWIZUUSUVBUVAUVCYTUVBUVAUUCYCBGIONWJWHWIWKWLJIYBBHIJLPQOWMZWNJIXOUVEWNZWO
      WPUCJXTXMWQWRWSWTXAXBXCXDXEXFXGXNXQXSYKVRZXPUUHYDXHUJZDUCURUVGUUHUVHDUCXN
      UUFXQUVHUUQUURUVHUULXQUUSYDUVDXIBCDHIJLPQOXJUVFWOWSXGUBYDUADESTXKWIXDXL
      $.
      $( [7-Apr-2008] $) $( [24-Feb-2008] $)
  $}

  ${
    $d f j k m t u x y A $.  $d k m n x y B $.  $d a k m D $.
    $d a j k m n u F $.  $d x y G $.  $d j H $.  $d f j k m n t u x y M $.
    $d f j k m n u t x y N $.  $d a f j k m n t u P $.  $d a t u R $.
    $d x y S $.  $d t u x y U $.  $d t u x y W $.  $d a f j k m n t u x y Y $.
    minvec10.1 $e |- R = { x | E. y e. Y x = -u ( N ` ( A M y ) ) } $.
    minvec10.u $e |- U e. CPreHil $.
    minvec10.m $e |- M = ( -v ` U ) $.
    minvec10.n $e |- N = ( norm ` U ) $.
    minvec10.x $e |- X = ( Base ` U ) $.
    minvec10.w1 $e |- W e. ( SubSp ` U ) $.
    minvec10.y $e |- Y = ( Base ` W ) $.
    minvec10.a $e |- A e. X $.
    $( Lemma for ~ minvecex .  The set of reals ` R ` is bounded above. $)
    minveclem10 $p |- E. u e. RR A. t e. R t <_ u $=
      ( cc0 cr wcel cv cle wbr wral wrex 0re co cfv cneg wceq visset eqeq1
      rexbidv elab2 breq1 minveclem3 sseli cnv phnvi nvmcl mp3an12 syl nvge0
      mpan wb nvcl le0neg2t mpbid syl5cbir r19.23aiv sylbi rgen breq2 ralbidv
      rcla4ev mp2an ) UAUBUCDUDZUAUEUFZDFUGZVTCUDZUEUFZDFUGZCUBUHUIWADFVTFUCVTE
      BUDZHUJZIUKZULZUMZBLUHZWAAUDZWIUMZBLUHWKAVTFDUNWLVTUMWMWJBLWLVTWIUOUPMUQW
      JWABLWJWAWIUAUEUFZWFLUCZVTWIUAUEURWOUAWHUEUFZWNWOWGKUCZWPWOWFKUCZWQLKWFGJ
      KLNRSQUSUTGVAUCZEKUCWRWQGNVBZTEWFGHKQOVCVDVEZWSWQWPWTWGGIKQPVFVGVEWOWHUBU
      CZWPWNVHWOWQXBXAWSWQXBWTWGGIKQPVIVGVEWHVJVEVKVLVMVNVOWEWBCUAUBWCUAUMWDWAD
      FWCUAVTUEVPVQVRVS $.
      $( [7-Apr-2008] $) $( [10-Feb-2008] $)

    $( Lemma for ~ minvecex . $)
    minveclem11 $p |- sup ( R , RR , < ) e. RR $=
      ( vu vt cv co cfv cn0v minveclem5 minveclem2 minveclem10 infcvgaux1
      suprcli ) STDABSTCBUAFUBGUCDJHUDUCKBCEFGHIJLPQOMNRUEEHJLPQUFABSTCDEFGHIJK
      LMNOPQRUGUHUI $.
      $( [7-Apr-2008] $) $( [6-Mar-2008] $)

    ${
      minvec12.2 $e |- P = -u sup ( R , RR , < ) $.
      $( Lemma for ~ minvecex . $)
      minveclem12 $p |- P e. RR $=
        ( cr clt csup cneg minveclem11 renegcl eqeltr ) DEUAUBUCZUDUATUHABCEFGH
        IJKLMNOPQRSUEUFUG $.
        $( [7-Apr-2008] $) $( [3-Mar-2008] $)

      $( Lemma for ~ minvecex . $)
      minveclem13 $p |- ( B e. Y -> P <_ ( N ` ( A M B ) ) ) $=
        ( vu vt cv co cfv cn0v minveclem5 minveclem2 minveclem10 wceq opreq2
        fveq2d infcvgaux2 ) ABUBUCCBUDZHUEZIUFCDHUEZIUFDFELJUGUFMBCGHIJKLNRSQOP
        TUHGJLNRSUIABUBUCCFGHIJKLMNOPQRSTUJUAUODUKUPUQIUODCHULUMUN $.
        $( [7-Apr-2008] $) $( [9-Feb-2008] $)

      $( Lemma for ~ minvecex . $)
      minveclem14 $p |- 0 <_ P $=
        ( va vu vt cc0 cr clt csup cneg cle wbr wcel cv wral 0re co cfv wceq
        wrex visset eqeq1 rexbidv elab2 wa pm3.27 minveclem3 sseli cnv phnvi
        nvmcl mp3an12 nvge0 mpan wb nvcl le0neg2t syl mpbid adantr eqbrtrd
        r19.23aiva sylbi rgen cn0v minveclem5 minveclem2 minveclem10
        infcvgaux1 suprleubi mp2an minveclem11 le0neg1t ax-mp mpbi breqtrr ) UD
        EUEUFUGZUHZDUIWOUDUIUJZUDWPUIUJZUDUEUKUAULZUDUIUJZUAEUMWQUNWTUAEWSEUKWS
        CBULZGUOZHUPZUHZUQZBKURZWTAULZXDUQZBKURXFAWSEUAUSXGWSUQXHXEBKXGWSXDUTVA
        LVBXEWTBKXAKUKZXEVCWSXDUDUIXIXEVDXIXDUDUIUJZXEXIXAJUKZXJKJXAFIJKMQRPVEV
        FXKXBJUKZXJFVGUKZCJUKXKXLFMVHZSCXAFGJPNVIVJXLUDXCUIUJZXJXMXLXOXNXBFHJPO
        VKVLXLXCUEUKZXOXJVMXMXLXPXNXBFHJPOVNVLXCVOVPVQVPVPVRVSVTWAWBUBUCUAEUDAB
        UBUCXCEKIWCUPLBCFGHIJKMQRPNOSWDFIKMQRWEABUBUCCEFGHIJKLMNOPQRSWFWGWHWIWO
        UEUKWQWRVMABCEFGHIJKLMNOPQRSWJWOWKWLWMTWN $.
        $( [7-Apr-2008] $) $( [17-Feb-2008] $)

      $( Lemma for ~ minvecex . $)
      minveclem15 $p |- ( ( F ~~> P /\ B e. RR+ ) ->
       E. k e. NN A. n e. NN ( k <_ n -> ( abs ` ( ( F ` n ) - P ) ) < B ) ) $=
        ( cr wcel cli wbr crp cv cle cfv cmin co cabs clt wi cn wral wrex
        minveclem12 c1 1z cuz nnuz eqimss2i nnssz clmi2rp mp3an1 ) EUEUFJEUGUHD
        UIUFHUJIUJZUKUHVJJULEUMUNUOULDUPUHUQIURUSHURUTABCEFGKLMNOPQRSTUAUBUCUDV
        AEDUEHIJVBURURVCURVBVDULVEVFVGVHVI $.
        $( [7-Apr-2008] $) $( [21-Feb-2008] $)

      minvec16.g $e |- G = ( +v ` U ) $.
      minvec16.s $e |- S = ( .s ` U ) $.
      $( ??? reuse f'nGf'm antecedent computation in mnvc3lem3 $)
      $( Lemma for ~ minvecex . $)
      minveclem16 $p |- ( ( ( f : NN --> Y /\ n e. NN ) /\ ( f : NN --> Y /\
   m e. NN ) ) -> ( 2 x. P ) <_
         ( N ` ( 2 S ( A M ( ( 1 / 2 ) S ( ( f ` n ) G ( f ` m ) ) ) ) ) ) ) $=
        ( cv cfv wcel c2 cmul co c1 cdiv cle wbr cn wf wa cpv cnv css wceq
        phnvi eqid sspgval mpanl12 minveclem1 nvgcl mp3an1 eqeltrrd cns cc 2cn
        2ne0 reccl sspsval mpan nvscl mp3an12 cr minveclem12 cc0 2re 0re 2pos
        ltlei pm3.2i lemul2it mp3anl3 mpanl1 minveclem3 sseli nvmcl syl nvcl
        minveclem13 sylanc nvsge0 breqtrrd ffvelrn syl2an ) JUHZHUHZUIZPUJZIUHZ
        XEUIZPUJZUKDULUMZUKCUNUKUOUMZXFXIKUMZFUMZLUMZFUMMUIZUPUQZURPXEUSZXDURUJ
        UTXRXHURUJUTXGXJUTZXMPUJZXQXSXFXINVAUIZUMZXMPGVBUJZNGVCUIZUJZXSYBXMVDGR
        VEZUBXFXIGYAKYDNPUCUFYAVFZYDVFZVGVHNVBUJZXGXJYBPUJGNRUBVIZXFXINYAPUCYGV
        JVKVLXTXKUKXOMUIZULUMZXPUPXTXNPUJZXKYLUPUQZXTXLXMNVMUIZUMZXNPXLVNUJZXTY
        PXNVDZUKVOVPVQZYCYEYQXTUTYRYFUBXLXMYOFGYDNPUCUGYOVFZYHVRVHVSYIYQXTYPPUJ
        YJYSXLXMYONPUCYTVTWAVLYKWBUJZDYKUPUQZYNYMDWBUJZUUAUUBYNABCDEGLMNOPQRSTU
        AUBUCUDUEWCUUCUUAUKWBUJZWDUKUPUQZUTZUUBYNUUDUUEWEWDUKWFWEWGWHZWIDYKUKWJ
        WKWLYMXOOUJZUUAYMXNOUJZUUHPOXNGNOPRUBUCUAWMZWNYCCOUJUUIUUHYFUDCXNGLOUAS
        WOWAZWPYCUUHUUAYFXOGMOUATWQVSWPABCXNDEGLMNOPQRSTUAUBUCUDUEWRWSWPXTXMOUJ
        ZXPYLVDZPOXMUUJWNUULUUHUUMUULUUIUUHYCYQUULUUIYFYSXLXMFGOUAUGVTWAUUKWPUU
        DUUEUUHUUMWEUUGYCUUFUUHUUMYFUKXOFGMOUAUGTWTVKVHWPWPXAWPURPXDXEXBURPXHXE
        XBXC $.
        $( [7-Apr-2008] $) $( [6-Mar-2008] $)
    $}

    ${
      minvec17.h $e |- ( j e. NN -> ( H ` j ) = ( A M ( f ` j ) ) ) $.
      $( Lemma for ~ minvecex . $)
      minveclem17 $p |- ( ( f : NN --> Y /\ n e. NN ) -> ( H ` n ) e. X ) $=
        ( cn cv wf wcel wa cfv co wceq minveclem6 adantl ffvelrn minveclem3
        sseli cnv phnvi nvmcl mp3an12 syl eqeltrd ) UDNFUEZUFZHUEZUDUGZUHZVEIUI
        ZCVEVCUIZJUJZMVFVHVJUKVDCFGHIJUCULUMVGVINUGZVJMUGZUDNVEVCUNVKVIMUGZVLNM
        VIELMNPTUASUOUPEUQUGCMUGVMVLEPURUBCVIEJMSQUSUTVAVAVB $.
        $( [7-Apr-2008] $) $( [4-Mar-2008] $)

      minvec18.g $e |- G = ( +v ` U ) $.
      $( Lemma for ~ minvecex . $)
      minveclem18 $p |- ( ( ( f : NN --> Y /\ n e. NN ) /\ ( f : NN --> Y /\
   m e. NN ) ) -> ( ( 2 x. ( ( ( N ` ( H ` n ) ) ^ 2 ) + ( ( N ` ( H ` m ) ) ^
   2 ) ) ) - ( ( N ` ( ( H ` n ) G ( H ` m ) ) ) ^ 2 ) ) =
      ( ( N ` ( ( f ` n ) M ( f ` m ) ) ) ^ 2 ) ) $=
        ( cn cv wf wcel wa c2 cfv cexp co caddc cmul cmin wceq cphl phpar2
        mp3an1 cc wb subaddt axaddcl cnv cr phnvi nvcl mpan recnd sqclt syl
        syl2an 2cn axmulcl nvgcl nvmcl syl3anc mpbird minveclem17 minveclem6
        opreqan12d ad2ant2l w3a nvnnncan1 minveclem4 eqtrd fveq2d nvsub eqtr4d
        opreq1d ) UGPFUHZUIZIUHZUGUJZUKZWOHUHZUGUJZUKZUKZULWPKUMZMUMZULUNUOZWSK
        UMZMUMZULUNUOZUPUOZUQUOZXCXFJUOZMUMZULUNUOZURUOZXCXFLUOZMUMZULUNUOZWPWN
        UMZWSWNUMZLUOMUMZULUNUOXCOUJZXFOUJZXNXQUSZWRXAYAYBUKZYCXMXQUPUOXJUSZEUT
        UJYAYBYERXCXFEJLMOUAUFSTVAVBXJVCUJZXMVCUJZXQVCUJZYCYEVDYDXJXMXQVEYDXIVC
        UJZYFXEVCUJZXHVCUJZYIYAYBXEXHVFYAXDVCUJYJYAXDEVGUJZYAXDVHUJERVIZXCEMOUA
        TVJVKVLXDVMVNYBXGVCUJYKYBXGYLYBXGVHUJYMXFEMOUATVJVKVLXGVMVNVOULVCUJYIYF
        VPULXIVQVKVNYDXLVCUJYGYDXLYDXKOUJZXLVHUJZYLYAYBYNYMXCXFEJOUAUFVRVBYLYNY
        OYMXKEMOUATVJVKVNVLXLVMVNYDXPVCUJYHYDXPYDXOOUJZXPVHUJZYLYAYBYPYMXCXFELO
        UASVSVBYLYPYQYMXOEMOUATVJVKVNVLXPVMVNVTWAABCDEFGIKLMNOPQRSTUAUBUCUDUEWB
        ABCDEFGHKLMNOPQRSTUAUBUCUDUEWBVOXBXPXTULUNXBXPXSXRLUOZMUMZXTXBXOYRMXBXO
        CXRLUOZCXSLUOZLUOZYRWQWTXOUUBUSWOWOWQWTXCYTXFUUALCFGIKLUEWCCFGHKLUEWCWD
        WEXROUJZXSOUJZUUBYRUSZWRXACOUJZUUCUUDUUEUDYLUUFUUCUUDWFUUEYMCXRXSELOUAS
        WGVKVBEFINOPRUBUCUAWHZEFHNOPRUBUCUAWHZVOWIWJUUCUUDXTYSUSZWRXAYLUUCUUDUU
        IYMXRXSELMOUASTWKVBUUGUUHVOWLWMWI $.
        $( [7-Apr-2008] $) $( [9-Mar-2008] $)

      minvec19.s $e |- S = ( .s ` U ) $.
      minvec19.2 $e |- P = -u sup ( R , RR , < ) $.
      $( Lemma for ~ minvecex . $)
      minveclem19 $p |- ( ( ( f : NN --> Y /\ n e. NN ) /\ ( f : NN --> Y /\
            m e. NN ) ) -> ( 2 x. P ) <_
          ( N ` ( ( H ` n ) G ( H ` m ) ) ) ) $=
        ( cn cv wf wcel wa c2 cmul co c1 cdiv cfv cle minveclem16 wceq
        minveclem6 opreqan12d ad2ant2l cnv phnvi pm3.2i nvaddsub4 mp3an12
        minveclem4 syl2an eqtr4d nv2 mp2an opreq1i syl6eq nvgcl mp3an1 cc 2cn
        2ne0 reccl nvscl w3a nvmdi mpan syl nvsass nvsid recid syl5eq eqtr3d
        opreq2d eqtr2d fveq2d breqtrd ) UKRHULZUMZKULZUKUNZUOZXAJULZUKUNZUOZUOZ
        UPDUQURUPCUSUPUTURZXBWTVAZXEWTVAZLURZFURZNURFURZOVAXBMVAZXEMVAZLURZOVAV
        BABCDEFGHJKLNOPQRSTUAUBUCUDUEUFUJUHUIVCXHXNXQOXHXQUPCFURZXLNURZXNXHXQCC
        LURZXLNURZXSXHXQCXJNURZCXKNURZLURZYAXCXFXQYDVDXAXAXCXFXOYBXPYCLCHIKMNUG
        VECHIJMNUGVEVFVGXJQUNZXKQUNZYAYDVDZXDXGGVHUNZCQUNZYIUOYEYFUOZYGGTVIZYIY
        IUFUFVJCCXJXKGLNQUCUHUAVKVLGHKPQRTUDUEUCVMZGHJPQRTUDUEUCVMZVNVOXTXRXLNY
        HYIXTXRVDYKUFCFGLQUCUHUIVPVQVRVSYEYFXSXNVDZXDXGYJXLQUNZYNYHYEYFYOYKXJXK
        GLQUCUHVTWAYOXNXRUPXMFURZNURZXSYOXMQUNZXNYQVDZYHXIWBUNZYOYRYKUPWCWDWEZX
        IXLFGQUCUIWFVLUPWBUNZYIYRYSWCUFYHUUBYIYRWGYSYKUPCXMFGNQUCUAUIWHWIVLWJYO
        YPXLXRNYOUPXIUQURZXLFURZYPXLUUBYTYOUUDYPVDZWCUUAYHUUBYTYOWGUUEYKUPXIXLF
        GQUCUIWKWIVLYOUSXLFURZXLUUDYHYOUUFXLVDYKXLFGQUCUIWLWIUUCUSXLFUPWCWDWMVR
        WNWOWPWQWJYLYMVNWQWRWS $.
        $( [7-Apr-2008] $) $( [17-Feb-2008] $)
    $}

    ${
      minvec20.h $e |- ( j e. NN -> ( H ` j ) = ( A M ( f ` j ) ) ) $.
      minvec20.f $e |- ( j e. NN -> ( F ` j ) = ( N ` ( H ` j ) ) ) $.
      $( Lemma for ~ minvecex . $)
      minveclem20 $p |- ( ( f : NN --> Y /\ n e. NN ) -> ( F ` n ) e. RR ) $=
        ( cn cv wf wcel wa cfv co cr wceq minveclem7 minveclem6 fveq2d eqtrd
        adantl minveclem4 cnv phnvi nvmcl mp3an12 nvcl mpan syl eqeltrd ) UFOFU
        GZUHZHUGZUFUIZUJZVKIUKZCVKVIUKZKULZLUKZUMVLVNVQUNVJVLVNVKJUKZLUKVQGHIJL
        UEUOVLVRVPLCFGHJKUDUPUQURUSVMVONUIZVQUMUIZEFHMNOQUAUBTUTVSVPNUIZVTEVAUI
        ZCNUIVSWAEQVBZUCCVOEKNTRVCVDWBWAVTWCVPELNTSVEVFVGVGVH $.
        $( [7-Apr-2008] $) $( [17-Feb-2008] $)

      minvec21.2 $e |- P = -u sup ( R , RR , < ) $.
      $( Lemma for ~ minvecex . $)
      minveclem21 $p |- ( ( ( f : NN --> Y /\ n e. NN ) /\ ( f : NN --> Y /\
        m e. NN ) ) -> ( ( N ` ( ( f ` n ) M ( f ` m ) ) ) ^ 2 ) <_ ( ( 2 x.
        ( ( ( F ` n ) ^ 2 ) + ( ( F ` m ) ^ 2 ) ) ) - ( ( 2 x. P ) ^ 2 ) ) ) $=
        ( cn cv wf wcel wa cfv co c2 cexp caddc cmul cpv cmin cle wceq
        minveclem7 opreq1d opreqan12d opreq2d ad2ant2l eqid minveclem18 eqtr2d
        wbr cr cc0 2re minveclem12 remulcl 0re 2pos ltlei minveclem14 mulge0
        mp2an le2sqit mpanl12 cnv phnvi nvgcl mp3an1 nvcl mpan syl minveclem17
        syl2an cns minveclem19 sylanc wb resqcl lesub2t resqclt axaddrcl
        axmulrcl minveclem20 mpbid eqbrtrd ) UIQGUJZUKZJUJZUIULZUMZXHIUJZUIULZU
        MZUMZXIXGUNXLXGUNMUONUNUPUQUOZUPXIKUNZUPUQUOZXLKUNZUPUQUOZURUOZUSUOZXIL
        UNZXLLUNZFUTUNZUOZNUNZUPUQUOZVAUOZYBUPDUSUOZUPUQUOZVAUOZVBXOYIUPYCNUNZU
        PUQUOZYDNUNZUPUQUOZURUOZUSUOZYHVAUOZXPXJXMYIYSVCXHXHXJXMUMZYBYRYHVAYTYA
        YQUPUSXJXMXRYNXTYPURXJXQYMUPUQHJKLNUGVDVEXMXSYOUPUQHIKLNUGVDVEVFVGVEVHA
        BCEFGHIJYELMNOPQRSTUAUBUCUDUEUFYEVIZVJVKXOYKYHVBVLZYIYLVBVLZYGVMULZYJYG
        VBVLZUUBXOYJVMULVNYJVBVLZUUDUUEUMUUBUPDVOABCDEFMNOPQRSTUAUBUCUDUEUHVPZV
        QZVNUPVBVLVNDVBVLUUFVNUPVRVOVSVTABCDEFMNOPQRSTUAUBUCUDUEUHWAUPDVOUUGWBW
        CYJYGWDWEYCPULZYDPULZUUDXKXNUUIUUJUMZYFPULZUUDFWFULZUUIUUJUULFSWGZYCYDF
        YEPUBUUAWHWIUUMUULUUDUUNYFFNPUBUAWJWKWLZABCEFGHJLMNOPQRSTUAUBUCUDUEUFWM
        ZABCEFGHILMNOPQRSTUAUBUCUDUEUFWMZWNABCDEFWOUNZFGHIJYELMNOPQRSTUAUBUCUDU
        EUFUUAUURVIUHWPWQYHVMULZYBVMULZUUBUUCWRZXOYKVMULUUSUUTUVAYJUUHWSYKYHYBW
        TWIUUIUUJUUSXKXNUUKUUDUUSUUOYGXAWLUUPUUQWNXQVMULZXSVMULZUUTXKXNUVBUVCUM
        YAVMULZUUTXRVMULXTVMULUVDUVBUVCXRXTXBXQXAXSXAWNUPVMULUVDUUTVOUPYAXCWKWL
        ABCEFGHJKLMNOPQRSTUAUBUCUDUEUFUGXDABCEFGHIKLMNOPQRSTUAUBUCUDUEUFUGXDWNW
        QXEXF $.
        $( [7-Apr-2008] $) $( [7-Mar-2008] $)
    $}

    ${
      minvec22.hf $e |- ( j e. NN -> ( F ` j ) = ( N ` ( A M ( f ` j ) ) ) ) $.
      $( Lemma for ~ minvecex . $)
      minveclem22 $p |- ( ( f : NN --> Y /\ n e. NN ) -> ( F ` n ) e. RR ) $=
        ( cn cv wf wcel wa cfv co cr wceq minveclem8 adantl minveclem4 cnv
        phnvi nvmcl mp3an12 nvcl mpan syl eqeltrd ) UDNFUEZUFZHUEZUDUGZUHZVFIUI
        ZCVFVDUIZJUJZKUIZUKVGVIVLULVECFGHIJKUCUMUNVHVJMUGZVLUKUGZEFHLMNPTUASUOV
        MVKMUGZVNEUPUGZCMUGVMVOEPUQZUBCVJEJMSQURUSVPVOVNVQVKEKMSRUTVAVBVBVC $.
        $( [7-Apr-2008] $) $( [17-Feb-2008] $)

      minvec23.2 $e |- P = -u sup ( R , RR , < ) $.
      $( Lemma for ~ minvecex .  Eliminate ` H ` . $)
      minveclem23 $p |- ( ( ( f : NN --> Y /\ n e. NN ) /\ ( f : NN --> Y /\
        m e. NN ) ) -> ( ( N ` ( ( f ` n ) M ( f ` m ) ) ) ^ 2 ) <_ ( ( 2 x.
        ( ( ( F ` n ) ^ 2 ) + ( ( F ` m ) ^ 2 ) ) ) - ( ( 2 x. P ) ^ 2 ) ) ) $=
        ( vk vu cv cn wcel cfv co wceq wa copab fveq2 opreq2d eqid oprex
        fvopab4 fveq2d eqcomd eqtrd minveclem21 ) ABCDEFGHIJKUGUIZUJUKUHUICVFGU
        IZULZLUMZUNUOUGUHUPZLMNOPQRSTUAUBUCUDUGUHHUIZVICVKVGULZLUMZUJVJVFVKUNVH
        VLCLVFVKVGUQURVJUSCVLLUTVAZVKUJUKZVKKULVMMULZVKVJULZMULZUEVOVRVPVOVQVMM
        VNVBVCVDUFVE $.
        $( [7-Apr-2008] $) $( [8-Mar-2008] $)

      $( Use F - P g.e. 0 instead of abs for lt2sqt?  check hyp chaining $)
      $( Lemma for ~ minvecex . $)
      minveclem24 $p |- ( ( f : NN --> Y /\ F ~~> P /\ B e. RR+ ) ->
         E. k e. NN A. n e. NN ( k <_ n -> ( ( ( F ` n ) - P ) ^ 2 ) < B ) ) $=
        ( cn cv wf cli wbr crp wcel w3a cle cfv cmin co cabs csqr clt wi wral
        wrex c2 cexp minveclem15 rpsqrclt sylan2 3adant1 wa wb cr cc0 lt2sqt
        cc recnt absclt syl absge0t jca adantr sqrclt sqrge0t syl2an absresqt
        breq1d ad2antrr wceq sqsqrt adantl breq2d 3bitrd minveclem22
        minveclem12 resubclt mpan2 ancri rpret rpge0t an1rs 3adantl2 imbi2d
        ralbidva rexbidv mpbid ) UHQHUIUJZLEUKULZDUMUNZUOZJUIKUIZUPULZXLLUQZEUR
        USZUTUQZDVAUQZVBULZVCZKUHVDZJUHVEZXMXOVFVGUSZDVBULZVCZKUHVDZJUHVEXIXJYA
        XHXIXQUMUNYAXJABCXQEFGJKLMNOPQRSTUAUBUCUDUEUGVHDVIVJVKXKXTYEJUHXKXSYDKU
        HXKXLUHUNZVLXRYCXMXHXJYFXRYCVMZXIXHYFXJYGXOVNUNZXHYFVLZVLZDVNUNZVODUPUL
        ZVLZYGYIXJYJYMVLZXRXPVFVGUSZXQVFVGUSZVBULZYBYPVBULZYCXPVNUNZVOXPUPULZVL
        ZXQVNUNZVOXQUPULZVLXRYQVMYJYMXPXQVPYHUUAYIYHYSYTYHXOVQUNZYSXOVRZXOVSVTY
        HUUDYTUUEXOWAVTWBWCYMUUBUUCDWDDWEWBWFYHYQYRVMYIYMYHYOYBYPVBXOWGWHWIYNYP
        DYBVBYMYPDWJYJDWKWLWMWNYIYHYIXNVNUNZYHABCFGHIKLMNOPQRSTUAUBUCUDUEUFWOUU
        FEVNUNYHABCEFGMNOPQRSTUAUBUCUDUEUGWPXNEWQWRVTWSXJYKYLDWTDXAWBWFXBXCXDXE
        XFXG $.
        $( [7-Apr-2008] $) $( [21-Feb-2008] $)

      $d x y P $.
      $( Lemma for ~ minvecex . $)
      minveclem25 $p |- ( ( f : NN --> Y /\ F ~~> P /\ B e. RR+ ) ->
          E. k e. NN A. n e. NN
                ( k <_ n -> ( ( 2 x. P ) x. ( ( F ` n ) - P ) ) < B ) ) $=
        ( cn cv wf cli wbr crp wcel w3a cle cfv cmin co cabs c2 cmul c1 caddc
        cdiv clt wi wral wrex minveclem15 2re minveclem12 remulcl 1re readdcl
        cc0 0re 2pos ltlei minveclem14 mulge0 mp2an lt01 addgegt0 elrpi
        rpdivclt mpan2 sylan2 3adant1 wa cr wb ltmuldiv2tOLD mp3an1 cc resubclt
        recnd absclt syl rpret syl2an leabst ltp1 pm3.2i lemul12ait mpanl12
        absge0t jca sylanc mpani mpd adantr lelttrt axmulrcl mpan adantl
        syl3anc mpand sylbird minveclem22 sylan an1rs 3adantl2 imim2d
        r19.20dva r19.22sdv ) UHQHUIUJZLEUKULZDUMUNZUOZJUIKUIZUPULZYKLUQZEURUSZ
        UTUQZDVAEVBUSZVCVDUSZVEUSZVFULZVGZKUHVHZJUHVIZYLYPYNVBUSZDVFULZVGZKUHVH
        ZJUHVIYHYIUUBYGYHYRUMUNZUUBYIABCYREFGJKLMNOPQRSTUAUBUCUDUEUGVJYIYQUMUNU
        UGYQYPVCVAEVKABCEFGMNOPQRSTUAUBUCUDUEUGVLZVMZVNVOZVPYPUPULZVPVCVFULVPYQ
        VFULZVPVAUPULVPEUPULUUKVPVAVQVKVRVSABCEFGMNOPQRSTUAUBUCUDUEUGVTVAEVKUUH
        WAWBZWCYPVCUUIVNWDWBZWEDYQWFWGWHWIYJUUAUUFJUHYJYTUUEKUHYJYKUHUNZWJYSUUD
        YLYGYIUUOYSUUDVGZYHYGUUOYIUUPYMWKUNZYIUUPYGUUOWJUUQYIWJZYSYQYOVBUSZDVFU
        LZUUDYOWKUNZDWKUNZUUTYSWLZUUQYIYQWKUNZUVAUVBUVCUUJUVDUVAUVBUOUULUVCUUNY
        QYODWMWGWNUUQYNWOUNZUVAUUQYNUUQEWKUNYNWKUNZUUHYMEWPWGZWQZYNWRWSZDWTZXAU
        URUUCUUSUPULZUUTUUDUUQUVKYIUUQYNYOUPULZUVKUUQUVFUVLUVGYNXBWSUUQYPYQUPUL
        ZUVLUVKYPYQUUIUUJYPUUIXCVSUVFUVAVPYOUPULZWJZUVMUVLWJUVKVGZUUQYPWKUNZUUK
        WJUVDUVFUVOWJUVPUVQUUKUUIUUMXDUUJYPYQYNYOXEXFUVGUUQUVAUVNUVIUUQUVEUVNUV
        HYNXGWSXHXIXJXKXLUUCWKUNZUUSWKUNZUVBUVKUUTWJUUDVGUURUUCUUSDXMUUQUVRYIUU
        QUVFUVRUVGUVQUVFUVRUUIYPYNXNXOWSXLUUQUVSYIUUQUVAUVSUVIUVDUVAUVSUUJYQYOX
        NXOWSXLYIUVBUUQUVJXPXQXRXSABCFGHIKLMNOPQRSTUAUBUCUDUEUFXTYAYBYCYDYEYFXK
        $.
        $( [7-Apr-2008] $) $( [21-Feb-2008] $)

      $( ?? r19.22dv/r19.20dva could be combined w mnvc3lemm3OLD ? $)
      $( Lemma for ~ minvecex . $)
      minveclem26 $p |- ( ( f : NN --> Y /\ F ~~> P /\ B e. RR+ ) -> E. k e. NN
            A. n e. NN ( k <_ n -> ( ( ( F ` n ) ^ 2 ) - ( P ^ 2 ) ) < B ) ) $=
        ( cn cv wf cli wbr crp wcel w3a cle cfv cmin co c2 cexp cdiv clt cmul
        wa wi wral wrex minveclem24 minveclem25 jca c1 1z nnuz cvganuz sylib
        2re 2pos elrpi rpdivclt mpan2 syl3an3 cr caddc lt2addt minveclem12
        resubclt resqclt syl remulcl axmulrcl mpan rehalfclt syl2an cc wceq
        recnt recn subsq2t 2halvest eqcomd breqan12d sylibrd minveclem22 rpret
        an1rs 3adantl2 imim2d r19.20dva r19.22sdv mpd ) UHQHUIUJZLEUKULZDUMUNZU
        OZJUIKUIZUPULZXPLUQZEURUSZUTVAUSZDUTVBUSZVCULZUTEVDUSZXSVDUSZYAVCULZVEZ
        VFZKUHVGZJUHVHZXQXRUTVAUSEUTVAUSURUSZDVCULZVFZKUHVGZJUHVHXLXMYAUMUNZYIX
        NXLXMYNUOZXQYBVFKUHVGJUHVHZXQYEVFKUHVGJUHVHZVEYIYOYPYQABCYAEFGHIJKLMNOP
        QRSTUAUBUCUDUEUFUGVIABCYAEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGVJVKYBYEJKVLUHVM
        VNVOVPXNUTUMUNYNUTVQVRVSDUTVTWAWBXOYHYMJUHXOYGYLKUHXOXPUHUNZVEYFYKXQXLX
        NYRYFYKVFZXMXLYRXNYSXRWCUNZDWCUNZYSXLYRVEXNYTUUAVEYFXTYDWDUSZYAYAWDUSZV
        CULZYKXTWCUNZYDWCUNZVEYAWCUNZUUGVEYFUUDVFYTUUAXTYDYAYAWEYTUUEUUFYTXSWCU
        NZUUEYTEWCUNUUHABCEFGMNOPQRSTUAUBUCUDUEUGWFZXREWGWAZXSWHWIYTUUHUUFUUJYC
        WCUNUUHUUFUTEVQUUIWJYCXSWKWLWIVKUUAUUGUUGDWMZUUKVKWNYTUUAYJUUBDUUCVCYTX
        RWOUNZYJUUBWPZXRWQUULEWOUNUUMEUUIWRXREWSWAWIUUAUUCDUUADWOUNUUCDWPDWQDWT
        WIXAXBXCABCFGHIKLMNOPQRSTUAUBUCUDUEUFXDDXEWNXFXGXHXIXJXK $.
        $( [7-Apr-2008] $) $( [23-Feb-2008] $)

      $( Lemma for ~ minvecex . $)
      minveclem27 $p |- ( ( ( f : NN --> Y /\ F ~~> P ) /\ B e. RR+ ) ->
         E. k e. NN A. m e. NN ( k <_ m ->
               ( ( N ` ( ( f ` k ) M ( f ` m ) ) ) ^ 2 ) < B ) ) $=
        ( cn cv wf cli wbr wa crp wcel cle cfv c2 cexp co cmin cdiv clt wi
        wral wrex minveclem26 2re 2pos elrpi rpdivclt mpan2 syl syl3an3 3expa
        cr nnret leidt wceq breq2 fveq2 opreq1d breq1d imbi12d rcla4v mpid
        adantl ancrd r19.28av syl6 pm3.43 ax-1 sylan caddc cmul lt2addt
        resqclt minveclem12 resqcl resubclt anim12i rpret rehalfclt jca syl2an
        cc recn pm3.2i addsub4t recnd 2times opreq2i syl5req halfclt 2halvest
        breqan12d wb w3a cc0 ltmul2t mp3an3 axaddrcl remulcl axaddcl 2cn
        subdit mp3an13 sqmul c4 sq2 2t2e4 eqtr4 opreq1i mulass 3eqtrr syl6eq
        wne 2ne0 divcan2t 3bitrd sylibd minveclem22 anandis an1rs minveclem23
        adantlr lelttrt cnv phnvi nvmcl mp3an1 minveclem4 nvcl mpan axmulrcl
        ad2antlr syl3anc mpand syld anassrs syl9r r19.20dva adantllr r19.22dva
        mpd ) UHQHUIZUJZLEUKULZUMDUNUOZUMZJUIZKUIZUPULZUVLLUQZURUSUTZEURUSUTZVA
        UTZDURVBUTZURVBUTZVCULZVDZKUHVEZJUHVFZUVMUVKUVFUQZUVLUVFUQZMUTZNUQZURUS
        UTZDVCULZVDZKUHVEZJUHVFUVGUVHUVIUWCUVGUVHUVSUNUOZUWCUVIABCUVSEFGHIJKLMN
        OPQRSTUAUBUCUDUEUFUGVGUVIUVRUNUOZUWLUVIURUNUOZUWMURVHVIVJZDURVKVLUWMUWN
        UWLUWOUVRURVKVLVMVNVOUVJUWBUWKJUHUVJUVKUHUOZUMZUWBUVKLUQZURUSUTZUVPVAUT
        ZUVSVCULZUWAUMZKUHVEZUWKUWQUWBUXAUWBUMUXCUWQUWBUXAUWPUWBUXAVDUVJUWPUWBU
        VKUVKUPULZUXAUWPUVKVPUOUXDUVKVQUVKVRVMUWAUXDUXAVDKUVKUHUVLUVKVSZUVMUXDU
        VTUXAUVLUVKUVKUPVTUXEUVQUWTUVSVCUXEUVOUWSUVPVAUXEUVNUWRURUSUVLUVKLWAWBW
        BWCWDWEWFWGWHUXAUWAKUHWIWJUVGUVIUWPUXCUWKVDUVHUVGUVIUMZUWPUMZUXBUWJKUHU
        XBUVMUXAUVTUMZUXGUVLUHUOZUMUWIUVMUXAVDUWAUVMUXHVDUXAUVMUXAUVTWKUXAUVMWL
        WMUXFUWPUXIUXHUWIVDUXFUWPUXIUMZUMZUXHURUWSUVOWNUTZWOUTZUREWOUTZURUSUTZV
        AUTZDVCULZUWIUVGUXJUVIUXHUXQVDZUWRVPUOZUVNVPUOZUMZUVIUXRUVGUXJUMZUYAUVI
        UMZUXHUWTUVQWNUTZUVSUVSWNUTZVCULZUXQUWTVPUOZUVQVPUOZUMUVSVPUOZUYIUMZUXH
        UYFVDUYAUVIUWTUVQUVSUVSWPUXSUYGUXTUYHUXSUWSVPUOZUYGUWRWQZUYKUVPVPUOZUYG
        EABCEFGMNOPQRSTUAUBUCUDUEUGWRZWSZUWSUVPWTVLVMUXTUVOVPUOZUYHUVNWQZUYPUYM
        UYHUYOUVOUVPWTVLVMXAUVIDVPUOZUYJDXBZUYRUVRVPUOZUYJDXCZUYTUYIUYIUVRXCZVU
        BXDVMVMXEUYCUYFUXLURUVPWOUTZVAUTZUVRVCULZURVUDWOUTZURUVRWOUTZVCULZUXQUY
        AUVIUYDVUDUYEUVRVCUYAUXLUVPUVPWNUTZVAUTZUYDVUDUWSXFUOZUVOXFUOZVUJUYDVSZ
        UXSUXTVUKVULUMUVPXFUOZVUNUMVUMVUNVUNUVPUYOXGZVUOXHUWSUVOUVPUVPXIVLUXSUW
        SUYLXJZUXTUVOUYQXJZXEVUCVUIUXLVAUVPVUOXKXLXMUVIUVRXFUOZUYEUVRVSUVIDXFUO
        ZVURUVIDUYSXJZDXNVMUVRXOVMXPVUDVPUOZUYTVUEVUHXQZUYAUVIVVAUYTURVPUOZVVBV
        HVVAUYTVVCXRXSURVCULVVBVIVUDUVRURXTVLYAUYAUXLVPUOZVVAUYKUYPVVDUXSUXTUWS
        UVOYBZUYLUYQXEVVDVUCVPUOVVAURUVPVHUYOYCZUXLVUCWTVLVMUVIUYRUYTUYSVUAVMXE
        UYAUVIVUFUXPVUGDVCUYAVUFUXMURVUCWOUTZVAUTZUXPUYAUXLXFUOZVUFVVHVSZVUKVUL
        VVIUXSUXTUWSUVOYDVUPVUQXEURXFUOZVVIVUCXFUOVVJYEVUCVVFXGURUXLVUCYFYGVMVV
        GUXOUXMVAUXOURURUSUTZUVPWOUTURURWOUTZUVPWOUTVVGUREYEEUYNXGYHVVLVVMUVPWO
        VVLYIVVMYJYKYLYMURURUVPYEYEVUOYNYOXLYPUVIVUSVUGDVSZVUTVVKVUSURXSYQVVNYE
        YRURDYSYGVMXPYTUUAUVGUWPUXIUYAUVGUWPUMZUXSUVGUXIUMZUXTABCFGHIJLMNOPQRST
        UAUBUCUDUEUFUUBZABCFGHIKLMNOPQRSTUAUBUCUDUEUFUUBZXAUUCWMUUDUXKUWHUXPUPU
        LZUXQUWIUVGUXJVVSUVIUVGUWPUXIVVSABCEFGHIKJLMNOPQRSTUAUBUCUDUEUFUGUUEUUC
        UUFUWHVPUOZUXPVPUOZUYRVVSUXQUMUWIVDUXKUWHUXPDUUGUVGUXJVVTUVIUYBUWGVPUOZ
        VVTUYBUWFPUOZVWBUVGUWPUXIVWCUWDPUOZUWEPUOZVWCVVOVVPGUUHUOZVWDVWEVWCGSUU
        IZUWDUWEGMPUBTUUJUUKGHJOPQSUCUDUBUULGHKOPQSUCUDUBUULXEUUCVWFVWCVWBVWGUW
        FGNPUBUAUUMUUNVMUWGWQVMUUFUVGUXJVWAUVIUYBUXMVPUOZVWAUYBVVDVWHUVGUWPUXIV
        VDUYKUYPVVDVVOVVPVVEVVOUXSUYKVVQUYLVMVVPUXTUYPVVRUYQVMXEUUCVVCVVDVWHVHU
        RUXLUUOUUNVMVWHUXOVPUOVWAUXNUREVHUYNYCWSUXMUXOWTVLVMUUFUVIUYRUVGUXJUYSU
        UPUUQUURUUSUUTUVAUVBUVCUUSUVDUVE $.
        $( [7-Apr-2008] $) $( [23-Feb-2008] $)

      minvec28.d $e |- D = ( IndMet ` W ) $.
      $( Lemma for ~ minvecex . $)
      minveclem28 $p |- ( ( ( f : NN --> Y /\ F ~~> P ) /\ B e. RR+ ) ->
         E. k e. NN A. m e. NN ( k <_ m -> ( ( f ` k ) D ( f ` m ) ) < B ) ) $=
        ( cn cv wf cli wbr wa crp wcel cle cfv co c2 cexp clt wi wral wrex
        minveclem27 cn0 2nn0 rpexpclt mpan2 sylan2 wb wceq cnsb cnm cnv css
        phnvi eqid sspnv mp2an imsdval mp3an1 nvmcl sspnval mp3an12 syl
        sspmval mpanl12 fveq2d 3eqtrd adantr breq1d cr cc0 lt2sqt nvcl mpan
        nvge0 jca wss sspba sseli syl2an rpret rpge0t bitr2d ffvelrn anim12i
        anandis sylan an1rs adantllr anassrs imbi2d ralbidva rexbidva mpbid )
        UJRIUKZULZMFUMUNZUOZDUPUQZUOZKUKZLUKZURUNZYFXTUSZYGXTUSZNUTZOUSZVAVBUTD
        VAVBUTZVCUNZVDZLUJVEZKUJVFZYHYIYJEUTZDVCUNZVDZLUJVEZKUJVFYCYMUPUQZYQYDA
        BCYMFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHVGYDVAVHUQUUBVIDVAVJVKVLYEYPUUAKUJYE
        YFUJUQZUOZYOYTLUJUUDYGUJUQZUOYNYSYHYEUUCUUEYNYSVMZYAYDUUCUUEUOZUUFYBYAU
        UGYDUUFYIRUQZYJRUQZUOZYDUUFYAUUGUOUUJYDUOZYSYLDVCUNZYNUUKYRYLDVCUUJYRYL
        VNYDUUJYRYIYJPVOUSZUTZPVPUSZUSZUUNOUSZYLPVQUQZUUHUUIYRUUPVNHVQUQZPHVRUS
        ZUQZUURHTVSZUDHUUTPUUTVTZWAWBZYIYJEPUUMUUORUEUUMVTZUUOVTZUIWCWDUUJUUNRU
        QZUUPUUQVNZUURUUHUUIUVGUVDYIYJPUUMRUEUVEWEWDUUSUVAUVGUVHUVBUDUUNHUUTUUO
        OPRUEUBUVFUVCWFWGWHUUJUUNYKOUUSUVAUUJUUNYKVNUVBUDYIYJHUUTUUMNPRUEUAUVEU
        VCWIWJWKWLWMWNYLWOUQZWPYLURUNZUOZDWOUQZWPDURUNZUOUULYNVMUUJYDYLDWQYIQUQ
        ZYJQUQZUVKUUHUUIUVNUVOUOYKQUQZUVKUUSUVNUVOUVPUVBYIYJHNQUCUAWEWDUVPUVIUV
        JUUSUVPUVIUVBYKHOQUCUBWRWSUUSUVPUVJUVBYKHOQUCUBWTWSXAWHRQYIUUSUVARQXBUV
        BUDHUUTPQRUCUEUVCXCWBZXDRQYJUVQXDXEYDUVLUVMDXFDXGXAXEXHYAUUCUUEUUJYAUUC
        UOUUHYAUUEUOUUIUJRYFXTXIUJRYGXTXIXJXKXLXMXNXOXPXQXRXS $.
        $( [7-Apr-2008] $) $( [23-Feb-2008] $)

      minvec29.w2 $e |- W e. CBan $.
      $( Lemma for ~ minvecex .  Sequence ` f ` is Cauchy, and since vector
         subspace ` W ` is complete, ` f ` therefore converges to a vector in
         ` W ` . $)
      minveclem29 $p |- ( ( f : NN --> Y /\ F ~~> P ) ->
                E. a e. Y f ( ~~>m ` D ) a ) $=
        ( vk vm cn cv wf cli wbr wa cca cfv wcel clm wrex cle co clt wi wral
        crp minveclem28 r19.21aiva wb cme cnv css phnvi eqid sspnv mp2an
        imsmet ax-mp imsbai iscau5 mpan adantr mpbird cms cbn bncms bnnv
        cmscvg syl ) UKOHULZUMZJEUNUOZUPZWKDUQURUSZWKPULZDUTURUOPOVAZWNWOUIULZU
        JULZVBUOWRWKURWSWKURDVCWPVDUOVEUJUKVFUIUKVAZPVGVFZWNWTPVGABCWPDEFGHIUIU
        JJKLMNOQRSTUAUBUCUDUEUFUGVHVIWLWOXAVJZWMDVKUSZWLXBMVLUSZXCGVLUSMGVMURZU
        SXDGRVNUBGXEMXEVOVPVQZDMUGVRVSPDUIUJWKODMOUCUGXFVTWAWBWCWDDWEUSZWOWQMWF
        USZXGUHDMUGWGVSPDWKODMOUCUGXHXDUHMWHVSVTWIWBWJ $.
        $( [7-Apr-2008] $) $( [24-Feb-2008] $)
    $}

    ${
      $d m A $.  $d u D $.  $d k m u J $.  $d k m u M $.  $d k m u N $.
      $d m T $.  $d u Y $.  $d f u $.
      minvec30.2 $e |- P = -u sup ( R , RR , < ) $.
      minvec30.hf $e |- ( j e. NN -> ( F ` j ) = ( N ` ( A M ( f ` j ) ) ) ) $.
      minvec30.d $e |- D = ( IndMet ` W ) $.
      minvec30.jv $e |- J e. V $.
      minvec30.j $e |- ( m e. NN -> ( J ` m ) = ( N ` ( ( f ` m ) M a ) ) ) $.
      minvec30.fv $e |- F e. V $.
      minvec30.tv $e |- T e. V $.
      minvec30.t $e |- ( m e. NN -> ( T ` m ) =
                         ( ( F ` m ) + ( N ` ( ( f ` m ) M a ) ) ) ) $.
      $( Lemma for ~ minvecex . $)
      minveclem30 $p |- ( ( ( f : NN --> Y /\ f ( ~~>m ` D ) a ) /\
          ( F ~~> P /\ a e. Y ) ) -> T ~~> P ) $=
        ( cn cv wf clm cfv wbr wa cli wcel cc0 caddc co cc wceq w3a wral c1
        cuz cz 1z cr minveclem12 elisseti 0cn climadd mpanr1 wb nnuz raleq1
        ax-mp sylan2b simprl minveclem9 adantrl jca minveclem22 recnd adantlr
        adantl cnv phnvi nvmcl mp3an1 nvcl mpan syl minveclem4 minveclem3
        sseli syl2an an1rs eqeltrd adantllr adantlrl opreq2d eqtr4d 3jca
        r19.21aiva sylanc recn addid1 syl6breq ) UPRIUQZURZXRSUQZDUSUTVAZVBZLEV
        CVAZXTRVDZVBZVBZGEVEVFVGZEVCYCMVEVCVAZVBZKUQZLUTZVHVDZYJMUTZVHVDZYJGUTZ
        YKYMVFVGZVIZVJZKUPVKZGYGVCVAZYFYIYRKVLVMUTZVKZYTYSYIVLVNVDUUBYTVOEVEKLM
        GVLUMUKUNEVPABCEFHNOPQRTUAUBUCUDUEUFUGUHVQZVRVEVHVSVRVTWAUPUUAVIYSUUBWB
        WCYRKUPUUAWDWEWFYFYCYHYBYCYDWGYBYDYHYCDHIKMNOPQRSUAUBUCUDUEUFUJUKULWHWI
        WJYFYRKUPYFYJUPVDZVBYLYNYQYBUUDYLYEXSUUDYLYAXSUUDVBZYKABCFHIJKLNOPQRTUA
        UBUCUDUEUFUGUIWKWLWMWMYBYDUUDYNYCXSYDUUDYNYAXSYDVBZUUDVBZYMUUGYMYJXRUTZ
        XTNVGZOUTZVPUUDYMUUJVIUUFULWNXSUUDYDUUJVPVDZUUHQVDZXTQVDZUUKUUEYDUULUUM
        VBUUIQVDZUUKHWOVDZUULUUMUUNHUAWPZUUHXTHNQUDUBWQWRUUOUUNUUKUUPUUIHOQUDUC
        WSWTXAHIKPQRUAUEUFUDXBRQXTHPQRUAUEUFUDXCXDXEXFXGWLXHXIUUDYQYFUUDYOYKUUJ
        VFVGYPUOUUDYMUUJYKVFULXJXKWNXLXMXNEEUUCXOXPXQ $.
        $( [7-Apr-2008] $) $( [28-Feb-2008] $)

      $( Lemma for ~ minvecex . $)
      minveclem31 $p |- ( ( ( f : NN --> Y /\ f ( ~~>m ` D ) a ) /\
          ( F ~~> P /\ a e. Y ) ) -> ( N ` ( A M a ) ) <_ P ) $=
        ( cv co cfv cr wcel cli wbr wa c1 cz cle cuz wral cn wf clm fvex
        minveclem12 elisseti climcmpc1 minveclem5 ad2antll minveclem30 jca
        caddc wceq adantl axaddrcl minveclem22 adantlr cnv phnvi nvmcl mp3an1
        nvcl mpan syl minveclem4 minveclem3 sseli syl2an an1rs adantlrl
        adantllr sylanc eqeltrd w3a nvmtri2 minveclem8 ad2antlr opreq1d
        breqtrrd elnnuz sylan2br r19.21aiva 1z jctil ) CSUPZNUQZOURZUSUTZGEVAVB
        ZVCVDVEUTZKUPZGURZUSUTZXOXTVFVBZVCZKVDVGURZVHZVCXOEVFVBVIRIUPZVJZYFXMDV
        KURVBZVCZLEVAVBZXMRUTZVCZVCZXOEKGVDUNXNOVLEUSABCEFHNOPQRTUAUBUCUDUEUFUG
        UHVMVNVOYMXPXQYKXPYIYJSCHNOPQRUAUEUFUDUBUCUGVPVQABCDEFGHIJKLMNOPQRSTUAU
        BUCUDUEUFUGUHUIUJUKULUMUNUOVRVSYMYEXRYMYCKYDYMXSVIUTZYCXSYDUTYMYNVCZYAY
        BYOXTXSLURZXSYFURZXMNUQZOURZVTUQZUSYNXTYTWAYMUOWBZYPUSUTZYSUSUTZYTUSUTY
        OYPYSWCYIYNUUBYLYGYNUUBYHABCFHIJKLNOPQRTUAUBUCUDUEUFUGUIWDWEWEYGYLYNUUC
        YHYGYKYNUUCYJYGYNYKUUCYQQUTZXMQUTZUUCYGYNVCZYKUUDUUEVCYRQUTZUUCHWFUTZUU
        DUUEUUGHUAWGZYQXMHNQUDUBWHWIUUHUUGUUCUUIYRHOQUDUCWJWKWLHIKPQRUAUEUFUDWM
        ZRQXMHPQRUAUEUFUDWNWOZWPWQWRWSWTXAYOXOYTXTVFYGYLYNXOYTVFVBZYHYGYKYNUULY
        JYGYNYKUULUUFYKVCZXOCYQNUQOURZYSVTUQZYTVFUUDUUEXOUUOVFVBZUUFYKCQUTZUUDU
        UEUUPUGUUHUUQUUDUUEXBUUPUUICYQXMHNOQUDUBUCXCWKWIUUJUUKWPUUMYPUUNYSVTYNY
        PUUNWAYGYKCIJKLNOUIXDXEXFXGWQWRWSUUAXGVSXSXHXIXJXKXLWT $.
        $( [7-Apr-2008] $) $( [28-Feb-2008] $)

      $( Lemma for ~ minvecex . $)
      minveclem32 $p |- ( ( ( f : NN --> Y /\ f ( ~~>m ` D ) a ) /\
          ( F ~~> P /\ a e. Y ) ) -> ( N ` ( A M a ) ) = P ) $=
        ( cn cv wf clm cfv wbr wa cli wcel co wceq cle minveclem31 minveclem13
        ad2antll jca wb cr minveclem5 minveclem12 letri3t mpan2 syl mpbird ) UP
        RIUQZURVTSUQZDUSUTVAVBZLEVCVAZWARVDZVBVBZCWANVEOUTZEVFZWFEVGVAZEWFVGVAZ
        VBZWEWHWIABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULUMUNUOVHWDWIWBWCAB
        CWAEFHNOPQRTUAUBUCUDUEUFUGUHVIVJVKWDWGWJVLZWBWCWDWFVMVDZWKSCHNOPQRUAUEU
        FUDUBUCUGVNWLEVMVDWKABCEFHNOPQRTUAUBUCUDUEUFUGUHVOWFEVPVQVRVJVS $.
        $( [7-Apr-2008] $) $( [28-Feb-2008] $)
    $}

    ${
      minvec33.2 $e |- P = -u sup ( R , RR , < ) $.
      minvec33.hf $e |- ( j e. NN -> ( F ` j ) = ( N ` ( A M ( f ` j ) ) ) ) $.
      minvec33.d $e |- D = ( IndMet ` W ) $.
      minvec33.t1 $e |- F e. V $.
        $( Lemma for ~ minvecex . $)
      minveclem33 $p |- ( ( ( f : NN --> Y /\ f ( ~~>m ` D ) a ) /\
          ( F ~~> P /\ a e. Y ) ) -> ( N ` ( A M a ) ) = P ) $=
        ( vn vu vm cv cn wcel cfv co caddc wceq wa copab nnex eqid fopabex2
        fveq2 opreq1d fveq2d fvex fvopab4 opreq12d oprex minveclem32 ) ABCDEFUI
        ULZUMUNZUJULZVLJUOZVLHULZUOZPULZKUPZLUOZUQUPZURUSUIUJUTZGHIUKJVMVNVTURU
        SUIUJUTZKLMNOPQRSTUAUBUCUDUEUFUGUIUJUMVTWCVAWCVBZVCUIUJUKULZVTWEVPUOZVR
        KUPZLUOZUMWCVLWEURZVSWGLWIVQWFVRKVLWEVPVDVEVFZWDWGLVGVHUHUIUJUMWAWBVAWB
        VBZVCUIUJWEWAWEJUOZWHUQUPUMWBWIVOWLVTWHUQVLWEJVDWJVIWKWLWHUQVJVHVK $.
        $( [7-Apr-2008] $) $( [28-Feb-2008] $)

      minvec34.w2 $e |- W e. CBan $.
      $( Minimizing vector theorem (existence part).  There is exactly one
         vector in a complete subspace ` W ` that minimizes the distance to an
         arbitrary vector ` A ` in a parent inner product space.  Part of
         Theorem 3.3-1 of [Kreyszig] p. 144, specialized to subspaces instead
         of convex subsets.  Note that we work with the negative of supremum
         instead of infimum in order to use theorems we already have
         available. $)
      minvecex $p |- E. a e. Y ( N ` ( A M a ) ) = P $=
        ( vu vt cn cv wf cli wbr wa wex co cfv wceq wrex cn0v cneg cab eqeq1
        rexbidv cbvabv opreq2 fveq2d negeqd eqeq2d cbvrexv abbii eqtr
        minveclem5 cnv wcel css phnvi eqid sspnv mp2an nvzcl ax-mp minveclem10
        infcvg clm minveclem29 wi minveclem33 exp43 com23 com34 imp31
        r19.22dva mpd 19.23aiv ) ULOHUMZUNZJEUOUPZUQZHURCPUMZKUSLUTEVAZPOVBZUJU
        KUJUKCUKUMZKUSZLUTZCIUMWSUTZKUSZLUTFEHIJOMVCUTZFAUMZCBUMZKUSZLUTZVDZVAZ
        BOVBZAVEZUJUMZXHVDZVAZUKOVBZUJVEZQXSXTXPVAZBOVBZUJVEYDXRYFAUJXLXTVAXQYE
        BOXLXTXPVFVGVHYFYCUJYEYBBUKOXMXFVAZXPYAXTYGXOXHYGXNXGLXMXFCKVIVJVKVLVMV
        NVOVOZUKCGKLMNORUBUCUASTUDVPMVQVRZXKOVRGVQVRMGVSUTZVRYIGRVTUBGYJMYJWAWB
        WCMOXKUCXKWAWDWEABUJUKCFGKLMNOQRSTUAUBUCUDWFUEUHXFXIVAXGXJLXFXICKVIVJUF
        WGXBXEHXBWSXCDWHUTUPZPOVBXEUJUKCDEFGHIJKLMNOPYHRSTUAUBUCUDUFUEUGUIWIXBY
        KXDPOWTXAXCOVRZYKXDWJWTXAYKYLXDWTYKXAYLXDWJWTYKXAYLXDABCDEFGHIJKLMNOPQR
        STUAUBUCUDUEUFUGUHWKWLWMWNWOWPWQWRWE $.
        $( [7-Apr-2008] $) $( [28-Feb-2008] $)
    $}
  $}

  ${
    $d x y A $.  $d x y G $.  $d x y M $.  $d x y N $.  $d x y S $.
    $d x y U $.  $d x y W $.  $d x y Y $.  $d a b x y $.
    minvec35.x $e |- X = ( Base ` U ) $.
    minvec35.g $e |- G = ( +v ` U ) $.
    minvec35.m $e |- M = ( -v ` U ) $.
    minvec35.s $e |- S = ( .s ` U ) $.
    minvec35.n $e |- N = ( norm ` U ) $.
    minvec35.y $e |- Y = ( Base ` W ) $.
    minvec35.u $e |- U e. CPreHil $.
    minvec35.a $e |- A e. X $.
    $( Lemma for ~ minveceu . $)
    minveclem35 $p |- ( ( a e. X /\ b e. X ) -> ( N ` ( ( A M a ) G ( A M b )
         ) ) = ( 2 x. ( N ` ( A M ( ( 1 / 2 ) S ( a G b ) ) ) ) ) ) $=
      ( cv wcel wa co cfv c2 c1 cdiv cmul wceq cnv phnvi nvaddsub4 mp3an1
      mpanl12 nvgcl nv2 mp2an a1i 2cn 2ne0 recid opreq1i cc reccl w3a nvsass
      mpan mp3an12 nvsid 3eqtr3rd opreq12d nvscl nvmdi syl eqtr4d eqtr3d
      fveq2d nvmcl cr cc0 cle wbr 2re 0re 2pos ltlei nvsge0 eqtrd ) JTZHUAZKTZH
      UAZUBZAWIEUCAWKEUCDUCZFUDUEAUFUEUGUCZWIWKDUCZBUCZEUCZBUCZFUDZUEWRFUDUHUCZ
      WMWNWSFWMAADUCZWPEUCZWNWSAHUAZXDWMXCWNUIZSSCUJUAZXDXDUBWMXECRUKZAAWIWKCDE
      HLMNULUMUNWMWPHUAZXCWSUIXFWJWLXHXGWIWKCDHLMUOUMZXHXCUEABUCZUEWQBUCZEUCZWS
      XHXBXJWPXKEXBXJUIZXHXFXDXMXGSABCDHLMOUPUQURXHUEWOUHUCZWPBUCZUFWPBUCZXKWPX
      OXPUIXHXNUFWPBUEUSUTVAVBURUEVCUAZWOVCUAZXHXOXKUIZUSUEUSUTVDZXFXQXRXHVEXSX
      GUEWOWPBCHLOVFVGVHXFXHXPWPUIXGWPBCHLOVIVGVJVKXHWQHUAZWSXLUIZXFXRXHYAXGXTW
      OWPBCHLOVLVHZXQXDYAYBUSSXFXQXDYAVEYBXGUEAWQBCEHLNOVMVGVHVNVOVNVPVQWMWRHUA
      ZWTXAUIZWMYAYDWMXHYAXIYCVNXFXDYAYDXGSAWQCEHLNVRVHVNUEVSUAZVTUEWAWBZYDYEWC
      VTUEWDWCWEWFXFYFYGUBYDYEXGUEWRBCFHLOPWGUMUNVNWH $.
      $( [27-Apr-2008] $) $( [19-Mar-2008] $)

    minvec36.w $e |- W e. ( SubSp ` U ) $.
    minvec36.2 $e |- P = -u sup ( R , RR , < ) $.
    minvec36.1 $e |- R = { x | E. y e. Y x = -u ( N ` ( A M y ) ) } $.
    $( Lemma for ~ minveceu . $)
    minveclem36 $p |- ( ( ( a e. X /\ b e. X ) /\ ( ( N ` ( A M a ) ) = P /\
    ( N ` ( A M b ) ) = P ) ) -> ( ( N ` ( a M b ) ) ^ 2 ) = ( ( 2 x. ( ( P
       ^ 2 ) + ( P ^ 2 ) ) ) - ( ( N ` ( ( A M a ) G ( A M b ) ) ) ^ 2 ) ) ) $=
      ( cv wcel wa co cfv wceq c2 cexp caddc cmul cmin cnv w3a phnvi nvnnncan1
      mpan mp3an1 fveq2d nvsub eqtr4d opreq1d opreq2d cphl phpar2 nvmcl
      mp3an12 syl2an eqtr3d opreq1 opreqan12d sylan9eq wb cc 2cn minveclem12
      resqcl readdcl recn mulcl subaddt sqclt cr nvcl recnd nvgcl sylanc
      adantr mpbird eqcomd ) NUGZLUHZOUGZLUHZUIZCWPIUJZJUKZDULZCWRIUJZJUKZDULZU
      IZUIZUMDUMUNUJZXIUOUJZUPUJZXAXDHUJZJUKZUMUNUJZUQUJZWPWRIUJZJUKZUMUNUJZXHX
      OXRULZXNXRUOUJZXKULZWTXGXTUMXBUMUNUJZXEUMUNUJZUOUJZUPUJZXKWTXNXAXDIUJZJUK
      ZUMUNUJZUOUJZXTYEWTYHXRXNUOWTYGXQUMUNWTYGWRWPIUJZJUKZXQWTYFYJJCLUHZWQWSYF
      YJULZUCGURUHZYLWQWSUSYMGUBUTZCWPWRGILPRVAVBVCVDYNWQWSXQYKULYOWPWRGIJLPRTV
      EVCVFVGVHXALUHZXDLUHZYIYEULZWQWSGVIUHYPYQYRUBXAXDGHIJLPQRTVJVCYNYLWQYPYOU
      CCWPGILPRVKVLZYNYLWSYQYOUCCWRGILPRVKVLZVMVNXGYDXJUMUPXCXFYBXIYCXIUOXBDUMU
      NVOXEDUMUNVOVPVHVQWTXSYAVRZXGXLLUHZXPLUHZUUAWTXMVSUHZXQVSUHZUUAUUBUUCXNVS
      UHZXRVSUHZUUAUUDUUEXKVSUHUUFUUGUUAUMXJVTXJXIXIDABCDEGIJKLMUFUBRTPUDUAUCUE
      WAWBZUUHWCWDWEXKXNXRWFVCXMWGXQWGVMUUBXMYNUUBXMWHUHYOXLGJLPTWIVBWJUUCXQYNU
      UCXQWHUHYOXPGJLPTWIVBWJVMYPYQUUBWQWSYNYPYQUUBYOXAXDGHLPQWKVCYSYTVMYNWQWSU
      UCYOWPWRGILPRVKVCWLWMWNWO $.
      $( [1-May-2008] $) $( [19-Mar-2008] $)

    $( Lemma for ~ minveceu . $)
    minveclem37 $p |- ( ( a e. Y /\ b e. Y ) ->
              P <_ ( N ` ( A M ( ( 1 / 2 ) S ( a G b ) ) ) ) ) $=
      ( cv wcel wa c1 c2 cdiv co cfv cle wbr cpv cnv css wceq phnvi eqid
      sspgval mpanl12 minveclem1 nvgcl mp3an1 eqeltrrd cns cc 2cn 2ne0 reccl
      sspsval mpan nvscl mp3an12 syl minveclem13 ) NUGZMUHZOUGZMUHZUIZUJUKULUMZ
      VTWBHUMZFUMZMUHZDCWGIUMJUNUOUPWDWFMUHZWHWDVTWBKUQUNZUMZWFMGURUHZKGUSUNZUH
      ZWDWKWFUTGUBVAZUDVTWBGWJHWMKMUAQWJVBZWMVBZVCVDKURUHZWAWCWKMUHGKUBUDVEZVTW
      BKWJMUAWPVFVGVHWIWEWFKVIUNZUMZWGMWEVJUHZWIXAWGUTZUKVKVLVMZWLWNXBWIUIXCWOU
      DWEWFWTFGWMKMUASWTVBZWQVNVDVOWRXBWIXAMUHWSXDWEWFWTKMUAXEVPVQVHVRABCWGDEGI
      JKLMUFUBRTPUDUAUCUEVSVR $.
      $( [1-May-2008] $) $( [19-Mar-2008] $)

    $( Lemma for ~ minveceu . $)
    minveclem38 $p |- ( ( ( a e. Y /\ b e. Y ) /\ ( ( N ` ( A M a ) ) = P /\
    ( N ` ( A M b ) ) = P ) ) -> ( N ` ( a M b ) ) <_ 0 ) $=
      ( cv wcel wa co cfv wceq cc0 cle wbr c2 cexp caddc cmul cmin minveclem36
      minveclem3 sseli anim12i sylan c4 c1 cdiv cr minveclem12 resqcl 4re 0re
      4pos ltlei pm3.2i lemul2it mp3anl3 mpanl1 cnv phnvi nvgcl mp3an1 syl2an
      cc 2cn 2ne0 reccl nvscl mp3an12 syl nvmcl nvcl mpan resqclt minveclem14
      le2sqit mpanl12 minveclem37 sylanc recn mulass 2t2e4 opreq1i 2times
      opreq2i 3eqtr3r syl5eqbr recnd sqmult sq2 syl6req minveclem35 opreq1d
      eqtr4d breqtrd wb 2re readdcl remulcl suble0t mpbird adantr eqbrtrd sq0
      syl6breqr leid le2sqt mpan2 nvge0 ) NUGZMUHZOUGZMUHZUIZCYKIUJZJUKDULCYMIU
      JZJUKDULUIZUIZYKYMIUJZJUKZUMUNUOZUUAUPUQUJZUMUPUQUJZUNUOZYSUUCUMUUDUNYSUU
      CUPDUPUQUJZUUFURUJZUSUJZYPYQHUJZJUKZUPUQUJZUTUJZUMUNYKLUHZYMLUHZUIZYRUUCU
      ULULYOABCDEFGHIJKLMNOPQRSTUAUBUCUDUEUFVAYLUUMYNUUNMLYKGKLMUBUDUAPVBZVCZML
      YMUUPVCZVDVEYOUULUMUNUOZYRYOUUSUUHUUKUNUOZYOUUHVFCVGUPVHUJZYKYMHUJZFUJZIU
      JZJUKZUPUQUJZUSUJZUUKUNYOVFUUFUSUJZUVGUUHUNUVFVIUHZUUFUVFUNUOZUVHUVGUNUOZ
      YOUUFVIUHZUVIUVJUVKDABCDEGIJKLMUFUBRTPUDUAUCUEVJZVKZUVLUVIVFVIUHZUMVFUNUO
      ZUIUVJUVKUVOUVPVLUMVFVMVLVNVOVPUUFUVFVFVQVRVSYOUVEVIUHZUVIYOUVDLUHZUVQYOU
      VCLUHZUVRYOUVBLUHZUVSUUMUUNUVTYLYNGVTUHZUUMUUNUVTGUBWAZYKYMGHLPQWBWCUUQUU
      RWDUWAUVAWEUHUVTUVSUWBUPWFWGWHUVAUVBFGLPSWIWJWKUWACLUHZUVSUVRUWBUCCUVCGIL
      PRWLWJWKUWAUVRUVQUWBUVDGJLPTWMWNWKZUVEWOWKUVQDUVEUNUOZUVJYODVIUHUMDUNUOUV
      QUWEUIUVJUVMABCDEGIJKLMUFUBRTPUDUAUCUEWPDUVEWQWRUWDABCDEFGHIJKLMNOPQRSTUA
      UBUCUDUEUFWSWTWTUPUPUSUJZUUFUSUJUPUPUUFUSUJZUSUJUVHUUHUPUPUUFWFWFUUFUVNXA
      ZXBUWFVFUUFUSXCXDUWGUUGUPUSUUFUWHXEXFXGXHYOUVGUPUVEUSUJZUPUQUJZUUKYOUWJUP
      UPUQUJZUVFUSUJZUVGYOUVEWEUHZUWJUWLULZYOUVEUWDXIUPWEUHUWMUWNWFUPUVEXJWNWKU
      WKVFUVFUSXKXDXLYOUUJUWIUPUQUUMUUNUUJUWIULYLYNCFGHIJKLMNOPQRSTUAUBUCXMUUQU
      URWDXNXOXPUUMUUNUUSUUTXQZYLYNUUOUUKVIUHZUWOUUOUUJVIUHZUWPUUOUUILUHZUWQYPL
      UHZYQLUHZUWRUUMUUNUWAUWSUWTUWRUWBYPYQGHLPQWBWCUWAUWCUUMUWSUWBUCCYKGILPRWL
      WJUWAUWCUUNUWTUWBUCCYMGILPRWLWJWDUWAUWRUWQUWBUUIGJLPTWMWNWKUUJWOWKUUHVIUH
      UWPUWOUPUUGXRUUFUUFUVNUVNXSXTUUHUUKYAWNWKUUQUURWDYBYCYDYEYFYOUUBUUEXQZYRU
      UMUUNUXAYLYNUUOYTLUHZUXAUWAUUMUUNUXBUWBYKYMGILPRWLWCUUAVIUHZUMUUAUNUOZUXA
      UXBUXCUXDUIUMVIUHZUMUMUNUOZUIUXAUXEUXFVMUMVMYGVPUUAUMYHYIUWAUXBUXCUWBYTGJ
      LPTWMWNUWAUXBUXDUWBYTGJLPTYJWNWTWKUUQUURWDYCYB $.
      $( [2-May-2008] $) $( [23-Mar-2008] $)
  $}

  ${
    $d a b f j n v x y A $.  $d x y B $.  $d a b f j n v x y M $.
    $d a b f j n v x y N $.  $d a b f n P $.  $d a f Q $.  $d a b R $.
    $d x y U $.  $d a b x y W $.  $d a b f n x y Y $.
    minvec.x $e |- X = ( Base ` U ) $.
    minvec.m $e |- M = ( -v ` U ) $.
    minvec.n $e |- N = ( norm ` U ) $.
    minvec.y $e |- Y = ( Base ` W ) $.
    minvec.1 $e |- R = { x | E. y e. Y x = -u ( N ` ( A M y ) ) } $.
    minvec.2 $e |- P = -u sup ( R , RR , < ) $.
    minvec.u $e |- U e. CPreHil $.
    minvec.w $e |- W e. ( ( SubSp ` U ) i^i CBan ) $.
    minvec.a $e |- A e. X $.
    $( Minimizing vector theorem.  There is exactly one vector in a complete
       subspace ` W ` that minimizes the distance to an arbitrary vector ` A `
       in a parent inner product space.  Theorem 3.3-1 of [Kreyszig] p. 144,
       specialized to subspaces instead of convex subsets.  Note that we work
       with the negative of the supremum of negatives instead of infimum in
       order to use theorems we already have available. $)
    minveceu $p |- E! a e. Y ( N ` ( A M a ) ) = P $=
      ( vb vf vn vj vv cv co cfv wceq wreu wrex wa wi wral opreq2 fveq2d
      eqeq1d reu4 cims cn wcel copab css cbn cin inss1 sseli ax-mp fveq2
      opreq2d eqid fvex fvopab4 nnex opabex2 inss2 minvecex cc0 cle wbr cns
      cpv minveclem38 cnv phnvi nvmcl mp3an1 nvge0 mpan syl idd mpan2d cn0v wb
      nvz cr nvcl 0re letri3t mpan2 nvmeq0 3bitr3d sylibd minveclem3 syl2an
      adantr mpd ex rgen2a mpbir2an ) CLUGZGUHZHUIZDUJZLKUKXOLKULXOCUBUGZGUHZHU
      IZDUJZUMZXLXPUJZUNZUBKUOLKUOXOXSLUBKYAXNXRDYAXMXQHXLXPCGUPUQURUSABCIUTUIZ
      DEFUCUDUEUGZVAVBUFUGCYDUCUGZUIZGUHZHUIZUJUMUEUFVCZGHIJKLQSNOMIFVDUIZVEVFZ
      VBZIYJVBTYKYJIYJVEVGVHVIZPUARUEUFUDUGZYHCYNYEUIZGUHZHUIVAYIYDYNUJZYGYPHYQ
      YFYOCGYDYNYEVJVKUQYIVLYPHVMVNYCVLUEUFVAYHVOVPYLIVEVBTYKVEIYJVEVQVHVIVRYBL
      UBKXLKVBZXPKVBZUMZXTYAYTXTUMXLXPGUHZHUIZVSVTWAZYAABCDEFWBUIZFFWCUIZGHIJKL
      UBMUUEVLNUUDVLOPSUAYMRQWDYTUUCYAUNZXTXLJVBZXPJVBZUUFYRYSUUGUUHUMZUUCUUCVS
      UUBVTWAZUMZYAUUIUUCUUJUUKUUIUUAJVBZUUJFWEVBZUUGUUHUULFSWFZXLXPFGJMNWGWHZU
      UMUULUUJUUNUUAFHJMOWIWJWKUUIUUKWLWMUUIUUBVSUJZUUAFWNUIZUJZUUKYAUUIUULUUPU
      URWOZUUOUUMUULUUSUUNUUAFHJUUQMUUQVLZOWPWJWKUUIUUBWQVBZUUPUUKWOZUUIUULUVAU
      UOUUMUULUVAUUNUUAFHJMOWRWJWKUVAVSWQVBUVBWSUUBVSWTXAWKUUMUUGUUHUURYAWOUUNX
      LXPFGJUUQMNUUTXBWHXCXDKJXLFIJKSYMPMXEZVHKJXPUVCVHXFXGXHXIXJXK $.
      $( [2-May-2008] $) $( [8-Feb-2008] $)

    minveccl.q $e |- Q = U. { b e. Y | ( N ` ( A M b ) ) = P } $.
    $( The minimizing vector of ~ minveceu belongs to the subspace ` Y ` . $)
    minveccl $p |- Q e. Y $=
      ( cv co cfv wceq crab cuni wreu wcel minveceu reucl ax-mp eqeltr ) ECMUDH
      UEIUFDUGZMLUHUIZLUCUPMLUJUQLUKABCDFGHIJKLMNOPQRSTUAUBULUPMLUMUNUO $.
      $( [3-May-2008] $) $( [24-Mar-2008] $)

    $( Distance of the minimizing vector of ~ minveceu . $)
    minvecdist $p |- ( N ` ( A M Q ) ) = P $=
      ( vf co cfv wceq cv crab cuni eqcomi wcel wreu wb minveccl minveceu
      hbrab1 hbuni hbxfr wal wi ax-17 hbopr hbfv hbeq a1i opreq2 fveq2d eqeq1d
      reuuni2f mp2an mpbir ) CEHUEZIUFZDUGZCMUHZHUEZIUFZDUGZMLUIZUJZEUGZEWAUCUK
      ELULZVSMLUMVOWBUNABCDEFGHIJKLMNOPQRSTUAUBUCUOABCDFGHIJKLMNOPQRSTUAUBUPVSV
      OMUDLEMUDEWAUCMUDVTVSMUDLUQURUSZVOVOMUTVAWCMUDUDVNDMUDVMIUDUHZIULMVBMUDCE
      HWECULMVBWEHULMVBWDVCVDWEDULMVBVEVFVPEUGZVRVNDWFVQVMIVPECHVGVHVIVJVKVL $.
      $( [3-May-2008] $) $( [24-Mar-2008] $)

    $( The minimizing vector from ~ minveceu has the smallest distance. $)
    minvecle $p |- ( B e. Y -> ( N ` ( A M Q ) ) <_ ( N ` ( A M B ) ) ) $=
      ( wcel co cfv cle css cbn cin inss1 sselii minveclem13 minvecdist
      syl5eqbr ) DMUEECDIUFJUGCFIUFJUGUHABCDEGHIJKLMSUAPQOHUIUGZUJUKUQKUQUJULUB
      UMRUCTUNABCEFGHIJKLMNOPQRSTUAUBUCUDUOUP $.
      $( [3-May-2008] $) $( [24-Mar-2008] $)

    $( Lemma for ~ minvecex2 . $)
    minveclem39 $p |- E. a e. Y A. f e. Y
           ( N ` ( A M a ) ) <_ ( N ` ( A M f ) ) $=
      ( wcel co cfv cv cle wbr wral wrex minveccl minvecle rgen wceq opreq2
      fveq2d breq1d ralbidv rcla4ev mp2an ) EMUFCEIUGZJUHZCHUIZIUGJUHZUJUKZHMUL
      ZCNUIZIUGZJUHZVGUJUKZHMULZNMUMABCDEFGIJKLMOPQRSTUAUBUCUDUEUNVHHMABCVFDEFG
      IJKLMOPQRSTUAUBUCUDUEUOUPVNVINEMVJEUQZVMVHHMVOVLVEVGUJVOVKVDJVJECIURUSUTV
      AVBVC $.
      $( [4-May-2008] $) $( [11-Apr-2008] $)
  $}

  ${
    $d v w x y z A $.  $d v w x y z M $.  $d v w x y z N $.  $d w z U $.
    $d v w x z W $.  $d v w x y z Y $.
    minvec2.x $e |- X = ( Base ` U ) $.
    minvec2.m $e |- M = ( -v ` U ) $.
    minvec2.n $e |- N = ( norm ` U ) $.
    minvecx2.y $e |- Y = ( Base ` W ) $.
    minvec2.u $e |- U e. CPreHil $.
    minvec2.w $e |- W e. ( ( SubSp ` U ) i^i CBan ) $.
    minvec2.a $e |- A e. X $.
    $( Existence version of ~ minvecle . $)
    minvecex2 $p |- E. x e. Y A. y e. Y
           ( N ` ( A M x ) ) <_ ( N ` ( A M y ) ) $=
      ( vz vw vv cv co cfv cneg wceq wrex cab cr clt csup crab cuni eqid
      minveclem39 ) QRCQTCRTEUAFUBUCUDRIUEQUFZUGUHUIUCZCSTEUAFUBUOUDSIUJUKZUNDB
      EFGHIASJKLMUNULUOULNOPUPULUM $.
      $( [4-May-2008] $) $( [11-Apr-2008] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                           Complex Hilbert spaces
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c CHil $.

  $( Extend class notation with the class of all complex Hilbert spaces. $)
  chl $a class CHil $.

  $( Define the class of all complex Hilbert spaces.  A Hilbert space is a
     Banach space which is also an inner product space. $)
  df-hl $a |- CHil = ( CBan i^i CPreHil ) $.

  $( The predicate "is a complex Hilbert space."  A Hilbert space is a
     Banach space which is also an inner product space, i.e. whose norm
     satisfies the parallelogram law.  (Contributed by Steve Rodriguez,
     28-Apr-2007.) $)
  ishl $p |- ( U e. CHil <-> ( U e. CBan /\ U e. CPreHil ) ) $=
    ( chl wcel cbn cphl cin wa df-hl eleq2i elin bitr ) ABCADEFZCADCAECGBLAHIAD
    EJK $.
    $( [8-Sep-2007] $) $( [28-Apr-2007] $)

  $( Every complex Hilbert space is a complex Banach space.  (Contributed by
      Steve Rodriguez, 28-Apr-2007.) $)
  hlbn $p |- ( U e. CHil -> U e. CBan ) $=
    ( chl wcel cbn cphl ishl pm3.26bi ) ABCADCAECAFG $.
    $( [8-Sep-2007] $) $( [28-Apr-2007] $)

  $( Every complex Hilbert space is an inner product space (also called a
     pre-Hilbert space). $)
  hlph $p |- ( U e. CHil -> U e. CPreHil ) $=
    ( chl wcel cbn cphl ishl pm3.27bi ) ABCADCAECAFG $.
    $( [17-Dec-2007] $) $( [28-Apr-2007] $)

  $( The class of all complex Hilbert spaces is a relation. $)
  hlrel $p |- Rel CHil $=
    ( vx chl cbn wss wrel cv hlbn ssriv bnrel relss mp2 ) BCDCEBEABCAFGHIBCJK
    $.
    $( [8-Apr-2008] $) $( [17-Mar-2007] $)

  $( Every complex Hilbert space is a normed complex vector space. $)
  hlnv $p |- ( U e. CHil -> U e. NrmCVec ) $=
    ( chl wcel cbn cnv hlbn bnnv syl ) ABCADCAECAFAGH $.
    $( [9-Sep-2007] $) $( [17-Mar-2007] $)

  ${
    hlnvi.1 $e |- U e. CHil $.
    $( Every complex Hilbert space is a normed complex vector space. $)
    hlnvi $p |- U e. NrmCVec $=
      ( chl wcel cnv hlnv ax-mp ) ACDAEDBAFG $.
      $( [10-Jun-2008] $) $( [6-Jun-2008] $)
  $}

  ${
    hlvc.1 $e |- W = ( 1st ` U ) $.
    $( Every complex Hilbert space is a complex vector space. $)
    hlvc $p |- ( U e. CHil -> W e. CVec ) $=
      ( chl wcel cnv cvc hlnv nvvc syl ) ADEAFEBGEAHABCIJ $.
      $( [9-Sep-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    hlcms.8 $e |- D = ( IndMet ` U ) $.
    $( The induced metric on a complex Hilbert space is complete. $)
    hlcms $p |- ( U e. CHil -> D e. CMet ) $=
      ( chl wcel cbn cms hlbn bncms syl ) BDEBFEAGEBHABCIJ $.
      $( [16-Dec-2007] $) $( [8-Sep-2007] $)

    $( The induced metric on a complex Hilbert space. $)
    hlmet $p |- ( U e. CHil -> D e. Met ) $=
      ( chl wcel cnv cme hlnv imsmet syl ) BDEBFEAGEBHABCIJ $.
      $( [15-Aug-2008] $) $( [7-Sep-2007] $)
  $}

  ${
    hlpar.1 $e |- X = ( Base ` U ) $.
    hlpar.2 $e |- G = ( +v ` U ) $.
    hlpar.3 $e |- M = ( -v ` U ) $.
    hlpar.4 $e |- S = ( .s ` U ) $.
    hlpar.6 $e |- N = ( norm ` U ) $.
  $}

  ${
    hlparOLD.1 $e |- X = ( Base ` U ) $.
    hlparOLD.2 $e |- G = ( +v ` U ) $.
    hlparOLD.4 $e |- S = ( .s ` U ) $.
    hlparOLD.6 $e |- N = ( norm ` U ) $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Standard axioms for a complex Hilbert space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    hlex.1 $e |- X = ( Base ` U ) $.
    $( The base set of a Hilbert space is a set. $)
    hlex $p |- X e. V $=
      ( cba cfv cvv fvex eqeltr ) BADEFCADGH $.
      $( [17-Dec-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    hladdf.1 $e |- X = ( Base ` U ) $.
    hladdf.2 $e |- G = ( +v ` U ) $.
    $( Mapping for Hilbert space vector addition. $)
    hladdf $p |- ( U e. CHil -> G : ( X X. X ) --> X ) $=
      ( chl wcel cnv cxp wf hlnv nvgf syl ) AFGAHGCCICBJAKABCDELM $.
      $( [17-Sep-2007] $) $( [7-Sep-2007] $)

    $( Hilbert space vector addition is commutative. $)
    hlcom $p |- ( ( U e. CHil /\ A e. X /\ B e. X ) ->
                ( A G B ) = ( B G A ) ) $=
      ( cnv wcel co wceq chl nvcom hlnv syl3an1 ) CHIAEIBEIABDJBADJKCLIABCDEFGM
      CNO $.
      $( [8-Sep-2007] $) $( [7-Sep-2007] $)

    $( Hilbert space vector addition is associative. $)
    hlass $p |- ( ( U e. CHil /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                   ( ( A G B ) G C ) = ( A G ( B G C ) ) ) $=
      ( cnv wcel w3a co wceq chl nvass hlnv sylan ) DIJAFJBFJCFJKABELCELABCELEL
      MDNJABCDEFGHODPQ $.
      $( [11-Dec-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    hl0cl.1 $e |- X = ( Base ` U ) $.
    hl0cl.5 $e |- Z = ( 0v ` U ) $.
    $( The Hilbert space zero vector. $)
    hl0cl $p |- ( U e. CHil -> Z e. X ) $=
      ( chl wcel cnv hlnv nvzcl syl ) AFGAHGCBGAIABCDEJK $.
      $( [11-Dec-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    hladdid.1 $e |- X = ( Base ` U ) $.
    hladdid.2 $e |- G = ( +v ` U ) $.
    hladdid.5 $e |- Z = ( 0v ` U ) $.
    $( Hilbert space addition with the zero vector. $)
    hladdid $p |- ( ( U e. CHil /\ A e. X ) -> ( A G Z ) = A ) $=
      ( cnv wcel co wceq chl nv0rid hlnv sylan ) BIJADJAECKALBMJABCDEFGHNBOP $.
      $( [13-Dec-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    hlmulf.1 $e |- X = ( Base ` U ) $.
    hlmulf.4 $e |- S = ( .s ` U ) $.
    $( Mapping for Hilbert space scalar multiplication. $)
    hlmulf $p |- ( U e. CHil -> S : ( CC X. X ) --> X ) $=
      ( chl wcel cnv cc cxp wf hlnv nvsf syl ) BFGBHGICJCAKBLABCDEMN $.
      $( [12-Dec-2007] $) $( [7-Sep-2007] $)

    $( Hilbert space scalar multiplication by one. $)
    hlmulid $p |- ( ( U e. CHil /\ A e. X ) -> ( 1 S A ) = A ) $=
      ( cnv wcel c1 co wceq chl nvsid hlnv sylan ) CGHADHIABJAKCLHABCDEFMCNO $.
      $( [21-Dec-2007] $) $( [7-Sep-2007] $)

    $( Hilbert space scalar multiplication associative law. $)
    hlmulass $p |- ( ( U e. CHil /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
                   ( ( A x. B ) S C ) = ( A S ( B S C ) ) ) $=
      ( cnv wcel cc w3a cmul co wceq chl nvsass hlnv sylan ) EIJAKJBKJCFJLABMNC
      DNABCDNDNOEPJABCDEFGHQERS $.
      $( [21-Dec-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    hldi.1 $e |- X = ( Base ` U ) $.
    hldi.2 $e |- G = ( +v ` U ) $.
    hldi.4 $e |- S = ( .s ` U ) $.
    $( Hilbert space scalar multiplication distributive law. $)
    hldi $p |- ( ( U e. CHil /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
                  ( A S ( B G C ) ) = ( ( A S B ) G ( A S C ) ) ) $=
      ( cnv wcel cc w3a co wceq chl nvdi hlnv sylan ) EKLAMLBGLCGLNABCFODOABDOA
      CDOFOPEQLABCDEFGHIJREST $.
      $( [15-Dec-2007] $) $( [7-Sep-2007] $)

    $( Hilbert space scalar multiplication distributive law. $)
    hldir $p |- ( ( U e. CHil /\ ( A e. CC /\ B e. CC /\ C e. X ) ) ->
                  ( ( A + B ) S C ) = ( ( A S C ) G ( B S C ) ) ) $=
      ( cnv wcel cc w3a caddc co wceq chl nvdir hlnv sylan ) EKLAMLBMLCGLNABOPC
      DPACDPBCDPFPQERLABCDEFGHIJSETUA $.
      $( [22-Dec-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    hlmul0.1 $e |- X = ( Base ` U ) $.
    hlmul0.4 $e |- S = ( .s ` U ) $.
    hlmul0.5 $e |- Z = ( 0v ` U ) $.
    $( Hilbert space scalar multiplication by zero. $)
    hlmul0 $p |- ( ( U e. CHil /\ A e. X ) -> ( 0 S A ) = Z ) $=
      ( cnv wcel cc0 co wceq chl nv0 hlnv sylan ) CIJADJKABLEMCNJABCDEFGHOCPQ
      $.
      $( [15-Dec-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    hlipf.1 $e |- X = ( Base ` U ) $.
    hlipf.7 $e |- P = ( .i ` U ) $.
    $( Mapping for Hilbert space inner product. $)
    hlipf $p |- ( U e. CHil -> P : ( X X. X ) --> CC ) $=
      ( chl wcel cnv cxp cc wf hlnv ipf syl ) BFGBHGCCIJAKBLABCDEMN $.
      $( [16-Dec-2007] $) $( [19-Nov-2007] $)

    $( Conjugate law for Hilbert space inner product. $)
    hlipcj $p |- ( ( U e. CHil /\ A e. X /\ B e. X ) ->
                  ( A P B ) = ( * ` ( B P A ) ) ) $=
      ( chl wcel w3a co ccj cfv wceq cnv ipcj hlnv syl3an1 3com23 eqcomd ) DHIZ
      AEIZBEIZJBACKLMZABCKZUAUCUBUDUENZDOIUCUBUFUABACDEFGPDQRST $.
      $( [21-Dec-2007] $) $( [8-Sep-2007] $)
  $}

  ${
    hlipdir.1 $e |- X = ( Base ` U ) $.
    hlipdir.2 $e |- G = ( +v ` U ) $.
    hlipdir.7 $e |- P = ( .i ` U ) $.
    $( Distributive law for Hilbert space inner product. $)
    hlipdir $p |- ( ( U e. CHil /\ ( A e. X /\ B e. X /\ C e. X ) ) ->
                  ( ( A G B ) P C ) = ( ( A P C ) + ( B P C ) ) ) $=
      ( cphl wcel w3a co caddc wceq chl ipdir hlph sylan ) EKLAGLBGLCGLMABFNCDN
      ACDNBCDNONPEQLABCDEFGHIJREST $.
      $( [17-Dec-2007] $) $( [8-Sep-2007] $)
  $}

  ${
    hlipass.1 $e |- X = ( Base ` U ) $.
    hlipass.4 $e |- S = ( .s ` U ) $.
    hlipass.7 $e |- P = ( .i ` U ) $.
    $( Associative law for Hilbert space inner product. $)
    hlipass $p |- ( ( U e. CHil /\ ( A e. CC /\ B e. X /\ C e. X ) ) ->
                  ( ( A S B ) P C ) = ( A x. ( B P C ) ) ) $=
      ( cphl wcel cc w3a co cmul wceq chl ipass hlph sylan ) FKLAMLBGLCGLNABEOC
      DOABCDOPOQFRLABCDEFGHIJSFTUA $.
      $( [18-Dec-2007] $) $( [8-Sep-2007] $)
  $}

  ${
    hlipgt0.1 $e |- X = ( Base ` U ) $.
    hlipgt0.5 $e |- Z = ( 0v ` U ) $.
    hlipgt0.7 $e |- P = ( .i ` U ) $.
    $( The inner product of a Hilbert space vector by itself is positive. $)
    hlipgt0 $p |- ( ( U e. CHil /\ A e. X /\  A =/= Z ) -> 0 < ( A P A ) ) $=
      ( cnv wcel wne cc0 co clt wbr chl w3a cnm cfv c2 cexp cr sqgt0t eqid
      nvcl 3adant3 wa wceq nvz biimpd necon3d 3impia sylanc ipid breqtrrd hlnv
      syl3an1 ) CIJZADJZAEKZLAABMZNOCPJURUSUTQZLACRSZSZTUAMZVANVDUBJZVDLKZLVENO
      VBVDUCURUSVFUTACVCDFVCUDZUEUFURUSUTVGURUSUGZVDLAEVIVDLUHAEUHACVCDEFGVHUIU
      JUKULUMURUSVAVEUHUTABCVCDFVHHUNUFUOCUPUQ $.
      $( [18-Dec-2007] $) $( [8-Sep-2007] $)
  $}

  ${
    $d x D $.  $d x F $.  $d x X $.
    hlcompl.1 $e |- X = ( Base ` U ) $.
    hlcompl.8 $e |- D = ( IndMet ` U ) $.
    $( Completeness of a Hilbert space. $)
    hlcompl $p |- ( ( U e. CHil /\ F e. ( Cau ` D ) ) ->
                  E. x e. X F ( ~~>m ` D ) x ) $=
      ( chl wcel cca cfv wa cv clm wbr wrex cdm cms eqid cmscvg hlcms sylan wb
      cnv hlnv imsba rexeq1d syl adantr mpbird ) CHIZDBJKIZLDAMBNKOZAEPZUMABQQZ
      PZBRIULUPUKABDUOUOSTBCGUAUBUKUNUPUCZULUKCUDIZUQCUEURUMAEUOBCEFGUFUGUHUIUJ
      $.
      $( [19-Dec-2007] $) $( [8-Sep-2007] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of complex Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    cnhl.6 $e |- U = <. <. + , x. >. , abs >. $.
    $( The set of complex numbers is a complex Hilbert space.  (Contributed by
       Steve Rodriguez, 28-Apr-2007.) $)
    cnhl $p |- U e. CHil $=
      ( chl wcel cbn cphl ishl cnbn cnph mpbir2an ) ACDAEDAFDAGABHABIJ $.
      $( [22-Feb-2008] $) $( [28-Apr-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    ssphl.h $e |- H = ( SubSp ` U ) $.
    $( A Banach subspace of an inner product space is a Hilbert space. $)
    ssphl $p |- ( ( U e. CPreHil /\ W e. H /\ W e. CBan ) -> W e. CHil ) $=
      ( cphl wcel cbn w3a wa chl 3simp3 sspph 3adant3 jca ishl sylibr ) AEFZCBF
      ZCGFZHZSCEFZICJFTSUAQRSKQRUASABCDLMNCOP $.
      $( [18-Apr-2008] $) $( [11-Apr-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Self-adjoint operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Hellinger-Toeplitz Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    htthlem1.1 $e |- X = ( Base ` U ) $.
    htthlem1.l $e |- L = ( U LnOp U ) $.
    htthlem1.u $e |- U e. CHil $.
    htthlem1.t $e |- T e. L $.
    $( Lemma for ~ htthi .  Closure of values of an operator ` T ` on an
       auxiliary sequence of vectors ` f ` . $)
    htthlem1 $p |- ( ( f : NN --> X /\ k e. NN ) ->
            ( T ` ( f ` k ) ) e. X ) $=
      ( cn cv wf wcel wa cfv ffvelrn cnv hlnvi lnof mp3an ffvelrni syl ) KFCLZM
      DLZKNOUEUDPZFNUFAPFNKFUEUDQFFUFABRNZUGAENFFAMBISZUHJABEBFFGGHTUAUBUC $.
      $( [25-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    $d x y A $.  $d x y P $.  $d y Q $.  $d x y T $.  $d x y X $.
    htthlem2.a $e |- ( ( x e. X /\ y e. X ) ->
                  ( ( T ` x ) P y ) = ( x P ( T ` y ) ) ) $.
    $( Lemma for ~ htthi .  Elevate set variables to class variables in the
       self-adjoint hypothesis. $)
    htthlem2 $p |- ( ( A e. X /\ Q e. X ) ->
                  ( ( T ` A ) P Q ) = ( A P ( T ` Q ) ) ) $=
      ( cv cfv co wceq fveq2 opreq1d opreq1 eqeq12d opreq2 opreq2d vtocl2ga )
      AIZFJZBIZDKZTUBFJZDKZLCFJZUBDKZCUDDKZLUFEDKZCEFJZDKZLABCEGGTCLZUCUGUEUHUL
      UAUFUBDTCFMNTCUDDOPUBELZUGUIUHUKUBEUFDQUMUDUJCDUBEFMRPHS $.
      $( [25-Jan-2008] $) $( [12-Jan-2008] $)
  $}

  ${
    $d c  u v x y A $.  $d c d k z C $.  $d c d k z D $.  $d c d k z F $.
    $d c f k z N $.  $d d z O $.  $d m u v w x y P $.  $d c k u v x y Q $.
    $d c f k m u v w x y z T $.  $d c d k u v z U $.
    $d c d f k m u v w x y z X $.  $d d f k m u v w x y z $.
    htthlem3.1 $e |- X = ( Base ` U ) $.
    htthlem3.p $e |- P = ( .i ` U ) $.
    htthlem3.l $e |- L = ( U LnOp U ) $.
    htthlem3.b $e |- B = ( U BLnOp U ) $.
    htthlem3.u $e |- U e. CHil $.
    htthlem3.t $e |- T e. L $.
    htthlem3.a $e |- ( ( x e. X /\ y e. X ) ->
                  ( ( T ` x ) P y ) = ( x P ( T ` y ) ) ) $.
    htthlem3.f $e |- F = { <. m , w >. | ( m e. NN /\ w = { <. v , u >. |
        ( v e. X /\ u = ( ( T ` v ) P ( f ` m ) ) ) } ) } $.
    htthlem3.c $e |- C = <. <. + , x. >. , abs >. $.
    htthlem3.d $e |- D = ( U BLnOp C ) $.
    htthlem3.n $e |- N = ( norm ` U ) $.
    htthlem3.o $e |- O = ( U normOp C ) $.
    $( Lemma for ~ htthi .  Construct an auxiliary sequence of functionals
       ` F `` k ` from inner products of the given function ` T ` and
       auxiliary vector sequence ` f ` . $)
    htthlem3 $p |- ( k e. NN -> ( F ` k ) = { <. v , u >. | ( v e. X /\
        u = ( ( T ` v ) P ( f ` k ) ) ) } ) $=
      ( cv wcel cfv co wceq wa copab cn fveq2 opreq2d eqeq2d anbi2d opabbidv
      hlex opabex2 fvopab4 ) NCMULZDULZSUMZEULZVIJUNZNULZLULZUNZIUOZUPZUQZDEURV
      JVKVLVHVNUNZIUOZUPZUQZDEURUSOVMVHUPZVRWBDEWCVQWAVJWCVPVTVKWCVOVSVLIVMVHVN
      UTVAVBVCVDUGDESVTKSTVEVFVG $.
      $( [25-Jan-2008] $) $( [11-Jan-2008] $)

    $( Lemma for ~ htthi .  Value of a functional ` F `` k ` . $)
    htthlem4 $p |- ( ( A e. X /\ k e. NN ) -> ( ( F ` k ) ` A ) =
          ( ( T ` A ) P ( f ` k ) ) ) $=
      ( cv cn wcel cfv co wceq wa copab htthlem3 fveq1d fveq2 opreq1d eqid
      oprex fvopab4 sylan9eqr ) NUMZUNUOZFTUOFVIPUPZUPFDUMZTUOEUMVLKUPZVIMUMUPZ
      JUQZURUSDEUTZUPFKUPZVNJUQZVJFVKVPABCDEGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJU
      KULVAVBDEFVOVRTVPVLFURVMVQVNJVLFKVCVDVPVEVQVNJVFVGVH $.
      $( [25-Jan-2008] $) $( [12-Jan-2008] $)

    $( Lemma for ~ htthi .  Each ` F `` k ` is a bounded linear functional
       (i.e. a bounded linear operator from the vector space to ` CC ` ). $)
    htthlem5 $p |- ( ( f : NN --> X /\ k e. NN ) -> ( F ` k ) e. D ) $=
      ( cn cv wf wcel wa cfv co wceq copab htthlem3 adantl htthlem2 ancoms
      ffvelrn sylan eqeq2d pm5.32da opabbidv eqtrd htthlem1 chl cphl hlph
      ax-mp eqid ipblnfi syl eqeltrd ) ULSLUMZUNZMUMZULUOZUPZWBOUQZDUMZSUOZEUMZ
      WFWBVTUQZJUQZIURZUSZUPZDEUTZHWDWEWGWHWFJUQWIIURZUSZUPZDEUTZWNWCWEWRUSWAAB
      CDEFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVAVBWDWQWMDEWDWGWPWLWDWGUPWOWKWHW
      ISUOZWGWOWKUSZWDWGWSWTABWFIWIJSUFVCVDULSWBVTVEVFVGVHVIVJWDWJSUOWNHUOJKLMP
      STUBUDUEVKDEWJHGIKWNSTUAKVLUOKVMUOUDKVNVOUHUIWNVPVQVRVS $.
      $( [26-Jan-2008] $) $( [13-Jan-2008] $)

    $( Lemma for ~ htthi .  An upper bound of all ` F `` k ` at a given vector
       ` A ` , when the norms of auxiliary vector sequence ` f ` are all 1 or
       less. $)
    htthlem6 $p |- ( ( ( A e. X /\ ( f : NN --> X /\ k e. NN ) ) /\ ( N ` (
    f ` k ) ) <_ 1 ) -> ( abs ` ( ( F ` k ) ` A ) ) <_ ( N ` ( T ` A ) ) ) $=
      ( wcel cn cv wf wa cfv c1 cle wbr cabs co wceq htthlem4 fveq2d adantrl
      adantr cmul cr cc cnv hlnvi ipcl mp3an1 absclt syl axmulrcl nvcl mpan
      syl2an ad2antrr chl cphl hlph ax-mp sii cc0 1re lemul2it mp3anl2 nvge0
      jca anim12i ancoms sylan recnd ax1id breqtrd letrd lnof mp3an ffvelrni
      ffvelrn eqbrtrd ) FTUMZUNTMUOZUPZNUOZUNUMZUQZUQZXIXGURZRURZUSUTVAZUQFXIPU
      RURZVBURZFKURZXMJVCZVBURZXRRURZUTXLXQXTVDZXOXFXJYBXHXFXJUQXPXSVBABCDEFGHI
      JKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVEVFVGVHXRTUMZXMTUMZUQZXOXTYAUTVAXLYEX
      OUQZXTYAXNVIVCZYAYEXTVJUMZXOYEXSVKUMZYHLVLUMZYCYDYILUEVMZXRXMJLTUAUBVNVOX
      SVPVQVHYEYGVJUMZXOYAVJUMZXNVJUMZYLYCYDYAXNVRYJYCYMYKXRLRTUAUKVSVTZYJYDYNY
      KXMLRTUAUKVSVTZWAVHYCYMYDXOYOWBYEXTYGUTVAXOXRXMJLRTUAUKUBLWCUMLWDUMUELWEW
      FWGVHYFYGYAUSVIVCZYAUTYNYMWHYAUTVAZUQZUQZXOYGYQUTVAZYEYNUSVJUMYSXOUUAWIXN
      USYAWJWKYDYCYTYDYNYCYSYPYCYMYRYOYJYCYRYKXRLRTUAUKWLVTWMWNWOWPYCYQYAVDZYDX
      OYCYAVKUMUUBYCYAYOWQYAWRVQWBWSWTXFYCXKYDTTFKYJYJKQUMTTKUPYKYKUFKLQLTTUAUA
      UCXAXBXCUNTXIXGXDWNWPXE $.
      $( [27-Jan-2008] $) $( [16-Jan-2008] $)

    $( Lemma for ~ htthi .  Convert upper bound in ~ htthlem6 to an existence
       condition. $)
    htthlem7 $p |- ( ( ( Q e. X /\ f : NN --> X ) /\ A. k e. NN ( N ` ( f `
    k ) ) <_ 1 ) -> E. c e. RR A. k e. NN ( abs ` ( ( F ` k ) ` Q ) ) <_ c ) $=
      ( cfv cr wcel cv cabs cle wbr cn wral wrex wf wa c1 wceq breq2 ralbidv
      rcla4ev cnv hlnvi lnof mp3an ffvelrni nvcl mpan syl ad2antrr wi htthlem6
      ex anassrs r19.20dva imp sylanc ) JKUNZRUNZUOUPZJNUQZPUNUNURUNZWHUSUTZNVA
      VBZWKUAUQZUSUTZNVAVBZUAUOVCJTUPZVATMUQZVDZVEZWJWRUNRUNVFUSUTZNVAVBZVEWPWM
      UAWHUOWNWHVGWOWLNVAWNWHWKUSVHVIVJWQWIWSXBWQWGTUPZWITTJKLVKUPZXDKQUPTTKVDL
      UFVLZXEUGKLQLTTUBUBUDVMVNVOXDXCWIXEWGLRTUBULVPVQVRVSWTXBWMWTXAWLNVAWQWSWJ
      VAUPZXAWLVTWQWSXFVEVEXAWLABCDEJFGHIKLMNOPQRSTUBUCUDUEUFUGUHUIUJUKULUMWAWB
      WCWDWEWF $.
      $( [27-Jan-2008] $) $( [16-Jan-2008] $)

    $( Lemma for ~ htthi . $)
    htthlem8 $p |- ( ( ( ( F ` k ) e. D /\ d e. RR /\ A e. X ) /\ ( O ` ( F
       ` k ) ) <_ d ) -> ( abs ` ( ( F ` k ) ` A ) ) <_ ( d x. ( N ` A ) ) ) $=
      ( cv cfv wcel cr w3a cle wbr wa cabs cmul co cc wf ffvelrn cnv hlnvi
      cnnv cnnvba blof mp3an12 sylan absclt syl 3adant2 adantr axmulrcl
      nmblore nvcl mpan syl2an sylan2 3adant1 cnnvnm nmblolbi cc0 lemul1it id
      nvge0 jca syl3anl letrd ) NUNPUOZIUPZUAUNZUQUPZFTUPZURZWOSUOZWQUSUTZVAFWO
      UOZVBUOZXAFRUOZVCVDZWQXEVCVDZWTXDUQUPZXBWPWSXHWRWPWSVAXCVEUPZXHTVEWOVFZWS
      XIWPTVEFWOVGLVHUPZHVHUPZWPXJLUFVIZHUJVJZIWOLHTVEUBHUJVKZUKVLVMVNXCVOVPVQV
      RWTXFUQUPZXBWPWSXPWRXAUQUPZXEUQUPZXPWPWSXAXEVSXKXLWPXQXMXNIWOLSHTVEUBXOUM
      UKVTVMZXKWSXRXMFLRTUBULWAWBZWCVQVRWTXGUQUPZXBWRWSYAWPWRXRYAWSWQXEVSXTWDWE
      VRWTXDXFUSUTZXBWPWSYBWRFIWOLRVBSHTUBULHUJWFUMUKXMXNWGVQVRXQWRXRWHXEUSUTZV
      AXBXFXGUSUTWPWRWSXAWQXEWIXSWRWJWSXRYCXTXKWSYCXMFLRTUBULWKWBWLWMWN $.
      $( [26-Jan-2008] $) $( [17-Jan-2008] $)

    $( Lemma for ~ htthi . $)
    htthlem9 $p |- ( ( f : NN --> X /\ k e. NN ) -> ( ( N ` ( T ` ( f `
           k ) ) ) ^ 2 ) = ( abs ` ( ( F ` k ) ` ( T ` ( f ` k ) ) ) ) ) $=
      ( cn cv wf wcel wa cfv c2 cexp co cabs wceq htthlem1 cr cc0 cle wbr
      absidt cnv hlnvi nvcl mpan resqclt syl sqge0t sylanc htthlem4 adantrl
      htthlem2 ffvelrn sylan2 eqtrd mpancom ipid eqtr2d fveq2d eqtr3d ) ULSLUMZ
      UNZMUMZULUOZUPZWJWHUQZJUQZQUQZURUSUTZVAUQZWPWNWJOUQUQZVAUQWLWNSUOZWQWPVBZ
      JKLMPSTUBUDUEVCZWPVDUOZVEWPVFVGZWTWSWPVHWSWOVDUOZXBKVIUOZWSXDKUDVJZWNKQST
      UJVKVLZWOVMVNWSXDXCXGWOVOVNVPVNWLWPWRVAWLWRWNWNIUTZWPWSWLWRXHVBXAWSWLUPWR
      WNJUQWMIUTZXHWSWKWRXIVBWIABCDEWNFGHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKVQVR
      WSWMSUOXIXHVBWLABWNIWMJSUFVSULSWJWHVTWAWBWCWLWSXHWPVBZXAXEWSXJXFWNIKQSTUJ
      UAWDVLVNWEWFWG $.
      $( [26-Jan-2008] $) $( [18-Jan-2008] $)

    $( Look at reworking triple conj in htthlem8(?) to shorten this? $)
    $( Lemma for ~ htthi . $)
    htthlem10 $p |- ( ( ( f : NN --> X /\ k e. NN ) /\ ( d e. RR /\
        ( O ` ( F ` k ) ) <_ d ) ) -> ( N ` ( T ` ( f ` k ) ) ) <_ d ) $=
      ( cn cv wf wcel wa cr cfv cle wbr c2 cexp co cmul cabs wceq htthlem9
      adantr w3a htthlem8 htthlem5 pm3.27 htthlem1 3jca sylan anasss eqbrtrd
      cc0 wb sqlecant cnv hlnvi nvcl mpan syl nvge0 simprl cc cnnv cnnvba blof
      mp3an12 nmoge0 wi 0re letrt mp3an1 nmblore mpand imp syl2anc mpbid ) UMSL
      UNZUOMUNZUMUPUQZTUNZURUPZXEOUSZRUSZXGUTVAZUQZUQZXEXDUSJUSZQUSZVBVCVDZXGXO
      VEVDZUTVAZXOXGUTVAZXMXPXNXIUSVFUSZXQUTXFXPXTVGXLABCDEFGHIJKLMNOPQRSUAUBUC
      UDUEUFUGUHUIUJUKULVHVIXFXHXKXTXQUTVAZXIHUPZXHXNSUPZVJXKYAXFXHUQZABCDEXNFG
      HIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVKYDYBXHYCXFYBXHABCDEFGHIJKLMNOPQRSU
      AUBUCUDUEUFUGUHUIUJUKULVLZVIXFXHVMXFYCXHJKLMPSUAUCUEUFVNZVIVOVPVQVRXOURUP
      ZVSXOUTVAZXHVSXGUTVAZXRXSVTXMXOXGWAXFYGXLXFYCYGYFKWBUPZYCYGKUEWCZXNKQSUAU
      KWDWEWFVIXFYHXLXFYCYHYFYJYCYHYKXNKQSUAUKWGWEWFVIXFXHXKWHYBXLYIXFYBXHXKYIY
      BXHUQZXKYIYLVSXJUTVAZXKYIYBYMXHYBSWIXIUOZYMYJGWBUPZYBYNYKGUIWJZHXIKGSWIUA
      GUIWKZUJWLWMYJYOYNYMYKYPXIKRGSWIUAYQULWNWMWFVIXJURUPZXHYMXKUQYIWOZYBVSURU
      PYRXHYSWPVSXJXGWQWRYJYOYBYRYKYPHXIKRGSWIUAYQULUJWSWMVPWTXAVQYEVPXBXC $.
      $( [26-Jan-2008] $) $( [18-Jan-2008] $)

    $( Lemma for ~ htthi .  Use the Uniform Boundedness Theorem ~ ubthi to show
       that the functional ` F `` k ` is bounded. $)
    htthlem11 $p |- ( ( f : NN --> X /\ A. k e. NN ( N ` ( f ` k ) ) <_ 1 )
          -> E. d e. RR A. k e. NN ( O ` ( F ` k ) ) <_ d ) $=
      ( vz vc cn wf cv cfv cabs cle wbr wral cr wrex c1 wa cnnvnm chl wcel cbn
      hlbn ax-mp cnnv ubthi wfn co wceq copab cba cvv fvex eqeltr opabex2
      fnopab2 a1i htthlem5 r19.21aiva jca ffnfv sylibr adantr htthlem7 ancom1s
      an1rs sylanc ) UOHOUPZUMUQZMUQZOURZURUSURUNUQUTVAMUOVBUNVCVDZUMSVBWSRURTU
      QUTVAMUOVBTVCVDUOSLUQZUPZWRXAURQURVEUTVAMUOVBZVFZUMHOKMUSRGSUNTUAGUIVGULU
      JKVHVIKVJVIUEKVKVLGUIVMVNXBWPXCXBOUOVOZWSHVIZMUOVBZVFWPXBXEXGXEXBNCUODUQZ
      SVIEUQXHJURNUQXAURIVPZVQVFDEVRODESXISKVSURVTUAKVSWAWBWCUHWDWEXBXFMUOABCDE
      FGHIJKLMNOPQRSUAUBUCUDUEUFUGUHUIUJUKULWFWGWHMUOHOWIWJWKXDWTUMSXBWQSVIZXCW
      TXJXBXCWTABCDEFGHIWQJKLMNOPQRSUNUAUBUCUDUEUFUGUHUIUJUKULWLWMWNWGWO $.
      $( [27-Jan-2008] $) $( [16-Jan-2008] $)

    $( Lemma for ~ htthi .  Linear operator ` T ` is bounded. $)
    htthlem12 $p |- T e. B $=
      ( vk vz wcel cnmo co cfv cr cnv wa wb hlnvi eqid isblo2 mp2an wf cn cv
      c1 cle wbr wral wrex wi wal lnof mp3an htthlem11 htthlem10 exp32 imp
      an1rs r19.20dva r19.22dva adantr mpd htthlem1 nvcl mpan syl anim1i ex
      r19.22sdv bndndx ax-gen pm3.2i nmobndseqi ax-mp mpbir2an ) JFUMZJOUMZJKKU
      NUOZUPUQUMZKURUMZXCWSWTXBUSUTKUCVAZXDFJKOXAKXAVBZUAUBVCVDUDRRJVEZVFRLVGZV
      EZUKVGZXGUPZPUPVHVIVJUKVFVKZUSZXJJUPZPUPZXIVIVJUKVFVLZVMZLVNZUSXBXFXQXCXC
      WTXFXDXDUDJKOKRRSSUAVOVPXPLXLXNUQUMZXNULVGZVIVJZUSZUKVFVKZULUQVLZXOXLXTUK
      VFVKZULUQVLZYCXLXINUPQUPXSVIVJZUKVFVKZULUQVLZYEABCDEFGHIJKLUKMNOPQRULSTUA
      UBUCUDUEUFUGUHUIUJVQXHYHYEVMXKXHYGYDULUQXHXSUQUMZUSYFXTUKVFXHXIVFUMZYIYFX
      TVMZXHYJUSZYIYKYLYIYFXTABCDEFGHIJKLUKMNOPQRULSTUAUBUCUDUEUFUGUHUIUJVRVSVT
      WAWBWCWDWEXHYEYCVMXKXHYDYBULUQXHXTYAUKVFYLXTYAYLXRXTYLXMRUMZXRJKLUKORSUAU
      CUDWFXCYMXRXDXMKPRSUIWGWHWIWJWKWBWLWDWEULXNUKWMWIWNWOJKLUKPPXAKRRSSUIUIXE
      XDXDWPWQWR $.
      $( [27-Jan-2008] $) $( [18-Jan-2008] $)
  $}

  ${
    $d m u v w x y P $.  $d f m u v w x y T $.  $d f u v U $.
    $d f m u v w x y X $.
    htthi.1 $e |- X = ( Base ` U ) $.
    htthi.p $e |- P = ( .i ` U ) $.
    htthi.l $e |- L = ( U LnOp U ) $.
    htthi.b $e |- B = ( U BLnOp U ) $.
    htthi.u $e |- U e. CHil $.
    htthi.t $e |- T e. L $.
    htthi.a $e |- ( ( x e. X /\ y e. X ) ->
                  ( ( T ` x ) P y ) = ( x P ( T ` y ) ) ) $.
    $( Hellinger-Toeplitz Theorem:  any self-adjoint linear operator defined on
       all of Hilbert space is bounded.  Theorem 10.1-1 of [Kreyszig] p. 525.
       Discovered by E. Hellinger and O. Toeplitz in 1910, "it aroused both
       admiration and puzzlement since the theorem establishes a relation
       between properties of two different kinds, namely, the properties of
       being defined everywhere and being bounded." $)
    htthi $p |- T e. B $=
      ( vw vv vu vf vm caddc cmul cop cabs cblo co cv cn wcel cfv wceq wa
      copab cnm cnmo eqid htthlem12 ) ABPQRCUAUBUCUDUCZFURUEUFZDEFSTTUGZUHUIPUG
      QUGZHUIRUGVAEUJUTSUGUJDUFUKULQRUMUKULTPUMZGFUNUJZFURUOUFZHIJKLMNOVBUPURUP
      USUPVCUPVDUPUQ $.
      $( [27-Jan-2008] $) $( [11-Jan-2008] $)
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                         Posets and lattices
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Definition and basic properties
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Poset $.
  $c supw $.
  $c infw $.
  $c join $.
  $c meet $.
  $c Lat $.

  $( Extend class notation with the class of all posets. $)
  cps $a class Poset $.

  $( Extend class notation with the supremum of an ordered set. $)
  cspw $a class supw $.

  $( Extend class notation with the supremum of an ordered set. $)
  cinf $a class infw $.

  $( Extend class notation with the join of two ordered sets. $)
  cjn $a class join $.

  $( Extend class notation with the meet of two ordered sets. $)
  cmee $a class meet $.

  $( Extend class notation with the class of all lattices. $)
  cla $a class Lat $.

  $( Define the class of all posets (partially ordered sets) with weak
     ordering (e.g. "less than or equal to" instead of "less than").  A poset
     is a relation which is transitive, reflexive, and antisymmetric. $)
  df-ps $a |- Poset = { r | ( Rel r /\ ( r o. r ) (_ r /\
              ( r i^i `' r ) = ( I |` U. U. r ) ) } $.

  ${
    $d r x y z w v u $.
    $( Define suprema under weak orderings.  Unlike ~ df-sup for
       strong orderings, ` supw ` is evaluates to a member of the field of
       ` R ` iff the supremum exists.  Read ` R supw A ` as the ` R ` -supremum
       of set ` A ` . $)
    df-spw $a |- supw = { <. <. r , x >. , y >. | E. z ( z = { w e. U. U. r |
       ( A. v e. x v r w /\ A. v e. U. U. r ( A. u e. x u r v -> w r v ) ) } /\
      y = if ( z =/= (/) , U. z , P~ U. U. U. r ) ) } $.

    $( Define the class of all infima of a weak ordering relation. $)
    df-nfw $a |- infw = { <. <. r , x >. , y >. | y = ( `' r supw x ) } $.

    $( Define the class of all join operations on week orderings. $)
    df-jn $a |- join = { <. r , w >. | w = { <. <. x , y >. , z >. |
        ( ( x e. U. U. r /\ y e. U. U. r ) /\
          z = ( r supw { x , y } ) ) } } $.

    $( Define the class of all meet operations on week orderings. $)
    df-mee $a |- meet = { <. r , w >. | w = { <. <. x , y >. , z >. |
        ( ( x e. U. U. r /\ y e. U. U. r ) /\
          z = ( r infw { x , y } ) ) } } $.

    $( Define the class of all lattices, which are posets in which every two
       elements have upper and lower bounds. $)
    df-la $a |- Lat = { r e. Poset | A. x e. dom r A. y e. dom r
        ( ( r supw { x , y } ) e. dom r /\ ( r infw { x , y } ) e. dom r ) } $.
  $}

  ${
    $d r x y R $.
    $( The predicate "is a poset" i.e. a transitive, reflexive,
       antisymmetric relation. $)
    isps $p |- ( R e. A -> ( R e. Poset <-> ( Rel R /\ ( R o. R ) (_ R /\
                ( R i^i `' R ) = ( I |` U. U. R ) ) ) ) $=
      ( vr cv wrel ccom wss ccnv cin cid cuni cres wceq w3a cps releq coeq1
      coeq2 eqtrd id sseq12d cnveq ineq12d unieq unieqd reseq2 syl eqeq12d
      3anbi123d df-ps elab2g ) CDZEZULULFZULGZULULHZIZJULKZKZLZMZNBEZBBFZBGZBBH
      ZIZJBKZKZLZMZNCBOAULBMZUMVBUOVDVAVJULBPVKUNVCULBVKUNBULFVCULBULQULBBRSVKT
      ZUAVKUQVFUTVIVKULBUPVEVLULBUBUCVKUSVHMUTVIMVKURVGULBUDUEUSVHJUFUGUHUICUJU
      K $.
      $( [15-May-2008] $) $( [11-May-2008] $)
  $}

  $( A poset is a relation. $)
  psrel $p |- ( A e. Poset -> Rel A ) $=
    ( cps wcel wrel ccom wss ccnv cin cid cuni cres wceq w3a isps ibi 3simp1
    syl ) ABCZADZAAEAFZAAGHIAJJKLZMZSRUBBANOSTUAPQ $.
    $( [16-May-2008] $) $( [12-May-2008] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.
    $( Lemma for ~ psref and others. $)
    pslem $p |- ( R e. Poset -> ( ( A e. S /\ B e. T /\ C e. U )
       -> ( ( ( A R B /\ B R C ) -> A R C ) /\ ( ( A e. U. U. R -> A R A ) /\ (
      ( A R B /\ B R A ) -> A = B ) ) ) ) ) $=
      ( vx vy vz cps wcel wrel ccom wss ccnv cin cid cuni cres wceq w3a wbr wa
      wi isps ibi cv wal wral wb breq12 3adant3 3adant1 anbi12d 3adant2
      imbi12d cla43gv anidms rcla4cv a1i ancoms eqeq12 cla42gv anim12d com12
      cotr asymref2 syl2anb syl ) DKLZDMZDDNDOZDDPQRDSSZTUAZUBZAELZBFLZCGLZUBZA
      BDUCZBCDUCZUDZACDUCZUEZAVNLAADUCZUEZWABADUCZUDZABUAZUEZUDZUDZUEZVKVPKDUFU
      GVMVOWNVLHUHZIUHZDUCZWPJUHZDUCZUDZWOWRDUCZUEZJUIIUIHUIZWOWODUCZHVNUJZWQWP
      WODUCZUDZWOWPUAZUEZIUIHUIZUDZWNVMVOVTXCXKUDWMVTXCWEXKWLXBWEHIJABCEFGWOAUA
      ZWPBUAZWRCUAZUBZWTWCXAWDXOWQWAWSWBXLXMWQWAUKXNWOAWPBDULZUMXMXNWSWBUKXLWPB
      WRCDULUNUOXLXNXAWDUKXMWOAWRCDULUPUQURVQVRXKWLUEVSVQVRUDZXEWGXJWKXEWGUEXQX
      DWFHAVNXLXDWFUKWOAWOADULUSUTVAXIWKHIABEFXLXMUDZXGWIXHWJXRWQWAXFWHXPXMXLXF
      WHUKWPBWOADULVBUOWOAWPBVCUQVDVEUMVEVFHIJDVGHIDVHVIUNVJ $.
      $( [15-May-2008] $) $( [12-May-2008] $)

    $( The domain and range of a poset equal its field. $)
    psdmrn $p |- ( R e. Poset -> ( dom R = U. U. R /\ ran R = U. U. R ) ) $=
      ( vx cps wcel cdm cuni wceq crn wss cun ssun1 dmrnssfld sstri a1i cv wbr
      wi w3a wa pslem simprl syl6 3expd pm2.43d visset breldm ssrdv eqssd
      ssun2 brelrn jca ) ACDZAEZAFFZGAHZUNGULUMUNUMUNIULUMUMUOJZUNUMUOKALZMNULB
      UNUMULBOZUNDZURURAPZURUMDULUSUTULUSUSUTQZULUSUSVAQULUSUSUSVAULUSUSUSRUTUT
      SZUTQZVAVBURURGQZSSVAURURURAUNUNUNTVCVAVDUAUBUCUDUDUDZURURABUEZUFUBUGUHUL
      UOUNUOUNIULUOUPUNUOUMUIUQMNULBUNUOULUSUTURUODVEURURAVFVFUJUBUGUHUK $.
      $( [19-May-2008] $) $( [13-May-2008] $)
  $}

  ${
    psref.1 $e |- X = dom R $.
    $( A poset is reflexive. $)
    psref $p |- ( ( R e. Poset /\ A e. X ) -> A R A ) $=
      ( cps wcel wbr cuni cdm wceq crn psdmrn pm3.26d syl5eq eleq2d wi w3a wa
      pslem simprl syl6 3expd pm2.43d sylbid imp ) BEFZACFZAABGZUFUGABHHZFZUHUF
      CUIAUFBIZUICUFUKUIJBKUIJBLMDNOUFUJUHUFUJUJUHPZUFUJUJULPUFUJUJUJULUFUJUJUJ
      QUHUHRZUHPZULUMAAJPZRRULAAABUIUIUISUNULUOTUAUBUCUCUCUDUE $.
      $( [21-May-2008] $) $( [13-May-2008] $)

    $( The range of a poset equals it domain. $)
    psrn $p |- ( R e. Poset -> X = ran R ) $=
      ( cps wcel cdm crn cuni wceq wa psdmrn eqtr3t syl syl5eq ) ADEZAFZAGZBOPA
      HHZIQRIJPQIAKPQRLMCN $.
      $( [30-Jul-2008] $) $( [7-Jul-2008] $)
  $}

  $( A poset is antisymmetric. $)
  psasym $p |- ( ( R e. Poset /\ A R B /\ B R A ) -> A = B ) $=
    ( cps wcel cvv w3a wbr wa wceq wi cuni pslem simprr syl6 3imp 3simp1 wrel
    brrelex 3adant3 3adant2 3jca psrel syl3an1 3simpc syl3anc ) CDEZAFEZBFEZUIG
    ZABCHZBACHZIZABJZUGUKULGUGUJUMUNUGUJUKBBCHIUKKZACLLEAACHKZUMUNKZIIUQABBCFFF
    MUOUPUQNOPUGUKULQCRZUKULUJUGURUKULGUHUIUIURUKUHULABCSTURULUIUKBACSUAZUSUBCU
    CUDUGUKULUEUF $.
    $( [16-May-2008] $) $( [12-May-2008] $)

  $( A poset is transitive. $)
  pstr $p |- ( ( R e. Poset /\ A R B /\ B R C ) -> A R C ) $=
    ( cps wcel wbr w3a cvv wa wi cuni wceq pslem pm3.26 syl6 3imp 3simp1
    adantr wrel brrelex 3adant3 3adant2 pm3.27 3jca psrel syl3anl1 3simpc
    syl3anc wn cdm sylan breldmg sylancom eqid psref syldan wb brprc adantl
    mpbird pm2.61dan ) DEFZABDGZBCDGZHZCIFZACDGZVCAIFZBIFZVGHZVDVEJZVHVFVGJVCVK
    VLVHVCVKVLVHKZADLLFAADGZKVDBADGJABMKJZJVMABCDIIINVMVOOPQVFVCVGVCVDVERSDTZVD
    VEVGVKVCVPVDVEHZVGJVIVJVGVQVIVGVPVDVIVEABDUAZUBSVQVJVGVPVEVJVDBCDUAUCSVQVGU
    DUEDUFZUGVFVLVGVCVDVEUHSUIVFVGUJZJVHVNVFVNVTVCVDVNVEVCVDADUKZFZVNVCVDVIWBVP
    VDVIVCVRVSULABIDUMUNADWAWAUOUPUQUBSVTVHVNURVFACDUSUTVAVB $.
    $( [18-Jun-2008] $) $( [12-May-2008] $)

  ${
    $d r u v w x y z A $.  $d r u v w x y z R $.  $d r u v w x y X $.
    $d r u v w Z $.
    spwval2.1 $e |- X = U. U. R $.
    spwval2.2 $e |- Z = { x e. X |
       ( A. y e. A y R x /\ A. y e. X ( A. z e. A z R y -> x R y ) ) } $.
    $( Value of supremum under a weak ordering.  Read ` R supw A ` as "the
       ` R ` -supremum of ` A ` ."   ` U. U. R ` is the field of a relation
       ` R ` by ~ relfld .  Unlike ~ df-sup for strong orderings, the supremum
       exists iff ` R supw A ` belongs to the field. $)
    spwval2 $p |- ( ( R e. U /\ A e. W )
            -> ( R supw A ) = if ( Z =/= (/) , U. Z , P~ U. X ) ) $=
      ( vu vr vw vv wcel c0 wne cuni cpw cif cvv cspw co wceq ifcl ancoms
      uniexg syl syl5eqel pwexg cv wbr wral wi wa crab rabexg sylanc adantr
      w3a eqid wex wb unieq ifeq1d neeq1 ifbid eqtrd eqeq2d ceqsexgv 3ad2ant1
      unieqd rabeq breq ralbidv imbi12d raleq12d anbi12d rabbisdv pweq ifeq2d
      exbidv raleq1 imbi1d anbi1d eqeq1 anbi2d wmo wal moeq ax-gen moexexv
      mp2an a1i copab2 df-spw visset pm3.2i biantrur oprabbii eqtr oprabvalig
      elisset id syl3an ax-mp anbi2i rabbii 3eqtr eqeq2i unieqi ifeq2 anbi12i
      exbii syl5ib sylbird mpi mpd3an3 ) EFPZDGPZIQRZISZHSZTZUAZUBPZEDUCUDYFUEZ
      XTYGYAYEUBPZYCUBPZYGXTYJYIYGYBYCYEUBUFUGXTYDUBPZYIXTHUBPZYKXTESZSZUBHXTYM
      UBPYNUBPEFUHYMUBUHUIJUJZHUBUHUIYDUBUKUIXTIUBPZYJXTBULZAULZEUMZBDUNZCULZYQ
      EUMZCDUNZYRYQEUMZUOZBHUNZUPZAHUQZUBIXTYLUUHUBPYOUUGAHUBURUIKUJZIUBUHUIUSU
      TXTYAYGVAZYFYFUEZYHYFVBUUJUUKLULZIUEZYFUULQRZUULSZYEUAZUEZUPZLVCZYHXTYAUU
      SUUKVDZYGXTYPUUTUUIUUQUUKLIUBUUMUUPYFYFUUMUUPUUNYCYEUAYFUUMUUNUUOYCYEUULI
      VEVFUUMUUNYBYCYEUULIQVGVHVIVJVKUIVLUUJUULYTUUEBYNUNZUPZAYNUQZUEZYFUUNUUOY
      NSZTZUAZUEZUPZLVCZYHUUSEUBPDUBPYGUVJYHUOXTYAYGUULYQYRMULZUMZBNULZUNZUUAYQ
      UVKUMZCUVMUNZYRYQUVKUMZUOZBUVKSZSZUNZUPZAUVTUQZUEZOULZUUNUUOUVTSZTZUAZUEZ
      UPZLVCZUULYSBUVMUNZUUBCUVMUNZUUDUOZBYNUNZUPZAYNUQZUEZUWEUVGUEZUPZLVCUVDUW
      SUPZLVCUVJMNOEDYFUBUBUBUCUVKEUEZUWJUWTLUXBUWDUWRUWIUWSUXBUWCUWQUULUXBUWCU
      WBAYNUQZUWQUXBUVTYNUEUWCUXCUEUXBUVSYMUVKEVEVMZUWBAUVTYNVNUIUXBUWBUWPAYNUX
      BUVNUWLUWAUWOUXBUVLYSBUVMYQYRUVKEVOVPUXBUVRUWNBUVTYNUXDUXBUVPUWMUVQUUDUXB
      UVOUUBCUVMUUAYQUVKEVOVPYRYQUVKEVOVQVRVSVTVIVJUXBUWHUVGUWEUXBUUNUWGUVFUUOU
      XBUWFUVEUEUWGUVFUEUXBUVTYNUXDVMUWFUVEWAUIWBVJVSWCUVMDUEZUWTUXALUXEUWRUVDU
      WSUXEUWQUVCUULUXEUWPUVBAYNUXEUWLYTUWOUVAYSBUVMDWDUXEUWNUUEBYNUXEUWMUUCUUD
      UUBCUVMDWDWEVPVSVTVJWFWCUWEYFUEZUXAUVILUXFUWSUVHUVDUWEYFUVGWGWHWCUWKOWIZU
      VKUBPZUVMUBPZUPZUWDLWIUWIOWIZLWJUXGLUWCWKUXKLOUWHWKWLUWDUWILOWMWNWOUCUWKM
      NOWPUXJUWKUPZMNOWPNOLABCMWQUWKUXLMNOUXJUWKUXHUXIMWRNWRWSWTXAXBXCEFXDDGXDY
      GXEXFUURUVILUUMUVDUUQUVHIUVCUULIUUHUVBAHUQZUVCKUUGUVBAHUUGUVBVDYRHPUUFUVA
      YTHYNUEZUUFUVAVDJUUEBHYNWDXGXHWOXIUXNUXMUVCUEJUVBAHYNVNXGXJXKUUPUVGYFYEUV
      FUEZUUPUVGUEYDUVEUEUXOHYNJXLYDUVEWAXGUUNYEUVFUUOXMXGXKXNXOXPXQXRXS $.
      $( [14-May-2008] $) $( [13-May-2008] $)
  $}

  ${
    $d x y z A $.  $d x y z R $.  $d x y X $.
    spwval3.1 $e |- X = U. U. R $.
    spwval3.2 $e |- ( ph
         <-> ( A. y e. A y R x /\ A. y e. X ( A. z e. A z R y -> x R y ) ) ) $.
    $( Value of a supremum. $)
    spwval3 $p |- ( ( R e. U /\ A e. W /\ E. x e. X ph )
           -> ( R supw A ) = U. { x e. X | ph } ) $=
      ( wcel wrex w3a cspw co crab c0 wne cuni cpw cif wceq cv wbr wral wi wa
      wb a1i rabbii spwval2 3adant3 rabn0 iftrue sylbir 3ad2ant3 eqtrd ) FGLZEH
      LZABIMZNFEOPZABIQZRSZVCTZITUAZUBZVEUSUTVBVGUCVABCDEFGHIVCJACUDZBUDZFUECEU
      FDUDVHFUEDEUFVIVHFUEUGCIUFUHZBIAVJUIVIILKUJUKULUMVAUSVGVEUCZUTVAVDVKABIUN
      VDVEVFUOUPUQUR $.
      $( [24-May-2008] $) $( [13-May-2008] $)

    $( When the supremum of set ` A ` doesn't exist, ` R supw A ` isn't in the
       the field of order relation ` R ` . $)
    spwnex3 $p |- ( ( R e. U /\ A e. W /\ -. E. x e. X ph )
         -> -. ( R supw A ) e. X ) $=
      ( wcel wrex wn w3a cspw co cuni cpw pwuninel crab c0 wne cif wceq cv wbr
      wral wi wa wb a1i rabbii spwval2 3adant3 rabn0 negbii iffalse sylbir
      3ad2ant3 eqtrd eleq1d mtbiri ) FGLZEHLZABIMZNZOZFEPQZILIRSZILITVHVIVJIVHV
      IABIUAZUBUCZVKRZVJUDZVJVDVEVIVNUEVGBCDEFGHIVKJACUFZBUFZFUGCEUHDUFVOFUGDEU
      HVPVOFUGUICIUHUJZBIAVQUKVPILKULUMUNUOVGVDVNVJUEZVEVGVLNVRVLVFABIUPUQVLVMV
      JURUSUTVAVBVC $.
      $( [14-May-2008] $) $( [13-May-2008] $)
  $}

  ${
    $d w x y z A $.  $d y z B $.  $d y z C $. $d w x y z R $.  $d w x y X $.
    $d y U $.  $d y W $.
    spwmo.1 $e |- ( ph
         <-> ( A. y e. A y R x /\ A. y e. X ( A. z e. A z R y -> x R y ) ) ) $.
    $( A poset has at most one supremum. $)
    spwmo $p |- ( R e. Poset -> E* x ( x e. X /\ ph ) ) $=
      ( vw cps wcel cv wbr wral wi wa wceq wal wmo breq1 cbvralv breq2 ralbidv
      imbi12d rcla4v imp3a im2anan9r psasym 3expib syl9 com13 exp43 com4r
      sylbi imp43 com3r imp an4s com12 19.21aivv anbi2i mobii eleq1 syl6bb
      imbi2d anbi12d mo4 bitr sylibr ) FJKZBLZGKZCLZVKFMZCENZDLZVMFMZDENZVKVMFM
      ZOZCGNZPZPZILZGKZVPWDFMZDENZVRWDVMFMZOZCGNZPZPZPZVKWDQZOZIRBRZVLAPZBSZVJW
      OBIWMVJWNVLWEWBWKVJWNOZVLWEPZWBWKPZWSXAVJWTWNVOWAWGWJVJWTWNOOZVOVPVKFMZDE
      NZWAWGWJXBOOOVNXCCDEVMVPVKFTUAWAWGWJXDXBWAWGWJXDXBWTVJWAWGPZWJXDPZPZWNWTX
      GVKWDFMZWDVKFMZPVJWNWEXEXHVLXFXIWEWAWGXHVTWGXHOCWDGVMWDQZVRWGVSXHXJVQWFDE
      VMWDVPFUBUCVMWDVKFUBUDUEUFVLWJXDXIWIXDXIOCVKGVMVKQZVRXDWHXIXKVQXCDEVMVKVP
      FUBUCVMVKWDFUBUDUEUFUGVJXHXIWNVKWDFUHUIUJUKULUMUNUOUPUQURUSUTWRWCBSWPWQWC
      BAWBVLHVAVBWCWLBIWNVLWEWBWKVKWDGVCWNVOWGWAWJWNVOVMWDFMZCENWGWNVNXLCEVKWDV
      MFUBUCXLWFCDEVMVPWDFTUAVDWNVTWICGWNVSWHVRVKWDVMFTVEUCVFVFVGVHVI $.
      $( [19-May-2008] $) $( [13-May-2008] $)

    $( A supremum is unique. $)
    spweu $p |- ( ( R e. Poset /\ E. x e. X ph ) -> E! x e. X ph ) $=
      ( wrex cps wcel wreu wa cv wmo spwmo anim2i reu5 sylibr ancoms ) ABGIZFJK
      ZABGLZUAUBMUABNGKAMBOZMUCUBUDUAABCDEFGHPQABGRST $.
      $( [25-May-2008] $) $( [15-May-2008] $)

    $( Property of supremum defining condition for an unordered pair. $)
    spwpr2 $p |- ( ( ( R e. T /\ A = { B , C } ) /\ ( B e. U /\ C e. W ) )
       -> ( ph <->
     ( ( B R x /\ C R x ) /\ A. y e. X ( ( B R y /\ C R y ) -> x R y ) ) ) ) $=
      ( wcel cpr wceq wa cv wbr wral wi wb raleq1 wal ax-17 breq1 ceqsalg
      bi2anan9 df-ral wo visset elpr imbi1i jaob bitr albii 19.26 3bitr syl5bb
      sylan9bb imbi1d ralbidv anbi12d adantll ) HINZEFGOZPZQFJNZGKNZQZQCRZBRZHS
      ZCETZDRZVKHSZDETZVLVKHSZUAZCLTZQZFVLHSZGVLHSZQZFVKHSZGVKHSZQZVRUAZCLTZQZA
      VGVJWAWJUBVEVGVJQZVNWDVTWIVGVNVMCVFTZVJWDVMCEVFUCVJVKFPZVMUAZCUDZVKGPZVMU
      AZCUDZQZWDWLVHWOWBVIWRWCVMWBCFJWBCUEVKFVLHUFUGVMWCCGKWCCUEVKGVLHUFUGUHWLV
      KVFNZVMUAZCUDWNWQQZCUDWSVMCVFUIXAXBCXAWMWPUJZVMUAXBWTXCVMVKFGCUKULUMWMVMW
      PUNUOUPWNWQCUQURUSUTWKVSWHCLWKVQWGVRVGVQVPDVFTZVJWGVPDEVFUCVJVOFPZVPUAZDU
      DZVOGPZVPUAZDUDZQZWGXDVHXGWEVIXJWFVPWEDFJWEDUEVOFVKHUFUGVPWFDGKWFDUEVOGVK
      HUFUGUHXDVOVFNZVPUAZDUDXFXIQZDUDXKVPDVFUIXMXNDXMXEXHUJZVPUAXNXLXOVPVOFGDU
      KULUMXEVPXHUNUOUPXFXIDUQURUSUTVAVBVCVDMUS $.
      $( [7-Jul-2008] $) $( [24-Jun-2008] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x U $.
    $d x y X $.
    spwval.1 $e |- X = dom R $.
    spwval.2 $e |- ( ph
         <-> ( A. y e. A y R x /\ A. y e. X ( A. z e. A z R y -> x R y ) ) ) $.
    $( Value of a supremum. $)
    spwval $p |- ( ( R e. Poset /\ A e. W /\ E. x e. X ph )
           -> ( R supw A ) = U. { x e. X | ph } ) $=
      ( cps wcel wrex cspw co crab cuni wceq cv wbr wral wi wa eqid pm4.2
      spwval3 3expib wb cdm crn psdmrn pm3.26d syl5eq raleq1 anbi2d syl5bb
      rexeqd syl rabeq rabbisdv eqtrd unieqd eqeq2d 3imtr4d 3impib ) FKLZEGLZAB
      HMZFENOZABHPZQZRZVFVGCSZBSZFTCEUAZDSVMFTDEUAVNVMFTUBZCFQQZUAZUCZBVQMZUCVI
      VSBVQPZQZRZVGVHUCVLVFVGVTWCVSBCDEFKGVQVQUDVSUEUFUGVFVHVTVGVFHVQRZVHVTUHVF
      FUIZVQHVFWEVQRFUJVQRFUKULIUMZAVSBHVQWDVOVPCHUAZUCVSAWDWGVRVOVPCHVQUNUOJUP
      ZUQURUOVFVKWBVIVFVJWAVFWDVJWARWFWDVJABVQPWAABHVQUSWDAVSBVQWHUTVAURVBVCVDV
      E $.
      $( [26-May-2008] $) $( [13-May-2008] $)

    $( Closure of a supremum. $)
    spwcl $p |- ( ( R e. Poset /\ A e. W /\ E. x e. X ph )
           -> ( R supw A ) e. X ) $=
      ( cps wcel wrex w3a cspw co crab cuni spwval wa wreu spweu reucl syl
      3adant2 eqeltrd ) FKLZEGLZABHMZNFEOPABHQRZHABCDEFGHIJSUGUIUJHLZUHUGUITABH
      UAUKABCDEFHJUBABHUCUDUEUF $.
      $( [4-Jun-2008] $) $( [15-May-2008] $)

    $( Non-closure when the supremum doesn't exist. $)
    spwnex $p |- ( ( R e. Poset /\ A e. W /\ -. E. x e. X ph )
         -> -. ( R supw A ) e. X ) $=
      ( cps wcel wrex wn cspw co wa cv wbr wral wi cuni eqid pm4.2 spwnex3
      3expia wb wceq cdm crn psdmrn pm3.26d syl5eq raleq1 anbi2d syl5bb rexeqd
      syl negbid adantr eleq2d 3imtr4d 3impia ) FKLZEGLZABHMZNZFEOPZHLZNZVDVEQC
      RZBRZFSCETZDRVKFSDETVLVKFSUAZCFUBUBZTZQZBVOMZNZVHVOLZNZVGVJVDVEVSWAVQBCDE
      FKGVOVOUCVQUDUEUFVDVGVSUGVEVDVFVRVDHVOUHZVFVRUGVDFUIZVOHVDWCVOUHFUJVOUHFU
      KULIUMZAVQBHVOWBVMVNCHTZQVQAWBWEVPVMVNCHVOUNUOJUPUQURUSUTVDVJWAUGVEVDVIVT
      VDHVOVHWDVAUSUTVBVC $.
      $( [24-Jun-2008] $)


    $( Property of a supremum-defining condition for an unordered pair. $)
    spwpr3OLD $p |- ( ( ( R e. Poset /\ A = { B , C } ) /\ ( C e. U
      /\ B R C ) ) -> ( ph <-> x = C ) ) $=
      ( cps wcel cpr wceq wa cvv wbr cv wb w3a wi wral spwpr2 3adant3 crn
      visset brelrng mp3an2 ex adantl psrn eleq2d adantr sylibrd adantrd
      ad2ant2r simprr 3simp3 psref ad2ant2rl jca pm3.27 a1i rgen jctir wmo
      eleq1 breq2 anbi12d breq1 imbi2d ralbidv moi2 spwmo ad2antrr ax-17
      anbi2d mobid mpbid sylanc mpan2d exp4d com23 mpdd imp3a biimprd syl5bir
      anim12d com12 3impb 3coml a1d r19.21aiv jcad impbid bitrd pm3.26 wrel
      brrelex psrel sylan relelrng syl3an2 3com12 3expb eleqtrrd adantlr
      syl3anc ) HMNZEFGOPZQZFRNZGJNZQZFGHSZABTZGPZUAXMGINZXQQZQZXMXPXQUBZAFXRHS
      ZGXRHSZQZFCTZHSZGYGHSZQZXRYGHSZUCZCJUDZQZXSXMXPAYNUAXQABCDEFGHMRJJLUEZUFY
      CYNXSYCYFYMXSYCYFXRJNZYMXSUCZXMXPYFYPUCZXQXKXNYRXLXOXKXNQZYDYPYEYSYDXRHUG
      ZNZYPXNYDUUAUCXKXNYDUUAXNXRRNYDUUABUHFXRHRRUIUJUKULXKYPUUAUAXNXKJYTXRHJKU
      MZUNUOUPUQURUFYCYPYFYQYCYPYFYMXSYCYPYNQZXOXQGGHSZQZYJYIUCZCJUDZQZQZXSYCXO
      UUHXMXPXOXQXMXNXOUSUFZYCUUEUUGYCXQUUDXMXPXQUTXMXPUUDXQXKXOUUDXLXNGHJKVAVB
      ZUFVCUUFCJUUFYGJNZYHYIVDZVEVFVGVCXOUUCBVHZUUCUUIQZXSUCYCXOUUNQUUOXSUUCUUI
      BGJXSYPXOYNUUHXRGJVIXSYFUUEYMUUGXSYDXQYEUUDXRGFHVJZXRGGHVJZVKXSYLUUFCJXSY
      KYIYJXRGYGHVLZVMVNVKVKVOUKUUJXMXPUUNXQXMXPQZYPAQZBVHZUUNXKUVAXLXPABCDEHJL
      VPVQUUSUUTUUCBUUSBVRUUSAYNYPYOVSVTWAUFWBWCWDWEWFWGYCXSYFYMXQXMXPXSYFUCZXQ
      XMXPUVBXSXQUUSQYFXSXQYDUUSYEXSYDXQUUPWHXSYEUUDUUSUUQUUKWIWJWKWLWMXSYMUCYC
      XSYLCJXSYLUULXSYKYIYJUURUUMWIWNWOVEWPWQWRXMYAWSYBXNXOXKXQXNXLXTHWTZXQXNXK
      FGHXAHXBZXCVBXKYAXOXLXKYAQGYTJXKXTXQGYTNZXTXKXQUVEXTUVCXQUVEXKFGIHXDUVDXE
      XFXGXKJYTPYAUUBUOXHXIVCXMXTXQUSXJ $.
      $( [31-Jul-2008] $) $( [2-Jul-2008] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y C $.  $d x y z R $.  $d x y X $.
    spwpr4.1 $e |- X = dom R $.

    ${
      spwpr5.2 $e |- C = ( R supw { A , B } ) $.
    $}

    $( Supremum of an unordered pair. $)
    spwpr4OLD $p |- ( ( ( R e. Poset /\ C e. X ) /\ ( A R C /\ B R C ) /\
   A. x e. X ( ( A R x /\ B R x ) -> C R x ) ) -> ( R supw { A , B } ) = C ) $=
      ( vy vz cps wcel wa wbr cv wi wral w3a cpr cspw co crab cuni cvv wrex
      wceq pm4.2 spwval simpll 3adant3 prex a1i breq2 anbi12d breq1 imbi2d
      ralbidv rcla4ev 3impb 3adant1l wb eqid spwpr2 mpanl2 wrel psrel brrelex
      ex anim12d syl imp adantlr sylanc rexbidv mpbird syl3anc rabbisdv unieqd
      3simpc wreu reuuni2 simplr spweu reubidv mpbid 3eqtrd ) EJKZDFKZLZBDEMZCD
      EMZLZBANZEMCWLEMLZDWLEMZOZAFPZQZEBCRZSTZWLHNZEMAWRPINWLEMIWRPWTWLEMZOAFPL
      ZHFUAZUBZBWTEMZCWTEMZLZWMXAOZAFPZLZHFUAZUBZDWFWRUCKZXBHFUDZWSXDUEWQXBHAIW
      REUCFGXBUFZUGWHWKWFWPWFWGWKUHZUIZXMWQBCUJUKWQXNXJHFUDZWGWKWPXRWFWGWKWPXRX
      JWKWPLZHDFWTDUEZXGWKXIWPXTXEWIXFWJWTDBEULWTDCEULUMXTXHWOAFXTXAWNWMWTDWLEU
      NUOUPUMZUQURUSWHWKXNXRUTWPWHWKLZXBXJHFWFBUCKZCUCKZLZXBXJUTZYBWFWRWRUEYEYF
      WRVAXBHAIWRBCEJUCUCFXOVBVCXPWFWKYEWGWFWKYEWFEVDZWKYEOEVEYGWIYCWJYDYGWIYCB
      DEVFVGYGWJYDCDEVFVGVHVIVJVKVLZVMUIVNZVOWHWKXDXLUEWPYBXCXKYBXBXJHFYHVPVQUI
      WQXSXLDUEZWHWKWPVRWGXJHFVSZXSYJUTWQXJXSHFDYAVTWHWKWGWPWFWGWKWAUIWQXBHFVSZ
      YKWFXNYLWQXBHAIWREFXOWBXQYIVLWHWKYLYKUTWPYBXBXJHFYHWCUIWDVLWDWE $.
      $( [29-Jul-2008] $) $( [7-Jul-2008] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y C $.  $d x y z R $.  $d x y X $.
    spwpr4a.1 $e |- X = dom R $.
    spwpr4a.2 $e |- ( ph <-> ( A. y e. { A , B } y R x /\
            A. y e. X ( A. z e. { A , B } z R y -> x R y ) ) ) $.
    $( Supremum of an unordered pair. $)
    spwpr4aOLD $p |- ( ( ( R e. Poset /\ C e. X ) /\ ( A R C /\ B R C ) /\
   A. y e. X ( ( A R y /\ B R y ) -> C R y ) ) -> ( R supw { A , B } ) = C ) $=
      ( cps wcel wa wbr cv wi wral w3a cpr cspw co crab cuni cvv wrex wceq
      spwval simpll 3adant3 prex a1i breq2 anbi12d breq1 imbi2d ralbidv
      rcla4ev 3impb 3adant1l wb eqid spwpr2 mpanl2 wrel psrel brrelex ex
      anim12d syl imp adantlr sylanc rexbidv mpbird syl3anc rabbisdv unieqd
      3simpc wreu reuuni2 simplr spweu reubidv mpbid 3eqtrd ) HLMZGIMZNZEGHOZFG
      HOZNZECPZHOFWMHONZGWMHOZQZCIRZSZHEFTZUAUBZABIUCZUDZEBPZHOZFXCHOZNZWNXCWMH
      OZQZCIRZNZBIUCZUDZGWGWSUEMZABIUFZWTXBUGWRABCDWSHUEIJKUHWIWLWGWQWGWHWLUIZU
      JZXMWREFUKULWRXNXJBIUFZWHWLWQXQWGWHWLWQXQXJWLWQNZBGIXCGUGZXFWLXIWQXSXDWJX
      EWKXCGEHUMXCGFHUMUNXSXHWPCIXSXGWOWNXCGWMHUOUPUQUNZURUSUTWIWLXNXQVAWQWIWLN
      ZAXJBIWGEUEMZFUEMZNZAXJVAZYAWGWSWSUGYDYEWSVBABCDWSEFHLUEUEIKVCVDXOWGWLYDW
      HWGWLYDWGHVEZWLYDQHVFYFWJYBWKYCYFWJYBEGHVGVHYFWKYCFGHVGVHVIVJVKVLVMZVNUJV
      OZVPWIWLXBXLUGWQYAXAXKYAAXJBIYGVQVRUJWRXRXLGUGZWIWLWQVSWHXJBIVTZXRYIVAWRX
      JXRBIGXTWAWIWLWHWQWGWHWLWBUJWRABIVTZYJWGXNYKWRABCDWSHIKWCXPYHVMWIWLYKYJVA
      WQYAAXJBIYGWDUJWEVMWEWF $.
      $( [1-Aug-2008] $) $( [7-Jul-2008] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.
  $}

  ${
    $d x y A $.  $d y B $.  $d r x y R $.  $d r x y X $.
    isla.1 $e |- X = dom R $.
  $}

  ${
    $d x y R $.
  $}

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
              Real and complex numbers (cont.)
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The exponential, sine, and cosine functions (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  ${
    $d F p q r v w z $.  $d G p q r v w z $.  $d O v w x y z $.  $d A x y $.
    $d H z $.  $d J z $.  $d C p q r w $.

    sinco.1 $e |- F = { <. x , y >. | ( x e. CC /\ y = ( i x. x ) ) } $.
    sinco.2 $e |- G = { <. x , y >. | ( x e. CC /\ y = ( -u i x. x ) ) } $.

    ${
      sincolem.3 $e |- J = { <. x , y >. | ( x e. CC /\ y = ( x / A ) ) } $.
      sincolem.4 $e |- H = { <. w , v >. | ( w e. CC /\ v =
                 ( ( ( exp o. F ) ` w ) O ( ( exp o. G ) ` w ) ) ) } $.

      ${
        sincolem.5 $e |- ( ( ( ( exp o. F ) ` z ) e. CC /\
                             ( ( exp o. G ) ` z ) e. CC ) ->
               ( ( ( exp o. F ) ` z ) O ( ( exp o. G ) ` z ) ) e. CC ) $.
        sincolem.6 $e |- A e. CC $.
        sincolem.7 $e |- A =/= 0 $.
        $( Lemma for ~ sinco and ~ cosco . $)
        sincolem $p |- ( ( J o. H ) Fn CC /\
                         ( z e. CC -> ( ( J o. H ) ` z ) =
          ( ( ( exp ` ( i x. z ) ) O ( exp ` ( -u i x. z ) ) ) / A ) ) ) $=
          ( ccom cc wfn cv wcel cfv ci cmul co ce cneg cdiv wceq wi wf oprex
          fnopab2 wral fveq2 opreq12d eleq1d cbvralv eff axicn axmulcl mpan
          fopab fco mp2an ffvelrni negcl sylanc mprgbir fopab2 mpbi fnfco wfun
          fnfun ax-mp fvco3 mp3an12 fvopab4g mpdan ffun opreq2 fveq2d eqtrd
          eqeltrrd cc0 wne divclt mp3an23 opreq1 syl 3eqtrd pm3.2i ) JISZTUAZCU
          BZTUCZWQWOUDZUEWQUFUGZUHUDZUEUIZWQUFUGZUHUDZKUGZFUJUGZUKULJTUAZTTIUMZ
          WPABTAUBZFUJUGZJXIFUJUNNUOZDUBZUHGSZUDZXLUHHSZUDZKUGZTUCZDTUPZXHXSWQX
          MUDZWQXOUDZKUGZTUCZCTXRYCDCTXLWQUKZXQYBTYDXNXTXPYAKXLWQXMUQXLWQXOUQUR
          ZUSUTXTTUCYATUCYCWRPTTWQXMTTUHUMZTTGUMZTTXMUMVAABTTUEXIUFUGZGLUETUCZX
          ITUCZYHTUCVBUEXIVCVDVEZTTTUHGVFVGVHTTWQXOYFTTHUMZTTXOUMVAABTTXBXIUFUG
          ZHMXBTUCZYJYMTUCUEVBVIZXBXIVCVDVEZTTTUHHVFVGVHVJZVKDETTXQIOVLVMZTTJIV
          NVGWRWSWQIUDZJUDZXEJUDZXFJVOZXHWRWSYTUKXGUUBXKTJVPVQYRTTWQJIVRVSWRYSX
          EJWRYSYBXEWRYCYSYBUKYQDEWQXQYBTTIYEOVTWAWRXTXAYAXDKWRXTWQGUDZUHUDZXAU
          HVOZYGWRXTUUDUKYFUUEVATTUHWBVQZYKTTWQUHGVRVSWRUUCWTUHWRWTTUCZUUCWTUKY
          IWRUUGVBUEWQVCVDABWQYHWTTTGXIWQUEUFWCLVTWAWDWEWRYAWQHUDZUHUDZXDUUEYLW
          RYAUUIUKUUFYPTTWQUHHVRVSWRUUHXCUHWRXCTUCZUUHXCUKYNWRUUJYOXBWQVCVDABWQ
          YMXCTTHXIWQXBUFWCMVTWAWDWEURZWEWDWRXETUCZUUAXFUKZWRYBXETUUKYQWFUULXFT
          UCZUUMUULFTUCFWGWHUUNQRXEFWIWJABXEXJXFTTJXIXEFUJWKNVTWAWLWMWN $.
          $( [28-Nov-2007] $) $( [28-Nov-2007] $)
      $}

      ${
        sincnlem.5 $e |- A e. CC $.
        sincnlem.6 $e |- A =/= 0 $.
        sincnlem.7 $e |- C = ( abs o. - ) $.
        sincnlem.8 $e |- D = { <. <. p , q >. , r >. |
                               ( ( p e. ( CC X. CC ) /\ q e. ( CC X. CC ) ) /\
          r = sup ( { ( ( 1st ` p ) C ( 1st ` q ) ) ,
                      ( ( 2nd ` p ) C ( 2nd ` q ) ) } , RR , < ) ) } $.
        sincnlem.9 $e |- O e. ( ( Open ` D ) Cn ( Open ` C ) ) $.
        $( Lemma for ~ sincn and ~ coscn . $)
        sincnlem $p |- ( J o. H ) e. ( CC -cn-> CC ) $=
          ( ccom copn cfv ccn co cc ccncf wcel ce ci axicn mulc1cncf ax-mp
          eqid cncfmet1 eleqtr efcn cme w3a wa cnmet 3pm3.2i metcnco mpan
          mp2an cneg negcl cnmetba oprcn cc0 wne divccncf eleqtrr ) KJUEZFUFUGZ
          VSUHUIZUJUJUKUIZJVTULZKVTULZVRVTULZUMHUEZVTULZUMIUEZVTULZWBHVTULZUMVT
          ULZWFHWAVTUNUJULHWAULUOABUNHPUPUQFVSUBVSURZUSZUTUMWAVTVAWLUTZFVBULZWN
          WNVCZWIWJVDWFWNWNWNFUBVEZWPWPVFZFFFHUMVSVSVSWKWKWKVGVHVIIVTULZWJWHIWA
          VTUNVJZUJULIWAULUNUOVKABWSIQUPUQWLUTWMWOWRWJVDWHWQFFFIUMVSVSVSWKWKWKV
          GVHVIONMCDFFFGVSWEWGJFVSVSVSGUFUGZLUJUJUJFUBVLZXAXAWPWPWPWPWKWKWKWTUR
          WKUCUDSVMVIKWAVTEUJULEVNVOKWAULTUAABEKRVPVIWLUTWOWBWCVDWDWQFFFJKVSVSV
          SWKWKWKVGVHVIWLVQ $.
          $( [28-Nov-2007] $) $( [28-Nov-2007] $)
      $}
    $}

    ${
      sinco.3 $e |- J = { <. x , y >. |
                          ( x e. CC /\ y = ( x / ( 2 x. i ) ) ) } $.
      sinco.4 $e |- H = { <. w , v >. | ( w e. CC /\
                     v = ( ( ( exp o. F ) ` w ) - ( ( exp o. G ) ` w ) ) ) } $.
      $( Sine expressed as a function composition.  (Contributed by Paul
         Chapman, 28-Nov-2007.) $)
      sinco $p |- sin = ( J o. H ) $=
        ( vz csin ccom wceq cc cv cfv wral wfn wa wb wf sinf ffn ax-mp wcel ci
        cmul co ce cneg cmin c2 cdiv wi subclt 2cn axicn mulcl 2ne0 ine0 muln0
        sincolem pm3.26i eqfnfv mp2an eqid sinvalt pm3.27i eqtr4d rgen
        mpbir2an ) NHGOZPZQQPZMRZNSZVRVOSZPZMQTZNQUAZVOQUAZVPVQWBUBUCQQNUDWCUEQ
        QNUFUGWDVRQUHZVTUIVRUJUKULSUIUMVRUJUKULSUNUKUOUIUJUKZUPUKZPUQZABMCDWFEF
        GHUNIJKLVRULEOSVRULFOSURUOUIUSUTVAUOUIUSUTVBVCVDVEZVFMQQNVOVGVHQVIWAMQW
        EVSWGVTVRVJWDWHWIVKVLVMVN $.
        $( [28-Nov-2007] $) $( [28-Nov-2007] $)
    $}

    ${
      cosco.3 $e |- J = { <. x , y >. |
                          ( x e. CC /\ y = ( x / 2 ) ) } $.
      cosco.4 $e |- H = { <. w , v >. | ( w e. CC /\
                     v = ( ( ( exp o. F ) ` w ) + ( ( exp o. G ) ` w ) ) ) } $.
      $( Cosine expressed as a function composition.  (Contributed by Paul
         Chapman, 28-Nov-2007.) $)
      cosco $p |- cos = ( J o. H ) $=
        ( vz ccos ccom wceq cc cv cfv wral wfn wa wb wf cosf ffn ax-mp wcel ci
        cmul co ce cneg caddc c2 cdiv wi axaddcl 2cn 2ne0 sincolem pm3.26i
        eqfnfv mp2an eqid cosvalt pm3.27i eqtr4d rgen mpbir2an ) NHGOZPZQQPZMRZ
        NSZVNVKSZPZMQTZNQUAZVKQUAZVLVMVRUBUCQQNUDVSUEQQNUFUGVTVNQUHZVPUIVNUJUKU
        LSUIUMVNUJUKULSUNUKUOUPUKZPUQZABMCDUOEFGHUNIJKLVNULEOSVNULFOSURUSUTVAZV
        BMQQNVKVCVDQVEVQMQWAVOWBVPVNVFVTWCWDVGVHVIVJ $.
        $( [28-Nov-2007] $) $( [28-Nov-2007] $)
    $}
  $}

  ${
    $d p q r v w x y $.
    $( Sine is continuous.  (Contributed by Paul Chapman, 28-Nov-2007.) $)
    sincn $p |- sin e. ( CC -cn-> CC ) $=
      ( vx vy vw vv vp vq vr csin cv cc wcel c2 ci cmul co cdiv wceq wa copab
      ce ccom cfv cneg cmin ccncf eqid sinco cabs cxp c1st c2nd cpr cr clt
      csup copab2 2cn axicn mulcl 2ne0 ine0 muln0 copn subcn sincnlem eqeltr )
      HAIZJKZBIZVGLMNOZPOQRABSZCIZJKDIVLTVHVIMVGNOQRABSZUAUBVLTVHVIMUCVGNOQRABS
      ZUAUBUDOQRCDSZUAJJUEOABCDVMVNVOVKVMUFZVNUFZVKUFZVOUFZUGABCDVJUHUDUAZEIZJJ
      UIZKFIZWBKRGIWAUJUBWCUJUBVTOWAUKUBWCUKUBVTOULUMUNUOQREFGUPZVMVNVOVKUDGFEV
      PVQVRVSLMUQURUSLMUQURUTVAVBVTUFZWDUFZEFGVTWDVTVCUBZWDVCUBZWEWFWGUFWHUFVDV
      EVF $.
      $( [28-Nov-2007] $) $( [28-Nov-2007] $)

    $( Cosine is continuous.  (Contributed by Paul Chapman, 28-Nov-2007.) $)
    coscn $p |- cos e. ( CC -cn-> CC ) $=
      ( vx vy vw vv vp vq vr ccos cv cc wcel c2 cdiv co wceq wa copab ce ci
      cmul ccom cfv cneg caddc ccncf eqid cosco cabs cmin cxp c1st c2nd cpr cr
      clt csup copab2 2cn 2ne0 copn addcn sincnlem eqeltr ) HAIZJKZBIZVDLMNOPAB
      QZCIZJKDIVHRVEVFSVDTNOPABQZUAUBVHRVEVFSUCVDTNOPABQZUAUBUDNOPCDQZUAJJUENAB
      CDVIVJVKVGVIUFZVJUFZVGUFZVKUFZUGABCDLUHUIUAZEIZJJUJZKFIZVRKPGIVQUKUBVSUKU
      BVPNVQULUBVSULUBVPNUMUNUOUPOPEFGUQZVIVJVKVGUDGFEVLVMVNVOURUSVPUFZVTUFZEFG
      VPVTVPUTUBZVTUTUBZWAWBWCUFWDUFVAVBVC $.
      $( [28-Nov-2007] $) $( [28-Nov-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Properties of pi = 3.14159...
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d C w x y $.  $d P v w x $.  $d P v w z $.  $d S w y z $.    $d T w y z $.
    pilem1.1 $e |- S = { x e. ( -u 4 [,) 0 ) | ( sin ` x ) = 0 } $.
    pilem1.2 $e |- C = sup ( S , RR , < ) $.

    ${
      pilem1.3 $e |- T = { x e. ( -u 4 [,] -u 2 ) | ( sin ` x ) = 0 } $.
      $( Lemma for ~ pire , ~ pigt2lt4 and ~ sinpi . $)
      pilem1 $p |- ( C e. ( -u 4 (,) -u 2 ) /\ ( sin ` C ) = 0 ) $=
        ( vy c4 cneg c2 cc cc0 csin 4re renegcl 2re 0re clt wbr caddc co 2pos
        ltadd1 mpbi 2cn addid2 2p2e4 3brtr3 ltneg cicc cr wcel wss iccssret
        mp2an axresscn sstri ssid sincn cv cfv sseli resinclt syl wceq crab
        cle wa wo letrit mpan2 biantrurd andir syl6bb wi wb lt0neg2t ax-mp
        lelttrt mp3an23 mpan2i pm4.71 sylib orbi1d bitr4d anbi1d wn w3a cioc
        renegclt 3ad2ant1 lt0neg1t adantr biimp3a lenegcon1t mpan biimpa
        3adant3 3jca elioc2t biimpr sin02gt0 3syl wne recnt sinnegt breq2d
        ltnet mp3an2 ex sylbid necom df-ne bitr syl6ib mpd 3expib imnan biorf
        orcom pm5.32i anbi2i cico fveq2 eqeq1d elrab2 elico2t 3ancoma 3anass
        3bitr anbi1i anass elicc2t 3bitr4 eqriv eqtr ccos sincos2sgn pm3.26i
        eqbrtr sin4lt0 recn breqtrr pm3.2i dsupivth ) AIJZKJZBLCMNIOPZKQPZRKIST
        UUGUUHSTMKUAUBZKKUAUBZKISMKSTZUUKUULSTUCMKKRQQUDUEKUFUGUHUIKIQOUJUEUUGU
        UHUKUBZULLUUGULUMZUUHULUMZUUNULUNUUIUUJUUGUUHUOUPZUQURLUSUTAVAZUUNUMUUR
        ULUMUURNVBZULUMUUNULUURUUQVCUURVDVECDUUSMVFZAUUNVGHCDUUGHVAZVHTZUVAULUM
        ZUVAMSTZUVANVBZMVFZVIZVIZVIZUVBUVCUVAUUHVHTZUVFVIZVIZVIZUVACUMZUVADUMZU
        VHUVLUVBUVCUVGUVKUVCUVGUVKUUHUVAVHTZUVDVIZUVFVIZVJZUVKUVCUVGUVJUVQVJZUV
        FVIUVSUVCUVDUVTUVFUVCUVDUVJUVDVIZUVQVJZUVTUVCUVDUVJUVPVJZUVDVIUWBUVCUWC
        UVDUVCUUPUWCUUJUVAUUHVKVLVMUVJUVPUVDVNVOUVCUVJUWAUVQUVCUVJUVDVPUVJUWAVQ
        UVCUVJUUHMSTZUVDUUMUWDUCKULUMZUUMUWDVQQKVRVSUEUVCUUPMULUMZUVJUWDVIUVDVP
        UUJRUVAUUHMVTWAWBUVJUVDWCWDWEWFWGUVJUVQUVFVNVOUVCUVRWHZUVKUVSVQUVCUVQUV
        FWHZVPUWGUVCUVPUVDUWHUVCUVPUVDWIZMUVAJZNVBZSTZUWHUWIUWJULUMZMUWJSTZUWJK
        VHTZWIZUWJMKWJUBUMZUWLUWIUWMUWNUWOUVCUVPUWMUVDUVAWKWLUVCUVPUVDUWNUVCUVD
        UWNVQUVPUVAWMWNWOUVCUVPUWOUVDUVCUVPUWOUWEUVCUVPUWOVQQKUVAWPWQWRWSWTUWQU
        WPUWFUWEUWQUWPVQRQMKUWJXAUPXBUWJXCXDUVCUVPUWLUWHVPUVDUVCUWLMUVEXEZUWHUV
        CUWLUVEMSTZUWRUVCUWLMUVEJZSTZUWSUVCUWKUWTMSUVCUVALUMUWKUWTVFUVAXFUVAXGV
        EXHUVCUVEULUMZUWSUXAVQUVAVDZUVEWMVEWFUVCUXBUWSUWRVPUXCUXBUWSUWRUXBUWFUW
        SUWRRUVEMXIXJXKVEXLUWRUVEMXEUWHMUVEXMUVEMXNXOXPWLXQXRUVQUVFXSWDUWGUVKUV
        RUVKVJUVSUVRUVKXTUVRUVKYAVOVEWFYBYCUVNUVAUUGMYDUBZUMZUVFVIZUVIUUTUVFAUV
        AUXDCUURUVAVFUUSUVEMUURUVANYEYFZEYGUXFUVBUVCUVDVIZVIZUVFVIUVBUXHUVFVIZV
        IUVIUXEUXIUVFUXEUVCUVBUVDWIZUVBUVCUVDWIUXIUUOUWFUXEUXKVQUUIRUUGMUVAYHUP
        UVCUVBUVDYIUVBUVCUVDYJYKYLUVBUXHUVFYMUXJUVHUVBUVCUVDUVFYMYCYKXOUVOUVAUU
        NUMZUVFVIZUVMUUTUVFAUVAUUNDUXGGYGUXMUVBUVCUVJVIZVIZUVFVIUVBUXNUVFVIZVIU
        VMUXLUXOUVFUXLUVCUVBUVJWIZUVBUVCUVJWIUXOUUOUUPUXLUXQVQUUIUUJUUGUUHUVAYN
        UPUVCUVBUVJYIUVBUVCUVJYJYKYLUVBUXNUVFYMUXPUVLUVBUVCUVJUVFYMYCYKXOYOYPGY
        QUUHNVBZMSTMUUGNVBZSTUXRKNVBZJZMSKLUMUXRUYAVFUFKXGVSMUXTSTZUYAMSTZUYBKY
        RVBMSTYSYTUXTULUMZUYBUYCVQUWEUYDQKVDVSUXTVRVSUEUUAMINVBZJZUXSSUYEMSTZMU
        YFSTZUUBUYEULUMZUYGUYHVQIULUMUYIOIVDVSUYEWMVSUEILUMUXSUYFVFIOUUCIXGVSUU
        DUUEFUUF $.
        $( [23-Jan-2008] $) $( [23-Jan-2008] $)
    $}

    ${
      pilem2.3 $e |- T = { x e. RR | ( x < 0 /\ ( sin ` x ) = 0 ) } $.
      $( Lemma for ~ pire , ~ pigt2lt4 and ~ sinpi . $)
      pilem2 $p |- C = sup ( T , RR , < ) $=
        ( vz vw vy cr clt csup wceq cle wbr wcel c4 cneg c2 cioo co w3a csin
        cfv cc0 cv cicc crab eqid pilem1 pm3.26i wb 4re renegcl 2re cxr
        elioo2t rexrt syl2an mp2an mpbi 3simp1i wss c0 wne wral wrex wa ssrab2
        eqsstr breq1 fveq2 eqeq1d anbi12d elrab2 3simp3i 2pos lt0neg2t ax-mp
        0re lttr pm3.27i pm3.2i mpbir2an ne0i wi ltlet mpan2 sseli pm3.27bi
        pm3.26d sylc rgen breq2 ralbidv rcla4ev 3pm3.2i suprcli letri3 suprubi
        wo letrit mpan adantl cico elico2t biimp 3simp1d ssriv sstri 3simp2i
        ltlei mpbir pm3.26bi sylib 3simp3d syl6breqr sylbir sylanbr 3exp1
        com4t imp31 letrt mp3an23 mpan2i jaod mpd ancoms sylbi cbvralv
        suprleubi ) BDKLMZNBYMOPZYMBOPZBYMBKQZRSZBLPZBTSZLPZBYQYSUAUBQZYPYRYTUC
        ZUUABUDUEZUFNZABCAUGZUDUEZUFNZAYQYSUHUBUIZEFUUHUJUKZULYQKQZYSKQZUUAUUBU
        MZRUNUOZTUPUOZYQUQQYSUQQUULUUJUUKYQYSBURYQUSYSUSUTVAVBZVCZHIDDKVDDVEVFZ
        IUGZHUGZOPZIDVGZHKVHZDUUEUFLPZUUGVIZAKUIKGUVDAKVJVKZBDQZUUQUVFYPBUFLPZU
        UDVIZUVDUVHABKDUUEBNZUVCUVGUUGUUDUUEBUFLVLUVIUUFUUCUFUUEBUDVMVNZVOGVPUU
        PUVGUUDYTYSUFLPZUVGYPYRYTUUOVQUFTLPZUVKVRTKQUVLUVKUMUPTVSVTVBBYSUFUUPUU
        NWAWBVAZUUAUUDUUIWCZWDWEZDBWFVTUFKQZUURUFOPZIDVGZUVBWAUVQIDUURKQZUURUFL
        PZUVQUURDQZUVSUVPUVTUVQWGWAUURUFWHWIZDKUURUVEWJUWAUVTUURUDUEZUFNZUWAUVS
        UVTUWDVIZUVDUWEAUURKDUUEUURNZUVCUVTUUGUWDUUEUURUFLVLUWFUUFUWCUFUUEUURUD
        VMVNZVOGVPZWKWLWMWNUVAUVRHUFKUUSUFNZUUTUVQIDUUSUFUUROWOZWPWQVAWRZWSWTUV
        FYNUVOHIDBUWKXAVTYPJUGZBOPZJDVGZYOUUPUURBOPZIDVGUWNUWOIDUWAUVSUWEVIUWOU
        WHUWEUVSUWOUWEUVSVIZYQUUROPZUURYQOPZXBZUWOUVSUWSUWEUUJUVSUWSUUMYQUURXCX
        DXEUWPUWQUWOUWRUVTUWDUVSUWQUWOWGUVSUWQUVTUWDUWOUVSUWQUVTUWDUWOUURYQUFXF
        UBZQZUWDUWOUVSUWQUVTUCZUXAUWDVIUURCQZUWOUUGUWDAUURUWTCUWGEVPZUXCUURCKLM
        BOHICUURCKVDCVEVFZUUTICVGZHKVHZCUWTKCUUGAUWTUIUWTEUUGAUWTVJVKIUWTKUXAUV
        SUWQUVTUXAUXBUUJUVPUXAUXBUMUUMWAYQUFUURXGVAZXHXIXJXKZBCQZUXEUXJBUWTQZUU
        DUUGUUDABUWTCUVJEVPUXKYPYQBOPZUVGUCZYPUXLUVGUUPYQBUUMUUPYPYRYTUUOXLXMZU
        VMWRUUJUVPUXKUXMUMUUMWAYQUFBXGVAXNUVNWECBWFVTUVPUVQICVGZUXGWAUVQICUVSUV
        TUVQUXCUWBCKUURUXIWJUXCUVSUWQUVTUXCUXAUXBUXCUXAUWDUXDXOUXHXPXQWMWNUXFUX
        OHUFKUWIUUTUVQICUWJWPWQVAWRXAFXRXSUXHXTYAYBYCUVSUWRUWOWGUWEUVSUWRUXLUWO
        UXNUVSUUJYPUWRUXLVIUWOWGUUMUUPUURYQBYDYEYFXEYGYHYIYJWNUWOUWMIJDUURUWLBO
        VLYKVBHIJDBUWKYLVAWE $.
        $( [23-Jan-2008] $) $( [23-Jan-2008] $)
    $}

    ${
      pilem3.3 $e |- T = { x e. RR | ( x < 0 /\ ( sin ` x ) = 0 ) } $.
      pilem3.4 $e |- P = { x e. RR | ( 0 < x /\ ( sin ` x ) = 0 ) } $.
      $( Lemma for ~ pire , ~ pigt2lt4 and ~ sinpi . $)
      pilem3 $p |- ( pi e. RR+ /\ pi e. ( 2 (,) 4 ) /\ ( sin ` pi ) = 0 ) $=
        ( vv vz vw cpi crp wcel c2 c4 cioo co csin cfv cc0 wceq cneg cr cv
        crab clt csup wss c0 wne cle wbr wral wrex wa ssrab2 eqsstr w3a cicc
        eqid pilem1 pm3.26i wb 4re renegcl 2re cxr elioo2t rexrt syl2an mp2an
        mpbi 3simp3i 2pos lt0neg2t ax-mp 3simp1i 0re lttr lt0neg1t cc recn
        sinnegt pm3.27i negeqi neg0 3eqtr breq2 fveq2 eqeq1d anbi12d elrab2
        biimpr mpan ne0i wi ltlet pm3.26bi 3anass bitr4 biimp 3simp2d sylc
        rgen breq1 ralbidv rcla4ev ccnv infmsup df-pi supeq1 eqtr4 syl5eq
        mp3an pilem2 cbvrabv resinclt recnd negeq0t syl recnt bitr4d renegclt
        biantrurd bitrd syl6bbr rabbii eqtr eqeltr breqtrr elrpi ioonegt
        negneg eleq1i bitr2 fveq2i 3pm3.2i ) MNOMPQRSZOMTUAZUBUCMMBUDZUEMJUFZUD
        ZCOZJUEUGZUEUHUIZUDZUUBCUEUJZCUKULZKUFZLUFZUMUNZLCUOZKUEUPZMUUHUCCUBAUF
        ZUHUNZUUPTUAZUBUCZUQZAUEUGZUEIUUTAUEURUSUUBCOZUUJUBUUBUHUNZUUBTUAZUBUCZ
        UVBBUBUHUNZUVCBPUDZUHUNZUVGUBUHUNZUVFBUEOZQUDZBUHUNZUVHBUVKUVGRSZOZUVJU
        VLUVHUTZUVNBTUAZUBUCZABDUUSAUVKUVGVASUGZFGUVRVBVCZVDZUVKUEOZUVGUEOZUVNU
        VOVEZQVFVGPVHVGZUVKVIOUVGVIOUWCUWAUWBUVKUVGBVJUVKVKUVGVKVLVMVNZVOUBPUHU
        NZUVIVPPUEOZUWFUVIVEVHPVQVRVNBUVGUBUVJUVLUVHUWEVSZUWDVTWAVMUVJUVFUVCVEU
        WHBWBVRVNZUVDUVPUDZUBUDUBBWCOUVDUWJUCBUWHWDZBWEVRUVPUBUVNUVQUVSWFWGWHWI
        ZUUBUEOZUVCUVEUQZUVBBUWHVGZUVBUWMUWNUQUUTUWNAUUBUECUUPUUBUCZUUQUVCUUSUV
        EUUPUUBUBUHWJUWPUURUVDUBUUPUUBTWKWLWMIWNWOWPVMCUUBWQVRUBUEOZUBUULUMUNZL
        CUOZUUOVTUWRLCUULUEOZUBUULUHUNZUWRUULCOZUWQUWTUXAUWRWRVTUBUULWSWPUXBUWT
        UXAUULTUAZUBUCZUQZUUTUXEAUULUECUUPUULUCZUUQUXAUUSUXDUUPUULUBUHWJUXFUURU
        XCUBUUPUULTWKWLWMIWNZWTUXBUWTUXAUXDUXBUWTUXAUXDUTZUXBUWTUXEUQUXHUXGUWTU
        XAUXDXAXBXCXDXEXFUUNUWSKUBUEUUKUBUCUUMUWRLCUUKUBUULUMXGXHXIVMUUIUUJUUOU
        TCUEUHXJZUIZUUHMKLJCXKMUVAUEUXIUIZUXJAXLCUVAUCUXJUXKUCIUECUVAUXIXMVRXNX
        OXPBUUGBEUEUHUIZUUGABDEFGHXQEUUFUCUXLUUGUCEUUPUBUHUNZUUSUQZAUEUGUUCUBUH
        UNZUUCTUAZUBUCZUQZJUEUGUUFHUXNUXRAJUEUUPUUCUCZUXMUXOUUSUXQUUPUUCUBUHXGU
        XSUURUXPUBUUPUUCTWKWLWMXRUXRUUEJUEUUCUEOZUXRUUDUEOZUBUUDUHUNZUUDTUAZUBU
        CZUQZUQZUUEUXTUXRUYEUYFUXTUXOUYBUXQUYDUUCWBUXTUXQUXPUDZUBUCZUYDUXTUXPWC
        OUXQUYHVEUXTUXPUUCXSXTUXPYAYBUXTUYCUYGUBUXTUUCWCOUYCUYGUCUUCYCUUCWEYBWL
        YDWMUXTUYAUYEUUCYEYFYGUUTUYEAUUDUECUUPUUDUCZUUQUYBUUSUYDUUPUUDUBUHWJUYI
        UURUYCUBUUPUUDTWKWLWMIWNYHYIWIUEEUUFUHXMVRYJWGXNZUWOYKUBUUBMUHUWIUYJYLY
        MMUUBYTUYJUVNUUBYTOZUVTUYKUUBUDZUVMOZUVNUWGQUEOUWMUYKUYMVEVHVFUWOPQUUBY
        NXPUYLBUVMBUWKYOYPYQVNYKUUAUVDUBMUUBTUYJYRUWLYJYS $.
        $( [23-Jan-2008] $) $( [23-Jan-2008] $)
    $}
  $}

  ${
    $d x y $.
    $( Lemma for ~ pire , ~ pigt2lt4 and ~ sinpi . $)
    pilem4 $p |- ( pi e. RR+ /\ pi e. ( 2 (,) 4 ) /\ ( sin ` pi ) = 0 ) $=
      ( vx vy cv csin cfv cc0 wceq c4 cneg cico co crab cr clt csup wbr wa
      eqid fveq2 eqeq1d cbvrabv supeq1 ax-mp breq2 anbi12d pilem3 ) ABCZDEZFGZB
      HIFJKZLZMNOZFUGNPZUIQZBMLACZDEZFGZAUJLZUOFNPUQQAMLZURRUKURGULURMNOGUIUQBA
      UJUGUOGZUHUPFUGUODSTZUAMUKURNUBUCUSRUNFUONPZUQQBAMUTUMVBUIUQUGUOFNUDVAUEU
      AUF $.
      $( [23-Jan-2008] $) $( [23-Jan-2008] $)
  $}

  $( ` pi ` is between 2 and 4.  (Contributed by Paul Chapman, 23-Jan-2008.) $)
  pigt2lt4 $p |- ( 2 < pi /\ pi < 4 ) $=
    ( cpi cr wcel c2 clt wbr c4 wa w3a cioo co crp csin cfv cc0 wceq pilem4
    3simp2i wb 2re 4re cxr elioo2t rexrt syl2an mp2an mpbi 3anass pm3.27i ) ABC
    ZDAEFZAGEFZHZUJUKULIZUJUMHADGJKCZUNALCUOAMNOPQRDBCZGBCZUOUNSZTUADUBCGUBCURU
    PUQDGAUCDUDGUDUEUFUGUJUKULUHUGUI $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( The sine of ` pi ` is 0.  (Contributed by Paul Chapman, 23-Jan-2008.) $)
  sinpi $p |- ( sin ` pi ) = 0 $=
    ( cpi crp wcel c2 c4 cioo co csin cfv cc0 wceq pilem4 3simp3i ) ABCADEFGCAH
    IJKLM $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( ` pi ` is a real number.  (Contributed by Paul Chapman, 23-Jan-2008.) $)
  pire $p |- pi e. RR $=
    ( cpi crp wcel cr c2 c4 cioo co csin cfv cc0 wceq pilem4 3simp1i rpret
    ax-mp ) ABCZADCQAEFGHCAIJKLMNAOP $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( ` pi ` is positive.  (Contributed by Paul Chapman, 23-Jan-2008.) $)
  pipos $p |- 0 < pi $=
    ( cpi crp wcel cc0 clt wbr c2 c4 cioo co csin cfv wceq pilem4 3simp1i
    rpgt0t ax-mp ) ABCZDAEFRAGHIJCAKLDMNOAPQ $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( Lemma for ~ sinhalfpi and ~ coshalfpi . $)
  sinhalfpilem $p |- ( ( sin ` ( pi / 2 ) ) = 1 /\
                      ( cos ` ( pi / 2 ) ) = 0 ) $=
    ( cpi c2 cdiv co csin cfv c1 wceq ccos cc0 cneg clt wbr wn lt01 0re 1re
    ltnsym ax-mp cr wcel wb lt0neg1t mtbi cioc cle pire 2re 2ne0 redivcl pipos
    2pos divgt0i c4 4re pigt2lt4 pm3.27i ltlei cmul w3a ledivmultOLD mpan2 mp3an
    2t2e4 breq2i bitr2 mpbi elioc2t mp2an biimpr sin02gt0 breq2 mpbii mto cexp
    wo caddc wne resinclt gt0ne0i df-ne 2cn recn divcan2OLD fveq2i cc sin2tt
    sinpi 3eqtr3 sinclt cosclt mulcl mul0or ori opreq1i sq0 eqtr opreq2i
    sincossqt sqcl addid1 3eqtr3r sq1 eqtr4 ax1cn sqeqor mt3 pm3.2i ) ABCDZEFZG
    HZXIIFZJHZXKXJGKZHZXOJXNLMZGJLMZXPJGLMXQNOJGPQRSGTUAXQXPUBQGUCSUDXOJXJLMZXP
    XIJBUEDUAZXRXITUAZJXILMZXIBUFMZXSABUGUHUIUJZABUGUHUKULUMAUNUFMZYBAUNUGUOBAL
    MAUNLMUPUQURYBABBUSDZUFMZYDATUAZBTUAZYHYBYFUBZUGUHUHYGYHYHUTJBLMYIULABBVAVB
    VCYEUNAUFVDVEVFVGXSXTYAYBUTZJTUAYHXSYJUBPUHJBXIVHVIVJVCXIVKSZXJXNJLVLVMVNXK
    XOXJBVODZGBVODZHXKXOVPYLGYMYLXLBVODZVQDZYLJVQDGYLYNJYLVQYNJBVODJXLJBVOXJJHZ
    NZXMXJJVRYQXJXTXJTUAYCXIVSSYKVTXJJWAVGYPXMXJXLUSDZJHZYPXMVPBJHZNZYSBJVRUUAU
    IBJWAVGYTYSBYRUSDZJHYTYSVPBXIUSDZEFZAEFUUBJUUCAEBAWBAUGWCUIWDWEXIWFUAZUUDUU
    BHXIYCWCZXIWGSWHWIBYRWBXJXLUUEXJWFUAUUFXIWJSZUUEXLWFUAUUFXIWKSZWLWMVGWNSXJX
    LUUGUUHWMVGWNSZWOWPWQWRUUEYOGHUUFXIWSSYLXJUUGWTXAXBXCXDXJGUUGXEXFVGWNXGUUIX
    H $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( The sine of ` pi / 2 ` is 1.  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  sinhalfpi $p |- ( sin ` ( pi / 2 ) ) = 1 $=
    ( cpi c2 cdiv co csin cfv c1 wceq ccos cc0 sinhalfpilem pm3.26i ) ABCDZEFGH
    MIFJHKL $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( The cosine of ` pi / 2 ` is 0.  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  coshalfpi $p |- ( cos ` ( pi / 2 ) ) = 0 $=
    ( cpi c2 cdiv co csin cfv c1 wceq ccos cc0 sinhalfpilem pm3.27i ) ABCDZEFGH
    MIFJHKL $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( The cosine of ` pi ` is ` -u 1 ` .  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  cospi $p |- ( cos ` pi ) = -u 1 $=
    ( c2 cpi cdiv co cmul ccos cfv cexp c1 cmin cneg pire recn 2cn 2ne0 divcl
    cos2tOLD divcan2OLD fveq2i cc0 coshalfpi opreq1i sq0 eqtr opreq2i mul01
    df-neg eqtr4 3eqtr3 ) ABACDZEDZFGAUJFGZAHDZEDZIJDZBFGIKZUJBABLMZNOPQUKBFABN
    UQORSUOTIJDUPUNTIJUNATEDTUMTAEUMTAHDTULTAHUAUBUCUDUEANUFUDUBIUGUHUI $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( Euler's identity.  (Contributed by Paul Chapman, 23-Jan-2008.) $)
  eulerid $p |- ( ( exp ` ( i x. pi ) ) + 1 ) = 0 $=
    ( ci cpi cmul co ce cfv c1 caddc cneg cmin cc0 ccos csin cc wcel wceq pire
    recn efivalt ax-mp cospi sinpi opreq2i axicn mul01 eqtr opreq12i ax1cn
    negcl addid1 3eqtr opreq1i negsubdi subid negeqi neg0 3eqtr2 ) ABCDEFZGHDGI
    ZGHDGGJDZIZKURUSGHURBLFZABMFZCDZHDZUSKHDUSBNOURVEPBQRBSTVBUSVDKHUAVDAKCDKVC
    KACUBUCAUDUEUFUGUSGUHUIUJUKULGGUHUHUMVAKIKUTKGUHUNUOUPUFUQ $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( The sine of ` 2 pi ` is 0.  (Contributed by Paul Chapman, 23-Jan-2008.) $)
  sin2pi $p |- ( sin ` ( 2 x. pi ) ) = 0 $=
    ( c2 cpi cmul co csin cfv ccos cc0 cc wcel wceq pire recn sin2tt ax-mp c1
    cneg sinpi cospi opreq12i ax1cn negcl mul02 eqtr opreq2i 2cn mul01 3eqtr )
    ABCDEFZABEFZBGFZCDZCDZAHCDHBIJUIUMKBLMBNOULHACULHPQZCDHUJHUKUNCRSTUNPUAUBUC
    UDUEAUFUGUH $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( The cosine of ` 2 pi ` is 1.  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  cos2pi $p |- ( cos ` ( 2 x. pi ) ) = 1 $=
    ( c2 cpi cmul co ccos cfv cexp c1 cmin pire recn cos2tOLD cneg cospi
    opreq1i cc wcel wceq ax1cn sqnegt ax-mp sq1 3eqtr opreq2i 2cn mulid1 eqtr
    caddc df-2 eqcomi subaddri ) ABCDEFABEFZAGDZCDZHIDAHIDHBBJKLUNAHIUNAHCDAUMH
    ACUMHMZAGDZHAGDZHULUOAGNOHPQUPUQRSHTUAUBUCUDAUEUFUGOAHHUESSAHHUHDUIUJUKUC
    $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( Lemma for ~ sin2kpi and ~ cos2kpi . $)
  sinperlem1 $p  |- ( K e. NN0 ->
                      ( ( cos ` ( K x. ( 2 x. pi ) ) ) = 1 /\
                        ( sin ` ( K x. ( 2 x. pi ) ) ) = 0 ) ) $=
    ( cn0 wcel c2 cpi cmul co ccos cfv ci csin caddc c1 cc0 wceq wa cexp cc
    2re pire remulcl recn demoivre mpan 1expt cos2pi sin2pi opreq2i axicn
    mul01 eqtr opreq12i ax1cn addid1 opreq1i syl5eq eqtr3d a1i eqtr4d cr wb
    1re 0re pm3.2i crut mpan2 nn0ret axmulrcl syl recosclt resinclt sylanc
    mpbid ) ABCZADEFGZFGZHIZJVPKIZFGLGZMJNFGZLGZOZVQMOVRNOPZVNVSMWAVNVOHIZJVOKI
    ZFGZLGZAQGZVSMVORCVNWHVSOVODESTUAZUBVOAUCUDVNMAQGMWHAUEWGMAQWGMNLGZMWDMWFNL
    UFWFVTNWENJFUGUHJUIUJZUKULMUMUNZUKUOUPUQWAMOVNWAWJMVTNMLWKUHWLUKURUSVQUTCZV
    RUTCZWBWCVAZVNWMWNPMUTCZNUTCZPWOWPWQVBVCVDVQVRMNVEVFVNVPUTCZWMVNAUTCZWRAVGW
    SVOUTCWRWIAVOVHVFVIZVPVJVIVNWRWNWTVPVKVIVLVM $.
    $( [15-Mar-2008] $) $( [23-Jan-2008] $)

  $( Lemma for ~ sin2kpi and ~ cos2kpi . $)
  sinperlem2 $p |- ( K e. ZZ ->
                     ( ( cos ` ( K x. ( 2 x. pi ) ) ) = 1 /\
                       ( sin ` ( K x. ( 2 x. pi ) ) ) = 0 ) ) $=
    ( cz wcel c2 cpi cmul co ccos cfv c1 wceq csin cc0 wa wo cneg cn0 cr
    elznn0 pm3.27bi sinperlem1 orim12i syl cc mulneg1t zcnt 2cn pire recn
    mulcl a1i sylanc fveq2d eqeq1d axmulcl cosnegt bitr2d sinnegt wb sinclt
    negeq0t 3syl 3bitr4rd anbi12d orbi2d mpbird oridm sylib ) ABCZADEFGZFGZHIZJ
    KZVKLIZMKZNZVPOZVPVIVQVPAPZVJFGZHIZJKZVSLIZMKZNZOZVIAQCZVRQCZOZWEVIARCWHAST
    WFVPWGWDAUAVRUAUBUCVIVPWDVPVIVMWAVOWCVIWAVKPZHIZJKVMVIVTWJJVIVSWIHAUDCZVJUD
    CZVSWIKVIAVJUEAUFZWLVIDEUGEUHUIUJUKZULZUMUNVIWJVLJVIVKUDCZWJVLKWKWLWPVIAVJU
    OWMWNULZVKUPUCUNUQVIWILIZMKVNPZMKZWCVOVIWRWSMVIWPWRWSKWQVKURUCUNVIWBWRMVIVS
    WILWOUMUNVIWPVNUDCVOWTUSWQVKUTVNVAVBVCVDVEVFVPVGVH $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( If ` K ` is an integer, the sine of ` 2 K pi ` is 0.
     (Contributed by Paul Chapman, 23-Jan-2008.) $)
  sin2kpi $p |- ( K e. ZZ -> ( sin ` ( K x. ( 2 x. pi ) ) ) = 0 ) $=
    ( cz wcel c2 cpi cmul co ccos cfv c1 wceq csin cc0 sinperlem2 pm3.27d ) ABC
    ADEFGFGZHIJKPLIMKANO $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( If ` K ` is an integer, the cosine of ` 2 K pi ` is 1.
     (Contributed by Paul Chapman, 23-Jan-2008.) $)
  cos2kpi $p |- ( K e. ZZ -> ( cos ` ( K x. ( 2 x. pi ) ) ) = 1 ) $=
    ( cz wcel c2 cpi cmul co ccos cfv c1 wceq csin cc0 sinperlem2 pm3.26d ) ABC
    ADEFGFGZHIJKPLIMKANO $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( The sine function is periodic.  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  sinper $p |- ( ( A e. CC /\ K e. ZZ ) ->
                 ( sin ` ( A + ( K x. ( 2 x. pi ) ) ) ) = ( sin ` A ) ) $=
    ( cc wcel cz wa c2 cpi cmul co caddc csin cfv ccos cc0 wceq sinaddt zcnt
    2cn pire recn mulcl axmulcl mpan2 syl sylan2 c1 cos2kpi opreq2d sinclt
    ax1id sylan9eqr sin2kpi cosclt mul01t opreq12d ax0id adantr 3eqtrd ) ACDZBE
    DZFZABGHIJZIJZKJLMZALMZVDNMZIJZANMZVDLMZIJZKJZVFOKJZVFUTVDCDZVEVLPVAAVDQVAB
    CDZVNBRVOVCCDVNGHSHTUAUBBVCUCUDUEUFVBVHVFVKOKVAUTVHVFUGIJZVFVAVGUGVFIBUHUIU
    TVFCDZVPVFPAUJZVFUKUEULVAUTVKVIOIJZOVAVJOVIIBUMUIUTVICDVSOPAUNVIUOUEULUPUTV
    MVFPZVAUTVQVTVRVFUQUEURUS $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( The cosine function is periodic.  (Contributed by Paul Chapman,
     23-Jan-2008.) $)
  cosper $p |- ( ( A e. CC /\ K e. ZZ ) ->
                 ( cos ` ( A + ( K x. ( 2 x. pi ) ) ) ) = ( cos ` A ) ) $=
    ( cc wcel cz wa c2 cpi cmul co caddc ccos cfv csin cmin cc0 wceq cosaddt
    zcnt 2cn pire recn mulcl axmulcl mpan2 syl sylan2 c1 cos2kpi opreq2d
    cosclt ax1id sylan9eqr sin2kpi sinclt mul01t opreq12d subid1t adantr
    3eqtrd ) ACDZBEDZFZABGHIJZIJZKJLMZALMZVELMZIJZANMZVENMZIJZOJZVGPOJZVGVAVECD
    ZVFVMQVBAVERVBBCDZVOBSVPVDCDVOGHTHUAUBUCBVDUDUEUFUGVCVIVGVLPOVBVAVIVGUHIJZV
    GVBVHUHVGIBUIUJVAVGCDZVQVGQAUKZVGULUFUMVBVAVLVJPIJZPVBVKPVJIBUNUJVAVJCDVTPQ
    AUOVJUPUFUMUQVAVNVGQZVBVAVRWAVSVGURUFUSUT $.
    $( [23-Jan-2008] $) $( [23-Jan-2008] $)

  $( Sine of a number subtracted from ` 2 x. pi ` . (Contributed by Paul
     Chapman, 15-Mar-2008.) $)
  sin2pim $p |- ( A e. CC ->
                ( sin ` ( ( 2 x. pi ) - A ) ) = -u ( sin ` A ) ) $=
    ( cc wcel cneg c1 c2 cpi cmul co caddc csin cfv cmin wceq negclt cz 1z
    sinper mpan2 syl 2cn pire recn mulcl wa negsubdit negsubdi2t eqtr3d mulid2
    opreq2i syl5eq fveq2d sinnegt 3eqtr3d ) ABCZADZEFGHIZHIZJIZKLZUPKLZUQAMIZKL
    AKLDUOUPBCZUTVANZAOVCEPCVDQUPERSTUOUSVBKUOUPUQJIZVBUSUOUQBCZVEVBNFGUAGUBUCU
    DZUOVFUEAUQMIDVEVBAUQUFAUQUGUHSURUQUPJUQVGUIUJUKULAUMUN $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  $( Cosine of a number subtracted from ` 2 x. pi ` . (Contributed by Paul
     Chapman, 15-Mar-2008.) $)
  cos2pim $p |- ( A e. CC -> ( cos ` ( ( 2 x. pi ) - A ) ) = ( cos ` A ) ) $=
    ( cc wcel cneg c1 c2 cpi cmul co caddc ccos cfv cmin wceq negclt cz 1z
    cosper mpan2 syl 2cn pire recn mulcl wa negsubdit negsubdi2t eqtr3d mulid2
    opreq2i syl5eq fveq2d cosnegt 3eqtr3d ) ABCZADZEFGHIZHIZJIZKLZUPKLZUQAMIZKL
    AKLUOUPBCZUTVANZAOVCEPCVDQUPERSTUOUSVBKUOUPUQJIZVBUSUOUQBCZVEVBNFGUAGUBUCUD
    ZUOVFUEAUQMIDVEVBAUQUFAUQUGUHSURUQUPJUQVGUIUJUKULAUMUN $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  $( Sine of a number less ` pi ` . (Contributed by Paul Chapman,
     15-Mar-2008.) $)
  sinmpi $p |- ( A e. CC -> ( sin ` ( A - pi ) ) = -u ( sin ` A ) ) $=
    ( cc wcel cpi cmin co csin cfv ccos cmul cneg cc0 wceq pire recn sinsubt
    mpan2 c1 sinclt ax1cn negcl axmulcom mulm1t eqtrd syl cospi opreq2i syl5eq
    cosclt mul01t sinpi opreq12d negclt subid1t 3syl 3eqtrd ) ABCZADEFGHZAGHZDI
    HZJFZAIHZDGHZJFZEFZUSKZLEFZVFUQDBCURVEMDNOADPQUQVAVFVDLEUQUSRKZJFZVFVAUQUSB
    CZVIVFMASZVJVIVHUSJFZVFVJVHBCVIVLMRTUAUSVHUBQUSUCUDUEUTVHUSJUFUGUHUQVBLJFZL
    VDUQVBBCVMLMAUIVBUJUEVCLVBJUKUGUHULUQVJVFBCVGVFMVKUSUMVFUNUOUP $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  $( Cosine of a number less ` pi ` . (Contributed by Paul Chapman,
     15-Mar-2008.) $)
  cosmpi $p |- ( A e. CC -> ( cos ` ( A - pi ) ) = -u ( cos ` A ) ) $=
    ( cc wcel cpi cmin co ccos cfv cmul csin caddc cneg cc0 wceq pire recn
    cossubt mpan2 c1 cosclt ax1cn negcl axmulcom mulm1t eqtrd syl cospi
    opreq2i syl5eq sinclt mul01t sinpi opreq12d negclt addid1t 3syl 3eqtrd ) AB
    CZADEFGHZAGHZDGHZIFZAJHZDJHZIFZKFZUTLZMKFZVGURDBCUSVFNDOPADQRURVBVGVEMKURUT
    SLZIFZVGVBURUTBCZVJVGNATZVKVJVIUTIFZVGVKVIBCVJVMNSUAUBUTVIUCRUTUDUEUFVAVIUT
    IUGUHUIURVCMIFZMVEURVCBCVNMNAUJVCUKUFVDMVCIULUHUIUMURVKVGBCVHVGNVLUTUNVGUOU
    PUQ $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  $( Sine of a number plus ` pi ` . $)
  sinppi $p |- ( A e. CC -> ( sin ` ( A + pi ) ) = -u ( sin ` A ) ) $=
    ( cc wcel c1 c2 cpi cmul co caddc cmin csin cfv cneg wceq ax1cn 2cn pire
    recn mulcl addclt mpan2 sinmpi syl addsubasst mp3an23 mulid2 2times eqtr
    opreq1i pncant mp2an opreq2i syl6eq fveq2d cz 1z sinper negeqd 3eqtr3d ) AB
    CZADEFGHZGHZIHZFJHZKLZVCKLZMZAFIHZKLAKLZMUTVCBCZVEVGNUTVBBCZVJDVAOEFPFQRZSZ
    SZAVBTUAVCUBUCUTVDVHKUTVDAVBFJHZIHZVHUTVKFBCZVDVPNVNVLAVBFUDUEVOFAIVOFFIHZF
    JHZFVBVRFJVBVAVRVAVMUFFVLUGUHUIVQVQVSFNVLVLFFUJUKUHULUMUNUTVFVIUTDUOCVFVINU
    PADUQUAURUS $.
    $( [10-Aug-2008] $) $( [10-Aug-2008] $)

  $( The sine of an integer times pi is 0. $)
  sinkpi $p |- ( K e. ZZ -> ( sin ` ( K x. pi ) ) = 0 ) $=
    ( cz wcel c2 cdiv co c1 caddc wo cpi cmul csin cfv cc0 wceq zeot cc zcnt
    wne 2cn 2ne0 divcan1tOLD mp3an13 opreq1d halfclt pire recn mulasst mp3an23
    syl eqtr3d fveq2d sin2kpi sylan9eq wa cneg peano2cn ax1cn adddirt eqtrd
    mulid2 opreq2i syl6eq mulclt mpan2 sinppi eqtr2d wb sinclt negeq0t adantr
    mpbird jaodan mpdan ) ABCZADEFZBCZAGHFZDEFZBCZIAJKFZLMZNOZAPVOVQWCVTVOVQWBV
    PDJKFZKFZLMNVOWAWELVOAQCZWAWEOARZWFVPDKFZJKFZWAWEWFWHAJKDQCZWFDNSZWHAOTUADA
    UBUCUDWFVPQCZWIWEOZAUEWLWJJQCZWMTJUFUGZVPDJUHUIUJUKUJULVPUMUNVOVTUOWCWBUPZN
    OZVOVTWPVSWDKFZLMZNVOWFWPWSOWGWFWSWAJHFZLMZWPWFWRWTLWFWRWAGJKFZHFZWTWFWRVRJ
    KFZXCWFVRQCZWRXDOAUQXEVSDKFZJKFZWRXDXEVSQCZXGWROZVRUEXHWJWNXITWOVSDJUHUIUJX
    EXFVRJKWJXEWKXFVROTUADVRUBUCUDUKUJWFGQCWNXDXCOURWOAGJUSUIUTXBJWAHJWOVAVBVCU
    LWFWAQCZXAWPOWFWNXJWOAJVDVEZWAVFUJVGUJVSUMUNVOWCWQVHZVTVOWBQCZXLVOXJXMVOWFX
    JWGXKUJWAVIUJWBVJUJVKVLVMVN $.
    $( [11-Aug-2008] $) $( [11-Aug-2008] $)

  $( The exponential function of ` i ` times a real number less ` pi ` .
     (Contributed by Paul Chapman, 15-Mar-2008.) $)
  efimpi $p |- ( A e. CC ->
                 ( exp ` ( i x. ( A - pi ) ) ) = -u ( exp ` ( i x. A ) ) ) $=
    ( cc wcel ccos cfv ci csin cmul co caddc cneg cpi cmin ce wceq negdit
    cosclt sinclt axicn axmulcl mpan syl sylanc cosmpi sinmpi opreq2d mulneg2t
    eqtrd opreq12d eqtr4d efivalt negeqd pire recn subclt mpan2 3eqtr4rd ) ABCZ
    ADEZFAGEZHIZJIZKZALMIZDEZFVDGEZHIZJIZFAHINEZKFVDHINEZURVCUSKZVAKZJIZVHUSBCV
    ABCZVCVMOURUSVAPAQURUTBCZVNARZFBCZVOVNSFUTTUAUBUCURVEVKVGVLJAUDURVGFUTKZHIZ
    VLURVFVRFHAUEUFURVOVSVLOZVPVQVOVTSFUTUGUAUBUHUIUJURVIVBAUKULURVDBCZVJVHOURL
    BCWALUMUNALUOUPVDUKUBUQ $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  $( The sine of ` pi / 2 ` plus a number.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  sinhalfpip $p |- ( A e. CC -> ( sin ` ( ( pi / 2 ) + A ) ) = ( cos ` A ) ) $=
    ( cc wcel cpi c2 cdiv co caddc csin cfv ccos cmul cc0 wceq pire recn 2cn
    2ne0 divcl sinaddt mpan c1 cosclt mulid2t syl sinhalfpi opreq1i syl5eq
    sinclt mul02t coshalfpi opreq12d ax0id 3eqtrd ) ABCZDEFGZAHGIJZUPIJZAKJZLGZ
    UPKJZAIJZLGZHGZUSMHGZUSUPBCUOUQVDNDEDOPQRSUPATUAUOUTUSVCMHUOUBUSLGZUSUTUOUS
    BCZVFUSNAUCZUSUDUEURUBUSLUFUGUHUOMVBLGZMVCUOVBBCVIMNAUIVBUJUEVAMVBLUKUGUHUL
    UOVGVEUSNVHUSUMUEUN $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  $( The sine of ` pi / 2 ` minus a number.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  sinhalfpim $p |- ( A e. CC -> ( sin ` ( ( pi / 2 ) - A ) ) = ( cos ` A ) ) $=
    ( cc wcel cpi c2 cdiv co cmin csin cfv ccos cmul cc0 wceq pire recn 2cn
    2ne0 divcl sinsubt mpan c1 cosclt mulid2t syl sinhalfpi opreq1i syl5eq
    sinclt mul02t coshalfpi opreq12d subid1t 3eqtrd ) ABCZDEFGZAHGIJZUPIJZAKJZL
    GZUPKJZAIJZLGZHGZUSMHGZUSUPBCUOUQVDNDEDOPQRSUPATUAUOUTUSVCMHUOUBUSLGZUSUTUO
    USBCZVFUSNAUCZUSUDUEURUBUSLUFUGUHUOMVBLGZMVCUOVBBCVIMNAUIVBUJUEVAMVBLUKUGUH
    ULUOVGVEUSNVHUSUMUEUN $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  $( The cosine of ` pi / 2 ` plus a number.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  coshalfpip $p |- ( A e. CC ->
                     ( cos ` ( ( pi / 2 ) + A ) ) = -u ( sin ` A ) ) $=
    ( cc wcel cpi c2 cdiv co ccos cfv cmul csin cmin cc0 caddc cneg wceq
    cosclt mul02t syl coshalfpi opreq1i syl5eq c1 sinclt mulid2t sinhalfpi
    opreq12d pire recn 2cn 2ne0 divcl cosaddt mpan df-neg a1i 3eqtr4d ) ABCZDEF
    GZHIZAHIZJGZUSKIZAKIZJGZLGZMVDLGZUSANGHIZVDOZURVBMVEVDLURMVAJGZMVBURVABCVJM
    PAQVARSUTMVAJTUAUBURUCVDJGZVDVEURVDBCVKVDPAUDVDUESVCUCVDJUFUAUBUGUSBCURVHVF
    PDEDUHUIUJUKULUSAUMUNVIVGPURVDUOUPUQ $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  $( The cosine of ` pi / 2 ` minus a number.  (Contributed by Paul Chapman,
     24-Jan-2008.) $)
  coshalfpim $p |- ( A e. CC -> ( cos ` ( ( pi / 2 ) - A ) ) = ( sin ` A ) ) $=
    ( cc wcel cpi c2 cdiv co cmin ccos cfv cmul csin caddc cc0 wceq pire recn
    2cn 2ne0 divcl cossubt mpan cosclt mul02t syl coshalfpi opreq1i syl5eq c1
    sinclt mulid2t sinhalfpi opreq12d addid2t 3eqtrd ) ABCZDEFGZAHGIJZUQIJZAIJZ
    KGZUQLJZALJZKGZMGZNVCMGZVCUQBCUPURVEODEDPQRSTUQAUAUBUPVANVDVCMUPNUTKGZNVAUP
    UTBCVGNOAUCUTUDUEUSNUTKUFUGUHUPUIVCKGZVCVDUPVCBCZVHVCOAUJZVCUKUEVBUIVCKULUG
    UHUMUPVIVFVCOVJVCUNUEUO $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  $( Lemma for ~ sincosq1sgn . $)
  sincosq1lem $p |- ( ( A e. RR /\ 0 < A /\ A < ( pi / 2 ) ) ->
                      0 < ( sin ` A ) ) $=
    ( cr wcel cc0 clt wbr c2 cle csin cfv cpi cdiv co w3a cioc wb 0re 2re
    elioc2t mp2an sin02gt0 sylbir wi pire 2ne0 redivcl ltlet mpan2 c4 4re
    pigt2lt4 pm3.27i ltlei cmul 2pos ledivmultOLD mp3an 2t2e4 breq2i bitr mpbir
    wa letrt mp3an23 mpan2i syld adantr 3impia syld3an3 ) ABCZDAEFZAGHFZDAIJEFZ
    AKGLMZEFZVJVKVLNZADGOMCZVMDBCGBCZVQVPPQRDGASTAUAUBVJVKVOVLVJVOVLUCVKVJVOAVN
    HFZVLVJVNBCZVOVSUCKGUDRUEUFZAVNUGUHVJVSVNGHFZVLWBKUIHFZKUIUDUJGKEFKUIEFUKUL
    UMWBKGGUNMZHFZWCKBCZVRVRWBWEPZUDRRWFVRVRNDGEFWGUOKGGUPUHUQWDUIKHURUSUTVAVJV
    TVRVSWBVBVLUCWARAVNGVCVDVEVFVGVHVI $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  $( The signs of the sine and cosine functions in the first quadrant.
     (Contributed by Paul Chapman, 24-Jan-2008.) $)
  sincosq1sgn $p |- ( A e. ( 0 (,) ( pi / 2 ) ) ->
                      ( 0 < ( sin ` A ) /\ 0 < ( cos ` A ) ) ) $=
    ( cc0 cpi c2 cdiv co cioo wcel cr clt wbr w3a csin cfv ccos wa wb 0re pire
    2re 2ne0 redivcl cxr elioo2t rexrt syl2an mp2an sincosq1lem cmin resubclt
    mpan syl3an1 3expib ltsub13t mp3an12 recn subid1 breq2i syl6bb ltsub23t
    mp3an13 subid breq1i anbi12d ancom cc wceq recnt sinhalfpim syl breq2d
    3imtr3d 3impib jca sylbi ) ABCDEFZGFHZAIHZBAJKZAVPJKZLZBAMNJKZBAONZJKZPBIHZ
    VPIHZVQWAQZRCDSTUAUBZBUCHVPUCHWGWEWFBVPAUDBUEVPUEUFUGWAWBWDAUHVRVSVTWDVRBVP
    AUIFZJKZWIVPJKZPZBWIMNZJKZVSVTPZWDVRWJWKWNWIIHZWJWKWNVRWIUHWFVRWPWHVPAUJUKU
    LUMVRWLVTVSPWOVRWJVTWKVSVRWJAVPBUIFZJKZVTWEWFVRWJWRQRWHBVPAUNUOWQVPAJVPVPWH
    UPZUQURUSVRWKVPVPUIFZAJKZVSWFVRWFWKXAQWHWHVPAVPUTVAWTBAJVPWSVBVCUSVDVTVSVEU
    SVRWMWCBJVRAVFHWMWCVGAVHAVIVJVKVLVMVNVO $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  $( The signs of the sine and cosine functions in the second quadrant.
     (Contributed by Paul Chapman, 24-Jan-2008.) $)
  sincosq2sgn $p |- ( A e. ( ( pi / 2 ) (,) pi ) ->
                      ( 0 < ( sin ` A ) /\ ( cos ` A ) < 0 ) ) $=
    ( cpi c2 cdiv co cioo wcel cr clt wbr w3a cc0 csin cfv ccos wa wb pire 2re
    2ne0 redivcl cxr elioo2t rexrt syl2an mp2an cmin cneg 0re sincosq1sgn
    sylbir resubclt mpan2 syl3an1 3expib ltsub13t mp3an13 cc wceq recnt
    subid1t syl breq2d bitrd caddc ltsubaddt mp3an23 recn 2halvest ax-mp
    breq2i syl6bb anbi12d resinclt lt0neg2t 3syl anbi1d 3imtr3d pncan3t mpan
    fveq2d recnd coshalfpip eqtr3d breq1d sinhalfpip sylibrd 3impib ancom
    sylib sylbi ) ABCDEZBFEGZAHGZWLAIJZABIJZKZLAMNZIJZAONZLIJZPZWLHGZBHGZWMWQQZ
    BCRSTUAZRWLUBGZBUBGXEXCXDWLBAUCWLUDZBUDUEUFWQXAWSPZXBWNWOWPXIWNWOWPPZAWLUGE
    ZMNZUHZLIJZLXKONZIJZPZXIWNLXKIJZXKWLIJZPLXLIJZXPPZXJXQWNXRXSYAXKHGZXRXSYAWN
    YBXRXSKZXKLWLFEGZYALHGZXCYDYCQZUIXFLUBGXGYFYEXCLWLXKUCLUDXHUEUFXKUJUKWNXCYB
    XFAWLULUMZUNUOWNXRWOXSWPWNXRWLALUGEZIJZWOYEWNXCXRYIQUIXFLAWLUPUQWNYHAWLIWNA
    URGZYHAUSAUTZAVAVBVCVDWNXSAWLWLVEEZIJZWPWNXCXCXSYMQXFXFAWLWLVFVGYLBAIBURGYL
    BUSBRVHBVIVJVKVLVMWNXTXNXPWNYBXLHGXTXNQYGXKVNXLVOVPVQVRWNXAXNWSXPWNWTXMLIWN
    WLXKVEEZONZWTXMWNYNAOWNYJYNAUSZYKWLURGYJYPWLXFVHWLAVSVTVBZWAWNXKURGZYOXMUSW
    NXKYGWBZXKWCVBWDWEWNWRXOLIWNYNMNZWRXOWNYNAMYQWAWNYRYTXOUSYSXKWFVBWDVCVMWGWH
    XAWSWIWJWK $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  $( The signs of the sine and cosine functions in the third quadrant.
     (Contributed by Paul Chapman, 24-Jan-2008.) $)
  sincosq3sgn $p |- ( A e. ( pi (,) ( 3 x. ( pi / 2 ) ) ) ->
                      ( ( sin ` A ) < 0 /\ ( cos ` A ) < 0 ) ) $=
    ( cpi c3 c2 cdiv co cmul cioo wcel cr clt wbr w3a csin cfv cc0 ccos wa wb
    pire 3re 2re 2ne0 redivcl remulcl cxr elioo2t rexrt syl2an mp2an cmin cneg
    caddc ltaddsubt mp3an12 cc wceq recn 2halvest ax-mp breq1i syl5bbr
    ltsubaddt mp3an23 c1 df-3 opreq1i 2cn ax1cn adddir divcan2OLD mulid2 opreq12i
    3eqtrr breq2i syl6rbb anbi12d sincosq2sgn ancom 3imtr3 resubclt mpan2
    syl3an1 3expib sylbid resinclt lt0neg2t 3syl anbi2d sylibd recnt pncan3t
    mpan syl fveq2d recnd sinhalfpip eqtr3d breq1d coshalfpip sylibrd 3impib
    sylbi ) ABCBDEFZGFZHFIZAJIZBAKLZAXEKLZMZANOZPKLZAQOZPKLZRZBJIZXEJIZXFXJSZTC
    XDUABDTUBUCUDZUEBUFIZXEUFIXRXPXQBXEAUGBUHZXEUHUIUJXGXHXIXOXGXHXIRZAXDUKFZQO
    ZPKLZYCNOZULZPKLZRZXOXGYBYEPYFKLZRZYIXGYBXDYCKLZYCBKLZRYKXGXHYLXIYMXGXDXDUM
    FZAKLZYLXHXDJIZYPXGYOYLSXSXSXDXDAUNUOYNBAKBUPIYNBUQBTURZBUSUTVAVBXGYMABXDUM
    FZKLZXIXGYPXPYMYSSXSTAXDBVCVDYRXEAKXEDVEUMFZXDGFDXDGFZVEXDGFZUMFYRCYTXDGVFV
    GDVEXDVHVIXDXSURZVJUUABUUBXDUMDBVHYQUCVKXDUUCVLVMVNVOVPVQXGYLYMYKYCJIZYLYMY
    KXGYCXDBHFIZYJYERUUDYLYMMZYKYCVRYPXPUUEUUFSZXSTXDUFIXTUUGYPXPXDBYCUGXDUHYAU
    IUJYJYEVSVTXGYPUUDXSAXDWAWBZWCWDWEXGYJYHYEXGUUDYFJIYJYHSUUHYCWFYFWGWHWIWJXG
    XLYEXNYHXGXKYDPKXGXDYCUMFZNOZXKYDXGUUIANXGAUPIZUUIAUQZAWKXDUPIUUKUULUUCXDAW
    LWMWNZWOXGYCUPIZUUJYDUQXGYCUUHWPZYCWQWNWRWSXGXMYGPKXGUUIQOZXMYGXGUUIAQUUMWO
    XGUUNUUPYGUQUUOYCWTWNWRWSVQXAXBXC $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  $( The signs of the sine and cosine functions in the fourth quadrant.
     (Contributed by Paul Chapman, 24-Jan-2008.) $)
  sincosq4sgn $p |- ( A e. ( ( 3 x. ( pi / 2 ) ) (,) ( 2 x. pi ) ) ->
                      ( ( sin ` A ) < 0 /\ 0 < ( cos ` A ) ) ) $=
    ( c3 cpi c2 cdiv co cmul cioo wcel cr clt wbr w3a csin cfv cc0 ccos wa wb
    3re pire 2re 2ne0 redivcl remulcl cxr elioo2t rexrt syl2an mp2an cmin cneg
    caddc ltaddsubt mp3an12 c1 df-3 opreq1i 2cn ax1cn recn adddir divcan2OLD
    mulid2 opreq12i 3eqtrr breq1i syl5bbr ltsubaddt mp3an23 c4 df-4 opreq2i cc
    wceq 4re wne div12t mpan2 mp3an 4d2e2 mulcom 3eqtr eqtr breq2i syl6rbb
    anbi12d sincosq3sgn sylbir resubclt syl3an1 3expib sylbid resinclt
    lt0neg1t 3syl anbi1d sylibd recnt pncan3t mpan syl fveq2d recnd coshalfpip
    eqtr3d breq2d sinhalfpip breq1d sylibrd 3impib ancom sylib sylbi ) ABCDEFZG
    FZDCGFZHFIZAJIZXPAKLZAXQKLZMZANOZPKLZPAQOZKLZRZXPJIZXQJIZXRYBSZBXOTCDUAUBUC
    UDZUEZDCUBUAUEXPUFIZXQUFIYJYHYIXPXQAUGXPUHZXQUHUIUJYBYFYDRZYGXSXTYAYOXSXTYA
    RZPAXOUKFZNOZULZKLZYQQOZPKLZRZYOXSYPYRPKLZUUBRZUUCXSYPCYQKLZYQXPKLZRUUEXSXT
    UUFYAUUGXSCXOUMFZAKLZUUFXTCJIZXOJIZXSUUIUUFSUAYKCXOAUNUOUUHXPAKXPDUPUMFZXOG
    FDXOGFZUPXOGFZUMFUUHBUULXOGUQURDUPXOUSUTXOYKVAZVBUUMCUUNXOUMDCUSCUAVAZUCVCX
    OUUOVDZVEVFVGVHXSUUGAXPXOUMFZKLZYAXSUUKYHUUGUUSSYKYLAXOXPVIVJUURXQAKUURVKXO
    GFZXQUUTBUPUMFZXOGFXPUUNUMFUURVKUVAXOGVLURBUPXOBTVAUTUUOVBUUNXOXPUMUUQVMVFU
    UTCVKDEFZGFZCDGFXQVKVNIZCVNIZDVNIZUUTUVCVOZVKVPVAUUPUSUVDUVEUVFMDPVQUVGUCVK
    CDVRVSVTUVBDCGWAVMCDUUPUSWBWCWDWEWFWGXSUUFUUGUUEYQJIZUUFUUGUUEXSUVHUUFUUGMZ
    YQCXPHFIZUUEUUJYHUVJUVISZUAYLCUFIYMUVKUUJYHCXPYQUGCUHYNUIUJYQWHWIXSUUKUVHYK
    AXOWJVSZWKWLWMXSUUDYTUUBXSUVHYRJIUUDYTSUVLYQWNYRWOWPWQWRXSYFYTYDUUBXSYEYSPK
    XSXOYQUMFZQOZYEYSXSUVMAQXSAVNIZUVMAVOZAWSXOVNIUVOUVPUUOXOAWTXAXBZXCXSYQVNIZ
    UVNYSVOXSYQUVLXDZYQXEXBXFXGXSYCUUAPKXSUVMNOZYCUUAXSUVMANUVQXCXSUVRUVTUUAVOU
    VSYQXHXBXFXIWGXJXKYFYDXLXMXN $.
    $( [24-Jan-2008] $) $( [24-Jan-2008] $)

  $( The sine of a number strictly between ` 0 ` and ` pi ` is positive.
     (Contributed by Paul Chapman, 15-Mar-2008.) $)
  sinq12gt0t $p |- ( A e. ( 0 (,) pi ) -> 0 < ( sin ` A ) ) $=
    ( cc0 cpi cioo co wcel cr clt wbr w3a csin cfv wb 0re pire cxr elioo2t
    rexrt syl2an mp2an c2 cdiv ccos cmul sincosq1lem rehalfclt 3ad2ant1
    halfpos2t biimpa 3adant3 2re 2pos ltdiv1tOLD mpan2 mp3an23 adantr biimp3a
    syl3anc cmin resubclt mpan syl posdift bitrd ltsubpost wceq cc recnt recn
    2cn wne 2ne0 divsubdirt mp3an13 fveq2d recnd sinhalfpim eqtrd breqtrd wa
    wi resinclt recosclt jca axmulgt0 3syl axmulrcl mpani syld mp2and divcan2t
    sin2tt eqtr3d breqtrrd sylbi ) ABCDEFZAGFZBAHIZACHIZJZBAKLZHIBGFZCGFZWPWTMZ
    NOBPFCPFXDXBXCBCAQBRCRSTWTBUAAUAUBEZKLZXEUCLZUDEZUDEZXAHWTBXFHIZBXGHIZBXIHI
    ZXEGFZBXEHIZXECUAUBEZHIZXJWTXEUEWQWRXMWSAUFZUGWQWRXNWSWQWRXNAUHUIUJWQWRWSXP
    WQWSXPMZWRWQXCUAGFZXROUKWQXCXSJBUAHIZXRULACUAUMUNUOUPUQURWTBCAUSEZUAUBEZKLZ
    XGHYBGFZBYBHIZYBXOHIZBYCHIWTYBUEWQWRYDWSWQYAGFZYDXCWQYGOCAUTVAZYAUFVBUGWQWR
    WSYEWQWSYEMWRWQWSBYAHIZYEWQXCWSYIMOACVCUNWQYGYIYEMYHYAUHVBVDUPUQWQWRYFWSWQW
    RYFWQWRYACHIZYFWQXCWRYJMOACVEUNWQYGYJYFMZYHYGXCXSYKOUKYGXCXSJXTYKULYACUAUMU
    NUOVBVDUIUJURWQWRYCXGVFWSWQYCXOXEUSEZKLZXGWQYBYLKWQAVGFZYBYLVFZAVHZCVGFZYNU
    AVGFZYOCOVIVJYQYNYRJUABVKZYOVLCAUAVMUNVNVBVOWQXEVGFZYMXGVFWQXEXQVPZXEVQVBVR
    UGVSWQWRXJXKVTZXLWAWSWQUUBBXHHIZXLWQXMXFGFZXGGFZVTZUUBUUCWAXQXMUUDUUEXEWBXE
    WCWDZXFXGWEWFWQXTUUCXLULWQXHGFZXTUUCVTXLWAZWQXMUUFUUHXQUUGXFXGWGWFXSUUHUUIU
    KUAXHWEVAVBWHWIUGWJWQWRXAXIVFWSWQUAXEUDEZKLZXAXIWQUUJAKWQYNUUJAVFZYPYRYNYSU
    ULVJVLUAAWKVNVBVOWQYTUUKXIVFUUAXEWLVBWMUGWNWO $.
    $( [15-Mar-2008] $) $( [15-Mar-2008] $)

  $( Complementarity of the sine and cosine functions in the first quadrant.
     (Contributed by Paul Chapman, 25-Jan-2008.) $)
  sincosq1eq $p |- ( ( A e. CC /\ B e. CC /\ ( A + B ) = 1 ) ->
           ( sin ` ( A x. ( pi / 2 ) ) ) = ( cos ` ( B x. ( pi / 2 ) ) ) ) $=
    ( cc wcel caddc co c1 wceq w3a cpi c2 cdiv cmul cmin ccos cfv csin pire
    recn 2cn 2ne0 divcl axmulcl mpan2 coshalfpim syl 3ad2ant1 adddirt mp3an3
    3adant3 opreq1 mulid2 syl6eq 3ad2ant3 eqtr3d wb subaddt mp3an1 syl2an
    mpbird fveq2d ) ACDZBCDZABEFZGHZIZJKLFZAVGMFZNFZOPZVHQPZBVGMFZOPVBVCVJVKHZV
    EVBVHCDZVMVBVGCDZVNJKJRSTUAUBZAVGUCUDZVHUEUFUGVFVIVLOVFVIVLHZVHVLEFZVGHZVFV
    DVGMFZVSVGVBVCWAVSHZVEVBVCVOWBVPABVGUHUIUJVEVBWAVGHVCVEWAGVGMFVGVDGVGMUKVGV
    PULUMUNUOVBVCVRVTUPZVEVNVLCDZWCVBVCVOVNWDWCVPVGVHVLUQURVQVCVOWDVPBVGUCUDUSU
    JUTVAUO $.
    $( [25-Jan-2008] $) $( [25-Jan-2008] $)

  $( The sine and cosine of ` pi / 4 ` .  (Contributed by Paul Chapman,
     25-Jan-2008.) $)
  sincos4thpi $p |- ( ( sin ` ( pi / 4 ) ) = ( 1 / ( sqr ` 2 ) ) /\
                      ( cos ` ( pi / 4 ) ) = ( 1 / ( sqr ` 2 ) ) ) $=
    ( cpi c4 cdiv co csin cfv c1 c2 csqr wceq ccos cmul cc wcel caddc 2re 2ne0
    rereccl recn ax1cn 2halvest ax-mp sincosq1eq mp3an opreq2i 2cn pire
    divmuldiv mulid2 2t2e4 opreq12i eqtr fveq2i recid opreq1i redivcl mulass
    3eqtr3 mulcl sin2tt sinhalfpi cr 4re 4pos gt0ne0i resinclt remulcl cc0 0re
    2pos ltlei msqge0 sqrmuli sqr1 3eqtr3r wb sqr2re cle wbr sqrclt mp2an w3a
    wne sqr00t necon3bii mpbir divmul2t mpan2 cioc clt pipos divgt0i 1re
    pigt2lt4 pm3.27i ltdiv1i mpbi divid breqtr elioc2t biimpr sin01gt0 sqrmsq
    eqtr2 3eqtrr pm3.2i ) ABCDZEFZGHIFZCDZJXGKFZXJJXJXHXHLDZIFZXHXJXMJZGXIXMLDZ
    JZHXLLDZIFGIFXOGXQGIHGHCDZAHCDZLDZEFZYALDZLDHYAXTKFZLDZLDZXQGYBYDHLYAYCYALX
    RMNZYFXRXRODGJZYAYCJXRHPQRSZYHGMNZYGTGUAUBXRXRUCUDZUEUEYBXLHLYAXHYAXHLXTXGE
    XTGALDZHHLDZCDXGGHAHTUFAUGSZUFQQUHYKAYLBCAYMUIUJUKULZUMZYOUKUEHXTLDZEFZXSEF
    YEGYPXSEHXRLDZXSLDGXSLDYPXSYRGXSLHUFQUNUOHXRXSUFYHXSAHUGPQUPSZUQXSYSUIURUMX
    TMNYQYEJXRXSYHYSUSXTUTUBVAURURUMHXLPXHXHXGVBNZXHVBNABUGVCBVCVDVEZUPZXGVFUBZ
    UUCVGZVHHVIPVJVKZXHUUCVLZVMVNVOYIXIMNZXMMNZXNXPVPZTXIVQSXMXLVBNVHXLVRVSXMVB
    NUUDUUFXLVTWASYIUUGUUHWBXIVHWCZUUIUUJHVHWCQXIVHHVHHVBNVHHVRVSXIVHJHVHJVPPUU
    EHWDWAWEWFGXIXMWGWHUDWFZVHXHVRVSXMXHJVHXHVIUUCXGVHGWIDNZVHXHWJVSYTVHXGWJVSZ
    XGGVRVSZUULUUBABUGVCWKVDWLXGGUUBWMXGBBCDZGWJABWJVSZXGUUOWJVSHAWJVSUUPWNWOAB
    BUGVCVCVDWPWQBBVCSUUAWRWSVKUULYTUUMUUNWBZVHVBNGVBNUULUUQVPVIWMVHGXGWTWAXAUD
    XGXBUBVKXHUUCXCUBZXDXJXMXHXKUUKUURYAYCXHXKYJYOXTXGKYNUMURXEXF $.
    $( [25-Jan-2008] $) $( [25-Jan-2008] $)

  $( The sine and cosine of ` pi / 6 ` .  (Contributed by Paul Chapman,
     25-Jan-2008.) $)
  sincos6thpi $p |- ( ( sin ` ( pi / 6 ) ) = ( 1 / 2 ) /\
                      ( cos ` ( pi / 6 ) ) = ( ( sqr ` 3 ) / 2 ) ) $=
    ( cpi c6 cdiv co csin cfv c1 c2 wceq ccos c3 csqr cmul 2cn cc wcel pire
    6re 6pos gt0ne0i redivcl recn sinclt ax-mp cr recosclt mulass sin2tt caddc
    3re 3pos divcl reccl df-3 opreq1i divid ax1cn divdir 3eqtr3r sincosq1eq
    mp3an 2ne0 divmuldiv 3t2e6 opreq2i divass 3eqtr fveq2i mulid2 opreq12i
    eqtr 3eqtr3 3eqtr2 eqtr4 wb mulcl w3a cc0 wne clt wbr cioo wa pipos
    divgt0i addid2 2pos 0re 2re 1re ltadd1 mpbi eqbrtrr breqtrr ltmul1i 3brtr3
    3pm3.2i ltdiv2t mpan cxr elioo2t rexrt syl2an mp2an biimpr sincosq1sgn
    pm3.27i mulcan2t mpan2 divmul mpbir eqcomi cexp c4 cmin 4re 4pos sqcl
    sqreci sq2 sincossqt eqtr3 subaddri divsubdirt df-4 subadd2 cle ltlei
    sqrsq sqrlem24 sqdiv sqsqr sqrge0 divge0 pm3.2i ) ABCDZEFZGHCDZIYPJFZKLFZHC
    DZIYRYQYRYQIHYQMDZGIZUUBYSMDZGYSMDZIZUUCUUDYSUUEUUDHYQYSMDMDZHYPMDZEFZYSHYQ
    YSNYPOPZYQOPYPABQRBRSTZUAZUBZYPUCUDZYSYPUEPZYSUEPUULYPUFUDZUBZUGUUJUUIUUGIU
    UMYPUHUDHKCDZAHCDZMDZEFZGKCDZUUSMDZJFZUUIYSUUROPUVBOPUURUVBUIDZGIUVAUVDIHKN
    KUJUBZKUJUKTZULKUVFUVGUMKKCDHGUIDZKCDGUVEKUVHKCUNUOKUVFUVGUPHGKNUQUVFUVGURU
    SUURUVBUTVAUUTUUHEUUTHAMDZKHMDZCDUVIBCDUUHHKAHNUVFAQUBZNUVGVBVCUVJBUVICVDVE
    HABNUVKBRUBUUKVFVGVHUVCYPJUVCGAMDZUVJCDYPGKAHUQUVFUVKNUVGVBVCUVLAUVJBCAUVKV
    IVDVJVKVHVLVMYSUUQVIVNUUBOPZGOPZYSOPZUUFUUCVOZHYQNUUNVPUQUUQUVMUVNUVOVQYSVR
    VSUVPYSUUPVRYQVTWAZVRYSVTWAZYPVRUUSWBDPZUVQUVRWCUUOVRYPVTWAZYPUUSVTWAZUVSUU
    LABQRWDSWEHBVTWAZUWAGHMDZUVJHBVTGKVTWAUWCUVJVTWAGUVHKVTVRGUIDZGUVHVTGUQWFVR
    HVTWAZUWDUVHVTWAWGVRHGWHWIWJWKWLWMUNWNGKHWJUJWIWGWOWLHNVIVDWPUWEVRBVTWAZVRA
    VTWAZUWBUWAVOZWGSWDHUEPZBUEPZAUEPZVQUWEUWFUWGVQUWHUWIUWJUWKWIRQWQHBAWRWSVAW
    LUVSUUOUVTUWAVQZVRUEPZUUSUEPZUVSUWLVOZWHAHQWIVBUAVRWTPUUSWTPUWOUWMUWNVRUUSY
    PXAVRXBUUSXBXCXDXEVAYPXFUDXGZTUUBGYSXHXIVAWLGHYQUQNUUNVBXJXKXLZYSHXMDZLFZKX
    NCDZLFZYSUUAUWRUWTLGGXNCDZXODZUWRUWTGUXBUWRUQXNXNXPUBZXNXPXQTZUMYSUUQXRYQHX
    MDZUWRUIDZUXBUWRUIDGUXFUXBUWRUIUXFYRHXMDGHHXMDZCDUXBYQYRHXMUWQUOHNVBXSUXHXN
    GCXTVEVGUOUUJUXGGIUUMYPYAUDYBYCXNGXODZXNCDZXNXNCDZUXBXODZUWTUXCXNOPZUVNUXMU
    XJUXLIZUXDUQUXDUXMUVNUXMVQXNVRVSUXNUXEXNGXNYDXIVAUXIKXNCUXIKIKGUIDZXNIXNUXO
    YEXLXNGKUXDUQUVFYFXKUOUXKGUXBXOXNUXDUXEUPUOUSYBVHVRYSYGWAUWSYSIVRYSWHUUPUWP
    YHYSUUPYIUDUUAHXMDZLFZUXAUUAUXPUWTLUXPYTHXMDZUXHCDUWTYTHYTKUJUKYJZUBNVBYKUX
    RKUXHXNCVRKYGWAZUXRKIVRKWHUJUKYHZKUJYLUDXTVJVKVHVRUUAYGWAZUXQUUAIVRYTYGWAZU
    WEUYBUXTUYCUYAKUJYMUDWGYTHUXSWIYNXDUUAYTHUXSWIVBUAYIUDYBVLYO $.
    $( [25-Jan-2008] $) $( [25-Jan-2008] $)

  $( The absolute value of sine has period ` pi ` . $)
  abssinper $p |- ( ( A e. CC /\ K e. ZZ )
      -> ( abs ` ( sin ` ( A + ( K x. pi ) ) ) ) = ( abs ` ( sin ` A ) ) ) $=
    ( cc wcel cz wa c2 cdiv co c1 caddc wo cpi cmul csin cfv cabs wceq zeot
    adantl zcnt halfclt 2cn pire recn mulasst mp3an23 syl cc0 wne 2ne0
    divcan1t opreq1d eqtr3d opreq2d fveq2d eqcomd adantr sinper adantlr eqtrd
    cneg cmin subadd23t mp3an2 peano2cn mulcl mulclt mpan2 sylan2 ax1cn
    adddirt mulid2 opreq2i a1i 3eqtrrd eqtr2d pncant subclt sylan sinmpi
    ad2antrr 3eqtrd sinclt absnegt jaodan mpdan ) ACDZBEDZFZBGHIZEDZBJKIZGHIZED
    ZLZABMNIZKIZOPZQPZAOPZQPZRZWIWPWHBSTWJWLXCWOWJWLFZWSXAQXDWSAWKGMNIZNIZKIZOP
    ZXAWJWSXHRWLWJXHWSWJXGWROWJXFWQAKWIXFWQRZWHWIBCDZXIBUAZXJWKGNIZMNIZXFWQXJWK
    CDZXMXFRZBUBXNGCDZMCDZXOUCMUDUEZWKGMUFUGUHXJXLBMNXJXPGUIUJZXLBRUCUKBGULUGUM
    UNUHTUOUPUQURWHWLXHXARWIAWKUSUTVAUPWJWOFZWTXAVBZQPZXBXTWSYAQXTWSAMVCIZWNXEN
    IZKIZOPZYCOPZYAWJWSYFRWOWJWRYEOWHXJWRYERWIWHXJFZYEAYDMVCIZKIZWRWHYDCDZYEYJR
    ZXJWHXQYKYLXRAMYDVDVEXJWNCDZYKXJWMCDZYMBVFZWMUBUHZYMXECDYKGMUCXRVGWNXEVHVIU
    HVJYHYIWQAKXJYIWQRWHXJYIWQMKIZMVCIZWQXJYDYQMVCXJYQWNGNIZMNIZYDXJYTWMMNIZWQJ
    MNIZKIZYQXJYSWMMNXJYNYSWMRZYOYNXPXSUUDUCUKWMGULUGUHUMXJJCDXQUUAUUCRVKXRBJMV
    LUGUUCYQRXJUUBMWQKMXRVMVNVOVPXJYMYTYDRZYPYMXPXQUUEUCXRWNGMUFUGUHVQUMXJWQCDZ
    YRWQRZXJXQUUFXRBMVHVIUUFXQUUGXRWQMVRVIUHVATUOVQXKVJUPURWHWOYFYGRZWIYCCDZWOU
    UHWHYCWNUSWHXQUUIXRAMVSVIVTUTWHYGYARWIWOAWAWBWCUPWHYBXBRZWIWOWHXACDUUJAWDXA
    WEUHWBVAWFWG $.
    $( [18-Aug-2008] $) $( [17-Aug-2008] $)

  $( A constraint implied by zero sine.  In particular, its argument must be
     an integer multiple of ` pi ` . $)
  sineq0 $p |- ( ( A e. RR /\ ( sin ` A ) = 0 )
       -> A = ( ( |_ ` ( A / pi ) ) x. pi ) ) $=
    ( cr wcel csin cfv cc0 wceq wa cpi cdiv co cfl cmul caddc cmin cc recnt
    wne pire recn pipos gt0ne0i divcan1t mp3an23 syl redivclt c1 clt wbr cz
    cle eqid intfrac pm3.27d opreq1d adddirt mp3an3 flreclt recnd resubclt
    sylanc eqtrd eqtr3d adantr cabs addcomt remulclt mpan2 fveq2d abssinper
    flclt eqtr2d wb resinclt abs00t biimpar mpbid wi gt0ne0t cioo ne0gt0t 0re
    ltlei mulge0t mpanr2 mpanl2 fracge0t biimpa fraclt1t 1re w3a ltmul1t
    mulid2 syl6breq jca cxr rexrt ax-mp elioo5t mp3an12 mpbird sinq12gt0t ex
    necon4d mpd opreq2d addid1t ) ABCZADEZFGZHZAAIJKZLEZIMKZFNKZXNXKAXNXLXMOKZI
    MKZNKZXOXHAXRGXJXHXLIMKZAXRXHAPCZXSAGZAQXTIPCZIFRZYAISTZISUAUBZAIUCUDUEXHXS
    XMXPNKZIMKZXRXHXLYFIMXHXLBCZXLYFGZXHIBCZYCYHSYEAIUFUDZYHXPUGUHUIZYIYHXMUJCZ
    FXPUKUIZHYLYIHXLXPXMXMULXPULUMUNUNUEUOXMPCZXPPCZYGXRGZXHYOYPYBYQYDXMXPIUPUQ
    XHXMXHYHXMBCZYKXLURUEZUSXHXPYHYRXPBCZXHXLXMUTYKYSVAZUSVAVBVCZVDXKXQFXNNXKXQ
    DEZFGZXQFGZXKUUCVEEZFGZUUDXKUUFXIVEEZFXHUUFUUHGXJXHUUHXQXNNKZDEZVEEZUUFXHXI
    UUJVEXHAUUIDXHAXRUUIUUBXNPCZXQPCZXRUUIGXHXNXQVFXHXNXHYRXNBCZYSYRYJUUNSXMIVG
    VHUEUSZXHXQXHYTXQBCZUUAYTYJUUPSXPIVGVHUEZUSZVAVBVIVIUUMYMUUKUUFGXHXQXMVJUUR
    XHYHYMYKXLVKUEVAVLVDXHUUHFGZXJXHXIPCUUSXJVMXHXIAVNUSXIVOUEVPVBXHUUGUUDVMZXJ
    XHUUCPCUUTXHUUCXHUUPUUCBCZUUQXQVNUEZUSUUCVOUEVDVQXHUUDUUEVRXJXHXQFUUCFXHXQF
    RZUUCFRZUVAFUUCUHUIZUVDXHUVCHZUUCVSXHUVAUVCUVBVDUVFXQFIVTKCZUVEUVFUVGFXQUHU
    IZXQIUHUIZHZUVFUVHUVIXHUVCUVHUUPFXQUKUIZUVCUVHVMXHXQWAUUQYTYNUVKXHYTYJYNUVK
    SYTYJHYNFIUKUIUVKFIWBSUAWCXPIWDWEWFUUAXHYHYNYKXLWGUEVAVAWHXHUVIUVCXHXQUGIMK
    ZIUHXHYLXQUVLUHUIZXHYHYLYKXLWIUEXHYTYLUVMVMZUUAYTUGBCZYJUVNWJSYTUVOYJWKFIUH
    UIUVNUAXPUGIWLVHUDUEVQIYDWMWNVDWOXHUVGUVJVMZUVCXHXQWPCZUVPXHUUPUVQUUQXQWQUE
    FWPCZIWPCZUVQUVPFBCUVRWBFWQWRYJUVSSIWQWRFIXQWSWTUEVDXAXQXBUEVAXCXDVDXEXFVBX
    HXOXNGZXJXHUULUVTUUOXNXGUEVDVB $.
    $( [19-Aug-2008] $) $( [17-Aug-2008] $)

  ${
    cosh111lem1.1 $e |- A e. RR $.
    cosh111lem1.2 $e |- B e. RR $.
    cosh111lem1.3 $e |- 0 <_ A $.
    cosh111lem1.4 $e |- 0 <_ B $.
    cosh111lem1.5 $e |- A < pi $.
    cosh111lem1.6 $e |- B < pi $.
    $( Lemma for ~ cosh111t . $)
    cosh111lem1 $p |- ( A < B -> ( cos ` B ) < ( cos ` A ) ) $=
      ( clt wbr cc0 ccos cfv cmin co c2 caddc cdiv csin cmul cr wcel readdcl
      2re 2ne0 redivcl resinclt ax-mp resubcl mulgt0 cle 0re lelttr mpan wa
      addgtge0t mpanl12 mpan2 2pos divgt0i2 syl cpi pire lt2add mp2an recn
      2times breqtrr remulcl ltdiv1i mpbi 2cn divcan3 breqtr w3a cioo wb cxr
      elioo2t rexrt syl2an sinq12gt0t sylbir mp3an13 3syl posdif gt0divt mp3an
      bitr addid2 leadd1 eqbrtrr ltletr ltsubadd2 mpbir c1 1lt2 pipos
      ltmulgt12t lttr sylbi sylanc cneg wceq cc subcost mulneg1 eqtr recosclt
      subcl mulcl negcon2 negsubdi2 eqtr2 syl6breqr sylibr ) ABIJZKALMZBLMZNOZI
      JXSXRIJXQKPBAQOZPROZSMZBANOZPROZSMZTOZTOZXTIXQKYGIJZKYHIJZKYCIJZKYFIJZYIX
      QYCYFYBUAUBZYCUAUBYAPBADCUCZUDUEUFZYBUGUHZYEUAUBZYFUAUBYDPBADCUIZUDUEUFZY
      EUGUHZUJXQKBIJZKYBIJZYKKAUKJZXQUUAEKABULCDUMUNUUAKYAIJZUUBUUAUUCUUDEBUAUB
      ZAUAUBZUUAUUCUOUUDDCBAUPUQURYAPYNUDUSUTVAYMUUBYBVBIJZYKYOYBPVBTOZPROZVBIY
      AUUHIJYBUUIIJYAVBVBQOZUUHIBVBIJZAVBIJYAUUJIJHGBAVBVBDCVCVCVDVEVBVBVCVFZVG
      VHYAUUHPYNPVBUDVCVIZUDUSVJVKPVBVLUULUEVMZVNYMUUBUUGVOZYBKVBVPOZUBZYKKUAUB
      ZVBUAUBZUUQUUOVQZULVCKVRUBZVBVRUBZUUTUURUUSKVBYBVSKVTZVBVTZWAVEYBWBWCWDWE
      XQKYEIJZYLXQKYDIJZUVEABCDWFYDUAUBPUAUBZKPIJZUVFUVEVQYRUDUSYDPWGWHWIYQUVEY
      EVBIJZYLYSYEUUIVBIYDUUHIJZYEUUIIJYDVBIJZVBUUHIJZUVJUVKBAVBQOZIJZUUKVBUVMU
      KJUVNHKVBQOZVBUVMUKVBUULWJUUCUVOUVMUKJEKAVBULCVCWKVKWLBVBUVMDVCAVBCVCUCWM
      VEBAVBDCVCWNWOWPPIJZUVLWQUUSUVGKVBIJUVPUVLVQVCUDWRVBPWSWHVKYDVBUUHYRVCUUM
      WTVEYDUUHPYRUUMUDUSVJVKUUNVNYQUVEUVIVOZYEUUPUBZYLUURUUSUVRUVQVQZULVCUVAUV
      BUVSUURUUSKVBYEVSUVCUVDWAVEYEWBWCWDXAXBUVHYIYJUSPYGUDYCYFYPYTVIZUJUNVAYHX
      SXRNOZXCZXTUWAYHXCZXDYHUWBXDUWAPXCYGTOZUWCBXEUBAXEUBUWAUWDXDBDVFACVFBAXFV
      EPYGVLYGUVTVFZXGXHUWAYHXSXRXSUUEXSUAUBDBXIUHZVFZXRUUFXRUAUBCAXIUHZVFZXJPY
      GVLUWEXKXLVKXSXRUWGUWIXMXNXOXSXRUWFUWHWFXP $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)

    $( Lemma for ~ cosh111t . $)
    cosh111lem2 $p |- ( A < B <-> ( cos ` B ) < ( cos ` A ) ) $=
      ( clt wbr ccos cfv cosh111lem1 cle wn wceq wo fveq2 eqcomd orim12i leloe
      cr wcel recosclt ax-mp 3imtr4 lenlt 3imtr3 a3i impbi ) ABIJZBKLZAKLZIJZAB
      CDEFGHMUKUNBANJZUMULNJZUKOUNOBAIJZBAPZQUMULIJZUMULPZQUOUPUQUSURUTBADCFEHG
      MURULUMBAKRSTBADCUAUMULAUBUCUMUBUCCAUDUEZBUBUCULUBUCDBUDUEZUAUFBADCUGUMUL
      VAVBUGUHUIUJ $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)

    $( Lemma for ~ cosh111t . $)
    cosh111lem3 $p |- ( A = B <-> ( cos ` A ) = ( cos ` B ) ) $=
      ( wceq ccos cfv clt wbr wn wa cosh111lem2 negbii anbi12i lttri3 cr wcel
      recosclt ax-mp 3bitr4 eqcom bitr ) ABIZBJKZAJKZIZUIUHIABLMZNZBALMZNZOUHUI
      LMZNZUIUHLMZNZOUGUJULUPUNURUKUOABCDEFGHPQUMUQBADCFEHGPQRABCDSUHUIBTUAUHTU
      ADBUBUCATUAUITUACAUBUCSUDUHUIUEUF $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)
  $}

  $( Cosine is one-to-one over the closed-below, open-above interval from ` 0 `
     to ` pi ` .  (Contributed by Paul Chapman, 16-Mar-2008.) $)
  cosh111t $p |- ( ( A e. ( 0 [,) pi ) /\ B e. ( 0 [,) pi ) ) ->
                   ( A = B <-> ( cos ` A ) = ( cos ` B ) ) ) $=
    ( cc0 cpi cico co wcel wceq ccos cfv wb cif eqeq1 fveq2 eqeq1d bibi12d
    eqeq2 eqeq2d cr cle wbr clt w3a 0re leid pipos pire elico2t mp2an biimpr
    mp3an elimel mpbi 3simp1i 3simp2i 3simp3i cosh111lem3 dedth2h ) ACDEFZGZBUS
    GZABHZAIJZBIJZHZKUTACLZBHZVFIJZVDHZKVFVABCLZHZVHVJIJZHZKABCCAVFHZVBVGVEVIAV
    FBMVNVCVHVDAVFINOPBVJHZVGVKVIVMBVJVFQVOVDVLVHBVJINRPVFVJVFSGZCVFTUAZVFDUBUA
    ZVFUSGZVPVQVRUCZACUSCSGZCCTUAZCDUBUAZCUSGZUDCUDUEUFWDWAWBWCUCZWADSGZWDWEKUD
    UGCDCUHUIUJUKZULWAWFVSVTKUDUGCDVFUHUIUMZUNVJSGZCVJTUAZVJDUBUAZVJUSGZWIWJWKU
    CZBCUSWGULWAWFWLWMKUDUGCDVJUHUIUMZUNVPVQVRWHUOWIWJWKWNUOVPVQVRWHUPWIWJWKWNU
    PUQUR $.
    $( [16-Mar-2008] $) $( [16-Mar-2008] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                   Mapping of the exponential function
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y $.  $d B x y $.  $d C x y $.
    efgh.1 $e |- F = { <. x , y >. | ( x e. CC /\
                                       y = ( exp ` ( A x. x ) ) ) } $.
    $( The exponential function of a scaled complex number is a group
       homomorphism from the group of complex numbers under addition to the set
       of complex numbers under multiplication.  (Contributed by Paul Chapman,
       25-Apr-2008.) $)
    efgh $p |- ( ( A e. CC /\ B e. CC /\ C e. CC ) ->
                 ( F ` ( B + C ) ) = ( ( F ` B ) x. ( F ` C ) ) ) $=
      ( cc wcel w3a caddc co cmul ce cfv axdistr fveq2d wceq wa efaddt axmulcl
      syl2an 3impdi eqtrd axaddcl cv opreq2 fvex fvopab4 syl 3adant1
      opreqan12d 3eqtr4d ) CHIZDHIZEHIZJZCDEKLZMLZNOZCDMLZNOZCEMLZNOZMLZURFOZDF
      OZEFOZMLZUQUTVAVCKLZNOZVEUQUSVJNCDEPQUNUOUPVKVERZVAHIVCHIVLUNUOSUNUPSVAVC
      TCDUACEUAUBUCUDUOUPVFUTRZUNUOUPSURHIVMDEUEABURCAUFZMLZNOZUTHFVNURRVOUSNVN
      URCMUGQGUSNUHUIUJUKUOUPVIVERUNUOUPVGVBVHVDMABDVPVBHFVNDRVOVANVNDCMUGQGVAN
      UHUIABEVPVDHFVNERVOVCNVNECMUGQGVCNUHUIULUKUM $.
      $( [25-Apr-2008] $) $( [25-Apr-2008] $)
  $}

  ${
    $d A x y $.  $d X x y $.
    efghgrpi.1 $e |- S = { y | E. x e. X y = ( exp ` ( A x. x ) ) } $.
    efghgrpi.2 $e |- G = ( x. |` ( S X. S ) ) $.
    efghgrpi.3 $e |- A e. CC $.
    efghgrpi.4 $e |- X (_ CC $.
    efghgrpi.5 $e |- ( + |` ( X X. X ) ) e. ( SubGrp ` + ) $.

    ${
      $d A w x y z $.  $d F w z $.  $d G w z $.  $d S w z $.  $d X w z $.
      efghgrpi.6 $e |- F = { <. x , y >. | ( x e. CC /\
                                             y = ( exp ` ( A x. x ) ) ) } $.
      $( Lemma for ~ efghgrpi , $)
      efghgrpilem $p |- G e. Abel $=
        ( vz vw caddc cabl wcel cxp cres csubg cfv cnaddabl wa subgabl cgr wi
        cc cmul wss w3a issubg mpbi 3simp1i axaddopr fdmi grprn cv co ce
        axmulcl mpan efclt syl fopab ssid wf wfn axmulopr ffn ax-mp wceq efgh
        mp3an1 cdm crn 3simp2i eqid resgrprn mp3an wrex cab cima fvex fnopab2
        fnssres fnrnfv mp2an df-ima eqeq1 rexbidv opreq2 fveq2d eqeq2d cbvrexv
        syl6bb cbvabv fvres sseli fvopab4 eqtrd rexbiia abbii 3eqtr4 3eqtr4r
        ghsubgi pm3.27i ) PQRZPGGSTZPUAUBRZFQRZUCLXHXJUDXIQRZXKPXIUEFUFRXLXKUGN
        OUHXIEPFUIDUHUHGLPUHPUFRZXIUFRZXIPUJZXJXMXNXOUKLPXIULUMZUNUHUHSZUHPUOUP
        ZUQABUHUHCAURZUIUSZUTUBZEMXSUHRZXTUHRZYAUHRCUHRZYBYCJCXSVAVBXTVCVDVEUHV
        FXQUHUIVGUIXQVHVIXQUHUIVJVKYDNURZUHRZOURZUHRYEYGPUSEUBYEEUBZYGEUBUIUSVL
        JABCYEYGEMVMVNPVOXQVLXNGUHUJZGXIVPVLXRXMXNXOXPVQKPXIUHGXIVRVSVTEGTZVPZY
        GYEYJUBZVLZNGWAZOWBZEGWCDEUHVHZYIYKYOVLZABUHYAEXTUTWDMWEKYPYIUDYJGVHYQU
        HGEWFNOGYJWGVDWHEGWIBURZYAVLZAGWAZBWBYGCYEUIUSZUTUBZVLZNGWAZOWBDYOYTUUD
        BOYRYGVLZYTYGYAVLZAGWAUUDUUEYSUUFAGYRYGYAWJWKUUFUUCANGXSYEVLZYAUUBYGUUG
        XTUUAUTXSYECUIWLWMZWNWOWPWQHYNUUDOYMUUCNGYEGRZYLUUBYGUUIYLYHUUBYEGEWRUU
        IYFYHUUBVLGUHYEKWSABYEYAUUBUHEUUHMUUAUTWDWTVDXAWNXBXCXDXEIXFXGVDWH $.
        $( [25-Apr-2008] $) $( [25-Apr-2008] $)
    $}

    $( The image of a subgroup of the group ` + ` , under the exponential
       function of a scaled complex number, is an Abelian group.  (Contributed
       by Paul Chapman, 25-Apr-2008.) $)
    efghgrpi $p |- G e. Abel $=
      ( cv cc wcel cmul co ce cfv wceq wa copab eqid efghgrpilem ) ABCDALZMNBLC
      UDOPQRSTABUAZEFGHIJKUEUBUC $.
      $( [25-Apr-2008] $) $( [25-Apr-2008] $)
  $}

  ${
    $d F a z $.  $d S a $.  $d a x y $.
    efif.1 $e |- F = { <. x , y >. | ( x e. ( 0 [,) ( 2 x. pi ) ) /\
                       y = ( exp ` ( i x. x ) ) ) } $.
    efif.2 $e |- S = { z e. CC | ( abs ` z ) = 1 } $.
    $( The exponential function of an imaginary number maps the closed-below,
       open-above interval from ` 0 ` to ` 2 x. pi ` to the unit circle.
       (Contributed by Paul Chapman, 16-Mar-2008.) $)
    efif $p |- F : ( 0 [,) ( 2 x. pi ) ) --> S $=
      ( va cc0 c2 cpi cmul co cico wf wfn cv cfv wcel wral ffnfv ci ce fvex
      fnopab2 cc cabs c1 wceq wa fveq2 eqeq1d elrab2 biimpr opreq2 fveq2d
      fvopab4 cr cle wbr clt w3a wb 0re 2re pire remulcl elico2t mp2an biimp
      3simp1d recnt axicn axmulcl mpan efclt syl 3syl eqeltrd absefit eqtrd
      sylanc rgen mpbir2an ) IJKLMZNMZDEOEWFPHQZERZDSZHWFTHWFDEUAABWFUBAQZLMZUC
      RZEWKUCUDFUEWIHWFWHUFSZWHUGRZUHUIZWIWGWFSZWIWMWOUJCQZUGRZUHUIWOCWHUFDWQWH
      UIWRWNUHWQWHUGUKULGUMUNWPWHUBWGLMZUCRZUFABWGWLWTWFEWJWGUIWKWSUCWJWGUBLUOU
      PFWSUCUDUQZWPWGURSZWGUFSZWTUFSZWPXBIWGUSUTZWGWEVAUTZWPXBXEXFVBZIURSWEURSW
      PXGVCVDJKVEVFVGIWEWGVHVIVJVKZWGVLXCWSUFSZXDUBUFSXCXIVMUBWGVNVOWSVPVQVRVSW
      PWNWTUGRZUHWPWHWTUGXAUPWPXBXJUHUIXHWGVTVQWAWBWCWD $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)
  $}

  ${
    $d C x $.  $d U c $.  $d U x $.
    efifolem1.1 $e |- C = sup ( { c e. ( 0 [,] pi ) |
      ( cos ` c ) = if ( U e. ( -u 1 (,) 1 ) , U , 0 ) } , RR , < ) $.
    $( Lemma for ~ efifo . $)
    efifolem1 $p |- ( U e. ( -u 1 (,) 1 ) ->
                      E. x e. ( 0 (,) pi ) U = ( cos ` x ) ) $=
      ( c1 cneg cioo co wcel ccos cfv wceq cv cc0 cpi wrex cif eqeq2 cc cicc
      crab 0re pire cr clt wbr w3a lt01 wb 1re lt0neg2t ax-mp mpbi renegcl cxr
      elioo2t rexrt syl2an mp2an biimpr mp3an elimel 3simp1i pipos wss
      iccssret axresscn sstri ssid coscn sseli recosclt syl eqid cospi 3simp2i
      eqbrtr 3simp3i cos0 breqtrr pm3.2i dsupivth pm3.27i dedth eqcomd pm3.26i
      fveq2 eqeq2d rcla4ev mpan ) CFGZFHIZJZCBKLZMZCANZKLZMZAOPHIZQZWNWOCWNWOCM
      WOWNCORZMZCOCXBWOSBWTJZXCDOPBTDNZKLZXBMDOPUAIZUBZXBKUCUDXBUEJZWLXBUFUGZXB
      FUFUGZXBWMJZXIXJXKUHZCOWMOUEJZWLOUFUGZOFUFUGZOWMJZUCXPXOUIFUEJZXPXOUJUKFU
      LUMUNUIXQXNXOXPUHZWLUEJZXRXQXSUJZFUKUOZUKWLUPJZFUPJZYAXTXRWLFOUQWLURZFURZ
      USUTVAVBVCXTXRXLXMUJZYBUKYCYDYGXTXRWLFXBUQYEYFUSUTUNZVDVEXGUETXNPUEJXGUEV
      FUCUDOPVGUTZVHVITVJVKXEXGJXEUEJXFUEJXGUEXEYIVLXEVMVNXHVOPKLZXBUFUGXBOKLZU
      FUGYJWLXBUFVPXIXJXKYHVQVRXBFYKUFXIXJXKYHVSVTWAWBEWCZWDWEWFXDWPXAXDXCYLWGW
      SWPABWTWQBMWRWOCWQBKWHWIWJWKVN $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)
  $}

  ${
    $d A a $.  $d X a $.  $d Y a $.
    efifolem2.1 $e |- A e. ( 0 (,) ( 2 x. pi ) ) $.
    efifolem2.2 $e |- X e. RR $.
    efifolem2.3 $e |- Y e. RR $.
    $( Lemma for ~ efifo . $)
    efifolem2 $p |- ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = 1 /\ X = ( cos ` A ) ) ->
      E. a e. ( 0 (,) ( 2 x. pi ) ) ( X = ( cos ` a ) /\ Y = ( sin ` a ) ) ) $=
      ( c2 cexp co caddc c1 wceq ccos cfv wa csin cneg wo cv cc0 cpi cmul cioo
      wrex cmin ax1cn recn sqcl subadd biimpr opreq1 opreq2d sylan9req cc wcel
      cr clt wbr w3a wb 0re 2re pire remulcl cxr elioo2t rexrt syl2an mp2an
      mpbi 3simp1i sincossqt ax-mp cosclt sinclt subadd2 mpbir syl6eq sqeqor
      sylib ex ancld imp andi fveq2 eqeq2d anbi12d rcla4ev mpan 3ancomb
      resubcl 2th posdif ltsubpost 3anbi123i bitr3 3bitr4 cos2pim eqeq2i
      sin2pim syl2anbr jaoi syl ) BHIJZCHIJZKJLMZBANOZMZPZXICAQOZMZPZXICXKRZMZP
      ZSZBDTZNOZMZCXRQOZMZPZDUAHUBUCJZUDJZUEZXJXIXLXOSZPZXQXGXIYHXGXIYGXGXIYGXJ
      XFXKHIJZMYGXJXFLXHHIJZUFJZYIXGXIXFLXEUFJZYKYLXFMXGLXEXFUGBBFUHUICCGUHZUIU
      JUKXIXEYJLUFBXHHIULUMUNYKYIMYIYJKJLMZAUOUPZYNAAUQUPZUAAURUSZAYDURUSZAYEUP
      ZYPYQYRUTZEUAUQUPZYDUQUPZYSYTVAZVBHUBVCVDVEZUAVFUPZYDVFUPZUUCUUAUUBUAYDAV
      GUAVHZYDVHZVIVJZVKVLZUHZAVMVNLYJYIUGXHYOXHUOUPUUKAVOVNUIXKYOXKUOUPUUKAVPV
      NZUIVQVRVSCXKYMUULVTWAWBWCWDXIXLXOWEWAXMYFXPYSXMYFEYCXMDAYEXRAMZXTXIYBXLU
      UMXSXHBXRANWFWGUUMYAXKCXRAQWFWGWHWIWJBYDAUFJZNOZMZCUUNQOZMZYFXIXOUUNYEUPZ
      UUPUURPZYFYSUUSEYTUUNUQUPZUAUUNURUSZUUNYDURUSZUTZYSUUSYTYPYRYQUTUVDYPYRYQ
      WKYPUVAYRUVBYQUVCYPUVAUUJYDAUUDUUJWLWMAYDUUJUUDWNYPUUBYQUVCVAUUJUUDAYDWOV
      JWPWQUUIUUAUUBUUSUVDVAZVBUUDUUEUUFUVEUUAUUBUAYDUUNVGUUGUUHVIVJWRVKYCUUTDU
      UNYEXRUUNMZXTUUPYBUURUVFXSUUOBXRUUNNWFWGUVFYAUUQCXRUUNQWFWGWHWIWJUUOXHBYO
      UUOXHMUUKAWSVNWTUUQXNCYOUUQXNMUUKAXAVNWTXBXCXD $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)
  $}

  ${
    $d A a $.  $d X a z $.  $d Y a z $.  $d Z a $.

    $( Lemma for ~ efifo . $)
    efifolem3 $p |- ( ( X e. RR /\ Y e. RR /\ A e. ( 0 (,) ( 2 x. pi ) ) ) ->
      ( ( ( ( X ^ 2 ) + ( Y ^ 2 ) ) = 1 /\ X = ( cos ` A ) ) ->
    E. a e. ( 0 (,) ( 2 x. pi ) ) ( X = ( cos ` a ) /\ Y = ( sin ` a ) ) ) ) $=
      ( cr wcel cc0 c2 cpi cmul co cioo cexp caddc c1 wceq ccos cfv wa cv csin
      wrex wi cif opreq1 opreq1d eqeq1d eqeq1 anbi12d anbi1d rexbidv imbi12d
      opreq2d anbi2d fveq2 eqeq2d imbi1d clt wbr pire pipos recn mulid2 1lt2
      1re 2re ltmul1i mpbi eqbrtrr w3a wb 0re remulcl cxr elioo2t rexrt syl2an
      mp2an biimpr mp3an elimel efifolem2 dedth3h ) BEFZCEFZAGHIJKZLKZFZBHMKZCH
      MKZNKZOPZBAQRZPZSZBDTZQRZPZCWPUARZPZSZDWGUBZUCWDBGUDZHMKZWJNKZOPZXCWMPZSZ
      XCWQPZWTSZDWGUBZUCBCAGGIXDWECGUDZHMKZNKZOPZXGSZXIXLWSPZSZDWGUBZUCXOXCWHAI
      UDZQRZPZSZXSUCBXCPZWOXHXBXKYDWLXFWNXGYDWKXEOYDWIXDWJNBXCHMUEUFUGBXCWMUHUI
      YDXAXJDWGYDWRXIWTBXCWQUHUJUKULCXLPZXHXPXKXSYEXFXOXGYEXEXNOYEWJXMXDNCXLHMU
      EUMUGUJYEXJXRDWGYEWTXQXICXLWSUHUNUKULAXTPZXPYCXSYFXGYBXOYFWMYAXCAXTQUOUPU
      NUQXTXCXLDAIWGIEFZGIURUSZIWFURUSZIWGFZUTVAOIJKZIWFURIIUTVBVCOHURUSYKWFURU
      SVDOHIVEVFUTVAVGVHVIYJYGYHYIVJZGEFZWFEFZYJYLVKZVLHIVFUTVMGVNFWFVNFYOYMYNG
      WFIVOGVPWFVPVQVRVSVTWABGEVLWACGEVLWAWBWC $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)

    $( Lemma for ~ efifo . $)
    efifolem4 $p |- ( ( X e. ( -u 1 (,) 1 ) /\ Y e. RR /\
                        ( ( X ^ 2 ) + ( Y ^ 2 ) ) = 1 ) ->
      E. a e. ( 0 [,) ( 2 x. pi ) ) ( X = ( cos ` a ) /\ Y = ( sin ` a ) ) ) $=
      ( vz c1 cneg cioo co wcel cr c2 cexp caddc wceq w3a cv ccos cfv csin wa
      cc0 cpi cmul wrex cico wi clt wbr wb 1re renegcl cxr elioo2t rexrt
      syl2an mp2an biimp 3simp1d efifolem3 exp3a 3expia com23 3impia r19.23adv
      cif cicc crab csup eqid efifolem1 wss 0re pire 2re remulcl cle recn
      mulid2 1lt2 ltlei pipos lemul1 ax-mp mpbi eqbrtrr iooss2 mpan2 syl3an
      mp3an ssrexv syl syl5 3expib com3r mpd 3impib ltlet mpan imdistani
      anim1i 3impa elico2t df-3an bitr 3imtr4 ssriv ) AEFZEGHIZBJIZAKLHBKLHMHEN
      ZOACPZQRZNBXKSRNTZCUAKUBUCHZGHZUDZXMCUAXNUEHZUDZXHXIXJXPXHAJIZXIXJTZXPUFX
      HXSXGAUGUHZAEUGUHZXHXSYAYBOZXGJIZEJIZXHYCUIZEUJUKUJXGULIEULIYFYDYEXGEAUMX
      GUNEUNUOUPUQURXSXTXHXPXSXIXJXHXPUFXSXIXJOZADPZQRNZDXOUDZXPXHYGYIXPDXOXSXI
      XJYHXOIZYIXPUFZUFXSXITYKXJYLXSXIYKXJYLUFXSXIYKOXJYIXPYHABCUSUTVAVBVCVDXHY
      IDUAUBGHZUDZYJDXLXHAUAVENCUAUBVFHVGJUGVHZACYOVIVJYMXOVKZYNYJUFUAJIZUBJIZX
      NJIZYPVLVMKUBVNVMVOZUAULIZUBULIZXNULIZYPYQYRYSUUAUUBUUCOUBXNVPUHYPEUBUCHZ
      UBXNVPUBUBVMVQVREKVPUHZUUDXNVPUHZEKUJVNVSVTUAUBUGUHUUEUUFUIWAEKUBUJVNVMWB
      WCWDWEUAUBXNWFWGUAUNZUBUNXNUNZWHWIYIDYMXOWJWCWKWLWMWNWOWPXOXQVKXPXRUFDXOX
      QYHJIZUAYHUGUHZYHXNUGUHZOZUUIUAYHVPUHZTZUUKTZYKYHXQIZUUIUUJUUKUUOUUIUUJTU
      UNUUKUUIUUJUUMYQUUIUUJUUMUFVLUAYHWQWRWSWTXAYQYSYKUULUIZVLYTUUAUUCUUQYQYSU
      AXNYHUMUUGUUHUOUPUUPUUIUUMUUKOZUUOYQYSUUPUURUIVLYTUAXNYHXBUPUUIUUMUUKXCXD
      XEXFXMCXOXQWJWCWK $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)

    $( Lemma for ~ efifo . $)
    efifolem5 $p |- ( ( X e. RR /\ Y e. RR /\ ( ( X ^ 2 ) + ( Y ^ 2 ) ) = 1 )
      -> ( Y =/= 0 -> E. a e. ( 0 [,) ( 2 x. pi ) )
                         ( X = ( cos ` a ) /\ Y = ( sin ` a ) ) ) ) $=
      ( cr wcel c2 cexp co caddc c1 wceq cc0 wne cv ccos cfv csin wa cpi cmul
      cico wrex wi w3a cneg cioo cmin wb cc ax1cn subaddt mp3an1 recnt syl2an
      resqclt 3adant3 clt wbr breq2 sqgt0t syl5cbir 3adant1 3simp1 jctild 1re
      posdift mpan2 syl biimprd imdistani cabs cle 0re lt01 ltlei pm3.2i
      lt2sqt absclt absge0t sylanc absltt absresqt sq1 a1i breq12d 3bitr3rd
      pm5.32i renegcl cxr elioo2t rexrt mp2an biimpr 3expb sylbi syl6 sylbird
      efifolem4 3expib com12 ex 3ad2ant2 mpdd 3expia com23 3impia ) ADEZBDEZAFG
      HZBFGHZIHJKZBLMZACNZOPKBXMQPKRCLFSTHUAHUBZUCXGXHRXLXKXNXGXHXLXKXNUCXGXHXL
      UDZXKAJUEZJUFHEZXNXOXKJXIUGHZXJKZXQXGXHXSXKUHZXLXIDEZXJDEZXTXGXHXIUIEZXJU
      IEZXTYAYBJUIEYCYDXTUJJXIXJUKULXIUMXJUMUNAUOZBUOUNUPXOXSXGLXRUQURZRZXQXOXS
      YFXGXHXLXSYFUCXGXSYFLXJUQURXHXLRXRXJLUQUSBUTVAVBXGXHXLVCVDYGXGXIJUQURZRZX
      QXGYFYHXGYHYFXGYAYHYFUHZYEYAJDEZYJVEXIJVFVGVHVIVJYIXGXPAUQURZAJUQURZRZRXQ
      XGYHYNXGAVKPZJUQURZYOFGHZJFGHZUQURZYNYHXGAUIEZYPYSUHZAUMYODEZLYOVLURZUUAY
      TUUBUUCRYKLJVLURZRUUAYKUUDVELJVMVEVNVOVPYOJVQVGAVRAVSVTVHXGYKYPYNUHVEAJWA
      VGXGYQXIYRJUQAWBYRJKXGWCWDWEWFWGXGYLYMXQXQXGYLYMUDZXPDEZYKXQUUEUHZJVEWHVE
      XPWIEJWIEUUGUUFYKXPJAWJXPWKJWKUNWLWMWNWOVHWPWQXHXGXKXQXNUCZUCXLXHXKUUHXQX
      HXKRXNXQXHXKXNABCWRWSWTXAXBXCXDXEXF $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)

    $( Lemma for ~ efifo . $)
    efifolem6 $p |- ( ( X e. RR /\ Y e. RR /\ ( ( X ^ 2 ) + ( Y ^ 2 ) ) = 1 )
       -> ( Y = 0 -> E. a e. ( 0 [,) ( 2 x. pi ) )
                     ( X = ( cos ` a ) /\ Y = ( sin ` a ) ) ) ) $=
      ( cr wcel c2 cexp co caddc c1 wceq cc0 cv ccos cfv csin wa cpi cmul cico
      wrex wi cneg wo wb sq0i opreq2d cc recnt sqclt ax0id 3syl sylan9eqr
      eqeq1d ax1cn sqeqort mpan2 syl sq1 eqeq2i syl5bbr adantr bitrd ex
      pm5.32rd cle wbr clt 0re leid 2re pire 2pos pipos mulgt0i w3a remulcl
      elico2t mp2an biimpr mp3an fveq2 eqeq2d anbi12d rcla4ev mpan cos0 eqeq2
      mpbiri eqcomd sin0 syl2an ltlei recn mulid2 1lt2 1re ltmul1i mpbi
      eqbrtrr cospi sinpi jaoian syl6bi 3impib 3expia 3adant2 ) ADEZAFGHZBFGHZI
      HZJKZBLKZACMZNOZKZBXNPOZKZQZCLFRSHZTHZUAZUBBDEXHXLXMYBXHXLXMYBXHXLXMQAJKZ
      AJUCZKZUDZXMQYBXHXMXLYFXHXMXLYFUEXHXMQZXLXIJKZYFYGXKXIJXMXHXKXILIHZXIXMXJ
      LXIIBUFUGXHAUHEZXIUHEYIXIKAUIZAUJXIUKULUMUNXHYHYFUEXMXHXIJFGHZKZYFYHXHYJY
      MYFUEZYKYJJUHEYNUOAJUPUQURYLJXIUSUTVAVBVCVDVEYCXMYBYEALNOZKZBLPOZKZYBYCXM
      LYAEZYPYRQZYBLDEZLLVFVGZLXTVHVGZYSVILVIVJFRVKVLVMVNVOYSUUAUUBUUCVPZUUAXTD
      EZYSUUDUEVIFRVKVLVQZLXTLVRVSVTWAXSYTCLYAXNLKZXPYPXRYRUUGXOYOAXNLNWBWCUUGX
      QYQBXNLPWBWCWDWEWFYCYOAYCYOAKYOJKWGAJYOWHWIWJXMYQBXMYQBKYQLKWKBLYQWHWIWJW
      LARNOZKZBRPOZKZYBYEXMRYAEZUUIUUKQZYBRDEZLRVFVGZRXTVHVGZUULVLLRVIVLVNWMJRS
      HZRXTVHRRVLWNWOJFVHVGUUQXTVHVGWPJFRWQVKVLVNWRWSWTUULUUNUUOUUPVPZUUAUUEUUL
      UURUEVIUUFLXTRVRVSVTWAXSUUMCRYAXNRKZXPUUIXRUUKUUSXOUUHAXNRNWBWCUUSXQUUJBX
      NRPWBWCWDWEWFYEUUHAYEUUHAKUUHYDKXAAYDUUHWHWIWJXMUUJBXMUUJBKUUJLKXBBLUUJWH
      WIWJWLXCXDXEXFXG $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)

    $( Lemma for ~ efifo . $)
    efifolem7 $p |- ( ( Z e. CC /\ ( abs ` Z ) = 1 ) ->
                 E. a e. ( 0 [,) ( 2 x. pi ) ) Z = ( exp ` ( i x. a ) ) ) $=
      ( cc wcel cabs cfv c1 wceq wa ci cv cmul co ce cc0 c2 cpi cico wrex cre
      ccos cim csin cexp cr cle wbr wb 1re 0re lt01 ltlei pm3.2i sq11t mpan2
      absclt absge0t sylanc biimpar sq1 syl6eq caddc w3a efifolem6 efifolem5
      pm2.61dne reclt adantr imclt absvalsq2t eqeq1d biimpa syl3anc syldan
      replimt recnt efivalt syl eqeqan12d crut jca recosclt resinclt syl2an
      bitrd clt 2re pire remulcl elico2t mp2an biimp 3simp1d sylan2 rexbidva
      mpbird ) ACDZAEFZGHZIZAJBKZLMNFZHZBOPQLMZRMZSZATFZXAUAFZHAUBFZXAUCFZHIZBX
      ESZWQWSWRPUDMZGHZXLWTXMGPUDMZGWQXMXOHZWSWRUEDZOWRUFUGZXPWSUHZWQXQXRIGUEDZ
      OGUFUGZIXSXTYAUIOGUJUIUKULUMWRGUNUOAUPAUQURUSUTVAXGUEDZXIUEDZXGPUDMXIPUDM
      VBMZGHZXLWQXNIYBYCYEVCXLXIOXGXIBVDXGXIBVEVFWQYBXNAVGZVHWQYCXNAVIZVHWQXNYE
      WQXMYDGAVJVKVLVMVNWQXFXLUHWSWQXCXKBXEWQXAUEDZXCXKUHXAXEDZWQYHIXCXGJXILMVB
      MZXHJXJLMVBMZHZXKWQYHAYJXBYKAVOYHXACDXBYKHXAVPXAVQVRVSYBYCIXHUEDZXJUEDZIY
      LXKUHWQYHXGXIXHXJVTWQYBYCYFYGWAYHYMYNXAWBXAWCWAWDWEYIYHOXAUFUGZXAXDWFUGZY
      IYHYOYPVCZOUEDXDUEDYIYQUHUJPQWGWHWIOXDXAWJWKWLWMWNWOVHWP $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)
  $}

  ${
    $d F a w $.  $d F w z $.  $d S a w $.  $d a x y $.
    efifo.1 $e |- F = { <. x , y >. | ( x e. ( 0 [,) ( 2 x. pi ) ) /\
                        y = ( exp ` ( i x. x ) ) ) } $.
    efifo.2 $e |- S = { z e. CC | ( abs ` z ) = 1 } $.
    $( The exponential function of an imaginary number maps the closed-below,
       open-above interval from ` 0 ` to ` 2 x. pi ` onto the unit circle.
       (Contributed by Paul Chapman, 16-Mar-2008.) $)
    efifo $p |- F : ( 0 [,) ( 2 x. pi ) ) -onto-> S $=
      ( vw va cc0 c2 cpi cmul co cico wfo wf cv cfv wceq wrex wral dffo3 efif
      cc wcel cabs c1 wa ci ce efifolem7 fveq2 eqeq1d elrab2 opreq2 fveq2d
      fvex fvopab4 eqeq2d rexbiia 3imtr4 rgen mpbir2an ) JKLMNONZDEPVEDEQHRZIRZ
      ESZTZIVEUAZHDUBIHVEDEUCABCDEFGUDVJHDVFUEUFVFUGSZUHTZUIVFUJVGMNZUKSZTZIVEU
      AVFDUFVJVFIULCRZUGSZUHTVLCVFUEDVPVFTVQVKUHVPVFUGUMUNGUOVIVOIVEVGVEUFVHVNV
      FABVGUJARZMNZUKSVNVEEVRVGTVSVMUKVRVGUJMUPUQFVMUKURUSUTVAVBVCVD $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)
  $}

  $( Lemma for ~ efif1 . $)
  efif1lem1 $p |- ( A e. ( pi (,) ( 2 x. pi ) ) ->
                    ( A - pi ) e. ( 0 (,) pi ) ) $=
    ( cr wcel cpi clt wbr c2 cmul co w3a cmin cc0 cioo pire resubclt mpan2
    3ad2ant1 wb posdift mpan biimpa 3adant3 caddc ltsubaddt mp3an23 recn
    2times breq2i syl6bbr biimpar 3adant2 3jca 2re remulcl cxr elioo2t rexrt
    syl2an mp2an 0re 3imtr4 ) ABCZDAEFZAGDHIZEFZJZADKIZBCZLVGEFZVGDEFZJZADVDMIC
    ZVGLDMICZVFVHVIVJVBVCVHVEVBDBCZVHNADOPQVBVCVIVEVBVCVIVNVBVCVIRNDASTUAUBVBVE
    VJVCVBVJVEVBVJADDUCIZEFZVEVBVNVNVJVPRNNADDUDUEVDVOAEDDNUFUGUHUIUJUKULVNVDBC
    ZVLVFRZNGDUMNUNDUOCZVDUOCVRVNVQDVDAUPDUQZVDUQURUSLBCZVNVMVKRZUTNLUOCVSWBWAV
    NLDVGUPLUQVTURUSVA $.
    $( [16-Mar-2008] $) $( [16-Mar-2008] $)

  $( Lemma for ~ efif1 . $)
  efif1lem2 $p |- ( A e. ( pi [,) ( 2 x. pi ) ) ->
                    ( A - pi ) e. ( 0 [,) pi ) ) $=
    ( cr wcel cpi cle wbr c2 cmul co clt w3a cmin cc0 cico pire resubclt mpan2
    3ad2ant1 wb subge0t biimpar 3adant3 caddc ltsubaddt mp3an23 recn 2times
    breq2i syl6bbr 3adant2 3jca 2re remulcl elico2t mp2an 0re 3imtr4 ) ABCZDAEF
    ZAGDHIZJFZKZADLIZBCZMVCEFZVCDJFZKZADUTNICZVCMDNICZVBVDVEVFURUSVDVAURDBCZVDO
    ADPQRURUSVEVAURVEUSURVJVEUSSOADTQUAUBURVAVFUSURVFVAURVFADDUCIZJFZVAURVJVJVF
    VLSOOADDUDUEUTVKAJDDOUFUGUHUIUAUJUKVJUTBCVHVBSOGDULOUMDUTAUNUOMBCVJVIVGSUPO
    MDVCUNUOUQ $.
    $( [16-Mar-2008] $) $( [16-Mar-2008] $)

  $( Lemma for ~ efif1 . $)
  efif1lem3 $p |- ( ( A e. ( 0 [,) pi ) /\ B e. ( 0 [,) pi ) ) ->
                  ( ( exp ` ( i x. A ) ) = ( exp ` ( i x. B ) ) -> A = B ) ) $=
    ( cc0 cpi cico co wcel wa ci cmul ce cfv wceq ccos csin caddc cr cc cle
    wbr clt w3a wb 0re pire elico2t mp2an biimp 3simp1d recnt efivalt 3syl
    eqeqan12d crut recosclt resinclt jca syl syl2an biimpd sylbid pm3.26 syl6
    cosh111t sylibrd ) ACDEFZGZBVFGZHZIAJFKLZIBJFKLZMZANLZBNLZMZABMVIVLVOAOLZBO
    LZMZHZVOVIVLVMIVPJFPFZVNIVQJFPFZMZVSVGVHVJVTVKWAVGAQGZARGVJVTMVGWCCASTZADUA
    TZVGWCWDWEUBZCQGZDQGZVGWFUCUDUECDAUFUGUHUIZAUJAUKULVHBQGZBRGVKWAMVHWJCBSTZB
    DUATZVHWJWKWLUBZWGWHVHWMUCUDUECDBUFUGUHUIZBUJBUKULUMVIWBVSVMQGZVPQGZHZVNQGZ
    VQQGZHZWBVSUCVGVHVMVPVNVQUNVGWCWQWIWCWOWPAUOAUPUQURVHWJWTWNWJWRWSBUOBUPUQUR
    USUTVAVOVRVBVCABVDVE $.
    $( [16-Mar-2008] $) $( [16-Mar-2008] $)

  $( Lemma for ~ efif1 . $)
  efif1lem4 $p |- ( ( A e. ( pi [,) ( 2 x. pi ) ) /\
                      B e. ( pi [,) ( 2 x. pi ) ) ) ->
      ( ( exp ` ( i x. A ) ) = ( exp ` ( i x. B ) ) -> A = B ) ) $=
    ( cpi c2 cmul co cico wcel wa ci ce cfv cneg wceq cmin cc cr cle wbr clt
    w3a wb pire 2re remulcl elico2t mp2an biimp 3simp1d recnd efimpi syl
    eqeqan12d cc0 wi efif1lem3 efif1lem2 syl2an sylbird neg11t axicn axmulcl
    mpan efclt 3syl recn subcan2t mp3an3 3imtr3d ) ACDCEFZGFZHZBVKHZIZJAEFZKLZM
    ZJBEFZKLZMZNZACOFZBCOFZNZVPVSNZABNZVNWAJWBEFKLZJWCEFKLZNZWDVLVMWGVQWHVTVLAP
    HZWGVQNVLAVLAQHZCARSZAVJTSZVLWKWLWMUAZCQHZVJQHZVLWNUBUCDCUDUCUEZCVJAUFUGUHU
    IUJZAUKULVMBPHZWHVTNVMBVMBQHZCBRSZBVJTSZVMWTXAXBUAZWOWPVMXCUBUCWQCVJBUFUGUH
    UIUJZBUKULUMWBUNCGFZHWCXEHWIWDUOVLVMWBWCUPAUQBUQURUSVPPHZVSPHZWAWEUBVLVMVPV
    SUTVLWJVOPHZXFWRJPHZWJXHVAJAVBVCVOVDVEVMWSVRPHZXGXDXIWSXJVAJBVBVCVRVDVEURWJ
    WSWDWFUBZVLVMWJWSCPHXKCUCVFABCVGVHWRXDURVI $.
    $( [16-Mar-2008] $) $( [16-Mar-2008] $)

  ${
    efif1lem5.1 $e |- A e. ( 0 [,) pi ) $.
    efif1lem5.2 $e |- B e. ( pi [,) ( 2 x. pi ) ) $.
    $( Lemma for ~ efif1 . $)
    efif1lem5 $p |- -. ( exp ` ( i x. A ) ) = ( exp ` ( i x. B ) ) $=
      ( cc0 wceq cpi cioo co wcel wo c2 cmul ci ce cfv wn csn cico cun cr clt
      wbr 0re pire pipos snunioo mp3an eleq2i elun bitr3 mpbi wb elsnc2g ax-mp
      orbi1i 2re remulcl c1 1lt2 ltmulgt12t wa ccos wne ax1ne0 df-ne cneg
      fveq2 cos0 syl6eq cospi eqeqan12d ax1cn eqneg syl6bb mtbiri csin orc
      ianor sylibr cle w3a elico2t mp2an 3simp1i efieq negbii syl sinq12gt0t
      resinclt gt0ne0 sylib adantr eqtrt sinpi adantl sylan2 expcom mtod olc
      cmin efif1lem1 cc recn sinmpi breq2i lt0neg1t bitr4 ltne sin0 syl6req
      sylan ex ltnsym wi breq2 syl5cbi ccase ) AEFZAEGHIZJZKZBGFZBGLGMIZHIZJZKZ
      NAMIOPNBMIOPFZQZAERZJZYAKZYBAEGSIZJZYLCYNAYJXTTZJYLYOYMAEUAJZGUAJZEGUBUCZ
      YOYMFUDUEUFEGUGUHUIAYJXTUJUKULYKXSYAYPYKXSUMUDAEUAUNUOUPULBGRZJZYFKZYGBGY
      DSIZJZUUADUUCBYSYETZJUUAUUDUUBBYQYDUAJZGYDUBUCZUUDUUBFUELGUQUEURZUSLUBUCZ
      UUFUTYQLUAJYRUUHUUFUMUEUQUFGLVAUHULGYDUGUHUIBYSYEUJUKULYTYCYFYQYTYCUMUEBG
      UAUNUOUPULXSYCYAYFYIXSYCVBZAVCPZBVCPZFZQZYIUUIUULUSEFZUSEVDUUNQVEUSEVFULU
      UIUULUSUSVGZFUUNXSYCUUJUSUUKUUOXSUUJEVCPUSAEVCVHVIVJYCUUKGVCPUUOBGVCVHVKV
      JVLUSVMVNVOVPUUMUULAVQPZBVQPZFZVBZQZYIUUMUUMUURQZKZUUTUUMUVAVRUULUURVSZVT
      YHUUSAUAJZBUAJZYHUUSUMUVDEAWAUCZAGUBUCZYNUVDUVFUVGWBZCYPYQYNUVHUMUDUEEGAW
      CWDULWEZUVEGBWAUCZBYDUBUCZUUCUVEUVJUVKWBZDYQUUEUUCUVLUMUEUUGGYDBWCWDULWEZ
      ABWFWDWGZVTWHYAYCVBZUVAYIUVOUURUUPEFZYAUVPQZYCYAUUPEVDZUVQYAEUUPUBUCZUVRA
      WIZUUPUVDUUPUAJUVIAWJUOWKWHUUPEVFWLWMUURUVOUVPUURUUQEFZUVPUVOUUPUUQEWNYCU
      WAYAYCUUQGVQPEBGVQVHWOVJWPWQWRWSUVAUUTYIUVAUVBUUTUVAUUMWTUVCVTUVNVTZWHXSY
      FVBZUVAYIUWCUUREUUQFZYFUWDQZXSYFEUUQVDZUWEYFUUQEUBUCZUWFYFEBGXAIZVQPZUBUC
      ZUWGYFUWHXTJUWJBXBUWHWIWHUWJEUUQVGZUBUCZUWGUWIUWKEUBBXCJUWIUWKFBUVMXDBXEU
      OXFUVEUWGUWLUMZUVMUVEUUQUAJZUWMBWJZUUQXGWHUOXHWLZUUQEUVEUWNUVMUWOUOZUDXIW
      HEUUQVFWLWPUWCUURUWDEUUPFZUURUWDUWCEUUPUUQWNXSUWRYFXSUUPEVQPEAEVQVHXJXKWM
      XLXMWSUWBWHYAYFVBZUVAYIUWSUUREUUQUBUCZYFUWTQZYAYFUWGUXAUWPUUQEUWQUDXNWHWP
      YAUURUWTXOYFUURUVSUWTYAUUPUUQEUBXPUVTXQWMWSUWBWHXRWD $.
      $( [26-Mar-2008] $) $( [16-Mar-2008] $)
  $}

  $( Lemma for ~ efif1 . $)
  efif1lem6 $p |- ( ( A e. ( 0 [,) pi ) /\ B e. ( pi [,) ( 2 x. pi ) ) ) ->
                     -. ( exp ` ( i x. A ) ) = ( exp ` ( i x. B ) ) ) $=
    ( cc0 cpi cico co wcel c2 cmul ci ce cfv wceq wn cif opreq2 fveq2d eqeq1d
    negbid eqeq2d cr cle wbr clt 0re leid pipos w3a wb pire elico2t mp2an
    biimpr mp3an elimel c1 1lt2 2re ltmulgt12t mpbi remulcl efif1lem5 dedth2h
    ) ACDEFZGZBDHDIFZEFZGZJAIFZKLZJBIFZKLZMZNJVEACOZIFZKLZVLMZNVPJVHBDOZIFZKLZM
    ZNABCDAVNMZVMVQWBVJVPVLWBVIVOKAVNJIPQRSBVRMZVQWAWCVLVTVPWCVKVSKBVRJIPQTSVNV
    RACVDCUAGZCCUBUCZCDUDUCZCVDGZUECUEUFUGWGWDWEWFUHZWDDUAGZWGWHUIUEUJCDCUKULUM
    UNUOBDVGWIDDUBUCZDVFUDUCZDVGGZUJDUJUFUPHUDUCZWKUQWIHUAGWFWMWKUIUJURUGDHUSUN
    UTWLWIWJWKUHZWIVFUAGWLWNUIUJHDURUJVADVFDUKULUMUNUOVBVC $.
    $( [16-Mar-2008] $) $( [16-Mar-2008] $)

  $( Lemma for ~ efif1 . $)
  efif1lem7 $p |- ( ( A e. ( 0 [,) ( 2 x. pi ) ) /\
                       B e. ( 0 [,) ( 2 x. pi ) ) ) ->
        ( ( exp ` ( i x. A ) ) = ( exp ` ( i x. B ) ) -> A = B ) ) $=
    ( cc0 cpi cico co wcel c2 cmul wo ci ce cfv wceq wi efif1lem3 wa wn
    efif1lem6 ancoms eqcom negbii sylib pm2.21d efif1lem4 ccase cun cr w3a cle
    wbr 0re pire 2re remulcl 3pm3.2i pipos ltlei c1 clt 1lt2 wb ltmulgt12t
    mp3an mpbi pm3.2i icoun mp2an eleq2i elun bitr3 syl2anb ) ACDEFZGZADHDIFZEF
    ZGZJZBVMGZBVPGZJZKAIFLMZKBIFLMZNZABNZOZACVOEFZGZBWGGZVNVSVQVTWFABPVQVSQZWDW
    EWJWCWBNZRZWDRVSVQWLBASTWKWDWCWBUAUBUCUDVNVTQWDWEABSUDABUEUFWHAVMVPUGZGVRWM
    WGACUHGZDUHGZVOUHGZUICDUJUKZDVOUJUKZQWMWGNWNWOWPULUMHDUNUMUOZUPWQWRCDULUMUQ
    URDVOUMWSUSHUTUKZDVOUTUKZVAWOHUHGCDUTUKWTXAVBUMUNUQDHVCVDVEURVFCDVOVGVHZVIA
    VMVPVJVKWIBWMGWAWMWGBXBVIBVMVPVJVKVL $.
    $( [26-Mar-2008] $) $( [16-Mar-2008] $)

  ${
    $d F a b $.  $d F z $.  $d a b x y $.
    efif1.1 $e |- F = { <. x , y >. | ( x e. ( 0 [,) ( 2 x. pi ) ) /\
                        y = ( exp ` ( i x. x ) ) ) } $.
    efif1.2 $e |- S = { z e. CC | ( abs ` z ) = 1 } $.
    $( The exponential function of an imaginary number maps the closed-below,
       open-above interval from ` 0 ` to ` 2 x. pi ` one-to-one to the unit
       circle.  (Contributed by Paul Chapman, 16-Mar-2008.) $)
    efif1 $p |- F : ( 0 [,) ( 2 x. pi ) ) -1-1-> S $=
      ( va vb cc0 c2 cpi cmul co cico wf1 wf cv cfv wceq wi wral f1fv efif
      wcel wa ci ce opreq2 fveq2d fvex fvopab4 eqeqan12d efif1lem7 sylbid
      rgen2a mpbir2an ) JKLMNONZDEPURDEQHRZESZIRZESZTZUSVATZUAZIURUBHURUBHIURDE
      UCABCDEFGUDVEHIURUSURUEZVAURUEZUFVCUGUSMNZUHSZUGVAMNZUHSZTVDVFVGUTVIVBVKA
      BUSUGARZMNZUHSZVIUREVLUSTVMVHUHVLUSUGMUIUJFVHUHUKULABVAVNVKUREVLVATVMVJUH
      VLVAUGMUIUJFVJUHUKULUMUSVAUNUOUPUQ $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)

    $( The exponential function of an imaginary number maps the closed-below,
       open-above interval from ` 0 ` to ` 2 x. pi ` one-to-one onto the unit
       circle.  (Contributed by Paul Chapman, 16-Mar-2008.) $)
    efif1o $p |- F : ( 0 [,) ( 2 x. pi ) ) -1-1-onto-> S $=
      ( cc0 c2 cpi cmul co cico wf1o wf1 wfo df-f1o efif1 efifo mpbir2an ) HIJK
      LMLZDENUADEOUADEPUADEQABCDEFGRABCDEFGST $.
      $( [16-Mar-2008] $) $( [16-Mar-2008] $)
  $}

  ${
    $d A w $.  $d C x z $.  $d w x y z $.
    circgrp.1 $e |- C = { w e. CC | ( abs ` w ) = 1 } $.
    $( Membership of the exponential function of ` i ` times a real number in
       the unit circle.  (Contributed by Paul Chapman, 25-Mar-2008.) $)
    efielcirc $p |- ( A e. RR -> ( exp ` ( i x. A ) ) e. C ) $=
      ( ci cmul co ce cfv cc wcel cabs c1 wceq cr wa cv fveq2 eqeq1d elrab2
      biimpr recnt axicn axmulcl mpan efclt 3syl absefit sylanc ) EBFGZHIZJKZ
      UKLIZMNZUKCKZBOKZUOULUNPAQZLIZMNUNAUKJCUQUKNURUMMUQUKLRSDTUAUPBJKZUJJKZ
      ULBUBEJKUSUTUCEBUDUEUJUFUGBUHUI $.
      $( [26-Apr-2008] $) $( [25-Mar-2008] $)

    circgrp.2 $e |- T = ( x. |` ( C X. C ) ) $.
    $( The circle group ` T ` is an Abelian group.  (Contributed by Paul
       Chapman, 25-Mar-2008.) $)
    circgrp $p |- T e. Abel $=
      ( vx vy vz ci cr cv cmul co ce cfv wceq wrex cab wcel cc0 c2 cpi cico cc
      cabs c1 wa fveq2 eqeq1d elrab2 efifolem7 sylbi cle wbr clt w3a wb 0re
      2re pire remulcl elico2t mp2an biimp 3simp1d anim1i r19.22i2 syl visset
      eqeq1 rexbidv elab sylibr eleq1 efielcirc syl5cbir r19.23aiv impbi eqriv
      axicn axresscn readdsubg efghgrpi ) FGIBCJHBGKZIFKZLMNOZPZFJQZGRZHKZBSZWJ
      WISZWKWJWFPZFJQZWLWKWMFTUAUBLMZUCMZQZWNWKWJUDSWJUEOZUFPZUGWQAKZUEOZUFPWSA
      WJUDBWTWJPXAWRUFWTWJUEUHUIDUJWJFUKULWMWMFWPJWEWPSZWEJSZWMXBXCTWEUMUNZWEWO
      UOUNZXBXCXDXEUPZTJSWOJSXBXFUQURUAUBUSUTVATWOWEVBVCVDVEVFVGVHWHWNGWJHVIWDW
      JPWGWMFJWDWJWFVJVKVLZVMWLWNWKXGWMWKFJWMWKWFBSXCWJWFBVNAWEBDVOVPVQULVRVSEV
      TWAWBWC $.
      $( [26-Apr-2008] $) $( [25-Mar-2008] $)
  $}

  ${
    $d A v x y z $.  $d A w x y $.  $d C v x y z $.  $d D x y $.  $d w v z $.
    shftefif1o.1 $e |- D = ( A [,) ( A + ( 2 x. pi ) ) ) $.
    shftefif1o.2 $e |- G = { <. x , y >. | ( x e. D /\
                             y = ( exp ` ( i x. x ) ) ) } $.
    shftefif1o.3 $e |- C = { w e. CC | ( abs ` w ) = 1 } $.

    ${
      $d A u w $.  $d C u $.  $d D z $.  $d F w $.  $d G z $.  $d H z $.
      $d T u v x y $.

      shftefif1o.4 $e |- F = { <. x , y >. | ( x e. ( 0 [,) ( 2 x. pi ) ) /\
                               y = ( exp ` ( i x. x ) ) ) } $.
      shftefif1o.5 $e |- S = { <. x , y >. |
              ( x e. ( A [,) ( A + ( 2 x. pi ) ) ) /\ y = ( x + -u A ) ) } $.
      shftefif1o.6 $e |- T = ( x. |` ( C X. C ) ) $.
      shftefif1o.7 $e |- L = { <. u , v >. | ( u e. C /\ v = { <. x , y >. |
                               ( x e. C /\ y = ( u T x ) ) } ) } $.
      shftefif1o.8 $e |- H = ( ( L ` ( exp ` ( i x. A ) ) ) o. ( F o. S ) ) $.
      $( Lemma for ~ shftefif1o . $)
      shftefif1olem $p |- ( A e. RR -> G : D -1-1-onto-> C ) $=
        ( vz cr wcel wf1o ci cmul co ce cfv ccom wa f1oco wceq wb f1oeq1 ax-mp
        sylibr efielcirc cgr cabl circgrp ablgrp cdm cc cxp wss crn axmulopr
        fdmi cv cabs c1 crab ssrab2 eqsstr resgrprn mp3an grplactf1o mpan syl
        cc0 c2 cpi cico cneg caddc 2re pire remulcl axaddrcl mpan2 renegclt
        w3a icoshftf1o f1oeq2 mpd3an23 recnt negidt cmin negsubt recnd sylanc
        recn pncan2t eqtrd opreq12d f1oeq3 mpbid efif1o wral opreq2 fveq2d
        fvex fvopab4 adantl wfun wf fvco3 3expa f1ofun f1of jca sylan fveq1i
        syl5eq mp3an1 eleq2i opreq1 oprex sylbi cle wbr clt elico2t mpdan
        syl5bb biimpa 3simp1d adantr wi icoshft syl5ib imp eleq12d grplactval
        cres oprvalres opreqi resubclt pm3.26 3eqtrd efaddt axicn axmulcl
        axdistr pncan3t opreq2d eqtr3d 3eqtr2d eqtr4d r19.21aiva eqid wfn
        f1ofn fnopab2 eqfnfv biimprd mpani mpd mpbird ) FUDUEZHGLUFZHGMUFZGGUGF
        UHUIZUJUKZNUKZUFZHGKIULZUFZUVOUVMUVSUWAUMHGUVRUVTULZUFZUVOHGGUVRUVTUNMU
        WBUOUVOUWCUPUBHGMUWBUQURUSUVMUVQGUEZUVSCFGQUTZJVAUEZUWDUVSJVBUEUWFCGJQT
        VCJVDURZUVQEDNJGABUAUHVEVFVFVGZUOUWFGVFVHGJVIUOUWHVFUHVJVKUWGGCVLVMUKVN
        UOZCVFVOVFQUWICVFVPVQUHJVFGTVRVSZVTWAWBZUVMHWCWDWEUHUIZWFUIZIUFZUWAUVMH
        FFWGZWHUIZFUWLWHUIZUWOWHUIZWFUIZIUFZUWNUVMUWQUDUEZUWOUDUEZUWTUVMUWLUDUE
        UXAWDWEWIWJWKZFUWLWLWMZFWNZUVMUXAUXBWOFUWQWFUIZUWSIUFZUWTABFUWQUWOISWPH
        UXFUOUWTUXGUPOHUXFUWSIWQURUSWRUVMUWSUWMUOZUWTUWNUPUVMUWPWCUWRUWLWFUVMFV
        FUEZUWPWCUOFWSZFWTWBUVMUWRUWQFXAUIZUWLUWQVFUEUXIUWRUXKUOUVMUWQFXBUVMUWQ
        UXDXCUXJXDUVMUXIUXKUWLUOZUXJUXIUWLVFUEUXLUWLUXCXEFUWLXFWMWBXGXHZUWSUWMH
        IXIWBXJZUWMGKUFZUWNUWAABCGKRQXKZHUWMGKIUNWAWBZXDZUVMLMUOZUVNUVOUPUVMUCV
        LZLUKZUXTMUKZUOZUCHXLZUXSUVMUYCUCHUVMUXTHUEZUMZUYAUGUXTUHUIZUJUKZUYBUYE
        UYAUYHUOUVMABUXTUGAVLZUHUIZUJUKZUYHHLUYIUXTUOUYJUYGUJUYIUXTUGUHXMXNPUYG
        UJXOXPXQUYFUYBUVQUGUXTFXAUIZUHUIZUJUKZUHUIZUVPUYMWHUIZUJUKZUYHUYFUYBUXT
        IUKZKUKZUVRUKZUYNUVRUKZUYOUYFUYBUXTUVTUKZUVRUKZUYTUYFUXTUWBUKZVUCUYBUVR
        XRZHGUVTXSZUMUYEVUDVUCUOZUVMVUEVUFUYEVUGHGUXTUVRUVTXTYAUVMVUEVUFUVMUVSV
        UEUWKGGUVRYBWBUVMUWAVUFUXQHGUVTYCWBYDYEUXTMUWBUBYFYGUYFVUBUYSUVRHUWMIXS
        ZUYEVUBUYSUOZUVMKXRZVUHUYEVUIUXOVUJUXPUWMGKYBURHUWMUXTKIXTYHUVMUWNVUHUX
        NHUWMIYCWBYEXNXGUYFUYSUYNUVRUYFUYSUYLKUKZUYNUYFUYRUYLKUYFUYRUXTUWOWHUIZ
        UYLUYEUYRVULUOZUVMUYEUXTUXFUEZVUMHUXFUXTOYIZABUXTUYIUWOWHUIVULUXFIUYIUX
        TUWOWHYJSUXTUWOWHYKXPYLXQUXTVFUEZUXIVULUYLUOUYFUXTFXBUYFUXTUYFUXTUDUEZF
        UXTYMYNZUXTUWQYOYNZUVMUYEVUQVURVUSWOZUVMVUNVUTUYEUVMUXAVUNVUTUPUXDFUWQU
        XTYPYQVUOYRYSYTZXCZUVMUXIUYEUXJUUAZXDZXGXNUYFUYLUWMUEZVUKUYNUOUYFVULUWS
        UEZVVEUVMUYEVVFUVMVUNVVFUYEUVMUXAUXBVUNVVFUUBUXDUXEFUWQUWOUXTUUCWRVUOUU
        DUUEUYFVULUYLUWSUWMVVDUVMUXHUYEUXMUUAUUFXJABUYLUYKUYNUWMKUYIUYLUOUYJUYM
        UJUYIUYLUGUHXMXNRUYMUJXOXPWBXGXNUWDUYNGUEZVUAUYOUOUYFUWDVVGUMZVUAUVQUYN
        JUIZUYOUWFUWDVVGVUAVVIUOUWGUVQUYNEDNJGABUAUWJUUGYHVVHUVQUYNUHGGVGUUHZUI
        UYOVVIUVQUYNGGUHUUIJVVJUVQUYNTUUJYGXGUVMUWDUYEUWEUUAUYFUYLUDUEZVVGVUQUV
        MVVKUYFUXTFUUKVVAUVMUYEUULXDZCUYLGQUTWBXDUUMUVPVFUEZUYMVFUEZUYQUYOUOUYF
        UVPUYMUUNUVMVVMUYEUVMUXIVVMUXJUGVFUEZUXIVVMUUOUGFUUPWAWBUUAUYFUYLVFUEZV
        VNUYFUYLVVLXCZVVOVVPVVNUUOUGUYLUUPWAWBXDUYFUYPUYGUJUYFUGFUYLWHUIZUHUIZU
        YPUYGUXIVVPVVSUYPUOZUYFVVOUXIVVPVVTUUOUGFUYLUUQYHVVCVVQXDUYFVVRUXTUGUHU
        XIVUPVVRUXTUOUYFFUXTUURVVCVVBXDUUSUUTXNUVAUVBUVCUVMHHUOZUYDUXSHUVDUVMUX
        SVWAUYDUMZUVMMHUVEZUXSVWBUPZUVMUVOVWCUXRHGMUVFWBLHUVEVWCVWDABHUYKLUYJUJ
        XOPUVGUCHHLMUVHWAWBUVIUVJUVKHGLMUQWBUVL $.
        $( [26-Apr-2008] $) $( [25-Mar-2008] $)
    $}

    $( The exponential function of ` i ` times a real number maps any
       closed-below, open-above real interval of length ` 2 x. pi ` one-to-one
       onto the unit circle.  (Contributed by Paul Chapman, 25-Mar-2008.) $)
    shftefif1o $p  |- ( A e. RR -> G : D -1-1-onto-> C ) $=
      ( vz vv cv c2 cpi cmul co caddc cico wcel cneg wceq wa copab cxp cres
      cc0 ci ce cfv ccom eqid shftefif1olem ) ABCKLDEFAMZDDNOPQZRQSQTBMZUNDUARQ
      UBUCABUDZPEEUEUFZUNUGUOSQTUPUHUNPQUIUJUBUCABUDZGUHDPQUIUJLMZETKMUNETUPUTU
      NURQUBUCABUDUBUCLKUDZUJUSUQUKUKZVAHIJUSULUQULURULVAULVBULUM $.
      $( [27-Mar-2008] $) $( [25-Mar-2008] $)
  $}

  $( Lemma for ~ eff1i . $)
  eff1lem $p |- ( A e. CC -> ( exp ` A ) =
      ( ( abs ` ( exp ` A ) ) x. ( exp ` ( i x. ( Im ` A ) ) ) ) ) $=
    ( cc wcel cre cfv ci cim cmul co caddc ce cabs wceq efaddt reclt recnd
    imclt axicn axmulcl mpan syl sylanc replimt fveq2d abseft opreq1d 3eqtr4d
    ) ABCZADEZFAGEZHIZJIZKEZUIKEZUKKEZHIZAKEZUQLEZUOHIUIBCUKBCZUMUPMUHUIUKNUHUI
    AOPUHUJBCZUSUHUJAQPFBCUTUSRFUJSTUAUBUHAULKAUCUDUHURUNUOHAUEUFUG $.
    $( [16-Apr-2008] $) $( [16-Apr-2008] $)

  ${
    $d A v w z $.  $d D v w z $.

    eff1i.1 $e |- A e. RR $.
    eff1i.2 $e |- D = ( A [,) ( A + ( 2 x. pi ) ) ) $.
    eff1i.3 $e |- S = { v e. CC | ( Im ` v ) e. D } $.

    ${
      $d A a b $.  $d C a b w z $.  $d D a b $.  $d F a b v x $.  $d S x y $.
      $d a b v w x y z $.

      eff1i.4 $e |- F = { <. z , w >. | ( z e. D /\
                                          w = ( exp ` ( i x. z ) ) ) } $.
      eff1i.5 $e |- C = { v e. CC | ( abs ` v ) = 1 } $.

      $( The exponential function maps the set ` S ` , of complex numbers with
         imaginary part in a closed-below, open-above real interval of length
         ` 2 x. pi ` starting at ` A ` , one-to-one to the nonzero complex
         numbers.  (Contributed by Paul Chapman, 16-Apr-2008.) $)
      eff1i $p |- ( exp |` S ) : S -1-1-> ( CC \ { 0 } ) $=
        ( vx vy cc cc0 csn cdif ce cres wf1 wf cv cfv wceq wi wral f1fv wss
        eff2 wcel cim fveq2 eleq1d elrab2 pm3.26bi ssriv fssres mp2an wa fvres
        eqeqan12d cre cabs abseft cr wb cpnf cioo co reeff1 f1fveq mpan bitr3d
        reclt syl2an bitrd syl5bi imp ci cmul eff1lem biimpa opreq1d adantl
        eqeq2d w3a wne mulcant efclt absclt recnd syl imclt axicn axmulcl 3syl
        jca anim12i df-3an sylibr clt wbr gt0ne0t absgt0t efne0t sylanc adantr
        mpbid ex opreq2 fveq2d fvex fvopab4 wf1o shftefif1o ax-mp f1of1
        pm3.27bi sylibd caddc replimt crut biimprd mp2and sylbid rgen2a
        mpbir2an ) GPQRSZTGUAZUBGYJYKUCZNUDZYKUEZOUDZYKUEZUFZYMYOUFZUGZOGUHNGUH
        NOGYJYKUIPYJTUCGPUJYLUKNGPYMGULZYMPULZYMUMUEZFULZCUDZUMUEZFULZUUCCYMPGU
        UDYMUFUUEUUBFUUDYMUMUNUOKUPZUQZURPYJGTUSUTYSNOGYTYOGULZVAZYQYMTUEZYOTUE
        ZUFZYRYTUUIYNUUKYPUULYMGTVBYOGTVBVCUUJUUMYRUUJUUMVAYMVDUEZYOVDUEZUFZUUB
        YOUMUEZUFZYRUUJUUMUUPUUAYOPULZUUMUUPUGYTUUIUUAUUSVAZUUKVEUEZUULVEUEZUFZ
        UUPUUMUUTUVCUUNTUEZUUOTUEZUFZUUPUUAUUSUVAUVDUVBUVEYMVFYOVFVCUUNVGULZUUO
        VGULZUVFUUPVHUUAUUSUVGUVHVAZUUNTVGUAZUEZUUOUVJUEZUFZUVFUUPUVGUVHUVKUVDU
        VLUVEUUNVGTVBUUOVGTVBVCVGQVIVJVKZUVJUBUVIUVMUUPVHVLVGUVNUUNUUOUVJVMVNVO
        YMVPZYOVPZVQVRUUKUULVEUNZVSUUHUUIUUSUUQFULZUUFUVRCYOPGUUDYOUFUUEUUQFUUD
        YOUMUNUOKUPZUQZVQVTUUJUUMUURUUJUUMWAUUBWBVKZTUEZWAUUQWBVKZTUEZUFZUURUUA
        UUSUUMUWEUGYTUUIUUTUUMUWEUUTUUMVAZUVAUWBWBVKZUVBUWDWBVKZUFZUWEUUTUUMUWI
        UUAUUSUUKUWGUULUWHYMWCYOWCVCWDUWFUWGUVAUWDWBVKZUFZUWIUWEUWFUWJUWHUWGUUM
        UWJUWHUFUUTUUMUVAUVBUWDWBUVQWEWFWGUUTUWKUWEVHZUUMUVAPULZUWBPULZUWDPULZW
        HZUVAQWIZUWLUUTUVAUWBUWDWJUUTUWMUWNVAZUWOVAUWPUUAUWRUUSUWOUUAUWMUWNUUAU
        UKPULZUWMYMWKZUWSUVAUUKWLZWMWNUUAUUBPULZUWAPULZUWNUUAUUBYMWOZWMWAPULZUX
        BUXCWPWAUUBWQVNUWAWKWRWSUUSUUQPULZUWCPULZUWOUUSUUQYOWOZWMUXEUXFUXGWPWAU
        UQWQVNUWCWKWRWTUWMUWNUWOXAXBUUAUWQUUSUVAVGULZQUVAXCXDZUWQUUAUVAXEUUAUWS
        UXIUWTUXAWNUWSUUKQWIZUXJUUAUWSUXKUXJUUKXFWDUWTYMXGXHXHXIXHXIVOXJXKUUHUV
        TVQUUCUVRUWEUURVHYTUUIUUCUVRVAZUUBHUEZUUQHUEZUFZUWEUURUUCUVRUXMUWBUXNUW
        DABUUBWAAUDZWBVKZTUEZUWBFHUXPUUBUFUXQUWATUXPUUBWAWBXLXMLUWATXNXOABUUQUX
        RUWDFHUXPUUQUFUXQUWCTUXPUUQWAWBXLXMLUWCTXNXOVCFEHUBZUXLUXOUURVHFEHXPZUX
        SDVGULUXTIABCDEFHJLMXQXRFEHXSXRFEUUBUUQHVMVNVOYTUUAUUCUUGXTUUIUUSUVRUVS
        XTVQYAVTUUJUUPUURVAZYRUGZUUMUUAUUSUYBYTUUIUUTYRUYAUUTYRUUNUWAYBVKZUUOUW
        CYBVKZUFZUYAUUAUUSYMUYCYOUYDYMYCYOYCVCUVGUUBVGULZVAUVHUUQVGULZVAUYEUYAV
        HUUAUUSUUNUUBUUOUUQYDUUAUVGUYFUVOUXDWSUUSUVHUYGUVPUXHWSVQVRYEUUHUVTVQXI
        YFXKYGYHYI $.
        $( [16-Apr-2008] $) $( [16-Apr-2008] $)

      $( The exponential function maps the set ` S ` , of complex numbers with
         imaginary part in a closed-below, open-above real interval of length
         ` 2 x. pi ` starting at ` A ` , onto the nonzero complex numbers.
         (Contributed by Paul Chapman, 16-Apr-2008.) $)
      effoi $p |- ( exp |` S ) : S -onto-> ( CC \ { 0 } ) $=
        ( vy vx va vb cc cc0 csn cdif ce cres wfo wf cv cfv wceq wrex wral
        dffo3 wss eff2 wcel cim fveq2 eleq1d elrab2 pm3.26bi ssriv fssres
        mp2an cabs cr ccnv ci cdiv co cmul caddc eqeq2d rcla4ev wa biimpr
        axaddcl crp clt wbr elrp eldifi absclt syl wne eldifsn absgt0t biimpa
        sylbi sylanc wf1o reeff1o2 f1ocnv ax-mp f1of ffvelrni recnd c1 eqeq1d
        divclt gt0ne0t syl3anc absdivt absidmt opreq2d dividt 3eqtrd
        shftefif1o cle c2 cpi w3a cico eleq2i wb 2re pire remulcl readdcl
        elico2t bitr biimp 3simp1d 3syl axicn axmulcl mpan crimt eqeltrd fvres
        efaddt f1ocnvfv2 eqtr3d opreq2 fveq2d copab eleq1 adantr id eqeqan12rd
        anbi12d cbvopabv eqtr fvex fvopab4 opreq12d divcan2t eqtr2d rgen
        mpbir2an ) GRSTZUAZUBGUCZUDGUUJUUKUEZNUFZOUFZUUKUGZUHZOGUIZNUUJUJONGUUJ
        UUKUKRUUJUBUEGRULUULUMOGRUUNGUNUUNRUNUUNUOUGZFUNZCUFZUOUGZFUNZUUSCUUNRG
        UUTUUNUHUVAUURFUUTUUNUOUPUQKURUSUTRUUJGUBVAVBUUQNUUJUUMVCUGZUBVDUCZVEZU
        GZVFUUMUVCVGVHZHVEZUGZVIVHZVJVHZGUNZUUMUVKUUKUGZUHZUUQUUMUUJUNZUUPUVNOU
        VKGUUNUVKUHUUOUVMUUMUUNUVKUUKUPVKVLUVKRUNZUVKUOUGZFUNZUVLUVOUVLUVPUVRVM
        UVBUVRCUVKRGUUTUVKUHUVAUVQFUUTUVKUOUPUQKURVNUVFRUNZUVJRUNZUVPUVOUVFUVJV
        OUVOUVFUVOUVCVPUNZUVFVDUNZUVCVDUNZSUVCVQVRZUWAUVOUWAUWCUWDVMUVCVSVNUVOU
        UMRUNZUWCUUMRUUIVTZUUMWAWBZUVOUWEUUMSWCZVMUWDUUMRSWDUWEUWHUWDUUMWEWFWGZ
        WHZVPVDUVCUVEVPVDUVEWIZVPVDUVEUEVDVPUVDWIZUWKWJVDVPUVDWKWLVPVDUVEWMWLWN
        WBZWOZUVOUVIRUNZUVTUVOUVIUVOUVGEUNZUVIFUNZUVIVDUNZUVGRUNZUVGVCUGZWPUHZU
        WPUVOUWPUWSUXAVMUUTVCUGZWPUHUXACUVGREUUTUVGUHUXBUWTWPUUTUVGVCUPWQMURVNU
        WEUVCRUNZUVCSWCZUWSUVOUUMUVCWRUWFUVOUVCUWGWOZUWCUWDUXDUVOUVCWSUWGUWIWHZ
        WTUVOUWTUVCUVCVCUGZVGVHZUVCUVCVGVHZWPUWEUXCUXDUWTUXHUHUVOUUMUVCXAUWFUXE
        UXFWTUVOUWEUXHUXIUHUWFUWEUXGUVCUVCVGUUMXBXCWBUXCUXDUXIWPUHUVOUVCXDUXEUX
        FWHXEWHZEFUVGUVHEFUVHWIZEFUVHUEFEHWIZUXKDVDUNZUXLIABCDEFHJLMXFWLZFEHWKW
        LEFUVHWMWLWNZUWQUWRDUVIXGVRZUVIDXHXIVIVHZVJVHZVQVRZUWQUWRUXPUXSXJZUWQUV
        IDUXRXKVHZUNZUXTFUYAUVIJXLUXMUXRVDUNUYBUXTXMIDUXQIXHXIXNXOXPXQDUXRUVIXR
        VBXSXTYAYBZWOVFRUNUWOUVTYCVFUVIYDYEWBZWHUVOUVQUVIFUWBUWRUVQUVIUHUVOUVFU
        VIYFUWMUYCWHUVOUWPUWQUXJUXOWBYGWHZUVOUVMUVKUBUGZUUMUVOUVLUVMUYFUHUYEUVK
        GUBYHWBUVOUYFUVFUBUGZUVJUBUGZVIVHZUVCUVGVIVHZUUMUVSUVTUYFUYIUHUVOUVFUVJ
        YIUWNUYDWHUVOUYGUVCUYHUVGVIUVOUVFUVDUGZUYGUVCUVOUWBUYKUYGUHUWMUVFVDUBYH
        WBUVOUWAUYKUVCUHZUWJUWLUWAUYLWJVDVPUVCUVDYJYEWBYKUVOUVIHUGZUYHUVGUVOUWP
        UWQUYMUYHUHUXJUXOPQUVIVFPUFZVIVHZUBUGZUYHFHUYNUVIUHUYOUVJUBUYNUVIVFVIYL
        YMHAUFZFUNZBUFZVFUYQVIVHZUBUGZUHZVMZABYNUYNFUNZQUFZUYPUHZVMZPQYNLVUCVUG
        ABPQUYQUYNUHZUYSVUEUHZVMUYRVUDVUBVUFVUHUYRVUDXMVUIUYQUYNFYOYPVUIVUHUYSV
        UEVUAUYPVUIYQVUHUYTUYOUBUYQUYNVFVIYLYMYRYSYTUUAUVJUBUUBUUCYBUVOUWPUYMUV
        GUHZUXJUXLUWPVUJUXNFEUVGHYJYEWBYKUUDUXCUWEUXDUYJUUMUHUVOUVCUUMUUEUXEUWF
        UXFWTXEUUFWHUUGUUH $.
        $( [26-Apr-2008] $) $( [16-Apr-2008] $)
    $}

    $( The exponential function maps the set ` S ` , of complex numbers with
       imaginary part in a closed-below, open-above real interval of length
       ` 2 x. pi ` starting at ` A ` , one-to-one onto the nonzero complex
       numbers.  ` A ` would normally be fixed at ` 0 ` or ` -u pi ` ,
       according to choice of principal domain for the exponential function.
       (Contributed by Paul Chapman, 16-Apr-2008.) $)
    eff1oi $p |- ( exp |` S ) : S -1-1-onto-> ( CC \ { 0 } ) $=
      ( vz vw cc cc0 csn cdif ce cres wf1o wf1 wfo df-f1o cv cabs cfv c1 wceq
      crab wcel ci cmul co wa copab eqid eff1i effoi mpbir2an ) DJKLMZNDOZPDUPU
      QQDUPUQRDUPUQSHIABATUAUBUCUDAJUEZCDHTZCUFITUGUSUHUINUBUDUJHIUKZEFGUTULZUR
      ULZUMHIABURCDUTEFGVAVBUNUO $.
      $( [16-Apr-2008] $) $( [16-Apr-2008] $)
  $}

  $( The exponential function is periodic.  (Contributed by Paul Chapman,
     21-Apr-2008.) $)
  efper $p |- ( ( A e. CC /\ K e. ZZ ) ->
           ( exp ` ( A + ( ( i x. ( 2 x. pi ) ) x. K ) ) ) = ( exp ` A ) ) $=
    ( cc wcel cz wa ci c2 cpi cmul co caddc ce cfv wceq efaddt zcnt axicn 2re
    pire remulcl recn mulcl axmulcl mpan syl sylan2 c1 ccos csin mpan2 efivalt
    3syl mul12t mp3an13 axmulcom eqtrd fveq2d cc0 cos2kpi sin2kpi opreq2d
    mul01 syl6eq opreq12d ax1cn addid1 3eqtr3d efclt mulid1t sylan9eqr ) ACDZBE
    DZFAGHIJKZJKZBJKZLKMNZAMNZVPMNZJKZVRVLVPCDZVQVTOVMAVPPVMBCDZWABQZVOCDZWBWAG
    VNRVNHISTUAUBZUCZVOBUDUEUFUGVMVLVTVRUHJKZVRVMVSUHVRJVMGBVNJKZJKZMNZWHUINZGW
    HUJNZJKZLKZVSUHVMWBWHCDZWJWNOWCWBVNCDZWOWEBVNUDUKWHULUMVMWIVPMVMWBWIVPOWCWB
    WIBVOJKZVPGCDWBWPWIWQORWEGBVNUNUOWBWDWQVPOWFBVOUPUKUQUFURVMWNUHUSLKUHVMWKUH
    WMUSLBUTVMWMGUSJKUSVMWLUSGJBVAVBGRVCVDVEUHVFVGVDVHVBVLVRCDWGVROAVIVRVJUFVKU
    Q $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( The exponential function restricted to its principal domain maps
     one-to-one onto the nonzero complex numbers.  (Contributed by Paul
     Chapman, 21-Apr-2008.) $)
  eff1o $p |- ( exp |` { x e. CC | ( Im ` x ) e. ( -u pi [,) pi ) } ) :
    { x e. CC | ( Im ` x ) e. ( -u pi [,) pi ) } -1-1-onto-> ( CC \ { 0 } ) $=
    ( cpi cneg c2 cmul co caddc cico cv cim cfv wcel cc crab pire renegcl eqid
    wb cmin 2cn recn mulcl negsub addcom 2times eqcomi subaddri 3eqtr3 opreq2i
    eleq2i a1i rabbii eff1oi ) ABCZUNUNDBEFZGFZHFZAIZJKZUNBHFZLZAMNZBOPZUQQUSUQ
    LZAMNVBVDVAAMVDVARURMLUQUTUSUPBUNHUOUNGFUOBSFUPBUOBDBTBOUAZUBZVEUCUOUNVFUNV
    CUAUDUOBBVFVEVEUOBBGFBVEUEUFUGUHUIUJUKULUFUM $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
        The natural logarithm on complex numbers
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c log $.

  $( Extend class notation with the natural logarithm function on complex
     numbers. $)
  clog $a class log $.

  $( Define the natural logarithm function on complex numbers.  See
     ~ http://en.wikipedia.org/wiki/Natural_logarithm ("The natural logarithm
     function can also be defined as the inverse function of the exponential
     function"). $)
  df-log $a |- log =
               `' ( exp |` { x e. CC | ( Im ` x ) e. ( -u pi [,) pi ) } ) $.

  $( The range of the natural logarithm function, also the principal domain of
     the exponential function.  This allows us to write the longer class
     abstraction as simply ` ran log ` .  (Contributed by Paul Chapman,
     21-Apr-2008.) $)
  logrn $p |- ran log = { x e. CC | ( Im ` x ) e. ( -u pi [,) pi ) } $=
    ( cc cc0 csn cdif cv cim cfv cpi cneg cico co wcel crab clog wf1 crn wceq
    wf1o wa ce cres ccnv eff1o f1ocnv ax-mp wb df-log f1oeq1 mpbir f1o5 mpbi
    pm3.27i ) BCDEZAFGHIJIKLMABNZOPZOQUORZUNUOOSZUPUQTURUNUOUAUOUBZUCZSZUOUNUSS
    VAAUDUOUNUSUEUFOUTRURVAUGAUHUNUOOUTUIUFUJUNUOOUKULUM $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( The natural logarithm function in terms of the exponential function
     restricted to its principal domain.  (Contributed by Paul Chapman,
     21-Apr-2008.) $)
  dflog2 $p |- log = `' ( exp |` ran log ) $=
    ( vx clog ce cv cim cfv cpi cneg cico co wcel cc crab cres ccnv crn df-log
    wceq logrn reseq2 ax-mp cnveq eqtr4 ) BCADEFGHGIJKALMZNZOZCBPZNZOZAQUHUERZU
    IUFRUGUDRUJASUGUDCTUAUHUEUBUAUC $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( The range of the natural logarithm function includes the real numbers.
     (Contributed by Paul Chapman, 21-Apr-2008.) $)
  resslogrn $p |- RR (_ ran log $=
    ( vx cr clog crn cv wcel cim cfv cpi cneg cico co cc crab wa rabid biimpr
    recnt cc0 reim0t cle wbr clt 0re pire renegcl pipos wb lt0neg2t ax-mp mpbi
    ltlei w3a elico2t mp2an mp3an syl6eqel sylanc logrn syl6eleqr ssriv ) ABCDZ
    AEZBFZVCVCGHZIJZIKLZFZAMNZVBVCMFZVHVCVIFZVDVKVJVHOVHAMPQVCRVDVESVGVCTSBFZVF
    SUAUBZSIUCUBZSVGFZUDVFSIUEUFZUDVNVFSUCUBZUGIBFZVNVQUHUEIUIUJUKULUGVOVLVMVNU
    MZVFBFVRVOVSUHVPUEVFISUNUOQUPUQURAUSUTVA $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( The exponential function restricted to its principal domain maps
     one-to-one onto the nonzero complex numbers.  (Contributed by Paul
     Chapman, 21-Apr-2008.) $)
  eff1o2 $p |- ( exp |` ran log ) : ran log -1-1-onto-> ( CC \ { 0 } ) $=
    ( vx clog crn cc cc0 csn cdif ce cres wf1o cv cim cfv cpi cneg cico co
    wcel crab eff1o wceq wb logrn reseq2 ax-mp f1oeq1 mpbir f1oeq2 ) BCZDEFGZHU
    IIZJZAKLMNONPQRADSZUJUKJZUNUMUJHUMIZJZATUKUOUAZUNUPUBUIUMUAZUQAUCZUIUMHUDUE
    UMUJUKUOUFUEUGURULUNUBUSUIUMUJUKUHUEUG $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( The natural logarithm function maps the nonzero complex numbers one-to-one
     onto its range.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  logf1o $p |- log : ( CC \ { 0 } ) -1-1-onto-> ran log $=
    ( cc cc0 csn cdif clog crn wf1o ce cres ccnv eff1o2 f1ocnv ax-mp wceq wb
    dflog2 f1oeq1 mpbir ) ABCDZEFZEGZSTHTIZJZGZTSUBGUDKTSUBLMEUCNUAUDOPSTEUCQMR
    $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( The natural logarithm function on the positive reals in terms of the real
     exponential function.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  dfrelog $p |- ( log |` RR+ ) = `' ( exp |` RR ) $=
    ( ce clog crn cres ccnv cr cima crp wceq df-ima wss resslogrn resabs1
    ax-mp rneqi wfn wfun wf1o w3a reeff1o2 f1o2 mpbi 3simp3i 3eqtr reseq2
    cnveq cc cc0 csn cdif logf1o f1ofun wb dflog2 funeq funcnvres eqtr3 reseq1
    3eqtr4r ) ABCZDZEZVAFGZDZVBHDZAFDZEZBHDZVCHIVDVEIVCVAFDZCVFCZHVAFJVIVFFUTKV
    IVFIZLAFUTMNZOVFFPZVGQZVJHIZFHVFRVMVNVOSTFHVFUAUBUCUDVCHVBUENVIEZVGVDVKVPVG
    IVLVIVFUFNVBQZVPVDIBQZVQUGUHUIUJZUTBRVRUKVSUTBULNBVBIZVRVQUMUNBVBUONUBFVAUP
    NUQVTVHVEIUNBVBHURNUS $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( The natural logarithm function maps the positive reals one-to-one onto the
     real numbers.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  relogf1o $p |- ( log |` RR+ ) : RR+ -1-1-onto-> RR $=
    ( crp cr clog cres wf1o ce crn ccnv wfun cc cc0 csn cdif eff1o2 wfo f1o3
    pm3.27bi ax-mp reeff1o2 wceq wb wss resslogrn resabs1 f1oeq1 mpbir
    f1orescnv mp2an dflog2 reseq1 ) ABCADZEZABFCGZDZHZADZEZUOIZBAUNBDZEZUQUMJKL
    MZUNEZURNVBUMVAUNOURUMVAUNPQRUTBAFBDZEZSUSVCTZUTVDUABUMUBVEUCFBUMUDRBAUSVCU
    ERUFABUNUGUHUKUPTZULUQUACUOTVFUICUOAUJRABUKUPUERUF $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( Closure of the natural logarithm function.  (Contributed by Paul Chapman,
     21-Apr-2008.) $)
  logclt $p |- ( ( A e. CC /\ A =/= 0 ) -> ( log ` A ) e. ran log ) $=
    ( cc wcel cc0 wne wa csn cdif clog cfv crn eldifsn wf1o wf logf1o f1of
    ax-mp ffvelrni sylbir ) ABCADEFABDGHZCAIJIKZCABDLTUAAITUAIMTUAINOTUAIPQRS
    $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( Closure of the natural logarithm function on positive reals.  (Contributed
     by Steve Rodriguez, 25-Nov-2007.) $)
  relogclt $p |- ( A e. RR+ -> ( log ` A ) e. RR ) $=
    ( crp wcel clog cres cfv cr fvres wf1o wf relogf1o f1of ax-mp ffvelrni
    eqeltrrd ) ABCADBEZFADFGABDHBGAPBGPIBGPJKBGPLMNO $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  eflogt $p |- ( ( A e. CC /\ A =/= 0 ) -> ( exp ` ( log ` A ) ) = A ) $=
    ( cc wcel cc0 wne wa clog cfv ce crn cres wceq logclt fvres syl ccnv csn
    cdif eldifsn wf1o eff1o2 f1ocnvfv2 mpan sylbir dflog2 fveq1i fveq2i syl5eq
    eqtr3d ) ABCADEFZAGHZIGJZKZHZUKIHZAUJUKULCUNUOLAMUKULINOUJAUMPZHZUMHZAUNUJA
    BDQRZCZURALZABDSULUSUMTUTVAUAULUSAUMUBUCUDUKUQUMAGUPUEUFUGUHUI $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  reeflogt $p |- ( A e. RR+ -> ( exp ` ( log ` A ) ) = A ) $=
    ( cc wcel cc0 wne clog cfv ce wceq crp eflogt rpret recnd cr clt wbr
    gt0ne0t rpgt0t sylanc ) ABCADEZAFGHGAIAJCZAKUAAALZMANCDAOPTUAAQUBARSS $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  logeft $p |- ( A e. ran log -> ( log ` ( exp ` A ) ) = A ) $=
    ( clog crn wcel ce cres cfv fvres fveq2d ccnv cc cc0 csn cdif wf1o wceq
    eff1o2 f1ocnvfv1 mpan dflog2 fveq1i syl5eq eqtr3d ) ABCZDZAEUDFZGZBGZAEGZBG
    AUEUGUIBAUDEHIUEUGUFJZGZAUHUDKLMNZUFOUEUKAPQUDULAUFRSUGBUJTUAUBUC $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  relogeft $p |- ( A e. RR -> ( log ` ( exp ` A ) ) = A ) $=
    ( cr wcel clog crn ce cfv wceq resslogrn sseli logeft syl ) ABCADEZCAFGDGAH
    BMAIJAKL $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Paul Chapman, 21-Apr-2008.) $)
  logeftb $p |- ( ( A e. CC /\ A =/= 0 /\ B e. ran log ) ->
                  ( ( log ` A ) = B <-> ( exp ` B ) = A ) ) $=
    ( cc wcel cc0 wne clog crn cfv wceq ce wb csn cdif wa cres ccnv fvres
    eqeq1d adantr wf1o eff1o2 f1ocnvfvb mp3an1 bitr3d ancoms dflog2 fveq1i
    eqeq1i syl6rbbr eldifsn sylanbr 3impa ) ACDZAEFZBGHZDZAGIZBJZBKIZAJZLZACEMN
    ZDZUQVBUNUOOVDUQOVAAKUPPZQZIZBJZUSUQVDVAVHLUQVDOBVEIZAJZVAVHUQVJVALVDUQVIUT
    ABUPKRSTUPVCVEUAUQVDVJVHLUBUPVCBAVEUCUDUEUFURVGBAGVFUGUHUIUJACEUKULUM $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( Relationship between the natural logarithm function and the exponential
     function.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  relogeftb $p |- ( ( A e. RR+ /\ B e. RR ) ->
                    ( ( log ` A ) = B <-> ( exp ` B ) = A ) ) $=
    ( cc wcel cc0 wne wa clog crn cfv wceq ce wb crp cr logeftb 3expa rpret
    recnd clt wbr gt0ne0t rpgt0t sylanc jca resslogrn sseli syl2an ) ACDZAEFZGB
    HIZDZAHJBKBLJAKMZANDZBODUIUJULUMABPQUNUIUJUNAARZSAODEATUAUJUNAUBUOAUCUDUEOU
    KBUFUGUH $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( The natural logarithm of ` 1 ` .  One case of Property 1a of [Cohen] p.
     301.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  log1 $p |- ( log ` 1 ) = 0 $=
    ( c1 clog cfv cc0 wceq ce ef0 crp wcel cr wb 1re lt01 elrpi 0re relogeftb
    mp2an mpbir ) ABCDEZDFCAEZGAHIDJISTKALMNOADPQR $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( The natural logarithm of ` e ` .  One case of Property 1b of [Cohen]
     p. 301.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  loge $p |- ( log ` e ) = 1 $=
    ( ceu clog cfv c1 wceq ce df-e eqcomi crp wcel cr wb ere cc0 clt 1re efgt0
    breqtrr elrpi relogeftb mp2an mpbir ) ABCDEZDFCZAEZAUDGHAIJDKJUCUELAMNUDAOD
    PQGRSPADTUAUB $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( Relationship between ` pi ` and the natural logarithm function.
     (Contributed by Paul Chapman, 21-Apr-2008.) $)
  pilog $p |- pi = ( i x. ( log ` -u 1 ) ) $=
    ( vx ci c1 cneg clog cfv cmul co cpi wceq ce c2 caddc cc wcel cz axicn
    pire recn mulcl 1z znegclt ax-mp efper mp2an cmin 2cn negsub zcnt mulcom
    mulm1 eqtr opreq2i subdi 3eqtr4 negsubdi2 2times eqcomi subaddri negeqi
    eqtr3 mulneg2 3eqtr fveq2i cc0 df-neg eulerid 0cn ax1cn efclt subadd2
    mpbir eqtr2 3eqtr3 wne crn wb ax1ne0 negn0 cv cim cico crab fveq2 eleq1d
    elrab negcl imneg addid2 0re crim cr cle wbr clt renegcl leid pipos
    lt0neg2t mpbi lttr w3a elico2t biimpr mp3an eqeltr mpbir2an logrn eleqtrr
    logeftb ixi opreq1i mulass negneg ) BCDZEFZGHBBIGHZDZGHZIXPXRBGXPXRJZXRKFZX
    OJZXQBLIGHZGHZXOGHZMHZKFZXQKFZYAXOXQNOZXOPOZYGYHJBIQIRSZTZCPOYJUACUBUCZXQXO
    UDUEYFXRKYFBIYCUFHZGHZBIDZGHXRXQYDDZMHXQYDUFHYFYOXQYDYLBYCQLIUGYKTZTZUHYEYQ
    XQMYEXOYDGHYQYDXOYSYJXONOZYMXOUIUCZUJYDYSUKULUMBIYCQYKYRUNUOYNYPBGYCIUFHZDY
    NYPYCIYRYKUPUUBIYCIIYRYKYKYCIIMHIYKUQURUSUTVAUMBIQYKVBVCVDXOVECUFHZYHCVFUUC
    YHJYHCMHVEJVGVECYHVHVIYIYHNOYLXQVJUCVKVLVMVNYTXOVEVOXREVPZOXTYBVQUUACVIVRVS
    XRAVTZWAFZYPIWBHZOZANWCZUUDXRUUIOXRNOXRWAFZUUGOZUUHUUKAXRNUUEXRJUUFUUJUUGUU
    EXRWAWDWEWFXQYLWGUUJYPUUGUUJXQWAFZDYPXQYLWHUULIVEXQMHZWAFUULIUUMXQWAXQYLWIV
    DVEIWJRWKVAUTULYPWLOZYPYPWMWNZYPIWOWNZYPUUGOZIRWPZYPUURWQYPVEWOWNZVEIWOWNZU
    UPUUTUUSWRIWLOZUUTUUSVQRIWSUCWTWRYPVEIUURWJRXAUEUUQUUNUUOUUPXBZUUNUVAUUQUVB
    VQUURRYPIYPXCUEXDXEXFXGAXHXIXOXRXJXEVLUMXSBXQGHZDYPDIBXQQYLVBUVCYPBBGHZIGHX
    OIGHUVCYPUVDXOIGXKXLBBIQQYKXMIYKUKVNUTIYKXNVCVM $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  ${
    relogoprlem.1 $e |- ( ( ( log ` A ) e. CC /\ ( log ` B ) e. CC ) ->
                        ( exp ` ( ( log ` A ) F ( log ` B ) ) ) =
                        ( ( exp ` ( log ` A ) ) G ( exp ` ( log ` B ) ) ) ) $.
    relogoprlem.2 $e |- ( ( ( log ` A ) e. RR /\ ( log ` B ) e. RR ) ->
                          ( ( log ` A ) F ( log ` B ) ) e. RR ) $.
    $( Lemma for ~ relogmult and ~ relogdivt .  Remark of [Cohen] p. 301 ("The
       proof of Property 3 is quite similar to the proof given for Property
       2"). $)
    relogoprlem $p |- ( ( A e. RR+ /\ B e. RR+ ) ->
        ( log ` ( A G B ) ) = ( ( log ` A ) F ( log ` B ) ) ) $=
      ( crp wcel wa clog cfv ce co reeflogt opreqan12d fveq2d cr wceq cc recnt
      syl2an relogeft syl eqtr3d relogclt ) AGHZBGHZIZAJKZLKZBJKZLKZDMZJKZABDMZ
      JKUIUKCMZUHUMUOJUFUGUJAULBDANBNOPUIQHZUKQHZUNUPRUFUGUQURIZUPLKZJKZUNUPUIS
      HZUKSHZVAUNRUQURVBVCIUTUMJEPUITUKTUAUSUPQHVAUPRFUPUBUCUDAUEBUEUAUD $.
      $( [21-Apr-2008] $) $( [25-Nov-2007] $)
  $}

  $( The natural logarithm of the product of two positive real numbers is the
     sum of natural logarithms.  Property 2 of [Cohen] p. 301, restricted to
     natural logarithms.  (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  relogmult $p |- ( ( A e. RR+ /\ B e. RR+ ) ->
                    ( log ` ( A x. B ) ) = ( ( log ` A ) + ( log ` B ) ) ) $=
    ( caddc cmul clog cfv efaddt axaddrcl relogoprlem ) ABCDAEFZBEFZGJKHI $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( The natural logarithm of the quotient of two positive real numbers is the
     difference of natural logarithms.  Exercise 72(a) and Property 3 of
     [Cohen] p. 301, restricted to natural logarithms.  (Contributed by Steve
     Rodriguez, 25-Nov-2007.) $)
  relogdivt $p |- ( ( A e. RR+ /\ B e. RR+ ) ->
                    ( log ` ( A / B ) ) = ( ( log ` A ) - ( log ` B ) ) ) $=
    ( cmin cdiv clog cfv efsubt resubclt relogoprlem ) ABCDAEFZBEFZGJKHI $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( Exponentiation of a nonzero complex number to a nonnegative integer power.
     (Contributed by Paul Chapman, 21-Apr-2008.) $)
  explogt $p |- ( ( A e. CC /\ A =/= 0 /\ N e. NN0 ) ->
                  ( A ^ N ) = ( exp ` ( N x. ( log ` A ) ) ) ) $=
    ( vx cc wcel cc0 wne cn0 w3a clog cfv cmul co ce cexp wceq wa efexpt crn
    logclt cv cim cpi cneg cico crab logrn ssrab2 eqsstr sseli syl sylan 3impa
    eflogt opreq1d 3adant3 eqtr2d ) ADEZAFGZBHEZIBAJKZLMNKZVANKZBOMZABOMZURUSUT
    VBVDPZVADEZUTVFURUSQZVABRVHVAJSZEVGATVIDVAVICUAUBKUCUDUCUEMEZCDUFDCUGVJCDUH
    UIUJUKULUMURUSVDVEPUTVHVCABOAUNUOUPUQ $.
    $( [21-Apr-2008] $) $( [21-Apr-2008] $)

  $( Exponentiation of a positive real number to a nonnegative integer power.
     (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
  reexplogt $p |- ( ( A e. RR+ /\ N e. NN0 ) ->
                    ( A ^ N ) = ( exp ` ( N x. ( log ` A ) ) ) ) $=
    ( crp wcel cn0 wa clog cfv cmul co ce cexp cc wceq efexpt relogclt recnd
    sylan reeflogt opreq1d adantr eqtr2d ) ACDZBEDZFBAGHZIJKHZUEKHZBLJZABLJZUEM
    DUDUFUHNUCUEBOUCUEAPQRUCUHUINUDUCUGABLASTUAUB $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( The natural logarithm of positive ` A ` raised to an nonnegative integer
     power.  Property 4 of [Cohen] p. 301-302, restricted to natural logarithms
     and nonnegative-integer powers ` N ` .  (Contributed by Steve Rodriguez,
     25-Nov-2007.) $)
  relogexpt $p |- ( ( A e. RR+ /\ N e. NN0 ) ->
                    ( log ` ( A ^ N ) ) = ( N x. ( log ` A ) ) ) $=
    ( crp wcel cn0 wa clog cfv cmul co ce cexp cc wceq efexpt relogclt recnd
    sylan reeflogt opreq1d adantr eqtrd fveq2d cr axmulrcl ancoms nn0ret
    syl2an relogeft syl eqtr3d ) ACDZBEDZFZBAGHZIJZKHZGHZABLJZGHUPUNUQUSGUNUQUO
    KHZBLJZUSUOMDUMUQVANULUOBOULUOAPZQRULVAUSNUMULUTABLASTUAUBUCUNUPUDDZURUPNUO
    UDDZBUDDZVCULUMVEVDVCBUOUEUFVBBUGUHUPUIUJUK $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  $( The natural logarithm function on positive reals determines an isomorphism
     from the positive reals onto the reals.  (Contributed by Steve Rodriguez,
     25-Nov-2007.)  $)
  relogiso $p |- ( log |` RR+ ) Isom < , < ( RR+ , RR ) $=
    ( crp cr clt clog cres wiso ce ccnv reefiso isocnv ax-mp wceq wb dfrelog
    isoeq1 mpbir ) ABCCDAEZFZABCCGBEZHZFZBACCSFUAIBACCSJKQTLRUAMNABCCTQOKP $.
    $( [21-Apr-2008] $) $( [25-Nov-2007] $)

  ${
    $d A x y $.  $d B y $.
    $( The natural logarithm function on positive reals is strictly monotonic.
       (Contributed by Steve Rodriguez, 25-Nov-2007.) $)
    logltbt $p |- ( ( A e. RR+ /\ B e. RR+ ) ->
                    ( A < B <-> ( log ` A ) < ( log ` B ) ) ) $=
      ( vx vy crp wcel wa clt wbr clog cres cfv cv wb wral cr wf1o wiso
      relogiso df-iso mpbi pm3.27i wceq breq1 fveq2 breq1d bibi12d breq2
      breq2d rcla42v mpi fvres breqan12d bitrd ) AEFZBEFZGZABHIZAJEKZLZBUSLZHIZ
      AJLZBJLZHIUQCMZDMZHIZVEUSLZVFUSLZHIZNZDEOCEOZURVBNZEPUSQZVLEPHHUSRVNVLGSC
      DEPHHUSTUAUBVKVMAVFHIZUTVIHIZNCDABEEVEAUCZVGVOVJVPVEAVFHUDVQVHUTVIHVEAUSU
      EUFUGVFBUCZVOURVPVBVFBAHUHVRVIVAUTHVFBUSUEUIUGUJUKUOUPUTVCVAVDHAEJULBEJUL
      UMUN $.
      $( [21-Apr-2008] $) $( [25-Nov-2007] $)
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
          ZFC Set Theory plus Grothendieck's Axiom
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Introduce Grothendieck's Axiom
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u f $.
    $( Grothendieck's Axiom.  For every set ` x ` there is an inaccessible
       cardinal ` y ` such that ` y ` is not in ` x ` . The addition of this
       axiom to ZFC set theory provides a framework for category theory,
       thus for all practical purposes giving us a complete foundation for
       "all of mathematics."  This version of the axiom is used by the Mizar
       project ( ~ http://www.mizar.org/JFM/Axiomatics/tarski.html ).  Unlike
       the ZFC axioms, this axiom is very long when expressed in terms of
       primitive symbols - see ~ grothprim .  An open problem is finding a
       shorter equivalent. $)
    ax-groth $a |- E. y ( x e. y /\ A. z e. y ( A. w ( w (_ z -> w e. y ) /\
                       E. w e. y A. v ( v (_ z -> v e. w ) ) /\
                     A. z ( z (_ y -> ( z ~~ y \/ z e. y ) ) ) $.

    $( Alternate version of Grothendieck's Axiom. $)
    axgroth2 $p |- E. y ( x e. y /\ A. z e. y ( A. w ( w (_ z -> w e. y ) /\
                       E. w e. y A. v ( v (_ z -> v e. w ) ) /\
                     A. z ( z (_ y -> ( y ~<_ z \/ z e. y ) ) ) $=
      ( cv wcel wss wi wal wrex wa wral cdom wbr wo w3a wex cen ax-groth cvv
      visset ssdomg ax-mp biantrurd wb sbthbg syl6bb orbi1d pm5.74i albii
      3anbi3i exbii mpbir ) AFBFZGZDFZCFZHUQUOGIDJEFZURHUSUQGIEJDUOKLCUOMZURUOH
      ZUOURNOZURUOGZPZIZCJZQZBRUPUTVAURUOSOZVCPZIZCJZQZBRABCDETVGVLBVFVKUPUTVEV
      JCVAVDVIVAVBVHVCVAVBURUONOZVBLZVHVAVMVBURUAGVAVMICUBURUOUAUCUDUEUOUAGVNVH
      UFBUBURUOUAUGUDUHUIUJUKULUMUN $.
      $( [25-Mar-2007] $) $( [18-Mar-2007] $)

    $( Alternate version of Grothendieck's Axiom.  ~ ax-ac is used to derive
       this version. $)
    axgroth3 $p |- E. y ( x e. y /\ A. z e. y ( A. w ( w (_ z -> w e. y ) /\
                       E. w e. y A. v ( v (_ z -> v e. w ) ) /\
                     A. z ( z (_ y -> ( ( y \ z ) ~<_ z \/ z e. y ) ) ) $=
      ( cv wcel wss wi wal wrex wa wral cdif cdom wbr wo w3a wex axgroth2 cuni
      wb com c0 wne visset dominf ne0i sylan infdif2 syl orbi1d imbi2d albidv
      ssid wceq sseq1 elequ1 imbi12d a4v mpi r19.22si eluni2 sylibr adantl
      r19.20si dfss3 sylan2 pm5.32i df-3an 3bitr4 exbii mpbir ) AFZBFZGZDFZCFZH
      VQVOGIDJZEFZVRHZVTVQGZIZEJZDVOKZLZCVOMZVRVOHZVOVRNVROPZVRVOGZQZIZCJZRZBSV
      PWGWHVOVROPZWJQZIZCJZRZBSABCDETWNWSBVPWGLZWMLWTWRLWNWSWTWMWRVPVOVOUAZHZWM
      WRUBWGVPXBLZWLWQCXCWKWPWHXCWIWOWJXCUCVOOPZWIWOUBVOUDUEXBXDVPVOBUFZUGVOVNU
      HUIVOVRXECUFUJUKULUMUNWGVRXAGZCVOMXBWFXFCVOWEXFVSWEVRVQGZDVOKXFWDXGDVOWDV
      RVRHZXGVRUOWCXHXGIECVTVRUPWAXHWBXGVTVRVRUQECDURUSUTVAVBDVRVOVCVDVEVFCVOXA
      VGVDVHVIVPWGWMVJVPWGWRVJVKVLVM $.
      $( [31-Mar-2007] $) $( [26-Mar-2007] $)

    $( Alternate version of Grothendieck's Axiom.  ~ ax-ac is used to derive
       this version. $)
    axgroth4 $p |- E. y ( x e. y /\ A. z e. y E. v e. y A. w ( w (_ z ->
    w e. ( y i^i v ) ) /\ A. z ( z (_ y -> ( ( y \ z ) ~<_ z \/ z e. y ) ) ) $=
      ( vu cv wcel wss wi wal wrex wa wral cdif cdom wbr wo w3a wex cin
      axgroth3 wceq elequ2 imbi2d albidv cbvrexv anbi2i r19.42v sseq1 elequ1
      imbi12d cbvalv 19.26 pm4.76 elin imbi2i bitr4 albii 3bitr2 rexbii ralbii
      3anbi2i exbii mpbi ) AGBGZHZDGZCGZIZVHVFHZJZDKZFGZVIIZVNVHHZJZFKZDVFLZMZC
      VFNZVIVFIVFVIOVIPQVIVFHRJCKZSZBTVGVJVHVFEGZUAHZJZDKZEVFLZCVFNZWBSZBTABCDF
      UBWCWJBWAWIVGWBVTWHCVFVTVMVOVNWDHZJZFKZEVFLZMVMWMMZEVFLWHVSWNVMVRWMDEVFVH
      WDUCZVQWLFWPVPWKVODEFUDUEUFUGUHVMWMEVFUIWOWGEVFWOVMVJVHWDHZJZDKZMVLWRMZDK
      WGWMWSVMWLWRFDVNVHUCVOVJWKWQVNVHVIUJFDEUKULUMUHVLWRDUNWTWFDWTVJVKWQMZJWFV
      JVKWQUOWEXAVJVHVFWDUPUQURUSUTVAUTVBVCVDVE $.
      $( [16-Apr-2007] $) $( [16-Apr-2007] $)

    $( Grothendieck's Axiom implies the Axiom of Infinity (in the form of
       ~ omex ).  Note that our proof does not depend on the Axiom of
       Infinity. $)
    grothinf $p |- om e. V $=
      ( vy vx vz vw vv cv wcel wss wi wal wrex wa wral cen wbr wo w3a wex
      ax-groth ssid wceq sseq1 elequ1 imbi12d a4v mpi r19.22si adantl r19.20si
      rexbidv df-rex exancom bitr syl6bb cbvralv df-ral sylib anim2i 3adant3
      19.22i ax-mp inf2 inf3 ) AABCBFZAFZGZCFZDFZHVGVEGZICJZEFZVHHZVKVGGZIZEJZC
      VEKZLZDVEMZVHVEHVHVENOVHVEGPIDJZQZARVFVFVDVGGZVILCRZIBJZLZARBADCESVTWDAVF
      VRWDVSVRWCVFVRVHVGGZCVEKZDVEMZWCVQWFDVEVPWFVJVOWECVEVOVHVHHZWEVHTVNWHWEIE
      DVKVHUAVLWHVMWEVKVHVHUBEDCUCUDUEUFUGUHUIWGWBBVEMWCWFWBDBVEVHVDUAZWFWACVEK
      ZWBWIWEWACVEDBCUCUJWJVIWALCRWBWACVEUKVIWACULUMUNUOWBBVEUPUMUQURUSUTVAVBVC
      $.
      $( [24-Mar-2007] $) $( [23-Mar-2007] $)
  $}

  ${
    $d x y z w v u t h g f n m k j $.
    $( Lemma for ~ grothprim .  Expand the membership of an unordered pair into
       primitives. $)
    grothprimlem $p |- ( { u , v } e. w <-> E. g ( g e. w /\ A. h
      ( h e. g <-> ( h = u \/ h = v ) ) ) ) $=
      ( cv cpr wcel wceq wo cab wb wal wa wex dfpr2 eleq1i clabel bitr ) CFZBFZ
      GZAFZHEFZTIUDUAIJZEKZUCHDFZUCHUDUGHUELEMNDOUBUFUCETUAPQUEEDUCRS $.
      $( [31-Mar-2007] $) $( [29-Mar-2007] $)

    $( Grothendieck's Axiom ~ ax-groth expanded into set theory primitives
       using 163 symbols.  An open problem is whether a shorter equivalent
       exists (when expanded to primitives). $)
    grothprim $p |- E. y ( x e. y /\ A. z ( ( z e. y -> E. v ( v e. y /\
       A. w ( A. u ( u e. w -> u e. z ) -> ( w e. y /\ w e. v ) ) ) ) /\ E. w
      ( ( w e. z -> w e. y ) -> ( A. v ( ( v e. z -> E. t A. u ( E. g ( g e. w
      /\ A. h ( h e. g <-> ( h = v \/ h = u ) ) ) -> u = t ) ) /\ ( v e. y ->
      ( v e. z \/ E. u ( u e. z /\ E. g ( g e. w /\ A. h ( h e. g <-> ( h = u
      \/ h = v ) ) ) ) ) ) ) \/ z e. y ) ) ) ) $=
      ( cv wcel wss cin wi wal wrex wral cdif cdom wbr wo w3a wex wa wceq wb
      axgroth4 3anass dfss2 elin imbi12i albii rexbii df-rex bitr ralbii
      df-ral cpr wmo cvv visset difexg ax-mp c0 incom difdisj eqtr brdom6disj
      orbi1i ax-17 19.44 bitr4 19.35 grothprimlem mobii mo2 wn impexp eldif
      df-or imbi2i 3bitr4 anbi12i 19.26 exbii 3bitr2 anbi2i mpbi ) AJBJZKZDJZCJ
      ZLZWKWIEJZMKZNZDOZEWIPZCWIQZWLWILZWIWLRZWLSTZWLWIKZUAZNZCOZUBZBUCWJXCWNWI
      KZFJZWKKXIWLKZNFOZWKWIKZWKWNKUDZNZDOZUDEUCZNZWKWLKXLNZWNWLKZHJZWKKZIJZXTK
      ZYBWNUEZYBXIUEZUAUFIOUDHUCZXIGJUENFOGUCZNZXHXSXJYAYCYEYDUAUFIOUDHUCZUDFUC
      ZUAZNZUDEOZXCUAZNZDUCZUDCOZUDZBUCABCDEUGXGYRBXGWJWSXFUDZUDYRWJWSXFUHYSYQW
      JYSXQCOZYPCOZUDYQWSYTXFUUAWSXPCWIQYTWRXPCWIWRXOEWIPXPWQXOEWIWPXNDWMXKWOXM
      FWKWLUIWKWIWNUJUKULUMXOEWIUNUOUPXPCWIUQUOXEYPCXEXRDOZWNXIURWKKZFUSZEWLQZX
      IWNURWKKZFWLPZEXAQZUDZXCUAZDUCZNXRUUJNZDUCYPWTUUBXDUUKDWLWIUIXDUUIDUCZXCU
      AUUKXBUUMXCEFXAWLDWIUTKXAUTKBVAWIWLUTVBVCCVAXAWLMWLXAMVDXAWLVEWLWIVFVGVHV
      IUUIXCDXCDVJVKVLUKXRUUJDVMUULYODUUJYNXRUUIYMXCUUIYHEOZYLEOZUDYMUUEUUNUUHU
      UOUUEYGEWLQUUNUUDYGEWLUUDYFFUSYGUUCYFFDFEHIVNVOYFFGYFGVJVPUOUPYGEWLUQUOUU
      HWNXAKZUUGNZEOUUOUUGEXAUQUUQYLEXHXSVQZUDZYJNXHUURYJNZNUUQYLXHUURYJVRUUPUU
      SUUGYJWNWIWLVSUUGYIFWLPYJUUFYIFWLDEFHIVNUMYIFWLUNUOUKYKUUTXHXSYJVTWAWBULU
      OWCYHYLEWDVLVIWAWEWFULWCXQYPCWDVLWGUOWEWH $.
      $( [16-Apr-2007] $) $( [16-Apr-2007] $)
  $}


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                 Humor
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              April Fool's theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x F $.
    $( Poisson d'Avril's Theorem.  This theorem is noted for its
       _Selbstdokumentieren_ property, which means, literally,
       "self-documenting" and recalls the principle of _quidquid germanus
       dictum sit, altum viditur_, often used in set theory.  Starting with the
       seemingly simple yet profound fact that any object ` x ` equals itself
       (proved by Tarski in 1965; see Lemma 6 of [Tarski] p. 68), we
       demonstrate that the power set of the real numbers, as a relation on the
       value of the imaginary unit, does not conjoin with an empty relation on
       the product of the additive and multiplicative identity elements,
       leading to this startling conclusion that has left even seasoned
       professional mathematicians scratching their heads.  (Contributed by
       Prof. Loof Lirpa, 1-Apr-2005.)

       _A reply to skeptics can be found at
       ~ http://us.metamath.org/mpegif/mmnotes.txt , under the 1-Apr-2006
       entry_. $)
    avril1 $p |- -. ( A P~ RR ( i ` 1 ) /\ F (/) ( 0 x. 1 ) ) $=
      ( vy vx vz c1 ci cfv cr cpw wbr cc0 cmul co c0 wa wn c0r c1r cop csn
      cima cv wceq cab cuni cnr cxp wcel cvv equid dfnul2 abeq2i con2bii mpbi
      eleq1 mtbii vtocleg elisset con3i pm2.61i df-br 0cn mulid1 opeq2i eleq1i
      bitr mtbir intnan df-i fveq1i df-fv eqtr breq2i df-r wss sseq2 abbidv
      df-pw 3eqtr4g ax-mp breqi anbi1i negbii mpbir ) AFGHZIJZKZBLFMNZOKZPZQARS
      TZFUAUBCUCUAUDCUEUFZUGRUAUHZJZKZWJPZQWJWPWJBLTZOUIZWRUJUIZWSQZXADWRUJDUCZ
      WRUDXBOUIZWSXBXBUDZXCQDUKXCXDXDQDODULUMUNUOXBWROUPUQURWSWTWROUSUTVAWJBWIT
      ZOUIWSBWIOVBXEWROWILBLVCVDVEVFVGVHVIWKWQWHWPWJWHAWMWGKWPWFWMAWGWFFWLHWMFG
      WLVJVKCFWLVLVMVNAWMWGWOIWNUDZWGWOUDVOXFEUCZIVPZEUEXGWNVPZEUEWGWOXFXHXIEIW
      NXGVQVREIVSEWNVSVTWAWBVGWCWDWE $.
      $( [1-Apr-2005] $) $( [1-Apr-2005] $)
  $}

  $( The law of excluded middle.  Act III, Theorem 1 of Shakespeare,
     _Hamlet, Prince of Denmark_ (1602).  Its author leaves its proof as an
     exercise for the reader - "To be, or not to be: that is the question" -
     starting a trend that has become standard in modern-day textbooks,
     serving to make the frustrated reader feel inferior, or in some cases to
     mask the fact that the author does not know its solution. (Contributed by
     Prof. Loof Lirpa, 1-Apr-2006.) $)
  2bornot2b $p |- ( 2 x. B \/ -. 2 x. B ) $=
    ( c2 cmul wbr wn wo wi ax-1 mpd df-or mpbir ) BACDZLEZFMMGMLMGZMMLHMNHILMJK
    $.
    $( [1-Apr-2006] $) $( [1-Apr-2006] $)

  $( The classic "Hello world" benchmark has been translated into 314 computer
     programming languages - see ~ http://www.roesler-ac.de/wolfram/hello.htm .
     However, for many years it eluded a proof that it is more than just a
     conjecture, even though a wily mathematician once claimed,
     "I have discovered a truly marvelous proof of this, which this margin is
     too narrow to contain."  Using an IBM 709 mainframe, a team of
     mathematicians led by Prof. Loof Lirpa, at the New College of Tahiti,
     were finally able put it rest with a remarkably short proof only 4 lines
     long.  (Contributed by Prof. Loof Lirpa, 1-Apr-2007.) $)
  helloworld $p |- -. ( h e. ( L L 0 ) /\ W (/) ( R. 1 d ) ) $=
    ( cnr cv c1 co c0 wbr cc0 wcel cop noel df-br mtbir intnan ) CEDFGHZIJZAFBK
    BHLSCRMZILTNCRIOPQ $.
    $( [1-Apr-2007] $) $( [1-Apr-2007] $)

  $( One plus one equals two.  Using proof-shortening techniques pioneered by
     Mr. Mel O'Cat, along with the latest supercomputer technology, Prof. Loof
     Lirpa and colleagues were able to shorten Whitehead and Russell's 360-page
     proof that 1+1=2 in _Principia Mathematica_ to this remarkable proof only
     two steps long, thus establishing a new world's record for this famous
     theorem.  (Contributed by Prof. Loof Lirpa, 1-Apr-2008.) $)
  1p1e2 $p |- ( 1 + 1 ) = 2 $=
    ( c2 c1 caddc co df-2 eqcomi ) ABBCDEF $.
    $( [1-Apr-2008] $) $( [1-Apr-2008] $)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
       Appendix:  Typesetting definitions for the tokens in this file
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$( $t

/* The '$ t' (no space between '$' and 't') token indicates the beginning
    of the typesetting definition section, embedded in a Metamath
    comment.  There may only be one per source file, and the typesetting
    section ends with the end of the Metamath comment.  The typesetting
    section uses C-style comment delimiters.  Todo:  Allow multiple
    typesetting comments */

/* These are the LaTeX and HTML definitions in the order the tokens are
    introduced in $c or $v statements.  See HELP TEX or HELP HTML in the
    Metamath program. */

/* Definitions for LaTeX output of various Metamath commands */

latexdef "(" as "(";
latexdef ")" as ")";
latexdef "->" as "\rightarrow";
latexdef "-." as "\lnot";
latexdef "wff" as "{\rm wff}";
latexdef "|-" as "\vdash";
latexdef "ph" as "\varphi";
latexdef "ps" as "\psi";
latexdef "ch" as "\chi";
latexdef "th" as "\theta";
latexdef "ta" as "\tau";
latexdef "<->" as "\leftrightarrow";
latexdef "\/" as "\vee";
latexdef "/\" as "\wedge";
latexdef "et" as "\eta";
latexdef "ze" as "\zeta";
latexdef "A." as "\forall";
latexdef "set" as "{\rm set}";
latexdef "x" as "x";
latexdef "y" as "y";
latexdef "z" as "z";
latexdef "w" as "w";
latexdef "v" as "v";
latexdef "E." as "\exists";
latexdef "=" as "=";
latexdef "e." as "\in";
latexdef "[" as "[";
latexdef "/" as "/";
latexdef "]" as "]";
latexdef "u" as "u";
latexdef "f" as "f";
latexdef "g" as "g";
latexdef "E!" as "\exists{!}";
latexdef "E*" as "\exists^\ast";
latexdef "{" as "\{";
latexdef "|" as "|";
latexdef "}" as "\}";
latexdef "class" as "{\rm class}";
latexdef "A" as "A";
latexdef "B" as "B";
latexdef "C" as "C";
latexdef "D" as "D";
latexdef "P" as "P";
latexdef "R" as "R";
latexdef "S" as "S";
latexdef "T" as "T";
latexdef "=/=" as "\ne";
latexdef "e/" as "\notin";
latexdef "V" as "V";
latexdef "[_" as "\underline{[}";
latexdef "]_" as "\underline{]}";
latexdef "F" as "F";
latexdef "G" as "G";
latexdef "(_" as "\subseteq";
latexdef "(." as "\subset";
latexdef "\" as "\setminus";
latexdef "u." as "\cup";
latexdef "i^i" as "\cap";
latexdef "(/)" as "\varnothing";
/*latexdef "ded" as "{\rm ded}";*/
latexdef "if" as "{\rm if}";
latexdef "," as ",";
latexdef "si" as "\sigma";
latexdef "rh" as "\rho";
latexdef "P~" as "{\cal P}";
latexdef "<." as "\langle";
latexdef ">." as "\rangle";
latexdef "U." as "\bigcup";
latexdef "|^|" as "\bigcap";
latexdef "U_" as "\underline{\bigcup}";
latexdef "|^|_" as "\underline{\bigcap}";
latexdef "Tr" as "{\rm Tr}";
latexdef "E" as "E";
latexdef "I" as "I";
latexdef "Po" as "{\rm Po}";
latexdef "Or" as "{\rm Or}";
latexdef "sup" as "{\rm sup}";
latexdef "Fr" as "{\rm Fr}";
latexdef "We" as "{\rm We}";
latexdef "Ord" as "{\rm Ord}";
latexdef "On" as "{\rm On}";
latexdef "Lim" as "{\rm Lim}";
latexdef "suc" as "{\rm suc}";
latexdef "om" as "\omega";
latexdef "X." as "\times";
latexdef "`'" as "{}^{\smallsmile}";
latexdef "dom" as "{\rm dom}";
latexdef "ran" as "{\rm ran}";
latexdef "|`" as "\restriction";
latexdef '"' as "``";
latexdef "o." as "\circ";
latexdef "Rel" as "{\rm Rel}";
latexdef "Fun" as "{\rm Fun}";
latexdef "Fn" as "{\rm Fn}";
latexdef ":" as ":";
latexdef "-->" as "\longrightarrow";
latexdef "-1-1->" as
    "\raisebox{.5ex}{${\textstyle{\:}_{\mbox{\footnotesize\rm 1" +
    "\tt -\rm 1}}}\atop{\textstyle{" +
    "\longrightarrow}\atop{\textstyle{}^{\mbox{\footnotesize\rm {\ }}}}}$}";
latexdef "-onto->" as
    "\raisebox{.5ex}{${\textstyle{\:}_{\mbox{\footnotesize\rm {\ }}}}" +
    "\atop{\textstyle{" +
    "\longrightarrow}\atop{\textstyle{}^{\mbox{\footnotesize\rm onto}}}}$}";
latexdef "-1-1-onto->" as
    "\raisebox{.5ex}{${\textstyle{\:}_{\mbox{\footnotesize\rm 1" +
    "\tt -\rm 1}}}\atop{\textstyle{" +
    "\longrightarrow}\atop{\textstyle{}^{\mbox{\footnotesize\rm onto}}}}$}";
latexdef "Isom" as "{\rm Isom}";
latexdef "X_" as "\mbox{\large\boldmath$\times$}";
latexdef "|->" as "\mapsto";
latexdef "1st" as "1^{\rm st}";
latexdef "2nd" as "2^{\rm nd}";
latexdef "`" as "`";
latexdef "h" as "h";
latexdef "H" as "H";
latexdef "rec" as "{\rm rec}";
latexdef "^m" as "\uparrow_m";
latexdef "^pm" as "\uparrow_{pm}";
latexdef "+o" as "+_o";
latexdef ".o" as "\cdot_o";
/* latexdef "^o" as "\hat{\ }_o"; */
latexdef "^o" as "\uparrow_o";
latexdef "1o" as "1_o";
latexdef "2o" as "2_o";
latexdef "Er" as "{\rm Er}";
latexdef "/." as "\diagup";
latexdef "Q" as "Q";
latexdef "t" as "t";
latexdef "s" as "s";
latexdef "r" as "r";
latexdef "a" as "a";
latexdef "b" as "b";
latexdef "c" as "c";
latexdef "d" as "d";
latexdef "j" as "j";
latexdef "k" as "k";
latexdef "m" as "m";
latexdef "n" as "n";
latexdef "o" as "o";
latexdef "p" as "p";
latexdef "q" as "q";
latexdef "J" as "J";
latexdef "K" as "K";
latexdef "L" as "L";
latexdef "M" as "M";
latexdef "N" as "N";
latexdef "W" as "W";
latexdef "U" as "U";
latexdef "X" as "X";
latexdef "Y" as "Y";
latexdef "Z" as "Z";
latexdef "O" as "O";
latexdef "~~" as "\approx";
latexdef "~<_" as "\preccurlyeq";
latexdef "~<" as "\prec";
latexdef "card" as "{\rm card}";
latexdef "aleph" as "\aleph";
/* latexdef "Card" as "{\rm Card}"; */
latexdef "cf" as "{\rm cf}";
latexdef "+c" as "+_c";
latexdef "R1" as "R_1";
latexdef "rank" as "{\rm rank}";
latexdef "N." as "{\cal N}";
latexdef "+N" as "+_{\cal N}";
latexdef ".N" as "\cdot_{\cal N}";
latexdef "<N" as "<_{\cal N}";
latexdef "+pQ" as "+_{p{\cal Q}}";
latexdef ".pQ" as "\cdot_{p{\cal Q}}";
latexdef "~Q" as "\sim_{\cal Q}";
latexdef "Q." as "{\cal Q}";
latexdef "1Q" as "1_{\cal Q}";
latexdef "+Q" as "+_{\cal Q}";
latexdef ".Q" as "\cdot_{\cal Q}";
latexdef "*Q" as "\ast_{\cal Q}";
latexdef "<Q" as "<_{\cal Q}";
latexdef "P." as "{\cal P}";
latexdef "1P" as "1_{\cal P}";
latexdef "+P." as "+_{\cal P}";
latexdef ".P." as "\cdot_{\cal P}";
latexdef "<P" as "<_{\cal P}";
latexdef "+pR" as "+_{p{\cal R}}";
latexdef ".pR" as "._{p{\cal R}}";
latexdef "~R" as "\sim_{\cal R}";
latexdef "R." as "{\cal R}";
latexdef "0R" as "0_{\cal R}";
latexdef "1R" as "1_{\cal R}";
latexdef "-1R" as "-1_{\cal R}";
latexdef "+R" as "+_{\cal R}";
latexdef ".R" as "\cdot_{\cal R}";
latexdef "<R" as "<_{\cal R}";
latexdef "<RR" as "<_\mathbb{R}";
latexdef "CC" as "\mathbb{C}";
latexdef "RR" as "\mathbb{R}";
/*latexdef "" as "_{10}";*/
/*latexdef "" as "";*/  /* suppress base 10 suffix */
latexdef "0" as "0";
latexdef "1" as "1";
latexdef "i" as "i";
latexdef "+" as "+";
latexdef "-" as "-";
/*latexdef "-u" as "-_u";*/
latexdef "-u" as "-"; /* use standard minus sign */
latexdef "x." as "\cdot";
latexdef "+oo" as "+\infty";
latexdef "-oo" as "-\infty";
latexdef "RR*" as "\mathbb{R}^*";
latexdef "<" as "<";
latexdef "<_" as "\le";
latexdef "2" as "2";
latexdef "3" as "3";
latexdef "4" as "4";
latexdef "5" as "5";
latexdef "6" as "6";
latexdef "7" as "7";
latexdef "8" as "8";
latexdef "9" as "9";
latexdef "10" as "10";
latexdef "NN" as "\mathbb{N}";
latexdef "NN0" as "\mathbb{N}_0";
latexdef "ZZ" as "\mathbb{Z}";
latexdef "QQ" as "\mathbb{Q}";
latexdef "RR+" as "\mathbb{R}^+";
latexdef "sqr" as "\surd";
/* latexdef "^" as "\widehat{\ }"; */
latexdef "Re" as "\Re";
latexdef "Im" as "\Im";
latexdef "*" as "*";
latexdef "abs" as "{\rm abs}";
latexdef "|_" as "\lfloor";
latexdef "seq1" as "{\rm seq}_1";
latexdef "shift" as "{\rm shift}";
latexdef "(,)" as "(,)";
latexdef "(,]" as "(,]";
latexdef "[,)" as "[,)";
latexdef "[,]" as "[,]";
latexdef "ZZ>" as "\mathbb{Z}_\ge";
latexdef "limsup" as "{\rm lim sup}";
latexdef "seq" as "{\rm seq}";
latexdef "seq0" as "{\rm seq}_0";
latexdef "^" as "\uparrow";
latexdef "!" as "{!}";
latexdef "C." as "{\rm C}";
latexdef "~~>" as '\rightsquigarrow';
latexdef "..." as "\ldots";
latexdef "sum_" as "\Sigma";
latexdef "exp" as "\exp";
latexdef "e" as "e";
latexdef "sin" as "\sin";
latexdef "pi" as "\pi";
latexdef "cos" as "\cos";
latexdef "log" as "\log";
latexdef "-cn->" as
    "\raisebox{.5ex}{${\textstyle{\:}_{\mbox{\footnotesize\rm cn" +
    "}}}\atop{\textstyle{" +
    "\longrightarrow}\atop{\textstyle{}^{\mbox{\footnotesize\rm {\ }}}}}$}";
latexdef "Top" as  "{\rm Top}";
latexdef "TopSp" as  "{\rm TopSp}";
latexdef "Bases" as  "{\rm Bases}";
latexdef "topGen" as  "{\rm topGen}";
latexdef "int" as "{\rm int}";
latexdef "cls" as "{\rm cls}";
latexdef "Clsd" as "{\rm Clsd}";
latexdef "nei" as "{\rm nei}";
latexdef "limPt" as "{\rm limPt}";
latexdef "Cn" as "{\rm Cn}";
latexdef "CnP" as "{\rm CnP}";
latexdef "Haus" as "{\rm Haus}";
latexdef "Met" as "{\rm Met}";
latexdef "MetSp" as "{\rm MetSp}";
latexdef "ball" as "{\rm ball}";
latexdef "Open" as "{\rm Open}";
latexdef "~~>m" as "\rightsquigarrow_{\rm m}";
latexdef "Cau" as "{\rm Cau}";
latexdef "CMet" as "{\rm CMet}";
latexdef "Grp" as "{\rm Grp}";
latexdef "Id" as "{\rm Id}";
latexdef "inv" as "{\rm inv}";
latexdef "/g" as "/_g";
latexdef "SubGrp" as "{\rm SubGrp}";
latexdef "SymGrp" as "{\rm SymGrp}";
latexdef "GrpHom" as "{\rm GrpHom}";
latexdef "GrpIso" as "{\rm GrpIso}";
latexdef "Abel" as "{\rm Abel}";
latexdef "Ring" as "{\rm Ring}";
latexdef "CVec" as "{\rm CVec}";
latexdef "NrmCVec" as "{\rm NrmCVec}";
latexdef "Base" as "{\rm Base}";
latexdef "IndMet" as "{\rm IndMet}";
latexdef "SubSp" as "{\rm SubSp}";
latexdef "normOp" as "{\rm normOp}";
latexdef "LnOp" as "{\rm LnOp}";
latexdef "BLnOp" as "{\rm BLnOp}";
latexdef "0op" as "0_\mathrm{op}";
latexdef "adj" as "{\rm adj}";
latexdef "HmOp" as "{\rm HmOp}";
latexdef "CPreHil" as "{\rm CPreHil}";
latexdef "CBan" as "{\rm CBan}";
latexdef "CHil" as "{\rm CHil}";
latexdef "Poset" as "{\rm Poset}";
latexdef "supw" as "{\rm sup}_{\rm w}";
latexdef "infw" as "{\rm inf}_{\rm w}";
latexdef "join" as "{\rm join}";
latexdef "meet" as "{\rm meet}";
latexdef "Lat" as "{\rm Lat}";

latexdef "+v" as '+_v';
latexdef ".s" as '\cdot_s';
latexdef "0v" as '0_v';
latexdef "-v" as '-_v';
latexdef ".i" as '\cdot_i';
latexdef "norm" as '{\rm norm}';


/* Sandboxes */
/* Jeff Hoffman's sandbox */
latexdef "gcd" as "{\rm gcd}";
/* FL's sandbox */
latexdef "l" as "l";
latexdef "fi" as "{\rm fi}";
latexdef "EucTop" as "{\rm EucTop}";
latexdef "Homeo" as "{\rm Homeo}";
latexdef "~=" as "~=";
/* latexdef "FilSp" as "{\rm FilSp}"; */
/* latexdef "Gra" as "{\rm Gra}"; */
latexdef "subSp" as "{\rm subSp}";
latexdef "Fil" as "{\rm Fil}";
/* latexdef "fLim" as "{\rm fLim}"; */
latexdef "fLim1" as "{\rm fLim1}";
latexdef "fLim2" as "{\rm fLim2}";
latexdef "T0" as "{\rm T0}";
latexdef "T1" as "{\rm T1}";
latexdef "Con" as "{\rm Con}";
latexdef "Alg" as "{\rm Alg}";
latexdef "Cat" as "{\rm Cat}";
latexdef "dom_" as "\underline{\rm dom}";
latexdef "cod_" as "\underline{\rm cod}";
latexdef "id_" as "\underline{\rm id}";
latexdef "o_" as "\underline{\rm o}";
latexdef "Epi" as "{\rm Epi}";
latexdef "Monic" as "{\rm Monic}";
latexdef "Iso" as "{\rm Iso}";
latexdef "Ded" as "{\rm Ded}";
latexdef "hom" as "{\rm hom}";
latexdef "Dgra" as "{\rm Dgra}";
latexdef "Func" as "{\rm Func}";
latexdef "Subcl" as "{\rm Subcl}";
latexdef "O1" as "O_1";
latexdef "M1" as "M_1";
latexdef "O2" as "O_2";
latexdef "M2" as "M_2";
latexdef "I1" as "I_1";
latexdef "D1" as "D_1";
latexdef "C1" as "C_1";
latexdef "Ro1" as "Ro_1";
latexdef "I2" as "I_2";
latexdef "D2" as "D_2";
latexdef "C2" as "C_2";
latexdef "Ro2" as "Ro_2";
latexdef "Tarski" as "{\rm Tarski}";

latexdef "HypGrph" as "{\rm HypGrph}";
latexdef "PsGrph" as "{\rm PsGrph}";
latexdef "SmpGrph" as "{\rm SmpGrph}";


/* For Hilbert space stuff */
latexdef "H~" as '\mathfrak{H}';

latexdef "+h" as '+_h';
latexdef ".h" as '\cdot_h';
latexdef "0h" as '0_h';
latexdef "-h" as '-_h';
latexdef ".ih" as '\cdot_{ih}';
latexdef "normh" as '{\rm norm}_h';

latexdef "Cauchy" as '{\rm Cauchy}';
latexdef "~~>v" as '\rightsquigarrow_v';
latexdef "SH" as '\mathfrak{S}_\mathfrak{H}';
latexdef "CH" as '\mathfrak{C}_\mathfrak{H}';
latexdef "_|_" as '\perp';
/* latexdef "-H" as '-_\mathfrak{H}'; */
latexdef "+H" as '+_\mathfrak{H}';
latexdef "span" as '{\rm span}';
latexdef "vH" as '\vee_\mathfrak{H}';
latexdef "\/H" as '\bigvee_\mathfrak{H}';
latexdef "0H" as '0_\mathfrak{H}';
latexdef "C_H" as 'C_\mathfrak{H}';
latexdef "proj" as '{\rm proj}';
latexdef "+op" as '+_\mathrm{op}';
latexdef ".op" as '\cdot_\mathrm{op}';
latexdef "-op" as '-_\mathrm{op}';
latexdef "+fn" as '+_\mathrm{fn}';
latexdef ".fn" as '\cdot_\mathrm{fn}';
latexdef "0hop" as "0_\mathrm{hop}";
latexdef "Iop" as "I_\mathrm{op}";
latexdef "normop" as '{\rm norm}_{\rm op}';
latexdef "ConOp" as '{\rm ConOp}';
latexdef "LinOp" as '{\rm LinOp}';
latexdef "BndLinOp" as '{\rm BndLinOp}';
latexdef "UniOp" as '{\rm UniOp}';
latexdef "HrmOp" as '{\rm HrmOp}';
latexdef "normfn" as '{\rm norm}_{\rm fn}';
latexdef "null" as '{\rm null}';
latexdef "ConFn" as '{\rm ConFn}';
latexdef "LinFn" as '{\rm LinFn}';
latexdef "adjh" as '{\rm adj}_h';
latexdef "bra" as '{\rm bra}';
latexdef "ketbra" as '{\rm ketbra}';
latexdef "<_op" as '\le_{\rm op}';
latexdef "eigvec" as '{\rm eigvec}';
latexdef "eigval" as '{\rm eigval}';
latexdef "Lambda" as '\Lambda';
latexdef "States" as '{\rm States}';
latexdef "CHStates" as '{\rm CHStates}';
latexdef "Atoms" as '{\rm Atoms}';
latexdef "<o" as '\lessdot';
latexdef "MH" as 'M_\mathfrak{H}';
latexdef "MH*" as 'M_\mathfrak{H}^*';


/* Definitions for HTML output of various Metamath commands. */

/* Page title, home page link */
htmltitle "Metamath Proof Explorer";
htmlhome '<A HREF="mmset.html"><FONT SIZE=-2 FACE=sans-serif>' +
    '<IMG SRC="mm.gif" BORDER=0 ALT=' +
    '"Home" HEIGHT=32 WIDTH=32 ALIGN=MIDDLE>' +
    'Home</FONT></A>';
/* Optional file where bibliographic references are kept */
/* If specified, e.g. "mmset.html", Metamath will hyperlink all strings of the
   form "[rrr]" (where "rrr" has no whitespace) to "mmset.html#rrr" */
/* A warning will be given if the file "mmset.html" with the bibliographical
   references is not present.  It is read in order to check correctness of
   the references. */
htmlbibliography "mmset.html";


/* Page title, home page link */
/* These are the variables used for the Hilbert Space extension to
   set.mm. */
exthtmltitle "Hilbert Space Explorer";
exthtmlhome '<A HREF="mmhil.html"><FONT SIZE=-2 FACE=sans-serif>' +
    '<IMG SRC="atomic.gif" BORDER=0 ALT=' +
    '"Home" HEIGHT=32 WIDTH=32 ALIGN=MIDDLE>' +
    'Home</FONT></A>';
/*  The variable "exthtmllabel" means that all states including
   and after this label should use the "ext..." variables. */
exthtmllabel "chil";
/* A warning will be given if the file with the bibliographical references
   is not present. */
exthtmlbibliography "mmhil.html";


/* Variable color key at the bottom of each proof table */
htmlvarcolor '<FONT COLOR="#0000FF">wff</FONT> '
    + '<FONT COLOR="#FF0000">set</FONT> '
    + '<FONT COLOR="#CC33CC">class</FONT>';

/* GIF and Unicode HTML directories - these are used for the GIF version to
   crosslink to the Unicode version and vice-versa */
htmldir "../mpegif/";
althtmldir "../mpeuni/";

/* Symbol definitions */
htmldef "(" as "<IMG SRC='lp.gif' WIDTH=5 HEIGHT=19 ALT='(' ALIGN=TOP>";
htmldef ")" as "<IMG SRC='rp.gif' WIDTH=5 HEIGHT=19 ALT=')' ALIGN=TOP>";
htmldef "->" as
    " <IMG SRC='to.gif' WIDTH=15 HEIGHT=19 ALT='-&gt;' ALIGN=TOP> ";
htmldef "-." as "<IMG SRC='lnot.gif' WIDTH=10 HEIGHT=19 ALT='-.' ALIGN=TOP> ";
htmldef "wff" as
    "<IMG SRC='_wff.gif' WIDTH=24 HEIGHT=19 ALT='wff' ALIGN=TOP> ";
htmldef "|-" as
    "<IMG SRC='_vdash.gif' WIDTH=10 HEIGHT=19 ALT='|-' ALIGN=TOP> ";
htmldef "ph" as
    "<IMG SRC='_varphi.gif' WIDTH=11 HEIGHT=19 ALT='ph' ALIGN=TOP>";
htmldef "ps" as "<IMG SRC='_psi.gif' WIDTH=12 HEIGHT=19 ALT='ps' ALIGN=TOP>";
htmldef "ch" as "<IMG SRC='_chi.gif' WIDTH=12 HEIGHT=19 ALT='ch' ALIGN=TOP>";
htmldef "th" as "<IMG SRC='_theta.gif' WIDTH=8 HEIGHT=19 ALT='th' ALIGN=TOP>";
htmldef "ta" as "<IMG SRC='_tau.gif' WIDTH=10 HEIGHT=19 ALT='ta' ALIGN=TOP>";
htmldef "<->" as " <IMG SRC='leftrightarrow.gif' WIDTH=15 HEIGHT=19 " +
    "ALT='&lt;-&gt;' ALIGN=TOP> ";
htmldef "\/" as " <IMG SRC='vee.gif' WIDTH=11 HEIGHT=19 ALT='\/' ALIGN=TOP> ";
htmldef "/\" as
    " <IMG SRC='wedge.gif' WIDTH=11 HEIGHT=19 ALT='/\' ALIGN=TOP> ";
htmldef "et" as "<IMG SRC='_eta.gif' WIDTH=9 HEIGHT=19 ALT='et' ALIGN=TOP>";
htmldef "ze" as "<IMG SRC='_zeta.gif' WIDTH=9 HEIGHT=19 ALT='ze' ALIGN=TOP>";
htmldef "A." as "<IMG SRC='forall.gif' WIDTH=10 HEIGHT=19 ALT='A.' ALIGN=TOP>";
htmldef "set" as
    "<IMG SRC='_set.gif' WIDTH=20 HEIGHT=19 ALT='set' ALIGN=TOP> ";
htmldef "x" as "<IMG SRC='_x.gif' WIDTH=10 HEIGHT=19 ALT='x' ALIGN=TOP>";
htmldef "y" as "<IMG SRC='_y.gif' WIDTH=9 HEIGHT=19 ALT='y' ALIGN=TOP>";
htmldef "z" as "<IMG SRC='_z.gif' WIDTH=9 HEIGHT=19 ALT='z' ALIGN=TOP>";
htmldef "w" as "<IMG SRC='_w.gif' WIDTH=12 HEIGHT=19 ALT='w' ALIGN=TOP>";
htmldef "v" as "<IMG SRC='_v.gif' WIDTH=9 HEIGHT=19 ALT='v' ALIGN=TOP>";
htmldef "E." as "<IMG SRC='exists.gif' WIDTH=9 HEIGHT=19 ALT='E.' ALIGN=TOP>";
htmldef "=" as " <IMG SRC='eq.gif' WIDTH=12 HEIGHT=19 ALT='=' ALIGN=TOP> ";
htmldef "e." as " <IMG SRC='in.gif' WIDTH=10 HEIGHT=19 ALT='e.' ALIGN=TOP> ";
htmldef "[" as "<IMG SRC='lbrack.gif' WIDTH=5 HEIGHT=19 ALT='[' ALIGN=TOP>";
htmldef "/" as " <IMG SRC='solidus.gif' WIDTH=6 HEIGHT=19 ALT='/' ALIGN=TOP> ";
htmldef "]" as "<IMG SRC='rbrack.gif' WIDTH=5 HEIGHT=19 ALT=']' ALIGN=TOP>";
htmldef "u" as "<IMG SRC='_u.gif' WIDTH=10 HEIGHT=19 ALT='u' ALIGN=TOP>";
htmldef "f" as "<IMG SRC='_f.gif' WIDTH=9 HEIGHT=19 ALT='f' ALIGN=TOP>";
htmldef "g" as "<IMG SRC='_g.gif' WIDTH=9 HEIGHT=19 ALT='g' ALIGN=TOP>";
htmldef "E!" as "<IMG SRC='_e1.gif' WIDTH=12 HEIGHT=19 ALT='E!' ALIGN=TOP>";
htmldef "E*" as "<IMG SRC='_em1.gif' WIDTH=15 HEIGHT=19 ALT='E*' ALIGN=TOP>";
htmldef "{" as "<IMG SRC='lbrace.gif' WIDTH=6 HEIGHT=19 ALT='{' ALIGN=TOP>";
htmldef "|" as " <IMG SRC='vert.gif' WIDTH=3 HEIGHT=19 ALT='|' ALIGN=TOP> ";
htmldef "}" as "<IMG SRC='rbrace.gif' WIDTH=6 HEIGHT=19 ALT='}' ALIGN=TOP>";
htmldef "class" as
    "<IMG SRC='_class.gif' WIDTH=32 HEIGHT=19 ALT='class' ALIGN=TOP> ";
htmldef "A" as "<IMG SRC='_ca.gif' WIDTH=11 HEIGHT=19 ALT='A' ALIGN=TOP>";
htmldef "B" as "<IMG SRC='_cb.gif' WIDTH=12 HEIGHT=19 ALT='B' ALIGN=TOP>";
htmldef "C" as "<IMG SRC='_cc.gif' WIDTH=12 HEIGHT=19 ALT='C' ALIGN=TOP>";
htmldef "D" as "<IMG SRC='_cd.gif' WIDTH=12 HEIGHT=19 ALT='D' ALIGN=TOP>";
htmldef "P" as "<IMG SRC='_cp.gif' WIDTH=12 HEIGHT=19 ALT='P' ALIGN=TOP>";
htmldef "R" as "<IMG SRC='_cr.gif' WIDTH=12 HEIGHT=19 ALT='R' ALIGN=TOP>";
htmldef "S" as "<IMG SRC='_cs.gif' WIDTH=11 HEIGHT=19 ALT='S' ALIGN=TOP>";
htmldef "T" as "<IMG SRC='_ct.gif' WIDTH=12 HEIGHT=19 ALT='T' ALIGN=TOP>";
htmldef "=/=" as " <IMG SRC='ne.gif' WIDTH=12 HEIGHT=19 ALT='=/=' ALIGN=TOP> ";
htmldef "e/" as
    " <IMG SRC='notin.gif' WIDTH=10 HEIGHT=19 ALT='e/' ALIGN=TOP> ";
htmldef "V" as "<IMG SRC='cv.gif' WIDTH=12 HEIGHT=19 ALT='V' ALIGN=TOP>";
htmldef
    "[_" as "<IMG SRC='_ulbrack.gif' WIDTH=6 HEIGHT=19 ALT='[_' ALIGN=TOP>";
htmldef
    "]_" as "<IMG SRC='_urbrack.gif' WIDTH=5 HEIGHT=19 ALT=']_' ALIGN=TOP>";
htmldef "F" as "<IMG SRC='_cf.gif' WIDTH=13 HEIGHT=19 ALT='F' ALIGN=TOP>";
htmldef "G" as "<IMG SRC='_cg.gif' WIDTH=12 HEIGHT=19 ALT='G' ALIGN=TOP>";
htmldef "(_" as
    " <IMG SRC='subseteq.gif' WIDTH=12 HEIGHT=19 ALT='(_' ALIGN=TOP> ";
htmldef "(." as
    " <IMG SRC='subset.gif' WIDTH=12 HEIGHT=19 ALT='(.' ALIGN=TOP> ";
htmldef "\" as
    " <IMG SRC='setminus.gif' WIDTH=8 HEIGHT=19 ALT='\' ALIGN=TOP> ";
htmldef "u." as " <IMG SRC='cup.gif' WIDTH=10 HEIGHT=19 ALT='u.' ALIGN=TOP> ";
htmldef "i^i" as
    " <IMG SRC='cap.gif' WIDTH=10 HEIGHT=19 ALT='i^i' ALIGN=TOP> ";
htmldef "(/)" as
    "<IMG SRC='varnothing.gif' WIDTH=11 HEIGHT=19 ALT='(/)' ALIGN=TOP>";
/*htmldef "ded" as
    "<IMG SRC='_ded.gif' WIDTH=23 HEIGHT=19 ALT='ded' ALIGN=TOP>";*/
htmldef "if" as "<IMG SRC='_if.gif' WIDTH=11 HEIGHT=19 ALT='if' ALIGN=TOP>";
htmldef "," as "<IMG SRC='comma.gif' WIDTH=4 HEIGHT=19 ALT=',' ALIGN=TOP> ";
htmldef "si" as "<IMG SRC='_sigma.gif' WIDTH=10 HEIGHT=19 ALT='si' ALIGN=TOP>";
htmldef "rh" as "<IMG SRC='_rho.gif' WIDTH=9 HEIGHT=19 ALT='rh' ALIGN=TOP>";
htmldef "P~" as "<IMG SRC='scrp.gif' WIDTH=16 HEIGHT=19 ALT='P~' ALIGN=TOP>";
htmldef "<." as
    "<IMG SRC='langle.gif' WIDTH=4 HEIGHT=19 ALT='&lt;.' ALIGN=TOP>";
htmldef ">." as
    "<IMG SRC='rangle.gif' WIDTH=4 HEIGHT=19 ALT='&gt;.' ALIGN=TOP>";
htmldef "U." as "<IMG SRC='bigcup.gif' WIDTH=13 HEIGHT=19 ALT='U.' ALIGN=TOP>";
htmldef "|^|" as
    "<IMG SRC='bigcap.gif' WIDTH=13 HEIGHT=19 ALT='|^|' ALIGN=TOP>";
htmldef "U_" as
    "<IMG SRC='_cupbar.gif' WIDTH=13 HEIGHT=19 ALT='U_' ALIGN=TOP>";
htmldef "|^|_" as
    "<IMG SRC='_capbar.gif' WIDTH=13 HEIGHT=19 ALT='|^|_' ALIGN=TOP>";
htmldef "Tr" as "<IMG SRC='_tr.gif' WIDTH=16 HEIGHT=19 ALT='Tr' ALIGN=TOP> ";
htmldef "E" as "<IMG SRC='ce.gif' WIDTH=13 HEIGHT=19 ALT='E' ALIGN=TOP>";
htmldef "I" as "<IMG SRC='ci.gif' WIDTH=8 HEIGHT=19 ALT='I' ALIGN=TOP>";
htmldef "Po" as " <IMG SRC='_po.gif' WIDTH=16 HEIGHT=19 ALT='Po' ALIGN=TOP> ";
htmldef "Or" as " <IMG SRC='_or.gif' WIDTH=18 HEIGHT=19 ALT='Or' ALIGN=TOP> ";
htmldef "sup" as "<IMG SRC='_sup.gif' WIDTH=22 HEIGHT=19 ALT='sup' ALIGN=TOP>";
htmldef "Fr" as " <IMG SRC='_fr.gif' WIDTH=15 HEIGHT=19 ALT='Fr' ALIGN=TOP> ";
htmldef "We" as " <IMG SRC='_we.gif' WIDTH=21 HEIGHT=19 ALT='We' ALIGN=TOP> ";
htmldef "Ord" as
    "<IMG SRC='_ord.gif' WIDTH=26 HEIGHT=19 ALT='Ord' ALIGN=TOP> ";
htmldef "On" as "<IMG SRC='_on.gif' WIDTH=20 HEIGHT=19 ALT='On' ALIGN=TOP>";
htmldef "Lim" as
    "<IMG SRC='_lim.gif' WIDTH=26 HEIGHT=19 ALT='Lim' ALIGN=TOP> ";
htmldef "suc" as
    "<IMG SRC='_suc.gif' WIDTH=22 HEIGHT=19 ALT='suc' ALIGN=TOP> ";
htmldef "om" as "<IMG SRC='omega.gif' WIDTH=11 HEIGHT=19 ALT='om' ALIGN=TOP>";
htmldef "X." as " <IMG SRC='times.gif' WIDTH=9 HEIGHT=19 ALT='X.' ALIGN=TOP> ";
htmldef "`'" as "<IMG SRC='_cnv.gif' WIDTH=10 HEIGHT=19 ALT=" + '"' + "`'" +
    '"' + " ALIGN=TOP>";
/*htmldef "`'" as
    "<IMG SRC='smallsmile.gif' WIDTH=12 HEIGHT=19 ALT=" +
    '"' + "`'" + '"' + " ALIGN=TOP>";*/
htmldef "dom" as
    "<IMG SRC='_dom.gif' WIDTH=26 HEIGHT=19 ALT='dom' ALIGN=TOP> ";
htmldef "ran" as
    "<IMG SRC='_ran.gif' WIDTH=22 HEIGHT=19 ALT='ran' ALIGN=TOP> ";
htmldef "|`" as " <IMG SRC='restriction.gif' WIDTH=5 HEIGHT=19 ALT='|`'" +
    " ALIGN=TOP> ";
htmldef '"' as "<IMG SRC='backquote.gif' WIDTH=7 HEIGHT=19 ALT='" + '"' +
    "' ALIGN=TOP>";
htmldef "o." as " <IMG SRC='circ.gif' WIDTH=8 HEIGHT=19 ALT='o.' ALIGN=TOP> ";
htmldef "Rel" as
    "<IMG SRC='_rel.gif' WIDTH=22 HEIGHT=19 ALT='Rel' ALIGN=TOP> ";
htmldef
    "Fun" as "<IMG SRC='_fun.gif' WIDTH=25 HEIGHT=19 ALT='Fun' ALIGN=TOP> ";
htmldef "Fn" as " <IMG SRC='_fn.gif' WIDTH=17 HEIGHT=19 ALT='Fn' ALIGN=TOP> ";
htmldef ":" as "<IMG SRC='colon.gif' WIDTH=4 HEIGHT=19 ALT=':' ALIGN=TOP>";
htmldef "-->" as
    "<IMG SRC='longrightarrow.gif' WIDTH=23 HEIGHT=19 ALT='--&gt;' ALIGN=TOP>";
htmldef "-1-1->" as
    "<IMG SRC='onetoone.gif' WIDTH=23 HEIGHT=19 ALT='-1-1-&gt;' ALIGN=TOP>";
htmldef "-onto->" as
    "<IMG SRC='onto.gif' WIDTH=23 HEIGHT=19 ALT='-onto-&gt;' ALIGN=TOP>";
htmldef "-1-1-onto->" as "<IMG SRC='onetooneonto.gif' WIDTH=23 HEIGHT=19 " +
    "ALT='-1-1-onto-&gt;' ALIGN=TOP>";
/* Internet Explorer printing is corrupted by '`', so use '` ' which works */
htmldef "`" as "<IMG SRC='backtick.gif' WIDTH=4 HEIGHT=19 ALT='` ' ALIGN=TOP>";
htmldef "Isom" as
    " <IMG SRC='_isom.gif' WIDTH=30 HEIGHT=19 ALT='Isom' ALIGN=TOP> ";
htmldef "X_" as
    "<IMG SRC='_bigtimes.gif' WIDTH=11 HEIGHT=19 ALT='X_' ALIGN=TOP>";
htmldef "|->" as " <IMG SRC='mapsto.gif' WIDTH=15 HEIGHT=19 ALT='|->'" +
    " ALIGN=TOP> ";
htmldef "1st" as "<IMG SRC='_1st.gif' WIDTH=15 HEIGHT=19 ALT='1st' ALIGN=TOP>";
htmldef "2nd" as "<IMG SRC='_2nd.gif' WIDTH=21 HEIGHT=19 ALT='2nd' ALIGN=TOP>";
htmldef "h" as "<IMG SRC='_h.gif' WIDTH=10 HEIGHT=19 ALT='h' ALIGN=TOP>";
htmldef "H" as "<IMG SRC='_ch.gif' WIDTH=14 HEIGHT=19 ALT='H' ALIGN=TOP>";
htmldef "rec" as "<IMG SRC='_rec.gif' WIDTH=21 HEIGHT=19 ALT='rec' ALIGN=TOP>";
htmldef "^m" as
    " <IMG SRC='_hatm.gif' WIDTH=15 HEIGHT=19 ALT='^m' ALIGN=TOP> ";
htmldef "^pm" as
    " <IMG SRC='_hatpm.gif' WIDTH=21 HEIGHT=19 ALT='^pm' ALIGN=TOP> ";
htmldef "+o" as " <IMG SRC='_plo.gif' WIDTH=18 HEIGHT=19 ALT='+o' ALIGN=TOP> ";
htmldef ".o" as " <IMG SRC='_cdo.gif' WIDTH=10 HEIGHT=19 ALT='.o' ALIGN=TOP> ";
htmldef "^o" as
    " <IMG SRC='_hato.gif' WIDTH=11 HEIGHT=19 ALT='^o' ALIGN=TOP> ";
htmldef "1o" as "<IMG SRC='_1o.gif' WIDTH=13 HEIGHT=19 ALT='1o' ALIGN=TOP>";
htmldef "2o" as "<IMG SRC='_2o.gif' WIDTH=14 HEIGHT=19 ALT='2o' ALIGN=TOP>";
htmldef "Er" as "<IMG SRC='_er.gif' WIDTH=16 HEIGHT=19 ALT='Er' ALIGN=TOP> ";
htmldef "/." as "<IMG SRC='diagup.gif' WIDTH=14 HEIGHT=19 ALT='/.' ALIGN=TOP>";
htmldef "Q" as "<IMG SRC='_cq.gif' WIDTH=12 HEIGHT=19 ALT='Q' ALIGN=TOP>";
htmldef "t" as "<IMG SRC='_t.gif' WIDTH=7 HEIGHT=19 ALT='t' ALIGN=TOP>";
htmldef "s" as "<IMG SRC='_s.gif' WIDTH=7 HEIGHT=19 ALT='s' ALIGN=TOP>";
htmldef "r" as "<IMG SRC='_r.gif' WIDTH=8 HEIGHT=19 ALT='r' ALIGN=TOP>";
htmldef "a" as "<IMG SRC='_a.gif' WIDTH=9 HEIGHT=19 ALT='a' ALIGN=TOP>";
htmldef "b" as "<IMG SRC='_b.gif' WIDTH=8 HEIGHT=19 ALT='b' ALIGN=TOP>";
htmldef "c" as "<IMG SRC='_c.gif' WIDTH=7 HEIGHT=19 ALT='c' ALIGN=TOP>";
htmldef "d" as "<IMG SRC='_d.gif' WIDTH=9 HEIGHT=19 ALT='d' ALIGN=TOP>";
htmldef "j" as "<IMG SRC='_j.gif' WIDTH=7 HEIGHT=19 ALT='j' ALIGN=TOP>";
htmldef "k" as "<IMG SRC='_k.gif' WIDTH=9 HEIGHT=19 ALT='k' ALIGN=TOP>";
htmldef "m" as "<IMG SRC='_m.gif' WIDTH=14 HEIGHT=19 ALT='m' ALIGN=TOP>";
htmldef "n" as "<IMG SRC='_n.gif' WIDTH=10 HEIGHT=19 ALT='n' ALIGN=TOP>";
htmldef "o" as "<IMG SRC='_o.gif' WIDTH=8 HEIGHT=19 ALT='o' ALIGN=TOP>";
htmldef "p" as "<IMG SRC='_p.gif' WIDTH=10 HEIGHT=19 ALT='p' ALIGN=TOP>";
htmldef "q" as "<IMG SRC='_q.gif' WIDTH=8 HEIGHT=19 ALT='q' ALIGN=TOP>";
htmldef "J" as "<IMG SRC='_cj.gif' WIDTH=10 HEIGHT=19 ALT='J' ALIGN=TOP>";
htmldef "K" as "<IMG SRC='_ck.gif' WIDTH=14 HEIGHT=19 ALT='K' ALIGN=TOP>";
htmldef "L" as "<IMG SRC='_cl.gif' WIDTH=10 HEIGHT=19 ALT='L' ALIGN=TOP>";
htmldef "M" as "<IMG SRC='_cm.gif' WIDTH=15 HEIGHT=19 ALT='M' ALIGN=TOP>";
htmldef "N" as "<IMG SRC='_cn.gif' WIDTH=14 HEIGHT=19 ALT='N' ALIGN=TOP>";
htmldef "U" as "<IMG SRC='_cu.gif' WIDTH=12 HEIGHT=19 ALT='U' ALIGN=TOP>";
htmldef "W" as "<IMG SRC='_cw.gif' WIDTH=16 HEIGHT=19 ALT='W' ALIGN=TOP>";
htmldef "X" as "<IMG SRC='_cx.gif' WIDTH=13 HEIGHT=19 ALT='X' ALIGN=TOP>";
htmldef "Y" as "<IMG SRC='_cy.gif' WIDTH=12 HEIGHT=19 ALT='Y' ALIGN=TOP>";
htmldef "Z" as "<IMG SRC='_cz.gif' WIDTH=11 HEIGHT=19 ALT='Z' ALIGN=TOP>";
htmldef "O" as "<IMG SRC='_co.gif' WIDTH=12 HEIGHT=19 ALT='O' ALIGN=TOP>";
htmldef "~~" as
    " <IMG SRC='approx.gif' WIDTH=13 HEIGHT=19 ALT='~~' ALIGN=TOP> ";
htmldef "~<_" as
    " <IMG SRC='preccurlyeq.gif' WIDTH=11 HEIGHT=19 ALT='~&lt;_' ALIGN=TOP> ";
htmldef "~<" as
    " <IMG SRC='prec.gif' WIDTH=11 HEIGHT=19 ALT='~&lt;' ALIGN=TOP> ";
htmldef "card" as
    "<IMG SRC='_card.gif' WIDTH=30 HEIGHT=19 ALT='card' ALIGN=TOP>";
htmldef "aleph" as
    "<IMG SRC='varaleph.gif' WIDTH=12 HEIGHT=19 ALT='aleph' ALIGN=TOP>";
/* htmldef "Card" as
    "<IMG SRC='_ccard.gif' WIDTH=33 HEIGHT=19 ALT='Card' ALIGN=TOP>"; */
htmldef "cf" as "<IMG SRC='__cf.gif' WIDTH=14 HEIGHT=19 ALT='cf' ALIGN=TOP>";
htmldef "+c" as " <IMG SRC='_plc.gif' WIDTH=17 HEIGHT=19 ALT='+c' ALIGN=TOP> ";
htmldef "R1" as "<IMG SRC='_r1.gif' WIDTH=15 HEIGHT=19 ALT='R1' ALIGN=TOP>";
htmldef "rank" as
    "<IMG SRC='_rank.gif' WIDTH=30 HEIGHT=19 ALT='rank' ALIGN=TOP>";
htmldef "N." as "<IMG SRC='caln.gif' WIDTH=17 HEIGHT=19 ALT='N.' ALIGN=TOP>";
htmldef "+N" as " <IMG SRC='_pln.gif' WIDTH=22 HEIGHT=19 ALT='+N' ALIGN=TOP> ";
htmldef ".N" as " <IMG SRC='_cdn.gif' WIDTH=14 HEIGHT=19 ALT='.N' ALIGN=TOP> ";
htmldef "<N" as
    " <IMG SRC='_ltn.gif' WIDTH=21 HEIGHT=19 ALT='&lt;N' ALIGN=TOP> ";
htmldef "+pQ" as
    " <IMG SRC='_plpq.gif' WIDTH=28 HEIGHT=19 ALT='+pQ' ALIGN=TOP> ";
htmldef ".pQ" as
    " <IMG SRC='_cdpq.gif' WIDTH=19 HEIGHT=19 ALT='.pQ' ALIGN=TOP> ";
htmldef "~Q" as
    " <IMG SRC='_simq.gif' WIDTH=21 HEIGHT=19 ALT='~Q' ALIGN=TOP> ";
htmldef "Q." as "<IMG SRC='calq.gif' WIDTH=12 HEIGHT=19 ALT='Q.' ALIGN=TOP>";
htmldef "1Q" as "<IMG SRC='_1q.gif' WIDTH=16 HEIGHT=19 ALT='1Q' ALIGN=TOP>";
htmldef "+Q" as " <IMG SRC='_plq.gif' WIDTH=21 HEIGHT=19 ALT='+Q' ALIGN=TOP> ";
htmldef ".Q" as " <IMG SRC='_cdq.gif' WIDTH=13 HEIGHT=19 ALT='.Q' ALIGN=TOP> ";
htmldef "*Q" as "<IMG SRC='_astq.gif' WIDTH=16 HEIGHT=19 ALT='*Q' ALIGN=TOP>";
htmldef "<Q" as
    " <IMG SRC='_ltq.gif' WIDTH=20 HEIGHT=19 ALT='&lt;Q' ALIGN=TOP> ";
htmldef "P." as "<IMG SRC='calp.gif' WIDTH=13 HEIGHT=19 ALT='P.' ALIGN=TOP>";
htmldef "1P" as "<IMG SRC='_1p.gif' WIDTH=15 HEIGHT=19 ALT='1P' ALIGN=TOP>";
htmldef "+P." as
    " <IMG SRC='_plp.gif' WIDTH=22 HEIGHT=19 ALT='+P.' ALIGN=TOP> ";
htmldef ".P." as
    " <IMG SRC='_cdp.gif' WIDTH=13 HEIGHT=19 ALT='.P.' ALIGN=TOP> ";
htmldef "<P" as
    " <IMG SRC='_ltp.gif' WIDTH=19 HEIGHT=19 ALT='&lt;P' ALIGN=TOP> ";
htmldef "+pR" as
    " <IMG SRC='_plpr.gif' WIDTH=28 HEIGHT=19 ALT='+pR' ALIGN=TOP> ";
htmldef ".pR" as
    " <IMG SRC='_cdpr.gif' WIDTH=19 HEIGHT=19 ALT='.pR' ALIGN=TOP> ";
htmldef "~R" as
    " <IMG SRC='_simr.gif' WIDTH=23 HEIGHT=19 ALT='~R' ALIGN=TOP> ";
htmldef "R." as "<IMG SRC='calr.gif' WIDTH=15 HEIGHT=19 ALT='R.' ALIGN=TOP>";
htmldef "0R" as "<IMG SRC='_0r.gif' WIDTH=18 HEIGHT=19 ALT='0R' ALIGN=TOP>";
htmldef "1R" as "<IMG SRC='_1r.gif' WIDTH=16 HEIGHT=19 ALT='1R' ALIGN=TOP>";
htmldef "-1R" as "<IMG SRC='_m1r.gif' WIDTH=22 HEIGHT=19 ALT='-1R' ALIGN=TOP>";
htmldef "+R" as " <IMG SRC='_plr.gif' WIDTH=23 HEIGHT=19 ALT='+R' ALIGN=TOP> ";
htmldef ".R" as " <IMG SRC='_cdr.gif' WIDTH=14 HEIGHT=19 ALT='.R' ALIGN=TOP> ";
htmldef "<R" as
    " <IMG SRC='_ltr.gif' WIDTH=20 HEIGHT=19 ALT='&lt;R' ALIGN=TOP> ";
htmldef "<RR" as
    " <IMG SRC='_ltbbr.gif' WIDTH=20 HEIGHT=19 ALT='&lt;R' ALIGN=TOP> ";
htmldef "CC" as "<IMG SRC='bbc.gif' WIDTH=12 HEIGHT=19 ALT='CC' ALIGN=TOP>";
htmldef "RR" as "<IMG SRC='bbr.gif' WIDTH=13 HEIGHT=19 ALT='RR' ALIGN=TOP>";
htmldef "0" as "<IMG SRC='0.gif' WIDTH=8 HEIGHT=19 ALT='0' ALIGN=TOP>";
htmldef "1" as "<IMG SRC='1.gif' WIDTH=7 HEIGHT=19 ALT='1' ALIGN=TOP>";
htmldef "i" as "<IMG SRC='i.gif' WIDTH=6 HEIGHT=19 ALT='i' ALIGN=TOP>";
htmldef "+" as " <IMG SRC='plus.gif' WIDTH=13 HEIGHT=19 ALT='+' ALIGN=TOP> ";
htmldef "-" as " <IMG SRC='minus.gif' WIDTH=11 HEIGHT=19 ALT='-' ALIGN=TOP> ";
htmldef "-u" as
    "<IMG SRC='shortminus.gif' WIDTH=8 HEIGHT=19 ALT='-u' ALIGN=TOP>";
    /* use standard minus sign */
htmldef "x." as " <IMG SRC='cdot.gif' WIDTH=4 HEIGHT=19 ALT='x.' ALIGN=TOP> ";
htmldef "+oo" as " <IMG SRC='_pinf.gif' WIDTH=29 HEIGHT=19 ALT='+oo' " +
    "ALIGN=TOP>";
htmldef "-oo" as " <IMG SRC='_minf.gif' WIDTH=24 HEIGHT=19 ALT='-oo' " +
    "ALIGN=TOP>";
htmldef "RR*" as "<IMG SRC='_bbrast.gif' WIDTH=18 HEIGHT=19 ALT='RR*' " +
    "ALIGN=TOP>";
htmldef "<" as " <IMG SRC='lt.gif' WIDTH=11 HEIGHT=19 ALT='&lt;' ALIGN=TOP> ";
htmldef "<_" as
    " <IMG SRC='le.gif' WIDTH=11 HEIGHT=19 ALT='&lt;_' ALIGN=TOP> ";
htmldef "2" as "<IMG SRC='2.gif' WIDTH=8 HEIGHT=19 ALT='2' ALIGN=TOP>";
htmldef "3" as "<IMG SRC='3.gif' WIDTH=8 HEIGHT=19 ALT='3' ALIGN=TOP>";
htmldef "4" as "<IMG SRC='4.gif' WIDTH=9 HEIGHT=19 ALT='4' ALIGN=TOP>";
htmldef "5" as "<IMG SRC='5.gif' WIDTH=8 HEIGHT=19 ALT='5' ALIGN=TOP>";
htmldef "6" as "<IMG SRC='6.gif' WIDTH=8 HEIGHT=19 ALT='6' ALIGN=TOP>";
htmldef "7" as "<IMG SRC='7.gif' WIDTH=9 HEIGHT=19 ALT='7' ALIGN=TOP>";
htmldef "8" as "<IMG SRC='8.gif' WIDTH=8 HEIGHT=19 ALT='8' ALIGN=TOP>";
htmldef "9" as "<IMG SRC='9.gif' WIDTH=8 HEIGHT=19 ALT='9' ALIGN=TOP>";
htmldef "10" as "<IMG SRC='_10.gif' WIDTH=14 HEIGHT=19 ALT='10' ALIGN=TOP>";
htmldef "NN" as "<IMG SRC='bbn.gif' WIDTH=12 HEIGHT=19 ALT='NN' ALIGN=TOP>";
htmldef "NN0" as
    "<IMG SRC='_bbn0.gif' WIDTH=19 HEIGHT=19 ALT='NN0' ALIGN=TOP>";
htmldef "ZZ" as "<IMG SRC='bbz.gif' WIDTH=11 HEIGHT=19 ALT='ZZ' ALIGN=TOP>";
htmldef "QQ" as "<IMG SRC='bbq.gif' WIDTH=13 HEIGHT=19 ALT='QQ' ALIGN=TOP>";
htmldef "RR+" as "<IMG SRC='_bbrplus.gif' WIDTH=20 HEIGHT=19 ALT='RR+' " +
    "ALIGN=TOP>";
htmldef "sqr" as "<IMG SRC='surd.gif' WIDTH=14 HEIGHT=19 ALT='sqr' ALIGN=TOP>";
htmldef "Re" as "<IMG SRC='re.gif' WIDTH=12 HEIGHT=19 ALT='Re' ALIGN=TOP>";
htmldef "Im" as "<IMG SRC='im.gif' WIDTH=12 HEIGHT=19 ALT='Im' ALIGN=TOP>";
htmldef "*" as "<IMG SRC='ast.gif' WIDTH=7 HEIGHT=19 ALT='*' ALIGN=TOP>";
htmldef "abs" as "<IMG SRC='_abs.gif' WIDTH=22 HEIGHT=19 ALT='abs' ALIGN=TOP>";
htmldef "|_" as "<IMG SRC='lfloor.gif' WIDTH=6 HEIGHT=19 ALT='|_' " +
    "ALIGN=TOP>";
htmldef "seq1" as " <IMG SRC='_seq1.gif' WIDTH=26 HEIGHT=19 ALT='seq1' " +
    "ALIGN=TOP> ";
htmldef "shift" as " <IMG SRC='_shift.gif' WIDTH=30 HEIGHT=19 ALT='shift' " +
    "ALIGN=TOP> ";

/* 26-Dec-2006 nm These need images. */
htmldef "(,)" as "(,)";
htmldef "(,]" as "(,]";
htmldef "[,)" as "[,)";
htmldef "[,]" as "[,]";

htmldef "ZZ>" as "<IMG SRC='_bbzge.gif' WIDTH=20 HEIGHT=19 ALT=" +
    "'ZZ>' ALIGN=TOP>";
htmldef "limsup" as
    "<IMG SRC='_limsup.gif' WIDTH=44 HEIGHT=19 ALT='limsup' ALIGN=TOP>";
htmldef "seq" as " <IMG SRC='_seq.gif' WIDTH=22 HEIGHT=19 ALT='seq' " +
    "ALIGN=TOP> ";
htmldef "seq0" as " <IMG SRC='_seq0.gif' WIDTH=27 HEIGHT=19 ALT='seq0' " +
    "ALIGN=TOP> ";
htmldef "^" as "<IMG SRC='uparrow.gif' WIDTH=7 HEIGHT=19 ALT='^' ALIGN=TOP>";
htmldef "!" as "<IMG SRC='bang.gif' WIDTH=3 HEIGHT=19 ALT='!' ALIGN=TOP>";
htmldef "C." as " <IMG SRC='rmcc.gif' WIDTH=10 HEIGHT=19 ALT='C.' ALIGN=TOP> ";
htmldef "~~>" as " <IMG SRC='rightsquigarrow.gif' WIDTH=15 HEIGHT=19 " +
    "ALT='~~&gt;' ALIGN=TOP> ";
htmldef "..." as "<IMG SRC='ldots.gif' WIDTH=18 HEIGHT=19 ALT=" +
    "'...' ALIGN=TOP>";
htmldef "sum_" as "<IMG SRC='csigma.gif' WIDTH=11 HEIGHT=19 ALT=" +
    "'sum_' ALIGN=TOP>";
htmldef "exp" as "<IMG SRC='_exp.gif' WIDTH=24 HEIGHT=19 ALT='exp' ALIGN=TOP>";
htmldef "e" as "<IMG SRC='e.gif' WIDTH=8 HEIGHT=19 ALT='e' ALIGN=TOP>";
htmldef "sin" as "<IMG SRC='_sin.gif' WIDTH=19 HEIGHT=19 ALT='sin' ALIGN=TOP>";
htmldef "pi" as "<IMG SRC='pi.gif' WIDTH=10 HEIGHT=19 ALT='pi' ALIGN=TOP>";
htmldef "cos" as "<IMG SRC='_cos.gif' WIDTH=21 HEIGHT=19 ALT='cos' ALIGN=TOP>";
htmldef "log" as "<IMG SRC='_log.gif' WIDTH=20 HEIGHT=19 ALT='log' ALIGN=TOP>";
htmldef "-cn->" as "<IMG SRC='_cnmap.gif' WIDTH=23 HEIGHT=19 ALT=" +
    "'-cn->' ALIGN=TOP>";

/* 12-Jul-2006 nm These need images. */
htmldef "Top" as "Top";
htmldef "TopSp" as "TopSp";
htmldef "Bases" as "Bases";
htmldef "topGen" as "topGen";
htmldef "int" as "int";
htmldef "cls" as "cls";
htmldef "Clsd" as "Clsd";
htmldef "nei" as "nei";
htmldef "limPt" as "limPt";
htmldef "Cn" as " Cn ";
htmldef "CnP" as " CnP ";
htmldef "Haus" as "Haus";
htmldef "Met" as "Met";
htmldef "MetSp" as "MetSp";
htmldef "ball" as " ball ";
htmldef "Open" as "Open";

htmldef "~~>m" as "<IMG SRC='_squigm.gif' WIDTH=25 HEIGHT=19 " +
    "ALT='~~&gt;m' ALIGN=TOP>";

/* 7-Sep-2006 nm These need images. */
htmldef "Cau" as "Cau";
htmldef "CMet" as "CMet";
htmldef "Grp" as "Grp";
htmldef "/g" as " <IMG SRC='_divg.gif' WIDTH=11 HEIGHT=19 ALT='/g' " +
    "ALIGN=TOP> ";
htmldef "Id" as "Id";
htmldef "inv" as "inv";
htmldef "SubGrp" as "SubGrp";
htmldef "SymGrp" as "SymGrp";
htmldef "GrpHom" as " GrpHom ";
htmldef "GrpIso" as " GrpIso ";
htmldef "Abel" as "Abel";
htmldef "Ring" as "Ring";
htmldef "CVec" as "CVec";
htmldef "NrmCVec" as "NrmCVec";
htmldef "Base" as "Base";

htmldef "+v" as "<IMG SRC='_plv.gif' WIDTH=19 HEIGHT=19 ALT='+v' ALIGN=TOP>";
htmldef ".s" as "<IMG SRC='_cds.gif' WIDTH=9 HEIGHT=19 ALT='.s' ALIGN=TOP>";
htmldef "0v" as "<IMG SRC='_0v.gif' WIDTH=14 HEIGHT=19 ALT='0v' ALIGN=TOP>";
htmldef "-v" as "<IMG SRC='_mv.gif' WIDTH=17 HEIGHT=19 ALT='-v' ALIGN=TOP>";
htmldef ".i" as "<IMG SRC='_cdi.gif' WIDTH=7 HEIGHT=19 ALT='.i' ALIGN=TOP>";
htmldef "norm" as "<IMG SRC='_norm.gif' WIDTH=32 HEIGHT=19 ALT='norm' " +
    "ALIGN=TOP>";

/* 24-Apr-2007 nm These need images. */
htmldef "IndMet" as "IndMet";
htmldef "SubSp" as "SubSp";
htmldef "normOp" as "normOp";
htmldef "LnOp" as " LnOp ";
htmldef "BLnOp" as " BLnOp ";
htmldef "0op" as
    " <IMG SRC='_0op.gif' WIDTH=21 HEIGHT=19 ALT='0op' ALIGN=TOP> ";
htmldef "adj" as "adj";
htmldef "HmOp" as "HmOp";
htmldef "CPreHil" as "CPreHil";
htmldef "CBan" as "CBan";
htmldef "CHil" as "CHil";
htmldef "Poset" as "Poset";
htmldef "supw" as " sup<SUB>w</SUB> ";
htmldef "infw" as " inf<SUB>w</SUB> ";
htmldef "join" as " join ";
htmldef "meet" as " meet ";
htmldef "Lat" as "Lat";

/* Sandboxes */
/* Jeff Hoffman's sandbox */
htmldef "gcd" as "gcd";
/* FL's sandbox */
htmldef "l" as '<I><FONT COLOR="#FF0000">l</FONT></I>';
htmldef "fi" as "fi";
htmldef "EucTop" as "EucTop";
htmldef "Homeo" as " Homeo ";
htmldef "~=" as " ~= ";
htmldef "subSp" as "subSp";
htmldef "Fil" as "Fil";
htmldef "fLim1" as "fLim1";
htmldef "fLim2" as "fLim2";
htmldef "T0" as "T0";
htmldef "T1" as "T1";
htmldef "Con" as "Con";
/*htmldef "Gra" as "Gra";*/
htmldef "Alg" as "Alg";
htmldef "Cat" as "Cat";
htmldef "dom_" as "<U>dom</U>";
htmldef "cod_" as "<U>cod</U>";
htmldef "id_" as "<U>id</U>";
htmldef "o_" as "<U>o</U>";
htmldef "Epi" as "Epi";
htmldef "Monic" as "Monic";
htmldef "Iso" as "Iso";
htmldef "Ded" as "Ded";
htmldef "hom" as "hom";
htmldef "Dgra" as "Dgra";
htmldef "Func" as "Func";
htmldef "Subcl" as "Subcl";
htmldef "O1" as '<I><FONT COLOR="#CC33CC">O<SUB>1</SUB></FONT></I>';
htmldef "M1" as '<I><FONT COLOR="#CC33CC">M<SUB>1</SUB></FONT></I>';
htmldef "O2" as '<I><FONT COLOR="#CC33CC">O<SUB>2</SUB></FONT></I>';
htmldef "M2" as '<I><FONT COLOR="#CC33CC">M<SUB>2</SUB></FONT></I>';
htmldef "I1" as '<I><FONT COLOR="#CC33CC">I<SUB>1</SUB></FONT></I>';
htmldef "D1" as '<I><FONT COLOR="#CC33CC">D<SUB>1</SUB></FONT></I>';
htmldef "C1" as '<I><FONT COLOR="#CC33CC">C<SUB>1</SUB></FONT></I>';
htmldef "Ro1" as '<I><FONT COLOR="#CC33CC">Ro<SUB>1</SUB></FONT></I>';
htmldef "I2" as '<I><FONT COLOR="#CC33CC">I<SUB>2</SUB></FONT></I>';
htmldef "D2" as '<I><FONT COLOR="#CC33CC">D<SUB>2</SUB></FONT></I>';
htmldef "C2" as '<I><FONT COLOR="#CC33CC">C<SUB>2</SUB></FONT></I>';
htmldef "Ro2" as '<I><FONT COLOR="#CC33CC">Ro<SUB>2</SUB></FONT></I>';
htmldef "Tarski" as "Tarski";
/* Steve Rodriguez' sandbox */
htmldef "HypGrph" as "HypGrph";
htmldef "PsGrph" as "PsGrph";
htmldef "SmpGrph" as "SmpGrph";


/* Hilbert space */
htmldef "H~" as "<IMG SRC='scrh.gif' WIDTH=19 HEIGHT=19 ALT='H~' ALIGN=TOP>";

htmldef "+h" as " <IMG SRC='_pvh.gif' WIDTH=18 HEIGHT=19 ALT='+h' ALIGN=TOP> ";
htmldef ".h" as " <IMG SRC='_cdh.gif' WIDTH=9 HEIGHT=19 ALT='.h' ALIGN=TOP> ";
htmldef "0h" as "<IMG SRC='_0vh.gif' WIDTH=14 HEIGHT=19 ALT='0h' ALIGN=TOP>";
htmldef "-h" as " <IMG SRC='_mvh.gif' WIDTH=16 HEIGHT=19 ALT='-h' ALIGN=TOP> ";
htmldef ".ih" as " <IMG SRC='_cdih.gif' WIDTH=13 HEIGHT=19 ALT='.ih' " +
    "ALIGN=TOP> ";
htmldef "normh" as "<IMG SRC='_normh.gif' WIDTH=38 HEIGHT=19 ALT='normh' " +
    "ALIGN=TOP>";

htmldef "Cauchy" as "<IMG SRC='_cauchy.gif' WIDTH=47 HEIGHT=19 " +
    "ALT='Cauchy' ALIGN=TOP>";
htmldef "~~>v" as " <IMG SRC='_squigv.gif' WIDTH=21 HEIGHT=19 " +
    "ALT='~~&gt;v' ALIGN=TOP> ";
htmldef "SH" as "<IMG SRC='_sh.gif' WIDTH=24 HEIGHT=19 ALT='SH' ALIGN=TOP>";
htmldef "CH" as "<IMG SRC='_scrch.gif' WIDTH=22 HEIGHT=19 ALT='CH' ALIGN=TOP>";
/*htmldef "-H" as
    "<IMG SRC='_lnoth.gif' WIDTH=23 HEIGHT=19 ALT='-H' ALIGN=TOP>";*/
htmldef "_|_" as "<IMG SRC='perp.gif' WIDTH=11 HEIGHT=19 ALT='_|_' ALIGN=TOP>";
htmldef "+H" as " <IMG SRC='_plh.gif' WIDTH=24 HEIGHT=19 ALT='+H' ALIGN=TOP> ";
htmldef "span" as
    "<IMG SRC='_span.gif' WIDTH=31 HEIGHT=19 ALT='span' ALIGN=TOP>";
htmldef "vH" as
    " <IMG SRC='_veeh.gif' WIDTH=21 HEIGHT=19 ALT='vH' ALIGN=TOP> ";
htmldef "\/H" as
    " <IMG SRC='_bigveeh.gif' WIDTH=23 HEIGHT=19 ALT='\/H' ALIGN=TOP> ";
htmldef "0H" as "<IMG SRC='_0h.gif' WIDTH=20 HEIGHT=19 ALT='0H' ALIGN=TOP>";
htmldef "C_H" as
    " <IMG SRC='_cch.gif' WIDTH=23 HEIGHT=19 ALT='C_H' ALIGN=TOP> ";

/* Jan-18-2006 nm This doesn't have an image. */
htmldef "proj" as 'proj';

htmldef "+op" as
    " <IMG SRC='_plop.gif' WIDTH=25 HEIGHT=19 ALT='+op' ALIGN=TOP> ";
htmldef ".op" as
    " <IMG SRC='_cdop.gif' WIDTH=16 HEIGHT=19 ALT='.op' ALIGN=TOP> ";
htmldef "-op" as
    " <IMG SRC='_mop.gif' WIDTH=23 HEIGHT=19 ALT='-op' ALIGN=TOP> ";
htmldef "+fn" as
    " <IMG SRC='_plfn.gif' WIDTH=24 HEIGHT=19 ALT='+fn' ALIGN=TOP> ";
htmldef ".fn" as
    " <IMG SRC='_cdfn.gif' WIDTH=15 HEIGHT=19 ALT='.fn' ALIGN=TOP> ";
htmldef "Iop" as
    " <IMG SRC='_iop.gif' WIDTH=18 HEIGHT=19 ALT='Iop' ALIGN=TOP> ";

/* These don't have images. */
htmldef "0hop" as "0<SUB>hop</SUB>";
htmldef "normop" as 'norm<SUB>op</SUB>';
htmldef "ConOp" as 'ConOp';
htmldef "LinOp" as 'LinOp';
htmldef "BndLinOp" as 'BndLinOp';
htmldef "UniOp" as 'UniOp';
htmldef "HrmOp" as 'HrmOp';
htmldef "normfn" as 'norm<SUB>fn</SUB>';
htmldef "null" as 'null';
htmldef "ConFn" as 'ConFn';
htmldef "LinFn" as 'LinFn';
htmldef "adjh" as 'adj<SUB>h</SUB>';
htmldef "bra" as 'bra';
htmldef "ketbra" as ' ketbra ';

htmldef "<_op" as
    " <IMG SRC='_leop.gif' WIDTH=24 HEIGHT=19 ALT='<_op' ALIGN=TOP> ";

/* These don't have images. */
htmldef "eigvec" as 'eigvec';
htmldef "eigval" as 'eigval';

htmldef "Lambda" as
    "<IMG SRC='clambda.gif' WIDTH=11 HEIGHT=19 ALT='Lambda' ALIGN=TOP>";
htmldef "States" as
    "<IMG SRC='_states.gif' WIDTH=40 HEIGHT=19 ALT='States' ALIGN=TOP>";

/* These don't have images. */
htmldef "CHStates" as 'CHStates';

htmldef "Atoms" as
    "<IMG SRC='_atoms.gif' WIDTH=40 HEIGHT=19 ALT='Atoms' ALIGN=TOP>";
htmldef "<o" as
    " <IMG SRC='lessdot.gif' WIDTH=11 HEIGHT=19 ALT='&lt;o' ALIGN=TOP> ";
htmldef "MH" as " <IMG SRC='_mh.gif' WIDTH=27 HEIGHT=19 ALT='MH' ALIGN=TOP> ";
htmldef "MH*" as
    " <IMG SRC='_mhast.gif' WIDTH=27 HEIGHT=19 ALT='MH*' ALIGN=TOP> ";

/* These are alternate HTML definitions for the Unicode font version of the
   web site */
althtmldef "(" as "(";
althtmldef ")" as ")";
althtmldef "->" as ' &rarr; ';
althtmldef "-." as '&not; ';
althtmldef "wff" as '<FONT COLOR="#808080">wff </FONT>';  /* was #00CC00 */
althtmldef "|-" as '<FONT COLOR="#808080">&#8866; </FONT>'; /* &vdash; */
althtmldef "ph" as '<FONT COLOR="#0000FF"><I>&phi;</I></FONT>';
althtmldef "ps" as '<FONT COLOR="#0000FF"><I>&psi;</I></FONT>';
althtmldef "ch" as '<FONT COLOR="#0000FF"><I>&chi;</I></FONT>';
althtmldef "th" as '<FONT COLOR="#0000FF"><I>&theta;</I></FONT>';
althtmldef "ta" as '<FONT COLOR="#0000FF"><I>&tau;</I></FONT>';
althtmldef "<->" as ' &harr; ';
althtmldef "\/" as ' &#8897; ' ; /* was &or; - changed to match font of &and;
                                    replacement */
althtmldef "/\" as ' &#8896; '; /* was &and; which is circle in Mozilla on
                                   WinXP Pro (but not WinXP Home) */
althtmldef "et" as '<FONT COLOR="#0000FF"><I>&eta;</I></FONT>';
althtmldef "ze" as '<FONT COLOR="#0000FF"><I>&zeta;</I></FONT>';
althtmldef "A." as '&forall;';
althtmldef "set" as '<FONT COLOR="#808080">set </FONT>';
althtmldef "x" as '<I><FONT COLOR="#FF0000">x</FONT></I>';
althtmldef "y" as '<I><FONT COLOR="#FF0000">y</FONT></I>';
althtmldef "z" as '<I><FONT COLOR="#FF0000">z</FONT></I>';
althtmldef "w" as '<I><FONT COLOR="#FF0000">w</FONT></I>';
althtmldef "v" as '<I><FONT COLOR="#FF0000">v</FONT></I>';
althtmldef "E." as '&exist;';
althtmldef "=" as ' = '; /* &equals; */
althtmldef "e." as ' &isin; ';
althtmldef "[" as '['; /* &lsqb; */
althtmldef "/" as ' / '; /* &sol; */
althtmldef "]" as ']'; /* &rsqb; */
althtmldef "u" as '<I><FONT COLOR="#FF0000">u</FONT></I>';
althtmldef "f" as '<I><FONT COLOR="#FF0000">f</FONT></I>';
althtmldef "g" as '<I><FONT COLOR="#FF0000">g</FONT></I>';
althtmldef "E!" as '&exist;!';
althtmldef "E*" as '&exist;*';
althtmldef "{" as '{'; /* &lcub; */
althtmldef "|" as '&#8739;'; /* &vertbar; */
althtmldef "}" as '}'; /* &rcub; */
althtmldef "class" as '<FONT COLOR="#808080">class </FONT>';
althtmldef "A" as '<I><FONT COLOR="#CC33CC">A</FONT></I>';
althtmldef "B" as '<I><FONT COLOR="#CC33CC">B</FONT></I>';
althtmldef "C" as '<I><FONT COLOR="#CC33CC">C</FONT></I>';
althtmldef "D" as '<I><FONT COLOR="#CC33CC">D</FONT></I>';
althtmldef "P" as '<I><FONT COLOR="#CC33CC">P</FONT></I>';
althtmldef "R" as '<I><FONT COLOR="#CC33CC">R</FONT></I>';
althtmldef "S" as '<I><FONT COLOR="#CC33CC">S</FONT></I>';
althtmldef "T" as '<I><FONT COLOR="#CC33CC">T</FONT></I>';
althtmldef "=/=" as ' &ne; ';
althtmldef "e/" as ' &notin; ';
althtmldef "V" as '<I>V</I>';
althtmldef "[_" as '<U>[</U>'; /* &lsqb; */
althtmldef "]_" as '<U>]</U>'; /* &rsqb; */
althtmldef "F" as '<I><FONT COLOR="#CC33CC">F</FONT></I>';
althtmldef "G" as '<I><FONT COLOR="#CC33CC">G</FONT></I>';
althtmldef "(_" as ' &#8838; '; /* &subE; */
althtmldef "(." as ' &sub; ';
althtmldef "\" as ' &#8726; ';  /* &setmn; */
althtmldef "u." as ' &cup; ';
althtmldef "i^i" as ' &cap; ';
althtmldef "(/)" as '&empty;';
/*althtmldef "ded" as 'ded';*/
althtmldef "if" as ' if';
althtmldef "," as ', ';
althtmldef "si" as '<FONT COLOR="#0000FF"><I>&sigma;</I></FONT>';
althtmldef "rh" as '<FONT COLOR="#0000FF"><I>&rho;</I></FONT>';
althtmldef "P~" as '&weierp;';
althtmldef "<." as '&lang;';
althtmldef ">." as '&rang;';
/* xcup does not render, and #8899 renders as a small bold cup, on
   Mozilla 1.7.3 on Windows XP */
/*althtmldef "U." as '&#8899;';*/ /* &xcup; */
althtmldef "U." as '<FONT SIZE="+1">&cup;</FONT>'; /* &xcup; */
/*althtmldef "|^|" as '&#8898;';*/ /* &xcap; */
althtmldef "|^|" as '<FONT SIZE="+1">&cap;</FONT>'; /* &xcap; */
althtmldef "U_" as '<U><FONT SIZE="+1">&cup;</FONT></U>'; /* &xcup; */
althtmldef "|^|_" as '<U><FONT SIZE="+1">&cap;</FONT></U>'; /* &xcap; */
althtmldef "Tr" as 'Tr ';
althtmldef "E" as '<I>E</I>';
althtmldef "I" as '<I>I</I>';
althtmldef "Po" as ' Po ';
althtmldef "Or" as ' Or ';
althtmldef "sup" as 'sup';
althtmldef "Fr" as ' Fr ';
althtmldef "We" as ' We ';
althtmldef "Ord" as 'Ord ';
althtmldef "On" as 'On';
althtmldef "Lim" as 'Lim ';
althtmldef "suc" as 'suc ';
althtmldef "om" as '&omega;';
althtmldef "X." as ' &times; ';
althtmldef "`'" as '<FONT SIZE="-1"><SUP>&#9697;</SUP></FONT>';
althtmldef "dom" as 'dom ';
althtmldef "ran" as 'ran ';
althtmldef "|`" as ' &#8638; '; /* &uharr; */
althtmldef '"' as ' &#8220; ';
althtmldef "o." as ' &#8728; ';
althtmldef "Rel" as 'Rel ';
althtmldef "Fun" as 'Fun ';
althtmldef "Fn" as ' Fn ';
althtmldef ":" as ':';
/* &#xAD;&#x2010;&ndash;&mdash;&minus; (possible symbols test) */
althtmldef "-->" as '&ndash;&rarr;';
althtmldef "-1-1->" as '&ndash;<FONT SIZE=-2 FACE=sans-serif>1-1</FONT>&rarr;';
althtmldef "-onto->" as
    '&ndash;<FONT SIZE=-2 FACE=sans-serif>onto</FONT>&rarr;';
althtmldef "-1-1-onto->" as '&ndash;<FONT SIZE=-2 '
  + 'FACE=sans-serif>1-1</FONT>-<FONT SIZE=-2 '
  + 'FACE=sans-serif>onto</FONT>&rarr;';
althtmldef "`" as ' &lsquo;';
althtmldef "Isom" as ' Isom ';
althtmldef "X_" as '<FONT SIZE="+1" FACE=sans-serif>X</FONT>';
althtmldef "|->" as " &#8614 ";
althtmldef "1st" as '1<SUP>st</SUP> ';
althtmldef "2nd" as '2<SUP>nd</SUP> ';
althtmldef "h" as '<I><FONT COLOR="#FF0000">h</FONT></I>';
althtmldef "H" as '<I><FONT COLOR="#CC33CC">H</FONT></I>';
althtmldef "rec" as 'rec';
althtmldef "^m" as ' &uarr;<SUB><I>m</I></SUB> ';
althtmldef "^pm" as ' &uarr;<SUB><I>pm</I></SUB> ';
althtmldef "+o" as ' +<SUB><I>o</I></SUB> ';
althtmldef ".o" as ' &middot;<SUB><I>o</I></SUB> ';
althtmldef "^o" as ' &uarr;<SUB><I>o</I></SUB> ';
althtmldef "1o" as '1<SUB><I>o</I></SUB>';
althtmldef "2o" as '2<SUB><I>o</I></SUB>';
althtmldef "Er" as 'Er ';
althtmldef "/." as ' <B>/</B> ';
althtmldef "Q" as '<I><FONT COLOR="#CC33CC">Q</FONT></I>';
althtmldef "t" as '<I><FONT COLOR="#FF0000">t</FONT></I>';
althtmldef "s" as '<I><FONT COLOR="#FF0000">s</FONT></I>';
althtmldef "r" as '<I><FONT COLOR="#FF0000">r</FONT></I>';
althtmldef "a" as '<I><FONT COLOR="#FF0000">a</FONT></I>';
althtmldef "b" as '<I><FONT COLOR="#FF0000">b</FONT></I>';
althtmldef "c" as '<I><FONT COLOR="#FF0000">c</FONT></I>';
althtmldef "d" as '<I><FONT COLOR="#FF0000">d</FONT></I>';
althtmldef "j" as '<I><FONT COLOR="#FF0000">j</FONT></I>';
althtmldef "k" as '<I><FONT COLOR="#FF0000">k</FONT></I>';
althtmldef "m" as '<I><FONT COLOR="#FF0000">m</FONT></I>';
althtmldef "n" as '<I><FONT COLOR="#FF0000">n</FONT></I>';
althtmldef "o" as '<I><FONT COLOR="#FF0000">o</FONT></I>';
althtmldef "p" as '<I><FONT COLOR="#FF0000">p</FONT></I>';
althtmldef "q" as '<I><FONT COLOR="#FF0000">q</FONT></I>';
althtmldef "J" as '<I><FONT COLOR="#CC33CC">J</FONT></I>';
althtmldef "K" as '<I><FONT COLOR="#CC33CC">K</FONT></I>';
althtmldef "L" as '<I><FONT COLOR="#CC33CC">L</FONT></I>';
althtmldef "M" as '<I><FONT COLOR="#CC33CC">M</FONT></I>';
althtmldef "N" as '<I><FONT COLOR="#CC33CC">N</FONT></I>';
althtmldef "O" as '<I><FONT COLOR="#CC33CC">O</FONT></I>';
althtmldef "U" as '<I><FONT COLOR="#CC33CC">U</FONT></I>';
althtmldef "W" as '<I><FONT COLOR="#CC33CC">W</FONT></I>';
althtmldef "X" as '<I><FONT COLOR="#CC33CC">X</FONT></I>';
althtmldef "Y" as '<I><FONT COLOR="#CC33CC">Y</FONT></I>';
althtmldef "Z" as '<I><FONT COLOR="#CC33CC">Z</FONT></I>';
althtmldef "~~" as ' &#8776; '; /* &ap; */
althtmldef "~<_" as ' &#8828; '; /* &prcue; */
althtmldef "~<" as ' &#8826; '; /*  &pr; */
althtmldef "card" as 'card';
althtmldef "aleph" as '&#8501;'; /* &aleph; */
/* althtmldef "Card" as 'Card'; */
althtmldef "cf" as 'cf';
althtmldef "+c" as ' +<SUB><I>c</I></SUB> ';
althtmldef "R1" as '<I>R</I><SUB>1</SUB>';
althtmldef "rank" as 'rank';
althtmldef "N." as '<I><B>N</B></I>';
althtmldef "+N" as ' +<I><SUB><B>N</B></SUB></I> ';
althtmldef ".N" as ' &middot;<I><SUB><B>N</B></SUB></I> ';
althtmldef "<N" as ' &lt;<I><SUB><B>N</B></SUB></I> ';
althtmldef "+pQ" as ' +<I><SUB>p<B>Q</B></SUB></I> ';
althtmldef ".pQ" as ' &middot;<I><SUB>p<B>Q</B></SUB></I> ';
althtmldef "~Q" as ' ~<I><SUB><B>Q</B></SUB></I> ';
althtmldef "Q." as '<I><B>Q</B></I>';
althtmldef "1Q" as '1<I><SUB><B>Q</B></SUB></I>';
althtmldef "+Q" as ' +<I><SUB><B>Q</B></SUB></I> ';
althtmldef ".Q" as ' &middot;<I><SUB><B>Q</B></SUB></I> ';
althtmldef "*Q" as '*<I><SUB><B>Q</B></SUB></I>';
althtmldef "<Q" as ' &lt;<I><SUB><B>Q</B></SUB></I> ';
althtmldef "P." as '<I><B>P</B></I>';
althtmldef "1P" as '1<I><SUB><B>P</B></SUB></I>';
althtmldef "+P." as ' +<I><SUB><B>P</B></SUB></I> ';
althtmldef ".P." as ' &middot;<I><SUB><B>P</B></SUB></I> ';
althtmldef "<P" as '&lt;<I><SUB><B>P</B></SUB></I> ';
althtmldef "+pR" as ' +<I><SUB>p<B>R</B></SUB></I> ';
althtmldef ".pR" as ' &middot;<I><SUB>p<B>R</B></SUB></I> ';
althtmldef "~R" as ' ~<I><SUB><B>R</B></SUB></I> ';
althtmldef "R." as '<I><B>R</B></I>';
althtmldef "0R" as '0<I><SUB><B>R</B></SUB></I>';
althtmldef "1R" as '1<I><SUB><B>R</B></SUB></I>';
althtmldef "-1R" as '-1<I><SUB><B>R</B></SUB></I>';
althtmldef "+R" as ' +<I><SUB><B>R</B></SUB></I> ';
althtmldef ".R" as ' &middot;<I><SUB><B>R</B></SUB></I> ';
althtmldef "<R" as ' &lt;<I><SUB><B>R</B></SUB></I> ';
althtmldef "<RR" as ' &lt;<SUB>&#8477;</SUB> ';
althtmldef "CC" as '&#8450;';
althtmldef "RR" as '&#8477;';
althtmldef "0" as '0';
althtmldef "1" as '1';
althtmldef "i" as '<I>i</I>';
althtmldef "+" as ' + ';
althtmldef "-" as ' &minus; ';
althtmldef "-u" as '-';
althtmldef "x." as ' &middot; ';  /* what is &#xb7; ? */
althtmldef "+oo" as ' +&infin;';
althtmldef "-oo" as ' -&infin;';
althtmldef "RR*" as '&#8477;<SUP>*</SUP>';
althtmldef "<" as ' &lt; ';
althtmldef "<_" as ' &le; ';
althtmldef "2" as '2';
althtmldef "3" as '3';
althtmldef "4" as '4';
althtmldef "5" as '5';
althtmldef "6" as '6';
althtmldef "7" as '7';
althtmldef "8" as '8';
althtmldef "9" as '9';
althtmldef "10" as '10';
althtmldef "NN" as '&#8469;'; /* &Nopf; */
althtmldef "NN0" as '&#8469;<SUB>0</SUB>';
althtmldef "ZZ" as '&#8484;';
althtmldef "QQ" as '&#8474;';
althtmldef "RR+" as '&#8477;<SUP>+</SUP>';
althtmldef "sqr" as '&radic;';
althtmldef "Re" as '&real;';
althtmldef "Im" as '&image;';
althtmldef "*" as '&lowast;';
althtmldef "abs" as 'abs';
althtmldef "|_" as '&#8970;';
althtmldef "seq1" as 'seq<SUB>1</SUB>';
althtmldef "shift" as 'shift';
althtmldef "(,)" as "(,)";
althtmldef "(,]" as "(,]";
althtmldef "[,)" as "[,)";
althtmldef "[,]" as "[,]";
althtmldef "ZZ>" as "&#8484;<SUB>&ge;</SUB>";
althtmldef "limsup" as 'lim sup';
althtmldef "seq" as 'seq';
althtmldef "seq0" as 'seq<SUB>0</SUB>';
althtmldef "^" as '&uarr;';
althtmldef "!" as '!';
althtmldef "C." as 'C';
althtmldef "~~>" as ' &#8669; ';
althtmldef "..." as "...";
althtmldef "sum_" as "&Sigma;";
althtmldef "exp" as "exp";
althtmldef "e" as "<I>e</I>";
althtmldef "sin" as "sin";
althtmldef "pi" as "<I>&pi;</I>";
althtmldef "cos" as "cos";
althtmldef "log" as "log";
althtmldef "-cn->" as '&ndash;<FONT SIZE=-1 FACE=sans-serif>cn</FONT>&rarr;';
althtmldef "Top" as "Top";
althtmldef "TopSp" as "TopSp";
althtmldef "Bases" as "Bases";
althtmldef "topGen" as "topGen";
althtmldef "int" as "int";
althtmldef "cls" as "cls";
althtmldef "Clsd" as "Clsd";
althtmldef "nei" as "nei";
althtmldef "limPt" as "limPt";
althtmldef "Cn" as " Cn ";
althtmldef "CnP" as " CnP ";
althtmldef "Haus" as "Haus";
althtmldef "Met" as "Met";
althtmldef "MetSp" as "MetSp";
althtmldef "ball" as " ball ";
althtmldef "Open" as "Open";
althtmldef "~~>m" as '&#8669;<SUB>m</SUB>';
althtmldef "Cau" as "Cau";
althtmldef "CMet" as "CMet";
althtmldef "Grp" as "Grp";
althtmldef "Id" as "Id";
althtmldef "inv" as "inv";
althtmldef "/g" as " /<SUB><I>g</I></SUB> ";
althtmldef "SubGrp" as "SubGrp";
althtmldef "SymGrp" as "SymGrp";
althtmldef "GrpHom" as " GrpHom ";
althtmldef "GrpIso" as " GrpIso ";
althtmldef "Abel" as "Abel";
althtmldef "Ring" as "Ring";
althtmldef "CVec" as "CVec";
althtmldef "NrmCVec" as "NrmCVec";
althtmldef "Base" as "Base";
althtmldef "IndMet" as "IndMet";
althtmldef "SubSp" as "SubSp";
althtmldef "normOp" as " normOp ";
althtmldef "LnOp" as " LnOp ";
althtmldef "BLnOp" as " BLnOp ";
althtmldef "0op" as " 0<SUB>op</SUB> ";
althtmldef "adj" as "adj";
althtmldef "HmOp" as "HmOp";
althtmldef "CPreHil" as "CPreHil";
althtmldef "CBan" as "CBan";
althtmldef "CHil" as "CHil";
althtmldef "Poset" as "Poset";
althtmldef "supw" as " sup<SUB>w</SUB> ";
althtmldef "infw" as " inf<SUB>w</SUB> ";
althtmldef "join" as " join ";
althtmldef "meet" as " meet ";
althtmldef "Lat" as "Lat";

althtmldef "+v" as ' +<SUB><I>v</I></SUB> ';
althtmldef ".s" as ' <B>&middot;</B><SUB><I>s</I></SUB> ';
althtmldef "0v" as '0<SUB><I>v</I></SUB>';
althtmldef "-v" as ' &minus;<SUB><I>v</I></SUB> ';
althtmldef ".i" as ' <B>&middot;</B><SUB><I>i</I></SUB> ';
althtmldef "norm" as 'norm';


/* Sandboxes */
/* Jeff Hoffman's sandbox */
althtmldef "gcd" as "gcd";
/* FL's sandbox */
althtmldef "l" as '<I><FONT COLOR="#FF0000">l</FONT></I>';
althtmldef "fi" as "fi";
althtmldef "EucTop" as "EucTop";
althtmldef "Homeo" as " Homeo ";
althtmldef "~=" as " ~= ";
althtmldef "subSp" as "subSp";
althtmldef "Fil" as "Fil";
althtmldef "fLim1" as "fLim1";
althtmldef "fLim2" as "fLim2";
althtmldef "T0" as "T0";
althtmldef "T1" as "T1";
althtmldef "Con" as "Con";
/*althtmldef "Gra" as "Gra";*/
althtmldef "Alg" as "Alg";
althtmldef "Cat" as "Cat";
althtmldef "dom_" as "<U>dom</U>";
althtmldef "cod_" as "<U>cod</U>";
althtmldef "id_" as "<U>id</U>";
althtmldef "o_" as "<U>o</U>";
althtmldef "Epi" as "Epi";
althtmldef "Monic" as "Monic";
althtmldef "Iso" as "Iso";
althtmldef "Ded" as "Ded";
althtmldef "hom" as "hom";
althtmldef "Dgra" as "Dgra";
althtmldef "Func" as "Func";
althtmldef "Subcl" as "Subcl";
althtmldef "O1" as '<I><FONT COLOR="#CC33CC">O<SUB>1</SUB></FONT></I>';
althtmldef "M1" as '<I><FONT COLOR="#CC33CC">M<SUB>1</SUB></FONT></I>';
althtmldef "O2" as '<I><FONT COLOR="#CC33CC">O<SUB>2</SUB></FONT></I>';
althtmldef "M2" as '<I><FONT COLOR="#CC33CC">M<SUB>2</SUB></FONT></I>';
althtmldef "I1" as '<I><FONT COLOR="#CC33CC">I<SUB>1</SUB></FONT></I>';
althtmldef "D1" as '<I><FONT COLOR="#CC33CC">D<SUB>1</SUB></FONT></I>';
althtmldef "C1" as '<I><FONT COLOR="#CC33CC">C<SUB>1</SUB></FONT></I>';
althtmldef "Ro1" as '<I><FONT COLOR="#CC33CC">Ro<SUB>1</SUB></FONT></I>';
althtmldef "I2" as '<I><FONT COLOR="#CC33CC">I<SUB>2</SUB></FONT></I>';
althtmldef "D2" as '<I><FONT COLOR="#CC33CC">D<SUB>2</SUB></FONT></I>';
althtmldef "C2" as '<I><FONT COLOR="#CC33CC">C<SUB>2</SUB></FONT></I>';
althtmldef "Ro2" as '<I><FONT COLOR="#CC33CC">Ro<SUB>2</SUB></FONT></I>';
althtmldef "Tarski" as "Tarski";

/* Steve Rodriguez' sandbox */
althtmldef "HypGrph" as "HypGrph";
althtmldef "PsGrph" as "PsGrph";
althtmldef "SmpGrph" as "SmpGrph";


/* Hilbert space */
/* 8459 is script H; 8460 is fraktur H */
althtmldef "H~" as ' &#8459; ';

althtmldef "+h" as ' +<SUB><I>h</I></SUB> ';
althtmldef ".h" as ' <B>&middot;</B><SUB><I>h</I></SUB> ';
althtmldef "0h" as '0<SUB><I>h</I></SUB>';
althtmldef "-h" as ' &minus;<SUB><I>h</I></SUB> ';
althtmldef ".ih" as ' <B>&middot;</B><SUB><I>ih</I></SUB> ';
althtmldef "normh" as 'norm<SUB><I>h</I></SUB>';

althtmldef "Cauchy" as 'Cauchy';
althtmldef "~~>v" as ' &#8669;<SUB><I>v</I></SUB> ';
althtmldef "SH" as ' <I>S</I><SUB>&#8459;</SUB> ';
althtmldef "CH" as ' <I>C</I><SUB>&#8459;</SUB> ';
althtmldef "_|_" as '&#8869;'; /* &bottom; */
/*althtmldef "-H" as '&minus;<SUB>&#8459;</SUB>';*/
althtmldef "+H" as ' +<SUB>&#8459;</SUB> ';
althtmldef "span" as 'span';
althtmldef "vH" as ' &or;<SUB>&#8459;</SUB> ';
althtmldef "\/H" as ' <FONT SIZE="+1">&or;</FONT><SUB>&#8459;</SUB> ';
althtmldef "0H" as '0<SUB>&#8459;</SUB>';
althtmldef "C_H" as ' <I>C</I><SUB>&#8459;</SUB> ';
althtmldef "proj" as 'proj';
althtmldef "+op" as ' +<SUB>op</SUB> ';
althtmldef ".op" as ' <B>&middot;</B><SUB>op</SUB> ';
althtmldef "-op" as ' &minus;<SUB>op</SUB> ';
althtmldef "+fn" as ' +<SUB>fn</SUB> ';
althtmldef ".fn" as ' <B>&middot;</B><SUB>fn</SUB> ';
althtmldef "0hop" as ' 0<SUB>hop</SUB> ';
althtmldef "Iop" as ' I<SUB>op</SUB> ';
althtmldef "normop" as 'norm<SUB>op</SUB>';
althtmldef "ConOp" as 'ConOp';
althtmldef "LinOp" as 'LinOp';
althtmldef "BndLinOp" as 'BndLinOp';
althtmldef "UniOp" as 'UniOp';
althtmldef "HrmOp" as 'HrmOp';
althtmldef "normfn" as 'norm<SUB>fn</SUB>';
althtmldef "null" as 'null';
althtmldef "ConFn" as 'ConFn';
althtmldef "LinFn" as 'LinFn';
althtmldef "adjh" as 'adj<SUB>h</SUB>';
althtmldef "bra" as 'bra';
althtmldef "ketbra" as ' ketbra ';
althtmldef "<_op" as " &le;<SUB>op</SUB> ";
althtmldef "eigvec" as 'eigvec';
althtmldef "eigval" as 'eigval';
althtmldef "Lambda" as 'Lambda';
althtmldef "States" as 'States';
althtmldef "CHStates" as 'CHStates';
althtmldef "Atoms" as 'Atoms';
althtmldef "<o" as ' &#8918; ';
althtmldef "MH" as ' <I>M</I><SUB>&#8459;</SUB> ';
althtmldef "MH*" as ' <I>M</I><SUB>&#8459;</SUB><SUP>*</SUP> ';
/* End of Unicode version definitions */

/* End of typesetting definition section */
$)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                   Hilbert Space Explorer
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $( Include set.mm as the starting point (commented out since it's above) $)
  $( $[ set.mm $] $)

  $( Axioms for a Hilbert space $)
  $( We assume we've constructed a fixed constant class ` H~ ` and
     associated operations, and we postulate their properties. $)

  $c H~ $.
  $c +h $.
  $c .h $.
  $c 0h $.
  $c -h $.
  $c .ih $.
  $c normh $.

  $c Cauchy $.
  $c ~~>v $.
  $c SH $.
  $c CH $.
  $c _|_ $.
  $c +H $.
  $c span $.
  $c vH $.
  $c \/H $.
  $c 0H $.
  $c C_H $.
  $c proj $.
  $c 0hop $.
  $c Iop $.
  $c +op $.
  $c .op $.
  $c -op $.
  $c +fn $.
  $c .fn $.
  $c normop $.
  $c ConOp $.
  $c LinOp $.
  $c BndLinOp $.
  $c UniOp $.
  $c HrmOp $.
  $c normfn $.
  $c null $.
  $c ConFn $.
  $c LinFn $.
  $c adjh $.
  $c bra $.
  $c ketbra $.
  $c <_op $.
  $c eigvec $.
  $c eigval $.
  $c Lambda $.
  $c States $.
  $c CHStates $.
  $c Atoms $.
  $c <o $.
  $c MH $.
  $c MH* $.

  $( Extend class notation with Hilbert vector space. $)
  chil $a class H~ $.
  $( Extend class notation with vector addition in Hilbert space.  In
     the literature, the subscript "v" is omitted, but we need it to
     avoid ambiguity with complex number addition ` + ` ~ caddc . $)
  cva $a class +h $.
  $( Extend class notation with scalar multiplication in Hilbert space.
     In the literature scalar multiplication is usually indicated by
     juxtaposition, but we need an explicit symbol to prevent ambiguity. $)
  csm $a class .h $.
  $( Extend class notation with zero vector in Hilbert space. $)
  c0v $a class 0h $.
  $( Extend class notation with vector subtraction in Hilbert space. $)
  cmv $a class -h $.
  $( Extend class notation with inner (scalar) product in Hilbert space.
     In the literature, the inner product of ` A ` and ` B ` is usually
     written ` <. A , B >. ` but our operation notation allows us to use
     existing theorems about operations and also eliminates ambiguity with
     the definition of an ordered pair ~ df-op . $)
  csp $a class .ih $.
  $( Extend class notation with the norm function in Hilbert space.
     In the literature, the norm of ` A ` is usually  written "|| ` A ` ||",
     but we use function notation to take advantage of our existing theorems
     about functions. $)
  cno $a class normh $.
  $( Extend class notation with set of Cauchy sequences in Hilbert space. $)
  ccau $a class Cauchy $.
  $( Extend class notation with convergence relation in Hilbert space. $)
  chli $a class ~~>v $.
  $( Extend class notation with set of subspaces of a Hilbert space. $)
  csh $a class SH $.
  $( Extend class notation with set of closed subspaces of a Hilbert space. $)
  cch $a class CH $.
  $( Extend class notation with orthogonal complement in ` CH ` . $)
  cort $a class _|_ $.
  $( Extend class notation with subspace sum in ` CH ` . $)
  cph $a class +H $.
  $( Extend class notation with subspace span in ` CH ` . $)
  cspn $a class span $.
  $( Extend class notation with join in ` CH ` . $)
  chj $a class vH $.
  $( Extend class notation with supremum of a collection in ` CH ` . $)
  chsup $a class \/H $.
  $( Extend class notation with zero of ` CH ` . $)
  c0h $a class 0H $.
  $( Extend class notation with the commutes relation on a Hilbert lattice. $)
  ccm $a class C_H $.
  $( Extend class notation with set of projections on a Hilbert space. $)
  cpj $a class proj $.
  $( Extend class notation with sum of Hilbert space operators. $)
  chos $a class +op $.
  $( Extend class notation with scalar product of a Hilbert space operator. $)
  chot $a class .op $.
  $( Extend class notation with difference of Hilbert space operators. $)
  chod $a class -op $.
  $( Extend class notation with sum of Hilbert space functionals. $)
  chfs $a class +fn $.
  $( Extend class notation with scalar product of Hilbert space functional. $)
  chft $a class .fn $.
  $( Extend class notation with the Hilbert space zero operator. $)
  ch0o $a class 0hop $.
  $( Extend class notation with Hilbert space identity operator. $)
  chio $a class Iop $.
  $( Extend class notation with the operator norm function. $)
  cnop $a class normop $.
  $( Extend class notation with set of continuous Hilbert space operators. $)
  cco $a class ConOp $.
  $( Extend class notation with set of linear Hilbert space operators. $)
  clo $a class LinOp $.
  $( Extend class notation with set of bounded linear operators. $)
  cbo $a class BndLinOp $.
  $( Extend class notation with set of unitary Hilbert space operators. $)
  cuo $a class UniOp $.
  $( Extend class notation with set of Hermitian Hilbert space operators. $)
  cho $a class HrmOp $.
  $( Extend class notation with the functional norm function. $)
  cnmf $a class normfn $.
  $( Extend class notation with the functional nullspace function. $)
  cnl $a class null $.
  $( Extend class notation with set of continuous Hilbert space functionals. $)
  ccnf $a class ConFn $.
  $( Extend class notation with set of linear Hilbert space functionals. $)
  clf $a class LinFn $.
  $( Extend class notation with Hilbert space adjoint function. $)
  cado $a class adjh $.
  $( Extend class notation with the bra of a vector in Dirac bra-ket
     notation. $)
  cbr $a class bra $.
  $( Extend class notation with the outer product of two vectors in Dirac
     bra-ket notation. $)
  ck $a class ketbra $.
  $( Extend class notation with positive operator ordering. $)
  cleo $a class <_op $.
  $( Extend class notation with Hilbert space eigenvector function. $)
  cei $a class eigvec $.
  $( Extend class notation with Hilbert space eigenvalue function. $)
  cel $a class eigval $.
  $( Extend class notation with the spectrum of an operator. $)
  cspc $a class Lambda $.
  $( Extend class notation with set of states on a Hilbert lattice. $)
  cst $a class States $.
  $( Extend class notation with set of Hilbert-space-valued states on a
     Hilbert lattice. $)
  chst $a class CHStates $.
  $( Extend class notation with set of atoms on a Hilbert lattice. $)
  cat $a class Atoms $.
  $( Extend class notation with the covers relation on a Hilbert lattice. $)
  ccv $a class <o $.
  $( Extend class notation with the modular pair relation on a Hilbert
     lattice. $)
  cmd $a class MH $.
  $( Extend class notation with the dual modular pair relation on a Hilbert
     lattice. $)
  cdmd $a class MH* $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                  Preliminary ZFC lemmas
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( To convert to pure ZFC, put the definitions of ` +h ` , ` .h ` ,
     and ` .ih ` here. $)

  ${
    $d x y $.
    $( Define the function for the norm of a vector of Hilbert space.  See
       ~ normvalt for its value and ~ normclt for its closure.  Theorems
       ~ norm-i , ~ norm-ii , and ~ norm-iii show it has the expected
       properties of a norm.  In the literature, the norm of ` A ` is usually
       written "|| ` A ` ||", but we use function notation to take advantage
       of our existing theorems about functions.  Definition of norm
       in [Beran] p. 96. $)
    df-hnorm $a |- normh =
         { <. x , y >. | ( x e. dom dom .ih /\ y = ( sqr ` ( x .ih x ) ) ) } $.
  $}

  $( Define base set of Hilbert space.  Note that ` H~ ` is considered
     a primitive in the Hilbert space axioms below, and we don't use this
     definition outside of this section.  It is proved from the axioms as
     theorem ~ hhba . $)
  df-hba $a |- H~ = ( Base ` <. <. +h , .h >. , normh >. ) $.

  $( Define the zero vector of Hilbert space.  Note that ` 0v ` is considered
     a primitive in the Hilbert space axioms below, and we don't use this
     definition outside of this section.  It is proved from the axioms as
     theorem ~ hh0v . $)
  df-h0v $a |- 0h = ( 0v ` <. <. +h , .h >. , normh >. ) $.

  ${
    $d x y z $.
    $( Define vector subtraction.  See ~ hvsubval for its value and
       ~ hvsubcl for its closure. $)
    df-hvsub $a |- -h = { <. <. x , y >. , z >. | ( ( x e. H~ /\ y e. H~ )
                   /\ z = ( x +h ( -u 1 .h y ) ) ) } $.
  $}

  ${
    $d x y z f w $.
    $( Define the limit relation for Hilbert space.   See ~ hlim
       for its relational expression.  Note that ` f : NN --> H~ ` is an
       infinite sequence of vectors, i.e. a mapping from integers to
       vectors.  Definition of converge in [Beran] p. 96. $)
    df-hlim $a |- ~~>v = { <. f , w >. | ( ( f : NN --> H~ /\ w e. H~ ) /\
          A. x e. RR ( 0 < x ->
             E. y e. NN A. z e. NN ( y <_ z ->
                ( normh ` ( ( f ` z ) -h w ) ) < x ) ) ) } $.
  $}

  ${
    $d x y z w f $.
    $( Define the set of Cauchy sequences on a Hilbert space.  See ~ hcau
       for its membership relation.  Note that ` f : NN --> H~ ` is an
       infinite sequence of vectors, i.e. a mapping from integers to
       vectors.  Definition of Cauchy sequence in [Beran] p. 96. $)
    df-hcau $a |- Cauchy = { f | ( f : NN --> H~ /\
          A. x e. RR ( 0 < x ->
          E. y e. NN A. z e. NN A. w e. NN ( ( y <_ z /\ y <_ w ) ->
             ( normh ` ( ( f ` z ) -h ( f ` w ) ) ) < x ) ) ) } $.
  $}

  ${
    $d x y z U $.
    h2h.1 $e |- U = <. <. +h , .h >. , normh >. $.
    h2h.2 $e |- U e. NrmCVec $.
    $( The group (addition) operation of Hilbert space. $)
    h2hva $p |- +h = ( +v ` U ) $=
      ( cva csm cop cno cpv cfv c1st eqid vafval opex op1st fveq2i cvv wcel
      cnv w3a eqeltrr nvex ax-mp 3simp1i 3eqtrr eqtr4 ) DDEFZGFZHIZAHIUHUGJIZJI
      UFJIDUGUHUHKLUIUFJUFGDEMNODEDPQZEPQZGPQZUGRQUJUKULSAUGRBCTEDGUAUBUCNUDAUG
      HBOUE $.
      $( [11-Jun-2008] $) $( [31-May-2008] $)

    $( The scalar product operation of Hilbert space. $)
    h2hsm $p |- .h = ( .s ` U ) $=
      ( csm cva cop cno cns cfv c1st c2nd eqid smfval opex op1st fveq2i cvv
      wcel cvc wa cnv eqeltrr nvvcop ax-mp vcex pm3.26i pm3.27i op2nd 3eqtrr
      eqtr4 ) DEDFZGFZHIZAHIUMULJIZKIUKKIDUMULUMLMUNUKKUKGEDNOPEDEQRZDQRZUKSRZU
      OUPTULUARUQAULUABCUBDEGUCUDDEUEUDZUFUOUPURUGUHUIAULHBPUJ $.
      $( [11-Jun-2008] $) $( [31-May-2008] $)

    $( The norm function of Hilbert space. $)
    h2hnm $p |- normh = ( norm ` U ) $=
      ( cnm cfv cva csm cop cno c2nd fveq2i eqid nmfval opex cvv wcel cnv w3a
      eqeltrr nvex ax-mp 3simp3i op2nd 3eqtrr ) ADEFGHZIHZDEZUFJEIAUFDBKUFUGUGL
      MUEIFGNFOPZGOPZIOPZUFQPUHUIUJRAUFQBCSGFITUAUBUCUD $.
      $( [11-Jun-2008] $) $( [5-Jun-2008] $)

    ${
      h2h.4 $e |- H~ = ( Base ` U ) $.
      $( The vector subtraction operation of Hilbert space. $)
      h2hvs $p |- -h = ( -v ` U ) $=
        ( vx vy vz cmv cv chil wcel wa c1 cneg csm co cva wceq copab2 cnsb cfv
        df-hvsub cnv h2hva h2hsm eqid nvmfval ax-mp eqtr4 ) HEIZJKFIZJKLGIUJMNU
        KOPQPRLEFGSZATUAZEFGUBAUCKUMULRCEFGOAQUMJDABCUDABCUEUMUFUGUHUI $.
        $( [11-Jun-2008] $) $( [6-Jun-2008] $)
    $}

    ${
      h2hm.4 $e |- H~ = ( Base ` U ) $.
      h2hm.5 $e |- D = ( IndMet ` U ) $.
      $( The base set for the metric for Hilbert space. $)
      h2hmetba $p |- H~ = dom dom D $=
        ( chil imsbai ) ABGEFDH $.
        $( [11-Jun-2008] $) $( [6-Jun-2008] $)

      $( Value of the distance function of the metric space of Hilbert
         space. $)
      h2hmetdval $p |- ( ( A e. H~ /\ B e. H~ )
                  -> ( A D B ) = ( normh ` ( A -h B ) ) ) $=
        ( cnv wcel chil co cmv cno cfv wceq h2hvs h2hnm imsdval mp3an1 ) DIJAKJ
        BKJABCLABMLNOPFABCDMNKGDEFGQDEFRHST $.
        $( [11-Jun-2008] $) $( [6-Jun-2008] $)
     $}
  $}

  ${
    $d x y z U $. $d f w x y z D $.
    h2hc.1 $e |- U = <. <. +h , .h >. , normh >. $.
    h2hc.2 $e |- U e. NrmCVec $.
    h2hc.4 $e |- H~ = ( Base ` U ) $.
    h2hc.3 $e |- D = ( IndMet ` U ) $.
    $( The Cauchy sequences of Hilbert space. $)
    h2hcau $p |- Cauchy = ( ( Cau ` D ) i^i ( H~ ^m NN ) ) $=
      ( vf vx vy vz vw cn chil cv wf cc0 clt wbr cle wa cfv cmv co cno wi wral
      wrex cr cab cc cxp wss wcel w3a cz cin ccau cca cm wb h2hmetdval breq1d
      ibar bitr3d df-3an syl6bbr ffvelrn adantr adantlr sylanc imbi2d ralbidva
      rexbidv c1 1z nnuz cau5 syl6rbbr ralbidv fssxp nnsscn ssid ssxp mp2an
      sstr mpan2 syl biantrurd pm5.32i ancom bitr abbii inab eqtr4 df-hcau cme
      wceq cnv imsmet ax-mp imsbai caufval hlex nnex mapval ineq12i 3eqtr4 ) LM
      GNZOZPHNZQRZINZJNZSRXLKNZSRTZXMXHUAZXNXHUAZUBUCUDUAZXJQRZUEZKLUFZJLUFZILU
      GZUEZHUHUFZTZGUIZXHUJMUKZULZXKXOXPMUMZXQMUMZXPXQAUCZXJQRZUNZUEZKUOUFJUOUF
      IUOUGZUEZHUHUFZTZGUIZXIGUIZUPZUQAURUAZMLUSUCZUPYGYSXITZGUIUUBYFUUEGYFXIYS
      TUUEXIYEYSXIYRYEYSXIYQYDHUHXIYPYCXKXIYCYOKLUFZJLUFZILUGYPXIYBUUGILXIYAUUF
      JLXIXMLUMZTZXTYOKLUUIXNLUMZTZXSYNXOYJYKXSYNUTUUKYJYKTZXSUULYMTZYNUULYMXSU
      UMUULYLXRXJQXPXQABCDEFVAVBUULYMVCVDYJYKYMVEVFUUIYJUUJLMXMXHVGVHXIUUJYKUUH
      LMXNXHVGVIVJVKVLVLVMYNJKIVNLVOVPVQVRVKVSXIYIYRXIXHLMUKZULZYILMXHVTUUOUUNY
      HULZYILUJULMMULUUPWAMWBLUJMMWCWDXHUUNYHWEWFWGWHVDWIXIYSWJWKWLYSXIGWMWNHIJ
      KGWOUUCYTUUDUUAAWPUMZUUCYTWQBWRUMUUQDABFWSWTHAGIJKMABMEFDXAXBWTMLGBMEXCXD
      XEXFXG $.
      $( [12-Jun-2008] $) $( [6-Jun-2008] $)

  $}

  ${
    $d x y z U $. $d f w x y z D $.
    h2hl.1 $e |- U = <. <. +h , .h >. , normh >. $.
    h2hl.2 $e |- U e. NrmCVec $.
    h2hl.4 $e |- H~ = ( Base ` U ) $.
    h2hl.3 $e |- D = ( IndMet ` U ) $.
    $( The limit sequences of Hilbert space. $)
    h2hlm $p |- ~~>v = ( ( ~~>m ` D ) |` ( H~ ^m NN ) ) $=
      ( vf vw vx vy vz cn chil cv wf wcel wa cc0 clt wbr cle cfv cmv co cno wi
      wral wrex cr copab cc cxp wss cz w3a cm cres chli clm wb h2hmetdval
      breq1d ibar adantr bitr3d ffvelrn sylan an1rs imbi2d ralbidva rexbidv c1
      1z cuz nnuz eqimss2i nnssz cvg3 syl6bbr ralbidv pm5.32da fssxp nnsscn
      ssid ssxp mp2an sstr mpan2 syl biantrurd bitrd 3anass pm5.32i anass hlex
      nnex elmap anbi1i 3bitr4 opabbii resopab eqtr4 df-hlim wceq cme cnv
      imsmet ax-mp imsbai lmfval reseq1 3eqtr4 ) LMGNZOZHNZMPZQZRINZSTZJNKNZUAT
      ZXTXMUBZXOUCUDUEUBZXRSTZUFZKLUGZJLUHZUFZIUIUGZQZGHUJZXMUKMULZUMZXPXSYAYBM
      PZYBXOAUDZXRSTZQZUFZKUNUGJUNUHZUFZIUIUGZUOZGHUJZMLUPUDZUQZURAUSUBZUUDUQZY
      KXMUUDPZUUBQZGHUJUUEYJUUIGHXNXPYIQZQXNUUBQYJUUIXNUUJUUBXNUUJYMXPUUAQZQZUU
      BXNUUJUUKUULXNXPYIUUAXQYHYTIUIXQYGYSXSXQYGYRKLUGZJLUHYSXQYFUUMJLXQYEYRKLX
      QXTLPZQYDYQYAXNUUNXPYDYQUTZYNXPUUOXNUUNQYNXPQZYPYDYQUUPYOYCXRSYBXOABCDEFV
      AVBYNYPYQUTXPYNYPVCVDVELMXTXMVFVGVHVIVJVKYQJKVLVLLLVMLVLVNUBVOVPZVQVMUUQV
      QVRVSVIVTWAXNYMUUKXNXMLMULZUMZYMLMXMWBUUSUURYLUMZYMLUKUMMMUMUUTWCMWDLUKMM
      WEWFXMUURYLWGWHWIWJWKYMXPUUAWLVSWMXNXPYIWNUUHXNUUBMLXMBMEWOWPWQWRWSWTUUBG
      HUUDXAXBIJKHGXCUUFUUCXDZUUGUUEXDAXEPZUVABXFPUVBDABFXGXHIHAGJKMABMEFDXIXJX
      HUUFUUCUUDXKXHXL $.
      $( [12-Jun-2008] $) $( [6-Jun-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
               Derive the Hilbert space axioms from ZFC set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y F $.  $d y U $.
    axhil.1 $e |- U = <. <. +h , .h >. , normh >. $.
    axhil.2 $e |- U e. CHil $.
    $( Derive axiom ~ ax-hilex from Hilbert space under ZF set theory.

       Before introducing the 18 axioms for Hilbert space, we first prove them
       as the conclusions of theorems ~ axhilex through ~ axhcompl , using ZFC
       set theory only.  These show that if we are given a known, fixed Hilbert
       space ` U = <. <. +h , .h >. , normh >. ` that satisfies their
       hypotheses, then we can derive the Hilbert space axioms as theorems of
       ZFC set theory.  In practice, in order to use these theorems to convert
       the Hilbert Space explorer to a ZFC-only subtheory, we would also
       have to provide definitions for the 3 (otherwise primitive) class
       constants ` +h ` , ` .h ` , and ` .ih ` before ~ df-hnorm above.  See
       also the comment in ~ ax-hilex . $)
    axhilex $p |- H~ e. V $=
      ( cva csm cop cno chil df-hba hlex ) DEFGFHIJ $.
      $( [23-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hfvadd from Hilbert space under ZF set theory. $)
    axhfvadd $p |- +h : ( H~ X. H~ ) --> H~ $=
      ( chl wcel chil cxp cva wf csm cop cno cba cfv df-hba fveq2i eqtr4 hlnvi
      h2hva hladdf ax-mp ) ADEFFGFHICAHFFHJKLKZMNAMNOAUBMBPQABACRSTUA $.
      $( [14-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hvcom from Hilbert space under ZF set theory. $)
    axhvcom $p |- ( ( A e. H~ /\ B e. H~ ) -> ( A +h B ) = ( B +h A ) ) $=
      ( chl wcel chil cva co wceq csm cop cno cba cfv df-hba fveq2i eqtr4
      hlnvi h2hva hlcom mp3an1 ) CFGAHGBHGABIJBAIJKEABCIHHILMNMZOPCOPQCUDODRSCD
      CETUAUBUC $.
      $( [14-Jun-2008] $) $( [27-May-2008] $)

    $( Derive axiom  ~ ax-hvass from Hilbert space under ZF set theory. $)
    axhvass $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) -> ( ( A +h B ) +h C )
      = ( A +h ( B +h C ) ) ) $=
      ( chl wcel chil w3a cva co wceq csm cop cno cba cfv df-hba fveq2i eqtr4
      hlnvi h2hva hlass mpan ) DGHAIHBIHCIHJABKLCKLABCKLKLMFABCDKIIKNOPOZQRDQRS
      DUFQETUADEDFUBUCUDUE $.
      $( [14-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hv0cl from Hilbert space under ZF set theory. $)
    axhv0cl $p |- 0h e. H~ $=
      ( chl wcel c0v chil cva csm cop cno cba cfv df-hba fveq2i eqtr4 cn0v
      df-h0v hl0cl ax-mp ) ADEFGECAGFGHIJKJZLMALMNAUALBOPFUAQMAQMRAUAQBOPST $.
      $( [14-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hvaddid from Hilbert space under ZF set theory. $)
    axhvaddid $p |- ( A e. H~ -> ( A +h 0h ) = A ) $=
      ( chl wcel chil c0v cva co wceq csm cop cno cba cfv df-hba fveq2i eqtr4
      hlnvi h2hva cn0v df-h0v hladdid mpan ) BEFAGFAHIJAKDABIGHGILMNMZOPBOPQBUF
      OCRSBCBDTUAHUFUBPBUBPUCBUFUBCRSUDUE $.
      $( [14-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hfvmul from Hilbert space under ZF set theory. $)
    axhfvmul $p |- .h : ( CC X. H~ ) --> H~ $=
      ( chl wcel cc chil cxp csm wf cva cop cno cba cfv df-hba fveq2i eqtr4
      hlnvi h2hsm hlmulf ax-mp ) ADEFGHGIJCIAGGKILMLZNOANOPAUCNBQRABACSTUAUB $.
      $( [14-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hvmulid from Hilbert space under ZF set theory. $)
    axhvmulid $p |- ( A e. H~ -> ( 1 .h A ) = A ) $=
      ( chl wcel chil c1 csm co wceq cva cop cno cba cfv df-hba fveq2i eqtr4
      hlnvi h2hsm hlmulid mpan ) BEFAGFHAIJAKDAIBGGLIMNMZOPBOPQBUDOCRSBCBDTUAUB
      UC $.
      $( [14-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hvmulass from Hilbert space under ZF set theory. $)
    axhvmulass $p |- ( ( A e. CC /\ B e. CC /\ C e. H~ )
      -> ( ( A x. B ) .h C ) = ( A .h ( B .h C ) ) ) $=
      ( chl wcel cc chil w3a cmul co csm wceq cva cop cno cba cfv df-hba
      fveq2i eqtr4 hlnvi h2hsm hlmulass mpan ) DGHAIHBIHCJHKABLMCNMABCNMNMOFABC
      NDJJPNQRQZSTDSTUADUHSEUBUCDEDFUDUEUFUG $.
      $( [14-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hvdistr1 from Hilbert space under ZF set theory. $)
    axhvdistr1 $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ )
      -> ( A .h ( B +h C ) ) = ( ( A .h B ) +h ( A .h C ) ) ) $=
      ( chl wcel cc chil w3a cva co csm wceq cop cno cba cfv df-hba fveq2i
      eqtr4 hlnvi h2hva h2hsm hldi mpan ) DGHAIHBJHCJHKABCLMNMABNMACNMLMOFABCND
      LJJLNPQPZRSDRSTDUHREUAUBDEDFUCZUDDEUIUEUFUG $.
      $( [17-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hvdistr2 from Hilbert space under ZF set theory. $)
    axhvdistr2 $p |- ( ( A e. CC /\ B e. CC /\ C e. H~ )
      -> ( ( A + B ) .h C ) = ( ( A .h C ) +h ( B .h C ) ) ) $=
      ( chl wcel cc chil w3a caddc co csm cva wceq cop cno cba cfv df-hba
      fveq2i eqtr4 hlnvi h2hva h2hsm hldir mpan ) DGHAIHBIHCJHKABLMCNMACNMBCNMO
      MPFABCNDOJJONQRQZSTDSTUADUISEUBUCDEDFUDZUEDEUJUFUGUH $.
      $( [19-Jun-2008] $) $( [31-May-2008] $)

    $( Derive axiom  ~ ax-hvmul0 from Hilbert space under ZF set theory. $)
    axhvmul0 $p |- ( A e. H~ -> ( 0 .h A ) = 0h ) $=
      ( chl wcel chil cc0 csm co c0v wceq cva cop cno cba cfv df-hba fveq2i
      eqtr4 hlnvi h2hsm cn0v df-h0v hlmul0 mpan ) BEFAGFHAIJKLDAIBGKGMINONZPQBP
      QRBUGPCSTBCBDUAUBKUGUCQBUCQUDBUGUCCSTUEUF $.
      $( [19-Jun-2008] $) $( [31-May-2008] $)

    ${
      axhfi.1 $e |- .ih = ( .i ` U ) $.
      $( Derive axiom  ~ ax-hfi from Hilbert space under ZF set theory. $)
      axhfi $p |- .ih : ( H~ X. H~ ) --> CC $=
        ( chl wcel chil cxp cc csp wf cva csm cop cno cba cfv df-hba fveq2i
        eqtr4 hlipf ax-mp ) AEFGGHIJKCJAGGLMNONZPQAPQRAUCPBSTDUAUB $.
        $( [21-Jun-2008] $) $( [31-May-2008] $)

      $( Derive axiom  ~ ax-his1 from Hilbert space under ZF set theory. $)
      axhis1 $p |- ( ( A e. H~ /\ B e. H~ )
        -> ( A .ih B ) = ( * ` ( B .ih A ) ) ) $=
        ( chl wcel chil csp co ccj cfv wceq cva csm cop cno cba df-hba fveq2i
        eqtr4 hlipcj mp3an1 ) CGHAIHBIHABJKBAJKLMNEABJCIIOPQRQZSMCSMTCUESDUAUBF
        UCUD $.
        $( [21-Jun-2008] $) $( [31-May-2008] $)

      $( Derive axiom  ~ ax-his2 from Hilbert space under ZF set theory. $)
      axhis2 $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ )
        -> ( ( A +h B ) .ih C ) = ( ( A .ih C ) + ( B .ih C ) ) ) $=
        ( chl wcel chil w3a cva co csp caddc wceq csm cop cno cba cfv df-hba
        fveq2i eqtr4 hlnvi h2hva hlipdir mpan ) DHIAJIBJICJIKABLMCNMACNMBCNMOMP
        FABCNDLJJLQRSRZTUADTUAUBDUITEUCUDDEDFUEUFGUGUH $.
        $( [21-Jun-2008] $) $( [31-May-2008] $)

      $( Derive axiom  ~ ax-his3 from Hilbert space under ZF set theory. $)
      axhis3 $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ )
        -> ( ( A .h B ) .ih C ) = ( A x. ( B .ih C ) ) ) $=
        ( chl wcel cc chil w3a csm co csp cmul wceq cva cop cno cba cfv df-hba
        fveq2i eqtr4 hlnvi h2hsm hlipass mpan ) DHIAJIBKICKILABMNCONABCONPNQFAB
        COMDKKRMSTSZUAUBDUAUBUCDUJUAEUDUEDEDFUFUGGUHUI $.
        $( [21-Jun-2008] $) $( [31-May-2008] $)

      $( Derive axiom  ~ ax-his4 from Hilbert space under ZF set theory. $)
      axhis4 $p |- ( ( A e. H~ /\ A =/= 0h ) -> 0 < ( A .ih A ) ) $=
        ( chl wcel chil c0v wne cc0 csp co clt wbr cva csm cop cno cba cfv
        df-hba fveq2i eqtr4 cn0v df-h0v hlipgt0 mp3an1 ) BFGAHGAIJKAALMNODALBHI
        HPQRSRZTUABTUAUBBUITCUCUDIUIUEUABUEUAUFBUIUECUCUDEUGUH $.
        $( [22-Jun-2008] $) $( [31-May-2008] $)
    $}

    $( Derive axiom  ~ ax-hcompl from Hilbert space under ZF set theory. $)
    axhcompl $p |- ( F e. Cauchy -> E. x e. H~ F ~~>v x ) $=
      ( vy ccau wcel cv chli wbr chil wrex cims cfv cca cn cm co wa clm chl
      cva csm cop cno cba df-hba fveq2i eqtr4 eqid hlcompl mpan anim1i cin
      hlnvi h2hcau eleq2i elin bitr cres h2hlm breqi visset brres rexbii
      r19.41v 3imtr4 breq2 cbvrexv sylib ) CGHZCFIZJKZFLMZCAIZJKZALMCBNOZPOZHZC
      LQRSZHZTZCVMVRUAOZKZFLMZWBTZVLVOVTWFWBBUBHVTWFEFVRBCLLUCUDUEUFUEZUGOBUGOU
      HBWHUGDUIUJZVRUKZULUMUNVLCVSWAUOZHWCGWKCVRBDBEUPZWIWJUQURCVSWAUSUTVOWEWBT
      ZFLMWGVNWMFLVNCVMWDWAVAZKWMCVMJWNVRBDWLWIWJVBVCCVMWDWAFVDVEUTVFWEWBFLVGUT
      VHVNVQFALVMVPCJVIVJVK $.
      $( [22-Jun-2008] $) $( [6-Jun-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
               Introduce the vector space axioms for a Hilbert space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( This is our first axiom for a complex Hilbert space, which is the
     foundation for quantum mechanics and quantum field theory.  We assume
     that there exists a primitive class, ` H~ ` , which contains objects
     called vectors.

     The 18 axioms for a complex Hilbert space consist of ~ ax-hilex ,
     ~ ax-hfvadd , ~ ax-hvcom , ~ ax-hvass , ~ ax-hv0cl , ~ ax-hvaddid ,
     ~ ax-hfvmul , ~ ax-hvmulid , ~ ax-hvmulass , ~ ax-hvdistr1 ,
     ~ ax-hvdistr2 , ~ ax-hvmul0 , ~ ax-hfi , ~ ax-his1 , ~ ax-his2 ,
     ~ ax-his3 , ~ ax-his4 , and ~ ax-hcompl .

     The axioms specify the properties of 5 primitive symbols, ` H~ ` ,
     ` +h ` , ` .h ` , ` 0h ` , and ` .ih ` .

     If we can prove in ZFC set theory that a class
     ` U = <. <. +h , .h >. , normh >. ` is a complex Hilbert space, i.e.
     that ` U e. CHil ` , then these axioms can be proved as theorems
     ~ axhilex , ~ axhfvadd , ~ axhvcom , ~ axhvass , ~ axhv0cl , ~ axhvaddid
     , ~ axhfvmul , ~ axhvmulid , ~ axhvmulass , ~ axhvdistr1 , ~ axhvdistr2
     , ~ axhvmul0 , ~ axhfi , ~ axhis1 , ~ axhis2 , ~ axhis3 , ~ axhis4 , and
     ~ axhcompl respectively.  In that case, the theorems of the Hilbert
     Space Explorer will become theorems of ZFC set theory.  See also the
     comments in ~ axhilex . $)
  ax-hilex $a |- H~ e. V $.

  $( Vector addition is an operation on ` H~ ` . $)
  ax-hfvadd $a |- +h : ( H~ X. H~ ) --> H~ $.

  $( Vector addition is commutative. $)
  ax-hvcom $a |- ( ( A e. H~ /\ B e. H~ ) -> ( A +h B ) = ( B +h A ) ) $.

  $( Vector addition is associative. $)
  ax-hvass $a |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                 ( ( A +h B ) +h C ) = ( A +h ( B +h C ) ) ) $.

  $( The zero vector is in the vector space. $)
  ax-hv0cl $a |- 0h e. H~ $.

  $( Addition with the zero vector. $)
  ax-hvaddid $a |- ( A e. H~ -> ( A +h 0h ) = A ) $.

  $( Scalar multiplication is an operation on ` CC ` and ` H~ ` . $)
  ax-hfvmul $a |- .h : ( CC X. H~ ) --> H~ $.

  $( Scalar multiplication by one. $)
  ax-hvmulid $a |- ( A e. H~ -> ( 1 .h A ) = A ) $.

  $( Scalar multiplication associative law $)
  ax-hvmulass $a |- ( ( A e. CC /\ B e. CC /\ C e. H~ ) ->
                 ( ( A x. B ) .h C ) = ( A .h ( B .h C ) ) ) $.

  $( Scalar multiplication distributive law $)
  ax-hvdistr1 $a |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
                ( A .h ( B +h C ) ) = ( ( A .h B ) +h ( A .h C ) ) ) $.

  $( Scalar multiplication distributive law $)
  ax-hvdistr2 $a |- ( ( A e. CC /\ B e. CC /\ C e. H~ ) ->
                ( ( A + B ) .h C ) = ( ( A .h C ) +h ( B .h C ) ) ) $.

  $( Scalar multiplication by zero.  We can derive the existence of the
     negative of a vector from this axiom (see ~ hvsubidt and ~ hvsubvalt ). $)
  ax-hvmul0 $a |- ( A e. H~ -> ( 0 .h A ) = 0h ) $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Vector operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The Hilbert space scalar product operation is a set. $)
  hvmulex $p |- .h e. V $=
    ( cc chil cxp csm wf cvv wcel ax-hfvmul axcnex ax-hilex xpex fex mp2an ) AB
    CZBDENFGDFGHABIJKNBFDLM $.
    $( [22-Apr-2007] $) $( [17-Apr-2007] $)

  $( Closure of vector addition. $)
  hvaddclt $p |- ( ( A e. H~ /\ B e. H~ ) -> ( A +h B ) e. H~ ) $=
    ( chil cva ax-hfvadd foprcl ) ABCCCDEF $.
    $( [18-Apr-2007] $) $( [18-Apr-2007] $)

  $( Closure of scalar multiplication. $)
  hvmulclt $p |- ( ( A e. CC /\ B e. H~ ) -> ( A .h B ) e. H~ ) $=
    ( chil cc csm ax-hfvmul foprcl ) ABCDCEFG $.
    $( [19-Apr-2007] $) $( [19-Apr-2007] $)

  ${
    hvmulcl.1 $e |- A e. CC $.
    hvmulcl.2 $e |- B e. H~ $.
    $( Closure inference for scalar multiplication. $)
    hvmulcl $p |- ( A .h B ) e. H~ $=
      ( cc wcel chil csm co hvmulclt mp2an ) AEFBGFABHIGFCDABJK $.
      $( [1-Aug-1999] $)
  $}

  ${
    $d x y z $.
    $( Mapping domain and codomain of vector subtraction. $)
    hvsubopr $p |- -h : ( H~ X. H~ ) --> H~ $=
      ( vx vy vz chil cv c1 cneg csm co cva cmv df-hvsub wcel hvaddclt cc
      ax1cn negcl hvmulclt mpan sylan2 foprab ) ABCDDAEZFGZBEZHIZJIZDKABCLUBDMU
      EDMZUFDMUDDMZUBUENUCOMUHUGFPQUCUDRSTUA $.
      $( [19-Sep-2007] $) $( [6-Sep-2007] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    $( Value of vector subtraction. $)
    hvsubvalt $p |- ( ( A e. H~ /\ B e. H~ ) ->
                    ( A -h B ) = ( A +h ( -u 1 .h B ) ) ) $=
      ( vx vy vz chil cv c1 cneg csm co cva cmv oprex opreq1 wceq opreq2
      opreq2d df-hvsub oprabval2 ) CDEABFFCGZHIZDGZJKZLKAUBBJKZLKMAUDLKAUELNUAA
      UDLOUCBPUDUEALUCBUBJQRCDEST $.
      $( [5-Sep-1999] $)
  $}

  $( Closure of vector subtraction. $)
  hvsubclt $p |- ( ( A e. H~ /\ B e. H~ ) -> ( A -h B ) e. H~ ) $=
    ( chil wcel wa cmv co c1 cneg csm cva hvsubvalt hvaddclt cc ax1cn negcl
    hvmulclt mpan sylan2 eqeltrd ) ACDZBCDZEABFGAHIZBJGZKGZCABLUAUDCDZUECDUBAUD
    MUCNDUBUFHOPUCBQRST $.
    $( [17-Aug-1999] $)

  ${
    hvaddcl.1 $e |- A e. H~ $.
    hvaddcl.2 $e |- B e. H~ $.
    $( Closure of vector addition. $)
    hvaddcl $p |- ( A +h B ) e. H~ $=
      ( chil wcel cva co hvaddclt mp2an ) AEFBEFABGHEFCDABIJ $.
      $( [1-Aug-1999] $)

    $( Commutation of vector addition. $)
    hvcom $p |- ( A +h B ) = ( B +h A ) $=
      ( chil wcel cva co wceq ax-hvcom mp2an ) AEFBEFABGHBAGHICDABJK $.
      $( [3-Sep-1999] $)

    $( Value of vector subtraction definition. $)
    hvsubval $p |- ( A -h B ) = ( A +h ( -u 1 .h B ) ) $=
      ( chil wcel cmv co c1 cneg csm cva wceq hvsubvalt mp2an ) AEFBEFABGHAIJBK
      HLHMCDABNO $.
      $( [3-Sep-1999] $)

    $( Closure of vector subtraction. $)
    hvsubcl $p |- ( A -h B ) e. H~ $=
      ( chil wcel cmv co hvsubclt mp2an ) AEFBEFABGHEFCDABIJ $.
      $( [2-Aug-1999] $)
  $}

  $( Addition with the zero vector. $)
  hvaddid2t $p |- ( A e. H~ -> ( 0h +h A ) = A ) $=
    ( chil wcel c0v cva co wceq ax-hv0cl ax-hvcom mpan2 ax-hvaddid eqtr3d ) ABC
    ZADEFZDAEFZAMDBCNOGHADIJAKL $.
    $( [18-Oct-1999] $)

  $( Scalar multiplication with the zero vector. $)
  hvmul0t $p |- ( A e. CC -> ( A .h 0h ) = 0h ) $=
    ( cc wcel c0v cc0 csm co cmul mul01t opreq1d chil wceq ax-hv0cl ax-hvmul0
    ax-mp syl6eq 0cn ax-hvmulass mp3an23 eqtr3d opreq2i syl6req ) ABCZDAEDFGZFG
    ZADFGUCAEHGZDFGZDUEUCUGUDDUCUFEDFAIJDKCZUDDLMDNOZPUCEBCUHUGUELQMAEDRSTUDDAF
    UIUAUB $.
    $( [30-May-1999] $)

  $( If a scalar product is zero, one of its factors must be zero. $)
  hvmul0ort $p |- ( ( A e. CC /\ B e. H~ ) ->
                  ( ( A .h B ) = 0h <-> ( A = 0 \/ B = 0h ) ) ) $=
    ( cc wcel chil wa csm co c0v wceq cc0 wo wne wn c1 cdiv opreq2 ad2antlr
    cmul recid2t opreq1d adantlr ax-hvmulass recclt simpll simplr syl3anc
    ax-hvmulid 3eqtr3d hvmul0t syl ex df-ne syl5ibr orrd wi opreq1 eqeq1d
    ax-hvmul0 syl5cbir adantl adantr jaod impbid ) ACDZBEDZFZABGHZIJZAKJZBIJZLZ
    VGVIVLVGVIFZVJVKVMAKMZVKVJNVMVNVKVMVNFOAPHZVHGHZVOIGHZBIVIVPVQJVGVNVHIVOGQR
    VGVNVPBJVIVGVNFZVOASHZBGHZOBGHZVPBVEVNVTWAJVFVEVNFZVSOBGATUAUBVOCDZVEVFVTVP
    JVRVOABUCVEVNWCVFAUDZUBVEVFVNUEVEVFVNUFUGVFWABJVEVNBUHRUIUBVGVNVQIJZVIVEVNW
    EVFWBWCWEWDVOUJUKUBUBUIULAKUMUNUOULVGVJVIVKVFVJVIUPVEVJVIKBGHZIJVFVJVHWFIAK
    BGUQURBUSUTVAVEVKVIUPVFVKVIAIGHZIJVEVKVHWGIBIAGQURAUJUTVBVCVD $.
    $( [21-May-2005] $) $( [19-May-2005] $)

  $( Subtraction of a vector from itself. $)
  hvsubidt $p |- ( A e. H~ -> ( A -h A ) = 0h ) $=
    ( chil wcel cmv co cc0 csm c0v c1 cneg caddc cva ax-hvmulid opreq1d cc
    wceq ax1cn negcl ax-hvdistr2 mp3an12 hvsubvalt anidms 3eqtr4rd negid
    opreq1i syl6eq ax-hvmul0 eqtrd ) ABCZAADEZFAGEZHUIUJIIJZKEZAGEZUKUIIAGEZULA
    GEZLEZAUPLEZUNUJUIUOAUPLAMNIOCULOCUIUNUQPQIQRIULASTUIUJURPAAUAUBUCUMFAGIQUD
    UEUFAUGUH $.
    $( [30-May-1999] $)

  $( Addition of negative of a vector to itself. $)
  hvnegidt $p |- ( A e. H~ -> ( A +h ( -u 1 .h A ) ) = 0h ) $=
    ( chil wcel cmv co c1 cneg csm cva c0v wceq hvsubvalt anidms hvsubidt
    eqtr3d ) ABCZAADEZAFGAHEIEZJPQRKAALMANO $.
    $( [3-Jun-2004] $) $( [4-Jun-2004] $)

  $( Two ways to express the negative of a vector. $)
  hv2negt $p |- ( A e. H~ -> ( 0h -h A ) = ( -u 1 .h A ) ) $=
    ( chil wcel c0v cmv co c1 cneg csm cva wceq ax-hv0cl hvsubvalt mpan cc
    ax1cn negcl hvmulclt hvaddid2t syl eqtrd ) ABCZDAEFZDGHZAIFZJFZUEDBCUBUCUFK
    LDAMNUBUEBCZUFUEKUDOCUBUGGPQUDARNUESTUA $.
    $( [24-May-2005] $) $( [23-May-2005] $)

  ${
    hvaddid2.1 $e |- A e. H~ $.
    $( Addition with the zero vector. $)
    hvaddid2 $p |- ( 0h +h A ) = A $=
      ( chil wcel c0v cva co wceq hvaddid2t ax-mp ) ACDEAFGAHBAIJ $.
      $( [18-Aug-1999] $)

    $( Addition of negative of a vector to itself. $)
    hvnegid $p |- ( A +h ( -u 1 .h A ) ) = 0h $=
      ( chil wcel c1 cneg csm co cva c0v wceq hvnegidt ax-mp ) ACDAEFAGHIHJKBAL
      M $.
      $( [18-Aug-1999] $)

    $( Two ways to express the negative of a vector. $)
    hv2neg $p |- ( 0h -h A ) = ( -u 1 .h A ) $=
      ( chil wcel c0v cmv co c1 cneg csm wceq hv2negt ax-mp ) ACDEAFGHIAJGKBALM
      $.
      $( [31-Oct-1999] $)
  $}

  $( Convert minus one times a scalar product to the negative of the scalar. $)
  hvm1negt $p |- ( ( A e. CC /\ B e. H~ ) ->
                 ( -u 1 .h ( A .h B ) ) = ( -u A .h B ) ) $=
    ( cc wcel chil wa c1 cneg cmul co csm wceq ax1cn negcl ax-hvmulass mp3an1
    mulm1t adantr opreq1d eqtr3d ) ACDZBEDZFZGHZAIJZBKJZUDABKJKJZAHZBKJUDCDUAUB
    UFUGLGMNUDABOPUCUEUHBKUAUEUHLUBAQRST $.
    $( [8-Jun-2004] $) $( [4-Jun-2004] $)

  $( Value of vector addition in terms of vector subtraction. $)
  hvaddsubvalt $p |- ( ( A e. H~ /\ B e. H~ ) ->
                  ( A +h B ) = ( A -h ( -u 1 .h B ) ) ) $=
    ( chil wcel wa c1 cneg csm co cmv cva wceq hvsubvalt cc ax1cn negcl
    hvmulclt mpan sylan2 hvm1negt negneg opreq1i syl6eq ax-hvmulid eqtrd
    adantl opreq2d eqtr2d ) ACDZBCDZEZAFGZBHIZJIZAULUMHIZKIZABKIUIUMCDZUNUPLUJA
    UMMULNDZUJUQFOPZULBQRSUKUOBAKUJUOBLUIUJUOFBHIZBUJUOULGZBHIZUTURUJUOVBLUSULB
    TRVAFBHFOUAUBUCBUDUEUFUGUH $.
    $( [19-Jun-2006] $) $( [10-Jun-2006] $)

  $( Commutative/associative law. $)
  hvadd23t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
               ( ( A +h B ) +h C ) = ( ( A +h C ) +h B ) ) $=
    ( chil wcel w3a cva co wceq wa ax-hvcom opreq2d 3adant1 ax-hvass 3com23
    3eqtr4d ) ADEZBDEZCDEZFABCGHZGHZACBGHZGHZABGHCGHACGHBGHZRSUAUCIQRSJTUBAGBCK
    LMABCNQSRUDUCIACBNOP $.
    $( [16-Oct-1999] $)

  $( Commutative/associative law. $)
  hvadd12t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
               ( A +h ( B +h C ) ) = ( B +h ( A +h C ) ) ) $=
    ( chil wcel w3a cva co wceq wa ax-hvcom opreq1d 3adant3 ax-hvass 3com12
    3eqtr3d ) ADEZBDEZCDEZFABGHZCGHZBAGHZCGHZABCGHGHBACGHGHZQRUAUCISQRJTUBCGABK
    LMABCNRQSUCUDIBACNOP $.
    $( [19-Oct-1999] $)

  $( Hilbert vector space addition law. $)
  hvadd4t $p |- ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. H~ /\ D e. H~ ) ) ->
               ( ( A +h B ) +h ( C +h D ) ) = ( ( A +h C ) +h ( B +h D ) ) ) $=
    ( chil wcel wa cva co wceq w3a hvadd23t opreq1d 3expa adantrr ax-hvass
    3expb hvaddclt sylan an4s 3eqtr3d ) AEFZBEFZGZCEFZDEFZGZGABHIZCHIZDHIZACHIZ
    BHIZDHIZUHCDHIHIZUKBDHIHIZUDUEUJUMJZUFUBUCUEUPUBUCUEKUIULDHABCLMNOUHEFZUGUJ
    UNJZUDUQUEUFURUHCDPQABRSUBUEUCUFUMUOJZUKEFZUCUFGUSUBUEGUTUCUFUSUKBDPQACRSTU
    A $.
    $( [16-Oct-1999] $)

  $( Hilbert vector space addition/subtraction law. $)
  hvsub4t $p |- ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. H~ /\ D e. H~ ) ) ->
               ( ( A +h B ) -h ( C +h D ) ) = ( ( A -h C ) +h ( B -h D ) ) ) $=
    ( chil wcel wa cva co c1 cneg csm cmv wceq cc ax1cn negcl ax-hvdistr1
    mp3an1 adantl opreq2d hvmulclt mpan anim2i anim12i an4s hvadd4t syl eqtr4d
    hvsubvalt hvaddclt syl2an ad2ant2r ad2ant2l opreq12d 3eqtr4d ) AEFZBEFZGZCE
    FZDEFZGZGZABHIZJKZCDHIZLIZHIZAVECLIZHIZBVEDLIZHIZHIZVDVFMIZACMIZBDMIZHIVCVH
    VDVIVKHIZHIZVMVCVGVQVDHVBVGVQNZUSVEOFZUTVAVSJPQZVECDRSTUAVCUQVIEFZGZURVKEFZ
    GZGZVMVRNUQUTURVAWFUQUTGWCURVAGWEUTWBUQVTUTWBWAVECUBUCUDVAWDURVTVAWDWAVEDUB
    UCUDUEUFAVIBVKUGUHUIVDEFVFEFVNVHNUSVBVDVFUJABUKCDUKULVCVOVJVPVLHUQUTVOVJNUR
    VAACUJUMURVAVPVLNUQUTBDUJUNUOUP $.
    $( [17-Oct-1999] $)

  $( Commutative/associative law. $)
  hvaddsub12t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
               ( A +h ( B -h C ) ) = ( B +h ( A -h C ) ) ) $=
    ( chil wcel w3a c1 cneg csm co cva cmv wceq hvadd12t cc ax1cn negcl
    hvmulclt mpan syl3an3 wa hvsubvalt opreq2d 3adant1 3adant2 3eqtr4d ) ADEZBD
    EZCDEZFABGHZCIJZKJZKJZBAUKKJZKJZABCLJZKJZBACLJZKJZUGUHUKDEZUMUOMUIABUKNUJOE
    UIUTGPQUJCRSTUHUIUQUMMUGUHUIUAUPULAKBCUBUCUDUGUIUSUOMUHUGUIUAURUNBKACUBUCUE
    UF $.
    $( [19-Oct-1999] $)

  $( Addition/subtraction cancellation law for vectors in Hilbert space. $)
  hvpncant $p |- ( ( A e. H~ /\ B e. H~ ) -> ( ( A +h B ) -h B ) = A ) $=
    ( chil wcel wa cva co cmv c1 cneg csm c0v wceq hvaddclt hvsubvalt sylancom
    ax-hvass 3expb cc ax1cn negcl hvmulclt mpan ancli sylan2 eqtrd hvnegidt
    opreq2d adantl ax-hvaddid adantr 3eqtrd ) ACDZBCDZEZABFGZBHGZABIJZBKGZFGZFG
    ZALFGZAUOUQUPUSFGZVAUMUNUPCDUQVCMABNUPBOPUMUNUSCDZEVCVAMZUNUMUNVDVEABUSQRUN
    VDURSDUNVDITUAURBUBUCUDUEUFUNVAVBMUMUNUTLAFBUGUHUIUMVBAMUNAUJUKUL $.
    $( [8-Jun-2004] $) $( [7-Jun-2004] $)

  $( Addition/subtraction cancellation law for vectors in Hilbert space. $)
  hvpncan2t $p |- ( ( A e. H~ /\ B e. H~ ) -> ( ( A +h B ) -h A ) = B ) $=
    ( chil wcel cva co cmv wceq wa ax-hvcom opreq1d hvpncant eqtr3d ancoms ) BC
    DZACDZABEFZAGFZBHOPIZBAEFZAGFRBSTQAGBAJKBALMN $.
    $( [8-Jun-2004] $) $( [7-Jun-2004] $)

  $( Associativity of sum and difference of Hilbert space vectors. $)
  hvaddsubasst $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) -> ( ( A +h B ) -h C )
                     = ( A +h ( B -h C ) ) ) $=
    ( chil wcel w3a cva co c1 cneg csm cmv wceq ax-hvass cc ax1cn negcl
    hvmulclt mpan syl3an3 wa hvsubvalt hvaddclt sylan 3impa 3adant1 opreq2d
    3eqtr4d ) ADEZBDEZCDEZFZABGHZIJZCKHZGHZABUOGHZGHZUMCLHZABCLHZGHUIUJUODEZUPU
    RMUKABUONUNOEUKVAIPQUNCRSTUIUJUKUSUPMZUMDEUKVBUIUJUAUMCUBABUCUDUEULUTUQAGUJ
    UKUTUQMUIBCUBUFUGUH $.
    $( [28-Aug-2004] $) $( [27-Aug-2004] $)

  $( Subtraction and addition of equal Hilbert space vectors.. $)
  hvpncan3t $p |- ( ( A e. H~ /\ B e. H~ ) -> ( A +h ( B -h A ) ) = B ) $=
    ( chil wcel wa cva co cmv wceq hvaddsubasst 3anidm13 hvpncan2t eqtr3d ) ACD
    ZBCDZEABFGAHGZABAHGFGZBNOPQIABAJKABLM $.
    $( [2-Sep-2004] $) $( [27-Aug-2004] $)

  $( Scalar multiplication commutative law. $)
  hvmulcomt $p |- ( ( A e. CC /\ B e. CC /\ C e. H~ ) ->
                 ( A .h ( B .h C ) ) = ( B .h ( A .h C ) ) ) $=
    ( cc wcel chil w3a cmul co csm wceq wa axmulcom opreq1d 3adant3
    ax-hvmulass 3com12 3eqtr3d ) ADEZBDEZCFEZGABHIZCJIZBAHIZCJIZABCJIJIBACJIJIZ
    STUCUEKUASTLUBUDCJABMNOABCPTSUAUEUFKBACPQR $.
    $( [19-May-2005] $) $( [19-May-2005] $)

  ${
    hvmulcom.1 $e |- A e. CC $.
    hvmulcom.2 $e |- B e. CC $.
    hvmulcom.3 $e |- C e. H~ $.
    $( Scalar multiplication associative law. $)
    hvmulass $p |- ( ( A x. B ) .h C ) = ( A .h ( B .h C ) ) $=
      ( cc wcel chil cmul co csm wceq ax-hvmulass mp3an ) AGHBGHCIHABJKCLKABCLK
      LKMDEFABCNO $.
      $( [3-Sep-1999] $)

    $( Scalar multiplication commutative law. $)
    hvmulcom $p |- ( A .h ( B .h C ) ) = ( B .h ( A .h C ) ) $=
      ( cc wcel chil csm co wceq hvmulcomt mp3an ) AGHBGHCIHABCJKJKBACJKJKLDEFA
      BCMN $.
      $( [3-Sep-1999] $)

    $( Double negative in scalar multiplication. $)
    hvmul2neg $p |- ( -u A .h ( -u B .h C ) ) = ( A .h ( B .h C ) ) $=
      ( cneg cmul co csm mul2neg opreq1i negcl hvmulass 3eqtr3 ) AGZBGZHIZCJIAB
      HIZCJIPQCJIJIABCJIJIRSCJABDEKLPQCADMBEMFNABCDEFNO $.
      $( [3-Sep-1999] $)
  $}

  $( Scalar multiplication distributive law for subtraction. $)
  hvsubdistr1t $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
                    ( A .h ( B -h C ) ) = ( ( A .h B ) -h ( A .h C ) ) ) $=
    ( cc wcel chil w3a c1 cneg csm co cva cmv wceq ax-hvdistr1 ax1cn negcl
    hvmulclt mpan syl3an3 wa hvmulcomt mp3an2 opreq2d 3adant2 eqtrd hvsubvalt
    3adant1 3adant3 sylanc 3eqtr4d ) ADEZBFEZCFEZGZABHIZCJKZLKZJKZABJKZUPACJKZJ
    KZLKZABCMKZJKUTVAMKZUOUSUTAUQJKZLKZVCULUMUQFEZUSVGNUNABUQOUPDEZUNVHHPQZUPCR
    STULUNVGVCNUMULUNUAVFVBUTLULVIUNVFVBNVJAUPCUBUCUDUEUFUOVDURAJUMUNVDURNULBCU
    GUHUDUTFEZVAFEZVEVCNUOUTVAUGULUMVKUNABRUIULUNVLUMACRUEUJUK $.
    $( [19-May-2005] $) $( [19-May-2005] $)

  $( Scalar multiplication distributive law for subtraction. $)
  hvsubdistr2t $p |- ( ( A e. CC /\ B e. CC /\ C e. H~ ) -> ( ( A - B ) .h C
      ) = ( ( A .h C ) -h ( B .h C ) ) ) $=
    ( cc wcel chil w3a cmin co csm c1 cneg cva cmv caddc wceq ax-hvdistr2
    negclt syl3an2 negsubt 3adant3 opreq1d wa cmul mulm1t adantr ax1cn negcl
    ax-hvmulass mp3an1 eqtr3d 3adant1 opreq2d 3eqtr3d hvsubvalt hvmulclt
    3adant2 sylanc eqtr4d ) ADEZBDEZCFEZGZABHIZCJIZACJIZKLZBCJIZJIZMIZVFVHNIZVC
    ABLZOIZCJIZVFVLCJIZMIZVEVJUTVLDEVBVNVPPVAAVLCQBRSVCVMVDCJUTVAVMVDPVBABTUAUB
    VCVOVIVFMVAVBVOVIPUTVAVBUCVGBUDIZCJIZVOVIVAVRVOPVBVAVQVLCJBUEUBUFVGDEVAVBVR
    VIPKUGUHVGBCUIUJUKULUMUNVFFEZVHFEZVKVJPVCVFVHUOUTVBVSVAACUPUQVAVBVTUTBCUPUL
    URUS $.
    $( [1-Aug-2006] $) $( [19-May-2005] $)

  ${
    hvdistr1.1 $e |- A e. CC $.
    hvdistr1.2 $e |- B e. H~ $.
    hvdistr1.3 $e |- C e. H~ $.
    $( Scalar multiplication distributive law. $)
    hvdistr1 $p |- ( A .h ( B +h C ) ) = ( ( A .h B ) +h ( A .h C ) ) $=
      ( cc wcel chil cva co csm wceq ax-hvdistr1 mp3an ) AGHBIHCIHABCJKLKABLKAC
      LKJKMDEFABCNO $.
      $( [3-Sep-1999] $)

    $( Scalar multiplication distributive law. $)
    hvsubdistr1 $p |- ( A .h ( B -h C ) ) = ( ( A .h B ) -h ( A .h C ) ) $=
      ( cc wcel chil cmv co csm wceq hvsubdistr1t mp3an ) AGHBIHCIHABCJKLKABLKA
      CLKJKMDEFABCNO $.
      $( [3-Sep-1999] $)
  $}

  ${
    hvass.1 $e |- A e. H~ $.
    hvass.2 $e |- B e. H~ $.
    hvass.3 $e |- C e. H~ $.
    $( Hilbert vector space associative law. $)
    hvass $p |- ( ( A +h B ) +h C ) = ( A +h ( B +h C ) ) $=
      ( chil wcel cva co wceq ax-hvass mp3an ) AGHBGHCGHABIJCIJABCIJIJKDEFABCLM
      $.
      $( [3-Sep-1999] $)

    $( Hilbert vector space commutative/associative law. $)
    hvadd23 $p |- ( ( A +h B ) +h C ) = ( ( A +h C ) +h B ) $=
      ( chil wcel cva co wceq hvadd23t mp3an ) AGHBGHCGHABIJCIJACIJBIJKDEFABCLM
      $.
      $( [18-Aug-1999] $)

    $( Hilbert vector space associative law for subtraction. $)
    hvsubass $p |- ( ( A -h B ) -h C ) = ( A -h ( B +h C ) ) $=
      ( cmv co c1 cneg csm cva hvsubcl hvsubval ax1cn negcl hvmulcl hvass
      hvdistr1 opreq2i eqtr4 opreq1i hvaddcl 3eqtr4 eqtr ) ABGHZCGHUFIJZCKHZLHZ
      ABCLHZGHZUFCABDEMFNAUGBKHZLHZUHLHZAUGUJKHZLHZUIUKUNAULUHLHZLHUPAULUHDUGBI
      OPZEQUGCURFQRUOUQALUGBCUREFSTUAUFUMUHLABDENUBAUJDBCEFUCNUDUE $.
      $( [7-Oct-1999] $)

    $( Hilbert vector space commutative/associative law. $)
    hvsub23 $p |- ( ( A -h B ) -h C ) = ( ( A -h C ) -h B ) $=
      ( cva co cmv hvcom opreq2i hvsubass 3eqtr4 ) ABCGHZIHACBGHZIHABIHCIHACIHB
      IHNOAIBCEFJKABCDEFLACBDFELM $.
      $( [7-Oct-1999] $)

    $( Hilbert vector space commutative/associative law. $)
    hvadd12 $p |- ( A +h ( B +h C ) ) = ( B +h ( A +h C ) ) $=
      ( cva co hvcom opreq1i hvass 3eqtr3 ) ABGHZCGHBAGHZCGHABCGHGHBACGHGHMNCGA
      BDEIJABCDEFKBACEDFKL $.
      $( [11-Sep-1999] $)

    ${
      hvadd4.4 $e |- D e. H~ $.
      $( Hilbert vector space addition law. $)
      hvadd4 $p |- ( ( A +h B ) +h ( C +h D ) ) =
                   ( ( A +h C ) +h ( B +h D ) ) $=
        ( chil wcel wa cva co wceq pm3.2i hvadd4t mp2an ) AIJZBIJZKCIJZDIJZKABL
        MCDLMLMACLMBDLMLMNRSEFOTUAGHOABCDPQ $.
        $( [3-Sep-1999] $)

      $( Hilbert vector space addition law. $)
      hvsubsub4 $p |- ( ( A -h B ) -h ( C -h D ) ) =
                      ( ( A -h C ) -h ( B -h D ) ) $=
        ( c1 cneg csm co cva cmv ax1cn negcl hvmulcl hvadd4 hvdistr1 opreq2i
        3eqtr4 hvaddcl hvsubval opreq12i ) AIJZBKLZMLZCUEDKLZMLZNLZAUECKLZMLZBU
        HMLZNLZABNLZCDNLZNLACNLZBDNLZNLUGUEUIKLZMLZULUEUMKLZMLZUJUNUGUKUEUHKLZM
        LZMLULUFVCMLZMLUTVBAUFUKVCEUEBIOPZFQZUECVFGQZUEUHVFUEDVFHQZQRUSVDUGMUEC
        UHVFGVISTVAVEULMUEBUHVFFVISTUAUGUIAUFEVGUBCUHGVIUBUCULUMAUKEVHUBBUHFVIU
        BUCUAUOUGUPUINABEFUCCDGHUCUDUQULURUMNACEGUCBDFHUCUDUA $.
        $( [31-Oct-1999] $)
    $}
  $}

  $( Hilbert vector space addition/subtraction law. $)
  hvsubsub4t $p |- ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. H~ /\ D e. H~ ) )
            -> ( ( A -h B ) -h ( C -h D ) ) = ( ( A -h C ) -h ( B -h D ) ) ) $=
    ( chil wcel cmv co wceq c0v cif opreq1 opreq1d eqeq12d opreq2 opreq2d
    ax-hv0cl elimel hvsubsub4 dedth4h ) AEFZBEFZCEFZDEFZABGHZCDGHZGHZACGHZBDGHZ
    GHZIABCDJJUAAJKZBGHZUFGHZUKCGHZUIGHZIUKUBBJKZGHZUFGHZUNUPDGHZGHZIUQUCCJKZDG
    HZGHZUKVAGHZUSGHZIUQVAUDDJKZGHZGHZVDUPVFGHZGHZIJJAUKIZUGUMUJUOVKUEULUFGAUKB
    GLMVKUHUNUIGAUKCGLMNBUPIZUMURUOUTVLULUQUFGBUPUKGOMVLUIUSUNGBUPDGLPNCVAIZURV
    CUTVEVMUFVBUQGCVADGLPVMUNVDUSGCVAUKGOMNDVFIZVCVHVEVJVNVBVGUQGDVFVAGOPVNUSVI
    VDGDVFUPGOPNUKUPVAVFAJEQRBJEQRCJEQRDJEQRST $.
    $( [2-Apr-2000] $)

  $( Two times a vector. $)
  hv2timest $p |- ( A e. H~ -> ( 2 .h A ) = ( A +h A ) ) $=
    ( chil wcel c2 csm co c1 cva caddc cc wceq ax1cn ax-hvdistr2 mp3an12 df-2
    opreq1i syl5eq ax-hvdistr1 mp3an1 anidms hvaddclt ax-hvmulid syl 3eqtr2d )
    ABCZDAEFZGAEFZUGHFZGAAHFZEFZUIUEGGIFZAEFZUHUFGJCZUMUEULUHKLLGGAMNDUKAEOPQUE
    UJUHKZUMUEUEUNLGAARSTUEUIBCZUJUIKUEUOAAUATUIUBUCUD $.
    $( [22-Jun-2006] $) $( [22-Jun-2006] $)

  ${
    hvnegdi.1 $e |- A e. H~ $.
    hvnegdi.2 $e |- B e. H~ $.
    $( Distribution of negative over subtraction. $)
    hvnegdi $p |- ( -u 1 .h ( A -h B ) ) = ( B -h A ) $=
      ( c1 cneg cmv co csm cva hvsubval opreq2i ax1cn negcl hvmulcl hvdistr1
      cmul mul2neg mulid1 eqtr opreq1i hvmulass chil wcel wceq ax-hvmulid
      ax-mp 3eqtr3 hvcom 3eqtr4 3eqtr ) EFZABGHZIHULAULBIHZJHZIHULAIHZULUNIHZJH
      ZBAGHZUMUOULIABCDKLULAUNEMNZCULBUTDOZPUQUPJHBUPJHURUSUQBUPJULULQHZBIHEBIH
      ZUQBVBEBIVBEEQHEEEMMREMSTUAULULBUTUTDUBBUCUDVCBUEDBUFUGUHUAUPUQULAUTCOULU
      NUTVAOUIBADCKUJUK $.
      $( [31-Oct-1999] $)

    $( If the difference between two vectors is zero, they are equal. $)
    hvsubeq0 $p |- ( ( A -h B ) = 0h <-> A = B ) $=
      ( cmv co c0v wceq c1 cneg csm cva hvsubval eqeq1i opreq1 sylbi ax1cn
      negcl hvmulcl hvadd23 hvass hvnegid opreq2i chil wcel ax-hvaddid ax-mp
      eqtr 3eqtr hvaddid2 3eqtr3g hvsubidt syl6eq impbi ) ABEFZGHZABHZUPAIJZBKF
      ZLFZBLFZGBLFZABUPUTGHVAVBHUOUTGABCDMNUTGBLOPVAABLFUSLFABUSLFZLFZAAUSBCURB
      IQRDSZDTABUSCDVEUAVDAGLFZAVCGALBDUBUCAUDUEVFAHCAUFUGUHUIBDUJUKUQUOBBEFZGA
      BBEOBUDUEVGGHDBULUGUMUN $.
      $( [18-Aug-1999] $)

    $( Vector cancellation law. $)
    hvsubcan2 $p |- ( ( A +h B ) +h ( A -h B ) ) = ( 2 .h A ) $=
      ( cva co cmv c1 cneg csm c2 c0v hvsubval opreq2i ax1cn negcl hvmulcl
      hvadd4 chil wcel wceq hv2timest ax-mp eqcomi hvnegid opreq12i eqtr 2cn
      ax-hvaddid 3eqtr ) ABEFZABGFZEFUKAHIZBJFZEFZEFZKAJFZLEFZUQULUOUKEABCDMNUP
      AAEFZBUNEFZEFURABAUNCDCUMBHOPDQRUSUQUTLEUQUSASTUQUSUACAUBUCUDBDUEUFUGUQST
      URUQUAKAUHCQUQUIUCUJ $.
      $( [3-Sep-1999] $)

    ${
      hvaddcan.3 $e |- C e. H~ $.
      $( Cancellation law for vector addition. $)
      hvaddcan $p |- ( ( A +h B ) = ( A +h C ) <-> B = C ) $=
        ( cva co wceq c1 cneg csm opreq1 c0v ax1cn negcl hvmulcl hvadd23
        hvnegid opreq1i hvaddid2 3eqtr 3eqtr3g opreq2 impbi ) ABGHZACGHZIZBCIUH
        UFJKZALHZGHZUGUJGHZBCUFUGUJGMUKAUJGHZBGHNBGHBABUJDEUIAJOPDQZRUMNBGADSZT
        BEUAUBULUMCGHNCGHCACUJDFUNRUMNCGUOTCFUAUBUCBCAGUDUE $.
        $( [11-Sep-1999] $)

      $( Relationship between vector subtraction and addition. $)
      hvsubadd $p |- ( ( A -h B ) = C <-> ( B +h C ) = A ) $=
        ( cmv co wceq c1 cneg csm cva hvsubval eqeq1i c0v ax1cn negcl hvmulcl
        hvadd12 hvnegid opreq2i chil wcel ax-hvaddid ax-mp 3eqtr hvaddcl
        hvaddcan eqcom 3bitr3 bitr ) ABGHZCIAJKZBLHZMHZCIZBCMHZAIZUMUPCABDENOBU
        PMHZURIAURIUQUSUTAURUTABUOMHZMHAPMHZABAUOEDUNBJQRESZTVAPAMBEUAUBAUCUDVB
        AIDAUEUFUGOBUPCEAUODVCUHFUIAURUJUKUL $.
        $( [11-Sep-1999] $)
    $}
  $}

  $( Distribution of negative over subtraction. $)
  hvnegdit $p |- ( ( A e. H~ /\ B e. H~ ) ->
                ( -u 1 .h ( A -h B ) ) = ( B -h A ) ) $=
    ( chil wcel c1 cneg cmv co csm wceq c0v cif opreq1 opreq2d opreq2 eqeq12d
    ax-hv0cl elimel hvnegdi dedth2h ) ACDZBCDZEFZABGHZIHZBAGHZJUCUAAKLZBGHZIHZB
    UGGHZJUCUGUBBKLZGHZIHZUKUGGHZJABKKAUGJZUEUIUFUJUOUDUHUCIAUGBGMNAUGBGOPBUKJZ
    UIUMUJUNUPUHULUCIBUKUGGONBUKUGGMPUGUKAKCQRBKCQRST $.
    $( [2-Apr-2000] $)

  $( If the difference between two vectors is zero, they are equal. $)
  hvsubeq0t $p |- ( ( A e. H~ /\ B e. H~ ) ->
                  ( ( A -h B ) = 0h <-> A = B ) ) $=
    ( chil wcel cmv co c0v wceq wb cif opreq1 eqeq1d eqeq1 bibi12d opreq2
    eqeq2 ax-hv0cl elimel hvsubeq0 dedth2h ) ACDZBCDZABEFZGHZABHZIUAAGJZBEFZGHZ
    UFBHZIUFUBBGJZEFZGHZUFUJHZIABGGAUFHZUDUHUEUIUNUCUGGAUFBEKLAUFBMNBUJHZUHULUI
    UMUOUGUKGBUJUFEOLBUJUFPNUFUJAGCQRBGCQRST $.
    $( [23-Oct-1999] $)

  $( If the sum of two vectors is zero, one is the negative of the other. $)
  hvaddeq0t $p |- ( ( A e. H~ /\ B e. H~ ) ->
                  ( ( A +h B ) = 0h <-> A = ( -u 1 .h B ) ) ) $=
    ( chil wcel wa cva co c0v wceq c1 cneg csm cmv hvaddsubvalt eqeq1d wb
    hvsubeq0t cc ax1cn negcl hvmulclt mpan sylan2 bitrd ) ACDZBCDZEZABFGZHIAJKZ
    BLGZMGZHIZAUJIZUGUHUKHABNOUEUJCDZULUMPUFAUJQUIRDUFUNJSTUIBUAUBUCUD $.
    $( [19-Jun-2006] $) $( [10-Jun-2006] $)

  $( Cancellation law for vector addition. $)
  hvaddcant $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                  ( ( A +h B ) = ( A +h C ) <-> B = C ) ) $=
    ( chil wcel cva co wceq wb c0v cif opreq1 eqeq12d bibi1d opreq2 eqeq1d
    eqeq1 bibi12d eqeq2d eqeq2 ax-hv0cl elimel hvaddcan dedth3h ) ADEZBDEZCDEZA
    BFGZACFGZHZBCHZIUEAJKZBFGZULCFGZHZUKIABCJJJULUFBJKZFGZUNHZUPCHZIUQULUGCJKZF
    GZHZUPUTHZIAULHZUJUOUKVDUHUMUIUNAULBFLAULCFLMNBUPHZUOURUKUSVEUMUQUNBUPULFOP
    BUPCQRCUTHZURVBUSVCVFUNVAUQCUTULFOSCUTUPTRULUPUTAJDUAUBBJDUAUBCJDUAUBUCUD
    $.
    $( [27-May-2005] $) $( [18-May-2005] $)

  $( Cancellation law for vector addition. $)
  hvaddcan2t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                  ( ( A +h C ) = ( B +h C ) <-> A = B ) ) $=
    ( chil wcel cva co wceq wb w3a ax-hvcom 3adant3 3adant2 eqeq12d hvaddcant
    bitr3d 3coml ) CDEZADEZBDEZACFGZBCFGZHZABHZIRSTJZCAFGZCBFGZHUCUDUEUFUAUGUBR
    SUFUAHTCAKLRTUGUBHSCBKMNCABOPQ $.
    $( [2-Jun-2005] $) $( [18-May-2005] $)

  $( Cancellation law for scalar multiplication. $)
  hvmulcant $p |- ( ( ( A e. CC /\ B e. H~ /\ C e. H~ ) /\ A =/= 0 ) ->
                  ( ( A .h B ) = ( A .h C ) <-> B = C ) ) $=
    ( cc wcel chil w3a cc0 wne wa cmv co c0v wceq csm wo wb wn df-ne biorf
    sylbi adantl hvmul0ort hvsubclt sylan2 3impb adantr bitr4d hvsubdistr1t
    eqeq1d hvsubeq0t hvmulclt 3adant3 3adant2 sylanc 3bitrd 3adant1 bitr3d ) AD
    EZBFEZCFEZGZAHIZJZBCKLZMNZABOLZACOLZNZBCNZVDVFAVEOLZMNZVGVHKLZMNZVIVDVFAHNZ
    VFPZVLVCVFVPQZVBVCVORVQAHSVOVFTUAUBVBVLVPQZVCUSUTVAVRUSVEFEVRUTVAJAVEUCBCUD
    UEUFUGUHVDVKVMMVBVKVMNVCABCUIUGUJVBVNVIQZVCVGFEZVHFEZVSVBVGVHUKUSUTVTVAABUL
    UMUSVAWAUTACULUNUOUGUPVBVFVJQZVCUTVAWBUSBCUKUQUGUR $.
    $( [22-May-2005] $) $( [19-May-2005] $)

  $( Cancellation law for scalar multiplication. $)
  hvmulcan2t $p |- ( ( ( A e. CC /\ B e. CC /\ C e. H~ ) /\ C =/= 0h ) ->
                  ( ( A .h C ) = ( B .h C ) <-> A = B ) ) $=
    ( cc wcel chil w3a c0v wne wa csm co cmv wceq cmin cc0 wo wb wn df-ne
    biorf orcom syl6bb sylbi adantl hvmul0ort subclt sylan 3impa adantr
    hvsubdistr2t eqeq1d 3bitr2rd hvsubeq0t hvmulclt 3adant2 3adant1 sylanc
    subeq0t 3adant3 3bitr3d ) ADEZBDEZCFEZGZCHIZJZACKLZBCKLZMLZHNZABOLZPNZVHVIN
    ZABNZVGVMVMCHNZQZVLCKLZHNZVKVFVMVQRZVEVFVPSZVTCHTWAVMVPVMQVQVPVMUAVPVMUBUCU
    DUEVEVSVQRZVFVBVCVDWBVLDEVDWBVBVCJVLCUFABUGUHUIUJVGVRVJHVEVRVJNVFABCUKUJULU
    MVEVKVNRZVFVHFEZVIFEZWCVEVHVIUNVBVDWDVCACUOUPVCVDWEVBBCUOUQURUJVEVMVORZVFVB
    VCWFVDABUSUTUJVA $.
    $( [23-Jun-2005] $) $( [19-May-2005] $)

  $( Cancellation law for vector addition. $)
  hvsubcant $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                  ( ( A -h B ) = ( A -h C ) <-> B = C ) ) $=
    ( chil wcel w3a cmv co wceq c1 cneg csm cva hvsubvalt 3adant3 3adant2
    eqeq12d wb hvaddcant cc ax1cn negcl hvmulclt mpan syl3an3 syl3an2 cc0 wne
    ax1ne0 negn0 hvmulcant mpan2 mp3an1 3adant1 3bitrd ) ADEZBDEZCDEZFZABGHZACG
    HZIAJKZBLHZMHZAVBCLHZMHZIZVCVEIZBCIZUSUTVDVAVFUPUQUTVDIURABNOUPURVAVFIUQACN
    PQUPVCDEZURVGVHRZUQUPVJVEDEZVKURAVCVESVBTEZURVLJUAUBZVBCUCUDUEVMUQVJVNVBBUC
    UDUFUQURVHVIRZUPVMUQURVOVNVMUQURFVBUGUHVOJUAUIUJVBBCUKULUMUNUO $.
    $( [5-Jun-2005] $) $( [18-May-2005] $)

  $( Cancellation law for vector addition. $)
  hvsubcan2t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                  ( ( A -h C ) = ( B -h C ) <-> A = B ) ) $=
    ( chil wcel cmv co wceq wb w3a c1 cneg csm cc ax1cn negcl cc0 wne ax1ne0
    negn0 hvmulcant mpan2 mp3an1 hvsubclt 3adant3 3adant2 sylanc hvnegdit
    eqeq12d hvsubcant 3bitr3d 3coml ) CDEZADEZBDEZACFGZBCFGZHZABHZIUMUNUOJZKLZC
    AFGZMGZVACBFGZMGZHZVBVDHZURUSVBDEZVDDEZVFVGIZUTVANEZVHVIVJKOPVKVHVIJVAQRVJK
    OSTVAVBVDUAUBUCUMUNVHUOCAUDUEUMUOVIUNCBUDUFUGUTVCUPVEUQUMUNVCUPHUOCAUHUEUMU
    OVEUQHUNCBUHUFUICABUJUKUL $.
    $( [26-Jun-2005] $) $( [18-May-2005] $)

  $( Subtraction of a zero vector. $)
  hvsub0t $p |- ( A e. H~ -> ( A -h 0h ) = A ) $=
    ( chil wcel c0v cmv co cva c1 cneg csm wceq ax-hv0cl hvsubvalt mpan2 cc
    ax1cn negcl hvmul0t ax-mp opreq2i syl6eq ax-hvaddid eqtrd ) ABCZADEFZADGFZA
    UDUEAHIZDJFZGFZUFUDDBCUEUIKLADMNUHDAGUGOCUHDKHPQUGRSTUAAUBUC $.
    $( [2-Apr-2000] $)

  $( Relationship between vector subtraction and addition. $)
  hvsubaddt $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                  ( ( A -h B ) = C <-> ( B +h C ) = A ) ) $=
    ( chil wcel cmv co wceq cva wb c0v cif opreq1 eqeq1d eqeq2 bibi12d opreq2
    ax-hv0cl elimel hvsubadd dedth3h ) ADEZBDEZCDEZABFGZCHZBCIGZAHZJUBAKLZBFGZC
    HZUGUIHZJABCKKKUIUCBKLZFGZCHZUMCIGZUIHZJUNUDCKLZHZUMURIGZUIHZJAUIHZUFUKUHUL
    VBUEUJCAUIBFMNAUIUGOPBUMHZUKUOULUQVCUJUNCBUMUIFQNVCUGUPUIBUMCIMNPCURHZUOUSU
    QVACURUNOVDUPUTUICURUMIQNPUIUMURAKDRSBKDRSCKDRSTUA $.
    $( [30-Oct-1999] $)

  $( Hilbert vector space addition/subtraction law. $)
  hvaddsub4t $p |- ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. H~ /\ D e. H~ ) ) ->
          ( ( A +h B ) = ( C +h D ) <-> ( A -h C ) = ( D -h B ) ) ) $=
    ( chil wcel wa cva co cmv wceq wb hvsubcan2t hvaddclt adantr adantl ancoms
    ad2ant2lr syl3anc c0v pm3.27 anim2i hvsub4t syldan hvsubidt ad2antlr
    opreq2d hvsubclt ax-hvaddid syl adantlr 3eqtrd adantrr pm3.26 anim1i
    ad2antrr opreq1d hvaddid2t adantll eqeq12d bitr3d ) AEFZBEFZGZCEFZDEFZGZGZA
    BHIZCBHIZJIZCDHIZVJJIZKZVIVLKZACJIZDBJIZKVIEFZVLEFZVJEFZVNVOLVHVIVLVJMVDVRV
    GABNOVGVSVDCDNPVCVEVTVBVFVEVCVTCBNQRSVHVKVPVMVQVDVEVKVPKVFVDVEGZVKVPBBJIZHI
    ZVPTHIZVPVDVEVEVCGZVKWCKVEVDWEVDVCVEVBVCUAUBQABCBUCUDWAWBTVPHVCWBTKVBVEBUEU
    FUGVBVEWDVPKZVCVBVEGVPEFWFACUHVPUIUJUKULUMVCVGVMVQKZVBVGVCWGVGVCGZVMCCJIZVQ
    HIZTVQHIZVQVGVCWEVMWJKVGVEVCVEVFUNUOCDCBUCUDWHWITVQHVEWITKVFVCCUEUPUQVFVCWK
    VQKZVEVFVCGVQEFWLDBUHVQURUJUSULQUSUTVA $.
    $( [30-Jun-2005] $) $( [18-May-2005] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Inner product postulates for a Hilbert space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Inner product maps pairs from ` H~ ` to ` CC ` . $)
  ax-hfi $a |- .ih : ( H~ X. H~ ) --> CC $.

  $( Closure of inner product. $)
  hiclt $p |- ( ( A e. H~ /\ B e. H~ ) -> ( A .ih B ) e. CC ) $=
    ( cc chil csp ax-hfi foprcl ) ABCDDEFG $.
    $( [20-Nov-2007] $) $( [17-Nov-2007] $)

  ${
    hicl.1 $e |- A e. H~ $.
    hicl.2 $e |- B e. H~ $.
    $( Closure inference for inner product. $)
    hicl $p |- ( A .ih B ) e. CC $=
      ( chil wcel csp co cc hiclt mp2an ) AEFBEFABGHIFCDABJK $.
      $( [1-Aug-1999] $)
  $}

  $( Conjugate law for inner product.  Postulate (S1) of [Beran] p. 95.
     Note that ` * `` x ` is the complex conjugate ~ cjvalt of ` x ` .
     In the literature, the inner product of ` A ` and ` B ` is usually
     written ` <. A , B >. ` , but our operation notation ~ co allows us to use
     existing theorems about operations and also avoids a clash with the
     definition of an ordered pair ~ df-op .  Physicists use ` <. B | A >. ` ,
     called Dirac bra-ket notation, to represent this operation; see comments
     in ~ df-bra . $)
  ax-his1 $a |- ( ( A e. H~ /\ B e. H~ ) ->
                ( A .ih B ) = ( * ` ( B .ih A ) ) ) $.

  $( Distributive law for inner product.  Postulate (S2) of [Beran] p. 95. $)
  ax-his2 $a |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                ( ( A +h B ) .ih C ) = ( ( A .ih C ) + ( B .ih C ) ) ) $.

  $( Associative law for inner product.  Postulate (S3) of [Beran] p. 95.
     Warning:  Mathematics textbooks usually use our version of the axiom.
     Physics textbooks, on the other hand, usually replace the left-hand side
     with ` ( B .ih ( A .h C ) ) ` (e.g. Equation 1.21b of [Hughes] p. 44;
     Definition (iii) of [ReedSimon] p. 36).  See the comments in ~ df-bra
     for why the physics definition is swapped. $)
  ax-his3 $a |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
                ( ( A .h B ) .ih C ) = ( A x. ( B .ih C ) ) ) $.

  $( Identity law for inner product.  Postulate (S4) of [Beran] p. 95. $)
  ax-his4 $a |- ( ( A e. H~ /\  A =/= 0h ) -> 0 < ( A .ih A ) ) $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Inner product
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Associative law for inner product.  Lemma 3.1(S5) of [Beran] p. 95. $)
  his5t $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
                ( B .ih ( A .h C ) ) = ( ( * ` A ) x. ( B .ih C ) ) ) $=
    ( cc wcel chil w3a csm co csp ccj cfv cmul wceq wa ax-his1 hvmulclt sylan2
    3impb 3com12 ax-his3 3com23 fveq2d cjmult hiclt 3adant1 opreq2d eqtr4d
    3eqtrd ) ADEZBFEZCFEZGZBACHIZJIZUNBJIZKLZACBJIZMIZKLZAKLZBCJIZMIZUKUJULUOUQ
    NZUKUJULVDUKUNFEVDUJULOBUNPACQRSTUMUPUSKUJULUKUPUSNACBUAUBUCUMUTVAURKLZMIZV
    CUJULUKUTVFNZUJULUKVGUJURDEVGULUKOAURUDCBUERSUBUMVBVEVAMUKULVBVENUJBCPUFUGU
    HUI $.
    $( [29-Jul-1999] $)

  $( Associative law for inner product. $)
  his52t $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
                ( B .ih ( ( * ` A ) .h C ) ) = ( A x. ( B .ih C ) ) ) $=
    ( cc wcel chil w3a ccj cfv csm co csp cmul wceq his5t cjclt syl3an1 cjcjt
    opreq1d 3ad2ant1 eqtrd ) ADEZBFEZCFEZGBAHIZCJKLKZUEHIZBCLKZMKZAUHMKZUEDEUCU
    DUFUINUBUEBCOAPQUBUCUIUJNUDUBUGAUHMARSTUA $.
    $( [19-Feb-2006] $) $( [13-Feb-2006] $)

  ${
    his35.1 $e |- A e. CC $.
    his35.2 $e |- B e. CC $.
    his35.3 $e |- C e. H~ $.
    his35.4 $e |- D e. H~ $.
    $( Move scalar multiplication to outside of inner product. $)
    his35 $p |- ( ( A .h C ) .ih ( B .h D ) ) =
              ( ( A x. ( * ` B ) ) x. ( C .ih D ) ) $=
      ( csm co csp cmul ccj cfv cc wcel chil wceq his5t mp3an opreq2i hvmulcl
      ax-his3 cjcl hicl mulass 3eqtr4 ) ACBDIJZKJZLJZABMNZCDKJZLJZLJACIJUHKJZAU
      KLJULLJUIUMALBOPCQPZDQPUIUMRFGHBCDSTUAAOPUOUHQPUNUJREGBDFHUBACUHUCTAUKULE
      BFUDCDGHUEUFUG $.
      $( [1-Jul-2005] $) $( [1-Jul-2005] $)
  $}

  $( Distributive law for inner product.  Lemma 3.1(S7) of [Beran] p. 95. $)
  his7t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                ( A .ih ( B +h C ) ) = ( ( A .ih B ) + ( A .ih C ) ) ) $=
    ( chil wcel w3a cva co csp ccj cfv caddc wceq ax-his2 fveq2d cc wa cjaddt
    hiclt syl2an 3impdir eqtrd 3comr ax-his1 hvaddclt sylan2 3impb 3adant3
    3adant2 opreq12d 3eqtr4d ) ADEZBDEZCDEZFZBCGHZAIHZJKZBAIHZJKZCAIHZJKZLHZAUP
    IHZABIHZACIHZLHUMUNULURVCMUMUNULFZURUSVALHZJKZVCVGUQVHJBCANOUMULUNVIVCMZUSP
    EVAPEVJUMULQUNULQUSVARBASCASTUAUBUCULUMUNVDURMZULUPDEVKUMUNQAUPUDBCUEUFUGUO
    VEUTVFVBLULUMVEUTMUNABUDUHULUNVFVBMUMACUDUIUJUK $.
    $( [31-Jul-1999] $)

  $( Distributive/associative law for inner product, useful for linearity
     proofs. $)
  hiassdit $p |- ( ( ( A e. CC /\ B e. H~ ) /\ ( C e. H~ /\ D e. H~ ) ) ->
    ( ( ( A .h B ) +h C ) .ih D ) = ( ( A x. ( B .ih D ) ) + ( C .ih D ) ) ) $=
    ( cc wcel chil wa csm co cva csp caddc cmul wceq ax-his2 3expb hvmulclt
    sylan ax-his3 3expa adantrl opreq1d eqtrd ) AEFZBGFZHZCGFZDGFZHZHZABIJZCKJD
    LJZULDLJZCDLJZMJZABDLJNJZUOMJULGFZUJUMUPOZUGURUHUIUSULCDPQABRSUKUNUQUOMUGUI
    UNUQOZUHUEUFUIUTABDTUAUBUCUD $.
    $( [7-Jun-2005] $) $( [10-May-2005] $)

  $( Distributive law for inner product of vector subtraction. $)
  his2subt $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                ( ( A -h B ) .ih C ) = ( ( A .ih C ) - ( B .ih C ) ) ) $=
    ( chil wcel w3a cmv co csp c1 cneg csm cva caddc cmin wceq wa hvsubvalt
    opreq1d 3adant3 ax-his2 cc ax1cn negcl hvmulclt mpan syl3an2 cmul ax-his3
    mp3an1 hiclt mulm1t syl eqtrd opreq2d 3adant1 negsubt 3adant2 sylanc
    3eqtrd ) ADEZBDEZCDEZFZABGHZCIHZAJKZBLHZMHZCIHZACIHZBCIHZKZNHZVKVLOHZVAVBVF
    VJPVCVAVBQVEVICIABRSTVDVJVKVHCIHZNHZVNVAVHDEZVCVJVQPVBAVHCUAVGUBEZVBVRJUCUD
    ZVGBUEUFUGVBVCVQVNPVAVBVCQZVPVMVKNWAVPVGVLUHHZVMVSVBVCVPWBPVTVGBCUIUJWAVLUB
    EZWBVMPBCUKZVLULUMUNUOUPUNVKUBEZWCVNVOPVDVKVLUQVAVCWEVBACUKURVBVCWCVAWDUPUS
    UT $.
    $( [1-Aug-2006] $) $( [16-Nov-1999] $)

  $( Distributive law for inner product of vector subtraction. $)
  his2sub2t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                ( A .ih ( B -h C ) ) = ( ( A .ih B ) - ( A .ih C ) ) ) $=
    ( chil wcel w3a cmv co csp ccj cfv cmin wceq his2subt fveq2d cc wa cjsubt
    hiclt syl2an 3impdir eqtrd 3comr ax-his1 hvsubclt sylan2 3impb 3adant3
    3adant2 opreq12d 3eqtr4d ) ADEZBDEZCDEZFZBCGHZAIHZJKZBAIHZJKZCAIHZJKZLHZAUP
    IHZABIHZACIHZLHUMUNULURVCMUMUNULFZURUSVALHZJKZVCVGUQVHJBCANOUMULUNVIVCMZUSP
    EVAPEVJUMULQUNULQUSVARBASCASTUAUBUCULUMUNVDURMZULUPDEVKUMUNQAUPUDBCUEUFUGUO
    VEUTVFVBLULUMVEUTMUNABUDUHULUNVFVBMUMACUDUIUJUK $.
    $( [19-Feb-2006] $) $( [13-Feb-2006] $)

  $( A necessary and sufficient condition for an inner product to be real. $)
  hiret $p |- ( ( A e. H~ /\ B e. H~ ) ->
              ( ( A .ih B ) e. RR <-> ( A .ih B ) = ( B .ih A ) ) ) $=
    ( chil wcel wa csp co cr ccj cfv wceq cc wb hiclt cjrebt syl eqcom syl6bb
    ax-his1 ancoms eqeq2d bitr4d ) ACDZBCDZEZABFGZHDZUFUFIJZKZUFBAFGZKUEUGUHUFK
    ZUIUEUFLDUGUKMABNUFOPUHUFQRUEUJUHUFUDUCUJUHKBASTUAUB $.
    $( [3-Jul-2005] $) $( [2-Jul-2005] $)

  $( Real closure of inner product with self. $)
  hiidrclt $p |- ( A e. H~ -> ( A .ih A ) e. RR ) $=
    ( chil wcel csp co cr wa wceq eqid hiret mpbiri anidms ) ABCZAADEZFCZMMGONN
    HNIAAJKL $.
    $( [29-May-1999] $)

  $( Inner product with the 0 vector. $)
  hi01t $p |- ( A e. H~ -> ( 0h .ih A ) = 0 ) $=
    ( chil wcel c0v csp co cc0 cmul csm cc wceq 0cn ax-hv0cl ax-his3 mp3an12
    ax-hvmul0 ax-mp opreq1i syl5eqr hiclt mpan mul02t syl eqtrd ) ABCZDAEFZGUFH
    FZGUEGDIFZAEFZUGUFGJCDBCZUEUIUGKLMGDANOUHDAEUJUHDKMDPQRSUEUFJCZUGGKUJUEUKMD
    ATUAUFUBUCUD $.
    $( [29-May-1999] $)

  $( Inner product with the 0 vector. $)
  hi02t $p |- ( A e. H~ -> ( A .ih 0h ) = 0 ) $=
    ( chil wcel c0v csp co ccj cfv cc0 wceq ax-hv0cl ax-his1 mpan2 hi01t
    fveq2d cj0 syl6eq eqtrd ) ABCZADEFZDAEFZGHZISDBCTUBJKADLMSUBIGHISUAIGANOPQR
    $.
    $( [13-Oct-1999] $)

  $( Inner product with self is not negative. $)
  hiidge0t $p |- ( A e. H~ -> 0 <_ ( A .ih A ) ) $=
    ( chil wcel cc0 csp co cle wbr clt wceq wo c0v wn pm2.1 wne ax-his4 df-ne
    sylan2br ex wa opreq1 hi01t sylan9eqr eqcomd orim12d mpi cr wb hiidrclt
    0re jctil leloet syl mpbird ) ABCZDAAEFZGHZDUPIHZDUPJZKZUOALJZMZVAKUTVANUOV
    BURVAUSUOVBURUOALOURVBAPALQRSUOVAUSUOVATUPDVAUOUPLAEFDALAEUAAUBUCUDSUEUFUOD
    UGCZUPUGCZTUQUTUHUOVDVCAUIUJUKDUPULUMUN $.
    $( [29-May-1999] $)

  $( Zero inner product with self means vector is zero.  Lemma 3.1(S6) of
     [Beran] p. 95. $)
  his6t $p |- ( A e. H~ -> ( ( A .ih A ) = 0 <-> A = 0h ) ) $=
    ( chil wcel csp co cc0 wceq c0v wne wa clt wbr ax-his4 wb cr cle 0re
    leltnet mp3an1 hiidrclt hiidge0t sylanc adantr mpbid ex necon4d opreq1
    eqeq1d hi01t syl5cbir impbid ) ABCZAADEZFGZAHGZULAHUMFULAHIZUMFIZULUPJFUMKL
    ZUQAMULURUQNZUPUMOCZFUMPLZUSULFOCUTVAUSQFUMRSATAUAUBUCUDUEUFUOUNHADEZFGULUO
    UMVBFAHADUGUHAUIUJUK $.
    $( [27-Jul-1999] $)

  ${
    his1.1 $e |- A e. H~ $.
    his1.2 $e |- B e. H~ $.
    $( Conjugate law for inner product.  Postulate (S1) of [Beran] p. 95. $)
    his1 $p |- ( A .ih B ) = ( * ` ( B .ih A ) ) $=
      ( chil wcel csp co ccj cfv wceq ax-his1 mp2an ) AEFBEFABGHBAGHIJKCDABLM
      $.
      $( [15-May-2005] $) $( [15-May-2005] $)
  $}

  $( Commuted inner products have the same absolute values. $)
  abshicomt $p |- ( ( A e. H~ /\ B e. H~ ) ->
                  ( abs ` ( A .ih B ) ) = ( abs ` ( B .ih A ) ) ) $=
    ( chil wcel wa csp co cabs cfv ccj ax-his1 fveq2d cc wceq hiclt ancoms
    abscjt syl eqtrd ) ACDZBCDZEZABFGZHIBAFGZJIZHIZUDHIZUBUCUEHABKLUBUDMDZUFUGN
    UATUHBAOPUDQRS $.
    $( [20-Jun-2006] $) $( [26-May-2006] $)

  ${
    $d x A $.
    $( A vector whose inner product is always zero is zero. $)
    hial0 $p |- ( A e. H~ -> ( A. x e. H~ ( A .ih x ) = 0 <-> A = 0h ) ) $=
      ( chil wcel cv csp co cc0 wceq wral c0v opreq2 eqeq1d rcla4v his6t
      sylibd wi opreq1 hi01t sylan9eq ex a1i r19.21adv impbid ) BCDZBAEZFGZHIZA
      CJZBKIZUEUIBBFGZHIZUJUHULABCUFBIUGUKHUFBBFLMNBOPUEUJUHACUJUFCDZUHQQUEUJUM
      UHUJUMUGKUFFGHBKUFFRUFSTUAUBUCUD $.
      $( [24-Oct-1999] $)

    $( A vector whose inner product is always zero is zero. $)
    hial02 $p |- ( A e. H~ -> ( A. x e. H~ ( x .ih A ) = 0 <-> A = 0h ) ) $=
      ( chil wcel cv csp co cc0 wceq wral c0v opreq1 eqeq1d rcla4v his6t
      sylibd wi opreq2 hi02t sylan9eq ex a1i r19.21adv impbid ) BCDZAEZBFGZHIZA
      CJZBKIZUEUIBBFGZHIZUJUHULABCUFBIUGUKHUFBBFLMNBOPUEUJUHACUJUFCDZUHQQUEUJUM
      UHUJUMUGUFKFGHBKUFFRUFSTUAUBUCUD $.
      $( [28-Jan-2006] $) $( [28-Jan-2006] $)
  $}

  ${
    hisubcom.1 $e |- A e. H~ $.
    hisubcom.2 $e |- B e. H~ $.
    hisubcom.3 $e |- C e. H~ $.
    hisubcom.4 $e |- D e. H~ $.
    $( Two vector subtractions simultaneously commute in an inner product. $)
    hisubcom $p |- ( ( A -h B ) .ih ( C -h D ) ) =
                   ( ( B -h A ) .ih ( D -h C ) ) $=
      ( c1 cneg cmv co csm csp hvnegdi opreq12i ccj cfv cmul ax1cn negcl
      hvsubcl his35 cr wcel wceq 1re renegcl cjret ax-mp opreq2i mul2neg
      mulid1 3eqtr opreq1i hicl mulid2 eqtr3 ) IJZBAKLZMLZUSDCKLZMLZNLZABKLZCDK
      LZNLUTVBNLZVAVEVCVFNBAFEODCHGOPVDUSUSQRZSLZVGSLIVGSLVGUSUSUTVBITUAZVJBAFE
      UBZDCHGUBZUCVIIVGSVIUSUSSLIISLIVHUSUSSUSUDUEVHUSUFIUGUHUSUIUJUKIITTULITUM
      UNUOVGUTVBVKVLUPUQUNUR $.
      $( [3-Jul-2005] $) $( [1-Jul-2005] $)
  $}

  $( Lemma used to prove equality of vectors. $)
  hi2eqt $p |- ( ( A e. H~ /\ B e. H~ ) ->
               ( ( A .ih ( A -h B ) ) = ( B .ih ( A -h B ) ) <-> A = B ) ) $=
    ( chil wcel wa cmv co csp cmin cc0 wceq c0v hvsubclt his2subt mpd3an3
    eqeq1d wb his6t syl bitr3d cc subeq0t hiclt syldan pm3.27 sylanc hvsubeq0t
    3bitr3d ) ACDZBCDZEZAABFGZHGZBULHGZIGZJKZULLKZUMUNKZABKUKULULHGZJKZUPUQUKUS
    UOJUIUJULCDZUSUOKABMZABULNOPUKVAUTUQQVBULRSTUMUADZUNUADZUPURQUKUMUNUBUIUJVA
    VCVBAULUCUDUJVAVDUKBULUCUIUJUEVBUFUFABUGUH $.
    $( [16-Nov-1999] $)

  ${
    $d x A $.  $d x B $.
    $( Two vectors whose inner product is always equal are equal. $)
    hial2eqt $p |- ( ( A e. H~ /\ B e. H~ ) ->
                   ( A. x e. H~ ( A .ih x ) = ( B .ih x ) <-> A = B ) ) $=
      ( chil wcel wa cv csp co wceq wral cmv wi hvsubclt opreq2 eqeq12d rcla4v
      syl hi2eqt sylibd opreq1 a1d r19.21aiv impbid1 ) BDECDEFZBAGZHIZCUFHIZJZA
      DKZBCJZUEUJBBCLIZHIZCULHIZJZUKUEULDEUJUOMBCNUIUOAULDUFULJUGUMUHUNUFULBHOU
      FULCHOPQRBCSTUKUIADUKUIUFDEBCUFHUAUBUCUD $.
      $( [16-Nov-1999] $)

    $( Two vectors whose inner product is always equal are equal. $)
    hial2eq2t $p |- ( ( A e. H~ /\ B e. H~ ) ->
                   ( A. x e. H~ ( x .ih A ) = ( x .ih B ) <-> A = B ) ) $=
      ( chil wcel wa cv csp co wceq wral wb ccj cfv ax-his1 eqeqan12d cc cj11t
      hiclt ancoms syl2an bitr2d anandirs ralbidva hial2eqt bitrd ) BDEZCDEZFZA
      GZBHIZUJCHIZJZADKBUJHIZCUJHIZJZADKBCJUIUMUPADUGUHUJDEZUMUPLUGUQFZUHUQFZFU
      PUKMNZULMNZJZUMURUSUNUTUOVABUJOCUJOPUKQEZULQEZVBUMLURUSUKULRUQUGVCUJBSTUQ
      UHVDUJCSTUAUBUCUDABCUEUF $.
      $( [2-Feb-2006] $) $( [28-Jan-2006] $)
  $}

  $( Orthogonality commutes. $)
  orthcom $p |- ( ( A e. H~ /\ B e. H~ ) ->
                ( ( A .ih B ) = 0 <-> ( B .ih A ) = 0 ) ) $=
    ( chil wcel wa csp co cc0 wceq ccj cfv ax-his1 ancoms eqeq1d fveq2 cj0
    syl6eq syl5bir impbid ) ACDZBCDZEZABFGZHIZBAFGZHIZUBUFUCJKZHIUDUBUEUGHUATUE
    UGIBALMNUDUGHJKZHUCHJOPQRUBUDUEJKZHIUFUBUCUIHABLNUFUIUHHUEHJOPQRS $.
    $( [10-Oct-1999] $)

  ${
    normlem1.1 $e |- S e. CC $.
    normlem1.2 $e |- F e. H~ $.
    normlem1.3 $e |- G e. H~ $.
    $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
       [Beran] p. 97. $)
    normlem0 $p |- ( ( F -h ( S .h G ) ) .ih
                         ( F -h ( S .h G ) ) ) =
                ( ( ( F .ih F ) + ( -u ( * ` S ) x. ( F .ih G ) ) ) +
  ( ( -u S x. ( G .ih F ) ) + ( ( S x. ( * ` S ) ) x. ( G .ih G ) ) ) ) $=
      ( csm co cmv csp cneg cva caddc ccj cfv cmul c1 hvmulcl hvsubval mulm1
      opreq1i ax1cn negcl hvmulass eqtr3 opreq2i eqtr4 opreq12i chil wcel wceq
      hvaddcl ax-his2 mp3an his7t cc his5t cjneg eqtr ax-his3 hicl cjcl mulcl
      adddi mulass mul2neg 3eqtr ) BACGHZIHZVIJHBAKZCGHZLHZVLJHZBVLJHZVKVLJHZMH
      ZBBJHZANOZKZBCJHZPHZMHZVJCBJHZPHZAVRPHZCCJHZPHZMHZMHVIVLVIVLJVIBQKZVHGHZL
      HVLBVHEACDFRSVKWJBLWIAPHZCGHVKWJWKVJCGADTUAWIACQUBUCDFUDUEUFUGZWLUHBUIUJZ
      VKUIUJZVLUIUJZVMVPUKEVJCADUCZFRZBVKEWQULZBVKVLUMUNVNWBVOWHMVNVQBVKJHZMHZW
      BWMWMWNVNWTUKEEWQBBVKUOUNWSWAVQMWSVJNOZVTPHZWAVJUPUJZWMCUIUJZWSXBUKWPEFVJ
      BCUQUNXAVSVTPADURZUAUSUFUSVOVJCVLJHZPHZVJWCXAWFPHZMHZPHZWHXCXDWOVOXGUKWPF
      WRVJCVLUTUNXFXIVJPXFWCCVKJHZMHZXIXDWMWNXFXLUKFEWQCBVKUOUNXKXHWCMXCXDXDXKX
      HUKWPFFVJCCUQUNUFUSUFXJWDVJXHPHZMHWHVJWCXHWPCBFEVAXAWFVJWPVBZCCFFVAZVCVDX
      MWGWDMVJXAPHZWFPHXMWGVJXAWFWPXNXOVEXPWEWFPXPVJVSPHWEXAVSVJPXEUFAVRDADVBVF
      USUAUEUFUSVGUHVG $.
      $( [7-Oct-1999] $)

    ${
      normlem1.4 $e |- R e. RR $.
      normlem1.5 $e |- ( abs ` S ) = 1 $.
      $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
         [Beran] p. 97. $)
      normlem1 $p |- ( ( F -h ( ( S x. R ) .h G ) ) .ih
                         ( F -h ( ( S x. R ) .h G ) ) ) =
                ( ( ( F .ih F ) + ( ( ( * ` S ) x. -u R ) x. ( F .ih G ) ) ) +
  ( ( ( S x. -u R ) x. ( G .ih F ) ) + ( ( R ^ 2 ) x. ( G .ih G ) ) ) ) $=
        ( cmul co csm cmv csp ccj cfv cneg caddc c2 cexp recn mulcl normlem0
        cjmul cr wcel wceq cjreb mpbi opreq2i eqtr negeqi cjcl mulneg2 eqtr4
        opreq1i eqcomi mul4 c1 cabs absvalsq sq1 3eqtr3 opreq12i mulid2 3eqtr
        sqval ) CBAJKZDLKMKZVINKCCNKZVHOPZQZCDNKZJKZRKZVHQZDCNKZJKZVHVKJKZDDNKZ
        JKZRKZRKVJBOPZAQZJKZVMJKZRKZBWDJKZVQJKZASTKZVTJKZRKZRKVHCDBAEAHUAZUBFGU
        CVOWGWBWLRVNWFVJRVLWEVMJVLWCAJKZQWEVKWNVKWCAOPZJKZWNBAEWMUDZWOAWCJAUEUF
        WOAUGHAWMUHUIZUJUKULWCABEUMZWMUNUOUPUJVRWIWAWKRVPWHVQJWHVPBAEWMUNUQUPVS
        WJVTJVSAAJKZWJVSVHWPJKBWCJKZAWOJKZJKZWTVKWPVHJWQUJBAWCWOEWMWSAWMUMURXCU
        SWTJKWTXAUSXBWTJBUTPZSTKUSSTKXAUSXDUSSTIUPBEVAVBVCWOAAJWRUJVDWTAAWMWMUB
        VEUKVFAWMVGUOUPVDVDUK $.
        $( [22-Aug-1999] $)
    $}

    ${
      normlem2.4 $e |- B = -u ( ( ( * ` S ) x. ( F .ih G ) ) +
                    ( S x. ( G .ih F ) ) ) $.
      $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
         [Beran] p. 97. $)
      normlem2 $p |- B e. RR $=
        ( ccj cfv csp co cmul caddc cneg cr wcel wceq cjcj eqcomi his1
        opreq12i cjcl hicl cjmul eqtr4 opreq2i mulcl addcom cjadd 3eqtr4r
        addcl cjreb mpbir renegcl eqeltr ) ABIJZCDKLZMLZBDCKLZMLZNLZOPHVBVBPQVB
        IJZVBRVAUSNLUSIJZVAIJZNLVBVCVAVDUSVENVAUQIJZURIJZMLVDBVFUTVGMVFBBESTDCG
        FUAUBUQURBEUCZCDFGUDZUEUFUSUQUTIJZMLVEURVJUQMCDFGUAUGBUTEDCGFUDZUEUFUBU
        SVAUQURVHVIUHZBUTEVKUHZUIUSVAVLVMUJUKVBUSVAVLVMULUMUNUOUP $.
        $( [27-Jul-1999] $)

      ${
        normlem3.5 $e |- A = ( G .ih G ) $.
        normlem3.6 $e |- C = ( F .ih F ) $.
        ${
          normlem3.7 $e |- R e. RR $.
          $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii)
             of [Beran] p. 97. $)
          normlem3 $p |- ( ( ( A x. ( R ^ 2 ) ) + ( B x. R ) ) + C ) =
                ( ( ( F .ih F ) + ( ( ( * ` S ) x. -u R ) x. ( F .ih G ) ) ) +
  ( ( ( S x. -u R ) x. ( G .ih F ) ) + ( ( R ^ 2 ) x. ( G .ih G ) ) ) ) $=
            ( c2 cexp co cmul caddc csp ccj cfv cneg cc hicl eqeltr recn sqcl
            mulcl normlem2 addcom cjcl addcl mulneg1 opreq1i mulneg2 3eqtr4
            negcl adddir mul23 opreq12i 3eqtr mulcom opreq2i eqtr3 addass ) CAD
            OPQZRQZBDRQZSQZSQFFTQZEUAUBZDUCZRQZFGTQZRQZEVMRQZGFTQZRQZVGGGTQZRQZ
            SQZSQZSQVJCSQVKVPSQWBSQCVKVJWCSMVJVIVHSQVPVSSQZWASQWCVHVIAVGAVTUDLG
            GJJUEZUFZDDNUGZUHZUIZBDBBEFGHIJKUJUGWGUIZUKVIWDVHWASVIVLVORQZEVRRQZ
            SQZVMRQZWKVMRQZWLVMRQZSQWDWMUCZDRQWMDRQUCVIWNWMDWKWLVLVOEHULZFGIJUE
            ZUIZEVRHGFJIUEZUIZUMZWGUNBWQDRKUOWMDXCWGUPUQWKWLVMWTXBDWGURZUSWOVPW
            PVSSVLVOVMWRWSXDUTEVRVMHXAXDUTVAVBVGARQVHWAVGAWHWFVCAVTVGRLVDVEVAVP
            VSWAVNVOVLVMWRXDUIWSUIZVQVREVMHXDUIXAUIZVGVTWHWEUIZVFVBVAVJCVHVIWIW
            JUMCVKUDMFFIIUEZUFUKVKVPWBXHXEVSWAXFXGUMVFUQ $.
            $( [21-Aug-1999] $)
        $}


        ${
          normlem4.7 $e |- R e. RR $.
          normlem4.8 $e |- ( abs ` S ) = 1 $.
          $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii)
             of [Beran] p. 97. $)
          normlem4 $p |- ( ( F -h ( ( S x. R ) .h G ) ) .ih
                       ( F -h ( ( S x. R ) .h G ) ) ) =
                       ( ( ( A x. ( R ^ 2 ) ) + ( B x. R ) ) + C ) $=
            ( cmul co csm cmv csp ccj cfv cneg caddc c2 cexp normlem1 normlem3
            eqtr4 ) FEDPQGRQSQZUJTQFFTQEUAUBDUCZPQFGTQPQUDQEUKPQGFTQPQDUEUFQZGG
            TQPQUDQUDQAULPQBDPQUDQCUDQDEFGHIJNOUGABCDEFGHIJKLMNUHUI $.
            $( [29-Jul-1999] $)

          $( Lemma used to derive properties of norm.  Part of Theorem
             3.3(ii) of [Beran] p. 97. $)
          normlem5 $p |- 0 <_
                       ( ( ( A x. ( R ^ 2 ) ) + ( B x. R ) ) + C ) $=
            ( cc0 cmul co csm cmv csp c2 cexp caddc cle chil wcel wbr recn
            mulcl hvmulcl hvsubcl hiidge0t ax-mp normlem4 breqtr ) PFEDQRZGSRZT
            RZUSUARZADUBUCRQRBDQRUDRCUDRUEUSUFUGPUTUEUHFURIUQGEDHDNUIUJJUKULUSU
            MUNABCDEFGHIJKLMNOUOUP $.
            $( [10-Aug-1999] $)
        $}

        ${
          $d x A $.  $d x B $.  $d x C $.
          normlem6.7 $e |- ( abs ` S ) = 1 $.
          $( Lemma used to derive properties of norm.  Part of Theorem
             3.3(ii) of [Beran] p. 97. $)
          normlem6 $p |- ( abs ` B ) <_
                       ( 2 x. ( ( sqr ` A ) x. ( sqr ` C ) ) ) $=
            ( vx c2 cexp co csqr cfv c4 cmul cabs cle wbr cc0 caddc cmin csp
            chil wcel hiidge0t ax-mp breqtrr cr hiidrclt eqeltr normlem2 cv
            cif wceq opreq1 opreq2d opreq2 opreq12d opreq1d breq2d 0re elimel
            normlem5 dedth rgen discrlem resqcl 4re remulcl lesubadd2 mpbi
            recn addid1 breqtr wb sqge0 4pos ltlei mulge0 mp2an sqrle absre
            sqrmuli sqr4 opreq12i eqtr2 3brtr4 ) BOPQZRSZTACUAQZUAQZRSZBUBSOARS
            CRSUAQZUAQZUCWNWQUCUDZWOWRUCUDZWNWQUEUFQZWQUCWNWQUGQUEUCUDZWNXCUCUD
            UEAUCUDZXDUEFFUHQZAUCFUIUJZUEXFUCUDIFUKULKUMZNABCAXFUNKXGXFUNUJIFUO
            ULUPZBDEFGHIJUQZCEEUHQZUNLEUIUJZXKUNUJHEUOULUPZUEANURZOPQZUAQZBXNUA
            QZUFQZCUFQZUCUDZNUNXNUNUJZXTUEAYAXNUEUSZOPQZUAQZBYBUAQZUFQZCUFQZUCU
            DXNUEXNYBUTZXSYGUEUCYHXRYFCUFYHXPYDXQYEUFYHXOYCAUAXNYBOPVAVBXNYBBUA
            VCVDVEVFABCYBDEFGHIJKLXNUEUNVGVHMVIVJVKVLULWNWQUEBXJVMZTWPVNACXIXMV
            OZVOZVGVPVQWQWQYKVRVSVTUEWNUCUDUEWQUCUDZXAXBWABXJWBUETUCUDUEWPUCUDZ
            YLUETVGVNWCWDZXEUECUCUDYMXHUEXKCUCXLUEXKUCUDHEUKULLUMZACXIXMWEWFZTW
            PVNYJWEWFWNWQYIYKWGWFVQBXJWHWRTRSZWPRSZUAQWTTWPVNYJYNYPWIYQOYRWSUAW
            JACXIXMXHYOWIWKWLWM $.
            $( [2-Aug-1999] $)

        $}
      $}
    $}

    ${
      normlem7.4 $e |- ( abs ` S ) = 1 $.
      $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
         [Beran] p. 97. $)
      normlem7 $p |- ( ( ( * ` S ) x. ( F .ih G ) ) + ( S x. ( G .ih F ) ) ) <_
                ( 2 x. ( ( sqr ` ( G .ih G ) ) x. ( sqr ` ( F .ih F ) ) ) ) $=
        ( ccj cfv csp co cmul caddc cneg cabs cle wbr c2 csqr cr wcel eqid
        normlem2 cjcl hicl mulcl addcl negreb mpbi leabs absneg breqtrr
        normlem6 negcl abscl 2re cc0 chil hiidge0t ax-mp hiidrclt sqrcl
        remulcl letr mp2an ) AHIZBCJKZLKZACBJKZLKZMKZVKNZOIZPQVMRCCJKZSIZBBJKZS
        IZLKZLKZPQVKVSPQVKVKOIVMPVKVLTUAVKTUAVLABCDEFVLUBZUCVKVHVJVFVGADUDBCEFU
        EUFAVIDCBFEUEUFUGZUHUIZUJVKWAUKULVNVLVPABCDEFVTVNUBVPUBGUMVKVMVSWBVLVKW
        AUNUORVRUPVOVQUQVNPQZVOTUACURUAZWCFCUSUTVNWDVNTUAFCVAUTVBUTUQVPPQZVQTUA
        BURUAZWEEBUSUTVPWFVPTUAEBVAUTVBUTVCVCVDVE $.
        $( [11-Aug-1999] $)
    $}
  $}

  ${
    normlem8.1 $e |- A e. H~ $.
    normlem8.2 $e |- B e. H~ $.
    normlem8.3 $e |- C e. H~ $.
    normlem8.4 $e |- D e. H~ $.
    $( Lemma used to derive properties of norm. $)
    normlem8 $p |- ( ( A +h B ) .ih ( C +h D ) ) =
        ( ( ( A .ih C ) + ( B .ih D ) ) + ( ( A .ih D ) + ( B .ih C ) ) ) $=
      ( cva co csp caddc chil wcel wceq his7t mp3an opreq12i hvaddcl ax-his2
      hicl add42 3eqtr4 ) ACDIJZKJZBUDKJZLJZACKJZADKJZLJZBCKJZBDKJZLJZLJABIJUDK
      JZUHULLJUIUKLJLJUEUJUFUMLAMNZCMNZDMNZUEUJOEGHACDPQBMNZUPUQUFUMOFGHBCDPQRU
      OURUDMNUNUGOEFCDGHSABUDTQUHULUIUKACEGUABDFHUAADEHUABCFGUAUBUC $.
      $( [1-Jul-2005] $) $( [30-Jun-2005] $)

    $( Lemma used to derive properties of norm. $)
    normlem9 $p |- ( ( A -h B ) .ih ( C -h D ) ) =
        ( ( ( A .ih C ) + ( B .ih D ) ) - ( ( A .ih D ) + ( B .ih C ) ) ) $=
      ( cmv co csp c1 cneg csm cva caddc cmin hvsubval opreq12i ax1cn negcl
      hvmulcl normlem8 cmul ccj cfv cc wcel chil wceq ax-his3 mp3an his5t
      opreq2i cr 1re renegcl cjret ax-mp mul2neg mulid2 3eqtr opreq1i cjcl
      hicl mulass 3eqtr3 mulm1 eqtr negdi eqtr4 addcl negsub ) ABIJZCDIJZKJALMZ
      BNJZOJZCVPDNJZOJZKJACKJZVQVSKJZPJZAVSKJZVQCKJZPJZPJZWABDKJZPJZADKJZBCKJZP
      JZQJZVNVRVOVTKABEFRCDGHRSAVQCVSEVPBLTUAZFUBGVPDWNHUBZUCWGWIWLMZPJWMWCWIWF
      WPPWBWHWAPWBVPBVSKJZUDJZVPVPUEUFZWHUDJZUDJZWHVPUGUHZBUIUHZVSUIUHWBWRUJWNF
      WOVPBVSUKULWQWTVPUDXBXCDUIUHZWQWTUJWNFHVPBDUMULUNVPWSUDJZWHUDJLWHUDJXAWHX
      ELWHUDXEVPVPUDJLLUDJLWSVPVPUDVPUOUHWSVPUJLUPUQVPURUSZUNLLTTUTLTVAVBVCVPWS
      WHWNVPWNVDBDFHVEZVFWHXGVAVGVBUNWFWJMZWKMZPJWPWDXHWEXIPWDWSWJUDJZVPWJUDJXH
      XBAUIUHXDWDXJUJWNEHVPADUMULWSVPWJUDXFVCWJADEHVEZVHVBWEVPWKUDJZXIXBXCCUIUH
      WEXLUJWNFGVPBCUKULWKBCFGVEZVHVISWJWKXKXMVJVKSWIWLWAWHACEGVEXGVLWJWKXKXMVL
      VMVIVB $.
      $( [1-Jul-2005] $) $( [30-Jun-2005] $)
  $}

  ${
    normlem7t.1 $e |- A e. H~ $.
    normlem7t.2 $e |- B e. H~ $.
    $( Lemma used to derive properties of norm.  Part of Theorem 3.3(ii) of
       [Beran] p. 97. $)
    normlem7tALT $p |- ( ( S e. CC /\ ( abs ` S ) = 1 ) ->
              ( ( ( * ` S ) x. ( A .ih B ) ) + ( S x. ( B .ih A ) ) ) <_
              ( 2 x. ( ( sqr ` ( B .ih B ) ) x. ( sqr ` ( A .ih A ) ) ) ) ) $=
      ( cc wcel cabs cfv c1 wceq wa ccj csp co cmul caddc c2 csqr cle wbr cif
      fveq2 opreq1d opreq1 opreq12d breq1d eleq1 eqeq1d anbi12d ax1cn cc0 0re
      1re lt01 ltlei absid ax-mp pm3.2i elimhyp pm3.26i pm3.27i normlem7 dedth
      ) CFGZCHIZJKZLZCMIZABNOZPOZCBANOZPOZQOZRBBNOSIAANOSIPOPOZTUAVHCJUBZMIZVJP
      OZVPVLPOZQOZVOTUACJCVPKZVNVTVOTWAVKVRVMVSQWAVIVQVJPCVPMUCUDCVPVLPUEUFUGVP
      ABVPFGZVPHIZJKZVHWBWDLJFGZJHIZJKZLCJWAVEWBVGWDCVPFUHWAVFWCJCVPHUCUIUJJVPK
      ZWEWBWGWDJVPFUHWHWFWCJJVPHUCUIUJWEWGUKULJTUAWGULJUMUNUOUPJUNUQURUSUTZVADE
      WBWDWIVBVCVD $.
      $( [11-Oct-1999] $)

    $( Equality case of Bunjakovaskij-Cauchy-Schwarz inequality.  Specifically,
       in the equality case the two vectors are collinear.  Compare
       ~ bcsHIL . $)
    bcseq $p |- ( ( ( A .ih B ) x. ( B .ih A ) ) = ( ( A .ih A ) x.
             ( B .ih B ) ) <-> ( ( B .ih B ) .h A ) = ( ( A .ih B ) .h B ) ) $=
      ( csp co cmul wceq csm cmv c0v cc0 caddc cmin opreq1 eqcomd ccj cfv cc
      wcel chil hicl hvmulcl his5t mp3an cr hiidrclt ax-mp cjret ax-his3
      opreq12i mulcl mulcom opreq1i eqtr4 3eqtr his1 eqcomi mulass 3eqtr4g
      mul23 3eqtr4r a1i opreq12d opreq1d addcl subid syl6eq normlem9 syl5eq wb
      hvsubcl his6t sylib hvsubeq0 impbi ) ABEFZBAEFZGFZAAEFZBBEFZGFZHZWAAIFZVQ
      BIFZHZWCWDWEJFZKHZWFWCWGWGEFZLHZWHWCWDWDEFZWEWEEFZMFZWDWEEFZWEWDEFZMFZNFZ
      LWIWCWQWPWPNFLWCWMWPWPNWCWKWNWLWOMWCWBWAGFZVSWAGFZWKWNWCWSWRVSWBWAGOPWKWA
      QRZWDAEFZGFZWAWAVTGFZGFZWRWASTZWDUATZAUATZWKXBHBBDDUBZWAAXHCUCZCWAWDAUDUE
      WTWAXAXCGWAUFTZWTWAHBUATZXJDBUGUHWAUIUHZXEXGXGXAXCHXHCCWAAAUJUEZUKXDXCWAG
      FWRWAXCXHWAVTXHAACCUBZULUMWBXCWAGVTWAXNXHUMZUNUOUPWNVQQRZWDBEFZGFZVRWAVQG
      FZGFZWSVQSTZXFXKWNXRHABCDUBZXIDVQWDBUDUEXPVRXQXSGVRXPBADCUQURZXEXGXKXQXSH
      XHCDWAABUJUEUKXTXSVRGFWAVSGFZWSVRXSBADCUBZWAVQXHYBULUMWAVQVRXHYBYEUSWAVSX
      HVQVRYBYEULZUMUPUPUTWLWOHWCWTWEAEFZGFZYDWOWLWTWAYGVSGXLYAXKXGYGVSHYBDCVQB
      AUJUEZUKXEWEUATZXGWOYHHXHVQBYBDUCZCWAWEAUDUEWLXPWEBEFZGFZVRVQWAGFZGFZYDYA
      YJXKWLYMHYBYKDVQWEBUDUEXPVRYLYNGYCYAXKXKYLYNHYBDDVQBBUJUEUKYOYNVRGFWSYDVR
      YNYEVQWAYBXHULUMVQWAVRYBXHYEVAVSWAYFXHUMUPUPVBVCVDVEWPWNWOWDWEXIYKUBWEWDY
      KXIUBVFVGVHWDWEWDWEXIYKXIYKVIVJWGUATWJWHVKWDWEXIYKVLWGVMUHVNWDWEXIYKVOVNW
      FWBVSWFXAYGWBVSWDWEAEOWBXCXAXOXMUOYGVSYIURUTPVP $.
      $( [16-Jul-2001] $)
  $}

  $( Lemma used to derive properties of norm.  Part of Remark 3.4(B) of
     [Beran] p. 98. $)
  normlem9at $p |- ( ( A e. H~ /\ B e. H~ ) -> ( ( A -h B ) .ih ( A -h B ) ) =
      ( ( ( A .ih A ) + ( B .ih B ) ) - ( ( A .ih B ) + ( B .ih A ) ) ) ) $=
    ( chil wcel cmv co csp caddc cmin wceq c0v cif opreq1 opreq12d id opreq1d
    opreq2 eqeq12d opreq2d ax-hv0cl elimel normlem9 dedth2h ) ACDZBCDZABEFZUFGF
    ZAAGFZBBGFZHFZABGFZBAGFZHFZIFZJUDAKLZBEFZUPGFZUOUOGFZUIHFZUOBGFZBUOGFZHFZIF
    ZJUOUEBKLZEFZVEGFZURVDVDGFZHFZUOVDGFZVDUOGFZHFZIFZJABKKAUOJZUGUQUNVCVMUFUPU
    FUPGAUOBEMZVNNVMUJUSUMVBIVMUHURUIHVMAUOAUOGVMOZVONPVMUKUTULVAHAUOBGMAUOBGQN
    NRBVDJZUQVFVCVLVPUPVEUPVEGBVDUOEQZVQNVPUSVHVBVKIVPUIVGURHVPBVDBVDGVPOZVRNSV
    PUTVIVAVJHBVDUOGQBVDUOGMNNRUOVDUOVDAKCTUAZBKCTUAZVSVTUBUC $.
    $( [30-May-2005] $) $( [10-May-2005] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                         Norms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Alternate definition of the norm of a vector of Hilbert space.
       Definition of norm in [Beran] p. 96. $)
    dfhnorm2 $p |- normh =
                  { <. x , y >. | ( x e. H~ /\ y = ( sqr ` ( x .ih x ) ) ) } $=
      ( cno cv csp cdm wcel co csqr cfv wceq wa copab chil df-hnorm cxp cc
      ax-hfi fdmi dmeqi dmxpid eqtr2 eleq2i anbi1i opabbii eqtr4 ) CADZEFZFZGZB
      DUGUGEHIJKZLZABMUGNGZUKLZABMABOUNULABUMUJUKNUIUGUINNPZFNUHUOUOQERSTNUAUBU
      CUDUEUF $.
      $( [12-Jun-2008] $) $( [6-Jun-2008] $)

    $( The norm function maps from Hilbert space to reals. $)
    normf $p |- normh : H~ --> RR $=
      ( vx vy chil cr cv csp co csqr cfv cno dfhnorm2 wcel cc0 cle wbr sqrclt
      hiidrclt hiidge0t sylanc fopab ) ABCDAEZUAFGZHIZJABKUBDLMUBNOUCDLUACLUBPU
      AQUARST $.
      $( [6-Sep-2007] $) $( [6-Sep-2007] $)
  $}

  ${
    $d x y A $.
    $( The value of the norm of a vector in Hilbert space.  Definition of
       norm in [Beran] p. 96.  In the literature, the norm of ` A ` is
       usually written as "|| ` A ` ||", but we use function value notation
       to take advantage of our existing theorems about functions. $)
    normvalt $p |- ( A e. H~ -> ( normh ` A ) = ( sqr ` ( A .ih A ) ) ) $=
      ( vx vy cv csp co csqr cfv chil cno wceq opreq12 anidms fveq2d dfhnorm2
      fvex fvopab4 ) BCABDZREFZGHAAEFZGHIJRAKZSTGUASTKRARAELMNBCOTGPQ $.
      $( [29-May-1999] $)
  $}

  $( Real closure of the norm of a vector. $)
  normclt $p |- ( A e. H~ -> ( normh ` A ) e. RR ) $=
    ( chil cr cno normf ffvelrni ) BCADEF $.
    $( [29-May-1999] $)

  $( The norm of a vector is nonnegative. $)
  normge0t $p |- ( A e. H~ -> 0 <_ ( normh ` A ) ) $=
    ( chil wcel cc0 csp co csqr cfv cno cle cr wbr sqrge0t hiidrclt hiidge0t
    sylanc normvalt breqtrrd ) ABCZDAAEFZGHZAIHJTKCDTJLDUAJLSTMANAOPAQR $.
    $( [29-May-1999] $)

  $( The norm of non-zero vector is positive. $)
  normgt0tOLD $p |- ( A e. H~ -> ( -. A = 0h <-> 0 < ( normh ` A ) ) ) $=
    ( chil wcel c0v wceq wn cc0 csp co csqr cfv clt wbr cno cr wa sqrgt0t
    hiidrclt adantr wne ax-his4 df-ne sylan2br sylanc ex opreq1 hi01t
    sylan9eqr fveq2d sqr0 syl6eq wb cle sqrclt hiidge0t 0re jctir lttri3t syl
    pm3.27 syl6bi syld con2d impbid normvalt breq2d bitr4d ) ABCZADEZFZGAAHIZJK
    ZLMZGANKZLMVHVJVMVHVJVMVKOCZGVKLMZVMVHVJPVKQVHVOVJARZSVHADTVPVJAUAADUBUCUDU
    EVHVIVMVHVIVLGEZVMFZVHVIVRVHVIPZVLGJKGVTVKGJVIVHVKDAHIGADAHUFAUGUHUIUJUKUEV
    HVRVLGLMFZVSPZVSVHVLOCZGOCZPVRWBULVHWCWDVOGVKUMMWCVHVKUNVQAUOUDUPUQVLGURUSW
    AVSUTVAVBVCVDVHVNVLGLAVEVFVG $.
    $( [29-May-1999] $)

  $( The norm of non-zero vector is positive. $)
  normgt0t $p |- ( A e. H~ -> ( A =/= 0h <-> 0 < ( normh ` A ) ) ) $=
    ( chil wcel c0v wne cc0 csp co csqr cfv clt wbr cno cr wa sqrgt0t hiidrclt
    adantr ax-his4 sylanc ex wceq wn opreq1 hi01t sylan9eqr fveq2d sqr0 syl6eq
    wb cle sqrclt hiidge0t 0re jctir lttri3t syl pm3.27 syl6bi syld necon2ad
    impbid normvalt breq2d bitr4d ) ABCZADEZFAAGHZIJZKLZFAMJZKLVFVGVJVFVGVJVHNC
    ZFVHKLVJVFVGOVHPVFVLVGAQZRASTUAVFVJADVFADUBZVIFUBZVJUCZVFVNVOVFVNOZVIFIJFVQ
    VHFIVNVFVHDAGHFADAGUDAUEUFUGUHUIUAVFVOVIFKLUCZVPOZVPVFVINCZFNCZOVOVSUJVFVTW
    AVLFVHUKLVTVFVHULVMAUMTUNUOVIFUPUQVRVPURUSUTVAVBVFVKVIFKAVCVDVE $.
    $( [3-May-2006] $) $( [10-Apr-2006] $)

  $( The norm of a zero vector. $)
  norm0 $p |- ( normh ` 0h ) = 0 $=
    ( c0v cno cfv csp co csqr cc0 chil wcel wceq ax-hv0cl normvalt ax-mp hi01t
    fveq2d sqr0 3eqtr ) ABCZAADEZFCZGFCZGAHIZRTJKALMUBTUAJKUBSGFANOMPQ $.
    $( [30-May-1999] $)

  $( Theorem 3.3(i) of [Beran] p. 97. $)
  norm-it $p |- ( A e. H~ -> ( ( normh ` A ) = 0 <-> A = 0h ) ) $=
    ( chil wcel c0v wceq cno cfv cc0 wne clt wbr normgt0t cr cle wb 0re
    leltnet mp3an1 normclt normge0t sylanc bitrd necon4bid bicomd ) ABCZADEAFGZ
    HEUEADUFHUEADIHUFJKZUFHIZALUFMCZHUFNKZUGUHOZUEHMCUIUJUKPHUFQRASATUAUBUCUD
    $.
    $( [29-Jul-1999] $)

  $( A norm is nonzero iff its argument is a nonzero vector. $)
  normne0t $p |- ( A e. H~ -> ( ( normh ` A ) =/= 0 <-> A =/= 0h ) ) $=
    ( chil wcel cno cfv cc0 c0v norm-it necon3bid ) ABCADEFAGAHI $.
    $( [12-Mar-2006] $) $( [11-Mar-2006] $)

  ${
    normcl.1 $e |- A e. H~ $.
    $( Real closure of the norm of a vector. $)
    normcl $p |- ( normh ` A ) e. RR $=
      ( chil wcel cno cfv cr normclt ax-mp ) ACDAEFGDBAHI $.
      $( [30-Sep-1999] $)

    $( The square of a norm. $)
    normsq $p |- ( ( normh ` A ) ^ 2 ) = ( A .ih A ) $=
      ( cno cfv c2 cexp co csp csqr chil wcel wceq normvalt ax-mp opreq1i cc0
      cle wbr hiidge0t cr hiidrclt sqsqr eqtr ) ACDZEFGAAHGZIDZEFGZUEUDUFEFAJKZ
      UDUFLBAMNOPUEQRZUGUELUHUIBASNUEUHUETKBAUANUBNUC $.
      $( [21-Aug-1999] $)

    $( Theorem 3.3(i) of [Beran] p. 97. $)
    norm-i $p |- ( ( normh ` A ) = 0 <-> A = 0h ) $=
      ( chil wcel cno cfv cc0 wceq c0v wb norm-it ax-mp ) ACDAEFGHAIHJBAKL $.
      $( [5-Sep-1999] $)
  $}

  $( The square of a norm. $)
  normsqt $p |- ( A e. H~ -> ( ( normh ` A ) ^ 2 ) = ( A .ih A ) ) $=
    ( chil wcel cno cfv c2 cexp co csp wceq c0v cif fveq2 opreq1d id opreq12d
    eqeq12d ax-hv0cl elimel normsq dedth ) ABCZADEZFGHZAAIHZJUBAKLZDEZFGHZUFUFI
    HZJAKAUFJZUDUHUEUIUJUCUGFGAUFDMNUJAUFAUFIUJOZUKPQUFAKBRSTUA $.
    $( [3-Jul-2005] $) $( [12-May-2005] $)

  ${
    normsub0.1 $e |- A e. H~ $.
    normsub0.2 $e |- B e. H~ $.
    $( Two vectors are equal iff the norm of their difference is zero. $)
    normsub0 $p |- ( ( normh ` ( A -h B ) ) = 0 <-> A = B ) $=
      ( cmv co cno cfv cc0 wceq c0v hvsubcl norm-i hvsubeq0 bitr ) ABEFZGHIJPKJ
      ABJPABCDLMABCDNO $.
      $( [18-Aug-1999] $)
  $}

  $( Two vectors are equal iff the norm of their difference is zero. $)
  normsub0t $p |- ( ( A e. H~ /\ B e. H~ ) ->
                  ( ( normh ` ( A -h B ) ) = 0 <-> A = B ) ) $=
    ( chil wcel cmv co cno cfv cc0 wceq wb c0v cif opreq1 fveq2d eqeq1d eqeq1
    bibi12d opreq2 eqeq2 ax-hv0cl elimel normsub0 dedth2h ) ACDZBCDZABEFZGHZIJZ
    ABJZKUEALMZBEFZGHZIJZUKBJZKUKUFBLMZEFZGHZIJZUKUPJZKABLLAUKJZUIUNUJUOVAUHUMI
    VAUGULGAUKBENOPAUKBQRBUPJZUNUSUOUTVBUMURIVBULUQGBUPUKESOPBUPUKTRUKUPALCUAUB
    BLCUAUBUCUD $.
    $( [18-Aug-1999] $)

  ${
    norm-ii.1 $e |- A e. H~ $.
    norm-ii.2 $e |- B e. H~ $.
    $( Triangle inequality for norms.  Theorem 3.3(ii) of [Beran] p. 97. $)
    norm-ii $p |- ( normh ` ( A +h B ) ) <_
                  ( ( normh ` A ) + ( normh ` B ) ) $=
      ( cva co csp csqr cfv caddc cno cle c2 cexp wbr cmul c1 ccj cr wcel wceq
      1re ax1cn cjreb mpbi opreq1i hicl mulid2 eqtr opreq12i cc0 cabs 0re lt01
      ltlei absid ax-mp normlem7 eqbrtrr cneg eqid normlem2 cjcl mulcl addcl
      negreb eqeltrr 2re chil hiidge0t hiidrclt sqrcl remulcl readdcl leadd2
      normlem8 addcom opreq2i recn binom2 sqcl 2cn add23 sqsqr 3eqtr 3brtr4 wb
      hvaddcl sqge0 resqcl sqrle mp2an sqrge0 addge0 sqrsq breqtr normvalt ) AB
      EFZWRGFZHIZAAGFZHIZBBGFZHIZJFZWRKIZAKIZBKIZJFLWTXEMNFZHIZXELWSXILOZWTXJLO
      ZXAXCJFZBAGFZABGFZJFZJFZXMMXBXDPFZPFZJFZWSXILXPXSLOXQXTLOQRIZXNPFZQXOPFZJ
      FZXPXSLYBXNYCXOJYBQXNPFXNYAQXNPQSTYAQUAUBQUCUDUEUFXNBADCUGZUHUIXOABCDUGZU
      HUJZQBAUCDCUKQLOQULIQUAUKQUMUBUNUOQUBUPUQURUSXPXSXMYDXPSYGYDUTZSTYDSTYHQB
      AUCDCYHVAVBYDYBYCYAXNQUCVCYEVDQXOUCYFVDVEVFUEVGMXRVHXBXDUKXALOZXBSTAVITZY
      ICAVJUQZXAYJXASTCAVKUQZVLUQZUKXCLOZXDSTBVITZYNDBVJUQZXCYOXCSTDBVKUQZVLUQZ
      VMVMXAXCYLYQVNVOUEWSXMXOXNJFZJFXQABABCDCDVPYSXPXMJXOXNYFYEVQVRUIXIXBMNFZX
      SJFXDMNFZJFYTUUAJFZXSJFXTXBXDXBYMVSZXDYRVSZVTYTXSUUAXBUUCWAMXRWBXBXDUUCUU
      DVDVDXDUUDWAWCUUBXMXSJYTXAUUAXCJYIYTXAUAYKXAYLWDUQYNUUAXCUAYPXCYQWDUQUJUF
      WEWFUKWSLOZUKXILOXKXLWGWRVITZUUEABCDWHZWRVJUQXEXBXDYMYRVNZWIWSXIUUFWSSTUU
      GWRVKUQXEUUHWJWKWLUEUKXELOZXJXEUAUKXBLOZUKXDLOZUUIYIUUJYKXAYLWMUQYNUUKYPX
      CYQWMUQXBXDYMYRWNWLXEUUHWOUQWPUUFXFWTUAUUGWRWQUQXGXBXHXDJYJXGXBUACAWQUQYO
      XHXDUADBWQUQUJWF $.
      $( [11-Aug-1999] $)
  $}

  $( Triangle inequality for norms.  Theorem 3.3(ii) of [Beran] p. 97. $)
  norm-iit $p |- ( ( A e. H~ /\ B e. H~ ) ->
               ( normh ` ( A +h B ) ) <_ ( ( normh ` A ) + ( normh ` B ) ) ) $=
    ( chil wcel cva co cno cfv caddc cle wbr c0v cif wceq opreq1 fveq2d fveq2
    opreq1d breq12d opreq2 opreq2d ax-hv0cl elimel norm-ii dedth2h ) ACDZBCDZAB
    EFZGHZAGHZBGHZIFZJKUFALMZBEFZGHZUMGHZUKIFZJKUMUGBLMZEFZGHZUPURGHZIFZJKABLLA
    UMNZUIUOULUQJVCUHUNGAUMBEOPVCUJUPUKIAUMGQRSBURNZUOUTUQVBJVDUNUSGBURUMETPVDU
    KVAUPIBURGQUASUMURALCUBUCBLCUBUCUDUE $.
    $( [11-Mar-2006] $) $( [10-Mar-2006] $)

  ${
    norm-iii.1 $e |- A e. CC $.
    norm-iii.2 $e |- B e. H~ $.
    $( Theorem 3.3(iii) of [Beran] p. 97. $)
    norm-iii $p |- ( normh ` ( A .h B ) ) = ( ( abs ` A ) x. ( normh ` B ) ) $=
      ( csm co csp csqr cfv ccj cmul cno cabs his35 fveq2i cjmulrcl chil wcel
      cr hiidrclt ax-mp cjmulge0 cc0 cle wbr hiidge0t sqrmuli eqtr wceq
      hvmulcl normvalt cc absvalt opreq12i 3eqtr4 ) ABEFZUPGFZHIZAAJIKFZHIZBBGF
      ZHIZKFZUPLIZAMIZBLIZKFURUSVAKFZHIVCUQVGHAABBCCDDNOUSVAACPBQRZVASRDBTUAACU
      BVHUCVAUDUEDBUFUAUGUHUPQRVDURUIABCDUJUPUKUAVEUTVFVBKAULRVEUTUICAUMUAVHVFV
      BUIDBUKUAUNUO $.
      $( [29-Jul-1999] $)
  $}

  $( Theorem 3.3(iii) of [Beran] p. 97. $)
  norm-iiit $p |- ( ( A e. CC /\ B e. H~ ) ->
                ( normh ` ( A .h B ) ) = ( ( abs ` A ) x. ( normh ` B ) ) ) $=
    ( cc wcel chil csm co cno cfv cabs cmul wceq cc0 cif c0v opreq1 fveq2d
    fveq2 opreq1d eqeq12d opreq2 opreq2d 0cn elimel ax-hv0cl norm-iii dedth2h
    ) ACDZBEDZABFGZHIZAJIZBHIZKGZLUHAMNZBFGZHIZUOJIZUMKGZLUOUIBONZFGZHIZURUTHIZ
    KGZLABMOAUOLZUKUQUNUSVEUJUPHAUOBFPQVEULURUMKAUOJRSTBUTLZUQVBUSVDVFUPVAHBUTU
    OFUAQVFUMVCURKBUTHRUBTUOUTAMCUCUDBOEUEUDUFUG $.
    $( [25-Oct-1999] $)

  ${
    normsub.1 $e |- A e. H~ $.
    normsub.2 $e |- B e. H~ $.
    $( Negative doesn't change the norm of a Hilbert space vector. $)
    normsub $p |- ( normh ` ( A -h B ) ) = ( normh ` ( B -h A ) ) $=
      ( cmv co cno cfv c1 cneg cabs cmul csm hvnegdi fveq2i ax1cn negcl
      hvsubcl norm-iii eqtr3 absneg cc0 cle wbr wceq 0re 1re lt01 ltlei absid
      ax-mp eqtr opreq1i normcl recn mulid2 3eqtr ) ABEFZGHZIJZKHZBAEFZGHZLFZIV
      CLFVCUTVBMFZGHUSVDVEURGBADCNOUTVBIPQBADCRZSTVAIVCLVAIKHZIIPUAUBIUCUDVGIUE
      UBIUFUGUHUIIUGUJUKULUMVCVCVBVFUNUOUPUQ $.
      $( [11-Aug-1999] $)

    $( Analogy to Pythagorean theorem for orthogonal vectors.  Remark 3.4(C) of
       [Beran] p. 98. $)
    normpyth $p |- ( ( A .ih B ) = 0 -> ( ( normh ` ( A +h B ) ) ^ 2 ) =
                   ( ( ( normh ` A ) ^ 2 ) + ( ( normh ` B ) ^ 2 ) ) ) $=
      ( csp co cc0 wceq cva caddc cno cfv c2 cexp id chil wcel wb orthcom
      mp2an biimp opreq12d 0cn addid1 syl6eq opreq2d hicl addcl normlem8
      syl5eq hvaddcl normsq opreq12i 3eqtr4g ) ABEFZGHZABIFZUQEFZAAEFZBBEFZJFZU
      QKLMNFAKLMNFZBKLMNFZJFUPVAUOBAEFZJFZJFZVAURUPVFVAGJFVAUPVEGVAJUPVEGGJFGUP
      UOGVDGJUPOUPVDGHZAPQBPQUPVGRCDABSTUAUBGUCUDUEUFVAUSUTAACCUGBBDDUGUHUDUEAB
      ABCDCDUIUJUQABCDUKULVBUSVCUTJACULBDULUMUN $.
      $( [17-Oct-1999] $)
  $}

  $( Swapping order of subtraction doesn't change the norm of a vector. $)
  normsubt $p |- ( ( A e. H~ /\ B e. H~ ) ->
                 ( normh ` ( A -h B ) ) = ( normh ` ( B -h A ) ) ) $=
    ( chil wcel cmv co cno cfv wceq c0v cif opreq1 fveq2d opreq2 eqeq12d
    ax-hv0cl elimel normsub dedth2h ) ACDZBCDZABEFZGHZBAEFZGHZITAJKZBEFZGHZBUFE
    FZGHZIUFUABJKZEFZGHZUKUFEFZGHZIABJJAUFIZUCUHUEUJUPUBUGGAUFBELMUPUDUIGAUFBEN
    MOBUKIZUHUMUJUOUQUGULGBUKUFENMUQUIUNGBUKUFELMOUFUKAJCPQBJCPQRS $.
    $( [14-Aug-1999] $)

  $( The norm of a vector equals the norm of its negative. $)
  normnegt $p |- ( A e. H~ ->
                 ( normh ` ( -u 1 .h A ) ) = ( normh ` A ) ) $=
    ( chil wcel c0v cmv co cno cfv c1 cneg csm wceq ax-hv0cl normsubt mpan
    hv2negt fveq2d hvsub0t 3eqtr3d ) ABCZDAEFZGHZADEFZGHZIJAKFZGHAGHDBCTUBUDLMD
    ANOTUAUEGAPQTUCAGARQS $.
    $( [10-Jun-2005] $) $( [23-May-2005] $)

  $( Analogy to Pythagorean theorem for orthogonal vectors.  Remark 3.4(C) of
     [Beran] p. 98. $)
  normpytht $p |- ( ( A e. H~ /\ B e. H~ ) ->
                 ( ( A .ih B ) = 0 -> ( ( normh ` ( A +h B ) ) ^ 2 ) =
                 ( ( ( normh ` A ) ^ 2 ) + ( ( normh ` B ) ^ 2 ) ) ) ) $=
    ( chil wcel csp co cc0 wceq cva cno cfv c2 cexp caddc wi c0v cif opreq1
    eqeq1d fveq2d opreq1d fveq2 eqeq12d imbi12d opreq2 opreq2d ax-hv0cl elimel
    normpyth dedth2h ) ACDZBCDZABEFZGHZABIFZJKZLMFZAJKZLMFZBJKZLMFZNFZHZOUKAPQZ
    BEFZGHZVDBIFZJKZLMFZVDJKZLMFZVANFZHZOVDULBPQZEFZGHZVDVNIFZJKZLMFZVKVNJKZLMF
    ZNFZHZOABPPAVDHZUNVFVCVMWDUMVEGAVDBERSWDUQVIVBVLWDUPVHLMWDUOVGJAVDBIRTUAWDU
    SVKVANWDURVJLMAVDJUBUAUAUCUDBVNHZVFVPVMWCWEVEVOGBVNVDEUESWEVIVSVLWBWEVHVRLM
    WEVGVQJBVNVDIUETUAWEVAWAVKNWEUTVTLMBVNJUBUAUFUCUDVDVNAPCUGUHBPCUGUHUIUJ $.
    $( [17-Oct-1999] $)

  $( Corollary to Pythagorean theorem for orthogonal vectors.  Remark 3.4(C) of
     [Beran] p. 98. $)
  normpyct $p |- ( ( A e. H~ /\ B e. H~ ) ->
            ( ( A .ih B ) = 0 -> ( normh ` A ) <_ ( normh ` ( A +h B ) ) ) ) $=
    ( chil wcel wa csp co cc0 wceq cno cfv c2 cexp cva cle wbr caddc cc cr
    normclt resqclt syl recnd ax0id adantr sqge0t adantl wb 0re leadd2t mp3an1
    ancoms syl2an mpbid eqbrtrrd normpytht imp breqtrrd ex le2sqt normge0t
    hvaddclt syl2anc sylibrd ) ACDZBCDZEZABFGHIZAJKZLMGZABNGZJKZLMGZOPZVIVLOPZV
    GVHVNVGVHEVJVJBJKZLMGZQGZVMOVGVJVROPVHVGVJHQGZVJVROVEVSVJIZVFVEVJRDVTVEVJVE
    VISDZVJSDZATZVIUAUBZUCVJUDUBUEVGHVQOPZVSVROPZVFWEVEVFVPSDZWEBTZVPUFUBUGWBVQ
    SDZWEWFUHZVEVFWIWBWJHSDWIWBWJUIHVQVJUJUKULWDVFWGWIWHVPUAUBUMUNUOUEVGVHVMVRI
    ABUPUQURUSWAHVIOPZVLSDZHVLOPZVOVNUHVGVIVLUTVEWAVFWCUEVEWKVFAVAUEVGVKCDZWLAB
    VBZVKTUBVGWNWMWOVKVAUBVCVD $.
    $( [26-Oct-1999] $)

  ${
    norm3dif.1 $e |- A e. H~ $.
    norm3dif.2 $e |- B e. H~ $.
    norm3dif.3 $e |- C e. H~ $.
    $( Norm of differences around common element.  Part of Lemma 3.6 of
       [Beran] p. 101. $)
    norm3dif $p |- ( normh ` ( A -h B ) ) <_ ( ( normh ` ( A -h C ) ) +
                   ( normh ` ( C -h B ) ) ) $=
      ( cmv co cno cfv cva caddc cle c1 cneg csm ax1cn negcl hvmulcl hvaddcl
      hvass c0v hvcom hvsubval chil wcel wceq hvsubidt ax-mp 3eqtr2 opreq1i
      ax-hv0cl ax-hvaddid 3eqtr eqtr3 opreq2i eqtr2 opreq12i 3eqtr4 fveq2i
      hvsubcl norm-ii eqbrtr ) ABGHZIJACGHZCBGHZKHZIJVEIJVFIJLHMVDVGIANOZBPHZKH
      ZAVHCPHZKHZCVIKHZKHZVDVGVNAVKVMKHZKHVJAVKVMDVHCNQRZFSZCVIFVHBVPESZTUAVOVI
      AKVKCKHZVIKHZVOVIVKCVIVQFVRUAVTUBVIKHVIUBKHZVIVSUBVIKVSCVKKHCCGHZUBVKCVQF
      UCCCFFUDCUEUFWBUBUGFCUHUIUJUKUBVIULVRUCVIUEUFWAVIUGVRVIUMUIUNUOUPUQABDEUD
      VEVLVFVMKACDFUDCBFEUDURUSUTVEVFACDFVACBFEVAVBVC $.
      $( [16-Aug-1999] $)

    $( Norm of differences around common element.  Part of Lemma 3.6 of [Beran]
       p. 101. $)
    norm3adif $p |- ( abs ` ( ( normh ` ( A -h C ) ) -
         ( normh ` ( B -h C ) ) ) ) <_ ( normh ` ( A -h B ) ) $=
      ( cmv co cno cfv cmin cabs cle wbr cneg hvsubcl normcl resubcl absle
      recn negsubdi2 caddc norm3dif normsub opreq1i breqtr lesubadd mpbir
      eqbrtr lenegcon1 mpbi mpbir2an ) ACGHZIJZBCGHZIJZKHZLJABGHZIJZMNUSOUQMNZU
      QUSMNZUQUSUNUPUMACDFPQZUOBCEFPQZRZURABDEPQZSUQOZUSMNUTVFUPUNKHZUSMUNUPUNV
      BTUPVCTUAVGUSMNUPUSUNUBHZMNUPBAGHIJZUNUBHVHMBCAEFDUCVIUSUNUBBAEDUDUEUFUPU
      NUSVCVBVEUGUHUIUQUSVDVEUJUKVAUNUSUPUBHMNACBDFEUCUNUPUSVBVCVEUGUHUL $.
      $( [30-Sep-1999] $)

    ${
      norm3lem.4 $e |- D e. RR $.
      $( Lemma involving norm of differences in Hilbert space. $)
      norm3lem $p |- ( ( ( normh ` ( A -h C ) ) < ( D / 2 ) /\
                         ( normh ` ( C -h B ) ) < ( D / 2 ) ) ->
                         ( normh ` ( A -h B ) ) < D ) $=
        ( cmv co cno cfv c2 cdiv clt wbr wa caddc hvsubcl normcl 2re 2ne0
        redivcl lt2add cle norm3dif readdcl lelttr mpan syl cmul recn 2times
        2cn divcan2OLD eqtr3 syl6breq ) ACIJZKLZDMNJZOPCBIJZKLZUTOPQZABIJZKLZUTUTR
        JZDOVCUSVBRJZVFOPZVEVFOPZUSVBUTUTURACEGSTZVACBGFSTZDMHUAUBUCZVLUDVEVGUE
        PVHVIABCEFGUFVEVGVFVDABEFSTUSVBVJVKUGUTUTVLVLUGUHUIUJMUTUKJVFDUTUTVLULU
        MMDUNDHULUBUOUPUQ $.
        $( [18-Aug-1999] $)
    $}
  $}

  $( Norm of differences around common element.  Part of Lemma 3.6 of
     [Beran] p. 101. $)
  norm3dift $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) -> ( normh ` ( A -h B ) )
                  <_ ( ( normh ` ( A -h C ) ) + ( normh ` ( C -h B ) ) ) ) $=
    ( chil wcel cmv co cno cfv caddc cle wbr c0v cif wceq opreq1 fveq2d
    opreq1d breq12d opreq2 opreq2d opreq12d breq2d ax-hv0cl elimel norm3dif
    dedth3h ) ADEZBDEZCDEZABFGZHIZACFGZHIZCBFGZHIZJGZKLUHAMNZBFGZHIZURCFGZHIZUP
    JGZKLABCMMMURUIBMNZFGZHIZVBCVDFGZHIZJGZKLVFURUJCMNZFGZHIZVJVDFGZHIZJGZKLAUR
    OZULUTUQVCKVPUKUSHAURBFPQVPUNVBUPJVPUMVAHAURCFPQRSBVDOZUTVFVCVIKVQUSVEHBVDU
    RFTQVQUPVHVBJVQUOVGHBVDCFTQUASCVJOZVIVOVFKVRVBVLVHVNJVRVAVKHCVJURFTQVRVGVMH
    CVJVDFPQUBUCURVDVJAMDUDUEBMDUDUECMDUDUEUFUG $.
    $( [11-May-2006] $) $( [20-Apr-2006] $)

  $( Norm of differences around common element. $)
  norm3dif2t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) -> ( normh ` ( A -h B )
                  ) <_ ( ( normh ` ( C -h A ) ) + ( normh ` ( C -h B ) ) ) ) $=
    ( chil wcel w3a cmv co cno cfv caddc cle norm3dift wceq normsubt 3adant2
    opreq1d breqtrd ) ADEZBDEZCDEZFZABGHIJACGHIJZCBGHIJZKHCAGHIJZUDKHLABCMUBUCU
    EUDKSUAUCUENTACOPQR $.
    $( [20-Apr-2007] $) $( [18-Apr-2007] $)

  $( Lemma involving norm of differences in Hilbert space. $)
  norm3lemt $p |- ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. H~ /\
                   D e. RR ) ) -> (
          ( ( normh ` ( A -h C ) ) < ( D / 2 ) /\
            ( normh ` ( C -h B ) ) < ( D / 2 ) ) ->
            ( normh ` ( A -h B ) ) < D ) ) $=
    ( chil wcel cr cmv co cno cfv c2 cdiv clt wbr wa wi c0v cif wceq opreq1
    fveq2d breq1d anbi1d imbi12d opreq2 anbi2d anbi12d imbi1d breq2d breq2
    ax-hv0cl elimel 2re norm3lem dedth4h ) AEFZBEFZCEFZDGFZACHIZJKZDLMIZNOZCBHI
    ZJKZVCNOZPZABHIZJKZDNOZQABCDRRUQARSZCHIZJKZVCNOZVGPZVLBHIZJKZDNOZQVOCURBRSZ
    HIZJKZVCNOZPZVLVTHIZJKZDNOZQVLUSCRSZHIZJKZVCNOZWHVTHIZJKZVCNOZPZWGQWJUTDLSZ
    LMIZNOZWMWQNOZPZWFWPNOZQRLAVLTZVHVPVKVSXBVDVOVGXBVBVNVCNXBVAVMJAVLCHUAUBUCU
    DXBVJVRDNXBVIVQJAVLBHUAUBUCUEBVTTZVPWDVSWGXCVGWCVOXCVFWBVCNXCVEWAJBVTCHUFUB
    UCUGXCVRWFDNXCVQWEJBVTVLHUFUBUCUECWHTZWDWOWGXDVOWKWCWNXDVNWJVCNXDVMWIJCWHVL
    HUFUBUCXDWBWMVCNXDWAWLJCWHVTHUAUBUCUHUIDWPTZWOWTWGXAXEWKWRWNWSXEVCWQWJNDWPL
    MUAZUJXEVCWQWMNXFUJUHDWPWFNUKUEVLVTWHWPAREULUMBREULUMCREULUMDLGUNUMUOUP $.
    $( [18-Aug-1999] $)

  ${
    norm3adift.1 $e |- C e. H~ $.
    $( Norm of differences around common element.  Part of Lemma 3.6 of [Beran]
       p. 101. $)
    norm3adift $p |- ( ( A e. H~ /\ B e. H~ ) ->
         ( abs ` ( ( normh ` ( A -h C ) ) -
         ( normh ` ( B -h C ) ) ) ) <_ ( normh ` ( A -h B ) ) ) $=
      ( chil wcel cmv co cno cfv cmin cabs cle wbr c0v cif wceq opreq1 fveq2d
      opreq1d breq12d opreq2d opreq2 ax-hv0cl elimel norm3adif dedth2h ) AEFZBE
      FZACGHZIJZBCGHZIJZKHZLJZABGHZIJZMNUHAOPZCGHZIJZUMKHZLJZURBGHZIJZMNUTUIBOP
      ZCGHZIJZKHZLJZURVEGHZIJZMNABOOAURQZUOVBUQVDMVLUNVALVLUKUTUMKVLUJUSIAURCGR
      STSVLUPVCIAURBGRSUABVEQZVBVIVDVKMVMVAVHLVMUMVGUTKVMULVFIBVECGRSUBSVMVCVJI
      BVEURGUCSUAURVECAOEUDUEBOEUDUEDUFUG $.
      $( [3-Oct-1999] $)
  $}

  ${
    normpar.1 $e |- A e. H~ $.
    normpar.2 $e |- B e. H~ $.
    $( Parallelogram law for norms.  Remark 3.4(B) of [Beran] p. 98. $)
    normpar $p |- ( ( ( normh ` ( A -h B ) ) ^ 2 ) +
                    ( ( normh ` ( A +h B ) ) ^ 2 ) ) =
                  ( ( 2 x. ( ( normh ` A ) ^ 2 ) ) +
                    ( 2 x. ( ( normh ` B ) ^ 2 ) ) ) $=
      ( cmv co csp cva caddc cno cfv c2 cexp cmul cneg cmin normlem9 hicl
      addcl negsub eqtr4 normlem8 opreq12i negcl add42 cc0 negid opreq2i
      addid1 add4 3eqtr hvsubcl normsq hvaddcl 2times eqtr 3eqtr4 ) ABEFZURGFZA
      BHFZUTGFZIFZAAGFZVCIFZBBGFZVEIFZIFZURJKLMFZUTJKLMFZIFLAJKLMFZNFZLBJKLMFZN
      FZIFVBVCVEIFZABGFZBAGFZIFZOZIFZVNVQIFZIFVNVNIFZVQVRIFZIFZVGUSVSVAVTIUSVNV
      QPFVSABABCDCDQVNVQVCVEAACCRZBBDDRZSZVOVPABCDRBADCRSZTUAABABCDCDUBUCVNVRVN
      VQWFVQWGUDWFWGUEWCWAUFIFWAVGWBUFWAIVQWGUGUHWAVNVNWFWFSUIVCVEVCVEWDWEWDWEU
      JUKUKVHUSVIVAIURABCDULUMUTABCDUNUMUCVKVDVMVFIVKLVCNFVDVJVCLNACUMUHVCWDUOU
      PVMLVENFVFVLVELNBDUMUHVEWEUOUPUCUQ $.
      $( [21-Aug-1999] $)
  $}

  $( Parallelogram law for norms.  Remark 3.4(B) of [Beran] p. 98. $)
  normpart $p |- ( ( A e. H~ /\ B e. H~ ) ->
          ( ( ( normh ` ( A -h B ) ) ^ 2 ) + ( ( normh ` ( A +h B ) ) ^ 2 ) ) =
       ( ( 2 x. ( ( normh ` A ) ^ 2 ) ) + ( 2 x. ( ( normh ` B ) ^ 2 ) ) ) ) $=
    ( chil wcel cmv co cno cfv c2 cexp cva caddc cmul wceq c0v cif opreq1
    fveq2d opreq1d opreq12d fveq2 opreq2d eqeq12d opreq2 ax-hv0cl elimel
    normpar dedth2h ) ACDZBCDZABEFZGHZIJFZABKFZGHZIJFZLFZIAGHZIJFZMFZIBGHZIJFZM
    FZLFZNUIAOPZBEFZGHZIJFZVEBKFZGHZIJFZLFZIVEGHZIJFZMFZVCLFZNVEUJBOPZEFZGHZIJF
    ZVEVQKFZGHZIJFZLFZVOIVQGHZIJFZMFZLFZNABOOAVENZUQVLVDVPWIUMVHUPVKLWIULVGIJWI
    UKVFGAVEBEQRSWIUOVJIJWIUNVIGAVEBKQRSTWIUTVOVCLWIUSVNIMWIURVMIJAVEGUASUBSUCB
    VQNZVLWDVPWHWJVHVTVKWCLWJVGVSIJWJVFVRGBVQVEEUDRSWJVJWBIJWJVIWAGBVQVEKUDRSTW
    JVCWGVOLWJVBWFIMWJVAWEIJBVQGUASUBUBUCVEVQAOCUEUFBOCUEUFUGUH $.
    $( [27-Apr-2007] $) $( [15-Apr-2007] $)

  ${
    normpar2.1 $e |- A e. H~ $.
    normpar2.2 $e |- B e. H~ $.
    normpar2.3 $e |- C e. H~ $.
    $( Corollary of parallelogram law for norms.  Part of Lemma 3.6 of [Beran]
       p. 100. $)
    normpar2 $p |- ( ( normh ` ( A -h B ) ) ^ 2 ) =
                   ( ( ( 2 x. ( ( normh ` ( A -h C ) ) ^ 2 ) ) +
                       ( 2 x. ( ( normh ` ( B -h C ) ) ^ 2 ) ) )
          - ( ( normh ` ( ( A +h B ) -h ( 2 .h C ) ) ) ^ 2 ) ) $=
      ( c2 cmv co cno cfv cexp cmul caddc cva csm cmin 2re hvsubcl normcl
      resqcl remulcl readdcl recn hvaddcl 2cn hvmulcl c4 cdiv 4re mulcl 2ne0
      divdir addcom cabs c1 cneg hvsubval opreq1i hvcom hvnegdi opreq12i
      hvsubcan2 eqtr ax1cn negcl hvadd23 3eqtr4 3eqtr hvsubdistr1 eqtr4 fveq2i
      norm-iii cc0 cle wbr wceq 0re 2pos ltlei absid ax-mp sqmul sq2 normpar
      3eqtr2 divcan3 div23 4d2e2 3eqtr3 subaddri eqcomi ) GACHIZJKZGLIZMIZGBCHI
      ZJKZGLIZMIZNIZABOIZGCPIZHIZJKZGLIZQIABHIZJKZGLIZXAXFXIXAWPWTGWORWNWMACDFS
      ZTZUAZUBGWSRWRWQBCEFSZTZUAZUBUCUDXFXEXDXBXCABDEUEZGCUFFUGZSZTUAUDZXIXHXGA
      BDESZTUAUDZUHWOMIZUHWSMIZNIZGUIIZYBGUIIZYCGUIIZNIXFXINIZXAYBYCGUHWOUHUJUD
      ZWOXLUDZUKZUHWSYIWSXOUDZUKZUFULUMYEGXFMIZGXIMIZNIZGUIIYNGUIIZYOGUIIZNIYHY
      DYPGUIYDYCYBNIXDXGHIZJKZGLIZXDXGOIZJKZGLIZNIYPYBYCYKYMUNUUAYCUUDYBNUUAGWR
      MIZGLIGGLIZWSMIYCYTUUEGLYTGWQPIZJKGUOKZWRMIUUEYSUUGJYSGBPIZXCHIZUUGYSXDUP
      UQZXGPIZOIXBUUKXCPIZOIZUULOIZUUJXDXGXRXTURXDUUNUULOXBXCXPXQURZUSXBUULOIZU
      UMOIUUIUUMOIUUOUUJUUQUUIUUMOUUQBAOIZBAHIZOIUUIXBUURUULUUSOABDEUTABDEVAVBB
      AEDVCVDUSXBUUMUULXPUUKXCUPVEVFZXQUGZUUKXGUUTXTUGVGUUIXCGBUFEUGXQURVHVIGBC
      UFEFVJVKVLGWQUFXMVMUUHGWRMVNGVOVPUUHGVQVNGVRRVSVTGRWAWBZUSVIUSGWRUFWRXNUD
      WCUUFUHWSMWDUSVIUUDGWNMIZGLIUUFWOMIYBUUCUVCGLUUCGWMPIZJKUUHWNMIUVCUUBUVDJ
      UUBGAPIZXCHIZUVDUUBUUNXGOIXBXGOIZUUMOIZUVFXDUUNXGOUUPUSXBUUMXGXPUVAXTVGUV
      HUVEUUMOIUVFUVGUVEUUMOABDEVCUSUVEXCGAUFDUGXQURVKVIGACUFDFVJVKVLGWMUFXJVMU
      UHGWNMUVBUSVIUSGWNUFWNXKUDWCUUFUHWOMWDUSVIVBXDXGXRXTWEWFUSYNYOGGXFUFXSUKG
      XIUFYAUKUFULUMYQXFYRXINGXFUFXSULWGGXIUFYAULWGVBVIYFWPYGWTNYFUHGUIIZWOMIWP
      UHWOGYIYJUFULWHUVIGWOMWIUSVDYGUVIWSMIWTUHWSGYIYLUFULWHUVIGWSMWIUSVDVBWJWK
      WL $.
      $( [5-Oct-1999] $)
  $}

  ${
    polid2.1 $e |- A e. H~ $.
    polid2.2 $e |- B e. H~ $.
    polid2.3 $e |- C e. H~ $.
    polid2.4 $e |- D e. H~ $.
    $( Generalized polarization identity.  Generalization of Exercise 4(a) of
       [ReedSimon] p. 63. $)
    polid2 $p |- ( A .ih B ) = ( ( ( ( ( A +h C ) .ih ( D +h B ) )  -
                ( ( A -h C ) .ih ( D -h B ) )  ) +
       ( i x. ( ( ( A +h ( i .h C ) ) .ih ( D +h ( i .h B ) ) ) -
                ( ( A -h ( i .h C ) ) .ih ( D -h ( i .h B ) ) ) ) ) ) / 4 ) $=
      ( c4 csp co cmul cdiv cva cmv cmin ci csm caddc 4re recn hicl 4pos
      gt0ne0i divcan3 c2 2cn addcl subcl adddi cc wcel wceq ppncant mp3an
      2times eqtr4 opreq2i mulass 2t2e4 opreq1i 3eqtr2r pnncan normlem8
      normlem9 opreq12i 3eqtr4 cneg axicn hvmulcl ccj cfv chil his5t cji eqtr
      ax-his3 eqtr3 3eqtr negcl mulcl mul12 c1 mulneg2 ixi negeqi ax1cn negneg
      mulid2 3eqtr3 mulm1 negsub 3eqtr2 ) IABJKZLKZIMKWNACNKDBNKJKZACOKDBOKJKZP
      KZQAQCRKZNKDQBRKZNKJKZAWSOKDWTOKJKZPKZLKZSKZIMKIWNITUAABEFUBZITUCUDUEWOXE
      IMUFWNCDJKZSKZWNXGPKZSKZLKZUFXHLKZUFXILKZSKWOXEUFXHXIUGWNXGXFCDGHUBZUHZWN
      XGXFXNUIUJXKUFUFWNLKZLKUFUFLKZWNLKWOXJXPUFLXJWNWNSKZXPWNUKULZXGUKULXSXJXR
      UMXFXNXFWNXGWNUNUOWNXFUPUQURUFUFWNUGUGXFUSXQIWNLUTVAVBWRXLXDXMSADJKZCBJKZ
      SKZXHSKZYBXHPKZPKXHXHSKWRXLYBXHXHXTYAADEHUBZCBGFUBUHXOXOVCWPYCWQYDPACDBEG
      HFVDACDBEGHFVEVFXHXOUPVGXDQUFQVHZWNLKZQXGLKZSKZLKZLKUFQYILKZLKXMXCYJQLXCX
      TWSWTJKZSKZAWTJKZWSDJKZSKZSKZYMYPPKZPKYPYPSKZYJXAYQXBYRPAWSDWTEQCVIGVJZHQ
      BVIFVJZVDAWSDWTEYTHUUAVEVFYMYPYPXTYLYEWSWTYTUUAUBUHYNYOAWTEUUAUBWSDYTHUBU
      HZUUBVCUFYPLKYSYJYPUUBUPYPYIUFLYNYGYOYHSYNQVKVLZWNLKZYGQUKULZAVMULBVMULYN
      UUDUMVIEFQABVNUOUUCYFWNLVOVAVPUUECVMULDVMULYOYHUMVIGHQCDVQUOVFURVRVSURUFQ
      YIUGVIYGYHYFWNQVIVTZXFWAZQXGVIXNWAZUHWBYKXIUFLYKQYGLKZQYHLKZSKWNXGVHZSKXI
      QYGYHVIUUGUUHUJUUIWNUUJUUKSQYFLKZWNLKWCWNLKUUIWNUULWCWNLUULQQLKZVHWCVHZVH
      WCQQVIVIWDUUMUUNWEWFWCWGWHVSVAQYFWNVIUUFXFUSWNXFWIWJUUMXGLKUUNXGLKUUJUUKU
      UMUUNXGLWEVAQQXGVIVIXNUSXGXNWKWJVFWNXGXFXNWLVSURWMVFVGVAVR $.
      $( [11-Jul-2005] $) $( [30-Jun-2005] $)
  $}

  ${
    polid.1 $e |- A e. H~ $.
    polid.2 $e |- B e. H~ $.
    $( Polarization identity.  Recovers inner product from norm.  Exercise 4(a)
       of [ReedSimon] p. 63.  The outermost operation is + instead of - due to
       our mathematicians' (rather than physicists') version of axiom
       ~ ax-his3 . $)
    polid $p |- ( A .ih B ) = ( ( ( ( ( normh ` ( A +h B ) ) ^ 2 ) -
                ( ( normh ` ( A -h B ) ) ^ 2 ) ) +
       ( i x. ( ( ( normh ` ( A +h ( i .h B ) ) ) ^ 2 ) -
                ( ( normh ` ( A -h ( i .h B ) ) ) ^ 2 ) ) ) ) / 4 ) $=
      ( csp co cva cmv cmin ci csm cmul caddc c4 cdiv cno cfv c2 cexp polid2
      hvaddcl normsq hvsubcl opreq12i axicn hvmulcl opreq2i opreq1i eqtr4 ) ABE
      FABGFZUJEFZABHFZULEFZIFZJAJBKFZGFZUPEFZAUOHFZUREFZIFZLFZMFZNOFUJPQRSFZULP
      QRSFZIFZJUPPQRSFZURPQRSFZIFZLFZMFZNOFABBACDDCTVJVBNOVEUNVIVAMVCUKVDUMIUJA
      BCDUAUBULABCDUCUBUDVHUTJLVFUQVGUSIUPAUOCJBUEDUFZUAUBURAUOCVKUCUBUDUGUDUHU
      I $.
      $( [20-Jul-2005] $) $( [30-Jun-2005] $)
  $}

  $( Polarization identity.  Recovers inner product from norm.  Exercise 4(a)
     of [ReedSimon] p. 63.  The outermost operation is + instead of - due to
     our mathematicians' (rather than physicists') version of axiom
     ~ ax-his3 . $)
  polidt $p |- ( ( A e. H~ /\ B e. H~ ) ->
           ( A .ih B ) = ( ( ( ( ( normh ` ( A +h B ) ) ^ 2 ) -
              ( ( normh ` ( A -h B ) ) ^ 2 ) ) +
       ( i x. ( ( ( normh ` ( A +h ( i .h B ) ) ) ^ 2 ) -
                ( ( normh ` ( A -h ( i .h B ) ) ) ^ 2 ) ) ) ) / 4 ) ) $=
    ( chil wcel csp co cva cno cfv c2 cexp cmv cmin ci csm cmul caddc c4 cdiv
    wceq c0v cif opreq1 fveq2d opreq1d opreq12d opreq2d eqeq12d opreq2
    ax-hv0cl elimel polid dedth2h ) ACDZBCDZABEFZABGFZHIZJKFZABLFZHIZJKFZMFZNAN
    BOFZGFZHIZJKFZAVDLFZHIZJKFZMFZPFZQFZRSFZTUNAUAUBZBEFZVOBGFZHIZJKFZVOBLFZHIZ
    JKFZMFZNVOVDGFZHIZJKFZVOVDLFZHIZJKFZMFZPFZQFZRSFZTVOUOBUAUBZEFZVOWNGFZHIZJK
    FZVOWNLFZHIZJKFZMFZNVONWNOFZGFZHIZJKFZVOXCLFZHIZJKFZMFZPFZQFZRSFZTABUAUAAVO
    TZUPVPVNWMAVOBEUCXNVMWLRSXNVCWCVLWKQXNUSVSVBWBMXNURVRJKXNUQVQHAVOBGUCUDUEXN
    VAWAJKXNUTVTHAVOBLUCUDUEUFXNVKWJNPXNVGWFVJWIMXNVFWEJKXNVEWDHAVOVDGUCUDUEXNV
    IWHJKXNVHWGHAVOVDLUCUDUEUFUGUFUEUHBWNTZVPWOWMXMBWNVOEUIXOWLXLRSXOWCXBWKXKQX
    OVSWRWBXAMXOVRWQJKXOVQWPHBWNVOGUIUDUEXOWAWTJKXOVTWSHBWNVOLUIUDUEUFXOWJXJNPX
    OWFXFWIXIMXOWEXEJKXOWDXDHXOVDXCVOGBWNNOUIZUGUDUEXOWHXHJKXOWGXGHXOVDXCVOLXPU
    GUDUEUFUGUFUEUHVOWNAUACUJUKBUACUJUKULUM $.
    $( [24-Dec-2007] $) $( [17-Nov-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            Relate Hilbert space to normed complex vector spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Hilbert space vector addition is an Abelian group operation. $)
    hilabl $p |- +h e. Abel $=
      ( vx vy vz cva chil c0v c1 cneg cv csm co ax-hilex ax-hfvadd ax-hvass
      ax-hv0cl hvaddid2t cc wcel ax1cn negcl hvmulclt mpan wceq ax-hvcom
      mpancom hvnegidt eqtrd isgrpi cxp fdmi isabli ) ABDEABCFDGHZAIZJKZELMUMBI
      ZCINOUMPULQRUMERZUNERZGSTULUMUAUBZUPUNUMDKZUMUNDKZFUQUPUSUTUCURUNUMUDUEUM
      UFUGUHEEUIEDMUJUMUOUDUK $.
      $( [10-Aug-2008] $) $( [15-Apr-2007] $)

    $( The group identity element of Hilbert space vector addition is the zero
       vector. $)
    hilid $p |- ( Id ` +h ) = 0h $=
      ( vx vy c0v cv cva co wceq chil wral cgi cfv hvaddid2t rgen wcel wb
      ax-hv0cl crab cuni opreq1 eqeq1d ralbidv cgr cabl hilabl ablgrp ax-mp
      cxp ax-hfvadd fdmi grprn eqid grpidval eqeq12 eqcom sylanb mpan bibi12d
      wreu grpideu reuuni1 mpan2 vtoclga mpbi ) CADZEFZVDGZAHIZEJKZCGZVFAHVDLMC
      HNVGVIOZPBDZVDEFZVDGZAHIZVNBHQRZVKGZOZVJBCHVKCGZVNVGVPVIVRVMVFAHVRVLVEVDV
      KCVDESTUAVHVOGZVRVPVIOZEUBNZVSEUCNWAUDEUEUFZABVHEHEHWBHHUGHEUHUIUJZVHUKUL
      UFVOVHGVRVTVSVOVHVKCUMVHVOUNUOUPUQVKHNVNBHURZVQWAWDWBABEHWCUSUFVNBHUTVAVB
      UFVC $.
      $( [25-Jul-2008] $) $( [16-Apr-2007] $)

    $( Hilbert space is a complex vector space.  Vector addition is ` +h ` ,
       and scalar product is ` .h ` . $)
    hilvc $p |- <. +h , .h >. e. CVec $=
      ( vx vy vz csm cva cop chil hilabl cxp ax-hfvadd fdmi ax-hfvmul cv
      ax-hvmulid ax-hvdistr1 ax-hvdistr2 ax-hvmulass eqid isvci ) ABCDEEDFZGHGG
      IGEJKLAMZNBMZUACMZOUBUCUAPUBUCUAQTRS $.
      $( [23-Apr-2007] $) $( [15-Apr-2007] $)
  $}

  ${
    $d x y U $.
    hilnorm.5 $e |- H~ = ( Base ` U ) $.
    hilnorm.2 $e |- .ih = ( .i ` U ) $.
    hilnorm.9 $e |- U e. NrmCVec $.
    $( Hilbert space norm in terms of vector space norm. $)
    hilnorm $p |- normh = ( norm ` U ) $=
      ( vx vy cv chil wcel cnm cfv wceq wa copab csp co csqr cno cnv eqid ipnm
      mpan eqeq2d pm5.32i opabbii wfn cr wf nvf ax-mp ffn fnopabfv mpbi
      dfhnorm2 3eqtr4r ) EGZHIZFGZUPAJKZKZLZMZEFNZUQURUPUPOPQKZLZMZEFNUSRVBVFEF
      UQVAVEUQUTVDURASIZUQUTVDLDUPOAUSHBUSTZCUAUBUCUDUEUSHUFZUSVCLHUGUSUHZVIVGV
      JDAUSHBVHUIUJHUGUSUKUJEFHUSULUMEFUNUO $.
      $( [2-Dec-2007] $) $( [11-Sep-2007] $)
  $}

  ${
    hilhh.1 $e |- H~ = ( Base ` U ) $.
    hilhh.2 $e |- +h = ( +v ` U ) $.
    hilhh.3 $e |- .h = ( .s ` U ) $.
    hilhh.5 $e |- .ih = ( .i ` U ) $.
    hilhh.9 $e |- U e. NrmCVec $.
    $( Deduce the structure of Hilbert space from its components. $)
    hilhh $p |- U = <. <. +h , .h >. , normh >. $=
      ( cnv wcel cva csm cop cno wceq hilnorm nvop ax-mp ) AGHAIJKLKMFJAILCDABE
      FNOP $.
      $( [11-Apr-2008] $) $( [10-Apr-2008] $)
  $}

  ${
    $d k v w x y z U $.
    hhnv.1 $e |- U = <. <. +h , .h >. , normh >. $.
    $( Hilbert space is a normed complex vector space. $)
    hhnv $p |- U e. NrmCVec $=
      ( vx vy csm cva cno chil c0v cabl wcel cgr hilabl ablgrp ax-mp cxp
      ax-hfvadd fdmi grprn cgi cfv hilid eqcomi hilvc normf cv cc0 wceq
      norm-it biimpa norm-iiit norm-iit isnvi ) CDEAFGHIFHFJKFLKMFNOHHPHFQRSFTU
      AIUBUCUDUECUFZHKUNGUAUGUHUNIUHUNUIUJDUFZUNUKUNUOULBUM $.
      $( [25-Jul-2008] $) $( [17-Nov-2007] $)

    $( The group (addition) operation of Hilbert space. $)
    hhva $p |- +h = ( +v ` U ) $=
      ( hhnv h2hva ) ABABCD $.
      $( [29-Nov-2007] $) $( [17-Nov-2007] $)

    $( The base set of Hilbert space. $)
    hhba $p |- H~ = ( Base ` U ) $=
      ( chil cva crn cba cfv cabl wcel cgr hilabl ablgrp ax-mp cxp ax-hfvadd
      fdmi grprn eqid hhva bafval eqtr4 ) CDEAFGZDCDHIDJIKDLMCCNCDOPQADUBUBRABS
      TUA $.
      $( [25-Jul-2008] $) $( [17-Nov-2007] $)

    $( The zero vector of Hilbert space. $)
    hh0v $p |- 0h = ( 0v ` U ) $=
      ( cn0v cfv cpv cgi cva c0v eqid 0vfval hhva fveq2i hilid 3eqtr2r ) ACDZAE
      DZFDGFDHAPOPIOIJGPFABKLMN $.
      $( [20-Dec-2007] $) $( [17-Nov-2007] $)

    $( The scalar product operation of Hilbert space. $)
    hhsm $p |- .h = ( .s ` U ) $=
      ( hhnv h2hsm ) ABABCD $.
      $( [29-Nov-2007] $) $( [17-Nov-2007] $)

    $( The vector subtraction operation of Hilbert space. $)
    hhvs $p |- -h = ( -v ` U ) $=
      ( hhnv hhba h2hvs ) ABABCABDE $.
      $( [13-Dec-2007] $) $( [13-Dec-2007] $)

    $( The norm function of Hilbert space. $)
    hhnm $p |- normh = ( norm ` U ) $=
      ( hhnv h2hnm ) ABABCD $.
      $( [30-Nov-2007] $) $( [17-Nov-2007] $)

    ${
      hhims.2 $e |- D = ( normh o. -h ) $.
      $( The induced metric of Hilbert space. $)
      hhims $p |- D = ( IndMet ` U ) $=
        ( cno cmv ccom cims cfv cnv wcel wceq hhnv hhvs hhnm eqid imsval ax-mp
        eqtr4 ) AEFGZBHIZDBJKUATLBCMUABFEBCNBCOUAPQRS $.
        $( [26-Nov-2007] $) $( [17-Nov-2007] $)
    $}

    ${
      hhims2.2 $e |- D = ( IndMet ` U ) $.
      $( Hilbert space distance metric. $)
      hhims2 $p |- D = ( normh o. -h ) $=
        ( cims cfv cno cmv ccom eqid hhims eqtr4 ) ABEFGHIZDMBCMJKL $.
        $( [11-Apr-2008] $) $( [10-Apr-2008] $)

      $( The induced metric of Hilbert space. $)
      hhmet $p |- D e. Met $=
        ( cnv wcel cme hhnv imsmet ax-mp ) BEFAGFBCHABDIJ $.
        $( [10-Apr-2008] $) $( [10-Apr-2008] $)

      $( The base set for the metric for Hilbert space. $)
      hhmetba $p |- H~ = dom dom D $=
        ( hhnv hhba h2hmetba ) ABCBCEBCFDG $.
        $( [10-Apr-2008] $) $( [10-Apr-2008] $)

      $( Value of the distance function of the metric space of Hilbert
         space. $)
      hhmetdval $p |- ( ( A e. H~ /\ B e. H~ ) ->
                  ( A D B ) = ( normh ` ( A -h B ) ) ) $=
        ( hhnv hhba h2hmetdval ) ABCDEDEGDEHFI $.
        $( [10-Apr-2008] $) $( [10-Apr-2008] $)
    $}

    $( The inner product operation of Hilbert space. $)
    hhip $p |- .ih = ( .i ` U ) $=
      ( vx vy vz vw vv vk csp cip cfv wceq chil cxp cv co wral wfn wa wb cc wf
      ax-hfi ffn ax-mp c1 c4 cfz ci cexp csm cva cno c2 cmul csu cdiv oprex
      cnv wcel copab2 hhnv hhba hhva hhsm hhnm eqid ipfval fnoprab2 eqfnoprval
      mp2an cmv cmin caddc polidt hhvs ipval3 mp3an1 eqtr4d rgen2a mpbir2an )
      IAJKZLZMMNZWDLZCOZDOZIPZWFWGWBPZLZDMQCMQZIWDRZWBWDRWCWEWKSTWDUAIUBWLUCWDU
      AIUDUEEFGMMUFUGUHPUIHOUJPZEOZWMFOZUKPULPUMKUNUJPUOPHUPZUGUQPZWBWPUGUQURAU
      SUTZWBWNMUTWOMUTSGOWQLSEFGVALABVBZEFGWBUKAHULUMMABVCZABVDZABVEZABVFZWBVGZ
      VHUEVICDMMMMIWBVJVKWDVGWJCDMWFMUTZWGMUTZSWHWFWGULPUMKUNUJPWFWGVLPUMKUNUJP
      VMPUIWFUIWGUKPZULPUMKUNUJPWFXGVLPUMKUNUJPVMPUOPVNPUGUQPZWIWFWGVOWRXEXFWIX
      HLWSWFWGWBUKAULVLUMMWTXAXBXCXDABVPVQVRVSVTWA $.
      $( [27-Dec-2007] $) $( [17-Nov-2007] $)

    $( The Hilbert space of the Hilbert Space Explorer is an inner product
       space. $)
    hhph $p |- U e. CPreHil $=
      ( vx vy cphl wcel cva csm cop cno cnv cv co cfv c2 cexp c1 cneg caddc
      cmul wceq chil wral cvv wa wb cabl hilabl elisseti hvmulex cr wf normf
      ax-hilex fex mp2an w3a cgr ablgrp ax-mp cxp ax-hfvadd fdmi grprn isphg
      eleq1i syl5bb mp3an eqid hhnv cmv normpart hvsubvalt fveq2d opreq1d
      opreq2d cc axaddcom hvaddclt normclt syl recnd sqclt hvsubclt 3syl
      sylanc eqtr3d 2cn axdistr mp3an1 syl2an 3eqtr4d rgen2a mpbir2an ) AEFZGHI
      JIZKFZCLZDLZGMZJNZOPMZWRQRWSHMGMZJNZOPMZSMZOWRJNZOPMZWSJNZOPMZSMTMZUAZDUB
      UCCUBUCZGUDFZHUDFZJUDFZWOWQXMUEZUFGUGUHUIUJUBUKJULUBUDFXPUMUNUBUKUDJUOUPX
      NXOXPUQWPEFXQWOCDUDUDUDHGJUBGUBGUGFGURFUHGUSUTUBUBVAUBGVBVCVDVEAWPEBVFVGV
      HWPWPVIVJXLCDUBWRUBFZWSUBFZUEZWRWSVKMZJNZOPMZXBSMZOXHTMOXJTMSMZXFXKWRWSVL
      XTXBYCSMZXFYDXTYCXEXBSXTYBXDOPXTYAXCJWRWSVMVNVOVPXBVQFZYCVQFZYFYDUAXTXBYC
      VRXTXAVQFYGXTXAXTWTUBFXAUKFWRWSVSWTVTWAWBXAWCWAXTYAUBFZYBVQFYHWRWSWDYIYBY
      AVTWBYBWCWEWFWGXHVQFZXJVQFZXKYEUAZXRXSOVQFYJYKYLWHOXHXJWIWJXRXGVQFYJXRXGW
      RVTWBXGWCWAXSXIVQFYKXSXIWSVTWBXIWCWAWKWLWMWN $.
      $( [25-Jul-2008] $) $( [24-Nov-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                    Bunjakovaskij-Cauchy-Schwarz inequality
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    bcs.1 $e |- A e. H~ $.
    bcs.2 $e |- B e. H~ $.
    $( Bunjakovaskij-Cauchy-Schwarz inequality.  Remark 3.4 of [Beran]
       p. 98. $)
    bcsALT $p |- ( abs ` ( A .ih B ) ) <_ ( ( normh ` A ) x. ( normh ` B ) ) $=
      ( csp co cc0 wceq cabs cfv cno cmul cle wbr fveq2 abs0 chil wcel
      normge0t ax-mp normcl mulge0 mp2an eqbrtr syl6eqbr wn c2 csqr wne df-ne
      cdiv ccj caddc hicl abslem2 his1 opreq2i syl5req cc c1 wa abs00
      necon3bii abscl recn divclz divrecz fveq2d recclz jctil absmult syl cr
      absidt rerecclz clt ltlet 0re absgt0 bitr recgt0 sylbi sylc sylanc
      opreq2d eqtrd recidz 3eqtrd jca sylbir normlem7tALT eqbrtrd mulcom
      normvalt opreq12i eqtr breq2i wb 2pos hiidge0t hiidrclt sqrcl remulcl
      2re lemul2 sylibr pm2.61i ) ABEFZGHZXHIJZAKJZBKJZLFZMNZXIXJGIJZXMMXHGIOXO
      GXMMPGXKMNZGXLMNZGXMMNAQRZXPCASTBQRZXQDBSTXKXLACUAZBDUAZUBUCUDUEXIUFZUGXJ
      LFZUGBBEFZUHJZAAEFZUHJZLFZLFZMNZXNYBXHGUIZYJXHGUJYKYCXHXJUKFZULJXHLFZYLBA
      EFZLFZUMFZYIMYKYMYLXHULJZLFZUMFYCYPXHABCDUNZUOYOYRYMUMYNYQYLLBADCUPUQUQUR
      YKYLUSRZYLIJZUTHZVAZYPYIMNYKXJGUIZUUCXJGXHGXHYSVBVCZUUDYTUUBXHXJYSXJXHYSV
      DZVEZVFUUDUUAXHUTXJUKFZLFZIJZXJUUHLFZUTUUDYLUUIIXHXJYSUUGVGVHUUDUUJXJUUHI
      JZLFZUUKUUDXHUSRZUUHUSRZVAUUJUUMHUUDUUOUUNXJUUGVIYSVJXHUUHVKVLUUDUULUUHXJ
      LUUHVMRZGUUHMNZUULUUHHUUDUUHVNXJUUFVOZGVMRZUUPVAGUUHVPNZUUQUUDGUUHVQUUDUU
      PUUSUURVRVJUUDGXJVPNZUUTUUDYKUVAUUEXHYSVSVTXJUUFWAWBWCWDWEWFXJUUGWGWHWIWJ
      ABYLCDWKVLWLWJXNXJYHMNZYJXMYHXJMXMXLXKLFYHXKXLXKXTVEXLYAVEWMXLYEXKYGLXSXL
      YEHDBWNTXRXKYGHCAWNTWOWPWQGUGVPNUVBYJWRWSXJYHUGUUFYEYGGYDMNZYEVMRXSUVCDBW
      TTYDXSYDVMRDBXATXBTGYFMNZYGVMRXRUVDCAWTTYFXRYFVMRCAXATXBTXCXDXETVTXFXG $.
      $( [11-Oct-1999] $)

    $( Bunjakovaskij-Cauchy-Schwarz inequality.  Remark 3.4 of [Beran]
       p. 98.  (Proved from ZFC version.) $)
    bcsHIL $p |- ( abs ` ( A .ih B ) ) <_ ( ( normh ` A ) x. ( normh ` B ) ) $=
      ( csp cva csm cop cno chil eqid hhba hhnm hhip hhph siii ) ABEFGHIHZIJQQK
      ZLQRMQRNQROCDP $.
      $( [19-Mar-2008] $) $( [24-Nov-2007] $)
  $}

  $( Bunjakovaskij-Cauchy-Schwarz inequality.  Remark 3.4 of [Beran] p. 98. $)
  bcst $p |- ( ( A e. H~ /\ B e. H~ ) ->
             ( abs ` ( A .ih B ) ) <_ ( ( normh ` A ) x. ( normh ` B ) ) ) $=
    ( chil wcel csp co cabs cfv cno cmul cle wbr c0v cif wceq opreq1 fveq2d
    fveq2 opreq1d breq12d opreq2 opreq2d ax-hv0cl elimel bcsHIL dedth2h ) ACDZB
    CDZABEFZGHZAIHZBIHZJFZKLUGAMNZBEFZGHZUNIHZULJFZKLUNUHBMNZEFZGHZUQUSIHZJFZKL
    ABMMAUNOZUJUPUMURKVDUIUOGAUNBEPQVDUKUQULJAUNIRSTBUSOZUPVAURVCKVEUOUTGBUSUNE
    UAQVEULVBUQJBUSIRUBTUNUSAMCUCUDBMCUCUDUEUF $.
    $( [19-Feb-2006] $) $( [16-Feb-2006] $)

  $( Corollary of the Bunjakovaskij-Cauchy-Schwarz inequality ~ bcsHIL . $)
  bcs2t $p |- ( ( A e. H~ /\ B e. H~ /\ ( normh ` A ) <_ 1 ) ->
             ( abs ` ( A .ih B ) ) <_ ( normh ` B ) ) $=
    ( chil wcel cno cfv c1 cle wbr w3a csp co cabs cmul cr wa cc hiclt absclt
    syl 3adant3 axmulrcl normclt syl2an 3ad2ant2 bcst cc0 1re lemul1itOLD
    mp3anl2 3ad2ant1 normge0t 3simp3 syl2anc wceq recnd mulid2t breqtrd letrd
    ) ACDZBCDZAEFZGHIZJZABKLZMFZVBBEFZNLZVGUTVAVFODZVCUTVAPVEQDVIABRVESTUAUTVAV
    HODZVCVBODZVGODZVJUTVAVBVGUBAUCZBUCZUDUAVAUTVLVCVNUEZUTVAVFVHHIVCABUFUAVDVH
    GVGNLZVGHVKVLUGVGHIZVCVHVPHIZVDVKGODVLVQVCPVRUHVBGVGUIUJUTVAVKVCVMUKVOVAUTV
    QVCBULUEUTVAVCUMUNVAUTVPVGUOZVCVAVGQDVSVAVGVNUPVGUQTUEURUS $.
    $( [18-Jun-2006] $) $( [24-May-2006] $)

  $( Corollary of the Bunjakovaskij-Cauchy-Schwarz inequality ~ bcsHIL . $)
  bcs3t $p |- ( ( A e. H~ /\ B e. H~ /\ ( normh ` B ) <_ 1 ) ->
             ( abs ` ( A .ih B ) ) <_ ( normh ` A ) ) $=
    ( chil wcel cno cfv c1 cle wbr w3a csp co cabs wceq abshicomt 3adant3
    bcs2t 3com12 eqbrtrd ) ACDZBCDZBEFGHIZJABKLMFZBAKLMFZAEFZHTUAUCUDNUBABOPUAT
    UBUDUEHIBAQRS $.
    $( [23-Jun-2006] $) $( [26-May-2006] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Cauchy sequences and limits
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w f F $.
    $( Member of the set of Cauchy sequences on a Hilbert space.  Definition
       for Cauchy sequence in [Beran] p. 96. $)
    hcau $p |- ( F e. Cauchy <-> ( F : NN --> H~ /\
          A. x e. RR ( 0 < x ->
          E. y e. NN A. z e. NN A. w e. NN ( ( y <_ z /\ y <_ w ) ->
             ( normh ` ( ( F ` z ) -h ( F ` w ) ) ) < x ) ) ) ) $=
      ( vf ccau wcel cvv cn chil wf cc0 cv clt wbr cle wa cfv cmv co cno wi
      wral wrex cr elisset nnex fex mpan2 adantr wceq feq1 fveq1 opreq12d
      fveq2d breq1d imbi2d 2ralbidv rexbidv ralbidv anbi12d df-hcau elab2g
      pm5.21nii ) EGHEIHZJKELZMANZOPZBNZCNZQPVJDNZQPRZVKESZVLESZTUAZUBSZVHOPZUC
      ZDJUDCJUDZBJUEZUCZAUFUDZRZEGUGVGVFWCVGJIHVFUHJKIEUIUJUKJKFNZLZVIVMVKWESZV
      LWESZTUAZUBSZVHOPZUCZDJUDCJUDZBJUEZUCZAUFUDZRWDFEGIWEEULZWFVGWPWCJKWEEUMW
      QWOWBAUFWQWNWAVIWQWMVTBJWQWLVSCDJJWQWKVRVMWQWJVQVHOWQWIVPUBWQWGVNWHVOTVKW
      EEUNVLWEEUNUOUPUQURUSUTURVAVBABCDFVCVDVE $.
      $( [16-Aug-1999] $)

    $( A Cauchy sequences on a Hilbert space is a sequence. $)
    hcauseq $p |- ( F e. Cauchy -> F : NN --> H~ ) $=
      ( vx vy vz vw ccau wcel cn chil wf cc0 cv clt wbr cle wa cfv cmv co cno
      wi wral wrex cr hcau pm3.26bi ) AFGHIAJKBLZMNCLZDLZONUHELZONPUIAQUJAQRSTQ
      UGMNUAEHUBDHUBCHUCUABUDUBBCDEAUEUF $.
      $( [16-Aug-1999] $)

    $( A Cauchy sequence on a Hilbert space converges. $)
    hcaucvg $p |- ( F e. Cauchy -> A. x e. RR ( 0 < x ->
          E. y e. NN A. z e. NN A. w e. NN ( ( y <_ z /\ y <_ w ) ->
             ( normh ` ( ( F ` z ) -h ( F ` w ) ) ) < x ) ) ) $=
      ( ccau wcel cn chil wf cc0 cv clt wbr cle wa cfv cmv co cno wi wral wrex
      cr hcau pm3.27bi ) EFGHIEJKALZMNBLZCLZONUHDLZONPUIEQUJEQRSTQUGMNUADHUBCHU
      BBHUCUAAUDUBABCDEUEUF $.
      $( [16-Aug-1999] $)

    $( A sequence on a Hilbert space is a Cauchy sequence if it converges. $)
    seq1hcau $p |- ( F : NN --> H~ -> ( F e. Cauchy <->
          A. x e. RR ( 0 < x ->
          E. y e. NN A. z e. NN A. w e. NN ( ( y <_ z /\ y <_ w ) ->
             ( normh ` ( ( F ` z ) -h ( F ` w ) ) ) < x ) ) ) ) $=
      ( ccau wcel cn chil wf cc0 cv clt wbr cle wa cfv cmv co cno wi wral wrex
      cr hcau baib ) EFGHIEJKALZMNBLZCLZONUHDLZONPUIEQUJEQRSTQUGMNUADHUBCHUBBHU
      CUAAUDUBABCDEUEUF $.
      $( [16-Aug-1999] $)
  $}

  ${
    $d j k m n y x F $.
    $( Alternate representation of a Hilbert space Cauchy sequence. $)
    hcau2 $p |- ( F e. Cauchy <-> ( F : NN --> H~ /\ A. x e. RR
        ( 0 < x -> E. j e. NN A. k e. NN
        ( j <_ k -> ( normh ` ( ( F ` k ) -h ( F ` j ) ) ) < x ) ) ) ) $=
      ( vm vy ccau wcel cn chil wf cc0 cv clt wbr cle wa cfv cmv co cno wi
      wral wrex cr hcau wceq normsubt ffvelrn syl2an anandis anassrs breq1d
      imbi2d ralbidva rexbidva ralbidv c2 cdiv fveq2 opreq2d fveq2d opreq1d
      breq2 anbi12d w3a caddc lt2halvest hvsubclt ancoms normclt syl 3adant2
      adantr 3adant1 pm3.27 syl3anc norm3dif2t lelttrt 3adant3 axaddrcl sylanc
      mpand syld 3anim123i 3comr 3anandis sylan an1rs nnssz cau3 bitr3d
      pm5.32i bitr4 ) DGHIJDKZLAMZNOZEMZBMZPOWRCMZPOQWSDRZWTDRZSTZUARZWPNOZUBCI
      UCBIUCEIUDUBAUEUCZQWOWQWSWTPOZXBXASTUARZWPNOZUBZCIUCZBIUDZUBZAUEUCZQAEBCD
      UFWOXNXFWOWQXGXEUBZCIUCZBIUDZUBZAUEUCXNXFWOXRXMAUEWOXQXLWQWOXPXKBIWOWSIHZ
      QZXOXJCIXTWTIHZQZXEXIXGYBXDXHWPNWOXSYAXDXHUGZWOXSYAYCXAJHZXBJHZYCXTWOYAQZ
      XAXBUHIJWSDUIZIJWTDUIZUJUKULUMUNUOUPUNUQXEXAWRDRZSTZUARZWPNOZXBYISTZUARZW
      PNOXDFMZURUSTZNOZYKYPNOZQZYNYONOZAFBCEIWOWTWRUGZXDYKWPNUUAXCYJUAUUAXBYIXA
      SWTWRDUTVAVBUMWSWTUGZYKYNWPNUUBYJYMUAUUBXAXBYISWSWTDUTVCVBUMWPYPUGXEYQYLY
      RWPYPXDNVDWPYPYKNVDVEWPYOYNNVDWOXSYAWRIHZVFZYOUEHZYSYTUBZYEYIJHZYDVFZUUEU
      UFWOUUDQUUHUUEQZYSXDYKVGTZYONOZYTXDUEHZYKUEHZUUEYSUUKUBUUIXDYKYOVHUUHUULU
      UEYEYDUULUUGYEYDQXCJHZUULYDYEUUNXAXBVIVJXCVKVLVMZVNUUHUUMUUEUUGYDUUMYEUUG
      YDQYJJHZUUMYDUUGUUPXAYIVIVJYJVKVLVOZVNUUHUUEVPZVQUUIYNUUJPOZUUKYTUUHUUSUU
      EXBYIXAVRVNYNUEHZUUJUEHZUUEUUSUUKQYTUBUUIYNUUJYOVSUUHUUTUUEYEUUGUUTYDYEUU
      GQYMJHUUTXBYIVIYMVKVLVTVNUUHUVAUUEUULUUMUVAUUHXDYKWAUUOUUQWBVNUURVQWCWDWO
      XSYAUUCUUHYFWOUUCQZXTUUHYFYEUVBUUGXTYDYHIJWRDUIYGWEWFWGWHWIWJWKWLWMWN $.
      $( [26-Apr-2007] $) $( [17-Apr-2007] $)
  $}

  ${
    $d x y z w f F $.  $d x y z w f A $.
    hlim.1 $e |- F e. V $.
    hlim.2 $e |- A e. V $.
    $( Express the predicate: The limit of vector sequence ` F ` in a Hilbert
       space is ` A ` , i.e. ` F ` converges to ` A ` .  This means that for
       any real ` x ` , no matter how small, there always exists an integer
       ` y ` such that the norm of any later vector in the sequence minus
       the limit is less than ` x ` .  Definition of converge in [Beran]
       p. 96. $)
    hlim $p |- ( F ~~>v A <-> ( ( F : NN --> H~ /\ A e. H~ ) /\
          A. x e. RR ( 0 < x ->
             E. y e. NN A. z e. NN ( y <_ z ->
                ( normh ` ( ( F ` z ) -h A ) ) < x ) ) ) ) $=
      ( vf vw cn chil cv wf wcel wa cc0 clt wbr cle cfv cmv co cno wi wral
      wrex cr chli wceq feq1 anbi1d fveq1 opreq1d fveq2d breq1d imbi2d
      rexralbidv ralbidv anbi12d eleq1 anbi2d opreq2 df-hlim brab ) JKHLZMZILZK
      NZOZPALZQRZBLCLZSRZVLVETZVGUAUBZUCTZVJQRZUDZCJUEBJUFZUDZAUGUEZOJKEMZVHOZV
      KVMVLETZVGUAUBZUCTZVJQRZUDZCJUEBJUFZUDZAUGUEZOWBDKNZOZVKVMWDDUAUBZUCTZVJQ
      RZUDZCJUEBJUFZUDZAUGUEZOHIEDUHFGVEEUIZVIWCWAWKXAVFWBVHJKVEEUJUKXAVTWJAUGX
      AVSWIVKXAVRWHBCJJXAVQWGVMXAVPWFVJQXAVOWEUCXAVNWDVGUAVLVEEULUMUNUOUPUQUPUR
      USVGDUIZWCWMWKWTXBVHWLWBVGDKUTVAXBWJWSAUGXBWIWRVKXBWHWQBCJJXBWGWPVMXBWFWO
      VJQXBWEWNUCVGDWDUAVBUNUOUPUQUPURUSABCIHVCVD $.
      $( [16-Aug-1999] $)

    $( A sequence with a limit on a Hilbert space is a sequence. $)
    hlimseq $p |- ( F ~~>v A -> F : NN --> H~ ) $=
      ( vx vy vz chli wbr cn chil wf wcel wa cc0 cv clt cle cfv cmv co cno wi
      wral wrex cr hlim pm3.26bi pm3.26d ) BAHIZJKBLZAKMZUJUKULNOEPZQIFPGPZRIUN
      BSATUAUBSUMQIUCGJUDFJUEUCEUFUDEFGABCDUGUHUI $.
      $( [16-Aug-1999] $)

    $( Closure of the limit of a sequence on Hilbert space. $)
    hlimvec $p |- ( F ~~>v A -> A e. H~ ) $=
      ( vx vy vz chli wbr cn chil wf wcel wa cc0 cv clt cle cfv cmv co cno wi
      wral wrex cr hlim pm3.26bi pm3.27d ) BAHIZJKBLZAKMZUJUKULNOEPZQIFPGPZRIUN
      BSATUAUBSUMQIUCGJUDFJUEUCEUFUDEFGABCDUGUHUI $.
      $( [16-Aug-1999] $)

    $( Convergence of a sequence on a Hilbert space. $)
    hlimconv $p |- ( F ~~>v A -> A. x e. RR ( 0 < x ->
             E. y e. NN A. z e. NN ( y <_ z ->
                ( normh ` ( ( F ` z ) -h A ) ) < x ) ) ) $=
      ( chli wbr cn chil wf wcel wa cc0 cv clt cle cfv cmv co cno wi wral wrex
      cr hlim pm3.27bi ) EDHIJKELDKMNOAPZQIBPCPZRIUJESDTUAUBSUIQIUCCJUDBJUEUCAU
      FUDABCDEFGUGUH $.
      $( [16-Aug-1999] $)
  $}

  ${
    $d x y z w f F $.  $d x y z w f A $.
    $( The limit of a sequence on a Hilbert space. $)
    hlim2 $p |- ( ( F : NN --> H~ /\ A e. H~ ) ->  ( F ~~>v A <->
          A. x e. RR ( 0 < x ->
             E. y e. NN A. z e. NN ( y <_ z ->
                ( normh ` ( ( F ` z ) -h A ) ) < x ) ) ) ) $=
      ( vf vw cn chil wf wcel wa chli wbr cc0 cv clt cle cfv cmv co cno wi
      wral wrex cr cvv wb wceq feq1 anbi1d fveq1 opreq1d fveq2d breq1d imbi2d
      rexralbidv ralbidv anbi12d eleq1 anbi2d opreq2 df-hlim brabg nnex fex
      mpan2 sylan bianabs ) HIEJZDIKZLZEDMNZOAPZQNZBPCPZRNZVPESZDTUAZUBSZVNQNZU
      CZCHUDBHUEZUCZAUFUDZEUGKZVKVMVLWELZUHVJHIFPZJZGPZIKZLZVOVQVPWHSZWJTUAZUBS
      ZVNQNZUCZCHUDBHUEZUCZAUFUDZLVJWKLZVOVQVRWJTUAZUBSZVNQNZUCZCHUDBHUEZUCZAUF
      UDZLWGFGEDUGIMWHEUIZWLXAWTXHXIWIVJWKHIWHEUJUKXIWSXGAUFXIWRXFVOXIWQXEBCHHX
      IWPXDVQXIWOXCVNQXIWNXBUBXIWMVRWJTVPWHEULUMUNUOUPUQUPURUSWJDUIZXAVLXHWEXJW
      KVKVJWJDIUTVAXJXGWDAUFXJXFWCVOXJXEWBBCHHXJXDWAVQXJXCVTVNQXJXBVSUBWJDVRTVB
      UNUOUPUQUPURUSABCGFVCVDVJHUGKWFVEHIUGEVFVGVHVI $.
      $( [16-Aug-1999] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            Derivation of the completeness axiom from ZF set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    hilmet.1 $e |- D = ( normh o. -h ) $.
    $( The Hilbert space norm determines a metric space. $)
    hilmet $p  |- D e. Met $=
      ( cva csm cop cno eqid hhims hhmet ) ACDEFEZJGZAJKBHI $.
      $( [24-Nov-2007] $) $( [17-Apr-2007] $)

    $( Value of the distance function of the metric space of Hilbert space. $)
    hilmetdval $p |- ( ( A e. H~ /\ B e. H~ ) ->
                  ( A D B ) = ( normh ` ( A -h B ) ) ) $=
      ( cva csm cop cno eqid hhims hhmetdval ) ABCEFGHGZLIZCLMDJK $.
      $( [19-Sep-2007] $) $( [17-Apr-2007] $)

    $( The base set for the metric for Hilbert space. $)
    hilmetba $p |- H~ = dom dom D $=
      ( cva csm cop cno eqid hhims hhmetba ) ACDEFEZJGZAJKBHI $.
      $( [21-Nov-2007] $) $( [6-Sep-2007] $)
  $}

  ${
    $d x y z U $.
    hilims.1 $e |- H~ = ( Base ` U ) $.
    hilims.2 $e |- +h = ( +v ` U ) $.
    hilims.3 $e |- .h = ( .s ` U ) $.
    hilims.5 $e |- .ih = ( .i ` U ) $.
    hilims.8 $e |- D = ( IndMet ` U ) $.
    hilims.9 $e |- U e. NrmCVec $.
    $( Hilbert space distance metric. $)
    hilims $p |- D = ( normh o. -h ) $=
      ( hilhh hhims2 ) ABBCDEFHIGJ $.
      $( [11-Apr-2008] $) $( [13-Sep-2007] $)
  $}

  ${
    $d f w x y z D $.
    hillim.1 $e |- H~ = ( Base ` U ) $.
    hillim.2 $e |- +h = ( +v ` U ) $.
    hillim.3 $e |- .h = ( .s ` U ) $.
    hillim.5 $e |- .ih = ( .i ` U ) $.
    hillim.8 $e |- D = ( IndMet ` U ) $.
    hillim.9 $e |- U e. NrmCVec $.
    $( MAY BE REVISED - not needed? delete? $)
    $( Hilbert space limit in terms of metric space limit. $)
    hillim $p |- ~~>v = ( ( ~~>m ` D ) |` ( H~ ^m NN ) ) $=
      ( hilhh h2hlm ) ABBCDEFHIHCGJ $.
      $( [11-Apr-2008] $) $( [13-Sep-2007] $)

    $( MAY BE REVISED - not needed? delete? $)
    $( Hilbert space Cauchy sequences in terms of metric space Cauchy
       sequences. $)
    hilcau $p |- Cauchy = ( ( Cau ` D ) i^i ( H~ ^m NN ) ) $=
      ( hilhh h2hcau ) ABBCDEFHIHCGJ $.
      $( [12-Apr-2008] $) $( [10-Sep-2007] $)
  $}

  ${
    hhlm.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhlm.2 $e |- D = ( IndMet ` U ) $.
    $( The limit sequences of Hilbert space. $)
    hhlm $p |- ~~>v = ( ( ~~>m ` D ) |` ( H~ ^m NN ) ) $=
      ( hhnv hhba h2hlm ) ABCBCEBCFDG $.
      $( [5-Mar-2008] $) $( [19-Nov-2007] $)

    $( The Cauchy sequences of Hilbert space. $)
    hhcau $p |- Cauchy = ( ( Cau ` D ) i^i ( H~ ^m NN ) ) $=
      ( hhnv hhba h2hcau ) ABCBCEBCFDG $.
      $( [12-Apr-2008] $) $( [19-Nov-2007] $)

    ${
      $d x F $.
      hhcmpl.c $e |- ( F e. ( Cau ` D ) -> E. x e. H~ F ( ~~>m ` D ) x ) $.
      $( Lemma used for derivation of the completeness axiom ~ ax-hcompl from
         ZFC Hilbert space theory. $)
      hhcmpl $p |- ( F e. Cauchy -> E. x e. H~ F ~~>v x ) $=
        ( cca cfv wcel chil cn cm co wa cv clm wbr wrex ccau chli anim1i cin
        hhcau eleq2i elin bitr cres hhlm breqi visset brres rexbii r19.41v
        3imtr4 ) DBHIZJZDKLMNZJZOZDAPZBQIZRZAKSZUSOZDTJZDVAUARZAKSZUQVDUSGUBVFD
        UPURUCZJUTTVIDBCEFUDUEDUPURUFUGVHVCUSOZAKSVEVGVJAKVGDVAVBURUHZRVJDVAUAV
        KBCEFUIUJDVAVBURAUKULUGUMVCUSAKUNUGUO $.
        $( [13-Apr-2008] $) $( [9-Apr-2008] $)
    $}
  $}

  ${
    $d x F $.
    hilcompl.1 $e |- H~ = ( Base ` U ) $.
    hilcompl.2 $e |- +h = ( +v ` U ) $.
    hilcompl.3 $e |- .h = ( .s ` U ) $.
    hilcompl.5 $e |- .ih = ( .i ` U ) $.
    hilcompl.8 $e |- D = ( IndMet ` U ) $.
    hilcompl.9 $e |- U e. CHil $.
    hilcompl.c $e |- ( F e. ( Cau ` D ) -> E. x e. H~ F ( ~~>m ` D ) x ) $.
    $( Lemma used for derivation of the completeness axiom ~ ax-hcompl from
       ZFC Hilbert space theory.  The first 5 hypotheses would be satisfied
       by the definitions described in ~ ax-hilex ; the 6th would be satisfied
       by ~ eqid ; the 7th by a given fixed Hilbert space; and the last by
       theorem ~ hlcompl . $)
    hilcompl $p |- ( F e. Cauchy -> E. x e. H~ F ~~>v x ) $=
      ( hlnvi hilhh hhcmpl ) ABCDCEFGHCJLMIKN $.
      $( [22-Dec-2007] $) $( [13-Sep-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Completeness postulate for a Hilbert space
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  ${
    $d F x $.
    $( Completeness of a Hilbert space. $)
    ax-hcompl $a |- ( F e. Cauchy -> E. x e. H~ F ~~>v x ) $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            Relate Hilbert space to ZFC pre-Hilbert and Hilbert spaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f j k t u v w x y z D $.
    hhcms.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhcms.2 $e |- D = ( IndMet ` U ) $.
    $( The Hilbert space induced metric determines a complete metric space. $)
    hhcms $p |- D e. CMet $=
      ( vx vf vy vj vk chil hhmetba hhmet cn cv wf chli wbr wrex clm cfv cca
      wcel wa cc0 clt cle co wi wral cr wb cme c1 1z nnuz lmbrf2 mp3an1 ancoms
      cmv cno visset hlimconv wceq hhmetdval ffvelrn hlimseq sylan hlimvec
      adantr sylanc breq1d imbi2d ralbidva rexbidv ralbidv mpbird syl5bir
      r19.22dva pm3.27 ccau hcau2 ax-hcompl sylbir iscauf mpan normsubt eqtrd
      adantlr rexbidva bitrd biimpac sylc iscms2i ) EAFJABCDKZABCDLZMJFNZOZWPEN
      ZPQZEJRZWPWRASTQZEJRWPAUATUBZWQUCZWQWSXAEJWQWRJUBZUCXAUDGNZUEQZHNZINZUFQZ
      XHWPTZWRAUGZXEUEQZUHZIMUIZHMRZUHZGUJUIZWSXDWQXAXQUKZAULUBZXDWQXRWOGAWRHIW
      PUMJMWNUNUOUPUQURWSXQXFXIXJWRUSUGUTTZXEUEQZUHZIMUIZHMRZUHZGUJUIGHIWRWPFVA
      ZEVAZVBWSXPYEGUJWSXOYDXFWSXNYCHMWSXMYBIMWSXHMUBZUCZXLYAXIYIXKXTXEUEXJJUBZ
      XDXKXTVCYIXJWRABCDVDWQYHYJWSMJXHWPVEZWRWPYFYGVFVGWSXDYHWRWPYFYGVHVIVJVKVL
      VMVNVLVOVPVQVRXBWQVSZWQXFXIXJXGWPTZUSUGUTTZXEUEQZUHZIMUIZHMRZUHZGUJUIZWTX
      CWQYTUCWPVTUBWTGHIWPWAEWPWBWCYLWQXBYTWQXBXFXIYMXJAUGZXEUEQZUHZIMUIZHMRZUH
      ZGUJUIZYTXSWQXBUUGUKWOGAHIWPUMJMWNUNUOWDWEWQUUFYSGUJWQUUEYRXFWQUUDYQHMWQX
      GMUBZUCZUUCYPIMUUIYHUCZUUBYOXIYMJUBZYJUUBYOUKUUJUUKYJUCZUUAYNXEUEUULUUAYM
      XJUSUGUTTYNYMXJABCDVDYMXJWFWGVKUUIUUKYHMJXGWPVEVIWQYHYJUUHYKWHVJVLVMWIVLV
      OWJWKVJWLWM $.
      $( [13-Apr-2008] $) $( [10-Apr-2008] $)
  $}

  ${
    hhhl.1 $e |- U = <. <. +h , .h >. , normh >. $.
    $( The Hilbert space structure is a complex Hilbert space. $)
    hhhl $p |- U e. CHil $=
      ( chl wcel cbn cphl ishl cnv cims cfv cms eqid isbn hhnv hhcms mpbir2an
      hhph ) ACDAEDZAFDAGRAHDAIJZKDSASLZMABNSABTOPABQP $.
      $( [13-Apr-2008] $) $( [10-Apr-2008] $)
  $}

  ${
    hilcms.1 $e |- D = ( normh o. -h ) $.
    $( The Hilbert space norm determines a complete metric space. $)
    hilcms $p |- D e. CMet $=
      ( cva csm cop cno eqid hhims hhcms ) ACDEFEZJGZAJKBHI $.
      $( [24-Nov-2007] $) $( [17-Apr-2007] $)
  $}

  ${
    $d x y z $.
    $( The Hilbert space of the Hilbert Space Explorer is a complex Hilbert
       space.  (Contributed by Steve Rodriguez, 29-Apr-2007.) $)
    hilhl $p |- <. <. +h , .h >. , normh >. e. CHil $=
      ( cva csm cop cno eqid hhhl ) ABCDCZGEF $.
      $( [29-Apr-2007] $) $( [29-Apr-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y h $.
    $( Define the set of subspaces of a Hilbert space.  See
       ~ sh for its membership relation.  Basically, a subspace
       is a subset of a Hilbert space that acts like a vector space.
       From Definition of [Beran] p. 95. $)
    df-sh $a |- SH = { h | ( ( h (_ H~ /\ 0h e. h ) /\
       ( A. x e. h A. y e. h ( x +h y ) e. h /\
       A. x e. CC A. y e. h ( x .h y ) e. h ) ) } $.
  $}

  ${
    $d x y h H $.  $d x y A $.  $d x y B $.
    $( The set of subspaces of a Hilbert space exists (is a set). $)
    shex $p |- SH e. V $=
      ( vh vx vy csh cv chil wss c0v wcel wa cva co wral csm cc cab cvv df-sh
      cpw df-pw ax-hilex pwex eqeltrr simpll ss2abi ssexi eqeltr ) DAEZFGZHUHIZ
      JBEZCEZKLUHICUHMBUHMUKULNLUHICUHMBOMJZJZAPZQBCARUOUIAPZFSUPQAFTFUAUBUCUNU
      IAUIUJUMUDUEUFUG $.
      $( [23-Oct-1999] $)

    $( Subspace ` H ` of a Hilbert space.  A subspace is a subset of Hilbert
       space which contains the zero vector and is closed under vector
       addition and scalar multiplication.  Definition of [Beran] p. 95. $)
    sh $p |- ( H e. SH <-> ( ( H (_ H~ /\ 0h e. H ) /\
       ( A. x e. H A. y e. H ( x +h y ) e. H /\
       A. x e. CC A. y e. H ( x .h y ) e. H ) ) ) $=
      ( vh csh wcel cvv chil wss c0v wa cv cva co wral csm cc elisset ax-hilex
      ssex ad2antrr wceq sseq1 eleq2 anbi12d raleqd ralbidv df-sh elab2g
      pm5.21nii ) CEFCGFZCHIZJCFZKZALZBLZMNZCFZBCOZACOZUOUPPNZCFZBCOZAQOZKZKZCE
      RULUKUMVECHSTUADLZHIZJVGFZKZUQVGFZBVGOZAVGOZVAVGFZBVGOZAQOZKZKVFDCEGVGCUB
      ZVJUNVQVEVRVHULVIUMVGCHUCVGCJUDUEVRVMUTVPVDVLUSAVGCVKURBVGCVGCUQUDUFUFVRV
      OVCAQVNVBBVGCVGCVAUDUFUGUEUEABDUHUIUJ $.
      $( [16-Aug-1999] $)

    $( A subspace is a subset of Hilbert space. $)
    shss $p |- ( H e. SH -> H (_ H~ ) $=
      ( vx vy csh wcel chil wss c0v wa cv cva co wral csm cc sh pm3.26bi
      pm3.26d ) ADEZAFGZHAEZSTUAIBJZCJZKLAECAMBAMUBUCNLAECAMBOMIBCAPQR $.
      $( [9-Oct-1999] $)

    $( A member of a subspace of a Hilbert space is a vector. $)
    shelt $p |- ( ( H e. SH /\ A e. H ) -> A e. H~ ) $=
      ( csh wcel chil shss sseld imp ) BCDZABDAEDIBEABFGH $.
      $( [16-Dec-2004] $) $( [14-Dec-2004] $)

    ${
      shssi.1 $e |- H e. SH $.
      $( A closed subspace of a Hilbert space is a subset of Hilbert space. $)
      shssi $p |- H (_ H~ $=
        ( csh wcel chil wss shss ax-mp ) ACDAEFBAGH $.
        $( [6-Oct-1999] $)

      $( A member of a subspace of a Hilbert space is a vector. $)
      shel $p |- ( A e. H -> A e. H~ ) $=
        ( chil shssi sseli ) BDABCEF $.
        $( [6-Oct-1999] $)

      ${
        sheli.1 $e |- A e. H $.
        $( A member of a subspace of a Hilbert space is a vector. $)
        sheli $p |- A e. H~ $=
          ( chil shssi sselii ) BEABCFDG $.
          $( [6-Oct-1999] $)
      $}
    $}

    $( The zero vector belongs to any subspace of a Hilbert space. $)
    sh0 $p |- ( H e. SH -> 0h e. H ) $=
      ( vx vy csh wcel chil wss c0v wa cv cva co wral csm cc sh pm3.26bi
      pm3.27d ) ADEZAFGZHAEZSTUAIBJZCJZKLAECAMBAMUBUCNLAECAMBOMIBCAPQR $.
      $( [11-Oct-1999] $)

    $( Closure of vector addition in a subspace of a Hilbert space. $)
    shaddclt $p |- ( ( H e. SH /\ A e. H /\ B e. H ) -> ( A +h B ) e. H ) $=
      ( vx vy csh wcel cva co wa cv wral wceq opreq1 eleq1d opreq2 rcla42v csm
      cc chil wss c0v sh pm3.27bi pm3.26d syl5com 3impib ) CFGZACGZBCGZABHIZCGZ
      UIUJJDKZEKZHIZCGZECLDCLZULUHUPULAUNHIZCGDEABCCUMAMUOURCUMAUNHNOUNBMURUKCU
      NBAHPOQUHUQUMUNRICGECLDSLZUHCTUAUBCGJUQUSJDECUCUDUEUFUG $.
      $( [21-May-2007] $) $( [13-Sep-1999] $)

    $( Closure of vector addition in a subspace of a Hilbert space. $)
    shaddcltOLD $p |- ( H e. SH ->
                   ( ( A e. H /\ B e. H ) -> ( A +h B ) e. H ) ) $=
      ( vx vy wcel wa cv cva co wral csh wceq opreq1 eleq1d opreq2 rcla42v csm
      cc chil wss c0v sh pm3.27bi pm3.26d syl5com ) ACFBCFGDHZEHZIJZCFZECKDCKZA
      BIJZCFZCLFZUJUMAUHIJZCFDEABCCUGAMUIUOCUGAUHINOUHBMUOULCUHBAIPOQUNUKUGUHRJ
      CFECKDSKZUNCTUAUBCFGUKUPGDECUCUDUEUF $.
      $( [13-Sep-1999] $)

    $( Closure of vector scalar multiplication in a subspace of a Hilbert
       space. $)
    shmulclt $p |- ( ( H e. SH /\ A e. CC /\ B e. H ) -> ( A .h B ) e. H ) $=
      ( vx vy csh wcel cc csm co wa cv wral wceq opreq1 eleq1d opreq2 rcla42v
      cva chil wss c0v sh pm3.27bi pm3.27d syl5com 3impib ) CFGZAHGZBCGZABIJZCG
      ZUIUJKDLZELZIJZCGZECMDHMZULUHUPULAUNIJZCGDEABHCUMANUOURCUMAUNIOPUNBNURUKC
      UNBAIQPRUHUMUNSJCGECMDCMZUQUHCTUAUBCGKUSUQKDECUCUDUEUFUG $.
      $( [21-Feb-2007] $) $( [13-Sep-1999] $)

    $( Closure of vector scalar multiplication in a subspace of a Hilbert
       space. $)
    shmulcltOLD $p |- ( H e. SH ->
                   ( ( A e. CC /\ B e. H ) -> ( A .h B ) e. H ) ) $=
      ( vx vy cc wcel wa cv csm co wral csh wceq opreq1 eleq1d opreq2 rcla42v
      cva chil wss c0v sh pm3.27bi pm3.27d syl5com ) AFGBCGHDIZEIZJKZCGZECLDFLZ
      ABJKZCGZCMGZUJUMAUHJKZCGDEABFCUGANUIUOCUGAUHJOPUHBNUOULCUHBAJQPRUNUGUHSKC
      GECLDCLZUKUNCTUAUBCGHUPUKHDECUCUDUEUF $.
      $( [13-Sep-1999] $)

    $( Closure of vector subtraction in a subspace of a Hilbert space. $)
    shsubclt $p |- ( ( H e. SH /\ A e. H /\ B e. H ) -> ( A -h B ) e. H ) $=
      ( csh wcel w3a cmv co c1 cneg csm cva chil wa wceq shss sseld anim12d
      3impib hvsubvalt syl shaddclt cc ax1cn negcl shmulclt mp3an2 3adant2
      syld3an3 eqeltrd ) CDEZACEZBCEZFZABGHZAIJZBKHZLHZCUNAMEZBMEZNZUOUROUKULUM
      VAUKULUSUMUTUKCMACPZQUKCMBVBQRSABTUAUKULUQCEZURCEUMAUQCUBUKUMVCULUKUPUCEU
      MVCIUDUEUPBCUFUGUHUIUJ $.
      $( [17-Apr-2008] $) $( [18-Oct-1999] $)

    $( Closure of vector subtraction in a subspace of a Hilbert space. $)
    shsubcltOLD $p |- ( H e. SH ->
                   ( ( A e. H /\ B e. H ) -> ( A -h B ) e. H ) ) $=
      ( csh wcel wa cmv co c1 cneg csm cva chil wceq shss sseld anim12d imp
      hvsubvalt syl shaddcltOLD cc ax1cn negcl shmulcltOLD mpani sylan2d
      eqeltrd ex ) CDEZACEZBCEZFZABGHZCEUJUMFZUNAIJZBKHZLHZCUOAMEZBMEZFZUNURNUJ
      UMVAUJUKUSULUTUJCMACOZPUJCMBVBPQRABSTUJUMURCEZUJUKUQCEZVCULAUQCUAUJUPUBEU
      LVDIUCUDUPBCUEUFUGRUHUI $.
      $( [18-Oct-1999] $)

    $(
    @( Reversal of subtraction remains a member of a subspace of a Hilbert
       space. @)
    shsubrclt @p  |- ( H e. SH -> ( ( A e. H~ /\ B e. H~ ) ->
                    ( ( A -h B ) e. H <-> ( B -h A ) e. H ) ) ) @=
?@.
    $)

    $( Subspace ` H ` of a Hilbert space. $)
    sh2 $p |- ( H (_ H~ -> ( H e. SH <-> ( 0h e. H /\
       ( A. x e. H A. y e. H ( x +h y ) e. H /\
       A. x e. CC A. y e. H ( x .h y ) e. H ) ) ) ) $=
      ( chil wss c0v wcel wa cv cva co wral csm cc csh anass baib sh syl5bb )
      CDEZTFCGZHAIZBIZJKCGBCLACLUBUCMKCGBCLANLHZHZUAUDHZCOGUETUFTUAUDPQABCRS $.
      $( [16-Aug-1999] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Closed subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x f h $.
    $( Define the set of closed subspaces of a Hilbert space.  A closed
       subspace is one in which the limit of every convergent sequence
       in the subspace belongs to the subspace.  For its
       membership relation, see ~ closedsub .  From Definition of [Beran]
       p. 107.  Alternate definitions are given by ~ chcmh and ~ dfch2 . $)
    df-ch $a |- CH = { h | ( h e. SH /\ A. f A. x ( ( f : NN --> h /\
        f ~~>v x ) -> x e. h ) ) } $.
  $}

  ${
    $d x f h H $.
    $( Closed subspace ` H ` of a Hilbert space.  Definition of [Beran]
       p. 107. $)
    closedsub $p |- ( H e. CH <-> ( H e. SH /\ A. f A. x ( ( f : NN --> H /\
        f ~~>v x ) -> x e. H ) ) ) $=
      ( vh cch wcel cvv csh cn cv wf chli wbr wa wi wal elisset adantr wceq
      eleq1 feq3 anbi1d eleq2 imbi12d 2albidv anbi12d df-ch elab2g pm5.21nii )
      CEFCGFZCHFZICBJZKZULAJZLMZNZUNCFZOZAPBPZNZCEQUKUJUSCHQRDJZHFZIVAULKZUONZU
      NVAFZOZAPBPZNUTDCEGVACSZVBUKVGUSVACHTVHVFURBAVHVDUPVEUQVHVCUMUOVACIULUAUB
      VACUNUCUDUEUFABDUGUHUI $.
      $( [17-Aug-1999] $)
  $}

  ${
    $d x f h $.
    $( Closed subspaces are subspaces in a Hilbert space. $)
    chsssh $p |- CH (_ SH $=
      ( vh vf vx cch cv csh wcel cn wf chli wbr wa wi wal cab df-ch ssab2
      eqsstr ) DAEZFGHSBEZITCEZJKLUASGMCNBNZLAOFCBAPUBAFQR $.
      $( [29-May-1999] $)
  $}

  $( The set of closed subspaces of a Hilbert space exists (is a set). $)
  chex $p |- CH e. V $=
    ( cch csh shex chsssh ssexi ) ABCDE $.
    $( [23-Oct-1999] $)

  $( A closed subspace is a subspace. $)
  chsh $p |- ( H e. CH -> H e. SH ) $=
    ( cch csh chsssh sseli ) BCADE $.
    $( [19-Oct-1999] $)

  ${
    chshi.1 $e |- H e. CH $.
    $( A closed subspace is a subspace. $)
    chshi $p |- H e. SH $=
      ( cch wcel csh chsh ax-mp ) ACDAEDBAFG $.
      $( [19-Oct-1999] $)
  $}

  ${
    $d x y H $.
    $( The zero vector belongs to any closed subspace of a Hilbert space. $)
    ch0 $p |- ( H e. CH -> 0h e. H ) $=
      ( cch wcel csh c0v chsh sh0 syl ) ABCADCEACAFAGH $.
      $( [24-Aug-1999] $)

    $( A closed subspace of a Hilbert space is a subset of Hilbert space. $)
    chss $p |- ( H e. CH -> H (_ H~ ) $=
      ( cch wcel csh chil wss chsh shss syl ) ABCADCAEFAGAHI $.
      $( [24-Aug-1999] $)

  $}

  $( A member of a closed subspace of a Hilbert space is a vector. $)
  chelt $p |- ( ( H e. CH /\ A e. H ) -> A e. H~ ) $=
    ( cch wcel chil chss sseld imp ) BCDZABDAEDIBEABFGH $.
    $( [17-Dec-2004] $) $( [15-Dec-2004] $)

  ${
    chssi.1 $e |- H e. CH $.
    $( A closed subspace of a Hilbert space is a subset of Hilbert space. $)
    chssi $p |- H (_ H~ $=
      ( chshi shssi ) AABCD $.
      $( [6-Oct-1999] $)

    $( A member of a closed subspace of a Hilbert space is a vector. $)
    chel $p |- ( A e. H -> A e. H~ ) $=
      ( chil chssi sseli ) BDABCEF $.
      $( [6-Oct-1999] $)

    ${
      cheli.1 $e |- A e. H $.
      $( A member of a closed subspace of a Hilbert space is a vector. $)
      cheli $p |- A e. H~ $=
        ( chil chssi sselii ) BEABCFDG $.
        $( [6-Oct-1999] $)
    $}
  $}

  ${
    $d x f F $.  $d x f H $.  $d x A $.
    chlim.1 $e |- A e. V $.
    $( The limit property of a closed subspace of a Hilbert space. $)
    chlim $p |- ( ( H e. CH /\ F : NN --> H /\ F ~~>v A ) -> A e. H ) $=
      ( vf vx cch wcel cn wf chli wbr cv wa wi wal csh closedsub pm3.27bi cvv
      nnex fex mpan2 adantr wceq feq1 breq1 anbi12d imbi1d albidv cla4gv breq2
      anbi2d eleq1 imbi12d cla4v syl6 syl pm2.43b 3impib ) CGHZICBJZBAKLZACHZVA
      ICEMZJZVEFMZKLZNZVGCHZOZFPZEPZVBVCNZVDOZVACQHVMFECRSVMVNVDVNBTHZVMVOOVBVP
      VCVBITHVPUAICTBUBUCUDVPVMVBBVGKLZNZVJOZFPZVOVLVTEBTVEBUEZVKVSFWAVIVRVJWAV
      FVBVHVQICVEBUFVEBVGKUGUHUIUJUKVSVOFADVGAUEZVRVNVJVDWBVQVCVBVGABKULUMVGACU
      NUOUPUQURUSURUT $.
      $( [14-Apr-2008] $) $( [14-Sep-1999] $)
  $}

  ${
    $d x y z $.
    $( The zero sequence in Hilbert space converges to the zero vector. $)
    hlim0 $p |- ( NN X. { 0h } ) ~~>v 0h $=
      ( vx vy vz cn c0v csn cxp chli wbr chil wf wcel wa cc0 cv clt cle cfv
      cmv co cno wi wral wrex cr nnex snex xpex ax-hv0cl elisseti hlim wss
      fconst snssi ax-mp fss mp2an pm3.2i c1 fvconst2 opreq1d wceq hvsubidt
      syl6eq fveq2d norm0 breq1d biimprd a1d com3r r19.21aiv 1nn jctil breq1
      imbi1d ralbidv rcla4ev syl a1i rgen mpbir2an ) DEFZGZEHIDJWCKZEJLZMNAOZPI
      ZBOZCOZQIZWIWCRZESTZUARZWFPIZUBZCDUCZBDUDZUBZAUEUCABCEWCDWBUFEUGUHEJUIUJZ
      UKWDWEDWBWCKWBJULZWDDEWSUMWEWTUIEJUNUODWBJWCUPUQUIURWRAUEWRWFUELWGUSDLZUS
      WIQIZWNUBZCDUCZMWQWGXDXAWGXCCDWIDLZXBWGWNXEWGWNUBXBXEWNWGXEWMNWFPXEWMEUAR
      NXEWLEUAXEWLEESTZEXEWKEESDEWIWSUTVAWEXFEVBUIEVCUOVDVEVFVDVGVHVIVJVKVLVMWP
      XDBUSDWHUSVBZWOXCCDXGWJXBWNWHUSWIQVNVOVPVQVRVSVTWA $.
      $( [17-Aug-1999] $)
  $}

  ${
    $d x y z w v A $.  $d x y z w v F $.
    hlimcau.1 $e |- A e. V $.
    hlimcau.2 $e |- F e. V $.
    ${
      hlimcaui.4 $e |- F ~~>v A $.
      $( If a sequence in Hilbert space subset converges to a limit, it is a
         Cauchy sequence. $)
      hlimcaui $p |- F e. Cauchy $=
        ( vx vy vz vw vv ccau wcel cn chil wf cc0 cv clt wbr cle wa cfv cmv co
        cno wi wral wrex cr hcau chli hlimseq ax-mp c2 cdiv wceq breq2 imbi2d
        rexralbidv imbi12d hlimvec hlim2 mpbii mp2an vtoclri rehalfclt adantr
        cif opreq1 breq2d 0re elimel 2re 2pos divgt0i2 dedth imp sylc prth wb
        normsubt breq1d anbi2d adantl ffvelrni anim1i ancoms an4s norm3lemt
        syl sylbird jctil sylan2 syl9r r19.20dva raaan fveq2 opreq1d fveq2d
        cbvralv anbi2i anidm 3bitr syl5ibr r19.22sdv mpd ex rgen mpbir2an ) BKL
        MNBOZPFQZRSZGQZHQZTSZXMIQZTSZUAZXNBUBZXPBUBZUCUDUEUBXKRSZUFZIMUGZHMUGZG
        MUHZUFZFUIUGFGHIBUJBAUKSZXJEABDCULUMZYFFUIXKUILZXLYEYIXLUAZXOXSAUCUDZUE
        UBZXKUNUOUDZRSZUFZHMUGZGMUHZYEYMUILZPYMRSZYQYJPJQZRSZXOYLYTRSZUFZHMUGGM
        UHZUFZYSYQUFJYMUIYTYMUPZUUAYSUUDYQYTYMPRUQUUFUUCYOGHMMUUFUUBYNXOYTYMYLR
        UQURUSUTXJANLZUUEJUIUGZYHYGUUGEABDCVAUMZXJUUGUAYGUUHEJGHABVBVCVDVEYIYRX
        LXKVFVGYIXLYSYIXLYSUFPYIXKPVHZRSZPUUJUNUOUDZRSZUFXKPXKUUJUPZXLUUKYSUUMX
        KUUJPRUQUUNYMUULPRXKUUJUNUOVIVJUTUUJUNXKPUIVKVLVMVNVOVPVQVRYIYQYEUFXLYI
        YPYDGMYIYOXQXTAUCUDZUEUBZYMRSZUFZUAZIMUGZHMUGZYDYPYIUUTYCHMYIXNMLZUAZUU
        SYBIMUUSXRYNUUQUAZUVCXPMLZUAYAXOYNXQUUQVSUVCUUGXTNLZUAZUVDYAUFUVEUVCUVG
        UAZUVDYNAXTUCUDUEUBZYMRSZUAZYAUVGUVKUVDVTUVCUVGUVJUUQYNUVGUVIUUPYMRAXTW
        AWBWCWDUVHXSNLZUVFUAZUUGYIUAZUAZUVKYAUFUVGUVCUVOUUGYIUVFUVBUVOUVFUVBUAZ
        UVNUVOUVPUVMUVNUVBUVFUVMUVBUVLUVFMNXNBYHWEWFWGWFWGWHWGXSXTAXKWIWJWKUVEU
        VFUUGMNXPBYHWEUUIWLWMWNWOWOUVAYPUURIMUGZUAYPYPUAYPYOUURHIMWPUVQYPYPUURY
        OIHMXPXNUPZXQXOUUQYNXPXNXMTUQUVRUUPYLYMRUVRUUOYKUEUVRXTXSAUCXPXNBWQWRWS
        WBUTWTXAYPXBXCXDXEVGXFXGXHXI $.
        $( [17-Aug-1999] $)
    $}

    $( If a sequence in Hilbert space subset converges to a limit, it is a
       Cauchy sequence. $)
    hlimcau $p |- ( F ~~>v A -> F e. Cauchy ) $=
      ( chli wbr ccau wcel cn c0v csn cxp cif eleq1 chil ax-hv0cl elisseti
      ifex nnex snex xpex breq1 breq2 hlim0 elimhyp2v hlimcaui dedth ) BAEFZBGH
      UHBIJKZLZMZGHBUJBUKGNUHAJMZUKUHAJCJOPQRUHBUJDIUISJTUARUHUKAEFUKULEFUJJEFB
      AUJJUKJEFBUKAEUBAULUKEUCUJUKJEUBJULUKEUCUDUEUFUG $.
      $( [17-Aug-1999] $)
  $}

  ${
    $d x y z w v A $.  $d x y z w v B $.  $d x y z w v F $.
    hlimuni.1 $e |- A e. V $.
    hlimuni.2 $e |- B e. V $.
    hlimuni.3 $e |- F e. V $.
    ${
      hlimunii.3 $e |- ( F ~~>v A /\ F ~~>v B ) $.
      $( A Hilbert space sequence converges to at most one limit. $)
      hlimunii $p |- A = B $=
        ( vy vz vw vx cmv co c0v wceq cc0 cno cfv clt wbr wn cv cle wa cn wrex
        wral nn2get rgen2a c2 cdiv wi chli chil wcel pm3.26i hlimvec ax-mp
        pm3.27i hvsubcl normcl 2re 2pos divgt0i2 cr 2ne0 redivcl hlimconv
        breq2 imbi2d rexralbidv imbi12d rcla4v mp2 jca r19.26 con3 ltnr wf
        hlimseq ffvelrni normsubt mpan2 syl breq1d anbi1d norm3lemt mpanl12
        sylbid mtoi syl5com prth syl5 r19.20i sylbir r19.22si reeanv ralnex
        rexbii rexnal bitr 3imtr3 3syl mt2 wne wb normgt0t necon1bbii mpbi
        hvsubeq0 ) ABLMZNOZABOPXKQRZSTZUAXLXNHUBZIUBZUCTZJUBZXPUCTZUDZIUEUFZJUE
        UGZHUEUGZYAHJUEIXOXRUHUIXNPXMUJUKMZSTZXQXPCRZALMQRZYDSTZULZIUEUGZHUEUFZ
        XSYFBLMQRZYDSTZULZIUEUGZJUEUFZUDZYCUAZXMUJXKABCAUMTZAUNUOZYSCBUMTZGUPZA
        CFDUQURZUUABUNUOZYSUUAGUSZBCFEUQURZUTZVAZVBVCVDYEYKYPYDVEUOZPKUBZSTZXQY
        GUUJSTZULZIUEUGHUEUFZULZKVEUGZYEYKULZXMUJUUHVBVFVGZYSUUPUUBKHIACFDVHURU
        UOUUQKYDVEUUJYDOZUUKYEUUNYKUUJYDPSVIZUUSUUMYIHIUEUEUUSUULYHXQUUJYDYGSVI
        VJVKVLVMVNUUIUUKXSYLUUJSTZULZIUEUGJUEUFZULZKVEUGZYEYPULZUURUUAUVEUUEKJI
        BCFEVHURUVDUVFKYDVEUUSUUKYEUVCYPUUTUUSUVBYNJIUEUEUUSUVAYMXSUUJYDYLSVIVJ
        VKVLVMVNVOYJYOUDZJUEUFZHUEUFXTUAZIUEUGZJUEUFZHUEUFZYQYRUVHUVKHUEUVGUVJJ
        UEUVGYIYNUDZIUEUGUVJYIYNIUEVPUVMUVIIUEXPUEUOZXTYHYMUDZULZUVIUVMUVPUVOUA
        UVIUVNXTUVOVQUVNUVOXMXMSTZXMUUHVRUVNUVOAYFLMQRZYDSTZYMUDZUVQUVNYHUVSYMU
        VNYGUVRYDSUVNYFUNUOZYGUVROZUEUNXPCYSUEUNCVSUUBACFDVTURWAZUWAYTUWBUUCYFA
        WBWCWDWEWFUVNUWAUVTUVQULZUWCUWAXMVEUOZUWDUUHYTUUDUWAUWEUDUWDUUCUUFABYFX
        MWGWHWCWDWIWJWKXQYHXSYMWLWMWNWOWPWPYJYOHJUEUEWQUVLYBUAZHUEUFYRUVKUWFHUE
        UVKYAUAZJUEUFUWFUVJUWGJUEXTIUEWRWSYAJUEWTXAWSYBHUEWTXAXBXCXDXNXKNXKUNUO
        XKNXEXNXFUUGXKXGURXHXIABUUCUUFXJXI $.
        $( [19-Aug-1999] $)
    $}

    $( A Hilbert space sequence converges to at most one limit. $)
    hlimuni $p |- ( ( F ~~>v A /\ F ~~>v B ) -> A = B ) $=
      ( chli wbr wa wceq c0v cif eqeq1 eqeq2 cn csn cxp chil ax-hv0cl elisseti
      ifex nnex snex xpex breq2 anbi1d anbi2d breq1 anbi12d hlim0 pm3.2i
      elimhyp3v hlimunii dedth2v ) CAGHZCBGHZIZABJUQAKLZBJURUQBKLZJABKKAURBMBUS
      URNURUSUQCOKPZQZLZUQAKDKRSTZUAUQBKEVCUAUQCVAFOUTUBKUCUDUAUQCURGHZUPIVDCUS
      GHZIVBURGHZVBUSGHZIABCKKVAVAKGHZVHIVAURGHZVHIVIVAUSGHZIAURJUOVDUPAURCGUEU
      FBUSJUPVEVDBUSCGUEUGCVBJVDVFVEVGCVBURGUHCVBUSGUHUIKURJVHVIVHKURVAGUEUFKUS
      JVHVJVIKUSVAGUEUGVAVBJVIVFVJVGVAVBURGUHVAVBUSGUHUIVHVHUJUJUKULUMUN $.
      $( [19-Aug-1999] $)
  $}

  ${
    $d x y F $.  $d x y H $.
    hlimreu.1 $e |- F e. V $.
    $( The limit of a Hilbert space sequence is unique. $)
    hlimreu $p |- ( E. x e. H F ~~>v x <-> E! x e. H F ~~>v x ) $=
      ( vy cv chli wbr wrex wreu wa wceq wi wral wcel visset hlimuni a1i
      rgen2a jctr breq2 reu4 sylibr reurex impbi ) BAFZGHZACIZUGACJZUHUHUGBEFZG
      HZKUFUJLMZECNACNZKUIUHUMULAECULUFCOUJCOKUFUJBAPEPDQRSTUGUKAECUFUJBGUAUBUC
      UGACUDUE $.
      $( [19-Aug-1999] $)
  $}

  ${
    $d x y F $.  $d x y H $.
    hlimeu.1 $e |- F e. V $.
    $( The limit of a Hilbert space sequence is unique. $)
    hlimeu $p |- ( E. x F ~~>v x <-> E! x F ~~>v x ) $=
      ( vy cv chli wbr wex weu wa wceq wi wal visset hlimuni gen2 jctr breq2
      eu4 sylibr euex impbi ) BAEZFGZAHZUDAIZUEUEUDBDEZFGZJUCUGKLZDMAMZJUFUEUJU
      IADUCUGBANDNCOPQUDUHADUCUGBFRSTUDAUAUB $.
      $( [19-Aug-1999] $)
  $}

  ${
    $d x f h $.  $d h C $.
    cmh.1 $e |- C = { h | ( h e. SH /\ A. f e. Cauchy (
      f : NN --> h -> E. x e. h f ~~>v x ) ) } $.
    $( The hypothesis defines the set of complete subspaces of Hilbert
       space.  A complete subspace is one in which every Cauchy sequence of
       vectors in the subspace converges to a member of the subspace
       (Definition of complete subspace in [Beran] p. 96).  Any closed
       subspace of a Hilbert space is complete.  Part of Remark 3.12 of
       [Beran] p. 107. $)
    chsscm $p |- CH (_ C $=
      ( cch cv csh wcel cn wf chli wbr wa wi wal wrex ccau wral chil wex
      impexp ancr adantld imim2i sylbi com12 19.20dv impcom 19.22 syl df-rex
      3imtr4g ax-hcompl syl5 ex com23 19.20i df-ral sylibr anim2i closedsub
      abeq2i 3imtr4 ssriv ) DFBDGZHIZJVFCGZKZVHAGZLMZNVJVFIZOZAPZCPZNVGVIVKAVFQ
      ZOZCRSZNZVFFIVFBIVOVRVGVOVHRIZVQOZCPVRVNWACVNVIVTVPVNVIVTVPOVNVINZVKATQZV
      PVTWBVJTIZVKNZAUAZVLVKNZAUAZWCVPWBWEWGOZAPZWFWHOVIVNWJVIVMWIAVMVIWIVMVIVK
      VLOZOVIWIOVIVKVLUBWKWIVIWKVKWGWDVKVLUCUDUEUFUGUHUIWEWGAUJUKVKATULVKAVFULU
      MAVHUNUOUPUQURVQCRUSUTVAACVFVBVSDBEVCVDVE $.
      $( [24-Dec-2001] $)

    $( The hypothesis defines the set of complete subspaces of Hilbert
       space (see ~ chsscm ).  A Hilbert subspace is closed iff it is complete.
       Remark 3.12(C) of [Beran] p. 107. $)
    chcmh $p |- CH = C $=
      ( cch chsscm cv csh wcel cn wf chli wbr wrex wi ccau wral wa wal df-ral
      ax-17 hbre1 hbim visset hlimcau imim1i weu wex 19.8a hlimeu sylib eupick
      ex df-rex exancom bitr syl5ib syl pm2.43a sylcom imim2i bi2.04 impexp
      3imtr4 19.21ai 19.20i sylbi anim2i abeq2i closedsub ssriv eqssi ) FBABCDE
      GDBFDHZIJZKVNCHZLZVPAHZMNZAVNOZPZCQRZSZVOVQVSSVRVNJZPZATZCTZSVNBJVNFJWBWG
      VOWBVPQJZWAPZCTWGWACQUAWIWFCWIWEAWHWAAWHAUBVQVTAVQAUBVSAVNUCUDUDVQWHVTPZP
      VQVSWDPZPWIWEWJWKVQWJVSVTWDVSWHVTVRVPAUECUEZUFUGVTVSWDVSVSAUHZVTWKPVSVSAU
      IWMVSAUJAVPWLUKULWMVSWDSAUIZWKVTWMWNWKVSWDAUMUNVTWDVSSAUIWNVSAVNUOWDVSAUP
      UQURUSUTVAVBWHVQVTVCVQVSWDVDVEVFVGVHVIWCDBEVJACVNVKVEVLVM $.
      $( [24-Dec-2001] $)
  $}

  ${
    $d x f h H $.  $d x f h g $.
    $( A Hilbert subspace is closed iff it is complete.  Remark 3.12(C) of
      [Beran] p. 107. $)
    ch2 $p |- ( H e. CH <-> ( H e. SH /\ A. f e. Cauchy (
      f : NN --> H -> E. x e. H f ~~>v x ) ) ) $=
      ( vh vg cch wcel cvv csh cn cv wf chli wbr wrex wi ccau wral wa elisset
      adantr wceq eleq1 feq3 rexeq1 imbi12d ralbidv anbi12d cab cbvabv chcmh
      elab2g pm5.21nii ) CFGCHGZCIGZJCBKZLZUPAKMNZACOZPZBQRZSZCFTUOUNVACITUADKZ
      IGZJVCUPLZURAVCOZPZBQRZSZVBDCFHVCCUBZVDUOVHVAVCCIUCVJVGUTBQVJVEUQVFUSVCCJ
      UPUDURAVCCUEUFUGUHAVIDUIBEVIEKZIGZJVKUPLZURAVKOZPZBQRZSDEVCVKUBZVDVLVHVPV
      CVKIUCVQVGVOBQVQVEVMVFVNVCVKJUPUDURAVCVKUEUFUGUHUJUKULUM $.
      $( [24-Dec-2001] $)
  $}

  ${
    $d x f H $.  $d x f F $.
    $( Completeness of a closed subspace of Hilbert space. $)
    chcompl $p |- ( ( H e. CH /\ F e. Cauchy /\ F : NN --> H ) ->
                      E. x e. H F ~~>v x ) $=
      ( vf cch wcel ccau cn wf cv chli wbr wrex wi wral csh ch2 pm3.27bi wceq
      feq1 breq1 rexbidv imbi12d rcla4cv syl 3imp ) CEFZBGFZHCBIZBAJZKLZACMZUGH
      CDJZIZUMUJKLZACMZNZDGOZUHUIULNZNUGCPFURADCQRUQUSDBGUMBSZUNUIUPULHCUMBTUTU
      OUKACUMBUJKUAUBUCUDUEUF $.
      $( [13-Apr-2008] $) $( [4-Oct-1999] $)
  $}

  ${
    $d x y f $.
    $( The unit Hilbert lattice element (which is all of Hilbert space) belongs
       to the Hilbert lattice.  Part of Proposition 1 of [Kalmbach] p. 65. $)
    helch $p |- H~ e. CH $=
      ( vf vx vy chil cch wcel csh cn cv wf chli wbr wa wi wal closedsub wss
      c0v cva co wral csm cc sh ssid ax-hv0cl pm3.2i hvaddclt rgen2a hvmulclt
      rgen2 mpbir2an visset hlimvec adantl gen2 ) DEFDGFZHDAIZJZURBIZKLZMUTDFZN
      ZBOAOBADPUQDDQZRDFZMUTCIZSTDFZCDUABDUAZUTVFUBTDFZCDUABUCUAZMBCDUDVDVEDUEU
      FUGVHVJVGBCDUTVFUHUIVIBCUCDUTVFUJUKUGULVCABVAVBUSUTURAUMBUMUNUOUPUL $.
      $( [6-Sep-1999] $)
  $}

  $( Hilbert space is a subspace of Hilbert space. $)
  helsh $p |- H~ e. SH $=
    ( chil helch chshi ) ABC $.
    $( [3-Jun-2004] $) $( [2-Jun-2004] $)

  $( Subspaces are subsets of Hilbert space. $)
  shsspwh $p |- SH (_ P~ H~ $=
    ( vx csh cuni cpw chil pwuni wceq wcel cv wss wral helsh shss rgen ssunieq
    mp2an pweq ax-mp sseqtr4 ) BBCZDZEDZBFETGZUBUAGEBHAIZEJZABKUCLUEABUDMNAEBOP
    ETQRS $.
    $( [26-Nov-2004] $) $( [24-Nov-2004] $)

  $( Closed subspaces are subsets of Hilbert space. $)
  chsspwh $p |- CH (_ P~ H~ $=
    ( cch csh chil cpw chsssh shsspwh sstri ) ABCDEFG $.
    $( [26-Nov-2004] $) $( [24-Nov-2004] $)

  ${
    $d x y f $.
    $( The zero subspace belongs to the set of closed subspaces of Hilbert
       space. $)
    hsn0elch $p |- { 0h } e. CH $=
      ( vf vx vy c0v csn cch wcel csh cn cv wf chli wbr wa wi wal closedsub
      chil wss cva co wral csm cc sh ax-hv0cl snssi ax-mp elisseti snid pm3.2i
      wceq opreq12 hvaddid2 syl6eq oprex elsnc sylibr elsn syl2anb rgen2a
      opreq2 hvmul0t sylan9eqr sylan2b rgen2 mpbir2an wb visset hlimuni eleq1d
      cxp fconst2 hlim0 breq1 mpbiri sylbi sylan mpbii gen2 ) DEZFGWAHGZIWAAJZK
      ZWCBJZLMZNZWEWAGZOZBPAPBAWAQWBWARSZDWAGZNWECJZTUAZWAGZCWAUBBWAUBZWEWLUCUA
      ZWAGZCWAUBBUDUBZNBCWAUEWJWKDRGWJUFDRUGUHDDRUFUIZUJZUKWOWRWNBCWAWEDULZWLDU
      LZWNWHWLWAGZXAXBNZWMDULWNXDWMDDTUADWEDWLDTUMDUFUNUOWMDWEWLTUPUQURBDUSCDUS
      ZUTVAWQBCUDWAWEUDGZXBWQXCXFXBNWPDULWQXBXFWPWEDUCUADWLDWEUCVBWEVCVDWPDWEWL
      UCUPUQURXEVEVFUKVGWIABWGWKWHWTWCDLMZWFWKWHVHWDXGWFNDWEWADWEWCWSBVIAVIVJVK
      WDWCIWAVLZULZXGIDWCWSVMXIXGXHDLMVNWCXHDLVOVPVQVRVSVTVG $.
      $( [14-Oct-1999] $)
  $}

  $( From any nonzero Hilbert space vector, construct a vector whose norm is
     1. $)
  norm1t $p |- ( ( A e. H~ /\ A =/= 0h ) ->
               ( normh ` ( ( 1 / ( normh ` A ) ) .h A ) ) = 1 ) $=
    ( chil wcel c0v wne wa c1 cno cfv cdiv co csm cabs cmul cc wceq norm-iiit
    cr cc0 rerecclt normclt adantr normne0t biimpar sylanc recnd pm3.26 cle
    wbr absidt clt 1re 0re lt01 ltlei divge0t mpanl12 normgt0t biimpa opreq1d
    axmulcom recidt eqtrd 3eqtrd ) ABCZADEZFZGAHIZJKZALKHIZVIMIZVHNKZVIVHNKZGVI
    OCZVEVJVLPVGVIAQVGVIVHRCZVHSEZVIRCZVGVHTVEVOVFAUAZUBZVEVPVFAUCUDZUEZUFZVEVF
    UGUEVGVKVIVHNVQSVIUHUIZVKVIPVGVIUJWAVOSVHUKUIZWCVGGRCSGUHUIVOWDFWCULSGUMULU
    NUOGVHUPUQVSVEVFWDAURUSUEUEUTVGVMVHVINKZGVNVHOCZVMWEPVGVIVHVAWBVEWFVFVEVHVR
    UFUBZUEWFVPWEGPVGVHVBWGVTUEVCVD $.
    $( [8-Feb-2006] $) $( [7-Feb-2006] $)

  ${
    $d x z H $.  $d y z H $.
    norm1ex.1 $e |- H e. SH $.
    $( A normalized vector exists in a subspace iff the subspace has a non-zero
       vector. $)
    norm1ex $p |- ( E. x e. H x =/= 0h <-> E. y e. H ( normh ` y ) = 1 ) $=
      ( vz cv c0v wne wrex cno cfv c1 wceq neeq1 cbvrexv cdiv co csm wcel wa
      fveq2 eqeq1d rcla4ev cc csh wi shmulcltOLD ax-mp cr cc0 rerecclt chil
      shel normclt syl adantr wb normne0t biimpar sylanc recnd pm3.26 norm1t
      sylan r19.23aiva wn norm-it necon3bbid ax1ne0 df-ne mpbi eqeq1 mtbiri
      syl5bi r19.22i sylib impbi bitr ) AFZGHZACIEFZGHZECIZBFZJKZLMZBCIZVTWBAEC
      VSWAGNOWCWGWBWGECLWAJKZPQZWARQZCSZWJJKZLMZWGWACSZWBTZWFWMBWJCWDWJMWEWLLWD
      WJJUAUBUCWIUDSZWNWKWOCUESWPWNTWKUFDWIWACUGUHWOWIWHUISZWHUJHZWIUISWOWHUKWN
      WQWBWNWAULSZWQWACDUMZWAUNUOUPWNWRWBWNWSWRWBUQWTWAURUOUSUTVAWNWBVBUTWSWBWM
      WNWAVCWTVDUTVEWGWDGHZBCIWCWFXABCWDCSZWEUJMZVFXAWFXBXCWDGXBWDULSXCWDGMUQWD
      CDUMWDVGUOVHWFXCLUJMZLUJHXDVFVILUJVJVKWELUJVLVMVNVOXAWBBECWDWAGNOVPVQVR
      $.
      $( [9-Apr-2006] $) $( [9-Apr-2006] $)
  $}

  ${
    $d x z $.  $d y z $.
    $( A normalized vector can exist only iff the Hilbert space has a non-zero
       vector. $)
    norm1hext $p |- ( E. x e. H~ x =/= 0h <-> E. y e. H~ ( normh ` y ) = 1 ) $=
      ( chil helsh norm1ex ) ABCDE $.
      $( [2-Feb-2006] $) $( [21-Jan-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Orthocomplements
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w $.
    $( Define orthogonal complement of a subset (usually a subspace) of
       Hilbert space.  The orthogonal complement is the set of all vectors
       orthogonal to all vectors in the subset.  See ~ ocvalt and ~ chocval
       for its value.  Textbooks usually denote this unary operation with the
       symbol ` _|_ ` as a small superscript, although Mittelstaedt uses
       the symbol as a prefix operation.  Here we define a function (prefix
       operation) ` _|_ ` rather than introducing a new syntactical form.
       This lets us take advantage of the theorems about functions that we
       already have proved under set theory.  Definition of [Mittelstaedt]
       p. 9. $)
    df-oc $a |- _|_ = { <. x , y >. | ( x (_ H~ /\ y =
                         { z e. H~ | A. w e. x ( z .ih w ) = 0 } ) } $.
  $}

  $( Define the zero for closed subspaces of Hilbert space.  See ~ h0elch
     for closure law. $)
  df-ch0 $a |- 0H = { 0h } $.

  $( Membership in zero for closed subspaces of Hilbert space. $)
  elch0 $p |- ( A e. 0H <-> A = 0h ) $=
    ( c0h wcel c0v csn wceq df-ch0 eleq2i chil ax-hv0cl elisseti elsnc2 bitr )
    ABCADEZCADFBNAGHADDIJKLM $.
    $( [6-Apr-2001] $)

  $( The zero subspace is a closed subspace.  Part of Proposition 1 of
     [Kalmbach] p. 65. $)
  h0elch $p |- 0H e. CH $=
    ( c0h c0v csn cch df-ch0 hsn0elch eqeltr ) ABCDEFG $.
    $( [30-May-1999] $)

  $( The zero subspace is a subspace of Hilbert space. $)
  h0elsh $p |- 0H e. SH $=
    ( c0h h0elch chshi ) ABC $.
    $( [3-Jun-2004] $) $( [2-Jun-2004] $)

  ${
    hhss.1 $e |- W = <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. ,
               ( normh |` H ) >. $.
    $( The vector addition operation on a subspace. $)
    hhssva $p |- ( +h |` ( H X. H ) ) = ( +v ` W ) $=
      ( cpv cfv c1st cva cxp cres csm cc cop eqid vafval cno fveq2i opex op1st
      eqtr cabl wcel cvv hilabl resexg ax-mp 3eqtrr ) BDEZBFEZFEGAAHZIZJKAHIZLZ
      FEUJBUGUGMNUHULFUHULOAIZLZFEULBUNFCPULUMUJUKQRSPUJUKGTUAUJUBUAUCGUITUDUER
      UF $.
      $( [22-Apr-2008] $) $( [8-Apr-2008] $)

    $( The scalar multiplication operation on a subspace. $)
    hhsssm $p |- ( .h |` ( CC X. H ) ) = ( .s ` W ) $=
      ( cns cfv c1st c2nd cva cxp cres csm cc cop eqid smfval cno fveq2i opex
      op1st eqtr cabl wcel cvv hilabl resexg ax-mp hvmulex op2nd 3eqtrr ) BDEZB
      FEZGEHAAIZJZKLAIZJZMZGEUOUJBUJNOUKUPGUKUPPAJZMZFEUPBURFCQUPUQUMUORSTQUMUO
      HUAUBUMUCUBUDHULUAUEUFKUCUBUOUCUBUGKUNUCUEUFUHUI $.
      $( [29-Apr-2008] $) $( [8-Apr-2008] $)

    $( The norm operation on a subspace. $)
    hhssnm $p |- ( normh |` H ) = ( norm ` W ) $=
      ( cnm cfv c2nd cva cxp cres csm cc cop cno eqid nmfval fveq2i opex cvv
      wcel chil cr wf normf ax-hilex fex mp2an resexg ax-mp op2nd 3eqtrr ) BDEZ
      BFEGAAHIZJKAHIZLZMAIZLZFEUOBUKUKNOBUPFCPUNUOULUMQMRSZUORSTUAMUBTRSUQUCUDT
      UARMUEUFMARUGUHUIUJ $.
      $( [30-Apr-2008] $) $( [8-Apr-2008] $)
  $}

  ${
    $d x y H $.
    hhssabl.1 $e |- H e. SH $.
    $( Abelian group property of subspace addition. $)
    hhssabl $p |- ( +h |` ( H X. H ) ) e. Abel $=
      ( vx vy cva cxp cres cgr wcel wss csubg cfv w3a c0v csm c2nd c1 cneg csn
      cvv ccnv ccom chil cabl hilabl ablgrp ax-mp cop cno eqid hhba hhva
      bafval hh0v 0vfval cnv cgn wceq hhnv hhsm invfval shssi csh cv co
      shaddclt mp3an1 sh0 cc wfn wf ax-hfvmul ffn ax1cn negcl curry1val
      mp3an12 shmulclt eqeltrd issubgi issubg mpbi 3simp2i cdm ssxp mp2an
      ax-hfvadd fdmi sseqtr4 ssdmres wa ax-hvcom shel syl2an oprvalres ancoms
      3eqtr4d isabli ) CDEAAFZGZAEHIZWTHIZWTEJZWTEKLIXAXBXCMCDNEWTOPQRZSTFGUAUB
      ZUCAEUDIXAUEEUFUGEOUHUIUHZEUCXFXFUJZUKXFXGULZUMXFENXHXFXGUNUOXFUPIXEEUQLU
      RXFXGUSOXFEXEXHXFXGUTXEUJZVAUGABVBZWTUJAVCIZCVDZAIZDVDZAIZXLXNEVEZAIBXLXN
      AVFVGXKNAIBAVHUGXMXLXELZXDXLOVEZAOVIUCFZVJZXDVIIZXMXQXRURXSUCOVKXTVLXSUCO
      VMUGQVNVOZVIUCXDXLAOXEXIVPVQXKYAXMXRAIBYBXDXLAVRVQVSVTEWTWAWBWCWSEWDZJWTW
      DWSURWSUCUCFZYCAUCJZYEWSYDJXJXJAUCAUCWEWFYDUCEWGWHWIWSEWJWBXMXOWKXPXNXLEV
      EZXLXNWTVEXNXLWTVEZXLUCIXNUCIXPYFURXMXOXLXNWLXLABWMXNABWMWNXLXNAAEWOXOXMY
      GYFURXNXLAAEWOWPWQWR $.
      $( [8-May-2008] $) $( [9-Apr-2008] $)
  $}

  $( Abelian group property of subspace addition. $)
  hhssablt $p |- ( H e. SH -> ( +h |` ( H X. H ) ) e. Abel ) $=
    ( csh wcel cva cxp cres cabl chil cif wceq xpeq1 xpeq2 eqtrd reseq2 syl
    eleq1d helsh elimel hhssabl dedth ) ABCZDAAEZFZGCDUAAHIZUDEZFZGCAHAUDJZUCUF
    GUGUBUEJUCUFJUGUBUDAEUEAUDAKAUDUDLMUBUEDNOPUDAHBQRST $.
    $( [24-Jun-2008] $) $( [9-Apr-2008] $)

  ${
    $d x y z H $.
    hhssnvt.1 $e |- W = <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. ,
               ( normh |` H ) >. $.
    ${
      hhssnv.2 $e |- H e. SH $.
      $( Normed complex vector space property of a subspace. $)
      hhssnv $p |- W e. NrmCVec $=
        ( vx vy vz csm cc cxp cres cva cno c0v cabl wcel cgr hhssabl ablgrp
        ax-mp cdm wss wceq chil shssi ssxp mp2an ax-hfvadd fdmi sseqtr4
        ssdmres mpbi grprn cgi cfv co csh sh0 oprvalres ax-hv0cl hvaddid2 eqtr
        wb eqid grpid mpbir cop wf wfn crn df-f ax-hfvmul ffn ssid fnssres cv
        wrex oprvalelrn wa eleq1 shmulclt mp3an1 eqeltrd syl5cbi r19.23aivv
        sylbi ssriv mpbir2an c1 ax1cn mpan shel ax-hvmulid syl eqtrd w3a
        ax-hvdistr1 id syl3an 3adant1 opreq2d shaddclt sylan2 3impb 3adant3
        3adant2 opreq12d sylanc 3eqtr4d caddc ax-hvdistr2 syl3an3 axaddcl
        sylan 3impa cmul ax-hvmulass axmulcl isvci cr normf fssres cc0 fvres
        eqeq1d norm-it bitrd biimpa cabs norm-iiit fveq2d adantl cle wbr
        norm-iit syl2an opreqan12d 3brtr4d isnvi ) EFHIAJZKZBLAAJZKZMAKZANUUCAU
        UCOPUUCQPZADRZUUCSTZUUBLUAZUBUUCUAUUBUCUUBUDUDJZUUHAUDUBZUUJUUBUUIUBADU
        EZUUKAUDAUDUFUGUUIUDLUHUIUJUUBLUKULZUMZNUUCUNUOZUCZNNUUCUPZNUCZUUPNNLUP
        ZNNAPZUUSUUPUURUCAUQPZUUSDAURTZUVANNAALUSUGNUTVAVBUUEUUSUUOUUQVCUUGUVAN
        UUNUUCAUUMUUNVDVEUGVFEFGUUAUUCUUCUUAVGZAUUFUULYTAUUAVHUUAYTVIZUUAVJZAUB
        YTAUUAVKHIUDJZVIZYTUVEUBZUVCUVEUDHVHUVFVLUVEUDHVMTIIUBUUJUVGIVNUUKIIAUD
        UFUGUVEYTHVOUGZGUVDAGVPZUVDPZEVPZFVPZUUAUPZUVIUCZFAVQEIVQZUVIAPZUVCUVJU
        VOVCUVHEFIAUVIUUAVRTUVNUVPEFIAUVNUVMAPUVPUVKIPZUVLAPZVSZUVMUVIAVTUVSUVM
        UVKUVLHUPZAUVKUVLIAHUSUUTUVQUVRUVTAPDUVKUVLAWAWBWCWDWEWFWGWHUVKAPZWIUVK
        UUAUPZWIUVKHUPZUVKWIIPUWAUWBUWCUCWJWIUVKIAHUSWKUWAUVKUDPZUWCUVKUCUVKADW
        LZUVKWMWNWOUVLIPZUWAUVPWPZUVLUVKUVILUPZHUPZUVLUVKHUPZUVLUVIHUPZLUPZUVLU
        VKUVIUUCUPZUUAUPZUVLUVKUUAUPZUVLUVIUUAUPZUUCUPZUWFUWDUVIUDPUWIUWLUCUWFU
        WAUVPUVLUVKUVIWQUWFWRUWEUVIADWLWSUWGUWNUVLUWHUUAUPZUWIUWGUWMUWHUVLUUAUW
        AUVPUWMUWHUCUWFUVKUVIAALUSWTXAUWFUWAUVPUWRUWIUCZUWFUWHAPZUWSUWAUVPVSUVL
        UWHIAHUSUUTUWAUVPUWTDUVKUVIAXBWBXCXDWOUWGUWQUWJUWKUUCUPZUWLUWGUWOUWJUWP
        UWKUUCUWFUWAUWOUWJUCZUVPUVLUVKIAHUSZXEUWFUVPUWPUWKUCUWAUVLUVIIAHUSXFXGU
        WJAPZUWKAPZUXAUWLUCUWGUWJUWKAALUSUWFUWAUXDUVPUUTUWFUWAUXDDUVLUVKAWAWBZX
        EUWFUVPUXEUWAUUTUWFUVPUXEDUVLUVIAWAWBXFXHWOXIUWFUVIIPZUWAWPZUVLUVIXJUPZ
        UVKHUPZUWJUVIUVKHUPZLUPZUXIUVKUUAUPZUWOUVIUVKUUAUPZUUCUPZUWFUXGUWDUXJUX
        LUCUWAUVLUVIUVKXKUWEXLUWFUXGUWAUXMUXJUCZUXIIPUWAUXPUWFUXGVSZUXIUVKIAHUS
        UVLUVIXMXNXOUXHUXOUWJUXKUUCUPZUXLUXHUWOUWJUXNUXKUUCUWFUWAUXBUXGUXCXFUXG
        UWAUXNUXKUCUWFUVIUVKIAHUSWTZXGUXDUXKAPZUXRUXLUCUXHUWJUXKAALUSUWFUWAUXDU
        XGUXFXFUXGUWAUXTUWFUUTUXGUWAUXTDUVIUVKAWAWBZWTXHWOXIUXHUVLUVIXPUPZUVKHU
        PZUVLUXKHUPZUYBUVKUUAUPZUVLUXNUUAUPZUWFUXGUWDUYCUYDUCUWAUVLUVIUVKXQUWEX
        LUWFUXGUWAUYEUYCUCZUYBIPUWAUYGUXQUYBUVKIAHUSUVLUVIXRXNXOUXHUYFUVLUXKUUA
        UPZUYDUXHUXNUXKUVLUUAUXSXAUWFUXGUWAUYHUYDUCZUWFUXTUYIUXGUWAVSUVLUXKIAHU
        SUYAXCXDWOXIUVBVDXSUDXTMVHUUJAXTUUDVHYAUUKUDXTAMYBUGUWAUVKUUDUOZYCUCZUV
        KNUCZUWAUYKUVKMUOZYCUCZUYLUWAUYJUYMYCUVKAMYDZYEUWAUWDUYNUYLVCUWEUVKYFWN
        YGYHUWFUWAVSZUWJMUOZUVLYIUOZUYMXPUPZUWOUUDUOZUYRUYJXPUPUWFUWDUYQUYSUCUW
        AUVLUVKYJUWEXCUYPUYTUWJUUDUOZUYQUYPUWOUWJUUDUXCYKUYPUXDVUAUYQUCUXFUWJAM
        YDWNWOUYPUYJUYMUYRXPUWAUYJUYMUCUWFUYOYLXAXIUWAUVRVSZUVKUVLLUPZMUOZUYMUV
        LMUOZXJUPZUVKUVLUUCUPZUUDUOZUYJUVLUUDUOZXJUPYMUWDUVLUDPVUDVUFYMYNUWAUVR
        UVKUVLYOUWEUVLADWLYPVUBVUHVUCUUDUOZVUDVUBVUGVUCUUDUVKUVLAALUSYKVUBVUCAP
        ZVUJVUDUCUUTUWAUVRVUKDUVKUVLAXBWBVUCAMYDWNWOUWAUVRUYJUYMVUIVUEXJUYOUVLA
        MYDYQYRCYS $.
        $( [8-May-2008] $) $( [26-Mar-2008] $)
    $}

    $( Normed complex vector space property of a subspace. $)
    hhssnvt $p |- ( H e. SH -> W e. NrmCVec ) $=
      ( csh wcel cnv cva c0h cif cxp cres csm cc cop cno wceq xpeq1 xpeq2
      eqtrd reseq2 syl opeq12d syl5eq eleq1d eqid h0elsh elimel hhssnv dedth )
      ADEZBFEGUJAHIZUKJZKZLMUKJZKZNZOUKKZNZFEAHAUKPZBURFUSGAAJZKZLMAJZKZNZOAKZN
      URBUSVDUPVEUQUSVAUMVCUOUSUTULPVAUMPUSUTUKAJULAUKAQAUKUKRSUTULGTUAUSVBUNPV
      CUOPAUKMRVBUNLTUAUBAUKOTUBCUCUDUKURURUEAHDUFUGUHUI $.
      $( [8-May-2008] $) $( [9-Apr-2008] $)
  $}

  ${
    $d x y z H $.
    hhsst.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhsst.2 $e |- W = <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. ,
               ( normh |` H ) >. $.
    $( A member of ` SH ` is a subspace. $)
    hhsst $p |- ( H e. SH -> W e. ( SubSp ` U ) ) $=
      ( csh wcel cnv cva cxp cres wss csm cc cno w3a wa css cfv hhssnvt resss
      3pm3.2i jctir wb hhnv hhva hhssva hhsm hhsssm hhnm hhssnm eqid isssp
      ax-mp sylibr ) BFGZCHGZIBBJZKZILZMNBJZKZMLZOBKZOLZPZQZCARSZGZUPUQVFBCETUT
      VCVEIURUAMVAUAOBUAUBUCAHGVIVGUDADUEVBMAUSIVHVDOCADUFBCEUGADUHBCEUIADUJBCE
      UKVHULUMUNUO $.
      $( [9-May-2008] $) $( [6-Apr-2008] $)

    ${
      hhssp3.3 $e |- W e. ( SubSp ` U ) $.
      hhssp3.4 $e |- H (_ H~ $.
      $( Lemma for ~ hhsssh . $)
      hhshsslem1 $p |- H = ( Base ` W ) $=
        ( cba cfv cpv crn eqid bafval cdm cxp cgr wcel wceq cnv css hhnv sspnv
        mp2an nvgrp ax-mp grprndm cva cres csm cc cop cno fveq2i c1st vafval
        opex op1st cabl cvv hilabl resexg eqtr dmeqi wss chil ssxp ax-hfvadd
        fdmi sseqtr4 ssdmres mpbi dmxpid 3eqtr eqcomi ) CHIZBVOCJIZKZBCVPVOVOLV
        PLZMVQVPNZNZBBOZNBVPPQZVQVTRCSQZWBASQCATIZQWCADUAFAWDCWDLUBUCCVPVRUDUEV
        PUFUEVSWAVSUGWAUHZNZWAVPWEVPWEUIUJBOUHZUKZULBUHZUKZJIZWECWJJEUMWKWJUNIZ
        UNIZWEWJWKWKLUOWMWHUNIWEWLWHUNWHWIWEWGUPUQUMWEWGUGURQWEUSQUTUGWAURVAUEU
        QVBVBVBVCWAUGNZVDWFWARWAVEVEOZWNBVEVDZWPWAWOVDGGBVEBVEVFUCWOVEUGVGVHVIW
        AUGVJVKVBVCBVLVMVBVN $.
        $( [11-May-2008] $) $( [10-Apr-2008] $)

      $( Lemma for ~ hhsssh . $)
      hhshsslem2 $p |- H e. SH $=
        ( vx vy csh wcel chil wss c0v wa cv cva co wral csm cc sh cn0v cfv cnv
        css wceq hhnv hh0v eqid sspz mp2an cba sspnv nvzcl ax-mp hhshsslem1
        eqcomi eleqtr eqeltrr pm3.2i cpv hhva sspgval mpanl12 nvgcl mp3an1
        eqeltrrd rgen2a cns hhsm sspsval nvscl rgen2 mpbir2an ) BJKBLMZNBKZOHPZ
        IPZQRZBKZIBSHBSZVRVSTRZBKZIBSHUASZOHIBUBVPVQGCUCUDZNBAUEKZCAUFUDZKZWFNU
        GADUHZFWFAWHCNADUIWFUJZWHUJZUKULWFCUMUDZBCUEKZWFWMKWGWIWNWJFAWHCWLUNULZ
        CWMWFWMUJWKUOUPBWMABCDEFGUQZURUSUTVAWBWEWAHIBVRBKZVSBKZOZVRVSCVBUDZRZVT
        BWGWIWSXAVTUGWJFVRVSAWTQWHCBWPADVCWTUJZWLVDVEWNWQWRXABKWOVRVSCWTBWPXBVF
        VGVHVIWDHIUABVRUAKZWROZVRVSCVJUDZRZWCBWGWIXDXFWCUGWJFVRVSXETAWHCBWPADVK
        XEUJZWLVLVEWNXCWRXFBKWOVRVSXECBWPXGVMVGVHVNVAVO $.
        $( [11-May-2008] $) $( [6-Apr-2008] $)
    $}

    $( The predicate " ` H ` is a subspace of Hilbert space." $)
    hhsssh $p |- ( H e. SH <-> ( W e. ( SubSp ` U ) /\ H (_ H~ ) ) $=
      ( csh wcel css cfv chil wss wa hhsst shss jca cif eleq1 cva cxp cres csm
      cc cop cno eqid wceq xpeq1 xpeq2 eqtrd reseq2 syl opeq12d syl5eq eleq1d
      sseq1 anbi12d wfn wf ax-hfvadd ffn ax-mp fnresdm ax-hfvmul opeq12i cr
      normf eqtr4 cnv hhnv sspid eqeltr ssid pm3.2i elimhyp pm3.26i pm3.27i
      hhshsslem2 dedth impbi ) BFGZCAHIZGZBJKZLZVTWBWCABCDEMBNOWDVTWDBJPZFGBJBW
      EFQAWERWEWESZTZUAUBWESZTZUCZUDWETZUCZDWLUEWLWAGZWEJKZWDWMWNLRJJSZTZUAUBJS
      ZTZUCZUDJTZUCZWAGZJJKZLBJBWEUFZWBWMWCWNXDCWLWAXDRBBSZTZUAUBBSZTZUCZUDBTZU
      CWLCXDXIWJXJWKXDXFWGXHWIXDXEWFUFXFWGUFXDXEWEBSWFBWEBUGBWEWEUHUIXEWFRUJUKX
      DXGWHUFXHWIUFBWEUBUHXGWHUAUJUKULBWEUDUJULEUMUNBWEJUOUPJWEUFZXBWMXCWNXKXAW
      LWAXKWSWJWTWKXKWPWGWRWIXKWOWFUFWPWGUFXKWOWEJSWFJWEJUGJWEWEUHUIWOWFRUJUKXK
      WQWHUFWRWIUFJWEUBUHWQWHUAUJUKULJWEUDUJULUNJWEJUOUPXBXCXAAWAXARUAUCZUDUCAW
      SXLWTUDWPRWRUARWOUQZWPRUFWOJRURXMUSWOJRUTVAWORVBVAUAWQUQZWRUAUFWQJUAURXNV
      CWQJUAUTVAWQUAVBVAVDUDJUQZWTUDUFJVEUDURXOVFJVEUDUTVAJUDVBVAVDDVGAVHGAWAGA
      DVIAWAWAUEVJVAVKJVLVMVNZVOWMWNXPVPVQVRVS $.
      $( [11-May-2008] $) $( [25-Mar-2008] $)
  $}

  ${
    $d x y H $.
    hhsssh2.1 $e |- W = <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. ,
               ( normh |` H ) >. $.
    $( The predicate " ` H ` is a subspace of Hilbert space." $)
    hhsssh2 $p |- ( H e. SH <-> ( W e. NrmCVec /\ H (_ H~ ) ) $=
      ( csh wcel cva csm cop cno css cfv chil wss wa cnv eqid hhsssh cxp cres
      cc w3a wb hhnv hhva cpv fveq2i c1st vafval opex op1st cabl cvv hilabl
      resexg ax-mp eqtr eqtr2 hhsm cns c2nd smfval hvmulex op2nd hhnm cnm
      nmfval cr wf normf ax-hilex fex mp2an isssp resss 3pm3.2i mpbiran2
      anbi1i bitr ) ADEBFGHIHZJKZEZALMZNBOEZWBNVSABVSPZCQWAWCWBWAWCFAARZSZFMZGT
      ARZSZGMZIASZIMZUAZVSOEWAWCWMNUBVSWDUCWIGVSWFFVTWKIBVSWDUDBUEKWFWIHZWKHZUE
      KZWFBWOUECUFWPWOUGKZUGKZWFWOWPWPPUHWRWNUGKWFWQWNUGWNWKWFWIUIZUJZUFWFWIFUK
      EWFULEUMFWEUKUNUOZUJUPUPUQVSWDURBUSKWOUSKZWIBWOUSCUFXBWQUTKZWIXBWOXBPVAXC
      WNUTKWIWQWNUTWTUFWFWIXAGULEWIULEVBGWHULUNUOVCUPUPUQVSWDVDBVEKWOVEKZWKBWOV
      ECUFXDWOUTKWKWOXDXDPVFWNWKWSIULEZWKULELVGIVHLULEXEVIVJLVGULIVKVLIAULUNUOV
      CUPUQVTPVMUOWGWJWLFWEVNGWHVNIAVNVOVPVQVR $.
      $( [27-Jun-2008] $) $( [8-Apr-2008] $)

    ${
      hhssba.2 $e |- H e. SH $.
      $( The base set of a subspace. $)
      hhssba $p |- H = ( Base ` W ) $=
        ( cva csm cop cno eqid csh wcel css cfv hhsst ax-mp shssi hhshsslem1 )
        EFGHGZABRIZCAJKBRLMKDRABSCNOADPQ $.
        $( [17-May-2008] $) $( [10-Apr-2008] $)

      $( The vector subtraction operation on a subspace. $)
      hhssvs $p |- ( -h |` ( H X. H ) ) = ( -v ` W ) $=
        ( cnsb cfv cmv cxp cres cva csm cop cno cnv wcel css wceq eqid hhnv
        csh hhsst ax-mp hhssba hhvs sspm mp2an eqcomi ) BEFZGAAHIZJKLMLZNOBUJPF
        ZOZUHUIQUJUJRZSATOULDUJABUMCUAUBUJUKUHGBAABCDUCUJUMUDUHRUKRUEUFUG $.
        $( [18-May-2008] $) $( [10-Apr-2008] $)

      $( Mapping of the vector subtraction operation on a subspace. $)
      hhssvsf $p |- ( -h |` ( H X. H ) ) : ( H X. H ) --> H $=
        ( cnv wcel cxp cmv cres wf hhssnv hhssba hhssvs nvmf ax-mp ) BEFAAGZAHP
        IZJABCDKBQAABCDLABCDMNO $.
        $( [31-May-2008] $) $( [10-Apr-2008] $)

      $( Inner product space property of a subspace. $)
      hhssph $p |- W e. CPreHil $=
        ( cva csm cop cno cphl wcel css cfv eqid hhph csh hhsst ax-mp sspph
        mp2an ) EFGHGZIJBTKLZJZBIJTTMZNAOJUBDTABUCCPQTUABUAMRS $.
        $( [5-Jun-2008] $) $( [10-Apr-2008] $)
    $}

    ${
      hhssims.2 $e |- H e. SH $.
      hhssims.3 $e |- D = ( ( normh o. -h ) |` ( H X. H ) ) $.
      $( Induced metric of a subspace. $)
      hhssims $p |- D = ( IndMet ` W ) $=
        ( cno cmv ccom cxp cres cims cfv resco crn wss wceq wf hhssvsf frn
        ax-mp cores eqtr4 cnv wcel hhssnv hhssvs hhssnm eqid imsval 3eqtr4 ) GH
        IBBJZKZGBKZHULKZIZACLMZUMGUOIZUPGHULNUOOBPZUPURQULBUORUSBCDESULBUOTUAGU
        OBUBUAUCFCUDUEUQUPQBCDEUFUQCUOUNBCDEUGBCDUHUQUIUJUAUK $.
        $( [27-Jun-2008] $) $( [10-Apr-2008] $)
    $}
  $}

  ${
    hhssims2.1 $e |- W =
   <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. , ( normh |` H ) >. $.
    hhssims2.3 $e |- D = ( IndMet ` W ) $.
    ${
      hhssims2.2 $e |- H e. SH $.
      $( Induced metric of a subspace. $)
      hhssims2 $p |- D = ( ( normh o. -h ) |` ( H X. H ) ) $=
        ( cims cfv cno cmv ccom cxp cres eqid hhssims eqtr4 ) ACGHIJKBBLMZEQBCD
        FQNOP $.
        $( [29-Jun-2008] $) $( [10-Apr-2008] $)

      $( Induced metric of a subspace. $)
      hhssmet $p |- D e. Met $=
        ( cnv wcel cme hhssnv imsmet ax-mp ) CGHAIHBCDFJACEKL $.
        $( [26-May-2008] $) $( [10-Apr-2008] $)

      $( The base set for the metric of a subspace. $)
      hhssmetba $p |- H = dom dom D $=
        ( hhssba hhssnv imsbai ) ACBBCDFGEBCDFHI $.
        $( [27-May-2008] $) $( [10-Apr-2008] $)

      $( Value of the distance function of the metric space of a subspace. $)
      hhssmetdval $p |- ( ( A e. H /\ B e. H )
         -> ( A D B ) = ( normh ` ( A -h B ) ) ) $=
        ( wcel wa co cmv cxp cres cno cfv cnv wceq hhssnv hhssba hhssvs hhssnm
        imsdval mp3an1 oprvalres fveq2d csh shsubclt fvres syl 3eqtrd ) ADIZBDI
        ZJZABCKZABLDDMNZKZODNZPZABLKZURPZUTOPZEQIULUMUOUSRDEFHSABCEUPURDDEFHTDE
        FHUADEFUBGUCUDUNUQUTURABDDLUEUFUNUTDIZVAVBRDUGIULUMVCHABDUHUDUTDOUIUJUK
        $.
        $( [27-May-2008] $) $( [10-Apr-2008] $)
    $}

    ${
      $d f j k x y D $.  $d f j k x y H $.
      hhsscms.3 $e |- H e. CH $.
      $( The induced metric of a closed subspace is complete. $)
      hhsscms $p |- D e. CMet $=
        ( vx vf vy vj vk chshi hhssmetba hhssmet cn cv wf chli wbr wrex clm
        cfv cca wcel wa cc0 clt cle cmv co cno wi wral cr wb cme c1 1z nnuz
        lmbrf2 mp3an1 ancoms wceq hhssmetdval ffvelrn adantlr simplr sylanc
        breq1d imbi2d ralbidva rexbidv ralbidv bitrd visset hlimconv syl5bir
        r19.22dva pm3.27 ccau cch chcompl chil hcau2 biimpr wss chssi fss
        mpan2 sylan pm3.26 iscauf mpan normsubt chel syl2an eqtrd adantr
        rexbidva biimpac sylc iscms2i ) GAHBABCDEBFLZMZABCDEXCNZOBHPZQZXFGPZRSZ
        GBTZXFXHAUAUBSZGBTXFAUCUBUDZXGUEZXGXIXKGBXGXHBUDZUEZXKUFIPZUGSZJPZKPZUH
        SZXSXFUBZXHUIUJUKUBZXPUGSZULZKOUMZJOTZULZIUNUMZXIXOXKXQXTYAXHAUJZXPUGSZ
        ULZKOUMZJOTZULZIUNUMZYHXNXGXKYOUOZAUPUDZXNXGYPXEIAXHJKXFUQBOXDURUSUTVAV
        BXOYNYGIUNXOYMYFXQXOYLYEJOXOYKYDKOXOXSOUDZUEZYJYCXTYSYIYBXPUGYABUDZXNYI
        YBVCYSYAXHABCDEXCVDXGYRYTXNOBXSXFVEZVFXGXNYRVGVHVIVJVKVLVJVMVNIJKXHXFHV
        OGVOVPVQVRXLXGVSZXGXQXTYAXRXFUBZUIUJUKUBZXPUGSZULZKOUMZJOTZULZIUNUMZXJX
        MXFVTUDZXGXJXGUUJUEBWAUDUUKXGXJFGXFBWBVAOWCXFQZUUJUUKXGUUKUULUUJUEIJKXF
        WDWEXGBWCWFUULBFWGOBWCXFWHWIWJXGUUJWKVHUUBXGXLUUJXGXLXQXTUUCYAAUJZXPUGS
        ZULZKOUMZJOTZULZIUNUMZUUJYQXGXLUUSUOXEIAJKXFUQBOXDURUSWLWMXGUURUUIIUNXG
        UUQUUHXQXGUUPUUGJOXGXROUDZUEZUUOUUFKOUVAYRUEZUUNUUEXTUUCBUDZYTUUNUUEUOU
        VBUVCYTUEZUUMUUDXPUGUVDUUMUUCYAUIUJUKUBZUUDUUCYAABCDEXCVDUUCWCUDYAWCUDU
        VEUUDVCUVCYTUUCYAWNUUCBFWOYABFWOWPWQVIUVAUVCYROBXRXFVEWRXGYRYTUUTUUAVFV
        HVJVKWSVJVMVNWTVHXAXB $.
        $( [28-May-2008] $) $( [10-Apr-2008] $)
    $}
  $}

  ${
    hhssbn.1 $e |- W = <. <. ( +h |` ( H X. H ) ) , ( .h |` ( CC X. H ) ) >. ,
               ( normh |` H ) >. $.
    hhssbn.2 $e |- H e. CH $.
    $( Banach space property of a closed subspace. $)
    hhssbn $p |- W e. CBan $=
      ( cbn wcel cnv cims cfv cms eqid isbn chshi hhssnv hhsscms mpbir2an ) BEF
      BGFBHIZJFQBQKZLABCADMNQABCRDOP $.
      $( [3-Jun-2008] $) $( [10-Apr-2008] $)

    $( Hilbert space property of a closed subspace. $)
    hhsshl $p |- W e. CHil $=
      ( chl wcel cbn cphl ishl hhssbn chshi hhssph mpbir2an ) BEFBGFBHFBIABCDJA
      BCADKLM $.
      $( [30-Jun-2008] $) $( [10-Apr-2008] $)
  $}

  ${
    $d x y z w H $.  $d x y z w A $.  $d x y B $.
    $( Value of orthogonal complement of a subset of Hilbert space. $)
    ocvalt $p |- ( H (_ H~ -> ( _|_ ` H ) =
        { x e. H~ | A. y e. H ( x .ih y ) = 0 } ) $=
      ( vz vw chil wss cpw wcel cort cfv cv csp co cc0 wceq wral crab ax-hilex
      elpw2 raleq1 rabbisdv wa copab df-oc anbi1i opabbii eqtr4 rabex fvopab4
      sylbir ) CFGCFHZICJKALBLMNOPZBCQZAFRZPCFSTDECUMBDLZQZAFRZUOULJUPCPUQUNAFU
      MBUPCUAUBJUPFGZELURPZUCZDEUDUPULIZUTUCZDEUDDEABUEVCVADEVBUSUTUPFSTUFUGUHU
      NAFSUIUJUK $.
      $( [7-Aug-2000] $)

    $( Membership in orthogonal complement of H subset. $)
    ocelt $p |- ( H (_ H~ -> ( A e. ( _|_ ` H ) <-> ( A e. H~ /\
                  A. x e. H ( A .ih x ) = 0 ) ) ) $=
      ( vy chil wss cort cfv wcel cv csp co cc0 wceq wral crab wa ocvalt
      eleq2d opreq1 eqeq1d ralbidv elrab syl6bb ) CEFZBCGHZIBDJZAJZKLZMNZACOZDE
      PZIBEIBUHKLZMNZACOZQUEUFULBDACRSUKUODBEUGBNZUJUNACUPUIUMMUGBUHKTUAUBUCUD
      $.
      $( [7-Aug-2000] $)

    $( Membership in orthogonal complement of H subspace. $)
    shocelt $p |- ( H e. SH -> ( A e. ( _|_ ` H ) <-> ( A e. H~ /\
                  A. x e. H ( A .ih x ) = 0 ) ) ) $=
      ( csh wcel chil wss cort cfv cv csp co cc0 wceq wral wa wb shss ocelt
      syl ) CDECFGBCHIEBFEBAJKLMNACOPQCRABCST $.
      $( [9-Oct-1999] $)

    $( The orthogonal complement of a subspace is a subspace.  Part of Remark
       3.12 of [Beran] p. 107. $)
    ocsh $p |- ( A (_ H~ -> ( _|_ ` A ) e. SH ) $=
      ( vx vy vz chil wss cort cfv c0v wcel wa cv cva co wral csm cc csh csp
      cc0 wceq crab ssrab2 ocvalt sseq1d mpbiri ssel hi01t syl6 r19.21aiv
      ax-hv0cl jctil ocelt mpbird jca wi caddc ax-his2 3expa opreq12 0cn
      addid1 syl6eq sylan9eq ex ancoms ssel2 sylan an1rs r19.20dva imdistand
      hvaddclt anim1i anbi12d an4 r19.26 anbi2i bitr4 syl6bb 3imtr4d exp3a
      r19.21adv cmul opreq2 eqeq1d mul01t syl5cbir ad2antrl wb w3a ax-his3
      sylibrd hvmulclt anbi2d anass syl6bbr sh sylibr ) AEFZAGHZEFZIWTJZKZBLZCL
      ZMNZWTJZCWTOZBWTOZXDXEPNZWTJZCWTOZBQOZKZKWTRJWSXCXNWSXAXBWSXAXDXESNTUACAO
      ZBEUBZEFXOBEUCWSWTXPEBCAUDUEUFWSXBIEJZIXESNTUAZCAOZKWSXSXQWSXRCAWSXEAJXEE
      JZXRAEXEUGXEUHUIUJUKULCIAUMUNUOWSXIXMWSXHBWTWSXDWTJZXGCWTWSYAXEWTJZXGWSXD
      EJZXTKZXDDLZSNZTUAZXEYESNZTUAZKZDAOZKZXFEJZXFYESNZTUAZDAOZKZYAYBKZXGWSYLY
      DYPKYQWSYDYKYPWSYDYKYPUPWSYDKYJYODAWSYEAJZYDYJYOUPZYEEJZYDYTWSYSKZYDUUAYT
      YDUUAKZYJYOUUCYJYNYFYHUQNZTYCXTUUAYNUUDUAXDXEYEURUSYJUUDTTUQNTYFTYHTUQUTT
      VAVBVCVDVEVFAEYEVGZVHVIVJVEVKYDYMYPXDXEVLVMUIWSYRYCYGDAOZKZXTYIDAOZKZKZYL
      WSYAUUGYBUUIDXDAUMDXEAUMZVNUUJYDUUFUUHKZKYLYCUUFXTUUHVOYKUULYDYGYIDAVPVQV
      RVSDXFAUMVTWAWBUJWSXLBQWSXDQJZXKCWTWSUUMYBXKWSUUMXTKZUUHKZXJEJZXJYESNZTUA
      ZDAOZKZUUMYBKZXKWSUUOUUNUUSKUUTWSUUNUUHUUSWSUUNUUHUUSUPWSUUNKYIUURDAWSYSU
      UNYIUURUPZUUAUUNUVBUUBUUAUUNKYIXDYHWCNZTUAZUURUUMYIUVDUPUUAXTYIUVDXDTWCNZ
      TUAUUMYIUVCUVETYHTXDWCWDWEXDWFWGWHUUNUUAUURUVDWIZUUMXTUUAUVFUUMXTUUAWJUUQ
      UVCTXDXEYEWKWEUSVFWLUUEVHVIVJVEVKUUNUUPUUSXDXEWMVMUIWSUVAUUMUUIKUUOWSYBUU
      IUUMUUKWNUUMXTUUHWOWPDXJAUMVTWAWBUJUOUOBCWTWQWR $.
      $( [7-Aug-2000] $)

    $( The orthogonal complement of a subspace is a subspace.  Part of Remark
       3.12 of [Beran] p. 107. $)
    shocsh $p |- ( A e. SH -> ( _|_ ` A ) e. SH ) $=
      ( csh wcel chil wss cort cfv shss ocsh syl ) ABCADEAFGBCAHAIJ $.
      $( [10-Oct-1999] $)

    $( An orthogonal complement is a subset of Hilbert space. $)
    ocss $p |- ( A (_ H~ -> ( _|_ ` A ) (_ H~ ) $=
      ( chil wss cort cfv csh wcel ocsh shss syl ) ABCADEZFGKBCAHKIJ $.
      $( [9-Aug-2000] $)

    $( An orthogonal complement is a subset of Hilbert space. $)
    shocss $p |- ( A e. SH -> ( _|_ ` A ) (_ H~ ) $=
      ( csh wcel chil wss cort cfv shss ocss syl ) ABCADEAFGDEAHAIJ $.
      $( [11-Oct-1999] $)

    $( Contraposition law for orthogonal complement. $)
    occont $p |- ( ( A (_ H~ /\ B (_ H~ ) ->
                 ( A (_ B -> ( _|_ ` B ) (_ ( _|_ ` A ) ) ) $=
      ( vx vy chil wss wa cort cfv cv csp co cc0 wceq wral crab wi wcel wal
      ssel imim1d 19.20dv df-ral 3imtr4g a1d r19.21aiv ss2rab sylibr adantl
      ocvalt ad2antlr ad2antrr 3sstr4d ex ) AEFZBEFZGZABFZBHIZAHIZFUQURGCJZDJZK
      LMNZDBOZCEPZVCDAOZCEPZUSUTURVEVGFZUQURVDVFQZCEOVHURVICEURVIVAERURVBBRZVCQ
      ZDSVBARZVCQZDSVDVFURVKVMDURVLVJVCABVBTUAUBVCDBUCVCDAUCUDUEUFVDVFCEUGUHUIU
      PUSVENUOURCDBUJUKUOUTVGNUPURCDAUJULUMUN $.
      $( [8-Aug-2000] $)

    $( Double contraposition for orthogonal complement. $)
    occon2t $p |- ( ( A (_ H~ /\ B (_ H~ ) ->
              ( A (_ B -> ( _|_ ` ( _|_ ` A ) ) (_ ( _|_ ` ( _|_ ` B ) ) ) ) $=
      ( chil wss wa cort cfv occont wi ocss anim12i ancoms syl syld ) ACDZBCDZE
      ZABDBFGZAFGZDZSFGRFGDZABHQRCDZSCDZEZTUAIPOUDPUBOUCBJAJKLRSHMN $.
      $( [22-Jul-2001] $)

    ${
      occon2.1 $e |- A (_ H~ $.
      occon2.2 $e |- B (_ H~ $.
      $( Double contraposition for orthogonal complement. $)
      occon2 $p |- ( A (_ B ->
                   ( _|_ ` ( _|_ ` A ) ) (_ ( _|_ ` ( _|_ ` B ) ) ) $=
        ( chil wss cort cfv wi occon2t mp2an ) AEFBEFABFAGHGHBGHGHFICDABJK $.
        $( [9-Aug-2000] $)
    $}

    $( The zero vector belongs to an orthogonal complement of a Hilbert
       subspace. $)
    oc0 $p |- ( H e. SH -> 0h e. ( _|_ ` H ) ) $=
      ( csh wcel cort cfv c0v shocsh sh0 syl ) ABCADEZBCFJCAGJHI $.
      $( [11-Oct-1999] $)

    $( Members of a subset and its complement are orthogonal. $)
    ocorth $p |- ( H (_ H~ -> ( ( A e. H /\ B e. ( _|_ ` H ) ) ->
                 ( A .ih B ) = 0 ) ) $=
      ( vx chil wss wcel cort cfv wa csp co cc0 wceq cv wral ocelt pm3.27bda
      adantl wi opreq2 eqeq1d rcla4v ad2antlr wb orthcom ssel2 ocss sseld imp
      syl2an sylibrd mpd anandis ex ) CEFZACGZBCHIZGZJABKLMNZUPUQUSUTUPUQJZUPUS
      JZJZBDOZKLZMNZDCPZUTVBVGVAUPUSBEGZVGDBCQRSVCVGBAKLZMNZUTUQVGVJTUPVBVFVJDA
      CVDANVEVIMVDABKUAUBUCUDAEGVHUTVJUEVAVBABUFCEAUGUPUSVHUPUREBCUHUIUJUKULUMU
      NUO $.
      $( [9-Aug-2000] $)

    $( Members of a subspace and its complement are orthogonal. $)
    shocorth $p |- ( H e. SH -> ( ( A e. H /\ B e. ( _|_ ` H ) ) ->
                 ( A .ih B ) = 0 ) ) $=
      ( csh wcel chil wss cort cfv wa csp co cc0 wceq wi shss ocorth syl ) CDEC
      FGACEBCHIEJABKLMNOCPABCQR $.
      $( [10-Oct-1999] $)

    $( Inclusion in complement of complement.  Part of Proposition 1 of
       [Kalmbach] p. 65. $)
    ococss $p |- ( A (_ H~ -> A (_ ( _|_ ` ( _|_ ` A ) ) ) $=
      ( vy vx chil wss cort cfv cv wcel csp co cc0 wceq wral wa ssel ocorth
      exp3a r19.21adv jcad wb ocss ocelt syl sylibrd ssrdv ) ADEZBAAFGZFGZUGBHZ
      AIZUJDIZUJCHZJKLMZCUHNZOZUJUIIZUGUKULUOADUJPUGUKUNCUHUGUKUMUHIUNUJUMAQRST
      UGUHDEUQUPUAAUBCUJUHUCUDUEUF $.
      $( [9-Aug-2000] $)

    $( Inclusion in complement of complement.  Part of Proposition 1 of
       [Kalmbach] p. 65. $)
    shococss $p |- ( A e. SH -> A (_ ( _|_ ` ( _|_ ` A ) ) ) $=
      ( csh wcel chil wss cort cfv shss ococss syl ) ABCADEAAFGFGEAHAIJ $.
      $( [10-Oct-1999] $)

    $( Members of orthogonal subspaces are orthogonal. $)
    shorth $p |- ( H e. SH -> ( G (_ ( _|_ ` H ) ->
        ( ( A e. G /\ B e. H ) -> ( A .ih B ) = 0 ) ) ) $=
      ( csh wcel cort cfv wss wa csp co cc0 wceq shocorth imp chil wb shss
      sseld shocss anim12d orthcom syl mpbid ssel anim1d ancom sylib sylan2
      exp32 ) DEFZCDGHZIZACFZBDFZJZABKLMNZULUPAUMFZJZURUNUQJZULUTJZBAKLMNZURULU
      TVCBADOPVBBQFZAQFZJZVCURRULUTVFULUPVDUSVEULDQBDSTULUMQADUATUBPBAUCUDUEVAU
      SUPJZUTUNUQVGUNUOUSUPCUMAUFUGPUSUPUHUIUJUK $.
      $( [17-Oct-1999] $)

    $( Intersection of a Hilbert subspace and its complement.  Part of
       Proposition 1 of [Kalmbach] p. 65. $)
    ocin $p |- ( A e. SH -> ( A i^i ( _|_ ` A ) ) = 0H ) $=
      ( vx vy csh wcel cort cfv cin c0h cv wa c0v wceq chil csp co cc0 wral wi
      shocelt opreq2 eqeq1d rcla4cv his6t biimpd sylan9r syl6bi com23 imp3a
      eleq1 anbi12d sh0 oc0 jca syl5cbir impbid elin elch0 3bitr4g eqrdv ) ADEZ
      BAAFGZHZIVABJZAEZVDVBEZKZVDLMZVDVCEVDIEVAVGVHVAVEVFVHVAVFVEVHVAVFVDNEZVDC
      JZOPZQMZCARZKVEVHSCVDATVMVEVDVDOPZQMZVIVHVLVOCVDAVJVDMVKVNQVJVDVDOUAUBUCV
      IVOVHVDUDUEUFUGUHUIVHVGLAEZLVBEZKVAVHVEVPVFVQVDLAUJVDLVBUJUKVAVPVQAULAUMU
      NUOUPVDAVBUQVDURUSUT $.
      $( [11-Oct-1999] $)
  $}

  $( A nonzero vector in the complement of a subspace does not belong to the
     subspace. $)
  ocnelt $p |- ( ( H e. SH /\ A e. ( _|_ ` H ) /\ A =/= 0h ) -> -. A e. H ) $=
    ( csh wcel cort cfv c0v wne wn wa c0h wceq wi cin ocin eleq2d biimpd elin
    syl5ibr exp3a com23 imp elch0 syl6ib necon3ad 3impia ) BCDZABEFZDZAGHABDZIU
    GUIJZUJAGUKUJAKDZAGLUGUIUJULMUGUJUIULUGUJUIULUGABUHNZDZULUJUIJUGUNULUGUMKAB
    OPQABUHRSTUAUBAUCUDUEUF $.
    $( [11-May-2006] $) $( [10-Apr-2006] $)

  ${
    $d x y A $.
    chocval.1 $e |- A e. CH $.
    $( Value of the orthogonal complement of a Hilbert lattice element.  The
       orthogonal complement of ` A ` is the set of vectors that are
       orthogonal to all vectors in ` A ` . $)
    chocval $p |- ( _|_ ` A ) = { x e. H~ | A. y e. A ( x .ih y ) = 0 } $=
      ( chil wss cort cfv cv csp co cc0 wceq wral crab chssi ocvalt ax-mp ) CEF
      CGHAIBIJKLMBCNAEOMCDPABCQR $.
      $( [11-Aug-2004] $) $( [8-Aug-2004] $)
  $}

  ${
    chocuni.1 $e |- H e. CH $.
    $( Lemma for uniqueness part of Projection Theorem.  Theorem 3.7(i) of
       [Beran] p. 102 (uniqueness part). $)
    chocuni $p |- ( ( ( A e. H /\ B e. ( _|_ ` H ) ) /\
                    ( C e. H /\ D e. ( _|_ ` H ) ) ) ->
            ( ( R = ( A +h B ) /\ R = ( C +h D ) ) -> ( A = C /\ B = D ) ) ) $=
      ( wcel cort cfv wa cva co cmv wceq chil wb c0v pm3.26 anim1i hvsub4t
      syldan hvsubidt ad2antrr opreq1d hvsubclt hvaddid2t syl adantll 3eqtrd
      adantrl pm3.27 anim2i sylanc ad2antll opreq2d ax-hvaddid ancoms adantrr
      adantlr eqeq12d chel csh chshi shocsh ax-mp shel anim12i syl2an wi
      shsubcltOLD a1d ad2ant2r eleq1 syl5cbi ad2ant2l jcad hvsubeq0t eqcom
      syl6bb cin c0h ocin eleq2i elin elch0 3bitr3 syl5bb sylibd eleq1a sylbid
      eqtr2t syl5 ) AFHZBFIJZHZKZCFHZDWOHZKZKZABLMZADLMZNMZCDLMZXCNMZOZACOZBDOZ
      KZEXBOEXEOKZXAXGBDNMZCANMZOZXJAPHZBPHZKZCPHZDPHZKZXGXNQWQWTXQXTKXDXLXFXMX
      QXSXDXLOXRXQXSKZXDAANMZXLLMZRXLLMZXLXQXSXOXSKZXDYCOXQXOXSXOXPSTABADUAUBYA
      YBRXLLXOYBROXPXSAUCUDUEXPXSYDXLOZXOXPXSKXLPHYFBDUFXLUGUHUIUJUKXOXTXFXMOXP
      XOXTKZXFXMDDNMZLMZXMRLMZXMXTYEXFYIOYGCDADUAXOXTULXTXSXOXRXSULUMUNYGYHRXML
      XSYHROXOXRDUCUOUPXOXRYJXMOZXSXRXOYKXRXOKXMPHYKCAUFXMUQUHURUSUJUTVAWNXOWPX
      PAFGVBBWOFVCHZWOVCHZFGVDZFVEVFZVGVHZWRXRWSXSCFGVBDWOYOVGVHZVIXAXNXHXIXAXN
      XMFHZXMWOHZKZXHXAXNYRYSWNWRXNYRVJWPWSWNWRKZYRXNWRWNYRYLWRWNKYRVJYNCAFVKVF
      URZVLVMWPWSXNYSVJWNWRXNXLWOHZYSWPWSKZXLXMWOVNYMUUDUUCVJYOBDWOVKVFZVOVPVQX
      AXMROZXHYTXAUUFCAOZXHXQXTUUFUUGQZWQWTXOXRUUHXPXSXRXOUUHCAVRURVMYPYQVICAVS
      VTXMFWOWAZHXMWBHYTUUFUUIWBXMYLUUIWBOYNFWCVFZWDXMFWOWEXMWFWGWHWIXAXNXLFHZU
      UCKZXIXAXNUUKUUCWNWRXNUUKVJZWPWSUUAYRUUMUUBXMFXLWJUHVMWPWSXNUUCVJWNWRUUDU
      UCXNUUEVLVPVQXAXLROZXIUULXQXTUUNXIQZWQWTXPXSUUOXOXRBDVRVPYPYQVIXLUUIHXLWB
      HUULUUNUUIWBXLUUJWDXLFWOWEXLWFWGWHWIVQWKXKXBXEXCNEXBXEWLUEWM $.
      $( [23-Oct-1999] $)
  $}

  ${
    occllem1.1 $e |- A e. H~ $.
    occllem1.2 $e |- B e. H~ $.
    occllem1.3 $e |- S e. H~ $.
    $( Lemma for closure of complement of Hilbert subspace.  Part of Remark
       3.12 of [Beran] p. 107. $)
    occllem1 $p |-  ( abs ` ( ( B .ih S ) - ( A .ih S ) ) ) <_
                    ( ( normh ` ( B -h A ) ) x. ( normh ` S ) ) $=
      ( csp co cmin cabs cfv cmv cno cmul cle c1 cneg caddc csm cva chil wcel
      wceq ax1cn negcl hvmulcl ax-his2 mp3an cc ax-his3 opreq2i eqtr2 hicl
      mulm1 negsub hvsubval opreq1i 3eqtr4 fveq2i hvsubcl bcsHIL eqbrtr ) BCGHZ
      ACGHZIHZJKBALHZCGHZJKVFMKCMKNHOVEVGJVCPQZVDNHZRHZBVHASHZTHZCGHZVEVGVMVCVK
      CGHZRHZVJBUAUBVKUAUBCUAUBZVMVOUCEVHAPUDUEZDUFFBVKCUGUHVNVIVCRVHUIUBAUAUBV
      PVNVIUCVQDFVHACUJUHUKULVJVCVDQZRHVEVIVRVCRVDACDFUMZUNUKVCVDBCEFUMVSUOULVF
      VLCGBAEDUPUQURUSVFCBAEDUTFVAVB $.
      $( [12-Oct-1999] $)
  $}

  ${
    occllem2.1 $e |- S e. H~ $.
    $( Lemma for closure of complement of Hilbert subspace.  Part of Remark
       3.12 of [Beran] p. 107. $)
    occllem2 $p |-  ( ( A e. H~ /\ B e. H~ ) ->
                  ( abs ` ( ( B .ih S ) - ( A .ih S ) ) ) <_
                  ( ( normh ` ( B -h A ) ) x. ( normh ` S ) ) ) $=
      ( chil wcel csp co cmin cabs cfv cmv cno cmul cle wbr c0v cif wceq
      opreq1 opreq2d fveq2d opreq2 opreq1d breq12d ax-hv0cl elimel occllem1
      dedth2h ) AEFZBEFZBCGHZACGHZIHZJKZBALHZMKZCMKZNHZOPULUJAQRZCGHZIHZJKZBUTL
      HZMKZURNHZOPUKBQRZCGHZVAIHZJKZVGUTLHZMKZURNHZOPABQQAUTSZUOVCUSVFOVNUNVBJV
      NUMVAULIAUTCGTUAUBVNUQVEURNVNUPVDMAUTBLUCUBUDUEBVGSZVCVJVFVMOVOVBVIJVOULV
      HVAIBVGCGTUDUBVOVEVLURNVOVDVKMBVGUTLTUBUDUEUTVGCAQEUFUGBQEUFUGDUHUI $.
      $( [13-Oct-1999] $)
  $}

  ${
    $d x y z F $.  $d x y z S $.  $d z G $.  $d x y D $.
    occllem3.1 $e |- G =
                    { <. x , y >. | ( x e. NN /\ y = ( ( F ` x ) .ih S ) ) } $.
    $( Lemma for closure of complement of Hilbert subspace.  Part of Remark
       3.12 of [Beran] p. 107. $)
    occllem3 $p |- ( D e. NN -> ( G ` D ) = ( ( F ` D ) .ih S ) ) $=
      ( cv cfv csp co cn wceq fveq2 opreq1d oprex fvopab4 ) ABCAHZEIZDJKCEIZDJK
      LFRCMSTDJRCENOGTDJPQ $.
      $( [13-Oct-1999] $)

    ${
      occllem4.2 $e |- S e. H~ $.
      $( Lemma for closure of complement of Hilbert subspace.  Part of Remark
         3.12 of [Beran] p. 107. $)
      occllem4 $p |- ( F : NN --> H~ -> G : NN --> CC ) $=
        ( cn chil wf cv cfv csp co cc wcel wral wa ffvelrn jctir hiclt syl
        r19.21aiva fopab2 sylib ) HIDJZAKZDLZCMNZOPZAHQHOEJUFUJAHUFUGHPRZUHIPZC
        IPZRUJUKULUMHIUGDSGTUHCUAUBUCABHOUIEFUDUE $.
        $( [12-Oct-1999] $)
    $}

    $( Lemma for closure of complement of Hilbert subspace.  Part of Remark
       3.12 of [Beran] p. 107. $)
    occllem5 $p |- ( A. z e. NN ( ( F ` z ) .ih S ) = 0 -> G ~~> 0 ) $=
      ( cv cfv csp co cc0 wceq cn wral csn cxp cli wcel wa copab wb fveq2
      opreq1d eqeq1d rcla4v eqeq2 syl6com pm5.32d opabbidv fconstopab 3eqtr4g
      c1 cuz nnuz xpeq1 ax-mp 1z climuz0 eqbrtr syl6eqbr ) CHZEIZDJKZLMZCNOZFNL
      PZQZLRVFAHZNSZBHZVIEIZDJKZMZTZABUAVJVKLMZTZABUAFVHVFVOVQABVFVJVNVPVJVFVML
      MZVNVPUBVEVRCVINVBVIMZVDVMLVSVCVLDJVBVIEUCUDUEUFVMLVKUGUHUIUJGABNLUKULVHU
      MUNIZVGQZLRNVTMVHWAMUONVTVGUPUQUMURUSUTVA $.
      $( [6-Jul-2006] $) $( [12-Oct-1999] $)
  $}

  ${
    $d z w v u A $.  $d x y z w v u F $.  $d w u v G $.  $d x y z w v u S $.
    occllem6.1 $e |- G =
                    { <. x , y >. | ( x e. NN /\ y = ( ( F ` x ) .ih S ) ) } $.
    occllem6.2 $e |- A e. H~ $.
    occllem6.3 $e |- S e. H~ $.
    occllem6.4 $e |- F e. V $.
    $( Lemma for closure of complement of Hilbert subspace.  Part of Remark
       3.12 of [Beran] p. 107. $)
    occllem6 $p |-  ( S =/= 0h -> ( F ~~>v A -> G ~~> ( A .ih S ) ) ) $=
      ( vv vu vw vz c0v wne chli wbr csp co cc wcel cv cfv cn wral wa cc0 clt
      cle cmin cabs wi wrex cr cli chil wf cmv cno ffvelrn occllem4 sylan
      r19.21aiva hicl jctil adantr a1i adantrd cdiv normcl redivclt mp3an2
      gt0ne0 sylan2 adantlr divgt0t mpanr1 jca expcom imim1d cmul wb ltmuldivtOLD
      mp3anl2 jctir hvsubclt normclt 3syl adantll pm3.26 ad2antlr ad2antrr
      sylanc occllem2 syl occllem3 opreq1d fveq2d breq1d adantl mpbird lelttrt
      3expa subclt absclt axmulrcl mpand adantrr an1rs sylbird imim2d
      r19.20dva r19.22sdv ex a2d syld exp4a normgt0t ax-mp sylanb wceq breq2
      imbi2d rexralbidv imbi12d rcla4cv imp3a syl5 r19.21adv jcad elisseti
      hlim syl5ib cin c1 1z cuz nnuz eqimss2i nnssz nnex fopabex2 clm4 wss
      inss2 ssralv biimpar syl6 ) DOPZECQRZCDSTZUAUBZKUCZFUDZUAUBZKUEUFZUGZUHLU
      CZUIRZMUCUUNUJRZUUOUULUKTZULUDZUUSUIRZUMZKUEUFZMUEUNZUMZLUOUFZUGZFUULUPRZ
      UUJUEUQEURZCUQUBZUGZUHNUCZUIRZUVAUUNEUDZCUSTZUTUDZUVOUIRZUMZKUEUFMUEUNZUM
      ZNUOUFZUGZUVJUUKUUJUWEUURUVIUUJUVNUURUWDUVNUURUMUUJUVLUURUVMUVLUUQUUMUVLU
      UPKUEUEUAFURUUNUEUBZUUPUVLUEUAUUNFVAABDEFGIVBVCZVDCDHIVEZVFVGVHVIUUJUVNUW
      DUVIUUJUVNUWDUVIUMUUJUVNUGZUWDUVHLUOUWIUUSDUTUDZVJTZUOUBZUHUWKUIRZUGZUVAU
      VSUWKUIRZUMZKUEUFZMUEUNZUMZUUSUOUBZUVHUMZUWDUUJUVLUWSUXAUMZUVMUHUWJUIRZUV
      LUXBUUJUXCUVLUGZUWSUWTUUTUVGUXDUWSUWTUUTUGZUWRUMUXEUVGUMUXDUXEUWNUWRUXCUX
      EUWNUMUVLUXEUXCUWNUXEUXCUGUWLUWMUWTUXCUWLUUTUWTUWJUHPZUWLUXCUWTUWJUOUBZUX
      FUWLDIVKZUUSUWJVLVMUWJUXHVNVOVPUXEUXGUXCUWMUXHUUSUWJVQVRVSVTVGWAUXDUXEUWR
      UVGUXDUXEUWRUVGUMUXDUXEUGZUWQUVFMUEUXIUWPUVEKUEUXIUWFUGZUWOUVDUVAUXJUWOUV
      SUWJWBTZUUSUIRZUVDUVSUOUBZUWTUGUXCUXLUWOWCZUXJUXMUXGUWTUXCUXNUXHUVSUWJUUS
      WDWEUXJUXMUWTUXDUWFUXMUXEUVLUWFUXMUXCUVLUWFUGZUVQUQUBZUVMUGUVRUQUBUXMUXOU
      XPUVMUEUQUUNEVAZHWFUVQCWGUVRWHWIZWJVPUXEUWTUXDUWFUWTUUTWKWLVSUXDUXCUXEUWF
      UXCUVLWKWMWNUXDUWFUXEUXLUVDUMZUXDUWFUGZUWTUXSUUTUXTUWTUGUVCUXKUJRZUXLUVDU
      XTUYAUWTUVLUWFUYAUXCUXOUYAUVQDSTZUULUKTZULUDZUXKUJRZUXOUVMUXPUGUYEUXOUXPU
      VMUXQHVFCUVQDIWOWPUWFUYAUYEWCUVLUWFUVCUYDUXKUJUWFUVBUYCULUWFUUOUYBUULUKAB
      UUNDEFGWQWRWSWTXAXBWJVGUVCUOUBZUXKUOUBZUGZUWTUYAUXLUGUVDUMZUXTUYFUYGUWTUY
      IUVCUXKUUSXCXDUVLUWFUYHUXCUXOUYFUYGUXOUUPUUMUGUVBUAUBUYFUXOUUPUUMUWGUWHWF
      UUOUULXEUVBXFWIUXOUXMUXGUGUYGUXOUXMUXGUXRUXHWFUVSUWJXGWPVSWJVCXHXIXJXKXLX
      MXNXOXPXQXRDUQUBUUJUXCWCIDXSXTYAXIUWDUWLUWMUWRUWCUWMUWRUMNUWKUOUVOUWKYBZU
      VPUWMUWBUWRUVOUWKUHUIYCUYJUWAUWPMKUEUEUYJUVTUWOUVAUVOUWKUVSUIYCYDYEYFYGYH
      YIYJXOYHYKNMKCEJCUQHYLYMYNUURUVKUVIUUMUUPKUEUEYOZUFZUVKUVIWCUUQLUULMKFYPY
      PUEUEYQUEYPYRUDYSYTZUUAYQUYMUUAABUEAUCEUDDSTFUUBGUUCUUDUYKUEUUEUUQUYLUMUE
      UEUUFUUPKUYKUEUUGXTVOUUHUUI $.
      $( [17-Nov-2007] $) $( [12-Oct-1999] $)
  $}

  ${
    $d x y z F $.  $d x y z S $.
    occllem7.1 $e |- A e. H~ $.
    occllem7.2 $e |- S e. H~ $.
    occllem7.3 $e |- F e. V $.
    $( Lemma for closure of complement of Hilbert subspace.  Part of Remark
       3.12 of [Beran] p. 107. $)
    occllem7 $p |- ( ( F ~~>v A /\
               A. x e. NN ( ( F ` x ) .ih S ) = 0 ) -> ( A .ih S ) = 0 ) $=
      ( vy vz chli wbr cv cfv csp co cc0 wceq cn wral wa wi c0v opreq2 chil
      wcel hi02t ax-mp syl6eq a1d wne copab cli eqid occllem6 occllem5 a1i
      anim12d oprex cr 0re elisseti climuni syl6 pm2.61ine ) DBJKZALDMCNOPQARSZ
      TZBCNOZPQZUACUBCUBQZVIVGVJVHBUBNOZPCUBBNUCBUDUEVKPQEBUFUGUHUICUBUJZVGHLZR
      UEILVMDMCNOQTHIUKZVHULKZVNPULKZTVIVLVEVOVFVPHIBCDVNVNUMZEFGUNVFVPUAVLHIAC
      DVNVQUOUPUQVHPVNBCNURPUSUTVAVBVCVD $.
      $( [6-Jul-2006] $) $( [12-Oct-1999] $)
  $}

  ${
    $d x y z F $.  $d x y z S $.
    occllem8.1 $e |- F e. V $.
    $( Lemma for closure of complement of Hilbert subspace.  Part of Remark
       3.12 of [Beran] p. 107. $)
    occllem8 $p |- ( ( A e. H~ /\ S e. H~ ) -> ( ( F ~~>v A /\
             A. x e. NN ( ( F ` x ) .ih S ) = 0 ) -> ( A .ih S ) = 0 ) ) $=
      ( chil wcel chli wbr cv cfv csp co cc0 wceq cn wral wa wi c0v cif breq2
      anbi1d opreq1 eqeq1d imbi12d opreq2 ralbidv anbi2d ax-hv0cl elimel
      occllem7 dedth2h ) BFGZCFGZDBHIZAJDKZCLMZNOZAPQZRZBCLMZNOZSDUNBTUAZHIZUTR
      ZVDCLMZNOZSVEUQUOCTUAZLMZNOZAPQZRZVDVILMZNOZSBCTTBVDOZVAVFVCVHVPUPVEUTBVD
      DHUBUCVPVBVGNBVDCLUDUEUFCVIOZVFVMVHVOVQUTVLVEVQUSVKAPVQURVJNCVIUQLUGUEUHU
      IVQVGVNNCVIVDLUGUEUFAVDVIDBTFUJUKCTFUJUKEULUM $.
      $( [13-Oct-1999] $)
  $}

  ${
    $d x y z f A $.
    occl.1 $e |- A (_ H~ $.
    $( Closure of complement of Hilbert subset.  Part of Remark 3.12 of
       [Beran] p. 107. $)
    occl $p |- ( _|_ ` A ) e. CH $=
      ( vf vx vy vz cort cfv cch wcel csh cn cv wf chli wbr wa wi wal
      closedsub chil wss ocsh ax-mp csp co cc0 wceq wral visset hlimvec adantl
      occllem8 exp4b sseli syl5 com23 mpcom imp r19.20dva ffvelrn wb ocelt
      pm3.27bi syl r19.21aiva ralcom sylibr impcom jca gen2 mpbir2an ) AGHZIJVM
      KJZLVMCMZNZVODMZOPZQZVQVMJZRZDSCSDCVMTAUAUBZVNBAUCUDWACDVSVQUAJZVQEMZUEUF
      UGUHZEAUIZQZVTVSWCWFVRWCVPVQVOCUJZDUJUKZULVRVPWFVRFMZVOHZWDUEUFUGUHZFLUIZ
      EAUIZWFVPVRWMWEEAVRWDAJZWMWERZWCVRWOWPRWIWCWOVRWPWCWDUAJZVRWPRWOWCWQVRWMW
      EFVQWDVOWHUMUNAUAWDBUOUPUQURUSUTVPWLEAUIZFLUIWNVPWRFLVPWJLJQWKVMJZWRLVMWJ
      VOVAWSWKUAJZWRWBWSWTWRQVBBEWKAVCUDVDVEVFWLEFALVGVHUPVIVJWBVTWGVBBEVQAVCUD
      VHVKVL $.
      $( [7-Aug-2000] $)
  $}

  $( Closure of complement of Hilbert subset.  Part of Remark 3.12 of
     [Beran] p. 107. $)
  occlt $p |- ( A (_ H~ -> ( _|_ ` A ) e. CH ) $=
    ( chil wss cort cfv cch wcel cif wceq fveq2 eleq1d sseq1 ssid elimhyp occl
    dedth ) ABCZADEZFGQABHZDEZFGABASIRTFASDJKSQSBCBBCABASBLBSBLBMNOP $.
    $( [8-Aug-2000] $)

  $( Closure of complement of Hilbert subspace.  Part of Remark 3.12 of
     [Beran] p. 107. $)
  shocclt $p |- ( A e. SH -> ( _|_ ` A ) e. CH ) $=
    ( csh wcel chil wss cort cfv cch shss occlt syl ) ABCADEAFGHCAIAJK $.
    $( [13-Oct-1999] $)

  $( Closure of complement of Hilbert subspace.  Part of Remark 3.12 of
     [Beran] p. 107. $)
  chocclt $p |- ( A e. CH -> ( _|_ ` A ) e. CH ) $=
    ( cch wcel csh cort cfv chsh shocclt syl ) ABCADCAEFBCAGAHI $.
    $( [22-Jul-2001] $)

  ${
    choccl.1 $e |- A e. CH $.
    $( Closure of ` CH ` orthocomplement. $)
    choccl $p |- ( _|_ ` A ) e. CH $=
      ( chssi occl ) AABCD $.
      $( [29-Jul-1999] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Projection theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d z w R $.  $d z w D $.
    projlem1.1 $e |- R e. RR $.
    projlem1.2 $e |- D e. RR $.
    $( Part of Lemma 3.6 of [Beran] p. 100: "Choose e > 0.  Let n_0 be a
       natural number satisfying the inequality n_0 > 4(2i_0 + 1) ` x. `
       e ` ^ ` -1."  Used by ~ projlem2 . $)
    projlem1 $p |- ( 0 < D -> E. z e. NN
               ( ( 4 x. ( ( 2 x. R ) + 1 ) ) / z ) < ( D ^ 2 ) ) $=
      ( cc0 clt wbr wne c2 cexp co c4 cmul c1 caddc cv cdiv cn wrex gt0ne0
      sqgt0 cr wcel resqcl 4re 2re remulcl 1re readdcl redivclz arch 3syl wb
      wa wi nnret cif wceq breq2 anbi1d opreq2 breq1d bibi12d imbi12d 0re
      elimel ltdiv23 dedth nngt0t sylani syl anabsi8 rexbidva mpbird ) FBGHBFIF
      BJKLZGHZMJCNLZOPLZNLZAQZRLZVPGHZASTZBEUABEUBVQWDVTVPRLZWAGHZASTZVQVPFIWEU
      CUDWGVPBEUEZUAVTVPMVSUFVROJCUGDUHUIUJUHZWHUKWEAULUMVQWCWFASVQWASUDZWCWFUN
      ZWJWAUCUDZWJVQUOWKUPWAUQWLFWAGHZVQWKWJWLWMVQUOZWKUPFWLWAFURZGHZVQUOZVTWOR
      LZVPGHZWEWOGHZUNZUPWAFWAWOUSZWNWQWKXAXBWMWPVQWAWOFGUTVAXBWCWSWFWTXBWBWRVP
      GWAWOVTRVBVCWAWOWEGUTVDVEVTWOVPWIWAFUCVFVGWHVHVIWAVJVKVLVMVNVOUM $.
      $( [26-Sep-1999] $)

    ${
      projlem2.3 $e |- 0 <_ R $.
      $( Part of Lemma 3.6 of [Beran] p. 100.  We need the square root for
         the norm limit.  Used by ~ projlem28 . $)
      projlem2 $p |- ( 0 < D -> E. z e. NN
                ( sqr ` ( ( 4 x. ( ( 2 x. R ) + 1 ) ) / z ) ) < D ) $=
        ( cc0 clt wbr c4 c2 cmul co c1 caddc cv cdiv csqr cfv cn wrex cexp
        projlem1 wcel wa wb cr cle lt2sqt sqrclt wne redivclt 3expa nnret 4re
        2re remulcl 1re readdcl jctil nnne0t sylanc 0re 4pos 2pos ltlei mulge0
        mp2an lt01 addgegt0 mulgt0i divge0t mpanl12 nngt0t sqrge0t jca ltle
        syl2an ancoms wceq sqsqrt breq1d adantl bitrd rexbidva mpbird ) GBHIZJK
        CLMZNOMZLMZAPZQMZRSZBHIZATUAWLBKUBMZHIZATUAABCDEUCWGWNWPATWGWKTUDZUEWNW
        MKUBMZWOHIZWPWQWGWNWSUFZWMUGUDZGWMUHIZUEBUGUDZGBUHIZUEWTWQWGWMBUIWQXAXB
        WLUGUDZGWLUHIZXAWQWLUJWJUGUDZWKUGUDZUEWKGUKZXEWQXGXHXIXEWJWKULUMWQXHXGW
        KUNZJWIUOWHNKCUPDUQZURUSZUQZUTWKVAVBZXHGWKHIZXFWQXGGWJUHIXHXOUEXFXMGWJV
        CXMJWIUOXLVDGWHUHIZGNHIGWIHIGKUHIGCUHIXPGKVCUPVEVFFKCUPDVGVHVIWHNXKURVJ
        VHVKVFWJWKVLVMXJWKVNVBZVBXEXFXBWQWLVOXNXQVBVPWGXDXCGBVCEVQEUTVRVSWQWSWP
        UFWGWQWRWLWOHXEXFWRWLVTWQWLWAXNXQVBWBWCWDWEWF $.
        $( [27-Sep-1999] $)
    $}
  $}

  ${
    projlem3.1 $e |- R e. RR $.
    projlem3.2 $e |- D e. NN $.
    projlem3.3 $e |- G e. NN $.
    $( Part of Lemma 3.6 of [Beran] p. 100, bottom inequality.  Used by
       ~ projlem6 . $)
    projlem3 $p |- ( ( ( 2 x. ( ( R + ( 1 / D ) ) ^ 2 ) ) +
                    ( 2 x. ( ( R + ( 1 / G ) ) ^ 2 ) ) ) -
                           ( 4 x. ( R ^ 2 ) ) ) <_
             ( ( ( 4 x. R ) + 2 ) x. ( ( 1 / D ) + ( 1 / G ) ) ) $=
      ( c2 c1 cdiv co caddc cexp cmul c4 cmin cle 2cn nnre nnne0 rereccl
      readdcl resqcl recn adddi binom2 sqcl mulcl addass eqtr opreq12i addcl
      add4 opreq2i eqtr3 mulass 2t2e4 opreq1i 2times 3eqtr3 subdi addsubass
      pncan3 eqtr4 3eqtr 3eqtr2 wbr nncn sqreci nnlesq cc0 clt wb nngt0 wne
      sqgt0 ax-mp lerec mp2an mpbi eqbrtr le2add 2re remulcl leadd2 2pos
      lemul2 4re 3eqtr2r adddir 3eqtr4 breqtr ) GBHAIJZKJZGLJZMJGBHCIJZKJZGLJZM
      JKJZNBGLJZMJZOJZGGBWLWOKJZMJZMJZWLGLJZWOGLJZKJZKJZMJZNBMJZGKJXBMJZPXAGWSW
      SKJZGBWLMJZMJZXEKJZGBWOMJZMJZXFKJZKJZKJZMJZGXLMJZOJGXTXLOJZMJXIWRYAWTYBOG
      WNWQKJZMJWRYAGWNWQQWNWMBWLDAAERZAESZTZUAUBUCWQWPBWODCCFRZCFSZTZUAUBUCUDYD
      XTGMYDWSXOKJZWSXRKJZKJXTWNYKWQYLKWNWSXNKJXEKJYKBWLBDUCZWLYGUCZUEWSXNXEBYM
      UFZGXMQBWLYMYNUGZUGZWLYNUFZUHUIWQWSXQKJXFKJYLBWOYMWOYJUCZUEWSXQXFYOGXPQBW
      OYMYSUGZUGZWOYSUFZUHUIUJWSXOWSXRYOXNXEYQYRUKZYOXQXFUUAUUBUKZULUIUMUNGGMJZ
      WSMJGGWSMJZMJWTYBGGWSQQYOUOUUENWSMUPUQUUFXLGMWSYOURUMUSUJGXTXLQXLXSWSWSYO
      YOUKZXOXRUUCUUDUKZUKUUGUTYCXHGMYCXLXSXLOJKJXSXHXLXSXLUUGUUHUUGVAXLXSUUGUU
      HVBXSXNXQKJZXGKJXHXNXEXQXFYQYRUUAUUBULXDUUIXGKXDGXMXPKJZMJUUIXCUUJGMBWLWO
      YMYNYSUDUMGXMXPQYPYTUDUIUQVCVDUMVEXIGXDXBKJZMJZXKPXHUUKPVFZXIUULPVFZXGXBP
      VFZUUMXEWLPVFXFWOPVFUUOXEHAGLJZIJZWLPAAEVGYFVHAUUPPVFZUUQWLPVFZAEVIVJAVKV
      FVJUUPVKVFZUURUUSVLAEVMAVJVNUUTYFAYEVOVPAUUPYEAYEUBVQVRVSVTXFHCGLJZIJZWOP
      CCFVGYIVHCUVAPVFZUVBWOPVFZCFVIVJCVKVFVJUVAVKVFZUVCUVDVLCFVMCVJVNUVEYICYHV
      OVPCUVAYHCYHUBVQVRVSVTXEXFWLWOWLYGUBZWOYJUBZYGYJWAVRXGXBXDXEXFUVFUVGUAZWL
      WOYGYJUAZGXCWBBXBDUVIWCWCZWDVSVJGVKVFUUMUUNVLWEXHUUKGXDXGUVJUVHUAXDXBUVJU
      VIUAWBWFVPVSGXDMJZGXBMJZKJXJXBMJZUVLKJUULXKUVKUVMUVLKUVMNXCMJUUEXCMJUVKNB
      XBNWGUCYMXBUVIUCZUOUUENXCMUPUQGGXCQQBXBYMUVNUGZUOWHUQGXDXBQGXCQUVOUGUVNUD
      XJGXBXJNBWGDWCUCQUVNWIWJWKVT $.
      $( [16-Sep-1999] $)
  $}

  ${
    projlem4.1 $e |- R e. RR $.
    projlem4.2 $e |- 0 <_ R $.
    projlem4.3 $e |- D e. NN $.
    projlem4.4 $e |- G e. NN $.
    projlem4.5 $e |- B e. NN $.
    $( Part of Lemma 3.6 of [Beran] p. 101, top.  Used by ~ projlem6 . $)
    projlem4 $p |- ( ( B <_ D /\ B <_ G ) ->
             ( ( ( 4 x. R ) + 2 ) x. ( ( 1 / D ) + ( 1 / G ) ) )
           <_ ( ( 4 x. ( ( 2 x. R ) + 1 ) ) / B ) ) $=
      ( cle wbr wa c1 cdiv co caddc c4 cmul c2 nnre nnne0 rereccl le2add cc0
      clt wb nngt0 lerec mp2an syl2anb 2cn 2re remulcl recn ax1cn adddi mulass
      2t2e4 opreq1i eqtr3 mulid1 opreq12i eqtr2 1re readdcl mul23 3eqtr2r 4re
      mulcl nncn divass 2times eqtr opreq2i 3eqtr breq2i 0re 4pos ltlei mulge0
      2pos addgegt0 lemul2 ax-mp bitr4 sylibr ) ABJKZADJKZLMBNOZMDNOZPOZMANOZWL
      POZJKZQCROZSPOZWKROZQSCROZMPOZROZANOZJKZWIWLJKZWJWLJKZWNWGWHWIWJWLWLBBGTZ
      BGUAUBZDDHTZDHUAUBZAAITZAIUAZUBZXKUCUDAUEKZUDBUEKWGXCUFAIUGZBGUGABXIXEUHU
      IXLUDDUEKWHXDUFXMDHUGADXIXGUHUIUJXBWQWPWMROZJKZWNXAXNWQJXAWPSMROZROZANOWP
      XPANOZROXNWTXQANXQSWSROZSROSSROZWSROWTWPXSXPSRXSSWRROZXPPOWPSWRMUKWRSCULE
      UMZUNUOUPYAWOXPSPXTCROYAWOSSCUKUKCEUNUQXTQCRURUSUTSUKVAZVBVCYCVBSSWSUKUKW
      SWRMYBVDVEUNVFXTQWSRURUSVGUSWPXPAWPWOSQCVHEUMZULVEZUNSMUKUOVIAIVJZXJVKXRW
      MWPRXRSWLROWMSMAUKUOYFXJVKWLWLXKUNVLVMVNVOVPUDWPUEKZWNXOUFUDWOJKZUDSUEKYG
      UDQJKUDCJKYHUDQVQVHVRVSFQCVHEVTUIWAWOSYDULWBUIWKWMWPWIWJXFXHVEWLWLXKXKVEY
      EWCWDWEWF $.
      $( [25-Sep-1999] $)
  $}

  ${
    projlem5.1 $e |- A e. H~ $.
    projlem5.2 $e |- B e. H~ $.
    projlem5.3 $e |- C e. H~ $.
    projlem5.4 $e |- R e. RR $.
    projlem5.5 $e |- 0 <_ R $.
    projlem5.6 $e |- ( 4 x. ( R ^ 2 ) ) <_
                     ( ( normh ` ( ( B +h C ) -h ( 2 .h A ) ) ) ^ 2 ) $.
    projlem5.7 $e |- D e. NN $.
    projlem5.8 $e |- G e. NN $.
    projlem5.9 $e |- N e. NN $.
    ${
      projlem5.10 $e |- ( normh ` ( B -h A ) ) < ( R + ( 1 / D ) ) $.
      projlem5.11 $e |- ( normh ` ( C -h A ) ) < ( R + ( 1 / G ) ) $.
      $( Part of Lemma 3.6 of [Beran] p. 100, bottom.  Used by ~ projlem6 . $)
      projlem5 $p |- ( ( normh ` ( B -h C ) ) ^ 2 ) <
                   ( ( ( 2 x. ( ( R + ( 1 / D ) ) ^ 2 ) ) +
                       ( 2 x. ( ( R + ( 1 / G ) ) ^ 2 ) ) ) -
                     ( 4 x. ( R ^ 2 ) ) ) $=
        ( cmv co cno cfv c2 cexp cmul caddc cva csm cmin c1 cdiv c4 clt
        normpar2 cneg wbr cle cc0 wb chil wcel hvsubcl normge0t ax-mp 0re nnre
        nnne0 rereccl cn nnrecgt0t ltlei addge0 mp2an normcl readdcl lt2sq
        mpbi 2pos resqcl 2re ltmul2 remulcl lt2add hvaddcl 2cn hvmulcl renegcl
        ltadd1 4re leneg leadd2 ltletr recn negsub 3brtr3 eqbrtr ) BCSTUAUBUCUD
        TUCBASTZUAUBZUCUDTZUETZUCCASTZUAUBZUCUDTZUETZUFTZBCUGTZUCAUHTZSTZUAUBZU
        CUDTZUITZUCEUJDUKTZUFTZUCUDTZUETZUCEUJFUKTZUFTZUCUDTZUETZUFTZULEUCUDTZU
        ETZUITZUMBCAIJHUNXEXJUOZUFTZXTYBUOZUFTZXKYCUMYEXTYDUFTZUMUPZYHYGUQUPZYE
        YGUMUPXEXTUMUPZYIWTXOUMUPZXDXSUMUPZYKWSXNUMUPZYLWRXMUMUPZYNQURWRUQUPZUR
        XMUQUPZYOYNUSWQUTVAYPBAIHVBZWQVCVDUREUQUPZURXLUQUPYQLURXLVEDDNVFDNVGVHZ
        DVIVAURXLUMUPNDVJVDVKEXLKYTVLVMWRXMWQYRVNZEXLKYTVOZVPVMVQURUCUMUPZYNYLU
        SVRWSXNUCWRUUAVSZXMUUBVSZVTWAVDVQXCXRUMUPZYMXBXQUMUPZUUFRURXBUQUPZURXQU
        QUPZUUGUUFUSXAUTVAUUHCAJHVBZXAVCVDYSURXPUQUPUUILURXPVEFFOVFFOVGVHZFVIVA
        URXPUMUPOFVJVDVKEXPKUUKVLVMXBXQXAUUJVNZEXPKUUKVOZVPVMVQUUCUUFYMUSVRXCXR
        UCXBUULVSZXQUUMVSZVTWAVDVQWTXDXOXSUCWSVTUUDWBZUCXCVTUUNWBZUCXNVTUUEWBZU
        CXRVTUUOWBZWCVMXEXTYDWTXDUUPUUQVOZXOXSUURUUSVOZXJXIXHXFXGBCIJWDUCAWEHWF
        VBVNVSZWGZWHVQYDYFUQUPZYJYBXJUQUPUVDMYBXJULYAWIEKVSWBZUVBWJVQYDYFXTUVCY
        BUVEWGZUVAWKVQYEYHYGXEYDUUTUVCVOXTYDUVAUVCVOXTYFUVAUVFVOWLVMXEXJXEUUTWM
        XJUVBWMWNXTYBXTUVAWMYBUVEWMWNWOWP $.
        $( [14-Sep-1999] $)

      $( Part of Lemma 3.6 of [Beran] p. 101.  Used by ~ projlem7 . $)
      projlem6 $p |- ( ( N <_ D /\ N <_ G ) ->
           ( normh ` ( B -h C ) ) <
         ( sqr ` ( ( 4 x. ( ( 2 x. R ) + 1 ) ) / N ) ) ) $=
        ( cle wbr wa cmv co cno cfv c2 cexp c4 cmul c1 caddc cdiv csqr clt
        projlem4 cmin projlem5 projlem3 hvsubcl normcl resqcl 2re nnre nnne0
        rereccl readdcl remulcl 4re resubcl ltletr mp2an 1re redivcl mpan syl
        cc0 wceq 0re 4pos 2pos ltlei mulge0 lt01 addgegt0 mulgt0i nngt0
        divgt0i sqsqr ax-mp syl6breqr wb chil wcel normge0t sqrge0 sqrlem24
        lt2sq sylibr ) GDSTGFSTUAZBCUBUCZUDUEZUFUGUCZUHUFEUIUCZUJUKUCZUIUCZGULU
        CZUMUEZUFUGUCZUNTZXAXGUNTZWSXBXFXHUNWSUHEUIUCZUFUKUCZUJDULUCZUJFULUCZUK
        UCZUIUCZXFSTZXBXFUNTZGDEFKLNOPUOXBXPUNTZXQXRXBUFEXMUKUCZUFUGUCZUIUCZUFE
        XNUKUCZUFUGUCZUIUCZUKUCZUHEUFUGUCZUIUCZUPUCZUNTYIXPSTXSABCDEFDHIJKLMNON
        QRUQDEFKNOURXBYIXPXAWTBCIJUSZUTZVAZYFYHYBYEUFYAVBXTEXMKDDNVCDNVDVEZVFVA
        VGUFYDVBYCEXNKFFOVCFOVDVEZVFVAVGVFUHYGVHEKVAVGVIXLXOXKUFUHEVHKVGVBVFXMX
        NYMYNVFVGZVJVKXBXPXFYLYOXEGUHXDVHXCUJUFEVBKVGZVLVFZVGZGPVCZGPVDVMZVJVNV
        OVPXFSTZXHXFVQVPXFVRYTXEGYRYSUHXDVHYQVSVPXCSTZVPUJUNTVPXDUNTVPUFSTVPEST
        UUBVPUFVRVBVTWALUFEVBKWBVKWCXCUJYPVLWDVKWEGPWFWGZWAZXFYTWHWIWJVPXASTZVP
        XGSTZXJXIWKWTWLWMUUEYJWTWNWIUUAUUFUUDXFYTWOWIXAXGYKXFYTUUCWPWQVKWR $.
        $( [5-Oct-1999] $)
    $}
    $( Part of Lemma 3.6 of [Beran] p. 101.  Applies weak deduction theorem to
       ~ projlem6 .  Used by ~ projlem19 . $)
    projlem7 $p |- ( ( ( normh ` ( B -h A ) ) < ( R + ( 1 / D ) ) /\
                     ( normh ` ( C -h A ) ) < ( R + ( 1 / G ) ) ) ->
                     ( ( N <_ D /\ N <_ G ) ->
             ( normh ` ( B -h C ) ) <
           ( sqr ` ( ( 4 x. ( ( 2 x. R ) + 1 ) ) / N ) ) ) ) $=
      ( cmv co cno cfv c1 cdiv caddc clt wbr wa cle c4 c2 cmul csqr wi cif cc0
      wceq opreq1 fveq2d breq1d imbi2d opreq2 opreq1d opreq2d breq2d chil
      keepel cr 0re breq2 leid keephyp cexp cva csm sq0 opreq2i 4re recn mul01
      eqtr hvaddcl 2cn hvmulcl hvsubcl normcl sqge0 eqbrtr keephyp3v anbi1d
      anbi2d anbi12d nnre nngt0 recgt0i c0v wcel hvsubidt ax-mp fveq2i norm0
      nncn nnne0 reccl addid2 3brtr4 pm3.2i elimhyp3v pm3.26i pm3.27i projlem6
      dedth3v ) BAQRZSTZEUADUBRZUCRZUDUEZCAQRZSTZEUAFUBRZUCRZUDUEZUFZGDUGUEGFUG
      UEUFZBCQRZSTZUHUIEUJRZUAUCRZUJRZGUBRZUKTZUDUEZULYBYABAUMZCQRZSTZYIUDUEZUL
      YBYKYACAUMZQRZSTZYIUDUEZULYBYQUHUIYAEUNUMZUJRZUAUCRZUJRZGUBRZUKTZUDUEZULB
      CEAAUNBYKUOZYJYNYBUUFYDYMYIUDUUFYCYLSBYKCQUPUQURUSCYOUOZYNYRYBUUGYMYQYIUD
      UUGYLYPSCYOYKQUTUQURUSEYSUOZYRUUEYBUUHYIUUDYQUDUUHYHUUCUKUUHYGUUBGUBUUHYF
      UUAUHUJUUHYEYTUAUCEYSUIUJUTVAVBVAUQVCUSAYKYODYSFGHYABAVDIHVEYACAVDJHVEYAE
      UNVFKVGVEYAUNEUGUEUNUNUGUEUNYSUGUEEUNEYSUNUGVHUNYSUNUGVHLUNVGVIVJYAUHEUIV
      KRZUJRZYKCVLRZUIAVMRZQRZSTZUIVKRZUGUEUUJYKYOVLRZUULQRZSTZUIVKRZUGUEUHYSUI
      VKRZUJRZUUSUGUEBCEAAUNUHUNUIVKRZUJRZAAVLRZUULQRZSTZUIVKRZUGUEUVCYKAVLRZUU
      LQRZSTZUIVKRZUGUEUVCUUSUGUEUUJBCVLRZUULQRZSTZUIVKRZUGUEUUFUVOUUOUUJUGUUFU
      VNUUNUIVKUUFUVMUUMSUUFUVLUUKUULQBYKCVLUPVAUQVAVCUUGUUOUUSUUJUGUUGUUNUURUI
      VKUUGUUMUUQSUUGUUKUUPUULQCYOYKVLUTVAUQVAVCUUHUUJUVAUUSUGUUHUUIUUTUHUJEYSU
      IVKUPVBURAYKUOZUVGUVKUVCUGUVPUVFUVJUIVKUVPUVEUVISUVPUVDUVHUULQAYKAVLUPVAU
      QVAVCAYOUOZUVKUUSUVCUGUVQUVJUURUIVKUVQUVIUUQSUVQUVHUUPUULQAYOYKVLUTVAUQVA
      VCUNYSUOZUVCUVAUUSUGUVRUVBUUTUHUJUNYSUIVKUPVBURMUVCUNUVGUGUVCUHUNUJRUNUVB
      UNUHUJVNVOUHUHVPVQVRVSUVFUVEUVDUULAAHHVTUIAWAHWBWCWDWEWFWGNOPYKAQRZSTZYSX
      MUCRZUDUEZYOAQRZSTZYSXRUCRZUDUEZYAUVTXNUDUEZXTUFUWGUWDXSUDUEZUFUWBUWFUFBC
      EAAUNAAQRZSTZUNXMUCRZUDUEZUWJUNXRUCRZUDUEZUFUVTUWKUDUEZUWNUFUWOUWDUWMUDUE
      ZUFUUFXOUWGXTUUFXLUVTXNUDUUFXKUVSSBYKAQUPUQURWHUUGXTUWHUWGUUGXQUWDXSUDUUG
      XPUWCSCYOAQUPUQURWIUUHUWGUWBUWHUWFUUHXNUWAUVTUDEYSXMUCUPVCUUHXSUWEUWDUDEY
      SXRUCUPVCWJUVPUWLUWOUWNUVPUWJUVTUWKUDUVPUWIUVSSAYKAQUPUQURWHUVQUWNUWPUWOU
      VQUWJUWDUWMUDUVQUWIUWCSAYOAQUPUQURWIUVRUWOUWBUWPUWFUVRUWKUWAUVTUDUNYSXMUC
      UPVCUVRUWMUWEUWDUDUNYSXRUCUPVCWJUWLUWNUNXMUWJUWKUDDDNWKDNWLWMUWJWNSTUNUWI
      WNSAVDWOUWIWNUOHAWPWQWRWSVSZXMDDNWTDNXAXBXCXDUNXRUWJUWMUDFFOWKFOWLWMUWQXR
      FFOWTFOXAXBXCXDXEXFZXGUWBUWFUWRXHXIXJ $.
      $( [5-Oct-1999] $)
  $}

  ${
    $d u v x y z w f A $.  $d u v x y z w f H $.  $d w z x y S $.  $d x B $.
    projlem8.1 $e |- A e. H~ $.
    projlem8.2 $e |- H e. CH $.
    projlem8.3 $e |- S =
                     { u e. RR | E. v e. H u = -u ( normh ` ( v -h A ) ) } $.
    $( Part of Lemma 3.6 of [Beran] p. 100.  The set ` S ` is a non-empty
       set of reals with an upper bound.  Part of Lemma 3.6 of [Beran]
       p. 100.  Used by ~ projlem9 ~ projlem12 ~ projlem13 ~ projlem15 .
       Note we use 'supremum'; its negative is the infimum. $)
    projlem8 $p |- ( S (_ RR /\ S =/= (/) /\ E. z e. RR A. w e. S w <_ z ) $=
      ( cr wss c0 wne cv cle wbr wral wrex cmv co cno cfv cneg wceq crab
      ssrab2 eqsstr c0v wcel eqeq1 rexbidv elrab ax-hv0cl hvsubcl normcl
      renegcl cch ch0 ax-mp eqid opreq1 fveq2d negeqd eqeq2d rcla4ev mp2an
      mpbir2an eleqtrr ne0i cc0 0re wa elrab2 breq1 chil chel jctir hvsubclt
      normge0t wb normclt le0neg2t syl mpbid 3syl syl5cbir r19.23aiv adantl
      sylbi rgen breq2 ralbidv 3pm3.2i ) FKLFMNZBOZAOZPQZBFRZAKSZFDOZCOZETUAZUB
      UCZUDZUEZCGSZDKUFZKJXGDKUGUHUIETUAZUBUCZUDZFUJWOXKXHFXKXHUJXKKUJXKXEUEZCG
      SZXGXMDXKKXAXKUEXFXLCGXAXKXEUKULUMXJXIUIEUNHUOUPUQUIGUJZXKXKUEZXMGURUJXNI
      GUSUTXKVAXLXOCUIGXBUIUEZXEXKXKXPXDXJXPXCXIUBXBUIETVBVCVDVEVFVGVHJVIFXKVJU
      TVKKUJWPVKPQZBFRZWTVLXQBFWPFUJWPKUJZWPXEUEZCGSZVMXQXGYADWPKFXAWPUEXFXTCGX
      AWPXEUKULJVNYAXQXSXTXQCGXTXQXEVKPQZXBGUJZWPXEVKPVOYCXBVPUJZEVPUJZVMXCVPUJ
      ZYBYCYDYEXBGIVQHVRXBEVSYFVKXDPQZYBXCVTYFXDKUJYGYBWAXCWBXDWCWDWEWFWGWHWIWJ
      WKWSXRAVKKWQVKUEWRXQBFWQVKWPPWLWMVFVGWN $.
      $( [4-Oct-1999] $)

    $( Part of Lemma 3.6 of [Beran] p. 100 (lemma for projection theorem).
       Real closure of the infimum of norms.  Used by ~ projlem11
       ~ projlem12 ~ projlem13 ~ projlem15 . $)
    projlem9 $p |- sup ( S , RR , < ) e. RR $=
      ( vz vw vx cr clt ltso projlem8 sup3i supcli ) IJKLDMNIJKDIJABCDEFGHOPQ
      $.
      $( [26-Aug-1999] $)

    $( Part of Lemma 3.6 of [Beran] p. 100 (lemma for projection theorem).
       A member of the infimum set.  Used by ~ projlem12 . $)
    projlem10 $p |- ( B e. H -> -u ( normh ` ( B -h A ) ) e. S ) $=
      ( vx cv cmv co cno cfv cneg wcel wceq opreq1 fveq2d negeqd eleq1d cr
      wrex wa chil chel hvsubclt mpan2 syl normclt renegclt 3syl eqid eqeq2d
      rcla4ev jca eqeq1 rexbidv elrab2 sylibr vtoclga ) JKZCLMZNOZPZEQZDCLMZNOZ
      PZEQJDFVCDRZVFVJEVKVEVIVKVDVHNVCDCLSTUAUBVCFQZVFUCQZVFAKZCLMZNOZPZRZAFUDZ
      UEVGVLVMVSVLVDUFQZVEUCQVMVLVCUFQZVTVCFHUGWACUFQVTGVCCUHUIUJVDUKVEULUMVLVF
      VFRZVSVFUNVRWBAVCFVNVCRZVQVFVFWCVPVEWCVOVDNVNVCCLSTUAUOUPUIUQBKZVQRZAFUDV
      SBVFUCEWDVFRWEVRAFWDVFVQURUSIUTVAVB $.
      $( [4-Oct-1999] $)
  $}

  ${
    $d u v x y z w f A $.  $d u v x y z w f H $.  $d w z x y S $.  $d x B $.
    $d z w f R $.
    projlem11.1 $e |- A e. H~ $.
    projlem11.2 $e |- H e. CH $.
    projlem11.3 $e |- S =
                      { u e. RR | E. v e. H u = -u ( normh ` ( v -h A ) ) } $.
    projlem11.4 $e |- R = -u sup ( S , RR , < ) $.
    $( Part of Lemma 3.6 of [Beran] p. 100 (lemma for projection theorem).
       ` R ` is the infimum of the set of norms.  Show it is real.  Used
       by ~ projlem12 ~ projlem13 ~ projlem14 ~ projlem15 ~ projlem18
       ~ projlem19 ~ projlem26 ~ projlem28 ~ projlem31 . $)
    projlem11 $p |- R e. RR $=
      ( cr clt csup cneg projlem9 renegcl eqeltr ) DEKLMZNKJRABCEFGHIOPQ $.
      $( [25-Aug-1999] $)

    $( Part of Lemma 3.6 of [Beran] p. 100 (lemma for projection theorem).
       The infimum is less than any norm in the set of norms.  Used by
       ~ projlem14 ~ projlem18 ~ projlem31 . $)
    projlem12 $p |- ( B e. H -> R <_ ( normh ` ( B -h A ) ) ) $=
      ( vx vy wcel cmv co cno cfv cle wbr cneg cr clt csup projlem10 projlem8
      suprubi syl wceq projlem11 recn projlem9 negcon2 mpbi syl6breq wa wb
      chil chel hvsubclt mpan2 normclt 3syl jctil lenegt mpbird ) DGNZEDCOPZQRZ
      STZVIUAZEUAZSTZVGVKFUBUCUDZVLSVGVKFNVKVNSTABCDFGHIJUELMFVKLMABCFGHIJUFUGU
      HEVNUAUIVNVLUIKEVNEABCEFGHIJKUJZUKVNABCFGHIJULUKUMUNUOVGEUBNZVIUBNZUPVJVM
      UQVGVQVPVGDURNZVHURNZVQDGIUSVRCURNVSHDCUTVAVHVBVCVOVDEVIVEUHVF $.
      $( [12-Sep-1999] $)

    $( Part of Lemma 3.6 of [Beran] p. 100 (lemma for projection theorem).
       The infimum of the set of norms is nonnegative.  Used by
       ~ projlem18 ~ projlem19 ~ projlem28 . $)
    projlem13 $p |- 0 <_ R $=
      ( vz vx vy cc0 cle wbr cneg cr clt csup wceq projlem9 recn projlem11
      negcon2 mpbir wn wcel cv wral 0re renegcl cmv co cno cfv wrex wa eqeq1
      rexbidv elrab2 wb lenltt mpan2 breq1 chil chel jctir hvsubclt normge0t
      3syl normclt jctil lenegt syl mpbid syl5bir impcom syl5bi exp3a
      r19.23adv imp sylbi rgen ltso projlem8 sup3i supnubi mp2an lenlt eqbrtrr
      leneg ) NDOPDQZNQZOPERSTZWMWNOWOWMUADWOQUAJWODWOABCEFGHIUBZUCDABCDEFGHIJU
      DZUCUEUFWOWNOPWNWOSPUGZWNRUHZWNKUIZSPUGZKEUJWRNUKULZXAKEWTEUHWTRUHZWTAUIZ
      CUMUNZUOUPZQZUAZAFUQZURXABUIZXGUAZAFUQXIBWTREXJWTUAXKXHAFXJWTXGUSUTIVAXCX
      IXAXCXHXAAFXCXDFUHZXHXAXCWTWNOPZXAXLXHURXCWSXMXAVBXBWTWNVCVDXHXLXMXHXMXGW
      NOPZXLWTXGWNOVEXLNXFOPZXNXLXDVFUHZCVFUHZURZXEVFUHZXOXLXPXQXDFHVGGVHZXDCVI
      ZXEVJVKXLNRUHZXFRUHZURXOXNVBXLYCYBXLXRXSYCXTYAXEVLVKUKVMNXFVNVOVPVQVRVSVT
      WAWBWCWDLMKREWNSWELMKELMABCEFGHIWFWGWHWIWOWNWPXBWJUFWKNDUKWQWLUF $.
      $( [12-Sep-1999] $)

    ${
      projlem14.5 $e |- C e. NN $.
      projlem14.6 $e |- B e. H $.
      $( Part of Lemma 3.6 of [Beran] p. 100 (lemma for projection theorem).
         Used by ~ projlem16 . $)
      projlem14 $p |- ( R - ( 1 / C ) ) < ( normh ` ( B -h A ) ) $=
        ( c1 cdiv co cmin clt wbr cmv cno cfv cle caddc cc0 cn wcel nnrecgt0t
        ax-mp nnre nnne0 rereccl projlem11 ltaddpos mpbi ltsubadd mpbir
        projlem12 resubcl cheli hvsubcl normcl ltletr mp2an ) FOEPQZRQZFSTZFDCU
        AQZUBUCZUDTZVGVJSTVHFFVFUEQSTZUFVFSTZVLEUGUHVMMEUIUJVFFEEMUKEMULUMZABCF
        GHIJKLUNZUOUPFVFFVOVNVOUQURDHUHVKNABCDFGHIJKLUSUJVGFVJFVFVOVNUTVOVIDCDH
        JNVAIVBVCVDVE $.
        $( [25-Aug-1999] $)

    $}

    ${
      $d w v u z C $.
      projlem15.5 $e |- C e. NN $.
      $( Part of Lemma 3.6 of [Beran] p. 100 (lemma for projection theorem).
         Used by ~ projlem16 . $)
      projlem15 $p |- E. z e. H ( normh ` ( z -h A ) ) < ( R + ( 1 / C ) ) $=
        ( vw vx vy c1 cdiv co caddc cneg cv clt wbr wrex cmv cno cfv cr wcel
        csup projlem11 nnre nnne0 rereccl readdcl renegcl cc0 cn nnrecgt0t
        ax-mp ltaddpos mpbi eqbrtrr projlem9 ltnegcon1 ltso projlem8 sup3i
        suplubi mp2an wceq wi breq2 biimpd chil wb wa chel jctir hvsubclt syl
        normclt ltnegt mpan2 3syl biimprd syl9 com13 imp r19.22dva eqeq1
        rexbidv opreq1 fveq2d negeqd eqeq2d cbvrexv syl5bb elrab2 pm3.27bi
        syl5com r19.23aiv ) FQERSZTSZUAZNUBZUCUDZNGUEZAUBZDUFSZUGUHZXEUCUDZAHUE
        ZXFUIUJXFGUIUCUKZUCUDZXIXEFXDBCDFGHIJKLULZEEMUMEMUNUOZUPZUQXOUAZXEUCUDX
        PFXTXEUCLURXDUCUDZFXEUCUDEUSUJYAMEUTVAXDFXRXQVBVCVDXOXEBCDGHIJKVEXSVFVC
        OPNUIGXFUCVGOPNGOPBCDGHIJKVHVIVJVKXHXNNGXHXGXLUAZVLZAHUEZXNXGGUJZXHYCXM
        AHXHXJHUJZYCXMVMYCYFXHXMYCXHXFYBUCUDZYFXMYCXHYGXGYBXFUCVNVOYFXMYGYFXKVP
        UJZXLUIUJZXMYGVQZYFXJVPUJZDVPUJZVRYHYFYKYLXJHJVSIVTXJDWAWBXKWCYIXEUIUJY
        JXSXLXEWDWEWFWGWHWIWJWKYEXGUIUJYDCUBZBUBZDUFSZUGUHZUAZVLZBHUEZYDCXGUIGY
        MXGVLZYMYBVLZAHUEYDYSYTUUAYCAHYMXGYBWLWMYRUUABAHYNXJVLZYQYBYMUUBYPXLUUB
        YOXKUGYNXJDUFWNWOWPWQWRWSKWTXAXBXCVA $.
        $( [27-Aug-1999] $)

      $( Part of Lemma 3.6 of [Beran] p. 100 (lemma for projection theorem).
         Existence of a vector sequence member, used to show (via Axiom
         of Choice) the vector sequence existence.  Used by ~ projlem17 . $)
      projlem16 $p |- E. z e. H ( ( R - ( 1 / C ) ) < ( normh ` ( z -h A ) )
                    /\ ( normh ` ( z -h A ) ) < ( R + ( 1 / C ) ) ) $=
        ( cv cmv co cno cfv c1 cdiv caddc clt wbr wrex cmin wa projlem15 wcel
        c0v cif wceq opreq1 fveq2d breq2d cch ch0 ax-mp elimel projlem14 dedth
        anim1i ex r19.22i ) ANZDOPZQRZFSETPZUAPUBUCZAHUDFVGUEPZVFUBUCZVHUFZAHUD
        ABCDEFGHIJKLMUGVHVKAHVDHUHZVHVKVLVJVHVLVJVIVLVDUIUJZDOPZQRZUBUCVDUIVDVM
        UKZVFVOVIUBVPVEVNQVDVMDOULUMUNBCDVMEFGHIJKLMVDUIHHUOUHUIHUHJHUPUQURUSUT
        VAVBVCUQ $.
        $( [29-Aug-1999] $)

    $}

    $( Part of Lemma 3.6 of [Beran] p. 100 (lemma for projection theorem).
       This uses the Axiom of Choice to show the existence of a vector sequence
       satisfying the assumption of Lemma 3.6 of [Beran]  p. 100:  "Let {y_n }
       be a sequence of W such that i_0 - 1/n < ||x_0 - y_n || < i_0 + 1/n."
       Here, ` H ` corresponds to "W"; ` f : NN --> H ` to "{y_n }"; ` w ` to
       "n"; ` R ` to "i_0 "; and ` ( norm `` ( A -h ( f `` w ) ) ) ` to
       "||x_0 - y_n ||".  Used by ~ projlem . $)
    projlem17 $p |- E. f ( f : NN --> H  /\ A. w e. NN
                   ( ( R - ( 1 / w ) ) < ( normh ` ( ( f ` w ) -h A ) )
              /\ ( normh ` ( ( f ` w ) -h A ) ) < ( R + ( 1 / w ) ) ) ) $=
      ( vz c1 cv cdiv co cmin cmv cno cfv clt wbr caddc wa wrex cn wf wral wex
      nnex cch elisseti wceq opreq1 fveq2d breq2d breq1d anbi12d ac6 wcel cif
      opreq2 opreq2d rexbidv 1nn elimel projlem16 dedth mprg ) ENAOZPQZRQZMOZDS
      QZTUAZUBUCZVPEVLUDQZUBUCZUEZMHUFZUGHGOZUHVMVKWBUAZDSQZTUAZUBUCZWEVRUBUCZU
      EZAUGUIUEGUJAUGVTWHAMUGHGUKHULJUMVNWCUNZVQWFVSWGWIVPWEVMUBWIVOWDTVNWCDSUO
      UPZUQWIVPWEVRUBWJURUSUTVKUGVAZWAENWKVKNVBZPQZRQZVPUBUCZVPEWMUDQZUBUCZUEZM
      HUFVKNVKWLUNZVTWRMHWSVQWOVSWQWSVMWNVPUBWSVLWMERVKWLNPVCZVDURWSVRWPVPUBWSV
      LWMEUDWTVDUQUSVEMBCDWLEFHIJKLVKNUGVFVGVHVIVJ $.
      $( [7-Sep-1999] $)

    ${
      projlem18.5 $e |- B e. H $.
      projlem18.6 $e |- C e. H $.
      $( Part of Lemma 3.6 of [Beran] p. 101, top.  Used by ~ projlem19 . $)
      projlem18 $p |- ( 4 x. ( R ^ 2 ) ) <_
                   ( ( normh ` ( ( B +h C ) -h ( 2 .h A ) ) ) ^ 2 ) $=
        ( c4 c2 cexp co cmul cva csm cmv cno cfv cle 2cn projlem11 recn sqmul
        sq2 opreq1i eqtr2 wbr c1 cdiv wcel cc 2ne0 reccl csh wa wi chshi
        shaddcltOLD ax-mp mp2an shmulcltOLD projlem12 cc0 clt wb 2pos cheli
        hvaddcl hvmulcl hvsubcl normcl 2re lemul2 mpbi cabs norm-iii
        hvsubdistr1 recid hvmulass chil wceq ax-hvmulid 3eqtr3 eqtr fveq2i 0re
        ltlei absid 3eqtr3r breqtr projlem13 mulge0 normge0t remulcl le2sq
        eqbrtr ) OFPQRZSRZPFSRZPQRZDETRZPCUARZUBRZUCUDZPQRZUEXFPPQRZXCSRXDPFUFF
        ABCFGHIJKLUGZUHUIXLOXCSUJUKULXEXJUEUMZXFXKUEUMZXEPUNPUORZXGUARZCUBRZUCU
        DZSRZXJUEFXSUEUMZXEXTUEUMZXQHUPZYAXPUQUPZXGHUPZYCPUFURUSZDHUPZEHUPZYEMN
        HUTUPZYGYHVAYEVBHJVCZDEHVDVEVFYIYDYEVAYCVBYJXPXGHVGVEVFABCXQFGHIJKLVHVE
        VIPVJUMYAYBVKVLFXSPXMXRXQCXPXGYFDEDHJMVMEHJNVMVNZVOZIVPZVQVRVSVEVTPXRUA
        RZUCUDPWAUDZXSSRXJXTPXRUFYMWBYNXIUCYNPXQUARZXHUBRXIPXQCUFYLIWCYPXGXHUBP
        XPSRZXGUARUNXGUARZYPXGYQUNXGUAPUFURWDUKPXPXGUFYFYKWEXGWFUPYRXGWGYKXGWHV
        EWIUKWJWKYOPXSSVIPUEUMZYOPWGVIPWLVRVLWMZPVRWNVEUKWOWPVIXEUEUMZVIXJUEUMZ
        XNXOVKYSVIFUEUMUUAYTABCFGHIJKLWQPFVRXMWRVFXIWFUPUUBXGXHYKPCUFIVOVPZXIWS
        VEXEXJPFVRXMWTXIUUCVQXAVFVTXB $.
        $( [12-Sep-1999] $)
    $}

    ${
      projlem19.5 $e |- B e. H $.
      projlem19.6 $e |- C e. H $.
      projlem19.7 $e |- D e. NN $.
      projlem19.8 $e |- G e. NN $.
      projlem19.9 $e |- N e. NN $.
      $( Part of Lemma 3.6 of [Beran] p. 101.  Used by ~ projlem20 . $)
      projlem19 $p |- ( ( ( normh ` ( B -h A ) ) < ( R + ( 1 / D ) ) /\
                       ( normh ` ( C -h A ) ) < ( R + ( 1 / G ) ) ) ->
                       ( ( N <_ D /\ N <_ G ) ->
               ( normh ` ( B -h C ) ) <
             ( sqr ` ( ( 4 x. ( ( 2 x. R ) + 1 ) ) / N ) ) ) ) $=
        ( cheli projlem11 projlem13 projlem18 projlem7 ) CDEFGIKLDJMPUAEJMQUAAB
        CGHJLMNOUBABCGHJLMNOUCABCDEGHJLMNOPQUDRSTUE $.
        $( [28-Sep-1999] $)
    $}

    ${
      projlem20.5 $e |- N e. NN $.
      $( Part of Lemma 3.6 of [Beran] p. 101.  Used by ~ projlem27 . $)
      projlem20 $p |- ( ( ( B e. H /\ C e. H ) /\ ( D e. NN /\ G e. NN ) ) ->
                      ( ( ( normh ` ( B -h A ) ) < ( R + ( 1 / D ) ) /\
                       ( normh ` ( C -h A ) ) < ( R + ( 1 / G ) ) ) ->
                       ( ( N <_ D /\ N <_ G ) ->
               ( normh ` ( B -h C ) ) <
             ( sqr ` ( ( 4 x. ( ( 2 x. R ) + 1 ) ) / N ) ) ) ) ) $=
        ( wcel cn cmv co cno cfv c1 cdiv caddc clt wbr wa cle c4 c2 cmul csqr
        wi c0v cif wceq opreq1 fveq2d breq1d anbi1d imbi2d imbi12d anbi2d
        opreq2 opreq2d breq2d breq2 imbi1d cch ch0 ax-mp elimel 1nn projlem19
        dedth4h ) DJQZEJQZFRQZIRQZDCSTZUAUBZGUCFUDTZUETZUFUGZECSTZUAUBZGUCIUDTZ
        UETZUFUGZUHZKFUIUGZKIUIUGZUHZDESTZUAUBZUJUKGULTUCUETULTKUDTUMUBZUFUGZUN
        ZUNDEFIUOUOVQDUOUPZCSTZUAUBZWDUFUGZWJUHZWNWTESTZUAUBZWQUFUGZUNZUNXCVREU
        OUPZCSTZUAUBZWIUFUGZUHZWNWTXISTZUAUBZWQUFUGZUNZUNXBGUCVSFUCUPZUDTZUETZU
        FUGZXLUHZKXRUIUGZWMUHZXPUNZUNYAXKGUCVTIUCUPZUDTZUETZUFUGZUHZYCKYFUIUGZU
        HZXPUNZUNUCUCDWTUQZWKXDWSXHYNWEXCWJYNWBXBWDUFYNWAXAUADWTCSURUSUTVAYNWRX
        GWNYNWPXFWQUFYNWOXEUADWTESURUSUTVBVCEXIUQZXDXMXHXQYOWJXLXCYOWGXKWIUFYOW
        FXJUAEXICSURUSUTVDYOXGXPWNYOXFXOWQUFYOXEXNUAEXIWTSVEUSUTVBVCFXRUQZXMYBX
        QYEYPXCYAXLYPWDXTXBUFYPWCXSGUEFXRUCUDVEVFVGVAYPWNYDXPYPWLYCWMFXRKUIVHVA
        VIVCIYFUQZYBYJYEYMYQXLYIYAYQWIYHXKUFYQWHYGGUEIYFUCUDVEVFVGVDYQYDYLXPYQW
        MYKYCIYFKUIVHVDVIVCABCWTXIXRGHYFJKLMNODUOJJVJQUOJQMJVKVLZVMEUOJYRVMFUCR
        VNVMIUCRVNVMPVOVP $.
        $( [28-Sep-1999] $)
    $}
  $}

  ${
    $d w A $.  $d w D $.  $d w F $.  $d w R $.
    projlem21.1 $e |- ( ph <-> ( F : NN --> H /\ A. w e. NN
                     ( ( R - ( 1 / w ) ) < ( normh ` ( ( F ` w ) -h A ) )
               /\ ( normh ` ( ( F ` w ) -h A ) ) < ( R + ( 1 / w ) ) ) ) ) $.
    $( Part of Lemma 3.6 of [Beran] p. 100.  The hypothesis lets us work with
       our postulated vector sequence (whose existence was shown by
       ~ projlem17 ).  Here we just show the sequence value belongs to the
       closed subspace ` H ` .  Used by ~ projlem27 ~ projlem28 . $)
    projlem21 $p |- ( ph -> ( D e. NN -> ( F ` D ) e. H ) ) $=
      ( cn wcel cfv wf ffvelrn c1 cv cdiv co cmin cmv cno clt wbr caddc wa
      wral pm3.26bi sylan ex ) ADIJZDFKGJZIGFLZUIUJAIGDFMAUKENBOZPQZRQULFKCSQTK
      ZUAUBUNEUMUCQUAUBUDBIUEHUFUGUH $.
      $( [28-Sep-1999] $)

    $( Part of Lemma 3.6 of [Beran] p. 100.  Here we show a member of
       the vector sequence is bounded.  Used by ~ projlem27 . $)
    projlem22 $p |- ( ph -> ( D e. NN ->
          ( normh ` ( ( F ` D ) -h A ) ) < ( R + ( 1 / D ) ) ) ) $=
      ( cn wcel cv cfv cmv co cno c1 cdiv caddc clt wbr wral wceq fveq2
      opreq1d fveq2d opreq2 opreq2d breq12d rcla4v cmin wa wf pm3.27bi pm3.27
      r19.20si syl syl5com ) DIJBKZFLZCMNZOLZEPURQNZRNZSTZBIUAZDFLZCMNZOLZEPDQN
      ZRNZSTZAVDVKBDIURDUBZVAVHVCVJSVLUTVGOVLUSVFCMURDFUCUDUEVLVBVIERURDPQUFUGU
      HUIAEVBUJNVASTZVDUKZBIUAZVEAIGFULVOHUMVNVDBIVMVDUNUOUPUQ $.
      $( [28-Sep-1999] $)
  $}

  ${
    $d x y D $.  $d u v w x y A $.  $d u v w x y z F $.  $d u v z w G $.
    projlem23.1 $e |- G = { <. x , y >. | ( x e. NN /\ y =
                    ( normh ` ( ( F ` x ) -h A ) ) ) } $.
    ${
      $( Part of Lemma 3.6 of [Beran] p. 101.  The hypothesis lets us work
         with the sequence ` G ` which corresponds to Beran's "{||yn-x0||}".
         Used by ~ projlem25 ~ projlem26 . $)
      projlem23 $p |- ( D e. NN ->
                   ( G ` D ) = ( normh ` ( ( F ` D ) -h A ) ) ) $=
        ( cv cfv cmv co cno cn wceq fveq2 opreq1d fveq2d fvex fvopab4 ) ABDAHZE
        IZCJKZLIDEIZCJKZLIMFTDNZUBUDLUEUAUCCJTDEOPQGUDLRS $.
        $( [19-Oct-1999] $)
    $}

    ${
      projlem24.2 $e |- A e. H~ $.
      $( Part of Lemma 3.6 of [Beran] p. 101.  Here we show our vector
         sequence implies the real numbers sequence ` G ` corresponding
         to Beran's "{||yn-x0||}".  Used by ~ projlem25 ~ projlem26 . $)
      projlem24 $p |- ( F : NN --> H~ -> G : NN --> CC ) $=
        ( cn chil wf cv cfv cmv co cno cc wcel wral wa cr ffvelrn jctir
        hvsubclt syl normclt recnt 3syl r19.21aiva fopab2 sylib ) HIDJZAKZDLZCM
        NZOLZPQZAHRHPEJUKUPAHUKULHQSZUNIQZUOTQUPUQUMIQZCIQZSURUQUSUTHIULDUAGUBU
        MCUCUDUNUEUOUFUGUHABHPUOEFUIUJ $.
        $( [6-Oct-1999] $)
    $}

    ${
      projlem25.2 $e |- A e. H~ $.
      projlem25.3 $e |- F e. V $.
      $( Part of Lemma 3.6 of [Beran] p. 101.  "The sequence {||yn-x0||} of
         real numbers converges to the number ||y0-x0||" (here, "y0"
         is ` A ` and "x0" is ` z ` ).  Used by ~ projlem31 . $)
      projlem25 $p |- ( F ~~>v z -> G ~~> ( normh ` ( z -h A ) ) ) $=
        ( vw vv vu cv chli wbr cmv co cno cfv cli cc0 clt cle cmin cabs wi cn
        wral wrex cr visset hlimconv wcel wa lelttrt 3expa cc resubclt chil wf
        ffvelrn hlimseq sylan hvsubclt mpan2 normclt 3syl hlimvec adantr
        sylanc recnd absclt syl jca an1rs norm3adift adantlr sylani anabsi5 wb
        projlem23 opreq1d fveq2d breq1d ad2antlr mpbird ex imim2d r19.20dva
        r19.22sdv mpd cin c1 1z cuz nnuz eqimss2i nnssz nnex fopabex2 clm4 wss
        inss2 ssralv ax-mp sylan2 jctir projlem24 r19.21aiva ) ECMZNOZFXJDPQZRS
        ZTOZUAJMZUBOZKMLMZUCOZXQFSZXMUDQZUESZXOUBOZUFZLUGUHZKUGUIZUFZJUJUHZXKXP
        XRXQESZXJPQZRSZXOUBOZUFZLUGUHZKUGUIZUFZJUJUHYGJKLXJEICUKZULXKYOYFJUJXKX
        OUJUMZUNZYNYEXPYRYMYDKUGYRYLYCLUGYRXQUGUMZUNZYKYBXRYTYKYBYTYKUNYBYHDPQZ
        RSZXMUDQZUESZXOUBOZYTYKUUEYTUUDYJUCOZYKUUEYTXKYSYQUUFYKUNUUEUFZUUDUJUMZ
        YJUJUMZUNYQUUGXKYSUNZUUHUUIYQUUGUUDYJXOUOUPUUJUUHUUIUUJUUCUQUMUUHUUJUUC
        UUBUJUMZXMUJUMZUUCUJUMUUJUUBXMURUUJYHUSUMZUUAUSUMZUUKUGUSEUTZYSUUMXKUGU
        SXQEVAXJEIYPVBZVCZUUMDUSUMZUUNHYHDVDVEUUAVFVGUUJXJUSUMZXLUSUMZUULXKUUSY
        SXJEIYPVHZVIZUUSUURUUTHXJDVDZVEXLVFZVGVJVKUUCVLVMUUJYIUSUMZUUIUUMUUSUVE
        UUJYHXJVDUUQUVBVJYIVFVMVNVCVOXKYSUUFYQUUMUUSUUFUUJYHXJDHVPUUQUVBVJVQVRV
        SYSYBUUEVTYRYKYSYAUUDXOUBYSXTUUCUEYSXSUUBXMUDABDXQEFGWAWBWCWDWEWFWGWHWI
        WJWHWIWKXMUQUMZXSUQUMZLUGUHZXNYGVTZXKUVFUVGLUGUGWLZUHZUVIUVHJXMKLFWMWMU
        GUGWNUGWMWOSWPWQZWRWNUVLWRABUGAMESDPQRSFWSGWTXAUVJUGXBUVHUVKUFUGUGXCUVG
        LUVJUGXDXEXFXKXMXKUUSUURUNUUTUULXKUUSUURUVAHXGUVCUVDVGVKXKUVGLUGUGUQFUT
        ZYSUVGXKUGUQXQFVAXKUUOUVMUUPABDEFGHXHVMVCXIVJWF $.
        $( [6-Jul-2006] $) $( [19-Oct-1999] $)
    $}
  $}

  ${
    $d w u v x y A $.  $d w x y F $.  $d w f g z R $.  $d f g z G $.
    $d f g x z ph $.  $d u v H $.  $d y g $.
    projlem26.1 $e |- A e. H~ $.
    projlem26.2 $e |- H e. CH $.
    projlem26.3 $e |- S =
                      { u e. RR | E. v e. H u = -u ( normh ` ( v -h A ) ) } $.
    projlem26.4 $e |- R = -u sup ( S , RR , < ) $.
    projlem26.5 $e |- ( ph <-> ( F : NN --> H /\ A. w e. NN
                     ( ( R - ( 1 / w ) ) < ( normh ` ( ( F ` w ) -h A ) )
               /\ ( normh ` ( ( F ` w ) -h A ) ) < ( R + ( 1 / w ) ) ) ) ) $.
    projlem26.6 $e |- G = { <. x , y >. | ( x e. NN /\ y =
                    ( normh ` ( ( F ` x ) -h A ) ) ) } $.
    $( Part of Lemma 3.6 of [Beran] p. 101.  The real sequence ` G ` (Beran's
       "{||yn-x0||}") converges to the infimum of norms.  Used by
       ~ projlem31 . $)
    projlem26 $p |- ( ph -> G ~~> R ) $=
      ( vz vf vg cli wbr cc0 cv clt cle cfv cmin co cabs wi cn wral wrex cr
      wcel wa c1 cdiv wne gt0ne0t rerecclt syldan arch syl wb ltrec1t nnret
      nngt0t jca sylan2 rexbidva mpbid adantl cmv cno w3a lerect syl2an ancoms
      3adant3 lelttrt exp3a nnne0t sylanc syl3an2 syl3an1 sylbid com23 imp3a
      3exp com13 ad2antrl imp31 axlttrn 3expa cc chil wf ffvelrn caddc
      pm3.26bi sylan chel jctir hvsubclt normclt 3syl projlem11 resubclt recnd
      absclt pm3.26 anim12i cneg wceq recn negsubdi2t opreq2 opreq2d fveq2
      opreq1d fveq2d breq12d anbi12d rcla4v pm3.27bi syl5com imp pm3.26d
      ltsub23t mp3an1 mpbird eqbrtrd ltnegcon1t pm3.27d ltsubadd2t mp3an2
      absltt adantr sylc an1rs adantlr syld projlem23 breq1d sylibrd exp4b
      r19.21adv r19.22dva mpd exp32 r19.21aiv wss chssi fss mpan2 projlem24
      r19.21aiva cin 1z cuz nnuz eqimss2i nnssz nnex fopabex2 clm4 inss2
      ssralv ax-mp mpan ) AKHUBUCZUDSUEZUFUCZTUEZUAUEZUGUCZUVRKUHZHUIUJZUKUHZUV
      OUFUCZULZUAUMUNZTUMUOZULZSUPUNZAUWGSUPAUVOUPUQZUVPUWFAUWIUVPURZURZUSUVQUT
      UJZUVOUFUCZTUMUOZUWFUWJUWNAUWJUSUVOUTUJZUVQUFUCZTUMUOZUWNUWJUWOUPUQZUWQUW
      IUVPUVOUDVAUWRUVOVBUVOVCVDUWOTVEVFUWJUWPUWMTUMUWJUVQUPUQZUDUVQUFUCZURZUWP
      UWMVGUVQUMUQZUVOUVQVHUXBUWSUWTUVQVIZUVQVJVKZVLVMVNVOUWKUWMUWETUMUWKUXBURZ
      UWMUWDUAUMUXEUVRUMUQZUWMUWDUXEUXFUWMUVSUWCUXEUXFURZUWMUVSURZUVRJUHZGVPUJZ
      VQUHZHUIUJZUKUHZUVOUFUCZUWCUXGUXHUSUVRUTUJZUVOUFUCZUXNUWKUXBUXFUXHUXPULZU
      WIUXBUXFUXQULULAUVPUXFUXBUWIUXQUXFUXBUWIUXQUXFUXBUWIVRZUWMUVSUXPUXRUVSUWM
      UXPUXRUVSUXOUWLUGUCZUWMUXPULZUXFUXBUVSUXSVGZUWIUXBUXFUYAUXAUVRUPUQZUDUVRU
      FUCZURUYAUXBUXFUVQUVRVSUXDUXFUYBUYCUVRVIZUVRVJVKVTWAWBUXOUPUQZUXBUWIUXSUX
      TULZUXFUYEUWLUPUQZUWIUYFUXBUYEUYGUWIVRUXSUWMUXPUXOUWLUVOWCWDUWSUVQUDVAUYG
      UXBUVQVCUXCUVQWEWFWGUYBUVRUDVAUYEUXFUVRVCUYDUVRWEWFZWHWIWJWKWLWMWNWOUWKUX
      FUXPUXNULZUXBAUXFUWJUYIUXMUPUQZUYEURZUWIURZUXMUXOUFUCZUYIAUXFURZUWJURUYLU
      YMUXPUXNUYJUYEUWIUYMUXPURUXNULUXMUXOUVOWPWQWDUYNUYKUWJUWIUYNUYJUYEUYNUXLW
      RUQUYJUYNUXLUYNUXKUPUQZHUPUQZURUXLUPUQZUYNUYOUYPUYNUXIWSUQZGWSUQZURUXJWSU
      QUYOUYNUYRUYSUYNUXILUQZUYRUMLJWTZUXFUYTAUMLUVRJXAAVUAHUSDUEZUTUJZUIUJZVUB
      JUHZGVPUJZVQUHZUFUCZVUGHVUCXBUJZUFUCZURZDUMUNZQXCZXDUXILNXEVFMXFUXIGXGUXJ
      XHXIZEFGHILMNOPXJZXFUXKHXKVFZXLUXLXMVFUXFUYEAUYHVOZVKUWIUVPXNXOUYNUYMUWJU
      YNUYMUXOXPUXLUFUCZUXLUXOUFUCZURZUYNVURVUSUYNVURUXLXPZUXOUFUCZUYNVVAHUXKUI
      UJZUXOUFUYNUXKWRUQZHWRUQZURVVAVVCXQUYNVVDVVEUYNUXKVUNXLHVUOXRZXFUXKHXSVFU
      YNVVCUXOUFUCZHUXOUIUJZUXKUFUCZUYNVVIUXKHUXOXBUJZUFUCZAUXFVVIVVKURZUXFVULV
      VLAVUKVVLDUVRUMVUBUVRXQZVUHVVIVUJVVKVVMVUDVVHVUGUXKUFVVMVUCUXOHUIVUBUVRUS
      UTXTZYAVVMVUFUXJVQVVMVUEUXIGVPVUBUVRJYBYCYDZYEVVMVUGUXKVUIVVJUFVVOVVMVUCU
      XOHXBVVNYAYEYFYGAVUAVULQYHYIYJZYKUYOUYEVVGVVIVGZUYNUYPUYOUYEVVQVUOHUXKUXO
      YLYMVUNVUQWFYNYOUYEUYQVURVVBVGUYNUXOUXLYPVUQVUPWFYNUYNVUSVVKUYNVVIVVKVVPY
      QUYOUYEVUSVVKVGZUYNUYOUYPUYEVVRVUOUXKHUXOYRYSVUNVUQWFYNVKUYQUYEUYMVUTVGUY
      NUXLUXOYTVUPVUQWFYNUUAUUBUUCUUDUUEUXFUWCUXNVGUXEUXFUWBUXMUVOUFUXFUWAUXLUK
      UXFUVTUXKHUIBCGUVRJKRUUFYCYDUUGVOUUHUUIWJUUJUUKUULUUMUUNAUVTWRUQZUAUMUNZU
      VNUWHVGZAVVSUAUMUMWRKWTZUXFVVSAUMWRUVRKXAAVUAUMWSJWTZVWBVUMVUALWSUUOVWCLN
      UUPUMLWSJUUQUURBCGJKRMUUSXIXDUUTVVEVVTVWAVVFVVEVVSUAUMUMUVAZUNZVWAVVTSHTU
      AKUSUSUMUMUVBUMUSUVCUHUVDUVEZUVFUVBVWFUVFBCUMBUEJUHGVPUJVQUHKUVGRUVHUVIVW
      DUMUUOVVTVWEULUMUMUVJVVSUAVWDUMUVKUVLVLUVMVFYN $.
      $( [6-Jul-2006] $) $( [3-Oct-1999] $)
  $}

  ${
    $d u v x y z w A $.  $d u v g x z H $.  $d x y z w D $.  $d w G $.
    $d g x y w z F $.  $d x y z w R $.  $d g x y z ph $.
    projlem27.1 $e |- A e. H~ $.
    projlem27.2 $e |- H e. CH $.
    projlem27.3 $e |- S =
                      { u e. RR | E. v e. H u = -u ( normh ` ( v -h A ) ) } $.
    projlem27.4 $e |- R = -u sup ( S , RR , < ) $.
    projlem27.5 $e |- ( ph <-> ( F : NN --> H /\ A. w e. NN
                     ( ( R - ( 1 / w ) ) < ( normh ` ( ( F ` w ) -h A ) )
               /\ ( normh ` ( ( F ` w ) -h A ) ) < ( R + ( 1 / w ) ) ) ) ) $.
    ${
      projlem27.6 $e |- N e. NN $.
      $( Part of Lemma 3.6 of [Beran] p. 101.  Boundedness to show ` F `
         is a Cauchy sequence.  Used by ~ projlem28 . $)
      projlem27 $p |- ( ( ph /\ ( D e. NN /\ G e. NN ) ) ->
                ( ( N <_ D /\ N <_ G ) ->
             ( normh ` ( ( F ` D ) -h ( F ` G ) ) ) <
           ( sqr ` ( ( 4 x. ( ( 2 x. R ) + 1 ) ) / N ) ) ) ) $=
        ( cfv wcel wa cn cmv co cno c1 cdiv caddc clt wbr cle c4 c2 cmul csqr
        wi projlem20 projlem21 anim12d impac projlem22 imp sylc ) FISZKTZJISZKT
        ZUAZFUBTZJUBTZUAZUAVDEUCUDUESGUFFUGUDUHUDUIUJZVFEUCUDUESGUFJUGUDUHUDUIU
        JZUAZLFUKUJLJUKUJUAVDVFUCUDUESULUMGUNUDUFUHUDUNUDLUGUDUOSUIUJUPAVKUACDE
        VDVFFGHJKLMNOPRUQAVKVHAVIVEVJVGABEFGIKQURABEJGIKQURUSUTAVKVNAVIVLVJVMAB
        EFGIKQVAABEJGIKQVAUSVBVC $.
        $( [28-Sep-1999] $)
    $}

    ${
      projlem28.6 $e |- D e. RR $.
      $( Part of Lemma 3.6 of [Beran] p. 101.  Boundedness to show ` F `
         is a Cauchy sequence.  Used by ~ projlem29 . $)
      projlem28 $p |- ( ph -> ( 0 < D -> E. z e. NN
                  A. x e. NN A. y e. NN ( ( z <_ x /\ z <_ y ) ->
               ( normh ` ( ( F ` x ) -h ( F ` y ) ) ) < D ) ) ) $=
        ( c4 c2 cmul co c1 caddc cv cdiv csqr cfv clt wbr cn wrex cle wa cmv
        cno wi wral cc0 wcel wal cif wceq breq1 anbi12d opreq2 fveq2d breq2d
        imbi12d imbi2d 1nn elimel projlem27 dedth exp3a com12 imp31 adantlr cr
        axlttrn mp3an3 chil hvsubclt projlem21 imp chel syl syl2an anandis
        normclt sqrclt wne redivclt 3expa nnret 4re 2re projlem11 remulcl 1re
        readdcl jctil nnne0t sylanc 0re 4pos ltlei 2pos projlem13 mulge0 mp2an
        lt01 addge0 divge0t mpanl12 nngt0t exp4b com4r com4t com14 imp41 syld
        ex 19.21aivv r2al sylibr r19.22dva projlem2 syl5 ) ATUAJUBUCZUDUEUCZUBU
        CZDUFZUGUCZUHUIZIUJUKZDULUMYNBUFZUNUKZYNCUFZUNUKZUOZYRLUIZYTLUIZUPUCZUQ
        UIZIUJUKZURZCULUSBULUSZDULUMUTIUJUKAYQUUIDULAYNULVAZUOZYQUUIUUKYQUOZYRU
        LVAZYTULVAZUOZUUHURZCVBBVBUUIUULUUPBCUULUUOUUHUULUUOUOUUBUUFYPUJUKZUUGU
        UKUUOUUBUUQURZYQAUUJUUOUURUUJAUUOUURURUUJAUUOUURUUJAUUOUOZUURURUUSUUJYN
        UDVCZYRUNUKZUUTYTUNUKZUOZUUFYMUUTUGUCZUHUIZUJUKZURZURYNUDYNUUTVDZUURUVG
        UUSUVHUUBUVCUUQUVFUVHYSUVAUUAUVBYNUUTYRUNVEYNUUTYTUNVEVFUVHYPUVEUUFUJUV
        HYOUVDUHYNUUTYMUGVGVHVIVJVKAEFGHYRJKLYTMUUTNOPQRYNUDULVLVMVNVOVPVQVRVSA
        UUJYQUUOUUQUUGURZUUOUUJYQAUVIYQAUUOUUJUVIYQAUUOUUJUVIURUUSUUJUUQYQUUGUU
        SUUJUUQYQUUGUUFVTVAZYPVTVAZUUQYQUOUUGURZUUSUUJUVJUVKIVTVAUVLSUUFYPIWAWB
        UUSUUEWCVAZUVJAUUMUUNUVMUUCWCVAZUUDWCVAZUVMAUUMUOZAUUNUOZUUCUUDWDUVPUUC
        MVAZUVNAUUMUVRAEHYRJLMRWEWFUUCMOWGWHUVQUUDMVAZUVOAUUNUVSAEHYTJLMRWEWFUU
        DMOWGWHWIWJUUEWKWHYOVTVAZUTYOUNUKZUVKUUJYOWLYMVTVAZYNVTVAZUOYNUTWMZUVTU
        UJUWBUWCUWDUVTYMYNWNWOUUJUWCUWBYNWPZTYLWQYKUDUAJWRFGHJKMNOPQWSZWTZXAXBZ
        WTZXCYNXDXEUWCUTYNUJUKZUWAUUJUWBUTYMUNUKZUWCUWJUOUWAUWIUTTUNUKUTYLUNUKZ
        UWKUTTXFWQXGXHUTYKUNUKZUTUDUNUKUWLUTUAUNUKUTJUNUKUWMUTUAXFWRXIXHFGHJKMN
        OPQXJZUAJWRUWFXKXLUTUDXFXAXMXHYKUDUWGXAXNXLTYLWQUWHXKXLYMYNXOXPUWEYNXQX
        EXEWIXRXSVPXTYAYBYCYDYEUUHBCULULYFYGYDYHDIJUWFSUWNYIYJ $.
        $( [29-Sep-1999] $)
    $}

    ${
      $( Part of Lemma 3.6 of [Beran] p. 101: 'Hence, {yn} is a Cauchy
         sequence.'  Used by ~ projlem30 . $)
      projlem29 $p |- ( ph -> F e. Cauchy ) $=
        ( vg vz vx vy cn chil wf cc0 cv clt wbr cle wa cfv cmv co cno wi wral
        wrex cr ccau wcel wss c1 cdiv cmin caddc pm3.26bi chssi jctir fss syl
        cif wceq breq2 imbi2d 2ralbidv rexbidv imbi12d 1re elimel projlem28
        dedth com12 r19.21aiv jca hcau sylibr ) ASTHUAZUBOUCZUDUEZPUCZQUCZUFUEW
        GRUCZUFUEUGZWHHUHWIHUHUIUJUKUHZWEUDUEZULZRSUMQSUMZPSUNZULZOUOUMZUGHUPUQ
        AWDWQASIHUAZITURZUGWDAWRWSAWRFUSBUCZUTUJZVAUJWTHUHEUIUJUKUHZUDUEXBFXAVB
        UJUDUEUGBSUMNVCIKVDVESITHVFVGAWPOUOWEUOUQZAWPXCAWPULAUBXCWEUSVHZUDUEZWJ
        WKXDUDUEZULZRSUMQSUMZPSUNZULZULWEUSWEXDVIZWPXJAXKWFXEWOXIWEXDUBUDVJXKWN
        XHPSXKWMXGQRSSXKWLXFWJWEXDWKUDVJVKVLVMVNVKAQRPBCDEXDFGHIJKLMNWEUSUOVOVP
        VQVRVSVTWAOPQRHWBWC $.
        $( [29-Sep-1999] $)

      $( Part of Lemma 3.6 of [Beran] p. 101: 'By completeness of W, there
         exists y0 e. W such that yn->y0.'  Used by ~ projlem31 . $)
      projlem30 $p |- ( ph -> E. z e. H F ~~>v z ) $=
        ( ccau wcel cn wf cv chli wbr wrex cch chcompl mp3an1 projlem29 c1
        cdiv co cmin cfv cmv cno clt caddc wa wral pm3.26bi sylanc ) IPQZRJISZI
        BTUAUBBJUCZAJUDQVAVBVCLBIJUEUFACDEFGHIJKLMNOUGAVBGUHCTZUIUJZUKUJVDIULFU
        MUJUNULZUOUBVFGVEUPUJUOUBUQCRUROUSUT $.
        $( [29-Sep-1999] $)
    $}

    ${
      projlem31.6 $e |- F e. V $.
      $( Part of Lemma 3.6 of [Beran] p. 101.  The postulated vector sequence
         ` F ` implies our conclusion.  By showing such a sequence exists
         (which was done with the Axiom of Choice in ~ projlem17 ),
         we can show the final conclusion, ~ projlem . $)
      projlem31 $p |- ( ph -> E. x e. H A. y e. H ( normh ` ( x -h A ) )
                          <_ ( normh ` ( y -h A ) ) ) $=
        ( vz cv chli wbr wrex cmv co cno cfv cle wral projlem30 wa wcel cn
        wceq copab cli cr projlem11 elisseti fvex climuni eqid projlem26
        projlem25 syl2an breq1d projlem12 syl5bi r19.21aiv ex r19.22sdv mpd )
        AJBSZTUAZBKUBVLGUCUDZUEUFZCSZGUCUDUEUFZUGUAZCKUHZBKUBABDEFGHIJKLMNOPUIA
        VMVSBKAVMVSAVMUJZVRCKVTHVQUGUAVRVPKUKVTHVOVQUGRSZULUKVPWAJUFGUCUDUEUFUM
        UJRCUNZHUOUAWBVOUOUAHVOUMAVMHVOWBHUPEFGHIKLMNOUQURVNUEUSUTARCDEFGHIJWBK
        LMNOPWBVAZVBRCBGJWBWCLQVCVDVEEFGVPHIKLMNOVFVGVHVIVJVK $.
        $( [6-Jul-2006] $) $( [4-Oct-1999] $)
    $}
  $}

  ${
    $d x y f u v w H $.  $d x y f u v w A $.
    projlem.1 $e |- A e. H~ $.
    projlem.2 $e |- H e. CH $.
    $( Lemma 3.6 of [Beran] p. 101:  "Let ` H ` be a complete subspace of a
       (pre-)Hilbert space ` H~ ` and let ` A e. H~ ` .  Then there exists
       a vector ` x e. H ` such that
       ` ( norm `` ( x -h A ) ) <_ ( norm `` ( y -h A ) ) ` for every
       ` y e. H ` ."  This is a lemma for the projection theorem. $)
    projlem $p |- E. x e. H A. y e. H ( normh ` ( x -h A ) )
                   <_ ( normh ` ( y -h A ) ) $=
      ( vf vu vv vw cn cv wf cmv co cno cfv cneg wceq wrex cr crab clt csup c1
      cdiv cmin wbr caddc wa wral wex cle eqid projlem17 pm4.2 visset
      projlem31 19.23aiv ax-mp ) KDGLZMHLILCNOPQRSIDTHUAUBZUAUCUDRZUEJLZUFOZUGO
      VDVAQCNOPQZUCUHVFVCVEUIOUCUHUJJKUKUJZGULALCNOPQBLCNOPQUMUHBDUKADTZJIHCVCV
      BGDEFVBUNZVCUNZUOVGVHGVGABJIHCVCVBVADEFVIVJVGUPGUQURUSUT $.
      $( [4-Oct-1999] $)

    $( Lemma 3.6 of [Beran] p. 101:  "Let ` H ` be a complete subspace of a
       (pre-)Hilbert space ` H~ ` and let ` A e. H~ ` .  Then there exists
       a vector ` x e. H ` such that
       ` ( norm `` ( x -h A ) ) <_ ( norm `` ( y -h A ) ) ` for every
       ` y e. H ` ."  This is a lemma for the projection theorem. $)
    projlemHIL $p |- E. x e. H A. y e. H ( normh ` ( x -h A ) )
                   <_ ( normh ` ( y -h A ) ) $=
      ( cv cmv co cno cfv cle wbr wral wrex cva csm cop cxp cres cc chil eqid
      hhba hhvs hhnm chshi hhssba hhph css cbn cin wcel elin csh hhsst ax-mp
      hhssbn mpbir2an minvecex2 wceq chel normsubt mpan syl breqan12d ralbidva
      rexbiia mpbi ) CAGZHIJKZCBGZHIJKZLMZBDNZADOVJCHIJKZVLCHIJKZLMZBDNZADOABCP
      QRJRZHJPDDSTQUADSTRJDTRZUBDVTVTUCZUDVTWBUEVTWBUFDWAWAUCZDFUGZUHVTWBUIWAVT
      UJKZUKULUMWAWEUMZWAUKUMWAWEUKUNDUOUMWFWDVTDWAWBWCUPUQDWAWCFURUSEUTVOVSADV
      JDUMZVNVRBDWGVLDUMZVKVPVMVQLWGVJUBUMZVKVPVAZVJDFVBCUBUMZWIWJECVJVCVDVEWHV
      LUBUMZVMVQVAZVLDFVBWKWLWMECVLVCVDVEVFVGVHVI $.
      $( [8-Jul-2008] $) $( [24-Mar-2008] $)
  $}

  ${
    pjthlem1.1 $e |- A e. H~ $.
    pjthlem1.2 $e |- B e. H~ $.
    pjthlem1.3 $e |- D e. H~ $.
    pjthlem1.4 $e |- S e. CC $.
    pjthlem1.5 $e |- C = ( A -h B ) $.
    $( Lemma for ~ pjth . $)
    pjthlem1 $p |- ( ( normh ` ( B -h A ) ) <_
                ( normh ` ( ( B +h ( S .h D ) ) -h A ) ) <->
      ( ( normh ` C ) ^ 2 ) <_ ( ( normh ` ( C -h ( S .h D ) ) ) ^ 2 ) ) $=
      ( cmv co cno cfv csm cva cle wbr c2 cexp normsub fveq2i eqtr4 hvmulcl
      hvaddcl opreq1i hvsubass eqtr2 eqtr breq12i cc0 wb chil wcel hvsubcl
      eqeltr normge0t ax-mp normcl le2sq mp2an bitr ) BAKLMNZBEDOLZPLZAKLMNZQRC
      MNZCVDKLZMNZQRZVGSTLVISTLQRZVCVGVFVIQVCABKLZMNVGBAGFUACVLMJUBUCVFAVEKLZMN
      VIVEABVDGEDIHUDZUEFUAVMVHMVHVLVDKLVMCVLVDKJUFABVDFGVNUGUHUBUIUJUKVGQRZUKV
      IQRZVJVKULCUMUNVOCVLUMJABFGUOUPZCUQURVHUMUNVPCVDVQVNUOZVHUQURVGVICVQUSVHV
      RUSUTVAVB $.
      $( [7-Oct-1999] $)
  $}

  ${
    pjthlem2.1 $e |- D e. H~ $.
    pjthlem2.2 $e |- R = ( 1 / ( D .ih D ) ) $.
    $( Lemma for ~ pjth . $)
    pjthlem2 $p |- ( D =/= 0h -> R e. RR ) $=
      ( c0v wne c1 csp co cdiv cr cc0 clt wbr wcel chil ax-his4 mpan hiidrclt
      ax-mp gt0ne0 rerecclz 3syl syl5eqel ) AEFZGAAHIZJIZKBUELUFMNZUFLFUGKOAPOZ
      UEUHCAQRUFUIUFKOCASTZUAUFUJUBUCDUD $.
      $( [5-Jul-2007] $) $( [8-Oct-1999] $)

    $( Lemma for ~ pjth . $)
    pjthlem3 $p |- ( D =/= 0h -> 0 < R ) $=
      ( c0v wne cc0 c1 csp co cdiv clt wbr chil wcel ax-his4 mpan cr hiidrclt
      ax-mp recgt0 syl syl6breqr ) AEFZGHAAIJZKJZBLUDGUELMZGUFLMANOZUDUGCAPQUEU
      HUEROCASTUAUBDUC $.
      $( [5-Jul-2007] $) $( [8-Oct-1999] $)

    ${
      pjthlem4.3 $e |- C e. H~ $.
      pjthlem4.4 $e |- S = ( R x. ( C .ih D ) ) $.
      $( Lemma for ~ pjth . $)
      pjthlem4 $p |- ( D =/= 0h -> S e. CC ) $=
        ( c0v wne csp co cmul cc wcel wa pjthlem2 recnd hicl jctir axmulcl syl
        syl5eqel ) BIJZCABKLZMLZNDUDCNOZUENOZPUFNOUDUGUHUDCBCEFQRABGESTCUEUAUBH
        UC $.
        $( [5-Jul-2007] $) $( [8-Oct-1999] $)
    $}
  $}

  ${
    pjthlem5.1 $e |- D e. H~ $.
    pjthlem5.2 $e |- C e. H~ $.
    pjthlem5.3 $e |- S e. CC $.
    $( Lemma for ~ pjth . $)
    pjthlem5 $p |- ( ( normh ` ( C -h ( S .h D ) ) ) ^ 2 ) =
       ( ( ( ( normh ` C ) ^ 2 ) - ( * ` ( S x. ( D .ih C ) ) ) ) +
      ( ( ( S x. ( * ` S ) ) x. ( D .ih D ) ) - ( S x. ( D .ih C ) ) ) ) $=
      ( csm co cmv cno cfv c2 cexp csp ccj cneg cmul caddc cmin hvmulcl
      hvsubcl normsq normlem0 hicl cjmul his1 opreq2i eqtr4 negeqi cjcl
      mulneg1 opreq12i normcl resqcl recn mulcl negsub eqtr3 opreq1i negcl
      cjmulrcl addcom 3eqtr ) ACBGHZIHZJKLMHVEVENHAANHZCOKZPABNHZQHZRHZCPBANHZQ
      HZCVGQHZBBNHZQHZRHZRHAJKZLMHZCVKQHZOKZSHZVOVSSHZRHVEAVDECBFDTUAUBCABFEDUC
      VJWAVPWBRVRVTPZRHVJWAVRVFWCVIRAEUBWCVGVHQHZPVIVTWDVTVGVKOKZQHWDCVKFBADEUD
      ZUEVHWEVGQABEDUFUGUHUIVGVHCFUJABEDUDUKUHULVRVTVRVQAEUMUNUOVSCVKFWFUPZUJUQ
      URVPVSPZVORHVOWHRHWBVLWHVORCVKFWFUKUSWHVOVSWGUTVMVNVMCFVAUOBBDDUDUPZVBVOV
      SWIWGUQVCULVC $.
      $( [8-Oct-1999] $)
  $}

  ${
    pjthlem6.1 $e |- D e. H~ $.
    pjthlem6.2 $e |- R = ( 1 / ( D .ih D ) ) $.
    pjthlem6.3 $e |- C e. H~ $.
    pjthlem6.4 $e |- S = ( R x. ( C .ih D ) ) $.
    $( Lemma for ~ pjth . $)
    pjthlem6 $p |- ( D =/= 0h -> ( S x. ( D .ih C ) ) =
                 ( R x. ( ( abs ` ( C .ih D ) ) ^ 2 ) ) ) $=
      ( c0v wne csp co cmul cabs cfv c2 cexp cc wcel wceq pjthlem2 recnd hicl
      axmulass mp3an23 syl opreq1i ccj absvalsq his1 opreq2i eqtr4 3eqtr4g ) BI
      JZCABKLZMLZBAKLZMLZCUOUQMLZMLZDUQMLCUONOPQLZMLUNCRSZURUTTZUNCBCEFUAUBVBUO
      RSUQRSVCABGEUCZBAEGUCCUOUQUDUEUFDUPUQMHUGVAUSCMVAUOUOUHOZMLUSUOVDUIUQVEUO
      MBAEGUJUKULUKUM $.
      $( [5-Jul-2007] $) $( [8-Oct-1999] $)

    $( Lemma for ~ pjth . $)
    pjthlem7 $p |- ( D =/= 0h -> ( ( S x. ( * ` S ) ) x. ( D .ih D ) ) =
                 ( R x. ( ( abs ` ( C .ih D ) ) ^ 2 ) ) ) $=
      ( c0v wne ccj cfv cmul co csp cabs c2 cexp cr wcel wceq pjthlem2 a1i cc
      recnt hicl cjmult mpan2 syl cjret opreq1d eqtrd fveq2i syl5eq opreq12d
      wa mul4t jctir cjcl sylanc axmulcl mulcl mul23t mp3an23 c1 mp3an3 cdiv
      cc0 clt wbr chil ax-his4 mpan hiidrclt ax-mp gt0ne0 recclz axmulcom 3syl
      recidz opreq1i mulid2t 3eqtrd absvalsq opreq2i syl6eqr ) BIJZDDKLZMNZBBON
      ZMNZCABONZWLKLZMNZMNZCWLPLQRNZMNWGWKCCMNZWJMNZWNMNZWOWGCSTZWKWSUABCEFUBZW
      TWKWQWNMNZWJMNZWSWTWIXBWJMWTWICWLMNZCWMMNZMNZXBWTDXDWHXEMDXDUAWTHUCWTXDKL
      ZXEWHWTXGCKLZWMMNZXEWTCUDTZXGXIUAZCUEZXJWLUDTZXKABGEUFZCWLUGUHUIWTXHCWMMC
      UJUKULDXDKHUMUNUOXJXMUPXJWMUDTZUPXFXBUAWTCWLCWMUQWTXJXMXLXNURWTXJXOXLWLXN
      USZURUTULUKWTWQUDTZXCWSUAZXJXJXQWTCCVAXLXLUTXQWNUDTWJUDTZXRWLWMXNXPVBBBEE
      UFZWQWNWJVCVDUIULUIWGWRCWNMWGWRCWJMNZCMNZVECMNZCWGWTWRYBUAZXAXJXJYDWTXJXJ
      XSYDXTCCWJVCVFXLXLUTUIWGYAVECMWGVEWJVGNZWJMNZVEYAWGYFWJYEMNZVEWGWJVHJZYEU
      DTZYFYGUAZWGVHWJVIVJZYHBVKTZWGYKEBVLVMZWJYLWJSTEBVNVOVPZUIWJXTVQYIXSYJXTY
      EWJVRUHVSWGYKYHYGVEUAYMYNWJXTVTVSULCYEWJMFWAUNUKWGWTXJYCCUAXAXLCWBVSWCUKU
      LWPWNCMWLXNWDWEWF $.
      $( [5-Jul-2007] $) $( [8-Oct-1999] $)

    $( Lemma for ~ pjth . $)
    pjthlem8 $p |- ( D =/= 0h -> ( ( normh ` ( C -h ( S .h D ) ) ) ^ 2 ) =
    ( ( ( normh ` C ) ^ 2 ) - ( R x. ( ( abs ` ( C .ih D ) ) ^ 2 ) ) ) ) $=
      ( c0v wne csm co cmv cno cfv c2 cexp csp cmul ccj cmin caddc cabs cc0 cc
      wcel wceq pjthlem4 cif opreq1 opreq2d fveq2d opreq1d id fveq2 opreq12d
      eqeq12d 0cn elimel pjthlem5 dedth syl pjthlem6 cr pjthlem2 hicl abscl
      resqcl axmulrcl mpan2 cjret 3syl eqtrd pjthlem7 recnd subidt normcl recn
      subclt mpan ax0id 3eqtrd ) BIJZADBKLZMLZNOZPQLZANOZPQLZDBARLZSLZTOZUALZDD
      TOZSLZBBRLZSLZWKUALZUBLZWICABRLZUCOZPQLZSLZUALZUDUBLZXDWCDUEUFZWGWSUGZABC
      DEFGHUHXFXGAXFDUDUIZBKLZMLZNOZPQLZWIXHWJSLZTOZUALZXHXHTOZSLZWPSLZXMUALZUB
      LZUGDUDDXHUGZWGXLWSXTYAWFXKPQYAWEXJNYAWDXIAMDXHBKUJUKULUMYAWMXOWRXSUBYAWL
      XNWIUAYAWKXMTDXHWJSUJZULUKYAWQXRWKXMUAYAWOXQWPSYADXHWNXPSYAUNDXHTUOUPUMYB
      UPUPUQABXHEGDUDUEURUSUTVAVBWCWMXDWRUDUBWCWLXCWIUAWCWLXCTOZXCWCWKXCTABCDEF
      GHVCZULWCCVDUFZXCVDUFZYCXCUGBCEFVEZYEXBVDUFYFXAWTABGEVFVGVHCXBVIVJZXCVKVL
      VMUKWCWRXCXCUALZUDWCWQXCWKXCUAABCDEFGHVNYDUPWCXCUEUFZYIUDUGWCXCWCYEYFYGYH
      VBVOZXCVPVBVMUPWCYJXDUEUFZXEXDUGYKWIUEUFYJYLWIWHAGVQVHVRWIXCVSVTXDWAVLWB
      $.
      $( [5-Jul-2007] $) $( [8-Oct-1999] $)
  $}

  ${
    pjthlem9.1 $e |- A e. H~ $.
    pjthlem9.2 $e |- B e. H~ $.
    pjthlem9.3 $e |- D e. H~ $.
    pjthlem9.4 $e |- R = ( 1 / ( D .ih D ) ) $.
    pjthlem9.5 $e |- S = ( R x. ( C .ih D ) ) $.
    pjthlem9.6 $e |- C = ( A -h B ) $.
    $( Lemma for ~ pjth . $)
    pjthlem9 $p |- ( D =/= 0h -> ( ( normh ` ( B -h A ) ) <_
                ( normh ` ( ( B +h ( S .h D ) ) -h A ) ) <->
     ( ( normh ` C ) ^ 2 ) <_ ( ( normh ` ( C -h ( S .h D ) ) ) ^ 2 ) ) ) $=
      ( c0v wne cc wcel cmv co cno cfv csm cva cle wbr c2 cexp wb chil hvsubcl
      eqeltr pjthlem4 cc0 cif wceq opreq1 opreq2d opreq1d fveq2d breq2d
      bibi12d 0cn elimel pjthlem1 dedth syl ) DMNFOPZBAQRSTZBFDUARZUBRZAQRZSTZU
      CUDZCSTUEUFRZCVHQRZSTZUEUFRZUCUDZUGZCDEFIJCABQRUHLABGHUIUJKUKVFVRVGBVFFUL
      UMZDUARZUBRZAQRZSTZUCUDZVMCVTQRZSTZUEUFRZUCUDZUGFULFVSUNZVLWDVQWHWIVKWCVG
      UCWIVJWBSWIVIWAAQWIVHVTBUBFVSDUAUOZUPUQURUSWIVPWGVMUCWIVOWFUEUFWIVNWESWIV
      HVTCQWJUPURUQUSUTABCDVSGHIFULOVAVBLVCVDVE $.
      $( [5-Jul-2007] $) $( [8-Oct-1999] $)

    $( Lemma for ~ pjth . $)
    pjthlem10 $p |- ( ( D =/= 0h /\ ( normh ` ( B -h A ) ) <_
           ( normh ` ( ( B +h ( S .h D ) ) -h A ) ) ) ->
                   ( R x. ( ( abs ` ( C .ih D ) ) ^ 2 ) ) = 0 ) $=
      ( c0v wne cmv co cno cfv csm cva cle wbr wa cc0 csp cabs c2 cexp cmul
      cmin wceq cr wcel mulge0t pjthlem2 chil hvsubcl eqeltr hicl abscl resqcl
      jctir clt ltlet 0re jctil pjthlem3 sylc sqge0 sylanc adantr pjthlem9
      biimpa pjthlem8 breqtrd jca wb axmulrcl syl normcl lesub0t mpbid ) DMNZBA
      OPQRBFDSPZTPAOPQRUAUBZUCZUDECDUEPZUFRZUGUHPZUIPZUAUBZCQRZUGUHPZWMWJUJPZUA
      UBZUCZWJUDUKZWFWKWOWCWKWEEULUMZWIULUMZUCZUDEUAUBZUDWIUAUBZUCWKWCEWIUNWCWR
      WSDEIJUOZWHWGCDCABOPUPLABGHUQURZIUSUTZVAVBZWCXAXBUDULUMZWRUCUDEVCUBXAWCUD
      EVDWCWRXGXCVEVFDEIJVGVHWHXEVIVBVJVKWFWMCWDOPQRUGUHPZWNUAWCWEWMXHUAUBABCDE
      FGHIJKLVLVMWCXHWNUKWECDEFIJXDKVNVKVOVPWCWPWQVQZWEWCWJULUMZWMULUMZUCXIWCXJ
      XKWCWTXJXFEWIVRVSWLCXDVTVAVBWJWMWAVSVKWB $.
      $( [5-Jul-2007] $) $( [9-Oct-1999] $)

    $( Lemma for ~ pjth . $)
    pjthlem11 $p |- ( ( D =/= 0h /\ ( normh ` ( B -h A ) ) <_
           ( normh ` ( ( B +h ( S .h D ) ) -h A ) ) ) -> ( C .ih D ) = 0 ) $=
      ( c0v wne cmv co cno cfv csm cva cle wbr wa csp cabs cc0 wceq c2 cexp wn
      clt pjthlem3 wo cr wcel wb pjthlem2 0re jctir lttri2t df-ne syl5bbr syl
      olc syl5bir mpd adantr cmul pjthlem10 cc recnd chil hvsubcl eqeltr hicl
      abscl resqcl recn mul0ort mpan2 mpbid ord sqeq0 sylib abs00 ) DMNZBAOPQRB
      FDSPTPAOPQRUAUBZUCZCDUDPZUERZUFUGZWIUFUGWHWJUHUIPZUFUGZWKWHEUFUGZUJZWMWFW
      OWGWFUFEUKUBZWODEIJULWFWOEUFUKUBZWPUMZWPWFEUNUOZUFUNUOZUCZWOWRUPWFWSWTDEI
      JUQZURUSXAEUFNWRWOEUFUTEUFVAVBVCWPWQVDVEVFVGWHWNWMWHEWLVHPUFUGZWNWMUMZABC
      DEFGHIJKLVIWFXCXDUPZWGWFEVJUOZXEWFEXBVKXFWLVJUOXEWLWJWICDCABOPVLLABGHVMVN
      IVOZVPZVQVREWLVSVTVCVGWAWBVFWJWJXHVRWCWDWIXGWEWD $.
      $( [5-Jul-2007] $) $( [9-Oct-1999] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y D $.  $d y S $.  $d y H $.
    pjthlem12.1 $e |- A e. H~ $.
    pjthlem12.2 $e |- H e. CH $.
    pjthlem12.3 $e |- B e. H $.
    pjthlem12.4 $e |- D e. H $.
    pjthlem12.5 $e |- R = ( 1 / ( D .ih D ) ) $.
    pjthlem12.6 $e |- S = ( R x. ( C .ih D ) ) $.
    pjthlem12.7 $e |- C = ( A -h B ) $.
    $( Lemma for ~ pjth . $)
    pjthlem12 $p |- ( A. y e. H
             ( normh ` ( B -h A ) ) <_ ( normh ` ( y -h A ) ) -> ( D =/= 0h ->
              ( C .ih D ) = 0 ) ) $=
      ( cmv co cno cfv cv cle wbr wral c0v wne csm cva wa csp cc0 wceq wcel
      opreq1 fveq2d breq2d rcla4cv cc cheli chil hvsubcl eqeltr pjthlem4 jctir
      csh wi chshi shmulcltOLD ax-mp syl jctil shaddcltOLD syl5 ancld
      pjthlem11 syl6 ) CBPQRSZATZBPQZRSZUAUBZAHUCZEUDUEZWBVPCGEUFQZUGQZBPQZRSZU
      AUBZUHDEUIQUJUKWAWBWGWAWDHULZWGWBVTWGAWDHVQWDUKZVSWFVPUAWIVRWERVQWDBPUMUN
      UOUPWBCHULZWCHULZUHZWHWBWKWJWBGUQULZEHULZUHZWKWBWMWNDEFGEHJLURZMDBCPQUSOB
      CICHJKURZUTVANVBLVCHVDULZWOWKVEHJVFZGEHVGVHVIKVJWRWLWHVEWSCWCHVKVHVIVLVMB
      CDEFGIWQWPMNOVNVO $.
      $( [5-Jul-2007] $) $( [9-Oct-1999] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y D $.  $d y C $.  $d y H $.
    pjthlem13.1 $e |- A e. H~ $.
    pjthlem13.2 $e |- H e. CH $.
    pjthlem13.3 $e |- B e. H $.
    pjthlem13.4 $e |- D e. H $.
    pjthlem13.5 $e |- C = ( A -h B ) $.
    $( Lemma for ~ pjth . $)
    pjthlem13 $p |- ( A. y e. H
     ( normh ` ( B -h A ) ) <_ ( normh ` ( y -h A ) ) -> ( C .ih D ) = 0 ) $=
      ( cmv co cno cfv cv cle wbr wral csp cc0 wceq c0v opreq2 eqeq1d wne c1
      cdiv cmul eqid pjthlem12 imp ccj chil cheli hvsubcl eqeltr ax-hv0cl his1
      wcel hi01t ax-mp fveq2i cj0 3eqtr a1i pm2.61ne ) CBLMNOAPBLMNOQRAFSZDETMZ
      UAUBZDUCTMZUAUBZEUCEUCUBVIVKUAEUCDTUDUEVHEUCUFVJABCDEUGEETMUHMZVMVIUIMZFG
      HIJVMUJVNUJKUKULVLVHVKUCDTMZUMOUAUMOUADUCDBCLMUNKBCGCFHIUOUPUQZURUSVOUAUM
      DUNUTVOUAUBVPDVAVBVCVDVEVFVG $.
      $( [9-Oct-1999] $)
  $}

  ${
    $d z x y A $.  $d z x y B $.  $d z x y C $.  $d z x y H $.
    pjthlem14.1 $e |- A e. H~ $.
    pjthlem14.2 $e |- H e. CH $.
    pjthlem14.3 $e |- B e. H $.
    pjthlem14.4 $e |- C = ( A -h B ) $.
    $( Lemma for ~ pjth . $)
    pjthlem14 $p |- ( A. z e. H
                    ( normh ` ( B -h A ) ) <_ ( normh ` ( z -h A ) ) ->
                    E. x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) ) $=
      ( cmv co cno cfv cv cle wbr wral cort wcel cva wceq wrex csp cc0 wi c0v
      cif opreq2 eqeq1d imbi2d cch ch0 ax-mp elimel pjthlem13 dedth com12
      r19.21aiv chil csh wa wb chshi shocelt cheli hvsubcl eqeltr mpbiran
      sylibr c1 cneg csm hvsubval opreq2i hvnegid ax1cn negcl hvmulcl hvadd12
      ax-hvaddid 3eqtr3r 3eqtr4r rcla4eopr mp3an13 syl ) EDLMNOCPDLMNOQRCGSZFGT
      OZUAZDAPZBPUBMUCBWIUDAGUDZWHFWKUEMZUFUCZAGSZWJWHWNAGWKGUAZWHWNWPWHWNUGWHF
      WPWKUHUIZUEMZUFUCZUGWKUHWKWQUCZWNWSWHWTWMWRUFWKWQFUEUJUKULCDEFWQGHIJWKUHG
      GUMUAUHGUAIGUNUOUPKUQURUSUTWJFVAUAZWOGVBUAWJXAWOVCVDGIVEAFGVFUOFDELMZVAKD
      EHEGIJVGZVHVIVJVKEGUAWJDEFUBMZUCWLJEXBUBMEDVLVMZEVNMZUBMZUBMZXDDXBXGEUBDE
      HXCVOVPFXBEUBKVPDEXFUBMZUBMDUHUBMZXHDXIUHDUBEXCVQVPDEXFHXCXEEVLVRVSXCVTWA
      DVAUAXJDUCHDWBUOWCWDABGWIEFDUBWEWFWG $.
      $( [10-Oct-1999] $)
  $}

  ${
    $d z w x y A $.  $d z w x y H $.
    pjth.1 $e |- A e. H~ $.
    pjth.2 $e |- H e. CH $.
    $( Projection Theorem:  Any Hilbert space vector ` A ` can be decomposed
       into a member ` x ` of a closed subspace ` H ` and a member ` y` of the
       complement of the subspace.  Theorem 3.7(i) of [Beran] p. 102 (existence
       part). $)
    pjth $p |- E. x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) $=
      ( vz vw cv cmv co cno cfv cle wbr wral wrex cva wceq cort projlem wcel
      wi c0v cif opreq1 fveq2d breq1d ralbidv imbi1d cch ch0 ax-mp elimel eqid
      pjthlem14 dedth r19.23aiv ) GIZCJKZLMZHICJKLMZNOZHDPZGDQCAIBIRKSBDTMQADQZ
      GHCDEFUAVDVEGDUSDUBZVDVEUCVFUSUDUEZCJKZLMZVBNOZHDPZVEUCUSUDUSVGSZVDVKVEVL
      VCVJHDVLVAVIVBNVLUTVHLUSVGCJUFUGUHUIUJABHCVGCVGJKZDEFUSUDDDUKUBUDDUBFDULU
      MUNVMUOUPUQURUM $.
      $( [10-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d x y H $.
    $( Projection Theorem:  Any Hilbert space vector ` A ` can be decomposed
       into a member ` x ` of a closed subspace ` H ` and a member ` y` of the
       complement of the subspace.  Theorem 3.7(i) of [Beran] p. 102 (existence
       part). $)
    pjtht $p |- ( ( H e. CH /\ A e. H~ ) ->
                E. x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) ) $=
      ( cch wcel chil cv cva co wceq cort cfv wrex cif c0v fveq2 rexeq1d
      rexeqd eqeq1 2rexbidv ax-hv0cl elimel helch pjth dedth2h ) DEFZCGFZCAHBHI
      JZKZBDLMZNZADNUJBUGDGOZLMZNZAUMNUHCPOZUIKZBUNNAUMNDCGPULUOADUMDUMKUJBUKUN
      DUMLQRSCUPKUJUQABUMUNCUPUITUAABUPUMCPGUBUCDGEUDUCUEUF $.
      $( [11-Oct-1999] $)
  $}


  ${
    $d x y z w A $.  $d x y z w H $.
    pjtheu.1 $e |- H e. CH $.
    $( Uniqueness of ` x ` for the projection theorem.  See ~ pjtheu2 for the
       uniqueness of ` y ` . $)
    pjtheu $p |- ( A e. H~ -> E! x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) ) $=
      ( vz vw chil wcel cv cva co wceq cort cfv wrex wa wi wral wreu cch pjtht
      mpan wex chocuni an4s pm3.26 syl6 ex imp3a adantl 19.23advv opreq2
      eqeq2d cbvrexv anbi2i reeanv r2ex 3bitr2 syl5ib exp32 r19.21adv
      r19.21aiv jca opreq1 rexbidv reu4 sylibr ) CHIZCAJZBJZKLZMZBDNOZPZADPZVOC
      FJZVKKLZMZBVNPZQZVJVQMZRZFDSZADSZQVOADTVIVPWEDUAIVIVPEABCDUBUCVIWDADVIVJD
      IZWCFDVIWFVQDIZWCVIWFWGQZQZVKVNIZGJZVNIZQZVMCVQWKKLZMZQZQZGUDBUDZWBWAWIWQ
      WBBGWHWQWBRVIWHWMWPWBWHWMWPWBRWHWMQWPWBVKWKMZQZWBWFWJWGWLWPWTRVJVKVQWKCDE
      UEUFWBWSUGUHUIUJUKULWAVOWOGVNPZQWPGVNPBVNPWRVTXAVOVSWOBGVNWSVRWNCVKWKVQKU
      MUNUOUPVMWOBGVNVNUQWPBGVNVNURUSUTVAVBVCVDVOVTAFDWBVMVSBVNWBVLVRCVJVQVKKVE
      UNVFVGVH $.
      $( [23-Oct-1999] $)
  $}

  ${
    $d x y A $.  $d x y H $.
    $( Uniqueness of ` x ` for the projection theorem. $)
    pjtheut $p |- ( ( H e. CH /\ A e. H~ ) ->
                  E! x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) ) $=
      ( cch wcel chil cv cva co wceq cort cfv wrex wreu wi cif wa weu eleq2
      fveq2 rexeq1d anbi12d eubidv df-reu 3bitr4g imbi2d helch elimel pjtheu
      dedth imp ) DEFZCGFZCAHZBHIJKZBDLMZNZADOZUMUNUSPUNUPBUMDGQZLMZNZAUTOZPDGD
      UTKZUSVCUNVDUODFZURRZASUOUTFZVBRZASUSVCVDVFVHAVDVEVGURVBDUTUOTVDUPBUQVADU
      TLUAUBUCUDURADUEVBAUTUEUFUGABCUTDGEUHUIUJUKUL $.
      $( [23-Oct-1999] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Projectors
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d h f x y z w $.
    $( Define the projection function on a Hilbert space, as a mapping from
       the Hilbert lattice to a function on Hilbert space.  Every closed
       subspace is associated with a unique projection function.  Remark in
       [Kalmbach] p. 66, adopted as a definition.  ` ( proj `` H ) `` A ` is
       the projection of vector ` A ` onto closed subspace ` H ` .  Note that
       the range of ` proj ` is the set of all projection operators, so
       ` T e. ran proj ` means that ` T ` is a projection operator. $)
    df-pj $a |- proj = { <. h , f >. | ( h e. CH /\
           f = { <. x , y >. | ( x e. H~ /\
           y = U. { z e. h | E. w e. ( _|_ ` h ) x = ( z +h w ) } ) } ) } $.
  $}

  ${
    $d f h w x y z H $.  $d w x y z A $.  $d x y B $.
    $( The value of the projection map. $)
    pjmvalt $p |- ( H e. CH -> ( proj ` H ) = { <. x , y >. | ( x e. H~ /\
           y = U. { z e. H | E. w e. ( _|_ ` H ) x = ( z +h w ) } ) } ) $=
      ( vh vf cv chil wcel cva co wceq cort cfv wrex crab cuni wa copab cch
      cpj cab eleq2 fveq2 rexeq1d anbi12d abbidv df-rab 3eqtr4g unieqd eqeq2d
      anbi2d opabbidv df-pj ax-hilex opabex2 fvopab4 ) FGEAHZIJZBHZUSCHZDHKLMZD
      FHZNOZPZCVDQZRZMZSZABTUTVAVCDENOZPZCEQZRZMZSZABTUAUBVDEMZVJVPABVQVIVOUTVQ
      VHVNVAVQVGVMVQVBVDJZVFSZCUCVBEJZVLSZCUCVGVMVQVSWACVQVRVTVFVLVDEVBUDVQVCDV
      EVKVDENUEUFUGUHVFCVDUIVLCEUIUJUKULUMUNABCDGFUOABIVNUPUQUR $.
      $( [23-Oct-1999] $)

    $( Value of a projection. $)
    pjvalt $p |- ( ( H e. CH /\ A e. H~ ) -> ( ( proj ` H ) ` A ) =
             U. { x e. H | E. y e. ( _|_ ` H ) A = ( x +h y ) } ) $=
      ( vz vw cch wcel chil wa cpj cfv cv cva co wceq cort wrex crab cuni
      copab pjmvalt fveq1d adantr cvv eqeq1 rexbidv rabbisdv unieqd eqid
      fvopab4g rabexg uniexg syl sylan2 ancoms eqtrd ) DGHZCIHZJCDKLZLZCEMZIHFM
      VBAMBMNOZPZBDQLZRZADSZTZPJEFUAZLZCVCPZBVERZADSZTZURVAVJPUSURCUTVIEFABDUBU
      CUDUSURVJVNPZUSVNUEHZVOUREFCVHVNIUEVIVBCPZVGVMVQVFVLADVQVDVKBVEVBCVCUFUGU
      HUIVIUJUKURVMUEHVPVLADGULVMUEUMUNUOUPUQ $.
      $( [23-Oct-1999] $)

    $( Closure of a projection in its subspace.  If we consider this together
       with ~ axpjpjt to be axioms, the need for the ~ ax-hcompl can often be
       avoided for the kinds of theorems we are interested in here.  An
       interesting project is to see how far we can go by using them in place
       of it.  In particular, we can prove the orthomodular law ~ pjoml .) $)
    axpjclt $p |- ( ( H e. CH /\ A e. H~ ) -> ( ( proj ` H ) ` A ) e. H ) $=
      ( vx vy cch wcel chil wa cpj cfv cv cva co wceq cort wrex crab cuni
      pjvalt wreu pjtheut reucl syl eqeltrd ) BEFAGFHZABIJJACKDKLMNDBOJPZCBQRZB
      CDABSUEUFCBTUGBFCDABUAUFCBUBUCUD $.
      $( [23-Oct-1999] $)

$(
    @( Closure of projection, as an axiom.  Can be used to replace ~ axpjclt
       for studies of the Hilbert space completeness axiom. @)
    ax-pjcl @a |- ( ( H e. CH /\ A e. H~ ) -> ( ( proj ` H ) ` A ) e. H ) @.
$)

    $( Equality with a projection. $)
    pjeq2t $p |- ( ( H e. CH /\ A e. H~ /\ B e. H ) ->
       ( ( ( proj ` H ) ` A ) = B <-> E. x e. ( _|_ ` H ) A = ( B +h x ) ) ) $=
      ( vy wcel cch chil cpj cfv wceq cv cva co cort wrex wb wa crab cuni
      pjvalt eqeq1d adantl wreu opreq1 eqeq2d rexbidv reuuni2 pjtheut sylan2
      bitr4d 3impb 3coml ) CDFZDGFZBHFZBDIJJZCKZBCALZMNZKZADOJZPZQZUNUOUPVDUNUO
      UPRZRURBELZUSMNZKZAVBPZEDSTZCKZVCVEURVKQUNVEUQVJCEABDUAUBUCUNVIEDUDVCVKQV
      EVIVCEDCVFCKZVHVAAVBVLVGUTBVFCUSMUEUFUGUHEABDUIUJUKULUM $.
      $( [21-Feb-2007] $) $( [20-Jan-2007] $)

    $( Equality with a projection. $)
    pjeqt $p |- ( ( H e. CH /\ A e. H~ ) -> ( ( ( proj ` H ) ` A ) = B <->
                ( B e. H /\ E. x e. ( _|_ ` H ) A = ( B +h x ) ) ) ) $=
      ( cch wcel chil wa cpj cfv wceq cv cva co cort wrex eleq1 axpjclt
      syl5cbi pm4.71rd wb pjeq2t 3expa pm5.32da bitrd ) DEFZBGFZHZBDIJJZCKZCDFZ
      UJHUKBCALMNKADOJPZHUHUJUKUJUIDFUKUHUICDQBDRSTUHUKUJULUFUGUKUJULUAABCDUBUC
      UDUE $.
      $( [15-Aug-2007] $) $( [20-Jan-2007] $)
  $}

  $( Closure of a projection in Hilbert space. $)
  pjhclt $p |- ( ( H e. CH /\ A e. H~ ) -> ( ( proj ` H ) ` A ) e. H~ ) $=
    ( cch wcel chil wa cpj cfv wss chss adantr axpjclt sseldd ) BCDZAEDZFBEABGH
    HNBEIOBJKABLM $.
    $( [30-Oct-1999] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Orthomodular law
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    omlsilem.1 $e |- G e. SH $.
    omlsilem.2 $e |- H e. SH $.
    omlsilem.3 $e |- G (_ H $.
    omlsilem.4 $e |- ( H i^i ( _|_ ` G ) ) = 0H $.
    omlsilem.5 $e |- A e. H $.
    omlsilem.6 $e |- B e. G $.
    omlsilem.7 $e |- C e. ( _|_ ` G ) $.
    $( Lemma for orthomodular law in the Hilbert lattice. $)
    omlsilem $p |- ( A = ( B +h C ) -> A e. G ) $=
      ( cva co wceq wcel c0v cmv sheli cort cfv chil csh wss shocss ax-mp
      sselii hvsubadd eqcom bitr wa wi shsubcltOLD mp2an eleq1 mpbii sylbir
      cin c0h eleq2i elin elch0 3bitr3 biimp mpan2 syl opreq2d ax-hvaddid
      syl6eq syl6eqel mpbird ) ABCMNZOZADPVLDPVMVLBDVMVLBQMNZBVMCQBMVMCEPZCQOZV
      MABRNZCOZVOVRVLAOVMABCAEGJSBDFKSZDTUAZUBCDUCPVTUBUDFDUEUFLUGUHVLAUIUJVRVQ
      EPZVOAEPZBEPZWAJDEBHKUGEUCPWBWCUKWAULGABEUMUFUNVQCEUOUPUQVOCVTPZVPLVOWDUK
      ZVPCEVTURZPCUSPWEVPWFUSCIUTCEVTVACVBVCVDVEVFVGBUBPVNBOVSBVHUFVIKVJAVLDUOV
      K $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    omlsi.1 $e |- A e. CH $.
    omlsi.2 $e |- B e. SH $.
    omlsi.3 $e |- A (_ B $.
    omlsi.4 $e |- ( B i^i ( _|_ ` A ) ) = 0H $.
    $( Subspace inference form of orthomodular law in the Hilbert lattice. $)
    omlsi $p |- A = B $=
      ( vx vy vz cv wcel cva co wceq cort cfv wrex chil shel cch pjtht mpan
      syl wa wi c0v cif eqeq1 eleq1 imbi12d opreq1 eqeq2d imbi1d opreq2 chshi
      csh sh0 ax-mp elimel ch0 shocsh omlsilem dedth3h 3expia r19.23adv
      r19.23adva mpd ssriv eqssi ) ABEGBAGJZBKZVJHJZIJZLMZNZIAOPZQZHAQZVJAKZVKV
      JRKZVRVJBDSATKZVTVRCHIVJAUAUBUCVKVQVSHAVKVLAKZUDVOVSIVPVKWBVMVPKZVOVSUEZV
      KWBWCWDVKVJUFUGZVNNZWEAKZUEVJVLVMUFUFUFWEWBVLUFUGZVMLMZNZWGUEWEWHWCVMUFUG
      ZLMZNZWGUEVJWENVOWFVSWGVJWEVNUHVJWEAUIUJVLWHNZWFWJWGWNVNWIWEVLWHVMLUKULUM
      VMWKNZWJWMWGWOWIWLWEVMWKWHLUNULUMWEWHWKABACUOZDEFVJUFBBUPKUFBKDBUQURUSVLU
      FAWAUFAKCAUTURUSVMUFVPVPUPKZUFVPKAUPKWQWPAVAURVPUQURUSVBVCVDVEVFVGVHVI $.
      $( [14-Oct-1999] $)
  $}

  ${
    omls.1 $e |- A e. CH $.
    omls.2 $e |- B e. SH $.
    $( Subspace form of orthomodular law in the Hilbert lattice.  Compare
       the orthomodular law in Theorem 2(ii) of [Kalmbach] p. 22. $)
    omls $p |- ( ( A (_ B /\ ( B i^i ( _|_ ` A ) ) = 0H ) -> A = B ) $=
      ( wss cort cfv cin c0h wceq wa cif eqeq1 eqeq2 cch h0elch keepel csh
      h0elsh sseq1 fveq2 ineq2d eqeq1d anbi12d sseq2 ineq1 ssid wcel ocin
      ax-mp pm3.2i elimhyp2v pm3.26i pm3.27i omlsi dedth2v ) ABEZBAFGZHZIJZKZAB
      JVAAILZBJVBVABILZJABIIAVBBMBVCVBNVBVCVAAIOCPQVABIRDSQVBVCEZVCVBFGZHZIJZVA
      VBBEZBVEHZIJZKVDVGKIIEZIIFGZHZIJZKABIIVBIEZIVEHZIJZKAVBJZUQVHUTVJAVBBTVRU
      SVIIVRURVEBAVBFUAUBUCUDBVCJZVHVDVJVGBVCVBUEVSVIVFIBVCVEUFUCUDIVBJZVKVOVNV
      QIVBITVTVMVPIVTVLVEIIVBFUAUBUCUDIVCJZVOVDVQVGIVCVBUEWAVPVFIIVCVEUFUCUDVKV
      NIUGIRUHVNSIUIUJUKULZUMVDVGWBUNUOUP $.
      $( [14-Oct-1999] $)
  $}

  ${
    $d x y z A $.
    ococ.1 $e |- A e. CH $.
    $( Complement of complement of a closed subspace of Hilbert space.
       Theorem 3.7(ii) of [Beran] p. 102. $)
    ococ $p |- ( _|_ ` ( _|_ ` A ) ) = A $=
      ( cort cfv csh wcel chshi shocsh ax-mp wss shococss cin c0h incom wceq
      ocin eqtr omlsi eqcomi ) AACDZCDZAUABTEFZUAEFAEFZUBABGZAHIZTHIUCAUAJUDAKI
      UATLTUALZMUATNUBUFMOUETPIQRS $.
      $( [11-Oct-1999] $)
  $}

  ${
    $d x y z A $.
    $( Complement of complement of a closed subspace of Hilbert space.
       Theorem 3.7(ii) of [Beran] p. 102. $)
    ococt $p |- ( A e. CH -> ( _|_ ` ( _|_ ` A ) ) = A ) $=
      ( cch wcel cort cfv wceq chil cif fveq2 fveq2d id eqeq12d helch elimel
      ococ dedth ) ABCZADEZDEZAFQAGHZDEZDEZTFAGATFZSUBATUCRUADATDIJUCKLTAGBMNOP
      $.
      $( [11-Oct-1999] $)
  $}

  $( Alternate definition of the Hilbert lattice. $)
  dfch2 $p |- CH = { x | ( x (_ H~ /\ ( _|_ ` ( _|_ ` x ) ) = x ) } $=
    ( cv chil wss cort cfv wceq wa cch wcel chss ococt jca eleq1 occlt 3syl
    syl5bi impcom impbi abbi2i ) ABZCDZUAEFZEFZUAGZHZAIUAIJZUFUGUBUEUAKUALMUEUB
    UGUEUDIJZUGUBUDUAINUBUCIJUCCDUHUAOUCKUCOPQRST $.
    $( [8-Aug-2000] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Projectors (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y H $.
    pjtheu2.1 $e |- H e. CH $.
    $( Uniqueness of ` y ` for the projection theorem. $)
    pjtheu2 $p |- ( A e. H~
        -> E! y e. ( _|_ ` H ) E. x e. H A = ( x +h y ) ) $=
      ( chil wcel cv cva co wceq cort cfv wrex wreu choccl pjtheu wa ax-hvcom
      chel syl2an eqeq2d rexbidva wb ococ rexeq1 ax-mp syl5bb reubiia sylib )
      CFGCBHZAHZIJZKZADLMZLMZNZBUOOCULUKIJZKZADNZBUOOBACUODEPZQUQUTBUOUKUOGZUNA
      DNZUTUQVBUNUSADVBULDGZRUMURCUKFGULFGUMURKVBVDUKULSUKUOVATULDETUAUBUCUPDKU
      QVCUDDEUEUNAUPDUFUGUHUIUJ $.
      $( [13-Apr-2008] $) $( [6-Nov-1999] $)
  $}

  ${
    pjcl.1 $e |- H e. CH $.
    $( Closure of a projection in its subspace. $)
    pjcl $p |- ( A e. H~ -> ( ( proj ` H ) ` A ) e. H ) $=
      ( cch wcel chil cpj cfv axpjclt mpan ) BDEAFEABGHHBECABIJ $.
      $( [7-Oct-2000] $)

    $( Closure of a projection in Hilbert space. $)
    pjhcl $p |- ( A e. H~ -> ( ( proj ` H ) ` A ) e. H~ ) $=
      ( cch wcel chil cpj cfv pjhclt mpan ) BDEAFEABGHHFECABIJ $.
      $( [7-Oct-2000] $)
  $}

  ${
    $d x y A $.  $d x y H $.
    pjcli.1 $e |- H e. CH $.
    pjcli.2 $e |- A e. H~ $.
    $( Closure of a projection in its subspace. $)
    pjcli $p |- ( ( proj ` H ) ` A ) e. H $=
      ( chil wcel cpj cfv pjcl ax-mp ) AEFABGHHBFDABCIJ $.
      $( [30-Oct-1999] $)

    $( Closure of a projection in Hilbert space. $)
    pjhcli $p |- ( ( proj ` H ) ` A ) e. H~ $=
      ( chil wcel cpj cfv pjhcl ax-mp ) AEFABGHHEFDABCIJ $.
      $( [30-Oct-1999] $)

    $( Decomposition of a vector into projections. $)
    pjpj0 $p |- A = ( ( ( proj ` H ) ` A ) +h
                ( ( proj ` ( _|_ ` H ) ) ` A ) ) $=
      ( vx vy cv wcel cort cfv wa cpj cva co wceq wex wrex r2ex reeanv bitr3
      crab cuni cch chil choccl pjvalt mp2an eqcomi wreu wb pjcli pjtheu ax-mp
      opreq1 eqeq2d rexbidv reuuni2 mpbir ococ rexeq1 chel pjhcli ax-hvcom
      mpan2 syl rexbiia mpbir2an wi chocuni jctr jctl syl2an imp pm3.26d
      biimpcd ad2antrl mpd 19.23aivv ) EGZBHZFGZBIJZHZKZAVSAWBLJJZMNZOZAABLJJZW
      AMNZOZKZKZFPEPZAWHWEMNZOZWMWGEBQZWJFWBQZWMWKFWBQEBQWPWQKWKEFBWBRWGWJEFBWB
      STWPAWEVSMNZOZEWBIJZQZXAAWAVSMNZOZEWTQZFWBUAUBZWEOZWEXEWBUCHAUDHZWEXEOBCU
      EZDFEAWBUFUGUHWEWBHZXDFWBUIZXAXFUJAWBXHDUKZXGXJDFEAWBXHULUMXDXAFWBWEWAWEO
      ZXCWSEWTXLXBWRAWAWEVSMUNUOUPUQUGURWPWGEWTQZXAWTBOXMWPUJBCUSWGEWTBUTUMWGWS
      EWTVSWTHVSUDHZWGWSUJVSWTWBXHUEVAXNWFWRAXNWEUDHWFWROAWBXHDVBVSWEVCVDUOVEVF
      TURWQAVSWAMNZOZFWBQZEBUAUBZWHOZWHXRBUCHXGWHXROCDEFABUFUGUHWHBHZXQEBUIZWQX
      SUJABCDUKZXGYADEFABCULUMXQWQEBWHVSWHOZXPWJFWBYCXOWIAVSWHWAMUNUOUPUQUGURVG
      WLWOEFWLYCWOWLYCWEWAOZWDWKYCYDKZVTXIKXTWCKWKYEVHVTWCVSWEWHWAABCVIVTXIXKVJ
      WCXTYBVKVLVMVNWGYCWOVHWDWJYCWGWOYCWFWNAVSWHWEMUNUOVOVPVQVRUM $.
      $( [26-Oct-1999] $)
  $}

  $( Decomposition of a vector into projections.  See comment in ~ axpjclt . $)
  axpjpjt $p |- ( ( H e. CH /\ A e. H~ ) ->
            A = ( ( ( proj ` H ) ` A ) +h ( ( proj ` ( _|_ ` H ) ) ` A ) ) ) $=
    ( cch wcel chil cpj cfv cort cva co wceq cif c0v fveq2 fveq1d fveq2d
    opreq12d eqeq2d id eqeq12d helch elimel ax-hv0cl pjpj0 dedth2h ) BCDZAEDZAA
    BFGZGZABHGZFGZGZIJZKAAUFBELZFGZGZAUNHGZFGZGZIJZKUGAMLZVAUOGZVAURGZIJZKBAEMB
    UNKZUMUTAVEUIUPULUSIVEAUHUOBUNFNOVEAUKURVEUJUQFBUNHNPOQRAVAKZAVAUTVDVFSVFUP
    VBUSVCIAVAUONAVAURNQTVAUNBECUAUBAMEUCUBUDUE $.
    $( [26-Oct-1999] $)

$(
  @( Decomposition of a vector into projections, as an axiom.  Can be used to
     replace ~ axpjpjt in studies of the Hilbert space completeness axiom. @)
  ax-pjpj @a |- ( ( H e. CH /\ A e. H~ ) ->
            A = ( ( ( proj ` H ) ` A ) +h ( ( proj ` ( _|_ ` H ) ) ` A ) ) ) @.
$)

  ${
    $d x y A $.  $d x y H $.
    pjpj.1 $e |- H e. CH $.
    pjpj.2 $e |- A e. H~ $.
    $( Decomposition of a vector into projections. $)
    pjpj $p |- A = ( ( ( proj ` H ) ` A ) +h
               ( ( proj ` ( _|_ ` H ) ) ` A ) ) $=
      ( pjpj0 ) ABCDE $.
      $( [6-Nov-1999] $)
  $}

  ${
    $d x y A $.  $d x y H $.
    $( Projection Theorem:  Any Hilbert space vector ` A ` can be decomposed
       into a member ` x ` of a closed subspace ` H ` and a member ` y` of the
       complement of the subspace.  Theorem 3.7(i) of [Beran] p. 102 (existence
       part). $)
    pjpjtht $p |- ( ( H e. CH /\ A e. H~ ) ->
                E. x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) ) $=
      ( cpj cfv wcel cort cva co wceq cv wrex cch chil wa rcla4eopr axpjclt
      chocclt sylan axpjpjt syl3anc ) CDEFFZDGCDHFZEFFZUDGZCUCUEIJKCALBLIJKBUDM
      ADMDNGZCOGZPABDUDUCUECIQCDRUDNGUHUFUGCUDRDSTCDUAUB $.
      $( [6-Nov-1999] $)
  $}

  ${
    $d x y A $.  $d x y H $.
    pjpjth.1 $e |- A e. H~ $.
    pjpjth.2 $e |- H e. CH $.
    $( Projection Theorem:  Any Hilbert space vector ` A ` can be decomposed
       into a member ` x ` of a closed subspace ` H ` and a member ` y` of the
       complement of the subspace.  Theorem 3.7(i) of [Beran] p. 102 (existence
       part). $)
    pjpjth $p |- E. x e. H E. y e. ( _|_ ` H ) A = ( x +h y ) $=
      ( cch wcel chil cv cva co wceq cort cfv wrex pjpjtht mp2an ) DGHCIHCAJBJK
      LMBDNOPADPFEABCDQR $.
      $( [6-Nov-1999] $)
  $}

  $( Orthocomplement projection in terms of projection. $)
  pjopt $p |- ( ( H e. CH /\ A e. H~ ) ->
           ( ( proj ` ( _|_ ` H ) ) ` A ) = ( A -h ( ( proj ` H ) ` A ) ) ) $=
    ( cch wcel chil wa cpj cfv cmv co cort wceq cva axpjpjt eqcomd wb
    hvsubaddt pm3.27 pjhclt chocclt sylan syl3anc mpbird ) BCDZAEDZFZAABGHHZIJZ
    ABKHZGHHZUFUHUJLZUGUJMJZALZUFAULABNOUEUGEDUJEDZUKUMPUFAUGUJQUDUERABSUICDUEU
    NUDAUISBTUAUBUCO $.
    $( [5-Nov-1999] $)

  $( Projection in terms of orthocomplement projection. $)
  pjpot $p |- ( ( H e. CH /\ A e. H~ ) ->
           ( ( proj ` H ) ` A ) = ( A -h ( ( proj ` ( _|_ ` H ) ) ` A ) ) ) $=
    ( cch wcel chil wa cort cfv cpj cmv co wceq cva ax-hvcom pjhclt chocclt
    sylan sylanc axpjpjt eqtr4d wb hvsubaddt pm3.27 syl3anc mpbird eqcomd ) BCD
    ZAEDZFZAABGHZIHHZJKZABIHHZUIULUMLZUKUMMKZALZUIUOUMUKMKZAUKEDZUMEDZUOUQLUIUK
    UMNUJCDUHURUGAUJOBPQZABOZRABSTUHURUSUNUPUAUIAUKUMUBUGUHUCUTVAUDUEUF $.
    $( [5-Nov-1999] $)

  ${
    pjop.1 $e |- H e. CH $.
    pjop.2 $e |- A e. H~ $.
    $( Orthocomplement projection in terms of projection. $)
    pjop $p |- ( ( proj ` ( _|_ ` H ) ) ` A ) =
               ( A -h ( ( proj ` H ) ` A ) ) $=
      ( cch wcel chil cort cfv cpj cmv co wceq pjopt mp2an ) BEFAGFABHIJIIAABJI
      IKLMCDABNO $.
      $( [31-Oct-1999] $)

    $( Projection in terms of orthocomplement projection. $)
    pjpo $p |- ( ( proj ` H ) ` A ) =
               ( A -h ( ( proj ` ( _|_ ` H ) ) ` A ) ) $=
      ( cch wcel chil cpj cfv cort cmv co wceq pjpot mp2an ) BEFAGFABHIIAABJIHI
      IKLMCDABNO $.
      $( [31-Oct-1999] $)

    $( Projection of a vector in the orthocomplement of the projection
       subspace. $)
    pjoc1 $p |- ( A e. H <-> ( ( proj ` ( _|_ ` H ) ) ` A ) = 0h ) $=
      ( wcel cort cfv cpj c0v wceq c0h cin wa cmv co pjcli csh wi chshi
      shsubcltOLD ax-mp mpan2 pjop syl5eqel choccl jctir elin sylibr ocin
      syl6eleq elch0 sylib cva opreq2 pjpj syl5eq chil pjhcli ax-hvaddid
      syl6eq syl6eqel impbi ) ABEZABFGZHGGZIJZVCVEKEVFVCVEBVDLZKVCVEBEZVEVDEZMV
      EVGEVCVHVIVCAABHGGZNOZBVEVCVJBEZVKBEZABCDPZBQEZVCVLMVMRBCSZAVJBTUAUBABCDU
      CUDAVDBCUEDPUFVEBVDUGUHVOVGKJVPBUIUAUJVEUKULVFAVJBVFAVJIUMOZVJVFVJVEUMOVQ
      AVEIVJUMUNABCDUOUPVJUQEVQVJJABCDURVJUSUAUTVNVAVB $.
      $( [27-Oct-1999] $)

    $( Projection of a vector in the projection subspace.  Lemma 4.4(ii) of
       [Beran] p. 111. $)
    pjch $p |- ( A e. H <-> ( ( proj ` H ) ` A ) = A ) $=
      ( wcel cpj cfv wceq c0v cva co cort pjoc1 biimp opreq2d pjpj syl5req
      chil pjhcli ax-hvaddid ax-mp syl5eqr pjcli eleq1 mpbii impbi ) ABEZABFGGZ
      AHZUGUHIJKZAUHUGUHABLGFGGZJKUJAUGUKIUHJUGUKIHABCDMNOABCDPQUHREUJUHHABCDSU
      HTUAUBUIUHBEUGABCDUCUHABUDUEUF $.
      $( [27-Oct-1999] $)
  $}

  $( The part of a vector that belongs to the orthocomplemented space. $)
  pjocclt $p |- ( ( H e. CH /\ A e. H~ ) ->
          ( A -h ( ( proj ` H ) ` A ) ) e. ( _|_ ` H ) ) $=
    ( cch wcel chil wa cort cfv cpj cmv co pjopt axpjclt chocclt sylan
    eqeltrrd ) BCDZAEDZFABGHZIHHZAABIHHJKSABLSCDRTSDQASMBNOP $.
    $( [11-May-2006] $) $( [11-Apr-2006] $)

  $( Projection of a vector in the orthocomplement of the projection
     subspace. $)
  pjoc1t $p |- ( ( H e. CH /\ A e. H~ ) ->
               ( A e. H <-> ( ( proj ` ( _|_ ` H ) ) ` A ) = 0h ) ) $=
    ( cch wcel chil cort cfv cpj c0v wceq wb cif eleq2 fveq2 fveq2d fveq1d
    eqeq1d bibi12d eleq1 helch elimel ax-hv0cl pjoc1 dedth2h ) BCDZAEDZABDZABFG
    ZHGZGZIJZKAUEBELZDZAULFGZHGZGZIJZKUFAILZULDZURUOGZIJZKBAEIBULJZUGUMUKUQBULA
    MVBUJUPIVBAUIUOVBUHUNHBULFNOPQRAURJZUMUSUQVAAURULSVCUPUTIAURUONQRURULBECTUA
    AIEUBUAUCUD $.
    $( [6-Nov-1999] $)

  ${
    $d x A $.  $d x B $.
    pjoml.1 $e |- A e. CH $.
    pjoml.2 $e |- B e. SH $.
    $( Subspace form of orthomodular law in the Hilbert lattice.  Compare the
       orthomodular law in Theorem 2(ii) of [Kalmbach] p. 22.  Derived using
       projections; compare ~ omls . $)
    pjoml $p |- ( ( A (_ B /\ ( B i^i ( _|_ ` A ) ) = 0H ) -> A = B ) $=
      ( omls ) ABCDE $.
      $( [6-Nov-1999] $)
  $}

  $( Subspace form of orthomodular law in the Hilbert lattice.  Compare the
     orthomodular law in Theorem 2(ii) of [Kalmbach] p. 22.  Derived using
     projections; compare ~ omls . $)
  pjomlt $p |- ( ( ( A e. CH /\ B e. SH ) /\
               ( A (_ B /\ ( B i^i ( _|_ ` A ) ) = 0H ) ) -> A = B ) $=
    ( cch wcel csh wa wss cort cfv cin c0h wceq wi cif sseq1 fveq2 ineq2d
    eqeq1d anbi12d eqeq1 imbi12d sseq2 ineq1 eqeq2 h0elch elimel h0elsh pjoml
    dedth2h imp ) ACDZBEDZFABGZBAHIZJZKLZFZABLZUKULUQURMUKAKNZBGZBUSHIZJZKLZFZU
    SBLZMUSULBKNZGZVFVAJZKLZFZUSVFLZMABKKAUSLZUQVDURVEVLUMUTUPVCAUSBOVLUOVBKVLU
    NVABAUSHPQRSAUSBTUABVFLZVDVJVEVKVMUTVGVCVIBVFUSUBVMVBVHKBVFVAUCRSBVFUSUDUAU
    SVFAKCUEUFBKEUGUFUHUIUJ $.
    $( [14-Jun-2006] $) $( [14-Jun-2006] $)

  ${
    pjococ.1 $e |- H e. CH $.
    $( Proof of orthocomplement theorem using projections.  Compare ~ococ . $)
    pjococ $p |- ( _|_ ` ( _|_ ` H ) ) = H $=
      ( ococ ) ABC $.
      $( [5-Nov-1999] $)
  $}

  ${
    pjoc2.1 $e |- H e. CH $.
    pjoc2.2 $e |- A e. H~ $.
    $( Projection of a vector in the orthocomplement of the projection
       subspace.  Lemma 4.4(iii) of [Beran] p. 111. $)
    pjoc2 $p |- ( A e. ( _|_ ` H ) <-> ( ( proj ` H ) ` A ) = 0h ) $=
      ( cort cfv wcel cpj c0v wceq choccl pjoc1 pjococ fveq2i fveq1i eqeq1i
      bitr ) ABEFZGAREFZHFZFZIJABHFZFZIJARBCKDLUAUCIATUBSBHBCMNOPQ $.
      $( [27-Oct-1999] $)
  $}

  $( Projection of a vector in the orthocomplement of the projection
     subspace.  Lemma 4.4(iii) of [Beran] p. 111. $)
  pjoc2t $p |- ( ( H e. CH /\ A e. H~ ) ->
               ( A e. ( _|_ ` H ) <-> ( ( proj ` H ) ` A ) = 0h ) ) $=
    ( cch wcel chil cort cfv cpj c0v wceq wb c0h cif fveq2 eleq2d fveq1d
    eqeq1d bibi12d eleq1 h0elch elimel ax-hv0cl pjoc2 dedth2h ) BCDZAEDZABFGZDZ
    ABHGZGZIJZKAUEBLMZFGZDZAULHGZGZIJZKUFAIMZUMDZURUOGZIJZKBALIBULJZUHUNUKUQVBU
    GUMABULFNOVBUJUPIVBAUIUOBULHNPQRAURJZUNUSUQVAAURUMSVCUPUTIAURUONQRURULBLCTU
    AAIEUBUAUCUD $.
    $( [13-May-2006] $) $( [24-Apr-2006] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                Subspace sum, span, lattice join, lattice supremum
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w v u $.
    $( Define subspace sum in ` SH ` .  See ~ shsumvalt , ~ shsumval2 , and
       ~ shsumval3 for its value. $)
    df-shsum $a |- +H = { <. <. x , y >. , z >. | ( ( x e. SH /\ y e. SH ) /\
                 z = { w e. H~ | E. v e. x E. u e. y w = ( v +h u ) } ) } $.

    $( Define the linear span of a subset of Hilbert space.  Definition
       of span in [Schechter] p. 276.  See ~ spanvalt for its value. $)
    df-span $a |- span = { <. x , y >. | ( x (_ H~ /\
                   y = |^| { z e. SH | x (_ z } ) } $.

    $( Define Hilbert lattice join.  See ~ chjvalt for its value and
       ~ chjclt for its closure law.  Note that we define it over all Hilbert
       space subsets to allow proving more general theorems.  Even for general
       subsets the join belongs to ` CH ` ; see ~ sshjclt .  For an alternate
       definition see ~ dfchj2 . $)
    df-chj $a |- vH = { <. <. x , y >. , z >. | ( ( x (_ H~ /\ y (_ H~ ) /\
               z = ( _|_ ` ( _|_ ` ( x u. y ) ) ) ) } $.

    $( Define the supremum of a set of Hilbert lattice elements.  See
       ~ chsupval2t for its value and ~ dfchsup2 for an alternate definition.
       We actually define the supremum for an arbitrary collection of Hilbert
       space subsets, not just elements of the Hilbert lattice ` CH ` , to
       allow more general theorems.  Even for general subsets the supremum
       still a Hilbert lattice element; see ~ hsupclt . $)
    df-chsup $a |- \/H = { <. x , y >. | ( x (_ P~ H~ /\
                   y = ( _|_ ` ( _|_ ` U. x ) ) ) } $.

  $}

  ${
    $d x y z w f g v u A $.  $d x y z w f g v u B $.  $d x y z C $.
    $d x y D $.
    $( Value of subspace sum of two Hilbert space subspaces.  Definition of
       subspace sum in [Kalmbach] p. 65. $)
    shsumvalt $p |- ( ( A e. SH /\ B e. SH ) -> ( A +H B ) =
        { x e. H~ | E. y e. A E. z e. B x = ( y +h z ) } ) $=
      ( vw vv vu csh cv cva co wceq wrex chil crab cph ax-hilex rabex rexeq1
      rabbisdv rexbidv df-shsum oprabval2 ) FGHDEIIAJBJCJKLMZCGJZNZBFJZNZAOPUEC
      ENZBDNZAOPQUGBDNZAOPUKAORSUHDMUIULAOUGBUHDTUAUFEMZULUKAOUMUGUJBDUECUFETUB
      UAFGHABCUCUD $.
      $( [16-Oct-1999] $)

    $( Membership in the subspace sum of two Hilbert subspaces. $)
    shselt $p |- ( ( A e. SH /\ B e. SH ) -> ( C e. ( A +H B ) <->
                 E. x e. A E. y e. B C = ( x +h y ) ) ) $=
      ( vz csh wcel wa cph co chil cv cva wceq wrex crab shsumvalt eleq2d
      eqeq1 2rexbidv elrab syl6bb wi shss sseld im2anan9 hvaddclt eleq1a syl
      syl6 r19.23advv pm4.71rd bitr4d ) CGHZDGHZIZECDJKZHZELHZEAMZBMZNKZOZBDPAC
      PZIZVEUQUSEFMZVCOZBDPACPZFLQZHVFUQURVJEFABCDRSVIVEFELVGEOVHVDABCDVGEVCTUA
      UBUCUQVEUTUQVDUTABCDUQVACHZVBDHZIVALHZVBLHZIZVDUTUDZUOVKVMUPVLVNUOCLVACUE
      UFUPDLVBDUEUFUGVOVCLHVPVAVBUHVCLEUIUJUKULUMUN $.
      $( [16-Dec-2004] $) $( [14-Dec-2004] $)

    $( Membership in the subspace sum of two Hilbert subspaces, using vector
       subtraction. $)
    shsel3t $p |- ( ( A e. SH /\ B e. SH ) -> ( C e. ( A +H B ) <->
                 E. x e. A E. y e. B C = ( x -h y ) ) ) $=
      ( vz csh wcel wa cph co cv cva wceq wrex cmv shselt c1 cneg csm id chil
      hvaddsubvalt shelt syl2an an4s anassrs sylan9eqr opreq2 eqeq2d rcla4ev
      cc ax1cn negcl shmulclt mp3an2 adantll adantlr sylan syldan ex
      r19.23adva hvsubvalt impbid rexbidva bitrd ) CGHZDGHZIZECDJKHEALZFLZMKZNZ
      FDOZACOEVJBLZPKZNZBDOZACOAFCDEQVIVNVRACVIVJCHZIZVNVRVTVMVRFDVTVKDHZIZVMVR
      WBVMEVJRSZVKTKZPKZNZVRVMWBEVLWEVMUAVIVSWAVLWENZVGVSVHWAWGVJUBHZVKUBHWGVGV
      SIZVHWAIVJVKUCVJCUDZVKDUDUEUFUGUHWDDHZWFVRWBVQWFBWDDVOWDNVPWEEVOWDVJPUIUJ
      UKVIWAWKVSVHWAWKVGVHWCULHZWAWKRUMUNZWCVKDUOUPUQURUSUTVAVBVTVQVNBDVTVODHZI
      ZVQVNWOVQEVJWCVOTKZMKZNZVNVQWOEVPWQVQUAVIVSWNVPWQNZVGVSVHWNWSWHVOUBHWSWIV
      HWNIVJVOVCWJVODUDUEUFUGUHWPDHZWRVNWOVMWRFWPDVKWPNVLWQEVKWPVJMUIUJUKVIWNWT
      VSVHWNWTVGVHWLWNWTWMWCVODUOUPUQURUSUTVAVBVDVEVF $.
      $( [23-Feb-2007] $) $( [20-Jan-2007] $)

    ${
      shscl.1 $e |- A e. SH $.
      shscl.2 $e |- B e. SH $.
      $( Membership in subspace sum. $)
      shsel $p |- ( C e. ( A +H B ) <-> E. x e. A E. y e. B C = ( x +h y ) ) $=
        ( csh wcel cph co cv cva wceq wrex wb shselt mp2an ) CHIDHIECDJKIEALBLM
        KNBDOACOPFGABCDEQR $.
        $( [4-May-2000] $)

      $( Closure of subspace sum. $)
      shscl $p |- ( A +H B ) e. SH $=
        ( vx vy vz vw vv vu vf vg cph co csh wcel chil wss c0v wa cv cva wral
        csm cc sh wceq wrex crab shsumvalt mp2an ssrab2 eqsstr sh0 ax-mp
        ax-hv0cl hvaddid2 eqcomi rcla4eopr mp3an shsel mpbir pm3.2i wi
        shaddcltOLD ad2ant2r ad2ant2l opreq12 hvadd4t shel anim12i syl2an an4s
        eqtr4d syl3anc ancoms exp43 r19.23aivv com3l imp anbi12i 3imtr4 rgen2a
        shmulclt mp3an1 adantrr adantrl opreq2 adantl ad2antll ax-hvdistr1 id
        syl3an 3expb adantrrr eqtrd exp42 impcom anbi2i rgen2 mpbir2an ) ABMNZO
        PXBQRZSXBPZTEUAZFUAZUBNZXBPZFXBUCEXBUCZXEXFUDNZXBPZFXBUCEUEUCZTEFXBUFXC
        XDXBGUAZXGUGFBUHEAUHZGQUIZQAOPZBOPZXBXOUGCDGEFABUJUKXNGQULUMXDSXGUGFBUH
        EAUHZSAPZSBPZSSSUBNZUGXRXPXSCAUNUOXQXTDBUNUOYASSUPUQUREFABSSSUBUSUTEFAB
        SCDVAVBVCXIXLXHEFXBXEXMHUAZUBNZUGZHBUHGAUHZXFIUAZJUAZUBNZUGZJBUHIAUHZTX
        GKUALUAUBNZUGLBUHKAUHZXEXBPZXFXBPZTXHYEYJYLYDYJYLVDGHABYJXMAPZYBBPZTZYD
        YLYIYQYDYLVDVDIJABYFAPZYGBPZTZYIYQYDYLYQYDTZYTYITZYLXMYFUBNZAPZYBYGUBNZ
        BPZXGUUCUUEUBNZUGYLUUAUUBTZKLABUUCUUEXGUBUSYQYTUUDYDYIYOYRUUDYPYSXPYOYR
        TZUUDVDCXMYFAVEUOVFVFYQYTUUFYDYIYPYSUUFYOYRXQYPYSTZUUFVDDYBYGBVEUOVGVFU
        UHXGYCYHUBNZUUGYDYIXGUUKUGYQYTXEYCXFYHUBVHVGYQYTUUGUUKUGZYDYIYOYRYPYSUU
        LXMQPZYFQPZTYBQPZYGQPZTUULUUIUUJXMYFYBYGVIYOUUMYRUUNXMACVJYFACVJZVKYPUU
        OYSUUPYBBDVJYGBDVJZVKVLVMVFVNVOVPVQVRVSVRVTYMYEYNYJGHABXECDVAIJABXFCDVA
        ZWAKLABXGCDVAWBWCXKEFUEXBXEUEPZYJTXJYKUGLBUHKAUHZUUTYNTXKYJUUTUVAYIUUTU
        VAVDZIJABYRYSYIUVBVDYRYSYIUUTUVAUUTYRYSYITZTZUVAXEYFUDNZAPZXEYGUDNZBPZX
        JUVEUVGUBNZUGUVAUUTUVDTZKLABUVEUVGXJUBUSUUTYRUVFUVCXPUUTYRUVFCXEYFAWDWE
        WFUUTUVCUVHYRUUTYSUVHYIXQUUTYSUVHDXEYGBWDWEWFWGUVJXJXEYHUDNZUVIUVCXJUVK
        UGZUUTYRYIUVLYSXFYHXEUDWHWIWJUUTYRYSUVKUVIUGZYIUUTYRYSUVMUUTUUNUUPUVMUU
        TYRYSXEYFYGWKUUTWLUUQUURWMWNWOWPVOVPWQVTVRWRYNYJUUTUUSWSKLABXJCDVAWBWTV
        CXA $.
        $( [15-Oct-1999] $)
    $}

    $( Closure of subspace sum. $)
    shsclt $p |- ( ( A e. SH /\ B e. SH ) -> ( A +H B ) e. SH ) $=
      ( csh wcel cph co chil cif wceq opreq1 eleq1d opreq2 helsh elimel shscl
      dedth2h ) ACDZBCDZABEFZCDQAGHZBEFZCDTRBGHZEFZCDABGGATISUACATBEJKBUBIUAUCC
      BUBTELKTUBAGCMNBGCMNOP $.
      $( [3-Jan-2005] $) $( [15-Dec-2004] $)

    $( Commutative law for subspace sum. $)
    shscomt $p |- ( ( A e. SH /\ B e. SH ) -> ( A +H B ) = ( B +H A ) ) $=
      ( vx vy vz csh wcel wa cph co cv cva wceq wrex chil shelt anim12i an4s
      ax-hvcom syl eqeq2d 2rexbidva rexcom syl6bb shselt wb ancoms 3bitr4d
      eqrdv ) AFGZBFGZHZCABIJZBAIJZULCKZDKZEKZLJZMZEBNDANZUOUQUPLJZMZDANEBNZUOU
      MGUOUNGZULUTVBEBNDANVCULUSVBDEABULUPAGZUQBGZHHZURVAUOVGUPOGZUQOGZHZURVAMU
      JVEUKVFVJUJVEHVHUKVFHVIUPAPUQBPQRUPUQSTUAUBVBDEABUCUDDEABUOUEUKUJVDVCUFED
      BAUOUEUGUHUI $.
      $( [17-Dec-2004] $) $( [15-Dec-2004] $)

    $( Vector sum belongs to subspace sum. $)
    shsvat $p |- ( ( A e. SH /\ B e. SH ) -> ( ( C e. A /\ D e. B ) ->
                 ( C +h D ) e. ( A +H B ) ) ) $=
      ( vx vy csh wcel wa cva co cph cv wceq wrex shselt eqid rcla4eopr mp3an3
      syl5bir ) AGHBGHICDJKZABLKHUAEMFMJKNFBOEAOZCAHZDBHZIEFABUAPUCUDUAUANUBUAQ
      EFABCDUAJRST $.
      $( [17-Dec-2004] $) $( [15-Dec-2004] $)

    $( A subspace sum contains a member of one of its subspaces. $)
    shsel1t $p |- ( ( A e. SH /\ B e. SH ) ->
                  ( C e. A -> C e. ( A +H B ) ) ) $=
      ( csh wcel wa cph co c0v cva wceq chil shelt ax-hvaddid syl adantlr sh0
      adantl shsvat mpan2d imp eqeltrrd ex ) ADEZBDEZFZCAEZCABGHZEUFUGFCIJHZCUH
      UDUGUICKZUEUDUGFCLEUJCAMCNOPUFUGUIUHEZUFUGIBEZUKUEULUDBQRABCISTUAUBUC $.
      $( [17-Dec-2004] $) $( [15-Dec-2004] $)

    $( A subspace sum contains a member of one of its subspaces. $)
    shsel2t $p |- ( ( A e. SH /\ B e. SH ) ->
                 ( C e. B -> C e. ( A +H B ) ) ) $=
      ( csh wcel wa cph co wi shsel1t ancoms shscomt eleq2d sylibrd ) ADEZBDEZF
      ZCBEZCBAGHZEZCABGHZEPORTIBACJKQUASCABLMN $.
      $( [17-Dec-2004] $) $( [15-Dec-2004] $)

    $( Vector subtraction belongs to subspace sum. $)
    shsvst $p |- ( ( A e. SH /\ B e. SH ) ->
                ( ( C e. A /\ D e. B ) -> ( C -h D ) e. ( A +H B ) ) ) $=
      ( csh wcel wa cph co cmv wi shsclt shsubcltOLD syl shsel1t shsel2t
      syl2and ) AEFBEFGZCABHIZFZDSFZCDJISFZCAFDBFRSEFTUAGUBKABLCDSMNABCOABDPQ
      $.
      $( [3-Jan-2005] $) $( [15-Dec-2004] $)

    $( Subspace sum is an upper bound of its arguments. $)
    shsub1t $p |- ( ( A e. SH /\ B e. SH ) -> A (_ ( A +H B ) ) $=
      ( vx csh wcel wa cph co cv shsel1t ssrdv ) ADEBDEFCAABGHABCIJK $.
      $( [16-Dec-2004] $) $( [14-Dec-2004] $)

    $( Subspace sum is an upper bound of its arguments. $)
    shsub2t $p |- ( ( A e. SH /\ B e. SH ) -> A (_ ( B +H A ) ) $=
      ( csh wcel wa cph co shsub1t shscomt sseqtrd ) ACDBCDEAABFGBAFGABHABIJ $.
      $( [21-Dec-2004] $) $( [17-Dec-2004] $)

    $( The orthocomplement of the zero subspace is the unit subspace. $)
    choc0 $p |- ( _|_ ` 0H ) = H~ $=
      ( vx vy c0h cort cfv chil cv wcel csp co cc0 wceq wral wa wi abai csh wb
      h0elsh shocelt ax-mp c0v hi02t wal df-ral elch0 imbi1i albii ax-hv0cl
      elisseti opreq2 eqeq1d ceqsalv 3bitr sylibr biantru 3bitr4 eqriv ) ACDEZF
      AGZFHZUTBGZIJZKLZBCMZNZVAVAVEOZNUTUSHZVAVAVEPCQHVHVFRSBUTCTUAVGVAVAUTUBIJ
      ZKLZVEUTUCVEVBCHZVDOZBUDVBUBLZVDOZBUDVJVDBCUEVLVNBVKVMVDVBUFUGUHVDVJBUBUB
      FUIUJVMVCVIKVBUBUTIUKULUMUNUOUPUQUR $.
      $( [15-Oct-1999] $)

    $( The orthocomplement of the unit subspace is the zero subspace.  Does
       not require Axiom of Choice. $)
    choc1 $p |- ( _|_ ` H~ ) = 0H $=
      ( vx vy chil cort cfv c0h cv wcel c0v wceq csp co cc0 wral csh wa wb
      helsh shocelt ax-mp pm3.27bi wss shocss sseli hial0 syl mpbid elch0
      sylibr ssriv h0elsh shococss choc0 fveq2i sseqtr eqssi ) CDEZFAUQFAGZUQHZ
      URIJZURFHUSURBGKLMJBCNZUTUSURCHZVACOHZUSVBVAPQRBURCSTUAUSVBVAUTQUQCURVCUQ
      CUBRCUCTUDBURUEUFUGURUHUIUJFFDEZDEZUQFOHFVEUBUKFULTVDCDUMUNUOUP $.
      $( [24-Oct-1999] $)

    ${
      $d x y $.
      $( Orthogonal complement of the empty set. $)
      chocnul $p |- ( _|_ ` (/) ) = H~ $=
        ( vx vy c0 cort cfv chil cv wcel csp co cc0 wceq wral wss wa wb 0ss
        ocelt ax-mp ral0 mpbiran2 eqriv ) ACDEZFAGZUCHZUDFHZUDBGIJKLZBCMZCFNUEU
        FUHOPFQBUDCRSUGBTUAUB $.
        $( [31-Oct-2000] $)
    $}

    ${
      shintcl.1 $e |- ( A (_ SH /\ A =/= (/) ) $.
      $( Closure of intersection of a non-empty subset of ` SH ` . $)
      shintcl $p |- |^| A e. SH $=
        ( vx vy vz cint csh wcel chil wss c0v wa cv cva co wral csm cc sh c0
        wne pm3.27i wex ne0 intss1 pm3.26i sseli shss syl sstrd 19.23aiv sylbi
        ax-mp ax-hv0cl elisseti elint2 sh0 mprgbir pm3.2i shaddclt syl3an1
        3expib elinti com12 syl2and r19.21aiv oprex sylibr rgen2a shmulclt
        sylan2d rgen2 mpbir2an ) AFZGHVNIJZKVNHZLCMZDMZNOZVNHZDVNPCVNPZVQVRQOZV
        NHZDVNPCRPZLCDVNSVOVPATUAZVOAGJZWEBUBWEEMZAHZEUCVOEAUDWHVOEWHVNWGIWGAUE
        WHWGGHZWGIJAGWGWFWEBUFUGZWGUHUIUJUKULUMVPKWGHZEAEKAKIUNUOUPWHWIWKWJWGUQ
        UIURUSWAWDVTCDVNVQVNHZVRVNHZLZVSWGHZEAPVTWNWOEAWHWNWOWHVQWGHZVRWGHZWOWL
        WMWHWPWQWOWIWPWQWOWHVQVRWGUTWJVAVBWLWHWPVQAWGVCVDWMWHWQVRAWGVCVDZVEVDVF
        EVSAVQVRNVGUPVHVIWCCDRVNVQRHZWMLZWBWGHZEAPWCWTXAEAWHWTXAWHWSWQXAWMWHWSW
        QXAWIWSWQXAWHVQVRWGVJWJVAVBWRVKVDVFEWBAVQVRQVGUPVHVLUSVM $.
        $( [19-Jan-2007] $) $( [14-Oct-1999] $)
    $}

    $( The intersection of a non-empty set of subspaces is a subspace. $)
    shintclt $p |- ( ( A (_ SH /\ A =/= (/) ) -> |^| A e. SH ) $=
      ( csh wss c0 wne wa cint wcel cif wceq inteq eleq1d sseq1 neeq1 anbi12d
      ssid c0h h0elsh ne0i ax-mp pm3.2i elimhyp shintcl dedth ) ABCZADEZFZAGZBH
      UGABIZGZBHABAUIJZUHUJBAUIKLUIUGUIBCZUIDEZFBBCZBDEZFABUKUEULUFUMAUIBMAUIDN
      OBUIJUNULUOUMBUIBMBUIDNOUNUOBPQBHUORBQSTUAUBUCUD $.
      $( [20-May-2007] $) $( [2-Jun-2004] $)

    ${
      chintcl.1 $e |- ( A (_ CH /\ A =/= (/) ) $.
      $( The intersection of a non-empty set of closed subspaces is a
         closed subspace. $)
      chintcl $p |- |^| A e. CH $=
        ( vf vx vy cint cch wcel csh cn cv wf chli wbr wa wi wal closedsub wss
        c0 wne pm3.26i chsssh sstri pm3.27i pm3.2i shintcl wral visset chlim
        3exp com3r sseli syl5 imp r19.20dva fint elint2 3imtr4g impcom gen2
        mpbir2an ) AFZGHVCIHJVCCKZLZVDDKZMNZOVFVCHZPZDQCQDCVCRAAISATUAZAGIAGSZV
        JBUBZUCUDVKVJBUEZUFUGVICDVGVEVHVGJEKZVDLZEAUHVFVNHZEAUHVEVHVGVOVPEAVGVN
        AHZVOVPPZVGVNGHZVRVQVSVOVGVPVSVOVGVPVFVDVNDUIZUJUKULAGVNVLUMUNUOUPEJAVD
        VMUQEVFAVTURUSUTVAVB $.
        $( [23-Jan-2007] $) $( [14-Oct-1999] $)
    $}

    $( The intersection (infimum) of a non-empty subset of ` CH ` belongs
       to ` CH ` .  Part of Theorem 3.13 of [Beran] p. 108.  Also part of
       Definition 3.4-1 in [MegillPavicic] p. 2345 (PDF p. 8). $)
    chintclt $p |- ( ( A (_ CH /\ A =/= (/) ) -> |^| A e. CH ) $=
      ( cch wss c0 wne wa cint wcel cif wceq inteq eleq1d sseq1 neeq1 anbi12d
      ssid c0h h0elch ne0i ax-mp pm3.2i elimhyp chintcl dedth ) ABCZADEZFZAGZBH
      UGABIZGZBHABAUIJZUHUJBAUIKLUIUGUIBCZUIDEZFBBCZBDEZFABUKUEULUFUMAUIBMAUIDN
      OBUIJUNULUOUMBUIBMBUIDNOUNUOBPQBHUORBQSTUAUBUCUD $.
      $( [26-Feb-2007] $) $( [14-Oct-1999] $)

    $( The double complement is the smallest closed subspace containing
       a subset of Hilbert space.  Remark 3.12(B) of [Beran] p. 107. $)
    ococint $p |- ( A (_ H~ ->
                  ( _|_ ` ( _|_ ` A ) ) = |^| { x e. CH | A (_ x } ) $=
      ( chil wss cort cfv cv cch crab cint wa occont wcel helch jctl sseq2
      elrab sylibr intss1 ocss 3syl jca ssintub wi syl mpdan mpi sylc c0 wne
      wceq wrex rcla4ev mpan rabn0 ssrab2 jctil chintclt ococt sseqtrd occlt
      ococss eqssd ) BCDZBEFZEFZBAGZDZAHIZJZVDVFVJEFZEFZVJVKCDZVECDZKVKVEDZVFVL
      DVDVKVELVDVMVNVDCVIMZVJCDZVMVDCHMZVDKVPVDVRNOVHVDACHVGCBPZQRZCVISZVJTUABT
      ZUBVDBVJDZVOABHUCVDVQWCVOUDVDVPVQVTWAUEBVJLUFUGUHVDVIHDZVIUIUJZKVJHMVLVJU
      KVDWEWDVDVHAHULZWEVRVDWFNVHVDACHVSUMUNVHAHUORVHAHUPUQVIURVJUSUAUTVDVFVIMZ
      VJVFDVDVFHMZBVFDZKWGVDWHWIVDVNWHWBVEVAUEBVBUBVHWIAVFHVGVFBPQRVFVISUEVC $.
      $( [8-Aug-2000] $)

    $( Alternate definition of supremum of a subset of the Hilbert lattice.
       Definition in Proposition 1 of [Kalmbach] p. 65.  We actually define it
       on any collection of Hilbert space subsets, not just the Hilbert lattice
       ` CH ` , to allow more general theorems. $)
    dfchsup2 $p |- \/H = { <. x , y >. | ( x (_ P~ H~ /\
                   y = |^| { z e. CH | U. x (_ z } ) } $=
      ( chsup cv chil cpw wss cuni cort cfv wceq wa copab cch crab cint
      df-chsup uniss unipw syl6ss ococint syl eqeq2d pm5.32i opabbii eqtr ) DAE
      ZFGZHZBEZUHIZJKJKZLZMZABNUJUKULCEHCOPQZLZMZABNABRUOURABUJUNUQUJUMUPUKUJUL
      FHUMUPLUJULUIIFUHUISFTUACULUBUCUDUEUFUG $.
      $( [9-Dec-2003] $) $( [9-Dec-2003] $)

    $( Value of the linear span of a subset of Hilbert space.  The span is the
       intersection of all subspaces constraining the subset.  Definition
       of span in [Schechter] p. 276. $)
    spanvalt $p |- ( A (_ H~ -> ( span ` A ) = |^| { x e. SH | A (_ x } ) $=
      ( vy vz chil wss cpw wcel cspn cfv cv csh crab cint wceq ax-hilex elpw2
      cvv wrex helsh sseq2 rcla4ev mpan sylbi intexrab sylib sseq1 rabbisdv
      inteqd wa copab df-span anbi1i opabbii eqtr4 fvopab4g mpdan sylbir ) BEFZ
      BEGZHZBIJBAKZFZALMZNZOZBEPQZVAVERHZVFVAVCALSZVHVAUSVIVGELHUSVITVCUSAELVBE
      BUAUBUCUDVCALUEUFCDBCKZVBFZALMZNZVEUTRIVJBOZVLVDVNVKVCALVJBVBUGUHUIIVJEFZ
      DKVMOZUJZCDUKVJUTHZVPUJZCDUKCDAULVSVQCDVRVOVPVJEPQUMUNUOUPUQUR $.
      $( [3-Jun-2004] $) $( [2-Jun-2004] $)

    $( Value of supremum of set of subsets of Hilbert space.  Definition of
       supremum in Proposition 1 of [Kalmbach] p. 65. $)
    hsupval2t $p |- ( A (_ P~ H~ ->
                    ( \/H ` A ) = |^| { x e. CH | U. A (_ x } ) $=
      ( vy vz chil cpw wcel cuni cv wss cch crab cint cvv chsup cfv wceq unieq
      sseq1d rabbisdv inteqd wa copab dfchsup2 ax-hilex pwex elpw2 anbi1i
      opabbii eqtr4 fvopab4g biimpr c0 wne uniss unipw syl6ss helch jctil
      sseq2 elrab sylibr ne0i syl intex sylib sylanc ) BEFZFZGZBHZAIZJZAKLZMZNG
      ZBOPVOQBVHJZCDBCIZHZVLJZAKLZMZVOVINOVRBQZWAVNWCVTVMAKWCVSVKVLVRBRSTUAOVRV
      HJZDIWBQZUBZCDUCVRVIGZWEUBZCDUCCDAUDWHWFCDWGWDWEVRVHEUEUFZUGUHUIUJUKVJVQB
      VHWIUGULVQVNUMUNZVPVQEVNGZWJVQEKGZVKEJZUBWKVQWMWLVQVKVHHEBVHUOEUPUQURUSVM
      WMAEKVLEVKUTVAVBVNEVCVDVNVEVFVG $.
      $( [13-Aug-2002] $)

    $( Value of supremum of set of subsets of Hilbert space.  For an alternate
       version of the value, see ~ hsupval2t . $)
    hsupvalt $p |- ( A (_ P~ H~ -> ( \/H ` A ) = ( _|_ ` ( _|_ ` U. A ) ) ) $=
      ( vx chil cpw wss chsup cfv cuni cv cch crab cint cort hsupval2t wceq
      uniss unipw syl6ss ococint syl eqtr4d ) ACDZEZAFGAHZBIEBJKLZUDMGMGZBANUCU
      DCEUFUEOUCUDUBHCAUBPCQRBUDSTUA $.
      $( [9-Dec-2003] $) $( [9-Dec-2003] $)

    $( The value of the supremum of a set of closed subspaces of Hilbert space.
       Definition of supremum in Proposition 1 of [Kalmbach] p. 65. $)
    chsupval2t $p |- ( A (_ CH ->
                    ( \/H ` A ) = |^| { x e. CH | U. A (_ x } ) $=
      ( cch wss chil cpw chsup cfv cuni cv crab cint wceq chsspwh sstr2 mpi
      hsupval2t syl ) BCDZBEFZDZBGHBIAJDACKLMSCTDUANBCTOPABQR $.
      $( [13-Aug-2002] $)

    $( The value of the supremum of a set of closed subspaces of Hilbert space.
       For an alternate version of the value, see ~ chsupval2t . $)
    chsupvalt $p |- ( A (_ CH -> ( \/H ` A ) = ( _|_ ` ( _|_ ` U. A ) ) ) $=
      ( cch wss chil cpw chsup cfv cuni cort wceq chsspwh sstr2 mpi hsupvalt
      syl ) ABCZADEZCZAFGAHIGIGJPBQCRKABQLMANO $.
      $( [13-Aug-2002] $)

    $( The span of a subset of Hilbert space is a subspace. $)
    spanclt $p |- ( A (_ H~ -> ( span ` A ) e. SH ) $=
      ( vx chil wss cspn cfv cv csh crab cint spanvalt c0 wne wa wcel wrex
      helsh sseq2 rcla4ev mpan rabn0 sylibr ssrab2 jctil shintclt syl eqeltrd
      ) ACDZAEFABGZDZBHIZJZHBAKUHUKHDZUKLMZNULHOUHUNUMUHUJBHPZUNCHOUHUOQUJUHBCH
      UICARSTUJBHUAUBUJBHUCUDUKUEUFUG $.
      $( [9-Jun-2004] $) $( [2-Jun-2004] $)

    $( A member of a span is a vector. $)
    elspanclt $p |- ( ( A (_ H~ /\ B e. ( span ` A ) ) -> B e. H~ ) $=
      ( cspn cfv csh wcel chil wss shelt spanclt sylan ) ACDZEFBLFBGFAGHBLIAJK
      $.
      $( [21-Dec-2004] $) $( [17-Dec-2004] $)

    $( Closure of the subspace supremum of set of subsets of Hilbert space. $)
    shsupclt $p |- ( A (_ P~ H~ -> ( span ` U. A ) e. SH ) $=
      ( chil cpw wss cuni cspn cfv csh wcel uniss unipw syl6ss spanclt syl ) AB
      CZDZAEZBDQFGHIPQOEBAOJBKLQMN $.
      $( [29-Nov-2004] $) $( [26-Nov-2004] $)

    $( Closure of supremum of set of subsets of Hilbert space.  Note that the
       supremum belongs to ` CH ` even if the subsets do not. $)
    hsupclt $p |- ( A (_ P~ H~ -> ( \/H ` A ) e. CH ) $=
      ( vx chil cpw wss chsup cfv cuni cv cch crab cint hsupval2t c0 wne wa
      wcel cvv fvex syl6eqelr intex sylibr ssrab2 jctil chintclt syl eqeltrd )
      ACDEZAFGZAHBIEZBJKZLZJBAMZUHUKJEZUKNOZPULJQUHUOUNUHULRQUOUHULUIRUMAFSTUKU
      AUBUJBJUCUDUKUEUFUG $.
      $( [10-Nov-1999] $)

    $( Closure of supremum of subset of ` CH ` .  Definition of supremum in
       Proposition 1 of [Kalmbach] p. 65.  Shows that ` CH ` is a complete
       lattice.  Also part of Definition 3.4-1 in [MegillPavicic] p. 2345
       (PDF p. 8). $)
    chsupclt $p |- ( A (_ CH -> ( \/H ` A ) e. CH ) $=
      ( cch wss chil cpw chsup cfv wcel chsspwh sstr2 mpi hsupclt syl ) ABCZADE
      ZCZAFGBHNBOCPIABOJKALM $.
      $( [10-Nov-1999] $)

    $( Subset relation for supremum of Hilbert space subsets. $)
    hsupss $p |- ( ( A (_ P~ H~ /\ B (_ P~ H~ ) ->
                  ( A (_ B -> ( \/H ` A ) (_ ( \/H ` B ) ) ) $=
      ( vx chil cpw wss wa chsup cfv cuni cv cch crab cint wceq hsupval2t
      adantr adantl sseq12d wi wral wcel uniss sstr2 syl a1d r19.21aiv ss2rab
      sylibr intss syl5bir ) ADEZFZBULFZGZAHIZBHIZFAJZCKZFZCLMZNZBJZUSFZCLMZNZF
      ZABFZUOUPVBUQVFUMUPVBOUNCAPQUNUQVFOUMCBPRSVHVEVAFZVGVHVDUTTZCLUAVIVHVJCLV
      HVJUSLUBVHURVCFVJABUCURVCUSUDUEUFUGVDUTCLUHUIVEVAUJUEUK $.
      $( [26-Nov-2004] $) $( [24-Nov-2004] $)

    $( Subset relation for supremum of subset of ` CH ` . $)
    chsupss $p |- ( ( A (_ CH /\ B (_ CH ) ->
                  ( A (_ B -> ( \/H ` A ) (_ ( \/H ` B ) ) ) $=
      ( chil cpw wss chsup cfv wi cch hsupss chsspwh sstr2 mpi syl2an ) ACDZEZB
      OEZABEAFGBFGEHAIEZBIEZABJRIOEZPKAIOLMSTQKBIOLMN $.
      $( [13-Aug-2002] $)

    $( A subspace is the supremum of all smaller subspaces. $)
    chsupid $p |- ( A e. CH -> ( \/H ` { x e. CH | x (_ A } ) = A ) $=
      ( vy cch wcel cv wss crab cuni cint chsup cfv unimax sseq1d rabbisdv
      inteqd intmin eqtrd wceq ssrab2 chsupval2t ax-mp syl5eq ) BDEZAFBGZADHZIZ
      CFZGZCDHZJZBUFKLZUDUKBUHGZCDHZJBUDUJUNUDUIUMCDUDUGBUHABDMNOPCBDQRUFDGULUK
      SUEADTCUFUAUBUC $.
      $( [13-Aug-2002] $)

    $( Value of supremum of subset of ` CH ` on a singleton. $)
    chsupsn $p |- ( A e. CH -> ( \/H ` { A } ) = A ) $=
      ( vx cch wcel csn chsup cfv cuni cv wss crab cint wceq snssi chsupval2t
      syl wa unisng eqimss ancli sseq2 elrab sylibr intss1 ssintub sseq1d
      mpbii eqssd eqtrd ) ACDZAEZFGZUKHZBIZJZBCKZLZAUJUKCJULUQMACNBUKOPUJUQAUJA
      UPDZUQAJUJUJUMAJZQURUJUSUJUMAMUSACRZUMASPTUOUSBACUNAUMUAUBUCAUPUDPUJUMUQJ
      AUQJBUMCUEUJUMAUQUTUFUGUHUI $.
      $( [13-Aug-2002] $)

    $( The union of a set of Hilbert space subsets is smaller than its
       supremum. $)
    hsupunss $p |- ( A (_ P~ H~ -> U. A (_ ( \/H ` A ) ) $=
      ( vx chil cpw wss cuni chsup cfv cv cch crab cint ssintub hsupval2t
      sseq2d mpbiri ) ACDEZAFZAGHZERRBIEBJKLZEBRJMQSTRBANOP $.
      $( [26-Nov-2004] $) $( [24-Nov-2004] $)

    $( A subset of Hilbert space is included in its span. $)
    spanss2 $p |- ( A (_ H~ -> A (_ ( span ` A ) ) $=
      ( vx chil wss cspn cfv cv csh crab cint ssintub spanvalt sseq2d mpbiri )
      ACDZAAEFZDAABGDBHIJZDBAHKOPQABALMN $.
      $( [13-Jun-2004] $) $( [2-Jun-2004] $)

    $( The union of a set of subspaces is smaller than its supremum. $)
    shsupunss $p |- ( A (_ SH -> U. A (_ ( span ` U. A ) ) $=
      ( csh wss cuni chil cspn cfv cpw shsspwh sstr mpan2 uniss syl unipw
      syl6ss spanss2 ) ABCZADZECRRFGCQREHZDZEQASCZRTCQBSCUAIABSJKASLMENORPM $.
      $( [29-Nov-2004] $) $( [26-Nov-2004] $)

    $( The union of a set of closed subspaces is smaller than its supremum. $)
    chsupunss $p |- ( A (_ CH -> U. A (_ ( \/H ` A ) ) $=
      ( cch wss chil cpw cuni chsup cfv chsspwh sstr mpan2 hsupunss syl ) ABCZA
      DEZCZAFAGHCNBOCPIABOJKALM $.
      $( [14-Aug-2002] $)

    $( A subspace of Hilbert space is its own span. $)
    spanid $p |- ( A e. SH -> ( span ` A ) = A ) $=
      ( vx csh wcel cspn cfv cv wss crab cint chil wceq shss spanvalt syl
      intmin eqtrd ) ACDZAEFZABGHBCIJZARAKHSTLAMBANOBACPQ $.
      $( [13-Jun-2004] $) $( [2-Jun-2004] $)

    $( Ordering relationship for the spans of subsets of Hilbert space. $)
    spanss $p |- ( ( B (_ H~ /\ A (_ B ) -> ( span ` A ) (_ ( span ` B ) ) $=
      ( vx chil wss wa cv csh crab cint cspn cfv wi wral wcel sstr2 a1d
      r19.21aiv ss2rab sylibr intss syl adantl wceq sstr ancoms spanvalt
      adantr 3sstr4d ) BDEZABEZFZACGZEZCHIZJZBUMEZCHIZJZAKLZBKLZUKUPUSEZUJUKURU
      OEZVBUKUQUNMZCHNVCUKVDCHUKVDUMHOABUMPQRUQUNCHSTURUOUAUBUCULADEZUTUPUDUKUJ
      VEABDUEUFCAUGUBUJVAUSUDUKCBUGUHUI $.
      $( [13-Jun-2004] $) $( [2-Jun-2004] $)

    $( The span of a subset of Hilbert space is less than or equal to its
       closure (double orthogonal complement). $)
    spanssoc $p |- ( A (_ H~ -> ( span ` A ) (_ ( _|_ ` ( _|_ ` A ) ) ) $=
      ( chil wss cspn cfv cort spanss ocss syl ococss sylanc csh wcel wceq
      ocsh spanid 3syl sseqtrd ) ABCZADEZAFEZFEZDEZUBUBBCZAUBCTUCCSAUBGSUABCZUD
      AHZUAHIAJKSUEUBLMUCUBNUFUAOUBPQR $.
      $( [13-Jun-2004] $) $( [3-Jun-2004] $)

    $( Value of join for subsets of Hilbert space. $)
    sshjvalt $p |- ( ( A (_ H~ /\ B (_ H~ ) -> ( A vH B ) =
        ( _|_ ` ( _|_ ` ( A u. B ) ) ) ) $=
      ( vx vy vz chil cpw wcel chj co cun cort cfv wceq wss cv fvex uneq1
      fveq2d uneq2 wa copab2 df-chj ax-hilex elpw2 anbi12i anbi1i oprabbii
      eqtr4 oprabval2 syl2anbr ) AFGZHBULHABIJABKZLMZLMZNAFOBFOCDEABULULCPZDPZK
      ZLMZLMZUOIAUQKZLMZLMUNLQUPANZUSVBLVCURVALUPAUQRSSUQBNZVBUNLVDVAUMLUQBATSS
      IUPFOZUQFOZUAZEPUTNZUAZCDEUBUPULHZUQULHZUAZVHUAZCDEUBCDEUCVMVICDEVLVGVHVJ
      VEVKVFUPFUDUEUQFUDUEUFUGUHUIUJAFUDUEBFUDUEUK $.
      $( [1-Nov-2000] $)

    $( Value of join in ` SH ` . $)
    shjvalt $p |- ( ( A e. SH /\ B e. SH ) -> ( A vH B ) =
        ( _|_ ` ( _|_ ` ( A u. B ) ) ) ) $=
      ( chil wss chj co cun cort cfv wceq csh wcel sshjvalt shss syl2an ) ACDBC
      DABEFABGHIHIJAKLBKLABMANBNO $.
      $( [9-Aug-2000] $)

    $( Value of join in ` CH ` . $)
    chjvalt $p |- ( ( A e. CH /\ B e. CH ) -> ( A vH B ) =
        ( _|_ ` ( _|_ ` ( A u. B ) ) ) ) $=
      ( csh wcel chj co cun cort cfv wceq cch shjvalt chsh syl2an ) ACDBCDABEFA
      BGHIHIJAKDBKDABLAMBMN $.
      $( [9-Aug-2000] $)

    ${
      chjval.1 $e |- A e. CH $.
      chjval.2 $e |- B e. CH $.
      $( Value of join in ` CH ` . $)
      chjval $p |- ( A vH B ) = ( _|_ ` ( _|_ ` ( A u. B ) ) ) $=
        ( cch wcel chj co cun cort cfv wceq chjvalt mp2an ) AEFBEFABGHABIJKJKLC
        DABMN $.
        $( [9-Aug-2000] $)
    $}


    $( Alternate definition of join in the set of closed subspaces of
       Hilbert space ` CH ` . $)
    dfchj2 $p |- vH = { <. <. x , y >. , z >. | ( ( x (_ H~ /\ y (_ H~ ) /\
               z = |^| { w e. CH | ( x u. y ) (_ w } ) } $=
      ( chj cv chil wss wa cun cort cfv wceq copab2 cch crab cint df-chj unss
      ococint sylbi eqeq2d pm5.32i oprabbii eqtr ) EAFZGHBFZGHIZCFZUFUGJZKLKLZM
      ZIZABCNUHUIUJDFHDOPQZMZIZABCNABCRUMUPABCUHULUOUHUKUNUIUHUJGHUKUNMUFUGGSDU
      JTUAUBUCUDUE $.
      $( [1-Nov-2000] $)

    $( Alternate definition of join in the set of closed subspaces of Hilbert
       space ` CH ` :  the join is the supremum of its two arguments.  Based
       on the definition of join in [Beran] p. 3.  For later convenience we
       prove a general version that works for any subset of Hilbert space,
       not just the elements of the lattice ` CH ` . $)
    dfchj3 $p |- vH = { <. <. x , y >. , z >. | ( ( x (_ H~ /\ y (_ H~ ) /\
               z = ( \/H ` { x , y } ) ) } $=
      ( chj cv chil wss wa cun cort cfv wceq copab2 cpr chsup df-chj cuni cpw
      visset prsspw hsupvalt sylbir unipr fveq2i syl6req eqeq2d pm5.32i
      oprabbii eqtr ) DAEZFGBEZFGHZCEZUJUKIZJKZJKZLZHZABCMULUMUJUKNZOKZLZHZABCM
      ABCPURVBABCULUQVAULUPUTUMULUTUSQZJKZJKZUPULUSFRGUTVELUJUKFASZBSZTUSUAUBVD
      UOJVCUNJUJUKVFVGUCUDUDUEUFUGUHUI $.
      $( [3-Mar-2004] $) $( [2-Mar-2004] $)

    $( Value of join for subsets of Hilbert space in terms of supremum:  the
       join is the supremum of its two arguments.  Based on the definition of
       join in [Beran] p. 3. $)
    sshjval3t $p |- ( ( A (_ H~ /\ B (_ H~ ) -> ( A vH B ) =
                 ( \/H ` { A , B } ) ) $=
      ( vx vy vz chil cpw wcel chj co cpr chsup cfv wceq wss cv fvex preq1
      fveq2d preq2 wa copab2 dfchj3 ax-hilex elpw2 anbi12i anbi1i oprabbii
      eqtr4 oprabval2 syl2anbr ) AFGZHBULHABIJABKZLMZNAFOBFOCDEABULULCPZDPZKZLM
      ZUNIAUPKZLMUMLQUOANUQUSLUOAUPRSUPBNUSUMLUPBATSIUOFOZUPFOZUAZEPURNZUAZCDEU
      BUOULHZUPULHZUAZVCUAZCDEUBCDEUCVHVDCDEVGVBVCVEUTVFVAUOFUDUEUPFUDUEUFUGUHU
      IUJAFUDUEBFUDUEUK $.
      $( [14-Jun-2004] $) $( [2-Mar-2004] $)

    $( Closure of join for subsets of Hilbert space. $)
    sshjclt $p |- ( ( A (_ H~ /\ B (_ H~ ) -> ( A vH B ) e. CH ) $=
      ( chil wss wa chj co cun cort cfv cch sshjvalt wcel unss ocss occlt syl
      sylbi eqeltrd ) ACDBCDEZABFGABHZIJZIJZKABLTUACDZUCKMZABCNUDUBCDUEUAOUBPQR
      S $.
      $( [1-Nov-2000] $)

    $( Closure of join in ` SH ` . $)
    shjclt $p |- ( ( A e. SH /\ B e. SH ) -> ( A vH B ) e. CH ) $=
      ( chil wss chj co cch wcel csh sshjclt shss syl2an ) ACDBCDABEFGHAIHBIHAB
      JAKBKL $.
      $( [2-Nov-1999] $)

    $( Closure of join in ` CH ` . $)
    chjclt $p |- ( ( A e. CH /\ B e. CH ) -> ( A vH B ) e. CH ) $=
      ( csh wcel chj co cch shjclt chsh syl2an ) ACDBCDABEFGDAGDBGDABHAIBIJ $.
      $( [2-Nov-1999] $)

    $( Commutative law for Hilbert lattice join of subspaces. $)
    shjcomt $p |- ( ( A e. SH /\ B e. SH ) -> ( A vH B ) = ( B vH A ) ) $=
      ( csh wcel wa chj co cun cort cfv shjvalt wceq ancoms uncom fveq2i
      syl6eq eqtr4d ) ACDZBCDZEZABFGABHZIJZIJZBAFGZABKTUDBAHZIJZIJZUCSRUDUGLBAK
      MUFUBIUEUAIBANOOPQ $.
      $( [22-Jun-2004] $) $( [22-Jun-2004] $)

    ${
      $d x y D $.
      shincl.1 $e |- A e. SH $.
      shincl.2 $e |- B e. SH $.
      $( Closure of intersection of two subspaces. $)
      shincl $p |- ( A i^i B ) e. SH $=
        ( cpr cint cin csh elisseti intpr wss c0 wne wcel wa pm3.2i prss mpbi
        prnz shintcl eqeltrr ) ABEZFABGHABAHCIZBHDIZJUBUBHKZUBLMAHNZBHNZOUEUFUG
        CDPABHUCUDQRABUCSPTUA $.
        $( [19-Oct-1999] $)

      $( Commutative law for subspace sum. $)
      shscom $p |- ( A +H B ) = ( B +H A ) $=
        ( csh wcel cph co wceq shscomt mp2an ) AEFBEFABGHBAGHICDABJK $.
        $( [17-Oct-1999] $)

      $( Vector sum belongs to subspace sum. $)
      shsva $p |- ( ( C e. A /\ D e. B ) -> ( C +h D ) e. ( A +H B ) ) $=
        ( csh wcel wa cva co cph wi shsvat mp2an ) AGHBGHCAHDBHICDJKABLKHMEFABC
        DNO $.
        $( [17-Oct-1999] $)

      $( A subspace sum contains a member of one of its subspaces. $)
      shsel1 $p |- ( C e. A -> C e. ( A +H B ) ) $=
        ( csh wcel cph co wi shsel1t mp2an ) AFGBFGCAGCABHIGJDEABCKL $.
        $( [19-Oct-1999] $)

      $( A subspace sum contains a member of one of its subspaces. $)
      shsel2 $p |- ( C e. B -> C e. ( A +H B ) ) $=
        ( csh wcel cph co wi shsel2t mp2an ) AFGBFGCBGCABHIGJDEABCKL $.
        $( [19-Oct-1999] $)

      $( Vector subtraction belongs to subspace sum. $)
      shsvs $p |- ( ( C e. A /\ D e. B ) -> ( C -h D ) e. ( A +H B ) ) $=
        ( cph co wcel cmv csh wa wi shscl shsubcltOLD ax-mp shsel1 shsel2
        syl2an ) CABGHZIZDTIZCDJHTIZCAIDBITKIUAUBLUCMABEFNCDTOPABCEFQABDEFRS $.
        $( [19-Oct-1999] $)

      $( Union is smaller than subspace sum. $)
      shunss $p |- ( A u. B ) (_ ( A +H B ) $=
        ( vx vy vz cun cph co cv wcel wo cva wceq wrex c0v chil shel
        ax-hvaddid eqcomd syl csh sh0 ax-mp rcla4eopr mp3an2 mpdan hvaddid2t
        mp3an1 jaoi elun shsel 3imtr4 ssriv ) EABHZABIJZEKZALZURBLZMURFKGKNJOGB
        PFAPZURUPLURUQLUSVAUTUSURURQNJZOZVAUSURRLZVCURACSVDVBURURTUAUBUSQBLZVCV
        ABUCLVEDBUDUEFGABURQURNUFUGUHUTURQURNJZOZVAUTVDVGURBDSVDVFURURUIUAUBQAL
        ZUTVGVAAUCLVHCAUDUEFGABQURURNUFUJUHUKURABULFGABURCDUMUNUO $.
        $( [18-Oct-1999] $)

      $( Subspace sum is smaller than Hilbert lattice join.  Remark in
         [Kalmbach] p. 65. $)
      shslej $p |- ( A +H B ) (_ ( A vH B ) $=
        ( vx vy vz cph co chj cv cva wceq wrex cun cort cfv wcel wa eleq1 csh
        wi chil wss shssi unssi ocss ax-mp ocsh shaddcltOLD elun1 ococss sseli
        syl elun2 syl2an syl5cbir r19.23aivv shsel shjvalt mp2an eleq2i 3imtr4
        ssriv ) EABHIZABJIZEKZFKZGKZLIZMZGBNFANVGABOZPQZPQZRZVGVERVGVFRVKVOFGAB
        VKVOVJVNRZVHARZVIBRZSVGVJVNTVHVNRZVIVNRZVPVQVRVNUARZVSVTSVPUBVMUCUDZWAV
        LUCUDZWBABUCACUEBDUEUFZVLUGUHVMUIUHVHVIVNUJUHVQVHVLRVSVHABUKVLVNVHWCVLV
        NUDWDVLULUHZUMUNVRVIVLRVTVIBAUOVLVNVIWEUMUNUPUQURFGABVGCDUSVFVNVGAUARBU
        ARVFVNMCDABUTVAVBVCVD $.
        $( [19-Oct-1999] $)

      $( Union is smaller than Hilbert lattice join. $)
      shunssj $p |- ( A u. B ) (_ ( A vH B ) $=
        ( cun cph co chj shunss shslej sstri ) ABEABFGABHGABCDIABCDJK $.
        $( [13-Jun-2004] $) $( [11-Jun-2004] $)

      $( Commutative law for join in ` SH ` . $)
      shjcom $p |- ( A vH B ) = ( B vH A ) $=
        ( csh wcel chj co wceq shjcomt mp2an ) AEFBEFABGHBAGHICDABJK $.
        $( [19-Oct-1999] $)

      $( Subspace sum is an upper bound of its arguments. $)
      shsub1 $p |- A (_ ( A +H B ) $=
        ( vx cph co cv shsel1 ssriv ) EAABFGABEHCDIJ $.
        $( [19-Oct-1999] $)

      $( Subspace sum is an upper bound of its arguments. $)
      shsub2 $p |- A (_ ( B +H A ) $=
        ( vx cph co cv shsel2 ssriv ) EABAFGBAEHDCIJ $.
        $( [21-Dec-2004] $) $( [17-Dec-2004] $)

      $( Hilbert lattice join is an upper bound of two subspaces. $)
      shub1 $p |- A (_ ( A vH B ) $=
        ( cph co chj shsub1 shslej sstri ) AABEFABGFABCDHABCDIJ $.
        $( [19-Oct-1999] $)

      $( Closure of ` CH ` join. $)
      shjcl $p |- ( A vH B ) e. CH $=
        ( csh wcel chj co cch shjclt mp2an ) AEFBEFABGHIFCDABJK $.
        $( [19-Oct-1999] $)

      $( ` SH ` closure of join. $)
      shjshcl $p |- ( A vH B ) e. SH $=
        ( chj co shjcl chshi ) ABEFABCDGH $.
        $( [5-May-2000] $)

      ${
        $d x y C $.
        shlub.1 $e |- C e. CH $.
        $( Hilbert lattice join is the least upper bound (among Hilbert
           lattice elements) of two subspaces. $)
        shlub $p |- ( ( A (_ C /\ B (_ C ) <-> ( A vH B ) (_ C ) $=
          ( wss wa chj co cun cort cfv chil shssi unssi chssi occon2 unss csh
          wcel wceq shjvalt mp2an pjococ eqcomi sseq12i 3imtr4 shub1 sstr mpan
          ssun2 shunssj sstri jca impbi ) ACGZBCGZHZABIJZCGZABKZCGVBLMLMZCLMLMZ
          GUSVAVBCABNADOBEOPCFQRABCSUTVCCVDATUABTUAUTVCUBDEABUCUDVDCCFUEUFUGUHV
          AUQURAUTGVAUQABDEUIAUTCUJUKBUTGVAURBVBUTBAULABDEUMUNBUTCUJUKUOUP $.
          $( [14-Jun-2004] $) $( [11-Jun-2004] $)
      $}

      ${
        shless.1 $e |- C e. SH $.
        $( Subset implies subset of subspace sum. $)
        shless $p |- ( A (_ B -> ( A +H C ) (_ ( B +H C ) ) $=
          ( vx vy vz wss cph co cv cva wceq wrex wcel wa wex ssel anim1d
          19.22dv df-rex 3imtr4g shsel ssrdv ) ABJZGACKLZBCKLZUGGMZHMZIMNLOICPZ
          HAPZULHBPZUJUHQUJUIQUGUKAQZULRZHSUKBQZULRZHSUMUNUGUPURHUGUOUQULABUKTU
          AUBULHAUCULHBUCUDHIACUJDFUEHIBCUJEFUEUDUF $.
          $( [18-Nov-2000] $)

        $( Add disjunct to both sides of Hilbert subspace ordering. $)
        shlej1 $p |- ( A (_ B -> ( A vH C ) (_ ( B vH C ) ) $=
          ( wss chj co wa shub1 sstr2 mpi shjcom sseqtr jctir shjcl shlub
          sylib ) ABGZABCHIZGZCUAGZJACHIUAGTUBUCTBUAGUBBCEFKABUALMCCBHIUACBFEKC
          BFENOPACUADFBCEFQRS $.
          $( [19-Oct-1999] $)

        $( Add disjunct to both sides of Hilbert subspace ordering. $)
        shlej2 $p |- ( A (_ B -> ( C vH A ) (_ ( C vH B ) ) $=
          ( wss chj co shlej1 shjcom 3sstr4g ) ABGACHIBCHICAHICBHIABCDEFJCAFDKC
          BFEKL $.
          $( [19-Oct-1999] $)
      $}
    $}
  $}

  $( Subspace sum is smaller than subspace join.  Remark in [Kalmbach]
     p. 65. $)
  shslejt $p |- ( ( A e. SH /\ B e. SH ) -> ( A +H B ) (_ ( A vH B ) ) $=
    ( csh wcel cph co chj wss chil cif wceq opreq1 sseq12d opreq2 helsh elimel
    shslej dedth2h ) ACDZBCDZABEFZABGFZHSAIJZBEFZUCBGFZHUCTBIJZEFZUCUFGFZHABIIA
    UCKUAUDUBUEAUCBELAUCBGLMBUFKUDUGUEUHBUFUCENBUFUCGNMUCUFAICOPBICOPQR $.
    $( [26-Aug-2004] $) $( [12-Jul-2004] $)

  $( Closure of intersection of two subspaces. $)
  shinclt $p |- ( ( A e. SH /\ B e. SH ) -> ( A i^i B ) e. SH ) $=
    ( csh wcel cin chil cif wceq ineq1 eleq1d ineq2 helsh elimel shincl
    dedth2h ) ACDZBCDZABEZCDPAFGZBEZCDSQBFGZEZCDABFFASHRTCASBIJBUAHTUBCBUASKJSU
    AAFCLMBFCLMNO $.
    $( [24-Jun-2004] $) $( [24-Jun-2004] $)

  $( Hilbert lattice join is an upper bound of two subspaces. $)
  shub1t $p |- ( ( A e. SH /\ B e. SH ) -> A (_ ( A vH B ) ) $=
    ( csh wcel wa cph co chj shsub1t shslejt sstrd ) ACDBCDEAABFGABHGABIABJK $.
    $( [22-Jun-2004] $) $( [22-Jun-2004] $)

  $( A subspace is a subset of its Hilbert lattice join with another. $)
  shub2t $p |- ( ( A e. SH /\ B e. SH ) -> A (_ ( B vH A ) ) $=
    ( csh wcel wa chj co shub1t shjcomt sseqtrd ) ACDBCDEAABFGBAFGABHABIJ $.
    $( [23-Jun-2004] $) $( [22-Jun-2004] $)

  $( Hilbert lattice join is the least upper bound (among Hilbert lattice
     elements) of two subspaces. $)
  shlubt $p |- ( ( A e. SH /\ B e. SH /\ C e. CH ) ->
               ( ( A (_ C /\ B (_ C ) <-> ( A vH B ) (_ C ) ) $=
    ( csh wcel cch wss wa chj co wb chil cif wceq sseq1 anbi1d opreq1 sseq1d
    bibi12d anbi2d opreq2 sseq2 anbi12d helsh elimel helch shlub dedth3h ) ADEZ
    BDEZCFEZACGZBCGZHZABIJZCGZKUIALMZCGZUMHZUQBIJZCGZKABCLLLURUJBLMZCGZHZUQVBIJ
    ZCGZKUQUKCLMZGZVBVGGZHZVEVGGZKAUQNZUNUSUPVAVLULURUMAUQCOPVLUOUTCAUQBIQRSBVB
    NZUSVDVAVFVMUMVCURBVBCOTVMUTVECBVBUQIUARSCVGNZVDVJVFVKVNURVHVCVICVGUQUBCVGV
    BUBUCCVGVEUBSUQVBVGALDUDUEBLDUDUECLFUFUEUGUH $.
    $( [15-Jun-2004] $) $( [15-Jun-2004] $)

  $( Add disjunct to both sides of Hilbert subspace ordering. $)
  shlej1t $p |- ( ( ( A e. SH /\ B e. SH /\ C e. SH ) /\
               A (_ B ) -> ( A vH C ) (_ ( B vH C ) ) $=
    ( csh wcel w3a wss chj co wa wi sstr2 shub1t syl5com shub2t ancoms jctird
    3adant1 cch wb shlubt 3simp1 3simp3 shjclt syl3anc sylibd imp ) ADEZBDEZCDE
    ZFZABGZACHIBCHIZGZUKULAUMGZCUMGZJZUNUIUJULUQKUHUIUJJZULUOUPULBUMGUOURABUMLB
    CMNUJUIUPCBOPQRUHUJUMSEZUQUNTUKACUMUAUHUIUJUBUHUIUJUCUIUJUSUHBCUDRUEUFUG $.
    $( [27-Dec-2006] $) $( [22-Jun-2004] $)

  $( Add disjunct to both sides of Hilbert subspace ordering. $)
  shlej2t $p |- ( ( ( A e. SH /\ B e. SH /\ C e. SH ) /\
               A (_ B ) -> ( C vH A ) (_ ( C vH B ) ) $=
    ( csh wcel w3a wss wa chj co shlej1t wceq shjcomt 3adant2 adantr 3adant1
    3sstr3d ) ADEZBDEZCDEZFZABGZHACIJZBCIJZCAIJZCBIJZABCKUAUCUELZUBRTUGSACMNOUA
    UDUFLZUBSTUHRBCMPOQ $.
    $( [3-Jan-2007] $) $( [22-Jun-2004] $)

  ${
    $d x y z A $.
    shsidm.1 $e |- A e. SH $.
    $( Idempotent law for Hilbert subspace sum. $)
    shsidm $p |- ( A +H A ) = A $=
      ( vx vy vz cph co cv wcel cva wceq wrex shsel wa eleq1 csh wi
      shaddcltOLD ax-mp syl5cbir r19.23aivv sylbi ssriv shsub1 eqssi ) AAFGZACU
      FACHZUFIUGDHZEHZJGZKZEALDALUGAIZDEAAUGBBMUKULDEAAUKULUJAIZUHAIUIAINZUGUJA
      OAPIUNUMQBUHUIARSTUAUBUCAABBUDUE $.
      $( [14-Jun-2004] $) $( [6-Jun-2004] $)
  $}

  ${
    shslub.1 $e |- A e. SH $.
    shslub.2 $e |- B e. SH $.
    shslub.3 $e |- C e. SH $.
    $( Least upper bound law for Hilbert subspace sum. $)
    shslub $p |- ( ( A (_ C /\ B (_ C ) <-> ( A +H B ) (_ C ) $=
      ( wss wa cph co shless shscom syl6ss shsidm sylan9ss shsub1 sstr mpan
      shsub2 jca impbi ) ACGZBCGZHABIJZCGZUBUCUDBCIJZCUBUDCBIJUFACBDFEKCBFELMUC
      UFCCIJCBCCEFFKCFNMOUEUBUCAUDGUEUBABDEPAUDCQRBUDGUEUCBAEDSBUDCQRTUA $.
      $( [15-Jun-2004] $) $( [15-Jun-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    shlesb1.1 $e |- A e. SH $.
    shlesb1.2 $e |- B e. SH $.
    $( Hilbert lattice ordering in terms of subspace sum. $)
    shlesb1 $p |- ( A (_ B <-> ( A +H B ) = B ) $=
      ( wss wa cph co wceq ssid biantrur shslub eqss shsub2 mpbiran2 shscom
      sseq1i bitr2 3bitr ) ABEZBBEZTFBAGHZBEZABGHZBIZUATBJKBABDCDLUEUDBEZUCUEUF
      BUDEUDBMBADCNOUDUBBABCDPQRS $.
      $( [29-Nov-2004] $) $( [23-Nov-2004] $)

    $( An alternate way to express subspace sum. $)
    shsumval2 $p |- ( A +H B ) = |^| { x e. SH | ( A u. B ) (_ x } $=
      ( cph co cun cv wss csh crab cint wa ssun1 ssintub sstri ssun2 pm3.2i c0
      wne wcel ssrab2 wrex shscl shunss sseq2 rcla4ev mp2an rabn0 mpbir
      shintclt shslub mpbi elrab mpbir2an intss1 ax-mp eqssi ) BCFGZBCHZAIZJZAK
      LZMZBVEJZCVEJZNUTVEJVFVGBVAVEBCOAVAKPZQCVAVECBRVHQSBCVEDEVDKJVDTUAZVEKUBV
      CAKUCVIVCAKUDZUTKUBZVAUTJZVJBCDEUEZBCDEUFZVCVLAUTKVBUTVAUGZUHUIVCAKUJUKVD
      ULUIUMUNUTVDUBZVEUTJVPVKVLVCVLAUTKVOUOVMVNUPUTVDUQURUS $.
      $( [2-Dec-2004] $) $( [25-Nov-2004] $)

    $( An alternate way to express subspace sum. $)
    shsumval3 $p |- ( A +H B ) = ( span ` ( A u. B ) ) $=
      ( vx cph co cun cv wss csh crab cint cspn cfv shsumval2 chil wceq shssi
      unssi spanvalt ax-mp eqtr4 ) ABFGABHZEIJEKLMZUDNOZEABCDPUDQJUFUERABQACSBD
      STEUDUAUBUC $.
      $( [2-Dec-2004] $) $( [25-Nov-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    shmod.1 $e |- A e. SH $.
    shmod.2 $e |- B e. SH $.
    shmod.3 $e |- C e. SH $.
    $( The modular law holds for subspace sum.  Similar to part of Theorem 16.9
       of [MaedaMaeda] p. 70. $)
    shmods $p |- ( A (_ C -> ( ( A +H B ) i^i C ) (_ ( A +H ( B i^i C ) ) ) $=
      ( vz vx vy wss cph co cin cv wcel wa cva wceq wrex wi cmv wb w3a chil
      hvsubaddt shel syl3an eqcom syl6bb 3expb shlesb1 biimp eleq2d shsvs
      shscom syl6eleq syl5bi eleq1 biimpd sylan9 anim2d elin syl6ibr ex com13
      ancoms anasss sylbird imp shincl shsva syl5bir exp3a com12 ad2antrl syld
      exp31 r19.23advv shsel syl5ib imp3a ssrdv ) ACJZGABKLZCMZABCMZKLZWCGNZWDO
      ZWHCOZPWHWGOZWHWEOWCWIWJWKWJWIWCWKWJWHHNZINZQLZRZIBSHASWCWKTZWIWJWOWPHIAB
      WJWLAOZWMBOZPZWOWPWJWSPZWOPWCWMWFOZWKWTWOWCXATZWTWOWHWLUALZWMRZXBWJWQWRXD
      WOUBWJWQWRUCXDWNWHRZWOWHUDOWLUDOWMUDOXDXEUBWJWQWRWHWLWMUEWHCFUFWLADUFWMBE
      UFUGWNWHUHUIUJWJWQWRXDXBTZWRWJWQPZXFWCXDWRXGPZXAWCXDXHXATWCXDPZXHWRWMCOZP
      XAXIXGXJWRWCXGXCCOZXDXJWCXCACKLZOXKXGWCXLCXCWCXLCRACDFUKULUMXGXCCAKLXLCAW
      HWLFDUNCAFDUOUPUQXDXKXJXCWMCURUSUTVAWMBCVBVCVDVEVFVGVHVIWTWOXAWKTZWQWOXMT
      WJWRWOWQXMWOWQXAWKWOWKWNWGOWQXAPWHWNWGURAWFWLWMDBCEFVJVKVLVMVNVOVIVPVQVRH
      IABWHDEVSVTVEWAWHWDCVBVTWB $.
      $( [2-Dec-2004] $) $( [23-Nov-2004] $)

    $( The modular law is implied by the closure of subspace sum.  Part of
       proof of Theorem 16.9 of [MaedaMaeda] p. 70. $)
    shmod $p |- ( ( ( A +H B ) = ( A vH B ) /\ A (_ C ) ->
                ( ( A vH B ) i^i C ) (_ ( A vH ( B i^i C ) ) ) $=
      ( cph co chj wceq wss wa cin ineq1 sseq1d shmods syl5bi imp shincl
      shslej sstr mpan2 syl ) ABGHZABIHZJZACKZLUECMZABCMZGHZKZUHAUIIHZKZUFUGUKU
      FUDCMZUJKUKUGUFUNUHUJUDUECNOABCDEFPQRUKUJULKUMAUIDBCEFSTUHUJULUAUBUC $.
      $( [4-Dec-2004] $) $( [23-Nov-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Hilbert lattice operations
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The zero subspace is the smallest subspace. $)
  sh0let $p |- ( A e. SH -> 0H (_ A ) $=
    ( csh wcel c0v csn c0h wss sh0 snssi syl df-ch0 syl5ss ) ABCZDEZAFMDACNAGAH
    DAIJKL $.
    $( [4-Jun-2004] $) $( [3-Jun-2004] $)

  $( The zero subspace is the smallest member of ` CH ` . $)
  ch0let $p |- ( A e. CH -> 0H (_ A ) $=
    ( cch wcel csh c0h wss chsh sh0let syl ) ABCADCEAFAGAHI $.
    $( [14-Aug-2002] $)

  $( No subspace is smaller than the zero subspace. $)
  shle0t $p |- ( A e. SH -> ( A (_ 0H <-> A = 0H ) ) $=
    ( csh wcel c0h wss wa wceq sh0let biantrud eqss syl6bbr ) ABCZADEZMDAEZFADG
    LNMAHIADJK $.
    $( [26-Nov-2004] $) $( [24-Nov-2004] $)

  $( No Hilbert lattice element is smaller than zero. $)
  chle0t $p |- ( A e. CH -> ( A (_ 0H <-> A = 0H ) ) $=
    ( cch wcel csh c0h wss wceq wb chsh shle0t syl ) ABCADCAEFAEGHAIAJK $.
    $( [14-Aug-2002] $)

  $( A Hilbert lattice element that is not a subset of another is nonzero. $)
  chnlen0 $p |- ( B e. CH -> ( -. A (_ B -> -. A = 0H ) ) $=
    ( cch wcel c0h wceq wss sseq1 ch0let syl5cbir con3d ) BCDZAEFZABGZMNEBGLAEB
    HBIJK $.
    $( [2-Jul-2004] $) $( [30-Jun-2004] $)

  $( The zero subspace is a proper subset of non-zero Hilbert lattice
     elements. $)
  ch0psst $p |- ( A e. CH -> ( 0H (. A <-> A =/= 0H ) ) $=
    ( cch wcel c0h wne wss wa wpss ch0let biantrurd necom syl5bbr df-pss
    syl6rbbr ) ABCZADEZDAFZDAEZGZDAHORSPOQRAIJDAKLDAMN $.
    $( [18-Jun-2006] $) $( [9-Jun-2004] $)

  $( The intersection of orthogonal subspaces is the zero subspace. $)
  orthin $p |- ( ( A e. SH /\ B e. SH ) ->
               ( A (_ ( _|_ ` B ) -> ( A i^i B ) = 0H ) ) $=
    ( csh wcel wa cort cfv wss cin c0h wceq wi ocin sseq2d ssrin incom syl6ss
    syl5bi adantl shinclt sh0let syl jctird eqss syl6ibr ) ACDZBCDZEZABFGZHZABI
    ZJHZJUKHZEUKJKUHUJULUMUGUJULLUFUGUKBUIIZHULUJUGUNJUKBMNUJUKUIBIUNAUIBOUIBPQ
    RSUHUKCDUMABTUKUAUBUCUKJUDUE $.
    $( [24-Jun-2004] $) $( [24-Jun-2004] $)

  ${
    $d x y A $.
    shne0.1 $e |- A e. SH $.
    $( A non-zero subspace has a non-zero vector. $)
    shne0 $p |- ( A =/= 0H <-> E. x e. A x =/= 0h ) $=
      ( c0h wne wceq wn cv wcel wrex c0v df-ne wa wex wss df-rex nss csh wb
      shle0t ax-mp negbii 3bitr2r elch0 necon3bbii rexbii 3bitr ) BDEBDFZGZAHZD
      IZGZABJZUJKEZABJBDLUMUJBIULMANBDOZGUIULABPABDQUOUHBRIUOUHSCBTUAUBUCULUNAB
      UKUJKUJUDUEUFUG $.
      $( [18-Mar-2006] $) $( [25-Feb-2006] $)

    $( Hilbert subspace sum with the zero subspace. $)
    shs0 $p |- ( A +H 0H ) = A $=
      ( c0h cph co cun cspn cfv h0elsh shsumval3 wss wceq csh wcel sh0let
      ax-mp ssequn2 mpbi fveq2i spanid 3eqtr ) ACDEACFZGHAGHZAACBIJUBAGCAKZUBAL
      AMNZUDBAOPCAQRSUEUCALBATPUA $.
      $( [17-Jan-2005] $) $( [14-Jan-2005] $)

    ${
      shs00.2 $e |- B e. SH $.
      $( Two subspaces are zero iff their join is zero. $)
      shs00 $p |- ( ( A = 0H /\ B = 0H ) <-> ( A +H B ) = 0H ) $=
        ( c0h wceq wa cph co opreq12 h0elsh shs0 syl6eq wss shsub1 sseq2 mpbii
        csh wcel wb shle0t ax-mp sylib shsub2 jca impbi ) AEFZBEFZGZABHIZEFZUIU
        JEEHIEAEBEHJEKLMUKUGUHUKAENZUGUKAUJNULABCDOUJEAPQARSULUGTCAUAUBUCUKBENZ
        UHUKBUJNUMBADCUDUJEBPQBRSUMUHTDBUAUBUCUEUF $.
        $( [11-Aug-2004] $) $( [7-Aug-2004] $)
    $}
  $}

  ${
    $d x y A $.
    ch0le.1 $e |- A e. CH $.
    $( The closed subspace zero is the smallest member of ` CH ` . $)
    ch0le $p |- 0H (_ A $=
      ( cch wcel c0h wss ch0let ax-mp ) ACDEAFBAGH $.
      $( [15-Oct-1999] $)

    $( No Hilbert closed subspace is smaller than zero. $)
    chle0 $p |- ( A (_ 0H <-> A = 0H ) $=
      ( cch wcel c0h wss wceq wb chle0t ax-mp ) ACDAEFAEGHBAIJ $.
      $( [7-Apr-2001] $)

    $( A non-zero closed subspace has a non-zero vector. $)
    chne0 $p |- ( A =/= 0H <-> E. x e. A x =/= 0h ) $=
      ( chshi shne0 ) ABBCDE $.
      $( [19-Mar-2006] $) $( [25-Feb-2006] $)

    $( Intersection of a closed subspace and its orthocomplement.  Part of
       Proposition 1 of [Kalmbach] p. 65. $)
    chocin $p |- ( A i^i ( _|_ ` A ) ) = 0H $=
      ( csh wcel cort cfv cin c0h wceq chshi ocin ax-mp ) ACDAAEFGHIABJAKL $.
      $( [6-Aug-2004] $) $( [11-Oct-1999] $)

    $( Join with lattice zero in ` CH ` . $)
    chj0 $p |- ( A vH 0H ) = A $=
      ( c0h chj co cun cort cfv h0elch chjval wss wceq ch0le ssequn2 mpbi
      fveq2i pjococ 3eqtr ) ACDEACFZGHZGHAGHZGHAACBIJTUAGSAGCAKSALABMCANOPPABQR
      $.
      $( [15-Oct-1999] $)

    $( Meet with lattice one in ` CH ` . $)
    chm1 $p |- ( A i^i H~ ) = A $=
      ( chil cin inss1 ssid chssi ssini eqssi ) ACDAACEAACAFABGHI $.
      $( [24-Oct-1999] $)

    ${
      $d x y B $.  $d x y C $.
      chjcl.2 $e |- B e. CH $.
      $( Closure of ` CH ` join. $)
      chjcl $p |- ( A vH B ) e. CH $=
        ( chshi shjcl ) ABACEBDEF $.
        $( [29-Jul-1999] $)

      $( Subspace sum is smaller than subspace join.  Remark in [Kalmbach]
         p. 65. $)
      chslej $p |- ( A +H B ) (_ ( A vH B ) $=
        ( chshi shslej ) ABACEBDEF $.
        $( [17-Oct-1999] $)

      $( Membership in subspace sum. $)
      chsel $p |- ( C e. ( A +H B ) <-> E. x e. A E. y e. B C = ( x +h y ) ) $=
        ( chshi shsel ) ABCDECFHDGHI $.
        $( [19-Oct-1999] $)

      $( Closure of Hilbert lattice intersection. $)
      chincl $p |- ( A i^i B ) e. CH $=
        ( cpr cint cin cch elisseti intpr wss c0 wne wcel wa pm3.2i prss mpbi
        prnz chintcl eqeltrr ) ABEZFABGHABAHCIZBHDIZJUBUBHKZUBLMAHNZBHNZOUEUFUG
        CDPABHUCUDQRABUCSPTUA $.
        $( [15-Oct-1999] $)

      $( Hilbert lattice contraposition law. $)
      chsscon3 $p |- ( A (_ B <-> ( _|_ ` B ) (_ ( _|_ ` A ) ) $=
        ( wss cort cfv chil wi chssi occont mp2an choccl pjococ 3sstr3g impbi
        ) ABEZBFGZAFGZEZAHEBHEQTIACJBDJABKLTSFGZRFGZABRHESHETUAUBEIRBDMJSACMJRS
        KLACNBDNOP $.
        $( [15-Oct-1999] $)

      $( Hilbert lattice contraposition law. $)
      chsscon1 $p |- ( ( _|_ ` A ) (_ B <-> ( _|_ ` B ) (_ A ) $=
        ( cort cfv wss choccl chsscon3 pjococ sseq2i bitr ) AEFZBGBEFZMEFZGNAGM
        BACHDIOANACJKL $.
        $( [15-Oct-1999] $)

      $( Hilbert lattice contraposition law. $)
      chsscon2 $p |- ( A (_ ( _|_ ` B ) <-> B (_ ( _|_ ` A ) ) $=
        ( cort cfv wss choccl chsscon3 pjococ sseq1i bitr ) ABEFZGMEFZAEFZGBOGA
        MCBDHINBOBDJKL $.
        $( [15-Oct-1999] $)

      $( Hilbert lattice contraposition law. $)
      chcon2 $p |- ( A = ( _|_ ` B ) <-> B = ( _|_ ` A ) ) $=
        ( cort cfv wss wa wceq chsscon2 chsscon1 anbi12i eqss 3bitr4 ) ABEFZGZO
        AGZHBAEFZGZRBGZHAOIBRIPSQTABCDJBADCKLAOMBRMN $.
        $( [24-Jun-2004] $) $( [24-Jun-2004] $)

      $( Hilbert lattice contraposition law. $)
      chcon1 $p |- ( ( _|_ ` A ) = B <-> ( _|_ ` B ) = A ) $=
        ( cort cfv wceq chcon2 eqcom 3bitr4 ) BAEFZGABEFZGKBGLAGBADCHKBILAIJ $.
        $( [3-Oct-2006] $) $( [15-Jun-2006] $)

      $( Hilbert lattice contraposition law. $)
      chcon3 $p |- ( A = B <-> ( _|_ ` B ) = ( _|_ ` A ) ) $=
        ( wss wa cort cfv wceq chsscon3 anbi12i eqss 3bitr4 ) ABEZBAEZFBGHZAGHZ
        EZQPEZFABIPQINROSABCDJBADCJKABLPQLM $.
        $( [25-Jun-2004] $) $( [24-Jun-2004] $)

      $( Union is smaller than ` CH ` join. $)
      chunssj $p |- ( A u. B ) (_ ( A vH B ) $=
        ( chshi shunssj ) ABACEBDEF $.
        $( [15-Oct-1999] $)

      $( Commutative law for join in ` CH ` . $)
      chjcom $p |- ( A vH B ) = ( B vH A ) $=
        ( chshi shjcom ) ABACEBDEF $.
        $( [14-Oct-1999] $)

      $( ` CH ` join is an upper bound of two elements. $)
      chub1 $p |- A (_ ( A vH B ) $=
        ( chshi shub1 ) ABACEBDEF $.
        $( [15-Oct-1999] $)

      $( ` CH ` join is an upper bound of two elements. $)
      chub2 $p |- A (_ ( B vH A ) $=
        ( chj co chub1 chjcom sseqtr ) AABEFBAEFABCDGABCDHI $.
        $( [5-Nov-2000] $)

      ${
        $d x y C $.
        chlub.1 $e |- C e. CH $.
        $( Hilbert lattice join is the least upper bound of two elements. $)
        chlub $p |- ( ( A (_ C /\ B (_ C ) <-> ( A vH B ) (_ C ) $=
          ( chshi shlub ) ABCADGBEGFH $.
          $( [16-Jun-2004] $) $( [11-Jun-2004] $)

        $( Hilbert lattice join is the least upper bound of two elements
           (one direction of ~ chlub ). $)
        chlubi $p |- ( ( A (_ C /\ B (_ C ) -> ( A vH B ) (_ C ) $=
          ( wss wa chj co chlub biimp ) ACGBCGHABIJCGABCDEFKL $.
          $( [15-Oct-1999] $)

        $( Add join to both sides of a Hilbert lattice ordering. $)
        chlej1 $p |- ( A (_ B -> ( A vH C ) (_ ( B vH C ) ) $=
          ( chshi shlej1 ) ABCADGBEGCFGH $.
          $( [19-Oct-1999] $)

        $( Add join to both sides of a Hilbert lattice ordering. $)
        chlej2 $p |- ( A (_ B -> ( C vH A ) (_ ( C vH B ) ) $=
          ( chshi shlej2 ) ABCADGBEGCFGH $.
          $( [19-Oct-1999] $)

        ${
          chlej12.4 $e |- D e. CH $.
          $( Add join to both sides of a Hilbert lattice ordering. $)
          chlej12 $p |- ( ( A (_ B /\ C (_ D ) ->
                       ( A vH C ) (_ ( B vH D ) ) $=
            ( wss chj co chlej1 chlej2 sylan9ss ) ABICDIACJKBCJKBDJKABCEFGLCDBG
            HFMN $.
            $( [19-Oct-1999] $)
        $}
      $}

      $( Hilbert lattice ordering in terms of join. $)
      chlejb1 $p |- ( A (_ B <-> ( A vH B ) = B ) $=
        ( wss chj co wceq wa ssid chlubi mpan2 chub2 jctir eqss sylibr wi
        chub1 sstr2 eqimss syl5 ax-mp impbi ) ABEZABFGZBHZUDUEBEZBUEEZIUFUDUGUH
        UDBBEUGBJABBCDDKLBADCMNUEBOPAUEEZUFUDQABCDRUIUGUDUFAUEBSUEBTUAUBUC $.
        $( [15-Oct-1999] $)

      $( DeMorgan's law for meet in a Hilbert lattice. $)
      chdmm1 $p |- ( _|_ ` ( A i^i B ) ) = ( ( _|_ ` A ) vH ( _|_ ` B ) ) $=
        ( cin cort cfv chj co wss choccl chub1 chjcl chsscon1 mpbi chub2 ssini
        chincl inss1 chsscon3 inss2 chlubi mp2an eqssi ) ABEZFGZAFGZBFGZHIZUIFG
        ZUEJUFUIJUJABUGUIJUJAJUGUHACKZBDKZLAUICUGUHUKULMZNOUHUIJUJBJUHUGULUKPBU
        IDUMNOQUIUEUMABCDRZNOUGUFJZUHUFJZUIUFJUEAJUOABSUEAUNCTOUEBJUPABUAUEBUND
        TOUGUHUFUKULUEUNKUBUCUD $.
        $( [21-Jun-2004] $) $( [21-Jun-2004] $)

      $( DeMorgan's law for meet in a Hilbert lattice. $)
      chdmm2 $p |- ( _|_ ` ( ( _|_ ` A ) i^i B ) ) = ( A vH ( _|_ ` B ) ) $=
        ( cort cfv cin chj co choccl chdmm1 pjococ opreq1i eqtr ) AEFZBGEFOEFZB
        EFZHIAQHIOBACJDKPAQHACLMN $.
        $( [21-Jun-2004] $) $( [21-Jun-2004] $)

      $( DeMorgan's law for meet in a Hilbert lattice. $)
      chdmm3 $p |- ( _|_ ` ( A i^i ( _|_ ` B ) ) ) = ( ( _|_ ` A ) vH B ) $=
        ( cort cfv cin chj co choccl chdmm1 pjococ opreq2i eqtr ) ABEFZGEFAEFZO
        EFZHIPBHIAOCBDJKQBPHBDLMN $.
        $( [21-Jun-2004] $) $( [21-Jun-2004] $)

      $( DeMorgan's law for meet in a Hilbert lattice. $)
      chdmm4 $p |- ( _|_ ` ( ( _|_ ` A ) i^i ( _|_ ` B ) ) ) = ( A vH B ) $=
        ( cort cfv cin chj co choccl chdmm2 pjococ opreq2i eqtr ) AEFBEFZGEFAOE
        FZHIABHIAOCBDJKPBAHBDLMN $.
        $( [21-Jun-2004] $) $( [21-Jun-2004] $)

      $( DeMorgan's law for join in a Hilbert lattice. $)
      chdmj1 $p |- ( _|_ ` ( A vH B ) ) = ( ( _|_ ` A ) i^i ( _|_ ` B ) ) $=
        ( cort cfv cin chj co chdmm4 fveq2i choccl chincl pjococ eqtr3 ) AEFZBE
        FZGZEFZEFABHIZEFRSTEABCDJKRPQACLBDLMNO $.
        $( [21-Jun-2004] $) $( [21-Jun-2004] $)

      $( DeMorgan's law for join in a Hilbert lattice. $)
      chdmj2 $p |- ( _|_ ` ( ( _|_ ` A ) vH B ) ) = ( A i^i ( _|_ ` B ) ) $=
        ( cort cfv chj co cin choccl chdmj1 pjococ ineq1i eqtr ) AEFZBGHEFOEFZB
        EFZIAQIOBACJDKPAQACLMN $.
        $( [21-Jun-2004] $) $( [21-Jun-2004] $)

      $( DeMorgan's law for join in a Hilbert lattice. $)
      chdmj3 $p |- ( _|_ ` ( A vH ( _|_ ` B ) ) ) = ( ( _|_ ` A ) i^i B ) $=
        ( cort cfv chj co cin choccl chdmj1 pjococ ineq2i eqtr ) ABEFZGHEFAEFZO
        EFZIPBIAOCBDJKQBPBDLMN $.
        $( [23-Jun-2004] $) $( [21-Jun-2004] $)

      $( DeMorgan's law for join in a Hilbert lattice. $)
      chdmj4 $p |- ( _|_ ` ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) = ( A i^i B ) $=
        ( cort cfv chj co cin choccl chdmj2 pjococ ineq2i eqtr ) AEFBEFZGHEFAOE
        FZIABIAOCBDJKPBABDLMN $.
        $( [21-Jun-2004] $) $( [21-Jun-2004] $)

      $( Equivalent expressions for "not less than" in the Hilbert lattice. $)
      chnle $p |- ( -. B (_ A <->  A (. ( A vH B ) ) $=
        ( chj co wceq wn wss wa wpss chub1 biantrur chlejb1 eqcom chjcom
        eqeq2i 3bitr negbii dfpss2 3bitr4 ) AABEFZGZHZAUBIZUDJBAIZHAUBKUEUDABCD
        LMUFUCUFBAEFZAGAUGGUCBADCNUGAOUGUBABADCPQRSAUBTUA $.
        $( [16-Jun-2004] $) $( [5-Jun-2004] $)

      ${
        chjass.3 $e |- C e. CH $.
        $( Associative law for Hilbert lattice join.  From definition of
           lattice in [Kalmbach] p. 14. $)
        chjass $p |- ( ( A vH B ) vH C ) = ( A vH ( B vH C ) ) $=
          ( chj co cort cfv cin inass chdmj1 ineq1i ineq2i 3eqtr4 fveq2i chjcl
          chdmm4 3eqtr3 ) ABGHZIJZCIJZKZIJAIJZBCGHZIJZKZIJUACGHAUFGHUDUHIUEBIJZ
          KZUCKUEUIUCKZKUDUHUEUIUCLUBUJUCABDEMNUGUKUEBCEFMOPQUACABDERFSAUFDBCEF
          RST $.
          $( [17-Jun-2004] $) $( [10-Jun-2004] $)
      $}

      $( Two Hilbert lattice elements are zero iff their join is zero. $)
      chj00 $p |- ( ( A = 0H /\ B = 0H ) <-> ( A vH B ) = 0H ) $=
        ( c0h wceq wa chj co opreq12 h0elch chj0 syl6eq wss chub1 sseq2 mpbii
        chle0 sylib chub2 jca impbi ) AEFZBEFZGZABHIZEFZUEUFEEHIEAEBEHJEKLMUGUC
        UDUGAENZUCUGAUFNUHABCDOUFEAPQACRSUGBENZUDUGBUFNUIBADCTUFEBPQBDRSUAUB $.
        $( [11-Aug-2004] $) $( [7-Aug-2004] $)
    $}

    $( The join of a closed subspace and its orthocomplement. $)
    chjo $p |- ( A vH ( _|_ ` A ) ) = H~ $=
      ( cort cfv cin c0h chj co chil incom chocin eqtr fveq2i chdmm2 choc0
      3eqtr3 ) ACDZAEZCDFCDAQGHIRFCRAQEFQAJABKLMAABBNOP $.
      $( [24-Oct-1999] $)

    $( Join with Hilbert lattice unit. $)
    chj1 $p |- ( A vH H~ ) = H~ $=
      ( chil chj co helch chjcl chssi chub2 eqssi ) ACDEZCKACBFGHCAFBIJ $.
      $( [11-Aug-2004] $) $( [6-Aug-2004] $)

    $( Meet with Hilbert lattice zero. $)
    chm0 $p |- ( A i^i 0H ) = 0H $=
      ( c0h cin inss2 ch0le ssid ssini eqssi ) ACDCACECACABFCGHI $.
      $( [11-Aug-2004] $) $( [6-Aug-2004] $)

  $}

  $( Meet with Hilbert lattice zero. $)
  chm0t $p |- ( A e. CH -> ( A i^i 0H ) = 0H ) $=
    ( cch wcel c0h cin wceq cif ineq1 eqeq1d h0elch elimel chm0 dedth ) ABCZADE
    ZDFNADGZDEZDFADAPFOQDAPDHIPADBJKLM $.
    $( [14-Jun-2006] $) $( [14-Jun-2006] $)

  ${
    shjshs.1 $e |- A e. SH $.
    shjshs.2 $e |- B e. SH $.
    $( Hilbert lattice join equals the double orthocomplement of subspace
       sum. $)
    shjshs $p |- ( A vH B ) = ( _|_ ` ( _|_ ` ( A +H B ) ) ) $=
      ( chj co cph cort cfv cun csh wcel wceq shjvalt mp2an wss shunss chil
      shssi unssi shscl occon2 ax-mp eqsstr shslej wi shjcl chssi occont occl
      chsscon1 mpbi eqssi ) ABEFZABGFZHIZHIZUNABJZHIHIZUQAKLBKLUNUSMCDABNOURUOP
      USUQPABCDQURUOABRACSBDSTUOABCDUASZUBUCUDUNHIUPPZUQUNPUOUNPZVAABCDUEUORPUN
      RPVBVAUFUTUNABCDUGZUHUOUNUIOUCUNUPVCUOUTUJUKULUM $.
      $( [1-Dec-2004] $) $( [27-Nov-2004] $)

    $( A closed subspace sum equals Hilbert lattice join.  Part of Lemma
       31.1.5 of [MaedaMaeda] p. 136. $)
    shjshsel $p |- ( ( A +H B ) e. CH <-> ( A +H B ) = ( A vH B ) ) $=
      ( cph co cch wcel chj wceq cort cfv ococt shjshs syl5req shjcl eleq1
      mpbiri impbi ) ABEFZGHZTABIFZJZUATKLKLTUBTMABCDNOUCUAUBGHABCDPTUBGQRS $.
      $( [3-Jan-2005] $) $( [30-Nov-2004] $)
  $}

  ${
    $d x A $.
    $( A non-zero closed subspace has a nonzero vector. $)
    chne0t $p |- ( A e. CH -> ( A =/= 0H <-> E. x e. A x =/= 0h ) ) $=
      ( cch wcel c0h wne cv c0v wrex wb cif wceq neeq1 rexeq1 bibi12d h0elch
      elimel chne0 dedth ) BCDZBEFZAGHFZABIZJTBEKZEFZUBAUDIZJBEBUDLUAUEUCUFBUDE
      MUBABUDNOAUDBECPQRS $.
      $( [19-Jun-2006] $) $( [25-Feb-2006] $)
  $}

  $( Intersection of a closed subspace and its orthocomplement.  Part of
     Proposition 1 of [Kalmbach] p. 65. $)
  chocint $p |- ( A e. CH -> ( A i^i ( _|_ ` A ) ) = 0H ) $=
    ( cch wcel cort cfv cin c0h wceq cif id fveq2 ineq12d eqeq1d h0elch elimel
    chocin dedth ) ABCZAADEZFZGHRAGIZUADEZFZGHAGAUAHZTUCGUDAUASUBUDJAUADKLMUAAG
    BNOPQ $.
    $( [14-Jun-2006] $) $( [13-Jun-2006] $)

  $( A closed subspace less than its orthocomplement is zero. $)
  chssoct $p |- ( A e. CH -> ( A (_ ( _|_ ` A ) <-> A = 0H ) ) $=
    ( cch wcel cort cfv wss c0h wceq cin chocint sseq2d chle0t bitrd sslin
    inidm syl5ssr syl5bi wa pm3.27 chocclt ch0let syl adantr eqsstrd ex impbid
    ) ABCZAADEZFZAGHZUGAAUHIZFZUJUIUGULAGFUJUGUKGAAJKALMUIAAIUKAAUHANAOPQUGUJUI
    UGUJRAGUHUGUJSUGGUHFZUJUGUHBCUMATUHUAUBUCUDUEUF $.
    $( [27-Jun-2006] $) $( [14-Jun-2006] $)

  $( Join with Hilbert lattice zero. $)
  chj0t $p |- ( A e. CH -> ( A vH 0H ) = A ) $=
    ( cch wcel c0h chj co wceq cif opreq1 id eqeq12d h0elch elimel chj0 dedth
    ) ABCZADEFZAGPADHZDEFZRGADARGZQSARARDEITJKRADBLMNO $.
    $( [25-Jun-2004] $) $( [22-Jun-2004] $)

  $( Subspace sum is smaller than subspace join.  Remark in [Kalmbach]
     p. 65. $)
  chslejt $p |- ( ( A e. CH /\ B e. CH ) -> ( A +H B ) (_ ( A vH B ) ) $=
    ( csh wcel cph co chj wss cch shslejt chsh syl2an ) ACDBCDABEFABGFHAIDBIDAB
    JAKBKL $.
    $( [2-Sep-2004] $) $( [12-Jul-2004] $)

  $( Closure of Hilbert lattice intersection. $)
  chinclt $p |- ( ( A e. CH /\ B e. CH ) -> ( A i^i B ) e. CH ) $=
    ( cch wcel cin chil cif wceq ineq1 eleq1d ineq2 helch elimel chincl
    dedth2h ) ACDZBCDZABEZCDPAFGZBEZCDSQBFGZEZCDABFFASHRTCASBIJBUAHTUBCBUASKJSU
    AAFCLMBFCLMNO $.
    $( [20-Jun-2004] $) $( [15-Jun-2004] $)

  $( Hilbert lattice contraposition law. $)
  chsscon3t $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( A (_ B <-> ( _|_ ` B ) (_ ( _|_ ` A ) ) ) $=
    ( cch wcel wss cort cfv wb chil cif wceq sseq1 fveq2 sseq2d bibi12d sseq2
    sseq1d helch elimel chsscon3 dedth2h ) ACDZBCDZABEZBFGZAFGZEZHUBAIJZBEZUEUH
    FGZEZHUHUCBIJZEZULFGZUJEZHABIIAUHKZUDUIUGUKAUHBLUPUFUJUEAUHFMNOBULKZUIUMUKU
    OBULUHPUQUEUNUJBULFMQOUHULAICRSBICRSTUA $.
    $( [20-Jun-2004] $) $( [12-Jun-2004] $)

  $( Hilbert lattice contraposition law. $)
  chsscon1t $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( ( _|_  ` A ) (_ B <-> ( _|_ ` B ) (_ A ) ) $=
    ( cch wcel wa cort cfv wss wb chsscon3t chocclt sylan wceq ococt adantr
    sseq2d bitrd ) ACDZBCDZEZAFGZBHZBFGZUAFGZHZUCAHUACDSUBUEIRUABJAKLTUDAUCRUDA
    MSANOPQ $.
    $( [25-Jun-2004] $) $( [21-Jun-2004] $)

  $( Hilbert lattice contraposition law. $)
  chsscon2t $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( A (_ ( _|_ ` B ) <-> B (_ ( _|_ ` A ) ) ) $=
    ( cch wcel wa cort cfv wss wb chsscon3t chocclt sylan2 wceq ococt adantl
    sseq1d bitrd ) ACDZBCDZEZABFGZHZUAFGZAFGZHZBUDHRUACDUBUEISAUAJBKLTUCBUDSUCB
    MRBNOPQ $.
    $( [26-Jun-2004] $) $( [21-Jun-2004] $)

  $( Hilbert lattice contraposition law for strict ordering. $)
  chpsscon3t $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( A (. B <-> ( _|_ ` B ) (. ( _|_ ` A ) ) ) $=
    ( cch wcel wa wss wn cort cfv wpss chsscon3t wb ancoms negbid anbi12d
    dfpss3 3bitr4g ) ACDZBCDZEZABFZBAFZGZEBHIZAHIZFZUEUDFZGZEABJUDUEJTUAUFUCUHA
    BKTUBUGSRUBUGLBAKMNOABPUDUEPQ $.
    $( [20-Jun-2004] $) $( [12-Jun-2004] $)

  $( Hilbert lattice contraposition law for strict ordering. $)
  chpsscon1t $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( ( _|_  ` A ) (. B <-> ( _|_ ` B ) (. A ) ) $=
    ( cch wcel wa cort cfv wpss wb chpsscon3t chocclt sylan wceq ococt adantr
    psseq2d bitrd ) ACDZBCDZEZAFGZBHZBFGZUAFGZHZUCAHUACDSUBUEIRUABJAKLTUDAUCRUD
    AMSANOPQ $.
    $( [26-Jun-2004] $) $( [12-Jun-2004] $)

  $( Hilbert lattice contraposition law for strict ordering. $)
  chpsscon2t $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( A (. ( _|_ ` B ) <-> B (. ( _|_  ` A ) ) ) $=
    ( cch wcel wa cort cfv wpss wb chpsscon3t chocclt sylan2 wceq ococt adantl
    psseq1d bitrd ) ACDZBCDZEZABFGZHZUAFGZAFGZHZBUDHRUACDUBUEISAUAJBKLTUCBUDSUC
    BMRBNOPQ $.
    $( [26-Jun-2004] $) $( [12-Jun-2004] $)

  $( Commutative law for Hilbert lattice join. $)
  chjcomt $p |- ( ( A e. CH /\ B e. CH ) -> ( A vH B ) = ( B vH A ) ) $=
    ( csh wcel chj co wceq cch shjcomt chsh syl2an ) ACDBCDABEFBAEFGAHDBHDABIAJ
    BJK $.
    $( [26-Jun-2004] $) $( [12-Jun-2004] $)

  $( Hilbert lattice join is greater than or equal to its first argument. $)
  chub1t $p |- ( ( A e. CH /\ B e. CH ) -> A (_ ( A vH B ) ) $=
    ( csh wcel chj co wss cch shub1t chsh syl2an ) ACDBCDAABEFGAHDBHDABIAJBJK
    $.
    $( [26-Jun-2004] $) $( [12-Jun-2004] $)

  $( Hilbert lattice join is greater than or equal to its second argument. $)
  chub2t $p |- ( ( A e. CH /\ B e. CH ) -> A (_ ( B vH A ) ) $=
    ( cch wcel wa chj co chub1t chjcomt sseqtrd ) ACDBCDEAABFGBAFGABHABIJ $.
    $( [26-Jun-2004] $) $( [12-Jun-2004] $)

  $( Hilbert lattice join is the least upper bound of two elements. $)
  chlubt $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
               ( ( A (_ C /\ B (_ C ) <-> ( A vH B ) (_ C ) ) $=
    ( csh wcel cch wss wa chj co wb shlubt chsh syl3an2 syl3an1 ) ADEZBFEZCFEZA
    CGBCGHABIJCGKZAFEPBDERSQABCLBMNAMO $.
    $( [26-Jun-2004] $) $( [12-Jun-2004] $)

  $( Add join to both sides of Hilbert lattice ordering. $)
  chlej1t $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\
                A (_ B ) -> ( A vH C ) (_ ( B vH C ) ) $=
    ( csh wcel wss chj co cch shlej1t chsh syl3anl ) ADEBDECDEABFACGHBCGHFAIEBI
    ECIEABCJAKBKCKL $.
    $( [17-Jun-2007] $) $( [22-Jun-2004] $)

  $( Add join to both sides of Hilbert lattice ordering. $)
  chlej2t $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\
                A (_ B ) -> ( C vH A ) (_ ( C vH B ) ) $=
    ( csh wcel wss chj co cch shlej2t chsh syl3anl ) ADEBDECDEABFCAGHCBGHFAIEBI
    ECIEABCJAKBKCKL $.
    $( [4-Jan-2007] $) $( [22-Jun-2004] $)

  $( Hilbert lattice ordering in terms of join. $)
  chlejb1t $p |- ( ( A e. CH /\ B e. CH ) -> ( A (_ B <-> ( A vH B ) = B ) ) $=
    ( cch wcel wss chj co wceq wb c0h cif sseq1 opreq1 eqeq1d bibi12d sseq2
    opreq2 id eqeq12d h0elch elimel chlejb1 dedth2h ) ACDZBCDZABEZABFGZBHZIUDAJ
    KZBEZUIBFGZBHZIUIUEBJKZEZUIUMFGZUMHZIABJJAUIHZUFUJUHULAUIBLUQUGUKBAUIBFMNOB
    UMHZUJUNULUPBUMUIPURUKUOBUMBUMUIFQURRSOUIUMAJCTUABJCTUAUBUC $.
    $( [2-Jul-2004] $) $( [30-Jun-2004] $)

  $( Hilbert lattice ordering in terms of join. $)
  chlejb2t $p |- ( ( A e. CH /\ B e. CH ) -> ( A (_ B <-> ( B vH A ) = B ) ) $=
    ( cch wcel wa wss chj co wceq chlejb1t chjcomt eqeq1d bitrd ) ACDBCDEZABFAB
    GHZBIBAGHZBIABJNOPBABKLM $.
    $( [2-Jul-2004] $) $( [2-Jul-2004] $)

  $( Equivalent expressions for "not less than" in the Hilbert lattice. $)
  chnlet $p |- ( ( A e. CH /\ B e. CH ) ->
               ( -. B (_ A <-> A (. ( A vH B ) ) ) $=
    ( cch wcel wss wn chj co wpss wb c0h cif wceq sseq2 negbid id opreq1
    psseq12d bibi12d sseq1 opreq2 psseq2d h0elch elimel chnle dedth2h ) ACDZBCD
    ZBAEZFZAABGHZIZJBUGAKLZEZFZUMUMBGHZIZJUHBKLZUMEZFZUMUMURGHZIZJABKKAUMMZUJUO
    ULUQVCUIUNAUMBNOVCAUMUKUPVCPAUMBGQRSBURMZUOUTUQVBVDUNUSBURUMTOVDUPVAUMBURUM
    GUAUBSUMURAKCUCUDBKCUCUDUEUF $.
    $( [27-Jun-2004] $) $( [9-Jun-2004] $)

  $( The join of a closed subspace and its orthocomplement is all of Hilbert
     space. $)
  chjot $p |- ( A e. CH -> ( A vH ( _|_ ` A ) ) = H~ ) $=
    ( cch wcel cort cfv chj co chil wceq cif id fveq2 opreq12d eqeq1d helch
    elimel chjo dedth ) ABCZAADEZFGZHISAHJZUBDEZFGZHIAHAUBIZUAUDHUEAUBTUCFUEKAU
    BDLMNUBAHBOPQR $.
    $( [26-Nov-2005] $) $( [31-Oct-2005] $)

  $( Hilbert lattice absorption law.  From definition of lattice in
     [Kalmbach] p. 14. $)
  chabs1t $p |- ( ( A e. CH /\ B e. CH ) -> ( A vH ( A i^i B ) ) = A ) $=
    ( cch wcel wa cin chj co wss ssid inss1 pm3.2i wb chlubt pm3.26 chinclt
    syl3anc mpbii chub1t syldan eqssd ) ACDZBCDZEZAABFZGHZAUDAAIZUEAIZEZUFAIZUG
    UHAJABKLUBUECDZUBUIUJMUDAUEANUBUCOZABPZULQRUBUCUKAUFIUMAUESTUA $.
    $( [27-Jun-2004] $) $( [15-Jun-2004] $)

  $( Hilbert lattice absorption law.  From definition of lattice in
     [Kalmbach] p. 14. $)
  chabs2t $p |- ( ( A e. CH /\ B e. CH ) -> ( A i^i ( A vH B ) ) = A ) $=
    ( cch wcel wa chj co cin wss wceq chub1t ssid jctil ssin sylib inss1 eqss
    sylibr ) ACDBCDEZAABFGZHZAIZAUAIZEUAAJSUCUBSAAIZATIZEUCSUEUDABKALMAATNOATPM
    UAAQR $.
    $( [27-Jun-2004] $) $( [16-Jun-2004] $)

  ${
    chabs.1 $e |- A e. CH $.
    chabs.2 $e |- B e. CH $.
    $( Hilbert lattice absorption law.  From definition of lattice in
     [Kalmbach] p. 14. $)
    chabs1 $p |- ( A vH ( A i^i B ) ) = A $=
      ( cch wcel cin chj co wceq chabs1t mp2an ) AEFBEFAABGHIAJCDABKL $.
      $( [27-Jun-2004] $) $( [10-Jun-2004] $)

    $( Hilbert lattice absorption law.  From definition of lattice in
     [Kalmbach] p. 14. $)
    chabs2 $p |- ( A i^i ( A vH B ) ) = A $=
      ( cch wcel chj co cin wceq chabs2t mp2an ) AEFBEFAABGHIAJCDABKL $.
      $( [27-Jun-2004] $) $( [16-Jun-2004] $)
  $}

  $( Idempotent law for Hilbert lattice join. $)
  chjidmt $p |- ( A e. CH -> ( A vH A ) = A ) $=
    ( cch wcel cin chj co wceq chabs1t anidms inidm opreq2i syl5eqr ) ABCZAAADZ
    EFZAAAEFMOAGAAHINAAEAJKL $.
    $( [27-Jun-2004] $) $( [26-Jun-2004] $)

  ${
    chjidm.1 $e |- A e. CH $.
    $( Idempotent law for Hilbert lattice join. $)
    chjidm $p |- ( A vH A ) = A $=
      ( cch wcel chj co wceq chjidmt ax-mp ) ACDAAEFAGBAHI $.
      $( [27-Jun-2004] $) $( [15-Jun-2004] $)
  $}

  ${
    chj12.1 $e |- A e. CH $.
    chj12.2 $e |- B e. CH $.
    chj12.3 $e |- C e. CH $.
    $( A rearrangement of Hilbert lattice join. $)
    chj12 $p |- ( A vH ( B vH C ) ) = ( B vH ( A vH C ) ) $=
      ( chj co chjcom opreq1i chjass 3eqtr3 ) ABGHZCGHBAGHZCGHABCGHGHBACGHGHMNC
      GABDEIJABCDEFKBACEDFKL $.
      $( [11-May-2006] $) $( [29-Apr-2006] $)

    ${
      chj4.4 $e |- D e. CH $.
      $( Rearrangement of the join of 4 Hilbert lattice elements. $)
      chj4 $p |- ( ( A vH B ) vH ( C vH D ) ) =
                 ( ( A vH C ) vH ( B vH D ) ) $=
        ( chj co chj12 opreq2i chjcl chjass 3eqtr4 ) ABCDIJZIJZIJACBDIJZIJZIJAB
        IJPIJACIJRIJQSAIBCDFGHKLABPEFCDGHMNACREGBDFHMNO $.
        $( [14-May-2006] $) $( [29-Apr-2006] $)
    $}

    $( Hilbert lattice join distributes over itself. $)
    chjjdir $p |- ( ( A vH B ) vH C ) = ( ( A vH C ) vH ( B vH C ) ) $=
      ( chj co chjidm opreq2i chj4 eqtr3 ) ABGHZCCGHZGHMCGHACGHBCGHGHNCMGCFIJAB
      CCDEFFKL $.
      $( [14-May-2006] $) $( [29-Apr-2006] $)
  $}

  $( DeMorgan's law for meet in a Hilbert lattice. $)
  chdmm1t $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( A i^i B ) ) = ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) $=
    ( cch wcel cin cort cfv chj co wceq chil cif ineq1 fveq2d fveq2 opreq1d
    eqeq12d ineq2 opreq2d helch elimel chdmm1 dedth2h ) ACDZBCDZABEZFGZAFGZBFGZ
    HIZJUDAKLZBEZFGZUKFGZUIHIZJUKUEBKLZEZFGZUNUPFGZHIZJABKKAUKJZUGUMUJUOVAUFULF
    AUKBMNVAUHUNUIHAUKFOPQBUPJZUMURUOUTVBULUQFBUPUKRNVBUIUSUNHBUPFOSQUKUPAKCTUA
    BKCTUAUBUC $.
    $( [3-Jul-2004] $) $( [21-Jun-2004] $)

  $( DeMorgan's law for meet in a Hilbert lattice. $)
  chdmm2t $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( ( _|_ ` A ) i^i B ) ) = ( A vH ( _|_ ` B ) ) ) $=
    ( cch wcel wa cort cfv cin chj co wceq chdmm1t chocclt sylan ococt adantr
    opreq1d eqtrd ) ACDZBCDZEZAFGZBHFGZUBFGZBFGZIJZAUEIJUBCDTUCUFKSUBBLAMNUAUDA
    UEISUDAKTAOPQR $.
    $( [3-Jul-2004] $) $( [21-Jun-2004] $)

  $( DeMorgan's law for meet in a Hilbert lattice. $)
  chdmm3t $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( A i^i ( _|_ ` B ) ) ) = ( ( _|_ ` A ) vH B ) ) $=
    ( cch wcel wa cort cfv cin chj co wceq chdmm1t chocclt sylan2 ococt adantl
    opreq2d eqtrd ) ACDZBCDZEZABFGZHFGZAFGZUBFGZIJZUDBIJSUBCDUCUFKTAUBLBMNUAUEB
    UDITUEBKSBOPQR $.
    $( [3-Jul-2004] $) $( [21-Jun-2004] $)

  $( DeMorgan's law for meet in a Hilbert lattice. $)
  chdmm4t $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( ( _|_ ` A ) i^i ( _|_ ` B ) ) ) = ( A vH B ) ) $=
    ( cch wcel wa cort cfv cin chj co wceq chdmm2t chocclt sylan2 ococt adantl
    opreq2d eqtrd ) ACDZBCDZEZAFGBFGZHFGZAUBFGZIJZABIJSUBCDUCUEKTAUBLBMNUAUDBAI
    TUDBKSBOPQR $.
    $( [3-Jul-2004] $) $( [21-Jun-2004] $)

  $( DeMorgan's law for join in a Hilbert lattice. $)
  chdmj1t $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( A vH B ) ) = ( ( _|_ ` A ) i^i ( _|_ ` B ) ) ) $=
    ( cch wcel wa cort cfv cin chj co chdmm4t fveq2d wceq chinclt chocclt
    syl2an ococt syl eqtr3d ) ACDZBCDZEZAFGZBFGZHZFGZFGZABIJZFGUEUBUFUHFABKLUBU
    ECDZUGUEMUCCDUDCDUITUAUCUDNAOBOPUEQRS $.
    $( [3-Jul-2004] $) $( [21-Jun-2004] $)

  $( DeMorgan's law for join in a Hilbert lattice. $)
  chdmj2t $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( ( _|_ ` A ) vH B ) ) = ( A i^i ( _|_ ` B ) ) ) $=
    ( cch wcel wa cort cfv chj co cin wceq chdmj1t chocclt sylan ococt ineq1d
    adantr eqtrd ) ACDZBCDZEAFGZBHIFGZUAFGZBFGZJZAUDJZUACDTUBUEKSUABLAMNSUEUFKT
    SUCAUDAOPQR $.
    $( [3-Jul-2004] $) $( [21-Jun-2004] $)

  $( DeMorgan's law for join in a Hilbert lattice. $)
  chdmj3t $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( A vH ( _|_ ` B ) ) ) = ( ( _|_ ` A ) i^i B ) ) $=
    ( cch wcel wa cort cfv chj co cin wceq chdmj1t chocclt sylan2 ococt adantl
    ineq2d eqtrd ) ACDZBCDZEZABFGZHIFGZAFGZUBFGZJZUDBJSUBCDUCUFKTAUBLBMNUAUEBUD
    TUEBKSBOPQR $.
    $( [3-Jul-2004] $) $( [21-Jun-2004] $)

  $( DeMorgan's law for join in a Hilbert lattice. $)
  chdmj4t $p |- ( ( A e. CH /\ B e. CH ) ->
                ( _|_ ` ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) = ( A i^i B ) ) $=
    ( cch wcel wa cort cfv chj co cin wceq chdmj2t chocclt sylan2 ococt adantl
    ineq2d eqtrd ) ACDZBCDZEZAFGBFGZHIFGZAUBFGZJZABJSUBCDUCUEKTAUBLBMNUAUDBATUD
    BKSBOPQR $.
    $( [3-Jul-2004] $) $( [21-Jun-2004] $)

  $( Associative law for Hilbert lattice join.  From definition of lattice in
     [Kalmbach] p. 14. $)
  chjasst $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
                ( ( A vH B ) vH C ) = ( A vH ( B vH C ) ) ) $=
    ( cch wcel chj co wceq chil cif opreq1 opreq1d eqeq12d opreq2 opreq2d
    helch elimel chjass dedth3h ) ADEZBDEZCDEZABFGZCFGZABCFGZFGZHTAIJZBFGZCFGZU
    GUEFGZHABCIIIUGUABIJZFGZCFGZUGUKCFGZFGZHULUBCIJZFGZUGUKUPFGZFGZHAUGHZUDUIUF
    UJUTUCUHCFAUGBFKLAUGUEFKMBUKHZUIUMUJUOVAUHULCFBUKUGFNLVAUEUNUGFBUKCFKOMCUPH
    ZUMUQUOUSCUPULFNVBUNURUGFCUPUKFNOMUGUKUPAIDPQBIDPQCIDPQRS $.
    $( [28-Jun-2004] $) $( [10-Jun-2004] $)

  $( A rearrangement of Hilbert lattice join. $)
  chj12t $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
              ( A vH ( B vH C ) ) = ( B vH ( A vH C ) ) ) $=
    ( cch wcel w3a chj co wceq chjcomt 3adant3 opreq1d chjasst 3com12 3eqtr3d
    ) ADEZBDEZCDEZFZABGHZCGHBAGHZCGHZABCGHGHBACGHGHZSTUACGPQTUAIRABJKLABCMQPRUB
    UCIBACMNO $.
    $( [27-Jun-2006] $) $( [15-Jun-2006] $)

  $( Rearrangement of the join of 4 Hilbert lattice elements. $)
  chj4t $p |- ( ( ( A e. CH /\ B e. CH ) /\ ( C e. CH /\ D e. CH ) ) ->
              ( ( A vH B ) vH ( C vH D ) ) = ( ( A vH C ) vH ( B vH D ) ) ) $=
    ( cch wcel wa chj co wceq chj12t 3expb adantll opreq2d chjasst 3expa
    chjclt sylan2 an4s 3eqtr4d ) AEFZBEFZGZCEFZDEFZGZGZABCDHIZHIZHIZACBDHIZHIZH
    IZABHIUHHIZACHIUKHIZUGUIULAHUBUFUIULJZUAUBUDUEUPBCDKLMNUCUHEFZUNUJJZUFUAUBU
    QURABUHOPCDQRUAUDUBUEUOUMJZUAUDGUKEFZUSUBUEGUAUDUTUSACUKOPBDQRST $.
    $( [27-Jun-2006] $) $( [15-Jun-2006] $)

  ${
    ledi.1 $e |- A e. CH $.
    ledi.2 $e |- B e. CH $.
    ledi.3 $e |- C e. CH $.
    $( An ortholattice is distributive in one ordering direction. $)
    ledi $p |- ( ( A i^i B ) vH ( A i^i C ) ) (_ ( A i^i ( B vH C ) ) $=
      ( cin chj co wss inss1 chincl chlubi mp2an inss2 chlej12 ssini ) ABGZACGZ
      HIZABCHIZRAJSAJTAJABKACKRSAABDELZACDFLZDMNRBJSCJTUAJABOACORBSCUBEUCFPNQ
      $.
      $( [11-Aug-2004] $) $( [6-Aug-2004] $)

    $( An ortholattice is distributive in one ordering direction. $)
    ledir $p |- ( ( A i^i C ) vH ( B i^i C ) ) (_ ( ( A vH B ) i^i C ) $=
      ( cin chj co ledi incom opreq12i 3sstr4 ) CAGZCBGZHICABHIZGACGZBCGZHIPCGC
      ABFDEJQNROHACKBCKLPCKM $.
      $( [14-May-2006] $) $( [27-Apr-2006] $)

    $( An ortholattice is distributive in one ordering direction (join
       version). $)
    lejdi $p |- ( A vH ( B i^i C ) ) (_ ( ( A vH B ) i^i ( A vH C ) ) $=
      ( cin chj co wss wa chincl chjcl chlub bicomi chub1 ssini inss1 chub2
      sstri inss2 mpbir2an ) ABCGZHIABHIZACHIZGZJZAUFJZUCUFJZUHUIKUGAUCUFDBCEFL
      UDUEABDEMACDFMLNOAUDUEABDEPACDFPQUCUDUEUCBUDBCRBAEDSTUCCUEBCUACAFDSTQUB
      $.
      $( [16-May-2006] $) $( [27-Apr-2006] $)

    $( An ortholattice is distributive in one ordering direction (join
       version). $)
    lejdir $p |- ( ( A i^i B ) vH C ) (_ ( ( A vH C ) i^i ( B vH C ) ) $=
      ( cin chj co lejdi chincl chjcom ineq12i 3sstr4 ) CABGZHICAHIZCBHIZGOCHIA
      CHIZBCHIZGCABFDEJOCABDEKFLRPSQACDFLBCEFLMN $.
      $( [20-May-2006] $) $( [27-Apr-2006] $)
  $}

  $( An ortholattice is distributive in one ordering direction. $)
  ledit $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
              ( ( A i^i B ) vH ( A i^i C ) ) (_ ( A i^i ( B vH C ) ) ) $=
    ( cch wcel cin chj co wss c0h cif wceq ineq1 opreq12d sseq12d ineq2
    opreq1d opreq1 ineq2d opreq2d opreq2 h0elch elimel ledi dedth3h ) ADEZBDEZC
    DEZABFZACFZGHZABCGHZFZIUFAJKZBFZUNCFZGHZUNULFZIABCJJJUNUGBJKZFZUPGHZUNUSCGH
    ZFZIUTUNUHCJKZFZGHZUNUSVDGHZFZIAUNLZUKUQUMURVIUIUOUJUPGAUNBMAUNCMNAUNULMOBU
    SLZUQVAURVCVJUOUTUPGBUSUNPQVJULVBUNBUSCGRSOCVDLZVAVFVCVHVKUPVEUTGCVDUNPTVKV
    BVGUNCVDUSGUASOUNUSVDAJDUBUCBJDUBUCCJDUBUCUDUE $.
    $( [15-Jun-2006] $) $( [14-Jun-2006] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Span (cont.) and one-dimensional subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The span of the singleton of the zero vector is the zero subspace. $)
  spansn0 $p |- ( span ` { 0h } ) = 0H $=
    ( c0h cspn cfv c0v csn df-ch0 fveq2i csh wcel wceq h0elsh spanid ax-mp
    eqtr3 ) ABCZDEZBCAAPBFGAHIOAJKALMN $.
    $( [17-Jan-2005] $) $( [14-Jan-2005] $)

  $( The span of the empty set is the zero subspace.  Remark 11.6.e of
     [Schechter] p. 276. $)
  span0 $p |- ( span ` (/) ) = 0H $=
    ( c0 cspn cfv c0h chil wss h0elsh shssi 0ss spanss mp2an csh wcel wceq
    spanid ax-mp sseqtr spanclt sh0let eqssi ) ABCZDUADBCZDDEFADFUAUBFDGHDIADJK
    DLMUBDNGDOPQUALMZDUAFAEFUCEIARPUASPT $.
    $( [17-Aug-2004] $) $( [3-Jun-2004] $)

  ${
    $d x A $.  $d x B $.
    elspan.1 $e |- B e. V $.
    $( Membership in the span of a subset of Hilbert space. $)
    elspan $p |- ( A (_ H~ ->
                ( B e. ( span ` A ) <-> A. x e. SH ( A (_ x -> B e. x ) ) ) $=
      ( chil wss cspn cfv wcel cv csh crab cint wi wral spanvalt eleq2d
      elintrab syl6bb ) BEFZCBGHZICBAJZFZAKLMZIUCCUBINAKOTUAUDCABPQUCACKDRS $.
      $( [3-Jun-2004] $) $( [2-Jun-2004] $)

  $}

  ${
    spanun.1 $e |- A (_ H~ $.
    spanun.2 $e |- B (_ H~ $.
    $d x y z w A $.  $d x y z w B $.
    $( The span of a union is the subspace sum of spans. $)
    spanun $p |- ( span ` ( A u. B ) ) = ( ( span ` A ) +H ( span ` B ) ) $=
      ( vx vz vw vy cun cspn cfv cph co chil wss csh wcel spanclt ax-mp shscl
      shssi spanss2 unss12 mp2an shunss sstri spanss wceq spanid sseqtr cv wa
      cva wex wrex shsel r2ex bitr wi wral r19.27av wb visset elspan anbi12i
      r19.26 bitr4 sylanb prth unss syl5ibr shaddcltOLD sylan9r eleq1 biimprd
      sylan9 exp42 imp4c r19.20i unssi sylibr syl 19.23aivv sylbi ssriv eqssi
      ) ABIZJKZAJKZBJKZLMZWHWKJKZWKWKNOWGWKOWHWLOWKWIWJANOZWIPQCARSZBNOZWJPQDBR
      SZTZUAWGWIWJIZWKAWIOZBWJOZWGWROWMWSCAUBSWOWTDBUBSAWIBWJUCUDWIWJWNWPUEUFWG
      WKUGUDWKPQWLWKUHWQWKUISUJEWKWHEUKZWKQZFUKZWIQZGUKZWJQZULZXAXCXEUMMZUHZULZ
      GUNFUNZXAWHQZXBXIGWJUOFWIUOXKFGWIWJXAWNWPUPXIFGWIWJUQURXJXLFGXJAHUKZOZXCX
      MQZUSZBXMOZXEXMQZUSZULZXIULZHPUTZXLXTHPUTZXIYBXGXTXIHPVAXGXPHPUTZXSHPUTZU
      LYCXDYDXFYEWMXDYDVBCHAXCFVCVDSWOXFYEVBDHBXEGVCVDSVEXPXSHPVFVGVHYBWGXMOZXA
      XMQZUSZHPUTZXLYAYHHPXMPQZXPXSXIYHYJXPXSXIYHYJXTULYFXHXMQZXIYGXTYFXOXRULZY
      JYKXTXNXQULYLYFXNXOXQXRVIABXMVJVKXCXEXMVLVMXIYGYKXAXHXMVNVOVPVQVRVSWGNOXL
      YIVBABNCDVTHWGXAEVCVDSWAWBWCWDWEWF $.
      $( [28-Jun-2004] $) $( [2-Jun-2004] $)
  $}

  $( The span of a union is the subspace sum of spans. $)
  spanunt $p |- ( ( A (_ H~ /\ B (_ H~ ) ->
                ( span ` ( A u. B ) ) = ( ( span ` A ) +H ( span ` B ) ) ) $=
    ( chil wss cun cspn cfv cph co wceq cif uneq1 fveq2d fveq2 opreq1d eqeq12d
    uneq2 opreq2d sseq1 ssid elimhyp spanun dedth2h ) ACDZBCDZABEZFGZAFGZBFGZHI
    ZJUDACKZBEZFGZUKFGZUIHIZJUKUEBCKZEZFGZUNUPFGZHIZJABCCAUKJZUGUMUJUOVAUFULFAU
    KBLMVAUHUNUIHAUKFNOPBUPJZUMURUOUTVBULUQFBUPUKQMVBUIUSUNHBUPFNRPUKUPUDUKCDCC
    DZACAUKCSCUKCSCTZUAUEUPCDVCBCBUPCSCUPCSVDUAUBUC $.
    $( [18-Jun-2006] $) $( [9-Jun-2006] $)

  ${
    sshjococ.1 $e |- A (_ H~ $.
    sshjococ.2 $e |- B (_ H~ $.
    $( The join of two Hilbert space subsets (not necessarily closed subspaces)
       equals the join of their closures (double orthocomplements). $)
    sshhococ $p |- ( A vH B ) =
                 ( ( _|_ ` ( _|_ ` A ) ) vH ( _|_ ` ( _|_ ` B ) ) ) $=
      ( chj co cort cfv cun wss chil ococss ax-mp unss12 mp2an unssi occl
      choccl chssi occon2 wceq sshjvalt chjval 3sstr4 ssun1 sstri sseqtr4 cch
      wcel sshjclt ssun2 chlubi ococ sseqtr eqssi ) ABEFZAGHZGHZBGHZGHZEFZABIZG
      HGHZURUTIZGHGHZUPVAVBVDJZVCVEJAURJZBUTJZVFAKJZVGCALMBKJZVHDBLMAURBUTNOVBV
      DABKCDPZURUTKURUQACQRZSUTUSBDQRZSPTMVIVJUPVCUACDABUBOZURUTVLVMUCUDVAUPGHZ
      GHZUPURVPJZUTVPJZVAVPJAUPJVQAVCUPAVBVCABUEVBKJVBVCJVKVBLMZUFVNUGAUPCUPVIV
      JUPUHUICDABUJOZSZTMBUPJVRBVCUPBVBVCBAUKVSUFVNUGBUPDWATMURUTVPVLVMVOUPVTRR
      ULOUPVTUMUNUO $.
      $( [2-Sep-2004] $) $( [1-Jun-2004] $)
  $}

  $( Hilbert space has a nonzero vector iff it is not trivial. $)
  hne0 $p |- ( H~ =/= 0H <-> E. x e. H~ x =/= 0h ) $=
    ( chil helch chne0 ) ABCD $.
    $( [19-Mar-2006] $) $( [24-Feb-2006] $)

  $( The supremum of the empty set. $)
  chsup0 $p |- ( \/H ` (/) ) = 0H $=
    ( c0 chsup cfv c0h wss wceq csn 0ss cch wi wcel h0elch snssi ax-mp chsupss
    mp2an chsupsn sseqtr chsupclt chle0 mpbi ) ABCZDEUBDFUBDGZBCZDAUCEZUBUDEZUC
    HAIEZUCIEZUEUFJIHZDIKZUHLDIMNAUCOPNUJUDDFLDQNRUBUGUBIKUIASNTUA $.
    $( [13-Aug-2002] $)

  ${
    $d x A $.  $d x B $.
    h1deot.1 $e |- B e. H~ $.
    $( Membership in orthocomplement of 1-dimensional subspace. $)
    h1deot $p |- ( A e. ( _|_ ` { B } ) <->
                 ( A e. H~ /\ ( A .ih B ) = 0 ) ) $=
      ( vx csn cort cfv wcel chil cv csp co cc0 wceq wral wa wss wb snssi
      ax-mp ocelt wi wal df-ral elsn imbi1i albii elisseti opreq2 eqeq1d
      ceqsalv 3bitr anbi2i bitr ) ABEZFGHZAIHZADJZKLZMNZDUOOZPZUQABKLZMNZPUOIQZ
      UPVBRBIHVECBISTDAUOUATVAVDUQVAURUOHZUTUBZDUCURBNZUTUBZDUCVDUTDUOUDVGVIDVF
      VHUTDBUEUFUGUTVDDBBICUHVHUSVCMURBAKUIUJUKULUMUN $.
      $( [7-Jul-2001] $)

    $( Membership in 1-dimensional subspace. $)
    h1det $p |- ( A e. ( _|_ ` ( _|_ ` { B } ) ) <->
    ( A e. H~ /\ A. x e. H~ ( ( B .ih x ) = 0 -> ( A .ih x ) = 0 ) ) ) $=
      ( csn cort cfv wcel chil cv csp co cc0 wceq wral wa wi wss wb snssi
      ax-mp occl chssi ocelt h1deot orthcom mpan2 pm5.32i bitr imbi1i impexp
      ralbii2 anbi2i ) BCEZFGZFGHZBIHZBAJZKLMNZAUOOZPZUQCURKLMNZUSQZAIOZPUOIRUP
      VASUOUNCIHZUNIRDCITUAUBUCABUOUDUAUTVDUQUSVCAUOIURUOHZUSQURIHZVBPZUSQVGVCQ
      VFVHUSVFVGURCKLMNZPVHURCDUEVGVIVBVGVEVIVBSDURCUFUGUHUIUJVGVBUSUKUIULUMUI
      $.
      $( [7-Jul-2001] $)
  $}

  $( A generating vector belongs to the 1-dimensional subspace it
     generates. $)
  h1did $p |- ( A e. H~ -> A e. ( _|_ ` ( _|_ ` { A } ) ) ) $=
    ( chil wcel csn cort cfv wss snssi ococss syl snssg mpbird ) ABCZAADZEFEFZC
    NOGZMNBGPABHNIJAOBKL $.
    $( [22-Jul-2001] $)

  $( A non-zero vector generates a (non-zero) 1-dimensional subspace. $)
  h1dn0 $p |- ( ( A e. H~ /\ A =/= 0h ) ->
              ( _|_ ` ( _|_ ` { A } ) ) =/= 0H ) $=
    ( chil wcel c0v wne csn cort cfv c0h wceq eleq2 h1did syl5cbi elch0 syl6ib
    necon3d imp ) ABCZADEAFGHGHZIERSIADRSIJZAICZADJTASCUARSIAKALMANOPQ $.
    $( [19-Jun-2006] $) $( [22-Jul-2001] $)

  ${
    $d x A $.  $d x B $.
    h1de2.1 $e |- A e. H~ $.
    h1de2.2 $e |- B e. H~ $.
    $( Membership in 1-dimensional subspace.  All members are collinear with
       the generating vector. $)
    h1de2 $p |- ( A e. ( _|_ ` ( _|_ ` { B } ) ) ->
                ( ( B .ih B ) .h A ) = ( ( A .ih B ) .h B ) ) $=
      ( vx csn cort cfv wcel csp co cmul wceq csm cmin cc0 cmv chil hicl
      hvmulcl his2subt mp3an mulcom cc ax-his3 3eqtr4 subeq0 mpbir eqtr cv wi
      wral h1det mpbiran hvsubcl opreq2 eqeq1d imbi12d rcla4v ax-mp sylbi wb
      orthcom mp2an 3imtr4g mpi opreq12i eqtr2 syl5eq mulcl sylib eqcomd bcseq
      ) ABFGHGHIZABJKZBAJKZLKZAAJKZBBJKZLKZMVSANKZVOBNKZMVNVTVQVNVTVQOKZPMVTVQM
      VNWAWBQKZAJKZPWCVNWDBJKZPMZWEPMZWFWABJKZWBBJKZOKZPWARIZWBRIZBRIZWFWKMVSAB
      BDDSZCTZVOBABCDSZDTZDWAWBBUAUBWKPMWIWJMVSVOLKZVOVSLKZWIWJVSVOWOWQUCVSUDIZ
      ARIZWNWIWSMWOCDVSABUEUBVOUDIZWNWNWJWTMWQDDVOBBUEUBUFWIWJWABWPDSWBBWRDSUGU
      HUIVNBWDJKZPMZAWDJKZPMZWGWHVNBEUJZJKZPMZAXHJKZPMZUKZERULZXEXGUKZVNXBXNEAB
      DUMCUNWDRIZXNXOUKWAWBWPWRUOZXMXOEWDRXHWDMZXJXEXLXGXRXIXDPXHWDBJUPUQXRXKXF
      PXHWDAJUPUQURUSUTVAXPWNWGXEVBXQDWDBVCVDXPXBWHXGVBXQCWDAVCVDVEVFWEWAAJKZWB
      AJKZOKZWCWLWMXBWEYAMWPWRCWAWBAUAUBXSVTXTVQOXSVSVRLKZVTXAXBXBXSYBMWOCCVSAA
      UEUBVSVRWOAACCSZUCUIXCWNXBXTVQMWQDCVOBAUEUBVGVHVIVTVQVRVSYCWOVJVOVPWQBADC
      SVJUGVKVLABCDVMVK $.
      $( [17-Jul-2001] $)

    $( Membership in 1-dimensional subspace.  All members are collinear with
       the generating vector. $)
    h1de2b $p |- ( B =/= 0h -> ( A e. ( _|_ ` ( _|_ ` { B } ) ) <->
                A = ( ( ( A .ih B ) / ( B .ih B ) ) .h B ) ) ) $=
      ( c0v wne csp co cc0 csn cort cfv wcel cdiv csm wceq wb chil his6t ax-mp
      necon3bii wa c1 h1de2 adantl opreq2d cmul cc hicl recclz ax-hvmulass
      mp3an23 syl ax1cn divcan1zOLD opreq1d eqtr3d ax-hvmulid syl6eq adantr
      axmulcom mpan2 divrecz eqtr4d 3eqtr3d ex eleq1 divclz h1did csh wi wss
      snssi occl choccl chshi shmulcltOLD syl5cbir impbid sylbir ) BEFBBGHZIFZA
      BJZKLZKLZMZAABGHZWANHZBOHZPZQWAIBEBRMZWAIPBEPQDBSTUAWBWFWJWBWFWJWBWFUBZUC
      WANHZWAAOHZOHZWMWGBOHZOHZAWIWLWNWPWMOWFWNWPPWBABCDUDUEUFWBWOAPWFWBWOUCAOH
      ZAWBWMWAUGHZAOHZWOWRWBWMUHMZWTWOPZWABBDDUIZUJZXAWAUHMARMZXBXCCWMWAAUKULUM
      WBWSUCAOWAUCXCUNUOUPUQXEWRAPCAURTUSUTWBWQWIPWFWBWMWGUGHZBOHZWQWIWBXAXGWQP
      ZXDXAWGUHMZWKXHABCDUIZDWMWGBUKULUMWBXFWHBOWBXFWGWMUGHZWHWBXAXFXKPZXDXAXIX
      LXJWMWGVAVBUMWGWAXJXCVCVDUPUQUTVEVFWJWFWIWEMZWBAWIWEVGWBWHUHMZXMWGWAXJXCV
      HXNBWEMZXMWKXODBVITWEVJMXNXOUBXMVKWEWDWCWKWCRVLDBRVMTVNVOVPWHBWEVQTVBUMVR
      VSVT $.
      $( [19-Jul-2001] $)

    $( Lemma for ~ h1de2ct . $)
    h1de2ctlem $p |- ( A e. ( _|_ ` ( _|_ ` { B } ) ) <->
                 E. x e. CC A = ( x .h B ) ) $=
      ( csn cort cfv wcel cv csm co wceq cc wrex wi c0v cc0 sneq fveq2d eleq2d
      chil elisseti elsnc hsn0elch ococ eleq2i ax-hvmul0 ax-mp eqeq2i 3bitr4r
      syl6rbbr 0cn opreq1 eqeq2d rcla4ev mpan syl6bir wne csp cdiv h1de2b wb
      his6t necon3bii hicl divclz sylbir sylan ex sylbid pm2.61ine eleq1 h1did
      csh wa wss snssi occl choccl chshi shmulcltOLD mpan2 syl5cbir r19.23aiv
      impbi ) BCFZGHZGHZIZBAJZCKLZMZANOZWJWNPCQCQMZWJBRCKLZMZWNWOWJBQFZGHZGHZIZ
      WQWOWIWTBWOWHWSGWOWGWRGCQSTTUABWRIBQMXAWQBQBUBDUCUDWTWRBWRUEUFUGWPQBCUBIZ
      WPQMECUHUIUJUKULRNIWQWNUMWMWQARNWKRMWLWPBWKRCKUNUOUPUQURCQUSZWJBBCUTLZCCU
      TLZVALZCKLZMZWNBCDEVBXCXHWNXFNIZXHWNXCWMXHAXFNWKXFMWLXGBWKXFCKUNUOUPXCXER
      USXIXERCQXBXERMWOVCECVDUIVEXDXEBCDEVFCCEEVFVGVHVIVJVKVLWMWJANWMWJWLWIIZWK
      NIZBWLWIVMXKCWIIZXJXBXLECVNUIWIVOIXKXLVPXJPWIWHWGXBWGUBVQECUBVRUIVSVTWAWK
      CWIWBUIWCWDWEWF $.
      $( [10-Aug-2008] $) $( [19-Jul-2001] $)
  $}

  ${
    $d x A $.  $d x B $.
    h1de2ct.1 $e |- B e. H~ $.
    $( Membership in 1-dimensional subspace.  All members are collinear with
       the generating vector. $)
    h1de2ct $p |- ( A e. ( _|_ ` ( _|_ ` { B } ) ) <->
                 E. x e. CC A = ( x .h B ) ) $=
      ( csn cort cfv wcel chil cv csm co wceq cc wrex wss snssi ax-mp occl
      choccl chel eleq1 hvmulclt mpan2 syl5cbir r19.23aiv wb c0v cif eqeq1
      rexbidv bibi12d ax-hv0cl elimel h1de2ctlem dedth pm5.21nii ) BCEZFGZFGZHZ
      BIHZBAJZCKLZMZANOZBUTUSURCIHZURIPDCIQRSTUAVEVBANVEVBVDIHZVCNHZBVDIUBVIVGV
      HDVCCUCUDUEUFVBVAVFUGVBBUHUIZUTHZVJVDMZANOZUGBUHBVJMZVAVKVFVMBVJUTUBVNVEV
      LANBVJVDUJUKULAVJCBUHIUMUNDUOUPUQ $.
      $( [21-Jul-2001] $)
  $}

  ${
    $d x y z A $.  $d x B $.
    spansn.1 $e |- A e. H~ $.
    $( The span of a singleton in Hilbert space equals its closure. $)
    spansn $p |- ( span ` { A } ) = ( _|_ ` ( _|_ ` { A } ) ) $=
      ( vx vy vz csn cspn cfv cort chil wss wcel snssi ax-mp spanssoc cv wi
      csh wral wa csm co wceq cc wrex h1de2ct shmulcltOLD eleq1a com12 syl9r
      exp4a com3r r19.23aiv sylbi imp elisseti snss syl5ibr r19.21aiva wb
      visset elspan sylibr ssriv eqssi ) AFZGHZVFIHIHZVFJKZVGVHKAJLVIBAJMNZVFON
      CVHVGCPZVHLZVFDPZKZVKVMLZQZDRSZVKVGLZVLVPDRVLVMRLZTAVMLZVOVNVLVSVTVOQZVLV
      KEPZAUAUBZUCZEUDUEVSWAQZEVKABUFWDWEEUDWDVSWBUDLZWAWDVSWFVTVOVSWFVTTWCVMLZ
      WDVOWBAVMUGWGWDVOWCVMVKUHUIUJUKULUMUNUOAVMAJBUPUQURUSVIVRVQUTVJDVFVKCVAVB
      NVCVDVE $.
      $( [28-Jun-2004] $) $( [3-Jun-2004] $)

    $( Membership in the span of a singleton. $)
    elspansn $p |- ( B e. ( span ` { A } ) <-> E. x e. CC B = ( x .h A ) ) $=
      ( csn cspn cfv wcel cort cv csm co wceq cc wrex spansn eleq2i h1de2ct
      bitr ) CBEZFGZHCTIGIGZHCAJBKLMANOUAUBCBDPQACBDRS $.
      $( [28-Jun-2004] $) $( [3-Jun-2004] $)
  $}

  $( The span of a singleton in Hilbert space equals its closure. $)
  spansnt $p |- ( A e. H~ -> ( span ` { A } ) = ( _|_ ` ( _|_ ` { A } ) ) ) $=
    ( chil wcel csn cspn cfv cort wceq c0v cif sneq fveq2d eqeq12d ax-hv0cl
    elimel spansn dedth ) ABCZADZEFZSGFZGFZHRAIJZDZEFZUDGFZGFZHAIAUCHZTUEUBUGUH
    SUDEAUCKZLUHUAUFGUHSUDGUILLMUCAIBNOPQ $.
    $( [28-Jun-2004] $) $( [4-Jun-2004] $)

  $( The span of a Hilbert space singleton belongs to the Hilbert lattice. $)
  spansncht $p |- ( A e. H~ -> ( span ` { A } ) e. CH ) $=
    ( chil wcel csn cspn cfv cort cch spansnt wss snssi occlt chocclt 3syl
    eqeltrd ) ABCZADZEFQGFZGFZHAIPQBJRHCSHCABKQLRMNO $.
    $( [28-Jun-2004] $) $( [9-Jun-2004] $)

  $( The span of a Hilbert space singleton is a subspace. $)
  spansnsht $p |- ( A e. H~ -> ( span ` { A } ) e. SH ) $=
    ( chil wcel csn cspn cfv cch csh spansncht chsh syl ) ABCADEFZGCLHCAILJK $.
    $( [21-Dec-2004] $) $( [17-Dec-2004] $)

  ${
    spansnch.1 $e |- A e. H~ $.
    $( The span of a singleton in Hilbert space is a closed subspace. $)
    spansnch $p |- ( span ` { A } ) e. CH $=
      ( chil wcel csn cspn cfv cch spansncht ax-mp ) ACDAEFGHDBAIJ $.
      $( [29-Jun-2004] $) $( [3-Jun-2004] $)
  $}

  $( A vector belongs to the span of its singleton. $)
  spansnid $p |- ( A e. H~ -> A e. ( span ` { A } ) ) $=
    ( chil wcel csn cort cfv cspn h1did spansnt eleqtrrd ) ABCAADZEFEFKGFAHAIJ
    $.
    $( [29-Jun-2004] $) $( [3-Jun-2004] $)

  $( A scalar product with a vector belongs to the span of its singleton. $)
  spansnmul $p |- ( ( A e. H~ /\ B e. CC ) ->
                  ( B .h A ) e. ( span ` { A } ) ) $=
    ( cc wcel chil csm co csn cspn cfv csh wa shmulcltOLD imp an1s spansnsht
    spansnid jca sylan2 ancoms ) BCDZAEDZBAFGAHIJZDZUAUCKDZAUCDZLUDUBUEUAUFUDUE
    UAUFLUDBAUCMNOUBUEUFAPAQRST $.
    $( [29-Jun-2004] $) $( [3-Jun-2004] $)

  $( A member of a span of a singleton is a vector. $)
  elspansnclt $p |- ( ( A e. H~ /\ B e. ( span ` { A } ) ) -> B e. H~ ) $=
    ( csn chil wss cspn cfv wcel elspanclt snssi sylan ) ACZDEBLFGHBDHADHLBIADJ
    K $.
    $( [22-Dec-2004] $) $( [17-Dec-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Membership in the span of a singleton. $)
    elspansnt $p |- ( A e. H~ ->
                   ( B e. ( span ` { A } ) <-> E. x e. CC B = ( x .h A ) ) ) $=
      ( chil wcel csn cspn cfv cv csm co wceq cc wrex wb c0v cif sneq fveq2d
      eleq2d opreq2 eqeq2d rexbidv bibi12d ax-hv0cl elimel elspansn dedth ) BDE
      ZCBFZGHZEZCAIZBJKZLZAMNZOCUIBPQZFZGHZEZCUMUQJKZLZAMNZOBPBUQLZULUTUPVCVDUK
      USCVDUJURGBUQRSTVDUOVBAMVDUNVACBUQUMJUAUBUCUDAUQCBPDUEUFUGUH $.
      $( [29-Jun-2004] $) $( [5-Jun-2004] $)
  $}

  $( Membership in the span of a singleton.  All members are collinear with
     the generating vector. $)
  elspansn2t $p |- ( ( A e. H~ /\ B e. H~ /\ B =/= 0h ) ->
  ( A e. ( span ` { B } ) <-> A = ( ( ( A .ih B ) / ( B .ih B ) ) .h B ) ) ) $=
    ( chil wcel c0v wne w3a csn cspn cfv cort csp co cdiv csm wceq wb spansnt
    eleq2d 3ad2ant2 wi cif eleq1 id opreq1 opreq1d eqeq12d bibi12d imbi2d
    neeq1 sneq fveq2d opreq2 eqtrd opreq12d eqeq2d imbi12d ax-hv0cl elimel
    h1de2b dedth2h 3impia bitrd ) ACDZBCDZBEFZGABHZIJZDZAVGKJZKJZDZAABLMZBBLMZN
    MZBOMZPZVEVDVIVLQVFVEVHVKABRSTVDVEVFVLVQQZVDVEVFVRUAVFVDAEUBZVKDZVSVSBLMZVN
    NMZBOMZPZQZUAVEBEUBZEFZVSWFHZKJZKJZDZVSVSWFLMZWFWFLMZNMZWFOMZPZQZUAABEEAVSP
    ZVRWEVFWRVLVTVQWDAVSVKUCWRAVSVPWCWRUDWRVOWBBOWRVMWAVNNAVSBLUEUFUFUGUHUIBWFP
    ZVFWGWEWQBWFEUJWSVTWKWDWPWSVKWJVSWSVJWIKWSVGWHKBWFUKULULSWSWCWOVSWSWBWNBWFO
    WSWAWLVNWMNBWFVSLUMWSVNWFBLMWMBWFBLUEBWFWFLUMUNUOWSUDUOUPUHUQVSWFAECURUSBEC
    URUSUTVAVBVC $.
    $( [29-Jun-2004] $) $( [5-Jun-2004] $)

  ${
    $d x y z A $.  $d x y z B $.  $d x C $.
    $( The singletons of collinear vectors have the same span. $)
    spansncol $p |- ( ( A e. H~ /\ B e. CC /\ B =/= 0 ) ->
                    ( span ` { ( B .h A ) } ) = ( span ` { A } ) ) $=
      ( vx vy vz chil wcel cc cc0 wne w3a csm co csn cspn cfv cv wceq wrex wi
      wa cmul ax-hvmulass 3com13 3expa eqeq2d biimprd axmulcl ancoms adantll
      jctild opreq1 rcla4ev syl6 r19.23adva 3adant3 cdiv divclt 3expb adantlr
      simprl simplr syl3anc divcan1tOLD 3exp com12 imp32 opreq1d eqtr3d exp43
      com4l 3imp r19.23adv impbid wb hvmulclt elspansnt syl 3ad2ant1 3bitr4d
      eqrdv ) AFGZBHGZBIJZKZCBALMZNOPZANOPZWECQZDQZWFLMZRZDHSZWIEQZALMZRZEHSZWI
      WGGZWIWHGZWEWMWQWBWCWMWQTWDWBWCUAZWLWQDHWTWJHGZUAZWLWJBUBMZHGZWIXCALMZRZU
      AWQXBWLXFXDXBXFWLXBXEWKWIWBWCXAXEWKRZXAWCWBXGWJBAUCUDUEUFUGWCXAXDWBXAWCXD
      WJBUHUIUJUKWPXFEXCHWNXCRWOXEWIWNXCALULUFUMUNUOUPWEWPWMEHWBWCWDWNHGZWPWMTZ
      TXHWBWCWDXIXHWBWCWDXIXHWBUAZWCWDUAZUAZWPWNBUQMZHGZWIXMWFLMZRZUAWMXLWPXPXN
      XLXPWPXLXOWOWIXLXMBUBMZALMZXOWOXNWCWBXRXORXLXMBAUCXHXKXNWBXHWCWDXNWNBURUS
      UTZXJWCWDVAXHWBXKVBVCXLXQWNALXHXKXQWNRZWBXHWCWDXTWCXHWDXTTWCXHWDXTBWNVDVE
      VFVGUTVHVIUFUGXSUKWLXPDXMHWJXMRWKXOWIWJXMWFLULUFUMUNVJVKVLVMVNWBWCWRWMVOZ
      WDWTWFFGZYAWCWBYBBAVPUIDWFWIVQVRUPWBWCWSWQVOWDEAWIVQVSVTWA $.
      $( [4-Jul-2004] $) $( [6-Jun-2004] $)
  $}

  $( Membership relation implied by equality of spans. $)
  spansneleqi $p |- ( A e. H~ ->
        ( ( span ` { A } ) = ( span ` { B } ) -> A e. ( span ` { B } ) ) ) $=
    ( csn cspn cfv wceq wcel chil eleq2 spansnid syl5cbi ) ACDEZBCDEZFALGAMGAHG
    LMAIAJK $.
    $( [9-Sep-2004] $) $( [6-Jun-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Membership relation that implies equality of spans. $)
    spansneleq $p |- ( ( B e. H~ /\ A =/= 0h ) ->
         ( A e. ( span ` { B } ) -> ( span ` { A } ) = ( span ` { B } ) ) ) $=
      ( vx chil wcel c0v wne wa csn cspn cfv cv csm co wceq cc wrex wb
      elspansnt adantr sneq fveq2d ad2antll wi cc0 opreq1 ax-hvmul0 sylan9eqr
      ex eqeq1 biimprd sylan9 necon3d com23 imp3a spansncol 3expia syld exp4b
      imp43 eqtrd exp32 r19.23adv sylbid ) BDEZAFGZHZABIJKZEZACLZBMNZOZCPQZAIZJ
      KZVHOZVEVIVMRVFCBASTVGVLVPCPVGVJPEZVLVPVGVQVLHHVOVKIZJKZVHVLVOVSOVGVQVLVN
      VRJAVKUAUBUCVEVFVQVLVSVHOZVEVQVFVLVTUDVEVQVFVLVTVEVQHVFVLHZVJUEGZVTVEWAWB
      UDVQVEVFVLWBVEVLVFWBVEVLVFWBUDVEVLHVJUEAFVEVJUEOZVKFOZVLAFOZVEWCWDWCVEVKU
      EBMNFVJUEBMUFBUGUHUIVLWEWDAVKFUJUKULUMUIUNUOTVEVQWBVTBVJUPUQURUSUNUTVAVBV
      CVD $.
      $( [24-Jun-2006] $) $( [6-Jun-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( The span of the singleton of an element of a subspace is included in the
       subspace. $)
    spansnsst $p |- ( ( A e. SH /\ B e. A ) -> ( span ` { B } ) (_ A ) $=
      ( vx vy csh wcel wa csn cspn cfv cv csm co wceq cc wrex chil wb shelt
      elspansnt syl wi shmulcltOLD eleq1 biimprd syl9 com23 exp3a imp
      r19.23adv sylbid ssrdv ) AEFZBAFZGZCBHIJZAUOCKZUPFZUQDKZBLMZNZDOPZUQAFZUO
      BQFURVBRBASDBUQTUAUOVAVCDOUMUNUSOFZVAVCUBZUBUMVDUNVEUMVDUNVEUMVAVDUNGZVCU
      MVFUTAFZVAVCUSBAUCVAVCVGUQUTAUDUEUFUGUHUGUIUJUKUL $.
      $( [4-Jul-2004] $) $( [5-Jun-2004] $)
  $}

  $( A member of the span of the singleton of a vector is a member of a
     subspace containing the vector. $)
  elspansn3t $p |- ( ( A e. SH /\ B e. A /\ C e. ( span ` { B } ) ) ->
                   C e. A ) $=
    ( csh wcel csn cspn cfv wa spansnsst sseld 3impia ) ADEZBAEZCBFGHZECAEMNIOA
    CABJKL $.
    $( [19-Jun-2006] $) $( [16-Dec-2004] $)

  $( A span membership condition implying two vectors belong to the same
     subspace. $)
  elspansn4t $p |- ( ( ( A e. SH /\ B e. H~ ) /\
         ( C e. ( span ` { B } ) /\ C =/= 0h ) ) -> ( B e. A <-> C e. A ) ) $=
    ( csh wcel chil wa csn cspn cfv c0v wne wi elspansn3t 3exp com23 imp
    ad2ant2r 3expia spansnid ad2antrr wceq spansneleq eleqtrrd syl5 exp4b
    com24 exp4a imp43 impbid ) ADEZBFEZGCBHIJZEZCKLZGGBAEZCAEZUKUNUPUQMZULUOUKU
    NURUKUPUNUQUKUPUNUQABCNOPQRUKULUNUOUQUPMZUKUNULUOUSMUKUNULUOUSUKUQULUOGZUNU
    PUKUQUTUNUPUKUQGBCHIJZEZUPUTUNGZUKUQVBUPACBNSVCBUMVAULBUMEUOUNBTUAUTUNVAUMU
    BCBUCQUDUEUFUGUHPUIUJ $.
    $( [27-Dec-2007] $) $( [17-Dec-2004] $)

  $( A vector belonging to both a subspace and the span of the singleton of a
     vector not in it must be zero. $)
  elspansn5t $p |- ( A e. SH -> ( ( ( B e. H~ /\ -. B e. A ) /\
         ( C e. ( span ` { B } ) /\ C e. A ) ) -> C = 0h ) ) $=
    ( csh wcel chil wn csn cspn cfv wa c0v wceq wi wne elspansn4t biimprd
    exp32 com34 imp32 necon1bd exp31 imp4c ) ADEZBFEZBAEZGZCBHIJEZCAEZKZCLMZUDU
    EUJUGUKUDUEUJUGUKNUDUEKZUJKUFCLULUHUICLOZUFNULUHUMUIUFULUHUMUIUFNULUHUMKKUF
    UIABCPQRSTUAUBSUC $.
    $( [22-Dec-2004] $) $( [17-Dec-2004] $)

  $( The span of the singleton of an element of a subspace is included in the
     subspace. $)
  spansnss2t $p |- ( ( A e. SH /\ B e. H~ ) ->
                   ( B e. A <-> ( span ` { B } ) (_ A ) ) $=
    ( csh wcel chil wa csn cspn cfv wss wi spansnsst ex adantr ssel spansnid
    syl5com adantl impbid ) ACDZBEDZFBADZBGHIZAJZTUBUDKUATUBUDABLMNUAUDUBKTUDBU
    CDUBUAUCABOBPQRS $.
    $( [5-Jan-2005] $) $( [16-Dec-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Cancellation-type law that "extracts" a vector ` A ` from its inner
       product with a proportional vector ` B ` . $)
    normcant $p |- ( ( B e. H~ /\ B =/= 0h /\ A e. ( span ` { B } ) ) ->
            ( ( ( A .ih B ) / ( ( normh ` B ) ^ 2 ) ) .h B ) = A ) $=
      ( vx chil wcel c0v wne csn cspn cfv csp co cno c2 cexp cdiv csm wceq wa
      cv cc wrex wb elspansnt adantr cmul opreq1 ax-his3 pm3.27 pm3.26 syl3anc
      sylan9eqr normsqt ad2antrr opreq12d adantllr cc0 divcan4t hiclt anidms
      his6t necon3bid biimpar eqtrd opreq1d eqtr4d exp31 r19.23adv sylbid
      3impia ) BDEZBFGZABHIJEZABKLZBMJNOLZPLZBQLZARZVKVLSZVMACTZBQLZRZCUAUBZVRV
      KVMWCUCVLCBAUDUEVSWBVRCUAVSVTUAEZWBVRVSWDSZWBSZVQWAAWFVPVTBQWFVPVTBBKLZUF
      LZWGPLZVTVKWDWBVPWIRVLVKWDSZWBSVNWHVOWGPWBWJVNWABKLZWHAWABKUGWDVKVKWKWHRW
      JVTBBUHVKWDUIVKWDUJZWLUKULVKVOWGRWDWBBUMUNUOUPWEWIVTRZWBWGUAEZWDWGUQGZWMW
      EWGVTURVKWNVLWDVKWNBBUSUTUNVSWDUIVSWOWDVKWOVLVKWGUQBFBVAVBVCUEUKUEVDVEWEW
      BUIVFVGVHVIVJ $.
      $( [28-May-2006] $) $( [18-Mar-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( A projection on the span of a singleton. $)
    pjspansnt $p |- ( ( A e. H~ /\ B e. H~ /\ A =/= 0h ) -> ( ( proj ` ( span `
        { A } ) ) ` B ) = ( ( ( B .ih A ) / ( ( normh ` A ) ^ 2 ) ) .h A ) ) $=
      ( vx vy chil wcel c0v wne w3a csn cspn cfv cpj cv cva co wceq cort wrex
      crab cuni csp cno c2 cexp cdiv csm cch pjvalt spansncht sylan 3adant3
      wss wi wa opreq1 ad2antll caddc cc0 chelt chocclt syl adantlr ax-his2
      3comr 3expa syldan csh shocorth 3impib spansnsht adantr spansnid pm3.27
      syl3anc wb orthcom mpbid opreq2d cc hiclt ancoms ax0id 3eqtrd pm3.26
      elspansnclt jca adantrr eqtrd adantllr opreq1d normcant eqtr2d exp32
      r19.23adv 3adantl2 ss2rabdv wreu pjtheut reuunisn spansnmul 3simp1
      divclt normclt recnd sqclt 3ad2ant1 sqne0t normne0t bitr2d biimpa
      3adant2 sylanc rabsn 3sstr3d fvex rabex uniex snsssn ) AEFZBEFZAGHZIZBAJZ
      KLZMLLZBCNZDNZOPZQZDYERLZSZCYETZUAZBAUBPZAUCLZUDUEPZUFPZAUGPZXTYAYFYNQZYB
      YEUHFZYAYTXTCDBYEUIAUJZUKULYCYNJZYSJZUMYNYSQYCYMYGYSQZCYETZUUCUUDYCYLUUEC
      YEXTYBYGYEFZYLUUEUNYAXTYBUOUUGUOZYJUUEDYKUUHYHYKFZYJUUEUUHUUIYJUOZUOZYSYG
      AUBPZYQUFPZAUGPZYGUUKYRUUMAUGUUKYOUULYQUFXTUUGUUJYOUULQYBXTUUGUOZUUJUOYOY
      IAUBPZUULYJYOUUPQUUOUUIBYIAUBUPUQUUOUUIUUPUULQZYJXTYGEFZUOZUUIUUQUUOUUSUU
      IUOZUUPUULYHAUBPZURPZUULUSURPZUULUUSUUIYHEFZUUPUVBQZXTUUIUVDUURYKUHFZUUIU
      VDXTYHYKUTXTUUAUVFUUBYEVAVBUKZVCXTUURUVDUVEUURUVDXTUVEYGYHAVDVEVFVGUUTUVA
      USUULURXTUUIUVAUSQZUURXTUUIUOZAYHUBPUSQZUVHYEVHFZAYEFZUUIUVJUVIUVKUVLUUIU
      VJAYHYEVIVJXTUVKUUIAVKVLXTUVLUUIAVMVLXTUUIVNVOXTUUIUVDUVJUVHVPUVGAYHVQVGV
      RVCVSUUSUVCUULQZUUIUUSUULVTFZUVMUURXTUVNYGAWAWBUULWCVBVLWDUUOXTUURXTUUGWE
      AYGWFWGUKWHWIWJWKWKUUHUUNYGQZUUJXTYBUUGUVOYGAWLVFVLWMWNWOWPWQYCYLCYEWRZYM
      UUCQXTYAUVPYBUUAYAUVPXTCDBYEWSUUBUKULYLCYEWTVBYCYSYEFZUUFUUDQXTYRVTFZUVQY
      CAYRXAXTYAYBXBYOVTFZYQVTFZYQUSHZUVRYCYOYQXCXTYAUVSYBYAXTUVSBAWAWBULXTYAUV
      TYBXTYPVTFZUVTXTYPAXDXEZYPXFVBXGXTYBUWAYAXTYBUWAXTUWAYPUSHZYBXTUWBUWAUWDV
      PUWCYPXHVBAXIXJXKXLVOXMCYEYSXNVBXOYNYSYMYLCYEYDKXPXQXRXSVBWI $.
      $( [12-Jul-2006] $) $( [28-May-2006] $)
  $}

  ${
    spansnpj.1 $e |- A (_ H~ $.
    spansnpj.2 $e |- B e. H~ $.
    $( A subset of Hilbert space is orthogonal to the span of the singleton of
       a projection onto its orthocomplement. $)
    spansnpj $p |- A (_
                 ( _|_ ` ( span ` { ( ( proj ` ( _|_ ` A ) ) ` B ) } ) ) $=
      ( cort cfv cpj csn cspn chil wss ococss ax-mp occl chssi wcel pjcli
      snssi spanss mp2an csh wceq chshi spanid sseqtr pjhcli spansnch chsscon3
      mpbi sstri ) AAEFZEFZBUKGFFZHZIFZEFZAJKAULKCALMUOUKKULUPKUOUKIFZUKUKJKUNU
      KKZUOUQKUKACNZOUMUKPURBUKUSDQUMUKRMUNUKSTUKUAPUQUKUBUKUSUCUKUDMUEUOUKUMBU
      KUSDUFUGUSUHUIUJ $.
      $( [4-Jul-2004] $) $( [4-Jun-2004] $)
  $}

  ${
    $d x y z w v u A $.  $d x y z w v u B $.
    spanunsn.1 $e |- A e. CH $.
    spanunsn.2 $e |- B e. H~ $.
    $( The span of the union of a closed subspace with a singleton equals
       the span of its union with an orthogonal singleton. $)
    spanunsn $p |- ( span ` ( A u. { B } ) ) =
             ( span ` ( A u. { ( ( proj ` ( _|_ ` A ) ) ` B ) } ) ) $=
      ( vx vy vz vw vv vu csn cspn cfv cph co cort cpj cun cv wcel cva wceq
      wrex chshi chil wss csh snssi ax-mp spanclt shsel csm cc wi wa eleq1
      biimparc rcla4eopr shaddcltOLD pjcli shmulcltOLD mpan2 sylan2i choccl
      pjhcli spansnmul mpan adantl ax-hvdistr1 mp3an23 pjpj opreq2i syl5eq
      opreq2d ax-hvass 3expb chel hvmulclt jca syl2an eqtr4d syl3anc sylibr
      opreq2 eqeq2d biimpa exp43 r19.23adv elspansn syl5ib r19.23aiv sylbi
      cneg negclt syl sylani ancoms c0v c1 hvm1negt hvnegidt ax-hvcom sylanc
      3eqtr3d opreq1d hvaddclt hvaddid2t hvadd4t anim12i impbi eqriv chssi
      spanun spanid opreq1i eqtr 3eqtr4 ) ABKZLMZNOZABAPMZQMMZKZLMZNOZAXRRLMZAY
      CRLMZEXTYEESZXTTZYHYETZYIYHFSZGSZUAOZUBZGXSUCZFAUCYJFGAXSYHACUDZXRUEUFZXS
      UGTBUETZYQDBUEUHUIZXRUJUIZUKYOYJFAYKATZYNYJGXSUUAYLHSZBULOZUBZHUMUCYNYJUN
      ZYLXSTUUAUUDUUEHUMUUAUUBUMTZUUDYNYJYKUUCUAOZYETZYHUUGUBZYJUUAUUFUOZUUDYNU
      OUUIYJUUHYHUUGYEUPUQUUJUUGISJSUAOZUBJYDUCIAUCZUUHYKUUBBAQMMZULOZUAOZATZUU
      BYBULOZYDTZUUGUUOUUQUAOZUBUULUUJIJAYDUUOUUQUUGUAURAUGTZUUJUUPUNYPUUTUUAUU
      NATZUUPUUFYKUUNAUSUUFUUMATZUVABACDUTZUUTUUFUVBUOUVAUNYPUUBUUMAVAUIVBVCUIU
      UFUURUUAYBUETZUUFUURBYAACVDDVEZYBUUBVFVGVHUUJUUGYKUUNUUQUAOZUAOZUUSUUJUUC
      UVFYKUAUUFUUCUVFUBUUAUUFUUBUUMYBUAOZULOZUVFUUCUUFUUMUETZUVDUVIUVFUBBACDVE
      ZUVEUUBUUMYBVIVJBUVHUUBULBACDVKVLVMVHZVNYKUETZUUNUETZUUQUETZUOUUSUVGUBZUU
      AUUFUVMUVNUVOUVPYKUUNUUQVOVPYKACVQZUUFUVNUVOUUFUVJUVNUVKUUBUUMVRVBZUUFUVD
      UVOUVEUUBYBVRVBZVSVTWAWBIJAYDUUGYPYCUEUFZYDUGTUVDUVTUVEYBUEUHUIZYCUJUIZUK
      WCUUDYNUUIUUDYMUUGYHYLUUCYKUAWDWEWFVTWGWHHBYLDWIWJWHWKWLYJYNGYDUCZFAUCYIF
      GAYDYHYPUWBUKUWCYIFAUUAYNYIGYDUUAYLUUQUBZHUMUCYNYIUNZYLYDTUUAUWDUWEHUMUUA
      UUFUWDYNYIYKUUQUAOZXTTZYHUWFUBZYIUUJUWDYNUOUWHYIUWGYHUWFXTUPUQUUJUWFUUKUB
      JXSUCIAUCZUWGUUBWMZUUMULOZYKUAOZATZUUCXSTZUWFUWLUUCUAOZUBUWIUUJIJAXSUWLUU
      CUWFUAURUUFUUAUWMUUTUUFUUAUOUWMUNYPUUTUWKATZUUAUWMUUFUWKYKAUSUUFUWJUMTZUW
      PUUBWNZUWQUVBUWPUVCUUTUWQUVBUOUWPUNYPUWJUUMAVAUIVBWOWPUIWQUUFUWNUUAYRUUFU
      WNDBUUBVFVGVHUUJUWFUWLUVFUAOZUWOUUJWRUWFUAOZUWKUUNUAOZUWFUAOZUWFUWSUUJWRU
      XAUWFUAUUFWRUXAUBUUAUUFUUNWSWMUUNULOZUAOZUUNUWKUAOZWRUXAUUFUXCUWKUUNUAUUF
      UVJUXCUWKUBUVKUUBUUMWTVBVNUUFUVNUXDWRUBUVRUUNXAWOUVNUWKUETZUXEUXAUBUUFUUN
      UWKXBUVRUUFUWQUXFUWRUWQUVJUXFUVKUWJUUMVRVBWOZXCXDVHXEUUJUWFUETZUWTUWFUBUV
      MUVOUXHUUAUUFYKUUQXFUVQUVSVTUWFXGWOUXFUVNUOZUVMUVOUOUXBUWSUBUUJUWKUUNYKUU
      QXHUUFUXIUUAUUFUXFUVNUXGUVRVSVHUUAUVMUUFUVOUVQUVSXIXCXDUUJUUCUVFUWLUAUVLV
      NWAWBIJAXSUWFYPYTUKWCUWDYNUWHUWDYMUWFYHYLUUQYKUAWDWEWFVTWGWHHYBYLUVEWIWJW
      HWKWLXJXKYFALMZXSNOXTAXRACXLZYSXMUXJAXSNUUTUXJAUBYPAXNUIZXOXPYGUXJYDNOYEA
      YCUXKUWAXMUXJAYDNUXLXOXPXQ $.
      $( [6-Jul-2004] $) $( [3-Jun-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The span of a pair of vectors. $)
    spanpr $p |- ( ( A e. H~ /\ B e. H~ ) ->
                 ( span ` { ( A +h B ) } ) (_ ( span ` { A , B } ) ) $=
      ( vx chil wcel wa cva co csn cspn cfv cph cpr cv csh elspansn3t shsclt
      spansnsht syl2an adantr shsvat anim12i spansnid sylc pm3.27 syl3anc ex
      ssrdv cun wss wceq spanunt snssi df-pr fveq2i syl5req sseqtrd ) ADEZBDEZF
      ZABGHZIJKZAIZJKZBIZJKZLHZABMZJKZUTCVBVGUTCNZVBEZVJVGEZVGOEZVAVGEZVKVLUTVK
      FVGVAVJPUTVMVKVDOEZVFOEZVMURUSVDVFQARZBRZSTUTVNVKVOVPFAVDEZBVFEZFVNUTVDVF
      ABUAURVOUSVPVQVRUBURVSUSVTAUCBUCUBUDTUTVKUEUFUGUHUTVCVEUIZJKZVGVIVCDUJVED
      UJWBVGUKURUSVCVEULADUMBDUMSVHWAJABUNUOUPUQ $.
      $( [19-Jun-2006] $) $( [9-Jun-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    h1datom.1 $e |- A e. CH $.
    h1datom.2 $e |- B e. H~ $.
    $( A 1-dimensional subspace is an atom. $)
    h1datom $p |- ( A (_ ( _|_ ` ( _|_ ` { B } ) ) ->
                  ( A = ( _|_ ` ( _|_ ` { B } ) ) \/ A = 0H ) ) $=
      ( vx vy csn cort cfv wss wne c0h wceq wi wo wn wa wcel cv c0v wrex ssel
      csm co cc cc0 eqeq1 opreq1 chil ax-hvmul0 ax-mp syl6eq syl5bir necon3d
      adantl c1 cdiv recclt csh chshi shmulclt mp3an1 ex syl adantr opreq2
      cmul ax-hvmulass mp3an3 pm3.26 sylanc recid2t opreq1d eqtr3d ax-hvmulid
      sylan9eqr eleq1d sylibd exp31 com23 imp syld com3r exp3a r19.23adv
      h1de2ct syl5ib sylcom chne0 snssi chssi occon2 ococ syl6ss syl6 anc2li
      eqss syl6ibr df-ne syl5ibr necon1ad neor sylibr ) ABGZHIHIZJZAXEKALMZNAXE
      MZXGOXFXGAXEXFALKZXHXGPXFXIXFXEAJZQXHXFXIXJXFXIBARZXJXFESZTKZEAUAXKXIXFXM
      XKEAXFXLARZXLXERZXMXKNZAXEXLUBXNXLFSZBUCUDZMZFUEUAXPXOXNXSXPFUEXNXQUERZXS
      XPXTXSQZXMXNXKYAXMXQUFKZXNXKNZXSXMYBNXTXSXQUFXLTXSXLTMXRTMXQUFMZXLXRTUGYD
      XRUFBUCUDZTXQUFBUCUHBUIRZYETMDBUJUKULUMUNUOXTXSYBYCNXTYBXSYCXTYBXSYCXTYBQ
      ZXSQZXNUPXQUQUDZXLUCUDZARZXKYGXNYKNZXSYGYIUERZYLXQURZYMXNYKAUSRYMXNYKACUT
      YIXLAVAVBVCVDVEYHYJBAXSYGYJYIXRUCUDZBXLXRYIUCVFYGYOUPBUCUDZBYGYIXQVGUDZBU
      CUDZYOYPYMXTYRYOMZYGYMXTYFYSDYIXQBVHVIYNXTYBVJVKYGYQUPBUCXQVLVMVNYFYPBMDB
      VOUKULVPVQVRVSVTWAWBWCWDWEFXLBDWFWGWHWEEACWIWGXKXEAHIHIZAXKXDAJXEYTJBAWJX
      DAYFXDUIJDBUIWJUKACWKWLVDACWMWNWOWPAXEWQWRALWSWTXAXGAXEXBXC $.
      $( [20-Jul-2001] $)
  $}

  $( A 1-dimensional subspace is an atom. $)
  h1datomt $p |- ( ( A e. CH /\ B e. H~ ) ->
                ( A (_ ( _|_ ` ( _|_ ` { B } ) ) ->
                ( A = ( _|_ ` ( _|_ ` { B } ) ) \/ A = 0H ) ) ) $=
    ( cch wcel chil csn cort cfv wss wceq c0h wo wi cif c0v sseq1 eqeq1
    orbi12d imbi12d sneq fveq2d sseq2d eqeq2d orbi1d h0elch elimel ax-hv0cl
    h1datom dedth2h ) ACDZBEDZABFZGHZGHZIZAUNJZAKJZLZMUJAKNZUNIZUSUNJZUSKJZLZMU
    SUKBONZFZGHZGHZIZUSVGJZVBLZMABKOAUSJZUOUTURVCAUSUNPVKUPVAUQVBAUSUNQAUSKQRSB
    VDJZUTVHVCVJVLUNVGUSVLUMVFGVLULVEGBVDTUAUAZUBVLVAVIVBVLUNVGUSVMUCUDSUSVDAKC
    UEUFBOEUGUFUHUI $.
    $( [22-Jul-2001] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            Operator sum, difference, and scalar multiplication
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f g h x y $.
    $( Define the sum of two Hilbert space operators.  Definition of [Beran]
       p. 111.

      _Note on operators_.  Unlike some authors, we use the term "operator" to
      mean any function from ` H~ ` to ` H~ ` .  This is the definition of
      operator in [Hughes] p. 14, the definition of operator in
      [AkhiezerGlazman] p. 30, and the definition of operator in [Goldberg]
      p. 10.  For Reed and Simon, an operator is linear (definition of
      operator in [ReedSimon] p. 2).  For Halmos, an operator is bounded and
      linear (definition of operator in [Halmos] p. 35).  For Kalmbach and
      Beran, an operator is continuous and linear (definition of operator in
      [Kalmbach] p. 353; definition of operator in [Beran] p. 99).  Note that
      "bounded and linear" and "continuous and linear" are equivalent by
      ~ lncnbd . $)
    df-hosum $a |- +op = { <. <. f , g >. , h >. | ( ( f : H~ --> H~ /\
          g : H~ --> H~ ) /\
          h = { <. x , y >. | ( x e. H~ /\
           y = ( ( f ` x ) +h ( g ` x ) ) ) } ) } $.

    $( Define the scalar product with a Hilbert space operator.  Definition of
       [Beran] p. 111. $)
    df-homul $a |- .op = { <. <. f , g >. , h >. | ( ( f e. CC /\
          g : H~ --> H~ ) /\
          h = { <. x , y >. | ( x e. H~ /\
           y = ( f .h ( g ` x ) ) ) } ) } $.

$(
    @( Define the difference of two Hilbert space operators.  Definition of
       [Beran] p. 111. @)
    df-hodif @a |- -op = { <. <. f , g >. , h >. | ( ( f : H~ --> H~ /\
          g : H~ --> H~ ) /\ h = ( f +op ( -u 1 .op g ) ) ) } @.
$)

    $( Define the difference of two Hilbert space operators.  Definition of
       [Beran] p. 111. $)
    df-hodif $a |- -op = { <. <. f , g >. , h >. | ( ( f : H~ --> H~ /\
          g : H~ --> H~ ) /\
          h = { <. x , y >. | ( x e. H~ /\
           y = ( ( f ` x ) -h ( g ` x ) ) ) } ) } $.

    $( Define the sum of two Hilbert space functionals.  Definition of [Beran]
       p. 111.  Note that unlike some authors, we define a functional as any
       function from ` H~ ` to ` CC ` , not just linear (or bounded linear)
       ones. $)
    df-hfsum $a |- +fn = { <. <. f , g >. , h >. | ( ( f : H~ --> CC /\
          g : H~ --> CC ) /\
          h = { <. x , y >. | ( x e. H~ /\
           y = ( ( f ` x ) + ( g ` x ) ) ) } ) } $.

    $( Define the scalar product with a Hilbert space functional.  Definition
       of [Beran] p. 111. $)
    df-hfmul $a |- .fn = { <. <. f , g >. , h >. | ( ( f e. CC /\
          g : H~ --> CC ) /\
          h = { <. x , y >. | ( x e. H~ /\
           y = ( f x. ( g ` x ) ) ) } ) } $.
  $}

  ${
    $d f g h x y A $.  $d x y f g h S $.  $d x y f g h T $.
    $( Value of the sum of two Hilbert space operators. $)
    hosmvalt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ ) -> ( S +op T ) =
        { <. x , y >. | ( x e. H~ /\ y = ( ( S ` x ) +h ( T ` x ) ) ) } ) $=
      ( vf vg vh chil cm co wcel chos cv cfv cva wceq wa copab wf ax-hilex
      opabex2 fveq1 opreq1d eqeq2d anbi2d opabbidv opreq2d copab2 df-hosum
      elmap anbi12i anbi1i oprabbii eqtr4 oprabval2 syl2anbr ) CHHIJZKDUQKCDLJA
      MZHKZBMZURCNZURDNZOJZPZQZABRZPHHCSHHDSEFGCDUQUQUSUTUREMZNZURFMZNZOJZPZQZA
      BRZVFLUSUTVAVJOJZPZQZABRABHVCTUAVGCPZVMVQABVRVLVPUSVRVKVOUTVRVHVAVJOURVGC
      UBUCUDUEUFVIDPZVQVEABVSVPVDUSVSVOVCUTVSVJVBVAOURVIDUBUGUDUEUFLHHVGSZHHVIS
      ZQZGMVNPZQZEFGUHVGUQKZVIUQKZQZWCQZEFGUHABEFGUIWHWDEFGWGWBWCWEVTWFWAHHVGTT
      UJHHVITTUJUKULUMUNUOHHCTTUJHHDTTUJUP $.
      $( [9-Nov-2000] $)

    $( Value of the scalar product with a Hilbert space operator. $)
    hommvalt $p |- ( ( A e. CC /\ T : H~ --> H~ ) -> ( A .op T ) =
        { <. x , y >. | ( x e. H~ /\ y = ( A .h ( T ` x ) ) ) } ) $=
      ( vf vg vh cc wcel chil cm co chot cv cfv csm wceq wa copab wf ax-hilex
      opabex2 opreq1 eqeq2d anbi2d opabbidv fveq1 opreq2d copab2 df-homul
      elmap anbi2i anbi1i oprabbii eqtr4 oprabval2 sylan2br ) CHIDJJKLZICDMLANZ
      JIZBNZCUSDOZPLZQZRZABSZQJJDTEFGCDHURUTVAENZUSFNZOZPLZQZRZABSZVFMUTVACVIPL
      ZQZRZABSABJVCUAUBVGCQZVLVPABVQVKVOUTVQVJVNVAVGCVIPUCUDUEUFVHDQZVPVEABVRVO
      VDUTVRVNVCVAVRVIVBCPUSVHDUGUHUDUEUFMVGHIZJJVHTZRZGNVMQZRZEFGUIVSVHURIZRZW
      BRZEFGUIABEFGUJWFWCEFGWEWAWBWDVTVSJJVHUAUAUKULUMUNUOUPJJDUAUAUKUQ $.
      $( [19-Mar-2006] $) $( [20-Feb-2006] $)

    $( Value of the difference of two Hilbert space operators. $)
    hodmvalt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ ) -> ( S -op T ) =
        { <. x , y >. | ( x e. H~ /\ y = ( ( S ` x ) -h ( T ` x ) ) ) } ) $=
      ( vf vg vh chil cm co wcel chod cv cfv cmv wceq wa copab wf ax-hilex
      opabex2 fveq1 opreq1d eqeq2d anbi2d opabbidv opreq2d copab2 df-hodif
      elmap anbi12i anbi1i oprabbii eqtr4 oprabval2 syl2anbr ) CHHIJZKDUQKCDLJA
      MZHKZBMZURCNZURDNZOJZPZQZABRZPHHCSHHDSEFGCDUQUQUSUTUREMZNZURFMZNZOJZPZQZA
      BRZVFLUSUTVAVJOJZPZQZABRABHVCTUAVGCPZVMVQABVRVLVPUSVRVKVOUTVRVHVAVJOURVGC
      UBUCUDUEUFVIDPZVQVEABVSVPVDUSVSVOVCUTVSVJVBVAOURVIDUBUGUDUEUFLHHVGSZHHVIS
      ZQZGMVNPZQZEFGUHVGUQKZVIUQKZQZWCQZEFGUHABEFGUIWHWDEFGWGWBWCWEVTWFWAHHVGTT
      UJHHVITTUJUKULUMUNUOHHCTTUJHHDTTUJUP $.
      $( [9-Nov-2000] $)

    $( Value of the sum of two Hilbert space functionals. $)
    hfsmvalt $p |- ( ( S : H~ --> CC /\ T : H~ --> CC ) -> ( S +fn T ) =
        { <. x , y >. | ( x e. H~ /\ y = ( ( S ` x ) + ( T ` x ) ) ) } ) $=
      ( vf vg vh cc chil cm co wcel chfs cv cfv caddc wceq wa copab wf
      ax-hilex opabex2 fveq1 opreq1d eqeq2d anbi2d opabbidv opreq2d copab2
      df-hfsum axcnex elmap anbi12i anbi1i oprabbii eqtr4 oprabval2 syl2anbr )
      CHIJKZLDUSLCDMKANZILZBNZUTCOZUTDOZPKZQZRZABSZQIHCTIHDTEFGCDUSUSVAVBUTENZO
      ZUTFNZOZPKZQZRZABSZVHMVAVBVCVLPKZQZRZABSABIVEUAUBVICQZVOVSABVTVNVRVAVTVMV
      QVBVTVJVCVLPUTVICUCUDUEUFUGVKDQZVSVGABWAVRVFVAWAVQVEVBWAVLVDVCPUTVKDUCUHU
      EUFUGMIHVITZIHVKTZRZGNVPQZRZEFGUIVIUSLZVKUSLZRZWERZEFGUIABEFGUJWJWFEFGWIW
      DWEWGWBWHWCHIVIUKUAULHIVKUKUAULUMUNUOUPUQHICUKUAULHIDUKUAULUR $.
      $( [27-Jun-2006] $) $( [23-May-2006] $)

    $( Value of the scalar product with a Hilbert space functional. $)
    hfmmvalt $p |- ( ( A e. CC /\ T : H~ --> CC ) -> ( A .fn T ) =
        { <. x , y >. | ( x e. H~ /\ y = ( A x. ( T ` x ) ) ) } ) $=
      ( vf vg vh cc wcel chil cm co chft cv cfv cmul wceq wa copab wf ax-hilex
      opabex2 opreq1 eqeq2d anbi2d opabbidv fveq1 opreq2d copab2 df-hfmul
      axcnex elmap anbi2i anbi1i oprabbii eqtr4 oprabval2 sylan2br ) CHIDHJKLZI
      CDMLANZJIZBNZCUTDOZPLZQZRZABSZQJHDTEFGCDHUSVAVBENZUTFNZOZPLZQZRZABSZVGMVA
      VBCVJPLZQZRZABSABJVDUAUBVHCQZVMVQABVRVLVPVAVRVKVOVBVHCVJPUCUDUEUFVIDQZVQV
      FABVSVPVEVAVSVOVDVBVSVJVCCPUTVIDUGUHUDUEUFMVHHIZJHVITZRZGNVNQZRZEFGUIVTVI
      USIZRZWCRZEFGUIABEFGUJWGWDEFGWFWBWCWEWAVTHJVIUKUAULUMUNUOUPUQHJDUKUAULUR
      $.
      $( [1-Jun-2006] $) $( [23-May-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y S $.  $d x y T $.
    $( Value of the sum of two Hilbert space operators. $)
    hosvalt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ /\ A e. H~ ) ->
        ( ( S +op T ) ` A ) = ( ( S ` A ) +h ( T ` A ) ) ) $=
      ( vx vy chil wf wcel chos co cfv cva wceq wa cv copab hosmvalt fveq1d
      fveq2 opreq12d eqid oprex fvopab4 sylan9eq 3impa ) FFBGZFFCGZAFHZABCIJZKZ
      ABKZACKZLJZMUFUGNZUHUJADOZFHEOUOBKZUOCKZLJZMNDEPZKUMUNAUIUSDEBCQRDEAURUMF
      USUOAMUPUKUQULLUOABSUOACSTUSUAUKULLUBUCUDUE $.
      $( [13-Aug-2006] $) $( [10-Nov-2000] $)

    $( Value of the sum of two Hilbert space operators. $)
    hosvaltOLD $p |- ( ( ( S : H~ --> H~ /\ T : H~ --> H~ ) /\ A e. H~ ) ->
        ( ( S +op T ) ` A ) = ( ( S ` A ) +h ( T ` A ) ) ) $=
      ( vx vy chil wf wa wcel chos co cfv cv cva wceq copab hosmvalt fveq1d
      fveq2 opreq12d eqid oprex fvopab4 sylan9eq ) FFBGFFCGHZAFIABCJKZLADMZFIEM
      UGBLZUGCLZNKZOHDEPZLABLZACLZNKZUEAUFUKDEBCQRDEAUJUNFUKUGAOUHULUIUMNUGABSU
      GACSTUKUAULUMNUBUCUD $.
      $( [10-Nov-2000] $)

    $( Value of the scalar product with a Hilbert space operator. $)
    homvalt $p |- ( ( A e. CC /\ T : H~ --> H~ /\ B e. H~ ) ->
        ( ( A .op T ) ` B ) = ( A .h ( T ` B ) ) ) $=
      ( vx vy cc wcel chil wf chot co cfv csm wceq wa cv copab hommvalt fveq1d
      fveq2 opreq2d eqid oprex fvopab4 sylan9eq 3impa ) AFGZHHCIZBHGZBACJKZLZAB
      CLZMKZNUGUHOZUIUKBDPZHGEPAUOCLZMKZNODEQZLUMUNBUJURDEACRSDEBUQUMHURUOBNUPU
      LAMUOBCTUAURUBAULMUCUDUEUF $.
      $( [20-Mar-2006] $) $( [20-Feb-2006] $)

    $( Value of the difference of two Hilbert space operators. $)
    hodvalt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ /\ A e. H~ ) ->
        ( ( S -op T ) ` A ) = ( ( S ` A ) -h ( T ` A ) ) ) $=
      ( vx vy chil wf wcel chod co cfv cmv wceq wa cv copab hodmvalt fveq1d
      fveq2 opreq12d eqid oprex fvopab4 sylan9eq 3impa ) FFBGZFFCGZAFHZABCIJZKZ
      ABKZACKZLJZMUFUGNZUHUJADOZFHEOUOBKZUOCKZLJZMNDEPZKUMUNAUIUSDEBCQRDEAURUMF
      USUOAMUPUKUQULLUOABSUOACSTUSUAUKULLUBUCUDUE $.
      $( [28-Jun-2006] $) $( [10-Nov-2000] $)

    $( Value of the difference of two Hilbert space operators. $)
    hodvaltOLD $p |- ( ( ( S : H~ --> H~ /\ T : H~ --> H~ ) /\ A e. H~ ) ->
        ( ( S -op T ) ` A ) = ( ( S ` A ) -h ( T ` A ) ) ) $=
      ( vx vy chil wf wa wcel chod co cfv cv cmv wceq copab hodmvalt fveq1d
      fveq2 opreq12d eqid oprex fvopab4 sylan9eq ) FFBGFFCGHZAFIABCJKZLADMZFIEM
      UGBLZUGCLZNKZOHDEPZLABLZACLZNKZUEAUFUKDEBCQRDEAUJUNFUKUGAOUHULUIUMNUGABSU
      GACSTUKUAULUMNUBUCUD $.
      $( [10-Nov-2000] $)

    $( Value of the sum of two Hilbert space functionals. $)
    hfsvalt $p |- ( ( ( S : H~ --> CC /\ T : H~ --> CC ) /\ A e. H~ ) ->
        ( ( S +fn T ) ` A ) = ( ( S ` A ) + ( T ` A ) ) ) $=
      ( vx vy chil cc wf wa wcel chfs co cfv cv caddc wceq copab hfsmvalt
      fveq1d fveq2 opreq12d eqid oprex fvopab4 sylan9eq ) FGBHFGCHIZAFJABCKLZMA
      DNZFJENUHBMZUHCMZOLZPIDEQZMABMZACMZOLZUFAUGULDEBCRSDEAUKUOFULUHAPUIUMUJUN
      OUHABTUHACTUAULUBUMUNOUCUDUE $.
      $( [11-Oct-2006] $) $( [23-May-2006] $)

    $( Value of the scalar product with a Hilbert space functional. $)
    hfmvalt $p |- ( ( A e. CC /\ T : H~ --> CC /\ B e. H~ ) ->
        ( ( A .fn T ) ` B ) = ( A x. ( T ` B ) ) ) $=
      ( vx vy cc wcel chil wf chft co cfv cmul wceq wa cv copab hfmmvalt
      fveq1d fveq2 opreq2d eqid oprex fvopab4 sylan9eq 3impa ) AFGZHFCIZBHGZBAC
      JKZLZABCLZMKZNUGUHOZUIUKBDPZHGEPAUOCLZMKZNODEQZLUMUNBUJURDEACRSDEBUQUMHUR
      UOBNUPULAMUOBCTUAURUBAULMUCUDUEUF $.
      $( [29-Jun-2006] $) $( [23-May-2006] $)
  $}

  $( Closure of the sum of two Hilbert space operators. $)
  hosclt $p |- ( ( ( S : H~ --> H~ /\ T : H~ --> H~ ) /\ A e. H~ ) ->
      ( ( S +op T ) ` A ) e. H~ ) $=
    ( chil wf wa wcel chos co cfv cva hosvaltOLD ffvelrn anim12i anandirs
    hvaddclt syl eqeltrd ) DDBEZDDCEZFADGZFZABCHIJABJZACJZKIZDABCLUBUCDGZUDDGZF
    ZUEDGSTUAUHSUAFUFTUAFUGDDABMDDACMNOUCUDPQR $.
    $( [12-Nov-2000] $)

  $( Closure of the scalar product of a Hilbert space operator. $)
  homclt $p |- ( ( A e. CC /\ T : H~ --> H~ /\ B e. H~ ) ->
      ( ( A .op T ) ` B ) e. H~ ) $=
    ( cc wcel chil wf w3a chot co cfv csm homvalt wa ffvelrn anim2i 3impb
    hvmulclt syl eqeltrd ) ADEZFFCGZBFEZHZBACIJKABCKZLJZFABCMUDUAUEFEZNZUFFEUAU
    BUCUHUBUCNUGUAFFBCOPQAUERST $.
    $( [12-Oct-2006] $) $( [20-Feb-2006] $)

  $( Closure of the difference of two Hilbert space operators. $)
  hodclt $p |- ( ( ( S : H~ --> H~ /\ T : H~ --> H~ ) /\ A e. H~ ) ->
      ( ( S -op T ) ` A ) e. H~ ) $=
    ( chil wf wa wcel chod co cfv cmv hodvaltOLD ffvelrn anim12i anandirs
    hvsubclt syl eqeltrd ) DDBEZDDCEZFADGZFZABCHIJABJZACJZKIZDABCLUBUCDGZUDDGZF
    ZUEDGSTUAUHSUAFUFTUAFUGDDABMDDACMNOUCUDPQR $.
    $( [15-Nov-2002] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
               Commutes relation for Hilbert lattice elements
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Define the commutes relation (on the Hilbert lattice).  Definition of
       commutes in [Kalmbach] p. 20, who uses the notation xCy for "x commutes
       with y."  See ~ cmbr for membership relation. $)
    df-cm $a |- C_H = { <. x , y >. | ( ( x e. CH /\ y e. CH ) /\
                x = ( ( x i^i y ) vH ( x i^i ( _|_ ` y ) ) ) ) } $.
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Binary relation expressing ` A ` commutes with ` B ` .  Definition of
       commutes in [Kalmbach] p. 20. $)
    cmbrt $p |- ( ( A e. CH /\ B e. CH ) -> ( A C_H B <->
               A = ( ( A i^i B ) vH ( A i^i ( _|_ ` B ) ) ) ) ) $=
      ( vx vy cch wcel wa ccm wbr cin cort cfv chj co wceq cv eleq1 anbi1d id
      ineq1 opreq12d eqeq12d anbi12d anbi2d ineq2 fveq2 ineq2d eqeq2d df-cm
      brabg bianabs ) AEFZBEFZGZABHIAABJZABKLZJZMNZOZCPZEFZDPZEFZGZUTUTVBJZUTVB
      KLZJZMNZOZGULVCGZAAVBJZAVFJZMNZOZGUNUSGCDABEEHUTAOZVDVJVIVNVOVAULVCUTAEQR
      VOUTAVHVMVOSVOVEVKVGVLMUTAVBTUTAVFTUAUBUCVBBOZVJUNVNUSVPVCUMULVBBEQUDVPVM
      URAVPVKUOVLUQMVBBAUEVPVFUPAVBBKUFUGUAUHUCCDUIUJUK $.
      $( [12-Aug-2004] $) $( [14-Jun-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    pjoml2.1 $e |- A e. CH $.
    pjoml2.2 $e |- B e. CH $.
    $( Variation of orthomodular law.  Definition in [Kalmbach] p. 22. $)
    pjoml2 $p |- ( A (_ B -> ( A vH ( ( _|_ ` A ) i^i B ) ) = B ) $=
      ( wss cort cfv cin chj co wceq inss2 choccl chincl chlubi mpan2 c0h
      chdmj1 ineq2i inass incom ineq1i eqtr3 chocin 3eqtr chjcl chshi pjoml
      syl ) ABEZAAFGZBHZIJZBEZUMBKZUJULBEUNUKBLAULBCUKBACMDNZDOPUNBUMFGZHZQKUOU
      RBUKULFGZHZHZULUSHZQUQUTBAULCUPRSBUKHZUSHVAVBBUKUSTVCULUSBUKUAUBUCULUPUDU
      EUMBAULCUPUFBDUGUHPUI $.
      $( [31-Oct-2000] $)

    $( Variation of orthomodular law. $)
    pjoml3 $p |- ( B (_ A -> ( A i^i ( ( _|_ ` A ) vH B ) ) = B ) $=
      ( cort cfv wss cin chj co wceq choccl pjoml2 chsscon3 eqcom chincl
      chdmj2 chdmm4 ineq2i eqtr eqeq1i chjcl chcon2 3bitr3 3imtr4 ) AEFZBEFZGUF
      UFEFZUGHZIJZUGKZBAGAUFBIJZHZBKZUFUGACLZBDLZMBADCNUJEFZBKBUQKUNUKUQBOUQUMB
      UQAUIEFZHUMAUICUHUGUFUOLUPPZQURULAUFBUODRSTUABUJDUFUIUOUSUBUCUDUE $.
      $( [9-Sep-2004] $) $( [24-Jun-2004] $)

    $( Variation of orthomodular law. $)
    pjoml4 $p |- ( A vH ( B i^i ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) ) =
                 ( A vH B ) $=
      ( cort cfv chj co cin wss inss1 choccl chjcl chincl chlej2 ax-mp chub1
      chdmm1 ineq1i incom eqtr opreq2i wceq inss2 pjoml2 eqtr3 chlej1 eqsstr3
      chlubi mp2an eqssi ) ABAEFZBEFZGHZIZGHZABGHZUOBJUPUQJBUNKUOBABUNDULUMACLB
      DLMNZDCOPAUPJBUPJUQUPJAUOCURQBABIZUOGHZUPUSUSEFZBIZGHZUTBVBUOUSGVBUNBIUOV
      AUNBABCDRSUNBTUAUBUSBJVCBUCABUDUSBABCDNZDUEPUFUSAJUTUPJABKUSAUOVDCURUGPUH
      ABUPCDAUOCURMUIUJUK $.
      $( [6-Dec-2000] $)

    $( The orthomodular law.  Remark in [Kalmbach] p. 22. $)
    pjoml5 $p |- ( A vH ( ( _|_ ` A ) i^i ( A vH B ) ) ) = ( A vH B ) $=
      ( chj co wss cort cfv cin wceq chub1 chjcl pjoml2 ax-mp ) AABEFZGAAHIPJEF
      PKABCDLAPCABCDMNO $.
      $( [12-Jun-2006] $) $( [12-Jun-2006] $)

    $( An equivalent of the orthomodular law.  Theorem 29.13(e) of [MaedaMaeda]
       p. 132. $)
    pjoml6 $p |- ( A (_ B ->
                  E. x e. CH ( A (_ ( _|_ ` x ) /\ ( A vH x ) = B ) ) $=
      ( wss cort cfv cin chj co wceq wa cv cch wrex pjoml2 choccl chub1 chdmm2
      sseqtr4 jctil wcel chincl fveq2 sseq2d opreq2 eqeq1d anbi12d rcla4ev
      mpan syl ) BCFZBBGHZCIZGHZFZBUOJKZCLZMZBANZGHZFZBVAJKZCLZMZAOPZUMUSUQBCDE
      QBBCGHZJKUPBVHDCERSBCDETUAUBUOOUCUTVGUNCBDREUDVFUTAUOOVAUOLZVCUQVEUSVIVBU
      PBVAUOGUEUFVIVDURCVAUOBJUGUHUIUJUKUL $.
      $( [9-Sep-2004] $) $( [30-May-2004] $)

    $( Binary relation expressing the commutes relation.  Definition of
       commutes in [Kalmbach] p. 20. $)
    cmbr $p |- ( A C_H B <-> A = ( ( A i^i B ) vH ( A i^i ( _|_ ` B ) ) ) ) $=
      ( cch wcel ccm wbr cin cort cfv chj co wceq wb cmbrt mp2an ) AEFBEFABGHAA
      BIABJKILMNOCDABPQ $.
      $( [12-Aug-2004] $) $( [6-Aug-2004] $)

    $( Commutation is symmetric.  Theorem 3.4 of [Beran] p. 45. $)
    cmcmlem $p |- ( A C_H B -> B C_H A ) $=
      ( cin cort cfv chj co wceq ccm wbr chdmj4 chdmj2 opreq12i eqeq2i biimpr
      fveq2d choccl chjcl syl6req ineq1d wss chub2 sseqin2 mpbi ineq2i inass
      chdmm1 ineq1i 3eqtr4r syl5eq opreq2d inss2 chincl pjoml2 ax-mp incom
      3eqtr3g cmbr 3imtr4 ) AABEZABFGZEZHIZJZBBAEZBAFGZEZHIZJABKLBAKLVFVBVBFGZB
      EZHIZVBVHBEZHIBVJVFVLVNVBHVFVHVCHIZVHBHIZEZBEZVNVLVFVQVHBVFVHVOFGZVPFGZHI
      ZFGVQVFAWAFAWAJVFWAVEAVSVBVTVDHABCDMABCDNOPQRVOVPVHVCACSZBDSTVHBWBDTMUAUB
      VOVPBEZEVOBEVRVLWCBVOBVPUCWCBJBVHDWBUDBVPUEUFUGVOVPBUHVKVOBABCDUIUJUKULUM
      VBBUCVMBJABUNVBBABCDUODUPUQVBVGVNVIHABURVHBUROUSABCDUTBADCUTVA $.
      $( [12-Aug-2004] $) $( [3-Nov-2000] $)

    $( Commutation is symmetric.  Theorem 2(v) of [Kalmbach] p. 22. $)
    cmcm $p |- ( A C_H B <-> B C_H A ) $=
      ( ccm wbr cmcmlem impbi ) ABEFBAEFABCDGBADCGH $.
      $( [12-Aug-2004] $) $( [4-Nov-2000] $)

    $( Commutation with orthocomplement.  Theorem 2.3(i) of [Beran] p. 39. $)
    cmcm2 $p |- ( A C_H B <-> A C_H ( _|_ ` B ) ) $=
      ( cin cort cfv chj co wceq ccm wbr chincl choccl chjcom pjococ ineq2i
      opreq2i eqtr4 eqeq2i cmbr 3bitr4 ) AABEZABFGZEZHIZJAUEAUDFGZEZHIZJABKLAUD
      KLUFUIAUFUEUCHIUIUCUEABCDMAUDCBDNZMOUHUCUEHUGBABDPQRSTABCDUAAUDCUJUAUB $.
      $( [12-Aug-2004] $) $( [4-Nov-2000] $)

    $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23. $)
    cmcm3 $p |- ( A C_H B <-> ( _|_ ` A ) C_H B ) $=
      ( ccm wbr cort cfv cmcm2 cmcm choccl 3bitr4 ) BAEFBAGHZEFABEFMBEFBADCIABC
      DJMBACKDJL $.
      $( [12-Aug-2004] $) $( [4-Nov-2000] $)

    $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23. $)
    cmcm4 $p |- ( A C_H B <-> ( _|_ ` A ) C_H ( _|_ ` B ) ) $=
      ( ccm wbr cort cfv cmcm2 choccl cmcm3 bitr ) ABEFABGHZEFAGHMEFABCDIAMCBDJ
      KL $.
      $( [12-Aug-2004] $) $( [7-Aug-2004] $)

    $( Alternate definition of the commutes relation.  Remark in [Kalmbach]
       p. 23. $)
    cmbr2 $p |- ( A C_H B <-> A = ( ( A vH B ) i^i ( A vH ( _|_ ` B ) ) ) ) $=
      ( ccm wbr cort cfv cin chj co wceq cmcm4 choccl cmbr eqcom chjcl chincl
      chcon3 chdmm1 chdmj1 opreq12i eqtr eqeq2i 3bitrr 3bitr ) ABEFAGHZBGHZEFUG
      UGUHIZUGUHGHIZJKZLZAABJKZAUHJKZIZLZABCDMUGUHACNBDNZOUPUOALUGUOGHZLULAUOPU
      OAUMUNABCDQZAUHCUQQZRCSURUKUGURUMGHZUNGHZJKUKUMUNUSUTTVAUIVBUJJABCDUAAUHC
      UQUAUBUCUDUEUF $.
      $( [12-Aug-2004] $) $( [7-Aug-2004] $)

    ${
      cmcmi.1 $e |- A C_H B $.
      $( Commutation is symmetric.  Theorem 2(v) of [Kalmbach] p. 22. $)
      cmcmi $p |- B C_H A $=
        ( ccm wbr cmcm mpbi ) ABFGBAFGEABCDHI $.
        $( [12-Aug-2004] $) $( [7-Aug-2004] $)

      $( Commutation with orthocomplement.  Theorem 2.3(i) of [Beran] p. 39. $)
      cmcm2i $p |- A C_H ( _|_ ` B ) $=
        ( ccm wbr cort cfv cmcm2 mpbi ) ABFGABHIFGEABCDJK $.
        $( [12-Aug-2004] $) $( [7-Aug-2004] $)

      $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23. $)
      cmcm3i $p |- ( _|_ ` A ) C_H B $=
        ( ccm wbr cort cfv cmcm3 mpbi ) ABFGAHIBFGEABCDJK $.
        $( [13-Sep-2004] $) $( [7-Aug-2004] $)
    $}

    $( Alternate definition for the commutes relation.  Lemma 3 of [Kalmbach]
       p. 23. $)
    cmbr3 $p |- ( A C_H B <-> ( A i^i ( ( _|_ ` A ) vH B ) ) = ( A i^i B ) ) $=
      ( ccm wbr cort cfv chj co cin wceq cmcm cmbr2 bitr ineq2 inass chjcom
      ineq2i chabs2 eqtr choccl ineq12i eqtr3 syl6req sylbi chdmm3 incom
      eqeq1i opreq1 wss inss1 chincl pjoml2 ax-mp syl5eq cmbr sylibr impbi ) AB
      EFZAAGHZBIJZKZABKZLZUTBBAIJZBVAIJZKZLZVEUTBAEFVIABCDMBADCNOVIVDAVHKZVCBVH
      APAVFKZVGKVJVCAVFVGQVKAVGVBVKAABIJZKAVFVLABADCRSABCDTUABVADACUBRUCUDUEUFV
      EAVDABGHZKZIJZLUTVEVNGHZAKZVNIJZVOAVEVQVDLVRVOLVCVQVDAVPKVCVQVPVBAABCDUGS
      AVPUHUDUIVQVDVNIUJUFVNVQIJZAVRVNAUKVSALAVMULVNAAVMCBDUBUMZCUNUOVNVQVTVPAV
      NVTUBCUMRUDUPABCDUQURUS $.
      $( [12-Aug-2004] $) $( [6-Dec-2000] $)

    $( Alternate definition for the commutes relation. $)
    cmbr4 $p |- ( A C_H B <-> ( A i^i ( ( _|_ ` A ) vH B ) ) (_ B ) $=
      ( ccm wbr cort cfv chj co cin wceq wss cmbr3 inss2 sseq1 mpbiri wa inss1
      jctl ssin sylib choccl chub2 sslin ax-mp jctir eqss sylibr impbi bitr )
      ABEFAAGHZBIJZKZABKZLZUNBMZABCDNUPUQUPUQUOBMABOUNUOBPQUQUNUOMZUOUNMZRUPUQU
      RUSUQUNAMZUQRURUQUTAUMSTUNABUAUBBUMMUSBULDACUCUDBUMAUEUFUGUNUOUHUIUJUK $.
      $( [12-Aug-2004] $) $( [6-Dec-2000] $)

    $( Comparable Hilbert lattice elements commute.  Theorem 2.3(iii) of
       [Beran] p. 40. $)
    lecm $p |- ( A (_ B -> A C_H B ) $=
      ( wss cort cfv chj co cin ccm wbr ssinss1 cmbr4 sylibr ) ABEAAFGBHIZJBEAB
      KLAPBMABCDNO $.
      $( [22-Jan-2005] $) $( [16-Jan-2005] $)

    ${
      lecmi.1 $e |- A (_ B $.
      $( Comparable Hilbert lattice elements commute.  Theorem 2.3(iii) of
         [Beran] p. 40. $)
      lecmi $p |- A C_H B $=
        ( wss ccm wbr lecm ax-mp ) ABFABGHEABCDIJ $.
        $( [12-Aug-2004] $) $( [7-Aug-2004] $)
    $}

    $( A Hilbert lattice element commutes with its join. $)
    cmj1 $p |- A C_H ( A vH B ) $=
      ( chj co chjcl chub1 lecmi ) AABEFCABCDGABCDHI $.
      $( [12-Aug-2004] $) $( [7-Aug-2004] $)

    $( A Hilbert lattice element commutes with its join. $)
    cmj2 $p |- B C_H ( A vH B ) $=
      ( chj co chjcl chub2 lecmi ) BABEFDABCDGBADCHI $.
      $( [12-Aug-2004] $) $( [7-Aug-2004] $)

    $( A Hilbert lattice element commutes with its meet. $)
    cmm1 $p |- A C_H ( A i^i B ) $=
      ( cin chincl inss1 lecmi cmcmi ) ABEZAABCDFZCJAKCABGHI $.
      $( [13-Sep-2004] $) $( [7-Aug-2004] $)

    $( A Hilbert lattice element commutes with its meet. $)
    cmm2 $p |- B C_H ( A i^i B ) $=
      ( cin ccm cmm1 incom breqtr ) BBAEABEFBADCGBAHI $.
      $( [13-Sep-2004] $) $( [7-Aug-2004] $)
  $}

  $( Alternate definition for the commutes relation.  Lemma 3 of [Kalmbach]
     p. 23. $)
  cmbr3t $p |- ( ( A e. CH /\ B e. CH ) ->
              ( A C_H B <-> ( A i^i ( ( _|_ ` A ) vH B ) ) = ( A i^i B ) ) ) $=
    ( cch wcel ccm wbr cort cfv chj co cin wceq wb c0h cif breq1 id fveq2
    opreq1d ineq12d ineq1 eqeq12d bibi12d breq2 opreq2 ineq2d ineq2 h0elch
    elimel cmbr3 dedth2h ) ACDZBCDZABEFZAAGHZBIJZKZABKZLZMULANOZBEFZUTUTGHZBIJZ
    KZUTBKZLZMUTUMBNOZEFZUTVBVGIJZKZUTVGKZLZMABNNAUTLZUNVAUSVFAUTBEPVMUQVDURVEV
    MAUTUPVCVMQVMUOVBBIAUTGRSTAUTBUAUBUCBVGLZVAVHVFVLBVGUTEUDVNVDVJVEVKVNVCVIUT
    BVGVBIUEUFBVGUTUGUBUCUTVGANCUHUIBNCUHUIUJUK $.
    $( [15-Jun-2006] $) $( [14-Jun-2006] $)

  $( The zero Hilbert lattice element commutes with every element. $)
  cm0t $p |- ( A e. CH -> 0H C_H A ) $=
    ( cch wcel c0h ccm wbr cort cfv chj co cin wceq h0elch choccl chjclt mpan
    chm0t syl eqtr4d incom 3eqtr4g wb cmbr3t mpbird ) ABCZDAEFZDDGHZAIJZKZDAKZL
    ZUEUHDKZADKZUIUJUEULDUMUEUHBCZULDLUGBCUEUNDMNUGAOPUHQRAQSDUHTDATUADBCUEUFUK
    UBMDAUCPUD $.
    $( [18-Jun-2006] $) $( [16-Jun-2006] $)

  ${
    cmid.1 $e |- A e. CH $.
    $( The commutes relation is reflexive. $)
    cmid $p |- A C_H A $=
      ( ssid lecmi ) AABBACD $.
      $( [13-Sep-2004] $) $( [7-Aug-2004] $)
  $}

  $( Variation of orthomodular law.  Definition in [Kalmbach] p. 22. $)
  pjoml2t $p |- ( ( A e. CH /\ B e. CH /\ A (_ B ) ->
                ( A vH ( ( _|_ ` A ) i^i B ) ) = B ) $=
    ( cch wcel wss cort cfv cin chj co wceq wi c0h cif sseq1 id fveq2 ineq1d
    opreq12d eqeq1d imbi12d sseq2 ineq2 opreq2d eqeq12d h0elch elimel pjoml2
    dedth2h 3impia ) ACDZBCDZABEZAAFGZBHZIJZBKZUKULUMUQLUKAMNZBEZURURFGZBHZIJZB
    KZLURULBMNZEZURUTVDHZIJZVDKZLABMMAURKZUMUSUQVCAURBOVIUPVBBVIAURUOVAIVIPVIUN
    UTBAURFQRSTUABVDKZUSVEVCVHBVDURUBVJVBVGBVDVJVAVFURIBVDUTUCUDVJPUEUAURVDAMCU
    FUGBMCUFUGUHUIUJ $.
    $( [27-Jun-2006] $) $( [13-Jun-2006] $)

  $( Variation of orthomodular law. $)
  pjoml3t $p |- ( ( A e. CH /\ B e. CH ) ->
                ( B (_ A -> ( A i^i ( ( _|_ ` A ) vH B ) ) = B ) ) $=
    ( cch wcel wss cort cfv chj co cin wceq wi chil cif sseq2 id fveq2 opreq1d
    ineq12d eqeq1d imbi12d sseq1 opreq2 ineq2d eqeq12d helch elimel pjoml3
    dedth2h ) ACDZBCDZBAEZAAFGZBHIZJZBKZLBUJAMNZEZUQUQFGZBHIZJZBKZLUKBMNZUQEZUQ
    USVCHIZJZVCKZLABMMAUQKZULURUPVBAUQBOVHUOVABVHAUQUNUTVHPVHUMUSBHAUQFQRSTUABV
    CKZURVDVBVGBVCUQUBVIVAVFBVCVIUTVEUQBVCUSHUCUDVIPUEUAUQVCAMCUFUGBMCUFUGUHUI
    $.
    $( [13-Sep-2004] $) $( [24-Jun-2004] $)

  $( The orthomodular law.  Remark in [Kalmbach] p. 22. $)
  pjoml5t $p |- ( ( A e. CH /\ B e. CH ) ->
             ( A vH ( ( _|_ ` A ) i^i ( A vH B ) ) ) = ( A vH B ) ) $=
    ( cch wcel chj co wss cort cfv cin wceq wa pjoml2t pm3.26 chjclt chub1t
    syl3anc ) ACDZABEFZCDASGAAHISJEFSKRBCDZLASMRTNABOABPQ $.
    $( [30-Jun-2006] $) $( [12-Jun-2006] $)

  $( Commutation is symmetric.  Theorem 2(v) of [Kalmbach] p. 22. $)
  cmcmt $p |- ( ( A e. CH /\ B e. CH ) -> ( A C_H B <-> B C_H A ) ) $=
    ( cch wcel ccm wbr wb c0h cif wceq breq1 breq2 bibi12d h0elch elimel cmcm
    dedth2h ) ACDZBCDZABEFZBAEFZGRAHIZBEFZBUBEFZGUBSBHIZEFZUEUBEFZGABHHAUBJTUCU
    AUDAUBBEKAUBBELMBUEJUCUFUDUGBUEUBELBUEUBEKMUBUEAHCNOBHCNOPQ $.
    $( [14-Jun-2006] $) $( [13-Jun-2006] $)

  $( Commutation with orthocomplement.  Remark in [Kalmbach] p. 23. $)
  cmcm3t $p |- ( ( A e. CH /\ B e. CH ) ->
               ( A C_H B <-> ( _|_ ` A ) C_H B ) ) $=
    ( cch wcel ccm wbr cort cfv wb c0h cif wceq breq1 fveq2 breq1d bibi12d
    breq2 h0elch elimel cmcm3 dedth2h ) ACDZBCDZABEFZAGHZBEFZIUBAJKZBEFZUGGHZBE
    FZIUGUCBJKZEFZUIUKEFZIABJJAUGLZUDUHUFUJAUGBEMUNUEUIBEAUGGNOPBUKLUHULUJUMBUK
    UGEQBUKUIEQPUGUKAJCRSBJCRSTUA $.
    $( [14-Jun-2006] $) $( [13-Jun-2006] $)

  $( Commutation with orthocomplement.  Theorem 2.3(i) of [Beran] p. 39. $)
  cmcm2t $p |- ( ( A e. CH /\ B e. CH ) ->
               ( A C_H B <-> A C_H ( _|_ ` B ) ) ) $=
    ( cch wcel wa ccm wbr cort cfv wb cmcm3t ancoms cmcmt chocclt sylan2
    3bitr4d ) ACDZBCDZEBAFGZBHIZAFGZABFGATFGZRQSUAJBAKLABMQTCDUBUAJRATMBNOP $.
    $( [14-Jun-2006] $) $( [14-Jun-2006] $)

  $( Comparable Hilbert lattice elements commute.  Theorem 2.3(iii) of
     [Beran] p. 40. $)
  lecmt $p |- ( ( A e. CH /\ B e. CH /\ A (_ B ) -> A C_H B ) $=
    ( cch wcel wss ccm wbr wi c0h cif wceq sseq1 breq1 imbi12d sseq2 breq2
    h0elch elimel lecm dedth2h 3impia ) ACDZBCDZABEZABFGZUBUCUDUEHUBAIJZBEZUFBF
    GZHUFUCBIJZEZUFUIFGZHABIIAUFKUDUGUEUHAUFBLAUFBFMNBUIKUGUJUHUKBUIUFOBUIUFFPN
    UFUIAICQRBICQRSTUA $.
    $( [20-Jun-2006] $) $( [13-Jun-2006] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Foulis-Holland theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Foulis-Holland Theorem.  If any 2 pairs in a triple of orthomodular
     lattice elements commute, the triple is distributive.  First of two
     parts.  Theorem 5 of [Kalmbach] p. 25. $)
  fh1t $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A C_H B /\ A C_H C ) )
             -> ( A i^i ( B vH C ) ) = ( ( A i^i B ) vH ( A i^i C ) ) ) $=
    ( cch wcel w3a ccm wbr wa cin chj co csh wss cort cfv c0h wceq pjomlt
    chjclt chinclt syl2an anandis sylan2 chsh syl jca 3impb adantr ledit incom
    a1i chdmj1t chdmm1t ineqan12d eqtrd ineq12d 3impdi cmcm2t wb cmbr3t
    chocclt bitrd biimpa 3adantl3 adantrr 3adantl2 adantrl inindi 3eqtr4g
    ineq2d inass syl5eq in12 syl6eq chocint eqtr3d chm0t sylan9eqr 3eqtrd
    sylanc eqcomd ) ADEZBDEZCDEZFZABGHZACGHZIZIZABJZACJZKLZABCKLZJZWMDEZWOMEZIZ
    WMWONZWOWMOPZJZQRZIWMWORWJWMWOSWFWRWIWCWDWEWRWCWDWEIZIZWPWQWCWDWEWPWKDEZWLD
    EZWPWCWDIZWCWEIZWKWLTABUAZACUAZUBUCXDWODEZWQWCWNDEZXKXCAWNUABCTZUDWOUEUFUGU
    HUIWJWSXBWFWSWIABCUJUIWJXAWNAJZAOPZBOPZKLZXOCOPZKLZJZJZAWNXPXRJZJZJZQWFXAYA
    RZWIWCWDWEYEXGXHIZWOXNWTXTWOXNRYFAWNUKULYFWTWKOPZWLOPZJZXTXEXFWTYIRXGXHWKWL
    UMXIXJUBXGXHYGXQYHXSABUNACUNUOUPUQURUIWJYAWNAYBJZJZYDWJWNAXTJZJYKYAWJYLYJWN
    WJAXQJZAXSJZJAXPJZAXRJZJYLYJWJYMYOYNYPWFWGYMYORZWHWCWDWGYQWEXGWGYQXGWGAXPGH
    ZYQABUSWCXPDEYRYQUTWDAXPVABVBUDVCVDVEVFWFWHYNYPRZWGWCWEWHYSWDXHWHYSXHWHAXRG
    HZYSACUSWCXRDEYTYSUTWEAXRVACVBUDVCVDVGVHUQAXQXSVIAXPXRVIVJVKWNAXTVLVMWNAYBV
    NVOWFYDQRZWIWCWDWEUUAXCWCYDAQJQXCYCQAXCWNWNOPZJZYCQXCUUBYBWNBCUMVKXCXLUUCQR
    XMWNVPUFVQVKAVRVSUHUIVTUGWAWB $.
    $( [14-Jun-2006] $) $( [14-Jun-2006] $)

  $( Foulis-Holland Theorem.  If any 2 pairs in a triple of orthomodular
     lattice elements commute, the triple is distributive.  Second of two
     parts.  Theorem 5 of [Kalmbach] p. 25. $)
  fh2t $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( B C_H A /\ B C_H C ) )
             -> ( A i^i ( B vH C ) ) = ( ( A i^i B ) vH ( A i^i C ) ) ) $=
    ( cch wcel w3a ccm wbr wa cin chj co csh wss cort cfv c0h wceq pjomlt
    chjclt chinclt syl2an anandis sylan2 chsh syl jca 3impb adantr ledit
    chdmj1t chdmm1t ineq1d eqtrd 3impdi ineq2d cmcm2t cmcmt wb cmbr3t chocclt
    3bitr3d biimpa incom syl6eq 3adantl3 adantrr in4 syl5eq ococt opreq1d
    3ad2ant2 cmcm3t sylan bitrd 3adantl1 adantrl eqtr3d chocint in12 inass
    eqtr4 3adant2 chm0t 3eqtrd sylanc eqcomd ) ADEZBDEZCDEZFZBAGHZBCGHZIZIZABJZ
    ACJZKLZABCKLZJZWRDEZWTMEZIZWRWTNZWTWROPZJZQRZIWRWTRWOWRWTSWKXCWNWHWIWJXCWHW
    IWJIZIZXAXBWHWIWJXAWPDEZWQDEZXAWHWIIZWHWJIZWPWQTABUAZACUAZUBUCXIWTDEZXBWHWS
    DEXPXHAWSUABCTUDWTUEUFUGUHUIWOXDXGWKXDWNABCUJUIWOXFBOPZWSJZAWQOPZJZJZXQCJZX
    TJZQWOXFXQAJZWSXSJZJZYAWOXFWTAOPXQKLZXSJZJZYFWKXFYIRWNWKXEYHWTWHWIWJXEYHRXL
    XMIZXEWPOPZXSJZYHXJXKXEYLRXLXMWPWQUKXNXOUBYJYKYGXSXLYKYGRXMABULUIUMUNUOUPUI
    WOAYGJZYEJYFYIWOYMYDYEWKWLYMYDRZWMWHWIWLYNWJXLWLIYMAXQJZYDXLWLYMYORZXLABGHA
    XQGHZWLYPABUQABURWHXQDEZYQYPUSWIAXQUTBVAZUDVBVCAXQVDVEVFVGUMAWSYGXSVHVIUNXQ
    AWSXSVHVEWOXRYBXTWOXQXQOPZCKLZJZXRYBWKUUBXRRZWNWIWHUUCWJWIUUAWSXQWIYTBCKBVJ
    VKUPVLUIWKWMUUBYBRZWLWIWJWMUUDWHXHWMUUDXHWMXQCGHZUUDBCVMYRWJUUEUUDUSWIXQCUT
    YSVNVOVCVPVQVRUMWKYCQRWNWKYCXQQJZQWHWJYCUUFRWIXMXQCXTJZJUUFYCXMUUGQXQXMWQXS
    JZQUUGXMXKUUHQRXOWQVSUFUUGACXSJJUUHCAXSVTACXSWAWBVIUPXQCXTWAVIWCWIWHUUFQRZW
    JWIYRUUIYSXQWDUFVLUNUIWEUGWFWG $.
    $( [15-Jun-2006] $) $( [14-Jun-2006] $)

  $( A lattice element that commutes with two others also commutes with their
     join.  Theorem 4.2 of [Beran] p. 49. $)
  cm2jt $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A C_H B /\ A C_H C ) )
             -> A C_H ( B vH C ) ) $=
    ( cch wcel w3a ccm wbr wa chj co cin cort cfv wceq cmcmt wb cmbrt ancoms
    bitrd biimpa incom opreq12i syl6eq 3adantl3 adantrr 3adantl2 adantrl
    opreq12d chj4t chinclt chocclt sylan jca syl2an 3impdi adantr fh1t
    syl5reqr id 3anim123i cmcm3t 3adant3 3adant2 anbi12d sylanc 3eqtrd ex
    chjclt sylan2 3impb sylibrd imp ) ADEZBDEZCDEZFZABGHZACGHZIZABCJKZGHZVQVTWA
    WAALZWAAMNZLZJKZOZWBVQVTWGVQVTIZWAABLZWDBLZJKZACLZWDCLZJKZJKZWIWLJKZWJWMJKZ
    JKZWFWHBWKCWNJVQVRBWKOZVSVNVOVRWSVPVNVOIZVRIBBALZBWDLZJKZWKWTVRBXCOZWTVRBAG
    HZXDABPVOVNXEXDQBARSTUAXAWIXBWJJBAUBBWDUBUCUDUEUFVQVSCWNOZVRVNVPVSXFVOVNVPI
    ZVSICCALZCWDLZJKZWNXGVSCXJOZXGVSCAGHZXKACPVPVNXLXKQCARSTUAXHWLXIWMJCAUBCWDU
    BUCUDUGUHUIVQWOWROZVTVNVOVPXMWIDEZWJDEZIWLDEZWMDEZIXMWTXGWIWJWLWMUJWTXNXOAB
    UKWDDEZVOXOVNWDBUKAULZUMUNXGXPXQACUKXRVPXQVNWDCUKXSUMUNUOUPUQWHWPWCWQWEJWHA
    WALWPWCABCURAWAUBUSWHWDWALZWQWEXRVOVPFZWDBGHZWDCGHZIZXTWQOWHWDBCURVQYAVTVNX
    RVOVOVPVPXSVOUTVPUTVAUQVQVTYDVQVRYBVSYCVNVOVRYBQVPABVBVCVNVPVSYCQVOACVBVDVE
    UAVFWDWAUBUSUIVGVHVNVOVPWBWGQZVNWADEZYEVOVPIVNYFIWBWAAGHZWGAWAPYFVNYGWGQWAA
    RSTBCVIVJVKVLVM $.
    $( [11-Oct-2006] $) $( [15-Jun-2006] $)

  ${
    fh1.1 $e |- A e. CH $.
    fh1.2 $e |- B e. CH $.
    fh1.3 $e |- C e. CH $.
    fh1.4 $e |- A C_H B $.
    fh1.5 $e |- A C_H C $.
    $( Foulis-Holland Theorem.  If any 2 pairs in a triple of orthomodular
       lattice elements commute, the triple is distributive.  First of two
       parts.  Theorem 5 of [Kalmbach] p. 25. $)
    fh1 $p |- ( A i^i ( B vH C ) ) = ( ( A i^i B ) vH ( A i^i C ) ) $=
      ( cch wcel w3a ccm wbr wa chj co cin wceq 3pm3.2i pm3.2i fh1t mp2an ) AIJ
      ZBIJZCIJZKABLMZACLMZNABCOPQABQACQOPRUCUDUEDEFSUFUGGHTABCUAUB $.
      $( [13-Aug-2004] $) $( [7-Aug-2004] $)

    $( Foulis-Holland Theorem.  If any 2 pairs in a triple of orthomodular
       lattice elements commute, the triple is distributive.  Second of two
       parts.  Theorem 5 of [Kalmbach] p. 25. $)
    fh2 $p |- ( B i^i ( A vH C ) ) = ( ( B i^i A ) vH ( B i^i C ) ) $=
      ( cch wcel w3a ccm wbr wa chj co cin wceq 3pm3.2i pm3.2i fh2t mp2an ) BIJ
      ZAIJZCIJZKABLMZACLMZNBACOPQBAQBCQOPRUCUDUEEDFSUFUGGHTBACUAUB $.
      $( [16-Sep-2004] $) $( [7-Aug-2004] $)

    $( Variation of the Foulis-Holland Theorem. $)
    fh3 $p |- ( A vH ( B i^i C ) ) = ( ( A vH B ) i^i ( A vH C ) ) $=
      ( cin chj co wceq cort cfv choccl cmcm3i cmcm2i fh1 chdmm1 ineq2i chdmj1
      opreq12i 3eqtr4r chjcl chincl 3eqtr4 chcon3 mpbir ) ABCIZJKZABJKZACJKZIZL
      UMMNZUJMNZLUKMNZULMNZJKZAMNZUIMNZIZUNUOUSBMNZCMNZJKZIUSVBIZUSVCIZJKVAURUS
      VBVCADOZBEOCFOUSBVGEABDEGPQUSCVGFACDFHPQRUTVDUSBCEFSTUPVEUQVFJABDEUAACDFU
      AUBUCUKULABDEUDZACDFUDZSAUIDBCEFUEZUAUFUJUMAUIDVJUDUKULVHVIUEUGUH $.
      $( [22-Jan-2005] $) $( [16-Jan-2005] $)

    $( Variation of the Foulis-Holland Theorem. $)
    fh4 $p |- ( B vH ( A i^i C ) ) = ( ( B vH A ) i^i ( B vH C ) ) $=
      ( cin chj co wceq cort cfv choccl cmcm3i cmcm2i fh2 chdmm1 ineq2i chdmj1
      opreq12i 3eqtr4r chjcl chincl 3eqtr4 chcon3 mpbir ) BACIZJKZBAJKZBCJKZIZL
      UMMNZUJMNZLUKMNZULMNZJKZBMNZUIMNZIZUNUOUSAMNZCMNZJKZIUSVBIZUSVCIZJKVAURVB
      USVCADOZBEOCFOVBBVGEABDEGPQVBCVGFACDFHPQRUTVDUSACDFSTUPVEUQVFJBAEDUABCEFU
      AUBUCUKULBAEDUDZBCEFUDZSBUIEACDFUEZUAUFUJUMBUIEVJUDUKULVHVIUEUGUH $.
      $( [22-Jan-2005] $) $( [16-Jan-2005] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Quantum Logic Explorer axioms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    qlax1.1 $e |- A e. CH $.
    $( One of the equations showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-1" in the Quantum Logic Explorer.) $)
    qlax1 $p |- A = ( _|_ ` ( _|_ ` A ) ) $=
      ( cort cfv ococ eqcomi ) ACDCDAABEF $.
      $( [15-Aug-2004] $) $( [4-Aug-2004] $)
  $}

  ${
    qlax.1 $e |- A e. CH $.
    qlax.2 $e |- B e. CH $.
    $( One of the equations showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-2" in the Quantum Logic Explorer.) $)
    qlax2 $p |- ( A vH B ) = ( B vH A ) $=
      ( chjcom ) ABCDE $.
      $( [15-Aug-2004] $) $( [4-Aug-2004] $)

    ${
      qlax.3 $e |- C e. CH $.
      $( One of the equations showing ` CH ` is an ortholattice.  (This
         corresponds to axiom "ax-3" in the Quantum Logic Explorer.) $)
      qlax3 $p |- ( ( A vH B ) vH C ) = ( A vH ( B vH C ) ) $=
        ( chjass ) ABCDEFG $.
        $( [15-Aug-2004] $) $( [4-Aug-2004] $)
    $}

    $( One of the equations showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-4" in the Quantum Logic Explorer.) $)
    qlax4 $p |- ( A vH ( B vH ( _|_ ` B ) ) ) = ( B vH ( _|_ ` B ) ) $=
      ( chil chj co cort cfv chj1 chjo opreq2i 3eqtr4 ) AEFGEABBHIFGZFGNACJNEAF
      BDKZLOM $.
      $( [15-Aug-2004] $) $( [4-Aug-2004] $)

    $( One of the equations showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-5" in the Quantum Logic Explorer.) $)
    qlax5 $p |- ( A vH ( _|_ ` ( ( _|_ ` A ) vH B ) ) ) = A $=
      ( cort cfv chj co cin chdmj2 opreq2i choccl chabs1 eqtr ) AAEFBGHEFZGHAAB
      EFZIZGHAOQAGABCDJKAPCBDLMN $.
      $( [15-Aug-2004] $) $( [4-Aug-2004] $)
  $}

  ${
    qlaxr1.1 $e |- A e. CH $.
    qlaxr1.2 $e |- B e. CH $.
    qlaxr1.3 $e |- A = B $.
    $( One of the conditions showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-r1" in the Quantum Logic Explorer.) $)
    qlaxr1 $p |- B = A $=
      ( eqcomi ) ABEF $.
      $( [15-Aug-2004] $) $( [4-Aug-2004] $)
  $}

  ${
    qlaxr2.1 $e |- A e. CH $.
    qlaxr2.2 $e |- B e. CH $.
    qlaxr2.3 $e |- C e. CH $.
    qlaxr2.4 $e |- A = B $.
    qlaxr2.5 $e |- B = C $.
    $( One of the conditions showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-r2" in the Quantum Logic Explorer.) $)
    qlaxr2 $p |- A = C $=
      ( eqtr ) ABCGHI $.
      $( [15-Aug-2004] $) $( [4-Aug-2004] $)
  $}

  ${
    qlaxr4.1 $e |- A e. CH $.
    qlaxr4.2 $e |- B e. CH $.
    qlaxr4.3 $e |- A = B $.
    $( One of the conditions showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-r4" in the Quantum Logic Explorer.) $)
    qlaxr4 $p |- ( _|_ ` A ) = ( _|_ ` B ) $=
      ( cort fveq2i ) ABFEG $.
      $( [15-Aug-2004] $) $( [4-Aug-2004] $)
  $}

  ${
    qlaxr5.1 $e |- A e. CH $.
    qlaxr5.2 $e |- B e. CH $.
    qlaxr5.3 $e |- C e. CH $.
    qlaxr5.4 $e |- A = B $.
    $( One of the conditions showing ` CH ` is an ortholattice.  (This
       corresponds to axiom "ax-r5" in the Quantum Logic Explorer.) $)
    qlaxr5 $p |- ( A vH C ) = ( B vH C ) $=
      ( chj opreq1i ) ABCHGI $.
      $( [15-Aug-2004] $) $( [4-Aug-2004] $)
  $}

  ${
    qlaxr3.1 $e |- A e. CH $.
    qlaxr3.2 $e |- B e. CH $.
    qlaxr3.3 $e |- C e. CH $.
    qlaxr3.4 $e |- ( C vH ( _|_ ` C ) ) =
        ( ( _|_ ` ( ( _|_ ` A ) vH ( _|_ ` B ) ) ) vH ( _|_ ` ( A vH B ) ) ) $.
    $( A variation of the orthomodular law, showing ` CH ` is an orthomodular
       lattice.  (This corresponds to axiom "ax-r3" in the Quantum Logic
       Explorer.) $)
    qlaxr3 $p |- A = B $=
      ( chj co chjcl chshi chub1 cort cfv cin c0h wceq wa incom choccl cmj1
      cmcmi cmcm2i cmj2 fh1 chil chjo eqtr3 choc0 chdmm1 3eqtr4 chincl h0elch
      chcon3 mpbir 3eqtr3 chj00 pm3.26i omlsi chub2 pm3.27i eqtr4 ) AABHIZBAVCD
      VCABDEJZKZABDELVCAMNZOZPQZVCBMNZOZPQZVHVKRVGVJHIZPQVCVFVIHIZOVMVCOZVLPVCV
      MSVCVFVIVDADTZBETZVCAVDDAVCDVDABDEUAUBUCVCBVDEBVCEVDABDEUDUBUCUEVNPQPMNZV
      NMNZQUFVMMNVCMNHIZVQVRCCMNHIUFVSCFUGGUHUIVMVCVFVIVOVPJZVDUJUKVNPVMVCVTVDU
      LUMUNUOUPVGVJVCVFVDVOULVCVIVDVPULUQUOZURUSBVCEVEBAEDUTVHVKWAVAUSVB $.
      $( [15-Aug-2004] $) $( [7-Aug-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Orthogonal subspaces
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    osumlem1.1 $e |- A e. CH $.
    osumlem1.2 $e |- B e. CH $.
    osumlem1.3 $e |- B (_ ( _|_ ` A ) $.
    osumlem1.4 $e |- ( ph <-> ( ( ( C e. A /\ D e. B ) /\ R = ( C +h D ) )
                 /\ ( ( x e. A /\ y e. ( _|_ ` A ) ) /\ z = ( x +h y ) ) ) ) $.
    $( Lemma for ~ osum . $)
    osumlem1 $p |- ( ph -> ( ( ( C e. H~ /\ D e. H~ ) /\
          R e. H~ ) /\ ( ( x e. H~ /\ y e. H~ ) /\ z e. H~ ) ) ) $=
      ( wcel wa cva co wceq cv cort cfv chil eleq1 hvaddclt syl5cbir imdistani
      chel anim12i sylan choccl sylbi ) AGENZHFNZOZIGHPQZRZOZBSZENZCSZETUAZNZOZ
      DSZURUTPQZRZOZOGUBNZHUBNZOZIUBNZOZURUBNZUTUBNZOZVDUBNZOZOMUQVLVGVQVJUPVLU
      NVJUPVKUPVKUOUBNVJIUOUBUCGHUDUEUFULVHUMVIGEJUGHFKUGUHUIVOVFVQVCVOVFVPVFVP
      VEUBNVOVDVEUBUCURUTUDUEUFUSVMVBVNUREJUGUTVAEJUJUGUHUIUHUK $.
      $( [19-Oct-1999] $)

    $( Lemma for ~ osum . $)
    osumlem2 $p |- ( ph -> ( ( ( normh ` ( C -h x ) ) ^ 2 ) +
                   ( ( normh ` ( D -h y ) ) ^ 2 ) ) =
                   ( ( normh ` ( R -h z ) ) ^ 2 ) ) $=
      ( wcel wa cva co wceq cv cort cfv cmv cno c2 cexp caddc pm3.27
      opreqan12d chil pm4.2 osumlem1 hvsub4t ad2ant2r syl eqtrd fveq2d opreq1d
      csp cc0 normpytht hvsubclt anim12i an4s csh wi chshi shocorth ax-mp
      shsubcltOLD choccl sseli sylan syl2an sylc eqtr2d sylbi ) AGENZHFNZOZIGHP
      QZRZOZBSZENZCSZETUAZNZOZDSZWCWEPQZRZOZOZGWCUBQZUCUAUDUEQHWEUBQZUCUAUDUEQU
      FQZIWIUBQZUCUAZUDUEQZRMWMWSWNWOPQZUCUAZUDUEQZWPWMWRXAUDUEWMWQWTUCWMWQVTWJ
      UBQZWTWBWLIVTWIWJUBVSWAUGWHWKUGUHWMGUINZHUINZOZIUINZOWCUINZWEUINZOZWIUINZ
      OOZXCWTRZWMBCDEFGHIJKLWMUJUKZXFXJXMXGXKGHWCWEULUMUNUOUPUQWNUINZWOUINZOZWN
      WOURQUSRZXBWPRWMWNWOUTWMXLXQXNXFXJXQXGXKXDXHXEXIXQXDXHOXOXEXIOXPGWCVAHWEV
      AVBVCUMUNVSWHXRWAWKVQWDVRWGXRWNENZWOWFNZXRVQWDOZVRWGOEVDNZXSXTOXRVEEJVFZW
      NWOEVGVHYBYAXSVEYCGWCEVIVHHWFNZWGXTVRWFVDNYDWGOXTVEWFEJVJVFHWEWFVIVHFWFHL
      VKVLVMVCUMVNVOVP $.
      $( [19-Oct-1999] $)

    $( Lemma for ~ osum . $)
    osumlem3 $p |- ( ph ->
                   ( normh ` ( D -h y ) ) <_ ( normh ` ( R -h z ) ) ) $=
      ( wcel wa cva co wceq cv cort cfv cmv cno cle wbr c2 cexp cc0 caddc chil
      cr pm4.2 osumlem1 hvsubclt ad2ant2r normclt syl sqge0t 3syl w3a wb 0re
      a1i resqclt ad2ant2l 3jca leadd1t mpbid cc recnd addid2t osumlem2
      3brtr3d jca le2sqt normge0t syl2an mpbird sylbi ) AGENHFNOIGHPQROBSZENCSZ
      ETUANODSZVTWAPQROOZHWAUBQZUCUAZIWBUBQZUCUAZUDUEZMWCWHWEUFUGQZWGUFUGQZUDUE
      ZWCUHWIUIQZGVTUBQZUCUAZUFUGQZWIUIQZWIWJUDWCUHWOUDUEZWLWPUDUEZWCGUJNZHUJNZ
      OZIUJNZOVTUJNZWAUJNZOZWBUJNZOOZWNUKNZWQWCBCDEFGHIJKLWCULZUMZXGWMUJNZXHXAX
      EXKXBXFWSXCXKWTXDGVTUNUOUOZWMUPZUQWNURUSWCXGUHUKNZWOUKNZWIUKNZUTWQWRVAXJX
      GXNXOXPXNXGVBVCXGXKXHXOXLXMWNVDUSXGWDUJNZWEUKNZXPXAXEXQXBXFWTXDXQWSXCHWAU
      NVEUOZWDUPZWEVDUSZVFUHWOWIVGUSVHWCXGWIVINWLWIRXJXGWIYAVJWIVKUSWCBCDEFGHIJ
      KLXIVLVMWCXGXQWFUJNZOWHWKVAZXJXGXQYBXSXBXFYBXAXEIWBUNVEVNXRUHWEUDUEZOWGUK
      NZUHWGUDUEZOYCXQYBWEWGVOXQXRYDXTWDVPVNYBYEYFWFUPWFVPVNVQUSVRVS $.
      $( [19-Oct-1999] $)
  $}

  ${
    $d u v w A $.  $d u v w B $.  $d u v w F $.  $d u v w G $.  $d u v w H $.
    $d u v w x $.  $d u v w y $.  $d u v w z $.
    osumlem4.1 $e |- A e. CH $.
    osumlem4.2 $e |- B e. CH $.
    osumlem4.3 $e |- B (_ ( _|_ ` A ) $.
    osumlem4.4 $e |- G e. V $.
    osumlem4.5 $e |- H e. V $.
    $( Lemma for ~ osum . $)
    osumlem4 $p |- ( ( ( ( F : NN --> A /\ G : NN --> B ) /\
                   A. w e. NN ( H ` w ) = ( ( F ` w ) +h ( G ` w ) ) )
                  /\ ( ( x e. A /\ y e. ( _|_ ` A ) ) /\ z = ( x +h y ) ) ) ->
                  ( H ~~>v z -> G ~~>v y ) ) $=
      ( vu vv cn wf wa cv cfv cva co wceq wral wcel cort chli wbr chil cc0 clt
      cle cmv cno wi wrex cr ffvelrn expcom anim12d pm4.2 osumlem3 adantr
      osumlem1 lelttrt 3exp hvsubclt normclt syl ad2ant2l ad2ant2r sylc imp
      mpand exp41 com24 syl6 com4l imp41 imim2 r19.20dva exp31 r19.20
      r19.22sdv imim2d visset hlimconv syl5 wss chssi fss mpan2 ad2antlr csh
      chshi shocss ax-mp sseli anim12i jctild hlim syl6ibr ) QEGRZQFHRZSZDTZIUA
      ZXGGUAZXGHUAZUBUCUDZDQUEZSZATZEUFZBTZEUGUAZUFZSCTZXNXPUBUCUDZSZSZIXSUHUIZ
      QUJHRZXPUJUFZSZUKOTZULUIZPTXGUMUIZXJXPUNUCZUOUAZYGULUIZUPZDQUEZPQUQZUPZOU
      RUEZSHXPUHUIYBYCYQYFYBYHYIXHXSUNUCZUOUAZYGULUIZUPZDQUEZPQUQZUPZOURUEYQYCY
      BUUDYPOURYBYGURUFZSZUUCYOYHUUFUUBYNPQUUFUUAYMUPZDQUEZUUBYNUPXFXLYAUUEUUHX
      FUUEYAXLUUHXFUUEYAXLUUHUPXFUUESYASZXKUUGDQUUIXGQUFZSXKYTYLUPZUUGXFUUEYAUU
      JXKUUKUPZUUJXFUUEYAUULUUJXFXIEUFZXJFUFZSZUUEYAUULUPUPUUJXDUUMXEUUNXDUUJUU
      MQEXGGUSUTXEUUJUUNQFXGHUSUTVAUUOXKYAUUEUUKUUOXKYAUUEUUKUUOXKSYASZUUESYKYS
      UMUIZYTYLUUPUUQUUEUUPABCEFXIXJXHJKLUUPVBZVCVDUUPUUEUUQYTSYLUPZUUPXIUJUFZX
      JUJUFZSZXHUJUFZSXNUJUFZYESZXSUJUFZSSZUUEUUSUPZUUPABCEFXIXJXHJKLUURVEYKURU
      FZYSURUFZUVHUVGUVIUVJUUEUUSYKYSYGVFVGUVBUVEUVIUVCUVFUVAYEUVIUUTUVDUVAYESY
      JUJUFUVIXJXPVHYJVIVJVKVLUVCUVFUVJUVBUVEUVCUVFSYRUJUFUVJXHXSVHYRVIVJVKVMVJ
      VNVOVPVQVRVSVTYTYLYIWAVRWBWCVQVTUUAYMDQWDVJWEWFWBOPDXSINCWGWHWIXMYDYAYEXE
      YDXDXLXEFUJWJYDFKWKQFUJHWLWMWNXRYEXOXTXQUJXPEWOUFXQUJWJEJWPEWQWRWSWNWTXAO
      PDXPHMBWGXBXC $.
      $( [18-Oct-1999] $)
  $}

  ${
    $d x y w f g A $.  $d x y w f g B $.  $d x y w f g H $.
    osumlem5.1 $e |- A e. CH $.
    osumlem5.2 $e |- B e. CH $.
    $( Lemma for ~ osum . $)
    osumlem5 $p |- ( H : NN --> ( A +H B ) -> E. f E. g ( ( f : NN --> A /\
     g : NN --> B ) /\ A. w e. NN ( H ` w ) = ( ( f ` w ) +h ( g ` w ) ) ) ) $=
      ( vx vy cn cph co wf cv cfv cva wceq wrex wral wa wex wcel ffvelrn ex
      chshi shsel syl6ib r19.21aiv nnex cch elisseti opreq1 eqeq2d rexbidv ac6
      opreq2 anim2i anass exbii 19.42v bitr sylibr 19.22i 3syl ) KBCLMZFNZAOZFP
      ZIOZJOZQMZRZJCSZIBSZAKTKBDOZNZVIVHVPPZVKQMZRZJCSZAKTZUAZDUBVQKCEOZNZUAVIV
      RVHWDPZQMZRZAKTZUAZEUBZDUBVGVOAKVGVHKUCZVIVFUCZVOVGWLWMKVFVHFUDUEIJBCVIBG
      UFCHUFUGUHUIVNWAAIKBDUJBUKGULVJVRRZVMVTJCWNVLVSVIVJVRVKQUMUNUOUPWCWKDWCVQ
      WEWIUAZEUBZUAZWKWBWPVQVTWHAJKCEUJCUKHULVKWFRVSWGVIVKWFVRQUQUNUPURWKVQWOUA
      ZEUBWQWJWREVQWEWIUSUTVQWOEVAVBVCVDVE $.
      $( [18-Oct-1999] $)
  $}

  ${
    $d w f g A $.  $d w f g B $.  $d w f g H $.
    $d w f g x $.  $d w f g y $.  $d w f g z $.
    osumlem6.1 $e |- A e. CH $.
    osumlem6.2 $e |- B e. CH $.
    osumlem6.3 $e |- B (_ ( _|_ ` A ) $.
    osumlem6.4 $e |- H e. V $.
    $( Lemma for ~ osum . $)
    osumlem6 $p |- ( ( ( H : NN --> ( A +H B ) /\ H ~~>v z )
                  /\ ( ( x e. A /\ y e. ( _|_ ` A ) ) /\ z = ( x +h y ) ) ) ->
                  y e. B ) $=
      ( vf vg vw cn cph co wf cv chli wbr wcel cort cfv wa cva wceq wral wex
      wi osumlem5 cch visset chlim mp3an1 simplr ad2antrr osumlem4 imp sylanc
      exp31 com23 19.23aivv syl imp31 ) NDEOPFQZFCRZSTZARZDUABRZDUBUCUAUDVFVHVI
      UEPUFUDZVIEUAZVENDKRZQZNELRZQZUDMRZFUCVPVLUCVPVNUCUEPUFMNUGZUDZLUHKUHVGVJ
      VKUIUIZMDEKLFGHUJVRVSKLVRVJVGVKVRVJVGVKVOVNVISTZVKVRVJUDZVGUDEUKUAVOVTVKH
      VIVNEBULUMUNVRVOVJVGVMVOVQUOUPWAVGVTABCMDEVLVNFGHILULJUQURUSUTVAVBVCVD $.
      $( [19-Oct-1999] $)
  $}

  ${
    $d x y z h A $.  $d x y z h B $.
    osumlem7.1 $e |- A e. CH $.
    osumlem7.2 $e |- B e. CH $.
    ${
      osumlem7.3 $e |- B (_ ( _|_ ` A ) $.
      $( Lemma for ~ osum . $)
      osumlem7 $p |- ( A +H B ) e. CH $=
        ( vh vz vx vy cph co cch wcel csh cn cv wf chli wbr wa wi wal
        closedsub chshi shscl cva wceq cort cfv wrex chil visset hlimvec
        pjpjtht mpan syl adantl wex shsva pm3.26 ad2antrl osumlem6 sylanc wb
        eleq1 ad2antll mpbird ex 19.23advv r2ex syl5ib mpd gen2 mpbir2an ) ABJK
        ZLMVONMOVOFPZQZVPGPZRSZTZVRVOMZUAZGUBFUBGFVOUCABACUDZBDUDZUEWBFGVTVRHPZ
        IPZUFKZUGZIAUHUIZUJHAUJZWAVSWJVQVSVRUKMZWJVRVPFULZGULUMALMWKWJCHIVRAUNU
        OUPUQVTWEAMZWFWIMZTZWHTZIURHURWAWJVTWPWAHIVTWPWAVTWPTZWAWGVOMZWMWFBMWRW
        QABWEWFWCWDUSWOWMVTWHWMWNUTVAHIGABVPCDEWLVBVCWHWAWRVDVTWOVRWGVOVEVFVGVH
        VIWHHIAWIVJVKVLVMVN $.
        $( [19-Oct-1999] $)
    $}

    $( Lemma for ~ osum . $)
    osumlem8 $p |- ( B (_ ( _|_ ` A ) -> ( A +H B ) e. CH ) $=
      ( cort cfv wss cph co cch wcel c0h cif wceq opreq1 eleq1d opreq2 h0elch
      keepel fveq2 sseq2d sseq1 chil chssi choc0 sseqtr4 elimhyp2v osumlem7
      dedth2v ) BAEFZGZABHIZJKUKALMZBHIZJKUMUKBLMZHIZJKABLLAUMNZULUNJAUMBHOPBUO
      NUNUPJBUOUMHQPUMUOUKALJCRSUKBLJDRSUKBUMEFZGUOURGLLEFZGABLLLURGUQUJURBAUME
      TUABUOURUBLUMNUSURLLUMETUALUOURUBLUCUSLRUDUEUFUGUHUI $.
      $( [19-Oct-1999] $)

    $( If two closed subspaces of a Hilbert space are orthogonal, their
       subspace sum equals their subspace join.  Lemma 3 of [Kalmbach] p. 67.
       Note that the Axiom of Choice is used for this proof (in ~ osumlem5
       and via ~ pjpjtht in ~ osumlem7 ). $)
    osum $p |- ( A (_ ( _|_ ` B ) -> ( A +H B ) = ( A vH B ) ) $=
      ( cort cfv wss cph co chj wa wceq cch wcel osumlem8 chshi shscom
      syl5eqel cun shunss chil chssi unssi shscl shssi occon2 ax-mp chjval
      eqcomi a1i ococt sseq12d mpbii syl chslej jctil eqss sylibr ) ABEFGZABHIZ
      ABJIZGZVAUTGZKUTVALUSVCVBUSUTMNZVCUSBAHIMUTBADCOABACPZBDPZQRVDABSZEFEFZUT
      EFEFZGZVCVGUTGVJABVEVFTVGUTABUAACUBBDUBUCUTABVEVFUDUEUFUGVDVHVAVIUTVHVALV
      DVAVHABCDUHUIUJUTUKULUMUNABCDUOUPUTVAUQUR $.
      $( [24-Nov-2004] $) $( [28-Oct-1999] $)

    $( Corollary of ~ osum . $)
    osumcor $p |- ( ( A i^i B ) +H ( A i^i ( _|_ ` B ) ) ) =
                  ( ( A i^i B ) vH ( A i^i ( _|_ ` B ) ) ) $=
      ( cin cort cfv wss cph co chj wceq inss2 choccl chub2 sstri chdmm3
      sseqtr4 chincl osum ax-mp ) ABEZABFGZEZFGZHUBUDIJUBUDKJLUBAFGZBKJZUEUBBUG
      ABMBUFDACNOPABCDQRUBUDABCDSAUCCBDNSTUA $.
      $( [13-Jan-2005] $) $( [5-Nov-2000] $)
  $}

  $( If two closed subspaces of a Hilbert space are orthogonal, their subspace
     sum equals their subspace join.  Lemma 3 of [Kalmbach] p. 67. $)
  osumt $p |- ( ( A e. CH /\ B e. CH /\ A (_ ( _|_ ` B ) ) ->
             ( A +H B ) = ( A vH B ) ) $=
    ( cch wcel cort cfv wss cph co chj wceq wi chil cif sseq1 opreq1 eqeq12d
    imbi12d fveq2 sseq2d opreq2 helch elimel osum dedth2h 3impia ) ACDZBCDZABEF
    ZGZABHIZABJIZKZUGUHUJUMLUGAMNZUIGZUNBHIZUNBJIZKZLUNUHBMNZEFZGZUNUSHIZUNUSJI
    ZKZLABMMAUNKZUJUOUMURAUNUIOVEUKUPULUQAUNBHPAUNBJPQRBUSKZUOVAURVDVFUIUTUNBUS
    ESTVFUPVBUQVCBUSUNHUABUSUNJUAQRUNUSAMCUBUCBMCUBUCUDUEUF $.
    $( [12-Jan-2006] $) $( [31-Oct-2005] $)

  $( The subspace sum of a closed subspace and its complement is all of
     Hilbert space. $)
  chsot $p |- ( A e. CH -> ( A +H ( _|_ ` A ) ) = H~ ) $=
    ( cch wcel cort cfv cph co chj chil wss wceq chocclt csh chsh shococss syl
    osumt mpd3an23 chjot eqtrd ) ABCZAADEZFGZAUBHGZIUAUBBCAUBDEJZUCUDKALUAAMCUE
    ANAOPAUBQRAST $.
    $( [17-Jan-2006] $) $( [31-Oct-2005] $)

  ${
    osumcor2.1 $e |- A e. CH $.
    osumcor2.2 $e |- B e. CH $.
    $( Corollary of ~ osum , showing it holds under the weaker hypothesis
       that ` A ` and ` B ` commute. $)
    osumcor2 $p |- ( A C_H B ->
                   ( A +H B ) = ( A vH B ) ) $=
      ( ccm wbr cph co chj wss wa wceq cort cfv cin cmcm2 choccl cmbr4 bitr
      chjcl chincl osum chjcom ineq2i opreq1i eqtr pjoml4 3eqtr eqeq2i inss1
      chshi shless ax-mp sseq1 mpbii sylbi syl chslej jctil eqss sylibr ) ABEFZ
      ABGHZABIHZJZVDVCJZKVCVDLVBVFVEVBAAMNZBMNZIHZOZVHJZVFVBAVHEFVKABCDPAVHCBDQ
      ZRSVKVJBGHZVJBIHZLZVFVJBAVICVGVHACQZVLTUAZDUBVOVMVDLZVFVNVDVMVNBAVHVGIHZO
      ZIHZBAIHVDVNVTBIHWAVJVTBIVIVSAVGVHVPVLUCUDUEVTBAVSCVHVGVLVPTUADUCUFBADCUG
      BADCUCUHUIVRVMVCJZVFVJAJWBAVIUJVJABVJVQUKACUKBDUKULUMVMVDVCUNUOUPUQUPABCD
      URUSVCVDUTVA $.
      $( [13-Jan-2005] $) $( [6-Dec-2000] $)
  $}

  ${
    spansnj.1 $e |- A e. CH $.
    spansnj.2 $e |- B e. H~ $.
    $( The subspace sum of a closed subspace and a one-dimensional subspace
       equals their join.  (Proof suggested by Eric Schechter 1-Jun-2004.) $)
    spansnj $p |- ( A +H ( span ` { B } ) ) = ( A vH ( span ` { B } ) ) $=
      ( csn cspn cfv chj co cph cort chshi spansnch shjshs cpj cch cun chssi
      chil wcel wss choccl pjhcli snssi ax-mp spanun spanunsn csh wceq spanid
      opreq1i spansnpj osum eqtr2 3eqtr4r 3eqtrr chjcl eqeltr ococ ) ABEZFGZHIA
      VAJIZKGKGVBAVAACLZVABDMLNVBVBABAKGZOGGZEZFGZHIZPVHAUTQFGZAFGZVAJIVBAVFQFG
      VJVGJIZVIVHAVFACRZVESTVFSUABVDACUBDUCZVESUDUEUFABCDUGVKAVGJIZVHVJAVGJAUHT
      VJAUIVCAUJUEZUKAVGKGUAVNVHUIABVLDULAVGCVEVMMZUMUEUNUOAUTVLBSTUTSUADBSUDUE
      UFVJAVAJVOUKUPAVGCVPUQURUSUN $.
      $( [24-Nov-2004] $) $( [1-Jun-2004] $)
  $}

  $( The subspace sum of a closed subspace and a one-dimensional subspace
     equals their join. $)
  spansnjt $p |- ( ( A e. CH /\ B e. H~ ) ->
              ( A +H ( span ` { B } ) ) = ( A vH ( span ` { B } ) ) ) $=
    ( cch wcel chil csn cspn cfv cph co chj wceq cif c0v opreq1 eqeq12d sneq
    fveq2d opreq2d helch elimel ax-hv0cl spansnj dedth2h ) ACDZBEDZABFZGHZIJZAU
    HKJZLUEAEMZUHIJZUKUHKJZLUKUFBNMZFZGHZIJZUKUPKJZLABENAUKLUIULUJUMAUKUHIOAUKU
    HKOPBUNLZULUQUMURUSUHUPUKIUSUGUOGBUNQRZSUSUHUPUKKUTSPUKUNAECTUABNEUBUAUCUD
    $.
    $( [22-Dec-2004] $) $( [4-Jun-2004] $)

  $( The subspace sum of a closed subspace and a one-dimensional subspace
     is closed. $)
  spansnsclt $p |- ( ( A e. CH /\ B e. H~ ) ->
              ( A +H ( span ` { B } ) ) e. CH ) $=
    ( cch wcel chil wa csn cspn cfv cph co chj spansnjt chjclt spansncht
    sylan2 eqeltrd ) ACDZBEDZFABGHIZJKATLKZCABMRTCDUACDSATNBOPQ $.
    $( [22-Dec-2004] $) $( [17-Dec-2004] $)

  $( The sum of two vectors belong to the span of one of them iff the other
     vector also belongs. $)
  sumspansnt $p |- ( ( A e. H~ /\ B e. H~ ) ->
           ( ( A +h B ) e. ( span ` { A } ) <-> B e. ( span ` { A } ) ) ) $=
    ( chil wcel wa cva co csn cspn cfv cmv wi spansnid csh spansnsht
    shsubcltOLD syl mpan2d adantr hvpncan2t eleq1d sylibd shaddcltOLD mpand
    impbid ) ACDZBCDZEZABFGZAHIJZDZBUJDZUHUKUIAKGZUJDZULUFUKUNLUGUFUKAUJDZUNAMZ
    UFUJNDZUKUOEUNLAOZUIAUJPQRSUHUMBUJABTUAUBUFULUKLUGUFUOULUKUPUFUQUOULEUKLURA
    BUJUCQUDSUE $.
    $( [4-Feb-2006] $) $( [1-Nov-2005] $)

  ${
    $d x A $.  $d x B $.
    spansnm0.1 $e |- A e. H~ $.
    spansnm0.2 $e |- B e. H~ $.
    $( The meet of different one-dimensional subspaces is the zero subspace. $)
    spansnm0 $p |- ( -. A e. ( span ` { B } ) ->
                   ( ( span ` { A } ) i^i ( span ` { B } ) ) = 0H ) $=
      ( vx csn cspn cfv wcel wn cin c0h wss wceq cv wa c0v chil csh wi
      spansnch chshi elspansn5t ax-mp mpanl1 ex elin elch0 3imtr4g ssrdv
      chincl chle0 sylib ) ABFGHZIJZAFGHZUNKZLMUQLNUOEUQLUOEOZUPIURUNIPZURQNZUR
      UQIURLIUOUSUTARIZUOUSUTCUNSIVAUOPUSPUTTUNBDUAZUBUNAURUCUDUEUFURUPUNUGURUH
      UIUJUQUPUNACUAVBUKULUM $.
      $( [11-Feb-2006] $) $( [1-Nov-2005] $)
  $}

  ${
    nonbool.1 $e |- A e. H~ $.
    nonbool.2 $e |- B e. H~ $.
    nonbool.3 $e |- F = ( span ` { A } ) $.
    nonbool.4 $e |- G = ( span ` { B } ) $.
    nonbool.5 $e |- H = ( span ` { ( A +h B ) } ) $.
    $( A Hilbert lattice with two or more dimensions fails the distributive law
       and therefore cannot be a Boolean algebra.  This counterexample
       demonstrates a condition where ` ( ( H i^i F ) vH ( H i^i G ) ) = 0H `
       but ` ( H i^i ( F vH G ) ) =/= 0H ` .  The antecedent specifies that the
       vectors ` A ` and ` B ` are nonzero and non-colinear.  The last three
       hypotheses assign one-dimensional subspaces to ` F ` , ` G ` , and
       ` H ` . $)
    nonbool $p |- ( -. ( A e. G \/ B e. F ) ->
                  ( H i^i ( F vH G ) ) =/= ( ( H i^i F ) vH ( H i^i G ) ) ) $=
      ( wcel wn wa chj co cin wceq wo wne c0h eqeq2 negbid biimparc cva csn
      cspn cfv c0v elin chil hvaddcl spansnid ax-mp eleqtrr cph csh spansnch
      chshi eqeltr shslej shsva mp2an sselii mpbir2an eleq2 mpbii elch0 sylib
      cch ch0 syl6eqel eleq2i wb sumspansnt bitr4 sylibr con3i adantl spansnm0
      negbii ineq12i eqeq1i 3imtr4 hvcom eleq1i 3bitr4r opreqan12rd h0elch
      chj0 syl6eq sylanc ioran df-ne ) ADKZLZBCKZLZMZECDNOZPZECPZEDPZNOZQZLZWNW
      PRLWTXCSWTTQZLZXCTQZXEWRXHXEXGXHXDXFXCTWTUAUBUCWQXGWOXFWPXFABUDOZAUEUFUGZ
      KZWPXFXIUHXJXFXITKZXIUHQXFXIWTKZXLXMXIEKXIWSKXIEWSUIXIXIUEUFUGZEXIUJKXIXN
      KABFGUKZXIULUMJUNCDUOOZWSXICDCXJUPHXJAFUQZURUSZDBUEUFUGZUPIXSBGUQURUSZUTA
      CKBDKXIXPKAXJCAUJKZAXJKFAULUMHUNBXSDBUJKZBXSKGBULUMIUNCDABXRXTVAVBVCVDWTT
      XIVEVFXIVGVHXJVIKUHXJKXQXJVJUMVKWPBXJKZXKCXJBHVLYAYBXKYCVMFGABVNVBVOZVPVQ
      VRWRXCTTNOTWQWOXATXBTNXKLXNXJPZTQWQXATQXIAXOFVSWPXKYDVTXAYETEXNCXJJHWAWBW
      CXIXSKZLXNXSPZTQWOXBTQXIBXOGVSWNYFBAUDOZXSKZAXSKZYFWNYBYAYIYJVMGFBAVNVBXI
      YHXSABFGWDWEDXSAIVLWFVTXBYGTEXNDXSJIWAWBWCWGTWHWIWJWKWNWPWLWTXCWMWC $.
      $( [12-Feb-2006] $) $( [1-Nov-2005] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.
    spansncv.1 $e |- A e. CH $.
    spansncv.2 $e |- B e. CH $.
    spansncv.3 $e |- C e. H~ $.
    $( Hilbert space has the covering property (using spans of singletons to
       represent atoms).  Exercise 5 of [Kalmbach] p. 153. $)
    spansncv $p |- ( ( A (. B /\ B (_ ( A vH ( span ` { C } ) ) ) ->
                   B = ( A vH ( span ` { C } ) ) ) $=
      ( vx vy vz wpss csn cspn cfv chj co wss wa pm3.27 spansnch chlubi pssss
      adantr wi cv wcel wn wex ssel2 cva wceq wrex cph spansnj eleq2i chsel
      bitr3 cmv chil hvpncan2t chel syl2an eleq1d csh chshi shsubcltOLD ax-mp
      eleq1 biimpac sylan exp43 com14 imp45 syl5bi imp anandis exp45 imp41
      adantrr c0v wne spansneleq mpan sseq1d spansnsst ancoms opreq2
      ax-hvaddid syl sylan9eqr eqeq2d eleq1a sylbid ex com23 necon3bd sylan2
      exp44 com12 adantrl mpd r19.23aivv sylbi anandirs imp3a 19.23adv pssnel
      syl5 pm2.43d impcom sylanc eqssd ) ABJZBACKLMZNOZPZQZBXNXLXORABPZXMBPZXNB
      PXPAXMBDCFSZETXLXQXOABUAZUBXOXLXRXOXLXRXOXLXLXRUCXOXLQZGUDZBUEZYBAUEZUFZQ
      ZGUGXRXLYAYFXRGYAYCYEXRYAYCYEXRUCZXOXLYCYGXOYCQZXLYCQZYGYHYBXNUEZYIYGUCZB
      XNYBUHYJYBHUDZIUDZUIOZUJZIXMUKHAUKZYKYJYBAXMULOZUEYPYQXNYBACDFUMUNHIAXMYB
      DXSUOUPYOYKHIAXMYLAUEZYMXMUEZQZYOYIYEXRYTYOQZYIYEQQYMBUEZXRUUAYIUUBYEYRYS
      YOYIUUBYRYSYOYIUUBYRYSYOYIQZUUBYTYRUUCQZUUBYTYNYLUQOZBUEZUUBUUDYTUUEYMBYL
      URUEZYMURUEUUEYMUJYRYSYLYMUSYLADUTZYMXMXSUTVAVBYRYOXLYCUUFYCYOXLYRUUFYCYO
      XLYRUUFYNBUEZYLBUEZUUFYCYOQXLYRQBVCUEZUUIUUJQUUFUCBEVDZYNYLBVEVFYOYCUUIYB
      YNBVGVHXQYRUUJXLABYLUHXTVIVAVJVKVLVMVNVOVPVQVRUUAYEUUBXRUCZYIYRYSYOYEUUMY
      SYRYOYEUUMUCUCYSYRYOYEUUMYSYMVSVTZUUMYRYOQZYEQUUNYSUUMUUNYSQZYMKLMZBPZXRU
      UBUUPUUQXMBUUNYSUUQXMUJZCURUEUUNYSUUSUCFYMCWAWBVNWCUUKUUBUURUULBYMWDWBVMW
      EUUOYEUUNUUOYDYMVSYRYOYMVSUJZYDUCYRUUTYOYDYRUUTYOYDUCYRUUTQZYOYBYLUJZYDUV
      AYNYLYBUUTYRYNYLVSUIOZYLYMVSYLUIWFYRUUGUVCYLUJUUHYLWGWHWIWJYRUVBYDUCUUTYL
      AYBWKUBWLWMWNVNWOVNWPWQWRVQWSWTVJXAXBWHVNXCWMXDXEGABXFXGWMXHXIXJXK $.
      $( [30-Jul-2008] $) $( [7-Jun-2004] $)
  $}

  $( Hilbert space has the covering property (using spans of singletons to
     represent atoms).  Exercise 5 of [Kalmbach] p. 153. $)
  spansncvt $p |- ( ( A e. CH /\ B e. CH /\ C e. H~ ) ->
                  ( ( A (. B /\ B (_ ( A vH ( span ` { C } ) ) )
                 -> B = ( A vH ( span ` { C } ) ) ) ) $=
    ( cch wcel chil wpss csn cspn cfv chj co wss wa wceq wi cif c0v psseq1
    opreq1 sseq2d anbi12d eqeq2d imbi12d psseq2 sseq1 eqeq1 sneq fveq2d
    opreq2d anbi2d helch elimel ax-hv0cl spansncv dedth3h ) ADEZBDEZCFEZABGZBAC
    HZIJZKLZMZNZBVCOZPUQAFQZBGZBVGVBKLZMZNZBVIOZPABCFFRVGURBFQZGZVMVIMZNZVMVIOZ
    PVNVMVGUSCRQZHZIJZKLZMZNZVMWAOZPAVGOZVEVKVFVLWEUTVHVDVJAVGBSWEVCVIBAVGVBKTZ
    UAUBWEVCVIBWFUCUDBVMOZVKVPVLVQWGVHVNVJVOBVMVGUEBVMVIUFUBBVMVIUGUDCVROZVPWCV
    QWDWHVOWBVNWHVIWAVMWHVBVTVGKWHVAVSICVRUHUIUJZUAUKWHVIWAVMWIUCUDVGVMVRAFDULU
    MBFDULUMCRFUNUMUOUP $.
    $( [7-Jul-2004] $) $( [9-Jun-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Orthoarguesian laws 5OA and 3OA
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    5oalem1.1 $e |- A e. SH $.
    5oalem1.2 $e |- B e. SH $.
    5oalem1.3 $e |- C e. SH $.
    5oalem1.4 $e |- R e. SH $.
    $( Lemma for orthoarguesian law 5OA. $)
    5oalem1 $p |- ( ( ( ( x e. A /\ y e. B ) /\ v = ( x +h y ) ) /\
                  ( z e. C /\ ( x -h z ) e. R ) ) ->
                  v e. ( B +H ( A i^i ( C +H R ) ) ) ) $=
      ( cv wcel wa cva co wceq cmv cph cin shscl shincl shsva shscom syl6eleq
      pm3.26 ad2antrr chil hvaddsub12t 3anidm23 c0v hvsubidt opreq2d
      ax-hvaddid sylan9eqr eqtr3d shel adantr syl2an adantl eqeltrrd jca elin
      sylibr pm3.27 sylanc wb eleq1 ad2antlr mpbird ) AMZENZBMZFNZOZDMZVLVNPQZR
      ZOZCMZGNZVLWASQZHNZOZOZVQFEGHTQZUAZTQZNZVRWINZVLWHNZVOWKWFWLVOOVRWHFTQWIW
      HFVLVNEWGIGHKLUBUCZJUDWHFWMJUEUFWFVMVLWGNZOWLWFVMWNVPVMVSWEVMVOUGUHWFWAWC
      PQZVLWGVLUINZWAUINZWOVLRVTWEWPWQOVLWAWASQZPQZWOVLWPWQWSWORVLWAWAUJUKWQWPW
      SVLULPQVLWQWRULVLPWAUMUNVLUOUPUQVMWPVOVSVLEIURUHWBWQWDWAGKURUSUTWEWOWGNVT
      GHWAWCKLUDVAVBVCVLEWGVDVEVPVOVSWEVMVOVFUHVGVSWJWKVHVPWEVQVRWIVIVJVK $.
      $( [1-Apr-2000] $)
  $}

  ${
    5oalem2.1 $e |- A e. SH $.
    5oalem2.2 $e |- B e. SH $.
    5oalem2.3 $e |- C e. SH $.
    5oalem2.4 $e |- D e. SH $.
    $( Lemma for orthoarguesian law 5OA. $)
    5oalem2 $p |- ( ( ( ( x e. A /\ y e. B ) /\ ( z e. C /\ w e. D ) ) /\
                  ( x +h y ) = ( z +h w ) ) ->
                  ( x -h z ) e. ( ( A +H C ) i^i ( B +H D ) ) ) $=
      ( cv wcel wa cva co wceq cmv cph cin shsvs ad2ant2r adantr ancom shscom
      eleq2i 3imtr4 ad2ant2l chil wb opreq1 adantl c0v pm3.27 anim2i ancoms
      hvsub4t syldan hvsubidt opreq2d ad2antlr hvsubclt ax-hvaddid syl adantlr
      3eqtrd adantrr pm3.26 anim1i sylanc opreq1d ad2antrl hvaddid2t adantrl
      adantll 3eqtr3d eleq1d shel anim12i sylan mpbird jca elin sylibr ) AMZENZ
      BMZFNZOZCMZGNZDMZHNZOZOZWFWHPQZWKWMPQZRZOZWFWKSQZEGTQZNZXAFHTQZNZOXAXBXDU
      ANWTXCXEWPXCWSWGWLXCWIWNEGWFWKIKUBUCUDWTXEWMWHSQZXDNZWPXGWSWIWNXGWGWLWNWI
      OXFHFTQZNWIWNOXGHFWMWHLJUBWIWNUEXDXHXFFHJLUFUGUHUIUDWFUJNZWHUJNZOZWKUJNZW
      MUJNZOZOZWSXEXGUKWPXOWSOZXAXFXDXPWQWKWHPQZSQZWRXQSQZXAXFWSXRXSRXOWQWRXQSU
      LUMXOXRXARZWSXKXLXTXMXKXLOXRXAWHWHSQZPQZXAUNPQZXAXKXLXLXJOZXRYBRXLXKYDXKX
      JXLXIXJUOUPUQWFWHWKWHURUSXJYBYCRXIXLXJYAUNXAPWHUTVAVBXIXLYCXARZXJXIXLOXAU
      JNYEWFWKVCXAVDVEVFVGVHUDXOXSXFRZWSXJXNYFXIXJXNOZXSWKWKSQZXFPQZUNXFPQZXFXN
      YDXSYIRYGWKWMWKWHURXJXNUOXNXJYDXNXLXJXLXMVIVJUQVKXLYIYJRXJXMXLYHUNXFPWKUT
      VLVMXJXMYJXFRZXLXMXJYKXMXJOXFUJNYKWMWHVCXFVNVEUQVOVGVPUDVQVRWJXKWOXNWGXIW
      IXJWFEIVSWHFJVSVTWLXLWNXMWKGKVSWMHLVSVTVTWAWBWCXAXBXDWDWE $.
      $( [2-Apr-2000] $)
  $}

  ${
    5oalem3.1 $e |- A e. SH $.
    5oalem3.2 $e |- B e. SH $.
    5oalem3.3 $e |- C e. SH $.
    5oalem3.4 $e |- D e. SH $.
    5oalem3.5 $e |- F e. SH $.
    5oalem3.6 $e |- G e. SH $.
    $( Lemma for orthoarguesian law 5OA. $)
    5oalem3 $p |- ( ( ( ( ( x e. A /\ y e. B ) /\ ( z e. C /\ w e. D ) )
                    /\ ( f e. F /\ g e. G ) ) /\
                  ( ( x +h y ) = ( f +h g ) /\ ( z +h w ) = ( f +h g ) ) ) ->
                  ( x -h z ) e. ( ( ( A +H F ) i^i ( B +H G ) ) +H
                    ( ( C +H F ) i^i ( D +H G ) ) ) ) $=
      ( cv wcel wa cva co wceq cmv cph cin 5oalem2 anim12i an4s anandir sylanb
      shscl shincl shsvs syl wb chil c0v hvsubsub4t anandirs hvsubidt opreq2d
      adantl hvsubclt hvsub0t adantr 3eqtrd shel syl2an eleq1d mpbid ) ASZETZBS
      ZFTZUAZCSZGTZDSZHTZUAZUAZISZKTZJSZLTZUAZUAZVMVOUBUCWDWFUBUCZUDZVRVTUBUCWJ
      UDZUAZUAZVMWDUEUCZVRWDUEUCZUEUCZEKUFUCZFLUFUCZUGZGKUFUCZHLUFUCZUGZUFUCZTZ
      VMVRUEUCZXDTZWNWOWTTZWPXCTZUAZXEVQWHUAZWBWHUAZUAWMXJWIXKWKXLWLXJXKWKUAXHX
      LWLUAXIABIJEFKLMNQRUHCDIJGHKLOPQRUHUIUJVQWBWHUKULWTXCWOWPWRWSEKMQUMFLNRUM
      UNXAXBGKOQUMHLPRUMUNUOUPWIXEXGUQWMWIWQXFXDVMURTZVRURTZUAZWDURTZWQXFUDWCWH
      XOXPUAWQXFWDWDUEUCZUEUCZXFUSUEUCZXFXMXNXPWQXRUDVMWDVRWDUTVAXPXRXSUDXOXPXQ
      USXFUEWDVBVCVDXOXSXFUDZXPXOXFURTXTVMVRVEXFVFUPVGVHVQXMWBXNVNXMVPVMEMVIVGV
      SXNWAVRGOVIVGUIWEXPWGWDKQVIVGVJVKVGVL $.
      $( [2-Apr-2000] $)


    $( Lemma for orthoarguesian law 5OA. $)
    5oalem4 $p |- ( ( ( ( ( x e. A /\ y e. B ) /\ ( z e. C /\ w e. D ) )
                    /\ ( f e. F /\ g e. G ) ) /\
                  ( ( x +h y ) = ( f +h g ) /\ ( z +h w ) = ( f +h g ) ) ) ->
                  ( x -h z ) e. ( ( ( A +H C ) i^i ( B +H D ) ) i^i
                    ( ( ( A +H F ) i^i ( B +H G ) ) +H
                      ( ( C +H F ) i^i ( D +H G ) ) ) ) ) $=
      ( cv wcel wa cva co wceq cmv cph cin 5oalem2 eqtr3t sylan2 adantlr
      5oalem3 jca elin sylibr ) ASZETBSZFTUACSZGTDSZHTUAUAZISZKTJSZLTUAZUAUPUQU
      BUCZVAVBUBUCZUDURUSUBUCZVEUDUAZUAZUPURUEUCZEGUFUCFHUFUCUGZTZVIEKUFUCFLUFU
      CUGGKUFUCHLUFUCUGUFUCZTZUAVIVJVLUGTVHVKVMUTVGVKVCUTVDVFUDVKVGABCDEFGHMNOP
      UHVDVFVEUIUJUKABCDEFGHIJKLMNOPQRULUMVIVJVLUNUO $.
      $( [2-Apr-2000] $)
  $}

  ${
    5oalem5.1 $e |- A e. SH $.
    5oalem5.2 $e |- B e. SH $.
    5oalem5.3 $e |- C e. SH $.
    5oalem5.4 $e |- D e. SH $.
    5oalem5.5 $e |- F e. SH $.
    5oalem5.6 $e |- G e. SH $.
    5oalem5.7 $e |- R e. SH $.
    5oalem5.8 $e |- S e. SH $.
    $( Lemma for orthoarguesian law 5OA. $)
    5oalem5 $p |- ( ( ( ( ( x e. A /\ y e. B ) /\ ( z e. C /\ w e. D ) )
                    /\ ( ( f e. F /\ g e. G ) /\ ( v e. R /\ u e. S ) ) ) /\
             ( ( ( x +h y ) = ( v +h u ) /\ ( z +h w ) = ( v +h u ) ) /\
                 ( f +h g ) = ( v +h u ) ) ) ->
                  ( x -h z ) e.
                 ( ( ( ( A +H C ) i^i ( B +H D ) ) i^i
                     ( ( ( A +H R ) i^i ( B +H S ) ) +H
                       ( ( C +H R ) i^i ( D +H S ) ) ) )
                i^i ( ( ( ( A +H F ) i^i ( B +H G ) ) i^i
                        ( ( ( A +H R ) i^i ( B +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) )
                   +H ( ( ( C +H F ) i^i ( D +H G ) ) i^i
                        ( ( ( C +H R ) i^i ( D +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) ) ) ) ) $=
      ( cv wcel wa cva co wceq cmv cph cin 5oalem4 pm3.27 anim2i pm3.26 syl2an
      chil c0v hvsubsub4t anandirs hvsubidt opreq2d adantl hvsubclt hvsub0t
      syl adantr 3eqtrd shel anim12i adantrr anandir sylib simprr jca anim1i
      an4s sylanb shscl shincl shsvs 3syl eqeltrrd elin sylibr ) AUEZGUFZBUEZHU
      FZUGZCUEZIUFZDUEZJUFZUGZUGZMUEZOUFZNUEZPUFZUGZEUEZKUFFUEZLUFUGZUGZUGZWHWJ
      UHUIXDXEUHUIZUJZWMWOUHUIXIUJZUGZWSXAUHUIXIUJZUGZUGZWHWMUKUIZGIULUIHJULUIU
      MGKULUIZHLULUIZUMZIKULUIZJLULUIZUMZULUIUMZUFZXPGOULUIZHPULUIZUMZXSOKULUIZ
      PLULUIZUMZULUIZUMZIOULUIZJPULUIZUMZYBYJULUIZUMZULUIZUFZUGXPYCYRUMUFXOYDYS
      WRXFUGXLYDXHXNABCDGHIJEFKLQRSTUCUDUNXGXFWRXCXFUOUPXLXMUQURXOWHWSUKUIZWMWS
      UKUIZUKUIZXPYRXHUUBXPUJZXNWRXCUUCXFWHUSUFZWMUSUFZUGZWSUSUFZUUCWRXCUUFUUGU
      GUUBXPWSWSUKUIZUKUIZXPUTUKUIZXPUUDUUEUUGUUBUUIUJWHWSWMWSVAVBUUGUUIUUJUJUU
      FUUGUUHUTXPUKWSVCVDVEUUFUUJXPUJZUUGUUFXPUSUFUUKWHWMVFXPVGVHVIVJWLUUDWQUUE
      WIUUDWKWHGQVKVIWNUUEWPWMISVKVIVLWTUUGXBWSOUAVKVIURVMVIXOWLXCUGZWQXCUGZUGZ
      XFUGZXJXMUGZXKXMUGZUGZUGYTYLUFZUUAYQUFZUGZUUBYRUFXHUUOXNUURXHUUNXFXHWRXCU
      GUUNXGXCWRXCXFUQUPWLWQXCVNVOWRXCXFVPVQXNUUPUUQXLXJXMXJXKUQVRXLXKXMXJXKUOV
      RVQVLUULXFUGZUUMXFUGZUGUURUVAUUOUVBUUPUVCUUQUVAUVBUUPUGUUSUVCUUQUGUUTABMN
      GHOPEFKLQRUAUBUCUDUNCDMNIJOPEFKLSTUAUBUCUDUNVLVSUULUUMXFVNVTYLYQYTUUAYGYK
      YEYFGOQUAWAHPRUBWAWBXSYJXQXRGKQUCWAHLRUDWAWBYHYIOKUAUCWAPLUBUDWAWBZWAWBYO
      YPYMYNIOSUAWAJPTUBWAWBYBYJXTYAIKSUCWAJLTUDWAWBUVDWAWBWCWDWEVQXPYCYRWFWG
      $.
      $( [2-May-2000] $)

    $( Lemma for orthoarguesian law 5OA. $)
    5oalem6 $p |- ( ( ( ( ( x e. A /\ y e. B ) /\ h = ( x +h y ) ) /\
                        ( ( z e. C /\ w e. D ) /\ h = ( z +h w ) ) ) /\
                      ( ( ( f e. F /\ g e. G ) /\ h = ( f +h g ) ) /\
                        ( ( v e. R /\ u e. S ) /\ h = ( v +h u ) ) ) ) ->
           h e. ( B +H ( A i^i ( C +H
                 ( ( ( ( A +H C ) i^i ( B +H D ) ) i^i
                     ( ( ( A +H R ) i^i ( B +H S ) ) +H
                       ( ( C +H R ) i^i ( D +H S ) ) ) )
                i^i ( ( ( ( A +H F ) i^i ( B +H G ) ) i^i
                        ( ( ( A +H R ) i^i ( B +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) )
                   +H ( ( ( C +H F ) i^i ( D +H G ) ) i^i
                        ( ( ( C +H R ) i^i ( D +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) ) ) ) ) ) ) ) $=
      ( cv wcel wa cva co wceq cmv cph cin eqeq1 biimpcd anim12d exp3a com3l
      imp32 anim2i an4s an4 syl2anb 5oalem5 syl wi shscl shincl 5oalem1 exp32
      imp adantrr adantr mpd ) AUFZGUGBUFZHUGUHZOUFZVPVQUIUJZUKZUHZCUFZIUGZDUFZ
      JUGZUHZVSWCWEUIUJZUKZUHUHZMUFZPUGNUFZQUGUHZVSWKWLUIUJZUKZUHEUFZKUGFUFZLUG
      UHZVSWPWQUIUJZUKZUHUHZUHZVPWCULUJGIUMUJZHJUMUJZUNZGKUMUJZHLUMUJZUNZIKUMUJ
      ZJLUMUJZUNZUMUJZUNZGPUMUJZHQUMUJZUNZXHPKUMUJZQLUMUJZUNZUMUJZUNZIPUMUJZJQU
      MUJZUNZXKXSUMUJZUNZUMUJZUNZUGZVSHGIYHUMUJUNUMUJUGZXBVRWGUHZWMWRUHZUHZVTWS
      UKZWHWSUKZUHZWNWSUKZUHZUHZYIYKWAWIUHZUHYLWOWTUHZUHYSWJXAYKYLYTUUAYSYTUUAU
      HYRYMYTWOWTYRWTYTWOYRWTYTWOYRWTYTYPWOYQWTWAYNWIYOWAWTYNVSVTWSUOUPWIWTYOVS
      WHWSUOUPUQWOWTYQVSWNWSUOUPUQURUSUTVAVBVRWAWGWIVCWMWOWRWTVCVDABCDEFGHIJKLM
      NPQRSTUAUBUCUDUEVEVFWJYIYJVGZXAWBWGUUBWIWBWDUUBWFWBWDUUBWBWDYIYJABCOGHIYH
      RSTXMYGXEXLXCXDGIRTVHHJSUAVHVIXHXKXFXGGKRUDVHHLSUEVHVIZXIXJIKTUDVHJLUAUEV
      HVIZVHVIYAYFXPXTXNXOGPRUBVHHQSUCVHVIXHXSUUCXQXRPKUBUDVHQLUCUEVHVIZVHVIYDY
      EYBYCIPTUBVHJQUAUCVHVIXKXSUUDUUEVHVIVHVIVJVKVLVMVMVNVO $.
      $( [4-May-2000] $)

    ${
      $d A h f g u v w x y z $.  $d B h f g u v w x y z $.
      $d C h f g u v w x y z $.  $d D h f g u v w x y z $.
      $d F h f g u v w x y z $.  $d G h f g u v w x y z $.
      $d R h f g u v w x y z $.  $d S h f g u v w x y z $.
      $( Lemma for orthoarguesian law 5OA. $)
      5oalem7 $p |- ( ( ( A +H B ) i^i ( C +H D ) ) i^i
              ( ( F +H G ) i^i ( R +H S ) ) ) (_ ( B +H ( A i^i ( C +H
                 ( ( ( ( A +H C ) i^i ( B +H D ) ) i^i
                     ( ( ( A +H R ) i^i ( B +H S ) ) +H
                       ( ( C +H R ) i^i ( D +H S ) ) ) )
                i^i ( ( ( ( A +H F ) i^i ( B +H G ) ) i^i
                        ( ( ( A +H R ) i^i ( B +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) )
                   +H ( ( ( C +H F ) i^i ( D +H G ) ) i^i
                        ( ( ( C +H R ) i^i ( D +H S ) ) +H
                          ( ( F +H R ) i^i ( G +H S ) ) ) ) ) ) ) ) ) $=
        ( vh vx vy vz vw vf vg vv vu cph co cin cv wcel wa cva wceq wex ee4anv
        exrot4 2exbii bitr elin wrex shsel r2ex anbi12i 3bitr4r bitr4 5oalem6
        19.23aivv sylbi ssriv ) QABUFUGZCDUFUGZUHZGHUFUGZEFUFUGZUHZUHZBACACUFUG
        BDUFUGUHAEUFUGBFUFUGUHZCEUFUGDFUFUGUHZUFUGUHAGUFUGBHUFUGUHVQGEUFUGHFUFU
        GUHZUFUGUHCGUFUGDHUFUGUHVRVSUFUGUHUFUGUHUFUGUHUFUGZQUIZVPUJZRUIZAUJSUIZ
        BUJUKWAWCWDULUGUMZUKZTUIZCUJUAUIZDUJUKWAWGWHULUGUMZUKZUKZUBUIZGUJUCUIZH
        UJUKWAWLWMULUGUMZUKZUDUIZEUJUEUIZFUJUKWAWPWQULUGUMZUKZUKZUKZUEUNUDUNZUC
        UNUBUNZUAUNTUNZSUNRUNZWAVTUJZWKUAUNTUNZWTUEUNUDUNZUKZUCUNUBUNZSUNRUNXGS
        UNRUNZXHUCUNUBUNZUKZXEWBXGXHRSUBUCUOXDXJRSXDXBUAUNTUNZUCUNUBUNXJXBTUAUB
        UCUPXNXIUBUCWKWTTUAUDUEUOUQURUQWBWAVLUJZWAVOUJZUKXMWAVLVOUSXKXOXLXPWAVJ
        UJZWAVKUJZUKWFSUNRUNZWJUAUNTUNZUKXOXKXQXSXRXTXQWESBUTRAUTXSRSABWAIJVAWE
        RSABVBURXRWIUADUTTCUTXTTUACDWAKLVAWITUACDVBURVCWAVJVKUSWFWJRSTUAUOVDWAV
        MUJZWAVNUJZUKWOUCUNUBUNZWSUEUNUDUNZUKXPXLYAYCYBYDYAWNUCHUTUBGUTYCUBUCGH
        WAMNVAWNUBUCGHVBURYBWRUEFUTUDEUTYDUDUEEFWAOPVAWRUDUEEFVBURVCWAVMVNUSWOW
        SUBUCUDUEUOVDVCVEVDXDXFRSXCXFTUAXBXFUBUCXAXFUDUERSTUAUDUEABCDEFUBUCQGHI
        JKLMNOPVFVGVGVGVGVHVI $.
        $( [4-May-2000] $)
    $}
  $}

  ${
    5oa.1 $e |- A e. CH $.
    5oa.2 $e |- B e. CH $.
    5oa.3 $e |- C e. CH $.
    5oa.4 $e |- D e. CH $.
    5oa.5 $e |- F e. CH $.
    5oa.6 $e |- G e. CH $.
    5oa.7 $e |- R e. CH $.
    5oa.8 $e |- S e. CH $.
    5oa.9 $e |- A (_ ( _|_ ` B ) $.
    5oa.10 $e |- C (_ ( _|_ ` D ) $.
    5oa.11 $e |- F (_ ( _|_ ` G ) $.
    5oa.12 $e |- R (_ ( _|_ ` S ) $.
    $( Orthoarguesian law 5OA.  This 8-variable inference is called 5OA
       because it can be converted to a 5-variable equation (see
       Quantum Logic Explorer). $)
    5oa $p |- ( ( ( A vH B ) i^i ( C vH D ) ) i^i
            ( ( F vH G ) i^i ( R vH S ) ) ) (_ ( B vH ( A i^i ( C vH
               ( ( ( ( A vH C ) i^i ( B vH D ) ) i^i
                   ( ( ( A vH R ) i^i ( B vH S ) ) vH
                     ( ( C vH R ) i^i ( D vH S ) ) ) )
              i^i ( ( ( ( A vH F ) i^i ( B vH G ) ) i^i
                      ( ( ( A vH R ) i^i ( B vH S ) ) vH
                        ( ( F vH R ) i^i ( G vH S ) ) ) )
                 vH ( ( ( C vH F ) i^i ( D vH G ) ) i^i
                      ( ( ( C vH R ) i^i ( D vH S ) ) vH
                        ( ( F vH R ) i^i ( G vH S ) ) ) ) ) ) ) ) ) $=
      ( chj co cin cph cort cfv wss wceq osum ax-mp ineq12i chshi 5oalem7
      eqsstr3 shscl shincl shslej chslej ss2in mp2an shjshcl shlej2 shlej1
      sstri chjcl chincl shjcl sslin ) ABUAUBZCDUAUBZUCZGHUAUBZEFUAUBZUCZUCZBAC
      ACUDUBZBDUDUBZUCZAEUDUBZBFUDUBZUCZCEUDUBZDFUDUBZUCZUDUBZUCZAGUDUBZBHUDUBZ
      UCZWAGEUDUBZHFUDUBZUCZUDUBZUCZCGUDUBZDHUDUBZUCZWDWLUDUBZUCZUDUBZUCZUDUBZU
      CZUDUBZBACACUAUBZBDUAUBZUCZAEUAUBZBFUAUBZUCZCEUAUBZDFUAUBZUCZUAUBZUCZAGUA
      UBZBHUAUBZUCZXJGEUAUBZHFUAUBZUCZUAUBZUCZCGUAUBZDHUAUBZUCZXMYAUAUBZUCZUAUB
      ZUCZUAUBZUCZUAUBZVOABUDUBZCDUDUBZUCZGHUDUBZEFUDUBZUCZUCXDYPVKYSVNYNVIYOVJ
      ABUEUFUGYNVIUHQABIJUIUJCDUEUFUGYOVJUHRCDKLUIUJUKYQVLYRVMGHUEUFUGYQVLUHSGH
      MNUIUJEFUEUFUGYRVMUHTEFOPUIUJUKUKABCDEFGHAIULZBJULZCKULZDLULZGMULZHNULZEO
      ULZFPULZUMUNXDBXCUAUBZYMBXCUUAAXBYTCXAUUBWFWTVRWEVPVQACYTUUBUOBDUUAUUCUOU
      PWAWDVSVTAEYTUUFUOBFUUAUUGUOUPZWBWCCEUUBUUFUODFUUCUUGUOUPZUOUPWNWSWIWMWGW
      HAGYTUUDUOBHUUAUUEUOUPWAWLUUIWJWKGEUUDUUFUOHFUUEUUGUOUPZUOUPZWQWRWOWPCGUU
      BUUDUODHUUCUUEUOUPWDWLUUJUUKUOUPZUOUPZUOUPZUQXCYLUGZUUHYMUGXBYKUGUUPXBCXA
      UAUBZYKCXAUUBUUNUQXAYJUGZUUQYKUGWFXOUGZWTYIUGUURVRXGUGZWEXNUGUUSVPXEUGVQX
      FUGUUTACIKURBDJLURVPXEVQXFUSUTWEWAWDUAUBZXNWAWDUUIUUJUQUVAWAXMUAUBZXNWDXM
      UGZUVAUVBUGWBXKUGWCXLUGUVCCEKOURDFLPURWBXKWCXLUSUTZWDXMWAUUJXKXLCEUUBUUFV
      ADFUUCUUGVAUPZUUIVBUJWAXJUGZUVBXNUGVSXHUGVTXIUGUVFAEIOURBFJPURVSXHVTXIUSU
      TZWAXJXMUUIXHXIAEYTUUFVABFUUAUUGVAUPZUVEVCUJVDVDVRXGWEXNUSUTWTWNWSUAUBZYI
      WNWSUULUUMUQUVIWNYHUAUBZYIWSYHUGZUVIUVJUGWQYFUGZWRYGUGUVKWOYDUGWPYEUGUVLC
      GKMURDHLNURWOYDWPYEUSUTWRWDWLUAUBZYGWDWLUUJUUKUQUVMWDYAUAUBZYGWLYAUGZUVMU
      VNUGWJXSUGWKXTUGUVOGEMOURHFNPURWJXSWKXTUSUTZWLYAWDUUKXSXTGEUUDUUFVAHFUUEU
      UGVAUPZUUJVBUJUVCUVNYGUGUVDWDXMYAUUJUVEUVQVCUJVDVDWQYFWRYGUSUTWSYHWNUUMYF
      YGYFYDYECGKMVEDHLNVEVFULXMYAUVEUVQVAUPZUULVBUJWNYCUGZUVJYIUGWIXRUGZWMYBUG
      UVSWGXPUGWHXQUGUVTAGIMURBHJNURWGXPWHXQUSUTWMWAWLUAUBZYBWAWLUUIUUKUQUWAWAY
      AUAUBZYBUVOUWAUWBUGUVPWLYAWAUUKUVQUUIVBUJUVFUWBYBUGUVGWAXJYAUUIUVHUVQVCUJ
      VDVDWIXRWMYBUSUTWNYCYHUULXRYBXRXPXQAGIMVEBHJNVEVFULXJYAUVHUVQVAUPZUVRVCUJ
      VDVDWFXOWTYIUSUTXAYJCUUNXOYIXOXGXNXEXFACIKVEBDJLVEVFXJXMUVHUVEVGVFULYCYHU
      WCUVRVAUPZUUBVBUJVDXBYKAVHUJXCYLBUUOAYKYTCYJUUBUWDVAUPUUAVBUJVDVD $.
      $( [5-May-2000] $)
  $}

  ${
    $d x y z w v B $.  $d x y z w v C $.  $d x y z w v R $.  $d x y z w v S $.
    3oalem1.1 $e |- B e. CH $.
    3oalem1.2 $e |- C e. CH $.
    3oalem1.3 $e |- R e. CH $.
    3oalem1.4 $e |- S e. CH $.
    $( Lemma for 3OA (weak) orthoarguesian law. $)
    3oalem1 $p |- ( ( ( ( x e. B /\ y e. R ) /\ v = ( x +h y ) ) /\
                  ( ( z e. C /\ w e. S ) /\ v = ( z +h w ) ) ) ->
                 ( ( ( x e. H~ /\ y e. H~ ) /\ v e. H~ ) /\
                  ( z e. H~ /\ w e. H~ ) ) ) $=
      ( cv wcel wa cva co wceq chil eleq1 hvaddclt syl5cbir imdistani chel
      anim12i sylan adantr ) ANZFOZBNZHOZPZENZUIUKQRZSZPUITOZUKTOZPZUNTOZPZCNZG
      OZDNZIOZPZUNVBVDQRSZPVBTOZVDTOZPZUSUPVAUMUSUPUTUPUTUOTOUSUNUOTUAUIUKUBUCU
      DUJUQULURUIFJUEUKHLUEUFUGVFVJVGVCVHVEVIVBGKUEVDIMUEUFUHUF $.
      $( [19-Oct-1999] $)

    $( Lemma for 3OA (weak) orthoarguesian law. $)
    3oalem2 $p |- ( ( ( ( x e. B /\ y e. R ) /\ v = ( x +h y ) ) /\
                  ( ( z e. C /\ w e. S ) /\ v = ( z +h w ) ) ) ->
            v e. ( B +H ( R i^i ( S +H ( ( B +H C ) i^i ( R +H S ) ) ) ) ) ) $=
      ( cv wcel wa cva co wceq cph cin chshi shscl shincl shsva pm3.26
      ad2antrr pm3.27 cmv chil 3oalem1 hvaddsub12t 3anidm23 c0v hvsubidt
      opreq2d ax-hvaddid sylan9eqr eqtr3d ad2ant2l adantlr syl ad2antrl eqtr2t
      opreq1d anim1i hvsub4t syldan hvsubclt hvaddid2t adantll 3eqtrd
      ad2ant2rl anim2i sylanc ad2antll ancoms adantrr 3eqtr3d shsvs ancom
      shscom eleq2i 3imtr4 simpll syl2an eqeltrd simplr jca elin sylibr
      eqeltrrd wb eleq1 ad2antlr mpbird ) ANZFOZBNZHOZPZENZWQWSQRZSZPZCNZGOZDNZ
      IOZPZXBXFXHQRZSZPZPZXBFHIFGTRZHITRZUAZTRZUAZTRZOZXCXTOZWRWSXSOZYBXNFXSWQW
      SFJUBZHXRHLUBZIXQIMUBZXOXPFGYDGKUBZUCHIYEYFUCUDZUCUDUEXAWRXDXMWRWTUFUGXNW
      TWSXROZPYCXNWTYIXAWTXDXMWRWTUHUGXNXHWSXHUIRZQRZWSXRXNWQUJOZWSUJOZPZXBUJOZ
      PXFUJOZXHUJOZPZPZYKWSSZABCDEFGHIJKLMUKZYNYRYTYOYMYQYTYLYPYMYQPZWSXHXHUIRZ
      QRZYKWSYMYQUUDYKSWSXHXHULUMYQYMUUDWSUNQRWSYQUUCUNWSQXHUOZUPWSUQURUSUTVAVB
      XIYJXQOZYKXROXNIXQXHYJYFYHUEXJXIXEXLXGXIUHVCXNYJXOOZYJXPOZPUUFXNUUGUUHXNY
      JXFWQUIRZXOXNXCWQXHQRZUIRZXKUUJUIRZYJUUIXDXLUUKUULSXAXJXDXLPXCXKUUJUIXBXC
      XKVDVEUTXNYSUUKYJSZUUAYNYQUUMYOYPYNYQPZUUKWQWQUIRZYJQRZUNYJQRZYJYNYQYLYQP
      ZUUKUUPSYNYLYQYLYMUFVFWQWSWQXHVGVHUUNUUOUNYJQYLUUOUNSYMYQWQUOUGVEYMYQUUQY
      JSZYLUUBYJUJOUUSWSXHVIYJVJVBVKVLVMVBXNYSUULUUISZUUAYNYRUUTYOYLYRUUTYMYLYR
      PZUULUUIUUCQRZUUIUNQRZUUIYRUURUULUVBSUVAXFXHWQXHVGYLYRUHYRYQYLYPYQUHVNVOU
      VAUUCUNUUIQYQUUCUNSYLYPUUEVPUPYLYPUVCUUISZYQYPYLUVDYPYLPUUIUJOUVDXFWQVIUU
      IUQVBVQVRVLVAVAVBVSWRXGUUIXOOZXEXMXGWRPUUIGFTRZOWRXGPUVEGFXFWQYGYDVTWRXGW
      AXOUVFUUIFGYDYGWBWCWDWRWTXDWEXGXIXLWEWFWGWTXIUUHXEXMHIWSXHYEYFVTWRWTXDWHX
      GXIXLWHWFWIYJXOXPWJWKVOWLWIWSHXRWJWKVOXDYAYBWMXAXMXBXCXTWNWOWP $.
      $( [19-Oct-1999] $)

    $( Lemma for 3OA (weak) orthoarguesian law. $)
    3oalem3 $p |- ( ( B +H R ) i^i ( C +H S ) ) (_
                   ( B +H ( R i^i ( S +H ( ( B +H C ) i^i ( R +H S ) ) ) ) ) $=
      ( vv vx vy vz vw cph co cin cv wcel wa cva wceq wex wrex chsel r2ex bitr
      anbi12i elin ee4anv 3bitr4 3oalem2 19.23aivv sylbi ssriv ) IACNOZBDNOZPZA
      CDABNOCDNOPNOPNOZIQZUQRZJQZARKQZCRSUSVAVBTOUAZSZLQZBRMQZDRSUSVEVFTOUAZSZS
      ZMUBLUBZKUBJUBZUSURRZUSUORZUSUPRZSVDKUBJUBZVHMUBLUBZSUTVKVMVOVNVPVMVCKCUC
      JAUCVOJKACUSEGUDVCJKACUEUFVNVGMDUCLBUCVPLMBDUSFHUDVGLMBDUEUFUGUSUOUPUHVDV
      HJKLMUIUJVJVLJKVIVLLMJKLMIABCDEFGHUKULULUMUN $.
      $( [19-Oct-1999] $)
  $}

  ${
    3oalem4.3 $e |- R = ( ( _|_ ` B ) i^i ( B vH A ) ) $.
    $( Lemma for 3OA (weak) orthoarguesian law. $)
    3oalem4 $p |- R (_ ( _|_ ` B ) $=
      ( cort cfv chj co cin inss1 eqsstr ) CBEFZBAGHZILDLMJK $.
      $( [19-Oct-1999] $)
  $}

  ${
    3oa.1 $e |- A e. CH $.
    3oa.2 $e |- B e. CH $.
    3oa.3 $e |- C e. CH $.
    3oa.4 $e |- R = ( ( _|_ ` B ) i^i ( B vH A ) ) $.
    3oa.5 $e |- S = ( ( _|_ ` C ) i^i ( C vH A ) ) $.
    $( Lemma for 3OA (weak) orthoarguesian law. $)
    3oalem5 $p |- ( ( B +H R ) i^i ( C +H S ) ) =
                  ( ( B vH R ) i^i ( C vH S ) ) $=
      ( cph co chj cort cfv wss wceq 3oalem4 cin cch choccl chjcl chincl
      eqeltr osum ax-mp chshi shscom chjcom 3eqtr4 ineq12i ) BDKLZBDMLZCEKLZCEM
      LZDBKLZDBMLZULUMDBNOZPUPUQQABDIRDBDURBAMLZSTIURUSBGUABAGFUBUCUDZGUEUFBDBG
      UGDUTUGUHBDGUTUIUJECKLZECMLZUNUOECNOZPVAVBQACEJRECEVCCAMLZSTJVCVDCHUACAHF
      UBUCUDZHUEUFCECHUGEVEUGUHCEHVEUIUJUK $.
      $( [19-Oct-1999] $)

    $( Lemma for 3OA (weak) orthoarguesian law. $)
    3oalem6 $p |- ( B +H ( R i^i ( S +H ( ( B +H C ) i^i ( R +H S ) ) ) ) ) (_
                  ( B vH ( R i^i ( S vH ( ( B vH C ) i^i ( R vH S ) ) ) ) ) $=
      ( cph co cin chj chshi cort cfv cch choccl chjcl chincl eqeltr shscl
      shincl shslej wss chslej ssrin ax-mp sslin sstri shlej2 ) BDEBCKLZDEKLZMZ
      KLZMZKLBUQNLZBDEBCNLZDENLZMZNLZMZNLZBUQBGOZDUPDDBPQZBANLZMRIVFVGBGSBAGFTU
      AUBZOZEUOEECPQZCANLZMRJVJVKCHSCAHFTUAUBZOZUMUNBCVECHOUCDEVIVMUCUDZUCUDZUE
      UQVCUFZURVDUFUPVBUFVPUPEUONLZVBEUOVMVNUEUOVAUFVQVBUFUOUSUNMZVAUMUSUFUOVRU
      FBCGHUGUMUSUNUHUIUNUTUFVRVAUFDEVHVLUGUNUTUSUJUIUKUOVAEVNVAUSUTBCGHTDEVHVL
      TUAZOVMULUIUKUPVBDUJUIUQVCBVOVCDVBVHEVAVLVSTUAOVEULUIUK $.
      $( [19-Oct-1999] $)

    $( 3OA (weak) orthoarguesian law.  Equation IV of [GodowskiGreechie]
       p. 249. $)
    3oa $p |- ( ( B vH R ) i^i ( C vH S ) ) (_
                  ( B vH ( R i^i ( S vH ( ( B vH C ) i^i ( R vH S ) ) ) ) ) $=
      ( chj co cin cph 3oalem5 cort cfv cch choccl chjcl chincl eqeltr 3oalem3
      3oalem6 sstri eqsstr3 ) BDKLCEKLMBDNLCENLMZBDEBCKLDEKLMKLMKLZABCDEFGHIJOU
      GBDEBCNLDENLMNLMNLUHBCDEGHDBPQZBAKLZMRIUIUJBGSBAGFTUAUBECPQZCAKLZMRJUKULC
      HSCAHFTUAUBUCABCDEFGHIJUDUEUF $.
      $( [19-Oct-1999] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Projectors (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    pjorth.1 $e |- A e. H~ $.
    pjorth.2 $e |- B e. H~ $.
    $( Projection components on orthocomplemented subspaces are orthogonal. $)
    pjorth $p |- ( H e. CH ->
          ( ( ( proj ` H ) ` A ) .ih ( ( proj ` ( _|_ ` H ) ) ` B ) ) = 0 ) $=
      ( csh wcel cpj cfv cort wa csp co cc0 wceq cch shocorth chsh chil
      axpjclt mpan2 chocclt syl jca sylc ) CFGACHIIZCGZBCJIZHIIZUHGZKUFUILMNOCP
      GZUFUICQCRUKUGUJUKASGUGDACTUAUKUHPGZUJCUBULBSGUJEBUHTUAUCUDUE $.
      $( [26-Oct-1999] $)
  $}

  $( Property of identity projection.  Remark in [Beran] p. 111. $)
  pjch1t $p |- ( A e. H~ -> ( ( proj ` H~ ) ` A ) = A ) $=
    ( chil wcel cpj cfv wceq wb c0v cif eleq1 fveq2 id eqeq12d bibi12d helch
    ax-hv0cl elimel pjch dedth ibi ) ABCZABDEZEZAFZUAUAUDGUAAHIZBCZUEUBEZUEFZGA
    HAUEFZUAUFUDUHAUEBJUIUCUGAUEAUEUBKUILMNUEBOAHBPQRST $.
    $( [28-Oct-1999] $)

  $( The orthogonal projection.  Lemma 4.4(i) of [Beran] p. 111. $)
  pjot $p |- ( ( H e. CH /\ A e. H~ ) -> ( ( proj ` ( _|_ ` H ) ) ` A ) =
             ( ( ( proj ` H~ ) ` A ) -h ( ( proj ` H ) ` A ) ) ) $=
    ( cch wcel chil wa cpj cfv cmv co cort wceq cva pjch1t adantl axpjpjt
    eqtr2d wb hvsubaddt helch pjcl pjhclt chocclt sylan syl3anc mpbird eqcomd
    ) BCDZAEDZFZAEGHHZABGHHZIJZABKHZGHHZUJUMUOLZULUOMJZUKLZUJUKAUQUIUKALUHANOAB
    PQUKEDZULEDUOEDZUPURRUJUKULUOSUIUSUHAETUAOABUBUNCDUIUTUHAUNUBBUCUDUEUFUG $.
    $( [30-Oct-1999] $)

  ${
    pjidm.1 $e |- H e. CH $.
    pjidm.2 $e |- A e. H~ $.
    $( A projection is idempotent.  Property (ii) of [Beran] p. 109. $)
    pjidm $p |- ( ( proj ` H ) ` ( ( proj ` H ) ` A ) ) =
               ( ( proj ` H ) ` A ) $=
      ( cpj cfv wcel wceq pjcli pjhcli pjch mpbi ) ABEFZFZBGNMFNHABCDINBCABCDJK
      L $.
      $( [28-Oct-1999] $)

    ${
      pjadj.3 $e |- B e. H~ $.
      $( A projection is self-adjoint.  Property (i) of [Beran] p. 109. $)
      pjadj $p |- ( ( ( proj ` H ) ` A ) .ih B ) =
                  ( A .ih ( ( proj ` H ) ` B ) ) $=
        ( cpj cfv cort cva co csp caddc ccj cc0 cch wcel wceq pjorth ax-mp
        fveq2i cj0 eqtr choccl pjhcli his1 3eqtr4r opreq2i chil his7t mp3an
        ax-his2 3eqtr4 pjpj opreq1i ) ACGHZHZBUPHZBCIHZGHZHZJKZLKZUQAUTHZJKZURL
        KZUQBLKAURLKUQURLKZUQVALKZMKZVGVDURLKZMKZVCVFVHVJVGMURVDLKZNHZOVJVHVMON
        HOVLONCPQZVLORDBACFESTUAUBUCVDURAUSCDUDZEUEZBCDFUEZUFVNVHORDABCEFSTUGUH
        UQUIQZURUIQZVAUIQVCVIRACDEUEZVQBUSVOFUEUQURVAUJUKVRVDUIQVSVFVKRVTVPVQUQ
        VDURULUKUMBVBUQLBCDFUNUHAVEURLACDEUNUOUM $.
        $( [30-Oct-1999] $)

      $( Component of a projection. $)
      pjcomp $p |- ( ( A e. H /\ B e. ( _|_ ` H ) ) ->
                   ( ( proj ` H ) ` ( A +h B ) ) = A ) $=
        ( wcel cort cfv wa cva co cpj wceq hvaddcl pjcli choccl pjpj eqid
        chocuni mp2ani mpanl12 pm3.26d ) ACGBCHIZGJZABKLZCMIIZANZUFUDMIIZBNZUGC
        GZUIUDGZUEUHUJJZUFCDABEFOZPUFUDCDQUNPUKULJUEJUFUGUIKLNUFUFNUMUFCDUNRUFS
        UGUIABUFCDTUAUBUC $.
        $( [31-Oct-1999] $)

      $( Projection of vector sum is sum of projections. $)
      pjadd $p |- ( ( proj ` H ) ` ( A +h B ) ) =
                  ( ( ( proj ` H ) ` A ) +h ( ( proj ` H ) ` B ) ) $=
        ( cva co cpj cfv cort pjpj opreq12i pjhcli choccl hvadd4 eqtr fveq2i
        wcel wceq pjcli csh wa wi chshi shaddcltOLD ax-mp mp2an hvaddcl pjcomp
        ) ABGHZCIJZJAULJZBULJZGHZACKJZIJZJZBUQJZGHZGHZULJZUOUKVAULUKUMURGHZUNUS
        GHZGHVAAVCBVDGACDELBCDFLMUMURUNUSACDENZAUPCDOZENZBCDFNZBUPVFFNZPQRUOCSZ
        UTUPSZVBUOTUMCSZUNCSZVJACDEUABCDFUACUBSVLVMUCVJUDCDUEUMUNCUFUGUHURUPSZU
        SUPSZVKAUPVFEUABUPVFFUAUPUBSVNVOUCVKUDUPVFUEURUSUPUFUGUHUOUTCDUMUNVEVHU
        IURUSVGVIUIUJUHQ $.
        $( [31-Oct-1999] $)
    $}

    $( The inner product of a projection and its argument is the square of the
       norm of the projection.  Remark in [Halmos] p. 44. $)
    pjinorm $p |- ( ( ( proj ` H ) ` A ) .ih A ) =
                 ( ( normh ` ( ( proj ` H ) ` A ) ) ^ 2 ) $=
      ( cpj cfv cno c2 cexp co csp pjhcli normsq pjadj pjidm opreq1i 3eqtr2r )
      ABEFZFZGFHIJSSKJSRFZAKJSAKJSABCDLZMSABCUADNTSAKABCDOPQ $.
      $( [13-Aug-2000] $)

    ${
      pjmul.3 $e |- C e. CC $.
      $( Projection of (scalar) product is product of projection. $)
      pjmul $p |- ( ( proj ` H ) ` ( C .h A ) ) =
                  ( C .h ( ( proj ` H ) ` A ) ) $=
        ( csm co cpj cfv cort cva pjpj opreq2i pjhcli choccl hvdistr1 eqtr
        fveq2i wcel wceq cc pjcli csh wa wi chshi shmulcltOLD ax-mp mp2an
        hvmulcl pjcomp ) BAGHZCIJZJBAUNJZGHZBACKJZIJJZGHZLHZUNJZUPUMUTUNUMBUOUR
        LHZGHUTAVBBGACDEMNBUOURFACDEOZAUQCDPZEOZQRSUPCTZUSUQTZVAUPUABUBTZUOCTZV
        FFACDEUCCUDTVHVIUEVFUFCDUGBUOCUHUIUJVHURUQTZVGFAUQVDEUCUQUDTVHVJUEVGUFU
        QVDUGBURUQUHUIUJUPUSCDBUOFVCUKBURFVEUKULUJR $.
        $( [31-Oct-1999] $)
    $}

    ${
      pjsub.3 $e |- B e. H~ $.
      $( Projection of vector difference is difference of projections. $)
      pjsub $p |- ( ( proj ` H ) ` ( A -h B ) ) =
                  ( ( ( proj ` H ) ` A ) -h ( ( proj ` H ) ` B ) ) $=
        ( c1 cneg csm co cva cpj cfv cmv ax1cn negcl hvmulcl pjadd pjmul
        opreq2i eqtr hvsubval fveq2i pjhcli 3eqtr4 ) AGHZBIJZKJZCLMZMZAUIMZUFBU
        IMZIJZKJZABNJZUIMUKULNJUJUKUGUIMZKJUNAUGCDEUFBGOPZFQRUPUMUKKBUFCDFUQSTU
        AUOUHUIABEFUBUCUKULACDEUDBCDFUDUBUE $.
        $( [31-Oct-1999] $)
    $}

    ${
      pjsslem.1 $e |- G e. CH $.
      $( Lemma for subset relationships of projections. $)
      pjsslem $p |- ( ( ( proj ` ( _|_ ` H ) ) ` A ) -h
                      ( ( proj ` ( _|_ ` G ) ) ` A ) ) =
                    ( ( ( proj ` G ) ` A ) -h ( ( proj ` H ) ` A ) ) $=
        ( cort cfv cpj cmv co c0v c1 cneg csm chil cch wcel wceq pjot mp2an
        opreq12i helch pjcli pjhcli hvsubsub4 hvsubidt ax-mp opreq1i 3eqtr
        hvsubcl hv2neg hvnegdi ) ACGHIHHZABGHIHHZJKZLACIHHZABIHHZJKZJKZMNUSOKUR
        UQJKUPAPIHHZUQJKZVAURJKZJKVAVAJKZUSJKUTUNVBUOVCJCQRAPRZUNVBSDEACTUABQRV
        EUOVCSFEABTUAUBVAUQVAURAPUCEUDZACDEUEZVFABFEUEZUFVDLUSJVAPRVDLSVFVAUGUH
        UIUJUSUQURVGVHUKULUQURVGVHUMUJ $.
        $( [31-Oct-1999] $)

      $( Subset relationship for projections.  Theorem 4.5(i)->(ii) of [Beran]
         p. 112. $)
      pjss2 $p |- ( H (_ G -> ( ( proj ` H ) ` ( ( proj ` G ) ` A ) ) =
                 ( ( proj ` H ) ` A ) ) $=
        ( wss cort cfv cpj cmv co wcel wceq wa chsscon3 choccl pjcli ssel mpi
        sylbi jctil csh wi chshi shsubcltOLD ax-mp syl c0v pjsslem eleq1i
        pjhcli hvsubcl pjoc2 bitr pjsub eqeq1i hvsubeq0 3bitr pjidm eqeq2i
        bitr2 sylibr ) CBGZACHIZJIIZABHIZJIIZKLZVEMZABJIIZCJIZIZAVLIZNZVDVFVEMZ
        VHVEMZOZVJVDVQVPVDVGVEGZVQCBDFPVSVHVGMVQAVGBFQERVGVEVHSTUAAVECDQZERUBVE
        UCMVRVJUDVEVTUEVFVHVEUFUGUHVJVMVNVLIZNZVOVJVKVNKLZVLIZUINZVMWAKLZUINWBV
        JWCVEMWEVIWCVEABCDEFUJUKWCCDVKVNABFEULZACDEULZUMUNUOWDWFUIVKVNCDWGWHUPU
        QVMWAVKCDWGULVNCDWHULURUSWAVNVMACDEUTVAVBVC $.
        $( [31-Oct-1999] $)

      $( Projection meet property.  Remark in [Kalmbach] p. 66.  Also Theorem
         4.5(i)->(iv) of [Beran] p. 112. $)
      pjssm $p |- ( H (_ G -> ( ( ( proj ` G ) ` A ) -h ( ( proj ` H ) ` A ) )
                  = ( ( proj ` ( G i^i ( _|_ ` H ) ) ) ` A ) ) $=
        ( wss cpj cfv cmv co cort cin wcel wa wceq pjcli ssel mpi jctil csh wi
        chshi shsubcltOLD ax-mp syl chsscon3 choccl sylbi pjsslem syl5eqelr
        jca elin chincl pjhcli hvsubcl pjch bitr3 sylib c1 cneg csm cva pjsub
        hvsubval c0v inss1 pjss2 shococss inss2 mpbi sstri sselii pjoc2
        opreq2i cc ax1cn negcl hvmul0t eqtr opreq12i chil ax-hvaddid 3eqtr
        syl5reqr ) CBGZABHIIZACHIIZJKZBCLIZMZHIZIZWIAWLIZWFWIBNZWIWJNZOZWMWIPZW
        FWOWPWFWGBNZWHBNZOZWOWFWTWSWFWHCNWTACDEQZCBWHRSABFEQTBUANXAWOUBBFUCWGWH
        BUDUEUFWFAWJHIIZABLIZHIIZJKZWJWIWFXDWJGZXFWJNZCBDFUGXGXCWJNZXEWJNZOZXHX
        GXJXIXGXEXDNXJAXDBFUHEQXDWJXERSAWJCDUHZEQTWJUANXKXHUBWJXLUCXCXEWJUDUEUF
        UIABCDEFUJUKULWQWIWKNWRWIBWJUMWIWKBWJFXLUNZWGWHABFEUOZACDEUOZUPUQURUSWM
        WGWLIZWHWLIZJKXPUTVAZXQVBKZVCKZWNWGWHWKXMXNXOVDXPXQWGWKXMXNUOWHWKXMXOUO
        VEXTWNVFVCKZWNXPWNXSVFVCWKBGXPWNPBWJVGABWKXMEFVHUEXSXRVFVBKZVFXQVFXRVBW
        HWKLIZNXQVFPCYCWHCWJLIZYCCUANCYDGCDUCCVIUEWKWJGYDYCGBWJVJWKWJXMXLUGVKVL
        XBVMWHWKXMXOVNVKVOXRVPNYBVFPUTVQVRXRVSUEVTWAWNWBNYAWNPAWKXMEUOWNWCUEVTW
        DWE $.
        $( [31-Oct-1999] $)

      $( Theorem 4.5(iv)->(v) of [Beran] p. 112. $)
      pjssge0 $p |- ( ( ( ( proj ` G ) ` A ) -h ( ( proj ` H ) ` A ) )
                    = ( ( proj ` ( G i^i ( _|_ ` H ) ) ) ` A ) ->
   0 <_ ( ( ( ( proj ` G ) ` A ) -h ( ( proj ` H ) ` A ) ) .ih A ) ) $=
        ( cpj cfv cmv co cort cin wceq cno c2 cexp csp cc0 cle opreq1 choccl
        chincl pjinorm syl6eq pjhcli normcl sqge0 syl5breqr ) ABGHHACGHHIJZABCK
        HZLZGHHZMZULNHZOPJZUIAQJZRSUMUPULAQJUOUIULAQTAUKBUJFCDUAUBZEUCUDUNULAUK
        UQEUEUFUGUH $.
        $( [13-Aug-2000] $)

      $( Theorem 4.5(v)<->(vi) of [Beran] p. 112. $)
      pjdifnorm $p |- ( 0 <_
                 ( ( ( ( proj ` G ) ` A ) -h ( ( proj ` H ) ` A ) ) .ih A ) <->
      ( normh ` ( ( proj ` H ) ` A ) ) <_ ( normh ` ( ( proj ` G ) ` A ) ) ) $=
        ( cc0 cpj cfv cno c2 cexp co cmin cle wbr cmv csp pjhcli normcl resqcl
        subge0 chil wcel wceq his2subt mp3an pjinorm opreq12i eqtr breq2i wb
        normge0t ax-mp le2sq mp2an 3bitr4 ) GABHIIZJIZKLMZACHIIZJIZKLMZNMZOPVCU
        TOPZGURVAQMARMZOPVBUSOPZUTVCUSURABFESZTZUAVBVAACDESZTZUAUBVFVDGOVFURARM
        ZVAARMZNMZVDURUCUDZVAUCUDZAUCUDVFVNUEVHVJEURVAAUFUGVLUTVMVCNABFEUHACDEU
        HUIUJUKGVBOPZGUSOPZVGVEULVPVQVJVAUMUNVOVRVHURUMUNVBUSVKVIUOUPUQ $.
        $( [13-Aug-2000] $)

      $( The projection on a subspace join is the sum of the projections. $)
      pjcj $p |- ( H (_ ( _|_ ` G ) -> ( ( proj ` ( H vH G ) ) ` A ) =
                ( ( ( proj ` H ) ` A ) +h ( ( proj ` G ) ` A ) ) ) $=
        ( cort cfv wss cpj cva co chj cmv cin choccl pjssm opreq2d c1 cneg csm
        chil wcel wceq pjhcli hvaddsub12t mp3an pjpo opreq2i hvnegdi 3eqtr4
        hvsubcl hvsubval eqtr4 chjcom chdmm4 fveq2i fveq1i chincl pjop eqtr
        3eqtr4g eqcomd ) CBGHZIZACJHHZABJHHZKLZACBMLZJHZHZVEAAVDJHHZVFNLZNLZAAV
        DCGHZOZJHHZNLZVHVKVEVMVQANAVDCDEBFPZQRVHASTVMUALZKLZVNVFAVLNLZKLZAVFVLN
        LZKLZVHWAVFUBUCAUBUCVLUBUCWCWEUDACDEUEZEAVDVSEUEZVFAVLUFUGVGWBVFKABFEUH
        UIVTWDAKVLVFWGWFUJUIUKAVMEVLVFWGWFULUMUNVKAVPGHZJHZHVRAVJWIVIWHJVIBCMLW
        HCBDFUOBCFDUPUNUQURAVPVDVOVSCDPUSEUTVAVBVC $.
        $( [1-Nov-1999] $)
    $}
  $}

  ${
    pjadjt.1 $e |- H e. CH $.
    $( A projection is self-adjoint.  Property (i) of [Beran] p. 109. $)
    pjadjt $p |- ( ( A e. H~ /\ B e. H~ ) -> ( ( ( proj ` H ) ` A ) .ih B ) =
                  ( A .ih ( ( proj ` H ) ` B ) ) ) $=
      ( chil wcel cpj cfv csp co wceq c0v cif fveq2 opreq1d opreq1 eqeq12d
      opreq2 opreq2d ax-hv0cl elimel pjadj dedth2h ) AEFZBEFZACGHZHZBIJZABUFHZI
      JZKUDALMZUFHZBIJZUKUIIJZKULUEBLMZIJZUKUOUFHZIJZKABLLAUKKZUHUMUJUNUSUGULBI
      AUKUFNOAUKUIIPQBUOKZUMUPUNURBUOULIRUTUIUQUKIBUOUFNSQUKUOCDALETUABLETUAUBU
      C $.
      $( [6-Oct-2000] $)

    $( Projection of vector sum is sum of projections. $)
    pjaddt $p |- ( ( A e. H~ /\ B e. H~ ) -> ( ( proj ` H ) ` ( A +h B ) ) =
                ( ( ( proj ` H ) ` A ) +h ( ( proj ` H ) ` B ) ) ) $=
      ( chil wcel cva co cpj cfv wceq c0v cif opreq1 fveq2d fveq2 opreq1d
      eqeq12d opreq2 opreq2d ax-hv0cl elimel pjadd dedth2h ) AEFZBEFZABGHZCIJZJ
      ZAUHJZBUHJZGHZKUEALMZBGHZUHJZUMUHJZUKGHZKUMUFBLMZGHZUHJZUPURUHJZGHZKABLLA
      UMKZUIUOULUQVCUGUNUHAUMBGNOVCUJUPUKGAUMUHPQRBURKZUOUTUQVBVDUNUSUHBURUMGSO
      VDUKVAUPGBURUHPTRUMURCDALEUAUBBLEUAUBUCUD $.
      $( [14-Nov-2000] $)

    $( The inner product of a projection and its argument is the square of the
       norm of the projection.  Remark in [Halmos] p. 44. $)
    pjinormt $p |- ( A e. H~ -> ( ( ( proj ` H ) ` A ) .ih A ) =
                 ( ( normh ` ( ( proj ` H ) ` A ) ) ^ 2 ) ) $=
      ( chil wcel cpj cfv csp co cno c2 cexp wceq c0v cif fveq2 id opreq12d
      fveq2d opreq1d eqeq12d ax-hv0cl elimel pjinorm dedth ) ADEZABFGZGZAHIZUHJ
      GZKLIZMUFANOZUGGZULHIZUMJGZKLIZMANAULMZUIUNUKUPUQUHUMAULHAULUGPZUQQRUQUJU
      OKLUQUHUMJURSTUAULBCANDUBUCUDUE $.
      $( [28-Jun-2006] $) $( [2-Jun-2006] $)

    $( Projection of vector difference is difference of projections. $)
    pjsubt $p |- ( ( A e. H~ /\ B e. H~ ) -> ( ( proj ` H ) ` ( A -h B ) ) =
                ( ( ( proj ` H ) ` A ) -h ( ( proj ` H ) ` B ) ) ) $=
      ( chil wcel cmv co cpj cfv wceq c0v cif opreq1 fveq2d fveq2 opreq1d
      eqeq12d opreq2 opreq2d ax-hv0cl elimel pjsub dedth2h ) AEFZBEFZABGHZCIJZJ
      ZAUHJZBUHJZGHZKUEALMZBGHZUHJZUMUHJZUKGHZKUMUFBLMZGHZUHJZUPURUHJZGHZKABLLA
      UMKZUIUOULUQVCUGUNUHAUMBGNOVCUJUPUKGAUMUHPQRBURKZUOUTUQVBVDUNUSUHBURUMGSO
      VDUKVAUPGBURUHPTRUMURCDALEUAUBBLEUAUBUCUD $.
      $( [14-Nov-2000] $)

    $( Projection of scalar product is scalar product of projection. $)
    pjmult $p |- ( ( A e. CC /\ B e. H~ ) -> ( ( proj ` H ) ` ( A .h B ) ) =
                ( A .h ( ( proj ` H ) ` B ) ) ) $=
      ( cc wcel chil csm co cpj cfv wceq cc0 cif c0v opreq1 fveq2d eqeq12d
      opreq2 fveq2 opreq2d ax-hv0cl elimel 0cn pjmul dedth2h ) AEFZBGFZABHIZCJK
      ZKZABUJKZHIZLUGAMNZBHIZUJKZUNULHIZLUNUHBONZHIZUJKZUNURUJKZHIZLABMOAUNLZUK
      UPUMUQVCUIUOUJAUNBHPQAUNULHPRBURLZUPUTUQVBVDUOUSUJBURUNHSQVDULVAUNHBURUJT
      UARURUNCDBOGUBUCAMEUDUCUEUF $.
      $( [26-Nov-2000] $)

    $( The inner product of a projection and its argument is nonnegative. $)
    pjige0 $p |- ( A e. H~ -> 0 <_ ( ( ( proj ` H ) ` A ) .ih A ) ) $=
      ( chil wcel cc0 cpj cfv cno c2 cexp co csp cle cr wbr pjhcl normclt
      sqge0t 3syl pjinormt breqtrrd ) ADEZFABGHHZIHZJKLZUDAMLNUCUDDEUEOEFUFNPAB
      CQUDRUESTABCUAUB $.
      $( [2-Jul-2006] $) $( [2-Jun-2006] $)
  $}

  $( The inner product of a projection and its argument is nonnegative. $)
  pjige0t $p |- ( ( H e. CH /\ A e. H~ ) ->
                0 <_ ( ( ( proj ` H ) ` A ) .ih A ) ) $=
    ( cch wcel chil cc0 cpj cfv csp co cle wbr wi c0h cif wceq fveq2 fveq1d
    opreq1d breq2d imbi2d h0elch elimel pjige0 dedth imp ) BCDZAEDZFABGHZHZAIJZ
    KLZUGUHULMUHFAUGBNOZGHZHZAIJZKLZMBNBUMPZULUQUHURUKUPFKURUJUOAIURAUIUNBUMGQR
    STUAAUMBNCUBUCUDUEUF $.
    $( [4-Jul-2006] $) $( [2-Jun-2006] $)

  $( The projection on a subspace join is the sum of the projections. $)
  pjcjt2 $p |- ( ( H e. CH /\ G e. CH /\ A e. H~ ) ->
            ( H (_ ( _|_ ` G ) -> ( ( proj ` ( H vH G ) ) ` A ) =
            ( ( ( proj ` H ) ` A ) +h ( ( proj ` G ) ` A ) ) ) ) $=
    ( cch wcel chil cort cfv wss chj co cpj cva wceq wi cif c0v sseq1 opreq1
    fveq2d fveq1d fveq2 opreq1d eqeq12d imbi12d sseq2d opreq2 opreq2d opreq12d
    imbi2d helch elimel ax-hv0cl pjcj dedth3h ) CDEZBDEZAFEZCBGHZIZACBJKZLHZHZA
    CLHZHZABLHZHZMKZNZOUPCFPZUSIZAVJBJKZLHZHZAVJLHZHZVGMKZNZOCBAFFQVJUQBFPZGHZI
    ZAVJVSJKZLHZHZVPAVSLHZHZMKZNZOWAURAQPZWCHZWIVOHZWIWEHZMKZNZOCVJNZUTVKVIVRCV
    JUSRWOVCVNVHVQWOAVBVMWOVAVLLCVJBJSTUAWOVEVPVGMWOAVDVOCVJLUBUAUCUDUEBVSNZVKW
    AVRWHWPUSVTVJBVSGUBUFWPVNWDVQWGWPAVMWCWPVLWBLBVSVJJUGTUAWPVGWFVPMWPAVFWEBVS
    LUBUAUHUDUEAWINZWHWNWAWQWDWJWGWMAWIWCUBWQVPWKWFWLMAWIVOUBAWIWEUBUIUDUJWIVSV
    JCFDUKULAQFUMULBFDUKULUNUO $.
    $( [1-Nov-1999] $)

  ${
    pj0.1 $e |- H e. CH $.
    $( The projection of the zero vector. $)
    pj0 $p |- ( ( proj ` H ) ` 0h ) = 0h $=
      ( c0v cort cfv wcel cpj wceq csh chshi oc0 ax-mp ax-hv0cl pjoc2 mpbi ) CA
      DEFZCAGEECHAIFPABJAKLCABMNO $.
      $( [31-Oct-1999] $)
  $}

  $( Projection of a vector in the projection subspace.  Lemma 4.4(ii) of
     [Beran] p. 111. $)
  pjcht $p |- ( ( H e. CH /\ A e. H~ ) ->
              ( A e. H <-> ( ( proj ` H ) ` A ) = A ) ) $=
    ( cch wcel chil cpj cfv wceq wb cif c0v eleq2 fveq2 fveq1d eqeq1d bibi12d
    eleq1 id eqeq12d helch elimel ax-hv0cl pjch dedth2h ) BCDZAEDZABDZABFGZGZAH
    ZIAUEBEJZDZAUKFGZGZAHZIUFAKJZUKDZUPUMGZUPHZIBAEKBUKHZUGULUJUOBUKALUTUIUNAUT
    AUHUMBUKFMNOPAUPHZULUQUOUSAUPUKQVAUNURAUPAUPUMMVARSPUPUKBECTUAAKEUBUAUCUD
    $.
    $( [30-Oct-1999] $)

  $( The projection of a vector in the projection subspace is itself. $)
  pjidt $p |- ( ( H e. CH /\ A e. H ) -> ( ( proj ` H ) ` A ) = A ) $=
    ( cch wcel chil wa cpj cfv wceq pm3.26 chelt jca pjcht biimpa sylancom ) BC
    DZABDZPAEDZFZABGHHAIZPQFPRPQJABKLSQTABMNO $.
    $( [9-Apr-2006] $) $( [9-Apr-2006] $)

  ${
    $d x H $.
    $( The set of vectors belonging to the subspace of a projection.  Part of
       Theorem 26.2 of [Halmos] p. 44. $)
    pjvect $p |- ( H e. CH -> H = { x e. H~ | ( ( proj ` H ) ` x ) = x } ) $=
      ( cch wcel chil cin cv cpj cfv wceq crab wss chss sseqin2 sylib wb pjcht
      ex rabbirdv eqtr3d ) BCDZEBFZBAGZBHIIUCJZAEKUABELUBBJBMBENOUAUDABEUAUCEDU
      CBDUDPUCBQRST $.
      $( [13-Oct-2006] $) $( [11-Apr-2006] $)

    $( The set of vectors belonging to the orthocomplemented subspace of a
       projection.  Second part of Theorem 27.3 of [Halmos] p. 45. $)
    pjocvect $p |- ( H e. CH -> ( _|_ ` H ) =
                   { x e. H~ | ( ( proj ` H ) ` x ) = 0h } ) $=
      ( cch wcel chil cort cfv cin cv cpj c0v wceq crab wss chocclt chss syl
      sseqin2 sylib wb pjoc2t ex rabbirdv eqtr3d ) BCDZEBFGZHZUFAIZBJGGKLZAEMUE
      UFENZUGUFLUEUFCDUJBOUFPQUFERSUEUIAUFEUEUHEDUHUFDUITUHBUAUBUCUD $.
      $( [14-Oct-2006] $) $( [24-Apr-2006] $)
  $}

  ${
    pjocin.1 $e |- G e. CH $.
    pjocin.2 $e |- H e. CH $.
    $( Membership of projection in orthocomplement of intersection. $)
    pjocin $p |- ( A e. ( _|_ ` ( G i^i H ) ) ->
                 ( ( proj ` G ) ` A ) e. ( _|_ ` ( G i^i H ) ) ) $=
      ( cin cort cfv wcel cpj cmv co chil wceq chincl choccl chel cch pjpot
      mpan syl pjcl wss inss1 chsscon3 mpbi sseli 3syl csh wa wi chshi
      shsubcltOLD ax-mp mpdan eqeltrd ) ABCFZGHZIZABJHHZAABGHZJHHZKLZURUSAMIZUT
      VCNZAURUQBCDEOZPZQZBRIVDVEDABSTUAUSVBURIZVCURIZUSVDVBVAIVIVHAVABDPUBVAURV
      BUQBUCVAURUCBCUDUQBVFDUEUFUGUHURUIIUSVIUJVJUKURVGULAVBURUMUNUOUP $.
      $( [21-Apr-2001] $)

    $( Membership of projection in an intersection. $)
    pjin $p |- ( A e. ( G i^i H ) ->
                 ( ( proj ` G ) ` A ) e. ( G i^i H ) ) $=
      ( cin wcel cpj cfv wceq inss1 sseli cch pjidt mpan syl eleq1d ibir ) ABCF
      ZGZABHIIZSGTUAASTABGZUAAJZSBABCKLBMGUBUCDABNOPQR $.
      $( [22-Apr-2001] $)
  $}

  ${
    $d x y z w G $.  $d x y z w H $.
    pjjs.1 $e |- G e. CH $.
    pjjs.2 $e |- H e. SH $.
    $( A sufficient condition for subspace join to be equal to subspace sum. $)
    pjjs $p |- ( A. x e. ( G vH H ) ( ( proj ` ( _|_ ` G ) ) ` x ) e. H ->
               ( G vH H ) = ( G +H H ) ) $=
      ( vw vy vz cv cort cfv cpj wcel chj co wral cph wss wa wceq fveq2 eleq1d
      rcla4v cva wrex chil pjcl anim1i cch axpjpjt mpan adantr jca chshi shjcl
      chel sylan rcla4eopr 3expa syl shsel sylibr ex syld com12 ssrdv shslej
      jctir eqss ) AIZBJKLKZKZCMZABCNOZPZVNBCQOZRZVPVNRZSVNVPTVOVQVRVOFVNVPFIZV
      NMZVOVSVPMZVTVOVSVKKZCMZWAVMWCAVSVNVJVSTVLWBCVJVSVKUAUBUCVTWCWAVTWCSZVSGI
      HIUDOTHCUEGBUEZWAWDVSBLKKZBMZWCSZVSWFWBUDOTZSZWEVSUFMZWCWJVTWKWCSWHWIWKWG
      WCVSBDUGUHWKWIWCBUIMWKWIDVSBUJUKULUMVSVNBCBDUNZEUOUPUQWGWCWIWEGHBCWFWBVSU
      DURUSUTGHBCVSWLEVAVBVCVDVEVFBCWLEVGVHVNVPVIVB $.
      $( [29-Aug-2004] $) $( [29-May-2004] $)
  $}

  ${
    $d x y z w H $.
    pjfn.1 $e |- H e. CH $.
    $( Functionality of a projection. $)
    pjfn $p |- ( proj ` H ) Fn H~ $=
      ( vx vy vz vw chil cv cva co wceq cort cfv wrex crab cuni cpj cch
      elisseti rabex uniex wcel wa copab pjmvalt ax-mp fnopab2 ) CDGCHZEHFHIJKF
      ALMNZEAOZPZAQMZUJUIEAARBSTUAARUBULUHGUBDHUKKUCCDUDKBCDEFAUEUFUG $.
      $( [30-Oct-1999] $)

    $( The range of a projection.  Part of Theorem 26.2 of [Halmos] p. 44. $)
    pjrn $p |- ran ( proj ` H ) = H $=
      ( vx vy cv chil wcel cpj cfv wceq wa copab crn wex cab rnopab wfn pjfn
      fnopabfv mpbi rneqi visset eleq1 fveq2 eqeq2d anbi12d cla4ev chel cch
      pjidt mpan eqcomd sylanc pjcl syl5bir impcom 19.23aiv impbi abbi2i
      3eqtr4 ) CEZFGZDEZVAAHIZIZJZKZCDLZMVGCNZDOVDMAVGCDPVDVHVDFQVDVHJABRCDFVDS
      TUAVIDAVCAGZVIVCFGZVCVCVDIZJZVIVJVGVKVMKCVCDUBVAVCJZVBVKVFVMVAVCFUCVNVEVL
      VCVAVCVDUDUEUFUGVCABUHVJVLVCAUIGVJVLVCJBVCAUJUKULUMVGVJCVFVBVJVFVJVEAGVBV
      CVEAUCVAABUNUOUPUQURUSUT $.
      $( [30-Oct-1999] $)

    $( A projection maps onto its subspace. $)
    pjfo $p |- ( proj ` H ) : H~ -onto-> H $=
      ( chil cpj cfv wfo wfn crn wceq df-fo pjfn pjrn mpbir2an ) CAADEZFNCGNHAI
      CANJABKABLM $.
      $( [17-May-2006] $) $( [24-Apr-2006] $)

    $( The mapping of a projection. $)
    pjf $p |- ( proj ` H ) : H~ --> H~ $=
      ( chil cpj cfv wf wfn crn wss df-f pjfn pjrn chssi eqsstr mpbir2an ) CCAD
      EZFPCGPHZCICCPJABKQACABLABMNO $.
      $( [11-Nov-2000] $)

    $( The value of a projection in terms of components. $)
    pjv $p |- ( ( A e. H /\ B e. ( _|_ ` H ) ) ->
               ( ( proj ` H ) ` ( A +h B ) ) = A ) $=
      ( wcel cort cfv wa cva co cpj c0v chil wceq pjaddt chel choccl syl2an
      cch pjidt mpan wb pjoc2t syl ibi opreqan12d ax-hvaddid adantr 3eqtrd ) AC
      EZBCFGZEZHABIJCKGZGZAUMGZBUMGZIJZALIJZAAMEZBMEZUNUQNUJULABCDOACDPZBUKCDQP
      ZRUJULUOAUPLICSEZUJUOANDACTUAULUPLNZULUTULVDUBZVBVCUTVEDBCUCUAUDUEUFUJURA
      NZULUJUSVFVAAUGUDUHUI $.
      $( [28-Nov-2000] $)
  $}

  $( A projection maps onto its subspace. $)
  pjfot $p |- ( H e. CH -> ( proj ` H ) : H~ -onto-> H ) $=
    ( cch wcel chil cpj cfv wfo c0h cif wceq wb fveq2 foeq1 syl foeq3 h0elch
    elimel pjfo dedth2v ) ABCZDAAEFZGZDATAHIZEFZGZDUCUDGAAHHAUCJUAUDJUBUEKAUCEL
    DAUAUDMNAUCDUDOUCAHBPQRS $.
    $( [17-May-2006] $) $( [24-Apr-2006] $)

  $( The range of a projection.  Part of Theorem 26.2 of [Halmos] p. 44. $)
  pjrnt $p |- ( H e. CH -> ran ( proj ` H ) = H ) $=
    ( cch wcel chil cpj cfv wfo crn wceq pjfot forn syl ) ABCDAAEFZGMHAIAJDAMKL
    $.
    $( [20-May-2006] $) $( [24-Apr-2006] $)

  $( The mapping of a projection. $)
  pjft $p |- ( H e. CH -> ( proj ` H ) : H~ --> H~ ) $=
    ( chil cpj cfv wf wss cch wcel fss wfo pjfot fof syl chss sylanc ) BAACDZEZ
    ABFBBPEAGHZBABPIRBAPJQAKBAPLMANO $.
    $( [22-May-2006] $) $( [24-Apr-2006] $)

  $( Functionality of a projection. $)
  pjfnt $p |- ( H e. CH -> ( proj ` H ) Fn H~ ) $=
    ( cch wcel chil cpj cfv wf wfn pjft ffn syl ) ABCDDAEFZGLDHAIDDLJK $.
    $( [1-Jul-2006] $) $( [30-May-2006] $)

  ${
    pjsumt.1 $e |- G e. CH $.
    pjsumt.2 $e |- H e. CH $.
    $( The projection on a subspace sum is the sum of the projections. $)
    pjsumt $p |- ( A e. H~ ->
            ( G (_ ( _|_ ` H ) -> ( ( proj ` ( G +H H ) ) ` A ) =
            ( ( ( proj ` G ) ` A ) +h ( ( proj ` H ) ` A ) ) ) ) $=
      ( chil wcel cort cfv wss cph co cpj cva wceq wa chj osum fveq2d fveq1d
      adantl cch wi pjcjt2 mp3an12 imp eqtrd ex ) AFGZBCHIJZABCKLZMIZIZABMIIACM
      IINLZOUIUJPUMABCQLZMIZIZUNUJUMUQOUIUJAULUPUJUKUOMBCDERSTUAUIUJUQUNOZBUBGC
      UBGUIUJURUCDEACBUDUEUFUGUH $.
      $( [11-Nov-2000] $)

    $( One-to-one correspondence of projection and subspace. $)
    pj11 $p |- ( ( proj ` G ) = ( proj ` H ) <-> G = H ) $=
      ( cpj cfv wceq crn rneq pjrn 3eqtr3g fveq2 impbi ) AEFZBEFZGZABGPNHOHABNO
      IACJBDJKABELM $.
      $( [26-Nov-2000] $)

    $( Vector decomposition into sum of projections on orthogonal subspaces. $)
    pjds $p |- ( ( A e. ( G vH H ) /\ G (_ ( _|_ ` H ) ) ->
               A = ( ( ( proj ` G ) ` A ) +h ( ( proj ` H ) ` A ) ) ) $=
      ( chj co wcel cort cfv wss wa cph cpj cva osum fveq2d fveq1d cch wceq
      chjcl pjidt mpan sylan9eqr chil pjsumt imp chel sylan eqtr3d ) ABCFGZHZBC
      IJKZLABCMGZNJZJZAABNJJACNJJOGZUMULUPAUKNJZJZAUMAUOURUMUNUKNBCDEPQRUKSHULU
      SATBCDEUAZAUKUBUCUDAUEHZUMUPUQTZULVAUMVBABCDEUFUGAUKUTUHUIUJ $.
      $( [22-Jun-2006] $) $( [21-Jun-2006] $)
  $}

  ${
    pjds3.1 $e |- F e. CH $.
    pjds3.2 $e |- G e. CH $.
    pjds3.3 $e |- H e. CH $.
    $( Vector decomposition into sum of projections on orthogonal subspaces. $)
    pjds3 $p |- ( ( ( A e.  ( ( F vH G ) vH H ) /\ F (_ ( _|_ ` G ) ) /\
     ( F (_ ( _|_ ` H ) /\ G (_ ( _|_ ` H ) ) ) -> A = ( ( ( ( proj ` F ) ` A )
                +h ( ( proj ` G ) ` A ) ) +h ( ( proj ` H ) ` A ) ) ) $=
      ( chj co wcel cort cfv wss wa cpj cva cph wceq chjcl pjds pm3.26 choccl
      chlubi syl2an osum fveq2d fveq1d opreq1d ad2antlr chil pjsumt imp chel
      sylan adantr 3eqtr2d ) ABCHIZDHIZJZBCKLMZNZBDKLZMCVBMNZNAAUQOLZLZADOLLZPI
      ZABCQIZOLZLZVFPIZABOLLACOLLPIZVFPIZUSUQVBMAVGRVAVCAUQDBCEFSZGTUSUTUABCVBE
      FDGUBUCUDUTVKVGRUSVCUTVJVEVFPUTAVIVDUTVHUQOBCEFUEUFUGUHUIVAVKVMRVCVAVJVLV
      FPAUJJZUTVJVLRZUSVOUTVPABCEFUKULAURUQDVNGSUMUNUHUOUP $.
      $( [22-Jun-2006] $) $( [22-Jun-2006] $)
  $}

  $( One-to-one correspondence of projection and subspace. $)
  pj11t $p |- ( ( G e. CH /\ H e. CH ) ->
              ( ( proj ` G ) = ( proj ` H ) <-> G = H ) ) $=
    ( cch wcel cpj cfv wceq wb c0h cif fveq2 eqeq1d eqeq1 bibi12d eqeq2d eqeq2
    h0elch elimel pj11 dedth2h ) ACDZBCDZAEFZBEFZGZABGZHUAAIJZEFZUDGZUGBGZHUHUB
    BIJZEFZGZUGUKGZHABIIAUGGZUEUIUFUJUOUCUHUDAUGEKLAUGBMNBUKGZUIUMUJUNUPUDULUHB
    UKEKOBUKUGPNUGUKAICQRBICQRST $.
    $( [23-May-2006] $) $( [24-Apr-2006] $)

  ${
    $d f h w x y z $.
    $( Functionality of the projection function. $)
    pjmfn $p |- proj Fn CH $=
      ( vh vf vx vy vz vw cch cv chil wcel cva co wceq cort cfv wrex crab cuni
      wa copab cpj ax-hilex opabex2 df-pj fnopab2 ) ABGCHZIJDHUFEHFHKLMFAHZNOPE
      UGQRZMSCDTUACDIUHUBUCCDEFBAUDUE $.
      $( [26-May-2006] $) $( [24-Apr-2006] $)

    $( The projector function maps one-to-one into the set of Hilbert space
       operators. $)
    pjmf1 $p |- proj : CH -1-1-> ( H~ ^m H~ ) $=
      ( vx vy cch chil cm co cpj wf1 wf cv cfv wceq wi wral f1fv wfn wcel
      ffnfv pjmfn pjft ax-hilex elmap sylibr rgen mpbir2an wa pj11t biimpd
      rgen2a ) CDDEFZGHCUJGIZAJZGKZBJZGKLZULUNLZMZBCNACNABCUJGOUKGCPUMUJQZACNAC
      UJGRSURACULCQZDDUMIURULTDDUMUAUAUBUCUDUEUQABCUSUNCQUFUOUPULUNUGUHUIUE $.
      $( [14-Oct-2006] $) $( [24-Apr-2006] $)
  $}

  $( The inner product of projections on orthogonal subspaces vanishes. $)
  pjoi0t $p |- ( ( ( G e. CH /\ H e. CH /\ A e. H~ )  /\ G (_ ( _|_ ` H ) ) ->
               ( ( ( proj ` G ) ` A ) .ih ( ( proj ` H ) ` A ) ) = 0 ) $=
    ( cch wcel chil w3a cort cfv wss cpj crn csp co cc0 wceq wa pjrnt adantr
    fveq2d adantl sseq12d biimpar 3adantl3 csh shorth 3imp id eqeltrd chsh syl
    3ad2ant2 pm3.27 wfn fnfvelrn pjfnt sylan 3adant2 3adant1 jca syl3anc
    syldan ) BDEZCDEZAFEZGZBCHIZJZBKIZLZCKIZLZHIZJZAVIIZAVKIZMNOPZVCVDVHVNVEVCV
    DQZVNVHVRVJBVMVGVCVJBPVDBRSVDVMVGPVCVDVLCHCRZTUAUBUCUDVLUEEZVNVOVJEZVPVLEZQ
    ZVQVFVNQVTVNWCVQVOVPVJVLUFUGVFVTVNVDVCVTVEVDVLDEVTVDVLCDVSVDUHUIVLUJUKULSVF
    VNUMVFWCVNVFWAWBVCVEWAVDVIFUNVEWAVCFAVIUOBUPUQURVDVEWBVCVKFUNVEWBVDFAVKUOCU
    PUQUSUTSVAVB $.
    $( [1-Jul-2006] $) $( [30-Jun-2006] $)

  ${
    pjoi0.1 $e |- G e. CH $.
    pjoi0.2 $e |- H e. CH $.
    pjoi0.3 $e |- A e. H~ $.
    $( The inner product of projections on orthogonal subspaces vanishes. $)
    pjoi0 $p |- ( G (_ ( _|_ ` H ) ->
                ( ( ( proj ` G ) ` A ) .ih ( ( proj ` H ) ` A ) ) = 0 ) $=
      ( cch wcel chil w3a cort cfv wss cpj csp co cc0 wceq 3pm3.2i pjoi0t mpan
      ) BGHZCGHZAIHZJBCKLMABNLLACNLLOPQRUBUCUDDEFSABCTUA $.
      $( [1-Nov-1999] $)

    $( Pythagorean theorem for projections on orthogonal subspaces. $)
    pjopyth $p |- ( G (_ ( _|_ ` H ) ->
       ( ( normh ` ( ( ( proj ` G ) ` A ) +h ( ( proj ` H ) ` A ) ) ) ^ 2 ) =
                 ( ( ( normh ` ( ( proj ` G ) ` A ) ) ^ 2 ) +
                   ( ( normh ` ( ( proj ` H ) ` A ) ) ^ 2 ) ) ) $=
      ( cort cfv wss cpj csp co cc0 wceq cva cno c2 cexp caddc pjoi0 pjhcli
      normpyth syl ) BCGHIABJHHZACJHHZKLMNUDUEOLPHQRLUDPHQRLUEPHQRLSLNABCDEFTUD
      UEABDFUAACEFUAUBUC $.
      $( [1-Nov-1999] $)
  $}

  $( Pythagorean theorem for projections on orthogonal subspaces. $)
  pjopytht $p |- ( ( H e. CH /\ G e. CH /\ A e. H~ ) -> ( H (_ ( _|_ ` G ) ->
       ( ( normh ` ( ( ( proj ` H ) ` A ) +h ( ( proj ` G ) ` A ) ) ) ^ 2 ) =
                 ( ( ( normh ` ( ( proj ` H ) ` A ) ) ^ 2 ) +
                   ( ( normh ` ( ( proj ` G ) ` A ) ) ^ 2 ) ) ) ) $=
    ( cch wcel chil cort cfv wss cpj cva co cno c2 cexp caddc wceq wi cif c0v
    sseq1 fveq2 fveq1d opreq1d fveq2d eqeq12d imbi12d sseq2d opreq2d opreq12d
    imbi2d helch elimel ax-hv0cl pjopyth dedth3h ) CDEZBDEZAFEZCBGHZIZACJHZHZAB
    JHZHZKLZMHZNOLZVCMHZNOLZVEMHZNOLZPLZQZRUQCFSZUTIZAVOJHZHZVEKLZMHZNOLZVRMHZN
    OLZVLPLZQZRCBAFFTVOURBFSZGHZIZVRAWFJHZHZKLZMHZNOLZWCWJMHZNOLZPLZQZRWHUSATSZ
    VQHZWRWIHZKLZMHZNOLZWSMHZNOLZWTMHZNOLZPLZQZRCVOQZVAVPVNWECVOUTUAXJVHWAVMWDX
    JVGVTNOXJVFVSMXJVCVRVEKXJAVBVQCVOJUBUCZUDUEUDXJVJWCVLPXJVIWBNOXJVCVRMXKUEUD
    UDUFUGBWFQZVPWHWEWQXLUTWGVOBWFGUBUHXLWAWMWDWPXLVTWLNOXLVSWKMXLVEWJVRKXLAVDW
    IBWFJUBUCZUIUEUDXLVLWOWCPXLVKWNNOXLVEWJMXMUEUDUIUFUGAWRQZWQXIWHXNWMXCWPXHXN
    WLXBNOXNWKXAMXNVRWSWJWTKAWRVQUBZAWRWIUBZUJUEUDXNWCXEWOXGPXNWBXDNOXNVRWSMXOU
    EUDXNWNXFNOXNWJWTMXPUEUDUJUFUKWRVOWFCFDULUMBFDULUMATFUNUMUOUP $.
    $( [2-Nov-1999] $)

  ${
    pjnorm.1 $e |- H e. CH $.
    pjnorm.2 $e |- A e. H~ $.
    $( The norm of the projection is less than or equal to the norm. $)
    pjnorm $p |- ( normh ` ( ( proj ` H ) ` A ) ) <_ ( normh ` A ) $=
      ( cpj cfv cno cort cva co cle chil wcel wa csp cc0 wceq wbr pjhcli
      choccl pm3.2i cch pjorth ax-mp normpyct mp2 pjpj fveq2i breqtrr ) ABEFFZG
      FZUJABHFZEFFZIJZGFZAGFKUJLMZUMLMZNUJUMOJPQZUKUOKRUPUQABCDSAULBCTDSUABUBMU
      RCAABDDUCUDUJUMUEUFAUNGABCDUGUHUI $.
      $( [27-Oct-1999] $)

    $( Pythagorean theorem for projections. $)
    pjpyth $p |- ( ( normh ` A ) ^ 2 ) =
                 ( ( ( normh ` ( ( proj ` H ) ` A ) ) ^ 2 ) +
                   ( ( normh ` ( ( proj ` ( _|_ ` H ) ) ` A ) ) ^ 2 ) ) $=
      ( cno cfv c2 cexp co cpj cort cva caddc pjpj fveq2i opreq1i wss wceq csh
      wcel chshi shococss ax-mp choccl pjopyth eqtr ) AEFZGHIABJFFZABKFZJFFZLIZ
      EFZGHIZUHEFGHIUJEFGHIMIZUGULGHAUKEABCDNOPBUIKFQZUMUNRBSTUOBCUABUBUCABUICB
      CUDDUEUCUF $.
      $( [27-Oct-1999] $)

    $( If a vector does not belong to subspace, the norm of its projection
       is less than its norm. $)
    pjnel $p |- ( -. A e. H <->
                ( normh ` ( ( proj ` H ) ` A ) ) < ( normh ` A ) ) $=
      ( cno cfv cpj wne cle wbr wa wcel wn clt pjnorm biantrur cort c0v wceq
      c2 cexp co pjoc1 caddc cc0 pjhcli normcl resqcl recn choccl 0cn sqcl
      addcan pjpyth sq0 opreq2i addid1 eqtr2 eqeq12i wb chil normge0t ax-mp
      0re leid sq11 mp2an norm-i bitr2 3bitr4r 3bitr necon3bbii ltlen 3bitr4 )
      AEFZABGFFZEFZHZVQVOIJZVRKABLZMVQVONJVSVRABCDOPVTVOVQVTABQFZGFFZRSZVOTUAUB
      ZVQTUAUBZSZVOVQSZABCDUCWEWBEFZTUAUBZUDUBZWEUETUAUBZUDUBZSWIWKSZWFWCWEWIWK
      WEVQVPABCDUFZUGZUHUIZWIWHWBAWABCUJDUFZUGZUHUIUEUKULUMWDWJWEWLABCDUNWLWEUE
      UDUBWEWKUEWEUDUOUPWEWPUQURUSWMWHUESZWCUEWHIJZUEUEIJWMWSUTWBVALWTWQWBVBVCU
      EVDVEWHUEWRVDVFVGWBWQVHVIVJUEVOIJZUEVQIJZWFWGUTAVALXADAVBVCVPVALXBWNVPVBV
      CVOVQADUGZWOVFVGVKVLVQVOWOXCVMVN $.
      $( [27-Oct-1999] $)
  $}

  $( The norm of the projection is less than or equal to the norm. $)
  pjnormt $p |- ( ( H e. CH /\ A e. H~ ) ->
                ( normh ` ( ( proj ` H ) ` A ) ) <_ ( normh ` A ) ) $=
    ( cch wcel chil cpj cfv cno cle wbr cif c0v wceq fveq2 fveq1d fveq2d
    breq1d breq12d helch elimel ax-hv0cl pjnorm dedth2h ) BCDZAEDZABFGZGZHGZAHG
    ZIJAUDBEKZFGZGZHGZUIIJUEALKZUKGZHGZUNHGZIJBAELBUJMZUHUMUIIURUGULHURAUFUKBUJ
    FNOPQAUNMZUMUPUIUQIUSULUOHAUNUKNPAUNHNRUNUJBECSTALEUATUBUC $.
    $( [28-Oct-1999] $)

  $( Pythagorean theorem for projectors. $)
  pjpytht $p |- ( ( H e. CH /\ A e. H~ ) -> ( ( normh ` A ) ^ 2 ) =
               ( ( ( normh ` ( ( proj ` H ) ` A ) ) ^ 2 ) +
                 ( ( normh ` ( ( proj ` ( _|_ ` H ) ) ` A ) ) ^ 2 ) ) ) $=
    ( cch wcel chil cno cfv c2 cexp co cpj cort caddc wceq cif c0v fveq2
    fveq1d fveq2d opreq1d opreq12d eqeq2d eqeq12d helch elimel ax-hv0cl pjpyth
    dedth2h ) BCDZAEDZAFGZHIJZABKGZGZFGZHIJZABLGZKGZGZFGZHIJZMJZNULAUIBEOZKGZGZ
    FGZHIJZAVCLGZKGZGZFGZHIJZMJZNUJAPOZFGZHIJZVNVDGZFGZHIJZVNVIGZFGZHIJZMJZNBAE
    PBVCNZVBVMULWDUPVGVAVLMWDUOVFHIWDUNVEFWDAUMVDBVCKQRSTWDUTVKHIWDUSVJFWDAURVI
    WDUQVHKBVCLQSRSTUAUBAVNNZULVPVMWCWEUKVOHIAVNFQTWEVGVSVLWBMWEVFVRHIWEVEVQFAV
    NVDQSTWEVKWAHIWEVJVTFAVNVIQSTUAUCVNVCBECUDUEAPEUFUEUGUH $.
    $( [25-Sep-2006] $) $( [11-Apr-2006] $)

  $( If a vector does not belong to subspace, the norm of its projection
     is less than its norm. $)
  pjnelt $p |- ( ( H e. CH /\ A e. H~ ) -> ( -. A e. H <->
              ( normh ` ( ( proj ` H ) ` A ) ) < ( normh ` A ) ) ) $=
    ( cch wcel chil wn cpj cfv cno clt wbr wb cif c0v wceq eleq2 negbid fveq2
    fveq1d fveq2d breq1d bibi12d eleq1 breq12d helch elimel ax-hv0cl pjnel
    dedth2h ) BCDZAEDZABDZFZABGHZHZIHZAIHZJKZLAUJBEMZDZFZAUSGHZHZIHZUQJKZLUKANM
    ZUSDZFZVFVBHZIHZVFIHZJKZLBAENBUSOZUMVAURVEVMULUTBUSAPQVMUPVDUQJVMUOVCIVMAUN
    VBBUSGRSTUAUBAVFOZVAVHVEVLVNUTVGAVFUSUCQVNVDVJUQVKJVNVCVIIAVFVBRTAVFIRUDUBV
    FUSBECUEUFANEUGUFUHUI $.
    $( [2-Nov-1999] $)

  $( A vector belongs to the subspace of a projection iff the norm of its
     projection equals its norm.  This and ~ pjcht yield Theorem 26.3 of
     [Halmos] p. 44. $)
  pjnorm2t $p |- ( ( H e. CH /\ A e. H~ ) -> ( A e. H <->
              ( normh ` ( ( proj ` H ) ` A ) ) = ( normh ` A ) ) ) $=
    ( cch wcel chil wa cpj cfv cno wceq cle wbr clt wn cr wb eqleltt pjhclt
    normclt syl adantl sylanc pjnormt biantrurd pjnelt con1bid 3bitr2rd ) BCDZA
    EDZFZABGHHZIHZAIHZJZULUMKLZULUMMLZNZFZUQABDZULODZUMODZUNURPUJULUMQUJUKEDUTA
    BRUKSTUIVAUHASUAUBUJUOUQABUCUDUJUSUPABUEUFUG $.
    $( [7-Apr-2001] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Mayet's equation E_3
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x D $.  $d x F $.  $d x G $.  $d x R $.  $d x S $.
    mayete3.1 $e |- A e. CH $.
    mayete3.2 $e |- B e. CH $.
    mayete3.3 $e |- C e. CH $.
    mayete3.4 $e |- D e. CH $.
    mayete3.5 $e |- F e. CH $.
    mayete3.6 $e |- G e. CH $.
    mayete3.7 $e |- A (_ ( _|_ ` B ) $.
    mayete3.8 $e |- A (_ ( _|_ ` C ) $.
    mayete3.9 $e |- B (_ ( _|_ ` C ) $.
    mayete3.10 $e |- A (_ ( _|_ ` D ) $.
    mayete3.11 $e |- B (_ ( _|_ ` F ) $.
    mayete3.12 $e |- C (_ ( _|_ ` G ) $.
    mayete3.13 $e |- R = ( ( A vH B ) vH C ) $.
    mayete3.14 $e |- S = ( ( ( A vH D ) i^i ( B vH F ) ) i^i ( C vH G ) ) $.
    mayete3.15 $e |- T = ( ( D vH F ) vH G ) $.
    $( Mayet's equation E_3.  Part of Theorem 4.1 of [Mayet3] p. 7. $)
    mayete3 $p |- ( R i^i S ) (_ T $=
      ( vx cin chj co cph cv wcel c1 c2 cdiv csm chil wceq wa elin eleq2i
      chjcl chel sylbi adantr ax-hvmulid cmul cc 2cn 2ne0 reccl ax-hvmulass
      mp3an12 cc0 wne recid2t mp2an opreq1i syl5eqr eqtr3d syl cpj cfv cva cmv
      hv2timest opreq1d inss2 sseli bitr cort wss pjds mpan2 opreqan12d inss1
      hvadd4t pjhcl syl2anc eqtrd hvaddclt sylanc 3eqtrd syl6eleq pm3.2i pjds3
      opreq12d hvmulclt mpan hvpncant mpancom hvpncan2t 3eqtr3d chshi shscl
      shsva pjcl eqeltrd csh wi shmulcltOLD ax-mp ssriv chslej shless sstri
      sseqtr4 ) EFUFZDHUGUHZIUGUHZGYGYHIUIUHZYIYGDHUIUHZIUIUHZYJUEYGYLUEUJZYGUK
      ZYMULUMUNUHZUMYMUOUHZUOUHZYLYNYMUPUKZYMYQUQYNYMEUKZYMFUKZURYRYMEFUSYSYRYT
      YSYMABUGUHZCUGUHZUKZYREUUBYMUBUTYMUUBUUACABJKVALVAVBVCVDVCZYRULYMUOUHZYMY
      QYMVEYRYOUMVFUHZYMUOUHZYQUUEYOVGUKZUMVGUKZYRUUGYQUQUMVHVIVJZVHYOUMYMVKVLU
      UFULYMUOUUIUMVMVNUUFULUQVHVIUMVOVPVQVRVSVTYNYPYLUKZYQYLUKZYNYPYMDWAWBWBZY
      MHWAWBWBZWCUHZYMIWAWBWBZWCUHZYLYNYPYMWCUHZYMWDUHZYMAWAWBWBZYMBWAWBWBZWCUH
      ZYMCWAWBWBZWCUHZUUQWCUHZUVDWDUHZYPUUQYNUURUVEYMUVDWDYNUURYMYMWCUHZYMWCUHZ
      UVBUUOWCUHZUVCUUPWCUHZWCUHZUVEYNYRUURUVHUQUUDYRYPUVGYMWCYMWEWFVTYNYTUVHUV
      KUQZYGFYMEFWGWHYTYMADUGUHZBHUGUHZUFZUKZYMCIUGUHZUKZURZUVLYTYMUVOUVQUFZUKU
      VSFUVTYMUCUTYMUVOUVQUSWIUVPUVRUVGUVIYMUVJWCUVPUVGUUTUUMWCUHZUVAUUNWCUHZWC
      UHZUVIUVPYMUVMUKZYMUVNUKZURUVGUWCUQYMUVMUVNUSUWDUWEYMUWAYMUWBWCUWDADWJWBW
      KYMUWAUQSYMADJMWLWMUWEBHWJWBWKYMUWBUQTYMBHKNWLWMWNVCUVPYRUWCUVIUQZUVPUWDY
      RUVOUVMYMUVMUVNWOWHYMUVMADJMVAVBVTUUTUPUKZUUMUPUKZUVAUPUKZUUNUPUKZUWFYRUU
      TUUMUVAUUNWPYMAJWQZYMDMWQZYMBKWQZYMHNWQZWRVTWSUVRCIWJWBWKYMUVJUQUAYMCILOW
      LWMWNVCVTYNYRUVKUVEUQZUUDUVBUPUKZUUOUPUKZUVCUPUKZUUPUPUKZUWOYRUVBUUOUVCUU
      PWPUWGUWIUWPYRUUTUVAWTUWKUWMXAZUWHUWJUWQYRUUMUUNWTUWLUWNXAZYMCLWQZYMIOWQZ
      WRVTXBYNUUCYMUVDUQZYNYMEUUBYGEYMEFWOWHUBXCUUCABWJWBWKZUXDPUUCUXEURACWJWBZ
      WKZBUXFWKZURUXDUXGUXHQRXDYMABCJKLXEWMWMVTXFYNYRUUSYPUQZUUDYPUPUKZYRUXIUUI
      YRUXJVHUMYMXGXHYPYMXIXJVTYNYRUVFUUQUQZUUDUVDUPUKZUUQUPUKZUXKYRUVDUUQXKUWP
      UWRUXLYRUVBUVCWTUWTUXBXAUWQUWSUXMYRUUOUUPWTUXAUXCXAXAVTXLYNYRUUQYLUKZUUDU
      UOYKUKZUUPIUKUXNYRYKIUUOUUPDHDMXMZHNXMZXNZIOXMZXOUUMDUKUUNHUKUXOYRDHUUMUU
      NUXPUXQXOYMDMXPYMHNXPXAYMIOXPXAVTXQUUHUUKUULUUJYLXRUKUUHUUKURUULXSYKIUXRU
      XSXNYOYPYLXTYAXHVTXQYBYKYHWKYLYJWKDHMNYCYKYHIUXRYHDHMNVAZXMUXSYDYAYEYHIUX
      TOYCYEUDYF $.
      $( [22-Jun-2006] $) $( [22-Jun-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
            Zero and identity operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Define the Hilbert space zero operator.  See ~ df0op2 for alternate
     definition. $)
  df-h0op $a |- 0hop = ( proj ` 0H ) $.

  $( Define the Hilbert space identity operator.  See ~ dfiop2 for alternate
     definition. $)
  df-iop $a |- Iop = ( proj ` H~ ) $.

  $( Value of the zero Hilbert space operator (null projector).  Remark in
     [Beran] p. 111. $)
  ho0valt $p |- ( A e. H~ -> ( 0hop ` A ) = 0h ) $=
    ( chil wcel ch0o cfv cpj cmv co c0v cort cch wceq helch pjot mpan c0h
    choc1 fveq2i df-h0op eqtr4 fveq1i syl5eqr pjhcl hvsubidt syl eqtrd ) ABCZAD
    EZABFEEZUIGHZIUGABJEZFEZEZUJUHBKCUGUMUJLMABNOAULDULPFEDUKPFQRSTUAUBUGUIBCUJ
    ILABMUCUIUDUEUF $.
    $( [8-Aug-2006] $) $( [7-Feb-2006] $)

  $( Functionality of the zero Hilbert space operator. $)
  ho0f $p |- 0hop : H~ --> H~ $=
    ( chil ch0o wf c0h cpj cfv h0elch pjf wceq wb df-h0op feq1 ax-mp mpbir ) AA
    BCZAADEFZCZDGHBPIOQJKAABPLMN $.
    $( [7-Aug-2006] $) $( [10-Mar-2006] $)

  $( Alternate definition of Hilbert space zero operator. $)
  df0op2 $p |- 0hop = ( H~ X. 0H ) $=
    ( vx ch0o chil c0v csn cxp c0h wf wceq wfn cv cfv wral fconstfv ho0f ffn
    ax-mp ho0valt rgen mpbir2an ax-hv0cl elisseti fconst2 mpbi df-ch0 xpeq2
    eqtr4 ) BCDEZFZCGFZCUHBHZBUIIUKBCJZAKZBLDIZACMACDBNCCBHULOCCBPQUNACUMRSTCDB
    DCUAUBUCUDGUHIUJUIIUEGUHCUFQUG $.
    $( [7-Aug-2006] $) $( [7-Aug-2006] $)

  $( Alternate definition of Hilbert space identity operator. $)
  dfiop2 $p  |- Iop = ( I |` H~ ) $=
    ( vx chio chil cpj cfv cid cres df-iop wfn wceq helch pjfn fnresi wa cv
    wral eqid wcel pjch1t fvresi eqtr4d rgen pm3.2i eqfnfv mpbiri mp2an eqtr )
    BCDEZFCGZHUHCIZUICIZUHUIJZCKLCMUJUKNULCCJZAOZUHEZUNUIEZJZACPZNUMURCQUQACUNC
    RUOUNUPUNSCUNTUAUBUCACCUHUIUDUEUFUG $.
    $( [7-Aug-2006] $) $( [7-Aug-2006] $)

  $( Functionality of the Hilbert space identity operator. $)
  hoif $p |- Iop : H~ -1-1-onto-> H~ $=
    ( chil chio wf1o cid cres f1oi wceq wb dfiop2 f1oeq1 ax-mp mpbir ) AABCZAAD
    AEZCZAFBNGMOHIAABNJKL $.
    $( [9-Aug-2006] $) $( [8-Aug-2006] $)

  $( The value of the Hilbert space identity operator. $)
  hoivalt $p |- ( A e. H~ -> ( Iop ` A ) = A ) $=
    ( chil wcel cpj cfv chio pjch1t df-iop fveq1i syl5eq ) ABCABDEZEAAFEAGAFKHI
    J $.
    $( [9-Aug-2006] $) $( [8-Aug-2006] $)

  $( Composition with the Hilbert space identity operator. $)
  hoico1t $p |- ( T : H~ --> H~ -> ( T o. Iop ) = T ) $=
    ( chil wf cid cres ccom chio fcoi1 dfiop2 coeq2i syl5eq ) BBACADBEZFAAGFBBA
    HGLAIJK $.
    $( [24-Aug-2006] $) $( [24-Aug-2006] $)

  $( Composition with the Hilbert space identity operator. $)
  hoico2t $p |- ( T : H~ --> H~ -> ( Iop o. T ) = T ) $=
    ( chil wf cid cres ccom chio fcoi2 dfiop2 coeq1i syl5eq ) BBACDBEZAFAGAFBBA
    HGLAIJK $.
    $( [25-Aug-2006] $) $( [24-Aug-2006] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Operations on Hilbert space operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y A $.  $d x y S $.  $d x y T $.
    $( The sum of Hilbert space operators is an operator. $)
    hoaddclt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ ) ->
                ( S +op T ) : H~ --> H~ ) $=
      ( vx vy chil wf wa chos co cv wcel cfv cva wceq copab wral hvaddclt
      ffvelrn syl2an anandirs r19.21aiva eqid fopab2 sylib hosmvalt feq1d
      mpbird ) EEAFZEEBFZGZEEABHIZFEECJZEKZDJULALZULBLZMIZNGCDOZFZUJUPEKZCEPURU
      JUSCEUHUIUMUSUNEKUOEKUSUHUMGUIUMGUNUOQEEULAREEULBRSTUACDEEUPUQUQUBUCUDUJE
      EUKUQCDABUEUFUG $.
      $( [22-Feb-2006] $) $( [21-Feb-2006] $)

    $( The scalar product of a Hilbert space operator is an operator. $)
    homulclt $p |- ( ( A e. CC /\ T : H~ --> H~ ) ->
                   ( A .op T ) : H~ --> H~ ) $=
      ( vx vy cc wcel chil wf wa chot co cv cfv csm wceq copab wral hvmulclt
      ffvelrn sylan2 anassrs r19.21aiva eqid fopab2 sylib hommvalt feq1d
      mpbird ) AEFZGGBHZIZGGABJKZHGGCLZGFZDLAUMBMZNKZOICDPZHZUKUPGFZCGQURUKUSCG
      UIUJUNUSUIUOGFUSUJUNIAUORGGUMBSTUAUBCDGGUPUQUQUCUDUEUKGGULUQCDABUFUGUH $.
      $( [22-Mar-2006] $) $( [21-Feb-2006] $)
  $}

  ${
    $d x T $.  $d x U $.
    $( Equality of Hilbert space operators. $)
    hoeqt $p |- ( ( T : H~ --> H~ /\ U : H~ --> H~ ) ->
                ( A. x e. H~ ( T ` x ) = ( U ` x ) <-> T = U ) ) $=
      ( chil wfn cv cfv wceq wral wb wf wa eqfnfv eqid biantrur syl6rbbr ffn
      syl2an ) BDEZCDEZAFZBGUACGHADIZBCHZJDDBKDDCKSTLUCDDHZUBLUBADDBCMUDUBDNOPD
      DBQDDCQR $.
      $( [13-Aug-2006] $) $( [12-Aug-2006] $)
  $}

  ${
    $d x y S $.  $d x y T $.
    hoeq.1 $e |- S : H~ --> H~ $.
    hoeq.2 $e |- T : H~ --> H~ $.
    $( Equality of Hilbert space operators. $)
    hoeq $p |- ( A. x e. H~ ( S ` x ) = ( T ` x ) <-> S = T ) $=
      ( chil wf cv cfv wceq wral wb hoeqt mp2an ) FFBGFFCGAHZBIOCIJAFKBCJLDEABC
      MN $.
      $( [14-Nov-2000] $)

    $( Closure of Hilbert space operator sum. $)
    hoscl $p |- ( A e. H~ -> ( ( S +op T ) ` A ) e. H~ ) $=
      ( chil wf wcel chos co cfv hosclt mpanl12 ) FFBGFFCGAFHABCIJKFHDEABCLM $.
      $( [12-Nov-2000] $)

    $( Closure of Hilbert space operator difference. $)
    hodcl $p |- ( A e. H~ -> ( ( S -op T ) ` A ) e. H~ ) $=
      ( chil wf wcel chod co cfv hodclt mpanl12 ) FFBGFFCGAFHABCIJKFHDEABCLM $.
      $( [12-Nov-2000] $)

    $( Composition of Hilbert space operators. $)
    hoco $p |- ( A e. H~ -> ( ( S o. T ) ` A ) = ( S ` ( T ` A ) ) ) $=
      ( chil wcel cdm ccom cfv wceq fdmi eleq2i wfun wf ffun ax-mp fvco
      mp3an12 sylbir ) AFGACHZGZABCIJACJBJKZUAFAFFCELMBNZCNZUBUCFFBOUDDFFBPQFFC
      OUEEFFCPQABCRST $.
      $( [12-Nov-2000] $)

    $( Closure of composition of Hilbert space operators. $)
    hococl $p |- ( A e. H~ -> ( ( S o. T ) ` A ) e. H~ ) $=
      ( chil wcel ccom cfv hoco ffvelrni syl eqeltrd ) AFGZABCHIACIZBIZFABCDEJN
      OFGPFGFFACEKFFOBDKLM $.
      $( [12-Nov-2000] $)

    $( Mapping of composition of Hilbert space operators. $)
    hocof $p |- ( S o. T ) : H~ --> H~ $=
      ( chil wf ccom fco mp2an ) EEAFEEBFEEABGFCDEEEABHI $.
      $( [14-Nov-2000] $)

    $( Functionality of composition of Hilbert space operators. $)
    hocofn $p |- ( S o. T ) Fn H~ $=
      ( chil ccom wf wfn hocof ffn ax-mp ) EEABFZGLEHABCDIEELJK $.
      $( [12-Nov-2000] $)

    $( Mapping of sum of Hilbert space operators. $)
    hoaddcl $p |- ( S +op T ) : H~ --> H~ $=
      ( chil wf chos co hoaddclt mp2an ) EEAFEEBFEEABGHFCDABIJ $.
      $( [14-Nov-2000] $)

    $( Mapping of difference of Hilbert space operators. $)
    hosubcl $p |- ( S -op T ) : H~ --> H~ $=
      ( vx vy chil cv cfv cmv co chod wf wcel wceq wa copab hodmvalt mp2an
      hvsubclt ffvelrni sylanc fopab ) EFGGEHZAIZUDBIZJKZABLKZGGAMGGBMUHUDGNZFH
      UGOPEFQOCDEFABRSUEGNUFGNUGGNUIUEUFTGGUDACUAGGUDBDUAUBUC $.
      $( [14-Nov-2000] $)

    $( Functionality of sum of Hilbert space operators. $)
    hoaddfn $p |- ( S +op T ) Fn H~ $=
      ( chil chos co wf wfn hoaddcl ffn ax-mp ) EEABFGZHMEIABCDJEEMKL $.
      $( [14-Nov-2000] $)

    $( Functionality of difference of Hilbert space operators. $)
    hosubfn $p |- ( S -op T ) Fn H~ $=
      ( chil chod co wf wfn hosubcl ffn ax-mp ) EEABFGZHMEIABCDJEEMKL $.
      $( [30-Jun-2006] $) $( [2-Jun-2006] $)

    $( Commutativity of sum of Hilbert space operators. $)
    hoaddcom $p |- ( S +op T ) = ( T +op S ) $=
      ( vx cv chos co cfv wceq chil wral wcel cva ax-hvcom ffvelrni sylanc wf
      hosvaltOLD mpanl12 3eqtr4d rgen hoaddcl hoeq mpbi ) EFZABGHZIZUFBAGHZIZJZ
      EKLUGUIJUKEKUFKMZUFAIZUFBIZNHZUNUMNHZUHUJUMKMUNKMUOUPJULUMUNOKKUFACPKKUFB
      DPQKKARZKKBRZULUHUOJCDUFABSTURUQULUJUPJDCUFBASTUAUBEUGUIABCDUCBADCUCUDUE
      $.
      $( [15-Nov-2000] $)
  $}

  $( Mapping of difference of Hilbert space operators. $)
  hosubclt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ ) ->
              ( S -op T ) : H~ --> H~ ) $=
    ( chil wf chod co ch0o cif wceq opreq1 feq1d opreq2 ho0f elimf hosubcl
    dedth2h ) CCADZCCBDZCCABEFZDCCQAGHZBEFZDCCTRBGHZEFZDABGGATICCSUAATBEJKBUBIC
    CUAUCBUBTELKTUBCCAGMNCCBGMNOP $.
    $( [25-Aug-2006] $) $( [23-Aug-2006] $)

  $( Commutativity of sum of Hilbert space operators. $)
  hoaddcomt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ ) ->
                ( S +op T ) = ( T +op S ) ) $=
    ( chil wf chos co wceq ch0o cif opreq1 opreq2 eqeq12d ho0f elimf hoaddcom
    dedth2h ) CCADZCCBDZABEFZBAEFZGQAHIZBEFZBUAEFZGUARBHIZEFZUDUAEFZGABHHAUAGSU
    BTUCAUABEJAUABEKLBUDGUBUEUCUFBUDUAEKBUDUAEJLUAUDCCAHMNCCBHMNOP $.
    $( [26-Aug-2006] $) $( [24-Aug-2006] $)

  ${
    $d x R $.  $d x S $.  $d x T $.
    hods.1 $e |- R : H~ --> H~ $.
    hods.2 $e |- S : H~ --> H~ $.
    hods.3 $e |- T : H~ --> H~ $.
    $( Relationship between Hilbert space operator difference and sum. $)
    hods $p |- ( ( R -op S ) = T <-> ( S +op T ) = R ) $=
      ( vx cv chod co cfv wceq chil wral chos wcel cmv cva wb hvsubaddt
      ffvelrni syl3anc wf hodvaltOLD mpanl12 eqeq1d hosvaltOLD 3bitr4d ralbiia
      hosubcl hoeq hoaddcl 3bitr3 ) GHZABIJZKZUNCKZLZGMNUNBCOJZKZUNAKZLZGMNUOCL
      USALURVBGMUNMPZVAUNBKZQJZUQLZVDUQRJZVALZURVBVAMPVDMPUQMPVFVHSVCVAVDUQTMMU
      NADUAMMUNBEUAMMUNCFUAUBVCUPVEUQMMAUCMMBUCZVCUPVELDEUNABUDUEUFVCUTVGVAVIMM
      CUCVCUTVGLEFUNBCUGUEUFUHUIGUOCABDEUJFUKGUSABCEFULDUKUM $.
      $( [17-Nov-2000] $)

    $( Associativity of sum of Hilbert space operators. $)
    hoaddass $p |- ( ( R +op S ) +op T ) = ( R +op ( S +op T ) ) $=
      ( vx cv chos co cfv wceq chil wral wcel cva ax-hvass ffvelrni syl3anc wf
      hoaddcl hosvaltOLD mpanl12 opreq1d eqtrd opreq2d 3eqtr4d rgen hoeq mpbi
      ) GHZABIJZCIJZKZUKABCIJZIJZKZLZGMNUMUPLURGMUKMOZUKAKZUKBKZPJZUKCKZPJZUTVA
      VCPJZPJZUNUQUTMOVAMOVCMOVDVFLUSUTVAVCQMMUKADRMMUKBERMMUKCFRSUSUNUKULKZVCP
      JZVDMMULTMMCTZUSUNVHLABDEUAZFUKULCUBUCUSVGVBVCPMMATZMMBTZUSVGVBLDEUKABUBU
      CUDUEUSUQUTUKUOKZPJZVFVKMMUOTUSUQVNLDBCEFUAZUKAUOUBUCUSVMVEUTPVLVIUSVMVEL
      EFUKBCUBUCUFUEUGUHGUMUPULCVJFUAAUODVOUAUIUJ $.
      $( [26-Nov-2000] $)

    $( Commutative/associative law for Hilbert space operator sum that swaps
       the first two terms. $)
    hoadd12 $p |- ( R +op ( S +op T ) ) = ( S +op ( R +op T ) ) $=
      ( chos co hoaddcom opreq1i hoaddass 3eqtr3 ) ABGHZCGHBAGHZCGHABCGHGHBACGH
      GHMNCGABDEIJABCDEFKBACEDFKL $.
      $( [21-Sep-2004] $) $( [27-Aug-2004] $)

    $( Commutative/associative law for Hilbert space operator sum that swaps
       the second and third terms. $)
    hoadd23 $p |- ( ( R +op S ) +op T ) = ( ( R +op T ) +op S ) $=
      ( chos co hoaddcom opreq2i hoaddass 3eqtr4 ) ABCGHZGHACBGHZGHABGHCGHACGHB
      GHMNAGBCEFIJABCDEFKACBDFEKL $.
      $( [28-Jul-2006] $) $( [27-Jul-2006] $)

    $( Distributive law for Hilbert space operator sum. $)
    hocadddir $p |- ( ( R +op S ) o. T ) = ( ( R o. T ) +op ( S o. T ) ) $=
      ( vx cv chos co ccom cfv wceq chil wral wcel cva ffvelrni wf hosvaltOLD
      mpanl12 syl hoco opreq12d eqtr4d hoaddcl hocof 3eqtr4d rgen hoeq mpbi )
      GHZABIJZCKZLZULACKZBCKZIJZLZMZGNOUNURMUTGNULNPZULCLZUMLZULUPLZULUQLZQJZUO
      USVAVCVBALZVBBLZQJZVFVAVBNPZVCVIMZNNULCFRNNASNNBSVJVKDEVBABTUAUBVAVDVGVEV
      HQULACDFUCULBCEFUCUDUEULUMCABDEUFZFUCNNUPSNNUQSVAUSVFMACDFUGZBCEFUGZULUPU
      QTUAUHUIGUNURUMCVLFUGUPUQVMVNUFUJUK $.
      $( [26-Nov-2000] $)

    $( Distributive law for Hilbert space operator difference. $)
    hocsubdir $p |- ( ( R -op S ) o. T ) = ( ( R o. T ) -op ( S o. T ) ) $=
      ( vx cv chod co ccom cfv wceq chil wral wcel cmv ffvelrni wf hodvaltOLD
      mpanl12 syl hoco opreq12d eqtr4d hosubcl hocof 3eqtr4d rgen hoeq mpbi )
      GHZABIJZCKZLZULACKZBCKZIJZLZMZGNOUNURMUTGNULNPZULCLZUMLZULUPLZULUQLZQJZUO
      USVAVCVBALZVBBLZQJZVFVAVBNPZVCVIMZNNULCFRNNASNNBSVJVKDEVBABTUAUBVAVDVGVEV
      HQULACDFUCULBCEFUCUDUEULUMCABDEUFZFUCNNUPSNNUQSVAUSVFMACDFUGZBCEFUGZULUPU
      QTUAUHUIGUNURUMCVLFUGUPUQVMVNUFUJUK $.
      $( [26-Nov-2000] $)

    $( Double composition of Hilbert space operators. $)
    ho2co $p |- ( A e. H~ -> ( ( ( R o. S ) o. T ) ` A ) =
                 ( R ` ( S ` ( T ` A ) ) ) ) $=
      ( chil wcel ccom cfv hocof hoco wceq ffvelrni syl eqtrd ) AHIZABCJZDJKADK
      ZSKZTCKBKZASDBCEFLGMRTHIUAUBNHHADGOTBCEFMPQ $.
      $( [1-Dec-2000] $)
  $}

  $( Associativity of sum of Hilbert space operators. $)
  hoaddasst $p |- ( ( R : H~ --> H~ /\ S : H~ --> H~ /\ T : H~ --> H~ ) ->
                ( ( R +op S ) +op T ) = ( R +op ( S +op T ) ) ) $=
    ( chil wf chos co wceq ch0o cif opreq1 opreq1d eqeq12d opreq2 opreq2d ho0f
    elimf hoaddass dedth3h ) DDAEZDDBEZDDCEZABFGZCFGZABCFGZFGZHTAIJZBFGZCFGZUGU
    EFGZHABCIIIUGUABIJZFGZCFGZUGUKCFGZFGZHULUBCIJZFGZUGUKUPFGZFGZHAUGHZUDUIUFUJ
    UTUCUHCFAUGBFKLAUGUEFKMBUKHZUIUMUJUOVAUHULCFBUKUGFNLVAUEUNUGFBUKCFKOMCUPHZU
    MUQUOUSCUPULFNVBUNURUGFCUPUKFNOMUGUKUPDDAIPQDDBIPQDDCIPQRS $.
    $( [25-Aug-2006] $) $( [24-Aug-2006] $)

  $( Commutative/associative law for Hilbert space operator sum that swaps
     the second and third terms. $)
  hoadd23t $p |- ( ( R : H~ --> H~ /\ S : H~ --> H~ /\ T : H~ --> H~ ) ->
                ( ( R +op S ) +op T ) = ( ( R +op T ) +op S ) ) $=
    ( chil wf w3a chos co wceq hoaddcomt 3adant1 opreq2d hoaddasst 3com23
    3eqtr4d ) DDAEZDDBEZDDCEZFZABCGHZGHACBGHZGHZABGHCGHACGHBGHZSTUAAGQRTUAIPBCJ
    KLABCMPRQUCUBIACBMNO $.
    $( [26-Aug-2006] $) $( [24-Aug-2006] $)

  $( Rearrangement of 4 terms in a sum of Hilbert space operators. $)
  hoadd4t $p |- ( ( ( R : H~ --> H~ /\ S : H~ --> H~ ) /\
      ( T : H~ --> H~ /\ U : H~ --> H~ ) ) -> ( ( R +op S ) +op ( T +op U ) ) =
                ( ( R +op T ) +op ( S +op U ) ) ) $=
    ( chil wf wa chos co wceq w3a hoadd23t opreq1d 3expa adantrr hoaddasst
    3expb hoaddclt sylan an4s 3eqtr3d ) EEAFZEEBFZGZEECFZEEDFZGZGABHIZCHIZDHIZA
    CHIZBHIZDHIZUHCDHIHIZUKBDHIHIZUDUEUJUMJZUFUBUCUEUPUBUCUEKUIULDHABCLMNOEEUHF
    ZUGUJUNJZUDUQUEUFURUHCDPQABRSUBUEUCUFUMUOJZEEUKFZUCUFGUSUBUEGUTUCUFUSUKBDPQ
    ACRSTUA $.
    $( [27-Aug-2006] $) $( [24-Aug-2006] $)

  $( Distributive law for Hilbert space operator difference. $)
  hocsubdirt $p |- ( ( R : H~ --> H~ /\ S : H~ --> H~ /\ T : H~ --> H~ ) ->
                ( ( R -op S ) o. T ) = ( ( R o. T ) -op ( S o. T ) ) ) $=
    ( chil wf chod co ccom wceq ch0o cif opreq1 coeq1d coeq1 opreq1d eqeq12d
    opreq2 opreq2d coeq2 opreq12d ho0f elimf hocsubdir dedth3h ) DDAEZDDBEZDDCE
    ZABFGZCHZACHZBCHZFGZIUEAJKZBFGZCHZUMCHZUKFGZIABCJJJUMUFBJKZFGZCHZUPURCHZFGZ
    IUSUGCJKZHZUMVCHZURVCHZFGZIAUMIZUIUOULUQVHUHUNCAUMBFLMVHUJUPUKFAUMCNOPBURIZ
    UOUTUQVBVIUNUSCBURUMFQMVIUKVAUPFBURCNRPCVCIZUTVDVBVGCVCUSSVJUPVEVAVFFCVCUMS
    CVCURSTPUMURVCDDAJUAUBDDBJUAUBDDCJUAUBUCUD $.
    $( [27-Aug-2006] $) $( [23-Aug-2006] $)

  ${
    $d x T $.
    hoaddid1.1 $e |- T : H~ --> H~ $.
    $( Sum of a Hilbert space operator with the zero operator. $)
    hoaddid1 $p |- ( T +op 0hop ) = T $=
      ( vx cv ch0o chos co cfv wceq chil wral wcel cva c0v wf ho0f hosvalt
      mp3an12 ho0valt opreq2d ffvelrni ax-hvaddid syl 3eqtrd rgen hoaddcl hoeq
      mpbi ) CDZAEFGZHZUIAHZIZCJKUJAIUMCJUIJLZUKULUIEHZMGZULNMGZULJJAOJJEOUNUKU
      PIBPUIAEQRUNUONULMUISTUNULJLUQULIJJUIABUAULUBUCUDUECUJAAEBPUFBUGUH $.
      $( [13-Aug-2006] $) $( [15-Nov-2000] $)

    $( Difference of a Hilbert space operator from itself. $)
    hodid $p |- ( T -op T ) = 0hop $=
      ( chod co ch0o wceq chos hoaddid1 ho0f hods mpbir ) AACDEFAEGDAFABHAAEBBI
      JK $.
      $( [30-Jul-2007] $) $( [10-Mar-2006] $)

    $( Composition of the zero operator and a Hilbert space operator. $)
    ho0co $p |- ( 0hop o. T ) = 0hop $=
      ( vx cv ch0o ccom cfv wceq chil wral wcel c0v ffvelrni ho0valt syl ho0f
      hoco 3eqtr4d rgen hocof hoeq mpbi ) CDZEAFZGZUCEGZHZCIJUDEHUGCIUCIKZUCAGZ
      EGZLUEUFUHUIIKUJLHIIUCABMUINOUCEAPBQUCNRSCUDEEAPBTPUAUB $.
      $( [9-Aug-2006] $) $( [9-Aug-2006] $)

    $( Composition of Hilbert space operator with unit identity. $)
    hoid1 $p |- ( T o. Iop ) = T $=
      ( vx chio ccom chil cpj cfv df-iop coeq2i cv wceq wral wcel helch pjf
      hoco pjch1t fveq2d eqtrd rgen hocof hoeq mpbi eqtr ) ADEAFGHZEZADUFAIJCKZ
      UGHZUHAHZLZCFMUGALUKCFUHFNZUIUHUFHZAHUJUHAUFBFOPZQULUMUHAUHRSTUACUGAAUFBU
      NUBBUCUDUE $.
      $( [18-Sep-2007] $) $( [15-Nov-2000] $)

    $( Composition of Hilbert space operator with unit identity. $)
    hoid1r $p |- ( Iop o. T ) = T $=
      ( vx chio ccom chil cpj cfv df-iop coeq1i cv wceq wral wcel helch pjf
      hoco ffvelrni pjch1t syl eqtrd rgen hocof hoeq mpbi eqtr ) DAEFGHZAEZADUG
      AIJCKZUHHZUIAHZLZCFMUHALULCFUIFNZUJUKUGHZUKUIUGAFOPZBQUMUKFNUNUKLFFUIABRU
      KSTUAUBCUHAUGAUOBUCBUDUEUF $.
      $( [17-Nov-2007] $) $( [15-Nov-2000] $)
  $}

  $( Sum of a Hilbert space operator with the zero operator. $)
  hoaddid1t $p |- ( T : H~ --> H~ -> ( T +op 0hop ) = T ) $=
    ( chil wf ch0o chos co wceq cif opreq1 id eqeq12d ho0f elimf hoaddid1
    dedth ) BBACZADEFZAGPADHZDEFZRGADARGZQSARARDEITJKRBBADLMNO $.
    $( [31-Jul-2007] $) $( [25-Jul-2006] $)

  $( Difference of a Hilbert space operator from itself. $)
  hodidt $p |- ( T : H~ --> H~ -> ( T -op T ) = 0hop ) $=
    ( chil wf chod co ch0o wceq cif id opreq12d eqeq1d ho0f elimf hodid dedth
    ) BBACZAADEZFGPAFHZRDEZFGAFARGZQSFTARARDTIZUAJKRBBAFLMNO $.
    $( [31-Jul-2007] $) $( [23-Jul-2006] $)

  $( A Hilbert space operator is not empty. $)
  hon0 $p |- ( T : H~ --> H~ -> -. T = (/) ) $=
    ( chil wf c0 wceq c0v wcel wn ax-hv0cl n0i ax-mp wfn wi ffn fndmu ex syl
    fn0 syl5ibr mtoi ) BBACZADEZBDEZFBGUCHIBFJKUAADLZUCUBUAABLZUDUCMBBANUEUDUCB
    DAOPQARST $.
    $( [23-May-2006] $) $( [24-Mar-2006] $)

  ${
    $d x S $.  $d x T $.
    hodseq.2 $e |- S : H~ --> H~ $.
    hodseq.3 $e |- T : H~ --> H~ $.
    $( Subtraction and addition of equal Hilbert space operators. $)
    hodseq $p |- ( S +op ( T -op S ) ) = T $=
      ( chod co wceq chos eqid hosubcl hods mpbi ) BAEFZMGAMHFBGMIBAMDCBADCJKL
      $.
      $( [22-Oct-2004] $) $( [27-Aug-2004] $)

    $( Subtraction of Hilbert space operators expressed in terms of difference
       from zero. $)
    ho0sub $p |- ( S -op T ) = ( S +op ( 0hop -op T ) ) $=
      ( chod co ch0o chos wceq ho0f hosubcl hoadd12 hodseq opreq2i hoaddid1
      3eqtr hoaddcl hods mpbir ) ABEFAGBEFZHFZIBUAHFZAIUBABTHFZHFAGHFABATDCGBJD
      KZLUCGAHBGDJMNACOPABUACDATCUDQRS $.
      $( [13-Aug-2006] $) $( [10-Mar-2006] $)

    $( Relationship between Hilbert operator addition and subtraction. $)
    honegsub $p |- ( S +op ( -u 1 .op T ) ) = ( S -op T ) $=
      ( vx cv c1 cneg chot co chos cfv chod wceq chil wral wcel cmv cva csm
      hvsubvalt ffvelrni sylanc cc wf ax1cn negcl homvalt mp3an12 opreq2d
      eqtr4d hodvalt homulclt mp2an hosvalt 3eqtr4rd rgen hoaddcl hosubcl hoeq
      mpbi ) EFZAGHZBIJZKJZLZVBABMJZLZNZEOPVEVGNVIEOVBOQZVBALZVBBLZRJZVKVBVDLZS
      JZVHVFVJVMVKVCVLTJZSJZVOVKOQVLOQVMVQNVJVKVLUAOOVBACUBOOVBBDUBUCVJVNVPVKSV
      CUDQZOOBUEZVJVNVPNGUFUGZDVCVBBUHUIUJUKOOAUEZVSVJVHVMNCDVBABULUIWAOOVDUEZV
      JVFVONCVRVSWBVTDVCBUMUNZVBAVDUOUIUPUQEVEVGAVDCWCURABCDUSUTVA $.
      $( [27-Aug-2006] $) $( [24-Aug-2006] $)

$(
    @( Distributive law for Hilbert space operators. @)
    hosdi @p |- ( A e. CC ->
                 ( A .op ( S +op T ) ) = ( ( A .op S ) +op ( A .op T ) ) ) @=
?@.

    @( Distributive law for Hilbert space operators. @)
    hoddi @p |- ( A e. CC ->
                 ( A .op ( S -op T ) ) = ( ( A .op S ) -op ( A .op T ) ) ) @=
?@.
$)
  $}

  $( Subtraction of Hilbert space operators expressed in terms of difference
     from zero. $)
  ho0subt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ ) ->
                ( S -op T ) = ( S +op ( 0hop -op T ) ) ) $=
    ( chil wf chod co ch0o chos wceq cif opreq1 eqeq12d opreq2 opreq2d ho0f
    elimf ho0sub dedth2h ) CCADZCCBDZABEFZAGBEFZHFZISAGJZBEFZUDUBHFZIUDTBGJZEFZ
    UDGUGEFZHFZIABGGAUDIUAUEUCUFAUDBEKAUDUBHKLBUGIZUEUHUFUJBUGUDEMUKUBUIUDHBUGG
    EMNLUDUGCCAGOPCCBGOPQR $.
    $( [16-Aug-2006] $) $( [25-Jul-2006] $)

  $( The zero operator subtracted from a Hilbert space operator. $)
  hosubid1t $p |- ( T : H~ --> H~ -> ( T -op 0hop ) = T ) $=
    ( chil wf ch0o chod co chos wceq ho0f ho0subt mpan2 hodid opreq2i a1i
    hoaddid1t 3eqtrd ) BBACZADEFZADDEFZGFZADGFZAQBBDCRTHIADJKTUAHQSDAGDILMNAOP
    $.
    $( [16-Aug-2006] $) $( [25-Jul-2006] $)

  $( Relationship between Hilbert space operator addition and subtraction. $)
  honegsubt $p |- ( ( T : H~ --> H~ /\ U : H~ --> H~ ) ->
                ( T +op ( -u 1 .op U ) ) = ( T -op U ) ) $=
    ( chil wf c1 cneg chot co chos chod wceq ch0o cif opreq1 eqeq12d opreq2
    opreq2d ho0f elimf honegsub dedth2h ) CCADZCCBDZAEFZBGHZIHZABJHZKUBALMZUEIH
    ZUHBJHZKUHUDUCBLMZGHZIHZUHUKJHZKABLLAUHKUFUIUGUJAUHUEINAUHBJNOBUKKZUIUMUJUN
    UOUEULUHIBUKUDGPQBUKUHJPOUHUKCCALRSCCBLRSTUA $.
    $( [2-Sep-2006] $) $( [24-Aug-2006] $)

  ${
    $d x A $.  $d x B $.  $d x T $.  $d x U $.
    $( An operator equals its scalar product with one. $)
    homulid2t $p |- ( T : H~ --> H~ -> ( 1 .op T ) = T ) $=
      ( vx chil wf cv c1 chot co cfv wceq wral wcel wa csm cc ax1cn homvalt
      mp3an1 ffvelrn ax-hvmulid syl eqtrd r19.21aiva wb homulclt mpan hoeqt
      mpancom mpbid ) CCADZBEZFAGHZIZUKAIZJZBCKZULAJZUJUOBCUJUKCLZMZUMFUNNHZUNF
      OLZUJURUMUTJPFUKAQRUSUNCLUTUNJCCUKASUNTUAUBUCCCULDZUJUPUQUDVAUJVBPFAUEUFB
      ULAUGUHUI $.
      $( [16-Aug-2006] $) $( [12-Aug-2006] $)

    $( Associative law for scalar product and composition of operators. $)
    homco1t $p |- ( ( A e. CC /\ T : H~ --> H~ /\ U : H~ --> H~ ) ->
                  ( ( A .op T ) o. U ) = ( A .op ( T o. U ) ) ) $=
      ( vx cc wcel chil wf w3a cv chot co ccom cfv wceq wral wa csm homvalt
      ffvelrn syl3an3 3expa exp43 3imp1 wi wfun fvco3 homulclt ffun syl
      syl3an1 3expia 3impa imp opreq2d 3adantl1 3eqtr4d fco syl3an2 3impb
      eqtr4d r19.21aiva wb hoeqt sylan sylan2 sylanc mpbid ) AEFZGGBHZGGCHZIZDJ
      ZABKLZCMZNZVMABCMZKLZNZOZDGPZVOVROZVLVTDGVLVMGFZQZVPAVMVQNZRLZVSWDVMCNZVN
      NZAWGBNZRLZVPWFVIVJVKWCWHWJOZVIVJVKWCWKVIVJVKWCQZWKVIVJWGGFWKWLAWGBSGGVMC
      TUAUBUCUDVLWCVPWHOZVIVJVKWCWMUEVIVJQZVKWCWMVNUFZVKWCWMWNGGVMVNCUGWNGGVNHZ
      WOABUHZGGVNUIUJUKULUMUNVJVKWCWFWJOVIVJVKQZWCQWEWIARVJVKWCWEWIOZBUFVKWCWSV
      JGGVMBCUGGGBUIUKUBUOUPUQVLWCVSWFOZVIVJVKWCWTUEVIWRWCWTVIGGVQHZWCWTWRAVMVQ
      SGGGBCURZUSULUTUNVAVBGGVOHZGGVRHZWAWBVCVLDVOVRVDVIVJVKXCWPVKXCWNGGGVNCURW
      QVEUMVIVJVKXDVIXAXDWRAVQUHXBVFUTVGVH $.
      $( [20-Aug-2006] $) $( [13-Aug-2006] $)

    $( Scalar product associative law for Hilbert space operators. $)
    homulasst $p |- ( ( A e. CC /\ B e. CC /\ T : H~ --> H~ ) ->
                  ( ( A x. B ) .op T ) = ( A .op ( B .op T ) ) ) $=
      ( vx cc wcel chil wf w3a cv cmul co chot cfv wceq wral wa csm
      ax-hvmulass ffvelrn syl3an3 3expa exp43 3imp1 wi homvalt axmulcl syl3an1
      3expia 3impa imp opreq2d 3adantl1 3eqtr4d homulclt syl3an2 3impb eqtr4d
      r19.21aiva wb hoeqt sylan sylan2 sylanc mpbid ) AEFZBEFZGGCHZIZDJZABKLZCM
      LZNZVJABCMLZMLZNZOZDGPZVLVOOZVIVQDGVIVJGFZQZVMAVJVNNZRLZVPWAVKVJCNZRLZABW
      DRLZRLZVMWCVFVGVHVTWEWGOZVFVGVHVTWHVFVGVHVTQZWHVFVGWDGFWHWIABWDSGGVJCTUAU
      BUCUDVIVTVMWEOZVFVGVHVTWJUEVFVGQZVHVTWJVKEFZVHVTWJWKVKVJCUFABUGZUHUIUJUKV
      GVHVTWCWGOZVFVGVHVTWNVGVHVTIWBWFARBVJCUFULUBUMUNVIVTVPWCOZVFVGVHVTWOUEVFV
      GVHQZVTWOVFGGVNHZVTWOWPAVJVNUFBCUOZUPUIUQUKURUSGGVLHZGGVOHZVRVSUTVIDVLVOV
      AVFVGVHWSWLVHWSWKVKCUOWMVBUJVFVGVHWTVFWQWTWPAVNUOWRVCUQVDVE $.
      $( [18-Aug-2006] $) $( [12-Aug-2006] $)

    $( Scalar product distributive law for Hilbert space operators. $)
    hoadddit $p |- ( ( A e. CC /\ T : H~ --> H~ /\ U : H~ --> H~ ) ->
                 ( A .op ( T +op U ) ) = ( ( A .op T ) +op ( A .op U ) ) ) $=
      ( vx cc wcel chil wf w3a cv chos co chot cfv wceq wral wa cva csm
      homvalt 3expa hoaddclt anim2i 3impb sylan hosvalt opreq2d 3adantl1
      ax-hvdistr1 3simp1 adantr ffvelrn 3ad2antl2 3ad2antl3 syl3anc 3adantl3
      3adantl2 opreq12d eqtr4d 3eqtrd homulclt anim12i 3impdi r19.21aiva wb
      hoeqt sylan2 syl2an sylanc mpbid ) AEFZGGBHZGGCHZIZDJZABCKLZMLZNZVOABMLZA
      CMLZKLZNZOZDGPZVQWAOZVNWCDGVNVOGFZQZVRVOVSNZVOVTNZRLZWBWGVRAVOVPNZSLZAVOB
      NZVOCNZRLZSLZWJVKGGVPHZQZWFVRWLOZVNVKWQWFWSAVOVPTUAVKVLVMWRVLVMQZWQVKBCUB
      ZUCUDUEVLVMWFWLWPOZVKVLVMWFXBVLVMWFIWKWOASVOBCUFUGUAUHWGWPAWMSLZAWNSLZRLZ
      WJVKWMGFZWNGFZWPXEOWGAWMWNUIVNVKWFVKVLVMUJUKVLVKWFXFVMGGVOBULUMVMVKWFXGVL
      GGVOCULUNUOWGWHXCWIXDRVKVLWFWHXCOZVMVKVLWFXHAVOBTUAUPVKVMWFWIXDOZVLVKVMWF
      XIAVOCTUAUQURUSUTGGVSHZGGVTHZQZWFWBWJOZVNXJXKWFXMVOVSVTUFUAVKVLVMXLVKVLQZ
      XJVKVMQZXKABVAZACVAZVBVCUEUSVDGGVQHZGGWAHZWDWEVEVNDVQWAVFVKVLVMXRVKWQXRWT
      AVPVAXAVGUDVKVLVMXSXJXKXSXNXOVSVTUBXPXQVHVCVIVJ $.
      $( [19-Aug-2006] $) $( [12-Aug-2006] $)

    $( Scalar product reverse distributive law for Hilbert space operators. $)
    hoadddirt $p |- ( ( A e. CC /\ B e. CC /\ T : H~ --> H~ ) ->
                 ( ( A + B ) .op T ) = ( ( A .op T ) +op ( B .op T ) ) ) $=
      ( vx cc wcel chil wf w3a cv caddc co chot cfv chos wceq wral wa cva csm
      ax-hvdistr2 ffvelrn syl3an3 3exp exp4a 3imp1 homvalt 3expa axaddcl
      anim1i 3impa sylan 3adantl2 3adantl1 opreq12d 3eqtr4d hosvalt homulclt
      anim12i 3impdir eqtr4d r19.21aiva wb hoeqt hoaddclt syl2an sylanc mpbid
      ) AEFZBEFZGGCHZIZDJZABKLZCMLZNZVMACMLZBCMLZOLZNZPZDGQZVOVSPZVLWADGVLVMGFZ
      RZVPVMVQNZVMVRNZSLZVTWEVNVMCNZTLZAWITLZBWITLZSLZVPWHVIVJVKWDWJWMPZVIVJVKW
      DWNVIVJVKWDRZWNVIVJWIGFWNWOABWIUAGGVMCUBUCUDUEUFVNEFZVKRZWDVPWJPZVLWPVKWD
      WRVNVMCUGUHVIVJVKWQVIVJRZWPVKABUIZUJUKULWEWFWKWGWLSVIVKWDWFWKPZVJVIVKWDXA
      AVMCUGUHUMVJVKWDWGWLPZVIVJVKWDXBBVMCUGUHUNUOUPGGVQHZGGVRHZRZWDVTWHPZVLXCX
      DWDXFVMVQVRUQUHVIVKVJXEVIVKRZXCVJVKRZXDACURZBCURZUSUTULVAVBGGVOHZGGVSHZWB
      WCVCVLDVOVSVDVIVJVKXKWPVKXKWSVNCURWTULUKVIVKVJXLXCXDXLXGXHVQVRVEXIXJVFUTV
      GVH $.
      $( [2-Sep-2006] $) $( [25-Aug-2006] $)
  $}

  $( Swap first and second factors in a nested operator scalar product. $)
  homul12t $p |- ( ( A e. CC /\ B e. CC /\ T : H~ --> H~ ) ->
                ( A .op ( B .op T ) ) = ( B .op ( A .op T ) ) ) $=
    ( cc wcel chil wf w3a cmul co chot wceq wa axmulcom opreq1d 3adant3
    homulasst 3com12 3eqtr3d ) ADEZBDEZFFCGZHABIJZCKJZBAIJZCKJZABCKJKJBACKJKJZT
    UAUDUFLUBTUAMUCUECKABNOPABCQUATUBUFUGLBACQRS $.
    $( [19-Aug-2006] $) $( [12-Aug-2006] $)

  $( Double negative of a Hilbert space operator. $)
  honegnegt $p |- ( T : H~ --> H~ -> ( -u 1 .op ( -u 1 .op T ) ) = T ) $=
    ( chil wf c1 cneg cmul co chot wceq ax1cn mul2neg mulid1 eqtr opreq1i a1i
    cc wcel negcl homulasst mp3an12 homulid2t 3eqtr3d ) BBACZDEZUDFGZAHGZDAHGZU
    DUDAHGHGZAUFUGIUCUEDAHUEDDFGDDDJJKDJLMNOUDPQZUIUCUFUHIDJRZUJUDUDASTAUAUB $.
    $( [2-Sep-2006] $) $( [24-Aug-2006] $)

  $( Relationship between operator subtraction and negative. $)
  hosubnegt $p |- ( ( T : H~ --> H~ /\ U : H~ --> H~ ) ->
                  ( T -op ( -u 1 .op U ) ) = ( T +op U ) ) $=
    ( chil wf wa c1 cneg chot co chos chod wceq honegsubt cc wcel ax1cn negcl
    homulclt mpan sylan2 honegnegt opreq2d adantl eqtr3d ) CCADZCCBDZEAFGZUGBHI
    ZHIZJIZAUHKIZABJIZUECCUHDZUJUKLUFAUHMUGNOUFUMFPQUGBRSTUFUJULLUEUFUIBAJBUAUB
    UCUD $.
    $( [2-Sep-2006] $) $( [25-Aug-2006] $)

  $( Scalar product distributive law for operator difference. $)
  hosubdit $p |- ( ( A e. CC /\ T : H~ --> H~ /\ U : H~ --> H~ ) ->
               ( A .op ( T -op U ) ) = ( ( A .op T ) -op ( A .op U ) ) ) $=
    ( cc wcel chil wf w3a c1 cneg chot co chos chod wceq hoadddit ax1cn negcl
    homulclt mpan syl3an3 homul12t mp3an2 3adant2 opreq2d eqtrd wa honegsubt
    3adant1 syl2an 3impdi 3eqtr3d ) ADEZFFBGZFFCGZHZABIJZCKLZMLZKLZABKLZUQACKLZ
    KLZMLZABCNLZKLZVAVBNLZUPUTVAAURKLZMLZVDUMUNFFURGZUTVIOUOABURPUQDEZUOVJIQRZU
    QCSTUAUPVHVCVAMUMUOVHVCOZUNUMVKUOVMVLAUQCUBUCUDUEUFUNUOUTVFOUMUNUOUGUSVEAKB
    CUHUEUIUMUNUOVDVGOZFFVAGFFVBGVNUMUNUGUMUOUGVAVBUHABSACSUJUKUL $.
    $( [19-Aug-2006] $) $( [12-Aug-2006] $)

  $( Distribution of negative over addition. $)
  honegdit $p |- ( ( T : H~ --> H~ /\ U : H~ --> H~ ) ->
          ( -u 1 .op ( T +op U ) ) = ( ( -u 1 .op T ) +op ( -u 1 .op U ) ) ) $=
    ( c1 cneg cc wcel chil wf chos co chot wceq ax1cn negcl hoadddit mp3an1 )
    CDZEFGGAHGGBHQABIJKJQAKJQBKJIJLCMNQABOP $.
    $( [2-Sep-2006] $) $( [24-Aug-2006] $)

  $( Distribution of negative over subtraction. $)
  honegsubdit $p |- ( ( T : H~ --> H~ /\ U : H~ --> H~ ) ->
                    ( -u 1 .op ( T -op U ) ) = ( ( -u 1 .op T ) +op U ) ) $=
    ( chil wf wa c1 cneg chot co chos chod wceq honegdit cc wcel ax1cn negcl
    homulclt mpan sylan2 honegsubt opreq2d honegnegt adantl 3eqtr3d ) CCADZCCBD
    ZEZFGZAUIBHIZJIZHIZUIAHIZUIUJHIZJIZUIABKIZHIUMBJIUFCCUJDZULUOLUGAUJMUINOUGU
    QFPQUIBRSTUHUKUPUIHABUAUBUHUNBUMJUGUNBLUFBUCUDUBUE $.
    $( [2-Sep-2006] $) $( [24-Aug-2006] $)

  $( Distribution of negative over subtraction. $)
  honegsubdi2t $p |- ( ( T : H~ --> H~ /\ U : H~ --> H~ ) ->
                     ( -u 1 .op ( T -op U ) ) = ( U -op T ) ) $=
    ( chil wf wa c1 cneg chod co chot chos honegsubdit wceq hoaddcomt cc wcel
    ax1cn negcl homulclt mpan sylan honegsubt ancoms 3eqtrd ) CCADZCCBDZEFGZABH
    IJIUGAJIZBKIZBUHKIZBAHIZABLCCUHDZUFUIUJMUEUHBNUGOPUEULFQRUGASTUAUFUEUJUKMBA
    UBUCUD $.
    $( [2-Sep-2006] $) $( [24-Aug-2006] $)

  $( Law for double subtraction of Hilbert space operators. $)
  hosubsub2t $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ /\ U : H~ --> H~ ) ->
                  ( S -op ( T -op U ) ) = ( S +op ( U -op T ) ) ) $=
    ( chil wf w3a c1 cneg chod co chot chos wceq wa honegsubt hosubclt sylan2
    3impb honegsubdi2t opreq2d 3adant1 eqtr3d ) DDAEZDDBEZDDCEZFAGHBCIJZKJZLJZA
    UFIJZACBIJZLJZUCUDUEUHUIMZUCDDUFEULUDUENZAUFOBCPQRUDUEUHUKMUCUMUGUJALBCSTUA
    UB $.
    $( [3-Sep-2006] $) $( [24-Aug-2006] $)

  $( Rearrangement of 4 terms in a mixed addition and subtraction of Hilbert
     space operators. $)
  hosub4t $p |- ( ( ( R : H~ --> H~ /\ S : H~ --> H~ ) /\
      ( T : H~ --> H~ /\ U : H~ --> H~ ) ) -> ( ( R +op S ) -op ( T +op U ) ) =
                ( ( R -op T ) +op ( S -op U ) ) ) $=
    ( chil wf wa chos co c1 cneg chot chod wceq honegdit adantl opreq2d
    hoadd4t cc wcel ax1cn negcl homulclt mpan anim12i sylan2 eqtrd honegsubt
    hoaddclt syl2an ad2ant2r ad2ant2l opreq12d 3eqtr3d ) EEAFZEEBFZGZEECFZEEDFZ
    GZGZABHIZJKZCDHIZLIZHIZAVCCLIZHIZBVCDLIZHIZHIZVBVDMIZACMIZBDMIZHIVAVFVBVGVI
    HIZHIZVKVAVEVOVBHUTVEVONUQCDOPQUQEEVGFZEEVIFZGVPVKNUTABVGVIRURVQUSVRVCSTZUR
    VQJUAUBZVCCUCUDVSUSVRVTVCDUCUDUEUFUGEEVBFEEVDFVFVLNUQUTVBVDUHABUICDUIUJVAVH
    VMVJVNHUOURVHVMNUPUSACUHUKUPUSVJVNNUOURBDUHULUMUN $.
    $( [3-Sep-2006] $) $( [24-Aug-2006] $)

  $( Rearrangement of 4 terms in a mixed addition and subtraction of Hilbert
     space operators. $)
  hosubadd4t $p |- ( ( ( R : H~ --> H~ /\ S : H~ --> H~ ) /\
      ( T : H~ --> H~ /\ U : H~ --> H~ ) ) -> ( ( R -op S ) -op ( T -op U ) ) =
                ( ( R +op U ) -op ( S +op T ) ) ) $=
    ( chil wf wa chod co chos wceq hosubsub2t 3expb hosubclt sylan hosub4t
    an42s eqtr4d ) EEAFZEEBFZGZEECFZEEDFZGZGABHIZCDHIHIZUEDCHIJIZADJIBCJIHIZEEU
    EFZUDUFUGKZUAUIUBUCUJUECDLMABNOSUCTUBUHUGKADBCPQR $.
    $( [6-Sep-2006] $) $( [24-Aug-2006] $)

  $( Associative-type law for addition and subtraction of Hilbert space
     operators. $)
  hoaddsubasst $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ /\ U : H~ --> H~ ) ->
                  ( ( S +op T ) -op U ) = ( S +op ( T -op U ) ) ) $=
    ( chil wf w3a chos co ch0o chod wceq hoaddasst ho0f hosubclt mpan syl3an3
    wa ho0subt hoaddclt sylan 3impa 3adant1 opreq2d 3eqtr4d ) DDAEZDDBEZDDCEZFZ
    ABGHZICJHZGHZABUJGHZGHZUICJHZABCJHZGHUEUFDDUJEZUKUMKUGABUJLDDIEUGUPMICNOPUE
    UFUGUNUKKZDDUIEUGUQUEUFQUICRABSTUAUHUOULAGUFUGUOULKUEBCRUBUCUD $.
    $( [25-Aug-2006] $) $( [25-Aug-2006] $)

  $( Law for operator addition and subtraction of Hilbert space operators. $)
  hoaddsubt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ /\ U : H~ --> H~ ) ->
                  ( ( S +op T ) -op U ) = ( ( S -op U ) +op T ) ) $=
    ( chil wf w3a chos co chod wceq wa hoaddcomt opreq1d 3adant3 hoaddsubasst
    3com12 wi ex hosubclt syl5 exp3a com12 3imp 3eqtrd ) DDAEZDDBEZDDCEZFABGHZC
    IHZBAGHZCIHZBACIHZGHZULBGHZUEUFUIUKJUGUEUFKUHUJCIABLMNUFUEUGUKUMJBACOPUEUFU
    GUMUNJZUFUEUGUOQUFUEUGUOUFDDULEZUOUEUGKUFUPUOBULLRACSTUAUBUCUD $.
    $( [9-Sep-2006] $) $( [25-Aug-2006] $)

  $( Law for double subtraction of Hilbert space operators. $)
  hosubsubt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ /\ U : H~ --> H~ ) ->
                  ( S -op ( T -op U ) ) = ( ( S -op T ) +op U ) ) $=
    ( chil wf w3a chod co chos hosubsub2t wceq hoaddsubasst hoaddsubt eqtr3d
    3com23 eqtrd ) DDAEZDDBEZDDCEZFABCGHGHACBGHIHZABGHCIHZABCJQSRTUAKQSRFACIHBG
    HTUAACBLACBMNOP $.
    $( [9-Sep-2006] $) $( [25-Aug-2006] $)

  $( Law for double subtraction of Hilbert space operators. $)
  hosubsub4t $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ /\ U : H~ --> H~ ) ->
                  ( ( S -op T ) -op U ) = ( S -op ( T +op U ) ) ) $=
    ( chil wf w3a c1 cneg chot co chod chos wceq hosubsubt cc wcel ax1cn negcl
    homulclt mpan syl3an3 hosubnegt 3adant1 opreq2d wa honegsubt hosubclt
    sylan 3impa 3eqtr3rd ) DDAEZDDBEZDDCEZFZABGHZCIJZKJZKJZABKJZUPLJZABCLJZKJUS
    CKJZUKULDDUPEZURUTMUMABUPNUOOPUMVCGQRUOCSTUAUNUQVAAKULUMUQVAMUKBCUBUCUDUKUL
    UMUTVBMZDDUSEUMVDUKULUEUSCUFABUGUHUIUJ $.
    $( [10-Sep-2006] $) $( [25-Aug-2006] $)

  $( Two times a Hilbert space operator. $)
  ho2timest $p |- ( T : H~ --> H~ -> ( 2 .op T ) = ( T +op T ) ) $=
    ( chil wf c2 chot co c1 chos caddc cc wcel wceq ax1cn hoadddirt mp3an12
    df-2 opreq1i syl5eq hoadddit mp3an1 anidms hoaddclt homulid2t syl 3eqtr2d
    ) BBACZDAEFZGAEFZUHHFZGAAHFZEFZUJUFGGIFZAEFZUIUGGJKZUNUFUMUILMMGGANODULAEPQ
    RUFUKUILZUNUFUFUOMGAASTUAUFBBUJCZUKUJLUFUPAAUBUAUJUCUDUE $.
    $( [10-Sep-2006] $) $( [26-Aug-2006] $)

  ${
    hoaddsubass.1 $e |- R : H~ --> H~ $.
    hoaddsubass.2 $e |- S : H~ --> H~ $.
    hoaddsubass.3 $e |- T : H~ --> H~ $.
    $( Associativity of sum and difference of Hilbert space operators. $)
    hoaddsubass $p |- ( ( R +op S ) -op T ) = ( R +op ( S -op T ) ) $=
      ( chil wf chos co chod wceq hoaddsubasst mp3an ) GGAHGGBHGGCHABIJCKJABCKJ
      IJLDEFABCMN $.
      $( [18-Nov-2004] $) $( [27-Aug-2004] $)

    $( Law for sum and difference of Hilbert space operators. $)
    hoaddsub $p |- ( ( R +op S ) -op T ) = ( ( R -op T ) +op S ) $=
      ( chos co chod hoaddcom opreq1i hoaddsubass hosubcl 3eqtr ) ABGHZCIHBAGHZ
      CIHBACIHZGHQBGHOPCIABDEJKBACEDFLBQEACDFMJN $.
      $( [18-Nov-2004] $) $( [27-Aug-2004] $)
  $}

  ${
    hosd1.2 $e |- T : H~ --> H~ $.
    hosd1.3 $e |- U : H~ --> H~ $.
    $( Hilbert space operator sum expressed in terms of difference. $)
    hosd1 $p |- ( T +op U ) = ( T -op ( 0hop -op U ) ) $=
      ( ch0o chod co chos wceq ho0f hosubcl hoaddcl hoaddcom hoaddsubass
      hoaddid1 opreq1i hoaddsub hodseq eqtr 3eqtr 3eqtr2 hods mpbir eqcomi ) AE
      BFGZFGZABHGZUFUGIUEUGHGZAIUHUGUEHGUGEHGZBFGZAUEUGEBJDKZABCDLZMUGEBULJDNUJ
      UGBFGABFGZBHGZAUIUGBFUGULOPABBCDDQUNBUMHGAUMBABCDKDMBADCRSTUAAUEUGCUKULUB
      UCUD $.
      $( [3-Aug-2007] $) $( [27-Aug-2004] $)

    $( Hilbert space operator sum expressed in terms of difference. $)
    hosd2 $p |- ( T +op U ) = ( T -op ( ( U -op U ) -op U ) ) $=
      ( chos co ch0o chod hosd1 hodid opreq1i opreq2i eqtr4 ) ABEFAGBHFZHFABBHF
      ZBHFZHFABCDIPNAHOGBHBDJKLM $.
      $( [18-Nov-2004] $) $( [27-Aug-2004] $)

    $( Hilbert space operator cancellation law. $)
    hopncan $p |- ( ( T +op U ) -op U ) = T $=
      ( chos co chod ch0o hoaddsubass hodid opreq2i hoaddid1 3eqtr ) ABEFBGFABB
      GFZEFAHEFAABBCDDINHAEBDJKACLM $.
      $( [25-Mar-2006] $) $( [10-Mar-2006] $)

    $( Hilbert space operator cancellation law. $)
    honpcan $p |- ( ( T -op U ) +op U ) = T $=
      ( chos co chod hoaddsub hopncan eqtr3 ) ABEFBGFABGFBEFAABBCDDHABCDIJ $.
      $( [28-Mar-2006] $) $( [11-Mar-2006] $)

    $( If the difference between two operators is zero, they are equal. $)
    hosubeq0 $p |- ( ( T -op U ) = 0hop <-> T = U ) $=
      ( chod co ch0o wceq c1 cneg chot chos honegsub eqeq1i opreq1 sylbir cc
      wcel chil wf ax1cn negcl homulclt mp2an hoadd23 hoaddass hodid eqtr
      opreq2i hoaddid1 3eqtr ho0f hoaddcom 3eqtr3g syl6eq impbi ) ABEFZGHZABHZU
      RAIJZBKFZLFZBLFZGBLFZABURVBGHVCVDHVBUQGABCDMNVBGBLOPVCABLFVALFABVALFZLFZA
      AVABCUTQRSSBTSSVATIUAUBDUTBUCUDZDUEABVACDVGUFVFAGLFAVEGALVEBBEFZGBBDDMBDU
      GZUHUIACUJUHUKVDBGLFBGBULDUMBDUJUHUNUSUQVHGABBEOVIUOUP $.
      $( [31-Jul-2007] $) $( [27-Jul-2006] $)
  $}

  ${
    honpncan.1 $e |- R : H~ --> H~ $.
    honpncan.2 $e |- S : H~ --> H~ $.
    honpncan.3 $e |- T : H~ --> H~ $.
    $( Hilbert space operator cancellation law. $)
    honpncan $p |- ( ( R -op S ) +op ( S -op T ) ) = ( R -op T ) $=
      ( chod co chos hosubcl hoaddsubass honpcan opreq1i eqtr3 ) ABGHZBIHZCGHOB
      CGHIHACGHOBCABDEJEFKPACGABDELMN $.
      $( [30-Apr-2006] $) $( [11-Mar-2006] $)
  $}

  ${
    $d x y T $.
    ho0.1 $e |- T : H~ --> H~ $.
    $( A condition implying that a Hilbert space operator is identically zero.
       Lemma 3.2(S8) of [Beran] p. 95. $)
    ho01 $p |- ( A. x e. H~ A. y e. H~ ( ( T ` x ) .ih y ) = 0 <->
               T = 0hop ) $=
      ( chil c0v csn cxp wceq cv cfv wral ch0o csp co cc0 wfn wa wb wf ffn
      ax-mp ax-hv0cl elisseti fconst eqfnfv mp2an eqid mpbiran c0h df0op2
      df-ch0 xpeq2 eqtr eqeq2i wcel ffvelrni hial0 syl fvconst2 eqeq2d bitr4d
      ralbiia 3bitr4r ) CEFGZHZIZAJZCKZVHVFKZIZAELZCMIVIBJNOPIBELZAELVGEEIZVLCE
      QZVFEQZVGVNVLRSEECTVODEECUAUBEVEVFTVPEFFEUCUDZUEEVEVFUAUBAEECVFUFUGEUHUIM
      VFCMEUJHZVFUKUJVEIVRVFIULUJVEEUMUBUNUOVMVKAEVHEUPZVMVIFIZVKVSVIEUPVMVTSEE
      VHCDUQBVIURUSVSVJFVIEFVHVQUTVAVBVCVD $.
      $( [31-Jul-2007] $) $( [28-Jan-2006] $)

    $( A condition implying that a Hilbert space operator is identically zero.
       Lemma 3.2(S10) of [Beran] p. 95. $)
    ho02 $p |- ( A. x e. H~ A. y e. H~ ( x .ih ( T ` y ) ) = 0 <->
               T = 0hop ) $=
      ( cv cfv csp co cc0 wceq chil wral ch0o ralcom wcel wb ffvelrni c0v
      hial02 hial0 bitr4d syl ralbiia ho01 3bitr ) AEZBEZCFZGHIJZBKLAKLUIAKLZBK
      LUHUFGHIJAKLZBKLCMJUIABKKNUJUKBKUGKOUHKOZUJUKPKKUGCDQULUJUHRJUKAUHSAUHTUA
      UBUCBACDUDUE $.
      $( [30-Apr-2008] $) $( [28-Jan-2006] $)
  $}

  ${
    $d x y z S $.  $d u v x y z T $.
    $( A condition implying that two Hilbert space operators are equal.
       Lemma 3.2(S9) of [Beran] p. 95. $)
    hoeq1t $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ ) -> ( A. x e. H~
          A. y e. H~ ( ( S ` x ) .ih y ) = ( ( T ` x ) .ih y ) <-> S = T ) ) $=
      ( chil wf wa cv cfv csp co wceq wral wcel wb hial2eqt ffvelrn syl2an
      anandirs ralbidva wfn eqfnfv eqid biantrur syl6bbr ffn bitr4d ) EECFZEEDF
      ZGZAHZCIZBHZJKUKDIZUMJKLBEMZAEMULUNLZAEMZCDLZUJUOUPAEUHUIUKENZUOUPOZULENU
      NENUTUHUSGUIUSGBULUNPEEUKCQEEUKDQRSTCEUAZDEUAZURUQOUHUIVAVBGUREELZUQGUQAE
      ECDUBVCUQEUCUDUEEECUFEEDUFRUG $.
      $( [21-Feb-2006] $) $( [15-Feb-2006] $)

    $( A condition implying that two Hilbert space operators are equal.
       Lemma 3.2(S11) of [Beran] p. 95. $)
    hoeq2t $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ ) -> ( A. x e. H~
          A. y e. H~ ( x .ih ( S ` y ) ) = ( x .ih ( T ` y ) ) <-> S = T ) ) $=
      ( chil wf wa cv cfv csp co wceq wral wb ralcom a1i wcel hial2eq2t
      hial2eqt bitr4d ffvelrn syl2an anandirs ralbidva hoeq1t 3bitrd ) EECFZEED
      FZGZAHZBHZCIZJKUJUKDIZJKLZBEMAEMZUNAEMZBEMZULUJJKUMUJJKLAEMZBEMCDLUOUQNUI
      UNABEEOPUIUPURBEUGUHUKEQZUPURNZULEQZUMEQZUTUGUSGUHUSGVAVBGUPULUMLURAULUMR
      AULUMSTEEUKCUAEEUKDUAUBUCUDBACDUEUF $.
      $( [26-May-2006] $) $( [15-Feb-2006] $)

    $( Every Hilbert space operator has at most one adjoint. $)
    adjmo $p |- E* u ( u : H~ --> H~ /\
           A. x e. H~ A. y e. H~ ( x .ih ( T ` y ) ) = ( ( u ` x ) .ih y ) ) $=
      ( vv chil cv wf cfv csp co wceq wral wa wmo wi wal hoeq1t biimpa
      r19.26-2 eqtr2t r19.20si sylbir sylan2 an4s gen2 feq1 fveq1 opreq1d
      eqeq2d 2ralbidv anbi12d mo4 mpbir ) FFCGZHZAGZBGZDIJKZUQUOIZURJKZLZBFMAFM
      ZNZCOVDFFEGZHZUSUQVEIZURJKZLZBFMAFMZNZNUOVELZPZEQCQVMCEUPVFVCVJVLUPVFNZVA
      VHLZBFMZAFMZVLVCVJNZVNVQVLABUOVERSVRVBVINZBFMZAFMVQVBVIABFFTVTVPAFVSVOBFU
      SVAVHUAUBUBUCUDUEUFVDVKCEVLUPVFVCVJFFUOVEUGVLVBVIABFFVLVAVHUSVLUTVGURJUQU
      OVEUHUIUJUKULUMUN $.
      $( [21-Feb-2006] $) $( [18-Feb-2006] $)

    $( Symmetry property of an adjoint. $)
    adjsymt $p |- ( ( S : H~ --> H~ /\ T : H~ --> H~ ) ->
          ( A. x e. H~ A. y e. H~ ( x .ih ( S ` y ) ) = ( ( T ` x ) .ih y ) <->
         A. x e. H~ A. y e. H~ ( x .ih ( T ` y ) ) = ( ( S ` x ) .ih y ) ) ) $=
      ( vz chil wf wa cv cfv csp co wceq wral wcel wb ccj ax-his1 ffvelrn
      sylan adantrl sylan2 adantll eqeq12d ancoms cc cj11t hiclt sylanc bitr2d
      an4s anassrs eqcom syl6bb ralbidva ralcom fveq2 opreq2d opreq2 ralbidv
      cbvralv bitr4 opreq1 opreq1d ralbii 3bitr syl6rbbr ) FFCGZFFDGZHZAIZBIZDJ
      ZKLZVKCJZVLKLZMZBFNZAFNVLVOKLZVMVKKLZMZBFNZAFNZVKVLCJZKLZVKDJZVLKLZMZBFNA
      FNZVJVRWBAFVJVKFOZHZVQWABFWKVLFOZHVQVTVSMZWAVJWJWLVQWMPZVHWJVIWLWNVHWJHZV
      IWLHZHZWMVNQJZVPQJZMZVQWPWOWMWTPWPWOHVTWRVSWSWPWJVTWRMZVHVMFOZWJXAWPVMVKR
      FFVLDSZTUAWLWOVSWSMZVIWLVOFOZXDWOVLVORFFVKCSZUBUCUDUEVNUFOZVPUFOZWTVQPWQV
      NVPUGWJWPXGVHWJXBXGWPVKVMUHXCUBUCWOWLXHVIXEWLXHWOVOVLUHXFTUAUIUJUKULVTVSU
      MUNUOUOWIVKEIZCJZKLZWFXIKLZMZAFNZEFNZVLXJKLZVMXIKLZMZBFNZEFNWCWIWHAFNZBFN
      XOWHABFFUPXNXTEBFXIVLMZXMWHAFYAXKWEXLWGYAXJWDVKKXIVLCUQURXIVLWFKUSUDUTVAV
      BXNXSEFXMXRABFVKVLMZXKXPXLXQVKVLXJKVCYBWFVMXIKVKVLDUQVDUDVAVEXSWBEAFXIVKM
      ZXRWABFYCXPVSXQVTYCXJVOVLKXIVKCUQURXIVKVMKUSUDUTVAVFVG $.
      $( [25-Feb-2006] $) $( [18-Feb-2006] $)
  $}

  ${
    eigre.1 $e |- A e. H~ $.
    eigre.2 $e |- B e. CC $.
    $( A necessary and sufficient condition (that holds when ` T ` is a
       Hermitian operator) for an eigenvalue ` B ` to be real.  Generalization
       of Equation 1.30 of [Hughes] p. 49. $)
    eigre $p |- ( ( ( T ` A ) = ( B .h A ) /\ A =/= 0h ) ->
                 ( ( A .ih ( T ` A ) ) = ( ( T ` A ) .ih A ) <-> B e. RR ) ) $=
      ( cfv csm co wceq c0v wne wa csp ccj cr wcel cmul opreq2 cc chil his5t
      mp3an syl6eq opreq1 ax-his3 eqeq12d cc0 clt wbr wb ax-his4 mpan hiidrclt
      ax-mp gt0ne0 w3a cjcl hicl 3pm3.2i mulcan2t 3syl sylan9bb cjreb syl6bbr
      ) ACFZBAGHZIZAJKZLAVEMHZVEAMHZIZBNFZBIZBOPVGVKVLAAMHZQHZBVNQHZIZVHVMVGVIV
      OVJVPVGVIAVFMHZVOVEVFAMRBSPZATPZVTVRVOIEDDBAAUAUBUCVGVJVFAMHZVPVEVFAMUDVS
      VTVTWAVPIEDDBAAUEUBUCUFVHUGVNUHUIZVNUGKZVQVMUJZVTVHWBDAUKULVNVTVNOPDAUMUN
      UOVLSPZVSVNSPZUPWCWDWEVSWFBEUQEAADDURUSVLBVNUTULVAVBBEVCVD $.
      $( [18-May-2006] $) $( [21-Jan-2005] $)
  $}

  $( A necessary and sufficient condition (that holds when ` T ` is a Hermitian
     operator) for an eigenvalue ` B ` to be real.  Generalization of Equation
     1.30 of [Hughes] p. 49. $)
  eigret $p |- ( ( ( A e. H~ /\ B e. CC ) /\ ( ( T ` A ) = ( B .h A ) /\ A =/=
       0h ) ) -> ( ( A .ih ( T ` A ) ) = ( ( T ` A ) .ih A ) <-> B e. RR ) ) $=
    ( chil wcel cc wa cfv csm co wceq c0v wne csp cr wb wi cif cc0 fveq2
    opreq2 eqeq12d neeq1 anbi12d id opreq12d bibi1d imbi12d opreq1 eqeq2d
    anbi1d eleq1 bibi2d ax-hv0cl elimel 0cn eigre dedth2h imp ) ADEZBFEZGACHZBA
    IJZKZALMZGZAVBNJZVBANJZKZBOEZPZUTVAVFVKQUTALRZCHZBVLIJZKZVLLMZGZVLVMNJZVMVL
    NJZKZVJPZQVMVABSRZVLIJZKZVPGZVTWBOEZPZQABLSAVLKZVFVQVKWAWHVDVOVEVPWHVBVMVCV
    NAVLCTZAVLBIUAUBAVLLUCUDWHVIVTVJWHVGVRVHVSWHAVLVBVMNWHUEZWIUFWHVBVMAVLNWIWJ
    UFUBUGUHBWBKZVQWEWAWGWKVOWDVPWKVNWCVMBWBVLIUIUJUKWKVJWFVTBWBOULUMUHVLWBCALD
    UNUOBSFUPUOUQURUS $.
    $( [26-May-2006] $) $( [19-Mar-2006] $)

  ${
    eigpos.1 $e |- A e. H~ $.
    eigpos.2 $e |- B e. CC $.
    $( A sufficient condition (first conjunct pair, that holds when ` T ` is a
       positive operator) for an eigenvalue ` B ` (second conjunct pair) to be
       nonnegative.  Remark (ii) in [Hughes] p. 137. $)
    eigpos $p |- ( ( ( ( A .ih ( T ` A ) ) e. RR /\ 0 <_ ( A .ih ( T ` A ) ) )
      /\ ( ( T ` A ) = ( B .h A ) /\ A =/= 0h ) ) -> ( B e. RR /\ 0 <_ B ) ) $=
      ( cfv csp co cr wcel cc0 cle wbr wa csm wceq c0v wne wb chil hvmulcl
      hiret mp2an a1i opreq2 eleq1d opreq1 eqeq12d 3bitr4d adantr eigre bitrd
      biimpac adantlr clt cmul hiidrclt ax-mp prodge02t mpanl2 ax-his4 mpan
      ad2antll simplr ad2antrl ccj cjreb sylib opreq1d cc his5t mp3an syl5eq
      eqtrd breqtrd jca sylanc ) AACFZGHZIJZKVSLMZNZVRBAOHZPZAQRZNZNZBIJZKBLMZV
      TWFWHWAWFVTWHWFVTVSVRAGHZPZWHWDVTWKSWEWDAWCGHZIJZWLWCAGHZPZVTWKWMWOSZWDAT
      JZWCTJWPDBAEDUAAWCUBUCUDWDVSWLIVRWCAGUEZUFWDVSWLWJWNWRVRWCAGUGUHUIUJABCDE
      UKULUMUNZWHKAAGHZUOMZKBWTUPHZLMZNZWIWGWHWTIJZXDWIWQXEDAUQURBWTUSUTWSWGXAX
      CWEXAWBWDWQWEXADAVAVBVCWGKVSXBLVTWAWFVDWGVSWLXBWDVSWLPWBWEWRVEWGBVFFZWTUP
      HZXBWLWGXFBWTUPWGWHXFBPWSBEVGVHVIBVJJWQWQWLXGPEDDBAAVKVLVMVNVOVPVQVP $.
      $( [13-Oct-2006] $) $( [2-Jul-2005] $)
  $}

  ${
    eigorth.1 $e |- A e. H~ $.
    eigorth.2 $e |- B e. H~ $.
    eigorth.3 $e |- C e. CC $.
    eigorth.4 $e |- D e. CC $.
    $( A necessary and sufficient condition (that holds when ` T ` is a
       Hermitian operator) for two eigenvectors ` A ` and ` B ` to be
       orthogonal.  Generalization of Equation 1.31 of [Hughes] p. 49. $)
    eigorth $p |- ( ( ( ( T ` A ) = ( C .h A ) /\ ( T ` B ) = ( D .h B ) )
                     /\ -. C = ( * ` D ) ) ->
         ( ( A .ih ( T ` B ) ) = ( ( T ` A ) .ih B ) <-> ( A .ih B ) = 0 ) ) $=
      ( cfv csm co wceq wa csp ccj cmul wn cc0 opreq2 cc wcel chil his5t mp3an
      syl6eq opreq1 ax-his3 eqeqan12rd wb wi cjcl hicl w3a wne mulcan2t df-ne
      sylan2br ex eqcom syl6bb biimpcd con1d com12 mul01 eqtr4 eqtr4d impbid1
      sylan9bb ) AEJZCAKLZMZBEJZDBKLZMZNAVMOLZVJBOLZMDPJZABOLZQLZCVSQLZMZCVRMZR
      ZVSSMZVOVLVPVTVQWAVOVPAVNOLZVTVMVNAOTDUAUBAUCUBZBUCUBZWFVTMIFGDABUDUEUFVL
      VQVKBOLZWAVJVKBOUGCUAUBZWGWHWIWAMHFGCABUHUEUFUIWDWBWEWBWDWEWBWEWCWERZWBWC
      WKWBVRCMZWCVRUAUBZWJVSUAUBZWKWBWLUJZUKDIULZHABFGUMWMWJWNUNZWKWOWQVSSUOWOW
      KVRCVSUPVSSUQURUSUEVRCUTVAVBVCVDWEVTVRSQLZWAVSSVRQTWEWACSQLZWRVSSCQTWSSWR
      CHVEVRWPVEVFUFVGVHVI $.
      $( [30-Jan-2005] $) $( [23-Jan-2005] $)
  $}

  $( A necessary and sufficient condition (that holds when ` T ` is a
     Hermitian operator) for two eigenvectors ` A ` and ` B ` to be
     orthogonal.  Generalization of Equation 1.31 of [Hughes] p. 49. $)
  eigortht $p |- ( ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. CC /\ D e. CC ) ) /\
                 ( ( ( T ` A ) = ( C .h A ) /\ ( T ` B ) = ( D .h B ) )
                   /\ -. C = ( * ` D ) ) ) ->
         ( ( A .ih ( T ` B ) ) = ( ( T ` A ) .ih B ) <-> ( A .ih B ) = 0 ) ) $=
    ( chil wcel wa cc cfv csm co wceq ccj wn csp cc0 wb wi c0v cif fveq2
    opreq2 eqeq12d anbi1d opreq1 opreq1d eqeq1d bibi12d imbi12d anbi2d opreq2d
    eqeq2d eqeq1 negbid anbi12d imbi1d ax-hv0cl elimel 0cn eigorth dedth4h imp
    ) AFGZBFGZHCIGZDIGZHHAEJZCAKLZMZBEJZDBKLZMZHZCDNJZMZOZHZAVKPLZVHBPLZMZABPLZ
    QMZRZVDVEVFVGVRWDSABCDTTVDATUAZEJZCWEKLZMZVMHZVQHZWEVKPLZWFBPLZMZWEBPLZQMZR
    ZSWHVEBTUAZEJZDWQKLZMZHZVQHZWEWRPLZWFWQPLZMZWEWQPLZQMZRZSWFVFCQUAZWEKLZMZWT
    HZXIVOMZOZHZXHSXKWRVGDQUAZWQKLZMZHZXIXPNJZMZOZHZXHSQQAWEMZVRWJWDWPYDVNWIVQY
    DVJWHVMYDVHWFVIWGAWEEUBZAWECKUCUDUEUEYDWAWMWCWOYDVSWKVTWLAWEVKPUFYDVHWFBPYE
    UGUDYDWBWNQAWEBPUFUHUIUJBWQMZWJXBWPXHYFWIXAVQYFVMWTWHYFVKWRVLWSBWQEUBZBWQDK
    UCUDUKUEYFWMXEWOXGYFWKXCWLXDYFVKWRWEPYGULBWQWFPUCUDYFWNXFQBWQWEPUCUHUIUJCXI
    MZXBXOXHYHXAXLVQXNYHWHXKWTYHWGXJWFCXIWEKUFUMUEYHVPXMCXIVOUNUOUPUQDXPMZXOYCX
    HYIXLXSXNYBYIWTXRXKYIWSXQWRDXPWQKUFUMUKYIXMYAYIVOXTXIDXPNUBUMUOUPUQWEWQXIXP
    EATFURUSBTFURUSCQIUTUSDQIUTUSVAVBVC $.
    $( [23-May-2006] $) $( [23-Mar-2006] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
       Linear, continuous, bounded, Hermitian, unitary operators and norms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t u v w x y z $.
    $( Define the norm of a Hilbert space operator. $)
    df-nmop $a |- normop = { <. t , y >. | ( t : H~ --> H~ /\ y = sup (
       { x | E. z e. H~ ( ( normh ` z ) <_ 1 /\ x = ( normh ` ( t ` z ) ) ) } ,
              RR* , < ) ) } $.

    $( Define the set of continuous operators on Hilbert space.  For every
       "epsilon" ( ` y ` ) there is an "delta" ( ` z ` ) such that... $)
    df-cnop $a |- ConOp = { t | ( t :  H~ --> H~ /\ A. x e. H~ A. y e. RR (
      0 < y -> E. z e. RR ( 0 < z /\ A. w e. H~ ( ( normh ` ( w -h x ) ) < z ->
      ( normh ` ( ( t ` w ) -h ( t ` x ) ) ) < y ) ) ) ) } $.

    $( Define the set of linear operators on Hilbert space.  (See ~ df-hosum
       for definition of operator.) $)
    df-lnop $a |- LinOp = { t | ( t : H~ --> H~ /\
           A. x e. CC A. y e. H~ A. z e. H~
       ( t ` ( ( x .h y ) +h z ) ) = ( ( x .h ( t ` y ) ) +h ( t ` z ) ) ) } $.

    $( Define the set of bounded linear Hilbert space operators.  (See
       ~ df-hosum for definition of operator.) $)
    df-bdop $a |- BndLinOp = ( LinOp i^i { t | ( t : H~ --> H~ /\
                   ( normop ` t ) < +oo ) } ) $.

    $( Define the set of unitary operators on Hilbert space. $)
    df-unop $a |- UniOp = { t | ( t : H~ -onto-> H~ /\
         A. x e. H~ A. y e. H~ ( ( t ` x ) .ih ( t ` y ) ) = ( x .ih y ) ) } $.

    $( Define the set of Hermitian operators on Hilbert space.  Some books
       call these "symmetric operators" and others call them "self-adjoint
       operators," sometimes with slightly different technical meanings. $)
    df-hmop $a |- HrmOp = { t | ( t : H~ --> H~ /\ A. x e. H~ A. y e. H~
                   ( x .ih ( t ` y ) ) = ( ( t ` x ) .ih y ) ) } $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Linear and continuous functionals and norms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define the norm of a Hilbert space functional. $)
    df-nmfn $a |- normfn = { <. t , y >. | ( t : H~ --> CC /\ y = sup (
         { x | E. z e. H~ ( ( normh ` z ) <_ 1 /\ x = ( abs ` ( t ` z ) ) ) } ,
              RR* , < ) ) } $.

    $( Define the null space of a Hilbert space functional. $)
    df-nlfn $a |- null = { <. t , y >. | ( t : H~ --> CC /\ y =
                 { x e. H~ | ( t ` x ) = 0 } ) } $.

    $( Define the set of continuous functionals on Hilbert space.  For every
       "epsilon" ( ` y ` ) there is an "delta" ( ` z ` ) such that... $)
    df-cnfn $a |- ConFn = { t | ( t :  H~ --> CC /\ A. x e. H~ A. y e. RR (
      0 < y -> E. z e. RR ( 0 < z /\ A. w e. H~ ( ( normh ` ( w -h x ) ) < z ->
      ( abs ` ( ( t ` w ) - ( t ` x ) ) ) < y ) ) ) ) } $.

    $( Define the set of linear functionals on Hilbert space. $)
    df-lnfn $a |- LinFn = { t | ( t : H~ --> CC /\
           A. x e. CC A. y e. H~ A. z e. H~
       ( t ` ( ( x .h y ) +h z ) ) = ( ( x x. ( t ` y ) ) + ( t ` z ) ) ) } $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Adjoint
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define the adjoint of a Hilbert space operator (if it exists).  The
       domain of ` adjh ` is the set of all adjoint operators.  Definition of
       adjoint in [Kalmbach2] p. 8.  Unlike Kalmbach (and most authors), we do
       not demand that the operator be linear, but instead show (in
       ~ adjbdlnt ) that the adjoint exists for a bounded linear operator. $)
    df-adjh $a |- adjh = { <. t , u >. | ( t : H~ --> H~ /\ u : H~ --> H~ /\
         A. x e. H~ A. y e. H~ ( ( t ` x ) .ih y ) = ( x .ih ( u ` y ) ) ) } $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Dirac bra-ket notation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define the bra of a vector used by Dirac notation.  Based on definition
       of bra in [Prugovecki] p. 186.  In Dirac bra-ket notation,
       ` <. A | B >. ` is a complex number equal to the inner product
       ` ( B .ih A ) ` . But physicists like to talk about the individual
       components ` <. A | ` and ` | B >. ` , called bra and ket respectively.
       In order for their properties to make sense formally, we define the ket
       ` | B >. ` as the vector ` B ` itself, and the bra ` <. A | ` as a
       functional from ` H~ ` to ` CC ` .  We represent the Dirac notation
       ` <. A | B >. ` by ` ( ( bra `` A ) `` B ) ` ; see ~ bravalvalt .  The
       reversal of the inner product arguments not only makes the bra-ket
       behavior consistent with physics literature (see comments under
       ~ ax-his3 ) but is also required in order for the associative law
       ~ kbass2t to work.

       Our definition of bra and the associated outer product ~ df-kb differs
       from, but is equivalent to, a common approach in the literature that
       makes use of mappings to a dual space.  Our approach eliminates the need
       to have a parallel development of this dual space and instead keeps
       everything in Hilbert space.

       _For an extensive discussion about how our notation maps to the bra-ket
       notation in physics textbooks, see
       ~ http://us.metamath.org/mpegif/mmnotes.txt , under the
       17-May-2006 entry_. $)
    df-bra $a |- bra = { <. x , t >. | ( x e. H~ /\
                    t = { <. y , z >. | ( y e. H~ /\ z = ( y .ih x ) ) } ) } $.

    $( Define a commuted bra and ket juxtaposition used by Dirac notation.
       In Dirac notation, ` | A >. ` ` <. B | ` is an operator known as the
       outer product of ` A ` and ` B ` , which we represent by
       ` ( A ketbra B ) ` .  Based on Equation 8.1 of [Prugovecki] p. 376.
       This definition, combined with definition ~ df-bra , allows any legal
       juxtaposition of bras and kets to make sense formally and also to obey
       the associative law when mapped back to Dirac notation. $)
    df-kb $a |- ketbra = { <. <. x , y >. , t >. | ( ( x e. H~ /\ y e. H~ )
        /\ t = { <. w , v >. | ( w e. H~ /\ v = ( ( w .ih y ) .h x ) ) } ) } $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Positive operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define positive operator ordering.  Definition VI.1 of [Retherford]
       p. 49.  Note that ` ( H~ X. 0H ) <_op T ` means that ` T ` is a
       positive operator. $)
    df-leop $a |- <_op = { <. t , u >. | ( ( u -op t ) e. HrmOp /\
               A. x e. H~ 0 <_ ( ( ( u -op t ) ` x ) .ih x ) ) } $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Eigenvectors, eigenvalues, spectrum
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Define the eigenvector function.  Theorem ~ eleigvecclt shows that
       ` eigvec `` T ` , the set of eigenvectors of Hilbert space operator
       ` T ` , are Hilbert space vectors. $)
    df-eigvec $a |- eigvec = { <. t , y >. | ( t : H~ --> H~ /\ y =
         { x e. H~ | ( x =/= 0h /\ E. z e. CC ( t ` x ) = ( z .h x ) ) } ) } $.

    $( Define the eigenvalue function.  The range of ` eigval `` T ` is the set
       of eigenvalues of Hilbert space operator ` T ` . Theorem ~ eigvalclt
       shows that ` ( eigval `` T ) `` A ` , the eigenvalue associated with
       eigenvector ` A ` , is a complex number. $)
    df-eigval $a |- eigval = { <. t , y >. | ( t : H~ --> H~ /\ y =
                   { <. x , z >. | ( x e. ( eigvec ` t ) /\
                 z = ( ( ( t ` x ) .ih x ) / ( ( normh ` x ) ^ 2 ) ) ) } ) } $.

    $( Define the spectrum of an operator.  Definition of spectrum in [Halmos]
       p. 50. $)
    df-spec $a |- Lambda = { <. t , y >. | ( t : H~ --> H~ /\
     y = { x e. CC | -. ( t -op ( x .op ( I |` H~ ) ) ) : H~ -1-1-> H~ } ) } $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Theorems about operators and functionals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d t u v w x y z T $.
    $( Value of the norm of a Hilbert space operator. $)
    nmopvalt $p |- ( T : H~ --> H~ -> ( normop ` T ) = sup ( { x | E. y e. H~
         ( ( normh ` y ) <_ 1 /\ x = ( normh ` ( T ` y ) ) ) } , RR* , < ) ) $=
      ( vt vz cv cno cfv c1 cle wbr wceq wa chil wrex cab cxr clt csup cnop
      xrltso supex ax-hilex fveq1 fveq2d eqeq2d anbi2d rexbidv abbidv supeq1
      syl df-nmop fvopabf4 ) DECBFZGHIJKZAFZUNDFZHZGHZLZMZBNOZAPZQRSZUOUPUNCHZG
      HZLZMZBNOZAPZQRSZNNTQVJRUAUBUCUCUQCLZVCVJLVDVKLVLVBVIAVLVAVHBNVLUTVGUOVLU
      SVFUPVLURVEGUNUQCUDUEUFUGUHUIQVCVJRUJUKAEBDULUM $.
      $( [19-Feb-2006] $) $( [18-Jan-2006] $)

    $( Property defining a continuous Hilbert space operator. $)
    elcnopt $p |- ( T e. ConOp <-> ( T :  H~ --> H~ /\ A. x e. H~ A. y e. RR (
      0 < y -> E. z e. RR ( 0 < z /\ A. w e. H~ ( ( normh ` ( w -h x ) ) < z ->
      ( normh ` ( ( T ` w ) -h ( T ` x ) ) ) < y ) ) ) ) ) $=
      ( vt cco wcel cvv chil wf cc0 cv clt wbr cmv co cno cfv wi wral wa cr
      wrex elisset ax-hilex fex mpan2 adantr wceq feq1 fveq1 opreq12d fveq2d
      breq1d imbi2d ralbidv anbi2d rexbidv 2ralbidv anbi12d df-cnop elab2g
      pm5.21nii ) EGHEIHZJJEKZLBMZNOZLCMZNOZDMZAMZPQRSVINOZVKESZVLESZPQZRSZVGNO
      ZTZDJUAZUBZCUCUDZTZBUCUAAJUAZUBZEGUEVFVEWDVFJIHVEUFJJIEUGUHUIJJFMZKZVHVJV
      MVKWFSZVLWFSZPQZRSZVGNOZTZDJUAZUBZCUCUDZTZBUCUAAJUAZUBWEFEGIWFEUJZWGVFWRW
      DJJWFEUKWSWQWCABJUCWSWPWBVHWSWOWACUCWSWNVTVJWSWMVSDJWSWLVRVMWSWKVQVGNWSWJ
      VPRWSWHVNWIVOPVKWFEULVLWFEULUMUNUOUPUQURUSUPUTVAABCDFVBVCVD $.
      $( [20-Feb-2006] $) $( [28-Jan-2006] $)

    $( Property defining a linear Hilbert space operator. $)
    ellnopt $p |- ( T e. LinOp <-> ( T : H~ --> H~ /\
        A. x e. CC A. y e. H~ A. z e. H~
       ( T ` ( ( x .h y ) +h z ) ) = ( ( x .h ( T ` y ) ) +h ( T ` z ) ) ) ) $=
      ( vt clo wcel cvv chil wf cv csm co cva cfv wceq wral cc wa elisset
      ax-hilex fex mpan2 adantr feq1 fveq1 opreq2d opreq12d eqeq12d ralbidv
      2ralbidv anbi12d df-lnop elab2g pm5.21nii ) DFGDHGZIIDJZAKZBKZLMCKZNMZDOZ
      URUSDOZLMZUTDOZNMZPZCIQZBIQARQZSZDFTUQUPVIUQIHGUPUAIIHDUBUCUDIIEKZJZVAVKO
      ZURUSVKOZLMZUTVKOZNMZPZCIQZBIQARQZSVJEDFHVKDPZVLUQVTVIIIVKDUEWAVSVHABRIWA
      VRVGCIWAVMVBVQVFVAVKDUFWAVOVDVPVENWAVNVCURLUSVKDUFUGUTVKDUFUHUIUJUKULABCE
      UMUNUO $.
      $( [25-Feb-2006] $) $( [18-Jan-2006] $)

    $( A linear Hilbert space operator is a Hilbert space operator. $)
    lnopft $p |- ( T e. LinOp -> T : H~ --> H~ ) $=
      ( vx vy vz clo wcel chil wf cv csm co cva cfv wceq wral cc ellnopt
      pm3.26bi ) AEFGGAHBIZCIZJKDIZLKAMSTAMJKUAAMLKNDGOCGOBPOBCDAQR $.
      $( [25-Feb-2006] $) $( [18-Jan-2006] $)

    $( Alternate definition of the set of bounded linear Hilbert space
       operators. $)
    dfbdop2 $p |- BndLinOp = { t e. LinOp | ( normop ` t ) < +oo } $=
      ( clo chil cv wf cnop cfv cpnf clt wbr wa cab cin crab cbo incom dfrab2
      eqtr4 df-bdop wcel lnopft biantrurd rabbii 3eqtr4 ) BCCADZEZUEFGHIJZKZALZ
      MZUHABNZOUGABNUJUIBMUKBUIPUHABQRASUGUHABUEBTUFUGUEUAUBUCUD $.
      $( [20-Nov-2007] $) $( [19-Nov-2007] $)

    $( Property defining a bounded linear Hilbert space operator. $)
    elbdopt $p |- ( T e. BndLinOp <->
                  ( T e. LinOp /\ ( normop ` T ) < +oo ) ) $=
      ( vt cv cnop cfv cpnf clt wbr clo cbo wceq fveq2 breq1d dfbdop2 elrab2 )
      BCZDEZFGHADEZFGHBAIJPAKQRFGPADLMBNO $.
      $( [25-Feb-2006] $) $( [18-Jan-2006] $)

    $( A bounded linear Hilbert space operator is a linear operator. $)
    bdoplnt $p |- ( T e. BndLinOp -> T e. LinOp ) $=
      ( cbo wcel clo cnop cfv cpnf clt wbr elbdopt pm3.26bi ) ABCADCAEFGHIAJK
      $.
      $( [25-Feb-2006] $) $( [18-Feb-2006] $)

    $( A bounded linear Hilbert space operator is a Hilbert space operator. $)
    bdopft $p |- ( T e. BndLinOp -> T : H~ --> H~ ) $=
      ( cbo wcel clo chil wf bdoplnt lnopft syl ) ABCADCEEAFAGAHI $.
      $( [25-Feb-2006] $) $( [2-Feb-2006] $)

    $( The set in the supremum of the operator norm definition ~ df-nmop is a
       set of reals. $)
    nmopsetretALT $p |- ( T : H~ --> H~ -> { x | E. y e. H~
           ( ( normh ` y ) <_ 1 /\ x = ( normh ` ( T ` y ) ) ) } (_ RR ) $=
      ( chil wf cv cno cfv c1 cle wbr wceq wa wrex cr wcel eleq1 ffvelrn
      normclt syl syl5bir impcom adantrl exp31 r19.23adv abssdv ) DDCEZBFZGHIJK
      ZAFZUHCHZGHZLZMZBDNAOUGUNUJOPZBDUGUHDPZUNUOUGUPMZUMUOUIUMUQUOUMUOULOPZUQU
      JULOQUQUKDPURDDUHCRUKSTUAUBUCUDUEUF $.
      $( [25-Feb-2006] $) $( [2-Feb-2006] $)

    $( The set in the supremum of the operator norm definition ~ df-nmop is a
       set of reals. $)
    nmopsetretHIL $p |- ( T : H~ --> H~ -> { x | E. y e. H~
           ( ( normh ` y ) <_ 1 /\ x = ( normh ` ( T ` y ) ) ) } (_ RR ) $=
      ( cva csm cop cno cnv wcel chil wf cv cfv c1 cle wbr wceq wa wrex cab cr
      wss eqid hhnv hhba hhnm nmosetre mpan ) DEFGFZHIJJCKBLZGMNOPALUJCMGMQRBJS
      ATUAUBUIUIUCZUDABCGGUIJJUIUKUEUIUKUFUGUH $.
      $( [22-Mar-2008] $) $( [2-Feb-2006] $)

    $( The set in the supremum of the operator norm definition ~ df-nmop is
       nonempty. $)
    nmopsetn0 $p |- ( normh ` ( T ` 0h ) ) e.
      { x | E. y e. H~ ( ( normh ` y ) <_ 1 /\ x = ( normh ` ( T ` y ) ) ) } $=
      ( c0v cfv cno cv c1 cle wbr wceq wa chil wrex cab wcel ax-hv0cl cc0
      norm0 0re 1re lt01 ltlei eqbrtr eqid pm3.2i fveq2 breq1d fveq2d eqeq2d
      anbi12d rcla4ev mp2an fvex eqeq1 anbi2d rexbidv elab mpbir ) DCEZFEZBGZFE
      ZHIJZAGZVBCEZFEZKZLZBMNZAOPVDVAVGKZLZBMNZDMPDFEZHIJZVAVAKZLZVMQVOVPVNRHIS
      RHTUAUBUCUDVAUEUFVLVQBDMVBDKZVDVOVKVPVRVCVNHIVBDFUGUHVRVGVAVAVRVFUTFVBDCU
      GUIUJUKULUMVJVMAVAUTFUNVEVAKZVIVLBMVSVHVKVDVEVAVGUOUPUQURUS $.
      $( [25-Feb-2006] $) $( [9-Feb-2006] $)

    $( The norm of a Hilbert space operator is an extended real. $)
    nmopxrt $p |- ( T : H~ --> H~ -> ( normop ` T ) e. RR* ) $=
      ( vy vx chil wf cnop cfv cv cno c1 cle wbr wceq wa wrex cab cxr clt csup
      nmopvalt wss wcel cr nmopsetretHIL ressxr a1i sstrd supxrcl syl eqeltrd
      ) DDAEZAFGBHZIGJKLCHULAGIGMNBDOCPZQRSZQCBATUKUMQUAUNQUBUKUMUCQCBAUDUCQUAU
      KUEUFUGUMUHUIUJ $.
      $( [25-Feb-2006] $) $( [9-Feb-2006] $)

    $( The norm of a Hilbert space operator is either real or plus infinity. $)
    nmoprepnf $p |- ( T : H~ --> H~ ->
                   ( ( normop ` T ) e. RR <-> ( normop ` T ) =/= +oo ) ) $=
      ( vy vx chil wf cv cno cfv c1 cle wbr wceq wa wrex cab cxr clt csup cr
      wcel cpnf wne cnop wss wb nmopsetretHIL c0 c0v nmopsetn0 ne0i ax-mp
      supxrre2 mpan2 syl nmopvalt eleq1d eqeq1d necon3bid 3bitr4d ) DDAEZBFZGHI
      JKCFVAAHGHLMBDNCOZPQRZSTZVCUAUBZAUCHZSTVFUAUBUTVBSUDZVDVEUEZCBAUFVGVBUGUB
      ZVHUHAHGHZVBTVICBAUIVBVJUJUKVBULUMUNUTVFVCSCBAUOZUPUTVFUAVCUAUTVFVCUAVKUQ
      URUS $.
      $( [8-Dec-2007] $) $( [5-Feb-2006] $)

    $( The norm of a Hilbert space operator is not minus infinity. $)
    nmopgtmnf $p |- ( T : H~ --> H~ -> -oo < ( normop ` T ) ) $=
      ( chil wf cnop cfv cr wcel cpnf wceq wn wb wo cmnf clt wbr wne nmoprepnf
      df-ne syl6bb xor3 wa xor2 pm3.26bi sylbir mnfltxrt 3syl ) BBACZADEZFGZUHH
      IZJZKZUIUJLZMUHNOUGUIUHHPUKAQUHHRSULUIUJKJZUMUIUJTUNUMUIUJUAJUIUJUBUCUDUH
      UEUF $.
      $( [9-Mar-2006] $) $( [2-Feb-2006] $)

    $( The norm of a Hilbert space operator is real iff it is less than
       infinity. $)
    nmopreltpnf $p |- ( T : H~ --> H~ ->
                   ( ( normop ` T ) e. RR <-> ( normop ` T ) < +oo ) ) $=
      ( chil wf cnop cfv cr wcel cpnf wne clt wbr nmoprepnf cxr wceq wn wb
      nmopxrt nltpnftt syl necon2abid bitr4d ) BBACZADEZFGUCHIUCHJKZALUBUDUCHUB
      UCMGUCHNUDOPAQUCRSTUA $.
      $( [10-Mar-2006] $) $( [14-Feb-2006] $)

    $( The norm of a bounded operator is a real number. $)
    nmopret $p |- ( T e. BndLinOp -> ( normop ` T ) e. RR ) $=
      ( cbo wcel cnop cfv cr cmnf clt wbr cpnf wa chil wf bdopft nmopgtmnf syl
      clo elbdopt pm3.27bi jca cxr wb nmopxrt xrrebndt 3syl mpbird ) ABCZADEZFC
      ZGUHHIZUHJHIZKZUGUJUKUGLLAMZUJANZAOPUGAQCUKARSTUGUMUHUACUIULUBUNAUCUHUDUE
      UF $.
      $( [11-Mar-2006] $) $( [29-Jan-2006] $)

    $( Property defining a bounded linear Hilbert space operator. $)
    elbdop2t $p |- ( T e. BndLinOp <->
                   ( T e. LinOp /\ ( normop ` T ) e. RR ) ) $=
      ( cbo wcel clo cnop cfv cpnf clt wbr wa cr elbdopt chil wf wb lnopft
      nmopreltpnf syl pm5.32i bitr4 ) ABCADCZAEFZGHIZJUAUBKCZJALUAUDUCUAMMANUDU
      COAPAQRST $.
      $( [11-Mar-2006] $) $( [14-Feb-2006] $)

    $( Property defining a unitary Hilbert space operator. $)
    elunopt $p |- ( T e. UniOp <-> ( T : H~ -onto-> H~ /\
        A. x e. H~ A. y e. H~ ( ( T ` x ) .ih ( T ` y ) ) = ( x .ih y ) ) ) $=
      ( vt cuo wcel cvv chil wfo cv cfv csp co wceq wral wa elisset wf fof
      ax-hilex fex mpan2 syl adantr foeq1 fveq1 opreq12d eqeq1d 2ralbidv
      anbi12d df-unop elab2g pm5.21nii ) CEFCGFZHHCIZAJZCKZBJZCKZLMZUPURLMZNZBH
      OAHOZPZCEQUOUNVCUOHHCRZUNHHCSVEHGFUNTHHGCUAUBUCUDHHDJZIZUPVFKZURVFKZLMZVA
      NZBHOAHOZPVDDCEGVFCNZVGUOVLVCHHVFCUEVMVKVBABHHVMVJUTVAVMVHUQVIUSLUPVFCUFU
      RVFCUFUGUHUIUJABDUKULUM $.
      $( [26-Feb-2006] $) $( [18-Jan-2006] $)

    $( Property defining a Hermitian Hilbert space operator. $)
    elhmopt $p |- ( T e. HrmOp <-> ( T : H~ --> H~ /\ A. x e. H~ A. y e. H~
                   ( x .ih ( T ` y ) ) = ( ( T ` x ) .ih y ) ) ) $=
      ( vt cho wcel cvv chil wf cv cfv csp co wceq wral wa elisset ax-hilex
      fex mpan2 adantr feq1 fveq1 opreq2d opreq1d eqeq12d 2ralbidv anbi12d
      df-hmop elab2g pm5.21nii ) CEFCGFZHHCIZAJZBJZCKZLMZUNCKZUOLMZNZBHOAHOZPZC
      EQUMULVAUMHGFULRHHGCSTUAHHDJZIZUNUOVCKZLMZUNVCKZUOLMZNZBHOAHOZPVBDCEGVCCN
      ZVDUMVJVAHHVCCUBVKVIUTABHHVKVFUQVHUSVKVEUPUNLUOVCCUCUDVKVGURUOLUNVCCUCUEU
      FUGUHABDUIUJUK $.
      $( [23-May-2006] $) $( [18-Jan-2006] $)

    $( A Hermitian operator is a Hilbert space operator (mapping). $)
    hmopft $p |- ( T e. HrmOp -> T : H~ --> H~ ) $=
      ( vx vy cho wcel chil wf cv cfv csp co wceq wral elhmopt pm3.26bi ) ADEFF
      AGBHZCHZAIJKPAIQJKLCFMBFMBCANO $.
      $( [26-May-2006] $) $( [19-Mar-2006] $)

    $( The class of Hermitian operators is a set. $)
    hmopex $p |- HrmOp e. V $=
      ( vt cho chil cm co oprex cv wcel wf hmopft ax-hilex elmap sylibr ssriv
      ssexi ) BCCDEZCCDFABPAGZBHCCQIQPHQJCCQKKLMNO $.
      $( [19-Aug-2006] $) $( [17-Aug-2006] $)

    $( Value of the norm of a Hilbert space functional. $)
    nmfnvalt $p |- ( T : H~ --> CC -> ( normfn ` T ) = sup ( { x | E. y e. H~
           ( ( normh ` y ) <_ 1 /\ x = ( abs ` ( T ` y ) ) ) } , RR* , < ) ) $=
      ( vt vz cv cno cfv c1 cle wbr cabs wceq wa chil wrex cab cxr clt csup cc
      cnmf xrltso supex ax-hilex axcnex fveq1 fveq2d eqeq2d anbi2d rexbidv
      abbidv supeq1 syl df-nmfn fvopabf4 ) DECBFZGHIJKZAFZUQDFZHZLHZMZNZBOPZAQZ
      RSTZURUSUQCHZLHZMZNZBOPZAQZRSTZOUAUBRVMSUCUDUEUFUTCMZVFVMMVGVNMVOVEVLAVOV
      DVKBOVOVCVJURVOVBVIUSVOVAVHLUQUTCUGUHUIUJUKULRVFVMSUMUNAEBDUOUP $.
      $( [6-Mar-2006] $) $( [11-Feb-2006] $)

    $( The set in the supremum of the functional norm definition ~ df-nmfn is a
       set of reals. $)
    nmfnsetret $p |- ( T : H~ --> CC -> { x | E. y e. H~
           ( ( normh ` y ) <_ 1 /\ x = ( abs ` ( T ` y ) ) ) } (_ RR ) $=
      ( chil cc wf cv cno cfv c1 cle wbr cabs wceq wa wrex cr wcel eleq1
      ffvelrn absclt syl syl5bir impcom adantrl exp31 r19.23adv abssdv ) DECFZB
      GZHIJKLZAGZUJCIZMIZNZOZBDPAQUIUPULQRZBDUIUJDRZUPUQUIUROZUOUQUKUOUSUQUOUQU
      NQRZUSULUNQSUSUMERUTDEUJCTUMUAUBUCUDUEUFUGUH $.
      $( [11-Mar-2006] $) $( [14-Feb-2006] $)

    $( The set in the supremum of the functional norm definition ~ df-nmfn is
       nonempty. $)
    nmfnsetn0 $p |- ( abs ` ( T ` 0h ) ) e.
      { x | E. y e. H~ ( ( normh ` y ) <_ 1 /\ x = ( abs ` ( T ` y ) ) ) } $=
      ( c0v cfv cabs cv cno c1 cle wbr wceq wa chil wrex cab wcel ax-hv0cl cc0
      norm0 0re 1re lt01 ltlei eqbrtr eqid pm3.2i fveq2 breq1d fveq2d eqeq2d
      anbi12d rcla4ev mp2an fvex eqeq1 anbi2d rexbidv elab mpbir ) DCEZFEZBGZHE
      ZIJKZAGZVCCEZFEZLZMZBNOZAPQVEVBVHLZMZBNOZDNQDHEZIJKZVBVBLZMZVNRVPVQVOSIJT
      SIUAUBUCUDUEVBUFUGVMVRBDNVCDLZVEVPVLVQVSVDVOIJVCDHUHUIVSVHVBVBVSVGVAFVCDC
      UHUJUKULUMUNVKVNAVBVAFUOVFVBLZVJVMBNVTVIVLVEVFVBVHUPUQURUSUT $.
      $( [7-Mar-2006] $) $( [14-Feb-2006] $)

    $( The norm of any Hilbert space functional is an extended real. $)
    nmfnxrt $p |- ( T : H~ --> CC -> ( normfn ` T ) e. RR* ) $=
      ( vy vx chil cc wf cnmf cfv cv cno c1 cle wbr cabs wceq wa wrex cab cxr
      clt csup nmfnvalt wss wcel cr nmfnsetret ressxr a1i sstrd supxrcl syl
      eqeltrd ) DEAFZAGHBIZJHKLMCIUNAHNHOPBDQCRZSTUAZSCBAUBUMUOSUCUPSUDUMUOUESC
      BAUFUESUCUMUGUHUIUOUJUKUL $.
      $( [25-Feb-2006] $) $( [9-Feb-2006] $)

    $( The norm of a Hilbert space functional is either real or plus
       infinity. $)
    nmfnrepnf $p |- ( T : H~ --> CC ->
                   ( ( normfn ` T ) e. RR <-> ( normfn ` T ) =/= +oo ) ) $=
      ( vy vx chil cc wf cv cno cfv c1 cle wbr cabs wceq wa wrex cab cxr clt
      csup cr wcel cpnf wne cnmf wss wb nmfnsetret c0 c0v nmfnsetn0 ne0i ax-mp
      supxrre2 mpan2 syl nmfnvalt eleq1d eqeq1d necon3bid 3bitr4d ) DEAFZBGZHIJ
      KLCGVCAIMINOBDPCQZRSTZUAUBZVEUCUDZAUEIZUAUBVHUCUDVBVDUAUFZVFVGUGZCBAUHVIV
      DUIUDZVJUJAIMIZVDUBVKCBAUKVDVLULUMVDUNUOUPVBVHVEUACBAUQZURVBVHUCVEUCVBVHV
      EUCVMUSUTVA $.
      $( [9-Dec-2007] $) $( [8-Dec-2007] $)

    $( Value of the null space of a Hilbert space functional. $)
    nlfnvalt $p |- ( T : H~ --> CC ->
                   ( null ` T ) = { x e. H~ | ( T ` x ) = 0 } ) $=
      ( vt vy cv cfv cc0 wceq chil crab cc cnl ax-hilex rabex axcnex fveq1
      eqeq1d rabbisdv df-nlfn fvopabf4 ) CDBAEZCEZFZGHZAIJUABFZGHZAIJIKLUFAIMNM
      OUBBHZUDUFAIUGUCUEGUAUBBPQRADCST $.
      $( [6-Apr-2006] $) $( [11-Feb-2006] $)

    $( Property defining a continuous functional. $)
    elcnfnt $p |- ( T e. ConFn <-> ( T :  H~ --> CC /\ A. x e. H~ A. y e. RR (
      0 < y -> E. z e. RR ( 0 < z /\ A. w e. H~ ( ( normh ` ( w -h x ) ) < z ->
      ( abs ` ( ( T ` w ) - ( T ` x ) ) ) < y ) ) ) ) ) $=
      ( vt ccnf wcel cvv chil cc wf cc0 cv clt wbr cmv co cno cfv cmin cabs wi
      wral wa cr wrex elisset ax-hilex fex mpan2 adantr wceq feq1 fveq1
      opreq12d fveq2d breq1d imbi2d ralbidv anbi2d rexbidv 2ralbidv anbi12d
      df-cnfn elab2g pm5.21nii ) EGHEIHZJKELZMBNZOPZMCNZOPZDNZANZQRSTVLOPZVNETZ
      VOETZUARZUBTZVJOPZUCZDJUDZUEZCUFUGZUCZBUFUDAJUDZUEZEGUHVIVHWGVIJIHVHUIJKI
      EUJUKULJKFNZLZVKVMVPVNWITZVOWITZUARZUBTZVJOPZUCZDJUDZUEZCUFUGZUCZBUFUDAJU
      DZUEWHFEGIWIEUMZWJVIXAWGJKWIEUNXBWTWFABJUFXBWSWEVKXBWRWDCUFXBWQWCVMXBWPWB
      DJXBWOWAVPXBWNVTVJOXBWMVSUBXBWKVQWLVRUAVNWIEUOVOWIEUOUPUQURUSUTVAVBUSVCVD
      ABCDFVEVFVG $.
      $( [2-Apr-2006] $) $( [11-Feb-2006] $)

    $( Property defining a linear functional. $)
    ellnfnt $p |- ( T e. LinFn <-> ( T : H~ --> CC /\
        A. x e. CC A. y e. H~ A. z e. H~
       ( T ` ( ( x .h y ) +h z ) ) = ( ( x x. ( T ` y ) ) + ( T ` z ) ) ) ) $=
      ( vt clf wcel cvv chil cc wf cv csm co cva cfv cmul caddc wceq wral wa
      elisset ax-hilex fex mpan2 adantr feq1 fveq1 opreq2d opreq12d eqeq12d
      ralbidv 2ralbidv anbi12d df-lnfn elab2g pm5.21nii ) DFGDHGZIJDKZALZBLZMNC
      LZONZDPZUTVADPZQNZVBDPZRNZSZCITZBITAJTZUAZDFUBUSURVKUSIHGURUCIJHDUDUEUFIJ
      ELZKZVCVMPZUTVAVMPZQNZVBVMPZRNZSZCITZBITAJTZUAVLEDFHVMDSZVNUSWBVKIJVMDUGW
      CWAVJABJIWCVTVICIWCVOVDVSVHVCVMDUHWCVQVFVRVGRWCVPVEUTQVAVMDUHUIVBVMDUHUJU
      KULUMUNABCEUOUPUQ $.
      $( [8-Apr-2006] $) $( [11-Feb-2006] $)

    $( A linear Hilbert space functional is a functional. $)
    lnfnft $p |- ( T e. LinFn -> T : H~ --> CC ) $=
      ( vx vy vz clf wcel chil cc wf cv csm co cva cfv cmul caddc wceq wral
      ellnfnt pm3.26bi ) AEFGHAIBJZCJZKLDJZMLANUAUBANOLUCANPLQDGRCGRBHRBCDAST
      $.
      $( [26-Apr-2006] $) $( [25-Apr-2006] $)

    $( Alternate definition of the adjoint of a Hilbert space operator. $)
    dfadj2 $p |- adjh = { <. t , u >. | ( t : H~ --> H~ /\ u : H~ --> H~ /\
         A. x e. H~ A. y e. H~ ( x .ih ( t ` y ) ) = ( ( u ` x ) .ih y ) ) } $=
      ( cado chil cv wf cfv csp co wceq wral w3a copab df-adjh wa adjsymt
      eqcom 2ralbii syl6rbbr pm5.32i df-3an 3bitr4 opabbii eqtr ) EFFDGZHZFFCGZ
      HZAGZUGIBGZJKZUKULUIIJKZLZBFMAFMZNZDCOUHUJUKULUGIJKUKUIIULJKLBFMAFMZNZDCO
      ABCDPUQUSDCUHUJQZUPQUTURQUQUSUTUPURUTURUNUMLZBFMAFMUPABUGUIRUOVAABFFUMUNS
      TUAUBUHUJUPUCUHUJURUCUDUEUF $.
      $( [27-Feb-2006] $) $( [20-Feb-2006] $)

    $( Functionality of the adjoint function. $)
    funadj $p |- Fun adjh $=
      ( vt vu vx vy cado wfun chil cv wf cfv csp co wceq wral w3a copab wmo
      funopab wa adjmo 3simpc immoi ax-mp mpgbir wb dfadj2 funeq mpbir ) EFZGGA
      HZIZGGBHZIZCHZDHZUJJKLUNULJUOKLMDGNCGNZOZABPZFZUSUQBQZAUQABRUMUPSZBQUTCDB
      UJTUQVABUKUMUPUAUBUCUDEURMUIUSUECDBAUFEURUGUCUH $.
      $( [27-Feb-2006] $) $( [15-Feb-2006] $)

    $( Value of the adjoint function.  By ~ adjmo and ~ euuni , the union
       should be read "the unique ` u ` such that..." for ` T ` in the domain
       of ` adjh ` . $)
    adjvalt $p |- ( T : H~ --> H~ -> ( adjh ` T ) = U. { u | ( u : H~ --> H~ /\
       A. x e. H~ A. y e. H~ ( x .ih ( T ` y ) ) = ( ( u ` x ) .ih y ) ) } ) $=
      ( vt chil wf cado cfv cv csp co wceq wral w3a cab cuni wa cvv wcel
      ax-hilex fex mpan2 wfun funadj dfadj2 feq1 fveq1 opreq2d eqeq1d 2ralbidv
      3anbi13d fvopab5 mpan syl 3anass baib abbidv unieqd eqtrd ) FFDGZDHIZVAFF
      CJZGZAJZBJZDIZKLZVEVCIVFKLZMZBFNAFNZOZCPZQZVDVKRZCPZQVADSTZVBVNMZVAFSTVQU
      AFFSDUBUCHUDVQVRUEFFEJZGZVDVEVFVSIZKLZVIMZBFNAFNZOVLECDSHABCEUFVSDMZVTVAW
      DVKVDFFVSDUGWEWCVJABFFWEWBVHVIWEWAVGVEKVFVSDUHUIUJUKULUMUNUOVAVMVPVAVLVOC
      VLVAVOVAVDVKUPUQURUSUT $.
      $( [2-Apr-2006] $) $( [19-Feb-2006] $)

    $( Value of the adjoint function. $)
    adjval2t $p |- ( T : H~ --> H~ -> ( adjh ` T ) = U. { u | ( u : H~ --> H~
    /\ A. x e. H~ A. y e. H~ ( ( T ` x ) .ih y ) = ( x .ih ( u ` y ) ) ) } ) $=
      ( chil wf cado cfv cv csp co wceq wral wa cab cuni adjvalt adjsymt eqcom
      2ralbii syl6bb pm5.32da abbidv unieqd eqtrd ) EEDFZDGHEECIZFZAIZBIZDHJKUI
      UGHUJJKLBEMAEMZNZCOZPUHUIDHUJJKZUIUJUGHJKZLZBEMAEMZNZCOZPABCDQUFUMUSUFULU
      RCUFUHUKUQUFUHNUKUOUNLZBEMAEMUQABDUGRUTUPABEEUOUNSTUAUBUCUDUE $.
      $( [7-Apr-2006] $) $( [19-Feb-2006] $)

    $( The adjoint function equals its converse. $)
    cnvadj $p |- `' adjh = adjh $=
      ( vu vt vx vy chil cv wf cfv csp co wceq wral w3a copab ccnv cado
      cnvopab 3ancoma wa wcel wb ccj ax-his1 ffvelrn sylan adantrl sylan2
      adantll eqeq12d ancoms cc cj11t hiclt sylanc bitr2d an4s anassrs eqcom
      syl6bb ralbidva ralcom pm5.32i df-3an 3bitr4 bitr opabbii eqtr dfadj2
      cnveq ax-mp 3eqtr4 ) EEAFZGZEEBFZGZCFZDFZVLHZIJZVPVNHZVQIJZKZDELZCELZMZAB
      NZOZVOVMVQVTIJZVRVPIJZKZCELDELZMZBANZPOZPWGWEBANWMWEABQWEWLBAWEVOVMWDMZWL
      VMVOWDRVOVMSZWDSWPWKSWOWLWPWDWKWPWDWJDELZCELWKWPWCWQCEWPVPETZSZWBWJDEWSVQ
      ETZSWBWIWHKZWJWPWRWTWBXAUAZVOWRVMWTXBVOWRSZVMWTSZSZXAVSUBHZWAUBHZKZWBXDXC
      XAXHUAXDXCSWIXFWHXGXDWRWIXFKZVOVRETZWRXIXDVRVPUCEEVQVLUDZUEUFWTXCWHXGKZVM
      WTVTETZXLXCVQVTUCEEVPVNUDZUGUHUIUJVSUKTZWAUKTZXHWBUAXEVSWAULWRXDXOVOWRXJX
      OXDVPVRUMXKUGUHXCWTXPVMXMWTXPXCVTVQUMXNUEUFUNUOUPUQWIWHURUSUTUTWJCDEEVAUS
      VBVOVMWDVCVOVMWKVCVDVEVFVGPWFKWNWGKCDBAVHPWFVIVJDCABVHVK $.
      $( [20-May-2006] $) $( [15-Feb-2006] $)

    $( The converse of the adjoint function is a function. $)
    funcnvadj $p |- Fun `' adjh $=
      ( cado ccnv wfun funadj wceq wb cnvadj funeq ax-mp mpbir ) ABZCZACZDKAELM
      FGKAHIJ $.
      $( [23-May-2006] $) $( [25-Jan-2006] $)

    $( The adjoint function maps one-to-one onto its domain. $)
    adj1o $p |- adjh : dom adjh -1-1-onto-> dom adjh $=
      ( cado cdm wf1o wfn ccnv wfun crn wceq w3a funadj funfn mpbi funcnvadj
      df-rn cnvadj dmeqi eqtr 3pm3.2i f1o2 mpbir ) ABZUAACAUADZAEZFZAGZUAHZIUBU
      DUFAFUBJAKLMUEUCBUAANUCAOPQRUAUAAST $.
      $( [26-May-2006] $) $( [15-Feb-2006] $)

    $( The domain of the adjoint function is a subset of the maps from ` H~ `
       to ` H~ ` . $)
    dmadjss $p |- dom adjh (_ ( H~ ^m H~ ) $=
      ( vt vu vx vy cado cdm cv chil cm co wcel wf cfv csp wceq wral wa copab
      w3a dfadj2 3anass ax-hilex elmap anbi1i bitr4 opabbii eqtr dmeqi
      dmopabss eqsstr ) EFAGZHHIJZKZHHBGZLZCGZDGZUKMNJUPUNMUQNJODHPCHPZQZQZABRZ
      FULEVAEHHUKLZUOURSZABRVACDBATVCUTABVCVBUSQUTVBUOURUAUMVBUSHHUKUBUBUCUDUEU
      FUGUHUSABULUIUJ $.
      $( [27-May-2006] $) $( [15-Feb-2006] $)

    $( A member of the domain of the adjoint function is a Hilbert space
       operator. $)
    dmadjopt $p |- ( T e. dom adjh -> T : H~ --> H~ ) $=
      ( cado cdm wcel chil cm co wf dmadjss sseli ax-hilex elmap sylib ) ABCZDA
      EEFGZDEEAHNOAIJEEAKKLM $.
      $( [28-May-2006] $) $( [15-Feb-2006] $)

    $( The adjoint of an operator belongs to the adjoint function's domain. $)
    dmadjrnt $p |- ( T e. dom adjh -> ( adjh ` T ) e. dom adjh ) $=
      ( cado cdm wf1o wf adj1o f1of ax-mp ffvelrni ) BCZJABJJBDJJBEFJJBGHI $.
      $( [30-May-2006] $) $( [15-Feb-2006] $)

    $( The set of eigenvectors of a Hilbert space operator. $)
    eigvecvalt $p |- ( T : H~ --> H~ -> ( eigvec ` T ) =
           { x e. H~ | ( x =/= 0h /\ E. y e. CC ( T ` x ) = ( y .h x ) ) } ) $=
      ( vt vz cv c0v wne cfv csm co wceq cc wrex wa chil crab cei ax-hilex
      rabex fveq1 eqeq1d rexbidv anbi2d rabbisdv df-eigvec fvopabf4 ) DECAFZGHZ
      UHDFZIZBFUHJKZLZBMNZOZAPQUIUHCIZULLZBMNZOZAPQPPRUSAPSTSSUJCLZUOUSAPUTUNUR
      UIUTUMUQBMUTUKUPULUHUJCUAUBUCUDUEAEBDUFUG $.
      $( [10-Apr-2006] $) $( [11-Mar-2006] $)

    $( The eigenvalues of eigenvectors of a Hilbert space operator. $)
    eigvalvalt $p |- ( T : H~ --> H~ -> ( eigval ` T ) =
             { <. x , y >. | ( x e. ( eigvec ` T ) /\
                   y = ( ( ( T ` x ) .ih x ) / ( ( normh ` x ) ^ 2 ) ) ) } ) $=
      ( vt vz cv cei cfv wcel csp co cno c2 cexp cdiv wceq wa copab chil cel
      fvex opabex2 ax-hilex fveq2 eleq2d fveq1 opreq1d eqeq2d anbi12d opabbidv
      df-eigval fvopabf4 ) DECAFZDFZGHZIZBFZUMUNHZUMJKZUMLHMNKZOKZPZQZABRUMCGHZ
      IZUQUMCHZUMJKZUTOKZPZQZABRSSTABVDVHCGUAUBUCUCUNCPZVCVJABVKUPVEVBVIVKUOVDU
      MUNCGUDUEVKVAVHUQVKUSVGUTOVKURVFUMJUMUNCUFUGUGUHUIUJAEBDUKUL $.
      $( [11-Apr-2006] $) $( [11-Mar-2006] $)

    $( The value of the spectrum of an operator. $)
    specvalt $p |- ( T : H~ --> H~ -> ( Lambda ` T ) = { x e. CC |
                   -. ( T -op ( x .op ( I |` H~ ) ) ) : H~ -1-1-> H~ } ) $=
      ( vt vy chil cv cid cres chot co chod wf1 wn cc crab cspc axcnex rabex
      ax-hilex wceq wb opreq1 f1eq1 syl negbid rabbisdv df-spec fvopabf4 ) CDBE
      ECFZAFGEHIJZKJZLZMZANOEEBUJKJZLZMZANOEEPUPANQRSSUIBTZUMUPANUQULUOUQUKUNTU
      LUOUAUIBUJKUBEEUKUNUCUDUEUFADCUGUH $.
      $( [20-May-2006] $) $( [11-Apr-2006] $)

    $( The spectrum of an operator is a set of complex numbers. $)
    specclt $p |- ( T : H~ --> H~ -> ( Lambda ` T ) (_ CC ) $=
      ( vx chil wf cspc cfv cv cid cres chot co chod wf1 wn cc crab specvalt
      wss ssrab2 a1i eqsstrd ) CCADZAEFCCABGHCIJKLKMNZBOPZOBAQUDORUBUCBOSTUA $.
      $( [20-Oct-2006] $) $( [11-Apr-2006] $)
  $}

  ${
    $d t x y z $.
    hhlno.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhlno.2 $e |- L = ( U LnOp U ) $.
    $( The linear operators of Hilbert space. $)
    hhlno $p |- LinOp = L $=
      ( vt vx vy vz chil cv wf csm co cva cfv wceq wral cc wa cab clo wcel
      ax-hvcom hvmulclt sylan fveq2d adantlll simplr ffvelrn adantlr sylanc
      adantr eqeq12d ralbidva ralcom syl6bb pm5.32i abbii df-lnop cop cno cnv
      eqid hhnv hhba hhva hhsm clno opreq12i eqtr lnoval mp2an 3eqtr4 ) IIEJZKZ
      FJZGJZLMZHJZNMZVNOZVPVQVNOZLMZVSVNOZNMZPZHIQZGIQZFRQZSZETVOVSVRNMZVNOZWDW
      CNMZPZGIQZFRQHIQZSZETZUABWJWQEVOWIWPVOWIWOHIQZFRQWPVOWHWSFRVOVPRUBZSZWHWN
      HIQZGIQWSXAWGXBGIXAVQIUBZSZWFWNHIXDVSIUBZSZWAWLWEWMWTXCXEWAWLPVOWTXCSZXES
      VTWKVNVRIUBXEVTWKPXGVRVSUCVPVQUDUEUFUGWCIUBZWDIUBZWEWMPXFWCWDUCXDXHXEWTWB
      IUBZXHXDVPWBUDVOWTXCUHVOXCXJWTIIVQVNUIUJUKULXAXEXIXCVOXEXIWTIIVSVNUIUJUJU
      KUMUNUNWNGHIIUOUPUNWOFHRIUOUPUQURFGHEUSNLUTVAUTZVBUBZXLBWRPXKXKVCZVDZXNHF
      GELLXKNNBXKIIXKXMVEZXOXKXMVFZXPXKXMVGZXQBAAVHMXKXKVHMDAXKAXKVHCCVIVJVKVLV
      M $.
      $( [7-Feb-2008] $) $( [19-Nov-2007] $)
  $}

  ${
    $d t x y z U $.
    hhnmo.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhnmo.2 $e |- N = ( U normOp U ) $.
    $( The norm of an operator in Hilbert space. $)
    hhnmo $p |- normop = N $=
      ( vt vy vz vx cnop chil cv wf cno cfv c1 cle wbr wceq wa wrex cab cxr
      clt csup copab df-nmop cnv wcel hhnv hhba hhnm nmofval mp2an eqtr4 ) IJJE
      KZLFKGKZMNOPQHKUPUONMNRSGJTHUAUBUCUDRSEFUEZBHFGEUFAUGUHZURBUQRACUIZUSHFGE
      AMMBAJJACUJZUTACUKZVADULUMUN $.
      $( [31-Jan-2008] $) $( [19-Nov-2007] $)
  $}

  ${
    $d t x y z U $.
    hhblo.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hhblo.2 $e |- B = ( U BLnOp U ) $.
    $( A bounded linear operator in Hilbert space. $)
    hhblo $p |- BndLinOp = B $=
      ( vt cbo cv cnmo co cfv cpnf clt wbr clno crab cnop clo dfbdop2 wb wcel
      eqid hhnmo fveq1i breq1i a1i rabbii wceq hhlno rabeq ax-mp 3eqtr cnv
      hhnv bloval mp2an eqtr4 ) FEGZBBHIZJZKLMZEBBNIZOZAFUQPJZKLMZEQOUTEQOZVBER
      VDUTEQVDUTSUQQTVCUSKLUQPURBURCURUAZUBUCUDUEUFQVAUGVEVBUGBVACVAUAZUHUTEQVA
      UIUJUKBULTZVHAVBUGBCUMZVIEABVAURBVFVGDUNUOUP $.
      $( [12-Feb-2007] $) $( [19-Nov-2007] $)
  $}

  ${
    $d t x y z U $.
    hh0o.1 $e |- U = <. <. +h , .h >. , normh >. $.
    hh0o.2 $e |- Z = ( U 0op U ) $.
    $( The zero operator in Hilbert space. $)
    hh0o $p |- 0hop = Z $=
      ( ch0o cba cfv cn0v csn cxp chil c0h df0op2 wceq hhba xpeq1 ax-mp c0v
      df-ch0 hh0v sneqi eqtr xpeq2 3eqtr cnv wcel hhnv eqid 0ofval mp2an eqtr4
      ) EAFGZAHGZIZJZBEKLJZULLJZUOMKULNUPUQNACOKULLPQLUNNUQUONLRIUNSRUMACTUAUBL
      UNULUCQUDAUEUFZURBUONACUGZUSABAULUMULUHUMUHDUIUJUK $.
      $( [13-Feb-2008] $) $( [7-Dec-2007] $)
  $}

  $( The adjoint of an operator belongs to the adjoint function's domain.
     (Note: the converse is dependent on our definition of function value,
     since it uses ~ ndmfv .) $)
  dmadjrnb $p |- ( T e. dom adjh <-> ( adjh ` T ) e. dom adjh ) $=
    ( cado cdm wcel cfv dmadjrnt wn c0 chil wf wceq c0v ax-hv0cl n0i ax-mp
    eqcom mtbir dm0 eqeq1i fdm mto dmadjopt ndmfv eleq1d mtbiri a3i impbi ) ABC
    ZDZABEZUHDZAFUIUKUIGZUKHUHDZUMIIHJZUNHCZIKZUPHIKZUQIHKZLIDURGMILNOHIPQUOHIR
    SQIIHTUAHUBUAULUJHUHABUCUDUEUFUG $.
    $( [3-Jun-2006] $) $( [19-Feb-2006] $)

  ${
    $d t w x y z A $.  $d t w x y z B $.  $d x y z C $.
    $d w x y z S $.  $d x y z w T $.
    $( A lower bound for an operator norm. $)
    nmoplbt $p |- ( ( T : H~ --> H~ /\ A e. H~ /\ ( normh ` A ) <_ 1 ) ->
                  ( normh ` ( T ` A ) ) <_ ( normop ` T ) ) $=
      ( vy vx chil wf wcel cno cfv c1 cle wbr w3a cv wceq wa wrex cab cxr clt
      csup cnop wss supxrub cr nmopsetretHIL ressxr a1i sstrd 3ad2ant1 fveq2
      breq1d fveq2d eqeq2d anbi12d eqid biantru syl6bbr rcla4ev fvex eqeq1
      anbi2d rexbidv elab sylibr 3adant1 sylanc nmopvalt breqtrrd ) EEBFZAEGZAH
      IZJKLZMZABIZHIZCNZHIZJKLZDNZVQBIZHIZOZPZCEQZDRZSTUAZBUBIZKWFSUCZVPWFGZVPW
      GKLVNWFVPUDVJVKWIVMVJWFUESDCBUFUESUCVJUGUHUIUJVKVMWJVJVKVMPVSVPWBOZPZCEQZ
      WJWLVMCAEVQAOZWLVMVPVPOZPVMWNVSVMWKWOWNVRVLJKVQAHUKULWNWBVPVPWNWAVOHVQABU
      KUMUNUOWOVMVPUPUQURUSWEWMDVPVOHUTVTVPOZWDWLCEWPWCWKVSVTVPWBVAVBVCVDVEVFVG
      VJVKWHWGOVMDCBVHUJVI $.
      $( [13-Mar-2006] $) $( [7-Feb-2006] $)

    $( An upper bound for an operator norm. $)
    nmopubt $p |- ( ( T : H~ --> H~ /\ A e. RR* /\ A. x e. H~ ( ( normh ` x )
             <_ 1 -> ( normh ` ( T ` x ) ) <_ A ) ) -> ( normop ` T ) <_ A ) $=
      ( vz vy vw chil wf cxr wcel cv cno cfv c1 cle wbr wi wral w3a cnop wceq
      wa wrex cab clt csup nmopvalt 3ad2ant1 wss supxrleub cr nmopsetretHIL
      ressxr a1i sstrd 3simp2 fveq2 breq1d fveq2d imbi12d rcla4cv breq1
      biimprcd syl8 imp4a r19.23adv visset eqeq1 anbi2d rexbidv elab syl5ib
      r19.21aiv 3ad2ant3 syl3anc eqbrtrd ) GGCHZBIJZAKZLMZNOPZVSCMZLMZBOPZQZAGR
      ZSZCTMZDKZLMZNOPZEKZWICMZLMZUAZUBZDGUCZEUDZIUEUFZBOVQVRWHWSUAWFEDCUGUHWRI
      UIZVRFKZBOPZFWRRZWSBOPWGFWRBUJVQVRWTWFVQWRUKIEDCULUKIUIVQUMUNUOUHVQVRWFUP
      WFVQXCVRWFXBFWRWFWKXAWNUAZUBZDGUCZXBXAWRJWFXEXBDGWFWIGJZWKXDXBWFXGWKWNBOP
      ZXDXBQWEWKXHQAWIGVSWIUAZWAWKWDXHXIVTWJNOVSWILUQURXIWCWNBOXIWBWMLVSWICUQUS
      URUTVAXDXBXHXAWNBOVBVCVDVEVFWQXFEXAFVGWLXAUAZWPXEDGXJWOXDWKWLXAWNVHVIVJVK
      VLVMVNVOVP $.
      $( [19-Mar-2006] $) $( [7-Mar-2006] $)

    $( An upper bound for an operator norm. $)
    nmopub2tALT $p |- ( ( T : H~ --> H~ /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. H~
  ( normh ` ( T ` x ) ) <_ ( A x. ( normh ` x ) ) ) -> ( normop ` T ) <_ A ) $=
      ( chil wf cr wcel cc0 cle wbr wa cv cfv cno cmul co wral cnop c1 wi 1re
      lemul2itOLD mp3anl2 normclt anim1i ancoms adantlr adantll adantr id
      sylanc wceq cc recnt ax1id syl ad2antrl ad2antrr breqtrd letrt ffvelrn
      axmulrcl sylan2 pm3.26 ad2antlr syl3anc mpan2d ex com23 r19.20dva imp
      cxr nmopubt rexrt syl3an2 3expa syldan 3impa ) DDCEZBFGZHBIJZKZALZCMZNMZB
      WCNMZOPZIJZADQZCRMBIJZVSWBKZWIWFSIJZWEBIJZTZADQZWJWKWIWOWKWHWNADWKWCDGZKZ
      WLWHWMWQWLWHWMTWQWLKZWHWGBIJZWMWRWGBSOPZBIWFFGZVTKZWAWLKZWGWTIJZWRXASFGVT
      XCXDUAWFSBUBUCWQXBWLWBWPXBVSVTWPXBWAWPVTXBWPXAVTWCUDZUEUFUGUHUIWKWLXCWPWB
      WLXCVSWAWLXCVTXCUJUHUHUGUKWKWTBULZWPWLVTXFVSWAVTBUMGXFBUNBUOUPUQURUSWQWHW
      SKWMTZWLWEFGZWGFGZVTXGWQWEWGBUTVSWPXHWBVSWPKWDDGXHDDWCCVAWDUDUPUGWBWPXIVS
      VTWPXIWAVTXAXIWPBWFVBXEVCUGUHWBVTVSWPVTWAVDVEVFUIVGVHVIVJVKVSWBWOWJVSBVLG
      ZWOWJWBABCVMVTXJWABVNUIVOVPVQVR $.
      $( [18-Oct-2006] $) $( [12-Apr-2006] $)

    $( An upper bound for an operator norm. $)
    nmopub2tHIL $p |- ( ( T : H~ --> H~ /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. H~
  ( normh ` ( T ` x ) ) <_ ( A x. ( normh ` x ) ) ) -> ( normop ` T ) <_ A ) $=
      ( cva csm cop cno cnop chil eqid hhba hhnm cnmo co hhnmo hhnv nmoub2i )
      ABCDEFGFZGGHRIIRRJZKZTRSLZUARRRMNZSUBJORSPZUCQ $.
      $( [8-Jul-2008] $) $( [13-Dec-2007] $)

    $( The norm of any Hilbert space operator is nonnegative. $)
    nmopge0t $p |- ( T : H~ --> H~ -> 0 <_ ( normop ` T ) ) $=
      ( chil wf cc0 c0v cfv cno cle wbr cnop wcel ax-hv0cl ffvelrn mpan2
      normge0t syl c1 norm0 0re 1re lt01 ltlei eqbrtr nmoplbt mp3an23 cxr wa
      wi cr rexrt ax-mp xrletrt mp3an1 normclt 3syl nmopxrt sylanc mp2and ) BBA
      CZDEAFZGFZHIZVAAJFZHIZDVCHIZUSUTBKZVBUSEBKZVFLBBEAMNZUTOPUSVGEGFZQHIVDLVI
      DQHRDQSTUAUBUCEAUDUEVAUFKZVCUFKZVBVDUGVEUHZUSDUFKZVJVKVLDUIKVMSDUJUKDVAVC
      ULUMUSVFVAUIKVJVHUTUNVAUJUOAUPUQUR $.
      $( [14-Mar-2006] $) $( [9-Feb-2006] $)

    $( A linear Hilbert space operator that is not identically zero has a
       positive norm. $)
    nmopgt0t $p |- ( T : H~ --> H~ ->
                  ( ( normop ` T ) =/= 0 <-> 0 < ( normop ` T ) ) ) $=
      ( chil wf cc0 cnop cfv clt wbr wne cxr wcel cle wb cr 0re rexrt ax-mp
      xrleltnet mp3an1 nmopxrt nmopge0t sylanc bicomd ) BBACZDAEFZGHZUEDIZUEJKZ
      DUELHZUFUGMZUDDJKZUHUIUJDNKUKODPQDUERSATAUAUBUC $.
      $( [25-Mar-2006] $) $( [9-Feb-2006] $)

    $( Basic continuity property of a continuous Hilbert space operator. $)
    cnopct $p |- ( ( ( T e. ConOp /\ A e. H~ ) /\ ( B e. RR /\ 0 < B ) ) ->
               E. x e. RR ( 0 < x /\ A. y e. H~ ( ( normh ` ( y -h A ) ) < x ->
               ( normh ` ( ( T ` y ) -h ( T ` A ) ) ) < B ) ) ) $=
      ( vw vz cco wcel chil cr cc0 clt wbr cv cmv co cno cfv wi wral wa wrex
      wf elcnopt pm3.27bi wceq opreq2 fveq2d breq1d fveq2 opreq2d imbi12d
      ralbidv anbi2d rexbidv imbi2d rcla4cv breq2 syl6 syl imp43 ) EHIZCJIZDKIZ
      LDMNZLAOZMNZBOZCPQZRSZVGMNZVIESZCESZPQZRSZDMNZTZBJUAZUBZAKUCZVCLFOZMNZVHV
      IGOZPQZRSZVGMNZVMWDESZPQZRSZWBMNZTZBJUAZUBZAKUCZTZFKUAZGJUAZVDVEVFWATZTZT
      VCJJEUDWRGFABEUEUFWRVDWCVHVLVPWBMNZTZBJUAZUBZAKUCZTZFKUAZWTWQXGGCJWDCUGZW
      PXFFKXHWOXEWCXHWNXDAKXHWMXCVHXHWLXBBJXHWGVLWKXAXHWFVKVGMXHWEVJRWDCVIPUHUI
      UJXHWJVPWBMXHWIVORXHWHVNVMPWDCEUKULUIUJUMUNUOUPUQUNURXFWSFDKWBDUGZWCVFXEW
      AWBDLMUSXIXDVTAKXIXCVSVHXIXBVRBJXIXAVQVLWBDVPMUSUQUNUOUPUMURUTVAVB $.
      $( [2-Mar-2006] $) $( [2-Feb-2006] $)

    $( Basic linearity property of a linear Hilbert space operator. $)
    lnoplt $p |- ( ( ( T e. LinOp /\ A e. CC ) /\ ( B e. H~ /\ C e. H~ ) ) ->
         ( T ` ( ( A .h B ) +h C ) ) = ( ( A .h ( T ` B ) ) +h ( T ` C ) ) ) $=
      ( vx vy vz clo wcel cc chil wa csm co cva cfv wceq wi w3a cv wral opreq1
      opreq1d fveq2d eqeq12d opreq2 fveq2 opreq2d rcla43v wf ellnopt pm3.27bi
      syl5 3expb impcom anassrs ) DHIZAJIZBKIZCKIZLZABMNZCONZDPZABDPZMNZCDPZONZ
      QZURVALUQVIURUSUTUQVIRURUSUTSETZFTZMNZGTZONZDPZVJVKDPZMNZVMDPZONZQZGKUAFK
      UAEJUAZVIUQVTVIAVKMNZVMONZDPZAVPMNZVRONZQVBVMONZDPZVFVRONZQEFGABCJKKVJAQZ
      VOWDVSWFWJVNWCDWJVLWBVMOVJAVKMUBUCUDWJVQWEVROVJAVPMUBUCUEVKBQZWDWHWFWIWKW
      CWGDWKWBVBVMOVKBAMUFUCUDWKWEVFVROWKVPVEAMVKBDUGUHUCUEVMCQZWHVDWIVHWLWGVCD
      VMCVBOUFUDWLVRVGVFOVMCDUGUHUEUIUQKKDUJWAEFGDUKULUMUNUOUP $.
      $( [4-Mar-2006] $) $( [22-Jan-2006] $)

    $( Basic inner product property of a unitary operator. $)
    unopt $p |- ( ( T e. UniOp /\ A e. H~ /\ B e. H~ ) ->
                ( ( T ` A ) .ih ( T ` B ) ) = ( A .ih B ) ) $=
      ( vx vy cuo wcel chil w3a cv cfv csp co wceq wral wfo elunopt pm3.27bi
      3ad2ant1 wi fveq2 opreq1d opreq1 eqeq12d opreq2d opreq2 rcla42v 3adant1
      mpd ) CFGZAHGZBHGZIDJZCKZEJZCKZLMZUMUOLMZNZEHODHOZACKZBCKZLMZABLMZNZUJUKU
      TULUJHHCPUTDECQRSUKULUTVETUJUSVEVAUPLMZAUOLMZNDEABHHUMANZUQVFURVGVHUNVAUP
      LUMACUAUBUMAUOLUCUDUOBNZVFVCVGVDVIUPVBVALUOBCUAUEUOBALUFUDUGUHUI $.
      $( [3-Mar-2006] $) $( [22-Jan-2006] $)

    $( A unitary operator in Hilbert space is one-to-one and onto. $)
    unopf1ot $p |- ( T e. UniOp -> T : H~ -1-1-onto-> H~ ) $=
      ( vx vy cuo wcel chil wf1 wfo wa wf1o wf cv cfv wceq wi wral csp co
      elunopt pm3.26bi fof syl cmv cc0 caddc cmin w3a unopt 3anidm23 3adant3
      3adant2 opreq12d 3com23 3expb ffvelrn anim12i anandis sylan normlem9at
      adantl 3eqtr4rd eqeq1d wb c0v hvsubclt his6t hvsubeq0t bitrd 3bitr3rd
      biimpd ex r19.21aivv jca f1fv sylibr df-f1o ) ADEZFFAGZFFAHZIFFAJVQVRVSVQ
      FFAKZBLZAMZCLZAMZNZWAWCNZOZCFPBFPZIVRVQVTWHVQVSVTVQVSWBWDQRZWAWCQRZNCFPBF
      PBCASTZFFAUAUBZVQWGBCFFVQWAFEZWCFEZIZWGVQWOIZWEWFWPWAWCUCRZWQQRZUDNZWBWDU
      CRZWTQRZUDNZWFWEWPWRXAUDWPWBWBQRZWDWDQRZUERZWIWDWBQRZUERZUFRZWAWAQRZWCWCQ
      RZUERZWJWCWAQRZUERZUFRZXAWRVQWMWNXHXNNVQWMWNUGZXEXKXGXMUFXOXCXIXDXJUEVQWM
      XCXINZWNVQWMXPWAWAAUHUIUJVQWNXDXJNZWMVQWNXQWCWCAUHUIUKULXOWIWJXFXLUEWAWCA
      UHVQWNWMXFXLNWCWAAUHUMULULUNWPWBFEZWDFEZIZXAXHNVTWOXTVQVTWMWNXTVTWMIXRVTW
      NIXSFFWAAUOFFWCAUOUPUQWLURZWBWDUSUBWOWRXNNVQWAWCUSUTVAVBWOWSWFVCVQWOWSWQV
      DNZWFWOWQFEWSYBVCWAWCVEWQVFUBWAWCVGVHUTWPXTXBWEVCYAXTXBWTVDNZWEXTWTFEXBYC
      VCWBWDVEWTVFUBWBWDVGVHUBVIVJVKVLVMBCFFAVNVOWKVMFFAVPVO $.
      $( [3-Mar-2006] $) $( [22-Jan-2006] $)

    $( A unitary operator is idempotent in the norm. $)
    unopnormt $p |- ( ( T e. UniOp /\ A e. H~ ) ->
                ( normh ` ( T ` A ) ) = ( normh ` A ) ) $=
      ( cuo wcel chil wa cfv cno c2 cexp co wceq csp unopt 3anidm23 wf ffvelrn
      wf1o unopf1ot f1of syl sylan normsqt adantl 3eqtr4d cr cc0 cle wbr wb
      sq11t normclt normge0t syl2anc mpbid ) BCDZAEDZFZABGZHGZIJKZAHGZIJKZLZUTV
      BLZURUSUSMKZAAMKZVAVCUPUQVFVGLAABNOURUSEDZVAVFLEEBPZUQVHUPEEABQUPEEBRVIBS
      EEBTUAUBZUSUCUAUQVCVGLUPAUCUDUEUTUFDZUGUTUHUIZVBUFDZUGVBUHUIZVDVEUJURUTVB
      UKURVHVKVJUSULUAURVHVLVJUSUMUAUQVMUPAULUDUQVNUPAUMUDUNUO $.
      $( [22-Mar-2006] $) $( [25-Feb-2006] $)

    $( The inverse (converse) of a unitary operator in Hilbert space is
       unitary.  Theorem in [AkhiezerGlazman] p. 72. $)
    cnvunopt $p |- ( T e. UniOp -> `' T e. UniOp ) $=
      ( vx vy cuo wcel chil ccnv wfo cv cfv csp co wceq wral wa wf1o unopf1ot
      f1ocnv f1ofo syl unopt pm3.26 wf ffvelrn fof sylan adantrr adantrl
      syl3anc f1ocnvfv2 opreq12d eqtr3d ex r19.21aivv jca elunopt sylibr ) ADEZ
      FFAGZHZBIZUSJZCIZUSJZKLZVAVCKLZMZCFNBFNZOUSDEURUTVHURFFAPZUTAQZVIFFUSPUTF
      FARFFUSSTTZURVGBCFFURVAFEZVCFEZOZVGURVNOZVBAJZVDAJZKLZVEVFURVBFEZVDFEZVRV
      EMVOVBVDAUAURVNUBURVLVSVMFFUSUCZVLVSURFFVAUSUDURUTWAVKFFUSUETZUFUGURVMVTV
      LWAVMVTURFFVCUSUDWBUFUHUIVIVNVRVFMURVIVNOVPVAVQVCKVIVLVPVAMVMFFVAAUJUGVIV
      MVQVCMVLFFVCAUJUHUKVJUFULUMUNUOBCUSUPUQ $.
      $( [4-Mar-2006] $) $( [22-Jan-2006] $)

    $( The inverse (converse) of a unitary operator is its adjoint.  Equation 2
       of [AkhiezerGlazman] p. 72. $)
    unopadjt $p |- ( ( T e. UniOp /\ A e. H~ /\ B e. H~ ) ->
                  ( ( T ` A ) .ih B ) = ( A .ih ( `' T ` B ) ) ) $=
      ( cuo wcel chil w3a cfv ccnv csp co wceq wf1o f1ocnvfv2 unopf1ot sylan
      3adant2 opreq2d unopt wf ffvelrn f1ocnv f1of 3syl syld3an3 eqtr3d ) CDEZA
      FEZBFEZGZACHZBCIZHZCHZJKZUKBJKAUMJKZUJUNBUKJUGUIUNBLZUHFFCMZUIUQUGFFBCNCO
      ZPQRUGUHUMFEZUOUPLUIAUMCSUGUIUTUHFFULTZUIUTUGFFBULUAUGURFFULMVAUSFFCUBFFU
      LUCUDPQUEUF $.
      $( [4-Mar-2006] $) $( [22-Jan-2006] $)

    $( A unitary operator is linear.  Theorem in [AkhiezerGlazman] p. 72. $)
    unoplint $p |- ( T e. UniOp -> T e. LinOp ) $=
      ( vx vy vz vw cuo wcel chil wf cv csm co cva cfv wceq wral cc wa clo
      wf1o unopf1ot f1of syl csp ccnv cmul caddc unopadjt pm3.26 ad2antrr
      hvaddclt hvmulclt sylan adantll adantr pm3.27 syl3anc hiassdit simprl
      simprr simplr ffvelrn cnvunopt 3syl adantlr adantllr syl2anc adantrl
      3expa opreq2d adantlrl opreq12d eqtr2d 3eqtrd r19.21aiva wb hial2eqt
      sylan2 anassrs an1s sylanc sylanl1 mpbid ex r19.21aivv jca ellnopt
      sylibr ) AFGZHHAIZBJZCJZKLZDJZMLZANZWKWLANZKLZWNANZMLZOZDHPZCHPBQPZRASGWI
      WJXCWIHHATWJAUAHHAUBUCZWIXBBCQHWIWKQGZWLHGZRZXBWIXGRZXADHXHWNHGZRZWPEJZUD
      LZWTXKUDLZOZEHPZXAXJXNEHXJXKHGZRZXLWOXKAUEZNZUDLZWKWLXSUDLZUFLZWNXSUDLZUG
      LZXMWIWOHGZXPXLXTOXQWOXKAUHXHWIXIXPWIXGUIUJXJYEXPXGXIYEWIWMHGXIYEXGWMWNUK
      WKWLULUMZUNUOXJXPUPZUQXEXFXIXSHGZXTYDOXQWKWLWNXSURXHXEXIXPWIXEXFUSUJZXHXF
      XIXPWIXEXFUTUJXHXIXPVAWIXIXPYHXGWIXPYHXIHHXRIZXPYHWIHHXKXRVBWIXRFGHHXRTYJ
      AVCXRUAHHXRUBVDUMVEVFVGXQXMWKWQXKUDLZUFLZWSXKUDLZUGLZYDXEWQHGZWSHGZXPXMYN
      OXQWKWQWSXKURYIXHYOXIXPWIXFYOXEWJXFYOWIHHWLAVBZXDUMVHUJWIXIXPYPXGWIXIRYPX
      PWJXIYPWIHHWNAVBZXDUMUOVFYGVGXQYLYBYMYCUGXHXPYLYBOZXIWIXFXPYSXEWIXFRXPRYK
      YAWKUFWIXFXPYKYAOWLXKAUHVIVJVKVEWIXIXPYMYCOZXGWIXIXPYTWNXKAUHVIVFVLVMVNVO
      WJXGXIXOXAVPZWIWPHGZWTHGZUUAWJXGRZXIRZEWPWTVQWJXGXIUUBWJYEUUBXGXIRHHWOAVB
      YFVRVSWRHGZYPUUCUUEWRWSUKUUDUUFXIXEWJXFUUFXEYOUUFWJXFRWKWQULYQVRVTUOWJXIY
      PXGYRVEWAWAXDWBWCVOWDWEWFBCDAWGWH $.
      $( [4-Mar-2006] $) $( [22-Jan-2006] $)

    $( The composition of two unitary operators is unitary. $)
    counopt $p |- ( ( S e. UniOp /\ T e. UniOp ) -> ( S o. T ) e. UniOp ) $=
      ( vx vy cuo wcel wa chil ccom wfo cv cfv csp co wceq wral wf1o f1oco
      unopf1ot syl2an f1ofo syl wfun wf fvco3 3expa f1ofun f1of anim12i pm3.26
      pm3.27 opreq12d unopt 3expb ffvelrn anandis sylan sylan2 anassrs adantll
      3eqtrd ex r19.21aivv jca elunopt sylibr ) AEFZBEFZGZHHABIZJZCKZVJLZDKZVJL
      ZMNZVLVNMNZOZDHPCHPZGVJEFVIVKVSVIHHVJQZVKHHAQZHHBQZVTVGVHHHHABRASZBSZTHHV
      JUAUBVIVRCDHHVIVLHFZVNHFZGZVRVIWGGZVPVLBLZALZVNBLZALZMNZWIWKMNZVQWHVMWJVO
      WLMAUCZHHBUDZGZWEVMWJOZVIWGWOWPWEWRHHVLABUEUFVGWOVHWPVGWAWOWCHHAUGUBVHWBW
      PWDHHBUHUBZUIZWEWFUJTWQWFVOWLOZVIWGWOWPWFXAHHVNABUEUFWTWEWFUKTULVGVHWGWMW
      NOZVGWIHFZWKHFZGZXBVHWGGVGXCXDXBWIWKAUMUNWPWGXEVHWPWEWFXEWPWEGXCWPWFGXDHH
      VLBUOHHVNBUOUIUPWSUQURUSVHWGWNVQOZVGVHWEWFXFVLVNBUMUNUTVAVBVCVDCDVJVEVF
      $.
      $( [20-Oct-2006] $) $( [22-Jan-2006] $)

    $( Basic inner product property of a Hermitian operator. $)
    hmopt $p |- ( ( T e. HrmOp /\ A e. H~ /\ B e. H~ ) ->
                ( A .ih ( T ` B ) ) = ( ( T ` A ) .ih B ) ) $=
      ( vx vy cho wcel chil w3a cv cfv csp co wceq wral wf elhmopt pm3.27bi
      3ad2ant1 wi opreq1 fveq2 opreq1d eqeq12d opreq2d opreq2 rcla42v 3adant1
      mpd ) CFGZAHGZBHGZIDJZEJZCKZLMZUMCKZUNLMZNZEHODHOZABCKZLMZACKZBLMZNZUJUKU
      TULUJHHCPUTDECQRSUKULUTVETUJUSVEAUOLMZVCUNLMZNDEABHHUMANZUPVFURVGUMAUOLUA
      VHUQVCUNLUMACUBUCUDUNBNZVFVBVGVDVIUOVAALUNBCUBUEUNBVCLUFUDUGUHUI $.
      $( [27-May-2006] $) $( [19-Mar-2006] $)

    $( The inner product of the value and argument of a Hermitian operator is
       real. $)
    hmopret $p |- ( ( T e. HrmOp /\ A e. H~ ) -> ( ( T ` A ) .ih A ) e. RR ) $=
      ( cho wcel chil wa cfv csp co cr wceq hmopt 3anidm23 eqcomd wb wf
      ffvelrn hmopft sylan hiret sylancom mpbird ) BCDZAEDZFZABGZAHIZJDZUGAUFHI
      ZKZUEUIUGUCUDUIUGKAABLMNUCUDUFEDZUHUJOEEBPUDUKUCEEABQBRSUFATUAUB $.
      $( [28-Jul-2006] $) $( [23-Jul-2006] $)

    $( A lower bound for a functional norm. $)
    nmfnlbt $p |- ( ( T : H~ --> CC /\ A e. H~ /\ ( normh ` A ) <_ 1 ) ->
                  ( abs ` ( T ` A ) ) <_ ( normfn ` T ) ) $=
      ( vy vx chil cc wf wcel cno cfv c1 cle wbr w3a cabs cv wceq wa wrex cab
      cxr clt csup cnmf wss supxrub cr nmfnsetret ressxr a1i sstrd 3ad2ant1
      fveq2 breq1d fveq2d eqeq2d anbi12d eqid biantru syl6bbr rcla4ev fvex
      eqeq1 anbi2d rexbidv elab sylibr 3adant1 sylanc nmfnvalt breqtrrd ) EFBGZ
      AEHZAIJZKLMZNZABJZOJZCPZIJZKLMZDPZVSBJZOJZQZRZCESZDTZUAUBUCZBUDJZLWHUAUEZ
      VRWHHZVRWILMVPWHVRUFVLVMWKVOVLWHUGUADCBUHUGUAUEVLUIUJUKULVMVOWLVLVMVORWAV
      RWDQZRZCESZWLWNVOCAEVSAQZWNVOVRVRQZRVOWPWAVOWMWQWPVTVNKLVSAIUMUNWPWDVRVRW
      PWCVQOVSABUMUOUPUQWQVOVRURUSUTVAWGWODVRVQOVBWBVRQZWFWNCEWRWEWMWAWBVRWDVCV
      DVEVFVGVHVIVLVMWJWIQVODCBVJULVK $.
      $( [9-Apr-2006] $) $( [14-Feb-2006] $)

    $( An upper bound for the norm of a functional. $)
    nmfnleubt $p |- ( ( T : H~ --> CC /\ A e. RR* /\ A. x e. H~ ( ( normh ` x )
              <_ 1 -> ( abs ` ( T ` x ) ) <_ A ) ) -> ( normfn ` T ) <_ A ) $=
      ( vz vy vw chil cc wf cxr wcel cv cno cfv c1 cle wbr cabs wi wral w3a
      cnmf wceq wa wrex cab clt csup nmfnvalt 3ad2ant1 wss supxrleub cr
      nmfnsetret ressxr a1i sstrd 3simp2 fveq2 breq1d fveq2d imbi12d rcla4cv
      breq1 biimprcd syl8 imp4a r19.23adv visset eqeq1 anbi2d rexbidv elab
      syl5ib r19.21aiv 3ad2ant3 syl3anc eqbrtrd ) GHCIZBJKZALZMNZOPQZWACNZRNZBP
      QZSZAGTZUAZCUBNZDLZMNZOPQZELZWKCNZRNZUCZUDZDGUEZEUFZJUGUHZBPVSVTWJXAUCWHE
      DCUIUJWTJUKZVTFLZBPQZFWTTZXABPQWIFWTBULVSVTXBWHVSWTUMJEDCUNUMJUKVSUOUPUQU
      JVSVTWHURWHVSXEVTWHXDFWTWHWMXCWPUCZUDZDGUEZXDXCWTKWHXGXDDGWHWKGKZWMXFXDWH
      XIWMWPBPQZXFXDSWGWMXJSAWKGWAWKUCZWCWMWFXJXKWBWLOPWAWKMUSUTXKWEWPBPXKWDWOR
      WAWKCUSVAUTVBVCXFXDXJXCWPBPVDVEVFVGVHWSXHEXCFVIWNXCUCZWRXGDGXLWQXFWMWNXCW
      PVJVKVLVMVNVOVPVQVR $.
      $( [28-Jun-2006] $) $( [24-May-2006] $)

    $( An upper bound for the norm of a functional. $)
    nmfnleub2t $p |- ( ( T : H~ --> CC /\ ( A e. RR /\ 0 <_ A ) /\ A. x e. H~
    ( abs ` ( T ` x ) ) <_ ( A x. ( normh ` x ) ) ) -> ( normfn ` T ) <_ A ) $=
      ( chil cc wf cr wcel cc0 cle wbr wa cv cfv cabs cno cmul co wral cnmf c1
      wi 1re lemul2itOLD mp3anl2 normclt anim1i ancoms adantlr adantll adantr
      id sylanc wceq recnt ax1id syl ad2antrl ad2antrr breqtrd letrt ffvelrn
      absclt axmulrcl sylan2 pm3.26 ad2antlr syl3anc mpan2d ex com23 r19.20dva
      imp cxr nmfnleubt rexrt syl3an2 3expa syldan 3impa ) DECFZBGHZIBJKZLZAMZC
      NZONZBWEPNZQRZJKZADSZCTNBJKZWAWDLZWKWHUAJKZWGBJKZUBZADSZWLWMWKWQWMWJWPADW
      MWEDHZLZWNWJWOWSWNWJWOUBWSWNLZWJWIBJKZWOWTWIBUAQRZBJWHGHZWBLZWCWNLZWIXBJK
      ZWTXCUAGHWBXEXFUCWHUABUDUEWSXDWNWDWRXDWAWBWRXDWCWRWBXDWRXCWBWEUFZUGUHUIUJ
      UKWMWNXEWRWDWNXEWAWCWNXEWBXEULUJUJUIUMWMXBBUNZWRWNWBXHWAWCWBBEHXHBUOBUPUQ
      URUSUTWSWJXALWOUBZWNWGGHZWIGHZWBXIWSWGWIBVAWAWRXJWDWAWRLWFEHXJDEWECVBWFVC
      UQUIWDWRXKWAWBWRXKWCWBXCXKWRBWHVDXGVEUIUJWDWBWAWRWBWCVFVGVHUKVIVJVKVLVMWA
      WDWQWLWABVNHZWQWLWDABCVOWBXLWCBVPUKVQVRVSVT $.
      $( [22-Oct-2006] $) $( [24-May-2006] $)

    $( The norm of any Hilbert space functional is nonnegative. $)
    nmfnge0t $p |- ( T : H~ --> CC -> 0 <_ ( normfn ` T ) ) $=
      ( chil cc wf cc0 c0v cfv cabs cle wbr cnmf wcel ax-hv0cl ffvelrn mpan2
      absge0t syl cno c1 norm0 0re 1re lt01 ltlei eqbrtr nmfnlbt mp3an23 cxr
      wa wi cr rexrt ax-mp xrletrt mp3an1 absclt 3syl nmfnxrt sylanc mp2and )
      BCADZEFAGZHGZIJZVCAKGZIJZEVEIJZVAVBCLZVDVAFBLZVHMBCFANOZVBPQVAVIFRGZSIJVF
      MVKESITESUAUBUCUDUEFAUFUGVCUHLZVEUHLZVDVFUIVGUJZVAEUHLZVLVMVNEUKLVOUAEULU
      MEVCVEUNUOVAVHVCUKLVLVJVBUPVCULUQAURUSUT $.
      $( [23-Oct-2006] $) $( [24-May-2006] $)

    $( Membership in the null space of a Hilbert space functional. $)
    elnlfnt $p |- ( ( T : H~ --> CC /\ A e. H~ ) ->
                  ( A e. ( null ` T ) <-> ( T ` A ) = 0 ) ) $=
      ( vx chil cc wf cnl cfv wcel cc0 wceq wa cv crab nlfnvalt eleq2d fveq2
      eqeq1d elrab syl6bb ibar bicomd sylan9bb ) DEBFZABGHZIZADIZABHZJKZLZUGUIU
      DUFACMZBHZJKZCDNZIUJUDUEUNACBOPUMUICADUKAKULUHJUKABQRSTUGUIUJUGUIUAUBUC
      $.
      $( [9-Apr-2006] $) $( [11-Feb-2006] $)

    $( Membership in the null space of a Hilbert space functional. $)
    elnlfn2t $p |- ( ( T : H~ --> CC /\ A e. ( null ` T ) ) ->
                   ( T ` A ) = 0 ) $=
      ( vx chil cc wf cnl cfv wcel wa cc0 wceq pm3.27 wb cv crab nlfnvalt wss
      ssrab2 a1i eqsstrd sseld imp elnlfnt syldan mpbid ) DEBFZABGHZIZJUIABHKLZ
      UGUIMUGUIADIZUIUJNUGUIUKUGUHDAUGUHCOBHKLZCDPZDCBQUMDRUGULCDSTUAUBUCABUDUE
      UF $.
      $( [11-Apr-2006] $) $( [11-Feb-2006] $)

    $( Basic continuity property of a continuous functional. $)
    cnfnct $p |- ( ( ( T e. ConFn /\ A e. H~ ) /\ ( B e. RR /\ 0 < B ) ) ->
               E. x e. RR ( 0 < x /\ A. y e. H~ ( ( normh ` ( y -h A ) ) < x ->
               ( abs ` ( ( T ` y ) - ( T ` A ) ) ) < B ) ) ) $=
      ( vw vz ccnf wcel chil cr cc0 clt wbr cv cmv co cno cfv cmin cabs wi
      wral wa wrex cc wf elcnfnt pm3.27bi wceq opreq2 fveq2d breq1d fveq2
      opreq2d imbi12d ralbidv anbi2d rexbidv imbi2d rcla4cv breq2 syl6 syl
      imp43 ) EHIZCJIZDKIZLDMNZLAOZMNZBOZCPQZRSZVJMNZVLESZCESZTQZUASZDMNZUBZBJU
      CZUDZAKUEZVFLFOZMNZVKVLGOZPQZRSZVJMNZVPWGESZTQZUASZWEMNZUBZBJUCZUDZAKUEZU
      BZFKUCZGJUCZVGVHVIWDUBZUBZUBVFJUFEUGXAGFABEUHUIXAVGWFVKVOVSWEMNZUBZBJUCZU
      DZAKUEZUBZFKUCZXCWTXJGCJWGCUJZWSXIFKXKWRXHWFXKWQXGAKXKWPXFVKXKWOXEBJXKWJV
      OWNXDXKWIVNVJMXKWHVMRWGCVLPUKULUMXKWMVSWEMXKWLVRUAXKWKVQVPTWGCEUNUOULUMUP
      UQURUSUTUQVAXIXBFDKWEDUJZWFVIXHWDWEDLMVBXLXGWCAKXLXFWBVKXLXEWABJXLXDVTVOW
      EDVSMVBUTUQURUSUPVAVCVDVE $.
      $( [9-Apr-2006] $) $( [11-Feb-2006] $)

    $( Basic linearity property of a linear functional. $)
    lnfnlt $p |- ( ( ( T e. LinFn /\ A e. CC ) /\ ( B e. H~ /\ C e. H~ ) ) ->
         ( T ` ( ( A .h B ) +h C ) ) = ( ( A x. ( T ` B ) ) + ( T ` C ) ) ) $=
      ( vx vy vz clf wcel cc chil wa csm co cva cfv cmul caddc wceq wi w3a cv
      wral opreq1 opreq1d fveq2d eqeq12d opreq2 fveq2 opreq2d rcla43v wf
      ellnfnt pm3.27bi syl5 3expb impcom anassrs ) DHIZAJIZBKIZCKIZLZABMNZCONZD
      PZABDPZQNZCDPZRNZSZUTVCLUSVKUTVAVBUSVKTUTVAVBUAEUBZFUBZMNZGUBZONZDPZVLVMD
      PZQNZVODPZRNZSZGKUCFKUCEJUCZVKUSWBVKAVMMNZVOONZDPZAVRQNZVTRNZSVDVOONZDPZV
      HVTRNZSEFGABCJKKVLASZVQWFWAWHWLVPWEDWLVNWDVOOVLAVMMUDUEUFWLVSWGVTRVLAVRQU
      DUEUGVMBSZWFWJWHWKWMWEWIDWMWDVDVOOVMBAMUHUEUFWMWGVHVTRWMVRVGAQVMBDUIUJUEU
      GVOCSZWJVFWKVJWNWIVEDVOCVDOUHUFWNVTVIVHRVOCDUIUJUGUKUSKJDULWCEFGDUMUNUOUP
      UQUR $.
      $( [9-Apr-2006] $) $( [11-Feb-2006] $)

    $( Closure of the adjoint of a Hilbert space operator. $)
    adjclt $p |- ( ( T e. dom adjh /\ A e. H~ ) ->
                 ( ( adjh ` T ) ` A ) e. H~ ) $=
      ( chil cado cfv wf wcel cdm ffvelrn dmadjrnt dmadjopt syl sylan ) CCBDEZF
      ZACGANECGBDHZGZCCANIQNPGOBJNKLM $.
      $( [20-Jun-2006] $) $( [17-Jun-2006] $)

    $( Property of an adjoint Hilbert space operator. $)
    adjt $p |- ( ( T e. dom adjh /\ A e. H~ /\ B e. H~ ) ->
               ( A .ih ( T ` B ) ) = ( ( ( adjh ` T ) ` A ) .ih B ) ) $=
      ( vx vy vz vw cado cdm wcel chil cfv csp co wceq wa cv wral opreq1 fveq2
      opreq1d eqeq12d opreq2d opreq2 rcla42v wf cop w3a copab wfun funadj
      funfvop mpan dfadj2 syl6eleq cvv wb fvex feq1 fveq1 eqeq1d 2ralbidv
      3anbi13d eqeq2d 3anbi23d opelopabg mpan2 mpbid 3simp3d syl5com 3impib )
      CHIZJZAKJZBKJZABCLZMNZACHLZLZBMNZOZVNVOPDQZEQZCLZMNZWBVRLZWCMNZOZEKRDKRZW
      AVMWHWAAWDMNZVSWCMNZODEABKKWBAOZWEWJWGWKWBAWDMSWLWFVSWCMWBAVRTUAUBWCBOZWJ
      VQWKVTWMWDVPAMWCBCTUCWCBVSMUDUBUEVMKKCUFZKKVRUFZWIVMCVRUGZKKFQZUFZKKGQZUF
      ZWBWCWQLZMNZWBWSLZWCMNZOZEKRDKRZUHZFGUIZJZWNWOWIUHZVMWPHXHHUJVMWPHJUKCHUL
      UMDEGFUNUOVMVRUPJXIXJUQCHURXGWNWTWEXDOZEKRDKRZUHXJFGCVRVLUPWQCOZWRWNXFXLW
      TKKWQCUSXMXEXKDEKKXMXBWEXDXMXAWDWBMWCWQCUTUCVAVBVCWSVROZWTWOXLWIWNKKWSVRU
      SXNXKWHDEKKXNXDWGWEXNXCWFWCMWBWSVRUTUAVDVBVEVFVGVHVIVJVK $.
      $( [9-Apr-2006] $) $( [15-Feb-2006] $)

    $( Property of an adjoint Hilbert space operator. $)
    adj2t $p |- ( ( T e. dom adjh /\ A e. H~ /\ B e. H~ ) ->
                ( ( T ` A ) .ih B ) = ( A .ih ( ( adjh ` T ) ` B ) ) ) $=
      ( cado cdm wcel chil cfv csp co wceq w3a ccj adjt ax-his1 3simp2 wf
      ffvelrn dmadjopt sylan 3adant2 sylanc adjclt 3adant3 3simp3 3eqtr3d cc
      wb cj11t hiclt mpbid 3com23 ) CDEFZBGFZAGFZACHZBIJZABCDHHZIJZKZUMUNUOLZUQ
      MHZUSMHZKZUTVABUPIJZURAIJZVBVCBACNUNUPGFZVEVBKVABUPOUMUNUOPZUMUOVGUNGGCQU
      OVGUMGGACRCSTUAZUBURGFZUOVFVCKVAURAOUMUNVJUOBCUCUDZUMUNUOUEZUBUFUQUGFZUSU
      GFZVDUTUHVAUQUSUIVGUNVMVAUPBUJVIVHUBUOVJVNVAAURUJVLVKUBUBUKUL $.
      $( [3-Jun-2006] $) $( [15-Feb-2006] $)

    $( A property that determines the adjoint of a Hilbert space operator. $)
    adjeqt $p |- ( ( T : H~ --> H~ /\ S : H~ --> H~ /\ A. x e. H~ A. y e. H~
           ( ( T ` x ) .ih y ) = ( x .ih ( S ` y ) ) ) -> ( adjh ` T ) = S ) $=
      ( vz vw cvv wcel cop cado cfv wceq chil wf cv csp co wral w3a wfun wi
      funadj funopfvg mpan2 ax-hilex fex 3ad2ant2 wa copab wb feq1 fveq1
      opreq1d eqeq1d 2ralbidv 3anbi13d opreq2d eqeq2d 3anbi23d opelopabg
      syl2an df-adjh eleq2i syl5bb df-3an baibr bitr4d biimpar 3impa sylc ) CGH
      ZDCIZJHZDJKCLZMMDNZMMCNZAOZDKZBOZPQZVQVSCKZPQZLZBMRAMRZSZVKJTVMVNUAUBDCGJ
      UCUDVPVOVKWDVPMGHZVKUEMMGCUFUDZUGVOVPWDVMVOVPUHZVMWDWHVMWEWDWHVLMMEOZNZMM
      FOZNZVQWIKZVSPQZVQVSWKKZPQZLZBMRAMRZSZEFUIZHZWEVMDGHZVKXAWEUJVOVPWSVOWLVT
      WPLZBMRAMRZSWEEFDCGGWIDLZWJVOWRXDWLMMWIDUKXEWQXCABMMXEWNVTWPXEWMVRVSPVQWI
      DULUMUNUOUPWKCLZWLVPXDWDVOMMWKCUKXFXCWCABMMXFWPWBVTXFWOWAVQPVSWKCULUQURUO
      USUTVOWFXBUEMMGDUFUDWGVAJWTVLABFEVBVCVDWEWHWDVOVPWDVEVFVGVHVIVJ $.
      $( [3-Jun-2006] $) $( [20-Feb-2006] $)

    $( Double adjoint.  Theorem 3.11(iv) of [Beran] p. 106. $)
    adjadjt $p |- ( T e. dom adjh -> ( adjh ` ( adjh ` T ) ) = T ) $=
      ( vx vy cado cdm wcel cv cfv csp co wceq chil wral w3a adj2t adjt
      dmadjrnt syl3an1 eqtr2d 3expib r19.21aivv wf wb hoeq1t dmadjopt 3syl
      sylanc mpbid ) ADEZFZBGZADHZDHZHCGZIJZUKAHUNIJZKZCLMBLMZUMAKZUJUQBCLLUJUK
      LFZUNLFZUQUJUTVANUPUKUNULHIJZUOUKUNAOULUIFZUTVAVBUOKUJUKUNULPAQZRSTUALLUM
      UBZLLAUBURUSUCUJBCUMAUDUJVCUMUIFVEVDULQUMUEUFAUEUGUH $.
      $( [3-Jun-2006] $) $( [15-Feb-2006] $)

    $( Value of the value of the adjoint function. $)
    adjvalvalt $p  |- ( ( T e. dom adjh /\ A e. H~ ) -> ( ( adjh ` T ) ` A ) =
             U. { w e. H~ | A. x e. H~ ( ( T ` x ) .ih A ) = ( x .ih w ) } ) $=
      ( vy cado cdm wcel chil wa cv cfv csp co wceq wral crab cuni adj2t
      3com23 3expa r19.21aiva wreu wb opreq2 eqeq2d ralbidv reuuni2 adjclt
      wrex wi rcla4ev sylanc hial2eq2t r19.26 eqtr2t r19.20si sylbir syl5bi
      rgen2a jctir reu4 sylibr mpbid eqcomd ) DFGHZCIHZJZAKZDLCMNZVIBKZMNZOZAIP
      ZBIQRZCDFLLZVHVJVIVPMNZOZAIPZVOVPOZVHVRAIVFVGVIIHZVRVFWAVGVRVICDSTUAUBZVP
      IHZVNBIUCZVSVTUDVHVNVSBIVPVKVPOZVMVRAIWEVLVQVJVKVPVIMUEUFUGZUHCDUIZVHVNBI
      UJZVNVJVIEKZMNZOZAIPZJZVKWIOZUKZEIPBIPZJWDVHWHWPWCVSWHVHVNVSBVPIWFULWGWBU
      MWOBEIVKIHWIIHJVLWJOZAIPZWNWMAVKWIUNWMVMWKJZAIPWRVMWKAIUOWSWQAIVJVLWJUPUQ
      URUSUTVAVNWLBEIWNVMWKAIWNVLWJVJVKWIVIMUEUFUGVBVCUMVDVE $.
      $( [3-Jun-2006] $) $( [22-Feb-2006] $)

    $( The adjoint of a unitary operator is its inverse (converse).  Equation 2
       of [AkhiezerGlazman] p. 72. $)
    unopadj2t $p |- ( T e. UniOp -> ( adjh ` T ) = `' T ) $=
      ( vx vy chil wf ccnv cv cfv csp co wceq wral cado cuo wcel adjeqt clo
      unoplint lnopft syl cnvunopt 3syl unopadjt 3expib r19.21aivv syl3anc ) DD
      AEZDDAFZEZBGZAHCGZIJUJUKUHHIJKZCDLBDLAMHUHKANOZBCUHAPUMAQOUGARASTUMUHNOUH
      QOUIAUAUHRUHSUBUMULBCDDUMUJDOUKDOULUJUKAUCUDUEUF $.
      $( [25-Sep-2006] $) $( [23-Feb-2006] $)

    $( A Hermitian operator is self-adjoint. $)
    hmopadjt $p |- ( T e. HrmOp -> ( adjh ` T ) = T ) $=
      ( vx vy chil wf cv cfv csp co wceq wral cado cho wcel adjeqt hmopft w3a
      hmopt eqcomd 3expib r19.21aivv syl3anc ) DDAEZUCBFZAGCFZHIZUDUEAGHIZJZCDK
      BDKALGAJAMNZBCAAOAPZUJUIUHBCDDUIUDDNZUEDNZUHUIUKULQUGUFUDUEARSTUAUB $.
      $( [4-Jun-2006] $) $( [24-Mar-2006] $)

    $( Every Hermitian operator has an adjoint. $)
    hmdmadjt $p |- ( T e. HrmOp -> T e. dom adjh ) $=
      ( cho wcel cado cfv c0 wceq cdm chil wf wn hmopft hon0 syl hmopadjt
      eqeq1d mtbird ndmfv nsyl2 ) ABCZADEZFGZADHCTUBAFGZTIIAJUCKALAMNTUAAFAOPQA
      DRS $.
      $( [1-Oct-2006] $) $( [24-Mar-2006] $)

    $( An operator is Hermitian iff it is self-adjoint.  Definition of
       Hermitian in [Halmos] p. 41. $)
    hmopadj2t $p |- ( T e. dom adjh -> ( T e. HrmOp <-> ( adjh ` T ) = T ) ) $=
      ( vx vy cado cdm wcel cho cfv wceq hmopadjt wa chil wf cv csp co wral
      dmadjopt adantr adjt 3expb adantlr fveq1 opreq1d ad2antlr eqtrd ex
      r19.21aivv jca elhmopt sylibr impbid2 ) ADEFZAGFZADHZAIZAJUMUPUNUMUPKZLLA
      MZBNZCNZAHOPZUSAHZUTOPZIZCLQBLQZKUNUQURVEUMURUPARSUQVDBCLLUQUSLFZUTLFZKZV
      DUQVHKVAUSUOHZUTOPZVCUMVHVAVJIZUPUMVFVGVKUSUTATUAUBUPVJVCIUMVHUPVIVBUTOUS
      UOAUCUDUEUFUGUHUIBCAUJUKUGUL $.
      $( [24-Oct-2006] $) $( [9-Apr-2006] $)

    $( A Hermitian operator is linear. $)
    hmoplint $p |- ( T e. HrmOp -> T e. LinOp ) $=
      ( vx vy vz vw cho wcel chil wf cv csm co cva cfv wceq wral cc wa clo
      hmopft csp cmul caddc w3a hmopt eqcomd pm3.26 ad2antrr hvaddclt hvmulclt
      sylan adantll adantr pm3.27 syl3anc hiassdit simprl simprr simplr
      ffvelrn adantlr adantllr syl2anc adantrl 3expa opreq2d adantlrl opreq12d
      eqtr2d 3eqtrd r19.21aiva wb hial2eqt sylan2 anassrs an1s sylanc sylanl1
      mpbid ex r19.21aivv jca ellnopt sylibr ) AFGZHHAIZBJZCJZKLZDJZMLZANZWGWHA
      NZKLZWJANZMLZOZDHPZCHPBQPZRASGWEWFWSATZWEWRBCQHWEWGQGZWHHGZRZWRWEXCRZWQDH
      XDWJHGZRZWLEJZUALZWPXGUALZOZEHPZWQXFXJEHXFXGHGZRZXHWKXGANZUALZWGWHXNUALZU
      BLZWJXNUALZUCLZXIWEWKHGZXLXHXOOXMWEXTXLUDXOXHWKXGAUEUFXDWEXEXLWEXCUGUHXFX
      TXLXCXEXTWEWIHGXEXTXCWIWJUIWGWHUJUKZULUMXFXLUNZUOXAXBXEXNHGZXOXSOXMWGWHWJ
      XNUPXDXAXEXLWEXAXBUQUHZXDXBXEXLWEXAXBURUHXDXEXLUSWEXEXLYCXCWEXLYCXEWFXLYC
      WEHHXGAUTWTUKVAVBVCXMXIWGWMXGUALZUBLZWOXGUALZUCLZXSXAWMHGZWOHGZXLXIYHOXMW
      GWMWOXGUPYDXDYIXEXLWEXBYIXAWFXBYIWEHHWHAUTZWTUKVDUHWEXEXLYJXCWEXERYJXLWFX
      EYJWEHHWJAUTZWTUKUMVBYBVCXMYFXQYGXRUCXDXLYFXQOZXEWEXBXLYMXAWEXBRXLRYEXPWG
      UBWEXBXLYEXPOWEXBXLUDXPYEWHXGAUEUFVEVFVGVAWEXEXLYGXROZXCWEXEXLYNWEXEXLUDX
      RYGWJXGAUEUFVEVBVHVIVJVKWFXCXEXKWQVLZWEWLHGZWPHGZYOWFXCRZXERZEWLWPVMWFXCX
      EYPWFXTYPXCXERHHWKAUTYAVNVOWNHGZYJYQYSWNWOUIYRYTXEXAWFXBYTXAYIYTWFXBRWGWM
      UJYKVNVPUMWFXEYJXCYLVAVQVQWTVRVSVKVTWAWBBCDAWCWD $.
      $( [28-May-2006] $) $( [24-Mar-2006] $)

    $( The bra of a vector, expressed as ` <. A | ` in Dirac notation.  See
       ~ df-bra . $)
    bravalt $p |- ( A e. H~ ->
            ( bra ` A ) = { <. x , y >. | ( x e. H~ /\ y = ( x .ih A ) ) } ) $=
      ( vz vw cv chil wcel csp co wceq wa copab cbr opreq2 eqeq2d anbi2d
      opabbidv df-bra ax-hilex opabex2 fvopab4 ) DECAFZGHZBFZUCDFZIJZKZLZABMUDU
      EUCCIJZKZLZABMGNUFCKZUIULABUMUHUKUDUMUGUJUEUFCUCIOPQRDABESABGUJTUAUB $.
      $( [17-May-2006] $) $( [15-May-2006] $)

    $( A bra-ket juxtaposition, expressed as ` <. A | B >. ` in Dirac notation,
       equals the inner product of the vectors.  Based on definition of bra in
       [Prugovecki] p. 186. $)
    bravalvalt $p |- ( ( A e. H~ /\ B e. H~ ) ->
                  ( ( bra ` A ) ` B ) = ( B .ih A ) ) $=
      ( vx vy chil wcel cbr cfv cv csp co wceq wa copab bravalt fveq1d opreq1
      eqid oprex fvopab4 sylan9eq ) AEFZBEFBAGHZHBCIZEFDIUDAJKZLMCDNZHBAJKZUBBU
      CUFCDAOPCDBUEUGEUFUDBAJQUFRBAJSTUA $.
      $( [17-May-2006] $) $( [15-May-2006] $)

    $( Linearity property of bra for addition. $)
    braaddt $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) -> ( ( bra ` A ) `
              ( B +h C ) ) = ( ( ( bra ` A ) ` B ) + ( ( bra ` A ) ` C ) ) ) $=
      ( chil wcel w3a cva co csp caddc cbr cfv wceq ax-his2 3comr wa
      bravalvalt hvaddclt sylan2 3impb 3adant3 3adant2 opreq12d 3eqtr4d ) ADEZB
      DEZCDEZFZBCGHZAIHZBAIHZCAIHZJHZUIAKLZLZBUNLZCUNLZJHUFUGUEUJUMMBCANOUEUFUG
      UOUJMZUEUIDEURUFUGPAUIQBCRSTUHUPUKUQULJUEUFUPUKMUGABQUAUEUGUQULMUFACQUBUC
      UD $.
      $( [1-Jun-2006] $) $( [23-May-2006] $)

    $( Linearity property of bra for multiplication. $)
    bramult $p |- ( ( A e. H~ /\ B e. CC /\ C e. H~ ) -> ( ( bra ` A ) `
              ( B .h C ) ) = ( B x. ( ( bra ` A ) ` C ) ) ) $=
      ( chil wcel cc w3a csm co csp cmul cbr cfv wceq ax-his3 3comr wa
      bravalvalt hvmulclt sylan2 3impb 3adant2 opreq2d 3eqtr4d ) ADEZBFEZCDEZGZ
      BCHIZAJIZBCAJIZKIZUIALMZMZBCUMMZKIUFUGUEUJULNBCAOPUEUFUGUNUJNZUEUIDEUPUFU
      GQAUIRBCSTUAUHUOUKBKUEUGUOUKNUFACRUBUCUD $.
      $( [6-Jun-2006] $) $( [23-May-2006] $)

    $( The bra function is a functional. $)
    brafnt $p |- ( A e. H~ -> ( bra ` A ) : H~ --> CC ) $=
      ( vx vy chil wcel cc cbr cfv wf cv csp co wceq wa copab wral hiclt
      ancoms r19.21aiva eqid fopab2 sylib bravalt feq1d mpbird ) ADEZDFAGHZIDFB
      JZDEZCJUHAKLZMNBCOZIZUFUJFEZBDPULUFUMBDUIUFUMUHAQRSBCDFUJUKUKTUAUBUFDFUGU
      KBCAUCUDUE $.
      $( [1-Jun-2006] $) $( [23-May-2006] $)

    $( The Dirac bra function is a linear functional. $)
    bralnfnt $p |- ( A e. H~ -> ( bra ` A ) e. LinFn ) $=
      ( vx vy vz chil wcel cc cbr cfv wf cv csm co cva cmul caddc wceq wral wa
      clf brafnt braaddt simpll hvmulclt ad2ant2lr simprr syl3anc bramult
      3expa adantrr opreq1d eqtrd ex r19.21aivv r19.21aiva jca ellnfnt sylibr
      ) AEFZEGAHIZJZBKZCKZLMZDKZNMUTIZVBVCUTIOMZVEUTIZPMZQZDERCERZBGRZSUTTFUSVA
      VLAUAUSVKBGUSVBGFZSZVJCDEEVNVCEFZVEEFZSZVJVNVQSZVFVDUTIZVHPMZVIUSVDEFZVPV
      FVTQVRAVDVEUBUSVMVQUCVMVOWAUSVPVBVCUDUEVNVOVPUFUGVRVSVGVHPVNVOVSVGQZVPUSV
      MVOWBAVBVCUHUIUJUKULUMUNUOUPBCDUTUQUR $.
      $( [7-Jun-2006] $) $( [23-May-2006] $)

    $( Closure of the bra function. $)
    braclt $p |- ( ( A e. H~ /\ B e. H~ ) -> ( ( bra ` A ) ` B ) e. CC ) $=
      ( chil cc cbr cfv wf wcel ffvelrn brafnt sylan ) CDAEFZGBCHBLFDHACHCDBLIA
      JK $.
      $( [1-Jun-2006] $) $( [23-May-2006] $)

    $( The Dirac bra of the zero vector. $)
    bra0 $p |- ( bra ` 0h ) = ( H~ X. { 0 } ) $=
      ( vx vy cv chil wcel c0v csp co wceq wa copab cc0 cbr cfv csn cxp hi02t
      eqeq2d pm5.32i opabbii ax-hv0cl bravalt ax-mp fconstopab 3eqtr4 ) ACZDEZB
      CZUFFGHZIZJZABKZUGUHLIZJZABKFMNZDLOPUKUNABUGUJUMUGUILUHUFQRSTFDEUOULIUAAB
      FUBUCABDLUDUE $.
      $( [7-Jun-2006] $) $( [25-May-2006] $)

    $( Anti-linearity property of bra functional for multiplication. $)
    brafnmult $p |- ( ( A e. CC /\ B e. H~ ) ->
                    ( bra ` ( A .h B ) ) = ( ( * ` A ) .fn ( bra ` B ) ) ) $=
      ( vx vy cc wcel chil wa cv csm co csp wceq copab ccj cfv cbr cmul chft
      his5t 3com23 3expa bravalvalt adantll opreq2d eqtr4d eqeq2d pm5.32da
      opabbidv hvmulclt bravalt syl wf hfmmvalt cjclt brafnt syl2an 3eqtr4d )
      AEFZBGFZHZCIZGFZDIZVBABJKZLKZMZHZCDNZVCVDAOPZVBBQPZPZRKZMZHZCDNZVEQPZVJVK
      SKZVAVHVOCDVAVCVGVNVAVCHZVFVMVDVSVFVJVBBLKZRKZVMUSUTVCVFWAMZUSVCUTWBAVBBT
      UAUBVSVLVTVJRUTVCVLVTMUSBVBUCUDUEUFUGUHUIVAVEGFVQVIMABUJCDVEUKULVJEFGEVKU
      MVRVPMUSUTCDVJVKUNAUOBUPUQUR $.
      $( [18-Jun-2006] $) $( [31-May-2006] $)

    $( The outer product of two vectors, expressed as ` | A >. ` ` <. B | ` in
       Dirac notation.  See ~ df-kb . $)
    kbvalt $p |- ( ( A e. H~ /\ B e. H~ ) -> ( A ketbra B ) =
                { <. x , y >. | ( x e. H~ /\ y = ( ( x .ih B ) .h A ) ) } ) $=
      ( vz vw vt chil cv wcel csp co csm wceq wa copab ck ax-hilex opabex2
      opreq2 eqeq2d anbi2d opabbidv opreq1d df-kb oprabval2 ) EFGCDHHAIZHJZBIZU
      GFIZKLZEIZMLZNZOZABPUHUIUGDKLZCMLZNZOZABPQUHUIUKCMLZNZOZABPABHUQRSULCNZUO
      VBABVCUNVAUHVCUMUTUIULCUKMTUAUBUCUJDNZVBUSABVDVAURUHVDUTUQUIVDUKUPCMUJDUG
      KTUDUAUBUCEFABGUEUF $.
      $( [17-May-2006] $) $( [15-May-2006] $)

    $( The outer product of two vectors, expressed as ` | A >. ` ` <. B | ` in
       Dirac notation, is an operator. $)
    kbopt $p |- ( ( A e. H~ /\ B e. H~ ) -> ( A ketbra B ) : H~ --> H~ ) $=
      ( vx vy chil wcel wa ck co wf cv csp csm wceq copab wral cc hvmulclt
      hiclt sylan ancom31s r19.21aiva eqid fopab2 sylib kbvalt feq1d mpbird )
      AEFZBEFZGZEEABHIZJEECKZEFZDKUMBLIZAMIZNGCDOZJZUKUPEFZCEPURUKUSCEUNUJUIUSU
      OQFUIUSUNUJGUOARUMBSTUAUBCDEEUPUQUQUCUDUEUKEEULUQCDABUFUGUH $.
      $( [20-Jun-2006] $) $( [30-May-2006] $)

    $( The value of the operator resulting from the outer product
       ` | A >. ` ` <. B | ` of two vectors.  Equation 8.1 of [Prugovecki]
       p. 376. $)
    kbvalvalt $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                 ( ( A ketbra B ) ` C ) = ( ( C .ih B ) .h A ) ) $=
      ( vx vy chil wcel ck co cfv csp csm wceq wa cv copab kbvalt fveq1d
      opreq1 opreq1d eqid oprex fvopab4 sylan9eq 3impa ) AFGZBFGZCFGZCABHIZJZCB
      KIZALIZMUFUGNZUHUJCDOZFGEOUNBKIZALIZMNDEPZJULUMCUIUQDEABQRDECUPULFUQUNCMU
      OUKALUNCBKSTUQUAUKALUBUCUDUE $.
      $( [17-May-2006] $) $( [15-May-2006] $)

    $( Multiplication property of outer product. $)
    kbmult $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
                ( ( A .h B ) ketbra C ) = ( B ketbra ( ( * ` A ) .h C ) ) ) $=
      ( vx vy cc wcel chil w3a cv csp co csm wceq wa copab ccj cfv ck cmul
      ax-hvmulass hiclt ancoms 3ad2antl3 3simp1 adantr 3simp2 syl3anc axmulcom
      sylan his52t 3expb eqtr4d ancom31s 3adantl2 opreq1d eqtr3d eqeq2d
      pm5.32da opabbidv kbvalt hvmulclt 3impa cjclt sylan2 3impb 3com12
      3eqtr4d ) AFGZBHGZCHGZIZDJZHGZEJZVMCKLZABMLZMLZNZOZDEPZVNVOVMAQRZCMLZKLZB
      MLZNZOZDEPZVQCSLZBWCSLZVLVTWGDEVLVNVSWFVLVNOZVRWEVOWKVPATLZBMLZVRWEVPFGZV
      IVJWMVRNWKVPABUAVKVIVNWNVJVNVKWNVMCUBZUCUDVLVIVNVIVJVKUEUFVLVJVNVIVJVKUGU
      FUHWKWLWDBMVIVKVNWLWDNZVJVNVKVIWPVNVKOZVIOWLAVPTLZWDWNVIWLWRNWQVPAUIWOUJV
      IWQWDWRNZVIVNVKWSAVMCUKULUCUMUNUOUPUQURUSUTVIVJVKWIWANZVQHGVKWTVIVJODEVQC
      VAABVBUJVCVJVIVKWJWHNZVJVIVKXAVJWCHGZXAVIVKODEBWCVAWBFGVKXBVIWBCVBAVDUJVE
      VFVGVH $.
      $( [27-Jun-2006] $) $( [31-May-2006] $)

    $( If a vector ` A ` has norm 1, the outer product ` | A >. ` ` <. A | ` is
       the projector onto the subspace spanned by ` A ` .
       ~ http://en.wikipedia.org/wiki/Bra-ket#Linear%5Foperators . $)
    kbpjt $p |- ( ( A e. H~ /\ ( normh ` A ) = 1 ) -> ( A ketbra A ) =
                ( proj ` ( span ` { A } ) ) ) $=
      ( vx chil wcel cno cfv c1 wceq wa ck co csn cspn cpj cv wral csp c2 cexp
      cdiv csm opreq1 sq1 syl6eq opreq2d cc hiclt ancoms div1t syl sylan9eqr
      an1rs opreq1d c0v wne pjspansnt simpll pm3.27 cc0 normne0t ax1ne0 neeq1
      mpbiri syl5bi imp adantr syl3anc kbvalvalt 3anidm12 adantlr 3eqtr4rd
      r19.21aiva eqid jctil wb wfn eqfnfv wf kbopt anidms ffn cch spansncht
      pjfnt sylanc mpbird ) ACDZAEFZGHZIZAAJKZALMFZNFZHZCCHZBOZWKFZWPWMFZHZBCPZ
      IZWJWTWOWJWSBCWJWPCDZIZWPAQKZWHRSKZTKZAUAKZXDAUAKZWRWQXCXFXDAUAWGXBWIXFXD
      HWIWGXBIZXFXDGTKZXDWIXEGXDTWIXEGRSKGWHGRSUBUCUDUEXIXDUFDZXJXDHXBWGXKWPAUG
      UHXDUIUJUKULUMWGXBAUNUOZWRXGHXCAWPUPWGWIXBUQWJXBURWJXLXBWGWIXLWGWHUSUOZXL
      WIAUTWIXMGUSUOVAWHGUSVBVCVDVEVFVGWGXBWQXHHZWIWGXBXNAAWPVHVIVJVKVLCVMVNWGW
      NXAVOZWIWKCVPZWMCVPZXOWGBCCWKWMVQWGCCWKVRZXPWGXRAAVSVTCCWKWAUJWGWLWBDXQAW
      CWLWDUJWEVFWF $.
      $( [6-Aug-2006] $) $( [30-May-2006] $)

    $( Membership in the set of eigenvectors of a Hilbert space operator. $)
    eleigvect $p |- ( T : H~ --> H~ -> ( A e. ( eigvec ` T ) <->
            ( A e. H~ /\ A =/= 0h /\ E. x e. CC ( T ` A ) = ( x .h A ) ) ) ) $=
      ( vy chil wf cei cfv wcel cv c0v wne csm co wceq cc wrex wa crab w3a
      eigvecvalt eleq2d neeq1 fveq2 opreq2 eqeq12d rexbidv anbi12d elrab
      3anass bitr4 syl6bb ) EECFZBCGHZIBDJZKLZUOCHZAJZUOMNZOZAPQZRZDESZIZBEIZBK
      LZBCHZURBMNZOZAPQZTZUMUNVCBDACUAUBVDVEVFVJRZRVKVBVLDBEUOBOZUPVFVAVJUOBKUC
      VMUTVIAPVMUQVGUSVHUOBCUDUOBURMUEUFUGUHUIVEVFVJUJUKUL $.
      $( [12-Apr-2006] $) $( [11-Mar-2006] $)

    $( Membership in the set of eigenvectors of a Hilbert space operator. $)
    eleigvec2t $p |- ( T : H~ --> H~ -> ( A e. ( eigvec ` T ) <->
            ( A e. H~ /\ A =/= 0h /\ ( T ` A ) e. ( span ` { A } ) ) ) ) $=
      ( vx chil wf cei cfv wcel c0v wne cv csm co wceq cc wrex w3a csn cspn
      eleigvect wa wb elspansnt adantr pm5.32i df-3an 3bitr4 syl6bbr ) DDBEABFG
      HADHZAIJZABGZCKALMNCOPZQZUIUJUKARSGHZQZCABTUIUJUAZUNUAUPULUAUOUMUPUNULUIU
      NULUBUJCAUKUCUDUEUIUJUNUFUIUJULUFUGUH $.
      $( [15-Apr-2006] $) $( [18-Mar-2006] $)

    $( Closure of an eigenvector of a Hilbert space operator. $)
    eleigvecclt $p |- ( ( T : H~ --> H~ /\ A e. ( eigvec ` T ) ) ->
                      A e. H~ ) $=
      ( chil wf cei cfv wcel wa c0v wne csn cspn w3a eleigvec2t biimpa 3simp1d
      ) CCBDZABEFGZHACGZAIJZABFAKLFGZQRSTUAMABNOP $.
      $( [15-Apr-2006] $) $( [23-Mar-2006] $)

    $( The eigenvalue of an eigenvector of a Hilbert space operator. $)
    eigvalt $p |- ( ( T : H~ --> H~ /\ A e. ( eigvec ` T ) ) ->
  ( ( eigval ` T ) ` A ) = ( ( ( T ` A ) .ih A ) / ( ( normh ` A ) ^ 2 ) ) ) $=
      ( vx vy chil wf cei cfv wcel cel cv csp co cno c2 cexp cdiv wceq wa
      copab eigvalvalt fveq1d fveq2 id opreq12d opreq1d eqid oprex fvopab4
      sylan9eq ) EEBFZABGHZIABJHZHACKZULIDKUNBHZUNLMZUNNHZOPMZQMZRSCDTZHABHZALM
      ZANHZOPMZQMZUKAUMUTCDBUAUBCDAUSVEULUTUNARZUPVBURVDQVFUOVAUNALUNABUCVFUDUE
      VFUQVCOPUNANUCUFUEUTUGVBVDQUHUIUJ $.
      $( [15-Apr-2006] $) $( [11-Mar-2006] $)

    $( An eigenvalue is a complex number. $)
    eigvalclt $p |- ( ( T : H~ --> H~ /\ A e. ( eigvec ` T ) )
     -> ( ( eigval ` T ) ` A ) e. CC ) $=
      ( vx chil wf cei cfv wcel wa cel csp co cno c2 cexp cdiv cc eigvalt cc0
      wne divclt eleigvecclt ffvelrn hiclt sylancom syldan normclt recnd sqclt
      3syl c0v cv csm wceq wrex w3a eleigvect biimpa wb sqne0t syl normne0t
      bitr2d 3adant3 syl3anc eqeltrd ) DDBEZABFGHZIZABJGGABGZAKLZAMGZNOLZPLZQAB
      RVKQHZVMQHZVMSTZVNQHVIVKVMUAVGVHADHZVOABUBZVGVRVJDHVODDABUCVJAUDUEUFVIVRV
      LQHZVPVSVRVLAUGUHZVLUIUJVIVRAUKTZVJCULAUMLUNCQUOZUPZVQVGVHWDCABUQURVRWBVQ
      WCVRWBVQVRVQVLSTZWBVRVTVQWEUSWAVLUTVAAVBVCURVDVAVEVF $.
      $( [15-Apr-2006] $) $( [11-Mar-2006] $)

    $( Property of an eigenvector. $)
    eigvect $p |- ( ( T : H~ --> H~ /\ A e. ( eigvec ` T ) ) ->
            ( ( T ` A ) = ( ( ( eigval ` T ) ` A ) .h A ) /\ A =/= 0h ) ) $=
      ( chil wf cei cfv wcel wa cel csm co wceq c0v wne csp cno c2 cexp cdiv
      eigvalt opreq1d csn cspn w3a eleigvec2t biimpa normcant syl eqtr2d
      3simp2d jca ) CCBDZABEFGZHZABFZABIFFZAJKZLAMNZUNUQUOAOKAPFQRKSKZAJKZUOUNU
      PUSAJABTUAUNACGZURUOAUBUCFGZUDZUTUOLULUMVCABUEUFZUOAUGUHUIUNVAURVBVDUJUK
      $.
      $( [24-May-2006] $) $( [12-Mar-2006] $)

    $( The eigenvalues of a Hermitian operator are real.  Equation 1.30 of
       [Hughes] p. 49. $)
    eighmret $p |- ( ( T e. HrmOp /\ A e. ( eigvec ` T ) ) ->
                    ( ( eigval ` T ) ` A ) e. RR ) $=
      ( chil wcel cel cfv cc wa csm co wceq c0v wne csp cr cho cei eigret
      biimpa wf eleigvecclt eigvalclt jca eigvect hmopft sylan hmopt 3expb
      syldan sylanc ) ACDZABEFFZGDZHZABFZULAIJKALMHZHZAUONJUOANJKZULODZBPDZABQF
      DZHUQURUSAULBRSCCBTZVAUQUTVBVAHZUNUPVCUKUMABUAZABUBUCABUDUCBUEZUFUTVAUKUK
      HZURVBVAVFUTVCUKUKVDVDUCVEUFUTUKUKURAABUGUHUIUJ $.
      $( [27-May-2006] $) $( [19-Mar-2006] $)

    $( Eigenvectors of a Hermitian operator with distinct eigenvalues are
       orthogonal.  Equation 1.31 of [Hughes] p. 49. $)
    eighmortht $p |- ( ( ( T e. HrmOp /\ A e. ( eigvec ` T ) ) /\
                     ( B e. ( eigvec ` T ) /\
                  -. ( ( eigval ` T ) ` A ) = ( ( eigval ` T ) ` B ) ) ) ->
                     ( A .ih B ) = 0 ) $=
      ( chil wcel wa cel cfv cc csm co wceq ccj wn csp cc0 cho cei eigortht
      biimpa wf eleigvecclt hmopft sylan adantr adantlr jca eighmret recnd
      adantrr c0v wne eigvect pm3.26d cr cjret syl eqeq2d negbid biimpar
      anasss hmopt simpll syl3anc sylanc ) ADEZBDEZFZACGHZHZIEZBVIHZIEZFZFZACHZ
      VJAJKLZBCHZVLBJKLZFZVJVLMHZLZNZFZFZAVROKVPBOKLZABOKPLZCQEZACRHZEZFZBWIEZV
      JVLLZNZFZFZWEWFWGABVJVLCSTWPVOWDWKWLVOWNWKWLFZVHVNWQVFVGWKVFWLDDCUAZWJVFW
      HACUBCUCZUDUEZWHWLVGWJWRWLVGWHBCUBWSUDUFZUGWQVKVMWKVKWLWKVJACUHUIUEWHWLVM
      WJWHWLFZVLBCUHZUIUFUGUGUJWPVTWCWKWLVTWNWQVQVSWKVQWLWRWJVQWHWRWJFVQAUKULAC
      UMUNWSUDUEWHWLVSWJWRWLVSWHWRWLFVSBUKULBCUMUNWSUDUFUGUJWHWOWCWJWHWLWNWCXBW
      CWNXBWBWMXBWAVLVJXBVLUOEWAVLLXCVLUPUQURUSUTVAUFUGUGWKWLWFWNWHVFVGWFWQABCV
      BWHWJWLVCWTXAVDUJVE $.
      $( [24-Sep-2006] $) $( [23-Mar-2006] $)
  $}

  ${
    $d x y T $.
    nmopneg.1 $e |- T : H~ --> H~ $.
    $( Value of the norm of the negative of a Hilbert space operator.  Unlike
       ~ nmophm , the operator does not have to be bounded. $)
    nmopneg $p |- ( normop ` ( -u 1 .op T ) ) = ( normop ` T ) $=
      ( vy vx cv cno cfv c1 cle wbr cneg chot co wceq wa chil wrex cab cxr clt
      csup cnop wcel csm cc wf ax1cn negcl homvalt mp3an12 fveq2d ffvelrni
      normnegt syl eqtrd eqeq2d anbi2d rexbiia abbii supeq1 ax-mp homulclt
      mp2an nmopvalt 3eqtr4 ) CEZFGHIJZDEZVFHKZALMZGZFGZNZOZCPQZDRZSTUAZVGVHVFA
      GZFGZNZOZCPQZDRZSTUAZVJUBGZAUBGZVPWCNVQWDNVOWBDVNWACPVFPUCZVMVTVGWGVLVSVH
      WGVLVIVRUDMZFGZVSWGVKWHFVIUEUCZPPAUFZWGVKWHNHUGUHZBVIVFAUIUJUKWGVRPUCWIVS
      NPPVFABULVRUMUNUOUPUQURUSSVPWCTUTVAPPVJUFZWEVQNWJWKWMWLBVIAVBVCDCVJVDVAWK
      WFWDNBDCAVDVAVE $.
      $( [26-May-2006] $) $( [10-Mar-2006] $)
  $}

  $( The value of a linear Hilbert space operator at zero is zero.  Remark
     in [Beran] p. 99. $)
  lnop0t $p |- ( T e. LinOp -> ( T ` 0h ) = 0h ) $=
    ( clo wcel c0v cfv cmv co cva c1 csm cc wceq ax1cn wa chil ax-hv0cl pm3.2i
    lnoplt mpan2 hvmulcl ax-hvaddid ax-mp ax-hvmulid eqtr fveq2i syl5eqr wf
    lnopft ffvelrn syl opreq1d eqtrd hvsubidt hvpncant anidms 3eqtr3rd ) ABCZDA
    EZURFGZURURHGZURFGZDURUQURUTURFUQURIURJGZURHGZUTUQIDJGZDHGZAEZVCURUQIKCZVFV
    CLZMUQVGNDOCZVINVHVIVIPPQIDDARSSVEDAVEVDDVDOCVEVDLIDMPTVDUAUBVIVDDLPDUCUBUD
    UEUFUQVBURURHUQUROCZVBURLUQOOAUGZVJAUHVKVIVJPOODAUISUJZURUCUJUKULUKUQVJUSDL
    VLURUMUJUQVJVAURLZVLVJVMURURUNUOUJUP $.
    $( [15-Aug-2006] $) $( [13-Aug-2006] $)

  $( Multiplicative property of a linear Hilbert space operator. $)
  lnopmult $p |- ( ( T e. LinOp /\ A e. CC /\ B e. H~ ) ->
       ( T ` ( A .h B ) ) = ( A .h ( T ` B ) ) ) $=
    ( clo wcel cc chil w3a csm co c0v cva cfv wceq wa ax-hv0cl lnoplt mpanr2
    3impa hvmulclt ax-hvaddid syl 3adant1 fveq2d lnop0t opreq2d 3ad2ant1 wf
    ffvelrn lnopft sylan sylan2 3impb 3com12 eqtrd 3eqtr3d ) CDEZAFEZBGEZHZABIJ
    ZKLJZCMZABCMZIJZKCMZLJZVACMVEUQURUSVCVGNZUQUROUSKGEVHPABKCQRSUTVBVACURUSVBV
    ANZUQURUSOVAGEVIABTVAUAUBUCUDUTVGVEKLJZVEUQURVGVJNUSUQVFKVELCUEUFUGUTVEGEZV
    JVENURUQUSVKURUQUSVKURVDGEZVKUQUSOAVDTGGCUHUSVLUQGGBCUICUJUKULUMUNVEUAUBUOU
    P $.
    $( [15-Aug-2006] $) $( [13-Aug-2006] $)

  ${
    lnopl.1 $e |- T e. LinOp $.
    $( Basic scalar product property of a linear Hilbert space operator. $)
    lnopl $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
         ( T ` ( ( A .h B ) +h C ) ) = ( ( A .h ( T ` B ) ) +h ( T ` C ) ) ) $=
      ( cc wcel chil csm co cva cfv wceq clo wa lnoplt mpanl1 3impb ) AFGZBHGZC
      HGZABIJCKJDLABDLIJCDLKJMZDNGSTUAOUBEABCDPQR $.
      $( [13-Mar-2006] $) $( [23-Jan-2006] $)

    $( A linear Hilbert space operator is a Hilbert space operator. $)
    lnopf $p |- T : H~ --> H~ $=
      ( clo wcel chil wf lnopft ax-mp ) ACDEEAFBAGH $.
      $( [17-Mar-2006] $) $( [23-Jan-2006] $)

    $( The value of a linear Hilbert space operator at zero is zero.  Remark
       in [Beran] p. 99. $)
    lnop0 $p |- ( T ` 0h ) = 0h $=
      ( clo wcel c0v cfv wceq lnop0t ax-mp ) ACDEAFEGBAHI $.
      $( [17-Mar-2006] $) $( [11-May-2005] $)

    $( Additive property of a linear Hilbert space operator. $)
    lnopadd $p |- ( ( A e. H~ /\ B e. H~ ) ->
         ( T ` ( A +h B ) ) = ( ( T ` A ) +h ( T ` B ) ) ) $=
      ( chil wcel wa c1 csm co cva cfv cc wceq ax1cn lnopl mp3an1 ax-hvmulid
      opreq1d fveq2d adantr lnopf ffvelrni syl 3eqtr3d ) AEFZBEFZGZHAIJZBKJZCLZ
      HACLZIJZBCLZKJZABKJZCLZULUNKJHMFUFUGUKUONOHABCDPQUFUKUQNUGUFUJUPCUFUIABKA
      RSTUAUHUMULUNKUFUMULNZUGUFULEFUREEACCDUBUCULRUDUASUE $.
      $( [17-Mar-2006] $) $( [11-May-2005] $)

    $( Multiplicative property of a linear Hilbert space operator. $)
    lnopmul $p |- ( ( A e. CC /\ B e. H~ ) ->
         ( T ` ( A .h B ) ) = ( A .h ( T ` B ) ) ) $=
      ( clo wcel cc chil csm co cfv wceq lnopmult mp3an1 ) CEFAGFBHFABIJCKABCKI
      JLDABCMN $.
      $( [17-Mar-2006] $) $( [11-May-2005] $)

    $( Sum/product property of a linear Hilbert space operator. $)
    lnopaddmul $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
         ( T ` ( B +h ( A .h C ) ) ) = ( ( T ` B ) +h ( A .h ( T ` C ) ) ) ) $=
      ( cc wcel chil w3a csm co cva cfv wceq wa lnopadd hvmulclt sylan2 3impb
      3com12 lnopmul 3adant2 opreq2d eqtrd ) AFGZBHGZCHGZIZBACJKZLKDMZBDMZUIDMZ
      LKZUKACDMJKZLKUFUEUGUJUMNZUFUEUGUOUFUIHGUOUEUGOBUIDEPACQRSTUHULUNUKLUEUGU
      LUNNUFACDEUAUBUCUD $.
      $( [17-Mar-2006] $) $( [1-Jul-2005] $)

    $( Subtraction property for a linear Hilbert space operator. $)
    lnopsub $p |- ( ( A e. H~ /\ B e. H~ ) ->
         ( T ` ( A -h B ) ) = ( ( T ` A ) -h ( T ` B ) ) ) $=
      ( chil wcel wa c1 cneg csm co cva cfv cmv cc wceq ax1cn negcl lnopaddmul
      mp3an1 hvsubvalt fveq2d lnopf ffvelrni syl2an 3eqtr4d ) AEFZBEFZGZAHIZBJK
      LKZCMZACMZUJBCMZJKLKZABNKZCMUMUNNKZUJOFUGUHULUOPHQRUJABCDSTUIUPUKCABUAUBU
      MEFUNEFUQUOPUGUHUMUNUAEEACCDUCZUDEEBCURUDUEUF $.
      $( [17-Mar-2006] $) $( [1-Jul-2005] $)

    $( Subtraction/product property of a linear Hilbert space operator. $)
    lnopsubmul $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
         ( T ` ( B -h ( A .h C ) ) ) = ( ( T ` B ) -h ( A .h ( T ` C ) ) ) ) $=
      ( cc wcel chil w3a csm co cmv cfv wceq wa lnopsub hvmulclt sylan2 3impb
      3com12 lnopmul opreq2d 3adant2 eqtrd ) AFGZBHGZCHGZIBACJKZLKDMZBDMZUHDMZL
      KZUJACDMJKZLKZUFUEUGUIULNZUFUEUGUOUFUHHGUOUEUGOZBUHDEPACQRSTUEUGULUNNUFUP
      UKUMUJLACDEUAUBUCUD $.
      $( [28-May-2006] $) $( [2-Jul-2005] $)

    $( Product/subtraction property of a linear Hilbert space operator. $)
    lnopmulsub $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
         ( T ` ( ( A .h B ) -h C ) ) = ( ( A .h ( T ` B ) ) -h ( T ` C ) ) ) $=
      ( cc wcel chil w3a csm co cmv cfv wceq wa lnopsub hvmulclt sylan 3impa
      lnopmul 3adant3 opreq1d eqtrd ) AFGZBHGZCHGZIZABJKZCLKDMZUHDMZCDMZLKZABDM
      JKZUKLKUDUEUFUIULNZUHHGUFUNUDUEOUHCDEPABQRSUGUJUMUKLUDUEUJUMNUFABDETUAUBU
      C $.
      $( [30-May-2006] $) $( [2-Jul-2005] $)
  $}

  ${
    $d x A $.  $d x T $.  $d x U $.
    $( Move a scalar product out of a composition of operators.  The operator
       ` T ` must be linear, unlike ~ homco1t that works for any operators. $)
    homco2t $p |- ( ( A e. CC /\ T e. LinOp /\ U : H~ --> H~ ) ->
                  ( T o. ( A .op U ) ) = ( A .op ( T o. U ) ) ) $=
      ( vx cc wcel clo chil wf w3a cv chot co ccom cfv wceq wral wa csm wi
      lnopmult ffvelrn syl3an3 3exp exp4a com12 3imp1 wfun fvco3 ffun syl3an1
      homulclt syl3an2 exp3a homvalt 3expa 3adantl2 fveq2d eqtrd lnopft
      syl3anl2 fco 3expia 3impb imp opreq2d 3adantl1 3eqtr4d r19.21aiva wb
      hoeqt sylan2 3com12 sylanc mpbid ) AEFZBGFZHHCIZJZDKZBACLMZNZOZVTABCNZLMZ
      OZPZDHQZWBWEPZVSWGDHVSVTHFZRAVTCOZSMZBOZAWKBOZSMZWCWFVPVQVRWJWMWOPZVQVPVR
      WJWPTTVQVPVRWJWPVQVPVRWJRZWPVQVPWKHFWPWQAWKBUAHHVTCUBUCUDUEUFUGVPHHBIZVRW
      JWCWMPVQVPWRVRJZWJRZWCVTWAOZBOZWMVPWRVRWJWCXBPZWRVPVRWJXCTZTWRVPVRXDWRVPV
      RRZWJXCWRHHWAIZWJXCXEBUHZXFWJXCWRHHVTBWAUIHHBUJZUKACULZUMUDUNUFUGWTXAWLBV
      PVRWJXAWLPZWRVPVRWJXJAVTCUOUPUQURUSBUTZVAVPWRVRWJWFWOPVQWTWFAVTWDOZSMZWOW
      SWJWFXMPZVPWRVRWJXNTVPWRVRRZWJXNVPHHWDIZWJXNXOAVTWDUOHHHBCVBZUMVCVDVEWRVR
      WJXMWOPVPXOWJRXLWNASWRVRWJXLWNPZXGVRWJXRWRHHVTBCUIXHUKUPVFVGUSXKVAVHVIVPW
      RVRWHWIVJZVQHHWBIZHHWEIZXSWSDWBWEVKWRVPVRXTWRVPVRXTWRXFXTXEHHHBWAVBXIVLVD
      VMVPWRVRYAVPXPYAXOAWDULXQVLVDVNXKUMVO $.
      $( [21-Aug-2006] $) $( [13-Aug-2006] $)
  $}

  ${
    $d x y z w $.
    $( The identity function (restricted to Hilbert space) is a unitary
       operator. $)
    idunop $p |- ( I |` H~ ) e. UniOp $=
      ( vx vy cid chil cres cuo wcel wfo cv cfv csp co wceq wral elunopt wf1o
      f1oi f1ofo ax-mp fvresi opreqan12d rgen2a mpbir2an ) CDEZFGDDUDHZAIZUDJZB
      IZUDJZKLUFUHKLMZBDNADNABUDODDUDPUEDQDDUDRSUJABDUFDGUHDGUGUFUIUHKDUFTDUHTU
      AUBUC $.
      $( [2-Apr-2006] $) $( [21-Jan-2006] $)

    $( The identically zero function is a continuous Hilbert space operator. $)
    0cnop $p |- 0hop e. ConOp $=
      ( vy vz vw vx ch0o cco wcel chil wf cc0 cv clt wbr cmv co cno cfv wi
      wral wa cr wrex elcnopt ho0f c1 1re a1i lt01 c0v ho0valt opreqan12rd
      wceq ax-hv0cl hvsubidt ax-mp syl6eq fveq2d norm0 breq1d biimprd a1dd
      r19.21adva jcad adantr breq2 imbi1d ralbidv anbi12d rcla4ev syl6 rgen2
      mpbir2an ) EFGHHEIJAKZLMZJBKZLMZCKZDKZNOPQZVOLMZVQEQZVREQZNOZPQZVMLMZRZCH
      SZTZBUAUBZRZAUASDHSDABCEUCUDWJDAHUAVRHGZVMUAGZTZVNUEUAGZJUELMZVSUELMZWERZ
      CHSZTZTWIWMVNWNWSVNWNRWMWNVNUFUGUGWKVNWSRWLWKVNWOWRVNWORWKWOVNUHUGUGWKVNW
      QCHWKVQHGZTZVNWEWPXAWEVNXAWDJVMLXAWDUIPQJXAWCUIPXAWCUIUINOZUIWTWKWAUIWBUI
      NVQUJVRUJUKUIHGXBUIULUMUIUNUOUPUQURUPUSUTVAVBVCVDVCWHWSBUEUAVOUEULZVPWOWG
      WRVOUEJLVEXCWFWQCHXCVTWPWEVOUEVSLVEVFVGVHVIVJVKVL $.
      $( [1-Aug-2007] $) $( [7-Feb-2006] $)

    $( The identically zero function is a continuous Hilbert space
       functional. $)
    0cnfn $p |- ( H~ X. { 0 } ) e. ConFn $=
      ( vy vz vw vx chil cc0 csn cxp ccnf wcel cc wf cv clt wbr cmv co cno cfv
      cmin cabs wi wral wa cr wrex elcnfnt wss 0cn elisseti fconst snssi ax-mp
      fss mp2an c1 1re a1i lt01 fvconst2 opreqan12rd subid syl6eq fveq2d abs0
      breq1d biimprd a1dd r19.21adva jcad adantr wceq breq2 imbi1d ralbidv
      anbi12d rcla4ev syl6 rgen2 mpbir2an ) EFGZHZIJEKWBLZFAMZNOZFBMZNOZCMZDMZP
      QRSZWFNOZWHWBSZWIWBSZTQZUASZWDNOZUBZCEUCZUDZBUEUFZUBZAUEUCDEUCDABCWBUGEWA
      WBLWAKUHZWCEFFKUIUJZUKFKJXBUIFKULUMEWAKWBUNUOXADAEUEWIEJZWDUEJZUDZWEUPUEJ
      ZFUPNOZWJUPNOZWPUBZCEUCZUDZUDWTXFWEXGXLWEXGUBXFXGWEUQURURXDWEXLUBXEXDWEXH
      XKWEXHUBXDXHWEUSURURXDWEXJCEXDWHEJZUDZWEWPXIXNWPWEXNWOFWDNXNWOFUASFXNWNFU
      AXNWNFFTQFXMXDWLFWMFTEFWHXCUTEFWIXCUTVAFUIVBVCVDVEVCVFVGVHVIVJVKVJWSXLBUP
      UEWFUPVLZWGXHWRXKWFUPFNVMXOWQXJCEXOWKXIWPWFUPWJNVMVNVOVPVQVRVSVT $.
      $( [11-Apr-2006] $) $( [7-Feb-2006] $)

    $( The identity function (restricted to Hilbert space) is a continuous
       operator. $)
    idcnop $p |- ( I |` H~ ) e. ConOp $=
      ( vy vz vw vx cid chil cres cco wcel wf cc0 cv clt wbr cmv co cno cfv wi
      wral wa cr wrex elcnopt wf1o f1oi f1of ax-mp fvresi opreqan12rd fveq2d
      breq1d biimprd r19.21aiva a1d ancld adantr pm3.27 jctild wceq breq2
      imbi1d ralbidv anbi12d rcla4ev syl6 rgen2 mpbir2an ) EFGZHIFFVIJZKALZMNZK
      BLZMNZCLZDLZOPZQRZVMMNZVOVIRZVPVIRZOPZQRZVKMNZSZCFTZUAZBUBUCZSZAUBTDFTDAB
      CVIUDFFVIUEVJFUFFFVIUGUHWIDAFUBVPFIZVKUBIZUAZVLWKVLVRVKMNZWDSZCFTZUAZUAWH
      WLVLWPWKWJVLWPSWKWJVLWOWJWOVLWJWNCFWJVOFIZUAZWDWMWRWCVRVKMWRWBVQQWQWJVTVO
      WAVPOFVOUIFVPUIUJUKULUMUNUOUPUQWJWKURUSWGWPBVKUBVMVKUTZVNVLWFWOVMVKKMVAWS
      WEWNCFWSVSWMWDVMVKVRMVAVBVCVDVEVFVGVH $.
      $( [12-Apr-2006] $) $( [7-Feb-2006] $)

    $( The Hilbert space identity operator is a Hermitian operator. $)
    idhmop $p |- Iop e. HrmOp $=
      ( vx vy chio cho wcel chil wf cv cfv csp co wceq wral elhmopt wf1o hoif
      f1of ax-mp hoivalt eqcomd opreqan12d rgen2a mpbir2an ) CDEFFCGZAHZBHZCIZJ
      KUECIZUFJKLZBFMAFMABCNFFCOUDPFFCQRUIABFUEFEZUFFEUEUHUGUFJUJUHUEUESTUFSUAU
      BUC $.
      $( [10-Aug-2006] $) $( [22-Apr-2006] $)

    $( The identically zero function is a Hermitian operator. $)
    0hmop $p |- 0hop e. HrmOp $=
      ( vx vy ch0o cho wcel chil wf cv cfv csp co wceq wral elhmopt ho0f wa
      cc0 c0v ho0valt opreq2d hi02t sylan9eqr opreq1d hi01t sylan9eq eqtr4d
      rgen2a mpbir2an ) CDEFFCGAHZBHZCIZJKZUICIZUJJKZLZBFMAFMABCNOUOABFUIFEZUJF
      EZPULQUNUQUPULUIRJKQUQUKRUIJUJSTUIUAUBUPUQUNRUJJKQUPUMRUJJUISUCUJUDUEUFUG
      UH $.
      $( [12-Aug-2006] $) $( [8-Aug-2006] $)

    $( The identically zero function is a linear Hilbert space operator. $)
    0lnop $p |- 0hop e. LinOp $=
      ( ch0o cho wcel clo 0hmop hmoplint ax-mp ) ABCADCEAFG $.
      $( [12-Aug-2006] $) $( [7-Feb-2006] $)

    $( The identically zero function is a linear Hilbert space functional. $)
    0lnfn $p |- ( H~ X. { 0 } ) e. LinFn $=
      ( vx vy vz chil cc0 csn cxp clf wcel cc wf cv csm co cva cfv cmul caddc
      wceq wral ellnfnt wss 0cn elisseti fconst snssi ax-mp fss mp2an wa
      hvaddclt hvmulclt sylan fvconst2 syl opreq2d mul01t sylan9eqr opreqan12d
      addid1 syl6eq eqtr4d 3impa rgen3 mpbir2an ) DEFZGZHIDJVGKZALZBLZMNZCLZONZ
      VGPZVIVJVGPZQNZVLVGPZRNZSZCDTBDTAJTABCVGUADVFVGKVFJUBZVHDEEJUCUDZUEEJIVTU
      CEJUFUGDVFJVGUHUIVSABCJDDVIJIZVJDIZVLDIZVSWBWCUJZWDUJZVNEVRWFVMDIZVNESVKD
      IWDWGWEVKVLUKVIVJULUMDEVMWAUNUOWFVREERNEWEWDVPEVQERWCWBVPVIEQNEWCVOEVIQDE
      VJWAUNUPVIUQURDEVLWAUNUSEUCUTVAVBVCVDVE $.
      $( [16-Apr-2006] $) $( [14-Feb-2006] $)

    $( The norm of the zero operator is zero. $)
    nmop0 $p |- ( normop ` 0hop ) = 0 $=
      ( vy vx ch0o cnop cfv cv cno c1 cle wbr wceq wa chil wrex cab cxr clt
      csup cc0 csn wf ho0f nmopvalt ax-mp r19.41v wcel c0v ho0valt fveq2d
      norm0 syl6eq eqeq2d anbi2d rexbiia ax-hv0cl 0re 1re lt01 ltlei fveq2
      breq1d rcla4ev mp2an biantrur 3bitr4 abbii df-sn eqtr4 supeq1 cr rexrt
      xrltso supsn 3eqtr ) CDEZAFZGEZHIJZBFZVPCEZGEZKZLZAMNZBOZPQRZSTZPQRZSMMCU
      AVOWFKUBBACUCUDWEWGKWFWHKWEVSSKZBOWGWDWIBVRWILZAMNVRAMNZWILWDWIVRWIAMUEWC
      WJAMVPMUFZWBWIVRWLWASVSWLWAUGGEZSWLVTUGGVPUHUIUJUKULUMUNWKWIUGMUFSHIJZWKU
      OSHUPUQURUSVRWNAUGMVPUGKZVQSHIWOVQWMSVPUGGUTUJUKVAVBVCVDVEVFBSVGVHPWEWGQV
      IUDSPUFZWHSKSVJUFWPUPSVKUDPSQVLVMUDVN $.
      $( [11-Aug-2006] $) $( [8-Feb-2006] $)

    $( The norm of the identically zero functional is zero. $)
    nmfn0 $p |- ( normfn ` ( H~ X. { 0 } ) ) = 0 $=
      ( vy vx chil cc0 csn cxp cnmf cfv cv cno c1 cle wbr cabs wceq wa wrex
      cab cxr clt csup cc wf clf wcel 0lnfn lnfnft ax-mp nmfnvalt r19.41v cr
      0re elisseti fvconst2 fveq2d abs0 syl6eq eqeq2d anbi2d rexbiia c0v
      ax-hv0cl 1re lt01 ltlei fveq2 norm0 breq1d rcla4ev mp2an biantrur 3bitr4
      abbii df-sn eqtr4 supeq1 rexrt xrltso supsn 3eqtr ) CDEZFZGHZAIZJHZKLMZBI
      ZWDWBHZNHZOZPZACQZBRZSTUAZWASTUAZDCUBWBUCZWCWNOWBUDUEWPUFWBUGUHBAWBUIUHWM
      WAOWNWOOWMWGDOZBRWAWLWQBWFWQPZACQWFACQZWQPWLWQWFWQACUJWKWRACWDCUEZWJWQWFW
      TWIDWGWTWIDNHDWTWHDNCDWDDUKULUMUNUOUPUQURUSUTWSWQVACUEDKLMZWSVBDKULVCVDVE
      WFXAAVACWDVAOZWEDKLXBWEVAJHDWDVAJVFVGUQVHVIVJVKVLVMBDVNVOSWMWATVPUHDSUEZW
      ODODUKUEXCULDVQUHSDTVRVSUHVT $.
      $( [4-May-2006] $) $( [25-Apr-2006] $)
  $}

  ${
    $d x y T $.
    hmopbdop.1 $e |- T e. HrmOp $.
    $( A Hermitian operator is a bounded linear operator (Hellinger-Toeplitz
       Theorem). $)
    hmopbdopHIL $p |- T e. BndLinOp $=
      ( vx vy cbo csp cva csm cop cno clo chil eqid hhba hhip clno co hhlno
      cblo hhblo hilhl cho wcel hmoplint ax-mp cv wa cfv wceq hmopt mp3an1
      eqcomd htthi ) CDEFAGHIJIZKLUNUNMZNUNUOOUNUNUNPQZUOUPMRUNUNSQZUNUOUQMTUAA
      UBUCZAKUCBAUDUECUFZLUCZDUFZLUCZUGUSVAAUHFQZUSAUHVAFQZURUTVBVCVDUIBUSVAAUJ
      UKULUM $.
      $( [19-Mar-2008] $) $( [18-Jan-2008] $)
  $}

  $( A Hermitian operator is a bounded linear operator (Hellinger-Toeplitz
     Theorem). $)
  hmopbdoptHIL $p |- ( T e. HrmOp -> T e. BndLinOp ) $=
    ( cho wcel cbo ch0o cif eleq1 0hmop elimel hmopbdopHIL dedth ) ABCZADCLAEFZ
    DCAEAMDGMAEBHIJK $.
    $( [2-Aug-2008] $) $( [18-Jan-2008] $)

  ${
    $d x R $.  $d x S $.  $d x T $.
    hoddi.1 $e |- R e. LinOp $.
    hoddi.2 $e |- S : H~ --> H~ $.
    hoddi.3 $e |- T : H~ --> H~ $.
    $( Distributive law for Hilbert space operator difference.  (Interestingly,
       the reverse distributive law ~ hocsubdir does not require linearity.) $)
    hoddi $p |- ( R o. ( S -op T ) ) = ( ( R o. S ) -op ( R o. T ) ) $=
      ( vx cv chod co ccom cfv wceq chil wral wcel cmv lnopsub ffvelrni sylanc
      wf hodvaltOLD mpanl12 fveq2d lnopf hoco opreq12d 3eqtr4d hosubcl hocof
      rgen hoeq mpbi ) GHZABCIJZKZLZUNABKZACKZIJZLZMZGNOUPUTMVBGNUNNPZUNUOLZALZ
      UNURLZUNUSLZQJZUQVAVCUNBLZUNCLZQJZALZVIALZVJALZQJZVEVHVINPVJNPVLVOMVCVIVJ
      ADRNNUNBESNNUNCFSTVCVDVKANNBUANNCUAVCVDVKMEFUNBCUBUCUDVCVFVMVGVNQUNABADUE
      ZEUFUNACVPFUFUGUHUNAUOVPBCEFUIZUFNNURUANNUSUAVCVAVHMABVPEUJZACVPFUJZUNURU
      SUBUCUHUKGUPUTAUOVPVQUJURUSVRVSUIULUM $.
      $( [1-May-2006] $) $( [11-Mar-2006] $)
  $}

  $( Distributive law for Hilbert space operator difference.  (Interestingly,
     the reverse distributive law ~ hocsubdir does not require linearity.) $)
  hoddit $p |- ( ( R e. LinOp /\ S : H~ --> H~ /\ T : H~ --> H~ ) ->
              ( R o. ( S -op T ) ) = ( ( R o. S ) -op ( R o. T ) ) ) $=
    ( clo wcel chil wf chod co ccom wceq ch0o cif coeq1 opreq12d eqeq12d
    opreq1 coeq2d coeq2 opreq1d opreq2 opreq2d 0lnop elimel ho0f elimf hoddi
    dedth3h ) ADEZFFBGZFFCGZABCHIZJZABJZACJZHIZKUIALMZULJZUQBJZUQCJZHIZKABCLLLU
    QUJBLMZCHIZJZUQVBJZUTHIZKUQVBUKCLMZHIZJZVEUQVGJZHIZKAUQKZUMURUPVAAUQULNVLUN
    USUOUTHAUQBNAUQCNOPBVBKZURVDVAVFVMULVCUQBVBCHQRVMUSVEUTHBVBUQSTPCVGKZVDVIVF
    VKVNVCVHUQCVGVBHUARVNUTVJVEHCVGUQSUBPUQVBVGALDUCUDFFBLUEUFFFCLUEUFUGUH $.
    $( [17-Sep-2006] $) $( [23-Aug-2006] $)

  $( The norm of any operator on the trivial Hilbert space is zero.
     (This is the reason we need ` H~ =/= 0H ` in ~ nmopunt .) $)
  nmop0h $p |- ( ( H~ = 0H /\ T : H~ --> H~ ) -> ( normop ` T ) = 0 ) $=
    ( chil c0h wceq wf wa cnop cfv ch0o cc0 c0v csn wb df-ch0 eqeq2i feq3
    sylbi cxp ax-hv0cl elisseti fconst2 df0op2 xpeq2 ax-mp eqtr bitr4 syl6bb
    biimpa fveq2d nmop0 syl6eq ) BCDZBBAEZFZAGHIGHJUNAIGULUMAIDZULUMBKLZAEZUOUL
    BUPDUMUQMCUPBNOBUPBAPQUQABUPRZDUOBKAKBSTUAIURAIBCRZURUBCUPDUSURDNCUPBUCUDUE
    OUFUGUHUIUJUK $.
    $( [28-Mar-2006] $) $( [24-Feb-2006] $)

  $( The identity function (restricted to Hilbert space) is a linear
     operator. $)
  idlnop $p |- ( I |` H~ ) e. LinOp $=
    ( cid chil cres cuo wcel clo idunop unoplint ax-mp ) ABCZDEJFEGJHI $.
    $( [7-Apr-2006] $) $( [24-Jan-2006] $)

  $( The identically zero operator is bounded. $)
  0bdop $p |- 0hop e. BndLinOp $=
    ( ch0o cbo wcel clo cnop cfv cpnf clt wbr elbdopt 0lnop cc0 nmop0 cr 0re
    ltpnft ax-mp eqbrtr mpbir2an ) ABCADCAEFZGHIAJKTLGHMLNCLGHIOLPQRS $.
    $( [3-Aug-2007] $) $( [14-Feb-2006] $)

  ${
    $d x y $.
    $( Adjoint of the zero operator. $)
    adj0 $p |- ( adjh ` 0hop ) = 0hop $=
      ( vx vy chil ch0o wf cv cfv csp co wceq wral cado ho0f wcel wa cc0 c0v
      ho0valt opreq1d hi01t sylan9eq opreq2d hi02t sylan9eqr eqtr4d rgen2a
      adjeqt mp3an ) CCDEZUIAFZDGZBFZHIZUJULDGZHIZJZBCKACKDLGDJMMUPABCUJCNZULCN
      ZOUMPUOUQURUMQULHIPUQUKQULHUJRSULTUAURUQUOUJQHIPURUNQUJHULRUBUJUCUDUEUFAB
      DDUGUH $.
      $( [10-Aug-2007] $) $( [20-Feb-2006] $)
  $}

  ${
    $d x y z T $.
    nmlnop0.1 $e |- T e. LinOp $.
    $( A linear operator with a zero norm is identically zero. $)
    nmlnop0ALT $p |- ( ( normop ` T ) = 0 <-> T = 0hop ) $=
      ( vx vz vy cnop cfv cc0 wceq ch0o chil cv wral wa wcel c0v wne wn c1 cno
      cdiv co csm clt wbr wi cc recne0t normclt recnd adantr norm-it fveq2
      lnop0 syl6eq syl6bi necon3d imp sylanc pm3.27 jca wo wb hvmul0ort recclt
      lnopf ffvelrni necon3abid neanior syl6bbr mpbird hvmulclt normgt0t syl
      mpbid ex adantl cle wrex cab cxr csup breq1d fveq2d eqeq2d anbi12d
      rcla4ev pm3.26 cr eqlet norm1t necon3i sylan2 1re syl6eqel lnopmul
      eqcomd fvex eqeq1 anbi2d rexbidv elab sylibr wss wf nmopsetretHIL ax-mp
      ressxr sstri supxrub mpan adantll nmopvalt eqeq1i biimp ad2antrr breqtrd
      0re lenltt mpan2 pm2.65d nne sylib ho0valt eqtr4d r19.21aiva eqid jctil
      wfn ffn ho0f eqfnfv mp2an nmop0 impbi ) AFGZHIZAJIZYQKKIZCLZAGZYTJGZIZCKM
      ZNZYRYQUUDYSYQUUCCKYQYTKOZNZUUAPUUBUUGUUAPQZRUUAPIZUUGUUHHSYTTGZUAUBZUUAU
      CUBZTGZUDUEZUUFUUHUUNUFYQUUFUUHUUNUUFUUHNZUULPQZUUNUUOUUPUUKHQZUUHNZUUOUU
      QUUHUUJUGOZUUJHQZUUQUUOUUJUHUUFUUSUUHUUFUUJYTUIUJUKZUUFUUHUUTUUFUUJHUUAPU
      UFUUJHIYTPIZUUIYTULUVBUUAPAGPYTPAUMABUNUOZUPUQURZUSUUFUUHUTVAUUOUUPUUKHIU
      UIVBZRUURUUOUVEUULPUUKUGOZUUAKOZUULPIUVEVCUUOUUKUUAVDUUSUUTUVFUUOUUJVEUVA
      UVDUSZUUFUVGUUHKKYTAABVFZVGUKZUSVHUUKHUUAPVIVJVKUUOUULKOZUUPUUNVCUVFUVGUV
      KUUOUUKUUAVLUVHUVJUSZUULVMVNVOVPVQUUGUUHUUNRZUUGUUHNZUUMHVRUEZUVMUVNUUMDL
      ZTGZSVRUEZELZUVPAGZTGZIZNZDKVSZEVTZWAUDWBZHVRUUFUUHUUMUWFVRUEZYQUUOUUMUWE
      OZUWGUUOUVRUUMUWAIZNZDKVSZUWHUUKYTUCUBZKOZUWLTGZSVRUEZUUMUWLAGZTGZIZNZUWK
      UUOUWJUWSDUWLKUVPUWLIZUVRUWOUWIUWRUWTUVQUWNSVRUVPUWLTUMWCUWTUWAUWQUUMUWTU
      VTUWPTUVPUWLAUMWDWEWFWGUVFUUFUWMUUOUUKYTVLUVHUUFUUHWHZUSUUOUWOUWRUWNWIOUW
      NSIZUWOUUOUWNSWJUUOUWNSWIUUFYTPQUXBUUHYTWKYTPUUAPUVCWLWMZWNWOUXCUSUUOUULU
      WPTUUOUWPUULUVFUUFUWPUULIUUOUUKYTABWPUVHUXAUSWQWDVAUSUWDUWKEUUMUULTWRUVSU
      UMIZUWCUWJDKUXDUWBUWIUVRUVSUUMUWAWSWTXAXBXCUWEWAXDUWHUWGUWEWIWAKKAXEZUWEW
      IXDUVIEDAXFXGXHXIUWEUUMXJXKVNXLYQUWFHIZUUFUUHYQUXFYPUWFHUXEYPUWFIUVIEDAXM
      XGXNXOXPXQUUFUUHUVOUVMVCZYQUUOUUMWIOZUXGUUOUVKUXHUVLUULUIVNUXHHWIOUXGXRUU
      MHXSXTVNXLVOVPYAUUAPYBYCUUFUUBPIYQYTYDVQYEYFKYGYHAKYIZJKYIZYRUUEVCUXEUXIU
      VIKKAYJXGKKJXEUXJYKKKJYJXGCKKAJYLYMXCYRYPJFGHAJFUMYNUOYO $.
      $( [12-Aug-2006] $) $( [8-Feb-2006] $)

    $( A linear operator with a zero norm is identically zero. $)
    nmlnop0HIL $p |- ( ( normop ` T ) = 0 <-> T = 0hop ) $=
      ( clo wcel cnop cfv cc0 wceq ch0o wb cva csm cop cno cnmo co eqid hhnmo
      c0o hh0o clno hhlno hhnv nmlno0i ax-mp ) ACDAEFGHAIHJBAKLMNMZCEUFIUFUFUFO
      PZUFQZUGQRUFUFUFSPZUHUIQTUFUFUFUAPZUHUJQUBUFUHUCZUKUDUE $.
      $( [23-May-2008] $) $( [18-Jan-2008] $)

    $( A linear Hilbert space operator that is not identically zero has a
       positive norm. $)
    nmlnopgt0 $p |- ( T =/= 0hop <-> 0 < ( normop ` T ) ) $=
      ( ch0o wne cnop cfv cc0 clt wbr nmlnop0HIL necon3bii chil wf wb lnopf
      nmopgt0t ax-mp bitr3 ) ACDAEFZGDZGSHIZSGACABJKLLAMTUANABOAPQR $.
      $( [20-Aug-2006] $) $( [9-Feb-2006] $)
  $}

  $( A linear operator with a zero norm is identically zero. $)
  nmlnop0t $p |- ( T e. LinOp -> ( ( normop ` T ) = 0 <-> T = 0hop ) ) $=
    ( clo wcel cnop cfv cc0 wceq ch0o wb cif fveq2 eqeq1d eqeq1 bibi12d 0lnop
    elimel nmlnop0HIL dedth ) ABCZADEZFGZAHGZISAHJZDEZFGZUCHGZIAHAUCGZUAUEUBUFU
    GTUDFAUCDKLAUCHMNUCAHBOPQR $.
    $( [21-Aug-2006] $) $( [12-Aug-2006] $)

  $( A linear operator with a nonzero norm is nonzero. $)
  nmlnopne0t $p |- ( T e. LinOp -> ( ( normop ` T ) =/= 0 <-> T =/= 0hop ) ) $=
    ( clo wcel cnop cfv cc0 ch0o nmlnop0t necon3bid ) ABCADEFAGAHI $.
    $( [22-Aug-2006] $) $( [12-Aug-2006] $)

  ${
    $d x y z A $.  $d x y z T $.
    lnopm.1 $e |- T e. LinOp $.
    $( The scalar product of a linear operator is a linear operator. $)
    lnopm $p |- ( A e. CC -> ( A .op T ) e. LinOp ) $=
      ( vx vy vz cc wcel chil chot co wf cv csm cva cfv wceq wral wa clo lnopf
      homulclt mpan2 lnopl 3expa opreq2d adantl ax-hvdistr1 id hvmulclt
      ffvelrni sylan2 syl3an 3expb eqtrd homvalt mp3an2 hvaddclt sylan adantrl
      hvmulcomt syl3an3 eqtr4d opreqan12d anandis 3eqtr4d exp32 r19.21adv
      r19.21aivv jca ellnopt sylibr ) AGHZIIABJKZLZDMZEMZNKZFMZOKZVNPZVPVQVNPZN
      KZVSVNPZOKZQZFIRZEIRDGRZSVNTHVMVOWHVMIIBLZVOBCUAZABUBUCVMWGDEGIVMVPGHZVQI
      HZSZWFFIVMWMVSIHZWFVMWMWNSZSZAVTBPZNKZAVPVQBPZNKZNKZAVSBPZNKZOKZWAWEWPWRA
      WTXBOKZNKZXDWOWRXFQVMWOWQXEANWKWLWNWQXEQVPVQVSBCUDUEUFUGVMWMWNXFXDQZVMWTI
      HZXBIHXGVMWMWNAWTXBUHVMUIWKWSIHZXHWLVPWSUJIIVQBWJUKZULIIVSBWJUKUMUNUOVMVT
      IHZWAWRQZWOVMWIXKXLWJAVTBUPUQVRIHWNXKWMVRVSURVPVQUJUSULVMWMWNWEXDQVMWMSZV
      MWNSWCXAWDXCOXMWCVPAWSNKZNKZXAXMWBXNVPNVMWLWBXNQZWKVMWIWLXPWJAVQBUPUQUTUF
      VMWKWLXAXOQZVMWKXIXQWLAVPWSVAXJVBUNVCVMWIWNWDXCQWJAVSBUPUQVDVEVFVGVHVIVJD
      EFVNVKVL $.
      $( [6-May-2006] $) $( [10-Mar-2006] $)
  $}

  ${
    $d x y z S $.  $d x y z T $.
    lnopco.1 $e |- S e. LinOp $.
    lnopco.2 $e |- T e. LinOp $.
    $( The sum of two linear operators is linear. $)
    lnophs $p |- ( S +op T ) e. LinOp $=
      ( vx vy vz chos co clo wcel chil wf cv csm cva cfv wceq wral cc ellnopt
      lnopf hoaddcl wa lnopadd opreq12d hvmulclt sylan hvadd4t ffvelrni syl
      anim12i sylanc eqtrd hvaddclt hosvaltOLD mpanl12 ax-hvdistr1 3expb jca
      sylan2 opreq2d adantl lnopmul 3eqtr4d opreqan12d r19.21aiva rgen2
      mpbir2an ) ABHIZJKLLVJMENZFNZOIZGNZPIZVJQZVKVLVJQZOIZVNVJQZPIZRZGLSZFLSET
      SEFGVJUAABACUBZBDUBZUCWBEFTLVKTKZVLLKZUDZWAGLWGVNLKZUDZVOAQZVOBQZPIZVMAQZ
      VMBQZPIZVNAQZVNBQZPIZPIZVPVTWIWLWMWPPIZWNWQPIZPIZWSVMLKZWHWLXBRWGXCWHUDWJ
      WTWKXAPVMVNACUEVMVNBDUEUFVKVLUGZUHWMLKZWPLKZUDWNLKZWQLKZUDXBWSRWIWMWPWNWQ
      UIWGXEWHXFWGXCXEXDLLVMAWCUJUKLLVNAWCUJULWGXGWHXHWGXCXGXDLLVMBWDUJUKLLVNBW
      DUJULUMUNWIVOLKZVPWLRZXCWHXIWGVMVNUOXDUHLLAMZLLBMZXIXJWCWDVOABUPUQUKWGWHV
      RWOVSWRPWGVKVLAQZVLBQZPIZOIZVKXMOIZVKXNOIZPIZVRWOWEXMLKZXNLKZUDXPXSRZWFWE
      XTYAYBVKXMXNURUSWFXTYALLVLAWCUJLLVLBWDUJUTVAWFVRXPRWEWFVQXOVKOXKXLWFVQXOR
      WCWDVLABUPUQVBVCWGWMXQWNXRPVKVLACVDVKVLBDVDUFVEXKXLWHVSWRRWCWDVNABUPUQVFV
      EVGVHVI $.
      $( [28-Mar-2006] $) $( [10-Mar-2006] $)

    $( The difference of two linear operators is linear. $)
    lnophd $p |- ( S -op T ) e. LinOp $=
      ( c1 cneg chot co chos chod clo lnopf honegsub cc wcel ax1cn negcl lnopm
      ax-mp lnophs eqeltrr ) AEFZBGHZIHABJHKABACLBDLMAUCCUBNOUCKOEPQUBBDRSTUA
      $.
      $( [28-Jul-2006] $) $( [27-Jul-2006] $)

    $( The composition of two linear operators is linear. $)
    lnopco $p |- ( S o. T ) e. LinOp $=
      ( vx vy vz ccom clo wcel chil wf cv csm co cva cfv wceq wral cc ellnopt
      lnopf hocof wa w3a lnopl fveq2d id ffvelrni syl3an eqtrd 3expa hvaddclt
      hvmulclt sylan wfun ffun ax-mp fvco3 mp3an12 syl hoco opreq2d adantl
      opreqan12d 3eqtr4d 3impa rgen3 mpbir2an ) ABHZIJKKVJLEMZFMZNOZGMZPOZVJQZV
      KVLVJQZNOZVNVJQZPOZRZGKSFKSETSEFGVJUAABACUBZBDUBZUCWAEFGTKKVKTJZVLKJZVNKJ
      ZWAWDWEUDZWFUDZVOBQZAQZVKVLBQZAQZNOZVNBQZAQZPOZVPVTWDWEWFWJWPRWDWEWFUEZWJ
      VKWKNOWNPOZAQZWPWQWIWRAVKVLVNBDUFUGWDWKKJWNKJWSWPRWDWEWFVKWKWNACUFWDUHKKV
      LBWCUIKKVNBWCUIUJUKULWHVOKJZVPWJRZVMKJWFWTWGVMVNUMVKVLUNUOAUPZKKBLWTXAKKA
      LXBWBKKAUQURWCKKVOABUSUTVAWGWFVRWMVSWOPWEVRWMRWDWEVQWLVKNVLABWBWCVBVCVDVN
      ABWBWCVBVEVFVGVHVI $.
      $( [21-Mar-2006] $) $( [8-Mar-2006] $)

    $( The composition of a linear operator with one whose norm is zero. $)
    lnopco0 $p |- ( ( normop ` T ) = 0 -> ( normop ` ( S o. T ) ) = 0 ) $=
      ( vx ch0o wceq ccom cnop cfv cc0 coeq2 chil cv wral wfn wa wb wf 0lnop
      lnopco lnopf ffn ax-mp ho0f eqfnfv mp2an eqid wcel c0v ho0valt fveq2d
      lnop0 syl6eq hoco 3eqtr4d rgen mpbir2an nmlnop0HIL 3imtr4 ) BFGZABHZFGBIJ
      KGVBIJKGVAVBAFHZFBFALVCFGZMMGZENZVCJZVFFJZGZEMOZVCMPZFMPZVDVEVJQRMMVCSVKV
      CAFCTUAUBMMVCUCUDMMFSVLUEMMFUCUDEMMVCFUFUGMUHVIEMVFMUIZVHAJZUJVGVHVMVNUJA
      JUJVMVHUJAVFUKZULACUMUNVFAFACUBUEUOVOUPUQURUNBDUSVBABCDUAUSUT $.
      $( [26-Mar-2006] $) $( [10-Mar-2006] $)
  $}

  ${
    $d x y z T $.
    lnopeq0.1 $e |- T e. LinOp $.
    ${
      lnopeq0lem1.2 $e |- A e. H~ $.
      lnopeq0lem1.3 $e |- B e. H~ $.
      $( Lemma for ~ lnopeq0 .  Apply the generalized polarization identity
        ~ polid2 to the quadratic form ` ( ( T `` x ) , x ) ` . $)
      lnopeq0lem1 $p |- ( ( T ` A ) .ih B ) =
             ( ( ( ( ( T ` ( A +h B ) ) .ih ( A +h B ) ) -
                   ( ( T ` ( A -h B ) ) .ih ( A -h B ) ) ) + ( i x.
        ( ( ( T ` ( A +h ( i .h B ) ) ) .ih ( A +h ( i .h B ) ) ) -
         ( ( T ` ( A -h ( i .h B ) ) ) .ih ( A -h ( i .h B ) ) ) ) ) ) / 4 ) $=
        ( cfv csp co cva cmv cmin ci csm cmul caddc c4 cdiv chil wcel lnopf
        ffvelrni ax-mp polid2 wceq lnopadd mp2an opreq1i lnopsub opreq12i cc
        axicn lnopaddmul mp3an lnopsubmul opreq2i eqtr4 ) ACGZBHIURBCGZJIZABJIZ
        HIZURUSKIZABKIZHIZLIZMURMUSNIZJIZAMBNIZJIZHIZURVGKIZAVIKIZHIZLIZOIZPIZQ
        RIVACGZVAHIZVDCGZVDHIZLIZMVJCGZVJHIZVMCGZVMHIZLIZOIZPIZQRIURBUSAASTZURS
        TESSACCDUAZUBUCFBSTZUSSTFSSBCWKUBUCEUDWIVQQRWBVFWHVPPVSVBWAVELVRUTVAHWJ
        WLVRUTUEEFABCDUFUGUHVTVCVDHWJWLVTVCUEEFABCDUIUGUHUJWGVOMOWDVKWFVNLWCVHV
        JHMUKTZWJWLWCVHUEULEFMABCDUMUNUHWEVLVMHWMWJWLWEVLUEULEFMABCDUOUNUHUJUPU
        JUHUQ $.
        $( [3-Aug-2006] $) $( [26-Jul-2006] $)
    $}

    $( Lemma for ~ lnopeq0 . $)
    lnopeq0lem2 $p |- ( ( A e. H~ /\ B e. H~ ) -> ( ( T ` A ) .ih B ) =
           ( ( ( ( ( T ` ( A +h B ) ) .ih ( A +h B ) ) -
                 ( ( T ` ( A -h B ) ) .ih ( A -h B ) ) ) + ( i x.
      ( ( ( T ` ( A +h ( i .h B ) ) ) .ih ( A +h ( i .h B ) ) ) -
       ( ( T ` ( A -h ( i .h B ) ) ) .ih ( A -h ( i .h B ) ) ) ) ) ) / 4 ) ) $=
      ( chil wcel cfv csp co cva cmv cmin ci csm cmul caddc c4 cdiv wceq c0v
      cif fveq2 opreq1d opreq1 fveq2d opreq12d opreq2d eqeq12d opreq2 ax-hv0cl
      elimel lnopeq0lem1 dedth2h ) AEFZBEFZACGZBHIZABJIZCGZURHIZABKIZCGZVAHIZLI
      ZMAMBNIZJIZCGZVFHIZAVEKIZCGZVIHIZLIZOIZPIZQRIZSUNATUAZCGZBHIZVPBJIZCGZVSH
      IZVPBKIZCGZWBHIZLIZMVPVEJIZCGZWFHIZVPVEKIZCGZWIHIZLIZOIZPIZQRIZSVQUOBTUAZ
      HIZVPWPJIZCGZWRHIZVPWPKIZCGZXAHIZLIZMVPMWPNIZJIZCGZXFHIZVPXEKIZCGZXIHIZLI
      ZOIZPIZQRIZSABTTAVPSZUQVRVOWOXPUPVQBHAVPCUBUCXPVNWNQRXPVDWEVMWMPXPUTWAVCW
      DLXPUSVTURVSHXPURVSCAVPBJUDZUEXQUFXPVBWCVAWBHXPVAWBCAVPBKUDZUEXRUFUFXPVLW
      LMOXPVHWHVKWKLXPVGWGVFWFHXPVFWFCAVPVEJUDZUEXSUFXPVJWJVIWIHXPVIWICAVPVEKUD
      ZUEXTUFUFUGUFUCUHBWPSZVRWQWOXOBWPVQHUIYAWNXNQRYAWEXDWMXMPYAWAWTWDXCLYAVTW
      SVSWRHYAVSWRCBWPVPJUIZUEYBUFYAWCXBWBXAHYAWBXACBWPVPKUIZUEYCUFUFYAWLXLMOYA
      WHXHWKXKLYAWGXGWFXFHYAWFXFCYAVEXEVPJBWPMNUIZUGZUEYEUFYAWJXJWIXIHYAWIXICYA
      VEXEVPKYDUGZUEYFUFUFUGUFUCUHVPWPCDATEUJUKBTEUJUKULUM $.
      $( [3-Aug-2006] $) $( [26-Jul-2006] $)

    $( A condition implying that a linear Hilbert space operator is
       identically zero.  Unlike ~ ho01 for arbitrary operators, when the
       operator is linear we need to consider only the values of the quadratic
       form `  ( T `` x ) .ih x ) ` . $)
    lnopeq0 $p |- ( A. x e. H~ ( ( T ` x ) .ih x ) = 0 <-> T = 0hop ) $=
      ( vy vz cv cfv csp co cc0 wceq chil wral ch0o wcel wa cva cmv cmin ci
      csm cmul caddc c4 cdiv lnopeq0lem2 adantl fveq2 id opreq12d eqeq1d
      rcla4cva hvaddclt sylan2 hvsubclt 0cn subid syl6eq cc axicn hvmulclt
      mpan opreq2d mul01 addid1 opreq1d 4re recn 4pos gt0ne0i div0 eqtrd ex
      r19.21aivv lnopf ho01 sylib c0v fveq1 ho0valt sylan9eq hi01t r19.21aiva
      impbi ) AFZBGZWEHIZJKZALMZBNKZWIDFZBGEFZHIZJKZELMDLMWJWIWNDELLWIWKLOZWLLO
      ZPZWNWIWQPZWMWKWLQIZBGZWSHIZWKWLRIZBGZXBHIZSIZTWKTWLUAIZQIZBGZXGHIZWKXFRI
      ZBGZXJHIZSIZUBIZUCIZUDUEIZJWQWMXPKWIWKWLBCUFUGWRXPJUDUEIJWRXOJUDUEWRXOJJU
      CIJWRXEJXNJUCWRXEJJSIZJWRXAJXDJSWIWSLOXAJKZWQWHXRAWSLWEWSKZWGXAJXSWFWTWEW
      SHWEWSBUHXSUIUJUKULWKWLUMUNWIXBLOXDJKZWQWHXTAXBLWEXBKZWGXDJYAWFXCWEXBHWEX
      BBUHYAUIUJUKULWKWLUOUNUJJUPUQZURWRXNTJUBIJWRXMJTUBWRXMXQJWRXIJXLJSWIXGLOZ
      XIJKZWQWHYDAXGLWEXGKZWGXIJYEWFXHWEXGHWEXGBUHYEUIUJUKULWOXFLOZYCWPWKXFUMTU
      SOWPYFUTTWLVAVBZUNUNWIXJLOZXLJKZWQWHYIAXJLWEXJKZWGXLJYJWFXKWEXJHWEXJBUHYJ
      UIUJUKULWOYFYHWPWKXFUOYGUNUNUJYBURVCTUTVDURUJJUPVEURVFUDUDVGVHUDVGVIVJVKU
      RVLVMVNDEBBCVOVPVQWJWHALWJWELOZPZWGVRWEHIZJYLWFVRWEHWJYKWFWENGVRWEBNVSWEV
      TWAVFYKYMJKWJWEWBUGVLWCWD $.
      $( [3-Aug-2007] $) $( [26-Jul-2006] $)
  $}

  ${
    $d x T $.  $d x U $.
    lnopeq.1 $e |- T e. LinOp $.
    lnopeq.2 $e |- U e. LinOp $.
    $( Two linear Hilbert space operators are equal iff their quadratic forms
       are equal. $)
    lnopeq $p |- ( A. x e. H~ ( ( T ` x ) .ih x ) = ( ( U ` x ) .ih x ) <->
                  T = U ) $=
      ( cv cfv csp co wceq chil wral chod cc0 ch0o wcel cmin cc wb subeq0t
      lnopf ffvelrni hiclt mpancom sylanc cmv wf hodvalt mp3an12 opreq1d
      his2subt id syl3anc eqtr2d eqeq1d bitr3d ralbiia lnophd lnopeq0 hosubeq0
      3bitr ) AFZBGZVBHIZVBCGZVBHIZJZAKLVBBCMIZGZVBHIZNJZAKLVHOJBCJVGVKAKVBKPZV
      DVFQIZNJZVGVKVDRPZVFRPZVNVGSVLVDVFTVCKPZVLVOKKVBBBDUAZUBZVCVBUCUDVEKPZVLV
      PKKVBCCEUAZUBZVEVBUCUDUEVLVMVJNVLVJVCVEUFIZVBHIZVMVLVIWCVBHKKBUGKKCUGVLVI
      WCJVRWAVBBCUHUIUJVQVTVLWDVMJVLVCVEVBUKVSWBVLULUMUNUOUPUQAVHBCDEURUSBCVRWA
      UTVA $.
      $( [3-Aug-2006] $) $( [27-Jul-2006] $)
  $}

  ${
    $d x T $.  $d x U $.
    $( Two linear Hilbert space operators are equal iff their quadratic forms
       are equal. $)
    lnopeqt $p |- ( ( T e. LinOp /\ U e. LinOp ) ->
        ( A. x e. H~ ( ( T ` x ) .ih x ) = ( ( U ` x ) .ih x ) <-> T = U ) ) $=
      ( clo wcel cv cfv csp co wceq chil wral wb ch0o cif fveq1 opreq1d eqeq1d
      ralbidv eqeq1 bibi12d eqeq2d eqeq2 0lnop elimel lnopeq dedth2h ) BDEZCDEZ
      AFZBGZUJHIZUJCGZUJHIZJZAKLZBCJZMUJUHBNOZGZUJHIZUNJZAKLZURCJZMUTUJUICNOZGZ
      UJHIZJZAKLZURVDJZMBCNNBURJZUPVBUQVCVJUOVAAKVJULUTUNVJUKUSUJHUJBURPQRSBURC
      TUACVDJZVBVHVCVIVKVAVGAKVKUNVFUTVKUMVEUJHUJCVDPQUBSCVDURUCUAAURVDBNDUDUEC
      NDUDUEUFUG $.
      $( [5-Aug-2006] $) $( [27-Jul-2006] $)
  $}

  ${
    $d y A $.  $d y B $.  $d y C $.  $d x y T $.
    lnopunilem.1 $e |- T e. LinOp $.
    lnopunilem.2 $e |- A. x e. H~ ( normh ` ( T ` x ) ) = ( normh ` x ) $.
    lnopunilem.3 $e |- A e. H~ $.
    lnopunilem.4 $e |- B e. H~ $.
    ${
      lnopunilem1.5 $e |- C e. CC $.
      $( Lemma for ~ lnopuni . $)
      lnopunilem1 $p |- ( Re ` ( C x. ( ( T ` A ) .ih ( T ` B ) ) ) ) =
                      ( Re ` ( C x. ( A .ih B ) ) ) $=
        ( vy cfv csp co cmul ccj caddc c2 cdiv cre wceq chil wcel cv wral cno
        fveq2 fveq2d eqeq12d cbvralv mpbi cexp lnopf ffvelrni normsqt syl
        opreq1 syl5bi r19.20i ax-mp opreq12d id rcla4v mp2 opreq2i opreq12i
        opreq1i csm cva hvmulcl hvaddcl cc lnopl mp3an ax-his2 ax-his3 his7t
        his5t eqtr cjcl hicl mulcl adddi 3eqtr his1 cjmul 3eqtr4 3eqtrr eqtr2
        add42 eqtr3 addcl addcan recjt ) DBELZCELZMNZONZWRPLZQNZRSNZDBCMNZONZXC
        PLZQNZRSNZWRTLZXCTLZWTXERSDDPLZBBMNZONZONZCCMNZQNZWTQNZXNXEQNZUAWTXEUAD
        XIWOWOMNZONZONZWPWPMNZQNZWTQNZXOXPYAXNWTQXSXLXTXMQXRXKDOXQXJXIOBUBUCZKU
        DZELZYEMNZYDYDMNZUAZKUBUEZXQXJUAZHYEUFLZYDUFLZUAZKUBUEZYIAUDZELZUFLZYOU
        FLZUAZAUBUEYNGYSYMAKUBYOYDUAZYQYKYRYLYTYPYEUFYOYDEUGUHYOYDUFUGUIUJUKYMY
        HKUBYDUBUCZYKRULNZYLRULNZUAYHYMUUAUUBYFUUCYGUUAYEUBUCUUBYFUAUBUBYDEEFUM
        ZUNYEUOUPYDUOUIYKYLRULUQURUSUTZYHYJKBUBYDBUAZYFXQYGXJUUFYEWOYEWOMYDBEUG
        ZUUGVAUUFYDBYDBMUUFVBZUUHVAUIVCVDVEVECUBUCZYIXTXMUAZIUUEYHUUJKCUBYDCUAZ
        YFXTYGXMUUKYEWPYEWPMYDCEUGZUULVAUUKYDCYDCMUUKVBZUUMVAUIVCVDVFVGXSWRQNZW
        SXTQNZQNZXLXCQNZXDXMQNZQNZYBXPDBVHNZCVINZELZUVBMNZUVAUVAMNZUUPUUSUVAUBU
        CZYIUVCUVDUAZUUTCDBJHVJZIVKZUUEYHUVFKUVAUBYDUVAUAZYFUVCYGUVDUVIYEUVBYEU
        VBMYDUVAEUGZUVJVAUVIYDUVAYDUVAMUVIVBZUVKVAUIVCVDUVCDWOVHNZWPVINZUVMMNZU
        VLUVMMNZWPUVMMNZQNZUUPUVBUVMUVBUVMMDVLUCZYCUUIUVBUVMUAJHIDBCEFVMVNZUVSV
        FUVLUBUCZWPUBUCZUVMUBUCZUVNUVQUADWOJYCWOUBUCZHUBUBBEUUDUNUTZVJZUUIUWAIU
        BUBCEUUDUNUTZUVLWPUWEUWFVKZUVLWPUVMVOVNUVOUUNUVPUUOQUVODWOUVMMNZONZDXRW
        QQNZONUUNUVRUWCUWBUVOUWIUAJUWDUWGDWOUVMVPVNUWHUWJDOUWHWOUVLMNZWQQNZUWJU
        WCUVTUWAUWHUWLUAUWDUWEUWFWOUVLWPVQVNUWKXRWQQUVRUWCUWCUWKXRUAJUWDUWDDWOW
        OVRVNVGVSVEDXRWQJXIXQDJVTZWOWOUWDUWDWAWBZWOWPUWDUWFWAZWCWDUVPWPUVLMNZXT
        QNZUUOUWAUVTUWAUVPUWQUAUWFUWEUWFWPUVLWPVQVNUWPWSXTQXIWPWOMNZONZXIWQPLZO
        NUWPWSUWRUWTXIOWPWOUWFUWDWEVEUVRUWAUWCUWPUWSUAJUWFUWDDWPWOVRVNDWQJUWOWF
        WGVGVSVFWHUVDUUTUVAMNZCUVAMNZQNZUUSUUTUBUCZUUIUVEUVDUXCUAUVGIUVHUUTCUVA
        VOVNUXAUUQUXBUURQUXADBUVAMNZONZDXKXBQNZONUUQUVRYCUVEUXAUXFUAJHUVHDBUVAV
        PVNUXEUXGDOUXEBUUTMNZXBQNZUXGYCUXDUUIUXEUXIUAHUVGIBUUTCVQVNUXHXKXBQUVRY
        CYCUXHXKUAJHHDBBVRVNVGVSVEDXKXBJXIXJUWMBBHHWAWBZBCHIWAZWCWDUXBCUUTMNZXM
        QNZUURUUIUXDUUIUXBUXMUAIUVGICUUTCVQVNUXLXDXMQXICBMNZONZXIXBPLZONUXLXDUX
        NUXPXIOCBIHWEVEUVRUUIYCUXLUXOUAJIHDCBVRVNDXBJUXKWFWGVGVSVFWIWGXSXTWRWSD
        XRJUWNWBWPWPUWFUWFWADWQJUWOWBZWRUXQVTZWJXLXMXCXDDXKJUXJWBZCCIIWAZDXBJUX
        KWBZXCUYAVTZWJWGWKXNWTXEXLXMUXSUXTWLWRWSUXQUXRWLXCXDUYAUYBWLWMUKVGWRVLU
        CXGXAUAUXQWRWNUTXCVLUCXHXFUAUYAXCWNUTWG $.
        $( [27-May-2006] $) $( [14-May-2005] $)
    $}

    $( Lemma for ~ lnopuni . $)
    lnopunilem2 $p |- ( ( T ` A ) .ih ( T ` B ) ) = ( A .ih B ) $=
      ( vy cv cfv csp co cmul cre wceq cc wral wcel cc0 cif opreq1 fveq2d
      eqeq12d 0cn elimel lnopunilem1 dedth rgen wb chil lnopf ffvelrni ax-mp
      hicl recant mp2an mpbi ) IJZBDKZCDKZLMZNMZOKZUSBCLMZNMZOKZPZIQRZVBVEPZVHI
      QUSQSZVHVKUSTUAZVBNMZOKZVLVENMZOKZPUSTUSVLPZVDVNVGVPVQVCVMOUSVLVBNUBUCVQV
      FVOOUSVLVENUBUCUDABCVLDEFGHUSTQUEUFUGUHUIVBQSVEQSVIVJUJUTVABUKSUTUKSGUKUK
      BDDEULZUMUNCUKSVAUKSHUKUKCDVRUMUNUOBCGHUOIVBVEUPUQUR $.
      $( [28-May-2006] $) $( [12-May-2005] $)
  $}

  ${
    $d x y T $.
    lnopuni.1 $e |- T e. LinOp $.
    lnopuni.2 $e |- T : H~ -onto-> H~ $.
    lnopuni.3 $e |- A. x e. H~ ( normh ` ( T ` x ) ) = ( normh ` x ) $.
    $( If a linear operator (whose range is ` H~ ` ) is idempotent in the norm,
       the operator is unitary.  Similar to theorem in [AkhiezerGlazman]
       p. 73. $)
    lnopuni $p |- T e. UniOp $=
      ( vy cuo wcel chil wfo cv cfv csp co wceq wral elunopt c0v cif fveq2
      opreq1d opreq1 eqeq12d opreq2d opreq2 ax-hv0cl elimel lnopunilem2
      dedth2h rgen2a mpbir2an ) BGHIIBJAKZBLZFKZBLZMNZULUNMNZOZFIPAIPAFBQDURAFI
      ULIHZUNIHZURUSULRSZBLZUOMNZVAUNMNZOVBUTUNRSZBLZMNZVAVEMNZOULUNRRULVAOZUPV
      CUQVDVIUMVBUOMULVABTUAULVAUNMUBUCUNVEOZVCVGVDVHVJUOVFVBMUNVEBTUDUNVEVAMUE
      UCAVAVEBCEULRIUFUGUNRIUFUGUHUIUJUK $.
      $( [28-May-2006] $) $( [23-Jan-2006] $)
  $}

  ${
    $d w x y z T $.
    $( An operator is unitary iff it is linear, onto, and idempotent in the
       norm.  Similar to theorem in [AkhiezerGlazman] p. 73, and its
       converse. $)
    elunop2t $p |- ( T e. UniOp <-> ( T e. LinOp /\ T : H~ -onto-> H~ /\
                 A. x e. H~ ( normh ` ( T ` x ) ) = ( normh ` x ) ) ) $=
      ( vy cuo wcel clo chil wfo cv cfv cno wceq wral w3a unoplint csp co
      elunopt pm3.26bi unopnormt r19.21aiva 3jca cid cres cif eleq1 foeq1
      fveq1 fveq2d eqeq1d ralbidv fveq2 eqeq12d cbvralv syl5bb 3anbi123d
      idlnop wf1o f1oi f1ofo ax-mp fvresi rgen 3pm3.2i elimhyp 3simp1i 3simp2i
      3simp3i lnopuni dedth impbi ) BDEZBFEZGGBHZAIZBJZKJZVOKJZLZAGMZNZVLVMVNVT
      BOVLVNVPCIZBJZPQVOWBPQLCGMAGMACBRSVLVSAGVOBTUAUBWAVLWABUCGUDZUEZDEBWDBWED
      UFCWEWEFEZGGWEHZWBWEJZKJZWBKJZLZCGMZWAWFWGWLNWDFEZGGWDHZWBWDJZKJZWJLZCGMZ
      NBWDBWELZVMWFVNWGVTWLBWEFUFGGBWEUGWSWCKJZWJLZCGMWLVTWSXAWKCGWSWTWIWJWSWCW
      HKWBBWEUHUIUJUKVSXAACGVOWBLZVQWTVRWJXBVPWCKVOWBBULUIVOWBKULUMUNUOUPWDWELZ
      WMWFWNWGWRWLWDWEFUFGGWDWEUGXCWQWKCGXCWPWIWJXCWOWHKWBWDWEUHUIUJUKUPWMWNWRU
      QGGWDURWNGUSGGWDUTVAWQCGWBGEWOWBKGWBVBUIVCVDVEZVFWFWGWLXDVGWFWGWLXDVHVIVJ
      VK $.
      $( [26-Oct-2006] $) $( [24-Feb-2006] $)

    $( Norm of a unitary Hilbert space operator. $)
    nmopunt $p |- ( ( H~ =/= 0H /\ T e. UniOp ) -> ( normop ` T ) = 1 ) $=
      ( vy vx vz vw chil c0h wne cuo wcel wa cnop cfv cv cno c1 cle wbr wceq
      wrex cab cxr clt csup wf clo unoplint lnopft syl nmopvalt adantl wss
      wral wi cr supxr2 nmopsetretHIL ressxr a1i sstrd 1re rexrt ax-mp jctir
      unopnormt eqeq2d anbi2d breq1 biimparc syl6bi r19.23adva imp visset
      eqeq1 rexbidv elab sylan2b r19.21aiva breq2 rcla4ev c0v hne0 norm1hext
      bitr biimp adantr leid mpbiri wb eqeq2 mpbid eqcomd ex jcad adantll
      r19.22dva mpd elisseti sylibr sylan jca sylanc eqtrd ) FGHZAIJZKZALMZBNZO
      MZPQRZCNZXHAMOMZSZKZBFTZCUAZUBUCUDZPXEXGXQSZXDXEFFAUEZXRXEAUFJXSAUGAUHUIZ
      CBAUJUIUKXPUBULZPUBJZKDNZPQRZDXPUMZYCPUCRZYCENZUCRZEXPTZUNZDUOUMZKXQPSXFD
      EXPPUPXFYAYBXEYAXDXEXSYAXTXSXPUOUBCBAUQUOUBULXSURUSUTUIUKPUOJYBVAPVBVCVDX
      FYEYKXEYEXDXEYDDXPXEXJYCXLSZKZBFTZYDYCXPJXEYNYDXEYMYDBFXEXHFJZKZYMXJYCXIS
      ZKYDYPYLYQXJYPXLXIYCXHAVEZVFVGYQYDXJYCXIPQVHVIVJVKVLXOYNCYCDVMXKYCSZXNYMB
      FYSXMYLXJXKYCXLVNVGVOVPVQVRUKXFYJDUOXFYCUOJZKZYFYIPXPJZYFYIUUAYHYFEPXPYGP
      YCUCVSVTXFUUBYTXFXJPXLSZKZBFTZUUBXFXIPSZBFTZUUEXDUUGXEXDUUGXDXHWAHBFTUUGB
      WBBBWCWDWEWFXFUUFUUDBFXEYOUUFUUDUNXDYPUUFXJUUCUUFXJUNYPUUFXJPPQRPVAWGXIPP
      QVHWHUSYPUUFUUCYPUUFKZXLPUUHXLXISZXLPSZYPUUIUUFYRWFUUFUUIUUJWIYPXIPXLWJUK
      WKWLWMWNWOWPWQXOUUECPPUOVAWRXKPSZXNUUDBFUUKXMUUCXJXKPXLVNVGVOVPWSWFWTWMVR
      XAXBXC $.
      $( [26-Mar-2006] $) $( [25-Feb-2006] $)
  $}

  $( A unitary operator is a bounded linear operator. $)
  unopbdt $p |- ( T e. UniOp -> T e. BndLinOp ) $=
    ( cuo wcel clo cnop cfv cr wa cbo unoplint chil c0h wceq wf cc0 nmop0h 0re
    syl6eqel wf1o unopf1ot f1of syl sylan2 wne wn c1 nmopunt 1re df-ne sylanbr
    pm2.61ian jca elbdop2t sylibr ) ABCZADCZAEFZGCZHAICUOUPURAJKLMZUOURUSKKANZU
    RUOUSUTHUQOGAPQRUOKKASUTATKKAUAUBUCKLUDZUOURUSUEVAUOHUQUFGAUGUHRKLUIUJUKULA
    UMUN $.
    $( [1-May-2006] $) $( [10-Mar-2006] $)

  ${
    $d x A $.  $d x B $.  $d x y z T $.
    lnophmlem.1 $e |- A e. H~ $.
    lnophmlem.2 $e |- B e. H~ $.
    lnophmlem.3 $e |- T e. LinOp $.
    lnophmlem.4 $e |- A. x e. H~ ( x .ih ( T ` x ) ) e. RR $.
    $( Lemma for ~ lnophm . $)
    lnophmlem1 $p |- ( A .ih ( T ` A ) ) e. RR $=
      ( chil wcel cv cfv csp co cr wral wceq id fveq2 opreq12d eleq1d rcla4v
      mp2 ) BIJAKZUDDLZMNZOJZAIPBBDLZMNZOJZEHUGUJABIUDBQZUFUIOUKUDBUEUHMUKRUDBD
      STUAUBUC $.
      $( [24-Jan-2006] $) $( [24-Jan-2006] $)

    $( Lemma for ~ lnophm .  _Warning:  The HTML proof page is 1/2 megabyte
       in size_. $)
    lnophmlem2 $p |- ( A .ih ( T ` B ) ) = ( ( T ` A ) .ih B ) $=
      ( cva co cfv csp cmv cmin ci csm cmul caddc c4 cdiv ccj chil wcel lnopf
      ffvelrni ax-mp polid2 hvcom wceq lnopadd mp2an eqtr4 opreq12i hisubcom
      lnopsub opreq2i axicn hvmulcl hvsubdistr1 c1 cneg hvsubval hvmulass ixi
      ax1cn mul2neg mulid1 3eqtr opreq1i negcl mulcl ax-hvmulid 3eqtr3 eqtr3
      eqtr fveq2i cc hvsubcl lnopmul lnopaddmul mp3an his35 cji mulneg2 negeqi
      negneg lnophmlem1 recn mulid2 hvdistr1 3eqtr4 hvaddcl lnopmulsub 3eqtr2
      cc0 wne 4re 4pos gt0ne0i resubcl addcl cjdiv negsub negsubdi2 lnopsubmul
      eqtr2 cr cjreimt 3eqtr4r cjret 3eqtrr his1 ) BCIJZBDKZCDKZIJZLJZBCMJZXNXO
      MJZLJZNJZOBOCPJZIJZXNOXOPJZIJZLJZBYBMJZXNYDMJZLJZNJZQJZRJZSTJZCXNLJZUAKZB
      XOLJXNCLJYOXMXMDKZLJZXRXRDKZLJZNJZOYGYGDKZLJZYCYCDKZLJZNJZQJZRJZSTJZUAKZU
      UGUAKZSUAKZTJZYMYNUUHUAYNCBIJZXOXNIJZLJZCBMJXOXNMJLJZNJZOCOBPJZIJZXOOXNPJ
      ZIJZLJZCUURMJXOUUTMJLJZNJZQJZRJZSTJUUHCXNBXOFBUBUCZXNUBUCEUBUBBDDGUDZUEUF
      ZECUBUCZXOUBUCFUBUBCDUVHUEUFZUGUVFUUGSTUUQYTUVEUUFRUUOYQUUPYSNUUMXMUUNYPL
      CBFEUHUUNXPYPXOXNUVKUVIUHUVGUVJYPXPUIEFBCDGUJUKZULUMUUPXTYSCBXOXNFEUVKUVI
      UNYRXSXRLUVGUVJYRXSUIEFBCDGUOUKUPZULUMUVDUUEOQUVBUUBUVCUUDNOYGPJZOUUAPJZL
      JZUVBUUBUVNUUSUVOUVALUVNUUROYBPJZMJZUURCIJZUUSOBYBUQEOCUQFURZUSUVRUURUTVA
      ZUVQPJZIJUVSUURUVQOBUQEURZOYBUQUVTURVBUWBCUURIUWAOOQJZCPJZPJZUWBCUWEUVQUW
      APOOCUQUQFVCZUPUWAUWDQJZCPJUTCPJZUWFCUWHUTCPUWHUWAUWAQJUTUTQJUTUWDUWAUWAQ
      VDUPUTUTVEVEVFUTVEVGVHVIUWAUWDCUTVEVJOOUQUQVKFVCUVJUWICUIFCVLUFVMVNUPVOUU
      RCUWCFUHVHZUVNDKZUUSDKZUVOUVAUVNUUSDUWJVPOVQUCZYGUBUCZUWKUVOUIUQBYBEUVTVR
      ZOYGDGVSUKUWMUVJUVGUWLUVAUIUQFEOCBDGVTWAVMUMUVPOOUAKZQJZUUBQJUTUUBQJUUBOO
      YGUUAUQUQUWOUWNUUAUBUCUWOUBUBYGDUVHUEUFWBUWQUTUUBQUWQOOVAZQJUWDVAZUTUWPUW
      ROQWCUPOOUQUQWDUWSUWAVAUTUWDUWAVDWEUTVEWFVOVHZVIUUBUUBAYGBDUWOEGHWGZWHZWI
      VHVNUVCUURCMJZUUTXOMJZLJOYCPJZOUUCPJZLJZUUDCUURXOUUTFUWCUVKOXNUQUVIURUNUX
      EUXCUXFUXDLUURUVQIJUURUWACPJZIJUXEUXCUVQUXHUURIUWEUVQUXHUWGUWDUWACPVDVIVN
      UPOBYBUQEUVTWJUURCUWCFVBWKZUXEDKZUXCDKZUXFUXDUXEUXCDUXIVPUWMYCUBUCZUXJUXF
      UIUQBYBEUVTWLZOYCDGVSUKUWMUVGUVJUXKUXDUIUQEFOBCDGWMWAVMUMUXGUWQUUDQJUTUUD
      QJUUDOOYCUUCUQUQUXMUXLUUCUBUCUXMUBUBYCDUVHUEUFWBUWQUTUUDQUWTVIUUDUUDAYCBD
      UXMEGHWGZWHZWIVHWNUMUPUMVIVOVPSWOWPUUIUULUISWQWRWSUUGSYTUUFYTYQYSAXMBDBCE
      FWLEGHWGAXRBDBCEFVREGHWGWTZWHZOUUEUQUUEUUBUUDUXAUXNWTZWHZVKXASWQWHXBUFUUJ
      YLUUKSTYTUUFVAZRJZYTUUFNJZYLUUJYTUUFUXQOUUEUQUUEUUBUUDUXAAYCCDUXMFGHWGWTW
      HVKXCUYAYTOUUDUUBNJZQJZRJYLUXTUYDYTROUUEVAZQJUXTUYDOUUEUQUXSWDUYEUYCOQUUB
      UUDUXBUXOXDUPVNUPYTYAUYDYKRYQXQYSXTNYPXPXMLUVLUPUVMUMUYCYJOQUUDYFUUBYINUU
      CYEYCLUWMUVGUVJUUCYEUIUQEFOBCDGVTWAUPUUAYHYGLUWMUVGUVJUUAYHUIUQEFOBCDGXEW
      AUPUMUPUMXFYTXGUCUUEXGUCUUJUYBUIUXPUXRYTUUEXHUKXISXGUCUUKSUIWQSXJUFUMXKBX
      OCXNEUVKFUVIUGXNCUVIFXLWK $.
      $( [24-Jan-2006] $) $( [24-Jan-2006] $)
  $}


  ${
    $d x y z T $.
    lnophm.1 $e |- T e. LinOp $.
    lnophm.2 $e |- A. x e. H~ ( x .ih ( T ` x ) ) e. RR $.
    $( A linear operator is Hermitian if ` x .ih ( T `` x ) ` takes only real
       values.  Remark in [ReedSimon] p. 195. $)
    lnophm $p |- T e. HrmOp $=
      ( vy vz cho wcel chil wf cv cfv csp co wceq wral elhmopt lnopf c0v cif
      opreq1 fveq2 opreq1d eqeq12d opreq2d opreq2 ax-hv0cl elimel lnophmlem2
      dedth2h rgen2a mpbir2an ) BGHIIBJEKZFKZBLZMNZUMBLZUNMNZOZFIPEIPEFBQBCRUSE
      FIUMIHZUNIHZUSUTUMSTZUOMNZVBBLZUNMNZOVBVAUNSTZBLZMNZVDVFMNZOUMUNSSUMVBOZU
      PVCURVEUMVBUOMUAVJUQVDUNMUMVBBUBUCUDUNVFOZVCVHVEVIVKUOVGVBMUNVFBUBUEUNVFV
      DMUFUDAVBVFBUMSIUGUHUNSIUGUHCDUIUJUKUL $.
      $( [3-Jun-2006] $) $( [24-Jan-2006] $)
  $}

  ${
    $d x y A $.  $d x y T $.  $d x y U $.
    $( A linear operator is Hermitian if ` x .ih ( T `` x ) ` takes only real
       values.  Remark in [ReedSimon] p. 195. $)
    lnophmt $p |- ( ( T e. LinOp /\ A. x e. H~ ( x .ih ( T ` x ) ) e. RR ) ->
                   T e. HrmOp ) $=
      ( vy clo wcel cv cfv csp co cr chil wral wa cho cid cres cif eleq1 wceq
      fveq1 opreq2d eleq1d ralbidv id fveq2 opreq12d cbvralv syl5bb anbi12d
      idlnop fvresi hiidrclt eqeltrd rgen pm3.2i elimhyp pm3.26i pm3.27i
      lnophm dedth ) BDEZAFZVBBGZHIZJEZAKLZMZBNEVGBOKPZQZNEBVHBVINRCVIVIDEZCFZV
      KVIGZHIZJEZCKLZVGVJVOMVHDEZVKVKVHGZHIZJEZCKLZMBVHBVISZVAVJVFVOBVIDRWAVKVK
      BGZHIZJEZCKLVOVFWAWDVNCKWAWCVMJWAWBVLVKHVKBVITUAUBUCVEWDACKVBVKSZVDWCJWEV
      BVKVCWBHWEUDVBVKBUEUFUBUGUHUIVHVISZVPVJVTVOVHVIDRWFVSVNCKWFVRVMJWFVQVLVKH
      VKVHVITUAUBUCUIVPVTUJVSCKVKKEZVRVKVKHIJWGVQVKVKHKVKUKUAVKULUMUNUOUPZUQVJV
      OWHURUSUT $.
      $( [31-Oct-2006] $) $( [24-Jan-2006] $)

    $( The sum of two Hermitian operators is Hermitian. $)
    hmopst $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T +op U ) e. HrmOp ) $=
      ( vx vy cho wcel wa chil chos co wf cv cfv csp wceq wral hoaddclt hmopft
      syl2an caddc hmopt 3expb opreqan12d anandirs cva hosvaltOLD opreq2d
      adantrl his7t simprl ffvelrn ad2ant2rl ad2ant2l syl3anc eqtrd anim12i
      sylan opreq1d adantrr ax-his2 ad2ant2r ad2ant2lr simprr 3eqtr4d ex
      r19.21aivv jca elhmopt sylibr ) AEFZBEFZGZHHABIJZKZCLZDLZVMMZNJZVOVMMZVPN
      JZOZDHPCHPZGVMEFVLVNWBHHAKZHHBKZVNVJVKABQARZBRZSVLWACDHHVLVOHFZVPHFZGZWAV
      LWIGVOVPAMZNJZVOVPBMZNJZTJZVOAMZVPNJZVOBMZVPNJZTJZVRVTVJVKWIWNWSOVJWIGVKW
      IGWKWPWMWRTVJWGWHWKWPOVOVPAUAUBVKWGWHWMWROVOVPBUAUBUCUDWCWDGZWIVRWNOVLWTW
      IGZVRVOWJWLUEJZNJZWNWTWHVRXCOWGWTWHGVQXBVONVPABUFUGUHWGWJHFZWLHFZXCWNOXAV
      OWJWLUIWTWGWHUJWCWHXDWDWGHHVPAUKULWDWHXEWCWGHHVPBUKUMUNUOVJWCVKWDWEWFUPZU
      QWTWIVTWSOVLXAVTWOWQUEJZVPNJZWSWTWGVTXHOWHWTWGGVSXGVPNVOABUFURUSWOHFZWQHF
      ZWHXHWSOXAWOWQVPUTWCWGXIWDWHHHVOAUKVAWDWGXJWCWHHHVOBUKVBWTWGWHVCUNUOXFUQV
      DVEVFVGCDVMVHVI $.
      $( [24-Jul-2006] $) $( [23-Jul-2006] $)

    $( The scalar product of a Hermitian operator with a real is Hermitian. $)
    hmopmt $p |- ( ( A e. RR /\ T e. HrmOp ) -> ( A .op T ) e. HrmOp ) $=
      ( vx vy cr wcel cho wa chil chot co wf cv cfv csp wceq wral cc homulclt
      recnt hmopft syl2an ccj cmul cjret hmopt 3expb opreqan12d anassrs csm
      homvalt 3expa adantrl opreq2d his5t simpll simprl ffvelrn ad2ant2l
      syl3anc eqtrd anim12i sylan adantrr opreq1d ax-his3 ad2ant2lr simprr
      3eqtr4d ex r19.21aivv jca elhmopt sylibr ) AEFZBGFZHZIIABJKZLZCMZDMZVRNZO
      KZVTVRNZWAOKZPZDIQCIQZHVRGFVQVSWGARFZIIBLZVSVOVPABSATZBUAZUBVQWFCDIIVQVTI
      FZWAIFZHZWFVQWNHAUCNZVTWABNZOKZUDKZAVTBNZWAOKZUDKZWCWEVOVPWNWRXAPVOVPWNHW
      OAWQWTUDAUEVPWLWMWQWTPVTWABUFUGUHUIWHWIHZWNWCWRPVQXBWNHZWCVTAWPUJKZOKZWRX
      CWBXDVTOXBWMWBXDPZWLWHWIWMXFAWABUKULUMUNWHWLWPIFZXEWRPXCAVTWPUOWHWIWNUPZX
      BWLWMUQWIWMXGWHWLIIWABURUSUTVAVOWHVPWIWJWKVBZVCXBWNWEXAPVQXCWEAWSUJKZWAOK
      ZXAXCWDXJWAOXBWLWDXJPZWMWHWIWLXLAVTBUKULVDVEWHWSIFZWMXKXAPXCAWSWAVFXHWIWL
      XMWHWMIIVTBURVGXBWLWMVHUTVAXIVCVIVJVKVLCDVRVMVN $.
      $( [31-Jul-2006] $) $( [23-Jul-2006] $)

    $( The difference of two Hermitian operators is Hermitian. $)
    hmopdt $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T -op U ) e. HrmOp ) $=
      ( cho wcel wa c1 cneg chot co chos chod chil wf wceq honegsubt hmopft
      syl2an hmopst cr 1re renegcl hmopmt mpan sylan2 eqeltrrd ) ACDZBCDZEAFGZB
      HIZJIZABKIZCLLAMLLBMUJUKNUFUGABOAPBPQUFUICDZUJCDUGAUIRUHSDUGULFTUAUHBUBUC
      UDUE $.
      $( [5-Aug-2006] $) $( [23-Jul-2006] $)

    $( The composition of two commuting Hermitian operators is Hermitian. $)
    hmopcot $p |- ( ( T e. HrmOp /\ U e. HrmOp /\ ( T o. U ) = ( U o. T ) ) ->
                   ( T o. U ) e. HrmOp ) $=
      ( vx vy cho wcel ccom wceq w3a chil wf cv cfv csp co wral wa fco hmopft
      syl2an 3adant3 wfun fvco3 ffun syl id syl3an 3expa opreq2d adantrl hmopt
      simpll simprl ffvelrn sylan ad2ant2l syl3anc simplr ad2ant2r simprr
      3eqtrd ancom1s opreq1d adantrr eqtr4d 3adantl3 fveq1 3ad2ant3 adantr ex
      r19.21aivv jca elhmopt sylibr ) AEFZBEFZABGZBAGZHZIZJJVQKZCLZDLZVQMZNOZWB
      VQMZWCNOZHZDJPCJPZQVQEFVTWAWIVOVPWAVSJJAKZJJBKZWAVOVPJJJABRASZBSZTUAVTWHC
      DJJVTWBJFZWCJFZQZWHVTWPQWEWBVRMZWCNOZWGVOVPWPWEWRHVSVOVPQZWPQZWEWBAMZBMZW
      CNOZWRWTWEWBWCBMZAMZNOZXAXDNOZXCWSWOWEXFHWNWSWOQWDXEWBNVOVPWOWDXEHZAUBZWK
      WOXHVOVPWOJJWCABUCVOWJXIWLJJAUDUEWMWOUFUGUHUIUJVOWNXDJFZXFXGHWTWBXDAUKVOV
      PWPULWSWNWOUMVPWOXJVOWNWKWOXJVPJJWCBUNWMUOUPUQVPXAJFZWOXGXCHWTXAWCBUKVOVP
      WPURVOWNXKVPWOWJWNXKVOJJWBAUNWLUOUSWSWNWOUTUQVAWSWNWRXCHWOWSWNQWQXBWCNVPV
      OWNWQXBHZVPVOWNXLBUBZWJWNXLVPVOWNJJWBBAUCVPWKXMWMJJBUDUEWLWNUFUGUHVBVCVDV
      EVFVTWGWRHZWPVSVOXNVPVSWFWQWCNWBVQVRVGVCVHVIVEVJVKVLCDVQVMVN $.
      $( [6-Sep-2006] $) $( [22-Aug-2006] $)
  $}

  ${
    nmbdoplb.1 $e |- T e. BndLinOp $.
    $( A lower bound for the norm of a bounded linear operator. $)
    nmbdoplb $p |- ( A e. H~ ->
              ( normh ` ( T ` A ) ) <_ ( ( normop ` T ) x. ( normh ` A ) ) ) $=
      ( chil wcel cfv cno cnop cmul co cle wbr c0v wceq fveq2 fveq2d opreq2d
      breq12d wne wa cdiv c1 csm cc cc0 divrec2t cr cbo clo bdoplnt ax-mp
      lnopf ffvelrni normclt syl adantr recnd normne0t biimpar syl3anc cabs
      lnopmul rerecclt sylanc pm3.26 norm-iiit absidt clt wi 0re ltlet mpan
      recgt0t normgt0t biimpa sylc opreq1d 3eqtrrd eqtrd wf nmoplbt mp3an1
      hvmulclt eqlet norm1t eqbrtrd w3a wb ledivmul2tOLD nmopret a1i 3jca mpbid
      leid lnop0 fveq2i norm0 eqtr opreq2i recn mul01 3brtr4 pm2.61ne ) ADEZABF
      ZGFZBHFZAGFZIJZKLZMBFZGFZXGMGFZIJZKLZAMAMNZXFXLXIXNKXPXEXKGAMBOPXPXHXMXGI
      AMGOQRXDAMSZTZXFXHUAJZXGKLZXJXRXSUBXHUAJZAUCJZBFZGFZXGKXRXSYAXFIJZYDXFUDE
      XHUDEXHUESZXSYENXRXFXHUFXRXFXDXFUGEZXQXDXEDEZYGDDABBBUHEZBUIECBUJUKZULZUM
      ZXEUNUOUPZUQXRXHXDXHUGEZXQAUNUPZUQXDYFXQAURUSZUTXRYDYAXEUCJZGFZYAVAFZXFIJ
      ZYEXRYCYQGYAUDEZXDYCYQNXRYAABYJVBXRYAYNYFYAUGEZXRXHVCYOYPVDZUQZXDXQVEZVDP
      UUAYHYRYTNXRYAXEVFUUDXDYHXQYLUPVDXRYSYAXFIUUBUEYAKLZYSYANXRYAVGUUCUUBUEYA
      VHLZUUFXRUEUGEUUBUUGUUFVIVJUEYAVKVLUUCYNUEXHVHLZUUGXRXHVMYOXDXQUUHAVNVOZV
      DVPVDVQVRVSYBDEZYBGFZUBKLZYDXGKLZXRDDBVTUUJUULUUMYKYBBWAWBUUAXDUUJXRYAAWC
      UUDUUEVDZUUKUGEZUUKUBNUULXRUUKUBWDXRUUJUUOUUNYBUNUOAWEVDVDWFYGYNXGUGEZWGU
      UHXTXJWHXRXFXHXGWIXRYGYNUUPYMYOUUPXRYIUUPCBWJUKZWKWLUUIVDWMXOXDUEUEXLXNKU
      EVJWNXLXMUEXKMGBYJWOWPWQWRXNXGUEIJUEXMUEXGIWQWSXGXGUUQWTXAWRXBWKXC $.
      $( [11-Apr-2006] $) $( [14-Feb-2006] $)
  $}

  $( A lower bound for the norm of a bounded linear Hilbert space operator. $)
  nmbdoplbt $p |- ( ( T e. BndLinOp /\ A e. H~ ) ->
              ( normh ` ( T ` A ) ) <_ ( ( normop ` T ) x. ( normh ` A ) ) ) $=
    ( cbo wcel chil cfv cno cnop cmul co cle wbr wi ch0o cif wceq fveq1 fveq2d
    fveq2 opreq1d breq12d imbi2d 0bdop elimel nmbdoplb dedth imp ) BCDZAEDZABFZ
    GFZBHFZAGFZIJZKLZUHUIUOMUIAUHBNOZFZGFZUPHFZUMIJZKLZMBNBUPPZUOVAUIVBUKURUNUT
    KVBUJUQGABUPQRVBULUSUMIBUPHSTUAUBAUPBNCUCUDUEUFUG $.
    $( [12-Apr-2006] $) $( [18-Feb-2006] $)

  ${
    $d k x M $.  $d k x y z T $.  $d n x y z T $.
    nmcopex.1 $e |- T e. LinOp $.
    nmcopex.2 $e |- T e. ConOp $.
    $( Lemma for ~ nmcopex (Theorem 3.5(i) of [Beran] p. 99).  A sufficient
       condition for the norm of an operator to be real, based on its
       definition and the properties of supremum.  Compared to Beran, we use a
       direct proof instead of a proof by contradiction. $)
    nmcopexlem1 $p |- ( ( n e. NN /\ A. x e. H~ ( ( normh ` x ) <_ 1 ->
                  -. n < ( normh ` ( T ` x ) ) ) ) -> ( normop ` T ) e. RR ) $=
      ( vy vz cv cn wcel cno cfv c1 cle wbr clt wn wi chil wral wa cnop cpnf
      wne cr wceq wrex cab ra4 impcom nnret cxr wss wb wf lnopf nmopsetretHIL
      ax-mp ressxr sstri csup supxrunb2 nmopvalt eqeq1i syl6rbbr biimp syl2an
      wex rexcom4 19.42v anass bicomi exbii fvex breq2 ceqsexv anbi2i 3bitr3r
      rexbii visset eqeq1 anbi2d rexbidv elab anbi1i r19.41v bitr4 3bitr4
      df-rex sylibr ex df-an rexnal bitr syl6ib necon2ad imp nmoprepnf ) CHZIJZ
      AHZKLMNOZWSXABLZKLZPOZQRZASTZUABUBLZUCUDZXHUEJZWTXGXIWTXGXHUCWTXHUCUFZXBX
      EUAZASUGZXGQZWTXKXMWTXKUAWSFHZPOZFXBGHZXDUFZUAZASUGZGUHZUGZXMWSUEJZYBCUET
      ZYBWTXKYDYCYBYBCUEUIUJWSUKXKYDYAULUMZXKYDUNYAUEULSSBUOZYAUEUMBDUPZGABUQUR
      USUTYEYDYAULPVAZUCUFXKCFYAVBXHYHUCYFXHYHUFYGGABVCURVDVEURVFVGXMXOYAJZXPUA
      ZFVHZYBXBXOXDUFZUAZXPUAZFVHZASUGYNASUGZFVHXMYKYNAFSVIXLYOASXBYLXPUAZUAZFV
      HXBYQFVHZUAYOXLXBYQFVJYRYNFYNYRXBYLXPVKVLVMYSXEXBXPXEFXDXCKVNXOXDWSPVOVPV
      QVRVSYJYPFYJYMASUGZXPUAYPYIYTXPXTYTGXOFVTXQXOUFZXSYMASUUAXRYLXBXQXOXDWAWB
      WCWDWEYMXPASWFWGVMWHXPFYAWIWGWJWKXMXFQZASUGXNXLUUBASXBXEWLVSXFASWMWNWOWPW
      QYFXJXIUNYGBWRURWJ $.
      $( [3-Apr-2006] $) $( [5-Feb-2006] $)

    $( Lemma for ~ nmcopex .  Apply definition of continuity.  Note that we use
       1 instead of 0.5 that Beran uses for epsilon (e = 0.5 in his proof). $)
    nmcopexlem2 $p |- E. y e. RR ( 0 < y /\
            A. z e. H~ ( ( normh ` z ) < y -> ( normh ` ( T ` z ) ) < 1 ) ) $=
      ( cc0 cv clt wbr c0v cmv co cno cfv c1 wi chil wral wa cr wrex cco wcel
      ax-hv0cl pm3.2i 1re lt01 cnopct mp2an hvsub0t fveq2d breq1d wceq lnopf
      ffvelrni syl lnop0 opreq2i syl5eq imbi12d ralbiia anbi2i rexbii mpbi ) FA
      GZHIZBGZJKLZMNZVEHIZVGCNZJCNZKLZMNZOHIZPZBQRZSZATUAZVFVGMNZVEHIZVKMNZOHIZ
      PZBQRZSZATUACUBUCZJQUCZSOTUCZFOHIZSVSWGWHEUDUEWIWJUFUGUEABJOCUHUIVRWFATVQ
      WEVFVPWDBQVGQUCZVJWAVOWCWKVIVTVEHWKVHVGMVGUJUKULWKVNWBOHWKVMVKMWKVKJKLZVK
      VMWKVKQUCWLVKUMQQVGCCDUNUOVKUJUPVLJVKKCDUQURUSUKULUTVAVBVCVD $.
      $( [4-Apr-2006] $) $( [2-Feb-2006] $)

    $( Lemma for ~ nmcopex .  Move ` 1 / n ` out of the norm, using
       linearity. $)
    nmcopexlem3 $p |- ( ( n e. NN /\ x e. H~ ) -> ( ( normh `  ( T ` x ) ) < n
             <-> ( normh ` ( T ` ( ( 1 / n ) .h x ) ) ) < 1 ) ) $=
      ( cv cn wcel chil wa cfv cno clt wbr c1 cdiv co cmul csm cr w3a cc0 wb
      ltmul2t lnopf ffvelrni normclt syl adantl nnret adantr wne rerecclt
      nnne0t sylanc 3jca nnrecgt0t cabs cc wceq lnopmul recnd sylan fveq2d
      norm-iiit syl2an cle absidt wi 0re ltlet mpan sylc opreq1d 3eqtrrd
      recid2t nncnt breq12d bitrd ) CFZGHZAFZIHZJZWBBKZLKZVTMNZOVTPQZWFRQZWHVTR
      QZMNZWHWBSQBKZLKZOMNWFTHZVTTHZWHTHZUAUBWHMNZWGWKUCWDWFVTWHUDWDWNWOWPWCWNW
      AWCWEIHZWNIIWBBBDUEUFZWEUGUHUIWAWOWCVTUJZUKWAWPWCWOVTUBULZWPWAVTUMWTVTUNZ
      UOZUKUPWAWQWCVTUQZUKUOWDWIWMWJOMWDWMWHWESQZLKZWHURKZWFRQZWIWDWLXELWHUSHZW
      CWLXEUTWAWHWBBDVAWAWHXCVBZVCVDXIWRXFXHUTWAWCWHWEVEXJWSVFWDXGWHWFRWAXGWHUT
      ZWCWPUBWHVGNZXKWAWHVHXCWPWQXLWAUBTHWPWQXLVIVJUBWHVKVLXCXDVMUOUKVNVOWAWJOU
      TZWCVTUSHXAXMWAVTVPVTVQXBUOUKVRVS $.
      $( [4-Apr-2006] $) $( [5-Feb-2006] $)

    ${
      nmcopexlem4.3 $e |- A = { k e. NN | ( 1 / k ) < y } $.
      nmcopexlem4.4 $e |- M = sup ( A , RR , `' < ) $.
      $( Lemma for ~ nmcopex .  Properties of the infimum of a collection of
         integers whose reciprocals are less than a real number ` y ` (which
         will later become the "epsilon" of the epsilon/delta continuity
         definition ~ df-cnop ).  Note that ` ``' < ` in the fourth hypothesis
         signifies infimum.  (This lemma involves only real numbers and is
         independent of Hilbert space.  The first two hypotheses aren't
         used.) $)
      nmcopexlem4 $p |- ( ( y e. RR /\ 0 < y ) ->
                        ( M e. NN /\ ( 1 / M ) < y ) ) $=
        ( cv cr wcel cc0 clt wbr wa c1 cdiv co cn crab ccnv csup c0 wne wrex
        nnreclt rabn0 sylibr neeq1i cuz cfv wss ssrab2 eqsstr nnuz sseqtr
        infmssuzcl mpan syl syl6eleq syl5eqel wceq opreq2 breq1d elrab sylib )
        AJZKLMVHNOPZEQDJZRSZVHNOZDTUAZLETLQERSZVHNOZPVIBKNUBUCZVMEVIVPBVMVIBUDU
        EZVPBLZVIVMUDUEZVQVIVLDTUFVSVHDUGVLDTUHUIBVMUDHUJUIBQUKULZUMVQVRBTVTBVM
        THVLDTUNUOUPUQBQURUSUTHVAIVBVLVODETVJEVCVKVNVHNVJEQRVDVEVFVG $.
        $( [3-Apr-2006] $) $( [2-Feb-2006] $)

      $( Lemma for ~ nmcopex . $)
      nmcopexlem5 $p |- ( ( ( y e. RR /\ 0 < y ) /\ ( n e. NN /\ M <_ n ) /\
                        ( x e. H~ /\ ( normh ` x ) <_ 1 ) ) ->
                        ( normh ` ( ( 1 / n ) .h x ) ) < y ) $=
        ( cv cr wcel cc0 clt wbr wa cn cle chil cno cfv c1 w3a cdiv co csm cc
        hvmulclt wne rerecclt nnret nnne0t sylanc recnd sylan normclt syl
        ad2ant2r 3adant1 nmcopexlem4 pm3.26d 3ad2ant1 pm3.26 ad2antrr cmul
        lemul2itOLD ad2antrl 3adant2 1re a1i 3jca 0re lt01 ltlei divge0t
        mpanl12 nngt0t 3adant3 pm3.27 3ad2ant3 jca wceq cabs norm-iiit absidt
        adantr opreq1d eqtr2d ax1id 3brtr3d wb lerect syl2an biimpa anasss
        letrd syl3an1 pm3.27d lelttrd ) BLZMNZOXBPQZRZFLZSNZGXFTQZRZALZUANZXJUB
        UCZUDTQZRZUEUDXFUFUGZXJUHUGZUBUCZUDGUFUGZXBXIXNXQMNZXEXGXKXSXHXMXGXKRZX
        PUANZXSXOUINZXKYAXGXOXJUJXGXOXFMNZXFOUKXOMNZXGXFULXFUMZXFUNUOZUPZUQXPUR
        USUTZVAXEXIXRMNZXNXEGSNZYIXEYJXRXBPQZBCDEGHIJKVBZVCZGMNZGOUKYIYJGULGUMZ
        GUNUOZUSVDXEXIXCXNXCXDVEVDYJXIXNXQXRTQXEYJXIXNUEZXQXOXRXIXNXSYJYHVAXIXN
        YDYJXGYDXHXNYFVFVAZYJXIYIXNYPVDYQXOXLVGUGZXOUDVGUGZXQXOTXLMNZUDMNZYDUEO
        XOTQZXMRYSYTTQYQXLUDXOVHYQUUAUUBYDYJXNUUAXIXKUUAYJXMXJURVIVJUUBYQVKVLYR
        VMYQUUCXMYJXIUUCXNXGUUCYJXHYCOXFPQZUUCXGUUBOUDTQYCUUDRZUUCVKOUDVNVKVOVP
        UDXFVQVRYEXFVSZUOZVIVTXNYJXMXIXKXMWAWBWCUOXIXNYSXQWDZYJXGXKUUHXHXMXTXQX
        OWEUCZXLVGUGZYSYBXKXQUUJWDXGXOXJWFYGUQXTUUIXOXLVGXGUUIXOWDZXKYDUUCUUKXG
        XOWGYFUUGUOWHWIWJUTVAYJXIYTXOWDZXNXGUULYJXHXGYBUULYGXOWKUSVIVTWLYJXIXOX
        RTQZXNYJXGXHUUMYJXGRXHUUMYNOGPQZRUUEXHUUMWMYJXGGXFWNYJYNUUNYOGVSWCXGYCU
        UDYEUUFWCWOWPWQVTWRYMWSXEXIYKXNXEYJYKYLWTVDXA $.
        $( [4-Apr-2006] $) $( [4-Feb-2006] $)

      $( Lemma for ~ nmcopex .  Combine lemmas to obtain the result (with
         hypotheses to be eliminated). $)
      nmcopexlem6 $p |- ( normop ` T ) e. RR $=
        ( vz vx cc0 cv clt wbr cno cfv c1 wi chil wral wa cr wrex cnop wcel
        nmcopexlem2 cn cdiv co nmcopexlem4 pm3.26d ex adantrd cle wn csm
        nmcopexlem5 3expb cc hvmulclt wne rerecclt nnret nnne0t sylanc recnd
        sylan wceq fveq2 breq1d fveq2d imbi12d rcla4v syl nmcopexlem3 ltnsymt
        lnopf ffvelrni normclt syl2an ancoms sylbird syl6d ad2ant2r adantl
        mpid com23 imp exp4d anasss r19.21aiv nmcopexlem1 adantlr adantll
        mpdan exp32 r19.23adv leidt breq2 rcla4ev syl5 mpdd r19.23aiv ax-mp )
        LAMZNOZJMZPQZXFNOZXHCQZPQZRNOZSZJTUAZUBZAUCUDCUEQUCUFZAJCFGUGXPXQAUCXFU
        CUFZXPEUHUFZXQXRXGXSXOXRXGXSXRXGUBZXSREUIUJXFNOABCDEFGHIUKULUMUNXRXPXSX
        QSXRXPUBZEDMZUOOZDUHUDZXQXSYAYCXQDUHYAYBUHUFZYCXQYAYEYCUBZUBZKMZPQRUOOZ
        YBYHCQZPQZNOUPZSZKTUAZXQYGYMKTYAYFYHTUFZYMSZXRXGXOYFYPSXTXOUBYFYOYIYLXT
        XOYFYOYIUBZUBZYLSXTYRXOYLXTYRXOYLSXTYRUBXORYBUIUJZYHUQUJZPQZXFNOZYLXTYF
        YQUUBKABCDDEFGHIURUSYRXOUUBYLSSZXTYEYOUUCYCYIYEYOUBZXOUUBYTCQZPQZRNOZYL
        UUDYTTUFZXOUUBUUGSZSYSUTUFYOUUHYEYSYHVAYEYSYBUCUFZYBLVBYSUCUFYEYBVCYBVD
        ZYBVEVFVGVHXNUUIJYTTXHYTVIZXJUUBXMUUGUULXIUUAXFNXHYTPVJVKUULXLUUFRNUULX
        KUUEPXHYTCVJVLVKVMVNVOUUDUUGYKYBNOZYLKCDFGVPYOYEUUMYLSZYKUCUFZUUJUUNYOY
        EYKYBVQYOYJTUFUUOTTYHCCFVRVSYJVTVOUUKWAWBWCWDWEWFWGUMWHWIWJWKWIWLYFYNXQ
        YAYEYNXQYCKCDFGWMWNWOWPWQWRXSEEUOOZYDXSEUCUFUUPEVDEWSVOYCUUPDEUHYBEEUOW
        TXAWPXBUMXCXDXE $.
        $( [4-Apr-2006] $) $( [5-Feb-2006] $)
    $}

    $( The norm of a continuous linear Hilbert space operator exists.  Theorem
       3.5(i) of [Beran] p. 99. $)
    nmcopex $p |- ( normop ` T ) e. RR $=
      ( vy vk vz c1 cv cdiv co clt wbr cn crab cr ccnv csup eqid wceq opreq2
      breq1d cbvrabv supeq1 ax-mp nmcopexlem6 ) DGEHZIJZDHZKLZEMNZAEGFHZIJZUHKL
      ZFMNZOKPZQZBCUJRUNUJSUPUJOUOQSUMUIFEMUKUFSULUGUHKUKUFGITUAUBOUNUJUOUCUDUE
      $.
      $( [4-Apr-2006] $) $( [5-Feb-2006] $)

    $( A lower bound for the norm of a continuous linear operator.  Theorem
       3.5(ii) of [Beran] p. 99. $)
    nmcoplb $p |- ( A e. H~ ->
              ( normh ` ( T ` A ) ) <_ ( ( normop ` T ) x. ( normh ` A ) ) ) $=
      ( chil wcel c0v wceq cfv cno cnop cmul co cle wbr cc0 fveq2 lnop0 syl6eq
      fveq2d norm0 opreq2d nmcopex recn mul01 syl6req 0re leid syl5breq
      eqbrtrd adantl wn wa cdiv c1 csm cc wne divrec2t cr lnopf ffvelrni
      normclt syl adantr recnd norm-it negbid biimpar df-ne sylibr syl3anc
      cabs lnopmul rerecclt sylanc pm3.26 norm-iiit absidt clt wi ltlet mpan
      recgt0t normgt0tOLD biimpa sylc opreq1d 3eqtrrd eqtrd wf nmoplbt mp3an1
      hvmulclt eqlet norm1t sylan2br w3a wb ledivmul2tOLD a1i 3jca mpbid
      pm2.61dan ) AEFZAGHZABIZJIZBKIZAJIZLMZNOZXFXLXEXFXHPXKNXFXHGJIZPXFXGGJXFX
      GGBIGAGBQBCRSTUASXFPXKPNXFXKXIPLMPXFXJPXILXFXJXMPAGJQUASUBXIXIBCDUCZUDUEU
      FPUGUHUIUJUKXEXFULZUMZXHXJUNMZXINOZXLXPXQUOXJUNMZAUPMZBIZJIZXINXPXQXSXHLM
      ZYBXHUQFXJUQFXJPURZXQYCHXPXHXJUSXPXHXEXHUTFZXOXEXGEFZYEEEABBCVAZVBZXGVCVD
      VEZVFXPXJXEXJUTFZXOAVCVEZVFXPXJPHZULZYDXEYMXOXEYLXFAVGVHVIXJPVJVKZVLXPYBX
      SXGUPMZJIZXSVMIZXHLMZYCXPYAYOJXSUQFZXEYAYOHXPXSABCVNXPXSYJYDXSUTFZXPXJVOY
      KYNVPZVFZXEXOVQZVPTYSYFYPYRHXPXSXGVRUUBXEYFXOYHVEVPXPYQXSXHLYTPXSNOZYQXSH
      XPXSVSUUAYTPXSVTOZUUDXPPUTFYTUUEUUDWAUGPXSWBWCUUAYJPXJVTOZUUEXPXJWDYKXEXO
      UUFAWEWFZVPWGVPWHWIWJXTEFZXTJIZUONOZYBXINOZXPEEBWKUUHUUJUUKYGXTBWLWMYSXEU
      UHXPXSAWNUUBUUCVPZUUIUTFZUUIUOHZUUJXPUUIUOWOXPUUHUUMUULXTVCVDXEAGURUUNXOA
      WPAGVJWQVPVPUJYEYJXIUTFZWRUUFXRXLWSXPXHXJXIWTXPYEYJUUOYIYKUUOXPXNXAXBUUGV
      PXCXD $.
      $( [13-Apr-2006] $) $( [7-Feb-2006] $)
  $}

  $( The norm of a continuous linear Hilbert space operator exists.  Theorem
     3.5(i) of [Beran] p. 99. $)
  nmcopext $p |- ( ( T e. LinOp /\ T e. ConOp ) -> ( normop ` T ) e. RR ) $=
    ( clo wcel cco wa cin cnop cfv cr elin cid chil cres cif wceq fveq2 eleq1d
    idlnop idcnop mpbir2an elimel mpbi pm3.26i pm3.27i nmcopex dedth sylbir )
    ABCADCEABDFZCZAGHZICZABDJUIUKUIAKLMZNZGHZICAULAUMOUJUNIAUMGPQUMUMBCZUMDCZUM
    UHCUOUPEAULUHULUHCULBCULDCULBDJRSTUAUMBDJUBZUCUOUPUQUDUEUFUG $.
    $( [12-Apr-2006] $) $( [7-Feb-2006] $)

  $( A lower bound for the norm of a continuous linear Hilbert space operator.
     Theorem 3.5(ii) of [Beran] p. 99. $)
  nmcoplbt $p |- ( ( T e. LinOp /\ T e. ConOp /\ A e. H~ ) ->
              ( normh ` ( T ` A ) ) <_ ( ( normop ` T ) x. ( normh ` A ) ) ) $=
    ( clo wcel cco chil cfv cno cnop cmul co cle wbr cin wa wi cid cres cif
    wceq fveq1 fveq2d fveq2 opreq1d breq12d imbi2d elin idlnop idcnop mpbir2an
    elimel mpbi pm3.26i pm3.27i nmcoplb dedth imp sylanbr 3impa ) BCDZBEDZAFDZA
    BGZHGZBIGZAHGZJKZLMZBCENZDZVBVHUTVAOVJVBVHVJVBVHPVBAVJBQFRZSZGZHGZVLIGZVFJK
    ZLMZPBVKBVLTZVHVQVBVRVDVNVGVPLVRVCVMHABVLUAUBVRVEVOVFJBVLIUCUDUEUFAVLVLCDZV
    LEDZVLVIDVSVTOBVKVIVKVIDVKCDVKEDVKCEUGUHUIUJUKVLCEUGULZUMVSVTWAUNUOUPUQBCEU
    GURUS $.
    $( [13-Apr-2006] $) $( [7-Feb-2006] $)

  ${
    $d x A $.  $d x T $.
    nmophm.1 $e |- T e. BndLinOp $.
    $( The norm of the scalar product of a bounded linear operator. $)
    nmophm $p |- ( A e. CC ->
              ( normop ` ( A .op T ) ) = ( ( abs ` A ) x. ( normop ` T ) ) ) $=
      ( vx cc wcel chot co cnop cfv cabs cmul wceq cle wbr wa chil wf cxr cv
      cno c1 wi wral nmopubt cbo bdopft ax-mp homulclt mpan2 cr absclt nmopret
      axmulrcl syl rexrt csm homvalt mp3an2 fveq2d norm-iiit ffvelrni sylan2
      eqtrd adantr w3a cc0 lemul2itOLD normclt adantl a1i 3jca absge0t nmoplbt
      mp3an1 anim12i anassrs sylanc eqbrtrd ex r19.21aiva syl3anc fveq2 abs0
      syl6eq opreq1d recn mul02 nmopge0t wne wn cdiv redivclt cmnf clt xrret
      nmopxrt nmopgtmnf syl2anc abs00t necon3bid biimpar syl3an1 3expa
      eqbrtrrd adantllr wb lemuldiv2tOLD ad2antrr absgt0t biimpa mpbid mpbird
      df-ne sylan2br pm2.61dan jca letri3t ) AEFZABGHZIJZAKJZBIJZLHZMZYAYDNOZYD
      YANOZPZXSYFYGQQXTRZYDSFZDTZUAJUBNOZYKXTJZUAJZYDNOZUCZDQUDYFXSDYDXTUEXSQQB
      RZYIBUFFZYQCBUGUHZABUIUJZXSYDUKFZYJXSYBUKFZUUAAULZUUBYCUKFZUUAYRUUDCBUMUH
      ZYBYCUNUJUOZYDUPUOXSYPDQXSYKQFZPZYLYOUUHYLPZYNYBYKBJZUAJZLHZYDNUUHYNUULMY
      LUUHYNAUUJUQHZUAJZUULUUHYMUUMUAXSYQUUGYMUUMMYSAYKBURUSUTXSUUJQFZUUNUULMUU
      GAUUJVAQQYKBYSVBZVCVDVEZUUKUKFZUUDUUBVFZVGYBNOZUUKYCNOZPZUULYDNOUUIUUKYCY
      BVHUUHUUSYLUUHUURUUDUUBUUGUURXSUUGUUOUURUUPUUJVIUOZVJUUDUUHUUEVKXSUUBUUGU
      UCVEVLVEXSUUGYLUVBXSUUTUUGYLPUVAAVMYQUUGYLUVAYSYKBVNVOVPVQVRVSVTWAWBZXSAV
      GMZYGXSUVEPYDVGYANUVEYDVGMXSUVEYDVGYCLHVGUVEYBVGYCLUVEYBVGKJVGAVGKWCWDWEW
      FYCYCUUEWGWHWEVJXSVGYANOZUVEXSYIUVFYTXTWIUOVEVSXSAVGWJZYGUVEWKXSUVGPZYGYC
      YAYBWLHZNOZUVISFZYLUUKUVINOZUCZDQUDZUVJUVHYQUVKUVNUVJYSDUVIBUEVOUVHUVIUKF
      ZUVKYAUKFZUUBYBVGWJZUVOUVHYAYBWMXSUVPUVGYASFZUUAWNYAWOOZYFUVPXSYAYDWPXSYI
      UVRYTXTWQUOUUFXSYIUVSYTXTWRUOUVDWSZVEZXSUUBUVGUUCVEZXSUVQUVGXSYBVGAVGAWTX
      AXBWBUVIUPUOUVHUVMDQUVHUUGPZYLUVLUWCYLPUULYANOZUVLXSUUGYLUWDUVGUUIYNUULYA
      NUUQXSUUGYLYNYANOZYIUUGYLUWEXSYKXTVNYTXCXDXEXFUWCUWDUVLXGZYLUUBUURUVPVFVG
      YBWOOZUWFUWCYBUUKYAXHUWCUUBUURUVPXSUUBUVGUUGUUCXIUUGUURUVHUVCVJXSUVPUVGUU
      GUVTXIVLUVHUWGUUGXSUVGUWGAXJXKZVEVRVEXLVTWAVRUUBUUDUVPVFUWGYGUVJXGUVHYBYC
      YAXHUVHUUBUUDUVPUWBUUDUVHUUEVKUWAVLUWHVRXMAVGXNXOXPXQUVPUUAYEYHXGXSYAYDXR
      UVTUUFVRXM $.
      $( [7-May-2006] $) $( [10-Mar-2006] $)

    $( The scalar product of a bounded linear operator is a bounded linear
       operator. $)
    bdophm $p |- ( A e. CC -> ( A .op T ) e. BndLinOp ) $=
      ( cc wcel chot co clo cnop cfv cr wa cbo bdoplnt ax-mp lnopm cabs cmul
      nmophm absclt nmopret axmulrcl mpan2 syl eqeltrd jca elbdop2t sylibr ) AD
      EZABFGZHEZUJIJZKEZLUJMEUIUKUMABBMEZBHECBNOPUIULAQJZBIJZRGZKABCSUIUOKEZUQK
      EZATURUPKEZUSUNUTCBUAOUOUPUBUCUDUEUFUJUGUH $.
      $( [7-May-2006] $) $( [10-Mar-2006] $)
  $}

  ${
    $d x y z w v u T $.
    lnopcon.1 $e |- T e. LinOp $.
    $( A condition equivalent to " ` T ` is continuous" when ` T ` is
       linear.  Theorem 3.5(iii) of [Beran] p. 99. $)
    lnopcon $p |- ( T e. ConOp <->
     E. x e. RR A. y e. H~ ( normh ` ( T ` y ) ) <_ ( x x. ( normh ` y ) ) ) $=
      ( vz vw vv vu cco wcel cv cfv cno cmul co cle wbr chil wral cr wrex cnop
      wceq opreq1 breq2d ralbidv rcla4ev clo nmcopext mpan nmcoplbt mp3an1
      r19.21aiva sylanc c0v wn wi wa cc0 clt wo prodge02t normclt adantr
      anim2i ancoms normgt0tOLD biimpa ad2antrr 0re a1i lnopf ffvelrni syl
      axmulrcl sylan2 adantlr normge0t fveq2 fveq2d opreq2d breq12d rcla4va
      letrd jca wb leloet ad2antlr mpbid cmv cdiv breq2 imbi1d anbi12d wne
      redivclt simprl simpll gt0ne0t syl3anc adantrll adantllr divgt0t
      hvsubclt syl2an ad2antrl adantrlr ad2ant2r simplr adantl lnopsub sylan
      adantll eqbrtrrd adantrr w3a ltmuldiv2tOLD pm3.27 3jca biimprd ex imp32
      lelttrd anassrs exp32 r19.21aivv wf elcnopt mpbiran sylibr cc recnd
      mul02t ralbiia ch0o biantrud letri3t mpan2 norm-it 3bitr2d ho0valt
      eqeq2d bitr4d wfn ffn ax-mp ho0f eqfnfv mp2an eqid biimpr 0cnop syl6eqel
      sylbi syl6bir com12 jaod mpd exp31 r19.23adv r19.23aiva eqeq1 cbvralv
      dfral2 bitr2 recnt mul01t syl6bi r19.26 norm0 syl6eq r19.20si sylbir
      syl5 exp3a pm2.61i impbi ) CIJZBKZCLZMLZAKZUVSMLZNOZPQZBRSZATUAZCUBLZTJZU
      WAUWHUWCNOZPQZBRSZUWGUVRUWFUWLAUWHTUWBUWHUCZUWEUWKBRUWMUWDUWJUWAPUWBUWHUW
      CNUDUEUFUGCUHJZUVRUWIDCUIUJUVRUWKBRUWNUVRUVSRJZUWKDUVSCUKULUMUNEKZUOUCZUP
      ZERUAZUWGUVRUQZUWRUWTERUWPRJZUWRURZUWFUVRATUXBUWBTJZUWFUVRUXBUXCURZUWFURZ
      USUWBUTQZUSUWBUCZVAZUVRUXEUSUWBPQZUXHUXCUWPMLZTJZURZUSUXJUTQZUSUWBUXJNOZP
      QZURUXIUXEUWBUXJVBUXDUXLUWFUXCUXBUXLUXBUXKUXCUXAUXKUWRUWPVCZVDVEVFVDUXEUX
      MUXOUXBUXMUXCUWFUXAUWRUXMUWPVGVHVIUXEUSUWPCLZMLZUXNUSTJZUXEVJVKUXBUXRTJZU
      XCUWFUXAUXTUWRUXAUXQRJZUXTRRUWPCCDVLZVMZUXQVCVNVDVIUXDUXNTJZUWFUXAUXCUYDU
      WRUXCUXAUYDUXCUXKUYDUXAUWBUXJVOUXPVPVFVQVDUXBUSUXRPQZUXCUWFUXAUYEUWRUXAUY
      AUYEUYCUXQVRVNVDVIUXBUWFUXRUXNPQZUXCUXAUWFUYFUWRUWEUYFBUWPRUVSUWPUCZUWAUX
      RUWDUXNPUYGUVTUXQMUVSUWPCVSVTUYGUWCUXJUWBNUVSUWPMVSWAWBWCVQVQWDWEUNUXCUXI
      UXHWFZUXBUWFUXSUXCUYHVJUSUWBWGUJWHWIUXCUWFUXHUVRUQUXBUXCUWFURZUXFUVRUXGUY
      IUXFUVRUYIUXFURZUSFKZUTQZUSGKZUTQZHKZUWPWJOZMLZUYMUTQZUYOCLZUXQWJOZMLZUYK
      UTQZUQZHRSZURZGTUAZUQZFTSERSZUVRUYJVUGEFRTUYJUXAUYKTJZURZUYLVUFUYKUWBWKOZ
      TJZUSVUKUTQZUYQVUKUTQZVUBUQZHRSZURZVUFUYJVUJUYLURZURZVUEVUQGVUKTUYMVUKUCZ
      UYNVUMVUDVUPUYMVUKUSUTWLVUTVUCVUOHRVUTUYRVUNVUBUYMVUKUYQUTWLWMUFWNUGUXCUX
      FVURVULUWFUXCUXFURZVUIUYLVULUXAVUIUXCUWBUSWOZVULVVAVUIUYLURZURUYKUWBWPVVA
      VUIUYLWQUXCUXFVVCWRVVAVVBVVCUWBWSVDWTXAXBVUSVUMVUPUXCUXFVURVUMUWFVVAVUIUY
      LVUMUXAVVCVVAVUMUYKUWBXCVFXAXBVUSVUOHRUYJVURUYORJZVUOUYJVURVVDURZURVUNVUB
      UYJVVEVUNVUBUYJVVEVUNURZURVUAUWBUYQNOZUYKVVEVUATJZUYJVUNVUJVVDVVHUYLUXAVV
      DVVHVUIUXAVVDURZUYTRJZVVHVVDUXAVVJUYSRJUYAVVJVVDUXAUYSUXQXDRRUYOCUYBVMUYC
      XEVFUYTVCVNVQVQXFUXCUXFVVFVVGTJZUWFUXCVVEVVKUXFVUNUXCVUJVVDVVKUYLUXCUXAVV
      DVVKVUIUXCUYQTJZVVKVVIUWBUYQVOVVIUYPRJZVVLVVDUXAVVMUYOUWPXDVFZUYPVCVNZVPX
      GXGXHXBVVFVUIUYJVURVUIVVDVUNUXAVUIUYLXIVIXJUYJVVEVUAVVGPQZVUNUYJVUJVVDVVP
      UYLUYJUXAVVDVVPVUIUYIVVIVVPUXFUYIVVIURUYPCLZMLZVUAVVGPVVIVVRVUAUCUYIVVIVV
      QUYTMVVDUXAVVQUYTUCUYOUWPCDXKVFVTXJUWFVVIVVRVVGPQZUXCVVIUWFVVSVVMUWFVVSVV
      IUWEVVSBUYPRUVSUYPUCZUWAVVRUWDVVGPVVTUVTVVQMUVSUYPCVSVTVVTUWCUYQUWBNUVSUY
      PMVSWAWBWCVVNXLVFXMXNVQXGXGXOUXCUXFVVFVVGUYKUTQZUWFVVAVVEVUNVWAVVAVVEVUNV
      WAUQZVVAVUJVVDVWBUYLVVAVUJVVDURZURZVWAVUNUXCVVLVUIXPUXFVWAVUNWFVWDUWBUYQU
      YKXQVWDUXCVVLVUIUXCUXFVWCWRVWCVVLVVAUXAVVDVVLVUIVVOVQXJVUJVUIVVAVVDUXAVUI
      XRXFXSUXCUXFVWCXIUNXTXGYAYBXBYCYDYAYDUMWEUNYEYFUVRRRCYGZVUHEFGHCYHUYBYIYJ
      YAUWFUXGUVRUQUXCUXGUWFUVRUXGUWFUWAUSUWCNOZPQZBRSZUVRUXGVWGUWEBRUXGVWFUWDU
      WAPUSUWBUWCNUDUEUFVWHUWAUSPQZBRSZUVRVWGVWIBRUWOVWFUSUWAPUWOUWCYKJVWFUSUCU
      WOUWCUVSVCYLUWCYMVNUEYNVWJUVTUVSYOLZUCZBRSZUVRVWIVWLBRUWOVWIUVTUOUCZVWLUW
      OUVTRJZVWIVWNWFRRUVSCUYBVMVWOVWIVWIUSUWAPQZURZUWAUSUCZVWNVWOVWPVWIUVTVRYP
      VWOUWATJZVWRVWQWFZUVTVCVWSUXSVWTVJUWAUSYQYRVNUVTYSYTVNUWOVWKUOUVTUVSUUAUU
      BUUCYNVWMCYOICYOUCZVWMVXARRUCZVWMCRUUDZYORUUDZVXAVXBVWMURWFVWEVXCUYBRRCUU
      EUUFRRYOYGVXDUUGRRYOUUEUUFBRRCYOUUHUUIRUUJYIUUKUULUUMUUNZUUNUUOUUPXJUUQXM
      UURUUSUUTUVAUWSUPZUVSUOUCZBRSZUWTVXHUWQERSVXFVXGUWQBERUVSUWPUOUVBUVCUWQER
      UVDUVEVXHUWFUVRATUXCVXHUWFUVRUQUXCVXHUWFUVRUXCUWAUWBUSNOZPQZBRSZUVRVXHUWF
      URZUXCVXKVWJUVRUXCVXJVWIBRUXCVXIUSUWAPUXCUWBYKJVXIUSUCUWBUVFUWBUVGVNUEUFV
      XEUVHVXLVXGUWEURZBRSVXKVXGUWEBRUVIVXMVXJBRVXGUWEVXJVXGUWDVXIUWAPVXGUWCUSU
      WBNVXGUWCUOMLUSUVSUOMVSUVJUVKWAUEVHUVLUVMUVNUVOUUPUUTUUNUVPUVQ $.
      $( [13-Apr-2006] $) $( [7-Feb-2006] $)
  $}

  ${
    $d x y T $.
    $( A condition equivalent to " ` T ` is continuous" when ` T ` is
       linear.  Theorem 3.5(iii) of [Beran] p. 99. $)
    lnopcont $p |- ( T e. LinOp -> ( T e. ConOp <->
   E. x e. RR A. y e. H~ ( normh ` ( T ` y ) ) <_ ( x x. ( normh ` y ) ) ) ) $=
      ( clo wcel cco cv cfv cno cmul co cle wbr chil wral cr wrex wb cid cres
      cif wceq eleq1 fveq1 fveq2d breq1d ralbidv rexbidv bibi12d idlnop elimel
      lnopcon dedth ) CDEZCFEZBGZCHZIHZAGUPIHJKZLMZBNOZAPQZRUNCSNTZUAZFEZUPVDHZ
      IHZUSLMZBNOZAPQZRCVCCVDUBZUOVEVBVJCVDFUCVKVAVIAPVKUTVHBNVKURVGUSLVKUQVFIU
      PCVDUDUEUFUGUHUIABVDCVCDUJUKULUM $.
      $( [13-Apr-2006] $) $( [14-Feb-2006] $)

    $( A linear operator is continuous iff it is bounded. $)
    lnopcnbdt $p |- ( T e. LinOp -> ( T e. ConOp <-> T e. BndLinOp ) ) $=
      ( vy vx clo wcel cco cbo cnop cfv cr nmcopext ex elbdop2t baibr sylibd
      cv cno cmul co cle wbr chil wral wrex lnopcont wceq opreq1 breq2d
      ralbidv rcla4ev nmopret nmbdoplbt r19.21aiva sylanc syl5bir impbid ) ADEZ
      AFEZAGEZUQURAHIZJEZUSUQURVAAKLUSUQVAAMNOUQURBPZAIQIZCPZVBQIZRSZTUAZBUBUCZ
      CJUDZUSCBAUEVAVCUTVERSZTUAZBUBUCZVIUSVHVLCUTJVDUTUFZVGVKBUBVMVFVJVCTVDUTV
      ERUGUHUIUJAUKUSVKBUBVBAULUMUNUOUP $.
      $( [13-Apr-2006] $) $( [14-Feb-2006] $)
  $}

  $( A continuous linear operator is a bounded linear operator.  This theorem
     justifies our use of "bounded linear" as an interchangeable
     condition for "continuous linear" used in some textbook proofs. $)
  lncnopbd $p |- ( T e. ( LinOp i^i ConOp ) <-> T e. BndLinOp ) $=
    ( clo cco cin wcel wa cbo elin lnopcnbdt biimpa bdoplnt biimparc mpdan jca
    impbi bitr ) ABCDEABEZACEZFZAGEZABCHSTQRTAIZJTQRAKZTQRUBQRTUALMNOP $.
    $( [13-Apr-2006] $) $( [18-Feb-2006] $)

  $( A continuous linear operator is a bounded linear operator. $)
  lncnbd $p |- ( LinOp i^i ConOp ) = BndLinOp $=
    ( vt clo cco cin cbo cv lncnopbd eqriv ) ABCDEAFGH $.
    $( [13-Apr-2006] $) $( [18-Feb-2006] $)

  $( A linear operator is continuous iff it is bounded. $)
  lnopcnret $p |- ( T e. LinOp -> ( T e. ConOp <-> ( normop ` T ) e. RR ) ) $=
    ( clo wcel cco cbo cnop cfv cr lnopcnbdt elbdop2t baib bitrd ) ABCZADCAECZA
    FGHCZAINMOAJKL $.
    $( [3-Oct-2006] $) $( [14-Feb-2006] $)

  ${
    $d x y z T $.
    lnfnl.1 $e |- T e. LinFn $.
    $( Basic property of a linear Hilbert space functional. $)
    lnfnl $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
         ( T ` ( ( A .h B ) +h C ) ) = ( ( A x. ( T ` B ) ) + ( T ` C ) ) ) $=
      ( cc wcel chil csm co cva cfv cmul caddc wceq clf wa lnfnlt mpanl1 3impb
      ) AFGZBHGZCHGZABIJCKJDLABDLMJCDLNJOZDPGUAUBUCQUDEABCDRST $.
      $( [16-Apr-2006] $) $( [11-Feb-2006] $)

    $( A linear Hilbert space functional is a functional. $)
    lnfnf $p |- T : H~ --> CC $=
      ( clf wcel chil cc wf lnfnft ax-mp ) ACDEFAGBAHI $.
      $( [16-Apr-2006] $) $( [11-Feb-2006] $)

    $( The value of a linear Hilbert space functional at zero is zero.  Remark
       in [Beran] p. 99. $)
    lnfn0 $p |- ( T ` 0h ) = 0 $=
      ( c0v cfv cmin co caddc cc0 c1 csm cva cmul cc wcel chil wceq ax1cn
      ax-hv0cl lnfnl mp3an hvmulcl ax-hvaddid ax-mp ax-hvmulid eqtr fveq2i
      lnfnf ffvelrni mulid2 opreq1i 3eqtr3 subid pncant mp2an 3eqtr3r ) CADZUPE
      FUPUPGFZUPEFZHUPUPUQUPEICJFZCKFZADZIUPLFZUPGFZUPUQIMNCONZVDVAVCPQRRICCABS
      TUTCAUTUSCUSONUTUSPICQRUAUSUBUCVDUSCPRCUDUCUEUFVBUPUPGUPVDUPMNZROMCAABUGU
      HUCZUIUJUKUJUPVFULVEVEURUPPVFVFUPUPUMUNUO $.
      $( [17-Apr-2006] $) $( [11-Feb-2006] $)

    $( Additive property of a linear Hilbert space functional. $)
    lnfnadd $p |- ( ( A e. H~ /\ B e. H~ ) ->
         ( T ` ( A +h B ) ) = ( ( T ` A ) + ( T ` B ) ) ) $=
      ( chil wcel wa c1 csm co cva cfv cmul caddc cc wceq ax1cn lnfnl mp3an1
      ax-hvmulid opreq1d fveq2d adantr lnfnf ffvelrni mulid2t syl 3eqtr3d ) AEF
      ZBEFZGZHAIJZBKJZCLZHACLZMJZBCLZNJZABKJZCLZUOUQNJHOFUIUJUNURPQHABCDRSUIUNU
      TPUJUIUMUSCUIULABKATUAUBUCUKUPUOUQNUIUPUOPZUJUIUOOFVAEOACCDUDUEUOUFUGUCUA
      UH $.
      $( [19-Apr-2006] $) $( [11-Feb-2006] $)

    $( Multiplicative property of a linear Hilbert space functional. $)
    lnfnmul $p |- ( ( A e. CC /\ B e. H~ ) ->
         ( T ` ( A .h B ) ) = ( A x. ( T ` B ) ) ) $=
      ( cc wcel chil wa csm co c0v cva cfv cmul caddc wceq ax-hv0cl lnfnl
      mp3an3 hvmulclt ax-hvaddid syl fveq2d cc0 axmulcl lnfnf ffvelrni sylan2
      ax0id lnfn0 opreq2i syl5eq 3eqtr3d ) AEFZBGFZHZABIJZKLJZCMZABCMZNJZKCMZOJ
      ZUQCMVAUNUOKGFUSVCPQABKCDRSUPURUQCUPUQGFURUQPABTUQUAUBUCUPVAUDOJZVAVCUPVA
      EFZVDVAPUNUTEFVEUOAUTUEGEBCCDUFUGUHVAUIUBVBUDVAOCDUJUKULUM $.
      $( [19-Apr-2006] $) $( [11-Feb-2006] $)

    $( Sum/product property of a linear Hilbert space functional. $)
    lnfnaddmul $p |- ( ( A e. CC /\ B e. H~ /\ C e. H~ ) ->
         ( T ` ( B +h ( A .h C ) ) ) = ( ( T ` B ) + ( A x. ( T ` C ) ) ) ) $=
      ( cc wcel chil w3a csm co cva cfv caddc cmul wceq wa lnfnadd hvmulclt
      sylan2 3impb 3com12 lnfnmul 3adant2 opreq2d eqtrd ) AFGZBHGZCHGZIZBACJKZL
      KDMZBDMZUKDMZNKZUMACDMOKZNKUHUGUIULUOPZUHUGUIUQUHUKHGUQUGUIQBUKDERACSTUAU
      BUJUNUPUMNUGUIUNUPPUHACDEUCUDUEUF $.
      $( [20-Apr-2006] $) $( [13-Feb-2006] $)

    $( Subtraction property for a linear Hilbert space functional. $)
    lnfnsub $p |- ( ( A e. H~ /\ B e. H~ ) ->
         ( T ` ( A -h B ) ) = ( ( T ` A ) - ( T ` B ) ) ) $=
      ( chil wcel wa c1 cneg csm co cva cfv cmul caddc cmv cmin cc wceq ax1cn
      negcl lnfnaddmul mp3an1 hvsubvalt fveq2d mulm1t opreq2d adantl negsubt
      eqtr2d lnfnf ffvelrni syl2an 3eqtr4d ) AEFZBEFZGZAHIZBJKLKZCMZACMZURBCMZN
      KZOKZABPKZCMVAVBQKZURRFUOUPUTVDSHTUAURABCDUBUCUQVEUSCABUDUEVARFZVBRFZVFVD
      SUOUPVGVHGVDVAVBIZOKZVFVHVDVJSVGVHVCVIVAOVBUFUGUHVAVBUIUJERACCDUKZULERBCV
      KULUMUN $.
      $( [20-Apr-2006] $) $( [13-Feb-2006] $)
  $}

  $( The value of a linear Hilbert space functional at zero is zero.  Remark
     in [Beran] p. 99. $)
  lnfn0t $p |- ( T e. LinFn -> ( T ` 0h ) = 0 ) $=
    ( clf wcel c0v cfv cc0 wceq chil csn cxp cif fveq1 eqeq1d 0lnfn elimel
    lnfn0 dedth ) ABCZDAEZFGDRAHFIJZKZEZFGATAUAGSUBFDAUALMUAATBNOPQ $.
    $( [6-Nov-2006] $) $( [25-Apr-2006] $)

  $( Multiplicative property of a linear Hilbert space functional. $)
  lnfnmult $p |- ( ( T e. LinFn /\ A e. CC /\ B e. H~ ) ->
                 ( T ` ( A .h B ) ) = ( A x. ( T ` B ) ) ) $=
    ( clf wcel cc chil csm co cfv cmul wceq wa wi cc0 csn cxp cif fveq1
    opreq2d eqeq12d imbi2d 0lnfn elimel lnfnmul dedth 3impib ) CDEZAFEZBGEZABHI
    ZCJZABCJZKIZLZUHUIUJMZUONUPUKUHCGOPQZRZJZABURJZKIZLZNCUQCURLZUOVBUPVCULUSUN
    VAUKCURSVCUMUTAKBCURSTUAUBABURCUQDUCUDUEUFUG $.
    $( [6-Jun-2006] $) $( [30-May-2006] $)

  ${
    nmbdfnlb.1 $e |- ( T e. LinFn /\ ( normfn ` T ) e. RR ) $.
    $( A lower bound for the norm of a bounded linear functional. $)
    nmbdfnlb $p |- ( A e. H~ ->
                ( abs ` ( T ` A ) ) <_ ( ( normfn ` T ) x. ( normh ` A ) ) ) $=
      ( chil wcel c0v wceq cfv cabs cnmf cno cmul co cle wbr cc0 fveq2 clf cr
      pm3.26i lnfn0 syl6eq fveq2d abs0 norm0 opreq2d pm3.27i recn mul01
      syl6req 0re leid syl5breq eqbrtrd adantl wne wn wa cdiv c1 csm cc
      divrec2t lnfnf ffvelrni absclt syl adantr recnd normclt normne0t biimpar
      syl3anc lnfnmul rerecclt sylanc pm3.26 absmult absidt clt wi ltlet mpan
      recgt0t normgt0t biimpa sylc opreq1d 3eqtrrd eqtrd wf nmfnlbt mp3an1
      hvmulclt eqlet norm1t w3a wb ledivmul2tOLD a1i 3jca mpbid df-ne sylan2br
      pm2.61dan ) ADEZAFGZABHZIHZBJHZAKHZLMZNOZXGXMXFXGXIPXLNXGXIPIHPXGXHPIXGXH
      FBHPAFBQBBREZXJSEZCTZUAUBUCUDUBXGPXLPNXGXLXJPLMPXGXKPXJLXGXKFKHPAFKQUEUBU
      FXJXJXNXOCUGZUHUIUJPUKULUMUNUOXFAFUPZXMXGUQXFXRURZXIXKUSMZXJNOZXMXSXTUTXK
      USMZAVAMZBHZIHZXJNXSXTYBXILMZYEXIVBEXKVBEXKPUPZXTYFGXSXIXKVCXSXIXFXISEZXR
      XFXHVBEZYHDVBABBXPVDZVEZXHVFVGVHZVIXSXKXFXKSEZXRAVJVHZVIXFYGXRAVKVLZVMXSY
      EYBXHLMZIHZYBIHZXILMZYFXSYDYPIYBVBEZXFYDYPGXSYBABXPVNXSYBYMYGYBSEZXSXKVOY
      NYOVPZVIZXFXRVQZVPUCYTYIYQYSGXSYBXHVRUUCXFYIXRYKVHVPXSYRYBXILUUAPYBNOZYRY
      BGXSYBVSUUBUUAPYBVTOZUUEXSPSEUUAUUFUUEWAUKPYBWBWCUUBYMPXKVTOZUUFXSXKWDYNX
      FXRUUGAWEWFZVPWGVPWHWIWJYCDEZYCKHZUTNOZYEXJNOZXSDVBBWKUUIUUKUULYJYCBWLWMY
      TXFUUIXSYBAWNUUCUUDVPZUUJSEZUUJUTGUUKXSUUJUTWOXSUUIUUNUUMYCVJVGAWPVPVPUNY
      HYMXOWQUUGYAXMWRXSXIXKXJWSXSYHYMXOYLYNXOXSXQWTXAUUHVPXBAFXCXDXE $.
      $( [4-May-2006] $) $( [25-Apr-2006] $)
  $}

  $( A lower bound for the norm of a bounded linear functional. $)
  nmbdfnlbt $p |- ( ( T e. LinFn /\ ( normfn ` T ) e. RR /\ A e. H~ ) ->
              ( abs ` ( T ` A ) ) <_ ( ( normfn ` T ) x. ( normh ` A ) ) ) $=
    ( clf wcel cnmf cfv cr chil cabs cno cmul co cle wbr wa wi cc0 csn cxp cif
    wceq fveq1 fveq2d fveq2 opreq1d breq12d imbi2d eleq1 eleq1d anbi12d 0lnfn
    nmfn0 0re eqeltr pm3.2i elimhyp nmbdfnlb dedth 3impia ) BCDZBEFZGDZAHDZABFZ
    IFZVAAJFZKLZMNZUTVBOZVCVHPVCAVIBHQRSZTZFZIFZVKEFZVFKLZMNZPBVJBVKUAZVHVPVCVQ
    VEVMVGVOMVQVDVLIABVKUBUCVQVAVNVFKBVKEUDZUEUFUGAVKVIVKCDZVNGDZOVJCDZVJEFZGDZ
    OBVJVQUTVSVBVTBVKCUHVQVAVNGVRUIUJVJVKUAZWAVSWCVTVJVKCUHWDWBVNGVJVKEUDUIUJWA
    WCUKWBQGULUMUNUOUPUQURUS $.
    $( [4-May-2006] $) $( [25-Apr-2006] $)

  ${
    $d k x M $.  $d k x y z T $.  $d n x y z T $.
    nmcfnex.1 $e |- T e. LinFn $.
    nmcfnex.2 $e |- T e. ConFn $.
    $( Lemma for ~ nmcfnex .  Show a condition for the norm of a functional to
       exist, based on its definition and the properties of supremum.  Compared
       to Beran, we use a direct proof instead of a proof by contradiction. $)
    nmcfnexlem1 $p |- ( ( n e. NN /\ A. x e. H~ ( ( normh ` x ) <_ 1 ->
                  -. n < ( abs ` ( T ` x ) ) ) ) -> ( normfn ` T ) e. RR ) $=
      ( vy vz cv cn wcel cno cfv c1 cle wbr cabs clt wn wi chil wral wa cnmf
      cpnf wne cr wceq wrex cab ra4 impcom nnret cxr wss wb cc wf lnfnf
      nmfnsetret ax-mp ressxr sstri csup supxrunb2 nmfnvalt eqeq1i syl6rbbr
      biimp syl2an wex rexcom4 19.42v anass bicomi exbii fvex breq2 ceqsexv
      anbi2i 3bitr3r rexbii visset eqeq1 anbi2d rexbidv elab anbi1i r19.41v
      bitr4 3bitr4 df-rex sylibr ex df-an rexnal bitr syl6ib necon2ad imp
      nmfnrepnf ) CHZIJZAHZKLMNOZXAXCBLZPLZQOZRSZATUAZUBBUCLZUDUEZXJUFJZXBXIXKX
      BXIXJUDXBXJUDUGZXDXGUBZATUHZXIRZXBXMXOXBXMUBXAFHZQOZFXDGHZXFUGZUBZATUHZGU
      IZUHZXOXAUFJZYDCUFUAZYDXBXMYFYEYDYDCUFUJUKXAULXMYFYCUMUNZXMYFUOYCUFUMTUPB
      UQZYCUFUNBDURZGABUSUTVAVBYGYFYCUMQVCZUDUGXMCFYCVDXJYJUDYHXJYJUGYIGABVEUTV
      FVGUTVHVIXOXQYCJZXRUBZFVJZYDXDXQXFUGZUBZXRUBZFVJZATUHYPATUHZFVJXOYMYPAFTV
      KXNYQATXDYNXRUBZUBZFVJXDYSFVJZUBYQXNXDYSFVLYTYPFYPYTXDYNXRVMVNVOUUAXGXDXR
      XGFXFXEPVPXQXFXAQVQVRVSVTWAYLYRFYLYOATUHZXRUBYRYKUUBXRYBUUBGXQFWBXSXQUGZY
      AYOATUUCXTYNXDXSXQXFWCWDWEWFWGYOXRATWHWIVOWJXRFYCWKWIWLWMXOXHRZATUHXPXNUU
      DATXDXGWNWAXHATWOWPWQWRWSYHXLXKUOYIBWTUTWL $.
      $( [19-Apr-2006] $) $( [14-Feb-2006] $)

    $( Lemma for ~ nmcfnex .  Apply definition of continuity.  Note that we use
       1 instead of 0.5 that Beran uses for epsilon (e = 0.5 in his proof). $)
    nmcfnexlem2 $p |- E. y e. RR ( 0 < y /\
             A. z e. H~ ( ( normh ` z ) < y -> ( abs ` ( T ` z ) ) < 1 ) ) $=
      ( cc0 cv clt wbr c0v cmv co cno cfv cmin cabs c1 wi chil wral wa cr wrex
      ccnf wcel ax-hv0cl pm3.2i 1re lt01 cnfnct mp2an hvsub0t fveq2d breq1d cc
      wceq lnfnf ffvelrni subid1t syl lnfn0 opreq2i syl5eq imbi12d ralbiia
      anbi2i rexbii mpbi ) FAGZHIZBGZJKLZMNZVIHIZVKCNZJCNZOLZPNZQHIZRZBSTZUAZAU
      BUCZVJVKMNZVIHIZVOPNZQHIZRZBSTZUAZAUBUCCUDUEZJSUEZUAQUBUEZFQHIZUAWCWKWLEU
      FUGWMWNUHUIUGABJQCUJUKWBWJAUBWAWIVJVTWHBSVKSUEZVNWEVSWGWOVMWDVIHWOVLVKMVK
      ULUMUNWOVRWFQHWOVQVOPWOVOFOLZVOVQWOVOUOUEWPVOUPSUOVKCCDUQURVOUSUTVPFVOOCD
      VAVBVCUMUNVDVEVFVGVH $.
      $( [20-Apr-2006] $) $( [14-Feb-2006] $)

    $( Lemma for ~ nmcfnex .  Move ` 1 / n ` out of the norm, using
       linearity. $)
    nmcfnexlem3 $p |- ( ( n e. NN /\ x e. H~ ) -> ( ( abs ` ( T ` x ) ) < n
             <-> ( abs ` ( T ` ( ( 1 / n ) .h x ) ) ) < 1 ) ) $=
      ( cv cn wcel chil wa cfv cabs clt wbr c1 cdiv co cmul csm cr w3a cc0 wb
      ltmul2t cc lnfnf ffvelrni absclt syl adantl nnret adantr wne rerecclt
      nnne0t sylanc 3jca nnrecgt0t wceq lnfnmul recnd sylan fveq2d absmult
      syl2an cle absidt wi 0re ltlet mpan sylc opreq1d 3eqtrrd recid2t nncnt
      breq12d bitrd ) CFZGHZAFZIHZJZWABKZLKZVSMNZOVSPQZWERQZWGVSRQZMNZWGWASQBKZ
      LKZOMNWETHZVSTHZWGTHZUAUBWGMNZWFWJUCWCWEVSWGUDWCWMWNWOWBWMVTWBWDUEHZWMIUE
      WABBDUFUGZWDUHUIUJVTWNWBVSUKZULVTWOWBWNVSUBUMZWOVTVSUNWSVSUOZUPZULUQVTWPW
      BVSURZULUPWCWHWLWIOMWCWLWGWDRQZLKZWGLKZWERQZWHWCWKXDLWGUEHZWBWKXDUSVTWGWA
      BDUTVTWGXBVAZVBVCXHWQXEXGUSVTWBWGWDVDXIWRVEWCXFWGWERVTXFWGUSZWBWOUBWGVFNZ
      XJVTWGVGXBWOWPXKVTUBTHWOWPXKVHVIUBWGVJVKXBXCVLUPULVMVNVTWIOUSZWBVSUEHWTXL
      VTVSVOVSVPXAUPULVQVR $.
      $( [21-Apr-2006] $) $( [14-Feb-2006] $)

    ${
      nmcfnexlem4.3 $e |- A = { k e. NN | ( 1 / k ) < y } $.
      nmcfnexlem4.4 $e |- M = sup ( A , RR , `' < ) $.
      $( Lemma for ~ nmcfnex .  Properties of the infimum of the collection of
         integers whose reciprocals are less than the delta of the continuity
         definition. $)
      nmcfnexlem4 $p |- ( ( y e. RR /\ 0 < y ) ->
                        ( M e. NN /\ ( 1 / M ) < y ) ) $=
        ( cv cr wcel cc0 clt wbr wa c1 cdiv co cn crab ccnv csup c0 wne wrex
        nnreclt rabn0 sylibr neeq1i cuz cfv wss ssrab2 eqsstr nnuz sseqtr
        infmssuzcl mpan syl syl6eleq syl5eqel wceq opreq2 breq1d elrab sylib )
        AJZKLMVHNOPZEQDJZRSZVHNOZDTUAZLETLQERSZVHNOZPVIBKNUBUCZVMEVIVPBVMVIBUDU
        EZVPBLZVIVMUDUEZVQVIVLDTUFVSVHDUGVLDTUHUIBVMUDHUJUIBQUKULZUMVQVRBTVTBVM
        THVLDTUNUOUPUQBQURUSUTHVAIVBVLVODETVJEVCVKVNVHNVJEQRVDVEVFVG $.
        $( [20-Apr-2006] $) $( [14-Feb-2006] $)

      $( Lemma for ~ nmcfnex . $)
      nmcfnexlem5 $p |- ( ( ( y e. RR /\ 0 < y ) /\ ( n e. NN /\ M <_ n ) /\
                        ( x e. H~ /\ ( normh ` x ) <_ 1 ) ) ->
                        ( normh ` ( ( 1 / n ) .h x ) ) < y ) $=
        ( cv cr wcel cc0 clt wbr wa cn cle chil cno cfv c1 w3a cdiv co csm cc
        hvmulclt wne rerecclt nnret nnne0t sylanc recnd sylan normclt syl
        ad2ant2r 3adant1 nmcfnexlem4 pm3.26d 3ad2ant1 pm3.26 ad2antrr cmul
        lemul2itOLD ad2antrl 3adant2 1re a1i 3jca 0re lt01 ltlei divge0t
        mpanl12 nngt0t 3adant3 pm3.27 3ad2ant3 jca wceq cabs norm-iiit absidt
        adantr opreq1d eqtr2d ax1id 3brtr3d wb lerect syl2an biimpa anasss
        letrd syl3an1 pm3.27d lelttrd ) BLZMNZOXBPQZRZFLZSNZGXFTQZRZALZUANZXJUB
        UCZUDTQZRZUEUDXFUFUGZXJUHUGZUBUCZUDGUFUGZXBXIXNXQMNZXEXGXKXSXHXMXGXKRZX
        PUANZXSXOUINZXKYAXGXOXJUJXGXOXFMNZXFOUKXOMNZXGXFULXFUMZXFUNUOZUPZUQXPUR
        USUTZVAXEXIXRMNZXNXEGSNZYIXEYJXRXBPQZBCDEGHIJKVBZVCZGMNZGOUKYIYJGULGUMZ
        GUNUOZUSVDXEXIXCXNXCXDVEVDYJXIXNXQXRTQXEYJXIXNUEZXQXOXRXIXNXSYJYHVAXIXN
        YDYJXGYDXHXNYFVFVAZYJXIYIXNYPVDYQXOXLVGUGZXOUDVGUGZXQXOTXLMNZUDMNZYDUEO
        XOTQZXMRYSYTTQYQXLUDXOVHYQUUAUUBYDYJXNUUAXIXKUUAYJXMXJURVIVJUUBYQVKVLYR
        VMYQUUCXMYJXIUUCXNXGUUCYJXHYCOXFPQZUUCXGUUBOUDTQYCUUDRZUUCVKOUDVNVKVOVP
        UDXFVQVRYEXFVSZUOZVIVTXNYJXMXIXKXMWAWBWCUOXIXNYSXQWDZYJXGXKUUHXHXMXTXQX
        OWEUCZXLVGUGZYSYBXKXQUUJWDXGXOXJWFYGUQXTUUIXOXLVGXGUUIXOWDZXKYDUUCUUKXG
        XOWGYFUUGUOWHWIWJUTVAYJXIYTXOWDZXNXGUULYJXHXGYBUULYGXOWKUSVIVTWLYJXIXOX
        RTQZXNYJXGXHUUMYJXGRXHUUMYNOGPQZRUUEXHUUMWMYJXGGXFWNYJYNUUNYOGVSWCXGYCU
        UDYEUUFWCWOWPWQVTWRYMWSXEXIYKXNXEYJYKYLWTVDXA $.
        $( [20-Apr-2006] $) $( [14-Feb-2006] $)

      $( Lemma for ~ nmcfnex .  Combine lemmas to obtain the result (with
         hypotheses to be eliminated). $)
      nmcfnexlem6 $p |- ( normfn ` T ) e. RR $=
        ( vz vx cc0 cv clt wbr cno cfv cabs c1 wi chil wral wa cr wrex cnmf
        wcel nmcfnexlem2 cn cdiv co nmcfnexlem4 pm3.26d ex adantrd cle wn csm
        nmcfnexlem5 3expb cc hvmulclt wne rerecclt nnret nnne0t sylanc recnd
        sylan wceq fveq2 breq1d fveq2d imbi12d rcla4v syl nmcfnexlem3 ltnsymt
        lnfnf ffvelrni absclt syl2an ancoms sylbird syl6d ad2ant2r adantl mpid
        com23 imp exp4d anasss r19.21aiv nmcfnexlem1 adantlr adantll mpdan
        exp32 r19.23adv leidt breq2 rcla4ev syl5 mpdd r19.23aiv ax-mp ) LAMZNOZ
        JMZPQZXGNOZXICQZRQZSNOZTZJUAUBZUCZAUDUECUFQUDUGZAJCFGUHXQXRAUDXGUDUGZXQ
        EUIUGZXRXSXHXTXPXSXHXTXSXHUCZXTSEUJUKXGNOABCDEFGHIULUMUNUOXSXQXTXRTXSXQ
        UCZEDMZUPOZDUIUEZXRXTYBYDXRDUIYBYCUIUGZYDXRYBYFYDUCZUCZKMZPQSUPOZYCYICQ
        ZRQZNOUQZTZKUAUBZXRYHYNKUAYBYGYIUAUGZYNTZXSXHXPYGYQTYAXPUCYGYPYJYMYAXPY
        GYPYJUCZUCZYMTYAYSXPYMYAYSXPYMTYAYSUCXPSYCUJUKZYIURUKZPQZXGNOZYMYAYGYRU
        UCKABCDDEFGHIUSUTYSXPUUCYMTTZYAYFYPUUDYDYJYFYPUCZXPUUCUUACQZRQZSNOZYMUU
        EUUAUAUGZXPUUCUUHTZTYTVAUGYPUUIYFYTYIVBYFYTYCUDUGZYCLVCYTUDUGYFYCVDYCVE
        ZYCVFVGVHVIXOUUJJUUAUAXIUUAVJZXKUUCXNUUHUUMXJUUBXGNXIUUAPVKVLUUMXMUUGSN
        UUMXLUUFRXIUUACVKVMVLVNVOVPUUEUUHYLYCNOZYMKCDFGVQYPYFUUNYMTZYLUDUGZUUKU
        UOYPYFYLYCVRYPYKVAUGUUPUAVAYICCFVSVTYKWAVPUULWBWCWDWEWFWGWHUNWIWJWKWLWJ
        WMYGYOXRYBYFYOXRYDKCDFGWNWOWPWQWRWSXTEEUPOZYEXTEUDUGUUQEVEEWTVPYDUUQDEU
        IYCEEUPXAXBWQXCUNXDXEXF $.
        $( [21-Apr-2006] $) $( [14-Feb-2006] $)
    $}

    $( The norm of a continuous linear Hilbert space functional exists.
       Theorem 3.5(i) of [Beran] p. 99. $)
    nmcfnex $p |- ( normfn ` T ) e. RR $=
      ( vy vk vz c1 cv cdiv co clt wbr cn crab cr ccnv csup eqid wceq opreq2
      breq1d cbvrabv supeq1 ax-mp nmcfnexlem6 ) DGEHZIJZDHZKLZEMNZAEGFHZIJZUHKL
      ZFMNZOKPZQZBCUJRUNUJSUPUJOUOQSUMUIFEMUKUFSULUGUHKUKUFGITUAUBOUNUJUOUCUDUE
      $.
      $( [21-Apr-2006] $) $( [14-Feb-2006] $)

    $( A lower bound for the norm of a continuous linear functional.  Theorem
       3.5(ii) of [Beran] p. 99. $)
    nmcfnlb $p |- ( A e. H~ ->
                ( abs ` ( T ` A ) ) <_ ( ( normfn ` T ) x. ( normh ` A ) ) ) $=
      ( chil wcel c0v wceq cfv cabs cnmf cno cmul co cle wbr cc0 fveq2 lnfn0
      syl6eq fveq2d abs0 norm0 opreq2d nmcfnex recn mul01 syl6req 0re leid
      syl5breq eqbrtrd adantl wn wa cdiv c1 csm cc wne divrec2t cr lnfnf
      ffvelrni absclt syl adantr recnd normclt norm-it negbid biimpar df-ne
      sylibr syl3anc lnfnmul rerecclt sylanc pm3.26 absmult absidt clt wi
      ltlet mpan recgt0t normgt0tOLD biimpa sylc opreq1d 3eqtrrd eqtrd wf
      nmfnlbt mp3an1 hvmulclt eqlet norm1t sylan2br w3a wb ledivmul2tOLD a1i 3jca
      mpbid pm2.61dan ) AEFZAGHZABIZJIZBKIZALIZMNZOPZXHXNXGXHXJQXMOXHXJQJIQXHXI
      QJXHXIGBIQAGBRBCSTUAUBTXHQXMQOXHXMXKQMNQXHXLQXKMXHXLGLIQAGLRUCTUDXKXKBCDU
      EZUFUGUHQUIUJUKULUMXGXHUNZUOZXJXLUPNZXKOPZXNXQXRUQXLUPNZAURNZBIZJIZXKOXQX
      RXTXJMNZYCXJUSFXLUSFXLQUTZXRYDHXQXJXLVAXQXJXGXJVBFZXPXGXIUSFZYFEUSABBCVCZ
      VDZXIVEVFVGZVHXQXLXGXLVBFZXPAVIVGZVHXQXLQHZUNZYEXGYNXPXGYMXHAVJVKVLXLQVMV
      NZVOXQYCXTXIMNZJIZXTJIZXJMNZYDXQYBYPJXTUSFZXGYBYPHXQXTABCVPXQXTYKYEXTVBFZ
      XQXLVQYLYOVRZVHZXGXPVSZVRUAYTYGYQYSHXQXTXIVTUUCXGYGXPYIVGVRXQYRXTXJMUUAQX
      TOPZYRXTHXQXTWAUUBUUAQXTWBPZUUEXQQVBFUUAUUFUUEWCUIQXTWDWEUUBYKQXLWBPZUUFX
      QXLWFYLXGXPUUGAWGWHZVRWIVRWJWKWLYAEFZYALIZUQOPZYCXKOPZXQEUSBWMUUIUUKUULYH
      YABWNWOYTXGUUIXQXTAWPUUCUUDVRZUUJVBFZUUJUQHZUUKXQUUJUQWQXQUUIUUNUUMYAVIVF
      XGAGUTUUOXPAWRAGVMWSVRVRULYFYKXKVBFZWTUUGXSXNXAXQXJXLXKXBXQYFYKUUPYJYLUUP
      XQXOXCXDUUHVRXEXF $.
      $( [22-Apr-2006] $) $( [14-Feb-2006] $)
  $}

  $( The norm of a continuous linear Hilbert space functional exists.  Theorem
     3.5(i) of [Beran] p. 99. $)
  nmcfnext $p |- ( ( T e. LinFn /\ T e. ConFn ) -> ( normfn ` T ) e. RR ) $=
    ( clf wcel ccnf wa cin cnmf cfv cr elin chil cc0 csn cxp cif wceq fveq2
    eleq1d 0lnfn 0cnfn mpbir2an elimel mpbi pm3.26i pm3.27i nmcfnex dedth
    sylbir ) ABCADCEABDFZCZAGHZICZABDJUJULUJAKLMNZOZGHZICAUMAUNPUKUOIAUNGQRUNUN
    BCZUNDCZUNUICUPUQEAUMUIUMUICUMBCUMDCUMBDJSTUAUBUNBDJUCZUDUPUQURUEUFUGUH $.
    $( [24-Apr-2006] $) $( [14-Feb-2006] $)

  $( A lower bound of the norm of a continuous linear Hilbert space functional.
     Theorem 3.5(ii) of [Beran] p. 99. $)
  nmcfnlbt $p |- ( ( T e. LinFn /\ T e. ConFn /\ A e. H~ ) ->
                ( abs ` ( T ` A ) ) <_ ( ( normfn ` T ) x. ( normh ` A ) ) ) $=
    ( clf wcel ccnf chil cfv cabs cnmf cno cmul co cle wbr cin wa wi cc0 csn
    cxp cif wceq fveq1 fveq2d fveq2 opreq1d breq12d imbi2d elin 0lnfn 0cnfn
    mpbir2an elimel mpbi pm3.26i pm3.27i nmcfnlb dedth imp sylanbr 3impa ) BCDZ
    BEDZAFDZABGZHGZBIGZAJGZKLZMNZBCEOZDZVDVJVBVCPVLVDVJVLVDVJQVDAVLBFRSTZUAZGZH
    GZVNIGZVHKLZMNZQBVMBVNUBZVJVSVDVTVFVPVIVRMVTVEVOHABVNUCUDVTVGVQVHKBVNIUEUFU
    GUHAVNVNCDZVNEDZVNVKDWAWBPBVMVKVMVKDVMCDVMEDVMCEUIUJUKULUMVNCEUIUNZUOWAWBWC
    UPUQURUSBCEUIUTVA $.
    $( [25-Apr-2006] $) $( [14-Feb-2006] $)

  ${
    $d x y z w v u T $.
    lnfncon.1 $e |- T e. LinFn $.
    $( A condition equivalent to " ` T ` is continuous" when ` T ` is
       linear.  Theorem 3.5(iii) of [Beran] p. 99. $)
    lnfncon $p |- ( T e. ConFn <->
       E. x e. RR A. y e. H~ ( abs ` ( T ` y ) ) <_ ( x x. ( normh ` y ) ) ) $=
      ( vz vw vv vu ccnf wcel cv cfv cabs cno cmul co cle wbr chil wral cr
      wrex cnmf wceq opreq1 breq2d ralbidv rcla4ev clf nmcfnext mpan nmcfnlbt
      mp3an1 r19.21aiva sylanc c0v wne wi wa cc0 clt wo prodge02t normclt
      adantr anim2i ancoms normgt0t biimpa ad2antrr 0re a1i cc lnfnf ffvelrni
      absclt syl axmulrcl sylan2 absge0t fveq2 fveq2d opreq2d breq12d rcla4va
      adantlr letrd adantllr jca wb leloet ad2antlr mpbid cmv cmin cdiv breq2
      imbi1d anbi12d redivclt simprl simpll gt0ne0t syl3anc adantrll divgt0t
      subclt syl2an ad2antrl hvsubclt adantrlr ad2ant2r simplr adantl lnfnsub
      sylan adantll eqbrtrrd adantrr w3a ltmuldiv2tOLD pm3.27 3jca biimprd ex
      imp32 lelttrd anassrs exp32 r19.21aivv wf elcnfnt mpbiran sylibr recnd
      mul02t ralbiia csn cxp biantrud letri3t mpan2 abs00t 3bitr2d 0cn
      elisseti fvconst2 eqeq2d bitr4d wfn ffn ax-mp 0lnfn eqfnfv mp2an eqid
      biimpr 0cnfn syl6eqel sylbi syl6bir com12 jaod mpd exp31 r19.23adv
      r19.23aiva wn dfral2 eqeq1 necon3bbid cbvrexv negbii bitr2 recnt mul01t
      syl6bi r19.26 norm0 syl6eq r19.20si sylbir syl5 exp3a pm2.61i impbi ) CIJ
      ZBKZCLZMLZAKZUWHNLZOPZQRZBSTZAUAUBZCUCLZUAJZUWJUWQUWLOPZQRZBSTZUWPUWGUWOU
      XAAUWQUAUWKUWQUDZUWNUWTBSUXBUWMUWSUWJQUWKUWQUWLOUEUFUGUHCUIJZUWGUWRDCUJUK
      UWGUWTBSUXCUWGUWHSJZUWTDUWHCULUMUNUOEKZUPUQZESUBZUWPUWGURZUXFUXHESUXESJZU
      XFUSZUWOUWGAUAUXJUWKUAJZUWOUWGUXJUXKUSZUWOUSZUTUWKVARZUTUWKUDZVBZUWGUXMUT
      UWKQRZUXPUXKUXENLZUAJZUSZUTUXRVARZUTUWKUXROPZQRZUSUXQUXMUWKUXRVCUXLUXTUWO
      UXKUXJUXTUXJUXSUXKUXIUXSUXFUXEVDZVEVFVGVEUXMUYAUYCUXJUYAUXKUWOUXIUXFUYAUX
      EVHVIVJUXIUXKUWOUYCUXFUXIUXKUSZUWOUSZUTUXECLZMLZUYBUTUAJZUYFVKVLUXIUYHUAJ
      ZUXKUWOUXIUYGVMJZUYJSVMUXECCDVNZVOZUYGVPVQVJUYEUYBUAJZUWOUXKUXIUYNUXKUXSU
      YNUXIUWKUXRVRUYDVSVGVEUXIUTUYHQRZUXKUWOUXIUYKUYOUYMUYGVTVQVJUXIUWOUYHUYBQ
      RZUXKUWNUYPBUXESUWHUXEUDZUWJUYHUWMUYBQUYQUWIUYGMUWHUXECWAWBUYQUWLUXRUWKOU
      WHUXENWAWCWDWEWFWGWHWIUOUXKUXQUXPWJZUXJUWOUYIUXKUYRVKUTUWKWKUKWLWMUXKUWOU
      XPUWGURUXJUXKUWOUSZUXNUWGUXOUYSUXNUWGUYSUXNUSZUTFKZVARZUTGKZVARZHKZUXEWNP
      ZNLZVUCVARZVUECLZUYGWOPZMLZVUAVARZURZHSTZUSZGUAUBZURZFUATESTZUWGUYTVUQEFS
      UAUYTUXIVUAUAJZUSZVUBVUPVUAUWKWPPZUAJZUTVVAVARZVUGVVAVARZVULURZHSTZUSZVUP
      UYTVUTVUBUSZUSZVUOVVGGVVAUAVUCVVAUDZVUDVVCVUNVVFVUCVVAUTVAWQVVJVUMVVEHSVV
      JVUHVVDVULVUCVVAVUGVAWQWRUGWSUHUXKUXNVVHVVBUWOUXKUXNUSZVUSVUBVVBUXIVUSUXK
      UWKUTUQZVVBVVKVUSVUBUSZUSVUAUWKWTVVKVUSVUBXAUXKUXNVVMXBVVKVVLVVMUWKXCVEXD
      XEWHVVIVVCVVFUXKUXNVVHVVCUWOVVKVUSVUBVVCUXIVVMVVKVVCVUAUWKXFVGXEWHVVIVVEH
      SUYTVVHVUESJZVVEUYTVVHVVNUSZUSVVDVULUYTVVOVVDVULUYTVVOVVDUSZUSVUKUWKVUGOP
      ZVUAVVOVUKUAJZUYTVVDVUTVVNVVRVUBUXIVVNVVRVUSUXIVVNUSZVUJVMJZVVRVVNUXIVVTV
      UIVMJUYKVVTVVNUXIVUIUYGXGSVMVUECUYLVOUYMXHVGVUJVPVQWFWFXIUXKUXNVVPVVQUAJZ
      UWOUXKVVOVWAUXNVVDUXKVUTVVNVWAVUBUXKUXIVVNVWAVUSUXKVUGUAJZVWAVVSUWKVUGVRV
      VSVUFSJZVWBVVNUXIVWCVUEUXEXJVGZVUFVDVQZVSXKXKXLWHVVPVUSUYTVVHVUSVVNVVDUXI
      VUSVUBXMVJXNUYTVVOVUKVVQQRZVVDUYTVUTVVNVWFVUBUYTUXIVVNVWFVUSUYSVVSVWFUXNU
      YSVVSUSVUFCLZMLZVUKVVQQVVSVWHVUKUDUYSVVSVWGVUJMVVNUXIVWGVUJUDVUEUXECDXOVG
      WBXNUWOVVSVWHVVQQRZUXKVVSUWOVWIVWCUWOVWIVVSUWNVWIBVUFSUWHVUFUDZUWJVWHUWMV
      VQQVWJUWIVWGMUWHVUFCWAWBVWJUWLVUGUWKOUWHVUFNWAWCWDWEVWDXPVGXQXRWFXKXKXSUX
      KUXNVVPVVQVUAVARZUWOVVKVVOVVDVWKVVKVVOVVDVWKURZVVKVUTVVNVWLVUBVVKVUTVVNUS
      ZUSZVWKVVDUXKVWBVUSXTUXNVWKVVDWJVWNUWKVUGVUAYAVWNUXKVWBVUSUXKUXNVWMXBVWMV
      WBVVKUXIVVNVWBVUSVWEWFXNVUTVUSVVKVVNUXIVUSYBXIYCUXKUXNVWMXMUOYDXKYEYFWHYG
      YHYEYHUNWIUOYIYJUWGSVMCYKZVUREFGHCYLUYLYMYNYEUWOUXOUWGURUXKUXOUWOUWGUXOUW
      OUWJUTUWLOPZQRZBSTZUWGUXOVWQUWNBSUXOVWPUWMUWJQUTUWKUWLOUEUFUGVWRUWJUTQRZB
      STZUWGVWQVWSBSUXDVWPUTUWJQUXDUWLVMJVWPUTUDUXDUWLUWHVDYOUWLYPVQUFYQVWTUWIU
      WHSUTYRYSZLZUDZBSTZUWGVWSVXCBSUXDVWSUWIUTUDZVXCUXDUWIVMJZVWSVXEWJSVMUWHCU
      YLVOVXFVWSVWSUTUWJQRZUSZUWJUTUDZVXEVXFVXGVWSUWIVTYTVXFUWJUAJZVXIVXHWJZUWI
      VPVXJUYIVXKVKUWJUTUUAUUBVQUWIUUCUUDVQUXDVXBUTUWISUTUWHUTVMUUEUUFUUGUUHUUI
      YQVXDCVXAICVXAUDZVXDVXLSSUDZVXDCSUUJZVXASUUJZVXLVXMVXDUSWJVWOVXNUYLSVMCUU
      KUULSVMVXAYKVXOVXAUUMVNSVMVXAUUKUULBSSCVXAUUNUUOSUUPYMUUQUURUUSUUTZUUTUVA
      UVBXNUVCXQUVDUVEUVFUVGUXGUVHZUWHUPUDZBSTZUXHVXSVXRUVHZBSUBZUVHVXQVXRBSUVI
      VYAUXGVXTUXFBESUYQVXRUXEUPUWHUXEUPUVJUVKUVLUVMUVNVXSUWOUWGAUAUXKVXSUWOUWG
      URUXKVXSUWOUWGUXKUWJUWKUTOPZQRZBSTZUWGVXSUWOUSZUXKVYDVWTUWGUXKVYCVWSBSUXK
      VYBUTUWJQUXKUWKVMJVYBUTUDUWKUVOUWKUVPVQUFUGVXPUVQVYEVXRUWNUSZBSTVYDVXRUWN
      BSUVRVYFVYCBSVXRUWNVYCVXRUWMVYBUWJQVXRUWLUTUWKOVXRUWLUPNLUTUWHUPNWAUVSUVT
      WCUFVIUWAUWBUWCUWDUVBUVFUUTUWEUWF $.
      $( [25-Apr-2006] $) $( [14-Feb-2006] $)
  $}

  ${
    $d x y T $.
    $( A condition equivalent to " ` T ` is continuous" when ` T ` is
       linear.  Theorem 3.5(iii) of [Beran] p. 99. $)
    lnfncont $p |- ( T e. LinFn -> ( T e. ConFn <->
     E. x e. RR A. y e. H~ ( abs ` ( T ` y ) ) <_ ( x x. ( normh ` y ) ) ) ) $=
      ( clf wcel ccnf cv cfv cabs cno cmul co cle wbr chil wral cr wrex wb cc0
      csn cxp cif wceq eleq1 fveq1 fveq2d breq1d ralbidv rexbidv bibi12d 0lnfn
      elimel lnfncon dedth ) CDEZCFEZBGZCHZIHZAGURJHKLZMNZBOPZAQRZSUPCOTUAUBZUC
      ZFEZURVFHZIHZVAMNZBOPZAQRZSCVECVFUDZUQVGVDVLCVFFUEVMVCVKAQVMVBVJBOVMUTVIV
      AMVMUSVHIURCVFUFUGUHUIUJUKABVFCVEDULUMUNUO $.
      $( [27-Apr-2006] $) $( [16-Feb-2006] $)

    $( A linear functional is continuous iff it is bounded. $)
    lnfncnbdt $p |- ( T e. LinFn ->
                    ( T e. ConFn <-> ( normfn ` T ) e. RR ) ) $=
      ( vy vx clf wcel ccnf cnmf cfv cr nmcfnext ex cv cabs cno cmul co cle
      wbr chil wral wrex wa wceq opreq1 breq2d ralbidv rcla4ev pm3.27
      nmbdfnlbt 3expa r19.21aiva sylanc lnfncont sylibrd impbid ) ADEZAFEZAGHZI
      EZUPUQUSAJKUPUSBLZAHMHZCLZUTNHZOPZQRZBSTZCIUAZUQUPUSVGUSVAURVCOPZQRZBSTZV
      GUPUSUBZVFVJCURIVBURUCZVEVIBSVLVDVHVAQVBURVCOUDUEUFUGUPUSUHVKVIBSUPUSUTSE
      VIUTAUIUJUKULKCBAUMUNUO $.
      $( [4-May-2006] $) $( [25-Apr-2006] $)
  $}

  ${
    $d x y T $.
    nlelsh.1 $e |- T e. LinFn $.
    $( The null space of a linear functional is a subspace. $)
    nlelsh $p |- ( null ` T ) e. SH $=
      ( vx vy cnl cfv csh wcel c0v cv cva co wral csm cc wa chil wss wb cc0
      wceq crab wf lnfnf nlfnvalt ax-mp ssrab2 eqsstr sh2 lnfn0 ax-hv0cl
      elnlfnt mp2an mpbir caddc lnfnadd sseli syl2an elnlfn2t mpan opreqan12d
      0cn addid1 syl6eq eqtrd hvaddclt syl mpbird rgen2 cmul lnfnmul sylan2
      opreq2d adantl mul01t adantr 3eqtrd hvmulclt pm3.2i mpbir2an ) AEFZGHZIWA
      HZCJZDJZKLZWAHZDWAMCWAMZWDWENLZWAHZDWAMCOMZPZWAQRWBWCWLPSWAWDAFZTUAZCQUBZ
      QQOAUCZWAWOUAABUDZCAUEUFWNCQUGUHZCDWAUIUFWCIAFTUAZABUJWPIQHWCWSSWQUKIAULU
      MUNWHWKWGCDWAWAWDWAHZWEWAHZPZWGWFAFZTUAZXBXCWMWEAFZUOLZTWDQHZWEQHZXCXFUAW
      TXAWDWEABUPWAQWDWRUQZWAQWEWRUQZURXBXFTTUOLTWTXAWMTXETUOWPWTWNWQWDAUSUTWPX
      AXETUAWQWEAUSUTZVATVBVCVDVEXBWFQHZWGXDSZXGXHXLWTXAWDWEVFXIXJURWPXLXMWQWFA
      ULUTVGVHVIWJCDOWAWDOHZXAPZWJWIAFZTUAZXOXPWDXEVJLZWDTVJLZTXNXHXPXRUAXAWDWE
      ABVKXJVLXAXRXSUAXNXAXETWDVJXKVMVNXNXSTUAXAWDVOVPVQXOWIQHZWJXQSZXNXHXTXAWD
      WEVRXJVLWPXTYAWQWIAULUTVGVHVIVSVT $.
      $( [23-Apr-2006] $) $( [11-Feb-2006] $)
  $}

  ${
    $d g h m n u v w x y T $.
    nlelch.1 $e |- T e. LinFn $.
    nlelch.2 $e |- T e. ConFn $.
    $( The null space of a continuous linear functional is a closed subspace.
       Remark 3.8 of [Beran] p. 103. $)
    nlelch $p |- ( null ` T ) e. CH $=
      ( vg vh vy vx vv vm vn cnl cfv cch wcel csh cn cv wf chli wbr wa wi wal
      closedsub nlelsh cc0 wceq cabs cr cle clt wral squeeze0 cc chil visset
      hlimvec lnfnf ffvelrni syl absclt adantl absge0t cmv co cno cmin wrex
      ccnf cnfnct mpanl1 sylan adantll hlimconv ra4 imp32 adantlr adantlll
      adantrrr breq2 imbi1d rcla4v cneg absnegt ad2antlr ffvelrn elnlfn2t mpan
      opreq1d df-neg syl6reqr fveq2d eqtr3d ad2antrr opreq1 breq1d fveq2
      imbi12d rcla4va shel adantllr imp eqbrtrd ex an1rs adantlrl imim2d
      r19.20dva syl5com imp3a com23 nnret leidt ancli syl5 r19.23adv mpd exp32
      anassrs r19.21aiva syl3anc wb abs00t mpbid elnlfnt mpbird gen2 mpbir2an
      ) AKLZMNYIONPYIDQZRZYJEQZSTZUAZYLYINZUBZEUCDUCEDYIUDABUEZYPDEYNYOYLALZUFU
      GZYNYRUHLZUFUGZYSYTUINZUFYTUJTZUFFQZUKTZYTUUDUKTZUBZFUIULUUAYNFYTUMYMUUBY
      KYMYRUNNZUUBYMYLUONZUUHYLYJDUPZEUPZUQZUOUNYLAABURZUSUTZYRVAUTVBYMUUCYKYMU
      UHUUCUUNYRVCUTVBYNUUGFUIYNUUDUINZUAUUEUUFYNUUOUUEUUFYNUUOUUEUAZUAZUFGQZUK
      TZHQZYLVDVEZVFLZUURUKTZUUTALZYRVGVEZUHLZUUDUKTZUBZHUOULZUAZGUIVHZUUFYMUUP
      UVKYKUUIUUPUVKYMAVINUUIUUPUVKCGHYLUUDAVJVKUULVLVMUUQUVJUUFGUIUUQUURUINZUV
      JUUFUUQUVLUVJUAZUAZIQZJQZUJTZUVPYJLZYLVDVEZVFLZUURUKTZUBZJPULZIPVHZUUFUUQ
      UVLUUSUWDUVIYMUUPUVLUUSUAZUWDYKYMUWEUWDUUPYMUVLUUSUWDYMUUSUWDUBZGUIULUVLU
      WFUBGIJYLYJUUJUUKVNUWFGUIVOUTVPVQVRVSUVNUWCUUFIPUVNUVOPNZUVOUVOUJTZUAZUWC
      UUFUBUWGUVNUWCUWIUUFUVNUWCUWIUUFUBUVNUWCUAZUWGUWHUUFUWGUVQUUFUBZJPULZUWHU
      UFUBZUWJUWKUWMJUVOPUVPUVOUGUVQUWHUUFUVPUVOUVOUJVTWAWBUVNUWCUWLUVNUWBUWKJP
      UVNUVPPNZUAUWAUUFUVQYNUVMUWNUWAUUFUBZUUPYNUVJUWNUWOUVLYNUVIUWNUWOUUSYNUWN
      UVIUWOYNUWNUAZUVIUAZUWAUUFUWQUWAUAYTUVRALZYRVGVEZUHLZUUDUKUWPYTUWTUGUVIUW
      AUWPYRWCZUHLZYTUWTYMUXBYTUGZYKUWNYMUUHUXCUUNYRWDUTWEYKUWNUXBUWTUGYMYKUWNU
      AZUXAUWSUHUXDUWSUFYRVGVEUXAUXDUWRUFYRVGUXDUVRYINZUWRUFUGZPYIUVPYJWFZUOUNA
      RZUXEUXFUUMUVRAWGWHUTWIYRWJWKWLVQWMWNUWQUWAUWTUUDUKTZYKUWNUVIUWAUXIUBZYMU
      VRUONZUVIUXJUXDUVHUXJHUVRUOUUTUVRUGZUVCUWAUVGUXIUXLUVBUVTUURUKUXLUVAUVSVF
      UUTUVRYLVDWOWLWPUXLUVFUWTUUDUKUXLUVEUWSUHUXLUVDUWRYRVGUUTUVRAWQWIWLWPWRWS
      UXDUXEUXKUXGUVRYIYQWTUTVLXAXBXCXDXEXFXFXAXGXHXBXIXJXDXKUWGUWHUWGUVOUINUWH
      UVOXLUVOXMUTXNXOXPXQXRXPXQXSXDXTYAYMUUAYSYBZYKYMUUHUXMUUNYRYCUTVBYDYMYOYS
      YBZYKYMUUIUXNUULUXHUUIUXNUUMYLAYEWHUTVBYFYGYH $.
      $( [25-Apr-2006] $) $( [11-Feb-2006] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Riesz lemma
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( A continuous linear functional can be expressed as an inner product.
       Existence part of Theorem 3.9 of [Beran] p. 104. $)
    riesz3 $p |- E. w e. H~ A. v e. H~ ( T ` v ) = ( v .ih w ) $=
      ( vu cv cfv csp co wceq chil wral wrex cnl cort c0h c0v wcel wa cc0
      fveq2 nlelch ococ choc0 3eqtr3g eleq2d biimpar cc wf lnfnf elnlfn2t mpan
      syl hi02t adantl eqtr4d r19.21aiva ax-hv0cl opreq2 eqeq2d ralbidv
      rcla4ev wne choccl chne0 wi chel cdiv ccj csm hvmulclt divclt ffvelrni
      adantr hiclt anidms his6t necon3bid syl3anc cjclt pm3.26 sylanc adantll
      cmul cmin cmv his2subt sylan ancoms ax-his3 pm3.27 opreq12d eqtr2d wss
      chssi ocorth ax-mp lnfnsub lnfnmul axmulcom sylan2 eqtrd axmulcl syl2an
      subidt 3eqtrd wb hvsubclt elnlfnt mpbird anassrs subeq0t mpbid adantlr
      w3a divmul3t 3jca adantlll div23t his52t simpll eqtr3d ex mpdan
      r19.23aiv sylbi pm2.61ine ) BGZCHZYIAGZIJZKZBLMZALNZCOHZPHZQYQQKZYJYIRIJZ
      KZBLMZYOYRYTBLYRYILSZTZYJUAYSUUCYIYPSZYJUAKZYRUUDUUBYRYPLYIYRYQPHQPHYPLYQ
      QPUBYPCDEUCZUDUEUFUGUHLUICUJZUUDUUECDUKZYICULUMUNUUBYSUAKYRYIUOUPUQURRLSU
      UAYOUSYNUUAARLYKRKZYMYTBLUUIYLYSYJYKRYIIUTVAVBVCUMUNYQQVDFGZRVDZFYQNYOFYQ
      YPUUFVEZVFUUKYOFYQUUJYQSZUUJLSZUUKYOVGUUJYQUULVHUUMUUNTZUUKYOUUJCHZUUJUUJ
      IJZVIJZVJHZUUJVKJZLSZYJYIUUTIJZKZBLMZYOUUOUUKTZYNUVDAUUTLYKUUTKZYMUVCBLUV
      FYLUVBYJYKUUTYIIUTVAVBVCUUNUUKUVAUUMUUSUISZUUNUVAUUNUUKTZUUSUUJVLUVHUURUI
      SZUVGUUPUISZUUQUISZUUQUAVDZUVIUVHUUPUUQVMUUNUVJUUKLUIUUJCUUHVNZVOUUNUVKUU
      KUUNUVKUUJUUJVPVQZVOUUNUVLUUKUUNUUQUAUUJRUUJVRVSUHZVTZUURWAUNUUNUUKWBWCWD
      UVEUVCBLUVEUUBTZUUPYIUUJIJZWEJZUUQVIJZYJUVBUVQUVTYJKZUVSYJUUQWEJZKZUUOUUB
      UWCUUKUUOUUBTZUVSUWBWFJZUAKZUWCUWDUWEUUPYIVKJZYJUUJVKJZWGJZUUJIJZUAUUNUUB
      UWEUWJKUUMUUNUUBTZUWJUWGUUJIJZUWHUUJIJZWFJZUWEUWGLSZUWHLSZUUNUWJUWNKUWKUW
      GUWHUUJWHUVJUUBUWOUUNUUPYIVLUVMWIZUUBUUNUWPYJUISZUUNUWPUUBYJUUJVLLUIYICUU
      HVNZWIWJZUUNUUBWBZVTUWKUWLUVSUWMUWBWFUVJUUBUUNUWLUVSKUWKUUPYIUUJWKUUNUVJU
      UBUVMVOZUUNUUBWLUXAVTUWRUUNUUNUWMUWBKUWKYJUUJUUJWKUUBUWRUUNUWSUPZUXAUXAVT
      WMWNWDUUMUUNUUBUWJUAKZUWKUUMUXDUWIYPSZUUMUXDUWKYPLWOUXEUUMTUXDVGYPUUFWPUW
      IUUJYPWQWRUWKUXEUWICHZUAKZUWKUXFUWGCHZUWHCHZWFJZUUPYJWEJZUXKWFJZUAUWOUWPU
      XFUXJKUWKUWGUWHCDWSUWQUWTWCUWKUXHUXKUXIUXKWFUVJUUBUXHUXKKUUNUUPYICDWTUVMW
      IUUBUUNUXIUXKKZUWRUUNUXMUUBUWRUUNTUXIYJUUPWEJZUXKYJUUJCDWTUWRUVJUXNUXKKUU
      NYJUUPXAUVMXBXCUWSWIWJWMUWKUXKUISZUXLUAKUVJUWRUXOUUNUUBUUPYJXDUVMUWSXEUXK
      XFUNXGUWKUWILSZUXEUXGXHZUWOUWPUXPUWKUWGUWHXIUWQUWTWCUUGUXPUXQUUHUWICXJUMU
      NXKWIWJXLXCUUNUUBUWFUWCXHZUUMUVSUISZUWBUISZUXRUWKUVSUWBXMUVJUVRUISZUXSUWK
      UUPUVRXDUXBUUBUUNUYAYIUUJVPWJZWCZUUBUUNUXTUWRUVKUXTUUBUUNYJUUQXDUWSUVNXEW
      JWCWDXNXOUUNUUKUUBUWAUWCXHZUUMUXSUVKUWRXPZUVLUYDUVHUUBTZUVSUUQYJXQUUNUUBU
      YEUUKUWKUXSUVKUWRUYCUUNUVKUUBUVNVOZUXCXRXOUVHUVLUUBUVOVOZWCXSXKUUNUUKUUBU
      VTUVBKUUMUYFUVTUURUVRWEJZUVBUVJUYAUVKXPZUVLUVTUYIKUYFUUPUVRUUQXTUUNUUBUYJ
      UUKUWKUVJUYAUVKUXBUYBUYGXRXOUYHWCUVIUUBUUNUVBUYIKUYFUURYIUUJYAUVHUVIUUBUV
      PVOUVHUUBWLUUNUUKUUBYBVTUQXSYCURWCYDYEYFYGYH $.
      $( [26-Apr-2006] $) $( [13-Feb-2006] $)

    $( A continuous linear functional can be expressed as an inner product.
       Uniqueness part of Theorem 3.9 of [Beran] p. 104. $)
    riesz4 $p |- E! w e. H~ A. v e. H~ ( T ` v ) = ( v .ih w ) $=
      ( vu cv cfv csp co wceq chil wral wreu wrex wa wi opreq2 eqeq2d ralbidv
      reu4 riesz3 wcel cmin cc0 cmv hvsubclt opreq1 opreq12d eqeq1d rcla4v syl
      cno c2 cexp c0v wb cc normclt recnd sqeq0t norm-it bitrd normsqt
      his2sub2t pm3.26 pm3.27 syl3anc eqtrd hvsubeq0t 3bitr3d sylibd r19.26
      opreq12 adantl lnfnf ffvelrni subidt adantr eqtr3d r19.20ia sylbir syl5
      rgen2a mpbir2an ) BGZCHZWFAGZIJZKZBLMZALNWKALOWKWGWFFGZIJZKZBLMZPZWHWLKZQ
      ZFLMALMWKWOAFLWQWJWNBLWQWIWMWGWHWLWFIRSTUAABCDEUBWRAFLWHLUCZWLLUCZPZWIWMU
      DJZUEKZBLMZWQWPXAXDWHWLUFJZWHIJZXEWLIJZUDJZUEKZWQXAXELUCZXDXIQWHWLUGZXCXI
      BXELWFXEKZXBXHUEXLWIXFWMXGUDWFXEWHIUHWFXEWLIUHUIUJUKULXAXEUMHZUNUOJZUEKZX
      EUPKZXIWQXAXJXOXPUQXKXJXOXMUEKZXPXJXMURUCXOXQUQXJXMXEUSUTXMVAULXEVBVCULXA
      XNXHUEXAXNXEXEIJZXHXAXJXNXRKXKXEVDULXJWSWTXRXHKXAXEWHWLVEXKWSWTVFWSWTVGVH
      VIUJWHWLVJVKVLWPWJWNPZBLMXDWJWNBLVMXSXCBLWFLUCZXSPWGWGUDJZXBUEXSYAXBKXTWG
      WIWGWMUDVNVOXTYAUEKZXSXTWGURUCYBLURWFCCDVPVQWGVRULVSVTWAWBWCWDWE $.
      $( [27-Apr-2006] $) $( [13-Feb-2006] $)
  $}

  ${
    $d w v T $.
    $( A continuous linear functional can be expressed as an inner product.
       Uniqueness part of Theorem 3.9 of [Beran] p. 104.  See ~ riesz2t for the
       bounded linear functional version. $)
    riesz4t $p |- ( T e. ( LinFn i^i ConFn ) ->
                   E! w e. H~ A. v e. H~ ( T ` v ) = ( v .ih w ) ) $=
      ( clf ccnf cin wcel cv cfv csp co wceq chil wral wreu cc0 csn cxp cif
      fveq1 eqeq1d ralbidv reubidv inss1 elin 0lnfn 0cnfn mpbir2an elimel
      sselii inss2 riesz4 dedth ) CDEFZGZBHZCIZUPAHJKZLZBMNZAMOUPUOCMPQRZSZIZUR
      LZBMNZAMOCVACVBLZUTVEAMVFUSVDBMVFUQVCURUPCVBTUAUBUCABVBUNDVBDEUDCVAUNVAUN
      GVADGVAEGVADEUEUFUGUHUIZUJUNEVBDEUKVGUJULUM $.
      $( [27-Apr-2006] $) $( [16-Feb-2006] $)
  $}

  ${
    $d x y z T $.
    $( Part 1 of the Riesz representation theorem for bounded linear
       functionals.  A linear functional is bounded iff its value can be
       expressed as an inner product.  Part of Theorem 17.3 of [Halmos] p. 31.
       For part 2, see ~ riesz2t .  For the continuous linear functional
       version, see ~ riesz3 and ~ riesz4t . $)
    riesz1t $p |- ( T e. LinFn -> ( ( normfn ` T ) e. RR <->
                  E. y e. H~ A. x e. H~ ( T ` x ) = ( x .ih y ) ) ) $=
      ( vz clf wcel ccnf cnmf cfv cr cv csp co wceq chil wral wrex lnfncnbdt
      wa cin elin cc0 csn cxp cif fveq1 eqeq1d rexralbidv inss1 0lnfn 0cnfn
      mpbir2an elimel sselii inss2 riesz3 dedth sylbir ex cabs cno cmul cle
      wbr wi fveq2 adantl bcst cc axmulcom recnt syl2an normclt breqtrd
      adantll adantr eqbrtrd an1rs r19.20dva jctild opreq1 breq2d ralbidv
      rcla4ev syl6 r19.23adva lnfncont sylibrd impbid bitr3d ) CEFZCGFZCHIJFAKZ
      CIZWMBKZLMZNZAOPZBOQZCRWKWLWSWKWLWSWKWLSCEGTZFZWSCEGUAXAWSWMXACOUBUCUDZUE
      ZIZWPNZAOPBOQCXBCXCNZWQXEBAOOXFWNXDWPWMCXCUFUGUHBAXCWTEXCEGUICXBWTXBWTFXB
      EFXBGFXBEGUAUJUKULUMZUNWTGXCEGUOXGUNUPUQURUSWKWSWNUTIZDKZWMVAIZVBMZVCVDZA
      OPZDJQZWLWKWRXNBOWKWOOFZSZWRWOVAIZJFZXHXQXJVBMZVCVDZAOPZSXNXPWRYAXRXPWQXT
      AOWKWMOFZXOWQXTVEWKYBSXOSZWQXTYCWQSXHWPUTIZXSVCWQXHYDNYCWNWPUTVFVGYCYDXSV
      CVDZWQYBXOYEWKYBXOSYDXJXQVBMZXSVCWMWOVHXJJFZXRYFXSNZYBXOXJVIFXQVIFYHYGXRX
      JXQVJXJVKXQVKVLWMVMWOVMZVLVNVOVPVQUSVRVSXOXRWKYIVGVTXMYADXQJXIXQNZXLXTAOY
      JXKXSXHVCXIXQXJVBWAWBWCWDWEWFDACWGWHWIWJ $.
      $( [5-May-2006] $) $( [25-Apr-2006] $)

    $( Part 2 of the Riesz representation theorem for bounded linear
       functionals.  The value of a bounded linear functional corresponds to a
       unique inner product.  Part of Theorem 17.3 of [Halmos] p. 31.  For
       part 1, see ~ riesz1t . $)
    riesz2t $p |- ( ( T e. LinFn /\ ( normfn ` T ) e. RR ) ->
                   E! y e. H~ A. x e. H~ ( T ` x ) = ( x .ih y ) ) $=
      ( clf wcel cnmf cfv cr wa ccnf cin cv csp co wceq chil wral wreu elin
      lnfncnbdt pm5.32i bitr riesz4t sylbir ) CDEZCFGHEZIZCDJKEZALZCGUIBLMNOAPQ
      BPRUHUECJEZIUGCDJSUEUJUFCTUAUBBACUCUD $.
      $( [5-May-2006] $) $( [25-Apr-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Adjoints (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f g h u v w y z A $.  $d u B $.  $d f C $.  $d f t w x z F $.
    $d f v w x z G $.  $d f g h t u v w x y z T $.
    cnlnadjlem.1 $e |- T e. LinOp $.
    cnlnadjlem.2 $e |- T e. ConOp $.
    cnlnadjlem.3 $e |- G =
                    { <. g , h >. | ( g e. H~ /\ h = ( ( T ` g ) .ih y ) ) } $.
    $( Lemma for ~ cnlnadj (Theorem 3.10 of [Beran] p. 104: every continuous
       linear operator has an adjoint).  The value of the auxiliary functional
       ` G ` . $)
    cnlnadjlem1 $p |- ( A e. H~ -> ( G ` A ) = ( ( T ` A ) .ih y ) ) $=
      ( cv cfv csp co chil wceq fveq2 opreq1d oprex fvopab4 ) DEBDJZCKZAJZLMBCK
      ZUBLMNFTBOUAUCUBLTBCPQIUCUBLRS $.
      $( [26-Apr-2006] $) $( [16-Feb-2006] $)

    $( Lemma for ~ cnlnadj .  ` G ` is a continuous linear functional. $)
    cnlnadjlem2 $p |- ( y e. H~ -> ( G e. LinFn /\ G e. ConFn ) ) $=
      ( vx vw vz cv chil wcel clf ccnf cc wf csm co cva cfv cmul caddc wceq
      wral wa csp hiclt lnopf ffvelrni sylan ancoms r19.21aiva fopab2 sylib
      w3a lnopadd 3adant3 opreq1d ax-his2 id syl3an eqtrd 3comr 3expa hvmulclt
      sylanl2 hvaddclt cnlnadjlem1 syl adantll ax-his3 syl3an2 3expb lnopmul
      adantl opreq2d ad2antll 3eqtr4rd opreqan12d 3eqtr4d ex r19.21aivv jca
      ellnfnt sylibr cabs cno cle wbr cr wrex cnop opreq1 breq2d ralbidv
      rcla4ev normclt nmcopex axmulrcl mpan adantr eqeltrd absclt syl2an
      fveq2d bcst eqbrtrd cc0 lemul1itOLD 3jca normge0t nmcoplb sylanc letrd
      recn mul23t mp3an1 recnd breqtrd wb lnfncont mpbird ) ALZMNZEONZEPNZYFMQE
      RZILZJLZSTZKLZUATZEUBZYJYKEUBZUCTZYMEUBZUDTZUEZKMUFZJMUFIQUFZUGYGYFYIUUBY
      FCLZBUBZYEUHTZQNZCMUFYIYFUUFCMUUCMNZYFUUFUUDMNYFUUFUUGUUDYEUIMMUUCBBFUJZU
      KULUMUNCDMQUUEEHUOUPYFUUAIJQMYFYJQNZYKMNZUGZUUAYFUUKUGZYTKMUULYMMNZUGYNBU
      BZYEUHTZYLBUBZYEUHTZYMBUBZYEUHTZUDTZYOYSYFYLMNZUUMUUOUUTUEZUUKYFUVAUUMUVB
      UVAUUMYFUVBUVAUUMYFUQZUUOUUPUURUATZYEUHTZUUTUVCUUNUVDYEUHUVAUUMUUNUVDUEYF
      YLYMBFURUSUTUUPMNUURMNZYFUVEUUTUEUVAUUMYFUUPUURYEVAMMYLBUUHUKMMYMBUUHUKZY
      FVBVCVDVEVFYJYKVGZVHUUKUUMYOUUOUEZYFUUKUUMUGYNMNZUVIUVAUUMUVJUUKYLYMVIUVH
      ULAYNBCDEFGHVJVKVLUULUUMYQUUQYRUUSUDUULYJYKBUBZSTZYEUHTZYJUVKYEUHTZUCTZUU
      QYQYFUUIUUJUVMUVOUEZUUIUUJYFUVPUUIUVKMNYFUVPUUJYJUVKYEVMMMYKBUUHUKVNVEVOU
      UKUUQUVMUEYFUUKUUPUVLYEUHYJYKBFVPUTVQUUJYQUVOUEYFUUIUUJYPUVNYJUCAYKBCDEFG
      HVJVRVSVTAYMBCDEFGHVJZWAWBUNWCWDWEIJKEWFWGZYFYHYRWHUBZYJYMWIUBZUCTZWJWKZK
      MUFZIWLWMZBWNUBZYEWIUBZUCTZWLNZUVSUWGUVTUCTZWJWKZKMUFZUWDYFUWCUWKIUWGWLYJ
      UWGUEZUWBUWJKMUWLUWAUWIUVSWJYJUWGUVTUCWOWPWQWRYFUWFWLNZUWHYEWSZUWEWLNZUWM
      UWHBFGWTZUWEUWFXAXBVKYFUWJKMUUMYFUWJUUMYFUGZUVSUWEUVTUCTZUWFUCTZUWIWJUWQU
      VSUURWIUBZUWFUCTZUWSUWQYRQNUVSWLNUWQYRUUSQUUMYRUUSUEYFUVQXCZUVFYFUUSQNUUM
      UURYEUIUVGULXDYRXEVKUWTWLNZUWMUXAWLNUUMYFUWTUWFXAUUMUVFUXCUVGUURWSVKZUWNX
      FUWRWLNZUWMUWSWLNUUMYFUWRUWFXAUUMUVTWLNZUXEYMWSZUWOUXFUXEUWPUWEUVTXAXBVKZ
      UWNXFUWQUVSUUSWHUBZUXAWJUWQYRUUSWHUXBXGUVFYFUXIUXAWJWKUUMUURYEXHUVGULXIUX
      CUXEUWMUQXJUWFWJWKZUWTUWRWJWKZUGUXAUWSWJWKUWQUWTUWRUWFXKUWQUXCUXEUWMUUMUX
      CYFUXDXCUUMUXEYFUXHXCYFUWMUUMUWNVQXLUWQUXJUXKYFUXJUUMYEXMVQUUMUXKYFYMBFGX
      NXCWEXOXPUVTQNZUWFQNZUWSUWIUEZUUMYFUWEQNUXLUXMUXNUWEUWPXQUWEUVTUWFXRXSUUM
      UVTUXGXTYFUWFUWNXTXFYAUMUNXOYFYGYHUWDYBUVRIKEYCVKYDWE $.
      $( [27-Apr-2006] $) $( [16-Feb-2006] $)

    ${
      cnlnadjlem.4 $e |- B = U. { w e. H~ | A. v e. H~ ( ( T ` v ) .ih y )
                         = ( v .ih w ) } $.
      cnlnadjlem.5 $e |- F = { <. y , u >. | ( y e. H~ /\ u = B ) } $.
      $( Lemma for ~ cnlnadj .  By ~ riesz4t , ` B ` is the unique vector
         such that ` ( T `` v ) .ih y ) = ( v .ih w ) ` for all ` v ` . $)
      cnlnadjlem3 $p |- ( y e. H~ -> B e. H~ ) $=
        ( cv chil wcel cfv csp co wceq wral crab cuni wreu clf ccnf cin wa
        cnlnadjlem2 elin sylibr riesz4t syl cnlnadjlem1 eqeq1d ralbiia reubii
        sylib reucl syl5eqel ) APZQRZCPZFSVCTUAZVEBPTUAZUBZCQUCZBQUDUEZQEVDVIBQ
        UFZVJQRVDVEJSZVGUBZCQUCZBQUFZVKVDJUGUHUIRZVOVDJUGRJUHRUJVPAFGHJKLMUKJUG
        UHULUMBCJUNUOVNVIBQVMVHCQVEQRVLVFVGAVEFGHJKLMUPUQURUSUTVIBQVAUONVB $.
        $( [28-Apr-2006] $) $( [17-Feb-2006] $)

      $( Lemma for ~ cnlnadj .  The values of auxiliary function ` F ` are
         vectors. $)
      cnlnadjlem4 $p |- ( A e. H~ -> ( F ` A ) e. H~ ) $=
        ( chil wcel cfv cv csp co wceq wral crab cuni opreq2 eqeq1d ralbidv
        rabbisdv unieqd syl5eq ax-hilex rabex uniex fvopab4 wreu reubidv clf
        ccnf cin wa cnlnadjlem2 elin sylibr riesz4t syl cnlnadjlem1 ralbiia
        reubii sylib vtoclga reucl eqeltrd ) EQRZEJSCTZGSZEUAUBZVPBTUAUBZUCZCQU
        DZBQUEZUFZQADEFWCQJATZEUCZVQWDUAUBZVSUCZCQUDZBQUEZUFWCFWEWIWBWEWHWABQWE
        WGVTCQWEWFVRVSWDEVQUAUGUHUIZUJUKOULPWBWABQUMUNUOUPVOWABQUQZWCQRWHBQUQZW
        KAEQWEWHWABQWJURWDQRZVPKSZVSUCZCQUDZBQUQZWLWMKUSUTVARZWQWMKUSRKUTRVBWRA
        GHIKLMNVCKUSUTVDVEBCKVFVGWPWHBQWOWGCQVPQRWNWFVSAVPGHIKLMNVHUHVIVJVKVLWA
        BQVMVGVN $.
        $( [27-Apr-2006] $) $( [17-Feb-2006] $)

      $( Lemma for ~ cnlnadj .  ` F ` is an adjoint of ` T ` (later, we will
         show it is unique). $)
      cnlnadjlem5 $p |- ( ( A e. H~ /\ C e. H~ ) -> ( ( T ` C ) .ih A ) =
                        ( C .ih ( F ` A ) ) ) $=
        ( vf vz chil wcel cfv csp co wceq cv wi fveq2 opreq1d opreq1 eqeq12d
        imbi2d wral ax-17 wa copab hbopab1 hbxfr hbfv hbopr hbeq hbral opreq2
        opreq2d ralbidv crab cuni cvv ax-hilex rabex uniex eqeltr fvopab2
        mpan2 fveq1i syl5eq wb cbvralv a1i rabbii unieqi eqtr syl6req wreu
        eqeq2d reuuni2 cnlnadjlem3 eqeltrd clf ccnf cin cnlnadjlem2 elin
        sylibr riesz4t syl cnlnadjlem1 eqeq1d ralbiia reubii sylib sylanc
        mpbird vtoclgaf ra4 com12 vtoclga impcom ) GTUAETUAZGHUBZEUCUDZGEKUBZUC
        UDZUEZXIRUFZHUBZEUCUDZXOXLUCUDZUEZUGXIXNUGRGTXOGUEZXSXNXIXTXQXKXRXMXTXP
        XJEUCXOGHUHUIXOGXLUCUJUKULXIXOTUAZXSXIXSRTUMZYAXSUGXPAUFZUCUDZXOYCKUBZU
        CUDZUEZRTUMZYBASETSUFZEUAAUNZXSARTYAAUNASSXQXRYIXQUAAUNASXOXLUCYIXOUAAU
        NYIUCUAAUNASEKASKYCTUAZDUFFUEUOZADUPZQYLADSUQURYJUSUTVAVBYCEUEZYGXSRTYN
        YDXQYFXRYCEXPUCVCYNYEXLXOUCYCEKUHVDUKVEYKYHYDXOBUFZUCUDZUEZRTUMZBTVFZVG
        ZYEUEZYKYEFYTYKYCYMUBZFYEYKFVHUAUUBFUEFCUFZHUBZYCUCUDZUUCYOUCUDZUEZCTUM
        ZBTVFZVGZVHPUUIUUHBTVIVJVKVLADTFVHVMVNYCKYMQVOVPZFUUJYTPUUIYSUUHYRBTUUH
        YRVQYOTUAUUGYQCRTUUCXOUEZUUEYDUUFYPUULUUDXPYCUCUUCXOHUHUIUUCXOYOUCUJUKV
        RVSVTWAWBWCYETUAYRBTWDZYHUUAVQYKYRYHBTYEYOYEUEZYQYGRTUUNYPYFYDYOYEXOUCV
        CWEVEWFYKYEFTUUKABCDFHIJKLMNOPQWGWHYKXOLUBZYPUEZRTUMZBTWDZUUMYKLWIWJWKU
        AZUURYKLWIUALWJUAUOUUSAHIJLMNOWLLWIWJWMWNBRLWOWPUUQYRBTUUPYQRTYAUUOYDYP
        AXOHIJLMNOWQWRWSWTXAXBXCXDXSRTXEWPXFXGXH $.
        $( [28-Apr-2006] $) $( [18-Feb-2006] $)

      $( Lemma for ~ cnlnadj .  ` F ` is linear. $)
      cnlnadjlem6 $p |- F e. LinOp $=
        ( vx vf vz vt clo wcel chil wf cv csm co cva cfv wceq wral cc ellnopt
        cnlnadjlem3 fopab wa csp caddc his7t lnopf ffvelrni adantl hvmulclt
        ad2antrr simplr syl3anc cnlnadjlem5 hvaddclt sylan ccj cmul adantll
        opreq2d his5t simpll pm3.27 cnlnadjlem4 ad2antlr 3eqtr4d adantlr
        opreq12d sylan2 eqtr4d 3eqtr3d r19.21aiva wb hial2eq2t syl syl2an
        sylanc mpbid rgen2 mpbir2an ) ITUAUBUBIUCPUDZQUDZUEUFZRUDZUGUFZIUHZWMWN
        IUHZUEUFZWPIUHZUGUFZUIZRUBUJZQUBUJPUKUJPQRIULADUBUBEIOABCDEFGHIJKLMNOUM
        UNXDPQUKUBWMUKUAZWNUBUAZUOZXCRUBXGWPUBUAZUOZSUDZWRUPUFZXJXBUPUFZUIZSUBU
        JZXCXIXMSUBXIXJUBUAZUOZXJFUHZWQUPUFZXQWOUPUFZXQWPUPUFZUQUFZXKXLXQUBUAZW
        OUBUAZXHXRYAUIXPXQWOWPURXOYBXIUBUBXJFFKUSUTZVAXGYCXHXOWMWNVBZVCXGXHXOVD
        VEWQUBUAZXOXRXKUIXIABCDWQEXJFGHIJKLMNOVFYCXHYFXGWOWPVGYEVHZVHXPYAXJWTUP
        UFZXJXAUPUFZUQUFZXLXPXSYHXTYIUQXGXOXSYHUIXHXGXOUOZWMVIUHZXQWNUPUFZVJUFZ
        YLXJWSUPUFZVJUFZXSYHYKYMYOYLVJXFXOYMYOUIXEABCDWNEXJFGHIJKLMNOVFVKVLXEYB
        XFXSYNUIYKWMXQWNVMXEXFXOVNZXOYBXGYDVAXEXFXOVDVEXEXOWSUBUAZYHYPUIYKWMXJW
        SVMYQXGXOVOXFYRXEXOABCDWNEFGHIJKLMNOVPZVQVEVRVSXHXOXTYIUIXGABCDWPEXJFGH
        IJKLMNOVFVKVTXOWTUBUAZXAUBUAZXLYJUIXPXJWTXAURXIXOVOXGYTXHXOXEYRYTXFWMWS
        VBYSWAZVCXHUUAXGXOABCDWPEFGHIJKLMNOVPZVQVEWBWCWDWRUBUAZXBUBUAZXNXCWEXIS
        WRXBWFXIYFUUDYGABCDWQEFGHIJKLMNOVPWGYTUUAUUEXGXHWTXAVGUUBUUCWHWIWJWDWKW
        L $.
        $( [28-Apr-2006] $) $( [17-Feb-2006] $)

      $( Lemma for ~ cnlnadj .  Helper lemma to show that ` F ` is
         continuous. $)
      cnlnadjlem7 $p |- ( A e. H~ -> ( normh ` ( F ` A ) ) <_
                        ( ( normop ` T ) x. ( normh ` A ) ) ) $=
        ( chil wcel cfv cno cnop cmul co cle wbr cc0 breq1 wne wa csp cabs cc
        cr cnlnadjlem4 lnopf ffvelrni syl hiclt mpancom absclt axmulrcl
        normclt sylanc nmcopex mpan bcst w3a lemul1itOLD 3jca normge0t nmcoplb
        jca letrd c2 cexp wceq normsqt recnd sqvalt cnlnadjlem5 mpdan fveq2d
        absidt hiidrclt hiidge0t eqtr2d 3eqtr3rd recn mul23t mp3an1 3brtr3d
        adantr clt wb lemul1t 0re leltnet biimpar sylan mpbird mulge0t jctil
        wf nmopge0t ax-mp pm2.61ne ) EQRZEJSZTSZGUASZETSZUBUCZUDUEZUFXLUDUEZXIU
        FXIUFXLUDUGXGXIUFUHZUIZXMXIXIUBUCZXLXIUBUCZUDUEZXGXSXOXGXHGSZEUJUCZUKSZ
        XJXIUBUCZXKUBUCZXQXRUDXGYBXTTSZXKUBUCZYDXGYAULRZYBUMRXTQRZXGYGXGXHQRZYH
        ABCDEFGHIJKLMNOPUNZQQXHGGLUOZUPUQZXTEURUSYAUTUQYEUMRZXKUMRZYFUMRXGYEXKV
        AXGYHYMYLXTVBUQZEVBZVCYCUMRZYNYDUMRXGYCXKVAXGXIUMRZYQXGYIYRYJXHVBZUQZXJ
        UMRZYRYQGLMVDZXJXIVAVEUQZYPVCYHXGYBYFUDUEYLXTEVFUSYMYQYNVGUFXKUDUEZYEYC
        UDUEZUIYFYDUDUEXGYEYCXKVHXGYMYQYNYOUUCYPVIXGUUDUUEEVJZXGYIUUEYJXHGLMVKU
        QVLVCVMXGXIVNVOUCZXHXHUJUCZXQYBXGYIUUGUUHVPYJXHVQUQXGXIULRZUUGXQVPXGXIY
        TVRZXIVSUQXGYBUUHUKSZUUHXGYAUUHUKXGYIYAUUHVPYJABCDEFXHGHIJKLMNOPVTWAWBU
        UHUMRZUFUUHUDUEZUUKUUHVPXGUUHWCXGYIUULYJXHWDUQXGYIUUMYJXHWEUQVCWFWGUUIX
        KULRZYDXRVPZXGXJULRUUIUUNUUOXJUUBWHXJXIXKWIWJUUJXGXKYPVRVCWKWLYRXLUMRZY
        RVGZUFXIWMUEZXMXSWNXPXIXLXIWOXGUUQXOXGYRUUPYRYTXGYNUUPYPUUAYNUUPUUBXJXK
        VAVEUQYTVIWLYIXOUURXGYIUURXOYRUFXIUDUEZUURXOWNZYIUFUMRYRUUSUUTWPUFXIWQW
        JYSXHVJVCWRYJWSVCWTUUAYNUIUFXJUDUEZUUDUIXNXGXJXKXAXGYNUUAYPUUBXBXGUUDUV
        AUUFQQGXCUVAYKGXDXEXBVCXF $.
        $( [28-Apr-2006] $) $( [18-Feb-2006] $)

      $( Lemma for ~ cnlnadj .  ` F ` is continuous. $)
      cnlnadjlem8 $p |- F e. ConOp $=
        ( vz vx cco wcel cv cfv cno cmul co cle wbr chil wral cr wrex cnop
        nmcopex cnlnadjlem7 rgen wceq opreq1 breq2d ralbidv rcla4ev mp2an
        cnlnadjlem6 lnopcon mpbir ) IRSPTZIUAUBUAZQTZVDUBUAZUCUDZUEUFZPUGUHZQUI
        UJZFUKUAZUISVEVLVGUCUDZUEUFZPUGUHZVKFKLULVNPUGABCDVDEFGHIJKLMNOUMUNVJVO
        QVLUIVFVLUOZVIVNPUGVPVHVMVEUEVFVLVGUCUPUQURUSUTQPIABCDEFGHIJKLMNOVAVBVC
        $.
        $( [29-Apr-2006] $) $( [17-Feb-2006] $)

      $( Lemma for ~ cnlnadj .  ` F ` provides an example showing the existence
         of a continuous linear adjoint. $)
      cnlnadjlem9 $p |- E. t e. ( LinOp i^i ConOp )
             A. x e. H~ A. z e. H~ ( ( T ` x ) .ih z ) = ( x .ih ( t ` z ) ) $=
        ( clo cco cin wcel cv cfv csp co wceq chil wral wrex elin cnlnadjlem6
        cnlnadjlem8 mpbir2an cnlnadjlem5 ancoms rgen2a fveq1 opreq2d eqeq2d
        2ralbidv rcla4ev mp2an ) LSTUAZUBZAUCZIUDCUCZUEUFZVFVGLUDZUEUFZUGZCUHUI
        AUHUIZVHVFVGGUCZUDZUEUFZUGZCUHUIAUHUIZGVDUJVELSUBLTUBLSTUKBDEFHIJKLMNOP
        QRULBDEFHIJKLMNOPQRUMUNVKACUHVGUHUBVFUHUBVKBDEFVGHVFIJKLMNOPQRUOUPUQVQV
        LGLVDVMLUGZVPVKACUHUHVRVOVJVHVRVNVIVFUEVGVMLURUSUTVAVBVC $.
        $( [29-Apr-2006] $) $( [18-Feb-2006] $)
    $}
  $}

  ${
    $d f g h t u v w x y z T $.
    cnlnadj.1 $e |- T e. LinOp $.
    cnlnadj.2 $e |- T e. ConOp $.
    $( Every continuous linear operator has an adjoint.  Theorem 3.10 of
       [Beran] p. 104. $)
    cnlnadj $p |- E. t e. ( LinOp i^i ConOp )
             A. x e. H~ A. y e. H~ ( ( T ` x ) .ih y ) = ( x .ih ( t ` y ) ) $=
      ( vz vw vv vu vf vg vh cv cfv csp co wceq chil wral crab cuni wcel wa
      copab eqid opreq2 eqeq2d ralbidv cbvrabv unieqi cnlnadjlem9 ) AGBHIJCINZD
      OGNZPQZUMKNZPQZRZISTZKSUAZUBZDLMUNSUCJNVARUDGJUEZLNZSUCMNVCDOUNPQRUDLMUEZ
      EFVDUFUTUOUMHNZPQZRZISTZHSUAUSVHKHSUPVERZURVGISVIUQVFUOUPVEUMPUGUHUIUJUKV
      BUFUL $.
      $( [29-Apr-2006] $) $( [18-Feb-2006] $)

    $( Every continuous linear operator has a unique adjoint.  Theorem 3.10 of
       [Beran] p. 104. $)
    cnlnadjeu $p |- E! t e. ( LinOp i^i ConOp )
             A. x e. H~ A. y e. H~ ( ( T ` x ) .ih y ) = ( x .ih ( t ` y ) ) $=
      ( cv cfv csp co wceq chil wral clo cco cin wreu wrex wcel wa wmo reu5
      cnlnadj wf adjmo pm3.26 wb lnopf adjsymt mpan2 eqcom 2ralbii syl5bb
      biimpa jca inss1 sseli lnopft syl sylan immoi ax-mp mpbir2an ) AGZDHBGZIJ
      ZVDVECGZHIJZKZBLMALMZCNOPZQVJCVKRVGVKSZVJTZCUAZVJCVKUBABCDEFUCLLVGUDZVDVE
      DHIJVDVGHVEIJKBLMALMZTZCUAVNABCDUEVMVQCVOVJVQVLVOVJTVOVPVOVJUFVOVJVPVOVHV
      FKZBLMALMZVPVJVOLLDUDVSVPUGDEUHABVGDUIUJVIVRABLLVFVHUKULUMUNUOVLVGNSVOVKN
      VGNOUPUQVGURUSUTVAVBVC $.
      $( [29-Apr-2006] $) $( [18-Feb-2006] $)
  $}

  ${
    $d t x y T $.
    $( Every continuous linear operator has a unique adjoint.  Theorem 3.10 of
       [Beran] p. 104. $)
    cnlnadjeut $p |- ( T e. ( LinOp i^i ConOp ) -> E! t e. ( LinOp i^i ConOp )
           A. x e. H~ A. y e. H~ ( ( T ` x ) .ih y ) = ( x .ih ( t ` y ) ) ) $=
      ( clo cco cin wcel cv cfv csp co wceq chil wral wreu ch0o cif fveq1
      opreq1d eqeq1d 2ralbidv reubidv inss1 elin 0lnop 0cnop mpbir2an elimel
      sselii inss2 cnlnadjeu dedth ) DEFGZHZAIZDJZBIZKLZUPURCIJKLZMZBNOANOZCUNP
      UPUODQRZJZURKLZUTMZBNOANOZCUNPDQDVCMZVBVGCUNVHVAVFABNNVHUSVEUTVHUQVDURKUP
      DVCSTUAUBUCABCVCUNEVCEFUDDQUNQUNHQEHQFHQEFUEUFUGUHUIZUJUNFVCEFUKVIUJULUM
      $.
      $( [29-Apr-2006] $) $( [19-Feb-2006] $)

    $( Every continuous linear operator has an adjoint.  Theorem 3.10 of
       [Beran] p. 104. $)
    cnlnadjt $p |- ( T e. ( LinOp i^i ConOp ) -> E. t e. ( LinOp i^i ConOp )
           A. x e. H~ A. y e. H~ ( ( T ` x ) .ih y ) = ( x .ih ( t ` y ) ) ) $=
      ( clo cco cin wcel cv cfv csp co wceq chil wral wreu wrex cnlnadjeut
      reurex syl ) DEFGZHAIZDJBIZKLUBUCCIJKLMBNOANOZCUAPUDCUAQABCDRUDCUAST $.
      $( [29-Apr-2006] $) $( [18-Feb-2006] $)
  $}

  ${
    $d t u v x y z $.
    $( Every continuous linear Hilbert space operator has an adjoint. $)
    cnlnssadj $p |- ( LinOp i^i ConOp ) (_ dom adjh $=
      ( vy vt vx vz vu vv clo cco cin cado cdm cv wcel cop wex cfv csp co wceq
      chil wral wa wrex cnlnadjt df-rex sylib wf w3a inss1 sseli lnopft syl
      a1d wi a1i adantrd wb adjsymt syl2an ancoms eqcom biimp r19.20si syl5bi
      ex imp3a 3jcad copab dfadj2 eleq2i visset feq1 fveq1 opreq2d eqeq1d
      2ralbidv 3anbi13d opreq1d eqeq2d 3anbi23d opelopab bitr2 syl6ib 19.22dv
      mpd eldm2 sylibr ssriv ) AGHIZJKZALZWIMZWKBLZNZJMZBOZWKWJMWLWMWIMZCLZWKPD
      LZQRZWRWSWMPQRZSZDTUAZCTUAZUBZBOZWPWLXDBWIUCXFCDBWKUDXDBWIUEUFWLXEWOBWLXE
      TTWKUGZTTWMUGZWRWSWKPZQRZWRWMPZWSQRZSZDTUACTUAZUHZWOWLXEXGXHXNWLXGXEWLWKG
      MXGWIGWKGHUIZUJWKUKULZUMWLWQXHXDWQXHUNWLWQWMGMXHWIGWMXPUJWMUKULZUOUPWLWQX
      DXNWLWQXDXNUNWLWQUBXAWTSZDTUAZCTUAZXNXDWQWLYAXNUQZXHXGYBWQWLCDWMWKURXRXQU
      SUTXCXTCTXBXSDTXBXSWTXAVAVBVCVCVDVEVFVGWOWNTTELZUGZTTFLZUGZWRWSYCPZQRZWRY
      EPZWSQRZSZDTUACTUAZUHZEFVHZMXOJYNWNCDFEVIVJYMXGYFXJYJSZDTUACTUAZUHXOEFWKW
      MAVKZBVKYCWKSZYDXGYLYPYFTTYCWKVLYRYKYOCDTTYRYHXJYJYRYGXIWRQWSYCWKVMVNVOVP
      VQYEWMSZYFXHYPXNXGTTYEWMVLYSYOXMCDTTYSYJXLXJYSYIXKWSQWRYEWMVMVRVSVPVTWAWB
      WCWDWEBWKJYQWFWGWH $.
      $( [24-May-2006] $) $( [18-Feb-2006] $)
  $}


  $( Every bounded linear Hilbert space operator has an adjoint. $)
  bdopssadj $p |- BndLinOp (_ dom adjh $=
    ( cbo clo cco cin cado cdm lncnbd cnlnssadj eqsstr3 ) ABCDEFGHI $.
    $( [4-Jun-2006] $) $( [19-Feb-2006] $)

  $( Every bounded linear Hilbert space operator has an adjoint. $)
  bdopadjt $p |- ( T e. BndLinOp -> T e. dom adjh ) $=
    ( cbo cado cdm bdopssadj sseli ) BCDAEF $.
    $( [10-Jun-2006] $) $( [22-Feb-2006] $)

  ${
    $d t w x y z T $.
    $( The adjoint of a bounded linear operator is a bounded linear
       operator. $)
    adjbdlnt $p |- ( T e. BndLinOp -> ( adjh ` T ) e. BndLinOp ) $=
      ( vx vy vt cbo wcel cado cfv cv csp co wceq chil wral crab cuni cm wf wa
      cab df-rab ax-hilex elmap anbi1i abbii eqtr unieqi a1i wrex wmo wss
      bdopft sylibr ssriv mouniss mp3an1 clo cco cin cnlnadjt lncnopbd wb
      lncnbd rexeq1 ax-mp 3imtr3 adjmo ax-17 adjsymt sylan pm5.32da eqcom
      2ralbii anbi12i syl6rbbr mobid mpbiri sylanc adjval2t syl 3eqtr4rd wreu
      cnlnadjeut reueq1 reucl eqeltrd ) AEFZAGHZBIZAHCIZJKZWIWJDIZHJKZLZCMNBMNZ
      DEOPZEWGWODMMQKZOZPZMMWLRZWOSZDTZPZWPWHWSXCLWGWRXBWRWLWQFZWOSZDTXBWODWQUA
      XEXADXDWTWOMMWLUBUBUCZUDUEUFUGUHWODEUIZXEDUJZWPWSLZWGEWQUKXGXHXIDEWQWLEFW
      TXDWLULXFUMUNWODEWQUOUPAUQURUSZFZWODXJUIZWGXGBCDAUTAVAZXJELZXLXGVBVCWODXJ
      EVDVEVFWGXHWTWIWJAHJKWIWLHWJJKLCMNBMNZSZDUJBCDAVGWGXEXPDWGDVHWGXPWTWMWKLZ
      CMNBMNZSXEWGWTXOXRMMARZWTXOXRVBWGBCAWLVIAULZVJVKXDWTWOXRXFWNXQBCMMWKWMVLV
      MVNVOVPVQVRWGXSWHXCLXTBCDAVSVTWAWGWODEWBZWPEFXKWODXJWBZWGYABCDAWCXMXNYBYA
      VBVCWODXJEWDVEVFWODEWEVTWF $.
      $( [29-Apr-2006] $) $( [19-Feb-2006] $)

    $( An operator is bounded and linear iff its adjoint is. $)
    adjbdlnb $p |- ( T e. BndLinOp <-> ( adjh ` T ) e. BndLinOp ) $=
      ( cbo wcel cado cfv adjbdlnt cdm bdopadjt dmadjrnb sylibr wa ccom cid
      cres wceq ccnv cnvadj coeq1i wf1o adj1o f1ococnv1 ax-mp eqtr3 fveq1i a1i
      wfun funadj fvco mp3an12 adantr fvresi 3eqtr3rd adantl eqeltrd mpancom
      impbi ) ABCZADEZBCZAFADGZCZUSUQUSURUTCVAURHAIJVAUSKZAURDEZBVBADDLZEZAMUTN
      ZEZVCAVEVGOVBAVDVFDPZDLZVDVFVHDDQRUTUTDSVIVFOTUTUTDUAUBUCUDUEVAVEVCOZUSDU
      FZVKVAVJUGUGADDUHUIUJVAVGAOUSUTAUKUJULUSVCBCVAURFUMUNUOUP $.
      $( [7-Jun-2006] $) $( [19-Feb-2006] $)

    $( The mapping of adjoints of bounded linear operators is
       one-to-one onto. $)
    adjbd1o $p |- ( adjh |` BndLinOp ) : BndLinOp -1-1-onto-> BndLinOp $=
      ( vy vx cbo cado cima cres wf1o cdm wf1 wss adj1o f1of1 ax-mp bdopssadj
      f1ores mp2an wceq wb cv wcel wbr wrex cfv visset elima bdopadjt wfn
      f1ofn fnbrfvb mpan syl rexbiia eleq1 adjbdlnb syl5bb biimpcd r19.23aiv
      fveq2 eqeq1d rcla4ev adjbdlnt adjadjt sylanc impbi 3bitr2 eqriv f1oeq3
      mpbi ) CDCEZDCFZGZCCVJGZDHZVMDIZCVMJVKVMVMDGZVNKVMVMDLMNVMVMCDOPVICQVKVLR
      AVICASZVITBSZVPDUAZBCUBVQDUCZVPQZBCUBZVPCTZBVPDCAUDZUEVTVRBCVQCTZVQVMTZVT
      VRRZVQUFDVMUGZWEWFVOWGKVMVMDUHMVMVQVPDWCUIUJUKULWAWBVTWBBCVTWDWBVTVSCTWBW
      DVSVPCUMVQUNUOUPUQVPDUCZCTWHDUCZVPQZWAWBVTWJBWHCVQWHQVSWIVPVQWHDURUSUTVPV
      AWBVPVMTWJVPUFVPVBUKVCVDVEVFVICCVJVGMVH $.
      $( [20-Oct-2006] $) $( [19-Feb-2006] $)

    $( The adjoint of an operator is linear.  Proposition 1 of
       [AkhiezerGlazman] p. 80. $)
    adjlnopt $p |- ( T e. dom adjh -> ( adjh ` T ) e. LinOp ) $=
      ( vx vy vz vw cado cdm wcel chil cfv wf cv csm co cva wceq wral cc wa
      clo dmadjrnt dmadjopt syl csp w3a caddc his7t ffvelrn sylan 3adant3
      hvmulclt adantr 3ad2ant3 pm3.27 syl3anc adj2t hvaddclt syl3an3 ccj cmul
      3adant3l opreq2d his5t pm3.26 3simp2 adjclt adantrl 3adant2 3eqtr4d
      3adant3r opreq12d sylan2 an1s adantrr eqtr4d 3eqtr3d 3com23 3expa
      r19.21aiva wb hial2eq2t syl2an anandis sylanc mpbid exp32 r19.21adv
      r19.21aivv jca ellnopt sylibr ) AFGZHZIIAFJZKZBLZCLZMNZDLZONZWNJZWPWQWNJZ
      MNZWSWNJZONZPZDIQZCIQBRQZSWNTHWMWOXHWMWNWLHWOAUAWNUBUCWMXGBCRIWMWPRHZWQIH
      ZSZXFDIWMXKWSIHZXFWMXKXLSZSZELZXAUDNZXOXEUDNZPZEIQZXFXNXREIWMXMXOIHZXRWMX
      TXMXRWMXTXMUEZXOAJZWTUDNZYBWRUDNZYBWSUDNZUFNZXPXQYBIHZWRIHZXLYCYFPYAYBWRW
      SUGWMXTYGXMIIAKXTYGWMIIXOAUHAUBUIZUJXMWMYHXTXKYHXLWPWQUKZULUMXMWMXLXTXKXL
      UNUMUOWMXTWTIHZYCXPPXMXOWTAUPYHXLYKXKWRWSUQYJUIZURYAYFXOXCUDNZXOXDUDNZUFN
      ZXQYAYDYMYEYNUFWMXTXKYDYMPXLWMXTXKUEZWPUSJZYBWQUDNZUTNZYQXOXBUDNZUTNZYDYM
      YPYRYTYQUTWMXTXJYRYTPXIXOWQAUPVAVBXIYGXJYDYSPYPWPYBWQVCXKWMXIXTXIXJVDUMZW
      MXTYGXKYIUJXKWMXJXTXIXJUNUMUOXIXTXBIHZYMUUAPYPWPXOXBVCUUBWMXTXKVEWMXKUUCX
      TWMXJUUCXIWQAVFZVGVHUOVIVJWMXTXLYEYNPXKXOWSAUPVAVKXTXCIHZXDIHZXQYOPYAXOXC
      XDUGWMXTXMVEWMXMUUEXTWMXKUUEXLXIWMXJUUEXIUUCUUEWMXJSWPXBUKUUDVLVMZVNVHWMX
      MUUFXTWMXLUUFXKWSAVFZVGVHUOVOVPVQVRVSXAIHZXEIHZXSXFVTXNEXAXEWAWMYKUUIXMWT
      AVFYLVLWMXKXLUUJUUEUUFUUJWMXKSWMXLSXCXDUQUUGUUHWBWCWDWEWFWGWHWIBCDWNWJWK
      $.
      $( [28-Jun-2006] $) $( [17-Jun-2006] $)

    $( Every operator with an adjoint is linear. $)
    adjsslnop $p |- dom adjh (_ LinOp $=
      ( vt cado cdm clo cv wcel cfv adjadjt dmadjrnt adjlnopt syl eqeltrrd
      ssriv ) ABCZDAEZNFZOBGZBGZODOHPQNFRDFOIQJKLM $.
      $( [11-Nov-2006] $) $( [17-Jun-2006] $)
  $}

  ${
    $d f g h u v w z A $.  $d f g h t u v w x y z T $.
    nmopadjle.1 $e |- T e. BndLinOp $.
    $( Property of the norm of an adjoint.  Part of proof of Theorem 3.10 of
       [Beran] p. 104. $)
    nmopadjle $p |- ( A e. H~ -> ( normh ` ( ( adjh ` T ) ` A ) ) <_
                        ( ( normop ` T ) x. ( normh ` A ) ) ) $=
      ( vz vu vv vf vw vg vh chil wcel cado cfv cno cv csp co wceq wral crab
      cuni wa copab cnop cmul cle cdm cbo bdopssadj sselii adjvalvalt mpan
      opreq2 eqeq1d ralbidv rabbisdv unieqd eqid ax-hilex rabex uniex fvopab4
      eqtr4d fveq2d clo cco cin inss1 lncnbd eleqtrr inss2 eqeq2d cbvrabv
      unieqi cnlnadjlem7 eqbrtrd ) AKLZABMNNZONADPZKLEPFPZBNZVTQRZWAGPZQRZSZFKT
      ZGKUAZUBZSUCDEUDZNZONBUENAONUFRUGVRVSWKOVRVSWBAQRZWESZFKTZGKUAZUBZWKBMUHZ
      LVRVSWPSUIWQBUJCUKFGABULUMDEAWIWPKWJVTASZWHWOWRWGWNGKWRWFWMFKWRWCWLWEVTAW
      BQUNUOUPUQURWJUSZWOWNGKUTVAVBVCVDVEDHFEAWIBIJWJIPZKLJPWTBNVTQRSUCIJUDZVFV
      GVHZVFBVFVGVIBUIXBCVJVKZUKXBVGBVFVGVLXCUKXAUSWHWCWAHPZQRZSZFKTZHKUAWGXGGH
      KWDXDSZWFXFFKXHWEXEWCWDXDWAQUNVMUPVNVOWSVPVQ $.
      $( [6-Jun-2006] $) $( [22-Feb-2006] $)

    $( Lemma for ~ nmopadj . $)
    nmopadjlem $p |- ( normop ` ( adjh ` T ) ) <_ ( normop ` T ) $=
      ( vy chil cado cfv wf cnop cxr wcel cv cno c1 cle wbr wi wral cbo
      adjbdlnt ax-mp bdopft nmopxrt wa cmul co cr ffvelrni normclt syl adantr
      nmopret axmulrcl mpan 1re remulcl a1i nmopadjle w3a cc0 lemul2itOLD 3jca
      pm3.27 nmopge0t jctil sylanc letrd recn mulid1 syl6breq ex rgen nmopubt
      mp3an ) DDAEFZGZAHFZIJZCKZLFZMNOZVRVNFZLFZVPNOZPZCDQVNHFVPNOVNRJZVOARJZWE
      BASTVNUATZDDAGZVQWFWHBAUATZAUBTWDCDVRDJZVTWCWJVTUCZWBVPMUDUEZVPNWKWBVPVSU
      DUEZWLWJWBUFJZVTWJWADJWNDDVRVNWGUGWAUHUIUJWJWMUFJZVTWJVSUFJZWOVRUHZVPUFJZ
      WPWOWFWRBAUKTZVPVSULUMUIUJWLUFJWKVPMWSUNUOUPWJWBWMNOVTVRABUQUJWPMUFJZWRUR
      USVPNOZVTUCWMWLNOWKVSMVPUTWKWPWTWRWJWPVTWQUJWTWKUNUPWRWKWSUPVAWKVTXAWJVTV
      BWHXAWIAVCTVDVEVFVPVPWSVGVHVIVJVKCVPVNVLVM $.
      $( [22-Feb-2006] $) $( [22-Feb-2006] $)

    $( Property of the norm of an adjoint.  Theorem 3.11(v) of [Beran]
       p. 106. $)
    nmopadj $p |- ( normop ` ( adjh ` T ) ) = ( normop ` T ) $=
      ( cado cfv cnop wceq cle wbr cbo wcel cr adjbdlnt ax-mp nmopret letri3
      nmopadjlem cdm bdopadjt adjadjt fveq2i eqbrtrr mpbir2an ) ACDZEDZAEDZFUDU
      EGHUEUDGHUDUEUCIJZUDKJAIJZUFBALMZUCNMUGUEKJBANMOABPUCCDZEDUEUDGUIAEACQJZU
      IAFUGUJBARMASMTUCUHPUAUB $.
      $( [11-Jun-2006] $) $( [22-Feb-2006] $)
  $}

  $( An operator is zero iff its adjoint is zero.  Theorem 3.11(i) of [Beran]
     p. 106. $)
  adjeq0 $p |- ( T = 0hop <-> ( adjh ` T ) = 0hop ) $=
    ( ch0o wceq cado cfv fveq2 adj0 syl6eq cdm wcel cbo bdopssadj 0bdop sselii
    eleq1 mpbiri dmadjrnb sylibr adjadjt syl a1i 3eqtr3d impbi ) ABCZADEZBCZUDU
    EBDEZBABDFGHUFUEDEZUGABUEBDFUFADIZJZUHACUFUEUIJZUJUFUKBUIJKUIBLMNUEBUIOPAQR
    ASTUGBCUFGUAUBUC $.
    $( [30-Jun-2008] $) $( [20-Feb-2006] $)

  ${
    $d x y A $.  $d x y T $.
    $( The adjoint of the scalar product of an operator.  Theorem 3.11(ii) of
       [Beran] p. 106. $)
    adjmult $p |- ( ( A e. CC /\ T e. dom adjh ) ->
                 ( adjh ` ( A .op T ) ) = ( ( * ` A ) .op ( adjh ` T ) ) ) $=
      ( vx vy chil chot co wf ccj cfv cado cv csp wceq wral cc wcel cdm wa
      adjeqt homulclt dmadjopt sylan2 cjclt dmadjrnt syl syl2an csm cmul adj2t
      3expb adantll opreq2d wi ax-his3 ffvelrn sylan syl3an2 3exp exp3a imp43
      his52t simpll simprl adjclt ad2ant2l syl3anc 3eqtr4d homvalt 3expa
      adantrr opreq1d id syl3an adantrl ex r19.21aivv ) EEABFGZHZEEAIJZBKJZFGZH
      ZCLZVRJZDLZMGZWDWFWBJZMGZNZDEOCEOVRKJWBNAPQZBKRZQZSZCDWBVRTWKEEBHZVSWMABU
      ABUBZUCVTPQZEEWAHZWCWKWMVTWAUAAUDZWMWAWLQWRBUEWAUBUFZUGWNWJCDEEWNWDEQZWFE
      QZSZWJWNXCSZAWDBJZUHGZWFMGZWDVTWFWAJZUHGZMGZWGWIXDAXEWFMGZUIGZAWDXHMGZUIG
      ZXGXJXDXKXMAUIWMXCXKXMNZWKWMXAXBXOWDWFBUJUKULUMWKWMXAXBXGXLNZWKWMXAXBXPUN
      WKWMXASZXBXPWKXEEQZXBXPXQAXEWFUOWOXAXRWMEEWDBUPWPUQURUSUTVAWKXAXHEQZXJXNN
      XDAWDXHVBWKWMXCVCWNXAXBVDWMXBXSWKXAWFBVEVFVGVHXDWEXFWFMWNXAWEXFNZXBWKWMXA
      XTWKWOXAXTWMAWDBVIWPURVJVKVLXDWHXIWDMWNXBWHXINZXAWKWMXBYAWQWRXBYAWKWMXBVT
      WFWAVIWSWTXBVMVNVJVOUMVHVPVQVG $.
      $( [5-Nov-2006] $) $( [21-Feb-2006] $)
  $}

  ${
    $d x y S $.  $d x y T $.
    $( The adjoint of the sum of two operators.  Theorem 3.11(iii) of [Beran]
       p. 106. $)
    adjaddt $p |- ( ( S e. dom adjh /\ T e. dom adjh ) ->
                ( adjh ` ( S +op T ) ) = ( ( adjh ` S ) +op ( adjh ` T ) ) ) $=
      ( vx vy chil chos co wf cado cfv cv csp wceq wral cdm wcel wa adjeqt
      hoaddclt dmadjopt syl2an dmadjrnt syl cva caddc ax-his2 ffvelrn sylan
      ad2ant2r ad2ant2lr simprr syl3anc adj2t 3expb adantlr adantll opreq12d
      eqtrd hosvaltOLD anim12i adantrr opreq1d his7t simprl adjclt ad2ant2rl
      ad2ant2l 3eqtr4d adantrl opreq2d eqtr4d ex r19.21aivv ) EEABFGZHZEEAIJZBI
      JZFGZHZCKZVNJZDKZLGZVTWBVRJZLGZMZDENCENVNIJVRMAIOZPZBWGPZQZCDVRVNREEAHZEE
      BHZVOWHWIABSATZBTZUAEEVPHZEEVQHZVSWHWIVPVQSWHVPWGPWOAUBVPTUCZWIVQWGPWPBUB
      VQTUCZUAWJWFCDEEWJVTEPZWBEPZQZWFWJXAQZWCVTWBVPJZWBVQJZUDGZLGZWEXBVTAJZVTB
      JZUDGZWBLGZVTXCLGZVTXDLGZUEGZWCXFXBXJXGWBLGZXHWBLGZUEGZXMXGEPZXHEPZWTXJXP
      MXBXGXHWBUFWHWSXQWIWTWKWSXQWHEEVTAUGWMUHUIWIWSXRWHWTWLWSXRWIEEVTBUGWNUHUJ
      WJWSWTUKULXBXNXKXOXLUEWHXAXNXKMZWIWHWSWTXSVTWBAUMUNUOWIXAXOXLMZWHWIWSWTXT
      VTWBBUMUNUPUQURXBWAXIWBLWJWSWAXIMZWTWKWLQWSYAWJVTABUSWHWKWIWLWMWNUTUHVAVB
      WSXCEPZXDEPZXFXMMXBVTXCXDVCWJWSWTVDWHWTYBWIWSWBAVEVFWIWTYCWHWSWBBVEVGULVH
      XBWDXEVTLWJWTWDXEMZWSWOWPQWTYDWJWBVPVQUSWHWOWIWPWQWRUTUHVIVJVKVLVMUL $.
      $( [15-Feb-2006] $) $( [22-Feb-2006] $)
  $}

  ${
    $d x y z S $.  $d x y z T $.
    nmoptri.1 $e |- S e. BndLinOp $.
    nmoptri.2 $e |- T e. BndLinOp $.
    $( Triangle inequality for the norms of bounded linear operators. $)
    nmoptri $p |- ( normop ` ( S +op T ) ) <_
                  ( ( normop ` S ) + ( normop ` T ) ) $=
      ( vx chil chos co wf cnop cfv caddc cxr wcel cv cno c1 cle wbr wi wral
      cbo bdopft ax-mp hoaddcl cr nmopret readdcl rexrt wa hoscl normclt syl
      adantr axaddrcl ffvelrni sylanc a1i cva wceq hosvaltOLD mpanl12 fveq2d
      norm-iit eqbrtrd nmoplbt mp3an1 pm3.2i le2addt mpan2 mp2and letrd ex
      rgen nmopubt mp3an ) FFABGHZIAJKZBJKZLHZMNZEOZPKQRSZWBVQKZPKZVTRSZTZEFUAV
      QJKVTRSABAUBNZFFAIZCAUCUDZBUBNZFFBIZDBUCUDZUEVTUFNZWAVRVSWHVRUFNZCAUGUDZW
      KVSUFNZDBUGUDZUHZVTUIUDWGEFWBFNZWCWFWTWCUJZWEWBAKZPKZWBBKZPKZLHZVTWTWEUFN
      ZWCWTWDFNXGWBABWJWMUKWDULUMUNWTXFUFNZWCXCUFNZXEUFNZXHWTXCXEUOWTXBFNZXIFFW
      BAWJUPZXBULUMZWTXDFNZXJFFWBBWMUPZXDULUMZUQUNWNXAWSURWTWEXFRSWCWTWEXBXDUSH
      ZPKZXFRWTWDXQPWIWLWTWDXQUTWJWMWBABVAVBVCXKXNXRXFRSWTXBXDVDXLXOUQVEUNXAXCV
      RRSZXEVSRSZXFVTRSZWIWTWCXSWJWBAVFVGWLWTWCXTWMWBBVFVGWTXSXTUJYATZWCXIXJYBW
      TXIXJUJWOWQUJYBWOWQWPWRVHXCXEVRVSVIVJXMXPUQUNVKVLVMVNEVTVQVOVP $.
      $( [24-Mar-2006] $) $( [10-Mar-2006] $)

    $( Upper bound for the norm of the composition of two bounded linear
       operators. $)
    nmopco $p |- ( normop ` ( S o. T ) ) <_
                   ( ( normop ` S ) x. ( normop ` T ) ) $=
      ( vx chil ccom wf cnop cfv cmul co cxr wcel cv cno c1 cle wbr wi wral
      cbo clo bdoplnt ax-mp lnopco lnopf cr nmopret remulcl rexrt cc0 wceq wa
      0re leid a1i ch0o fveq1 fveq2d c0v ho0valt norm0 syl6eq sylan9eq lnopco0
      nmlnop0HIL sylib sylan opreq2 recn mul01 adantr 3brtr4d adantrr wne wn
      cdiv csm cabs cc norm-iiit recclz ffvelrni syl2an lnopmul bdopft hoco
      opreq2d adantl eqtr4d divrec2t mp3an2 normclt syl recnd ancoms absidt
      rerecclz clt ltlet mpan wb nmopgt0t recgt0 sylbi sylc sylanc opreq1d
      3eqtr4rd nmoplbt mp3an1 hvmulclt 3eqtr4d mulid2 syl6breqr 1re ledivmul2tOLD
      mp3anl2 mpanl2 biimp mpbird eqbrtrd w3a 3jca ad2antrl mpbid df-ne
      sylanbr pm2.61ian ex rgen nmopubt mp3an ) FFABGZHAIJZBIJZKLZMNZEOZPJQRSZY
      TYOJZPJZYRRSZTZEFUAYOIJZYRRSYOABAUBNZAUCNCAUDUEZBUBNZBUCNDBUDUEZUFZUGZYRU
      HNYSYPYQUUGYPUHNZCAUIUEZUUIYQUHNZDBUIUEZUJYRUKUEUUEEFYTFNZUUAUUDYQULUMZUU
      QUUAUNZUUDUURUUQUUDUUAUURUUQUNZULULUUCYRRULULRSUUTULUOUPUQYOURUMZUUQUUCUL
      UMUURUVAUUQUUCYTURJZPJZULUVAUUBUVBPYTYOURUSUTUUQUVCVAPJULUUQUVBVAPYTVBUTV
      CVDVEUURUUFULUMUVAABUUHUUJVFYOUUKVGVHVIUURYRULUMUUQUURYRYPULKLULYQULYPKVJ
      YPYPUUNVKVLVDVMVNVOYQULVPZUUSUUDUURVQUVDUUSUNZUUCYQVRLZYPRSZUUDUVEUVFQYQV
      RLZYTBJZVSLZAJZPJZYPRUVDUUQUVFUVLUMUUAUVDUUQUNZUVHUUBVSLZPJZUVHVTJZUUCKLZ
      UVLUVFUVHWANZUUBFNZUVOUVQUMUVDUUQUVHUUBWBYQYQUUPVKZWCZFFYTYOUULWDZWEUVMUV
      KUVNPUVMUVKUVHUVIAJZVSLZUVNUVRUVIFNZUVKUWDUMUVDUUQUVHUVIAUUHWFUWAFFYTBUUI
      FFBHZDBWGUEZWDZWEUUQUVNUWDUMUVDUUQUUBUWCUVHVSYTABUUGFFAHZCAWGUEZUWGWHWIWJ
      WKUTUVMUVFUVHUUCKLZUVQUUQUVDUVFUWKUMZUUCWANZUVDUWLUUQUWMYQWANZUVDUWLUVTUU
      CYQWLWMUUQUUCUUQUVSUUCUHNZUWBUUBWNWOZWPVIWQUVMUVPUVHUUCKUVDUVPUVHUMZUUQUV
      HUHNZULUVHRSZUWQUVDUVHWRYQUUPWSZUWRULUVHWTSZUWSUVDULUHNUWRUXAUWSTUOULUVHX
      AXBUWTUVDULYQWTSZUXAUWFUVDUXBXCUWGBXDUEZYQUUPXEXFXGXHVMZXIWKXJVOUVJFNZUVJ
      PJZQRSZUVLYPRSZUVEUWIUXEUXGUXHUWJUVJAXKXLUVDUUQUXEUUAUVRUWEUXEUVDUUQUVHUV
      IXMUWAUWHWEVOUVEUXFUVIPJZYQVRLZQRUVDUUQUXFUXJUMUUAUVMUVPUXIKLZUVHUXIKLZUX
      FUXJUVMUVPUVHUXIKUXDXIUVRUWEUXFUXKUMUVDUUQUVHUVIWBUWAUWHWEUUQUVDUXJUXLUMZ
      UXIWANZUVDUXMUUQUXNUWNUVDUXMUVTUXIYQWLWMUUQUXIUUQUWEUXIUHNZUWHUVIWNWOZWPV
      IWQXNVOUVEUXJQRSZUXIQYQKLZRSZUUSUXSUVDUUSUXIYQUXRRUWFUUQUUAUXIYQRSUWGYTBX
      KXLYQUVTXOXPWJUVDUUQUXQUXSXCZUUAUUQUVDUXTUXOUXBUXTUUQUVDUXOQUHNZUXBUXTXQU
      XOUUOUYAUXBUXTUUPUXIYQQXRXSXTUXPUVDUXBUXCYAZWEWQVOYBYCXHYCUWOUUOUUMYDZUXB
      UVGUUDXCUVEUUCYQYPXRUUQUYCUVDUUAUUQUWOUUOUUMUWPUUOUUQUUPUQUUMUUQUUNUQYEYF
      UVDUXBUUSUYBVMXHYGYQULYHYIYJYKYLEYRYOYMYN $.
      $( [8-May-2006] $) $( [10-Mar-2006] $)

    $( The sum of two bounded linear operators is a bounded linear operator. $)
    bdophs $p |- ( S +op T ) e. BndLinOp $=
      ( chos co cbo wcel clo cnop cfv cr elbdop2t bdoplnt ax-mp lnophs cxr
      caddc wa cmnf clt wbr cle chil wf bdopft hoaddcl nmopxrt nmopret readdcl
      pm3.2i nmopgtmnf nmoptri xrret mp2an mpbir2an ) ABEFZGHUQIHUQJKZLHZUQMABA
      GHZAIHCANOBGHZBIHDBNOPURQHZAJKZBJKZRFZLHZSTURUAUBZURVEUCUBZSUSVBVFUDUDUQU
      EZVBABUTUDUDAUECAUFOVAUDUDBUEDBUFOUGZUQUHOVCVDUTVCLHCAUIOVAVDLHDBUIOUJUKV
      GVHVIVGVJUQULOABCDUMUKURVEUNUOUP $.
      $( [10-May-2006] $) $( [9-Mar-2006] $)

    $( The difference between two bounded linear operators is bounded. $)
    bdophd $p |- ( S -op T ) e. BndLinOp $=
      ( c1 cneg chot co chos chod cbo wcel chil wf bdopft ax-mp honegsub cc
      ax1cn negcl bdophm bdophs eqeltrr ) AEFZBGHZIHABJHKABAKLMMANCAOPBKLMMBNDB
      OPQAUECUDRLUEKLESTUDBDUAPUBUC $.
      $( [10-May-2006] $) $( [10-Mar-2006] $)

    $( The composition of two bounded linear operators is bounded. $)
    bdopco $p |- ( S o. T ) e. BndLinOp $=
      ( ccom cbo wcel clo cnop cfv cr elbdop2t bdoplnt ax-mp lnopco cxr cmul
      co wa cmnf clt wbr cle chil wf lnopf hocof nmopxrt nmopret remulcl
      pm3.2i nmopgtmnf nmopco xrret mp2an mpbir2an ) ABEZFGUQHGUQIJZKGZUQLABAFG
      ZAHGCAMNZBFGZBHGDBMNZOURPGZAIJZBIJZQRZKGZSTURUAUBZURVGUCUBZSUSVDVHUDUDUQU
      EZVDABAVAUFBVCUFUGZUQUHNVEVFUTVEKGCAUINVBVFKGDBUINUJUKVIVJVKVIVLUQULNABCD
      UMUKURVGUNUOUP $.
      $( [10-May-2006] $) $( [9-Mar-2006] $)

    $( Triangle-type inequality for the norms of bounded linear operators. $)
    nmoptri2 $p |- ( ( normop ` S ) - ( normop ` T ) ) <_
                  ( normop ` ( S +op T ) ) $=
      ( cnop cfv cmin co chos cle wbr caddc c1 cneg chot bdophs cc wcel cbo
      ax1cn negcl bdophm ax-mp nmoptri chod chil wf bdopft hoaddcl honegsub
      hopncan eqtr fveq2i nmopneg opreq2i 3brtr3 cr nmopret lesubadd mpbir ) AE
      FZBEFZGHABIHZEFZJKVAVDVBLHZJKVCMNZBOHZIHZEFVDVGEFZLHVAVEJVCVGABCDPZVFQRVG
      SRMTUAVFBDUBUCUDVHAEVHVCBUEHAVCBABASRZUFUFAUGCAUHUCZBSRZUFUFBUGDBUHUCZUIV
      NUJABVLVNUKULUMVIVBVDLBVNUNUOUPVAVBVDVKVAUQRCAURUCVMVBUQRDBURUCVCSRVDUQRV
      JVCURUCUSUT $.
      $( [26-Nov-2006] $) $( [10-Mar-2006] $)

    $( The adjoint of a composition of bounded linear operators.  Theorem
       3.11(viii) of [Beran] p. 106. $)
    adjco $p |- ( adjh ` ( S o. T ) ) = ( ( adjh ` T ) o. ( adjh ` S ) ) $=
      ( vx vy cv ccom cado cfv csp co wceq chil wral wcel wa cbo wf adjbdlnt
      ax-mp bdopft hoco opreq2d adantl opreq1d adantr cdm bdopadjt adj2t
      mp3an1 ffvelrni sylan sylan2 3eqtrd bdopco 3eqtr2rd rgen2a wb hocof
      hoeq2t mp2an mpbi ) EGZFGZABHZIJZJKLZVDVEBIJZAIJZHZJZKLZMZFNOENOZVGVKMZVN
      EFNVDNPZVENPZQZVMVDVEVJJZVIJZKLZVDVFJZVEKLZVHVRVMWBMVQVRVLWAVDKVEVIVJVIRP
      ZNNVISBRPZWEDBTUAVIUBUAZVJRPZNNVJSARPZWHCATUAVJUBUAZUCUDUEVSWDVDBJZAJZVEK
      LZWKVTKLZWBVQWDWMMVRVQWCWLVEKVDABWINNASCAUBUAWFNNBSDBUBUAZUCUFUGWKNPZVRWM
      WNMZVQAIUHZPZWPVRWQWIWSCAUIUAWKVEAUJUKNNVDBWOULUMVQVTNPZWNWBMZVRBWRPZVQWT
      XAWFXBDBUIUAVDVTBUJUKNNVEVJWJULUNUOVFWRPZVQVRWDVHMVFRPZXCABCDUPZVFUIUAVDV
      EVFUJUKUQURNNVGSZNNVKSVOVPUSVGRPZXFXDXGXEVFTUAVGUBUAVIVJWGWJUTEFVGVKVAVBV
      C $.
      $( [30-Jun-2006] $) $( [10-Mar-2006] $)
  $}

  ${
    $d x y S $.  $d x y T $.
    nmopcoadj.1 $e |- T e. BndLinOp $.
    $( The norm of an operator composed with its adjoint.  Part of Theorem
       3.11(vi) of [Beran] p. 106. $)
    nmopcoadj $p |- ( normop ` ( ( adjh ` T ) o. T ) )
                    = ( ( normop ` T ) ^ 2 ) $=
      ( vx cado cfv ccom cnop c2 cexp co wceq cle wbr cbo wcel cr adjbdlnb
      mpbi bdopco nmopret ax-mp resqcl letri3 chil wf cxr cv cno c1 wi wral
      bdopft hocof rexrt wa cmul hoco fveq2d adantr ffvelrni syl normclt
      axmulrcl mpan remulcl a1i nmbdoplb w3a cc0 nmopge0t lemul2itOLD mpanr1
      mp3anl3 mpanl2 1re sylan recn mulid1 syl6breq letrd sylanc eqbrtrd
      nmopadj opreq1i sqval eqtr4 ex rgen nmopubt mp3an csqr sqrcl csp cabs cc
      hiclt mpancom absclt bcst hococl mp3anl2 jca normge0t anim1i recnd ax1id
      eqtr4d breqtrd absidt resqclt sqge0t normsqt cdm bdopadjt adj2t mp3an1
      adjadjt fveq1i opreq2i syl6req eqtrd eqtr3d sqsqr 3brtr4d wb sqrge0
      pm3.2i le2sqt mpan2 mpbird le2sq mp2an breqtr mpbir2an ) ADEZAFZGEZAGEZHI
      JZKYQYSLMZYSYQLMYQYSYPNOYQPOZYOAANOZYONOZBAQRZBSZYPTUAZYRUUBYRPOZBATUAZUB
      ZUCUDUDYPUEZYSUFOZCUGZUHEZUILMZUULYPEZUHEZYSLMZUJZCUDUKYTYOAUUCUDUDYOUEZU
      UDYOULUAZUUBUDUDAUEZBAULUAZUMZYSPOUUKUUIYSUNUAUURCUDUULUDOZUUNUUQUVDUUNUO
      ZUUPYOGEZYRUPJZYSLUVEUUPUULAEZYOEZUHEZUVGLUVDUUPUVJKUUNUVDUUOUVIUHUULYOAU
      UTUVBUQURZUSUVEUVJUVFUVHUHEZUPJZUVGUVDUVJPOZUUNUVDUVIUDOZUVNUVDUVHUDOZUVO
      UDUDUULAUVBUTZUDUDUVHYOUUTUTVAZUVIVBVAZUSUVDUVMPOZUUNUVDUVLPOZUVTUVDUVPUW
      AUVQUVHVBVAZUVFPOZUWAUVTUUCUWCUUDYOTUAZUVFUVLVCVDVAUSUVGPOUVEUVFYRUWDUUHV
      EVFUVDUVJUVMLMZUUNUVDUVPUWEUVQUVHYOUUDVGVAUSUWAUVLYRLMZUVMUVGLMZUVEUWAUUG
      UWFUWGUUHUWAUUGUWCUWFUWGUWDUWAUUGUWCVHVIUVFLMZUWFUWGUUSUWHUUTYOVJUAUVLYRU
      VFVKVLVMVNUVDUWAUUNUWBUSZUVEUVLYRUUMUPJZYRUWIUVDUWJPOZUUNUVDUUMPOZUWKUULV
      BZUUGUWLUWKUUHYRUUMVCVDVAUSUUGUVEUUHVFUVDUVLUWJLMUUNUULABVGUSUVEUWJYRUIUP
      JZYRLUWLUUNUWJUWNLMZUVDUWLUIPOZUUNUWOVOUWLUWPUUGUUNUWOUUHUWLUWPUUGVHVIYRL
      MZUUNUWOUVAUWQUVBAVJUAZUUMUIYRVKVLVMVNUWMVPYRYRUUHVQZVRVSVTWAVTWBUVGYRYRU
      PJYSUVFYRYRUPABWCWDYRUWSWEWFVSWGWHCYSYPWIWJYSYQWKEZHIJZYQLYRUWTLMZYSUXALM
      ZUVAUWTUFOZUUNUVLUWTLMZUJZCUDUKUXBUVBUWTPOZUXDVIYQLMZUXGUUJUXHUVCYPVJUAZY
      QUUFWLUAZUWTUNUAUXFCUDUVDUUNUXEUVEUXEUVLHIJZUXALMZUVEUVIUULWMJZWNEZYQUXKU
      XALUVEUXNUVJUUMUPJZYQUVDUXNPOZUUNUVDUXMWOOZUXPUVOUVDUXQUVRUVIUULWPWQUXMWR
      VAUSUVDUXOPOZUUNUVNUWLUXRUVDUVJUUMVCUVSUWMWAUSZUUAUVEUUFVFZUVDUXNUXOLMZUU
      NUVOUVDUYAUVRUVIUULWSWQUSUVEUXOUUPYQUXSUVDUUPPOZUUNUVDUUOUDOUYBUULYOAUUTU
      VBWTUUOVBVAUSZUXTUVEUXOUVJUIUPJZUUPLUWLUVNUOZVIUVJLMZUUNUOZUXOUYDLMZUVEUW
      LUWPUVNUYGUYHVOUUMUIUVJVKXAUVDUYEUUNUVDUWLUVNUWMUVSXBUSUVDUYFUUNUVDUVOUYF
      UVRUVIXCVAXDWAUVDUYDUUPKUUNUVDUYDUVJUUPUVDUVJWOOUYDUVJKUVDUVJUVSXEUVJXFVA
      UVKXGUSXHUVEUUPYQUUMUPJZYQUYCUVDUYIPOZUUNUVDUWLUYJUWMUUAUWLUYJUUFYQUUMVCV
      DVAUSUXTUVDUUPUYILMUUNUULYPUUEVGUSUVEUYIYQUIUPJZYQLUWLUUNUYIUYKLMZUVDUWLU
      XHUUNUYLUXIUWLUWPUXHUUNUOZUYLVOUWLUWPUUAUYMUYLUUFUUMUIYQVKVMVNVLUWMVPYQYQ
      UUFVQVRVSVTVTVTUVDUXKUXNKUUNUVDUXKWNEZUXKUXNUVDUWAUYNUXKKZUWBUXKPOVIUXKLM
      UYOUWAUXKXIUVLXJUVLXKWAVAUVDUXKUXMWNUVDUXKUVHUVHWMJZUXMUVDUVPUXKUYPKUVQUV
      HXLVAUVDUXMUVHUULYODEZEZWMJZUYPUVPUVDUXMUYSKZUVQYODXMZOZUVPUVDUYTUUCVUBUU
      DYOXNUAUVHUULYOXOXPWQUYRUVHUVHWMUULUYQAAVUAOZUYQAKUUBVUCBAXNUAAXQUAXRXSXT
      YAURYBUSUXAYQKZUVEUXHVUDUXIYQUUFYCUAZVFYDUVDUXEUXLYEZUUNUWAVIUVLLMZVUFUVD
      UWAVUGUOUXGVIUWTLMZUOVUFUXGVUHUXJUXHVUHUXIYQUUFYFUAZYGUVLUWTYHYIUWBUVDUVP
      VUGUVQUVHXCVAWAUSYJWGWHCUWTAWIWJUWQVUHUXBUXCYEUWRVUIYRUWTUUHUXJYKYLRVUEYM
      YN $.
      $( [13-Jun-2006] $) $( [8-Mar-2006] $)

    $( The norm of an operator composed with its adjoint.  Part of Theorem
       3.11(vi) of [Beran] p. 106. $)
    nmopcoadj2 $p |- ( normop ` ( T o. ( adjh ` T ) ) )
                    = ( ( normop ` T ) ^ 2 ) $=
      ( cado cfv ccom cnop c2 cexp co cbo wcel adjbdlnt ax-mp nmopcoadj cdm
      wceq bdopadjt adjadjt coeq1i fveq2i nmopadj opreq1i 3eqtr3 ) ACDZCDZUDEZF
      DUDFDZGHIAUDEZFDAFDZGHIUDAJKZUDJKBALMNUFUHFUEAUDACOKZUEAPUJUKBAQMARMSTUGU
      IGHABUAUBUC $.
      $( [14-Jun-2006] $) $( [10-Mar-2006] $)

    $( An operator composed with its adjoint is zero iff the operator is zero.
       Theorem 3.11(vii) of [Beran] p. 106. $)
    nmopcoadj0 $p |- ( ( T o. ( adjh ` T ) ) = 0hop <-> T = 0hop ) $=
      ( cado cfv ccom cnop cc0 wceq ch0o c2 cexp co nmopcoadj2 eqeq1i cbo wcel
      cr nmopret ax-mp recn sqeq0 bitr clo bdoplnt adjbdlnt lnopco nmlnop0HIL
      3bitr3 ) AACDZEZFDZGHZAFDZGHZUJIHAIHULUMJKLZGHUNUKUOGABMNUMUMAOPZUMQPBARS
      TUAUBUJAUIUPAUCPBAUDSZUIOPZUIUCPUPURBAUESUIUDSUFUGAUQUGUH $.
      $( [2-Jul-2008] $) $( [10-Mar-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Quantum computation error bound theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    unierr.1 $e |- F e. UniOp $.
    unierr.2 $e |- G e. UniOp $.
    unierr.3 $e |- S e. UniOp $.
    unierr.4 $e |- T e. UniOp $.
    $( If we approximate a chain of unitary transformations (quantum computer
       gates) ` F ` , ` G ` by other unitary transformations ` S ` , ` T ` ,
       the error increases at most additively.  Equation 4.73 of
       [NielsenChuang] p. 195. $)
    unierr $p |- ( normop ` (  ( F o. G ) -op ( S o. T ) ) ) <_
                 ( ( normop ` ( F -op S ) ) + ( normop ` ( G -op T ) ) ) $=
      ( ccom chod co cnop cfv caddc cle wbr chil c0h wceq cc0 wf cbo wcel cuo
      unopbdt ax-mp bdopft hocof hosubcl nmop0h mpan2 opreq12d 0re leid 0cn
      addid1 breqtrr syl5breqr eqbrtrd wne cmul c1 nmopunt opreq2d cr bdophd
      nmopret recn mulid1 syl6eq opreq1d mulid2 chos honpncan fveq2i bdopco
      nmoptri hocsubdir nmopco eqbrtrr clo bdoplnt hoddi remulcl le2add mp2an
      bdophs readdcl letr syl5breq pm2.61ine ) CDIZABIZJKZLMZCAJKZLMZDBJKZLMZNK
      ZOPQRQRSZWOTWTOXAQQWNUAWOTSWLWMCDCUBUCZQQCUACUDUCXBECUEUFZCUGUFZDUBUCZQQD
      UADUDUCZXEFDUEUFZDUGUFZUHZABAUBUCZQQAUAAUDUCZXJGAUEUFZAUGUFZBUBUCZQQBUABU
      DUCXNHBUEUFZBUGUFZUHZUIWNUJUKXATTNKZWTTOXAWQTWSTNXAQQWPUAWQTSCAXDXMUIWPUJ
      UKXAQQWRUAWSTSDBXHXPUIWRUJUKULTTXROTUMUNTUOUPUQURUSQRUTZWQDLMZVAKZALMZWSV
      AKZNKZWTWOOXSYAWQYCWSNXSYAWQVBVAKWQXSXTVBWQVAXSXFXTVBSFDVCUKVDWQWQWPUBUCW
      QVEUCCAXCXLVFZWPVGUFZVHVIVJXSYCVBWSVAKWSXSYBVBWSVAXSXKYBVBSGAVCUKVKWSWSWR
      UBUCWSVEUCDBXGXOVFZWRVGUFZVHVLVJULWLADIZJKZYIWMJKZVMKZLMZWOYDOYLWNLWLYIWM
      XIADXMXHUHXQVNVOYMYJLMZYKLMZNKZOPYPYDOPZYMYDOPYJYKWLYICDXCXGVPADXLXGVPZVF
      ZYIWMYRABXLXOVPVFZVQYNYAOPYOYCOPYQWPDIZLMYNYAOUUAYJLCADXDXMXHVRVOWPDYEXGV
      SVTAWRIZLMYOYCOUUBYKLADBXJAWAUCXLAWBUFXHXPWCVOAWRXLYGVSVTYNYOYAYCYJUBUCYN
      VEUCYSYJVGUFZYKUBUCYOVEUCYTYKVGUFZWQXTYFXEXTVEUCXGDVGUFWDZYBWSXJYBVEUCXLA
      VGUFYHWDZWEWFYMYPYDYLUBUCYMVEUCYJYKYSYTWGYLVGUFYNYOUUCUUDWHYAYCUUEUUFWHWI
      WFVTWJWK $.
      $( [2-Jun-2006] $) $( [10-Mar-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Dirac bra-ket notation (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z w A $.  $d x y B $.  $d x y C $.  $d x y D $.  $d x S $.
    $d t u x y T $.  $d t u x U $.  $d t x y z $.
    $( The norm of the bra function. $)
    branmfnt $p |- ( A e. H~ -> ( normfn ` ( bra ` A ) ) = ( normh ` A ) ) $=
      ( vy vx vz vw chil wcel cbr cfv cnmf cno wceq c0v fveq2 fveq2d eqeq12d
      wne wa cv c1 cle wbr cabs wrex cab cxr clt csup cc wf brafnt nmfnvalt
      syl adantr wss wral wi cr supxr2 nmfnsetret ressxr a1i sstrd normclt
      rexrt jca csp co id bravalvalt sylan9eqr bcs2t 3expa ancom1s eqbrtrd
      exp41 imp4a r19.23adv imp visset eqeq1 anbi2d rexbidv elab sylan2b
      r19.21aiva breq2 rcla4ev cdiv csm breq1d opreq1 eqeq2d anbi12d hvmulclt
      cc0 recclt recnd normne0t biimpar sylanc pm3.26 norm1t 1re leid syl6eqbr
      cmul ax-his3 syl3anc absidt axmulrcl rerecclt hiidrclt eqeltrd mulge0t
      0re ltlet mpan recgt0t normgt0t biimpa sylc hiidge0t syl2anc breqtrrd
      axmulcom recidt eqtrd opreq2d ax1id eqtr2d mul12t c2 cexp sqvalt normsqt
      eqtr3d 3eqtrd 3eqtr4rd wb rexbidva mpbird fvex sylibr sylan adantlr ex
      csn cxp nmfn0 bra0 fveq2i norm0 3eqtr4 pm2.61ne ) AFGZAHIZJIZAKIZLMHIZJIZ
      MKIZLZAMAMLZUURUVAUUSUVBUVDUUQUUTJAMHNOAMKNPUUPAMQZRZUURBSZKIZTUAUBZCSZUV
      GUUQIZUCIZLZRZBFUDZCUEZUFUGUHZUUSUUPUURUVQLZUVEUUPFUIUUQUJZUVRAUKZCBUUQUL
      UMUNUVPUFUOZUUSUFGZRZDSZUUSUAUBZDUVPUPZUWDUUSUGUBZUWDESZUGUBZEUVPUDZUQZDU
      RUPZRUVQUUSLUVFDEUVPUUSUSUUPUWCUVEUUPUWAUWBUUPUVPURUFUUPUVSUVPURUOUVTCBUU
      QUTUMURUFUOUUPVAVBVCUUPUUSURGZUWBAVDZUUSVEUMVFUNUVFUWFUWLUUPUWFUVEUUPUWED
      UVPUUPUVIUWDUVLLZRZBFUDZUWEUWDUVPGUUPUWQUWEUUPUWPUWEBFUUPUVGFGZUVIUWOUWEU
      UPUWRUVIUWOUWEUUPUWRRZUVIRZUWORUWDUVGAVGVHZUCIZUUSUAUWOUWTUWDUVLUXBUWOVIU
      WSUVLUXBLUVIUWSUVKUXAUCAUVGVJOZUNVKUWTUXBUUSUAUBZUWOUWRUUPUVIUXDUWRUUPUVI
      UXDUVGAVLVMVNUNVOVPVQVRVSUVOUWQCUWDDVTUVJUWDLZUVNUWPBFUXEUVMUWOUVIUVJUWDU
      VLWAWBWCWDWEWFUNUVFUWKDURUVFUWDURGZRUWGUWJUVFUWGUWJUXFUUSUVPGZUWGUWJUVFUW
      IUWGEUUSUVPUWHUUSUWDUGWGWHUVFUVIUUSUVLLZRZBFUDZUXGUVFUXJUVIUUSUXBLZRZBFUD
      ZTUUSWIVHZAWJVHZFGZUXOKIZTUAUBZUUSUXOAVGVHZUCIZLZRZUXMUVFUXLUYBBUXOFUVGUX
      OLZUVIUXRUXKUYAUYCUVHUXQTUAUVGUXOKNWKUYCUXBUXTUUSUYCUXAUXSUCUVGUXOAVGWLOW
      MWNWHUXNUIGZUUPUXPUVFUXNAWOUUSUIGZUUSWPQZUYDUVFUUSWQUUPUYEUVEUUPUUSUWNWRZ
      UNZUUPUYFUVEAWSWTZXAZUUPUVEXBZXAUVFUXRUYAUVFUXQTTUAAXCTXDXEXFUVFUXSUXNAAV
      GVHZXGVHZUXTUUSUYDUUPUUPUXSUYMLUVFUXNAAXHUYJUYKUYKXIZUXSURGWPUXSUAUBUXTUX
      SLUVFUXSXJUVFUXSUYMURUYNUXNURGZUYLURGZUYMURGUVFUXNUYLXKUWMUYFUYOUVFUUSXLU
      UPUWMUVEUWNUNZUYIXAZUUPUYPUVEAXMUNZXAXNUVFWPUYMUXSUAUYOUYPWPUXNUAUBZWPUYL
      UAUBZWPUYMUAUBUVFUXNUYLXOUYRUYSUYOWPUXNUGUBZUYTUVFWPURGUYOVUBUYTUQXPWPUXN
      XQXRUYRUWMWPUUSUGUBZVUBUVFUUSXSUYQUUPUVEVUCAXTYAXAYBUUPVUAUVEAYCUNYDUYNYE
      XAUVFUUSUUSUXNUUSXGVHZXGVHZUXNUUSUUSXGVHZXGVHZUYMUVFVUEUUSTXGVHZUUSUVFVUD
      TUUSXGUVFVUDUUSUXNXGVHZTUYDUYEVUDVUILUVFUXNUUSYFUYJUYHXAUYEUYFVUITLUVFUUS
      YGUYHUYIXAYHYIUUPVUHUUSLZUVEUUPUYEVUJUYGUUSYJUMUNYKUYEUYDUYEVUEVUGLUVFUUS
      UXNUUSYLUYHUYJUYHXIUVFVUFUYLUXNXGUUPVUFUYLLUVEUUPUUSYMYNVHZVUFUYLUUPUYEVU
      KVUFLUYGUUSYOUMAYPYQUNYIYRYSVFXAUUPUXJUXMYTUVEUUPUXIUXLBFUWSUXHUXKUVIUWSU
      VLUXBUUSUXCWMWBUUAUNUUBUVOUXJCUUSAKUUCUVJUUSLZUVNUXIBFVULUVMUXHUVIUVJUUSU
      VLWAWBWCWDUUDUUEUUFUUGWFVFXAYHUVCUUPFWPUUHUUIZJIWPUVAUVBUUJUUTVUMJUUKUULU
      UMUUNVBUUO $.
      $( [30-Jun-2006] $) $( [24-May-2006] $)

    $( The bra of a vector is a bounded functional. $)
    brabnt $p |- ( A e. H~ -> ( normfn ` ( bra ` A ) ) e. RR ) $=
      ( chil wcel cbr cfv cnmf cno cr branmfnt normclt eqeltrd ) ABCADEFEAGEHAI
      AJK $.
      $( [4-Jul-2006] $) $( [26-May-2006] $)

    $( The set of bras equals the set of continuous linear functionals. $)
    rnbra $p |- ran bra = ( LinFn i^i ConFn ) $=
      ( vt vx vy vz cbr crn clf ccnf cin cv chil wcel csp co wceq wa copab
      wrex cnmf cfv cr bravalt eqeq2d pm3.27 bralnfnt adantr eqeltrd fveq2
      adantl brabnt jca ex sylbird r19.23aiv wral riesz1t biimpa cc wf lnfnft
      ad2antrr fopabfv pm3.26bi syl id sylan9eq hbra1 ax-17 wb ra4 eqeq2 syl6
      pm5.32d opabbid syl5 r19.22dva mpd impbi lnfncnbdt pm5.32i bitr4
      ax-hilex opabex2 df-bra elrnopab elin 3bitr4 eqriv ) AEFZGHIZAJZBJZKLZCJZ
      WLDJZMNZOZPZBCQZOZDKRZWKGLZWKHLZPZWKWILWKWJLXAXBWKSTZUALZPZXDXAXGWTXGDKWO
      KLZWTWKWOETZOZXGXHXIWSWKBCWOUBUCXHXJXGXHXJPZXBXFXKWKXIGXHXJUDXHXIGLXJWOUE
      UFUGXKXEXISTZUAXJXEXLOXHWKXISUHUIXHXLUALXJWOUJUFUGUKULUMUNXGWLWKTZWPOZBKU
      OZDKRZXAXBXFXPBDWKUPUQXGXOWTDKXGXHPZWMWNXMOZPZBCQZWSOZWTXOXQYAWTXQYAWKXTW
      SXQKURWKUSZWKXTOZXBYBXFXHWKUTVAYBYCXMURLBKUOBCKURWKVBVCVDYAVEVFULXOXSWRBC
      XNBKVGXOCVHXOWMXRWQXOWMXNXRWQVIXNBKVJXMWPWNVKVLVMVNVOVPVQVRXBXCXFWKVSVTWA
      DAKWSWKEBCKWPWBWCDBCAWDWEWKGHWFWGWH $.
      $( [5-Jul-2006] $) $( [26-May-2006] $)

    $( The bra function maps vectors one-to-one onto the set of continuous
       linear functionals. $)
    bra11 $p |- bra : H~ -1-1-onto-> ( LinFn i^i ConFn ) $=
      ( vz vt vx vy chil clf ccnf cin cbr wf1o wfn ccnv wfun crn wceq w3a cv
      wcel csp co wa copab ax-hilex opabex2 df-bra fnopab2 wbr wmo funcnv cfv
      wrex wi wal wb visset fnbrfvb mpan bi2anan9 wral fveq1 adantl bravalvalt
      adantlr adantr adantll 3eqtr3d exp31 com23 r19.21adv hial2eq2t sylibd
      eqtr3t syl5 sylbird imp an4s gen2 a1i fvelrnb ax-mp cdm breldm dmopab2
      syl6eleq pm4.71ri mobii eleq1 breq1 anbi12d mo4 bitr 3imtr4 mprgbir
      rnbra 3pm3.2i f1o2 mpbir ) EFGHZIJIEKZILMZINZWROZPWSWTXBABECQZERZDQZXCAQZ
      STZOUACDUBZICDEXGUCUDZACDBUEZUFZWTXFBQZIUGZAUHZBXAABIUIXFIUJZXLOZAEUKZXFE
      RZXMUAZXEERZXEXLIUGZUAZUAXFXEOZULZDUMAUMZXLXARZXNYEXQYDADXRXTXMYAYCXRXTUA
      ZXMYAUAZYCYGYHXPXEIUJZXLOZUAZYCXRXPXMXTYJYAWSXRXPXMUNXKEXFXLIBUOZUPUQWSXT
      YJYAUNXKEXEXLIYLUPUQURYGXOYIOZYCYKYGYMXGXCXESTZOZCEUSYCYGYMYOCEYGXDYMYOYG
      XDYMYOYGXDUAZYMUAXCXOUJZXCYIUJZXGYNYMYQYROYPXCXOYIUTVAYPYQXGOZYMXRXDYSXTX
      FXCVBVCVDYPYRYNOZYMXTXDYTXRXEXCVBVEVDVFVGVHVICXFXEVJVKXOYIXLVLVMVNVOVPVQV
      RWSYFXQUNXKAEXLIVSVTXNXSAUHYEXMXSAXMXRXMXFIWAEXFXLIAUOWBABEXHIXIXJWCWDWEW
      FXSYBADYCXRXTXMYAXFXEEWGXFXEXLIWHWIWJWKWLWMWNWOEWRIWPWQ $.
      $( [7-Jul-2006] $) $( [26-May-2006] $)

    $( A bra is a continuous linear functional. $)
    bracnlnt $p |- ( A e. H~ -> ( bra ` A ) e. ( LinFn i^i ConFn ) ) $=
      ( chil clf ccnf cin cbr wf1o wf bra11 f1of ax-mp ffvelrni ) BCDEZAFBMFGBM
      FHIBMFJKL $.
      $( [8-Jul-2006] $) $( [30-May-2006] $)

    $( Value of the converse of the bra function.  Based on the Riesz Lemma
       ~ riesz4t , this very important theorem not only justifies the Dirac
       bra-ket notation, but allows us to extract a unique vector from any
       continuous linear functional from which the functional can be recovered;
       i.e. a single vector can "store" _all_ of the information contained in
       any entire continuous linear functional (mapping from ` H~ ` to
       ` CC ` ). $)
    cnvbravalt $p |- ( T e. ( LinFn i^i ConFn ) ->
      ( `' bra ` T ) = U. { y e. H~ | A. x e. H~ ( T ` x ) = ( x .ih y ) } ) $=
      ( clf ccnf cin wcel cv cfv csp co wceq chil wral crab cuni cbr ccnv wa
      wrex crn rnbra eleq2i biimpr wfn wb wf wf1o bra11 f1of ax-mp ffn fvelrnb
      sylib adantr wi f1ocnvfv mpan imp opreq2d adantll bravalvalt ancoms
      fveq1 adantl 3eqtr2rd exp31 r19.23adv mpd r19.21aiva wreu opreq2 eqeq2d
      ralbidv reuuni2 f1ocnvdm riesz4t sylanc mpbid eqcomd ) CDEFZGZAHZCIZWCBHZ
      JKZLZAMNZBMOPZCQRIZWBWDWCWJJKZLZAMNZWIWJLZWBWLAMWBWCMGZSZWEQIZCLZBMTZWLWB
      WSWOWBCQUAZGZWSXAWBWTWACUBUCUDQMUEZXAWSUFMWAQUGZXBMWAQUHZXCUIMWAQUJUKMWAQ
      ULUKBMCQUMUKUNUOWPWRWLBMWPWEMGZWRWLWPXESZWRSWKWFWCWQIZWDXEWRWKWFLWPXEWRSW
      JWEWCJXEWRWJWELZXDXEWRXHUPUIMWAWECQUQURUSUTVAXFXGWFLZWRWOXEXIWBXEWOXIWEWC
      VBVCVAUOWRXGWDLXFWCWQCVDVEVFVGVHVIVJWJMGZWHBMVKWMWNUFWBWHWMBMWJWEWJLZWGWL
      AMXKWFWKWDWEWJWCJVLVMVNVOXDWBXJUIMWACQVPURBACVQVRVSVT $.
      $( [9-Jul-2006] $) $( [26-May-2006] $)

    $( Closure of the converse of the bra function. $)
    cnvbraclt $p |- ( T e. ( LinFn i^i ConFn ) -> ( `' bra ` T ) e. H~ ) $=
      ( chil clf ccnf cin cbr wf1o wcel ccnv cfv bra11 f1ocnvdm mpan ) BCDEZFGA
      NHAFIJBHKBNAFLM $.
      $( [10-Jul-2006] $) $( [26-May-2006] $)

    $( The converse bra of the bra of a vector is the vector itself. $)
    cnvbrabrat $p |- ( A e. H~ -> ( `' bra ` ( bra ` A ) ) = A ) $=
      ( chil clf ccnf cin cbr wf1o wcel cfv ccnv wceq bra11 f1ocnvfv1 mpan ) BC
      DEZFGABHAFIFJIAKLBOAFMN $.
      $( [11-Jul-2006] $) $( [30-May-2006] $)

    $( The bra of the converse bra of a continuous linear functional. $)
    bracnvbrat $p |- ( T e. ( LinFn i^i ConFn ) ->
                     ( bra ` ( `' bra ` T ) ) = T ) $=
      ( chil clf ccnf cin cbr wf1o wcel ccnv cfv wceq bra11 f1ocnvfv2 mpan ) BC
      DEZFGAOHAFIJFJAKLBOAFMN $.
      $( [10-Jul-2006] $) $( [31-May-2006] $)

    $( The vector that a continuous linear functional is the bra of. $)
    bracnlnvalt $p |- ( T e. ( LinFn i^i ConFn ) ->
         T = ( bra ` U. { y e. H~ | A. x e. H~ ( T ` x ) = ( x .ih y ) } ) ) $=
      ( clf ccnf cin wcel cv cfv csp co wceq chil wral crab cuni cbr ccnv
      cnvbravalt wb cnvbraclt eqeltrrd wf1o bra11 f1ocnvfvb mp3an1 mpancom
      mpbird eqcomd ) CDEFZGZAHZCIULBHJKLAMNBMOPZQIZCUKUNCLZCQRIZUMLZABCSZUMMGZ
      UKUOUQTZUKUPUMMURCUAUBMUJQUCUSUKUTUDMUJUMCQUEUFUGUHUI $.
      $( [4-Jul-2008] $) $( [26-May-2006] $)

    $( Multiplication property of the converse bra function. $)
    cnvbramult $p |- ( ( A e. CC /\ T e. ( LinFn i^i ConFn ) ) ->
       ( `' bra ` ( A .fn T ) ) = ( ( * ` A ) .h ( `' bra ` T ) ) ) $=
      ( cc wcel clf ccnf cin wa ccj cfv cbr ccnv csm co chft chil wceq
      brafnmult cjclt sylan cjcjt adantr opreq1d eqtrd cnvbraclt sylan2
      bracnvbrat opreq2d adantl fveq2d hvmulclt syl2an cnvbrabrat syl eqtr3d )
      ACDZBEFGDZHZAIJZBKLZJZMNZKJZUTJZABONZUTJVBURVCVEUTURVCAVAKJZONZVEUPVAPDZV
      CVGQUQUPVHHZVCUSIJZVFONZVGUSCDZVHVCVKQUPUSVARASZTVIVJAVFOUPVJAQVHAUAUBUCU
      DBUEZUFUQVGVEQUPUQVFBAOBUGUHUIUDUJURVBPDZVDVBQVLVHVOUPUQUSVAUKVMVNULVBUMU
      NUO $.
      $( [13-Jul-2006] $) $( [31-May-2006] $)

    $( Dirac bra-ket associative law ` ( | A >. ` ` <. B | ) | C >. = `
       ` | A >. ( <. B | C >. ) ` i.e. the juxtaposition of an outer product
       with a ket equals a bra juxtaposed with an inner product.  Since
       ` <. B | C >. ` is a complex number, it is the first argument in the
       inner product ` .h ` that it is mapped to, although in Dirac notation
       it is placed after the ket. $)
    kbass1t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                 ( ( A ketbra B ) ` C ) = ( ( ( bra ` B ) ` C ) .h A ) ) $=
      ( chil wcel w3a ck co cfv csp csm cbr kbvalvalt wceq bravalvalt 3adant1
      opreq1d eqtr4d ) ADEZBDEZCDEZFZCABGHICBJHZAKHCBLIIZAKHABCMUBUDUCAKTUAUDUC
      NSBCOPQR $.
      $( [18-May-2006] $) $( [15-May-2006] $)

    $( Dirac bra-ket associative law ` ( <. A | B >. ) <. C | = `
       ` <. A | ( | B >. ` ` <. C | ) ` i.e. the juxtaposition of an inner
       product with a bra equals a ket juxtaposed with an outer product. $)
    kbass2t $p |- ( ( A e. H~ /\ B e. H~ /\ C e. H~ ) ->
                  ( ( ( bra ` A ) ` B ) .fn ( bra ` C ) ) =
                  ( ( bra ` A ) o. ( B ketbra C ) ) ) $=
      ( vx vy chil wcel w3a cbr cfv chft co cv cmul wceq wa copab csp csm csb
      ck ccom cc wf hfmmvalt braclt brafnt syl2an 3impa axmulcom hiclt ancoms
      3adant3 adantr 3ad2antl3 sylanc ax-his3 3simp2 3simp1 syl3anc eqtr4d
      bravalvalt opreq12d cvv oprex csbopr1g ax-mp csbvarg opreq1i eqtr a1i
      3eqtr4d eqeq2d pm5.32da opabbidv bravalt coeq1d kbvalt coeq2d sylan9eq
      3impb crn wss wral hvmulclt sylan ancom31s r19.21aiva eqid rnssopab
      sylib fopabcos syl 3adant1 eqtr2d 3eqtrd ) AFGZBFGZCFGZHZBAIJZJZCIJZKLZDM
      ZFGZEMZXBXEXCJZNLZOZPZDEQZXFXGDXECRLZBSLZXEARLZTZOZPZDEQZXABCUALZUBZWQWRW
      SXDXLOZXBUCGFUCXCUDYBWQWRPWSDEXBXCUEABUFCUGUHUIWTXKXRDEWTXFXJXQWTXFPZXIXP
      XGYCBARLZXMNLZXNARLZXIXPYCYEXMYDNLZYFYDUCGZXMUCGZYEYGOYCYDXMUJWTYHXFWQWRY
      HWSWRWQYHBAUKULUMUNWSWQXFYIWRXFWSYIXECUKZULUOZUPYIWRWQYFYGOYCXMBAUQYKWTWR
      XFWQWRWSURUNWTWQXFWQWRWSUSUNUTVAYCXBYDXHXMNWTXBYDOZXFWQWRYLWSABVBUMUNWSWQ
      XFXHXMOWRCXEVBUOVCXPYFOYCXPDXNXETZARLZYFXNVDGZXPYNOXMBSVEZDXNXEAVDRVFVGYM
      XNARYOYMXNOYPDXNVDVHVGVIVJVKVLVMVNVOWTYAXFXGXOOPDEQZXFXGXNOPDEQZUBZXSWQWR
      WSYAYSOWQWRWSPZYAYQXTUBYSWQXAYQXTDEAVPVQYTXTYRYQDEBCVRVSVTWAWRWSYSXSOZWQY
      TYRWBFWCZUUAYTXNFGZDFWDUUBYTUUCDFXFWSWRUUCYIWRUUCXFWSPXMBWEYJWFWGWHDEFFXN
      YRYRWIZYPWJWKDEFFXOXNYQYRXEARVEYPYQWIUUDWLWMWNWOWP $.
      $( [5-Jun-2006] $) $( [23-May-2006] $)

    $( Dirac bra-ket associative law ` <. A | B >. ` ` <. C | D >. = `
       ` ( <. A | B >. ` ` <. C | ) | D >. ` . $)
    kbass3t $p |- ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. H~ /\ D e. H~ ) ) ->
                  ( ( ( bra ` A ) ` B ) x. ( ( bra ` C ) ` D ) ) =
         ( ( ( ( bra ` A ) ` B ) .fn ( bra ` C ) ) ` D ) ) $=
      ( chil wcel wa cbr cfv chft co cmul cc wf wceq hfmvalt braclt adantr
      brafnt ad2antrl simprr syl3anc eqcomd ) AEFBEFGZCEFZDEFZGZGZDBAHIIZCHIZJK
      IZUIDUJILKZUIMFZEMUJNZUFUKULOUHUIDUJPUDUMUGABQRUEUNUDUFCSTUDUEUFUAUBUC $.
      $( [22-Oct-2006] $) $( [30-May-2006] $)

    $( Dirac bra-ket associative law ` <. A | B >. ` ` <. C | D >. = `
       ` <. A | ( | B >. ` ` <. C | D >. ) ` . $)
    kbass4t $p |- ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. H~ /\ D e. H~ ) ) ->
                  ( ( ( bra ` A ) ` B ) x. ( ( bra ` C ) ` D ) ) =
            ( ( bra ` A ) ` ( ( ( bra ` C ) ` D ) .h B ) ) ) $=
      ( chil wcel wa cbr cfv cmul co csm cc wceq axmulcom braclt syl2an clf
      lnfnmult bralnfnt ad2antrr adantl simplr syl3anc eqtr4d ) AEFZBEFZGZCEFDE
      FGZGZBAHIZIZDCHIIZJKZUMULJKZUMBLKUKIZULMFUMMFZUNUONUHUIULUMOABPCDPZQUKRFZ
      UQUGUPUONUJUMBUKSUFUSUGUIATUAUIUQUHURUBUFUGUIUCUDUE $.
      $( [22-Oct-2006] $) $( [30-May-2006] $)

    $( Dirac bra-ket associative law ` ( | A >. ` ` <. B | ) ( | C >. `
       ` <. D | ) = ( ( | A >. ` ` <. B | ) | C >. ) <. D | ` . $)
    kbass5t $p |- ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. H~ /\ D e. H~ ) ) ->
                  ( ( A ketbra B ) o. ( C ketbra D ) ) =
                  ( ( ( A ketbra B ) ` C ) ketbra D ) ) $=
      ( vx vy chil wcel wa cv csp co csm wceq copab ccom ck cfv csb crn wss
      kbvalt rneqd wf kbopt frn syl eqsstr3d adantl oprex eqid fopabcos cmul
      cc ax-his3 hiclt ancoms adantll pm3.26 ad2antlr simpll syl3anc adantlll
      opreq1d ax-hvmulass ad2ant2lr adantr ad2antrr eqtrd cvv csbopr1g ax-mp
      csbvarg opreq1i eqtr syl5eq eqeq2d pm5.32da opabbidv coeq1d coeq2d
      kbvalvalt 3expa hvmulclt sylan ancom31s anasss 3eqtr4d ) AGHZBGHZIZCGHZDG
      HZIZIZEJZGHZFJZWPBKLZAMLZNIEFOZWQWRWPDKLZCMLZNIEFOZPZWQWRXBCBKLZAMLZMLZNZ
      IZEFOZABQLZCDQLZPZCXLRZDQLZWOXEWQWREXCWTSZNZIZEFOZXKWOXDTZGUAZXEXTNWNYBWK
      WNYAXMTZGWNXMXDEFCDUBZUCWNGGXMUDYCGUACDUEGGXMUFUGUHUIEFGGWTXCXAXDWSAMUJXB
      CMUJZXAUKXDUKULUGWOXSXJEFWOWQXRXIWOWQIZXQXHWRYFXCBKLZAMLZXHXQYFYHXBXFUMLZ
      AMLZXHYFYGYIAMWJWNWQYGYINZWIXBUNHZWLWJYKWJWNIWQIXBCBUOWNWQYLWJWMWQYLWLWQW
      MYLWPDUPUQURZURWNWLWJWQWLWMUSUTWJWNWQVAVBVCVDYLXFUNHZWIYJXHNYFXBXFAVEWNWQ
      YLWKYMURWOYNWQWJWLYNWIWMWLWJYNCBUPZUQVFVGWKWIWNWQWIWJUSVHVBVIXQEXCWSSZAML
      ZYHXCVJHZXQYQNYEEXCWSAVJMVKVLYPYGAMYPEXCWPSZBKLZYGYRYPYTNYEEXCWPBVJKVKVLY
      SXCBKYRYSXCNYEEXCVJVMVLVNVOVNVOVPVQVRVSVIWOXNXAXMPXEWOXLXAXMWKXLXANWNEFAB
      UBVGVTWOXMXDXAWNXMXDNWKYDUIWAVIWKWLWMXPXKNWKWLIZWMIZXPXGDQLZXKUUBXOXGDQUU
      AXOXGNZWMWIWJWLUUDABCWBWCVGVDXGGHZWMUUCXKNUUAEFXGDUBWLWJWIUUEYNWIUUEWLWJI
      XFAWDYOWEWFWEVIWGWH $.
      $( [30-Jun-2006] $) $( [30-May-2006] $)

    $( Dirac bra-ket associative law ` ( | A >. ` ` <. B | ) ( | C >. `
       ` <. D | ) = | A >. ` ` ( <. B | ( | C >. ` ` <. D | ) ) ` . $)
    kbass6t $p |- ( ( ( A e. H~ /\ B e. H~ ) /\ ( C e. H~ /\ D e. H~ ) ) ->
                  ( ( A ketbra B ) o. ( C ketbra D ) ) =
               ( A ketbra ( `' bra ` ( ( bra ` B ) o. ( C ketbra D ) ) ) ) ) $=
      ( chil wcel wa ck co ccom cfv csp csm cbr ccnv kbass5t wceq kbvalvalt
      3expa adantrr opreq1d ccj wi cc kbmult hiclt syl3an1 3exp ex com13 imp43
      chft clf ccnf cin cnvbramult braclt bracnlnt syl2an bravalvalt fveq2d
      cnvbrabrat opreqan12d eqtr2d anasss kbass2t 3expb adantll opreq2d eqtr4d
      3eqtrd ) AEFZBEFZGZCEFZDEFZGZGZABHIZCDHIZJCVSKZDHICBLIZAMIZDHIZABNKZVTJZN
      OZKZHIZABCDPVRWAWCDHVNVOWAWCQZVPVLVMVOWJABCRSTUAVRWDAWBUBKZDMIZHIZWIVLVMV
      OVPWDWMQZVOVMVLVPWNUCZVOVMVLWOUCVOVMGZVLVPWNWBUDFVLVPWNWPWBADUECBUFUGUHUI
      UJUKVRWHWLAHVMVQWHWLQVLVMVQGZWLCWEKZDNKZULIZWGKZWHVMVOVPWLXAQVMVOGZVPGXAW
      RUBKZWSWGKZMIZWLWRUDFWSUMUNUOFXAXEQXBVPWRWSUPBCUQDURUSXBVPXCWKXDDMXBWRWBU
      BBCUTVADVBVCVDVEWQWTWFWGVMVOVPWTWFQBCDVFVGVAVDVHVIVJVK $.
      $( [22-Oct-2006] $) $( [30-May-2006] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Positive operators (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

    $( Ordering relation for positive operators.  Definition of positive
       operator ordering in [Kreyszig] p. 470. $)
    leopg $p |- ( ( T e. A /\ U e. B ) -> ( T <_op U <-> ( ( U -op T ) e.
                HrmOp /\ A. x e. H~ 0 <_ ( ( ( U -op T ) ` x ) .ih x ) ) ) ) $=
      ( vu vt cv chod co cho wcel cc0 cfv csp cle wbr chil wral wa cleo wceq
      opreq2 eleq1d fveq1d opreq1d breq2d ralbidv anbi12d opreq1 df-leop brabg
      ) FHZGHZIJZKLZMAHZUONZUQOJZPQZARSZTUMDIJZKLZMUQVBNZUQOJZPQZARSZTEDIJZKLZM
      UQVHNZUQOJZPQZARSZTGFDEBCUAUNDUBZUPVCVAVGVNUOVBKUNDUMIUCZUDVNUTVFARVNUSVE
      MPVNURVDUQOVNUQUOVBVOUEUFUGUHUIUMEUBZVCVIVGVMVPVBVHKUMEDIUJZUDVPVFVLARVPV
      EVKMPVPVDVJUQOVPUQVBVHVQUEUFUGUHUIAFGUKUL $.
      $( [23-Jul-2006] $) $( [23-Jul-2006] $)

    $( Ordering relation for operators.  Definition of positive operator
       ordering in [Kreyszig] p. 470. $)
    leopt $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T <_op U <->
                A. x e. H~ 0 <_ ( ( ( U -op T ) ` x ) .ih x ) ) ) $=
      ( cho wcel wa cleo wbr chod co cc0 cv cfv csp cle chil wral leopg hmopdt
      ancoms biantrurd bitr4d ) BDEZCDEZFZBCGHCBIJZDEZKALZUFMUHNJOHAPQZFUIADDBC
      RUEUGUIUDUCUGCBSTUAUB $.
      $( [6-Aug-2006] $) $( [23-Jul-2006] $)

    $( Ordering relation for operators.  Definition of operator ordering in
       [Young] p. 141. $)
    leop2t $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T <_op U <->
                A. x e. H~ ( ( T ` x ) .ih x ) <_ ( ( U ` x ) .ih x ) ) ) $=
      ( cho wcel wa cleo wbr cc0 cv chod co cfv csp cle chil wral leopt cmin
      wf wceq cmv hodvalt 3com12 3expa opreq1d his2subt ffvelrn adantll
      adantlr pm3.27 syl3anc eqtrd hmopft anim12i sylan breq2d cr wb subge0t
      hmopret sylanc bitrd ralbidva ) BDEZCDEZFZBCGHIAJZCBKLMZVHNLZOHZAPQVHBMZV
      HNLZVHCMZVHNLZOHZAPQABCRVGVKVPAPVGVHPEZFZVKIVOVMSLZOHZVPVRVJVSIOPPBTZPPCT
      ZFZVQVJVSUAVGWCVQFZVJVNVLUBLZVHNLZVSWDVIWEVHNWAWBVQVIWEUAZWBWAVQWGVHCBUCU
      DUEUFVNPEZVLPEZVQWFVSUAWDVNVLVHUGWBVQWHWAPPVHCUHUIWAVQWIWBPPVHBUHUJWCVQUK
      ULUMVEWAVFWBBUNCUNUOUPUQVOUREZVMUREZVTVPUSVRVOVMUTVFVQWJVEVHCVAUIVEVQWKVF
      VHBVAUJVBVCVDVC $.
      $( [9-Aug-2006] $) $( [23-Jul-2006] $)

    $( Operator ordering in terms of a positive operator.  Definition of
       operator ordering in [Retherford] p. 49. $)
    leop3t $p |- ( ( T e. HrmOp /\ U e. HrmOp ) -> ( T <_op U <->
                0hop <_op ( U -op T ) ) ) $=
      ( vx cho wcel wa cleo wbr cc0 cv chod co cfv csp cle chil wral ch0o
      leopt wb leop2t 0hmop a1i hmopdt ancoms sylanc c0v ho0valt opreq1d hi01t
      eqtrd breq1d ralbiia syl6rbb bitrd ) ADEZBDEZFZABGHICJZBAKLZMUSNLZOHZCPQZ
      RUTGHZCABSURVDUSRMZUSNLZVAOHZCPQZVCRDEZUTDEZVDVHTURCRUTUAVIURUBUCUQUPVJBA
      UDUEUFVGVBCPUSPEZVFIVAOVKVFUGUSNLIVKVEUGUSNUSUHUIUSUJUKULUMUNUO $.
      $( [22-Aug-2006] $) $( [23-Jul-2006] $)

    $( Binary relation defining a positive operator.  Definition VI.1 of
       [Retherford] p. 49. $)
    leoppost $p |- ( T e. HrmOp -> ( 0hop <_op T <->
                A. x e. H~ 0 <_ ( ( T ` x ) .ih x ) ) ) $=
      ( cho wcel ch0o cleo wbr cc0 cv chod co cfv csp cle chil wral wb 0hmop
      leopt mpan wf wceq hmopft hosubid1t syl fveq1d opreq1d breq2d ralbidv
      bitrd ) BCDZEBFGZHAIZBEJKZLZUMMKZNGZAOPZHUMBLZUMMKZNGZAOPECDUKULURQRAEBST
      UKUQVAAOUKUPUTHNUKUOUSUMMUKUMUNBUKOOBUAUNBUBBUCBUDUEUFUGUHUIUJ $.
      $( [24-Aug-2006] $) $( [25-Jul-2006] $)

    $( The ordering relation for operators is reflexive. $)
    leoprf2t $p |- ( T : H~ --> H~ -> T <_op T ) $=
      ( vx chil wf cleo wbr chod co cho wcel cc0 cv cfv csp cle wral wa ch0o
      hodidt 0hmop syl6eqel c0v wceq adantr fveq1d ho0valt adantl eqtrd
      opreq1d hi01t eqtr2d 0re leid syl5breq r19.21aiva jca cvv wb leopg
      ax-hilex fex mpan2 sylanc mpbird ) CCADZAAEFZAAGHZIJZKBLZVGMZVINHZOFZBCPZ
      QZVEVHVMVEVGRIASZTUAVEVLBCVEVICJZQZKVKKOVQVKUBVINHZKVQVJUBVINVQVJVIRMZUBV
      QVIVGRVEVGRUCVPVOUDUEVPVSUBUCVEVIUFUGUHUIVPVRKUCVEVIUJUGUKKULUMUNUOUPAUQJ
      ZVTVFVNURVEBUQUQAAUSVECUQJVTUTCCUQAVAVBZWAVCVD $.
      $( [23-Dec-2006] $) $( [24-Jul-2006] $)

    $( The ordering relation for operators is reflexive. $)
    leoprft $p |- ( T e. HrmOp -> T <_op T ) $=
      ( vx cho wcel cleo wbr cc0 cv chod co cfv csp cle chil wral wa c0v ch0o
      wceq wf hmopft hodidt syl adantr fveq1d ho0valt adantl eqtrd opreq1d
      hi01t eqtr2d 0re leid syl5breq r19.21aiva wb leopt anidms mpbird ) ACDZAA
      EFZGBHZAAIJZKZVBLJZMFZBNOZUTVFBNUTVBNDZPZGVEGMVIVEQVBLJZGVIVDQVBLVIVDVBRK
      ZQVIVBVCRUTVCRSZVHUTNNATVLAUAAUBUCUDUEVHVKQSUTVBUFUGUHUIVHVJGSUTVBUJUGUKG
      ULUMUNUOUTVAVGUPBAAUQURUS $.
      $( [7-Aug-2006] $) $( [23-Jul-2006] $)

    $( The square of a Hermitian operator is positive. $)
    leopsqt $p |- ( T e. HrmOp -> 0hop <_op ( T o. T ) ) $=
      ( vx cho wcel ch0o ccom cleo wbr cc0 cv cfv csp co cle chil wral wa wf
      ffvelrn hmopft sylan hiidge0t syl wceq hmopt pm3.26 pm3.27 syl3anc wfun
      fvco3 ffun adantr opreq1d eqtr4d breqtrd r19.21aiva wb eqid hmopcot
      mp3an3 anidms leoppost mpbird ) ACDZEAAFZGHZIBJZVEKZVGLMZNHZBOPZVDVJBOVDV
      GODZQZIVGAKZVNLMZVINVMVNODZIVONHOOARZVLVPVDOOVGASATZUAZVNUBUCVMVOVNAKZVGL
      MZVIVDVPVLVOWAUDVMVNVGAUEVDVLUFVSVDVLUGZUHVMVHVTVGLAUIZVQVLVHVTUDVMOOVGAA
      UJVDWCVLVDVQWCVROOAUKUCULVDVQVLVRULWBUHUMUNUOUPVDVECDZVFVKUQVDWDVDVDVEVEU
      DWDVEURAAUSUTVABVEVBUCVC $.
      $( [7-Sep-2006] $) $( [23-Aug-2006] $)

    $( The zero operator is a positive operator.  (The literature calls it
       "positive," even though in some sense it is really "nonnegative.")
       Part of Example 12.2(i) in [Young] p. 142. $)
    0leop $p |- 0hop <_op 0hop $=
      ( ch0o cho wcel cleo wbr 0hmop leoprft ax-mp ) ABCAADEFAGH $.
      $( [24-Aug-2006] $) $( [23-Jul-2006] $)

    $( The identity operator is a positive operator.  Part of Example 12.2(i)
       in [Young] p. 142. $)
    idleop $p |- 0hop <_op Iop $=
      ( vx ch0o chio cleo wbr cv cfv csp co cle chil cho wcel wral wb 0hmop
      idhmop leop2t mp2an cc0 hiidge0t c0v ho0valt opreq1d hi01t eqtrd hoivalt
      3brtr4d mprgbir ) BCDEZAFZBGZUKHIZUKCGZUKHIZJEZAKBLMCLMUJUPAKNOPQABCRSUKK
      MZTUKUKHIUMUOJUKUAUQUMUBUKHITUQULUBUKHUKUCUDUKUEUFUQUNUKUKHUKUGUDUHUI $.
      $( [10-Sep-2006] $) $( [23-Jul-2006] $)

    $( The sum of two positive operators is positive.  Exercise 1(i) of
       [Retherford] p. 49. $)
    leopaddt $p |- ( ( ( T e. HrmOp /\ U e. HrmOp ) /\ ( 0hop <_op T
               /\ 0hop <_op U ) ) -> 0hop <_op ( T +op U ) ) $=
      ( vx cho wcel wa ch0o cleo wbr chos co cc0 cv cfv csp cle chil wral
      caddc wi cr addge0t ex hmopret syl2an anandirs wf wceq cva hosvaltOLD
      opreq1d ax-his2 ffvelrn adantlr adantll pm3.27 syl3anc eqtrd hmopft
      anim12i sylan breq2d sylibrd r19.20dva r19.26 syl5ibr leoppost bi2anan9
      wb hmopst syl 3imtr4d imp ) ADEZBDEZFZGAHIZGBHIZFZGABJKZHIZVPLCMZANZWBOKZ
      PIZCQRZLWBBNZWBOKZPIZCQRZFZLWBVTNZWBOKZPIZCQRZVSWAVPWEWIFZCQRWOWKVPWPWNCQ
      VPWBQEZFZWPLWDWHSKZPIZWNVNVOWQWPWTTZWDUAEZWHUAEZXAVNWQFVOWQFXBXCFWPWTWDWH
      UBUCWBAUDWBBUDUEUFWRWMWSLPQQAUGZQQBUGZFZWQWMWSUHVPXFWQFZWMWCWGUIKZWBOKZWS
      XGWLXHWBOWBABUJUKWCQEZWGQEZWQXIWSUHXGWCWGWBULXDWQXJXEQQWBAUMUNXEWQXKXDQQW
      BBUMUOXFWQUPUQURVNXDVOXEAUSBUSUTVAVBVCVDWEWICQVEVFVNVQWFVOVRWJCAVGCBVGVHV
      PVTDEWAWOVIABVJCVTVGVKVLVM $.
      $( [17-Sep-2006] $) $( [25-Jul-2006] $)

    $( The scalar product of a nonnegative real and a positive operator is
       a positive operator.  Exercise 1(ii) of [Retherford] p. 49. $)
    leopmulit $p |- ( ( ( A e. RR /\ T e. HrmOp ) /\ ( 0 <_ A /\
                0hop <_op T ) ) -> 0hop <_op ( A .op T ) ) $=
      ( vx cr wcel cho wa cc0 cle wbr ch0o cleo chot co cv cfv csp chil wral
      wi cmul mulge0t simpll hmopret adantll jca sylan exp32 imp an1rs wb cc
      wf wceq csm homvalt 3expa opreq1d ax-his3 ffvelrn pm3.27 syl3anc eqtrd
      recnt hmopft anim12i breq2d adantlr sylibrd r19.20dva ex imp3a leoppost
      adantl anbi2d hmopmt syl 3imtr4d ) ADEZBFEZGZHAIJZKBLJZGZKABMNZLJZWAWBHCO
      ZBPZWGQNZIJZCRSZGHWGWEPZWGQNZIJZCRSZWDWFWAWBWKWOWAWBWKWOTWAWBGZWJWNCRWPWG
      REZGWJHAWIUANZIJZWNWAWQWBWJWSTZWAWQGZWBWTXAWBWJWSVSWIDEZGWBWJGWSXAAWIUBXA
      VSXBVSVTWQUCVTWQXBVSWGBUDUEUFUGUHUIUJWAWQWNWSUKWBXAWMWRHIAULEZRRBUMZGZWQW
      MWRUNWAXEWQGZWMAWHUONZWGQNZWRXFWLXGWGQXCXDWQWLXGUNAWGBUPUQURXCWHREZWQXHWR
      UNXFAWHWGUSXCXDWQUCXDWQXIXCRRWGBUTUEXEWQVAVBVCVSXCVTXDAVDBVEVFUGVGVHVIVJV
      KVLWAWCWKWBVTWCWKUKVSCBVMVNVOWAWEFEWFWOUKABVPCWEVMVQVRUI $.
      $( [10-Sep-2006] $) $( [25-Jul-2006] $)

    $( The scalar product of a positive real and a positive operator is
       a positive operator.  Exercise 1(ii) of [Retherford] p. 49. $)
    leopmult $p |- ( ( A e. RR /\ T e. HrmOp /\ 0 < A ) ->
                ( 0hop <_op T <-> 0hop <_op ( A .op T ) ) ) $=
      ( cr wcel cho cc0 clt wbr w3a ch0o cleo chot co wa cle leopmulit 3simpa
      adantr 0re ltlet 3impia mp3an1 3adant2 anim1i sylanc c1 cdiv anassrs wne
      gt0ne0t rerecclt syldan hmopmt 3adant3 jca recgt0t wi a1i mpd sylan wceq
      cmul cc recid2t recnt opreq1d chil wf homulasst recclt 3ad2ant1 hmopft
      3ad2ant2 syl3anc homulid2t syl 3eqtr3d breqtrd impbida ) ACDZBEDZFAGHZIZJ
      BKHZJABLMZKHZVTWANZFAOHZWDNWFWCWDNABPWCWGWDVTWAWBQRWCWHWDVTWBWHWAFCDZVTWB
      WHSWIVTWBWHFATUAUBUCUDUEWCWFNJUFAUGMZWELMZBKWJCDZWEEDZNZFWJOHZNWFJWKKHZWC
      WNWOWFWPWJWEPUHWCWNWOWCWLWMVTWBWLWAVTWBAFUIZWLAUJZAUKULZUCVTWAWMWBABUMUNU
      OVTWBWOWAVTWBNZFWJGHZWOAUPWIWLXAWOUQWTFWJTWIWTSURWSUEUSUCUOUTWCWKBVAWFWCW
      JAVBMZBLMZUFBLMZWKBVTWBXCXDVAWAWTXBUFBLAVCDZWQXBUFVAWTAVDVTXEWBAVEZRZWRUE
      VFUCWJVCDZXEVGVGBVHZXCWKVAWCWJABVIVTWBXHWAXEWQXHWTAVJXGWRUEUCVTWAXEWBXFVK
      WAVTXIWBBVLZVMVNWAVTXDBVAZWBWAXIXKXJBVOVPVMVQRVRVS $.
      $( [21-Sep-2006] $) $( [23-Aug-2006] $)

    $( Scalar product applied to operator ordering. $)
    leopmul2it $p |- ( ( ( A e. RR /\ T e. HrmOp /\ U e. HrmOp ) /\ ( 0 <_ A /\
                T <_op U ) ) -> ( A .op T ) <_op ( A .op U ) ) $=
      ( cr wcel cho w3a cc0 cle wbr cleo chot co wi wa ch0o chod leopmulit
      exp32 3simp1 hmopdt ancoms 3adant1 sylanc imp wb leop3t adantr hmopmt
      syl2an 3impdi wceq cc chil wf hosubdit recnt hmopft syl3an 3com23 breq2d
      bitr4d 3imtr4d ex imp32 ) ADEZBFEZCFEZGZHAIJZBCKJZABLMZACLMZKJZVIVJVKVNNV
      IVJOPCBQMZKJZPAVOLMZKJZVKVNVIVJVPVRNZVFVOFEZVJVSNVIVFVTOVJVPVRAVORSVFVGVH
      TVGVHVTVFVHVGVTCBUAUBUCUDUEVIVKVPUFZVJVGVHWAVFBCUGUCUHVIVNVRUFVJVIVNPVMVL
      QMZKJZVRVFVGVHVNWCUFZVLFEVMFEWDVFVGOVFVHOVLVMUGABUIACUIUJUKVIVQWBPKVFVHVG
      VQWBULZAUMEUNUNCUOUNUNBUOWEVFVHVGACBUPAUQCURBURUSUTVAVBUHVCVDVE $.
      $( [22-Sep-2006] $) $( [12-Aug-2006] $)

    $( The positive operator ordering relation satisfies trichotomy.
       Exercise 1(iii) of [Retherford] p. 49. $)
    leoptrit $p |- ( ( T e. HrmOp /\ U e. HrmOp ) ->
           ( ( T <_op U /\ U <_op T ) <-> T = U ) ) $=
      ( vx cho wcel wa cleo wbr cv cfv csp co cle chil wral wceq leop2t wb
      ancoms anbi12d cr letri3t hmopret adantlr adantll sylanc ralbidva r19.26
      syl6rbb clo lnopeqt hmoplint syl2an 3bitrd ) ADEZBDEZFZABGHZBAGHZFCIZAJUT
      KLZUTBJUTKLZMHZCNOZVBVAMHZCNOZFZVAVBPZCNOZABPZUQURVDUSVFCABQUPUOUSVFRCBAQ
      STUQVIVCVEFZCNOVGUQVHVKCNVAUAEZVBUAEZVHVKRUQUTNEZFVAVBUBUOVNVLUPUTAUCUDUP
      VNVMUOUTBUCUEUFUGVCVECNUHUIAUJEBUJEVIVJRUOUPCABUKAULBULUMUN $.
      $( [23-Apr-2008] $) $( [25-Jul-2006] $)

    $( The positive operator ordering relation is transitive.  Exercise 1(iv)
       of [Retherford] p. 49. $)
    leoptrt $p |- ( ( ( S e. HrmOp /\ T e. HrmOp /\ U e. HrmOp ) /\
           ( S <_op T /\ T <_op U ) ) -> S <_op U ) $=
      ( vx cho wcel w3a cleo wbr wa cv cfv csp co cle chil wral wi cr letrt
      hmopret syl3an 3anandirs r19.20dva r19.26 syl5ibr wb leop2t 3adant3
      3adant1 anbi12d 3adant2 3imtr4d imp ) AEFZBEFZCEFZGZABHIZBCHIZJZACHIZURDK
      ZALVCMNZVCBLVCMNZOIZDPQZVEVCCLVCMNZOIZDPQZJZVDVHOIZDPQZVAVBURVFVIJZDPQVMV
      KURVNVLDPUOUPUQVCPFZVNVLRZVDSFVESFVHSFVPUOVOJUPVOJUQVOJVDVEVHTVCAUAVCBUAV
      CCUAUBUCUDVFVIDPUEUFURUSVGUTVJUOUPUSVGUGUQDABUHUIUPUQUTVJUGUODBCUHUJUKUOU
      QVBVMUGUPDACUHULUMUN $.
      $( [5-Jul-2008] $) $( [25-Jul-2006] $)

    $( A bounded Hermitian operator is less than or equal to its norm times the
       identity operator. $)
    leopnmidt $p |- ( ( T e. HrmOp /\ ( normop ` T ) e. RR ) ->
                    T <_op ( ( normop ` T ) .op Iop ) ) $=
      ( vx cho wcel cnop cfv cr wa chio chot co cleo wbr cv csp cle chil wral
      cabs hmopret adantlr cc recnd absclt syl idhmop hmopmt mpan2 sylan
      adantll leabst cno cmul axmulrcl wf ffvelrn normclt hmopft adantl sylanc
      bcst sylancom w3a cc0 lemul1itOLD pm3.27 syl2an 3jca normge0t cbo
      nmbdoplbt clo elbdop2t biimpr hmoplint jca csm wceq c2 cexp sqvalt
      normsqt eqtr3d opreq2d axmulass recnt ad2antlr syl3anc ax-his3 3eqtr4d
      homvalt wf1o hoif f1of ax-mp a1i hoivalt eqtrd opreq1d eqtr4d breqtrd
      letrd r19.21aiva wb leop2t sylan2 mpbird ) ACDZAEFZGDZHZAXIIJKZLMZBNZAFZX
      NOKZXNXLFZXNOKZPMZBQRZXKXSBQXKXNQDZHZXPXPSFZXRXHYAXPGDZXJXNATZUAXHYAYCGDZ
      XJXHYAHZXPUBDYFYGXPYEUCXPUDUEUAZXJYAXRGDZXHXLCDZYAYIXJXNXLTXJICDYJUFXIIUG
      UHZUIUJZXHYAXPYCPMZXJYGYDYMYEXPUKUEUAYBYCXOULFZXNULFZUMKZXRYHYNGDZYOGDZYP
      GDYBYNYOUNXHYAYQXJQQAUOZYAYQXHYSYAHXOQDZYQQQXNAUPZXOUQUEAURZUIUAZYAYRXKXN
      UQZUSZUTYLXHYAYCYPPMZXJXHYAYTUUFYSYAYTXHUUAUUBUIXOXNVAVBUAYBYPXIYOUMKZYOU
      MKZXRPYQUUGGDZYRVCVDYOPMZYNUUGPMZHYPUUHPMYBYNUUGYOVEYBYQUUIYRUUCXJYRUUIXK
      YAXIYOUNXHXJVFUUDVGUUEVHYBUUJUUKYAUUJXKXNVIUSAVJDZYAUUKXKXNAVKAVLDZXJUULX
      HUULUUMXJHAVMVNAVOUIUIVPUTYBUUHXIXNVQKZXNOKZXRYBXIYOYOUMKZUMKZXIXNXNOKZUM
      KZUUHUUOYAUUQUUSVRXKYAUUPUURXIUMYAYOVSVTKZUUPUURYAYOUBDZUUTUUPVRYAYOUUDUC
      YOWAUEXNWBWCWDUSXIUBDZUVAUVAUUHUUQVRYBXIYOYOWEXJUVBXHYAXIWFWGZYBYOUUEUCZU
      VDWHUVBYAYAUUOUUSVRYBXIXNXNWIUVCXKYAVFZUVEWHWJYBXQUUNXNOYBXQXIXNIFZVQKZUU
      NUVBQQIUOZYAXQUVGVRYBXIXNIWKUVCUVHYBQQIWLUVHWMQQIWNWOWPUVEWHYAUVGUUNVRXKY
      AUVFXNXIVQXNWQWDUSWRWSWTXAXBXBXCXHYJXMXTXDXJBAXLXEYKXFXG $.
      $( [12-Aug-2006] $) $( [11-Aug-2006] $)

    $( A nonzero, bounded Hermitian operator divided by its norm is less than
       or equal to the identity operator. $)
    nmopleidt $p |- ( ( T e. HrmOp /\ ( normop ` T ) e. RR /\ T =/= 0hop ) ->
                    ( ( 1 / ( normop ` T ) ) .op T ) <_op Iop ) $=
      ( cho wcel cnop cfv cr ch0o wne c1 cdiv co chot chio cleo wbr wa cc0 clo
      nmlnopne0t biimpar hmoplint sylan adantlr w3a cle leopmul2it rerecclt
      adantll simpll idhmop hmopmt mpan2 ad2antlr 3jca clt recgt0t simplr chil
      wf nmopgt0t biimpa hmopft sylanc wi 0re ltlet mpan syl mpd leopnmidt
      adantr jca wceq cc cmul wf1o hoif f1of ax-mp homulasst mp3an3 recclt
      pm3.26 recid2t opreq1d eqtr3d homulid2t syl6eq recnt breqtrd syldan
      3impa ) ABCZADEZFCZAGHZIWNJKZALKZMNOZWMWOPZWPWNQHZWSWMWPXAWOARCZWPXAWMXBX
      AWPASTAUAUBUCWTXAPZWRWQWNMLKZLKZMNWQFCZWMXDBCZUDQWQUEOZAXDNOZPWRXENOXCWQA
      XDUFXCXFWMXGWOXAXFWMWNUGZUHWMWOXAUIWOXGWMXAWOMBCXGUJWNMUKULUMUNXCXHXIXCQW
      QUOOZXHWOQWNUOOZXKXCWNUPWMWOXAUQWMXAXLWOURURAUSZXAXLWMXMXAXLAUTVAAVBUBUCV
      CWOXAXKXHVDZWMWOXAPXFXNXJQFCXFXNVEQWQVFVGVHUHVIWTXIXAAVJVKVLVCWOXAXEMVMZW
      MWNVNCZXAXOWOXPXAPZXEIMLKZMXQWQWNVOKZMLKZXEXRWQVNCZXPXTXEVMZXQYAXPURURMUS
      ZYBURURMVPYCVQURURMVRVSZWQWNMVTWAWNWBXPXAWCVCXQXSIMLWNWDWEWFYCXRMVMYDMWGV
      SWHWNWIUBUHWJWKWL $.
      $( [22-Sep-2006] $) $( [12-Aug-2006] $)
  $}

  ${
    $d u v T $.
    opsqrlem1.1 $e |- T e. HrmOp $.
    opsqrlem1.2 $e |- ( normop ` T ) e. RR $.
    opsqrlem1.3 $e |- 0hop <_op T $.
    opsqrlem1.4 $e |- R = ( ( 1 / ( normop ` T ) ) .op T ) $.
    opsqrlem1.5 $e |- ( T =/= 0hop -> E. u e. HrmOp ( 0hop <_op u /\
                      ( u o. u ) = R ) ) $.
  $}

  ${
    $d v w G $.  $d v H $.  $d v w S $.  $d v w x y z T $.
    $d j k F $.  $d j k N $.
    opsqrlem2.1 $e |- T e. HrmOp $.
    opsqrlem2.2 $e |- S = { <. <. x , y >. , z >. | ( ( x e. HrmOp /\
    y e. HrmOp ) /\ z = ( x +op ( ( 1 / 2 ) .op ( T -op ( x o. x ) ) ) ) ) } $.
    opsqrlem2.3 $e |- F = ( S seq1 ( NN X. { 0hop } ) ) $.

    ${
      opsqrlem6.4 $e |- T <_op Iop $.
    $}
  $}

  ${
    opsqrlem8.1 $e |- T e. HrmOp $.
    opsqrlem8.2 $e |- 0hop <_op T $.
    opsqrlem8.3 $e |- T <_op Iop $.
  $}

  ${
    $d u T $.
  $}

  ${
    $d u v T $.
    opsqr.1 $e |- T e. HrmOp $.
    opsqr.2 $e |- ( normop ` T ) e. RR $.
    opsqr.3 $e |- 0hop <_op T $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Projectors as operators
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d w x y z H $.
    pjhmop.1 $e |- H e. CH $.
    $( A projector is a Hermitian operator. $)
    pjhmop $p |- ( proj ` H ) e. HrmOp $=
      ( vx vy cpj cfv cho wcel chil wf cv csp co wceq wral elhmopt pjf wa
      pjadjt eqcomd rgen2a mpbir2an ) AEFZGHIIUCJCKZDKZUCFLMZUDUCFUELMZNZDIOCIO
      CDUCPABQUHCDIUDIHUEIHRUGUFUDUEABSTUAUB $.
      $( [28-May-2006] $) $( [24-Mar-2006] $)

    $( A projector is a linear operator. $)
    pjlnop $p |- ( proj ` H ) e. LinOp $=
      ( cpj cfv cho wcel clo pjhmop hmoplint ax-mp ) ACDZEFKGFABHKIJ $.
      $( [27-Jun-2006] $) $( [24-Mar-2006] $)

    $( The operator norm of a projector on a non-zero closed subspace is
       one.  Part of Theorem 26.1 of [Halmos] p. 43. $)
    pjnmop $p |- ( H =/= 0H -> ( normop ` ( proj ` H ) ) = 1 ) $=
      ( vy vx vz vw c0h wne cv cno cfv c1 cle wbr cpj wceq wa chil wrex cab
      cxr clt csup cnop wi cr wral wcel breq2 rcla4ev chel adantr eqlet
      normclt syl sylan cch pjidt mpan fveq2d pm3.27 eqtr2d jca r19.22i2 c0v
      chne0 chshi norm1ex bitr 1re elisseti eqeq1 anbi2d rexbidv elab 3imtr4
      ex a1d r19.21aiv visset breq1 biimparc pjnormt letrt mp3an3 pjhcl sylanc
      mpand imp exp31 imp3a r19.23aiv sylbi rgen wss wf pjf nmopsetretHIL
      ax-mp ressxr sstri rexrt supxr2 mpanl12 nmopvalt syl5eq ) AGHZCIZJKZLMNZD
      IZXHAOKZKZJKZPZQZCRSZDTZUAUBUCZLXLUDKZXGEIZLUBNZYAFIZUBNZFXRSZUEZEUFUGZXS
      LPZXGYFEUFXGYFYAUFUHXGYBYELXRUHZYBYEXGYDYBFLXRYCLYAUBUIUJXILPZCASZXJLXNPZ
      QZCRSZXGYIYJYMCARXHAUHZYJQZXHRUHZYMYOYQYJXHABUKZULYPXJYLXIUFUHZYJXJYOXILU
      MYOYQYSYRXHUNZUOUPYPXNXILYOXNXIPYJYOXMXHJAUQUHZYOXMXHPBXHAURUSUTULYOYJVAV
      BVCVCVDXGXHVEHCASYKCABVFCCAABVGVHVIXQYNDLLUFVJVKXKLPZXPYMCRUUBXOYLXJXKLXN
      VLVMVNVOVPUPVQVRVSYALMNZEXRUGZYGYHUUCEXRYAXRUHXJYAXNPZQZCRSZUUCXQUUGDYAEV
      TXKYAPZXPUUFCRUUHXOUUEXJXKYAXNVLVMVNVOUUFUUCCRYQXJUUEUUCYQXJUUEUUCXNLMNZU
      UEUUCYQXJQUUEUUCUUIYAXNLMWAWBYQXJUUIYQXNXIMNZXJUUIUUAYQUUJBXHAWCUSXNUFUHZ
      YSUUJXJQUUIUEZYQUUKYSLUFUHZUULVJXNXILWDWEYQXMRUHUUKXHABWFXMUNUOYTWGWHWIUP
      WJWKWLWMWNXRUAWOLUAUHZUUDYGQYHXRUFUARRXLWPZXRUFWOABWQZDCXLWRWSWTXAUUMUUNV
      JLXBWSEFXRLXCXDUSUOUUOXTXSPUUPDCXLXEWSXF $.
      $( [30-Jun-2006] $) $( [9-Apr-2006] $)

    $( A projector is a bounded linear operator. $)
    pjbdln $p |- ( proj ` H ) e. BndLinOp $=
      ( cpj cfv cbo wcel clo cnop cr elbdop2t pjlnop cch c0h wceq fveq2 fveq2d
      eleq1d wne c1 pjnmop 1re syl6eqel adantl cc0 ch0o df-h0op fveq2i nmop0
      eqtr3 0re eqeltr a1i pm2.61ne ax-mp mpbir2an ) ACDZEFUPGFUPHDZIFZUPJABKAL
      FZURBUSURMCDZHDZIFZAMAMNZUQVAIVCUPUTHAMCOPQAMRZURUSVDUQSIABTUAUBUCVBUSVAU
      DIUEHDVAUDUEUTHUFUGUHUIUJUKULUMUNUO $.
      $( [7-Jul-2006] $) $( [3-Jun-2006] $)
  $}

  $( A projection is a Hermitian operator. $)
  pjhmopt $p |- ( H e. CH -> ( proj ` H ) e. HrmOp ) $=
    ( cch wcel cpj cfv cho c0h cif wceq fveq2 eleq1d h0elch elimel pjhmop
    dedth ) ABCZADEZFCPAGHZDEZFCAGARIQSFARDJKRAGBLMNO $.
    $( [8-Jun-2006] $) $( [24-Apr-2006] $)

  ${
    $d f m y z H $.  $d m x z y T $.  $d f m n x y z $.
    hmopidmch.1 $e |- H = { x e. H~ | ( T ` x ) = x } $.
    hmopidmch.2 $e |- ( T e. HrmOp /\ ( T o. T ) = T ) $.
    $( Lemma for ~ hmopidmch . $)
    hmopidmchlem $p |- ( A e. H~ -> ( normh ` ( T ` A ) ) <_ ( normh ` A ) ) $=
      ( chil wcel cc0 cfv cno cle wbr cho clo ccom wceq pm3.26i hmoplint ax-mp
      lnopf ffvelrni normge0t syl clt wo cr wb normclt 0re leloet mpan 3syl wa
      cmul co csp cabs c2 cexp normsqt cc recnd sqvalt hmopt mp3an1 mpancom
      hoco pm3.27i fveq1i syl5reqr opreq1d eqtr2d fveq2d absidt hiidrclt
      hiidge0t sylanc 3eqtr3d bcst eqbrtrd adantr w3a lemul2t 3jca sylan
      mpbird pm3.27 eqbrtrrd jaodan ex sylbid mpd ) BGHZIBCJZKJZLMZWPBKJZLMZWNW
      OGHZWQGGBCCCNHZCOHXACCPZCQZFRZCSTUAZUBZWOUCUDWNWQIWPUEMZIWPQZUFZWSWNWTWPU
      GHZWQXIUHZXFWOUIZIUGHXJXKUJIWPUKULUMWNXIWSWNXGWSXHWNXGUNWSWPWPUOUPZWPWRUO
      UPZLMZWNXOXGWNXMWOBUQUPZURJZXNLWNWPUSUTUPZWOWOUQUPZXMXQWNWTXRXSQXFWOVAUDW
      NWPVBHXRXMQWNWPWNWTXJXFXLUDZVCWPVDUDWNXQXSURJZXSWNXPXSURWNXSWOCJZBUQUPZXP
      WTWNXSYCQZXFXAWTWNYDXDWOBCVEVFVGWNYBWOBUQWNBXBJYBWOBCCXEXEVHBXBCXAXCFVIVJ
      VKVLVMVNXSUGHZIXSLMZYAXSQWNXSVOWNWTYEXFWOVPUDWNWTYFXFWOVQUDVRVMVSWTWNXQXN
      LMXFWOBVTVGWAWBXJWRUGHZXJWCXGWSXOUHWNWPWRWPWDWNXJYGXJXTBUIXTWEWFWGWNXHUNI
      WPWRLWNXHWHWNIWRLMXHBUCWBWIWJWKWLWM $.
      $( [11-Jun-2006] $) $( [12-Apr-2006] $)

    $( An idempotent Hermitian operator generates a closed subspace.  Part of
       proof of Theorem of [AkhiezerGlazman] p. 64. $)
    hmopidmch $p |- H e. CH $=
      ( vf vy vz vm vn cch wcel csh cn cv wf chli wbr wa wi wal closedsub c0v
      cva co wral csm cc chil wss wb cfv wceq crab ssrab2 eqsstr sh2 ax-mp
      fveq2 id eqeq12d elrab ax-hv0cl cho clo ccom pm3.26i hmoplint lnop0
      mpbir2an eleqtrr hvaddclt ad2ant2r lnopadd opreq12 sylan9eq an4s jca
      elrab2 syl2anb sylibr syl6eleqr rgen2a hvmulclt adantr lnopmul opreq2
      anasss sylan2b rgen2 pm3.2i visset hlimvec adantl cmv cno cc0 c2 cdiv cr
      cle clt squeeze0 hvsubclt lnopf ffvelrni syl sylanc normclt rehalfclt
      normge0t halfnneg2t mpbid wrex hlimconv nnret leidt breq2 opreq1d fveq2d
      breq1d imbi12d rcla4v mpid cmul caddc mpancom axaddrcl sseli syl2an
      ancoms sylan norm3dift pm3.27 syl3anc hmopidmchlem lnopsub pm3.27bi
      opreq2d eqtr2d normsubt 3brtr4d leadd1t letrd recnd 2timest breqtrrd 2re
      w3a 2pos ledivmultOLD mpan2 mp3an2 mpbird lelttrt ad2antlr mpand ffvelrn
      anim12i an1rs syld r19.23adva imim2d r19.20dva mpd half0t norm-it
      hvsubeq0t gen2 ) CKLCMLZNCFOZPZUVKGOZQRZSZUVMCLZTZGUAFUAGFCUBUVJUCCLZUVMH
      OZUDUEZCLZHCUFGCUFZUVMUVSUGUEZCLZHCUFGUHUFZSZCUIUJUVJUVRUWFSUKCAOZBULZUWG
      UMZAUIUNZUIDUWIAUIUOUPZGHCUQURUCUWJCUCUWJLUCUILUCBULZUCUMZUWIUWMAUCUIUWGU
      CUMZUWHUWLUWGUCUWGUCBUSUWNUTVAVBVCBBVDLZBVELUWOBBVFBUMEVGBVHURZVIVJDVKUWB
      UWEUWAGHCUVPUVSCLZSZUVTUWJCUWRUVTUILZUVTBULZUVTUMZSZUVTUWJLUVMUILZUVMBULZ
      UVMUMZSZUVSUILZUVSBULZUVSUMZSZUXBUVPUWQUXFUXJSUWSUXAUXCUXGUWSUXEUXIUVMUVS
      VLVMUXCUXGUXEUXIUXAUXCUXGSUXEUXISUWTUXDUXHUDUEUVTUVMUVSBUWPVNUXDUVMUXHUVS
      UDVOVPVQVRUWIUXEAUVMUICUWGUVMUMZUWHUXDUWGUVMUWGUVMBUSUXKUTVADVSZUWIUXIAUV
      SUICUWGUVSUMZUWHUXHUWGUVSUWGUVSBUSUXMUTVADVSZVTUWIUXAAUVTUIUWGUVTUMZUWHUW
      TUWGUVTUWGUVTBUSUXOUTVAVBWADWBWCUWDGHUHCUVMUHLZUWQSZUWCUWJCUXQUWCUILZUWCB
      ULZUWCUMZSZUWCUWJLUXPUXJUYAUWQUXPUXGUXIUYAUXPUXGSZUXISUXRUXTUYBUXRUXIUVMU
      VSWDWEUYBUXIUXSUVMUXHUGUEUWCUVMUVSBUWPWFUXHUVSUVMUGWGVPVRWHUXNWIUWIUXTAUW
      CUIUWGUWCUMZUWHUXSUWGUWCUWGUWCBUSUYCUTVAVBWADWBWJWKVJUVQFGUVOUXFUVPUVOUXC
      UXEUVNUXCUVLUVMUVKFWLZGWLZWMZWNUVOUXDUVMWOUEZUCUMZUXEUVOUYGWPULZWQUMZUYHU
      VOUYIWRWSUEZWQUMZUYJUYKWTLZWQUYKXARZWQUVSXBRZUYKUVSXBRZTZHWTUFZUYLUVOHUYK
      XCUVNUYMUVLUVNUYIWTLZUYMUVNUYGUILZUYSUXDUILZUXCUYTUVNUXDUVMXDZUVNUXCVUAUY
      FUIUIUVMBBUWPXEXFZXGZUYFXHZUYGXIZXGZUYIXJZXGWNUVNUYNUVLUVNWQUYIXARZUYNUVN
      UYTVUIVUEUYGXKXGUVNUYSVUIUYNUKVUGUYIXLXGXMWNUVOUYOIOZJOZXARZVUKUVKULZUVMW
      OUEZWPULZUVSXBRZTZJNUFZINXNZTZHWTUFZUYRUVNVVAUVLHIJUVMUVKUYDUYEXOWNUVOVUT
      UYQHWTUVOUVSWTLZSZVUSUYPUYOVVCVURUYPINVVCVUJNLZSVURVUJUVKULZUVMWOUEZWPULZ
      UVSXBRZUYPVVDVURVVHTVVCVVDVURVUJVUJXARZVVHVVDVUJWTLVVIVUJXPVUJXQXGVUQVVIV
      VHTJVUJNVUKVUJUMZVULVVIVUPVVHVUKVUJVUJXAXRVVJVUOVVGUVSXBVVJVUNVVFWPVVJVUM
      VVEUVMWOVUKVUJUVKUSXSXTYAYBYCYDWNUVOVVDVVBVVHUYPTZVVECLZUXCSZVVBVVKUVOVVD
      SVVMVVBSZUYKVVGXARZVVHUYPVVMVVOVVBVVMVVOUYIWRVVGYEUEZXARZVVMUYIVVGVVGYFUE
      ZVVPXAVVMUYIUXDVVEWOUEZWPULZVVGYFUEZVVRUXCUYSVVLUXCUYTUYSVUAUXCUYTVUCVUBY
      GVUFXGZWNZVVTWTLZVVGWTLZVWAWTLVVMVVTVVGYHVVMVVSUILZVWDUXCVVLVWFVUAVVEUILZ
      VWFUXCVVLUXDVVEXDVUCCUIVVEUWKYIZYJYKVVSXIXGZVVMVVFUILZVWEVWGUXCVWJVVLVVEU
      VMXDVWHYLVVFXIXGZXHVWEVWEVVRWTLVVMVVGVVGYHVWKVWKXHVUAUXCVWGUYIVWAXARVVMUX
      DUVMVVEYMUXCVUAVVLVUCWNVVLUXCYNVVLVWGUXCVWHWEYOVVMVVTVVGXARZVWAVVRXARZVVM
      UVMVVEWOUEZBULZWPULZVWNWPULZVVTVVGXAVVMVWNUILZVWPVWQXARVWGUXCVWRVVLUXCVWG
      VWRUVMVVEXDYKVWHYLAVWNBCDEYPXGVVMVVSVWOWPVVMVWOUXDVVEBULZWOUEZVVSVWGUXCVW
      OVWTUMZVVLUXCVWGVXAUVMVVEBUWPYQYKVWHYLVVMVWSVVEUXDWOVVLVWSVVEUMZUXCVVLVWG
      VXBUWIVXBAVVEUICUWGVVEUMZUWHVWSUWGVVEUWGVVEBUSVXCUTVADVSYRWEYSYTXTVWGUXCV
      VGVWQUMVVLVVEUVMUUAVWHYLUUBVWDVWEVWEVWLVWMUKVVMVVTVVGVVGUUCVWIVWKVWKYOXMU
      UDVVMVVGUHLVVPVVRUMVVMVVGVWKUUEVVGUUFXGUUGUYSVWEVVOVVQUKZVVMUYSWRWTLZVWEV
      XDUUHUYSVXEVWEUUIWQWRXBRVXDUUJUYIWRVVGUUKUULUUMVWCVWKXHUUNWEUYMVWEVVBVVOV
      VHSUYPTVVNUYKVVGUVSUUOUXCUYMVVLVVBUXCUYSUYMVWBVUHXGUUPVVMVWEVVBVWKWEVVMVV
      BYNYOUUQUVLVVDUVNVVMUVLVVDSVVLUVNUXCNCVUJUVKUURUYFUUSUUTYLUUTUVAUVBUVCUVD
      UVEYOUVNUYLUYJUKZUVLUVNUYIUHLVXFUVNUYIVUGUUEUYIUVFXGWNXMUVNUYJUYHUKZUVLUV
      NUYTVXGVUEUYGUVGXGWNXMUVNUYHUXEUKZUVLVUAUXCVXHUVNUXDUVMUVHVUDUYFXHWNXMVRU
      XLWAUVIVJ $.
      $( [12-Jun-2006] $) $( [21-Apr-2006] $)

    $( An idempotent Hermitian operator is a projection operator.  Theorem 26.4
       of [Halmos] p. 44.  (Halmos seems to omit the proof that ` H ` is a
       closed subspace, which is not trivial as ~ hmopidmch shows.) $)
    hmopidmpj $p |- T = ( proj ` H ) $=
      ( vy vz cpj cfv wceq chil cv wral wfn wa wb wf cho wcel clo ccom pm3.26i
      hmoplint ax-mp lnopf ffn hmopidmch pjfn eqfnfv mp2an eqid cmv co cva
      cort pjv ffvelrni hoco pm3.27i fveq1i syl5reqr jca fveq2 id eqeq12d
      elrab2 sylibr csp cc0 hvsubclt mpdan cmin his2subt pm3.26 adantr crab
      ssrab2 eqsstr sseli adantl syl3anc hmopt mp3an1 sylan2 pm3.27bi opreq2d
      eqtr3d cc hiclt subidt syl 3eqtrd r19.21aiva wss ocelt sylanc hvpncan3t
      mpancom fveq2d rgen mpbir2an ) BCHIZJZKKJZFLZBIZXEXBIZJZFKMZBKNZXBKNXCXDX
      IOPKKBQXJBBRSZBTSXKBBUAZBJZEUBZBUCUDUEZKKBUFUDCABCDEUGZUHFKKBXBUIUJKUKXHF
      KXEKSZXFXEXFULUMZUNUMZXBIZXFXGXFCSZXRCUOISZXTXFJXQXFXRCXPUPXQXFKSZXFBIZXF
      JZOYAXQYCYEKKXEBXOUQZXQXEXLIYDXFXEBBXOXOURXEXLBXKXMEUSUTVAVBALZBIZYGJZYEA
      XFKCYGXFJZYHYDYGXFYGXFBVCYJVDVEDVFVGXQXRKSZXRGLZVHUMZVIJZGCMZOZYBXQYKYOXQ
      YCYKYFXEXFVJVKXQYNGCXQYLCSZOZYMXEYLVHUMZXFYLVHUMZVLUMZYSYSVLUMZVIXQYCYLKS
      ZYMUUAJYRXEXFYLVMXQYQVNXQYCYQYFVOYQUUCXQCKYLCYIAKVPKDYIAKVQVRZVSZVTWAYRYT
      YSYSVLYRXEYLBIZVHUMZYTYSXQUUCUUGYTJZYQXKXQUUCUUHXNXEYLBWBWCUUEWDYQUUGYSJX
      QYQUUFYLXEVHYQUUCUUFYLJZYIUUIAYLKCYGYLJZYHUUFYGYLYGYLBVCUUJVDVEDVFWEWFVTW
      GWFYRYSWHSZUUBVIJXQUUCUUKYQXEYLWIUUEWDYSWJWKWLWMVBCKWNYBYPPUUDGXRCWOUDVGW
      PXQXSXEXBYCXQXSXEJYFXFXEWQWRWSWGWTXA $.
      $( [14-Jun-2006] $) $( [22-Apr-2006] $)
  $}

  ${
    $d x T $.
    $( An idempotent Hermitian operator generates a closed subspace.  Part of
       proof of Theorem of [AkhiezerGlazman] p. 64. $)
    hmopidmcht $p |- ( ( T e. HrmOp /\ ( T o. T ) = T ) ->
                    { x e. H~ | ( T ` x ) = x } e. CH ) $=
      ( cho wcel ccom wceq wa cv cfv chil crab cch chio cif fveq1 eqeq1d
      rabbisdv eleq1d eqid eleq1 coeq1 coeq2 eqtrd id eqeq12d anbi12d idhmop
      wf1o wf hoif f1of ax-mp hoid1 pm3.2i elimhyp hmopidmch dedth ) BCDZBBEZBF
      ZGZAHZBIZVBFZAJKZLDVBVABMNZIZVBFZAJKZLDBMBVFFZVEVILVJVDVHAJVJVCVGVBVBBVFO
      PQRAVFVIVISVAVFCDZVFVFEZVFFZGMCDZMMEZMFZGBMVJURVKUTVMBVFCTVJUSVLBVFVJUSVF
      BEVLBVFBUABVFVFUBUCVJUDUEUFMVFFZVNVKVPVMMVFCTVQVOVLMVFVQVOVFMEVLMVFMUAMVF
      VFUBUCVQUDUEUFVNVPUGMJJMUHJJMUIUJJJMUKULUMUNUOUPUQ $.
      $( [15-Jun-2006] $) $( [24-Apr-2006] $)

    $( An idempotent Hermitian operator is a projection operator.  Theorem 26.4
       of [Halmos] p. 44. $)
    hmopidmpjt $p |- ( ( T e. HrmOp /\ ( T o. T ) = T ) ->
                    T = ( proj ` { x e. H~ | ( T ` x ) = x } ) ) $=
      ( cho wcel ccom wceq wa cv cfv chil crab cpj chio cif id fveq1 eqeq1d
      rabbisdv fveq2d eqeq12d eqid eleq1 coeq1 coeq2 eqtrd anbi12d idhmop wf1o
      wf hoif f1of ax-mp hoid1 pm3.2i elimhyp hmopidmpj dedth ) BCDZBBEZBFZGZBA
      HZBIZVBFZAJKZLIZFVABMNZVBVGIZVBFZAJKZLIZFBMBVGFZBVGVFVKVLOZVLVEVJLVLVDVIA
      JVLVCVHVBVBBVGPQRSTAVGVJVJUAVAVGCDZVGVGEZVGFZGMCDZMMEZMFZGBMVLURVNUTVPBVG
      CUBVLUSVOBVGVLUSVGBEVOBVGBUCBVGVGUDUEVMTUFMVGFZVQVNVSVPMVGCUBVTVRVOMVGVTV
      RVGMEVOMVGMUCMVGVGUDUEVTOTUFVQVSUGMJJMUHJJMUIUJJJMUKULUMUNUOUPUQ $.
      $( [16-Jun-2006] $) $( [22-Apr-2006] $)
  $}

  ${
    $d x H $.  $d x S $.  $d x T $.
    pjsdi.1 $e |- H e. CH $.
    pjsdi.2 $e |- S : H~ --> H~ $.
    pjsdi.3 $e |- T : H~ --> H~ $.
    $( Distributive law for Hilbert space operator sum. $)
    pjsdi $p |- ( ( proj ` H ) o. ( S +op T ) ) =
                ( ( ( proj ` H ) o. S ) +op ( ( proj ` H ) o. T ) ) $=
      ( vx cv cpj cfv chos co ccom wceq chil wral wcel cva pjaddt ffvelrni
      sylanc wf hosvaltOLD mpanl12 fveq2d pjf hoco opreq12d 3eqtr4d hoaddcl
      hocof rgen hoeq mpbi ) GHZCIJZABKLZMZJZUOUPAMZUPBMZKLZJZNZGOPURVBNVDGOUOO
      QZUOUQJZUPJZUOUTJZUOVAJZRLZUSVCVEUOAJZUOBJZRLZUPJZVKUPJZVLUPJZRLZVGVJVKOQ
      VLOQVNVQNVEVKVLCDSOOUOAETOOUOBFTUAVEVFVMUPOOAUBOOBUBVEVFVMNEFUOABUCUDUEVE
      VHVOVIVPRUOUPACDUFZEUGUOUPBVRFUGUHUIUOUPUQVRABEFUJZUGOOUTUBOOVAUBVEVCVJNU
      PAVREUKZUPBVRFUKZUOUTVAUCUDUIULGURVBUPUQVRVSUKUTVAVTWAUJUMUN $.
      $( [12-Nov-2000] $)

    $( Distributive law for Hilbert space operator difference. $)
    pjddi $p |- ( ( proj ` H ) o. ( S -op T ) ) =
                ( ( ( proj ` H ) o. S ) -op ( ( proj ` H ) o. T ) ) $=
      ( vx cv cpj cfv chod co ccom wceq chil wral wcel cmv pjsubt ffvelrni
      sylanc wf hodvaltOLD mpanl12 fveq2d pjf hoco opreq12d 3eqtr4d hosubcl
      hocof rgen hoeq mpbi ) GHZCIJZABKLZMZJZUOUPAMZUPBMZKLZJZNZGOPURVBNVDGOUOO
      QZUOUQJZUPJZUOUTJZUOVAJZRLZUSVCVEUOAJZUOBJZRLZUPJZVKUPJZVLUPJZRLZVGVJVKOQ
      VLOQVNVQNVEVKVLCDSOOUOAETOOUOBFTUAVEVFVMUPOOAUBOOBUBVEVFVMNEFUOABUCUDUEVE
      VHVOVIVPRUOUPACDUFZEUGUOUPBVRFUGUHUIUOUPUQVRABEFUJZUGOOUTUBOOVAUBVEVCVJNU
      PAVREUKZUPBVRFUKZUOUTVAUCUDUIULGURVBUPUQVRVSUKUTVAVTWAUJUMUN $.
      $( [24-Nov-2000] $)
  $}

  ${
    pjsdi2.1 $e |- H e. CH $.
    pjsdi2.2 $e |- R : H~ --> H~ $.
    pjsdi2.3 $e |- S : H~ --> H~ $.
    pjsdi2.4 $e |- T : H~ --> H~ $.
    $( Chained distributive law for Hilbert space operator difference. $)
    pjsdi2 $p |- ( ( R o. ( S +op T ) ) =
                ( ( R o. S ) +op ( R o. T ) ) ->
           ( ( ( proj ` H ) o. R ) o. ( S +op T ) ) =
     ( ( ( ( proj ` H ) o. R ) o. S ) +op ( ( ( proj ` H ) o. R ) o. T ) ) ) $=
      ( chos co ccom wceq cpj cfv coeq2 hocof pjsdi syl6eq coass opreq12i
      3eqtr4g ) ABCIJZKZABKZACKZIJZLZDMNZUCKZUHUDKZUHUEKZIJZUHAKZUBKUMBKZUMCKZI
      JUGUIUHUFKULUCUFUHOUDUEDEABFGPACFHPQRUHAUBSUNUJUOUKIUHABSUHACSTUA $.
      $( [30-Nov-2000] $)
  $}

  ${
    $d x y H $.  $d x y G $.
    pjco.1 $e |- G e. CH $.
    pjco.2 $e |- H e. CH $.
    $( Composition of projections. $)
    pjco $p |- ( A e. H~ -> ( ( ( proj ` G ) o. ( proj ` H ) ) ` A ) =
               ( ( proj ` G ) ` ( ( proj ` H ) ` A ) ) ) $=
      ( cpj cfv pjf hoco ) ABFGCFGBDHCEHI $.
      $( [16-Aug-2000] $)

    $( Closure of composition of projections. $)
    pjcocl $p |- ( A e. H~ ->
                 ( ( ( proj ` G ) o. ( proj ` H ) ) ` A ) e. G ) $=
      ( chil wcel cpj cfv ccom pjco pjhcl pjcl syl eqeltrd ) AFGZABHIZCHIZJIARI
      ZQIZBABCDEKPSFGTBGACELSBDMNO $.
      $( [29-Nov-2000] $)

    $( Closure of composition of projections. $)
    pjcohcl $p |- ( A e. H~ ->
                 ( ( ( proj ` G ) o. ( proj ` H ) ) ` A ) e. H~ ) $=
      ( cpj cfv pjf hococl ) ABFGCFGBDHCEHI $.
      $( [7-Oct-2000] $)

    $( Adjoint of composition of projections.  Special case of Theorem
       3.11(viii) of [Beran] p. 106. $)
    pjadjco $p |- ( ( A e. H~ /\ B e. H~ ) ->
                  ( ( ( ( proj ` G ) o. ( proj ` H ) ) ` A ) .ih B ) =
                  ( A .ih ( ( ( proj ` H ) o. ( proj ` G ) ) ` B ) ) ) $=
      ( chil wcel wa cpj cfv csp co ccom wceq pjadjt pjhcl sylan sylan2 eqtrd
      pjco opreq1d adantr opreq2d adantl 3eqtr4d ) AGHZBGHZIZADJKZKZCJKZKZBLMZA
      BULKZUJKZLMZAULUJNKZBLMZABUJULNKZLMZUIUNUKUOLMZUQUKGHUHUNVBOUGUKBCEPADFQR
      UGUOGHVBUQOUHAUODFPBCEQSTUGUSUNOUHUGURUMBLACDEFUAUBUCUHVAUQOUGUHUTUPALBDC
      FEUAUDUEUF $.
      $( [6-Oct-2000] $)

    $( Functionality of composition of projections. $)
    pjcofn $p |- ( ( proj ` G ) o. ( proj ` H ) ) Fn H~ $=
      ( cpj cfv pjf hocofn ) AEFBEFACGBDGH $.
      $( [1-Oct-2000] $)

    $( Subset relationship for projections.  Theorem 4.5(i)<->(iii) of [Beran]
       p. 112. $)
    pjss1co $p |- ( G (_ H <->
                 ( ( proj ` H ) o. ( proj ` G ) ) = ( proj ` G ) ) $=
      ( vx wss cpj cfv ccom wceq cv chil wral wcel wa pjco adantl ssel2 pjcl
      sylan2 cch pjidt mpan syl eqtrd r19.21aiva pjf hocof hoeq sylib crn rneq
      rncoss sseq1 mpbii pjrn 3sstr3g impbi ) ABFZBGHZAGHZIZVAJZUSEKZVBHZVDVAHZ
      JZELMVCUSVGELUSVDLNZOZVEVFUTHZVFVHVEVJJUSVDBADCPQVIVFBNZVJVFJZUSVFANVKVHA
      BVFRVDACSTBUANVKVLDVFBUBUCUDUEUFEVBVAUTVABDUGACUGZUHVMUIUJVCVAUKZUTUKZABV
      CVBUKZVNJZVNVOFZVBVAULVQVPVOFVRUTVAUMVPVNVOUNUOUDACUPBDUPUQUR $.
      $( [1-Oct-2000] $)

    $( Subset relationship for projections.  Theorem 4.5(i)<->(ii) of [Beran]
       p. 112. $)
    pjss2co $p |- ( G (_ H <->
                 ( ( proj ` G ) o. ( proj ` H ) ) = ( proj ` G ) ) $=
      ( vx vy wss cpj cfv ccom wceq cv chil wral wcel wa pjco adantl wi c0v
      cif fveq2 fveq2d eqeq12d imbi2d ax-hv0cl elimel pjss2 dedth impcom eqtrd
      r19.21aiva pjf hocof hoeq sylib csp co fveq1 opreq2d ad2antlr pjadjco
      adantlr pjadjt 3eqtr4d exp31 r19.21adv wb hial2eqt pjcohcl pjhcl sylanc
      sylibd com12 r19.21aiv pjss1co sylibr impbi ) ABGZAHIZBHIZJZVTKZVSELZWBIZ
      WDVTIZKZEMNWCVSWGEMVSWDMOZPWEWDWAIZVTIZWFWHWEWJKVSWDABCDQRWHVSWJWFKZWHVSW
      KSVSWHWDTUAZWAIZVTIZWLVTIZKZSWDTWDWLKZWKWPVSWQWJWNWFWOWQWIWMVTWDWLWAUBUCW
      DWLVTUBUDUEWLBACWDTMUFUGDUHUIUJUKULEWBVTVTWAACUMZBDUMZUNWRUOUPWCWAVTJZVTK
      ZVSWCWDWTIZWFKZEMNXAWCXCEMWHWCXCWHWCXBFLZUQURZWFXDUQURZKZFMNZXCWHWCXGFMWH
      WCXDMOZXGWHWCPXIPWDXDWBIZUQURZWDXDVTIZUQURZXEXFWCXKXMKWHXIWCXJXLWDUQXDWBV
      TUSUTVAWHXIXEXKKWCWDXDBADCVBVCWHXIXFXMKWCWDXDACVDVCVEVFVGXBMOWFMOXHXCVHWH
      FXBWFVIWDBADCVJWDACVKVLVMVNVOEWTVTWAVTWSWRUNWRUOUPABCDVPVQVR $.
      $( [7-Oct-2000] $)

    $( Projection meet property.  Remark in [Kalmbach] p. 66.  Also Theorem
       4.5(i)->(iv) of [Beran] p. 112. $)
    pjssmt $p |- ( A e. H~ -> ( H (_ G ->
               ( ( ( proj ` G ) ` A ) -h ( ( proj ` H ) ` A ) )
                = ( ( proj ` ( G i^i ( _|_ ` H ) ) ) ` A ) ) ) $=
      ( chil wcel wss cpj cfv cmv co cort cin wceq wi c0v cif fveq2 opreq12d
      eqeq12d imbi2d ax-hv0cl elimel pjssm dedth ) AFGZCBHZABIJZJZACIJZJZKLZABC
      MJNIJZJZOZPUHUGAQRZUIJZUQUKJZKLZUQUNJZOZPAQAUQOZUPVBUHVCUMUTUOVAVCUJURULU
      SKAUQUISAUQUKSTAUQUNSUAUBUQBCEAQFUCUDDUEUF $.
      $( [26-Sep-2001] $)

    $( Theorem 4.5(iv)->(v) of [Beran] p. 112. $)
    pjssge0t $p |- ( A e. H~ ->
                 ( ( ( ( proj ` G ) ` A ) -h ( ( proj ` H ) ` A ) )
                  = ( ( proj ` ( G i^i ( _|_ ` H ) ) ) ` A ) ->
       0 <_ ( ( ( ( proj ` G ) ` A ) -h ( ( proj ` H ) ` A ) ) .ih A ) ) ) $=
      ( chil wcel cpj cfv cmv co cort cin wceq cc0 csp cle wbr wi c0v cif
      fveq2 opreq12d eqeq12d id breq2d imbi12d ax-hv0cl elimel pjssge0 dedth )
      AFGZABHIZIZACHIZIZJKZABCLIMHIZIZNZOUQAPKZQRZSULATUAZUMIZVCUOIZJKZVCURIZNZ
      OVFVCPKZQRZSATAVCNZUTVHVBVJVKUQVFUSVGVKUNVDUPVEJAVCUMUBAVCUOUBUCZAVCURUBU
      DVKVAVIOQVKUQVFAVCPVLVKUEUCUFUGVCBCEATFUHUIDUJUK $.
      $( [26-Sep-2001] $)

    $( Theorem 4.5(v)<->(vi) of [Beran] p. 112. $)
    pjdifnormt $p |- ( A e. H~ -> ( 0 <_
                ( ( ( ( proj ` G ) ` A ) -h ( ( proj ` H ) ` A ) ) .ih A ) <->
    ( normh ` ( ( proj ` H ) ` A ) ) <_ ( normh ` ( ( proj ` G ) ` A ) ) ) ) $=
      ( chil wcel cc0 cpj cfv cmv co csp cle wbr cno wb c0v cif wceq fveq2
      opreq12d id breq2d fveq2d breq12d bibi12d ax-hv0cl elimel pjdifnorm
      dedth ) AFGZHABIJZJZACIJZJZKLZAMLZNOZUPPJZUNPJZNOZQHULARSZUMJZVCUOJZKLZVC
      MLZNOZVEPJZVDPJZNOZQARAVCTZUSVHVBVKVLURVGHNVLUQVFAVCMVLUNVDUPVEKAVCUMUAZA
      VCUOUAZUBVLUCUBUDVLUTVIVAVJNVLUPVEPVNUEVLUNVDPVMUEUFUGVCBCEARFUHUIDUJUK
      $.
      $( [26-Sep-2001] $)

    $( Theorem 4.5(i)<->(vi) of [Beran] p. 112. $)
    pjnormss $p |- ( G (_ H <-> A. x e. H~ ( normh ` ( ( proj ` G ) ` x ) ) <_
                   ( normh ` ( ( proj ` H ) ` x ) ) ) $=
      ( wss cv cpj cfv cno cle wbr chil wral wcel cc0 cmv co csp cort cin wceq
      pjssmt pjssge0t syld pjdifnormt sylibd com12 r19.21aiv wi wal wa cr
      pjhcl normclt syl 0re jctir letri3t biimprd normge0t sylan2i anabsi6
      breq2 biimpac sylan2 exp32 imp wb c0v norm-it cch pjoc2t mpan bitr4d
      adantr 3imtr3d ex a2i choccl chel syl5 pm2.43d 19.20i df-ral dfss2
      3imtr4 chsscon3 sylibr impbi ) BCFZAGZBHIIZJIZWLCHIIZJIZKLZAMNZWKWQAMWLMO
      ZWKWQWSWKPWOWMQRZWLSRKLZWQWSWKWTWLCBTIZUAHIIUBXAWLCBEDUCWLCBEDUDUEWLCBEDU
      FUGUHUIWRCTIZXBFZWKWSWQUJZAUKWLXCOZWLXBOZUJZAUKWRXDXEXHAXEXFXGXEWSXHXFWSW
      QXHWSWQXHWSWQULWPPUBZWNPUBZXFXGWSWQXIXJUJWSWQXIXJWSWNPKLZXJWQXIULWSXKXJWS
      XKPWNKLZXJWSWSWNUMOZPUMOZULZXKXLULZXJUJWSXMXNWSWMMOZXMWLBDUNZWMUOUPUQURXO
      XJXPWNPUSUTUPWSXQXLXRWMVAUPVBVCXIWQXKWPPWNKVDVEVFVGVHWSXIXFVIWQWSXIWOVJUB
      ZXFWSWOMOXIXSVIWLCEUNWOVKUPCVLOWSXFXSVIEWLCVMVNVOVPWSXJXGVIWQWSXJWMVJUBZX
      GWSXQXJXTVIXRWMVKUPBVLOWSXGXTVIDWLBVMVNVOVPVQVRVSWLXCCEVTWAWBWCWDWQAMWEAX
      CXBWFWGBCDEWHWIWJ $.
      $( [26-Sep-2001] $)

    $( Composition of projections of orthogonal subspaces.  Part (i)->(iia) of
       Theorem 27.4 of [Halmos] p. 45. $)
    pjorthco $p |- ( G (_ ( _|_ ` H ) ->
                 ( ( proj ` G ) o. ( proj ` H ) ) = 0hop ) $=
      ( vx cort cfv wss cv cpj ccom ch0o wceq chil wral wcel wa c0v wi
      chsscon2 ssel sylbi pjcl syl5com wb pjhcl cch pjoc2t mpan syl sylibd
      impcom pjco adantl ho0valt 3eqtr4d r19.21aiva pjf hocof ho0f hoeq sylib
      ) ABFGHZEIZAJGZBJGZKZGZVDLGZMZENOVGLMVCVJENVCVDNPZQVDVFGZVEGZRVHVIVKVCVMR
      MZVKVCVLAFGZPZVNVCVLBPZVPVKVCBVOHVQVPSABCDTBVOVLUAUBVDBDUCUDVKVLNPZVPVNUE
      ZVDBDUFAUGPVRVSCVLAUHUIUJUKULVKVHVMMVCVDABCDUMUNVKVIRMVCVDUOUNUPUQEVGLVEV
      FACURBDURUSUTVAVB $.
      $( [24-Dec-2007] $) $( [6-Nov-2000] $)

    $( The projection of orthogonal subspaces is the sum of the projections. $)
    pjscj $p |- ( G (_ ( _|_ ` H ) -> ( proj ` ( G vH H ) ) =
              ( ( proj ` G ) +op ( proj ` H ) ) ) $=
      ( vx cort cfv wss cv chj co cpj chos wceq chil wral wcel wa cva cch wi
      pjcjt2 mp3an12 impcom wf pjf hosvaltOLD mpanl12 adantl eqtr4d r19.21aiva
      chjcl hoaddcl hoeq sylib ) ABFGHZEIZABJKZLGZGZUQALGZBLGZMKZGZNZEOPUSVCNUP
      VEEOUPUQOQZRUTUQVAGUQVBGSKZVDVFUPUTVGNZATQBTQVFUPVHUACDUQBAUBUCUDVFVDVGNZ
      UPOOVAUEOOVBUEVFVIACUFZBDUFZUQVAVBUGUHUIUJUKEUSVCURABCDULUFVAVBVJVKUMUNUO
      $.
      $( [11-Nov-2000] $)

    $( The projection on a subspace sum is the sum of the projections. $)
    pjssum $p |- ( G (_ ( _|_ ` H ) -> ( proj ` ( G +H H ) ) =
              ( ( proj ` G ) +op ( proj ` H ) ) ) $=
      ( cort cfv wss cph co cpj chj chos osum fveq2d pjscj eqtrd ) ABEFGZABHIZJ
      FABKIZJFAJFBJFLIQRSJABCDMNABCDOP $.
      $( [11-Nov-2000] $)

    $( Projector ordering can be expressed by the subset relationship between
       their projection subspaces.  (i)<->(iii) of Theorem 29.2 of [Halmos]
       p. 48. $)
    pjsspos $p |- ( A. x e. H~
       0 <_ ( ( ( ( proj ` H ) -op ( proj ` G ) ) ` x ) .ih x ) <-> G (_ H ) $=
      ( cc0 cv cpj cfv chod co csp cle wbr chil wral cno wss wcel c2 cexp cmin
      cr wb subge0t pjhcl normclt resqclt 3syl sylanc cmv wf wceq pjf hodvalt
      mp3an12 opreq1d his2subt id syl3anc pjinormt opreq12d 3eqtrd breq2d
      le2sqt syl normge0t syl2anc 3bitr4d ralbiia pjnormss bitr4 ) FAGZCHIZBHIZ
      JKIZVMLKZMNZAOPVMVOIZQIZVMVNIZQIZMNZAOPBCRVRWCAOVMOSZFWBTUAKZVTTUAKZUBKZM
      NZWFWEMNZVRWCWEUCSZWFUCSZWHWIUDWDWEWFUEWDWAOSZWBUCSZWJVMCEUFZWAUGZWBUHUIW
      DVSOSZVTUCSZWKVMBDUFZVSUGZVTUHUIUJWDVQWGFMWDVQWAVSUKKZVMLKZWAVMLKZVSVMLKZ
      UBKZWGWDVPWTVMLOOVNULOOVOULWDVPWTUMCEUNBDUNVMVNVOUOUPUQWLWPWDXAXDUMWDWAVS
      VMURWNWRWDUSUTWDXBWEXCWFUBVMCEVAVMBDVAVBVCVDWQFVTMNZWMFWBMNZWCWIUDWDVTWBV
      EWDWPWQWRWSVFWDWPXEWRVSVGVFWDWLWMWNWOVFWDWLXFWNWAVGVFVHVIVJABCDEVKVL $.
      $( [9-Jul-2006] $) $( [2-Jun-2006] $)

    $( The definition of projector ordering in [Halmos] p. 42 is equivalent to
       the definition of projector ordering in [Beran] p. 110.  (We will
       usually express projector ordering with the even simpler equivalent
       ` G (_ H ` ; see ~ pjsspos ). $)
    pjord $p |- ( A. x e. H~
        0 <_ ( ( ( ( proj ` H ) -op ( proj ` G ) ) ` x ) .ih x ) <->
        ( ( proj ` G ) " H~ ) (_ ( ( proj ` H ) " H~ ) ) $=
      ( cc0 cv cpj cfv chod co csp cle wbr chil wral wss cima pjsspos wfo wceq
      pjfo foima ax-mp sseq12i bitr4 ) FAGZCHIZBHIZJKIUGLKMNAOPBCQUIORZUHORZQAB
      CDESUJBUKCOBUITUJBUABDUBOBUIUCUDOCUHTUKCUACEUBOCUHUCUDUEUF $.
      $( [20-Oct-2006] $) $( [2-Jun-2006] $)

    $( The projection subspace of the difference between two projectors.
       Part 2 of Theorem 29.3 of [Halmos] p. 48 (shortened with ~ pjsspos ). $)
    pjssdif2 $p |- ( G (_ H <->
      ( ( proj ` H ) -op ( proj ` G ) ) = ( proj ` ( H i^i ( _|_ ` G ) ) ) ) $=
      ( vx wss cpj cfv chod co cort cin wceq chil cv wral wa wcel cmv wf pjf
      hodvalt mp3an12 adantl pjssmt impcom eqtrd r19.21aiva eqid jctil wfn wb
      hosubfn choccl chincl pjfn eqfnfv mp2an sylibr cc0 csp cle wbr pjige0
      fveq1 opreq1d adantr breqtrrd pjsspos sylib impbi ) ABFZBGHZAGHZIJZBAKHZL
      ZGHZMZVLNNMZEOZVOHZWAVRHZMZENPZQZVSVLWEVTVLWDENVLWANRZQWBWAVMHWAVNHSJZWCW
      GWBWHMZVLNNVMTNNVNTWGWIBDUAZACUAZWAVMVNUBUCUDWGVLWHWCMWABADCUEUFUGUHNUIUJ
      VONUKVRNUKVSWFULVMVNWJWKUMVQBVPDACUNUOZUPENNVOVRUQURUSVSUTWBWAVAJZVBVCZEN
      PVLVSWNENVSWGQUTWCWAVAJZWMVBWGUTWOVBVCVSWAVQWLVDUDVSWMWOMWGVSWBWCWAVAWAVO
      VRVEVFVGVHUHEABCDVIVJVK $.
      $( [10-Jul-2006] $) $( [2-Jun-2006] $)

    $( A necessary and sufficient condition for the difference between two
       projectors to be a projector.  Part 1 of Theorem 29.3 of [Halmos]
       p. 48 (shortened with ~ pjsspos ). $)
    pjssdif1 $p |- ( G (_ H <->
                  ( ( proj ` H ) -op ( proj ` G ) ) e. ran proj ) $=
      ( vy vx wss cpj cfv chod co cort cin wceq crn wcel pjssdif2 cch wfn
      pjmfn choccl chincl fnfvelrn mp2an eleq1 mpbiri cc0 cv csp cle wbr chil
      wral wrex wb fvelrnb ax-mp wa pjige0t adantlr fveq1 opreq1d breq2d
      ad2antlr mpbid r19.21aiva r19.23aiva sylbi pjsspos bitr sylib impbi ) ABG
      ZBHIAHIJKZBALIZMZHIZNZVNHOZPZABCDQZVRVTVRVTVQVSPZHRSZVPRPWBTBVODACUAUBRVP
      HUCUDVNVQVSUEUFVTUGEUHZVNIZWDUIKZUJUKZEULUMZVRVTFUHZHIZVNNZFRUNZWHWCVTWLU
      OTFRVNHUPUQWKWHFRWIRPZWKURZWGEULWNWDULPZURUGWDWJIZWDUIKZUJUKZWGWMWOWRWKWD
      WIUSUTWKWRWGUOWMWOWKWQWFUGUJWKWPWEWDUIWDWJVNVAVBVCVDVEVFVGVHWHVMVREABCDVI
      WAVJVKVLVJ $.
      $( [30-Nov-2006] $) $( [2-Jun-2006] $)
  $}

  ${
    $d u v w A $.  $d u v w B $.
    pjima.1 $e |- A e. SH $.
    pjima.2 $e |- B e. CH $.
    $( The image of a projection.  Lemma 5 in Daniel Lehmann, "A presentation
       of Quantum Logic based on an _and then_ connective"
       ~ http://www.arxiv.org/pdf/quant-ph/0701113 p. 20. $)
    pjima $p |- ( ( proj ` B ) " A ) = ( ( A +H ( _|_ ` B ) ) i^i B ) $=
      ( vu vv vw cpj cfv cima cort cph co cin cv wcel wa wceq wrex cmv cva wb
      chil cch pjeq2t mp3an1 shel sylan ancoms w3a hvsubaddt 3comr ax-hvcom
      3adant2 eqeq1d bitr4d chel choccl syl3an eqcom 3bitr4g 3expa rexbidva
      wfn wss pjfn shssi fvelimab mp2an csh chshi shsel3t pm5.32ri crn imassrn
      pjrn sseqtr sseli pm4.71i elin 3bitr4 eqriv ) EBHIZAJZABKIZLMZBNZEOZWDPZW
      HBPZQWHWFPZWJQWIWHWGPWJWIWKWJFOZWCIWHRZFASZWHWLGOZTMZRZGWESZFASZWIWKWJWMW
      RFAWJWLAPZQZWMWLWHWOUAMZRZGWESZWRWTWJWMXDUBZWLUCPZWJXEWTBUDPXFWJXEDGWLWHB
      UEUFWLACUGZUHUIXAWQXCGWEWJWTWOWEPZWQXCUBWJWTXHUJWPWHRZXBWLRZWQXCWHUCPZXFW
      OUCPZXIXJUBWJWTXHXKXFXLUJZXIWOWHUAMZWLRZXJXFXLXKXIXOUBWLWOWHUKULXMXBXNWLX
      KXLXBXNRXFWHWOUMUNUOUPWHBDUQXGWOWEBDURZUQUSWHWPUTWLXBUTVAVBVCUPVCWCUCVDAU
      CVEWIWNUBBDVFACVGFUCAWHWCVHVIAVJPWEVJPWKWSUBCWEXPVKFGAWEWHVLVIVAVMWIWJWDB
      WHWDWCVNBWCAVOBDVPVQVRVSWHWFBVTWAWB $.
      $( [23-Feb-2007] $) $( [20-Jan-2007] $)
  $}

  ${
    $d x H $.
    pjidmco.1 $e |- H e. CH $.
    $( A projection is idempotent.  Property (ii) of [Beran] p. 109. $)
    pjidmco $p |- ( ( proj ` H ) o. ( proj ` H ) ) = ( proj ` H ) $=
      ( wss cpj cfv ccom wceq ssid pjss2co mpbi ) AACADEZKFKGAHAABBIJ $.
      $( [1-Oct-2000] $)

    $( Composition of projections of a subspace and its orthocomplement. $)
    pjocco $p |- ( ( proj ` H ) o. ( proj ` ( _|_ ` H ) ) ) = 0hop $=
      ( cort cfv wss cpj ccom ch0o wceq chil chssi ococss ax-mp choccl
      pjorthco ) AACDZCDEZAFDPFDGHIAJEQABKALMAPBABNOM $.
      $( [5-Jul-2008] $) $( [14-Nov-2000] $)

    $( Subspace sum of projection and projection of orthocomplement. $)
    pjtot $p |- ( ( proj ` H ) +op ( proj ` ( _|_ ` H ) ) ) = ( proj ` H~ ) $=
      ( vx cv cpj cfv cort chos co chil wceq wral wcel cva cch axpjpjt mpan
      pjch1t wf pjf choccl hosvaltOLD mpanl12 3eqtr4rd rgen hoaddcl helch hoeq
      mpbi ) CDZAEFZAGFZEFZHIZFZUJJEFZFZKZCJLUNUPKURCJUJJMZUJUJUKFUJUMFNIZUQUOA
      OMUSUJUTKBUJAPQUJRJJUKSJJUMSUSUOUTKABTZULABUATZUJUKUMUBUCUDUECUNUPUKUMVAV
      BUFJUGTUHUI $.
      $( [16-Nov-2000] $)

    $( Projection of orthocomplement.  First part of Theorem 27.3 of [Halmos]
       p. 45. $)
    pjoc $p |- ( ( proj ` H~ ) -op ( proj ` H ) ) = ( proj ` ( _|_ ` H ) ) $=
      ( chil cpj cfv chod co cort wceq chos pjtot helch pjf choccl hods mpbir
      ) CDEZADEZFGAHEZDEZIRTJGQIABKQRTCLMABMSABNMOP $.
      $( [26-Nov-2000] $)
  $}

  $( A projection operator is idempotent.  Property (ii) of [Beran] p. 109. $)
  pjidmcot $p |- ( H e. CH ->
                 ( ( proj ` H ) o. ( proj ` H ) ) = ( proj ` H ) ) $=
    ( cch wcel cpj cfv ccom wceq c0h cif fveq2 coeq1 coeq2 eqtrd syl eqeq12d
    h0elch elimel pjidmco dedth ) ABCZADEZUAFZUAGTAHIZDEZUDFZUDGAHAUCGZUBUEUAUD
    UFUAUDGZUBUEGAUCDJZUGUBUDUAFUEUAUDUAKUAUDUDLMNUHOUCAHBPQRS $.
    $( [24-May-2006] $) $( [24-Apr-2006] $)

  ${
    $d h t u x T $.
    $( Two ways to express the set of all projection operators. $)
    pjhmopidm $p |- ran proj = ( HrmOp i^i { t | ( t o. t ) = t } ) $=
      ( vu vh vx cho cv ccom wceq cab cin cpj crn wcel wa cfv cch wrex chil
      crab fveq2 eqeq1d rcla4ev hmopidmcht hmopidmpjt eqcomd sylanc pm3.27
      pjhmopt adantr eqeltrrd pjidmcot coeq1 coeq2 eqtrd adantl 3eqtr3d jca
      r19.23aiva impbi visset id eqeq12d elab anbi2i wfn wb pjmfn fvelrnb
      ax-mp 3bitr4 ineqri eqcomi ) EAFZVMGZVMHZAIZJKLZBEVPVQBFZEMZVRVRGZVRHZNZC
      FZKOZVRHZCPQZVSVRVPMZNVRVQMZWBWFDFZVROWIHDRSZPMWJKOZVRHZWFWBWEWLCWJPWCWJH
      WDWKVRWCWJKTUAUBDVRUCWBVRWKDVRUDUEUFWEWBCPWCPMZWENZVSWAWNWDVREWMWEUGZWMWD
      EMWEWCUHUIUJWNWDWDGZWDVTVRWMWPWDHWEWCUKUIWEWPVTHWMWEWPVRWDGVTWDVRWDULWDVR
      VRUMUNUOWOUPUQURUSWGWAVSVOWAAVRBUTVMVRHZVNVTVMVRWQVNVRVMGVTVMVRVMULVMVRVR
      UMUNWQVAVBVCVDKPVEWHWFVFVGCPVRKVHVIVJVKVL $.
      $( [16-Jun-2006] $) $( [24-Apr-2006] $)

    $( Definition of projection operator in [Hughes] p. 47, except that we do
       not need linearity to be explicit by virtue of ~ hmoplint . $)
    dfpjopt $p |-  ( T e. ran proj <-> ( T e. HrmOp  /\ ( T o. T ) = T ) ) $=
      ( vt cpj crn wcel cho cv ccom wceq cab cin wa pjhmopidm eleq2i elin
      coeq1 coeq2 eqtrd id eqeq12d elabg pm5.32i 3bitr ) ACDZEAFBGZUEHZUEIZBJZK
      ZEAFEZAUHEZLUJAAHZAIZLUDUIABMNAFUHOUJUKUMUGUMBAFUEAIZUFULUEAUNUFAUEHULUEA
      UEPUEAAQRUNSTUAUBUC $.
      $( [16-Jun-2006] $) $( [24-Apr-2006] $)
  $}

  $( A projection operator is idempotent.  Part of Theorem 26.1 of [Halmos]
     p. 43. $)
  elpjidmt $p |- ( T e. ran proj -> ( T o. T ) = T ) $=
    ( cpj crn wcel cho ccom wceq dfpjopt pm3.27bi ) ABCDAEDAAFAGAHI $.
    $( [2-Dec-2006] $) $( [24-Apr-2006] $)

  $( A projection operator is Hermitian.  Part of Theorem 26.1 of [Halmos]
     p. 43. $)
  elpjhmopt $p |- ( T e. ran proj -> T e. HrmOp ) $=
    ( cpj crn wcel cho ccom wceq dfpjopt pm3.26bi ) ABCDAEDAAFAGAHI $.
    $( [9-Jul-2006] $) $( [24-Apr-2006] $)

  $( A projector is self-adjoint.  Property (i) of [Beran] p. 109. $)
  pjadj2t $p |- ( T e. ran proj -> ( adjh ` T ) = T ) $=
    ( cpj crn wcel cho cado cfv wceq elpjhmopt hmopadjt syl ) ABCDAEDAFGAHAIAJK
    $.
    $( [10-Jul-2006] $) $( [3-Jun-2006] $)

  $( A projector is self-adjoint.  Property (i) of [Beran] p. 109. $)
  pjadj3t $p |- ( H e. CH -> ( adjh ` ( proj ` H ) ) = ( proj ` H ) ) $=
    ( cch wcel cpj cfv crn cado wceq wfn pjmfn fnfvelrn mpan pjadj2t syl ) ABCZ
    ADEZDFCZPGEPHDBIOQJBADKLPMN $.
    $( [11-Jul-2006] $) $( [20-Feb-2006] $)

  ${
    $d x T $.
    $( Reconstruction of the subspace of a projection operator.  Part of
       Theorem 26.2 of [Halmos] p. 44. $)
    elpjcht $p |- ( T e. ran proj -> ( { x e. H~ | ( T ` x ) = x } e. CH /\
                T = ( proj ` { x e. H~ | ( T ` x ) = x } ) ) ) $=
      ( cpj crn wcel cho ccom wceq wa cv cfv chil crab cch dfpjopt hmopidmcht
      hmopidmpjt jca sylbi ) BCDEBFEBBGBHIZAJZBKUAHALMZNEZBUBCKHZIBOTUCUDABPABQ
      RS $.
      $( [17-Jun-2006] $) $( [24-Apr-2006] $)

    $( Reconstruction of the subspace of a projection operator. $)
    elpjrnt $p |- ( T e. ran proj -> ran T = { x e. H~ | ( T ` x ) = x } ) $=
      ( cpj crn wcel cv cfv wceq chil crab cch elpjcht pm3.27d rneqd pm3.26d
      pjrnt syl eqtrd ) BCDEZBDAFZBGTHAIJZCGZDZUASBUBSUAKEZBUBHZABLZMNSUDUCUAHS
      UDUEUFOUAPQR $.
      $( [17-Jul-2006] $) $( [24-Apr-2006] $)

    $( Reconstruction of the subspace of a projection operator. $)
    elpjrncht $p |- ( T e. ran proj -> ( ran T e. CH /\
                T = ( proj ` ran T ) ) ) $=
      ( vx cpj crn wcel cch cfv wceq wa cv chil crab elpjcht wb elpjrnt eleq1
      fveq2 eqeq2d anbi12d syl mpbird ) ACDEZADZFEZAUCCGZHZIZBJZAGUHHBKLZFEZAUI
      CGZHZIZBAMUBUCUIHZUGUMNBAOUNUDUJUFULUCUIFPUNUEUKAUCUICQRSTUA $.
      $( [5-Nov-2006] $) $( [24-Apr-2006] $)
  $}

  ${
    $d x H $.  $d x S $.  $d x T $.
    pjinvar.1 $e |- S : H~ --> H~ $.
    pjinvar.2 $e |- H e. CH $.
    pjinvar.3 $e |- T = ( proj ` H ) $.
    $( A closed subspace ` H ` with projection ` T ` is invariant under an
       operator ` S ` iff ` S T = T S T ` .  Theorem 27.1 of [Halmos] p. 45. $)
    pjinvar $p |- ( ( S o. T ) : H~ --> H <->
                  ( S o. T ) = ( T o. ( S o. T ) ) ) $=
      ( vx chil ccom wf wceq cv cfv wral wcel wa cpj ffvelrn cch pjidt mpan
      syl fveq1i syl5req wss wfo pjfo fof ax-mp wb feq1 mpbir chssi fss mp2an
      hocof hoco adantl eqtr4d r19.21aiva wfn hocofn eqfnfv eqid mpbiran
      sylibr fco mpbiri impbi ) HCABIZJZVJBVJIZKZVKGLZVJMZVNVLMZKZGHNZVMVKVQGHV
      KVNHOZPZVOVOBMZVPVTVOCQMZMZVOWAVTVOCOZWCVOKZHCVNVJRCSOWDWEEVOCTUAUBVOBWBF
      UCUDVSVPWAKVKVNBVJHCBJZCHUEHHBJWFHCWBJZHCWBUFWGCEUGHCWBUHUIBWBKWFWGUJFHCB
      WBUKUIULZCEUMHCHBUNUOZABDWIUPZUQURUSUTVMHHKZVRVJHVAVLHVAVMWKVRPUJABDWIVBB
      VJWIWJVBGHHVJVLVCUOHVDVEVFVMVKHCVLJZWFHHVJJWLWHWJHHCBVJVGUOHCVJVLUKVHVI
      $.
      $( [9-Aug-2006] $) $( [24-Apr-2006] $)
  $}

  ${
    pjin1.1 $e |- G e. CH $.
    pjin1.2 $e |- H e. CH $.
    $( Lemma for Theorem 1.22 of Mittelstaedt, p. 20. $)
    pjin1 $p |- ( proj ` ( G i^i H ) ) =
                ( ( proj ` G ) o. ( proj ` ( G i^i H ) ) ) $=
      ( cpj cfv cin ccom wss wceq inss1 chincl pjss1co mpbi eqcomi ) AEFABGZEFZ
      HZQPAIRQJABKPAABCDLCMNO $.
      $( [22-Apr-2001] $)

    $( Lemma for Theorem 1.22 of Mittelstaedt, p. 20. $)
    pjin2 $p |- ( ( ( proj ` G ) = ( ( proj ` G ) o. ( proj ` H ) ) /\
                    ( proj ` H ) = ( ( proj ` H ) o. ( proj ` G ) ) ) <->
                ( proj ` G ) = ( proj ` H ) ) $=
      ( cpj cfv ccom wceq wa wss eqss pjss2co eqcom bitr anbi12i bitr2 fveq2
      sylbi coeq2 pjidmco syl5eqr syl6req jca impbi ) AEFZUEBEFZGZHZUFUFUEGZHZI
      ZUEUFHZUKABHZULUMABJZBAJZIUKABKUNUHUOUJUNUGUEHUHABCDLUGUEMNUOUIUFHUJBADCL
      UIUFMNOPABEQRULUHUJULUEUEGUGUEUEUFUESACTUAULUIUFUFGUFUEUFUFSBDTUBUCUD $.
      $( [22-Apr-2001] $)
  $}

  ${
    pjin3.1 $e |- F e. CH $.
    pjin3.2 $e |- G e. CH $.
    pjin3.3 $e |- H e. CH $.
    $( Lemma for Theorem 1.22 of Mittelstaedt, p. 20. $)
    pjin3 $p |- ( ( ( proj ` F ) = ( ( proj ` F ) o. ( proj ` G ) ) /\
                    ( proj ` F ) = ( ( proj ` F ) o. ( proj ` H ) ) ) <->
                ( proj ` F ) = ( ( proj ` F ) o. ( proj ` ( G i^i H ) ) ) ) $=
      ( wss wa cin cpj cfv ccom wceq ssin pjss2co eqcom bitr anbi12i chincl
      3bitr3 ) ABGZACGZHABCIZGZAJKZUEBJKLZMZUEUECJKLZMZHUEUEUCJKLZMZABCNUAUGUBU
      IUAUFUEMUGABDEOUFUEPQUBUHUEMUIACDFOUHUEPQRUDUJUEMUKAUCDBCEFSOUJUEPQT $.
      $( [22-Apr-2001] $)
  $}

  ${
    $d x y G $.  $d x y H $.
    pjclem1.1 $e |- G e. CH $.
    pjclem1.2 $e |- H e. CH $.
    $( Lemma for projection commutation theorem. $)
    pjclem1 $p |- ( G C_H H ->
       ( ( proj ` G ) o. ( proj ` H ) ) = ( proj ` ( G i^i H ) ) ) $=
      ( ccm wbr cpj cfv ccom cort chos co cin ch0o chj wceq cmbr fveq2 sylbi
      wss inss2 choccl chub2 chdmm3 sseqtr4 sstri chincl pjscj ax-mp eqeq2i
      coeq2 pjf pjsdi pjss1co mpbi pjorthco opreq12i hoaddid1 3eqtr inss1
      syl6eq syl cmcm3 bitr chdmm4 chub1 chdmm2 opreq12d chil pjtot coeq2i
      chio df-iop hoid1 eqtr3 3eqtr3r hocof eqtr2 3eqtr3g ) ABEFZAGHZBGHZWAIZIZ
      WAWBAJHZGHZIZIZKLZABMZGHZNKLZWAWBIZWKVTWDWKWHNKVTWAWJABJHZMZOLZGHZPZWDWKP
      ZVTAWPPWRABCDQAWPGRSWRWAWKWOGHZKLZPZWSWQXAWAWJWOJHZTWQXAPWJBXCABUAZBWEBOL
      XCBWEDACUBZUCABCDUDUEZUFWJWOABCDUGZAWNCBDUBZUGZUHUIUJXBWCWBXAIZPZWSWAXAWB
      UKXKWCWKPZWSXJWKWCXJWBWKIZWBWTIZKLWLWKWKWTBDWJXGULZWOXIULUMXMWKXNNKWJBTXM
      WKPXDWJBXGDUNUOBXCTXNNPXFBWODXIUPUIUQWKXOURZUSUJXLWDWAWKIZWKWCWKWAUKWJATX
      QWKPABUTWJAXGCUNUOVASVBSVBVTWEWEBMZWEWNMZOLZPZWHNPZVTWEBEFYAABCDVCWEBXEDQ
      VDYAWFXTGHZPZYBWEXTGRYDWFXRGHZXSGHZKLZPZYBYCYGWFXRXSJHZTYCYGPXRBYIWEBUAZB
      ABOLYIBADCUCABCDVEUEZUFXRXSWEBXEDUGZWEWNXEXHUGZUHUIUJYHWGWBYGIZPZYBWFYGWB
      UKYOWGYEPZYBYNYEWGYNWBYEIZWBYFIZKLYENKLYEYEYFBDXRYLULZXSYMULUMYQYEYRNKXRB
      TYQYEPYJXRBYLDUNUOBYITYRNPYKBXSDYMUPUIUQYEYSURUSUJYPWHWAYEIZNWGYEWAUKAXRJ
      HZTYTNPAAWNOLUUAAWNCXHVFABCDVGUEAXRCYLUPUIVASVBSVBSVHWMWAWCWGKLZIWIWBUUBW
      AWBWAWFKLZIWBVIGHZIZUUBWBUUCUUDWBACVJVKWAWFBDACULZWEXEULZUMWBVLIUUEWBVLUU
      DWBVMVKWBBDULZVNVOVPVKWCWGACWBWAUUHUUFVQWBWFUUHUUGVQUMVRXPVS $.
      $( [24-Oct-2004] $) $( [16-Nov-2000] $)

    $( Lemma for projection commutation theorem. $)
    pjclem2 $p |- ( G C_H H ->
       ( ( proj ` G ) o. ( proj ` H ) ) = ( ( proj ` H ) o. ( proj ` G ) ) ) $=
      ( ccm wbr cin cpj cfv ccom incom fveq2i pjclem1 wceq cmcm sylbi 3eqtr4a
      ) ABEFZABGZHIBAGZHIZAHIZBHIZJUCUBJZSTHABKLABCDMRBAEFUDUANABCDOBADCMPQ $.
      $( [24-Oct-2004] $) $( [17-Nov-2000] $)

    $( Lemma for projection commutation theorem. $)
    pjclem3 $p |- ( ( ( proj ` G ) o. ( proj ` H ) ) =
                    ( ( proj ` H ) o. ( proj ` G ) ) ->
                     ( ( proj ` G ) o. ( proj ` ( _|_ ` H ) ) ) =
                     ( ( proj ` ( _|_ ` H ) ) o. ( proj ` G ) ) ) $=
      ( cpj cfv ccom wceq chil chod co cort opreq2 chio df-iop coeq2i pjf
      hoid1 eqtr3 hoid1r coeq1i 3eqtr2 opreq1i syl5eq helch pjddi hocsubdir
      3eqtr4g pjoc 3eqtr3g ) AEFZBEFZGZULUKGZHZUKIEFZULJKZGZUQUKGZUKBLFEFZGUTUK
      GUOUKUPGZUMJKZUPUKGZUNJKZURUSUOVCUMJKVDVBUMUNVCJMVAVCUMJVAUKNUKGVCUKNGVAU
      KNUPUKOPUKACQZRSUKVETNUPUKOUAUBUCUDUPULACIUEQZBDQZUFUPULUKVFVGVEUGUHUQUTU
      KBDUIZPUQUTUKVHUAUJ $.
      $( [26-Nov-2000] $)

    $( Lemma for projection commutation theorem. $)
    pjclem4a $p |- ( A e. ( G i^i H ) ->
               ( ( ( proj ` G ) o. ( proj ` H ) ) ` A ) = A ) $=
      ( cin wcel wa cpj cfv ccom wceq elin chil chel adantl pjco syl wi cch
      pjidt mpan eleq1 syl6bir eqeq2 sylibd impcom eqtrd sylbi ) ABCFGABGZACGZH
      ZABIJZCIJZKJZALABCMULUOAUNJZUMJZAULANGZUOUQLUKURUJACEOPABCDEQRUKUJUQALZUK
      UPALZUJUSSCTGUKUTEACUAUBUTUJUQUPLZUSUTUJUPBGZVAUPABUCBTGVBVADUPBUAUBUDUPA
      UQUEUFRUGUHUI $.
      $( [2-Dec-2000] $)

    $( Lemma for projection commutation theorem. $)
    pjclem4 $p |- ( ( ( proj ` G ) o. ( proj ` H ) ) =
                    ( ( proj ` H ) o. ( proj ` G ) ) ->
                     ( ( proj ` G ) o. ( proj ` H ) ) =
                     ( proj ` ( G i^i H ) ) ) $=
      ( vx vy cpj cfv ccom wceq cv cin chil wral wcel wa cmv co cva cort
      chincl pjv pjcocl adantl fveq1 eleq1d syl5bir imp jca elin sylibr csp
      cc0 pjcohcl hvsubclt mpdan wi cmin w3a pm3.26 adantr chel 3jca his2subt
      syl opreq1d pjadjco sylan2 pjclem4a opreq2d eqtrd sylan9eq cc anim12i
      hiclt subidt 3syl 3eqtr2d exp32 r19.21aiv csh wb chshi shocelt ax-mp
      sylanc c0v hvaddsub12t id syl3anc hvsubidt ax-hvaddid 3eqtrd fveq2d
      eqtr3d r19.21aiva pjf hocof hoeq sylib ) AGHZBGHZIZXBXAIZJZEKZXCHZXFABLZG
      HZHZJZEMNXCXIJXEXKEMXEXFMOZPZXGXFXGQRZSRZXIHZXGXJXGXHOZXNXHTHOZXPXGJXMXGX
      NXHABCDUAZUBXMXGAOZXGBOZPXQXMXTYAXLXTXEXFABCDUCUDXEXLYAXEYAXFXDHZBOXLXEXG
      YBBXFXCXDUEZUFXFBADCUCUGUHUIXGABUJUKXMXNMOZXNFKZULRZUMJZFXHNZPZXRXMYDYHXL
      YDXEXLXGMOZYDXFABCDUNZXFXGUOUPUDXMYGFXHXEXLYEXHOZYGUQXEXLYLYGXEXLYLPZPZYF
      XFYEULRZXGYEULRZURRZYPYPURRZUMYNXLYJYEMOZUSZYFYQJYMYTXEYMXLYJYSXLYLUTXLYJ
      YLYKVAYLYSXLYEXHXSVBZUDVCUDXFXGYEVDVEYNYPYOYPURXEYMYPYBYEULRZYOXEXGYBYEUL
      YCVFYMUUBXFYEXCHZULRZYOXLYSUUBUUDJYLXFYEBADCVGUUAVHYLUUDYOJXLYLUUCYEXFULY
      EABCDVIVJUDVKVLVFYNYJYSPZYPVMOYRUMJYMUUEXEXLYJYLYSYKUUAVNUDXGYEVOYPVPVQVR
      VSUHVTUIXHWAOXRYIWBXHXSWCFXNXHWDWEUKWFXLXPXJJXEXLXOXFXIXLXOXFXGXGQRZSRZXF
      WGSRXFYJXLYJXOUUGJXLXGXFXGWHYKXLWIYKWJXLUUFWGXFSXLYJUUFWGJYKXGWKVEVJXFWLW
      MWNUDWOWPEXCXIXAXBACWQBDWQWRXHXSWQWSWT $.
      $( [26-Nov-2000] $)

    $( Two subspaces commute iff their projections commute.  Lemma 4 of
       [Kalmbach] p. 67. $)
    pjc $p |- ( G C_H H <->
       ( ( proj ` G ) o. ( proj ` H ) ) = ( ( proj ` H ) o. ( proj ` G ) ) ) $=
      ( ccm wbr cpj cfv ccom wceq pjclem2 cin cort chj co chos pjclem4 pjclem3
      choccl syl opreq12d chil pjtot coeq2i pjf pjsdi chio df-iop hoid1 eqtr3
      3eqtr3r wss inss2 chub2 sstri chdmm3 sseqtr4 chincl pjscj ax-mp 3eqtr4g
      chjcl pj11 sylib cmbr sylibr impbi ) ABEFZAGHZBGHZIZVJVIIJZABCDKVLAABLZAB
      MHZLZNOZJZVHVLVIVPGHZJVQVLVKVIVNGHZIZPOZVMGHZVOGHZPOZVIVRVLVKWBVTWCPABCDQ
      VLVTVSVIIJVTWCJABCDRAVNCBDSZQTUAVIVJVSPOZIVIUBGHZIZWAVIWFWGVIBDUCUDVJVSAC
      BDUEVNWEUEUFVIUGIWHVIUGWGVIUHUDVIACUEUIUJUKVMVOMHZULVRWDJVMAMHZBNOZWIVMBW
      KABUMBWJDACSUNUOABCDUPUQVMVOABCDURZAVNCWEURZUSUTVAAVPCVMVOWLWMVBVCVDABCDV
      EVFVG $.
      $( [24-Oct-2004] $) $( [26-Nov-2000] $)

    $( A necessary and sufficient condition for the product of two projectors
       to be a projector is that the projectors commute.  Part 1 of Theorem 1
       of [AkhiezerGlazman] p. 65. $)
    pjcmmul1 $p |- ( ( ( proj ` G ) o. ( proj ` H ) ) =
                   ( ( proj ` H ) o. ( proj ` G ) ) <->
                   ( ( proj ` G ) o. ( proj ` H ) ) e. ran proj ) $=
      ( cpj cfv ccom wceq crn wcel cin pjclem4 cch wfn pjmfn chincl fnfvelrn
      mp2an syl6eqel cado pjadj2t pjbdln adjco pjadj3t ax-mp coeq1i coeq2i
      3eqtr syl5reqr impbi ) AEFZBEFZGZULUKGZHZUMEIZJZUOUMABKZEFZUPABCDLEMNURMJ
      USUPJOABCDPMUREQRSUQUMTFZUMUNUMUAUTULTFZUKTFZGULVBGUNUKULACUBBDUBUCVAULVB
      BMJVAULHDBUDUEUFVBUKULAMJVBUKHCAUDUEUGUHUIUJ $.
      $( [11-Jul-2006] $) $( [3-Jun-2006] $)

    $( The projection subspace of the difference between two projectors.
       Part 2 of Theorem 1 of [AkhiezerGlazman] p. 65. $)
    pjcmmul2 $p |- ( ( ( proj ` G ) o. ( proj ` H ) ) =
                   ( ( proj ` H ) o. ( proj ` G ) ) <->
                 ( ( proj ` G ) o. ( proj ` H ) ) = ( proj ` ( G i^i H ) ) ) $=
      ( cpj cfv ccom wceq cin pjclem4 crn wcel cch wfn pjmfn chincl fnfvelrn
      mp2an eleq1 mpbiri pjcmmul1 sylibr impbi ) AEFZBEFZGZUEUDGHZUFABIZEFZHZAB
      CDJUJUFEKZLZUGUJULUIUKLZEMNUHMLUMOABCDPMUHEQRUFUIUKSTABCDUAUBUC $.
      $( [3-Nov-2006] $) $( [3-Jun-2006] $)
  $}

  ${
    pjcohocl.1 $e |- H e. CH $.
    pjcohocl.2 $e |- T : H~ --> H~ $.
    $( Closure of composition of projection and Hilbert space operator. $)
    pjcohocl $p |- ( A e. H~ ->
         ( ( ( proj ` H ) o. T ) ` A ) e. H ) $=
      ( chil wcel cpj cfv ccom pjf hoco ffvelrni pjcl syl eqeltrd ) AFGZACHIZBJ
      IABIZRIZCARBCDKELQSFGTCGFFABEMSCDNOP $.
      $( [3-Dec-2000] $)
  $}

  ${
    $d x y F $.  $d x y G $.  $d x y H $.
    pjadj2co.1 $e |- F e. CH $.
    pjadj2co.2 $e |- G e. CH $.
    pjadj2co.3 $e |- H e. CH $.
    $( Adjoint of double composition of projections.  Generalization of
       special case of Theorem 3.11(viii) of [Beran] p. 106. $)
    pjadj2co $p |- ( ( A e. H~ /\ B e. H~ ) ->
      ( ( ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) ` A ) .ih B ) =
    ( A .ih ( ( ( ( proj ` H ) o. ( proj ` G ) ) o. ( proj ` F ) ) ` B ) ) ) $=
      ( chil wcel wa cpj cfv ccom csp co wceq pjadjco pjhcl sylan pjadjt
      pjcohcl sylan2 eqtrd pjf hocof hoco opreq1d adantr coass fveq1i syl5eq
      opreq2d adantl 3eqtr4d ) AIJZBIJZKZAELMZMZCLMZDLMZNZMZBOPZABVBVANZMZUSMZO
      PZAVCUSNMZBOPZABUSVBNVANZMZOPZURVEUTVGOPZVIUTIJUQVEVOQUPUTBCDFGRAEHSTUPVG
      IJVOVIQUQAVGEHUABDCGFUBUCUDUPVKVEQUQUPVJVDBOAVCUSVAVBCFUEZDGUEZUFEHUEZUGU
      HUIUQVNVIQUPUQVMVHAOUQBUSVFNZMVHVMBUSVFVRVBVAVQVPUFUGBVLVSUSVBVAUJUKULUMU
      NUO $.
      $( [1-Dec-2000] $)

    $( Closure of double composition of projections. $)
    pj2cocl $p |- ( A e. H~ ->
         ( ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) ` A ) e. F ) $=
      ( chil wcel cpj cfv ccom pjf ho2co pjhcl pjcl 3syl eqeltrd ) AHIZABJKZCJK
      ZLDJKZLKAUBKZUAKZTKZBATUAUBBEMCFMDGMNSUCHIUDHIUEBIADGOUCCFOUDBEPQR $.
      $( [2-Dec-2000] $)

    $( Lemma for projection triplet theorem. $)
    pj3lem1 $p |- ( A e. ( ( F i^i G ) i^i H ) ->
         ( ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) ` A ) = A ) $=
      ( cin wcel cpj cfv ccom wceq wa elin chil chel adantr pjf hocof hoco syl
      wi pjclem4a eleq1 cch pjidt mpan syl6bir eqeq2 sylibd impcom eqtrd sylbi
      inass eleq2i coass fveq1i eqeq1i 3imtr4 ) ABCDHZHZIZABJKZCJKZDJKZLZLZKZAM
      ZABCHDHZIAVDVELVFLZKZAMVCABIZAVAIZNZVJABVAOVPVIAVGKZVDKZAVPAPIZVIVRMVNVSV
      OABEQRAVDVGBESVEVFCFSDGSTUAUBVOVNVRAMZVOVQAMZVNVTUCACDFGUDWAVNVRVQMZVTWAV
      NVQBIZWBVQABUEBUFIWCWBEVQBUGUHUIVQAVRUJUKUBULUMUNVKVBABCDUOUPVMVIAAVLVHVD
      VEVFUQURUSUT $.
      $( [2-Dec-2000] $)

    $( Stronger projection triplet theorem. $)
    pj3s $p |- ( ( ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) =
                  ( ( ( proj ` H ) o. ( proj ` G ) ) o. ( proj ` F ) ) /\
         ran ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) (_ G ) ->
       ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) =
       ( proj ` ( ( F i^i G ) i^i H ) ) ) $=
      ( vx vy cpj cfv ccom wceq crn wss wa cv cin chil wral wcel cmv co cva
      cort chincl pjv pj2cocl adantl ssel wfn pjf hocof hocofn fnfvelrn mpan
      syl5 imp jca elin sylibr adantll fveq1 eleq1d syl5bir adantlr csp cc0
      hococl hvsubclt mpdan wi cmin w3a pm3.26 adantr chel 3jca his2subt syl
      opreq1d pjadj2co sylan2 pj3lem1 opreq2d eqtrd sylan9eq cc anim12i hiclt
      subidt 3syl 3eqtr2d exp32 r19.21aiv csh wb chshi shocelt ax-mp sylanc
      c0v hvaddsub12t id syl3anc hvsubidt ax-hvaddid 3eqtrd fveq2d eqtr3d
      r19.21aiva hoeq sylib ) AIJZBIJZKZCIJZKZXPXNKXMKZLZXQMZBNZOZGPZXQJZYCABQZ
      CQZIJZJZLZGRSXQYGLYBYIGRYBYCRTZOZYDYCYDUAUBZUCUBZYGJZYDYHYDYFTZYLYFUDJTZY
      NYDLYKYDYLYFYECABDEUEFUEZUFYKYDYETZYDCTZOYOYKYRYSYAYJYRXSYAYJOZYDATZYDBTZ
      OYRYTUUAUUBYJUUAYAYCABCDEFUGUHYAYJUUBYAYDXTTZUUBYJXTBYDUIXQRUJYJUUCXOXPXM
      XNADUKBEUKULZCFUKZUMRYCXQUNUOUPUQURYDABUSUTVAXSYJYSYAXSYJYSXSYSYCXRJZCTYJ
      XSYDUUFCYCXQXRVBZVCYCCBAFEDUGVDUQVEURYDYECUSUTYKYLRTZYLHPZVFUBZVGLZHYFSZO
      ZYPYKUUHUULYJUUHYBYJYDRTZUUHYCXOXPUUDUUEVHZYCYDVIVJUHYKUUKHYFYBYJUUIYFTZU
      UKVKYBYJUUPUUKYBYJUUPOZOZUUJYCUUIVFUBZYDUUIVFUBZVLUBZUUTUUTVLUBZVGUURYJUU
      NUUIRTZVMZUUJUVALUUQUVDYBUUQYJUUNUVCYJUUPVNYJUUNUUPUUOVOUUPUVCYJUUIYFYQVP
      ZUHVQUHYCYDUUIVRVSUURUUTUUSUUTVLYBUUQUUTUUFUUIVFUBZUUSYBYDUUFUUIVFXSYDUUF
      LYAUUGVOVTUUQUVFYCUUIXQJZVFUBZUUSYJUVCUVFUVHLUUPYCUUICBAFEDWAUVEWBUUPUVHU
      USLYJUUPUVGUUIYCVFUUIABCDEFWCWDUHWEWFVTUURUUNUVCOZUUTWGTUVBVGLUUQUVIYBYJU
      UNUUPUVCUUOUVEWHUHYDUUIWIUUTWJWKWLWMUQWNURYFWOTYPUUMWPYFYQWQHYLYFWRWSUTWT
      YJYNYHLYBYJYMYCYGYJYMYCYDYDUAUBZUCUBZYCXAUCUBYCUUNYJUUNYMUVKLYJYDYCYDXBUU
      OYJXCUUOXDYJUVJXAYCUCYJUUNUVJXALUUOYDXEVSWDYCXFXGXHUHXIXJGXQYGXOXPUUDUUEU
      LYFYQUKXKXL $.
      $( [2-Dec-2000] $)

    $( Projection triplet theorem. $)
    pj3 $p |- ( ( ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) =
                  ( ( ( proj ` H ) o. ( proj ` G ) ) o. ( proj ` F ) ) /\
                  ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) =
                  ( ( ( proj ` G ) o. ( proj ` F ) ) o. ( proj ` H ) ) ) ->
       ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) =
       ( proj ` ( ( F i^i G ) i^i H ) ) ) $=
      ( cpj cfv ccom wceq crn wss cin pj3s rncoss pjrn sseqtr coass eqeq1
      mpbiri rneqd sseq1d sylan2 ) AGHZBGHZICGHZIZUFUEIUDIJUGKZBLZUGABMCMGHJUGU
      EUDIUFIZJZABCDEFNUKUIUEUDUFIZIZKZBLUNUEKBUEULOBEPQUKUHUNBUKUGUMUKUGUMJUJU
      MJUEUDUFRUGUJUMSTUAUBTUC $.
      $( [2-Dec-2000] $)

    $( Projection triplet corollary. $)
    pj3cor1 $p |- ( ( ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) =
                  ( ( ( proj ` H ) o. ( proj ` G ) ) o. ( proj ` F ) ) /\
                  ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) =
                  ( ( ( proj ` G ) o. ( proj ` F ) ) o. ( proj ` H ) ) ) ->
       ( ( ( proj ` F ) o. ( proj ` G ) ) o. ( proj ` H ) ) =
       ( ( ( proj ` H ) o. ( proj ` F ) ) o. ( proj ` G ) ) ) $=
      ( vx vy cpj cfv ccom wceq wa cv chil wral wcel csp co fveq1 opreq2d
      adantl ad2antlr cin chincl pjadjt adantlr pj3 fveq1d opreq1d 3eqtr4d
      pjadj2co exp31 r19.21adv wb hial2eqt pjf hocof hococl sylanc sylibd
      com12 r19.21aiv hoeq sylib ) AIJZBIJZKZCIJZKZVIVGKVFKLZVJVGVFKVIKZLZMZGNZ
      VJJZVOVIVFKZVGKZJZLZGOPVJVRLVNVTGOVOOQZVNVTWAVNVPHNZRSZVSWBRSZLZHOPZVTWAV
      NWEHOWAVNWBOQZWEWAVNMWGMZVOWBVJJZRSZVOWBVLJZRSZWCWDVNWJWLLZWAWGVMWMVKVMWI
      WKVORWBVJVLTUAUBUCWHVOABUDZCUDZIJZJZWBRSZVOWBWPJZRSZWCWJWAWGWRWTLVNVOWBWO
      WNCABDEUEFUEUFUGVNWCWRLWAWGVNVPWQWBRVNVOVJWPABCDEFUHZUIUJUCVNWJWTLWAWGVNW
      IWSVORVNWBVJWPXAUIUAUCUKWAWGWDWLLVNVOWBCABFDEULUGUKUMUNVPOQVSOQWFVTUOWAHV
      PVSUPVOVHVIVFVGADUQZBEUQZURZCFUQZUSVOVQVGVIVFXEXBURZXCUSUTVAVBVCGVJVRVHVI
      XDXEURVQVGXFXCURVDVE $.
      $( [2-Dec-2000] $)
  $}

  ${
    pjs14.1 $e |- G e. CH $.
    pjs14.2 $e |- H e. CH $.
    $( Theorem S-14 of Watanabe, p. 486. $)
    pjs14 $p |- ( A e. H~ ->
                ( normh ` ( ( ( proj ` H ) o. ( proj ` G ) ) ` A ) )
                <_ ( normh ` ( ( proj ` G ) ` A ) ) ) $=
      ( chil wcel cpj cfv ccom cno cle pjco fveq2d wbr pjhcl cch pjnormt mpan
      syl eqbrtrd ) AFGZACHIZBHIZJIZKIAUDIZUCIZKIZUFKIZLUBUEUGKACBEDMNUBUFFGZUH
      UILOZABDPCQGUJUKEUFCRSTUA $.
      $( [26-Sep-2001] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      States on a Hilbert lattice
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d f x y $.
    $( Define the set of states on a Hilbert lattice.  Definition of [Kalmbach]
       p. 266. $)
    df-st $a |- States = { f | ( ( f : CH --> RR /\ A. x e. CH
        ( 0 <_ ( f ` x ) /\ ( f ` x ) <_ 1 ) ) /\ ( ( f ` H~ ) = 1 /\
          A. x e. CH A. y e. CH ( x (_ ( _|_ ` y ) ->
            ( f ` ( x vH y ) ) = ( ( f ` x ) + ( f ` y ) ) ) ) ) } $.
  $}

  ${
    $d f x y $.
    $( Define the set of complex Hilbert-space-valued states on a Hilbert
       lattice.  Definition of CH-states in [Mayet3] p. 9. $)
    df-hst $a |- CHStates = { f | ( f : CH --> H~ /\
          ( normh ` ( f ` H~ ) ) = 1 /\
          A. x e. CH A. y e. CH ( x (_ ( _|_ ` y ) ->
          ( ( ( f ` x ) .ih ( f ` y ) ) = 0 /\
            ( f ` ( x vH y ) ) = ( ( f ` x ) +h ( f ` y ) ) ) ) ) } $.
  $}

  ${
    $d x y z w f h H $.  $d x y z w A $.  $d x y f S $.  $d y B $.
    $( Property of a state. $)
    stelt $p |- ( S e. States <-> ( ( S : CH --> RR /\ A. x e. CH
        ( 0 <_ ( S ` x ) /\ ( S ` x ) <_ 1 ) ) /\ ( ( S ` H~ ) = 1 /\
          A. x e. CH A. y e. CH ( x (_ ( _|_ ` y ) ->
            ( S ` ( x vH y ) ) = ( ( S ` x ) + ( S ` y ) ) ) ) ) ) $=
      ( vf cst wcel cvv cch cr wf cc0 cv cfv cle wbr c1 wa wral chil wceq cort
      wss chj co caddc wi elisset chex fex mpan2 ad2antrr feq1 fveq1 breq2d
      breq1d anbi12d ralbidv eqeq1d opreq12d eqeq12d imbi2d 2ralbidv df-st
      elab2g pm5.21nii ) CEFCGFZHICJZKALZCMZNOZVIPNOZQZAHRZQZSCMZPTZVHBLZUAMUBZ
      VHVQUCUDZCMZVIVQCMZUEUDZTZUFZBHRAHRZQZQZCEUGVGVFVMWFVGHGFVFUHHIGCUIUJUKHI
      DLZJZKVHWHMZNOZWJPNOZQZAHRZQZSWHMZPTZVRVSWHMZWJVQWHMZUEUDZTZUFZBHRAHRZQZQ
      WGDCEGWHCTZWOVNXDWFXEWIVGWNVMHIWHCULXEWMVLAHXEWKVJWLVKXEWJVIKNVHWHCUMZUNX
      EWJVIPNXFUOUPUQUPXEWQVPXCWEXEWPVOPSWHCUMURXEXBWDABHHXEXAWCVRXEWRVTWTWBVSW
      HCUMXEWJVIWSWAUEXFVQWHCUMUSUTVAVBUPUPABDVCVDVE $.
      $( [23-Oct-1999] $)

    $( Property of a complex Hilbert-space-valued state.  Definition of
       CH-states in [Mayet3] p. 9. $)
    hstelt $p |- ( S e. CHStates <-> ( S : CH --> H~ /\
          ( normh ` ( S ` H~ ) ) = 1 /\
          A. x e. CH A. y e. CH ( x (_ ( _|_ ` y ) ->
          ( ( ( S ` x ) .ih ( S ` y ) ) = 0 /\
            ( S ` ( x vH y ) ) = ( ( S ` x ) +h ( S ` y ) ) ) ) ) ) $=
      ( vf chst wcel cvv cch chil wf cfv cno c1 wceq cv cort wss csp co cc0
      chj cva wa wi wral w3a elisset chex fex mpan2 3ad2ant1 feq1 fveq1 fveq2d
      eqeq1d opreq12d eqeq12d anbi12d imbi2d 2ralbidv 3anbi123d df-hst elab2g
      pm5.21nii ) CEFCGFZHICJZICKZLKZMNZAOZBOZPKQZVJCKZVKCKZRSZTNZVJVKUASZCKZVM
      VNUBSZNZUCZUDZBHUEAHUEZUFZCEUGVFVIVEWCVFHGFVEUHHIGCUIUJUKHIDOZJZIWEKZLKZM
      NZVLVJWEKZVKWEKZRSZTNZVQWEKZWJWKUBSZNZUCZUDZBHUEAHUEZUFWDDCEGWECNZWFVFWIV
      IWSWCHIWECULWTWHVHMWTWGVGLIWECUMUNUOWTWRWBABHHWTWQWAVLWTWMVPWPVTWTWLVOTWT
      WJVMWKVNRVJWECUMZVKWECUMZUPUOWTWNVRWOVSVQWECUMWTWJVMWKVNUBXAXBUPUQURUSUTV
      AABDVBVCVD $.
      $( [30-Jun-2006] $) $( [25-Jun-2006] $)

    $( Real closure of the value of a state. $)
    stclt $p |- ( S e. States -> ( A e. CH -> ( S ` A ) e. RR ) ) $=
      ( vx vy cst wcel cch cfv cr wf ffvelrn cc0 cv cle wbr c1 wa wral chil
      wceq cort wss chj co caddc wi stelt pm3.26bi pm3.26d sylan ex ) BEFZAGFZA
      BHIFZGIBJZUMUNULGIABKULUOLCMZBHZNOUQPNOQCGRZULUOURQSBHPTUPDMZUAHUBUPUSUCU
      DBHUQUSBHUEUDTUFDGRCGRQCDBUGUHUIUJUK $.
      $( [24-Oct-1999] $)

    $( Closure of the value of a Hilbert-space-valued state. $)
    hstclt $p |- ( ( S e. CHStates /\ A e. CH ) -> ( S ` A ) e. H~ ) $=
      ( vx vy cch chil wf wcel cfv chst ffvelrn cno c1 wceq cv cort wss csp co
      cc0 chj cva wa wi wral w3a hstelt 3simp1 sylbi sylan ) EFBGZAEHABIFHBJHZE
      FABKULUKFBILIMNZCOZDOZPIQUNBIZUOBIZRSTNUNUOUASBIUPUQUBSNUCUDDEUECEUEZUFUK
      CDBUGUKUMURUHUIUJ $.
      $( [11-Jul-2006] $) $( [25-Jun-2006] $)

    $( Unit value of a Hilbert-space-valued state. $)
    hst1t $p |- ( S e. CHStates -> ( normh ` ( S ` H~ ) ) = 1 ) $=
      ( vx vy chst wcel cch chil wf cfv cno c1 wceq cv cort wss csp co cc0 chj
      cva wa wi wral w3a hstelt 3simp2 sylbi ) ADEFGAHZGAIJIKLZBMZCMZNIOUJAIZUK
      AIZPQRLUJUKSQAIULUMTQLUAUBCFUCBFUCZUDUIBCAUEUHUIUNUFUG $.
      $( [13-Jul-2006] $) $( [25-Jun-2006] $)

    $( Properties of a Hilbert-space-valued state. $)
    hstel2t $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH
       /\ A (_ ( _|_ ` B ) ) ) -> ( ( ( S ` A ) .ih ( S ` B ) ) = 0 /\
                    ( S ` ( A vH B ) ) = ( ( S ` A ) +h ( S ` B ) ) ) ) $=
      ( vx vy chst wcel cch wa cort cfv wss cv csp co cc0 wceq chj cva wi wral
      chil wf cno c1 w3a hstelt 3simp3 sylbi ad2antrr sseq1 fveq2 opreq1d
      eqeq1d opreq1 fveq2d eqeq12d anbi12d imbi12d sseq2d opreq2d opreq2
      rcla42v com23 imp anasss adantll mpd ) CFGZAHGZIBHGZABJKZLZIZIDMZEMZJKZLZ
      VOCKZVPCKZNOZPQZVOVPROZCKZVSVTSOZQZIZTZEHUADHUAZACKZBCKZNOZPQZABROZCKZWJW
      KSOZQZIZVIWIVJVNVIHUBCUCZUBCKUDKUEQZWIUFWIDECUGWSWTWIUHUIUJVJVNWIWRTZVIVJ
      VKVMXAVJVKIZVMXAXBWIVMWRWHVMWRTAVQLZWJVTNOZPQZAVPROZCKZWJVTSOZQZIZTDEABHH
      VOAQZVRXCWGXJVOAVQUKXKWBXEWFXIXKWAXDPXKVSWJVTNVOACULZUMUNXKWDXGWEXHXKWCXF
      CVOAVPRUOUPXKVSWJVTSXLUMUQURUSVPBQZXCVMXJWRXMVQVLAVPBJULUTXMXEWMXIWQXMXDW
      LPXMVTWKWJNVPBCULZVAUNXMXGWOXHWPXMXFWNCVPBARVBUPXMVTWKWJSXNVAUQURUSVCVDVE
      VFVGVH $.
      $( [13-Jul-2006] $) $( [25-Jun-2006] $)

    $( Orthogonality property of a Hilbert-space-valued state.  This is a
       key feature distinguishing it from a real-valued state. $)
    hstortht $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH
       /\ A (_ ( _|_ ` B ) ) ) -> ( ( S ` A ) .ih ( S ` B ) ) = 0 ) $=
      ( chst wcel cch wa cort cfv wss csp co cc0 wceq chj cva hstel2t pm3.26d
      ) CDEAFEGBFEABHIJGGACIZBCIZKLMNABOLCISTPLNABCQR $.
      $( [13-Jul-2006] $) $( [25-Jun-2006] $)

    $( Orthogonal sum property of a Hilbert-space-valued state. $)
    hstosumt $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH
                         /\ A (_ ( _|_ ` B ) ) ) ->
                    ( S ` ( A vH B ) ) = ( ( S ` A ) +h ( S ` B ) ) ) $=
      ( chst wcel cch wa cort cfv wss csp co cc0 wceq chj cva hstel2t pm3.27d
      ) CDEAFEGBFEABHIJGGACIZBCIZKLMNABOLCISTPLNABCQR $.
      $( [14-Jul-2006] $) $( [25-Jun-2006] $)

    $( Sum of a Hilbert-space-valued state of a lattice element and its
       orthocomplement. $)
    hstoct $p |- ( ( S e. CHStates /\ A e. CH ) ->
                  ( ( S ` A ) +h ( S ` ( _|_ ` A ) ) ) = ( S ` H~ ) ) $=
      ( chst wcel cch wa cort cfv chj co cva chil wss wceq chocclt adantl csh
      chsh shococss syl jca hstosumt mpdan chjot fveq2d eqtr3d ) BCDZAEDZFZAAGH
      ZIJZBHZABHUJBHKJZLBHZUIUJEDZAUJGHMZFULUMNUIUOUPUHUOUGAOPUHUPUGUHAQDUPARAS
      TPUAAUJBUBUCUHULUNNUGUHUKLBAUDUEPUF $.
      $( [14-Jul-2006] $) $( [25-Jun-2006] $)

    $( Sum of norms of a Hilbert-space-valued state. $)
    hstnmoct $p |- ( ( S e. CHStates /\ A e. CH ) -> ( ( ( normh `
         ( S ` A ) ) ^ 2 ) + ( ( normh ` ( S ` ( _|_ ` A ) ) ) ^ 2 ) ) = 1 ) $=
      ( chst wcel cch wa cfv cort cva co cno c2 cexp chil caddc c1 hstoct
      fveq2d opreq1d csp cc0 wceq normpytht hstclt chocclt sylan2 jca wss
      adantl csh chsh shococss syl hstortht mpdan sylc hst1t sq1 syl6eq adantr
      3eqtr3d ) BCDZAEDZFZABGZAHGZBGZIJZKGZLMJZNBGZKGZLMJZVEKGLMJVGKGLMJOJZPVDV
      IVLLMVDVHVKKABQRSVENDZVGNDZFVEVGTJUAUBZVJVNUBVDVEVGUCVDVOVPABUDVBVFEDZVPV
      CVFBUDAUEZUFUGVDVRAVFHGUHZFVQVDVRVTVCVRVBVSUIVCVTVBVCAUJDVTAUKAULUMUIUGAV
      FBUNUOUPVBVMPUBVCVBVMPLMJPVBVLPLMBUQSURUSUTVA $.
      $( [16-Jul-2006] $) $( [25-Jun-2006] $)

    $( The value of a state is nonnegative. $)
    stge0t $p |- ( S e. States -> ( A e. CH -> 0 <_ ( S ` A ) ) ) $=
      ( vx vy cch wcel cc0 cv cfv cle wbr wral cst wceq fveq2 breq2d rcla4v c1
      wa cr wf chil cort wss chj co caddc wi stelt pm3.26bi pm3.27d pm3.26
      r19.20si syl syl5com ) AEFGCHZBIZJKZCELZGABIZJKZBMFZURVACAEUPANUQUTGJUPAB
      OPQVBURUQRJKZSZCELZUSVBETBUAZVEVBVFVESUBBIRNUPDHZUCIUDUPVGUEUFBIUQVGBIUGU
      FNUHDELCELSCDBUIUJUKVDURCEURVCULUMUNUO $.
      $( [24-Oct-1999] $)

    $( The value of a state is less than or equal to one. $)
    stle1t $p |- ( S e. States -> ( A e. CH -> ( S ` A ) <_ 1 ) ) $=
      ( vx vy cch wcel cv cfv c1 cle wbr wral cst wceq fveq2 breq1d rcla4v cc0
      wa cr wf chil cort wss chj co caddc wi stelt pm3.26bi pm3.27d pm3.27
      r19.20si syl syl5com ) AEFCGZBHZIJKZCELZABHZIJKZBMFZURVACAEUPANUQUTIJUPAB
      OPQVBRUQJKZURSZCELZUSVBETBUAZVEVBVFVESUBBHINUPDGZUCHUDUPVGUEUFBHUQVGBHUGU
      FNUHDELCELSCDBUIUJUKVDURCEVCURULUMUNUO $.
      $( [24-Oct-1999] $)

    $( The norm of the value of a Hilbert-space-valued state is less than or
       equal to one. $)
    hstle1t $p |- ( ( S e. CHStates /\ A e. CH ) ->
                   ( normh ` ( S ` A ) ) <_ 1 ) $=
      ( chst wcel cch wa cfv cno c1 cle wbr c2 cexp co cort caddc cc0 cr chil
      hstclt chocclt sylan2 normclt syl sqge0t wb addge01t resqclt sylanc
      mpbid hstnmoct sq1 syl6eqr breqtrd 1re 0re lt01 ltlei pm3.2i le2sqt
      mpan2 normge0t mpbird ) BCDZAEDZFZABGZHGZIJKZVHLMNZILMNZJKZVFVJVJAOGZBGZH
      GZLMNZPNZVKJVFQVPJKZVJVQJKZVFVORDZVRVFVNSDZVTVDVMEDWAVEVMBTAUAUBVNUCUDZVO
      UEUDVJRDZVPRDZVRVSUFVFVJVPUGVFVHRDZWCVFVGSDZWEABTZVGUCUDZVHUHUDVFVTWDWBVO
      UHUDUIUJVFVQIVKABUKULUMUNWEQVHJKZVIVLUFZVFWEWIFIRDZQIJKZFWJWKWLUOQIUPUOUQ
      URUSVHIUTVAWHVFWFWIWGVGVBUDUIVC $.
      $( [16-Jul-2006] $) $( [25-Jun-2006] $)

    $( The norm of a Hilbert-space-valued state equals one iff the state value
       equals the state value of the lattice unit. $)
    hst1ht $p |- ( ( S e. CHStates /\ A e. CH ) ->
                  ( ( normh ` ( S ` A ) ) = 1 <-> ( S ` A ) = ( S ` H~ ) ) ) $=
      ( chst wcel cch wa cfv cno c1 wceq chil cort cva co c0v c2 cexp cc0 cmin
      caddc cc cr hstclt chocclt sylan2 normclt syl resqclt recnd ax1cn
      pncan2t mpan adantr opreq1 sq1 syl6req opreq1d hstnmoct sylan9eqr eqtr3d
      subid syl6eq ex wb sqeq0t norm-it bitrd sylibd imp opreq2d hstoct
      ax-hvaddid 3eqtr3rd fveq2 hst1t impbida ) BCDZAEDZFZABGZHGZIJZVTKBGZJZVSW
      BFZVTALGZBGZMNZVTOMNZWCVTWEWGOVTMVSWBWGOJZVSWBWGHGZPQNZRJZWJVSWBWMWEWLIIS
      NZRWEIWLTNZISNZWLWNVSWPWLJZWBVSWLUADZWQVSWLVSWKUBDZWLUBDVSWGKDZWSVQWFEDWT
      VRWFBUCAUDUEZWGUFUGZWKUHUGUIIUADWRWQUJIWLUKULUGUMWEWOIISWBVSWOWAPQNZWLTNI
      WBIXCWLTWBXCIPQNIWAIPQUNUOUPUQABURUSUQUTIUJVAVBVCVSWMWKRJZWJVSWKUADWMXDVD
      VSWKXBUIWKVEUGVSWTXDWJVDXAWGVFUGVGVHVIVJVSWHWCJWBABVKUMVSWIVTJZWBVSVTKDXE
      ABUCVTVLUGUMVMWDVSWAWCHGZIVTWCHVNVQXFIJVRBVOUMUSVP $.
      $( [9-Mar-2007] $) $( [25-Jun-2006] $)

    $( The norm of a Hilbert-space-valued state equals zero iff the state value
       equals zero. $)
    hst0ht $p |- ( ( S e. CHStates /\ A e. CH ) ->
                  ( ( normh ` ( S ` A ) ) = 0 <-> ( S ` A ) = 0h ) ) $=
      ( chst wcel cch wa cfv chil cno cc0 wceq c0v wb hstclt norm-it syl ) BCDA
      EDFABGZHDQIGJKQLKMABNQOP $.
      $( [6-Sep-2006] $) $( [30-Jun-2006] $)

    $( Pythagorean property of a Hilbert-space-valued state for orthogonal
       vectors ` A ` and ` B ` . $)
    hstpytht $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH /\
               A (_ ( _|_ ` B ) ) ) -> ( ( normh ` ( S ` ( A vH B ) ) ) ^ 2 ) =
         ( ( ( normh ` ( S ` A ) ) ^ 2 ) + ( ( normh ` ( S ` B ) ) ^ 2 ) ) ) $=
      ( chst wcel cch wa cort cfv wss chj co cno c2 cexp cva caddc hstosumt
      fveq2d opreq1d chil csp cc0 wceq normpytht 3impia hstclt adantr ad2ant2r
      hstortht syl3anc eqtrd ) CDEZAFEZGZBFEZABHIJZGZGZABKLCIZMIZNOLACIZBCIZPLZ
      MIZNOLZVBMINOLVCMINOLQLZUSVAVENOUSUTVDMABCRSTVBUAEZVCUAEZVBVCUBLUCUDZVFVG
      UDZUSVHVIVJVKVBVCUEUFUOVHURACUGUHUMUPVIUNUQBCUGUIABCUJUKUL $.
      $( [20-Jul-2006] $) $( [26-Jun-2006] $)

    $( Ordering property of a Hilbert-space-valued state. $)
    hstlet $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH /\ A (_ B ) )
                   -> ( normh ` ( S ` A ) ) <_ ( normh ` ( S ` B ) ) ) $=
      ( chst wcel cch wa wss cfv cno cle wbr c2 cexp co c1 caddc cort wceq
      hstnmoct adantlr opreq2d cc add12t cr chil hstclt normclt syl resqclt
      adantr recnd chocclt sylan2 syl3anc eqtr3d adantrr chj hstpytht ococt
      sseq2d biimpar jca cc0 1re le2sqit mpanr1 chjclt anassrs normge0t
      hstle1t sylanc sq1 syl6breq eqbrtrrd wb leadd2t mp3an2 axaddrcl mpbid
      eqbrtrd leadd1t mp3an3 mpbird le2sqt ) CDEZAFEZGZBFEZABHZGZGZACIZJIZBCIZJ
      IZKLZWNMNOZWPMNOZKLZWLWTWRPQOZWSPQOZKLZWLXAWSWRBRIZCIZJIZMNOZQOZQOZXBKWHW
      IXAXISWJWHWIGZWRWSXGQOZQOZXAXIXJXKPWRQWFWIXKPSWGBCTUAUBWRUCEWSUCEXGUCEXLX
      ISXJWRWSXGUDXJWRWHWRUEEZWIWHWNUEEZXMWHWMUFEZXNACUGZWMUHUIZWNUJUIUKZULXJWS
      WFWIWSUEEZWGWFWIGZWPUEEZXSXTWOUFEZYABCUGZWOUHUIZWPUJUIUAZULXJXGWFWIXGUEEZ
      WGXTXFUEEZYFXTXEUFEZYGWFXDFEZYHWIXDCUGBUMZUNXEUHUIXFUJUIUAZULUOUPUQWLXHPK
      LZXIXBKLZWLAXDUROZCIZJIZMNOZXHPKWHYIAXDRIZHZGYQXHSWKAXDCUSWKYIYSWIYIWJYJU
      KWIYSWJWIYRBABUTVAVBVCUNWHWIYQPKLWJXJYQPMNOZPKYPUEEZVDYPKLZGZYPPKLZYQYTKL
      ZXJUUCPUEEZUUDUUEVEYPPVFVGXJUUAUUBXJYOUFEZUUAWFWGWIUUGWFYNFEZUUGWGWIGZYNC
      UGWGYIUUHWIAXDVHYJUNZUNVIZYOUHUIXJUUGUUBUUKYOVJUIVCWFWGWIUUDWFUUHUUDUUIYN
      CVKUUJUNVIVLVMVNUQVOWHWIYLYMVPZWJXHUEEZXSUULXJUUMUUFXSUULVEXHPWSVQVRXMYFU
      UMXJWRXGVSXRYKVLYEVLUQVTWAWHWIWTXCVPZWJXMXSUUNXJXMXSUUFUUNVEWRWSPWBWCXRYE
      VLUQWDWHWIWQWTVPZWJXNVDWNKLZGZYAVDWPKLZGZUUOXJWNWPWEWHUUQWIWHXNUUPXQWHXOU
      UPXPWMVJUIVCUKWFWIUUSWGXTYAUURYDXTYBUURYCWOVJUIVCUAVLUQWD $.
      $( [20-Jul-2006] $) $( [26-Jun-2006] $)

    $( Ordering property of a Hilbert-space-valued state. $)
    hstlest $p |- ( ( ( S e. CHStates /\ A e. CH ) /\ ( B e. CH /\ A (_ B ) )
             -> ( ( normh ` ( S ` A ) ) = 1 -> ( normh ` ( S ` B ) ) = 1 ) ) $=
      ( chst wcel cch wa wss cfv cno c1 wceq cle wbr pm3.27 hstlet adantr
      eqbrtrrd ex hstle1t ad2ant2r jctild wb chil cr hstclt normclt 1re
      letri3t mpan2 3syl sylibrd ) CDEZAFEZGBFEZABHZGGZACIJIZKLZBCIZJIZKMNZKVAM
      NZGZVAKLZUQUSVCVBUQUSVCUQUSGURKVAMUQUSOUQURVAMNUSABCPQRSUMUOVBUNUPBCTUAUB
      UMUOVEVDUCZUNUPUMUOGUTUDEVAUEEZVFBCUFUTUGVGKUEEVFUHVAKUIUJUKUAUL $.
      $( [22-Jul-2006] $) $( [30-Jun-2006] $)

    $( A Hilbert-space-valued state orthogonal to the state of the lattice unit
       is zero. $)
    hstoht $p |- ( ( S e. CHStates /\ A e. CH /\ ( ( S ` A ) .ih ( S ` H~ ) ) =
                  0 ) -> ( S ` A ) = 0h ) $=
      ( chst wcel cch cfv chil csp co cc0 wceq w3a cno c0v c2 cexp wa cort cva
      caddc his7t hstclt chocclt sylan2 syl3anc normsqt syl eqcomd wss ococt
      eqimss2 jca adantl hstortht mpdan opreq12d cc cr normclt resqclt recnd
      ax0id 3eqtrrd hstoct opreq2d eqtrd id sylan9eq 3impa wb sqeq0t 3adant3
      mpbid hst0ht ) BCDZAEDZABFZGBFZHIZJKZLZVQMFZJKZVQNKZWAWBOPIZJKZWCVOVPVTWF
      VOVPQZVTWEVSJWGWEVQVQARFZBFZSIZHIZVSWGWKVQVQHIZVQWIHIZTIZWEJTIZWEVQGDZWPW
      IGDZWKWNKWGVQVQWIUAABUBZWRVOWHEDZWQVPWHBUBAUCZUDUEWGWLWEWMJTWGWEWLWGWPWEW
      LKWRVQUFUGUHWGWSAWHRFZUIZQZWMJKVPXCVOVPWSXBWTVPXAAKXBAUJAXAUKUGULUMAWHBUN
      UOUPWGWEUQDWOWEKWGWEWGWBURDZWEURDWGWPXDWRVQUSUGZWBUTUGVAWEVBUGVCWGWJVRVQH
      ABVDVEVFVTVGVHVIVOVPWFWCVJZVTWGWBUQDXFWGWBXEVAWBVKUGVLVMVOVPWCWDVJVTABVNV
      LVM $.
      $( [22-Jul-2006] $) $( [25-Jun-2006] $)

    $( A Hilbert-space-valued state is zero at the zero subspace. $)
    hst0t $p |- ( S e. CHStates -> ( S ` 0H ) = 0h ) $=
      ( chst wcel c0h cfv chil csp co cc0 wceq c0v cch h0elch wa cort wss
      helch ssid occl ch0le pm3.2i hstortht mpan2 hstoht mp3an2 mpdan ) ABCZDAE
      ZFAEGHIJZUHKJZUGDLCZUIMUGUKNFLCZDFOEZPZNUIULUNQUMFFRSTUADFAUBUCUCUGUKUIUJ
      MDAUDUEUF $.
      $( [1-Dec-2006] $) $( [30-Jun-2006] $)

    $( The value of a state at the full Hilbert space. $)
    sthil $p |- ( S e. States -> ( S ` H~ ) = 1 ) $=
      ( vx vy cst wcel chil cfv c1 wceq cv cort wss chj co caddc wi cch wral
      cr wf cc0 cle wbr wa stelt pm3.27bi pm3.26d ) ADEZFAGHIZBJZCJZKGLUJUKMNAG
      UJAGZUKAGONIPCQRBQRZUHQSATUAULUBUCULHUBUCUDBQRUDUIUMUDBCAUEUFUG $.
      $( [23-Oct-1999] $)

    $( The value of a state on a join. $)
    stjt $p |- ( S e. States ->
         ( ( ( A e. CH /\ B e. CH ) /\ A (_ ( _|_ ` B ) ) ->
         ( S ` ( A vH B ) ) = ( ( S ` A ) + ( S ` B ) ) ) ) $=
      ( vx vy cst wcel cch wa cort cfv wss chj co caddc wceq cv wi wral sseq1
      opreq1 fveq2d fveq2 opreq1d eqeq12d imbi12d sseq2d opreq2 opreq2d
      rcla42v chil c1 cr wf cc0 cle wbr stelt pm3.27bi pm3.27d syl5com imp3a )
      CFGZAHGBHGIZABJKZLZABMNZCKZACKZBCKZONZPZVDDQZEQZJKZLZVMVNMNZCKZVMCKZVNCKZ
      ONZPZRZEHSDHSZVFVLRZVCWCWEAVOLZAVNMNZCKZVIVTONZPZRDEABHHVMAPZVPWFWBWJVMAV
      OTWKVRWHWAWIWKVQWGCVMAVNMUAUBWKVSVIVTOVMACUCUDUEUFVNBPZWFVFWJVLWLVOVEAVNB
      JUCUGWLWHVHWIVKWLWGVGCVNBAMUHUBWLVTVJVIOVNBCUCUIUEUFUJVCUKCKULPZWDVCHUMCU
      NUOVSUPUQVSULUPUQIDHSIWMWDIDECURUSUTVAVB $.
      $( [23-Oct-1999] $)
  $}

  ${
    sto1.1 $e |- A e. CH $.
    $( The state of a subspace plus the state of its orthocomplement. $)
    sto1 $p |- ( S e. States -> ( ( S ` A ) + ( S ` ( _|_ ` A ) ) ) = 1 ) $=
      ( cst wcel cort cfv chj co caddc c1 cch wa wss wceq choccl pm3.2i csh
      chshi shococss ax-mp stjt mp2ani chil sthil chjo fveq2i syl5eq eqtr3d )
      BDEZAAFGZHIZBGZABGUKBGJIZKUJALEZUKLEZMAUKFGNZUMUNOUOUPCACPQAREUQACSATUAAU
      KBUBUCUJUDBGKUMBUEULUDBACUFUGUHUI $.
      $( [24-Oct-1999] $)

    $( The state of the orthocomplement. $)
    sto2 $p |- ( S e. States ->
               ( S ` ( _|_ ` A ) ) = ( 1 - ( S ` A ) ) ) $=
      ( cst wcel c1 cfv cmin co cort wceq caddc sto1 cc wb ax1cn subaddt
      mp3an1 cch cr stclt mpi recnd choccl sylanc mpbird eqcomd ) BDEZFABGZHIZA
      JGZBGZUHUJULKZUIULLIFKZABCMUINEZULNEZUMUNOZUHFNEUOUPUQPFUIULQRUHUIUHASEUI
      TECABUAUBUCUHULUHUKSEULTEACUDUKBUAUBUCUEUFUG $.
      $( [24-Oct-1999] $)

    $( If a state is greater than or equal to 1, it is 1. $)
    stge1 $p |- ( S e. States ->
                ( 1 <_ ( S ` A ) <-> ( S ` A ) = 1 ) ) $=
      ( cst wcel c1 cfv cle wbr wceq wa cch stle1t mpi anim1i ex cr wb stclt
      1re jctir letri3t syl sylibrd leid breq2 mpbiri impbid1 ) BDEZFABGZHIZUJF
      JZUIUKUJFHIZUKKZULUIUKUNUIUMUKUIALEZUMCABMNOPUIUJQEZFQEZKULUNRUIUPUQUIUOU
      PCABSNTUAUJFUBUCUDULUKFFHIFTUEUJFFHUFUGUH $.
      $( [11-Nov-1999] $)

    $( If a state is less than or equal to 0, it is 0. $)
    stle0 $p |- ( S e. States ->
                ( ( S ` A ) <_ 0 <-> ( S ` A ) = 0 ) ) $=
      ( cst wcel cfv cc0 cle wbr wceq wa cch stge0t mpi anim2i expcom cr wb
      stclt 0re jctir letri3t syl sylibrd leid breq1 mpbiri impbid1 ) BDEZABFZG
      HIZUJGJZUIUKUKGUJHIZKZULUKUIUNUIUMUKUIALEZUMCABMNOPUIUJQEZGQEZKULUNRUIUPU
      QUIUOUPCABSNTUAUJGUBUCUDULUKGGHIGTUEUJGGHUFUGUH $.
      $( [11-Nov-1999] $)
  $}

  ${
    stle.1 $e |- A e. CH $.
    stle.2 $e |- B e. CH $.
    $( Ordering law for states. $)
    stle $p |- ( S e. States -> ( A (_ B -> ( S ` A ) <_ ( S ` B ) ) ) $=
      ( cst wcel wss cfv cle wbr wa cort caddc co chj wceq cch stjt csh chshi
      shococss ax-mp sstr2 mpi choccl pm3.2i jctil syl5 imp c1 chjcl stle1t
      sto1 breqtrrd adantr eqbrtrrd cr w3a wb stclt 3jca leadd1t syl mpbird ex
      ) CFGZABHZACIZBCIZJKZVGVHLZVKVIBMIZCIZNOZVJVNNOZJKZVLAVMPOZCIZVOVPJVGVHVS
      VOQZVGARGZVMRGZLZAVMMIZHZLVTVHAVMCSVHWEWCVHBWDHZWEBTGWFBEUABUBUCABWDUDUEW
      AWBDBEUFZUGUHUIUJVGVSVPJKVHVGVSUKVPJVGVRRGVSUKJKAVMDWGULVRCUMUEBCEUNUOUPU
      QVLVIURGZVJURGZVNURGZUSZVKVQUTVGWKVHVGWHWIWJVGWAWHDACVAUEVGBRGWIEBCVAUEVG
      WBWJWGVMCVAUEVBUPVIVJVNVCVDVEVF $.
      $( [24-Oct-1999] $)

    $( Ordering law for states. $)
    stles $p |- ( S e. States ->
                ( A (_ B -> ( ( S ` A ) = 1 -> ( S ` B ) = 1 ) ) ) $=
      ( cst wcel wss cfv c1 wceq wa cle wbr cch stle1t mpi adantr stle imp
      adantrr wb breq1 ad2antll mpbid jca cr stclt 1re jctir letri3t syl
      mpbird exp32 ) CFGZABHZACIZJKZBCIZJKZUOUPURLZLZUTUSJMNZJUSMNZLZVBVCVDUOVC
      VAUOBOGZVCEBCPQRVBUQUSMNZVDUOUPVGURUOUPVGABCDESTUAURVGVDUBUOUPUQJUSMUCUDU
      EUFVBUSUGGZJUGGZLZUTVEUBUOVJVAUOVHVIUOVFVHEBCUHQUIUJRUSJUKULUMUN $.
      $( [24-Oct-1999] $)

    $( Join of components of Sasaki arrow ->1. $)
    stji1 $p |- ( S e. States -> ( S ` ( ( _|_ ` A ) vH ( A i^i B ) ) ) =
         ( ( S ` ( _|_ ` A ) ) + ( S ` ( A i^i B ) ) ) ) $=
      ( cst wcel cort cfv cch cin wa wss chj co caddc wceq choccl chincl
      pm3.2i inss1 chsscon3 mpbi stjt mp2ani ) CFGAHIZJGZABKZJGZLUFUHHIMZUFUHNO
      CIUFCIUHCIPOQUGUIADRABDESZTUHAMUJABUAUHAUKDUBUCUFUHCUDUE $.
      $( [24-Oct-1999] $)

    $( State of component of unit meet. $)
    stm1 $p |- ( S e. States ->
               ( ( S ` ( A i^i B ) ) = 1 -> ( S ` A ) = 1 ) ) $=
      ( cst wcel cin cfv c1 wceq cle wbr breq1 wss inss1 chincl stle mpi
      syl5cbi stge1 sylibd ) CFGZABHZCIZJKZJACIZLMZUGJKUFUEUGLMZUHUCUEJUGLNUCUD
      AOUIABPUDACABDEQDRSTACDUAUB $.
      $( [11-Nov-1999] $)

    $( State of component of unit meet. $)
    stm1r $p |- ( S e. States ->
               ( ( S ` ( A i^i B ) ) = 1 -> ( S ` B ) = 1 ) ) $=
      ( cst wcel cin cfv c1 wceq stm1 incom fveq2i eqeq1i syl5ib ) CFGBAHZCIZJK
      BCIJKABHZCIZJKBACEDLTRJSQCABMNOP $.
      $( [11-Nov-1999] $)

    $( Sum of states whose meet is 1. $)
    stm1add $p |- ( S e. States -> ( ( S ` ( A i^i B ) ) = 1 ->
                  ( ( S ` A ) + ( S ` B ) ) = 2 ) ) $=
      ( cst wcel cin cfv c1 wceq wa caddc co c2 stm1 stm1r jcad opreq12 df-2
      syl6eqr syl6 ) CFGZABHCIJKZACIZJKZBCIZJKZLZUEUGMNZOKUCUDUFUHABCDEPABCDEQR
      UIUJJJMNOUEJUGJMSTUAUB $.
      $( [11-Nov-1999] $)

    $( If the sum of 2 states is 2, then each state is 1. $)

    stadd $p |- ( S e. States -> ( ( ( S ` A ) + ( S ` B ) ) = 2 ->
                ( S ` A ) = 1 ) ) $=
      ( cst wcel cfv caddc co c2 wceq clt wbr wn c1 wne cr wa 2re ltnet mp3an2
      necomd axaddrcl cch stclt mpi sylanc sylan ex necon2bd cle stle1t wb
      leadd2t 1re a1i syl3anc mpbid adantr wi w3a ltadd1t biimpd imp lelttrt
      jctir syl readdcl mp2and df-2 syl6breqr con3d wo leloet ord syld ) CFGZAC
      HZBCHZIJZKLWAKMNZOZVSPLZVRWBWAKVRWBWAKQZWARGZWBWEVRWFWBSKWAWFKRGWBKWAQTWA
      KUAUBUCVSRGZVTRGZWFVRVSVTUDVRAUEGZWGDACUFUGZVRBUEGZWHEBCUFUGZUHZUIUJUKVRW
      CVSPMNZOWDVRWNWBVRWNWBVRWNSZWAPPIJZKMWOWAVSPIJZULNZWQWPMNZWAWPMNZVRWRWNVR
      VTPULNZWRVRWKXAEBCUMUGWHPRGZWGXAWRUNVRVTPVSUOWLXBVRUPUQZWJURUSUTVRWNWSWGX
      BXBWNWSVAVRWGXBXBVBWNWSVSPPVCVDWJXCXCURVEVRWRWSSWTVAZWNWFWQRGZWPRGZXDVRWA
      WQWPVFWMVRWGXBSZXEVRWGXBWJUPVGZVSPUDVHXFVRPPUPUPVIUQURUTVJVKVLUJVMVRWNWDV
      RVSPULNZWNWDVNZVRWIXIDACUMUGVRXGXIXJUNXHVSPVOVHUSVPVQVQ $.
      $( [12-Nov-1999] $)

    ${
      stm1add3.3 $e |- C e. CH $.
      $( Sum of states whose meet is 1. $)
      stm1add3 $p |- ( S e. States -> ( ( S ` ( ( A i^i B ) i^i C ) ) = 1 ->
                  ( ( ( S ` A ) + ( S ` B ) ) + ( S ` C ) ) = 3 ) ) $=
        ( cst wcel cin cfv c1 wceq caddc co c2 wa c3 chincl stm1 stm1add syld
        stm1r jcad opreq12 df-3 syl6eqr syl6 ) DHIZABJZCJDKLMZADKBDKNOZPMZCDKZL
        MZQZULUNNOZRMUIUKUMUOUIUKUJDKLMUMUJCDABEFSZGTABDEFUAUBUJCDURGUCUDUPUQPL
        NORULPUNLNUEUFUGUH $.
        $( [11-Nov-1999] $)

      $( MAY BE REVISED: using new ltnet , an extra eqcom was needed.  Any way
         to avoid this? $)
      $( If the sum of 3 states is 3, then each state is 1. $)
      stadd3 $p |- ( S e. States ->
  ( ( ( ( S ` A ) + ( S ` B ) ) + ( S ` C ) ) = 3 -> ( S ` A ) = 1 ) ) $=
        ( cst wcel cfv caddc co c3 wceq c1 cc axaddass cch cr stclt mpi recnd
        syl3anc eqeq1d clt wbr wn wne wi 3re axaddrcl sylanc ltnet 3exp syl
        necon2bd eqcom syl5ib wa cle 1re jctir readdcl a1i stle1t wb leadd2t
        mpbid leadd1t letrd adantr w3a ltadd1t biimpd imp lelttrt mp2and c2
        df-3 df-2 opreq1i ax1cn addass 3eqtrr syl6breq ex con3d wo leloet ord
        syld sylbid ) DHIZADJZBDJZKLCDJZKLZMNWNWOWPKLZKLZMNZWNONZWMWQWSMWNPIWOP
        IWPPIWQWSNWMWNWOWPQWMWNWMARIZWNSIZEADTUAZUBWMWOWMBRIZWOSIZFBDTUAZUBWMWP
        WMCRIZWPSIZGCDTUAZUBUCUDWMWTWSMUEUFZUGZXAWMMWSNXLWTWMXKMWSWMMSIZXKMWSUH
        ZUIZUJWMWSSIZXMXOUIXCWRSIZXPWMWNWRUKXDXFXIXQWMWOWPUKXGXJULZULZXPXMXKXNW
        SMUMUNUOUAUPWSMUQURWMXLWNOUEUFZUGXAWMXTXKWMXTXKWMXTUSZWSOOOKLZKLZMUEYAW
        SWNYBKLZUTUFZYDYCUEUFZWSYCUEUFZWMYEXTWMWRYBUTUFZYEWMWRWOOKLZYBXRWMXFOSI
        ZUSYISIWMXFYJXGVAVBWOOUKUOYBSIZWMOOVAVAVCZVDZWMWPOUTUFZWRYIUTUFZWMXHYNG
        CDVEUAXIYJXFYNYOVFWMWPOWOVGXJYJWMVAVDZXGUCVHWMWOOUTUFZYIYBUTUFZWMXEYQFB
        DVEUAXFYJYJYQYRVFWMWOOOVIXGYPYPUCVHVJXQYKXCYHYEVFWMWRYBWNVGXRYMXDUCVHVK
        WMXTYFXCYJYKXTYFUIWMXCYJYKVLXTYFWNOYBVMVNXDYPYMUCVOWMYEYFUSYGUIZXTXPYDS
        IZYCSIZYSWMWSYDYCVPXSWMXCYKUSYTWMXCYKXDYLVBWNYBUKUOUUAWMOYBVAYLVCVDUCVK
        VQMVROKLYBOKLYCVSVRYBOKVTWAOOOWBWBWBWCWDWEWFWGWMXTXAWMWNOUTUFZXTXAWHZWM
        XBUUBEADVEUAWMXCYJUSUUBUUCVFWMXCYJXDVAVBWNOWIUOVHWJWKWKWL $.
        $( [13-Nov-1999] $)
    $}
  $}

  $( The state of the zero subspace. $)
  st0 $p |- ( S e. States -> ( S ` 0H ) = 0 ) $=
    ( cst wcel chil cort cfv c1 cmin co c0h cc0 helch sto2 sthil opreq2d eqtrd
    choc1 fveq2i ax1cn subid 3eqtr3g ) ABCZDEFZAFZGGHIZJAFKUBUDGDAFZHIUEDALMUBU
    FGGHANOPUCJAQRGSTUA $.
    $( [24-Oct-1999] $)

  ${
    $d u x A $.  $d u x B $.
    strlem1.1 $e |- A e. CH $.
    strlem1.2 $e |- B e. CH $.
    $( Lemma for strong state theorem:  if closed subspace ` A ` is not
       contained in ` B ` , there is a unit vector ` u ` in their
       difference. $)
    strlem1 $p |- ( -. A (_ B -> E. u e. ( A \ B ) ( normh ` u ) = 1 ) $=
      ( vx wss wn cv cdif wcel wex cno cfv c1 wceq wrex c0 ssdif0 negbii n0
      bitr cdiv co csm fveq2 eqeq1d rcla4ev wa cc wi cr cc0 wne rerecclt chil
      eldifi chel normclt 3syl c0v cch ch0 ax-mp eldifn mt2 eleq1 mtbiri con2i
      wb norm-it mtbird df-ne sylibr sylanc recnd csh chshi shmulcltOLD ex syl
      cmul recidt opreq1d ax-hvmulass syl3anc ax-hvmulid 3eqtr3d eleq1d sylibd
      con3d anim12d eldif 3imtr4g pm2.43i cabs norm-iiit cle wbr absidt clt
      1re 0re lt01 ltlei divge0t mpanl12 necon2ai normgt0t mpbid axmulcom
      eqtrd 3eqtrd 19.23aiv sylbi ) BCGZHZFIZBCJZKZFLZAIZMNZOPZAXSQZXQXSRPZHYAX
      PYFBCSTFXSUAUBXTYEFOXRMNZUCUDZXRUEUDZXSKZYIMNZOPZYEXTYDYLAYIXSYBYIPYCYKOY
      BYIMUFUGUHXTYJXTXRBKZXRCKZHZUIYIBKZYICKZHZUIXTYJXTYMYPYOYRXTYHUJKZYMYPUKX
      TYHYGULKZYGUMUNZYHULKZXTYGUOXTYMXRUPKZYTXRBCUQZXRBDURZXRUSUTZXTYGUMPZHUUA
      XTUUGXRVAPZUUHXTUUHXTVAXSKZUUIVACKZCVBKUUJECVCVDVABCVEVFXRVAXSVGVHZVIXTYM
      UUCUUGUUHVJUUDUUEXRVKUTVLYGUMVMVNZVOZVPZYSYMYPBVQKYSYMUIYPUKBDVRYHXRBVSVD
      VTWAXTYQYNXTYQYGYIUEUDZCKZYNXTYGUJKZYQUUPUKXTYGUUFVPZUUQYQUUPCVQKUUQYQUIU
      UPUKCEVRYGYICVSVDVTWAXTUUOXRCXTYGYHWBUDZXRUEUDZOXRUEUDZUUOXRXTUUSOXRUEUUQ
      UUAUUSOPXTYGWCUURUULVOZWDUUQYSUUCUUTUUOPXTYGYHXRWEUURUUNXTYMUUCUUDUUEWAZW
      FXTYMUUCUVAXRPUUDUUEXRWGUTWHWIWJWKWLXRBCWMYIBCWMWNWOXTYKYHWPNZYGWBUDZYHYG
      WBUDZOYSUUCYKUVEPXTYHXRWQUUNUVCVOXTUVDYHYGWBUUBUMYHWRWSZUVDYHPXTYHWTUUMYT
      UMYGXAWSZUVGXTOULKUMOWRWSYTUVHUIUVGXBUMOXCXBXDXEOYGXFXGUUFXTXRVAUNZUVHXTX
      RVAUUKXHXTUUCUVIUVHVJUVCXRXIWAXJVOVOWDXTUVFUUSOYSUUQUVFUUSPXTYHYGXKUUNUUR
      VOUVBXLXMVOXNXO $.
      $( [25-Oct-1999] $)
  $}

  ${
    $d x y C $.  $d x y u $.
    strlem2.1 $e |- S = { <. x , y >. | ( x e. CH /\
                    y = ( ( normh ` ( ( proj ` x ) ` u ) ) ^ 2 ) ) } $.
    $( Lemma for strong state theorem. $)
    strlem2 $p |- ( C e. CH ->
                  ( S ` C ) = ( ( normh ` ( ( proj ` C ) ` u ) ) ^ 2 ) ) $=
      ( cv cpj cfv cno c2 cexp co cch wceq fveq2 fveq1d fveq2d opreq1d oprex
      fvopab4 ) ABDCGZAGZHIZIZJIZKLMUBDHIZIZJIZKLMNEUCDOZUFUIKLUJUEUHJUJUBUDUGU
      CDHPQRSFUIKLTUA $.
      $( [28-Oct-1999] $)
  $}

  ${
    $d x z w u $.  $d z w S $.  $d x y u $.  $d y z w $.
    strlem3a.1 $e |- S = { <. x , y >. | ( x e. CH /\
                    y = ( ( normh ` ( ( proj ` x ) ` u ) ) ^ 2 ) ) } $.
    $( Lemma for strong state theorem:  the function ` S ` , that maps a closed
       subspace to the square of the norm of its projection onto a unit vector,
       is a state. $)
    strlem3a $p |- ( ( u e. H~ /\ ( normh ` u ) = 1 ) -> S e. States ) $=
      ( vz vw cv chil wcel cno cfv c1 wceq wa cch cr wf cc0 cle wbr wral cort
      wss chj co caddc wi cst cpj c2 cexp pjhclt adantrr normclt resqclt 3syl
      expcom r19.21aiv fopab2 sylib sqge0t strlem2 adantr breqtrrd pjnormt
      simprr breqtrd wb 1re 0re lt01 ltlei pm3.2i le2sqt mpan2 syl normge0t
      sylanc mpbid sq1 syl6breq eqbrtrd jca pjch1t fveq2d opreq1d opreq1
      syl6eq sylan9eq helch ax-mp syl5eq w3a cva pjcjt2 imp pjopytht eqtrd
      chjclt 3adant3 3simpa opreqan12d 3eqtr4d 3exp1 com3r r19.21adv stelt
      sylibr ) CHZIJZXJKLZMNZOZPQDRZSFHZDLZTUAZXQMTUAZOZFPUBZOZIDLZMNZXPGHZUCLU
      DZXPYEUEUFZDLZXQYEDLZUGUFZNZUHZGPUBZFPUBZOZODUIJXNYBYOXNXOYAXNXJAHZUJLLZK
      LZUKULUFZQJZAPUBXOXNYTAPYPPJZXNYTUUAXNOYQIJZYRQJYTUUAXKUUBXMXJYPUMUNYQUOY
      RUPUQURUSABPQYSDEUTVAXNXTFPXPPJZXNXTUUCXNOZXRXSUUDSXJXPUJLLZKLZUKULUFZXQT
      UUDUUEIJZUUFQJZSUUGTUAUUCXKUUHXMXJXPUMUNZUUEUOZUUFVBUQUUCXQUUGNXNABCXPDEV
      CZVDZVEUUDXQUUGMTUUMUUDUUGMUKULUFZMTUUDUUFMTUAZUUGUUNTUAZUUDUUFXLMTUUCXKU
      UFXLTUAXMXJXPVFUNUUCXKXMVGVHUUISUUFTUAZUUOUUPVIZUUDUUIUUQOMQJZSMTUAZOUURU
      USUUTVJSMVKVJVLVMVNUUFMVOVPUUDUUHUUIUUJUUKVQUUDUUHUUQUUJUUEVRVQVSVTWAWBWC
      WDURUSWDXNYDYNXNXJIUJLLZKLZUKULUFZMYCXKXMUVCXLUKULUFZMXKUVBXLUKULXKUVAXJK
      XJWEWFWGXMUVDUUNMXLMUKULWHWAWIWJIPJYCUVCNWKABCIDEVCWLWMXNYMFPXNUUCYLGPXKU
      UCYEPJZYLUHUHXMUUCUVEXKYLUUCUVEXKYFYKUUCUVEXKWNZYFOZXJYGUJLLZKLZUKULUFZUU
      GXJYEUJLLZKLUKULUFZUGUFZYHYJUVGUVJUUEUVKWOUFZKLZUKULUFZUVMUVGUVIUVOUKULUV
      GUVHUVNKUVFYFUVHUVNNXJYEXPWPWQWFWGUVFYFUVPUVMNXJYEXPWRWQWSUVGYGPJZYHUVJNU
      VFUVQYFUUCUVEUVQXKXPYEWTXAVDABCYGDEVCVQUVGUUCUVEOZYJUVMNUVFUVRYFUUCUVEXKX
      BVDUUCUVEXQUUGYIUVLUGUULABCYEDEVCXCVQXDXEXFVDXGUSWDWDFGDXHXI $.
      $( [28-Oct-1999] $)
  $}

  ${
    $d x z w ph $.  $d z w S $.  $d x y u $.  $d y z w $.
    $d x y A $.  $d x y B $.
    strlem3.1 $e |- S = { <. x , y >. | ( x e. CH /\
                    y = ( ( normh ` ( ( proj ` x ) ` u ) ) ^ 2 ) ) } $.
    strlem3.2 $e |- ( ph <-> ( u e. ( A \ B ) /\ ( normh ` u ) = 1 ) ) $.
    strlem3.3 $e |- A e. CH $.
    strlem3.4 $e |- B e. CH $.
    $( Lemma for strong state theorem:  the function ` S ` , that maps a closed
       subspace to the square of the norm of its projection onto a unit vector,
       is a state.  This lemma restates the hypotheses in a more convenient
       form to work with. $)
    strlem3 $p |- ( ph -> S e. States ) $=
      ( cv cdif wcel cno cfv c1 wceq wa cst chil strlem3a eldifi chel syl
      sylan sylbi ) ADLZEFMNZUHOPQRZSGTNZIUHUANZUJUKUIBCDGHUBUIUHENULUHEFUCUHEJ
      UDUEUFUG $.
      $( [28-Oct-1999] $)

    $( Lemma for strong state theorem. $)
    strlem4 $p |- ( ph -> ( S ` A ) = 1 ) $=
      ( cv cpj cfv cno c2 cexp co c1 cdif wcel wceq wa eqeq2 cch pjidt mpan
      fveq2d syl5bi impcom eldifi sylan sylbi opreq1d sq1 syl6eq strlem2 ax-mp
      syl5eq ) ADLZEMNNZONZPQRZSEGNZAVCSPQRSAVBSPQAUTEFTUAZUTONZSUBZUCVBSUBZIUT
      EUAZVGVHVEVGVIVHVGVBVFUBVHVIVFSVBUDVIVAUTOEUEUAZVIVAUTUBJUTEUFUGUHUIUJUTE
      FUKULUMUNUOUPVJVDVCUBJBCDEGHUQURUS $.
      $( [2-Nov-1999] $)

    $( Lemma for strong state theorem. $)
    strlem5 $p |- ( ph -> ( S ` B ) < 1 ) $=
      ( cv cdif wcel cno cfv c1 wceq wa clt wbr c2 cexp co cpj breq2 wn eldif
      chil cch wb pjnelt mpan biimpa chel sylan sylbi syl5bi impcom eldifi cr
      cc0 cle 1re 0re lt01 ltlei pm3.2i lt2sqt mpan2 pjhcl normclt syl
      normge0t sylanc 3syl adantr mpbid strlem2 ax-mp syl5eqbr sq1 syl6breq )
      ADLZEFMNZWDOPZQRZSZFGPZQTUAIWHWIQUBUCUDZQTWHWDFUEPPZOPZUBUCUDZWJWITWHWLQT
      UAZWMWJTUAZWGWEWNWGWLWFTUAZWNWEWFQWLTUFWEWDENZWDFNUGZSWPWDEFUHWDUINZWRWPW
      QWSWRWPFUJNZWSWRWPUKKWDFULUMUNWDEJUOZUPUQURUSWEWNWOUKZWGWEWQWSXBWDEFUTXAW
      LVANZVBWLVCUAZXBWSXCXDSQVANZVBQVCUAZSXBXEXFVDVBQVEVDVFVGVHWLQVIVJWSWKUINZ
      XCWDFKVKZWKVLVMWSXGXDXHWKVNVMVOVPVQVRWTWIWMRKBCDFGHVSVTWAWBWCUQ $.
      $( [2-Nov-1999] $)

    $( Lemma for strong state theorem. $)
    strlem6 $p |- ( ph -> -. ( ( S ` A ) = 1 -> ( S ` B ) = 1 ) ) $=
      ( cfv c1 wceq wn wa wi strlem4 wne cr wcel clt wbr 1re ltnet mp3an2 cst
      strlem3 cch stclt mpi syl strlem5 sylanc necomd df-ne sylib jca annim )
      AEGLMNZFGLZMNZOZPUTVBQOAUTVCABCDEFGHIJKRAVAMSVCAMVAVATUAZVAMUBUCZMVASZAVD
      MTUAVEVFUDVAMUEUFAGUGUAZVDABCDEFGHIJKUHVGFUIUAVDKFGUJUKULABCDEFGHIJKUMUNU
      OVAMUPUQURUTVBUSUQ $.
      $( [2-Nov-1999] $)
  $}

  ${
    $d x y u f A $.  $d x y u f B $.
    str.1 $e |- A e. CH $.
    str.2 $e |- B e. CH $.
    $( Strong state theorem.  The states on a Hilbert lattice define an
       ordering.  Remark in [Mayet] p. 370. $)
    str $p |- ( A. f e. States ( ( f ` A ) = 1 -> ( f ` B ) = 1 ) ->
              A (_ B ) $=
      ( vu vx vy cv cfv c1 wceq wi cst wral wn wrex wss dfral2 cno cdif
      strlem1 cch wcel cpj c2 cexp co wa copab fveq1 eqeq1d imbi12d negbid
      rcla4ev eqid pm4.2 strlem3 strlem6 sylanc r19.23aiva syl con1i sylbi ) AC
      IZJZKLZBVEJZKLZMZCNOVJPZCNQZPABRZVJCNSVMVLVMPFIZTJKLZFABUAZQVLFABDEUBVOVL
      FVPGIZUCUDHIVNVQUEJJTJUFUGUHLUIGHUJZNUDAVRJZKLZBVRJZKLZMZPZVLVNVPUDVOUIZV
      KWDCVRNVEVRLZVJWCWFVGVTVIWBWFVFVSKAVEVRUKULWFVHWAKBVEVRUKULUMUNUOWEGHFABV
      RVRUPZWEUQZDEURWEGHFABVRWGWHDEUSUTVAVBVCVD $.
      $( [2-Nov-1999] $)

    $( Strong state theorem (bidirectional version). $)
    strb $p |- ( A. f e. States ( ( f ` A ) = 1 -> ( f ` B ) = 1 ) <->
              A (_ B ) $=
      ( cv cfv c1 wceq wi cst wral wss str wcel stles com12 r19.21aiv impbi )
      ACFZGHIBTGHIJZCKLABMZABCDENUBUACKTKOUBUAABTDEPQRS $.
      $( [7-Apr-2001] $)
  $}

  ${
    $d x y C $.  $d x y u $.
    hstrlem2.1 $e |- S = { <. x , y >. | ( x e. CH /\
                      y = ( ( proj ` x ) ` u ) ) } $.
    $( Lemma for strong set of CH states theorem. $)
    hstrlem2 $p |- ( C e. CH ->
                  ( S ` C ) = ( ( proj ` C ) ` u ) ) $=
      ( cv cpj cfv cch wceq fveq2 fveq1d fvex fvopab4 ) ABDCGZAGZHIZIPDHIZIJEQD
      KPRSQDHLMFPSNO $.
      $( [23-Jul-2006] $) $( [30-Jun-2006] $)
  $}

  ${
    $d x z w u $.  $d z w S $.  $d x y u $.  $d y z w $.
    hstrlem3a.1 $e |- S = { <. x , y >. | ( x e. CH /\
                      y = ( ( proj ` x ) ` u ) ) } $.
    $( Lemma for strong set of CH states theorem:  the function ` S ` , that
       maps a closed subspace to the square of the norm of its projection onto
       a unit vector, is a state. $)
    hstrlem3a $p |- ( ( u e. H~ /\ ( normh ` u ) = 1 ) -> S e. CHStates ) $=
      ( vz vw cv chil wcel cno cfv c1 wceq wa cch wf cort wss csp co cc0 chj
      cva wi wral w3a chst cpj pjhclt adantrr expcom r19.21aiv fopab2 sylib
      pjch1t fveq2d id sylan9eq helch hstrlem2 ax-mp fveq2i syl5eq opreqan12d
      3adant3 adantr pjoi0t eqtrd pjcjt2 imp chjclt syl 3eqtr4d jca 3exp1
      com3r r19.21adv 3jca hstelt sylibr ) CHZIJZWBKLZMNZOZPIDQZIDLZKLZMNZFHZGH
      ZRLSZWKDLZWLDLZTUAZUBNZWKWLUCUAZDLZWNWOUDUAZNZOZUEZGPUFZFPUFZUGDUHJWFWGWJ
      XEWFWBAHZUILLZIJZAPUFWGWFXHAPXFPJZWFXHXIWCXHWEWBXFUJUKULUMABPIXGDEUNUOWFW
      BIUILLZKLZMWIWCWEXKWDMWCXJWBKWBUPUQWEURUSWHXJKIPJWHXJNUTABCIDEVAVBVCVDWFX
      DFPWFWKPJZXCGPWCXLWLPJZXCUEUEWEXLXMWCXCXLXMWCWMXBXLXMWCUGZWMOZWQXAXOWPWBW
      KUILLZWBWLUILLZTUAZUBXNWPXRNZWMXLXMXSWCXLXMWNXPWOXQTABCWKDEVAZABCWLDEVAZV
      EVFVGWBWKWLVHVIXOWBWRUILLZXPXQUDUAZWSWTXNWMYBYCNWBWLWKVJVKXNWSYBNZWMXLXMY
      DWCXLXMOWRPJYDWKWLVLABCWRDEVAVMVFVGXNWTYCNZWMXLXMYEWCXLXMWNXPWOXQUDXTYAVE
      VFVGVNVOVPVQVGVRUMVSFGDVTWA $.
      $( [23-Jul-2006] $) $( [30-Jun-2006] $)
  $}

  ${
    $d x z w ph $.  $d z w S $.  $d x y u $.  $d y z w $.
    $d x y A $.  $d x y B $.
    hstrlem3.1 $e |- S = { <. x , y >. | ( x e. CH /\
                      y = ( ( proj ` x ) ` u ) ) } $.
    hstrlem3.2 $e |- ( ph <-> ( u e. ( A \ B ) /\ ( normh ` u ) = 1 ) ) $.
    hstrlem3.3 $e |- A e. CH $.
    hstrlem3.4 $e |- B e. CH $.
    $( Lemma for strong set of CH states theorem:  the function ` S ` ,
       that maps a closed  subspace to the square of the norm of its projection
       onto a unit vector, is a state.  This lemma restates the hypotheses in a
       more convenient form to work with. $)
    hstrlem3 $p |- ( ph -> S e. CHStates ) $=
      ( cv cdif wcel cno cfv c1 wceq wa chst chil hstrlem3a eldifi chel syl
      sylan sylbi ) ADLZEFMNZUHOPQRZSGTNZIUHUANZUJUKUIBCDGHUBUIUHENULUHEFUCUHEJ
      UDUEUFUG $.
      $( [23-Jul-2006] $) $( [30-Jun-2006] $)

    $( Lemma for strong set of CH states theorem. $)
    hstrlem4 $p |- ( ph -> ( normh ` ( S ` A ) ) = 1 ) $=
      ( cv cpj cfv cno c1 cdif wcel wceq wa eqeq2 cch pjidt mpan fveq2d syl5bi
      impcom eldifi sylan sylbi hstrlem2 ax-mp fveq2i syl5eq ) ADLZEMNNZONZPEGN
      ZONAUOEFQRZUOONZPSZTUQPSZIUOERZVAVBUSVAVCVBVAUQUTSVBVCUTPUQUAVCUPUOOEUBRZ
      VCUPUOSJUOEUCUDUEUFUGUOEFUHUIUJURUPOVDURUPSJBCDEGHUKULUMUN $.
      $( [23-Jul-2006] $) $( [30-Jun-2006] $)

    $( Lemma for strong set of CH states theorem. $)
    hstrlem5 $p |- ( ph -> ( normh ` ( S ` B ) ) < 1 ) $=
      ( cv cdif wcel cno cfv c1 wceq wa clt wbr cpj breq2 wn eldif chil cch wb
      pjnelt mpan biimpa chel sylan sylbi syl5bi impcom hstrlem2 fveq2d ax-mp
      syl5eqbr ) ADLZEFMNZVAOPZQRZSZFGPZOPZQTUAIVEVAFUBPPZOPZQVGTVDVBVIQTUAZVDV
      IVCTUAZVJVBVCQVITUCVBVAENZVAFNUDZSVKVAEFUEVAUFNZVMVKVLVNVMVKFUGNZVNVMVKUH
      KVAFUIUJUKVAEJULUMUNUOUPVOVGVIRKVOVFVHOBCDFGHUQURUSUTUN $.
      $( [23-Jul-2006] $) $( [30-Jun-2006] $)

    $( Lemma for strong set of CH states theorem. $)
    hstrlem6 $p |- ( ph -> -. ( ( normh ` ( S ` A ) ) = 1 ->
                    ( normh ` ( S ` B ) ) = 1 ) ) $=
      ( cfv cno c1 wceq wn wa wi hstrlem4 wne cr wcel clt wbr 1re ltnet mp3an2
      chst chil hstrlem3 cch hstclt mpan2 normclt 3syl hstrlem5 sylanc necomd
      df-ne sylib jca annim ) AEGLMLNOZFGLZMLZNOZPZQVCVFRPAVCVGABCDEFGHIJKSAVEN
      TVGANVEVEUAUBZVENUCUDZNVETZAVHNUAUBVIVJUEVENUFUGAGUHUBZVDUIUBZVHABCDEFGHI
      JKUJVKFUKUBVLKFGULUMVDUNUOABCDEFGHIJKUPUQURVENUSUTVAVCVFVBUT $.
      $( [23-Jul-2006] $) $( [30-Jun-2006] $)
  $}

  ${
    $d x y u f A $.  $d x y u f B $.
    hstr.1 $e |- A e. CH $.
    hstr.2 $e |- B e. CH $.
    $( Hilbert space admits a strong set of Hilbert-space-valued states
       (CH-states).  Theorem in [Mayet3] p. 10. $)
    hstr $p |- ( A. f e. CHStates ( ( normh ` ( f ` A ) ) = 1 ->
                ( normh ` ( f ` B ) ) = 1 ) -> A (_ B ) $=
      ( vu vx vy cv cfv cno c1 wceq wi chst wral wn wrex wss dfral2 cdif
      strlem1 cch wcel cpj wa copab fveq1 fveq2d eqeq1d imbi12d negbid rcla4ev
      eqid pm4.2 hstrlem3 hstrlem6 sylanc r19.23aiva syl con1i sylbi ) ACIZJZKJ
      ZLMZBVCJZKJZLMZNZCOPVJQZCORZQABSZVJCOTVMVLVMQFIZKJLMZFABUAZRVLFABDEUBVOVL
      FVPGIZUCUDHIVNVQUEJJMUFGHUGZOUDAVRJZKJZLMZBVRJZKJZLMZNZQZVLVNVPUDVOUFZVKW
      FCVROVCVRMZVJWEWHVFWAVIWDWHVEVTLWHVDVSKAVCVRUHUIUJWHVHWCLWHVGWBKBVCVRUHUI
      UJUKULUMWGGHFABVRVRUNZWGUOZDEUPWGGHFABVRWIWJDEUQURUSUTVAVB $.
      $( [23-Jul-2006] $) $( [30-Jun-2006] $)

    $( Strong CH-state theorem (bidirectional version).  Theorem in [Mayet3]
       p. 10 and its converse. $)
    hstrb $p |- ( A. f e. CHStates ( ( normh ` ( f ` A ) ) = 1 ->
              ( normh ` ( f ` B ) ) = 1 ) <-> A (_ B ) $=
      ( cv cfv cno c1 wceq wi chst wral wss hstr wcel cch wa hstlest mpanr1
      mpanl2 expcom r19.21aiv impbi ) ACFZGHGIJBUEGHGIJKZCLMABNZABCDEOUGUFCLUEL
      PZUGUFUHAQPZUGUFDUHUIRBQPUGUFEABUESTUAUBUCUD $.
      $( [7-Oct-2006] $) $( [30-Jun-2006] $)
  $}

  ${
    $d f A $.
    large.1 $e |- A e. CH $.
    $( A Hilbert lattice admits a large set of states.  Remark in [Mayet]
       p. 370. $)
    large $p |- ( -. A = 0H <-> E. f e. States ( f ` A ) = 1 ) $=
      ( cv cfv c1 wceq cst wrex c0h wn wral ralnex wi wss wcel wb cc0 wne
      ax1ne0 df-ne mpbi st0 eqeq1d eqcom syl6bb mtbiri mtt syl ralbiia h0elch
      strb chle0 3bitr bitr3 con1bii ) ABDZEFGZBHIZAJGZUSKURKZBHLZUTURBHMVBURJU
      QEZFGZNZBHLAJOUTVAVEBHUQHPZVDKVAVEQVFVDFRGZFRSVGKTFRUAUBVFVDRFGVGVFVCRFUQ
      UCUDRFUEUFUGVDURUHUIUJAJBCUKULACUMUNUOUP $.
      $( [7-Apr-2001] $)
  $}

  ${
    jplem1.1 $e |- A e. CH $.
    $( Lemma for Jauch-Piron theorem. $)
    jplem1 $p |- ( ( u e. H~ /\ ( normh ` u ) = 1 ) ->
          ( u e. A <-> ( ( normh ` ( ( proj ` A ) ` u ) ) ^ 2 ) = 1 ) ) $=
      ( cv chil wcel cno cfv c1 wceq wa cpj c2 cexp co cch wb pjnorm2t mpan
      eqeq2 sylan9bb cr cc0 cle wbr 1re 0re lt01 ltlei pm3.2i sq11t mpan2
      pjhcl normclt syl normge0t sylanc sq1 eqeq2i syl5bbr adantr bitr4d ) ADZE
      FZVCGHZIJZKVCBFZVCBLHHZGHZIJZVIMNOZIJZVDVGVIVEJZVFVJBPFVDVGVMQCVCBRSVEIVI
      TUAVDVLVJQVFVDVKIMNOZJZVJVLVIUBFZUCVIUDUEZVOVJQZVDVPVQKIUBFZUCIUDUEZKVRVS
      VTUFUCIUGUFUHUIUJVIIUKULVDVHEFZVPVCBCUMZVHUNUOVDWAVQWBVHUPUOUQVNIVKURUSUT
      VAVB $.
      $( [31-Jul-2006] $) $( [8-Apr-2001] $)
  $}

  ${
    $d x z w u $.  $d z w S $.  $d x y u $.  $d y z w $.
    $d x y A $.  $d x y B $.
    jp.1 $e |- S = { <. x , y >. | ( x e. CH /\
                    y = ( ( normh ` ( ( proj ` x ) ` u ) ) ^ 2 ) ) } $.
    jp.2 $e |- A e. CH $.
    $( Lemma for Jauch-Piron theorem. $)
    jplem2 $p |- ( ( u e. H~ /\ ( normh ` u ) = 1 ) ->
                 ( u e. A <-> ( S ` A ) = 1 ) ) $=
      ( cv chil wcel cno cfv c1 wceq wa cpj c2 cexp co jplem1 cch strlem2
      ax-mp eqeq1i syl6bbr ) CHZIJUFKLMNOUFDJUFDPLLKLQRSZMNDELZMNCDGTUHUGMDUAJU
      HUGNGABCDEFUBUCUDUE $.
      $( [8-Apr-2001] $)

    ${
      jp.3 $e |- B e. CH $.
      $( The function ` S ` , that maps a closed subspace to the square of the
         norm of its projection onto a unit vector, is a Jauch-Piron state.
         Remark in [Mayet] p. 370.  (See ~ strlem3a for the proof that ` S ` is
         a state.) $)
      jp $p |- ( ( u e. H~ /\ ( normh ` u ) = 1 ) -> ( ( ( S ` A ) = 1
               /\ ( S ` B ) = 1 ) <-> ( S ` ( A i^i B ) ) = 1 ) ) $=
        ( cv chil wcel cno cfv c1 wceq wa cin jplem2 anbi12d elin syl5bb
        chincl bitr3d ) CJZKLUEMNOPQZUEDERZLZDFNOPZEFNOPZQZUGFNOPUFUEDLZUEELZQU
        KUHUFULUIUMUJABCDFGHSABCEFGISTUEDEUAUBABCUGFGDEHIUCSUD $.
        $( [8-Apr-2001] $)
    $}
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Godowski's equation
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    golem1.1 $e |- A e. CH $.
    golem1.2 $e |- B e. CH $.
    golem1.3 $e |- C e. CH $.
    golem1.4 $e |- F = ( ( _|_ ` A ) vH ( A i^i B ) ) $.
    golem1.5 $e |- G = ( ( _|_ ` B ) vH ( B i^i C ) ) $.
    golem1.6 $e |- H = ( ( _|_ ` C ) vH ( C i^i A ) ) $.
    golem1.7 $e |- D = ( ( _|_ ` B ) vH ( B i^i A ) ) $.
    golem1.8 $e |- R = ( ( _|_ ` C ) vH ( C i^i B ) ) $.
    golem1.9 $e |- S = ( ( _|_ ` A ) vH ( A i^i C ) ) $.
    $( Lemma for Godowski's equation. $)
    golem1 $p |- ( f e. States -> ( ( ( f ` F ) + ( f ` G ) ) + ( f ` H ) ) =
                 ( ( ( f ` D ) + ( f ` R ) ) + ( f ` S ) ) ) $=
      ( cv cst wcel cort cfv cin chj co caddc cc wceq axaddass cch cr choccl
      stclt mpi recnd syl3anc axaddcom axaddcl sylanc eqtrd opreq1d add4t
      chincl syl2anc 3eqtr4d stji1 opreq12d incom fveq2i opreq2i syl6eq
      opreq12i 3eqtr4g ) GTZUAUBZAUCUDZABUEZUFUGZVPUDZBUCUDZBCUEZUFUGZVPUDZUHUG
      ZCUCUDZCAUEZUFUGZVPUDZUHUGZWBBAUEZUFUGZVPUDZWGCBUEZUFUGZVPUDZUHUGZVRACUEZ
      UFUGZVPUDZUHUGZHVPUDZIVPUDZUHUGZJVPUDZUHUGDVPUDZEVPUDZUHUGZFVPUDZUHUGVQVR
      VPUDZVSVPUDZUHUGZWBVPUDZWCVPUDZUHUGZUHUGZWGVPUDZWHVPUDZUHUGZUHUGZXNXLUHUG
      ZXRXOUHUGZUHUGZXKXSUHUGZUHUGZWKXBVQXKXNUHUGZXLXOUHUGZUHUGZXTUHUGZXNXRUHUG
      ZYHUHUGZYEUHUGZYAYFVQYGXRUHUGZYHXSUHUGZUHUGZYKXKUHUGZYOUHUGZYJYMVQYNYQYOU
      HVQYNXKYKUHUGZYQXKUIUBZXNUIUBZXRUIUBZYNYSUJVQXKXNXRUKVQXKVQVRULUBXKUMUBAK
      UNVRVPUOUPUQZVQXNVQWBULUBXNUMUBBLUNWBVPUOUPUQZVQXRVQWGULUBXRUMUBCMUNWGVPU
      OUPUQZURYTYKUIUBZYSYQUJVQXKYKUSUUCUUAUUBUUFVQXNXRUTUUDUUEVAZVAVBVCYGUIUBZ
      YHUIUBZUUBXSUIUBZYJYPUJVQYGYHXRXSVDYTUUAUUHVQXKXNUTUUCUUDVAXLUIUBZXOUIUBZ
      UUIVQXLXOUTVQXLVQVSULUBXLUMUBABKLVEVSVPUOUPUQZVQXOVQWCULUBXOUMUBBCLMVEWCV
      PUOUPUQZVAZUUEVQXSVQWHULUBXSUMUBCAMKVEWHVPUOUPUQZVFUUFUUIYTUUJYMYRUJVQYKY
      HXKXSVDUUGUUOUUCUUPVFVGVQXQYIXTUHYTUUKUUAUULXQYIUJVQXKXLXNXOVDUUCUUMUUDUU
      NVFVCVQYDYLYEUHUUAUUKUUBUULYDYLUJVQXNXLXRXOVDUUDUUMUUEUUNVFVCVGVQWFXQWJXT
      UHVQWAXMWEXPUHABVPKLVHBCVPLMVHVICAVPMKVHVIVQWRYDXAYEUHVQWNYBWQYCUHVQWNXNW
      LVPUDZUHUGYBBAVPLKVHUUQXLXNUHWLVSVPBAVJVKVLVMVQWQXRWOVPUDZUHUGYCCBVPMLVHU
      URXOXRUHWOWCVPCBVJVKVLVMVIVQXAXKWSVPUDZUHUGYEACVPKMVHUUSXSXKUHWSWHVPACVJV
      KVLVMVIVGXEWFXFWJUHXCWAXDWEUHHVTVPNVKIWDVPOVKVNJWIVPPVKVNXIWRXJXAUHXGWNXH
      WQUHDWMVPQVKEWPVPRVKVNFWTVPSVKVNVO $.
      $( [10-Nov-2002] $)


    $( Lemma for Godowski's equation. $)
    golem2 $p |- ( f e. States ->
              ( ( f ` ( ( F i^i G ) i^i H ) ) = 1 -> ( f ` D ) = 1 ) ) $=
      ( cv cst wcel cin cfv c1 wceq caddc co c3 cort chj cch choccl chincl
      chjcl eqeltr stm1add3 golem1 eqeq1d sylibd stadd3 syld ) GTZUAUBZHIUCJUCV
      CUDUEUFZDVCUDZEVCUDUGUHFVCUDUGUHZUIUFZVFUEUFVDVEHVCUDIVCUDUGUHJVCUDUGUHZU
      IUFVHHIJVCHAUJUDZABUCZUKUHULNVJVKAKUMZABKLUNUOUPIBUJUDZBCUCZUKUHULOVMVNBL
      UMZBCLMUNUOUPJCUJUDZCAUCZUKUHULPVPVQCMUMZCAMKUNUOUPUQVDVIVGUIABCDEFGHIJKL
      MNOPQRSURUSUTDEFVCDVMBAUCZUKUHULQVMVSVOBALKUNUOUPEVPCBUCZUKUHULRVPVTVRCBM
      LUNUOUPFVJACUCZUKUHULSVJWAVLACKMUNUOUPVAVB $.
      $( [13-Nov-1999] $)
  $}

  ${
    $d f F $.  $d f G $.  $d f H $.  $d f D $.
    goeq.1 $e |- A e. CH $.
    goeq.2 $e |- B e. CH $.
    goeq.3 $e |- C e. CH $.
    goeq.4 $e |- F = ( ( _|_ ` A ) vH ( A i^i B ) ) $.
    goeq.5 $e |- G = ( ( _|_ ` B ) vH ( B i^i C ) ) $.
    goeq.6 $e |- H = ( ( _|_ ` C ) vH ( C i^i A ) ) $.
    goeq.7 $e |- D = ( ( _|_ ` B ) vH ( B i^i A ) ) $.
    $( Godowski's equation, shown here as a variant equivalent to
       Equation SF of [Godowski] p. 730. $)
    goeq $p |- ( ( F i^i G ) i^i H ) (_ D $=
      ( vf cin cv cfv c1 wceq wi wss cst cort chj co cch choccl chincl chjcl
      eqeltr str eqid golem2 mprg ) EFPZGPZOQZRSTDURRSTUAUQDUBOUCUQDOUPGEFEAUDR
      ZABPZUEUFUGKUSUTAHUHABHIUIUJUKFBUDRZBCPZUEUFUGLVAVBBIUHZBCIJUIUJUKUIGCUDR
      ZCAPZUEUFUGMVDVECJUHCAJHUIUJUKUIDVABAPZUEUFUGNVAVFVCBAIHUIUJUKULABCDVDCBP
      UEUFZUSACPUEUFZOEFGHIJKLMNVGUMVHUMUNUO $.
      $( [10-Nov-2002] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y S $.
    stcltr1.1 $e |- ( ph <-> ( S e. States /\ A. x e. CH A. y e. CH
                ( ( ( S ` x ) = 1 -> ( S ` y ) = 1 ) -> x (_ y ) ) ) $.
    stcltr1.2 $e |- A e. CH $.
    ${
      stcltr1.3 $e |- B e. CH $.
      $( Property of a strong classical state. $)
      stcltr1 $p |- ( ph ->
               ( ( ( S ` A ) = 1 -> ( S ` B ) = 1 ) -> A (_ B ) ) $=
        ( cst wcel cv cfv c1 wceq wi wss cch wral wa fveq2 eqeq1d imbi1d sseq1
        imbi12d imbi2d sseq2 rcla42v mp2an adantl sylbi ) AFJKZBLZFMZNOZCLZFMZN
        OZPZUMUPQZPZCRSBRSZTDFMZNOZEFMZNOZPZDEQZPZGVBVIULDRKERKVBVIPHIVAVIVDURP
        ZDUPQZPBCDERRUMDOZUSVJUTVKVLUOVDURVLUNVCNUMDFUAUBUCUMDUPUDUEUPEOZVJVGVK
        VHVMURVFVDVMUQVENUPEFUAUBUFUPEDUGUEUHUIUJUK $.
        $( [24-Oct-1999] $)
    $}

    $( Property of a strong classical state. $)
    stcltr2 $p |- ( ph -> ( ( S ` A ) = 1 -> A = H~ ) ) $=
      ( cfv c1 wceq chil wss wi helch stcltr1 ax-1 syl5 eqss chssi mpbiran
      syl6ibr ) ADEHIJZKDLZDKJZAKEHIJZUBMUCUBABCKDEFNGOUBUEPQUDDKLUCDKRDGSTUA
      $.
      $( [24-Oct-1999] $)

    ${
      stcltrlem1.3 $e |- B e. CH $.
      $( Lemma for strong classical state theorem. $)
      stcltrlem1 $p |- ( ph -> ( ( S ` B ) = 1 ->
                    ( S ` ( ( _|_ ` A ) vH ( A i^i B ) ) ) = 1 ) ) $=
        ( cfv c1 wceq cort cin chj co wa caddc cst wcel cv wi wss cch wral
        pm3.26bi stji1 syl adantr chil stcltr2 imp ineq2 chm1 syl6eq fveq2d
        opreq2d cc axaddcom cr choccl stclt mpi recnd sylanc sto1 eqtrd 3eqtrd
        ex ) AEFJKLZDMJZDENZOPFJZKLAVJQZVMVKFJZVLFJZRPZVODFJZRPZKAVMVQLZVJAFSTZ
        VTAWABUAZFJKLCUAZFJKLUBWBWCUCUBCUDUEBUDUEGUFZDEFHIUGUHUIVNVPVRVORVNVLDF
        VNEUJLZVLDLAVJWEABCEFGIUKULWEVLDUJNDEUJDUMDHUNUOUHUPUQVNWAVSKLAWAVJWDUI
        WAVSVRVORPZKVOURTVRURTVSWFLWAVOVRUSWAVOWAVKUDTVOUTTDHVAVKFVBVCVDWAVRWAD
        UDTVRUTTHDFVBVCVDVEDFHVFVGUHVHVI $.
        $( [24-Oct-1999] $)

      $( Lemma for strong classical state theorem. $)
      stcltrlem2 $p |- ( ph -> B (_ ( ( _|_ ` A ) vH ( A i^i B ) ) ) $=
        ( cfv c1 wceq cort cin chj co wi wss stcltrlem1 choccl chincl chjcl
        stcltr1 mpd ) AEFJKLDMJZDENZOPZFJKLQEUGRABCDEFGHISABCEUGFGIUEUFDHTDEHIU
        AUBUCUD $.
        $( [24-Oct-1999] $)
    $}
  $}

  ${
    $d x y s A $.  $d x y s B $.
    stcltrth.1 $e |- A e. CH $.
    stcltrth.2 $e |- B e. CH $.
    stcltrth.3 $e |- E. s e. States A. x e. CH A. y e. CH
                ( ( ( s ` x ) = 1 -> ( s ` y ) = 1 ) -> x (_ y ) $.
    $( Strong classical state theorem.  If there exists a "strong classical"
       state on lattice ` CH ` , then any two elements of the lattice commute,
       i.e., the lattice is distributive.  (Proof due to Mladen Pavicic.)
       Theorem 3.3 of [MegillPavicic] p. 2344. $)
    stcltrth $p |- B (_ ( ( _|_ ` A ) vH ( A i^i B ) ) $=
      ( cv cfv c1 wceq wi wss cch wral cst wrex cort cin chj co wcel wa pm4.2
      stcltrlem2 r19.23aiva ax-mp ) AIZEIZJKLBIZUJJKLMUIUKNMBOPAOPZEQRDCSJCDTUA
      UBNZHULUMEQUJQUCULUDZABCDUJUNUEFGUFUGUH $.
      $( [24-Oct-1999] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Covering relation; modular pairs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z $.
    $( Define the covers relation (on the Hilbert lattice).  Definition 3.2.18
       of [PtakPulmannova] p. 68, whose notation we use.  Ptak/Pulmannova's
       notation ` A <o B ` is read " ` B ` covers ` A ` " or " ` A ` is covered
       by ` B ` " , and it means that ` B ` is larger than ` A ` and there is
       nothing in between.  See ~ cvbrt and ~ cvbr2t for membership
       relations. $)
    df-cv $a |- <o = { <. x , y >. | ( ( x e. CH /\ y e. CH ) /\
              ( x (. y /\ -. E. z e. CH ( x (. z /\ z (. y ) ) ) } $.

    $( Define the modular pair relation (on the Hilbert lattice).  Definition
       1.1 of [MaedaMaeda] p. 1, who use the notation (x,y)M for "the ordered
       pair <x,y> is a modular pair."  See ~ mdbrt for membership relation. $)
    df-md $a |- MH = { <. x , y >. | ( ( x e. CH /\ y e. CH ) /\
    A. z e. CH ( z (_ y -> ( ( z vH x ) i^i y ) = ( z vH ( x i^i y ) ) ) ) } $.

    $( Define the dual modular pair relation (on the Hilbert lattice).
       Definition 1.1 of [MaedaMaeda] p. 1, who use the notation (x,y)M* for
       "the ordered pair <x,y> is a dual modular pair."  See ~ dmdbrt for
       membership relation. $)
    df-dmd $a |- MH* = { <. x , y >. | ( ( x e. CH /\ y e. CH ) /\
    A. z e. CH ( y (_ z -> ( ( z i^i x ) vH y ) = ( z i^i ( x vH y ) ) ) ) } $.
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x C $.
    $( Binary relation expressing ` B ` covers ` A ` , which means that ` B `
       is larger than ` A ` and there is nothing in between.  Definition
       3.2.18 of [PtakPulmannova] p. 68. $)
    cvbrt $p |- ( ( A e. CH /\ B e. CH ) -> ( A <o B <->
              ( A (. B /\ -. E. x e. CH ( A (. x /\ x (. B ) ) ) ) $=
      ( vy vz cch wcel wa ccv wbr wpss cv wrex wn wceq eleq1 anbi1d psseq1
      rexbidv negbid anbi12d anbi2d psseq2 df-cv brabg bianabs ) BFGZCFGZHZBCIJ
      BCKZBALZKZUKCKZHZAFMZNZHZDLZFGZELZFGZHZURUTKZURUKKZUKUTKZHZAFMZNZHZHUGVAH
      ZBUTKZULVEHZAFMZNZHZHUIUQHDEBCFFIURBOZVBVJVIVOVPUSUGVAURBFPQVPVCVKVHVNURB
      UTRVPVGVMVPVFVLAFVPVDULVEURBUKRQSTUAUAUTCOZVJUIVOUQVQVAUHUGUTCFPUBVQVKUJV
      NUPUTCBUCVQVMUOVQVLUNAFVQVEUMULUTCUKUCUBSTUAUADEAUDUEUF $.
      $( [11-Jun-2004] $) $( [4-Jun-2004] $)

    $( Binary relation expressing ` B ` covers ` A ` .  Definition of covers
       in [Kalmbach] p. 15. $)
    cvbr2t $p |- ( ( A e. CH /\ B e. CH ) -> ( A <o B <->
             ( A (. B /\ A. x e. CH ( ( A (. x /\ x (_ B ) -> x = B ) ) ) ) $=
      ( cch wcel wa ccv wbr wpss cv wrex wn wss wceq wi wral cvbrt iman anass
      dfpss2 anbi2i bitr4 negbii bitr ralbii ralnex syl6bbr ) BDECDEFBCGHBCIZBA
      JZIZUICIZFZADKLZFUHUJUICMZFZUICNZOZADPZFABCQURUMUHURULLZADPUMUQUSADUQUOUP
      LZFZLUSUOUPRVAULVAUJUNUTFZFULUJUNUTSUKVBUJUICTUAUBUCUDUEULADUFUDUAUG $.
      $( [11-Jun-2004] $) $( [9-Jun-2004] $)

    $( Contraposition law for the covers relation. $)
    cvcon3t $p |- ( ( A e. CH /\ B e. CH ) ->
                   ( A <o B <-> ( _|_ ` B ) <o ( _|_ ` A ) ) ) $=
      ( vx vy cch wcel wa wpss cv wrex wn cort cfv ccv wbr chpsscon3t wb
      adantlr ancoms adantll anbi12d wi wceq psseq2 psseq1 rcla4ev chocclt
      sylan ex ancomsd adantl sylbid r19.23adva chpsscon1t chpsscon2t impbid
      negbid cvbrt syl2an 3bitr4d ) AEFZBEFZGZABHZACIZHZVEBHZGZCEJZKZGBLMZALMZH
      ZVKDIZHZVNVLHZGZDEJZKZGZABNOVKVLNOZVCVDVMVJVSABPVCVIVRVCVIVRVCVHVRCEVCVEE
      FZGZVHVELMZVLHZVKWDHZGZVRWCVFWEVGWFVAWBVFWEQVBAVEPRVBWBVGWFQZVAWBVBWHVEBP
      STUAWBWGVRUBVCWBWFWEVRWBWFWEGZVRWDEFWIVRWBVQWIDWDEVNWDUCVOWFVPWEVNWDVKUDV
      NWDVLUEUAUFVEUGUHUIUJUKULUMVCVQVIDEVCVNEFZGZVQVNLMZBHZAWLHZGZVIWKVOWMVPWN
      VBWJVOWMQVABVNUNTVAWJVPWNQZVBWJVAWPVNAUOSRUAWJWOVIUBVCWJWNWMVIWJWNWMGZVIW
      LEFWQVIWJVHWQCWLEVEWLUCVFWNVGWMVEWLAUDVEWLBUEUAUFVNUGUHUIUJUKULUMUPUQUACA
      BURVBVAWAVTQZVKEFVLEFWRVBVADVKVLURBUGAUGUSSUT $.
      $( [11-Jul-2004] $) $( [12-Jun-2004] $)

    $( The covering relation implies proper subset. $)
    cvpsst $p |- ( ( A e. CH /\ B e. CH ) -> ( A <o B -> A (. B ) ) $=
      ( vx cch wcel wa ccv wbr wpss cv wrex wn cvbrt pm3.26 syl6bi ) ADEBDEFABG
      HABIZACJZIQBIFCDKLZFPCABMPRNO $.
      $( [11-Jul-2004] $) $( [10-Jun-2004] $)

    $( The covering relation implies no in-betweenness. $)
    cvnbtwnt $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) -> ( A <o B ->
                  -. ( A (. C /\ C (. B ) ) ) $=
      ( vx cch wcel ccv wbr wpss wa wn wi cv wrex cvbrt wceq psseq2 psseq1
      anbi12d rcla4ev ex con3d com12 adantl syl6bi com23 3impia ) AEFZBEFZCEFZA
      BGHZACIZCBIZJZKZLUHUIJZUKUJUOUPUKABIZADMZIZURBIZJZDENZKZJUJUOLZDABOVCVDUQ
      UJVCUOUJUNVBUJUNVBVAUNDCEURCPUSULUTUMURCAQURCBRSTUAUBUCUDUEUFUG $.
      $( [11-Jul-2004] $) $( [12-Jun-2004] $)
  $}

  $( The covering relation implies no in-betweenness. $)
  cvnbtwn2t $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) -> ( A <o B ->
                ( ( A (. C /\ C (_ B ) -> C = B ) ) ) $=
    ( cch wcel w3a ccv wbr wpss wa wn wss wceq wi cvnbtwnt iman anass dfpss2
    anbi2i bitr4 negbii bitr2 syl6ib ) ADEBDECDEFABGHACIZCBIZJZKZUDCBLZJZCBMZNZ
    ABCOUKUIUJKZJZKUGUIUJPUMUFUMUDUHULJZJUFUDUHULQUEUNUDCBRSTUAUBUC $.
    $( [21-Jul-2004] $) $( [12-Jun-2004] $)

  $( The covering relation implies no in-betweenness. $)
  cvnbtwn3t $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) -> ( A <o B ->
                ( ( A (_ C /\ C (. B ) -> C = A ) ) ) $=
    ( cch wcel w3a ccv wbr wpss wa wn wss wceq wi cvnbtwnt iman eqcom imbi2i
    dfpss2 anbi1i an23 bitr negbii 3bitr4r syl6ib ) ADEBDECDEFABGHACIZCBIZJZKZA
    CLZUGJZCAMZNZABCOUKACMZNUKUNKZJZKUMUIUKUNPULUNUKCAQRUHUPUHUJUOJZUGJUPUFUQUG
    ACSTUJUOUGUAUBUCUDUE $.
    $( [21-Jul-2004] $) $( [12-Jun-2004] $)

  $( The covering relation implies no in-betweenness.  Part of proof of Lemma
     7.5.1 of [MaedaMaeda] p. 31. $)
  cvnbtwn4t $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) -> ( A <o B ->
                ( ( A (_ C /\ C (_ B ) -> ( C = A \/ C = B ) ) ) ) $=
    ( cch wcel w3a ccv wbr wpss wa wn wss wceq wo wi cvnbtwnt iman an4 ioran
    eqcom negbii anbi1i bitr anbi2i dfpss2 anbi12i 3bitr4 bitr2 syl6ib ) ADEBDE
    CDEFABGHACIZCBIZJZKZACLZCBLZJZCAMZCBMZNZOZABCPUTUPUSKZJZKUMUPUSQVBULUPACMZK
    ZURKZJZJUNVDJZUOVEJZJVBULUNUOVDVERVAVFUPVAUQKZVEJVFUQURSVIVDVEUQVCCATUAUBUC
    UDUJVGUKVHACUECBUEUFUGUAUHUI $.
    $( [10-Nov-2004] $) $( [12-Jun-2004] $)

  $( The covering relation is not symmetric. $)
  cvnsymt $p |- ( ( A e. CH /\ B e. CH ) -> ( A <o B -> -. B <o A ) ) $=
    ( cch wcel wa ccv wbr wpss wn cvpsst wi ancoms pssn2lp imnan mpbir syl6
    con2d syld ) ACDZBCDZEZABFGABHZBAFGZIABJUAUCUBUAUCBAHZUBIZTSUCUDKBAJLUDUEKU
    DUBEIBAMUDUBNOPQR $.
    $( [22-Nov-2004] $) $( [26-Jun-2004] $)

  $( The covering relation is not reflexive. $)
  cvnreft $p |- ( A e. CH -> -. A <o A ) $=
    ( cch wcel ccv wbr wn wi cvnsymt anidms pm2.01d ) ABCZAADEZKLLFGAAHIJ $.
    $( [22-Nov-2004] $) $( [26-Jun-2004] $)

  $( The covering relation is not transitive. $)
  cvntrt $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
                ( ( A <o B /\ B <o C ) -> -. A <o C ) ) $=
    ( cch wcel w3a wpss ccv wbr wn wa wi cvnbtwnt 3com23 con2d cvpsst 3adant3
    3adant1 syl2and ) ADEZBDEZCDEZFZABGZBCGZACHIZJABHIZBCHIZUCUFUDUEKZTUBUAUFUI
    JLACBMNOTUAUGUDLUBABPQUAUBUHUELTBCPRS $.
    $( [29-Jul-2004] $) $( [26-Jun-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Hilbert space has the covering property (using spans of singletons to
       represent atoms).  Proposition 1(ii) of [Kalmbach] p. 153. $)
    spansncv2t $p |- ( ( A e. CH /\ B e. H~ ) -> ( -. ( span ` { B } ) (_ A ->
                     A <o ( A vH ( span ` { B } ) ) ) ) $=
      ( vx cch wcel chil wa csn cspn cfv chj co wpss cv wss wceq wi wral wn
      ccv wbr spansncvt 3exp com23 imp r19.21aiv anim2i expcom wb chnlet
      spansncht sylan2 chjclt cvbr2t syldan 3imtr4d ) ADEZBFEZGZAABHIJZKLZMZVBA
      CNZMVCVAOGVCVAPQZCDRZGZUTAOSZAVATUAZVBUSVFUSVEVBUSVDCDUQURVCDEZVDQUQVIURV
      DUQVIURVDAVCBUBUCUDUEUFUGUHUQUTDEZVGVBUIURAUTUJBUKZULUQURVADEZVHVFUIUQVJV
      LURAUTUMVKULCAVAUNUOUP $.
      $( [21-Jul-2004] $) $( [9-Jun-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x C $.
    $( Binary relation expressing ` <. A , B >. ` is a modular pair.
       Definition 1.1 of [MaedaMaeda] p. 1. $)
    mdbrt $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <->
    A. x e. CH ( x (_ B -> ( ( x vH A ) i^i B ) = ( x vH ( A i^i B ) ) ) ) ) $=
      ( vy vz cch wcel wa cmd wbr cv wss chj co cin wceq wi wral eleq1 anbi1d
      opreq2 ineq1d ineq1 opreq2d eqeq12d imbi2d ralbidv anbi12d anbi2d sseq2
      ineq2 imbi12d df-md brabg bianabs ) BFGZCFGZHZBCIJAKZCLZUSBMNZCOZUSBCOZMN
      ZPZQZAFRZDKZFGZEKZFGZHZUSVJLZUSVHMNZVJOZUSVHVJOZMNZPZQZAFRZHUPVKHZVMVAVJO
      ZUSBVJOZMNZPZQZAFRZHURVGHDEBCFFIVHBPZVLWAVTWGWHVIUPVKVHBFSTWHVSWFAFWHVRWE
      VMWHVOWBVQWDWHVNVAVJVHBUSMUAUBWHVPWCUSMVHBVJUCUDUEUFUGUHVJCPZWAURWGVGWIVK
      UQUPVJCFSUIWIWFVFAFWIVMUTWEVEVJCUSUJWIWBVBWDVDVJCVAUKWIWCVCUSMVJCBUKUDUEU
      LUGUHDEAUMUNUO $.
      $( [21-Jul-2004] $) $( [14-Jun-2004] $)

    $( Consequence of the modular pair property. $)
    mdit $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A MH B /\
              C (_ B ) ) -> ( ( C vH A ) i^i B ) = ( C vH ( A i^i B ) ) ) $=
      ( vx cch wcel w3a cmd wbr wss chj co cin wceq wi wa cv wral mdbrt biimpd
      sseq1 opreq1 ineq1d eqeq12d imbi12d rcla4v sylan9 3impa imp32 ) AEFZBEFZC
      EFZGABHIZCBJZCAKLZBMZCABMZKLZNZUJUKULUMUNUSOZOUJUKPZUMDQZBJZVBAKLZBMZVBUQ
      KLZNZOZDERZULUTVAUMVIDABSTVHUTDCEVBCNZVCUNVGUSVBCBUAVJVEUPVFURVJVDUOBVBCA
      KUBUCVBCUQKUBUDUEUFUGUHUI $.
      $( [24-Dec-2006] $) $( [22-Jun-2004] $)

    $( Binary relation expressing the modular pair property.  This version
       has a weaker constraint than ~ mdbrt . $)
    mdbr2 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <->
   A. x e. CH ( x (_ B -> ( ( x vH A ) i^i B ) (_ ( x vH ( A i^i B ) ) ) ) ) $=
      ( cch wcel wa cmd wbr cv wss chj co cin wceq wi wral mdbrt wb iba ssin
      syl6bb chub1t ancoms syl5cbi chub2t ssrin syl jctird adantlr chlubt
      pm3.27 chinclt adantr chjclt sylan an1rs syl3anc sylibd eqss syl6rbbr
      syl6 pm5.74d ralbidva bitrd ) BDEZCDEZFZBCGHAIZCJZVHBKLZCMZVHBCMZKLZNZOZA
      DPVIVKVMJZOZADPABCQVGVOVQADVGVHDEZFZVIVNVPVSVIVMVKJZVNVPRVSVIVHVKJZVLVKJZ
      FZVTVEVRVIWCOVFVEVRFZVIWAWBVIVHVJJZWAWDVIWEWEVIFWAVIWESVHVJCTUAVRVEWEVHBU
      BUCUDWDBVJJWBBVHUEBVJCUFUGUHUIVRVLDEZVKDEZWCVTRVSVHVLVKUJVGVRUKVGWFVRBCUL
      UMVEVRVFWGVJDEZVFWGWDVJCULVRVEWHVHBUNUCUOUPUQURVTVPVPVTFVNVTVPSVKVMUSUTVA
      VBVCVD $.
      $( [29-Jul-2004] $) $( [15-Jun-2004] $)

    $( Binary relation expressing the modular pair property.  This version
       quantifies an equality instead of an inference. $)
    mdbr3 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <-> A. x e. CH
         ( ( ( x i^i B ) vH A ) i^i B ) = ( ( x i^i B ) vH ( A i^i B ) ) ) ) $=
      ( vy cch wcel wa cmd wbr cv wss chj co cin wceq wi wral mdbrt wb chinclt
      inss2 sseq1 opreq1 ineq1d eqeq12d imbi12d rcla4v mpii syl ex com3l
      r19.21adv dfss biimp opreq1d biimprcd r19.20si cbvralv sylib impbid1
      adantl bitrd ) BEFZCEFZGBCHIDJZCKZVEBLMZCNZVEBCNZLMZOZPZDEQZAJZCNZBLMZCNZ
      VOVILMZOZAEQZDBCRVDVMVTSVCVDVMVTVDVMVSAEVNEFZVDVMVSWAVDVMVSPZWAVDGVOEFZWB
      VNCTWCVMVOCKZVSVNCUAVLWDVSPDVOEVEVOOZVFWDVKVSVEVOCUBWEVHVQVJVRWEVGVPCVEVO
      BLUCUDVEVOVILUCUEUFUGUHUIUJUKULVTVNCKZVNBLMZCNZVNVILMZOZPZAEQVMVSWKAEWFWJ
      VSWFWHVQWIVRWFWGVPCWFVNVOBLWFVNVOOVNCUMUNZUOUDWFVNVOVILWLUOUEUPUQWKVLADEV
      NVEOZWFVFWJVKVNVECUBWMWHVHWIVJWMWGVGCVNVEBLUCUDVNVEVILUCUEUFURUSUTVAVB $.
      $( [22-Nov-2004] $) $( [6-Jul-2004] $)

    $( Binary relation expressing the modular pair property.  This version
       quantifies an ordering instead of an inference. $)
    mdbr4 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <-> A. x e. CH
        ( ( ( x i^i B ) vH A ) i^i B ) (_ ( ( x i^i B ) vH ( A i^i B ) ) ) ) $=
      ( vy cch wcel wa cmd wbr cv wss chj co cin wi wral mdbr2 wb chinclt
      inss2 wceq sseq1 opreq1 ineq1d sseq12d imbi12d rcla4v mpii syl ex com3l
      r19.21adv dfss biimp opreq1d biimprcd r19.20si cbvralv sylib impbid1
      adantl bitrd ) BEFZCEFZGBCHIDJZCKZVEBLMZCNZVEBCNZLMZKZOZDEPZAJZCNZBLMZCNZ
      VOVILMZKZAEPZDBCQVDVMVTRVCVDVMVTVDVMVSAEVNEFZVDVMVSWAVDVMVSOZWAVDGVOEFZWB
      VNCSWCVMVOCKZVSVNCTVLWDVSODVOEVEVOUAZVFWDVKVSVEVOCUBWEVHVQVJVRWEVGVPCVEVO
      BLUCUDVEVOVILUCUEUFUGUHUIUJUKULVTVNCKZVNBLMZCNZVNVILMZKZOZAEPVMVSWKAEWFWJ
      VSWFWHVQWIVRWFWGVPCWFVNVOBLWFVNVOUAVNCUMUNZUOUDWFVNVOVILWLUOUEUPUQWKVLADE
      VNVEUAZWFVFWJVKVNVECUBWMWHVHWIVJWMWGVGCVNVEBLUCUDVNVEVILUCUEUFURUSUTVAVB
      $.
      $( [22-Nov-2004] $) $( [6-Jul-2004] $)

    $( Binary relation expressing the dual modular pair property. $)
    dmdbrt $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <->
    A. x e. CH ( B (_ x -> ( ( x i^i A ) vH B ) = ( x i^i ( A vH B ) ) ) ) ) $=
      ( vy vz cch wcel wa cdmd wbr cv wss cin chj co wceq wi wral eleq1 anbi1d
      ineq2 opreq1d opreq1 ineq2d eqeq12d imbi2d ralbidv anbi12d anbi2d sseq1
      opreq2 imbi12d df-dmd brabg bianabs ) BFGZCFGZHZBCIJCAKZLZUSBMZCNOZUSBCNO
      ZMZPZQZAFRZDKZFGZEKZFGZHZVJUSLZUSVHMZVJNOZUSVHVJNOZMZPZQZAFRZHUPVKHZVMVAV
      JNOZUSBVJNOZMZPZQZAFRZHURVGHDEBCFFIVHBPZVLWAVTWGWHVIUPVKVHBFSTWHVSWFAFWHV
      RWEVMWHVOWBVQWDWHVNVAVJNVHBUSUAUBWHVPWCUSVHBVJNUCUDUEUFUGUHVJCPZWAURWGVGW
      IVKUQUPVJCFSUIWIWFVFAFWIVMUTWEVEVJCUSUJWIWBVBWDVDVJCVANUKWIWCVCUSVJCBNUKU
      DUEULUGUHDEAUMUNUO $.
      $( [29-Apr-2006] $) $( [27-Apr-2006] $)

    $( The dual modular pair property expressed in terms of the modular pair
       property, that hold in Hilbert lattices.  Remark 29.6 of [MaedaMaeda]
       p. 130. $)
    dmdmdt $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <->
                   ( _|_ ` A ) MH ( _|_ ` B ) ) ) $=
      ( vy vx cch wcel wa cv cort cfv wss chj co cin wceq wi wral cmd wbr cdmd
      chocclt imim1i com12 adantl chsscon3t biimpd adantll wb chdmm3t chjclt
      syl2an sylan chdmj4t adantr opreq1d eqtrd anasss chdmj2t chinclt sylan2
      chdmm4t ineq2d eqeq12d ancoms fveq2 syl5bi imim12d syld ex com23 sseq1
      opreq1 ineq1d imbi12d rcla4cv syl5 r19.21adv chsscon2t biimprd chdmj1t
      chdmm2t opreq2d sseq2 ineq1 impbid mdbrt dmdbrt 3bitr4rd ) AEFZBEFZGZCHZB
      IJZKZWLAIJZLMZWMNZWLWOWMNZLMZOZPZCEQZBDHZKZXCANZBLMZXCABLMZNZOZPZDEQZWOWM
      RSZABTSWKXBXKWKXBXJDEWKXCIJZEFZXMWMKZXMWOLMZWMNZXMWRLMZOZPZPZXCEFZXJPXBWK
      YBYAXJWKYBYAXJPWKYBGZYAXTXJYBYAXTPWKYAYBXTYBXNXTXCUAZUBUCUDYCXDXOXSXIWJYB
      XDXOPWIWJYBGXDXOBXCUEUFUGYCXQIJZXRIJZOZXIXSYBWKYGXIUHYBWKGZYEXFYFXHYBWIWJ
      YEXFOYBWIGZWJGZYEXPIJZBLMZXFXPEFZWJYEYLOYIXPBUIXNWOEFZYMYBWIXMWOUJYDAUAZU
      KULYJYKXEBLYIYKXEOWJXCAUMUNUOUPUQYHYFXCWRIJZNZXHYBWREFZYFYQOWKXCWRURYNWME
      FZYRWIWJWOWMUSYOBUAZUKUTYHYPXGXCWKYPXGOYBABVAUDVBUPVCVDXQXRIVEVFVGVHVIVJX
      AXTCXMEWLXMOZWNXOWTXSWLXMWMVKUUAWQXQWSXRUUAWPXPWMWLXMWOLVLVMWLXMWRLVLVCVN
      VOVPVQWKXKXACEWKWLIJZEFZBUUBKZUUBANZBLMZUUBXGNZOZPZPZWLEFZXAPXKWKUUKUUJXA
      WKUUKUUJXAPWKUUKGZUUJUUIXAUUKUUJUUIPWKUUJUUKUUIUUKUUCUUIWLUAZUBUCUDUULWNU
      UDUUHWTWJUUKWNUUDPWIWJUUKGUUDWNBWLVRVSUGUULUUFIJZUUGIJZOZWTUUHUUKWKUUPWTU
      HUUKWKGZUUNWQUUOWSUUKWIWJUUNWQOUUKWIGZWJGZUUNUUEIJZWMNZWQUUEEFZWJUUNUVAOU
      URUUEBVTUUCWIUVBUUKUUBAUSUUMULULUUSUUTWPWMUURUUTWPOWJWLAWAUNVMUPUQUUQUUOW
      LXGIJZLMZWSUUKXGEFUUOUVDOWKWLXGWAABUJUTUUQUVCWRWLLWKUVCWROUUKABVTUDWBUPVC
      VDUUFUUGIVEVFVGVHVIVJXJUUIDUUBEXCUUBOZXDUUDXIUUHXCUUBBWCUVEXFUUFXHUUGUVEX
      EUUEBLXCUUBAWDUOXCUUBXGWDVCVNVOVPVQWEYNYSXLXBUHWIWJCWOWMWFYOYTUKDABWGWH
      $.
      $( [24-May-2006] $) $( [27-Apr-2006] $)

    $( The modular pair property expressed in terms of the dual modular pair
       property. $)
    mddmdt $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <->
                   ( _|_ ` A ) MH* ( _|_ ` B ) ) ) $=
      ( cch wcel wa cort cfv cdmd wbr cmd wb dmdmdt chocclt syl2an ococt
      breqan12d bitr2d ) ACDZBCDZEAFGZBFGZHIZTFGZUAFGZJIZABJITCDUACDUBUEKRSTUAL
      AMBMNRSUCAUDBJAOBOPQ $.
      $( [28-May-2006] $) $( [27-Apr-2006] $)

    $( Consequence of the dual modular pair property. $)
    dmdit $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A MH* B /\
              B (_ C ) ) -> ( ( C i^i A ) vH B ) = ( C i^i ( A vH B ) ) ) $=
      ( vx cch wcel w3a cdmd wbr wss cin chj co wceq wi wa cv wral dmdbrt
      biimpd sseq2 ineq1 opreq1d eqeq12d imbi12d rcla4v sylan9 3impa imp32 ) AE
      FZBEFZCEFZGABHIZBCJZCAKZBLMZCABLMZKZNZUJUKULUMUNUSOZOUJUKPZUMBDQZJZVBAKZB
      LMZVBUQKZNZOZDERZULUTVAUMVIDABSTVHUTDCEVBCNZVCUNVGUSVBCBUAVJVEUPVFURVJVDU
      OBLVBCAUBUCVBCUQUBUDUEUFUGUHUI $.
      $( [6-Jan-2007] $) $( [27-Apr-2006] $)

    $( Binary relation expressing the dual modular pair property.  This version
       has a weaker constraint than ~ dmdbrt . $)
    dmdbr2 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <->
   A. x e. CH ( B (_ x -> ( x i^i ( A vH B ) ) (_ ( ( x i^i A ) vH B ) ) ) ) $=
      ( cch wcel wa cdmd wbr cv wss cin chj co wceq wi wral dmdbrt wb w3a
      inss1 chlubt biimpd mpani chinclt ancoms adantlr simplr pm3.27 syl3anc
      inss2 chlej1t mpan2 simpll jctird ssin syl6ib eqss baib syl6 pm5.74d
      ralbidva bitrd ) BDEZCDEZFZBCGHCAIZJZVFBKZCLMZVFBCLMZKZNZOZADPVGVKVIJZOZA
      DPABCQVEVMVOADVEVFDEZFZVGVLVNVQVGVIVKJZVLVNRVQVGVIVFJZVIVJJZFVRVQVGVSVTVH
      DEZVDVPVGVSOVQWAVDVPSZVHVFJZVGVSVFBTWBWCVGFVSVHCVFUAUBUCVCVPWAVDVPVCWAVFB
      UDUEUFZVCVDVPUGZVEVPUHUIWAVCVDVTVQWAVCVDSVHBJVTVFBUJVHBCUKULWDVCVDVPUMWEU
      IUNVIVFVJUOUPVLVRVNVIVKUQURUSUTVAVB $.
      $( [24-Jul-2007] $) $( [30-Jun-2004] $)

    $( Consequence of the dual modular pair property. $)
    dmdi2 $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\ ( A MH* B /\ B (_ C
         ) ) -> ( C i^i ( A vH B ) ) (_ ( ( C i^i A ) vH B ) ) $=
      ( cch wcel w3a cdmd wbr wss wa cin chj co wceq dmdit eqimss2 syl ) ADEBDE
      CDEFABGHBCIJJCAKBLMZCABLMKZNSRIABCOSRPQ $.
      $( [7-Jul-2008] $) $( [14-Jan-2005] $)

    $( Binary relation expressing the dual modular pair property.  This version
       quantifies an equality instead of an inference. $)
    dmdbr3 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <-> A. x e. CH
           ( ( ( x vH B ) i^i A ) vH B ) = ( ( x vH B ) i^i ( A vH B ) ) ) ) $=
      ( vy cch wcel wa cdmd wbr cv wss cin chj co wceq wi wral dmdbrt wb
      chub2t ancoms chjclt sseq2 ineq1 opreq1d eqeq12d imbi12d rcla4v syl mpid
      ex com3l r19.21adv chlejb2t biimpa ineq1d biimpd com23 r19.20dva cbvralv
      syl6ib impbid adantl bitrd ) BEFZCEFZGBCHICDJZKZVGBLZCMNZVGBCMNZLZOZPZDEQ
      ZAJZCMNZBLZCMNZVQVKLZOZAEQZDBCRVFVOWBSVEVFVOWBVFVOWAAEVPEFZVFVOWAWCVFVOWA
      PWCVFGZVOCVQKZWAVFWCWECVPTUAWDVQEFVOWEWAPZPVPCUBVNWFDVQEVGVQOZVHWEVMWAVGV
      QCUCWGVJVSVLVTWGVIVRCMVGVQBUDUEVGVQVKUDUFUGUHUIUJUKULUMVFWBCVPKZVPBLZCMNZ
      VPVKLZOZPZAEQVOVFWAWMAEVFWCGZWHWAWLWNWHWAWLPWNWHGZWAWLWOVSWJVTWKWOVRWICMW
      OVQVPBWNWHVQVPOCVPUNUOZUPUEWOVQVPVKWPUPUFUQUKURUSWMVNADEVPVGOZWHVHWLVMVPV
      GCUCWQWJVJWKVLWQWIVICMVPVGBUDUEVPVGVKUDUFUGUTVAVBVCVD $.
      $( [11-Aug-2007] $) $( [6-Jul-2004] $)

    $( Binary relation expressing the dual modular pair property.  This version
       quantifies an ordering instead of an inference. $)
    dmdbr4 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <-> A. x e. CH
          ( ( x vH B ) i^i ( A vH B ) ) (_ ( ( ( x vH B ) i^i A ) vH B ) ) ) $=
      ( vy cch wcel wa cdmd wbr cv wss chj co cin wi wral dmdbr2 wb chub2t
      ancoms chjclt wceq sseq2 ineq1 opreq1d sseq12d imbi12d rcla4v syl mpid
      ex com3l r19.21adv chlejb2t biimpa ineq1d biimpd com23 r19.20dva cbvralv
      syl6ib impbid adantl bitrd ) BEFZCEFZGBCHICDJZKZVGBCLMZNZVGBNZCLMZKZOZDEP
      ZAJZCLMZVINZVQBNZCLMZKZAEPZDBCQVFVOWBRVEVFVOWBVFVOWAAEVPEFZVFVOWAWCVFVOWA
      OWCVFGZVOCVQKZWAVFWCWECVPSTWDVQEFVOWEWAOZOVPCUAVNWFDVQEVGVQUBZVHWEVMWAVGV
      QCUCWGVJVRVLVTVGVQVIUDWGVKVSCLVGVQBUDUEUFUGUHUIUJUKULUMVFWBCVPKZVPVINZVPB
      NZCLMZKZOZAEPVOVFWAWMAEVFWCGZWHWAWLWNWHWAWLOWNWHGZWAWLWOVRWIVTWKWOVQVPVIW
      NWHVQVPUBCVPUNUOZUPWOVSWJCLWOVQVPBWPUPUEUFUQUKURUSWMVNADEVPVGUBZWHVHWLVMV
      PVGCUCWQWIVJWKVLVPVGVIUDWQWJVKCLVPVGBUDUEUFUGUTVAVBVCVD $.
      $( [5-Aug-2007] $) $( [6-Jul-2004] $)

    $( Consequence of the dual modular pair property. $)
    dmdi4 $p |- ( ( A e. CH /\ B e. CH /\ C e. CH ) ->
              ( A MH* B ->
         ( ( C vH B ) i^i ( A vH B ) ) (_ ( ( ( C vH B ) i^i A ) vH B ) ) ) $=
      ( vx cch wcel cdmd wbr chj co cin wss wi wa cv wral dmdbr4 biimpd wceq
      opreq1 ineq1d opreq1d sseq12d rcla4v sylan9 3impa ) AEFZBEFZCEFZABGHZCBIJ
      ZABIJZKZUKAKZBIJZLZMUGUHNZUJDOZBIJZULKZUSAKZBIJZLZDEPZUIUPUQUJVDDABQRVCUP
      DCEURCSZUTUMVBUOVEUSUKULURCBITZUAVEVAUNBIVEUSUKAVFUAUBUCUDUEUF $.
      $( [12-Aug-2007] $) $( [14-Jan-2005] $)

    $( Binary relation expressing the dual modular pair property. $)
    dmdbr5 $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <->
    A. x e. CH ( x (_ ( A vH B ) -> x (_ ( ( ( x vH B ) i^i A ) vH B ) ) ) ) $=
      ( vy cch wcel wa cdmd wbr cv chj co wss cin wi wral dmdbr4 ssin sstr2
      sylbi chub1t ancoms sylan ex com23 r19.20dva adantl sylbid chjclt
      adantll adantr jca chinclt inss2 pm2.27 mpii 3syl wceq chub2t sylib wb
      chlejb2t simplr sylanc mpbid ineq1d chabs2t incom syl5eq ineq2d inass
      eqtrd opreq1d sseq2d sylibd sseq1 id opreq1 sseq12d imbi12d rcla4cv syl5
      r19.21adv sylibrd impbid ) BEFZCEFZGZBCHIZAJZBCKLZMZWJWJCKLZBNZCKLZMZOZAE
      PZWHWIWMWKNZWOMZAEPZWRABCQWGXAWROWFWGWTWQAEWGWJEFZGZWLWTWPXCWLWTWPOZWJWMM
      ZWLXDXCXEWLGWJWSMXDWJWMWKRWJWSWOSTXBWGXEWJCUAUBUCUDUEUFUGUHWHWRDJZCKLZWKN
      ZXGBNZCKLZMZDEPWIWHWRXKDEWHXHEFZXHWKMZXHXHCKLZBNZCKLZMZOZOZXFEFZXKOWRWHXT
      XSXKWHXTXSXKOWHXTGZXSXQXKYAXGEFZWKEFZGXLXSXQOYAYBYCWGXTYBWFXTWGYBXFCUIUBU
      JZWHYCXTBCUIUKZULXGWKUMZXLXSXMXQXGWKUNXLXRUOUPUQYAXPXJXHYAXOXICKYAXOXHBNZ
      XIYAXNXHBYACXHMZXNXHURZYACXGMZCWKMZGYHYAYJYKWGXTYJWFCXFUSUJWHYKXTWGWFYKCB
      USUBUKULCXGWKRUTWGXLYHYIVAYACXHVBWFWGXTVCYBYCXLYAYFYDYEVDVDVEVFWHYGXIURXT
      WHXGWKBNZNXIYGWHYLBXGWHBWKNBYLBCVGWKBVHVIVJXGWKBVKVIUKVLVMVNVOUDUEWQXRAXH
      EWJXHURZWLXMWPXQWJXHWKVPYMWJXHWOXPYMVQYMWNXOCKYMWMXNBWJXHCKVRVFVMVSVTWAWB
      WCDBCQWDWE $.
      $( [12-Jul-2008] $) $( [15-Jan-2005] $)

    $( Relationship between modular pairs and dual-modular pairs.  Lemma 1.2
       of [MaedaMaeda] p. 1. $)
    mddmd $p |- ( A e. CH -> ( A. x e. CH A MH x <->
                A. x e. CH A MH* x ) ) $=
      ( vy cch wcel cv cmd wbr wral wss cin chj co wceq wi cdmd wa mdbrt
      chjcomt ineq1d incom syl5reqr adantlr chinclt sylan opreq1i eqeq12d
      eqcom syl6bb imbi2d ralbidva bitrd breq2 cbvralv syl5bb ralcom dmdbrt
      bitr4d ) BDEZBAFZGHZADIZUTCFZJZVCBKZUTLMZVCBUTLMZKZNZOZCDIZADIZBUTPHZADIU
      SVBVJADIZCDIZVLUSBVCGHZCDIVOVBUSVPVNCDUSVCDEZQZVPVDUTBLMZVCKZUTBVCKZLMZNZ
      OZADIVNABVCRVRWDVJADVRUTDEZQZWCVIVDWFWCVHVFNVIWFVTVHWBVFUSWEVTVHNVQUSWEQZ
      VGVCKVTVHWGVGVSVCBUTSTVGVCUAUBUCWFWAUTLMZWBVFWADEWEWHWBNVRWAUTSBVCUDUEWAV
      EUTLBVCUAUFUBUGVHVFUHUIUJUKULUKVAVPACDUTVCBGUMUNUOVJCADDUPUIUSVMVKADCBUTU
      QUKUR $.
      $( [27-Jul-2007] $) $( [21-Jun-2004] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.  $d x D $.
    $( A sublattice condition that transfers the modular pair property.
       Exercise 12 of [Kalmbach] p. 103.  Also Lemma 1.5.3 of [MaedaMaeda]
       p. 2. $)
    mdsl0 $p |- ( ( ( A e. CH /\ B e. CH ) /\ ( C e. CH /\ D e. CH ) ) -> (
  ( ( ( C (_ A /\ D (_ B ) /\ ( A i^i B ) = 0H ) /\ A MH B ) -> C MH D ) ) $=
      ( vx cch wcel wa wss cin c0h wceq cmd wbr wi cv chj co wral sstr2 com12
      ad2antlr syl6 com23 w3a chlej2t ss2in ex syl 3expia ancoms ad2ant2r
      imp43 adantrr opreq2 chj0t sylan9eqr adantl chub1t chinclt sylan eqsstrd
      adantll anassrs adantrl sylc an1rs imim12d r19.20dva wb mdbr2 ad2antrr
      3imtr4d imp3a ) AFGZBFGZHZCFGZDFGZHZHZCAIZDBIZHZABJZKLZHZABMNZCDMNZWAWGWH
      WIOWAWGHZEPZBIZWKAQRZBJZWKWEQRZIZOZEFSZWKDIZWKCQRZDJZWKCDJZQRZIZOZEFSZWHW
      IWJWQXEEFWJWKFGZHWSWLWPXDWGWSWLOZWAXGWCXHWBWFWSWCWLWKDBTUAUBUBWAXGWGWPXDO
      ZXAWNIZWOXCIZXIWAXGHZWGHXJWPXKXDXJWPXAWOIXKXDOXAWNWOTXAWOXCTUCUDXLWDXJWFW
      AXGWBWCXJVOVRXGWBWCXJOZOZOZVPVSVRVOXOVRVOXGXNVRVOXGUEZWBXMXPWBHWTWMIZXMCA
      WKUFXQWCXJWTWMDBUGUHUIUHUJUKULUMUNXLWFXKWDWAXGWFXKVTXGWFHZXKVQVTXRHWOWKXC
      XRWOWKLVTWFXGWOWKKQRWKWEKWKQUOWKUPUQURVTXGWKXCIZWFXBFGZXGXSVTXGXTXSWKXBUS
      UKCDUTVAUNVBVCVDVEVFVGVHVIVQWHWRVJVTWGEABVKVLVTWIXFVJVQWGECDVKUBVMUHVN $.
      $( [30-Jan-2005] $) $( [22-Jun-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    $( Ordering implies the modular pair property.  Remark in [MaedaMaeda]
       p. 1. $)
    ssmd1 $p |- ( ( A e. CH /\ B e. CH /\ A (_ B ) -> A MH B ) $=
      ( vx cch wcel wss cmd wbr wa cv chj co cin wi wral mdbr2 inss1 a1i wceq
      dfss biimp opreq2d sseqtrd a1d r19.21aiv syl5bir 3impia ) ADEZBDEZABFZABG
      HZUHUIIUKCJZBFZULAKLZBMZULABMZKLZFZNZCDOUJCABPUJUSCDUJUSULDEUJURUMUJUOUNU
      QUOUNFUJUNBQRUJAUPULKUJAUPSABTUAUBUCUDUDUEUFUG $.
      $( [24-Dec-2006] $) $( [21-Jun-2004] $)

    $( Ordering implies the modular pair property.  Remark in [MaedaMaeda]
       p. 1. $)
     ssmd2 $p |- ( ( A e. CH /\ B e. CH /\ A (_ B ) -> B MH A ) $=
       ( vx cch wcel wss cmd wbr wa cv chj co cin wi wral inss2 a1i chub2t
       sstrd adantrl wceq pm3.26 sseqin2 sylib adantl opreq2d sseqtr4d a1d
       exp32 r19.21adv adantr wb mdbr2 ancoms sylibrd 3impia ) ADEZBDEZABFZBAGH
       ZUQURIUSCJZAFZVABKLZAMZVABAMZKLZFZNZCDOZUTUQUSVINURUQUSVHCDUQUSVADEZVHUQ
       USVJIZIZVGVBVLVDVAAKLZVFUQVJVDVMFUSUQVJIZVDAVMVDAFVNVCAPQAVARSTVLVEAVAKV
       KVEAUAZUQVKUSVOUSVJUBABUCUDUEUFUGUHUIUJUKURUQUTVIULCBAUMUNUOUP $.
       $( [28-Jan-2007] $) $( [21-Jun-2004] $)
  $}

  $( Ordering implies the dual modular pair property.  Remark in [MaedaMaeda]
     p. 1. $)
  ssdmd1 $p |- ( ( A e. CH /\ B e. CH /\ A (_ B ) ->
                  A MH* B ) $=
    ( cch wcel wss cdmd wbr wa cort cfv cmd wi ssmd2 3expia chocclt syl2an
    ancoms chsscon3t dmdmdt 3imtr4d 3impia ) ACDZBCDZABEZABFGZUBUCHBIJZAIJZEZUG
    UFKGZUDUEUCUBUHUILZUFCDZUGCDZUJUCUBUKULUHUIUFUGMNBOAOPQABRABSTUA $.
    $( [27-Jul-2007] $) $( [22-Jun-2004] $)

  $( Ordering implies the dual modular pair property.  Remark in [MaedaMaeda]
     p. 1. $)
  ssdmd2 $p |- ( ( A e. CH /\ B e. CH /\ A (_ B ) ->
               ( _|_ ` B ) MH ( _|_ ` A ) ) $=
    ( cch wcel wss cort cfv cmd wbr wa chsscon3t wi ssmd1 3expia chocclt
    syl2an ancoms sylbid 3impia ) ACDZBCDZABEZBFGZAFGZHIZTUAJUBUCUDEZUEABKUATUF
    UELZUCCDZUDCDZUGUATUHUIUFUEUCUDMNBOAOPQRS $.
    $( [5-Feb-2005] $) $( [22-Jun-2004] $)

  $( Sublattice mapping for a dual-modular pair.  Part of Theorem 1.3 of
     [MaedaMaeda] p. 2. $)
  dmdsl3t $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\
               ( B MH* A /\ A (_ C /\ C (_ ( A vH B ) ) ) ->
                   ( ( C i^i B ) vH A ) = C ) $=
    ( cch wcel w3a cdmd wbr wss chj co wa cin wceq wi dmdit exp32 3com12 imp32
    3adantr3 chjcomt ineq2d 3adant3 df-ss biimp sylan9req 3ad2antr3 eqtrd ) ADE
    ZBDEZCDEZFZBAGHZACIZCABJKZIZFLCBMAJKZCBAJKZMZCULUMUNUQUSNZUPULUMUNUTUJUIUKU
    MUNUTOOUJUIUKFUMUNUTBACPQRSTULUMUPUSCNUNULUPUSCUOMZCUIUJVAUSNUKUIUJLUOURCAB
    UAUBUCUPVACNCUOUDUEUFUGUH $.
    $( [3-Jun-2006] $) $( [26-Apr-2006] $)

  $( Sublattice mapping for a modular pair.  Part of Theorem 1.3 of
     [MaedaMaeda] p. 2. $)
  mdsl3t $p |- ( ( ( A e. CH /\ B e. CH /\ C e. CH ) /\
               ( A MH B /\ ( A i^i B ) (_ C /\ C (_ B ) ) ->
                   ( ( C vH A ) i^i B ) = C ) $=
    ( cch wcel w3a cmd wbr cin wss wa chj co wceq mdit 3adantr2 wb chlejb2t
    chinclt sylan 3impa biimpa 3ad2antr2 eqtrd ) ADEZBDEZCDEZFZABGHZABIZCJZCBJZ
    FKCALMBIZCUJLMZCUHUIULUMUNNUKABCOPUHUIUKUNCNZULUHUKUOUEUFUGUKUOQZUJDEUGUPUE
    UFKUJCRABSTUAUBUCUD $.
    $( [3-Jun-2006] $) $( [26-Apr-2006] $)

  ${
    $d x y A $.  $d x y B $.  $d x y C $.
    mdslle1.1 $e |- A e. CH $.
    mdslle1.2 $e |- B e. CH $.
    mdslle1.3 $e |- C e. CH $.
    mdslle1.4 $e |- D e. CH $.
    $( Order preservation of the one-to-one onto mapping between the two
       sublattices in Lemma 1.3 of [MaedaMaeda] p. 2. $)
    mdslle1 $p |- ( ( B MH* A /\ A (_ ( C i^i D ) /\ ( C vH D )
            (_ ( A vH B ) ) -> ( C (_ D <-> ( C i^i B ) (_ ( D i^i B ) ) ) $=
      ( cdmd wbr cin wss chj co w3a ssrin wceq cch wcel 3pm3.2i dmdsl3t mpan
      id wa ssin bicomi pm3.26bi chjcl chlub syl3an pm3.27bi sseq12d chincl
      chlej1 syl5bi impbid2 ) BAIJZACDKLZCDMNABMNZLZOZCDLZCBKZDBKZLZCDBPVAVCAMN
      ZVDAMNZLVBVEVAVFCVGDUQACLZCUSLZVFCQZUQURUTARSZBRSZCRSZOUQVHVIOVJVKVLVMEFG
      TABCUAUBUQUCZURVHADLZVHVOUDURACDUEUFZUGUTVIDUSLZVIVQUDUTCDUSGHABEFUHUIUFZ
      UGUJUQVOVQVGDQZUQURUTVKVLDRSZOUQVOVQOVSVKVLVTEFHTABDUAUBVNURVHVOVPUKUTVIV
      QVRUKUJULVCVDACBGFUMDBHFUMEUNUOUP $.
      $( [3-Jun-2006] $) $( [27-Apr-2006] $)

    $( Order preservation of the one-to-one onto mapping between the two
       sublattices in Lemma 1.3 of [MaedaMaeda] p. 2. $)
    mdslle2 $p |- ( ( A MH B /\ ( A i^i B ) (_ ( C i^i D ) /\ ( C vH D )
            (_ B ) -> ( C (_ D <-> ( C vH A ) (_ ( D vH A ) ) ) $=
      ( cmd wbr cin wss chj co w3a chlej1 wceq cch wcel 3pm3.2i mdsl3t mpan id
      wa ssin bicomi pm3.26bi chlub syl3an pm3.27bi sseq12d ssrin syl5bi
      impbid2 ) ABIJZABKZCDKLZCDMNBLZOZCDLZCAMNZDAMNZLZCDAGHEPUSVABKZVBBKZLUTVC
      USVDCVEDUOUPCLZCBLZVDCQZUOUQURARSZBRSZCRSZOUOVFVGOVHVIVJVKEFGTABCUAUBUOUC
      ZUQVFUPDLZVFVMUDUQUPCDUEUFZUGURVGDBLZVGVOUDURCDBGHFUHUFZUGUIUOVMVOVEDQZUO
      UQURVIVJDRSZOUOVMVOOVQVIVJVREFHTABDUAUBVLUQVFVMVNUJURVGVOVPUJUIUKVAVBBULU
      MUN $.
      $( [23-Oct-2006] $) $( [27-Apr-2006] $)

    $( Join preservation of the one-to-one onto mapping between the two
       sublattices in Lemma 1.3 of [MaedaMaeda] p. 2. $)
    mdslj1 $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( A (_ ( C i^i D ) /\ ( C vH D ) (_ ( A vH B ) ) ) ->
                ( ( C vH D ) i^i B ) = ( ( C i^i B ) vH ( D i^i B ) ) ) $=
      ( cmd wbr cdmd wa cin wss chj co w3a wceq cch wcel 3pm3.2i dmdsl3t mpan
      pm3.27 pm3.26 syl3an chincl chub1 chjcl chlej1 ax-mp a1i eqsstr3d chub2
      jca chlub sylib ssrin syl mdsl3t sstr mpan2 adantr bicomi inss2 mpbir2an
      sseqtrd 3expb ssin anbi12i sylan2b ledir eqssd ) ABIJZBAKJZLZACDMNZCDOPZA
      BOPZNZLZLZVRBMZCBMZDBMZOPZVPACNZADNZLZCVSNZDVSNZLZLWCWFNZWAVPWIWLWMVPWIWL
      QZWCWFAOPZBMZWFWNVRWONZWCWPNWNCWONZDWONZLWQWNWRWSWNCWDAOPZWOVOWGWJWTCRZVP
      WIWLASTZBSTZCSTZQVOWGWJQXAXBXCXDEFGUAABCUBUCVNVOUDZWGWHUEWJWKUEUFWTWONZWN
      WDWFNZXFWDWECBGFUGZDBHFUGZUHZWDWFAXHWDWEXHXIUIZEUJUKULUMWNDWEAOPZWOVOWHWK
      XLDRZVPWIWLXBXCDSTZQVOWHWKQXMXBXCXNEFHUAABDUBUCXEWGWHUDWJWKUDUFXLWONZWNWE
      WFNXOWEWDXIXHUNWEWFAXIXKEUJUKULUMUOCDWOGHWFAXKEUIUPUQVRWOBURUSVNABMZWFNZW
      FBNZWPWFRZVPWIWLXBXCWFSTZQVNXQXRQXSXBXCXTEFXKUAABWFUTUCVNVOUEWGXQWHWGXPWD
      NZXQACBURYAXGXQXJXPWDWFVAVBUSVCXRWLXRWDBNZWEBNZYBYCLXRWDWEBXHXIFUPVDCBVED
      BVEVFULUFVGVHVQWIVTWLWIVQACDVIVDWLVTCDVSGHABEFUIUPVDVJVKWFWCNWBCDBGHFVLUL
      VM $.
      $( [3-Jun-2006] $) $( [27-Apr-2006] $)

    $( Meet preservation of the reverse mapping between the two
       sublattices in Lemma 1.3 of [MaedaMaeda] p. 2. $)
    mdslj2 $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( ( A i^i B ) (_ ( C i^i D ) /\ ( C vH D ) (_ B ) ) ->
                ( ( C i^i D ) vH A ) = ( ( C vH A ) i^i ( D vH A ) ) ) $=
      ( cmd wbr cdmd wa cin wss chj co lejdir a1i w3a wceq cch wcel chjcl
      chincl 3pm3.2i dmdsl3t mpan pm3.27 chub2 ssini chlej1 chjcom syl6ss
      ssinss1 syl adantr syl3an inss1 ssrin ax-mp mdsl3t pm3.26 sseqtrd inss2
      jca ssin sylib eqsstr3d 3expb bicomi chlub anbi12i sylan2b eqssd ) ABIJZB
      AKJZLZABMZCDMZNZCDOPBNZLZLZVSAOPZCAOPZDAOPZMZWDWGNWCCDAGHEQRVQVRCNZVRDNZL
      ZCBNZDBNZLZLWGWDNZWBVQWJWMWNVQWJWMSZWGWGBMZAOPZWDVPAWGNZWGABOPZNZWQWGTZVQ
      WJWMAUAUBZBUAUBZWGUAUBZSVPWRWTSXAXBXCXDEFWEWFCAGEUCDAHEUCUDZUEABWGUFUGVOV
      PUHWRWJAWEWFACEGUIADEHUIUJRWKWTWLWKWEWSNWTWKWEBAOPWSCBAGFEUKBAFEULUMWEWFW
      SUNUOUPUQWOWPVSNZWQWDNWOWPCNZWPDNZLXFWOXGXHWOWPWEBMZCWPXINZWOWGWENXJWEWFU
      RWGWEBUSUTRVOWHWKXICTZVQWJWMXBXCCUAUBZSVOWHWKSXKXBXCXLEFGUEABCVAUGVOVPVBZ
      WHWIVBWKWLVBUQVCWOWPWFBMZDWPXNNZWOWGWFNXOWEWFVDWGWFBUSUTRVOWIWLXNDTZVQWJW
      MXBXCDUAUBZSVOWIWLSXPXBXCXQEFHUEABDVAUGXMWHWIUHWKWLUHUQVCVEWPCDVFVGWPVSAW
      GBXEFUDCDGHUDEUKUOVHVIVTWJWAWMWJVTVRCDVFVJWMWACDBGHFVKVJVLVMVN $.
      $( [7-Oct-2006] $) $( [27-Apr-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    mdsl.1 $e |- A e. CH $.
    mdsl.2 $e |- B e. CH $.
    $( If the modular pair property holds in a sublattice, it holds in the
       whole lattice.  Lemma 1.4 of [MaedaMaeda] p. 2. $)
    mdsl1 $p |- ( A. x e. CH ( ( ( A i^i B ) (_ x /\ x (_ ( A vH B ) ) ->
   ( x (_ B -> ( ( x vH A ) i^i B ) = ( x vH ( A i^i B ) ) ) ) <-> A MH B ) $=
      ( vy cin cv wss chj co wa wceq wi cch wral cmd wbr wcel inss2 wb chincl
      chlubt mp3an23 biimpd mpan2i chub2 sstr mpan2 syl6 chub2t mpan jctild
      chjclt jcad chjasst chjcom chabs1 eqtr opreq2i syl6eq ineq1d chjidm
      eqeq12d imim12d impexp bitr2 syl5ib sseq2 sseq1 anbi12d opreq1 imbi12d
      rcla4cv syl5com r19.21aiv mdbrt mp2an sylibr ax-1 r19.20si sylbi impbi )
      BCGZAHZIZWEBCJKZIZLZWECIZWEBJKZCGZWEWDJKZMZNZNZAOPZBCQRZWQFHZCIZWSBJKZCGZ
      WSWDJKZMZNZFOPZWRWQXEFOWSOSZXCOSZWDXCIZXCWGIZLZXCCIZXCBJKZCGZXCWDJKZMZNZN
      ZNZXEWQXGXHXKLZXLLZXPNZXEXSXGWTYAXPXDXGWTXTXLXGWTXKXHXGWTXJXIXGWTXLXJXGWT
      WDCIZXLBCTXGWTYCLZXLXGWDOSZCOSZYDXLUABCDEUBZEWSWDCUCUDUEUFZXLCWGIXJCBEDUG
      XCCWGUHUIUJYEXGXIYGWDWSUKULUMXGYEXHYGWSWDUNUIUMYHUOXGXPXDXGXNXBXOXCXGXMXA
      CXGXMWSWDBJKZJKZXAXGYEBOSZXMYJMYGDWSWDBUPUDYIBWSJYIBWDJKBWDBYGDUQBCDEURUS
      UTVAVBXGXOWSWDWDJKZJKZXCXGYEYEXOYMMYGYGWSWDWDUPUDYLWDWSJWDYGVCUTVAVDUEVEY
      BXTXQNXSXTXLXPVFXHXKXQVFVGVHWPXRAXCOWEXCMZWIXKWOXQYNWFXIWHXJWEXCWDVIWEXCW
      GVJVKYNWJXLWNXPWEXCCVJYNWLXNWMXOYNWKXMCWEXCBJVLVBWEXCWDJVLVDVMVMVNVOVPYKY
      FWRXFUADEFBCVQVRVSWRWOAOPZWQYKYFWRYOUADEABCVQVRWOWPAOWOWIVTWAWBWC $.
      $( [4-Jun-2006] $) $( [27-Apr-2006] $)

    $( If the modular pair property holds in a sublattice, it holds in the
       whole lattice.  Lemma 1.4 of [MaedaMaeda] p. 2. $)
    mdsl2 $p |- ( A MH B <-> A. x e. CH ( ( ( A i^i B ) (_ x /\ x (_ B ) ->
                ( ( x vH A ) i^i B ) (_ ( x vH ( A i^i B ) ) ) ) $=
      ( cin cv wss wa chj co wi cch wral wceq cmd wbr wcel wb iba ssin syl6bb
      chub1t mpan2 syl5cbi chub2t mpan ssrin syl jctird chjclt chinclt chincl
      chlubt mp3an2 mpdan sylibd eqss syl6rbbr syl6 adantld pm5.74d chub2 sstr
      pm4.71ri anbi2i anass bitr4 imbi1i syl5rbbr impexp ralbiia mdsl1 bitr2 )
      BCFZAGZHZVPCHZIZVPBJKZCFZVPVOJKZHZLZAMNVQVPBCJKZHZIZVRWAWBOZLLZAMNBCPQWDW
      IAMVPMRZWDWGVRIZWHLZWIWJVSWHLWDWLWJVSWHWCWJVRWHWCSZVQWJVRWBWAHZWMWJVRVPWA
      HZVOWAHZIZWNWJVRWOWPVRVPVTHZWOWJVRWRWRVRIWOVRWRTVPVTCUAUBWJBMRZWRDVPBUCUD
      UEWJBVTHZWPWSWJWTDBVPUFUGBVTCUHUIUJWJWAMRZWQWNSZWJVTMRZXAWJWSXCDVPBUKUDXC
      CMRXAEVTCULUDUIWJVOMRXAXBBCDEUMVPVOWAUNUOUPUQWNWCWCWNIWHWNWCTWAWBURUSUTVA
      VBVSWKWHVSVQWFVRIZIWKVRXDVQVRWFVRCWEHWFCBEDVCVPCWEVDUDVEVFVQWFVRVGVHVIVJW
      GVRWHVKUBVLABCDEVMVN $.
      $( [4-Jun-2006] $) $( [28-Apr-2006] $)

    $( If the modular pair property holds in a sublattice, it holds in the
       whole lattice.  Lemma 1.4 of [MaedaMaeda] p. 2. $)
    mdsl2b $p |- ( A MH B <-> A. x e. CH ( ( ( A i^i B ) (_ x /\ x (_ B ) ->
                ( ( x vH A ) i^i B ) = ( x vH ( A i^i B ) ) ) ) $=
      ( cmd wbr cin cv wss wa chj co wi cch wral wceq mdsl2 wcel wb chincl w3a
      inss1 chlej2t mpan2 mp3an12 adantr pm3.27 inss2 jctir chlubt mp3an23
      mpbid jca ssin sylib biantrud eqss syl6bbr ex adantld pm5.74d ralbiia
      bitr ) BCFGBCHZAIZJZVFCJZKZVFBLMZCHZVFVELMZJZNZAOPVIVKVLQZNZAOPABCDERVNVP
      AOVFOSZVIVMVOVQVHVMVOTZVGVQVHVRVQVHKZVMVMVLVKJZKVOVSVTVMVSVLVJJZVLCJZKVTV
      SWAWBVQWAVHVEOSZBOSZVQWABCDEUAZDWCWDVQUBVEBJWABCUCVEBVFUDUEUFUGVSVHVECJZK
      ZWBVSVHWFVQVHUHBCUIUJVQWGWBTZVHVQWCCOSWHWEEVFVECUKULUGUMUNVLVJCUOUPUQVKVL
      URUSUTVAVBVCVD $.
      $( [8-Jan-2007] $) $( [24-Dec-2006] $)

    $( The covering property implies the modular pair property.  Lemma 7.5.1 of
       [MaedaMaeda] p. 31. $)
    cvmd $p |- ( ( A i^i B ) <o B -> A MH B ) $=
      ( vx cin ccv wbr cv wss chj co wa wceq wi cch wral cmd wcel wo chincl
      cvnbtwn4t mp3an12 impcom chjcom chabs1 eqtr ineq1i chjidm eqtr4 opreq1
      ineq1d 3eqtr4a incom chabs2 opreq2i eqtr3 3eqtr jaoi syl6 anass chub2
      sstr mpan2 pm4.71ri anbi2i bitr4 syl5ib exp4b r19.21aiv mdsl1 sylib ) ABF
      ZBGHZVMEIZJZVOABKLZJZMZVOBJZVOAKLZBFZVOVMKLZNZOOZEPQABRHVNWEEPVNVOPSZVSVT
      WDVNWFMZVPVTMZWDVSVTMZWGWHVOVMNZVOBNZTZWDWFVNWHWLOZVMPSBPSWFVNWMOABCDUAZD
      VMBVOUBUCUDWJWDWKWJVMAKLZBFZVMVMKLZWBWCWPVMWQWOABWOAVMKLAVMAWNCUEABCDUFUG
      UHVMWNUIUJWJWAWOBVOVMAKUKULVOVMVMKUKUMWKBAKLZBFZBVMKLZWBWCWSBWRFBWTWRBUNB
      ADCUOBBAFZKLBWTBADCUFXAVMBKBAUNUPUQURWKWAWRBVOBAKUKULVOBVMKUKUMUSUTWIVPVR
      VTMZMWHVPVRVTVAVTXBVPVTVRVTBVQJVRBADCVBVOBVQVCVDVEVFVGVHVIVJEABCDVKVL $.
      $( [13-Feb-2005] $) $( [16-Jun-2004] $)
  $}

  ${
    $d x y A $.  $d x y B $.  $d x y C $.  $d x y D $.
    mdslmd.1 $e |- A e. CH $.
    mdslmd.2 $e |- B e. CH $.
    mdslmd.3 $e |- C e. CH $.
    mdslmd.4 $e |- D e. CH $.
    ${
      mdslmd1lem.5 $e |- R e. CH $.
      $( MAY BE REVISED.  This proof was done quickly and is inefficient.
         Need to use adantr, etc. earlier for unused antecendent pieces. $)
      $( Lemma for ~ mdslmd1 . $)
      mdslmd1lem1 $p |- ( ( ( A MH B /\ B MH* A ) /\ ( ( A (_ C /\ A (_
         D ) /\ ( C (_ ( A vH B ) /\ D (_ ( A vH B ) ) ) ) -> ( ( (
         R vH A ) (_ D -> ( ( ( R vH A ) vH C ) i^i D ) (_ ( ( R vH A ) vH ( C
         i^i D ) ) ) -> ( ( ( ( C i^i B ) i^i ( D i^i B ) ) (_ R /\ R (_ ( D
         i^i B ) ) -> ( ( R vH ( C i^i B ) ) i^i ( D i^i B ) ) (_ ( R vH ( ( C
         i^i B ) i^i ( D i^i B ) ) ) ) ) ) $=
        ( cmd wbr cdmd wa wss chj co cin wi wceq cch wcel w3a 3pm3.2i dmdsl3t
        mpan pm3.27 syl3an 3expb sseq2d chincl chlej1 syl5bi adantld imim1d
        chjcl mdslj1 simpll ad2antlr chub2 jctil ssin sylib sstr inss1 mpan2
        sylan ancoms adantll ad2ant2l chub1 jctir chlub pm3.26 ad2antll adantr
        jca sylanc mdsl3t ad2antrr simplr ssrin syl inindir syl6ss simprl
        sstrd inss2 syl3anc opreq1d eqtr2d ineq1d syl6eqr ssinss1 ad2antrl a1i
        opreq12d sseq12d wb mdslle1 sstri bitr4d biimprd ex a2d syld ) ABKLZBAM
        LZNZACOZADOZNZCABPQZOZDXMOZNZNZNZEAPQZDOZXSCPQZDRZXSCDRZPQZOZSCBRZDBRZR
        ZEOZEYGOZNZYESYKEYFPQZYGRZEYHPQZOZSXRYKXTYEXRYJXTYIXRXSYGAPQZOXTYJXRYPD
        XSXIXLXPYPDTZXHXKXOYQXIXLXPAUAUBZBUAUBZDUAUBZUCXHXKXOUCYQYRYSYTFGIUDABD
        UEUFXGXHUGZXJXKUGXNXOUGUHUIUJEYGAJDBIGUKFULUMUNUOXRYKYEYOXRYKYEYOSXRYKN
        ZYOYEUUBYOYBBRZYDBRZOZYEUUBYMUUCYNUUDUUBYMYABRZYGRUUCUUBYLUUFYGUUBUUFXS
        BRZYFPQZYLXIAXSCROZYAXMOZNUUFUUHTUUBABXSCFGEAJFUPZHUQXIXQYKURZUUBUUIUUJ
        UUBAXSOZXJNUUIUUBXJUUMXQXJXIYKXJXKXPURUSZAEFJUTZVAAXSCVBVCUUBXSXMOZXNNU
        UJUUBUUPXNUUBEXMOZAXMOZNUUPUUBUUQUURXQYJUUQXIYIXPYJUUQXLXOYJUUQXNYJXOUU
        QEDOZXOUUQYJEDXMVDYJYGDOUUSDBVEEYGDVDVFVGVHVIVIVJABFGVKVLEAXMJFABFGUPZV
        MVCZXRXNYKXPXNXIXLXNXOVNVOVPVQXSCXMUUKHUUTVMVCVQVRUUBUUGEYFPXGABRZEOZEB
        OZUUGETZUUBYRYSEUAUBZUCXGUVCUVDUCUVEYRYSUVFFGJUDABEVSUFXIXGXQYKXGXHVNVT
        UUBUVBYHEUUBUVBYCBRZYHUUBAYCOZUVBUVGOUUBXLUVHUUBXJXKUUNXQXKXIYKXJXKXPWA
        USZVQACDVBVCZAYCBWBWCCDBWDZWEXRYIYJWFWGYJUVDXRYIYJYGBOUVDDBWHEYGBVDVFVO
        WIZWJWKWLYADBWDWMUUBUUDUUGUVGPQZYNXIAXSYCROZYDXMOZNUUDUVMTUUBABXSYCFGUU
        KCDHIUKZUQUULUUBUVNUVOUUBUUMUVHNUVNUUBUVHUUMUVJUUOVAAXSYCVBVCUUBUUPYCXM
        OZNUVOUUBUUPUVQUVAXQUVQXIYKXNUVQXLXOCDXMWNWOUSVQXSYCXMUUKUVPUUTVMVCZVQV
        RUUBUUGEUVGYHPUVLUVGYHTUUBUVKWPWQWKWRXHAYBYDROZYBYDPQXMOZYEUUEWSUUBABYB
        YDFGYADXSCUUKHUPIUKZXSYCUUKUVPUPZWTXIXHXQYKUUAVTUUBAYBOZAYDOZNUVSUUBUWC
        UWDUUBAYAOZXKNUWCUUBXKUWEUVIAXSYAUUOXSCUUKHVKXAVAAYADVBVCAXSYDUUOXSYCUU
        KUVPVKXAVLAYBYDVBVCUUBYBXMOZUVONUVTUUBUWFUVOXQUWFXIYKXOUWFXLXNYBDOXOUWF
        YADWHYBDXMVDUFVOUSUVRVQYBYDXMUWAUWBUUTVMVCWIXBXCXDXEXF $.
        $( [29-Apr-2006] $) $( [29-Apr-2006] $)

      $( MAY BE REVISED.  This proof was done quickly and is inefficient.
         Need to use adantr, etc. earlier for unused antecendent pieces. $)
      $( Lemma for ~ mdslmd1 . $)
      mdslmd1lem2 $p |- ( ( ( A MH B /\ B MH* A ) /\ ( ( A (_
         C /\ A (_ D ) /\ ( C (_ ( A vH B ) /\ D (_ ( A vH B ) ) ) ) ->
         ( ( ( R i^i B ) (_ ( D i^i B ) -> ( ( ( R i^i B ) vH ( C i^i B ) ) i^i
         ( D i^i B ) ) (_ ( ( R i^i B ) vH ( ( C i^i B ) i^i ( D i^i B ) ) ) )
         -> ( ( ( C i^i D ) (_ R /\ R (_ D ) -> ( ( R vH C ) i^i D ) (_ ( R vH
         ( C i^i D ) ) ) ) ) $=
        ( cmd wbr cdmd wa wss chj co cin wi wb chjcl chincl mdslle1 pm3.27
        ad2antrr chub2 sstr mpan2 ad2antlr simplr jca ssin sylib sylbi adantr
        inss2 mpan ad2antll ancoms ad2ant2l adantll ssinss1 ad2antrl chlub
        syl3anc wceq mdslj1 sylanb ad2ant2r pm3.26 sylan2 anassrs ineq1d
        inindir syl5req biimp anim12i an4s a1i opreq2d eqtr2d sseq12d bitr4d
        biimprd ex a2d ssrin adantl imim1i syl5 ) ABKLZBAMLZNZACOZADOZNZCABPQZO
        ZDWQOZNZNZNZCDRZEOZEDOZNZEBRZCBRZPQZDBRZRZXGXHXJRZPQZOZSXFECPQZDRZEXCPQ
        ZOZSXGXJOZXNSXBXFXNXRXBXFXNXRSXBXFNZXRXNXTXRXPBRZXQBRZOZXNWLAXPXQROZXPX
        QPQWQOZXRYCTXTABXPXQFGXODECJHUAIUBZEXCJCDHIUBZUAZUCWMWLXAXFWKWLUDUEXTAX
        POZAXQOZNYDXTYIYJXTAXOOZWONYIXTYKWOXAYKWMXFWNYKWOWTWNCXOOYKCEHJUFACXOUG
        UHUEUIXAWOWMXFWNWOWTUJUIUKAXODULUMXAYJWMXFWPYJWTWPAXCOZYJACDULZYLXCXQOY
        JXCEYGJUFAXCXQUGUHUNUOUIUKAXPXQULUMXTXPWQOZXQWQOZNYEXTYNYOXAYNWMXFWSYNW
        PWRXPDOWSYNXODUPXPDWQUGUQURUIXTEWQOZXCWQOZNZYOXTYPYQXAXFYPWMWTXFYPWPWSX
        EYPWRXDXEWSYPEDWQUGUSZUTVAZVAXAYQWMXFWRYQWPWSCDWQVBZVCUIUKEXCWQJYGABFGU
        AZVDZUMUKXPXQWQYFYHUUBVDUMVEXTXKYAXMYBXTXOBRZXJRXKYAXTUUDXIXJWMXAXFUUDX
        IVFZWMAECROZXOWQOZNUUEXAXFNZABECFGJHVGUUHUUFUUGUUHAEOZWNNUUFUUHUUIWNWPX
        DUUIWTXEYLXDUUIWPAXCEUGYMVHZVIWPWNWTXFWNWOVJUEUKAECULUMUUHYPWRNUUGUUHYP
        WRYTWTWRWPXFWRWSVJUIUKECWQJHUUBVDUMUKVKVLVMXODBVNVOXTYBXGXCBRZPQZXMWMXA
        XFYBUULVFZWMAEXCROZYONZUUMUUHABEXCFGJYGVGWPXDWTXEUUOWPXDNZUUNWTXENZYOUU
        PUUIYLNUUNUUPUUIYLUUJWPYLXDWPYLYMVPUOUKAEXCULUMUUQYRYOUUQYPYQWSXEYPWRYS
        VAWRYQWSXEUUAUEUKUUCUMVQVRVKVLXTUUKXLXGPUUKXLVFXTCDBVNVSVTWAWBWCWDWEWFX
        FXSXNXEXSXDEDBWGWHWIWJ $.
        $( [29-Apr-2006] $) $( [29-Apr-2006] $)
    $}

    $( Lemma for ~ mdslmd1 . $)
    mdslmd1lem3 $p |- ( ( x e. CH /\ ( ( A MH B /\ B MH* A ) /\ ( ( A (_ C /\ A
        (_ D ) /\ ( C (_ ( A vH B ) /\ D (_ ( A vH B ) ) ) ) ) -> ( ( (
        x vH A ) (_ D -> ( ( ( x vH A ) vH C ) i^i D ) (_ ( ( x vH A ) vH ( C
        i^i D ) ) ) -> ( ( ( ( C i^i B ) i^i ( D i^i B ) ) (_ x /\ x (_ ( D i^i
        B ) ) -> ( ( x vH ( C i^i B ) ) i^i ( D i^i B ) ) (_ ( x vH ( ( C i^i B
        ) i^i ( D i^i B ) ) ) ) ) ) $=
      ( cv cch wcel cmd wbr cdmd wa wss chj co cin wi c0h cif wceq opreq1
      sseq1d opreq1d ineq1d sseq12d imbi12d sseq2 sseq1 anbi12d imbi2d h0elch
      elimel mdslmd1lem1 dedth imp ) AJZKLZBCMNCBONPBDQBEQPDBCRSZQEVBQPPPZUTBRS
      ZEQZVDDRSZETZVDDETZRSZQZUAZDCTZECTZTZUTQZUTVMQZPZUTVLRSZVMTZUTVNRSZQZUAZU
      AZVAVCWCUAVCVAUTUBUCZBRSZEQZWEDRSZETZWEVHRSZQZUAZVNWDQZWDVMQZPZWDVLRSZVMT
      ZWDVNRSZQZUAZUAZUAUTUBUTWDUDZWCWTVCXAVKWKWBWSXAVEWFVJWJXAVDWEEUTWDBRUEZUF
      XAVGWHVIWIXAVFWGEXAVDWEDRXBUGUHXAVDWEVHRXBUGUIUJXAVQWNWAWRXAVOWLVPWMUTWDV
      NUKUTWDVMULUMXAVSWPVTWQXAVRWOVMUTWDVLRUEUHUTWDVNRUEUIUJUJUNBCDEWDFGHIUTUB
      KUOUPUQURUS $.
      $( [29-Apr-2006] $) $( [29-Apr-2006] $)

    $( Lemma for ~ mdslmd1 . $)
    mdslmd1lem4 $p |- ( ( x e. CH /\ ( ( A MH B /\ B MH* A ) /\ ( ( A (_
       C /\ A (_ D ) /\ ( C (_ ( A vH B ) /\ D (_ ( A vH B ) ) ) ) ) -> ( ( ( x
       i^i B ) (_ ( D i^i B ) -> ( ( ( x i^i B ) vH ( C i^i B ) ) i^i ( D i^i B
       ) ) (_ ( ( x i^i B ) vH ( ( C i^i B ) i^i ( D i^i B ) ) ) ) -> ( ( ( C
       i^i D ) (_ x /\ x (_ D ) -> ( ( x vH C ) i^i D ) (_ ( x vH ( C i^i D ) )
       ) ) ) $=
      ( cv cch wcel cmd wbr cdmd wa wss chj co cin wi c0h cif wceq ineq1
      sseq1d opreq1d ineq1d sseq12d imbi12d sseq2 sseq1 anbi12d opreq1 imbi2d
      h0elch elimel mdslmd1lem2 dedth imp ) AJZKLZBCMNCBONPBDQBEQPDBCRSZQEVCQPP
      PZVACTZECTZQZVEDCTZRSZVFTZVEVHVFTZRSZQZUAZDETZVAQZVAEQZPZVADRSZETZVAVORSZ
      QZUAZUAZVBVDWDUAVDVBVAUBUCZCTZVFQZWFVHRSZVFTZWFVKRSZQZUAZVOWEQZWEEQZPZWED
      RSZETZWEVORSZQZUAZUAZUAVAUBVAWEUDZWDXAVDXBVNWLWCWTXBVGWGVMWKXBVEWFVFVAWEC
      UEZUFXBVJWIVLWJXBVIWHVFXBVEWFVHRXCUGUHXBVEWFVKRXCUGUIUJXBVRWOWBWSXBVPWMVQ
      WNVAWEVOUKVAWEEULUMXBVTWQWAWRXBVSWPEVAWEDRUNUHVAWEVORUNUIUJUJUOBCDEWEFGHI
      VAUBKUPUQURUSUT $.
      $( [29-Apr-2006] $) $( [29-Apr-2006] $)

    $( Preservation of the modular pair property in the one-to-one onto mapping
       between the two sublattices in Lemma 1.3 of [MaedaMaeda] p. 2 (meet
       version). $)
    mdslmd1 $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( A (_ ( C i^i D ) /\ ( C vH D ) (_ ( A vH B ) ) ) ->
                ( C MH D <-> ( C i^i B ) MH ( D i^i B ) ) ) $=
      ( vy vx cmd wbr cdmd wa wss chj co cin wb cv wi cch wral wcel chjclt
      mpan2 wceq sseq1 opreq1 ineq1d sseq12d imbi12d rcla4v syl adantr
      mdslmd1lem3 syld ex com3l r19.21adv mdbr2 mp2an chincl mdsl2 3imtr4g
      chinclt mdslmd1lem4 impbid ssin chjcl chlub anbi12i sylan2br ) ABKLBAMLNZ
      ACOADONZCABPQZODVPONZNZCDKLZCBRZDBRZKLZSACDRZOZCDPQVPOZNVNVRNZVSWBWFITZDO
      ZWGCPQZDRZWGWCPQZOZUAZIUBUCZVTWARZJTZOWPWAONWPVTPQWARWPWOPQOUAZJUBUCVSWBW
      FWNWQJUBWPUBUDZWFWNWQWRWFWNWQUAWRWFNZWNWPAPQZDOZWTCPQZDRZWTWCPQZOZUAZWQWR
      WNXFUAZWFWRWTUBUDZXGWRAUBUDXHEWPAUEUFWMXFIWTUBWGWTUGZWHXAWLXEWGWTDUHXIWJX
      CWKXDXIWIXBDWGWTCPUIUJWGWTWCPUIUKULUMUNUOJABCDEFGHUPUQURUSUTCUBUDDUBUDVSW
      NSGHICDVAVBJVTWACBGFVCZDBHFVCZVDVEWFWGWAOZWGVTPQZWARZWGWOPQZOZUAZIUBUCZWC
      WPOWPDONWPCPQDRWPWCPQOUAZJUBUCWBVSWFXRXSJUBWRWFXRXSWRWFXRXSUAWSXRWPBRZWAO
      ZXTVTPQZWARZXTWOPQZOZUAZXSWRXRYFUAZWFWRXTUBUDZYGWRBUBUDYHFWPBVFUFXQYFIXTU
      BWGXTUGZXLYAXPYEWGXTWAUHYIXNYCXOYDYIXMYBWAWGXTVTPUIUJWGXTWOPUIUKULUMUNUOJ
      ABCDEFGHVGUQURUSUTVTUBUDWAUBUDWBXRSXJXKIVTWAVAVBJCDGHVDVEVHVOWDVQWEACDVIC
      DVPGHABEFVJVKVLVM $.
      $( [4-Jun-2006] $) $( [27-Apr-2006] $)

    $( Preservation of the modular pair property in the one-to-one onto mapping
       between the two sublattices in Lemma 1.3 of [MaedaMaeda] p. 2 (join
       version). $)
    mdslmd2 $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( ( A i^i B ) (_ ( C i^i D ) /\ ( C vH D ) (_ B ) ) ->
                ( C MH D <-> ( C vH A ) MH ( D vH A ) ) ) $=
      ( cmd wbr cdmd wa cin wss chj co wb chjcl mdslmd1 chlej1 chjjdir chjcom
      3sstr3g adantl chub2 ssini jctil sylan2 w3a wceq cch wcel 3pm3.2i mdsl3t
      mpan id inss1 sstr mpan2 chub1 syl3an inss2 breq12d 3expb adantlr bitr2d
      ) ABIJZBAKJZLZABMZCDMZNZCDOPZBNZLZLCAOPZDAOPZIJZVPBMZVQBMZIJZCDIJZVIAVPVQ
      MNZVPVQOPZABOPZNZLVRWAQVOABVPVQEFCAGERDAHERSVOWFWCVNWFVLVNVMAOPBAOPWDWEVM
      BACDGHRFETCDAGHEUABAFEUBUCUDAVPVQACEGUEADEHUEUFUGUHVGVOWAWBQZVHVGVLVNWGVG
      VLVNUIVSCVTDIVGVJCNZCBNZVSCUJZVGVLVNAUKULZBUKULZCUKULZUIVGWHWIUIWJWKWLWME
      FGUMABCUNUOVGUPZVLVKCNWHCDUQVJVKCURUSCVMNVNWICDGHUTCVMBURUOVAVGVJDNZDBNZV
      TDUJZVGVLVNWKWLDUKULZUIVGWOWPUIWQWKWLWREFHUMABDUNUOWNVLVKDNWOCDVBVJVKDURU
      SDVMNVNWPDCHGUEDVMBURUOVAVCVDVEVF $.
      $( [4-Jun-2006] $) $( [29-Apr-2006] $)

    $( Preservation of the dual modular pair property in the one-to-one onto
       mapping between the two sublattices in Lemma 1.3 of [MaedaMaeda]
       p. 2. $)
    mdsldmd1 $p |- ( ( ( A MH B /\ B MH* A ) /\
                ( A (_ ( C i^i D ) /\ ( C vH D ) (_ ( A vH B ) ) ) ->
                ( C MH* D <-> ( C i^i B ) MH* ( D i^i B ) ) ) $=
      ( cort cfv cmd wbr cdmd wa cin wss chj co wb choccl mdslmd2 ancom cch
      wcel dmdmdt mp2an mddmdt anbi12i bitr chjcl chsscon3 chdmj1 incom eqtr
      sseq12i chincl chdmm1 sseq1i breq12i bibi12i 3imtr4 ) BIJZAIJZKLZVCVBMLZN
      ZVBVCOZCIJZDIJZOZPZVHVIQRZVCPZNZNVHVIKLZVHVBQRZVIVBQRZKLZSABKLZBAMLZNZACD
      OZPZCDQRZABQRZPZNZNCDMLZCBOZDBOZMLZSVBVCVHVIBFTAETCGTDHTUAWAVFWGVNWAVTVSN
      VFVSVTUBVTVDVSVEBUCUDZAUCUDZVTVDSFEBAUEUFWMWLVSVESEFABUGUFUHUIWGWFWCNVNWC
      WFUBWFVKWCVMWFWEIJZWDIJZPVKWDWECDGHUJABEFUJUKWNVGWOVJWNVCVBOVGABEFULVCVBU
      MUNCDGHULUOUIWCWBIJZVCPVMAWBECDGHUPUKWPVLVCCDGHUQURUIUHUIUHWHVOWKVRCUCUDD
      UCUDWHVOSGHCDUEUFWKWIIJZWJIJZKLZVRWIUCUDWJUCUDWKWSSCBGFUPDBHFUPWIWJUEUFWQ
      VPWRVQKCBGFUQDBHFUQUSUIUTVA $.
      $( [8-Jun-2006] $) $( [29-Apr-2006] $)

    $( Modular pair conditions that imply the modular pair property in a
       sublattice.  Lemma 1.5.1 of [MaedaMaeda] p. 2. $)
    mdslmd3 $p |- ( ( ( A MH B /\ ( A i^i B ) MH C ) /\ ( ( A i^i C ) (_ D /\
                  D (_ A ) ) -> D MH ( B i^i C ) ) $=
      ( vx cmd wbr cin wa wss cv chj co wi cch wral wcel w3a chlej2t ex
      mp3an12 impcom ssrin syl adantll adantr wceq mdit mp3anl1 mpanl1 ineq1d
      inass syl5eqr adantrlr adantrrr chincl opreq2i syl6eq adantrll adantrrl
      eqtrd ancoms an1rs ssin sylan2br adantllr in12 inidm ineq2i eqtr eqtr2
      syl5ss anim12i eqss sylibr opreq2d adantl ad2antrr sseqtrd r19.21aiva wb
      mdbr2 mp2an ) ABJKZABLZCJKZMZACLZDNZDANZMZMZIOZBCLZNZWQDPQZWRLZWQDWRLZPQZ
      NZRZISTZDWRJKZWPXEISWPWQSUAZMZWSXDXIWSMZXAWQAPQZWRLZXCXIXAXLNZWSWOXHXMWKW
      NXHXMWMWNXHMWTXKNZXMXHWNXNDSUAZASUAZXHWNXNRHEXOXPXHUBWNXNDAWQUCUDUEUFWTXK
      WRUGUHUIUIUJXJXLWQAWRLZPQZXCWKXHWSXLXRUKZWOWKXHMWQBNZWQCNZMZXSWSWKYBXHXSX
      HWKYBMZXSXHYCMXLWQWIPQZCLZXRXHWKXTXLYEUKZYAXHWHXTYFWJXHWHXTMZMZXKBLZCLYEX
      LYHYIYDCBSUAZXHYGYIYDUKZFXPYJXHYGYKEABWQULUMUNUOXKBCUPUQURUSXHWKYAYEXRUKZ
      XTXHWJYAYLWHXHWJYAMZMYEWQWICLZPQZXRCSUAZXHYMYEYOUKZGWISUAYPXHYMYQABEFUTWI
      CWQULUMUNYNXQWQPABCUPVAVBVCVDVEVFVGWQBCVHVIVJWPXRXCUKZXHWSWOYRWKWOXQXBWQP
      WOXQXBNZXBXQNZMXQXBUKWMYSWNYTWMWLWRLZXBXQWLDWRUGUUAACWRLZLXQACWRUPUUBWRAU
      UBBCCLZLWRCBCVKUUCCBCVLVMVNVMVOVPDAWRUGVQXQXBVRVSVTWAWBVEWCUDWDXOWRSUAXGX
      FWEHBCFGUTIDWRWFWGVS $.
      $( [24-Dec-2006] $) $( [23-Dec-2006] $)

    $( Modular pair condition that implies the modular pair property in a
       sublattice.  Lemma 1.5.2 of [MaedaMaeda] p. 2. $)
    mdslmd4 $p |- ( ( A MH B /\ ( ( A i^i B ) (_ C /\ C (_ A ) /\
                  ( ( A i^i B ) (_ D /\ D (_ B ) ) -> C MH D ) $=
      ( cmd wbr cin wss wa w3a mdslmd3 3simp1 cch wcel chincl ssmd1 mp3an12
      adantr 3ad2ant3 sstr sslin sylan ancoms ad2ant2rl 3adant1 pm3.27
      3ad2ant2 syl2anc wceq sseqin2 biimp adantl breqtrd ) ABIJZABKZCLZCALZMZUS
      DLZDBLZMZNZCBDKZDIURUSDIJZADKZCLZVACVGIJVFABDCEFHGOURVBVEPVEURVHVBVCVHVDU
      SQRDQRVCVHABEFSHUSDTUAUBUCVBVEVJURUTVDVJVAVCVDUTVJVIUSLUTVJVDVIUSCUDDBAUE
      UFUGUHUIVBURVAVEUTVAUJUKULVEURVGDUMZVBVDVKVCVDVKDBUNUOUPUCUQ $.
      $( [3-Jan-2007] $) $( [24-Dec-2006] $)
  $}

  ${
    $d x A $.  $d c x B $.
    csmdsym.1 $e |- A e. CH $.
    csmdsym.2 $e |- B e. CH $.
    $( Cross-symmetry implies M-symmetry.  Theorem 1.9.1 of [MaedaMaeda]
       p. 3. $)
    csmdsym $p |- ( ( A. c e. CH ( c MH B -> B MH* c ) /\ A MH B ) ->
                   B MH A ) $=
      ( vx cv cmd wbr cdmd wi cch wral wa cin wss chj co wceq wcel chjcomt
      mpan2 ineq1d incom syl6eq ad2antlr w3a dmdit a1i id 3jca inss2 ssid
      pm3.2i c0h cif sseq2 sseq1 anbi12d 3anbi2d breq1 imbi12d h0elch elimel
      mdslmd4 dedth com12 mp3an3 imp an1rs adantlll breq2 rcla4cva adantlr
      adantr mpd simprr jca sylanc chincl mpan opreq2i 3eqtr2d ex sseq1i
      biimpr sylani r19.21aiva mdsl2b sylibr ) CGZBHIZBWKJIZKZCLMZABHIZNZBAOZFG
      ZPZWSAPZNWSBQRZAOZWSWRQRZSZKZFLMBAHIWQXFFLWQWSLTZNZABOZWSPZXAXEWTXHXJXANZ
      XEXHXKNZXCABWSQRZOZXIWSQRZXDXGXCXNSWQXKXGXCXMAOXNXGXBXMAXGBLTZXBXMSEWSBUA
      UBUCXMAUDUEUFXPXGALTZUGZBWSJIZXANXOXNSXLBWSAUHXGXRWQXKXGXPXGXQXPXGEUIXGUJ
      XQXGDUIUKUFXLXSXAXLWSBHIZXSWPXGXKXTWOWPXKXGXTWPXKNXGXTWPXKXIBPZBBPZNZXGXT
      KYAYBABULBUMUNXGWPXKYCUGZXTXGYDXTKWPXIXGWSUOUPZPZYEAPZNZYCUGZYEBHIZKWSUOW
      SYESZYDYIXTYJYKXKYHWPYCYKXJYFXAYGWSYEXIUQWSYEAURUSUTWSYEBHVAVBABYEBDEWSUO
      LVCVDEVEVFVGVHVIVJVKXHXTXSKZXKWOXGYLWPWNYLCWSLWKWSSWLXTWMXSWKWSBHVAWKWSBJ
      VLVBVMVNVOVPXHXJXAVQVRVSXGXOXDSWQXKXGXOWSXIQRZXDXILTXGXOYMSABDEVTXIWSUAWA
      XIWRWSQABUDZWBUEUFWCWDXJWTXIWRWSYNWEWFWGWHFBAEDWIWJ $.
      $( [15-Jan-2007] $) $( [24-Dec-2006] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x C $.
    mdexch.1 $e |- A e. CH $.
    mdexch.2 $e |- B e. CH $.
    mdexch.3 $e |- C e. CH $.
    $( An exchange lemma for modular pairs.  Lemma 1.6 of [MaedaMaeda] p. 2. $)
    mdexch $p |- ( ( A MH B /\ C MH ( A vH B ) /\ ( C i^i ( A vH B ) ) (_ A )
      -> ( ( C vH A ) MH B /\ ( ( C vH A ) i^i B ) = ( A i^i B ) ) ) $=
      ( vx cmd wbr chj co cin wss w3a wceq cv wi cch wral wcel wa chjasst
      mp3an12 chjcl chjcomt mpan2 chjclt mpan syl 3eqtr4d ineq1d inass incom
      chjcom ineq2i chabs2 3eqtr eqtr syl6eqr ad2antrr chlej2t ex mp3an23 mdit
      exp32 com23 syld imp31 adantrr chincl imp chjidm opreq1i syl5reqr 3eqtrd
      adantr sseqtrd ad2ant2rl eqsstrd ssrin adantrl chub2 ax-mp mpi sstrd
      exp31 com3r 3impb r19.21aiv wb mdbr2 mp2an sylibr chub1 mp3an chlejb1
      biimp syl5eq sylan9eq syl5eqr 3eqtr3r ineq12i 3adant1 jca ) ABHIZCABJKZHI
      ZCXFLZAMZNZCAJKZBHIZXKBLZABLZOZXJGPZBMZXPXKJKZBLZXPXMJKZMZQZGRSZXLXJYBGRX
      EXGXIXPRTZYBQYDXQXEXGXIUAZUAZYAYDXQYFYAYDXQUAZYFUAXSXPAJKZBLZXTYGYEXSYIMX
      EYGYEUAZXSAXPJKZCJKZXFLZBLZYIYDXSYNOXQYEYDXSYLBLZYNYDXRYLBYDXKXPJKZCYKJKZ
      XRYLCRTZARTZYDYPYQOFDCAXPUBUCYDXKRTZXRYPOCAFDUDZXPXKUEUFYDYKRTZYLYQOZYSYD
      UUBDAXPUGUHZUUBYRUUCFYKCUEUFUIUJUKYNYLXFBLZLYOYLXFBULUUEBYLUUEBXFLZBBAJKZ
      LZBXFBUMXFUUGBABDEUNUOZBAEDUPZUQUOURUSUTYJYMYHMYNYIMYJYMYKXHJKZYHYGXGYMUU
      KOZXIYDXQXGUULYDXQYKXFMZXGUULQYDBRTZYSXQUUMQEDYDUUNYSNXQUUMXPBAVAVBVCYDXG
      UUMUULYDUUBXGUUMUULQQZUUDYRXFRTZUUBUUOFABDEUDZYRUUPUUBNXGUUMUULCXFYKVDVEU
      CUIVFVGVHVIYDXIUUKYHMXQXGYDXIUAUUKYKAJKZYHYDXIUUKUURMZYDUUBXIUUSQZUUDXHRT
      ZYSUUBUUTCXFFUUQVJZDUVAYSUUBNXIUUSXHAYKVAVBUCUIVKYDUURYHOXIYDUURAYKJKZYKY
      HYDUUBUURUVCOZUUDUUBYSUVDDYKAUEUFUIYDAAJKZXPJKZUVCYKYSYSYDUVFUVCODDAAXPUB
      UCUVEAXPJADVLVMVNYSYDYKYHODAXPUEUHVOVPVQVRVSYMYHBVTUIVSWAYGXEYIXTMYEYGXEU
      AYIXPXNJKZXTYDXQXEYIUVGOZYDXEXQUVHYSUUNYDXEXQUVHQQDEYSUUNYDNXEXQUVHABXPVD
      VEUCVFVHYDUVGXTMZXQXEYDXNXMMZUVIAXKMUVJACDFWBAXKBVTWCXNRTZXMRTZYDUVJUVIQA
      BDEVJXKBUUAEVJUVKUVLYDNUVJUVIXNXMXPVAVBUCWDUTVSVIWEWFWGWHWIYTUUNXLYCWJUUA
      EGXKBWKWLWMXGXIXOXEYEACJKZUUELZXNXMYEUVMXFLZBLXNUVNYEUVOABXGXIUVOAXHJKZAX
      GAXFMZUVOUVPOZABDEWNYRUUPYSXGUVQUVRQQFUUQDYRUUPYSNXGUVQUVRCXFAVDVEWOWDXIX
      HAJKZAUVPXIUVSAOXHAUVBDWPWQAXHDUVBUNWRWSUKUVMXFBULWTXKUVMBUUECAFDUNUUFUUH
      UUEBUUIBXFUMUUJXAXBWRXCXD $.
      $( [21-Feb-2005] $) $( [22-Jun-2004] $)
  $}

  $( The covering property implies the modular pair property.  Lemma 7.5.1 of
     [MaedaMaeda] p. 31. $)
  cvmdt $p |- ( ( A e. CH /\ B e. CH /\ ( A i^i B ) <o B ) -> A MH B ) $=
    ( cch wcel cin ccv wbr cmd wi chil cif wceq ineq1 breq1d breq1 imbi12d
    ineq2 id breq12d breq2 helch elimel cvmd dedth2h 3impia ) ACDZBCDZABEZBFGZA
    BHGZUFUGUIUJIUFAJKZBEZBFGZUKBHGZIUKUGBJKZEZUOFGZUKUOHGZIABJJAUKLZUIUMUJUNUS
    UHULBFAUKBMNAUKBHOPBUOLZUMUQUNURUTULUPBUOFBUOUKQUTRSBUOUKHTPUKUOAJCUAUBBJCU
    AUBUCUDUE $.
    $( [25-Jul-2007] $) $( [21-Jun-2004] $)

  $( The covering property implies the dual modular pair property.  Lemma
     7.5.2 of [MaedaMaeda] p. 31. $)
  cvdmdt $p |- ( ( A e. CH /\ B e. CH /\ B <o ( A vH B ) ) -> A MH* B ) $=
    ( cch wcel chj co ccv wbr cdmd wa cort cfv cin cmd wi cvmdt 3expia chocclt
    syl2an wb cvcon3t pm3.27 chjclt sylanc chdmj1t breq1d bitrd dmdmdt 3imtr4d
    3impia ) ACDZBCDZBABEFZGHZABIHZUKULJZAKLZBKLZMZURGHZUQURNHZUNUOUQCDZURCDZUT
    VAOUKULVBVCUTVAUQURPQARBRSUPUNUMKLZURGHZUTULUMCDUNVETUPBUMUAUKULUBABUCUDUPV
    DUSURGABUEUFUGABUHUIUJ $.
    $( [27-Jul-2007] $) $( [21-Jun-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Atoms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y $.
    $( Define the set of atoms in a Hilbert lattice.  An atom is a non-zero
       element of a lattice such that anything less than it is zero, i.e. it
       is a smallest non-zero element of the lattice.  Definition of atom in
       [Kalmbach] p. 15.  See ~ elat and ~ elat2 for membership relations. $)
    df-at $a |- Atoms = { x e. CH | 0H <o x } $.
  $}

  ${
    $d x y A $.  $d x B $.
    $( Atoms in a Hilbert lattice are the elements that cover the zero
       subspace.  Definition of atom in [Kalmbach] p. 15. $)
    elat $p |- ( A e. Atoms <-> ( A e. CH /\ 0H <o A ) ) $=
      ( vx c0h cv ccv wbr cch cat breq2 df-at elrab2 ) CBDZEFCAEFBAGHLACEIBJK
      $.
      $( [12-Jun-2004] $) $( [9-Jun-2004] $)

    $( Expanded membership relation for the set of atoms, i.e. the predicate
       "is an atom (of the Hilbert lattice)."  An atom is a non-zero element of
       a lattice such that anything less than it is zero, i.e. it is a smallest
       non-zero element of the lattice. $)
    elat2 $p |- ( A e. Atoms <-> ( A e. CH /\ ( A =/= 0H /\
                 A. x e. CH ( x (_ A -> ( x = A \/ x = 0H ) ) ) ) ) $=
      ( cat wcel cch c0h ccv wbr wa wne cv wss wceq wo wi wral elat wpss wb
      h0elch cvbr2t mpan ch0psst imbi1d imbi2d impexp bi2.04 bitr orcom neor
      imbi2i 3bitr4g ralbiia a1i anbi12d bitr2d pm5.32i bitr4 ) BCDBEDZFBGHZIUS
      BFJZAKZBLZVBBMZVBFMZNZOZAEPZIZIBQUSVIUTUSUTFBRZFVBRZVCIVDOZAEPZIZVIFEDUSU
      TVNSTAFBUAUBUSVJVAVMVHBUCVMVHSUSVLVGAEVBEDZVCVKVDOZOZVCVBFJZVDOZOVLVGVOVP
      VSVCVOVKVRVDVBUCUDUEVLVKVCVDOOVQVKVCVDUFVKVCVDUGUHVFVSVCVFVEVDNVSVDVEUIVD
      VBFUJUHUKULUMUNUOUPUQUR $.
      $( [18-Jun-2006] $) $( [9-Jun-2004] $)

    $( A Hilbert lattice element is an atom iff it covers the zero subspace. $)
    elatcv0 $p |- ( A e. CH -> ( A e. Atoms <-> 0H <o A ) ) $=
      ( cat wcel cch c0h ccv wbr elat baib ) ABCADCEAFGAHI $.
      $( [14-Feb-2005] $) $( [26-Jun-2004] $)

    $( An atom covers the zero subspace. $)
    atcv0 $p |- ( A e. Atoms -> 0H <o A ) $=
      ( cat wcel cch c0h ccv wbr elat pm3.27bi ) ABCADCEAFGAHI $.
      $( [22-Jul-2004] $) $( [26-Jun-2004] $)

    $( Atoms are a subset of the Hilbert lattice. $)
    atssch $p |- Atoms (_ CH $=
      ( vx cat c0h cv ccv wbr cch crab df-at ssrab2 eqsstr ) BCADEFZAGHGAILAGJK
      $.
      $( [14-Aug-2002] $)

    $( An atom is a Hilbert lattice element. $)
    atelch $p |- ( A e. Atoms -> A e. CH ) $=
      ( cat cch atssch sseli ) BCADE $.
      $( [22-Jun-2004] $) $( [22-Jun-2004] $)

    $( An atom is not the Hilbert lattice zero. $)
    atn0 $p |- ( A e. Atoms -> A =/= 0H ) $=
      ( vx cat wcel cch c0h wne cv wss wceq wo wi wral wa elat2 simprl sylbi )
      ACDAEDZAFGZBHZAITAJTFJKLBEMZNNSBAORSUAPQ $.
      $( [27-Jun-2006] $) $( [13-Aug-2002] $)

    $( A lattice element smaller than an atom is either the atom or zero. $)
    atss $p |- ( ( A e. CH /\ B e. Atoms ) ->
               ( A (_ B -> ( A = B \/ A = 0H ) ) ) $=
      ( vx cch wcel c0h wne cv wss wceq wo wi wral wa cat sseq1 eqeq1 orbi12d
      imbi12d rcla4v adantld imp elat2 sylan2b ) ADEZBDEZBFGZCHZBIZUHBJZUHFJZKZ
      LZCDMZNZNZABIZABJZAFJZKZLZBOEUEUPVAUEUOVAUFUEUNVAUGUMVACADUHAJZUIUQULUTUH
      ABPVBUJURUKUSUHABQUHAFQRSTUAUAUBCBUCUD $.
      $( [23-Jul-2004] $) $( [25-Jun-2004] $)
  $}

  $( Two atoms in a subset relationship are equal. $)
  atsseq $p |- ( ( A e. Atoms /\ B e. Atoms ) -> ( A (_ B <-> A = B ) ) $=
    ( cat wcel wa wss wceq c0h wne atn0 ad2antrr wo cch wi atss atelch sylan
    imp ord necon1ad mpd ex eqimss impbid1 ) ACDZBCDZEZABFZABGZUGUHUIUGUHEZAHIZ
    UIUEUKUFUHAJKUJUIAHUJUIAHGZUGUHUIULLZAMDUFUHUMNUEABOAPQRSTUAUBABUCUD $.
    $( [23-Jul-2004] $) $( [26-Jun-2004] $)

  $( A Hilbert lattice element covered by an atom must be the zero subspace. $)
  atcveq0 $p |- ( ( A e. CH /\ B e. Atoms ) -> ( A <o B <-> A = 0H ) ) $=
    ( cch wcel cat wa ccv wbr c0h wceq wss wpss wi cvpsst atelch sylan2 ch0let
    adantr jctild atcv0 h0elch cvnbtwn3t mp3an1 sylan mpd ancoms syld breq1
    syl5cbir adantl impbid ) ACDZBEDZFZABGHZAIJZUNUOIAKZABLZFZUPUNUOURUQULBCDZU
    OURMUMABNBOZPULUQUMAQRSUMULUSUPMZUMULFIBGHZVBUMVCULBTZRUTULVCVBMZUMICDUTULV
    EUAIBAUBUCVAUDUEUFUGUMUPUOMULUPUOVCUMAIBGUHVDUIUJUK $.
    $( [23-Jul-2004] $) $( [11-Jun-2004] $)

  ${
    $d x A $.
    $( A 1-dimensional subspace is an atom. $)
    h1dat $p |- ( ( A e. H~ /\ A =/= 0h ) ->
                ( _|_ ` ( _|_ ` { A } ) ) e. Atoms ) $=
      ( vx chil wcel c0v wne wa csn cort cfv cch c0h cv wss wceq wo wi wral
      cat snssi occlt chocclt 3syl adantr h1dn0 h1datomt expcom r19.21aiv jca
      elat2 sylibr ) ACDZAEFZGZAHZIJZIJZKDZUQLFZBMZUQNUTUQOUTLOPQZBKRZGZGUQSDUN
      URVCULURUMULUOCNUPKDURACTUOUAUPUBUCUDUNUSVBAUEULVBUMULVABKUTKDULVAUTAUFUG
      UHUDUIUIBUQUJUK $.
      $( [2-Jun-2007] $) $( [22-Jul-2001] $)
  $}

  $( The span of the singleton of a vector is an atom. $)
  spansnat $p |- ( ( A e. H~ /\ A =/= 0h ) -> ( span ` { A } ) e. Atoms ) $=
    ( chil wcel c0v wne wa csn cspn cfv cort cat wceq spansnt adantr h1dat
    eqeltrd ) ABCZADEZFAGZHIZSJIJIZKQTUALRAMNAOP $.
    $( [20-Jun-2006] $) $( [18-Dec-2004] $)

  $( A 1-dimensional subspace is less than or equal to any subspace
     containing its generating vector. $)
  sh1dle $p |- ( ( A e. SH /\ B e. A ) -> ( _|_ ` ( _|_ ` { B } ) ) (_ A ) $=
    ( csh wcel wa csn cort cfv cspn chil wceq shelt spansnt syl spansnsst
    eqsstr3d ) ACDBADEZBFZGHGHZRIHZAQBJDTSKBALBMNABOP $.
    $( [26-Nov-2004] $) $( [24-Nov-2004] $)

  $( A 1-dimensional subspace is less than or equal to any member of ` CH `
     containing its generating vector. $)
  ch1dle $p |- ( ( A e. CH /\ B e. A ) -> ( _|_ ` ( _|_ ` { B } ) ) (_ A ) $=
    ( csh wcel csn cort cfv wss cch sh1dle chsh sylan ) ACDBADBEFGFGAHAIDABJAKL
    $.
    $( [31-May-2004] $) $( [30-May-2004] $)

  ${
    $d x y z A $.
    $( The 1-dimensional subspaces of Hilbert space are its atoms.  Part of
       Remark 10.3.5 of [BeltramettiCassinelli] p. 107. $)
    atom1d $p |- ( A e. Atoms <->
                E. x e. H~ ( x =/= 0h /\ A = ( span ` { x } ) ) ) $=
      ( vy cat wcel cv c0v wne csn cort cfv wceq wa chil wrex cspn cch c0h wss
      wo wi wral elat2 chne0t ax-17 hbre1 hbim ra4e chelt adantrr pm3.27
      ad2antrl h1dn0 sylan anasss wn ch1dle snssi occlt 3syl chocclt sseq1
      eqeq1 orbi12d imbi12d rcla4v mpid ex imp32 adantrlr ord nne syl6ibr mt4d
      eqcomd jca sylanc exp44 r19.23ad sylbid sylbi eleq1 h1dat syl5bir exp3a
      com3l imp3a r19.23aiv impbi spansnt eqeq2d anbi2d rexbiia bitr4 ) BDEZAFZ
      GHZBWPIZJKZJKZLZMZANOZWQBWRPKZLZMZANOWOXCWOBQEZBRHZCFZBSZXIBLZXIRLZTZUAZC
      QUBZMMXCCBUCXGXHXOXCXGXHWQABOXOXCUAZABUDXGWQXPABXGAUEXOXCAXOAUEXBANUFUGXG
      WPBEZWQXOXCWPNEZXBXCXGXQWQMZXOMMZXBANUHXGXSXRXOXGXQXRWQWPBUIZUJUJXTWQXAXS
      WQXGXOXQWQUKULXTWTBXTWTRHZWTBLZXGXSYBXOXGXQWQYBXRWQYBXGXQMZWPUMYAUNUOUJXT
      YCUPWTRLZYBUPXTYCYEXGXQXOYCYETZWQXGXQXOYFXGXQXOYFUAYDXOWTBSZYFBWPUQYDWSQE
      ZWTQEXOYGYFUAZUAYDXRWRNSYHYAWPNURWRUSUTWSVAXNYICWTQXIWTLZXJYGXMYFXIWTBVBY
      JXKYCXLYEXIWTBVCXIWTRVCVDVEVFUTVGVHVIVJVKWTRVLVMVNVOVPVQVRVSVTVIWAXBWOANX
      RWQXAWOXAXRWQWOXAXRWQWOXAWOWTDEXRWQMBWTDWBWPWCWDWEWFWGWHWIXFXBANXRXEXAWQX
      RXDWTBWPWJWKWLWMWN $.
      $( [25-Jun-2006] $) $( [4-Jun-2004] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Superposition principle
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x y z A $.  $d x y z B $.  $d v w x y z $.
    $( Superposition Principle.  If ` A ` and ` B ` are distinct atoms, there
       exists a third atom, distinct from ` A ` and ` B ` , that is the
       superposition of ` A ` and ` B ` .  Definition 3.4-3(a) in
       [MegillPavicic] p. 2345 (PDF p. 8). $)
    superpos $p |- ( ( A e. Atoms /\ B e. Atoms /\ A =/= B ) ->
                   E. x e. Atoms ( x =/= A /\ x =/= B /\ x (_ ( A vH B ) ) ) $=
      ( vy vz vw vv cat wcel wne cv chj co wss w3a wrex c0v csn cspn cfv wceq
      wa chil wi reeanv wb neeq1 neeq2 sylan9bb adantl cva sseq1 3anbi123d
      rcla4ev spansnat hvaddclt adantr c1 cneg csm hvaddeq0t sneq fveq2d cc
      cc0 ax1cn negcl ax1ne0 negn0 spansncol mp3an23 sylan9eqr ex sylbid
      necon3d imp sylanc adantlr eqeq2 biimpd spansneleqi syl elspansnt caddc
      opreq1 eqeq2d axaddcl mpan2 ad2antlr cmv hvsubaddt hvmulclt ancoms
      simpll simplr syl3anc biimpar hvsubvalt sylancom ax-hvdistr2 mp3an2
      eqtr4d eqtr3d exp31 r19.23adv syld sylibrd spansneleq eqcom syl6ib
      sylan9r adantlrl adantrr adantll ax-hvcom eqeq1d bitr4d adantlrr adantrl
      cpr spanpr opreq12 cph cun spanunt snssi syl2an df-pr fveq2i syl5eq cch
      spansnjt spansncht sylan eqtr2d sseqtr4d 3jca anasss an4 syl5ib
      r19.23aivv sylbir atom1d syl2anb 3impia ) BHIZCHIZBCJZAKZBJZUUICJZUUIBCLM
      ZNZOZAHPZDKZQJZBUUPRZSTZUAZUBZDUCPZEKZQJZCUVCRZSTZUAZUBZEUCPZUUHUUOUDZUUF
      UUGUVBUVIUBUVAUVHUBZEUCPDUCPUVJUVAUVHDEUCUCUEUVKUVJDEUCUCUUPUCIZUVCUCIZUB
      ZUUQUVDUBZUUTUVGUBZUBZUVJUVKUVNUVQUVJUVNUVOUVPUVJUVNUVOUBZUVPUBZUUHUUSUVF
      JZUUOUVPUUHUVTUFUVRUUTUUHUUSCJUVGUVTBUUSCUGCUVFUUSUHUIUJUVSUVTUUOUUPUVCUK
      MZRSTZHIZUWBBJZUWBCJZUWBUULNZOZUUOUVSUVTUBZUUNUWGAUWBHUUIUWBUAUUJUWDUUKUW
      EUUMUWFUUIUWBBUGUUIUWBCUGUUIUWBUULULUMUNUVRUVTUWCUVPUVNUVTUWCUVOUWAUCIZUW
      AQJZUWCUVNUVTUBUWAUOUVNUWIUVTUUPUVCUPZUQUVNUVTUWJUVNUWAQUUSUVFUVNUWAQUAUU
      PURUSZUVCUTMZUAZUUSUVFUAZUUPUVCVAUVMUWNUWOUDUVLUVMUWNUWOUWNUVMUUSUWMRZSTZ
      UVFUWNUURUWPSUUPUWMVBVCUVMUWLVDIZUWLVEJUWQUVFUAURVFVGZURVFVHVIUVCUWLVJVKV
      LVMUJVNVOVPVQVRVRUWHUWDUWEUWFUVSUVTUWDUVRUUTUVTUWDUDZUVGUVNUVDUUTUWTUUQUV
      NUVDUBZUUTUBUWBBUUSUVFUUTUWBBUAZUWBUUSUAZUXAUWOUUTUXBUXCBUUSUWBVSVTUXAUXC
      UVCUUSIZUWOUVNUXCUXDUDUVDUVNUXCUVCFKZUUPUTMZUAZFVDPZUXDUVNUXCUWAUUSIZUXHU
      VNUWIUXCUXIUDUWKUWAUUPWAWBUVNUXIUWAGKZUUPUTMZUAZGVDPZUXHUVLUXIUXMUFUVMGUU
      PUWAWCUQUVNUXLUXHGVDUVNUXJVDIZUXLUXHUXJUWLWDMZVDIZUVCUXOUUPUTMZUAZUXHUVNU
      XNUBZUXLUBZUXGUXRFUXOVDUXEUXOUAZUXFUXQUVCUXEUXOUUPUTWEWFUNUXNUXPUVNUXLUXN
      UWRUXPUWSUXJUWLWGWHZWIUXTUXKUUPWJMZUVCUXQUXSUYCUVCUAZUXLUXKUCIZUVLUVMUYDU
      XLUFUXSUXKUUPUVCWKUVLUXNUYEUVMUXNUVLUYEUXJUUPWLZWMVRUVLUVMUXNWNZUVLUVMUXN
      WOZWPWQUXSUYCUXQUAZUXLUVLUXNUYIUVMUXNUVLUYIUXNUVLUBUYCUXKUWLUUPUTMUKMZUXQ
      UXNUVLUYEUYCUYJUAUYFUXKUUPWRWSUXNUWRUVLUXQUYJUAUWSUXJUWLUUPWTXAXBWMVRUQXC
      VQXDXEVNXFUVLUXDUXHUFUVMFUUPUVCWCUQXGUQUVLUVDUXDUWOUDUVMUVLUVDUBUXDUVFUUS
      UAUWOUVCUUPXHUVFUUSXIXJVRXFXKVOXLXMVPUVSUVTUWEUVRUVGUVTUWEUDZUUTUVNUUQUVG
      UYKUVDUVNUUQUBZUVGUBUWBCUUSUVFUVGUWBCUAZUWBUVFUAZUYLUWOUVGUYMUYNCUVFUWBVS
      VTUYLUYNUUPUVFIZUWOUVNUYNUYOUDUUQUVNUYNUUPUXEUVCUTMZUAZFVDPZUYOUVNUYNUWAU
      VFIZUYRUVNUWIUYNUYSUDUWKUWAUVCWAWBUVNUYSUWAUXJUVCUTMZUAZGVDPZUYRUVMUYSVUB
      UFUVLGUVCUWAWCUJUVNVUAUYRGVDUVNUXNVUAUYRUXPUUPUXOUVCUTMZUAZUYRUXSVUAUBZUY
      QVUDFUXOVDUYAUYPVUCUUPUXEUXOUVCUTWEWFUNUXNUXPUVNVUAUYBWIVUEUYTUVCWJMZUUPV
      UCUXSVUFUUPUAZVUAUXSVUGUVCUUPUKMZUYTUAZVUAUYTUCIZUVMUVLVUGVUIUFUXSUYTUVCU
      UPWKUVMUXNVUJUVLUXNUVMVUJUXJUVCWLZWMXNUYHUYGWPUXSUWAVUHUYTUVNUWAVUHUAUXNU
      UPUVCXOUQXPXQWQUXSVUFVUCUAZVUAUVMUXNVULUVLUXNUVMVULUXNUVMUBVUFUYTUWMUKMZV
      UCUXNUVMVUJVUFVUMUAVUKUYTUVCWRWSUXNUWRUVMVUCVUMUAUWSUXJUWLUVCWTXAXBWMXNUQ
      XCVQXDXEVNXFUVMUYOUYRUFUVLFUVCUUPWCUJXGUQUVMUUQUYOUWOUDUVLUUPUVCXHXNXFXKV
      OXRXSVPUVSUWFUVTUVNUVPUWFUVOUVNUVPUBUWBUUPUVCXTZSTZUULUVNUWBVUONUVPUUPUVC
      YAUQUVPUVNUULUUSUVFLMZVUOBUUSCUVFLYBUVNVUOUUSUVFYCMZVUPUVNUURUVEYDZSTZVUQ
      VUOUURUCNUVEUCNVUSVUQUAUVLUVMUURUVEYEUUPUCYFUVCUCYFYGVUNVURSUUPUVCYHYIYJU
      USYKIUVMVUQVUPUAUVLUUSUVCYLUUPYMYNYOVLYPVRUQYQVQVMVNYRVMUUQUUTUVDUVGYSYTU
      UAUUBDBUUCECUUCUUDUUE $.
      $( [26-Jun-2006] $) $( [9-Jun-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Atoms, exchange and covering properties, atomicity
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x B $.
    $( The Hilbert lattice has the covering property.  Proposition 1(ii) of
       [Kalmbach] p. 140 (and its converse). $)
    chcv1t $p |- ( ( A e. CH /\ B e. Atoms ) ->
                ( -. B (_ A <-> A <o ( A vH B ) ) ) $=
      ( vx cch wcel cat wa wss wn chj co ccv wbr cv c0v wne csn cspn cfv wceq
      chil wrex wi sseq1 negbid opreq2 breq2d imbi12d spansncv2t syl5cbir
      adantld r19.23adva imp atom1d sylan2b wpss chjclt cvpsst syldan chnlet
      sylibrd atelch sylan2 impbid ) ADEZBFEZGBAHZIZAABJKZLMZVECNZOPZBVKQRSZTZG
      ZCUAUBZVHVJUCZVFVEVPVQVEVOVQCUAVEVKUAEGZVNVQVLVNVQVMAHZIZAAVMJKZLMZUCVRVN
      VHVTVJWBVNVGVSBVMAUDUEVNVIWAALBVMAJUFUGUHAVKUIUJUKULUMCBUNUOVEBDEZVJVHUCV
      FVEWCGVJAVIUPZVHVEWCVIDEVJWDUCABUQAVIURUSABUTVABVBVCVD $.
      $( [26-Jul-2004] $) $( [11-Jun-2004] $)

    $( The Hilbert lattice has the covering property. $)
    chcv2t $p |- ( ( A e. CH /\ B e. Atoms ) ->
                ( A (. ( A vH B ) <-> A <o ( A vH B ) ) ) $=
      ( cch wcel cat wa wss wn chj co wpss ccv wbr wb chnlet atelch sylan2
      chcv1t bitr3d ) ACDZBEDZFBAGHZAABIJZKZAUCLMTBCDUBUDNUAABOBPQABRS $.
      $( [26-Jul-2004] $) $( [11-Jun-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( The join of a closed subspace and an atom equals their subspace sum.
       Special case of remark in [Kalmbach] p. 65, stating that if ` A ` or
       ` B ` is finite dimensional, then this equality holds. $)
    chjatom $p |- ( ( A e. CH /\ B e. Atoms ) -> ( A +H B ) = ( A vH B ) ) $=
      ( vx cch wcel cat cph co chj wceq cv c0v wne csn cspn cfv wa chil wrex
      wi opreq2 eqeq12d spansnjt syl5bir exp3a adantl com3l r19.23adv atom1d
      syl5ib imp ) ADEZBFEZABGHZABIHZJZULCKZLMZBUQNOPZJZQZCRSUPUMULVAUPCRVAULUQ
      REZUPUTULVBUPTTURUTULVBUPUTUPAUSGHZAUSIHZJULVBQUTUNVCUOVDBUSAGUABUSAIUAUB
      AUQUCUDUEUFUGUHCBUIUJUK $.
      $( [27-Feb-2005] $) $( [4-Jun-2004] $)
  $}

  ${
    $d x y A $.
    shatomic.1 $e |- A e. SH $.
    $( The lattice of Hilbert subspaces is atomic, i.e. any non-zero element is
       greater than or equal to some atom.  Part of proof of Theorem 16.9 of
       [MaedaMaeda] p. 70. $)
    shatomic $p |- ( A =/= 0H -> E. x e. Atoms x (_ A ) $=
      ( vy c0h wne cv c0v wrex wss cat shne0 csn cort cfv wcel wa sseq1
      rcla4ev chil h1dat shel sylan csh sh1dle mpan adantr sylanc r19.23aiva
      sylbi ) BEFDGZHFZDBIAGZBJZAKIZDBCLULUODBUKMNONOZKPZUPBJZUOUKBPZULQUNURAUP
      KUMUPBRSUKTPULUQUSUKUAUKBCUBUCUSURULBUDPUSURCBUKUEUFUGUHUIUJ $.
      $( [30-Jun-2006] $) $( [24-Nov-2004] $)
  $}

  ${
    $d x y A $.
    hatomic.1 $e |- A e. CH $.
    $( The Hilbert lattice is atomic, i.e. any non-zero element is greater than
       or equal to some atom.  Remark in [Kalmbach] p. 140. $)
    hatomic $p |- ( A =/= 0H -> E. x e. Atoms x (_ A ) $=
      ( chshi shatomic ) ABBCDE $.
      $( [2-Jul-2006] $) $( [22-Jul-2001] $)
  $}

  ${
    $d x y A $.
    $( A Hilbert lattice is atomic, i.e. any non-zero element is greater than
       or equal to some atom.  Remark in [Kalmbach] p. 140.  Also Definition
       3.4-2 in [MegillPavicic] p. 2345 (PDF p. 8). $)
    hatomict $p |- ( ( A e. CH /\ A =/= 0H ) -> E. x e. Atoms x (_ A ) $=
      ( cch wcel c0h wne cv wss cat wrex wi cif wceq neeq1 sseq2 rexbidv
      imbi12d h0elch elimel hatomic dedth imp ) BCDZBEFZAGZBHZAIJZUCUDUGKUCBELZ
      EFZUEUHHZAIJZKBEBUHMZUDUIUGUKBUHENULUFUJAIBUHUEOPQAUHBECRSTUAUB $.
      $( [7-Oct-2006] $) $( [24-Jun-2004] $)
  $}

  ${
    $d x y A $.
    shatomistic.1 $e |- A e. SH $.
    $( The lattice of Hilbert subspaces is atomistic, i.e. any element is the
       supremum of its atoms.  Part of proof of Theorem 16.9 of [MaedaMaeda]
       p. 70. $)
    shatomistic $p |- A = ( span ` U. { x e. Atoms | x (_ A } ) $=
      ( vy cv wss cat crab cuni cspn cfv wcel c0v eleq1 wne wa csn wceq chil
      csh shel spansnsht spanid 3syl adantr spansnat sylan spansnsst mpan jca
      sseq1 elrab sylibr elssuni cch atssch chsssh sstri rabss2 ax-mp uniss
      unimax shssi eqsstr spanss eqsstr3d spansnid syl sseldd spanclt sh0 a1i
      pm2.61ne ssriv mp2an fveq2i eqtr sseqtr eqssi ) BAEZBFZAGHZIZJKZDBWDDEZBL
      ZWEWDLMWDLZWEMWEMWDNWFWEMOZPZWEQJKZWDWEWIWJWJJKZWDWFWKWJRZWHWFWESLZWJTLWL
      WEBCUAZWEUBWJUCUDUEWIWJWBLZWJWCFZWKWDFZWIWJGLZWJBFZPWOWIWRWSWMWHWRWFWEUFW
      NUGWFWSWHBTLZWFWSCBWEUHUIUEUJWAWSAWJGVTWJBUKULUMWJWBUNWCSFZWPWQWCWAATHZIZ
      SWBXBFZWCXCFZGTFXDGUOTUPUQURWAAGTUSUTWBXBVAUTZXCBSWTXCBRCABTVBUTZBCVCVDZU
      RZWJWCVEUIUDVFWFWEWJLZWHWFWMXJWNWEVGVHUEVIWGWFWDTLZWGXAXKXIWCVJUTWDVKUTVL
      VMVNWDXCJKZBXCSFXEWDXLFXHXFWCXCVEVOXLBJKZBXCBJXGVPWTXMBRCBUCUTVQVRVS $.
      $( [16-Jan-2005] $) $( [26-Nov-2004] $)
  $}

  ${
    $d x y A $.
    hatomistic.1 $e |- A e. CH $.
    $( ` CH ` is atomistic, i.e. any element is the supremum of its atoms.
       Remark in [Kalmbach] p. 140. $)
    hatomistic $p |- A = ( \/H ` { x e. Atoms | x (_ A } ) $=
      ( vy cv wss cat crab chsup cfv cch wcel ssrab2 atssch sstri chsupclt
      ax-mp chshi wa atelch anim1i sseq1 elrab 3imtr4 ssriv wi chsupss mp2an
      wceq chsupid sseqtr cort cin wrex wn c0h cuni elssuni sylbir chsupunss
      sstr2 mpi syl ex wne atn0 adantr wb chle0t ssin chocin sseq2i bitr2
      syl5bbr biimpa exp32 imp necon3ad mpd syld imnan sylib negbii nrex
      choccl chincl hatomic necon1bi omlsi eqcomi ) AEZBFZAGHZIJZBWNBWMKFZWNKLW
      MGKWLAGMNOZWMPQZBCRWNWLAKHZIJZBWMWRFZWNWSFZDWMWRDEZGLZXBBFZSZXBKLZXDSXBWM
      LZXBWRLXCXFXDXBTZUAWLXDAXBGWKXBBUBZUCZWLXDAXBKXIUCUDUEWOWRKFWTXAUFWPWLAKM
      WMWRUGUHQBKLWSBUICABUJQUKXBBWNULJZUMZFZDGUNZUOXLUPUIXMDGXCXDXBXKFZSZUOZXM
      UOXCXDXOUOZUFXQXCXDXBWNFZXRXCXDXSXEXBWMUQZFZXSXEXGYAXJXBWMURUSYAXTWNFZXSW
      OYBWPWMUTQXBXTWNVAVBVCVDXCXSXRXCXSSZXBUPVEZXRXCYDXSXBVFVGYCXOXBUPXCXSXOXB
      UPUIZUFXCXSXOYEXCXSXOSZYEXCXBUPFZYEYFXCXFYGYEVHXHXBVIVCYFXBWNXKUMZFYGXBWN
      XKVJYHUPXBWNWQVKVLVMVNVOVPVQVRVSVDVTXDXOWAWBXPXMXBBXKVJWCWBWDXNXLUPDXLBXK
      CWNWQWEWFWGWHQWIWJ $.
      $( [14-Aug-2002] $)
  $}

  ${
    $d x A $.  $d x B $.
    chpssat.1 $e |- A e. CH $.
    chpssat.2 $e |- B e. CH $.
    $( Two Hilbert lattice elements in a proper subset relationship imply
       the existence of an atom less than or equal to one but not the other. $)
    chpssat $p |- ( A (. B -> E. x e. Atoms ( x (_ B /\ -. x (_ A ) ) $=
      ( wpss wss wn cv wa cat wrex dfpss3 pm3.27bi wral wi iman ralbii crab
      ss2rab chsup cfv cch ssrab2 atssch sstri chsupss mp2an hatomistic
      3sstr4g sylbir con3i dfrex2 sylibr syl ) BCFZCBGZHZAIZCGZUSBGZHJZAKLZUPBC
      GURBCMNURVBHZAKOZHVCVEUQVEUTVAPZAKOZUQVFVDAKUTVAQRVGUTAKSZVAAKSZGZUQUTVAA
      KTVJVHUAUBZVIUAUBZCBVHUCGVIUCGVJVKVLGPVHKUCUTAKUDUEUFVIKUCVAAKUDUEUFVHVIU
      GUHACEUIABDUIUJUKUKULVBAKUMUNUO $.
      $( [26-Jul-2004] $) $( [10-Jun-2004] $)

    $( The Hilbert lattice is relatively atomic.  Remark 2 of [Kalmbach]
       p. 149. $)
    chrelat $p |- ( A (. B ->
                  E. x e. Atoms ( A (. ( A vH x ) /\ ( A vH x ) (_ B ) ) $=
      ( wpss cv wss wn wa cat wrex chj co chpssat wcel cch wb chnlet mpan
      adantl ibar chlubt mp3an13 sylan9bb anbi12d pssss atelch syl2an ancom
      syl5bb rexbidva mpbid ) BCFZAGZCHZUOBHIZJZAKLBBUOMNZFZUSCHZJZAKLABCDEOUNU
      RVBAKUNUOKPZJUQUPJZVBURBCHZUOQPZVDVBRUNVCVEVFJUQUTUPVAVFUQUTRZVEBQPZVFVGD
      BUOSTUAVEUPVEUPJZVFVAVEUPUBVHVFCQPVIVARDEBUOCUCUDUEUFBCUGUOUHUIUPUQUJUKUL
      UM $.
      $( [26-Jul-2004] $) $( [11-Jun-2004] $)

    $( A consequence of relative atomicity. $)
    chrelat2 $p |- ( -. A (_ B <-> E. x e. Atoms ( x (_ A /\ -. x (_ B ) ) $=
      ( wss wn cv wa cat wrex cin wpss nssinpss chj co chincl chrelat wcel cch
      wi atelch wb chlubt mp3an13 pm3.27 syl6bir adantld chnlet mpan ssin
      negbii syl5bb anbi12d pm3.21 wo ianor pm4.13 orbi1i orcom imor bitr4
      3bitr2r sylib con2i adantrl jcad syl r19.22i sylbi wral sstr2 com12 a1d
      r19.21aiv iman ralbii ralnex bitr impbi ) BCFZGZAHZBFZWCCFZGZIZAJKZWBBCLZ
      BMZWHBCNWJWIWIWCOPZMZWKBFZIZAJKWHAWIBBCDEQZDRWNWGAJWCJSZWCTSZWNWGUAWCUBWQ
      WNWDWFWQWMWDWLWQWMWIBFZWDIZWDWITSZWQBTSWSWMUCWODWIWCBUDUEZWRWDUFUGUHWQWNW
      DWEIZGZWSIWFWQXCWLWSWMWQWCWIFZGZWLXCWTWQXEWLUCWOWIWCUIUJXBXDWCBCUKULUMXAU
      NXCWDWFWRWEXCWDIZWEWDXBUAZXFGZWEWDUOXHXCGZWDGZUPXBXJUPZXGXCWDUQXBXIXJXBUR
      USXKXJXBUPXGXBXJUTWDXBVAVBVCVDVEVFUGVGVHVIVHVJWAWHWAWDWEUAZAJVKZWHGZWAXLA
      JWAXLWPWDWAWEWCBCVLVMVNVOXMWGGZAJVKXNXLXOAJWDWEVPVQWGAJVRVSVDVEVT $.
      $( [26-Jul-2004] $) $( [30-Jun-2004] $)

    $( If a Hilbert lattice element covers another, it equals the other joined
       with some atom.  This is a consequence of the relative atomicity of
       Hilbert space. $)
    cvat $p |- ( A <o B -> E. x e. Atoms ( A vH x ) = B ) $=
      ( ccv wbr cv chj co wpss wss wa cat wrex wceq cch wcel wi cvpsst mp2an
      chrelat syl atelch chjclt mpan cvnbtwn2t mp3an12 com12 r19.22dv mpd ) BCF
      GZBBAHZIJZKUNCLMZANOZUNCPZANOULBCKZUPBQRZCQRZULURSDEBCTUAABCDEUBUCULUOUQA
      NUMNRZULUOUQSZVAUNQRZULVBSZVAUMQRZVCUMUDUSVEVCDBUMUEUFUCUSUTVCVDDEBCUNUGU
      HUCUIUJUK $.
      $( [30-Mar-2005] $) $( [30-Nov-2004] $)

    $( An alternate way to express the covering property. $)
    cvbr3 $p |- ( A <o B <-> ( A (. B /\ E. x e. Atoms ( A vH x ) = B ) ) $=
      ( ccv wbr wpss cv chj co wceq cat wrex wa cch wcel wi cvpsst mp2an cvat
      jca wb chcv2t mpan adantr psseq2 adantl breq2 3bitr3d biimpd ex com3r
      r19.23adv imp impbi ) BCFGZBCHZBAIZJKZCLZAMNZOUQURVBBPQZCPQUQURRDEBCSTABC
      DEUAUBURVBUQURVAUQAMUSMQZVAURUQVDVAURUQRVDVAOZURUQVEBUTHZBUTFGZURUQVDVFVG
      UCZVAVCVDVHDBUSUDUEUFVAVFURUCVDUTCBUGUHVAVGUQUCVDUTCBFUIUHUJUKULUMUNUOUP
      $.
      $( [10-Jun-2005] $) $( [30-Nov-2004] $)

    $( Lemma for ~ cvexch . $)
    cvexchlem $p |- ( ( A i^i B ) <o B -> A <o ( A vH B ) ) $=
      ( vx cv wss cin wn wa cat wrex ccv wbr chj co wpss cch wcel wi chincl
      cvpsst mp2an chpssat syl wb chcv1t mpan biimpa ssin ancom bitr3 baibr
      negbid biimpar sylan2 adantrr wceq chjasst mp3an12 chabs1 opreq1i
      syl5reqr adantr chnlet chlubt mp3an13 inss2 biantrur syl5bb anbi12d
      chjclt cvnbtwn2t com23 sylbid imp32 opreq2d eqtr3d atelch sylan breqtrd
      exp32 r19.23aiv mpcom ) EFZBGZWEABHZGZIZJZEKLZWGBMNZAABOPZMNZWLWGBQZWKWGR
      SZBRSZWLWOTABCDUAZDWGBUBUCEWGBWRDUDUEWJWLWNTEKWEKSZWJWLWNWSWJWLJZJAAWEOPZ
      WMMWSWJAXAMNZWLWSWEAGZIZXBWJWSXDXBARSZWSXDXBUFCAWEUGUHUIWFXDWIWFXCWHWHWFX
      CWHXCWFJWFXCJWEABUJXCWFUKULUMUNUOUPUQWERSZWTXAWMURWSXFWTJZAWGWEOPZOPZXAWM
      XFXIXAURWTXFAWGOPZWEOPZXIXAXEWPXFXKXIURCWRAWGWEUSUTXJAWEOABCDVAVBVCVDXGXH
      BAOXFWJWLXHBURZXFWJWGXHQZXHBGZJZWLXLTXFWIWFJXOWJXFWIXMWFXNWPXFWIXMUFWRWGW
      EVEUHXFWGBGZWFJZXNWFWPXFWQXQXNUFWRDWGWEBVFVGXPWFABVHVIVJVKWFWIUKVJXFWLXOX
      LXFXHRSZWLXOXLTTZWPXFXRWRWGWEVLUHWPWQXRXSWRDWGBXHVMUTUEVNVOVPVQVRWEVSVTWA
      WBWCWD $.
      $( [26-Jul-2004] $) $( [10-Jun-2004] $)

    $( The Hilbert lattice satisfies the exchange axiom.  Proposition 1(iii) of
       [Kalmbach] p. 140 and its converse.  Originally proved by Garrett
       Birkhoff in 1933. $)
    cvexch $p |- ( ( A i^i B ) <o B <-> A <o ( A vH B ) ) $=
      ( cin ccv wbr chj co cvexchlem cort cfv choccl chdmj1 incom eqtr breq1i
      chdmm1 chjcom breq2i 3imtr4 cch wcel wb chjcl cvcon3t mp2an chincl impbi
      ) ABEZBFGZAABHIZFGZABCDJULKLZAKLZFGZBKLZUJKLZFGZUMUKUQUOEZUOFGUQUQUOHIZFG
      UPUSUQUOBDMZACMZJUNUTUOFUNUOUQEUTABCDNUOUQOPQURVAUQFURUOUQHIVAABCDRUOUQVC
      VBSPTUAAUBUCULUBUCUMUPUDCABCDUEAULUFUGUJUBUCBUBUCUKUSUDABCDUHDUJBUFUGUAUI
      $.
      $( [26-Jul-2004] $) $( [12-Jun-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    $( A consequence of relative atomicity. $)
    chrelat2t $p |- ( ( A e. CH /\ B e. CH ) ->
                  ( -. A (_ B <-> E. x e. Atoms ( x (_ A /\ -. x (_ B ) ) ) $=
      ( cch wcel wss wn cv wa cat wrex wb chil cif wceq sseq1 negbid sseq2
      anbi1d rexbidv bibi12d anbi2d helch elimel chrelat2 dedth2h ) BDEZCDEZBCF
      ZGZAHZBFZUKCFZGZIZAJKZLUGBMNZCFZGZUKUQFZUNIZAJKZLUQUHCMNZFZGZUTUKVCFZGZIZ
      AJKZLBCMMBUQOZUJUSUPVBVJUIURBUQCPQVJUOVAAJVJULUTUNBUQUKRSTUACVCOZUSVEVBVI
      VKURVDCVCUQRQVKVAVHAJVKUNVGUTVKUMVFCVCUKRQUBTUAAUQVCBMDUCUDCMDUCUDUEUF $.
      $( [27-Jul-2004] $) $( [1-Jul-2004] $)

    $( A consequence of relative atomicity. $)
    chrelat3t $p |- ( ( A e. CH /\ B e. CH ) ->
                   ( A (_ B <-> A. x e. Atoms ( x (_ A -> x (_ B ) ) ) $=
      ( cch wcel wa wss cv wn cat wral wi wrex chrelat2t dfrex2 syl6bb con4bid
      iman ralbii syl6bbr ) BDECDEFZBCGZAHZBGZUCCGZIFZIZAJKZUDUELZAJKUAUBUHUAUB
      IUFAJMUHIABCNUFAJOPQUIUGAJUDUERST $.
      $( [27-Jul-2004] $) $( [2-Jul-2004] $)
  $}

  ${
    $d x A $.  $d x B $.
    chrelat3.1 $e |- A e. CH $.
    chrelat3.2 $e |- B e. CH $.
    $( A consequence of the relative atomicity of Hilbert space: the ordering
       of Hilbert lattice elements is completely determined by the atoms they
       majorize. $)
    chrelat3 $p |- ( A (_ B <-> A. x e. Atoms ( x (_ A -> x (_ B ) ) $=
      ( cch wcel wss cv wi cat wral wb chrelat3t mp2an ) BFGCFGBCHAIZBHPCHJAKLM
      DEABCNO $.
      $( [29-May-2005] $) $( [30-Jun-2004] $)

    $( A consequence of relative atomicity.  Extensionality principle:
       two lattice elements are equal iff they majorize the same atoms. $)
    chrelat4 $p |- ( A = B <-> A. x e. Atoms ( x (_ A <-> x (_ B ) ) $=
      ( wss wa cv wi cat wral wceq wb chrelat3 anbi12i eqss dfbi2 ralbii r19.26
      bitr 3bitr4 ) BCFZCBFZGAHZBFZUDCFZIZAJKZUFUEIZAJKZGZBCLUEUFMZAJKZUBUHUCUJ
      ABCDENACBEDNOBCPUMUGUIGZAJKUKULUNAJUEUFQRUGUIAJSTUA $.
      $( [26-Jul-2005] $) $( [30-Jun-2004] $)
  $}

  $( The Hilbert lattice satisfies the exchange axiom.  Proposition 1(iii) of
     [Kalmbach] p. 140 and its converse.  Originally proved by Garrett
     Birkhoff in 1933. $)
  cvexcht $p |- ( ( A e. CH /\ B e. CH ) ->
                ( ( A i^i B ) <o B <-> A <o ( A vH B ) ) ) $=
    ( cch wcel cin ccv wbr chj co wb chil cif wceq ineq1 breq1d id opreq1
    breq12d bibi12d ineq2 opreq2 breq2d helch elimel cvexch dedth2h ) ACDZBCDZA
    BEZBFGZAABHIZFGZJUGAKLZBEZBFGZUMUMBHIZFGZJUMUHBKLZEZURFGZUMUMURHIZFGZJABKKA
    UMMZUJUOULUQVCUIUNBFAUMBNOVCAUMUKUPFVCPAUMBHQRSBURMZUOUTUQVBVDUNUSBURFBURUM
    TVDPRVDUPVAUMFBURUMHUAUBSUMURAKCUCUDBKCUCUDUEUF $.
    $( [27-Jul-2004] $) $( [21-Jun-2004] $)

  $( The Hilbert lattice satisfies the covering property of Definition 7.4
     of [MaedaMaeda] p. 31 and its converse. $)
  cvp $p |- ( ( A e. CH /\ B e. Atoms ) ->
            ( ( A i^i B ) = 0H <-> A <o ( A vH B ) ) ) $=
    ( cch wcel cat wa cin ccv wbr c0h wceq chj co wb chinclt atelch sylan2
    atcveq0 sylancom cvexcht bitr3d ) ACDZBEDZFABGZBHIZUDJKZAABLMHIZUBUCUDCDZUE
    UFNUBBCDZUHUCABOBPZQUDBRSUBUIUEUGNUCABTUJQUA $.
    $( [27-Jul-2004] $) $( [21-Jun-2004] $)

  $( The meet of a Hilbert lattice element and an incomparable atom is the zero
     subspace. $)
  atnssm0 $p |- ( ( A e. CH /\ B e. Atoms ) ->
             ( -. B (_ A <-> ( A i^i B ) = 0H ) ) $=
    ( cch wcel cat wa wss wn chj co ccv wbr cin c0h wceq chcv1t cvp bitr4d ) AC
    DBEDFBAGHAABIJKLABMNOABPABQR $.
    $( [27-Jul-2004] $) $( [30-Jun-2004] $)

  $( The meet of distinct atoms is the zero subspace. $)
  atnem0 $p |- ( ( A e. Atoms /\ B e. Atoms ) ->
             ( -. A = B <-> ( A i^i B ) = 0H ) ) $=
    ( cat wcel wa wss wn wceq cin c0h wb atsseq eqcom syl6bb ancoms negbid cch
    atnssm0 atelch sylan bitr3d ) ACDZBCDZEZBAFZGZABHZGABIJHZUDUEUGUCUBUEUGKUCU
    BEUEBAHUGBALBAMNOPAQDUCUFUHKUBABRASTUA $.
    $( [27-Jul-2004] $) $( [25-Jun-2004] $)

  $( The meet with an atom's superset is the atom. $)
  atssmat $p |- ( ( A e. Atoms /\ B e. CH ) ->
            ( A (_ B <-> ( A i^i B ) e. Atoms ) ) $=
    ( cat wcel cch wa wss cin wi wceq df-ss biimp eleq1d biimprcd adantr c0h
    wn wb atnssm0 ancoms biimpd con1d incom eleq1i wne atn0 df-ne sylib sylbi
    syl5 impbid ) ACDZBEDZFZABGZABHZCDZULUOUQIUMUOUQULUOUPACUOUPAJABKLMNOUNBAHZ
    PJZQZUOUQUNUOUSUNUOQZUSUMULVAUSRBASTUAUBUQURCDZUTUPURCABUCUDVBURPUEUTURUFUR
    PUGUHUIUJUK $.
    $( [2-Jul-2006] $) $( [12-Jun-2006] $)

  $( Two atoms covering the zero subspace are equal. $)
  atcv0eq $p |- ( ( A e. Atoms /\ B e. Atoms ) ->
               ( 0H <o ( A vH B ) <-> A = B ) ) $=
    ( cat wcel wa c0h chj co ccv wbr wceq wn cin atnem0 cch wb cvp atelch
    sylan atcv0 adantr biantrurd 3bitrd wi chjclt h0elch cvntrt mp3an1 syldan
    syl2an sylbid a3d opreq1 chjidmt syl sylan9eq eqcomd eleq1d ex ibd syl6com
    adantl impbid ) ACDZBCDZEZFABGHZIJZABKZVFVIVHVFVILZFAIJZAVGIJZEZVHLZVFVJABM
    FKZVLVMABNAODZVEVOVLPVDABQARZSVFVKVLVDVKVEATUAUBUCVPBODZVMVNUDZVDVEVPVRVGOD
    ZVSABUEFODVPVTVSUFFAVGUGUHUIVQBRZUJUKULVEVIVHUDVDVIVEVGCDZVHVIVEWBVIVEVEWBP
    VIVEEZBVGCWCVGBVIVEVGBBGHZBABBGUMVEVRWDBKWABUNUOUPUQURUSUTVGTVAVBVC $.
    $( [29-Jul-2004] $) $( [26-Jun-2004] $)

  $( Two atoms covering the zero subspace are equal. $)
  atcv1t $p |- ( ( ( A e. CH /\ B e. Atoms /\ C e. Atoms ) /\
                A <o ( B vH C ) ) -> ( A = 0H <-> B = C ) ) $=
    ( cch wcel cat w3a chj co ccv wbr wa c0h wceq wi breq1 atcv0eq sylan9bbr
    biimpd ex com23 3adant1 imp wb atcveq0 opreq1 atelch chjidmt syl sylan9eq
    eqcomd eleq1d ibd impcom sylan2 exp32 com34 3adant2 impbid ) ADEZBFEZCFEZGZ
    ABCHIZJKZLAMNZBCNZVCVEVFVGOZVAVBVEVHOUTVAVBLZVFVEVGVIVFVEVGOVIVFLVEVGVFVEMV
    DJKVIVGAMVDJPBCQRSTUAUBUCVCVEVGVFOZUTVBVEVJOZVAUTVBVKUTVBVGVEVFUTVBVGVEVFOU
    TVBVGLZLVEVFUTVDFEZVEVFUDVLAVDUEVGVBVMVGVBVMVGVBVBVMUDVGVBLZCVDFVNVDCVGVBVD
    CCHIZCBCCHUFVBCDEVOCNCUGCUHUIUJUKULTUMUNUOSUPUQUCURUCUS $.
    $( [29-Jul-2004] $) $( [26-Jun-2004] $)

  $( The Hilbert lattice satisfies the atom exchange property.  Proposition
     1(i) of [Kalmbach] p. 140.  A version of this theorem related to vector
     analysis was originally proved by Hermann Grassmann in 1862.  Also
     Definition 3.4-3(b) in [MegillPavicic] p. 2345 (PDF p. 8) (use ~ atnem0
     to obtain atom inequality). $)
  atexcht $p |- ( ( A e. CH /\ B e. Atoms /\ C e. Atoms ) ->
            ( ( B (_ ( A vH C ) /\ ( A i^i B ) = 0H ) -> C (_ ( A vH B ) ) ) $=
    ( cch wcel cat w3a chj co wss cin c0h wceq wa chub2t ancoms atelch sylan2
    3adant2 adantr wpss wi ccv wbr cvp chjclt cvpsst syldan sylbid 3adant3
    adantld chub1t a1d ancrd wb chlubt syld3an3 sylibd id syl3an adantrd jcad
    imp anim12d ancomsd psssstr syl6 chcv2t 3simp1 3jca cvnbtwn2t syl syld mpd
    sseqtr4d ex ) ADEZBFEZCFEZGZBACHIZJZABKLMZNZCABHIZJVTWDNZCWAWEVTCWAJZWDVQVS
    WGVRVQCDEZWGVSWHVQWGCAOPCQZRSTWFAWEUAZWEWAJZNZWEWAMZVTWDWLVTWDWJWKVTWCWJWBV
    QVRWCWJUBVSVQVRNWCAWEUCUDZWJABUEVQVRWEDEZWNWJUBVQBDEZWOVRABUFZBQZRAWEUGUHUI
    UJZUKVTWBWKWCVQWPWHWBWKUBVQVRVSVQWPWHGZWBAWAJZWBNZWKWTWBXAWTXAWBVQWHXAWPACU
    LSUMUNVQWPWADEZXBWKUOWHABWAUPVQWHXCWPACUFSZUQURVQUSZWRWIUTZVAVBVCVTWDWLWMUB
    ZVTWDAWAUCUDZXGVTWDAWAUAZXHVTWDWLXIVTWCWBWLVTWCWJWBWKWSXFVDVEAWEWAVFVGVQVSX
    IXHUOVRACVHSURVTVQXCWOGZXHXGUBVQWPWHXJVQVRVSWTVQXCWOVQWPWHVIXDVQWPWOWHWQUJV
    JXEWRWIUTAWAWEVKVLVMVCVNVOVP $.
    $( [27-Jul-2004] $) $( [27-Jun-2004] $)

  ${
    $d x A $.  $d x B $.  $d x C $.
    atoml.1 $e |- A e. CH $.
    $( An assertion holding in atomic orthomodular lattices that is equivalent
       to the exchange axiom.  Proposition 3.2.17 of [PtakPulmannova] p. 66. $)
    atoml $p |- ( B e. Atoms ->
                ( ( A vH B ) i^i ( _|_ ` A ) ) e. ( Atoms u. { 0H } ) ) $=
      ( vx cat wcel chj co cort cfv cin c0h wceq wo csn cun wne wa cv wss wrex
      cch wi atelch chjclt mpan syl choccl chinclt mpan2 hatomict ex 3syl imp
      wb pjoml3t pjococ opreq1i ineq1i incom eqtr3 syl5eq inss2 sstr syl2an
      ad2ant2lr chub1t adantr chlubt mp3an1 sylan2 biimpd ancoms mpand inss1
      adantrr exp3a com23 anim12i atexcht pm3.22 adantl csh chsh chshi orthin
      jca sylc ad2antlr eqssd ineq1d eqtr3d eleq1d exp43 com24 imp31 ibd
      r19.23adv mpd necon1bd orrd elun fvex inex2 elsnc orbi2i bitr sylibr ) BE
      FZABGHZAIJZKZEFZXLLMZNZXLELOZPFZXIXMXNXIXMXLLXIXLLQZXMXIXRRZDSZXLTZDEUAZX
      MXIXRYBXIXJUBFZXLUBFZXRYBUCXIBUBFZYCBUDZAUBFZYEYCCABUEUFZUGYCXKUBFZYDACUH
      ZXJXKUIUJYDXRYBDXLUKULUMUNXSYAXMDEXSYAXTEFZXMXSYAYKXMUCXSYARYKXMXIXRYAYKY
      KXMUOZUCXIYKYAXRYLXIYKYAXRYLXIYKRZYAXRRZRZXTXLEYOAXTGHZXKKZXTXLYKYAYQXTMZ
      XIXRXTUBFZXTXKTZYRYKYAYSYTRZXKXKIJZXTGHZKZXTYQYSYTUUDXTMZYIYSYTUUEUCYJXKX
      TUPUFUNUUCXKKYQUUDUUCYPXKUUBAXTGACUQURUSUUCXKUTVAVBXTUDZYAXLXKTYTXJXKVCXT
      XLXKVDUJZVEVFYOYPXJXKYOYPXJYMYAYPXJTZXRYMXTXJTZUUHYAYMUUIUUHYEYSUUIUUHUCX
      IYKYEYSRAXJTZUUIUUHYEUUJYSYGYEUUJCABVGUFVHYSYEUUJUUIRZUUHUCYSYERUUKUUHYSY
      CUUKUUHUOZYEYGYSYCUULCAXTXJVIVJYHVKVLVMVNYFUUFVEUNYAXLXJTUUIXJXKVOXTXLXJV
      DUJZVKVPYEYPUBFZRZBYPTZRAYPTZXJYPTZYOUUOUUPUUQUURUCUUOUUQUUPUURUUOUUQUUPU
      URUUOUUQUUPRZUURYGYEUUNUUSUURUOCABYPVIVJVLVQVRUNYOUUOUUPYMUUOYNXIYEYKUUNY
      FYKYSUUNUUFYGYSUUNCAXTUEUFUGVSVHYKXIRZUUIAXTKZLMZRZUUPYOYGYKXIUVCUUPUCCAX
      TBVTVJYMUUTYNXIYKWAVHYKYAUVCXIXRYKYARUUIUVBYAUUIYKUUMWBYSYTUVBYKYAUUAXTAK
      ZLUVAYSYTUVDLMZYSXTWCFZYTUVEUCZXTWDUVFAWCFUVGACWEXTAWFUJUGUNAXTUTVBUUFUUG
      VEWGVFWHWGYKUUQXIYNYKYSUUQUUFYGYSUUQCAXTVGUFUGWIWHWJWKWLWMWNWOWPWQULVRWRW
      SULWTXAXQXMXLXPFZNXOXLEXPXBUVHXNXMXLLXKXJAIXCXDXEXFXGXH $.
      $( [9-May-2005] $) $( [24-Jun-2004] $)

    $( An assertion holding in atomic orthomodular lattices that is equivalent
       to the exchange axiom.  Proposition P8(ii) of [BeltramettiCassinelli1]
       p. 400. $)
    atoml2 $p |- ( ( B e. Atoms /\ -. B (_ A ) ->
                ( ( A vH B ) i^i ( _|_ ` A ) ) e. Atoms ) $=
      ( cat wcel wss wn chj co cort cfv cin c0h wceq cch atelch pjoml5t mpan
      syl incom eqeq1i biimp opreq2d chj0 syl6eq sylan9req ex wb chlejb2t
      mpan2 sylibrd con3d csn cun wo atoml elun h0elch elisseti elsnc2 orbi2i
      orcom 3bitr sylib ord syld imp ) BDEZBAFZGZABHIZAJKZLZDEZVHVJVMMNZGVNVHVO
      VIVHVOVKANZVIVHVOVPVHVOVKAVLVKLZHIZAVHBOEZVRVKNZBPZAOEZVSVTCABQRSVOVRAMHI
      AVOVQMAHVOVQMNVMVQMVKVLTUAUBUCACUDUEUFUGVHVSVIVPUHZWAVSWBWCCBAUIUJSUKULVH
      VOVNVHVMDMUMZUNEZVOVNUOZABCUPWEVNVMWDEZUOVNVOUOWFVMDWDUQWGVOVNVMMMOURUSUT
      VAVNVOVBVCVDVEVFVG $.
      $( [2-Jul-2006] $) $( [12-Jun-2006] $)

    $( An ordering law for a Hilbert lattice atom and a commuting subspace. $)
    atord $p |- ( ( B e. Atoms /\ A C_H B ) ->
                ( B (_ A \/ B (_ ( _|_ ` A ) ) ) $=
      ( cat wcel ccm wbr wa wss cort cfv wn cin chj co wceq cch c0h choccl
      chinclt mpan chj0t syl incom syl6eq h0elch chjcomt mpan2 eqtr3d chocin
      eqtr opreq1i syl6eqr adantr w3a cmid cmcm2i fh2t mpanr1 mp3anl2 mpanl1
      eqtr4d atelch sylan atoml2 adantlr eqeltrd wb atssmat ad2antrr mpbird ex
      orrd ) BDEZABFGZHZBAIZBAJKZIZVPVQLZVSVPVTHZVSBVRMZDEZWAWBABNOZVRMZDVPWBWE
      PVTVPWBVRWDMZWEBQEZVOWBWFPVNWGVOHWBVRAMZVRBMZNOZWFWGWBWJPVOWGWBRWINOZWJWG
      WIRNOZWBWKWGWLWIWBWGWIQEZWLWIPVRQEZWGWMACSZVRBTUAZWIUBUCVRBUDUEWGWMWLWKPZ
      WPWMRQEWQUFWIRUGUHUCUIWHRWINWHAVRMRVRAUDACUJUKULUMUNWNWGVOWFWJPZWOWNAQEZW
      GVOWRCWNWSWGUOAVRFGVOWRAACCACUPUQVRABURUSUTVAVBBVCVDVRWDUDUEUNVNVTWEDEVOA
      BCVEVFVGVNVSWCVHZVOVTVNWNWTWOBVRVIUHVJVKVLVM $.
      $( [4-Jul-2006] $) $( [12-Jun-2006] $)

    $( Lemma for ~ atcvat . $)
    atcvatlem $p |- ( ( ( B e. Atoms /\ C e. Atoms ) /\
        ( A =/= 0H /\ A (. ( B vH C ) ) ) -> ( -. B (_ A -> A e. Atoms ) ) $=
      ( vx cat wcel wa c0h wne chj co wpss wss wn wi cv wrex ccv wbr wceq cin
      atnem0 sseq1 biimpcd con3d imp adantrl syl5bi cch wb cvp chjcomt atelch
      sylan2 breq2d bitrd sylan sylibd ancoms adantlr w3a chub1t syl2an
      3adant3 adantr sstr pssss adantl incom syl5eq adantrr atexcht syl3an1
      mp2and jca 3simp1 3simp3 chjclt 3jca syl3an chlubt syl mpbid 3adant2
      anim12i syld3an3 syl3anl eqssd anassrs psseq2d ex ibd exp32 3expa an1rs
      com34 imp45 pm3.27 cvnbtwn3t mp3an3 exp4a com23 imp4a eleq1d biimprcd
      exp4c pm2.43b exp4d r19.23adva hatomic syl5 imp32 ) BFGZCFGZHZAIJZABCKLZM
      ZBANZOZAFGZPZXPEQZANZEFRXSYCPZXQXPYEYFEFXPYDFGZHZYEXSYAYBXPYGYEXSYAHZHZYB
      PZXPYGYKYGXPYGYJYBYHYJHZYBYGYLAYDFYLYDBYDKLZSTZAYMMZAYDUAZYHYJYNXNYGYJYNP
      ZXOYGXNYQYGXNHZYJYDBUBZIUAZYNYRYDBUAZOZYTYJYDBUCZYEYAUUBXSYEYAUUBYEUUAXTU
      UAYEXTYDBAUDUEUFUGZUHUIYDUJGZXNYTYNUKYGUUEXNHZYTYDYDBKLZSTYNYDBULUUFUUGYM
      YDSUUEBUJGZUUGYMUAXNYDBUMBUNZUOUPUQYDUNZURUSUTVAUGYHYEXSYAYOYHYEYAXSYOXNY
      GXOYEYAXSYOPZPPZXNYGXOUULXNYGXOVBZYEYAUUKUUMYEYAHZHZXSYOUUOXSXSYOUKUUOXSH
      XRYMAUUMUUNXSXRYMUAUUMUUNXSHZHZXRYMUUQBYMNZCYMNZHZXRYMNZUUQUURUUSUUMUURUU
      PXNYGUURXOUUHUUEUURXNYGBYDVCUUIUUJVDVEVFUUQYDXRNZBYDUBZIUAZUUSUUPUVBUUMYE
      XSUVBYAYEAXRNUVBXSYDAXRVGAXRVHUOVAZVIUUMUUNUVDXSUUOYSIUVCUUMUUNYTXNYGUUNY
      TPZXOYGXNUVFYRUUBYTUUNUUCUUDUIUTVEUGBYDVJVKVLUUMUVBUVDHUUSPZUUPUUHYGXOUVG
      XNBYDCVMUUIVNVFVOVPUUMUUTUVAUKZUUPUUMUUHCUJGZYMUJGZVBZUVHUUHUUEUVIUVKXNYG
      XOUUHUUEUVIVBZUUHUVIUVJUUHUUEUVIVQUUHUUEUVIVRUUHUUEUVJUVIBYDVSZVEVTUUIUUJ
      CUNZWABCYMWBWCVFWDUUHUUEUVIUUPYMXRNZXNYGXOUVLUUPHBXRNZUVBHZUVOUVLUVPUUPUV
      BUUHUVIUVPUUEBCVCWEUVEWFUVLUVQUVOUKZUUPUUHUUEXRUJGZUVRUVIBYDXRWBUUHUVIUVS
      UUEBCVSWEWGVFWDUUIUUJUVNWHWIWJWKWLWMWNWOWPWQWRYHYEYNYOHYPPZYIYHYEUVTXNYGY
      EUVTPZXOXNYGHUUEUVJHZUWAUUHUUEUWBXNYGUUHUUEHUUEUVJUUHUUEWSUVMVPUUIUUJVDUW
      BYEYNYOYPUWBYNYEYOYPPUWBYNYEYOYPUUEUVJAUJGYNYEYOHYPPPDYDYMAWTXAXBXCXDWCVA
      UGVLVOXEXFXGXHUGXIXJEADXKXLXM $.
      $( [23-Mar-2007] $) $( [27-Jun-2004] $)

    $( A nonzero Hilbert lattice element less than the join of two atoms
       is an atom. $)
    atcvat $p |- ( ( B e. Atoms /\ C e. Atoms ) ->
                 ( ( A =/= 0H /\ A (. ( B vH C ) ) -> A e. Atoms ) ) $=
      ( cat wcel wa c0h wne chj co wpss wss wn wo cch wi w3a wb chlubt 3comr
      ssnpss syl6bi con2d ianor syl6ib mp3an1 atelch syl2an imp adantrl
      atcvatlem wceq chjcomt psseq2d anbi2d ex sylbird ancoms jaod mpd ) BEFZCE
      FZGZAHIZABCJKZLZGZAEFZVDVHGZBAMZNZCAMZNZOZVIVDVGVOVEVDVGVOBPFZCPFZVGVOQZV
      BVCAPFZVPVQVRDVSVPVQRZVGVKVMGZNVOVTWAVGVTWAVFAMZVGNVPVQVSWAWBSBCATUAVFAUB
      UCUDVKVMUEUFUGBUHZCUHZUIUJUKVJVLVIVNABCDULVDVHVNVIQZVCVBVHWEQVCVBGZVHVEAC
      BJKZLZGZWEWFWHVGVEWFWGVFAVQVPWGVFUMVCVBCBUNWDWCUIUOUPWFWIWEACBDULUQURUSUJ
      UTVAUQ $.
      $( [25-Mar-2007] $) $( [28-Jun-2004] $)

    $( A Hilbert lattice element covered by the join of two distinct atoms
       is an atom. $)
    atcvat2 $p |- ( ( B e. Atoms /\ C e. Atoms ) ->
                 ( ( -. B = C /\ A <o ( B vH C ) ) -> A e. Atoms ) ) $=
      ( cat wcel wa wceq wn chj co ccv wbr wi c0h wne cch wb atcv1t mp3anl1
      necon3abid wpss chjclt atelch syl2an cvpsst mpan syl atcvat exp3a com23
      syld imp sylbird ex imp3a ) BEFZCEFZGZBCHZIZABCJKZLMZAEFZUSVCVAVDUSVCVAVD
      NUSVCGZVAAOPZVDVEUTAOAQFZUQURVCAOHUTRDABCSTUAUSVCVFVDNZUSVCAVBUBZVHUSVBQF
      ZVCVINZBQFCQFVJUQURBCUCBUDCUDUEVGVJVKDAVBUFUGUHUSVFVIVDUSVFVIVDABCDUIUJUK
      ULUMUNUOUKUP $.
      $( [29-Jul-2004] $) $( [26-Jun-2004] $)
  $}

  $( An ordering law for a Hilbert lattice atom and a commuting subspace. $)
  atordt $p |- ( ( A e. CH /\ B e. Atoms /\ A C_H B ) ->
              ( B (_ A \/ B (_ ( _|_ ` A ) ) ) $=
    ( cch wcel cat ccm wbr wss cort cfv wo wa wi c0h cif wceq breq1 anbi2d
    sseq2 fveq2 sseq2d orbi12d imbi12d h0elch elimel atord dedth 3impib ) ACDZB
    EDZABFGZBAHZBAIJZHZKZUIUJUKLZUOMUJUIANOZBFGZLZBUQHZBUQIJZHZKZMANAUQPZUPUSUO
    VCVDUKURUJAUQBFQRVDULUTUNVBAUQBSVDUMVABAUQITUAUBUCUQBANCUDUEUFUGUH $.
    $( [7-Jul-2006] $) $( [12-Jun-2006] $)

  $( A Hilbert lattice element covered by the join of two distinct atoms
     is an atom. $)
  atcvat2t $p |- ( ( A e. CH /\ B e. Atoms /\ C e. Atoms ) ->
               ( ( -. B = C /\ A <o ( B vH C ) ) -> A e. Atoms ) ) $=
    ( cch wcel cat wceq wn chj co ccv wbr wa wi c0h cif breq1 anbi2d eleq1
    imbi12d imbi2d h0elch elimel atcvat2 dedth 3impib ) ADEZBFEZCFEZBCGHZABCIJZ
    KLZMZAFEZNZUGUHUIMZUONUPUJUGAOPZUKKLZMZUQFEZNZNAOAUQGZUOVAUPVBUMUSUNUTVBULU
    RUJAUQUKKQRAUQFSTUAUQBCAODUBUCUDUEUF $.
    $( [29-Jul-2004] $) $( [29-Jun-2004] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                    Irreducibility
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d p q r x A $.
    irred.1 $e |- A e. CH $.
    $( Lemma for ~ irred . $)
    irredlem1 $p |- ( ( ( p e. Atoms /\ ( q e. CH /\ q (_ ( _|_ ` A ) ) )
     /\ ( ( r e. Atoms /\ r (_ A ) /\ r (_ ( p vH q ) ) ) ->
       ( p i^i ( _|_ ` r ) ) = 0H ) $=
      ( cv cat wcel cch cort cfv wss wa chj co cin c0h wceq wi sstr2 wb
      chsscon3t mpan2 biimpa atelch sylan syl5 wn wne atn0 df-ne sylib adantr
      ad2antrr simplr chlej1t 3exp1 chocclt syl syl5com imp42 adantllr adantlr
      sstrd chlejb2t ancoms sylanl1 an1rs adantrl sseqtrd ex chssoct biimpd
      syld mtod sylanr1 atnssm0 incom eqeq1i syl6bb ad2ant2r sylibd exp43
      sylcom com4t imp3a imp43 ) DFZGHZCFZIHZWJAJKZLZMBFZGHZWNALZMZWNWHWJNOZLZW
      HWNJKZPZQRZWIWKWMWQWSXBSZSWMWQWIWKXCWMWQWJWTLZWIWKXCSSZWMWLWTLZXDWQWJWLWT
      TWNIHZWPXFWOXGWPXFXGAIHWPXFUAEWNAUBUCUDWNUEZUFUGWOXDXESWPWOXDWIWKXCWOXDMZ
      WIWKMMWSWHWTLZUHZXBXIWHIHZWKWSXKSWIXIXLWKMZMZWSXKXNWSMZXJWNQRZXIXPUHZXMWS
      WOXQXDWOWNQUIXQWNUJWNQUKULUMUNXOXJWNWTLZXPXOXJXRXOXJMZWNWTWJNOZWTXSWNWRXT
      XNWSXJUOXNXJWRXTLZWSWOXMXJYAXDWOXLWKXJYAXLWTIHZWKXJYASSWOXLYBWKXJYAWHWTWJ
      UPUQWOXGYBXHWNURUSZUTVAVBVCVDXNXTWTRZWSXJXIWKYDXLWOWKXDYDYBWKXDYDWOYBWKMX
      DYDWKYBXDYDUAWJWTVEVFUDYCVGVHVIUNVJVKXIXRXPSZXMWSWOYEXDWOXGYEXHXGXRXPWNVL
      VMUSUMUNVNVOVKWHUEVPWOWIXKXBUAZXDWKYBWIYFWOYBWIMXKWTWHPZQRXBWTWHVQYGXAQWT
      WHVRVSVTYCUFWAWBWCUMWDWEWFWG $.
      $( [8-Jul-2006] $) $( [14-Jun-2006] $)

    $( Lemma for ~ irred . $)
    irredlem2 $p |- ( ( ( ( p e. Atoms /\ p (_ A ) /\ ( q e. CH /\
      q (_ ( _|_ ` A ) ) ) /\ ( ( r e. Atoms /\ r (_ A ) /\ r (_ ( p vH q ) ) )
                  -> ( ( _|_ ` r ) i^i ( p vH q ) ) = q ) $=
      ( cv cat wcel wss wa cch cort cfv chj co cin wceq chjcomt atelch sylan
      ad2ant2r adantr ineq2d w3a ccm wbr fh2t chocclt syl id 3anim123i 3com13
      3expa adantllr adantlrr adantrr lecmt simpll ad2antrl sstr wb chsscon3t
      mpan2 biimpa sylan2 adantll syl3anc ad2ant2lr an1s ancom2s wi syl3an2
      3expia cmcm2t sylibrd mpd sylanl2 ancom1s an4s jca sylanc c0h sseqin2
      sylib irredlem1 incom syl5eq opreq12d chj0t ad2antlr eqtrd 3eqtrd ) DFZGH
      ZWMAIZJZCFZKHZWQALMZIZJZJZBFZGHZXCAIZJZXCWMWQNOZIZJZJZXCLMZXGPXKWQWMNOZPZ
      XKWQPZXKWMPZNOZWQXJXGXLXKXBXGXLQZXIWNWRXQWOWTWMKHZWRXQWNWMWQRWMSZTUAUBUCX
      KKHZWRXRUDZWQXKUEUFZWQWMUEUFZJXMXPQXJXKWQWMUGXBXFYAXHXBXDYAXEWPWRXDYAWTWN
      WRXDYAWOWNWRXDYAXDWRWNYAXDXTWRWRWNXRXDXCKHZXTXCSZXCUHUIZWRUJXSUKULUMUNUOU
      PUPXJYBYCXAXFYBWPXHWRXTWQXKIZYBXAXFJZWQXKUQWRWTXFURXDXTXAXEYFUSWTXFYGWRWT
      WSXKIZYGXFWQWSXKUTXDXEYIXDYDXEYIVAZYEYDAKHZYJEXCAVBVCUIVDVEVFZVGVHXBYCXIW
      NWRWOWTYCWRWNWOWTJZYCWRXRYMYCWNWRXRJZYMJWQWMLMZIZYCXRYMYPWRXRWTWOYPWTXRWO
      YPWTWSYOIZYPXRWOJWQWSYOUTXRWOYQXRYKWOYQVAEWMAVBVCVDVEVIVJVFYNYPYCVKYMYNYP
      WQYOUEUFZYCWRXRYPYRWRYOKHYPYRXRWQYOUQWMUHVLVMWQWMVNVOUBVPXSVQVRVSUBVTWAXJ
      XPWQWBNOZWQXJXNWQXOWBNXAXFXNWQQZWPXHYHYGYTYLWQXKWCWDVHXJWMXKPZWBXOWNXAXIU
      UAWBQWOABCDEWEUNXKWMWFWGWHXAYSWQQZWPXIWRUUBWTWQWIUBWJWKWL $.
      $( [8-Jul-2006] $) $( [15-Jun-2006] $)

    ${
      irred.2 $e |- ( x e. CH -> A C_H x ) $.
      $( Lemma for ~ irred . $)
      irredlem3 $p |- ( ( ( ( p e. Atoms /\ p (_ A ) /\ ( q e. Atoms /\
        q (_ ( _|_ ` A ) ) ) /\ ( r e. Atoms /\ r (_ ( p vH q ) ) )
                    -> ( r (_ A -> r = p ) ) $=
        ( cv cat wcel wss wa cort cfv chj co wceq wi cch c0h cin irredlem2
        opreq2d pjoml2t atelch adantr chjclt sylan ad2ant2r id syl3an 3com12
        3expb eqtr3d ineq2d ccm wbr breq2 vtoclga anim12i fh1t mp3anl1 mpdan
        ancoms adantrr adantll 3eqtr3d sseqin2 biimp ad2antlr adantl csh chsh
        chshi orthin mpan2 syl imp incom syl5eq opreq12d ad2antrr chj0t exp44
        com34 sylanr1 imp32 ) EHZIJZWHBKZLZDHZIJZWLBMNKZLLCHZIJZWOWHWLOPZKZWOBK
        ZWOWHQZRZWKWLSJZWNWPWRXARRWMWKXBWNLZLZWPWSWRWTXDWPWSWRWTXDWPWSLZWRLZLZW
        OTOPZWHTOPZWOWHXGBWOUAZBWLUAZOPZBWHUAZXKOPZXHXIXGBWOWLOPZUAZBWQUAZXLXNX
        GXOWQBXGWOWOMNWQUAZOPZXOWQXGXRWLWOOBCDEFUBUCXDXEWRXSWQQZXEXDWRXTWOSJZWQ
        SJZWRXTXEXDWRWOWQUDWPYAWSWOUEZUFWIXBYBWJWNWHSJZXBYBWIWHWLUGWHUEZUHUIWRU
        JUKULUMUNUOXCXFXPXLQZWKXBXEYFWNWRXBWPYFWSWPXBYFYAXBYFWPYAXBLBWOUPUQZBWL
        UPUQZLZYFYAYGXBYHBAHZUPUQZYGAWOSYJWOBUPURGUSYKYHAWLSYJWLBUPURGUSZUTBSJZ
        YAXBYIYFFBWOWLVAVBVCYCUHVDVEUIVFXDXQXNQZXFWIXBYNWJWNYDXBYNWIYDXBLBWHUPU
        QZYHLZYNYDYOXBYHYKYOAWHSYJWHBUPURGUSYLUTYMYDXBYPYNFBWHWLVAVBVCYEUHUIUFV
        GXGXJWOXKTOXFXJWOQZXDWSYQWPWRWSYQWOBVHVIVJVKXCXKTQWKXFXCWLBUAZTXKXBWNYR
        TQZXBWLVLJZWNYSRZWLVMYTBVLJUUABFVNWLBVOVPVQVRBWLVSVTVJZWAXGXMWHXKTOWKXM
        WHQZXCXFWJUUCWIWJUUCWHBVHVIVKWBUUBWAVGXFXHWOQZXDWPUUDWSWRWPYAUUDYCWOWCV
        QWBVKWKXIWHQZXCXFWIUUEWJWIYDUUEYEWHWCVQUFWBVGWDWEWLUEWFWG $.
        $( [8-Jul-2006] $) $( [15-Jun-2006] $)

      $( Lemma for ~ irred . $)
      irredlem4 $p |- ( ( ( ( p e. Atoms /\ p (_ A ) /\ ( q e. Atoms /\
        q (_ ( _|_ ` A ) ) ) /\ ( r e. Atoms /\
              r (_ ( p vH q ) ) ) -> ( r = p \/ r = q ) ) $=
        ( cv cat wcel wss wa cort cfv chj co wo wceq ccm wbr cch atelch breq2
        vtoclga syl atord mpdan ad2antrl irredlem3 wi wb chjcomt syl2an sseq2d
        anbi2d ad2ant2r choccl cmcm3t mpan mpbid ex sylbird ococ sseq2i biimpr
        sylanr2 imp ancom1s orim12d mpd ) EHZIJZVKBKZLZDHZIJZVOBMNZKZLZLZCHZIJZ
        WAVKVOOPZKZLZLZWABKZWAVQKZQZWAVKRZWAVORZQWBWIVTWDWBBWASTZWIWBWAUAJWLWAU
        BBAHZSTZWLAWAUAWMWABSUCGUDUEBWAFUFUGUHWFWGWJWHWKABCDEFGUIVSVNWEWHWKUJZV
        SVNLWEWOVSVLVKVQMNZKZWEWOUJVMVSVLWQLLZWEWBWAVOVKOPZKZLZWOVPVLXAWEUKVRWQ
        VPVLLZWTWDWBXBWSWCWAVOUAJVKUAJWSWCRVPVLVOVKULVOUBVKUBUMUNUOUPWRXAWOAVQC
        EDBFUQWMUAJZWNVQWMSTZGBUAJXCWNXDUKFBWMURUSUTUIVAVBWQVMWPBVKBFVCVDVEVFVG
        VHVIVJ $.
        $( [8-Jul-2006] $) $( [15-Jun-2006] $)

      $( The Hilbert lattice is irreducible:  any element that commutes with
         all elements must be zero or one.  Theorem 14.8.4 of
         [BeltramettiCassinelli] p. 166. $)
      irred $p |- ( A = 0H \/ A = H~ ) $=
        ( vp vq vr c0h wceq cort cfv wo chil eqid wn wne wa ioran df-ne
        anbi12i bitr4 cv wss cat wrex hatomic choccl anim12i reeanv sylibr
        wcel chj co w3a superpos simpll simprl sstr cch wb atelch chsscon3t
        mpan2 syl biimpa sylan2 ancoms atn0 adantr sseq1 bicomd chssoct
        sylan9bbr an1rs ex necon3d mpd adantlr syldan adantrl syl3anc wi
        irredlem4 anassrs pm2.24d com23 imp3a df-3an neanior anbi1i bitr
        syl5ib r19.23adva an4s r19.23aivv sylbi a3i ax-mp fveq2 ococ choc0
        3eqtr3g orim2i ) BHIZBJKZHIZLZXDBMIZLHHIZXGHNXGXIXGOZBHPZXEHPZQZXIOZXJX
        DOZXFOZQXMXDXFRXKXOXLXPBHSXEHSTUAXMEUBZBUCZFUBZXEUCZQZFUDUEEUDUEZXNXMXR
        EUDUEZXTFUDUEZQYBXKYCXLYDEBCUFFXEBCUGUFUHXRXTEFUDUDUIUJYAXNEFUDUDXQUDUK
        ZXSUDUKZQYAXNYEXRYFXTXNYEXRQZYFXTQZQZGUBZXQPZYJXSPZYJXQXSULUMUCZUNZGUDU
        EZXNYEYFXQXSPZYOYIGXQXSUOYEXRYHUPYGYFXTUQYGXTYPYFYGXTXSXQJKZUCZYPXTYGYR
        XTXEYQUCZYRYGXSXEYQURYEXRYSYEXQUSUKZXRYSUTZXQVAZYTBUSUKUUACXQBVBVCVDVEV
        FVGYEYRYPXRYEYRQZXQHPZYPYEUUDYRXQVHVIUUCXQXSXQHUUCXQXSIZXQHIZYEUUEYRUUF
        YEUUEQYRUUFUUEYRXQYQUCZYEUUFUUEUUGYRXQXSYQVJVKYEYTUUGUUFUTUUBXQVLVDVMVE
        VNVOVPVQVRVSVTWAYIYNXNGUDYIYJUDUKZQZYJXQIYJXSILZOZYMQZXNYNUUIUUKYMXNUUI
        YMUUKXNUUIYMUUKXNWBUUIYMQUUJXNYIUUHYMUUJABGFECDWCWDWEVOWFWGYNYKYLQZYMQU
        ULYKYLYMWHUUMUUKYMYJXQYJXSWIWJWKWLWMVQWNVOWOVDWPWQWRXFXHXDXFXEJKHJKBMXE
        HJWSBCWTXAXBXCWR $.
        $( [8-Jul-2006] $) $( [15-Jun-2006] $)
    $}
  $}

  ${
    $d x y z A $.
    $( The Hilbert lattice is irreducible:  any element that commutes with all
       elements must be zero or one.  Theorem 14.8.4 of [BeltramettiCassinelli]
       p. 166. $)
    irredt $p |- ( ( A e. CH /\ A. x e. CH A C_H x ) ->
                 ( A = 0H \/ A = H~ ) ) $=
      ( vy vz cch wcel cv ccm wbr wral wa c0h wceq chil wo cif eqeq1 orbi12d
      eleq1 ax-17 hbra1 hban hbif hbeq breq1 ralbid anbi12d h0elch cm0t rgen
      pm3.2i elimhyp pm3.26i pm3.27i hbbr breq2 rcla4 mpi irred dedth ) BEFZBAG
      ZHIZAEJZKZBLMZBNMZOVEBLPZLMZVHNMZOBLBVHMZVFVIVGVJBVHLQBVHNQRCVHVHEFZVHVBH
      IZAEJZVEVLVNKLEFZLVBHIZAEJZKBLVKVAVLVDVNBVHESVKVCVMAEACCBVHCGZBFATZVEACBL
      VAVDAVAATVCAEUAUBZVSVRLFATZUCZUDBVHVBHUEUFUGLVHMZVOVLVQVNLVHESWCVPVMAEACC
      LVHWAWBUDLVHVBHUEUFUGVOVQUHVPAEVBUIUJUKULZUMVREFVNVHVRHIZVLVNWDUNVMWEAVRE
      ADVHVRHVEADBLVTDGZBFATWFLFATUCWFHFATWFVRFATUOVBVRVHHUPUQURUSUT $.
      $( [1-Oct-2006] $) $( [16-Jun-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Atoms (cont.)
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d x A $.  $d x B $.  $d x C $.
    atcvat3.1 $e |- A e. CH $.
    $( A condition implying that a certain lattice element is an atom.  Part
       of Lemma 3.2.20 of [PtakPulmannova] p. 68. $)
    atcvat3 $p |- ( ( B e. Atoms /\ C e. Atoms ) ->
          ( ( ( -. B = C /\ -. C (_ A ) /\ B (_ ( A vH C ) ) ->
          ( A i^i ( B vH C ) ) e. Atoms ) ) $=
      ( cat wcel wa wceq wn wss chj co cin ccv wbr wi cch wb chcv1t mpan
      biimpa ad2ant2lr chjcomt opreq2d chjasst mp3an1 ancoms eqtr4d adantr w3a
      chlej2t ex pm3.26 chjclt adantl syl3anc imp eqsstrd chjidmt syl ad2antlr
      sseqtrd mp3anl3 pm3.27 jca chub2t sylanc eqssd atelch anim12i sylan
      breq2d adantrl mpbird jctil syl2an cvexcht sylibrd atcvat2t chinclt
      exp3a syld exp4b imp4c ) BEFZCEFZGZBCHIZCAJIZBACKLZJZABCKLZMZEFZWGWHWIWKW
      NWGWHGWIWKGZWMWLNOZWNWGWOWPPWHWGWOAAWLKLZNOZWPWGWOWRWGWOGWRAWJNOZWFWIWSWE
      WKWFWIWSAQFZWFWIWSRDACSTUAUBWGWKWRWSRWIWGWKGWQWJANBQFZCQFZGZWKWQWJHWGXCWK
      GZWQWJXDWQWJWJKLZWJXDWQWJBKLZXEXCWQXFHWKXCWQACBKLZKLZXFXCWLXGAKBCUCUDXBXA
      XFXHHZWTXBXAXIDACBUEUFUGUHUIXCWKXFXEJZXAWJQFZXKWKXJPXCXAXKXKUJWKXJBWJWJUK
      ULXAXBUMXBXKXAWTXBXKDACUNTZUOZXMUPUQURXBXEWJHZXAWKXBXKXNXLWJUSUTVAVBXCWJW
      QJZWKXBWLQFZGCWLJZXOXCXBXPWTXQXODCWLAUKVCXCXBXPXAXBVDBCUNZVEXBXAXQCBVFUGV
      GUIVHWEXAWFXBBVIZCVIZVJVKVLVMVNULWGWTXPGZWPWRRXAXBYAWEWFXCXPWTXRDVOZXSXTV
      PAWLVQUTVRUIWGWHWPWNPWGWHWPWNWMQFZWEWFWHWPGWNPWGWMBCVSXAXBYCWEWFXCYAYCYBA
      WLVTUTXSXTVPWEWFUMWEWFVDUPWAUQWBWCWD $.
      $( [29-Jul-2004] $) $( [2-Jul-2004] $)

    $( A condition implying existence of an atom with the properties shown.
       Lemma 3.2.20 of [PtakPulmannova] p. 68. $)
    atcvat4 $p |- ( ( B e. Atoms /\ C e. Atoms ) ->
          ( ( A =/= 0H /\ B (_ ( A vH C ) ) ->
          E. x e. Atoms ( x (_ A /\ B (_ ( C vH x ) ) ) ) $=
      ( cat wcel wa wceq wss c0h wne chj co cv wrex wi sseq1 cch chub1t atelch
      syl2an syl5bir exp3a impcom anim2d com23 r19.22dv hatomic syl5 ex a1i
      com4l imp4a adantl wb chlejb2t mpan2 biimpa sseq2d anasss chub2t jctird
      pm3.26 jctild imp anassrs opreq2 anbi12d rcla4ev syl adantrl exp31 wo wn
      cin atcvat3 w3a atexcht ad2antlr simpll 3jca inss2 chjcomt sseqtrd
      adantr atnssm0 mpan chinclt pm3.27 chjclt sylanc chle0t inss1 sslin
      ax-mp incom sseqtr sseq2 mpbii syl5bi sylbid adantrr jca sylc jctil jcad
      syl6 ioran syl5ib syl7 ecase3d ) CFGZDFGZHZCDIZDBJZBKLZCBDMNZJZHZAOZBJZCD
      YBMNZJZHZAFPZQZXNXPYHQXMXNXPXRXTYGXTXNXPXRYGXNXPXRYGQZQQXTXNXPYIXNXPHZYCA
      FPYGXRYJYCYFAFYJYCYBFGZYFYJYCYKYFYJYKYEYCXPXNYKYEQXPXNYKYEXPYEDYDJZXNYKHC
      DYDRDSGZYBSGYLXNYKDYBTDUAZYBUAUBUCUDUEUFUDUGUHABEUIUJUKULUMUNUOXOXQYAYGXO
      XQHZXTYGXRYOXTHXMCBJZCDCMNZJZHZHZYGXOXQXTYTXOXQXTHZYTXOUUAYSXMCSGZYMUUAYS
      QXMXNUUBYMHZUUAYPYRYMUUAYPQUUBYMUUAYPYMXQXTYPYMXQHZXTYPUUDXSBCYMXQXSBIZYM
      BSGZXQUUEUPEDBUQURUSUTUSVAUKUOCDVBVCCUAZYNUBXMXNVDVEVFVGYFYSACFYBCIZYCYPY
      EYRYBCBRUUHYDYQCYBCDMVHUTVIVJVKVLVMXOXPXQVNVOZXTYGYAXOXPVOZXQVOZHZXTYGQUU
      IXOUULXTYGXOUULXTHZBCDMNZVPZFGZUUOBJZCDUUOMNZJZHZHYGXOUUMUUPUUTBCDEVQZXOU
      UMUUTXOUUMHZUUSUUQYMUUPXMVRUUOYQJZDUUOVPZKIZHUUSUVBDUUOCVSUVBYMUUPXMXNYMX
      MUUMYNVTXOUUMUUPUVAVFXMXNUUMWAWBUVBUVCUVEXOUVCUUMXOUUOUUNYQUUOUUNJXOBUUNW
      CULUUBYMUUNYQIXMXNCDWDUUGYNUBWEWFXOUULUVEXTXOUUKUVEUUJXOUUKUVEXOUUKBDVPZK
      IZUVEXNUUKUVGUPZXMUUFXNUVHEBDWGWHUOXOUVDKJZUVEUVGXOUVDSGZUVIUVEUPUUBYMUVJ
      XMXNYMUUOSGZUVJUUCDUUOWIUUBYMWJUUCUUNSGZUVKCDWKUUFUVLUVKEBUUNWIWHVKWLUUGY
      NUBUVDWMVKUVGUVDUVFJUVIUVDDBVPZUVFUUQUVDUVMJBUUNWNZUUOBDWOWPDBWQWRUVFKUVD
      WSWTXAXBVFVLXCXDXEUVNXFUKXGYFUUTAUUOFYBUUOIZYCUUQYEUUSYBUUOBRUVOYDUURCYBU
      UODMVHUTVIVJXHUDXPXQXIXJXRXTWJXKXL $.
      $( [22-Apr-2007] $) $( [2-Jul-2004] $)
  $}

  $( Two Hilbert lattice elements have the dual modular pair property if the
     first is an atom.  Theorem 7.6(c) of [MaedaMaeda] p. 31. $)
  atdmd $p |- ( ( A e. Atoms /\ B e. CH ) -> A MH* B ) $=
    ( cat wcel cch wa cin c0h wceq cdmd wbr chj co ccv wb cvp chjcomt atelch
    sylan2 breq2d bitrd ancoms wi cvdmdt 3expia sylan sylbid wn wss atnssm0
    con1bid ssdmd1 pm2.61d ) ACDZBEDZFZBAGHIZABJKZUPUQBABLMZNKZURUOUNUQUTOUOUNF
    ZUQBBALMZNKUTBAPVAVBUSBNUOAEDZVBUSIUNBAQARZSTUAUBVCUOUTURUCUNVCUOUTURABUDUE
    VDUFUGUPUQUHABUIZURUPVEUQUOUNVEUHUQOBAUJUBUKVCUOVEURUCUNVCUOVEURABULUEVDUFU
    GUM $.
    $( [27-Jul-2007] $) $( [22-Jun-2004] $)

  ${
    $d x A $.  $d x B $.
    $( Two Hilbert lattice elements have the modular pair property if the
       first is an atom.  Theorem 7.6(b) of [MaedaMaeda] p. 31. $)
    atmd $p |- ( ( A e. Atoms /\ B e. CH ) -> A MH B ) $=
      ( vx cat wcel cch wa cv cmd wbr wral cdmd atdmd r19.21aiva wb atelch
      mddmd syl mpbird adantr wi breq2 rcla4v adantl mpd ) ADEZBFEZGACHZIJZCFKZ
      ABIJZUFUJUGUFUJAUHLJZCFKZUFULCFAUHMNUFAFEUJUMOAPCAQRSTUGUJUKUAUFUIUKCBFUH
      BAIUBUCUDUE $.
      $( [12-Aug-2005] $) $( [22-Jun-2004] $)
  $}

  $( Two Hilbert lattice elements have the dual modular pair property if the
     second is an atom.  Part of Exercise 6 of [Kalmbach] p. 103. $)
  atmd2 $p |- ( ( A e. CH /\ B e. Atoms ) -> A MH B ) $=
    ( cch wcel cat wa cin c0h wceq cmd wbr chj co ccv cvp wi cvexcht cvmdt
    3expia sylbird atelch sylan2 sylbid wn wss atnssm0 con1bid ssmd2 3com12
    syl3an2 pm2.61d ) ACDZBEDZFZABGZHIZABJKZUNUPAABLMNKZUQABOULBCDZURUQPUMULUSF
    URUOBNKZUQABQULUSUTUQABRSTBUAZUBUCUNUPUDBAUEZUQUNVBUPABUFUGULUMVBUQULUSVBUQ
    UMUSULVBUQBAUHUIVAUJSUCUK $.
    $( [23-Sep-2005] $) $( [22-Jun-2004] $)

  ${
    atabs.1 $e |- A e. CH $.
    atabs.2 $e |- B e. CH $.
    $( Absorption of an incomparable atom.  Similar to Exercise 7.1 of
       [MaedaMaeda] p. 34. $)
    atabs $p |- ( C e. Atoms -> ( -. C (_ ( A vH B ) ->
                ( ( A vH C ) i^i B ) = ( A i^i B ) ) ) $=
      ( cat wcel chj co wss wn cin wceq wa chub1 cch cmd wbr wi chjcl w3a mdit
      exp32 mp3an23 atelch atmd mpan2 sylc mpi adantr c0h wb atnssm0 mpan
      biimpa incom syl5eq opreq2d chj0 syl6eq eqtrd ineq1d inass chjcom ineq1i
      chabs2 3eqtr ineq2i eqtr2 ex ) CFGZCABHIZJKZACHIZBLZABLZMVKVMNZVNVLLZBLZV
      PVOVQVRABVQVRACVLLZHIZAVKVRWAMZVMVKAVLJZWBABDEOCPGZCVLQRZWCWBSZVKWDVLPGZA
      PGZWEWFSABDETZDWDWGWHUAWEWCWBCVLAUBUCUDCUEVKWGWEWICVLUFUGUHUIUJVQWAAUKHIA
      VQVTUKAHVQVLCLZUKVTVKVMWJUKMZWGVKVMWKULWIVLCUMUNUOCVLUPUQURADUSUTVAVBVSVN
      VLBLZLVOVNVLBVCWLBVNWLBAHIZBLBWMLBVLWMBABDEVDVEWMBUPBAEDVFVGVHVIUQVJ $.
      $( [29-Dec-2005] $) $( [15-Jul-2004] $)

    $( Absorption of an incomparable atom. $)
    atabs2 $p |- ( C e. Atoms -> ( -. C (_ ( A vH B ) ->
                ( ( A vH C ) i^i ( A vH B ) ) = A ) ) $=
      ( cat wcel chj co wss wn cin wceq chjcl atabs chjass chjidm opreq1i
      eqtr3 sseq2i negbii chabs2 eqeq2i 3imtr3g ) CFGCAABHIZHIZJZKACHIUELZAUELZ
      MCUEJZKUHAMAUECDABDENOUGUJUFUECAAHIZBHIUFUEAABDDEPUKABHADQRSTUAUIAUHABDEU
      BUCUD $.
      $( [19-Feb-2006] $) $( [18-Jul-2004] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                      Modular symmetry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d q r C $.
    $d c p q r A $.  $d c p q r B $.
    mdsymlem1.1 $e |- A e. CH $.
    mdsymlem1.2 $e |- B e. CH $.
    mdsymlem1.3 $e |- C = ( A vH p ) $.
    $( Lemma for ~ mdsym . $)
    mdsymlem1 $p |- ( ( ( p e. CH /\ ( B i^i C ) (_ A ) /\
            ( B MH* A /\ p (_ ( A vH B ) ) ) -> p (_ A ) $=
      ( cv cch wcel cin wss wa cdmd wbr chj co chub2t mpan2 syl6ssr chjcom
      sseq2i biimp anim12i ssin sylib ad2ant2rl wceq dmdit mp3anl1 mpanl1
      chjclt mpan syl5eqel adantr chub1t anim2i ancoms sylanc adantlr wb
      chinclt chlejb1t 3syl biimpa incom opreq1i syl5eq eqtr3d adantrr sseqtrd
      ) DHZIJZBCKZALZMZBANOZVLABPQZLZMMVLCBAPQZKZAVMVSVLWALZVOVQVMVSMVLCLZVLVTL
      ZMWBVMWCVSWDVMVLAVLPQZCVMAIJZVLWELEVLARSGTVSWDVRVTVLABEFUAUBUCUDVLCVTUEUF
      UGVPVQWAAUHVSVPVQMCBKZAPQZWAAVMVQWHWAUHZVOCIJZVQACLZMZWIVMVQMWFWJWLWIEBIJ
      ZWFWJWLWIFBACUIUJUKVMWJVQVMWEICWFVMWEIJEAVLULUMGUNZUOVQVMWLVMWKVQVMAWECWF
      VMAWELEAVLUPUMGTUQURUSUTVPWHAUHVQVPVNAPQZAWHVMVOWOAUHZVMWJVNIJZVOWPVAZWNW
      MWJWQFBCVBUMWQWFWREVNAVCSVDVEWGVNAPCBVFVGVHUOVIVJVK $.
      $( [29-Jul-2007] $) $( [1-Jul-2004] $)

    $( Lemma for ~ mdsym . $)
    mdsymlem2 $p |- ( ( ( p e. Atoms /\ ( B i^i C ) (_ A ) /\
         ( B MH* A /\ p (_ ( A vH B ) ) ) -> ( B =/= 0H -> E. r e. Atoms
         E. q e. Atoms ( p (_ ( q vH r ) /\ ( q (_ A /\ r (_ B ) ) ) ) $=
      ( cv cat wcel cin wss wa cdmd wbr chj co wrex c0h wne wceq opreq1 sseq2d
      sseq1 anbi1d anbi12d rcla4ev pm3.26 ad2antrr cch chub1t atelch syl2an
      adantlr mdsymlem1 sylanl1 adantr jca anim1i anass sylib anasss sylanc
      exp32 r19.22dv hatomic syl5 ) FJZKLZBCMANZOZBAPQVJABRSNOZOZDJZBNZDKTVJEJZ
      VPRSZNZVRANZVQOZOZEKTZDKTBUAUBVOVQWDDKVOVPKLZVQWDVKVJVJVPRSZNZVJANZVQOZOZ
      WDVOWEVQOZOWCWJEVJKVRVJUCZVTWGWBWIWLVSWFVJVRVJVPRUDUEWLWAWHVQVRVJAUFUGUHU
      IVMVKVNWKVKVLUJUKVOWEVQWJVOWEOZVQOWGWHOZVQOWJWMWNVQWMWGWHVMWEWGVNVKWEWGVL
      VJULLZVPULLWGVKWEVJVPUMVJUNZVPUNUOUPUPVOWHWEWOVLVNWHVKABCFGHIUQWPURUSUTVA
      WGWHVQVBVCVDVEVFVGDBHVHVI $.
      $( [29-Jul-2007] $) $( [1-Jul-2004] $)

    $( Lemma for ~ mdsym . $)
    mdsymlem3 $p |- ( ( ( ( p e. Atoms /\ -. ( B i^i C ) (_ A ) /\
               p (_ ( A vH B ) ) /\ A =/= 0H ) ->
   E. r e. Atoms E. q e. Atoms ( p (_ ( q vH r ) /\ ( q (_ A /\ r (_ B ) ) ) $=
      ( cv cat wcel cin wss wn wa chj co c0h wne wrex cch wb atelch chjclt
      mpan syl5eqel chinclt syl chrelat2t mpan2 3syl biimpa ad2antrr wi
      atcvat4 exp4b com34 com23 imp4b ssin sseq2i biimp adantl sylbir sylan2
      adantrr com12 adantlr imp wceq atnem0 ancoms sseq1 biimpcd con3d adantrl
      syl5bi adantll adantr chjcomt syl2an sseq2d atexcht syl3an1 3com13 3expa
      exp3a sylbid syld exp31 com24 imp3a anasss simprl a1i pm3.26 ad2antrl
      jctird jcad r19.22dv mpd exp32 ) FJZKLZBCMZANOZPZXDABQRNZPZASTZPZDJZXFNZX
      MANZOZPZDKUAZXDEJZXMQRNZXSANZXMBNZPZPZEKUAZDKUAXHXRXIXKXEXGXRXEXDUBLZXFUB
      LZXGXRUCZXDUDZYFCUBLZYGYFAXDQRZUBCAUBLZYFYKUBLGAXDUEUFIUGBUBLYJYGHBCUHUFU
      IYGYLYHGDXFAUJUKULUMUNXLXQYEDKXLXMKLZXQYEXLYMXQPZPZYAXMXDXSQRZNZPZEKUAZYE
      XLYNYSXHXKYNYSUOZXIXEXKYTXGYNXEXKPZYSYMXNUUAYSUOZXPYMXMYKNZUUBXNYMUUCXEXK
      YSYMXEUUCXKYSUOYMXEXKUUCYSYMXEXKUUCYSEAXMXDGUPUQURUSUTXNYBXMCNZPZUUCXMBCV
      AZUUDUUCYBUUDUUCCYKXMIVBVCVDVEVFVGVHVIVIVJYOYRYDEKXJYNXSKLZYRYDUOUOZXKXHY
      NUUHXIXEYNUUHXGXEYNPZUUGYRYDUUIUUGYRPZXTYCXEYMXQUUJXTUOXEYMPZXQUUGYRXTUUK
      YRUUGXQXTUUKYAYQUUGXQXTUOZUOUUKUUGYQYAUULUUKUUGYQYAUULUOUUKUUGPZYQPZYAXQX
      TUUNYAXQPZXSXMMSVKZXTUUMUUOUUPUOZYQYMUUGUUQXEYMUUGPXSXMVKZOZUUPUUOUUGYMUU
      SUUPUCXSXMVLVMYAXPUUSXNYAXPUUSYAUURXOUURYAXOXSXMAVNVOVPVJVQVRVSVTUUMYQUUP
      XTUOZUUMYQXMXSXDQRZNZUUTUUMYPUVAXMXEUUGYPUVAVKZYMYFXSUBLZUVCXEUUGXDXSWAYI
      XSUDZWBVIWCUUMUVBUUPXTXEYMUUGUVBUUPPXTUOZUUGYMXEUVFUVDYMXEUVFUUGXSXMXDWDU
      VEWEWFWGWHWIVJWJWHWKWLWMWLUTWNUUIUUJYAYBUUJYAUOUUIUUGYAYQWOWPYNYBXEXNYBYM
      XPXNUUEYBUUFYBUUDWQVEWRVDWSWTWHVIVIVIXAXBXCXAXB $.
      $( [18-May-2007] $) $( [2-Jul-2004] $)

    $( Lemma for ~ mdsym .  This is the forward direction of Lemma 4(i) of
       [Maeda] p. 168. $)
    mdsymlem4 $p |- ( p e. Atoms -> ( ( B MH* A /\
            ( ( A =/= 0H /\ B =/= 0H ) /\ p (_ ( A vH B ) ) ) -> E. q e. Atoms
               E. r e. Atoms ( p (_ ( q vH r ) /\ ( q (_ A /\ r (_ B ) ) ) ) $=
      ( cv cat wcel cdmd wbr c0h wne wa chj co wss wrex cin wi mdsymlem2 exp31
      com4t ex com23 a1d imp44 com3l wn mdsymlem3 anasss com3r ancoms adantlr
      adantl pm2.61d rexcom syl6ib ) FJZKLZBAMNZAOPZBOPZQVBABRSTZQZQZVBEJZDJZRS
      TVJATVKBTQQZEKUADKUAZVLDKUAEKUAVCBCUBATZVIVMUCVIVCVNVMVDVEVFVGVCVNVMUCUCZ
      VDVFVGVOUCUCVEVDVGVFVOVDVGVFVOUCVCVNVDVGQZVFVMVCVNVPVFVMUCABCDEFGHIUDUEUF
      UGUHUIUJUKVIVCVNULZVMVHVCVQVMUCUCZVDVEVGVRVFVGVEVRVCVQVGVEQZVMVCVQVSVMVCV
      QQVGVEVMABCDEFGHIUMUNUEUOUPUQURUKUSVLDEKKUTVA $.
      $( [30-Jul-2007] $) $( [2-Jul-2004] $)

    $( Lemma for ~ mdsym . $)
    mdsymlem5 $p |- ( ( q e. Atoms /\ r e. Atoms ) -> ( -. q = p ->
                    ( ( p (_ ( q vH r ) /\ ( q (_ A /\ r (_ B ) ) ->
                    ( ( ( c e. CH /\ A (_ c ) /\ p e. Atoms ) ->
                    ( p (_ c -> p (_ ( ( c i^i B ) vH A ) ) ) ) ) ) $=
      ( cv cat wcel wa cch wss chj co wceq wn cin wi w3a c0h wb atnem0 anbi2d
      3adant3 atexcht atelch syl3an1 sylbid exp3a 3com23 3expa adantrl adantrd
      imp32 adantrr sstr chub2t mpan sylan2 chub1t mpan2 anim12i anandirs
      ancoms adantll chlubt chjclt syl3an3 adantr mpbid chlejb2t biimpa
      ad2ant2lr sseqtrd exp45 anasss anim1i syl2an adantlr pm3.26 ad2antlr
      syl7 imp44 sstrd pm3.27 adantl jca ssin sylib chlej1t ex chinclt syl3an2
      3comr sstr2 chlej2t mp3anl2 sylanl2 adantllr syl5com chjcomt ad2antrr
      sseq1d sylibrd syld ad2antrl exp32 sylan imp31 mpd exp4d com34 imp4c
      com24 ) EKZLMZDKZLMZNZGKZOMZAYDPZNFKZLMZNYGXSYAQRZPZXSAPZYABPZNZNZXSYGSTZ
      YGYDPZYGYDBUAZAQRZPZUBZYCYEYFYHYNYOYTUBUBZYCYEYHYFUUAYCYEYHYFUUAUBYCYEYHN
      ZNZYFYNYOYTUUCYFYNYONZNZYPYSUUCUUEYPNZNZYAYQPZYSUUGYAYDPZYLNUUHUUGUUIYLUU
      GYAXSYGQRZYDUUCUUEYAUUJPZYPUUCUUDUUKYFUUCYNYOUUKUUCYJYOUUKUBZYMYCYHYJUULU
      BZYEXTYBYHUUMXTYHYBUUMXTYHYBUCZYJYOUUKUUNYJYONZYJXSYGUAUDSZNZUUKXTYHUUOUU
      QUEYBXTYHNYOUUPYJXSYGUFUGUHXSOMZYHYBUUQUUKUBXTXSYGYAUIXSUJZUKULUMUNUOUPUQ
      URUPUSUUCYFUUDYPUUJYDPZUUCYFYKYPUUTUBZUUDXTUUBYFYKUVAUBUBZYBUURYGOMZYENZU
      VBXTUUBUURUVCYEUVBUURUVCNZYENZYFYKYPUUTUVFYFYKYPNZNNUUJYDAQRZYDUVFUVGUUJU
      VHPZYFUVFUVGNXSUVHPZYGUVHPZNZUVIYEUVGUVLUVEUVGYEUVLYKYPYEUVLYKYENUVJYPYEN
      UVKYKAUVHPZUVJYEXSAUVHUTAOMZYEUVMHAYDVAVBVCYPYDUVHPZUVKYEYGYDUVHUTYEUVNUV
      OHYDAVDVEVCVFVGVHVIUVFUVLUVIUEZUVGUURUVCYEUVPUURUVCUVHOMZUVPYEXSYGUVHVJYE
      UVNUVQHYDAVKVEVLUOVMVNUPYEYFUVHYDSZUVEUVGYEYFUVRUVNYEYFUVRUEHAYDVOVBVPVQV
      RVSVTUUSYHYEUVDYHUVCYEYGUJWAVHWBWCYMYKYJYOYKYLWDWEWFWGWHUUFYLUUCUUDYLYFYP
      YMYLYJYOYKYLWIWEWEWJWKYAYDBWLWMUUCUUEUUHYSUBZYPUUCUUDUVSYFUUCYNUVSYOUUCYJ
      YMUVSUUCYJNYKUVSYLUUCYJYKUVSYCYEYJYKUVSUBUBZYHUURYAOMZNZYEUVTYCUWBYENZYJY
      KUVSUWCYJYKNNUUHYIYRPZYSUWCYKUUHUWDUBYJUWCYKNZUUHYAXSQRZYQXSQRZPZUWDUWCUU
      HUWHUBZYKUURUWAYEUWIUWAYEUURUWIUWAYQOMZUURUWIYEUWAUWJUURUCUUHUWHYAYQXSWNW
      OYEBOMUWJIYDBWPVEZWQWRUOVMUWEUWHUWFYRPZUWDUWHUWGYRPZUWLUWEUWFUWGYRWSUURYE
      YKUWMUWAUURUWJYKUWMYEUURUVNUWJYKUWMHXSAYQWTXAUWKXBXCXDUWEYIUWFYRUWBYIUWFS
      YEYKXSYAXEXFXGXHXIUPYJUWDYSUBUWCYKYGYIYRWSXJXIXKXTUURYBUWAUUSYAUJVFXLUSXM
      USVTUSUPUSXNXKXOXKXPXQXR $.
      $( [1-Aug-2004] $) $( [2-Jul-2004] $)

    $( Lemma for ~ mdsym .  This is the converse direction of Lemma 4(i) of
       [Maeda] p. 168, and is based on the proof of Theorem 1(d) to (e) of
       [Maeda] p. 167. $)
    mdsymlem6 $p |- ( A. p e. Atoms ( p (_ ( A vH B ) ->
      E. q e. Atoms E. r e. Atoms ( p (_ ( q vH r ) /\ ( q (_ A /\ r (_ B ) ) )
                   -> B MH* A ) $=
      ( vc cv chj co wss wa cat wrex wi wral cin cch cdmd wbr wcel wceq
      mdsymlem5 sseq1 sstr2 chinclt mpan2 chub2t mpan syl syl5 syl6bi imp3a
      a1i com13 adantrr ad2ant2r adantll com12 exp3a pm2.61d2 r19.23aivv
      imim2d com34 imp4b chjcom sseq2i anbi2i ssin bitr syl5ibr ex r19.20dva
      wb chrelat3t chjcl chjclt sylanc adantr sylibrd com3r r19.21aiv dmdbr2
      mp2an sylibr ) FKZABLMZNZWIEKZDKZLMNZWLANZWMBNZOZOZDPQEPQZRZFPSZAJKZNZXBB
      ALMZTZXBBTZALMZNZRZJUASZBAUBUCZXAXIJUAXBUAUDZXCXAXHXLXCXAXHRXLXCOZXAWIXEN
      ZWIXGNZRZFPSZXHXMWTXPFPXMWIPUDZOZWTXPXSWTOWIXBNZWKOZXOXNXSWTXTWKXOXSWTWKX
      TXOXSWSXTXORZWKWSXSYBWRXSYBRZEDPPWLPUDWMPUDOWLWIUEZWRYCRABCDEFJGHIUFYDWRX
      SYBWRXSOYDYBWQXSYDYBRZWNWOXMYEWPXRWOXLYEXCXTYDWOXLOZXOYDYFXORRXTYDWOXLXOY
      DWOWIANZXLXORWLWIAUGYGAXGNZXOXLWIAXGUHXLXFUAUDZYHXLBUAUDZYIHXBBUIUJZAUAUD
      ZYIYHGAXFUKULUMUNUOUPUQURUSUTVAVBVCVDVEVBVFVGVHYAXTWIXDNZOXNWKYMXTWJXDWIA
      BGHVIVJVKWIXBXDVLVMVNVOVPXLXHXQVQZXCXEUAUDZXGUAUDZYNXLFXEXGVRXLXDUAUDYOBA
      HGVSXBXDUIUJXLYIYPYKYIYLYPGXFAVTUJUMWAWBWCVOWDWEYJYLXKXJVQHGJBAWFWGWH $.
      $( [30-Jul-2007] $) $( [2-Jul-2004] $)

    $( Lemma for ~ mdsym .  Lemma 4(i) of [Maeda] p. 168.  Note that Maeda's
       1965 definition of dual modular pair has reversed arguments compared to
       the later (1970) definition given in Remark 29.6 of [MaedaMaeda] p. 130,
       which is the one that we use. $)
    mdsymlem7 $p |- ( ( A =/= 0H /\ B =/= 0H ) ->
                    ( B MH* A <->
   A. p e. Atoms ( p (_ ( A vH B ) -> E. q e. Atoms E. r e. Atoms
            ( p (_ ( q vH r ) /\ ( q (_ A /\ r (_ B ) ) ) ) ) $=
      ( c0h wne wa cdmd wbr cv chj co wss cat wrex wi wral wcel mdsymlem4
      exp4d com13 r19.21adv mdsymlem6 impbid1 ) AJKBJKLZBAMNZFOZABPQRZULEOZDOZP
      QRUNARUOBRLLDSTESTZUAZFSUBUJUKUQFSULSUCZUKUJUQURUKUJUMUPABCDEFGHIUDUEUFUG
      ABCDEFGHIUHUI $.
      $( [30-Jul-2007] $) $( [3-Jul-2004] $)

    $( Lemma for ~ mdsym .  Lemma 4(ii) of [Maeda] p. 168. $)
    mdsymlem8 $p |- ( ( A =/= 0H /\ B =/= 0H ) -> ( B MH* A <-> A MH* B ) ) $=
      ( vq vr c0h wne wa cv chj co wss cat wrex wi wral cdmd wbr wb chjcom
      sseq2i wcel cch wceq chjcomt atelch syl2an sseq2d ancom a1i anbi12d
      2rexbiia rexcom bitr imbi12i ralbii mdsymlem7 eqid ancoms 3bitr4d ) AJKZB
      JKZLZDMZABNOZPZVHHMZIMZNOZPZVKAPZVLBPZLZLZIQRHQRZSZDQTZVHBANOZPZVHVLVKNOZ
      PZVPVOLZLZHQRIQRZSZDQTZBAUAUBABUAUBZWAWJUCVGVTWIDQVJWCVSWHVIWBVHABEFUDUEV
      SWGIQRHQRWHVRWGHIQQVKQUFZVLQUFZLZVNWEVQWFWNVMWDVHVKUGUFVLUGUFVMWDUHWLWMVK
      VLUIVKUJVLUJUKULVQWFUCWNVOVPUMUNUOUPWGHIQQUQURUSUTUNABCIHDEFGVAVFVEWKWJUC
      BABVHNOZHIDFEWOVBVAVCVD $.
      $( [30-Jul-2007] $) $( [3-Jul-2004] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.
    mdsym.1 $e |- A e. CH $.
    mdsym.2 $e |- B e. CH $.
    $( M-symmetry of the Hilbert lattice.  Lemma 5 of [Maeda] p. 168. $)
    mdsym $p |- ( A MH B <-> B MH A ) $=
      ( vx cort cfv c0h wceq cmd wbr wb wss wa chil chssi fveq2 pjococ choc0
      3eqtr3g sseq2d mpbiri cch wcel ssmd1 mp3an12 ssmd2 jca pm5.1 3syl wo wn
      wne neanior cdmd cv chj co choccl eqid mdsymlem8 mddmdt mp2an 3bitr4g
      sylbir ecase3 ) BFGZHIZAFGZHIZABJKZBAJKZLZVHABMZVKVLNZVMVHVNAOMACPVHBOAVH
      VGFGHFGZBOVGHFQBDRSTUAUBVNVKVLAUCUDZBUCUDZVNVKCDABUEUFVQVRVNVLCDABUGUFUHV
      KVLUIZUJVJBAMZVOVMVJVTBOMBDPVJAOBVJVIFGVPAOVIHFQACRSTUAUBVTVKVLVRVQVTVKDC
      BAUGUFVRVQVTVLDCBAUEUFUHVSUJVHVJUKULVGHUMVIHUMNZVMVGHVIHUNWAVIVGUOKZVGVIU
      OKZVKVLVGVIVGEUPUQURZEBDUSACUSWDUTVAVQVRVKWBLCDABVBVCVRVQVLWCLDCBAVBVCVDV
      EVF $.
      $( [2-Aug-2004] $) $( [3-Jul-2004] $)
  $}

  $( M-symmetry of the Hilbert lattice.  Lemma 5 of [Maeda] p. 168. $)
  mdsymt $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH B <-> B MH A ) ) $=
    ( cch wcel cmd wbr wb chil cif wceq breq1 breq2 bibi12d helch elimel mdsym
    dedth2h ) ACDZBCDZABEFZBAEFZGRAHIZBEFZBUBEFZGUBSBHIZEFZUEUBEFZGABHHAUBJTUCU
    AUDAUBBEKAUBBELMBUEJUCUFUDUGBUEUBELBUEUBEKMUBUEAHCNOBHCNOPQ $.
    $( [14-Jun-2006] $) $( [6-Jul-2004] $)

  $( Dual M-symmetry of the Hilbert lattice. $)
  dmdsymt $p |- ( ( A e. CH /\ B e. CH ) -> ( A MH* B <-> B MH* A ) ) $=
    ( cch wcel wa cort cfv cmd wbr cdmd wb mdsymt chocclt syl2an dmdmdt ancoms
    3bitr4d ) ACDZBCDZEAFGZBFGZHIZUATHIZABJIBAJIZTCDUACDUBUCKRSTUALAMBMNABOSRUD
    UCKBAOPQ $.
    $( [12-Aug-2007] $) $( [25-Jul-2007] $)

  $( Two Hilbert lattice elements have the dual modular pair property if the
     second is an atom. $)
  atdmd2 $p |- ( ( A e. CH /\ B e. Atoms ) -> A MH* B ) $=
    ( cch wcel cat wa cdmd wbr atdmd ancoms wb dmdsymt atelch sylan2 mpbird )
    ACDZBEDZFABGHZBAGHZQPSBAIJPBCDRSKQABLBMNO $.
    $( [12-Jul-2008] $) $( [6-Jul-2004] $)

  ${
    $d x y z w A $.  $d x y z w B $.  $d y z w C $.
    sumdmdi.1 $e |- A e. CH $.
    sumdmdi.2 $e |- B e. CH $.
    $( If the subspace sum of two Hilbert lattice elements is closed, then the
       elements are a dual modular pair.  Remark in [MaedaMaeda] p. 139. $)
    sumdmdi $p |- ( ( A +H B ) = ( A vH B ) -> A MH* B ) $=
      ( vx vy vz vw cph co chj wceq cv wss cin wi cch wral cdmd wbr wcel wa
      ineq2 adantr cva wrex cmv csh chsh shsubcltOLD exp3a syl ssel2 syl7
      exp4a com23 imp41 adantlr wb chil w3a hvsubaddt ax-hvcom eqeq1d eqcom
      syl6bb 3adant1 bitrd 3com23 chelt chel syl3an 3expa eleq1 syl6bir imp
      mpbid pm3.27 jca exp31 r19.22dv r19.42v syl6ib r19.22dva elin ancom bitr
      anbi1i anass rexbii2 syl6ibr chshi shinclt mpan2 ad2antrr shselt sylibrd
      chsel syl5ib ex imp3a ssrdv adantl eqsstr3d chinclt chslejt ad2antrl
      sstrd exp32 r19.21aiv dmdbr2 mp2an sylibr ) ABIJZABKJZLZBEMZNZXQXOOZXQAOZ
      BKJZNZPZEQRZABSTZXPYCEQXPXQQUAZXRYBXPYFXRUBZUBZXSXTBIJZYAYHXSXQXNOZYIXPYJ
      XSLYGXNXOXQUCUDYGYJYINXPYGFYJYIYGFMZXQUAZYKXNUAZUBYKYIUAZYKYJUAYGYLYMYNYG
      YLYMYNPYGYLUBZYKGMZHMZUEJZLZHBUFZGAUFZYNYMYOUUAYTGXTUFZYNYOUUAYPXQUAZYTUB
      ZGAUFUUBYOYTUUDGAYOYPAUAZUBZYTUUCYSUBZHBUFUUDUUFYSUUGHBUUFYQBUAZYSUUGUUFU
      UHUBZYSUBZUUCYSUUJYKYQUGJZXQUAZUUCUUIUULYSYOUUHUULUUEYFXRYLUUHUULYFYLXRUU
      HUULPYFYLXRUUHUULYFYLYQXQUAZUULXRUUHUBYFXQUHUAZYLUUMUULPPXQUIZUUNYLUUMUUL
      YKYQXQUJUKULBXQYQUMUNUOUPUQURUDUUIYSUULUUCUSZUUIYSUUKYPLZUUPYOUUEUUHUUQYS
      USZYKUTUAZYPUTUAZYQUTUAZUURYOUUEUUHUUSUVAUUTUURUUSUVAUUTVAUUQYQYPUEJZYKLZ
      YSYKYQYPVBUVAUUTUVCYSUSUUSUVAUUTUBZUVCYRYKLYSUVDUVBYRYKYQYPVCVDYRYKVEVFVG
      VHVIYFYLUUSXRYKXQVJURYPACVKYQBDVKVLVMUUKYPXQVNVOVPVQUUIYSVRVSVTWAUUCYSHBW
      BWCWDYTUUDGXTAYPXTUAZYTUBUUEUUCUBZYTUBUUEUUDUBUVEUVFYTUVEUUCUUEUBUVFYPXQA
      WEUUCUUEWFWGWHUUEUUCYTWIWGWJWKYOXTUHUAZYNUUBUSZYFUVGXRYLYFUUNUVGUUOUUNAUH
      UAUVGACWLXQAWMWNULWOUVGBUHUAUVHBDWLGHXTBYKWPWNULWQGHABYKCDWRWSWTXAYKXQXNW
      EWSXBXCXDYFYIYANZXPXRYFXTQUAZUVIYFAQUAZUVJCXQAXEWNUVJBQUAZUVIDXTBXFWNULXG
      XHXIXJUVKUVLYEYDUSCDEABXKXLXM $.
      $( [25-Jul-2007] $) $( [12-Jul-2004] $)

    $( Commuting subspaces form a modular pair. $)
    cmmd $p |- ( A C_H B -> A MH B ) $=
      ( ccm wbr cort cfv cdmd cmd cph co chj wceq cmcm4 choccl osumcor2 sylbi
      sumdmdi syl cch wcel wb mddmdt mp2an sylibr ) ABEFZAGHZBGHZIFZABJFZUGUHUI
      KLUHUIMLNZUJUGUHUIEFULABCDOUHUIACPZBDPZQRUHUIUMUNSTAUAUBBUAUBUKUJUCCDABUD
      UEUF $.
      $( [13-Aug-2005] $) $( [16-Jan-2005] $)

    $( Commuting subspaces form a dual modular pair. $)
    cmdmd $p |- ( A C_H B -> A MH* B ) $=
      ( cort cfv ccm wbr cmd cdmd choccl cmmd cmcm4 cch wcel wb dmdmdt mp2an
      3imtr4 ) AEFZBEFZGHTUAIHZABGHABJHZTUAACKBDKLABCDMANOBNOUCUBPCDABQRS $.
      $( [24-May-2006] $) $( [25-Apr-2006] $)

    $( Lemma for ~ sumdmd .  The span of vector ` C ` not in the subspace sum
       is "trimmed off." $)
    sumdmdlem $p |- ( ( C e. H~ /\ -. C e. ( A +H B ) ) ->
                    ( ( B +H ( span ` { C } ) ) i^i A ) = ( B i^i A ) ) $=
      ( vy vz vw chil wcel cph co wn wa csn cspn cfv cin cv wi cva wceq wrex
      csh wb spansnsht chshi shselt mpan syl c0v cmv w3a hvsubaddt eqcom
      syl6bb chel elspansnclt syl3an 3expa eleq1 shsvs syl5cbi adantr sylbird
      exp32 com4r imp31 adantrr shscl elspansn5t ax-mp adantl mpdd opreq2
      ax-hvaddid sylan9eqr sylan eqeq2d adantll biimpac elin biimpr ancoms
      biimparc sylan2 anassrs ex ad2antrl mpd imp a1d com23 com4l imp4c exp4a
      exp3a r19.23advv sylbid imp4b syl5ib ssrdv wss shsub1t ssrin 3syl eqssd
      ) CIJZCABKLZJMZNZBCOPQZKLZARZBARZXKFXNXOXKFSZXMJZXPAJZNXPXOJZXPXNJXHXJXQX
      RXSXHXQXJXRXSTZXHXQXPGSZHSZUALZUBZHXLUCGBUCZXJXTTZXHXLUDJZXQYEUEZCUFZBUDJ
      ZYGYHBEUGZGHBXLXPUHUIUJXHYDYFGHBXLXHYABJZYBXLJZNZYDYFXRXHYNYDNZXJXSXRYOXH
      XJXSTXRYOXHXJXSXRYLYMYDXKXSTZYDXRYLYMYPYDXRYLYMYPTYDXRYLNZNZXKYMXSYRXKYMX
      STYRXKNZYMYBUKUBZXSYSYMYBXIJZYTYRXHYMUUATZXJYDYQXHUUBYQXHYMYDUUAYQXHYMYDU
      UATYQXHYMNZNYDXPYAULLZYBUBZUUAXRYLUUCUUEYDUEZXPIJZYAIJZYBIJZUUFXRYLUUCUUG
      UUHUUIUMUUEYCXPUBYDXPYAYBUNYCXPUOUPXPADUQYABEUQZCYBURUSUTYQUUEUUATUUCUUEU
      UDXIJUUAYQUUDYBXIVAABXPYAADUGZYKVBVCVDVEVFVGVHVIXKYMUUAYTTTYRXKYMUUAYTXIU
      DJXKYMUUANNYTTABUUKYKVJXICYBVKVLVFVMVNYRYMYTXSTZTXKYRUULYMYDYQUULYDYQYTXS
      YDYQYTNZNXPYAUBZXSUUMYDUUNYLYTYDUUNUEXRYLYTNYCYAXPUUHYTYCYAUBYLYTUUHYCYAU
      KUALYAYBUKYAUAVOYAVPVQUUJVRVSVTWAYQUUNXSTYDYTYQUUNXSXRYLUUNXSXRXPBJZXSYLU
      UNNUUOXRXSXSUUOXRNXPBAWBWCWDUUNUUOYLXPYABVAWEWFWGWHWIWJVFWKWLVDVNWHWMVFWN
      WOWPWMWNWQWRWSWMWTXPXMAWBXAXBXHXOXNXCZXJXHYGBXMXCZUUPYIYJYGUUQYKBXLXDUIBX
      MAXEXFVDXG $.
      $( [23-Dec-2004] $) $( [18-Dec-2004] $)

    $( Lemma for ~ sumdmd . $)
    sumdmdlem2 $p |- ( A. x e. Atoms ( ( x vH B ) i^i ( A vH B ) ) (_
                  ( ( ( x vH B ) i^i A ) vH B ) -> ( A +H B ) = ( A vH B ) ) $=
      ( vy cv chj co cin wss cat wral cph wa wceq wcel chil wi wn csn cspn cfv
      csh spansnsht chshi shsub2t mpan2 syl spansnid sseldd ad2antrl c0v wne
      spansnat df-ne sylan2br opreq1 ineq1d opreq1d sseq12d rcla4v wb cch
      spansnjt chjcomt spansncht sylan2 eqtrd mpan adantr sylibrd com12 exp3a
      imp ssid c0h sneq fveq2d spansn0 syl6eq opreq2d shs0 inss1 chub2 ssini
      eqssi chincl chjcom chabs1 eqtr mpbiri pm2.61d2 adantrr shsub2 sumdmdlem
      sseq1d adantl sstrd sseld elin syl5ibr mpand exp32 com34 pm2.18 syl8
      chjcl chel syl5 pm2.43d ssrdv chslej jctil eqss sylibr ) AGZCHIZBCHIZJZXR
      BJZCHIZKZALMZBCNIZXSKZXSYEKZOYEXSPYDYGYFYDFXSYEYDFGZXSQZYHYEQZYDYHRQZYIYJ
      SZYIYDYKYIYJTZYJSYJYDYKYMYIYJYDYKYMYLYDYKYMOZOZYHCYHUAZUBUCZNIZQZYIYJYKYS
      YDYMYKYQYRYHYKYQUDQZYQYRKZYHUEYTCUDQUUACEUFZYQCUGUHUIYHUJUKULYOYHYRXSJZQY
      JYSYIOYOUUCYEYHYOUUCYRBJZCHIZYEYDYKUUCUUEKZYMYDYKOYHUMPZUUFYDYKUUGTZUUFSY
      DYKUUHUUFYKUUHOZYDUUFUUIYDYQCHIZXSJZUUJBJZCHIZKZUUFUUIYQLQZYDUUNSYKYHUMUN
      UUOUUHYHUOYHUMUPUQYCUUNAYQLXQYQPZXTUUKYBUUMUUPXRUUJXSXQYQCHURZUSUUPYAUULC
      HUUPXRUUJBUUQUSUTVAVBUIYKUUFUUNVCUUHYKUUCUUKUUEUUMYKYRUUJXSCVDQZYKYRUUJPE
      UURYKOYRCYQHIZUUJCYHVEUURYQVDQUUSUUJPYKCYQVFYHVGVHVIVJZUSYKUUDUULCHYKYRUU
      JBUUTUSUTVAVKVLVMVNVOUUGUUFCCKCVPZUUGUUCCUUECUUGUUCCXSJZCUUGYRCXSUUGYRCVQ
      NICUUGYQVQCNUUGYQUMUAZUBUCVQUUGYPUVCUBYHUMVRVSVTWAWBCUUBWCWAZUSUVBCCXSWDC
      CXSUVACBEDWEWFWGWAUUGUUECBJZCHIZCUUGUUDUVECHUUGYRCBUVDUSUTUVFCUVEHICUVECC
      BEDWHEWICBEDWJWKZWAVAWLWMWNYNUUEYEKZYDYNUVHCYEKCBUUBBDUFWOYNUUECYEYNUUEUV
      FCYNUUDUVECHBCYHDEWPUTUVGWAWQWLWRWSWTYHYRXSXAXBXCXDXEYJXFXGYHXSBCDEXHXIXJ
      XKXLBCDEXMXNYEXSXOXP $.
      $( [23-Dec-2004] $) $( [15-Jan-2005] $)

    $( The subspace sum of two Hilbert lattice elements is closed iff the
       elements are a dual modular pair.  Theorem 2 of [Holland] p. 1519. $)
    sumdmd $p |- ( ( A +H B ) = ( A vH B ) <-> A MH* B ) $=
      ( vx cph co chj wceq cdmd wbr sumdmdi cv cin wss cat wral cch wcel wb
      dmdbr4 mp2an atelch imim1i r19.20i2 sylbi sumdmdlem2 syl impbi ) ABFGABHG
      ZIZABJKZABCDLULEMZBHGZUJNUNANBHGOZEPQZUKULUOERQZUPARSBRSULUQTCDEABUAUBUOU
      OERPUMPSUMRSUOUMUCUDUEUFEABCDUGUHUI $.
      $( [5-Aug-2007] $) $( [14-Dec-2004] $)

    $( Dual modular pair property in terms of atoms. $)
    dmdbr4at $p |- ( A MH* B <-> A. x e. Atoms
            ( ( x vH B ) i^i ( A vH B ) ) (_ ( ( ( x vH B ) i^i A ) vH B ) ) $=
      ( cdmd wbr cv chj co cin wss cat wral cch wcel wb dmdbr4 mp2an atelch
      imim1i r19.20i2 sylbi cph wceq sumdmdlem2 sumdmd sylib impbi ) BCFGZAHZCI
      JZBCIJZKULBKCIJLZAMNZUJUNAONZUOBOPCOPUJUPQDEABCRSUNUNAOMUKMPUKOPUNUKTUAUB
      UCUOBCUDJUMUEUJABCDEUFBCDEUGUHUI $.
      $( [13-Jul-2008] $) $( [15-Jan-2005] $)

    $( Dual modular pair property in terms of atoms. $)
    dmdbr5at $p |- ( A MH* B <->
   A. x e. Atoms ( x (_ ( A vH B ) -> x (_ ( ( ( x vH B ) i^i A ) vH B ) ) ) $=
      ( cdmd wbr cv chj co wss cin wi cat wral wcel cch dmdi4 mp3an12 com12
      atelch syl5 a1dd r19.21aiv cph wceq wn wa chjcomt mpan syl ineq1d chjcom
      ineq2i syl6eqr adantr atabs2 imp sseq2i negbii sylan2b eqtr3d chjclt
      mpan2 chinclt chub2t 3syl eqsstrd ex biantrud pm4.83 syl6bb ralbiia
      sumdmdlem2 sylbi sumdmd sylib impbi wb chjcl chlubt mp3an23 chub2
      biantru syl5bb ssid biantrur ssin bitr biimpa inss1 jctil eqss sylibr
      sseq1d mp3an2 mpdan bitrd bitr4d pm5.74da ) BCFGZAHZBCIJZKZXBCIJZXCLZXEBL
      ZCIJZKZMZANOZXDXBXHKZMZANOXAXKXAXJANXAXBNPZXIXDXAXBQPZXIXNXOXAXIBQPZCQPZX
      OXAXIMDEBCXBRSTXBUAZUBUCUDXKBCUEJXCUFZXAXKXIANOXSXJXIANXNXJXJXDUGZXIMZUHX
      IXNYAXJXNXTXIXNXTUHZXFCXHYBCXBIJZCBIJZLZXFCXNYEXFUFXTXNYEXEYDLXFXNYCXEYDX
      NXOYCXEUFZXRXQXOYFECXBUIUJUKULXCYDXEBCDEUMZUNUOUPXNXBYDKZUGZYECUFZXTXNYIY
      JCBXBEDUQURXDYHXCYDXBYGUSUTVAVBXNCXHKZXTXNXEQPZXGQPZYKXNXOYLXRXOXQYLEXBCV
      CVDZUKYLXPYMDXEBVEVDZXQYMYKECXGVFUJZVGUPVHVIVJXDXIVKVLVMABCDEVNVOBCDEVPVQ
      VRXJXMANXNXOXJXMVSXRXOXDXIXLXOXDUHZXIXEXHKZXLYQXFXEXHYQXFXEKZXEXFKZUHXFXE
      UFYQYTYSXOXDYTXOXDXEXCKZYTXOXDCXCKZUHZUUAXDXOXQXCQPUUCUUAVSEBCDEVTXBCXCWA
      WBUUBXDCBEDWCWDWEUUAXEXEKZUUAUHYTUUDUUAXEWFWGXEXEXCWHWIVLWJXEXCWKWLXFXEWM
      WNWOXOXLYRVSXDXOXLXLYKUHZYRXOYKXLXOYLYMYKYNYOYPVGVJXOXHQPZUUEYRVSZXOYLYMU
      UFYNYOYMXQUUFEXGCVCVDVGXOXQUUFUUGEXBCXHWAWPWQWRUPWSWTUKVMWI $.
      $( [12-Aug-2007] $) $( [14-Jan-2005] $)

    $( Dual modular pair property in terms of atoms.  The modular law takes
       the form of the shearing identity. $)
    dmdbr6at $p |- ( A MH* B <-> A. x e. Atoms
            ( ( A vH B ) i^i x ) = ( ( ( ( x vH B ) i^i A ) vH B ) i^i x ) ) $=
      ( cdmd wbr chj co cv cin wceq cat wral cch wcel wb dmdbr3 mp2an wa
      chabs2t mpan2 ineq2d incom inass 3eqtr syl5reqr adantr ineq1 adantl
      eqtr4d r19.20ia sylbi atelch imim1i r19.20i2 syl wss wi df-ss biimp
      syl5eq sseq1d inss1 sseq1 mpbiri syl5cbi r19.20si dmdbr5at sylibr impbi
      ) BCFGZBCHIZAJZKZVNCHIZBKCHIZVNKZLZAMNZVLVSAONZVTVLVQVPVMKZLZAONZWABOPCOP
      ZVLWDQDEABCRSWCVSAOVNOPZWCTVOWBVNKZVRWFVOWGLWCWFVMVNVPKZKZVOWGWFWHVNVMWFW
      EWHVNLEVNCUAUBUCWIWHVMKVNWBKWGVMWHUDVNVPVMUEVNWBUDUFUGUHWCVRWGLWFVQWBVNUI
      UJUKULUMVSVSAOMVNMPWFVSVNUNUOUPUQVTVNVMURZVNVQURZUSZAMNVLVSWLAMWJVOVQURZW
      KVSWJVOVNVQWJVNVMKZVNVOWJWNVNLVNVMUTVAVMVNUDVBVCVSWMVRVQURVQVNVDVOVRVQVEV
      FVGVHABCDEVIVJVK $.
      $( [13-Feb-2008] $) $( [18-Jan-2005] $)

    $( Dual modular pair property in terms of atoms. $)
    dmdbr7at $p |- ( A MH* B <->
       A. x e. Atoms ( ( A vH B ) i^i x ) (_ ( ( ( x vH B ) i^i A ) vH B ) ) $=
      ( cdmd wbr chj co cv cin wss cat wral wceq dmdbr6at inss1 sseq1 mpbiri
      r19.20si sylbi wi sseqin2 biimp sseq1d biimpcd dmdbr5at sylibr impbi ) BC
      FGZBCHIZAJZKZULCHIBKCHIZLZAMNZUJUMUNULKZOZAMNUPABCDEPURUOAMURUOUQUNLUNULQ
      UMUQUNRSTUAUPULUKLZULUNLZUBZAMNUJUOVAAMUSUOUTUSUMULUNUSUMULOULUKUCUDUEUFT
      ABCDEUGUHUI $.
      $( [14-Jul-2008] $) $( [18-Jan-2005] $)
  $}

  ${
    mdoc1.1 $e |- A e. CH $.
    $( Orthocomplements form a modular pair. $)
    mdoc1 $p |- A MH ( _|_ ` A ) $=
      ( cort cfv ccm wbr cmd cmid cmcm2i choccl cmmd ax-mp ) AACDZEFAMGFAABBABH
      IAMBABJKL $.
      $( [15-Jun-2006] $) $( [29-Apr-2006] $)

    $( Orthocomplements form a modular pair. $)
    mdoc2 $p |- ( _|_ ` A ) MH A $=
      ( cort cfv cmd choccl mdoc1 ococ breqtr ) ACDZJCDAEJABFGABHI $.
      $( [3-Oct-2006] $) $( [29-Apr-2006] $)

    $( Orthocomplements form a dual modular pair. $)
    dmdoc1 $p |- A MH* ( _|_ ` A ) $=
      ( cort cfv ccm wbr cdmd cmid cmcm2i choccl cmdmd ax-mp ) AACDZEFAMGFAABBA
      BHIAMBABJKL $.
      $( [6-Jun-2006] $) $( [29-Apr-2006] $)

    $( Orthocomplements form a dual modular pair. $)
    dmdoc2 $p |- ( _|_ ` A ) MH* A $=
      ( cort cfv cdmd choccl dmdoc1 ococ breqtr ) ACDZJCDAEJABFGABHI $.
      $( [15-Jun-2006] $) $( [29-Apr-2006] $)
  $}


  ${
    mdcompl.1 $e |- A e. CH $.
    mdcompl.2 $e |- B e. CH $.
    $( A condition equivalent to the modular pair property.  Part of proof of
       Theorem 1.14 of [MaedaMaeda] p. 4. $)
    mdcompl $p |- ( A MH B <-> ( A i^i ( _|_ ` ( A i^i B ) ) ) MH
                  ( B i^i ( _|_ ` ( A i^i B ) ) ) ) $=
      ( cin cort cfv cmd wbr cdmd wa wss chj co wb chincl mdoc1 dmdoc2 pm3.2i
      ssid chil chjcl chssi chjo sseqtr4 choccl mdslmd1 mp2an ) ABEZUIFGZHIZUJU
      IJIZKUIUILZABMNZUIUJMNZLZKABHIAUJEBUJEHIOUKULUIABCDPZQUIUQRSUMUPUITUNUAUO
      UNABCDUBUCUIUQUDUESUIUJABUQUIUQUFCDUGUH $.
      $( [15-Jun-2006] $) $( [29-Apr-2006] $)

    $( A condition equivalent to the dual modular pair property. $)
    dmdcompl $p |- ( A MH* B <-> ( A i^i ( _|_ ` ( A i^i B ) ) ) MH*
                  ( B i^i ( _|_ ` ( A i^i B ) ) ) ) $=
      ( cin cort cfv cmd wbr cdmd wa wss chj co wb chincl mdoc1 dmdoc2 pm3.2i
      ssid chil chjcl chssi chjo sseqtr4 choccl mdsldmd1 mp2an ) ABEZUIFGZHIZUJ
      UIJIZKUIUILZABMNZUIUJMNZLZKABJIAUJEBUJEJIOUKULUIABCDPZQUIUQRSUMUPUITUNUAU
      OUNABCDUBUCUIUQUDUESUIUJABUQUIUQUFCDUGUH $.
      $( [18-Jun-2006] $) $( [29-Apr-2006] $)
  $}

  ${
    $d x y A $.  $d x y B $.
    mddmdin0.1 $e |- A e. CH $.
    mddmdin0.2 $e |- B e. CH $.
    mddmdin0.3 $e |- A. x e. CH A. y e. CH ( ( x MH* y /\ ( x i^i y ) = 0H ) ->
                     x MH y ) $.
    $( If dual modular implies modular whenever meet is zero, then dual
       modular implies modular for arbitrary lattice elements.  This theorem is
       needed for the remark after Lemma 7 of [Holland] p. 1524 to hold. $)
    mddmdin0 $p |- ( A MH* B -> A MH B ) $=
      ( cin cort cfv cdmd wbr cmd c0h wceq inindir chincl chocin eqtr3 cv wa
      wi cch wral wcel choccl breq1 ineq1 eqeq1d anbi12d imbi12d breq2 ineq2
      rcla42v mp2an ax-mp mpan2 dmdcompl mdcompl 3imtr4 ) CCDHZIJZHZDVBHZKLZVCV
      DMLZCDKLCDMLVEVCVDHZNOZVFVAVBHVGNCDVBPVACDEFQZRSATZBTZKLZVJVKHZNOZUAZVJVK
      MLZUBZBUCUDAUCUDZVEVHUAZVFUBZGVCUCUEVDUCUEVRVTUBCVBEVAVIUFZQDVBFWAQVQVTVC
      VKKLZVCVKHZNOZUAZVCVKMLZUBABVCVDUCUCVJVCOZVOWEVPWFWGVLWBVNWDVJVCVKKUGWGVM
      WCNVJVCVKUHUIUJVJVCVKMUGUKVKVDOZWEVSWFVFWHWBVEWDVHVKVDVCKULWHWCVGNVKVDVCU
      MUIUJVKVDVCMULUKUNUOUPUQCDEFURCDEFUSUT $.
      $( [7-Oct-2006] $) $( [29-Apr-2006] $)
  $}

  ${
    $d x y z w A $.  $d x y z w B $.  $d x y z w C $.
    cdjreu.1 $e |- A e. SH $.
    cdjreu.2 $e |- B e. SH $.
    $( A member of the sum of disjoint subspaces has a unique decomposition.
       Part of Lemma 5 of [Holland] p. 1520. $)
    cdjreu $p |- ( ( C e. ( A +H B ) /\ ( A i^i B ) = 0H ) ->
                 E! x e. A E. y e. B C = ( x +h y ) ) $=
      ( vz vw cph co wcel cin c0h wceq wa cv cva wrex wi wral wreu shsel biimp
      cmv wb chil hvaddsub4t shel anim12i syl2an an4s adantll eleq1 csh
      shsubcltOLD ax-mp ancoms syl5cbir adantl adantr jctild eleq2 elin
      syl5bbr ad2antrr sylibd c0v hvsubeq0t elch0 syl5bb ad2antlr sylbid
      eqtr2t syl5 ex r19.23advv reeanv syl5ibr r19.21aivv opreq1 eqeq2d
      rexbidv opreq2 cbvrexv syl6bb reu4 sylibr ) ECDJKLZCDMZNOZPEAQZBQZRKZOZBD
      SZACSZWPEHQZIQZRKZOZIDSZPZWLWROZTZHCUAACUAZPWPACUBWIWQWKXFWIWQABCDEFGUCUD
      WKXEAHCCWKWLCLZWRCLZPZXEWKXIPZWOXAPZIDSBDSXDXCXJXKXDBIDDXJWMDLZWSDLZPZXKX
      DTXJXNPZWNWTOZXDXKXOXPWLWRUEKZWSWMUEKZOZXDXIXNXPXSUFZWKXGXLXHXMXTWLUGLZWM
      UGLZPWRUGLZWSUGLZPXTXGXLPXHXMPWLWMWRWSUHXGYAXLYBWLCFUIZWMDGUIUJXHYCXMYDWR
      CFUIZWSDGUIUJUKULUMXOXSXQNLZXDXOXSXQCLZXQDLZPZYGXIXNXSYJTWKXIXNPXSYIYHXNX
      SYITXIXSYIXRDLZXNXQXRDUNXMXLYKDUOLXMXLPYKTGWSWMDUPUQURUSUTXIYHXNCUOLXIYHT
      FWLWRCUPUQVAVBUMWKYJYGUFXIXNWKXQWJLYGYJWJNXQVCXQCDVDVEVFVGXIYGXDUFZWKXNYA
      YCYLXGXHYAYCPXQVHOXDYGWLWRVIXQVJVKYEYFUKVLVGVMEWNWTVNVOVPVQWOXABIDDVRVSVP
      VTUJWPXBAHCXDWPEWRWMRKZOZBDSXBXDWOYNBDXDWNYMEWLWRWMRWAWBWCYNXABIDWMWSOYMW
      TEWMWSWRRWDWBWEWFWGWH $.
      $( [26-Jul-2005] $) $( [20-May-2005] $)
  $}

  ${
    $d x y z w A $.  $d x y z w v B $.
    cdj1.1 $e |- A e. SH $.
    cdj1.2 $e |- B e. SH $.
    $( Two ways to express " ` A ` and ` B ` are completely disjoint
       subspaces."  (1) => (2) in Lemma 5 of [Holland] p. 1520. $)
    cdj1 $p |- ( E. w e. RR ( 0 < w /\ A. y e. A A. v e. B
      ( ( normh ` y ) + ( normh ` v ) ) <_ ( w x. ( normh ` ( y +h v ) ) ) ) ->
                    E. x e. RR ( 0 < x /\ A. y e. A A. z e. B
                    ( ( normh ` y ) = 1 -> x <_ ( normh ` ( y -h z ) ) ) ) ) $=
      ( cc0 cv clt wbr cno cfv caddc co cva cmul cle wral wa c1 wceq cmv wi cr
      wrex wcel cdiv wne gt0ne0t rerecclt syldan adantrr recgt0t cneg csm 1re
      a1i chil shel cc ax1cn negcl hvmulclt mpan syl normclt adantl axaddrcl
      adantr axmulrcl hvsubclt syl2an sylan2 anassrs wb addge01t biimpa
      normge0t sylanc ad2antlr csh shmulcltOLD ax-mp fveq2 opreq2d opreq2
      fveq2d breq12d rcla4v imp ad2ant2lr opreq1 eqcoms ad2antll hvsubvalt
      adantll 3brtr4d letrd ex adantllr lediv1tOLD mp3anl1 pm3.26 ad2antrr jca
      pm3.27 sylibd divcan3t recnt recnd syl3anc breqtrd exp43 com23 r19.21adv
      r19.20dva imp32 breq2 breq1 imbi2d 2ralbidv anbi12d rcla4ev syl6
      r19.23aiv ) JDKZLMZBKZNOZEKZNOZPQZYIYKYMRQZNOZSQZTMZEGUAZBFUAZUBZJAKZLMZY
      LUCUDZUUCYKCKZUEQZNOZTMZUFZCGUABFUAZUBZAUGUHZDUGYIUGUIZUUBUCYIUJQZUGUIZJU
      UOLMZUUEUUOUUHTMZUFZCGUAZBFUAZUBZUBZUUMUUNUUBUVCUUNUUBUBZUUPUVBUUNYJUUPUU
      AUUNYJYIJUKZUUPYIULZYIUMUNUOUVDUUQUVAUUNYJUUQUUAYIUPUOUUNYJUUAUVAUUNYJUUA
      UVAUFUUNYJUBZYTUUTBFUVGYKFUIZUBZYTUUSCGUVIUUFGUIZYTUUSUVIUVJYTUUEUURUVIUV
      JUBZYTUUEUBZUBUUOYIUUHSQZYIUJQZUUHTUVKUVLUUOUVNTMZUVKUVLUCUVMTMZUVOUUNUVH
      UVJUVLUVPUFYJUUNUVHUBZUVJUBZUVLUVPUVRUVLUBZUCUCUCUQZUUFURQZNOZPQZUVMUCUGU
      IZUVSUSUTUVRUWCUGUIZUVLUVRUWBUGUIZUWEUVJUWFUVQUVJUWAVAUIZUWFUVJUUFVAUIZUW
      GUUFGIVBZUVTVCUIZUWHUWGUCVDVEZUVTUUFVFVGVHZUWAVIVHZVJUWDUWFUWEUSUCUWBVKVG
      VHVLUVRUVMUGUIZUVLUUNUVHUVJUWNUUNUUHUGUIZUWNUVHUVJUBZYIUUHVMUWPUUGVAUIZUW
      OYKVAUIZUWHUWQUVHUVJYKUUFVNYKFHVBZUWIVOUUGVIVHZVPVQZVLUVJUCUWCTMZUVQUVLUW
      FJUWBTMZUXBUVJUWFUXCUXBUWDUWFUXCUXBVRUSUCUWBVSVGVTUWMUVJUWGUXCUWLUWAWAVHW
      BWCUVSYLUWBPQZYIYKUWARQZNOZSQZUWCUVMTUVJYTUXDUXGTMZUVQUUEUVJYTUXHUVJUWAGU
      IZYTUXHUFUWJUVJUXIUWKGWDUIUWJUVJUBUXIUFIUVTUUFGWEWFVGYSUXHEUWAGYMUWAUDZYO
      UXDYRUXGTUXJYNUWBYLPYMUWANWGWHUXJYQUXFYISUXJYPUXENYMUWAYKRWIWJWHWKWLVHWMW
      NUUEUWCUXDUDZUVRYTUXKUCYLUCYLUWBPWOWPWQUVRUVMUXGUDZUVLUVHUVJUXLUUNUWPUUHU
      XFYISUWPUUGUXENUWRUWHUUGUXEUDUVHUVJYKUUFWRUWSUWIVOWJWHWSVLWTXAXBXCUWNUUNU
      BYJUVPUVOVRZUVKUWDUWNUUNYJUXMUSUCUVMYIXDXEUVKUWNUUNUUNUVHUVJUWNYJUXAXCUVG
      UUNUVHUVJUUNYJXFXGXHUVGYJUVHUVJUUNYJXIXGWBXJWMUVKUVNUUHUDZUVLYIVCUIZUUHVC
      UIZUVEUXNUVKYIUUHXKUVGUXOUVHUVJUUNUXOYJYIXLVLXGUVHUVJUXPUVGUWPUUHUWTXMWSU
      VGUVEUVHUVJUVFXGXNVLXOXPXQXRXSXBXTXHXHXBUULUVBAUUOUGUUCUUOUDZUUDUUQUUKUVA
      UUCUUOJLYAUXQUUJUUSBCFGUXQUUIUURUUEUUCUUOUUHTYBYCYDYEYFYGYH $.
      $( [6-Oct-2006] $) $( [21-May-2005] $)

    $( A property of " ` A ` and ` B ` are completely disjoint subspaces."
       Part of Lemma 5 of [Holland] p. 1520. $)
    cdj3lem1 $p |- ( E. x e. RR ( 0 < x /\ A. y e. A A. z e. B
      ( ( normh ` y ) + ( normh ` z ) ) <_ ( x x. ( normh ` ( y +h z ) ) ) ) ->
                    ( A i^i B ) = 0H ) $=
      ( vw cc0 cv clt wbr cno cfv caddc co cva cmul cle wral wa cin c0h wceq
      cr wcel wss c0v wi c1 cneg csm elin cc ax1cn negcl csh shmulcltOLD ax-mp
      mpan anim2i sylbi fveq2 opreq1d opreq1 fveq2d opreq2d breq12d opreq2
      rcla42v syl adantl chil wb c2 normnegt normclt recnd 2timest eqtr4d
      hvnegidt norm0 syl6eq recnt mul01t sylan9eqr 2cn mul01 syl6eqr 0re 2re
      w3a 2pos lemul2t mpan2 mp3an23 normge0t biantrud bitr3d letri3t norm-it
      3bitr2d bitrd shincl shel sylan2 sylibd ex com23 imp elch0 syl6ibr ssrdv
      shle0t syl6ib adantld r19.23aiv ) IAJZKLZBJZMNZCJZMNZOPZXRXTYBQPZMNZRPZSL
      ZCETBDTZUADEUBZUCUDZAUEXRUEUFZYIYKXSYLYIYJUCUGZYKYLYIYMYLYIUAZHYJUCYNHJZY
      JUFZYOUHUDZYOUCUFYLYIYPYQUIYLYPYIYQYLYPYIYQUIYLYPUAYIYOMNZUJUKZYOULPZMNZO
      PZXRYOYTQPZMNZRPZSLZYQYPYIUUFUIZYLYPYODUFZYTEUFZUAZUUGYPUUHYOEUFZUAUUJYOD
      EUMUUKUUIUUHYSUNUFZUUKUUIUJUOUPEUQUFUULUUKUAUUIUIGYSYOEURUSUTVAVBYHUUFYRY
      COPZXRYOYBQPZMNZRPZSLBCYOYTDEXTYOUDZYDUUMYGUUPSUUQYAYRYCOXTYOMVCVDUUQYFUU
      OXRRUUQYEUUNMXTYOYBQVEVFVGVHYBYTUDZUUMUUBUUPUUESUURYCUUAYROYBYTMVCVGUURUU
      OUUDXRRUURUUNUUCMYBYTYOQVIVFVGVHVJVKVLYLYOVMUFZUUFYQVNYPYLUUSUAZUUFVOYRRP
      ZVOIRPZSLZYQUUTUUBUVAUUEUVBSUUSUUBUVAUDYLUUSUUBYRYROPZUVAUUSUUAYRYROYOVPV
      GUUSYRUNUFUVAUVDUDUUSYRYOVQZVRYRVSVKVTVLUUTUUEIUVBUUSYLUUEXRIRPZIUUSUUDIX
      RRUUSUUDUHMNIUUSUUCUHMYOWAVFWBWCVGYLXRUNUFUVFIUDXRWDXRWEVKWFVOWGWHWIVHUUS
      UVCYQVNYLUUSUVCYRISLZIYRSLZUAZYRIUDZYQUUSUVGUVCUVIUUSYRUEUFZUVGUVCVNZUVEU
      VKIUEUFZVOUEUFZUVLWJWKUVKUVMUVNWLIVOKLUVLWMYRIVOWNWOWPVKUUSUVHUVGYOWQWRWS
      UUSUVKUVJUVIVNZUVEUVKUVMUVOWJYRIWTWOVKYOXAXBVLXCYOYJDEFGXDZXEXFXGXHXIXJYO
      XKXLXMXHYJUQUFYMYKVNUVPYJXNUSXOXPXQ $.
      $( [23-May-2005] $) $( [23-May-2005] $)
  $}

  ${
    $d x y z w v u t h A $.  $d x y z w v u t h B $.  $d x y z w v u C $.
    $d x y z w D $.
    cdj3lem2.1 $e |- A e. SH $.
    cdj3lem2.2 $e |- B e. SH $.
    ${
      $d v u t h S $.
      cdj3lem2.3 $e |- S = { <. x , y >. | ( x e. ( A +H B ) /\
                     y = U. { z e. A | E. w e. B x = ( z +h w ) } ) } $.
      $( Lemma for ~ cdj3 .  Value of the first-component function ` S ` . $)
      cdj3lem2 $p |- ( ( C e. A /\ D e. B /\ ( A i^i B ) = 0H ) ->
                    ( S ` ( C +h D ) ) = C ) $=
        ( wcel cin c0h wceq w3a cva co cfv cv wrex crab cuni wa cph shsva
        eqeq1 rexbidv rabbisdv unieqd csh elisseti rabex uniex fvopab4 syl
        3adant3 eqid opreq2 eqeq2d rcla4ev mpan2 3ad2ant2 wreu wb opreq1
        reuuni2 3simp1 cdjreu sylan 3impa sylanc mpbid eqtrd ) GEMZHFMZEFNOPZQZ
        GHRSZITZVTCUAZDUAZRSZPZDFUBZCEUCZUDZGVPVQWAWHPZVRVPVQUEZVTEFUFSZMZWIEFG
        HJKUGZABVTAUAZWDPZDFUBZCEUCZUDWHWKIWNVTPZWQWGWRWPWFCEWRWOWEDFWNVTWDUHUI
        UJUKLWGWFCEEULJUMUNUOUPUQURVSVTGWCRSZPZDFUBZWHGPZVQVPXAVRVQVTVTPZXAVTUS
        WTXCDHFWCHPWSVTVTWCHGRUTVAVBVCVDVPWFCEVEZXAXBVFVSWFXACEGWBGPZWEWTDFXEWD
        WSVTWBGWCRVGVAUIVHVPVQVRVIVPVQVRXDWLVRXDWJCDEFVTJKVJWMVKVLVMVNVO $.
        $( [23-May-2005] $) $( [23-May-2005] $)

      $( Lemma for ~ cdj3 .  Closure of the first-component function ` S ` . $)
      cdj3lem2a $p |- ( ( C e. ( A +H B ) /\ ( A i^i B ) = 0H ) ->
                    ( S ` C ) e. A ) $=
        ( vv vu cin c0h wceq cph co wcel cfv cv cva wrex wa fveq2 eleq1d w3a
        cdj3lem2 3simp1 eqeltrd 3expa syl5bir exp3a com13 r19.23advv shsel
        syl5ib impcom ) EFNOPZGEFQRSZGHTZESZUSGLUAZMUAZUBRZPZMFUCLEUCVBUTUSVFVB
        LMEFVFVCESZVDFSZUDZUSVBVFVIUSVBVFVBVEHTZESZVIUSUDVFVAVJEGVEHUEUFVGVHUSV
        KVGVHUSUGVJVCEABCDEFVCVDHIJKUHVGVHUSUIUJUKULUMUNUOLMEFGIJUPUQUR $.
        $( [25-May-2005] $) $( [25-May-2005] $)

      $( Lemma for ~ cdj3 .  The first-component function ` S ` is bounded if
         the subspaces are completely disjoint. $)
      cdj3lem2b $p |- ( E. v e. RR ( 0 < v /\ A. x e. A A. y e. B
      ( ( normh ` x ) + ( normh ` y ) ) <_ ( v x. ( normh ` ( x +h y ) ) ) ) ->
                    E. v e. RR ( 0 < v /\ A. u e. ( A +H B )
                      ( normh ` ( S ` u ) ) <_ ( v x. ( normh ` u ) ) ) ) $=
        ( vt vh cin c0h wceq cc0 cv clt wbr cno cfv caddc co cva cmul cle wral
        wa cr wrex cph cdj3lem1 wcel wi wreu cdjreu reurex syl adantrr fveq2
        opreq1d opreq1 fveq2d opreq2d breq12d opreq2 rcla42v cdj3lem2 3expa
        ad2ant2r chil shel normge0t adantl wb addge01t normclt syl2an mpbid
        adantr letrt ad2antrr axaddrcl axmulrcl hvaddclt sylan2 ancoms syl3anc
        mpand imp an1rs adantrl eqbrtrd syl5cbir exp31 syld com14 com4t
        r19.23advv mpd ex com3l r19.21adv anim2d r19.22dva mpcom ) GHOPQZRESZTU
        AZASZUBUCZBSZUBUCZUDUEZXJXLXNUFUEZUBUCZUGUEZUHUAZBHUIAGUIZUJZEUKULXKFSZ
        IUCZUBUCZXJYCUBUCZUGUEZUHUAZFGHUMUEZUIZUJZEUKULEABGHJKUNXIYBYKEUKXIXJUK
        UOZUJZYAYJXKYMYAYHFYIYCYIUOZYMYAYHYNYMYAYHUPZYNYMUJYCMSZNSZUFUEZQZNHULZ
        MGULZYOYNXIUUAYLYNXIUJYTMGUQUUAMNGHYCJKURYTMGUSUTVAYMUUAYOUPYNYMYSYOMNG
        HYSYAYMYPGUOZYQHUOZUJZYHUUDYAYMYSYHUUDYAYPUBUCZYQUBUCZUDUEZXJYRUBUCZUGU
        EZUHUAZYMYSYHUPZUPXTUUJUUEXOUDUEZXJYPXNUFUEZUBUCZUGUEZUHUAABYPYQGHXLYPQ
        ZXPUULXSUUOUHUUPXMUUEXOUDXLYPUBVBVCUUPXRUUNXJUGUUPXQUUMUBXLYPXNUFVDVEVF
        VGXNYQQZUULUUGUUOUUIUHUUQXOUUFUUEUDXNYQUBVBVFUUQUUNUUHXJUGUUQUUMYRUBXNY
        QYPUFVHVEVFVGVIUUDUUJYMUUKYSYHYRIUCZUBUCZUUIUHUAUUDUUJUJZYMUJZYSYEUUSYG
        UUIUHYSYDUURUBYCYRIVBVEYSYFUUHXJUGYCYRUBVBVFVGUVAUUSUUEUUIUHUUDXIUUSUUE
        QUUJYLUUDXIUJUURYPUBUUBUUCXIUURYPQABCDGHYPYQIJKLVJVKVEVLUUTYLUUEUUIUHUA
        ZXIUUDYLUUJUVBUUDYLUJZUUJUVBUVCUUEUUGUHUAZUUJUVBUUDUVDYLUUDRUUFUHUAZUVD
        UUCUVEUUBUUCYQVMUOZUVEYQHKVNZYQVOUTVPUUEUKUOZUUFUKUOZUVEUVDVQUUBUUCUUEU
        UFVRUUBYPVMUOZUVHYPGJVNZYPVSUTZUUCUVFUVIUVGYQVSUTZVTWAWBUVHUUGUKUOZUUIU
        KUOZUVDUUJUJUVBUPUVCUUEUUGUUIWCUUBUVHUUCYLUVLWDUUDUVNYLUVHUVIUVNUUBUUCU
        UEUUFWEUVLUVMVTWBYLUUDUVOYLUUHUKUOZUVOUUDXJUUHWFUUDYRVMUOZUVPUVJUVFUVQU
        UBUUCYPYQWGUVKUVGVTYRVSUTWHWIWJWKWLWMWNWOWPWQWRWSWTXAVPXBXCXDXEXFXGXH
        $.
        $( [23-May-2005] $) $( [26-May-2005] $)
    $}

    ${
      $d v u t h T $.
      cdj3lem3.3 $e |- T = { <. x , y >. | ( x e. ( A +H B ) /\
                     y = U. { w e. B | E. z e. A x = ( z +h w ) } ) } $.
      $( Lemma for ~ cdj3 .  Value of the second-component function ` T ` . $)
      cdj3lem3 $p |- ( ( C e. A /\ D e. B /\ ( A i^i B ) = 0H ) ->
                    ( T ` ( C +h D ) ) = D ) $=
        ( wcel cin c0h wceq cva co cfv w3a wa chil ax-hvcom shel syl2an fveq2d
        3adant3 cv cph wrex crab cuni copab shscom eleq2i eqeq2d rexbidva
        rabbii unieqi eqeq2i anbi12i opabbii eqtr4 cdj3lem2 eqtr3d incom
        eqeq1i syl3an3b 3com12 ) HFMZGEMZEFNZOPZGHQRZISZHPZVJVKFENZOPZVPVMVJVKV
        RTHGQRZISZVOHVJVKVTVOPVRVJVKUAVSVNIHUBMGUBMVSVNPVJVKHGUCHFKUDGEJUDUEUFU
        GABDCFEHGIKJIAUHZEFUIRZMZBUHZWACUHZDUHZQRZPZCEUJZDFUKZULZPZUAZABUMWAFEU
        IRZMZWDWAWFWEQRZPZCEUJZDFUKZULZPZUAZABUMLXBWMABWOWCXAWLWNWBWAFEKJUNUOWT
        WKWDWSWJWRWIDFWFFMZWQWHCEXCWEEMZUAWPWGWAWFUBMWEUBMWPWGPXCXDWFWEUCWFFKUD
        WEEJUDUEUPUQURUSUTVAVBVCVDVEVLVQOEFVFVGVHVI $.
        $( [23-May-2005] $) $( [23-May-2005] $)

      $( Lemma for ~ cdj3 .  Closure of the second-component function
         ` T ` . $)
      cdj3lem3a $p |- ( ( C e. ( A +H B ) /\ ( A i^i B ) = 0H ) ->
                    ( T ` C ) e. B ) $=
        ( vv vu cin c0h wceq cph co wcel cfv cv cva wrex wa fveq2 eleq1d w3a
        cdj3lem3 3simp2 eqeltrd 3expa syl5bir exp3a com13 r19.23advv shsel
        syl5ib impcom ) EFNOPZGEFQRSZGHTZFSZUSGLUAZMUAZUBRZPZMFUCLEUCVBUTUSVFVB
        LMEFVFVCESZVDFSZUDZUSVBVFVIUSVBVFVBVEHTZFSZVIUSUDVFVAVJFGVEHUEUFVGVHUSV
        KVGVHUSUGVJVDFABCDEFVCVDHIJKUHVGVHUSUIUJUKULUMUNUOLMEFGIJUPUQUR $.
        $( [26-May-2005] $) $( [26-May-2005] $)

      $( Lemma for ~ cdj3 .  The second-component function ` T ` is bounded if
         the subspaces are completely disjoint. $)
      cdj3lem3b $p |- ( E. v e. RR ( 0 < v /\ A. x e. A A. y e. B
      ( ( normh ` x ) + ( normh ` y ) ) <_ ( v x. ( normh ` ( x +h y ) ) ) ) ->
                    E. v e. RR ( 0 < v /\ A. u e. ( A +H B )
                      ( normh ` ( T ` u ) ) <_ ( v x. ( normh ` u ) ) ) ) $=
        ( vt vh cc0 cv clt wbr cno cfv caddc co cva cmul cle wral wa cr wrex
        cph wcel wceq crab cuni copab shscom eleq2i chil ax-hvcom shel syl2an
        eqeq2d rexbidva rabbii unieqi eqeq2i anbi12i opabbii eqtr4 cdj3lem2b
        fveq2 opreq1d opreq1 fveq2d opreq2d breq12d opreq2 cbvral2v ralcom cc
        axaddcom normclt syl recnd ralbidva ralbiia bitr2 3bitr anbi2i rexbii
        wb raleq1 ax-mp 3imtr4 ) OEPZQRZAPZSTZBPZSTZUAUBZWOWQWSUCUBZSTZUDUBZUER
        ZBGUFZAHUFZUGZEUHUIWPFPZITSTWOXISTUDUBUERZFHGUJUBZUFZUGZEUHUIWPXEBHUFAG
        UFZUGZEUHUIWPXJFGHUJUBZUFZUGZEUHUIABDCEFHGIKJIWQXPUKZWSWQCPZDPZUCUBZULZ
        CGUIZDHUMZUNZULZUGZABUOWQXKUKZWSWQYAXTUCUBZULZCGUIZDHUMZUNZULZUGZABUOLY
        PYHABYIXSYOYGXKXPWQHGKJUPUQYNYFWSYMYEYLYDDHYAHUKZYKYCCGYQXTGUKZUGYJYBWQ
        YAURUKXTURUKYJYBULYQYRYAXTUSYAHKUTXTGJUTVAVBVCVDVEVFVGVHVIVJXOXHEUHXNXG
        WPXNMPZSTZNPZSTZUAUBZWOYSUUAUCUBZSTZUDUBZUERZNHUFMGUFUUGMGUFNHUFZXGXEUU
        GYTWTUAUBZWOYSWSUCUBZSTZUDUBZUERABMNGHWQYSULZXAUUIXDUULUEUUMWRYTWTUAWQY
        SSVKVLUUMXCUUKWOUDUUMXBUUJSWQYSWSUCVMVNVOVPWSUUAULZUUIUUCUULUUFUEUUNWTU
        UBYTUAWSUUASVKVOUUNUUKUUEWOUDUUNUUJUUDSWSUUAYSUCVQVNVOVPVRUUGMNGHVSXGWT
        WRUAUBZWOWSWQUCUBZSTZUDUBZUERZBGUFZAHUFUUHXFUUTAHWQHUKZXEUUSBGUVAWSGUKZ
        UGZXAUUOXDUURUEWRVTUKWTVTUKXAUUOULUVAUVBWRWTWAUVAWRUVAWQURUKZWRUHUKWQHK
        UTZWQWBWCWDUVBWTUVBWSURUKZWTUHUKWSGJUTZWSWBWCWDVAUVCXCUUQWOUDUVCXBUUPSU
        VDUVFXBUUPULUVAUVBWQWSUSUVEUVGVAVNVOVPWEWFUUSUUGWTUUBUAUBZWOWSUUAUCUBZS
        TZUDUBZUERABNMHGWQUUAULZUUOUVHUURUVKUEUVLWRUUBWTUAWQUUASVKVOUVLUUQUVJWO
        UDUVLUUPUVISWQUUAWSUCVQVNVOVPWSYSULZUVHUUCUVKUUFUEUVMWTYTUUBUAWSYSSVKVL
        UVMUVJUUEWOUDUVMUVIUUDSWSYSUUAUCVMVNVOVPVRWGWHWIWJXRXMEUHXQXLWPXPXKULXQ
        XLWKGHJKUPXJFXPXKWLWMWIWJWN $.
        $( [31-May-2005] $) $( [31-May-2005] $)
    $}
  $}

  ${
    $d x y z w v u t h f g A $.  $d x y z w v u t h f g B $.
    $d v u t h f g S $.  $d v u t h f g T $.
    cdj3.1 $e |- A e. SH $.
    cdj3.2 $e |- B e. SH $.
    cdj3.3 $e |- S = { <. x , y >. | ( x e. ( A +H B ) /\
                   y = U. { z e. A | E. w e. B x = ( z +h w ) } ) } $.
    cdj3.4 $e |- T = { <. x , y >. | ( x e. ( A +H B ) /\
                   y = U. { w e. B | E. z e. A x = ( z +h w ) } ) } $.
    cdj3.5 $e |- ( ph <-> E. v e. RR ( 0 < v /\ A. u e. ( A +H B )
                      ( normh ` ( S ` u ) ) <_ ( v x. ( normh ` u ) ) ) ) $.
    cdj3.6 $e |- ( ps <-> E. v e. RR ( 0 < v /\ A. u e. ( A +H B )
                      ( normh ` ( T ` u ) ) <_ ( v x. ( normh ` u ) ) ) ) $.
    $( Two ways to express " ` A ` and ` B ` are completely disjoint
       subspaces."  (1) <=> (3) in Lemma 5 of [Holland] p. 1520. $)
    cdj3 $p |- ( E. v e. RR ( 0 < v /\ A. x e. A A. y e. B
      ( ( normh ` x ) + ( normh ` y ) ) <_ ( v x. ( normh ` ( x +h y ) ) ) )
         <-> ( ( A i^i B ) = 0H /\ ph /\ ps ) ) $=
      ( vf vg vt vh cc0 cv clt wbr cno cfv caddc co cva cmul cle wral wa cr
      wrex cin c0h wceq w3a cdj3lem1 cph cdj3lem2b sylibr cdj3lem3b 3jca wcel
      wi axaddrcl breq2 opreq1 breq2d 2ralbidv fveq2 opreq1d fveq2d opreq2d
      breq12d opreq2 cbvral2v syl5bb anbi12d rcla4ev ex syl adantl addgt0t
      shsva rcla4v anim12d le2addt chil shel normclt anim12i axmulrcl hvaddclt
      syl2an sylan2 adantlr adantll jca sylanc wb cdj3lem2 breq1d cdj3lem3
      3expa ancoms cc adddirt recnt recnd syl3an 3imtr4d syld r19.21advva
      syl2and an4 syl5ib r19.23advv ralbidv cbvrexv bitr anbi12i reeanv bitr4
      3impib impbi ) UCGUDZUEUFZCUDZUGUHZDUDZUGUHZUIUJZYKYMYOUKUJZUGUHZULUJZUMU
      FZDJUNCIUNZUOZGUPUQZIJURUSUTZABVAUUDUUEABGCDIJMNVBUUDYLHUDZKUHZUGUHZYKUUF
      UGUHZULUJZUMUFZHIJVCUJZUNZUOZGUPUQZACDEFGHIJKMNOVDQVEUUDYLUUFLUHZUGUHZUUJ
      UMUFZHUULUNZUOZGUPUQZBCDEFGHIJLMNPVFRVEVGUUEABUUDUUEUCSUDZUEUFZUUHUVBUUIU
      LUJZUMUFZHUULUNZUOZUCTUDZUEUFZUUQUVHUUIULUJZUMUFZHUULUNZUOZUOZTUPUQSUPUQZ
      UUDABUOZUUEUVNUUDSTUPUPUUEUVBUPVHZUVHUPVHZUOZUVNUUDVIUUEUVSUOZUVCUVIUOZUV
      FUVLUOZUOUUDUVNUVTUCUVBUVHUIUJZUEUFZUAUDZUGUHZUBUDZUGUHZUIUJZUWCUWEUWGUKU
      JZUGUHZULUJZUMUFZUBJUNUAIUNZUUDUWAUWBUVSUWDUWNUOZUUDVIZUUEUVSUWCUPVHZUWPU
      VBUVHVJUWQUWOUUDUUCUWOGUWCUPYKUWCUTZYLUWDUUBUWNYKUWCUCUEVKUWRUWIYKUWKULUJ
      ZUMUFZUBJUNUAIUNUWNUUBUWRUWTUWMUAUBIJUWRUWSUWLUWIUMYKUWCUWKULVLVMVNUUAUWT
      UWFYPUIUJZYKUWEYOUKUJZUGUHZULUJZUMUFCDUAUBIJYMUWEUTZYQUXAYTUXDUMUXEYNUWFY
      PUIYMUWEUGVOVPUXEYSUXCYKULUXEYRUXBUGYMUWEYOUKVLVQVRVSYOUWGUTZUXAUWIUXDUWS
      UMUXFYPUWHUWFUIYOUWGUGVOVRUXFUXCUWKYKULUXFUXBUWJUGYOUWGUWEUKVTVQVRVSWAWBW
      CWDWEWFWGUVSUWAUWDVIUUEUVSUWAUWDUVBUVHWHWEWGUVTUWBUWMUAUBIJUVTUWEIVHZUWGJ
      VHZUOZUOZUWBUWJKUHZUGUHZUVBUWKULUJZUMUFZUWJLUHZUGUHZUVHUWKULUJZUMUFZUOZUW
      MUXIUWBUXSVIZUVTUXIUWJUULVHZUXTIJUWEUWGMNWIUYAUVFUXNUVLUXRUVEUXNHUWJUULUU
      FUWJUTZUUHUXLUVDUXMUMUYBUUGUXKUGUUFUWJKVOVQUYBUUIUWKUVBULUUFUWJUGVOZVRVSW
      JUVKUXRHUWJUULUYBUUQUXPUVJUXQUMUYBUUPUXOUGUUFUWJLVOVQUYBUUIUWKUVHULUYCVRV
      SWJWKWFWGUXJUWFUXMUMUFZUWHUXQUMUFZUOZUWIUXMUXQUIUJZUMUFZUXSUWMUVSUXIUYFUY
      HVIZUUEUWFUPVHZUWHUPVHZUOZUXMUPVHZUXQUPVHZUOUYIUVSUXIUOZUWFUWHUXMUXQWLUXI
      UYLUVSUXGUYJUXHUYKUXGUWEWMVHZUYJUWEIMWNZUWEWOWFUXHUWGWMVHZUYKUWGJNWNZUWGW
      OWFWPWGUYOUYMUYNUVQUXIUYMUVRUVQUWKUPVHZUYMUXIUVBUWKWQUXIUWJWMVHZUYTUYPUYR
      VUAUXGUXHUWEUWGWRUYQUYSWSUWJWOWFZWTXAUVRUXIUYNUVQUVRUYTUYNUXIUVHUWKWQVUBW
      TXBXCXDXBUUEUXIUXSUYFXEZUVSUXIUUEVUCUXGUXHUUEVUCUXGUXHUUEVAZUXNUYDUXRUYEV
      UDUXLUWFUXMUMVUDUXKUWEUGCDEFIJUWEUWGKMNOXFVQXGVUDUXPUWHUXQUMVUDUXOUWGUGCD
      EFIJUWEUWGLMNPXHVQXGWCXIXJXAUVSUXIUWMUYHXEUUEUYOUWLUYGUWIUMUVQUVRUXIUWLUY
      GUTZUVBXKVHUVHXKVHUWKXKVHVUEUVQUVRUXIUVBUVHUWKXLUVBXMUVHXMUXIUWKVUBXNXOXI
      VMXBXPXQXRXSUVCUVFUVIUVLXTYAWEYBUVPUVGSUPUQZUVMTUPUQZUOUVOAVUFBVUGAUUOVUF
      QUUNUVGGSUPYKUVBUTZYLUVCUUMUVFYKUVBUCUEVKVUHUUKUVEHUULVUHUUJUVDUUHUMYKUVB
      UUIULVLVMYCWCYDYEBUVAVUGRUUTUVMGTUPYKUVHUTZYLUVIUUSUVLYKUVHUCUEVKVUIUURUV
      KHUULVUIUUJUVJUUQUMYKUVHUUIULVLVMYCWCYDYEYFUVGUVMSTUPUPYGYHYAYIYJ $.
      $( [3-Jun-2006] $) $( [1-Jun-2005] $)
  $}

$(

@(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                            Calculus
                    Version of 10-Aug-2005 Roy F. Longton
                            9-Sep-2005  neighex added
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
@)

  @c neigh @.

  @( Extend the definition of classes to include neighborhoods.  (Contributed
    by Roy F. Longton, 7-Aug-2005.) @)
  cneigh @a class neigh @.

  @{
    @d x y z w @.
    @( Define the notion of neighborhoods: "neigh" is a relation that relates
      a subset of the real numbers to a point within it for which it acts as a
      neighborhood.  (Contributed by Roy F. Longton, 7-Aug-2005.) @)
    df-neigh @a |- neigh = { <. x , y >. | ( ( x (_ RR /\ y e. RR ) /\ E. z e.
      RR ( 0 < z /\ A. w e. RR ( ( 0 <_ w /\ w < z ) -> ( ( y + w ) e. x /\
      ( y - w ) e.  x ) ) ) ) } @.
  @}

  @{
    @d x y z w @.
    @( The notion of neighborhoods is a relation.  (Contributed by Roy F.
       Longton, 7-Aug-2005.) @)
    neighrel @p |- Rel neigh @=
      ( vx vy vz vw cneigh wrel cv cr wss wcel wa cc0 clt wbr cle caddc co
      cmin wi wral wrex copab relopab wceq wb df-neigh releq ax-mp mpbir ) EFZA
      GZHIBGZHJKLCGZMNLDGZONUNUMMNKULUNPQUKJULUNRQUKJKSDHTKCHUAKZABUBZFZUOABUCE
      UPUDUJUQUEABCDUFEUPUGUHUI @.
      @( [ ?] @) @( [7-Aug-2005] @)
  @}

  @{
    @d S x y z w @.  @d A x y z w @.
    neigh.1 @e |- S e. V @.
    neigh.2 @e |- A e. V @.
    @( Express the predicate: ` S ` is a neighborhood of ` A ` .  (Contributed
       by Roy F. Longton, 7-Aug-2005.) @)
    neighbr @p |- ( S neigh A <->
      ( ( S (_ RR /\ A e. RR ) /\ E. z e. RR ( 0 < z
      /\ A. w e. RR ( ( 0 <_ w /\ w < z ) -> ( ( A + w ) e. S /\ ( A - w ) e.
      S ) ) ) ) ) @=
      ( vx vy cv cr wss wcel wa cc0 clt wbr cle caddc co cmin wi wral wrex
      cneigh wceq sseq1 anbi1d eleq2 anbi12d imbi2d ralbidv anbi2d rexbidv
      eleq1 opreq1 eleq1d df-neigh brab ) GIZJKZHIZJLZMZNAIZOPZNBIZQPVFVDOPMZVA
      VFRSZUSLZVAVFTSZUSLZMZUAZBJUBZMZAJUCZMDJKZVBMZVEVGVHDLZVJDLZMZUAZBJUBZMZA
      JUCZMVQCJLZMZVEVGCVFRSZDLZCVFTSZDLZMZUAZBJUBZMZAJUCZMGHDCUDEFUSDUEZVCVRVP
      WEWQUTVQVBUSDJUFUGWQVOWDAJWQVNWCVEWQVMWBBJWQVLWAVGWQVIVSVKVTUSDVHUHUSDVJU
      HUIUJUKULUMUIVACUEZVRWGWEWPWRVBWFVQVACJUNULWRWDWOAJWRWCWNVEWRWBWMBJWRWAWL
      VGWRVSWIVTWKWRVHWHDVACVFRUOUPWRVJWJDVACVFTUOUPUIUJUKULUMUIGHABUQUR @.
      @( [ ?] @) @( [10-Aug-2005] @)
  @}

  @{
    @d A z w @.
    reneigh.1 @e |- A e. RR @.
    @( The set of real numbers acts as a neighborhood for every real number. @)
    reneigh @p |- RR neigh A @=
      ( vz vw cr cneigh wbr wss wcel wa cc0 cv clt cle caddc co cmin wi wral
      wrex reex elisseti neighbr ssid pm3.2i c1 1re lt01 axaddrcl mpan
      resubclt jca a1d rgen wceq breq2 anbi2d imbi1d ralbidv anbi12d rcla4ev
      mp2an mpbir2an ) EAFGEEHZAEIZJKCLZMGZKDLZNGZVHVFMGZJZAVHOPEIZAVHQPEIZJZRZ
      DESZJZCETZCDAEUAAEBUBUCVDVEEUDBUEUFEIKUFMGZVIVHUFMGZJZVNRZDESZJZVRUGVSWCU
      HWBDEVHEIZVNWAWEVLVMVEWEVLBAVHUIUJVEWEVMBAVHUKUJULUMUNUEVQWDCUFEVFUFUOZVG
      VSVPWCVFUFKMUPWFVOWBDEWFVKWAVNWFVJVTVIVFUFVHMUPUQURUSUTVAVBVC @.
      @( [ ?] @) @( [8-Aug-2005] @)
  @}

    @c OpenROY @.

    @( Extend the definition of classes to include open sets.  (Contributed by
      Roy F. Longton, 7-Aug-2005.) @)
    copen @a class OpenROY @.

  @{
    @d x y z @.
    @( Define the notion of an open set: "Open" is the class of all open sets.
      A set is open if all of its members each have a neighborhood completely
      contained within the set.  (Contributed by Roy F. Longton,
      7-Aug-2005.) @)
    df-openROY @a |- OpenROY =
                     { x | A. y e. x E. z ( z (_ x /\ z neigh y ) } @.
  @}

    @c cont @.

    @( Extend the definition of classes to include function continuity.
      (Contributed by Roy F. Longton, 7-Aug-2005.) @)
    ccont @a class cont @.

  @{
    @d f x y z @.
    @( Define the notion of function continuity: "cont" is a relation that
      relates a function to a (sub)domain on which it is continuous.  A
      function is continuous on a domain if and only if every open subset of
      its range has an open preimage under the function.  (Contributed by Roy
      F. Longton, 7-Aug-2005.) @)
    df-cont @a |- cont = { <. f , x >. | ( f Fn x /\ A. y ( y (_ ( f " x ) ->
  ( OpenROY y -> ( E. z ( z (_ x /\ OpenROY z /\ y = ( f " z ) ) ) ) ) ) ) } @.
  @}

    @( Two nonnegative numbers compare the same as their squares.
       (Contributed by Roy F. Longton, 8-Aug-2005.) @)
    lt2sqtROY @p |- ( ( A e. RR /\ B e. RR ) -> ( ( 0 <_ A /\ 0 <_ B ) ->
        ( A < B <-> ( A x. A ) < ( B x. B ) ) ) ) @=
      ( cr wcel cc0 cle wbr wa clt cmul co wb wi cif wceq breq2 anbi1d breq1
      opreq12 anidms breq1d bibi12d imbi12d anbi2d breq2d 0re elimel lt2msq
      dedth2h ) ACDZBCDZEAFGZEBFGZHZABIGZAAJKZBBJKZIGZLZMEUJAENZFGZUMHZUTBIGZUT
      UTJKZUQIGZLZMVAEUKBENZFGZHZUTVGIGZVDVGVGJKZIGZLZMABEEAUTOZUNVBUSVFVNULVAU
      MAUTEFPQVNUOVCURVEAUTBIRVNUPVDUQIVNUPVDOAUTAUTJSTUAUBUCBVGOZVBVIVFVMVOUMV
      HVABVGEFPUDVOVCVJVEVLBVGUTIPVOUQVKVDIVOUQVKOBVGBVGJSTUEUBUCUTVGAECUFUGBEC
      UFUGUHUI @.
      @( [ ?] @) @( [8-Aug-2005] @)

  @{
    sqrlt.1 @e |- A e. RR @.
    sqrlt.2 @e |- B e. RR @.
    @( Square root is strictly monotonic.  (Contributed by Roy F. Longton,
      8-Aug-2005.) @)
    sqrltROY @p |- ( ( 0 <_ A /\ 0 <_ B ) -> ( A < B <-> ( sqr ` A ) <
      ( sqr ` B ) ) ) @=
      ( cc0 cle wbr wa csqr cfv clt cmul co wb cr wcel wi lt2sqtROY sqrcl
      syl2an sqrge0 syl2ani pm2.43i sqrth breqan12d bitr2d ) EAFGZEBFGZHZAIJZBI
      JZKGZUJUJLMZUKUKLMZKGZABKGUIULUONZUIEUJFGZEUKFGZUPUGUHUJOPUKOPUQURHUPQUGU
      HUJUKRACSBDSTACUABDUAUBUCUGUHUMAUNBKACUDBDUDUEUF @.
      @( [ ?] @) @( [8-Aug-2005] @)
  @}

    @( The square root of 2 is bounded by 1 and 2.  (Contributed by Roy F.
       Longton, 8-Aug-2005.) @)
    sqr2gt1lt2ROY @p |- ( 1 < ( sqr ` 2 ) /\ ( sqr ` 2 ) < 2 ) @=
      ( c1 c2 csqr cfv clt wbr sqr1 1lt2 cc0 cle wb 0re 1re lt01 ltlei 2re
      2pos sqrltROY mp2an mpbi eqbrtrr c4 caddc co sqrlem15 2p2e4 breqtr 4re
      4pos sqr4 pm3.2i ) ABCDZEFULBEFACDZAULEGABEFZUMULEFZHIAJFIBJFZUNUOKIALMNO
      IBLPQOZABMPRSTUAULUBCDZBEBUBEFZULUREFZBBBUCUDUBEBBBPQPQPQUEUFUGUPIUBJFUSU
      TKUQIUBLUHUIOBUBPUHRSTUJUGUK @.
      @( [ ?] @) @( [8-Aug-2005] @)

  @{
    @d A w z @.  @d B w z @.
    neighre.1 @e |- A e. V @.
    neighre.2 @e |- B e. V @.
    @( Every neighborhood is a subset of ` RR ` .  (Contributed by Roy F.
      Longton, 8-Aug-2005.) @)
    neighre @p |- ( A neigh B -> A (_ RR ) @=
      ( vz vw cneigh wbr cr wss wcel wa cc0 cv clt cle caddc co cmin wi wral
      wrex neighbr pm3.26bi pm3.26d ) ABGHZAIJZBIKZUFUGUHLMENZOHMFNZPHUJUIOHLBU
      JQRAKBUJSRAKLTFIUALEIUBEFBACDUCUDUE @.
      @( [ ?] @) @( [9-Aug-2005] @)
  @}

    @( Conjunct idempotence deduction equivalency.  (Contributed by Roy F.
      Longton, 8-Aug-2005.) @)
    anidmdbi @p |- ( ( ph -> ( ps /\ ps ) ) <-> ( ph -> ps ) ) @=
      ( wa wi pm3.26 imim2i pm3.43i pm2.43i impbi ) ABBCZDZABDZJBABBEFLKABBGHI
      @.
      @( [ ?] @) @( [9-Aug-2005] @)

  @(
  @{
    @d A w z @.  @d B w z @.
    ncenre.1 @e |- B e. V @.
    This was probably not provable with the old df-neigh.
    ncenre @p |- ( A neigh B -> B e. RR ) @=
      cA cB cneigh wbr cB cr wcel cB cr wcel wa wi cA cB cneigh wbr cB cr
      wcel wi
      cA cB cneigh wbr cB cr wcel cB cr wcel ? ? jca cA cB cneigh wbr cB
      cr wcel
      cB cr wcel wa wi cA cB cneigh wbr cB cr wcel wi cA cB cneigh wbr cB
       cr wcel
      anidmdbi biimp ax-mp @.
  @}
  @)

  @{
    @v et @.
    preneighlem.wet @f wff et @.
    preneighlem.1 @e |- ( ph -> ( ps -> ( ch -> ta ) ) ) @.
    preneighlem.2 @e |- ( ph -> ( ps -> ( th -> et ) ) ) @.
    @( Technical lemma for ~ preneigh .  This lemma is unusual because it is of
       a different branch of mathmatics than its parent theorem (the
       propositional calculus vs. real number analysis). @)
    preneighlem @p |- ( ph -> ( ps -> ( ( ch /\ th ) -> ( ta /\ et ) ) ) )
      @=
      ( wa wi imp com12 adantr impcom adantl jca exp31 ) ABCDIZEFIABIZRIEFRSECS
      EJDSCEABCEJGKLMNRSFDSFJCSDFABDFJHKLONPQ @.
      @( [ ?] @) @( [9-Aug-2005] @)
  @}

  @{
    @d A x z w @.
    preneigh.1 @e |- A e. RR @.
    preneigh @p |- ( 0 < A -> { x e. RR | 0 < x } neigh A ) @=
      ( vz vw cc0 clt wbr cv cr crab wss wcel wa cle caddc co cmin wi wral
      wrex cneigh ssrab2 a1i jca c2 cdiv 2nn nnre nngt0 gt0ne0i redivcl
      divgt0i2 wal cab wsbc wceq wex oprex cla4ev syl sbc5 sylibr df-sbc sylib
      df-rab eleq2i ex preneighlem ax-gen df-ral mpbir ax-1 ax-17 19.21 mpbi
      pm3.2i breq2 anbi2d imbi1d ralbidv anbi12d imbi2d rcla4ev ax-mp 19.37v
      reex rabex elisseti neighbr ) FBGHZFAIZGHZAJKZJLZBJMZNZFDIZGHZFEIZOHZWTWR
      GHZNZBWTPQZWNMZBWTRQZWNMZNZSZEJTZNZDJUAZNWNBUBHWKWQXLWKWOWPWOWKWMAJUCUDWP
      WKCUDUEWKXKSZDJUAZWKXLSBUFUGQZJMZWKFXOGHZXAWTXOGHZNZXHSZEJTZNZSZNXNXPYCBU
      FCUFUHUIZUFYDUFUHUJZUKULWKXQYABUFCYDYEUMWKXTSZEJTZWKYASYGWTJMZYFSZEUNYIEY
      HWKXAXRXEXGYHWKXAXESYHWKNZXAXEYJXANZXDWLJMWMNZAUOZMZXEYKYLAXDUPZYNYKWLXDU
      QYLNZAURZYOYK?YQ?YP?AXDBWTPUSZ?UTVAYLAXDYRVBVCYLAXDVDVEWNYMXDWMAJVFZVGVCV
      HVHYHWKXRXGSYJXRXGYJXRNZXFYMMZXGYTYLAXFUPZUUAYTWLXFUQYLNZAURZUUBYT?UUD?UU
      C?AXFBWTRUSZ?UTVAYLAXFUUEVBVCYLAXFVDVEWNYMXFYSVGVCVHVHVIVJYFEJVKVLWKXT?WK
      YHWKSZEUNZWKEJTWKUUFSZEUNWKUUGSUUHEWKYHVMVJWKUUFEWKEVNVOVPWKEJVKVCVOVPUEV
      QXMYCDXOJWRXOUQZXKYBWKUUIWSXQXJYAWRXOFGVRUUIXIXTEJUUIXCXSXHUUIXBXRXAWRXOW
      TGVRVSVTWAWBWCWDWEWKXK?WFVPUEDEBWNWMAJWGWHBJCWIWJVC @.
      @( [ ?] @) @( [9-Aug-2005] @)
  @}

  @{
    genneigh.1 @e |- A e. RR @.
    genneigh.2 @e |- B e. RR @.
    genneigh.3 @e |- C e. RR @.
    genneigh @p |- ( ( 0 < B /\ 0 < C ) -> { x e. RR |
      ( A - B ) < x /\ x < ( A + C ) } neigh A ) @=
      (  ) ? @.
  @}

  @{
    @d x y z w @.
    @( The class of all neighborhoods exists.
  (Contributed by Roy F. Longton,
      29-Aug-2005.) @)
    neighex @p |- neigh e. V @=
      ( vx vy vz vw cneigh cv cr wss wcel wa cc0 clt wbr cle caddc co cmin wi
      wral wrex copab cvv df-neigh cpw cxp reex pwex xpex pm3.26 ssopab2i
      df-pw abeq2i anbi1i opabbii sseqtr4 df-xp ssexi eqeltr ) EAFZGHZBFZGIZJZK
      CFZLMKDFZNMVEVDLMJVAVEOPUSIVAVEQPUSIJRDGSJCGTZJZABUAZUBABCDUCVHGUDZGUEZVI
      GGUFUGUFUHVHUSVIIZVBJZABUAZVJVHVCABUAVMVGVCABVCVFUIUJVLVCABVKUTVBUTAVIAGU
      KULUMUNUOABVIGUPUOUQUR @.
      @( [ ?] @) @( [29-Aug-2005] @)
  @}



  @{
    @d x y z @.
    open @p |- ( x e. OpenROY <-> A. y e. x E. z ( z (_ x /\ z neigh y ) ) @=
      ( cv wss cneigh wbr wa wex wral copen df-openROY abeq2i ) CDZADZENBDFGHCI
      BOJAKABCLM @.
      @( [ ?] @) @( [10-Aug-2005] @)
  @}

    openex @p |- OpenROY e. V @=
      (  ) ? @.

    reopen @p |- RR e. OpenROY @=
      (  ) ? @.

  @{
    openneigh.1 @e |- OpenROY A @.
    openneigh @p |- E. x e. RR A neigh x @=
      (  ) ? @.
  @}

$)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                Sandboxes for user contributions
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                 Sandbox guidelines
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( (This theorem is a dummy placeholder for these guidelines.)

     "Sandboxes" are user-contributed sections that are not officially part of
     set.mm.  They are included in the set.mm file in order to ensure that they
     are kept synchronized with label, definition, and theorem changes in
     set.mm.  Eventually they may be broken out as separate modules,
     particularly in conjunction with any future Ghilbert translation.

     By making a contribution, you agree to release it into the public domain,
     according to the statement at the beginning of set.mm.

     Sandboxes are provided as a courtesy to keep your work synchronized, but
     they shouldn't be depended on as a permanent archive.  If you want to
     preserve your original contribution, it is your responsibility to keep
     your own copy of it along with the version of set.mm that works with it.

     _Notes_:

     1. I (N. Megill) have not necessarily checked definitions for soundness
        nor for agreement with the literature.  In particular, a proof that
        1 = 0 based on a sandbox definition will not considered in any
        challenge to prove set.mm inconsistent.  (Such a proof will still be
        welcome, of course, so that the erroneous definition can be corrected.)

     2. Over time I may decide to make a theorem "official," in which case it
        will be moved to the appropriate section of set.mm with an author
        acknowledgment.

     3. At any time, I may revise definitions, theorems, proofs, and
        statement descriptions; add or delete theorems and/or definitions; or
        delete part or all of a sandbox if I feel it will not ultimately be
        useful or for any other reason.

     _Guidelines_:

     1. If at all possible, please use only 0-ary class constants for new
        definitions, to make soundness checking easier.

     2. Please try to follow the style of the rest of set.mm in terms of
        indentation, line length (79 characters or less), and comment markup
        (see HELP LANGUAGE in metamath.exe).  Each $p and $a statement must be
        immediately preceded with the comment that will be shown on its web
        page description. $)
  sandbox $p |- x = x $=
    ( equid ) AB $.
    $( [20-Feb-2007] $) $( [20-Feb-2007] $)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                Sandbox for Paul Chapman
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Miscellaneous theorems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $( Multiplication of both sides of 'less than or equal to' by a nonnegative
       number. $)
    lemul2itALT $p |- ( ( A e. RR /\ B e. RR /\ ( C e. RR /\ 0 <_ C ) ) ->
                        ( A <_ B -> ( C x. A ) <_ ( C x. B ) ) ) $=
      ( cr wcel cc0 cle wbr wa w3a cmul co lemul2it ex ) ADEBDECDEFCGHIJABGHCAK
      LCBKLGHABCMN $.
      $( [7-Sep-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    $( Division of both sides of 'less than or equal to' by a nonnegative
       number. $)
    lediv2itALT $p |- ( ( ( A e. RR /\ 0 < A ) /\ ( B e. RR /\ 0 < B ) /\
                       ( C e. RR /\ 0 <_ C ) ) ->
                     ( A <_ B -> ( C / B ) <_ ( C / A ) ) ) $=
      ( cr wcel cc0 clt wbr wa cle w3a c1 cdiv co cmul wi wne gt0ne0t rerecclt
      syldan anim12i ancoms 3adant3 3simp3 jca df-3an sylibr lemul2itALT syl
      wb lerect wceq cc recnt adantr 3anass divrect 3adant1 3adant2 breq12d
      3imtr4d ) ADEZFAGHZIZBDEZFBGHZIZCDEZFCJHZIZKZLBMNZLAMNZJHZCVLONZCVMONZJHZ
      ABJHZCBMNZCAMNZJHVKVLDEZVMDEZVJKZVNVQPVKWAWBIZVJIWCVKWDVJVDVGWDVJVGVDWDVG
      WAVDWBVEVFBFQZWABRZBSTVBVCAFQZWBARZASTUAUBUCVDVGVJUDUEWAWBVJUFUGVLVMCUHUI
      VDVGVRVNUJVJABUKUCVKVSVOVTVPJVGVJVSVOULZVDVJVGWIVJVGIZCUMEZBUMEZWEKZWIWJW
      KWLWEIZIWMVJWKVGWNVHWKVICUNUOZVGWLWEVEWLVFBUNUOWFUEUAWKWLWEUPUGCBUQUIUBUR
      VDVJVTVPULZVGVJVDWPVJVDIZWKAUMEZWGKZWPWQWKWRWGIZIWSVJWKVDWTWOVDWRWGVBWRVC
      AUNUOWHUEUAWKWRWGUPUGCAUQUIUBUSUTVA $.
      $( [7-Sep-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    abs2sqle.1 $e |- A e. CC $.
    abs2sqle.2 $e |- B e. CC $.
    $( The absolute values of two numbers compare as their squares. $)
    abs2sqle $p |- ( ( abs ` A ) <_ ( abs ` B ) <->
                     ( ( abs ` A ) ^ 2 ) <_ ( ( abs ` B ) ^ 2 ) ) $=
      ( cc0 cabs cfv cle wbr c2 cexp co wb absge0 abscl le2sq mp2an ) EAFGZHIEB
      FGZHIRSHIRJKLSJKLHIMACNBDNRSACOBDOPQ $.
      $( [7-Sep-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    abs2sqlt.1 $e |- A e. CC $.
    abs2sqlt.2 $e |- B e. CC $.
    $( The absolute values of two numbers compare as their squares. $)
    abs2sqlt $p |- ( ( abs ` A ) < ( abs ` B ) <->
                     ( ( abs ` A ) ^ 2 ) < ( ( abs ` B ) ^ 2 ) ) $=
      ( cc0 cabs cfv cle wbr clt c2 cexp co wb absge0 abscl lt2sq mp2an ) EAFGZ
      HIEBFGZHISTJISKLMTKLMJINACOBDOSTACPBDPQR $.
      $( [7-Sep-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    $( The absolute values of two numbers compare as their squares. $)
    abs2sqlet $p |- ( ( A e. CC /\ B e. CC ) ->
                      ( ( abs ` A ) <_ ( abs ` B ) <->
                        ( ( abs ` A ) ^ 2 ) <_ ( ( abs ` B ) ^ 2 ) ) ) $=
      ( cc wcel cabs cfv cle wbr c2 cexp co wb cc0 cif wceq fveq2 breq1d
      opreq1d bibi12d breq2d opreq1 syl 0cn elimel abs2sqle dedth2h ) ACDZBCDZA
      EFZBEFZGHZUIIJKZUJIJKZGHZLUGAMNZEFZUJGHZUPIJKZUMGHZLUPUHBMNZEFZGHZURVAIJK
      ZGHZLABMMAUOOZUKUQUNUSVEUIUPUJGAUOEPZQVEULURUMGVEUIUPIJVFRQSBUTOZUQVBUSVD
      VGUJVAUPGBUTEPZTVGUJVAOZUSVDLVHVIUMVCURGUJVAIJUATUBSUOUTAMCUCUDBMCUCUDUEU
      F $.
      $( [7-Sep-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    $( The absolute values of two numbers compare as their squares. $)
    abs2sqltt $p |- ( ( A e. CC /\ B e. CC ) ->
                      ( ( abs ` A ) < ( abs ` B ) <->
                        ( ( abs ` A ) ^ 2 ) < ( ( abs ` B ) ^ 2 ) ) ) $=
      ( cc wcel cabs cfv clt wbr c2 cexp co wb cc0 cif wceq fveq2 breq1d
      opreq1d bibi12d breq2d opreq1 syl 0cn elimel abs2sqlt dedth2h ) ACDZBCDZA
      EFZBEFZGHZUIIJKZUJIJKZGHZLUGAMNZEFZUJGHZUPIJKZUMGHZLUPUHBMNZEFZGHZURVAIJK
      ZGHZLABMMAUOOZUKUQUNUSVEUIUPUJGAUOEPZQVEULURUMGVEUIUPIJVFRQSBUTOZUQVBUSVD
      VGUJVAUPGBUTEPZTVGUJVAOZUSVDLVHVIUMVCURGUJVAIJUATUBSUOUTAMCUCUDBMCUCUDUEU
      F $.
      $( [7-Sep-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    abs2dif.1 $e |- A e. CC $.
    abs2dif.2 $e |- B e. CC $.
    $( Difference of absolute values. $)
    abs2dif $p |- ( ( abs ` A ) - ( abs ` B ) ) <_ ( abs ` ( A - B ) ) $=
      ( cc wcel cabs cfv cmin co cle wbr abs2dift mp2an ) AEFBEFAGHBGHIJABIJGHK
      LCDABMN $.
      $( [7-Sep-2007] $) $( [7-Sep-2007] $)
  $}

  ${
    abs2difabs.1 $e |- A e. CC $.
    abs2difabs.2 $e |- B e. CC $.
    $( Absolute value of difference of absolute values. $)
    abs2difabs $p |- ( abs ` ( ( abs ` A ) - ( abs ` B ) ) ) <_
                     ( abs ` ( A - B ) ) $=
      ( cc wcel cabs cfv cmin co cle wbr abs2difabst mp2an ) AEFBEFAGHBGHIJGHAB
      IJGHKLCDABMN $.
      $( [7-Sep-2007] $) $( [7-Sep-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Group homomorphism and isomorphism
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c GrpHom GrpIso $.

  $( Extend class notation to include the class of group homomorphisms. $)
  cghom $a class GrpHom $.

  $( Extend class notation to include the class of group isomorphisms. $)
  cgiso $a class GrpIso $.

  ${
    $d f g h s x y $.
    $( Define the set of group homomorphisms from ` g ` to ` h ` . $)
    df-ghom $a |- GrpHom = { <. <. g , h >. , s >. | ( ( g e. Grp /\ h e. Grp )
        /\ s = { f | ( f : ran g --> ran h /\ A. x e. ran g A. y e. ran g
                     ( ( f ` x ) h ( f ` y ) ) = ( f ` ( x g y ) ) ) } ) } $.
  $}

  ${
    $d f g h s $.
    $( Define the set of group isomorphisms from ` g ` to ` h ` . $)
    df-giso $a |- GrpIso = { <. <. g , h >. , s >. | ( ( g e. Grp /\ h e. Grp )
        /\ s = { f e. ( g GrpHom h ) | f : ran g -1-1-onto-> ran h } ) } $.
  $}

  ${
    $d F f x y $.  $d G f g h x y z $.  $d H f g h x y z $.  $d S h z $.
    elghomlem1.1 $e |- S = { f | ( f : ran G --> ran H /\ A. x e. ran G
      A. y e. ran G ( ( f ` x ) H ( f ` y ) ) = ( f ` ( x G y ) ) ) } $.

    $( Lemma for ~ elghom . $)
    elghomlem1 $p |- ( ( G e. Grp /\ H e. Grp ) -> ( G GrpHom H ) = S ) $=
      ( vg vh vz cgr wcel cvv cghom co wceq crn cv cfv wral fabexg rnexg
      syl2an wf wa cab wb rneq feq2 syl opreq fveq2d eqeq2d raleq12d anbi12d
      abbidv feq3 eqeq1d 2ralbidv syl6eqr df-ghom oprabval2g mpd3an3 ) EKLZFKLZ
      CMLZEFNOCPEQZMLFQZMLVFVDVEARZDRZSZBRZVJSZFOZVIVLEOZVJSZPZBVGTAVGTZDVGVHMM
      CGUAEKUBFKUBUCHIJEFKKHRZQZIRZQZVJUDZVKVMWAOZVIVLVSOZVJSZPZBVTTZAVTTZUEZDU
      FCNVGWBVJUDZWDVPPZBVGTZAVGTZUEZDUFZMVSEPZWJWODWQWCWKWIWNWQVTVGPWCWKUGVSEU
      HZVTVGWBVJUIUJWQWHWMAVTVGWRWQWGWLBVTVGWRWQWFVPWDWQWEVOVJVIVLVSEUKULUMUNUN
      UOUPWAFPZWPVGVHVJUDZVRUEZDUFCWSWOXADWSWKWTWNVRWSWBVHPWKWTUGWAFUHWBVHVGVJU
      QUJWSWLVQABVGVGWSWDVNVPVKVMWAFUKURUSUOUPGUTABDHIJVAVBVC $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)

    $( Lemma for ~ elghom . $)
    elghomlem2 $p |- ( ( G e. Grp /\ H e. Grp ) -> ( F e. ( G GrpHom H ) <->
        ( F : ran G --> ran H /\ A. x e. ran G A. y e. ran G
          ( ( F ` x ) H ( F ` y ) ) = ( F ` ( x G y ) ) ) ) ) $=
      ( cgr wcel wa cghom co crn wf cv cfv wceq wral elghomlem1 eleq2d wb cvv
      elisset feq1 fveq1 opreq12d eqeq12d 2ralbidv anbi12d elab2g biimpd mpcom
      wi rnexg fex expcom syl adantrd biimprd syli impbid2 adantr bitrd ) FIJZG
      IJZKZEFGLMZJECJZFNZGNZEOZAPZEQZBPZEQZGMZVMVOFMZEQZRZBVJSAVJSZKZVGVHCEABCD
      FGHTUAVEVIWBUBVFVEVIWBEUCJZVIWBECUDWCVIWBVJVKDPZOZVMWDQZVOWDQZGMZVRWDQZRZ
      BVJSAVJSZKWBDECUCWDERZWEVLWKWAVJVKWDEUEWLWJVTABVJVJWLWHVQWIVSWLWFVNWGVPGV
      MWDEUFVOWDEUFUGVRWDEUFUHUIUJHUKZULUMWBVEWCVIVEVLWCWAVEVJUCJZVLWCUNFIUOVLW
      NWCVJVKUCEUPUQURUSWCVIWBWMUTVAVBVCVD $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d F f x y $.  $d G f x y $.  $d H f x y $.  $d X x y $.
    elghom.1 $e |- X = ran G $.
    elghom.2 $e |- W = ran H $.
    $( Membership in the set of group homomorphisms from ` G ` to ` H ` .
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    elghom $p |- ( ( G e. Grp /\ H e. Grp ) ->
      ( F e. ( G GrpHom H ) <-> ( F : X --> W /\ A. x e. X A. y e. X
        ( ( F ` x ) H ( F ` y ) ) = ( F ` ( x G y ) ) ) ) ) $=
      ( vf cgr wcel wa cghom co crn wf cv cfv wceq wral cab eqid elghomlem2 wb
      feq23 mp2an raleq1 ax-mp ralbii bitr anbi12i syl6bbr ) DKLEKLMCDENOLDPZEP
      ZCQZARZCSBRZCSEOUQURDOZCSTZBUNUAZAUNUAZMGFCQZUTBGUAZAGUAZMABUNUOJRZQUQVFS
      URVFSEOUSVFSTBUNUAAUNUAMJUBZJCDEVGUCUDVCUPVEVBGUNTZFUOTVCUPUEHIGFUNUOCUFU
      GVEVAAGUAZVBVDVAAGVHVDVAUEHUTBGUNUHUIUJVHVIVBUEHVAAGUNUHUIUKULUM $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d A x y $.  $d B y $.  $d F w x y z $.  $d G x y $.  $d H w x y z $.
    $d M y z $.  $d S x y $.  $d T x y $.  $d X w x y z $.  $d Z w x y z $.
    ghomgrpilem1.1 $e |- G e. Grp $.
    ghomgrpilem1.2 $e |- H e. Grp $.
    ghomgrpilem1.3 $e |- F e. ( G GrpHom H ) $.
    ghomgrpilem1.4 $e |- X = ran G $.
    ghomgrpilem1.5 $e |- U = ( Id ` G ) $.
    ghomgrpilem1.6 $e |- N = ( inv ` G ) $.
    ghomgrpilem1.7 $e |- W = ran H $.
    ghomgrpilem1.8 $e |- T = ( Id ` H ) $.
    ghomgrpilem1.9 $e |- M = ( inv ` H ) $.
    ghomgrpilem1.10 $e |- Z = ran F $.
    ghomgrpilem1.11 $e |- S = ( H |` ( Z X. Z ) ) $.

    $( Lemma for ~ ghomgrpi . $)
    ghomgrpilem1 $p |- ( ( A e. X /\ B e. X ) ->
                         ( ( F ` A ) H ( F ` B ) ) = ( F ` ( A G B ) ) ) $=
      ( vy vx wcel cfv cv co wceq wral fveq2 opreq1d opreq1 fveq2d eqeq12d
      ralbidv wf cghom wa cgr wb elghom mp2an mpbi pm3.27i vtoclri opreq2d
      opreq2 rcla4v mpan9 ) ALUGAFUHZUEUIZFUHZHUJZAVNGUJZFUHZUKZUELULZBLUGVMBFU
      HZHUJZABGUJZFUHZUKZUFUIZFUHZVOHUJZWFVNGUJZFUHZUKZUELULZVTUFALWFAUKZWKVSUE
      LWMWHVPWJVRWMWGVMVOHWFAFUMUNWMWIVQFWFAVNGUOUPUQURLKFUSZWLUFLULZFGHUTUJUGZ
      WNWOVAZPGVBUGHVBUGWPWQVCNOUFUEFGHKLQTVDVEVFVGVHVSWEUEBLVNBUKZVPWBVRWDWRVO
      WAVMHVNBFUMVIWRVQWCFVNBAGVJUPUQVKVL $.
      $( [3-Mar-2008] $) $( [25-Feb-2008] $)

    $( Lemma for ~ ghomgrpi . $)
    ghomgrpilem2 $p |- S e. ( SubGrp ` H ) $=
      ( vx vy vz vw crn wf wss cv cfv co wceq wral cghom wcel wa cgr wb elghom
      mp2an mpbi pm3.26i frn ax-mp eqsstr wrex eleq2i wfn ffn fvelrnb bitr
      biimp anim12i reeanv sylibr opreq12 eleq1d ghomgrpilem1 grpcl mp3an1
      fnfrn feq3 mpbir ffvelrni syl eqeltrd syl5cbi r19.23aivv cgi grpidcl
      grplid fveq2i eqtr ffvelrn eqid grpid eqtr4 eqeltr fveq2 grpinvcl mpan
      mpdan grprinv fveq2d eqtrd syl6eqr grpinvid1 sylanc mpbird r19.23aiv
      sylbi issubgi ) UCUDBFAGIKMRSTKDUGZIUAJIDUHZXNIUIXOUCUJZDUKUDUJZDUKFULXPX
      QEULDUKUMUDJUNUCJUNZDEFUOULUPZXOXRUQZNEURUPZFURUPZXSXTUSLMUCUDDEFIJORUTVA
      VBVCZJIDVDVEVFUBXPKUPZXQKUPZUQZUEUJZDUKZXPUMZUFUJZDUKZXQUMZUQZUFJVGUEJVGZ
      XPXQFULZKUPZYFYIUEJVGZYLUFJVGZUQYNYDYQYEYRYDYQYDXPXNUPZYQKXNXPUAVHDJVIZYS
      YQUSXOYTYCJIDVJVEZUEJXPDVKVEVLZVMYEYRYEXQXNUPZYRKXNXQUAVHYTUUCYRUSUUAUFJX
      QDVKVEVLVMVNYIYLUEUFJJVOVPYMYPUEUFJJYMYHYKFULZKUPYPYGJUPZYJJUPZUQZYMUUDYO
      KYHXPYKXQFVQVRUUGUUDYGYJEULZDUKZKYGYJABCDEFGHIJKLMNOPQRSTUAUBVSUUGUUHJUPZ
      UUIKUPYAUUEUUFUUJLYGYJEJOVTWAJKUUHDJKDUHZJXNDUHZYTUULUUAJDWBVBKXNUMUUKUUL
      USUAKXNJDWCVEWDZWEWFWGWHWIWFBCDUKZKBFWJUKZUUNSUUNUUOUMZUUNUUNFULZUUNUMZUU
      QCCEULZDUKZUUNCJUPZUVAUUQUUTUMYAUVALCEJOPWKVEZUVBCCABCDEFGHIJKLMNOPQRSTUA
      UBVSVAUUSCDYAUVAUUSCUMLUVBCCEJOPWLVAWMWNYBUUNIUPZUUPUURUSMXOUVAUVCYCUVBJI
      CDWOVAUUNUUOFIRUUOWPWQVAWDWRZUUKUVAUUNKUPUUMUVBJKCDWOVAWSYDYQXPGUKZKUPZUU
      BYIUVFUEJYIYHGUKZKUPUVFUUEYIUVGUVEKYHXPGWTVRUUEUVGYGHUKZDUKZKUUEUVGUVIUMZ
      YHUVIFULZBUMZUUEUVKUUNBUUEUVKYGUVHEULZDUKZUUNUUEUVHJUPZUVKUVNUMYAUUEUVOLY
      GEHJOQXAXBZYGUVHABCDEFGHIJKLMNOPQRSTUAUBVSXCUUEUVMCDYAUUEUVMCUMLYGCEHJOPQ
      XDXBXEXFUVDXGYHIUPZUVIIUPZUVJUVLUSZUUEYBUVQUVRUVSMYHUVIBFGIRSTXHWAJIYGDYC
      WEUUEUVOUVRUVPJIUVHDYCWEWFXIXJUUEUVOUVIKUPUVPJKUVHDUUMWEWFWGWHXKXLXM $.
      $( [3-Mar-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    ghomgrpi.1 $e |- G e. Grp $.
    ghomgrpi.2 $e |- H e. Grp $.
    ghomgrpi.3 $e |- F e. ( G GrpHom H ) $.
    ghomgrpi.4 $e |- Y = ran F $.
    ghomgrpi.5 $e |- S = ( H |` ( Y X. Y ) ) $.
    $( The image of a group homomorphism from ` G ` to ` H ` is a subgroup of
       ` H ` (inference version).  (Contributed by Paul Chapman,
       25-Feb-2008.) $)
    ghomgrpi $p |- S e. ( SubGrp ` H ) $=
      ( cgi cfv cgn crn eqid ghomgrpilem2 ) ADKLZCKLZBCDDMLZCMLZDNZCNZEFGHUBORO
      TOUAOQOSOIJP $.
      $( [3-Mar-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d A x y $.  $d G x y $.
    ghomsn.1 $e |- A e. V $.
    ghomsn.2 $e |- G = { <. <. A , A >. , A >. } $.
    $( The endomorphism of the trivial group.  (Contributed by Paul Chapman,
       25-Feb-2008.) $)
    ghomsn $p |- ( I |` { A } ) e. ( G GrpHom G ) $=
      ( vx vy cid csn cres cghom co wcel wf cv cfv wceq wral cgr wa wb cop
      grpsn eqeltr crn rneqi opex rnsnop eqtr2 elghom mp2an wf1o f1oi f1of
      ax-mp fveq2 snid fvresi syl6eq opreqan12d opreq12 eqtr4d elsn syl2anb
      grpcl mp3an1 syl rgen2a mpbir2an ) GAHZIZBBJKLZVIVIVJMZENZVJOZFNZVJOZBKZV
      MVOBKZVJOZPZFVIQEVIQZBRLZWBVKVLWASTBAAUAZAUAHZRDACUBUCZWEEFVJBBVIVIBUDWDU
      DVIBWDDUEWCAAAUFCUGUHZWFUIUJVIVIVJUKVLVIULVIVIVJUMUNVTEFVIVMVILZVOVILZSZV
      QVRVSVMAPZVOAPZVQVRPWGWHWJWKSVQAABKVRWJWKVNAVPABWJVNAVJOZAVMAVJUOAVILWLAP
      ACUPVIAUQUNZURWKVPWLAVOAVJUOWMURUSVMAVOABUTVAEAVBFAVBVCWIVRVILZVSVRPWBWGW
      HWNWEVMVOBVIWFVDVEVIVRUQVFVAVGVH $.
      $( [3-Mar-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    ghomgrplem.1 $e |- ( ph ->
                          ( G e. Grp /\ H e. Grp /\ F e. ( G GrpHom H ) ) ) $.
    ghomgrplem.2 $e |- S = { <. <. z , z >. , z >. } $.
    ghomgrplem.3 $e |- J = ( I |` { z } ) $.
    $( Lemma for ~ ghomgrp . $)
    ghomgrplem $p |- ( ph -> ( H |` ( ran F X. ran F ) ) e. ( SubGrp ` H ) ) $=
      ( crn cxp cres csubg cfv wcel cif wceq reseq1 fveq2 eleq12d rneq xpeq1
      xpeq2 eqtrd reseq2 syl eleq1d cgr cghom co 3simp1d eleq1 cv cop csn
      visset grpsn eqeltr elimdhyp 3simp2d 3simp3d cid ghomsn elimdeloprv eqid
      ghomgrpi dedth2v ) AFDKZVILZMZFNOZPAFCQZVJMZVMNOZPVMADGQZKZVQLZMZVOPFDCGF
      VMRVKVNVLVOFVMVJSFVMNTUADVPRZVNVSVOVTVIVQRZVNVSRZDVPUBWAVJVRRWBWAVJVQVILV
      RVIVQVIUCVIVQVQUDUEVJVRVMUFUGUGUHVSVPAECQZVMVQAEUIPZWCUIPCUIPZECAWDFUIPZD
      EFUJUKPZHULEWCUIUMCWCUIUMCBUNZWHUOWHUOUPUIIWHBUQZURUSZUTAWFVMUIPWEFCAWDWF
      WGHVAFVMUIUMCVMUIUMWJUTAEFDUJCCGAWDWFWGHVBGVCWHUPMCCUJUKJWHCWIIVDUSVEVQVF
      VSVFVGVH $.
      $( [26-Mar-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    ghomgrp.1 $e |- Y = ran F $.
    ghomgrp.2 $e |- S = ( H |` ( Y X. Y ) ) $.
    $( The image of a group homomorphism from ` G ` to ` H ` is a subgroup of
       ` H ` .  (Contributed by Paul Chapman, 25-Feb-2008.) $)
    ghomgrp $p |- ( ( G e. Grp /\ H e. Grp /\ F e. ( G GrpHom H ) ) ->
                     S e. ( SubGrp ` H ) ) $=
      ( vx cgr wcel cghom co w3a crn cxp cres csubg cfv cv cop csn cid id eqid
      ghomgrplem wceq xpid11 reseq2 sylbir ax-mp eqtr syl5eqel ) CIJDIJBCDKLJMZ
      DBNZUNOZPZDQRAUMHHSZUQTUQTUAZBCDUBUQUAPZUMUCURUDUSUDUEADEEOZPZUPGEUNUFZVA
      UPUFZFVBUTUOUFVCEUNUGUTUODUHUIUJUKUL $.
      $( [26-Mar-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d F x y $.  $d G x y $.  $d H x y $.  $d X x y $.
    ghomfo.1 $e |- X = ran G $.
    ghomfo.2 $e |- Y = ran F $.
    ghomfo.3 $e |- S = ( H |` ( Y X. Y ) ) $.
    ghomfo.4 $e |- Z = ran S $.

    $( A group homomorphism maps onto its image.  (Contributed by Paul Chapman,
       3-Mar-2008.) $)
    ghomfo $p |- ( ( G e. Grp /\ H e. Grp /\ F e. ( G GrpHom H ) ) ->
                   F : X -onto-> Z ) $=
      ( vx vy wfn crn wceq wfo cgr wcel cghom co w3a wa df-fo biimpr wf cv cfv
      wral eqid elghom biimp3a pm3.26d ffn syl cxp cres cdm wss csubg ghomgrp
      issubg sylib 3simp2d grpfo fof fdm 3syl dmeqi syl5reqr ssxp frn syl5ss
      sylanc wb sseq2d ssdmres syl5rbbr 3ad2ant2 mpbid eqtrd xpid11 syl6req )
      BENZBOZGPZEGBQZCRSZDRSZBCDTUASZUBZWGWDWFUCEGBUDUEWKEDOZBUFZWDWKWMLUGZBUHM
      UGZBUHDUAWNWOCUABUHPMEUILEUIZWHWIWJWMWPUCLMBCDWLEHWLUJZUKULUMZEWLBUNUOWKG
      FWEWKGGUPZFFUPZPGFPWKWSDWTUQZURZWTWKAURZWSXBWKARSZXCWSPZWKWIXDADUSZWKADUT
      UHSWIXDXFUBABCDFIJVADAVBVCVDXDWSGAQWSGAUFXEAGKVEWSGAVFWSGAVGVHUOAXAJVIVJW
      KWTWLWLUPZUSZXBWTPZFWLUSZXJXHWKFWLFWLVKWKWEWLFWKWMWEWLUSWREWLBVLUOIVMZXKV
      NWIWHXHXIVOWJWIWTDURZUSXHXIWIXLXGWTWIXGWLDQXGWLDUFXLXGPDWLWQVEXGWLDVFXGWL
      DVGVHVPWTDVQVRVSVTWAGFWBVCIWCVN $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)

    $( Closure of a group homomorphism.  (Contributed by Paul Chapman,
       3-Mar-2008.) $)
    ghomcl $p |- ( ( G e. Grp /\ H e. Grp /\ F e. ( G GrpHom H ) ) ->
                   ( A e. X -> ( F ` A ) e. Z ) ) $=
      ( cgr wcel cghom co w3a wfo wf cfv wi ghomfo fof ffvelrn ex 3syl ) DMNEMN
      CDEOPNQFHCRFHCSZAFNZACTHNZUABCDEFGHIJKLUBFHCUCUGUHUIFHACUDUEUF $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    $d A x y $.  $d B y $.  $d F x y $.  $d G x y $.  $d H x y $.  $d X x y $.
    ghomlin.1 $e |- X = ran G $.
    $( Linearity of a group homomorphism.  (Contributed by Paul Chapman,
       3-Mar-2008.) $)
    ghomlin $p |- ( ( ( G e. Grp /\ H e. Grp /\ F e. ( G GrpHom H ) ) /\
                      ( A e. X /\ B e. X ) ) ->
                    ( ( F ` A ) H ( F ` B ) ) = ( F ` ( A G B ) ) ) $=
      ( vx vy cgr wcel cghom co w3a cv cfv wceq wral wa crn wf eqid elghom
      biimp3a pm3.27d fveq2 opreq1d opreq1 fveq2d eqeq12d opreq2d opreq2
      rcla42v mpan9 ) DJKZEJKZCDELMKZNZHOZCPZIOZCPZEMZUSVADMZCPZQZIFRHFRZAFKBFK
      SACPZBCPZEMZABDMZCPZQZURFETZCUAZVGUOUPUQVOVGSHICDEVNFGVNUBUCUDUEVFVMVHVBE
      MZAVADMZCPZQHIABFFUSAQZVCVPVEVRVSUTVHVBEUSACUFUGVSVDVQCUSAVADUHUIUJVABQZV
      PVJVRVLVTVBVIVHEVABCUFUKVTVQVKCVABADULUIUJUMUN $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    $d F x y $.  $d G x y $.  $d H x y $.
    ghomid.1 $e |- U = ( Id ` G ) $.
    ghomid.2 $e |- T = ( Id ` H ) $.
    $( A group homomorphism maps identity element to identity element.
       (Contributed by Paul Chapman, 3-Mar-2008.) $)
    ghomid $p |- ( ( G e. Grp /\ H e. Grp /\ F e. ( G GrpHom H ) ) ->
                   ( F ` U ) = T ) $=
      ( vx vy cgr wcel cghom co w3a cfv wceq crn wa eqid grpidcl 3ad2ant1 jca
      ghomlin mpdan grplid fveq2d eqtrd wb wf ffvelrn cv wral elghom biimp3a
      pm3.26d sylanc wi grpid ex 3ad2ant2 mpd mpbird ) DJKZEJKZCDELMKZNZBCOZAPZ
      VGVGEMZVGPZVFVIBBDMZCOZVGVFBDQZKZVNRVIVLPVFVNVNVCVDVNVEBDVMVMSZFTZUAZVQUB
      BBCDEVMVOUCUDVCVDVLVGPVEVCVKBCVCVNVKBPVPBBDVMVOFUEUDUFUAUGVFVGEQZKZVHVJUH
      ZVMVRCUIZVNVSVFVMVRBCUJVFWAHUKZCOIUKZCOEMWBWCDMCOPIVMULHVMULZVCVDVEWAWDRH
      ICDEVRVMVOVRSZUMUNUOVQUPVDVCVSVTUQVEVDVSVTVGAEVRWEGURUSUTVAVB $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    $d F x y $.  $d G x y $.  $d H x y $.  $d S x y $.
    ghomgsg.1 $e |- Y = ran F $.
    ghomgsg.2 $e |- S = ( H |` ( Y X. Y ) ) $.
    $( A group homomorphism from ` G ` to ` H ` is also a group homomorphism
       from ` G ` to its image in ` H ` .  (Contributed by Paul Chapman,
       3-Mar-2008.) $)
    ghomgsg $p |- ( ( G e. Grp /\ H e. Grp /\ F e. ( G GrpHom H ) ) ->
                    F e. ( G GrpHom S ) ) $=
      ( vx vy cgr wcel cghom co w3a crn wf cv cfv wceq wral wfo eqid ghomfo
      fof syl wa elghom biimp3a pm3.27d csubg wi ghomgrp subgopr ghomcl
      syl2and imp eqeq1d 2ralbidva mpbird biimprd 3adant3 wss issubg sylib
      3simp2d syld3an2 mp2and ) CJKZDJKZBCDLMKZNZCOZAOZBPZHQZBRZIQZBRZAMZVOVQCM
      BRZSZIVLTHVLTZBCALMKZVKVLVMBUAVNABCDVLEVMVLUBZFGVMUBZUCVLVMBUDUEVKWBVPVRD
      MZVTSZIVLTHVLTZVKVLDOZBPZWHVHVIVJWJWHUFHIBCDWIVLWDWIUBUGUHUIVKWAWGHIVLVLV
      KVOVLKZVQVLKZUFZUFVSWFVTVKWMVSWFSZVKVPVMKZVRVMKZWNWKWLVKADUJRKZWOWPUFWNUK
      ABCDEFGULZVPVRDAVMWEUMUEVOABCDVLEVMWDFGWEUNVQABCDVLEVMWDFGWEUNUOUPUQURUSV
      HAJKZVJVNWBUFZWCUKZVIVHWSXAVJVHWSUFWCWTHIBCAVMVLWDWEUGUTVAVKVIWSADVBZVKWQ
      VIWSXBNWRDAVCVDVEVFVG $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    $d F x $.  $d G x $.  $d H x $.  $d T x $.  $d U x $.  $d X x $.  $d Z x $.
    ghomf1olem.1 $e |- X = ran G $.
    ghomf1olem.2 $e |- Y = ran F $.
    ghomf1olem.3 $e |- S = ( H |` ( Y X. Y ) ) $.
    ghomf1olem.4 $e |- Z = ran S $.
    ghomf1olem.5 $e |- U = ( Id ` G ) $.
    ghomf1olem.6 $e |- T = ( Id ` H ) $.

    ${
      $d F x y z $.  $d G y z $.  $d H y z $.  $d N x $.  $d T y z $.
      $d U y z $.  $d X y z $.
      ghomf1olem.7 $e |- N = ( inv ` G ) $.
      $( Lemma for ~ ghomf1o . $)
      ghomf1olem $p |- ( ( G e. Grp /\ H e. Grp /\ F e. ( G GrpHom H ) ) ->
          ( F : X -1-1-onto-> Z <-> A. x e. X ( ( F ` x ) = T -> x = U ) ) ) $=
        ( vy vz cgr wcel cghom co w3a wf1o cv cfv wceq wi wral grpidcl fveq2
        eqeq1d equequ1 imbi12d eqeq2d eqeq2 rcla42v expcom syl com23 3ad2ant1
        wf wf1 wa f1of1 f1fv sylib pm3.27d syl5 ghomid imbi1d imbi2d sylibd
        r19.21adv wfo df-f1o biimpr ghomfo adantr fof grpcl grpinvcl 3adant2
        syld3an3 3expib eqeq1 rcla4v syl6 imp opreq1 3ad2ant3 simprl 3ad2antl1
        adantrl jca ghomlin syldan 3adant3 simprr grprinv fveq2d 3eqtrd
        3eqtr3d 3expia wb grp2inv grpinvid2 3com23 bitr3d equcom syl5bbr 3expb
        biimprd imim12d syld ex r19.21aivv sylanc impbid ) FUAUBZGUAUBZEFGUCUDU
        BZUEZIKEUFZAUGZEUHZCUIZYGDUIZUJZAIUKZYEYFYKAIYEYFYGIUBZYHDEUHZUIZYJUJZU
        JZYMYKUJYESUGZEUHZTUGZEUHZUIZYRYTUIZUJZTIUKSIUKZYQYFYBYCUUEYQUJYDYBYMUU
        EYPYBDIUBZYMUUEYPUJZUJDFILPULYMUUFUUGUUDYPYHUUAUIZYGYTUIZUJSTYGDIIYRYGU
        IZUUBUUHUUCUUIUUJYSYHUUAYRYGEUMUNSATUOUPYTDUIZUUHYOUUIYJUUKUUAYNYHYTDEU
        MUQYTDYGURUPUSUTVAVBVCYFIKEVDZUUEYFIKEVEZUULUUEVFZIKEVGSTIKEVHZVIVJVKYE
        YPYKYMYEYOYIYJYEYNCYHCDEFGPQVLZUQVMVNVOVPYEYLYFUUMIKEVQZYFYEYLVFZYFUUMU
        UQVFIKEVRVSUULUUEUUMUURUUMUUNUUOVSUURUUQUULYEUUQYLBEFGIJKLMNOVTWAZIKEWB
        VAUURUUDSTIIYEYLYRIUBZYTIUBZVFZUUDUJYEUVBYLUUDYEUVBYLUUDUJYEUVBVFZYLYRY
        THUHZFUDZEUHZCUIZUVEDUIZUJZUUDYEUVBYLUVIUJZYEUVBUVEIUBZUVJYBYCUVBUVKUJY
        DYBUUTUVAUVKYBUUTUVDIUBZUVKUVAYRUVDFILWCYBUVAUVLUUTYTFHILRWDZWEZWFWGVCY
        KUVIAUVEIYGUVEUIZYIUVGYJUVHUVOYHUVFCYGUVEEUMUNYGUVEDWHUPWIWJWKUVCUUBUVG
        UVHUUCYEUVBUUBUVGYEUVBUUBUEYSUVDEUHZGUDZUUAUVPGUDZUVFCUUBYEUVQUVRUIUVBY
        SUUAUVPGWLWMYEUVBUVQUVFUIZUUBYEUVBUUTUVLVFUVSUVCUUTUVLYEUUTUVAWNYEUVAUV
        LUUTYBYCUVAUVLYDUVMWOWPZWQYRUVDEFGILWRWSWTYEUVBUVRCUIUUBUVCUVRYTUVDFUDZ
        EUHZYNCYEUVBUVAUVLVFUVRUWBUIUVCUVAUVLYEUUTUVAXAUVTWQYTUVDEFGILWRWSUVCUW
        ADEYEUVAUWADUIZUUTYBYCUVAUWCYDYTDFHILPRXBWOWPXCYEYNCUIUVBUUPWAXDWTXEXFU
        VCUUCUVHYBYCUVBUUCUVHXGZYDYBUUTUVAUWDYBUUTUVAUEZYTYRUIZUVHUUCUWEUVDHUHZ
        YRUIZUWFUVHUWEUWGYTYRYBUVAUWGYTUIUUTYTFHILRXHWEUNYBUUTUVLUWHUVHXGZUVAYB
        UVLUUTUWIUVDYRDFHILPRXIXJUVNWFXKTSXLXMXNWOXOXPXQXRVBWKXSXTUUSXTXRYA $.
        $( [3-Mar-2008] $) $( [3-Mar-2008] $)
    $}

    $( Two ways of saying a group homomorphism is 1-1-onto its image.
       (Contributed by Paul Chapman, 3-Mar-2008.) $)
    ghomf1o $p |- ( ( G e. Grp /\ H e. Grp /\ F e. ( G GrpHom H ) ) ->
        ( F : X -1-1-onto-> Z <-> A. x e. X ( ( F ` x ) = T -> x = U ) ) ) $=
      ( cgn cfv eqid ghomf1olem ) ABCDEFGFQRZHIJKLMNOPUAST $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    $d F f $.  $d G f g h s $.  $d H f g h s $.
    $( Membership in the set of group isomorphisms from ` G ` to ` H ` .
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    elgiso $p |- ( ( G e. Grp /\ H e. Grp ) -> ( F e. ( G GrpIso H ) <->
        ( F e. ( G GrpHom H ) /\ F : ran G -1-1-onto-> ran H ) ) ) $=
      ( vf vg vh vs cgr wcel wa cgiso co crn cv wf1o cghom crab oprex rabex
      wceq wb rneq f1oeq2 syl rabbisdv opreq1 rabeq eqtrd f1oeq3 opreq2
      df-giso oprabval2 eleq2d f1oeq1 elrab syl6bb ) BHICHIJZABCKLZIABMZCMZDNZO
      ZDBCPLZQZIAVCIUSUTAOZJUQURVDAEFGBCHHENZMZFNZMZVAOZDVFVHPLZQZVDKUSVIVAOZDB
      VHPLZQZVBDVCBCPRSVFBTZVLVMDVKQZVOVPVJVMDVKVPVGUSTVJVMUAVFBUBVGUSVIVAUCUDU
      EVPVKVNTVQVOTVFBVHPUFVMDVKVNUGUDUHVHCTZVOVBDVNQZVDVRVMVBDVNVRVIUTTVMVBUAV
      HCUBVIUTUSVAUIUDUEVRVNVCTVSVDTVHCBPUJVBDVNVCUGUDUHDEFGUKULUMVBVEDAVCUSUTV
      AAUNUOUP $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Symmetry groups and Cayley's Theorem
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c SymGrp $.

  $( Extend class notation to include the class of symmetry groups. $)
  csymgrp $a class SymGrp $.

  ${
    $d x y f g h $.
    $( Define the symmetry group on set ` x ` .  We represent the group as the
       set of 1-1-onto functions from ` x ` to itself under function
       composition. $)
    df-symgrp $a |- SymGrp = { <. x , y >. | y = { <. <. f , g >. , h >. |
      ( f : x -1-1-onto-> x /\ g : x -1-1-onto-> x /\ h = ( f o. g ) ) } } $.
  $}

  ${
    $d A f g h x $.  $d F f g h $.  $d F x $.  $d G f g h $.  $d P f g h $.
    $d f g h x y $.
    elsymgrn.1 $e |- A e. V $.
    elsymgrn.2 $e |- P = { x | x : A -1-1-onto-> A } $.

    $( Two ways of saying a function is a 1-1-onto mapping of A to itself.
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    elsymgrn $p |- ( F e. P <-> F : A -1-1-onto-> A ) $=
      ( wcel cvv wf1o elisset wf f1of fex mpan2 syl cv f1oeq1 elab2g pm5.21nii
      ) DCGDHGZBBDIZDCJUABBDKZTBBDLUBBHGTEBBHDMNOBBAPZIUAADCHBBUCDQFRS $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)

    $( Two ways to express the symmetry-group operator class abstraction.
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    symgoprab $p |- { <. <. f , g >. , h >. | ( f : A -1-1-onto-> A /\
                      g : A -1-1-onto-> A /\ h = ( f o. g ) ) } =
      { <. <. f , g >. , h >. | ( ( f e. P /\ g e. P ) /\ h = ( f o. g ) ) } $=
      ( cv wcel wa ccom wceq copab2 wf1o w3a elsymgrn anbi12i anbi1i df-3an
      bitr4 oprabbii eqcomi ) DIZCJZEIZCJZKZFIUDUFLMZKZDEFNBBUDOZBBUFOZUIPZDEFN
      UJUMDEFUJUKULKZUIKUMUHUNUIUEUKUGULABCUDGHQABCUFGHQRSUKULUITUAUBUC $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)

    $( The value of the symmetry group function at ` A ` .  (Contributed by
       Paul Chapman, 25-Feb-2008.) $)
    symgval $p |- ( SymGrp ` A ) = { <. <. f , g >. , h >. |
                    ( ( f e. P /\ g e. P ) /\ h = ( f o. g ) ) } $=
      ( vy csymgrp cfv cv wf1o ccom wceq w3a copab2 copab wcel wa df-symgrp
      fveq1i cvv cab equid biantru abbii eqtr f1oabexg mp2an symgoprab
      oprabex2 f1oeq2 f1oeq3 bitrd 3anbi12d oprabbidv fvopab 3eqtr ) BJKBILALZU
      TDLZMZUTUTELZMZFLVAVCNZOZPZDEFQZOAIRZKBBVAMZBBVCMZVFPZDEFQZVACSVCCSTVFTDE
      FQBJVIAIDEFUAUBAIBVHVMGDEFCCVEVMBUCSZVNCUCSGGUTUTOZBBUCUCACCBBUTMZAUDVPVO
      TZAUDHVPVQAVOVPAUEUFUGUHUIUJZVRABCDEFGHUKZULUTBOZVGVLDEFVTVBVJVDVKVFVTVBB
      UTVAMVJUTBUTVAUMUTBBVAUNUOVTVDBUTVCMVKUTBUTVCUMUTBBVCUNUOUPUQURVSUS $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)

    $( The value of the group operation of the symmetry group on ` A ` .
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    symgoprval $p |- ( ( F e. P /\ G e. P ) ->
                       ( F ( SymGrp ` A ) G ) = ( F o. G ) ) $=
      ( vf vg vh wcel wa cv ccom wceq copab2 co csymgrp cfv cvv coexg coeq1
      coeq2 eqid oprabval2g mpd3an3 symgval opreqi syl5eq ) DCKZECKZLDEHMZCKIMZ
      CKLJMULUMNZOLHIJPZQZDENZDEBRSZQUJUKUQTKUPUQODECCUAHIJDECCUNUQUODUMNTULDUM
      UBUMEDUCUOUDUEUFURUODEABCHIJFGUGUHUI $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)

    $( The domain and codomain of the group operation of the symmetry group on
       ` A ` .  (Contributed by Paul Chapman, 25-Feb-2008.) $)
    symgf $p |- ( SymGrp ` A ) : ( P X. P ) --> P $=
      ( vf vg vh cv ccom csymgrp cfv symgval wf1o wa wcel f1oco elsymgrn
      anbi12i 3imtr4 foprab ) FGHCCFIZGIZJZCBKLABCFGHDEMBBUBNZBBUCNZOBBUDNUBCPZ
      UCCPZOUDCPBBBUBUCQUGUEUHUFABCUBDERABCUCDERSABCUDDERTUA $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d A f g h x $.  $d F f g h $.  $d F x $.  $d G f g h $.  $d P f g h $.
    $d f g h x y $.
    symggrpi.1 $e |- A e. V $.
    $( The symmetry group on ` A ` is a group (inference version).
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    symggrpi $p |- ( SymGrp ` A ) e. Grp $=
      ( vf vg vh vx cid cres csymgrp cfv cv ccnv wf1o cab cvv wcel wceq wa
      eqid equid biantru abbii eqtr f1oabexg mp2an symgf w3a ccom co coass
      symgoprval 3adant3 opreq1d f1oco elsymgrn anbi12i 3imtr4 sylan 3impa
      eqtrd 3adant1 opreq2d sylan2 3impb 3eqtr4a f1oi mpbir mpan wf f1of fcoi2
      syl sylbi f1ocnv mpancom f1ococnv1 isgrpi ) CDEGAHZAIJZCKZLZAAFKZMZFNZAOP
      ZWEWDOPBBWBWBQZAAOOFWDWDWDWCWFRZFNWDSZWCWGFWFWCFTUAUBUCUDUEFAWDBWHUFVTWDP
      ZDKZWDPZEKZWDPZUGZVTWJUHZWLUHZVTWJWLUHZUHZVTWJVSUIZWLVSUIZVTWJWLVSUIZVSUI
      ZVTWJWLUJWNWTWOWLVSUIZWPWNWSWOWLVSWIWKWSWOQWMFAWDVTWJBWHUKULUMWIWKWMXCWPQ
      ZWOWDPZWMXDWIWKRZFAWDWOWLBWHUKAAVTMZAAWJMZRAAWOMXFXEAAAVTWJUNWIXGWKXHFAWD
      VTBWHUOZFAWDWJBWHUOZUPFAWDWOBWHUOUQURUSUTWNXBVTWQVSUIZWRWNXAWQVTVSWKWMXAW
      QQWIFAWDWJWLBWHUKVAVBWIWKWMXKWRQZWIWQWDPZXLWKWMRZFAWDVTWQBWHUKXHAAWLMZRAA
      WQMXNXMAAAWJWLUNWKXHWMXOXJFAWDWLBWHUOUPFAWDWQBWHUOUQVCVDUTVEVRWDPZAAVRMAV
      FFAWDVRBWHUOVGZWIVRVTVSUIZVRVTUHZVTXPWIXRXSQXQFAWDVRVTBWHUKVHWIXGXSVTQZXI
      XGAAVTVIXTAAVTVJAAVTVKVLVMUTXGAAWAMWIWAWDPZAAVTVNXIFAWDWABWHUOUQZWIWAVTVS
      UIZWAVTUHZVRYAWIYCYDQYBFAWDWAVTBWHUKVOWIXGYDVRQXIAAVTVPVMUTVQ $.
      $( [4-Jun-2008] $) $( [25-Feb-2008] $)

    $( The value of the identity element of the symmetry group on ` A `
       (Contributed by Paul Chapman, 25-Feb-2008.) $)
    symgidi $p |- ( Id ` ( SymGrp ` A ) ) = ( I |` A ) $=
      ( vx cid cres csymgrp cfv cgi wceq co ccom cv wf1o cab wcel f1oi eqid
      elsymgrn mpbir symgoprval mp2an wf f1of ax-mp fcoi2 eqtr cgr wb symggrpi
      cxp symgf fdmi grprn grpid eqcomi ) DAEZAFGZHGZUPURIZUPUPUQJZUPIZUTUPUPKZ
      UPUPAACLMCNZOZVDUTVBIVDAAUPMZAPZCAVCUPBVCQZRSZVHCAVCUPUPBVGTUAAAUPUBZVBUP
      IVEVIVFAAUPUCUDAAUPUEUDUFUQUGOVDUSVAUHABUIZVHUPURUQVCUQVCVJVCVCUJVCUQCAVC
      BVGUKULUMURQUNUASUO $.
      $( [25-Jul-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d A x $.
    $( The symmetry group on ` A ` is a group.  (Contributed by Paul Chapman,
       25-Feb-2008.) $)
    symggrp $p |- ( A e. B -> ( SymGrp ` A ) e. Grp ) $=
      ( vx cv csymgrp cfv cgr wcel wceq fveq2 eleq1d visset symggrpi vtoclg )
      CDZEFZGHAEFZGHCABOAIPQGOAEJKOCLMN $.
      $( [25-Feb-2008] $) $( [25-Feb-2008] $)
  $}

  ${
    $d A a b f g h $.  $d F f w x y z $.  $d G a b c f g h w x y z $.
    $d H w x y z $.  $d P c g h $.  $d S y $.  $d U a b y $.
    $d X a b c f g h w x y z $.  $d Y y $.

    cayleylem1.1 $e |- G e. Grp $.
    cayleylem1.2 $e |- P = { f | f : X -1-1-onto-> X } $.
    cayleylem1.3 $e |- X = ran G $.
    cayleylem1.4 $e |- U = ( Id ` G ) $.
    cayleylem1.5 $e |- H = ( SymGrp ` X ) $.
    cayleylem1.6 $e |- F = { <. g , h >. | ( g e. X /\ h = { <. a , b >. |
                             ( a e. X /\ b = ( g G a ) ) } ) } $.
    cayleylem1.7 $e |- Y = ran F $.
    cayleylem1.8 $e |- S = ( H |` ( Y X. Y ) ) $.

    $( Lemma for ~ cayleyi . $)
    cayleylem1 $p |- ( A e. X -> ( F ` A ) e. P ) $=
      ( wcel cfv wf1o cgr grplactf1o mpan crn cvv rnexg ax-mp eqeltr elsymgrn
      sylibr ) AKUCZKKAHUDZUEZUQBUCIUFUCZUPUROAFGHIKMNTQUGUHEKBUQKIUIZUJQUSUTUJ
      UCOIUFUKULUMPUNUO $.
      $( [18-Mar-2008] $) $( [3-Mar-2008] $)

    $( Lemma for ~ cayleyi . $)
    cayleylem2 $p |- F e. ( G GrpHom H ) $=
      ( vx vy vc vz vw cghom co wcel wf cv cfv wceq wral cgr wa wb csymgrp crn
      cvv rnexg ax-mp eqeltr symggrpi cxp symgf fdmi grprn rneqi eqtr4 elghom
      mp2an copab grplactfval mpan cayleylem1 eqeltrrd rgen opreq1 eqeq2d
      anbi2d opabbidv eleq1d cbvralv fopab2 bitr mpbi ccom symgoprval syl2an
      opreqi syl5eq w3a grpass grplactval mp3an1 grpcl sylan 3impa wfun wfn wi
      fvco2 3expia wf1o elsymgrn sylib f1of ffn 3syl fnfun syl 3impia fveq2d
      3adant1 sylan2 3impb 3eqtrd 3eqtr4rd r19.21aiv eqid eqfnfv wss fnco frn
      syl3an 3anidm23 sylanc biimprd mpani mpd eqtrd rgen2a fveq2 opreq1d
      eqeq12d opreq2d opreq2 cbvral2v mpbir2an ) GHIUGUHUIZJAGUJZUBUKZGULZUCUKZ
      GULZIUHZUUCUUEHUHZGULZUMZUCJUNUBJUNZHUOUIZIUOUIUUAUUBUUKUPUQNIJURULZUORJJ
      HUSZUTPUULUUNUTUINHUOVAVBVCZVDZVCUBUCGHIAJPAUUMUSIUSUUMAUUPAAVEAUUMDJAUUO
      OVFVGVHIUUMRVIVJVKVLLUKZJUIZMUKZUDUKZUUQHUHZUMZUPZLMVMZAUIZUDJUNZUUBUVEUD
      JUUTJUIZUUTGULZUVDAUULUVGUVHUVDUMNUUTEFGHJLMSPVNVOUUTABCDEFGHIJKLMNOPQRST
      UAVPVQVRUVFUURUUSEUKZUUQHUHZUMZUPZLMVMZAUIZEJUNUUBUVEUVNUDEJUUTUVIUMZUVDU
      VMAUVOUVCUVLLMUVOUVBUVKUURUVOUVAUVJUUSUUTUVIUUQHVSVTWAWBWCWDEFJAUVMGSWEWF
      WGUEUKZGULZUFUKZGULZIUHZUVPUVRHUHZGULZUMZUFJUNUEJUNUUKUWCUEUFJUVPJUIZUVRJ
      UIZUPZUVTUVQUVSWHZUWBUWFUVQUVSUUMUHZUWGUVTUVQAUIZUVSAUIZUWHUWGUMUWDUWEDJA
      UVQUVSUUOOWIUVPABCDEFGHIJKLMNOPQRSTUAVPZUVRABCDEFGHIJKLMNOPQRSTUAVPZWJIUU
      MUVQUVSRWKWLUWFUUCUWGULZUUCUWBULZUMZUBJUNZUWGUWBUMZUWFUWOUBJUWDUWEUUCJUIZ
      UWOUWDUWEUWRWMZUWAUUCHUHZUVPUVRUUCHUHZHUHZUWNUWMUULUWSUWTUXBUMNUVPUVRUUCH
      JPWNVOUWDUWEUWRUWNUWTUMZUWAJUIZUWRUXCUWFUULUXDUWRUXCNUWAUUCEFGHJLMSPWOWPU
      ULUWDUWEUXDNUVPUVRHJPWQWPZWRWSUWSUWMUUCUVSULZUVQULZUXAUVQULZUXBUWDUWEUWRU
      WMUXGUMZUVQWTZUVSJXAZUWRUXIXBUWDUWEUXJUXKUWRUXIJUUCUVQUVSXCXDUWDUVQJXAZUX
      JUWDJJUVQXEZJJUVQUJUXLUWDUWIUXMUWKDJAUVQUUOOXFXGJJUVQXHJJUVQXIXJZJUVQXKXL
      UWEJJUVSXEZJJUVSUJZUXKUWEUWJUXOUWLDJAUVSUUOOXFXGZJJUVSXHZJJUVSXIXJZWJXMUW
      EUWRUXGUXHUMUWDUWEUWRUPZUXFUXAUVQUULUWEUWRUXFUXAUMNUVRUUCEFGHJLMSPWOWPXNX
      OUWDUWEUWRUXHUXBUMZUWDUXAJUIZUYAUXTUULUWDUYBUYANUVPUXAEFGHJLMSPWOWPUULUWE
      UWRUYBNUVRUUCHJPWQWPXPXQXRXSXDXTUWFJJUMZUWPUWQJYAUWFUWQUYCUWPUPZUWGJXAZUW
      BJXAZUWQUYDUQUWFUBJJUWGUWBYBUWDUWEUYEUXLUXKUVSUSJYCZUYEUWDUWEUWEJJUVQUVSY
      DUXNUXSUWEUXOUXPUYGUXQUXRJJUVSYEXJYFYGUWFUXDUYFUXEUXDJJUWBXEZJJUWBUJUYFUX
      DUWBAUIUYHUWAABCDEFGHIJKLMNOPQRSTUAVPDJAUWBUUOOXFXGJJUWBXHJJUWBXIXJXLYHYI
      YJYKYLYMUWCUUJUUDUVSIUHZUUCUVRHUHZGULZUMUEUFUBUCJJUVPUUCUMZUVTUYIUWBUYKUY
      LUVQUUDUVSIUVPUUCGYNYOUYLUWAUYJGUVPUUCUVRHVSXNYPUVRUUEUMZUYIUUGUYKUUIUYMU
      VSUUFUUDIUVRUUEGYNYQUYMUYJUUHGUVRUUEUUCHYRXNYPYSWGYT $.
      $( [25-Jul-2008] $) $( [3-Mar-2008] $)

    $( Lemma for ~ cayleyi . $)
    cayleylem3 $p |- ( S e. ( SubGrp ` H ) /\ F e. ( G GrpIso S ) ) $=
      ( vy csubg cfv wcel cgiso co csymgrp cgr crn cvv rnexg ax-mp eqeltr
      symggrpi cayleylem2 ghomgrpi cghom wf1o wa wb wss w3a issubg mpbi
      3simp2i elgiso mp2an ghomgsg mp3an cv cgi wceq wi wral cxp cres wfn wfo
      wf eqid ghomfo forn syl eqtr grpfo fof ffn 3syl fnresdm eqcomi ghomf1o
      grpidcl grplactval mp3an13 grprid mpan eqtrd eqeq1d cid subgid fveq2i
      symgidi eqtr2 eqeq2i fveq1 fvresi syl6eq sylbir syl5bi mprgbir f1oeq3
      f1oeq2 bitr mpbir2an pm3.2i ) BIUCUDUEZGHBUFUGUEZBGHIKNIJUHUDZUIRJJHUJZUK
      PHUIUEZXTUKUENHUIULUMUNZUOUNZABCDEFGHIJKLMNOPQRSTUAUPZTUAUQZXRGHBURUGUEZX
      TBUJZGUSZYABUIUEZXRYFYHUTVANIUIUEZYIBIVBZXQYJYIYKVCYEIBVDVEVFZGHBVGVHYAYJ
      GHIURUGUEZYFNYCYDBGHIKTUAVIVJZJKGUSZYHYOUBVKZGUDZBVLUDZVMZYPCVMZVNZUBJYAY
      IYFYOUUAUBJVOVANYLYNUBBYRCGHBJKKPTBKKVPZVQZBYIUUCBVMZYLYIBUUBVRZUUDYIUUBK
      BVSUUBKBVTUUEBKKGUJZYGTYAYJYMUUFYGVMZNYCYDYAYJYMVCJYGGVSUUGBGHIJKYGPTUAYG
      WAWBJYGGWCWDVJWEZWFUUBKBWGUUBKBWHWIUUBBWJWDUMWKUUHQYRWAZWLVJYPJUEZCYQUDZC
      VMZYTYSUUJUUKYPCUUJUUKYPCHUGZYPYAUUJCJUEZUUKUUMVMNYAUUNNCHJPQWMUMZYPCEFGH
      JLMSPWNWOYAUUJUUMYPVMNYPCHJPQWPWQWRWSYSYQWTJVQZVMZUULUUPYRYQYRIVLUDZUUPXQ
      YRUURVMYEYRUURIBUURWAUUIXAUMUURXSVLUDUUPIXSVLRXBJYBXCWEXDXEUUQUUKCUUPUDZC
      CYQUUPXFUUNUUSCVMUUOJCXGUMXHXIXJXKYOJYGGUSZYHKYGVMYOUUTVAUUHKYGJGXLUMJXTV
      MUUTYHVAPJXTYGGXMUMXNVEXOXP $.
      $( [18-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    $d F f $.  $d G a b f g h $.  $d X a b f g h $.
    cayleyi.1 $e |- G e. Grp $.
    cayleyi.2 $e |- X = ran G $.
    cayleyi.3 $e |- H = ( SymGrp ` X ) $.
    cayleyi.4 $e |- F = { <. g , h >. | ( g e. X /\ h = { <. a , b >. |
                          ( a e. X /\ b = ( g G a ) ) } ) } $.
    cayleyi.5 $e |- Y = ran F $.
    cayleyi.6 $e |- S = ( H |` ( Y X. Y ) ) $.
    $( Cayley's Theorem (constructive version): given group ` G ` , ` F ` is
       an isomorphism between ` G ` and the subgroup ` S ` of the symmetry
       group ` H ` on the underlying set ` X ` of ` G ` .  (Contributed by
       Paul Chapman, 3-Mar-2008.) $)
    cayleyi $p |- ( S e. ( SubGrp ` H ) /\ F e. ( G GrpIso S ) ) $=
      ( vf cv wf1o cab cgi cfv eqid cayleylem3 ) GGQRSQTZAEUAUBZQBCDEFGHIJKUEUC
      LUFUCMNOPUD $.
      $( [18-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    $d F f h $.  $d G a b g j $.  $d G f h $.  $d H f h $.  $d Q a b g j $.
    $d Q f h $.  $d S h $.  $d X a b g j $.
    cayleythlem.1 $e |- Q = { <. <. x , x >. , x >. } $.
    cayleythlem.2 $e |- X = ran if ( G e. Grp , G , Q ) $.
    cayleythlem.3 $e |- H = ( SymGrp ` X ) $.
    cayleythlem.4 $e |- F = { <. g , j >. | ( g e. X /\ j = { <. a , b >. |
      ( a e. X /\ b = ( g if ( G e. Grp , G , Q ) a ) ) } ) } $.
    cayleythlem.5 $e |- Y = ran F $.
    cayleythlem.6 $e |- S = ( H |` ( Y X. Y ) ) $.
    $( Lemma for ~ cayleyth . $)
    cayleythlem $p |- ( G e. Grp ->
        E. f E. h e. ( SubGrp ` ( SymGrp ` ran G ) ) f e. ( G GrpIso h ) ) $=
      ( cgr wcel cv cgiso co csubg cfv wrex wex crn csymgrp cif wceq opreq1
      eleq2d rexbidv exbidv wa cop csn visset grpsn eqeltr elimel cayleyi
      opreq2 rcla4ev ax-mp copab cvv rnexg fopabex2 eleq1 cla4ev dedth iftrue
      rneqd syl5eq fveq2d rexeq1d mpbid ) IUAUBZDUCZIFUCZUDUEZUBZFJUFUGZUHZDUIZ
      WFFIUJZUKUGZUFUGZUHZDUIWBWIWCWBIBULZWDUDUEZUBZFWGUHZDUIZIBIWNUMZWHWQDWSWF
      WPFWGWSWEWOWCIWNWDUDUNUOUPUQHWOUBZFWGUHZWRCWGUBHWNCUDUEZUBZURXACEGHWNJKLM
      NIBUABAUCZXDUSXDUSUTUAOXDAVAVBVCVDZPQRSTVEWTXCFCWGWDCUMWOXBHWDCWNUDVFUOVG
      VHWQXADHEGKMUCZKUBNUCEUCXFWNUEUMURMNVIHKWNUJZVJPWNUAUBXGVJUBXEWNUAVKVHVCR
      VLWCHUMWPWTFWGWCHWOVMUPVNVHVOWBWHWMDWBWFFWGWLWBJWKUFWBKUKUGWKJWBKWJUKWBXG
      WJKWBWNIWBIBVPVQPVRVSQVRVSVTUQWA $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

  ${
    $d G a b f g h j $.  $d a b f g h j x $.
    $( Cayley's Theorem (existence version): every group ` G ` is isomorphic
       to a subgroup of the symmetry group on the underlying set of ` G ` .
       (For any group ` G ` there exists an isomorphism ` f ` between ` G ` and
       a subgroup ` h ` of the symmetry group on the underlying set of ` G ` .)
       (Contributed by Paul Chapman, 3-Mar-2008.) $)
    cayleyth $p |- ( G e. Grp -> E. f E. h e. ( SubGrp ` ( SymGrp ` ran G ) )
                                      f e. ( G GrpIso h ) ) $=
      ( vx vg vj va vb cv cop csn cgr wcel cif crn csymgrp cfv co wceq wa
      copab cxp cres eqid cayleythlem ) DDIZUFJUFJKZCLMCUGNZOZPQZEIZUIMFIGIZUIM
      HIUKULUHRSTGHUASTEFUAZOZUNUBUCZAEBFUMCUJUIUNGHUGUDUIUDUJUDUMUDUNUDUOUDUE
      $.
      $( [3-Mar-2008] $) $( [3-Mar-2008] $)
  $}

$( (End of Paul Chapmans's sandbox.) $)


$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                Sandbox for Jeff Hoffman
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
         Interfaces for finite induction on generic function values
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( findrec.mm - Interfaces for finite induction on generic function values
     and specifically, functions defined via rec(G, A). $)

  $( Please add description here. $)
  fveleq  $p |- ( A = B ->
             ( ( ph -> ( F ` A ) e. P ) <-> ( ph -> ( F ` B ) e. P ) ) ) $=
    ( wceq cfv wcel fveq2 eleq1d imbi2d ) BCFZBEGZDHCEGZDHALMNDBCEIJK $.
    $( [19-Feb-2008] $) $( [12-Feb-2008] $)

  ${
    $d F x y $.  $d P x y $. $d x y ph $. $d x A $.
    findfvcl.1 $e |- ( ph -> ( F ` (/) ) e. P ) $.
    findfvcl.2 $e |- ( y e. om -> ( ph -> ( ( F ` y ) e. P ->
                     ( F ` suc y ) e. P ) ) ) $.
    $( Please add description here. $)
    findfvcl   $p |- ( A e. om -> ( ph -> ( F ` A ) e. P ) ) $=
      ( vx cv cfv wcel wi c0 csuc fveleq com a2d finds ) AHIZEJDKLAMEJDKLABIZEJ
      DKZLATNZEJDKZLACEJDKLHBCASMDEOASTDEOASUBDEOASCDEOFTPKAUAUCGQR $.
      $( [19-Feb-2008] $) $( [12-Feb-2008] $)
  $}

  ${
    $d y z $. $d G y $. $d A y $. $d P y $.
              $d G z $. $d A z $. $d P z $.
    findreccl.1 $e |- ( z e. P -> ( G ` z ) e. P ) $.
    $( Please add description here. $)
    findreccl  $p |- ( C e. om -> ( A e. P -> ( rec ( G , A ) ` C ) e. P ) ) $=
      ( vy wcel crdg c0 cfv wceq rdg0t eleq1a mpd cv com csuc wi con0 nnont
      rdgsuct eleq1d fveq2 vtoclga syl5bir syl a1d findfvcl ) BDHZGCDEBIZUJJUKK
      ZBLULDHBDEMBDULNOGPZQHZUMUKKZDHZUMRUKKZDHZSZUJUNUMTHZUSUMUAUTURUOEKZDHZUP
      UTUQVADBUMEUBUCAPZEKZDHVBAUODVCUOLVDVADVCUOEUDUCFUEUFUGUHUI $.
      $( [19-Feb-2008] $) $( [19-Feb-2008] $)
  $}

  ${
    $d G x y $. $d A x y $. $d C x y $. $d P y $.
    $d G z $.  $d A z $.               $d P z $.
    findabrcl.1 $e |- ( z e. P -> ( G ` z ) e. P ) $.
    $( Please add description here. $)
    findabrcl   $p |- ( ( C e. om /\ A e. P ) ->
                  ( { <. x , y >. | y = ( rec ( G , A ) ` x ) } ` C ) e. P ) $=
      ( com wcel crdg cfv cv wceq copab findreccl imp wa fveq2 fvopabg eleq1d
      biimparc anabss7 syldan ) EIJZDFJZEGDKZLZFJZEBMAMZUGLZNABOLZFJZUEUFUICDEF
      GHPQUEUIUMUEUIRZUMUIUNULUHFABEUKUHIFUJEUGSTUAUBUCUD $.
      $( [19-Feb-2008] $) $( [16-Feb-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              gdc.mm
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( gdc.mm  9-Apr-2008 $)

  ${
    nnssi2.1 $e |- NN (_ D $.
    nnssi2.2 $e |- ( B e. NN -> ph ) $.
    nnssi2.3 $e |- ( ( A e. D /\ B e. D /\ ph ) -> ps ) $.
    $( Convert a theorem for real/complex numbers into one for natural
       numbers. $)
    nnssi2   $p |- ( ( A e. NN /\ B e. NN ) -> ps ) $=
      ( cn wcel wa w3a sseli 3anim123i 3anidm23 syl ) CIJZDIJZKCEJZDEJZALZBQRUA
      QSRTRAIECFMIEDFMGNOHP $.
      $( [17-Jun-2008] $) $( [17-Jun-2008] $)
  $}

  ${
    nnssi3.1 $e |- NN (_ D $.
    nnssi3.2 $e |- ( C e. NN -> ph ) $.
    nnssi3.3 $e |- ( ( ( A e. D /\ B e. D /\ C e. D ) /\ ph ) -> ps ) $.
    $( Convert a theorem for real/complex numbers into one for natural
       numbers. $)
    nnssi3   $p |- ( ( A e. NN /\ B e. NN /\ C e. NN ) -> ps ) $=
      ( wcel w3a cn sseli 3anim123i 3ad2ant3 sylanc ) CFJZDFJZEFJZKABCLJZDLJZEL
      JZKITQUARUBSLFCGMLFDGMLFEGMNUBTAUAHOP $.
      $( [17-Jun-2008] $) $( [17-Jun-2008] $)
  $}

  $( Please add description here. $)
  nndivsub $p |- ( ( ( A e. NN /\ B e. NN /\ C e. NN )
                       /\ ( ( A / C ) e. NN /\ A < B ) )
                    -> ( ( B / C ) e. NN <-> ( ( B - A ) / C ) e. NN ) ) $=
    ( cn wcel w3a cdiv co clt wbr wa cmin wi cc0 wb cr nnssre nngt0t ltdiv1tOLD
    nnssi3 nnsubt sylan9bb biimpd exp32 com34 imp32 caddc nnaddclt expcom cc
    wceq wne nnsscn nnne0t divclt nnssi2 anim12i 3impdir npcant ancoms syl
    eleq1d sylan9r adantrr impbid divsubdirt 3com12 adantr bitr4d ) ADEZBDEZCDE
    ZFZACGHZDEZABIJZKZKZBCGHZDEZVSVNLHZDEZBALHCGHZDEZVRVTWBVMVOVPVTWBMVMVOVTVPW
    BVMVOVTVPWBMVMVOVTKZKVPWBVMVPVNVSIJZWEWBNCIJVPWFOABCPQCRABCSTVNVSUAUBUCUDUE
    UFVMVOWBVTMVPVOWBWAVNUGHZDEZVMVTWBVOWHWAVNUHUIVMWHVTVMWGVSDVMVNUJEZVSUJEZKZ
    WGVSUKZVJVLVKWKVJVLKWIVKVLKWJCNULZWIACUJUMCUNZACUOUPWMWJBCUJUMWNBCUOUPUQURW
    JWIWLVSVNUSUTVAVBUCVCVDVEVMWDWBOVQVMWCWADVKVJVLWCWAUKZWMWOBACUJUMWNBACVFTVG
    VBVHVI $.
    $( [17-Jun-2008] $) $( [17-Jun-2008] $)

  $( A factor of a natural number cannot exceed it. $)
  nndivlub $p |- ( ( A e. NN /\ B e. NN )
        -> ( ( A / B ) e. NN ->  B <_ A ) ) $=
    ( cn wcel wa cr cc0 clt wbr cdiv co cle wi nnret nngt0t jca anim12i ancoms
    c1 wb lediv2t 3anidm23 cc wne dividt breq1d recnt adantr 0re ltnet mp3an1
    sylanc adantl bitrd nnge1t syl5bir syl ) ACDZBCDZEBFDZGBHIZEZAFDZGAHIZEZEZA
    BJKZCDZBALIZMUSURVFUSVBURVEUSUTVABNBOPURVCVDANAOPQRVFVISVGLIZVHVFVIAAJKZVGL
    IZVJVBVEVIVLTBAAUAUBVEVLVJTZVBAUCDZAGUDZVMVEVNVOEVKSVGLAUEUFVCVNVDAUGUHGFDV
    CVDVOUIGAUJUKULUMUNVGUOUPUQ $.
    $( [17-Jun-2008] $) $( [17-Jun-2008] $)

  $c gcd $. $( The greatest common divisor $)

  $( Extend class notation to include the gdc function. $)
  wgcd $a class gcd ( A , B ) $.

  ${
    $d x A $.  $d x B $.
    $( ` gcd ( A , B ) ` is the largest natural number that evenly divides both
     ` A ` and ` B ` . $)
    df-gcd $a |- gcd ( A , B ) = sup ( { x e. NN | ( ( A / x ) e. NN
                                           /\ ( B / x ) e. NN ) } , NN , < ) $.

    $( Lemma for Euclid's Elements, Book 7, proposition 2. The original
       mentions the smaller measure being 'continually subtracted' from the
       larger.  Many authors interpret this phrase as ` A ` mod ` B ` . Here,
       just one subtraction step is proved to preserve the ` gcd ` . The
       ` rec ` function will be used in other proofs for iterated
       subtraction. $)
    ee7.2a $p |- ( ( A e. NN /\ B e. NN )
         -> (  A < B -> gcd ( A , B ) = gcd ( A , ( B - A ) ) ) ) $=
      ( vx cn wcel wa clt wbr wgcd cmin co wceq cv cdiv crab csup wb wi w3a
      nndivsub exp32 com23 3expia imp pm5.32d rabbidv supeq1 syl df-gcd
      3eqtr4g ex ) ADEZBDEZFZABGHZABIZABAJKZIZLUNUOFZACMZNKDEZBUTNKDEZFZCDOZDGP
      ZVAUQUTNKDEZFZCDOZDGPZUPURUSVDVHLVEVILUSVCVGCDUSUTDEZFVAVBVFUSVJVAVBVFQZR
      ZUNUOVJVLRUNVJUOVLULUMVJUOVLRULUMVJSZVAUOVKVMVAUOVKABUTTUAUBUCUBUDUDUEUFD
      VDVHGUGUHCABUICAUQUIUJUK $.
      $( [17-Jun-2008] $) $( [17-Jun-2008] $)
  $}

$( (End of Jeff Hoffman's sandbox.) $)

$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                Sandbox for Frederic Line
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

  $v l $.
  $( Let ` l ` be an individual variable. $)
  vl $f set l $.


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Propositional and predicate calculus
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    ahypfmbi.1 $e |- ( ps <-> ch ) $.
    $( Add a hypothesis into the first member of a biimplication. $)
    ahypfmbi $p |- ( ph -> ( ( ph /\ ps ) <-> ch ) ) $=
      ( wa anbi2i baib ) ABEACBCADFG $.
      $( [20-Feb-2007] $) $( [30-Jan-2007] $)
  $}

  ${
    ompfl3.1 $e |- ( ( ph /\ ps /\ ch ) -> ( th <-> ( ch /\ ta ) ) ) $.
    $( Remove a hypothesis from the second member of a biimplication. (Part of FL's sandbox.) $)
    ompfl3 $p |- ( ( ph /\ ps /\ ch ) -> ( th <-> ta ) ) $=
      ( w3a wa wb ibar 3ad2ant3 bicomd bibi2d mpbid ) ABCGZDCEHZIDEIFOPEDOEPCAE
      PIBCEJKLMN $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}


  ${
    intn3and.1 $e |- ( ph -> -. ps ) $.
    $( Introduction of a conjunct inside a contradiction. $)
    intn3an1d $p |- ( ph -> -. ( ps /\ ch /\ th ) ) $=
      ( wa wn w3a intnanrd df-3an negbii sylibr ) ABCFZDFZGBCDHZGAMDABCEIIONBCD
      JKL $.
      $( [3-Jan-2008] $) $( [27-Dec-2007] $)

    $( Introduction of a conjunct inside a contradiction. $)
    intn3an2d $p |- ( ph -> -. ( ch /\ ps /\ th ) ) $=
      ( wa wn w3a intnand intnanrd df-3an negbii sylibr ) ACBFZDFZGCBDHZGANDABC
      EIJPOCBDKLM $.
      $( [3-Jan-2008] $) $( [27-Dec-2007] $)

    $( Introduction of a conjunct inside a contradiction. $)
    intn3an3d $p |- ( ph -> -. ( ch /\ th /\ ps ) ) $=
      ( wa wn w3a intnand df-3an negbii sylibr ) ACDFZBFZGCDBHZGABMEIONCDBJKL
      $.
      $( [3-Jan-2008] $) $( [27-Dec-2007] $)
  $}

  $( ` /\ ` associativity. $)
  and4as $p |- ( ( ph /\ ps /\ ( ch /\ th ) ) <->
    ( ( ph /\ ps /\ ch ) /\ th ) ) $=
    ( wa w3a wi pm3.2 3exp imp4a 3imp id exp4a 3imp1 impbi ) ABCDEZFZABCFZDEZAB
    PSABCDSABCDSGRDHIJKABCDQABCDQABPQQLIMNO $.
    $( [14-Jul-2007] $) $( [14-Jul-2007] $)

  $( ` /\ ` associativity. $)
  and4com $p |- ( ( ph /\ ( ps /\ ch /\ th ) ) <->
    ( ( ph /\ ps /\ ch ) /\ th ) ) $=
    ( w3a wa wi pm3.2 3exp 3imp2 3expd 3imp1 impbi ) ABCDEZFZABCEZDFZABCDQABCDQ
    GPDHIJABCDOABCDOANHKLM $.
    $( [14-Jul-2007] $) $( [14-Jul-2007] $)

  $( Conjunct idempotence deduction equivalency. (Contributed by Roy F.
     Longton, 8-Aug-2005.) $)
  anidmdbi $p |- ( ( ph -> ( ps /\ ps ) ) <-> ( ph -> ps ) ) $=
    ( wa anidm imbi2i ) BBCBABDE $.
    $( [31-Oct-2007] $) $( [8-Aug-2005] $)

  ${
    $d w ps $. $d x ps $.  $d y ps $.  $d z ps $.
    $( Theorem 19.41 of [Margaris] p. 90 with 4 quantifiers. $)
    19.41vvvv $p |- ( E. w E. x E. y E. z ( ph /\ ps ) <->
                     ( E. w E. x E. y E. z ph /\ ps ) ) $=
      ( wa wex 19.41vvv exbii 19.41v bitr ) ABGEHDHCHZFHAEHDHCHZBGZFHNFHBGMOFAB
      CDEIJNBFKL $.
      $( [14-Jul-2007] $) $( [14-Jul-2007] $)
  $}

  ${ $d ch w x z $. $d ph x y $. $d ph x z $. $d ps w y $.
     $d ps w z $. $d th w x y $.
    $( Rearrange existential quantifiers. $)
    eeeeanv $p |- ( E. w E. x E. y E. z ( ( ph /\ ps /\ ch ) /\ th ) <->
                 ( ( E. w ph /\ E. x ps /\ E. y ch ) /\ E. z th ) ) $=
      ( w3a wa wex 19.41vvv ancom eeeanv anbi2i 3bitr exbii 19.41v bitr
      and4com 3exbi 3bitr3 ) BCDIZAJZGKFKEKZHKZAHKZBEKZCFKZDGKZIZJZABCIDJZGKFKE
      KZHKUGUHUIIUJJUFAUKJZHKULUEUOHUEUCGKFKEKZAJAUPJUOUCAEFGLUPAMUPUKABCDEFGNO
      PQAUKHRSUEUNHUDUMEFGUDAUCJUMUCAMABCDTSUAQUGUHUIUJTUB $.
      $( [14-Jul-2007] $) $( [14-Jul-2007] $)
  $}

  ${ $d x A $.
    r19.3rzvb.1 $e |- ( ph -> A. x ph ) $.
    $( A more general version of ~ r19.3rzv . $)
    r19.3rzvb $p |- ( A =/= (/) -> ( ph <-> A. x e. A ph ) ) $=
      ( c0 wne cv wcel wex wi wral wb ne0 biimt sylbi wal df-ral 19.23 bitr
      syl6bbr ) CEFZABGCHZBIZAJZABCKZUAUCAUDLBCMUCANOUEUBAJBPUDABCQUBABDRST $.
      $( [3-Jan-2008] $) $( [3-Jan-2008] $)
  $}

  ${ $d A z $. $d x y z $.
    cbvrexf.1 $e |- ( z e. A -> A. x z e. A ) $.
    cbvrexf.2 $e |- ( z e. A -> A. y z e. A ) $.
    cbvrexf.3 $e |- ( ph -> A. y ph ) $.
    cbvrexf.4 $e |- ( ps -> A. x ps ) $.
    cbvrexf.5 $e |- ( x = y -> ( ph <-> ps ) ) $.
    $( Rule used to change bound variables with implicit substitution. More
       general than ~ cbvrex . $)
    cbvrexf $p |- ( E. x e. A ph <-> E. y e. A ps ) $=
      ( cv wcel wa wex wrex wel ax-17 hbel hban weq eleq1 anbi12d cbvex df-rex
      3bitr4 ) CLZFMZANZCODLZFMZBNZDOACFPBDFPUIULCDUHADDEEUGFECQDRHSITUKBCCEEUJ
      FEDQCRGSJTCDUAUHUKABUGUJFUBKUCUDACFUEBDFUEUF $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A x $.
     $( "Restricted for all" implies "restricted there exists". $)
     faimpex $p |- ( A =/= (/) -> ( A. x e. A ph -> E. x e. A ph ) ) $=
       ( c0 wne wi wrex wral cv wcel wa wex wal ne0 biimp id ax-gen jctir
       19.29r syl df-rex sylibr r19.35 sylib ) CDEZAAFZBCGZABCHABCGFUEBICJZUFKB
       LZUGUEUHBLZUFBMZKUIUEUJUKUEUJBCNOUFBAPQRUHUFBSTUFBCUAUBAABCUCUD $.
       $( [1-Jun-2008] $) $( [1-Jun-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Basic Set theory
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x y z $. $d B x y z $. $( ` z ` is dummy. $)
    $( The intersection of a union ` U. A ` with a set ` B ` is equal to the
       union of the intersections of each element of ` A ` with ` B ` . $)
    ntunte $p |- ( U. A i^i B ) = U. { x | E. y e. A x = ( y i^i B ) } $=
      ( vz cuni cin cv wceq wrex cab wcel wa wex eluni2 anbi1i elin ancom
      r19.41v bitr4 exbii rexcom4 visset inex1 eleq2 ceqsexv bitr rexbii 3bitr
      3bitr4 eluniab eqriv ) ECFZDGZAHZBHZDGZIZBCJZAKFZEHZUNLZVAUOLZUSMZANZVAUT
      LVAUMLZVADLZMVAUPLZBCJZVGMZVBVEVFVIVGBVACOPVAUMDQVEURVCMZANZBCJZVHVGMZBCJ
      VJVEVKBCJZANVMVDVOAVDUSVCMVOVCUSRURVCBCSTUAVKBACUBTVLVNBCVLVAUQLZVNVCVPAU
      QUPDBUCUDUOUQVAUEUFVAUPDQUGUHVHVGBCSUIUJUSAVAUKTUL $.
      $( [24-Mar-2007] $) $( [24-Mar-2007] $)
  $}

  ${
    $d x y z A $.  $d x y z B $.  $d x y z C $.  $d x y z R $.  $d x y z S $.
    $d x ps $.  $d x y ch $.  $d x y z th $.
    oprabvaligg.1 $e |- ( x = A -> ( ph <-> ps ) ) $.
    oprabvaligg.2 $e |- ( y = B -> ( ps <-> ch ) ) $.
    oprabvaligg.3 $e |- ( z = C -> ( ch <-> th ) ) $.
    oprabvaligg.4 $e |- E* z ph $.
    oprabvaligg.5 $e |- F =
                  { <. <. x , y >. , z >. | ph } $.
    $( The value of an operation class abstraction (weak version). $)
    oprabvaligg $p |- ( ( A e. R /\ B e. S /\ C e. D ) ->
                         ( th -> ( A F B ) = C ) ) $=
      ( wcel w3a cop copab2 cfv wceq co eloprabg wi wfun funoprab funopfvg
      mpan2 3ad2ant3 sylbird df-opr fveq1i eqtr eqeq1i syl6ibr ) HLTZIMTZJKTZUA
      ZDHIUBZAEFGUCZUDZJUEZHINUFZJUEVCDVDJUBVETZVGABCDEFGHIJLMKOPQUGVBUTVIVGUHZ
      VAVBVEUIVJAEFGRUJVDJKVEUKULUMUNVHVFJVHVDNUDVFHINUOVDNVESUPUQURUS $.
      $( [14-Sep-1999] $)
  $}

  ${
    $d a b c x u v $. $d a b x C $. $d a b c x B $. $d a b x u v A $.
    $d R a b u v x $. $d C a b c x $.
    uninqs.1 $e |- Er R $.
    $( The class union of the intersection of two subclasses of a
       quotient space.  Compare ~ uniin . $)
    uninqs  $p |- ( ( B (_ ( A /. R ) /\ C (_ ( A /. R ) ) ->
      U. ( B i^i C ) = ( U. B i^i U. C ) ) $=
      ( vx vc vb va vu vv cqs wss wa cin cuni wceq cv wcel wex wi wal dfss2
      pm3.35 cec visset elqs c0 wne inelcm wn df-ne wo erdisj pm5.61 eqeq12
      biimprcd adantr sylbi mpan syl eleq2 biimpa syl2an an4s exp32 com24
      pm2.43i ex adantl 19.23aiv com3l com23 imp com13 imp31 eleq1 elin elequ2
      biimprd wb incom eleq2i syl6bb equcoms biimpd anim12d a4imev expcom
      sylbir syl6bi syl9 com3r pm2.43a com14 com4t a4s com12 eluni syl7ib
      syl5ib imp3a 3imtr4g ssrdv uniin jctil eqss sylibr ) BADLZMZCXIMZNZBCOZPZ
      BPZCPZOZMZXQXNMZNXNXQQXLXSXRXLFXQXNXLFRZXOSZXTXPSZNXTGRZSZYCXMSZNZGTZXTXQ
      SXTXNSXLYAYBYGXLXTHRZSZYHBSZNZHTZYBYGUAYAXLYLXTIRZSZYMCSZNZITZYGYBYLXLYQY
      GUAZYKXLYRUAHYQXLYKYGYPXLYKYGUAZUAIXLYPYSXJXKYPYSUAZXJYJYHXISZUAZHUBXKYTU
      AZHBXIUCUUBUUCHXKUUBYTXKYOYMXISZUAZIUBUUBYTUAZICXIUCUUEUUFIYPYKUUEUUBYGYN
      YOYKUUEUUBYGUAZUAZUAYKYOYNUUHYIYJYOYNUUHUAZUAZYIYJUUJUAYJYIYIUUJYIYJYIUUJ
      UAZYJYIYJUUKUAYOYJYIYJYINZUUIYJYOYIUULUUIUAZUAZYOYJYOUUNUAYOYJNZYIYOUUMUU
      OYIYOUUMUAYOUULUUOYINZUUIYOUULUUPUUIUAYOUULNZYNUUPUUHUUQYNUUPUUHUAUUQYNNZ
      UUEUUPUUGUURUUEUUPUUGUAUURUUENUUBYMYHQZUUPYGUUQYNUUEUUBUUSUAUUQUUBUUEYNUU
      SYOUULUUBUUEYNUUSUAZUAUAYOUUEUUBUULUUTYOUUEUUBUULUUTUAUAZYOUUENUUDUVAYOUU
      DUDUULUUBUUDUUTYJYIUUBUUDUUTUAZUAYJUUBYIUVBYJUUBYIUVBUAZYJUUBNUUAUVCYJUUA
      UDUUAJRZASZYHUVDDUEZQZNZJTUVCJAYHDHUFUGUVHUVCJUVGUVCUVEUUDUVGYIUUTUUDKRZA
      SZYMUVIDUEZQZNZKTUVGYIUUTUAZUAZKAYMDIUFUGUVMUVOKUVLUVOUVJUVLUVGUVNUVLUVGN
      ZUVNUVPYNYIUVPUUSUVPYNYIUVPUUSUAZUVLYNUVGYIUVQXTUVKSZXTUVFSZUVQUVLYNNUVGY
      INUVRUVSNUVKUVFOZUHUIZUVQXTUVKUVFUJUWAUVTUHQZUKZUVQUVTUHULUVKUVFQZUWBUMZU
      WCUVQUVIUVDDKUFJUFEUNUWEUWCNUWDUWCNUVQUWDUWBUOUWDUVQUWCUVPUUSUWDYMUVKYHUV
      FUPUQURUSUTUSVAUVLYNUVRYMUVKXTVBVCUVGYIUVSYHUVFXTVBVCVDVEVFVGVHVIVJVKUSVL
      VJVKUSVAVIVMVNVOVAVIVGVNVGVPUUOYIUUSYGUAUUOUUSYIYGYOYJUUSYIYGUAZUAUUSYOYJ
      UWFUUSYOYHCSZYJUWFUAYMYHCVQUWGYJUWFUWGYJNYHCBOZSZUWFYHCBVRYIUWIYGYIUWINYF
      GHYCYHQZYIYDUWIYEUWJYDYIGHFVSVTUWJUWIYEUWIYEWAHGYHYCQUWIYCUWHSYEYHYCUWHVQ
      UWHXMYCCBWBWCWDWEWFWGWHWIWJVIWKVLVNVMVNWLVIVMVIVMVIWMVIVMVIWNWOVIWNVOVHVN
      VOVNWPWQUSWRWQUSVNWRVKVOVKWRIXTCWSWTHXTBWSXAXBXTXOXPVRGXTXMWSXCXDBCXEXFXN
      XQXGXH $.
      $( [4-Jun-2007] $) $( [25-May-2007] $)
  $}

  ${
    $d x A $.  $d x B $.  $d x R $.
    erdisj2.1 $e |- A e. V $.
    erdisj2.2 $e |- B e. V $.
    $( Equivalence classes do not overlap. $)
    erdisj2 $p |- ( Er R -> ( [ A ] R = [ B ] R \/
      ( [ A ] R i^i [ B ] R ) = (/) ) ) $=
      ( wer cec wceq cin c0 wo cid cif eceq1 eqeq12d ineq12d eqeq1d orbi12d
      ereq ider elimhyp erdisj dedth ) CFZACGZBCGZHZUEUFIZJHZKAUDCLMZGZBUJGZHZU
      KULIZJHZKCLCUJHZUGUMUIUOUPUEUKUFULCUJANZCUJBNZOUPUHUNJUPUEUKUFULUQURPQRAB
      UJDEUDUJFLFCLCUJSLUJSTUAUBUC $.
      $( [4-Jun-2007] $) $( [1-Jun-2007] $)
  $}

  ${
    $d A x $. $d B x $. $d C x $.
    $( Inference from membership to difference. $)
    difeqri2 $p |- ( A. x ( ( x e. A /\ -. x e. B ) <-> x e. C )
      -> ( A \ B ) = C ) $=
      ( cv wcel wn wa wb wal cab cdif wceq bicom albii biimp abeq2 sylibr
      df-dif syl6reqr ) AEZBFUACFGHZUADFZIZAJZDUBAKZBCLUEUCUBIZAJZDUFMUEUHUDUGA
      UBUCNOPUBADQRABCST $.
      $( [18-Jun-2007] $) $( [6-Jun-2007] $)
  $}

  ${ $d A u v w y z $. $d B u v w y z $. $d C u v w y z $. $d D u v w y z $.
     $d ph u x $. $d ta u v w y z $. $d v w x y z $.
    elo.1 $e |-   ( y = A -> ( ph <-> ps ) ) $.
    elo.2 $e |-   ( z = B -> ( ps <-> ch ) ) $.
    elo.3 $e |-   ( v = C -> ( ch <-> th ) ) $.
    elo.4 $e |-   ( w = D -> ( th <-> ta ) ) $.
    $( See ~ eloprabg . Note: to be used with categories. $)
    elo $p |- ( ( ( A e. Q /\ B e. R /\ C e. S ) /\ D e. T ) ->
      ( <. <. A , B >. , <. C , D >. >. e. { x  | E. y E. z E. v E. w
      ( x = <. <. y , z >. , <. v , w >. >. /\ ph ) } <-> ta ) ) $=
      ( vu cvv wcel w3a cop cv wceq wa wex cab wb wi opex eqeq1 eqcom syl6bb
      cxp visset otthg 3adant3 opthg 3anbi3d and4as 3ad2ant3 bitrd 3simp2
      adantr opelxpi 3ad2antl3 pm3.27 syl3anc sylan9bbr anbi1d syl3an9b
      sylan9bb pm5.32i 4exbidv eleq1 elab syl5bbr adantl elex 3anim123i
      anim12i eeeeanv sylibr biantrurd 19.41vvvv syl6rbbr 3bitr3d expcom
      vtocle elisset syl2an ) KUDUEZLUDUEZMUDUEZUFZNUDUEZKLUGZMNUGZUGZFUHZGUHZH
      UHZUGJUHZIUHZUGZUGZUIZAUJZIUKJUKHUKGUKZFULZUEZEUMZKOUEZLPUEZMQUEZUFNRUEWT
      XAUJZXQUNUCXDXBXCUOYAUCUHZXDUIZXQYAYCUJZYBXKUIZAUJZIUKJUKHUKGUKZXFKUIZXGL
      UIZXHMUIZUFZXINUIZUJZEUJZIUKJUKHUKGUKZXPEYDYFYNGHJIYDYFYMAUJYNYDYEYMAYCYE
      XKXDUIZYAYMYCYEXDXKUIYPYBXDXKUPXDXKUQURWRXCUDUDUSZUEZXAYPYMUMYAWRYRXAUFYP
      YHYIXJXCUIZUFZYMWRYRYPYTUMXAXFXGKLXJXCUDYQGUTHUTXHXIUOVAVBXAWRYTYMUMYRXAY
      TYHYIYJYLUJZUFYMXAYSUUAYHYIXHXIMNUDJUTIUTVCVDYHYIYJYLVEURVFVGWTWRXAWQWRWS
      VHVIWSWQXAYRWRMNUDUDVJVKWTXAVLVMVNVOYMAEYKADYLEYHABYICYJDSTUAVPUBVQVRURVS
      YCYGXPUMYAYCYBXOUEXPYGYBXDXOVTXNYGFYBUCUTXEYBUIZXMYFGHJIUUBXLYEAXEYBXKUPV
      OVSWAWBWCYAYOEUMYCYAEYMIUKJUKHUKGUKZEUJYOYAUUCEYAYHGUKZYIHUKZYJJUKZUFZYLI
      UKZUJUUCWTUUGXAUUHWQUUDWRUUEWSUUFGKUDWDHLUDWDJMUDWDWEINUDWDWFYHYIYJYLHJIG
      WGWHWIYMEHJIGWJWKVIWLWMWNXRWQXSWRXTWSKOWOLPWOMQWOWENRWOWP $.
      $( [14-Jul-2007] $) $( [14-Jul-2007] $)
  $}

  ${ $d A x y $. $d C x $. $d x z $.
  $( Specific properties of a finite intersection. $)
  spfi $p |- ( A e. B -> ( A e. { x | E. y ( y (_ C /\ E. z e. om y ~~ z /\
       x = |^| y ) }
   <-> E. y ( y (_ C /\ E. z e. om y ~~ z /\ A = |^| y ) ) ) $=
    ( cv wss cen wbr com wrex cint wceq w3a wex eqeq1 3anbi3d exbidv elabg ) BG
    ZFHZUACGIJCKLZAGZUAMZNZOZBPUBUCDUENZOZBPADEUDDNZUGUIBUJUFUHUBUCUDDUEQRST $.
    $( [31-Oct-2007] $) $( [30-Oct-2007] $)
  $}

  ${ $d A a b y $. $d A x y $. $d B a b y $. $d B x y $.
     $d C a b y $. $d C x y $. $d a b y z $. $d x y z $.
  $( The intersection of two finite intersections is a finite intersection. $)
  infi1 $p |-
  ( ( A e. { x | E. y ( y (_ C /\ E. z e. om y ~~ z /\ x = |^| y ) }
   /\ B e. { x | E. y ( y (_ C /\ E. z e. om y ~~ z /\ x = |^| y ) } ) ->
  ( A i^i B ) e. { x | E. y ( y (_ C /\ E. z e. om y ~~ z /\ x = |^| y ) } ) $=
    ( va vb cv wss cen wbr com wrex cint wceq w3a wex cab wcel wa cin cvv
    inex1g adantr wi spfi cun sseq1 breq1 rexbidv inteq eqeq2d 3anbi123d
    cla4egv visset unex a1i an6 unss biimp unfi ineq2 ineq1 adantl incom intun
    eqtr4 3eqtrd 3anim123i sylbi sylc expcom 19.23aiv com12 imp weq cbvexv
    syl2anb 3adant3 wb bicomd 3ad2ant3 mpbid 3exp syl6bi imp31 an4s ex mpid
    pm2.43i ) DBIZFJZWLCIZKLZCMNZAIWLOZPQBRASZTZEWRTZUAZDEUBZWRTZXAXAXBUCTZXCWS
    XDWTDEWRUDUEXAXAXDXCUFZWSWSWTWTXEWSWSWTWTUAZXEWSWSWMWPDWQPZQZBRZXFXEUFABCDW
    RFUGXFXIXEWTWTXIXEUFZWTWTWMWPEWQPZQZBRZXJABCEWRFUGXMXIXDXCXMXIXDQWMWPXBWQPZ
    QZBRZXCXMXIXPXDGIZFJZXQWNKLZCMNZEXQOZPZQZGRZHIZFJZYEWNKLZCMNZDYEOZPZQZHRZXP
    XMXIYDYLXPYCYLXPUFGYLYCXPYKYCXPUFHYCYKXPXQYEUHZUCTZYMFJZYMWNKLZCMNZXBYMOZPZ
    QZXPYCYKUAZXOYTBYMUCWLYMPZWMYOWPYQXNYSWLYMFUIUUBWOYPCMWLYMWNKUJUKUUBWQYRXBW
    LYMULUMUNUOYNUUAXQYEGUPHUPUQURUUAXRYFUAZXTYHUAZYBYJUAZQYTXRXTYBYFYHYJUSUUCY
    OUUDYQUUEYSUUCYOXQYEFUTVACXQYEVBUUEXBDYAUBZYIYAUBZYRYBXBUUFPYJEYADVCUEYJUUF
    UUGPYBDYIYAVDVEUUGYRPUUEUUGYAYIUBYRYIYAVFXQYEVGVHURVIVJVKVLVMVNVOVNVPXLYCBG
    BGVQZWMXRWPXTXKYBWLXQFUIUUHWOXSCMWLXQWNKUJUKUUHWQYAEWLXQULUMUNVRXHYKBHBHVQZ
    WMYFWPYHXGYJWLYEFUIUUIWOYGCMWLYEWNKUJUKUUIWQYIDWLYEULUMUNVRVSVTXDXMXPXCWAXI
    XDXCXPABCXBUCFUGWBWCWDWEWFVPVOWFWGWHWIWJWK $.
    $( [29-Nov-2007] $) $( [31-Oct-2007] $)
  $}

  ${ $d A a x y $. $d a y z $.
    $( Condition to have a non empty finite intersections class. $)
    fine $p |- ( A =/= (/) ->
     { x | E. y ( y (_ A /\ E. z e. om y ~~ z /\ x = |^| y ) } =/= (/) ) $=
      ( va cv wcel wex wss cen wbr com wrex cint wceq w3a c0 wne cab ax-17 csn
      wa cvv wi snex sseq1 breq1 rexbidv inteq eqeq2d 3anbi123d cla4egv ax-mp
      snssi adantl snfi a1i visset intsn eqcomi eqeq2i biimp adantr syl3anc ex
      a4ime 19.23aiv ne0 abn0 3imtr4 ) EFZDGZEHBFZDIZVMCFZJKZCLMZAFZVMNZOZPZBHZ
      AHZDQRWBASQRVLWCEVLWBAEVLATVRVKOZVLWBVKUAZDIZWEVOJKZCLMZVRWENZOZWBWDVLUBZ
      WEUCGWFWHWJPZWBUDVKUEWAWLBWEUCVMWEOZVNWFVQWHVTWJVMWEDUFWMVPWGCLVMWEVOJUGU
      HWMVSWIVRVMWEUIUJUKULUMVLWFWDVKDUNUOWHWKCVKUPUQWDWJVLWDWJVKWIVRWIVKVKEURU
      SUTVAVBVCVDVEVFVGEDVHWBAVIVJ $.
      $( [29-Nov-2007] $) $( [16-Nov-2007] $)
  $}

  ${ $d A x y  $. $d x y z $.
    $( Any element of ` A ` is the intersection of a finite subclass of
       ` A ` . $)
  abfi $p |- A (_ { x | E. y ( y (_ A /\ E. z e. om y ~~ z /\ x = |^| y ) } $=
    ( cv wss cen wbr com wrex cint wceq w3a wex cab wcel wi ssab csn cpw wa
    snfi visset intsn eqcomi breq1 rexbidv inteq eqeq2d anbi12d rcla4ev ex
    mp2ani snelpw df-rex elpw anbi1i 3anass bitr4 exbii bitr2 3imtr4 mpgbir )
    DBEZDFZVDCEZGHZCIJZAEZVDKZLZMZBNZAOFVIDPZVMQAVMADRVISZDTZPZVHVKUAZBVPJZVNVM
    VQVOVFGHZCIJZVIVOKZLZVSCVIUBWBVIVIAUCZUDUEVQWAWCUAZVSVRWEBVOVPVDVOLZVHWAVKW
    CWFVGVTCIVDVOVFGUFUGWFVJWBVIVDVOUHUIUJUKULUMVIDWDUNVSVDVPPZVRUAZBNVMVRBVPUO
    WHVLBWHVEVRUAVLWGVEVRVDDBUCUPUQVEVHVKURUSUTVAVBVC $.
    $( [29-Nov-2007] $) $( [18-Nov-2007] $)
  $}

  ${ $d A x y $. $d B x y $. $d x z $.
    $( If ` A ` is the intersection of a finite set of elements of ` B ` then
       ` A (_ U. B ` . $)
    fiiu $p |- ( A e.
        { x | E. y ( y (_ B /\ E. z e. om y ~~ z /\ x = |^| y ) }
       -> A (_ U. B ) $=
      ( cv wss cen wbr com wrex cint wceq w3a wex cab wcel cuni cvv wn nvel
      eleq1 biimpcd mtoi wi spfi eqeq1 negbid biimpd c0 int0 eqeq2 bicomd
      inteq con3i sseq1 eqcoms wne intssuni2 df-ne sylan2br ancoms 3adant2
      syl5com 3exp com24 syl syl6bi ax-mp syl6com com13 pm2.43i com4t 3imp
      19.23aiv mpid ) DBFZEGZVQCFHICJKZAFVQLZMNBOAPZQZDERZGZWBWBDSMZTZWDWBWESWA
      QZWAUAWEWBWGDSWAUBUCUDWBWBVRVSDVTMZNZBOWFWDUEZABCDWAEUFWIWJBVRVSWHWJWHWFV
      RVSWDWHWFVRVSWDUEUEZUEWFWHWHWKWHWFVTSMZTZWHWKUEZWHWFWMWHWEWLDVTSUGUHUIUJL
      ZSMZWMWNUEUKWPWMVTWOMZTZWNWPWLWQWPWQWLWOSVTULUMUHWRVQUJMZTZWNWSWQVQUJUNUO
      WTVSVRWHWDWTVSVRWHWDUEWHVTWCGZWDWTVSVRNXAWDUEVTDVTDMXAWDVTDWCUPUIUQWTVRXA
      VSVRWTXAVRVQUJURXAWTVQEUSVQUJUTVAVBVCVDVEVFVGVHVIVJVKVLVMVNVOVHVPVL $.
      $( [30-Nov-2007] $) $( [30-Nov-2007] $)
  $}

  $( An intersection with a member of a powerset belongs to this powerset. $)
  inpws1 $p |- ( A e. P~ C -> ( A i^i B ) e. P~ C ) $=
    ( cin cvv wcel cpw inex1g wss elpwg elpwi ssinss1 syl syl5bir mpcom ) ABDZE
    FZACGZFZPRFZABRHQTPCIZSPCEJSACIUAACKABCLMNO $.
    $( [28-Oct-2007] $) $( [25-Sep-2007] $)

  $( An intersection with a member of a powerset belongs to this powerset. $)
  inpws2 $p |- ( B e. P~ C -> ( A i^i B ) e. P~ C ) $=
    ( cpw wcel cin inpws1 incom syl5eqel ) BCDZEBAFJABFBACGABHI $.
    $( [28-Oct-2007] $) $( [26-Oct-2007] $)

  ${
    $d v x $. $d w x $.
    $d x y $. $d x z $.
  $( Structure of the class abstraction used by ` Alg ` , ` Cat ` and
     ` Ded ` . $)
  stcat $p |- { x | E. y E. z E. v E. w ( x = <. <. y , z >. , <. v , w >. >.
       /\ ph ) } (_ ( ( V X. V ) X. ( V X. V ) ) $=
    ( cv cop wceq wa wex cvv cxp wcel opex opelxp visset mpbir2an eleq1 mpbiri
    adantr 19.23aivv abssi ) BGZCGZDGZHZFGZEGZHZHZIZAJZEKFKZDKCKBLLMZUOMZUNUDUP
    NZCDUMUQFEULUQAULUQUKUPNZURUGUONZUJUONZUGUJUOUOUHUIOPUSUELNUFLNUEUFLLDQZPCQ
    VARUTUHLNUILNUHUILLEQZPFQVBRRUDUKUPSTUAUBUBUC $.
    $( [28-Oct-2007] $) $( [26-Oct-2007] $)
  $}

  $( A theorem of the ~ 1st2nd family. $)
  11st22nd $p |- ( ( ( Rel B /\ Rel dom B /\ Rel ran B ) /\ A e. B ) ->
     A = <. <. ( 1st ` ( 1st ` A ) ) , ( 2nd ` ( 1st ` A ) ) >. ,
            <. ( 1st ` ( 2nd ` A ) ) , ( 2nd ` ( 2nd ` A ) ) >. >. ) $=
    ( wrel cdm crn w3a wcel wa c1st cfv c2nd cop wceq 1st2nd 3ad2antl1 wi
    1stdm sylan2 exp32 a1i com13 3imp1 2ndrn com3r opeq12d eqtrd ) BCZBDZCZBEZC
    ZFABGZHZAAIJZAKJZLZUNIJUNKJLZUOIJUOKJLZLUGUIULAUPMUKABNOUMUNUQUOURUGUIUKULU
    NUQMZUKUIUGULUSPZUIUGUTPPUKUIUGULUSUIUNUHGUSUGULHZUNUHNABQRSTUAUBUGUIUKULUO
    URMZUIUKUGULVBPZUKUGVCPPUIUKUGULVBUKUOUJGVBVAUOUJNABUCRSTUDUBUEUF $.
    $( [28-Oct-2007] $) $( [26-Oct-2007] $)

  ${ $d A x $.
    $( The union of a part of a powerset belongs to it. $)
    ump $p |- ( A e. B -> U. { x e. P~ A | ph } e. P~ A ) $=
      ( wcel cpw crab cuni wss ssrab2 sspwuni mpbi elpw2g mpbiri ) CDEABCFZGZHZ
      OEQCIZPOIRABOJPCKLQCDMN $.
      $( [29-Nov-2007] $) $( [16-Nov-2007] $)
  $}

  ${
    boe.1 $e |- A e. B $.
    $( ` { A , A } ` has only one element. $)
    boe $p |- { A , A } ~~ 1o $=
      ( csn cpr c1o cen dfsn2 elisseti ensn1 eqbrtrr ) ADAAEFGAHAABCIJK $.
      $( [29-Nov-2007] $) $( [29-Nov-2007] $)
  $}

  $( Moving an element out from the intersection of a class. $)
  moec $p |- ( B e. A -> |^| A = ( B i^i |^| ( A \ { B } ) ) ) $=
    ( wcel cint csn cdif cun cin difsnid eqcomd inteqd wceq intun a1i cvv
    elisset c0 cif sneq id eqeq12d 0ex elimel intsn dedth syl ineq2d incom
    syl6eq 3eqtrd ) BACZADABEZFZULGZDZUMDZULDZHZBUPHZUKAUNUKUNAABIJKUOURLUKUMUL
    MNUKURUPBHUSUKUQBUPUKBOCZUQBLZBAPUTVAUTBQRZEZDZVBLBQBVBLZUQVDBVBVEULVCBVBSK
    VETUAVBBQOUBUCUDUEUFUGUPBUHUIUJ $.
    $( [29-Nov-2007] $) $( [29-Nov-2007] $)

 ${ $d A z $. $d B z $. $d x y $. $d x z $.
  $( Bound-variable hypothesis builder for the "maps to" notation. $)
  hbcmpt $p |- ( y e. ( x e. A |-> B ) -> A. x y e. ( x e. A |-> B ) ) $=
    ( vz cmpt cv wcel wceq wa copab df-mpt hbopab1 hbxfr ) ABACDFAGCHEGDIJZAEKA
    ECDLOAEBMN $.
    $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}

 ${ $d A y $. $d B y $. $d x y $.
  $( Value of a function given by the "maps to" notation. $)
  fvopab2a $p |- ( ( x e. A /\ B e. C ) ->
                   ( ( x e. A |-> B ) ` x ) = B ) $=
    ( vy cv wcel wa wceq copab cfv cmpt fvopab2 df-mpt fveq1i syl5eq ) AFZBGZCD
    GHQREFCIHAEJZKCQABCLZKAEBCDMQTSAEBCNOP $.
    $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}

 ${ $d A w x y z $. $d C w x y z $.
   cmpbva.1 $e |- F = ( x e. A |-> C ) $.
   $( Rule to change a bound variable int the "maps to" notation. $)
   cmpbva $p |- F = ( y e. A |-> C ) $=
     ( vz vw cv wcel wceq wa copab cmpt df-mpt eleq1 eqeq1 bi2anan9 cbvopabv
     3eqtr eqtr4 ) EBIZCJZGIZDKZLZBGMZBCDNEACDNAIZCJZHIZDKZLZAHMUGFAHCDOULUFAHB
     GUHUBKUIUCUJUDKUKUEUHUBCPUJUDDQRSTBGCDOUA $.
     $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}

 ${ $d A x y $. $d C y $.
   fopab2ga.1 $e |- F = ( x e. A |-> C ) $.
   $( Functionality and domain of a class given by the "maps to" notation. $)
   fopab2ga $p |- ( A. x e. A C e. V <-> F Fn A ) $=
     ( vy cmpt cv wcel wceq wa copab df-mpt eqtr fnopab2g ) AFBCDDABCGAHBIFHCJK
     AFLEAFBCMNO $.
     $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}

 ${ $d A x y  $. $d B x y  $. $d C y $.
   fopab2a.1 $e |- F = ( x e. A |-> C ) $.
   $( Functionality of a class given by the "maps to" notation. $)
   fopab2a $p |- ( A. x e. A C e. B <-> F : A --> B ) $=
     ( vy cmpt cv wcel wceq wa copab df-mpt eqtr fopab2 ) AGBCDEEABDHAIBJGIDKLA
     GMFAGBDNOP $.
     $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}

 ${ $d A y $. $d B y $. $d x y $.
   cmp.1 $e |- F = ( x e. A |-> B ) $.
   $( Functionality of a class given by a "maps to" notation. $)
   cmpfun $p |- Fun F $=
     ( vy cmpt wfun cv wcel wceq wa copab wss pm3.27 ssopab2i funopabeq funss
     mp2 wb df-mpt funeq ax-mp mpbir bicomd mpbi ) ABCGZHZDHZUHAIBJZFICKZLZAFMZ
     HZUMUKAFMZNUOHUNULUKAFUJUKOPAFCQUMUORSUGUMKUHUNTAFBCUAUGUMUBUCUDDUGKZUHUIT
     EUPUIUHDUGUBUEUCUF $.
     $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}

 ${ $d A x y $. $d B y $.
   cmpdom.1 $e |- F = ( x e. A |-> B ) $.
   $( Domain of a class given by the "maps to" notation. $)
   cmpdom $p |- ( A. x e. A B e. V <-> dom F = A ) $=
     ( cvv wcel wral cdm wceq wfun wfn wa df-fn fopab2ga ancom 3bitr4 cmpfun
     mpbiran2 ) CFGABHZDIBJZDKZDBLUBUAMTUAUBMDBNABCDEOUAUBPQABCDERS $.
     $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}

 ${ $d A y $. $d B y $. $d x y $.
   cmpran.1 $e |- F = ( x e. A |-> B ) $.
   $( Range of a class given by the "maps to" notation. $)
   cmpran $p |- ran F = { y | E. x e. A y = B } $=
     ( crn cmpt cv wcel wceq wa copab wrex cab rneqi df-mpt rnopab2 3eqtr ) EGA
     CDHZGAICJBIDKZLABMZGUAACNBOETFPTUBABCDQPABCDRS $.
     $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}

  ${
    $( A function's value belongs to its range. A more general version
    of ~ fnoprvalrn . To be used with partial operations. $)
    fnoprvalrn2 $p |- ( ( Fun F /\ <. A , B >. e. dom F ) ->
      ( A F B ) e. ran F ) $=
      ( wfun cop cdm wcel wa cfv crn co fvelrn df-opr syl5eqel ) CDABEZCFGHOCIC
      JABCKOCLABCMN $.
      $( [10-Mar-2008] $) $( [10-Mar-2008] $)
  $}

  $( The intersection of a pair is the intersection of its members.  Closed
     for of ~ intpr .Theorem 71 of [Suppes] p. 42. $)
  intprd $p |- ( ( A e. V /\ B e. V ) -> |^| { A , B } = ( A i^i B ) ) $=
    ( cvv wcel cpr cint cin wceq c0 cif preq1 inteqd ineq1 eqeq12d preq2 ineq2
    0ex elimel intpr dedth2h ) ACDZBCDZABEZFZABGZHUAAIJZBEZFZUFBGZHUFUBBIJZEZFZ
    UFUJGZHABIIAUFHZUDUHUEUIUNUCUGAUFBKLAUFBMNBUJHZUHULUIUMUOUGUKBUJUFOLBUJUFPN
    UFUJAICQRBICQRST $.
    $( [27-Apr-2008] $) $( [27-Apr-2008] $)

  ${ $d A a b y $. $d A x y $.
     $d B a b y $. $d B x y $.
     $d L a b y $. $d L x y $.
     $d a b y z $. $d x y z $.
     ficli.1 $e |- F = { x | E. y
                  ( y (_ L /\ E. z e. om y ~~ z /\ x = |^| y ) } $.
     $( The class of finite intersections of a class ` L ` are closed under
     intersection. $)
    ficli $p |- ( ( A e. F /\ B e. F ) -> ( A i^i B ) e. F ) $=
      ( va vb wcel wa cin cv wss cen wbr com wrex cint wceq w3a wex cab spfi
      biimpd im2anan9 wi cpw cun an6 unss biimp ancoms visset unex elpw sylibr
      unfi ineq12 intun syl6eqr anim12i 3impb sylbi breq1 rexbidv inteq eqeq2d
      anbi12d rcla4ev syl bicomi 3anbi1i 3anass bitr exbii df-rex bitr4 ex
      19.23aiv com12 imp weq sseq1 3anbi123d cbvexv syl2anb syl6 pm2.43i
      eleq2i cvv wb inex1g adantr syl5bb mpbird ) DFKZEFKZLZDEMZFKZBNZGOZXCCNZP
      QZCRSZXAXCTZUAZUBZBUCZDXDXGANXHUAUBBUCAUDZKZEXLKZXKWRWSXMXNLZXKXOXOXDXGDX
      HUAZUBZBUCZXDXGEXHUAZUBZBUCZLXKXMXMXRXNXNYAXMXMXRABCDXLGUEUFXNXNYAABCEXLG
      UEUFUGINZGOZYBXEPQZCRSZDYBTZUAZUBZIUCZJNZGOZYJXEPQZCRSZEYJTZUAZUBZJUCZXKX
      RYAYIYQXKYHYQXKUHIYQYHXKYPYHXKUHJYPYHXKYPYHLZXGXILZBGUIZSZXKYRYBYJUJZYTKZ
      UUBXEPQZCRSZXAUUBTZUAZLZLZUUAYRYKYCLZYMYELZYOYGLZUBUUIYKYMYOYCYEYGUKUUJUU
      KUULUUIUUJUUCUUKUULLUUHUUJUUBGOZUUCYCYKUUMYCYKLUUMYBYJGULUMUNUUBGYBYJIUOJ
      UOUPUQURUUKUUEUULUUGYEYMUUECYBYJUSUNYGYOUUGYGYOLXAYFYNMUUFDYFEYNUTYBYJVAV
      BUNVCVCVDVEYSUUHBUUBYTXCUUBUAZXGUUEXIUUGUUNXFUUDCRXCUUBXEPVFVGUUNXHUUFXAX
      CUUBVHVIVJVKVLXKXCYTKZYSLZBUCUUAXJUUPBXJUUOXGXIUBUUPXDUUOXGXIUUOXDXCGBUOU
      QVMVNUUOXGXIVOVPVQYSBYTVRVSURVTWAWBWAWCXQYHBIBIWDZXDYCXGYEXPYGXCYBGWEUUQX
      FYDCRXCYBXEPVFVGUUQXHYFDXCYBVHVIWFWGXTYPBJBJWDZXDYKXGYMXSYOXCYJGWEUURXFYL
      CRXCYJXEPVFVGUURXHYNEXCYJVHVIWFWGWHWIWJFXLDHWKFXLEHWKWHWTXAXLKZXKXBWTXAWL
      KZUUSXKWMWRUUTWSDEFWNWOABCXAWLGUEVLFXLXAHWKWPWQ $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  $( If an intersection is not empty its operands are not empty. $)
   neiopne $p |- ( ( A i^i B ) =/= (/) -> ( A =/= (/) /\ B =/= (/) ) ) $=
     ( cin c0 wceq wn wo wne wa ineq1 incom eqtrt in0 syl6eq mpan2 syl ineq2
     jaoi con3i df-ne neanior 3imtr4 ) ABCZDEZFADEZBDEZGZFUCDHADHBDHIUGUDUEUDUF
     UEUCDBCZEZUDADBJUIUHBDCZEZUDDBKUIUKIUCUJDUCUHUJLBMNOPUFUCADCDBDAQAMNRSUCDT
     ADBDUAUB $.
     $( [27-Apr-2008] $) $( [27-Apr-2008] $)

  $( Image of a pre-image. $)
  f2imacnv $p |- ( ( F : A -1-1-onto-> B /\ C (_ B ) ->
                 ( F " ( `' F " C ) ) = C ) $=
    ( wf1o wss ccnv cima wceq wf1 wi f1ocnv f1of1 wa f1imacnv imacnvcnv
    syl5eqr ex 3syl imp ) ABDEZCBFZDDGZCHZHZCIZUABAUCEBAUCJZUBUFKABDLBAUCMUGUBU
    FUGUBNUCGUDHCUEBACUCODUDPQRST $.
    $( [1-Jun-2008] $) $( [1-Jun-2008] $)


  $( Symmetrical equality of the images and of their antecedents when
     the mapping is one to one. $)
  oooeqim2 $p |- ( ( F : A -1-1-> B /\ X (_ A /\ Y (_ A )
     -> ( ( F " X ) = ( F " Y ) <-> X = Y ) ) $=
    ( wf1 wss w3a cima wceq ccnv wa wi f1imacnv ex anim12d 3impib eqtrt syl
    com23 eqcoms imp imaeq2 syl5 impbid1 ) ABCFZDAGZEAGZHZCDIZCEIZJZDEJZUICKZUJ
    IZUNUKIZJZUMULUIUODJZUPEJZLZUQUMMZUFUGUHUTUFUGURUHUSUFUGURABDCNOUFUHUSABECN
    OPQURUSVAUSVAMDUODUOJZUQUSUMVBUQUSUMMZVBUQLDUPJZVCDUOUPRVDUSUMDUPEROSOTUAUB
    SUJUKUNUCUDDECUCUE $.
    $( [1-Jun-2008] $) $( [1-Jun-2008] $)

  $( The empty set is finite. (Part of FL's sandbox.) $)
  emfin $p |- E. x e. om (/) ~~ x $=
    ( c0 com wcel wss cv cen wbr wrex peano1 ssid ssnn mp2an ) BCDBBEBAFGHACIJBK
    ABBLM $.
    $( [22-Jul-2008] $) $( [14-Jul-2008] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Finite intersection stuff using function fi
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c fi $.
  $( Extend class notation with the function whose value is the class of  all
  the finite intersections of the elements of a given set. $)
  cfi $a class fi $.

  ${ $d x y u z a $.
    $( Function whose value is the class of all the finite intersections of the
    elements of x. $)
    df-fi $a |- fi = { <. x , y >. | y = { u | E. z ( z (_ x /\
      E. a e. om z ~~ a /\ u = |^| z ) } } $.
  $}

  ${ $d A u x y z $. $d a u x y z $.
  $( The set of all the finite intersections of the elements of ` A ` . $)
  fiv $p |- ( A e. B -> ( fi ` A ) = { u | E. z ( z (_ A /\
    E. a e. om z ~~ a /\ u = |^| z ) } ) $=
    ( vx vy cvv wcel cv wss cen wbr com wrex cint wceq w3a wex cab cfi cfv
    sseq2 3anbi1d exbidv abbidv copab cres wa df-fi wrel relopab resid
    ax-mp resopab 3eqtr2 fvopab4g elisset cuni cpw crab uniexg pwexg syl
    rabexg df-rab syl5eqelr pm3.27 wi visset eleq1 c0 wne intex intssuni2 ex
    sseq1 biimprd elpw biimpr a1d syl6com syl6 com3l sylbir syl6bi pm2.43a
    com4l 3imp 19.23aiv ancri impbi abbii sylanc ) CHIAJZCKZWOEJLMENOZBJZWOPZQZ
    RZASZBTZHICUAUBXCQCDIZFGCWOFJZKZWQWTRZASZBTZXCHHUAXECQZXHXBBXJXGXAAXJXFWPWQ
    WTXECWOUCUDUEUFUAGJXIQZFGUGZXLHUHZXEHIXKUIFGUGFGABEUJXLUKXMXLQXKFGULXLUMUNX
    KFGHUOUPUQCDURXDWRCUSZUTZIZXBUIZBTZHXCXDXBBXOVAZHXRXDXOHIZXSHIXDXNHIXTCDVBX
    NHVCVDXBBXOHVEVDXBBXOVFVGXQXBBXQXBXPXBVHXBXPXAXPAWPWQWTXPWRHIZWPWQWTXPVIVIV
    IBVJZWTYAWPWQXPYAWTWPWQXPVIZVIZWTYAWSHIZWTYDVIZWRWSHVKYEWOVLVMZYFWOVNWPYGWT
    YCWPYGWSXNKZWTYCVIWPYGYHWOCVOVPWTYHWRXNKZYCWTYIYHWRWSXNVQVRYIXPWQXPYIWRXNYB
    VSVTWAWBWCWDWEWFWGWHUNWIWJWKWLWMVGWN $.
    $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A x y $. $d x y z $.
    $( If ` A ` is not empty, the class of all the finite
     intersections of ` A ` is not empty either. $)
    fine2 $p |- ( A e. B -> (  A =/= (/) -> ( fi ` A ) =/= (/) ) ) $=
      ( vy vz vx wcel cv wss cen wbr com wrex cint wceq w3a wex cab c0 wne cfi
      cfv fiv eqcomd neeq1d fine syl5bi ) ABFZCGZAHUHDGIJDKLEGUHMNOCPEQZRSATUAZ
      RSARSUGUIUJRUGUJUICEABDUBUCUDECDAUEUF $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A u z $. $d C u z $. $d a u z $.
  $( Specific properties of an element of ` ( fi `` C ) ` . $)
  sppfi $p |- ( ( A e. B /\ C e. D ) -> ( A e. ( fi ` C ) <->
    E. z ( z (_ C /\ E. a e. om z ~~ a /\ A = |^| z ) ) ) $=
    ( vu wcel wa cfi cfv cv wss cen wbr com wrex cint wceq w3a wex cab fiv
    adantl eleq2d wb spfi adantr bitrd ) BCHZDEHZIZBDJKZHBALZDMZUNFLNOFPQZGLUNR
    ZSTAUAGUBZHZUOUPBUQSTAUAZULUMURBUKUMURSUJAGDEFUCUDUEUJUSUTUFUKGAFBCDUGUHUI
    $.
    $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A y $. $d B y $. $d y z $.
    $( If ` A ` is the intersection of a finite set of elements of ` B ` then
       ` A (_ U. B ` . $)
    fiiu2 $p |- ( B e. C -> ( A e. ( fi ` B )
       -> A (_ U. B ) ) $=
      ( vy vz cfi cfv wcel cuni wss wi cvv wceq wn nvel eleq1 biimpcd mtoi wa
      cv cen wbr com wrex cint w3a wex sppfi c0 wne eqeq1 negbid int0 neeq2
      inteq necon3i syl6bir df-ne syl5ibr ax-mp syl6bi sseq1 biimpd eqcoms
      intssuni2 syl5com expcom syl6 com24 pm2.43i impcom 3adant2 19.23aiv ex
      com23 com34 mpid com12 ) ABFGZHZBCHZABIZJZVTWAWCKZVTVTALMZNZWDVTWELVSHZVS
      OWEVTWGALVSPQRVTVTWAWFWCVTWAVTWFWCKZVTWAVTWHKVTWASVTDTZBJZWIETUAUBEUCUDZA
      WIUEZMZUFZDUGWHDAVSBCEUHWNWHDWJWMWHWKWMWJWHWMWJWHKWMWFWJWMWCWMWFWIUIUJZWJ
      WMWCKZKWMWFWLLMZNZWOWMWEWQAWLLUKULUIUEZLMZWRWOKUMWTWLLUJZWOWRWTXAWLWSUJWO
      WSLWLUNWIUIWLWSWIUIUOUPUQWLLURUSUTVAWJWOWPWMWLWBJZWCWJWOSXBWCKWLAWLAMXBWC
      WLAWBVBVCVDWIBVEVFVGVHVIVJVKVLVMVAVNVOVPVQVJVR $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

 ${ $d A x y $. $d x y z $.
    $( Any element of a set ` A ` is the intersection of a finite subset of
       ` A ` . $)
    abfi2 $p |- ( A e. B -> A (_ ( fi ` A ) ) $=
      ( vx vz vy wcel cfi cfv wss cv cen wbr com wrex cint wceq w3a wex cab
      abfi fiv sseq2d mpbiri ) ABFZAAGHZIACJZAIUFDJKLDMNEJUFOPQCRESZIECDATUDUEU
      GACEABDUAUBUC $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Intervals of reals and of extended reals
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A x $. $d B x $. $( ` x ` is dummy. $)
    $( An open interval is included in ` RR ` if ` A ` and
       ` B ` belong to ` RR* ` . $)
    iooirrsa $p |- ( ( A e. RR* /\ B e. RR* ) -> ( A (,) B ) (_ RR ) $=
      ( cxr wcel wa cioo co cr cpw wss ioof foprcl elpwi syl ) ACDBCDEABFGZHIZD
      OHJABPCCFKLOHMN $.
      $( [3-Mar-2007] $) $( [3-Mar-2007] $)
  $}


  ${
    $d A x $. $d B x $.
    $( A closed interval is a set of extended reals. $)
    clsrebb $p |- ( B e. V -> ( A [,] B ) (_ RR* ) $=
      ( vx cvv wcel cxr wa cicc co wss wn c0 cdm cxp wceq cpw iccf fdmi
      ndmoprg mp3an1 0ss a1i eqsstrd ex cv cle wbr w3a elicc1t 3simp1 syl6bi
      ssrdv pm2.61d2 ) BDEZAFEBFEGZABHIZFJZUNUOKZUQUNURGZUPLFHMFFNZOUNURUPLOUTF
      PHQRABDFFHSTLFJUSFUAUBUCUDUOCUPFUOCUEZUPEVAFEZAVAUFUGZVABUFUGZUHVBABVAUIV
      BVCVDUJUKULUM $.
      $( [28-Jul-2008] $) $( [28-Jul-2008] $)
  $}

  ${
    $d A x $. $d B x $.
    $( The class difference of ` RR ` and a closed interval. $)
    cdrci $p |- ( ( A e. RR /\ B e. RR ) -> ( RR \ ( A [,] B ) ) =
      U. { ( -oo (,) A ) , ( B (,) +oo ) } ) $=
      ( vx cr wcel wa cv cicc co wn cmnf cioo cpnf cpr cuni wb wal cdif wceq
      cun wo wi cxr cle wbr w3a elicc1t rexrt syl2an adantr negbid pm2.24d
      adantl clt ad2antlr mnfltt ltnlet bicomd pm3.27 simpll sylanc biimpa
      3jca ad2antrr mnfxr jctil elioo1t syl mpbird ex adantll ltpnft pnfxr
      jctir sylbird orim12d ianor syl5ib jaod 3anass negbii sylbid imp3a elun
      syl6ibr ioossre unssi sseli elioo2t syl5 ax-mp biimpd a1i com13 3impd
      xrltnlet com3l com14 imp sylibr intnand anim12i jca impbid cvv oprex
      pm3.2i uniprg eqcomd eleq2d bitrd 19.21aiv difeqri2 ) ADEZBDEZFZCGZDEZXQA
      BHIZEZJZFZXQKALIZBMLIZNOZEZPZCQDXSRYESXPYGCXPYBXQYCYDTZEZYFXPYBYIXPYBXQYC
      EZXQYDEZUAZYIXPXRYAYLXPXRYAYLUBXPXRFZYAXQUCEZAXQUDUEZXQBUDUEZUFZJZYLYMXTY
      QXPXTYQPZXRAUCEZBUCEZYSXNXOABXQUGZAUHZBUHZUIUJUKYMYNYOYPFZFZJZYLYRYMYNJZU
      UEJZUAYLUUGYMUUHYLUUIXRUUHYLUBXPXRYNYLXQUHZULUMYMYOJZYPJZUAZYLUUIYMUUKYJU
      ULYKYMUUKYJYMUUKFZYJYNKXQUNUEZXQAUNUEZUFZUUNYNUUOUUPXRYNXPUUKUUJUOXRUUOXP
      UUKXQUPUOYMUUKUUPXRXNUUKUUPPYMXRXNFZUUPUUKXQAUQZURXPXRUSXNXOXRUTVAVBVCUUN
      KUCEZYTFYJUUQPUUNYTUUTXPYTXRUUKXNYTXOUUCUJVDVEVFKAXQVGVHVIVJYMUULBXQUNUEZ
      YKXOXRUVAUULPXNBXQUQVKYMUVAYKYMUVAFZYKYNUVAXQMUNUEZUFZUVBYNUVAUVCXRYNXPUV
      AUUJUOYMUVAUSXRUVCXPUVAXQVLUOVCUVBUUAMUCEZFZYKUVDPZUVBUUAUVEXPUUAXRUVAXOU
      UAXNUUDUMZVDVMVNBMXQVGZVHVIVJVOVPYOYPVQZVRVSYNUUEVQVRYQUUFYNYOYPVTWAZVRWB
      VJWCXQYCYDWDZWEXPYIYBXPYIFZXRYAYIXRXPYHDXQYCYDDKAWFBMWFWGWHUMUVMYAYRUVMUU
      GYRUVMUUEYNUVMUUMUUIXPYIUUMXPYLUUMYIXPYJUUKYKUULXPYJXRUUOUUPUFZUUKXNYJUVN
      PZXOUUTXNUVOUBVEUUTYTUVOXNUUTYTUVOKAXQWIVJUUCWJWKUJXPXRUUOUUPUUKXNXRUUOUU
      PUUKUBZUBUBXOUUOXRXNUVPXRXNUVPUBUBUUOXRXNUVPUURUUPUUKUUSWLVJWMWNUJWOWBXPY
      KUVDUULXPUVFUVGXPUUAUVEUVHVMVNUVIVHXPYNUVAUVCUULXOYNUVAUVCUULUBUBUBZXNXOU
      UAUVQUUDUVCYNUVAUUAUULYNUVAUUAUULUBUBUBUVCUUAYNUVAUULUUAYNUVAUULUBUUAYNFU
      VAUULBXQWPWLVJWQWMWRVHUMWOWBVPUVLVRWSUVJWTXAUVKWTUVMYTUUAFZYAYRPXPUVRYIXN
      YTXOUUAUUCUUDXBUJUVRXTYQUUBUKVHVIXCVJXDXPYHYEXQXPYCXEEZYDXEEZFZYHYESUWAXP
      UVSUVTKALXFBMLXFXGWMUWAYEYHYCYDXEXEXHXIVHXJXKXLCDXSYEXMVH $.
      $( [18-Jun-2007] $) $( [7-Jun-2007] $)
  $}

  ${
  $d A x y z $. $d w x y z $.
  $( Membership to the set of open intervals implied the existence of
  two bounds in the set of the extended reals. $)
  bsi $p |- ( A e. ran (,) ->
      E. x e. RR* E. y e. RR* A = ( x (,) y ) ) $=
    ( vw vz cioo crn wcel cv co wceq cxr wrex wa clt wbr crab wex cab eqeq1
    anbi2d 2exbidv ceqsexgv biimpd clelab syl5ib copab2 df-ioo rneqi eleq2i
    rnoprab bitr ioovalt eqcomd eqeq2d imdistani 19.22i2 r2ex sylibr syl6
    pm2.43i ) CFGZHZCAIZBIZFJZKZBLMALMZVCVCVDLHVELHNZCVDDIZOPVJVEOPNDLQZKZNZBRA
    RZVHVCCVIEIZVKKZNZBRARZESZHZVNVCVCVOCKZVRNERZVNVTVCWBVNVRVNECVBWAVQVMABWAVP
    VLVIVOCVKTUAUBUCUDVRECUEUFVCCVQABEUGZGZHVTVBWDCFWCABEDUHUIUJWDVSCVQABEUKUJU
    LUFVNVIVGNZBRARVHVMWEABVIVLVGVIVLVGVIVKVFCVIVFVKDVDVEUMUNUOUDUPUQVGABLLURUS
    UTVA $.
    $( [29-Nov-2007] $) $( [31-Oct-2007] $)
  $}

  $( If an open interval has an element, then ` A < B ` . $)
  elioo1t3 $p |- ( C e. ( A (,) B ) -> A < B ) $=
    ( cxr wcel wa cioo co clt wbr wi w3a elioo1t xrlttrt exp3a 3com23 3expia
    3impd sylbid wn c0 wceq ndmioo eleq2 noel pm2.21i syl6bi syl pm2.61i ) ADEZ
    BDEZFZCABGHZEZABIJZKZULUNCDEZACIJZCBIJZLUOABCMULUQURUSUOUJUKUQURUSUOKKZUJUQ
    UKUTUJUQUKLURUSUOACBNOPQRSULTUMUAUBZUPABUCVAUNCUAEZUOUMUACUDVBUOCUEUFUGUHUI
    $.
    $( [14-Sep-2007] $) $( [14-Aug-2007] $)

  $( An open interval with its upper bound equal to ` -oo ` is empty. $)
  oisbmi $p |- ( A (,) -oo ) = (/) $=
    ( cxr wcel cmnf wa cioo co c0 wceq cle wbr mnflet adantr ioo0t mpbird
    ndmioo pm2.61i ) ABCZDBCZEZADFGHIZTUADAJKZRUBSALMADNOADPQ $.
    $( [14-Sep-2007] $) $( [12-Sep-2007] $)

  $( An open interval with its lower bound equal to ` +oo ` is empty. $)
  oisbmj $p |- ( +oo (,) A ) = (/) $=
    ( cpnf cxr wcel wa cioo co c0 wceq cle wbr pnfget adantl ioo0t mpbird
    ndmioo pm2.61i ) BCDZACDZEZBAFGHIZTUAABJKZSUBRALMBANOBAPQ $.
    $( [14-Sep-2007] $) $( [12-Sep-2007] $)

  $( Translation in a half-infinite interval. $)
  truni1 $p |- ( ( A e. RR* /\ D e. RR /\ 0 < D ) ->
   ( C e. ( A (,) +oo ) -> ( C + D ) e. ( A (,) +oo ) ) ) $=
    ( cxr wcel cr cc0 clt wbr w3a cpnf caddc co cioo wa wi axaddrcl ex
    3ad2ant1 com12 3ad2ant2 imp xrlttrt 3simp1 adantr rexrt adantl syl 3jca
    3simp2 ltaddpos2t biimpd com23 imp31 cc wceq axaddcom recnt ad2antrr
    sylanc breqtrrd expcom 3adant1 jca sylc ltpnft wb pnfxr jctir elioo2t
    3imtr4d ) ADEZCFEZGCHIZJZBFEZABHIZBKHIZJZBCLMZFEZAVTHIZVTKHIZJZBAKNMZEZVTWE
    EZVOVSWDVOVSOZWAWBWCVOVSWAVMVLVSWAPVNVSVMWAVPVQVMWAPVRVPVMWABCQZRSTUAUBVLBD
    EZVTDEZJVQBVTHIZOWBWHABVTUCWHVLWJWKVOVLVSVLVMVNUDZUEVSWJVOVPVQWJVRBUFSUGVOV
    SWKVMVLVSWKPVNVSVMWKVPVQVMWKPVRVPVMWKVPVMOZWAWKWIVTUFUHRSTUAUBUIWHVQWLVSVQV
    OVPVQVRUJUGVOVSWLVMVNVSWLPVLVSVMVNOZWLVPVQWOWLPVRWOVPWLWOVPOZBCBLMZVTHVMVNV
    PBWQHIZVMVPVNWRVMVPVNWRPVMVPOVNWRCBUKULRUMUNBUOEZCUOEZVTWQUPWPBCUQVPWSWOBUR
    UGVMWTVNVPCURUSUTVAVBSTVCUBVDVEVOVSWCVMVLVSWCPVNVSVMWCVPVQVMWCPVRVPVMWCWNWA
    WCWIVTVFUHRSTUAUBUIRVOVLKDEZOZWFVSVGVOVLXAWMVHVIZAKBVJUHVOXBWGWDVGXCAKVTVJU
    HVK $.
    $( [14-Sep-2007] $) $( [11-Sep-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Euclidean topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c EucTop $.

  $( Extend class notation with the class of all euclidean topologies. $)
  ceuctop $a class EucTop $.

  ${
    $d x y a b $. $( Warning: not sure of that. $)
    $( Definition of the euclidean topology (Morris. Def. 2.1.1 p. 34). $)
    df-EucTop $a |- EucTop =
       { x |
            (
                 x (_ RR
            /\   A. y e. x E. a e. RR E. b e. RR
                  ( y e. ( a (,) b ) /\ ( a (,) b ) (_ x )
            )
       } $.
  $}

  ${
    $d J a b x y $. $( ` x ` is dummy. $)
    $( The predicate " ` J ` belongs to the euclidean topology." $)
    iseuctopg $p |- (
             J e. A -> ( J e. EucTop <->           (
                 J (_ RR
            /\   A. y e. J E. a e. RR E. b e. RR
                  ( y e. ( a (,) b ) /\ ( a (,) b ) (_ J )
            ) ) ) $=
      ( vx cv cr wss cioo co wcel wa wrex wral ceuctop wceq sseq1 sseq2 anbi2d
      2rexbidv raleqd anbi12d df-EucTop elab2g ) FGZHIZAGDGEGJKZLZUHUFIZMZEHNDH
      NZAUFOZMCHIZUIUHCIZMZEHNDHNZACOZMFCPBUFCQZUGUNUMURUFCHRULUQAUFCUSUKUPDEHH
      USUJUOUIUFCUHSTUAUBUCFADEUDUE $.
      $( [20-Feb-2007] $) $( [30-Jan-2007] $)
  $}

  ${
    $d J a b x y $. $( ` x ` is dummy. $)
    iseuctopgb.1 $e |- J e. A $.
    $( The predicate " ` J ` belongs to the euclidean topology." $)
    iseuctopgb $p |- ( J e. EucTop <->           (
                 J (_ RR
            /\   A. y e. J E. a e. RR E. b e. RR
                  ( y e. ( a (,) b ) /\ ( a (,) b ) (_ J )
            ) ) $=
      ( wcel ceuctop cr wss cv cioo co wa wrex wral wb iseuctopg ax-mp ) CBGCHG
      CIJAKDKEKLMZGTCJNEIODIOACPNQFABCDERS $.
      $( [20-Feb-2007] $) $( [30-Jan-2007] $)
  $}

  ${
    $d J a b x $.
    $( An open set of an euclidean topology is a subset of ` RR ` . $)
    osbr $p |- ( J e. EucTop -> J (_ RR ) $=
      ( vx va vb ceuctop wcel cr wss cv cioo co wa wrex wral iseuctopg ibi
      pm3.26d ) AEFZAGHZBICIDIJKZFTAHLDGMCGMBANZRSUALBEACDOPQ $.
      $( [20-Feb-2007] $) $( [5-Feb-2007] $)

  $}

  ${
    $d J y a b $.
    $( Property of an open set of an euclidean topology. $)
    osbs $p |- ( J e. EucTop -> A. y e. J E. a e. RR E. b e. RR
                  ( y e. ( a (,) b ) /\ ( a (,) b ) (_ J ) ) $=
      ( ceuctop wcel cr wss cv cioo co wa wrex wral iseuctopg ibi pm3.27d ) BEF
      ZBGHZAICIDIJKZFTBHLDGMCGMABNZRSUALAEBCDOPQ $.
      $( [20-Feb-2007] $) $( [5-Feb-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Topology
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  $( The empty set is not a topology. $)
  empntop $p |- -. (/) e. Top $=
    ( c0 ctop wcel noel 0opnt mto ) ABCAACADAEF $.
    $( [1-Jun-2008] $) $( [1-Jun-2008] $)

  $( A topology is not empty. $)
  topnem $p |- ( J e. Top -> J =/= (/) ) $=
    ( ctop wcel c0 wn wne empntop wa wceq nelneq df-ne sylibr mpan2 ) ABCZDBCEZ
    ADFZGNOHADIEPADBJADKLM $.
    $( [1-Jun-2008] $) $( [1-Jun-2008] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Neighborhoods
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( The empty set is not a neighborhood of a non empty set. $)
  esnnei $p |- ( ( J e. Top /\ S =/= (/) ) -> -. (/) e.
                   ( ( nei ` J ) ` S ) ) $=
    ( ctop wcel c0 wne cnei cfv wn wceq wa wss ssnei ss0b sylib ex necon3ad
    imp ) BCDZAEFEABGHHDZISTAESTAEJZSTKAELUAABEMANOPQR $.
    $( [19-Sep-2007] $) $( [18-Sep-2007] $)


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Continuous functions
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${ $d x F $. $d x J $. $d x K $. $d x L $.
    $( A mapping remains continuous when the topology associated to
    its domain is replaced by a finer one. $)
    cnrsfin $p |- ( ( J e. Top /\ K e. Top /\ L e. Top ) ->
      ( ( F e. ( J Cn L ) /\ U. J = U. K /\ J (_ K ) -> F e. ( K Cn L ) ) ) $=
      ( vx ctop wcel w3a ccn co cuni wceq wss wf ccnv cv cima wral wa wi wb
      eqid iscn 3adant2 ad2antrr feq2 biimpd adantl ssel r19.20sdv ad2antlr
      anim12d sylbid exp31 com24 3impd 3adant1 sylibrd ) BFGZCFGZDFGZHZABDIJGZB
      KZCKZLZBCMZHVEDKZANZAOEPQZCGZEDRZSZACDIJGZVBVCVFVGVMVBVGVFVCVMVBVGVFVCVMT
      VBVGSZVFSZVCVDVHANZVJBGZEDRZSZVMVBVCVTUAZVGVFUSVAWAUTEABDVDVHVDUBVHUBZUCU
      DUEVPVQVIVSVLVFVQVITVOVFVQVIVDVEVHAUFUGUHVGVSVLTVBVFVGVRVKEDBCVJUIUJUKULU
      MUNUOUPUTVAVNVMUAUSEACDVEVHVEUBWBUCUQUR $.
      $( [1-Jun-2008] $) $( [22-May-2008] $)
  $}

  ${ $d x F $. $d x J $. $d x K $. $d x L $.
    $( A mapping remains continuous when the topology associated to
    its range is replaced by a coarser one. $)
    cnrscoa $p |- ( ( J e. Top /\ K e. Top /\ L e. Top ) ->
      ( ( F e. ( J Cn L ) /\ U. L = U. K /\ K (_ L ) ->
         F e. ( J Cn K ) ) ) $=
      ( vx ctop wcel w3a ccn co cuni wceq wss wf ccnv cv cima wral wa wi wb
      eqid iscn 3adant2 ad2antrr feq3 biimpd adantl ssralv ad2antlr anim12d
      sylbid exp31 com24 3impd 3adant3 sylibrd ) BFGZCFGZDFGZHZABDIJGZDKZCKZLZC
      DMZHBKZVDANZAOEPQBGZECRZSZABCIJGZVAVBVEVFVKVAVFVEVBVKVAVFVEVBVKTVAVFSZVES
      ZVBVGVCANZVIEDRZSZVKVAVBVQUAZVFVEURUTVRUSEABDVGVCVGUBZVCUBUCUDUEVNVOVHVPV
      JVEVOVHTVMVEVOVHVCVDVGAUFUGUHVFVPVJTVAVEVIECDUIUJUKULUMUNUOURUSVLVKUAUTEA
      BCVGVDVSVDUBUCUPUQ $.
      $( [1-Jun-2008] $) $( [1-Jun-2008] $)
  $}


  ${ $d A x $. $d B x $. $d F x $. $d J x $.
    mapdiscn.1 $e |- F e. C $.
    mapdiscn.2 $e |- B = U. J $.
    mapdiscn.3 $e |- A e. V $.
    $( mapdiscn.1 is useless ? $)
    $( Any mapping whose domain is associated to the discrete topology is
    continuous. $)
    mapdiscn $p |- ( ( J e. Top /\ F : A --> B ) ->
      F e. ( P~ A Cn J ) ) $=
      ( vx cpw ctop wcel wf ccn co distop wa cuni ccnv cv cima wral wceq wb
      unipw eqcomi feq23 mp2an biimp adantl crn wss wi imassrn cdm dfdm4
      sseq2i fdm sseq2 biimpd cvv fex mpan2 cnvexg syl imaexg elpwg 3syl
      biimprd syl9 mpcom ad2antlr com12 sylbi ax-mp ex r19.21aiv jca eqid iscn
      adantr mpbird mpanl1 ) AJZKLZEKLZABDMZDWDENOLZAHPWEWFQZWGQZWHWDRZERZDMZDS
      ZITZUAZWDLZIEUBZQZWJWMWRWGWMWIWGWMAWKUCBWLUCWGWMUDWKAAUEUFGABWKWLDUGUHUIU
      JWJWQIEWJWOELZWQWPWNUKZULZWJWTQZWQUMZWNWOUNXBWPDUOZULZXDXAXEWPXEXADUPUFUQ
      XCXFWQWGXFWQUMZWIWTXEAUCZWGXGABDURXHXFWPAULZWGWQXHXFXIXEAWPUSUTWGWQXIWGWN
      VALZWPVALWQXIUDWGDVALZXJWGAVALXKHABVADVBVCDVAVDVEWNWOVAVFWPAVAVGVHVIVJVKV
      LVMVNVOVPVQVRWIWHWSUDWGIDWDEWKWLWKVSWLVSVTWAWBWC $.
      $( [1-Jun-2008] $) $( [22-May-2008] $)
  $}

  ${ $d A x $. $d B x $. $d F x $. $d J x $.
    mapudiscn.2 $e |- A = U. J $.
    mapudiscn.3 $e |- B e. V $.
    $( mapdiscn.1 is useless ? $)
    $( Any mapping whose range is associated to the undiscrete topology is
    continuous. $)
    mapudiscn $p |- ( ( J e. Top /\ F : A --> B ) ->
      F e. ( J Cn { (/) , B } ) ) $=
      ( vx ctop wcel c0 cpr wf ccn co indistop wa ccnv cv cima wral pm3.27
      wceq wo wi imaeq2 eleq1d 0opnt ima0 syl5eqel syl5bir adantrd fimacnv
      eleq1 topopn syl impcom jaoi com12 adantlr visset elpr syl5ib r19.21aiv
      jca wb cuni cun 0ex unipr uncom un0 3eqtrr iscn adantr mpbird mpanl2 ) DH
      IZJBKZHIZABCLZCDVRMNIZBFOVQVSPZVTPZWAVTCQZGRZSZDIZGVRTZPZWCVTWHWBVTUAWCWG
      GVRWCWEJUBZWEBUBZUCZWGWEVRIVQVTWLWGUDVSWLVQVTPZWGWJWMWGUDWKWJVQWGVTWJWGWD
      JSZDIVQWJWFWNDWEJWDUEUFVQJDWNDUGWDUHUIUJUKWKWGWDBSZDIZWMWKWFWODWEBWDUEUFV
      TVQWPVTWOAUBZVQWPUDABCULWQWPADIVQWOADUMDAEUNUJUOUPUJUQURUSWEJBGUTVAVBVCVD
      WBWAWIVEVTGCDVRABEVRVFJBVGBJVGBJBVHFVIJBVJBVKVLVMVNVOVP $.
      $( [1-Jun-2008] $) $( [1-Jun-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Homeomorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( In this section every @d statement has been checked. 10-Feb-2008 $)

  $c Homeo $. $( Class of all homeomorphisms. $)
  $c ~= $. $( The relation "is homeomorph to." $)

  $( Extend class notation with the class of all homeomorphisms. $)
  chomeosm $a class Homeo $.

  $( Extend class notation with the relation "is homeomorph to.". $)
  chomeo $a class ~= $.

  ${
    $d j k z f x $.
    $( Function returning all the  homeomorphisms from topology ` j `
       to topology ` k ` . $)
    df-homeo $a |-  Homeo = { <. <. j , k >. , z >. | ( ( j e. Top /\
     k e. Top ) /\  z = { f | ( f : U. j -1-1-onto-> U. k /\
     A. x e. j ( f " x ) e. k /\
     A. x e. k ( `' f " x ) e. j ) } ) } $.
  $}

  ${ $d J f j k x z $. $d K f j k x z $. $d X f j k z $. $d Y f k z $.
    homeofval.1 $e |- X = U. J $.
    homeofval.2 $e |- Y = U. K $.
    $( The set of all the homeomorphisms between two topologies. $)
    homeofval $p |- ( ( J e. Top /\ K e. Top ) -> ( J Homeo K ) =
    { f | ( f : X -1-1-onto-> Y /\ A. x e. J ( f " x ) e. K /\
    A. x e. K ( `' f " x ) e. J ) } ) $=
      ( vj vk vz ctop wcel wa cv wf1o cima wral ccnv w3a cab cvv chomeosm co
      wceq wf wss ssexg wi wal f1of 3ad2ant1 a1i 19.21aiv ss2ab sylibr mapex
      cuni uniexg syl5eqel syl2an sylanc wb unieq syl6eqr f1oeq2 syl raleq1
      eleq2 ralbidv 3anbi123d abbidv f1oeq3 df-homeo oprabval2g 3expa mpdan )
      CLMZDLMZNZEFBOZPZWAAOZQZDMZACRZWASWCQZCMZADRZTZBUAZUBMZCDUCUDWKUEZWKEFWAU
      FZBUAZUGZWOUBMZWLVTWKWOUBUHVTWJWNUIZBUJWPVTWRBWRVTWBWFWNWIEFWAUKULUMUNWJW
      NBUOUPEUBMFUBMWQVRVSEFUBUBBUQVRCURZUBECLUSGUTVSDURZUBFDLUSHUTVAVBVRVSWLWM
      IJKCDLLIOZURZJOZURZWAPZWDXCMZAXARZWGXAMZAXCRZTZBUAWKUCEXDWAPZXFACRZWHAXCR
      ZTZBUAUBXACUEZXJXNBXOXEXKXGXLXIXMXOXBEUEXEXKVCXOXBWSEXACVDGVEXBEXDWAVFVGX
      FAXACVHXOXHWHAXCXACWGVIVJVKVLXCDUEZXNWJBXPXKWBXLWFXMWIXPXDFUEXKWBVCXPXDWT
      FXCDVDHVEXDFEWAVMVGXPXFWEACXCDWDVIVJWHAXCDVHVKVLAKBIJVNVOVPVQ $.
      $( [20-Feb-2007] $) $( [14-Feb-2007] $)
  $}

  ${ $d F f x $. $d J f x $. $d K f x $. $d X f $. $d Y f $.
    ishomeo.1 $e |- X = U. J $.
    ishomeo.2 $e |- Y = U. K $.
    $( The predicate F is a homeomorphism between topology ` J ` and
       topology ` K ` .  Based on Bourbaki TG I.2. $)
    ishomeo $p |- ( ( J e. Top /\ K e. Top /\ F e. A ) ->
      ( F e. ( J Homeo K ) <-> ( F : X -1-1-onto-> Y /\
        A. x e. J ( F " x ) e. K /\
        A. x e. K ( `' F " x ) e. J ) ) ) $=
      ( vf ctop wcel w3a chomeosm co cv wf1o cima wral ccnv cab wceq homeofval
      3adant3 eleq2d wb f1oeq1 imaeq1 eleq1d ralbidv cnveq imaeq1d 3anbi123d
      elabg 3ad2ant3 bitrd ) DKLZEKLZCBLZMZCDENOZLCFGJPZQZVBAPZRZELZADSZVBTZVDR
      ZDLZAESZMZJUAZLZFGCQZCVDRZELZADSZCTZVDRZDLZAESZMZUTVAVMCUQURVAVMUBUSAJDEF
      GHIUCUDUEUSUQVNWCUFURVLWCJCBVBCUBZVCVOVGVRVKWBFGVBCUGWDVFVQADWDVEVPEVBCVD
      UHUIUJWDVJWAAEWDVIVTDWDVHVSVDVBCUKULUIUJUMUNUOUP $.
      $( [20-Feb-2007] $) $( [14-Feb-2007] $)
  $}

  ${ $d F x $. $d J x $. $d K x $.
    hmeomap.1 $e |- X = U. J $.
    hmeomap.2 $e |- Y = U. K $.
    $( A homeomorphism is a 1-1-onto mapping. $)
    hmeomap $p |- ( ( J e. Top /\ K e. Top ) ->
      ( F e. ( J Homeo K ) -> F : X -1-1-onto-> Y  ) ) $=
      ( vx ctop wcel wa chomeosm co wf1o wi w3a cv cima wral ccnv ishomeo
      biimpa 3simp1d 3exp1 imp pm2.43d ) BIJZCIJZKABCLMZJZDEANZUGUHUJUJUKOOUGUH
      UJUJUKUGUHUJPZUJKUKAHQZRCJHBSZATUMRBJHCSZULUJUKUNUOPHUIABCDEFGUAUBUCUDUEU
      F $.
      $( [5-Mar-2007] $) $( [5-Mar-2007] $)
  $}

  ${ $d F x $. $d J x $. $d K x $.
    $( The image of an open set by the converse of a homeomorphism is an open
       set. $)
    hmeocna $p |- ( ( J e. Top /\ K e. Top ) ->
      ( F e. ( J Homeo K ) -> A. x e. K ( `' F " x ) e. J  ) ) $=
      ( ctop wcel wa chomeosm co ccnv cv cima wral wi w3a cuni wf1o eqid
      ishomeo biimpa 3simp3d 3exp1 imp pm2.43d ) CEFZDEFZGBCDHIZFZBJAKZLCFADMZU
      EUFUHUHUJNNUEUFUHUHUJUEUFUHOZUHGCPZDPZBQZBUILDFACMZUJUKUHUNUOUJOAUGBCDULU
      MULRUMRSTUAUBUCUD $.
      $( [5-Mar-2007] $) $( [5-Mar-2007] $)
  $}

  ${ $d F x $. $d J x $. $d K x $.
    $( The image of an open set by a homeomorphism is an open set. $)
    hmeocnb $p |- ( ( J e. Top /\ K e. Top ) ->
      ( F e. ( J Homeo K ) -> A. x e. J ( F " x ) e. K  ) ) $=
      ( ctop wcel wa chomeosm co cv cima wral wi w3a cuni wf1o ccnv eqid
      ishomeo biimpa 3simp2d 3exp1 imp pm2.43d ) CEFZDEFZGBCDHIZFZBAJZKDFACLZUE
      UFUHUHUJMMUEUFUHUHUJUEUFUHNZUHGCOZDOZBPZUJBQUIKCFADLZUKUHUNUJUONAUGBCDULU
      MULRUMRSTUAUBUCUD $.
      $( [5-Mar-2007] $) $( [5-Mar-2007] $)
  $}

  ${ $d F x y $. $d G x y $. $d J x y $. $d K x y $. $d L x y $.
    $( The composition of two homeomorphisms is a homeomorphism. $)
    cmphmp $p |- ( ( J e. Top /\ K e. Top /\ L e. Top ) ->
     ( ( F e. ( J Homeo K ) /\ G e. ( K Homeo L ) ) ->
     ( G o. F ) e. ( J Homeo L ) ) ) $=
      ( vx vy ctop wcel w3a chomeosm co wa ccom cuni wf1o cv cima wral ccnv wi
      eqid hmeomap 3adant3 3adant1 anim12d imp pm3.22 f1oco 3syl hmeocnb hbra1
      ax-17 hbral hban wal df-ral pm3.35 wceq imaeq2 eleq1d rcla4v syl ex
      imp3a imaco eqcomi eleq1i biimp syl6com a4s sylbi r19.21ai hmeocna cnvco
      imaeq1 ax-mp eqtr2 impcom 3jca wb cvv ishomeo 3expia 3adant2 coexg
      ancoms syl5 mpbird ) CHIZDHIZEHIZJZACDKLZIZBDEKLZIZMZBANZCEKLIZWMWRMZWTCO
      ZEOZWSPZWSFQZRZEIZFCSZWSTZXERZCIZFESZJZXAXDXHXLXAXBDOZAPZXNXCBPZMZXPXOMXD
      WMWRXQWMWOXOWQXPWJWKWOXOUAWLACDXBXNXBUBZXNUBZUCUDWKWLWQXPUAWJBDEXNXCXSXCU
      BZUCUEUFUGXOXPUHXBXNXCBAUIUJXAAXERZDIZFCSZBGQZRZEIZGDSZMZXHWMWRYHWMWOYCWQ
      YGWJWKWOYCUAWLFACDUKUDWKWLWQYGUAWJGBDEUKUEUFUGYHXGFCYCYGFYBFCULYFFGDYDDIF
      UMYFFUMUNUOYCYGXECIZXGUAZYCYIYBUAZFUPYGYJUAZYBFCUQYKYLFYKYGYJYIYKYGMBYARZ
      EIZXGYIYKYGYNYIYKYGYNUAZYIYKMYBYOYIYBURYFYNGYADYDYAUSYEYMEYDYABUTVAVBVCVD
      VEYNXGYMXFEXFYMBAXEVFVGVHVIVJVDVKVLUGVMVCXAATZYDRZCIZGDSZBTZXERZDIZFESZMZ
      XLWMWRUUDWMWOYSWQUUCWJWKWOYSUAWLGACDVNUDWKWLWQUUCUAWJFBDEVNUEUFUGUUDXKFEY
      SUUCFYSFUMUUBFEULUOUUCYSXEEIZXKUAZUUCUUEUUBUAZFUPYSUUFUAZUUBFEUQUUGUUHFUU
      GYSUUFUUEUUGYSMYPUUARZCIZXKUUEUUGYSUUJUUEUUGYSUUJUAZUUEUUGMUUBUUKUUEUUBUR
      YRUUJGUUADYDUUAUSYQUUICYDUUAYPUTVAVBVCVDVEUUJXKUUIXJCXJYPYTNZXERZUUIXIUUL
      USXJUUMUSBAVOXIUULXEVPVQYPYTXEVFVRVHVIVJVDVKVLVSVMVCVTWMWRWTXMWAZWMWSWBIZ
      UUNWRWJWLUUOUUNUAWKWJWLUUOUUNFWBWSCEXBXCXRXTWCWDWEWQWOUUOBAWPWNWFWGWHUGWI
      VD $.
      $( [11-Mar-2007] $) $( [9-Mar-2007] $)
  $}

  ${ $d J x $. $d X x $.
    idhme.1 $e |- X = U. J $.
    $( The identity function is a homeomorphism. $)
    idhme $p |- ( J e. Top -> ( I |` X ) e. ( J Homeo J ) ) $=
      ( vx ctop wcel cid cres cvv chomeosm co cuni uniexg syl5eqel resiexg syl
      w3a wf1o cv cima wral ccnv f1oi a1i wss wceq elssuni id syl6ssr resiima
      3syl eqeltrd rgen cnvresid imaeq1d eqtrd 3jca ishomeo mpbird 3expa
      anabsan mpdan ) AEFZGBHZIFZVDAAJKFZVCBIFVEVCALZIBAEMCNBIOPVCVEVFVCVCVEVFV
      CVCVEQZVFBBVDRZVDDSZTZAFZDAUAZVDUBZVJTZAFZDAUAZQVHVIVMVQVIVHBUCUDVMVHVLDA
      VJAFZVKVJAVRVJVGUEZVJBUEZVKVJUFVJAUGZVSVJVGBVSUHCUIZBVJUJZUKVRUHZULUMUDVQ
      VHVPDAVRVOVJAVRVSVOVJUFZWAVSVTWEWBVTVOVKVJVTVNVDVJVNVDUFVTBUNUDUOWCUPPPWD
      ULUMUDUQDIVDAABBCCURUSUTVAVB $.
      $( [20-Feb-2007] $) $( [14-Feb-2007] $)
  $}

  ${ $d x y f $.
    $( Formerly x and y had to be distinct but, I have removed this condition
    because it seem too strong. $)
    $( Definition of the relation ` x ` is homeomorph to ` y ` . $)
    df-hmph $a |- ~= = { <. x , y >. | ( x e. Top /\ y e. Top /\
      E. f f e. ( x Homeo y ) ) } $.
  $}

  ${ $d J f j k $. $d K f j k $.
    $( Express the predicate ` J ` is homeomorph to ` K ` . $)
    hmph $p |- ( ( J e. Top /\ K e. Top ) -> ( J ~= K <->
      E. f f e. ( J Homeo K ) ) ) $=
      ( vj vk ctop wcel wa chomeo wbr cv chomeosm co wex w3a wceq eleq1 opreq1
      eleq2d exbidv 3anbi13d bicomd opreq2 eqcoms 3anbi23d df-3an syl5rbbr
      df-hmph brabg bianabs ) BFGZCFGZHZBCIJAKZBCLMZGZANZDKZFGZEKZFGZUNURUTLMZG
      ZANZOUKVAUNBUTLMZGZANZOZUMUQHZDEBCFFIURBPZUSUKVDVGVAURBFQVJVCVFAVJVBVEUNU
      RBUTLRSTUAUTCPZUKULUQOVHVIVKULVAUQVGUKVKVAULUTCFQUBVKUPVFAVKUOVEUNUOVEPCU
      TCUTBLUCUDSTUEUKULUQUFUGDEAUHUIUJ $.
      $( [20-Feb-2007] $) $( [14-Feb-2007] $)
  $}

  ${ $d F x $. $d J x $. $d K x $.
    $( The converse of a homeomorphism is a homeomorphism. $)
    cnvhmpha $p |- ( ( J e. Top /\ K e. Top ) ->
      ( F e. ( J Homeo K ) -> `' F e. ( K Homeo J ) ) ) $=
      ( vx chomeosm co wcel ctop wa ccnv cvv wi cnvexg w3a cuni wf1o cv cima
      wral eqid hmeomap f1ocnv syl6 imp hmeocna hmeocnb wceq wrel f1orel
      dfrel2 sylib adantr imaeq1d eleq1d ralbidva mpbird 3jca ex ancoms
      3adant3 ishomeo sylibrd 3exp impcom com3l mpcom com12 ) ABCEFZGZBHGZCHGZI
      ZAJZCBEFGZVMKGZVIVLVNLAVHMVLVOVIVNVKVJVOVIVNLZLVKVJVOVPVKVJVONVICOZBOZVMP
      ZVMDQZRBGDCSZVMJZVTRZCGZDBSZNZVNVKVJVIWFLZVOVJVKWGVLVIWFVLVIIZVSWAWEVLVIV
      SVLVIVRVQAPZVSABCVRVQVRTZVQTZUAZVRVQAUBUCUDVLVIWADABCUEUDWHWEAVTRZCGZDBSZ
      VLVIWODABCUFUDWHWDWNDBWHVTBGZIZWCWMCWQWBAVTWHWBAUGZWPVLVIWRVLVIWIWRWLWIAU
      HWRVRVQAUIAUJUKUCUDULUMUNUOUPUQURUSUTDKVMCBVQVRWKWJVAVBVCVDVEVFVG $.
      $( [5-Mar-2007] $) $( [5-Mar-2007] $)
  $}

  ${ $d F x $. $d J x $. $d K x $.
    $( The converse of a homeomorphism is a homeomorphism. $)
    cnvhmphb $p |- ( ( J e. Top /\ K e. Top /\ Rel F ) ->
      ( `' F e. ( J Homeo K ) -> F e. ( K Homeo J ) ) ) $=
      ( vx ccnv chomeosm co wcel ctop wrel w3a cvv wi cnvexg wa wceq dfrel2
      biimp eleq1d cuni wf1o cv cima wral eqid hmeomap f1ocnvb biimprd syl9
      imp31 hmeocna imaeq1d ralbidv biimpd hmeocnb adantr imp 3jca exp31
      ancoms 3adant3 wb ishomeo sylibrd 3exp1 impcom com3l syl6bi pm2.43a
      com3r 3impia mpcom com12 ) AEZBCFGZHZBIHZCIHZAJZKZACBFGHZVNEZLHZVPVTWAMVN
      VONVTWCVPWAVQVRVSWCVPWAMZMVSWCVQVROZWDWCVSWEWDMZVSWCALHZVSWFMVSWBALVSWBAP
      AQRZSWEWGVSWDVRVQWGVSWDMMVRVQWGVSWDVRVQWGKZVSOVPCTZBTZAUAZADUBZUCZBHZDCUD
      ZVNWMUCCHDBUDZKZWAWIVSVPWRMZVRVQVSWSMZWGVQVRWTWEVSVPWRWEVSOZVPOWLWPWQWEVS
      VPWLWEVPWKWJVNUAZVSWLVNBCWKWJWKUEZWJUEZUFVSWLXBWJWKAUGUHUIUJWEVSVPWPWEVPW
      BWMUCZBHZDCUDZVSWPDVNBCUKVSXGWPVSXFWODCVSXEWNBVSWBAWMWHULSUMUNUIUJXAVPWQW
      EVPWQMVSDVNBCUOUPUQURUSUTVAUQWIWAWRVBVSDLACBWJWKXDXCVCUPVDVEVFVGVHVIVJVKV
      GVLVM $.
      $( [11-Mar-2007] $) $( [5-Mar-2007] $)
  $}

  ${ $d F j $. $d J j $. $d K j $.
    $( The converse of a homeomorphism is a homeomorphism. $)
    cnvhmph $p |- ( ( ( J e. Top /\ K e. Top /\ F e. A ) /\ Rel F ) ->
      ( F e. ( J Homeo K ) <-> `' F e. ( K Homeo J ) ) ) $=
      ( vj ctop wcel w3a wrel wa cuni ccnv wf1o cv cima wral chomeosm co wb
      f1ocnvb bicomd adantl wceq dfrel2 biimp imaeq1d eleq1d ralbidv 3anbi12d
      3ancomb syl5bb cvv id cnvexg 3anim123i 3com12 adantr eqid ishomeo syl
      3bitr4rd ) CFGZDFGZBAGZHZBIZJZDKZCKZBLZMZVJENZOCGEDPZVJLZVLOZDGZECPZHZVIV
      HBMZBVLOZDGZECPZVMHZVJDCQRGZBCDQRGZVGVKVQVMHWCVRVGVKVSVQWBVMVFVKVSSVEVFVS
      VKVIVHBTUAUBVFVQWBSVEVFVPWAECVFVOVTDVFVNBVLVFVNBUCBUDUEUFUGUHUBUIVKVMVQUJ
      UKVGVCVBVJULGZHZWDVRSVEWGVFVCVBVDWGVCVCVBVBVDWFVCUMVBUMBAUNUOUPUQEULVJDCV
      HVIVHURZVIURZUSUTVEWEWCSVFEABCDVIVHWIWHUSUQVA $.
      $( [5-Mar-2007] $) $( [15-Feb-2007] $)
  $}

  ${ $d J f g $. $d J f x $. $d K f g $. $d K f x $.
    $( "Is homeomorph to" is symmetric. $)
    hmphsyma $p |- ( ( J e. Top /\ K e. Top ) ->
        ( J ~= K -> K ~= J ) ) $=
      ( vf vg vx ctop wcel wa cv chomeosm co wex chomeo wbr cvv wi visset w3a
      cuni wf1o cima wral ccnv eqid ishomeo eleq1 cla4egv cnvexg 3ad2ant3
      adantr wrel f1orel 3ad2ant1 adantl f1ocnv a1i wceq dfrel2 biimp eqcomd
      imaeq1d eleq1d biimpd ad2antrr r19.20dva idd 3anim123d ex imp3a mpcom
      3ancomb sylib wb syl3an3 3com12 mpbird sylc sylbid mp3an3 19.23adv hmph
      ancoms 3imtr4d ) AFGZBFGZHZCIZABJKGZCLDIZBAJKZGZDLZABMNBAMNZWFWHWLCWDWEWG
      OGZWHWLPCQWDWEWNRZWHASZBSZWGTZWGEIZUAZBGZEAUBZWGUCZWSUAAGEBUBZRZWLEOWGABW
      PWQWPUDZWQUDZUEWOXEWLXCOGZXCWJGZWLWOXEHZWKXIDXCOWIXCWJUFUGWOXHXEWNWDXHWEW
      GOUHZUIUJXJXIWQWPXCTZXDXCUCZWSUAZBGZEAUBZRZXJXLXPXDRZXQWGUKZXJXRXEXSWOWRX
      BXSXDWPWQWGULUMUNXSWOXEXRXSWOXEXRPXSWOHZWRXLXBXPXDXDWRXLPXTWPWQWGUOUPXTXA
      XOEAXSXAXOPWOWSAGXSXAXOXSWTXNBXSWGXMWSXSXMWGXSXMWGUQWGURUSUTVAVBVCVDVEXTX
      DVFVGVHVIVJXLXPXDVKVLWOXIXQVMZXEWEWDWNYAWEWDXHYAWNEOXCBAWQWPXGXFUEXKVNVOU
      JVPVQVHVRVSVTCABWAWEWDWMWLVMDBAWAWBWC $.
      $( [11-Mar-2007] $) $( [8-Mar-2007] $)
  $}


  ${
    $( "Is homeomorph to" is symmetric. $)
    hmphsym $p |- ( ( J e. Top /\ K e. Top ) ->
        ( J ~= K <-> K ~= J ) ) $=
      ( ctop wcel wa chomeo wbr hmphsyma wi ancoms impbid ) ACDZBCDZEABFGZBAFGZ
      ABHMLONIBAHJK $.
      $( [11-Mar-2007] $) $( [22-Feb-2007] $)
  $}

  ${ $d J f $. $d J x $.
    $( "Is homeomorph to" is reflexive. $)
    hmphre $p |- ( J e. Top -> J ~= J ) $=
      ( vf vx ctop wcel chomeo wbr wa cv chomeosm co wex cuni cvv wi uniexg
      cid cres resiexg w3a wf1o cima wral ccnv f1oi a1i wss elssuni resiima
      eleq1d biimprcd mpd rgen wceq adantl pm3.26 eqeltrd cnvresid imaeq1
      ax-mp syl5eqel mpdan 3jca eqid ishomeo mpbird 3exp pm2.43i com12 eleq1
      imbi2d cla4egv 19.37v sylib syl imp hmph anidms ) ADEZAAFGZVSVSHVTBIZAAJK
      ZEZBLZVSVSWDVSAMZNEZVSWDOZADPWFQWERZNEZWGWENSWIVSWCOZBLZWGWIVSWHWBEZOZWKV
      SWIWLVSWIWLOVSVSWIWLVSVSWITZWLWEWEWHUAZWHCIZUBZAEZCAUCZWHUDZWPUBZAEZCAUCZ
      TWNWOWSXCWOWNWEUEUFWSWNWRCAWPAEZWPWEUGZWRWPAUHZXEWRXDXEWQWPAWEWPUIZUJUKUL
      UMUFXCWNXBCAXDXEXBXFXDXEHZWQAXAXHWQWPAXEWQWPUNXDXGUOXDXEUPUQWTWHUNXAWQUNW
      EURWTWHWPUSUTVAVBUMUFVCCNWHAAWEWEWEVDZXIVEVFVGVHVIWJWMBWHNWAWHUNWCWLVSWAW
      HWBVJVKVLULVSWCBVMVNVOVOVPBAAVQVFVR $.
      $( [5-Mar-2007] $) $( [25-Feb-2007] $)
  $}

  ${ $d J f g h $. $d K f g $. $d L f g h $.
    $( "Is homeomorph to" is transitive. $)
    hmphtr $p |- ( ( J e. Top /\ K e. Top /\ L e. Top ) ->
      ( ( J ~= K /\ K ~= L ) -> J ~= L ) ) $=
      ( vf vg vh ctop wcel w3a cv chomeosm co wex chomeo wbr wa wi ccom cvv
      eleq1 cla4egv coexg adantl cmphmp ancomsd imp sylc exp32 19.23adv com23
      imp3a wb hmph 3adant2 sylibrd biimpd 3adant3 3adant1 syl2and ) AGHZBGHZCG
      HZIZDJZABKLZHZDMZEJZBCKLZHZEMZACNOZABNOZBCNOZVCVGVKPFJZACKLZHZFMZVLVCVGVK
      VRVCVFVKVRQDVCVKVFVRVCVJVFVRQEVCVJVFVRVHVDRZSHZVSVPHZVRVCVJVFPZPVQWAFVSSV
      OVSVPTUAWBVTVCVHVDVIVEUBUCVCWBWAVCVFVJWAVDVHABCUDUEUFUGUHUIUJUIUKUTVBVLVR
      ULVAFACUMUNUOUTVAVMVGQVBUTVAPVMVGDABUMUPUQVAVBVNVKQUTVAVBPVNVKEBCUMUPURUS
      $.
      $( [24-Mar-2007] $) $( [9-Mar-2007] $)
  $}

  ${ $d x y z $.
    $( ` ~= ` is a relation whose domain is included in Top. $)
    dmhmph $p |- dom ~= (_ Top $=
      ( vx vy vz chomeo cdm ctop cxp wss cv wcel wa chomeosm co wex copab w3a
      df-hmph df-3an opabbii eqtr opabssxp eqsstr dmss ax-mp dmxpid sseqtr ) DE
      ZFFGZEZFDUHHUGUIHDAIZFJZBIZFJZKCIUJULLMJCNZKZABOZUHDUKUMUNPZABOUPABCQUQUO
      ABUKUMUNRSTUNABFFUAUBDUHUCUDFUEUF $.
      $( [24-Mar-2007] $) $( [23-Mar-2007] $)

    $( ` ~= ` is a relation whose range is included in Top. $)
    rnhmph $p |- ran ~= (_ Top $=
      ( vx vy vz chomeo crn ctop cxp wss cv wcel wa chomeosm co wex copab w3a
      df-hmph df-3an opabbii eqtr opabssxp eqsstr rnss ax-mp rnxpss sstri ) DEZ
      FFGZEZFDUHHUGUIHDAIZFJZBIZFJZKCIUJULLMJCNZKZABOZUHDUKUMUNPZABOUPABCQUQUOA
      BUKUMUNRSTUNABFFUAUBDUHUCUDFFUEUF $.
      $( [24-Mar-2007] $) $( [23-Mar-2007] $)
  $}

  ${
    dmhmpha.1 $e |- A e. V $.
    $( A simple consequence of ~ dmhmph . A sort of lemma for ~ hmpher since it
       is used several times by it. $)
    dmhmpha $p |- ( A ~= B -> A e. Top ) $=
      ( chomeo wbr cdm wcel ctop breldm dmhmph sseli syl ) ABDEADFZGAHGABDCIMHA
      JKL $.
      $( [24-Mar-2007] $) $( [23-Mar-2007] $)
  $}

  ${
    rnhmpha.1 $e |- A e. V $.
    rnhmpha.2 $e |- B e. V $.
    $( A simple consequence of ~ rnhmph .  A sort of lemma for ~ hmpher since
       it is used several times by it. $)
    rnhmpha $p |- ( A ~= B -> B e. Top ) $=
      ( chomeo wbr crn wcel ctop brelrn rnhmph sseli syl ) ABEFBEGZHBIHABECDJNI
      BKLM $.
      $( [24-Mar-2007] $) $( [23-Mar-2007] $)
  $}


  ${ $d x y z $.
    $( "Is homeomorph" to is an equivalence relation. $)
    hmpher $p |- Er ~= $=
      ( vx vy vz chomeo cv ctop wcel wa wbr visset dmhmpha rnhmpha jca
      hmphsyma mpcom w3a adantr adantl 3jca hmphtr ster ) ABCDAEZFGZBEZFGZHUBUD
      DIZUDUBDIUFUCUEUBUDAJZKZUBUDUGBJZLMUBUDNOUCUECEZFGZPUFUDUJDIZHZUBUJDIUMUC
      UEUKUFUCULUHQULUEUFUDUJUIKRULUKUFUDUJUICJLRSUBUDUJTOUA $.
      $( [24-Mar-2007] $) $( [22-Mar-2007] $)
  $}

  ${
    hmphsymv.1 $e |- A e. V $.
    hmphsymv.2 $e |- B e. V $.
    $( A more general version of ~ hmphsym .  Certainly not a useful proof
       (since it's a simple consequence of ~ hmpher ) but it shows that the
       conditions of ~ hmphsym could (and should) be weakened. $)
    hmphsymv $p |- ( A ~= B <-> B ~= A ) $=
      ( chomeo hmpher ersymb ) ABECDFG $.
      $( [24-Mar-2007] $) $( [23-Mar-2007] $)

  $}

  ${ $d J a b c j x y z $. $d f t u v w $. $d v w x y z $.
  $( Homeomorphisms on a topology ` J ` is a group for composition. This
  means from Felix Klein's point of view that a set equipped with a
  topology is a geometry, namely the  rubber sheet geometry. $)
  hmeogrp $p |- ( J e. Top -> { <. <. x , y >. , z >. |  ( x e. ( J Homeo J )
    /\ y e. ( J Homeo J )  /\ z = ( x o. y ) ) } e. Grp ) $=
    ( va vb vc vj vv vw vt vf vu ctop wcel cv chomeosm co ccom wceq w3a copab2
    cgr cxp wf wral wrex wa wi cmphmp ancomsd 3exp pm2.43d pm2.43i r19.21aivv
    df-3an oprabbii foprab2 sylib coass cvv coeq1 coeq2 oprabval2g opreq1d
    3simp1 adantl 3simp2 coexg 3adant3 syl3anc com12 ancoms impcom 3simp3
    sylanc eqtrd 3adant1 opreq2d 3eqtr4a 3exp2 imp32 r19.21aiv ex cid cuni
    cres opreq1 eqeq1d eqeq2 rexbidv anbi12d ralbidv rcla4ev eqid idhme adantr
    pm3.27 exp3a mpid imp wf1o hmeomap anidms f1of fcoi2 3syl ccnv cnvhmpha
    mpd f1ococnv1 syl jca r19.21aiva 3jca wb oprex pm3.2i a1i oprabex2g wex
    cab crn eleq1a syl6 com3l expcom 3imp 19.23aivv eqeq2d anbi2d fcoi1 eqcomd
    3ancoma 3anass bitr exbii df-rex bitr4 sylibr eleq1 bicomd eqeq1 3anbi3d
    exbidv imbi12d mpbiri a4imev impbid abbi1dv wn pm3.26 con3i c0 cdm cima
    wfun wf1 f1o5 df-f1 anbi1i anass 3bitr abbii visset uniex fabex eqeltr
    df-homeo dmoprab2 ndmoprg mp3an1 eleq2 noel pm2.21i syl6bi syl5 19.23advv
    impbid1 eqtr4d wrel reldmoprab dmeqi releqi mpbir oprprc1 a1d pm2.61i
    rnoprab eqtr4 isgrp mpbird ) DNOZAPZDDQRZOZBPZUWOOZCPZUWNUWQSZTZUAZABCUBZUC
    OZUWOUWOUDUWOUXCUEZEPZFPZUXCRZGPZUXCRZUXFUXGUXIUXCRZUXCRZTZGUWOUFZFUWOUFEUW
    OUFZHPZUXFUXCRZUXFTZUXGUXFUXCRZUXPTZFUWOUGZUHZEUWOUFZHUWOUGZUAZUWMUXEUXOUYD
    UWMUWTUWOOZBUWOUFAUWOUFUXEUWMUYFABUWOUWOUWMUWPUWRUHZUYFUIZUWMUWMUYHUWMUWMUW
    MUYHUWMUWMUWMUAZUWRUWPUYFUWQUWNDDDUJZUKULUMUNUOABCUWOUWOUWTUWOUXCUXBUYGUXAU
    HABCUWPUWRUXAUPUQZURUSUWMUXNEFUWOUWOUWMUXFUWOOZUXGUWOOZUHZUXNUWMUYNUHUXMGUW
    OUWMUYLUYMUXIUWOOZUXMUIUWMUYLUYMUYOUXMUWMUYLUYMUYOUAZUHZUXFUXGSZUXISZUXFUXG
    UXISZSZUXJUXLUXFUXGUXIUTUYQUXJUYRUXIUXCRZUYSUYLUYMUYRVAOZUXJVUBTUYQUYLUYMVU
    CUAUXHUYRUXIUXCABCUXFUXGUWOUWOUWTUYRUXCUXFUWQSZVAUWNUXFUWQVBZUWQUXGUXFVCUYK
    VDVEUYPUYLUWMUYLUYMUYOVFVGZUYPUYMUWMUYLUYMUYOVHVGZUYPVUCUWMUYLUYMVUCUYOUXFU
    XGUWOUWOVIVJZVGVKUYRUWOOZUYOUYSVAOZVUBUYSTUYQABCUYRUXIUWOUWOUWTUYSUXCUYRUWQ
    SVAUWNUYRUWQVBUWQUXIUYRVCUYKVDUYPUWMVUIUYLUYMUWMVUIUIZUYOUYMUYLVUKUWMUYMUYL
    UHZVUIUWMVULVUIUIZUWMUWMVUMUWMUWMUWMVUMUXGUXFDDDUJULUMUNVLVMVJVNUYPUYOUWMUY
    LUYMUYOVOZVGZUYPVUJUWMVUCUYOVUJUYPUYRUXIVAUWOVIVUHVUNVPVGVKVQUYQUXLUXFUYTUX
    CRZVUAUYQUXKUYTUXFUXCUYMUYOUYTUWOOZUXKUYTTUYQABCUXGUXIUWOUWOUWTUYTUXCUXGUWQ
    SUWOUWNUXGUWQVBUWQUXIUXGVCUYKVDVUGVUOUYPUWMVUQUYMUYOUWMVUQUIZUYLUYOUYMVURUW
    MUYOUYMUHZVUQUWMVUSVUQUIZUWMUWMVUTUWMUWMUWMVUTUXIUXGDDDUJULUMUNVLVMVRVNZVKV
    SUYLVUQVUAVAOZVUPVUATUYQABCUXFUYTUWOUWOUWTVUAUXCVUDVAVUEUWQUYTUXFVCUYKVDVUF
    VVAUYLUYTVAOZVVBUYQUXFUYTUWOVAVIVUFUYPVVCUWMUYMUYOVVCUYLUXGUXIUWOUWOVIVRVGV
    PVKVQVTWAWBWCWDUOWEDWFZWGZUWOOZVVEUXFUXCRZUXFTZUXSVVETZFUWOUGZUHZEUWOUFZUYD
    UWMUYCVVLHVVEUWOUXPVVETZUYBVVKEUWOVVMUXRVVHUYAVVJVVMUXQVVGUXFUXPVVEUXFUXCWH
    WIVVMUXTVVIFUWOUXPVVEUXSWJWKWLWMWNDVVDVVDWOZWPZUWMVVKEUWOUWMUYLUHZVVHVVJVVP
    VVGVVEUXFSZUXFVVFUYLVVQUWOOZVVGVVQTVVPABCVVEUXFUWOUWOUWTVVQUXCVVEUWQSUWOUWN
    VVEUWQVBUWQUXFVVEVCUYKVDUWMVVFUYLVVOWQUWMUYLWRZUWMUYLVVRUWMUYLVVFVVRVVOUWMU
    YLVVFVVRUIUIZUWMUWMVVTUWMUWMUWMVVTUYIUYLVVFVVRUXFVVEDDDUJWSULUMUNWTXAVKVVPV
    VDVVDUXFXBZVVDVVDUXFUEVVQUXFTUWMUYLVWAUWMUYLVWAUIUXFDDVVDVVDVVNVVNXCXDXAZVV
    DVVDUXFXEVVDVVDUXFXFXGVQUXFXHZUWOOZVWCUXFUXCRZVVETZVVJVVPVVIVWFFVWCUWOUXGVW
    CTUXSVWEVVEUXGVWCUXFUXCWHWIWNUWMUYLVWDUWMUYLVWDUIUXFDDXIXDXAZVVPVWEVWCUXFSZ
    VVEVWDUYLVWHUWOOZVWEVWHTVVPABCVWCUXFUWOUWOUWTVWHUXCVWCUWQSUWOUWNVWCUWQVBUWQ
    UXFVWCVCUYKVDVWGVVSVVPVWDVWIVWGUWMUYLVWDVWIUIUWMUYLVWDVWIUWMUYLVWDUHVWIUIZU
    WMUWMVWJUWMUWMUWMVWJUXFVWCDDDUJULUMUNWSXAXJVKVVPVWAVWHVVETVWBVVDVVDUXFXKXLV
    QVPXMXNVPXOUWMUWOVAOZVWKUHZUXCVAOUXDUYEXPVWLUWMVWKVWKDDQXQZVWMXRXSABCUWOUWO
    UWTVAVAUXCUYKXTEFGHVAUXCUWOUWOUXBBYAZAYAZCYBZUXCYCUWMUWOVWPTZUWMVWPUWOUWMVW
    OCUWOUWMVWOUWSUWOOZVWOUWMVWRUXBUWMVWRUIZABUWPUWRUXAVWSUWRUWPUXAVWSUIUWMUWRU
    WPUHZUXAVWRUWMVWTUXAVWRUIZUIZUWMUWMVXBUWMUWMUWMVXBUYIVWTUYFVXAUYJUWTUWOUWSY
    DYEULUMUNYFYGYHYIVLUWMVWRVWOUWMVWRUHZVWNACUWNUWSTZVXCVWNUIUWMUWPUHZUWPUWRUW
    NUWTTZUAZBYAZUIVXEUWPVXFUHZBUWOUGZVXHVVFUWPUWNUWNVVESZTZUHZVXJVXEVXIVXMBVVE
    UWOUWQVVETZVXFVXLUWPVXNUWTVXKUWNUWQVVEUWNVCYJYKWNUWMVVFUWPVVOWQVXEUWPVXLUWM
    UWPWRUWMUWPVXLUWMUWPVXLUIUWMUWMUHZUWPVVDVVDUWNXBZVXLUWNDDVVDVVDVVNVVNXCVXPV
    XKUWNVXPVVDVVDUWNUEVXKUWNTVVDVVDUWNXEVVDVVDUWNYLXLYMYEXDXAXMVPVXHUWRVXIUHZB
    YAVXJVXGVXQBVXGUWRUWPVXFUAVXQUWPUWRVXFYNUWRUWPVXFYOYPYQVXIBUWOYRYSYTVXDVXCV
    XEVWNVXHVXDVWRUWPUWMVXDUWPVWRUWNUWSUWOUUAUUBYKVXDUXBVXGBVXDUXAVXFUWPUWRVXDV
    XFUXAUWNUWSUWTUUCUUBUUDUUEUUFUUGUUHWDUUIUUJYMUWMUUKVXOUUKZVWQVXOUWMUWMUWMUU
    LUUMDVAOZVXRVWQUIVXSVXRVWQVXSVXRUHZUWOUUNVWPQUUOZNNUDTVXSVXRUWOUUNTZABCNNUW
    NWFZUWQWFZIPZXBZVYEJPZUUPUWQOJUWNUFZVYEXHZVYGUUPUWNOJUWQUFZUAZIYBZQVYLVYCVY
    DVYEUEZVYIUUQZVYEYCVYDTZUHZUHZVYHVYJUHZUHZIYBZVAVYKVYSIVYKVYFVYRUHVYSVYFVYH
    VYJYOVYFVYQVYRVYFVYCVYDVYEUURZVYOUHVYMVYNUHZVYOUHVYQVYCVYDVYEUUSWUAWUBVYOVY
    CVYDVYEUUTUVAVYMVYNVYOUVBUVCUVAYPUVDVYPVYRUHZIVYCVYDVYTUWNAUVEUVFUWQBUVEUVF
    VYSVYMWUCUHIVYMVYPVYRUVBUVDUVGUVHJCIABUVIUVJDDVANNQUVKUVLZVXTVWOCUUNVXTVWOU
    WSUUNOZVXTVYBVWOWUEUIZWUDVYBUXBWUEABVYBUWPWUEUXBVYBUWPUWNUUNOZWUEUWOUUNUWNU
    VMWUGWUEUWNUVNUVOUVPUWPUWRUXAVFUVQUVRZXLWUEVWOUWSUVNUVOZUVSUUJUVTWDVXSUUKZV
    WQVXRWUJUWOUUNVWPDDQVYAUWAKPZNOLPZNOUHVYEWUKWFWULWFMPZXBWUMVYGUUPWULOJWUKUF
    WUMXHVYGUUPWUKOJWULUFUAMYBTUHZKLIUBZUUOZUWAWUNKLIUWBVYAWUPQWUOJIMKLUVIUWCUW
    DUWEUWFZWUJVWOCUUNWUJVWOWUEWUJVYBWUFWUQWUHXLWUIUVSUUJUVTUWGUWHXLUWHUXBABCUW
    IUWJUWKXGUWL $.
    $( [4-Feb-2008] $) $( [3-Feb-2008] $)
  $}

  ${ $d J a b f g $. $d J a b f m n x $. $d K a b f g $.
     $d K a b f m n x $.
  $( Homeomorphisms preserve the cardinality of the topologies. $)
  homcard $p |- ( ( J e. Top /\ K e. Top ) -> ( J ~= K  ->
    J ~~ K ) ) $=
    ( vf vx vg va vb vm vn ctop wcel wa chomeo wbr cv chomeosm co wex cen hmph
    wi w3a cuni wf1o cima wral ccnv eqid ishomeo wceq copab cvv f1oeq1 cla4egv
    opabex2g 3ad2ant1 adantr wf1 crn wf cfv weq wfn wss visset imaexg ax-mp
    a1i r19.21aiva fnopab2g sylib wrex cab wal eleq1 imbi2d imaeq2 eleq1d
    rcla4va expcom 3ad2ant2 adantl com12 syl5cbir r19.23aiv 19.21aiv abss
    sylibr rnopab2 syl5ss jca df-f f1of1 fvopab4g ex im2anan9 eqtrt syl eqcoms
    imp3a eltopss anim12d oooeqim2 biimpd 3expib syl6 com24 com14 exp3a syld
    anim12i syl5com mp2an 3adant3 impcom r19.21aivv f1fv wb hbra1 ax-17 hban
    rcla4v eleq1a a1d com3l imp 19.21ai ra4 elssuni eqeq1 eqcom syl5bb rcla4ev
    f2imacnv imim2d pm2.43a 3adant2 albi rexbid bibi12d cbval abeq1 syl5eq
    f1o5 sylc breng mpbird sylbid 3expia pm2.43i 19.23aiv ) AJKZBJKZLZABMNCOZAB
    PQZKZCRZABSNZCABTUURUUNUUSUUQUUNUUSUAZCUUQUUTUUNUUQUUQUUSUULUUMUUQUUQUUSUAU
    ULUUMUUQUBZUUQAUCZBUCZUUOUDZUUODOZUEZBKZDAUFZUUOUGUVEUEZAKZDBUFZUBZUUSDUUPU
    UOABUVBUVCUVBUHZUVCUHUIUVAUVLUUSUVAUVLLZUUSABEOZUDZERZFOZAKZGOZUUOUVRUEZUJZ
    LFGUKZULKZABUWCUDZUVQUVNUVPUWEEUWCULABUVOUWCUMUNUVAUWDUVLUULUUMUWDUUQFGAUWA
    JUOUPUQUVNABUWCURZUWCUSZBUJZLUWEUVNUWFUWHUVNABUWCUTZHOZUWCVAZIOZUWCVAZUJZHI
    VBZUAZIAUFHAUFZLUWFUVNUWIUWQUVNUWCAVCZUWGBVDZLUWIUVNUWRUWSUVNUWAULKZFAUFUWR
    UVNUWTFAUWTUVNUVSLUUOULKZUWTCVEZUUOUVRULVFVGVHVIFGAUWAUWCUWCUHZVJVKUVNUWBFA
    VLZGVMZBUWGUVNUXDUVTBKZUAZGVNUXEBVDUVNUXGGUXDUVNUXFUWBUVNUXFUAZFAUWBUXHUVNU
    WABKZUAUVSUWBUXFUXIUVNUVTUWABVOVPUVNUVSUXIUVLUVSUXIUAZUVAUVHUVDUXJUVKUVSUVH
    UXIUVGUXIDUVRADFVBUVFUWABUVEUVRUUOVQVRZVSVTWAWBWCWDWEWCWFUXDGBWGWHFGAUWAWIZ
    WJWKABUWCWLWHUVNUWPHIAAUVLUVAUWJAKZUWLAKZLZUWPUAZUVDUVHUVAUXPUAUVKUVAUVDUXP
    UULUUMUVDUXPUAUUQUVDUUNUXPUVDUVBUVCUUOURZUUNUXPUAZUVBUVCUUOWMUXAUXAUXQUXRUA
    UXBUXBUXQUUOUWJUEZULKZUUOUWLUEZULKZLZUXRUXAUXALUXOUYCUUNUXQUWPUXOUYCUWKUXSU
    JZUWMUYAUJZLZUUNUXQUWPUAZUAUXMUXTUYDUXNUYBUYEUXMUXTUYDFGUWJUWAUXSAULUWCUVRU
    WJUUOVQUXCWNWOUXNUYBUYEFGUWLUWAUYAAULUWCUVRUWLUUOVQUXCWNWOWPUXOUYFUUNUYGUWN
    UYFUUNLUXQUXOUWOUWNUYFUUNUXQUXOUWOUAUAZUWNUYFUXSUYAUJZUUNUYHUAUWNUYDUYEUYIU
    YDUWNUYEUYIUAZUWNUYJUAUXSUWKUXSUWKUJZUWNUYJUYKUWNLUXSUWMUJZUYJUXSUWKUWMWQUY
    LUYEUYIUXSUWMUYAWQWOWRWOWSWCWTUUNUYIUYHUUNUXOUXQUYIUWOUUNUXOUWJUVBVDZUWLUVB
    VDZLZUXQUYIUWOUAZUAUULUXOUYOUAUUMUULUXMUYMUXNUYNUULUXMUYMUWJAUVBUVMXAWOUULU
    XNUYNUWLAUVBUVMXAWOXBUQUXQUYOUYPUXQUYMUYNUYPUXQUYMUYNUBUYIUWOUVBUVCUUOUWJUW
    LXCXDXEWCXFXGWCXFWTXHXIXJXHUXAUXTUXAUYBUUOUWJULVFUUOUWLULVFXKXLXMWRWCXNWCUP
    XOXPWKHIABUWCXQWHUVNUXEBUWGUVNUXDUXFXRZGVNZUXEBUJUVNUVEUWAUJZFAVLZUVEBKZXRZ
    DVNZUYRUVNUYTVUAUAZDVNZVUAUYTUAZDVNZLVUCUVNVUEVUGUVLUVAVUEUVHUVDUVAVUEUAUVK
    UVHUVAVUEUVHUVALZVUDDUVHUVADUVGDAXSUVADXTYAUYTVUHVUAUYSVUHVUAUAFAVUHUVSUYSV
    UAUVHUVAUVSUYSVUAUAZUAUVSUVHUVAVUIUVSUVHUXIUVAVUIUAUVGUXIDUVRAUXKYBUXIVUIUV
    AUWABUVEYCYDXFYEYFYEWEWCYGWOWAXOUVLVUGUVAUVDUVKVUGUVHUVDUVKLVUFDUVDUVKDUVDD
    XTUVJDBXSYAUVKUVDVUFUVKVUAUVJUAZUVDVUFUAUVJDBYHVUAVUJUVDUYTVUJVUAUVDUYTUAZV
    UAUVJVUKVUAVUAUVEUVCVDZUVJVUKUAUVEBYIUVDVULUVJUYTUVDVULUVJUYTUAUVJUUOUVIUEZ
    UVEUJZUYTUVDVULLUVJVUNUYTUYSVUNFUVIAUVRUVIUJUWAVUMUJZUYSVUNXRUVRUVIUUOVQVUO
    UWAUVEUJVUNUYSUWAVUMUVEYJUVEUWAYKYLWRYMWOUVBUVCUVEUUOYNXLWOYEWRYOYPYEWRXOYG
    YQWBWKUYTVUADYRWHVUBUYQDGVUBGXTUYQDXTDGVBZUYTUXDVUAUXFVUPUYSUWBFAVUPFXTUVEU
    VTUWAYJYSUVEUVTBVOYTUUAVKUXDGBUUBWHUXLUUCWKABUWCUUDWHUUEUVAUUSUVQXRZUVLUUMU
    ULVUQUUQABJEUUFWAUQUUGWOUUHUUIYEUUJUUKWCUUH $.
    $( [1-Jun-2008] $) $( [1-Jun-2008] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Initial and final topologies
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c subSp $. $( Function returning a subspace topology. $)

  $( Extend class notation with the function returning a subspace topology. $)
  csubsp $a class subSp $.

  ${
    $d x y z u $. $d x y z v $.
    $( Function returning the subspace topology induced by the topology
     ` y ` and the set ` x ` . $)
    df-subsp $a |- subSp = { <. <. x , y >. , z >. |
       ( y e. Top /\ z = { u | E. v e. y u = ( v i^i x ) } ) } $.
  $}

  ${
    $d A u v x y z $. $d J u v x y z $.
    subsp.1 $e |- J e. Top $.
    subsp.2 $e |- A e. V $.
    $( The subspace topology induced by the topology ` J ` and the set ` A ` .
       To Norm: there is no reason to consider that ` J e. Top ` and ` A e. V `
       should be premises.  I will transform them into antecedents as soon as
       possible. $)
    subsp $p |- ( subSp ` <. A , J >. ) = { u | E. v e. J u = ( v i^i A ) }
      $=
      ( vx vy vz csubsp co cv cvv wcel ctop wa cin wceq wrex cab copab2 cop
      cfv df-subsp wb visset ibar anbi1d ax-mp oprabbii eqtr opreq df-opr wss
      id inss2 a1i eqsstrd pm4.71ri rexbii r19.42v bitr abbii abssexg eqeltr
      ineq2 eqeq2d rexbidv abbidv rexeq1 eqid oprabval2 mp2an 3eqtr3 ) CDJKZCDG
      LZMNZHLZONZPZILBLZALZVPQZRZAVRSZBTZRZPZGHIUAZKZCDUBJUCWAWBCQZRZADSZBTZJWI
      RVOWJRJVSWGPZGHIUAWIGHIABUDWOWHGHIVQWOWHUEGUFVQVSVTWGVQVSUGUHUIUJUKCDJWIU
      LUICDJUMCMNZDONWJWNRFEGHICDMOWFWNWIWLAVRSZBTWNWACUNZWMPZBTZMWMWSBWMWRWLPZ
      ADSWSWLXAADWLWRWLWAWKCWLUOWKCUNWLWBCUPUQURUSUTWRWLADVAVBVCWPWTMNFWMBCMVDU
      IVEVPCRZWEWQBXBWDWLAVRXBWCWKWAVPCWBVFVGVHVIVRDRWQWMBWLAVRDVJVIWIVKVLVMVN
      $.
      $( [4-Jun-2007] $) $( [29-May-2007] $)
  $}

  ${
    $d X x y z $. $d J x y z $.  $d R x y z $.
    qusp.1 $e |- X = U. J $.
    qusp.2 $e |- Er R $.
    $( A quotient space is a topology. $)
    qusp $p |- ( J e. Top ->
      { x | ( x (_ ( X /. R ) /\ U. x e. J ) } e. Top ) $=
      ( vy vz ctop wcel cv cqs wss cuni wa cab wi wal cin wral simplr wceq wex
      uniopnt simpll df-ral hba1 ax-17 eleq1a imim2i com23 imp3a a4s 19.23ad
      19.21aiv sylbi adantl abss sylibr sylanc uniuni syl5eqel jca exp31
      unissb syl5ibr r19.26 syl5ib ssab visset uniex sseq1 unieq eleq1d
      anbi12d elab 3imtr4g ssinss1 ad2antrr uninqs ad2antrl inopnt 3expib
      com12 impcom eqeltrd ex an4 exp3a imp elabf inex1 r19.21aiv cvv wb cpw
      elpw bicomi a1i anbi1d abbidv ssab2 uniexg qsexg pwexg 3syl ssexg syldan
      mpan istopg syl mpbird ) CIJZAKZDBLZMZXNNZCJZOZAPZIJZGKZXTMZYBNZXTJZQZGRZ
      YBHKZSZXTJZHXTTZGXTTZOZXMYGYLXMYFGXMXNYBJZXSQARZYDXOMZYDNZCJZOZYCYEXMXSAY
      BTZYSYOXMXPAYBTZXRAYBTZOYSYTXMUUAUUBYSXMYPUUBYSQUUAXMYPUUBYSXMYPOZUUBOZYP
      YRXMYPUUBUAUUDYHXQUBZYNOZAUCZHPZNZCYQXMUUHCMZUUICJUUDUUHCUDXMYPUUBUEUUDUU
      GYHCJZQZHRZUUJUUBUUMUUCUUBYNXRQZARZUUMXRAYBUFUUOUULHUUOUUFUUKAUUNAUGUUKAU
      HUUNUUFUUKQAUUNUUEYNUUKUUNYNUUEUUKXRUUEUUKQYNXQCYHUIUJUKULUMUNUOUPUQUUGHC
      URUSUTHAYBVAVBVCVDAYBXOVEVFULXPXRAYBVGVHXSAYBUFVFXSAYBVIXSYSAYDYBGVJZVKXN
      YDUBZXPYPXRYRXNYDXOVLUUQXQYQCXNYDVMVNVOVPVQUOXMYBXTJZYKQZGRYLXMUUSGXMYBXO
      MZYDCJZOZYKUURXMUVBYKXMUVBOZYJHXTUVCYHXOMZYHNZCJZOZYIXOMZYINZCJZOZYHXTJYJ
      XMUVBUVGUVKQXMUVBUVGUVKXMUUTUVDOZUVAUVFOZOZUVKUVBUVGOXMUVNUVKXMUVNOZUVHUV
      JUVNUVHXMUUTUVHUVDUVMYBYHXOVRVSUQUVOUVIYDUVESZCUVLUVIUVPUBXMUVMDYBYHBFVTW
      AUVNXMUVPCJZUVMXMUVQQUVLXMUVMUVQXMUVAUVFUVQYDUVECWBWCWDUQWEWFVCWGUUTUVAUV
      DUVFWHVHWIWJXSUVGAYHUVGAUHHVJXNYHUBZXPUVDXRUVFXNYHXOVLUVRXQUVECXNYHVMVNVO
      WKXSUVKAYIUVKAUHYBYHUUPWLXNYIUBZXPUVHXRUVJXNYIXOVLUVSXQUVICXNYIVMVNVOWKVQ
      WMWGXSUVBAYBUVBAUHUUPXNYBUBZXPUUTXRUVAXNYBXOVLUVTXQYDCXNYBVMVNVOWKVHUOYKG
      XTUFUSVCXMXTWNJYAYMWOXMXTXNXOWPZJZXROZAPZWNXMXSUWCAXMXPUWBXRXPUWBWOXMUWBX
      PXNXOAVJWQWRWSWTXAUWDUWAMZXMUWDWNJZXRAUWAXBUWEXMUWAWNJZUWFUWEXMODWNJZXOWN
      JUWGXMUWHUWEXMCNWNDCIXCEVBUQDBXDXOWNXEXFUWDUWAWNXGXHXIWFGHWNXTXJXKXL $.
      $( [4-Jun-2007] $) $( [4-Jun-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Filters
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Fil $.

  $( Extend class notation with the class of all filters. $)
  cfil $a class Fil $.

  ${
    $d f x y $.
    $( The class of all filters. Bourbaki TG I.36 def. 1 axioms FI, FIIa,
    FIIb, FIII.  This concept is used to define the concept of limit in
    the general case. The notion was invented by Cartan in 1937 and made
    famous by Bourbaki in his treatise. A notion similar to the notion of
    filter is the concept of net invented by Moore and Smith in 1922. $)
    df-fil $a |- Fil = { f | ( ( -. (/) e. f /\ U. f e. f ) /\
      A. x A. y ( ( x e. f /\ y (_ U. f  /\ x (_ y ) -> y e. f ) /\
      A. x e. f A. y e. f ( x i^i y ) e. f ) } $.
  $}

  ${ $d F f x y $. $d X f $.
    isfil.1 $e |- X = U. F $.
    $( The predicate "is a filter." $)
    isfil $p |- ( F e. A -> ( F e. Fil <-> ( ( -. (/) e. F /\ X e. F ) /\
    A. x A. y ( ( x e. F /\ y (_ X /\ x (_ y ) -> y e. F ) /\
    A. x e. F A. y e. F ( x i^i y ) e. F ) ) ) $=
      ( vf c0 cv wcel wn cuni wa wss w3a wi wal cin wral cfil wceq eleq2
      negbid unieq eqcomi syl6eq id eleq12d anbi12d wb sseq2 syl 3anbi12d
      imbi12d 2albidv raleqd 3anbi123d df-fil elab2g ) HGIZJZKZUTLZUTJZMZAIZUTJ
      ZBIZVCNZVFVHNZOZVHUTJZPZBQAQZVFVHRZUTJZBUTSZAUTSZOHDJZKZEDJZMZVFDJZVHENZV
      JOZVHDJZPZBQAQZVODJZBDSZADSZOGDTCUTDUAZVEWBVNWHVRWKWLVBVTVDWAWLVAVSUTDHUB
      UCWLVCEUTDWLVCDLZEUTDUDEWMFUEUFZWLUGUHUIWLVMWGABWLVKWEVLWFWLVGWCVIWDVJUTD
      VFUBWLVCEUAVIWDUJWNVCEVHUKULUMUTDVHUBUNUOVQWJAUTDVPWIBUTDUTDVOUBUPUPUQABG
      URUS $.
      $( [20-Jul-2007] $) $( [20-Jul-2007] $)
  $}

  ${
    $d F x y $.
    $( The empty set doesn't belong to a filter. $)
    filesn $p |- ( F e. Fil -> -. (/) e. F ) $=
      ( vx vy cfil wcel c0 wn cuni wa cv wss w3a wi wal cin wral eqid isfil
      ibi 3simp1d pm3.26d ) ADEZFAEGZAHZAEZUBUCUEIZBJZAECJZUDKUGUHKLUHAEMCNBNZU
      GUHOAECAPBAPZUBUFUIUJLBCDAUDUDQRSTUA $.
      $( [20-Jul-2007] $) $( [20-Jul-2007] $)
  $}

  ${ $d A x y $. $d B y $. $d F x y $. $d X x y $.
    fillsb.1 $e |- X = U. F $.
    $( A filter is closed under taking supersets. $)
    fillsb $p |- ( F e. Fil -> ( ( A e. F /\
      B (_ X /\ A (_ B ) -> B e. F ) ) $=
      ( vx vy cfil wcel wss w3a wi cvv cuni uniexg eqcomi eleq1i sylib cpw wa
      elpw2g bicomd anbi2d biimpd 3simpa imim1i syl cv wceq eleq1 sseq1
      3anbi13d imbi1d imbi2d sseq2 3anbi23d imbi12d wal c0 wn cin wral isfil
      ibi 3simp2d 19.21bi vtocl2g syl6 com23 pm2.43i pm2.43d ) CHIZACIZBDJZABJZ
      KZBCIZVLVPVPVQLZLZVLDMIZVLVSLVLCNZMIVTCHOWADMDWAEPQRVTVPVLVRVTVPVMBDSZIZT
      ZVLVRLZVTVMVNTZWDLVPWDLVTWFWDVTVNWCVMVTWCVNBDMUAUBUCUDVPWFWDVMVNVOUEUFUGV
      LFUHZCIZGUHZDJZWGWIJZKZWICIZLZLVLVMWJAWIJZKZWMLZLWEFGABCWBWGAUIZWNWQVLWRW
      LWPWMWRWHVMWKWOWJWGACUJWGAWIUKULUMUNWIBUIZWQVRVLWSWPVPWMVQWSWJVNWOVOVMWIB
      DUKWIBAUOUPWIBCUJUQUNVLWNGVLWNGURZFVLUSCIUTDCITZWTFURZWGWIVACIGCVBFCVBZVL
      XAXBXCKFGHCDEVCVDVEVFVFVGVHVIUGVJVK $.
      $( [20-Jul-2007] $) $( [20-Jul-2007] $)
  $}

  ${ $d F x y $.
    filusb.1 $e |- X = U. F $.
    $( The underlying set belongs to the filter. $)
    filusb $p |- ( F e. Fil -> X e. F ) $=
      ( vx vy cfil wcel c0 wn wa cv wss w3a wi wal cin wral isfil ibi 3simp1d
      pm3.27d ) AFGZHAGIZBAGZUBUCUDJZDKZAGEKZBLUFUGLMUGAGNEODOZUFUGPAGEAQDAQZUB
      UEUHUIMDEFABCRSTUA $.
      $( [20-Jul-2007] $) $( [20-Jul-2007] $)
  $}

  ${ $d A x y $. $d B y $. $d F x y $.
  $( A filter is closed under taking intersections. $)
  filint $p |- ( ( F e. Fil /\ A e. F /\ B e. F ) -> ( A i^i B ) e. F ) $=
    ( vx vy cfil wcel cin wa wi cv wral c0 wn cuni wss w3a wal eqid isfil
    biimpd imp 3simp3d ex wceq wb ineq1 eleq1 syl ineq2 rcla42v com12 syl6
    pm2.43i 3impib ) CFGZACGZBCGZABHZCGZUPUQURIZUTJZUPUPDKZEKZHZCGZECLDCLZVBUPU
    PVGUPUPIMCGNCOZCGIZVCCGVDVHPVCVDPQVDCGJERDRZVGUPUPVIVJVGQZUPUPVKDEFCVHVHSTU
    AUBUCUDVAVGUTVFUTAVDHZCGZDEABCCVCAUEVEVLUEVFVMUFVCAVDUGVEVLCUHUIVDBUEVLUSUE
    VMUTUFVDBAUJVLUSCUHUIUKULUMUNUO $.
    $( [20-Jul-2007] $) $( [20-Jul-2007] $)
  $}

  $( The intersection of two elements of a filter can't be empty. $)
  fipfil $p |- ( F e. Fil -> ( ( A e. F /\ B e. F ) ->
    ( A i^i B ) =/= (/) ) ) $=
    ( cfil wcel wa cin c0 wceq wn wne nelneq filint 3expb filesn adantr sylanc
    ex df-ne syl6ibr ) CDEZACEZBCEZFZABGZHIJZUEHKUAUDUFUECEZHCEJZUFUAUDFUEHCLUA
    UBUCUGABCMNUAUHUDCOPQRUEHST $.
    $( [19-Sep-2007] $) $( [16-Sep-2007] $)

  ${ $d A x y $. $d F x y $.
    $( A filter has the finite intersection property. Bourbaki TG I.36 note
    of def. 1. $)
    fipfil2 $p |- ( F e. Fil ->
    ( ( A (_ F /\ A =/= (/) /\ E. x e. om A ~~ x ) -> |^| A =/= (/) ) ) $=
      ( vy cfil wcel wss c0 wne cv cen wbr com wrex w3a cint wceq wn wi wa cvv
      ssexg wal sseq1 neeq1 breq1 rexbidv 3anbi123d wb inteq eqeq1 negbid syl
      imbi12d cla4gv nelneq cin wral cuni eqid isfil biimpa 3simp3d anidms
      fiint sylib 19.21bi imp filesn adantr sylanc ex 19.21aiv syl5 com23
      com14 pm2.43i com13 3ad2ant1 com12 df-ne syl6ibr ) CEFZBCGZBHIZBAJZKLZAMN
      ZOZBPZHQZRZWJHIWIWCWLWIWCWLSZWDWEWIWMSZWHWCWIWDWLWCWIWDWLSSWDWCWIWCWLWDWC
      WNWDWCTBUAFZWNBCEUBWOWCWIWLWODJZCGZWPHIZWPWFKLZAMNZOZWPPZHQZRZSZDUCWIWLSZ
      WCXEXFDBUAWPBQZXAWIXDWLXGWQWDWRWEWTWHWPBCUDWPBHUEXGWSWGAMWPBWFKUFUGUHXGXB
      WJQZXDWLUIWPBUJXHXCWKXBWJHUKULUMUNUOWCXEDWCXAXDXBCFZHCFRZXDWCXATXBHCUPWCX
      AXIWCXAXISZDWCWPWFUQCFACURDCURZXKDUCWCXLWCWCTXJCUSZCFTZWPCFWFXMGWPWFGOWFC
      FSAUCDUCZXLWCWCXNXOXLODAECXMXMUTVAVBVCVDDACVEVFVGVHWCXJXACVIVJVKVLVMVNVOU
      MVLVPVQVRVSVQVTWJHWAWB $.
      $( [28-Oct-2007] $) $( [20-Sep-2007] $)
  $}

  $( The empty set is not a filter. Bourbaki TG I.36 def 1 note. $)
  emnfil $p |- -. (/) e. Fil $=
    ( c0 cfil wcel cuni noel eqid filusb mto ) ABCADZACIEAIIFGH $.
    $( [31-Oct-2007] $) $( [30-Oct-2007] $)

  ${ $d A x y $. $d B x y $.
    $( A singleton is a filter. Bourbaki TG I.36, example 1. $)
    oefil2 $p |- ( ( A e. B /\ A =/= (/) ) -> { A } e. Fil ) $=
      ( vx vy wcel c0 wne wa csn wn cuni cv wss w3a wi wal cin wral cfil elsni
      eqcomd necon3ai adantl wceq unisng adantr snidg eqeltrd jca sseq2d sseq1
      eqss biimpr ancoms elsn sylibr ex syl6bi com3r com23 syl5ib 3impd
      19.21aivv ineq12 inidm syl6eq visset inex1 elsnc syl2anb rgen2a a1i 3jca
      cvv wb snex eqid isfil ax-mp ) ABEZAFGZHZFAIZEZJZWCKZWCEZHZCLZWCEZDLZWFMZ
      WIWKMZNWKWCEZOZDPCPZWIWKQZWCEZDWCRCWCRZNZWCSEZWBWHWPWSWBWEWGWAWEVTWDAFWDF
      AFATUAUBUCWBWFAWCVTWFAUDWAABUEZUFVTAWCEWAABUGUFUHUIVTWPWAVTWOCDVTWJWLWMWN
      VTWIAUDZWLWMWNOZOWJVTWLXCXDVTWLWKAMZXCXDOVTWFAWKXBUJXCWMXEWNXCWMAWKMZXEWN
      OWIAWKUKXFXEWNXFXEHWKAUDZWNXEXFXGXGXEXFHWKAULUMUNDAUOZUPUQURUSURUTCAUOZVA
      VBVCUFWSWBWRCDWCXCXGWRWJWNXCXGHZWQAUDWRXJWQAAQAWIAWKAVDAVEVFWQAWIWKCVGVHV
      IUPXIXHVJVKVLVMWCVNEXAWTVOAVPCDVNWCWFWFVQVRVSUP $.
      $( [19-Sep-2007] $) $( [16-Sep-2007] $)
  $}

  ${ $d J x y $. $d S x y $. $d X x y $.
    neifil.1 $e |- X = U. J $.
    $( The neighborhoods of a non empty set is a filter.
    Bourbaki TG I.36, example 2. $)
    neifil $p |- ( ( J e. Top /\ S (_ X /\ S =/= (/) ) ->
      ( ( nei ` J ) ` S ) e. Fil ) $=
      ( vx vy ctop wcel wss c0 wne w3a cnei cfv wn cuni wa cv wi wal cin wral
      cfil 0nnei 3adant2 unnei tpnei biimpa eqeltrd 3adant3 jca wceq sseq2
      ssnei2 exp43 adantr com14 syl6bi com23 3impd mpcom 19.21aivv innei
      3expib 3ad2ant1 r19.21aivv 3jca cvv wb fvex eqid isfil ax-mp sylibr ) BGH
      ZACIZAJKZLZJABMNZNZHOZVTPZVTHZQZERZVTHZFRZWBIZWEWGIZLZWGVTHZSZFTETZWEWGUA
      VTHZFVTUBEVTUBZLZVTUCHZVRWDWMWOVRWAWCVOVQWAVPABUDUEVOVPWCVQVOVPQZWBCVTABC
      DUFZVOVPCVTHABCDUGUHUIUJUKVRWLEFVOVPWLVQWBCULZWRWLWSWTWJWRWKWTWFWHWIWRWKS
      ZWTWHWFWIXASZWTWHWGCIZWFXBSWBCWGUMWRWFWIXCWKVOWFWIXCWKSSSVPVOWFWIXCWKABWG
      WECDUNUOUPUQURUSUTUSVAUJVBVRWNEFVTVTVOVPWFWKQWNSVQVOWFWKWNABWGWEVCVDVEVFV
      GVTVHHWQWPVIAVSVJEFVHVTWBWBVKVLVMVN $.
      $( [19-Sep-2007] $) $( [18-Sep-2007] $)
  $}

  ${ $d F x y $. $d G x y $.
  $( The intersection of two filters is a filter. Use  ~ fiint to extend this
  property to the intersection of a finite set of filters. Bourbaki TG I.36
  par. 3. $)
  filintf $p |- ( ( F e. Fil /\ G e. Fil /\ U. F = U. G ) ->
      ( F i^i G ) e. Fil ) $=
    ( vx vy cfil wcel cuni wceq w3a cin wi cvv c0 wn wa cv wss wal wral eqid
    isfil filesn elin pm3.26bi nsyl 3ad2ant1 ineq2 inidm syl5eqr 3ad2ant3
    filusb eleq1 biimpr expcom syl6bir com3l syl syl5com 3imp eqeltrrd elssuni
    uniin jctil eqss sylibr eqeltrd jca fillsb 3ad2ant2 anim12d biimp sstr2
    mpi ssin pm4.24 3anim123i an6 syl5 syl6ibr 19.21aivv filint 3expib
    im2anan9 com12 an4s syl2anb 3adant3 r19.21aivv 3jca syl5cbir inex1g
    pm2.43i ) AEFZBEFZAGZBGZHZIZABJZEFZWMWNWRWTKWQWRWSLFZWTWMXAWTMWSFZNZWSGZWSF
    ZOZCPZWSFZDPZXDQZXGXIQZIZXIWSFZKZDRCRZXGXIJZWSFZDWSSCWSSZIWRCDLWSXDXDTUAWRX
    FXOXRWRXCXEWMWNXCWQWMMAFZXBAUBXBXSMBFMABUCUDUEUFWRXDWOWPJZWSWRXDXTQZXTXDQZO
    XDXTHWRYBYAWRXTWSFYBWRWOXTWSWQWMWOXTHWNWQWOWOJXTWOWOWPWOUGWOUHUIUJWMWNWQWOW
    SFZWNWOAFZWQYCKZWMWNWPBFZYDYEKBWPWPTZUKWQYFYDYCWQYFWOBFZYDYCKWOWPBULYDYHYCY
    CYDYHOWOABUCUMUNUOUPUQAWOWOTZUKURUSUTZXTWSVAUQABVBZVCXDXTVDVEYJVFVGWRXNCDWR
    XLXIAFZXIBFZOZXMWRXGAFZXIWOQZXKIZXGBFZXIWPQZXKIZOZYNXLWRYQYLYTYMWMWNYQYLKWQ
    XGXIAWOYIVHUFWNWMYTYMKWQXGXIBWPYGVHVIVJXLYOYROZYPYSOZXKXKOZIUUAXHUUBXJUUCXK
    UUDXHUUBXGABUCZVKXJXIXTQZUUCXJYAUUFYKXIXDXTVLVMXIWOWPVNVEXKUUDXKVOVKVPYOYPX
    KYRYSXKVQVEVRXIABUCZVSVTWRXQCDWSWSWMWNXHXMOZXQKWQUUHWMWNOZXQUUBYNUUIXQKZXHX
    MYOYLYRYMUUJUUIYOYLOZYRYMOZOZXQUUIUUMXPAFZXPBFZOXQWMUUKUUNWNUULUUOWMYOYLUUN
    XGXIAWAWBWNYRYMUUOXGXIBWAWBWCXPABUCVSWDWEUUEUUGWFWDWGWHWIWJABEWKURUFWL $.
    $( [19-Sep-2007] $) $( [17-Sep-2007] $)
  $}

  ${ $d A u x y $. $d B a b u v x y $. $d B u x y z $. $d X a b x y $.
     $d X x y z $. $d w x y $.
    fgsb.1 $e |- B = { x | E. y
                  ( y (_ A /\ E. z e. om y ~~ z /\ x = |^| y ) } $.
    $( Filter generated by a subbasis ` A ` . Bourbaki TG I.37 paragraph
    above prop. 1. The theorem has been slightly modified because
    the definitions of the empty set are different in Bourbaki and Metamath.
    ) $)
    fgsb   $p |- ( ( A (_ P~ X /\ X e. V /\ A =/= (/) ) -> ( -. (/) e. B ->
      { x e. P~ X | E. y e. B y (_ x } e. Fil ) ) $=
      ( va vb vu vw vv cpw wss cvv wcel c0 wne w3a wn cv wrex crab cfil wa
      cuni wi wal cin wral wceq sseq2 rexbidv elrab ss0 eleq1d biimpcd
      r19.23aiv adantl sylbi con3i ump 3ad2ant2 r19.2z cen wbr com cint wex
      cab fine neeq1i sylibr 3ad2ant3 ax-17 eleq1 sseq1 imbi12d eleq2i fiiu
      chvar uniss 3ad2ant1 sylan9ssr unipw syl6ss visset elpw pm3.27 ssid
      jctir rcla4ev syl jca cbvrexv syl5bb jctil ssuni r19.21aiva sylanc
      adantr hbrab1 hbuni hbpw hbss hbrex hbre1 hbrab hbeq rexbid elrabf
      unissb elpwi mprgbir sspwb mpbi sseli sylbir r19.41v sstr r19.22si
      adantll 3adant2 syl3an1b gen2 a1i inpws1 rcla4e biimp anim12i infi1
      eqcomi 3syl ss2in syl2an an4s expcom r19.23aiva com12 imp syl2anb pm3.26
      sseq2d rexbidva rgen2 3jca wb pwexg rabexg eqid isfil mpbird ex ) DFMZNZF
      OPZDQRZSZQEPZTZBUAZAUAZNZBEUBZAUUNUCZUDPZUURUUTUEZUVFQUVEPZTZUVEUFZUVEPZU
      EZHUAZUVEPZIUAZUVJNZUVMUVONZSZUVOUVEPZUGZIUHHUHZUVMUVOUIZUVEPZIUVEUJHUVEU
      JZSZUVGUVLUWAUWDUVGUVIUVKUUTUVIUURUVHUUSUVHQUUNPZUVAQNZBEUBZUEUUSUVDUWHAQ
      UUNUVBQUKUVCUWGBEUVBQUVAULUMUNUWHUUSUWFUWGUUSBEUWGUVAEPZUUSUWGUVAQEUVAUOU
      PUQURUSUTVAUSUVGUVJUUNPZUVAUVJNZBEUBZUEZUVKUURUWMUUTUURUWJUWLUUPUUOUWJUUQ
      UVDAFOVBVCEQRZUWKBEUJUWLUURUWKBEVDUUQUUOUWNUUPUUQUVADNUVACUAZVEVFCVGUBUVB
      UVAVHUKSBVIAVJZQRUWNABCDVKEUWPQGVLVMVNUURUWKBEUURUWIUEZUVAUVANZUVAUVEPZUE
      UWKUWQUWSUWRUWQUVAUUNPZUWOUVANZCEUBZUEUWSUWQUWTUXBUWQUVAFNUWTUWQUVAUUNUFZ
      FUWIUURUVADUFZUXCJUAZEPZUXEUXDNZUGUWIUVAUXDNZUGZJBUXIJVOUXEUVAUKUXFUWIUXG
      UXHUXEUVAEVPUXEUVAUXDVQVRUXFUXEUWPPZUXGEUWPUXEGVSZABCUXEDVTUTWAUUOUUPUXDU
      XCNUUQDUUNWBWCWDFWEWFUVAFBWGWHVMUWQUWIUWRUEUXBUWQUWIUWRUURUWIWIUVAWJZWKUX
      AUWRCUVAEUWOUVAUVAVQWLWMWNUVDUXBAUVAUUNUVBUVAUKZUWOUVBNZCEUBUXBUVDUXMUXNU
      XACEUVBUVAUWOULUMUVCUXNBCEUVAUWOUVBVQWOWPUNVMUXLWQUVAUVAUVEWRWMWSWTWNXAUV
      DUWLACUVJUUNACUVEUVDACUUNXBXCZACFUWOFPAVOXDUWKABEUWIAVOACUVAUVJUWOUVAPAVO
      UXOXEXFUVBUVJUKUVCUWKBEBKCUVBUVJKUAUVBPBVOBCUVEUVDBACUUNUVCBEXGUWOUUNPZBV
      OXHXCXIUVBUVJUVAULXJXKVMWNUWAUVGUVTHIUVRUVOUUNPZUVAUVONZBEUBZUEZUVSUVMUUN
      PZUVAUVMNZBEUBZUEZUVPUVQUXTUVNUYDUVPUVQSUXQUXSUVPUYDUXQUVQUVPUVOUVJMZPUXQ
      UVOUVJIWGWHUYEUUNUVOUVJFNZUYEUUNNUYFUWOFNZCUVECUVEFXLUWOUVEPUXPUVAUWONZBE
      UBZUEUYGUVDUYIAUWOUUNUVBUWOUKUVCUYHBEUVBUWOUVAULUMUNUXPUYGUYIUWOFXMXAUTXN
      UVJFXOXPXQXRVCUYDUVQUXSUVPUYCUVQUXSUYAUYCUVQUEUYBUVQUEZBEUBUXSUYBUVQBEXSU
      YJUXRBEUVAUVMUVOXTYAXRYBYCWNUVDUYCAUVMUUNUVBUVMUKZUVCUYBBEUVBUVMUVAULUMUN
      YDUVDUXSAUVOUUNUVBUVOUKZUVCUXRBEUVBUVOUVAULUMUNVMYEYFUWDUVGUWCHIUVEUVEUYD
      UXTUWCUVNUVSUYDUXTUEUWBUUNPZUVAUWBNZBEUBZUEZUWCUYAUXQUYCUXSUYPUYAUXQUEUYM
      UYCUXSUEUYOUYAUYMUXQUVMUVOFYGXAUXEUVMNZJEUBZLUAZUVONZLEUBZUYOUYCUXSUYRVUA
      UYOUYQVUAUYOUGJEVUAUXFUYQUEZUYOUYTVUBUYOUGLEVUBUYSEPZUYTUEUYOUXFVUCUYQUYT
      UYOUXEUYSUIZEPZVUDUWBNZUYOUXFVUCUEZUYQUYTUEUYNVUFBVUDEVUFBVOUVAVUDUWBVQYH
      VUGUXJUYSUWPPZUEVUDUWPPZVUEUXFUXJVUCVUHUXFUXJUXKYIVUCVUHEUWPUYSGVSYIYJABC
      UXEUYSDYKVUIVUEUWPEVUDEUWPGYLVSYIYMUXEUVMUYSUVOYNYOYPYQYRYSYRYTUYBUYQBJEU
      VAUXEUVMVQWOUXRUYTBLEUVAUYSUVOVQWOUUAYJYPUVDUYOAUWBUUNUVBUWBUKZUVCUYNBEVU
      JUWIUEUVBUWBUVAVUJUWIUUBUUCUUDUNVMUVDUYCAUVMUUNUYKUVCUYBBEUYKUWIUEUVBUVMU
      VAUYKUWIUUBUUCUUDUNUVDUXSAUVOUUNUYLUVCUXRBEUYLUWIUEUVBUVOUVAUYLUWIUUBUUCU
      UDUNUUAUUEYFUUFUVGUVEOPZUVFUWEUUGUURVUKUUTUUPUUOVUKUUQUUPUUNOPVUKFOUUHUVD
      AUUNOUUIWMVCXAHIOUVEUVJUVJUUJUUKWMUULUUM $.
      $( [30-Nov-2007] $) $( [16-Nov-2007] $)
  $}

  ${ $d A x y z $. $d B u x y z $. $d X u x y z $.
    efilcp.1 $e |- B = { z | E. y
                  ( y (_ A /\ E. u e. om y ~~ u /\ z = |^| y ) } $.
    $( A filter containing a set ` A ` exists iff ` A ` has the finite
    intersection property (i.e. no finite intersection of elements of A
    is empty). Bourbaki TG I.37 prop. 1. $)
    efilcp  $p |- ( ( A (_ P~ X /\ X e. V /\ A =/= (/) ) ->
      ( -. (/) e. B <-> E. x e. Fil A (_ x ) ) $=
      ( cpw wss cvv wcel c0 wne w3a wn cv cfil wrex crab wa sseq2 rcla4ev fgsb
      imp wral 3simp1 adantr cen wbr com cint wceq wex cab abfi sseqtr4 ssel2
      ssid sseq1 mpan2 syl mpan rgen jctir ssrab sylibr sylanc ex wi sstr
      df-ne fipfil2 pm2.27 necom biimp sylbir syl6 3exp com34 com4t com14
      com13 com23 imp31 inteq int0 eqeq1i 0ex ne0i ax-mp neeq1 mpbii sylbi
      eqcoms necomd sylib a1d pm2.61d2 nan mpbir df-3an negbii nexdv eqeq1
      3anbi3d exbidv elab2 exp31 r19.23aiv com12 impbid ) EGIZJZGKLZEMNZOZMFLZP
      ZEAQZJZARSZXQXSYBBQZCQZJZBFSZCXMTZRLZEYGJZYBXQXSUAZYAYIAYGRXTYGEUBUCXQXSY
      HCBDEFGHUDUEYJXNYFCEUFZUAYIYJXNYKXQXNXSXNXOXPUGUHYFCEEFJZYDELZYFEYCEJZYCD
      QUIUJDUKSZYDYCULZUMZOZBUNZCUOFCBDEUPHUQYLYMUAYDFLZYFEFYDURYTYDYDJZYFYDUSY
      EUUABYDFYCYDYDUTUCVAVBVCVDVEYFCXMEVFVGVHVIYBXQXSYAXQXSVJARXTRLZYAXQXSUUBY
      AUAXQUAZYNYOMYPUMZOZBUNZPXSUUCUUEBUUCYNYOUAZUUDUAZPZUUEPUUCUUIVJUUCUUGUAU
      UDPZVJUUCUUGUUJUUCYCMUMZUUGUUJVJZUUBYAXQUUKPZUULVJZUUBXQYAUUNUUBXQYAUUNVJ
      UUGYAUUMUUBXQUAZUUJYNYOYAUUMUUOUUJVJZVJZVJYNYAYOUUQYNYAYOUUQVJZYNYAUAYCXT
      JZUURYCEXTVKUUMYOUUSUUPUUMYCMNZYOUUSUUPVJVJYCMVLUUOYOUUSUUTUUJUUBYOUUSUUT
      UUJVJVJVJZXQUUBUUSUUTYOOZYPMNZVJZUVADYCXTVMUUSUUTUVDYOUUJUUSUUTYOUVDUUJUU
      SUUTYOUVDUUJVJUVBUVDUVCUUJUVBUVCVNUVCMYPNZUUJMYPVOUVEUUJMYPVLZVPVQVRVSVTW
      AVBUHWBVQWCVBVIWDUEWBVIWDWEUUKUUJUUGUUKUVEUUJUUKYPMUVCMYCMYCUMMULZYPUMZUV
      CMYCWFUVHKYPUMZUVCUVGKYPWGWHUVIKMNZUVCMKLUVJWIKMWJWKKYPMWLWMWNVBWOWPUVFWQ
      WRWSUEUUCUUGUUDWTXAUUEUUHYNYOUUDXBXCVGXDXRUUFYSUUFCMFWIYDMUMZYRUUEBUVKYQU
      UDYNYOYDMYPXEXFXGHXHXCVGXIXJXKXL $.
      $( [30-Nov-2007] $) $( [20-Nov-2007] $)
  $}

  ${ $d A x y $. $d F x y $.
     $( A filter is closed under taking finite intersections. $)
  filint2 $p |- ( F e. Fil -> ( ( A (_ F /\ A =/= (/) /\ E. x e. om A ~~ x )
    -> |^| A e. F ) ) $=
    ( vy cfil wcel wss c0 wne cv cen wbr com wrex cint wi cpw elpw2g wceq
    sseq1 neeq1 breq1 rexbidv inteq eleq1d imbi12d imbi2d w3a wn cuni wa wal
    cin wral eqid isfil 3simp3 fiint sylib 19.21bi syl6bi pm2.43i 3expd com12
    vtoclg syl6bir com4l com13 3impd ) CEFZBCGZBHIZBAJZKLZAMNZBOZCFZVJVKVLVOVQP
    ZPZPVKVJVJVSVKVJVJVSPZPVJVKVKVJVSVJVKBCQZFVKVTPZBCERDJZCGZVJWCHIZWCVMKLZAMN
    ZWCOZCFZPZPZPZPWBDBWAWCBSZWDVKWLVTWCBCTWMWKVSVJWMWEVLWJVRWCBHUAWMWGVOWIVQWM
    WFVNAMWCBVMKUBUCWMWHVPCWCBUDUEUFUFUGUFVJWDWKVJWDWEWGWIVJWDWEWGUHWIPZVJVJHCF
    UICUJZCFUKZWCCFVMWOGWCVMGUHVMCFPAULDULZWCVMUMCFACUNDCUNZUHZWNDAECWOWOUOUPWS
    WNDWSWRWNDULWPWQWRUQDACURUSUTVAVBVCVDVEVFVGVBVHVBVI $.
    $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A y z $. $d B y $. $d C y z $. $d u z $.
    fisub.1 $e |- B = { z | E. y
                  ( y (_ A /\ E. u e. om y ~~ u /\ z = |^| y ) } $.
    fisub.2 $e |- D = { z | E. y
                  ( y (_ C /\ E. u e. om y ~~ u /\ z = |^| y ) } $.
    $( If a set has the finite intersection property, its subsets have also
    this property. $)
    fisub $p |- ( C (_ A -> ( -. (/) e. B -> -. (/) e. D ) ) $=
      ( wss c0 wcel cv cen wbr com wrex cint wceq w3a wex wi wa sstr 0ex eqeq1
      3anbi3d exbidv elab2 biimpr 19.23bi 3exp syl expcom com4l 3imp 19.23aiv
      com12 syl5ib con3d ) FDJZKGLZKELZVAAMZFJZVDCMNOCPQZKVDRZSZTZAUAZVCVBVJVAV
      CVIVAVCUBZAVEVFVHVKVAVEVFVHVCVEVAVFVHVCUBUBZVEVAUCVDDJZVLVDFDUDVMVFVHVCVM
      VFVHTZVCAVCVNAUAZVMVFBMZVGSZTZAUAVOBKEUEVPKSZVRVNAVSVQVHVMVFVPKVGUFZUGUHH
      UIUJUKULUMUNUOUPUQURVEVFVQTZAUAVJBKGUEVSWAVIAVSVQVHVEVFVTUGUHIUIUSUT $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A x y z $. $d B x y z $. $d C x y z $. $d a b x y $.
     $d a c x y $. $d c x y z $.
    $( The intersection of two finite intersections is a finite intersection.
    $)
    infi $p |- ( C e. D -> ( ( A e. ( fi ` C ) /\  B e. ( fi ` C ) ) ->
    ( A i^i B ) e. ( fi ` C ) ) ) $=
      ( vz vc vx va vy vb wcel cfi cfv wa cin cv wss cen wbr com wrex cint
      wceq w3a wex wi cun an6 unss biimp unfi breq2 cbvrexv anbi2i 3imtr4
      ineq12 intun syl6eqr 3anim123i sylbi ex visset unex sseq1 breq1 rexbidv
      inteq eqeq2d 3anbi123d cla4ev syl6com 19.23aiv com12 imp a1i sppfi
      biimpd pm2.43b syl2and cvv wb inex1g adantr anim1i ancoms syl mpbird ) CD
      KZACLMZKZBWIKZNZABOZWIKZWHWLNZWNEPZCQZWPFPZRSZFTUAZWMWPUBZUCZUDZEUEZWHWLX
      DWHGPZCQZXEHPZRSHTUAZAXEUBZUCZUDZGUEZIPZCQZXMJPZRSZJTUAZBXMUBZUCZUDZIUEZX
      DWJWKXLYANXDUFWHXLYAXDXKYAXDUFGYAXKXDXTXKXDUFIXKXTXEXMUGZCQZYBWRRSZFTUAZW
      MYBUBZUCZUDZXDXKXTYHXKXTNXFXNNZXHXQNZXJXSNZUDYHXFXHXJXNXQXSUHYIYCYJYEYKYG
      YIYCXEXMCUIUJXHXMXGRSZHTUAZNYBXGRSZHTUAYJYEHXEXMUKXQYMXHXPYLJHTXOXGXMRULU
      MUNYDYNFHTWRXGYBRULUMUOYKWMXIXROYFAXIBXRUPXEXMUQURUSUTVAXCYHEYBXEXMGVBIVB
      VCWPYBUCZWQYCWTYEXBYGWPYBCVDYOWSYDFTWPYBWRRVEVFYOXAYFWMWPYBVGVHVIVJVKVLVM
      VLVNVOWHWJXLWJWHWJXLUFWJWHNWJXLGAWICDHVPVQVAVRWHWKYAWKWHWKYAUFWKWHNWKYAIB
      WICDJVPVQVAVRVSVNWOWMVTKZWHNZWNXDWAWLWHYQWLYPWHWJYPWKABWIWBWCWDWEEWMVTCDF
      VPWFWGVA $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A a b u v y $. $d A t x y $. $d A x y z $. $d X a b x y $.
     $d X t x y $. $d X x y z $. $d w x y $.
    $( Filter generated by a subbasis ` A ` . Bourbaki TG I.37 paragraph
    above prop. 1. (The theorem has been slightly modified because
    the definitions of the empty set are different in Bourbaki and
    Metamath.) $)
    fgsb2 $p |- ( ( A (_ P~ X /\ X e. V /\ A =/= (/) ) ->
      ( -. (/) e. ( fi ` A ) ->
         { x e. P~ X | E. y e. ( fi ` A ) y (_ x } e. Fil ) ) $=
      ( va vb vz vw vt vu vv cpw wss cvv wcel c0 wne w3a cfi cfv wn cv wrex
      crab cfil wa cuni wi wal cin wral wceq sseq2 rexbidv elrab ss0 eleq1d
      biimpcd r19.23aiv adantl sylbi con3i ump 3ad2ant2 r19.2z fine2 ssexg
      3simp1 pwexg sylanc 3simp3 sylc fiiu2 syl imp sspwuni sylib adantr sstrd
      visset elpw sylibr pm3.27 ssid jctir sseq1 rcla4ev jca weq cbvrexv
      syl5bb jctil ssuni r19.21aiva hbrab1 hbuni ax-17 hbpw wel hbss hbrex
      hbre1 hbrab hbeq rexbid elrabf unissb elpwi mprgbir sspwb mpbi sseli
      sylbir r19.41v sstr r19.22si adantll 3adant2 syl3an1b gen2 a1i inpws1
      rcla4e cdm elfvdm infi exp3a mpcom ss2in syl2an an4s expcom r19.23aiva
      com12 syl2anb anim12i pm3.26 sseq2d rexbidva rgen2 3jca wb rabexg eqid
      isfil mpbird ex ) CDLZMZDNOZCPQZRZPCSTZOZUAZBUBZAUBZMZBUUMUCZAUUHUDZUEOZU
      ULUUOUFZUVAPUUTOZUAZUUTUGZUUTOZUFZEUBZUUTOZFUBZUVEMZUVHUVJMZRZUVJUUTOZUHZ
      FUIEUIZUVHUVJUJZUUTOZFUUTUKEUUTUKZRZUVBUVGUVPUVSUVBUVDUVFUUOUVDUULUVCUUNU
      VCPUUHOZUUPPMZBUUMUCZUFUUNUUSUWCAPUUHUUQPULUURUWBBUUMUUQPUUPUMUNUOUWCUUNU
      WAUWBUUNBUUMUWBUUPUUMOZUUNUWBUUPPUUMUUPUPUQURUSUTVAVBUTUVBUVEUUHOZUUPUVEM
      ZBUUMUCZUFZUVFUULUWHUUOUULUWEUWGUUJUUIUWEUUKUUSADNVCVDUUMPQZUWFBUUMUKUWGU
      ULUWFBUUMVECNOZUUKUWIUULCNVFUUIUUHNOZUWJUULCUUHNVGZUUIUUJUUKVHZUUJUUIUWKU
      UKDNVIZVDZVJUUIUUJUUKVKVLUULUWFBUUMUULUWDUFZUUPUUPMZUUPUUTOZUFUWFUWPUWRUW
      QUWPUUPUUHOZGUBZUUPMZGUUMUCZUFUWRUWPUWSUXBUWPUUPDMUWSUWPUUPCUGZDUULUWDUUP
      UXCMZUUIUWKUWDUXDUHZUULUUIUWKUFUWJUXEUWLUUPCNVMVNUWMUWOVJVOUULUXCDMZUWDUU
      LUUIUXFUWMCDVPVQVRVSUUPDBVTWAWBUWPUWDUWQUFUXBUWPUWDUWQUULUWDWCUUPWDZWEUXA
      UWQGUUPUUMUWTUUPUUPWFWGVNWHUUSUXBAUUPUUHABWIZUWTUUQMZGUUMUCUXBUUSUXHUXIUX
      AGUUMUUQUUPUWTUMUNUURUXIBGUUMUUPUWTUUQWFWJWKUOWBUXGWLUUPUUPUUTWMVNWNVJWHV
      RUUSUWGAGUVEUUHAGUUTUUSAGUUHWOWPZAGDUWTDOAWQWRUWFABUUMUWDAWQAGUUPUVEGBWSA
      WQUXJWTXAUUQUVEULUURUWFBUUMBHGUUQUVEHAWSBWQBGUUTUUSBAGUUHUURBUUMXBUWTUUHO
      BWQXCWPXDUUQUVEUUPUMXEXFWBWHUVPUVBUVOEFUVMUVJUUHOZUUPUVJMZBUUMUCZUFZUVNUV
      HUUHOZUUPUVHMZBUUMUCZUFZUVKUVLUXNUVIUXRUVKUVLRUXKUXMUVKUXRUXKUVLUVKUVJUVE
      LZOUXKUVJUVEFVTWAUXSUUHUVJUVEDMZUXSUUHMUXTIUBZDMZIUUTIUUTDXGUYAUUTOUYAUUH
      OZUUPUYAMZBUUMUCZUFUYBUUSUYEAUYAUUHAIWIUURUYDBUUMUUQUYAUUPUMUNUOUYCUYBUYE
      UYADXHVRVAXIUVEDXJXKXLXMVDUXRUVLUXMUVKUXQUVLUXMUXOUXQUVLUFUXPUVLUFZBUUMUC
      UXMUXPUVLBUUMXNUYFUXLBUUMUUPUVHUVJXOXPXMXQXRWHUUSUXQAUVHUUHAEWIZUURUXPBUU
      MUUQUVHUUPUMUNUOXSUUSUXMAUVJUUHAFWIZUURUXLBUUMUUQUVJUUPUMUNUOWBXTYAUVSUVB
      UVREFUUTUUTUXRUXNUVRUVIUVNUXRUXNUFUVQUUHOZUUPUVQMZBUUMUCZUFZUVRUXOUXKUXQU
      XMUYLUXOUXKUFUYIUXQUXMUFUYKUXOUYIUXKUVHUVJDYBVRJUBZUVHMZJUUMUCZKUBZUVJMZK
      UUMUCZUYKUXQUXMUYOUYRUYKUYNUYRUYKUHJUUMUYRUYMUUMOZUYNUFZUYKUYQUYTUYKUHKUU
      MUYTUYPUUMOZUYQUFUYKUYSVUAUYNUYQUYKUYMUYPUJZUUMOZVUBUVQMZUYKUYSVUAUFUYNUY
      QUFUYJVUDBVUBUUMVUDBWQUUPVUBUVQWFYCUYSVUAVUCCSYDZOZUYSVUAVUCUHUYMCSYEVUFU
      YSVUAVUCUYMUYPCVUEYFYGYHVOUYMUVHUYPUVJYIYJYKYLYMYNYMVOUXPUYNBJUUMUUPUYMUV
      HWFWJUXLUYQBKUUMUUPUYPUVJWFWJYOYPYKUUSUYKAUVQUUHUUQUVQULZUURUYJBUUMVUGUWD
      UFUUQUVQUUPVUGUWDYQYRYSUOWBUUSUXQAUVHUUHUYGUURUXPBUUMUYGUWDUFUUQUVHUUPUYG
      UWDYQYRYSUOUUSUXMAUVJUUHUYHUURUXLBUUMUYHUWDUFUUQUVJUUPUYHUWDYQYRYSUOYOYTY
      AUUAUVBUUTNOZUVAUVTUUBUULVUHUUOUUJUUIVUHUUKUUJUWKVUHUWNUUSAUUHNUUCVNVDVRE
      FNUUTUVEUVEUUDUUEVNUUFUUG $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A x y z $. $d X x y z $. $d u x y $.
    $( A filter containing a set ` A ` exists iff ` A ` has the finite
    intersection property (i.e. no finite intersection of elements of ` A `
    is empty). Bourbaki TG I.37 prop. 1. $)
    efilcp2  $p |- ( ( A (_ P~ X /\ X e. V /\ A =/= (/) ) ->
      ( -. (/) e. ( fi ` A )  <-> E. x e. Fil A (_ x ) ) $=
      ( vy vz vu cpw wss cvv wcel c0 wne w3a cfi cfv wn cv cfil wrex crab wa
      sseq2 rcla4ev fgsb2 imp wral 3simp1 adantr wi wb pwexg elpw2g syl
      biimprd elisset a1d syl6com 3imp abfi2 ssel2 ssid sseq1 mpan2 r19.21aiva
      jca ssrab sylibr sylanc ex cen wbr com cint wceq wex 0ex sppfi mpan
      negbid sstr df-ne fipfil2 pm2.27 necom biimp sylbir syl6 3exp com34
      com4t com14 com13 com23 inteq int0 eqeq1i ne0i ax-mp neeq1 mpbii sylbi
      eqcoms necomd sylib pm2.61d2 nan mpbir df-3an negbii nexdv syl5bir 3expd
      com24 mpcom r19.23aiv com12 impbid ) BCGZHZCIJZBKLZMZKBNOZJZPZBAQZHZARSZY
      BYEYHDQZEQZHZDYCSZEXRTZRJZBYMHZYHYBYEUAZYGYOAYMRYFYMBUBUCYBYEYNEDBCUDUEYP
      XSYLEBUFZUAYOYPXSYQYBXSYEXSXTYAUGUHYPBIJZYQYBYRYEXSXTYAYRXTXSBXRGZJZYAYRU
      IXTYTXSXTXRIJYTXSUJCIUKBXRIULUMUNYTYRYABYSUOUPUQURZUHYRBYCHZYQBIUSUUBYLEB
      UUBYJBJUAYJYCJZYLBYCYJUTUUCYJYJHZYLYJVAYKUUDDYJYCYIYJYJVBUCVCUMVDUMUMVEYL
      EXRBVFVGVHVIYHYBYEYGYBYEUIARYBYGYFRJZYEYRYBYGUUEYEUIUIUUAYRUUEYGYBYEYRUUE
      YGYBYEYRYEYIBHZYIFQVJVKFVLSZKYIVMZVNZMZDVOZPUUEYGYBMZYRYDUUKKIJZYRYDUUKUJ
      VPDKIBIFVQVRVSUULUUJDUULUUFUUGUAZUUIUAZPZUUJPUULUUPUIUULUUNUAUUIPZUIUULUU
      NUUQUULYIKVNZUUNUUQUIZUUEYGYBUURPZUUSUIZUUEYBYGUVAUUEYBYGUVAUIUUNYGUUTUUE
      YBUAZUUQUUFUUGYGUUTUVBUUQUIZUIZUIUUFYGUUGUVDUUFYGUUGUVDUIZUUFYGUAYIYFHZUV
      EYIBYFVTUUTUUGUVFUVCUUTYIKLZUUGUVFUVCUIUIYIKWAUVBUUGUVFUVGUUQUUEUUGUVFUVG
      UUQUIUIUIZYBUUEUVFUVGUUGMZUUHKLZUIZUVHFYIYFWBUVFUVGUVKUUGUUQUVFUVGUUGUVKU
      UQUVFUVGUUGUVKUUQUIUVIUVKUVJUUQUVIUVJWCUVJKUUHLZUUQKUUHWDUVLUUQKUUHWAZWEW
      FWGWHWIWJUMUHWKWFWLUMVIWMUEWKVIWMURUURUUQUUNUURUVLUUQUURUUHKUVJKYIKYIVNKV
      MZUUHVNZUVJKYIWNUVOIUUHVNZUVJUVNIUUHWOWPUVPIKLZUVJUUMUVQVPIKWQWRIUUHKWSWT
      XAUMXBXCUVMXDUPXEUEUULUUNUUIXFXGUUJUUOUUFUUGUUIXHXIVGXJXKXLXMXNWLXOXPXQ
      $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A g $. $d A u x y $. $d F g $. $d F u x y $.
    $( Condition to have a filter finer than a given filter and containing a
    set ` A ` . Bourbaki T.G. I.37 cor. 1 $)
    cnfilca  $p |- ( ( F e. Fil /\ A (_ U. F /\ A =/= (/) ) ->
       ( E. g e. Fil ( A e. g /\  F (_ g )  <->
         A. x e. F ( x i^i A ) =/= (/) ) ) $=
      ( vy vu cfil wcel cuni wss c0 wne w3a cv wa wrex csn cun cfi cfv wn cin
      wral cvv wb ssexg uniexg sylan2 ancoms 3adant3 snssg anbi1d unss syl6bb
      syl rexbidv cpw efilcp2 wi ex elpwg bitr3d pwuni biimp mpan2 syl6bi syl6
      pm2.43a mpan9 3ad2ant1 emnfil wceq nelneq pm3.27 con3i un00 necon3bbii
      sylib syl3anc cen wbr com cint wex elisset snex jctil unexb 0ex sppfi
      negbid wal ax-17 cpr elun2 adantl snidg elun1 adantr jca prssg bicomd
      3simp2 mpbird sylanc prfi jctir prex a1i sseq1 breq1 anbi12d inteq
      eqeq2d imbi12d cla4gv mpid com23 imp31 df-ne sylibr necomd ad2antrr
      visset intprd eqcomd neeq1d r19.21ai cdif moec ssundif int0 eqtrt ineq2
      inv1 neeq1 necom sylbi eqcoms com3l mpi syl6com ax-mp com12 com14
      3ad2ant3 imp difss ssfi 3simp1 filint2 ineq1 rcla4v incom biimpd 3expd
      com13 sylbir 3imp com3r pm2.61i wel elsni eleq1 con3d 19.21aiv disj1
      disjssun ne0i mpbi neeq2 mpbii fipfil2 3exp2 pm2.61ine com24 impbida
      alnex df-3an negbii imnan bitr4 albii bitr3 syl5bb bitrd 3bitr2d ) DGHZBD
      IZJZBKLZMZBCNZHZDUWMJZOZCGPBQZDRZUWMJZCGPZKUWRSTHZUAZANZBUBZKLZADUCZUWLUW
      PUWSCGUWLBUDHZUWPUWSUEUWHUWJUXGUWKUWJUWHUXGUWJUWIUDHZUXGUWHBUWIUDUFZDGUGZ
      UHUIUJZUXGUWPUWQUWMJZUWOOUWSUXGUWNUXLUWOBUWMUDUKULUWQDUWMUMUNUOUPUWRUWIUQ
      ZJZUXHUWRKLZUXBUWTUEUWLCUWRUWIURUWHUWJUXNUWKUWHUXHUWJUXNUXJUXHUWJUXNUWJUX
      HUXGUWJUXNUSUWJUXHUXGUXIUTUXGUWJUWQUXMJZUXNUXGBUXMHZUWJUXPBUWIUDVAZBUXMUD
      UKVBUXPDUXMJZUXNDVCUXPUXSOUXNUWQDUXMUMVDVEVFVGVHVIUJUWHUWJUXHUWKUXJVJUWHU
      WJUXOUWKUWHKGHUAZUXOVKUWHUXTODKVLZUAZUXODKGVMUYBUWQKVLZUYAOZUAUXOUYDUYAUY
      CUYAVNVOUYDUWRKUWQDVPVQVRUOVEVJVSUWLUXBENZUWRJZUYEFNZVTWAZFWBPZKUYEWCZVLZ
      MZEWDZUAZUXFUWLKUDHZUWRUDHZOZUXBUYNUEUWLUYPUYOUWLUWQUDHZDUDHZOUYPUWLUYSUY
      RUWHUWJUYSUWKDGWEVJBWFWGUWQDWHVRWIWGUYQUXAUYMEKUDUWRUDFWJWKUOUWLUYFUYIOZU
      YKUAZUSZEWLZUXFUYNUWLVUCUXFUWLVUCOZUXEADVUDAWMVUDUXCDHZUXEVUDVUEOZUXEUXCB
      WNZWCZKLVUFKVUHVUFKVUHVLZUAZKVUHLUWLVUCVUEVUJUWLVUEVUCVUJUWLVUEVUCVUJUSUW
      LVUEOZVUCVUGUWRJZVUGUYGVTWAZFWBPZOZVUJVUKVULVUNVUKVULUXCUWRHZBUWRHZOZVUKV
      UPVUQVUEVUPUWLUXCDUWQWOWPUWLVUQVUEUWLUXGVUQUXKUXGBUWQHVUQBUDWQBUWQDWRUOUO
      WSWTVUEUXQVULVURUEVUKVUEUXQOVURVULUXCBUWRDUXMXAXBUWLVUEVNUWLUXQVUEUWLUXQU
      WJUWHUWJUWKXCUWLUXGUXQUWJUEUXKUXRUOXDWSXEXDFUXCBXFXGVUKVUGUDHZVUCVUOVUJUS
      ZUSVUSVUKUXCBXHXIVUBVUTEVUGUDUYEVUGVLZUYTVUOVUAVUJVVAUYFVULUYIVUNUYEVUGUW
      RXJVVAUYHVUMFWBUYEVUGUYGVTXKUPXLVVAUYKVUIVVAUYJVUHKUYEVUGXMXNWKXOXPUOXQUT
      XRXSKVUHXTYAYBVUFUXDVUHKVUFVUHUXDVUFUXCUDHZUXGOVUHUXDVLVUFUXGVVBUWLUXGVUC
      VUEUXKYCAYDWGUXCBYEUOYFYGXDUTYHUWLUXFOZVUBEBUYEHZVVCVUBUSZVVDUYJBUYEUWQYI
      ZWCZUBZVLZVVEUYEBYJUYTVVCVVIVUAUYFUYIVVCVVIVUAUSZUSZUYFVVFDJZUYIVVKUSZUYE
      UWQDYKVVFKVLZVVLVVMUSZVVCVVLUYIVVNVVJUWLUXFVVLUYIVVNVVJUSZUSUSZUWKUWHUXFV
      VQUSUWJUYIUXFVVLUWKVVPUXFVVLUWKVVPUSZUSZUSUYIVVSUXFVVRVVLVVNUWKVVJVVNVVGK
      WCZVLZUWKVVJUSZVVFKXMVVTUDVLZVWAVWBUSYLVWAVWCVVGUDVLZVWBVWAVWCVWDVVGVVTUD
      YMUTVWDVVHBUDUBZVLZVWBVVGUDBYNVWFVWEBVLZVWBBYOVWFVWGVVHBVLZVWBVWFVWGVWHVV
      HVWEBYMUTVVIVWHUWKVUAVVIVWHUYJBVLZUWKVUAUSZVVIVWHVWIUYJVVHBYMUTVWJBUYJBUY
      JVLUWKUYJKLZVUABUYJKYPVWKKUYJLZVUAUYJKYQVWLVUAKUYJXTZVDYRZVFYSVGYTVGUUAUO
      UUBUUCUOUUDXIXIXIUUEUUFUUGUUEVVNUAZVVFUYEJZVVOUYEUWQUUHUYIVWPVVLVWOVVKUYI
      VWPVVFUYGVTWAFWBPZVVLVWOVVKUSUSUYIVWPVWQFUYEVVFUUIUTVVCVVLVWOVWQVVJUWLUWH
      UXFVVLVWOVWQVVJUSZUSUSUWHUWJUWKUUJUXFUWHVVLVWOVWRUWHVVLVWOMVWQUXFVVJUWHVV
      LVWOVWQUXFVVJUSZUSZVWOVVLUWHVWTVWOVVFKLZVVLUWHVWTUSUSVVFKXTUWHVVLVXAVWTUW
      HVVLVXAVWQVWSUWHVVLVXAVWQMVVGDHZVWSFVVFDUUKVXBUXFVVGBUBZKLZVVJUXEVXDAVVGD
      UXCVVGVLUXDVXCKUXCVVGBUULYGUUMVXCVVHVLZVXDVVJUSVVGBUUNVXEVXDVVHKLZVVJVXCV
      VHKYPVVIVXFVWKVUAVXFVWKUSVVHUYJVVHUYJVLVXFVWKVVHUYJKYPUUOYSVWNUUBVFUUCVGV
      GUUPUUQUURUUQUUSUUTUUPVIUUEVGUUEUUAUVAYRUUGUUQUOUYTVVCVVDUAZVUAUYFUYIVVCV
      XGVUAUSUSUYFVXGVVCUYIVUAVXGUYFUYEDJZVVCUYIVUAUSZUSVXGUYEUWQUBKVLZUYFVXHUS
      VXGAEUVBZUXCUWQHZUAZUSZAWLVXJVXGVXNAVXKVXGVXMVXKVXLVVDVXLVXKVVDVXLUXCBVLZ
      VXKVVDUSUXCBUVCVXOVXKVVDUXCBUYEUVDUUOUOUUDUVEUUDUVFAUYEUWQUVGYAVXJUYFVXHU
      YEUWQDUVHUUOUOVVCVXHVXIUWLVXHVXIUSZUXFUWHUWJVXPUWKUWHVXPUSUYEKUYIUWHVXHUY
      EKVLZVUAUWHVXHVXQVUAUSZUSZUSUYIVXSUWHVXRVXHVXQUYJVVTVLZVUAUYEKXMVXTVWCVUA
      YLVXTVWCUYJUDVLZVUAVXTVWCVYAUYJVVTUDYMUTVUAUDUYJUDUYJVLZVWLVUAVYBKUDLZVWL
      UDKLZVYCUYOVYDWIUDKUVIUUCUDKYQUVJUDUYJKUVKUVLVWMVRYSVGUUAUOXIXIXIUUEUWHVX
      HUYEKLZVXIUWHVXHVYEUYIVUAUWHVXHVYEUYIMZOZVWLVUAVYGUYJKUWHVYFVWKFUYEDUVMUU
      GYBVWMVRUVNUUTUVOVJWSUUDUUBUVPUUGUUQUVAUVFUVQUYNUYLUAZEWLVUCUYLEUVRVYHVUB
      EVYHUYTUYKOZUAVUBUYLVYIUYFUYIUYKUVSUVTUYTUYKUWAUWBUWCUWDUWEUWFUWG $.
      $( [27-Apr-2008] $) $( [27-Apr-2008] $)
  $}

  ${ $d A x $. $d B b x $. $d x z $.
    $( Lemma for ~ rcfpfil . (Part of FL's sandbox.) $)
    rcfpfillem1 $p |- ( B e. C -> ( B e. { x | E. b
      (  b (_ A /\ E. z e. om b ~~ z /\ x = ( A \ b ) ) }
        <-> E. b ( b (_ A /\ E. z e. om b ~~ z /\ B = ( A \ b ) ) ) ) $=
      ( cv wss cen wbr com wrex cdif wceq w3a wex eqeq1 3anbi3d exbidv elabg )
      FGZCHZUABGIJBKLZAGZCUAMZNZOZFPUBUCDUENZOZFPADEUDDNZUGUIFUJUFUHUBUCUDDUEQR
      ST $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

  ${ $d A b x $. $d b x z $.
    $( Lemma for ~ rcfpfil . (Part of FL's sandbox.) $)
    rcfpfillem2 $p |- ( -. E. x e. om A ~~ x -> -. (/) e. { x | E. b
      (  b (_ A /\ E. z e. om b ~~ z /\ x = ( A \ b ) ) }  ) $=
      ( cv cen wbr com wrex wn wss c0 cdif wceq w3a wex cab wcel wi ssdif0
      eqcom bitr wa eqss breq2 cbvrexv breq1 rexbidv biimpcd sylbi com12
      sylbir ex com23 com13 3imp 19.23aiv con3i cvv wb 0ex rcfpfillem1 negbid
      ax-mp sylibr ) CAEZFGZAHIZJDEZCKZVIBEZFGZBHIZLCVIMZNZOZDPZJZLVJVMVFVNNODP
      AQRZJZVQVHVPVHDVJVMVOVHVOVMVJVHVOCVIKZVMVJVHSSWAVNLNVOCVITVNLUAUBWAVJVMVH
      WAVJVMVHSZWAVJUCZVICNZWBWDCVINWCVICUACVIUDUBVMWDVHVMVIVFFGZAHIZWDVHSVLWEB
      AHVKVFVIFUEUFWDWFVHWDWEVGAHVICVFFUGUHUIUJUKULUMUNULUOUPUQURLUSRZVTVRUTVAW
      GVSVQABCLUSDVBVCVDVE $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

  ${ $d A b x y $. $d B b y $. $d b y z $.
    $( Lemma for ~ rcfpfil . (Part of FL's sandbox.) $)
    rcfpfillem3 $p |- ( A e. B -> U. { x | E. b
      (  b (_ A /\ E. z e. om b ~~ z /\ x = ( A \ b ) ) } = A ) $=
      ( vy wcel cv wss cen wbr com wrex cdif wceq w3a wex cab cuni wel wa wi
      19.42v bicomi exbii excom 3simp3 adantl pm3.26 jca 3simpa 19.22i 19.40
      cvv difexg eleq2 ceqsexgv eldifi syl6bi syl com12 adantr 3syl 19.23aiv
      sylbi eqeq1 3anbi3d exbidv anbi12d ancom c0 0ex 0ss emfin dif0 eqcomi
      3pm3.2i sseq1 breq1 rexbidv difeq2 eqeq2d 3anbi123d cla4egv mp2 mpbiran
      syl6bb impbid eluniab syl5bb eqrdv ) CDGZFEHZCIZWMBHZJKZBLMZAHZCWMNZOZPZE
      QZARSZCWLFATZXBUAZAQZFHZCGZXGXCGWLXFXHXFWLXHXFXDXAUAZEQZAQZWLXHUBZXEXJAXJ
      XEXDXAEUCUDUEXKXIAQZEQXLXIAEUFXMXLEXMWTXDUAZWNWQUAZUAZAQXNAQZXOAQZUAXLXIX
      PAXIXNXOXIWTXDXAWTXDWNWQWTUGUHXDXAUIUJXAXOXDWNWQWTUKUHUJULXNXOAUMXQXLXRWL
      XQXHWLWSUNGZXQXHUBCWMDUOXSXQXGWSGZXHXDXTAWSUNWRWSXGUPUQXGCWMURUSUTVAVBVCV
      DVEVEVAXEXHACDWRCOZXEXHWNWQCWSOZPZEQZUAZXHYAXDXHXBYDWRCXGUPYAXAYCEYAWTYBW
      NWQWRCWSVFVGVHVIYEYDXHXHYDVJVKUNGVKCIZVKWOJKZBLMZCCVKNZOZPZYDVLYFYHYJCVMB
      VNYICCVOVPVQYCYKEVKUNWMVKOZWNYFWQYHYBYJWMVKCVRYLWPYGBLWMVKWOJVSVTYLWSYICW
      MVKCWAWBWCWDWEWFWGWDWHXBAXGWIWJWK $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

  ${ $d A a b c u v $. $d A b u v x $. $d B u v $. $d a b c v z $. $d x z $.
    $( Lemma for ~ rcfpfil . (Part of FL's sandbox.) $)
    rcfpfillem4 $p |- ( A e. B
                      -> A. u
                         e. { x
                            | E. b
                                 (  b (_ A
                                 /\ E. z e. om b ~~ z
                                 /\ x = ( A \ b ) ) }
                            A. v
                            e. { x
                               | E. b
                                    (  b (_ A
                                    /\ E. z e. om b ~~ z
                                    /\ x = ( A \ b ) ) }
                                  ( u i^i v )
                               e. { x
                                  | E. b
                                       (  b (_ A
                                       /\ E. z e. om b ~~ z
                                       /\ x = ( A \ b ) ) } ) $=
      ( va vc wcel cv cin wss cen wbr com wrex cdif wceq w3a wex cab wa wi cun
      an6 unss biimp unfi ineq12 difundi syl6eqr 3anim123i sylbi expcom visset
      unex sseq1 breq1 rexbidv difeq2 eqeq2d 3anbi123d cla4ev syl6 19.23aiv
      com12 imp weq cbvexv syl2anb adantl cvv wb inex1 rcfpfillem1 ax-mp
      sylibr ex bi2anan9 mp2an syl5ib r19.21aivv ) EFJZDKZCKZLZGKZEMZWHBKZNOZBP
      QZAKEWHRZSTGUAAUBZJZDCWNWNWDWIWLWEWMSZTZGUAZWIWLWFWMSZTZGUAZUCZWOWEWNJZWF
      WNJZUCZWDXBWOWDXBUCWIWLWGWMSZTZGUAZWOXBXHWDHKZEMZXIWJNOZBPQZWEEXIRZSZTZHU
      AZIKZEMZXQWJNOZBPQZWFEXQRZSZTZIUAZXHWRXAXPYDXHXOYDXHUDHYDXOXHYCXOXHUDIYCX
      OXIXQUEZEMZYEWJNOZBPQZWGEYERZSZTZXHXOYCYKXOYCUCXJXRUCZXLXTUCZXNYBUCZTYKXJ
      XLXNXRXTYBUFYLYFYMYHYNYJYLYFXIXQEUGUHBXIXQUIYNWGXMYALYIWEXMWFYAUJEXIXQUKU
      LUMUNUOXGYKGYEXIXQHUPIUPUQWHYESZWIYFWLYHXFYJWHYEEURYOWKYGBPWHYEWJNUSUTYOW
      MYIWGWHYEEVAVBVCVDVEVFVGVFVHWQXOGHGHVIZWIXJWLXLWPXNWHXIEURYPWKXKBPWHXIWJN
      USUTYPWMXMWEWHXIEVAVBVCVJWTYCGIGIVIZWIXRWLXTWSYBWHXQEURYQWKXSBPWHXQWJNUSU
      TYQWMYAWFWHXQEVAVBVCVJVKVLWGVMJWOXHVNWEWFDUPZVOABEWGVMGVPVQVRVSWEVMJZWFVM
      JZXEXBVNYRCUPYSXCWRYTXDXAABEWEVMGVPABEWFVMGVPVTWAWBWC $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}


  ${ $d A b x $. $d b x z $.
    $( Lemma for ~ rcfpfil . (Part of FL's sandbox.) $)
    rcfpfillem5 $p |- ( A e. B
                      ->    A
                         e. { x
                            | E. b
                                 (  b (_ A
                                 /\ E. z e. om b ~~ z
                                 /\ x = ( A \ b ) ) } ) $=
      ( wcel cv wss cen wbr com wrex cdif wceq w3a wex cab c0 cvv 0ex 0ss
      emfin cin in0 disj3 mpbi 3pm3.2i sseq1 breq1 rexbidv difeq2 eqeq2d
      3anbi123d cla4egv mp2 rcfpfillem1 mpbiri ) CDFCEGZCHZURBGZIJZBKLZAGCURMZN
      OEPAQFUSVBCVCNZOZEPZRSFRCHZRUTIJZBKLZCCRMZNZOZVFTVGVIVKCUABUBCRUCRNVKCUDC
      RUEUFUGVEVLERSURRNZUSVGVBVIVDVKURRCUHVMVAVHBKURRUTIUIUJVMVCVJCURRCUKULUMU
      NUOABCCDEUPUQ $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

  ${ $d A b c $. $d A b x $. $d b c u z $. $d b c v z $. $d u x z $.
     $d v x z $.
    $( Lemma for ~ rcfpfil . (Part of FL's sandbox.) $)
    rcfpfillem6 $p |- (  ( u  e. { x
                                  | E. b
                                       (  b (_ A
                                       /\ E. z e. om b ~~ z
                                       /\ x = ( A \ b ) ) }
                            /\ v (_ A
                            /\ u (_ v )
                         ->    v
                            e. { x
                               | E. b
                                    (  b (_ A
                                    /\ E. z e. om b ~~ z
                                    /\ x = ( A \ b ) ) } ) $=
      ( vc cv wss cen wbr com wrex cdif wceq w3a wex cab wcel wi cvv wb visset
      rcfpfillem1 weq sseq1 breq1 rexbidv difeq2 eqeq2d 3anbi123d cbvexv
      syl6bb ax-mp difexg cla4ev ssdifss 3ad2ant1 difss ssfi mpan2 3ad2ant2 wa
      dfss4 eqcomd eqeq1d biimpd cun undif sylbi difun1 syl5eqr difeq1 syl5cbi
      syl6com a1d 3imp impcom difeq2d ex com13 eqcoms com12 syl5ib syl3anc
      3exp 19.23aiv eqeq1 3anbi3d exbidv elab sylibr ) DHZFHZEIZWNBHZJKZBLMZAHZ
      EWNNZOZPZFQZARZSZCHZEIZWMXFIZPWOWRXFWTOZPZFQZXFXDSXEXGXHXKXEGHZEIZXLWPJKZ
      BLMZWMEXLNZOZPZGQZXGXHXKTTZWMUASZXEXSUBDUCYAXEWOWRWMWTOZPZFQXSABEWMUAFUDY
      CXRFGFGUEZWOXMWRXOYBXQWNXLEUFYDWQXNBLWNXLWPJUGUHYDWTXPWMWNXLEUIUJUKULUMUN
      XRXTGXRXGXHXKXLXFWMNZNZEIZYFWPJKZBLMZXFEYFNZOZXKXRXGXHPXJYGYIYKPFYFXLUASY
      FUASGUCXLYEUAUOUNWNYFOZWOYGWRYIXIYKWNYFEUFYLWQYHBLWNYFWPJUGUHYLWTYJXFWNYF
      EUIUJUKUPXRXGYGXHXMXOYGXQXLEYEUQURURXRXGYIXHXOXMYIXQXOYFXLIYIXLYEUSBXLYFU
      TVAVBURXRXGXHYKXREEXFNZNZXFOZXHYKTZXGYOXRYPXRYPTXFYNXHXRXFYNOZYKXHXRYQYKT
      XHXRVCZYQYKYRYNYJXFYRYMYFEXRXHYMYFOZXMXOXQXHYSTZXMEXPNZXLOZXOXQYTTZTXLEVD
      UUBUUCXOXQUUBEWMNZXLOZYTXQUUBUUEXQUUAUUDXLXQUUDUUAWMXPEUIVEVFVGXHUUDYENZY
      FOYSUUEXHUUFYMYFXHEWMYEVHZNZYMUUFXHUUGXFOUUHYMOWMXFVIUUGXFEUIVJEWMYEVKVLV
      FUUDXLYEVMVNVOVPVJVQVRVSUJVGVTWAWBWCXFEVDWDVQWEWFWGVJVQXCXKAXFCUCACUEZXBX
      JFUUIXAXIWOWRWSXFWTWHWIWJWKWL $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

  ${ $d A b u v x $. $d A b x y $. $d B b u v x $. $d b u v x z $. $d y z $.
  $( Relative complements of the finite parts of an infinite set is a
     filter. When ` A = NN ` the set of the relative complements is called
     Frechet's filter and is used to define the concept of limit of
     a sequence. (Part of FL's sandbox.) $)
  rcfpfil $p |- ( ( A e. B /\ -. E. x e. om A ~~ x ) ->
  { x | E. b ( b (_ A /\ E. z e. om b ~~ z /\ x = ( A \ b ) ) } e. Fil )
    $=
    ( vu vv vy wcel cv cen wbr com wrex wn wa wss cdif wceq w3a wex cab cfil
    c0 cuni wi wal cin wral rcfpfillem2 adantl rcfpfillem3 rcfpfillem5 eqeltrd
    adantr jca rcfpfillem6 unissb visset weq eqeq1 3anbi3d exbidv elab difss
    sseq1 mpbiri 3ad2ant3 19.23aiv sylbi mprgbir sstr2 mpi syl3an2 a1i
    19.21aivv rcfpfillem4 3jca wb cvv copab crn cpw elpw2g bicomd 3anbi1d
    opabbidv pwexg opabex2g syl 3simpb ssopab2i jctil ssexg rnexg rnopab
    syl5eqelr eqid isfil mpbird ) CDIZCAJZKLAMNOZPZEJZCQZXEBJKLBMNZXBCXERZSZTZE
    UAZAUBZUCIZUDXLIOZXLUEZXLIZPZFJZXLIZGJZXOQZXRXTQZTXTXLIZUFZGUGFUGZXRXTUHXLI
    GXLUIFXLUIZTZXDXQYEYFXDXNXPXCXNXAABCEUJUKXAXPXCXAXOCXLABCDEULABCDEUMUNUOUPX
    DYDFGYDXDXSXTCQZYBYCYAABGFCEUQYAXOCQZYHYIHJZCQZHXLHXLCURYJXLIXFXGYJXHSZTZEU
    AZYKXKYNAYJHUSAHUTZXJYMEYOXIYLXFXGXBYJXHVAVBVCVDYMYKEYLXFYKXGYLYKXHCQCXEVEY
    JXHCVFVGVHVIVJVKXTXOCVLVMVNVOVPXAYFXCABGFCDEVQUOVRXAXMYGVSZXCXAXLVTIYPXAXJE
    AWAZWBZVTXLXAYQVTIYRVTIXAYQXECWCZIZXGXITZEAWAZVTXAXJUUAEAXAXFYTXGXIXAYTXFXE
    CDWDWEWFWGXAUUBYTXIPZEAWAZQZUUDVTIZPUUBVTIXAUUFUUEXAYSVTIUUFCDWHEAYSXHVTWIW
    JUUAUUCEAYTXGXIWKWLWMUUBUUDVTWNWJUNYQVTWOWJXJEAWPWQFGVTXLXOXOWRWSWJUOWT $.
    $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Limits
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c fLim1 $.
  cflim1 $a class fLim1 $. $( Limit of a filter $)

  $c fLim2 $.
  cflim2 $a class fLim2 $. $( Limit of a function $)

  ${ $d x y a b l $.
    $( Define a function (indexed by a topology ` x `) whose value is the
       limits of a filter ` a ` . ` a e. ( Fil i^i P~ P~ U. x ) ` means ` a `
       is a filter on the underlying set of the the topology ` x ` . $)
    df-flim1 $a |- fLim1 = { <. x , y >. | ( x e. Top /\ y = { <. a , b >. |
      ( a e. ( Fil i^i P~ P~ U. x ) /\
        b = { l e. U. x | ( ( nei ` x ) ` { l } ) (_ a } ) } ) } $.
  $}

  ${ $d x y z a b l $.
    $( Define a function (indexed by a topology ` x ` and a filter ` y `)
       whose values are the limits of a function ` a `. $)
    df-flim2 $a |- fLim2 = { <. <. x , y >. , z >. | ( x e. Top /\ y e. Fil /\
      z = { <. a , b >. | ( a : U. y --> U. x /\
        b = { l | ( ( nei ` x ) ` l ) (_ ( a " y ) } ) } ) } $.
  $}

  ${ $d J a b l x y $. $d X a b l x y $.
    sfvlim.1 $e |- X = U. J $.
    $( Functions whose values are the limits of the filters. (Part of FL's sandbox.) $)
    sfvlim $p |- ( J e. Top -> ( fLim1 ` J ) = { <. a , b >. |
      ( a e. ( Fil i^i P~ P~ X ) /\
        b = { l e. X | ( ( nei ` J ) ` { l } ) (_ a } ) } ) $=
      ( vx vy ctop wcel cv cfil cpw cin csn cnei cfv wss crab wceq wa copab
      cvv cflim1 cuni uniexg syl5eqel pwexg 3syl inex1g incom eleq1i biimp
      opabex2g syl unieq syl6eqr pweq ineq2d eleq2d eqcomi eqeq2i rabeq fveq2
      fveq1d sseq1d rabbisdv eqtrd eqeq2d anbi12d opabbidv df-flim1 fvopab4g
      mpdan ) AIJZCKZLBMZMZNZJZDKZEKOZAPQZQZVPRZEBSZTZUAZCDUBZUCJZAUDQWITVOVSUC
      JZWJVOVRUCJZVRLNZUCJZWKVOBUCJVQUCJWLVOAUEZUCBAIUFFUGBUCUHVQUCUHUIVRLUCUJW
      NWKWMVSUCVRLUKULUMUICDVSWFUCUNUOGHAVPLGKZUEZMZMZNZJZWAWBWPPQZQZVPRZEWQSZT
      ZUAZCDUBWIIUCUDWPATZXGWHCDXHXAVTXFWGXHWTVSVPXHWSVRLXHWQBTZWRVQTWSVRTXHWQW
      OBWPAUPZFUQWQBURWRVQURUIUSUTXHXEWFWAXHXEXDEBSZWFXHWQWOTZXIXEXKTXJXLXIWOBW
      QBWOFVAVBUMXDEWQBVCUIXHXDWEEBXHXCWDVPXHWBXBWCWPAPVDVEVFVGVHVIVJVKGHCDEVLV
      MVN $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

  ${ $d F a b l $. $d J a b l $. $d X a b l $.
    limfillem1.1 $e |- J e. Top $.
    limfillem1.2 $e |- X = U. J $.
    $( The limits of a filter on ` X `. (Part of FL's sandbox.) $)
      limfillem1 $p |- ( F e. ( Fil i^i P~ P~ X ) ->
        ( ( fLim1 ` J ) ` F ) =
          { l e. X | ( ( nei ` J ) ` { l } ) (_ F } ) $=
        ( va vb cv csn cnei cfv wss crab cfil cpw cin cflim1 wceq sseq2
        rabbisdv ctop wcel wa copab sfvlim ax-mp cuni cvv uniexg eqeltr rabex
        fvopab4 ) GHADIJBKLLZGIZMZDCNZUNAMZDCNOCPPQZBRLZUOASUPURDCUOAUNTUABUBUC
        ZUTUOUSUCHIUQSUDGHUESEBCGHDFUFUGURDCCBUHZUIFVAVBUIUCEBUBUJUGUKULUM $.
        $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

  ${ $d F l $. $d J l $. $d X l $.
    limfillem2.1 $e |- X = U. J $.
    $( The limits of a filter on ` X `. (Part of FL's sandbox.) $)
    limfillem2 $p |- ( ( J e. Top /\ F e. ( Fil i^i P~ P~ X ) ) ->
        ( ( fLim1 ` J ) ` F ) =
          { l e. X | ( ( nei ` J ) ` { l } ) (_ F } ) $=
      ( ctop wcel cfil cpw cin cflim1 cfv cv csn cnei wss crab wceq wi c0 cif
      cuni unieq syl5eq pweq 3syl ineq2d eleq2d fveq2 fveq1d rabeq ax-mp a1i
      wb fveq1 sseq1 rabbisdv syl 3eqtrd eqeq12d imbi12d sn0top elimel eqid
      limfillem1 dedth imp ) BFGZAHCIZIZJZGZABKLZLZDMNZBOLZLZAPZDCQZRZVHVLVTSAH
      VHBTNZUAZUBZIZIZJZGZAWBKLZLZVOWBOLZLZAPZDWCQZRZSBWABWBRZVLWGVTWNWOVKWFAWO
      VJWEHWOCWCRVIWDRVJWERWOBUBZWCCBWBUCZEUDCWCUEVIWDUEUFUGUHWOVNWIVSWMWOAVMWH
      BWBKUIUJWOVSVRDWPQZWLDWPQZWMVSWRRZWOCWPRWTEVRDCWPUKULUMWOVRWLDWPWOVPWJRVQ
      WKRVRWLUNBWBOUIVOVPWJUOVQWKAUPUFUQWOWPWCRWSWMRWQWLDWPWCUKURUSUTVAAWBWCDBW
      AFVBVCWCVDVEVFVG $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

  ${ $d F l $. $d J l $. $d L l $. $d X l $.
    plimfil.1 $e |- X = U. J $.
    $( The predicate "is a limit of a filter". (Part of FL's sandbox.) $)
    plimfil $p |-  ( ( J e. Top /\ F e. ( Fil i^i P~ P~ X ) /\ L e. X ) ->
    ( L e. ( ( fLim1 ` J ) ` F ) <-> ( ( nei ` J ) ` { L } ) (_ F ) ) $=
      ( vl ctop wcel cfil cpw cin cflim1 cfv csn cnei wss wa wb cv crab
      limfillem2 eleq2d wceq sneq fveq2d sseq1d elrab syl6bb 3adant3 ompfl3 )
      BGHZAIDJJKHZCDHZCABLMMZHZCNZBOMZMZAPZUKULUOUMUSQZRUMUKULQZUOCFSZNZUQMZAPZ
      FDTZHUTVAUNVFCABDFEUAUBVEUSFCDVBCUCZVDURAVGVCUPUQVBCUDUEUFUGUHUIUJ $.
      $( [22-Jul-2008] $) $( [14-Jul-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Separated spaces: T0, T1, T2 (Hausdorff) ...
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c T0 $. $( The class of all the T0-spaces. $)
  $c T1 $. $( The class of all the T1-spaces. $)

  $( Extend class notation to include T0-spaces. $)
  ct0 $a class T0 $.
  $( Extend class notation to include T1-spaces. $)
  ct1 $a class T1 $.

  ${
    $d a b x u $.
    $( The class of all T0-spaces also called Kolmogorov spaces.
    Morris. Topology without tears. p. 30 ex. 5. $)
    df-t0 $a |- T0 = { x e. Top | A. a e. U. x A. b e. U. x E. u e. x
      ( ( a e. u /\ -. b e. u ) \/ ( -. a e. u /\ b e. u ) ) } $.
  $}

  ${
    $d x a $.
    $( The class of all T1-spaces also called Frechet spaces.
    Morris. Topology without tears. p. 30 ex. 3. $)
    df-t1 $a |- T1 = { x e. Top | A. a e. U. x { a } e. ( Clsd ` x ) } $.
  $}

  ${
    $d J a x $. $d X x $.
    ist1.1 $e |- X = U. J $.
    $( The predicate ` J ` is T1. $)
    ist1 $p |- ( J e. T1 <->
      ( J e. Top /\ A. a e. X { a } e. ( Clsd ` J ) ) ) $=
      ( vx cv csn ccld cfv wcel cuni wral ctop ct1 wceq unieq syl6eqr eleq2d
      fveq2 imbi12d ralbidv2 df-t1 elrab2 ) CFZGZEFZHIZJZCUFKZLUEAHIZJZCBLEAMNU
      FAOZUHUKCUIBULUDUIJUDBJUHUKULUIBUDULUIAKBUFAPDQRULUGUJUEUFAHSRTUAECUBUC
      $.
      $( [18-Jun-2007] $) $( [7-Jun-2007] $)
  $}

  ${
    $d A x $.
    dtopcl.1 $e |- A e. V $.
    $( The open sets of a discrete topology are closed and its closed sets
       are open. $)
    dtopcl $p |- P~ A = ( Clsd ` P~ A ) $=
      ( vx cpw ccld cfv ctop wcel cv wb distop cuni wss cdif wa eqid iscld
      unipw sseq2i biimp visset elpw sylibr adantr elssuni difss sseqtr cvv
      eqeltr difexg ax-mp mpbir jctir impbi syl6rbb eqriv ) CADZUQEFZUQGHZCIZUQ
      HZUTURHZJABKUSVBUTUQLZMZVCUTNZUQHZOZVAUTUQVCVCPQVGVAVDVAVFVDUTAMZVAVDVHVC
      AUTARZSTUTACUAUBUCUDVAVDVFUTUQUEVFVEAMVEVCAVCUTUFVIUGVEAVCUHHVEUHHVCAUHVI
      BUIVCUTUHUJUKUBULUMUNUOUKUP $.
      $( [18-Jun-2007] $) $( [7-Jun-2007] $)
  $}

  ${
    $d J x $.
    $( A Hausdorff space is a T1 space. $)
    t2t1 $p |- ( J e. Haus -> J e. T1 ) $=
      ( vx cha wcel ctop cv csn ccld cfv cuni wral wa ct1 haustop eqid sncld
      r19.21aiva jca ist1 sylibr ) ACDZAEDZBFZGAHIDZBAJZKZLAMDUAUBUFANUAUDBUEUC
      AUEUEOZPQRAUEBUGST $.
      $( [18-Jun-2007] $) $( [11-Jun-2007] $)
  $}

  $( A Hausdorff space is a T1 space. $)
  hst1 $p |- Haus (_ T1 $=
    ( vx cha ct1 wss cv wcel wi dfss2 t2t1 mpgbir ) BCDAEZBFKCFGAABCHKIJ $.
    $( [20-Jul-2007] $) $( [18-Jun-2007] $)

  ${
    $d A u v x y $.
    dtt2.1 $e |- A e. V $.
    $( A discrete topology is Hausdorff. Morris. Topology without tears.
       p.72. ex. 13. $)
    dtt2 $p |- P~ A e. Haus $=
      ( vx vy vu vv cpw cha wcel ctop cv wne cin c0 wceq w3a wrex wi cuni wral
      eqid ishaus distop wa csn visset snid a1i disjsn2 3jca eleq2 ineq1
      eqeq1d 3anbi13d imbi2d ineq2 3anbi23d rcla42ev 3expia unipw eleq2i biimp
      snelpw sylib syl2an mpi r19.37av r19.22si 3syl rgen2a mpbir2an ) AGZHIVLJ
      ICKZDKZLZVMEKZIZVNFKZIZVPVRMZNOZPZFVLQZEVLQRZDVLSZTCWETCDFEVLWEWEUAUBABUC
      WDCDWEVMWEIZVNWEIZUDZVOWBRZFVLQZEVLQZVOWCRZEVLQWDWHVOVMVMUEZIZVNVNUEZIZWM
      WOMZNOZPZRZWKVOWNWPWRWNVOVMCUFZUGUHWPVOVNDUFZUGUHVMVNUIUJWMVLIZWOVLIZWTWK
      RWFWGXCXDWTWKWIWTVOWNVSWMVRMZNOZPZREFWMWOVLVLVPWMOZWBXGVOXHVQWNWAXFVSVPWM
      VMUKXHVTXENVPWMVRULUMUNUOVRWOOZXGWSVOXIVSWPXFWRWNVRWOVNUKXIXEWQNVRWOWMUPU
      MUQUOURUSWFVMAIZXCWFXJWEAVMAUTZVAVBVMAXAVCVDWGVNAIZXDWGXLWEAVNXKVAVBVNAXB
      VCVDVEVFWJWLEVLVOWBFVLVGVHVOWCEVLVGVIVJVK $.
      $( [14-Jul-2007] $) $( [24-Jun-2007] $)
  $}

  ${
    dtt1.1 $e |- A e. V $.
    $( A discrete topology is T1. Morris. Topology without tears. $)
    dtt1 $p |- P~ A e. T1 $=
      ( cpw cha wcel ct1 dtt2 t2t1 ax-mp ) ACZDEJFEABGJHI $.
      $( [18-Jun-2007] $) $( [8-Jun-2007] $)
   $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Connectedness
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Con $.
  $( Extend class notation with the the class of all connected topologies. $)
  ccon $a class Con $.
  $( Topologies are connected when only ` (/) ` and ` U. j ` are
     both open and closed. $)
  df-con $a |- Con = { j e. Top | ( j i^i ( Clsd ` j ) ) = { (/) , U. j } } $.

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Standard topology on RR
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Closed intervals are closed sets of the standard topology on ` RR ` . $)
  clicls $p |- ( ( A e. RR /\ B e. RR ) -> ( A [,] B ) e.
  ( Clsd ` ( topGen ` ran (,) ) ) ) $=
    ( cr wcel wa cicc co cioo crn ctg cfv ccld cdif cmnf cpnf cpr cuni cdrci
    ctop wss retop iooretop pm3.2i oprex prss mpbi a1i uniopnt syl eqeltrd wb
    iccssret jctil uniretop eqcomi iscld2 mpbird ) ACDBCDEZABFGZHIJKZLKDZCUSMZU
    TDZURVBNAHGZBOHGZPZQZUTABRURUTSDZVFUTTZEZVGUTDVJURVHVIUAVDUTDZVEUTDZEVIVKVL
    NAUBBOUBUCVDVEUTNAHUDBOHUDUEUFUCUGVFUTUHUIUJURVHUSCTZEVAVCUKURVMVHABULUAUMU
    SUTCUTQCUNUOUPUIUQ $.
    $( [14-Sep-2007] $) $( [14-Sep-2007] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
         Pre-calculus and Cartesian geometry
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $( Distance between the middle of a segment and one of
     its extremities is a positive real.
    $)
  dmse1 $p |- ( ( A e. RR /\ B e. RR /\ A =/= B ) ->
    ( ( abs ` ( A - B ) ) / 2 ) e. RR+ ) $=
    ( cr wcel wne w3a cmin co cabs cfv crp c2 wa cdiv cc cc0 absrpclt resubclt
    recnd 3adant3 wceq wn wb subeq0t recnt syl2an biimpd necon3ad 3impia df-ne
    sylibr sylanc clt wbr elrp 2re 2pos mpbir2an jctir rpdivclt syl ) ACDZBCDZA
    BEZFZABGHZIJZKDZLKDZMVGLNHKDVEVHVIVFODZVFPEZVHVEVFQVBVCVJVDVBVCMZVFABRSTVEV
    FPUAZUBZVKVBVCVDVNVLVMABVLVMABUAZAODBODVMVOUCVBVCABUDAUEBUEUFUGUHUIVFPUJUKU
    LVILCDPLUMUNLUOUPUQURUSVGLUTVA $.
    $( [3-Jan-2008] $) $( [27-Dec-2007] $)


  $( Distance between the middle of a segment and one of
     its extremities is a positive real.
    $)
  dmse2 $p |- ( ( A e. RR /\ B e. RR /\ A < B ) ->
    ( ( abs ` ( A - B ) ) / 2 ) e. RR+ ) $=
    ( cr wcel wne cmin co cabs cfv c2 cdiv crp clt wbr dmse1 w3a ltnet necomd
    syld3an3 ) ACDZBCDZABEABFGHIJKGLDABMNZABOTUAUBPBAABQRS $.
    $( [3-Jan-2008] $) $( [27-Dec-2007] $)

  $( The midpoint of a segment AB of the real line is a real. $)
  msr3 $p |- ( ( A e. RR /\ B e. RR ) ->
   ( B - ( ( abs ` ( A - B ) ) / 2 ) ) e. RR ) $=
    ( cr wcel cmin co cabs cfv c2 cdiv wa resubclt pm3.27 cc0 wne redivclt cc
    recnd absclt syl 2re a1i 2ne0 syl3anc sylanc ) BCDZABEFZGHZIJFZCDZBUIEFCDAC
    DZUFKZBUILUKUFMUHCDZICDZINOZUJULUHIPULUGQDUMULUGABLRUGSTUNULUAUBUOULUCUBUDU
    E $.
    $( [3-Jan-2008] $) $( [27-Dec-2007] $)

  $( The midpoint of a segment AB of the real line is a real. $)
  msr4 $p |- ( ( A e. RR /\ B e. RR ) ->
    ( A + ( ( abs ` ( B - A ) ) / 2 ) ) e. RR ) $=
    ( cr wcel cmin co cabs cfv c2 cdiv caddc cc0 wne wa redivclt cc resubclt
    recnd ancoms absclt syl 2re a1i 2ne0 syl3anc axaddrcl syldan ) ACDZBCDZBAEF
    ZGHZIJFZCDZAULKFCDUKCDZICDZILMZUMUHUINZUKIOUQUJPDZUNUIUHURUIUHNUJBAQRSUJTUA
    UOUQUBUCUPUQUDUCUEAULUFUG $.
    $( [3-Jan-2008] $) $( [27-Dec-2007] $)


 $( Translation and inequality on the real line. $)
 ltsubpostb $p |- ( ( A e. RR /\ B e. RR+ ) -> ( A - B ) < A ) $=
   ( cr wcel cc0 clt wbr wa cmin co crp wi ltsubpost biimpd expcom imp32 elrp
   sylan2b ) ACDZBCDZEBFGZHABIJAFGZBKDSTUAUBTSUAUBLTSHUAUBBAMNOPBQR $.
   $( [3-Jan-2008] $) $( [27-Dec-2007] $)

 $( Translation and inequality on the real line. $)
 ltaddpos2tb $p |- ( ( A e. RR /\ B e. RR+ ) -> A < ( A + B ) ) $=
   ( cr wcel cc0 clt wbr wa caddc co crp wi ltaddpost biimpd expcom imp32 elrp
   sylan2b ) ACDZBCDZEBFGZHAABIJFGZBKDSTUAUBTSUAUBLTSHUAUBBAMNOPBQR $.
   $( [3-Jan-2008] $) $( [27-Dec-2007] $)

  $( The midpoint of a segment AB of the real line is on the
  "left" of ` B ` . $)
  mslb1 $p |- ( ( A e. RR /\ B e. RR /\ A < B  ) ->
    ( A + ( ( abs ` ( B - A ) ) / 2 ) ) < B ) $=
    ( cr wcel clt wbr w3a c2 cmul co cmin caddc cdiv cabs cfv wceq cc axdistr
    2cn a1i recnt 3ad2ant1 crp wa 3simpa anim12i ancoms abssubt 3syl opreq1d
    dmse2 eqeltrd rpret syl3anc cc0 wne divcan2t subclt absclt 2ne0 cle absidt
    resubclt 3adant3 ltlet 3impia wb pm3.22 subge0t mpbird sylanc eqtrd
    opreq2d axaddcl 3simp1 axmulcl mpan msr4 3jca jctir divmult syl 3simp3
    2timest adantr pm3.27 jca 3ad2ant2 pncant breqtrrd 3simp2 3brtr4d eqbrtrd
    mpdan cneg negsubt sub23t negidt subidt eqcomd subaddt anidms adantl
    negclt 3eqtr2rd axaddass eqtr4d 3eqtr3d breq1d biimpa axaddrcl 2re
    axmulrcl ltsub1t 2pos ltdivmultOLD bicomd mpbid eqbrtrrd ) ACDZBCDZABEFZGZHAIJ
    ZBAKJZLJZHMJZAYENOZHMJZLJZBEYCYGYJPZHYJIJZYFPZYCYLYDHYIIJZLJZYFHQDZAQDZYIQD
    ZYLYOPYCHAYIRYPYCSTZXTYAYQYBAUAZUBZYCYIUCDYICDYRYCYIABKJNOZHMJUCYCYHUUBHMYC
    XTYAUDZBQDZYQUDZYHUUBPXTYAYBUEZYAXTUUEYAUUDXTYQBUAZYTUFUGZBAUHUIUJABUKULYIU
    MYIUAUIUNYCYNYEYDLYCYNYHYEYPYHQDZHUOUPZYNYHPYCHYHUQYSYCYEQDZYHCDUUIYCUUCUUE
    UUKUUFUUHBAURZUIZYEUSYHUAUIUUJYCUTTUNYECDZUOYEVAFZYHYEPYCYEVBXTYAUUNYBYAXTU
    UNBAVCUGVDZYCUUOABVAFZXTYAYBUUQABVEVFYCUUCYAXTUDUUOUUQVGUUFXTYAVHBAVIUIVJVK
    VLVMVLYCYFQDZYPYJQDZGZUUJUDYKYMVGYCUUTUUJYCUURYPUUSYDQDZUUKUURYCYDYEVNZYCXT
    YQUVAXTYAYBVOZYTYPYQUVASHAVPVQZUIZUUMVKYSYCUUCYJCDUUSUUFABVRYJUAUIVSUTVTYFH
    YJWAWBVJYCYFHBIJZEFZYGBEFZYCYDAKJZUVFBKJZEFZUVGYCYBUVKXTYAYBWCYCYBUDZUVIAAL
    JZAKJZUVJEUVLYDUVMAKYCYDUVMPZYBYCXTYQUVOUVCYTAWDUIWEUJUVLABBLJZBKJZUVNUVJEU
    VLABUVQEYCYBWFUVLUUDUUDUDZUVQBPYCUVRYBYAXTUVRYBYAUUDUUDUUGUUGWGWHWEBBWIWBWJ
    UVLYQYQUDZUVNAPYCUVSYBXTYAUVSYBXTYQYQYTYTWGUBWEAAWIWBUVLUVFUVPBKYCUVFUVPPZY
    BYCYAUUDUVTXTYAYBWKZUUGBWDUIWEUJWLWMWNYCUVKUDZUVGYFBKJZUVJEFZYCUVKUWDYCUVIU
    WCUVJEYCYDAWOZLJZYFBWOZLJZUVIUWCYCUWFYDYEUWGLJZLJZUWHYCUWEUWIYDLYCUWIYEBKJZ
    BBKJZAKJZUWEUUKUUDUWIUWKPYCYEBWPYCUUCYQUUDUDZUUKUUFXTYQYAUUDYTUUGUFZUUDYQUU
    KUULUGZUIYAXTUUDYBUUGWHZVKUUDUUDYQUWMUWKPYCBBAWQUWQUWQUUAUNYCUWMUWEPZAUWELJ
    ZUWLPZYCUWSUOUWLYCXTYQUWSUOPUVCYTAWRUIYAXTUOUWLPYBYAUWLUOYAUUDUWLUOPUUGBWSW
    BWTWHVLUWLQDZYQUWEQDZUWRUWTVGYCUWLAUWEXAYCUUCUWNUXAUUFUWOUUDUXAYQUUDUXABBUR
    XBXCUIUUAYCXTYQUXBUVCYTAXDUIUNVJXEVMYCUVAUUKUWGQDZGZUWHUWJPYCUUCUWNUXDUUFUW
    OUWNUVAUUKUXCYQUVAUUDUVDWEZUWPUUDUXCYQBXDXCVSUIYDYEUWGXFWBXGUVAYQUWFUVIPYCY
    DAWPUVEUUAVKYCUURUUDUDZUWHUWCPYCUUCUWNUXFUUFUWOUWNUURUUDUVAUUKUURUWNUVBUXEU
    WPVKYQUUDWFWGUIYFBWPWBXHXIXJUWBYFCDZUVFCDZYAGZUVGUWDVGYCUXIUVKYCUXGUXHYAYDC
    DZUUNUXGYCYDYEXKXTYAUXJYBHCDZXTUXJXLHAXMVQUBUUPVKZYAXTUXHYBUXKYAUXHXLHBXMVQ
    WHUWAVSWEYFUVFBXNWBVJWNYCUXGUXKYAGZUOHEFZUDZUVGUVHVGYCUXMUXNYCUXGUXKYAUXLUX
    KYCXLTUWAVSXOVTUXOUVHUVGYFHBXPXQWBXRXS $.
    $( [3-Jan-2008] $) $( [2-Jan-2008] $)

  $( Two ways to state the midpoint of a segment. $)
  2wsms $p |- ( ( A e. RR /\ B e. RR /\ A < B ) ->
    ( ( A + B ) / 2 ) = ( B - ( ( abs ` ( A - B ) ) / 2 ) ) ) $=
    ( cr wcel clt wbr w3a c2 caddc co cdiv cmul cmin cabs cfv wceq cc axaddass
    eqcomd cc0 wne divcan2t 2cn a1i wa 3simpa recnt anim12i subclt 3syl absclt
    2ne0 syl3anc resubclt eqeltrd 3ad2ant1 3ad2ant2 axaddcom axaddcl sylanc
    3simp2 2timest opreq1d jca pncant cle abssuble0t ltlet 3impia syld3an3
    eqtr2d wb subaddt mpbid eqtr3d 3eqtrd axmulcl mpan mpbird subdit crp dmse2
    rpret 3eqtr4rd mulcant2 halfaddsubcl pm3.26d msr3 ) ACDZBCDZABEFZGZHABIJZHK
    JZLJZHBABMJZNOZHKJZMJZLJZPZWNWSPZWLHBLJZHWRLJZMJZWMWTWOWLXEWMPZXDWMIJZXCPZW
    LXGXDAIJZBIJZBXIIJZXCXDQDZAQDZBQDZXGXJPWLXLXMXNGXJXGXDABRSWLXDWQQHQDZWQQDZH
    TUAZXDWQPWLHWQUBXOWLUCUDZWLWPQDZWQCDZXPWLWIWJUEZXMXNUEZXSWIWJWKUFZWIXMWJXNA
    UGZBUGZUHZABUIUJWPUKZWQUGZUJXQWLULUDZUMZWLXSXTXPWLYAWPCDXSYCABUNWPUGUJYGYHU
    JUOZWIWJXMWKYDUPZWJWIXNWKYEUQZUMXIQDZXNXJXKPWLXIBURXLXMYNWLXDAUSYKYLUTZYMUT
    WLXCBMJZXIPZXKXCPZWLYPBBIJZBMJZBXIWLXCYSBMWLWJXNXCYSPWIWJWKVAZYEBVBUJVCWLWJ
    XNXNUEYTBPUUAWJXNXNYEYEVDBBVEUJWLAXDIJZBXIWLBAMJZXDPZUUBBPZWLXDWQUUCYJWIWJA
    BVFFZWQUUCPWKABVGWIWJWKUUFABVHVIVJVKXNXMXLUUDUUEVLWLBAXDVMYMYLYKUMVNXMXLUUB
    XIPWLAXDURYLYKUTVOVPXCQDZXNYNYQYRVLWLXCBXIVMWLWJXNUUGUUAYEXOXNUUGUCHBVQVRUJ
    ZYMYOUMVNVPUUGXLWMQDZXFXHVLWLXCXDWMVMUUHYKWLYAYBUUIYCYFABUSUJZUMVSXOXNWRQDZ
    WTXEPWLHBWRVTXRYMWLWRWADWRCDUUKABWBWRWCWRUGUJUMXOUUIXQWOWMPWLHWMUBXRUUJYIUM
    WDXOWNQDZWSQDZXAXBVLWLHWNWSULWEXRWLYAYBUULYCYFYBUULWPHKJQDABWFWGUJWLYAWSCDU
    UMYCABWHWSUGUJUMVN $.
    $( [3-Jan-2008] $) $( [3-Jan-2008] $)

  $( The midpoint of a segment AB of the real line is on the
  "right" of ` A ` . $)
  msra3 $p |- ( ( A e. RR /\ B e. RR /\ A < B ) ->
    A < ( B - ( ( abs ` ( A - B ) ) / 2 ) ) ) $=
    ( cr wcel clt wbr w3a caddc co c2 cdiv cmin cabs cfv cmul wa cc wceq
    3simpa recnt adantr 2cn jctir axmulcom 3syl 3simp1 2timest eqtrd 3simp3 wb
    jca pncant breq1d mpbird ltsubadd2t axaddrcl sylanc 3simp2 syl3anc mpbid
    eqbrtrd cc0 2re a1i 3adant3 3jca 2pos ltmuldivtOLD syl 2wsms breqtrd ) ACDZBCD
    ZABEFZGZAABHIZJKIZBABLIMNJKILIEVOAJOIZVPEFZAVQEFZVOVRAAHIZVPEVOVRJAOIZWAVOV
    LVMPZAQDZJQDZPVRWBRVLVMVNSZWCWDWEVLWDVMATZUAUBUCAJUDUEVOVLWDWBWARVLVMVNUFZW
    GAUGUEUHVOWAALIZBEFZWAVPEFZVOWJVNVLVMVNUIVOWCWDWDPZWJVNUJWFVLWLVMVLWDWDWGWG
    UKUAWLWIABEAAULUMUEUNWACDZVLVMWJWKUJVOWAABUOVLVLWMVOAAUPWHWHUQWHVLVMVNURUSU
    TVAVOVLJCDZVPCDZGZVBJEFZPVSVTUJVOWPWQVOVLWNWOWHWNVOVCVDVLVMWOVNABUPVEVFVGUC
    AJVPVHVIUTABVJVK $.
    $( [3-Jan-2008] $) $( [3-Jan-2008] $)


 ${ $d A x  $. $d x y $.
   $( Lemma for ~ iint . $)
   iintlem1 $p |- (  (  A e. RR
                         /\    y
                            e. |^|_ x e. RR+ ( ( A - x ) (,) ( A + x ) ) )
                      -> ( y e. RR -> y = A ) ) $=
     ( cr wcel cv crp cmin co caddc cioo ciin wceq wi wa wral eliin wn wrex
     cabs cfv c2 cdiv cc cc0 wne absrpclt resubclt ancoms recnd adantr wb
     recnt anim12i subeq0t syl biimpd con3d imp df-ne sylibr sylanc clt wbr
     elrp 2re 2pos mpbir2an jctir rpdivclt cxr w3a cle wo simplr ad2antrl
     simpll 0re ltsubadd2t 3simp2 ax0id 3syl breq2d bitrd 3exp com13 ax-mp
     ad2antrr impcom 3jca msra3 orc leloet pm3.22 adantl msr3 mpbird xrlenltt
     rexrt mpbid intn3an2d jctil subge0t ltlent biimprcd com12 exp3a syl5ibr
     sylbid sylbird mslb1 msr4 axaddrcl ex rpret syl5 ad2antlr jca adantlr
     intn3an3d pm2.61ian anim2i elioo1t mtbird jcai opreq2 opreq12d eleq2d
     negbid rcla4ev syl6 rexnal syl6ib a3d syl6bi pm2.43i com23 ) CDEZBFZAGCAFZ
     HIZCYTJIZKIZLZEZYSDEZYSCMZNYRUUFUUEUUGYRUUFUUEUUGNUUEYRUUFOZUUGUUEUUHUUGNZ
     UUEUUEYSUUCEZAGPZUUIAYSGUUCUUDQUUHUUKUUGUUHUUGUUKUUHUUGRZUUJRZAGSZUUKRUUHU
     ULYSCHIZTUAZUBUCIZGEZYSCUUQHIZCUUQJIZKIZEZRZOZUUNUUHUULUVDUUHUULOZUURUVCUV
     EUUPGEZUBGEZOUURUVEUVFUVGUUOUDEZUUOUEUFZUVFUVEUUOUGUUHUVHUULUUHUUOUUFYRUUO
     DEZYSCUHZUIUJUKUVEUUOUEMZRZUVIUUHUULUVMUUHUVLUUGUUHUVLUUGUUHYSUDEZCUDEZOZU
     VLUUGULUUFYRUVPUUFUVNYRUVOYSUMCUMZUNUIYSCUOUPUQURUSUUOUEUTVAVBUVGUBDEUEUBV
     CVDUBVEVFVGVHVIUUPUBVJUPUVEUURUVCUVEUUROZUVBYSVKEZUUSYSVCVDZYSUUTVCVDZVLZU
     UOUEVCVDZUVRUWBRUWCUVROZUVTUVSUWAUWDYSUUSVMVDZUVTRZUWDUWEYSUUSVCVDZYSUUSMZ
     VNZUWDUUFYRYSCVCVDZVLUWGUWIUWDUUFYRUWJUVEUUFUWCUURYRUUFUULVOZVPZUVEYRUWCUU
     RYRUUFUULVQZVPUVRUWCUWJUUHUWCUWJNZUULUURYRUUFUWNUEDEZYRUUFUWNNNVRUUFYRUWOU
     WNUUFYRUWOUWNUUFYRUWOVLZUWCUWJUWPUWCYSCUEJIZVCVDUWJYSCUEVSUWPUWQCYSVCUWPYR
     UVOUWQCMUUFYRUWOVTUVQCWAWBWCWDUQWEWFWGUSWHWIWJYSCWKUWGUWHWLWBUUFUUSDEZUWEU
     WIULUWDYSUUSWMUWLUWDUUFYROZUWRUVRUWSUWCUUHUWSUULUURYRUUFWNWHZWOYSCWPZUPVBW
     QUVSUUSVKEZUWEUWFULUWDYSUUSWRUVRUVSUWCUUHUVSUULUURUUFUVSYRYSWSZWOWHWOUVRUX
     BUWCUVRUWSUWRUXBUWTUXAUUSWSZWBWOVBWTXAUWCRZUVROZUWAUVSUVTUXFUUTYSVMVDZUWAR
     ZUXFUXGUUTYSVCVDZUUTYSMZVNZUXFYRUUFCYSVCVDZVLUXIUXKUXFYRUUFUXLUVEYRUXEUURU
     WMVPUVEUUFUXEUURUWKVPZUVRUXEUXLUVEUXEUXLNUURUVEUXEUEUUOVMVDZUXLUVEUEVKEZUU
     OVKEZOUXNUXEULUVEUXPUXOUUHUXPUULUUFYRUXPUWSUVJUXPUVKUUOWSUPUIUKUWOUXOVRUEW
     SWGXBUEUUOWRUPUVEUXNCYSVMVDZUXLUUHUXNUXQULZUULUUFYRUXRYSCXCUIUKUUHUULUXQUX
     LNZUUHYSCUFZUXSUULUUHUXTUXQUXLUXTUXQOUUHUXLUXQUXTUUHUXLNUUHUXLUXQUXTOCYSXD
     XEUIXFXGYSCUTXHUSXIXJUKWIWJCYSXKUXIUXJWLWBUUTDEZUUFUXGUXKULUXFUUTYSWMUXFUU
     HUYAUVRUUHUXEUUHUULUURVQWOCYSXLUPUXMVBWQUXFUUTVKEZUVSOZUXGUXHULUVRUYCUXEUU
     HUURUYCUULUUHUUROUYBUVSUUHUURUYBYRUURUYBNUUFYRUUQDEZUYBUURYRUYDUYBYRUYDOZU
     YAUYBCUUQXMZUUTWSZUPXNUUQXOZXPUKUSUUFUVSYRUURUXCXQXRXSWOUUTYSWRUPWTXTYAUVR
     UXBUYBOZUVBUWBULUVEUURUYIYRUURUYINUUFUULYRUURUYIYRUUROZUXBUYBUYJUYEUWRUXBU
     URUYDYRUYHYBZCUUQUHUXDWBUYJUYEUYAUYBUYKUYFUYGWBXRXNWHUSUUSUUTYSYCUPYDXNYEX
     NUUMUVCAUUQGYTUUQMZUUJUVBUYLUUCUVAYSUYLUUAUUSUUBUUTKYTUUQCHYFYTUUQCJYFYGYH
     YIYJYKUUJAGYLYMYNXFYOYPXFXNYQUS $.
     $( [3-Jan-2008] $) $( [27-Dec-2007] $)
  $}


  ${ $d A x $.
  $( Lemma for ~ iint . $)
  iintlem2 $p |- (  y e. |^|_ x e. RR+ ( ( A - x ) (,) ( A + x ) )
                    -> y e. RR ) $=
    ( crp cv cmin co caddc cioo ciin cr wss wrex c1 wcel cc0 clt wbr elrp 1re
    lt01 mpbir2an ioossre wceq opreq2 opreq12d sseq1d rcla4ev mp2an iinss
    ax-mp sseli ) ADCAEZFGZCUMHGZIGZJZKBEUPKLZADMZUQKLNDOZCNFGZCNHGZIGZKLZUSUTN
    KOPNQRNSTUAUBVAVBUCURVDANDUMNUDZUPVCKVEUNVAUOVBIUMNCFUEUMNCHUEUFUGUHUIADUPK
    UJUKUL $.
    $( [3-Jan-2008] $) $( [23-Dec-2007] $)
  $}


  ${ $d A x y $.
  $( Indexed intersection of a set of open intervals centered on ` A ` .
  This theorem is a rough justification for taking finite intersections
  in the definition of a topology. If we consider we are in the
  standard topology of ` RR ` this theorem means a non finite
  intersection of open sets can result in a closed set. $)
  iint $p |- ( A e. RR -> |^|_ x e. RR+ ( ( A - x ) (,) ( A + x ) ) = { A } )
    $=
    ( vy cr wcel crp cv cmin co caddc cioo ciin wceq crab csn wa iintlem2
    adantl iintlem1 jcai ex wi eleq1 wral cxr w3a clt wbr resubclt rpret
    sylan2 rexrt syl axaddrcl adantr 3jca ltsubpostb ltaddpos2tb jca wb
    elioo3g mpbird r19.21aiva eliin syl5bir com12 impbid eqeq1 elrab syl6bbr
    eqrdv rabsn eqtrd ) BDEZAFBAGZHIZBVOJIZKIZLZVOBMZADNZBOVNCVSWAVNCGZVSEZWBDE
    ZWBBMZPZWBWAEVNWCWFVNWCWFVNWCPWDWEWCWDVNACBQRACBSTUAWFVNWCWEVNWCUBWDWEWCBVS
    EZVNWBBVSUCVNWGBVREZAFUDVNWHAFVNVOFEZPZWHVPUEEZVQUEEZBUEEZUFZVPBUGUHZBVQUGU
    HZPZPZWJWNWQWJWKWLWMWJVPDEZWKVNVODEZWSWIBVOUIVOUJZUKVPULUMWJVQDEZWLVNWTXBWI
    BVOUNXAUKZVQULUMVNWMWIBULUOUPWJWOWPBVOUQBVOURUSUSWJXBWHWRUTXCVPVQBDVAUMVBVC
    ABFVRDVDVBVERVFVGVTWEAWBDVOWBBVHVIVJVKADBVLVM $.
    $( [3-Jan-2008] $) $( [27-Dec-2007] $)
  $}

 ${ $d A x $.
   trdom.1 $e |- F = ( x e. RR |-> ( x + A ) ) $.
   $( Domain of a translation. $)
   trdom $p |- ( A e. RR -> dom F = RR ) $=
     ( cr wcel cv caddc co cvv wral cdm wceq wa axaddrcl elisset syl ancoms
     r19.21aiva cmpdom sylib ) BEFZAGZBHIZJFZAEKCLEMUBUEAEUCEFZUBUEUFUBNUDEFUEU
     CBOUDEPQRSAEUDCDTUA $.
     $( [17-Feb-2008] $) $( [17-Feb-2008] $)
  $}

  ${ $d A x y $.
   trran.1 $e |- F = ( x e. RR |-> ( x + A ) ) $.
   $( Range of a translation. $)
   trran $p |- ( A e. RR -> ran F = RR ) $=
     ( vy cr wcel cv caddc co wceq wrex cab crn wi wa eleq1 axaddrcl syl5cbir
     expcom r19.23adv cmin opreq1 eqeq2d rcla4ev resubclt cc npcant recnt
     syl2an eqcomd sylanc impbid abbi1dv cmpran syl5eq ) BFGZEHZAHZBIJZKZAFLZEM
     FCNUQVBEFUQVBURFGZUQVAVCAFUSFGZUQVAVCOVAVCUTFGVDUQPURUTFQUSBRSTUAVCUQVBURB
     UBJZFGURVEBIJZKZVBVCUQPZVAVGAVEFUSVEKUTVFURUSVEBIUCUDUEURBUFVHVFURURUGGBUG
     GVFURKVCUQURBUHURUIBUIUJUKULTUMUNAEFUTCDUOUP $.
     $( [17-Feb-2008] $) $( [17-Feb-2008] $)
  $}

  ${ $d A u v x y $. $d F x y $.
   trnij.1 $e |- F = ( x e. RR |-> ( x + A ) ) $.
   $( A translation is 1-1-onto. $)
   trnij $p |- ( A e. RR -> F : RR -1-1-onto-> RR ) $=
     ( vy vv vu cr wcel wf1 wfo wa wf1o wf cv cfv wceq wi wral wfn crn wss
     eqimss anim2i wfun cdm trdom caddc co cmpfun jctil df-fn sylibr trran
     sylanc df-f axaddrcl expcom anim12d imp cmpt pm3.27 fveq1i copab df-mpt
     wb eleq1 adantr eqeq1 opreq1 eqeq2d sylan9bbr anbi12d cbvopabv 3eqtr
     eqtr4 3eqtr3g fvopab2a simprl ad2antrr pm3.26 ad2antlr simprr jca syl
     3eqtr3d cc w3a recnt ad2antrl ad2antll 3jca addcan2t mpbid exp31 mpd ex
     r19.21aivv f1fv df-fo df-f1o ) BHIZHHCJZHHCKZLHHCMXBXCXDXBHHCNZAOZCPZEOZCP
     ZQZXFXHQZRZEHSAHSZLXCXBXEXMXBCHTZCUAZHUBZLZXEXNXOHQZXQXBXRXPXNXOHUCUDXBCUE
     ZCUFHQZLXNXBXTXSABCDUGAHXFBUHUIZCDUJUKCHULUMZABCDUNZUOHHCUPUMXBXLAEHHXBXFH
     IZXHHIZLZXLXBYFLZYAHIZXHBUHUIZHIZLZXLXBYFYKXBYDYHYEYJYDXBYHXFBUQURYEXBYJXH
     BUQURUSUTYGYKXJXKYGYKLZXJLZYAYIQZXKYMXFAHYAVAZPZXHEHYIVAZPZYAYIYMXGXIYPYRY
     LXJVBXFCYODVCXHCYQCYEFOZYIQZLZEFVDZYQCYOYDGOZYAQZLZAGVDUUBDAGHYAVEUUEUUAAG
     EFXKUUCYSQZLYDYEUUDYTXKYDYEVFUUFXFXHHVGVHUUFUUDYSYAQXKYTUUCYSYAVIXKYAYIYSX
     FXHBUHVJVKVLVMVNVOEFHYIVEVPVCVQYDYHYPYAQYMAHYAHVRYGYDYKXJXBYDYEVSVTYKYHYGX
     JYHYJWAWBUOYMYEYJLZYRYIQYLUUGXJYLYEYJYGYEYKXBYDYEWCVHYGYHYJWCWDVHEHYIHVRWE
     WFYMXFWGIZXHWGIZBWGIZWHZYNXKVFYGUUKYKXJYGUUHUUIUUJYDUUHXBYEXFWIWJYEUUIXBYD
     XHWIWKXBUUJYFBWIVHWLVTXFXHBWMWEWNWOWPWQWRWDAEHHCWSUMXBXNXRLXDXBXNXRYBYCWDH
     HCWTUMWDHHCXAUM $.
     $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}


 ${ $d A u v x y $. $d A w x y z $.
 $( Converse of a translation. $)
 cnvtr $p |- ( A e. RR -> `' ( x e. RR |-> ( x + A ) ) =
   ( x e. RR |-> ( x - A ) ) ) $=
   ( vu vy vv vz vw cr wcel cv caddc co cmpt ccnv cmin wceq cfv wral wa wf1o
   f1ocnvfv copab ax-17 wb eleq1 adantr eqeq1 opreq1 eqeq2d sylan9bbr anbi12d
   cbvopab df-mpt 3eqtr4 trnij resubclt ancoms jca cbvopabv 3eqtr4r a1i fveq1d
   axaddrcl sylancom fvopab4g cc npcant recnt syl2an sylan9eqr mpdan eqtrd
   sylc fvopab2a pm3.27 sylanc eqtr4d r19.21aiva eqid jctil wfn hbcmpt hbcnv
   eqfnfvf f1o4 sylib pm3.27d cvv elisset syl fopab2ga mpbird ) BHIZAHAJZBKLZMZ
   NZAHWNBOLZMZPZHHPZWNWQQZWNWSQZPZAHRZSZWMXEXAWMXDAHWMWNHIZSZXBWRXCHHWPTZWRHIZ
   SWRWPQZWNPXBWRPXHHHWRWNWPUAXHXIXJWMXIXGCBWPXGDJZWOPZSZADUBCJZHIZEJZXOBKLZPZS
   ZCEUBWPCHXRMXNXTADCEXNCUCXNEUCXTAUCXTDUCWNXOPZXLXQPZSXGXPXMXSYAXGXPUDYBWNXOH
   UEUFYBXMXQWOPYAXSXLXQWOUGYAWOXRXQWNXOBKUHUIUJUKULADHWOUMCEHXRUMUNUOZUFXGWMXJ
   WNBUPZUQZURXHXKWRDHXLBKLZMZQZWNXHWRWPYGWPYGPXHXLHIZFJZYFPZSZDFUBXGGJZWOPZSZA
   GUBYGWPYLYODFAGXLWNPZYJYMPZSYIXGYKYNYPYIXGUDYQXLWNHUEUFYQYKYMYFPYPYNYJYMYFUG
   YPYFWOYMXLWNBKUHUIUJUKUSDFHYFUMZAGHWOUMUTVAVBXHXJWRBKLZHIZSZYHWNPXGWMUUAXGWM
   SZXJYTYDXGWMXJYTYDWRBVCVDURUQUUAXHYHYSWNDFWRYFYSHHYGXLWRBKUHYRVEXGWMYSWNPZWN
   VFIBVFIUUCXGWMWNBVGWNVHBVHVIUQVJVKVLVMXGXJXCWRPXHAHWRHVNWMXGVOYEVPVQVRHVSVTW
   QHWAZWSHWAZWTXFUDWMAGHHWQWSAGWPAGHWOWBWCAGHWRWBWDWMWPHWAZUUDWMXIUUFUUDSYCHHW
   PWEWFWGWMWRWHIZAHRUUEWMUUGAHXGWMUUGUUBXJUUGYDWRHWIWJUQVRAHWRWSWSVSWKWFVPWL
   $.
   $( [17-Feb-2008] $) $( [17-Feb-2008] $)
 $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Standard topology of intervals of RR
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  ${ $d A x y $. $d B x y $.
    $( The underlying set of the standard topology on an open interval is the
       open interval itself. $)
    stoi $p |- <. ( A (,) B ) , ( subSp ` <. ( A (,) B ) ,
      ( topGen ` ran (,) ) >. ) >. e. TopSp $=
      ( vy vx cioo co crn ctg cfv cop csubsp ctps wcel ctop cuni wceq istps cv
      cin wrex cab retop oprex subsp subtop ax-mp eqeltr wss cr ioossre
      uniretop sseqtr4 dfss mpbi incom ntunte 3eqtr unieqi eqtr4 mpbir2an ) ABE
      FZVAEGHIZJKIZJLMVCNMVAVCOZPVAVCQVCCRDRVASPDVBTCUAZNDCVAVBUBABEUCUDZVBNMVE
      NMUBCDVBVAUEUFUGVAVEOZVDVAVAVBOZSZVHVASVGVAVHUHVAVIPVAUIVHABUJUKULVAVHUMU
      NVAVHUOCDVBVAUPUQVCVEVFURUSUT $.
      $( [14-Sep-2007] $) $( [31-May-2007] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
       Directed multi graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Dgra $. $( The class of all directed multi graphs. $)

  $( Extend class notation with the class of directed multi graphs. $)
  cmgra $a class Dgra $.

  ${
    $d d c u $.
    $( Definition of a directed multi graph. Loops are allowed and there may
       be more than one edge between the same pair of vertices. Isolated
       points are allowed. $)
    df-mgra $a |- Dgra = { <. <. d , c >. , u >. |
      ( d : dom d --> u /\ c : dom d --> u ) } $.
  $}

  ${ $d C c d u $. $d D c d u $. $d U c d u $.
    $( The predicate "is a directed multi graph". $)
    ismgra $p |- ( ( D e. A /\ C e. B /\ U e. F ) ->
    ( <. <. D , C >. , U >. e. Dgra <->
    ( D : dom D --> U /\ C : dom D --> U ) ) ) $=
      ( vd vu vc wcel w3a cop cv cdm wf wa copab2 cmgra wceq feq1 wb dmeq feq2
      syl bitrd anbi12d anbi2d feq3 eloprabg df-mgra eleq2i syl5bb ) DAJCBJEFJK
      DCLELZGMZNZHMZUNOZUOUPIMZOZPZGIHQZJDNZEDOZVBECOZPZUMRJUTVBUPDOZVBUPUROZPV
      FVBUPCOZPVEGIHDCEABFUNDSZUQVFUSVGVIUQUOUPDOZVFUOUPUNDTVIUOVBSZVJVFUAUNDUB
      ZUOVBUPDUCUDUEVIVKUSVGUAVLUOVBUPURUCUDUFURCSVGVHVFVBUPURCTUGUPESVFVCVHVDU
      PEVBDUHUPEVBCUHUFUIRVAUMHIGUJUKUL $.
      $( [10-Jan-2008] $) $( [10-Jan-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Category and deductive system underlying "structure"
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Alg $. $( The class of all the "structures" used by ` Ded `
               and ` Cat ` . $)

  $c dom_ $. $( Function returning the function domain of a category. Despite
  its name the domain of a category is not the same concept as the domain of
  a relation. $)

  $c cod_ $. $( Function returning the function codomain of a category. $)

  $c id_ $. $( Function returning the function identity of a category. $)

  $c o_ $. $( Function returning the composition of morphisms of a category. $)


  $( Extend class notation with the class of structures used by
  ` Cat ` and ` Ded ` . $)
  calg $a class Alg $.

  $( Extend class notation with the function returning the function domain of a
     category. $)
  cdom_ $a class dom_ $.

  $( Extend class notation with the function returning the function
     codomain of a category. $)
  ccod_ $a class cod_ $.

  $( Extend class notation with the function returning the function
     identity of a category. $)
  cid_ $a class id_ $.

  $( Extend class notation with the function returning the composition of
     morphisms of a category. $)
  co_ $a class o_ $.

 $( In the following notices "JFM" means "Journal of formalized
    mathematics". http://mizar.uwb.edu.pl/JFM/mmlident.html $)

  ${ $d x d c j r $.
    $( ` Ded ` and ` Cat ` underlying structure. Metamath for internal reasons
    doesn't like too large definitions. Then ` Cat ` has been splitted giving
    birth to ` Ded ` and ` Alg ` . If ` Ded ` has a real mathematical use,
    ` Alg ` is only here to give relief  to Metamath. $)
    df-alg $a |- Alg = { x | E. d E. c E. j E. r
      ( x = <. <. d , c >. , <. j , r >. >. /\
      ( d : dom d --> dom j /\ c : dom d --> dom j /\ j : dom j --> dom d ) /\
      ( Fun r /\ dom r (_ ( dom d X. dom d ) /\ ran r (_ dom d ) ) } $.
  $}

  $( Definition of ` dom_ ` . $)
  df-doma $a |- dom_ = ( 1st o. 1st ) $.

  $( Definition of ` cod_ ` . $)
  df-coda $a |- cod_ = ( 2nd o. 1st ) $.

  $( Definition of ` id_ ` . $)
  df-ida $a |- id_ = ( 1st o. 2nd ) $.

  $( Definition of ` o_ ` . $)
  df-cmpa $a |- o_ = ( 2nd o. 2nd ) $.

  ${ $d C c d j r $. $d D c d j r $. $d J c d j r $. $d M c d j r $.
    $d O c d j r $. $d R c d j r $. $d c d j r x $.
    isalg.1 $e |- M = dom D $.
    isalg.2 $e |- O = dom J $.
    $( The predicate "has the structure required by ` Alg ` and ` Ded ` ." $)
    isalg $p |- (  ( ( D e. A /\ C e. B /\ J e. F ) /\ R e. G )
                -> (   <. <. D , C >. , <. J , R >. >. e. Alg
                  <-> (  ( D : M --> O /\ C : M --> O /\ J : O --> M )
                    /\ ( Fun R /\ dom R (_ ( M X. M ) /\ ran R (_ M ) ) ) ) $=
      ( vx vd vc vj vr wcel w3a wa cop cv wceq cdm wf wfun cxp wss crn wex cab
      calg feq1 wb dmeq eqcomi eqeq2i biimp feq2 3syl bitrd feq3 3anbi123d
      syl6eqr xpid11 biimpr sseq2 3anbi23d anbi12d 3anbi2d anbi1d funeq sseq1d
      rneq anbi2d elo 3anass exbii 3exbi abbii eleq2i syl5bb df-alg ) DARCBRHFR
      SEGRTZDCUAHEUAUAZMUBNUBZOUBZUAPUBZQUBZUAUAUCZWFUDZWHUDZWFUEZWKWLWGUEZWLWK
      WHUEZSZWIUFZWIUDZWKWKUGZUHZWIUIZWKUHZSZSZQUJZPUJOUJNUJZMUKZRZIJDUEZIJCUEZ
      JIHUEZSZEUFZEUDZIIUGZUHZEUIZIUHZSZTZWEULRWDWEWJWPXCTZTZQUJZPUJOUJNUJZMUKZ
      RXTXHYAIWLDUEZIWLWGUEZWLIWHUEZSZWQWRXOUHZXAIUHZSZTYFIWLCUEZYHSZYLTXLYLTXT
      MNOQPDCHEABFGWFDUCZWPYIXCYLYOWMYFWNYGWOYHYOWMWKWLDUEZYFWKWLWFDUMYOWKDUDZU
      CZWKIUCZYPYFUNWFDUOZYRYSYQIWKIYQKUPUQURZWKIWLDUSUTVAYOYRYSWNYGUNYTUUAWKIW
      LWGUSUTYOYRYSWOYHUNYTUUAWKIWLWHVBUTVCYOWTYJXBYKWQYOYSWSXOUCZWTYJUNYOWKYQI
      YTKVDUUBYSWKIVEVFWSXOWRVGUTYOYRYSXBYKUNYTUUAWKIXAVGUTVHVIWGCUCZYIYNYLUUCY
      GYMYFYHIWLWGCUMVJVKWHHUCZYNXLYLUUDYFXIYMXJYHXKUUDWLHUDZUCZWLJUCZYFXIUNWHH
      UOZUUFUUGUUEJWLJUUELUPUQURZWLJIDVBUTUUDUUFUUGYMXJUNUUHUUIWLJICVBUTUUDYHWL
      IHUEZXKWLIWHHUMUUDUUFUUGUUJXKUNUUHUUIWLJIHUSUTVAVCVKWIEUCZYLXSXLUUKWQXMYJ
      XPYKXRWIEVLUUKWRXNXOWIEUOVMUUKXAXQIWIEVNVMVCVOVPXGYEWEXFYDMXEYCNOPXDYBQWJ
      WPXCVQVRVSVTWAWBULXGWEMPQONWCWAWB $.
      $( [28-Oct-2007] $) $( [24-Oct-2007] $)
  $}

  ${
    1alg.1 $e |- A e. V $.
    $( Category 1 has the structure required by ` Ded ` and ` Alg ` . $)
    1alg $p |- <. <. { <. <. A , A >. , A >. } , { <. <. A , A >. , A >. } >. ,
      <. { <. A , <. A , A >. >. } , { <. <. <. A , A >. , <. A , A >. >. ,
      <. A , A >. >. } >. >. e. Alg $=
      ( cop csn calg wcel wf w3a wfun cdm cxp wss crn cvv wa wb snex 3pm3.2i
      dmsnop eqcomi isalg mp2an wf1o opex f1osn f1of ax-mp funsn fssxp eqsstr
      rnsnop eqimssi mpbir2an ) AACZACZDZUPCAUNCZDZUNUNCZUNCZDZCCEFZUNDZADZUPGZ
      VEVDVCURGZHZVAIZVAJZVCVCKZLZVAMZVCLZHZUPNFZVOURNFZHVANFVBVGVNOPVOVOVPUOQZ
      VQUQQRUTQNNUPUPVANNURVCVDUPJVCUNASTURJVDAUNSTUAUBVEVEVFVCVDUPUCVEUNAAAUDZ
      BUEVCVDUPUFUGZVSVDVCURUCVFAUNBVRUEVDVCURUFUGRVHVKVMUSUNUNUNUDZVRUHVIUSDZV
      JUSUNSVCVCWAGZWAVJLVCVCWAUCWBUNUNVRVRUEVCVCWAUFUGVCVCWAUIUGUJVLVCUSUNVTVR
      UKULRUM $.
      $( [31-Oct-2007] $) $( [30-Oct-2007] $)
  $}

  ${
    domval.1 $e |- D = ( dom_ ` T ) $.
    $( Value of the domain function expressed with the ` 1st ` function. $)
    domval $p |- D = ( 1st ` ( 1st ` T ) ) $=
      ( cdom_ cfv c1st cvv wcel wceq ccom wfun wf wfo fo1st fofun ax-mp fof
      fvco3 mp3an12 df-doma fveq1i syl5eq wn c0 fvprc fveq2d 1st0 syl6req
      eqtrd pm2.61i eqtr ) ABDEZBFEZFEZCBGHZULUNIUOBFFJZEZUNULFKZGGFLZUOUQUNIGG
      FMZURNGGFOPUTUSNGGFQPGGBFFRSBDUPTUAUBUOUCZULUDUNBDUEVAUNUDFEUDVAUMUDFBFUE
      UFUGUHUIUJUK $.
      $( [28-Oct-2007] $) $( [24-Oct-2007] $)
  $}

  ${
    codval.1 $e |- C = ( cod_ ` T ) $.
    $( Value of the function codomain expressed with the ` 1st ` and ` 2nd `
       functions. $)
    codval $p |- C = ( 2nd ` ( 1st ` T ) ) $=
      ( ccod_ cfv c1st c2nd cvv wcel wceq ccom wfun wf wfo fo2nd fofun ax-mp
      fo1st fof fvco3 mp3an12 df-coda fveq1i syl5eq wn c0 fvprc fveq2d 2nd0
      syl6req eqtrd pm2.61i eqtr ) ABDEZBFEZGEZCBHIZUNUPJUQBGFKZEZUPUNGLZHHFMZU
      QUSUPJHHGNUTOHHGPQHHFNVARHHFSQHHBGFTUABDURUBUCUDUQUEZUNUFUPBDUGVBUPUFGEUF
      VBUOUFGBFUGUHUIUJUKULUM $.
      $( [28-Oct-2007] $) $( [26-Oct-2007] $)
  $}

  ${
    idval.1 $e |- J = ( id_ ` T ) $.
    $( Value of the identity function expressed with the ` 1st ` and ` 2nd `
       functions. $)
    idval $p |- J = ( 1st ` ( 2nd ` T ) ) $=
      ( cid_ cfv c2nd c1st cvv wcel wceq ccom wfun wf wfo fo1st fofun ax-mp
      fo2nd fof fvco3 mp3an12 df-ida fveq1i syl5eq wn c0 fvprc fveq2d 1st0
      syl6req eqtrd pm2.61i eqtr ) BADEZAFEZGEZCAHIZUNUPJUQAGFKZEZUPUNGLZHHFMZU
      QUSUPJHHGNUTOHHGPQHHFNVARHHFSQHHAGFTUAADURUBUCUDUQUEZUNUFUPADUGVBUPUFGEUF
      VBUOUFGAFUGUHUIUJUKULUM $.
      $( [28-Oct-2007] $) $( [26-Oct-2007] $)
  $}

  ${
    cmpval.1 $e |- G = ( o_ ` T ) $.
    $( Value of the identity function expressed with the ` 2nd `functions. $)
    cmpval $p |- G = ( 2nd ` ( 2nd ` T ) ) $=
      ( co_ cfv c2nd cvv wcel wceq ccom wfun wf wfo fo2nd fofun ax-mp fof
      fvco3 mp3an12 df-cmpa fveq1i syl5eq wn c0 fvprc fveq2d 2nd0 syl6req
      eqtrd pm2.61i eqtr ) BADEZAFEZFEZCAGHZULUNIUOAFFJZEZUNULFKZGGFLZUOUQUNIGG
      FMZURNGGFOPUTUSNGGFQPGGAFFRSADUPTUAUBUOUCZULUDUNADUEVAUNUDFEUDVAUMUDFAFUE
      UFUGUHUIUJUK $.
      $( [28-Oct-2007] $) $( [26-Oct-2007] $)
  $}


  ${ $d A v w x y z $. $d ph x $. $d ta v w y z $.
    eloi.1 $e |- ( y = ( 1st ` ( 1st ` A ) ) -> ( ph <-> ps ) ) $.
    eloi.2 $e |- ( z = ( 2nd ` ( 1st ` A ) ) -> ( ps <-> ch ) ) $.
    eloi.3 $e |- ( v = ( 1st ` ( 2nd ` A ) ) -> ( ch <-> th ) ) $.
    eloi.4 $e |- ( w = ( 2nd ` ( 2nd ` A ) ) -> ( th <-> ta ) ) $.
    $( A consequence of membership in a class abstraction whose elements
    belong to ` ( ( V X. V ) X. ( V X. V ) ) `  using ordered pair
    extractors. $)
    eloi $p |- ( A e. { x | E. y E. z E. v E. w
      ( x = <. <. y , z >. , <. v , w >. >. /\ ph ) } -> ta ) $=
      ( cv cop wceq wa wex cab wcel c1st cfv c2nd eqeq1 anbi1d 4exbidv elabg
      ibi cvv cxp id opex opelxpi mp2an syl6eqel wrel relxp 1st2nd mpan syl
      fveq2 op1st syl6eq visset op2nd opeq12d eqtrd adantr 19.23aivv eleq1 w3a
      wb fvex 3pm3.2i elo syl6bb biimpcd mpd ) KFPZGPZHPZQZJPZIPZQZQZRZASZITJTH
      TGTZFUAZUBZKKUCUDZUCUDZWNUEUDZQZKUEUDZUCUDZWRUEUDZQZQZRZEWMKWHRZASZITJTZH
      TGTZXCWMXGWKXGFKWLWAKRZWJXEGHJIXHWIXDAWAKWHUFUGUHUIUJXFXCGHXEXCJIXDXCAXDK
      WNWRQZXBXDKUKUKULZUBZKXIRZXDKWHXJXDUMWDUKUBWGUKUBWHXJUBWBWCUNZWEWFUNZWDWG
      UKUKUOUPUQXJURZXKXLUKUKUSZKXJUTVAVBXDWNWQWRXAXDWNXJUBZWNWQRZXDWNWDXJXDWNW
      HUCUDWDKWHUCVCWDWGXMVDVEWBUKUBWCUKUBWDXJUBGVFHVFWBWCUKUKUOUPUQXOXQXRXPWNX
      JUTVAVBXDWRXJUBZWRXARZXDWRWGXJXDWRWHUEUDWGKWHUEVCWDWGXMXNVGVEWEUKUBWFUKUB
      WGXJUBJVFIVFWEWFUKUKUOUPUQXOXSXTXPWRXJUTVAVBVHVIVJVKVKVBXCWMEXCWMXBWLUBZE
      KXBWLVLWOUKUBZWPUKUBZWSUKUBZVMWTUKUBYAEVNYBYCYDWNUCVOWNUEVOWRUCVOVPWRUEVO
      ABCDEFGHIJWOWPWSWTUKUKUKUKLMNOVQUPVRVSVT $.
      $( [24-Sep-2007] $) $( [24-Sep-2007] $)
  $}

  ${ $d C c d j r $. $d D c d j r $. $d J c d j r $. $d M c d j r $.
  $d O c d j r $. $d R c d j r $. $d T c d j r x $.
     algi.1 $e |- D = ( dom_ ` T ) $.
     algi.2 $e |- C = ( cod_ ` T ) $.
     algi.3 $e |- J = ( id_ ` T ) $.
     algi.4 $e |- R = ( o_ ` T ) $.
     algi.5 $e |- M = dom D $.
     algi.6 $e |- O = dom J $.
     $( Properties of an the structure of ` Alg ` and ` Ded ` . $)
     algi $p |- ( T e. Alg
         -> (  ( D : M --> O /\ C : M --> O /\ J : O --> M )
               /\ ( Fun R /\ dom R (_ ( M X. M ) /\ ran R (_ M ) ) ) $=
       ( vx vd vc vj vr calg wcel cv cop wceq cdm wf w3a wfun cxp wss crn wex
       cab wa df-alg eleq2i 3anass bicomi exbii 3exbi abbii c1st cfv wb domval
       eqcomi eqeq2i feq1 dmeq feq2 syl ax-mp syl6bbr bitrd biimp feq3 3syl
       3anbi123d xpid11 sseq2 sylbir 3anbi23d anbi12d sylbi c2nd codval
       3anbi2d anbi1d idval cmpval funeq sseq1d rneq anbi2d eloi ) DSTDNUAOUAZP
       UAZUBQUAZRUAZUBUBUCZWOUDZWQUDZWOUEZWTXAWPUEZXAWTWQUEZUFZWRUGZWRUDZWTWTUH
       ZUIZWRUJZWTUIZUFZUFZRUKZQUKPUKOUKZNULZTZFGBUEZFGAUEZGFEUEZUFZCUGZCUDZFFU
       HZUIZCUJZFUIZUFZUMZSXPDNQRPOUNUOXQDWSXEXLUMZUMZRUKZQUKPUKOUKZNULZTYIYNXP
       DYMXONYLXNOPQYKXMRXMYKWSXEXLUPUQURUSUTUOYJFXABUEZFXAWPUEZXAFWQUEZUFZXFXG
       YDUIZXJFUIZUFZUMZYOFXAAUEZYQUFZUUAUMZYAUUAUMZYINOPRQDWODVAVBZVAVBZUCWOBU
       CZYJUUBVCUUHBWOBUUHBDHVDVEVFUUIXEYRXLUUAUUIXBYOXCYPXDYQUUIXBWTXABUEZYOWT
       XAWOBVGUUIUUJBUDZXABUEZYOUUIWTUUKUCZUUJUULVCWOBVHZWTUUKXABVIVJFUUKUCZYOU
       ULVCLFUUKXABVIVKVLVMUUIUUMXCYPVCUUNUUMXCUUKXAWPUEZYPWTUUKXAWPVIUUOYPUUPV
       CLFUUKXAWPVIVKVLVJUUIUUMWTFUCZXDYQVCUUNUUMUUQUUKFWTFUUKLVEVFVNZWTFXAWQVO
       VPVQUUIUUMUUQXLUUAVCUUNUURUUQXIYSXKYTXFUUQXHYDUCXIYSVCWTFVRXHYDXGVSVTWTF
       XJVSWAVPWBWCWPUUGWDVBZUCWPAUCZUUBUUEVCUUSAWPAUUSADIWEVEVFUUTYRUUDUUAUUTY
       PUUCYOYQFXAWPAVGWFWGWCWQDWDVBZVAVBZUCWQEUCZUUEUUFVCUVBEWQEUVBDEJWHVEVFUV
       CUUDYAUUAUVCYOXRUUCXSYQXTUVCXAEUDZUCZXAGUCZYOXRVCWQEVHZUVEUVFUVDGXAGUVDM
       VEVFVNZXAGFBVOVPUVCUVEUVFUUCXSVCUVGUVHXAGFAVOVPUVCYQXAFEUEZXTXAFWQEVGUVC
       UVEUVFUVIXTVCUVGUVHXAGFEVIVPVMVQWGWCWRUVAWDVBZUCWRCUCZUUFYIVCUVJCWRCUVJD
       CKWIVEVFUVKUUAYHYAUVKXFYBYSYEYTYGWRCWJUVKXGYCYDWRCVHWKUVKXJYFFWRCWLWKVQW
       MWCWNVTWC $.
       $( [28-Oct-2007] $) $( [24-Oct-2007] $)
  $}

  ${

    alg.1 $e |- M = dom D $.
    alg.3 $e |- D = ( dom_ ` T ) $.
    ${
      alg.2 $e |- O = dom J $.
      alg.5 $e |- J = ( id_ ` T ) $.

      ${
        $( ` ( dom_ `` T ) ` is a mapping from the morphisms of ` T ` to
           the objects of ` T ` . $)
        doma $p |- ( T e. Alg -> D : M --> O ) $=
          ( calg wcel wf ccod_ cfv w3a co_ wfun cdm cxp wss crn eqid algi
          pm3.26d 3simp1d ) BJKZDEALZDEBMNZLZEDCLZUFUGUIUJOBPNZQUKRDDSTUKUADTOU
          HAUKBCDEGUHUBIUKUBFHUCUDUE $.
          $( [28-Oct-2007] $) $( [24-Oct-2007] $)
      $}

      ${
        alg.4 $e |- C = ( cod_ ` T ) $.
        $( ` ( cod_ `` T ) ` is a mapping from the morphisms of
           ` T ` to  the objects of ` T ` . $)
        coda $p |- ( T e. Alg -> C : M --> O ) $=
          ( calg wcel wf w3a co_ cfv wfun cdm cxp wss crn eqid algi pm3.26d
          3simp2d ) CLMZEFBNZEFANZFEDNZUGUHUIUJOCPQZRUKSEETUAUKUBEUAOABUKCDEFHK
          JUKUCGIUDUEUF $.
          $( [28-Oct-2007] $) $( [26-Oct-2007] $)

      $}

      ${
        $( ` ( id_ ``  A ) ` is a mapping from the objects of
           ` T ` to  the morphisms of ` T ` . $)
        ida $p |- ( T e. Alg -> J : O --> M ) $=
          ( calg wcel wf ccod_ cfv w3a co_ wfun cdm cxp wss crn eqid algi
          pm3.26d 3simp3d ) BJKZDEALZDEBMNZLZEDCLZUFUGUIUJOBPNZQUKRDDSTUKUADTOU
          HAUKBCDEGUHUBIUKUBFHUCUDUE $.
          $( [28-Oct-2007] $) $( [26-Oct-2007] $)

        $( An identity is a morphism. $)
        idmoa $p |- ( ( T e. Alg /\ A e. O ) -> ( J ` A ) e. M ) $=
          ( wf wcel cfv calg ffvelrn ida sylan ) FEDKAFLADMELCNLFEADOBCDEFGHIJP
          Q $.
          $( [10-Jan-2008] $) $( [10-Jan-2008] $)
      $} $}

      ${
        alg.6 $e |- R = ( o_ ` T ) $.
        $( ` ( o_ `` T )  ` is a partial operation on the morphisms of
        ` T ` . $)
        cmppfa $p |- ( T e. Alg ->
        ( Fun R /\ dom R (_ ( M X. M ) /\ ran R (_ M ) ) $=
          ( calg wcel cid_ cfv cdm wf ccod_ w3a wfun cxp wss crn eqid algi
          pm3.27d ) CHIDCJKZLZAMDUDCNKZMUDDUCMOBPBLDDQRBSDROUEABCUCDUDFUETUCTGE
          UDTUAUB $.
          $( [28-Oct-2007] $) $( [26-Oct-2007] $)
    $}
  $}

  ${
    dcsda.1 $e |- D = ( dom_ ` T ) $.
    dcsda.2 $e |- C = ( cod_ ` T ) $.
    $( ` ( dom_ `` T ) ` and ` ( cod_ `` T ) ` have the same domain. $)
    dcsda $p |- ( T e. Alg -> dom D = dom C ) $=
      ( calg wcel cdm cid_ cfv wf wceq eqid coda fdm eqcomd syl ) CFGBHZCIJZHZA
      KZRAHZLABCSRTRMDTMSMENUAUBRRTAOPQ $.
      $( [10-Jan-2008] $) $( [10-Jan-2008] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Deductive systems
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Ded $. $( The class of all deductive systems. $)

  $( Extend class notation with the class of deductive systems. $)
  cded $a class Ded $.

  ${ $d x d c j r a f g $.
  $( Definition of a deductive system. Lambeck and Scott. Introduction
     to higher order categorical logic. p. 47. 1986. Unformally we can say
     a deductive system is a directed multi
     graph where for each object a specific morphism called identity of the
     object exists and where for some pairs of morphisms the composite exists.
     Deductive system are named so because morphisms may be interpreted as
     logical deductions, objects as sets of formulas and compositions as
     inferences. $)
  df-ded $a |- Ded = { x | E. d E. c E. j E. r
    ( x = <. <. d , c >. , <. j , r >. >. /\ ( (
      <. <. d , c >. , <. j , r >. >. e. Alg /\
      A. a e. dom j
         ( ( d ` ( j ` a ) ) = a /\ ( c ` ( j ` a ) ) = a ) /\

      A. f e. dom d A. g e. dom d ( <. g , f >. e. dom r
        <-> ( d ` g ) = ( c ` f ) ) ) /\ (

      A. f e. dom d A. g e. dom d
         ( ( d ` g ) = ( c ` f ) -> ( d ` ( g r f ) ) = ( d ` f ) ) /\

      A. f e. dom d A. g e. dom d
         ( ( d ` g ) = ( c ` f ) -> ( c ` ( g r f ) ) = ( c ` g ) ) ) ) ) } $.
  $}

  ${ $d C a c d f g j r $. $d D a c d f g j r $. $d J a c d j r $.
     $d M c d j r $. $d O c d j r $. $d R c d f g j r $.
     $d a c d f g j r x $.
    isded.1 $e |- M = dom D $.
    isded.2 $e |- O = dom J $.
    $( The predicate "is a deductive system". $)
    isded $p |- ( ( ( D e. A /\ C e. B /\ J e. F ) /\ R e. G )
      -> ( <. <. D , C >. , <. J , R >. >. e. Ded
        <-> ( ( <. <. D , C >. , <. J , R >. >. e. Alg /\
      A. a e. O
         ( ( D ` ( J ` a ) ) = a /\ ( C ` ( J ` a ) ) = a ) /\

      A. f e. M A. g e. M ( <. g , f >. e. dom R
        <-> ( D ` g ) = ( C ` f ) ) ) /\ (

      A. f e. M A. g e. M
         ( ( D ` g ) = ( C ` f ) -> ( D ` ( g R f ) ) = ( D ` f ) ) /\

      A. f e. M A. g e. M
         ( ( D ` g ) = ( C ` f ) -> ( C ` ( g R f ) ) = ( C ` g ) ) ) ) ) ) $=
      ( vx vd vc vj vr wcel w3a wa cop cv wceq calg cfv cdm wral wb co wi wex
      cab cded opeq1 opeq1d eleq1d fveq1 eqeq1d anbi1d ralbidv dmeq syl6eqr
      eleq2d bibi2d imbi12d ralbidv2 3anbi123d eqeq12d imbi1d anbi12d opeq2
      anbi2d eqeq2d 2ralbidv opeq2d fveq2d 3anbi12d bibi1d 3anbi13d opreq
      imbi2d elo df-ded eleq2i syl5bb ) DAUACBUAJHUAUBEIUAUCDCUDZJEUDZUDZPUEQUE
      ZRUEZUDZSUEZTUEZUDZUDZUFWRUGUAZMUEZWOUHZWLUHZWTUFZXAWMUHZWTUFZUCZMWOUIZUJ
      ZGUEZFUEZUDZWPUIZUAZXIWLUHZXJWMUHZUFZUKZGWLUIZUJZFXRUJZUBZXPXIXJWPULZWLUH
      ZXJWLUHZUFZUMZGXRUJZFXRUJZXPYBWMUHZXIWMUHZUFZUMZGXRUJZFXRUJZUCZUCZUCTUNSU
      NRUNQUNPUOZUAWKUGUAZWTJUHZDUHZWTUFZYSCUHZWTUFZUCZMLUJZXKEUIZUAZXIDUHZXJCU
      HZUFZUKZGKUJFKUJZUBZUUJXIXJEULZDUHZXJDUHZUFZUMZGKUJFKUJZUUJUUNCUHZXICUHZU
      FZUMZGKUJFKUJZUCZUCZWKUPUAYPDWMUDZWQUDZUGUAZXADUHZWTUFZXEUCZMXGUJZXMUUHXO
      UFZUKZGKUJZFKUJZUBZUVNYBDUHZUUPUFZUMZGKUJZFKUJZUVNYKUMZGKUJZFKUJZUCZUCWIW
      QUDZUGUAZUVKXACUHZWTUFZUCZMXGUJZXMUUJUKZGKUJFKUJZUBZUUJUVTUMZGKUJFKUJZUUJ
      YBCUHZUVAUFZUMZGKUJFKUJZUCZUCWIJWPUDZUDZUGUAZUUEUWOUBZUXCUCUVFPQRTSDCJEAB
      HIWLDUFZYAUVRYOUWGUXHWSUVIXHUVMXTUVQUXHWRUVHUGUXHWNUVGWQWLDWMUQURUSUXHXFU
      VLMXGUXHXCUVKXEUXHXBUVJWTXAWLDUTVAVBVCUXHXSUVPFXRKUXHXJXRUAZXJKUAZXSUVPUX
      HXRKXJUXHXRDUIKWLDVDNVEZVFZUXHXQUVOGXRKUXHXIXRUAZXIKUAZXQUVOUXHXRKXIUXKVF
      ZUXHXPUVNXMUXHXNUUHXOXIWLDUTVAZVGVHVIVHVIVJUXHYHUWCYNUWFUXHYGUWBFXRKUXHUX
      IUXJYGUWBUXLUXHYFUWAGXRKUXHUXMUXNYFUWAUXOUXHXPUVNYEUVTUXPUXHYCUVSYDUUPYBW
      LDUTXJWLDUTVKVHVHVIVHVIUXHYMUWEFXRKUXHUXIUXJYMUWEUXLUXHYLUWDGXRKUXHUXMUXN
      YLUWDUXOUXHXPUVNYKUXPVLVHVIVHVIVMVMWMCUFZUVRUWPUWGUXCUXQUVIUWIUVMUWMUVQUW
      OUXQUVHUWHUGUXQUVGWIWQWMCDVNURUSUXQUVLUWLMXGUXQXEUWKUVKUXQXDUWJWTXAWMCUTV
      AVOVCUXQUVOUWNFGKKUXQUVNUUJXMUXQXOUUIUUHXJWMCUTVPZVGVQVJUXQUWCUWRUWFUXBUX
      QUWAUWQFGKKUXQUVNUUJUVTUXRVLVQUXQUWDUXAFGKKUXQUVNUUJYKUWTUXRUXQYIUWSYJUVA
      YBWMCUTXIWMCUTVKVHVQVMVMWOJUFZUWPUXGUXCUXSUWIUXFUWMUUEUWOUXSUWHUXEUGUXSWQ
      UXDWIWOJWPUQVRUSUXSUWLUUDMXGLUXSWTXGUAWTLUAUWLUUDUXSXGLWTUXSXGJUILWOJVDOV
      EVFUXSUVKUUAUWKUUCUXSUVJYTWTUXSXAYSDWTWOJUTZVSVAUXSUWJUUBWTUXSXAYSCUXTVSV
      AVMVHVIVTVBWPEUFZUXGUUMUXCUVEUYAUXFYRUWOUULUUEUYAUXEWKUGUYAUXDWJWIWPEJVNV
      RUSUYAUWNUUKFGKKUYAXMUUGUUJUYAXLUUFXKWPEVDVFWAVQWBUYAUWRUUSUXBUVDUYAUWQUU
      RFGKKUYAUVTUUQUUJUYAUVSUUOUUPUYAYBUUNDXIXJWPEWCZVSVAWDVQUYAUXAUVCFGKKUYAU
      WTUVBUUJUYAUWSUUTUVAUYAYBUUNCUYBVSVAWDVQVMVMWEUPYQWKPFGSTMRQWFWGWH $.
      $( [28-Oct-2007] $) $( [24-Oct-2007] $)
  $}

  ${ $d C a c d f g j r $. $d D a c d f g j r $. $d J a c d j r $.
     $d M c d j r $. $d O c d j r $. $d R c d f g j r $.
     $d T c d j r x $. $d a c d f g j r x $.
     dedi.1 $e |- D = ( dom_ ` T ) $.
     dedi.2 $e |- C = ( cod_ ` T ) $.
     dedi.3 $e |- J = ( id_ ` T ) $.
     dedi.4 $e |- R = ( o_ ` T ) $.
     dedi.5 $e |- M = dom D $.
     dedi.6 $e |- O = dom J $.
     $( Properties of a deductive system. $)
     dedi $p |- ( T e. Ded
        -> ( ( <. <. D , C >. , <. J , R >. >.  e. Alg /\
      A. a e. O
         ( ( D ` ( J ` a ) ) = a /\ ( C ` ( J ` a ) ) = a ) /\

      A. f e. M A. g e. M ( <. g , f >. e. dom R
        <-> ( D ` g ) = ( C ` f ) ) ) /\ (

      A. f e. M A. g e. M
         ( ( D ` g ) = ( C ` f ) -> ( D ` ( g R f ) ) = ( D ` f ) ) /\

      A. f e. M A. g e. M
         ( ( D ` g ) = ( C ` f ) -> ( C ` ( g R f ) ) = ( C ` g ) ) ) ) ) $=
       ( vx vd vc vj vr cded wcel cv cop wceq calg cfv wa cdm wral wb w3a co
       wi wex cab df-ded eleq2i c1st domval eqcomi eqeq2i opeq1 opeq1d eleq1d
       fveq1 eqeq1d anbi1d ralbidv dmeq syl6eqr eleq2d bibi2d imbi12d ralbidv2
       3anbi123d eqeq12d imbi1d anbi12d sylbi c2nd codval opeq2 anbi2d eqeq2d
       2ralbidv idval opeq2d fveq2d 3anbi12d cmpval bibi1d 3anbi13d opreq
       imbi2d eloi ) DUBUCDQUDRUDZSUDZUEZTUDZUAUDZUEZUEZUFXDUGUCZJUDZXAUHZWRUHZ
       XFUFZXGWSUHZXFUFZUIZJXAUJZUKZFUDZEUDZUEZXBUJZUCZXOWRUHZXPWSUHZUFZULZFWRU
       JZUKZEYDUKZUMZYBXOXPXBUNZWRUHZXPWRUHZUFZUOZFYDUKZEYDUKZYBYHWSUHZXOWSUHZU
       FZUOZFYDUKZEYDUKZUIZUIZUIUAUPTUPSUPRUPQUQZUCBAUEZGCUEZUEZUGUCZXFGUHZBUHZ
       XFUFZUUHAUHZXFUFZUIZJIUKZXQCUJZUCZXOBUHZXPAUHZUFZULZFHUKEHUKZUMZUUSXOXPC
       UNZBUHZXPBUHZUFZUOZFHUKEHUKZUUSUVCAUHZXOAUHZUFZUOZFHUKEHUKZUIZUIZUBUUCDQ
       EFTUAJSRURUSUUBBWSUEZXCUEZUGUCZXGBUHZXFUFZXKUIZJXMUKZXSUUQYAUFZULZFHUKZE
       HUKZUMZUWCYHBUHZUVEUFZUOZFHUKZEHUKZUWCYQUOZFHUKZEHUKZUIZUIZUUDXCUEZUGUCZ
       UVTXGAUHZXFUFZUIZJXMUKZXSUUSULZFHUKEHUKZUMZUUSUWIUOZFHUKEHUKZUUSYHAUHZUV
       JUFZUOZFHUKEHUKZUIZUIZUUDGXBUEZUEZUGUCZUUNUXEUMZUXMUIZUVOQRSUATDWRDUTUHZ
       UTUHZUFWRBUFZUUBUWQULUYABWRBUYABDKVAVBVCUYBYGUWGUUAUWPUYBXEUVRXNUWBYFUWF
       UYBXDUVQUGUYBWTUVPXCWRBWSVDVEVFUYBXLUWAJXMUYBXIUVTXKUYBXHUVSXFXGWRBVGVHV
       IVJUYBYEUWEEYDHUYBXPYDUCZXPHUCZYEUWEUYBYDHXPUYBYDBUJHWRBVKOVLZVMZUYBYCUW
       DFYDHUYBXOYDUCZXOHUCZYCUWDUYBYDHXOUYEVMZUYBYBUWCXSUYBXTUUQYAXOWRBVGVHZVN
       VOVPVOVPVQUYBYNUWLYTUWOUYBYMUWKEYDHUYBUYCUYDYMUWKUYFUYBYLUWJFYDHUYBUYGUY
       HYLUWJUYIUYBYBUWCYKUWIUYJUYBYIUWHYJUVEYHWRBVGXPWRBVGVRVOVOVPVOVPUYBYSUWN
       EYDHUYBUYCUYDYSUWNUYFUYBYRUWMFYDHUYBUYGUYHYRUWMUYIUYBYBUWCYQUYJVSVOVPVOV
       PVTVTWAWSUXTWBUHZUFWSAUFZUWQUXNULUYKAWSAUYKADLWCVBVCUYLUWGUXFUWPUXMUYLUV
       RUWSUWBUXCUWFUXEUYLUVQUWRUGUYLUVPUUDXCWSABWDVEVFUYLUWAUXBJXMUYLXKUXAUVTU
       YLXJUWTXFXGWSAVGVHWEVJUYLUWDUXDEFHHUYLUWCUUSXSUYLYAUURUUQXPWSAVGWFZVNWGV
       QUYLUWLUXHUWOUXLUYLUWJUXGEFHHUYLUWCUUSUWIUYMVSWGUYLUWMUXKEFHHUYLUWCUUSYQ
       UXJUYMUYLYOUXIYPUVJYHWSAVGXOWSAVGVRVOWGVTVTWAXADWBUHZUTUHZUFXAGUFZUXNUXS
       ULUYOGXAGUYODGMWHVBVCUYPUXFUXRUXMUYPUWSUXQUXCUUNUXEUYPUWRUXPUGUYPXCUXOUU
       DXAGXBVDWIVFUYPUXBUUMJXMIUYPXFXMUCXFIUCUXBUUMUYPXMIXFUYPXMGUJIXAGVKPVLVM
       UYPUVTUUJUXAUULUYPUVSUUIXFUYPXGUUHBXFXAGVGZWJVHUYPUWTUUKXFUYPXGUUHAUYQWJ
       VHVTVOVPWKVIWAXBUYNWBUHZUFXBCUFZUXSUVOULUYRCXBCUYRDCNWLVBVCUYSUXRUVBUXMU
       VNUYSUXQUUGUXEUVAUUNUYSUXPUUFUGUYSUXOUUEUUDXBCGWDWIVFUYSUXDUUTEFHHUYSXSU
       UPUUSUYSXRUUOXQXBCVKVMWMWGWNUYSUXHUVHUXLUVMUYSUXGUVGEFHHUYSUWIUVFUUSUYSU
       WHUVDUVEUYSYHUVCBXOXPXBCWOZWJVHWPWGUYSUXKUVLEFHHUYSUXJUVKUUSUYSUXIUVIUVJ
       UYSYHUVCAUYTWJVHWPWGVTVTWAWQWA $.
       $( [28-Oct-2007] $) $( [24-Oct-2007] $)
   $}

  ${ $d A x y z $.
    1ded.1 $e |- A e. V $.
    $( Category 1 is a deductive system. We can think of the morphism of
    Category 1 as corresponding to ` ph |- ph ` . $)
    1ded $p |- <. <. { <. <. A , A >. , A >. } ,
      { <. <. A , A >. , A >. } >. , <. { <. A , <. A , A >. >. } ,
      { <. <. <. A , A >. , <. A , A >. >. , <. A , A >. >. } >. >. e. Ded $=
      ( vz vy vx cop csn cded wcel calg cv cfv wceq wa wral cdm wb w3a co wi
      cvv snex 3pm3.2i dmsnop eqcomi isded mp2an 1alg elsni opex fvsn fveq2i
      eqtr fveq2 fveq2d id 3eqtr4a syl anidmdbi mpbir rgen snid eleqtrr eqid
      2th a1i opeq12 eqcomd ancoms eleq1d adantl adantr eqeq12d 3bitr3d syl2an
      rgen2a opreq2 opreq1 sylan9eq df-opr syl5bi sylan9eqr pm3.2i mpbir2an )
      AAFZAFZGZWGFAWEFZGZWEWEFZWEFZGZFFZHIZWMJIZCKZWILZWGLZWPMZWSNZCAGZOZDKZEKZ
      FZWLPZIZXCWGLZXDWGLZMZQZDWEGZOEXLOZRZXJXCXDWLSZWGLZXIMZTZDXLOEXLOZXJXPXHM
      ZTZDXLOEXLOZNZWGUAIZYDWIUAIZRWLUAIWNXNYCNQYDYDYEWFUBZYFWHUBUCWKUBUAUAWGWG
      WLEDUAUAWIXLXACWGPXLWEAUDUEWIPXAAWEUDUEUFUGWOXBXMABUHWTCXAWPXAIZWTTYGWSTY
      GWPAMZWSWPAUIYHAWILZWGLZAWRWPYJWEWGLZAYIWEWGAWEBAAUJZUKULWEAYLBUKUMYHWQYI
      WGWPAWIUNUOYHUPUQURYGWSUSUTVAXKEDXLXDWEMZXCWEMZXKXDXLIZXCXLIZYMYNNZWJXFIZ
      YKYKMZXGXJYRYSQYQYRYSWJWJGXFWJWEWEUJZVBWJWEUDVCYKVDVEVFYQWJXEXFYNYMWJXEMY
      NYMNXEWJXCXDWEWEVGVHVIVJYQYKXHYKXIYQWEXCWGYNWEXCMYMYNXCWEYNUPVHVKUOYMYKXI
      MZYNYMWEXDWGYMXDWEYMUPVHUOVLVMVNXDWEUIZXCWEUIZVOVPUCXSYBXREDXLYMYNXRYOYPY
      QWEWEWLSZWGLZYKMZXQXJYQUUEXPYKXIYMYNUUEWEXDWLSZWGLXPYMUUDUUGWGYMUUGUUDXDW
      EWEWLVQVHUOYNUUGXOWGYNXOUUGXCWEXDWLVRVHUOVSYMUUAYNYMXIYKXDWEWGUNVHVLVMUUF
      XJUUDWEWGUUDWJWLLZWEWEWEWLVTZWJWEYTYLUKZUMULVFWAUUBUUCVOVPYAEDXLYMYNYAYOY
      PYQUUFXTXJYQUUEXPYKXHYQUUDXOWGYNYMUUDXCWEWLSZXOYNUUKUUDXCWEWEWLVRVHYMXOUU
      KXDWEXCWLVQVHWBUOYNYKXHMYMYNXHYKXCWEWGUNVHVKVMUUFXJUUEUUHWGLYKUUDUUHWGUUI
      ULUUHWEWGUUJULUMVFWAUUBUUCVOVPWCWD $.
      $( [31-Oct-2007] $) $( [30-Oct-2007] $)
  $}


  ${ $d f t u v w x y z $.
  $( Structure of a deductive system. $)
  strded $p |- Ded (_ ( ( V X. V ) X. ( V X. V ) ) $=
    ( vx vf vt vw vv vu vz vy cded cv cop wceq calg wcel cfv wa cdm wral wb
    w3a co wi wex cab cvv cxp df-ded stcat eqsstr ) IAJBJZCJZKDJZEJZKKZLUNMNFJZ
    ULOZUJOUOLUPUKOUOLPFULQRGJZHJZKUMQNUQUJOURUKOLZSGUJQZRHUTRTUSUQURUMUAZUJOUR
    UJOLUBGUTRHUTRUSVAUKOUQUKOLUBGUTRHUTRPPZPEUCDUCCUCBUCAUDUEUEUFZVCUFAHGDEFCB
    UGVBABCEDUHUI $.
    $( [30-Oct-2007] $) $( [28-Oct-2007] $)
  $}

  $( A deductive system is a relation. $)
  relded $p |- Rel Ded $=
    ( cded wrel cvv cxp wss strded xpss sstri df-rel mpbir ) ABACCDZEAKKDKFKKGH
    AIJ $.
    $( [30-Oct-2007] $) $( [28-Oct-2007] $)

  $( The domain of a deductive system is a relation. $)
  reldded $p |- Rel dom Ded $=
    ( cded cdm wrel cvv cxp wss strded dmss ax-mp dmxpid sseqtr df-rel mpbir )
    ABZCNDDEZFNOOEZBZOAPFNQFGAPHIOJKNLM $.
    $( [30-Oct-2007] $) $( [28-Oct-2007] $)

  $( The range of a deductive system is a relation. $)
  relrded $p |- Rel ran Ded $=
    ( cded crn wrel cvv cxp wss strded rnss ax-mp c0 wne wceq wa wcel 0ex ne0i
    pm3.2i xpnz mpbi rnxp sseqtr df-rel mpbir ) ABZCUDDDEZFUDUEUEEZBZUEAUFFUDUG
    FGAUFHIUEJKZUGUELDJKZUIMUHUIUIJDNUIODJPIZUJQDDRSUEUETIUAUDUBUC $.
    $( [30-Oct-2007] $) $( [28-Oct-2007] $)

  ${
    $d T x y z $.
    $( A deductive system is an "algebra". $)
    dedalg $p |- ( T e. Ded -> T e. Alg ) $=
      ( vz vy vx cded wcel cdom_ cfv ccod_ cop cid_ co_ calg c1st c2nd wrel
      cdm crn w3a wceq relded reldded relrded 3pm3.2i 11st22nd mpan eqid
      domval codval opeq12i idval cmpval syl6eqr cv wa wral wb co wi dedi
      pm3.26d 3simp1d eqeltrd ) AEFZAAGHZAIHZJZAKHZALHZJZJZMVDAANHZNHZVLOHZJZAO
      HZNHZVPOHZJZJZVKEPZEQPZERPZSVDAVTTWAWBWCUAUBUCUDAEUEUFVGVOVJVSVEVMVFVNVEA
      VEUGZUHVFAVFUGZUIUJVHVQVIVRAVHVHUGZUKAVIVIUGZULUJUJUMVDVKMFZBUNZVHHZVEHWI
      TWJVFHWITUOBVHQZUPZCUNZDUNZJVIQFWMVEHWNVFHTZUQCVEQZUPDWPUPZVDWHWLWQSWOWMW
      NVIURZVEHWNVEHTUSCWPUPDWPUPWOWRVFHWMVFHTUSCWPUPDWPUPUOVFVEVIADCVHWPWKBWDW
      EWFWGWPUGWKUGUTVAVBVC $.
      $( [30-Oct-2007] $) $( [28-Oct-2007] $)
  $}

  ${ $d A x $. $d C x y z $. $d D x y z $. $d J x $.
    $d O x $. $d T y z $.
    idosd.1 $e |- O = dom J $.
    idosd.2 $e |- D = ( dom_ ` T ) $.
    idosd.3 $e |- J = ( id_ ` T ) $.
    idosd.4 $e |- C = ( cod_ ` T ) $.
    $( The identity is a morphism which has the same object as its domain
    and its codomain. $)
    idosd $p |- ( ( T e. Ded /\ A e. O ) ->  ( ( D ` ( J ` A ) ) = A /\
        ( C ` ( J ` A ) ) = A ) ) $=
      ( vx vz vy cded wcel cfv wceq wa cop co_ calg cv wral cdm wb w3a co wi
      eqid dedi fveq2 fveq2d id eqeq12d anbi12d rcla4cv 3ad2ant2 adantr syl
      imp ) DNOZAFOZAEPZCPZAQZVCBPZAQZRZVACBSEDTPZSSUAOZKUBZEPZCPZVKQZVLBPZVKQZ
      RZKFUCZLUBZMUBZSVIUDOVSCPVTBPQZUELCUDZUCMWBUCZUFZWAVSVTVIUGZCPVTCPQUHLWBU
      CMWBUCWAWEBPVSBPQUHLWBUCMWBUCRZRVBVHUHZBCVIDMLEWBFKHJIVIUIWBUIGUJWDWGWFVR
      VJWGWCVQVHKAFVKAQZVNVEVPVGWHVMVDVKAWHVLVCCVKAEUKZULWHUMZUNWHVOVFVKAWHVLVC
      BWIULWJUNUOUPUQURUSUT $.
      $( [30-Oct-2007] $) $( [28-Oct-2007] $)
  $}

  ${ $d C f g x $. $d D f g x $. $d F f g $. $d G g $. $d M f g $.
     $d R f g $. $d T x $.
    ded.1 $e |- M = dom D $.
    ded.2 $e |- D = ( dom_ ` T ) $.
    ded.3 $e |- C = ( cod_ ` T ) $.
    ded.4 $e |- R = ( o_ ` T ) $.
   $( ` ( G ( o_ `` T ) F )  ` is only defined when the domain of ` G ` is the
      codomain of ` F ` . $)
   cmppfd $p |- ( ( T e. Ded /\ F e. M /\ G e. M ) ->
          ( <. G , F >. e. dom R <-> ( D ` G ) = ( C ` F ) ) ) $=
     ( vx vg vf cded wcel cop cdm cfv wceq wb cid_ calg cv wa wral w3a co wi
     eqid dedi opeq2 eleq1d fveq2 eqeq2d bibi12d opeq1 eqeq1d rcla42v com12
     3ad2ant3 adantr syl 3impib ) DOPZEGPZFGPZFEQZCRZPZFBSZEASZTZUAZVEBAQDUBSZC
     QQUCPZLUDZVOSZBSVQTVRASVQTUELVORZUFZMUDZNUDZQZVIPZWABSZWBASZTZUAZMGUFNGUFZ
     UGZWGWAWBCUHZBSWBBSTUIMGUFNGUFWGWKASWAASTUIMGUFNGUFUEZUEVFVGUEZVNUIZABCDNM
     VOGVSLIJVOUJKHVSUJUKWJWNWLWIVPWNVTWMWIVNWHVNWAEQZVIPZWEVLTZUANMEFGGWBETZWD
     WPWGWQWRWCWOVIWBEWAULUMWRWFVLWEWBEAUNUOUPWAFTZWPVJWQVMWSWOVHVIWAFEUQUMWSWE
     VKVLWAFBUNURUPUSUTVAVBVCVD $.
     $( [30-Oct-2007] $) $( [29-Oct-2007] $)


   $( When ` ( G ( o_ `` T ) F ) ` is defined its domain is the domain of
      ` F ` . $)
   domcmpd $p |- ( ( T e. Ded /\ F e. M /\ G e. M ) ->
            ( ( D ` G ) = ( C ` F ) -> ( D ` ( G R F ) ) = ( D ` F ) ) ) $=
     ( vx vg vf cded wcel cfv wceq co wi cop cid_ calg cv wa cdm wral wb w3a
     eqid dedi fveq2 eqeq2d opreq2 fveq2d eqeq12d imbi12d eqeq1d opreq1
     rcla42v com12 ad2antrl syl 3impib ) DOPZEGPZFGPZFBQZEAQZRZFECSZBQZEBQZRZTZ
     VEBAUADUBQZCUAUAUCPLUDZVPQZBQVQRVRAQVQRUELVPUFZUGMUDZNUDZUACUFPVTBQZWAAQZR
     ZUHMGUGNGUGUIZWDVTWACSZBQZWABQZRZTZMGUGNGUGZWDWFAQVTAQRTMGUGNGUGZUEUEVFVGU
     EZVOTZABCDNMVPGVSLIJVPUJKHVSUJUKWKWNWEWLWMWKVOWJVOWBVIRZVTECSZBQZVMRZTNMEF
     GGWAERZWDWOWIWRWSWCVIWBWAEAULUMWSWGWQWHVMWSWFWPBWAEVTCUNUOWAEBULUPUQVTFRZW
     OVJWRVNWTWBVHVIVTFBULURWTWQVLVMWTWPVKBVTFECUSUOURUQUTVAVBVCVD $.
     $( [30-Oct-2007] $) $( [29-Oct-2007] $)


   $( When ` ( G ( o_ `` T ) F ) ` is defined its codomain is the codomain
      of ` G ` . $)
   codcmpd $p |- ( ( T e. Ded /\ F e. M /\ G e. M ) ->
             ( ( D ` G ) = ( C ` F )
             -> ( C ` ( G R F ) ) = ( C ` G ) ) ) $=
     ( vx vg vf cded wcel cfv wceq co wi cop cid_ calg cv wa cdm wral wb w3a
     eqid dedi fveq2 eqeq2d opreq2 fveq2d eqeq1d imbi12d opreq1 eqeq12d
     rcla42v com12 ad2antll syl 3impib ) DOPZEGPZFGPZFBQZEAQZRZFECSZAQZFAQZRZTZ
     VEBAUADUBQZCUAUAUCPLUDZVPQZBQVQRVRAQVQRUELVPUFZUGMUDZNUDZUACUFPVTBQZWAAQZR
     ZUHMGUGNGUGUIZWDVTWACSZBQWABQRTMGUGNGUGZWDWFAQZVTAQZRZTZMGUGNGUGZUEUEVFVGU
     EZVOTZABCDNMVPGVSLIJVPUJKHVSUJUKWLWNWEWGWMWLVOWKVOWBVIRZVTECSZAQZWIRZTNMEF
     GGWAERZWDWOWJWRWSWCVIWBWAEAULUMWSWHWQWIWSWFWPAWAEVTCUNUOUPUQVTFRZWOVJWRVNW
     TWBVHVIVTFBULUPWTWQVLWIVMWTWPVKAVTFECURUOVTFAULUSUQUTVAVBVCVD $.
     $( [30-Oct-2007] $) $( [29-Oct-2007] $)
  $}

  ${ $d D a $. $d O a $. $d T a $.
    rdmob.1 $e |- O = dom ( id_ ` T ) $.
    rdmob.2 $e |- D = ( dom_ ` T ) $.
    $( The range of ` ( dom_ `` T ) ` is the class of the objects. $)
    rdmob $p |- ( T e. Ded -> ran D = O ) $=
      ( va cded wcel crn calg cdm wf wss dedalg cid_ cfv eqid doma frn 3syl cv
      wceq ccod_ wa cdom_ wi eleq1 rneqi eleq2i syl6bbr biimpd adantr idosd
      ida ffvelrn ex wfun ffun fvelrn syl fveq1i eleq1i syl6ibr syld imp sylc
      ssrdv eqssd ) BGHZAIZCVIBJHZAKZCALVJCMBNZABBOPZVLCVLQEDVNQZRVLCASTVIFCVJV
      IFUAZCHZVPVJHZVPVNPZAPZVPUBZVSBUCPZPVPUBZUDVTBUEPZIZHZVRVIVQUDWAWFVRUFWCW
      AWFVRWAWFVPWEHVRVTVPWEUGVJWEVPAWDEUHUIUJUKULVPWBABVNCDEVOWBQUMVIVQWFVIVQV
      SWDKZHZWFVIVKCWGVNLZVQWHUFVMWDBVNWGCWGQZWDQZDVOUNWIVQWHCWGVPVNUOUPTVIVKWG
      VNKZWDLZWHWFUFVMWDBVNWGWLWJWKWLQVORWMWHVSWDPZWEHZWFWMWDUQZWHWOUFWGWLWDURW
      PWHWOVSWDUSUPUTVTWNWEVSAWDEVAVBVCTVDVEVFUPVGVH $.
      $( [10-Jan-2008] $) $( [10-Jan-2008] $)

  $}

  ${ $d C a $. $d O a $. $d T a $.
    rcmob.1 $e |- O = dom ( id_ ` T ) $.
    rcmob.2 $e |- C = ( cod_ ` T ) $.
    $( The range of ` ( cod_ `` T ) ` is the class of the objects. $)
    rcmob $p |- ( T e. Ded -> ran C = O ) $=
      ( va cded wcel crn calg cdom_ cfv cdm wf wss dedalg cid_ eqid coda frn
      3syl cv wa wceq idosd pm3.27d wfun fvelrn ffun adantr idmoa dcsda eqcomd
      eleqtrrd sylan sylanc eqeltrrd ex ssrdv eqssd ) BGHZAIZCVABJHZBKLZMZCANZV
      BCOBPZAVDBBQLZVECVERZVDRZDVHRZESZVECATUAVAFCVBVAFUBZCHZVMVBHVAVNUCZVMVHLZ
      ALZVMVBVOVPVDLVMUDVQVMUDVMAVDBVHCDVJVKEUEUFAUGZVPAMZHZVQVBHVOVPAUHVAVRVNV
      AVCVFVRVGVLVECAUIUAUJVCVNVTVAVCVNUCVPVEVSVMVDBVHVECVIVJDVKUKVCVSVEUDVNVCV
      EVSAVDBVJEULUMUJUNVGUOUPUQURUSUT $.
      $( [10-Jan-2008] $) $( [10-Jan-2008] $)
  $}

  ${
    aidm.1 $e |- D = ( dom_ ` T ) $.
    aidm.2 $e |- C = ( cod_ ` T ) $.
    aidm.3 $e |- O = dom ( id_ ` T ) $.
    $( TODO: suppress 0 $)
    $( The underlying directed multi graph of a deductive system. $)
    aidm $p |- ( T e. Ded -> <. <. D , C >. , ran D >. e. Dgra ) $=
      ( cded wcel cop crn cmgra cdm wf wa calg dedalg cid_ cfv eqid doma syl
      wceq wb rdmob feq3 mpbird cdom_ dmeqi coda jca cvv ismgra a1i fvex
      syl6eqel ccod_ rneqd rnexg eqeltrd syl3anc ) CHIZBAJBKZJLIZBMZVCBNZVEVCAN
      ZOZVBVFVGVBVFVEDBNZVBCPIZVICQZBCCRSZVEDVETEGVLTZUAUBVBVCDUCVFVIUDBCDGEUEV
      CDVEBUFUBUGVBVGVEVLMZANZVBVJVOVKACUHSZCVLVEVNBVPEUIVPTVNTZVMFUJUBVBVCVNUC
      VGVOUDBCVNVQEUEVCVNVEAUFUBUGUKBULIAULIVCULIVDVHUDVBULULABVCULUMVBBVPULBVP
      UCVBEUNZCUHUOZUPVBACUQSZULAVTUCVBFUNCUQUOUPVBVCVPKZULVBBVPVRURVBVPULIZWAU
      LIWBVBVSUNVPULUSUBUTVAUG $.
      $( [10-Jan-2008] $) $( [10-Jan-2008] $)
  $}

  ${
    aidmold.1 $e |- D = ( dom_ ` T ) $.
    aidmold.2 $e |- C = ( cod_ ` T ) $.
    aidmold.3 $e |- O = dom ( id_ ` T ) $.
    $( TODO: suppress 0 $)
    $( The underlying directed multi graph of a deductive system. $)
    aidmold $p |- ( T e. Ded -> <. <. D , C >. , ran D >. e. Dgra ) $=
      ( cded wcel cop crn cmgra cdm wf wa calg dedalg cid_ cfv eqid doma syl
      wceq wb rdmob feq3 mpbird cdom_ dmeqi coda jca cvv ismgra a1i fvex
      syl6eqel ccod_ rneqd rnexg eqeltrd syl3anc ) CHIZBAJBKZJLIZBMZVCBNZVEVCAN
      ZOZVBVFVGVBVFVEDBNZVBCPIZVICQZBCCRSZVEDVETEGVLTZUAUBVBVCDUCVFVIUDBCDGEUEV
      CDVEBUFUBUGVBVGVEVLMZANZVBVJVOVKACUHSZCVLVEVNBVPEUIVPTVNTZVMFUJUBVBVCVNUC
      VGVOUDBCVNVQEUEVCVNVEAUFUBUGUKBULIAULIVCULIVDVHUDVBULULABVCULUMVBBVPULBVP
      UCVBEUNZCUHUOZUPVBACUQSZULAVTUCVBFUNCUQUOUPVBVCVPKZULVBBVPVRURVBVPULIZWAU
      LIWBVBVSUNVPULUSUBUTVAUG $.
      $( [10-Jan-2008] $) $( [10-Jan-2008] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Categories
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Cat $. $( The class of all categories. $)

  $( Extend class notation with the class of categories. $)
  ccat $a class Cat $.

  ${
    $d x d c j r f g h a $.
    $( A category is a deductive system where the composition is associative,
    and the identity a neutral element. $)
    df-cat $a |- Cat = { x | E. d E. c E. j E. r
    ( x = <. <. d , c >. , <. j , r >. >. /\
           ( ( <. <. d , c >. , <. j , r >. >. e. Ded /\
           A. f e. dom d A. g e. dom d A. h e. dom d
              (
                ( ( d ` h ) = ( c ` g ) /\ ( d ` g ) = ( c ` f ) )
              ->
                ( h r ( g r f ) ) = ( ( h r g ) r f )
               ) ) /\

          ( A. a e. dom j A. f e. dom d ( ( c ` f ) = a ->
             ( ( j ` a ) r f ) = f ) /\

          A. a e. dom j A. f e. dom d ( ( d ` f ) = a ->
             ( f r ( j ` a ) ) = f ) ) ) ) } $.
  $}

  ${ $d C a c d f g h j r $. $d D a c d f g h j r $. $d J a c d f j r $.
     $d M c d j r f $. $d O c d j r $. $d R a c d f g h j r $.
     $d a c d f g h j r x $.
    iscat.1 $e |- M = dom D $.
    iscat.2 $e |- O = dom J $.
    $( The predicate "is a category". $)
    iscat $p |-  ( ( ( D e. A /\ C e. B /\ J e. F ) /\ R e. G )
      -> ( <. <. D , C >. , <. J , R >. >. e. Cat
        <-> ( ( <. <. D , C >. , <. J , R >. >. e. Ded /\
           A. f e. M A. g e. M A. h e. M
              (
                ( ( D ` h ) = ( C ` g ) /\ ( D ` g ) = ( C ` f ) )
              ->
                ( h R ( g R f ) ) = ( ( h R g ) R f )
               ) ) /\

          ( A. a e. O A. f e. M ( ( C ` f ) = a ->
             ( ( J ` a ) R f ) = f ) /\

          A. a e. O A. f e. M ( ( D ` f ) = a ->
             ( f R ( J ` a ) ) = f ) ) ) ) ) $=
      ( vx vd vc vj vr wcel w3a wa cop cv wceq cded cfv co wi cdm wral wex cab
      ccat opeq1 opeq1d eleq1d dmeq syl6eqr eleq2d fveq1 eqeq1d anbi12d imbi1d
      imbi12d ralbidv2 raleq1d ralbidv opeq2 eqeq2d 2ralbidv anbi1d opeq2d
      opreq1d imbi2d opreq2d opreq eqtrd eqeq12d elo df-cat eleq2i syl5bb ) DAU
      BCBUBKIUBUCEJUBUDDCUEZKEUEZUEZQUFRUFZSUFZUEZTUFZUAUFZUEZUEZUGWOUHUBZHUFZW
      IUIZGUFZWJUIZUGZWSWIUIZFUFZWJUIZUGZUDZWQWSXCWMUJZWMUJZWQWSWMUJZXCWMUJZUGZ
      UKZHWIULZUMZGXMUMZFXMUMZUDZXDNUFZUGZXRWLUIZXCWMUJZXCUGZUKZFXMUMZNWLULZUMZ
      XCWIUIZXRUGZXCXTWMUJZXCUGZUKZFXMUMZNYEUMZUDZUDZUDUAUNTUNSUNRUNQUOZUBWHUHU
      BZWQDUIZWSCUIZUGZWSDUIZXCCUIZUGZUDZWQWSXCEUJZEUJZWQWSEUJZXCEUJZUGZUKZHLUM
      ZGLUMFLUMZUDZUUBXRUGZXRKUIZXCEUJZXCUGZUKZFLUMNMUMZXCDUIZXRUGZXCUUOEUJZXCU
      GZUKZFLUMNMUMZUDZUDZWHUPUBYODWJUEZWNUEZUHUBZYRWTUGZUUAXDUGZUDZXKUKZHLUMZG
      LUMZFLUMZUDZYCFLUMZNYEUMZUVAYJUKZFLUMZNYEUMZUDZUDWFWNUEZUHUBZUUDXKUKZHLUM
      ZGLUMFLUMZUDZUUNYBUKZFLUMZNYEUMZUWCUDZUDWFKWMUEZUEZUHUBZUWIUDZUUNUUOXCWMU
      JZXCUGZUKZFLUMZNMUMZUVAXCUUOWMUJZXCUGZUKZFLUMZNMUMZUDZUDUVGQRSUATDCKEABIJ
      WIDUGZXQUVRYNUWDUXJWPUVJXPUVQUXJWOUVIUHUXJWKUVHWNWIDWJUQURUSUXJXOUVPFXMLU
      XJXCXMUBZXCLUBZXOUVPUXJXMLXCUXJXMDULLWIDUTOVAZVBZUXJXNUVOGXMLUXJWSXMUBWSL
      UBXNUVOUXJXMLWSUXMVBUXJXLUVNHXMLUXJWQXMUBWQLUBXLUVNUXJXMLWQUXMVBUXJXFUVMX
      KUXJXAUVKXEUVLUXJWRYRWTWQWIDVCVDUXJXBUUAXDWSWIDVCVDVEVFVGVHVGVHVGVHVEUXJY
      FUVTYMUWCUXJYDUVSNYEUXJYCFXMLUXMVIVJUXJYLUWBNYEUXJYKUWAFXMLUXJUXKUXLYKUWA
      UXNUXJYHUVAYJUXJYGUUTXRXCWIDVCVDVFVGVHVJVEVEWJCUGZUVRUWJUWDUWNUXOUVJUWFUV
      QUWIUXOUVIUWEUHUXOUVHWFWNWJCDVKURUSUXOUVOUWHFGLLUXOUVNUWGHLUXOUVMUUDXKUXO
      UVKYTUVLUUCUXOWTYSYRWSWJCVCVLUXOXDUUBUUAXCWJCVCZVLVEVFVJVMVEUXOUVTUWMUWCU
      XOYCUWKNFYELUXOXSUUNYBUXOXDUUBXRUXPVDVFVMVNVEWLKUGZUWJUWRUWNUXIUXQUWFUWQU
      WIUXQUWEUWPUHUXQWNUWOWFWLKWMUQVOUSVNUXQUWMUXCUWCUXHUXQUWLUXBNYEMUXQXRYEUB
      ZXRMUBZUWLUXBUXQYEMXRUXQYEKULMWLKUTPVAVBZUXQUWKUXAFLUXQYBUWTUUNUXQYAUWSXC
      UXQXTUUOXCWMXRWLKVCZVPVDVQVJVGVHUXQUWBUXGNYEMUXQUXRUXSUWBUXGUXTUXQUWAUXFF
      LUXQYJUXEUVAUXQYIUXDXCUXQXTUUOXCWMUYAVRVDVQVJVGVHVEVEWMEUGZUWRUUMUXIUVFUY
      BUWQYQUWIUULUYBUWPWHUHUYBUWOWGWFWMEKVKVOUSUYBUWHUUKFGLLUYBUWGUUJHLUYBXKUU
      IUUDUYBXHUUFXJUUHUYBXHWQUUEWMUJUUFUYBXGUUEWQWMWSXCWMEVSVRWQUUEWMEVSVTUYBX
      JXIXCEUJUUHXIXCWMEVSUYBXIUUGXCEWQWSWMEVSVPVTWAVQVJVMVEUYBUXCUUSUXHUVEUYBU
      XAUURNFMLUYBUWTUUQUUNUYBUWSUUPXCUUOXCWMEVSVDVQVMUYBUXFUVDNFMLUYBUXEUVCUVA
      UYBUXDUVBXCXCUUOWMEVSVDVQVMVEVEWBUPYPWHQFGHTUANSRWCWDWE $.
      $( [28-Oct-2007] $) $( [24-Oct-2007] $)
  $}

  ${ $d C a c d f g h j r $. $d D a c d f g h j r $. $d J a c d f j r $.
     $d M c d j r f $. $d O c d j r $. $d R a c d f g h j r $.
     $d T c d j r x $. $d a c d f g h j r x $.
     cati.1 $e |- D = ( dom_ ` T ) $.
     cati.2 $e |- C = ( cod_ ` T ) $.
     cati.3 $e |- J = ( id_ ` T ) $.
     cati.4 $e |- R = ( o_ ` T ) $.
     cati.5 $e |- M = dom D $.
     cati.6 $e |- O = dom J $.
     $( Properties of a category. $)
     cati $p |- ( T e. Cat
       -> ( ( <. <. D , C >. , <. J , R >. >. e. Ded /\
           A. f e. M A. g e. M A. h e. M
              (
                ( ( D ` h ) = ( C ` g ) /\ ( D ` g ) = ( C ` f ) )
              ->
                ( h R ( g R f ) ) = ( ( h R g ) R f )
               ) ) /\

          ( A. a e. O A. f e. M ( ( C ` f ) = a ->
             ( ( J ` a ) R f ) = f ) /\

          A. a e. O A. f e. M ( ( D ` f ) = a ->
             ( f R ( J ` a ) ) = f ) ) ) ) $=
       ( vx vd vc vj vr ccat wcel cv cop wceq cded cfv wa co wi cdm wral wex
       cab df-cat eleq2i c1st wb domval eqcomi eqeq2i opeq1 opeq1d eleq1d dmeq
       syl6eqr eleq2d fveq1 eqeq1d anbi12d imbi1d imbi12d ralbidv2 raleq1d
       ralbidv sylbi c2nd codval opeq2 eqeq2d 2ralbidv anbi1d idval opeq2d
       opreq1d imbi2d opreq2d cmpval opreq eqtrd eqeq12d eloi ) DUCUDDRUESUEZTU
       EZUFZUAUEZUBUEZUFZUFZUGXAUHUDZGUEZWOUIZFUEZWPUIZUGZXEWOUIZEUEZWPUIZUGZUJ
       ZXCXEXIWSUKZWSUKZXCXEWSUKZXIWSUKZUGZULZGWOUMZUNZFXSUNZEXSUNZUJZXJKUEZUGZ
       YDWRUIZXIWSUKZXIUGZULZEXSUNZKWRUMZUNZXIWOUIZYDUGZXIYFWSUKZXIUGZULZEXSUNZ
       KYKUNZUJZUJZUJUBUOUAUOTUOSUORUPZUDBAUFZHCUFZUFZUHUDZXCBUIZXEAUIZUGZXEBUI
       ZXIAUIZUGZUJZXCXEXICUKZCUKZXCXECUKZXICUKZUGZULZGIUNZFIUNEIUNZUJZUUKYDUGZ
       YDHUIZXICUKZXIUGZULZEIUNKJUNZXIBUIZYDUGZXIUVDCUKZXIUGZULZEIUNKJUNZUJZUJZ
       UCUUBDREFGUAUBKTSUQURUUABWPUFZWTUFZUHUDZUUGXFUGZUUJXJUGZUJZXQULZGIUNZFIU
       NZEIUNZUJZYIEIUNZKYKUNZUVJYPULZEIUNZKYKUNZUJZUJZUUCWTUFZUHUDZUUMXQULZGIU
       NZFIUNEIUNZUJZUVCYHULZEIUNZKYKUNZUWLUJZUJZUUCHWSUFZUFZUHUDZUWSUJZUVCUVDX
       IWSUKZXIUGZULZEIUNZKJUNZUVJXIUVDWSUKZXIUGZULZEIUNZKJUNZUJZUJZUVPRSTUBUAD
       WODUSUIZUSUIZUGWOBUGZUUAUWNUTUYCBWOBUYCBDLVAVBVCUYDYCUWGYTUWMUYDXBUVSYBU
       WFUYDXAUVRUHUYDWQUVQWTWOBWPVDVEVFUYDYAUWEEXSIUYDXIXSUDZXIIUDZYAUWEUYDXSI
       XIUYDXSBUMIWOBVGPVHZVIZUYDXTUWDFXSIUYDXEXSUDXEIUDXTUWDUYDXSIXEUYGVIUYDXR
       UWCGXSIUYDXCXSUDXCIUDXRUWCUYDXSIXCUYGVIUYDXLUWBXQUYDXGUVTXKUWAUYDXDUUGXF
       XCWOBVJVKUYDXHUUJXJXEWOBVJVKVLVMVNVOVNVOVNVOVLUYDYLUWIYSUWLUYDYJUWHKYKUY
       DYIEXSIUYGVPVQUYDYRUWKKYKUYDYQUWJEXSIUYDUYEUYFYQUWJUYHUYDYNUVJYPUYDYMUVI
       YDXIWOBVJVKVMVNVOVQVLVLVRWPUYBVSUIZUGWPAUGZUWNUXEUTUYIAWPAUYIADMVTVBVCUY
       JUWGUWTUWMUXDUYJUVSUWPUWFUWSUYJUVRUWOUHUYJUVQUUCWTWPABWAVEVFUYJUWDUWREFI
       IUYJUWCUWQGIUYJUWBUUMXQUYJUVTUUIUWAUULUYJXFUUHUUGXEWPAVJWBUYJXJUUKUUJXIW
       PAVJZWBVLVMVQWCVLUYJUWIUXCUWLUYJYIUXAKEYKIUYJYEUVCYHUYJXJUUKYDUYKVKVMWCW
       DVLVRWRDVSUIZUSUIZUGWRHUGZUXEUYAUTUYMHWRHUYMDHNWEVBVCUYNUWTUXIUXDUXTUYNU
       WPUXHUWSUYNUWOUXGUHUYNWTUXFUUCWRHWSVDWFVFWDUYNUXCUXNUWLUXSUYNUXBUXMKYKJU
       YNYDYKUDZYDJUDZUXBUXMUYNYKJYDUYNYKHUMJWRHVGQVHVIZUYNUXAUXLEIUYNYHUXKUVCU
       YNYGUXJXIUYNYFUVDXIWSYDWRHVJZWGVKWHVQVNVOUYNUWKUXRKYKJUYNUYOUYPUWKUXRUYQ
       UYNUWJUXQEIUYNYPUXPUVJUYNYOUXOXIUYNYFUVDXIWSUYRWIVKWHVQVNVOVLVLVRWSUYLVS
       UIZUGWSCUGZUYAUVPUTUYSCWSCUYSDCOWJVBVCUYTUXIUVBUXTUVOUYTUXHUUFUWSUVAUYTU
       XGUUEUHUYTUXFUUDUUCWSCHWAWFVFUYTUWRUUTEFIIUYTUWQUUSGIUYTXQUURUUMUYTXNUUO
       XPUUQUYTXNXCUUNWSUKUUOUYTXMUUNXCWSXEXIWSCWKWIXCUUNWSCWKWLUYTXPUUPXIWSUKU
       UQUYTXOUUPXIWSXCXEWSCWKWGUUPXIWSCWKWLWMWHVQWCVLUYTUXNUVHUXSUVNUYTUXLUVGK
       EJIUYTUXKUVFUVCUYTUXJUVEXIUVDXIWSCWKVKWHWCUYTUXQUVMKEJIUYTUXPUVLUVJUYTUX
       OUVKXIXIUVDWSCWKVKWHWCVLVLVRWNVR $.
       $( [28-Oct-2007] $) $( [24-Oct-2007] $)
  $}

  $( An "algebra" with no object and no morphism. $)
  0alg $p |- <. <. (/) , (/) >. , <. (/) , (/) >. >. e. Alg $=
    ( c0 cop calg wcel wf w3a wfun cdm cxp wss crn cvv wa wb 0ex 3pm3.2i dm0
    eqcomi isalg mp2an f0 fun0 ssid xp0r 3sstr4 rn0 eqimssi mpbir2an ) AABZUIBC
    DZAAAEZUKUKFZAGZAHZAAIZJZAKZAJZFZALDZUTUTFUTUJULUSMNUTUTUTOOOPOLLAAALLAAAUN
    AQRZVASTUKUKUKAUAZVBVBPUMUPURUBAAUNUOAUCQAUDUEUQAUFUGPUH $.
    $( [10-Jan-2008] $) $( [10-Jan-2008] $)


  ${ $d a f g $.
  $( A deductive system with no object and no morphism. $)
  0ded $p |- <. <. (/) , (/) >. , <. (/) , (/) >. >. e. Ded $=
    ( va vg vf c0 cop cded wcel calg cv cfv wceq wa cdm wral wb w3a co wi cvv
    0ex 3pm3.2i eqid isded mp2an 0alg dm0 eleq2i noel pm2.21i sylbi rgen
    pm3.2i mpbir2an ) DDEZUNEZFGZUOHGZAIZDJDJURKZUSLZADMZNZBIZCIZEVAGVCDJZVDDJZ
    KZOBVANZCVANZPZVGVCVDDQDJZVFKRBVANZCVANZVGVKVEKRBVANZCVANZLZDSGZVQVQPVQUPVJ
    VPLOVQVQVQTTTUATSSDDDCBSSDVAVAAVAUBZVRUCUDUQVBVIUEUTAVAURVAGURDGZUTVADURUFU
    GVSUTURUHUIUJUKVHCVAVDVAGZVDDGZVHVADVDUFUGZWAVHVDUHZUIUJUKUAVMVOVLCVAVTWAVL
    WBWAVLWCUIUJUKVNCVAVTWAVNWBWAVNWCUIUJUKULUM $.
    $( [10-Jan-2008] $) $( [10-Jan-2008] $)
  $}

  ${ $d a f g h $.
  $( Category 0. No object, no morphism. $)
  0cat $p |- <. <. (/) , (/) >. , <. (/) , (/) >. >. e. Cat $=
    ( vh vg vf va c0 cop ccat wcel cded cv cfv wceq wa co wi cdm wral cvv w3a
    wb 0ex 3pm3.2i eqid iscat mp2an 0ded dm0 eleq2i noel pm2.21i sylbi rgen
    pm3.2i mpbir2an ) EEFZUOFZGHZUPIHZAJZEKBJZEKZLVACJZEKZLMUSUTVBENENUSUTENVBE
    NLOAEPZQBVDQZCVDQZMZVCDJZLZVHEKZVBENVBLOCVDQZDVDQZVIVBVJENVBLOCVDQZDVDQZMZE
    RHZVPVPSVPUQVGVOMTVPVPVPUAUAUAUBUARREEECBARREVDVDDVDUCZVQUDUEURVFUFVECVDVBV
    DHVBEHZVEVDEVBUGUHVRVEVBUIUJUKULUMVLVNVKDVDVHVDHZVHEHZVKVDEVHUGUHZVTVKVHUIZ
    UJUKULVMDVDVSVTVMWAVTVMWBUJUKULUMUN $.
    $( [10-Jan-2008] $) $( [10-Jan-2008] $)
  $}


  ${ $d A u x y z $.
    1cat.1 $e |- A e. V $.
    $( Category 1. A category with one object and one morphism. $)
    1cat $p |- <. <. { <. <. A , A >. , A >. } ,
     { <. <. A , A >. , A >. } >. ,  <. { <. A , <. A , A >. >. } ,
     { <. <. <. A , A >. , <. A , A >. >. , <. A , A >. >. } >. >.
     e. Cat $=
      ( vu vz vy vx cop csn ccat wcel cded cv cfv wceq wa co wi wral cvv w3a
      wb snex 3pm3.2i cdm dmsnop eqcomi iscat mp2an 1ded id eqcomd 3ad2ant3
      3ad2ant2 3ad2ant1 opreq12d opreq1d opreq2d 3eqtrd eqeq12d df-opr opex
      fvsn eqtr2 eqtr opreq12i a1i syl5bi elsni syl3an rgen3 pm3.2i adantr
      fveq2d adantl opreq1i 3eqtr syl2an rgen2 opreq2i mpbir2an ) AAGZAGZHZWCGA
      WAGZHZWAWAGZWAGZHZGGZIJZWIKJZCLZWCMDLZWCMZNWNELZWCMZNOZWLWMWOWHPZWHPZWLWM
      WHPZWOWHPZNZQZCWAHZRDXDREXDRZOZWPFLZNZXGWEMZWOWHPZWONZQZEXDRFAHZRZXHWOXIW
      HPZWONZQZEXDRFXMRZOZWCSJZXTWESJZTWHSJWJXFXSOUAXTXTYAWBUBZYBWDUBUCWGUBSSWC
      WCWHEDCSSWEXDXMFWCUDXDWAAUEUFWEUDXMAWAUEUFUGUHWKXEABUIXCEDCXDXDXDWOWANZWM
      WANZWLWANZXCWOXDJZWMXDJWLXDJYCYDYETZWAWAWAWHPZWHPZYHWAWHPZNZXBWQYGYIWSYJX
      AYGWAWLYHWRWHYEYCWAWLNYDYEWLWAYEUJUKZULYGWAWMWAWOWHYDYCWAWMNYEYDWMWAYDUJU
      KZUMYCYDWAWONZYEYCWOWAYCUJUKZUNUOUOYGYJWLWAWHPZWAWHPZWTWAWHPZXAYEYCYJYQNY
      DYEYHYPWAWHYEWAWLWAWHYLUPUPULYDYCYQYRNYEYDYPWTWAWHYDWAWMWLWHYMUQUPUMYCYDY
      RXANYEYCWAWOWTWHYOUQUNURUSYKWQWAYHYHWAWHYHWFWHMZWAWAWAWHUTZWFWAWAWAVAAAVA
      ZVBZVCYHYSWAYTUUBVDVEVFVGWOWAVHZWMWAVHWLWAVHVIVJVKXNXRXLFEXMXDXGANZYCXLXG
      XMJZYFUUDYCOZAWEMZWAWHPZWANZXKXHUUFUUHXJWAWOUUFUUGXIWAWOWHUUFAXGWEUUDAXGN
      YCUUDXGAUUDUJUKVLVMZYCYNUUDYOVNZUOUUKUSUUIXHUUHYHYSWAUUGWAWAWHAWABUUAVBZV
      OYTUUBVPVFVGXGAVHZUUCVQVRXQFEXMXDUUDYCXQUUEYFUUFWAUUGWHPZWANZXPXHUUFUUNXO
      WAWOUUFWAWOUUGXIWHUUKUUJUOUUKUSUUOXHUUNYHYSWAUUGWAWAWHUULVSYTUUBVPVFVGUUM
      UUCVQVRVKVT $.
      $( [31-Oct-2007] $) $( [30-Oct-2007] $)
  $}

  ${
  $d f g t u v w x y z $.
  $( Structure of a category. $)
  strcat $p |- Cat (_ ( ( V X. V ) X. ( V X. V ) ) $=
    ( vx vg vf vv vu vw vz vy vt ccat cv cop wceq cded wcel cfv wa co wi cdm
    wral wex cab cvv cxp df-cat stcat eqsstr ) JAKBKZCKZLDKZEKZLLZMUMNOFKZUIPGK
    ZUJPMUOUIPHKZUJPZMQUNUOUPULRULRUNUOULRUPULRMSFUITZUAGURUAHURUAQUQIKZMUSUKPZ
    UPULRUPMSHURUAIUKTZUAUPUIPUSMUPUTULRUPMSHURUAIVAUAQQZQEUBDUBCUBBUBAUCUDUDUE
    ZVCUEAHGFDEICBUFVBABCEDUGUH $.
    $( [28-Oct-2007] $) $( [26-Oct-2007] $)
  $}

  $( A category is a relation. $)
  relcat $p |- Rel Cat $=
    ( ccat wrel cvv cxp wss strcat xpss sstri df-rel mpbir ) ABACCDZEAKKDKFKKGH
    AIJ $.
    $( [28-Oct-2007] $) $( [26-Oct-2007] $)

  $( The domain of a category is a relation. $)
  reldcat $p |- Rel dom Cat $=
    ( ccat cdm wrel cvv cxp wss strcat dmss ax-mp dmxpid sseqtr df-rel mpbir )
    ABZCNDDEZFNOOEZBZOAPFNQFGAPHIOJKNLM $.
    $( [28-Oct-2007] $) $( [26-Oct-2007] $)

  $( The range of a category is a relation. $)
  relrcat $p |- Rel ran Cat $=
    ( ccat crn wrel cvv cxp wss strcat rnss ax-mp c0 wne wceq wa wcel 0ex ne0i
    pm3.2i xpnz mpbi rnxp sseqtr df-rel mpbir ) ABZCUDDDEZFUDUEUEEZBZUEAUFFUDUG
    FGAUFHIUEJKZUGUELDJKZUIMUHUIUIJDNUIODJPIZUJQDDRSUEUETIUAUDUBUC $.
    $( [28-Oct-2007] $) $( [26-Oct-2007] $)

  ${
  $d T w x y z $.
  $( A category is a deductive system. $)
  catded $p |- ( T e. Cat -> T e. Ded ) $=
    ( vz vy vx vw ccat wcel cdom_ cfv ccod_ cop cid_ co_ cded c1st c2nd wrel
    cdm crn w3a wceq relcat reldcat relrcat 3pm3.2i 11st22nd mpan eqid domval
    codval opeq12i idval cmpval syl6eqr cv wa co wi wral cati pm3.26d eqeltrd
    ) AFGZAAHIZAJIZKZALIZAMIZKZKZNVCAAOIZOIZVKPIZKZAPIZOIZVOPIZKZKZVJFQZFRQZFSQ
    ZTVCAVSUAVTWAWBUBUCUDUEAFUFUGVFVNVIVRVDVLVEVMVDAVDUHZUIVEAVEUHZUJUKVGVPVHVQ
    AVGVGUHZULAVHVHUHZUMUKUKUNVCVJNGZBUOZVDICUOZVEIUAWIVDIDUOZVEIZUAUPWHWIWJVHU
    QVHUQWHWIVHUQWJVHUQUAURBVDRZUSCWLUSDWLUSZVCWGWMUPWKEUOZUAWNVGIZWJVHUQWJUAUR
    DWLUSEVGRZUSWJVDIWNUAWJWOVHUQWJUAURDWLUSEWPUSUPVEVDVHADCBVGWLWPEWCWDWEWFWLU
    HWPUHUTVAVAVB $.
    $( [28-Oct-2007] $) $( [26-Oct-2007] $)
  $}

  ${
    cat.1 $e |- M = dom D $.
    cat.3 $e |- D = ( dom_ ` T ) $.
    ${
      cat.2 $e |- O = dom J $.
      cat.5 $e |- J = ( id_ ` T ) $.
      ${
        $( The 1st "axiom" of a category - ` ( dom_ `` T ) ` is a mapping
           from the morphisms of ` T ` to the objects of ` T ` . $)
        domc $p |- ( T e. Cat -> D : M --> O ) $=
          ( ccat wcel cded calg wf catded dedalg doma 3syl ) BJKBLKBMKDEANBOBPA
          BCDEFGHIQR $.
          $( [3-Jan-2008] $) $( [2-Jan-2008] $)
      $}

      ${
        cat.4 $e |- C = ( cod_ ` T ) $.
        $( The 2nd "axiom" of a category - ` ( cod_ `` T ) ` is a mapping
        from the morphisms of ` T ` to  the objects of ` T ` . $)
        codc $p |- ( T e. Cat -> C : M --> O ) $=
          ( ccat wcel cded calg wf catded dedalg coda 3syl ) CLMCNMCOMEFAPCQCRA
          BCDEFGHIJKST $.
          $( [3-Jan-2008] $) $( [2-Jan-2008] $)
      $}

      ${
        $( The 3rd "axiom" of a category - ` id_ ` is a mapping from the
        objects of ` T ` to  the morphisms of ` T ` . $)
        idc $p |- ( T e. Cat -> J : O --> M ) $=
          ( ccat wcel cded calg wf catded dedalg ida 3syl ) BJKBLKBMKEDCNBOBPAB
          CDEFGHIQR $.
          $( [5-Dec-2007] $) $( [5-Dec-2007] $)
      $}
   $}
   ${
        cat.6 $e |- R = ( o_ ` T ) $.
        $( The 4th "axiom" of a category - ` ( o_ `` T )  ` is a partial
        operation from the morphisms of ` T ` to the morphisms of ` T ` .
        $)
        cmppfc $p |- ( T e. Cat ->
        ( Fun R /\ dom R (_ ( M X. M ) /\ ran R (_ M ) ) $=
          ( ccat wcel cded calg wfun cdm cxp wss crn w3a catded dedalg cmppfa
          3syl ) CHICJICKIBLBMDDNOBPDOQCRCSABCDEFGTUA $.
          $( [10-Mar-2008] $) $( [10-Mar-2008] $)
       $}
   $}

  ${
    idosc.1 $e |- O = dom J $.
    idosc.2 $e |- D = ( dom_ ` T ) $.
    idosc.3 $e |- J = ( id_ ` T ) $.
    idosc.4 $e |- C = ( cod_ ` T ) $.
    $( The 5th "axiom" of a category - The identity is a morphism whose
    domain and codomain are equal. $)
    idosc $p |- ( ( T e. Cat /\ A e. O ) ->  ( ( D ` ( J ` A ) ) = A /\
        ( C ` ( J ` A ) ) = A ) ) $=
      ( cded wcel cfv wceq wa ccat idosd catded sylan ) DKLAFLAEMZCMANTBMANODPL
      ABCDEFGHIJQDRS $.
      $( [5-Dec-2007] $) $( [5-Dec-2007] $)
  $}

  ${
    cmppfcd.1 $e |- M = dom D $.
    cmppfcd.2 $e |- D = ( dom_ ` T ) $.
    cmppfcd.3 $e |- C = ( cod_ ` T ) $.
    cmppfcd.4 $e |- R = ( o_ ` T ) $.
    $( The 6th "axiom" of a category - ` ( G ( o_ `` T ) F )  ` is only
    defined when the domain of ` F ` is the codomain of ` G ` . $)
    cmppfcd $p |- ( ( T e. Cat /\ F e. M /\ G e. M ) ->
           ( <. G , F >. e. dom R <-> ( D ` G ) = ( C ` F ) ) ) $=
      ( cded wcel cop cdm cfv wceq wb ccat cmppfd catded syl3an1 ) DLMEGMFGMFEN
      COMFBPEAPQRDSMABCDEFGHIJKTDUAUB $.
      $( [10-Mar-2008] $) $( [10-Mar-2008] $)


    $( The 7th "axiom" of a category - When ` ( G ( o_ `` T ) F ) ` is defined
    its domain is the domain of ` F ` . $)
    domcmpc $p |- ( ( T e. Cat /\ F e. M /\ G e. M ) ->
        ( ( D ` G ) = ( C ` F ) -> ( D ` ( G R F ) ) = ( D ` F ) ) ) $=
      ( cded wcel cfv wceq co wi ccat domcmpd catded syl3an1 ) DLMEGMFGMFBNEANO
      FECPBNEBNOQDRMABCDEFGHIJKSDTUA $.
      $( [10-Mar-2008] $) $( [10-Mar-2008] $)


    $( The 8th "axiom" of a category - When ` ( G ( o_ `` T ) F ) ` is defined
    its codomain is the codomain of ` G ` . $)
    codcmpc $p |- ( ( T e. Cat /\ F e. M /\ G e. M ) ->
              ( ( D ` G ) = ( C ` F )
              -> ( C ` ( G R F ) ) = ( C ` G ) ) ) $=
      ( cded wcel cfv wceq co wi ccat codcmpd catded syl3an1 ) DLMEGMFGMFBNEANO
      FECPANFANOQDRMABCDEFGHIJKSDTUA $.
      $( [10-Jan-2008] $) $( [10-Jan-2008] $)
  $}


  ${ $d C f g h x $. $d D f g h x $. $d F f g h $.
     $d G g h $. $d H h $. $d M f g h $. $d R f g h x $.
     $d T f x $.
    cmpasso.1 $e |- M = dom D $.
    cmpasso.2 $e |- D = ( dom_ ` T ) $.
    cmpasso.5 $e |- C = ( cod_ ` T ) $.
    cmpasso.6 $e |- R = ( o_ ` T ) $.
    $( The 9th "axiom" of a category - ` o_ ` is associative. $)
    cmpasso $p |-  ( ( T e. Cat /\ ( F e. M /\ G e. M /\ H e. M ) ) ->
              (
                ( ( D ` H ) = ( C ` G ) /\
                ( D ` G ) = ( C ` F ) )
              ->
                ( H R ( G R F ) ) =
                  ( ( H R G ) R F )
               ) ) $=
      ( vh vg vf vx ccat wcel w3a cfv wceq wa co wi cop cid_ cded cv wral cdm
      eqid cati fveq2 eqeq2d anbi2d opreq2 opreq2d eqeq12d imbi12d eqeq1d
      anbi12d opreq1 opreq1d anbi1d rcla43v com12 ad2antlr syl imp ) DQRZEHRFHR
      GHRSZGBTZFATZUAZFBTZEATZUAZUBZGFECUCZCUCZGFCUCZECUCZUAZUDZVJBAUEDUFTZCUEU
      EUGRZMUHZBTZNUHZATZUAZWIBTZOUHZATZUAZUBZWGWIWMCUCZCUCZWGWICUCZWMCUCZUAZUD
      ZMHUINHUIOHUIZUBWNPUHZUAXDWETZWMCUCWMUAUDOHUIPWEUJZUIWMBTXDUAWMXECUCWMUAU
      DOHUIPXFUIUBZUBVKWDUDZABCDONMWEHXFPJKWEUKLIXFUKULXCXHWFXGVKXCWDXBWDWKWLVP
      UAZUBZWGWIECUCZCUCZWSECUCZUAZUDWHVMUAZVQUBZWGVSCUCZWGFCUCZECUCZUAZUDONMEF
      GHHHWMEUAZWPXJXAXNYAWOXIWKYAWNVPWLWMEAUMUNUOYAWRXLWTXMYAWQXKWGCWMEWICUPUQ
      WMEWSCUPURUSWIFUAZXJXPXNXTYBWKXOXIVQYBWJVMWHWIFAUMUNYBWLVOVPWIFBUMUTVAYBX
      LXQXMXSYBXKVSWGCWIFECVBUQYBWSXRECWIFWGCUPVCURUSWGGUAZXPVRXTWCYCXOVNVQYCWH
      VLVMWGGBUMUTVDYCXQVTXSWBWGGVSCVBYCXRWAECWGGFCVBVCURUSVEVFVGVHVI $.
      $( [30-Oct-2007] $) $( [29-Oct-2007] $)
  $}

  ${ $d A a f $. $d C a f x y $. $d D a f x y $. $d F f $.
     $d J a f $. $d M a f $. $d O a $. $d R a f x y $.
    cmpida.1 $e |- M = dom D $.
    cmpida.2 $e |- D = ( dom_ ` T ) $.
    cmpida.3 $e |- O = dom  J $.
    cmpida.4 $e |- J = ( id_ ` T ) $.
    cmpida.5 $e |- R = ( o_ ` T ) $.
    cmpida.6 $e |- C = ( cod_ ` T ) $.
    $( The 10th "axiom" of a category - Composition of a morphism with the
    identity. $)
    cmpida $p |- ( ( T e. Cat /\ A e. O /\ F e. M ) -> ( ( C ` F ) = A
         -> ( ( J ` A ) R F ) = F ) ) $=
      ( vy vx vf va ccat wcel cfv wceq co wi cop cded cv wa wral cati eqeq2
      fveq2 opreq1d eqeq1d imbi12d opreq2 id eqeq12d rcla42v com12 ad2antrl
      syl 3impib ) ETUAZAIUAZFHUAZFBUBZAUCZAGUBZFDUDZFUCZUEZVECBUFGDUFUFUGUAPUH
      ZCUBQUHZBUBUCVOCUBRUHZBUBZUCUIVNVOVPDUDDUDVNVODUDVPDUDUCUEPHUJQHUJRHUJUIZ
      VQSUHZUCZVSGUBZVPDUDZVPUCZUEZRHUJSIUJZVPCUBVSUCVPWADUDVPUCUERHUJSIUJZUIUI
      VFVGUIZVMUEZBCDERQPGHISKOMNJLUKWEWHVRWFWGWEVMWDVMVQAUCZVJVPDUDZVPUCZUESRA
      FIHVSAUCZVTWIWCWKVSAVQULWLWBWJVPWLWAVJVPDVSAGUMUNUOUPVPFUCZWIVIWKVLWMVQVH
      AVPFBUMUOWMWJVKVPFVPFVJDUQWMURUSUPUTVAVBVCVD $.
      $( [30-Oct-2007] $) $( [29-Oct-2007] $)
  $}

  ${ $d A a f $. $d D a f x y $. $d F f $. $d J a f $.
     $d M a f $. $d O a $. $d R a f x y $. $d T a f x y $.
    cmpidb.1 $e |- M = dom D $.
    cmpidb.2 $e |- D = ( dom_ ` T ) $.
    cmpidb.3 $e |- O = dom  J $.
    cmpidb.4 $e |- J = ( id_ ` T ) $.
    cmpidb.5 $e |- R = ( o_ ` T ) $.
    $( The 11th "axiom" of a category - Composition of a morphism with the
    identity. $)
      cmpidb $p |- ( ( T e. Cat /\ A e. O /\ F e. M ) -> ( ( D ` F ) = A
         -> ( F R ( J ` A ) ) = F ) ) $=
        ( vy vx vf va ccat wcel cfv wceq co wi ccod_ cop cded cv wa wral eqid
        cati eqeq2 fveq2 opreq2d eqeq1d imbi12d opreq1 id eqeq12d rcla42v
        com12 ad2antll syl 3impib ) DRSZAHSZEGSZEBTZAUAZEAFTZCUBZEUAZUCZVEBDUDT
        ZUEFCUEUEUFSNUGZBTOUGZVNTUAVPBTPUGZVNTZUAUHVOVPVQCUBCUBVOVPCUBVQCUBUAUC
        NGUIOGUIPGUIUHZVRQUGZUAVTFTZVQCUBVQUAUCPGUIQHUIZVQBTZVTUAZVQWACUBZVQUAZ
        UCZPGUIQHUIZUHUHVFVGUHZVMUCZVNBCDPONFGHQJVNUJLMIKUKWHWJVSWBWIWHVMWGVMWC
        AUAZVQVJCUBZVQUAZUCQPAEHGVTAUAZWDWKWFWMVTAWCULWNWEWLVQWNWAVJVQCVTAFUMUN
        UOUPVQEUAZWKVIWMVLWOWCVHAVQEBUMUOWOWLVKVQEVQEVJCUQWOURUSUPUTVAVBVCVD $.
        $( [28-Oct-2007] $) $( [24-Oct-2007] $)
  $}

  ${
    dmo.1 $e |- M = dom ( dom_ ` T ) $.
    dmo.3 $e |- O = dom ( id_ ` T ) $.

    ${
      dmo.2 $e |- D = ( dom_ ` T ) $.
      $( The domain of a morphism is an object. $)
      dmo $p |- ( ( T e. Cat /\ F e. M ) -> ( D ` F ) e. O ) $=
        ( wf wcel cfv ccat ffvelrn cid_ cdom_ cdm eqcomi dmeqi eqtr eqid domc
        sylan ) DEAICDJCAKEJBLJDECAMABBNKZDEDBOKZPAPFUDAAUDHQRSHGUCTUAUB $.
        $( [3-Jan-2008] $) $( [2-Jan-2008] $)

    $}

    ${
      cdmo.2 $e |- C = ( cod_ ` T ) $.
      $( The codomain of a morphism is an object. $)
      cdmo $p |- ( ( T e. Cat /\ F e. M ) -> ( C ` F ) e. O ) $=
        ( wf wcel cfv ccat ffvelrn cdom_ cid_ eqid codc sylan ) DEAICDJCAKEJBLJ
        DECAMABNKZBBOKZDEFSPGTPHQR $.
        $( [3-Jan-2008] $) $( [2-Jan-2008] $)
    $}

    ${
      jdmo.2 $e |- J = ( id_ ` T ) $.
      $( The identity is a morphism. $)
      jdmo $p |- ( ( T e. Cat /\ A e. O ) -> ( J ` A ) e. M ) $=
        ( wf wcel cfv ccat ffvelrn cdom_ eqid cid_ cdm dmeqi eqtr4 idc sylan )
        EDCIAEJACKDJBLJEDACMBNKZBCDEFUBOEBPKZQCQGCUCHRSHTUA $.
        $( [10-Jan-2008] $) $( [10-Jan-2008] $)
    $}

  $}

  ${
    cmpmorp.1 $e |- M = dom ( dom_ ` T ) $.
    cmpmorp.2 $e |- D = ( dom_ ` T ) $.
    cmpmorp.3 $e |- C = ( cod_ ` T ) $.
    cmpmorp.4 $e |- R = ( o_ ` T ) $.
    $( Condition for a composite to be a morphism. $)
    cmpmorp $p |- ( ( T e. Cat /\ F e. M /\ G e. M ) ->
      ( ( D ` G ) = ( C ` F ) -> ( G R F ) e. M ) ) $=
      ( ccat wcel w3a cfv wceq co crn wfun cop cdm wa cxp wss cdom_ eqid
      cmppfc 3ad2ant1 3simp1d adantr eqcomi dmeqi eqtr cmppfcd biimpar jca ex
      fnoprvalrn2 syl6 wi 3simp3 ssel 3syl syld ) DLMZEGMZFGMZNZFBOEAOPZFECQZCR
      ZMZVJGMZVHVICSZFETCUAZMZUBZVLVHVIVQVHVIUBVNVPVHVNVIVHVNVOGGUCUDZVKGUDZVEV
      FVNVRVSNZVGDUEOZCDGHWAUFKUGUHZUIUJVHVPVIABCDEFGGWAUABUAHWABBWAIUKULUMIJKU
      NUOUPUQFECURUSVHVTVSVLVMUTWBVNVRVSVAVKGVJVBVCVD $.
      $( [10-Mar-2008] $) $( [10-Mar-2008] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Homsets
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c hom $.

  $( Extend class notation with the function returning all the morphisms
     between two objects. $)
  chom $a class hom $.

  ${
    $d x y a b c f $.
    $( ` ( hom `` x ) ` is a function which
    returns for each pair of objects ` <. a , b >. ` the morphisms whose
    domain is ` a ` and
    codomain ` b ` . JFM CAT_1 def. 6 $)
    df-hom $a |- hom = { <. x , y >. | ( x e. Cat /\
     y = { <. <. a , b >. , c >. | ( a e. dom ( id_ ` x ) /\
       b e. dom ( id_ ` x ) /\
       c = { f | ( f e. dom ( dom_ ` x ) /\ ( ( dom_ ` x ) ` f ) = a /\
                   ( ( cod_ ` x ) ` f ) = b ) } ) } ) } $.
  $}

  ${ $d C c x y $. $d D c x y $. $d M c x y $.
     $d O x y $. $d T a b c f x y $.
    ishoma.1 $e |- O = dom ( id_ ` T ) $.
    ishoma.2 $e |- M = dom ( dom_ ` T ) $.
    ishoma.3 $e |- D = ( dom_ ` T ) $.
    ishoma.4 $e |- C = ( cod_ ` T ) $.
    $( Definition of ` ( hom `` T ) ` . $)
    ishoma $p |- ( T e. Cat ->  ( hom ` T ) = { <. <. a , b >. , c >. |
      ( a e. O /\ b e. O /\ c = { f | ( f e. M /\ ( D ` f ) = a /\
      ( C ` f ) = b ) } ) } ) $=
      ( vx vy cv cid_ cfv cdm wcel cdom_ wceq ccod_ w3a cab copab2 ccat chom
      fveq2 dmeqd syl6eqr eleq2d fveq1d eqeq1d 3anbi123d abbidv eqeq2d
      oprabbidv df-hom fvex dmex wa eleq2i pm4.2 3anbi123i df-3an bitr
      oprabbii oprabex2 fvopab4 ) NOCGPZNPZQRZSZTZHPZVNTZIPZDPZVLUARZSZTZVSVTRZ
      VKUBZVSVLUCRZRZVPUBZUDZDUEZUBZUDZGHIUFVKFTZVPFTZVRVSETZVSBRZVKUBZVSARZVPU
      BZUDZDUEZUBZUDZGHIUFZUGUHVLCUBZWKXBGHIXDVOWLVQWMWJXAXDVNFVKXDVNCQRZSZFXDV
      MXEVLCQUIUJJUKZULXDVNFVPXGULXDWIWTVRXDWHWSDXDWBWNWDWPWGWRXDWAEVSXDWACUARZ
      SEXDVTXHVLCUAUIZUJKUKULXDWCWOVKXDVSVTBXDVTXHBXILUKUMUNXDWFWQVPXDVSWEAXDWE
      CUCRAVLCUCUIMUKUMUNUOUPUQUOURNODGHIUSGHIXFXFWTXCXECQUTVAZXJXBVKXFTZVPXFTZ
      VBXAVBZGHIXBXKXLXAUDXMWLXKWMXLXAXAFXFVKJVCFXFVPJVCXAVDVEXKXLXAVFVGVHVIVJ
      $.
      $( [19-May-2007] $) $( [6-May-2007] $)
  $}

  ${ $d A f x y z $. $d B f x y z $. $d C x y z $.
     $d D x y z $. $d M f x y z $. $d O x y z $.
     $d T f x y z $.
    ishomb.1 $e |- O = dom ( id_ ` T ) $.
    ishomb.2 $e |- M = dom ( dom_ ` T ) $.
    ishomb.3 $e |- D = ( dom_ ` T ) $.
    ishomb.4 $e |- C = ( cod_ ` T ) $.
    ishomb.5 $e |- H = ( hom ` T ) $.
    ishomb.6 $e |- T e. Cat $.
    $( The homset ` ( ( hom `` T ) `` <. A , B >. ) ` . $)
    ishomb $p |- ( ( A e. O /\ B e. O ) ->
      ( H ` <. A , B >. ) = { f | ( f e. M /\ ( D ` f ) = A /\
      ( C ` f ) = B ) } ) $=
      ( vx vy vz wcel wa co cv cfv wceq w3a cab cop cvv 3anass abbii cdom_ cdm
      fvex dmex eqeltr zfausab pm4.2d id eqeq2d 3anbi123d abbidv eqeq2 chom
      copab2 ccat ishoma wb df-3an a1i oprabbidv eqtrd ax-mp eqtr oprabval2
      df-opr syl5eqr ) AISBISTABGUAFUBZHSZVQDUCZAUDZVQCUCZBUDZUEZFUFZABUGGUCPQR
      ABIIVRVSPUBZUDZWAQUBZUDZUEZFUFZWDGVRVTWHUEZFUFWDVRVTWBTZTZFUFUHWCWMFVRVTW
      BUIUJWLFHHEUKUCZULUHKWNEUKUMUNUOUPUOWEAUDZWIWKFWOVRVRWFVTWHWHWOVRUQWOWEAV
      SWOURUSWOWHUQUTVAWGBUDZWKWCFWPVRVRVTVTWHWBWPVRUQWPVTUQWGBWAVBUTVAGEVCUCZW
      EISZWGISZTRUBWJUDZTZPQRVDZNEVESZWQXBUDOXCWQWRWSWTUEZPQRVDXBCDEFHIPQRJKLMV
      FXCXDXAPQRXDXAVGXCWRWSWTVHVIVJVKVLVMVNABGVOVP $.
      $( [19-May-2007] $) $( [18-May-2007] $)
  $}

  ${
    $d A x $. $d B x $. $d M x $. $d D x $. $d C x $. $d T x $. $d F x $.
    ishomc.1 $e |- O = dom ( id_ ` T ) $.
    ishomc.2 $e |- M = dom ( dom_  ` T ) $.
    ishomc.3 $e |- D = ( dom_ ` T ) $.
    ishomc.4 $e |- C = ( cod_ ` T ) $.
    ishomc.5 $e |- H = ( hom ` T ) $.
    ishomc.6 $e |- T e. Cat $.
    $( The predicate ` F e. ( ( hom `` T ) `` <. A , B >. ) ` JFM vol. 1.2
       p. 411 th. 18. $)
    ishomc $p |- ( ( A e. O /\ B e. O ) ->
      ( F e. ( H ` <. A , B >. ) <->
        ( F e. M /\ ( D ` F ) = A /\ ( C ` F ) = B ) ) ) $=
      ( vx wcel wa cop cfv cv wceq w3a cab ishomb eleq2d wi wb 3simp1 eleq1
      fveq2 eqeq1d 3anbi123d elab3g ax-mp syl6bb ) AIQBIQRZFABSGTZQFPUAZHQZUSDT
      ZAUBZUSCTZBUBZUCZPUDZQZFHQZFDTZAUBZFCTZBUBZUCZUQURVFFABCDEPGHIJKLMNOUEUFV
      MVHUGVGVMUHVHVJVLUIVEVMPFHUSFUBZUTVHVBVJVDVLUSFHUJVNVAVIAUSFDUKULVNVCVKBU
      SFCUKULUMUNUOUP $.
      $( [5-Dec-2007] $) $( [30-Nov-2007] $)
  $}

  ${
    ishomd.1 $e |- O = dom ( id_ ` T ) $.
    ishomd.2 $e |- M = dom ( dom_ ` T ) $.
    ishomd.3 $e |- D = ( dom_ ` T ) $.
    ishomd.4 $e |- C = ( cod_ ` T ) $.
    ishomd.5 $e |- H = ( hom ` T ) $.
    $( The predicate ` F e. ( ( hom `` T ) `` <. A , B >. ) ` JFM vol. 1.2
       p. 411 th. 18. $)
    ishomd $p |- ( ( T e. Cat /\ A e. O /\ B e. O ) ->
      ( F e. ( H ` <. A , B >. ) <->
        ( F e. M /\ ( D ` F ) = A /\ ( C ` F ) = B ) ) ) $=
      ( vx ccat wcel cop cfv wceq w3a wb wa wi cv csn cif cid_ cdm chom cdom_
      ccod_ fveq2 dmeqd syl5eq eleq2d anbi12d fveq1d eqeq1d 3anbi123d bibi12d
      imbi12d eqid visset 1cat elimel ishomc dedth 3impib ) EPQZAIQZBIQZFABRZGS
      ZQZFHQZFDSZATZFCSZBTZUAZUBZVJVKVLUCZWBUDAVJEOUEZWDRZWDRUFZWFRWDWERUFWEWER
      WERUFRRZUGZUHSZUIZQZBWJQZUCZFVMWHUJSZSZQZFWHUKSZUIZQZFWQSZATZFWHULSZSZBTZ
      UAZUBZUDEWGEWHTZWCWMWBXFXGVKWKVLWLXGIWJAXGEUHSZUIWJIXGXHWIEWHUHUMUNJUOZUP
      XGIWJBXIUPUQXGVOWPWAXEXGVNWOFXGVMGWNXGEUJSWNGEWHUJUMNUOURUPXGVPWSVRXAVTXD
      XGHWRFXGEUKSZUIWRHXGXJWQEWHUKUMZUNKUOUPXGVQWTAXGFDWQXGXJWQDXKLUOURUSXGVSX
      CBXGFCXBXGEULSXBCEWHULUMMUOURUSUTVAVBABXBWQWHFWNWRWJWJVCWRVCWQVCXBVCWNVCE
      WGPWDOVDVEVFVGVHVI $.
      $( [5-Dec-2007] $) $( [30-Nov-2007] $)
  $}

  ${
    ehm.1 $e |- O = dom ( id_ ` T ) $.
    ehm.2 $e |- M = dom ( dom_ ` T ) $.
    ehm.5 $e |- H = ( hom ` T ) $.
    $( The elements of a homset are morphisms. JFM CAT_1 th. 21. $)
    ehm $p |- ( ( T e. Cat /\ A e. O /\ B e. O ) ->
      ( F e. ( H ` <. A , B >. ) -> F e. M ) ) $=
      ( ccat wcel w3a cop cfv wa cdom_ wceq ccod_ eqid ishomd biimpa 3simp1d
      ex ) CKLAGLBGLMZDABNEOLZDFLZUEUFPUGDCQOZOARZDCSOZOBRZUEUFUGUIUKMABUJUHCDE
      FGHIUHTUJTJUAUBUCUD $.
      $( [5-Dec-2007] $) $( [5-Dec-2007] $)
  $}

  ${
    dehm.1 $e |- O = dom ( id_ ` T ) $.
    dehm.2 $e |- D = ( dom_ ` T ) $.
    dehm.5 $e |- H = ( hom ` T ) $.
    $( Domain of an element of a homset. JFM CAT_1 th. 23. $)
    dehm $p |- ( ( T e. Cat /\ A e. O /\ B e. O ) ->
      ( F e. ( H ` <. A , B >. ) -> ( D ` F ) = A ) ) $=
      ( ccat wcel w3a cop cfv wceq wa cdom_ cdm ccod_ eqid ishomd biimpa
      3simp2d ex ) DKLAGLBGLMZEABNFOLZECOAPZUFUGQEDROSZLZUHEDTOZOBPZUFUGUJUHULM
      ABUKCDEFUIGHUIUAIUKUAJUBUCUDUE $.
      $( [5-Dec-2007] $) $( [5-Dec-2007] $)
  $}

  ${
    cehm.1 $e |- O = dom ( id_ ` T ) $.
    cehm.2 $e |- C = ( cod_ ` T ) $.
    cehm.5 $e |- H = ( hom ` T ) $.
    $( Codomain of an element of a homset. JFM CAT_1 th. 23. $)
    cehm $p |- ( ( T e. Cat /\ A e. O /\ B e. O ) ->
      ( F e. ( H ` <. A , B >. ) -> ( C ` F ) = B ) ) $=
      ( ccat wcel w3a cop cfv wceq wa cdom_ cdm eqid ishomd biimpa 3simp3d ex
      ) DKLAGLBGLMZEABNFOLZECOBPZUEUFQEDROZSZLZEUHOAPZUGUEUFUJUKUGMABCUHDEFUIGH
      UITUHTIJUAUBUCUD $.
      $( [5-Dec-2007] $) $( [5-Dec-2007] $)
  $}


  ${
    mrdmcd.1 $e |- M = dom ( dom_ ` T ) $.
    mrdmcd.2 $e |- H = ( hom ` T ) $.
    mrdmcd.3 $e |- D = ( dom_ ` T ) $.
    mrdmcd.4 $e |- C = ( cod_ ` T ) $.
    $( A morphism belongs to the homset between its domain and its
    codomain. JFM CAT_1 th. 22. $)
    mrdmcd $p |- ( T e. Cat -> ( F e. M ->
      F e. ( H ` <. ( D ` F ) , ( C ` F ) >. ) ) ) $=
      ( ccat wcel cfv cid_ cdm wa cop cded calg wi catded dedalg wf cdom_
      eqcomi dmeqi eqtr eqid doma ffvelrn ex syl 3syl coda jcad wceq w3a
      ishomd biimprcd 3expib com3l mp2an com23 mpdd ) CKLZDFLZDBMZCNMZOZLZDAMZV
      ILZPZDVGVKQEMLZVEVFVJVLVECRLZCSLZVFVJTZCUAZCUBZVPFVIBUCZVQBCVHFVIFCUDMZOB
      OGWABBWAIUEUFUGZIVIUHZVHUHZUIVTVFVJFVIDBUJUKULUMVEVOVPVFVLTZVRVSVPFVIAUCZ
      WEABCVHFVIWBIWCWDJUNWFVFVLFVIDAUJUKULUMUOVEVMVFVNVEVJVLVFVNTZVGVGUPZVKVKU
      PZVEVJVLUQZWGTVGUHVKUHVFWHWIPWJVNVFWHWIWJVNTWJVNVFWHWIUQVGVKABCDEFVIWCGIJ
      HURUSUTVAVBUTVCVD $.
      $( [30-Nov-2007] $) $( [1-Nov-2007] $)
  $}

  $( JFM CAT_1 th. 44.  Not included. use idosd instead $)

  ${
    eqidob.1 $e |- O = dom J $.
    eqidob.2 $e |- J = ( id_ ` C ) $.
    $( When the identities are equal, the objects are equal. JFM
        CAT_1 th. 45. $)
    eqidob $p |- ( ( C e. Cat /\ A e. O /\ B e. O ) -> ( ( J ` A ) =
    ( J ` B ) -> A = B ) ) $=
      ( ccat wcel w3a cfv cdom_ wceq cded ccod_ wa wi catded id 3anim123i eqid
      idosd 3adant3 3adant2 jca eqeq12 biimpd ad2ant2r 3syl fveq2 syl5 ) CHIZAE
      IZBEIZJZADKZCLKZKZBDKZUQKZMZABMZUPUSMUOCNIZUMUNJZURAMZUPCOKZKAMZPZUTBMZUS
      VFKBMZPZPVAVBQZULVCUMUMUNUNCRUMSUNSTVDVHVKVCUMVHUNAVFUQCDEFUQUAZGVFUAZUBU
      CVCUNVKUMBVFUQCDEFVMGVNUBUDUEVEVIVLVGVJVEVIPVAVBURAUTBUFUGUHUIUPUSUQUJUK
      $.
      $( [30-Nov-2007] $) $( [24-Apr-2007] $)
  $}

  ${
    homib.1 $e |- O = dom ( id_ ` T ) $.
    homib.2 $e |- J = ( id_ ` T ) $.
    homib.3 $e |- H = ( hom ` T ) $.
    $( The homset which ` ( ( id_ `` T ) `` A ) ` belongs to.
       JFM CAT_1 th. 55. $)
    homib $p |- ( ( T e. Cat /\ A e. O ) -> ( J ` A ) e.
      ( H ` <. A , A >. ) ) $=
      ( ccat wcel wa cfv cdom_ ccod_ cop cdm wf ffvelrn eqid cid_ eqcomi dmeqi
      eqtr idc sylan wi mrdmcd adantr mpd wceq idosc fveq1i fveq2i eqeq1i
      biimp syl cded catded anim1i idosd ancom sylib pm3.26 3syl opeq12d
      fveq2d eleqtrd ) BIJZAEJZKZADLZVKBMLZLZVKBNLZLZOZCLZAAOZCLVJVKVLPZJZVKVQJ
      ZEVSDQVIVTVHEVSADRVLBDVSEVSSZVLSZEBTLZPDPFWDDDWDGUAZUBUCZGUDUEVHVTWAUFVIV
      NVLBVKCVSWBHWCVNSZUGUHUIVJVPVRCVJVMAVOAVJAWDLZVLLZAUJZWHVNLAUJZKVMAUJZAVN
      VLBWDEFWCWDSWGUKWJWLWKWJWLWIVMAWHVKVLAWDDWEULUMUNUOUHUPVJBUQJZVIKZVOAUJZW
      LKZWOVHWMVIBURUSWNWLWOKWPAVNVLBDEWFWCGWGUTWLWOVAVBWOWLVCVDVEVFVG $.
      $( [5-Dec-2007] $) $( [5-Dec-2007] $)
  $}

  ${
    hine.1 $e |- O = dom ( id_ ` T ) $.
    hine.2 $e |- H = ( hom ` T ) $.
    $( Obvious. Only here to have the complete set of Mizar theorems. $)
    $( The homset ` ( H `` <. A , A >. ) ` is not empty. JFM CAT_1
    th. 56. $)
    hine $p |- ( ( T e. Cat /\ A e. O ) ->
      ( H ` <. A , A >. ) =/= (/) ) $=
      ( ccat wcel wa cid_ cfv cop c0 wne eqid homib ne0i syl ) BGHADHIABJKZKZAA
      LCKZHUAMNABCSDESOFPUATQR $.
      $( [3-Jan-2008] $) $( [3-Jan-2008] $)
  $}

  ${
    cmphmia.1 $e |- O = dom ( id_ ` T ) $.
    cmphmia.2 $e |- H = ( hom ` T ) $.
    cmphmia.3 $e |- J = ( id_ ` T ) $.
    cmphmia.4 $e |- R = ( o_ ` T ) $.
    $( Composite of the member of a homset with the identity. JFM CAT_1
    th. 57 $)
    cmphmia $p |- ( ( T e. Cat /\ A e. O /\ B e. O ) ->
      ( F e. ( H ` <. A , B >. ) -> ( ( J ` B ) R F ) = F ) ) $=
      ( ccat wcel w3a cop cfv cdom_ cdm ccod_ wceq wa co eqid ehm cehm jcad wi
      cid_ eqcomi dmeqi eqtr cmpida 3exp imp4b 3adant2 syld ) DMNZAHNZBHNZOZEAB
      PFQNZEDRQZSZNZEDTQZQBUAZUBZBGQECUCEUAZVAVBVEVGABDEFVDHIVDUDZJUEABVFDEFHIV
      FUDZJUFUGURUTVHVIUHUSURUTVEVGVIURUTVEVGVIUHBVFVCCDEGVDHVJVCUDHDUIQZSGSIVL
      GGVLKUJUKULKLVKUMUNUOUPUQ $.
      $( [5-Dec-2007] $) $( [5-Dec-2007] $)
  $}

  ${
    cmphmib.1 $e |- O = dom ( id_ ` T ) $.
    cmphmib.2 $e |- H = ( hom ` T ) $.
    cmphmib.3 $e |- J = ( id_ ` T ) $.
    cmphmib.4 $e |- R = ( o_ ` T ) $.
    $( Composite of a member of a homset with the identity. JFM CAT_1
    th. 58 $)
    cmphmib $p |- ( ( T e. Cat /\ A e. O /\ B e. O ) ->
      ( F e. ( H ` <. A , B >. ) -> ( F R ( J ` A ) ) = F ) ) $=
      ( ccat wcel w3a cop cfv cdom_ cdm wceq wa co eqid ehm dehm jcad wi cid_
      eqcomi dmeqi eqtr cmpidb 3exp imp4b 3adant3 syld ) DMNZAHNZBHNZOZEABPFQNZ
      EDRQZSZNZEVBQATZUAZEAGQCUBETZUTVAVDVEABDEFVCHIVCUCZJUDABVBDEFHIVBUCZJUEUF
      UQURVFVGUGUSUQURVDVEVGUQURVDVEVGUGAVBCDEGVCHVHVIHDUHQZSGSIVJGGVJKUIUJUKKL
      ULUMUNUOUP $.
      $( [5-Dec-2007] $) $( [5-Dec-2007] $)
  $}

  ${
    iri.1 $e |- O = dom ( id_ ` T ) $.
    iri.2 $e |- J = ( id_ ` T ) $.
    iri.3 $e |- R = ( o_ ` T ) $.
    $( Composite of an identity with itself. JFM CAT_1 th. 59 $)
    iri $p |- ( ( T e. Cat /\ A e. O ) ->
      ( ( J ` A ) R ( J ` A ) ) = ( J ` A ) ) $=
      ( ccat wcel wa cfv cdom_ cdm ccod_ wceq co wf ffvelrn eqid cid_ eqcomi
      dmeqi eqtr idc sylan idosc pm3.27d wi cmpida 3exp imp4b mp2and ) CIJZAEJZ
      KZADLZCMLZNZJZUQCOLZLAPZUQUQBQUQPZEUSDRUOUTUNEUSADSURCDUSEUSTZURTZECUALZN
      DNFVFDDVFGUBUCUDZGUEUFUPUQURLAPVBAVAURCDEVGVEGVATZUGUHUNUOUTVBVCUNUOUTVBV
      CUIAVAURBCUQDUSEVDVEVGGHVHUJUKULUM $.
      $( [5-Dec-2007] $) $( [5-Dec-2007] $)
  $}

  ${
    cmpassoh.1 $e |- O = dom ( id_ ` T ) $.
    cmpassoh.2 $e |- H = ( hom ` T ) $.
    cmpassoh.3 $e |- R = ( o_ ` T ) $.
    $( ` o_ ` is associative. Homset-based version of ~ cmpasso . $)
    cmpassoh $p |-  ( ( T e. Cat /\ ( A e. O /\ B e. O ) /\
      ( C e. O /\ D e. O ) ) -> ( ( L e. ( H ` <. A , B >. ) /\
         M e. ( H ` <. B , C >. ) /\ N e. ( H ` <. C , D >. ) )
           -> ( N R ( M R L ) ) = ( ( N R M ) R L ) ) ) $=
      ( ccat wcel wa w3a cop cfv co wceq cdom_ cdm ccod_ eqid cmpasso 3simp1
      adantr wi ehm 3expib a1dd 3imp 3exp com13 com3l adantl com12 a1d
      3anim123d imp jca dehm 3simp3 syl5 cehm 3simp2 eqtr4d 3adant3r1 adantld
      3impia eqcomd ex com3r 3adant3 eqtrd 3expia 3simpa sylc ) FOPZAKPZBKPZQZC
      KPZDKPZQZRZHABSGTPZIBCSGTPZJCDSGTPZRZJIHEUAEUAJIEUAHEUAUBZWAHFUCTZUDZPZIW
      OPZJWOPZRZQJWNTZIFUETZTZUBZIWNTZHXATZUBZQWMWHWLQZXAWNEFHIJWOWOUFZWNUFZXAU
      FZNUGXGWAWSWHWAWLWAWDWGUHUIWHWLWSWHWIWPWJWQWKWRWAWDWGWIWPUJZWAWDXKWGWAWBW
      CXKABFHGWOKLXHMUKULUMUNWAWDWGWJWQUJZWDWAWGXLUJZWCWAXMUJWBWGWCWAXLWEWCWAXL
      UJUJWFWAWCWEXLWAWCWEXLBCFIGWOKLXHMUKUOUPUIUQURUSUNWAWDWGWKWRUJZWAWGXNUJWD
      WAWEWFXNCDFJGWOKLXHMUKULUTUNVAVBVCXGXCXFXGWTCXBWHWLWTCUBZWHWKXOWLWAWDWGWK
      XOUJZWAWGXPUJWDWAWEWFXPCDWNFJGKLXIMVDULUTUNWIWJWKVEVFVBWHWLXBCUBZWHWJXQWL
      WAWDWGWJXQUJZWDWAWGXRUJZWCWAXSUJWBWGWCWAXRWEWCWAXRUJUJWFWAWCWEXRWAWCWEXRB
      CXAFIGKLXJMVGUOUPUIUQURUSUNWIWJWKVHVFVBVIWHWLXFWHWIWJQZXFWLWAWDWGXTXFUJZW
      GWDWAYAWEWDWAYAUJZUJWFWDWEYBWBWCWEYBWAWBWCWERZYAWAYCXTXFWAYCXTRXDBXEWAYCX
      TXDBUBZWAYCQWJYDWIWAWCWEWJYDUJWBBCWNFIGKLXIMVDVJVKVLWAYCXTBXEUBZYCWAXTYEU
      JZWBWCWAYFUJWEXTWAWDYEWIWAWDYEUJUJWJWAWDWIYEWAWBWCWIYEUJWAWBWCRZWIYEYGWIQ
      XEBYGWIXEBUBABXAFHGKLXJMVGVBVMVNULVOUIUPVPUSUNVQUOUSVRUSUIUPUNWIWJWKVSVFV
      BVCVTVN $.
      $( [10-Mar-2008] $) $( [10-Mar-2008] $)
  $}


 ${
   homgrf.1 $e |- O = dom ( id_ ` T ) $.
   homgrf.2 $e |- H = ( hom ` T ) $.
   homgrf.3 $e |- R = ( o_ ` T ) $.
   $( Homset of a composite. JFM CAT_1 th. 51 $)
   homgrf $p |- ( ( T e. Cat /\ ( A e. O /\ B e. O /\ C e. O ) ) ->
   ( ( F e. ( H ` <. A , B >. ) /\ G e. ( H ` <. B , C >. ) )  ->
     ( G R F ) e. ( H ` <. A , C >. ) ) ) $=
     ( ccat wcel w3a wa cop cfv co cdom_ cdm wceq ccod_ wi eqid ehm 3expib
     3simpa syl5 imp com12 adantr impcom 3adant3r1 adantl dehm cehm eqcomd ex
     eqtrd 3jca cmpmorp 3exp 3impd syld cded domcmpd catded ad2antrr eqtr4d
     sylc codcmpd wb ishomd 3adant3r2 sylibrd ) EMNZAINZBINZCINZOZPZFABQHRNZGBC
     QHRNZPZGFDSZETRZUAZNZWFWGRZAUBZWFEUCRZRZCUBZOZWFACQHRNZWBWEWOWBWEPZWIWKWNW
     BWEWIWBWEFWHNZGWHNZGWGRZFWLRZUBZOZWIWBWEXCWQWRWSXBWEWBWRWCWBWRUDWDWBWCWRVQ
     WAWCWRUDZVQVRVSPZXDWAVQVRVSXDABEFHWHIJWHUEZKUFUGVRVSVTUHZUIUJUKULUMZWEWBWS
     WDWBWSUDWCWBWDWSVQVSVTWDWSUDVRBCEGHWHIJXFKUFUNUKUOUMZWQWTBXAWEWBWTBUBZWDWB
     XJUDWCWBWDXJVQVSVTWDXJUDVRBCWGEGHIJWGUEZKUPUNUKUOUMZWEWBBXAUBZWCWBXMUDWDWB
     WCXMVQWAWCXMUDZVQXEXNWAVQVRVSXNVQVRVSOZWCXMXOWCPXABXOWCXABUBZABWLEFHIJWLUE
     ZKUQZUJURUSUGXGUIUJUKULUMUTVAUSVQXCWIUDWAVQWRWSXBWIVQWRWSXBWIUDWLWGDEFGWHX
     FXKXQLVBVCVDULVEUJWQWJFWGRZAEVFNZWRWSOZXBWJXSUBWQWLWGDEFGWHXFXKXQLVGWQXTWR
     WSVQXTWAWEEVHVIXHXIVAZWQWTBXAXLWEWBXPWCWBXPUDWDWBWCXPVQWAWCXPUDZVQXEYCWAVQ
     VRVSYCXRUGXGUIUJUKULUMVJZVKWEWBXSAUBZWCWBYEUDWDWBWCYEVQWAWCYEUDZVQXEYFWAVQ
     VRVSYFABWGEFHIJXKKUPUGXGUIUJUKULUMUTWQWMGWLRZCYAXBWMYGUBWQWLWGDEFGWHXFXKXQ
     LVLYBYDVKWEWBYGCUBZWDWBYHUDWCWBWDYHVQVSVTWDYHUDVRBCWLEGHIJXQKUQUNUKUOUMUTV
     AUSVQVRVTWPWOVMVSACWLWGEWFHWHIJXFXKXQKVNVOVP $.
     $( [10-Mar-2008] $) $( [10-Mar-2008] $)
 $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Monomorphisms, Epimorphisms, Isomorphisms
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c Epi $. $( The class of all epimorphisms. $)
  $c Monic $. $( The class of all monomorphisms. $)
  $c Iso $. $( The class of all isomorphisms. $)

  $( Extend class notation with the class of all epimorphisms. $)
  cepi $a class Epi $.

  $( Extend class notation with the class of all monomorphisms. $)
  cmon $a class Monic $.

  $( Extend class notation with the class of all isomorphisms. $)
  ciso $a class Iso $.

  ${ $d x y f g h $.
    $( Function returning the monomorphisms of a category id-est the left
       cancelable morphisms. JFM CAT_1 def. 10. $)
    df-mon $a |- Monic = { <. x , y >. |
    ( x e. Cat /\ y = { f | ( f e. dom ( dom_ ` x ) /\
      A. g e. dom ( dom_ ` x ) A. h e. dom ( dom_ ` x )
        ( ( ( ( dom_ ` x ) ` g ) = ( ( dom_ ` x ) ` h ) /\
            ( ( cod_ ` x ) ` g ) = ( ( dom_ ` x ) ` f ) /\
            ( ( cod_ ` x ) ` h ) = ( ( dom_ ` x ) ` f ) ) ->
              ( ( f ( o_ ` x ) g ) = ( f ( o_ ` x ) h ) -> g = h ) ) ) } ) } $.
  $}

  ${ $d C x y $. $d D x y $. $d M f g h x y $. $d R x y $.
     $d T f g h x y $.
    ismona.1 $e |- M = dom ( dom_ ` T ) $.
    ismona.2 $e |- D = ( dom_ ` T ) $.
    ismona.3 $e |- C = ( cod_ ` T ) $.
    ismona.4 $e |- R = ( o_ ` T ) $.
    $( Monomorphisms of a category. $)
    ismona $p |- ( T e. Cat -> ( Monic ` T ) = { f | ( f e. M /\
      A. g e. M A. h e. M
        ( ( ( D ` g ) = ( D ` h ) /\
            ( C ` g ) = ( D ` f ) /\
            ( C ` h ) = ( D ` f ) ) ->
              ( ( f R g ) = ( f R h ) -> g = h ) ) ) } ) $=
      ( vx vy cv cdom_ cfv cdm wcel wceq ccod_ w3a co_ co wi wral wa cab ccat
      cmon fveq2 dmeqd syl6eqr eleq2d raleq1d ralbidv fveq1d eqcomi fveq1i
      syl6eq eqeq12d 3anbi123d opreqd opreq eqcoms ax-mp eqeq12i syl6bb imbi1d
      imbi12d 2ralbidv 3bitrd anbi12d abbidv df-mon cvv fvex dmex eqeltr
      zfausab fvopab4 ) MNDEOZMOZPQZRZSZFOZWDQZGOZWDQZTZWGWCUAQZQZWBWDQZTZWIWLQ
      ZWNTZUBZWBWGWCUCQZUDZWBWIWSUDZTZWGWITZUEZUEZGWEUFZFWEUFZUGZEUHWBHSZWGBQZW
      IBQZTZWGAQZWBBQZTZWIAQZXNTZUBZWBWGCUDZWBWICUDZTZXCUEZUEZGHUFFHUFZUGZEUHUI
      UJWCDTZXHYEEYFWFXIXGYDYFWEHWBYFWEDPQZRZHYFWDYGWCDPUKZULIUMZUNYFXGXEGHUFZF
      WEUFYKFHUFYDYFXFYKFWEYFXEGWEHYJUOUPYFYKFWEHYJUOYFXEYCFGHHYFWRXRXDYBYFWKXL
      WOXOWQXQYFWHXJWJXKYFWHWGYGQXJYFWGWDYGYIUQWGYGBBYGJURZUSUTYFWJWIYGQXKYFWIW
      DYGYIUQWIYGBYLUSUTVAYFWMXMWNXNYFWMWGDUAQZQXMYFWGWLYMWCDUAUKZUQWGYMAAYMKUR
      ZUSUTYFWNWBYGQXNYFWBWDYGYIUQWBYGBYLUSUTZVAYFWPXPWNXNYFWPWIYMQXPYFWIWLYMYN
      UQWIYMAYOUSUTYPVAVBYFXBYAXCYFXBWBWGDUCQZUDZWBWIYQUDZTYAYFWTYRXAYSYFWSYQWB
      WGWCDUCUKZVCYFWSYQWBWIYTVCVAYRXSYSXTCYQTZYRXSTZLUUBYQCWBWGYQCVDVEVFUUAYSX
      TTZLUUCYQCWBWIYQCVDVEVFVGVHVIVJVKVLVMVNMNEFGVOYDEHHYHVPIYGDPVQVRVSVTWA $.
      $( [5-Dec-2007] $) $( [5-Dec-2007] $)
  $}

  ${ $d C f $. $d D f $. $d F f g h $. $d M f g h $.
     $d R f $. $d T f g h $.
    ismonb.1 $e |- M = dom ( dom_ ` T ) $.
    ismonb.2 $e |- D = ( dom_ ` T ) $.
    ismonb.3 $e |- C = ( cod_ ` T ) $.
    ismonb.4 $e |- R = ( o_ ` T ) $.
    $( The predicate "is a monomorphism". $)
    ismonb $p |- ( ( T e. Cat /\ F e. A ) -> ( F e. ( Monic ` T )
      <-> ( F e. M /\ A. g e. M A. h e. M
        ( ( ( D ` g ) = ( D ` h ) /\
            ( C ` g ) = ( D ` F ) /\
            ( C ` h ) = ( D ` F ) ) ->
              ( ( F R g ) = ( F R h ) -> g = h ) ) ) ) ) $=
      ( vf ccat wcel wa cmon cfv cv wceq w3a co wi wral cab ismona adantr
      eleq2d wb eleq1 fveq2 eqeq2d 3anbi23d opreq1 eqeq12d imbi1d imbi12d
      2ralbidv anbi12d elabg adantl bitrd ) EOPZHAPZQZHERSZPHNTZIPZFTZCSGTZCSUA
      ZVJBSZVHCSZUAZVKBSZVNUAZUBZVHVJDUCZVHVKDUCZUAZVJVKUAZUDZUDZGIUEFIUEZQZNUF
      ZPZHIPZVLVMHCSZUAZVPWJUAZUBZHVJDUCZHVKDUCZUAZWBUDZUDZGIUEFIUEZQZVFVGWGHVD
      VGWGUAVEBCDENFGIJKLMUGUHUIVEWHWTUJVDWFWTNHAVHHUAZVIWIWEWSVHHIUKXAWDWRFGII
      XAVRWMWCWQXAVOWKVQWLVLXAVNWJVMVHHCULZUMXAVNWJVPXBUMUNXAWAWPWBXAVSWNVTWOVH
      HVJDUOVHHVKDUOUPUQURUSUTVAVBVC $.
      $( [3-Jan-2008] $) $( [2-Jan-2008] $)

    $( The predicate "is a monomorphism". $)
    ismonb1 $p |- ( ( T e. Cat /\ F e. M ) -> ( F e. ( Monic ` T ) <->
      A. g e. M A. h e. M
        ( ( ( D ` g ) = ( D ` h ) /\
            ( C ` g ) = ( D ` F ) /\
            ( C ` h ) = ( D ` F ) ) ->
              ( ( F R g ) = ( F R h ) -> g = h ) ) ) )  $=
      ( ccat wcel wa cmon cfv cv wceq w3a co wi wral ismonb wb ibar adantl
      bitr4d ) DMNZGHNZOGDPQNUJERZBQFRZBQSUKAQGBQZSULAQUMSTGUKCUAGULCUASUKULSUB
      UBFHUCEHUCZOZUNHABCDEFGHIJKLUDUJUNUOUEUIUJUNUFUGUH $.
      $( [3-Jan-2008] $) $( [2-Jan-2008] $)
  $}

  ${ $d C g j $. $d D g j $. $d F g j $. $d G g j $.
     $d J j $. $d M g j $. $d R g j $. $d T g j $.
    ismonb2.1 $e |- M = dom ( dom_ ` T ) $.
    ismonb2.2 $e |- D = ( dom_ ` T ) $.
    ismonb2.3 $e |- C = ( cod_ ` T ) $.
    ismonb2.4 $e |- R = ( o_ ` T ) $.
    $( The predicate "is a monomorphism". $)
    ismonb2 $p |- ( ( T e. Cat /\ ( F e. M /\ G e. M /\ J e. M ) ) ->
      ( F e. ( Monic ` T ) ->
        ( ( ( D ` G ) = ( D ` J ) /\
            ( C ` G ) = ( D ` F ) /\
            ( C ` J ) = ( D ` F ) ) ->
              ( ( F R G ) = ( F R J ) -> G = J ) ) ) )  $=
      ( vg vj ccat wcel w3a wa cmon cfv cv wceq co wi wral wb ismonb1
      3ad2antr1 3simpc adantl fveq2 eqeq1d 3anbi12d opreq2 eqeq1 imbi12d
      eqeq2d 3anbi13d eqeq2 rcla42v syl sylbid ) DOPZEHPZFHPZGHPZQZRZEDSTPZMUAZ
      BTZNUAZBTZUBZVJATZEBTZUBZVLATZVPUBZQZEVJCUCZEVLCUCZUBZVJVLUBZUDZUDZNHUEMH
      UEZFBTZGBTZUBZFATZVPUBZGATZVPUBZQZEFCUCZEGCUCZUBZFGUBZUDZUDZVCVEVDVIWGUFV
      FABCDMNEHIJKLUGUHVHVEVFRZWGXAUDVGXBVCVDVEVFUIUJWFXAWHVMUBZWLVSQZWPWBUBZFV
      LUBZUDZUDMNFGHHVJFUBZVTXDWEXGXHVNXCVQWLVSXHVKWHVMVJFBUKULXHVOWKVPVJFAUKUL
      UMXHWCXEWDXFXHWAWPWBVJFECUNULVJFVLUOUPUPVLGUBZXDWOXGWTXIXCWJVSWNWLXIVMWIW
      HVLGBUKUQXIVRWMVPVLGAUKULURXIXEWRXFWSXIWBWQWPVLGECUNUQVLGFUSUPUPUTVAVB $.
      $( [3-Jan-2008] $) $( [2-Jan-2008] $)
  $}

  ${ $d B a g h $. $d C a g h $. $d F a g h $.
     $d H a g h $. $d O a g h $. $d R a $. $d T a g h $.
    imonclem.1 $e |- O = dom ( id_ ` T ) $.
    imonclem.2 $e |- H = ( hom ` T ) $.
    imonclem.3 $e |- R = ( o_ ` T ) $.
    $( Lemma for ~ ismonc . $)
    imonclem $p |- (  (  T e. Cat
                         /\ ( B e. O /\ C e. O )
                         /\ F e. ( H ` <. B , C >. ) )
                      -> (  A. a
                            e. O
                               A. g
                               e. ( H ` <. a , B >. )
                                  A. h
                                  e. ( H ` <. a , B >. )
                                     ( ( F R g ) = ( F R h ) -> g = h )
                         -> (  F e. dom ( dom_ ` T )
                            /\ A. g
                               e. dom ( dom_ ` T )
                                  A. h
                                  e. dom ( dom_ ` T )
                                     (  (    ( ( dom_ ` T ) ` g )
                                           = ( ( dom_ ` T ) ` h )
                                        /\   ( ( cod_ ` T ) ` g )
                                           = ( ( dom_ ` T ) ` F )
                                        /\   ( ( cod_ ` T ) ` h )
                                           = ( ( dom_ ` T ) ` F ) )
                                     -> ( ( F R g ) = ( F R h ) -> g = h ) ) )
                         ) ) $=
      ( ccat wcel wa cop cfv w3a cv co wceq wi wral cdom_ cdm ccod_ eqid ehm
      3expib 3imp adantr wal ax-17 hbra1 hbral hban dmo expcom 3simp1 syl5com
      imp r2al ralbii wb opeq1 fveq2d eleq2d anbi12d imbi1d adantl ishomd
      ad2antrr 3simp2 pm3.26d syl3anc eqcomd ad2antll eqtr3t ex 3ad2ant3 com12
      3jca simprl a1i eqtrt 3ad2ant2 simprr jca impbida dehm simplr sylanc
      3bitrd rcla4dv ax-4 a4s r19.20si sylbi mpdan com23 19.21ai sylibr ) DNOZA
      IOZBIOZPZGABQHROZSZGETZCUAGFTZCUAUBXJXKUBUCZFJTZAQZHRZUDZEXOUDZJIUDZGDUER
      ZUFZOZXJXSRZXKXSRZUBZXJDUGRZRZGXSRZUBZXKYERZYGUBZSZXLUCZFXTUDEXTUDZPXIXRP
      ZYAYMXIYAXRXDXGXHYAXDXEXFXHYAUCABDGHXTIKXTUHZLUIUJUKULYNXJXTOZXKXTOZPZYLU
      CZFUMZEUMYMYNYTEXIXREXIEUNXQEJIXMIOZEUNXPEXOUOUPUQYNYSFXIXRFXIFUNXQFJIUUA
      FUNXPFEXOXJXOOZFUNXLFXOUOUPUPUQXIXRYSXIYRXRYLXIYRXRYLUCZXIYRPZYBIOZUUCXIY
      RUUEYRXDUUEXIYPXDUUEUCYQXDYPUUEXSDXJXTIYOKXSUHZURUSULXDXGXHUTZVAVBZXRUUDU
      UEPZYLXRUUBXKXOOZPZXLUCZFUMZEUMZJIUDZUUIYLUCXQUUNJIXLEFXOXOVCVDUUIUULJIUD
      YLUUOUUDUULYLJYBIUUDXMYBUBZPZUULXJYBAQZHRZOZXKUUSOZPZXLUCZYPYBYBUBZYFAUBZ
      SZYQYCYBUBZYIAUBZSZPZXLUCZYLUUPUULUVCVEUUDUUPUUKUVBXLUUPUUBUUTUUJUVAUUPXO
      UUSXJUUPXNUURHXMYBAVFVGZVHUUPXOUUSXKUVLVHVIVJVKXDUUEXEUVCUVKVEUUQXDUUEXES
      ZUVBUVJXLUVMUUTUVFUVAUVIYBAYEXSDXJHXTIKYOUUFYEUHZLVLYBAYEXSDXKHXTIKYOUUFU
      VNLVLVIVJXIXDYRUUPUUGVMUUDUUEUUPUUHULXIXEYRUUPXIXEXFXDXGXHVNVOVMVPUUQUVJY
      KXLYGAUBZYRUVJYKVEUUQUVOYRPZUVJYKUVPUVJPYDYHYJUVIYDUVPUVFUVIYCYBYQUVGUVHV
      NVQVRUVPUVJYHUVOUVJYHUCYRUVJUVOYHUVFUVOYHUCZUVIUVEYPUVQUVDUVEUVOYHYFYGAVS
      VTWAULWBULVBUVPUVJYJUVOUVJYJUCYRUVJUVOYJUVIUVOYJUCZUVFUVHYQUVRUVGUVHUVOYJ
      YIYGAVSVTWAVKWBULVBWCUVPYKPZUVFUVIUVSYPUVDUVEUVPYPYKUVOYPYQWDULUVDUVSYBUH
      WEUVPYKUVEUVOYKUVEUCYRYKUVOUVEYHYDUVOUVEUCYJYHUVOUVEYFYGAWFVTWGWBULVBWCUV
      SYQUVGUVHUVPYQYKUVOYPYQWHULYKUVGUVPYKYBYCYDYHYJUTVQVKUVPYKUVHUVOYKUVHUCYR
      YKUVOUVHYJYDUVOUVHUCYHYJUVOUVHYIYGAWFVTWAWBULVBWCWIWJXIUVOYRUUPXDXGXHUVOX
      DXEXFXHUVOUCABXSDGHIKUUFLWKUJUKVMXIYRUUPWLWMVJWNWOUUNUULJIUUMUULEUULFWPWQ
      WRVAWSWBWTVTXAVBXBXBYLEFXTXTVCXCWIVT $.
      $( [3-Jan-2008] $) $( [1-Jan-2008] $)
  $}

  ${ $d B a g h $. $d C a g h $. $d F a g h $.
     $d H a g h $. $d O a g h $. $d R a $. $d T a g h $.
    ismonc.1 $e |- O = dom ( id_ ` T ) $.
    ismonc.2 $e |- H = ( hom ` T ) $.
    ismonc.3 $e |- R = ( o_ ` T ) $.
    $( The predicate "is a monomorphism" when ` F ` belongs to a homset .
   $)
    ismonc $p |- ( ( T e. Cat /\ ( B e. O /\ C e. O ) /\
      F e. ( H ` <. B , C >. ) ) -> ( F e. ( Monic ` T ) <->
        A. a e. O A. g e. ( H ` <. a , B >. ) A. h e. ( H ` <. a , B >. )
        ( ( F R g ) = ( F R h ) -> g = h ) ) ) $=
      ( ccat wcel wa cop cfv w3a cmon cdom_ cdm cv wceq ccod_ co wi wral wb
      eqid ismonb 3adant2 wal ax-17 hbra1 hban hbral ra42 pm3.31 ishomd biimpd
      anim12d 3simp1 ad2antrr simplr 3simp2 pm3.26d syl3anc anim12i a1i dehm
      eqtr3t syl2an adantl ex 3ad2ant3 adantr impcom 3jca syl6 3expib 3imp
      jcad syld imim1d com13 3syl 19.21ai exp31 com23 imp 19.21aiv r2al ralbii
      df-ral bitr sylibr imonclem impbid bitrd ) DNOZAIOZBIOZPZGABQHRZOZSZGDTRO
      ZGDUARZUBZOZEUCZXIRZFUCZXIRZUDZXLDUERZRZGXIRZUDZXNXQRZXSUDZSZGXLCUFGXNCUF
      UDXLXNUDUGZUGZFXJUHZEXJUHZPZYDFJUCZAQHRZUHEYJUHZJIUHZXAXFXHYHUIXDXEXQXICD
      EFGXJXJUJZXIUJZXQUJZMUKULXGYHYLXGYHYLXGYHPZYIIOZXLYJOZXNYJOZPZYDUGZFUMZEU
      MZUGZJUMZYLYPUUDJXGYHUUDXGYQYHUUCXGYQYHUUCXGYQPZYHPZUUBEUUFYHEUUFEUNXKYGE
      XKEUNYFEXJUOUPUPUUGUUAFUUFYHFUUFFUNXKYGFXKFUNYFFEXJXLXJOZFUNYEFXJUOUQUPUP
      YHUUFUUAYGXKUUFUUAUGZYGUUHXNXJOZPZYEUGUUKYCPZYDUGZXKUUIUGYEEFXJXJURUUKYCY
      DUSUUFXKUUMUUAUUFXKUUMUUAUGUUFXKPZYTUULYDUUNYTUUHXMYIUDZXRAUDZSZUUJXOYIUD
      ZYAAUDZSZPZUULXAYQXBYTUVAUGUUNXAYQXBSZYRUUQYSUUTUVBYRUUQYIAXQXIDXLHXJIKYM
      YNYOLUTVAUVBYSUUTYIAXQXIDXNHXJIKYMYNYOLUTVAVBXGXAYQXKXAXDXFVCVDXGYQXKVEXG
      XBYQXKXGXBXCXAXDXFVFVGVDVHUUNUVAUUKYCUVAUUKUGUUNUUQUUHUUTUUJUUHUUOUUPVCUU
      JUURUUSVCVIVJXGUVAYCUGZYQXKXAXDXFUVCXAXBXCXFUVCUGXAXBXCSXFXSAUDZUVCABXIDG
      HIKYNLVKUVDUVAYCUVDUVAPXPXTYBUVAXPUVDUUOUURXPUUQUUTXMXOYIVLUUHUUOUUPVFUUJ
      UURUUSVFVMVNUVAUVDXTUUQUVDXTUGZUUTUUPUUHUVEUUOUUPUVDXTXRXSAVLVOVPVQVRUVAU
      VDYBUUTUVDYBUGZUUQUUSUUJUVFUURUUSUVDYBYAXSAVLVOVPVNVRVSVOVTWAWBVDWCWDWEVO
      WFWGVRVRWHWHWIWJWKWLYLUUCJIUHUUEYKUUCJIYDEFYJYJWMWNUUCJIWOWPWQVOABCDEFGHI
      JKLMWRWSWT $.
      $( [3-Jan-2008] $) $( [2-Jan-2008] $)
  $}


  ${  $d A a g h $. $d B a g h k l $. $d C a g h k l $. $d F a g h k l $.
      $d G a g h k l $. $d H a g h k l $. $d O a g h k l $. $d R a g h k l $.
      $d T a g h k l $.

    cmpmon.1 $e |- O = dom ( id_ ` T ) $.
    cmpmon.2 $e |- H = ( hom ` T ) $.
    cmpmon.3 $e |- R = ( o_ ` T ) $.
    $( The composite of two monomorphisms is a monomorphism.
       JFM CAT_1 th. 61 $)
    cmpmon $p |- ( ( T e. Cat /\ ( ( A e. O /\ B e. O /\ C e. O ) /\
         ( F e. ( H ` <. A , B >. ) /\ G e. ( H ` <. B , C >. ) )
           /\ ( F e. ( Monic ` T ) /\ G e. ( Monic ` T ) ) ) ) ->
              ( G R F ) e. ( Monic ` T ) ) $=
      ( vg vh va vk vl ccat wcel w3a cop cfv wa cmon co wi cv wceq wral ax-17
      hbra1 hban hbral cmpassoh 3expib com3r com23 com14 exp43 3impd com13
      com34 3imp adantr imp31 ad2antrr eqcom biimp adantl imp eqcomd 3exp1
      com3l ex com12 com4r impcom 3impia 3eqtr2d opreq2 eqeq1d eqeq1 imbi12d
      eqeq2d eqeq2 rcla42v homgrf 3simpa syl5 adantrd com24 3adant3 jca ra4
      ad2antll sylc wal r3al 19.21bi 19.21bbi ad2antrl 3expd imp41 syld
      r19.21ai wb ismonc 3simp1 3simpb 3ad2ant2 syl3anc sylibrd biimpd 3exp
      3simpc syl2and 3imp2 ) ERSZAISZBISZCISZTZFABUAHUBSZGBCUAHUBSZUCZFEUDUBZSZ
      GYFSZUCZGFDUEZYFSZXRYBYEYIYKUFXRYBYETZFMUGZDUEZFNUGZDUEZUHZYMYOUHZUFZNOUG
      ZAUAHUBZUIZMUUAUIZOIUIZGPUGZDUEZGQUGZDUEZUHZUUEUUGUHZUFZQYTBUAHUBZUIPUULU
      IZOIUIZYKYGYHYLUUDUUNUCZYJYMDUEZYJYODUEZUHZYRUFZNUUAUIZMUUAUIZOIUIZYKYLUU
      OUVBYLUUOUCZUVAOIYLUUOOYLOUJUUDUUNOUUCOIUKUUMOIUKULULUVCYTISZUVAUVCUVDUCZ
      UUTMUUAUVCUVDMYLUUOMYLMUJUUDUUNMUUCMOIUVDMUJZUUBMUUAUKUMUUNMUJULULUVFULUV
      EYMUUASZUUTUVEUVGUCZUUSNUUAUVEUVGNUVCUVDNYLUUONYLNUJUUDUUNNUUCNOIUVDNUJZU
      UBNMUUAUVGNUJZYSNUUAUKUMUMUUNNUJULULUVIULUVJULUVHYOUUASZUUSUVHUVKUCZUURGY
      NDUEZGYPDUEZUHZYRUVLUURUVOUVLUURUCUVMUUPUUQUVNUVHUVMUUPUHZUVKUURUVCUVDUVG
      UVPYLUVDUVGUVPUFZUFZUUOXRYBYEUVRXRYBUVDYEUVQUVDYBXRYEUVQUFZUVDXSXTYAXRUVS
      UFZUVDXSXTYAUVTUVGXRYEUVDXSUCZXTYAUCZUCZUVPUVGYEXRUWCUVPUFZUVGYCYDXRUWDUF
      XRUWCUVGYCYDTZUVPXRUWAUWBUWEUVPUFYTABCDEHYMFGIJKLUNUOUPUOUQURUSUTVAVBVCVD
      VEVFUURUUQUUPUHZUVLUURUWFUUPUUQVGVHVIUVLUUQUVNUHZUURUVHUVKUWGUVEUVKUWGUFZ
      UVGUVCUVDUWHYLUVDUWHUFZUUOXRYBYEUWIUVKYEUVDXRYBUCZUWGUVKYCYDUVDUWJUWGUFUF
      UWJUVDUVKYCYDTZUWGYBXRUVDUWKUWGUFZUFZXSXTYAXRUWMUFXTYAXRXSUWMXTYAXRXSUWMU
      FZUFXRUWBUWNUVDUWBXSXRUWLUVDXSUWBXRUWLUFZUVDXSUWBUWOUFXRUWAUWBUWLXRUWAUWB
      UWKUWGXRUWAUWBTZUWKUCUVNUUQUWPUWKUVNUUQUHYTABCDEHYOFGIJKLUNVJVKVLVMVNUQUR
      VOVNVPVCVQVAUOURVRVDVJVDVJVDVSVNUVLUVOYQYRYNUULSZYPUULSZUCUUMUVOYQUFZUVLU
      UKUWSUVMUUHUHZYNUUGUHZUFPQYNYPUULUULUUEYNUHZUUIUWTUUJUXAUXBUUFUVMUUHUUEYN
      GDVTWAUUEYNUUGWBWCUUGYPUHZUWTUVOUXAYQUXCUUHUVNUVMUUGYPGDVTWDUUGYPYNWEWCWF
      UVLUWQUWRUVHUWQUVKUVCUVDUVGUWQYLUVDUVGUWQUFZUFZUUOXRYBYEUXEYEYBXRUXEYCYBX
      RUXEUFZUFYDYCXSXTUCZUXFYBUVDUXGXRYCUXDUVDXSXTXRYCUXDUFUFUVGXRYCUVDXSXTTZU
      WQUVGYCXRUXHUWQUFZUVGYCXRUXIUFXRUXHUVGYCUCZUWQXRUXHUXJUWQUFYTABDEYMFHIJKL
      WGVNUPVNUQURUOURXSXTYAWHZWIVDVAVCVDVEVDUVHUVKUWRUVEUVKUWRUFZUVGUVCUVDUXLY
      LUVDUXLUFZUUOXRYBYEUXMYBXRYEUXMUFZXSXTXRUXNUFYAUXGUVDYEXRUXLUVDUXGYEXRUXL
      UFZUFZUVDXSXTUXPUXHYCUXOYDUVKYCXRUXHUWRUVKYCXRUXHUWRUFUFXRUXHUVKYCUCZUWRX
      RUXHUXQUWRUFYTABDEYOFHIJKLWGVNUPVNURWJUOVOWKWLVOVCVDVJVDVJWMUVEUUMUVGUVKU
      VCUVDUUMUUNUVDUUMUFYLUUDUUMOIWNWOVJVFWPUVCUVDUVGUVKYSUVCUVDUVGUVKYSUUDUVD
      UVGUVKTYSUFZYLUUNUUDUXRMNUUDUXRNWQMWQZOUUDUXSOWQYSOMNIUUAUUAWRVHWSWTXAXBX
      CXDXDVNXEVNXEVNXEVNXRXSYAUCZYJACUAHUBSZYKUVBXFYLACDEMNYJHIOJKLXGXRYBYEXHY
      BXRUXTYEXSXTYAXIXJXRYBYEUYAABCDEFGHIJKLWGVRXKXLXRYBYEYGUUDUFZXRUXGYEUYBUF
      YBYEUXGXRUYBYCUXGXRUYBUFUFYDXRUXGYCUYBXRUXGYCUYBXRUXGYCTYGUUDABDEMNFHIOJK
      LXGXMXNVAVDVAUXKWIVCXRYBYEYHUUNUFZXRUWBYEUYCUFYBYEUWBXRUYCYDUWBXRUYCUFUFY
      CXRUWBYDUYCXRUWBYDUYCXRUWBYDTYHUUNBCDEPQGHIOJKLXGXMXNVAVIVAXSXTYAXOWIVCXP
      XNXQ $.
      $( [10-Mar-2008] $) $( [10-Mar-2008] $)
  $}


  ${ $d x y f g h $.
    $( Function returning the epimorphisms of a category id-est the left
       cancelable morphisms. The joy of cats def 7.39 p. 106. $)
    df-epi $a |- Epi = { <. x , y >. |
    ( x e. Cat /\ y = { f | ( f e. ran ( o_ ` x ) /\
      A. g e. ran ( o_ ` x ) A. h e. ran ( o_ ` x )
        ( ( ( ( cod_ ` x ) ` g ) = ( ( cod_ ` x ) ` h ) /\
            ( ( dom_ ` x ) ` g ) = ( ( cod_ ` x ) ` f ) /\
            ( ( dom_ ` x ) ` h ) = ( ( cod_ ` x ) ` f ) ) ->
              ( ( g ( o_ ` x ) f ) = ( h ( o_ ` x ) f ) -> g = h ) ) ) } ) } $.

  $}

  ${ $d A a m n $. $d B a m n $. $d C a m n $. $d F a m n $. $d G a m n $.
    $d H a m n $. $d O a m n $. $d R a m n $. $d T a m n $.
    icmpmon.1 $e |- O = dom ( id_ ` T ) $.
    icmpmon.2 $e |- H = ( hom ` T ) $.
    icmpmon.3 $e |- R = ( o_ ` T ) $.
    $( If  ` ( G R F ) ` is monic then F is monic. JFM CAT_1 th. 62 $)
    icmpmon $p |- ( ( T e. Cat /\ ( ( A e. O /\ B e. O /\ C e. O ) /\
         ( F e. ( H ` <. A , B >. ) /\ G e. ( H ` <. B , C >. ) )
           /\ ( G R F ) e. ( Monic ` T ) ) ) ->
              F e. ( Monic ` T ) ) $=
      ( vm vn va ccat wcel w3a cop cfv wa co cmon cv wceq weq wi wral wb
      ismonc 3simp1 3simpb 3ad2ant2 homgrf 3impia syl3anc pm3.27 simpll simplr
      3eqtr4d ex imim1d opreq2 syl7 cmpassoh 3exp com3l exp4b 3impd com13 imp
      3expib com14 imp31 eqcomd adantr 3exp1 com23 3imp sylanc r19.20dva
      sylbid 3imp2 pm3.26 3simpa 3ad2ant1 adantl 3simp2 pm3.26d mpbird ) EPQZAI
      QZBIQZCIQZRZFABSHTQZGBCSHTQZUAZGFDUBZEUCTZQZRZUAZFWTQZFMUDZDUBZFNUDZDUBZU
      EZMNUFZUGZNOUDZASHTZUHZMXMUHZOIUHZWKWOWRXAXPWKWOWRXAXPUGWKWOWRRZXAWSXEDUB
      ZWSXGDUBZUEZXJUGZNXMUHZMXMUHZOIUHZXPWKWLWNUAZWSACSHTQZXAYDUIXQACDEMNWSHIO
      JKLUJWKWOWRUKWOWKYEWRWLWMWNULUMWKWOWRYFABCDEFGHIJKLUNUOUPXQYCXOOIXQXLIQZU
      AZYBXNMXMYHXEXMQZUAZYAXKNXMXRGXFDUBZUEZXSGXHDUBZUEZYAXKUGYJXGXMQZUAYLYNUA
      ZYAYKYMUEZXJXIYPYQXTXJYPYQXTYPYQUAYKYMXRXSYPYQUQYLYNYQURYLYNYQUSUTVAVBXFX
      HGDVCVDYJYLYOYJYKXRXQYGYIYKXRUEZWKWOWRYGYIYRUGUGYIWRYGWKWOUAZYRYIWPWQYGYS
      YRUGUGYSYGYIWPWQRZYRWKWOYGYTYRUGZUGYGWOWKUUAYGWLWMWNWKUUAUGZYGWLWMWNUUBWK
      YGWLUAZWMWNUAZUUAWKUUCUUDUUAXLABCDEHXEFGIJKLVEVFVGVHVIVJVKVJVLVMUOVNVOVPY
      JYOYNYHYOYNUGZYIXQYGUUEXQYOYGYNWKWOWRYOYGYNUGZUGYOWOWRWKUUFYOWRWOWKUUFUGZ
      YOWPWQWOUUGUGYGWOWKYOWPWQRZYNYGWLWMWNWKUUHYNUGZUGZYGWLWMWNUUJWKUUCUUDUUIW
      KUUCUUDUUHYNWKUUCUUDRZUUHUAYMXSUUKUUHYMXSUEXLABCDEHXGFGIJKLVEVKVOVQVGVHVI
      VMVLVRVMVSVRVKVPVKVTWAWAWAWBVFWCWKWLWMUAZWPXDXPUIXCABDEMNFHIOJKLUJWKXBWDX
      BUULWKWOWRUULXAWLWMWNWEWFWGXBWPWKXBWPWQWOWRXAWHWIWGUPWJ $.
      $( [27-Apr-2008] $) $( [17-Mar-2008] $)
  $}

  ${ $d A c f g $. $d B c f g $. $d F c f g $. $d G c f g $. $d H c f g $.
     $d J c f g $. $d O c f g $. $d R c f g $. $d T c f g $.
    idmon.1 $e |- O = dom ( id_ ` T ) $.
    idmon.2 $e |- H = ( hom ` T ) $.
    idmon.3 $e |- R = ( o_ ` T ) $.
    idmon.4 $e |- J = ( id_ ` T ) $.
    $( If there exists ` G ` such as ` ( G R F ) = ( J `` B ) ` then F is
       monic. JFM CAT_1 th. 63. $)
    idmon $p |- ( ( T e. Cat /\ ( A e. O /\ B e. O ) /\
      ( G e. ( H ` <. A , B >. ) /\ F e. ( H ` <. B , A >. ) ) ) ->
      ( ( G R F ) = ( J ` B ) -> F e. ( Monic ` T ) ) ) $=
      ( vf vg vc ccat wcel wa cop cfv w3a co wceq cmon cv weq wi wral cmpassoh
      3simp1 adantr ad2antrr simprl simplr 3ad2antl2 jca simpll 3jca simprr
      3ad2antl3 sylc pm3.27 eqeq12d opreq1d biimpd cmphmia syl3anc ex imp32
      cdm cdom_ ccod_ eqid cmpida cid_ eqcomi dmeqi eqtr eleq2i biimp adantl
      3ad2ant2 ehm imp cehm sylibd sylbid opreq2 syl5 r19.21aiva r19.21aivv wb
      ismonc mpbird ) DQRZAIRZBIRZSZFABTGUARZEBATGUARZSZUBZFECUCZBHUAZUDZEDUEUA
      RZXCXFSZXGENUFZCUCZEOUFZCUCZUDZNOUGZUHZOPUFZBTGUAZUIZNXQUIPIUIZXHXRPNIXQX
      HXPIRZXIXQRZSZXRXHYBSZXOOXQYCXKXQRZSZFXJCUCZFXLCUCZUDZXNXMYEYHXDXICUCZXDX
      KCUCZUDZXNYEYFYIYGYJWPXTWRSZWSUBZYAXAWTUBYFYIUDYEXPBABCDGXIEFIJKLUJYEWPYL
      WSXHWPYBYDXCWPXFWPWSXBUKZULZUMZYEXTWRYCXTYDXHXTYAUNZULXHWRYBYDWSWPXFWRXBW
      QWRXFUOUPZUMZUQYEWQWRXHWQYBYDWSWPXFWQXBWQWRXFURUPZUMYSUQUSZYEYAXAWTYCYAYD
      XHXTYAUTULXHXAYBYDXBWPXFXAWSWTXAXFUOVAZUMZXHWTYBYDXBWPXFWTWSWTXAXFURVAUMZ
      USVBYMYDXAWTUBYGYJUDYEXPBABCDGXKEFIJKLUJUUAYEYDXAWTYCYDVCUUCUUDUSVBVDYEYK
      XEXICUCZXEXKCUCZUDZXNYEYKUUGYEYIUUEYJUUFYEXDXEXICYCXFYDXCXFYBUOULZVEYEXDX
      EXKCUUHVEVDVFYEUUEXIUUFXKYCUUEXIUDZYDXHXTYAUUIXHXTYAUUIUHZWPXTWRUUJXHXTSX
      PBCDXIGHIJKMLVGXCWPXFXTYNUMXHXTVCXHWRXTYRULVHVIVJULWPBHVKZRZXKDVLUAZVKZRZ
      UBXKDVMUAZUABUDZUUFXKUDYEBUUPUUMCDXKHUUNUUKUUNVNZUUMVNUUKVNMLUUPVNZVOYEWP
      UULUUOYPXHUULYBYDXCUULXFWSWPUULXBWRUULWQWRUULIUUKBIDVPUAZVKUUKJUUTHHUUTMV
      QVRVSVTWAWBWCULUMYCYDUUOWPXTWRYDUUOUHYCXPBDXKGUUNIJUURKWDXCWPXFYBYNUMZYQX
      HWRYBYRULZVHWEUSYCYDUUQWPXTWRYDUUQUHYCXPBUUPDXKGIJUUSKWFUVAYQUVBVHWEVBVDW
      GWHXJXLFCWIWJWKVIWLWPWRWQSXAXGXSWMXHBACDNOEGIPJKLWNYOXHWRWQYRYTUQUUBVHWOV
      I $.
      $( [1-Jun-2008] $) $( [5-May-2008] $)
  $}

  ${
    immon.1 $e |- O = dom ( id_ ` T ) $.
    immon.2 $e |- J = ( id_ ` T ) $.
    $( A  morphism identity is a monomorphism. JFM CAT_1 th. 64. $)
    immon $p |- ( ( T e. Cat /\ A e. O ) -> ( J ` A ) e. ( Monic ` T ) ) $=
      ( ccat wcel wa cfv cop chom w3a co_ co wceq cmon eqid idmon pm3.26
      pm3.27 jca homib 3jca iri sylc ) BGHZADHZUHIZACJZAAKBLJZJHZULIZMUJUJBNJZO
      UJPUJBQJHUGUHIZAAUNBUJUJUKCDEUKRZUNRZFSUOUGUIUMUGUHTUOUHUHUGUHUAZURUBUOUL
      ULABUKCDEFUPUCZUSUBUDAUNBCDEFUQUEUF $.
      $( [1-Jun-2008] $) $( [5-May-2008] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Functors
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


  $( The class of all functors. $)
  $c Func $.

  $( Extend class notation with the class of all  functors. $)
  cfunc $a class Func $.

  ${ $d  t u v f o p m n $.
    $( Function returning all the functors from a category ` t ` to a
    category ` u ` . Intuitively a functor associate any morphism of ` t `
    to a morphism of ` u ` , any object of ` t ` to an object of ` u ` ,
    and respects the identity and the composition. It is a way to say that the
    structures of ` t ` and ` u ` are "equivalent". Here
    to capture the idea that a functor associate any object of ` t ` to an
    object of ` u ` we write that it associate any identity of ` t ` to
    an identity of ` u ` which simplifies the definition. $)
    df-func $a |- Func = { <. <. t , u >. , v >. |
      ( ( t e. Cat /\ u e. Cat ) /\
      v = { f | ( f : dom ( dom_ ` t ) --> dom ( dom_ ` u ) /\
      ( A. o e. dom ( id_ ` t )
      E. p e. dom ( id_ ` u ) ( f ` ( ( id_ ` t ) ` o ) ) =
           ( ( id_ ` u ) ` p ) /\
      ( A. m e. dom ( dom_ ` t )
        ( f ` ( ( id_ ` t ) ` ( ( dom_ ` t ) ` m ) ) ) =
           ( ( id_ ` u ) ` ( ( dom_ ` u ) ` ( f ` m ) ) ) /\
       A. m e. dom ( dom_ ` t )
        ( f ` ( ( id_ ` t ) ` ( ( cod_ ` t ) ` m ) ) ) =
           ( ( id_ ` u ) ` ( ( cod_ ` u ) ` ( f ` m ) ) ) ) /\
       A. m e. dom ( dom_ ` t ) A. n e. dom ( dom_ ` t )
        ( ( ( cod_ ` t ) ` n ) = ( ( dom_ ` t ) ` m ) ->
          ( f ` ( m ( o_ ` t ) n ) ) =
           ( ( f ` m ) ( o_ ` u ) ( f ` n ) ) ) ) ) } ) } $.
  $}

    $v O1 $.
    $v M1 $.
    $v O2 $.
    $v M2 $.
    $v I1 $.
    $v D1 $.
    $v C1 $.
    $v Ro1 $.
    $v I2 $.
    $v D2 $.
    $v C2 $.
    $v Ro2 $.

    $( Let ` 01 ` be a class variable. $)
    co1 $f class O1 $.
    $( Let ` M1 ` be a class variable. $)
    cm1 $f class M1 $.
    $( Let ` 02 ` be a class variable. $)
    co2 $f class O2 $.
    $( Let ` M2 ` be a class variable. $)
    cm2 $f class M2 $.

    $( Let ` I1 ` be a class variable. $)
    ci1 $f class I1 $.
    $( Let ` D1 ` be a class variable. $)
    cd1 $f class D1 $.
    $( Let ` C1 ` be a class variable. $)
    cc1 $f class C1 $.
    $( Let ` Ro1 ` be a class variable. $)
    cro1 $f class Ro1 $.

    $( Let ` I2 ` be a class variable. $)
    ci2 $f class I2 $.
    $( Let ` D2 ` be a class variable. $)
    cd2 $f class D2 $.
    $( Let ` C2 ` be a class variable. $)
    cc2 $f class C2 $.
    $( Let ` Ro2 ` be a class variable. $)
    cro2 $f class Ro2 $.

  ${ $d C1 u v $. $d C2 u v $. $d D1 u v $. $d D2 u v $. $d I1 u v $.
     $d I2 u v $. $d M1 f m t u v $. $d M1 x $. $d M2 f u v $.
     $d M2 x $. $d O1 o u v $. $d O2 p u v $. $d Ro1 u v $. $d Ro2 u v $.
     $d T f m n o p t u v $. $d U f m n o p t u v $.
    isfuna.1 $e |- O1 = dom ( id_ ` T ) $.
    isfuna.2 $e |- M1 = dom ( dom_ ` T ) $.
    isfuna.3 $e |- D1 = ( dom_ ` T ) $.
    isfuna.4 $e |- C1 = ( cod_ ` T ) $.
    isfuna.5 $e |- I1 = ( id_ ` T ) $.
    isfuna.6 $e |- Ro1 = ( o_ ` T ) $.
    isfuna.7 $e |- O2 = dom ( id_ ` U ) $.
    isfuna.8 $e |- M2 = dom ( dom_ ` U ) $.
    isfuna.9 $e |- D2 = ( dom_ ` U ) $.
    isfuna.10 $e |- C2 = ( cod_ ` U ) $.
    isfuna.11 $e |- I2 = ( id_ ` U ) $.
    isfuna.12 $e |- Ro2 = ( o_ ` U ) $.
    $( The class of functors between ` T ` and ` U ` . $)
    isfuna $p |- ( ( T e. Cat /\ U e. Cat ) -> ( Func ` <. T , U >. ) =
      { f | ( f : M1 --> M2 /\
       ( A. o e. O1 E. p e. O2 ( f ` ( I1 ` o ) ) = ( I2 ` p ) /\
        ( A. m e. M1 ( f ` ( I1  ` ( D1 ` m ) ) ) =
            ( I2 ` ( D2 ` ( f ` m ) ) ) /\
          A. m e. M1 ( f ` ( I1 ` ( C1 ` m ) ) ) =
            ( I2 ` ( C2 ` ( f ` m ) ) ) ) /\
          A. m e. M1 A. n e. M1 ( ( C1 ` n ) = ( D1 ` m ) ->
            ( f ` ( m Ro1 n ) ) = ( ( f ` m ) Ro2 ( f ` n ) ) ) ) ) } ) $=
      ( vx vt vu vv ccat wcel cv wf cfv wceq wrex wral wa co wi w3a cab cvv
      cop cfunc cm wb cdom_ cdm fvex dmex eqeltr pm3.2i a1i elmapg syl anbi1d
      abbidv crab mapvalg ancoms mapex eqeltrd rabexg df-rab syl5eqelr
      eqeltrrd cid_ ccod_ co_ fveq2 dmeqd syl6eqr feq2 fveq1d fveq2d eqeq1d
      rexbidv raleq12d eqtrd anbi12d eqeq12d opreqd imbi12d 3anbi123d feq3
      eqcomd rexeq12d 3eqtrd eleq2d bicomd ralbidv2 eleq2i df-func oprabval2g
      df-opr syl5eqr mpd3an3 ) AUPUQZBUPUQZIKCURZUSZFURZLUTZYGUTZGURZPUTZVAZGJV
      BZFHVCZDURZMUTZLUTZYGUTZYQYGUTZQUTZPUTZVAZDIVCZYQNUTZLUTZYGUTZUUARUTZPUTZ
      VAZDIVCZVDZEURZNUTZYRVAZYQUUNOVEZYGUTZUUAUUNYGUTZSVEZVAZVFZEIVCZDIVCZVGZV
      DZCVHZVIUQZABVJVKUTZUVGVAYEYFVDZYGKIVLVEZUQZUVEVDZCVHZUVGVIUVJUVMUVFCUVJU
      VLYHUVEUVJKVIUQZIVIUQZVDZUVLYHVMUVQUVJUVOUVPKBVNUTZVOZVIUGUVRBVNVPVQVRZIA
      VNUTZVOZVIUAUWAAVNVPVQVRZVSZVTKIYGVIVIWAWBWCWDUVJUVECUVKWEZVIUVNUVJUVKVIU
      QUWEVIUQUVJUVKIKULURUSULVHZVIYFYEUVKUWFVAZYFYEVDZUVQUWGUVQUWHUWDVTKIVIVIU
      LWFWBWGUVJUVPUVOVDZUWFVIUQUWIUVJUVPUVOUWCUVTVSVTIKVIVIULWHWBWIUVECUVKVIWJ
      WBUVECUVKWKWLWMYEYFUVHVGABVKVEUVGUVIUMUNUOABUPUPUMURZVNUTZVOZUNURZVNUTZVO
      ZYGUSZYIUWJWNUTZUTZYGUTZYLUWMWNUTZUTZVAZGUWTVOZVBZFUWQVOZVCZYQUWKUTZUWQUT
      ZYGUTZUUAUWNUTZUWTUTZVAZDUWLVCZYQUWJWOUTZUTZUWQUTZYGUTZUUAUWMWOUTZUTZUWTU
      TZVAZDUWLVCZVDZUUNUXNUTZUXGVAZYQUUNUWJWPUTZVEZYGUTZUUAUUSUWMWPUTZVEZVAZVF
      ZEUWLVCZDUWLVCZVGZVDZCVHUVGVKIUWOYGUSZYIAWNUTZUTZYGUTZUXAVAZGUXCVBZFUYRVO
      ZVCZYQUWAUTZUYRUTZYGUTZUXKVAZDUWBVCZYQAWOUTZUTZUYRUTZYGUTZUXTVAZDUWBVCZVD
      ZUUNVUJUTZVUEVAZYQUUNAWPUTZVEZYGUTZUYJVAZVFZEUWBVCZDUWBVCZVGZVDZCVHVIUWJA
      VAZUYPVVGCVVHUWPUYQUYOVVFVVHUWLIVAUWPUYQVMVVHUWLUWBIVVHUWKUWAUWJAVNWQZWRZ
      UAWSUWLIUWOYGWTWBVVHUXFVUDUYCVUPUYNVVEVVHUXDVUBFUXEVUCVVHUWQUYRUWJAWNWQZW
      RVVHUXBVUAGUXCVVHUWSUYTUXAVVHUWRUYSYGVVHYIUWQUYRVVKXAXBXCXDXEVVHUXMVUIUYB
      VUOVVHUXLVUHDUWLUWBVVJVVHUXIVUGUXKVVHUXHVUFYGVVHUXHUXGUYRUTVUFVVHUXGUWQUY
      RVVKXAVVHUXGVUEUYRVVHYQUWKUWAVVIXAZXBXFXBXCXEVVHUYAVUNDUWLUWBVVJVVHUXQVUM
      UXTVVHUXPVULYGVVHUXPUXOUYRUTVULVVHUXOUWQUYRVVKXAVVHUXOVUKUYRVVHYQUXNVUJUW
      JAWOWQZXAXBXFXBXCXEXGVVHUYMVVDDUWLUWBVVJVVHUYLVVCEUWLUWBVVJVVHUYEVURUYKVV
      BVVHUYDVUQUXGVUEVVHUUNUXNVUJVVMXAVVLXHVVHUYHVVAUYJVVHUYGVUTYGVVHUYFVUSYQU
      UNUWJAWPWQXIXBXCXJXEXEXKXGWDUWMBVAZVVGUVFCVVNUYQYHVVFUVEVVNUWOKVAUYQYHVMV
      VNUWOUVSKVVNUWNUVRUWMBVNWQZWRUGWSUWOKIYGXLWBVVNVUDYPVUPUUMVVEUVDVVNVUBYOF
      VUCHVVNHVUCHVUCVAVVNTVTXMVVNVUAYNGUXCJVVNUXCBWNUTZVOJVVNUWTVVPUWMBWNWQZWR
      UFWSVVNUYTYKUXAYMVVNUYSYJYGVVNYIUYRLVVNLUYRLUYRVAVVNUDVTXMZXAXBVVNYLUWTPV
      VNUWTVVPPVVQUJWSZXAXHXNXEVVNVUIUUEVUOUULVVNVUHUUDDUWBIVVNIUWBIUWBVAVVNUAV
      TZXMVVNVUGYTUXKUUCVVNVUFYSYGVVNVUFVUELUTYSVVNVUEUYRLVVRXAVVNVUEYRLVVNYRVU
      EVVNYQMUWAMUWAVAVVNUBVTXAXMZXBXFXBVVNUXKUXJVVPUTUUAUVRUTZVVPUTZUUCVVNUXJU
      WTVVPVVQXAVVNUXJVWBVVPVVNUUAUWNUVRVVOXAXBVVNVWCVWBPUTUUCVVNVWBVVPPVVNPVVP
      PVVPVAVVNUJVTXMXAVVNVWBUUBPVVNUUAUVRQVVNQUVRQUVRVAVVNUHVTXMXAXBXFXOXHXEVV
      NVUNUUKDUWBIVVNYQUWBUQZYQIUQZVUNUUKVVNVWEVWDVVNIUWBYQVVTXPXQVVNVUMUUHUXTU
      UJVVNVULUUGYGVVNVULVUKLUTUUGVVNVUKUYRLVVRXAVVNVUKUUFLVVNYQVUJNVVNNVUJNVUJ
      VAVVNUCVTZXMXAXBXFXBVVNUXTUXSPUTUUJVVNUXSUWTPVVSXAVVNUXSUUIPVVNUUAUXRRVVN
      UXRBWOUTRUWMBWOWQUIWSXAXBXFXHXJXRXGVVNVVDUVCDUWBIVVNVWDVWEVVDUVCVVNVWEVWD
      VWEVWDVMVVNIUWBYQUAXSVTXQVVNVVCUVBEUWBIVVNUUNUWBUQZUUNIUQZVVCUVBVVNVWHVWG
      VVNIUWBUUNVVTXPXQVVNVURUUPVVBUVAVVNVUQUUOVUEYRVVNUUOVUQVVNUUNNVUJVWFXAXMV
      WAXHVVNVVAUURUYJUUTVVNVUTUUQYGVVNVUSOYQUUNVVNOVUSOVUSVAVVNUEVTXMXIXBVVNUY
      ISUUAUUSVVNUYIBWPUTSUWMBWPWQUKWSXIXHXJXJXRXJXRXKXGWDUOUNUMCDEFGXTYAABVKYB
      YCYD $.
      $( [11-Feb-2008] $) $( [10-Feb-2008] $)
  $}


  ${ $d C1 f $. $d C2 f $. $d D1 f $. $d D2 f $. $d F f m n o p $. $d I1 f $.
    $d I2 f $. $d M1 f m $. $d M2 f $. $d O1 f o $. $d O2 f p $. $d Ro1 f $.
    $d Ro2 f $. $d T f m n o p $. $d U f m n o p $.
    isfunb.1 $e |- O1 = dom ( id_ ` T ) $.
    isfunb.2 $e |- M1 = dom ( dom_ ` T ) $.
    isfunb.3 $e |- D1 = ( dom_ ` T ) $.
    isfunb.4 $e |- C1 = ( cod_ ` T ) $.
    isfunb.5 $e |- I1 = ( id_ ` T ) $.
    isfunb.6 $e |- Ro1 = ( o_ ` T ) $.
    isfunb.7 $e |- O2 = dom ( id_ ` U ) $.
    isfunb.8 $e |- M2 = dom ( dom_ ` U ) $.
    isfunb.9 $e |- D2 = ( dom_ ` U ) $.
    isfunb.10 $e |- C2 = ( cod_ ` U ) $.
    isfunb.11 $e |- I2 = ( id_ ` U ) $.
    isfunb.12 $e |- Ro2 = ( o_ ` U ) $.
    $( The predicate "is a functor" . $)
    isfunb $p |- ( ( T e. Cat /\ U e. Cat /\ F e. A ) ->
       ( F e. ( Func ` <. T , U >. ) <->
       ( F : M1 --> M2 /\ ( A. o e. O1
        E. p e. O2 ( F ` ( I1 ` o ) ) = ( I2 ` p ) /\
      ( A. m e. M1
       ( F ` ( I1  ` ( D1 ` m ) ) ) =
          ( I2 ` ( D2 ` ( F ` m ) ) ) /\
      A. m e. M1
       ( F ` ( I1 ` ( C1 ` m ) ) ) =
          ( I2 ` ( C2 ` ( F ` m ) ) ) ) /\
      A. m e. M1 A. n e. M1
       ( ( C1 ` n ) = ( D1 ` m ) ->
         ( F ` ( m Ro1 n ) ) =
          ( ( F ` m ) Ro2 ( F ` n ) ) ) ) ) ) ) $=
      ( vf ccat wcel w3a cop cfunc cfv cv wf wceq wrex wral wa co wi cab
      isfuna 3adant3 eleq2d wb feq1 fveq1 eqeq1d rexbidv ralbidv fveq2d
      eqeq12d anbi12d opreq12d imbi2d 2ralbidv 3anbi123d elabg 3ad2ant3 bitrd
      ) BUNUOZCUNUOZGAUOZUPZGBCUQURUSZUOGJLUMUTZVAZFUTMUSZWMUSZHUTQUSZVBZHKVCZF
      IVDZDUTZNUSZMUSZWMUSZXAWMUSZRUSZQUSZVBZDJVDZXAOUSMUSZWMUSZXESUSZQUSZVBZDJ
      VDZVEZEUTZOUSXBVBZXAXQPVFZWMUSZXEXQWMUSZTVFZVBZVGZEJVDDJVDZUPZVEZUMVHZUOZ
      JLGVAZWOGUSZWQVBZHKVCZFIVDZXCGUSZXAGUSZRUSZQUSZVBZDJVDZXJGUSZYPSUSZQUSZVB
      ZDJVDZVEZXRXSGUSZYPXQGUSZTVFZVBZVGZEJVDDJVDZUPZVEZWKWLYHGWHWIWLYHVBWJBCUM
      DEFHIJKLMNOPQRSTUAUBUCUDUEUFUGUHUIUJUKULVIVJVKWJWHYIUUNVLWIYGUUNUMGAWMGVB
      ZWNYJYFUUMJLWMGVMUUOWTYNXPUUFYEUULUUOWSYMFIUUOWRYLHKUUOWPYKWQWOWMGVNVOVPV
      QUUOXIYTXOUUEUUOXHYSDJUUOXDYOXGYRXCWMGVNUUOXFYQQUUOXEYPRXAWMGVNZVRVRVSVQU
      UOXNUUDDJUUOXKUUAXMUUCXJWMGVNUUOXLUUBQUUOXEYPSUUPVRVRVSVQVTUUOYDUUKDEJJUU
      OYCUUJXRUUOXTUUGYBUUIXSWMGVNUUOXEYPYAUUHTUUPXQWMGVNWAVSWBWCWDVTWEWFWG $.
      $( [11-Feb-2008] $) $( [10-Feb-2008] $)
  $}

  ${ $d F w x y z $. $d M1 x $. $d T w x y z $. $d U w x y z $.
    fmamo.1 $e |- M1 = dom ( dom_ ` T ) $.
    fmamo.2 $e |- M2 = dom ( dom_ ` U ) $.
    $( A functor is a mapping between morphisms. $)
    fmamo $p |- ( ( T e. Cat /\ U e. Cat ) ->
      ( F e. ( Func ` <. T , U >. ) -> F : M1 --> M2 ) ) $=
      ( vz vw vx vy ccat wcel wa cop cfunc cfv wf wi w3a cv cid_ wceq cdm wrex
      wral cdom_ ccod_ co_ co eqid isfunb pm3.26bda ex 3expia pm2.43d ) ALMZBLM
      ZNCABOPQZMZDECRZUQURUTUTVASUQURUTTZUTVAVBUTVAHUAAUBQZQCQIUABUBQZQUCIVDUDZ
      UEHVCUDZUFJUAZAUGQZQZVCQCQVGCQZBUGQZQVDQUCJDUFVGAUHQZQVCQCQVJBUHQZQVDQUCJ
      DUFNKUAZVLQVIUCVGVNAUIQZUJCQVJVNCQBUIQZUJUCSKDUFJDUFTUSABJKHCIVFDVEEVCVHV
      LVOVDVKVMVPVFUKFVHUKVLUKVCUKVOUKVEUKGVKUKVMUKVDUKVPUKULUMUNUOUP $.
      $( [11-Feb-2008] $) $( [10-Feb-2008] $)
  $}

  ${ $d F m n o p $. $d O1 o $. $d O2 p $. $d T m n o p $. $d U m n o p $.
    vidfunid.1 $e |- O1 = dom ( id_ ` T ) $.
    vidfunid.2 $e |- I1 = ( id_ ` T ) $.
    vidfunid.3 $e |- O2 = dom ( id_ ` U ) $.
    vidfunid.4 $e |- I2 = ( id_ ` U ) $.
    $( ` F ` associates every object of ` T ` to an object in ` U ` . For
    identification of objects with identity see ~ df-func
    JFM CAT_1 th. 97. $)
    vidfunid $p |- ( ( T e. Cat /\ U e. Cat ) ->
       ( F e. ( Func ` <. T , U >. ) ->
         A. o e. O1
        E. p e. O2 ( F ` ( I1 ` o ) ) = ( I2 ` p ) ) ) $=
      ( vm vn ccat wcel wa cop cfunc cfv cv wceq wrex wral wi w3a cdom_ cdm
      ccod_ co_ co wf eqid isfunb pm3.27bda 3simp1d ex 3expia pm2.43d ) APQZBPQ
      ZRDABSTUAZQZCUBHUADUAEUBIUAUCEGUDCFUEZVAVBVDVDVEUFVAVBVDUGZVDVEVFVDRVENUB
      ZAUHUAZUAZHUADUAVGDUAZBUHUAZUAIUAUCNVHUIZUEVGAUJUAZUAHUADUAVJBUJUAZUAIUAU
      CNVLUERZOUBZVMUAVIUCVGVPAUKUAZULDUAVJVPDUABUKUAZULUCUFOVLUENVLUEZVFVDVLVK
      UIZDUMVEVOVSUGVCABNOCDEFVLGVTHVHVMVQIVKVNVRJVLUNVHUNVMUNKVQUNLVTUNVKUNVNU
      NMVRUNUOUPUQURUSUT $.
      $( [11-Feb-2008] $) $( [10-Feb-2008] $)
  $}

  ${ $d F a b m n $. $d M1 m $. $d T a b m n $. $d U a b m n $.
    iddvvidd.1 $e |- M1 = dom ( dom_ ` T ) $.
    iddvvidd.2 $e |- D1 = ( dom_ ` T ) $.
    iddvvidd.3 $e |- I1 = ( id_ ` T ) $.
    iddvvidd.4 $e |- I2 = ( id_ ` U ) $.
    iddvvidd.5 $e |- D2 = ( dom_ ` U ) $.
    $( Functors preserves domain. JFM CAT_1 th. 98. $)
    iddvvidd $p |- ( ( T e. Cat /\ U e. Cat ) ->
      ( F e. ( Func ` <. T , U >. ) ->
         A. m e. M1 ( F ` ( I1  ` ( D1 ` m ) ) ) =
           ( I2 ` ( D2 ` ( F ` m ) ) ) ) ) $=
      ( va vb vn ccat wcel wa cop cfunc cfv cv wceq wral wi w3a ccod_ cid_ cdm
      wrex co_ co cdom_ wf eqid isfunb pm3.27bda 3simp2d pm3.26d ex 3expia
      pm2.43d ) ARSZBRSZTDABUAUBUCZSZCUDZGUCZFUCDUCVIDUCZIUCHUCUECEUFZVEVFVHVHV
      LUGVEVFVHUHZVHVLVMVHTZVLVIAUIUCZUCFUCDUCVKBUIUCZUCHUCUECEUFZVNOUDFUCDUCPU
      DHUCUEPBUJUCUKZULOAUJUCUKZUFZVLVQTZQUDZVOUCVJUEVIWBAUMUCZUNDUCVKWBDUCBUMU
      CZUNUEUGQEUFCEUFZVMVHEBUOUCUKZDUPVTWAWEUHVGABCQODPVSEVRWFFGVOWCHIVPWDVSUQ
      JKVOUQLWCUQVRUQWFUQNVPUQMWDUQURUSUTVAVBVCVD $.
      $( [1-Jun-2008] $) $( [5-May-2008] $)
  $}

  ${ $d F a b m n $. $d M1 m $. $d T a b m n $. $d U a b m n $.
    idcvvidc.1 $e |- M1 = dom ( dom_ ` T ) $.
    idcvvidc.2 $e |- C1 = ( cod_ ` T ) $.
    idcvvidc.3 $e |- I1 = ( id_ ` T ) $.
    idcvvidc.4 $e |- I2 = ( id_ ` U ) $.
    idcvvidc.5 $e |- C2 = ( cod_ ` U ) $.
    $( Functor preserves codomain. JFM CAT_1 th. 98. $)
    idcvvidc $p |- ( ( T e. Cat /\ U e. Cat ) ->
      ( F e. ( Func ` <. T , U >. ) ->
         A. m e. M1 ( F ` ( I1  ` ( C1 ` m ) ) ) =
           ( I2 ` ( C2 ` ( F ` m ) ) ) ) ) $=
      ( va vb vn ccat wcel wa cop cfunc cfv cv wceq wral wi w3a cdom_ cid_ cdm
      wrex co_ co wf eqid isfunb pm3.27bda 3simp2d pm3.27d ex 3expia pm2.43d )
      ARSZBRSZTDABUAUBUCZSZCUDZGUCFUCDUCVHDUCZIUCHUCUECEUFZVDVEVGVGVJUGVDVEVGUH
      ZVGVJVKVGTZVHAUIUCZUCZFUCDUCVIBUIUCZUCHUCUECEUFZVJVLOUDFUCDUCPUDHUCUEPBUJ
      UCUKZULOAUJUCUKZUFZVPVJTZQUDZGUCVNUEVHWAAUMUCZUNDUCVIWADUCBUMUCZUNUEUGQEU
      FCEUFZVKVGEVOUKZDUOVSVTWDUHVFABCQODPVREVQWEFVMGWBHVOIWCVRUPJVMUPKLWBUPVQU
      PWEUPVOUPNMWCUPUQURUSUTVAVBVC $.
      $( [1-Jun-2008] $) $( [5-May-2008] $)
  $}

  ${ $d T a b m n $.
    $( The identity functor is a functor. (Part of FL's sandbox.) $)
    idfisf $p |- ( T e. Cat ->
      ( I |` dom ( dom_ ` T ) ) e. ( Func ` <. T , T >. ) ) $=
      ( va vb vm vn ccat wcel cid cdom_ cfv cdm cres cop cfunc cvv fvex dmex
      resiexg ax-mp w3a wf cv cid_ wceq wrex wral ccod_ wa co_ co wi eqid jdmo
      fvresi syl weq fveq2 eqeq2d rcla4ev ex adantl mpd r19.21aiv pm3.26 dmo
      jca 3syl eqcomd fveq2d eqtrd cdmo cmpmorp com12 eqcoms opreqan12rd
      sylan9eqr 3adant1 syld 3com23 3expib r19.21aivv 3jca wf1o f1oi f1of
      jctil 3ad2ant1 isfunb mpbird 3exp mpii pm2.43i ) AFGZHAIJZKZLZAAMNJGZWMWM
      WPOGZWQWOOGWRWNAIPQWOORSWMWMWRWQWMWMWRTWQWOWOWPUAZBUBZAUCJZJZWPJZCUBZXAJZ
      UDZCXAKZUEZBXGUFZDUBZWNJZXAJZWPJZXJWPJZWNJZXAJZUDZDWOUFZXJAUGJZJZXAJZWPJZ
      XNXSJZXAJZUDZDWOUFZUHZEUBZXSJZXKUDZXJYHAUIJZUJZWPJZXNYHWPJZYKUJZUDZUKZEWO
      UFDWOUFZTZUHZWMWMYTWRWMYSWSWMXIYGYRWMXHBXGWMWTXGGZXHWMUUAUHZXCXBUDZXHUUBX
      BWOGUUCWTAXAWOXGWOULZXGULZXAULZUMWOXBUNUOUUAUUCXHUKWMUUAUUCXHXFUUCCWTXGCB
      UPXEXBXCXDWTXAUQURUSUTVAVBUTVCWMXRYFWMXQDWOWMXJWOGZXQWMUUGUHZXMXLXPUUHWMX
      KXGGZUHXLWOGXMXLUDUUHWMUUIWMUUGVDZWNAXJWOXGUUDUUEWNULZVEVFXKAXAWOXGUUDUUE
      UUFUMWOXLUNVGUUGXLXPUDWMUUGXKXOXAUUGXJXNWNUUGXNXJWOXJUNZVHZVIVIVAVJUTVCWM
      YEDWOWMUUGYEUUHYBYAYDUUHWMXTXGGZUHYAWOGYBYAUDUUHWMUUNUUJXSAXJWOXGUUDUUEXS
      ULZVKVFXTAXAWOXGUUDUUEUUFUMWOYAUNVGUUGYAYDUDWMUUGXTYCXAUUGXJXNXSUUMVIVIVA
      VJUTVCVFWMYQDEWOWOWMUUGYHWOGZYQWMUUPUUGYQWMUUPUUGTZYJYLWOGZYPYJUUQUURUUQU
      URUKXKYIUUQXKYIUDUURXSWNYKAYHXJWOUUDUUKUUOYKULZVLVMVNVMUUPUUGUURYPUKWMUUP
      UUGUHZUURYPUURUUTYMYLYOWOYLUNUUTYOYLUUGUUPXNXJYNYHYKUULWOYHUNVOVHVPUTVQVR
      VSVTWAWBWOWOWPWCWSWOWDWOWOWPWESWFWGOAADEBWPCXGWOXGWOXAWNXSYKXAWNXSYKUUEUU
      DUUKUUOUUFUUSUUEUUDUUKUUOUUFUUSWHWIWJWKWL $.
      $( [22-Jul-2008] $) $( [15-Jul-2008] $)
  $}


$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Tarski's classes and ranks
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

 $c Subcl $. $( The class of subset-closed classes $)
 $c Tarski $. $( The class of tarski classes $)

 $( The class of subset-closed classes. $)
 csubcl $a class Subcl $.

 $( The class of Tarski classes. $)
 ctarski $a class Tarski $.

 ${ $d x y z $.
   $( ( Define the class of all the subset-closed sets. ) $)
   df-subcl $a |- Subcl = { x | A. y A. z ( ( y e. x /\ z (_ y ) ->
     z e. x ) } $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Universal classes
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
              Category Ens
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)


$( (End of FL's sandbox.) $)



$(
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
                Sandbox for Steve Rodriguez
#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#
$)

$(
 Graph theory add-on for set.mm
 (see http://planetx.cc.vt.edu/AsteroidMeta/steverod)

 Steve Rodriguez

 I hereby place this in the public domain, and release all rights to it.

 This continues from the set.mm proofs preceding the Dedekind-cut real
 construction.  It is best placed or included before the "End of set.mm"
 comment there.

 I very likely won't work on this much anymore.
$)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Hypergraphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c HypGrph $. $( class of hypergraphs $)

  $( Extend class notation with the class of all hypergraphs. $)
  chgra $a class HypGrph $.

  $(
  [Diestel] Diestel, Reinhard, "Graph Theory, Electronic Edition,"
  Springer-Verlag, Heidelberg, 2005 [QA166.D51413]
  URL: http://www.math.uni-hamburg.de/home/diestel/books/graph.theory/
  $)

  $(
  [McKMegPav] B. McKay, N. Megill, and M. Pavicic,
  "Algorithms for Greechie Diagrams," Int. J. Theor. Phys. 39,
  2393-2417 (2000), http://xxx.lanl.gov/abs/quant-ph/0009039 .
  $)

  ${
    $d a b $.
    $( Define the class of all hypergraphs.  For a textbook
       definition of a hypergraph and more information,
       see ~ ishgrag . $)
    df-hgra $a |- HypGrph = { <. a , b >. | ( ( a i^i b ) = (/)
           /\ b (_ ( P~ a \ { (/) } ) ) } $.
  $}

  ${
    $d b A $.  $d b B $.
    $( Two ways of saying "the blocks in a hypergraph
       are each non-empty subsets of the set of atoms
       in the hypergraph." $)
    blkssatm $p |- ( B (_ ( P~ A \ { (/) } ) <->
                    A. b e. B ( b (_ A /\ b =/= (/) ) ) $=
      ( cpw c0 csn cdif wss cv wcel wral wne wa dfss3 eldifsn visset elpw
      anbi1i bitr ralbii ) BADZEFGZHCIZUBJZCBKUCAHZUCELZMZCBKCBUBNUDUGCBUDUCUAJ
      ZUFMUGUCUAEOUHUEUFUCACPQRSTS $.
      $( [20-Feb-2007] $) $( [16-Dec-2006] $)
  $}

  ${
    $d x y $.
    $( The class of all hypergraphs is a relation. $)
    hgrarel $p |- Rel HypGrph $=
      ( vx vy chgra wrel cv cin c0 wceq cpw csn cdif wss wa copab relopab
      df-hgra releqi mpbir ) CDAEZBEZFGHTSIGJKLMZABNZDUAABOCUBABPQR $.
      $( [20-Feb-2007] $) $( [15-Dec-2006] $)
  $}

  ${
    $d x y A $.  $d x B $.  $d y B $.  $d b A $.  $d b B $.
    $( x and y are dummy. $)
    ishgrag.1 $e |- H = <. A , B >. $.
    $( Express the predicate "` H ` is a hypergraph."
       Definition of hypergraph in [Diestel] p. 28, which states
       "A hypergraph is a pair (_V_, _E_) of disjoint sets, where
       the elements of _E_ are non-empty subsets (of any cardinality)
       of _V_."

       Because _V_ and _E_ are both used as symbols
       (for the universal class ~ df-v and the epsilon relation
       ~ df-eprel , respectively) in Metamath, we instead use ` A `
       to represent _V_, the set of _vertices_ or _atoms_ of
       the hypergraph, and ` B ` to represent _E_, the set of _edges_
       or _blocks_ that each connect one or more atoms
       in ` A ` .  (See Definition 2.1 in [McKMegPav] p. 2384 for an
       analogous use of _atom_ and _block_ in Greechie diagrams.) $)
    ishgrag $p |- ( ( A e. C /\ B e. D ) ->
                   ( H e. HypGrph <->
                     ( ( A i^i B ) = (/) /\
                       A. b e. B ( b (_ A /\ b =/= (/) ) ) ) ) $=
      ( vx vy wcel wa chgra cin c0 wceq cpw csn cdif wss cv wne wral cop copab
      ineq1 eqeq1d pweq difeq1d sseq2d anbi12d ineq2 sseq1 opelopabg df-hgra
      eleq2i syl5bb eleq1i blkssatm anbi2i syl6bb ) ACJBDJKZELJZABMZNOZBAPZNQZR
      ZSZKZVDFTZASVJNUAKFBUBZKVAABUCZLJZVIVBVAVLHTZITZMZNOZVOVNPZVFRZSZKZHIUDZJ
      VIVMWAAVOMZNOZVOVGSZKVIHIABCDVNAOZVQWDVTWEWFVPWCNVNAVOUEUFWFVSVGVOWFVRVEV
      FVNAUGUHUIUJVOBOZWDVDWEVHWGWCVCNVOBAUKUFVOBVGULUJUMLWBVLHIUNUOUPEVLLGUQUP
      VHVKVDABFURUSUT $.
      $( [20-Feb-2007] $) $( [16-Dec-2006] $)
  $}

  ${
    $d x y A $.  $d x B $.  $d y B $.  $d x H $.  $d y H $.
    $( x and y are dummy. $)
    hgralem.1 $e |- A = ( 1st ` H ) $.
    hgralem.2 $e |- B = ( 2nd ` H ) $.
    $( Lemma for various hypergraph theorems. $)
    hgralem $p |- ( H e. HypGrph ->
                    ( ( A i^i B ) = (/) /\
                      B (_ ( P~ A \ { (/) } ) ) ) $=
      ( vx vy chgra wcel cv cin c0 wceq cpw csn cdif wss wa copab df-hgra
      eleq2i c1st cfv eqeq2i ineq1 sylbir eqeq1d wb pweq difeq1d sseq2d
      anbi12d c2nd ineq2 sseq1 elopabi sylbi ) CHICFJZGJZKZLMZUSURNZLOZPZQZRZFG
      SZIABKZLMZBANZVCPZQZRZHVGCFGTUAVFAUSKZLMZUSVKQZRVMFGCURCUBUCZMZVAVOVEVPVR
      UTVNLVRURAMZUTVNMAVQURDUDZURAUSUEUFUGVRVSVEVPUHVTVSVDVKUSVSVBVJVCURAUIUJU
      KUFULUSCUMUCZMZVOVIVPVLWBVNVHLWBUSBMZVNVHMBWAUSEUDZUSBAUNUFUGWBWCVPVLUHWD
      USBVKUOUFULUPUQ $.
      $( [20-Feb-2007] $) $( [15-Dec-2006] $)
  $}

  ${
    hgradj.1 $e |- A = ( 1st ` H ) $.
    hgradj.2 $e |- B = ( 2nd ` H ) $.
    $( The sets of atoms and blocks in a hypergraph are disjoint. $)
    hgradj $p |- ( H e. HypGrph -> ( A i^i B ) = (/) ) $=
      ( chgra wcel cin c0 wceq cpw csn cdif wss hgralem pm3.26d ) CFGABHIJBAKIL
      MNABCDEOP $.
      $( [20-Feb-2007] $) $( [17-Dec-2006] $)
  $}

  ${
    hgrablkconn.1 $e |- A = ( 1st ` H ) $.
    hgrablkconn.2 $e |- B = ( 2nd ` H ) $.
    $( The blocks in a hypergraph each connect to one or more atoms. $)
    hgrablkconn $p |- ( H e. HypGrph -> B (_ ( P~ A \ { (/) } ) ) $=
      ( chgra wcel cin c0 wceq cpw csn cdif wss hgralem pm3.27d ) CFGABHIJBAKIL
      MNABCDEOP $.
      $( [20-Feb-2007] $) $( [17-Dec-2006] $)
  $}

  ${
    $d H b $.  $d B b $.
    hgrablkne0.1 $e |- B = ( 2nd ` H ) $.
    $( The empty set cannot be a block in a hypergraph. $)
    hgrablkne0 $p |- ( H e. HypGrph -> A. b e. B b =/= (/) ) $=
      ( chgra wcel cv c0 wne c1st cfv wss wa wral wi cpw csn cdif eqid
      hgrablkconn blkssatm sylib ra4 pm3.27 imim2i 3syl r19.21aiv ) BEFZCGZHIZC
      AUHUIBJKZLZUJMZCANZUIAFZUMOUOUJOUHAUKPHQRLUNUKABUKSDTUKACUAUBUMCAUCUMUJUO
      ULUJUDUEUFUG $.
      $( [20-Feb-2007] $) $( [17-Dec-2006] $)

    $( The number of atoms incident to each block of a hypergraph
       is greater than zero. $)
    hgrablkcard $p |- ( H e. HypGrph ->
                        A. b e. B (/) e. ( card ` b ) ) $=
      ( chgra wcel c0 cv ccrd cfv wne wi wral hgrablkne0 ra4 syl csdm wbr cvv
      wb 0ex cardsdom mpan card0 eleq1i syl5bbr 0sdomg bitrd pm5.74i sylibr
      r19.21aiv ) BEFZGCHZIJZFZCAULUMAFZUMGKZLZUPUOLULUQCAMURABCDNUQCAOPUPUOUQU
      PUOGUMQRZUQUPGIJZUNFZUSUOGSFUPVAUSTUAGUMSAUBUCUTGUNUDUEUFUMAUGUHUIUJUK $.
      $( [20-Feb-2007] $) $( [17-Dec-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of hypergraphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  ${
    $d A b $. $( b is dummy. $)
    $( An ordered pair with an empty second element is a hypergraph
       (with no blocks/edges). $)
    emhgrat $p |- ( A e. B -> <. A , (/) >. e. HypGrph ) $=
      ( vb wcel c0 cop chgra cin wceq cv wss wne wa wral in0 ral0 pm3.2i cvv
      wb 0ex eqid ishgrag mpan2 mpbiri ) ABDZAEFZGDZAEHEIZCJZAKUIELMZCENZMZUHUK
      AOUJCPQUEERDUGULSTAEBRUFCUFUAUBUCUD $.
      $( [20-Feb-2007] $) $( [16-Dec-2006] $)
  $}

  $( The null hypergraph ` <. (/) , (/) >.` . $)
  0hgra $p |- <. (/) , (/) >. e. HypGrph $=
    ( c0 cvv wcel cop chgra 0ex emhgrat ax-mp ) ABCAADECFABGH $.
    $( [20-Feb-2007] $) $( [16-Dec-2006] $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Pseudographs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c PsGrph $. $( class of pseudographs
                 (graphs with one- or two-vertex edges) $)

  $( Extend class notation with the class of all pseudographs. $)
  cpgra $a class PsGrph $.

  ${
    $d a b $.
    $( Define the class of all pseudographs (hypergraphs with _edges_
       that connect only one or two _vertices_ each).
       Based on definition in [Diestel] p. 28, which uses the
       name "multigraph".  (MathWorld's Eric Weisstein recommends against
       using the term _multigraph_ because of differing meanings in
       the literature; see ~ http://mathworld.wolfram.com/Multigraph.html .) $)
    df-pgra $a |- PsGrph = { <. a , b >. | ( ( a i^i b ) = (/)
           /\ b (_ ( a u. ( a ^m 2o ) ) ) } $.
  $}

  ${
    $d a b P $.  $d L a $.  $d L b $.
    $( a and b are dummy, but correspond to P and L in the final result. $)
    ispgrag.1 $e |- G = <. P , L >. $.
    $( Express the predicate "` G ` is a pseudograph."

       Because _V_ and _E_ are both used as symbols
       (for the universal class ~ df-v and the epsilon relation
       ~ df-eprel , respectively) in Metamath, we instead use ` P `
       to represent _V_, the set of _vertices_ or _points_ of
       the hypergraph, and ` L ` to represent _E_, the set of
       _edges_ or _lines_ that each connect one or two vertices
       in ` P ` . $)
    ispgrag $p |- ( ( P e. A /\ L e. B ) ->
                    ( G e. PsGrph <->
                      ( ( P i^i L ) = (/) /\
                        L (_ ( P u. ( P ^m 2o ) ) ) ) ) $=
      ( va vb wcel wa cop cv cin c0 wceq c2o cm co cun wss copab cpgra ineq1
      eqeq1d id opreq1 uneq12d sseq2d anbi12d ineq2 sseq1 opelopabg df-pgra
      eleq12i syl5bb ) CAIEBIJCEKZGLZHLZMZNOZURUQUQPQRZSZTZJZGHUAZICEMZNOZECCPQ
      RZSZTZJZDUBIVDCURMZNOZURVITZJVKGHCEABUQCOZUTVMVCVNVOUSVLNUQCURUCUDVOVBVIU
      RVOUQCVAVHVOUEUQCPQUFUGUHUIUREOZVMVGVNVJVPVLVFNURECUJUDUREVIUKUIULDUPUBVE
      FGHUMUNUO $.
      $( [20-Feb-2007] $) $( [17-Dec-2006] $)
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of pseudographs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$( empty $)

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Simple graphs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

  $c SmpGrph $. $( class of simple graphs
                 (pseudographs with two-vertex edges) $)

  $( Extend class notation with the class of all simple graphs. $)
  csgra $a class SmpGrph $.

  ${
    $d a b $.
    $( Define the class of all simple graphs (pseudographs whose edges
       connect exactly two vertices each).
       Definition in [Diestel] p. 2, which simply calls them
       "graphs". $)
    df-sgra $a |- SmpGrph = { <. a , b >. | ( ( a i^i b ) = (/)
           /\ b (_ ( a ^m 2o ) ) } $.
  $}

$(
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
                     Examples of pseudographs
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
$)

$( empty $)


$( (End of Steve Rodriguez's sandbox.) $)

  ${
    $d j k m x y A $.  $d j k m y B $.  $d y D $.  $d j m x F $.  $d j k y K $.
    numexp.1 $e |- B e. NN $.
    numexp.2 $e |- 2 <_ B $.
    numexp.3 $e |- D = ( ( |_ ` ( ( B ^ k ) x. A ) )
          - ( B x. ( |_ ` ( ( B ^ ( k - 1 ) ) x. A ) ) ) ) $.
    ${
      numexplem1.4 $e |- F
          = { <. k , y >. | ( k e. NN /\ y = ( D / ( B ^ k ) ) ) } $.
    $}
  $}


